#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 6799
#define LARGE_STATE_COUNT 4121
#define SYMBOL_COUNT 585
#define ALIAS_COUNT 3
#define TOKEN_COUNT 286
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 48
#define MAX_ALIAS_SEQUENCE_LENGTH 16
#define PRODUCTION_ID_COUNT 163

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_include_token3 = 4,
  aux_sym_preproc_def_token1 = 5,
  anon_sym_LPAREN = 6,
  anon_sym_DOT_DOT_DOT = 7,
  anon_sym_COMMA = 8,
  anon_sym_RPAREN = 9,
  aux_sym_preproc_if_token1 = 10,
  anon_sym_LF = 11,
  aux_sym_preproc_if_token2 = 12,
  aux_sym_preproc_ifdef_token1 = 13,
  aux_sym_preproc_ifdef_token2 = 14,
  aux_sym_preproc_else_token1 = 15,
  aux_sym_preproc_elif_token1 = 16,
  aux_sym_preproc_elifdef_token1 = 17,
  aux_sym_preproc_elifdef_token2 = 18,
  sym_preproc_arg = 19,
  sym_preproc_directive = 20,
  anon_sym_LPAREN2 = 21,
  anon_sym_defined = 22,
  anon_sym_BANG = 23,
  anon_sym_TILDE = 24,
  anon_sym_DASH = 25,
  anon_sym_PLUS = 26,
  anon_sym_STAR = 27,
  anon_sym_SLASH = 28,
  anon_sym_PERCENT = 29,
  anon_sym_PIPE_PIPE = 30,
  anon_sym_AMP_AMP = 31,
  anon_sym_PIPE = 32,
  anon_sym_CARET = 33,
  anon_sym_AMP = 34,
  anon_sym_EQ_EQ = 35,
  anon_sym_BANG_EQ = 36,
  anon_sym_GT = 37,
  anon_sym_GT_EQ = 38,
  anon_sym_LT_EQ = 39,
  anon_sym_LT = 40,
  anon_sym_LT_LT = 41,
  anon_sym_GT_GT = 42,
  anon_sym_SEMI = 43,
  anon_sym___extension__ = 44,
  anon_sym_typedef = 45,
  anon_sym_extern = 46,
  anon_sym___attribute__ = 47,
  anon_sym___attribute = 48,
  anon_sym_noreturn = 49,
  anon_sym_nothrow = 50,
  anon_sym_COLON_COLON = 51,
  anon_sym_LBRACK = 52,
  anon_sym_RBRACK = 53,
  anon_sym___declspec = 54,
  anon_sym___based = 55,
  anon_sym___cdecl = 56,
  anon_sym___clrcall = 57,
  anon_sym___stdcall = 58,
  anon_sym___fastcall = 59,
  anon_sym___thiscall = 60,
  anon_sym___vectorcall = 61,
  sym_ms_restrict_modifier = 62,
  sym_ms_unsigned_ptr_modifier = 63,
  sym_ms_signed_ptr_modifier = 64,
  anon_sym__unaligned = 65,
  anon_sym___unaligned = 66,
  anon_sym_LBRACE = 67,
  anon_sym_RBRACE = 68,
  anon_sym_signed = 69,
  anon_sym_unsigned = 70,
  anon_sym_long = 71,
  anon_sym_short = 72,
  anon_sym_static = 73,
  anon_sym_EQ = 74,
  anon_sym_ATautoreleasepool = 75,
  anon_sym_auto = 76,
  anon_sym_register = 77,
  anon_sym_inline = 78,
  anon_sym___inline = 79,
  anon_sym___inline__ = 80,
  anon_sym___forceinline = 81,
  anon_sym_thread_local = 82,
  anon_sym___thread = 83,
  anon_sym_CG_EXTERN = 84,
  anon_sym_CG_INLINE = 85,
  anon_sym_FOUNDATION_EXPORT = 86,
  anon_sym_FOUNDATION_EXTERN = 87,
  anon_sym_FOUNDATION_STATIC_INLINE = 88,
  anon_sym_IBOutlet = 89,
  anon_sym_IBInspectable = 90,
  anon_sym_IB_DESIGNABLE = 91,
  anon_sym_NS_INLINE = 92,
  anon_sym_NS_VALID_UNTIL_END_OF_SCOPE = 93,
  anon_sym_OBJC_EXPORT = 94,
  anon_sym_OBJC_ROOT_CLASS = 95,
  anon_sym_UIKIT_EXTERN = 96,
  anon_sym_const = 97,
  anon_sym_constexpr = 98,
  anon_sym_volatile = 99,
  anon_sym_restrict = 100,
  anon_sym___restrict__ = 101,
  anon_sym__Atomic = 102,
  anon_sym__Noreturn = 103,
  anon_sym__Nonnull = 104,
  anon_sym_nullable = 105,
  anon_sym__Complex = 106,
  anon_sym__Nullable = 107,
  anon_sym__Nullable_result = 108,
  anon_sym__Null_unspecified = 109,
  anon_sym___autoreleasing = 110,
  anon_sym___block = 111,
  anon_sym___bridge = 112,
  anon_sym___bridge_retained = 113,
  anon_sym___bridge_transfer = 114,
  anon_sym___complex = 115,
  anon_sym___const = 116,
  anon_sym___imag = 117,
  anon_sym___kindof = 118,
  anon_sym___nonnull = 119,
  anon_sym___nullable = 120,
  anon_sym___ptrauth_objc_class_ro = 121,
  anon_sym___ptrauth_objc_isa_pointer = 122,
  anon_sym___ptrauth_objc_super_pointer = 123,
  anon_sym___real = 124,
  anon_sym___strong = 125,
  anon_sym___unsafe_unretained = 126,
  anon_sym___unused = 127,
  anon_sym___weak = 128,
  anon_sym_alignas = 129,
  anon_sym__Alignas = 130,
  sym_primitive_type = 131,
  anon_sym_enum = 132,
  anon_sym_COLON = 133,
  anon_sym_struct = 134,
  anon_sym_union = 135,
  anon_sym_if = 136,
  anon_sym_else = 137,
  anon_sym_switch = 138,
  anon_sym_case = 139,
  anon_sym_default = 140,
  anon_sym_while = 141,
  anon_sym_do = 142,
  anon_sym_for = 143,
  anon_sym_in = 144,
  anon_sym_return = 145,
  anon_sym_break = 146,
  anon_sym_continue = 147,
  anon_sym_goto = 148,
  anon_sym_QMARK = 149,
  anon_sym_STAR_EQ = 150,
  anon_sym_SLASH_EQ = 151,
  anon_sym_PERCENT_EQ = 152,
  anon_sym_PLUS_EQ = 153,
  anon_sym_DASH_EQ = 154,
  anon_sym_LT_LT_EQ = 155,
  anon_sym_GT_GT_EQ = 156,
  anon_sym_AMP_EQ = 157,
  anon_sym_CARET_EQ = 158,
  anon_sym_PIPE_EQ = 159,
  anon_sym_DASH_DASH = 160,
  anon_sym_PLUS_PLUS = 161,
  anon_sym_sizeof = 162,
  anon_sym___alignof__ = 163,
  anon_sym___alignof = 164,
  anon_sym__alignof = 165,
  anon_sym_alignof = 166,
  anon_sym__Alignof = 167,
  anon_sym_offsetof = 168,
  anon_sym__Generic = 169,
  anon_sym_asm = 170,
  anon_sym___asm__ = 171,
  anon_sym___asm = 172,
  anon_sym___volatile__ = 173,
  anon_sym_LT2 = 174,
  anon_sym_DOT = 175,
  anon_sym_DASH_GT = 176,
  sym_number_literal = 177,
  anon_sym_L_SQUOTE = 178,
  anon_sym_u_SQUOTE = 179,
  anon_sym_U_SQUOTE = 180,
  anon_sym_u8_SQUOTE = 181,
  anon_sym_SQUOTE = 182,
  aux_sym_char_literal_token1 = 183,
  anon_sym_AT = 184,
  anon_sym_DQUOTE = 185,
  anon_sym_L_DQUOTE = 186,
  anon_sym_u_DQUOTE = 187,
  anon_sym_U_DQUOTE = 188,
  anon_sym_u8_DQUOTE = 189,
  aux_sym_string_literal_token1 = 190,
  sym_escape_sequence = 191,
  sym_system_lib_string = 192,
  sym_true = 193,
  sym_false = 194,
  anon_sym_NULL = 195,
  anon_sym_nullptr = 196,
  sym_comment = 197,
  anon_sym_objc_bridge_related = 198,
  anon_sym___typeof__ = 199,
  anon_sym___typeof = 200,
  anon_sym_typeof = 201,
  anon_sym_availability = 202,
  sym_version_number = 203,
  anon_sym_ios = 204,
  anon_sym_tvos = 205,
  anon_sym_macos = 206,
  anon_sym_macosx = 207,
  anon_sym_watchos = 208,
  anon_sym_ATimport = 209,
  aux_sym_preproc_undef_token1 = 210,
  anon_sym_POUND = 211,
  anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE = 212,
  anon_sym_NS_ROOT_CLASS = 213,
  anon_sym_NS_UNAVAILABLE = 214,
  anon_sym_NS_REQUIRES_NIL_TERMINATION = 215,
  anon_sym_CF_RETURNS_RETAINED = 216,
  anon_sym_CF_RETURNS_NOT_RETAINED = 217,
  anon_sym_DEPRECATED_ATTRIBUTE = 218,
  anon_sym_UI_APPEARANCE_SELECTOR = 219,
  anon_sym_UNAVAILABLE_ATTRIBUTE = 220,
  anon_sym_CF_FORMAT_FUNCTION = 221,
  anon_sym_NS_AVAILABLE = 222,
  anon_sym___IOS_AVAILABLE = 223,
  anon_sym_NS_AVAILABLE_IOS = 224,
  anon_sym_API_AVAILABLE = 225,
  anon_sym_API_UNAVAILABLE = 226,
  anon_sym_API_DEPRECATED = 227,
  anon_sym_NS_ENUM_AVAILABLE_IOS = 228,
  anon_sym_NS_DEPRECATED_IOS = 229,
  anon_sym_NS_ENUM_DEPRECATED_IOS = 230,
  anon_sym_NS_FORMAT_FUNCTION = 231,
  anon_sym_DEPRECATED_MSG_ATTRIBUTE = 232,
  anon_sym___deprecated_msg = 233,
  anon_sym___deprecated_enum_msg = 234,
  anon_sym_NS_SWIFT_NAME = 235,
  anon_sym_NS_SWIFT_UNAVAILABLE = 236,
  anon_sym_NS_EXTENSION_UNAVAILABLE_IOS = 237,
  anon_sym_NS_CLASS_AVAILABLE_IOS = 238,
  anon_sym_NS_CLASS_DEPRECATED_IOS = 239,
  anon_sym___OSX_AVAILABLE_STARTING = 240,
  anon_sym_ATprotocol = 241,
  anon_sym_class = 242,
  anon_sym_ATend = 243,
  anon_sym_ATinterface = 244,
  anon_sym_ATimplementation = 245,
  anon_sym___covariant = 246,
  anon_sym___contravariant = 247,
  anon_sym_ATprivate = 248,
  anon_sym_ATprotected = 249,
  anon_sym_ATpackage = 250,
  anon_sym_ATpublic = 251,
  anon_sym_ATcompatibility_alias = 252,
  anon_sym_AToptional = 253,
  anon_sym_ATrequired = 254,
  anon_sym_ATsynthesize = 255,
  anon_sym_ATdynamic = 256,
  anon_sym_LPARENclass_RPAREN = 257,
  anon_sym_ATproperty = 258,
  anon_sym_ATtry = 259,
  anon_sym___try = 260,
  anon_sym_ATcatch = 261,
  anon_sym___catch = 262,
  anon_sym_ATfinally = 263,
  anon_sym___finally = 264,
  anon_sym_ATthrow = 265,
  anon_sym_ATselector = 266,
  aux_sym_selector_expression_token1 = 267,
  anon_sym_ATavailable = 268,
  anon_sym___builtin_available = 269,
  anon_sym_va_arg = 270,
  aux_sym_ms_asm_block_token1 = 271,
  anon_sym_ATencode = 272,
  anon_sym_ATsynchronized = 273,
  anon_sym_BOOL = 274,
  anon_sym_IMP = 275,
  anon_sym_SEL = 276,
  anon_sym_Class = 277,
  anon_sym_id = 278,
  anon_sym_ATdefs = 279,
  anon_sym_out = 280,
  anon_sym_inout = 281,
  anon_sym_bycopy = 282,
  anon_sym_byref = 283,
  anon_sym_oneway = 284,
  anon_sym_COLON2 = 285,
  sym_translation_unit = 286,
  sym__top_level_item = 287,
  sym__block_item = 288,
  sym_preproc_include = 289,
  sym_preproc_def = 290,
  sym_preproc_function_def = 291,
  sym_preproc_params = 292,
  sym_preproc_call = 293,
  sym_preproc_if = 294,
  sym_preproc_ifdef = 295,
  sym_preproc_else = 296,
  sym_preproc_elif = 297,
  sym_preproc_elifdef = 298,
  sym_preproc_if_in_field_declaration_list = 299,
  sym_preproc_ifdef_in_field_declaration_list = 300,
  sym_preproc_else_in_field_declaration_list = 301,
  sym_preproc_elif_in_field_declaration_list = 302,
  sym_preproc_elifdef_in_field_declaration_list = 303,
  sym__preproc_expression = 304,
  sym_preproc_parenthesized_expression = 305,
  sym_preproc_defined = 306,
  sym_preproc_unary_expression = 307,
  sym_preproc_call_expression = 308,
  sym_preproc_argument_list = 309,
  sym_preproc_binary_expression = 310,
  sym_function_definition = 311,
  sym__old_style_function_definition = 312,
  sym_declaration = 313,
  sym_type_definition = 314,
  sym__type_definition_type = 315,
  sym__type_definition_declarators = 316,
  sym__declaration_modifiers = 317,
  sym__declaration_specifiers = 318,
  sym_linkage_specification = 319,
  sym_attribute_specifier = 320,
  sym_attribute = 321,
  sym_attribute_declaration = 322,
  sym_ms_declspec_modifier = 323,
  sym_ms_based_modifier = 324,
  sym_ms_call_modifier = 325,
  sym_ms_unaligned_ptr_modifier = 326,
  sym_ms_pointer_modifier = 327,
  sym_declaration_list = 328,
  sym__declarator = 329,
  sym__field_declarator = 330,
  sym__type_declarator = 331,
  sym__abstract_declarator = 332,
  sym_parenthesized_declarator = 333,
  sym_parenthesized_field_declarator = 334,
  sym_parenthesized_type_declarator = 335,
  sym_abstract_parenthesized_declarator = 336,
  sym_attributed_field_declarator = 337,
  sym_pointer_declarator = 338,
  sym_pointer_field_declarator = 339,
  sym_pointer_type_declarator = 340,
  sym_abstract_pointer_declarator = 341,
  sym_function_declarator = 342,
  sym_function_field_declarator = 343,
  sym_function_type_declarator = 344,
  sym_abstract_function_declarator = 345,
  sym__old_style_function_declarator = 346,
  sym_array_declarator = 347,
  sym_array_field_declarator = 348,
  sym_array_type_declarator = 349,
  sym_abstract_array_declarator = 350,
  sym_init_declarator = 351,
  sym_compound_statement = 352,
  sym_storage_class_specifier = 353,
  sym_type_qualifier = 354,
  sym_alignas_qualifier = 355,
  sym_type_specifier = 356,
  sym_sized_type_specifier = 357,
  sym_enum_specifier = 358,
  sym_enumerator_list = 359,
  sym_struct_specifier = 360,
  sym_union_specifier = 361,
  sym_field_declaration_list = 362,
  sym__field_declaration_list_item = 363,
  sym_field_declaration = 364,
  sym_bitfield_clause = 365,
  sym_enumerator = 366,
  sym_variadic_parameter = 367,
  sym_parameter_list = 368,
  sym__old_style_parameter_list = 369,
  sym_parameter_declaration = 370,
  sym_attributed_statement = 371,
  sym_statement = 372,
  sym__top_level_statement = 373,
  sym_labeled_statement = 374,
  sym__top_level_expression_statement = 375,
  sym_expression_statement = 376,
  sym_if_statement = 377,
  sym_else_clause = 378,
  sym_switch_statement = 379,
  sym_case_statement = 380,
  sym_while_statement = 381,
  sym_do_statement = 382,
  sym_for_statement = 383,
  sym__for_statement_body = 384,
  sym_return_statement = 385,
  sym_break_statement = 386,
  sym_continue_statement = 387,
  sym_goto_statement = 388,
  sym_expression = 389,
  sym__string = 390,
  sym_comma_expression = 391,
  sym_conditional_expression = 392,
  sym_assignment_expression = 393,
  sym_pointer_expression = 394,
  sym_unary_expression = 395,
  sym_binary_expression = 396,
  sym_update_expression = 397,
  sym_cast_expression = 398,
  sym_type_descriptor = 399,
  sym_sizeof_expression = 400,
  sym_alignof_expression = 401,
  sym_offsetof_expression = 402,
  sym_generic_expression = 403,
  sym_subscript_expression = 404,
  sym_call_expression = 405,
  sym_gnu_asm_expression = 406,
  sym_gnu_asm_qualifier = 407,
  sym_gnu_asm_output_operand_list = 408,
  sym_gnu_asm_output_operand = 409,
  sym_gnu_asm_input_operand_list = 410,
  sym_gnu_asm_input_operand = 411,
  sym_gnu_asm_clobber_list = 412,
  sym_gnu_asm_goto_list = 413,
  sym_extension_expression = 414,
  sym_argument_list = 415,
  sym_field_expression = 416,
  sym_compound_literal_expression = 417,
  sym_parenthesized_expression = 418,
  sym_initializer_list = 419,
  sym_initializer_pair = 420,
  sym_subscript_designator = 421,
  sym_subscript_range_designator = 422,
  sym_field_designator = 423,
  sym_char_literal = 424,
  sym_concatenated_string = 425,
  sym_string_literal = 426,
  sym_null = 427,
  sym__empty_declaration = 428,
  sym_macro_type_specifier = 429,
  sym_objc_bridge = 430,
  sym_typeof_specifier = 431,
  sym_availability = 432,
  sym_version = 433,
  sym_platform = 434,
  sym_module_import = 435,
  sym_preproc_if_in_implementation_definition = 436,
  sym_preproc_else_in_implementation_definition = 437,
  sym_preproc_elif_in_implementation_definition = 438,
  sym_preproc_if_in_interface_declaration = 439,
  sym_preproc_else_in_interface_declaration = 440,
  sym_preproc_elif_in_interface_declaration = 441,
  sym_preproc_ifdef_in_enumerator = 442,
  sym_preproc_else_in_enumerator = 443,
  sym_preproc_elif_in_enumerator = 444,
  sym_preproc_undef = 445,
  sym_preproc_linemarker = 446,
  sym_availability_attribute_specifier = 447,
  sym_protocol_forward_declaration = 448,
  sym_class_declaration = 449,
  sym_class_interface = 450,
  sym__class_interface_header = 451,
  sym__type_params = 452,
  sym__class_interface_inheritance = 453,
  sym_class_implementation = 454,
  sym__class_implementation_header = 455,
  sym__class_implementation_inheritance = 456,
  sym_protocol_reference_list = 457,
  sym_parameterized_arguments = 458,
  sym_generic_arguments = 459,
  sym_instance_variables = 460,
  sym_instance_variable = 461,
  sym_visibility_specification = 462,
  sym_protocol_declaration = 463,
  sym_compatibility_alias_declaration = 464,
  sym_qualified_protocol_interface_declaration = 465,
  sym_implementation_definition = 466,
  sym_property_implementation = 467,
  sym_method_definition = 468,
  sym_method_type = 469,
  sym_keyword_declarator = 470,
  sym_property_declaration = 471,
  sym_property_attributes_declaration = 472,
  sym_property_attribute = 473,
  sym_method_declaration = 474,
  sym_method_parameter = 475,
  sym_c_method_parameter = 476,
  sym_struct_declaration = 477,
  sym_atomic_declaration = 478,
  sym_specifier_qualifier = 479,
  sym_struct_declarator = 480,
  sym_try_statement = 481,
  sym_catch_clause = 482,
  sym_finally_clause = 483,
  sym_throw_statement = 484,
  sym_selector_expression = 485,
  sym_available_expression = 486,
  sym_range_expression = 487,
  sym_block_literal = 488,
  sym_message_expression = 489,
  sym_va_arg_expression = 490,
  sym_ms_asm_block = 491,
  sym_encode_expression = 492,
  sym_synchronized_statement = 493,
  sym_block_pointer_declarator = 494,
  sym_block_pointer_field_declarator = 495,
  sym_block_pointer_type_declarator = 496,
  sym_abstract_block_pointer_declarator = 497,
  sym_generic_specifier = 498,
  sym_typedefed_specifier = 499,
  sym_array_type_specifier = 500,
  sym_atdef_field = 501,
  sym_protocol_qualifier = 502,
  sym_type_name = 503,
  sym_at_expression = 504,
  sym_dictionary_literal = 505,
  sym_dictionary_pair = 506,
  sym_array_literal = 507,
  sym_method_identifier = 508,
  aux_sym_translation_unit_repeat1 = 509,
  aux_sym_preproc_params_repeat1 = 510,
  aux_sym_preproc_if_repeat1 = 511,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 512,
  aux_sym_preproc_argument_list_repeat1 = 513,
  aux_sym__old_style_function_definition_repeat1 = 514,
  aux_sym_declaration_repeat1 = 515,
  aux_sym__type_definition_type_repeat1 = 516,
  aux_sym__type_definition_declarators_repeat1 = 517,
  aux_sym__declaration_specifiers_repeat1 = 518,
  aux_sym_attribute_specifier_repeat1 = 519,
  aux_sym_attribute_repeat1 = 520,
  aux_sym_attribute_declaration_repeat1 = 521,
  aux_sym_declaration_list_repeat1 = 522,
  aux_sym_attributed_field_declarator_repeat1 = 523,
  aux_sym_pointer_declarator_repeat1 = 524,
  aux_sym_function_declarator_repeat1 = 525,
  aux_sym_function_field_declarator_repeat1 = 526,
  aux_sym_array_declarator_repeat1 = 527,
  aux_sym_sized_type_specifier_repeat1 = 528,
  aux_sym_enumerator_list_repeat1 = 529,
  aux_sym_field_declaration_repeat1 = 530,
  aux_sym_parameter_list_repeat1 = 531,
  aux_sym__old_style_parameter_list_repeat1 = 532,
  aux_sym_case_statement_repeat1 = 533,
  aux_sym_generic_expression_repeat1 = 534,
  aux_sym_gnu_asm_expression_repeat1 = 535,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 536,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 537,
  aux_sym_gnu_asm_clobber_list_repeat1 = 538,
  aux_sym_gnu_asm_goto_list_repeat1 = 539,
  aux_sym_argument_list_repeat1 = 540,
  aux_sym_argument_list_repeat2 = 541,
  aux_sym_initializer_list_repeat1 = 542,
  aux_sym_initializer_pair_repeat1 = 543,
  aux_sym_char_literal_repeat1 = 544,
  aux_sym_concatenated_string_repeat1 = 545,
  aux_sym_string_literal_repeat1 = 546,
  aux_sym_availability_repeat1 = 547,
  aux_sym_version_repeat1 = 548,
  aux_sym_module_import_repeat1 = 549,
  aux_sym_preproc_if_in_implementation_definition_repeat1 = 550,
  aux_sym_preproc_if_in_interface_declaration_repeat1 = 551,
  aux_sym_preproc_ifdef_in_enumerator_repeat1 = 552,
  aux_sym_availability_attribute_specifier_repeat1 = 553,
  aux_sym_protocol_forward_declaration_repeat1 = 554,
  aux_sym_class_declaration_repeat1 = 555,
  aux_sym_class_interface_repeat1 = 556,
  aux_sym_class_implementation_repeat1 = 557,
  aux_sym_parameterized_arguments_repeat1 = 558,
  aux_sym_parameterized_arguments_repeat2 = 559,
  aux_sym_generic_arguments_repeat1 = 560,
  aux_sym_instance_variables_repeat1 = 561,
  aux_sym_protocol_declaration_repeat1 = 562,
  aux_sym_property_implementation_repeat1 = 563,
  aux_sym_method_definition_repeat1 = 564,
  aux_sym_method_definition_repeat2 = 565,
  aux_sym_method_type_repeat1 = 566,
  aux_sym_keyword_selector_repeat1 = 567,
  aux_sym_property_attributes_declaration_repeat1 = 568,
  aux_sym_method_declaration_repeat1 = 569,
  aux_sym_method_declaration_repeat2 = 570,
  aux_sym_c_method_parameter_repeat1 = 571,
  aux_sym_struct_declaration_repeat1 = 572,
  aux_sym_struct_declaration_repeat2 = 573,
  aux_sym_try_statement_repeat1 = 574,
  aux_sym_selector_expression_repeat1 = 575,
  aux_sym_selector_expression_repeat2 = 576,
  aux_sym_available_expression_repeat1 = 577,
  aux_sym_message_expression_repeat1 = 578,
  aux_sym_message_expression_repeat2 = 579,
  aux_sym_generic_specifier_repeat1 = 580,
  aux_sym_type_name_repeat1 = 581,
  aux_sym_dictionary_literal_repeat1 = 582,
  aux_sym_method_identifier_repeat1 = 583,
  aux_sym_method_identifier_repeat2 = 584,
  alias_sym_field_identifier = 585,
  alias_sym_statement_identifier = 586,
  alias_sym_type_identifier = 587,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "#import",
  [aux_sym_preproc_include_token3] = "preproc_include_token3",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_SEMI] = ";",
  [anon_sym___extension__] = "__extension__",
  [anon_sym_typedef] = "typedef",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym___attribute] = "__attribute",
  [anon_sym_noreturn] = "noreturn",
  [anon_sym_nothrow] = "nothrow",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_static] = "static",
  [anon_sym_EQ] = "=",
  [anon_sym_ATautoreleasepool] = "@autoreleasepool",
  [anon_sym_auto] = "auto",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym___inline] = "__inline",
  [anon_sym___inline__] = "__inline__",
  [anon_sym___forceinline] = "__forceinline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym___thread] = "__thread",
  [anon_sym_CG_EXTERN] = "CG_EXTERN",
  [anon_sym_CG_INLINE] = "CG_INLINE",
  [anon_sym_FOUNDATION_EXPORT] = "FOUNDATION_EXPORT",
  [anon_sym_FOUNDATION_EXTERN] = "FOUNDATION_EXTERN",
  [anon_sym_FOUNDATION_STATIC_INLINE] = "FOUNDATION_STATIC_INLINE",
  [anon_sym_IBOutlet] = "IBOutlet",
  [anon_sym_IBInspectable] = "IBInspectable",
  [anon_sym_IB_DESIGNABLE] = "IB_DESIGNABLE",
  [anon_sym_NS_INLINE] = "NS_INLINE",
  [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = "NS_VALID_UNTIL_END_OF_SCOPE",
  [anon_sym_OBJC_EXPORT] = "OBJC_EXPORT",
  [anon_sym_OBJC_ROOT_CLASS] = "OBJC_ROOT_CLASS",
  [anon_sym_UIKIT_EXTERN] = "UIKIT_EXTERN",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym__Nonnull] = "_Nonnull",
  [anon_sym_nullable] = "nullable",
  [anon_sym__Complex] = "_Complex",
  [anon_sym__Nullable] = "_Nullable",
  [anon_sym__Nullable_result] = "_Nullable_result",
  [anon_sym__Null_unspecified] = "_Null_unspecified",
  [anon_sym___autoreleasing] = "__autoreleasing",
  [anon_sym___block] = "__block",
  [anon_sym___bridge] = "__bridge",
  [anon_sym___bridge_retained] = "__bridge_retained",
  [anon_sym___bridge_transfer] = "__bridge_transfer",
  [anon_sym___complex] = "__complex",
  [anon_sym___const] = "__const",
  [anon_sym___imag] = "__imag",
  [anon_sym___kindof] = "__kindof",
  [anon_sym___nonnull] = "__nonnull",
  [anon_sym___nullable] = "__nullable",
  [anon_sym___ptrauth_objc_class_ro] = "__ptrauth_objc_class_ro",
  [anon_sym___ptrauth_objc_isa_pointer] = "__ptrauth_objc_isa_pointer",
  [anon_sym___ptrauth_objc_super_pointer] = "__ptrauth_objc_super_pointer",
  [anon_sym___real] = "__real",
  [anon_sym___strong] = "__strong",
  [anon_sym___unsafe_unretained] = "__unsafe_unretained",
  [anon_sym___unused] = "__unused",
  [anon_sym___weak] = "__weak",
  [anon_sym_alignas] = "alignas",
  [anon_sym__Alignas] = "_Alignas",
  [sym_primitive_type] = "primitive_type",
  [anon_sym_enum] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym___alignof__] = "__alignof__",
  [anon_sym___alignof] = "__alignof",
  [anon_sym__alignof] = "_alignof",
  [anon_sym_alignof] = "alignof",
  [anon_sym__Alignof] = "_Alignof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym___asm] = "__asm",
  [anon_sym___volatile__] = "__volatile__",
  [anon_sym_LT2] = "<",
  [anon_sym_DOT] = ".",
  [anon_sym_DASH_GT] = "->",
  [sym_number_literal] = "number_literal",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_AT] = "@",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [anon_sym_objc_bridge_related] = "objc_bridge_related",
  [anon_sym___typeof__] = "__typeof__",
  [anon_sym___typeof] = "__typeof",
  [anon_sym_typeof] = "typeof",
  [anon_sym_availability] = "availability",
  [sym_version_number] = "version_number",
  [anon_sym_ios] = "ios",
  [anon_sym_tvos] = "tvos",
  [anon_sym_macos] = "macos",
  [anon_sym_macosx] = "macosx",
  [anon_sym_watchos] = "watchos",
  [anon_sym_ATimport] = "@import",
  [aux_sym_preproc_undef_token1] = "#undef",
  [anon_sym_POUND] = "#",
  [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = "NS_AUTOMATED_REFCOUNT_UNAVAILABLE",
  [anon_sym_NS_ROOT_CLASS] = "NS_ROOT_CLASS",
  [anon_sym_NS_UNAVAILABLE] = "NS_UNAVAILABLE",
  [anon_sym_NS_REQUIRES_NIL_TERMINATION] = "NS_REQUIRES_NIL_TERMINATION",
  [anon_sym_CF_RETURNS_RETAINED] = "CF_RETURNS_RETAINED",
  [anon_sym_CF_RETURNS_NOT_RETAINED] = "CF_RETURNS_NOT_RETAINED",
  [anon_sym_DEPRECATED_ATTRIBUTE] = "DEPRECATED_ATTRIBUTE",
  [anon_sym_UI_APPEARANCE_SELECTOR] = "UI_APPEARANCE_SELECTOR",
  [anon_sym_UNAVAILABLE_ATTRIBUTE] = "UNAVAILABLE_ATTRIBUTE",
  [anon_sym_CF_FORMAT_FUNCTION] = "CF_FORMAT_FUNCTION",
  [anon_sym_NS_AVAILABLE] = "NS_AVAILABLE",
  [anon_sym___IOS_AVAILABLE] = "__IOS_AVAILABLE",
  [anon_sym_NS_AVAILABLE_IOS] = "NS_AVAILABLE_IOS",
  [anon_sym_API_AVAILABLE] = "API_AVAILABLE",
  [anon_sym_API_UNAVAILABLE] = "API_UNAVAILABLE",
  [anon_sym_API_DEPRECATED] = "API_DEPRECATED",
  [anon_sym_NS_ENUM_AVAILABLE_IOS] = "NS_ENUM_AVAILABLE_IOS",
  [anon_sym_NS_DEPRECATED_IOS] = "NS_DEPRECATED_IOS",
  [anon_sym_NS_ENUM_DEPRECATED_IOS] = "NS_ENUM_DEPRECATED_IOS",
  [anon_sym_NS_FORMAT_FUNCTION] = "NS_FORMAT_FUNCTION",
  [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = "DEPRECATED_MSG_ATTRIBUTE",
  [anon_sym___deprecated_msg] = "__deprecated_msg",
  [anon_sym___deprecated_enum_msg] = "__deprecated_enum_msg",
  [anon_sym_NS_SWIFT_NAME] = "NS_SWIFT_NAME",
  [anon_sym_NS_SWIFT_UNAVAILABLE] = "NS_SWIFT_UNAVAILABLE",
  [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = "NS_EXTENSION_UNAVAILABLE_IOS",
  [anon_sym_NS_CLASS_AVAILABLE_IOS] = "NS_CLASS_AVAILABLE_IOS",
  [anon_sym_NS_CLASS_DEPRECATED_IOS] = "NS_CLASS_DEPRECATED_IOS",
  [anon_sym___OSX_AVAILABLE_STARTING] = "__OSX_AVAILABLE_STARTING",
  [anon_sym_ATprotocol] = "@protocol",
  [anon_sym_class] = "class",
  [anon_sym_ATend] = "@end",
  [anon_sym_ATinterface] = "@interface",
  [anon_sym_ATimplementation] = "@implementation",
  [anon_sym___covariant] = "__covariant",
  [anon_sym___contravariant] = "__contravariant",
  [anon_sym_ATprivate] = "@private",
  [anon_sym_ATprotected] = "@protected",
  [anon_sym_ATpackage] = "@package",
  [anon_sym_ATpublic] = "@public",
  [anon_sym_ATcompatibility_alias] = "@compatibility_alias",
  [anon_sym_AToptional] = "@optional",
  [anon_sym_ATrequired] = "@required",
  [anon_sym_ATsynthesize] = "@synthesize",
  [anon_sym_ATdynamic] = "@dynamic",
  [anon_sym_LPARENclass_RPAREN] = "(class)",
  [anon_sym_ATproperty] = "@property",
  [anon_sym_ATtry] = "@try",
  [anon_sym___try] = "__try",
  [anon_sym_ATcatch] = "@catch",
  [anon_sym___catch] = "__catch",
  [anon_sym_ATfinally] = "@finally",
  [anon_sym___finally] = "__finally",
  [anon_sym_ATthrow] = "@throw",
  [anon_sym_ATselector] = "@selector",
  [aux_sym_selector_expression_token1] = "selector_expression_token1",
  [anon_sym_ATavailable] = "@available",
  [anon_sym___builtin_available] = "__builtin_available",
  [anon_sym_va_arg] = "va_arg",
  [aux_sym_ms_asm_block_token1] = "ms_asm_block_token1",
  [anon_sym_ATencode] = "@encode",
  [anon_sym_ATsynchronized] = "@synchronized",
  [anon_sym_BOOL] = "BOOL",
  [anon_sym_IMP] = "IMP",
  [anon_sym_SEL] = "SEL",
  [anon_sym_Class] = "Class",
  [anon_sym_id] = "id",
  [anon_sym_ATdefs] = "@defs",
  [anon_sym_out] = "out",
  [anon_sym_inout] = "inout",
  [anon_sym_bycopy] = "bycopy",
  [anon_sym_byref] = "byref",
  [anon_sym_oneway] = "oneway",
  [anon_sym_COLON2] = ":",
  [sym_translation_unit] = "translation_unit",
  [sym__top_level_item] = "_top_level_item",
  [sym__block_item] = "_block_item",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym_preproc_elifdef_in_field_declaration_list] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym__old_style_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym_type_definition] = "type_definition",
  [sym__type_definition_type] = "_type_definition_type",
  [sym__type_definition_declarators] = "_type_definition_declarators",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym__old_style_function_declarator] = "function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym_alignas_qualifier] = "alignas_qualifier",
  [sym_type_specifier] = "type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_parameter_list] = "parameter_list",
  [sym__old_style_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_statement] = "statement",
  [sym__top_level_statement] = "_top_level_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_body] = "_for_statement_body",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_expression] = "expression",
  [sym__string] = "_string",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_alignof_expression] = "alignof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_extension_expression] = "extension_expression",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_subscript_range_designator] = "subscript_range_designator",
  [sym_field_designator] = "field_designator",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_macro_type_specifier] = "macro_type_specifier",
  [sym_objc_bridge] = "objc_bridge",
  [sym_typeof_specifier] = "typeof_specifier",
  [sym_availability] = "availability",
  [sym_version] = "version",
  [sym_platform] = "platform",
  [sym_module_import] = "module_import",
  [sym_preproc_if_in_implementation_definition] = "preproc_if",
  [sym_preproc_else_in_implementation_definition] = "preproc_else",
  [sym_preproc_elif_in_implementation_definition] = "preproc_elif",
  [sym_preproc_if_in_interface_declaration] = "preproc_if",
  [sym_preproc_else_in_interface_declaration] = "preproc_else",
  [sym_preproc_elif_in_interface_declaration] = "preproc_elif",
  [sym_preproc_ifdef_in_enumerator] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator] = "preproc_else",
  [sym_preproc_elif_in_enumerator] = "preproc_elif",
  [sym_preproc_undef] = "preproc_undef",
  [sym_preproc_linemarker] = "preproc_linemarker",
  [sym_availability_attribute_specifier] = "availability_attribute_specifier",
  [sym_protocol_forward_declaration] = "protocol_forward_declaration",
  [sym_class_declaration] = "class_declaration",
  [sym_class_interface] = "class_interface",
  [sym__class_interface_header] = "_class_interface_header",
  [sym__type_params] = "_type_params",
  [sym__class_interface_inheritance] = "_class_interface_inheritance",
  [sym_class_implementation] = "class_implementation",
  [sym__class_implementation_header] = "_class_implementation_header",
  [sym__class_implementation_inheritance] = "_class_implementation_inheritance",
  [sym_protocol_reference_list] = "protocol_reference_list",
  [sym_parameterized_arguments] = "parameterized_arguments",
  [sym_generic_arguments] = "generic_arguments",
  [sym_instance_variables] = "instance_variables",
  [sym_instance_variable] = "instance_variable",
  [sym_visibility_specification] = "visibility_specification",
  [sym_protocol_declaration] = "protocol_declaration",
  [sym_compatibility_alias_declaration] = "compatibility_alias_declaration",
  [sym_qualified_protocol_interface_declaration] = "qualified_protocol_interface_declaration",
  [sym_implementation_definition] = "implementation_definition",
  [sym_property_implementation] = "property_implementation",
  [sym_method_definition] = "method_definition",
  [sym_method_type] = "method_type",
  [sym_keyword_declarator] = "keyword_declarator",
  [sym_property_declaration] = "property_declaration",
  [sym_property_attributes_declaration] = "property_attributes_declaration",
  [sym_property_attribute] = "property_attribute",
  [sym_method_declaration] = "method_declaration",
  [sym_method_parameter] = "method_parameter",
  [sym_c_method_parameter] = "method_parameter",
  [sym_struct_declaration] = "struct_declaration",
  [sym_atomic_declaration] = "atomic_declaration",
  [sym_specifier_qualifier] = "specifier_qualifier",
  [sym_struct_declarator] = "struct_declarator",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_throw_statement] = "throw_statement",
  [sym_selector_expression] = "selector_expression",
  [sym_available_expression] = "available_expression",
  [sym_range_expression] = "range_expression",
  [sym_block_literal] = "block_literal",
  [sym_message_expression] = "message_expression",
  [sym_va_arg_expression] = "va_arg_expression",
  [sym_ms_asm_block] = "ms_asm_block",
  [sym_encode_expression] = "encode_expression",
  [sym_synchronized_statement] = "synchronized_statement",
  [sym_block_pointer_declarator] = "block_pointer_declarator",
  [sym_block_pointer_field_declarator] = "block_pointer_declarator",
  [sym_block_pointer_type_declarator] = "block_pointer_declarator",
  [sym_abstract_block_pointer_declarator] = "abstract_block_pointer_declarator",
  [sym_generic_specifier] = "generic_specifier",
  [sym_typedefed_specifier] = "typedefed_specifier",
  [sym_array_type_specifier] = "array_type_specifier",
  [sym_atdef_field] = "atdef_field",
  [sym_protocol_qualifier] = "protocol_qualifier",
  [sym_type_name] = "type_name",
  [sym_at_expression] = "at_expression",
  [sym_dictionary_literal] = "dictionary_literal",
  [sym_dictionary_pair] = "dictionary_pair",
  [sym_array_literal] = "array_literal",
  [sym_method_identifier] = "method_identifier",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym__old_style_function_definition_repeat1] = "_old_style_function_definition_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym__type_definition_type_repeat1] = "_type_definition_type_repeat1",
  [aux_sym__type_definition_declarators_repeat1] = "_type_definition_declarators_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_specifier_repeat1] = "attribute_specifier_repeat1",
  [aux_sym_attribute_repeat1] = "attribute_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym_attributed_field_declarator_repeat1] = "attributed_field_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_function_declarator_repeat1] = "function_declarator_repeat1",
  [aux_sym_function_field_declarator_repeat1] = "function_field_declarator_repeat1",
  [aux_sym_array_declarator_repeat1] = "array_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym__old_style_parameter_list_repeat1] = "_old_style_parameter_list_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_argument_list_repeat2] = "argument_list_repeat2",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym_availability_repeat1] = "availability_repeat1",
  [aux_sym_version_repeat1] = "version_repeat1",
  [aux_sym_module_import_repeat1] = "module_import_repeat1",
  [aux_sym_preproc_if_in_implementation_definition_repeat1] = "preproc_if_in_implementation_definition_repeat1",
  [aux_sym_preproc_if_in_interface_declaration_repeat1] = "preproc_if_in_interface_declaration_repeat1",
  [aux_sym_preproc_ifdef_in_enumerator_repeat1] = "preproc_ifdef_in_enumerator_repeat1",
  [aux_sym_availability_attribute_specifier_repeat1] = "availability_attribute_specifier_repeat1",
  [aux_sym_protocol_forward_declaration_repeat1] = "protocol_forward_declaration_repeat1",
  [aux_sym_class_declaration_repeat1] = "class_declaration_repeat1",
  [aux_sym_class_interface_repeat1] = "class_interface_repeat1",
  [aux_sym_class_implementation_repeat1] = "class_implementation_repeat1",
  [aux_sym_parameterized_arguments_repeat1] = "parameterized_arguments_repeat1",
  [aux_sym_parameterized_arguments_repeat2] = "parameterized_arguments_repeat2",
  [aux_sym_generic_arguments_repeat1] = "generic_arguments_repeat1",
  [aux_sym_instance_variables_repeat1] = "instance_variables_repeat1",
  [aux_sym_protocol_declaration_repeat1] = "protocol_declaration_repeat1",
  [aux_sym_property_implementation_repeat1] = "property_implementation_repeat1",
  [aux_sym_method_definition_repeat1] = "method_definition_repeat1",
  [aux_sym_method_definition_repeat2] = "method_definition_repeat2",
  [aux_sym_method_type_repeat1] = "method_type_repeat1",
  [aux_sym_keyword_selector_repeat1] = "keyword_selector_repeat1",
  [aux_sym_property_attributes_declaration_repeat1] = "property_attributes_declaration_repeat1",
  [aux_sym_method_declaration_repeat1] = "method_declaration_repeat1",
  [aux_sym_method_declaration_repeat2] = "method_declaration_repeat2",
  [aux_sym_c_method_parameter_repeat1] = "c_method_parameter_repeat1",
  [aux_sym_struct_declaration_repeat1] = "struct_declaration_repeat1",
  [aux_sym_struct_declaration_repeat2] = "struct_declaration_repeat2",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_selector_expression_repeat1] = "selector_expression_repeat1",
  [aux_sym_selector_expression_repeat2] = "selector_expression_repeat2",
  [aux_sym_available_expression_repeat1] = "available_expression_repeat1",
  [aux_sym_message_expression_repeat1] = "message_expression_repeat1",
  [aux_sym_message_expression_repeat2] = "message_expression_repeat2",
  [aux_sym_generic_specifier_repeat1] = "generic_specifier_repeat1",
  [aux_sym_type_name_repeat1] = "type_name_repeat1",
  [aux_sym_dictionary_literal_repeat1] = "dictionary_literal_repeat1",
  [aux_sym_method_identifier_repeat1] = "method_identifier_repeat1",
  [aux_sym_method_identifier_repeat2] = "method_identifier_repeat2",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_include_token3] = aux_sym_preproc_include_token3,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym___extension__] = anon_sym___extension__,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym___attribute] = anon_sym___attribute,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [anon_sym_nothrow] = anon_sym_nothrow,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_ATautoreleasepool] = anon_sym_ATautoreleasepool,
  [anon_sym_auto] = anon_sym_auto,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym___inline] = anon_sym___inline,
  [anon_sym___inline__] = anon_sym___inline__,
  [anon_sym___forceinline] = anon_sym___forceinline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym___thread] = anon_sym___thread,
  [anon_sym_CG_EXTERN] = anon_sym_CG_EXTERN,
  [anon_sym_CG_INLINE] = anon_sym_CG_INLINE,
  [anon_sym_FOUNDATION_EXPORT] = anon_sym_FOUNDATION_EXPORT,
  [anon_sym_FOUNDATION_EXTERN] = anon_sym_FOUNDATION_EXTERN,
  [anon_sym_FOUNDATION_STATIC_INLINE] = anon_sym_FOUNDATION_STATIC_INLINE,
  [anon_sym_IBOutlet] = anon_sym_IBOutlet,
  [anon_sym_IBInspectable] = anon_sym_IBInspectable,
  [anon_sym_IB_DESIGNABLE] = anon_sym_IB_DESIGNABLE,
  [anon_sym_NS_INLINE] = anon_sym_NS_INLINE,
  [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = anon_sym_NS_VALID_UNTIL_END_OF_SCOPE,
  [anon_sym_OBJC_EXPORT] = anon_sym_OBJC_EXPORT,
  [anon_sym_OBJC_ROOT_CLASS] = anon_sym_OBJC_ROOT_CLASS,
  [anon_sym_UIKIT_EXTERN] = anon_sym_UIKIT_EXTERN,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym__Nonnull] = anon_sym__Nonnull,
  [anon_sym_nullable] = anon_sym_nullable,
  [anon_sym__Complex] = anon_sym__Complex,
  [anon_sym__Nullable] = anon_sym__Nullable,
  [anon_sym__Nullable_result] = anon_sym__Nullable_result,
  [anon_sym__Null_unspecified] = anon_sym__Null_unspecified,
  [anon_sym___autoreleasing] = anon_sym___autoreleasing,
  [anon_sym___block] = anon_sym___block,
  [anon_sym___bridge] = anon_sym___bridge,
  [anon_sym___bridge_retained] = anon_sym___bridge_retained,
  [anon_sym___bridge_transfer] = anon_sym___bridge_transfer,
  [anon_sym___complex] = anon_sym___complex,
  [anon_sym___const] = anon_sym___const,
  [anon_sym___imag] = anon_sym___imag,
  [anon_sym___kindof] = anon_sym___kindof,
  [anon_sym___nonnull] = anon_sym___nonnull,
  [anon_sym___nullable] = anon_sym___nullable,
  [anon_sym___ptrauth_objc_class_ro] = anon_sym___ptrauth_objc_class_ro,
  [anon_sym___ptrauth_objc_isa_pointer] = anon_sym___ptrauth_objc_isa_pointer,
  [anon_sym___ptrauth_objc_super_pointer] = anon_sym___ptrauth_objc_super_pointer,
  [anon_sym___real] = anon_sym___real,
  [anon_sym___strong] = anon_sym___strong,
  [anon_sym___unsafe_unretained] = anon_sym___unsafe_unretained,
  [anon_sym___unused] = anon_sym___unused,
  [anon_sym___weak] = anon_sym___weak,
  [anon_sym_alignas] = anon_sym_alignas,
  [anon_sym__Alignas] = anon_sym__Alignas,
  [sym_primitive_type] = sym_primitive_type,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym___alignof__] = anon_sym___alignof__,
  [anon_sym___alignof] = anon_sym___alignof,
  [anon_sym__alignof] = anon_sym__alignof,
  [anon_sym_alignof] = anon_sym_alignof,
  [anon_sym__Alignof] = anon_sym__Alignof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym___asm] = anon_sym___asm,
  [anon_sym___volatile__] = anon_sym___volatile__,
  [anon_sym_LT2] = anon_sym_LT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [sym_number_literal] = sym_number_literal,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [anon_sym_objc_bridge_related] = anon_sym_objc_bridge_related,
  [anon_sym___typeof__] = anon_sym___typeof__,
  [anon_sym___typeof] = anon_sym___typeof,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_availability] = anon_sym_availability,
  [sym_version_number] = sym_version_number,
  [anon_sym_ios] = anon_sym_ios,
  [anon_sym_tvos] = anon_sym_tvos,
  [anon_sym_macos] = anon_sym_macos,
  [anon_sym_macosx] = anon_sym_macosx,
  [anon_sym_watchos] = anon_sym_watchos,
  [anon_sym_ATimport] = anon_sym_ATimport,
  [aux_sym_preproc_undef_token1] = aux_sym_preproc_undef_token1,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE,
  [anon_sym_NS_ROOT_CLASS] = anon_sym_NS_ROOT_CLASS,
  [anon_sym_NS_UNAVAILABLE] = anon_sym_NS_UNAVAILABLE,
  [anon_sym_NS_REQUIRES_NIL_TERMINATION] = anon_sym_NS_REQUIRES_NIL_TERMINATION,
  [anon_sym_CF_RETURNS_RETAINED] = anon_sym_CF_RETURNS_RETAINED,
  [anon_sym_CF_RETURNS_NOT_RETAINED] = anon_sym_CF_RETURNS_NOT_RETAINED,
  [anon_sym_DEPRECATED_ATTRIBUTE] = anon_sym_DEPRECATED_ATTRIBUTE,
  [anon_sym_UI_APPEARANCE_SELECTOR] = anon_sym_UI_APPEARANCE_SELECTOR,
  [anon_sym_UNAVAILABLE_ATTRIBUTE] = anon_sym_UNAVAILABLE_ATTRIBUTE,
  [anon_sym_CF_FORMAT_FUNCTION] = anon_sym_CF_FORMAT_FUNCTION,
  [anon_sym_NS_AVAILABLE] = anon_sym_NS_AVAILABLE,
  [anon_sym___IOS_AVAILABLE] = anon_sym___IOS_AVAILABLE,
  [anon_sym_NS_AVAILABLE_IOS] = anon_sym_NS_AVAILABLE_IOS,
  [anon_sym_API_AVAILABLE] = anon_sym_API_AVAILABLE,
  [anon_sym_API_UNAVAILABLE] = anon_sym_API_UNAVAILABLE,
  [anon_sym_API_DEPRECATED] = anon_sym_API_DEPRECATED,
  [anon_sym_NS_ENUM_AVAILABLE_IOS] = anon_sym_NS_ENUM_AVAILABLE_IOS,
  [anon_sym_NS_DEPRECATED_IOS] = anon_sym_NS_DEPRECATED_IOS,
  [anon_sym_NS_ENUM_DEPRECATED_IOS] = anon_sym_NS_ENUM_DEPRECATED_IOS,
  [anon_sym_NS_FORMAT_FUNCTION] = anon_sym_NS_FORMAT_FUNCTION,
  [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = anon_sym_DEPRECATED_MSG_ATTRIBUTE,
  [anon_sym___deprecated_msg] = anon_sym___deprecated_msg,
  [anon_sym___deprecated_enum_msg] = anon_sym___deprecated_enum_msg,
  [anon_sym_NS_SWIFT_NAME] = anon_sym_NS_SWIFT_NAME,
  [anon_sym_NS_SWIFT_UNAVAILABLE] = anon_sym_NS_SWIFT_UNAVAILABLE,
  [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = anon_sym_NS_EXTENSION_UNAVAILABLE_IOS,
  [anon_sym_NS_CLASS_AVAILABLE_IOS] = anon_sym_NS_CLASS_AVAILABLE_IOS,
  [anon_sym_NS_CLASS_DEPRECATED_IOS] = anon_sym_NS_CLASS_DEPRECATED_IOS,
  [anon_sym___OSX_AVAILABLE_STARTING] = anon_sym___OSX_AVAILABLE_STARTING,
  [anon_sym_ATprotocol] = anon_sym_ATprotocol,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_ATend] = anon_sym_ATend,
  [anon_sym_ATinterface] = anon_sym_ATinterface,
  [anon_sym_ATimplementation] = anon_sym_ATimplementation,
  [anon_sym___covariant] = anon_sym___covariant,
  [anon_sym___contravariant] = anon_sym___contravariant,
  [anon_sym_ATprivate] = anon_sym_ATprivate,
  [anon_sym_ATprotected] = anon_sym_ATprotected,
  [anon_sym_ATpackage] = anon_sym_ATpackage,
  [anon_sym_ATpublic] = anon_sym_ATpublic,
  [anon_sym_ATcompatibility_alias] = anon_sym_ATcompatibility_alias,
  [anon_sym_AToptional] = anon_sym_AToptional,
  [anon_sym_ATrequired] = anon_sym_ATrequired,
  [anon_sym_ATsynthesize] = anon_sym_ATsynthesize,
  [anon_sym_ATdynamic] = anon_sym_ATdynamic,
  [anon_sym_LPARENclass_RPAREN] = anon_sym_LPARENclass_RPAREN,
  [anon_sym_ATproperty] = anon_sym_ATproperty,
  [anon_sym_ATtry] = anon_sym_ATtry,
  [anon_sym___try] = anon_sym___try,
  [anon_sym_ATcatch] = anon_sym_ATcatch,
  [anon_sym___catch] = anon_sym___catch,
  [anon_sym_ATfinally] = anon_sym_ATfinally,
  [anon_sym___finally] = anon_sym___finally,
  [anon_sym_ATthrow] = anon_sym_ATthrow,
  [anon_sym_ATselector] = anon_sym_ATselector,
  [aux_sym_selector_expression_token1] = aux_sym_selector_expression_token1,
  [anon_sym_ATavailable] = anon_sym_ATavailable,
  [anon_sym___builtin_available] = anon_sym___builtin_available,
  [anon_sym_va_arg] = anon_sym_va_arg,
  [aux_sym_ms_asm_block_token1] = aux_sym_ms_asm_block_token1,
  [anon_sym_ATencode] = anon_sym_ATencode,
  [anon_sym_ATsynchronized] = anon_sym_ATsynchronized,
  [anon_sym_BOOL] = anon_sym_BOOL,
  [anon_sym_IMP] = anon_sym_IMP,
  [anon_sym_SEL] = anon_sym_SEL,
  [anon_sym_Class] = anon_sym_Class,
  [anon_sym_id] = anon_sym_id,
  [anon_sym_ATdefs] = anon_sym_ATdefs,
  [anon_sym_out] = anon_sym_out,
  [anon_sym_inout] = anon_sym_inout,
  [anon_sym_bycopy] = anon_sym_bycopy,
  [anon_sym_byref] = anon_sym_byref,
  [anon_sym_oneway] = anon_sym_oneway,
  [anon_sym_COLON2] = anon_sym_COLON,
  [sym_translation_unit] = sym_translation_unit,
  [sym__top_level_item] = sym__top_level_item,
  [sym__block_item] = sym__block_item,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_field_declaration_list] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym__old_style_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym_type_definition] = sym_type_definition,
  [sym__type_definition_type] = sym__type_definition_type,
  [sym__type_definition_declarators] = sym__type_definition_declarators,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_field_declarator] = sym_attributed_field_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym__old_style_function_declarator] = sym_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym_alignas_qualifier] = sym_alignas_qualifier,
  [sym_type_specifier] = sym_type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_parameter_list] = sym_parameter_list,
  [sym__old_style_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_statement] = sym_statement,
  [sym__top_level_statement] = sym__top_level_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_body] = sym__for_statement_body,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_expression] = sym_expression,
  [sym__string] = sym__string,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_alignof_expression] = sym_alignof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_extension_expression] = sym_extension_expression,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_subscript_range_designator] = sym_subscript_range_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_macro_type_specifier] = sym_macro_type_specifier,
  [sym_objc_bridge] = sym_objc_bridge,
  [sym_typeof_specifier] = sym_typeof_specifier,
  [sym_availability] = sym_availability,
  [sym_version] = sym_version,
  [sym_platform] = sym_platform,
  [sym_module_import] = sym_module_import,
  [sym_preproc_if_in_implementation_definition] = sym_preproc_if,
  [sym_preproc_else_in_implementation_definition] = sym_preproc_else,
  [sym_preproc_elif_in_implementation_definition] = sym_preproc_elif,
  [sym_preproc_if_in_interface_declaration] = sym_preproc_if,
  [sym_preproc_else_in_interface_declaration] = sym_preproc_else,
  [sym_preproc_elif_in_interface_declaration] = sym_preproc_elif,
  [sym_preproc_ifdef_in_enumerator] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator] = sym_preproc_elif,
  [sym_preproc_undef] = sym_preproc_undef,
  [sym_preproc_linemarker] = sym_preproc_linemarker,
  [sym_availability_attribute_specifier] = sym_availability_attribute_specifier,
  [sym_protocol_forward_declaration] = sym_protocol_forward_declaration,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_interface] = sym_class_interface,
  [sym__class_interface_header] = sym__class_interface_header,
  [sym__type_params] = sym__type_params,
  [sym__class_interface_inheritance] = sym__class_interface_inheritance,
  [sym_class_implementation] = sym_class_implementation,
  [sym__class_implementation_header] = sym__class_implementation_header,
  [sym__class_implementation_inheritance] = sym__class_implementation_inheritance,
  [sym_protocol_reference_list] = sym_protocol_reference_list,
  [sym_parameterized_arguments] = sym_parameterized_arguments,
  [sym_generic_arguments] = sym_generic_arguments,
  [sym_instance_variables] = sym_instance_variables,
  [sym_instance_variable] = sym_instance_variable,
  [sym_visibility_specification] = sym_visibility_specification,
  [sym_protocol_declaration] = sym_protocol_declaration,
  [sym_compatibility_alias_declaration] = sym_compatibility_alias_declaration,
  [sym_qualified_protocol_interface_declaration] = sym_qualified_protocol_interface_declaration,
  [sym_implementation_definition] = sym_implementation_definition,
  [sym_property_implementation] = sym_property_implementation,
  [sym_method_definition] = sym_method_definition,
  [sym_method_type] = sym_method_type,
  [sym_keyword_declarator] = sym_keyword_declarator,
  [sym_property_declaration] = sym_property_declaration,
  [sym_property_attributes_declaration] = sym_property_attributes_declaration,
  [sym_property_attribute] = sym_property_attribute,
  [sym_method_declaration] = sym_method_declaration,
  [sym_method_parameter] = sym_method_parameter,
  [sym_c_method_parameter] = sym_method_parameter,
  [sym_struct_declaration] = sym_struct_declaration,
  [sym_atomic_declaration] = sym_atomic_declaration,
  [sym_specifier_qualifier] = sym_specifier_qualifier,
  [sym_struct_declarator] = sym_struct_declarator,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_throw_statement] = sym_throw_statement,
  [sym_selector_expression] = sym_selector_expression,
  [sym_available_expression] = sym_available_expression,
  [sym_range_expression] = sym_range_expression,
  [sym_block_literal] = sym_block_literal,
  [sym_message_expression] = sym_message_expression,
  [sym_va_arg_expression] = sym_va_arg_expression,
  [sym_ms_asm_block] = sym_ms_asm_block,
  [sym_encode_expression] = sym_encode_expression,
  [sym_synchronized_statement] = sym_synchronized_statement,
  [sym_block_pointer_declarator] = sym_block_pointer_declarator,
  [sym_block_pointer_field_declarator] = sym_block_pointer_declarator,
  [sym_block_pointer_type_declarator] = sym_block_pointer_declarator,
  [sym_abstract_block_pointer_declarator] = sym_abstract_block_pointer_declarator,
  [sym_generic_specifier] = sym_generic_specifier,
  [sym_typedefed_specifier] = sym_typedefed_specifier,
  [sym_array_type_specifier] = sym_array_type_specifier,
  [sym_atdef_field] = sym_atdef_field,
  [sym_protocol_qualifier] = sym_protocol_qualifier,
  [sym_type_name] = sym_type_name,
  [sym_at_expression] = sym_at_expression,
  [sym_dictionary_literal] = sym_dictionary_literal,
  [sym_dictionary_pair] = sym_dictionary_pair,
  [sym_array_literal] = sym_array_literal,
  [sym_method_identifier] = sym_method_identifier,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym__old_style_function_definition_repeat1] = aux_sym__old_style_function_definition_repeat1,
  [aux_sym_declaration_repeat1] = aux_sym_declaration_repeat1,
  [aux_sym__type_definition_type_repeat1] = aux_sym__type_definition_type_repeat1,
  [aux_sym__type_definition_declarators_repeat1] = aux_sym__type_definition_declarators_repeat1,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_specifier_repeat1] = aux_sym_attribute_specifier_repeat1,
  [aux_sym_attribute_repeat1] = aux_sym_attribute_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym_attributed_field_declarator_repeat1] = aux_sym_attributed_field_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_function_declarator_repeat1] = aux_sym_function_declarator_repeat1,
  [aux_sym_function_field_declarator_repeat1] = aux_sym_function_field_declarator_repeat1,
  [aux_sym_array_declarator_repeat1] = aux_sym_array_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym__old_style_parameter_list_repeat1] = aux_sym__old_style_parameter_list_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_argument_list_repeat2] = aux_sym_argument_list_repeat2,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym_availability_repeat1] = aux_sym_availability_repeat1,
  [aux_sym_version_repeat1] = aux_sym_version_repeat1,
  [aux_sym_module_import_repeat1] = aux_sym_module_import_repeat1,
  [aux_sym_preproc_if_in_implementation_definition_repeat1] = aux_sym_preproc_if_in_implementation_definition_repeat1,
  [aux_sym_preproc_if_in_interface_declaration_repeat1] = aux_sym_preproc_if_in_interface_declaration_repeat1,
  [aux_sym_preproc_ifdef_in_enumerator_repeat1] = aux_sym_preproc_ifdef_in_enumerator_repeat1,
  [aux_sym_availability_attribute_specifier_repeat1] = aux_sym_availability_attribute_specifier_repeat1,
  [aux_sym_protocol_forward_declaration_repeat1] = aux_sym_protocol_forward_declaration_repeat1,
  [aux_sym_class_declaration_repeat1] = aux_sym_class_declaration_repeat1,
  [aux_sym_class_interface_repeat1] = aux_sym_class_interface_repeat1,
  [aux_sym_class_implementation_repeat1] = aux_sym_class_implementation_repeat1,
  [aux_sym_parameterized_arguments_repeat1] = aux_sym_parameterized_arguments_repeat1,
  [aux_sym_parameterized_arguments_repeat2] = aux_sym_parameterized_arguments_repeat2,
  [aux_sym_generic_arguments_repeat1] = aux_sym_generic_arguments_repeat1,
  [aux_sym_instance_variables_repeat1] = aux_sym_instance_variables_repeat1,
  [aux_sym_protocol_declaration_repeat1] = aux_sym_protocol_declaration_repeat1,
  [aux_sym_property_implementation_repeat1] = aux_sym_property_implementation_repeat1,
  [aux_sym_method_definition_repeat1] = aux_sym_method_definition_repeat1,
  [aux_sym_method_definition_repeat2] = aux_sym_method_definition_repeat2,
  [aux_sym_method_type_repeat1] = aux_sym_method_type_repeat1,
  [aux_sym_keyword_selector_repeat1] = aux_sym_keyword_selector_repeat1,
  [aux_sym_property_attributes_declaration_repeat1] = aux_sym_property_attributes_declaration_repeat1,
  [aux_sym_method_declaration_repeat1] = aux_sym_method_declaration_repeat1,
  [aux_sym_method_declaration_repeat2] = aux_sym_method_declaration_repeat2,
  [aux_sym_c_method_parameter_repeat1] = aux_sym_c_method_parameter_repeat1,
  [aux_sym_struct_declaration_repeat1] = aux_sym_struct_declaration_repeat1,
  [aux_sym_struct_declaration_repeat2] = aux_sym_struct_declaration_repeat2,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_selector_expression_repeat1] = aux_sym_selector_expression_repeat1,
  [aux_sym_selector_expression_repeat2] = aux_sym_selector_expression_repeat2,
  [aux_sym_available_expression_repeat1] = aux_sym_available_expression_repeat1,
  [aux_sym_message_expression_repeat1] = aux_sym_message_expression_repeat1,
  [aux_sym_message_expression_repeat2] = aux_sym_message_expression_repeat2,
  [aux_sym_generic_specifier_repeat1] = aux_sym_generic_specifier_repeat1,
  [aux_sym_type_name_repeat1] = aux_sym_type_name_repeat1,
  [aux_sym_dictionary_literal_repeat1] = aux_sym_dictionary_literal_repeat1,
  [aux_sym_method_identifier_repeat1] = aux_sym_method_identifier_repeat1,
  [aux_sym_method_identifier_repeat2] = aux_sym_method_identifier_repeat2,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___extension__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nothrow] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATautoreleasepool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_auto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___forceinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thread] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CG_EXTERN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CG_INLINE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_FOUNDATION_EXPORT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_FOUNDATION_EXTERN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_FOUNDATION_STATIC_INLINE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_IBOutlet] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_IBInspectable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_IB_DESIGNABLE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NS_INLINE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_OBJC_EXPORT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_OBJC_ROOT_CLASS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_UIKIT_EXTERN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Nonnull] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Complex] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Nullable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Nullable_result] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Null_unspecified] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___autoreleasing] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___block] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___bridge] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___bridge_retained] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___bridge_transfer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___complex] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___imag] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___kindof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___nonnull] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___nullable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___ptrauth_objc_class_ro] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___ptrauth_objc_isa_pointer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___ptrauth_objc_super_pointer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___real] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___strong] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unsafe_unretained] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unused] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___weak] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignas] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignas] = {
    .visible = true,
    .named = false,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___volatile__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_objc_bridge_related] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___typeof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_availability] = {
    .visible = true,
    .named = false,
  },
  [sym_version_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_ios] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_tvos] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_macos] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_macosx] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_watchos] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATimport] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_undef_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NS_ROOT_CLASS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NS_UNAVAILABLE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NS_REQUIRES_NIL_TERMINATION] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CF_RETURNS_RETAINED] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CF_RETURNS_NOT_RETAINED] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DEPRECATED_ATTRIBUTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_UI_APPEARANCE_SELECTOR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_UNAVAILABLE_ATTRIBUTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CF_FORMAT_FUNCTION] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NS_AVAILABLE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___IOS_AVAILABLE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NS_AVAILABLE_IOS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_API_AVAILABLE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_API_UNAVAILABLE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_API_DEPRECATED] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NS_ENUM_AVAILABLE_IOS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NS_DEPRECATED_IOS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NS_ENUM_DEPRECATED_IOS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NS_FORMAT_FUNCTION] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___deprecated_msg] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___deprecated_enum_msg] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NS_SWIFT_NAME] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NS_SWIFT_UNAVAILABLE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NS_CLASS_AVAILABLE_IOS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_NS_CLASS_DEPRECATED_IOS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___OSX_AVAILABLE_STARTING] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATprotocol] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATinterface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATimplementation] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___covariant] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___contravariant] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATprivate] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATprotected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATpackage] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATpublic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATcompatibility_alias] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AToptional] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATrequired] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATsynthesize] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATdynamic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPARENclass_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATproperty] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATtry] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATcatch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATfinally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATthrow] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATselector] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_selector_expression_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_ATavailable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___builtin_available] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_va_arg] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_ms_asm_block_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_ATencode] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATsynchronized] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BOOL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_IMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_id] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATdefs] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_out] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inout] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bycopy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_byref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_oneway] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON2] = {
    .visible = true,
    .named = false,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_item] = {
    .visible = false,
    .named = true,
  },
  [sym__block_item] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__old_style_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_definition_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_definition_declarators] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym__old_style_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_alignas_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym__old_style_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__top_level_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_body] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_alignof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_extension_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_range_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_macro_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_objc_bridge] = {
    .visible = true,
    .named = true,
  },
  [sym_typeof_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_availability] = {
    .visible = true,
    .named = true,
  },
  [sym_version] = {
    .visible = true,
    .named = true,
  },
  [sym_platform] = {
    .visible = true,
    .named = true,
  },
  [sym_module_import] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_implementation_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_implementation_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_implementation_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_undef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_linemarker] = {
    .visible = true,
    .named = true,
  },
  [sym_availability_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_protocol_forward_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_interface] = {
    .visible = true,
    .named = true,
  },
  [sym__class_interface_header] = {
    .visible = false,
    .named = true,
  },
  [sym__type_params] = {
    .visible = false,
    .named = true,
  },
  [sym__class_interface_inheritance] = {
    .visible = false,
    .named = true,
  },
  [sym_class_implementation] = {
    .visible = true,
    .named = true,
  },
  [sym__class_implementation_header] = {
    .visible = false,
    .named = true,
  },
  [sym__class_implementation_inheritance] = {
    .visible = false,
    .named = true,
  },
  [sym_protocol_reference_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameterized_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variables] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_protocol_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_compatibility_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_protocol_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_implementation_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_property_implementation] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_method_type] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_property_attributes_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_property_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_method_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_c_method_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_atomic_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_specifier_qualifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_struct_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_selector_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_available_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_range_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_block_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_message_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_va_arg_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_asm_block] = {
    .visible = true,
    .named = true,
  },
  [sym_encode_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_synchronized_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_block_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_block_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_block_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_block_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_typedefed_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_atdef_field] = {
    .visible = true,
    .named = true,
  },
  [sym_protocol_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_name] = {
    .visible = true,
    .named = true,
  },
  [sym_at_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_array_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_method_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__old_style_function_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_declarators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_field_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_field_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__old_style_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_char_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_availability_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_version_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_import_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_implementation_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_interface_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_ifdef_in_enumerator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_availability_attribute_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_protocol_forward_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_interface_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_implementation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameterized_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameterized_arguments_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_instance_variables_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_protocol_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_implementation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_method_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_method_definition_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_method_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_selector_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_attributes_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_method_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_method_declaration_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_c_method_parameter_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_declaration_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_selector_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_selector_expression_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_available_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_message_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_message_expression_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dictionary_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_method_identifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_method_identifier_repeat2] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_assembly_code = 5,
  field_base = 6,
  field_body = 7,
  field_category = 8,
  field_class = 9,
  field_clobbers = 10,
  field_column = 11,
  field_condition = 12,
  field_consequence = 13,
  field_constraint = 14,
  field_declarator = 15,
  field_designator = 16,
  field_directive = 17,
  field_end = 18,
  field_field = 19,
  field_filename = 20,
  field_function = 21,
  field_goto_labels = 22,
  field_index = 23,
  field_initializer = 24,
  field_input_operands = 25,
  field_label = 26,
  field_left = 27,
  field_member = 28,
  field_method = 29,
  field_name = 30,
  field_operand = 31,
  field_operator = 32,
  field_output_operands = 33,
  field_parameters = 34,
  field_path = 35,
  field_prefix = 36,
  field_receiver = 37,
  field_register = 38,
  field_right = 39,
  field_row = 40,
  field_size = 41,
  field_start = 42,
  field_superclass = 43,
  field_symbol = 44,
  field_type = 45,
  field_underlying_type = 46,
  field_update = 47,
  field_value = 48,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_base] = "base",
  [field_body] = "body",
  [field_category] = "category",
  [field_class] = "class",
  [field_clobbers] = "clobbers",
  [field_column] = "column",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_end] = "end",
  [field_field] = "field",
  [field_filename] = "filename",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_method] = "method",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_prefix] = "prefix",
  [field_receiver] = "receiver",
  [field_register] = "register",
  [field_right] = "right",
  [field_row] = "row",
  [field_size] = "size",
  [field_start] = "start",
  [field_superclass] = "superclass",
  [field_symbol] = "symbol",
  [field_type] = "type",
  [field_underlying_type] = "underlying_type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [3] = {.index = 0, .length = 3},
  [4] = {.index = 3, .length = 1},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 2},
  [7] = {.index = 7, .length = 1},
  [8] = {.index = 8, .length = 1},
  [9] = {.index = 9, .length = 1},
  [10] = {.index = 3, .length = 1},
  [11] = {.index = 10, .length = 2},
  [12] = {.index = 12, .length = 2},
  [13] = {.index = 14, .length = 1},
  [14] = {.index = 14, .length = 1},
  [15] = {.index = 15, .length = 2},
  [16] = {.index = 8, .length = 1},
  [17] = {.index = 17, .length = 2},
  [18] = {.index = 19, .length = 2},
  [19] = {.index = 21, .length = 1},
  [20] = {.index = 22, .length = 1},
  [21] = {.index = 23, .length = 1},
  [22] = {.index = 24, .length = 2},
  [24] = {.index = 26, .length = 1},
  [25] = {.index = 27, .length = 2},
  [26] = {.index = 29, .length = 1},
  [27] = {.index = 30, .length = 1},
  [28] = {.index = 31, .length = 2},
  [29] = {.index = 33, .length = 1},
  [30] = {.index = 34, .length = 1},
  [31] = {.index = 35, .length = 2},
  [32] = {.index = 37, .length = 2},
  [33] = {.index = 39, .length = 1},
  [34] = {.index = 40, .length = 3},
  [35] = {.index = 43, .length = 1},
  [36] = {.index = 44, .length = 1},
  [37] = {.index = 45, .length = 2},
  [38] = {.index = 47, .length = 2},
  [39] = {.index = 49, .length = 3},
  [40] = {.index = 52, .length = 5},
  [41] = {.index = 57, .length = 3},
  [42] = {.index = 60, .length = 1},
  [43] = {.index = 61, .length = 2},
  [44] = {.index = 63, .length = 1},
  [45] = {.index = 63, .length = 1},
  [46] = {.index = 64, .length = 2},
  [47] = {.index = 66, .length = 2},
  [48] = {.index = 68, .length = 1},
  [49] = {.index = 69, .length = 2},
  [51] = {.index = 71, .length = 2},
  [52] = {.index = 73, .length = 2},
  [53] = {.index = 75, .length = 2},
  [54] = {.index = 77, .length = 2},
  [55] = {.index = 79, .length = 1},
  [56] = {.index = 80, .length = 2},
  [57] = {.index = 82, .length = 2},
  [58] = {.index = 84, .length = 2},
  [59] = {.index = 86, .length = 2},
  [60] = {.index = 88, .length = 2},
  [61] = {.index = 90, .length = 2},
  [62] = {.index = 90, .length = 2},
  [63] = {.index = 92, .length = 2},
  [64] = {.index = 94, .length = 1},
  [65] = {.index = 95, .length = 1},
  [67] = {.index = 96, .length = 3},
  [68] = {.index = 99, .length = 1},
  [69] = {.index = 100, .length = 1},
  [70] = {.index = 101, .length = 2},
  [71] = {.index = 103, .length = 2},
  [72] = {.index = 105, .length = 1},
  [73] = {.index = 106, .length = 2},
  [74] = {.index = 108, .length = 3},
  [75] = {.index = 111, .length = 3},
  [76] = {.index = 114, .length = 2},
  [77] = {.index = 116, .length = 5},
  [78] = {.index = 121, .length = 3},
  [79] = {.index = 124, .length = 5},
  [80] = {.index = 129, .length = 2},
  [81] = {.index = 131, .length = 2},
  [82] = {.index = 133, .length = 1},
  [84] = {.index = 134, .length = 2},
  [85] = {.index = 136, .length = 3},
  [86] = {.index = 139, .length = 2},
  [87] = {.index = 141, .length = 2},
  [89] = {.index = 143, .length = 1},
  [90] = {.index = 144, .length = 2},
  [91] = {.index = 146, .length = 1},
  [92] = {.index = 147, .length = 2},
  [93] = {.index = 149, .length = 2},
  [94] = {.index = 151, .length = 2},
  [95] = {.index = 153, .length = 2},
  [96] = {.index = 155, .length = 3},
  [97] = {.index = 155, .length = 3},
  [98] = {.index = 158, .length = 2},
  [99] = {.index = 160, .length = 2},
  [100] = {.index = 160, .length = 2},
  [101] = {.index = 162, .length = 2},
  [102] = {.index = 164, .length = 2},
  [103] = {.index = 166, .length = 1},
  [104] = {.index = 167, .length = 2},
  [105] = {.index = 169, .length = 2},
  [106] = {.index = 171, .length = 4},
  [107] = {.index = 175, .length = 1},
  [108] = {.index = 176, .length = 2},
  [109] = {.index = 178, .length = 1},
  [110] = {.index = 179, .length = 2},
  [111] = {.index = 181, .length = 2},
  [112] = {.index = 183, .length = 2},
  [113] = {.index = 185, .length = 4},
  [114] = {.index = 189, .length = 5},
  [115] = {.index = 194, .length = 3},
  [117] = {.index = 197, .length = 2},
  [118] = {.index = 199, .length = 1},
  [120] = {.index = 200, .length = 1},
  [121] = {.index = 201, .length = 2},
  [122] = {.index = 203, .length = 2},
  [123] = {.index = 205, .length = 3},
  [124] = {.index = 205, .length = 3},
  [125] = {.index = 208, .length = 2},
  [126] = {.index = 210, .length = 2},
  [127] = {.index = 210, .length = 2},
  [128] = {.index = 212, .length = 2},
  [129] = {.index = 214, .length = 3},
  [130] = {.index = 217, .length = 2},
  [131] = {.index = 219, .length = 2},
  [132] = {.index = 221, .length = 2},
  [133] = {.index = 223, .length = 2},
  [134] = {.index = 225, .length = 3},
  [135] = {.index = 228, .length = 2},
  [136] = {.index = 230, .length = 3},
  [138] = {.index = 233, .length = 2},
  [139] = {.index = 233, .length = 2},
  [140] = {.index = 235, .length = 2},
  [141] = {.index = 237, .length = 3},
  [142] = {.index = 237, .length = 3},
  [143] = {.index = 240, .length = 3},
  [144] = {.index = 243, .length = 3},
  [145] = {.index = 246, .length = 2},
  [146] = {.index = 248, .length = 1},
  [147] = {.index = 249, .length = 4},
  [148] = {.index = 253, .length = 3},
  [149] = {.index = 256, .length = 2},
  [150] = {.index = 258, .length = 1},
  [151] = {.index = 259, .length = 2},
  [152] = {.index = 261, .length = 2},
  [153] = {.index = 39, .length = 1},
  [154] = {.index = 263, .length = 5},
  [155] = {.index = 268, .length = 4},
  [157] = {.index = 272, .length = 2},
  [158] = {.index = 274, .length = 2},
  [159] = {.index = 276, .length = 2},
  [160] = {.index = 278, .length = 5},
  [161] = {.index = 283, .length = 2},
  [162] = {.index = 285, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_body, 0, .inherited = true},
    {field_declarator, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [3] =
    {field_type, 0},
  [4] =
    {field_directive, 0},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_value, 1},
  [8] =
    {field_name, 1},
  [9] =
    {field_body, 1},
  [10] =
    {field_argument, 0},
    {field_operator, 1},
  [12] =
    {field_arguments, 1},
    {field_function, 0},
  [14] =
    {field_type, 1},
  [15] =
    {field_directive, 0},
    {field_path, 1},
  [17] =
    {field_argument, 1},
    {field_directive, 0},
  [19] =
    {field_declarator, 1},
    {field_type, 0},
  [21] =
    {field_parameters, 0},
  [22] =
    {field_type, 0, .inherited = true},
  [23] =
    {field_declarator, 1},
  [24] =
    {field_declarator, 0},
    {field_parameters, 1},
  [26] =
    {field_declarator, 0},
  [27] =
    {field_body, 2},
    {field_value, 1},
  [29] =
    {field_name, 0},
  [30] =
    {field_method, 0},
  [31] =
    {field_body, 2},
    {field_name, 1},
  [33] =
    {field_name, 2},
  [34] =
    {field_body, 2},
  [35] =
    {field_condition, 1},
    {field_consequence, 2},
  [37] =
    {field_body, 2},
    {field_condition, 1},
  [39] =
    {field_label, 1},
  [40] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [43] =
    {field_label, 0},
  [44] =
    {field_path, 1},
  [45] =
    {field_alias, 2},
    {field_class, 1},
  [47] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [49] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [52] =
    {field_body, 2},
    {field_declarator, 1},
    {field_declarator, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 0, .inherited = true},
  [57] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [60] =
    {field_superclass, 1},
  [61] =
    {field_category, 1, .inherited = true},
    {field_superclass, 1, .inherited = true},
  [63] =
    {field_type, 2},
  [64] =
    {field_name, 1},
    {field_value, 2},
  [66] =
    {field_name, 1},
    {field_parameters, 2},
  [68] =
    {field_condition, 1},
  [69] =
    {field_alternative, 2},
    {field_name, 1},
  [71] =
    {field_declarator, 2},
    {field_type, 0},
  [73] =
    {field_left, 0},
    {field_right, 2},
  [75] =
    {field_type, 1},
    {field_value, 3},
  [77] =
    {field_declarator, 2},
    {field_type, 1},
  [79] =
    {field_declarator, 2},
  [80] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [82] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [84] =
    {field_method, 2, .inherited = true},
    {field_receiver, 1},
  [86] =
    {field_method, 0, .inherited = true},
    {field_method, 1, .inherited = true},
  [88] =
    {field_base, 2},
    {field_body, 3},
  [90] =
    {field_name, 1},
    {field_underlying_type, 3},
  [92] =
    {field_body, 3},
    {field_name, 2},
  [94] =
    {field_name, 3},
  [95] =
    {field_body, 3},
  [96] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [99] =
    {field_initializer, 0},
  [100] =
    {field_assembly_code, 2},
  [101] =
    {field_name, 0},
    {field_type, 2},
  [103] =
    {field_path, 1},
    {field_path, 2},
  [105] =
    {field_filename, 2},
  [106] =
    {field_declarator, 0},
    {field_value, 2},
  [108] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [111] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [114] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [116] =
    {field_body, 3},
    {field_declarator, 1},
    {field_declarator, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 0, .inherited = true},
  [121] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [124] =
    {field_body, 3},
    {field_declarator, 2},
    {field_declarator, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [129] =
    {field_argument, 0},
    {field_index, 2},
  [131] =
    {field_alternative, 3},
    {field_condition, 0},
  [133] =
    {field_category, 1},
  [134] =
    {field_category, 2, .inherited = true},
    {field_superclass, 2, .inherited = true},
  [136] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [139] =
    {field_alternative, 3},
    {field_condition, 1},
  [141] =
    {field_alternative, 3},
    {field_name, 1},
  [143] =
    {field_size, 1},
  [144] =
    {field_declarator, 3},
    {field_type, 1},
  [146] =
    {field_declarator, 3},
  [147] =
    {field_declarator, 0},
    {field_size, 2},
  [149] =
    {field_declarator, 3, .inherited = true},
    {field_type, 2, .inherited = true},
  [151] =
    {field_name, 2},
    {field_prefix, 0},
  [153] =
    {field_name, 0},
    {field_value, 2},
  [155] =
    {field_body, 4},
    {field_name, 1},
    {field_underlying_type, 3},
  [158] =
    {field_base, 3},
    {field_body, 4},
  [160] =
    {field_name, 2},
    {field_underlying_type, 4},
  [162] =
    {field_body, 4},
    {field_name, 3},
  [164] =
    {field_body, 1},
    {field_condition, 3},
  [166] =
    {field_update, 2},
  [167] =
    {field_initializer, 0},
    {field_update, 2},
  [169] =
    {field_condition, 1},
    {field_initializer, 0},
  [171] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [175] =
    {field_operand, 1},
  [176] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [178] =
    {field_assembly_code, 3},
  [179] =
    {field_filename, 2},
    {field_row, 3},
  [181] =
    {field_declarator, 1},
    {field_declarator, 2},
  [183] =
    {field_declarator, 0},
    {field_value, 3},
  [185] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [189] =
    {field_body, 4},
    {field_declarator, 2},
    {field_declarator, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [194] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [197] =
    {field_alternative, 4},
    {field_condition, 1},
  [199] =
    {field_size, 2},
  [200] =
    {field_declarator, 4},
  [201] =
    {field_declarator, 0},
    {field_size, 3},
  [203] =
    {field_declarator, 4, .inherited = true},
    {field_type, 3, .inherited = true},
  [205] =
    {field_body, 5},
    {field_name, 2},
    {field_underlying_type, 4},
  [208] =
    {field_base, 4},
    {field_body, 5},
  [210] =
    {field_name, 3},
    {field_underlying_type, 5},
  [212] =
    {field_condition, 1},
    {field_update, 3},
  [214] =
    {field_condition, 1},
    {field_initializer, 0},
    {field_update, 3},
  [217] =
    {field_initializer, 0},
    {field_update, 3},
  [219] =
    {field_condition, 2},
    {field_initializer, 0},
  [221] =
    {field_member, 4},
    {field_type, 2},
  [223] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [225] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [228] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [230] =
    {field_column, 4},
    {field_filename, 2},
    {field_row, 3},
  [233] =
    {field_designator, 0},
    {field_value, 2},
  [235] =
    {field_declarator, 5, .inherited = true},
    {field_type, 4, .inherited = true},
  [237] =
    {field_body, 6},
    {field_name, 3},
    {field_underlying_type, 5},
  [240] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [243] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [246] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [248] =
    {field_register, 1},
  [249] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [253] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [256] =
    {field_declarator, 6, .inherited = true},
    {field_type, 5, .inherited = true},
  [258] =
    {field_type, 2, .inherited = true},
  [259] =
    {field_constraint, 0},
    {field_value, 2},
  [261] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [263] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [268] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [272] =
    {field_end, 3},
    {field_start, 1},
  [274] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [276] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [278] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [283] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [285] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [2] = {
    [0] = alias_sym_type_identifier,
  },
  [8] = {
    [1] = alias_sym_type_identifier,
  },
  [10] = {
    [0] = alias_sym_type_identifier,
  },
  [14] = {
    [1] = alias_sym_type_identifier,
  },
  [23] = {
    [0] = sym_primitive_type,
  },
  [28] = {
    [1] = alias_sym_type_identifier,
  },
  [29] = {
    [2] = alias_sym_type_identifier,
  },
  [33] = {
    [1] = alias_sym_statement_identifier,
  },
  [35] = {
    [0] = alias_sym_statement_identifier,
  },
  [41] = {
    [2] = alias_sym_field_identifier,
  },
  [45] = {
    [2] = alias_sym_type_identifier,
  },
  [50] = {
    [1] = alias_sym_type_identifier,
  },
  [60] = {
    [2] = alias_sym_type_identifier,
  },
  [61] = {
    [1] = alias_sym_type_identifier,
  },
  [62] = {
    [1] = alias_sym_type_identifier,
    [3] = alias_sym_type_identifier,
  },
  [63] = {
    [2] = alias_sym_type_identifier,
  },
  [64] = {
    [3] = alias_sym_type_identifier,
  },
  [66] = {
    [0] = alias_sym_field_identifier,
  },
  [83] = {
    [1] = sym_identifier,
  },
  [88] = {
    [2] = alias_sym_type_identifier,
  },
  [96] = {
    [1] = alias_sym_type_identifier,
  },
  [97] = {
    [1] = alias_sym_type_identifier,
    [3] = alias_sym_type_identifier,
  },
  [98] = {
    [3] = alias_sym_type_identifier,
  },
  [99] = {
    [2] = alias_sym_type_identifier,
  },
  [100] = {
    [2] = alias_sym_type_identifier,
    [4] = alias_sym_type_identifier,
  },
  [101] = {
    [3] = alias_sym_type_identifier,
  },
  [116] = {
    [2] = sym_identifier,
  },
  [119] = {
    [1] = alias_sym_field_identifier,
  },
  [123] = {
    [2] = alias_sym_type_identifier,
  },
  [124] = {
    [2] = alias_sym_type_identifier,
    [4] = alias_sym_type_identifier,
  },
  [125] = {
    [4] = alias_sym_type_identifier,
  },
  [126] = {
    [3] = alias_sym_type_identifier,
  },
  [127] = {
    [3] = alias_sym_type_identifier,
    [5] = alias_sym_type_identifier,
  },
  [132] = {
    [4] = alias_sym_field_identifier,
  },
  [137] = {
    [3] = sym_identifier,
  },
  [138] = {
    [0] = alias_sym_field_identifier,
  },
  [141] = {
    [3] = alias_sym_type_identifier,
  },
  [142] = {
    [3] = alias_sym_type_identifier,
    [5] = alias_sym_type_identifier,
  },
  [156] = {
    [4] = alias_sym_field_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 2,
  [6] = 4,
  [7] = 2,
  [8] = 4,
  [9] = 2,
  [10] = 4,
  [11] = 2,
  [12] = 4,
  [13] = 4,
  [14] = 2,
  [15] = 4,
  [16] = 4,
  [17] = 2,
  [18] = 4,
  [19] = 2,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 20,
  [24] = 24,
  [25] = 21,
  [26] = 26,
  [27] = 20,
  [28] = 21,
  [29] = 21,
  [30] = 20,
  [31] = 21,
  [32] = 32,
  [33] = 20,
  [34] = 21,
  [35] = 35,
  [36] = 20,
  [37] = 32,
  [38] = 32,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 41,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 42,
  [48] = 44,
  [49] = 49,
  [50] = 41,
  [51] = 45,
  [52] = 44,
  [53] = 45,
  [54] = 49,
  [55] = 46,
  [56] = 42,
  [57] = 49,
  [58] = 41,
  [59] = 44,
  [60] = 45,
  [61] = 46,
  [62] = 62,
  [63] = 46,
  [64] = 42,
  [65] = 49,
  [66] = 41,
  [67] = 44,
  [68] = 45,
  [69] = 46,
  [70] = 42,
  [71] = 42,
  [72] = 49,
  [73] = 41,
  [74] = 45,
  [75] = 42,
  [76] = 41,
  [77] = 44,
  [78] = 45,
  [79] = 42,
  [80] = 41,
  [81] = 44,
  [82] = 45,
  [83] = 42,
  [84] = 41,
  [85] = 44,
  [86] = 45,
  [87] = 42,
  [88] = 41,
  [89] = 44,
  [90] = 45,
  [91] = 42,
  [92] = 41,
  [93] = 44,
  [94] = 45,
  [95] = 42,
  [96] = 41,
  [97] = 44,
  [98] = 45,
  [99] = 42,
  [100] = 41,
  [101] = 44,
  [102] = 45,
  [103] = 42,
  [104] = 41,
  [105] = 44,
  [106] = 45,
  [107] = 42,
  [108] = 41,
  [109] = 44,
  [110] = 45,
  [111] = 42,
  [112] = 41,
  [113] = 44,
  [114] = 45,
  [115] = 42,
  [116] = 41,
  [117] = 44,
  [118] = 45,
  [119] = 42,
  [120] = 41,
  [121] = 44,
  [122] = 45,
  [123] = 42,
  [124] = 41,
  [125] = 44,
  [126] = 45,
  [127] = 44,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 133,
  [136] = 132,
  [137] = 130,
  [138] = 134,
  [139] = 131,
  [140] = 134,
  [141] = 130,
  [142] = 133,
  [143] = 131,
  [144] = 132,
  [145] = 132,
  [146] = 132,
  [147] = 130,
  [148] = 130,
  [149] = 134,
  [150] = 131,
  [151] = 133,
  [152] = 133,
  [153] = 134,
  [154] = 131,
  [155] = 134,
  [156] = 156,
  [157] = 132,
  [158] = 156,
  [159] = 133,
  [160] = 156,
  [161] = 156,
  [162] = 156,
  [163] = 131,
  [164] = 130,
  [165] = 156,
  [166] = 156,
  [167] = 156,
  [168] = 168,
  [169] = 169,
  [170] = 169,
  [171] = 169,
  [172] = 169,
  [173] = 169,
  [174] = 169,
  [175] = 169,
  [176] = 169,
  [177] = 168,
  [178] = 168,
  [179] = 179,
  [180] = 180,
  [181] = 168,
  [182] = 179,
  [183] = 183,
  [184] = 180,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 179,
  [190] = 180,
  [191] = 187,
  [192] = 186,
  [193] = 185,
  [194] = 183,
  [195] = 188,
  [196] = 179,
  [197] = 179,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 185,
  [207] = 188,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 187,
  [213] = 213,
  [214] = 186,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 180,
  [224] = 224,
  [225] = 183,
  [226] = 185,
  [227] = 188,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 180,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 183,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 198,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 218,
  [364] = 205,
  [365] = 220,
  [366] = 221,
  [367] = 222,
  [368] = 203,
  [369] = 248,
  [370] = 255,
  [371] = 269,
  [372] = 274,
  [373] = 275,
  [374] = 200,
  [375] = 183,
  [376] = 185,
  [377] = 202,
  [378] = 204,
  [379] = 188,
  [380] = 209,
  [381] = 213,
  [382] = 215,
  [383] = 217,
  [384] = 219,
  [385] = 224,
  [386] = 228,
  [387] = 231,
  [388] = 238,
  [389] = 240,
  [390] = 245,
  [391] = 270,
  [392] = 271,
  [393] = 187,
  [394] = 183,
  [395] = 185,
  [396] = 188,
  [397] = 183,
  [398] = 185,
  [399] = 188,
  [400] = 187,
  [401] = 186,
  [402] = 186,
  [403] = 201,
  [404] = 208,
  [405] = 210,
  [406] = 211,
  [407] = 243,
  [408] = 229,
  [409] = 230,
  [410] = 232,
  [411] = 234,
  [412] = 235,
  [413] = 236,
  [414] = 237,
  [415] = 276,
  [416] = 241,
  [417] = 242,
  [418] = 244,
  [419] = 246,
  [420] = 247,
  [421] = 249,
  [422] = 250,
  [423] = 251,
  [424] = 252,
  [425] = 253,
  [426] = 254,
  [427] = 256,
  [428] = 257,
  [429] = 258,
  [430] = 259,
  [431] = 260,
  [432] = 261,
  [433] = 262,
  [434] = 263,
  [435] = 264,
  [436] = 265,
  [437] = 266,
  [438] = 267,
  [439] = 268,
  [440] = 272,
  [441] = 273,
  [442] = 216,
  [443] = 199,
  [444] = 362,
  [445] = 298,
  [446] = 294,
  [447] = 358,
  [448] = 295,
  [449] = 307,
  [450] = 308,
  [451] = 309,
  [452] = 347,
  [453] = 359,
  [454] = 349,
  [455] = 350,
  [456] = 303,
  [457] = 280,
  [458] = 310,
  [459] = 311,
  [460] = 312,
  [461] = 313,
  [462] = 314,
  [463] = 315,
  [464] = 316,
  [465] = 317,
  [466] = 318,
  [467] = 319,
  [468] = 320,
  [469] = 322,
  [470] = 281,
  [471] = 282,
  [472] = 283,
  [473] = 324,
  [474] = 326,
  [475] = 327,
  [476] = 328,
  [477] = 284,
  [478] = 325,
  [479] = 329,
  [480] = 330,
  [481] = 331,
  [482] = 332,
  [483] = 333,
  [484] = 334,
  [485] = 351,
  [486] = 304,
  [487] = 335,
  [488] = 292,
  [489] = 338,
  [490] = 339,
  [491] = 285,
  [492] = 321,
  [493] = 352,
  [494] = 300,
  [495] = 302,
  [496] = 278,
  [497] = 353,
  [498] = 354,
  [499] = 355,
  [500] = 301,
  [501] = 305,
  [502] = 337,
  [503] = 343,
  [504] = 356,
  [505] = 277,
  [506] = 342,
  [507] = 279,
  [508] = 287,
  [509] = 340,
  [510] = 341,
  [511] = 296,
  [512] = 299,
  [513] = 297,
  [514] = 344,
  [515] = 288,
  [516] = 361,
  [517] = 289,
  [518] = 357,
  [519] = 306,
  [520] = 323,
  [521] = 348,
  [522] = 290,
  [523] = 345,
  [524] = 360,
  [525] = 293,
  [526] = 286,
  [527] = 336,
  [528] = 198,
  [529] = 291,
  [530] = 179,
  [531] = 265,
  [532] = 266,
  [533] = 267,
  [534] = 183,
  [535] = 268,
  [536] = 209,
  [537] = 213,
  [538] = 272,
  [539] = 273,
  [540] = 216,
  [541] = 243,
  [542] = 256,
  [543] = 257,
  [544] = 215,
  [545] = 217,
  [546] = 218,
  [547] = 168,
  [548] = 180,
  [549] = 219,
  [550] = 237,
  [551] = 224,
  [552] = 228,
  [553] = 231,
  [554] = 238,
  [555] = 240,
  [556] = 245,
  [557] = 270,
  [558] = 259,
  [559] = 271,
  [560] = 205,
  [561] = 185,
  [562] = 202,
  [563] = 258,
  [564] = 244,
  [565] = 260,
  [566] = 253,
  [567] = 246,
  [568] = 247,
  [569] = 261,
  [570] = 203,
  [571] = 200,
  [572] = 220,
  [573] = 254,
  [574] = 221,
  [575] = 222,
  [576] = 249,
  [577] = 250,
  [578] = 251,
  [579] = 262,
  [580] = 276,
  [581] = 263,
  [582] = 241,
  [583] = 248,
  [584] = 255,
  [585] = 269,
  [586] = 252,
  [587] = 242,
  [588] = 274,
  [589] = 275,
  [590] = 201,
  [591] = 264,
  [592] = 208,
  [593] = 210,
  [594] = 211,
  [595] = 199,
  [596] = 235,
  [597] = 229,
  [598] = 230,
  [599] = 234,
  [600] = 232,
  [601] = 204,
  [602] = 188,
  [603] = 236,
  [604] = 290,
  [605] = 300,
  [606] = 299,
  [607] = 198,
  [608] = 345,
  [609] = 360,
  [610] = 357,
  [611] = 303,
  [612] = 304,
  [613] = 306,
  [614] = 325,
  [615] = 347,
  [616] = 348,
  [617] = 349,
  [618] = 350,
  [619] = 351,
  [620] = 352,
  [621] = 353,
  [622] = 354,
  [623] = 355,
  [624] = 358,
  [625] = 359,
  [626] = 280,
  [627] = 281,
  [628] = 282,
  [629] = 283,
  [630] = 284,
  [631] = 285,
  [632] = 277,
  [633] = 287,
  [634] = 288,
  [635] = 289,
  [636] = 291,
  [637] = 292,
  [638] = 293,
  [639] = 294,
  [640] = 295,
  [641] = 298,
  [642] = 307,
  [643] = 308,
  [644] = 309,
  [645] = 310,
  [646] = 311,
  [647] = 312,
  [648] = 313,
  [649] = 314,
  [650] = 315,
  [651] = 316,
  [652] = 318,
  [653] = 319,
  [654] = 320,
  [655] = 362,
  [656] = 322,
  [657] = 324,
  [658] = 326,
  [659] = 327,
  [660] = 328,
  [661] = 329,
  [662] = 330,
  [663] = 331,
  [664] = 332,
  [665] = 333,
  [666] = 334,
  [667] = 335,
  [668] = 338,
  [669] = 339,
  [670] = 321,
  [671] = 302,
  [672] = 278,
  [673] = 301,
  [674] = 305,
  [675] = 337,
  [676] = 343,
  [677] = 356,
  [678] = 340,
  [679] = 341,
  [680] = 296,
  [681] = 297,
  [682] = 323,
  [683] = 336,
  [684] = 344,
  [685] = 361,
  [686] = 342,
  [687] = 279,
  [688] = 286,
  [689] = 198,
  [690] = 317,
  [691] = 247,
  [692] = 263,
  [693] = 264,
  [694] = 265,
  [695] = 266,
  [696] = 220,
  [697] = 221,
  [698] = 222,
  [699] = 267,
  [700] = 220,
  [701] = 221,
  [702] = 222,
  [703] = 187,
  [704] = 268,
  [705] = 272,
  [706] = 273,
  [707] = 224,
  [708] = 228,
  [709] = 231,
  [710] = 238,
  [711] = 240,
  [712] = 245,
  [713] = 216,
  [714] = 243,
  [715] = 205,
  [716] = 242,
  [717] = 250,
  [718] = 251,
  [719] = 208,
  [720] = 253,
  [721] = 210,
  [722] = 211,
  [723] = 209,
  [724] = 213,
  [725] = 215,
  [726] = 248,
  [727] = 255,
  [728] = 269,
  [729] = 217,
  [730] = 218,
  [731] = 199,
  [732] = 219,
  [733] = 270,
  [734] = 271,
  [735] = 244,
  [736] = 246,
  [737] = 232,
  [738] = 202,
  [739] = 234,
  [740] = 204,
  [741] = 274,
  [742] = 275,
  [743] = 235,
  [744] = 201,
  [745] = 249,
  [746] = 236,
  [747] = 237,
  [748] = 200,
  [749] = 250,
  [750] = 251,
  [751] = 224,
  [752] = 228,
  [753] = 231,
  [754] = 238,
  [755] = 240,
  [756] = 245,
  [757] = 252,
  [758] = 183,
  [759] = 203,
  [760] = 205,
  [761] = 202,
  [762] = 248,
  [763] = 185,
  [764] = 255,
  [765] = 269,
  [766] = 270,
  [767] = 271,
  [768] = 204,
  [769] = 168,
  [770] = 261,
  [771] = 262,
  [772] = 254,
  [773] = 188,
  [774] = 274,
  [775] = 275,
  [776] = 249,
  [777] = 256,
  [778] = 209,
  [779] = 213,
  [780] = 254,
  [781] = 200,
  [782] = 186,
  [783] = 256,
  [784] = 257,
  [785] = 258,
  [786] = 259,
  [787] = 260,
  [788] = 215,
  [789] = 261,
  [790] = 262,
  [791] = 263,
  [792] = 264,
  [793] = 265,
  [794] = 266,
  [795] = 267,
  [796] = 268,
  [797] = 272,
  [798] = 273,
  [799] = 216,
  [800] = 243,
  [801] = 183,
  [802] = 229,
  [803] = 230,
  [804] = 203,
  [805] = 257,
  [806] = 185,
  [807] = 217,
  [808] = 218,
  [809] = 219,
  [810] = 188,
  [811] = 276,
  [812] = 241,
  [813] = 183,
  [814] = 185,
  [815] = 188,
  [816] = 244,
  [817] = 246,
  [818] = 247,
  [819] = 201,
  [820] = 258,
  [821] = 259,
  [822] = 208,
  [823] = 210,
  [824] = 211,
  [825] = 199,
  [826] = 229,
  [827] = 230,
  [828] = 260,
  [829] = 232,
  [830] = 234,
  [831] = 235,
  [832] = 236,
  [833] = 237,
  [834] = 252,
  [835] = 276,
  [836] = 241,
  [837] = 242,
  [838] = 253,
  [839] = 314,
  [840] = 298,
  [841] = 323,
  [842] = 356,
  [843] = 344,
  [844] = 361,
  [845] = 326,
  [846] = 327,
  [847] = 328,
  [848] = 325,
  [849] = 340,
  [850] = 321,
  [851] = 329,
  [852] = 330,
  [853] = 331,
  [854] = 332,
  [855] = 333,
  [856] = 334,
  [857] = 277,
  [858] = 287,
  [859] = 288,
  [860] = 357,
  [861] = 303,
  [862] = 338,
  [863] = 279,
  [864] = 339,
  [865] = 289,
  [866] = 290,
  [867] = 291,
  [868] = 292,
  [869] = 293,
  [870] = 347,
  [871] = 301,
  [872] = 348,
  [873] = 349,
  [874] = 350,
  [875] = 304,
  [876] = 305,
  [877] = 358,
  [878] = 351,
  [879] = 294,
  [880] = 352,
  [881] = 306,
  [882] = 322,
  [883] = 286,
  [884] = 280,
  [885] = 354,
  [886] = 281,
  [887] = 282,
  [888] = 283,
  [889] = 284,
  [890] = 295,
  [891] = 341,
  [892] = 307,
  [893] = 308,
  [894] = 309,
  [895] = 296,
  [896] = 355,
  [897] = 337,
  [898] = 302,
  [899] = 285,
  [900] = 297,
  [901] = 310,
  [902] = 311,
  [903] = 312,
  [904] = 313,
  [905] = 315,
  [906] = 316,
  [907] = 342,
  [908] = 317,
  [909] = 336,
  [910] = 343,
  [911] = 318,
  [912] = 319,
  [913] = 320,
  [914] = 362,
  [915] = 278,
  [916] = 353,
  [917] = 917,
  [918] = 188,
  [919] = 185,
  [920] = 183,
  [921] = 917,
  [922] = 917,
  [923] = 917,
  [924] = 917,
  [925] = 198,
  [926] = 266,
  [927] = 209,
  [928] = 213,
  [929] = 215,
  [930] = 217,
  [931] = 218,
  [932] = 219,
  [933] = 272,
  [934] = 201,
  [935] = 203,
  [936] = 249,
  [937] = 250,
  [938] = 251,
  [939] = 224,
  [940] = 228,
  [941] = 231,
  [942] = 238,
  [943] = 240,
  [944] = 245,
  [945] = 247,
  [946] = 232,
  [947] = 234,
  [948] = 235,
  [949] = 236,
  [950] = 237,
  [951] = 273,
  [952] = 267,
  [953] = 229,
  [954] = 253,
  [955] = 244,
  [956] = 202,
  [957] = 252,
  [958] = 204,
  [959] = 276,
  [960] = 208,
  [961] = 210,
  [962] = 270,
  [963] = 271,
  [964] = 241,
  [965] = 211,
  [966] = 216,
  [967] = 243,
  [968] = 254,
  [969] = 256,
  [970] = 257,
  [971] = 258,
  [972] = 259,
  [973] = 260,
  [974] = 261,
  [975] = 262,
  [976] = 263,
  [977] = 264,
  [978] = 265,
  [979] = 268,
  [980] = 242,
  [981] = 981,
  [982] = 230,
  [983] = 246,
  [984] = 199,
  [985] = 326,
  [986] = 917,
  [987] = 337,
  [988] = 343,
  [989] = 356,
  [990] = 990,
  [991] = 344,
  [992] = 361,
  [993] = 205,
  [994] = 358,
  [995] = 325,
  [996] = 996,
  [997] = 302,
  [998] = 998,
  [999] = 280,
  [1000] = 281,
  [1001] = 282,
  [1002] = 283,
  [1003] = 321,
  [1004] = 278,
  [1005] = 284,
  [1006] = 1006,
  [1007] = 285,
  [1008] = 336,
  [1009] = 304,
  [1010] = 340,
  [1011] = 277,
  [1012] = 287,
  [1013] = 288,
  [1014] = 289,
  [1015] = 290,
  [1016] = 291,
  [1017] = 292,
  [1018] = 293,
  [1019] = 294,
  [1020] = 295,
  [1021] = 341,
  [1022] = 296,
  [1023] = 297,
  [1024] = 357,
  [1025] = 342,
  [1026] = 220,
  [1027] = 221,
  [1028] = 222,
  [1029] = 298,
  [1030] = 303,
  [1031] = 307,
  [1032] = 308,
  [1033] = 309,
  [1034] = 355,
  [1035] = 310,
  [1036] = 311,
  [1037] = 312,
  [1038] = 313,
  [1039] = 314,
  [1040] = 315,
  [1041] = 316,
  [1042] = 301,
  [1043] = 1043,
  [1044] = 317,
  [1045] = 318,
  [1046] = 319,
  [1047] = 320,
  [1048] = 362,
  [1049] = 348,
  [1050] = 322,
  [1051] = 323,
  [1052] = 349,
  [1053] = 248,
  [1054] = 255,
  [1055] = 269,
  [1056] = 350,
  [1057] = 327,
  [1058] = 328,
  [1059] = 305,
  [1060] = 329,
  [1061] = 330,
  [1062] = 331,
  [1063] = 332,
  [1064] = 333,
  [1065] = 334,
  [1066] = 351,
  [1067] = 274,
  [1068] = 306,
  [1069] = 275,
  [1070] = 917,
  [1071] = 352,
  [1072] = 338,
  [1073] = 339,
  [1074] = 200,
  [1075] = 353,
  [1076] = 917,
  [1077] = 354,
  [1078] = 917,
  [1079] = 917,
  [1080] = 917,
  [1081] = 347,
  [1082] = 1082,
  [1083] = 981,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 179,
  [1087] = 180,
  [1088] = 183,
  [1089] = 186,
  [1090] = 185,
  [1091] = 188,
  [1092] = 187,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1094,
  [1096] = 198,
  [1097] = 1094,
  [1098] = 1094,
  [1099] = 1094,
  [1100] = 203,
  [1101] = 251,
  [1102] = 220,
  [1103] = 221,
  [1104] = 222,
  [1105] = 259,
  [1106] = 260,
  [1107] = 1093,
  [1108] = 261,
  [1109] = 248,
  [1110] = 255,
  [1111] = 269,
  [1112] = 262,
  [1113] = 274,
  [1114] = 275,
  [1115] = 208,
  [1116] = 210,
  [1117] = 211,
  [1118] = 199,
  [1119] = 200,
  [1120] = 183,
  [1121] = 185,
  [1122] = 202,
  [1123] = 229,
  [1124] = 230,
  [1125] = 204,
  [1126] = 188,
  [1127] = 232,
  [1128] = 234,
  [1129] = 263,
  [1130] = 209,
  [1131] = 213,
  [1132] = 215,
  [1133] = 235,
  [1134] = 217,
  [1135] = 236,
  [1136] = 218,
  [1137] = 237,
  [1138] = 219,
  [1139] = 224,
  [1140] = 228,
  [1141] = 231,
  [1142] = 238,
  [1143] = 1085,
  [1144] = 240,
  [1145] = 245,
  [1146] = 270,
  [1147] = 271,
  [1148] = 264,
  [1149] = 276,
  [1150] = 241,
  [1151] = 265,
  [1152] = 266,
  [1153] = 242,
  [1154] = 267,
  [1155] = 268,
  [1156] = 272,
  [1157] = 273,
  [1158] = 1084,
  [1159] = 216,
  [1160] = 243,
  [1161] = 201,
  [1162] = 205,
  [1163] = 253,
  [1164] = 254,
  [1165] = 252,
  [1166] = 256,
  [1167] = 244,
  [1168] = 257,
  [1169] = 246,
  [1170] = 247,
  [1171] = 249,
  [1172] = 250,
  [1173] = 258,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1174,
  [1177] = 1177,
  [1178] = 1175,
  [1179] = 1174,
  [1180] = 1174,
  [1181] = 1175,
  [1182] = 1177,
  [1183] = 1175,
  [1184] = 1177,
  [1185] = 1174,
  [1186] = 1177,
  [1187] = 1177,
  [1188] = 1175,
  [1189] = 1189,
  [1190] = 1189,
  [1191] = 1189,
  [1192] = 1189,
  [1193] = 1189,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1194,
  [1199] = 1195,
  [1200] = 1196,
  [1201] = 1195,
  [1202] = 1202,
  [1203] = 1196,
  [1204] = 1194,
  [1205] = 1196,
  [1206] = 1196,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1208,
  [1210] = 1207,
  [1211] = 1208,
  [1212] = 1207,
  [1213] = 1208,
  [1214] = 1214,
  [1215] = 1214,
  [1216] = 1207,
  [1217] = 1217,
  [1218] = 1208,
  [1219] = 1214,
  [1220] = 1214,
  [1221] = 1207,
  [1222] = 1214,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 1223,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1228,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1226,
  [1233] = 1230,
  [1234] = 1227,
  [1235] = 1226,
  [1236] = 1228,
  [1237] = 1228,
  [1238] = 1226,
  [1239] = 1231,
  [1240] = 1240,
  [1241] = 1227,
  [1242] = 1223,
  [1243] = 1227,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1228,
  [1247] = 1240,
  [1248] = 1240,
  [1249] = 1230,
  [1250] = 1226,
  [1251] = 1224,
  [1252] = 1231,
  [1253] = 1224,
  [1254] = 1254,
  [1255] = 1231,
  [1256] = 1231,
  [1257] = 1245,
  [1258] = 1224,
  [1259] = 1245,
  [1260] = 1227,
  [1261] = 1240,
  [1262] = 1224,
  [1263] = 1240,
  [1264] = 1245,
  [1265] = 1245,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1271,
  [1273] = 1267,
  [1274] = 1266,
  [1275] = 1268,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1268,
  [1279] = 1267,
  [1280] = 1276,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1268,
  [1284] = 1276,
  [1285] = 1217,
  [1286] = 1286,
  [1287] = 1269,
  [1288] = 1269,
  [1289] = 1277,
  [1290] = 1282,
  [1291] = 1281,
  [1292] = 1266,
  [1293] = 1293,
  [1294] = 1266,
  [1295] = 1277,
  [1296] = 1282,
  [1297] = 1297,
  [1298] = 1298,
  [1299] = 1271,
  [1300] = 1293,
  [1301] = 1267,
  [1302] = 1268,
  [1303] = 1281,
  [1304] = 1293,
  [1305] = 1276,
  [1306] = 1276,
  [1307] = 1271,
  [1308] = 1266,
  [1309] = 1267,
  [1310] = 1281,
  [1311] = 1286,
  [1312] = 1269,
  [1313] = 1277,
  [1314] = 1282,
  [1315] = 1286,
  [1316] = 1269,
  [1317] = 1277,
  [1318] = 1286,
  [1319] = 1282,
  [1320] = 1293,
  [1321] = 1286,
  [1322] = 1281,
  [1323] = 1293,
  [1324] = 1271,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1326,
  [1330] = 1328,
  [1331] = 1328,
  [1332] = 1325,
  [1333] = 1325,
  [1334] = 1326,
  [1335] = 1335,
  [1336] = 1328,
  [1337] = 1328,
  [1338] = 1325,
  [1339] = 1326,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1325,
  [1343] = 1326,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1348,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1344,
  [1354] = 1327,
  [1355] = 1350,
  [1356] = 1351,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1346,
  [1369] = 1347,
  [1370] = 1370,
  [1371] = 1348,
  [1372] = 1349,
  [1373] = 1344,
  [1374] = 1350,
  [1375] = 1351,
  [1376] = 1361,
  [1377] = 1362,
  [1378] = 1363,
  [1379] = 1364,
  [1380] = 1357,
  [1381] = 1358,
  [1382] = 1365,
  [1383] = 1359,
  [1384] = 1360,
  [1385] = 1366,
  [1386] = 1367,
  [1387] = 1361,
  [1388] = 1362,
  [1389] = 1363,
  [1390] = 1364,
  [1391] = 1365,
  [1392] = 1366,
  [1393] = 1367,
  [1394] = 1346,
  [1395] = 1347,
  [1396] = 1370,
  [1397] = 1348,
  [1398] = 1349,
  [1399] = 1344,
  [1400] = 1350,
  [1401] = 1351,
  [1402] = 1357,
  [1403] = 1358,
  [1404] = 1359,
  [1405] = 1360,
  [1406] = 1361,
  [1407] = 1362,
  [1408] = 1363,
  [1409] = 1364,
  [1410] = 1365,
  [1411] = 1366,
  [1412] = 1367,
  [1413] = 1346,
  [1414] = 1347,
  [1415] = 1370,
  [1416] = 1348,
  [1417] = 1349,
  [1418] = 1350,
  [1419] = 1351,
  [1420] = 1357,
  [1421] = 1358,
  [1422] = 1359,
  [1423] = 1360,
  [1424] = 1361,
  [1425] = 1362,
  [1426] = 1363,
  [1427] = 1364,
  [1428] = 1365,
  [1429] = 1366,
  [1430] = 1367,
  [1431] = 1346,
  [1432] = 1347,
  [1433] = 1370,
  [1434] = 1348,
  [1435] = 1349,
  [1436] = 1357,
  [1437] = 1344,
  [1438] = 1358,
  [1439] = 1359,
  [1440] = 1360,
  [1441] = 1370,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1449,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 185,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1479,
  [1480] = 1480,
  [1481] = 188,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1489,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1496,
  [1497] = 183,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 1507,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 1502,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1524,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1527,
  [1530] = 1528,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1527,
  [1535] = 1528,
  [1536] = 1524,
  [1537] = 1532,
  [1538] = 1532,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1539,
  [1542] = 1539,
  [1543] = 1539,
  [1544] = 1540,
  [1545] = 1539,
  [1546] = 1539,
  [1547] = 1540,
  [1548] = 1539,
  [1549] = 1539,
  [1550] = 1539,
  [1551] = 1540,
  [1552] = 1539,
  [1553] = 1540,
  [1554] = 1540,
  [1555] = 1540,
  [1556] = 1540,
  [1557] = 1540,
  [1558] = 1539,
  [1559] = 1539,
  [1560] = 1540,
  [1561] = 1540,
  [1562] = 1540,
  [1563] = 1563,
  [1564] = 185,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 183,
  [1578] = 1578,
  [1579] = 188,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1484,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1584,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 1576,
  [1589] = 1589,
  [1590] = 1590,
  [1591] = 1590,
  [1592] = 1576,
  [1593] = 1444,
  [1594] = 1594,
  [1595] = 1589,
  [1596] = 1589,
  [1597] = 1597,
  [1598] = 1589,
  [1599] = 1589,
  [1600] = 1587,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 1442,
  [1604] = 1589,
  [1605] = 1594,
  [1606] = 1606,
  [1607] = 1601,
  [1608] = 1589,
  [1609] = 1589,
  [1610] = 1606,
  [1611] = 1589,
  [1612] = 1589,
  [1613] = 1606,
  [1614] = 1589,
  [1615] = 1606,
  [1616] = 1589,
  [1617] = 1587,
  [1618] = 1587,
  [1619] = 1606,
  [1620] = 1587,
  [1621] = 1587,
  [1622] = 1443,
  [1623] = 1587,
  [1624] = 1587,
  [1625] = 1442,
  [1626] = 1626,
  [1627] = 1454,
  [1628] = 1444,
  [1629] = 1443,
  [1630] = 1450,
  [1631] = 1447,
  [1632] = 1448,
  [1633] = 1452,
  [1634] = 1446,
  [1635] = 1451,
  [1636] = 1456,
  [1637] = 1455,
  [1638] = 1478,
  [1639] = 1500,
  [1640] = 1508,
  [1641] = 1491,
  [1642] = 1493,
  [1643] = 1511,
  [1644] = 1509,
  [1645] = 1492,
  [1646] = 1467,
  [1647] = 1468,
  [1648] = 1459,
  [1649] = 1460,
  [1650] = 1489,
  [1651] = 1496,
  [1652] = 1469,
  [1653] = 1449,
  [1654] = 1504,
  [1655] = 1506,
  [1656] = 1494,
  [1657] = 1473,
  [1658] = 1463,
  [1659] = 1466,
  [1660] = 1474,
  [1661] = 1477,
  [1662] = 1482,
  [1663] = 1485,
  [1664] = 1486,
  [1665] = 1519,
  [1666] = 1516,
  [1667] = 1512,
  [1668] = 1521,
  [1669] = 1457,
  [1670] = 1505,
  [1671] = 1483,
  [1672] = 1518,
  [1673] = 1501,
  [1674] = 1490,
  [1675] = 1480,
  [1676] = 1515,
  [1677] = 1498,
  [1678] = 1470,
  [1679] = 1519,
  [1680] = 1469,
  [1681] = 1509,
  [1682] = 1501,
  [1683] = 1506,
  [1684] = 1684,
  [1685] = 1684,
  [1686] = 1686,
  [1687] = 1450,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1690,
  [1691] = 1688,
  [1692] = 1692,
  [1693] = 1693,
  [1694] = 1694,
  [1695] = 1695,
  [1696] = 1693,
  [1697] = 1697,
  [1698] = 1689,
  [1699] = 1692,
  [1700] = 1684,
  [1701] = 1686,
  [1702] = 1697,
  [1703] = 1703,
  [1704] = 1690,
  [1705] = 1688,
  [1706] = 1694,
  [1707] = 1450,
  [1708] = 1703,
  [1709] = 1709,
  [1710] = 1690,
  [1711] = 1695,
  [1712] = 1689,
  [1713] = 1709,
  [1714] = 1694,
  [1715] = 1703,
  [1716] = 1695,
  [1717] = 1693,
  [1718] = 1692,
  [1719] = 1686,
  [1720] = 1709,
  [1721] = 1697,
  [1722] = 1722,
  [1723] = 1722,
  [1724] = 1724,
  [1725] = 1722,
  [1726] = 1722,
  [1727] = 1724,
  [1728] = 1728,
  [1729] = 1729,
  [1730] = 1728,
  [1731] = 1724,
  [1732] = 1729,
  [1733] = 1728,
  [1734] = 1729,
  [1735] = 1722,
  [1736] = 1449,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 1572,
  [1740] = 1740,
  [1741] = 1741,
  [1742] = 1581,
  [1743] = 1743,
  [1744] = 1569,
  [1745] = 1745,
  [1746] = 1745,
  [1747] = 1738,
  [1748] = 1738,
  [1749] = 1749,
  [1750] = 1567,
  [1751] = 1578,
  [1752] = 1740,
  [1753] = 1745,
  [1754] = 1754,
  [1755] = 1563,
  [1756] = 1754,
  [1757] = 1757,
  [1758] = 1566,
  [1759] = 1571,
  [1760] = 1754,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1749,
  [1764] = 1743,
  [1765] = 1574,
  [1766] = 1573,
  [1767] = 1565,
  [1768] = 1570,
  [1769] = 1575,
  [1770] = 1740,
  [1771] = 1743,
  [1772] = 1772,
  [1773] = 1568,
  [1774] = 1580,
  [1775] = 1749,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 1464,
  [1780] = 1780,
  [1781] = 1778,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 1517,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 1777,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1777,
  [1791] = 1475,
  [1792] = 1513,
  [1793] = 1788,
  [1794] = 1789,
  [1795] = 1458,
  [1796] = 1796,
  [1797] = 1796,
  [1798] = 1522,
  [1799] = 1799,
  [1800] = 1780,
  [1801] = 1476,
  [1802] = 1802,
  [1803] = 1803,
  [1804] = 1803,
  [1805] = 1783,
  [1806] = 1799,
  [1807] = 1807,
  [1808] = 1783,
  [1809] = 1495,
  [1810] = 1799,
  [1811] = 1811,
  [1812] = 1782,
  [1813] = 1802,
  [1814] = 1802,
  [1815] = 1782,
  [1816] = 1514,
  [1817] = 1803,
  [1818] = 1796,
  [1819] = 1520,
  [1820] = 1807,
  [1821] = 1778,
  [1822] = 1789,
  [1823] = 1811,
  [1824] = 1811,
  [1825] = 1788,
  [1826] = 1807,
  [1827] = 1786,
  [1828] = 1780,
  [1829] = 1786,
  [1830] = 1830,
  [1831] = 1830,
  [1832] = 1832,
  [1833] = 1449,
  [1834] = 1832,
  [1835] = 1830,
  [1836] = 1836,
  [1837] = 1836,
  [1838] = 1838,
  [1839] = 1839,
  [1840] = 1840,
  [1841] = 1841,
  [1842] = 1842,
  [1843] = 1843,
  [1844] = 1844,
  [1845] = 1845,
  [1846] = 1846,
  [1847] = 1839,
  [1848] = 1846,
  [1849] = 1845,
  [1850] = 1850,
  [1851] = 1850,
  [1852] = 1852,
  [1853] = 1853,
  [1854] = 1841,
  [1855] = 1855,
  [1856] = 1856,
  [1857] = 1839,
  [1858] = 1841,
  [1859] = 1859,
  [1860] = 1836,
  [1861] = 1846,
  [1862] = 1850,
  [1863] = 1863,
  [1864] = 1838,
  [1865] = 1852,
  [1866] = 1853,
  [1867] = 1840,
  [1868] = 1842,
  [1869] = 1852,
  [1870] = 1855,
  [1871] = 1856,
  [1872] = 1843,
  [1873] = 1859,
  [1874] = 1844,
  [1875] = 1863,
  [1876] = 1838,
  [1877] = 1840,
  [1878] = 1842,
  [1879] = 1843,
  [1880] = 1844,
  [1881] = 1855,
  [1882] = 1856,
  [1883] = 1853,
  [1884] = 1859,
  [1885] = 1845,
  [1886] = 1863,
  [1887] = 1887,
  [1888] = 1888,
  [1889] = 1889,
  [1890] = 1890,
  [1891] = 1891,
  [1892] = 1892,
  [1893] = 1890,
  [1894] = 1894,
  [1895] = 1890,
  [1896] = 1896,
  [1897] = 1894,
  [1898] = 1889,
  [1899] = 1899,
  [1900] = 1888,
  [1901] = 1901,
  [1902] = 1902,
  [1903] = 1890,
  [1904] = 1890,
  [1905] = 1888,
  [1906] = 1906,
  [1907] = 1894,
  [1908] = 1894,
  [1909] = 1888,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 1888,
  [1913] = 1889,
  [1914] = 1914,
  [1915] = 1915,
  [1916] = 1889,
  [1917] = 1889,
  [1918] = 1918,
  [1919] = 1894,
  [1920] = 1580,
  [1921] = 1572,
  [1922] = 1578,
  [1923] = 1569,
  [1924] = 1565,
  [1925] = 1574,
  [1926] = 1563,
  [1927] = 1567,
  [1928] = 1442,
  [1929] = 1444,
  [1930] = 1573,
  [1931] = 1568,
  [1932] = 1571,
  [1933] = 1581,
  [1934] = 1566,
  [1935] = 1570,
  [1936] = 1443,
  [1937] = 1575,
  [1938] = 218,
  [1939] = 1939,
  [1940] = 1940,
  [1941] = 1941,
  [1942] = 224,
  [1943] = 228,
  [1944] = 231,
  [1945] = 238,
  [1946] = 1522,
  [1947] = 1947,
  [1948] = 240,
  [1949] = 245,
  [1950] = 1950,
  [1951] = 1940,
  [1952] = 1952,
  [1953] = 1950,
  [1954] = 1954,
  [1955] = 1955,
  [1956] = 1956,
  [1957] = 1495,
  [1958] = 1958,
  [1959] = 1940,
  [1960] = 1941,
  [1961] = 1514,
  [1962] = 1520,
  [1963] = 1941,
  [1964] = 1964,
  [1965] = 1965,
  [1966] = 1950,
  [1967] = 202,
  [1968] = 1954,
  [1969] = 1954,
  [1970] = 1955,
  [1971] = 1958,
  [1972] = 1513,
  [1973] = 1458,
  [1974] = 1964,
  [1975] = 1952,
  [1976] = 1517,
  [1977] = 1955,
  [1978] = 1965,
  [1979] = 1979,
  [1980] = 1952,
  [1981] = 204,
  [1982] = 1958,
  [1983] = 1965,
  [1984] = 1484,
  [1985] = 1956,
  [1986] = 270,
  [1987] = 1902,
  [1988] = 271,
  [1989] = 1989,
  [1990] = 1464,
  [1991] = 1956,
  [1992] = 1992,
  [1993] = 1947,
  [1994] = 1964,
  [1995] = 1475,
  [1996] = 209,
  [1997] = 213,
  [1998] = 215,
  [1999] = 1476,
  [2000] = 217,
  [2001] = 219,
  [2002] = 1947,
  [2003] = 321,
  [2004] = 2004,
  [2005] = 2005,
  [2006] = 2006,
  [2007] = 2005,
  [2008] = 2008,
  [2009] = 337,
  [2010] = 2010,
  [2011] = 2011,
  [2012] = 2012,
  [2013] = 2013,
  [2014] = 2014,
  [2015] = 2015,
  [2016] = 2016,
  [2017] = 2017,
  [2018] = 2006,
  [2019] = 2004,
  [2020] = 2005,
  [2021] = 2011,
  [2022] = 302,
  [2023] = 1501,
  [2024] = 2015,
  [2025] = 278,
  [2026] = 2026,
  [2027] = 2027,
  [2028] = 2028,
  [2029] = 2029,
  [2030] = 2006,
  [2031] = 2026,
  [2032] = 2012,
  [2033] = 2033,
  [2034] = 2004,
  [2035] = 1509,
  [2036] = 2027,
  [2037] = 1519,
  [2038] = 1469,
  [2039] = 1506,
  [2040] = 2016,
  [2041] = 2010,
  [2042] = 2042,
  [2043] = 2028,
  [2044] = 2029,
  [2045] = 2028,
  [2046] = 2028,
  [2047] = 2029,
  [2048] = 2028,
  [2049] = 2049,
  [2050] = 2029,
  [2051] = 2029,
  [2052] = 2029,
  [2053] = 2029,
  [2054] = 2026,
  [2055] = 2055,
  [2056] = 2010,
  [2057] = 2014,
  [2058] = 2011,
  [2059] = 2012,
  [2060] = 2013,
  [2061] = 2014,
  [2062] = 2015,
  [2063] = 2016,
  [2064] = 2017,
  [2065] = 2017,
  [2066] = 2027,
  [2067] = 2013,
  [2068] = 1566,
  [2069] = 188,
  [2070] = 2070,
  [2071] = 1450,
  [2072] = 188,
  [2073] = 2073,
  [2074] = 1939,
  [2075] = 981,
  [2076] = 2076,
  [2077] = 185,
  [2078] = 185,
  [2079] = 1939,
  [2080] = 2070,
  [2081] = 2081,
  [2082] = 1082,
  [2083] = 1573,
  [2084] = 1568,
  [2085] = 1571,
  [2086] = 1581,
  [2087] = 335,
  [2088] = 1902,
  [2089] = 1575,
  [2090] = 1580,
  [2091] = 1572,
  [2092] = 1578,
  [2093] = 1569,
  [2094] = 1565,
  [2095] = 1574,
  [2096] = 183,
  [2097] = 2097,
  [2098] = 2097,
  [2099] = 2099,
  [2100] = 183,
  [2101] = 324,
  [2102] = 359,
  [2103] = 2103,
  [2104] = 2104,
  [2105] = 1450,
  [2106] = 2106,
  [2107] = 1563,
  [2108] = 1567,
  [2109] = 1570,
  [2110] = 2110,
  [2111] = 2111,
  [2112] = 2104,
  [2113] = 2113,
  [2114] = 2114,
  [2115] = 2115,
  [2116] = 2116,
  [2117] = 301,
  [2118] = 305,
  [2119] = 340,
  [2120] = 2120,
  [2121] = 2121,
  [2122] = 2122,
  [2123] = 2123,
  [2124] = 2124,
  [2125] = 2125,
  [2126] = 2126,
  [2127] = 2127,
  [2128] = 2128,
  [2129] = 2129,
  [2130] = 2130,
  [2131] = 2131,
  [2132] = 321,
  [2133] = 302,
  [2134] = 336,
  [2135] = 278,
  [2136] = 337,
  [2137] = 344,
  [2138] = 361,
  [2139] = 342,
  [2140] = 336,
  [2141] = 205,
  [2142] = 220,
  [2143] = 221,
  [2144] = 222,
  [2145] = 301,
  [2146] = 248,
  [2147] = 255,
  [2148] = 269,
  [2149] = 305,
  [2150] = 274,
  [2151] = 275,
  [2152] = 200,
  [2153] = 202,
  [2154] = 204,
  [2155] = 209,
  [2156] = 213,
  [2157] = 215,
  [2158] = 217,
  [2159] = 218,
  [2160] = 219,
  [2161] = 224,
  [2162] = 2162,
  [2163] = 231,
  [2164] = 238,
  [2165] = 240,
  [2166] = 245,
  [2167] = 270,
  [2168] = 271,
  [2169] = 2169,
  [2170] = 344,
  [2171] = 361,
  [2172] = 205,
  [2173] = 2113,
  [2174] = 340,
  [2175] = 342,
  [2176] = 220,
  [2177] = 221,
  [2178] = 222,
  [2179] = 248,
  [2180] = 255,
  [2181] = 269,
  [2182] = 274,
  [2183] = 275,
  [2184] = 2115,
  [2185] = 200,
  [2186] = 2120,
  [2187] = 2187,
  [2188] = 2122,
  [2189] = 2189,
  [2190] = 2124,
  [2191] = 2110,
  [2192] = 2192,
  [2193] = 2193,
  [2194] = 2104,
  [2195] = 2189,
  [2196] = 2169,
  [2197] = 2197,
  [2198] = 2169,
  [2199] = 2110,
  [2200] = 2169,
  [2201] = 2110,
  [2202] = 2169,
  [2203] = 2110,
  [2204] = 2110,
  [2205] = 2110,
  [2206] = 2110,
  [2207] = 1484,
  [2208] = 2208,
  [2209] = 2162,
  [2210] = 2208,
  [2211] = 228,
  [2212] = 345,
  [2213] = 2213,
  [2214] = 2214,
  [2215] = 2215,
  [2216] = 2216,
  [2217] = 2217,
  [2218] = 2218,
  [2219] = 2219,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 2222,
  [2223] = 2223,
  [2224] = 343,
  [2225] = 183,
  [2226] = 185,
  [2227] = 188,
  [2228] = 2228,
  [2229] = 2070,
  [2230] = 341,
  [2231] = 343,
  [2232] = 2232,
  [2233] = 2233,
  [2234] = 2228,
  [2235] = 321,
  [2236] = 302,
  [2237] = 278,
  [2238] = 337,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 2242,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 2104,
  [2246] = 2246,
  [2247] = 300,
  [2248] = 299,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 360,
  [2252] = 341,
  [2253] = 2123,
  [2254] = 2254,
  [2255] = 2255,
  [2256] = 220,
  [2257] = 221,
  [2258] = 222,
  [2259] = 248,
  [2260] = 2260,
  [2261] = 2114,
  [2262] = 301,
  [2263] = 255,
  [2264] = 2189,
  [2265] = 2197,
  [2266] = 269,
  [2267] = 2267,
  [2268] = 305,
  [2269] = 2269,
  [2270] = 2162,
  [2271] = 2208,
  [2272] = 2272,
  [2273] = 2111,
  [2274] = 2274,
  [2275] = 2113,
  [2276] = 2276,
  [2277] = 2269,
  [2278] = 2114,
  [2279] = 340,
  [2280] = 2280,
  [2281] = 274,
  [2282] = 2115,
  [2283] = 2274,
  [2284] = 2116,
  [2285] = 2111,
  [2286] = 2116,
  [2287] = 2120,
  [2288] = 2288,
  [2289] = 2121,
  [2290] = 2122,
  [2291] = 2291,
  [2292] = 2124,
  [2293] = 2125,
  [2294] = 2126,
  [2295] = 2127,
  [2296] = 205,
  [2297] = 2129,
  [2298] = 2130,
  [2299] = 2131,
  [2300] = 275,
  [2301] = 200,
  [2302] = 2121,
  [2303] = 202,
  [2304] = 336,
  [2305] = 2123,
  [2306] = 204,
  [2307] = 2307,
  [2308] = 2125,
  [2309] = 2309,
  [2310] = 209,
  [2311] = 2311,
  [2312] = 2126,
  [2313] = 2313,
  [2314] = 2127,
  [2315] = 2128,
  [2316] = 343,
  [2317] = 2129,
  [2318] = 344,
  [2319] = 2130,
  [2320] = 2131,
  [2321] = 2197,
  [2322] = 361,
  [2323] = 2323,
  [2324] = 213,
  [2325] = 215,
  [2326] = 217,
  [2327] = 218,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 2328,
  [2331] = 219,
  [2332] = 224,
  [2333] = 2313,
  [2334] = 228,
  [2335] = 231,
  [2336] = 2336,
  [2337] = 341,
  [2338] = 342,
  [2339] = 238,
  [2340] = 2254,
  [2341] = 2255,
  [2342] = 2288,
  [2343] = 240,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 2346,
  [2347] = 2344,
  [2348] = 245,
  [2349] = 2276,
  [2350] = 270,
  [2351] = 2272,
  [2352] = 2346,
  [2353] = 2260,
  [2354] = 271,
  [2355] = 2128,
  [2356] = 2242,
  [2357] = 299,
  [2358] = 2250,
  [2359] = 2220,
  [2360] = 2213,
  [2361] = 2215,
  [2362] = 2217,
  [2363] = 360,
  [2364] = 2220,
  [2365] = 2214,
  [2366] = 345,
  [2367] = 2216,
  [2368] = 2368,
  [2369] = 2218,
  [2370] = 2219,
  [2371] = 2233,
  [2372] = 2221,
  [2373] = 299,
  [2374] = 2222,
  [2375] = 2242,
  [2376] = 2223,
  [2377] = 2215,
  [2378] = 300,
  [2379] = 2240,
  [2380] = 2233,
  [2381] = 2381,
  [2382] = 300,
  [2383] = 2383,
  [2384] = 1085,
  [2385] = 2249,
  [2386] = 2217,
  [2387] = 2250,
  [2388] = 2388,
  [2389] = 345,
  [2390] = 2213,
  [2391] = 2214,
  [2392] = 2244,
  [2393] = 2232,
  [2394] = 2216,
  [2395] = 2395,
  [2396] = 2246,
  [2397] = 2397,
  [2398] = 2218,
  [2399] = 2246,
  [2400] = 2219,
  [2401] = 2232,
  [2402] = 2221,
  [2403] = 2244,
  [2404] = 2222,
  [2405] = 2240,
  [2406] = 2223,
  [2407] = 360,
  [2408] = 1084,
  [2409] = 2409,
  [2410] = 2410,
  [2411] = 2249,
  [2412] = 2412,
  [2413] = 2413,
  [2414] = 2414,
  [2415] = 2413,
  [2416] = 2416,
  [2417] = 2272,
  [2418] = 2307,
  [2419] = 2328,
  [2420] = 2416,
  [2421] = 2288,
  [2422] = 2344,
  [2423] = 2260,
  [2424] = 2313,
  [2425] = 2425,
  [2426] = 2255,
  [2427] = 2269,
  [2428] = 2414,
  [2429] = 2346,
  [2430] = 2254,
  [2431] = 2276,
  [2432] = 2432,
  [2433] = 2425,
  [2434] = 2274,
  [2435] = 2435,
  [2436] = 2436,
  [2437] = 2437,
  [2438] = 2435,
  [2439] = 2439,
  [2440] = 2440,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2437,
  [2444] = 2435,
  [2445] = 2439,
  [2446] = 2440,
  [2447] = 2441,
  [2448] = 2448,
  [2449] = 2442,
  [2450] = 2437,
  [2451] = 2435,
  [2452] = 2439,
  [2453] = 2440,
  [2454] = 2441,
  [2455] = 2442,
  [2456] = 2436,
  [2457] = 2437,
  [2458] = 2435,
  [2459] = 2439,
  [2460] = 2442,
  [2461] = 2437,
  [2462] = 2435,
  [2463] = 2442,
  [2464] = 2439,
  [2465] = 2437,
  [2466] = 2435,
  [2467] = 2440,
  [2468] = 2441,
  [2469] = 2439,
  [2470] = 2440,
  [2471] = 2442,
  [2472] = 2437,
  [2473] = 2435,
  [2474] = 2439,
  [2475] = 2440,
  [2476] = 2441,
  [2477] = 2442,
  [2478] = 2442,
  [2479] = 2439,
  [2480] = 2440,
  [2481] = 2441,
  [2482] = 2437,
  [2483] = 2440,
  [2484] = 2441,
  [2485] = 2441,
  [2486] = 2436,
  [2487] = 2436,
  [2488] = 2436,
  [2489] = 2436,
  [2490] = 2436,
  [2491] = 2491,
  [2492] = 2492,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 2495,
  [2496] = 2496,
  [2497] = 2497,
  [2498] = 2498,
  [2499] = 2499,
  [2500] = 2500,
  [2501] = 1573,
  [2502] = 1568,
  [2503] = 1571,
  [2504] = 1581,
  [2505] = 1566,
  [2506] = 1570,
  [2507] = 1575,
  [2508] = 1580,
  [2509] = 1572,
  [2510] = 1578,
  [2511] = 1569,
  [2512] = 1565,
  [2513] = 1574,
  [2514] = 2514,
  [2515] = 1563,
  [2516] = 1567,
  [2517] = 2517,
  [2518] = 2518,
  [2519] = 2519,
  [2520] = 2520,
  [2521] = 2521,
  [2522] = 2522,
  [2523] = 2523,
  [2524] = 2524,
  [2525] = 168,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 2528,
  [2529] = 2529,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 2532,
  [2533] = 2533,
  [2534] = 2497,
  [2535] = 2535,
  [2536] = 2536,
  [2537] = 2537,
  [2538] = 2535,
  [2539] = 2536,
  [2540] = 2540,
  [2541] = 2530,
  [2542] = 2528,
  [2543] = 2532,
  [2544] = 2532,
  [2545] = 2530,
  [2546] = 2546,
  [2547] = 2514,
  [2548] = 2548,
  [2549] = 2497,
  [2550] = 2550,
  [2551] = 2537,
  [2552] = 2552,
  [2553] = 2553,
  [2554] = 2533,
  [2555] = 2555,
  [2556] = 2556,
  [2557] = 2557,
  [2558] = 2558,
  [2559] = 2559,
  [2560] = 2557,
  [2561] = 2557,
  [2562] = 2562,
  [2563] = 2563,
  [2564] = 2564,
  [2565] = 2565,
  [2566] = 2497,
  [2567] = 2555,
  [2568] = 2557,
  [2569] = 2564,
  [2570] = 2557,
  [2571] = 2558,
  [2572] = 2572,
  [2573] = 2562,
  [2574] = 2555,
  [2575] = 2563,
  [2576] = 2557,
  [2577] = 2557,
  [2578] = 2562,
  [2579] = 2563,
  [2580] = 2555,
  [2581] = 2555,
  [2582] = 2562,
  [2583] = 2563,
  [2584] = 2564,
  [2585] = 2558,
  [2586] = 2558,
  [2587] = 2557,
  [2588] = 2563,
  [2589] = 2562,
  [2590] = 2555,
  [2591] = 2564,
  [2592] = 2555,
  [2593] = 2564,
  [2594] = 2565,
  [2595] = 2555,
  [2596] = 2558,
  [2597] = 2597,
  [2598] = 2598,
  [2599] = 321,
  [2600] = 2600,
  [2601] = 341,
  [2602] = 2602,
  [2603] = 2603,
  [2604] = 2604,
  [2605] = 2605,
  [2606] = 2606,
  [2607] = 2607,
  [2608] = 2608,
  [2609] = 2609,
  [2610] = 2610,
  [2611] = 2611,
  [2612] = 2612,
  [2613] = 2613,
  [2614] = 2614,
  [2615] = 302,
  [2616] = 2616,
  [2617] = 2617,
  [2618] = 2618,
  [2619] = 2619,
  [2620] = 2620,
  [2621] = 2604,
  [2622] = 2622,
  [2623] = 2623,
  [2624] = 343,
  [2625] = 2625,
  [2626] = 278,
  [2627] = 2627,
  [2628] = 2628,
  [2629] = 2629,
  [2630] = 2630,
  [2631] = 2631,
  [2632] = 2632,
  [2633] = 1761,
  [2634] = 1776,
  [2635] = 2635,
  [2636] = 2636,
  [2637] = 1573,
  [2638] = 1568,
  [2639] = 1571,
  [2640] = 1581,
  [2641] = 1566,
  [2642] = 1570,
  [2643] = 1575,
  [2644] = 1580,
  [2645] = 1572,
  [2646] = 1578,
  [2647] = 1569,
  [2648] = 1565,
  [2649] = 1574,
  [2650] = 2650,
  [2651] = 2651,
  [2652] = 2652,
  [2653] = 2653,
  [2654] = 2654,
  [2655] = 2655,
  [2656] = 2656,
  [2657] = 2657,
  [2658] = 1563,
  [2659] = 1567,
  [2660] = 2660,
  [2661] = 2661,
  [2662] = 2662,
  [2663] = 2663,
  [2664] = 337,
  [2665] = 1082,
  [2666] = 2666,
  [2667] = 2666,
  [2668] = 2666,
  [2669] = 2666,
  [2670] = 2666,
  [2671] = 981,
  [2672] = 2672,
  [2673] = 2673,
  [2674] = 2674,
  [2675] = 2675,
  [2676] = 2676,
  [2677] = 2677,
  [2678] = 2678,
  [2679] = 2679,
  [2680] = 2680,
  [2681] = 2675,
  [2682] = 168,
  [2683] = 2683,
  [2684] = 2674,
  [2685] = 2673,
  [2686] = 2686,
  [2687] = 2687,
  [2688] = 2688,
  [2689] = 2689,
  [2690] = 2690,
  [2691] = 2691,
  [2692] = 2692,
  [2693] = 1509,
  [2694] = 168,
  [2695] = 2650,
  [2696] = 2597,
  [2697] = 2657,
  [2698] = 2610,
  [2699] = 2636,
  [2700] = 2652,
  [2701] = 2650,
  [2702] = 2653,
  [2703] = 2606,
  [2704] = 2654,
  [2705] = 2656,
  [2706] = 2655,
  [2707] = 2661,
  [2708] = 2607,
  [2709] = 2609,
  [2710] = 2631,
  [2711] = 2711,
  [2712] = 2663,
  [2713] = 2713,
  [2714] = 2714,
  [2715] = 2662,
  [2716] = 2608,
  [2717] = 2717,
  [2718] = 2663,
  [2719] = 2610,
  [2720] = 2628,
  [2721] = 1501,
  [2722] = 2611,
  [2723] = 2660,
  [2724] = 2625,
  [2725] = 2632,
  [2726] = 2635,
  [2727] = 2636,
  [2728] = 2629,
  [2729] = 2656,
  [2730] = 2617,
  [2731] = 2630,
  [2732] = 2661,
  [2733] = 2662,
  [2734] = 2612,
  [2735] = 2631,
  [2736] = 2613,
  [2737] = 2614,
  [2738] = 2616,
  [2739] = 1506,
  [2740] = 2618,
  [2741] = 2619,
  [2742] = 2620,
  [2743] = 2635,
  [2744] = 2600,
  [2745] = 2623,
  [2746] = 2598,
  [2747] = 2602,
  [2748] = 2628,
  [2749] = 2607,
  [2750] = 2609,
  [2751] = 2600,
  [2752] = 2629,
  [2753] = 2612,
  [2754] = 2597,
  [2755] = 2651,
  [2756] = 2756,
  [2757] = 2652,
  [2758] = 2653,
  [2759] = 2759,
  [2760] = 2657,
  [2761] = 2654,
  [2762] = 2655,
  [2763] = 2622,
  [2764] = 2613,
  [2765] = 2630,
  [2766] = 2614,
  [2767] = 2651,
  [2768] = 2660,
  [2769] = 2617,
  [2770] = 2616,
  [2771] = 2618,
  [2772] = 2605,
  [2773] = 2605,
  [2774] = 2598,
  [2775] = 2619,
  [2776] = 2620,
  [2777] = 2777,
  [2778] = 2611,
  [2779] = 2625,
  [2780] = 2632,
  [2781] = 2602,
  [2782] = 2606,
  [2783] = 2608,
  [2784] = 2623,
  [2785] = 2622,
  [2786] = 2786,
  [2787] = 2680,
  [2788] = 2788,
  [2789] = 2789,
  [2790] = 2790,
  [2791] = 2791,
  [2792] = 2792,
  [2793] = 2793,
  [2794] = 2683,
  [2795] = 2795,
  [2796] = 2796,
  [2797] = 2797,
  [2798] = 2798,
  [2799] = 2799,
  [2800] = 2800,
  [2801] = 2801,
  [2802] = 2802,
  [2803] = 2803,
  [2804] = 2804,
  [2805] = 2805,
  [2806] = 2800,
  [2807] = 2807,
  [2808] = 2808,
  [2809] = 2800,
  [2810] = 2807,
  [2811] = 2800,
  [2812] = 2812,
  [2813] = 2813,
  [2814] = 2814,
  [2815] = 2815,
  [2816] = 2816,
  [2817] = 2813,
  [2818] = 2818,
  [2819] = 2804,
  [2820] = 2800,
  [2821] = 2821,
  [2822] = 2822,
  [2823] = 2823,
  [2824] = 2824,
  [2825] = 2825,
  [2826] = 2826,
  [2827] = 2821,
  [2828] = 2828,
  [2829] = 2829,
  [2830] = 2828,
  [2831] = 2826,
  [2832] = 2821,
  [2833] = 2826,
  [2834] = 2834,
  [2835] = 2826,
  [2836] = 2826,
  [2837] = 2826,
  [2838] = 2828,
  [2839] = 2823,
  [2840] = 2824,
  [2841] = 2821,
  [2842] = 2829,
  [2843] = 2828,
  [2844] = 2834,
  [2845] = 2823,
  [2846] = 2829,
  [2847] = 2826,
  [2848] = 2826,
  [2849] = 2834,
  [2850] = 2850,
  [2851] = 2851,
  [2852] = 2824,
  [2853] = 2821,
  [2854] = 2828,
  [2855] = 2796,
  [2856] = 2834,
  [2857] = 2824,
  [2858] = 2834,
  [2859] = 2824,
  [2860] = 2795,
  [2861] = 2861,
  [2862] = 2861,
  [2863] = 2861,
  [2864] = 2864,
  [2865] = 2865,
  [2866] = 2864,
  [2867] = 168,
  [2868] = 2868,
  [2869] = 2869,
  [2870] = 2870,
  [2871] = 2871,
  [2872] = 2008,
  [2873] = 2864,
  [2874] = 2874,
  [2875] = 2875,
  [2876] = 2864,
  [2877] = 2877,
  [2878] = 2864,
  [2879] = 2824,
  [2880] = 2864,
  [2881] = 2864,
  [2882] = 2864,
  [2883] = 2824,
  [2884] = 2824,
  [2885] = 2885,
  [2886] = 2824,
  [2887] = 2887,
  [2888] = 2887,
  [2889] = 2889,
  [2890] = 2890,
  [2891] = 2887,
  [2892] = 2892,
  [2893] = 2889,
  [2894] = 2889,
  [2895] = 2892,
  [2896] = 2896,
  [2897] = 2897,
  [2898] = 2889,
  [2899] = 2896,
  [2900] = 2889,
  [2901] = 2901,
  [2902] = 2892,
  [2903] = 2903,
  [2904] = 2889,
  [2905] = 2889,
  [2906] = 2906,
  [2907] = 2907,
  [2908] = 2908,
  [2909] = 2889,
  [2910] = 2903,
  [2911] = 2824,
  [2912] = 2903,
  [2913] = 2896,
  [2914] = 2914,
  [2915] = 2915,
  [2916] = 2916,
  [2917] = 2917,
  [2918] = 2918,
  [2919] = 2919,
  [2920] = 2920,
  [2921] = 2921,
  [2922] = 2922,
  [2923] = 2923,
  [2924] = 2924,
  [2925] = 2491,
  [2926] = 2492,
  [2927] = 2927,
  [2928] = 2928,
  [2929] = 2929,
  [2930] = 2930,
  [2931] = 2931,
  [2932] = 2932,
  [2933] = 2933,
  [2934] = 2923,
  [2935] = 2935,
  [2936] = 2936,
  [2937] = 2937,
  [2938] = 2938,
  [2939] = 2939,
  [2940] = 2940,
  [2941] = 168,
  [2942] = 2942,
  [2943] = 2943,
  [2944] = 2944,
  [2945] = 2945,
  [2946] = 2946,
  [2947] = 2947,
  [2948] = 2945,
  [2949] = 2949,
  [2950] = 2950,
  [2951] = 2951,
  [2952] = 2952,
  [2953] = 2953,
  [2954] = 2954,
  [2955] = 2955,
  [2956] = 2956,
  [2957] = 2957,
  [2958] = 2958,
  [2959] = 2959,
  [2960] = 2960,
  [2961] = 2961,
  [2962] = 2962,
  [2963] = 2963,
  [2964] = 2964,
  [2965] = 2965,
  [2966] = 2966,
  [2967] = 2967,
  [2968] = 2968,
  [2969] = 2969,
  [2970] = 2970,
  [2971] = 2971,
  [2972] = 2972,
  [2973] = 2973,
  [2974] = 2945,
  [2975] = 2975,
  [2976] = 2976,
  [2977] = 2977,
  [2978] = 2978,
  [2979] = 2979,
  [2980] = 2980,
  [2981] = 2981,
  [2982] = 2982,
  [2983] = 2983,
  [2984] = 2984,
  [2985] = 2985,
  [2986] = 2986,
  [2987] = 2987,
  [2988] = 2945,
  [2989] = 2989,
  [2990] = 2990,
  [2991] = 2991,
  [2992] = 2992,
  [2993] = 2993,
  [2994] = 2994,
  [2995] = 2995,
  [2996] = 2996,
  [2997] = 2997,
  [2998] = 2998,
  [2999] = 2999,
  [3000] = 3000,
  [3001] = 3001,
  [3002] = 2945,
  [3003] = 3003,
  [3004] = 3004,
  [3005] = 3005,
  [3006] = 3006,
  [3007] = 3007,
  [3008] = 3008,
  [3009] = 3009,
  [3010] = 3010,
  [3011] = 3011,
  [3012] = 3012,
  [3013] = 3013,
  [3014] = 3014,
  [3015] = 3015,
  [3016] = 3016,
  [3017] = 2572,
  [3018] = 3018,
  [3019] = 3018,
  [3020] = 2448,
  [3021] = 168,
  [3022] = 3022,
  [3023] = 3023,
  [3024] = 3024,
  [3025] = 3025,
  [3026] = 3026,
  [3027] = 3027,
  [3028] = 3028,
  [3029] = 3029,
  [3030] = 3023,
  [3031] = 3031,
  [3032] = 3032,
  [3033] = 2688,
  [3034] = 3028,
  [3035] = 3035,
  [3036] = 3036,
  [3037] = 3025,
  [3038] = 3028,
  [3039] = 2690,
  [3040] = 3040,
  [3041] = 3041,
  [3042] = 3036,
  [3043] = 3043,
  [3044] = 3025,
  [3045] = 2691,
  [3046] = 2692,
  [3047] = 3027,
  [3048] = 3023,
  [3049] = 3031,
  [3050] = 3050,
  [3051] = 3036,
  [3052] = 3052,
  [3053] = 3027,
  [3054] = 3031,
  [3055] = 2788,
  [3056] = 2711,
  [3057] = 2777,
  [3058] = 2790,
  [3059] = 2713,
  [3060] = 3060,
  [3061] = 3061,
  [3062] = 3062,
  [3063] = 2792,
  [3064] = 2793,
  [3065] = 2786,
  [3066] = 3066,
  [3067] = 3067,
  [3068] = 3068,
  [3069] = 3062,
  [3070] = 2918,
  [3071] = 3066,
  [3072] = 2918,
  [3073] = 2759,
  [3074] = 2714,
  [3075] = 2677,
  [3076] = 2686,
  [3077] = 2791,
  [3078] = 3061,
  [3079] = 2678,
  [3080] = 2717,
  [3081] = 3060,
  [3082] = 2789,
  [3083] = 3083,
  [3084] = 3084,
  [3085] = 3083,
  [3086] = 3086,
  [3087] = 3087,
  [3088] = 3088,
  [3089] = 3089,
  [3090] = 3090,
  [3091] = 3091,
  [3092] = 3092,
  [3093] = 3084,
  [3094] = 3083,
  [3095] = 3086,
  [3096] = 3087,
  [3097] = 3089,
  [3098] = 3090,
  [3099] = 3092,
  [3100] = 3084,
  [3101] = 3083,
  [3102] = 3086,
  [3103] = 3087,
  [3104] = 3089,
  [3105] = 3090,
  [3106] = 3092,
  [3107] = 3107,
  [3108] = 3084,
  [3109] = 3083,
  [3110] = 3086,
  [3111] = 3087,
  [3112] = 3089,
  [3113] = 3090,
  [3114] = 3092,
  [3115] = 3084,
  [3116] = 3086,
  [3117] = 3087,
  [3118] = 3089,
  [3119] = 3090,
  [3120] = 3090,
  [3121] = 3092,
  [3122] = 3089,
  [3123] = 3090,
  [3124] = 3124,
  [3125] = 3124,
  [3126] = 3126,
  [3127] = 3127,
  [3128] = 3128,
  [3129] = 3129,
  [3130] = 3130,
  [3131] = 3126,
  [3132] = 3132,
  [3133] = 3133,
  [3134] = 3092,
  [3135] = 3135,
  [3136] = 3132,
  [3137] = 3137,
  [3138] = 3092,
  [3139] = 3139,
  [3140] = 3140,
  [3141] = 3141,
  [3142] = 3142,
  [3143] = 3143,
  [3144] = 3092,
  [3145] = 3084,
  [3146] = 3083,
  [3147] = 3132,
  [3148] = 3148,
  [3149] = 3135,
  [3150] = 3084,
  [3151] = 3084,
  [3152] = 3083,
  [3153] = 3083,
  [3154] = 3086,
  [3155] = 3092,
  [3156] = 3086,
  [3157] = 3087,
  [3158] = 3135,
  [3159] = 3087,
  [3160] = 3088,
  [3161] = 2572,
  [3162] = 3086,
  [3163] = 3087,
  [3164] = 3084,
  [3165] = 3083,
  [3166] = 3086,
  [3167] = 3087,
  [3168] = 3168,
  [3169] = 3169,
  [3170] = 3170,
  [3171] = 3089,
  [3172] = 3172,
  [3173] = 3089,
  [3174] = 3090,
  [3175] = 3175,
  [3176] = 3089,
  [3177] = 3090,
  [3178] = 3178,
  [3179] = 3124,
  [3180] = 3088,
  [3181] = 3124,
  [3182] = 3084,
  [3183] = 3083,
  [3184] = 3107,
  [3185] = 3086,
  [3186] = 3139,
  [3187] = 3087,
  [3188] = 3140,
  [3189] = 3126,
  [3190] = 3148,
  [3191] = 3107,
  [3192] = 3148,
  [3193] = 3092,
  [3194] = 3172,
  [3195] = 3175,
  [3196] = 3126,
  [3197] = 3084,
  [3198] = 3083,
  [3199] = 3086,
  [3200] = 3087,
  [3201] = 3201,
  [3202] = 3139,
  [3203] = 3089,
  [3204] = 3089,
  [3205] = 3090,
  [3206] = 3090,
  [3207] = 3172,
  [3208] = 3208,
  [3209] = 3140,
  [3210] = 3092,
  [3211] = 3175,
  [3212] = 2688,
  [3213] = 2692,
  [3214] = 2690,
  [3215] = 2691,
  [3216] = 3216,
  [3217] = 3217,
  [3218] = 1741,
  [3219] = 2713,
  [3220] = 2777,
  [3221] = 2711,
  [3222] = 2759,
  [3223] = 1741,
  [3224] = 3216,
  [3225] = 2714,
  [3226] = 2717,
  [3227] = 3227,
  [3228] = 335,
  [3229] = 324,
  [3230] = 3230,
  [3231] = 359,
  [3232] = 2687,
  [3233] = 3233,
  [3234] = 3234,
  [3235] = 3235,
  [3236] = 3236,
  [3237] = 3237,
  [3238] = 3238,
  [3239] = 3239,
  [3240] = 3240,
  [3241] = 3241,
  [3242] = 3242,
  [3243] = 3237,
  [3244] = 3236,
  [3245] = 3236,
  [3246] = 2689,
  [3247] = 3247,
  [3248] = 3248,
  [3249] = 3249,
  [3250] = 3250,
  [3251] = 3251,
  [3252] = 3252,
  [3253] = 3253,
  [3254] = 3254,
  [3255] = 3255,
  [3256] = 3256,
  [3257] = 3257,
  [3258] = 3258,
  [3259] = 3259,
  [3260] = 3260,
  [3261] = 3261,
  [3262] = 3262,
  [3263] = 3263,
  [3264] = 3264,
  [3265] = 3265,
  [3266] = 3266,
  [3267] = 3267,
  [3268] = 3258,
  [3269] = 3269,
  [3270] = 3270,
  [3271] = 3271,
  [3272] = 3272,
  [3273] = 3273,
  [3274] = 3274,
  [3275] = 3275,
  [3276] = 3276,
  [3277] = 3277,
  [3278] = 3278,
  [3279] = 3279,
  [3280] = 3280,
  [3281] = 3281,
  [3282] = 2814,
  [3283] = 2799,
  [3284] = 2816,
  [3285] = 2801,
  [3286] = 2798,
  [3287] = 3280,
  [3288] = 3288,
  [3289] = 3289,
  [3290] = 3290,
  [3291] = 3291,
  [3292] = 3292,
  [3293] = 3293,
  [3294] = 3294,
  [3295] = 3292,
  [3296] = 3294,
  [3297] = 3290,
  [3298] = 3298,
  [3299] = 3299,
  [3300] = 3300,
  [3301] = 3293,
  [3302] = 3302,
  [3303] = 3303,
  [3304] = 3304,
  [3305] = 3305,
  [3306] = 3306,
  [3307] = 3307,
  [3308] = 3307,
  [3309] = 3307,
  [3310] = 3307,
  [3311] = 3307,
  [3312] = 3307,
  [3313] = 3307,
  [3314] = 3307,
  [3315] = 3315,
  [3316] = 3316,
  [3317] = 3317,
  [3318] = 3318,
  [3319] = 3319,
  [3320] = 3320,
  [3321] = 3321,
  [3322] = 3322,
  [3323] = 3323,
  [3324] = 3324,
  [3325] = 3318,
  [3326] = 3315,
  [3327] = 3327,
  [3328] = 3328,
  [3329] = 3329,
  [3330] = 3329,
  [3331] = 3331,
  [3332] = 3332,
  [3333] = 3333,
  [3334] = 1082,
  [3335] = 3335,
  [3336] = 981,
  [3337] = 3337,
  [3338] = 3338,
  [3339] = 3333,
  [3340] = 3333,
  [3341] = 3333,
  [3342] = 3342,
  [3343] = 3343,
  [3344] = 3344,
  [3345] = 3344,
  [3346] = 3346,
  [3347] = 3347,
  [3348] = 3348,
  [3349] = 3349,
  [3350] = 3350,
  [3351] = 3344,
  [3352] = 3347,
  [3353] = 3349,
  [3354] = 3354,
  [3355] = 3355,
  [3356] = 3356,
  [3357] = 3344,
  [3358] = 3358,
  [3359] = 3358,
  [3360] = 3358,
  [3361] = 3347,
  [3362] = 3356,
  [3363] = 3363,
  [3364] = 3344,
  [3365] = 3344,
  [3366] = 3366,
  [3367] = 3356,
  [3368] = 3368,
  [3369] = 3344,
  [3370] = 3356,
  [3371] = 3349,
  [3372] = 3354,
  [3373] = 3373,
  [3374] = 3356,
  [3375] = 3356,
  [3376] = 3376,
  [3377] = 3356,
  [3378] = 3356,
  [3379] = 3344,
  [3380] = 3380,
  [3381] = 3344,
  [3382] = 3358,
  [3383] = 3356,
  [3384] = 3384,
  [3385] = 3358,
  [3386] = 3386,
  [3387] = 3386,
  [3388] = 3347,
  [3389] = 3356,
  [3390] = 3356,
  [3391] = 3347,
  [3392] = 3346,
  [3393] = 3350,
  [3394] = 3344,
  [3395] = 3376,
  [3396] = 3396,
  [3397] = 3358,
  [3398] = 3349,
  [3399] = 3344,
  [3400] = 3384,
  [3401] = 3344,
  [3402] = 3358,
  [3403] = 3403,
  [3404] = 3356,
  [3405] = 3405,
  [3406] = 3406,
  [3407] = 3407,
  [3408] = 3408,
  [3409] = 3409,
  [3410] = 3407,
  [3411] = 3411,
  [3412] = 3412,
  [3413] = 3413,
  [3414] = 3412,
  [3415] = 3415,
  [3416] = 3416,
  [3417] = 3413,
  [3418] = 3418,
  [3419] = 3407,
  [3420] = 3420,
  [3421] = 2518,
  [3422] = 3413,
  [3423] = 3423,
  [3424] = 3424,
  [3425] = 3425,
  [3426] = 3426,
  [3427] = 3413,
  [3428] = 3413,
  [3429] = 3429,
  [3430] = 3430,
  [3431] = 3431,
  [3432] = 3432,
  [3433] = 3413,
  [3434] = 3434,
  [3435] = 3435,
  [3436] = 3407,
  [3437] = 3431,
  [3438] = 3407,
  [3439] = 3413,
  [3440] = 3440,
  [3441] = 3441,
  [3442] = 3413,
  [3443] = 3432,
  [3444] = 3412,
  [3445] = 3407,
  [3446] = 3413,
  [3447] = 3424,
  [3448] = 3424,
  [3449] = 3407,
  [3450] = 3408,
  [3451] = 3413,
  [3452] = 3440,
  [3453] = 3431,
  [3454] = 3413,
  [3455] = 3431,
  [3456] = 3413,
  [3457] = 3434,
  [3458] = 3458,
  [3459] = 3459,
  [3460] = 3460,
  [3461] = 3461,
  [3462] = 3462,
  [3463] = 3463,
  [3464] = 3464,
  [3465] = 3465,
  [3466] = 3466,
  [3467] = 3467,
  [3468] = 3468,
  [3469] = 3469,
  [3470] = 3470,
  [3471] = 3471,
  [3472] = 3472,
  [3473] = 3473,
  [3474] = 3474,
  [3475] = 3475,
  [3476] = 3476,
  [3477] = 3477,
  [3478] = 3478,
  [3479] = 3458,
  [3480] = 3480,
  [3481] = 3477,
  [3482] = 3478,
  [3483] = 3483,
  [3484] = 3459,
  [3485] = 3472,
  [3486] = 3460,
  [3487] = 3461,
  [3488] = 3462,
  [3489] = 3463,
  [3490] = 3464,
  [3491] = 3465,
  [3492] = 3466,
  [3493] = 3467,
  [3494] = 3468,
  [3495] = 3469,
  [3496] = 3470,
  [3497] = 3471,
  [3498] = 3473,
  [3499] = 3499,
  [3500] = 3473,
  [3501] = 3460,
  [3502] = 3461,
  [3503] = 3462,
  [3504] = 3504,
  [3505] = 3463,
  [3506] = 3464,
  [3507] = 3474,
  [3508] = 3465,
  [3509] = 3466,
  [3510] = 3467,
  [3511] = 3468,
  [3512] = 3469,
  [3513] = 3470,
  [3514] = 3475,
  [3515] = 3515,
  [3516] = 3483,
  [3517] = 3459,
  [3518] = 3518,
  [3519] = 3519,
  [3520] = 3458,
  [3521] = 2412,
  [3522] = 3483,
  [3523] = 3459,
  [3524] = 3460,
  [3525] = 3461,
  [3526] = 3462,
  [3527] = 3463,
  [3528] = 3464,
  [3529] = 3465,
  [3530] = 3466,
  [3531] = 3467,
  [3532] = 3468,
  [3533] = 3469,
  [3534] = 3470,
  [3535] = 3471,
  [3536] = 3473,
  [3537] = 3474,
  [3538] = 3458,
  [3539] = 3480,
  [3540] = 3477,
  [3541] = 3478,
  [3542] = 3472,
  [3543] = 3460,
  [3544] = 3483,
  [3545] = 3459,
  [3546] = 3461,
  [3547] = 3462,
  [3548] = 3463,
  [3549] = 3464,
  [3550] = 3465,
  [3551] = 3466,
  [3552] = 3467,
  [3553] = 3468,
  [3554] = 3469,
  [3555] = 3470,
  [3556] = 3471,
  [3557] = 3480,
  [3558] = 3558,
  [3559] = 3473,
  [3560] = 3560,
  [3561] = 2388,
  [3562] = 3474,
  [3563] = 3483,
  [3564] = 3459,
  [3565] = 3458,
  [3566] = 3477,
  [3567] = 3478,
  [3568] = 3568,
  [3569] = 3569,
  [3570] = 3458,
  [3571] = 3477,
  [3572] = 3478,
  [3573] = 3573,
  [3574] = 3504,
  [3575] = 3471,
  [3576] = 3458,
  [3577] = 3477,
  [3578] = 3478,
  [3579] = 3518,
  [3580] = 3580,
  [3581] = 3460,
  [3582] = 3461,
  [3583] = 3462,
  [3584] = 3463,
  [3585] = 3464,
  [3586] = 3465,
  [3587] = 3466,
  [3588] = 3467,
  [3589] = 3468,
  [3590] = 3469,
  [3591] = 3470,
  [3592] = 3471,
  [3593] = 3593,
  [3594] = 3473,
  [3595] = 3595,
  [3596] = 3596,
  [3597] = 3595,
  [3598] = 3499,
  [3599] = 3474,
  [3600] = 3568,
  [3601] = 3601,
  [3602] = 3478,
  [3603] = 3596,
  [3604] = 3595,
  [3605] = 3499,
  [3606] = 3596,
  [3607] = 3596,
  [3608] = 3596,
  [3609] = 3478,
  [3610] = 3610,
  [3611] = 3459,
  [3612] = 3472,
  [3613] = 3460,
  [3614] = 3461,
  [3615] = 3462,
  [3616] = 3463,
  [3617] = 3464,
  [3618] = 3465,
  [3619] = 3466,
  [3620] = 3467,
  [3621] = 3468,
  [3622] = 3469,
  [3623] = 3470,
  [3624] = 3471,
  [3625] = 3625,
  [3626] = 3473,
  [3627] = 3595,
  [3628] = 3474,
  [3629] = 3475,
  [3630] = 3499,
  [3631] = 3480,
  [3632] = 3478,
  [3633] = 3483,
  [3634] = 3459,
  [3635] = 3472,
  [3636] = 3460,
  [3637] = 3461,
  [3638] = 3462,
  [3639] = 3463,
  [3640] = 3464,
  [3641] = 3465,
  [3642] = 3466,
  [3643] = 3467,
  [3644] = 3468,
  [3645] = 3469,
  [3646] = 3470,
  [3647] = 3471,
  [3648] = 3473,
  [3649] = 3474,
  [3650] = 3483,
  [3651] = 3459,
  [3652] = 3460,
  [3653] = 3461,
  [3654] = 3462,
  [3655] = 3463,
  [3656] = 3464,
  [3657] = 3465,
  [3658] = 3466,
  [3659] = 3467,
  [3660] = 3468,
  [3661] = 3469,
  [3662] = 3470,
  [3663] = 3471,
  [3664] = 3473,
  [3665] = 3474,
  [3666] = 3458,
  [3667] = 3477,
  [3668] = 3478,
  [3669] = 3477,
  [3670] = 3625,
  [3671] = 3483,
  [3672] = 3459,
  [3673] = 3483,
  [3674] = 3472,
  [3675] = 3460,
  [3676] = 3461,
  [3677] = 3462,
  [3678] = 3463,
  [3679] = 3464,
  [3680] = 3465,
  [3681] = 3466,
  [3682] = 3467,
  [3683] = 3468,
  [3684] = 3469,
  [3685] = 3470,
  [3686] = 3471,
  [3687] = 3625,
  [3688] = 3688,
  [3689] = 3473,
  [3690] = 3595,
  [3691] = 3474,
  [3692] = 3499,
  [3693] = 3693,
  [3694] = 3625,
  [3695] = 3595,
  [3696] = 3499,
  [3697] = 3625,
  [3698] = 3595,
  [3699] = 3499,
  [3700] = 3625,
  [3701] = 3595,
  [3702] = 3499,
  [3703] = 3474,
  [3704] = 3625,
  [3705] = 3625,
  [3706] = 3458,
  [3707] = 3480,
  [3708] = 3477,
  [3709] = 3478,
  [3710] = 3476,
  [3711] = 3711,
  [3712] = 3712,
  [3713] = 3483,
  [3714] = 3459,
  [3715] = 3460,
  [3716] = 3461,
  [3717] = 3462,
  [3718] = 3463,
  [3719] = 3464,
  [3720] = 3465,
  [3721] = 3466,
  [3722] = 3467,
  [3723] = 3468,
  [3724] = 3469,
  [3725] = 3470,
  [3726] = 3471,
  [3727] = 3473,
  [3728] = 3474,
  [3729] = 3458,
  [3730] = 3477,
  [3731] = 3478,
  [3732] = 3458,
  [3733] = 3480,
  [3734] = 3477,
  [3735] = 3483,
  [3736] = 3459,
  [3737] = 3460,
  [3738] = 3461,
  [3739] = 3462,
  [3740] = 3463,
  [3741] = 3464,
  [3742] = 3465,
  [3743] = 3466,
  [3744] = 3467,
  [3745] = 3468,
  [3746] = 3469,
  [3747] = 3470,
  [3748] = 3471,
  [3749] = 3749,
  [3750] = 3473,
  [3751] = 3474,
  [3752] = 3458,
  [3753] = 3477,
  [3754] = 3596,
  [3755] = 3610,
  [3756] = 3483,
  [3757] = 3757,
  [3758] = 3757,
  [3759] = 3757,
  [3760] = 3760,
  [3761] = 3760,
  [3762] = 3760,
  [3763] = 3763,
  [3764] = 3764,
  [3765] = 3763,
  [3766] = 3763,
  [3767] = 3764,
  [3768] = 3764,
  [3769] = 1741,
  [3770] = 335,
  [3771] = 359,
  [3772] = 324,
  [3773] = 3773,
  [3774] = 2572,
  [3775] = 3775,
  [3776] = 2677,
  [3777] = 2686,
  [3778] = 3775,
  [3779] = 2678,
  [3780] = 2870,
  [3781] = 3781,
  [3782] = 2868,
  [3783] = 3781,
  [3784] = 3775,
  [3785] = 3785,
  [3786] = 3785,
  [3787] = 3785,
  [3788] = 3781,
  [3789] = 2518,
  [3790] = 2914,
  [3791] = 2906,
  [3792] = 2890,
  [3793] = 2897,
  [3794] = 2908,
  [3795] = 2907,
  [3796] = 2932,
  [3797] = 3797,
  [3798] = 2991,
  [3799] = 2940,
  [3800] = 2997,
  [3801] = 3062,
  [3802] = 3001,
  [3803] = 3005,
  [3804] = 2947,
  [3805] = 3060,
  [3806] = 3066,
  [3807] = 2931,
  [3808] = 2955,
  [3809] = 2921,
  [3810] = 2936,
  [3811] = 2927,
  [3812] = 2916,
  [3813] = 2692,
  [3814] = 2448,
  [3815] = 2975,
  [3816] = 2976,
  [3817] = 2930,
  [3818] = 2929,
  [3819] = 2939,
  [3820] = 2970,
  [3821] = 2937,
  [3822] = 2922,
  [3823] = 2920,
  [3824] = 2924,
  [3825] = 2933,
  [3826] = 2928,
  [3827] = 2952,
  [3828] = 2915,
  [3829] = 2919,
  [3830] = 2690,
  [3831] = 2688,
  [3832] = 3007,
  [3833] = 2691,
  [3834] = 1762,
  [3835] = 2714,
  [3836] = 2713,
  [3837] = 2965,
  [3838] = 2953,
  [3839] = 2957,
  [3840] = 3003,
  [3841] = 3032,
  [3842] = 2951,
  [3843] = 2964,
  [3844] = 2983,
  [3845] = 3845,
  [3846] = 2984,
  [3847] = 2993,
  [3848] = 3012,
  [3849] = 3849,
  [3850] = 2954,
  [3851] = 3026,
  [3852] = 3029,
  [3853] = 2958,
  [3854] = 2959,
  [3855] = 3855,
  [3856] = 2960,
  [3857] = 3857,
  [3858] = 3858,
  [3859] = 2972,
  [3860] = 3016,
  [3861] = 2978,
  [3862] = 2979,
  [3863] = 3008,
  [3864] = 2950,
  [3865] = 2956,
  [3866] = 2985,
  [3867] = 3845,
  [3868] = 3849,
  [3869] = 3869,
  [3870] = 3041,
  [3871] = 3024,
  [3872] = 1902,
  [3873] = 3873,
  [3874] = 2935,
  [3875] = 2989,
  [3876] = 1757,
  [3877] = 3877,
  [3878] = 2996,
  [3879] = 2949,
  [3880] = 3013,
  [3881] = 3014,
  [3882] = 3015,
  [3883] = 2942,
  [3884] = 2943,
  [3885] = 3855,
  [3886] = 3857,
  [3887] = 3858,
  [3888] = 3855,
  [3889] = 3170,
  [3890] = 2944,
  [3891] = 2946,
  [3892] = 3892,
  [3893] = 2962,
  [3894] = 2963,
  [3895] = 2967,
  [3896] = 2968,
  [3897] = 2969,
  [3898] = 3845,
  [3899] = 3849,
  [3900] = 2971,
  [3901] = 2938,
  [3902] = 3869,
  [3903] = 3011,
  [3904] = 1741,
  [3905] = 2998,
  [3906] = 3855,
  [3907] = 2992,
  [3908] = 3857,
  [3909] = 3858,
  [3910] = 3845,
  [3911] = 3849,
  [3912] = 3004,
  [3913] = 3869,
  [3914] = 2999,
  [3915] = 3855,
  [3916] = 3857,
  [3917] = 3858,
  [3918] = 3845,
  [3919] = 3849,
  [3920] = 3869,
  [3921] = 2986,
  [3922] = 2990,
  [3923] = 3855,
  [3924] = 3857,
  [3925] = 3858,
  [3926] = 3845,
  [3927] = 3849,
  [3928] = 2977,
  [3929] = 3869,
  [3930] = 3178,
  [3931] = 3855,
  [3932] = 3857,
  [3933] = 3858,
  [3934] = 3845,
  [3935] = 3849,
  [3936] = 3201,
  [3937] = 3869,
  [3938] = 3855,
  [3939] = 3857,
  [3940] = 3858,
  [3941] = 3845,
  [3942] = 3849,
  [3943] = 3943,
  [3944] = 3869,
  [3945] = 3855,
  [3946] = 3857,
  [3947] = 3858,
  [3948] = 3845,
  [3949] = 3849,
  [3950] = 3869,
  [3951] = 3855,
  [3952] = 3857,
  [3953] = 3858,
  [3954] = 3845,
  [3955] = 3849,
  [3956] = 3869,
  [3957] = 3208,
  [3958] = 3857,
  [3959] = 2994,
  [3960] = 2995,
  [3961] = 3091,
  [3962] = 2777,
  [3963] = 3010,
  [3964] = 3168,
  [3965] = 3143,
  [3966] = 3128,
  [3967] = 3858,
  [3968] = 2717,
  [3969] = 2759,
  [3970] = 2973,
  [3971] = 2980,
  [3972] = 2981,
  [3973] = 3127,
  [3974] = 3129,
  [3975] = 3130,
  [3976] = 3133,
  [3977] = 2711,
  [3978] = 2982,
  [3979] = 2987,
  [3980] = 3869,
  [3981] = 3137,
  [3982] = 3141,
  [3983] = 3142,
  [3984] = 2412,
  [3985] = 2388,
  [3986] = 2966,
  [3987] = 3040,
  [3988] = 1475,
  [3989] = 2792,
  [3990] = 2793,
  [3991] = 3991,
  [3992] = 1513,
  [3993] = 1476,
  [3994] = 2789,
  [3995] = 1458,
  [3996] = 3060,
  [3997] = 1464,
  [3998] = 3062,
  [3999] = 2786,
  [4000] = 3066,
  [4001] = 1517,
  [4002] = 2791,
  [4003] = 1522,
  [4004] = 3991,
  [4005] = 2788,
  [4006] = 2790,
  [4007] = 1495,
  [4008] = 1514,
  [4009] = 1520,
  [4010] = 4010,
  [4011] = 4011,
  [4012] = 4012,
  [4013] = 4013,
  [4014] = 4010,
  [4015] = 4010,
  [4016] = 4011,
  [4017] = 4012,
  [4018] = 4013,
  [4019] = 4010,
  [4020] = 4011,
  [4021] = 4012,
  [4022] = 4013,
  [4023] = 4013,
  [4024] = 4010,
  [4025] = 4011,
  [4026] = 4012,
  [4027] = 4013,
  [4028] = 4010,
  [4029] = 4011,
  [4030] = 4010,
  [4031] = 4013,
  [4032] = 4010,
  [4033] = 4012,
  [4034] = 4011,
  [4035] = 4012,
  [4036] = 4013,
  [4037] = 4010,
  [4038] = 3032,
  [4039] = 3040,
  [4040] = 4011,
  [4041] = 4011,
  [4042] = 4012,
  [4043] = 4013,
  [4044] = 4011,
  [4045] = 4013,
  [4046] = 4011,
  [4047] = 3026,
  [4048] = 3029,
  [4049] = 4010,
  [4050] = 4013,
  [4051] = 3041,
  [4052] = 4012,
  [4053] = 3024,
  [4054] = 4012,
  [4055] = 4012,
  [4056] = 361,
  [4057] = 4057,
  [4058] = 4058,
  [4059] = 3041,
  [4060] = 3026,
  [4061] = 3024,
  [4062] = 3029,
  [4063] = 344,
  [4064] = 296,
  [4065] = 2288,
  [4066] = 4066,
  [4067] = 297,
  [4068] = 2272,
  [4069] = 3062,
  [4070] = 356,
  [4071] = 336,
  [4072] = 323,
  [4073] = 3066,
  [4074] = 3032,
  [4075] = 4075,
  [4076] = 342,
  [4077] = 2274,
  [4078] = 3060,
  [4079] = 3040,
  [4080] = 2276,
  [4081] = 1085,
  [4082] = 1084,
  [4083] = 1507,
  [4084] = 3170,
  [4085] = 4085,
  [4086] = 4086,
  [4087] = 4087,
  [4088] = 4088,
  [4089] = 3137,
  [4090] = 3130,
  [4091] = 2918,
  [4092] = 3128,
  [4093] = 3208,
  [4094] = 3091,
  [4095] = 3178,
  [4096] = 3127,
  [4097] = 3201,
  [4098] = 4085,
  [4099] = 3168,
  [4100] = 3133,
  [4101] = 3142,
  [4102] = 4088,
  [4103] = 4103,
  [4104] = 4104,
  [4105] = 4103,
  [4106] = 3129,
  [4107] = 4088,
  [4108] = 3143,
  [4109] = 4088,
  [4110] = 4104,
  [4111] = 4087,
  [4112] = 3141,
  [4113] = 4113,
  [4114] = 4113,
  [4115] = 1085,
  [4116] = 1084,
  [4117] = 4117,
  [4118] = 4117,
  [4119] = 4117,
  [4120] = 4117,
  [4121] = 4121,
  [4122] = 4122,
  [4123] = 4123,
  [4124] = 4121,
  [4125] = 4125,
  [4126] = 4122,
  [4127] = 4127,
  [4128] = 4121,
  [4129] = 4122,
  [4130] = 4122,
  [4131] = 4121,
  [4132] = 4132,
  [4133] = 4132,
  [4134] = 4132,
  [4135] = 4132,
  [4136] = 4132,
  [4137] = 4132,
  [4138] = 4132,
  [4139] = 3060,
  [4140] = 3040,
  [4141] = 3066,
  [4142] = 3026,
  [4143] = 3024,
  [4144] = 4144,
  [4145] = 4144,
  [4146] = 4146,
  [4147] = 3041,
  [4148] = 4146,
  [4149] = 3032,
  [4150] = 3029,
  [4151] = 3062,
  [4152] = 3170,
  [4153] = 3128,
  [4154] = 3201,
  [4155] = 4155,
  [4156] = 2412,
  [4157] = 4157,
  [4158] = 2388,
  [4159] = 3208,
  [4160] = 3091,
  [4161] = 4155,
  [4162] = 3127,
  [4163] = 3129,
  [4164] = 3130,
  [4165] = 3133,
  [4166] = 4157,
  [4167] = 3137,
  [4168] = 3141,
  [4169] = 3142,
  [4170] = 3168,
  [4171] = 3143,
  [4172] = 3178,
  [4173] = 4173,
  [4174] = 4174,
  [4175] = 4175,
  [4176] = 4176,
  [4177] = 2870,
  [4178] = 2868,
  [4179] = 238,
  [4180] = 4180,
  [4181] = 4181,
  [4182] = 4181,
  [4183] = 4181,
  [4184] = 4184,
  [4185] = 204,
  [4186] = 4186,
  [4187] = 4187,
  [4188] = 231,
  [4189] = 4189,
  [4190] = 4186,
  [4191] = 4191,
  [4192] = 4181,
  [4193] = 4180,
  [4194] = 2868,
  [4195] = 209,
  [4196] = 213,
  [4197] = 215,
  [4198] = 217,
  [4199] = 271,
  [4200] = 228,
  [4201] = 218,
  [4202] = 240,
  [4203] = 245,
  [4204] = 219,
  [4205] = 2870,
  [4206] = 224,
  [4207] = 270,
  [4208] = 4181,
  [4209] = 202,
  [4210] = 4210,
  [4211] = 4211,
  [4212] = 4212,
  [4213] = 1449,
  [4214] = 4214,
  [4215] = 4211,
  [4216] = 4212,
  [4217] = 4217,
  [4218] = 4210,
  [4219] = 4217,
  [4220] = 4211,
  [4221] = 4211,
  [4222] = 4217,
  [4223] = 2918,
  [4224] = 4217,
  [4225] = 4212,
  [4226] = 4212,
  [4227] = 4210,
  [4228] = 4228,
  [4229] = 4212,
  [4230] = 4210,
  [4231] = 4212,
  [4232] = 4217,
  [4233] = 4211,
  [4234] = 4210,
  [4235] = 4228,
  [4236] = 4228,
  [4237] = 4210,
  [4238] = 4212,
  [4239] = 4210,
  [4240] = 4212,
  [4241] = 4228,
  [4242] = 4228,
  [4243] = 4228,
  [4244] = 4228,
  [4245] = 4228,
  [4246] = 4210,
  [4247] = 2922,
  [4248] = 4248,
  [4249] = 4249,
  [4250] = 4250,
  [4251] = 4251,
  [4252] = 4252,
  [4253] = 4253,
  [4254] = 2970,
  [4255] = 4255,
  [4256] = 4256,
  [4257] = 2922,
  [4258] = 4258,
  [4259] = 2975,
  [4260] = 2952,
  [4261] = 3007,
  [4262] = 4262,
  [4263] = 2947,
  [4264] = 2955,
  [4265] = 4265,
  [4266] = 2991,
  [4267] = 2940,
  [4268] = 2997,
  [4269] = 3001,
  [4270] = 3005,
  [4271] = 4271,
  [4272] = 4272,
  [4273] = 2976,
  [4274] = 4274,
  [4275] = 2868,
  [4276] = 2870,
  [4277] = 4277,
  [4278] = 1449,
  [4279] = 4279,
  [4280] = 4280,
  [4281] = 4281,
  [4282] = 4282,
  [4283] = 4282,
  [4284] = 4284,
  [4285] = 4285,
  [4286] = 4282,
  [4287] = 4282,
  [4288] = 4282,
  [4289] = 4282,
  [4290] = 4290,
  [4291] = 4291,
  [4292] = 4282,
  [4293] = 4282,
  [4294] = 3060,
  [4295] = 4277,
  [4296] = 3062,
  [4297] = 3066,
  [4298] = 4280,
  [4299] = 1449,
  [4300] = 4279,
  [4301] = 4274,
  [4302] = 1574,
  [4303] = 1567,
  [4304] = 3233,
  [4305] = 2922,
  [4306] = 1573,
  [4307] = 3234,
  [4308] = 1568,
  [4309] = 1571,
  [4310] = 1581,
  [4311] = 1566,
  [4312] = 1570,
  [4313] = 1575,
  [4314] = 1565,
  [4315] = 1580,
  [4316] = 1572,
  [4317] = 1578,
  [4318] = 1569,
  [4319] = 4285,
  [4320] = 1563,
  [4321] = 4291,
  [4322] = 1484,
  [4323] = 4323,
  [4324] = 4324,
  [4325] = 1566,
  [4326] = 1567,
  [4327] = 1568,
  [4328] = 1573,
  [4329] = 1581,
  [4330] = 1571,
  [4331] = 1570,
  [4332] = 1574,
  [4333] = 1575,
  [4334] = 1580,
  [4335] = 1569,
  [4336] = 1578,
  [4337] = 1572,
  [4338] = 1565,
  [4339] = 1563,
  [4340] = 4340,
  [4341] = 1484,
  [4342] = 4340,
  [4343] = 4340,
  [4344] = 4340,
  [4345] = 4340,
  [4346] = 4340,
  [4347] = 4340,
  [4348] = 4340,
  [4349] = 4340,
  [4350] = 4340,
  [4351] = 4340,
  [4352] = 4340,
  [4353] = 1581,
  [4354] = 1570,
  [4355] = 1575,
  [4356] = 1580,
  [4357] = 1572,
  [4358] = 1578,
  [4359] = 1569,
  [4360] = 1565,
  [4361] = 1574,
  [4362] = 1446,
  [4363] = 1563,
  [4364] = 1567,
  [4365] = 1573,
  [4366] = 1568,
  [4367] = 1571,
  [4368] = 1566,
  [4369] = 1484,
  [4370] = 4370,
  [4371] = 4371,
  [4372] = 4372,
  [4373] = 1567,
  [4374] = 1571,
  [4375] = 1581,
  [4376] = 1574,
  [4377] = 1570,
  [4378] = 1573,
  [4379] = 1572,
  [4380] = 1563,
  [4381] = 1580,
  [4382] = 1578,
  [4383] = 1569,
  [4384] = 1565,
  [4385] = 1566,
  [4386] = 1575,
  [4387] = 1568,
  [4388] = 4388,
  [4389] = 4388,
  [4390] = 4390,
  [4391] = 4391,
  [4392] = 1572,
  [4393] = 4393,
  [4394] = 1568,
  [4395] = 1571,
  [4396] = 1581,
  [4397] = 1573,
  [4398] = 1565,
  [4399] = 1566,
  [4400] = 1563,
  [4401] = 1570,
  [4402] = 1575,
  [4403] = 1567,
  [4404] = 1580,
  [4405] = 1578,
  [4406] = 1569,
  [4407] = 1574,
  [4408] = 4408,
  [4409] = 4409,
  [4410] = 4410,
  [4411] = 4411,
  [4412] = 4412,
  [4413] = 4413,
  [4414] = 4414,
  [4415] = 4409,
  [4416] = 4416,
  [4417] = 4417,
  [4418] = 4409,
  [4419] = 4419,
  [4420] = 4412,
  [4421] = 4409,
  [4422] = 4409,
  [4423] = 4408,
  [4424] = 4409,
  [4425] = 4409,
  [4426] = 4409,
  [4427] = 4427,
  [4428] = 4428,
  [4429] = 4429,
  [4430] = 1573,
  [4431] = 1568,
  [4432] = 1571,
  [4433] = 1581,
  [4434] = 1566,
  [4435] = 1570,
  [4436] = 1575,
  [4437] = 1580,
  [4438] = 1572,
  [4439] = 1578,
  [4440] = 1569,
  [4441] = 4441,
  [4442] = 4442,
  [4443] = 1565,
  [4444] = 4427,
  [4445] = 4393,
  [4446] = 1574,
  [4447] = 4441,
  [4448] = 4441,
  [4449] = 4427,
  [4450] = 4441,
  [4451] = 4451,
  [4452] = 4452,
  [4453] = 4452,
  [4454] = 4454,
  [4455] = 4455,
  [4456] = 4456,
  [4457] = 4457,
  [4458] = 4458,
  [4459] = 4427,
  [4460] = 4441,
  [4461] = 4441,
  [4462] = 4427,
  [4463] = 4452,
  [4464] = 4464,
  [4465] = 4452,
  [4466] = 4427,
  [4467] = 4467,
  [4468] = 4468,
  [4469] = 4452,
  [4470] = 4452,
  [4471] = 4393,
  [4472] = 1563,
  [4473] = 1567,
  [4474] = 1446,
  [4475] = 4452,
  [4476] = 4452,
  [4477] = 4413,
  [4478] = 4457,
  [4479] = 4458,
  [4480] = 4480,
  [4481] = 4452,
  [4482] = 4482,
  [4483] = 4483,
  [4484] = 4452,
  [4485] = 4441,
  [4486] = 4427,
  [4487] = 4452,
  [4488] = 4488,
  [4489] = 4489,
  [4490] = 4452,
  [4491] = 4491,
  [4492] = 4492,
  [4493] = 4493,
  [4494] = 4494,
  [4495] = 4495,
  [4496] = 4496,
  [4497] = 4497,
  [4498] = 4498,
  [4499] = 4499,
  [4500] = 4495,
  [4501] = 4501,
  [4502] = 4502,
  [4503] = 4495,
  [4504] = 4497,
  [4505] = 4499,
  [4506] = 4506,
  [4507] = 4498,
  [4508] = 4494,
  [4509] = 4502,
  [4510] = 4510,
  [4511] = 4499,
  [4512] = 4495,
  [4513] = 4513,
  [4514] = 4514,
  [4515] = 4510,
  [4516] = 4499,
  [4517] = 4501,
  [4518] = 4498,
  [4519] = 4502,
  [4520] = 4520,
  [4521] = 4521,
  [4522] = 4522,
  [4523] = 4523,
  [4524] = 4498,
  [4525] = 4525,
  [4526] = 4526,
  [4527] = 4527,
  [4528] = 4528,
  [4529] = 4529,
  [4530] = 4495,
  [4531] = 4531,
  [4532] = 4532,
  [4533] = 4533,
  [4534] = 4522,
  [4535] = 4499,
  [4536] = 4528,
  [4537] = 4537,
  [4538] = 4538,
  [4539] = 4495,
  [4540] = 4540,
  [4541] = 4541,
  [4542] = 4542,
  [4543] = 4499,
  [4544] = 4498,
  [4545] = 4529,
  [4546] = 4546,
  [4547] = 2498,
  [4548] = 4510,
  [4549] = 4495,
  [4550] = 4510,
  [4551] = 4551,
  [4552] = 4552,
  [4553] = 4537,
  [4554] = 4495,
  [4555] = 4510,
  [4556] = 4537,
  [4557] = 4557,
  [4558] = 4558,
  [4559] = 4522,
  [4560] = 4529,
  [4561] = 4561,
  [4562] = 4537,
  [4563] = 4498,
  [4564] = 4502,
  [4565] = 4499,
  [4566] = 4498,
  [4567] = 4502,
  [4568] = 4558,
  [4569] = 4506,
  [4570] = 4499,
  [4571] = 4571,
  [4572] = 4510,
  [4573] = 4573,
  [4574] = 4574,
  [4575] = 4575,
  [4576] = 4576,
  [4577] = 4577,
  [4578] = 4578,
  [4579] = 4577,
  [4580] = 4577,
  [4581] = 4581,
  [4582] = 4582,
  [4583] = 4583,
  [4584] = 4582,
  [4585] = 4585,
  [4586] = 4578,
  [4587] = 4587,
  [4588] = 4588,
  [4589] = 4589,
  [4590] = 4590,
  [4591] = 4585,
  [4592] = 4592,
  [4593] = 4593,
  [4594] = 4581,
  [4595] = 4585,
  [4596] = 4596,
  [4597] = 4587,
  [4598] = 4598,
  [4599] = 4590,
  [4600] = 4600,
  [4601] = 4585,
  [4602] = 4585,
  [4603] = 4600,
  [4604] = 4596,
  [4605] = 4605,
  [4606] = 4606,
  [4607] = 4607,
  [4608] = 4608,
  [4609] = 4609,
  [4610] = 4605,
  [4611] = 4611,
  [4612] = 4607,
  [4613] = 4613,
  [4614] = 4614,
  [4615] = 4583,
  [4616] = 4616,
  [4617] = 4617,
  [4618] = 4608,
  [4619] = 4587,
  [4620] = 4611,
  [4621] = 4621,
  [4622] = 4614,
  [4623] = 4585,
  [4624] = 4621,
  [4625] = 4589,
  [4626] = 4613,
  [4627] = 4593,
  [4628] = 4589,
  [4629] = 4614,
  [4630] = 4607,
  [4631] = 4609,
  [4632] = 4596,
  [4633] = 4633,
  [4634] = 4634,
  [4635] = 4635,
  [4636] = 4636,
  [4637] = 4637,
  [4638] = 4638,
  [4639] = 4639,
  [4640] = 4640,
  [4641] = 4641,
  [4642] = 4642,
  [4643] = 4643,
  [4644] = 4644,
  [4645] = 4645,
  [4646] = 4646,
  [4647] = 4647,
  [4648] = 4648,
  [4649] = 4641,
  [4650] = 4650,
  [4651] = 1491,
  [4652] = 4652,
  [4653] = 4653,
  [4654] = 4654,
  [4655] = 4655,
  [4656] = 4639,
  [4657] = 4657,
  [4658] = 4653,
  [4659] = 4655,
  [4660] = 4660,
  [4661] = 4661,
  [4662] = 1491,
  [4663] = 4642,
  [4664] = 4657,
  [4665] = 4652,
  [4666] = 4661,
  [4667] = 4634,
  [4668] = 4643,
  [4669] = 4645,
  [4670] = 4637,
  [4671] = 4638,
  [4672] = 4640,
  [4673] = 4673,
  [4674] = 4661,
  [4675] = 4675,
  [4676] = 4676,
  [4677] = 4676,
  [4678] = 4660,
  [4679] = 4679,
  [4680] = 4657,
  [4681] = 4650,
  [4682] = 4682,
  [4683] = 4683,
  [4684] = 4661,
  [4685] = 4685,
  [4686] = 4636,
  [4687] = 4644,
  [4688] = 4683,
  [4689] = 4633,
  [4690] = 4661,
  [4691] = 4646,
  [4692] = 4647,
  [4693] = 4676,
  [4694] = 4660,
  [4695] = 4661,
  [4696] = 4654,
  [4697] = 4697,
  [4698] = 4698,
  [4699] = 4699,
  [4700] = 4700,
  [4701] = 4701,
  [4702] = 4699,
  [4703] = 4701,
  [4704] = 4704,
  [4705] = 4698,
  [4706] = 4706,
  [4707] = 4707,
  [4708] = 4708,
  [4709] = 4699,
  [4710] = 4701,
  [4711] = 4704,
  [4712] = 4704,
  [4713] = 4700,
  [4714] = 4714,
  [4715] = 4698,
  [4716] = 4697,
  [4717] = 4701,
  [4718] = 4698,
  [4719] = 4707,
  [4720] = 4699,
  [4721] = 4700,
  [4722] = 4700,
  [4723] = 4706,
  [4724] = 4706,
  [4725] = 4707,
  [4726] = 4708,
  [4727] = 4699,
  [4728] = 4701,
  [4729] = 4704,
  [4730] = 4700,
  [4731] = 4714,
  [4732] = 4701,
  [4733] = 4704,
  [4734] = 4707,
  [4735] = 4714,
  [4736] = 4706,
  [4737] = 4697,
  [4738] = 4707,
  [4739] = 4708,
  [4740] = 4704,
  [4741] = 4706,
  [4742] = 4699,
  [4743] = 4698,
  [4744] = 4708,
  [4745] = 4714,
  [4746] = 4698,
  [4747] = 4714,
  [4748] = 4697,
  [4749] = 4706,
  [4750] = 4714,
  [4751] = 4700,
  [4752] = 4699,
  [4753] = 4701,
  [4754] = 4704,
  [4755] = 4707,
  [4756] = 4706,
  [4757] = 4707,
  [4758] = 4708,
  [4759] = 4698,
  [4760] = 4714,
  [4761] = 4697,
  [4762] = 4697,
  [4763] = 4700,
  [4764] = 4698,
  [4765] = 4700,
  [4766] = 4700,
  [4767] = 4699,
  [4768] = 4701,
  [4769] = 4704,
  [4770] = 4706,
  [4771] = 4699,
  [4772] = 4701,
  [4773] = 4704,
  [4774] = 4707,
  [4775] = 4708,
  [4776] = 4708,
  [4777] = 4714,
  [4778] = 4697,
  [4779] = 4698,
  [4780] = 4697,
  [4781] = 4700,
  [4782] = 4699,
  [4783] = 4701,
  [4784] = 4704,
  [4785] = 4714,
  [4786] = 4706,
  [4787] = 4707,
  [4788] = 4697,
  [4789] = 4714,
  [4790] = 4706,
  [4791] = 4708,
  [4792] = 4707,
  [4793] = 4708,
  [4794] = 4708,
  [4795] = 4697,
  [4796] = 4698,
  [4797] = 4797,
  [4798] = 4798,
  [4799] = 4799,
  [4800] = 4800,
  [4801] = 4801,
  [4802] = 4798,
  [4803] = 4800,
  [4804] = 4800,
  [4805] = 4805,
  [4806] = 4805,
  [4807] = 4807,
  [4808] = 4808,
  [4809] = 4808,
  [4810] = 4805,
  [4811] = 4808,
  [4812] = 2572,
  [4813] = 4813,
  [4814] = 4807,
  [4815] = 4813,
  [4816] = 4816,
  [4817] = 4808,
  [4818] = 4816,
  [4819] = 4808,
  [4820] = 4820,
  [4821] = 4820,
  [4822] = 4822,
  [4823] = 4820,
  [4824] = 4820,
  [4825] = 4822,
  [4826] = 4820,
  [4827] = 4822,
  [4828] = 4820,
  [4829] = 4820,
  [4830] = 4820,
  [4831] = 4831,
  [4832] = 4832,
  [4833] = 4833,
  [4834] = 4834,
  [4835] = 4835,
  [4836] = 4835,
  [4837] = 4837,
  [4838] = 4833,
  [4839] = 4839,
  [4840] = 4840,
  [4841] = 4835,
  [4842] = 4842,
  [4843] = 4843,
  [4844] = 4840,
  [4845] = 4845,
  [4846] = 4846,
  [4847] = 4847,
  [4848] = 4848,
  [4849] = 4849,
  [4850] = 4850,
  [4851] = 4851,
  [4852] = 4852,
  [4853] = 4853,
  [4854] = 4854,
  [4855] = 4854,
  [4856] = 4854,
  [4857] = 4857,
  [4858] = 4849,
  [4859] = 4859,
  [4860] = 4849,
  [4861] = 4861,
  [4862] = 4862,
  [4863] = 4849,
  [4864] = 4864,
  [4865] = 4865,
  [4866] = 4866,
  [4867] = 4867,
  [4868] = 4857,
  [4869] = 4869,
  [4870] = 4849,
  [4871] = 4871,
  [4872] = 4872,
  [4873] = 4857,
  [4874] = 4874,
  [4875] = 4875,
  [4876] = 4857,
  [4877] = 2918,
  [4878] = 4878,
  [4879] = 4854,
  [4880] = 4880,
  [4881] = 4881,
  [4882] = 4882,
  [4883] = 179,
  [4884] = 4881,
  [4885] = 2690,
  [4886] = 4886,
  [4887] = 4881,
  [4888] = 2692,
  [4889] = 4886,
  [4890] = 2688,
  [4891] = 4881,
  [4892] = 4892,
  [4893] = 4881,
  [4894] = 4881,
  [4895] = 4886,
  [4896] = 2691,
  [4897] = 4881,
  [4898] = 4898,
  [4899] = 4899,
  [4900] = 4900,
  [4901] = 4901,
  [4902] = 4902,
  [4903] = 4903,
  [4904] = 4904,
  [4905] = 4902,
  [4906] = 4903,
  [4907] = 4907,
  [4908] = 4908,
  [4909] = 4909,
  [4910] = 4910,
  [4911] = 4904,
  [4912] = 4898,
  [4913] = 4913,
  [4914] = 4914,
  [4915] = 4915,
  [4916] = 4916,
  [4917] = 4917,
  [4918] = 4918,
  [4919] = 4919,
  [4920] = 4920,
  [4921] = 4921,
  [4922] = 4922,
  [4923] = 4913,
  [4924] = 4914,
  [4925] = 4899,
  [4926] = 4900,
  [4927] = 180,
  [4928] = 4915,
  [4929] = 4916,
  [4930] = 4930,
  [4931] = 4931,
  [4932] = 4932,
  [4933] = 4930,
  [4934] = 4934,
  [4935] = 4935,
  [4936] = 4898,
  [4937] = 4921,
  [4938] = 4922,
  [4939] = 4939,
  [4940] = 4931,
  [4941] = 4904,
  [4942] = 4898,
  [4943] = 4898,
  [4944] = 4898,
  [4945] = 4898,
  [4946] = 4913,
  [4947] = 4914,
  [4948] = 4915,
  [4949] = 4916,
  [4950] = 4939,
  [4951] = 4907,
  [4952] = 4952,
  [4953] = 4899,
  [4954] = 4901,
  [4955] = 4918,
  [4956] = 4956,
  [4957] = 4957,
  [4958] = 4901,
  [4959] = 4959,
  [4960] = 4960,
  [4961] = 4961,
  [4962] = 4962,
  [4963] = 4959,
  [4964] = 4964,
  [4965] = 4960,
  [4966] = 4966,
  [4967] = 4967,
  [4968] = 4968,
  [4969] = 4969,
  [4970] = 4970,
  [4971] = 4964,
  [4972] = 4966,
  [4973] = 4973,
  [4974] = 4966,
  [4975] = 4959,
  [4976] = 4964,
  [4977] = 4959,
  [4978] = 4970,
  [4979] = 4979,
  [4980] = 4980,
  [4981] = 4959,
  [4982] = 4982,
  [4983] = 4983,
  [4984] = 4984,
  [4985] = 4973,
  [4986] = 4979,
  [4987] = 4980,
  [4988] = 4988,
  [4989] = 4960,
  [4990] = 4960,
  [4991] = 4964,
  [4992] = 4960,
  [4993] = 4993,
  [4994] = 4962,
  [4995] = 4960,
  [4996] = 4973,
  [4997] = 4988,
  [4998] = 4973,
  [4999] = 4988,
  [5000] = 4960,
  [5001] = 4983,
  [5002] = 5002,
  [5003] = 4967,
  [5004] = 4968,
  [5005] = 4962,
  [5006] = 4960,
  [5007] = 4962,
  [5008] = 5008,
  [5009] = 4988,
  [5010] = 4983,
  [5011] = 5011,
  [5012] = 4962,
  [5013] = 5013,
  [5014] = 5014,
  [5015] = 5015,
  [5016] = 5016,
  [5017] = 5017,
  [5018] = 5018,
  [5019] = 5019,
  [5020] = 5020,
  [5021] = 5021,
  [5022] = 5022,
  [5023] = 4864,
  [5024] = 5019,
  [5025] = 5021,
  [5026] = 4866,
  [5027] = 5027,
  [5028] = 4956,
  [5029] = 5029,
  [5030] = 5030,
  [5031] = 5031,
  [5032] = 5032,
  [5033] = 5033,
  [5034] = 5030,
  [5035] = 5035,
  [5036] = 5031,
  [5037] = 5029,
  [5038] = 5038,
  [5039] = 4880,
  [5040] = 5032,
  [5041] = 2711,
  [5042] = 4861,
  [5043] = 5019,
  [5044] = 5027,
  [5045] = 5045,
  [5046] = 5017,
  [5047] = 5047,
  [5048] = 5015,
  [5049] = 4865,
  [5050] = 5050,
  [5051] = 5022,
  [5052] = 5052,
  [5053] = 5053,
  [5054] = 5033,
  [5055] = 5055,
  [5056] = 5019,
  [5057] = 2714,
  [5058] = 5058,
  [5059] = 5033,
  [5060] = 2713,
  [5061] = 5027,
  [5062] = 5047,
  [5063] = 2777,
  [5064] = 2717,
  [5065] = 5022,
  [5066] = 5031,
  [5067] = 5008,
  [5068] = 5050,
  [5069] = 5029,
  [5070] = 5070,
  [5071] = 4853,
  [5072] = 5033,
  [5073] = 5019,
  [5074] = 5038,
  [5075] = 5019,
  [5076] = 5058,
  [5077] = 2759,
  [5078] = 5016,
  [5079] = 4969,
  [5080] = 5021,
  [5081] = 5030,
  [5082] = 5033,
  [5083] = 5052,
  [5084] = 5084,
  [5085] = 5033,
  [5086] = 5055,
  [5087] = 5018,
  [5088] = 5047,
  [5089] = 5089,
  [5090] = 5015,
  [5091] = 5091,
  [5092] = 5089,
  [5093] = 5053,
  [5094] = 5050,
  [5095] = 5095,
  [5096] = 5055,
  [5097] = 5033,
  [5098] = 5016,
  [5099] = 5019,
  [5100] = 5100,
  [5101] = 5018,
  [5102] = 5102,
  [5103] = 5103,
  [5104] = 5033,
  [5105] = 2368,
  [5106] = 1085,
  [5107] = 5107,
  [5108] = 5108,
  [5109] = 5109,
  [5110] = 5110,
  [5111] = 5111,
  [5112] = 5112,
  [5113] = 5113,
  [5114] = 2383,
  [5115] = 5115,
  [5116] = 5116,
  [5117] = 5117,
  [5118] = 5118,
  [5119] = 359,
  [5120] = 5115,
  [5121] = 5121,
  [5122] = 5122,
  [5123] = 5110,
  [5124] = 324,
  [5125] = 1084,
  [5126] = 5110,
  [5127] = 5127,
  [5128] = 5128,
  [5129] = 5129,
  [5130] = 2267,
  [5131] = 5131,
  [5132] = 5115,
  [5133] = 5131,
  [5134] = 5116,
  [5135] = 2395,
  [5136] = 5111,
  [5137] = 2412,
  [5138] = 5131,
  [5139] = 5139,
  [5140] = 5113,
  [5141] = 2409,
  [5142] = 5142,
  [5143] = 5110,
  [5144] = 5144,
  [5145] = 5116,
  [5146] = 5131,
  [5147] = 5116,
  [5148] = 5148,
  [5149] = 5115,
  [5150] = 5110,
  [5151] = 5151,
  [5152] = 5131,
  [5153] = 5153,
  [5154] = 2397,
  [5155] = 2388,
  [5156] = 5116,
  [5157] = 5157,
  [5158] = 5158,
  [5159] = 5107,
  [5160] = 5160,
  [5161] = 5161,
  [5162] = 5115,
  [5163] = 5163,
  [5164] = 5164,
  [5165] = 5121,
  [5166] = 5121,
  [5167] = 5121,
  [5168] = 5168,
  [5169] = 2410,
  [5170] = 5121,
  [5171] = 2381,
  [5172] = 335,
  [5173] = 5173,
  [5174] = 5174,
  [5175] = 5175,
  [5176] = 5176,
  [5177] = 5174,
  [5178] = 5174,
  [5179] = 5179,
  [5180] = 5180,
  [5181] = 5181,
  [5182] = 5182,
  [5183] = 5183,
  [5184] = 5182,
  [5185] = 5185,
  [5186] = 5186,
  [5187] = 5187,
  [5188] = 5179,
  [5189] = 5189,
  [5190] = 5190,
  [5191] = 5191,
  [5192] = 5182,
  [5193] = 5193,
  [5194] = 5187,
  [5195] = 5193,
  [5196] = 5182,
  [5197] = 5197,
  [5198] = 5175,
  [5199] = 5199,
  [5200] = 5189,
  [5201] = 5201,
  [5202] = 5202,
  [5203] = 5197,
  [5204] = 5204,
  [5205] = 5190,
  [5206] = 5189,
  [5207] = 5207,
  [5208] = 5208,
  [5209] = 5209,
  [5210] = 5210,
  [5211] = 5197,
  [5212] = 5189,
  [5213] = 5213,
  [5214] = 5174,
  [5215] = 5182,
  [5216] = 5190,
  [5217] = 5217,
  [5218] = 5193,
  [5219] = 5219,
  [5220] = 5220,
  [5221] = 5221,
  [5222] = 5222,
  [5223] = 5223,
  [5224] = 5224,
  [5225] = 5225,
  [5226] = 5199,
  [5227] = 5227,
  [5228] = 5228,
  [5229] = 5229,
  [5230] = 5230,
  [5231] = 5187,
  [5232] = 5232,
  [5233] = 5191,
  [5234] = 5234,
  [5235] = 5235,
  [5236] = 5236,
  [5237] = 5237,
  [5238] = 5237,
  [5239] = 5183,
  [5240] = 5193,
  [5241] = 5241,
  [5242] = 5191,
  [5243] = 5182,
  [5244] = 5187,
  [5245] = 5245,
  [5246] = 5189,
  [5247] = 5223,
  [5248] = 5208,
  [5249] = 5197,
  [5250] = 5250,
  [5251] = 3253,
  [5252] = 5179,
  [5253] = 5217,
  [5254] = 5254,
  [5255] = 5255,
  [5256] = 5189,
  [5257] = 5193,
  [5258] = 3263,
  [5259] = 5223,
  [5260] = 5191,
  [5261] = 5261,
  [5262] = 5193,
  [5263] = 5263,
  [5264] = 5199,
  [5265] = 5191,
  [5266] = 5266,
  [5267] = 3260,
  [5268] = 5084,
  [5269] = 5269,
  [5270] = 5197,
  [5271] = 5190,
  [5272] = 5269,
  [5273] = 5182,
  [5274] = 5179,
  [5275] = 5261,
  [5276] = 5191,
  [5277] = 5174,
  [5278] = 5278,
  [5279] = 5279,
  [5280] = 5269,
  [5281] = 5281,
  [5282] = 5261,
  [5283] = 5281,
  [5284] = 5281,
  [5285] = 5222,
  [5286] = 5208,
  [5287] = 5197,
  [5288] = 5237,
  [5289] = 3261,
  [5290] = 5197,
  [5291] = 5222,
  [5292] = 5208,
  [5293] = 5174,
  [5294] = 5223,
  [5295] = 5191,
  [5296] = 5227,
  [5297] = 5199,
  [5298] = 5191,
  [5299] = 5193,
  [5300] = 5199,
  [5301] = 5202,
  [5302] = 5217,
  [5303] = 5175,
  [5304] = 5183,
  [5305] = 5183,
  [5306] = 5223,
  [5307] = 3265,
  [5308] = 5308,
  [5309] = 5183,
  [5310] = 3264,
  [5311] = 5199,
  [5312] = 5174,
  [5313] = 5174,
  [5314] = 5227,
  [5315] = 5315,
  [5316] = 5201,
  [5317] = 5183,
  [5318] = 5174,
  [5319] = 5223,
  [5320] = 5320,
  [5321] = 5202,
  [5322] = 5322,
  [5323] = 5323,
  [5324] = 5324,
  [5325] = 5325,
  [5326] = 5326,
  [5327] = 5327,
  [5328] = 5328,
  [5329] = 5329,
  [5330] = 5330,
  [5331] = 5331,
  [5332] = 5332,
  [5333] = 5324,
  [5334] = 5334,
  [5335] = 5335,
  [5336] = 5336,
  [5337] = 5337,
  [5338] = 5338,
  [5339] = 5339,
  [5340] = 5340,
  [5341] = 5327,
  [5342] = 5342,
  [5343] = 5343,
  [5344] = 5344,
  [5345] = 5345,
  [5346] = 5346,
  [5347] = 5347,
  [5348] = 5348,
  [5349] = 5349,
  [5350] = 5347,
  [5351] = 5351,
  [5352] = 5352,
  [5353] = 5353,
  [5354] = 5354,
  [5355] = 5355,
  [5356] = 5356,
  [5357] = 5357,
  [5358] = 5358,
  [5359] = 5344,
  [5360] = 5360,
  [5361] = 5361,
  [5362] = 5362,
  [5363] = 5347,
  [5364] = 5364,
  [5365] = 5353,
  [5366] = 5366,
  [5367] = 5367,
  [5368] = 5352,
  [5369] = 5369,
  [5370] = 5362,
  [5371] = 5364,
  [5372] = 5345,
  [5373] = 5348,
  [5374] = 5374,
  [5375] = 5375,
  [5376] = 5376,
  [5377] = 5377,
  [5378] = 5351,
  [5379] = 5357,
  [5380] = 5362,
  [5381] = 5332,
  [5382] = 5324,
  [5383] = 5364,
  [5384] = 5384,
  [5385] = 5385,
  [5386] = 5346,
  [5387] = 5342,
  [5388] = 5343,
  [5389] = 5389,
  [5390] = 5390,
  [5391] = 5391,
  [5392] = 5392,
  [5393] = 5393,
  [5394] = 5394,
  [5395] = 5395,
  [5396] = 5366,
  [5397] = 5393,
  [5398] = 5398,
  [5399] = 5366,
  [5400] = 5367,
  [5401] = 5401,
  [5402] = 5402,
  [5403] = 5395,
  [5404] = 5404,
  [5405] = 5405,
  [5406] = 5406,
  [5407] = 5374,
  [5408] = 5408,
  [5409] = 5409,
  [5410] = 5410,
  [5411] = 5332,
  [5412] = 5324,
  [5413] = 5342,
  [5414] = 5343,
  [5415] = 5415,
  [5416] = 5416,
  [5417] = 5360,
  [5418] = 5404,
  [5419] = 5419,
  [5420] = 5367,
  [5421] = 5421,
  [5422] = 5374,
  [5423] = 5423,
  [5424] = 5424,
  [5425] = 5425,
  [5426] = 5426,
  [5427] = 5332,
  [5428] = 5324,
  [5429] = 5429,
  [5430] = 5325,
  [5431] = 5342,
  [5432] = 5343,
  [5433] = 5433,
  [5434] = 5360,
  [5435] = 5435,
  [5436] = 5436,
  [5437] = 5367,
  [5438] = 5328,
  [5439] = 5439,
  [5440] = 5440,
  [5441] = 5374,
  [5442] = 5353,
  [5443] = 5443,
  [5444] = 5332,
  [5445] = 5421,
  [5446] = 5446,
  [5447] = 5447,
  [5448] = 5342,
  [5449] = 5343,
  [5450] = 5328,
  [5451] = 5451,
  [5452] = 5408,
  [5453] = 5367,
  [5454] = 5361,
  [5455] = 5455,
  [5456] = 5361,
  [5457] = 5329,
  [5458] = 5332,
  [5459] = 5459,
  [5460] = 5460,
  [5461] = 5342,
  [5462] = 5343,
  [5463] = 5393,
  [5464] = 5440,
  [5465] = 5395,
  [5466] = 5466,
  [5467] = 5467,
  [5468] = 5404,
  [5469] = 5393,
  [5470] = 5343,
  [5471] = 5389,
  [5472] = 5395,
  [5473] = 5404,
  [5474] = 5474,
  [5475] = 5348,
  [5476] = 5342,
  [5477] = 5477,
  [5478] = 5351,
  [5479] = 5479,
  [5480] = 5480,
  [5481] = 5354,
  [5482] = 5482,
  [5483] = 5483,
  [5484] = 5329,
  [5485] = 5485,
  [5486] = 5377,
  [5487] = 5408,
  [5488] = 5367,
  [5489] = 5409,
  [5490] = 5338,
  [5491] = 5491,
  [5492] = 5344,
  [5493] = 5493,
  [5494] = 5494,
  [5495] = 5347,
  [5496] = 5496,
  [5497] = 5497,
  [5498] = 5498,
  [5499] = 5393,
  [5500] = 5408,
  [5501] = 5440,
  [5502] = 5395,
  [5503] = 5404,
  [5504] = 5409,
  [5505] = 5424,
  [5506] = 5426,
  [5507] = 5325,
  [5508] = 5361,
  [5509] = 5415,
  [5510] = 5510,
  [5511] = 5511,
  [5512] = 5512,
  [5513] = 5424,
  [5514] = 5514,
  [5515] = 5360,
  [5516] = 5353,
  [5517] = 5517,
  [5518] = 5426,
  [5519] = 5127,
  [5520] = 5520,
  [5521] = 5521,
  [5522] = 5491,
  [5523] = 5523,
  [5524] = 5524,
  [5525] = 5491,
  [5526] = 5409,
  [5527] = 5527,
  [5528] = 5528,
  [5529] = 5356,
  [5530] = 5374,
  [5531] = 5390,
  [5532] = 5532,
  [5533] = 5362,
  [5534] = 5534,
  [5535] = 5440,
  [5536] = 198,
  [5537] = 5389,
  [5538] = 5538,
  [5539] = 5364,
  [5540] = 5328,
  [5541] = 5329,
  [5542] = 5409,
  [5543] = 5353,
  [5544] = 5424,
  [5545] = 5545,
  [5546] = 5511,
  [5547] = 5514,
  [5548] = 5548,
  [5549] = 5549,
  [5550] = 5550,
  [5551] = 5325,
  [5552] = 5389,
  [5553] = 5343,
  [5554] = 5369,
  [5555] = 5474,
  [5556] = 5556,
  [5557] = 5340,
  [5558] = 5327,
  [5559] = 5433,
  [5560] = 5560,
  [5561] = 5394,
  [5562] = 5562,
  [5563] = 5347,
  [5564] = 5360,
  [5565] = 5409,
  [5566] = 5325,
  [5567] = 5353,
  [5568] = 5344,
  [5569] = 5569,
  [5570] = 5570,
  [5571] = 5571,
  [5572] = 5440,
  [5573] = 5573,
  [5574] = 5574,
  [5575] = 5447,
  [5576] = 5353,
  [5577] = 5375,
  [5578] = 5578,
  [5579] = 5367,
  [5580] = 5580,
  [5581] = 5328,
  [5582] = 5402,
  [5583] = 5347,
  [5584] = 5584,
  [5585] = 5347,
  [5586] = 5436,
  [5587] = 5587,
  [5588] = 5409,
  [5589] = 5589,
  [5590] = 5325,
  [5591] = 5591,
  [5592] = 5592,
  [5593] = 5348,
  [5594] = 5351,
  [5595] = 5520,
  [5596] = 5362,
  [5597] = 5364,
  [5598] = 5598,
  [5599] = 5521,
  [5600] = 5600,
  [5601] = 5601,
  [5602] = 5602,
  [5603] = 5523,
  [5604] = 5329,
  [5605] = 5605,
  [5606] = 5494,
  [5607] = 5498,
  [5608] = 5608,
  [5609] = 5609,
  [5610] = 5347,
  [5611] = 5611,
  [5612] = 5466,
  [5613] = 5613,
  [5614] = 5338,
  [5615] = 5615,
  [5616] = 5338,
  [5617] = 5415,
  [5618] = 5497,
  [5619] = 5334,
  [5620] = 5393,
  [5621] = 5395,
  [5622] = 5404,
  [5623] = 5623,
  [5624] = 5440,
  [5625] = 5494,
  [5626] = 5408,
  [5627] = 5455,
  [5628] = 5330,
  [5629] = 5406,
  [5630] = 5423,
  [5631] = 5409,
  [5632] = 5632,
  [5633] = 5496,
  [5634] = 5634,
  [5635] = 5494,
  [5636] = 5498,
  [5637] = 5415,
  [5638] = 5638,
  [5639] = 5639,
  [5640] = 5640,
  [5641] = 5641,
  [5642] = 5642,
  [5643] = 5643,
  [5644] = 5361,
  [5645] = 5645,
  [5646] = 5375,
  [5647] = 5647,
  [5648] = 5589,
  [5649] = 5446,
  [5650] = 5498,
  [5651] = 5424,
  [5652] = 5426,
  [5653] = 5325,
  [5654] = 5325,
  [5655] = 5376,
  [5656] = 5656,
  [5657] = 5657,
  [5658] = 5658,
  [5659] = 5573,
  [5660] = 5340,
  [5661] = 5327,
  [5662] = 5440,
  [5663] = 5410,
  [5664] = 5366,
  [5665] = 5665,
  [5666] = 5352,
  [5667] = 5667,
  [5668] = 5668,
  [5669] = 5338,
  [5670] = 5367,
  [5671] = 5479,
  [5672] = 5672,
  [5673] = 5455,
  [5674] = 5446,
  [5675] = 5360,
  [5676] = 5676,
  [5677] = 5416,
  [5678] = 5678,
  [5679] = 5353,
  [5680] = 5680,
  [5681] = 5332,
  [5682] = 5375,
  [5683] = 5357,
  [5684] = 5684,
  [5685] = 5419,
  [5686] = 5127,
  [5687] = 5687,
  [5688] = 5688,
  [5689] = 5424,
  [5690] = 5421,
  [5691] = 5527,
  [5692] = 5426,
  [5693] = 5394,
  [5694] = 5694,
  [5695] = 5423,
  [5696] = 5696,
  [5697] = 5697,
  [5698] = 5425,
  [5699] = 5699,
  [5700] = 5700,
  [5701] = 5406,
  [5702] = 5702,
  [5703] = 5447,
  [5704] = 5605,
  [5705] = 5340,
  [5706] = 5706,
  [5707] = 5613,
  [5708] = 5528,
  [5709] = 5709,
  [5710] = 5410,
  [5711] = 5425,
  [5712] = 5344,
  [5713] = 5344,
  [5714] = 5374,
  [5715] = 5416,
  [5716] = 5415,
  [5717] = 5717,
  [5718] = 5324,
  [5719] = 5419,
  [5720] = 5608,
  [5721] = 5426,
  [5722] = 5722,
  [5723] = 5723,
  [5724] = 5724,
  [5725] = 5725,
  [5726] = 5726,
  [5727] = 5727,
  [5728] = 5728,
  [5729] = 5729,
  [5730] = 5729,
  [5731] = 5731,
  [5732] = 5732,
  [5733] = 5733,
  [5734] = 5734,
  [5735] = 5735,
  [5736] = 5728,
  [5737] = 5737,
  [5738] = 5738,
  [5739] = 5739,
  [5740] = 5740,
  [5741] = 5733,
  [5742] = 5742,
  [5743] = 5724,
  [5744] = 5744,
  [5745] = 5745,
  [5746] = 5746,
  [5747] = 5747,
  [5748] = 5748,
  [5749] = 5749,
  [5750] = 5750,
  [5751] = 5735,
  [5752] = 5752,
  [5753] = 5753,
  [5754] = 5754,
  [5755] = 5750,
  [5756] = 5734,
  [5757] = 5734,
  [5758] = 5724,
  [5759] = 5733,
  [5760] = 5732,
  [5761] = 5724,
  [5762] = 5723,
  [5763] = 5742,
  [5764] = 5728,
  [5765] = 5765,
  [5766] = 5766,
  [5767] = 5739,
  [5768] = 5737,
  [5769] = 5769,
  [5770] = 5770,
  [5771] = 5771,
  [5772] = 5772,
  [5773] = 5723,
  [5774] = 5774,
  [5775] = 5775,
  [5776] = 5753,
  [5777] = 5777,
  [5778] = 5753,
  [5779] = 5733,
  [5780] = 5766,
  [5781] = 5724,
  [5782] = 5742,
  [5783] = 5783,
  [5784] = 5737,
  [5785] = 5725,
  [5786] = 5729,
  [5787] = 5787,
  [5788] = 5788,
  [5789] = 5789,
  [5790] = 5790,
  [5791] = 5791,
  [5792] = 5735,
  [5793] = 5742,
  [5794] = 5794,
  [5795] = 5795,
  [5796] = 5796,
  [5797] = 5797,
  [5798] = 5724,
  [5799] = 5731,
  [5800] = 5774,
  [5801] = 5801,
  [5802] = 5802,
  [5803] = 5725,
  [5804] = 5728,
  [5805] = 5737,
  [5806] = 5806,
  [5807] = 5729,
  [5808] = 5808,
  [5809] = 5809,
  [5810] = 5777,
  [5811] = 5747,
  [5812] = 5739,
  [5813] = 5774,
  [5814] = 5814,
  [5815] = 5747,
  [5816] = 5739,
  [5817] = 5817,
  [5818] = 5818,
  [5819] = 5733,
  [5820] = 5820,
  [5821] = 5821,
  [5822] = 5766,
  [5823] = 5823,
  [5824] = 5766,
  [5825] = 5723,
  [5826] = 5725,
  [5827] = 5723,
  [5828] = 5749,
  [5829] = 5725,
  [5830] = 5830,
  [5831] = 5831,
  [5832] = 5775,
  [5833] = 5777,
  [5834] = 5834,
  [5835] = 5835,
  [5836] = 1501,
  [5837] = 5753,
  [5838] = 5728,
  [5839] = 5839,
  [5840] = 5728,
  [5841] = 5835,
  [5842] = 5842,
  [5843] = 5733,
  [5844] = 5844,
  [5845] = 5845,
  [5846] = 5846,
  [5847] = 5847,
  [5848] = 5848,
  [5849] = 5750,
  [5850] = 5735,
  [5851] = 5851,
  [5852] = 5724,
  [5853] = 5774,
  [5854] = 5739,
  [5855] = 5766,
  [5856] = 5725,
  [5857] = 5857,
  [5858] = 5728,
  [5859] = 1506,
  [5860] = 5860,
  [5861] = 5788,
  [5862] = 5739,
  [5863] = 5851,
  [5864] = 5766,
  [5865] = 5724,
  [5866] = 5866,
  [5867] = 5733,
  [5868] = 1509,
  [5869] = 5732,
  [5870] = 5731,
  [5871] = 5871,
  [5872] = 5723,
  [5873] = 5873,
  [5874] = 5731,
  [5875] = 5737,
  [5876] = 5731,
  [5877] = 5877,
  [5878] = 5735,
  [5879] = 5879,
  [5880] = 5724,
  [5881] = 5739,
  [5882] = 5882,
  [5883] = 5739,
  [5884] = 5884,
  [5885] = 5735,
  [5886] = 5732,
  [5887] = 5887,
  [5888] = 5888,
  [5889] = 5889,
  [5890] = 5890,
  [5891] = 5775,
  [5892] = 5766,
  [5893] = 5739,
  [5894] = 5725,
  [5895] = 5750,
  [5896] = 5774,
  [5897] = 5729,
  [5898] = 5734,
  [5899] = 5851,
  [5900] = 5753,
  [5901] = 5723,
  [5902] = 5775,
  [5903] = 5903,
  [5904] = 5851,
  [5905] = 5905,
  [5906] = 5906,
  [5907] = 5747,
  [5908] = 3238,
  [5909] = 5725,
  [5910] = 5766,
  [5911] = 5911,
  [5912] = 5912,
  [5913] = 5913,
  [5914] = 5914,
  [5915] = 5915,
  [5916] = 5916,
  [5917] = 5917,
  [5918] = 5918,
  [5919] = 5919,
  [5920] = 5920,
  [5921] = 5921,
  [5922] = 5922,
  [5923] = 5923,
  [5924] = 5924,
  [5925] = 5925,
  [5926] = 5926,
  [5927] = 5927,
  [5928] = 5928,
  [5929] = 5929,
  [5930] = 5930,
  [5931] = 5931,
  [5932] = 5932,
  [5933] = 5933,
  [5934] = 5934,
  [5935] = 5935,
  [5936] = 5936,
  [5937] = 5927,
  [5938] = 5920,
  [5939] = 5939,
  [5940] = 5940,
  [5941] = 5941,
  [5942] = 5942,
  [5943] = 5943,
  [5944] = 5944,
  [5945] = 5945,
  [5946] = 5946,
  [5947] = 5947,
  [5948] = 5948,
  [5949] = 5949,
  [5950] = 5950,
  [5951] = 5951,
  [5952] = 5952,
  [5953] = 5953,
  [5954] = 5954,
  [5955] = 5955,
  [5956] = 5956,
  [5957] = 5957,
  [5958] = 5958,
  [5959] = 5959,
  [5960] = 5960,
  [5961] = 5961,
  [5962] = 5962,
  [5963] = 5963,
  [5964] = 5964,
  [5965] = 5965,
  [5966] = 5966,
  [5967] = 5967,
  [5968] = 5968,
  [5969] = 5969,
  [5970] = 5970,
  [5971] = 5971,
  [5972] = 5917,
  [5973] = 5973,
  [5974] = 5932,
  [5975] = 5975,
  [5976] = 5953,
  [5977] = 5977,
  [5978] = 5978,
  [5979] = 5928,
  [5980] = 5980,
  [5981] = 5962,
  [5982] = 5967,
  [5983] = 5983,
  [5984] = 5936,
  [5985] = 5985,
  [5986] = 5986,
  [5987] = 5973,
  [5988] = 5988,
  [5989] = 5989,
  [5990] = 5925,
  [5991] = 5935,
  [5992] = 5980,
  [5993] = 5918,
  [5994] = 5994,
  [5995] = 5920,
  [5996] = 5996,
  [5997] = 5960,
  [5998] = 5930,
  [5999] = 5931,
  [6000] = 6000,
  [6001] = 6001,
  [6002] = 5934,
  [6003] = 5922,
  [6004] = 6004,
  [6005] = 6005,
  [6006] = 6006,
  [6007] = 5939,
  [6008] = 5941,
  [6009] = 5942,
  [6010] = 5943,
  [6011] = 5944,
  [6012] = 6012,
  [6013] = 5946,
  [6014] = 5947,
  [6015] = 6015,
  [6016] = 6016,
  [6017] = 6017,
  [6018] = 6018,
  [6019] = 5955,
  [6020] = 6020,
  [6021] = 5959,
  [6022] = 5933,
  [6023] = 5947,
  [6024] = 5962,
  [6025] = 5951,
  [6026] = 5964,
  [6027] = 6027,
  [6028] = 5957,
  [6029] = 4647,
  [6030] = 5917,
  [6031] = 5969,
  [6032] = 5951,
  [6033] = 6033,
  [6034] = 5973,
  [6035] = 6035,
  [6036] = 5977,
  [6037] = 5916,
  [6038] = 6038,
  [6039] = 6039,
  [6040] = 6040,
  [6041] = 6041,
  [6042] = 6042,
  [6043] = 5939,
  [6044] = 5986,
  [6045] = 6000,
  [6046] = 5957,
  [6047] = 6047,
  [6048] = 6048,
  [6049] = 6035,
  [6050] = 5916,
  [6051] = 5918,
  [6052] = 5927,
  [6053] = 6053,
  [6054] = 5930,
  [6055] = 5931,
  [6056] = 5934,
  [6057] = 5941,
  [6058] = 6058,
  [6059] = 5925,
  [6060] = 5950,
  [6061] = 5939,
  [6062] = 5942,
  [6063] = 5946,
  [6064] = 5930,
  [6065] = 5954,
  [6066] = 6066,
  [6067] = 5958,
  [6068] = 5959,
  [6069] = 5954,
  [6070] = 5962,
  [6071] = 5963,
  [6072] = 6072,
  [6073] = 5932,
  [6074] = 6074,
  [6075] = 5953,
  [6076] = 5969,
  [6077] = 5989,
  [6078] = 6078,
  [6079] = 5973,
  [6080] = 5967,
  [6081] = 5977,
  [6082] = 6082,
  [6083] = 5948,
  [6084] = 5949,
  [6085] = 6085,
  [6086] = 5925,
  [6087] = 5925,
  [6088] = 6041,
  [6089] = 5986,
  [6090] = 5935,
  [6091] = 5980,
  [6092] = 5994,
  [6093] = 5996,
  [6094] = 6094,
  [6095] = 6006,
  [6096] = 5918,
  [6097] = 6097,
  [6098] = 5930,
  [6099] = 5931,
  [6100] = 5934,
  [6101] = 6015,
  [6102] = 5939,
  [6103] = 5942,
  [6104] = 5946,
  [6105] = 6105,
  [6106] = 6016,
  [6107] = 6017,
  [6108] = 5959,
  [6109] = 6109,
  [6110] = 5935,
  [6111] = 5947,
  [6112] = 5951,
  [6113] = 5969,
  [6114] = 5950,
  [6115] = 5957,
  [6116] = 6116,
  [6117] = 6117,
  [6118] = 5980,
  [6119] = 5950,
  [6120] = 6035,
  [6121] = 5916,
  [6122] = 6038,
  [6123] = 6039,
  [6124] = 5994,
  [6125] = 6042,
  [6126] = 5996,
  [6127] = 6127,
  [6128] = 5918,
  [6129] = 5930,
  [6130] = 5931,
  [6131] = 5934,
  [6132] = 5942,
  [6133] = 6133,
  [6134] = 5959,
  [6135] = 6135,
  [6136] = 6000,
  [6137] = 5927,
  [6138] = 5911,
  [6139] = 6139,
  [6140] = 6140,
  [6141] = 6141,
  [6142] = 5954,
  [6143] = 6143,
  [6144] = 5958,
  [6145] = 5958,
  [6146] = 5963,
  [6147] = 5930,
  [6148] = 5931,
  [6149] = 5934,
  [6150] = 6150,
  [6151] = 5959,
  [6152] = 5932,
  [6153] = 6153,
  [6154] = 5953,
  [6155] = 6155,
  [6156] = 5980,
  [6157] = 5917,
  [6158] = 5967,
  [6159] = 6159,
  [6160] = 6160,
  [6161] = 5934,
  [6162] = 6162,
  [6163] = 5959,
  [6164] = 5925,
  [6165] = 5935,
  [6166] = 5980,
  [6167] = 5994,
  [6168] = 5954,
  [6169] = 6094,
  [6170] = 5996,
  [6171] = 6006,
  [6172] = 6172,
  [6173] = 5934,
  [6174] = 5959,
  [6175] = 5934,
  [6176] = 5934,
  [6177] = 5934,
  [6178] = 5934,
  [6179] = 5934,
  [6180] = 5934,
  [6181] = 5934,
  [6182] = 5934,
  [6183] = 5955,
  [6184] = 6015,
  [6185] = 6016,
  [6186] = 6186,
  [6187] = 6160,
  [6188] = 6188,
  [6189] = 6074,
  [6190] = 5921,
  [6191] = 6159,
  [6192] = 6017,
  [6193] = 6193,
  [6194] = 6194,
  [6195] = 6195,
  [6196] = 6155,
  [6197] = 6005,
  [6198] = 6198,
  [6199] = 6199,
  [6200] = 5922,
  [6201] = 5947,
  [6202] = 5951,
  [6203] = 5957,
  [6204] = 6204,
  [6205] = 5958,
  [6206] = 6035,
  [6207] = 5928,
  [6208] = 5960,
  [6209] = 5916,
  [6210] = 6210,
  [6211] = 6038,
  [6212] = 5914,
  [6213] = 6039,
  [6214] = 6042,
  [6215] = 6215,
  [6216] = 6082,
  [6217] = 6217,
  [6218] = 6218,
  [6219] = 6219,
  [6220] = 6038,
  [6221] = 6039,
  [6222] = 5927,
  [6223] = 5913,
  [6224] = 6224,
  [6225] = 5963,
  [6226] = 6226,
  [6227] = 6040,
  [6228] = 5932,
  [6229] = 5953,
  [6230] = 5932,
  [6231] = 5960,
  [6232] = 6047,
  [6233] = 6082,
  [6234] = 5967,
  [6235] = 6006,
  [6236] = 5933,
  [6237] = 6237,
  [6238] = 5980,
  [6239] = 5994,
  [6240] = 5996,
  [6241] = 5915,
  [6242] = 6006,
  [6243] = 5963,
  [6244] = 6244,
  [6245] = 6015,
  [6246] = 6135,
  [6247] = 6016,
  [6248] = 6017,
  [6249] = 6249,
  [6250] = 5936,
  [6251] = 5921,
  [6252] = 5948,
  [6253] = 5949,
  [6254] = 5963,
  [6255] = 5947,
  [6256] = 5951,
  [6257] = 5957,
  [6258] = 6035,
  [6259] = 5916,
  [6260] = 5950,
  [6261] = 6038,
  [6262] = 5965,
  [6263] = 6117,
  [6264] = 6039,
  [6265] = 6042,
  [6266] = 5943,
  [6267] = 6012,
  [6268] = 6268,
  [6269] = 6015,
  [6270] = 6016,
  [6271] = 6271,
  [6272] = 6017,
  [6273] = 6117,
  [6274] = 6274,
  [6275] = 5953,
  [6276] = 5925,
  [6277] = 5924,
  [6278] = 6278,
  [6279] = 6279,
  [6280] = 5967,
  [6281] = 6281,
  [6282] = 6282,
  [6283] = 5918,
  [6284] = 6141,
  [6285] = 6285,
  [6286] = 6006,
  [6287] = 6287,
  [6288] = 6015,
  [6289] = 6016,
  [6290] = 6017,
  [6291] = 5961,
  [6292] = 5954,
  [6293] = 6035,
  [6294] = 6294,
  [6295] = 5916,
  [6296] = 5958,
  [6297] = 6297,
  [6298] = 6094,
  [6299] = 5913,
  [6300] = 6035,
  [6301] = 5933,
  [6302] = 5963,
  [6303] = 5964,
  [6304] = 5965,
  [6305] = 6305,
  [6306] = 6278,
  [6307] = 5966,
  [6308] = 6005,
  [6309] = 6309,
  [6310] = 5924,
  [6311] = 5931,
  [6312] = 5965,
  [6313] = 5916,
  [6314] = 6314,
  [6315] = 6004,
  [6316] = 5935,
  [6317] = 5980,
  [6318] = 6318,
  [6319] = 6042,
  [6320] = 5994,
  [6321] = 6321,
  [6322] = 6322,
  [6323] = 5996,
  [6324] = 6324,
  [6325] = 5973,
  [6326] = 5932,
  [6327] = 6172,
  [6328] = 6328,
  [6329] = 5994,
  [6330] = 6330,
  [6331] = 6331,
  [6332] = 6324,
  [6333] = 6333,
  [6334] = 5919,
  [6335] = 5942,
  [6336] = 6133,
  [6337] = 6000,
  [6338] = 6338,
  [6339] = 5953,
  [6340] = 6340,
  [6341] = 5973,
  [6342] = 5965,
  [6343] = 6343,
  [6344] = 6344,
  [6345] = 5919,
  [6346] = 6078,
  [6347] = 5930,
  [6348] = 6006,
  [6349] = 6349,
  [6350] = 4652,
  [6351] = 6351,
  [6352] = 6271,
  [6353] = 5931,
  [6354] = 6354,
  [6355] = 5967,
  [6356] = 5940,
  [6357] = 5947,
  [6358] = 5934,
  [6359] = 5951,
  [6360] = 6224,
  [6361] = 6361,
  [6362] = 6226,
  [6363] = 6363,
  [6364] = 5932,
  [6365] = 5936,
  [6366] = 5969,
  [6367] = 5936,
  [6368] = 6015,
  [6369] = 6224,
  [6370] = 5957,
  [6371] = 6226,
  [6372] = 6058,
  [6373] = 5917,
  [6374] = 6116,
  [6375] = 5939,
  [6376] = 5928,
  [6377] = 5936,
  [6378] = 5941,
  [6379] = 6379,
  [6380] = 6380,
  [6381] = 6016,
  [6382] = 5942,
  [6383] = 5943,
  [6384] = 5944,
  [6385] = 6186,
  [6386] = 6188,
  [6387] = 6074,
  [6388] = 6172,
  [6389] = 5946,
  [6390] = 6195,
  [6391] = 5921,
  [6392] = 6017,
  [6393] = 5922,
  [6394] = 4642,
  [6395] = 6395,
  [6396] = 6330,
  [6397] = 6397,
  [6398] = 6224,
  [6399] = 5935,
  [6400] = 5996,
  [6401] = 6226,
  [6402] = 6215,
  [6403] = 5921,
  [6404] = 6404,
  [6405] = 6405,
  [6406] = 6027,
  [6407] = 6042,
  [6408] = 5922,
  [6409] = 6224,
  [6410] = 6035,
  [6411] = 6411,
  [6412] = 6328,
  [6413] = 5916,
  [6414] = 5944,
  [6415] = 5925,
  [6416] = 6094,
  [6417] = 5952,
  [6418] = 6188,
  [6419] = 5935,
  [6420] = 6322,
  [6421] = 6421,
  [6422] = 6422,
  [6423] = 5948,
  [6424] = 5924,
  [6425] = 5924,
  [6426] = 5955,
  [6427] = 5968,
  [6428] = 6244,
  [6429] = 6005,
  [6430] = 5949,
  [6431] = 6006,
  [6432] = 5980,
  [6433] = 6281,
  [6434] = 6094,
  [6435] = 5994,
  [6436] = 6436,
  [6437] = 6082,
  [6438] = 6438,
  [6439] = 5996,
  [6440] = 6038,
  [6441] = 6441,
  [6442] = 6133,
  [6443] = 6000,
  [6444] = 6039,
  [6445] = 5986,
  [6446] = 6446,
  [6447] = 6447,
  [6448] = 6040,
  [6449] = 5959,
  [6450] = 6450,
  [6451] = 6004,
  [6452] = 6452,
  [6453] = 6172,
  [6454] = 6454,
  [6455] = 6422,
  [6456] = 6186,
  [6457] = 6188,
  [6458] = 5932,
  [6459] = 6015,
  [6460] = 6195,
  [6461] = 5927,
  [6462] = 6226,
  [6463] = 5962,
  [6464] = 6042,
  [6465] = 5964,
  [6466] = 6005,
  [6467] = 6467,
  [6468] = 6468,
  [6469] = 6215,
  [6470] = 6470,
  [6471] = 6224,
  [6472] = 6016,
  [6473] = 6473,
  [6474] = 6226,
  [6475] = 6035,
  [6476] = 5985,
  [6477] = 6477,
  [6478] = 6478,
  [6479] = 6172,
  [6480] = 6017,
  [6481] = 6038,
  [6482] = 6482,
  [6483] = 6006,
  [6484] = 5923,
  [6485] = 5945,
  [6486] = 6015,
  [6487] = 6186,
  [6488] = 6188,
  [6489] = 6039,
  [6490] = 6195,
  [6491] = 6491,
  [6492] = 6492,
  [6493] = 6016,
  [6494] = 6017,
  [6495] = 5921,
  [6496] = 5969,
  [6497] = 6215,
  [6498] = 5922,
  [6499] = 5959,
  [6500] = 5970,
  [6501] = 6501,
  [6502] = 6040,
  [6503] = 5933,
  [6504] = 5973,
  [6505] = 6505,
  [6506] = 5927,
  [6507] = 6224,
  [6508] = 6447,
  [6509] = 6509,
  [6510] = 6510,
  [6511] = 5936,
  [6512] = 6082,
  [6513] = 6186,
  [6514] = 5927,
  [6515] = 6204,
  [6516] = 6516,
  [6517] = 6517,
  [6518] = 6215,
  [6519] = 6519,
  [6520] = 6198,
  [6521] = 6038,
  [6522] = 6195,
  [6523] = 5940,
  [6524] = 5933,
  [6525] = 6344,
  [6526] = 6526,
  [6527] = 5953,
  [6528] = 5977,
  [6529] = 6529,
  [6530] = 6530,
  [6531] = 5994,
  [6532] = 6532,
  [6533] = 6186,
  [6534] = 6330,
  [6535] = 6006,
  [6536] = 6226,
  [6537] = 6015,
  [6538] = 6215,
  [6539] = 5967,
  [6540] = 6039,
  [6541] = 6541,
  [6542] = 6219,
  [6543] = 6066,
  [6544] = 5948,
  [6545] = 5949,
  [6546] = 5940,
  [6547] = 6016,
  [6548] = 6548,
  [6549] = 5985,
  [6550] = 5947,
  [6551] = 5951,
  [6552] = 5957,
  [6553] = 5917,
  [6554] = 5928,
  [6555] = 5948,
  [6556] = 6556,
  [6557] = 5926,
  [6558] = 6558,
  [6559] = 6018,
  [6560] = 5949,
  [6561] = 5989,
  [6562] = 6078,
  [6563] = 6017,
  [6564] = 5950,
  [6565] = 6109,
  [6566] = 6558,
  [6567] = 5950,
  [6568] = 5911,
  [6569] = 6133,
  [6570] = 5986,
  [6571] = 6571,
  [6572] = 5950,
  [6573] = 6047,
  [6574] = 6541,
  [6575] = 6035,
  [6576] = 5916,
  [6577] = 6322,
  [6578] = 5954,
  [6579] = 5953,
  [6580] = 6117,
  [6581] = 6581,
  [6582] = 6330,
  [6583] = 6583,
  [6584] = 5958,
  [6585] = 5996,
  [6586] = 6074,
  [6587] = 6058,
  [6588] = 6040,
  [6589] = 5963,
  [6590] = 5965,
  [6591] = 6224,
  [6592] = 6505,
  [6593] = 6226,
  [6594] = 6000,
  [6595] = 6516,
  [6596] = 6117,
  [6597] = 6162,
  [6598] = 6598,
  [6599] = 6598,
  [6600] = 6600,
  [6601] = 6027,
  [6602] = 6219,
  [6603] = 5966,
  [6604] = 6604,
  [6605] = 5918,
  [6606] = 5918,
  [6607] = 5932,
  [6608] = 6127,
  [6609] = 5936,
  [6610] = 5932,
  [6611] = 5953,
  [6612] = 6548,
  [6613] = 6613,
  [6614] = 5920,
  [6615] = 6331,
  [6616] = 5946,
  [6617] = 5936,
  [6618] = 6618,
  [6619] = 6619,
  [6620] = 5967,
  [6621] = 6621,
  [6622] = 5958,
  [6623] = 5927,
  [6624] = 6038,
  [6625] = 6039,
  [6626] = 6040,
  [6627] = 5947,
  [6628] = 6510,
  [6629] = 5983,
  [6630] = 5967,
  [6631] = 6109,
  [6632] = 6632,
  [6633] = 6199,
  [6634] = 6517,
  [6635] = 6344,
  [6636] = 6636,
  [6637] = 6637,
  [6638] = 6194,
  [6639] = 6541,
  [6640] = 5925,
  [6641] = 6066,
  [6642] = 6094,
  [6643] = 5953,
  [6644] = 5926,
  [6645] = 5935,
  [6646] = 6646,
  [6647] = 5980,
  [6648] = 6532,
  [6649] = 5994,
  [6650] = 5930,
  [6651] = 5931,
  [6652] = 5970,
  [6653] = 6505,
  [6654] = 5996,
  [6655] = 6042,
  [6656] = 5966,
  [6657] = 5934,
  [6658] = 6127,
  [6659] = 6133,
  [6660] = 6000,
  [6661] = 6224,
  [6662] = 6662,
  [6663] = 6226,
  [6664] = 6005,
  [6665] = 6665,
  [6666] = 5960,
  [6667] = 5939,
  [6668] = 5951,
  [6669] = 5932,
  [6670] = 5941,
  [6671] = 5936,
  [6672] = 5942,
  [6673] = 5943,
  [6674] = 5944,
  [6675] = 6072,
  [6676] = 5946,
  [6677] = 5957,
  [6678] = 6074,
  [6679] = 6249,
  [6680] = 6680,
  [6681] = 6005,
  [6682] = 6224,
  [6683] = 6683,
  [6684] = 6226,
  [6685] = 6006,
  [6686] = 6516,
  [6687] = 5952,
  [6688] = 6162,
  [6689] = 6689,
  [6690] = 6219,
  [6691] = 6691,
  [6692] = 6501,
  [6693] = 6042,
  [6694] = 6015,
  [6695] = 6072,
  [6696] = 5936,
  [6697] = 6244,
  [6698] = 6249,
  [6699] = 6268,
  [6700] = 6268,
  [6701] = 5955,
  [6702] = 6279,
  [6703] = 6287,
  [6704] = 6297,
  [6705] = 6016,
  [6706] = 6305,
  [6707] = 6017,
  [6708] = 6324,
  [6709] = 6556,
  [6710] = 6331,
  [6711] = 5952,
  [6712] = 5959,
  [6713] = 5940,
  [6714] = 6215,
  [6715] = 6279,
  [6716] = 6422,
  [6717] = 4633,
  [6718] = 6287,
  [6719] = 5934,
  [6720] = 6297,
  [6721] = 5954,
  [6722] = 5962,
  [6723] = 5921,
  [6724] = 5964,
  [6725] = 6305,
  [6726] = 5948,
  [6727] = 5914,
  [6728] = 5915,
  [6729] = 5919,
  [6730] = 6730,
  [6731] = 5958,
  [6732] = 5954,
  [6733] = 6224,
  [6734] = 5940,
  [6735] = 6226,
  [6736] = 5969,
  [6737] = 5970,
  [6738] = 5936,
  [6739] = 6501,
  [6740] = 6510,
  [6741] = 6324,
  [6742] = 5947,
  [6743] = 6074,
  [6744] = 5973,
  [6745] = 6516,
  [6746] = 6162,
  [6747] = 5951,
  [6748] = 5949,
  [6749] = 5957,
  [6750] = 5917,
  [6751] = 5928,
  [6752] = 6224,
  [6753] = 6074,
  [6754] = 5922,
  [6755] = 6516,
  [6756] = 6162,
  [6757] = 5977,
  [6758] = 6331,
  [6759] = 6035,
  [6760] = 5916,
  [6761] = 6074,
  [6762] = 6762,
  [6763] = 6516,
  [6764] = 6162,
  [6765] = 5977,
  [6766] = 6172,
  [6767] = 6767,
  [6768] = 6517,
  [6769] = 5963,
  [6770] = 6516,
  [6771] = 6162,
  [6772] = 6772,
  [6773] = 6516,
  [6774] = 6162,
  [6775] = 6186,
  [6776] = 6516,
  [6777] = 6133,
  [6778] = 6516,
  [6779] = 6038,
  [6780] = 6140,
  [6781] = 6571,
  [6782] = 6039,
  [6783] = 6226,
  [6784] = 5985,
  [6785] = 6468,
  [6786] = 6040,
  [6787] = 6556,
  [6788] = 5965,
  [6789] = 5963,
  [6790] = 5967,
  [6791] = 6018,
  [6792] = 6042,
  [6793] = 6047,
  [6794] = 5986,
  [6795] = 6058,
  [6796] = 5933,
  [6797] = 5988,
  [6798] = 6047,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a},
  {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710},
  {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a},
  {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939},
  {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc},
  {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30},
  {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbd0, 0xbd0}, {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc61}, {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd},
  {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e},
  {0xd54, 0xd56}, {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xe01, 0xe30}, {0xe32, 0xe32}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5},
  {0xea7, 0xeb0}, {0xeb2, 0xeb2}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47},
  {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126},
  {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee},
  {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6},
  {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007},
  {0x3021, 0x3029}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f},
  {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f},
  {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1},
  {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3},
  {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf},
  {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a},
  {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea},
  {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69},
  {0xab70, 0xabe2}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17},
  {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1},
  {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a},
  {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb},
  {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1},
  {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba},
  {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e},
  {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13},
  {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55},
  {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1},
  {0x10f00, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072},
  {0x11075, 0x11075}, {0x11083, 0x110af}, {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176},
  {0x11183, 0x111b2}, {0x111c1, 0x111c4}, {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328},
  {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a},
  {0x1145f, 0x11461}, {0x11480, 0x114af}, {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644},
  {0x11680, 0x116aa}, {0x116b8, 0x116b8}, {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909},
  {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1},
  {0x119e3, 0x119e3}, {0x11a00, 0x11a00}, {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8},
  {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33},
  {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646},
  {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c},
  {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505},
  {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550},
  {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e},
  {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c},
  {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee},
  {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d},
  {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5},
  {0xb7, 0xb7}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec},
  {0x2ee, 0x2ee}, {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1},
  {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd},
  {0x5bf, 0x5bf}, {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669},
  {0x66e, 0x6d3}, {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5},
  {0x7fa, 0x7fa}, {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1},
  {0x8e3, 0x963}, {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1},
  {0x9fc, 0x9fc}, {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33},
  {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3},
  {0xab5, 0xab9}, {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff},
  {0xb01, 0xb03}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44},
  {0xb47, 0xb48}, {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83},
  {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa},
  {0xbae, 0xbb9}, {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a},
  {0xc5d, 0xc5d}, {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3},
  {0xcb5, 0xcb9}, {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef},
  {0xcf1, 0xcf3}, {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63},
  {0xd66, 0xd6f}, {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xdca, 0xdca}, {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e},
  {0xe50, 0xe59}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4},
  {0xec6, 0xec6}, {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35},
  {0xf37, 0xf37}, {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6},
  {0x1000, 0x1049}, {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371},
  {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8},
  {0x1700, 0x1715}, {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7},
  {0x17dc, 0x17dd}, {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e},
  {0x1920, 0x192b}, {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b},
  {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c},
  {0x1b50, 0x1b59}, {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba},
  {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040},
  {0x2054, 0x2054}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27},
  {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe},
  {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d},
  {0xa67f, 0xa6f1}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827},
  {0xa82c, 0xa82c}, {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953},
  {0xa960, 0xa97c}, {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76},
  {0xaa7a, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26},
  {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c},
  {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a},
  {0xff65, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a},
  {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0},
  {0x102e0, 0x102e0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5},
  {0x10400, 0x1049d}, {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a},
  {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755},
  {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838},
  {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939},
  {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a},
  {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72},
  {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac},
  {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046},
  {0x11066, 0x11075}, {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147},
  {0x11150, 0x11173}, {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237},
  {0x1123e, 0x11241}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9},
  {0x11300, 0x11303}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344},
  {0x11347, 0x11348}, {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a},
  {0x11450, 0x11459}, {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd},
  {0x11600, 0x11640}, {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739},
  {0x11740, 0x11746}, {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935},
  {0x11937, 0x11938}, {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e},
  {0x11a47, 0x11a47}, {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59},
  {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d},
  {0x11d3f, 0x11d47}, {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9},
  {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e},
  {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69},
  {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77},
  {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1},
  {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132},
  {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99},
  {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad},
  {0x1d242, 0x1d244}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9},
  {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e},
  {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714},
  {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff},
  {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a},
  {0x1e000, 0x1e006}, {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c},
  {0x1e130, 0x1e13d}, {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb},
  {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f},
  {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42},
  {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59},
  {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77},
  {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9},
  {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a},
  {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(420);
      ADVANCE_MAP(
        '!', 509,
        '"', 624,
        '#', 677,
        '%', 529,
        '&', 538,
        '\'', 604,
        '(', 425,
        ')', 428,
        '*', 525,
        '+', 520,
        ',', 427,
        '-', 512,
        '.', 578,
        '/', 527,
        '0', 584,
        ':', 731,
        ';', 553,
        '<', 576,
        '=', 560,
        '>', 542,
        '?', 563,
        '@', 610,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 2,
        ']', 556,
        '^', 535,
        'u', 647,
        '{', 557,
        '|', 532,
        '}', 558,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(415);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(93);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(93);
      if (lookahead == '\r') SKIP(1);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(101);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(101);
      if (lookahead == '\r') SKIP(3);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(99);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(99);
      if (lookahead == '\r') SKIP(5);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(108);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(108);
      if (lookahead == '\r') SKIP(7);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(107);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(107);
      if (lookahead == '\r') SKIP(9);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(102);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(102);
      if (lookahead == '\r') SKIP(11);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(96);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(96);
      if (lookahead == '\r') SKIP(13);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(111);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(111);
      if (lookahead == '\r') SKIP(15);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(115);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(115);
      if (lookahead == '\r') SKIP(17);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(110);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(110);
      if (lookahead == '\r') SKIP(19);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(114);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(114);
      if (lookahead == '\r') SKIP(21);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(132);
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(132);
      if (lookahead == '\r') SKIP(23);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(127);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(127);
      if (lookahead == '\r') SKIP(25);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(133);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(133);
      if (lookahead == '\r') SKIP(27);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(120);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(120);
      if (lookahead == '\r') SKIP(29);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(124);
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(124);
      if (lookahead == '\r') SKIP(31);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(112);
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(112);
      if (lookahead == '\r') SKIP(33);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(117);
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(117);
      if (lookahead == '\r') SKIP(35);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(123);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(123);
      if (lookahead == '\r') SKIP(37);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(134);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(134);
      if (lookahead == '\r') SKIP(39);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(130);
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(130);
      if (lookahead == '\r') SKIP(41);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(122);
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(122);
      if (lookahead == '\r') SKIP(43);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(121);
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(121);
      if (lookahead == '\r') SKIP(45);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(116);
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(116);
      if (lookahead == '\r') SKIP(47);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(51);
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(51);
      if (lookahead == '\r') SKIP(49);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        '\n', 431,
        '!', 151,
        '%', 528,
        '&', 537,
        '(', 506,
        '*', 524,
        '+', 518,
        '-', 511,
        '/', 526,
        '<', 548,
        '=', 152,
        '>', 543,
      );
      if (lookahead == '\\') SKIP(50);
      if (lookahead == '^') ADVANCE(534);
      if (lookahead == '|') ADVANCE(533);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(51);
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(129);
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(129);
      if (lookahead == '\r') SKIP(52);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 54:
      if (lookahead == '\n') ADVANCE(423);
      if (lookahead == '\r') ADVANCE(58);
      if (lookahead == '(') ADVANCE(425);
      if (lookahead == '/') ADVANCE(459);
      if (lookahead == '\\') ADVANCE(453);
      if (lookahead == 0xa0) ADVANCE(455);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(149);
      if (lookahead != 0) ADVANCE(462);
      END_STATE();
    case 55:
      if (lookahead == '\n') ADVANCE(423);
      if (lookahead == '\r') ADVANCE(58);
      if (lookahead == '/') ADVANCE(459);
      if (lookahead == '\\') ADVANCE(453);
      if (lookahead == 0xa0) ADVANCE(455);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(149);
      if (lookahead != 0) ADVANCE(462);
      END_STATE();
    case 56:
      if (lookahead == '\n') ADVANCE(423);
      if (lookahead == '\r') ADVANCE(57);
      if (lookahead == '(') ADVANCE(506);
      if (lookahead == '.') ADVANCE(391);
      if (lookahead == '/') ADVANCE(139);
      if (lookahead == '0') ADVANCE(586);
      if (lookahead == '\\') SKIP(63);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(143);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(136);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      END_STATE();
    case 57:
      if (lookahead == '\n') ADVANCE(423);
      if (lookahead == '(') ADVANCE(506);
      if (lookahead == '.') ADVANCE(391);
      if (lookahead == '/') ADVANCE(139);
      if (lookahead == '0') ADVANCE(586);
      if (lookahead == '\\') SKIP(63);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(143);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(136);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      END_STATE();
    case 58:
      if (lookahead == '\n') ADVANCE(423);
      if (lookahead == '/') ADVANCE(459);
      if (lookahead == '\\') ADVANCE(453);
      if (lookahead == 0xa0) ADVANCE(455);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(149);
      if (lookahead != 0) ADVANCE(462);
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(131);
      if (lookahead == '"') ADVANCE(624);
      if (lookahead == '/') ADVANCE(629);
      if (lookahead == '\\') ADVANCE(60);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) ADVANCE(632);
      if (lookahead != 0) ADVANCE(633);
      END_STATE();
    case 60:
      if (lookahead == '\n') ADVANCE(635);
      if (lookahead == '\r') ADVANCE(634);
      if (lookahead == 'U') ADVANCE(413);
      if (lookahead == 'u') ADVANCE(405);
      if (lookahead == 'x') ADVANCE(399);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(637);
      if (lookahead != 0) ADVANCE(634);
      END_STATE();
    case 61:
      if (lookahead == '\n') SKIP(135);
      if (lookahead == '\'') ADVANCE(604);
      if (lookahead == '/') ADVANCE(607);
      if (lookahead == '\\') ADVANCE(606);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) ADVANCE(608);
      if (lookahead != 0) ADVANCE(605);
      END_STATE();
    case 62:
      if (lookahead == '\n') SKIP(136);
      END_STATE();
    case 63:
      if (lookahead == '\n') SKIP(136);
      if (lookahead == '\r') SKIP(62);
      END_STATE();
    case 64:
      if (lookahead == '\n') SKIP(137);
      END_STATE();
    case 65:
      if (lookahead == '\n') SKIP(137);
      if (lookahead == '\r') SKIP(64);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 66:
      if (lookahead == '\n') SKIP(94);
      END_STATE();
    case 67:
      if (lookahead == '\n') SKIP(94);
      if (lookahead == '\r') SKIP(66);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 68:
      if (lookahead == '\n') SKIP(105);
      END_STATE();
    case 69:
      if (lookahead == '\n') SKIP(105);
      if (lookahead == '\r') SKIP(68);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 70:
      if (lookahead == '\n') SKIP(103);
      END_STATE();
    case 71:
      if (lookahead == '\n') SKIP(103);
      if (lookahead == '\r') SKIP(70);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 72:
      if (lookahead == '\n') SKIP(97);
      END_STATE();
    case 73:
      if (lookahead == '\n') SKIP(97);
      if (lookahead == '\r') SKIP(72);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 74:
      if (lookahead == '\n') SKIP(113);
      END_STATE();
    case 75:
      if (lookahead == '\n') SKIP(113);
      if (lookahead == '\r') SKIP(74);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 76:
      if (lookahead == '\n') SKIP(125);
      END_STATE();
    case 77:
      if (lookahead == '\n') SKIP(125);
      if (lookahead == '\r') SKIP(76);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 78:
      if (lookahead == '\n') SKIP(118);
      END_STATE();
    case 79:
      if (lookahead == '\n') SKIP(118);
      if (lookahead == '\r') SKIP(78);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 80:
      if (lookahead == '\n') SKIP(95);
      END_STATE();
    case 81:
      if (lookahead == '\n') SKIP(95);
      if (lookahead == '\r') SKIP(80);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 82:
      if (lookahead == '\n') SKIP(100);
      END_STATE();
    case 83:
      if (lookahead == '\n') SKIP(100);
      if (lookahead == '\r') SKIP(82);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 84:
      if (lookahead == '\n') SKIP(128);
      END_STATE();
    case 85:
      if (lookahead == '\n') SKIP(128);
      if (lookahead == '\r') SKIP(84);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 86:
      if (lookahead == '\n') SKIP(106);
      END_STATE();
    case 87:
      if (lookahead == '\n') SKIP(106);
      if (lookahead == '\r') SKIP(86);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 88:
      if (lookahead == '\n') SKIP(104);
      END_STATE();
    case 89:
      if (lookahead == '\n') SKIP(104);
      if (lookahead == '\r') SKIP(88);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 90:
      if (lookahead == '\n') SKIP(109);
      END_STATE();
    case 91:
      if (lookahead == '\n') SKIP(109);
      if (lookahead == '\r') SKIP(90);
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 92:
      if (lookahead == '\r') ADVANCE(671);
      if (lookahead == '\\') ADVANCE(661);
      if (lookahead != 0) ADVANCE(670);
      END_STATE();
    case 93:
      ADVANCE_MAP(
        '!', 509,
        '"', 624,
        '#', 677,
        '%', 529,
        '&', 538,
        '\'', 604,
        '(', 506,
        ')', 428,
        '*', 525,
        '+', 520,
        ',', 427,
        '-', 512,
        '.', 578,
        '/', 527,
        '0', 584,
        ':', 562,
        ';', 553,
        '<', 547,
        '=', 560,
        '>', 542,
        '?', 563,
        '@', 610,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 2,
        ']', 556,
        '^', 535,
        'u', 647,
        '{', 557,
        '|', 532,
        '}', 558,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(93);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 94:
      ADVANCE_MAP(
        '!', 509,
        '"', 624,
        '#', 270,
        '%', 529,
        '&', 538,
        '\'', 604,
        '(', 506,
        ')', 428,
        '*', 525,
        '+', 520,
        ',', 427,
        '-', 512,
        '.', 578,
        '/', 527,
        '0', 586,
        ':', 562,
        ';', 553,
        '<', 547,
        '=', 560,
        '>', 542,
        '?', 563,
        '@', 621,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 67,
        ']', 556,
        '^', 535,
        'u', 647,
        '{', 557,
        '|', 532,
        '}', 558,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(94);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 95:
      ADVANCE_MAP(
        '!', 509,
        '"', 624,
        '#', 270,
        '%', 528,
        '&', 537,
        '\'', 604,
        '(', 506,
        ')', 428,
        '*', 524,
        '+', 521,
        ',', 427,
        '-', 513,
        '.', 578,
        '/', 526,
        '0', 586,
        ':', 562,
        ';', 553,
        '<', 548,
        '=', 152,
        '>', 543,
        '?', 563,
        '@', 621,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 81,
        ']', 556,
        '^', 534,
        'u', 647,
        '{', 557,
        '|', 533,
        '}', 558,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(95);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 96:
      ADVANCE_MAP(
        '!', 509,
        '"', 624,
        '%', 529,
        '&', 538,
        '\'', 604,
        '(', 506,
        '*', 525,
        '+', 520,
        ',', 427,
        '-', 512,
        '.', 578,
        '/', 527,
        '0', 586,
        ';', 553,
        '<', 547,
        '=', 560,
        '>', 542,
        '?', 563,
        '@', 619,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 14,
        '^', 535,
        'u', 647,
        '{', 557,
        '|', 532,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(96);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 97:
      ADVANCE_MAP(
        '!', 509,
        '"', 624,
        '%', 528,
        '&', 537,
        '\'', 604,
        '(', 506,
        '*', 524,
        '+', 521,
        ',', 427,
        '-', 513,
        '.', 578,
        '/', 526,
        '0', 586,
        ';', 553,
        '<', 548,
        '=', 152,
        '>', 543,
        '?', 563,
        '@', 619,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 73,
        '^', 534,
        'u', 647,
        '{', 557,
        '|', 533,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(97);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 98:
      ADVANCE_MAP(
        '!', 508,
        '"', 624,
        '#', 677,
        '&', 536,
        '\'', 604,
        '(', 506,
        ')', 428,
        '*', 524,
        '+', 521,
        '-', 514,
        '.', 391,
        '/', 139,
        '0', 586,
        ':', 731,
        ';', 553,
        '@', 614,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 6,
        '^', 534,
        'u', 647,
        '{', 557,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(99);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 99:
      ADVANCE_MAP(
        '!', 508,
        '"', 624,
        '#', 677,
        '&', 536,
        '\'', 604,
        '(', 506,
        ')', 428,
        '*', 524,
        '+', 521,
        '-', 514,
        '.', 391,
        '/', 139,
        '0', 586,
        ';', 553,
        '@', 614,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 6,
        '^', 534,
        'u', 647,
        '{', 557,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(99);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 100:
      ADVANCE_MAP(
        '!', 508,
        '"', 624,
        '#', 677,
        '&', 536,
        '\'', 604,
        '(', 506,
        '*', 524,
        '+', 521,
        '-', 514,
        '.', 391,
        '/', 139,
        '0', 586,
        ';', 553,
        '@', 610,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 83,
        '^', 534,
        'u', 647,
        '{', 557,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(100);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        '!', 508,
        '"', 624,
        '#', 680,
        '&', 536,
        '\'', 604,
        '(', 506,
        ')', 428,
        '*', 524,
        '+', 521,
        ',', 427,
        '-', 514,
        '.', 147,
        '/', 139,
        '0', 586,
        ':', 562,
        ';', 553,
        '<', 546,
        '>', 541,
        '@', 616,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 4,
        ']', 556,
        '^', 534,
        'u', 647,
        '{', 557,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(101);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 102:
      ADVANCE_MAP(
        '!', 508,
        '"', 624,
        '#', 680,
        '&', 536,
        '\'', 604,
        '(', 506,
        '*', 524,
        '+', 521,
        '-', 514,
        '.', 391,
        '/', 139,
        '0', 586,
        ';', 553,
        '@', 615,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 12,
        '^', 534,
        'u', 647,
        '{', 557,
        '}', 558,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(102);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 103:
      ADVANCE_MAP(
        '!', 508,
        '"', 624,
        '#', 680,
        '&', 536,
        '\'', 604,
        '(', 506,
        '*', 524,
        '+', 521,
        '-', 514,
        '.', 391,
        '/', 139,
        '0', 586,
        ';', 553,
        '@', 611,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 71,
        '^', 534,
        'u', 647,
        '{', 557,
        '}', 558,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(103);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 104:
      ADVANCE_MAP(
        '!', 508,
        '"', 624,
        '#', 680,
        '&', 536,
        '\'', 604,
        '(', 506,
        '*', 524,
        '+', 521,
        '-', 514,
        '.', 391,
        '/', 139,
        '0', 586,
        ';', 553,
        '@', 612,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 89,
        '^', 534,
        'u', 647,
        '{', 557,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(104);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 105:
      ADVANCE_MAP(
        '!', 508,
        '"', 624,
        '#', 239,
        '&', 536,
        '\'', 604,
        '(', 506,
        '*', 524,
        '+', 521,
        '-', 514,
        '.', 391,
        '/', 139,
        '0', 586,
        ';', 553,
        '@', 618,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 69,
        '^', 534,
        'u', 647,
        '{', 557,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(105);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 106:
      ADVANCE_MAP(
        '!', 508,
        '"', 624,
        '#', 678,
        '&', 536,
        '\'', 604,
        '(', 506,
        '*', 524,
        '+', 521,
        '-', 514,
        '.', 391,
        '/', 139,
        '0', 586,
        ';', 553,
        '@', 610,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 87,
        '^', 534,
        'u', 647,
        '{', 557,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(106);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 107:
      ADVANCE_MAP(
        '!', 508,
        '"', 624,
        '#', 678,
        '&', 536,
        '\'', 604,
        '(', 506,
        '*', 524,
        '+', 521,
        '-', 514,
        '.', 391,
        '/', 139,
        '0', 586,
        ';', 553,
        '@', 614,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 10,
        '^', 534,
        'u', 647,
        '{', 557,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(107);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 108:
      ADVANCE_MAP(
        '!', 508,
        '"', 624,
        '#', 679,
        '&', 536,
        '\'', 604,
        '(', 506,
        '*', 524,
        '+', 521,
        ',', 427,
        '-', 514,
        '.', 391,
        '/', 139,
        '0', 586,
        ':', 150,
        ';', 553,
        '@', 614,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 8,
        ']', 556,
        '^', 534,
        'u', 647,
        '{', 557,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(108);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 109:
      ADVANCE_MAP(
        '!', 508,
        '"', 624,
        '#', 679,
        '&', 536,
        '\'', 604,
        '(', 506,
        '*', 524,
        '+', 521,
        '-', 514,
        '.', 391,
        '/', 139,
        '0', 586,
        ';', 553,
        '@', 610,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 91,
        '^', 534,
        'u', 647,
        '{', 557,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(109);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 110:
      ADVANCE_MAP(
        '!', 508,
        '"', 624,
        '&', 536,
        '\'', 604,
        '(', 506,
        ')', 428,
        '*', 524,
        '+', 521,
        ',', 427,
        '-', 514,
        '.', 391,
        '/', 139,
        '0', 586,
        ':', 562,
        ';', 553,
        '>', 541,
        '@', 617,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 20,
        '^', 534,
        'u', 647,
        '{', 557,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(110);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 111:
      ADVANCE_MAP(
        '!', 508,
        '"', 624,
        '&', 536,
        '\'', 604,
        '(', 506,
        ')', 428,
        '*', 524,
        '+', 521,
        ',', 427,
        '-', 514,
        '.', 579,
        '/', 139,
        '0', 586,
        ':', 562,
        ';', 553,
        '@', 621,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 16,
        ']', 556,
        '^', 534,
        'u', 647,
        '{', 557,
        '}', 558,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(111);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 112:
      ADVANCE_MAP(
        '!', 508,
        '"', 624,
        '&', 536,
        '\'', 604,
        '(', 506,
        ')', 428,
        '*', 524,
        '+', 521,
        '-', 514,
        '.', 391,
        '/', 139,
        '0', 586,
        '<', 546,
        '@', 619,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 34,
        '^', 534,
        'u', 647,
        '{', 557,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(112);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 113:
      ADVANCE_MAP(
        '!', 508,
        '"', 624,
        '&', 536,
        '\'', 604,
        '(', 506,
        '*', 524,
        '+', 521,
        '-', 514,
        '.', 391,
        '/', 139,
        '0', 584,
        '@', 621,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 75,
        '^', 534,
        'u', 647,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(113);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 114:
      ADVANCE_MAP(
        '!', 508,
        '"', 624,
        '&', 536,
        '\'', 604,
        '(', 506,
        '*', 524,
        '+', 521,
        '-', 514,
        '.', 391,
        '/', 139,
        '0', 586,
        ';', 553,
        '@', 613,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 22,
        '^', 534,
        'u', 647,
        '{', 557,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(114);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 115:
      ADVANCE_MAP(
        '!', 508,
        '"', 624,
        '&', 536,
        '\'', 604,
        '(', 506,
        '*', 524,
        '+', 521,
        '-', 514,
        '.', 391,
        '/', 139,
        '0', 586,
        '@', 620,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 18,
        '^', 534,
        'u', 647,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(115);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 116:
      ADVANCE_MAP(
        '!', 508,
        '\'', 604,
        '(', 506,
        ')', 428,
        '+', 523,
        '-', 517,
        '.', 391,
        '/', 139,
        '0', 586,
        '<', 153,
        'L', 651,
        'U', 652,
        '\\', 48,
        'u', 653,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(116);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 117:
      ADVANCE_MAP(
        '!', 151,
        '"', 624,
        '#', 270,
        '%', 529,
        '&', 538,
        '(', 506,
        ')', 428,
        '*', 525,
        '+', 522,
        ',', 427,
        '-', 515,
        '.', 577,
        '/', 527,
        ':', 562,
        ';', 553,
        '<', 547,
        '=', 560,
        '>', 542,
        '?', 563,
        '@', 609,
        'L', 644,
        'U', 646,
        '[', 555,
        '\\', 36,
        ']', 556,
        '^', 535,
        'u', 648,
        '|', 532,
        '}', 558,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(117);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 118:
      ADVANCE_MAP(
        '!', 151,
        '"', 624,
        '#', 270,
        '%', 528,
        '&', 537,
        '(', 506,
        ')', 428,
        '*', 524,
        '+', 519,
        ',', 427,
        '-', 516,
        '.', 577,
        '/', 526,
        ':', 562,
        ';', 553,
        '<', 548,
        '=', 152,
        '>', 543,
        '?', 563,
        '@', 609,
        'L', 644,
        'U', 646,
        '[', 555,
        '\\', 79,
        ']', 556,
        '^', 534,
        'u', 648,
        '|', 533,
        '}', 558,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(118);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 119:
      ADVANCE_MAP(
        '!', 151,
        '"', 624,
        '%', 529,
        '&', 538,
        '(', 506,
        ')', 428,
        '*', 525,
        '+', 522,
        ',', 427,
        '-', 515,
        '.', 577,
        '/', 527,
        ':', 731,
        '<', 576,
        '=', 560,
        '>', 542,
        '?', 563,
        '@', 609,
        'L', 644,
        'U', 646,
        '[', 555,
        '\\', 46,
        '^', 535,
        'u', 648,
        '|', 532,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(121);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(675);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 120:
      ADVANCE_MAP(
        '!', 151,
        '"', 624,
        '%', 529,
        '&', 538,
        '(', 506,
        ')', 428,
        '*', 525,
        '+', 522,
        ',', 427,
        '-', 515,
        '.', 577,
        '/', 527,
        ';', 553,
        '<', 547,
        '=', 560,
        '>', 542,
        '?', 563,
        '@', 622,
        'L', 644,
        'U', 646,
        '[', 555,
        '\\', 30,
        '^', 535,
        'u', 648,
        '{', 557,
        '|', 532,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(120);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 121:
      ADVANCE_MAP(
        '!', 151,
        '"', 624,
        '%', 529,
        '&', 538,
        '(', 506,
        ')', 428,
        '*', 525,
        '+', 522,
        ',', 427,
        '-', 515,
        '.', 577,
        '/', 527,
        '<', 547,
        '=', 560,
        '>', 542,
        '?', 563,
        '@', 609,
        'L', 644,
        'U', 646,
        '[', 555,
        '\\', 46,
        '^', 535,
        'u', 648,
        '|', 532,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(121);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(675);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 122:
      ADVANCE_MAP(
        '!', 151,
        '"', 624,
        '%', 529,
        '&', 538,
        '(', 506,
        '*', 525,
        '+', 522,
        ',', 427,
        '-', 515,
        '.', 577,
        '/', 527,
        ':', 150,
        '<', 547,
        '=', 560,
        '>', 542,
        '?', 563,
        '@', 609,
        'L', 644,
        'U', 646,
        '[', 555,
        '\\', 44,
        ']', 556,
        '^', 535,
        'u', 648,
        '|', 532,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(122);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 123:
      ADVANCE_MAP(
        '!', 151,
        '"', 624,
        '%', 528,
        '&', 537,
        '(', 506,
        '*', 524,
        '+', 519,
        ',', 427,
        '-', 516,
        '.', 577,
        '/', 526,
        ';', 553,
        '<', 548,
        '=', 152,
        '>', 543,
        '?', 563,
        '@', 622,
        'L', 644,
        'U', 646,
        '[', 555,
        '\\', 38,
        '^', 534,
        'u', 648,
        '{', 557,
        '|', 533,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(123);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 124:
      ADVANCE_MAP(
        '!', 151,
        '#', 223,
        '%', 529,
        '&', 538,
        '(', 506,
        ')', 428,
        '*', 525,
        '+', 522,
        ',', 427,
        '-', 515,
        '.', 577,
        '/', 527,
        ':', 562,
        ';', 553,
        '<', 547,
        '=', 560,
        '>', 542,
        '?', 563,
        '@', 162,
        '[', 555,
        '\\', 32,
        ']', 556,
        '^', 535,
        '{', 557,
        '|', 532,
        '}', 558,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(124);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 125:
      ADVANCE_MAP(
        '!', 151,
        '#', 196,
        '%', 528,
        '&', 537,
        '(', 506,
        ')', 428,
        '*', 524,
        '+', 519,
        ',', 427,
        '-', 516,
        '.', 577,
        '/', 526,
        ':', 562,
        ';', 553,
        '<', 548,
        '=', 152,
        '>', 543,
        '?', 563,
        '@', 160,
        '[', 555,
        '\\', 77,
        ']', 556,
        '^', 534,
        '{', 557,
        '|', 533,
        '}', 558,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(125);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 126:
      ADVANCE_MAP(
        '!', 151,
        '#', 200,
        '%', 528,
        '&', 537,
        '(', 506,
        ')', 428,
        '*', 524,
        '+', 518,
        ',', 427,
        '-', 511,
        '/', 526,
        ':', 731,
        ';', 553,
        '<', 548,
        '=', 152,
        '>', 543,
        '@', 203,
        '[', 555,
        '\\', 26,
        '^', 534,
        '|', 533,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(127);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 127:
      ADVANCE_MAP(
        '!', 151,
        '#', 200,
        '%', 528,
        '&', 537,
        '(', 506,
        ')', 428,
        '*', 524,
        '+', 518,
        ',', 427,
        '-', 511,
        '/', 526,
        ';', 553,
        '<', 548,
        '=', 152,
        '>', 543,
        '@', 203,
        '[', 555,
        '\\', 26,
        '^', 534,
        '|', 533,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(127);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 128:
      ADVANCE_MAP(
        '!', 151,
        '#', 247,
        '%', 528,
        '&', 537,
        '(', 506,
        ')', 428,
        '*', 524,
        '+', 519,
        ',', 427,
        '-', 516,
        '.', 577,
        '/', 526,
        ':', 562,
        ';', 553,
        '<', 548,
        '=', 560,
        '>', 543,
        '?', 563,
        '@', 159,
        '[', 555,
        '\\', 85,
        ']', 556,
        '^', 534,
        '{', 557,
        '|', 533,
        '}', 558,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(128);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 129:
      ADVANCE_MAP(
        '"', 624,
        '/', 139,
        '<', 153,
        '@', 609,
        'L', 644,
        'U', 646,
        '\\', 53,
        'u', 648,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(129);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 130:
      ADVANCE_MAP(
        '"', 624,
        '/', 139,
        '@', 623,
        'L', 644,
        'U', 646,
        '[', 555,
        '\\', 42,
        'u', 648,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(130);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 131:
      if (lookahead == '"') ADVANCE(624);
      if (lookahead == '/') ADVANCE(139);
      if (lookahead == '\\') ADVANCE(60);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(131);
      END_STATE();
    case 132:
      ADVANCE_MAP(
        '#', 202,
        '(', 506,
        ')', 428,
        '*', 524,
        '+', 518,
        ',', 427,
        '-', 511,
        '.', 146,
        '/', 139,
        ':', 562,
        ';', 553,
        '<', 546,
        '=', 559,
        '>', 541,
        '@', 158,
        '[', 555,
        '\\', 24,
        ']', 556,
        '^', 534,
        '{', 557,
        '}', 558,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(132);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(675);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 133:
      ADVANCE_MAP(
        '#', 198,
        '(', 506,
        '*', 524,
        '+', 518,
        '-', 511,
        '/', 139,
        ';', 553,
        '@', 208,
        '[', 555,
        '\\', 28,
        '^', 534,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(133);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 134:
      ADVANCE_MAP(
        '#', 273,
        '(', 506,
        ')', 428,
        '*', 524,
        ',', 427,
        '.', 391,
        '/', 139,
        '0', 586,
        ':', 562,
        ';', 553,
        '<', 546,
        '=', 559,
        '>', 541,
        '@', 161,
        '[', 555,
        '\\', 40,
        '^', 534,
        '{', 557,
        '}', 558,
        '+', 143,
        '-', 143,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(134);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 135:
      if (lookahead == '\'') ADVANCE(604);
      if (lookahead == '/') ADVANCE(139);
      if (lookahead == '\\') ADVANCE(60);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(135);
      END_STATE();
    case 136:
      if (lookahead == '(') ADVANCE(506);
      if (lookahead == '.') ADVANCE(391);
      if (lookahead == '/') ADVANCE(139);
      if (lookahead == '0') ADVANCE(586);
      if (lookahead == '\\') SKIP(63);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(143);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(136);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      END_STATE();
    case 137:
      if (lookahead == '(') ADVANCE(192);
      if (lookahead == '/') ADVANCE(139);
      if (lookahead == '\\') ADVANCE(65);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(137);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 138:
      if (lookahead == ')') ADVANCE(694);
      END_STATE();
    case 139:
      if (lookahead == '*') ADVANCE(141);
      if (lookahead == '/') ADVANCE(670);
      END_STATE();
    case 140:
      if (lookahead == '*') ADVANCE(140);
      if (lookahead == '/') ADVANCE(657);
      if (lookahead != 0) ADVANCE(141);
      END_STATE();
    case 141:
      if (lookahead == '*') ADVANCE(140);
      if (lookahead != 0) ADVANCE(141);
      END_STATE();
    case 142:
      if (lookahead == '*') ADVANCE(140);
      if (lookahead != 0) ADVANCE(449);
      END_STATE();
    case 143:
      if (lookahead == '.') ADVANCE(391);
      if (lookahead == '0') ADVANCE(586);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      END_STATE();
    case 144:
      if (lookahead == '.') ADVANCE(391);
      if (lookahead == '0') ADVANCE(582);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(583);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(595);
      END_STATE();
    case 145:
      if (lookahead == '.') ADVANCE(391);
      if (lookahead == '0') ADVANCE(587);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      END_STATE();
    case 146:
      if (lookahead == '.') ADVANCE(148);
      END_STATE();
    case 147:
      if (lookahead == '.') ADVANCE(148);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(581);
      END_STATE();
    case 148:
      if (lookahead == '.') ADVANCE(426);
      END_STATE();
    case 149:
      if (lookahead == '/') ADVANCE(459);
      if (lookahead == '\\') ADVANCE(453);
      if (lookahead == 0xa0) ADVANCE(455);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(149);
      if (lookahead != 0) ADVANCE(462);
      END_STATE();
    case 150:
      if (lookahead == ':') ADVANCE(554);
      END_STATE();
    case 151:
      if (lookahead == '=') ADVANCE(540);
      END_STATE();
    case 152:
      if (lookahead == '=') ADVANCE(539);
      END_STATE();
    case 153:
      if (lookahead == '>') ADVANCE(641);
      if (lookahead == '\\') ADVANCE(154);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(153);
      END_STATE();
    case 154:
      if (lookahead == '>') ADVANCE(642);
      if (lookahead == '\\') ADVANCE(154);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(153);
      END_STATE();
    case 155:
      if (lookahead == 'U') ADVANCE(412);
      if (lookahead == 'u') ADVANCE(404);
      END_STATE();
    case 156:
      if (lookahead == '_') ADVANCE(177);
      END_STATE();
    case 157:
      if (lookahead == 'a') ADVANCE(182);
      END_STATE();
    case 158:
      ADVANCE_MAP(
        'a', 376,
        'c', 165,
        'd', 238,
        'e', 313,
        'f', 282,
        'i', 305,
        'o', 340,
        'p', 351,
        'r', 222,
        's', 387,
      );
      END_STATE();
    case 159:
      if (lookahead == 'a') ADVANCE(376);
      if (lookahead == 'c') ADVANCE(165);
      if (lookahead == 'f') ADVANCE(282);
      END_STATE();
    case 160:
      if (lookahead == 'a') ADVANCE(376);
      if (lookahead == 'd') ADVANCE(237);
      if (lookahead == 'i') ADVANCE(305);
      if (lookahead == 'p') ADVANCE(343);
      END_STATE();
    case 161:
      if (lookahead == 'a') ADVANCE(376);
      if (lookahead == 'i') ADVANCE(305);
      if (lookahead == 'p') ADVANCE(176);
      END_STATE();
    case 162:
      if (lookahead == 'a') ADVANCE(376);
      if (lookahead == 'p') ADVANCE(175);
      END_STATE();
    case 163:
      if (lookahead == 'a') ADVANCE(259);
      END_STATE();
    case 164:
      if (lookahead == 'a') ADVANCE(265);
      END_STATE();
    case 165:
      if (lookahead == 'a') ADVANCE(362);
      END_STATE();
    case 166:
      if (lookahead == 'a') ADVANCE(362);
      if (lookahead == 'o') ADVANCE(303);
      END_STATE();
    case 167:
      if (lookahead == 'a') ADVANCE(304);
      END_STATE();
    case 168:
      if (lookahead == 'a') ADVANCE(359);
      END_STATE();
    case 169:
      if (lookahead == 'a') ADVANCE(293);
      END_STATE();
    case 170:
      if (lookahead == 'a') ADVANCE(354);
      END_STATE();
    case 171:
      if (lookahead == 'a') ADVANCE(366);
      END_STATE();
    case 172:
      if (lookahead == 'a') ADVANCE(191);
      END_STATE();
    case 173:
      if (lookahead == 'a') ADVANCE(358);
      END_STATE();
    case 174:
      if (lookahead == 'a') ADVANCE(369);
      END_STATE();
    case 175:
      if (lookahead == 'a') ADVANCE(185);
      if (lookahead == 'r') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(180);
      END_STATE();
    case 176:
      if (lookahead == 'a') ADVANCE(185);
      if (lookahead == 'r') ADVANCE(268);
      if (lookahead == 'u') ADVANCE(180);
      END_STATE();
    case 177:
      if (lookahead == 'a') ADVANCE(296);
      END_STATE();
    case 178:
      if (lookahead == 'a') ADVANCE(287);
      END_STATE();
    case 179:
      if (lookahead == 'a') ADVANCE(372);
      END_STATE();
    case 180:
      if (lookahead == 'b') ADVANCE(301);
      END_STATE();
    case 181:
      if (lookahead == 'b') ADVANCE(272);
      END_STATE();
    case 182:
      if (lookahead == 'b') ADVANCE(298);
      END_STATE();
    case 183:
      if (lookahead == 'c') ADVANCE(260);
      END_STATE();
    case 184:
      if (lookahead == 'c') ADVANCE(693);
      END_STATE();
    case 185:
      if (lookahead == 'c') ADVANCE(284);
      END_STATE();
    case 186:
      if (lookahead == 'c') ADVANCE(688);
      END_STATE();
    case 187:
      if (lookahead == 'c') ADVANCE(263);
      END_STATE();
    case 188:
      if (lookahead == 'c') ADVANCE(263);
      if (lookahead == 't') ADVANCE(261);
      END_STATE();
    case 189:
      if (lookahead == 'c') ADVANCE(320);
      END_STATE();
    case 190:
      if (lookahead == 'c') ADVANCE(326);
      END_STATE();
    case 191:
      if (lookahead == 'c') ADVANCE(220);
      END_STATE();
    case 192:
      if (lookahead == 'c') ADVANCE(299);
      END_STATE();
    case 193:
      if (lookahead == 'c') ADVANCE(373);
      END_STATE();
    case 194:
      if (lookahead == 'c') ADVANCE(370);
      END_STATE();
    case 195:
      if (lookahead == 'd') ADVANCE(470);
      if (lookahead == 'e') ADVANCE(494);
      if (lookahead == 'i') ADVANCE(480);
      if (lookahead == 'u') ADVANCE(498);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(195);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 196:
      if (lookahead == 'd') ADVANCE(470);
      if (lookahead == 'e') ADVANCE(494);
      if (lookahead == 'i') ADVANCE(481);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(196);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 197:
      if (lookahead == 'd') ADVANCE(470);
      if (lookahead == 'e') ADVANCE(497);
      if (lookahead == 'i') ADVANCE(480);
      if (lookahead == 'u') ADVANCE(498);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 198:
      if (lookahead == 'd') ADVANCE(470);
      if (lookahead == 'e') ADVANCE(497);
      if (lookahead == 'i') ADVANCE(481);
      if (lookahead == 'u') ADVANCE(498);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(198);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 199:
      if (lookahead == 'd') ADVANCE(470);
      if (lookahead == 'e') ADVANCE(496);
      if (lookahead == 'i') ADVANCE(480);
      if (lookahead == 'u') ADVANCE(498);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(199);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 200:
      if (lookahead == 'd') ADVANCE(470);
      if (lookahead == 'e') ADVANCE(496);
      if (lookahead == 'i') ADVANCE(481);
      if (lookahead == 'u') ADVANCE(498);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(200);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 201:
      if (lookahead == 'd') ADVANCE(470);
      if (lookahead == 'i') ADVANCE(480);
      if (lookahead == 'u') ADVANCE(498);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(201);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 202:
      if (lookahead == 'd') ADVANCE(470);
      if (lookahead == 'i') ADVANCE(481);
      if (lookahead == 'u') ADVANCE(498);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(202);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 203:
      if (lookahead == 'd') ADVANCE(386);
      if (lookahead == 'p') ADVANCE(352);
      if (lookahead == 's') ADVANCE(387);
      END_STATE();
    case 204:
      if (lookahead == 'd') ADVANCE(729);
      END_STATE();
    case 205:
      if (lookahead == 'd') ADVANCE(682);
      END_STATE();
    case 206:
      if (lookahead == 'd') ADVANCE(691);
      END_STATE();
    case 207:
      if (lookahead == 'd') ADVANCE(686);
      END_STATE();
    case 208:
      if (lookahead == 'd') ADVANCE(238);
      if (lookahead == 'p') ADVANCE(352);
      if (lookahead == 's') ADVANCE(387);
      END_STATE();
    case 209:
      if (lookahead == 'd') ADVANCE(217);
      END_STATE();
    case 210:
      if (lookahead == 'd') ADVANCE(266);
      END_STATE();
    case 211:
      if (lookahead == 'd') ADVANCE(233);
      if (lookahead == 'n') ADVANCE(212);
      END_STATE();
    case 212:
      if (lookahead == 'd') ADVANCE(235);
      END_STATE();
    case 213:
      if (lookahead == 'd') ADVANCE(244);
      END_STATE();
    case 214:
      if (lookahead == 'e') ADVANCE(289);
      END_STATE();
    case 215:
      if (lookahead == 'e') ADVANCE(289);
      if (lookahead == 'y') ADVANCE(308);
      END_STATE();
    case 216:
      if (lookahead == 'e') ADVANCE(289);
      if (lookahead == 'y') ADVANCE(315);
      END_STATE();
    case 217:
      if (lookahead == 'e') ADVANCE(728);
      END_STATE();
    case 218:
      if (lookahead == 'e') ADVANCE(357);
      END_STATE();
    case 219:
      if (lookahead == 'e') ADVANCE(719);
      END_STATE();
    case 220:
      if (lookahead == 'e') ADVANCE(683);
      END_STATE();
    case 221:
      if (lookahead == 'e') ADVANCE(692);
      END_STATE();
    case 222:
      if (lookahead == 'e') ADVANCE(342);
      END_STATE();
    case 223:
      if (lookahead == 'e') ADVANCE(288);
      if (lookahead == 'i') ADVANCE(252);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(223);
      END_STATE();
    case 224:
      if (lookahead == 'e') ADVANCE(438);
      END_STATE();
    case 225:
      if (lookahead == 'e') ADVANCE(687);
      END_STATE();
    case 226:
      if (lookahead == 'e') ADVANCE(685);
      END_STATE();
    case 227:
      if (lookahead == 'e') ADVANCE(204);
      END_STATE();
    case 228:
      if (lookahead == 'e') ADVANCE(306);
      END_STATE();
    case 229:
      if (lookahead == 'e') ADVANCE(194);
      END_STATE();
    case 230:
      if (lookahead == 'e') ADVANCE(336);
      END_STATE();
    case 231:
      if (lookahead == 'e') ADVANCE(314);
      END_STATE();
    case 232:
      if (lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 233:
      if (lookahead == 'e') ADVANCE(250);
      END_STATE();
    case 234:
      if (lookahead == 'e') ADVANCE(206);
      END_STATE();
    case 235:
      if (lookahead == 'e') ADVANCE(251);
      END_STATE();
    case 236:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 237:
      if (lookahead == 'e') ADVANCE(257);
      END_STATE();
    case 238:
      if (lookahead == 'e') ADVANCE(257);
      if (lookahead == 'y') ADVANCE(310);
      END_STATE();
    case 239:
      if (lookahead == 'e') ADVANCE(312);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(239);
      END_STATE();
    case 240:
      if (lookahead == 'e') ADVANCE(168);
      END_STATE();
    case 241:
      if (lookahead == 'e') ADVANCE(193);
      END_STATE();
    case 242:
      if (lookahead == 'e') ADVANCE(193);
      if (lookahead == 'o') ADVANCE(190);
      END_STATE();
    case 243:
      if (lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 244:
      if (lookahead == 'e') ADVANCE(255);
      END_STATE();
    case 245:
      if (lookahead == 'e') ADVANCE(297);
      END_STATE();
    case 246:
      if (lookahead == 'e') ADVANCE(350);
      END_STATE();
    case 247:
      if (lookahead == 'e') ADVANCE(300);
      if (lookahead == 'i') ADVANCE(249);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(247);
      END_STATE();
    case 248:
      if (lookahead == 'f') ADVANCE(432);
      END_STATE();
    case 249:
      if (lookahead == 'f') ADVANCE(211);
      END_STATE();
    case 250:
      if (lookahead == 'f') ADVANCE(434);
      END_STATE();
    case 251:
      if (lookahead == 'f') ADVANCE(436);
      END_STATE();
    case 252:
      if (lookahead == 'f') ADVANCE(429);
      END_STATE();
    case 253:
      if (lookahead == 'f') ADVANCE(441);
      END_STATE();
    case 254:
      if (lookahead == 'f') ADVANCE(444);
      END_STATE();
    case 255:
      if (lookahead == 'f') ADVANCE(446);
      END_STATE();
    case 256:
      if (lookahead == 'f') ADVANCE(440);
      END_STATE();
    case 257:
      if (lookahead == 'f') ADVANCE(355);
      END_STATE();
    case 258:
      if (lookahead == 'f') ADVANCE(172);
      END_STATE();
    case 259:
      if (lookahead == 'g') ADVANCE(225);
      END_STATE();
    case 260:
      if (lookahead == 'h') ADVANCE(697);
      END_STATE();
    case 261:
      if (lookahead == 'h') ADVANCE(218);
      END_STATE();
    case 262:
      if (lookahead == 'h') ADVANCE(346);
      if (lookahead == 'r') ADVANCE(382);
      END_STATE();
    case 263:
      if (lookahead == 'h') ADVANCE(349);
      END_STATE();
    case 264:
      if (lookahead == 'i') ADVANCE(388);
      END_STATE();
    case 265:
      if (lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 266:
      if (lookahead == 'i') ADVANCE(248);
      END_STATE();
    case 267:
      if (lookahead == 'i') ADVANCE(181);
      END_STATE();
    case 268:
      if (lookahead == 'i') ADVANCE(380);
      if (lookahead == 'o') ADVANCE(338);
      END_STATE();
    case 269:
      if (lookahead == 'i') ADVANCE(380);
      if (lookahead == 'o') ADVANCE(374);
      END_STATE();
    case 270:
      if (lookahead == 'i') ADVANCE(249);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(270);
      END_STATE();
    case 271:
      if (lookahead == 'i') ADVANCE(184);
      END_STATE();
    case 272:
      if (lookahead == 'i') ADVANCE(295);
      END_STATE();
    case 273:
      if (lookahead == 'i') ADVANCE(252);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(273);
      END_STATE();
    case 274:
      if (lookahead == 'i') ADVANCE(365);
      END_STATE();
    case 275:
      if (lookahead == 'i') ADVANCE(253);
      if (lookahead == 's') ADVANCE(224);
      END_STATE();
    case 276:
      if (lookahead == 'i') ADVANCE(170);
      END_STATE();
    case 277:
      if (lookahead == 'i') ADVANCE(186);
      END_STATE();
    case 278:
      if (lookahead == 'i') ADVANCE(327);
      END_STATE();
    case 279:
      if (lookahead == 'i') ADVANCE(256);
      if (lookahead == 's') ADVANCE(224);
      END_STATE();
    case 280:
      if (lookahead == 'i') ADVANCE(333);
      END_STATE();
    case 281:
      if (lookahead == 'i') ADVANCE(389);
      END_STATE();
    case 282:
      if (lookahead == 'i') ADVANCE(311);
      END_STATE();
    case 283:
      if (lookahead == 'i') ADVANCE(353);
      END_STATE();
    case 284:
      if (lookahead == 'k') ADVANCE(163);
      END_STATE();
    case 285:
      if (lookahead == 'l') ADVANCE(681);
      END_STATE();
    case 286:
      if (lookahead == 'l') ADVANCE(561);
      END_STATE();
    case 287:
      if (lookahead == 'l') ADVANCE(690);
      END_STATE();
    case 288:
      if (lookahead == 'l') ADVANCE(275);
      if (lookahead == 'n') ADVANCE(210);
      END_STATE();
    case 289:
      if (lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 290:
      if (lookahead == 'l') ADVANCE(383);
      END_STATE();
    case 291:
      if (lookahead == 'l') ADVANCE(228);
      END_STATE();
    case 292:
      if (lookahead == 'l') ADVANCE(228);
      if (lookahead == 'o') ADVANCE(348);
      END_STATE();
    case 293:
      if (lookahead == 'l') ADVANCE(290);
      END_STATE();
    case 294:
      if (lookahead == 'l') ADVANCE(157);
      END_STATE();
    case 295:
      if (lookahead == 'l') ADVANCE(274);
      END_STATE();
    case 296:
      if (lookahead == 'l') ADVANCE(276);
      END_STATE();
    case 297:
      if (lookahead == 'l') ADVANCE(240);
      END_STATE();
    case 298:
      if (lookahead == 'l') ADVANCE(219);
      END_STATE();
    case 299:
      if (lookahead == 'l') ADVANCE(173);
      END_STATE();
    case 300:
      if (lookahead == 'l') ADVANCE(279);
      if (lookahead == 'n') ADVANCE(210);
      END_STATE();
    case 301:
      if (lookahead == 'l') ADVANCE(277);
      END_STATE();
    case 302:
      if (lookahead == 'm') ADVANCE(334);
      if (lookahead == 'n') ADVANCE(360);
      END_STATE();
    case 303:
      if (lookahead == 'm') ADVANCE(335);
      END_STATE();
    case 304:
      if (lookahead == 'm') ADVANCE(271);
      END_STATE();
    case 305:
      if (lookahead == 'm') ADVANCE(341);
      if (lookahead == 'n') ADVANCE(360);
      END_STATE();
    case 306:
      if (lookahead == 'm') ADVANCE(231);
      END_STATE();
    case 307:
      if (lookahead == 'n') ADVANCE(189);
      END_STATE();
    case 308:
      if (lookahead == 'n') ADVANCE(188);
      END_STATE();
    case 309:
      if (lookahead == 'n') ADVANCE(684);
      END_STATE();
    case 310:
      if (lookahead == 'n') ADVANCE(167);
      END_STATE();
    case 311:
      if (lookahead == 'n') ADVANCE(169);
      END_STATE();
    case 312:
      if (lookahead == 'n') ADVANCE(210);
      END_STATE();
    case 313:
      if (lookahead == 'n') ADVANCE(205);
      END_STATE();
    case 314:
      if (lookahead == 'n') ADVANCE(371);
      END_STATE();
    case 315:
      if (lookahead == 'n') ADVANCE(187);
      END_STATE();
    case 316:
      if (lookahead == 'n') ADVANCE(364);
      END_STATE();
    case 317:
      if (lookahead == 'n') ADVANCE(281);
      END_STATE();
    case 318:
      if (lookahead == 'n') ADVANCE(178);
      END_STATE();
    case 319:
      if (lookahead == 'o') ADVANCE(303);
      END_STATE();
    case 320:
      if (lookahead == 'o') ADVANCE(209);
      END_STATE();
    case 321:
      if (lookahead == 'o') ADVANCE(381);
      END_STATE();
    case 322:
      if (lookahead == 'o') ADVANCE(339);
      END_STATE();
    case 323:
      if (lookahead == 'o') ADVANCE(347);
      END_STATE();
    case 324:
      if (lookahead == 'o') ADVANCE(317);
      END_STATE();
    case 325:
      if (lookahead == 'o') ADVANCE(345);
      END_STATE();
    case 326:
      if (lookahead == 'o') ADVANCE(285);
      END_STATE();
    case 327:
      if (lookahead == 'o') ADVANCE(309);
      END_STATE();
    case 328:
      if (lookahead == 'o') ADVANCE(337);
      END_STATE();
    case 329:
      if (lookahead == 'o') ADVANCE(286);
      END_STATE();
    case 330:
      if (lookahead == 'o') ADVANCE(329);
      END_STATE();
    case 331:
      if (lookahead == 'o') ADVANCE(368);
      END_STATE();
    case 332:
      if (lookahead == 'o') ADVANCE(190);
      END_STATE();
    case 333:
      if (lookahead == 'o') ADVANCE(318);
      END_STATE();
    case 334:
      if (lookahead == 'p') ADVANCE(292);
      END_STATE();
    case 335:
      if (lookahead == 'p') ADVANCE(171);
      END_STATE();
    case 336:
      if (lookahead == 'p') ADVANCE(330);
      END_STATE();
    case 337:
      if (lookahead == 'p') ADVANCE(246);
      END_STATE();
    case 338:
      if (lookahead == 'p') ADVANCE(246);
      if (lookahead == 't') ADVANCE(242);
      END_STATE();
    case 339:
      if (lookahead == 'p') ADVANCE(246);
      if (lookahead == 't') ADVANCE(332);
      END_STATE();
    case 340:
      if (lookahead == 'p') ADVANCE(375);
      END_STATE();
    case 341:
      if (lookahead == 'p') ADVANCE(291);
      END_STATE();
    case 342:
      if (lookahead == 'q') ADVANCE(378);
      END_STATE();
    case 343:
      if (lookahead == 'r') ADVANCE(331);
      END_STATE();
    case 344:
      if (lookahead == 'r') ADVANCE(258);
      END_STATE();
    case 345:
      if (lookahead == 'r') ADVANCE(700);
      END_STATE();
    case 346:
      if (lookahead == 'r') ADVANCE(321);
      END_STATE();
    case 347:
      if (lookahead == 'r') ADVANCE(245);
      END_STATE();
    case 348:
      if (lookahead == 'r') ADVANCE(361);
      END_STATE();
    case 349:
      if (lookahead == 'r') ADVANCE(324);
      END_STATE();
    case 350:
      if (lookahead == 'r') ADVANCE(367);
      END_STATE();
    case 351:
      if (lookahead == 'r') ADVANCE(322);
      END_STATE();
    case 352:
      if (lookahead == 'r') ADVANCE(328);
      END_STATE();
    case 353:
      if (lookahead == 'r') ADVANCE(234);
      END_STATE();
    case 354:
      if (lookahead == 's') ADVANCE(689);
      END_STATE();
    case 355:
      if (lookahead == 's') ADVANCE(730);
      END_STATE();
    case 356:
      if (lookahead == 's') ADVANCE(138);
      END_STATE();
    case 357:
      if (lookahead == 's') ADVANCE(264);
      END_STATE();
    case 358:
      if (lookahead == 's') ADVANCE(356);
      END_STATE();
    case 359:
      if (lookahead == 's') ADVANCE(230);
      END_STATE();
    case 360:
      if (lookahead == 't') ADVANCE(232);
      END_STATE();
    case 361:
      if (lookahead == 't') ADVANCE(676);
      END_STATE();
    case 362:
      if (lookahead == 't') ADVANCE(183);
      END_STATE();
    case 363:
      if (lookahead == 't') ADVANCE(323);
      END_STATE();
    case 364:
      if (lookahead == 't') ADVANCE(261);
      END_STATE();
    case 365:
      if (lookahead == 't') ADVANCE(384);
      END_STATE();
    case 366:
      if (lookahead == 't') ADVANCE(267);
      END_STATE();
    case 367:
      if (lookahead == 't') ADVANCE(385);
      END_STATE();
    case 368:
      if (lookahead == 't') ADVANCE(332);
      END_STATE();
    case 369:
      if (lookahead == 't') ADVANCE(278);
      END_STATE();
    case 370:
      if (lookahead == 't') ADVANCE(325);
      END_STATE();
    case 371:
      if (lookahead == 't') ADVANCE(174);
      END_STATE();
    case 372:
      if (lookahead == 't') ADVANCE(226);
      END_STATE();
    case 373:
      if (lookahead == 't') ADVANCE(236);
      END_STATE();
    case 374:
      if (lookahead == 't') ADVANCE(241);
      END_STATE();
    case 375:
      if (lookahead == 't') ADVANCE(280);
      END_STATE();
    case 376:
      if (lookahead == 'u') ADVANCE(363);
      END_STATE();
    case 377:
      if (lookahead == 'u') ADVANCE(363);
      if (lookahead == 'v') ADVANCE(164);
      END_STATE();
    case 378:
      if (lookahead == 'u') ADVANCE(283);
      END_STATE();
    case 379:
      if (lookahead == 'v') ADVANCE(164);
      END_STATE();
    case 380:
      if (lookahead == 'v') ADVANCE(179);
      END_STATE();
    case 381:
      if (lookahead == 'w') ADVANCE(699);
      END_STATE();
    case 382:
      if (lookahead == 'y') ADVANCE(696);
      END_STATE();
    case 383:
      if (lookahead == 'y') ADVANCE(698);
      END_STATE();
    case 384:
      if (lookahead == 'y') ADVANCE(156);
      END_STATE();
    case 385:
      if (lookahead == 'y') ADVANCE(695);
      END_STATE();
    case 386:
      if (lookahead == 'y') ADVANCE(310);
      END_STATE();
    case 387:
      if (lookahead == 'y') ADVANCE(316);
      END_STATE();
    case 388:
      if (lookahead == 'z') ADVANCE(221);
      END_STATE();
    case 389:
      if (lookahead == 'z') ADVANCE(227);
      END_STATE();
    case 390:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(588);
      END_STATE();
    case 391:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(581);
      END_STATE();
    case 392:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(675);
      END_STATE();
    case 393:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(583);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(595);
      END_STATE();
    case 394:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(655);
      END_STATE();
    case 395:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(592);
      END_STATE();
    case 396:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(595);
      END_STATE();
    case 397:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(589);
      END_STATE();
    case 398:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(634);
      END_STATE();
    case 399:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(640);
      END_STATE();
    case 400:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(394);
      END_STATE();
    case 401:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(398);
      END_STATE();
    case 402:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(400);
      END_STATE();
    case 403:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(401);
      END_STATE();
    case 404:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(402);
      END_STATE();
    case 405:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(403);
      END_STATE();
    case 406:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(404);
      END_STATE();
    case 407:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(405);
      END_STATE();
    case 408:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(406);
      END_STATE();
    case 409:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(407);
      END_STATE();
    case 410:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(408);
      END_STATE();
    case 411:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(409);
      END_STATE();
    case 412:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(410);
      END_STATE();
    case 413:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(411);
      END_STATE();
    case 414:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(462);
      END_STATE();
    case 415:
      if (eof) ADVANCE(420);
      ADVANCE_MAP(
        '!', 509,
        '"', 624,
        '#', 677,
        '%', 529,
        '&', 538,
        '\'', 604,
        '(', 506,
        ')', 428,
        '*', 525,
        '+', 520,
        ',', 427,
        '-', 512,
        '.', 578,
        '/', 527,
        '0', 584,
        ':', 562,
        ';', 553,
        '<', 547,
        '=', 560,
        '>', 542,
        '?', 563,
        '@', 610,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 2,
        ']', 556,
        '^', 535,
        'u', 647,
        '{', 557,
        '|', 532,
        '}', 558,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(415);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(585);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 416:
      if (eof) ADVANCE(420);
      ADVANCE_MAP(
        '!', 508,
        '"', 624,
        '#', 680,
        '&', 536,
        '\'', 604,
        '(', 506,
        ')', 428,
        '*', 524,
        '+', 521,
        ',', 427,
        '-', 514,
        '.', 147,
        '/', 139,
        '0', 586,
        ':', 562,
        ';', 553,
        '<', 546,
        '>', 541,
        '@', 616,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 4,
        ']', 556,
        '^', 534,
        'u', 647,
        '{', 557,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(416);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 417:
      if (eof) ADVANCE(420);
      ADVANCE_MAP(
        '!', 508,
        '"', 624,
        '#', 680,
        '&', 536,
        '\'', 604,
        '(', 506,
        '*', 524,
        '+', 521,
        '-', 514,
        '.', 391,
        '/', 139,
        '0', 586,
        ';', 553,
        '@', 615,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 12,
        '^', 534,
        'u', 647,
        '{', 557,
        '}', 558,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(417);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 418:
      if (eof) ADVANCE(420);
      ADVANCE_MAP(
        '!', 508,
        '"', 624,
        '#', 680,
        '&', 536,
        '\'', 604,
        '(', 506,
        '*', 524,
        '+', 521,
        '-', 514,
        '.', 391,
        '/', 139,
        '0', 586,
        ';', 553,
        '@', 611,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 71,
        '^', 534,
        'u', 647,
        '{', 557,
        '}', 558,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(418);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 419:
      if (eof) ADVANCE(420);
      ADVANCE_MAP(
        '!', 508,
        '"', 624,
        '#', 680,
        '&', 536,
        '\'', 604,
        '(', 506,
        '*', 524,
        '+', 521,
        '-', 514,
        '.', 391,
        '/', 139,
        '0', 586,
        ';', 553,
        '@', 612,
        'L', 643,
        'U', 645,
        '[', 555,
        '\\', 89,
        '^', 534,
        'u', 647,
        '{', 557,
        '~', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(419);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(655);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(aux_sym_preproc_include_token3);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(233);
      if (lookahead == 'n') ADVANCE(212);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(474);
      if (lookahead == 'n') ADVANCE(468);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(431);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(243);
      if (lookahead == 'n') ADVANCE(213);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(477);
      if (lookahead == 'n') ADVANCE(469);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(141);
      if (lookahead == '*') ADVANCE(448);
      if (lookahead == '/') ADVANCE(657);
      if (lookahead == '\\') ADVANCE(458);
      if (lookahead != 0) ADVANCE(449);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(141);
      if (lookahead == '*') ADVANCE(448);
      if (lookahead == '/') ADVANCE(142);
      if (lookahead == '\\') ADVANCE(458);
      if (lookahead != 0) ADVANCE(449);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(670);
      if (lookahead == '\r') ADVANCE(658);
      if (lookahead == '/') ADVANCE(666);
      if (lookahead == '\\') ADVANCE(663);
      if (lookahead != 0) ADVANCE(667);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(455);
      if (lookahead == '\r') ADVANCE(452);
      if (lookahead == '/') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(456);
      if (lookahead != 0) ADVANCE(462);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(455);
      if (lookahead == '/') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(456);
      if (lookahead != 0) ADVANCE(462);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(149);
      if (lookahead == '\r') ADVANCE(454);
      if (lookahead == '/') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(456);
      if (lookahead != 0) ADVANCE(462);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(149);
      if (lookahead == '/') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(456);
      if (lookahead != 0) ADVANCE(462);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(149);
      if (lookahead == '/') ADVANCE(460);
      if (lookahead == '\\') ADVANCE(451);
      if (lookahead == 0xa0) ADVANCE(455);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(455);
      if (lookahead != 0) ADVANCE(462);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(463);
      if (lookahead == '/') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(456);
      if (lookahead != 0) ADVANCE(462);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(668);
      if (lookahead == '/') ADVANCE(666);
      if (lookahead == '\\') ADVANCE(663);
      if (lookahead != 0) ADVANCE(667);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(461);
      if (lookahead == '*') ADVANCE(448);
      if (lookahead == '/') ADVANCE(142);
      if (lookahead == '\\') ADVANCE(458);
      if (lookahead != 0) ADVANCE(449);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(449);
      if (lookahead == '/') ADVANCE(666);
      if (lookahead == '\\') ADVANCE(456);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(462);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(449);
      if (lookahead == '/') ADVANCE(669);
      if (lookahead == '\\') ADVANCE(456);
      if (lookahead != 0) ADVANCE(462);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(448);
      if (lookahead == '/') ADVANCE(142);
      if (lookahead == '\\') ADVANCE(458);
      if (lookahead != 0) ADVANCE(449);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(456);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(462);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(414);
      if (lookahead == '\\') ADVANCE(456);
      if (lookahead != 0) ADVANCE(462);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(495);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(492);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(473);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(475);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(476);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(478);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(482);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(439);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(424);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(421);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(485);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(479);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(486);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(487);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(488);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(505);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(430);
      if (lookahead == 'm') ADVANCE(501);
      if (lookahead == 'n') ADVANCE(464);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(430);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(490);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(442);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(433);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(435);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(437);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(445);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(447);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(499);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(483);
      if (lookahead == 's') ADVANCE(471);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(484);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(489);
      if (lookahead == 's') ADVANCE(471);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(491);
      if (lookahead == 'n') ADVANCE(465);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(504);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(493);
      if (lookahead == 'n') ADVANCE(465);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(465);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(467);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(472);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'o') ADVANCE(502);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'p') ADVANCE(500);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'r') ADVANCE(503);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 't') ADVANCE(422);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(466);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(718);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(540);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(574);
      if (lookahead == '.') ADVANCE(391);
      if (lookahead == '0') ADVANCE(586);
      if (lookahead == '=') ADVANCE(568);
      if (lookahead == '>') ADVANCE(580);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(574);
      if (lookahead == '.') ADVANCE(391);
      if (lookahead == '0') ADVANCE(586);
      if (lookahead == '>') ADVANCE(580);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(574);
      if (lookahead == '.') ADVANCE(391);
      if (lookahead == '0') ADVANCE(586);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(574);
      if (lookahead == '=') ADVANCE(568);
      if (lookahead == '>') ADVANCE(580);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(574);
      if (lookahead == '>') ADVANCE(580);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(391);
      if (lookahead == '0') ADVANCE(586);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(575);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(575);
      if (lookahead == '.') ADVANCE(391);
      if (lookahead == '0') ADVANCE(586);
      if (lookahead == '=') ADVANCE(567);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(575);
      if (lookahead == '.') ADVANCE(391);
      if (lookahead == '0') ADVANCE(586);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(575);
      if (lookahead == '=') ADVANCE(567);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(391);
      if (lookahead == '0') ADVANCE(586);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(588);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(564);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(141);
      if (lookahead == '/') ADVANCE(670);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(141);
      if (lookahead == '/') ADVANCE(670);
      if (lookahead == '=') ADVANCE(565);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(566);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(573);
      if (lookahead == '|') ADVANCE(530);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(530);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(572);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(531);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(531);
      if (lookahead == '=') ADVANCE(571);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(544);
      if (lookahead == '>') ADVANCE(552);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(544);
      if (lookahead == '>') ADVANCE(551);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(550);
      if (lookahead == '=') ADVANCE(545);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(549);
      if (lookahead == '=') ADVANCE(545);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(569);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(570);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(539);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(anon_sym_ATautoreleasepool);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_LT2);
      if (lookahead == '<') ADVANCE(550);
      if (lookahead == '=') ADVANCE(545);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(148);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(148);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(581);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(581);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 391,
        'E', 596,
        'P', 596,
        'e', 596,
        'p', 596,
        'F', 599,
        'L', 599,
        'U', 599,
        'f', 599,
        'i', 599,
        'l', 599,
        'u', 599,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(581);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 393,
        '.', 598,
        'b', 594,
        'x', 396,
        'E', 593,
        'e', 593,
        'F', 595,
        'f', 595,
        'P', 596,
        'p', 596,
        'L', 599,
        'U', 599,
        'i', 599,
        'l', 599,
        'u', 599,
      );
      if (('A' <= lookahead && lookahead <= 'D') ||
          ('a' <= lookahead && lookahead <= 'd')) ADVANCE(595);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(583);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 393,
        '.', 598,
        'E', 593,
        'e', 593,
        'F', 595,
        'f', 595,
        'P', 596,
        'p', 596,
        'L', 599,
        'U', 599,
        'i', 599,
        'l', 599,
        'u', 599,
      );
      if (('A' <= lookahead && lookahead <= 'D') ||
          ('a' <= lookahead && lookahead <= 'd')) ADVANCE(595);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(583);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 390,
        '.', 597,
        '_', 392,
        'b', 145,
        'x', 144,
        'E', 596,
        'P', 596,
        'e', 596,
        'p', 596,
        'F', 599,
        'L', 599,
        'U', 599,
        'f', 599,
        'i', 599,
        'l', 599,
        'u', 599,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(585);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 390,
        '.', 597,
        '_', 392,
        'E', 596,
        'P', 596,
        'e', 596,
        'p', 596,
        'F', 599,
        'L', 599,
        'U', 599,
        'f', 599,
        'i', 599,
        'l', 599,
        'u', 599,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(585);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 390,
        '.', 598,
        'b', 145,
        'x', 144,
        'E', 596,
        'P', 596,
        'e', 596,
        'p', 596,
        'F', 599,
        'L', 599,
        'U', 599,
        'f', 599,
        'i', 599,
        'l', 599,
        'u', 599,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(588);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 390,
        '.', 598,
        'b', 390,
        'x', 396,
        'E', 596,
        'P', 596,
        'e', 596,
        'p', 596,
        'F', 599,
        'L', 599,
        'U', 599,
        'f', 599,
        'i', 599,
        'l', 599,
        'u', 599,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(588);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 390,
        '.', 598,
        'E', 596,
        'P', 596,
        'e', 596,
        'p', 596,
        'F', 599,
        'L', 599,
        'U', 599,
        'f', 599,
        'i', 599,
        'l', 599,
        'u', 599,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(588);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 397,
        'F', 589,
        'f', 589,
        'L', 599,
        'U', 599,
        'i', 599,
        'l', 599,
        'u', 599,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(589);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 395,
        '+', 397,
        '-', 397,
        'E', 590,
        'e', 590,
        'F', 592,
        'f', 592,
        'P', 596,
        'p', 596,
        'L', 599,
        'U', 599,
        'i', 599,
        'l', 599,
        'u', 599,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'D') ||
          ('a' <= lookahead && lookahead <= 'd')) ADVANCE(592);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 395,
        '.', 392,
        '_', 392,
        'E', 590,
        'e', 590,
        'F', 592,
        'f', 592,
        'P', 596,
        'p', 596,
        'L', 599,
        'U', 599,
        'i', 599,
        'l', 599,
        'u', 599,
      );
      if (('A' <= lookahead && lookahead <= 'D') ||
          ('a' <= lookahead && lookahead <= 'd')) ADVANCE(592);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(591);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 395,
        'E', 590,
        'e', 590,
        'F', 592,
        'f', 592,
        'P', 596,
        'p', 596,
        'L', 599,
        'U', 599,
        'i', 599,
        'l', 599,
        'u', 599,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'D') ||
          ('a' <= lookahead && lookahead <= 'd')) ADVANCE(592);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 396,
        '.', 598,
        '+', 397,
        '-', 397,
        'E', 593,
        'e', 593,
        'F', 595,
        'f', 595,
        'P', 596,
        'p', 596,
        'L', 599,
        'U', 599,
        'i', 599,
        'l', 599,
        'u', 599,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'D') ||
          ('a' <= lookahead && lookahead <= 'd')) ADVANCE(595);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 396,
        '.', 598,
        'E', 593,
        'e', 593,
        'F', 595,
        'f', 595,
        'P', 596,
        'p', 596,
        'L', 599,
        'U', 599,
        'i', 599,
        'l', 599,
        'u', 599,
      );
      if (('A' <= lookahead && lookahead <= 'D') ||
          ('a' <= lookahead && lookahead <= 'd')) ADVANCE(595);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(583);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '\'', 396,
        '.', 598,
        'E', 593,
        'e', 593,
        'F', 595,
        'f', 595,
        'P', 596,
        'p', 596,
        'L', 599,
        'U', 599,
        'i', 599,
        'l', 599,
        'u', 599,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'D') ||
          ('a' <= lookahead && lookahead <= 'd')) ADVANCE(595);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        '+', 397,
        '-', 397,
        'F', 589,
        'f', 589,
        'L', 599,
        'U', 599,
        'i', 599,
        'l', 599,
        'u', 599,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(589);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        'E', 590,
        'e', 590,
        'F', 592,
        'f', 592,
        'P', 596,
        'p', 596,
        'L', 599,
        'U', 599,
        'i', 599,
        'l', 599,
        'u', 599,
      );
      if (('A' <= lookahead && lookahead <= 'D') ||
          ('a' <= lookahead && lookahead <= 'd')) ADVANCE(592);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(591);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_number_literal);
      ADVANCE_MAP(
        'E', 590,
        'e', 590,
        'F', 592,
        'f', 592,
        'P', 596,
        'p', 596,
        'L', 599,
        'U', 599,
        'i', 599,
        'l', 599,
        'u', 599,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'D') ||
          ('a' <= lookahead && lookahead <= 'd')) ADVANCE(592);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'F' ||
          lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'f' ||
          lookahead == 'i' ||
          lookahead == 'l' ||
          lookahead == 'u') ADVANCE(599);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(635);
      if (lookahead == '\r') ADVANCE(634);
      if (lookahead == 'U') ADVANCE(413);
      if (lookahead == 'u') ADVANCE(405);
      if (lookahead == 'x') ADVANCE(399);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(637);
      if (lookahead != 0) ADVANCE(634);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(141);
      if (lookahead == '/') ADVANCE(670);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(60);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(anon_sym_AT);
      ADVANCE_MAP(
        'a', 377,
        'c', 166,
        'd', 386,
        'e', 307,
        'f', 282,
        'i', 302,
        'p', 343,
        's', 215,
        't', 262,
      );
      END_STATE();
    case 611:
      ACCEPT_TOKEN(anon_sym_AT);
      ADVANCE_MAP(
        'a', 377,
        'c', 166,
        'e', 307,
        'f', 282,
        'i', 302,
        'p', 343,
        's', 216,
        't', 262,
      );
      END_STATE();
    case 612:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == 'a') ADVANCE(377);
      if (lookahead == 'c') ADVANCE(166);
      if (lookahead == 'e') ADVANCE(307);
      if (lookahead == 'f') ADVANCE(282);
      if (lookahead == 'i') ADVANCE(302);
      if (lookahead == 'p') ADVANCE(343);
      if (lookahead == 's') ADVANCE(214);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == 'a') ADVANCE(377);
      if (lookahead == 'c') ADVANCE(165);
      if (lookahead == 'e') ADVANCE(307);
      if (lookahead == 'f') ADVANCE(282);
      if (lookahead == 's') ADVANCE(216);
      if (lookahead == 't') ADVANCE(262);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(anon_sym_AT);
      ADVANCE_MAP(
        'a', 377,
        'c', 319,
        'd', 386,
        'e', 307,
        'i', 302,
        'p', 343,
        's', 215,
        't', 262,
      );
      END_STATE();
    case 615:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == 'a') ADVANCE(377);
      if (lookahead == 'c') ADVANCE(319);
      if (lookahead == 'e') ADVANCE(307);
      if (lookahead == 'i') ADVANCE(302);
      if (lookahead == 'p') ADVANCE(343);
      if (lookahead == 's') ADVANCE(216);
      if (lookahead == 't') ADVANCE(262);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == 'a') ADVANCE(377);
      if (lookahead == 'c') ADVANCE(319);
      if (lookahead == 'e') ADVANCE(307);
      if (lookahead == 'i') ADVANCE(302);
      if (lookahead == 'p') ADVANCE(343);
      if (lookahead == 's') ADVANCE(214);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == 'a') ADVANCE(377);
      if (lookahead == 'e') ADVANCE(307);
      if (lookahead == 'i') ADVANCE(305);
      if (lookahead == 'p') ADVANCE(343);
      if (lookahead == 's') ADVANCE(216);
      if (lookahead == 't') ADVANCE(262);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == 'a') ADVANCE(377);
      if (lookahead == 'e') ADVANCE(307);
      if (lookahead == 's') ADVANCE(216);
      if (lookahead == 't') ADVANCE(262);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == 'a') ADVANCE(377);
      if (lookahead == 'e') ADVANCE(307);
      if (lookahead == 's') ADVANCE(214);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == 'a') ADVANCE(379);
      if (lookahead == 'e') ADVANCE(307);
      if (lookahead == 'i') ADVANCE(305);
      if (lookahead == 'p') ADVANCE(343);
      if (lookahead == 's') ADVANCE(214);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == 'a') ADVANCE(379);
      if (lookahead == 'e') ADVANCE(307);
      if (lookahead == 's') ADVANCE(214);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == 'a') ADVANCE(376);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == 'i') ADVANCE(305);
      if (lookahead == 'p') ADVANCE(343);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(631);
      if (lookahead == '/') ADVANCE(633);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(633);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(630);
      if (lookahead == '/') ADVANCE(633);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(631);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(630);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(631);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(629);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) ADVANCE(632);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(633);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(633);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(60);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(634);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(636);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(634);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(638);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(639);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(641);
      if (lookahead == '\\') ADVANCE(154);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(153);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(625);
      if (lookahead == '\'') ADVANCE(600);
      if (lookahead == '\\') ADVANCE(155);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(655);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(625);
      if (lookahead == '\\') ADVANCE(155);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(655);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(627);
      if (lookahead == '\'') ADVANCE(602);
      if (lookahead == '\\') ADVANCE(155);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(655);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(627);
      if (lookahead == '\\') ADVANCE(155);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(655);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(626);
      if (lookahead == '\'') ADVANCE(601);
      if (lookahead == '8') ADVANCE(649);
      if (lookahead == '\\') ADVANCE(155);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(655);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(626);
      if (lookahead == '8') ADVANCE(650);
      if (lookahead == '\\') ADVANCE(155);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(655);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(628);
      if (lookahead == '\'') ADVANCE(603);
      if (lookahead == '\\') ADVANCE(155);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(655);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(628);
      if (lookahead == '\\') ADVANCE(155);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(655);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(600);
      if (lookahead == '\\') ADVANCE(155);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(655);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(602);
      if (lookahead == '\\') ADVANCE(155);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(655);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(601);
      if (lookahead == '8') ADVANCE(654);
      if (lookahead == '\\') ADVANCE(155);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(655);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\'') ADVANCE(603);
      if (lookahead == '\\') ADVANCE(155);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(655);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(155);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(655);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(709);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(656);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(718);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(670);
      if (lookahead == '/') ADVANCE(666);
      if (lookahead == '\\') ADVANCE(457);
      if (lookahead != 0) ADVANCE(667);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(718);
      if (lookahead == ')') ADVANCE(670);
      if (lookahead == '\\') ADVANCE(703);
      if (lookahead != 0) ADVANCE(659);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(727);
      if (lookahead == '\\') ADVANCE(722);
      if (lookahead == '}') ADVANCE(670);
      if (lookahead != 0) ADVANCE(660);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(671);
      if (lookahead == '\\') ADVANCE(661);
      if (lookahead != 0) ADVANCE(670);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(665);
      if (lookahead == ')') ADVANCE(670);
      if (lookahead == '\\') ADVANCE(662);
      if (lookahead != 0) ADVANCE(659);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(668);
      if (lookahead == '/') ADVANCE(666);
      if (lookahead == '\\') ADVANCE(663);
      if (lookahead != 0) ADVANCE(667);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(672);
      if (lookahead == '\\') ADVANCE(664);
      if (lookahead == '}') ADVANCE(670);
      if (lookahead != 0) ADVANCE(660);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == ')') ADVANCE(670);
      if (lookahead == '\\') ADVANCE(703);
      if (lookahead != 0) ADVANCE(659);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(670);
      if (lookahead == '\\') ADVANCE(450);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(667);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(666);
      if (lookahead == '\\') ADVANCE(457);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(667);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(666);
      if (lookahead == '\\') ADVANCE(457);
      if (lookahead != 0) ADVANCE(667);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(669);
      if (lookahead == '\\') ADVANCE(457);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(667);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(92);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(670);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(92);
      if (lookahead != 0) ADVANCE(670);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(722);
      if (lookahead == '}') ADVANCE(670);
      if (lookahead != 0) ADVANCE(660);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(718);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '}') ADVANCE(727);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym_version_number);
      if (lookahead == '.' ||
          lookahead == '_') ADVANCE(392);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(675);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(anon_sym_ATimport);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (lookahead == 'd') ADVANCE(470);
      if (lookahead == 'e') ADVANCE(494);
      if (lookahead == 'i') ADVANCE(480);
      if (lookahead == 'u') ADVANCE(498);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(195);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (lookahead == 'd') ADVANCE(470);
      if (lookahead == 'e') ADVANCE(497);
      if (lookahead == 'i') ADVANCE(480);
      if (lookahead == 'u') ADVANCE(498);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (lookahead == 'd') ADVANCE(470);
      if (lookahead == 'e') ADVANCE(496);
      if (lookahead == 'i') ADVANCE(480);
      if (lookahead == 'u') ADVANCE(498);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(199);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (lookahead == 'd') ADVANCE(470);
      if (lookahead == 'i') ADVANCE(480);
      if (lookahead == 'u') ADVANCE(498);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(201);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(505);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(anon_sym_ATprotocol);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(anon_sym_ATend);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(anon_sym_ATinterface);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(anon_sym_ATimplementation);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(anon_sym_ATprivate);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(anon_sym_ATprotected);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(anon_sym_ATpackage);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(anon_sym_ATpublic);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(anon_sym_ATcompatibility_alias);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(anon_sym_AToptional);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(anon_sym_ATrequired);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(anon_sym_ATsynthesize);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(anon_sym_ATdynamic);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(anon_sym_LPARENclass_RPAREN);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(anon_sym_ATproperty);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(anon_sym_ATtry);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(anon_sym_ATcatch);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(anon_sym_ATfinally);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(anon_sym_ATthrow);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(anon_sym_ATselector);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(aux_sym_selector_expression_token1);
      if (lookahead == '\n') ADVANCE(705);
      if (lookahead == '\r') ADVANCE(702);
      if (lookahead == 'U') ADVANCE(717);
      if (lookahead == 'u') ADVANCE(713);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(718);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(aux_sym_selector_expression_token1);
      if (lookahead == '\n') ADVANCE(705);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(718);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(aux_sym_selector_expression_token1);
      if (lookahead == '\r') ADVANCE(665);
      if (lookahead == ')') ADVANCE(670);
      if (lookahead == '\\') ADVANCE(662);
      if (lookahead != 0) ADVANCE(659);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(aux_sym_selector_expression_token1);
      if (lookahead == '(') ADVANCE(507);
      if (lookahead == '/') ADVANCE(708);
      if (lookahead == ':') ADVANCE(732);
      if (lookahead == '\\') ADVANCE(701);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) ADVANCE(705);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(656);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(718);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(aux_sym_selector_expression_token1);
      if (lookahead == '(') ADVANCE(507);
      if (lookahead == '/') ADVANCE(708);
      if (lookahead == '\\') ADVANCE(701);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) ADVANCE(705);
      if (set_contains(sym_identifier_character_set_1, 670, lookahead)) ADVANCE(656);
      if (lookahead != 0 &&
          lookahead != '(' &&
          lookahead != ')') ADVANCE(718);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(aux_sym_selector_expression_token1);
      if (lookahead == ')') ADVANCE(141);
      if (lookahead == '*') ADVANCE(706);
      if (lookahead == '/') ADVANCE(673);
      if (lookahead != 0) ADVANCE(707);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(aux_sym_selector_expression_token1);
      if (lookahead == ')') ADVANCE(141);
      if (lookahead == '*') ADVANCE(706);
      if (lookahead != 0) ADVANCE(707);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(aux_sym_selector_expression_token1);
      if (lookahead == '*') ADVANCE(707);
      if (lookahead == '/') ADVANCE(659);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '*') ADVANCE(718);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(aux_sym_selector_expression_token1);
      if (lookahead == 'U') ADVANCE(717);
      if (lookahead == 'u') ADVANCE(713);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(718);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(aux_sym_selector_expression_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(656);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(718);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(aux_sym_selector_expression_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(710);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(718);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(aux_sym_selector_expression_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(711);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(718);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(aux_sym_selector_expression_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(712);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(718);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(aux_sym_selector_expression_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(713);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(718);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(aux_sym_selector_expression_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(714);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(718);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(aux_sym_selector_expression_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(715);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(718);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(aux_sym_selector_expression_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(716);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(718);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(aux_sym_selector_expression_token1);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(718);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(anon_sym_ATavailable);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(aux_sym_ms_asm_block_token1);
      if (lookahead == '\n') ADVANCE(726);
      if (lookahead == '\r') ADVANCE(721);
      if (lookahead != 0 &&
          lookahead != '}') ADVANCE(727);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(aux_sym_ms_asm_block_token1);
      if (lookahead == '\n') ADVANCE(726);
      if (lookahead != 0 &&
          lookahead != '}') ADVANCE(727);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(aux_sym_ms_asm_block_token1);
      if (lookahead == '\r') ADVANCE(672);
      if (lookahead == '\\') ADVANCE(664);
      if (lookahead == '}') ADVANCE(670);
      if (lookahead != 0) ADVANCE(660);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(aux_sym_ms_asm_block_token1);
      if (lookahead == '*') ADVANCE(725);
      if (lookahead == '/') ADVANCE(660);
      if (lookahead != 0 &&
          lookahead != '}') ADVANCE(727);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(aux_sym_ms_asm_block_token1);
      if (lookahead == '*') ADVANCE(724);
      if (lookahead == '/') ADVANCE(674);
      if (lookahead == '}') ADVANCE(141);
      if (lookahead != 0) ADVANCE(725);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(aux_sym_ms_asm_block_token1);
      if (lookahead == '*') ADVANCE(724);
      if (lookahead == '}') ADVANCE(141);
      if (lookahead != 0) ADVANCE(725);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(aux_sym_ms_asm_block_token1);
      if (lookahead == '/') ADVANCE(723);
      if (lookahead == '\\') ADVANCE(720);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) ADVANCE(726);
      if (lookahead != 0 &&
          lookahead != '}') ADVANCE(727);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(aux_sym_ms_asm_block_token1);
      if (lookahead != 0 &&
          lookahead != '}') ADVANCE(727);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(anon_sym_ATencode);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(anon_sym_ATsynchronized);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(anon_sym_ATdefs);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(anon_sym_COLON2);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(718);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'A', 1,
        'B', 2,
        'C', 3,
        'D', 4,
        'F', 5,
        'I', 6,
        'N', 7,
        'O', 8,
        'S', 9,
        'T', 10,
        'U', 11,
      );
      if (lookahead == '\\') SKIP(12);
      if (lookahead == '_') ADVANCE(13);
      if (lookahead == 'a') ADVANCE(14);
      if (lookahead == 'b') ADVANCE(15);
      if (lookahead == 'c') ADVANCE(16);
      if (lookahead == 'd') ADVANCE(17);
      if (lookahead == 'e') ADVANCE(18);
      if (lookahead == 'f') ADVANCE(19);
      if (lookahead == 'g') ADVANCE(20);
      if (lookahead == 'i') ADVANCE(21);
      if (lookahead == 'l') ADVANCE(22);
      if (lookahead == 'm') ADVANCE(23);
      if (lookahead == 'n') ADVANCE(24);
      if (lookahead == 'o') ADVANCE(25);
      if (lookahead == 'p') ADVANCE(26);
      if (lookahead == 'r') ADVANCE(27);
      if (lookahead == 's') ADVANCE(28);
      if (lookahead == 't') ADVANCE(29);
      if (lookahead == 'u') ADVANCE(30);
      if (lookahead == 'v') ADVANCE(31);
      if (lookahead == 'w') ADVANCE(32);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'P') ADVANCE(33);
      END_STATE();
    case 2:
      if (lookahead == 'O') ADVANCE(34);
      END_STATE();
    case 3:
      if (lookahead == 'F') ADVANCE(35);
      if (lookahead == 'G') ADVANCE(36);
      if (lookahead == 'l') ADVANCE(37);
      END_STATE();
    case 4:
      if (lookahead == 'E') ADVANCE(38);
      END_STATE();
    case 5:
      if (lookahead == 'A') ADVANCE(39);
      if (lookahead == 'O') ADVANCE(40);
      END_STATE();
    case 6:
      if (lookahead == 'B') ADVANCE(41);
      if (lookahead == 'M') ADVANCE(42);
      END_STATE();
    case 7:
      if (lookahead == 'S') ADVANCE(43);
      if (lookahead == 'U') ADVANCE(44);
      END_STATE();
    case 8:
      if (lookahead == 'B') ADVANCE(45);
      END_STATE();
    case 9:
      if (lookahead == 'E') ADVANCE(46);
      END_STATE();
    case 10:
      if (lookahead == 'R') ADVANCE(47);
      END_STATE();
    case 11:
      if (lookahead == 'I') ADVANCE(48);
      if (lookahead == 'N') ADVANCE(49);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(50);
      END_STATE();
    case 13:
      if (lookahead == 'A') ADVANCE(51);
      if (lookahead == 'C') ADVANCE(52);
      if (lookahead == 'G') ADVANCE(53);
      if (lookahead == 'N') ADVANCE(54);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'a') ADVANCE(56);
      if (lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 14:
      if (lookahead == 'l') ADVANCE(58);
      if (lookahead == 's') ADVANCE(59);
      if (lookahead == 'u') ADVANCE(60);
      if (lookahead == 'v') ADVANCE(61);
      END_STATE();
    case 15:
      if (lookahead == 'o') ADVANCE(62);
      if (lookahead == 'r') ADVANCE(63);
      if (lookahead == 'y') ADVANCE(64);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(65);
      if (lookahead == 'h') ADVANCE(66);
      if (lookahead == 'l') ADVANCE(67);
      if (lookahead == 'o') ADVANCE(68);
      END_STATE();
    case 17:
      if (lookahead == 'e') ADVANCE(69);
      if (lookahead == 'o') ADVANCE(70);
      END_STATE();
    case 18:
      if (lookahead == 'l') ADVANCE(71);
      if (lookahead == 'n') ADVANCE(72);
      if (lookahead == 'x') ADVANCE(73);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(74);
      if (lookahead == 'l') ADVANCE(75);
      if (lookahead == 'o') ADVANCE(76);
      END_STATE();
    case 20:
      if (lookahead == 'o') ADVANCE(77);
      END_STATE();
    case 21:
      if (lookahead == 'd') ADVANCE(78);
      if (lookahead == 'f') ADVANCE(79);
      if (lookahead == 'n') ADVANCE(80);
      if (lookahead == 'o') ADVANCE(81);
      END_STATE();
    case 22:
      if (lookahead == 'o') ADVANCE(82);
      END_STATE();
    case 23:
      if (lookahead == 'a') ADVANCE(83);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(84);
      if (lookahead == 'u') ADVANCE(85);
      END_STATE();
    case 25:
      if (lookahead == 'b') ADVANCE(86);
      if (lookahead == 'f') ADVANCE(87);
      if (lookahead == 'n') ADVANCE(88);
      if (lookahead == 'u') ADVANCE(89);
      END_STATE();
    case 26:
      if (lookahead == 't') ADVANCE(90);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 28:
      if (lookahead == 'h') ADVANCE(92);
      if (lookahead == 'i') ADVANCE(93);
      if (lookahead == 's') ADVANCE(94);
      if (lookahead == 't') ADVANCE(95);
      if (lookahead == 'w') ADVANCE(96);
      END_STATE();
    case 29:
      if (lookahead == 'h') ADVANCE(97);
      if (lookahead == 'r') ADVANCE(98);
      if (lookahead == 'v') ADVANCE(99);
      if (lookahead == 'y') ADVANCE(100);
      END_STATE();
    case 30:
      if (lookahead == 'i') ADVANCE(101);
      if (lookahead == 'n') ADVANCE(102);
      END_STATE();
    case 31:
      if (lookahead == 'a') ADVANCE(103);
      if (lookahead == 'o') ADVANCE(104);
      END_STATE();
    case 32:
      if (lookahead == 'a') ADVANCE(105);
      if (lookahead == 'h') ADVANCE(106);
      END_STATE();
    case 33:
      if (lookahead == 'I') ADVANCE(107);
      END_STATE();
    case 34:
      if (lookahead == 'O') ADVANCE(108);
      END_STATE();
    case 35:
      if (lookahead == '_') ADVANCE(109);
      END_STATE();
    case 36:
      if (lookahead == '_') ADVANCE(110);
      END_STATE();
    case 37:
      if (lookahead == 'a') ADVANCE(111);
      END_STATE();
    case 38:
      if (lookahead == 'P') ADVANCE(112);
      END_STATE();
    case 39:
      if (lookahead == 'L') ADVANCE(113);
      END_STATE();
    case 40:
      if (lookahead == 'U') ADVANCE(114);
      END_STATE();
    case 41:
      if (lookahead == 'I') ADVANCE(115);
      if (lookahead == 'O') ADVANCE(116);
      if (lookahead == '_') ADVANCE(117);
      END_STATE();
    case 42:
      if (lookahead == 'P') ADVANCE(118);
      END_STATE();
    case 43:
      if (lookahead == '_') ADVANCE(119);
      END_STATE();
    case 44:
      if (lookahead == 'L') ADVANCE(120);
      END_STATE();
    case 45:
      if (lookahead == 'J') ADVANCE(121);
      END_STATE();
    case 46:
      if (lookahead == 'L') ADVANCE(122);
      END_STATE();
    case 47:
      if (lookahead == 'U') ADVANCE(123);
      END_STATE();
    case 48:
      if (lookahead == 'K') ADVANCE(124);
      if (lookahead == '_') ADVANCE(125);
      END_STATE();
    case 49:
      if (lookahead == 'A') ADVANCE(126);
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 51:
      if (lookahead == 'l') ADVANCE(127);
      if (lookahead == 't') ADVANCE(128);
      END_STATE();
    case 52:
      if (lookahead == 'o') ADVANCE(129);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(130);
      END_STATE();
    case 54:
      if (lookahead == 'o') ADVANCE(131);
      if (lookahead == 'u') ADVANCE(132);
      END_STATE();
    case 55:
      ADVANCE_MAP(
        'I', 133,
        'O', 134,
        'a', 135,
        'b', 136,
        'c', 137,
        'd', 138,
        'e', 139,
        'f', 140,
        'i', 141,
        'k', 142,
        'n', 143,
        'p', 144,
        'r', 145,
        's', 146,
        't', 147,
        'u', 148,
        'v', 149,
        'w', 150,
      );
      END_STATE();
    case 56:
      if (lookahead == 'l') ADVANCE(151);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(152);
      END_STATE();
    case 58:
      if (lookahead == 'i') ADVANCE(153);
      END_STATE();
    case 59:
      if (lookahead == 'm') ADVANCE(154);
      END_STATE();
    case 60:
      if (lookahead == 't') ADVANCE(155);
      END_STATE();
    case 61:
      if (lookahead == 'a') ADVANCE(156);
      END_STATE();
    case 62:
      if (lookahead == 'o') ADVANCE(157);
      END_STATE();
    case 63:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 64:
      if (lookahead == 'c') ADVANCE(159);
      if (lookahead == 'r') ADVANCE(160);
      END_STATE();
    case 65:
      if (lookahead == 's') ADVANCE(161);
      END_STATE();
    case 66:
      if (lookahead == 'a') ADVANCE(162);
      END_STATE();
    case 67:
      if (lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 68:
      if (lookahead == 'n') ADVANCE(164);
      END_STATE();
    case 69:
      if (lookahead == 'f') ADVANCE(165);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'u') ADVANCE(166);
      END_STATE();
    case 71:
      if (lookahead == 's') ADVANCE(167);
      END_STATE();
    case 72:
      if (lookahead == 'u') ADVANCE(168);
      END_STATE();
    case 73:
      if (lookahead == 't') ADVANCE(169);
      END_STATE();
    case 74:
      if (lookahead == 'l') ADVANCE(170);
      END_STATE();
    case 75:
      if (lookahead == 'o') ADVANCE(171);
      END_STATE();
    case 76:
      if (lookahead == 'r') ADVANCE(172);
      END_STATE();
    case 77:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_id);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'l') ADVANCE(174);
      if (lookahead == 'o') ADVANCE(175);
      if (lookahead == 't') ADVANCE(176);
      END_STATE();
    case 81:
      if (lookahead == 's') ADVANCE(177);
      END_STATE();
    case 82:
      if (lookahead == 'n') ADVANCE(178);
      END_STATE();
    case 83:
      if (lookahead == 'c') ADVANCE(179);
      if (lookahead == 'x') ADVANCE(180);
      END_STATE();
    case 84:
      if (lookahead == 'r') ADVANCE(181);
      if (lookahead == 't') ADVANCE(182);
      END_STATE();
    case 85:
      if (lookahead == 'l') ADVANCE(183);
      END_STATE();
    case 86:
      if (lookahead == 'j') ADVANCE(184);
      END_STATE();
    case 87:
      if (lookahead == 'f') ADVANCE(185);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(186);
      END_STATE();
    case 89:
      if (lookahead == 't') ADVANCE(187);
      END_STATE();
    case 90:
      if (lookahead == 'r') ADVANCE(188);
      END_STATE();
    case 91:
      if (lookahead == 'g') ADVANCE(189);
      if (lookahead == 's') ADVANCE(190);
      if (lookahead == 't') ADVANCE(191);
      END_STATE();
    case 92:
      if (lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 93:
      if (lookahead == 'g') ADVANCE(193);
      if (lookahead == 'z') ADVANCE(194);
      END_STATE();
    case 94:
      if (lookahead == 'i') ADVANCE(195);
      END_STATE();
    case 95:
      if (lookahead == 'a') ADVANCE(196);
      if (lookahead == 'r') ADVANCE(197);
      END_STATE();
    case 96:
      if (lookahead == 'i') ADVANCE(198);
      END_STATE();
    case 97:
      if (lookahead == 'r') ADVANCE(199);
      END_STATE();
    case 98:
      if (lookahead == 'u') ADVANCE(200);
      END_STATE();
    case 99:
      if (lookahead == 'o') ADVANCE(201);
      END_STATE();
    case 100:
      if (lookahead == 'p') ADVANCE(202);
      END_STATE();
    case 101:
      if (lookahead == 'n') ADVANCE(203);
      END_STATE();
    case 102:
      if (lookahead == 'i') ADVANCE(204);
      if (lookahead == 's') ADVANCE(205);
      END_STATE();
    case 103:
      if (lookahead == '_') ADVANCE(206);
      END_STATE();
    case 104:
      if (lookahead == 'i') ADVANCE(207);
      if (lookahead == 'l') ADVANCE(208);
      END_STATE();
    case 105:
      if (lookahead == 't') ADVANCE(209);
      END_STATE();
    case 106:
      if (lookahead == 'i') ADVANCE(210);
      END_STATE();
    case 107:
      if (lookahead == '_') ADVANCE(211);
      END_STATE();
    case 108:
      if (lookahead == 'L') ADVANCE(212);
      END_STATE();
    case 109:
      if (lookahead == 'F') ADVANCE(213);
      if (lookahead == 'R') ADVANCE(214);
      END_STATE();
    case 110:
      if (lookahead == 'E') ADVANCE(215);
      if (lookahead == 'I') ADVANCE(216);
      END_STATE();
    case 111:
      if (lookahead == 's') ADVANCE(217);
      END_STATE();
    case 112:
      if (lookahead == 'R') ADVANCE(218);
      END_STATE();
    case 113:
      if (lookahead == 'S') ADVANCE(219);
      END_STATE();
    case 114:
      if (lookahead == 'N') ADVANCE(220);
      END_STATE();
    case 115:
      if (lookahead == 'n') ADVANCE(221);
      END_STATE();
    case 116:
      if (lookahead == 'u') ADVANCE(222);
      END_STATE();
    case 117:
      if (lookahead == 'D') ADVANCE(223);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_IMP);
      END_STATE();
    case 119:
      ADVANCE_MAP(
        'A', 224,
        'C', 225,
        'D', 226,
        'E', 227,
        'F', 228,
        'I', 229,
        'R', 230,
        'S', 231,
        'U', 232,
        'V', 233,
      );
      END_STATE();
    case 120:
      if (lookahead == 'L') ADVANCE(234);
      END_STATE();
    case 121:
      if (lookahead == 'C') ADVANCE(235);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_SEL);
      END_STATE();
    case 123:
      if (lookahead == 'E') ADVANCE(236);
      END_STATE();
    case 124:
      if (lookahead == 'I') ADVANCE(237);
      END_STATE();
    case 125:
      if (lookahead == 'A') ADVANCE(238);
      END_STATE();
    case 126:
      if (lookahead == 'V') ADVANCE(239);
      END_STATE();
    case 127:
      if (lookahead == 'i') ADVANCE(240);
      END_STATE();
    case 128:
      if (lookahead == 'o') ADVANCE(241);
      END_STATE();
    case 129:
      if (lookahead == 'm') ADVANCE(242);
      END_STATE();
    case 130:
      if (lookahead == 'n') ADVANCE(243);
      END_STATE();
    case 131:
      if (lookahead == 'n') ADVANCE(244);
      if (lookahead == 'r') ADVANCE(245);
      END_STATE();
    case 132:
      if (lookahead == 'l') ADVANCE(246);
      END_STATE();
    case 133:
      if (lookahead == 'O') ADVANCE(247);
      END_STATE();
    case 134:
      if (lookahead == 'S') ADVANCE(248);
      END_STATE();
    case 135:
      if (lookahead == 'l') ADVANCE(249);
      if (lookahead == 's') ADVANCE(250);
      if (lookahead == 't') ADVANCE(251);
      if (lookahead == 'u') ADVANCE(252);
      END_STATE();
    case 136:
      if (lookahead == 'a') ADVANCE(253);
      if (lookahead == 'l') ADVANCE(254);
      if (lookahead == 'r') ADVANCE(255);
      if (lookahead == 'u') ADVANCE(256);
      END_STATE();
    case 137:
      if (lookahead == 'a') ADVANCE(257);
      if (lookahead == 'd') ADVANCE(258);
      if (lookahead == 'l') ADVANCE(259);
      if (lookahead == 'o') ADVANCE(260);
      END_STATE();
    case 138:
      if (lookahead == 'e') ADVANCE(261);
      END_STATE();
    case 139:
      if (lookahead == 'x') ADVANCE(262);
      END_STATE();
    case 140:
      if (lookahead == 'a') ADVANCE(263);
      if (lookahead == 'i') ADVANCE(264);
      if (lookahead == 'o') ADVANCE(265);
      END_STATE();
    case 141:
      if (lookahead == 'm') ADVANCE(266);
      if (lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 142:
      if (lookahead == 'i') ADVANCE(268);
      END_STATE();
    case 143:
      if (lookahead == 'o') ADVANCE(269);
      if (lookahead == 'u') ADVANCE(270);
      END_STATE();
    case 144:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 145:
      if (lookahead == 'e') ADVANCE(272);
      END_STATE();
    case 146:
      if (lookahead == 'p') ADVANCE(273);
      if (lookahead == 't') ADVANCE(274);
      END_STATE();
    case 147:
      if (lookahead == 'h') ADVANCE(275);
      if (lookahead == 'r') ADVANCE(276);
      if (lookahead == 'y') ADVANCE(277);
      END_STATE();
    case 148:
      if (lookahead == 'n') ADVANCE(278);
      if (lookahead == 'p') ADVANCE(279);
      END_STATE();
    case 149:
      if (lookahead == 'e') ADVANCE(280);
      if (lookahead == 'o') ADVANCE(281);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(282);
      END_STATE();
    case 151:
      if (lookahead == 'i') ADVANCE(283);
      END_STATE();
    case 152:
      if (lookahead == 'a') ADVANCE(284);
      END_STATE();
    case 153:
      if (lookahead == 'g') ADVANCE(285);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 155:
      if (lookahead == 'o') ADVANCE(286);
      END_STATE();
    case 156:
      if (lookahead == 'i') ADVANCE(287);
      END_STATE();
    case 157:
      if (lookahead == 'l') ADVANCE(288);
      END_STATE();
    case 158:
      if (lookahead == 'a') ADVANCE(289);
      END_STATE();
    case 159:
      if (lookahead == 'o') ADVANCE(290);
      END_STATE();
    case 160:
      if (lookahead == 'e') ADVANCE(291);
      END_STATE();
    case 161:
      if (lookahead == 'e') ADVANCE(292);
      END_STATE();
    case 162:
      if (lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 163:
      if (lookahead == 's') ADVANCE(294);
      END_STATE();
    case 164:
      if (lookahead == 's') ADVANCE(295);
      if (lookahead == 't') ADVANCE(296);
      END_STATE();
    case 165:
      if (lookahead == 'a') ADVANCE(297);
      if (lookahead == 'i') ADVANCE(298);
      END_STATE();
    case 166:
      if (lookahead == 'b') ADVANCE(299);
      END_STATE();
    case 167:
      if (lookahead == 'e') ADVANCE(300);
      END_STATE();
    case 168:
      if (lookahead == 'm') ADVANCE(301);
      END_STATE();
    case 169:
      if (lookahead == 'e') ADVANCE(302);
      END_STATE();
    case 170:
      if (lookahead == 's') ADVANCE(303);
      END_STATE();
    case 171:
      if (lookahead == 'a') ADVANCE(304);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 173:
      if (lookahead == 'o') ADVANCE(305);
      END_STATE();
    case 174:
      if (lookahead == 'i') ADVANCE(306);
      END_STATE();
    case 175:
      if (lookahead == 'u') ADVANCE(307);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(308);
      if (lookahead == '3') ADVANCE(309);
      if (lookahead == '6') ADVANCE(310);
      if (lookahead == '8') ADVANCE(311);
      if (lookahead == 'p') ADVANCE(312);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_ios);
      END_STATE();
    case 178:
      if (lookahead == 'g') ADVANCE(313);
      END_STATE();
    case 179:
      if (lookahead == 'o') ADVANCE(314);
      END_STATE();
    case 180:
      if (lookahead == '_') ADVANCE(315);
      END_STATE();
    case 181:
      if (lookahead == 'e') ADVANCE(316);
      END_STATE();
    case 182:
      if (lookahead == 'h') ADVANCE(317);
      END_STATE();
    case 183:
      if (lookahead == 'l') ADVANCE(318);
      END_STATE();
    case 184:
      if (lookahead == 'c') ADVANCE(319);
      END_STATE();
    case 185:
      if (lookahead == 's') ADVANCE(320);
      END_STATE();
    case 186:
      if (lookahead == 'w') ADVANCE(321);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_out);
      END_STATE();
    case 188:
      if (lookahead == 'd') ADVANCE(322);
      END_STATE();
    case 189:
      if (lookahead == 'i') ADVANCE(323);
      END_STATE();
    case 190:
      if (lookahead == 't') ADVANCE(324);
      END_STATE();
    case 191:
      if (lookahead == 'u') ADVANCE(325);
      END_STATE();
    case 192:
      if (lookahead == 'r') ADVANCE(326);
      END_STATE();
    case 193:
      if (lookahead == 'n') ADVANCE(327);
      END_STATE();
    case 194:
      if (lookahead == 'e') ADVANCE(328);
      END_STATE();
    case 195:
      if (lookahead == 'z') ADVANCE(329);
      END_STATE();
    case 196:
      if (lookahead == 't') ADVANCE(330);
      END_STATE();
    case 197:
      if (lookahead == 'u') ADVANCE(331);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(332);
      END_STATE();
    case 199:
      if (lookahead == 'e') ADVANCE(333);
      END_STATE();
    case 200:
      if (lookahead == 'e') ADVANCE(236);
      END_STATE();
    case 201:
      if (lookahead == 's') ADVANCE(334);
      END_STATE();
    case 202:
      if (lookahead == 'e') ADVANCE(335);
      END_STATE();
    case 203:
      if (lookahead == 't') ADVANCE(336);
      END_STATE();
    case 204:
      if (lookahead == 'o') ADVANCE(337);
      END_STATE();
    case 205:
      if (lookahead == 'i') ADVANCE(338);
      END_STATE();
    case 206:
      if (lookahead == 'a') ADVANCE(339);
      END_STATE();
    case 207:
      if (lookahead == 'd') ADVANCE(288);
      END_STATE();
    case 208:
      if (lookahead == 'a') ADVANCE(340);
      END_STATE();
    case 209:
      if (lookahead == 'c') ADVANCE(341);
      END_STATE();
    case 210:
      if (lookahead == 'l') ADVANCE(342);
      END_STATE();
    case 211:
      if (lookahead == 'A') ADVANCE(343);
      if (lookahead == 'D') ADVANCE(344);
      if (lookahead == 'U') ADVANCE(345);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_BOOL);
      END_STATE();
    case 213:
      if (lookahead == 'O') ADVANCE(346);
      END_STATE();
    case 214:
      if (lookahead == 'E') ADVANCE(347);
      END_STATE();
    case 215:
      if (lookahead == 'X') ADVANCE(348);
      END_STATE();
    case 216:
      if (lookahead == 'N') ADVANCE(349);
      END_STATE();
    case 217:
      if (lookahead == 's') ADVANCE(350);
      END_STATE();
    case 218:
      if (lookahead == 'E') ADVANCE(351);
      END_STATE();
    case 219:
      if (lookahead == 'E') ADVANCE(352);
      END_STATE();
    case 220:
      if (lookahead == 'D') ADVANCE(353);
      END_STATE();
    case 221:
      if (lookahead == 's') ADVANCE(354);
      END_STATE();
    case 222:
      if (lookahead == 't') ADVANCE(355);
      END_STATE();
    case 223:
      if (lookahead == 'E') ADVANCE(356);
      END_STATE();
    case 224:
      if (lookahead == 'U') ADVANCE(357);
      if (lookahead == 'V') ADVANCE(358);
      END_STATE();
    case 225:
      if (lookahead == 'L') ADVANCE(359);
      END_STATE();
    case 226:
      if (lookahead == 'E') ADVANCE(360);
      END_STATE();
    case 227:
      if (lookahead == 'N') ADVANCE(361);
      if (lookahead == 'X') ADVANCE(362);
      END_STATE();
    case 228:
      if (lookahead == 'O') ADVANCE(363);
      END_STATE();
    case 229:
      if (lookahead == 'N') ADVANCE(364);
      END_STATE();
    case 230:
      if (lookahead == 'E') ADVANCE(365);
      if (lookahead == 'O') ADVANCE(366);
      END_STATE();
    case 231:
      if (lookahead == 'W') ADVANCE(367);
      END_STATE();
    case 232:
      if (lookahead == 'N') ADVANCE(368);
      END_STATE();
    case 233:
      if (lookahead == 'A') ADVANCE(369);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 235:
      if (lookahead == '_') ADVANCE(370);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 237:
      if (lookahead == 'T') ADVANCE(371);
      END_STATE();
    case 238:
      if (lookahead == 'P') ADVANCE(372);
      END_STATE();
    case 239:
      if (lookahead == 'A') ADVANCE(373);
      END_STATE();
    case 240:
      if (lookahead == 'g') ADVANCE(374);
      END_STATE();
    case 241:
      if (lookahead == 'm') ADVANCE(375);
      END_STATE();
    case 242:
      if (lookahead == 'p') ADVANCE(376);
      END_STATE();
    case 243:
      if (lookahead == 'e') ADVANCE(377);
      END_STATE();
    case 244:
      if (lookahead == 'n') ADVANCE(378);
      END_STATE();
    case 245:
      if (lookahead == 'e') ADVANCE(379);
      END_STATE();
    case 246:
      if (lookahead == 'l') ADVANCE(380);
      END_STATE();
    case 247:
      if (lookahead == 'S') ADVANCE(381);
      END_STATE();
    case 248:
      if (lookahead == 'X') ADVANCE(382);
      END_STATE();
    case 249:
      if (lookahead == 'i') ADVANCE(383);
      END_STATE();
    case 250:
      if (lookahead == 'm') ADVANCE(384);
      END_STATE();
    case 251:
      if (lookahead == 't') ADVANCE(385);
      END_STATE();
    case 252:
      if (lookahead == 't') ADVANCE(386);
      END_STATE();
    case 253:
      if (lookahead == 's') ADVANCE(387);
      END_STATE();
    case 254:
      if (lookahead == 'o') ADVANCE(388);
      END_STATE();
    case 255:
      if (lookahead == 'i') ADVANCE(389);
      END_STATE();
    case 256:
      if (lookahead == 'i') ADVANCE(390);
      END_STATE();
    case 257:
      if (lookahead == 't') ADVANCE(391);
      END_STATE();
    case 258:
      if (lookahead == 'e') ADVANCE(392);
      END_STATE();
    case 259:
      if (lookahead == 'r') ADVANCE(393);
      END_STATE();
    case 260:
      if (lookahead == 'm') ADVANCE(394);
      if (lookahead == 'n') ADVANCE(395);
      if (lookahead == 'v') ADVANCE(396);
      END_STATE();
    case 261:
      if (lookahead == 'c') ADVANCE(397);
      if (lookahead == 'p') ADVANCE(398);
      END_STATE();
    case 262:
      if (lookahead == 't') ADVANCE(399);
      END_STATE();
    case 263:
      if (lookahead == 's') ADVANCE(400);
      END_STATE();
    case 264:
      if (lookahead == 'n') ADVANCE(401);
      END_STATE();
    case 265:
      if (lookahead == 'r') ADVANCE(402);
      END_STATE();
    case 266:
      if (lookahead == 'a') ADVANCE(403);
      END_STATE();
    case 267:
      if (lookahead == 'l') ADVANCE(404);
      END_STATE();
    case 268:
      if (lookahead == 'n') ADVANCE(405);
      END_STATE();
    case 269:
      if (lookahead == 'n') ADVANCE(406);
      END_STATE();
    case 270:
      if (lookahead == 'l') ADVANCE(407);
      END_STATE();
    case 271:
      if (lookahead == 'r') ADVANCE(408);
      END_STATE();
    case 272:
      if (lookahead == 'a') ADVANCE(409);
      if (lookahead == 's') ADVANCE(410);
      END_STATE();
    case 273:
      if (lookahead == 't') ADVANCE(411);
      END_STATE();
    case 274:
      if (lookahead == 'd') ADVANCE(412);
      if (lookahead == 'r') ADVANCE(413);
      END_STATE();
    case 275:
      if (lookahead == 'i') ADVANCE(414);
      if (lookahead == 'r') ADVANCE(415);
      END_STATE();
    case 276:
      if (lookahead == 'y') ADVANCE(416);
      END_STATE();
    case 277:
      if (lookahead == 'p') ADVANCE(417);
      END_STATE();
    case 278:
      if (lookahead == 'a') ADVANCE(418);
      if (lookahead == 's') ADVANCE(419);
      if (lookahead == 'u') ADVANCE(420);
      END_STATE();
    case 279:
      if (lookahead == 't') ADVANCE(421);
      END_STATE();
    case 280:
      if (lookahead == 'c') ADVANCE(422);
      END_STATE();
    case 281:
      if (lookahead == 'l') ADVANCE(423);
      END_STATE();
    case 282:
      if (lookahead == 'a') ADVANCE(424);
      END_STATE();
    case 283:
      if (lookahead == 'g') ADVANCE(425);
      END_STATE();
    case 284:
      if (lookahead == 'l') ADVANCE(426);
      END_STATE();
    case 285:
      if (lookahead == 'n') ADVANCE(427);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_auto);
      END_STATE();
    case 287:
      if (lookahead == 'l') ADVANCE(428);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(sym_primitive_type);
      END_STATE();
    case 289:
      if (lookahead == 'k') ADVANCE(429);
      END_STATE();
    case 290:
      if (lookahead == 'p') ADVANCE(430);
      END_STATE();
    case 291:
      if (lookahead == 'f') ADVANCE(431);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(432);
      if (lookahead == '3') ADVANCE(433);
      if (lookahead == '6') ADVANCE(434);
      if (lookahead == '8') ADVANCE(435);
      if (lookahead == 'p') ADVANCE(436);
      END_STATE();
    case 294:
      if (lookahead == 's') ADVANCE(437);
      END_STATE();
    case 295:
      if (lookahead == 't') ADVANCE(438);
      END_STATE();
    case 296:
      if (lookahead == 'i') ADVANCE(439);
      END_STATE();
    case 297:
      if (lookahead == 'u') ADVANCE(440);
      END_STATE();
    case 298:
      if (lookahead == 'n') ADVANCE(441);
      END_STATE();
    case 299:
      if (lookahead == 'l') ADVANCE(442);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 302:
      if (lookahead == 'r') ADVANCE(443);
      END_STATE();
    case 303:
      if (lookahead == 'e') ADVANCE(352);
      END_STATE();
    case 304:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 306:
      if (lookahead == 'n') ADVANCE(444);
      END_STATE();
    case 307:
      if (lookahead == 't') ADVANCE(445);
      END_STATE();
    case 308:
      if (lookahead == '6') ADVANCE(446);
      END_STATE();
    case 309:
      if (lookahead == '2') ADVANCE(447);
      END_STATE();
    case 310:
      if (lookahead == '4') ADVANCE(448);
      END_STATE();
    case 311:
      if (lookahead == '_') ADVANCE(449);
      END_STATE();
    case 312:
      if (lookahead == 't') ADVANCE(450);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 314:
      if (lookahead == 's') ADVANCE(451);
      END_STATE();
    case 315:
      if (lookahead == 'a') ADVANCE(452);
      END_STATE();
    case 316:
      if (lookahead == 't') ADVANCE(453);
      END_STATE();
    case 317:
      if (lookahead == 'r') ADVANCE(454);
      END_STATE();
    case 318:
      if (lookahead == 'a') ADVANCE(455);
      if (lookahead == 'p') ADVANCE(456);
      END_STATE();
    case 319:
      if (lookahead == '_') ADVANCE(457);
      END_STATE();
    case 320:
      if (lookahead == 'e') ADVANCE(458);
      END_STATE();
    case 321:
      if (lookahead == 'a') ADVANCE(459);
      END_STATE();
    case 322:
      if (lookahead == 'i') ADVANCE(460);
      END_STATE();
    case 323:
      if (lookahead == 's') ADVANCE(461);
      END_STATE();
    case 324:
      if (lookahead == 'r') ADVANCE(462);
      END_STATE();
    case 325:
      if (lookahead == 'r') ADVANCE(463);
      END_STATE();
    case 326:
      if (lookahead == 't') ADVANCE(464);
      END_STATE();
    case 327:
      if (lookahead == 'e') ADVANCE(465);
      END_STATE();
    case 328:
      if (lookahead == '_') ADVANCE(466);
      if (lookahead == 'o') ADVANCE(467);
      END_STATE();
    case 329:
      if (lookahead == 'e') ADVANCE(468);
      END_STATE();
    case 330:
      if (lookahead == 'i') ADVANCE(469);
      END_STATE();
    case 331:
      if (lookahead == 'c') ADVANCE(470);
      END_STATE();
    case 332:
      if (lookahead == 'c') ADVANCE(471);
      END_STATE();
    case 333:
      if (lookahead == 'a') ADVANCE(472);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_tvos);
      END_STATE();
    case 335:
      if (lookahead == 'd') ADVANCE(473);
      if (lookahead == 'o') ADVANCE(474);
      END_STATE();
    case 336:
      if (lookahead == '1') ADVANCE(475);
      if (lookahead == '3') ADVANCE(476);
      if (lookahead == '6') ADVANCE(477);
      if (lookahead == '8') ADVANCE(478);
      if (lookahead == 'p') ADVANCE(479);
      END_STATE();
    case 337:
      if (lookahead == 'n') ADVANCE(480);
      END_STATE();
    case 338:
      if (lookahead == 'g') ADVANCE(481);
      END_STATE();
    case 339:
      if (lookahead == 'r') ADVANCE(482);
      END_STATE();
    case 340:
      if (lookahead == 't') ADVANCE(483);
      END_STATE();
    case 341:
      if (lookahead == 'h') ADVANCE(484);
      END_STATE();
    case 342:
      if (lookahead == 'e') ADVANCE(485);
      END_STATE();
    case 343:
      if (lookahead == 'V') ADVANCE(486);
      END_STATE();
    case 344:
      if (lookahead == 'E') ADVANCE(487);
      END_STATE();
    case 345:
      if (lookahead == 'N') ADVANCE(488);
      END_STATE();
    case 346:
      if (lookahead == 'R') ADVANCE(489);
      END_STATE();
    case 347:
      if (lookahead == 'T') ADVANCE(490);
      END_STATE();
    case 348:
      if (lookahead == 'T') ADVANCE(491);
      END_STATE();
    case 349:
      if (lookahead == 'L') ADVANCE(492);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(anon_sym_Class);
      END_STATE();
    case 351:
      if (lookahead == 'C') ADVANCE(493);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 353:
      if (lookahead == 'A') ADVANCE(494);
      END_STATE();
    case 354:
      if (lookahead == 'p') ADVANCE(495);
      END_STATE();
    case 355:
      if (lookahead == 'l') ADVANCE(496);
      END_STATE();
    case 356:
      if (lookahead == 'S') ADVANCE(497);
      END_STATE();
    case 357:
      if (lookahead == 'T') ADVANCE(498);
      END_STATE();
    case 358:
      if (lookahead == 'A') ADVANCE(499);
      END_STATE();
    case 359:
      if (lookahead == 'A') ADVANCE(500);
      END_STATE();
    case 360:
      if (lookahead == 'P') ADVANCE(501);
      END_STATE();
    case 361:
      if (lookahead == 'U') ADVANCE(502);
      END_STATE();
    case 362:
      if (lookahead == 'T') ADVANCE(503);
      END_STATE();
    case 363:
      if (lookahead == 'R') ADVANCE(504);
      END_STATE();
    case 364:
      if (lookahead == 'L') ADVANCE(505);
      END_STATE();
    case 365:
      if (lookahead == 'Q') ADVANCE(506);
      END_STATE();
    case 366:
      if (lookahead == 'O') ADVANCE(507);
      END_STATE();
    case 367:
      if (lookahead == 'I') ADVANCE(508);
      END_STATE();
    case 368:
      if (lookahead == 'A') ADVANCE(509);
      END_STATE();
    case 369:
      if (lookahead == 'L') ADVANCE(510);
      END_STATE();
    case 370:
      if (lookahead == 'E') ADVANCE(511);
      if (lookahead == 'R') ADVANCE(512);
      END_STATE();
    case 371:
      if (lookahead == '_') ADVANCE(513);
      END_STATE();
    case 372:
      if (lookahead == 'P') ADVANCE(514);
      END_STATE();
    case 373:
      if (lookahead == 'I') ADVANCE(515);
      END_STATE();
    case 374:
      if (lookahead == 'n') ADVANCE(516);
      END_STATE();
    case 375:
      if (lookahead == 'i') ADVANCE(517);
      END_STATE();
    case 376:
      if (lookahead == 'l') ADVANCE(518);
      END_STATE();
    case 377:
      if (lookahead == 'r') ADVANCE(519);
      END_STATE();
    case 378:
      if (lookahead == 'u') ADVANCE(520);
      END_STATE();
    case 379:
      if (lookahead == 't') ADVANCE(521);
      END_STATE();
    case 380:
      if (lookahead == '_') ADVANCE(522);
      if (lookahead == 'a') ADVANCE(523);
      END_STATE();
    case 381:
      if (lookahead == '_') ADVANCE(524);
      END_STATE();
    case 382:
      if (lookahead == '_') ADVANCE(525);
      END_STATE();
    case 383:
      if (lookahead == 'g') ADVANCE(526);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym___asm);
      if (lookahead == '_') ADVANCE(527);
      END_STATE();
    case 385:
      if (lookahead == 'r') ADVANCE(528);
      END_STATE();
    case 386:
      if (lookahead == 'o') ADVANCE(529);
      END_STATE();
    case 387:
      if (lookahead == 'e') ADVANCE(530);
      END_STATE();
    case 388:
      if (lookahead == 'c') ADVANCE(531);
      END_STATE();
    case 389:
      if (lookahead == 'd') ADVANCE(532);
      END_STATE();
    case 390:
      if (lookahead == 'l') ADVANCE(533);
      END_STATE();
    case 391:
      if (lookahead == 'c') ADVANCE(534);
      END_STATE();
    case 392:
      if (lookahead == 'c') ADVANCE(535);
      END_STATE();
    case 393:
      if (lookahead == 'c') ADVANCE(536);
      END_STATE();
    case 394:
      if (lookahead == 'p') ADVANCE(537);
      END_STATE();
    case 395:
      if (lookahead == 's') ADVANCE(538);
      if (lookahead == 't') ADVANCE(539);
      END_STATE();
    case 396:
      if (lookahead == 'a') ADVANCE(540);
      END_STATE();
    case 397:
      if (lookahead == 'l') ADVANCE(541);
      END_STATE();
    case 398:
      if (lookahead == 'r') ADVANCE(542);
      END_STATE();
    case 399:
      if (lookahead == 'e') ADVANCE(543);
      END_STATE();
    case 400:
      if (lookahead == 't') ADVANCE(544);
      END_STATE();
    case 401:
      if (lookahead == 'a') ADVANCE(545);
      END_STATE();
    case 402:
      if (lookahead == 'c') ADVANCE(546);
      END_STATE();
    case 403:
      if (lookahead == 'g') ADVANCE(547);
      END_STATE();
    case 404:
      if (lookahead == 'i') ADVANCE(548);
      END_STATE();
    case 405:
      if (lookahead == 'd') ADVANCE(549);
      END_STATE();
    case 406:
      if (lookahead == 'n') ADVANCE(550);
      END_STATE();
    case 407:
      if (lookahead == 'l') ADVANCE(551);
      END_STATE();
    case 408:
      if (lookahead == 'a') ADVANCE(552);
      END_STATE();
    case 409:
      if (lookahead == 'l') ADVANCE(553);
      END_STATE();
    case 410:
      if (lookahead == 't') ADVANCE(554);
      END_STATE();
    case 411:
      if (lookahead == 'r') ADVANCE(555);
      END_STATE();
    case 412:
      if (lookahead == 'c') ADVANCE(556);
      END_STATE();
    case 413:
      if (lookahead == 'o') ADVANCE(557);
      END_STATE();
    case 414:
      if (lookahead == 's') ADVANCE(558);
      END_STATE();
    case 415:
      if (lookahead == 'e') ADVANCE(559);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym___try);
      END_STATE();
    case 417:
      if (lookahead == 'e') ADVANCE(560);
      END_STATE();
    case 418:
      if (lookahead == 'l') ADVANCE(561);
      END_STATE();
    case 419:
      if (lookahead == 'a') ADVANCE(562);
      END_STATE();
    case 420:
      if (lookahead == 's') ADVANCE(563);
      END_STATE();
    case 421:
      if (lookahead == 'r') ADVANCE(564);
      END_STATE();
    case 422:
      if (lookahead == 't') ADVANCE(565);
      END_STATE();
    case 423:
      if (lookahead == 'a') ADVANCE(566);
      END_STATE();
    case 424:
      if (lookahead == 'k') ADVANCE(567);
      END_STATE();
    case 425:
      if (lookahead == 'n') ADVANCE(568);
      END_STATE();
    case 426:
      if (lookahead == 'i') ADVANCE(569);
      END_STATE();
    case 427:
      if (lookahead == 'a') ADVANCE(570);
      if (lookahead == 'o') ADVANCE(571);
      END_STATE();
    case 428:
      if (lookahead == 'a') ADVANCE(572);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 430:
      if (lookahead == 'y') ADVANCE(573);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym_byref);
      END_STATE();
    case 432:
      if (lookahead == '6') ADVANCE(574);
      END_STATE();
    case 433:
      if (lookahead == '2') ADVANCE(575);
      END_STATE();
    case 434:
      if (lookahead == '4') ADVANCE(576);
      END_STATE();
    case 435:
      if (lookahead == '_') ADVANCE(577);
      END_STATE();
    case 436:
      if (lookahead == 't') ADVANCE(578);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(579);
      END_STATE();
    case 439:
      if (lookahead == 'n') ADVANCE(580);
      END_STATE();
    case 440:
      if (lookahead == 'l') ADVANCE(581);
      END_STATE();
    case 441:
      if (lookahead == 'e') ADVANCE(582);
      END_STATE();
    case 442:
      if (lookahead == 'e') ADVANCE(288);
      END_STATE();
    case 443:
      if (lookahead == 'n') ADVANCE(583);
      END_STATE();
    case 444:
      if (lookahead == 'e') ADVANCE(584);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_inout);
      END_STATE();
    case 446:
      if (lookahead == '_') ADVANCE(585);
      END_STATE();
    case 447:
      if (lookahead == '_') ADVANCE(586);
      END_STATE();
    case 448:
      if (lookahead == '_') ADVANCE(587);
      END_STATE();
    case 449:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 450:
      if (lookahead == 'r') ADVANCE(588);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_macos);
      if (lookahead == 'x') ADVANCE(589);
      END_STATE();
    case 452:
      if (lookahead == 'l') ADVANCE(590);
      END_STATE();
    case 453:
      if (lookahead == 'u') ADVANCE(591);
      END_STATE();
    case 454:
      if (lookahead == 'o') ADVANCE(592);
      END_STATE();
    case 455:
      if (lookahead == 'b') ADVANCE(593);
      END_STATE();
    case 456:
      if (lookahead == 't') ADVANCE(594);
      END_STATE();
    case 457:
      if (lookahead == 'b') ADVANCE(595);
      END_STATE();
    case 458:
      if (lookahead == 't') ADVANCE(596);
      END_STATE();
    case 459:
      if (lookahead == 'y') ADVANCE(597);
      END_STATE();
    case 460:
      if (lookahead == 'f') ADVANCE(598);
      END_STATE();
    case 461:
      if (lookahead == 't') ADVANCE(599);
      END_STATE();
    case 462:
      if (lookahead == 'i') ADVANCE(600);
      END_STATE();
    case 463:
      if (lookahead == 'n') ADVANCE(601);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 465:
      if (lookahead == 'd') ADVANCE(602);
      END_STATE();
    case 466:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 467:
      if (lookahead == 'f') ADVANCE(603);
      END_STATE();
    case 468:
      if (lookahead == '_') ADVANCE(604);
      END_STATE();
    case 469:
      if (lookahead == 'c') ADVANCE(605);
      END_STATE();
    case 470:
      if (lookahead == 't') ADVANCE(606);
      END_STATE();
    case 471:
      if (lookahead == 'h') ADVANCE(607);
      END_STATE();
    case 472:
      if (lookahead == 'd') ADVANCE(608);
      END_STATE();
    case 473:
      if (lookahead == 'e') ADVANCE(609);
      END_STATE();
    case 474:
      if (lookahead == 'f') ADVANCE(610);
      END_STATE();
    case 475:
      if (lookahead == '6') ADVANCE(611);
      END_STATE();
    case 476:
      if (lookahead == '2') ADVANCE(612);
      END_STATE();
    case 477:
      if (lookahead == '4') ADVANCE(613);
      END_STATE();
    case 478:
      if (lookahead == '_') ADVANCE(614);
      END_STATE();
    case 479:
      if (lookahead == 't') ADVANCE(615);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 481:
      if (lookahead == 'n') ADVANCE(616);
      END_STATE();
    case 482:
      if (lookahead == 'g') ADVANCE(617);
      END_STATE();
    case 483:
      if (lookahead == 'i') ADVANCE(618);
      END_STATE();
    case 484:
      if (lookahead == 'o') ADVANCE(619);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 486:
      if (lookahead == 'A') ADVANCE(620);
      END_STATE();
    case 487:
      if (lookahead == 'P') ADVANCE(621);
      END_STATE();
    case 488:
      if (lookahead == 'A') ADVANCE(622);
      END_STATE();
    case 489:
      if (lookahead == 'M') ADVANCE(623);
      END_STATE();
    case 490:
      if (lookahead == 'U') ADVANCE(624);
      END_STATE();
    case 491:
      if (lookahead == 'E') ADVANCE(625);
      END_STATE();
    case 492:
      if (lookahead == 'I') ADVANCE(626);
      END_STATE();
    case 493:
      if (lookahead == 'A') ADVANCE(627);
      END_STATE();
    case 494:
      if (lookahead == 'T') ADVANCE(628);
      END_STATE();
    case 495:
      if (lookahead == 'e') ADVANCE(629);
      END_STATE();
    case 496:
      if (lookahead == 'e') ADVANCE(630);
      END_STATE();
    case 497:
      if (lookahead == 'I') ADVANCE(631);
      END_STATE();
    case 498:
      if (lookahead == 'O') ADVANCE(632);
      END_STATE();
    case 499:
      if (lookahead == 'I') ADVANCE(633);
      END_STATE();
    case 500:
      if (lookahead == 'S') ADVANCE(634);
      END_STATE();
    case 501:
      if (lookahead == 'R') ADVANCE(635);
      END_STATE();
    case 502:
      if (lookahead == 'M') ADVANCE(636);
      END_STATE();
    case 503:
      if (lookahead == 'E') ADVANCE(637);
      END_STATE();
    case 504:
      if (lookahead == 'M') ADVANCE(638);
      END_STATE();
    case 505:
      if (lookahead == 'I') ADVANCE(639);
      END_STATE();
    case 506:
      if (lookahead == 'U') ADVANCE(640);
      END_STATE();
    case 507:
      if (lookahead == 'T') ADVANCE(641);
      END_STATE();
    case 508:
      if (lookahead == 'F') ADVANCE(642);
      END_STATE();
    case 509:
      if (lookahead == 'V') ADVANCE(643);
      END_STATE();
    case 510:
      if (lookahead == 'I') ADVANCE(644);
      END_STATE();
    case 511:
      if (lookahead == 'X') ADVANCE(645);
      END_STATE();
    case 512:
      if (lookahead == 'O') ADVANCE(646);
      END_STATE();
    case 513:
      if (lookahead == 'E') ADVANCE(647);
      END_STATE();
    case 514:
      if (lookahead == 'E') ADVANCE(648);
      END_STATE();
    case 515:
      if (lookahead == 'L') ADVANCE(649);
      END_STATE();
    case 516:
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'o') ADVANCE(651);
      END_STATE();
    case 517:
      if (lookahead == 'c') ADVANCE(652);
      END_STATE();
    case 518:
      if (lookahead == 'e') ADVANCE(653);
      END_STATE();
    case 519:
      if (lookahead == 'i') ADVANCE(654);
      END_STATE();
    case 520:
      if (lookahead == 'l') ADVANCE(655);
      END_STATE();
    case 521:
      if (lookahead == 'u') ADVANCE(656);
      END_STATE();
    case 522:
      if (lookahead == 'u') ADVANCE(657);
      END_STATE();
    case 523:
      if (lookahead == 'b') ADVANCE(658);
      END_STATE();
    case 524:
      if (lookahead == 'A') ADVANCE(659);
      END_STATE();
    case 525:
      if (lookahead == 'A') ADVANCE(660);
      END_STATE();
    case 526:
      if (lookahead == 'n') ADVANCE(661);
      END_STATE();
    case 527:
      if (lookahead == '_') ADVANCE(662);
      END_STATE();
    case 528:
      if (lookahead == 'i') ADVANCE(663);
      END_STATE();
    case 529:
      if (lookahead == 'r') ADVANCE(664);
      END_STATE();
    case 530:
      if (lookahead == 'd') ADVANCE(665);
      END_STATE();
    case 531:
      if (lookahead == 'k') ADVANCE(666);
      END_STATE();
    case 532:
      if (lookahead == 'g') ADVANCE(667);
      END_STATE();
    case 533:
      if (lookahead == 't') ADVANCE(668);
      END_STATE();
    case 534:
      if (lookahead == 'h') ADVANCE(669);
      END_STATE();
    case 535:
      if (lookahead == 'l') ADVANCE(670);
      END_STATE();
    case 536:
      if (lookahead == 'a') ADVANCE(671);
      END_STATE();
    case 537:
      if (lookahead == 'l') ADVANCE(672);
      END_STATE();
    case 538:
      if (lookahead == 't') ADVANCE(673);
      END_STATE();
    case 539:
      if (lookahead == 'r') ADVANCE(674);
      END_STATE();
    case 540:
      if (lookahead == 'r') ADVANCE(675);
      END_STATE();
    case 541:
      if (lookahead == 's') ADVANCE(676);
      END_STATE();
    case 542:
      if (lookahead == 'e') ADVANCE(677);
      END_STATE();
    case 543:
      if (lookahead == 'n') ADVANCE(678);
      END_STATE();
    case 544:
      if (lookahead == 'c') ADVANCE(679);
      END_STATE();
    case 545:
      if (lookahead == 'l') ADVANCE(680);
      END_STATE();
    case 546:
      if (lookahead == 'e') ADVANCE(681);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym___imag);
      END_STATE();
    case 548:
      if (lookahead == 'n') ADVANCE(682);
      END_STATE();
    case 549:
      if (lookahead == 'o') ADVANCE(683);
      END_STATE();
    case 550:
      if (lookahead == 'u') ADVANCE(684);
      END_STATE();
    case 551:
      if (lookahead == 'a') ADVANCE(685);
      END_STATE();
    case 552:
      if (lookahead == 'u') ADVANCE(686);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(anon_sym___real);
      END_STATE();
    case 554:
      if (lookahead == 'r') ADVANCE(687);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 556:
      if (lookahead == 'a') ADVANCE(688);
      END_STATE();
    case 557:
      if (lookahead == 'n') ADVANCE(689);
      END_STATE();
    case 558:
      if (lookahead == 'c') ADVANCE(690);
      END_STATE();
    case 559:
      if (lookahead == 'a') ADVANCE(691);
      END_STATE();
    case 560:
      if (lookahead == 'o') ADVANCE(692);
      END_STATE();
    case 561:
      if (lookahead == 'i') ADVANCE(693);
      END_STATE();
    case 562:
      if (lookahead == 'f') ADVANCE(694);
      END_STATE();
    case 563:
      if (lookahead == 'e') ADVANCE(695);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 565:
      if (lookahead == 'o') ADVANCE(696);
      END_STATE();
    case 566:
      if (lookahead == 't') ADVANCE(697);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym___weak);
      END_STATE();
    case 568:
      if (lookahead == 'o') ADVANCE(698);
      END_STATE();
    case 569:
      if (lookahead == 'g') ADVANCE(699);
      END_STATE();
    case 570:
      if (lookahead == 's') ADVANCE(700);
      END_STATE();
    case 571:
      if (lookahead == 'f') ADVANCE(701);
      END_STATE();
    case 572:
      if (lookahead == 'b') ADVANCE(702);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(anon_sym_bycopy);
      END_STATE();
    case 574:
      if (lookahead == '_') ADVANCE(703);
      END_STATE();
    case 575:
      if (lookahead == '_') ADVANCE(704);
      END_STATE();
    case 576:
      if (lookahead == '_') ADVANCE(705);
      END_STATE();
    case 577:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 578:
      if (lookahead == 'r') ADVANCE(706);
      END_STATE();
    case 579:
      if (lookahead == 'x') ADVANCE(707);
      END_STATE();
    case 580:
      if (lookahead == 'u') ADVANCE(708);
      END_STATE();
    case 581:
      if (lookahead == 't') ADVANCE(709);
      END_STATE();
    case 582:
      if (lookahead == 'd') ADVANCE(710);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 585:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 586:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 587:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 588:
      if (lookahead == '_') ADVANCE(711);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(anon_sym_macosx);
      END_STATE();
    case 590:
      if (lookahead == 'i') ADVANCE(712);
      END_STATE();
    case 591:
      if (lookahead == 'r') ADVANCE(713);
      END_STATE();
    case 592:
      if (lookahead == 'w') ADVANCE(714);
      END_STATE();
    case 593:
      if (lookahead == 'l') ADVANCE(715);
      END_STATE();
    case 594:
      if (lookahead == 'r') ADVANCE(716);
      END_STATE();
    case 595:
      if (lookahead == 'r') ADVANCE(717);
      END_STATE();
    case 596:
      if (lookahead == 'o') ADVANCE(718);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(anon_sym_oneway);
      END_STATE();
    case 598:
      if (lookahead == 'f') ADVANCE(719);
      END_STATE();
    case 599:
      if (lookahead == 'e') ADVANCE(720);
      END_STATE();
    case 600:
      if (lookahead == 'c') ADVANCE(721);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 604:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 608:
      if (lookahead == '_') ADVANCE(722);
      END_STATE();
    case 609:
      if (lookahead == 'f') ADVANCE(723);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 611:
      if (lookahead == '_') ADVANCE(724);
      END_STATE();
    case 612:
      if (lookahead == '_') ADVANCE(725);
      END_STATE();
    case 613:
      if (lookahead == '_') ADVANCE(726);
      END_STATE();
    case 614:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 615:
      if (lookahead == 'r') ADVANCE(727);
      END_STATE();
    case 616:
      if (lookahead == 'e') ADVANCE(728);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(anon_sym_va_arg);
      END_STATE();
    case 618:
      if (lookahead == 'l') ADVANCE(729);
      END_STATE();
    case 619:
      if (lookahead == 's') ADVANCE(730);
      END_STATE();
    case 620:
      if (lookahead == 'I') ADVANCE(731);
      END_STATE();
    case 621:
      if (lookahead == 'R') ADVANCE(732);
      END_STATE();
    case 622:
      if (lookahead == 'V') ADVANCE(733);
      END_STATE();
    case 623:
      if (lookahead == 'A') ADVANCE(734);
      END_STATE();
    case 624:
      if (lookahead == 'R') ADVANCE(735);
      END_STATE();
    case 625:
      if (lookahead == 'R') ADVANCE(736);
      END_STATE();
    case 626:
      if (lookahead == 'N') ADVANCE(737);
      END_STATE();
    case 627:
      if (lookahead == 'T') ADVANCE(738);
      END_STATE();
    case 628:
      if (lookahead == 'I') ADVANCE(739);
      END_STATE();
    case 629:
      if (lookahead == 'c') ADVANCE(740);
      END_STATE();
    case 630:
      if (lookahead == 't') ADVANCE(741);
      END_STATE();
    case 631:
      if (lookahead == 'G') ADVANCE(742);
      END_STATE();
    case 632:
      if (lookahead == 'M') ADVANCE(743);
      END_STATE();
    case 633:
      if (lookahead == 'L') ADVANCE(744);
      END_STATE();
    case 634:
      if (lookahead == 'S') ADVANCE(745);
      END_STATE();
    case 635:
      if (lookahead == 'E') ADVANCE(746);
      END_STATE();
    case 636:
      if (lookahead == '_') ADVANCE(747);
      END_STATE();
    case 637:
      if (lookahead == 'N') ADVANCE(748);
      END_STATE();
    case 638:
      if (lookahead == 'A') ADVANCE(749);
      END_STATE();
    case 639:
      if (lookahead == 'N') ADVANCE(750);
      END_STATE();
    case 640:
      if (lookahead == 'I') ADVANCE(751);
      END_STATE();
    case 641:
      if (lookahead == '_') ADVANCE(752);
      END_STATE();
    case 642:
      if (lookahead == 'T') ADVANCE(753);
      END_STATE();
    case 643:
      if (lookahead == 'A') ADVANCE(754);
      END_STATE();
    case 644:
      if (lookahead == 'D') ADVANCE(755);
      END_STATE();
    case 645:
      if (lookahead == 'P') ADVANCE(756);
      END_STATE();
    case 646:
      if (lookahead == 'O') ADVANCE(757);
      END_STATE();
    case 647:
      if (lookahead == 'X') ADVANCE(758);
      END_STATE();
    case 648:
      if (lookahead == 'A') ADVANCE(759);
      END_STATE();
    case 649:
      if (lookahead == 'A') ADVANCE(760);
      END_STATE();
    case 650:
      if (lookahead == 's') ADVANCE(761);
      END_STATE();
    case 651:
      if (lookahead == 'f') ADVANCE(762);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 653:
      if (lookahead == 'x') ADVANCE(763);
      END_STATE();
    case 654:
      if (lookahead == 'c') ADVANCE(764);
      END_STATE();
    case 655:
      if (lookahead == 'l') ADVANCE(765);
      END_STATE();
    case 656:
      if (lookahead == 'r') ADVANCE(766);
      END_STATE();
    case 657:
      if (lookahead == 'n') ADVANCE(767);
      END_STATE();
    case 658:
      if (lookahead == 'l') ADVANCE(768);
      END_STATE();
    case 659:
      if (lookahead == 'V') ADVANCE(769);
      END_STATE();
    case 660:
      if (lookahead == 'V') ADVANCE(770);
      END_STATE();
    case 661:
      if (lookahead == 'o') ADVANCE(771);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 663:
      if (lookahead == 'b') ADVANCE(772);
      END_STATE();
    case 664:
      if (lookahead == 'e') ADVANCE(773);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(anon_sym___block);
      END_STATE();
    case 667:
      if (lookahead == 'e') ADVANCE(774);
      END_STATE();
    case 668:
      if (lookahead == 'i') ADVANCE(775);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(anon_sym___catch);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 671:
      if (lookahead == 'l') ADVANCE(776);
      END_STATE();
    case 672:
      if (lookahead == 'e') ADVANCE(777);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(anon_sym___const);
      END_STATE();
    case 674:
      if (lookahead == 'a') ADVANCE(778);
      END_STATE();
    case 675:
      if (lookahead == 'i') ADVANCE(779);
      END_STATE();
    case 676:
      if (lookahead == 'p') ADVANCE(780);
      END_STATE();
    case 677:
      if (lookahead == 'c') ADVANCE(781);
      END_STATE();
    case 678:
      if (lookahead == 's') ADVANCE(782);
      END_STATE();
    case 679:
      if (lookahead == 'a') ADVANCE(783);
      END_STATE();
    case 680:
      if (lookahead == 'l') ADVANCE(784);
      END_STATE();
    case 681:
      if (lookahead == 'i') ADVANCE(785);
      END_STATE();
    case 682:
      if (lookahead == 'e') ADVANCE(786);
      END_STATE();
    case 683:
      if (lookahead == 'f') ADVANCE(787);
      END_STATE();
    case 684:
      if (lookahead == 'l') ADVANCE(788);
      END_STATE();
    case 685:
      if (lookahead == 'b') ADVANCE(789);
      END_STATE();
    case 686:
      if (lookahead == 't') ADVANCE(790);
      END_STATE();
    case 687:
      if (lookahead == 'i') ADVANCE(791);
      END_STATE();
    case 688:
      if (lookahead == 'l') ADVANCE(792);
      END_STATE();
    case 689:
      if (lookahead == 'g') ADVANCE(793);
      END_STATE();
    case 690:
      if (lookahead == 'a') ADVANCE(794);
      END_STATE();
    case 691:
      if (lookahead == 'd') ADVANCE(795);
      END_STATE();
    case 692:
      if (lookahead == 'f') ADVANCE(796);
      END_STATE();
    case 693:
      if (lookahead == 'g') ADVANCE(797);
      END_STATE();
    case 694:
      if (lookahead == 'e') ADVANCE(798);
      END_STATE();
    case 695:
      if (lookahead == 'd') ADVANCE(799);
      END_STATE();
    case 696:
      if (lookahead == 'r') ADVANCE(800);
      END_STATE();
    case 697:
      if (lookahead == 'i') ADVANCE(801);
      END_STATE();
    case 698:
      if (lookahead == 'f') ADVANCE(802);
      END_STATE();
    case 699:
      if (lookahead == 'n') ADVANCE(803);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(anon_sym_alignas);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(anon_sym_alignof);
      END_STATE();
    case 702:
      if (lookahead == 'i') ADVANCE(804);
      END_STATE();
    case 703:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 704:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 705:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 706:
      if (lookahead == '_') ADVANCE(805);
      END_STATE();
    case 707:
      if (lookahead == 'p') ADVANCE(806);
      END_STATE();
    case 708:
      if (lookahead == 'e') ADVANCE(807);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 711:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 712:
      if (lookahead == 'g') ADVANCE(808);
      END_STATE();
    case 713:
      if (lookahead == 'n') ADVANCE(809);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(anon_sym_nothrow);
      END_STATE();
    case 715:
      if (lookahead == 'e') ADVANCE(810);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(anon_sym_nullptr);
      if (lookahead == '_') ADVANCE(811);
      END_STATE();
    case 717:
      if (lookahead == 'i') ADVANCE(812);
      END_STATE();
    case 718:
      if (lookahead == 'f') ADVANCE(813);
      END_STATE();
    case 719:
      if (lookahead == '_') ADVANCE(814);
      END_STATE();
    case 720:
      if (lookahead == 'r') ADVANCE(815);
      END_STATE();
    case 721:
      if (lookahead == 't') ADVANCE(816);
      END_STATE();
    case 722:
      if (lookahead == 'l') ADVANCE(817);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 724:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 725:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 726:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 727:
      if (lookahead == '_') ADVANCE(818);
      END_STATE();
    case 728:
      if (lookahead == 'd') ADVANCE(819);
      END_STATE();
    case 729:
      if (lookahead == 'e') ADVANCE(820);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(anon_sym_watchos);
      END_STATE();
    case 731:
      if (lookahead == 'L') ADVANCE(821);
      END_STATE();
    case 732:
      if (lookahead == 'E') ADVANCE(822);
      END_STATE();
    case 733:
      if (lookahead == 'A') ADVANCE(823);
      END_STATE();
    case 734:
      if (lookahead == 'T') ADVANCE(824);
      END_STATE();
    case 735:
      if (lookahead == 'N') ADVANCE(825);
      END_STATE();
    case 736:
      if (lookahead == 'N') ADVANCE(826);
      END_STATE();
    case 737:
      if (lookahead == 'E') ADVANCE(827);
      END_STATE();
    case 738:
      if (lookahead == 'E') ADVANCE(828);
      END_STATE();
    case 739:
      if (lookahead == 'O') ADVANCE(829);
      END_STATE();
    case 740:
      if (lookahead == 't') ADVANCE(830);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(anon_sym_IBOutlet);
      END_STATE();
    case 742:
      if (lookahead == 'N') ADVANCE(831);
      END_STATE();
    case 743:
      if (lookahead == 'A') ADVANCE(832);
      END_STATE();
    case 744:
      if (lookahead == 'A') ADVANCE(833);
      END_STATE();
    case 745:
      if (lookahead == '_') ADVANCE(834);
      END_STATE();
    case 746:
      if (lookahead == 'C') ADVANCE(835);
      END_STATE();
    case 747:
      if (lookahead == 'A') ADVANCE(836);
      if (lookahead == 'D') ADVANCE(837);
      END_STATE();
    case 748:
      if (lookahead == 'S') ADVANCE(838);
      END_STATE();
    case 749:
      if (lookahead == 'T') ADVANCE(839);
      END_STATE();
    case 750:
      if (lookahead == 'E') ADVANCE(840);
      END_STATE();
    case 751:
      if (lookahead == 'R') ADVANCE(841);
      END_STATE();
    case 752:
      if (lookahead == 'C') ADVANCE(842);
      END_STATE();
    case 753:
      if (lookahead == '_') ADVANCE(843);
      END_STATE();
    case 754:
      if (lookahead == 'I') ADVANCE(844);
      END_STATE();
    case 755:
      if (lookahead == '_') ADVANCE(845);
      END_STATE();
    case 756:
      if (lookahead == 'O') ADVANCE(846);
      END_STATE();
    case 757:
      if (lookahead == 'T') ADVANCE(847);
      END_STATE();
    case 758:
      if (lookahead == 'T') ADVANCE(848);
      END_STATE();
    case 759:
      if (lookahead == 'R') ADVANCE(849);
      END_STATE();
    case 760:
      if (lookahead == 'B') ADVANCE(850);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(anon_sym__Alignas);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(anon_sym__Alignof);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(anon_sym__Complex);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(anon_sym__Nonnull);
      END_STATE();
    case 766:
      if (lookahead == 'n') ADVANCE(851);
      END_STATE();
    case 767:
      if (lookahead == 's') ADVANCE(852);
      END_STATE();
    case 768:
      if (lookahead == 'e') ADVANCE(853);
      END_STATE();
    case 769:
      if (lookahead == 'A') ADVANCE(854);
      END_STATE();
    case 770:
      if (lookahead == 'A') ADVANCE(855);
      END_STATE();
    case 771:
      if (lookahead == 'f') ADVANCE(856);
      END_STATE();
    case 772:
      if (lookahead == 'u') ADVANCE(857);
      END_STATE();
    case 773:
      if (lookahead == 'l') ADVANCE(858);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(anon_sym___bridge);
      if (lookahead == '_') ADVANCE(859);
      END_STATE();
    case 775:
      if (lookahead == 'n') ADVANCE(860);
      END_STATE();
    case 776:
      if (lookahead == 'l') ADVANCE(861);
      END_STATE();
    case 777:
      if (lookahead == 'x') ADVANCE(862);
      END_STATE();
    case 778:
      if (lookahead == 'v') ADVANCE(863);
      END_STATE();
    case 779:
      if (lookahead == 'a') ADVANCE(864);
      END_STATE();
    case 780:
      if (lookahead == 'e') ADVANCE(865);
      END_STATE();
    case 781:
      if (lookahead == 'a') ADVANCE(866);
      END_STATE();
    case 782:
      if (lookahead == 'i') ADVANCE(867);
      END_STATE();
    case 783:
      if (lookahead == 'l') ADVANCE(868);
      END_STATE();
    case 784:
      if (lookahead == 'y') ADVANCE(869);
      END_STATE();
    case 785:
      if (lookahead == 'n') ADVANCE(870);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(anon_sym___inline);
      if (lookahead == '_') ADVANCE(871);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(anon_sym___kindof);
      END_STATE();
    case 788:
      if (lookahead == 'l') ADVANCE(872);
      END_STATE();
    case 789:
      if (lookahead == 'l') ADVANCE(873);
      END_STATE();
    case 790:
      if (lookahead == 'h') ADVANCE(874);
      END_STATE();
    case 791:
      if (lookahead == 'c') ADVANCE(875);
      END_STATE();
    case 792:
      if (lookahead == 'l') ADVANCE(876);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(anon_sym___strong);
      END_STATE();
    case 794:
      if (lookahead == 'l') ADVANCE(877);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(anon_sym___thread);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(anon_sym___typeof);
      if (lookahead == '_') ADVANCE(878);
      END_STATE();
    case 797:
      if (lookahead == 'n') ADVANCE(879);
      END_STATE();
    case 798:
      if (lookahead == '_') ADVANCE(880);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(anon_sym___unused);
      END_STATE();
    case 800:
      if (lookahead == 'c') ADVANCE(881);
      END_STATE();
    case 801:
      if (lookahead == 'l') ADVANCE(882);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(anon_sym__alignof);
      END_STATE();
    case 803:
      if (lookahead == 'e') ADVANCE(883);
      END_STATE();
    case 804:
      if (lookahead == 'l') ADVANCE(884);
      END_STATE();
    case 805:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 806:
      if (lookahead == 'r') ADVANCE(885);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 808:
      if (lookahead == 'n') ADVANCE(886);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(anon_sym_nullable);
      END_STATE();
    case 811:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 812:
      if (lookahead == 'd') ADVANCE(887);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 814:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 817:
      if (lookahead == 'o') ADVANCE(888);
      END_STATE();
    case 818:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 821:
      if (lookahead == 'A') ADVANCE(889);
      END_STATE();
    case 822:
      if (lookahead == 'C') ADVANCE(890);
      END_STATE();
    case 823:
      if (lookahead == 'I') ADVANCE(891);
      END_STATE();
    case 824:
      if (lookahead == '_') ADVANCE(892);
      END_STATE();
    case 825:
      if (lookahead == 'S') ADVANCE(893);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(anon_sym_CG_EXTERN);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(anon_sym_CG_INLINE);
      END_STATE();
    case 828:
      if (lookahead == 'D') ADVANCE(894);
      END_STATE();
    case 829:
      if (lookahead == 'N') ADVANCE(895);
      END_STATE();
    case 830:
      if (lookahead == 'a') ADVANCE(896);
      END_STATE();
    case 831:
      if (lookahead == 'A') ADVANCE(897);
      END_STATE();
    case 832:
      if (lookahead == 'T') ADVANCE(898);
      END_STATE();
    case 833:
      if (lookahead == 'B') ADVANCE(899);
      END_STATE();
    case 834:
      if (lookahead == 'A') ADVANCE(900);
      if (lookahead == 'D') ADVANCE(901);
      END_STATE();
    case 835:
      if (lookahead == 'A') ADVANCE(902);
      END_STATE();
    case 836:
      if (lookahead == 'V') ADVANCE(903);
      END_STATE();
    case 837:
      if (lookahead == 'E') ADVANCE(904);
      END_STATE();
    case 838:
      if (lookahead == 'I') ADVANCE(905);
      END_STATE();
    case 839:
      if (lookahead == '_') ADVANCE(906);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(anon_sym_NS_INLINE);
      END_STATE();
    case 841:
      if (lookahead == 'E') ADVANCE(907);
      END_STATE();
    case 842:
      if (lookahead == 'L') ADVANCE(908);
      END_STATE();
    case 843:
      if (lookahead == 'N') ADVANCE(909);
      if (lookahead == 'U') ADVANCE(910);
      END_STATE();
    case 844:
      if (lookahead == 'L') ADVANCE(911);
      END_STATE();
    case 845:
      if (lookahead == 'U') ADVANCE(912);
      END_STATE();
    case 846:
      if (lookahead == 'R') ADVANCE(913);
      END_STATE();
    case 847:
      if (lookahead == '_') ADVANCE(914);
      END_STATE();
    case 848:
      if (lookahead == 'E') ADVANCE(915);
      END_STATE();
    case 849:
      if (lookahead == 'A') ADVANCE(916);
      END_STATE();
    case 850:
      if (lookahead == 'L') ADVANCE(917);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 852:
      if (lookahead == 'p') ADVANCE(918);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(anon_sym__Nullable);
      if (lookahead == '_') ADVANCE(919);
      END_STATE();
    case 854:
      if (lookahead == 'I') ADVANCE(920);
      END_STATE();
    case 855:
      if (lookahead == 'I') ADVANCE(921);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(anon_sym___alignof);
      if (lookahead == '_') ADVANCE(922);
      END_STATE();
    case 857:
      if (lookahead == 't') ADVANCE(923);
      END_STATE();
    case 858:
      if (lookahead == 'e') ADVANCE(924);
      END_STATE();
    case 859:
      if (lookahead == 'r') ADVANCE(925);
      if (lookahead == 't') ADVANCE(926);
      END_STATE();
    case 860:
      if (lookahead == '_') ADVANCE(927);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(anon_sym___complex);
      END_STATE();
    case 863:
      if (lookahead == 'a') ADVANCE(928);
      END_STATE();
    case 864:
      if (lookahead == 'n') ADVANCE(929);
      END_STATE();
    case 865:
      if (lookahead == 'c') ADVANCE(930);
      END_STATE();
    case 866:
      if (lookahead == 't') ADVANCE(931);
      END_STATE();
    case 867:
      if (lookahead == 'o') ADVANCE(932);
      END_STATE();
    case 868:
      if (lookahead == 'l') ADVANCE(933);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(anon_sym___finally);
      END_STATE();
    case 870:
      if (lookahead == 'l') ADVANCE(934);
      END_STATE();
    case 871:
      if (lookahead == '_') ADVANCE(935);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(anon_sym___nonnull);
      END_STATE();
    case 873:
      if (lookahead == 'e') ADVANCE(936);
      END_STATE();
    case 874:
      if (lookahead == '_') ADVANCE(937);
      END_STATE();
    case 875:
      if (lookahead == 't') ADVANCE(938);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 877:
      if (lookahead == 'l') ADVANCE(939);
      END_STATE();
    case 878:
      if (lookahead == '_') ADVANCE(940);
      END_STATE();
    case 879:
      if (lookahead == 'e') ADVANCE(941);
      END_STATE();
    case 880:
      if (lookahead == 'u') ADVANCE(942);
      END_STATE();
    case 881:
      if (lookahead == 'a') ADVANCE(943);
      END_STATE();
    case 882:
      if (lookahead == 'e') ADVANCE(944);
      END_STATE();
    case 883:
      if (lookahead == 'd') ADVANCE(945);
      END_STATE();
    case 884:
      if (lookahead == 'i') ADVANCE(946);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 886:
      if (lookahead == '_') ADVANCE(947);
      END_STATE();
    case 887:
      if (lookahead == 'g') ADVANCE(948);
      END_STATE();
    case 888:
      if (lookahead == 'c') ADVANCE(949);
      END_STATE();
    case 889:
      if (lookahead == 'B') ADVANCE(950);
      END_STATE();
    case 890:
      if (lookahead == 'A') ADVANCE(951);
      END_STATE();
    case 891:
      if (lookahead == 'L') ADVANCE(952);
      END_STATE();
    case 892:
      if (lookahead == 'F') ADVANCE(953);
      END_STATE();
    case 893:
      if (lookahead == '_') ADVANCE(954);
      END_STATE();
    case 894:
      if (lookahead == '_') ADVANCE(955);
      END_STATE();
    case 895:
      if (lookahead == '_') ADVANCE(956);
      END_STATE();
    case 896:
      if (lookahead == 'b') ADVANCE(957);
      END_STATE();
    case 897:
      if (lookahead == 'B') ADVANCE(958);
      END_STATE();
    case 898:
      if (lookahead == 'E') ADVANCE(959);
      END_STATE();
    case 899:
      if (lookahead == 'L') ADVANCE(960);
      END_STATE();
    case 900:
      if (lookahead == 'V') ADVANCE(961);
      END_STATE();
    case 901:
      if (lookahead == 'E') ADVANCE(962);
      END_STATE();
    case 902:
      if (lookahead == 'T') ADVANCE(963);
      END_STATE();
    case 903:
      if (lookahead == 'A') ADVANCE(964);
      END_STATE();
    case 904:
      if (lookahead == 'P') ADVANCE(965);
      END_STATE();
    case 905:
      if (lookahead == 'O') ADVANCE(966);
      END_STATE();
    case 906:
      if (lookahead == 'F') ADVANCE(967);
      END_STATE();
    case 907:
      if (lookahead == 'S') ADVANCE(968);
      END_STATE();
    case 908:
      if (lookahead == 'A') ADVANCE(969);
      END_STATE();
    case 909:
      if (lookahead == 'A') ADVANCE(970);
      END_STATE();
    case 910:
      if (lookahead == 'N') ADVANCE(971);
      END_STATE();
    case 911:
      if (lookahead == 'A') ADVANCE(972);
      END_STATE();
    case 912:
      if (lookahead == 'N') ADVANCE(973);
      END_STATE();
    case 913:
      if (lookahead == 'T') ADVANCE(974);
      END_STATE();
    case 914:
      if (lookahead == 'C') ADVANCE(975);
      END_STATE();
    case 915:
      if (lookahead == 'R') ADVANCE(976);
      END_STATE();
    case 916:
      if (lookahead == 'N') ADVANCE(977);
      END_STATE();
    case 917:
      if (lookahead == 'E') ADVANCE(978);
      END_STATE();
    case 918:
      if (lookahead == 'e') ADVANCE(979);
      END_STATE();
    case 919:
      if (lookahead == 'r') ADVANCE(980);
      END_STATE();
    case 920:
      if (lookahead == 'L') ADVANCE(981);
      END_STATE();
    case 921:
      if (lookahead == 'L') ADVANCE(982);
      END_STATE();
    case 922:
      if (lookahead == '_') ADVANCE(983);
      END_STATE();
    case 923:
      if (lookahead == 'e') ADVANCE(984);
      END_STATE();
    case 924:
      if (lookahead == 'a') ADVANCE(985);
      END_STATE();
    case 925:
      if (lookahead == 'e') ADVANCE(986);
      END_STATE();
    case 926:
      if (lookahead == 'r') ADVANCE(987);
      END_STATE();
    case 927:
      if (lookahead == 'a') ADVANCE(988);
      END_STATE();
    case 928:
      if (lookahead == 'r') ADVANCE(989);
      END_STATE();
    case 929:
      if (lookahead == 't') ADVANCE(990);
      END_STATE();
    case 930:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 931:
      if (lookahead == 'e') ADVANCE(991);
      END_STATE();
    case 932:
      if (lookahead == 'n') ADVANCE(992);
      END_STATE();
    case 933:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 934:
      if (lookahead == 'i') ADVANCE(993);
      END_STATE();
    case 935:
      ACCEPT_TOKEN(anon_sym___inline__);
      END_STATE();
    case 936:
      ACCEPT_TOKEN(anon_sym___nullable);
      END_STATE();
    case 937:
      if (lookahead == 'o') ADVANCE(994);
      END_STATE();
    case 938:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(995);
      END_STATE();
    case 939:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 940:
      ACCEPT_TOKEN(anon_sym___typeof__);
      END_STATE();
    case 941:
      if (lookahead == 'd') ADVANCE(996);
      END_STATE();
    case 942:
      if (lookahead == 'n') ADVANCE(997);
      END_STATE();
    case 943:
      if (lookahead == 'l') ADVANCE(998);
      END_STATE();
    case 944:
      if (lookahead == '_') ADVANCE(999);
      END_STATE();
    case 945:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 946:
      if (lookahead == 't') ADVANCE(1000);
      END_STATE();
    case 947:
      if (lookahead == 't') ADVANCE(288);
      END_STATE();
    case 948:
      if (lookahead == 'e') ADVANCE(1001);
      END_STATE();
    case 949:
      if (lookahead == 'a') ADVANCE(1002);
      END_STATE();
    case 950:
      if (lookahead == 'L') ADVANCE(1003);
      END_STATE();
    case 951:
      if (lookahead == 'T') ADVANCE(1004);
      END_STATE();
    case 952:
      if (lookahead == 'A') ADVANCE(1005);
      END_STATE();
    case 953:
      if (lookahead == 'U') ADVANCE(1006);
      END_STATE();
    case 954:
      if (lookahead == 'N') ADVANCE(1007);
      if (lookahead == 'R') ADVANCE(1008);
      END_STATE();
    case 955:
      if (lookahead == 'A') ADVANCE(1009);
      if (lookahead == 'M') ADVANCE(1010);
      END_STATE();
    case 956:
      if (lookahead == 'E') ADVANCE(1011);
      if (lookahead == 'S') ADVANCE(1012);
      END_STATE();
    case 957:
      if (lookahead == 'l') ADVANCE(1013);
      END_STATE();
    case 958:
      if (lookahead == 'L') ADVANCE(1014);
      END_STATE();
    case 959:
      if (lookahead == 'D') ADVANCE(1015);
      END_STATE();
    case 960:
      if (lookahead == 'E') ADVANCE(1016);
      END_STATE();
    case 961:
      if (lookahead == 'A') ADVANCE(1017);
      END_STATE();
    case 962:
      if (lookahead == 'P') ADVANCE(1018);
      END_STATE();
    case 963:
      if (lookahead == 'E') ADVANCE(1019);
      END_STATE();
    case 964:
      if (lookahead == 'I') ADVANCE(1020);
      END_STATE();
    case 965:
      if (lookahead == 'R') ADVANCE(1021);
      END_STATE();
    case 966:
      if (lookahead == 'N') ADVANCE(1022);
      END_STATE();
    case 967:
      if (lookahead == 'U') ADVANCE(1023);
      END_STATE();
    case 968:
      if (lookahead == '_') ADVANCE(1024);
      END_STATE();
    case 969:
      if (lookahead == 'S') ADVANCE(1025);
      END_STATE();
    case 970:
      if (lookahead == 'M') ADVANCE(1026);
      END_STATE();
    case 971:
      if (lookahead == 'A') ADVANCE(1027);
      END_STATE();
    case 972:
      if (lookahead == 'B') ADVANCE(1028);
      END_STATE();
    case 973:
      if (lookahead == 'T') ADVANCE(1029);
      END_STATE();
    case 974:
      ACCEPT_TOKEN(anon_sym_OBJC_EXPORT);
      END_STATE();
    case 975:
      if (lookahead == 'L') ADVANCE(1030);
      END_STATE();
    case 976:
      if (lookahead == 'N') ADVANCE(1031);
      END_STATE();
    case 977:
      if (lookahead == 'C') ADVANCE(1032);
      END_STATE();
    case 978:
      if (lookahead == '_') ADVANCE(1033);
      END_STATE();
    case 979:
      if (lookahead == 'c') ADVANCE(1034);
      END_STATE();
    case 980:
      if (lookahead == 'e') ADVANCE(1035);
      END_STATE();
    case 981:
      if (lookahead == 'A') ADVANCE(1036);
      END_STATE();
    case 982:
      if (lookahead == 'A') ADVANCE(1037);
      END_STATE();
    case 983:
      ACCEPT_TOKEN(anon_sym___alignof__);
      END_STATE();
    case 984:
      ACCEPT_TOKEN(anon_sym___attribute);
      if (lookahead == '_') ADVANCE(1038);
      END_STATE();
    case 985:
      if (lookahead == 's') ADVANCE(1039);
      END_STATE();
    case 986:
      if (lookahead == 't') ADVANCE(1040);
      END_STATE();
    case 987:
      if (lookahead == 'a') ADVANCE(1041);
      END_STATE();
    case 988:
      if (lookahead == 'v') ADVANCE(1042);
      END_STATE();
    case 989:
      if (lookahead == 'i') ADVANCE(1043);
      END_STATE();
    case 990:
      ACCEPT_TOKEN(anon_sym___covariant);
      END_STATE();
    case 991:
      if (lookahead == 'd') ADVANCE(1044);
      END_STATE();
    case 992:
      if (lookahead == '_') ADVANCE(1045);
      END_STATE();
    case 993:
      if (lookahead == 'n') ADVANCE(1046);
      END_STATE();
    case 994:
      if (lookahead == 'b') ADVANCE(1047);
      END_STATE();
    case 995:
      if (lookahead == '_') ADVANCE(1048);
      END_STATE();
    case 996:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 997:
      if (lookahead == 'r') ADVANCE(1049);
      END_STATE();
    case 998:
      if (lookahead == 'l') ADVANCE(1050);
      END_STATE();
    case 999:
      if (lookahead == '_') ADVANCE(1051);
      END_STATE();
    case 1000:
      if (lookahead == 'y') ADVANCE(1052);
      END_STATE();
    case 1001:
      if (lookahead == '_') ADVANCE(1053);
      END_STATE();
    case 1002:
      if (lookahead == 'l') ADVANCE(1054);
      END_STATE();
    case 1003:
      if (lookahead == 'E') ADVANCE(1055);
      END_STATE();
    case 1004:
      if (lookahead == 'E') ADVANCE(1056);
      END_STATE();
    case 1005:
      if (lookahead == 'B') ADVANCE(1057);
      END_STATE();
    case 1006:
      if (lookahead == 'N') ADVANCE(1058);
      END_STATE();
    case 1007:
      if (lookahead == 'O') ADVANCE(1059);
      END_STATE();
    case 1008:
      if (lookahead == 'E') ADVANCE(1060);
      END_STATE();
    case 1009:
      if (lookahead == 'T') ADVANCE(1061);
      END_STATE();
    case 1010:
      if (lookahead == 'S') ADVANCE(1062);
      END_STATE();
    case 1011:
      if (lookahead == 'X') ADVANCE(1063);
      END_STATE();
    case 1012:
      if (lookahead == 'T') ADVANCE(1064);
      END_STATE();
    case 1013:
      if (lookahead == 'e') ADVANCE(1065);
      END_STATE();
    case 1014:
      if (lookahead == 'E') ADVANCE(1066);
      END_STATE();
    case 1015:
      if (lookahead == '_') ADVANCE(1067);
      END_STATE();
    case 1016:
      ACCEPT_TOKEN(anon_sym_NS_AVAILABLE);
      if (lookahead == '_') ADVANCE(1068);
      END_STATE();
    case 1017:
      if (lookahead == 'I') ADVANCE(1069);
      END_STATE();
    case 1018:
      if (lookahead == 'R') ADVANCE(1070);
      END_STATE();
    case 1019:
      if (lookahead == 'D') ADVANCE(1071);
      END_STATE();
    case 1020:
      if (lookahead == 'L') ADVANCE(1072);
      END_STATE();
    case 1021:
      if (lookahead == 'E') ADVANCE(1073);
      END_STATE();
    case 1022:
      if (lookahead == '_') ADVANCE(1074);
      END_STATE();
    case 1023:
      if (lookahead == 'N') ADVANCE(1075);
      END_STATE();
    case 1024:
      if (lookahead == 'N') ADVANCE(1076);
      END_STATE();
    case 1025:
      if (lookahead == 'S') ADVANCE(1077);
      END_STATE();
    case 1026:
      if (lookahead == 'E') ADVANCE(1078);
      END_STATE();
    case 1027:
      if (lookahead == 'V') ADVANCE(1079);
      END_STATE();
    case 1028:
      if (lookahead == 'L') ADVANCE(1080);
      END_STATE();
    case 1029:
      if (lookahead == 'I') ADVANCE(1081);
      END_STATE();
    case 1030:
      if (lookahead == 'A') ADVANCE(1082);
      END_STATE();
    case 1031:
      ACCEPT_TOKEN(anon_sym_UIKIT_EXTERN);
      END_STATE();
    case 1032:
      if (lookahead == 'E') ADVANCE(1083);
      END_STATE();
    case 1033:
      if (lookahead == 'A') ADVANCE(1084);
      END_STATE();
    case 1034:
      if (lookahead == 'i') ADVANCE(1085);
      END_STATE();
    case 1035:
      if (lookahead == 's') ADVANCE(1086);
      END_STATE();
    case 1036:
      if (lookahead == 'B') ADVANCE(1087);
      END_STATE();
    case 1037:
      if (lookahead == 'B') ADVANCE(1088);
      END_STATE();
    case 1038:
      if (lookahead == '_') ADVANCE(1089);
      END_STATE();
    case 1039:
      if (lookahead == 'i') ADVANCE(1090);
      END_STATE();
    case 1040:
      if (lookahead == 'a') ADVANCE(1091);
      END_STATE();
    case 1041:
      if (lookahead == 'n') ADVANCE(1092);
      END_STATE();
    case 1042:
      if (lookahead == 'a') ADVANCE(1093);
      END_STATE();
    case 1043:
      if (lookahead == 'a') ADVANCE(1094);
      END_STATE();
    case 1044:
      if (lookahead == '_') ADVANCE(1095);
      END_STATE();
    case 1045:
      if (lookahead == '_') ADVANCE(1096);
      END_STATE();
    case 1046:
      if (lookahead == 'e') ADVANCE(1097);
      END_STATE();
    case 1047:
      if (lookahead == 'j') ADVANCE(1098);
      END_STATE();
    case 1048:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 1049:
      if (lookahead == 'e') ADVANCE(1099);
      END_STATE();
    case 1050:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 1051:
      ACCEPT_TOKEN(anon_sym___volatile__);
      END_STATE();
    case 1052:
      ACCEPT_TOKEN(anon_sym_availability);
      END_STATE();
    case 1053:
      if (lookahead == 'r') ADVANCE(1100);
      END_STATE();
    case 1054:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 1055:
      ACCEPT_TOKEN(anon_sym_API_AVAILABLE);
      END_STATE();
    case 1056:
      if (lookahead == 'D') ADVANCE(1101);
      END_STATE();
    case 1057:
      if (lookahead == 'L') ADVANCE(1102);
      END_STATE();
    case 1058:
      if (lookahead == 'C') ADVANCE(1103);
      END_STATE();
    case 1059:
      if (lookahead == 'T') ADVANCE(1104);
      END_STATE();
    case 1060:
      if (lookahead == 'T') ADVANCE(1105);
      END_STATE();
    case 1061:
      if (lookahead == 'T') ADVANCE(1106);
      END_STATE();
    case 1062:
      if (lookahead == 'G') ADVANCE(1107);
      END_STATE();
    case 1063:
      if (lookahead == 'P') ADVANCE(1108);
      if (lookahead == 'T') ADVANCE(1109);
      END_STATE();
    case 1064:
      if (lookahead == 'A') ADVANCE(1110);
      END_STATE();
    case 1065:
      ACCEPT_TOKEN(anon_sym_IBInspectable);
      END_STATE();
    case 1066:
      ACCEPT_TOKEN(anon_sym_IB_DESIGNABLE);
      END_STATE();
    case 1067:
      if (lookahead == 'R') ADVANCE(1111);
      END_STATE();
    case 1068:
      if (lookahead == 'I') ADVANCE(1112);
      END_STATE();
    case 1069:
      if (lookahead == 'L') ADVANCE(1113);
      END_STATE();
    case 1070:
      if (lookahead == 'E') ADVANCE(1114);
      END_STATE();
    case 1071:
      if (lookahead == '_') ADVANCE(1115);
      END_STATE();
    case 1072:
      if (lookahead == 'A') ADVANCE(1116);
      END_STATE();
    case 1073:
      if (lookahead == 'C') ADVANCE(1117);
      END_STATE();
    case 1074:
      if (lookahead == 'U') ADVANCE(1118);
      END_STATE();
    case 1075:
      if (lookahead == 'C') ADVANCE(1119);
      END_STATE();
    case 1076:
      if (lookahead == 'I') ADVANCE(1120);
      END_STATE();
    case 1077:
      ACCEPT_TOKEN(anon_sym_NS_ROOT_CLASS);
      END_STATE();
    case 1078:
      ACCEPT_TOKEN(anon_sym_NS_SWIFT_NAME);
      END_STATE();
    case 1079:
      if (lookahead == 'A') ADVANCE(1121);
      END_STATE();
    case 1080:
      if (lookahead == 'E') ADVANCE(1122);
      END_STATE();
    case 1081:
      if (lookahead == 'L') ADVANCE(1123);
      END_STATE();
    case 1082:
      if (lookahead == 'S') ADVANCE(1124);
      END_STATE();
    case 1083:
      if (lookahead == '_') ADVANCE(1125);
      END_STATE();
    case 1084:
      if (lookahead == 'T') ADVANCE(1126);
      END_STATE();
    case 1085:
      if (lookahead == 'f') ADVANCE(1127);
      END_STATE();
    case 1086:
      if (lookahead == 'u') ADVANCE(1128);
      END_STATE();
    case 1087:
      if (lookahead == 'L') ADVANCE(1129);
      END_STATE();
    case 1088:
      if (lookahead == 'L') ADVANCE(1130);
      END_STATE();
    case 1089:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    case 1090:
      if (lookahead == 'n') ADVANCE(1131);
      END_STATE();
    case 1091:
      if (lookahead == 'i') ADVANCE(1132);
      END_STATE();
    case 1092:
      if (lookahead == 's') ADVANCE(1133);
      END_STATE();
    case 1093:
      if (lookahead == 'i') ADVANCE(1134);
      END_STATE();
    case 1094:
      if (lookahead == 'n') ADVANCE(1135);
      END_STATE();
    case 1095:
      if (lookahead == 'e') ADVANCE(1136);
      if (lookahead == 'm') ADVANCE(1137);
      END_STATE();
    case 1096:
      ACCEPT_TOKEN(anon_sym___extension__);
      END_STATE();
    case 1097:
      ACCEPT_TOKEN(anon_sym___forceinline);
      END_STATE();
    case 1098:
      if (lookahead == 'c') ADVANCE(1138);
      END_STATE();
    case 1099:
      if (lookahead == 't') ADVANCE(1139);
      END_STATE();
    case 1100:
      if (lookahead == 'e') ADVANCE(1140);
      END_STATE();
    case 1101:
      ACCEPT_TOKEN(anon_sym_API_DEPRECATED);
      END_STATE();
    case 1102:
      if (lookahead == 'E') ADVANCE(1141);
      END_STATE();
    case 1103:
      if (lookahead == 'T') ADVANCE(1142);
      END_STATE();
    case 1104:
      if (lookahead == '_') ADVANCE(1143);
      END_STATE();
    case 1105:
      if (lookahead == 'A') ADVANCE(1144);
      END_STATE();
    case 1106:
      if (lookahead == 'R') ADVANCE(1145);
      END_STATE();
    case 1107:
      if (lookahead == '_') ADVANCE(1146);
      END_STATE();
    case 1108:
      if (lookahead == 'O') ADVANCE(1147);
      END_STATE();
    case 1109:
      if (lookahead == 'E') ADVANCE(1148);
      END_STATE();
    case 1110:
      if (lookahead == 'T') ADVANCE(1149);
      END_STATE();
    case 1111:
      if (lookahead == 'E') ADVANCE(1150);
      END_STATE();
    case 1112:
      if (lookahead == 'O') ADVANCE(1151);
      END_STATE();
    case 1113:
      if (lookahead == 'A') ADVANCE(1152);
      END_STATE();
    case 1114:
      if (lookahead == 'C') ADVANCE(1153);
      END_STATE();
    case 1115:
      if (lookahead == 'I') ADVANCE(1154);
      END_STATE();
    case 1116:
      if (lookahead == 'B') ADVANCE(1155);
      END_STATE();
    case 1117:
      if (lookahead == 'A') ADVANCE(1156);
      END_STATE();
    case 1118:
      if (lookahead == 'N') ADVANCE(1157);
      END_STATE();
    case 1119:
      if (lookahead == 'T') ADVANCE(1158);
      END_STATE();
    case 1120:
      if (lookahead == 'L') ADVANCE(1159);
      END_STATE();
    case 1121:
      if (lookahead == 'I') ADVANCE(1160);
      END_STATE();
    case 1122:
      ACCEPT_TOKEN(anon_sym_NS_UNAVAILABLE);
      END_STATE();
    case 1123:
      if (lookahead == '_') ADVANCE(1161);
      END_STATE();
    case 1124:
      if (lookahead == 'S') ADVANCE(1162);
      END_STATE();
    case 1125:
      if (lookahead == 'S') ADVANCE(1163);
      END_STATE();
    case 1126:
      if (lookahead == 'T') ADVANCE(1164);
      END_STATE();
    case 1127:
      if (lookahead == 'i') ADVANCE(1165);
      END_STATE();
    case 1128:
      if (lookahead == 'l') ADVANCE(1166);
      END_STATE();
    case 1129:
      if (lookahead == 'E') ADVANCE(1167);
      END_STATE();
    case 1130:
      if (lookahead == 'E') ADVANCE(1168);
      END_STATE();
    case 1131:
      if (lookahead == 'g') ADVANCE(1169);
      END_STATE();
    case 1132:
      if (lookahead == 'n') ADVANCE(1170);
      END_STATE();
    case 1133:
      if (lookahead == 'f') ADVANCE(1171);
      END_STATE();
    case 1134:
      if (lookahead == 'l') ADVANCE(1172);
      END_STATE();
    case 1135:
      if (lookahead == 't') ADVANCE(1173);
      END_STATE();
    case 1136:
      if (lookahead == 'n') ADVANCE(1174);
      END_STATE();
    case 1137:
      if (lookahead == 's') ADVANCE(1175);
      END_STATE();
    case 1138:
      if (lookahead == '_') ADVANCE(1176);
      END_STATE();
    case 1139:
      if (lookahead == 'a') ADVANCE(1177);
      END_STATE();
    case 1140:
      if (lookahead == 'l') ADVANCE(1178);
      END_STATE();
    case 1141:
      ACCEPT_TOKEN(anon_sym_API_UNAVAILABLE);
      END_STATE();
    case 1142:
      if (lookahead == 'I') ADVANCE(1179);
      END_STATE();
    case 1143:
      if (lookahead == 'R') ADVANCE(1180);
      END_STATE();
    case 1144:
      if (lookahead == 'I') ADVANCE(1181);
      END_STATE();
    case 1145:
      if (lookahead == 'I') ADVANCE(1182);
      END_STATE();
    case 1146:
      if (lookahead == 'A') ADVANCE(1183);
      END_STATE();
    case 1147:
      if (lookahead == 'R') ADVANCE(1184);
      END_STATE();
    case 1148:
      if (lookahead == 'R') ADVANCE(1185);
      END_STATE();
    case 1149:
      if (lookahead == 'I') ADVANCE(1186);
      END_STATE();
    case 1150:
      if (lookahead == 'F') ADVANCE(1187);
      END_STATE();
    case 1151:
      if (lookahead == 'S') ADVANCE(1188);
      END_STATE();
    case 1152:
      if (lookahead == 'B') ADVANCE(1189);
      END_STATE();
    case 1153:
      if (lookahead == 'A') ADVANCE(1190);
      END_STATE();
    case 1154:
      if (lookahead == 'O') ADVANCE(1191);
      END_STATE();
    case 1155:
      if (lookahead == 'L') ADVANCE(1192);
      END_STATE();
    case 1156:
      if (lookahead == 'T') ADVANCE(1193);
      END_STATE();
    case 1157:
      if (lookahead == 'A') ADVANCE(1194);
      END_STATE();
    case 1158:
      if (lookahead == 'I') ADVANCE(1195);
      END_STATE();
    case 1159:
      if (lookahead == '_') ADVANCE(1196);
      END_STATE();
    case 1160:
      if (lookahead == 'L') ADVANCE(1197);
      END_STATE();
    case 1161:
      if (lookahead == 'E') ADVANCE(1198);
      END_STATE();
    case 1162:
      ACCEPT_TOKEN(anon_sym_OBJC_ROOT_CLASS);
      END_STATE();
    case 1163:
      if (lookahead == 'E') ADVANCE(1199);
      END_STATE();
    case 1164:
      if (lookahead == 'R') ADVANCE(1200);
      END_STATE();
    case 1165:
      if (lookahead == 'e') ADVANCE(1201);
      END_STATE();
    case 1166:
      if (lookahead == 't') ADVANCE(1202);
      END_STATE();
    case 1167:
      ACCEPT_TOKEN(anon_sym___IOS_AVAILABLE);
      END_STATE();
    case 1168:
      if (lookahead == '_') ADVANCE(1203);
      END_STATE();
    case 1169:
      ACCEPT_TOKEN(anon_sym___autoreleasing);
      END_STATE();
    case 1170:
      if (lookahead == 'e') ADVANCE(1204);
      END_STATE();
    case 1171:
      if (lookahead == 'e') ADVANCE(1205);
      END_STATE();
    case 1172:
      if (lookahead == 'a') ADVANCE(1206);
      END_STATE();
    case 1173:
      ACCEPT_TOKEN(anon_sym___contravariant);
      END_STATE();
    case 1174:
      if (lookahead == 'u') ADVANCE(1207);
      END_STATE();
    case 1175:
      if (lookahead == 'g') ADVANCE(1208);
      END_STATE();
    case 1176:
      if (lookahead == 'c') ADVANCE(1209);
      if (lookahead == 'i') ADVANCE(1210);
      if (lookahead == 's') ADVANCE(1211);
      END_STATE();
    case 1177:
      if (lookahead == 'i') ADVANCE(1212);
      END_STATE();
    case 1178:
      if (lookahead == 'a') ADVANCE(1213);
      END_STATE();
    case 1179:
      if (lookahead == 'O') ADVANCE(1214);
      END_STATE();
    case 1180:
      if (lookahead == 'E') ADVANCE(1215);
      END_STATE();
    case 1181:
      if (lookahead == 'N') ADVANCE(1216);
      END_STATE();
    case 1182:
      if (lookahead == 'B') ADVANCE(1217);
      END_STATE();
    case 1183:
      if (lookahead == 'T') ADVANCE(1218);
      END_STATE();
    case 1184:
      if (lookahead == 'T') ADVANCE(1219);
      END_STATE();
    case 1185:
      if (lookahead == 'N') ADVANCE(1220);
      END_STATE();
    case 1186:
      if (lookahead == 'C') ADVANCE(1221);
      END_STATE();
    case 1187:
      if (lookahead == 'C') ADVANCE(1222);
      END_STATE();
    case 1188:
      ACCEPT_TOKEN(anon_sym_NS_AVAILABLE_IOS);
      END_STATE();
    case 1189:
      if (lookahead == 'L') ADVANCE(1223);
      END_STATE();
    case 1190:
      if (lookahead == 'T') ADVANCE(1224);
      END_STATE();
    case 1191:
      if (lookahead == 'S') ADVANCE(1225);
      END_STATE();
    case 1192:
      if (lookahead == 'E') ADVANCE(1226);
      END_STATE();
    case 1193:
      if (lookahead == 'E') ADVANCE(1227);
      END_STATE();
    case 1194:
      if (lookahead == 'V') ADVANCE(1228);
      END_STATE();
    case 1195:
      if (lookahead == 'O') ADVANCE(1229);
      END_STATE();
    case 1196:
      if (lookahead == 'T') ADVANCE(1230);
      END_STATE();
    case 1197:
      if (lookahead == 'A') ADVANCE(1231);
      END_STATE();
    case 1198:
      if (lookahead == 'N') ADVANCE(1232);
      END_STATE();
    case 1199:
      if (lookahead == 'L') ADVANCE(1233);
      END_STATE();
    case 1200:
      if (lookahead == 'I') ADVANCE(1234);
      END_STATE();
    case 1201:
      if (lookahead == 'd') ADVANCE(1235);
      END_STATE();
    case 1202:
      ACCEPT_TOKEN(anon_sym__Nullable_result);
      END_STATE();
    case 1203:
      if (lookahead == 'S') ADVANCE(1236);
      END_STATE();
    case 1204:
      if (lookahead == 'd') ADVANCE(1237);
      END_STATE();
    case 1205:
      if (lookahead == 'r') ADVANCE(1238);
      END_STATE();
    case 1206:
      if (lookahead == 'b') ADVANCE(1239);
      END_STATE();
    case 1207:
      if (lookahead == 'm') ADVANCE(1240);
      END_STATE();
    case 1208:
      ACCEPT_TOKEN(anon_sym___deprecated_msg);
      END_STATE();
    case 1209:
      if (lookahead == 'l') ADVANCE(1241);
      END_STATE();
    case 1210:
      if (lookahead == 's') ADVANCE(1242);
      END_STATE();
    case 1211:
      if (lookahead == 'u') ADVANCE(1243);
      END_STATE();
    case 1212:
      if (lookahead == 'n') ADVANCE(1244);
      END_STATE();
    case 1213:
      if (lookahead == 't') ADVANCE(1245);
      END_STATE();
    case 1214:
      if (lookahead == 'N') ADVANCE(1246);
      END_STATE();
    case 1215:
      if (lookahead == 'T') ADVANCE(1247);
      END_STATE();
    case 1216:
      if (lookahead == 'E') ADVANCE(1248);
      END_STATE();
    case 1217:
      if (lookahead == 'U') ADVANCE(1249);
      END_STATE();
    case 1218:
      if (lookahead == 'T') ADVANCE(1250);
      END_STATE();
    case 1219:
      ACCEPT_TOKEN(anon_sym_FOUNDATION_EXPORT);
      END_STATE();
    case 1220:
      ACCEPT_TOKEN(anon_sym_FOUNDATION_EXTERN);
      END_STATE();
    case 1221:
      if (lookahead == '_') ADVANCE(1251);
      END_STATE();
    case 1222:
      if (lookahead == 'O') ADVANCE(1252);
      END_STATE();
    case 1223:
      if (lookahead == 'E') ADVANCE(1253);
      END_STATE();
    case 1224:
      if (lookahead == 'E') ADVANCE(1254);
      END_STATE();
    case 1225:
      ACCEPT_TOKEN(anon_sym_NS_DEPRECATED_IOS);
      END_STATE();
    case 1226:
      if (lookahead == '_') ADVANCE(1255);
      END_STATE();
    case 1227:
      if (lookahead == 'D') ADVANCE(1256);
      END_STATE();
    case 1228:
      if (lookahead == 'A') ADVANCE(1257);
      END_STATE();
    case 1229:
      if (lookahead == 'N') ADVANCE(1258);
      END_STATE();
    case 1230:
      if (lookahead == 'E') ADVANCE(1259);
      END_STATE();
    case 1231:
      if (lookahead == 'B') ADVANCE(1260);
      END_STATE();
    case 1232:
      if (lookahead == 'D') ADVANCE(1261);
      END_STATE();
    case 1233:
      if (lookahead == 'E') ADVANCE(1262);
      END_STATE();
    case 1234:
      if (lookahead == 'B') ADVANCE(1263);
      END_STATE();
    case 1235:
      ACCEPT_TOKEN(anon_sym__Null_unspecified);
      END_STATE();
    case 1236:
      if (lookahead == 'T') ADVANCE(1264);
      END_STATE();
    case 1237:
      ACCEPT_TOKEN(anon_sym___bridge_retained);
      END_STATE();
    case 1238:
      ACCEPT_TOKEN(anon_sym___bridge_transfer);
      END_STATE();
    case 1239:
      if (lookahead == 'l') ADVANCE(1265);
      END_STATE();
    case 1240:
      if (lookahead == '_') ADVANCE(1266);
      END_STATE();
    case 1241:
      if (lookahead == 'a') ADVANCE(1267);
      END_STATE();
    case 1242:
      if (lookahead == 'a') ADVANCE(1268);
      END_STATE();
    case 1243:
      if (lookahead == 'p') ADVANCE(1269);
      END_STATE();
    case 1244:
      if (lookahead == 'e') ADVANCE(1270);
      END_STATE();
    case 1245:
      if (lookahead == 'e') ADVANCE(1271);
      END_STATE();
    case 1246:
      ACCEPT_TOKEN(anon_sym_CF_FORMAT_FUNCTION);
      END_STATE();
    case 1247:
      if (lookahead == 'A') ADVANCE(1272);
      END_STATE();
    case 1248:
      if (lookahead == 'D') ADVANCE(1273);
      END_STATE();
    case 1249:
      if (lookahead == 'T') ADVANCE(1274);
      END_STATE();
    case 1250:
      if (lookahead == 'R') ADVANCE(1275);
      END_STATE();
    case 1251:
      if (lookahead == 'I') ADVANCE(1276);
      END_STATE();
    case 1252:
      if (lookahead == 'U') ADVANCE(1277);
      END_STATE();
    case 1253:
      if (lookahead == '_') ADVANCE(1278);
      END_STATE();
    case 1254:
      if (lookahead == 'D') ADVANCE(1279);
      END_STATE();
    case 1255:
      if (lookahead == 'I') ADVANCE(1280);
      END_STATE();
    case 1256:
      if (lookahead == '_') ADVANCE(1281);
      END_STATE();
    case 1257:
      if (lookahead == 'I') ADVANCE(1282);
      END_STATE();
    case 1258:
      ACCEPT_TOKEN(anon_sym_NS_FORMAT_FUNCTION);
      END_STATE();
    case 1259:
      if (lookahead == 'R') ADVANCE(1283);
      END_STATE();
    case 1260:
      if (lookahead == 'L') ADVANCE(1284);
      END_STATE();
    case 1261:
      if (lookahead == '_') ADVANCE(1285);
      END_STATE();
    case 1262:
      if (lookahead == 'C') ADVANCE(1286);
      END_STATE();
    case 1263:
      if (lookahead == 'U') ADVANCE(1287);
      END_STATE();
    case 1264:
      if (lookahead == 'A') ADVANCE(1288);
      END_STATE();
    case 1265:
      if (lookahead == 'e') ADVANCE(1289);
      END_STATE();
    case 1266:
      if (lookahead == 'm') ADVANCE(1290);
      END_STATE();
    case 1267:
      if (lookahead == 's') ADVANCE(1291);
      END_STATE();
    case 1268:
      if (lookahead == '_') ADVANCE(1292);
      END_STATE();
    case 1269:
      if (lookahead == 'e') ADVANCE(1293);
      END_STATE();
    case 1270:
      if (lookahead == 'd') ADVANCE(1294);
      END_STATE();
    case 1271:
      if (lookahead == 'd') ADVANCE(1295);
      END_STATE();
    case 1272:
      if (lookahead == 'I') ADVANCE(1296);
      END_STATE();
    case 1273:
      ACCEPT_TOKEN(anon_sym_CF_RETURNS_RETAINED);
      END_STATE();
    case 1274:
      if (lookahead == 'E') ADVANCE(1297);
      END_STATE();
    case 1275:
      if (lookahead == 'I') ADVANCE(1298);
      END_STATE();
    case 1276:
      if (lookahead == 'N') ADVANCE(1299);
      END_STATE();
    case 1277:
      if (lookahead == 'N') ADVANCE(1300);
      END_STATE();
    case 1278:
      if (lookahead == 'I') ADVANCE(1301);
      END_STATE();
    case 1279:
      if (lookahead == '_') ADVANCE(1302);
      END_STATE();
    case 1280:
      if (lookahead == 'O') ADVANCE(1303);
      END_STATE();
    case 1281:
      if (lookahead == 'I') ADVANCE(1304);
      END_STATE();
    case 1282:
      if (lookahead == 'L') ADVANCE(1305);
      END_STATE();
    case 1283:
      if (lookahead == 'M') ADVANCE(1306);
      END_STATE();
    case 1284:
      if (lookahead == 'E') ADVANCE(1307);
      END_STATE();
    case 1285:
      if (lookahead == 'O') ADVANCE(1308);
      END_STATE();
    case 1286:
      if (lookahead == 'T') ADVANCE(1309);
      END_STATE();
    case 1287:
      if (lookahead == 'T') ADVANCE(1310);
      END_STATE();
    case 1288:
      if (lookahead == 'R') ADVANCE(1311);
      END_STATE();
    case 1289:
      ACCEPT_TOKEN(anon_sym___builtin_available);
      END_STATE();
    case 1290:
      if (lookahead == 's') ADVANCE(1312);
      END_STATE();
    case 1291:
      if (lookahead == 's') ADVANCE(1313);
      END_STATE();
    case 1292:
      if (lookahead == 'p') ADVANCE(1314);
      END_STATE();
    case 1293:
      if (lookahead == 'r') ADVANCE(1315);
      END_STATE();
    case 1294:
      ACCEPT_TOKEN(anon_sym___unsafe_unretained);
      END_STATE();
    case 1295:
      ACCEPT_TOKEN(anon_sym_objc_bridge_related);
      END_STATE();
    case 1296:
      if (lookahead == 'N') ADVANCE(1316);
      END_STATE();
    case 1297:
      ACCEPT_TOKEN(anon_sym_DEPRECATED_ATTRIBUTE);
      END_STATE();
    case 1298:
      if (lookahead == 'B') ADVANCE(1317);
      END_STATE();
    case 1299:
      if (lookahead == 'L') ADVANCE(1318);
      END_STATE();
    case 1300:
      if (lookahead == 'T') ADVANCE(1319);
      END_STATE();
    case 1301:
      if (lookahead == 'O') ADVANCE(1320);
      END_STATE();
    case 1302:
      if (lookahead == 'I') ADVANCE(1321);
      END_STATE();
    case 1303:
      if (lookahead == 'S') ADVANCE(1322);
      END_STATE();
    case 1304:
      if (lookahead == 'O') ADVANCE(1323);
      END_STATE();
    case 1305:
      if (lookahead == 'A') ADVANCE(1324);
      END_STATE();
    case 1306:
      if (lookahead == 'I') ADVANCE(1325);
      END_STATE();
    case 1307:
      ACCEPT_TOKEN(anon_sym_NS_SWIFT_UNAVAILABLE);
      END_STATE();
    case 1308:
      if (lookahead == 'F') ADVANCE(1326);
      END_STATE();
    case 1309:
      if (lookahead == 'O') ADVANCE(1327);
      END_STATE();
    case 1310:
      if (lookahead == 'E') ADVANCE(1328);
      END_STATE();
    case 1311:
      if (lookahead == 'T') ADVANCE(1329);
      END_STATE();
    case 1312:
      if (lookahead == 'g') ADVANCE(1330);
      END_STATE();
    case 1313:
      if (lookahead == '_') ADVANCE(1331);
      END_STATE();
    case 1314:
      if (lookahead == 'o') ADVANCE(1332);
      END_STATE();
    case 1315:
      if (lookahead == '_') ADVANCE(1333);
      END_STATE();
    case 1316:
      if (lookahead == 'E') ADVANCE(1334);
      END_STATE();
    case 1317:
      if (lookahead == 'U') ADVANCE(1335);
      END_STATE();
    case 1318:
      if (lookahead == 'I') ADVANCE(1336);
      END_STATE();
    case 1319:
      if (lookahead == '_') ADVANCE(1337);
      END_STATE();
    case 1320:
      if (lookahead == 'S') ADVANCE(1338);
      END_STATE();
    case 1321:
      if (lookahead == 'O') ADVANCE(1339);
      END_STATE();
    case 1322:
      ACCEPT_TOKEN(anon_sym_NS_ENUM_AVAILABLE_IOS);
      END_STATE();
    case 1323:
      if (lookahead == 'S') ADVANCE(1340);
      END_STATE();
    case 1324:
      if (lookahead == 'B') ADVANCE(1341);
      END_STATE();
    case 1325:
      if (lookahead == 'N') ADVANCE(1342);
      END_STATE();
    case 1326:
      if (lookahead == '_') ADVANCE(1343);
      END_STATE();
    case 1327:
      if (lookahead == 'R') ADVANCE(1344);
      END_STATE();
    case 1328:
      ACCEPT_TOKEN(anon_sym_UNAVAILABLE_ATTRIBUTE);
      END_STATE();
    case 1329:
      if (lookahead == 'I') ADVANCE(1345);
      END_STATE();
    case 1330:
      ACCEPT_TOKEN(anon_sym___deprecated_enum_msg);
      END_STATE();
    case 1331:
      if (lookahead == 'r') ADVANCE(1346);
      END_STATE();
    case 1332:
      if (lookahead == 'i') ADVANCE(1347);
      END_STATE();
    case 1333:
      if (lookahead == 'p') ADVANCE(1348);
      END_STATE();
    case 1334:
      if (lookahead == 'D') ADVANCE(1349);
      END_STATE();
    case 1335:
      if (lookahead == 'T') ADVANCE(1350);
      END_STATE();
    case 1336:
      if (lookahead == 'N') ADVANCE(1351);
      END_STATE();
    case 1337:
      if (lookahead == 'U') ADVANCE(1352);
      END_STATE();
    case 1338:
      ACCEPT_TOKEN(anon_sym_NS_CLASS_AVAILABLE_IOS);
      END_STATE();
    case 1339:
      if (lookahead == 'S') ADVANCE(1353);
      END_STATE();
    case 1340:
      ACCEPT_TOKEN(anon_sym_NS_ENUM_DEPRECATED_IOS);
      END_STATE();
    case 1341:
      if (lookahead == 'L') ADVANCE(1354);
      END_STATE();
    case 1342:
      if (lookahead == 'A') ADVANCE(1355);
      END_STATE();
    case 1343:
      if (lookahead == 'S') ADVANCE(1356);
      END_STATE();
    case 1344:
      ACCEPT_TOKEN(anon_sym_UI_APPEARANCE_SELECTOR);
      END_STATE();
    case 1345:
      if (lookahead == 'N') ADVANCE(1357);
      END_STATE();
    case 1346:
      if (lookahead == 'o') ADVANCE(1358);
      END_STATE();
    case 1347:
      if (lookahead == 'n') ADVANCE(1359);
      END_STATE();
    case 1348:
      if (lookahead == 'o') ADVANCE(1360);
      END_STATE();
    case 1349:
      ACCEPT_TOKEN(anon_sym_CF_RETURNS_NOT_RETAINED);
      END_STATE();
    case 1350:
      if (lookahead == 'E') ADVANCE(1361);
      END_STATE();
    case 1351:
      if (lookahead == 'E') ADVANCE(1362);
      END_STATE();
    case 1352:
      if (lookahead == 'N') ADVANCE(1363);
      END_STATE();
    case 1353:
      ACCEPT_TOKEN(anon_sym_NS_CLASS_DEPRECATED_IOS);
      END_STATE();
    case 1354:
      if (lookahead == 'E') ADVANCE(1364);
      END_STATE();
    case 1355:
      if (lookahead == 'T') ADVANCE(1365);
      END_STATE();
    case 1356:
      if (lookahead == 'C') ADVANCE(1366);
      END_STATE();
    case 1357:
      if (lookahead == 'G') ADVANCE(1367);
      END_STATE();
    case 1358:
      ACCEPT_TOKEN(anon_sym___ptrauth_objc_class_ro);
      END_STATE();
    case 1359:
      if (lookahead == 't') ADVANCE(1368);
      END_STATE();
    case 1360:
      if (lookahead == 'i') ADVANCE(1369);
      END_STATE();
    case 1361:
      ACCEPT_TOKEN(anon_sym_DEPRECATED_MSG_ATTRIBUTE);
      END_STATE();
    case 1362:
      ACCEPT_TOKEN(anon_sym_FOUNDATION_STATIC_INLINE);
      END_STATE();
    case 1363:
      if (lookahead == 'A') ADVANCE(1370);
      END_STATE();
    case 1364:
      if (lookahead == '_') ADVANCE(1371);
      END_STATE();
    case 1365:
      if (lookahead == 'I') ADVANCE(1372);
      END_STATE();
    case 1366:
      if (lookahead == 'O') ADVANCE(1373);
      END_STATE();
    case 1367:
      ACCEPT_TOKEN(anon_sym___OSX_AVAILABLE_STARTING);
      END_STATE();
    case 1368:
      if (lookahead == 'e') ADVANCE(1374);
      END_STATE();
    case 1369:
      if (lookahead == 'n') ADVANCE(1375);
      END_STATE();
    case 1370:
      if (lookahead == 'V') ADVANCE(1376);
      END_STATE();
    case 1371:
      if (lookahead == 'I') ADVANCE(1377);
      END_STATE();
    case 1372:
      if (lookahead == 'O') ADVANCE(1378);
      END_STATE();
    case 1373:
      if (lookahead == 'P') ADVANCE(1379);
      END_STATE();
    case 1374:
      if (lookahead == 'r') ADVANCE(1380);
      END_STATE();
    case 1375:
      if (lookahead == 't') ADVANCE(1381);
      END_STATE();
    case 1376:
      if (lookahead == 'A') ADVANCE(1382);
      END_STATE();
    case 1377:
      if (lookahead == 'O') ADVANCE(1383);
      END_STATE();
    case 1378:
      if (lookahead == 'N') ADVANCE(1384);
      END_STATE();
    case 1379:
      if (lookahead == 'E') ADVANCE(1385);
      END_STATE();
    case 1380:
      ACCEPT_TOKEN(anon_sym___ptrauth_objc_isa_pointer);
      END_STATE();
    case 1381:
      if (lookahead == 'e') ADVANCE(1386);
      END_STATE();
    case 1382:
      if (lookahead == 'I') ADVANCE(1387);
      END_STATE();
    case 1383:
      if (lookahead == 'S') ADVANCE(1388);
      END_STATE();
    case 1384:
      ACCEPT_TOKEN(anon_sym_NS_REQUIRES_NIL_TERMINATION);
      END_STATE();
    case 1385:
      ACCEPT_TOKEN(anon_sym_NS_VALID_UNTIL_END_OF_SCOPE);
      END_STATE();
    case 1386:
      if (lookahead == 'r') ADVANCE(1389);
      END_STATE();
    case 1387:
      if (lookahead == 'L') ADVANCE(1390);
      END_STATE();
    case 1388:
      ACCEPT_TOKEN(anon_sym_NS_EXTENSION_UNAVAILABLE_IOS);
      END_STATE();
    case 1389:
      ACCEPT_TOKEN(anon_sym___ptrauth_objc_super_pointer);
      END_STATE();
    case 1390:
      if (lookahead == 'A') ADVANCE(1391);
      END_STATE();
    case 1391:
      if (lookahead == 'B') ADVANCE(1392);
      END_STATE();
    case 1392:
      if (lookahead == 'L') ADVANCE(1393);
      END_STATE();
    case 1393:
      if (lookahead == 'E') ADVANCE(1394);
      END_STATE();
    case 1394:
      ACCEPT_TOKEN(anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 416},
  [2] = {.lex_state = 98},
  [3] = {.lex_state = 98},
  [4] = {.lex_state = 98},
  [5] = {.lex_state = 98},
  [6] = {.lex_state = 98},
  [7] = {.lex_state = 98},
  [8] = {.lex_state = 98},
  [9] = {.lex_state = 98},
  [10] = {.lex_state = 98},
  [11] = {.lex_state = 98},
  [12] = {.lex_state = 98},
  [13] = {.lex_state = 98},
  [14] = {.lex_state = 98},
  [15] = {.lex_state = 98},
  [16] = {.lex_state = 98},
  [17] = {.lex_state = 98},
  [18] = {.lex_state = 98},
  [19] = {.lex_state = 98},
  [20] = {.lex_state = 108},
  [21] = {.lex_state = 108},
  [22] = {.lex_state = 108},
  [23] = {.lex_state = 108},
  [24] = {.lex_state = 108},
  [25] = {.lex_state = 108},
  [26] = {.lex_state = 108},
  [27] = {.lex_state = 108},
  [28] = {.lex_state = 108},
  [29] = {.lex_state = 108},
  [30] = {.lex_state = 108},
  [31] = {.lex_state = 108},
  [32] = {.lex_state = 98},
  [33] = {.lex_state = 108},
  [34] = {.lex_state = 108},
  [35] = {.lex_state = 108},
  [36] = {.lex_state = 108},
  [37] = {.lex_state = 108},
  [38] = {.lex_state = 107},
  [39] = {.lex_state = 107},
  [40] = {.lex_state = 107},
  [41] = {.lex_state = 417},
  [42] = {.lex_state = 417},
  [43] = {.lex_state = 417},
  [44] = {.lex_state = 417},
  [45] = {.lex_state = 417},
  [46] = {.lex_state = 417},
  [47] = {.lex_state = 417},
  [48] = {.lex_state = 417},
  [49] = {.lex_state = 417},
  [50] = {.lex_state = 417},
  [51] = {.lex_state = 417},
  [52] = {.lex_state = 417},
  [53] = {.lex_state = 417},
  [54] = {.lex_state = 417},
  [55] = {.lex_state = 417},
  [56] = {.lex_state = 417},
  [57] = {.lex_state = 417},
  [58] = {.lex_state = 417},
  [59] = {.lex_state = 417},
  [60] = {.lex_state = 417},
  [61] = {.lex_state = 417},
  [62] = {.lex_state = 417},
  [63] = {.lex_state = 417},
  [64] = {.lex_state = 417},
  [65] = {.lex_state = 417},
  [66] = {.lex_state = 417},
  [67] = {.lex_state = 417},
  [68] = {.lex_state = 417},
  [69] = {.lex_state = 417},
  [70] = {.lex_state = 417},
  [71] = {.lex_state = 417},
  [72] = {.lex_state = 417},
  [73] = {.lex_state = 417},
  [74] = {.lex_state = 417},
  [75] = {.lex_state = 417},
  [76] = {.lex_state = 417},
  [77] = {.lex_state = 417},
  [78] = {.lex_state = 417},
  [79] = {.lex_state = 417},
  [80] = {.lex_state = 417},
  [81] = {.lex_state = 417},
  [82] = {.lex_state = 417},
  [83] = {.lex_state = 417},
  [84] = {.lex_state = 417},
  [85] = {.lex_state = 417},
  [86] = {.lex_state = 417},
  [87] = {.lex_state = 417},
  [88] = {.lex_state = 417},
  [89] = {.lex_state = 417},
  [90] = {.lex_state = 417},
  [91] = {.lex_state = 417},
  [92] = {.lex_state = 417},
  [93] = {.lex_state = 417},
  [94] = {.lex_state = 417},
  [95] = {.lex_state = 417},
  [96] = {.lex_state = 417},
  [97] = {.lex_state = 417},
  [98] = {.lex_state = 417},
  [99] = {.lex_state = 417},
  [100] = {.lex_state = 417},
  [101] = {.lex_state = 417},
  [102] = {.lex_state = 417},
  [103] = {.lex_state = 417},
  [104] = {.lex_state = 417},
  [105] = {.lex_state = 417},
  [106] = {.lex_state = 417},
  [107] = {.lex_state = 417},
  [108] = {.lex_state = 417},
  [109] = {.lex_state = 417},
  [110] = {.lex_state = 417},
  [111] = {.lex_state = 417},
  [112] = {.lex_state = 417},
  [113] = {.lex_state = 417},
  [114] = {.lex_state = 417},
  [115] = {.lex_state = 417},
  [116] = {.lex_state = 417},
  [117] = {.lex_state = 417},
  [118] = {.lex_state = 417},
  [119] = {.lex_state = 417},
  [120] = {.lex_state = 417},
  [121] = {.lex_state = 417},
  [122] = {.lex_state = 417},
  [123] = {.lex_state = 417},
  [124] = {.lex_state = 417},
  [125] = {.lex_state = 417},
  [126] = {.lex_state = 417},
  [127] = {.lex_state = 417},
  [128] = {.lex_state = 416},
  [129] = {.lex_state = 416},
  [130] = {.lex_state = 98},
  [131] = {.lex_state = 98},
  [132] = {.lex_state = 98},
  [133] = {.lex_state = 98},
  [134] = {.lex_state = 98},
  [135] = {.lex_state = 108},
  [136] = {.lex_state = 108},
  [137] = {.lex_state = 108},
  [138] = {.lex_state = 108},
  [139] = {.lex_state = 108},
  [140] = {.lex_state = 107},
  [141] = {.lex_state = 107},
  [142] = {.lex_state = 107},
  [143] = {.lex_state = 107},
  [144] = {.lex_state = 107},
  [145] = {.lex_state = 417},
  [146] = {.lex_state = 417},
  [147] = {.lex_state = 417},
  [148] = {.lex_state = 417},
  [149] = {.lex_state = 417},
  [150] = {.lex_state = 417},
  [151] = {.lex_state = 417},
  [152] = {.lex_state = 417},
  [153] = {.lex_state = 417},
  [154] = {.lex_state = 417},
  [155] = {.lex_state = 105},
  [156] = {.lex_state = 105},
  [157] = {.lex_state = 105},
  [158] = {.lex_state = 105},
  [159] = {.lex_state = 105},
  [160] = {.lex_state = 105},
  [161] = {.lex_state = 105},
  [162] = {.lex_state = 105},
  [163] = {.lex_state = 105},
  [164] = {.lex_state = 105},
  [165] = {.lex_state = 105},
  [166] = {.lex_state = 105},
  [167] = {.lex_state = 105},
  [168] = {.lex_state = 96},
  [169] = {.lex_state = 111},
  [170] = {.lex_state = 111},
  [171] = {.lex_state = 111},
  [172] = {.lex_state = 111},
  [173] = {.lex_state = 111},
  [174] = {.lex_state = 111},
  [175] = {.lex_state = 111},
  [176] = {.lex_state = 111},
  [177] = {.lex_state = 97},
  [178] = {.lex_state = 94},
  [179] = {.lex_state = 100},
  [180] = {.lex_state = 100},
  [181] = {.lex_state = 94},
  [182] = {.lex_state = 109},
  [183] = {.lex_state = 100},
  [184] = {.lex_state = 109},
  [185] = {.lex_state = 100},
  [186] = {.lex_state = 100},
  [187] = {.lex_state = 100},
  [188] = {.lex_state = 100},
  [189] = {.lex_state = 106},
  [190] = {.lex_state = 106},
  [191] = {.lex_state = 109},
  [192] = {.lex_state = 109},
  [193] = {.lex_state = 109},
  [194] = {.lex_state = 109},
  [195] = {.lex_state = 109},
  [196] = {.lex_state = 418},
  [197] = {.lex_state = 418},
  [198] = {.lex_state = 98},
  [199] = {.lex_state = 98},
  [200] = {.lex_state = 98},
  [201] = {.lex_state = 98},
  [202] = {.lex_state = 98},
  [203] = {.lex_state = 98},
  [204] = {.lex_state = 98},
  [205] = {.lex_state = 98},
  [206] = {.lex_state = 98},
  [207] = {.lex_state = 98},
  [208] = {.lex_state = 98},
  [209] = {.lex_state = 98},
  [210] = {.lex_state = 98},
  [211] = {.lex_state = 98},
  [212] = {.lex_state = 106},
  [213] = {.lex_state = 98},
  [214] = {.lex_state = 106},
  [215] = {.lex_state = 98},
  [216] = {.lex_state = 98},
  [217] = {.lex_state = 98},
  [218] = {.lex_state = 98},
  [219] = {.lex_state = 98},
  [220] = {.lex_state = 98},
  [221] = {.lex_state = 98},
  [222] = {.lex_state = 98},
  [223] = {.lex_state = 418},
  [224] = {.lex_state = 98},
  [225] = {.lex_state = 106},
  [226] = {.lex_state = 106},
  [227] = {.lex_state = 106},
  [228] = {.lex_state = 98},
  [229] = {.lex_state = 98},
  [230] = {.lex_state = 98},
  [231] = {.lex_state = 98},
  [232] = {.lex_state = 98},
  [233] = {.lex_state = 418},
  [234] = {.lex_state = 98},
  [235] = {.lex_state = 98},
  [236] = {.lex_state = 98},
  [237] = {.lex_state = 98},
  [238] = {.lex_state = 98},
  [239] = {.lex_state = 98},
  [240] = {.lex_state = 98},
  [241] = {.lex_state = 98},
  [242] = {.lex_state = 98},
  [243] = {.lex_state = 98},
  [244] = {.lex_state = 98},
  [245] = {.lex_state = 98},
  [246] = {.lex_state = 98},
  [247] = {.lex_state = 98},
  [248] = {.lex_state = 98},
  [249] = {.lex_state = 98},
  [250] = {.lex_state = 98},
  [251] = {.lex_state = 98},
  [252] = {.lex_state = 98},
  [253] = {.lex_state = 98},
  [254] = {.lex_state = 98},
  [255] = {.lex_state = 98},
  [256] = {.lex_state = 98},
  [257] = {.lex_state = 98},
  [258] = {.lex_state = 98},
  [259] = {.lex_state = 98},
  [260] = {.lex_state = 98},
  [261] = {.lex_state = 98},
  [262] = {.lex_state = 98},
  [263] = {.lex_state = 98},
  [264] = {.lex_state = 98},
  [265] = {.lex_state = 98},
  [266] = {.lex_state = 98},
  [267] = {.lex_state = 98},
  [268] = {.lex_state = 98},
  [269] = {.lex_state = 98},
  [270] = {.lex_state = 98},
  [271] = {.lex_state = 98},
  [272] = {.lex_state = 98},
  [273] = {.lex_state = 98},
  [274] = {.lex_state = 98},
  [275] = {.lex_state = 98},
  [276] = {.lex_state = 98},
  [277] = {.lex_state = 98},
  [278] = {.lex_state = 98},
  [279] = {.lex_state = 98},
  [280] = {.lex_state = 98},
  [281] = {.lex_state = 98},
  [282] = {.lex_state = 98},
  [283] = {.lex_state = 98},
  [284] = {.lex_state = 98},
  [285] = {.lex_state = 98},
  [286] = {.lex_state = 98},
  [287] = {.lex_state = 98},
  [288] = {.lex_state = 98},
  [289] = {.lex_state = 98},
  [290] = {.lex_state = 98},
  [291] = {.lex_state = 98},
  [292] = {.lex_state = 98},
  [293] = {.lex_state = 98},
  [294] = {.lex_state = 98},
  [295] = {.lex_state = 98},
  [296] = {.lex_state = 98},
  [297] = {.lex_state = 98},
  [298] = {.lex_state = 98},
  [299] = {.lex_state = 98},
  [300] = {.lex_state = 98},
  [301] = {.lex_state = 98},
  [302] = {.lex_state = 98},
  [303] = {.lex_state = 98},
  [304] = {.lex_state = 98},
  [305] = {.lex_state = 98},
  [306] = {.lex_state = 98},
  [307] = {.lex_state = 98},
  [308] = {.lex_state = 98},
  [309] = {.lex_state = 98},
  [310] = {.lex_state = 98},
  [311] = {.lex_state = 98},
  [312] = {.lex_state = 98},
  [313] = {.lex_state = 98},
  [314] = {.lex_state = 98},
  [315] = {.lex_state = 98},
  [316] = {.lex_state = 98},
  [317] = {.lex_state = 98},
  [318] = {.lex_state = 98},
  [319] = {.lex_state = 98},
  [320] = {.lex_state = 98},
  [321] = {.lex_state = 98},
  [322] = {.lex_state = 98},
  [323] = {.lex_state = 98},
  [324] = {.lex_state = 98},
  [325] = {.lex_state = 98},
  [326] = {.lex_state = 98},
  [327] = {.lex_state = 98},
  [328] = {.lex_state = 98},
  [329] = {.lex_state = 98},
  [330] = {.lex_state = 98},
  [331] = {.lex_state = 98},
  [332] = {.lex_state = 98},
  [333] = {.lex_state = 98},
  [334] = {.lex_state = 98},
  [335] = {.lex_state = 98},
  [336] = {.lex_state = 98},
  [337] = {.lex_state = 98},
  [338] = {.lex_state = 98},
  [339] = {.lex_state = 98},
  [340] = {.lex_state = 98},
  [341] = {.lex_state = 98},
  [342] = {.lex_state = 98},
  [343] = {.lex_state = 98},
  [344] = {.lex_state = 98},
  [345] = {.lex_state = 98},
  [346] = {.lex_state = 108},
  [347] = {.lex_state = 98},
  [348] = {.lex_state = 98},
  [349] = {.lex_state = 98},
  [350] = {.lex_state = 98},
  [351] = {.lex_state = 98},
  [352] = {.lex_state = 98},
  [353] = {.lex_state = 98},
  [354] = {.lex_state = 98},
  [355] = {.lex_state = 98},
  [356] = {.lex_state = 98},
  [357] = {.lex_state = 98},
  [358] = {.lex_state = 98},
  [359] = {.lex_state = 98},
  [360] = {.lex_state = 98},
  [361] = {.lex_state = 98},
  [362] = {.lex_state = 98},
  [363] = {.lex_state = 108},
  [364] = {.lex_state = 108},
  [365] = {.lex_state = 108},
  [366] = {.lex_state = 108},
  [367] = {.lex_state = 108},
  [368] = {.lex_state = 108},
  [369] = {.lex_state = 108},
  [370] = {.lex_state = 108},
  [371] = {.lex_state = 108},
  [372] = {.lex_state = 108},
  [373] = {.lex_state = 108},
  [374] = {.lex_state = 108},
  [375] = {.lex_state = 108},
  [376] = {.lex_state = 108},
  [377] = {.lex_state = 108},
  [378] = {.lex_state = 108},
  [379] = {.lex_state = 108},
  [380] = {.lex_state = 108},
  [381] = {.lex_state = 108},
  [382] = {.lex_state = 108},
  [383] = {.lex_state = 108},
  [384] = {.lex_state = 108},
  [385] = {.lex_state = 108},
  [386] = {.lex_state = 108},
  [387] = {.lex_state = 108},
  [388] = {.lex_state = 108},
  [389] = {.lex_state = 108},
  [390] = {.lex_state = 108},
  [391] = {.lex_state = 108},
  [392] = {.lex_state = 108},
  [393] = {.lex_state = 418},
  [394] = {.lex_state = 418},
  [395] = {.lex_state = 418},
  [396] = {.lex_state = 418},
  [397] = {.lex_state = 418},
  [398] = {.lex_state = 418},
  [399] = {.lex_state = 418},
  [400] = {.lex_state = 418},
  [401] = {.lex_state = 418},
  [402] = {.lex_state = 418},
  [403] = {.lex_state = 108},
  [404] = {.lex_state = 108},
  [405] = {.lex_state = 108},
  [406] = {.lex_state = 108},
  [407] = {.lex_state = 108},
  [408] = {.lex_state = 108},
  [409] = {.lex_state = 108},
  [410] = {.lex_state = 108},
  [411] = {.lex_state = 108},
  [412] = {.lex_state = 108},
  [413] = {.lex_state = 108},
  [414] = {.lex_state = 108},
  [415] = {.lex_state = 108},
  [416] = {.lex_state = 108},
  [417] = {.lex_state = 108},
  [418] = {.lex_state = 108},
  [419] = {.lex_state = 108},
  [420] = {.lex_state = 108},
  [421] = {.lex_state = 108},
  [422] = {.lex_state = 108},
  [423] = {.lex_state = 108},
  [424] = {.lex_state = 108},
  [425] = {.lex_state = 108},
  [426] = {.lex_state = 108},
  [427] = {.lex_state = 108},
  [428] = {.lex_state = 108},
  [429] = {.lex_state = 108},
  [430] = {.lex_state = 108},
  [431] = {.lex_state = 108},
  [432] = {.lex_state = 108},
  [433] = {.lex_state = 108},
  [434] = {.lex_state = 108},
  [435] = {.lex_state = 108},
  [436] = {.lex_state = 108},
  [437] = {.lex_state = 108},
  [438] = {.lex_state = 108},
  [439] = {.lex_state = 108},
  [440] = {.lex_state = 108},
  [441] = {.lex_state = 108},
  [442] = {.lex_state = 108},
  [443] = {.lex_state = 108},
  [444] = {.lex_state = 108},
  [445] = {.lex_state = 108},
  [446] = {.lex_state = 108},
  [447] = {.lex_state = 108},
  [448] = {.lex_state = 108},
  [449] = {.lex_state = 108},
  [450] = {.lex_state = 108},
  [451] = {.lex_state = 108},
  [452] = {.lex_state = 108},
  [453] = {.lex_state = 108},
  [454] = {.lex_state = 108},
  [455] = {.lex_state = 108},
  [456] = {.lex_state = 108},
  [457] = {.lex_state = 108},
  [458] = {.lex_state = 108},
  [459] = {.lex_state = 108},
  [460] = {.lex_state = 108},
  [461] = {.lex_state = 108},
  [462] = {.lex_state = 108},
  [463] = {.lex_state = 108},
  [464] = {.lex_state = 108},
  [465] = {.lex_state = 108},
  [466] = {.lex_state = 108},
  [467] = {.lex_state = 108},
  [468] = {.lex_state = 108},
  [469] = {.lex_state = 108},
  [470] = {.lex_state = 108},
  [471] = {.lex_state = 108},
  [472] = {.lex_state = 108},
  [473] = {.lex_state = 108},
  [474] = {.lex_state = 108},
  [475] = {.lex_state = 108},
  [476] = {.lex_state = 108},
  [477] = {.lex_state = 108},
  [478] = {.lex_state = 108},
  [479] = {.lex_state = 108},
  [480] = {.lex_state = 108},
  [481] = {.lex_state = 108},
  [482] = {.lex_state = 108},
  [483] = {.lex_state = 108},
  [484] = {.lex_state = 108},
  [485] = {.lex_state = 108},
  [486] = {.lex_state = 108},
  [487] = {.lex_state = 108},
  [488] = {.lex_state = 108},
  [489] = {.lex_state = 108},
  [490] = {.lex_state = 108},
  [491] = {.lex_state = 108},
  [492] = {.lex_state = 108},
  [493] = {.lex_state = 108},
  [494] = {.lex_state = 108},
  [495] = {.lex_state = 108},
  [496] = {.lex_state = 108},
  [497] = {.lex_state = 108},
  [498] = {.lex_state = 108},
  [499] = {.lex_state = 108},
  [500] = {.lex_state = 108},
  [501] = {.lex_state = 108},
  [502] = {.lex_state = 108},
  [503] = {.lex_state = 108},
  [504] = {.lex_state = 108},
  [505] = {.lex_state = 108},
  [506] = {.lex_state = 108},
  [507] = {.lex_state = 108},
  [508] = {.lex_state = 108},
  [509] = {.lex_state = 108},
  [510] = {.lex_state = 108},
  [511] = {.lex_state = 108},
  [512] = {.lex_state = 108},
  [513] = {.lex_state = 108},
  [514] = {.lex_state = 108},
  [515] = {.lex_state = 108},
  [516] = {.lex_state = 108},
  [517] = {.lex_state = 108},
  [518] = {.lex_state = 108},
  [519] = {.lex_state = 108},
  [520] = {.lex_state = 108},
  [521] = {.lex_state = 108},
  [522] = {.lex_state = 108},
  [523] = {.lex_state = 108},
  [524] = {.lex_state = 108},
  [525] = {.lex_state = 108},
  [526] = {.lex_state = 108},
  [527] = {.lex_state = 108},
  [528] = {.lex_state = 107},
  [529] = {.lex_state = 108},
  [530] = {.lex_state = 419},
  [531] = {.lex_state = 107},
  [532] = {.lex_state = 107},
  [533] = {.lex_state = 107},
  [534] = {.lex_state = 107},
  [535] = {.lex_state = 107},
  [536] = {.lex_state = 107},
  [537] = {.lex_state = 107},
  [538] = {.lex_state = 107},
  [539] = {.lex_state = 107},
  [540] = {.lex_state = 107},
  [541] = {.lex_state = 107},
  [542] = {.lex_state = 107},
  [543] = {.lex_state = 107},
  [544] = {.lex_state = 107},
  [545] = {.lex_state = 107},
  [546] = {.lex_state = 107},
  [547] = {.lex_state = 95},
  [548] = {.lex_state = 419},
  [549] = {.lex_state = 107},
  [550] = {.lex_state = 107},
  [551] = {.lex_state = 107},
  [552] = {.lex_state = 107},
  [553] = {.lex_state = 107},
  [554] = {.lex_state = 107},
  [555] = {.lex_state = 107},
  [556] = {.lex_state = 107},
  [557] = {.lex_state = 107},
  [558] = {.lex_state = 107},
  [559] = {.lex_state = 107},
  [560] = {.lex_state = 107},
  [561] = {.lex_state = 107},
  [562] = {.lex_state = 107},
  [563] = {.lex_state = 107},
  [564] = {.lex_state = 107},
  [565] = {.lex_state = 107},
  [566] = {.lex_state = 107},
  [567] = {.lex_state = 107},
  [568] = {.lex_state = 107},
  [569] = {.lex_state = 107},
  [570] = {.lex_state = 107},
  [571] = {.lex_state = 107},
  [572] = {.lex_state = 107},
  [573] = {.lex_state = 107},
  [574] = {.lex_state = 107},
  [575] = {.lex_state = 107},
  [576] = {.lex_state = 107},
  [577] = {.lex_state = 107},
  [578] = {.lex_state = 107},
  [579] = {.lex_state = 107},
  [580] = {.lex_state = 107},
  [581] = {.lex_state = 107},
  [582] = {.lex_state = 107},
  [583] = {.lex_state = 107},
  [584] = {.lex_state = 107},
  [585] = {.lex_state = 107},
  [586] = {.lex_state = 107},
  [587] = {.lex_state = 107},
  [588] = {.lex_state = 107},
  [589] = {.lex_state = 107},
  [590] = {.lex_state = 107},
  [591] = {.lex_state = 107},
  [592] = {.lex_state = 107},
  [593] = {.lex_state = 107},
  [594] = {.lex_state = 107},
  [595] = {.lex_state = 107},
  [596] = {.lex_state = 107},
  [597] = {.lex_state = 107},
  [598] = {.lex_state = 107},
  [599] = {.lex_state = 107},
  [600] = {.lex_state = 107},
  [601] = {.lex_state = 107},
  [602] = {.lex_state = 107},
  [603] = {.lex_state = 107},
  [604] = {.lex_state = 107},
  [605] = {.lex_state = 107},
  [606] = {.lex_state = 107},
  [607] = {.lex_state = 417},
  [608] = {.lex_state = 107},
  [609] = {.lex_state = 107},
  [610] = {.lex_state = 107},
  [611] = {.lex_state = 107},
  [612] = {.lex_state = 107},
  [613] = {.lex_state = 107},
  [614] = {.lex_state = 107},
  [615] = {.lex_state = 107},
  [616] = {.lex_state = 107},
  [617] = {.lex_state = 107},
  [618] = {.lex_state = 107},
  [619] = {.lex_state = 107},
  [620] = {.lex_state = 107},
  [621] = {.lex_state = 107},
  [622] = {.lex_state = 107},
  [623] = {.lex_state = 107},
  [624] = {.lex_state = 107},
  [625] = {.lex_state = 107},
  [626] = {.lex_state = 107},
  [627] = {.lex_state = 107},
  [628] = {.lex_state = 107},
  [629] = {.lex_state = 107},
  [630] = {.lex_state = 107},
  [631] = {.lex_state = 107},
  [632] = {.lex_state = 107},
  [633] = {.lex_state = 107},
  [634] = {.lex_state = 107},
  [635] = {.lex_state = 107},
  [636] = {.lex_state = 107},
  [637] = {.lex_state = 107},
  [638] = {.lex_state = 107},
  [639] = {.lex_state = 107},
  [640] = {.lex_state = 107},
  [641] = {.lex_state = 107},
  [642] = {.lex_state = 107},
  [643] = {.lex_state = 107},
  [644] = {.lex_state = 107},
  [645] = {.lex_state = 107},
  [646] = {.lex_state = 107},
  [647] = {.lex_state = 107},
  [648] = {.lex_state = 107},
  [649] = {.lex_state = 107},
  [650] = {.lex_state = 107},
  [651] = {.lex_state = 107},
  [652] = {.lex_state = 107},
  [653] = {.lex_state = 107},
  [654] = {.lex_state = 107},
  [655] = {.lex_state = 107},
  [656] = {.lex_state = 107},
  [657] = {.lex_state = 107},
  [658] = {.lex_state = 107},
  [659] = {.lex_state = 107},
  [660] = {.lex_state = 107},
  [661] = {.lex_state = 107},
  [662] = {.lex_state = 107},
  [663] = {.lex_state = 107},
  [664] = {.lex_state = 107},
  [665] = {.lex_state = 107},
  [666] = {.lex_state = 107},
  [667] = {.lex_state = 107},
  [668] = {.lex_state = 107},
  [669] = {.lex_state = 107},
  [670] = {.lex_state = 107},
  [671] = {.lex_state = 107},
  [672] = {.lex_state = 107},
  [673] = {.lex_state = 107},
  [674] = {.lex_state = 107},
  [675] = {.lex_state = 107},
  [676] = {.lex_state = 107},
  [677] = {.lex_state = 107},
  [678] = {.lex_state = 107},
  [679] = {.lex_state = 107},
  [680] = {.lex_state = 107},
  [681] = {.lex_state = 107},
  [682] = {.lex_state = 107},
  [683] = {.lex_state = 107},
  [684] = {.lex_state = 107},
  [685] = {.lex_state = 107},
  [686] = {.lex_state = 107},
  [687] = {.lex_state = 107},
  [688] = {.lex_state = 107},
  [689] = {.lex_state = 417},
  [690] = {.lex_state = 107},
  [691] = {.lex_state = 417},
  [692] = {.lex_state = 417},
  [693] = {.lex_state = 417},
  [694] = {.lex_state = 417},
  [695] = {.lex_state = 417},
  [696] = {.lex_state = 417},
  [697] = {.lex_state = 417},
  [698] = {.lex_state = 417},
  [699] = {.lex_state = 417},
  [700] = {.lex_state = 417},
  [701] = {.lex_state = 417},
  [702] = {.lex_state = 417},
  [703] = {.lex_state = 419},
  [704] = {.lex_state = 417},
  [705] = {.lex_state = 417},
  [706] = {.lex_state = 417},
  [707] = {.lex_state = 417},
  [708] = {.lex_state = 417},
  [709] = {.lex_state = 417},
  [710] = {.lex_state = 417},
  [711] = {.lex_state = 417},
  [712] = {.lex_state = 417},
  [713] = {.lex_state = 417},
  [714] = {.lex_state = 417},
  [715] = {.lex_state = 417},
  [716] = {.lex_state = 417},
  [717] = {.lex_state = 417},
  [718] = {.lex_state = 417},
  [719] = {.lex_state = 417},
  [720] = {.lex_state = 417},
  [721] = {.lex_state = 417},
  [722] = {.lex_state = 417},
  [723] = {.lex_state = 417},
  [724] = {.lex_state = 417},
  [725] = {.lex_state = 417},
  [726] = {.lex_state = 417},
  [727] = {.lex_state = 417},
  [728] = {.lex_state = 417},
  [729] = {.lex_state = 417},
  [730] = {.lex_state = 417},
  [731] = {.lex_state = 417},
  [732] = {.lex_state = 417},
  [733] = {.lex_state = 417},
  [734] = {.lex_state = 417},
  [735] = {.lex_state = 417},
  [736] = {.lex_state = 417},
  [737] = {.lex_state = 417},
  [738] = {.lex_state = 417},
  [739] = {.lex_state = 417},
  [740] = {.lex_state = 417},
  [741] = {.lex_state = 417},
  [742] = {.lex_state = 417},
  [743] = {.lex_state = 417},
  [744] = {.lex_state = 417},
  [745] = {.lex_state = 417},
  [746] = {.lex_state = 417},
  [747] = {.lex_state = 417},
  [748] = {.lex_state = 417},
  [749] = {.lex_state = 417},
  [750] = {.lex_state = 417},
  [751] = {.lex_state = 417},
  [752] = {.lex_state = 417},
  [753] = {.lex_state = 417},
  [754] = {.lex_state = 417},
  [755] = {.lex_state = 417},
  [756] = {.lex_state = 417},
  [757] = {.lex_state = 417},
  [758] = {.lex_state = 417},
  [759] = {.lex_state = 417},
  [760] = {.lex_state = 417},
  [761] = {.lex_state = 417},
  [762] = {.lex_state = 417},
  [763] = {.lex_state = 417},
  [764] = {.lex_state = 417},
  [765] = {.lex_state = 417},
  [766] = {.lex_state = 417},
  [767] = {.lex_state = 417},
  [768] = {.lex_state = 417},
  [769] = {.lex_state = 95},
  [770] = {.lex_state = 417},
  [771] = {.lex_state = 417},
  [772] = {.lex_state = 417},
  [773] = {.lex_state = 417},
  [774] = {.lex_state = 417},
  [775] = {.lex_state = 417},
  [776] = {.lex_state = 417},
  [777] = {.lex_state = 417},
  [778] = {.lex_state = 417},
  [779] = {.lex_state = 417},
  [780] = {.lex_state = 417},
  [781] = {.lex_state = 417},
  [782] = {.lex_state = 419},
  [783] = {.lex_state = 417},
  [784] = {.lex_state = 417},
  [785] = {.lex_state = 417},
  [786] = {.lex_state = 417},
  [787] = {.lex_state = 417},
  [788] = {.lex_state = 417},
  [789] = {.lex_state = 417},
  [790] = {.lex_state = 417},
  [791] = {.lex_state = 417},
  [792] = {.lex_state = 417},
  [793] = {.lex_state = 417},
  [794] = {.lex_state = 417},
  [795] = {.lex_state = 417},
  [796] = {.lex_state = 417},
  [797] = {.lex_state = 417},
  [798] = {.lex_state = 417},
  [799] = {.lex_state = 417},
  [800] = {.lex_state = 417},
  [801] = {.lex_state = 417},
  [802] = {.lex_state = 417},
  [803] = {.lex_state = 417},
  [804] = {.lex_state = 417},
  [805] = {.lex_state = 417},
  [806] = {.lex_state = 417},
  [807] = {.lex_state = 417},
  [808] = {.lex_state = 417},
  [809] = {.lex_state = 417},
  [810] = {.lex_state = 417},
  [811] = {.lex_state = 417},
  [812] = {.lex_state = 417},
  [813] = {.lex_state = 419},
  [814] = {.lex_state = 419},
  [815] = {.lex_state = 419},
  [816] = {.lex_state = 417},
  [817] = {.lex_state = 417},
  [818] = {.lex_state = 417},
  [819] = {.lex_state = 417},
  [820] = {.lex_state = 417},
  [821] = {.lex_state = 417},
  [822] = {.lex_state = 417},
  [823] = {.lex_state = 417},
  [824] = {.lex_state = 417},
  [825] = {.lex_state = 417},
  [826] = {.lex_state = 417},
  [827] = {.lex_state = 417},
  [828] = {.lex_state = 417},
  [829] = {.lex_state = 417},
  [830] = {.lex_state = 417},
  [831] = {.lex_state = 417},
  [832] = {.lex_state = 417},
  [833] = {.lex_state = 417},
  [834] = {.lex_state = 417},
  [835] = {.lex_state = 417},
  [836] = {.lex_state = 417},
  [837] = {.lex_state = 417},
  [838] = {.lex_state = 417},
  [839] = {.lex_state = 417},
  [840] = {.lex_state = 417},
  [841] = {.lex_state = 417},
  [842] = {.lex_state = 417},
  [843] = {.lex_state = 417},
  [844] = {.lex_state = 417},
  [845] = {.lex_state = 417},
  [846] = {.lex_state = 417},
  [847] = {.lex_state = 417},
  [848] = {.lex_state = 417},
  [849] = {.lex_state = 417},
  [850] = {.lex_state = 417},
  [851] = {.lex_state = 417},
  [852] = {.lex_state = 417},
  [853] = {.lex_state = 417},
  [854] = {.lex_state = 417},
  [855] = {.lex_state = 417},
  [856] = {.lex_state = 417},
  [857] = {.lex_state = 417},
  [858] = {.lex_state = 417},
  [859] = {.lex_state = 417},
  [860] = {.lex_state = 417},
  [861] = {.lex_state = 417},
  [862] = {.lex_state = 417},
  [863] = {.lex_state = 417},
  [864] = {.lex_state = 417},
  [865] = {.lex_state = 417},
  [866] = {.lex_state = 417},
  [867] = {.lex_state = 417},
  [868] = {.lex_state = 417},
  [869] = {.lex_state = 417},
  [870] = {.lex_state = 417},
  [871] = {.lex_state = 417},
  [872] = {.lex_state = 417},
  [873] = {.lex_state = 417},
  [874] = {.lex_state = 417},
  [875] = {.lex_state = 417},
  [876] = {.lex_state = 417},
  [877] = {.lex_state = 417},
  [878] = {.lex_state = 417},
  [879] = {.lex_state = 417},
  [880] = {.lex_state = 417},
  [881] = {.lex_state = 417},
  [882] = {.lex_state = 417},
  [883] = {.lex_state = 417},
  [884] = {.lex_state = 417},
  [885] = {.lex_state = 417},
  [886] = {.lex_state = 417},
  [887] = {.lex_state = 417},
  [888] = {.lex_state = 417},
  [889] = {.lex_state = 417},
  [890] = {.lex_state = 417},
  [891] = {.lex_state = 417},
  [892] = {.lex_state = 417},
  [893] = {.lex_state = 417},
  [894] = {.lex_state = 417},
  [895] = {.lex_state = 417},
  [896] = {.lex_state = 417},
  [897] = {.lex_state = 417},
  [898] = {.lex_state = 417},
  [899] = {.lex_state = 417},
  [900] = {.lex_state = 417},
  [901] = {.lex_state = 417},
  [902] = {.lex_state = 417},
  [903] = {.lex_state = 417},
  [904] = {.lex_state = 417},
  [905] = {.lex_state = 417},
  [906] = {.lex_state = 417},
  [907] = {.lex_state = 417},
  [908] = {.lex_state = 417},
  [909] = {.lex_state = 417},
  [910] = {.lex_state = 417},
  [911] = {.lex_state = 417},
  [912] = {.lex_state = 417},
  [913] = {.lex_state = 417},
  [914] = {.lex_state = 417},
  [915] = {.lex_state = 417},
  [916] = {.lex_state = 417},
  [917] = {.lex_state = 115},
  [918] = {.lex_state = 416},
  [919] = {.lex_state = 416},
  [920] = {.lex_state = 416},
  [921] = {.lex_state = 115},
  [922] = {.lex_state = 115},
  [923] = {.lex_state = 115},
  [924] = {.lex_state = 115},
  [925] = {.lex_state = 416},
  [926] = {.lex_state = 416},
  [927] = {.lex_state = 416},
  [928] = {.lex_state = 416},
  [929] = {.lex_state = 416},
  [930] = {.lex_state = 416},
  [931] = {.lex_state = 416},
  [932] = {.lex_state = 416},
  [933] = {.lex_state = 416},
  [934] = {.lex_state = 416},
  [935] = {.lex_state = 416},
  [936] = {.lex_state = 416},
  [937] = {.lex_state = 416},
  [938] = {.lex_state = 416},
  [939] = {.lex_state = 416},
  [940] = {.lex_state = 416},
  [941] = {.lex_state = 416},
  [942] = {.lex_state = 416},
  [943] = {.lex_state = 416},
  [944] = {.lex_state = 416},
  [945] = {.lex_state = 416},
  [946] = {.lex_state = 416},
  [947] = {.lex_state = 416},
  [948] = {.lex_state = 416},
  [949] = {.lex_state = 416},
  [950] = {.lex_state = 416},
  [951] = {.lex_state = 416},
  [952] = {.lex_state = 416},
  [953] = {.lex_state = 416},
  [954] = {.lex_state = 416},
  [955] = {.lex_state = 416},
  [956] = {.lex_state = 416},
  [957] = {.lex_state = 416},
  [958] = {.lex_state = 416},
  [959] = {.lex_state = 416},
  [960] = {.lex_state = 416},
  [961] = {.lex_state = 416},
  [962] = {.lex_state = 416},
  [963] = {.lex_state = 416},
  [964] = {.lex_state = 416},
  [965] = {.lex_state = 416},
  [966] = {.lex_state = 416},
  [967] = {.lex_state = 416},
  [968] = {.lex_state = 416},
  [969] = {.lex_state = 416},
  [970] = {.lex_state = 416},
  [971] = {.lex_state = 416},
  [972] = {.lex_state = 416},
  [973] = {.lex_state = 416},
  [974] = {.lex_state = 416},
  [975] = {.lex_state = 416},
  [976] = {.lex_state = 416},
  [977] = {.lex_state = 416},
  [978] = {.lex_state = 416},
  [979] = {.lex_state = 416},
  [980] = {.lex_state = 416},
  [981] = {.lex_state = 115},
  [982] = {.lex_state = 416},
  [983] = {.lex_state = 416},
  [984] = {.lex_state = 416},
  [985] = {.lex_state = 416},
  [986] = {.lex_state = 111},
  [987] = {.lex_state = 416},
  [988] = {.lex_state = 416},
  [989] = {.lex_state = 416},
  [990] = {.lex_state = 416},
  [991] = {.lex_state = 416},
  [992] = {.lex_state = 416},
  [993] = {.lex_state = 416},
  [994] = {.lex_state = 416},
  [995] = {.lex_state = 416},
  [996] = {.lex_state = 416},
  [997] = {.lex_state = 416},
  [998] = {.lex_state = 416},
  [999] = {.lex_state = 416},
  [1000] = {.lex_state = 416},
  [1001] = {.lex_state = 416},
  [1002] = {.lex_state = 416},
  [1003] = {.lex_state = 416},
  [1004] = {.lex_state = 416},
  [1005] = {.lex_state = 416},
  [1006] = {.lex_state = 416},
  [1007] = {.lex_state = 416},
  [1008] = {.lex_state = 416},
  [1009] = {.lex_state = 416},
  [1010] = {.lex_state = 416},
  [1011] = {.lex_state = 416},
  [1012] = {.lex_state = 416},
  [1013] = {.lex_state = 416},
  [1014] = {.lex_state = 416},
  [1015] = {.lex_state = 416},
  [1016] = {.lex_state = 416},
  [1017] = {.lex_state = 416},
  [1018] = {.lex_state = 416},
  [1019] = {.lex_state = 416},
  [1020] = {.lex_state = 416},
  [1021] = {.lex_state = 416},
  [1022] = {.lex_state = 416},
  [1023] = {.lex_state = 416},
  [1024] = {.lex_state = 416},
  [1025] = {.lex_state = 416},
  [1026] = {.lex_state = 416},
  [1027] = {.lex_state = 416},
  [1028] = {.lex_state = 416},
  [1029] = {.lex_state = 416},
  [1030] = {.lex_state = 416},
  [1031] = {.lex_state = 416},
  [1032] = {.lex_state = 416},
  [1033] = {.lex_state = 416},
  [1034] = {.lex_state = 416},
  [1035] = {.lex_state = 416},
  [1036] = {.lex_state = 416},
  [1037] = {.lex_state = 416},
  [1038] = {.lex_state = 416},
  [1039] = {.lex_state = 416},
  [1040] = {.lex_state = 416},
  [1041] = {.lex_state = 416},
  [1042] = {.lex_state = 416},
  [1043] = {.lex_state = 416},
  [1044] = {.lex_state = 416},
  [1045] = {.lex_state = 416},
  [1046] = {.lex_state = 416},
  [1047] = {.lex_state = 416},
  [1048] = {.lex_state = 416},
  [1049] = {.lex_state = 416},
  [1050] = {.lex_state = 416},
  [1051] = {.lex_state = 416},
  [1052] = {.lex_state = 416},
  [1053] = {.lex_state = 416},
  [1054] = {.lex_state = 416},
  [1055] = {.lex_state = 416},
  [1056] = {.lex_state = 416},
  [1057] = {.lex_state = 416},
  [1058] = {.lex_state = 416},
  [1059] = {.lex_state = 416},
  [1060] = {.lex_state = 416},
  [1061] = {.lex_state = 416},
  [1062] = {.lex_state = 416},
  [1063] = {.lex_state = 416},
  [1064] = {.lex_state = 416},
  [1065] = {.lex_state = 416},
  [1066] = {.lex_state = 416},
  [1067] = {.lex_state = 416},
  [1068] = {.lex_state = 416},
  [1069] = {.lex_state = 416},
  [1070] = {.lex_state = 111},
  [1071] = {.lex_state = 416},
  [1072] = {.lex_state = 416},
  [1073] = {.lex_state = 416},
  [1074] = {.lex_state = 416},
  [1075] = {.lex_state = 416},
  [1076] = {.lex_state = 111},
  [1077] = {.lex_state = 416},
  [1078] = {.lex_state = 111},
  [1079] = {.lex_state = 111},
  [1080] = {.lex_state = 111},
  [1081] = {.lex_state = 416},
  [1082] = {.lex_state = 111},
  [1083] = {.lex_state = 111},
  [1084] = {.lex_state = 110},
  [1085] = {.lex_state = 110},
  [1086] = {.lex_state = 114},
  [1087] = {.lex_state = 114},
  [1088] = {.lex_state = 114},
  [1089] = {.lex_state = 114},
  [1090] = {.lex_state = 114},
  [1091] = {.lex_state = 114},
  [1092] = {.lex_state = 114},
  [1093] = {.lex_state = 110},
  [1094] = {.lex_state = 132},
  [1095] = {.lex_state = 132},
  [1096] = {.lex_state = 105},
  [1097] = {.lex_state = 132},
  [1098] = {.lex_state = 132},
  [1099] = {.lex_state = 132},
  [1100] = {.lex_state = 105},
  [1101] = {.lex_state = 105},
  [1102] = {.lex_state = 105},
  [1103] = {.lex_state = 105},
  [1104] = {.lex_state = 105},
  [1105] = {.lex_state = 105},
  [1106] = {.lex_state = 105},
  [1107] = {.lex_state = 105},
  [1108] = {.lex_state = 105},
  [1109] = {.lex_state = 105},
  [1110] = {.lex_state = 105},
  [1111] = {.lex_state = 105},
  [1112] = {.lex_state = 105},
  [1113] = {.lex_state = 105},
  [1114] = {.lex_state = 105},
  [1115] = {.lex_state = 105},
  [1116] = {.lex_state = 105},
  [1117] = {.lex_state = 105},
  [1118] = {.lex_state = 105},
  [1119] = {.lex_state = 105},
  [1120] = {.lex_state = 105},
  [1121] = {.lex_state = 105},
  [1122] = {.lex_state = 105},
  [1123] = {.lex_state = 105},
  [1124] = {.lex_state = 105},
  [1125] = {.lex_state = 105},
  [1126] = {.lex_state = 105},
  [1127] = {.lex_state = 105},
  [1128] = {.lex_state = 105},
  [1129] = {.lex_state = 105},
  [1130] = {.lex_state = 105},
  [1131] = {.lex_state = 105},
  [1132] = {.lex_state = 105},
  [1133] = {.lex_state = 105},
  [1134] = {.lex_state = 105},
  [1135] = {.lex_state = 105},
  [1136] = {.lex_state = 105},
  [1137] = {.lex_state = 105},
  [1138] = {.lex_state = 105},
  [1139] = {.lex_state = 105},
  [1140] = {.lex_state = 105},
  [1141] = {.lex_state = 105},
  [1142] = {.lex_state = 105},
  [1143] = {.lex_state = 105},
  [1144] = {.lex_state = 105},
  [1145] = {.lex_state = 105},
  [1146] = {.lex_state = 105},
  [1147] = {.lex_state = 105},
  [1148] = {.lex_state = 105},
  [1149] = {.lex_state = 105},
  [1150] = {.lex_state = 105},
  [1151] = {.lex_state = 105},
  [1152] = {.lex_state = 105},
  [1153] = {.lex_state = 105},
  [1154] = {.lex_state = 105},
  [1155] = {.lex_state = 105},
  [1156] = {.lex_state = 105},
  [1157] = {.lex_state = 105},
  [1158] = {.lex_state = 105},
  [1159] = {.lex_state = 105},
  [1160] = {.lex_state = 105},
  [1161] = {.lex_state = 105},
  [1162] = {.lex_state = 105},
  [1163] = {.lex_state = 105},
  [1164] = {.lex_state = 105},
  [1165] = {.lex_state = 105},
  [1166] = {.lex_state = 105},
  [1167] = {.lex_state = 105},
  [1168] = {.lex_state = 105},
  [1169] = {.lex_state = 105},
  [1170] = {.lex_state = 105},
  [1171] = {.lex_state = 105},
  [1172] = {.lex_state = 105},
  [1173] = {.lex_state = 105},
  [1174] = {.lex_state = 132},
  [1175] = {.lex_state = 132},
  [1176] = {.lex_state = 132},
  [1177] = {.lex_state = 132},
  [1178] = {.lex_state = 132},
  [1179] = {.lex_state = 132},
  [1180] = {.lex_state = 132},
  [1181] = {.lex_state = 132},
  [1182] = {.lex_state = 132},
  [1183] = {.lex_state = 132},
  [1184] = {.lex_state = 132},
  [1185] = {.lex_state = 132},
  [1186] = {.lex_state = 132},
  [1187] = {.lex_state = 132},
  [1188] = {.lex_state = 132},
  [1189] = {.lex_state = 132},
  [1190] = {.lex_state = 132},
  [1191] = {.lex_state = 132},
  [1192] = {.lex_state = 132},
  [1193] = {.lex_state = 132},
  [1194] = {.lex_state = 126},
  [1195] = {.lex_state = 126},
  [1196] = {.lex_state = 132},
  [1197] = {.lex_state = 126},
  [1198] = {.lex_state = 126},
  [1199] = {.lex_state = 126},
  [1200] = {.lex_state = 132},
  [1201] = {.lex_state = 126},
  [1202] = {.lex_state = 126},
  [1203] = {.lex_state = 132},
  [1204] = {.lex_state = 126},
  [1205] = {.lex_state = 132},
  [1206] = {.lex_state = 132},
  [1207] = {.lex_state = 132},
  [1208] = {.lex_state = 132},
  [1209] = {.lex_state = 132},
  [1210] = {.lex_state = 132},
  [1211] = {.lex_state = 132},
  [1212] = {.lex_state = 132},
  [1213] = {.lex_state = 132},
  [1214] = {.lex_state = 132},
  [1215] = {.lex_state = 132},
  [1216] = {.lex_state = 132},
  [1217] = {.lex_state = 126},
  [1218] = {.lex_state = 132},
  [1219] = {.lex_state = 132},
  [1220] = {.lex_state = 132},
  [1221] = {.lex_state = 132},
  [1222] = {.lex_state = 132},
  [1223] = {.lex_state = 126},
  [1224] = {.lex_state = 132},
  [1225] = {.lex_state = 126},
  [1226] = {.lex_state = 132},
  [1227] = {.lex_state = 132},
  [1228] = {.lex_state = 132},
  [1229] = {.lex_state = 132},
  [1230] = {.lex_state = 126},
  [1231] = {.lex_state = 132},
  [1232] = {.lex_state = 132},
  [1233] = {.lex_state = 126},
  [1234] = {.lex_state = 132},
  [1235] = {.lex_state = 132},
  [1236] = {.lex_state = 132},
  [1237] = {.lex_state = 132},
  [1238] = {.lex_state = 132},
  [1239] = {.lex_state = 132},
  [1240] = {.lex_state = 132},
  [1241] = {.lex_state = 132},
  [1242] = {.lex_state = 126},
  [1243] = {.lex_state = 132},
  [1244] = {.lex_state = 126},
  [1245] = {.lex_state = 132},
  [1246] = {.lex_state = 132},
  [1247] = {.lex_state = 132},
  [1248] = {.lex_state = 132},
  [1249] = {.lex_state = 126},
  [1250] = {.lex_state = 132},
  [1251] = {.lex_state = 132},
  [1252] = {.lex_state = 132},
  [1253] = {.lex_state = 132},
  [1254] = {.lex_state = 126},
  [1255] = {.lex_state = 132},
  [1256] = {.lex_state = 132},
  [1257] = {.lex_state = 132},
  [1258] = {.lex_state = 132},
  [1259] = {.lex_state = 132},
  [1260] = {.lex_state = 132},
  [1261] = {.lex_state = 132},
  [1262] = {.lex_state = 132},
  [1263] = {.lex_state = 132},
  [1264] = {.lex_state = 132},
  [1265] = {.lex_state = 132},
  [1266] = {.lex_state = 132},
  [1267] = {.lex_state = 132},
  [1268] = {.lex_state = 132},
  [1269] = {.lex_state = 132},
  [1270] = {.lex_state = 133},
  [1271] = {.lex_state = 132},
  [1272] = {.lex_state = 132},
  [1273] = {.lex_state = 132},
  [1274] = {.lex_state = 132},
  [1275] = {.lex_state = 132},
  [1276] = {.lex_state = 132},
  [1277] = {.lex_state = 132},
  [1278] = {.lex_state = 132},
  [1279] = {.lex_state = 132},
  [1280] = {.lex_state = 132},
  [1281] = {.lex_state = 132},
  [1282] = {.lex_state = 132},
  [1283] = {.lex_state = 132},
  [1284] = {.lex_state = 132},
  [1285] = {.lex_state = 133},
  [1286] = {.lex_state = 132},
  [1287] = {.lex_state = 132},
  [1288] = {.lex_state = 132},
  [1289] = {.lex_state = 132},
  [1290] = {.lex_state = 132},
  [1291] = {.lex_state = 132},
  [1292] = {.lex_state = 132},
  [1293] = {.lex_state = 132},
  [1294] = {.lex_state = 132},
  [1295] = {.lex_state = 132},
  [1296] = {.lex_state = 132},
  [1297] = {.lex_state = 132},
  [1298] = {.lex_state = 133},
  [1299] = {.lex_state = 132},
  [1300] = {.lex_state = 132},
  [1301] = {.lex_state = 132},
  [1302] = {.lex_state = 132},
  [1303] = {.lex_state = 132},
  [1304] = {.lex_state = 132},
  [1305] = {.lex_state = 132},
  [1306] = {.lex_state = 132},
  [1307] = {.lex_state = 132},
  [1308] = {.lex_state = 132},
  [1309] = {.lex_state = 132},
  [1310] = {.lex_state = 132},
  [1311] = {.lex_state = 132},
  [1312] = {.lex_state = 132},
  [1313] = {.lex_state = 132},
  [1314] = {.lex_state = 132},
  [1315] = {.lex_state = 132},
  [1316] = {.lex_state = 132},
  [1317] = {.lex_state = 132},
  [1318] = {.lex_state = 132},
  [1319] = {.lex_state = 132},
  [1320] = {.lex_state = 132},
  [1321] = {.lex_state = 132},
  [1322] = {.lex_state = 132},
  [1323] = {.lex_state = 132},
  [1324] = {.lex_state = 132},
  [1325] = {.lex_state = 132},
  [1326] = {.lex_state = 132},
  [1327] = {.lex_state = 126},
  [1328] = {.lex_state = 132},
  [1329] = {.lex_state = 132},
  [1330] = {.lex_state = 132},
  [1331] = {.lex_state = 132},
  [1332] = {.lex_state = 132},
  [1333] = {.lex_state = 132},
  [1334] = {.lex_state = 132},
  [1335] = {.lex_state = 132},
  [1336] = {.lex_state = 132},
  [1337] = {.lex_state = 132},
  [1338] = {.lex_state = 132},
  [1339] = {.lex_state = 132},
  [1340] = {.lex_state = 132},
  [1341] = {.lex_state = 132},
  [1342] = {.lex_state = 132},
  [1343] = {.lex_state = 132},
  [1344] = {.lex_state = 132},
  [1345] = {.lex_state = 133},
  [1346] = {.lex_state = 132},
  [1347] = {.lex_state = 132},
  [1348] = {.lex_state = 132},
  [1349] = {.lex_state = 132},
  [1350] = {.lex_state = 132},
  [1351] = {.lex_state = 132},
  [1352] = {.lex_state = 133},
  [1353] = {.lex_state = 132},
  [1354] = {.lex_state = 133},
  [1355] = {.lex_state = 132},
  [1356] = {.lex_state = 132},
  [1357] = {.lex_state = 132},
  [1358] = {.lex_state = 132},
  [1359] = {.lex_state = 132},
  [1360] = {.lex_state = 132},
  [1361] = {.lex_state = 132},
  [1362] = {.lex_state = 132},
  [1363] = {.lex_state = 132},
  [1364] = {.lex_state = 132},
  [1365] = {.lex_state = 132},
  [1366] = {.lex_state = 132},
  [1367] = {.lex_state = 132},
  [1368] = {.lex_state = 132},
  [1369] = {.lex_state = 132},
  [1370] = {.lex_state = 132},
  [1371] = {.lex_state = 132},
  [1372] = {.lex_state = 132},
  [1373] = {.lex_state = 132},
  [1374] = {.lex_state = 132},
  [1375] = {.lex_state = 132},
  [1376] = {.lex_state = 132},
  [1377] = {.lex_state = 132},
  [1378] = {.lex_state = 132},
  [1379] = {.lex_state = 132},
  [1380] = {.lex_state = 132},
  [1381] = {.lex_state = 132},
  [1382] = {.lex_state = 132},
  [1383] = {.lex_state = 132},
  [1384] = {.lex_state = 132},
  [1385] = {.lex_state = 132},
  [1386] = {.lex_state = 132},
  [1387] = {.lex_state = 132},
  [1388] = {.lex_state = 132},
  [1389] = {.lex_state = 132},
  [1390] = {.lex_state = 132},
  [1391] = {.lex_state = 132},
  [1392] = {.lex_state = 132},
  [1393] = {.lex_state = 132},
  [1394] = {.lex_state = 132},
  [1395] = {.lex_state = 132},
  [1396] = {.lex_state = 132},
  [1397] = {.lex_state = 132},
  [1398] = {.lex_state = 132},
  [1399] = {.lex_state = 132},
  [1400] = {.lex_state = 132},
  [1401] = {.lex_state = 132},
  [1402] = {.lex_state = 132},
  [1403] = {.lex_state = 132},
  [1404] = {.lex_state = 132},
  [1405] = {.lex_state = 132},
  [1406] = {.lex_state = 132},
  [1407] = {.lex_state = 132},
  [1408] = {.lex_state = 132},
  [1409] = {.lex_state = 132},
  [1410] = {.lex_state = 132},
  [1411] = {.lex_state = 132},
  [1412] = {.lex_state = 132},
  [1413] = {.lex_state = 132},
  [1414] = {.lex_state = 132},
  [1415] = {.lex_state = 132},
  [1416] = {.lex_state = 132},
  [1417] = {.lex_state = 132},
  [1418] = {.lex_state = 132},
  [1419] = {.lex_state = 132},
  [1420] = {.lex_state = 132},
  [1421] = {.lex_state = 132},
  [1422] = {.lex_state = 132},
  [1423] = {.lex_state = 132},
  [1424] = {.lex_state = 132},
  [1425] = {.lex_state = 132},
  [1426] = {.lex_state = 132},
  [1427] = {.lex_state = 132},
  [1428] = {.lex_state = 132},
  [1429] = {.lex_state = 132},
  [1430] = {.lex_state = 132},
  [1431] = {.lex_state = 132},
  [1432] = {.lex_state = 132},
  [1433] = {.lex_state = 132},
  [1434] = {.lex_state = 132},
  [1435] = {.lex_state = 132},
  [1436] = {.lex_state = 132},
  [1437] = {.lex_state = 132},
  [1438] = {.lex_state = 132},
  [1439] = {.lex_state = 132},
  [1440] = {.lex_state = 132},
  [1441] = {.lex_state = 132},
  [1442] = {.lex_state = 120},
  [1443] = {.lex_state = 120},
  [1444] = {.lex_state = 120},
  [1445] = {.lex_state = 124},
  [1446] = {.lex_state = 124},
  [1447] = {.lex_state = 124},
  [1448] = {.lex_state = 124},
  [1449] = {.lex_state = 120},
  [1450] = {.lex_state = 120},
  [1451] = {.lex_state = 124},
  [1452] = {.lex_state = 124},
  [1453] = {.lex_state = 120},
  [1454] = {.lex_state = 124},
  [1455] = {.lex_state = 124},
  [1456] = {.lex_state = 124},
  [1457] = {.lex_state = 124},
  [1458] = {.lex_state = 124},
  [1459] = {.lex_state = 124},
  [1460] = {.lex_state = 124},
  [1461] = {.lex_state = 124},
  [1462] = {.lex_state = 124},
  [1463] = {.lex_state = 124},
  [1464] = {.lex_state = 124},
  [1465] = {.lex_state = 124},
  [1466] = {.lex_state = 124},
  [1467] = {.lex_state = 124},
  [1468] = {.lex_state = 124},
  [1469] = {.lex_state = 120},
  [1470] = {.lex_state = 124},
  [1471] = {.lex_state = 124},
  [1472] = {.lex_state = 124},
  [1473] = {.lex_state = 124},
  [1474] = {.lex_state = 124},
  [1475] = {.lex_state = 124},
  [1476] = {.lex_state = 124},
  [1477] = {.lex_state = 124},
  [1478] = {.lex_state = 124},
  [1479] = {.lex_state = 124},
  [1480] = {.lex_state = 124},
  [1481] = {.lex_state = 124},
  [1482] = {.lex_state = 124},
  [1483] = {.lex_state = 124},
  [1484] = {.lex_state = 124},
  [1485] = {.lex_state = 124},
  [1486] = {.lex_state = 124},
  [1487] = {.lex_state = 124},
  [1488] = {.lex_state = 124},
  [1489] = {.lex_state = 124},
  [1490] = {.lex_state = 124},
  [1491] = {.lex_state = 124},
  [1492] = {.lex_state = 124},
  [1493] = {.lex_state = 124},
  [1494] = {.lex_state = 124},
  [1495] = {.lex_state = 124},
  [1496] = {.lex_state = 124},
  [1497] = {.lex_state = 124},
  [1498] = {.lex_state = 124},
  [1499] = {.lex_state = 124},
  [1500] = {.lex_state = 124},
  [1501] = {.lex_state = 120},
  [1502] = {.lex_state = 132},
  [1503] = {.lex_state = 124},
  [1504] = {.lex_state = 124},
  [1505] = {.lex_state = 124},
  [1506] = {.lex_state = 120},
  [1507] = {.lex_state = 124},
  [1508] = {.lex_state = 124},
  [1509] = {.lex_state = 120},
  [1510] = {.lex_state = 132},
  [1511] = {.lex_state = 124},
  [1512] = {.lex_state = 124},
  [1513] = {.lex_state = 124},
  [1514] = {.lex_state = 124},
  [1515] = {.lex_state = 124},
  [1516] = {.lex_state = 124},
  [1517] = {.lex_state = 124},
  [1518] = {.lex_state = 124},
  [1519] = {.lex_state = 120},
  [1520] = {.lex_state = 124},
  [1521] = {.lex_state = 124},
  [1522] = {.lex_state = 124},
  [1523] = {.lex_state = 125},
  [1524] = {.lex_state = 125},
  [1525] = {.lex_state = 125},
  [1526] = {.lex_state = 125},
  [1527] = {.lex_state = 125},
  [1528] = {.lex_state = 125},
  [1529] = {.lex_state = 125},
  [1530] = {.lex_state = 125},
  [1531] = {.lex_state = 125},
  [1532] = {.lex_state = 125},
  [1533] = {.lex_state = 125},
  [1534] = {.lex_state = 125},
  [1535] = {.lex_state = 125},
  [1536] = {.lex_state = 125},
  [1537] = {.lex_state = 125},
  [1538] = {.lex_state = 125},
  [1539] = {.lex_state = 112},
  [1540] = {.lex_state = 112},
  [1541] = {.lex_state = 112},
  [1542] = {.lex_state = 112},
  [1543] = {.lex_state = 112},
  [1544] = {.lex_state = 112},
  [1545] = {.lex_state = 112},
  [1546] = {.lex_state = 112},
  [1547] = {.lex_state = 112},
  [1548] = {.lex_state = 112},
  [1549] = {.lex_state = 112},
  [1550] = {.lex_state = 112},
  [1551] = {.lex_state = 112},
  [1552] = {.lex_state = 112},
  [1553] = {.lex_state = 112},
  [1554] = {.lex_state = 112},
  [1555] = {.lex_state = 112},
  [1556] = {.lex_state = 112},
  [1557] = {.lex_state = 112},
  [1558] = {.lex_state = 112},
  [1559] = {.lex_state = 112},
  [1560] = {.lex_state = 112},
  [1561] = {.lex_state = 112},
  [1562] = {.lex_state = 112},
  [1563] = {.lex_state = 124},
  [1564] = {.lex_state = 128},
  [1565] = {.lex_state = 124},
  [1566] = {.lex_state = 124},
  [1567] = {.lex_state = 124},
  [1568] = {.lex_state = 124},
  [1569] = {.lex_state = 124},
  [1570] = {.lex_state = 124},
  [1571] = {.lex_state = 124},
  [1572] = {.lex_state = 124},
  [1573] = {.lex_state = 124},
  [1574] = {.lex_state = 124},
  [1575] = {.lex_state = 124},
  [1576] = {.lex_state = 125},
  [1577] = {.lex_state = 128},
  [1578] = {.lex_state = 124},
  [1579] = {.lex_state = 128},
  [1580] = {.lex_state = 124},
  [1581] = {.lex_state = 124},
  [1582] = {.lex_state = 124},
  [1583] = {.lex_state = 132},
  [1584] = {.lex_state = 132},
  [1585] = {.lex_state = 132},
  [1586] = {.lex_state = 132},
  [1587] = {.lex_state = 117},
  [1588] = {.lex_state = 132},
  [1589] = {.lex_state = 117},
  [1590] = {.lex_state = 132},
  [1591] = {.lex_state = 132},
  [1592] = {.lex_state = 133},
  [1593] = {.lex_state = 123},
  [1594] = {.lex_state = 132},
  [1595] = {.lex_state = 117},
  [1596] = {.lex_state = 117},
  [1597] = {.lex_state = 133},
  [1598] = {.lex_state = 117},
  [1599] = {.lex_state = 117},
  [1600] = {.lex_state = 117},
  [1601] = {.lex_state = 111},
  [1602] = {.lex_state = 133},
  [1603] = {.lex_state = 123},
  [1604] = {.lex_state = 117},
  [1605] = {.lex_state = 132},
  [1606] = {.lex_state = 111},
  [1607] = {.lex_state = 111},
  [1608] = {.lex_state = 117},
  [1609] = {.lex_state = 117},
  [1610] = {.lex_state = 111},
  [1611] = {.lex_state = 117},
  [1612] = {.lex_state = 117},
  [1613] = {.lex_state = 111},
  [1614] = {.lex_state = 117},
  [1615] = {.lex_state = 111},
  [1616] = {.lex_state = 117},
  [1617] = {.lex_state = 117},
  [1618] = {.lex_state = 117},
  [1619] = {.lex_state = 111},
  [1620] = {.lex_state = 117},
  [1621] = {.lex_state = 117},
  [1622] = {.lex_state = 123},
  [1623] = {.lex_state = 117},
  [1624] = {.lex_state = 117},
  [1625] = {.lex_state = 117},
  [1626] = {.lex_state = 117},
  [1627] = {.lex_state = 128},
  [1628] = {.lex_state = 117},
  [1629] = {.lex_state = 117},
  [1630] = {.lex_state = 123},
  [1631] = {.lex_state = 128},
  [1632] = {.lex_state = 128},
  [1633] = {.lex_state = 128},
  [1634] = {.lex_state = 128},
  [1635] = {.lex_state = 128},
  [1636] = {.lex_state = 128},
  [1637] = {.lex_state = 128},
  [1638] = {.lex_state = 128},
  [1639] = {.lex_state = 128},
  [1640] = {.lex_state = 128},
  [1641] = {.lex_state = 128},
  [1642] = {.lex_state = 128},
  [1643] = {.lex_state = 128},
  [1644] = {.lex_state = 123},
  [1645] = {.lex_state = 128},
  [1646] = {.lex_state = 128},
  [1647] = {.lex_state = 128},
  [1648] = {.lex_state = 128},
  [1649] = {.lex_state = 128},
  [1650] = {.lex_state = 128},
  [1651] = {.lex_state = 128},
  [1652] = {.lex_state = 123},
  [1653] = {.lex_state = 117},
  [1654] = {.lex_state = 128},
  [1655] = {.lex_state = 123},
  [1656] = {.lex_state = 128},
  [1657] = {.lex_state = 128},
  [1658] = {.lex_state = 128},
  [1659] = {.lex_state = 128},
  [1660] = {.lex_state = 128},
  [1661] = {.lex_state = 128},
  [1662] = {.lex_state = 128},
  [1663] = {.lex_state = 128},
  [1664] = {.lex_state = 128},
  [1665] = {.lex_state = 123},
  [1666] = {.lex_state = 128},
  [1667] = {.lex_state = 128},
  [1668] = {.lex_state = 128},
  [1669] = {.lex_state = 128},
  [1670] = {.lex_state = 128},
  [1671] = {.lex_state = 128},
  [1672] = {.lex_state = 128},
  [1673] = {.lex_state = 123},
  [1674] = {.lex_state = 128},
  [1675] = {.lex_state = 128},
  [1676] = {.lex_state = 128},
  [1677] = {.lex_state = 128},
  [1678] = {.lex_state = 128},
  [1679] = {.lex_state = 117},
  [1680] = {.lex_state = 117},
  [1681] = {.lex_state = 117},
  [1682] = {.lex_state = 117},
  [1683] = {.lex_state = 117},
  [1684] = {.lex_state = 132},
  [1685] = {.lex_state = 132},
  [1686] = {.lex_state = 132},
  [1687] = {.lex_state = 117},
  [1688] = {.lex_state = 132},
  [1689] = {.lex_state = 132},
  [1690] = {.lex_state = 132},
  [1691] = {.lex_state = 132},
  [1692] = {.lex_state = 132},
  [1693] = {.lex_state = 132},
  [1694] = {.lex_state = 132},
  [1695] = {.lex_state = 132},
  [1696] = {.lex_state = 132},
  [1697] = {.lex_state = 132},
  [1698] = {.lex_state = 132},
  [1699] = {.lex_state = 132},
  [1700] = {.lex_state = 132},
  [1701] = {.lex_state = 132},
  [1702] = {.lex_state = 132},
  [1703] = {.lex_state = 132},
  [1704] = {.lex_state = 132},
  [1705] = {.lex_state = 132},
  [1706] = {.lex_state = 132},
  [1707] = {.lex_state = 117},
  [1708] = {.lex_state = 132},
  [1709] = {.lex_state = 132},
  [1710] = {.lex_state = 132},
  [1711] = {.lex_state = 132},
  [1712] = {.lex_state = 132},
  [1713] = {.lex_state = 132},
  [1714] = {.lex_state = 132},
  [1715] = {.lex_state = 132},
  [1716] = {.lex_state = 132},
  [1717] = {.lex_state = 132},
  [1718] = {.lex_state = 132},
  [1719] = {.lex_state = 132},
  [1720] = {.lex_state = 132},
  [1721] = {.lex_state = 132},
  [1722] = {.lex_state = 132},
  [1723] = {.lex_state = 132},
  [1724] = {.lex_state = 132},
  [1725] = {.lex_state = 132},
  [1726] = {.lex_state = 132},
  [1727] = {.lex_state = 132},
  [1728] = {.lex_state = 132},
  [1729] = {.lex_state = 132},
  [1730] = {.lex_state = 132},
  [1731] = {.lex_state = 132},
  [1732] = {.lex_state = 132},
  [1733] = {.lex_state = 132},
  [1734] = {.lex_state = 132},
  [1735] = {.lex_state = 132},
  [1736] = {.lex_state = 117},
  [1737] = {.lex_state = 132},
  [1738] = {.lex_state = 132},
  [1739] = {.lex_state = 125},
  [1740] = {.lex_state = 132},
  [1741] = {.lex_state = 125},
  [1742] = {.lex_state = 125},
  [1743] = {.lex_state = 132},
  [1744] = {.lex_state = 125},
  [1745] = {.lex_state = 132},
  [1746] = {.lex_state = 132},
  [1747] = {.lex_state = 132},
  [1748] = {.lex_state = 132},
  [1749] = {.lex_state = 132},
  [1750] = {.lex_state = 125},
  [1751] = {.lex_state = 125},
  [1752] = {.lex_state = 132},
  [1753] = {.lex_state = 132},
  [1754] = {.lex_state = 132},
  [1755] = {.lex_state = 125},
  [1756] = {.lex_state = 132},
  [1757] = {.lex_state = 132},
  [1758] = {.lex_state = 125},
  [1759] = {.lex_state = 125},
  [1760] = {.lex_state = 132},
  [1761] = {.lex_state = 125},
  [1762] = {.lex_state = 132},
  [1763] = {.lex_state = 132},
  [1764] = {.lex_state = 132},
  [1765] = {.lex_state = 125},
  [1766] = {.lex_state = 125},
  [1767] = {.lex_state = 125},
  [1768] = {.lex_state = 125},
  [1769] = {.lex_state = 125},
  [1770] = {.lex_state = 132},
  [1771] = {.lex_state = 132},
  [1772] = {.lex_state = 132},
  [1773] = {.lex_state = 125},
  [1774] = {.lex_state = 125},
  [1775] = {.lex_state = 132},
  [1776] = {.lex_state = 125},
  [1777] = {.lex_state = 132},
  [1778] = {.lex_state = 132},
  [1779] = {.lex_state = 125},
  [1780] = {.lex_state = 132},
  [1781] = {.lex_state = 132},
  [1782] = {.lex_state = 132},
  [1783] = {.lex_state = 132},
  [1784] = {.lex_state = 125},
  [1785] = {.lex_state = 125},
  [1786] = {.lex_state = 132},
  [1787] = {.lex_state = 132},
  [1788] = {.lex_state = 132},
  [1789] = {.lex_state = 132},
  [1790] = {.lex_state = 132},
  [1791] = {.lex_state = 125},
  [1792] = {.lex_state = 125},
  [1793] = {.lex_state = 132},
  [1794] = {.lex_state = 132},
  [1795] = {.lex_state = 125},
  [1796] = {.lex_state = 132},
  [1797] = {.lex_state = 132},
  [1798] = {.lex_state = 125},
  [1799] = {.lex_state = 132},
  [1800] = {.lex_state = 132},
  [1801] = {.lex_state = 125},
  [1802] = {.lex_state = 132},
  [1803] = {.lex_state = 132},
  [1804] = {.lex_state = 132},
  [1805] = {.lex_state = 132},
  [1806] = {.lex_state = 132},
  [1807] = {.lex_state = 132},
  [1808] = {.lex_state = 132},
  [1809] = {.lex_state = 125},
  [1810] = {.lex_state = 132},
  [1811] = {.lex_state = 132},
  [1812] = {.lex_state = 132},
  [1813] = {.lex_state = 132},
  [1814] = {.lex_state = 132},
  [1815] = {.lex_state = 132},
  [1816] = {.lex_state = 125},
  [1817] = {.lex_state = 132},
  [1818] = {.lex_state = 132},
  [1819] = {.lex_state = 125},
  [1820] = {.lex_state = 132},
  [1821] = {.lex_state = 132},
  [1822] = {.lex_state = 132},
  [1823] = {.lex_state = 132},
  [1824] = {.lex_state = 132},
  [1825] = {.lex_state = 132},
  [1826] = {.lex_state = 132},
  [1827] = {.lex_state = 132},
  [1828] = {.lex_state = 132},
  [1829] = {.lex_state = 132},
  [1830] = {.lex_state = 132},
  [1831] = {.lex_state = 132},
  [1832] = {.lex_state = 132},
  [1833] = {.lex_state = 117},
  [1834] = {.lex_state = 132},
  [1835] = {.lex_state = 132},
  [1836] = {.lex_state = 132},
  [1837] = {.lex_state = 132},
  [1838] = {.lex_state = 132},
  [1839] = {.lex_state = 132},
  [1840] = {.lex_state = 132},
  [1841] = {.lex_state = 132},
  [1842] = {.lex_state = 132},
  [1843] = {.lex_state = 132},
  [1844] = {.lex_state = 132},
  [1845] = {.lex_state = 132},
  [1846] = {.lex_state = 132},
  [1847] = {.lex_state = 132},
  [1848] = {.lex_state = 132},
  [1849] = {.lex_state = 132},
  [1850] = {.lex_state = 132},
  [1851] = {.lex_state = 132},
  [1852] = {.lex_state = 132},
  [1853] = {.lex_state = 132},
  [1854] = {.lex_state = 132},
  [1855] = {.lex_state = 132},
  [1856] = {.lex_state = 132},
  [1857] = {.lex_state = 132},
  [1858] = {.lex_state = 132},
  [1859] = {.lex_state = 132},
  [1860] = {.lex_state = 132},
  [1861] = {.lex_state = 132},
  [1862] = {.lex_state = 132},
  [1863] = {.lex_state = 132},
  [1864] = {.lex_state = 132},
  [1865] = {.lex_state = 132},
  [1866] = {.lex_state = 132},
  [1867] = {.lex_state = 132},
  [1868] = {.lex_state = 132},
  [1869] = {.lex_state = 132},
  [1870] = {.lex_state = 132},
  [1871] = {.lex_state = 132},
  [1872] = {.lex_state = 132},
  [1873] = {.lex_state = 132},
  [1874] = {.lex_state = 132},
  [1875] = {.lex_state = 132},
  [1876] = {.lex_state = 132},
  [1877] = {.lex_state = 132},
  [1878] = {.lex_state = 132},
  [1879] = {.lex_state = 132},
  [1880] = {.lex_state = 132},
  [1881] = {.lex_state = 132},
  [1882] = {.lex_state = 132},
  [1883] = {.lex_state = 132},
  [1884] = {.lex_state = 132},
  [1885] = {.lex_state = 132},
  [1886] = {.lex_state = 132},
  [1887] = {.lex_state = 132},
  [1888] = {.lex_state = 132},
  [1889] = {.lex_state = 132},
  [1890] = {.lex_state = 132},
  [1891] = {.lex_state = 132},
  [1892] = {.lex_state = 132},
  [1893] = {.lex_state = 132},
  [1894] = {.lex_state = 132},
  [1895] = {.lex_state = 132},
  [1896] = {.lex_state = 132},
  [1897] = {.lex_state = 132},
  [1898] = {.lex_state = 132},
  [1899] = {.lex_state = 132},
  [1900] = {.lex_state = 132},
  [1901] = {.lex_state = 132},
  [1902] = {.lex_state = 132},
  [1903] = {.lex_state = 132},
  [1904] = {.lex_state = 132},
  [1905] = {.lex_state = 132},
  [1906] = {.lex_state = 132},
  [1907] = {.lex_state = 132},
  [1908] = {.lex_state = 132},
  [1909] = {.lex_state = 132},
  [1910] = {.lex_state = 132},
  [1911] = {.lex_state = 132},
  [1912] = {.lex_state = 132},
  [1913] = {.lex_state = 132},
  [1914] = {.lex_state = 132},
  [1915] = {.lex_state = 132},
  [1916] = {.lex_state = 132},
  [1917] = {.lex_state = 132},
  [1918] = {.lex_state = 132},
  [1919] = {.lex_state = 132},
  [1920] = {.lex_state = 124},
  [1921] = {.lex_state = 124},
  [1922] = {.lex_state = 124},
  [1923] = {.lex_state = 124},
  [1924] = {.lex_state = 124},
  [1925] = {.lex_state = 124},
  [1926] = {.lex_state = 124},
  [1927] = {.lex_state = 124},
  [1928] = {.lex_state = 118},
  [1929] = {.lex_state = 118},
  [1930] = {.lex_state = 124},
  [1931] = {.lex_state = 124},
  [1932] = {.lex_state = 124},
  [1933] = {.lex_state = 124},
  [1934] = {.lex_state = 124},
  [1935] = {.lex_state = 124},
  [1936] = {.lex_state = 118},
  [1937] = {.lex_state = 124},
  [1938] = {.lex_state = 132},
  [1939] = {.lex_state = 126},
  [1940] = {.lex_state = 132},
  [1941] = {.lex_state = 132},
  [1942] = {.lex_state = 132},
  [1943] = {.lex_state = 132},
  [1944] = {.lex_state = 132},
  [1945] = {.lex_state = 132},
  [1946] = {.lex_state = 128},
  [1947] = {.lex_state = 132},
  [1948] = {.lex_state = 132},
  [1949] = {.lex_state = 132},
  [1950] = {.lex_state = 132},
  [1951] = {.lex_state = 132},
  [1952] = {.lex_state = 132},
  [1953] = {.lex_state = 132},
  [1954] = {.lex_state = 132},
  [1955] = {.lex_state = 132},
  [1956] = {.lex_state = 132},
  [1957] = {.lex_state = 128},
  [1958] = {.lex_state = 132},
  [1959] = {.lex_state = 132},
  [1960] = {.lex_state = 132},
  [1961] = {.lex_state = 128},
  [1962] = {.lex_state = 128},
  [1963] = {.lex_state = 132},
  [1964] = {.lex_state = 132},
  [1965] = {.lex_state = 132},
  [1966] = {.lex_state = 132},
  [1967] = {.lex_state = 132},
  [1968] = {.lex_state = 132},
  [1969] = {.lex_state = 132},
  [1970] = {.lex_state = 132},
  [1971] = {.lex_state = 132},
  [1972] = {.lex_state = 128},
  [1973] = {.lex_state = 128},
  [1974] = {.lex_state = 132},
  [1975] = {.lex_state = 132},
  [1976] = {.lex_state = 128},
  [1977] = {.lex_state = 132},
  [1978] = {.lex_state = 132},
  [1979] = {.lex_state = 132},
  [1980] = {.lex_state = 132},
  [1981] = {.lex_state = 132},
  [1982] = {.lex_state = 132},
  [1983] = {.lex_state = 132},
  [1984] = {.lex_state = 124},
  [1985] = {.lex_state = 132},
  [1986] = {.lex_state = 132},
  [1987] = {.lex_state = 126},
  [1988] = {.lex_state = 132},
  [1989] = {.lex_state = 132},
  [1990] = {.lex_state = 128},
  [1991] = {.lex_state = 132},
  [1992] = {.lex_state = 132},
  [1993] = {.lex_state = 132},
  [1994] = {.lex_state = 132},
  [1995] = {.lex_state = 128},
  [1996] = {.lex_state = 132},
  [1997] = {.lex_state = 132},
  [1998] = {.lex_state = 132},
  [1999] = {.lex_state = 128},
  [2000] = {.lex_state = 132},
  [2001] = {.lex_state = 132},
  [2002] = {.lex_state = 132},
  [2003] = {.lex_state = 132},
  [2004] = {.lex_state = 132},
  [2005] = {.lex_state = 132},
  [2006] = {.lex_state = 132},
  [2007] = {.lex_state = 132},
  [2008] = {.lex_state = 132},
  [2009] = {.lex_state = 132},
  [2010] = {.lex_state = 132},
  [2011] = {.lex_state = 132},
  [2012] = {.lex_state = 132},
  [2013] = {.lex_state = 132},
  [2014] = {.lex_state = 132},
  [2015] = {.lex_state = 132},
  [2016] = {.lex_state = 132},
  [2017] = {.lex_state = 132},
  [2018] = {.lex_state = 132},
  [2019] = {.lex_state = 132},
  [2020] = {.lex_state = 132},
  [2021] = {.lex_state = 132},
  [2022] = {.lex_state = 132},
  [2023] = {.lex_state = 118},
  [2024] = {.lex_state = 132},
  [2025] = {.lex_state = 132},
  [2026] = {.lex_state = 132},
  [2027] = {.lex_state = 132},
  [2028] = {.lex_state = 132},
  [2029] = {.lex_state = 112},
  [2030] = {.lex_state = 132},
  [2031] = {.lex_state = 132},
  [2032] = {.lex_state = 132},
  [2033] = {.lex_state = 132},
  [2034] = {.lex_state = 132},
  [2035] = {.lex_state = 118},
  [2036] = {.lex_state = 132},
  [2037] = {.lex_state = 118},
  [2038] = {.lex_state = 118},
  [2039] = {.lex_state = 118},
  [2040] = {.lex_state = 132},
  [2041] = {.lex_state = 132},
  [2042] = {.lex_state = 132},
  [2043] = {.lex_state = 132},
  [2044] = {.lex_state = 112},
  [2045] = {.lex_state = 132},
  [2046] = {.lex_state = 132},
  [2047] = {.lex_state = 112},
  [2048] = {.lex_state = 132},
  [2049] = {.lex_state = 132},
  [2050] = {.lex_state = 112},
  [2051] = {.lex_state = 112},
  [2052] = {.lex_state = 112},
  [2053] = {.lex_state = 112},
  [2054] = {.lex_state = 132},
  [2055] = {.lex_state = 132},
  [2056] = {.lex_state = 132},
  [2057] = {.lex_state = 132},
  [2058] = {.lex_state = 132},
  [2059] = {.lex_state = 132},
  [2060] = {.lex_state = 132},
  [2061] = {.lex_state = 132},
  [2062] = {.lex_state = 132},
  [2063] = {.lex_state = 132},
  [2064] = {.lex_state = 132},
  [2065] = {.lex_state = 132},
  [2066] = {.lex_state = 132},
  [2067] = {.lex_state = 132},
  [2068] = {.lex_state = 124},
  [2069] = {.lex_state = 132},
  [2070] = {.lex_state = 126},
  [2071] = {.lex_state = 118},
  [2072] = {.lex_state = 126},
  [2073] = {.lex_state = 112},
  [2074] = {.lex_state = 132},
  [2075] = {.lex_state = 111},
  [2076] = {.lex_state = 132},
  [2077] = {.lex_state = 132},
  [2078] = {.lex_state = 126},
  [2079] = {.lex_state = 133},
  [2080] = {.lex_state = 132},
  [2081] = {.lex_state = 132},
  [2082] = {.lex_state = 111},
  [2083] = {.lex_state = 124},
  [2084] = {.lex_state = 124},
  [2085] = {.lex_state = 124},
  [2086] = {.lex_state = 124},
  [2087] = {.lex_state = 134},
  [2088] = {.lex_state = 133},
  [2089] = {.lex_state = 124},
  [2090] = {.lex_state = 124},
  [2091] = {.lex_state = 124},
  [2092] = {.lex_state = 124},
  [2093] = {.lex_state = 124},
  [2094] = {.lex_state = 124},
  [2095] = {.lex_state = 124},
  [2096] = {.lex_state = 132},
  [2097] = {.lex_state = 132},
  [2098] = {.lex_state = 132},
  [2099] = {.lex_state = 132},
  [2100] = {.lex_state = 126},
  [2101] = {.lex_state = 134},
  [2102] = {.lex_state = 134},
  [2103] = {.lex_state = 132},
  [2104] = {.lex_state = 132},
  [2105] = {.lex_state = 118},
  [2106] = {.lex_state = 132},
  [2107] = {.lex_state = 124},
  [2108] = {.lex_state = 124},
  [2109] = {.lex_state = 124},
  [2110] = {.lex_state = 132},
  [2111] = {.lex_state = 126},
  [2112] = {.lex_state = 132},
  [2113] = {.lex_state = 126},
  [2114] = {.lex_state = 126},
  [2115] = {.lex_state = 126},
  [2116] = {.lex_state = 126},
  [2117] = {.lex_state = 126},
  [2118] = {.lex_state = 126},
  [2119] = {.lex_state = 126},
  [2120] = {.lex_state = 126},
  [2121] = {.lex_state = 126},
  [2122] = {.lex_state = 126},
  [2123] = {.lex_state = 126},
  [2124] = {.lex_state = 126},
  [2125] = {.lex_state = 126},
  [2126] = {.lex_state = 126},
  [2127] = {.lex_state = 126},
  [2128] = {.lex_state = 126},
  [2129] = {.lex_state = 126},
  [2130] = {.lex_state = 126},
  [2131] = {.lex_state = 126},
  [2132] = {.lex_state = 126},
  [2133] = {.lex_state = 126},
  [2134] = {.lex_state = 126},
  [2135] = {.lex_state = 126},
  [2136] = {.lex_state = 126},
  [2137] = {.lex_state = 126},
  [2138] = {.lex_state = 126},
  [2139] = {.lex_state = 126},
  [2140] = {.lex_state = 132},
  [2141] = {.lex_state = 126},
  [2142] = {.lex_state = 126},
  [2143] = {.lex_state = 126},
  [2144] = {.lex_state = 126},
  [2145] = {.lex_state = 132},
  [2146] = {.lex_state = 126},
  [2147] = {.lex_state = 126},
  [2148] = {.lex_state = 126},
  [2149] = {.lex_state = 132},
  [2150] = {.lex_state = 126},
  [2151] = {.lex_state = 126},
  [2152] = {.lex_state = 126},
  [2153] = {.lex_state = 126},
  [2154] = {.lex_state = 126},
  [2155] = {.lex_state = 126},
  [2156] = {.lex_state = 126},
  [2157] = {.lex_state = 126},
  [2158] = {.lex_state = 126},
  [2159] = {.lex_state = 126},
  [2160] = {.lex_state = 126},
  [2161] = {.lex_state = 126},
  [2162] = {.lex_state = 132},
  [2163] = {.lex_state = 126},
  [2164] = {.lex_state = 126},
  [2165] = {.lex_state = 126},
  [2166] = {.lex_state = 126},
  [2167] = {.lex_state = 126},
  [2168] = {.lex_state = 126},
  [2169] = {.lex_state = 132},
  [2170] = {.lex_state = 132},
  [2171] = {.lex_state = 132},
  [2172] = {.lex_state = 132},
  [2173] = {.lex_state = 132},
  [2174] = {.lex_state = 132},
  [2175] = {.lex_state = 132},
  [2176] = {.lex_state = 132},
  [2177] = {.lex_state = 132},
  [2178] = {.lex_state = 132},
  [2179] = {.lex_state = 132},
  [2180] = {.lex_state = 132},
  [2181] = {.lex_state = 132},
  [2182] = {.lex_state = 132},
  [2183] = {.lex_state = 132},
  [2184] = {.lex_state = 132},
  [2185] = {.lex_state = 132},
  [2186] = {.lex_state = 132},
  [2187] = {.lex_state = 132},
  [2188] = {.lex_state = 132},
  [2189] = {.lex_state = 132},
  [2190] = {.lex_state = 132},
  [2191] = {.lex_state = 132},
  [2192] = {.lex_state = 132},
  [2193] = {.lex_state = 132},
  [2194] = {.lex_state = 132},
  [2195] = {.lex_state = 126},
  [2196] = {.lex_state = 132},
  [2197] = {.lex_state = 126},
  [2198] = {.lex_state = 132},
  [2199] = {.lex_state = 132},
  [2200] = {.lex_state = 132},
  [2201] = {.lex_state = 132},
  [2202] = {.lex_state = 132},
  [2203] = {.lex_state = 132},
  [2204] = {.lex_state = 132},
  [2205] = {.lex_state = 132},
  [2206] = {.lex_state = 132},
  [2207] = {.lex_state = 124},
  [2208] = {.lex_state = 132},
  [2209] = {.lex_state = 126},
  [2210] = {.lex_state = 126},
  [2211] = {.lex_state = 126},
  [2212] = {.lex_state = 126},
  [2213] = {.lex_state = 126},
  [2214] = {.lex_state = 126},
  [2215] = {.lex_state = 126},
  [2216] = {.lex_state = 126},
  [2217] = {.lex_state = 126},
  [2218] = {.lex_state = 126},
  [2219] = {.lex_state = 126},
  [2220] = {.lex_state = 126},
  [2221] = {.lex_state = 126},
  [2222] = {.lex_state = 126},
  [2223] = {.lex_state = 126},
  [2224] = {.lex_state = 132},
  [2225] = {.lex_state = 133},
  [2226] = {.lex_state = 133},
  [2227] = {.lex_state = 133},
  [2228] = {.lex_state = 132},
  [2229] = {.lex_state = 133},
  [2230] = {.lex_state = 132},
  [2231] = {.lex_state = 126},
  [2232] = {.lex_state = 126},
  [2233] = {.lex_state = 126},
  [2234] = {.lex_state = 132},
  [2235] = {.lex_state = 133},
  [2236] = {.lex_state = 133},
  [2237] = {.lex_state = 133},
  [2238] = {.lex_state = 133},
  [2239] = {.lex_state = 132},
  [2240] = {.lex_state = 126},
  [2241] = {.lex_state = 132},
  [2242] = {.lex_state = 126},
  [2243] = {.lex_state = 132},
  [2244] = {.lex_state = 126},
  [2245] = {.lex_state = 132},
  [2246] = {.lex_state = 126},
  [2247] = {.lex_state = 126},
  [2248] = {.lex_state = 126},
  [2249] = {.lex_state = 126},
  [2250] = {.lex_state = 126},
  [2251] = {.lex_state = 126},
  [2252] = {.lex_state = 126},
  [2253] = {.lex_state = 133},
  [2254] = {.lex_state = 132},
  [2255] = {.lex_state = 132},
  [2256] = {.lex_state = 133},
  [2257] = {.lex_state = 133},
  [2258] = {.lex_state = 133},
  [2259] = {.lex_state = 133},
  [2260] = {.lex_state = 132},
  [2261] = {.lex_state = 132},
  [2262] = {.lex_state = 133},
  [2263] = {.lex_state = 133},
  [2264] = {.lex_state = 133},
  [2265] = {.lex_state = 133},
  [2266] = {.lex_state = 133},
  [2267] = {.lex_state = 134},
  [2268] = {.lex_state = 133},
  [2269] = {.lex_state = 126},
  [2270] = {.lex_state = 133},
  [2271] = {.lex_state = 133},
  [2272] = {.lex_state = 126},
  [2273] = {.lex_state = 133},
  [2274] = {.lex_state = 132},
  [2275] = {.lex_state = 133},
  [2276] = {.lex_state = 126},
  [2277] = {.lex_state = 132},
  [2278] = {.lex_state = 133},
  [2279] = {.lex_state = 133},
  [2280] = {.lex_state = 132},
  [2281] = {.lex_state = 133},
  [2282] = {.lex_state = 133},
  [2283] = {.lex_state = 126},
  [2284] = {.lex_state = 133},
  [2285] = {.lex_state = 132},
  [2286] = {.lex_state = 132},
  [2287] = {.lex_state = 133},
  [2288] = {.lex_state = 126},
  [2289] = {.lex_state = 133},
  [2290] = {.lex_state = 133},
  [2291] = {.lex_state = 132},
  [2292] = {.lex_state = 133},
  [2293] = {.lex_state = 133},
  [2294] = {.lex_state = 133},
  [2295] = {.lex_state = 133},
  [2296] = {.lex_state = 133},
  [2297] = {.lex_state = 133},
  [2298] = {.lex_state = 133},
  [2299] = {.lex_state = 133},
  [2300] = {.lex_state = 133},
  [2301] = {.lex_state = 133},
  [2302] = {.lex_state = 132},
  [2303] = {.lex_state = 133},
  [2304] = {.lex_state = 133},
  [2305] = {.lex_state = 132},
  [2306] = {.lex_state = 133},
  [2307] = {.lex_state = 126},
  [2308] = {.lex_state = 132},
  [2309] = {.lex_state = 132},
  [2310] = {.lex_state = 133},
  [2311] = {.lex_state = 132},
  [2312] = {.lex_state = 132},
  [2313] = {.lex_state = 132},
  [2314] = {.lex_state = 132},
  [2315] = {.lex_state = 132},
  [2316] = {.lex_state = 133},
  [2317] = {.lex_state = 132},
  [2318] = {.lex_state = 133},
  [2319] = {.lex_state = 132},
  [2320] = {.lex_state = 132},
  [2321] = {.lex_state = 132},
  [2322] = {.lex_state = 133},
  [2323] = {.lex_state = 132},
  [2324] = {.lex_state = 133},
  [2325] = {.lex_state = 133},
  [2326] = {.lex_state = 133},
  [2327] = {.lex_state = 133},
  [2328] = {.lex_state = 132},
  [2329] = {.lex_state = 132},
  [2330] = {.lex_state = 126},
  [2331] = {.lex_state = 133},
  [2332] = {.lex_state = 133},
  [2333] = {.lex_state = 126},
  [2334] = {.lex_state = 133},
  [2335] = {.lex_state = 133},
  [2336] = {.lex_state = 132},
  [2337] = {.lex_state = 133},
  [2338] = {.lex_state = 133},
  [2339] = {.lex_state = 133},
  [2340] = {.lex_state = 126},
  [2341] = {.lex_state = 126},
  [2342] = {.lex_state = 132},
  [2343] = {.lex_state = 133},
  [2344] = {.lex_state = 132},
  [2345] = {.lex_state = 132},
  [2346] = {.lex_state = 132},
  [2347] = {.lex_state = 126},
  [2348] = {.lex_state = 133},
  [2349] = {.lex_state = 132},
  [2350] = {.lex_state = 133},
  [2351] = {.lex_state = 132},
  [2352] = {.lex_state = 126},
  [2353] = {.lex_state = 126},
  [2354] = {.lex_state = 133},
  [2355] = {.lex_state = 133},
  [2356] = {.lex_state = 132},
  [2357] = {.lex_state = 132},
  [2358] = {.lex_state = 132},
  [2359] = {.lex_state = 132},
  [2360] = {.lex_state = 132},
  [2361] = {.lex_state = 133},
  [2362] = {.lex_state = 133},
  [2363] = {.lex_state = 133},
  [2364] = {.lex_state = 133},
  [2365] = {.lex_state = 132},
  [2366] = {.lex_state = 132},
  [2367] = {.lex_state = 132},
  [2368] = {.lex_state = 134},
  [2369] = {.lex_state = 132},
  [2370] = {.lex_state = 132},
  [2371] = {.lex_state = 133},
  [2372] = {.lex_state = 132},
  [2373] = {.lex_state = 133},
  [2374] = {.lex_state = 132},
  [2375] = {.lex_state = 133},
  [2376] = {.lex_state = 132},
  [2377] = {.lex_state = 132},
  [2378] = {.lex_state = 132},
  [2379] = {.lex_state = 132},
  [2380] = {.lex_state = 132},
  [2381] = {.lex_state = 134},
  [2382] = {.lex_state = 133},
  [2383] = {.lex_state = 134},
  [2384] = {.lex_state = 134},
  [2385] = {.lex_state = 133},
  [2386] = {.lex_state = 132},
  [2387] = {.lex_state = 133},
  [2388] = {.lex_state = 134},
  [2389] = {.lex_state = 133},
  [2390] = {.lex_state = 133},
  [2391] = {.lex_state = 133},
  [2392] = {.lex_state = 132},
  [2393] = {.lex_state = 133},
  [2394] = {.lex_state = 133},
  [2395] = {.lex_state = 134},
  [2396] = {.lex_state = 132},
  [2397] = {.lex_state = 134},
  [2398] = {.lex_state = 133},
  [2399] = {.lex_state = 133},
  [2400] = {.lex_state = 133},
  [2401] = {.lex_state = 132},
  [2402] = {.lex_state = 133},
  [2403] = {.lex_state = 133},
  [2404] = {.lex_state = 133},
  [2405] = {.lex_state = 133},
  [2406] = {.lex_state = 133},
  [2407] = {.lex_state = 132},
  [2408] = {.lex_state = 134},
  [2409] = {.lex_state = 134},
  [2410] = {.lex_state = 134},
  [2411] = {.lex_state = 132},
  [2412] = {.lex_state = 134},
  [2413] = {.lex_state = 132},
  [2414] = {.lex_state = 132},
  [2415] = {.lex_state = 132},
  [2416] = {.lex_state = 132},
  [2417] = {.lex_state = 133},
  [2418] = {.lex_state = 133},
  [2419] = {.lex_state = 133},
  [2420] = {.lex_state = 132},
  [2421] = {.lex_state = 133},
  [2422] = {.lex_state = 133},
  [2423] = {.lex_state = 133},
  [2424] = {.lex_state = 133},
  [2425] = {.lex_state = 132},
  [2426] = {.lex_state = 133},
  [2427] = {.lex_state = 133},
  [2428] = {.lex_state = 132},
  [2429] = {.lex_state = 133},
  [2430] = {.lex_state = 133},
  [2431] = {.lex_state = 133},
  [2432] = {.lex_state = 112},
  [2433] = {.lex_state = 132},
  [2434] = {.lex_state = 133},
  [2435] = {.lex_state = 105},
  [2436] = {.lex_state = 105},
  [2437] = {.lex_state = 105},
  [2438] = {.lex_state = 105},
  [2439] = {.lex_state = 105},
  [2440] = {.lex_state = 105},
  [2441] = {.lex_state = 105},
  [2442] = {.lex_state = 105},
  [2443] = {.lex_state = 105},
  [2444] = {.lex_state = 105},
  [2445] = {.lex_state = 105},
  [2446] = {.lex_state = 105},
  [2447] = {.lex_state = 105},
  [2448] = {.lex_state = 132},
  [2449] = {.lex_state = 105},
  [2450] = {.lex_state = 105},
  [2451] = {.lex_state = 105},
  [2452] = {.lex_state = 105},
  [2453] = {.lex_state = 105},
  [2454] = {.lex_state = 105},
  [2455] = {.lex_state = 105},
  [2456] = {.lex_state = 105},
  [2457] = {.lex_state = 105},
  [2458] = {.lex_state = 105},
  [2459] = {.lex_state = 105},
  [2460] = {.lex_state = 105},
  [2461] = {.lex_state = 105},
  [2462] = {.lex_state = 105},
  [2463] = {.lex_state = 105},
  [2464] = {.lex_state = 105},
  [2465] = {.lex_state = 105},
  [2466] = {.lex_state = 105},
  [2467] = {.lex_state = 105},
  [2468] = {.lex_state = 105},
  [2469] = {.lex_state = 105},
  [2470] = {.lex_state = 105},
  [2471] = {.lex_state = 105},
  [2472] = {.lex_state = 105},
  [2473] = {.lex_state = 105},
  [2474] = {.lex_state = 105},
  [2475] = {.lex_state = 105},
  [2476] = {.lex_state = 105},
  [2477] = {.lex_state = 105},
  [2478] = {.lex_state = 105},
  [2479] = {.lex_state = 105},
  [2480] = {.lex_state = 105},
  [2481] = {.lex_state = 105},
  [2482] = {.lex_state = 105},
  [2483] = {.lex_state = 105},
  [2484] = {.lex_state = 105},
  [2485] = {.lex_state = 105},
  [2486] = {.lex_state = 105},
  [2487] = {.lex_state = 105},
  [2488] = {.lex_state = 105},
  [2489] = {.lex_state = 105},
  [2490] = {.lex_state = 105},
  [2491] = {.lex_state = 132},
  [2492] = {.lex_state = 132},
  [2493] = {.lex_state = 132},
  [2494] = {.lex_state = 132},
  [2495] = {.lex_state = 132},
  [2496] = {.lex_state = 132},
  [2497] = {.lex_state = 132},
  [2498] = {.lex_state = 128},
  [2499] = {.lex_state = 132},
  [2500] = {.lex_state = 132},
  [2501] = {.lex_state = 128},
  [2502] = {.lex_state = 128},
  [2503] = {.lex_state = 128},
  [2504] = {.lex_state = 128},
  [2505] = {.lex_state = 128},
  [2506] = {.lex_state = 128},
  [2507] = {.lex_state = 128},
  [2508] = {.lex_state = 128},
  [2509] = {.lex_state = 128},
  [2510] = {.lex_state = 128},
  [2511] = {.lex_state = 128},
  [2512] = {.lex_state = 128},
  [2513] = {.lex_state = 128},
  [2514] = {.lex_state = 125},
  [2515] = {.lex_state = 128},
  [2516] = {.lex_state = 128},
  [2517] = {.lex_state = 111},
  [2518] = {.lex_state = 132},
  [2519] = {.lex_state = 132},
  [2520] = {.lex_state = 132},
  [2521] = {.lex_state = 132},
  [2522] = {.lex_state = 132},
  [2523] = {.lex_state = 132},
  [2524] = {.lex_state = 132},
  [2525] = {.lex_state = 94},
  [2526] = {.lex_state = 111},
  [2527] = {.lex_state = 111},
  [2528] = {.lex_state = 111},
  [2529] = {.lex_state = 111},
  [2530] = {.lex_state = 111},
  [2531] = {.lex_state = 111},
  [2532] = {.lex_state = 111},
  [2533] = {.lex_state = 132},
  [2534] = {.lex_state = 132},
  [2535] = {.lex_state = 132},
  [2536] = {.lex_state = 132},
  [2537] = {.lex_state = 132},
  [2538] = {.lex_state = 132},
  [2539] = {.lex_state = 132},
  [2540] = {.lex_state = 111},
  [2541] = {.lex_state = 111},
  [2542] = {.lex_state = 111},
  [2543] = {.lex_state = 111},
  [2544] = {.lex_state = 111},
  [2545] = {.lex_state = 111},
  [2546] = {.lex_state = 111},
  [2547] = {.lex_state = 125},
  [2548] = {.lex_state = 111},
  [2549] = {.lex_state = 132},
  [2550] = {.lex_state = 111},
  [2551] = {.lex_state = 132},
  [2552] = {.lex_state = 111},
  [2553] = {.lex_state = 111},
  [2554] = {.lex_state = 132},
  [2555] = {.lex_state = 105},
  [2556] = {.lex_state = 111},
  [2557] = {.lex_state = 105},
  [2558] = {.lex_state = 132},
  [2559] = {.lex_state = 125},
  [2560] = {.lex_state = 105},
  [2561] = {.lex_state = 105},
  [2562] = {.lex_state = 132},
  [2563] = {.lex_state = 132},
  [2564] = {.lex_state = 132},
  [2565] = {.lex_state = 111},
  [2566] = {.lex_state = 132},
  [2567] = {.lex_state = 105},
  [2568] = {.lex_state = 105},
  [2569] = {.lex_state = 132},
  [2570] = {.lex_state = 105},
  [2571] = {.lex_state = 132},
  [2572] = {.lex_state = 132},
  [2573] = {.lex_state = 132},
  [2574] = {.lex_state = 105},
  [2575] = {.lex_state = 132},
  [2576] = {.lex_state = 105},
  [2577] = {.lex_state = 105},
  [2578] = {.lex_state = 132},
  [2579] = {.lex_state = 132},
  [2580] = {.lex_state = 105},
  [2581] = {.lex_state = 105},
  [2582] = {.lex_state = 132},
  [2583] = {.lex_state = 132},
  [2584] = {.lex_state = 132},
  [2585] = {.lex_state = 132},
  [2586] = {.lex_state = 132},
  [2587] = {.lex_state = 105},
  [2588] = {.lex_state = 132},
  [2589] = {.lex_state = 132},
  [2590] = {.lex_state = 105},
  [2591] = {.lex_state = 132},
  [2592] = {.lex_state = 105},
  [2593] = {.lex_state = 132},
  [2594] = {.lex_state = 111},
  [2595] = {.lex_state = 105},
  [2596] = {.lex_state = 132},
  [2597] = {.lex_state = 125},
  [2598] = {.lex_state = 125},
  [2599] = {.lex_state = 125},
  [2600] = {.lex_state = 125},
  [2601] = {.lex_state = 125},
  [2602] = {.lex_state = 125},
  [2603] = {.lex_state = 125},
  [2604] = {.lex_state = 111},
  [2605] = {.lex_state = 125},
  [2606] = {.lex_state = 125},
  [2607] = {.lex_state = 125},
  [2608] = {.lex_state = 125},
  [2609] = {.lex_state = 125},
  [2610] = {.lex_state = 125},
  [2611] = {.lex_state = 125},
  [2612] = {.lex_state = 125},
  [2613] = {.lex_state = 125},
  [2614] = {.lex_state = 125},
  [2615] = {.lex_state = 125},
  [2616] = {.lex_state = 125},
  [2617] = {.lex_state = 125},
  [2618] = {.lex_state = 125},
  [2619] = {.lex_state = 125},
  [2620] = {.lex_state = 125},
  [2621] = {.lex_state = 111},
  [2622] = {.lex_state = 125},
  [2623] = {.lex_state = 125},
  [2624] = {.lex_state = 125},
  [2625] = {.lex_state = 125},
  [2626] = {.lex_state = 125},
  [2627] = {.lex_state = 125},
  [2628] = {.lex_state = 125},
  [2629] = {.lex_state = 125},
  [2630] = {.lex_state = 125},
  [2631] = {.lex_state = 125},
  [2632] = {.lex_state = 125},
  [2633] = {.lex_state = 125},
  [2634] = {.lex_state = 125},
  [2635] = {.lex_state = 125},
  [2636] = {.lex_state = 125},
  [2637] = {.lex_state = 125},
  [2638] = {.lex_state = 125},
  [2639] = {.lex_state = 125},
  [2640] = {.lex_state = 125},
  [2641] = {.lex_state = 125},
  [2642] = {.lex_state = 125},
  [2643] = {.lex_state = 125},
  [2644] = {.lex_state = 125},
  [2645] = {.lex_state = 125},
  [2646] = {.lex_state = 125},
  [2647] = {.lex_state = 125},
  [2648] = {.lex_state = 125},
  [2649] = {.lex_state = 125},
  [2650] = {.lex_state = 125},
  [2651] = {.lex_state = 125},
  [2652] = {.lex_state = 125},
  [2653] = {.lex_state = 125},
  [2654] = {.lex_state = 125},
  [2655] = {.lex_state = 125},
  [2656] = {.lex_state = 125},
  [2657] = {.lex_state = 125},
  [2658] = {.lex_state = 125},
  [2659] = {.lex_state = 125},
  [2660] = {.lex_state = 125},
  [2661] = {.lex_state = 125},
  [2662] = {.lex_state = 125},
  [2663] = {.lex_state = 125},
  [2664] = {.lex_state = 125},
  [2665] = {.lex_state = 111},
  [2666] = {.lex_state = 130},
  [2667] = {.lex_state = 130},
  [2668] = {.lex_state = 130},
  [2669] = {.lex_state = 130},
  [2670] = {.lex_state = 130},
  [2671] = {.lex_state = 111},
  [2672] = {.lex_state = 132},
  [2673] = {.lex_state = 132},
  [2674] = {.lex_state = 132},
  [2675] = {.lex_state = 132},
  [2676] = {.lex_state = 132},
  [2677] = {.lex_state = 132},
  [2678] = {.lex_state = 132},
  [2679] = {.lex_state = 132},
  [2680] = {.lex_state = 132},
  [2681] = {.lex_state = 132},
  [2682] = {.lex_state = 94},
  [2683] = {.lex_state = 132},
  [2684] = {.lex_state = 132},
  [2685] = {.lex_state = 132},
  [2686] = {.lex_state = 132},
  [2687] = {.lex_state = 132},
  [2688] = {.lex_state = 132},
  [2689] = {.lex_state = 132},
  [2690] = {.lex_state = 132},
  [2691] = {.lex_state = 132},
  [2692] = {.lex_state = 132},
  [2693] = {.lex_state = 132},
  [2694] = {.lex_state = 94},
  [2695] = {.lex_state = 132},
  [2696] = {.lex_state = 133},
  [2697] = {.lex_state = 133},
  [2698] = {.lex_state = 132},
  [2699] = {.lex_state = 133},
  [2700] = {.lex_state = 132},
  [2701] = {.lex_state = 133},
  [2702] = {.lex_state = 132},
  [2703] = {.lex_state = 133},
  [2704] = {.lex_state = 132},
  [2705] = {.lex_state = 133},
  [2706] = {.lex_state = 132},
  [2707] = {.lex_state = 133},
  [2708] = {.lex_state = 132},
  [2709] = {.lex_state = 132},
  [2710] = {.lex_state = 132},
  [2711] = {.lex_state = 132},
  [2712] = {.lex_state = 132},
  [2713] = {.lex_state = 132},
  [2714] = {.lex_state = 132},
  [2715] = {.lex_state = 133},
  [2716] = {.lex_state = 133},
  [2717] = {.lex_state = 132},
  [2718] = {.lex_state = 133},
  [2719] = {.lex_state = 133},
  [2720] = {.lex_state = 133},
  [2721] = {.lex_state = 132},
  [2722] = {.lex_state = 132},
  [2723] = {.lex_state = 133},
  [2724] = {.lex_state = 132},
  [2725] = {.lex_state = 132},
  [2726] = {.lex_state = 132},
  [2727] = {.lex_state = 132},
  [2728] = {.lex_state = 133},
  [2729] = {.lex_state = 132},
  [2730] = {.lex_state = 132},
  [2731] = {.lex_state = 133},
  [2732] = {.lex_state = 132},
  [2733] = {.lex_state = 132},
  [2734] = {.lex_state = 133},
  [2735] = {.lex_state = 133},
  [2736] = {.lex_state = 133},
  [2737] = {.lex_state = 133},
  [2738] = {.lex_state = 133},
  [2739] = {.lex_state = 132},
  [2740] = {.lex_state = 133},
  [2741] = {.lex_state = 133},
  [2742] = {.lex_state = 133},
  [2743] = {.lex_state = 133},
  [2744] = {.lex_state = 132},
  [2745] = {.lex_state = 133},
  [2746] = {.lex_state = 133},
  [2747] = {.lex_state = 132},
  [2748] = {.lex_state = 132},
  [2749] = {.lex_state = 133},
  [2750] = {.lex_state = 133},
  [2751] = {.lex_state = 133},
  [2752] = {.lex_state = 132},
  [2753] = {.lex_state = 132},
  [2754] = {.lex_state = 132},
  [2755] = {.lex_state = 133},
  [2756] = {.lex_state = 132},
  [2757] = {.lex_state = 133},
  [2758] = {.lex_state = 133},
  [2759] = {.lex_state = 132},
  [2760] = {.lex_state = 132},
  [2761] = {.lex_state = 133},
  [2762] = {.lex_state = 133},
  [2763] = {.lex_state = 132},
  [2764] = {.lex_state = 132},
  [2765] = {.lex_state = 132},
  [2766] = {.lex_state = 132},
  [2767] = {.lex_state = 132},
  [2768] = {.lex_state = 132},
  [2769] = {.lex_state = 133},
  [2770] = {.lex_state = 132},
  [2771] = {.lex_state = 132},
  [2772] = {.lex_state = 132},
  [2773] = {.lex_state = 133},
  [2774] = {.lex_state = 132},
  [2775] = {.lex_state = 132},
  [2776] = {.lex_state = 132},
  [2777] = {.lex_state = 132},
  [2778] = {.lex_state = 133},
  [2779] = {.lex_state = 133},
  [2780] = {.lex_state = 133},
  [2781] = {.lex_state = 133},
  [2782] = {.lex_state = 132},
  [2783] = {.lex_state = 132},
  [2784] = {.lex_state = 132},
  [2785] = {.lex_state = 133},
  [2786] = {.lex_state = 132},
  [2787] = {.lex_state = 132},
  [2788] = {.lex_state = 132},
  [2789] = {.lex_state = 132},
  [2790] = {.lex_state = 132},
  [2791] = {.lex_state = 132},
  [2792] = {.lex_state = 132},
  [2793] = {.lex_state = 132},
  [2794] = {.lex_state = 132},
  [2795] = {.lex_state = 132},
  [2796] = {.lex_state = 132},
  [2797] = {.lex_state = 132},
  [2798] = {.lex_state = 132},
  [2799] = {.lex_state = 132},
  [2800] = {.lex_state = 132},
  [2801] = {.lex_state = 132},
  [2802] = {.lex_state = 132},
  [2803] = {.lex_state = 132},
  [2804] = {.lex_state = 132},
  [2805] = {.lex_state = 132},
  [2806] = {.lex_state = 132},
  [2807] = {.lex_state = 132},
  [2808] = {.lex_state = 132},
  [2809] = {.lex_state = 132},
  [2810] = {.lex_state = 132},
  [2811] = {.lex_state = 132},
  [2812] = {.lex_state = 132},
  [2813] = {.lex_state = 132},
  [2814] = {.lex_state = 132},
  [2815] = {.lex_state = 132},
  [2816] = {.lex_state = 132},
  [2817] = {.lex_state = 132},
  [2818] = {.lex_state = 132},
  [2819] = {.lex_state = 132},
  [2820] = {.lex_state = 132},
  [2821] = {.lex_state = 132},
  [2822] = {.lex_state = 132},
  [2823] = {.lex_state = 132},
  [2824] = {.lex_state = 132},
  [2825] = {.lex_state = 132},
  [2826] = {.lex_state = 132},
  [2827] = {.lex_state = 132},
  [2828] = {.lex_state = 132},
  [2829] = {.lex_state = 132},
  [2830] = {.lex_state = 132},
  [2831] = {.lex_state = 132},
  [2832] = {.lex_state = 132},
  [2833] = {.lex_state = 132},
  [2834] = {.lex_state = 132},
  [2835] = {.lex_state = 132},
  [2836] = {.lex_state = 132},
  [2837] = {.lex_state = 132},
  [2838] = {.lex_state = 132},
  [2839] = {.lex_state = 132},
  [2840] = {.lex_state = 132},
  [2841] = {.lex_state = 132},
  [2842] = {.lex_state = 132},
  [2843] = {.lex_state = 132},
  [2844] = {.lex_state = 132},
  [2845] = {.lex_state = 132},
  [2846] = {.lex_state = 132},
  [2847] = {.lex_state = 132},
  [2848] = {.lex_state = 132},
  [2849] = {.lex_state = 132},
  [2850] = {.lex_state = 132},
  [2851] = {.lex_state = 132},
  [2852] = {.lex_state = 132},
  [2853] = {.lex_state = 132},
  [2854] = {.lex_state = 132},
  [2855] = {.lex_state = 132},
  [2856] = {.lex_state = 132},
  [2857] = {.lex_state = 132},
  [2858] = {.lex_state = 132},
  [2859] = {.lex_state = 132},
  [2860] = {.lex_state = 132},
  [2861] = {.lex_state = 132},
  [2862] = {.lex_state = 132},
  [2863] = {.lex_state = 132},
  [2864] = {.lex_state = 132},
  [2865] = {.lex_state = 132},
  [2866] = {.lex_state = 132},
  [2867] = {.lex_state = 95},
  [2868] = {.lex_state = 132},
  [2869] = {.lex_state = 132},
  [2870] = {.lex_state = 132},
  [2871] = {.lex_state = 132},
  [2872] = {.lex_state = 132},
  [2873] = {.lex_state = 132},
  [2874] = {.lex_state = 132},
  [2875] = {.lex_state = 132},
  [2876] = {.lex_state = 132},
  [2877] = {.lex_state = 132},
  [2878] = {.lex_state = 132},
  [2879] = {.lex_state = 132},
  [2880] = {.lex_state = 132},
  [2881] = {.lex_state = 132},
  [2882] = {.lex_state = 132},
  [2883] = {.lex_state = 132},
  [2884] = {.lex_state = 132},
  [2885] = {.lex_state = 132},
  [2886] = {.lex_state = 132},
  [2887] = {.lex_state = 132},
  [2888] = {.lex_state = 132},
  [2889] = {.lex_state = 132},
  [2890] = {.lex_state = 132},
  [2891] = {.lex_state = 132},
  [2892] = {.lex_state = 132},
  [2893] = {.lex_state = 132},
  [2894] = {.lex_state = 132},
  [2895] = {.lex_state = 132},
  [2896] = {.lex_state = 132},
  [2897] = {.lex_state = 132},
  [2898] = {.lex_state = 132},
  [2899] = {.lex_state = 132},
  [2900] = {.lex_state = 132},
  [2901] = {.lex_state = 132},
  [2902] = {.lex_state = 132},
  [2903] = {.lex_state = 132},
  [2904] = {.lex_state = 132},
  [2905] = {.lex_state = 132},
  [2906] = {.lex_state = 132},
  [2907] = {.lex_state = 132},
  [2908] = {.lex_state = 132},
  [2909] = {.lex_state = 132},
  [2910] = {.lex_state = 132},
  [2911] = {.lex_state = 132},
  [2912] = {.lex_state = 132},
  [2913] = {.lex_state = 132},
  [2914] = {.lex_state = 132},
  [2915] = {.lex_state = 132},
  [2916] = {.lex_state = 132},
  [2917] = {.lex_state = 132},
  [2918] = {.lex_state = 132},
  [2919] = {.lex_state = 132},
  [2920] = {.lex_state = 132},
  [2921] = {.lex_state = 132},
  [2922] = {.lex_state = 132},
  [2923] = {.lex_state = 124},
  [2924] = {.lex_state = 132},
  [2925] = {.lex_state = 132},
  [2926] = {.lex_state = 132},
  [2927] = {.lex_state = 132},
  [2928] = {.lex_state = 132},
  [2929] = {.lex_state = 132},
  [2930] = {.lex_state = 132},
  [2931] = {.lex_state = 132},
  [2932] = {.lex_state = 132},
  [2933] = {.lex_state = 132},
  [2934] = {.lex_state = 124},
  [2935] = {.lex_state = 132},
  [2936] = {.lex_state = 132},
  [2937] = {.lex_state = 132},
  [2938] = {.lex_state = 132},
  [2939] = {.lex_state = 132},
  [2940] = {.lex_state = 132},
  [2941] = {.lex_state = 95},
  [2942] = {.lex_state = 132},
  [2943] = {.lex_state = 132},
  [2944] = {.lex_state = 132},
  [2945] = {.lex_state = 132},
  [2946] = {.lex_state = 132},
  [2947] = {.lex_state = 132},
  [2948] = {.lex_state = 132},
  [2949] = {.lex_state = 132},
  [2950] = {.lex_state = 132},
  [2951] = {.lex_state = 132},
  [2952] = {.lex_state = 132},
  [2953] = {.lex_state = 132},
  [2954] = {.lex_state = 132},
  [2955] = {.lex_state = 132},
  [2956] = {.lex_state = 132},
  [2957] = {.lex_state = 132},
  [2958] = {.lex_state = 132},
  [2959] = {.lex_state = 132},
  [2960] = {.lex_state = 132},
  [2961] = {.lex_state = 132},
  [2962] = {.lex_state = 132},
  [2963] = {.lex_state = 132},
  [2964] = {.lex_state = 132},
  [2965] = {.lex_state = 132},
  [2966] = {.lex_state = 132},
  [2967] = {.lex_state = 132},
  [2968] = {.lex_state = 132},
  [2969] = {.lex_state = 132},
  [2970] = {.lex_state = 132},
  [2971] = {.lex_state = 132},
  [2972] = {.lex_state = 132},
  [2973] = {.lex_state = 132},
  [2974] = {.lex_state = 132},
  [2975] = {.lex_state = 132},
  [2976] = {.lex_state = 132},
  [2977] = {.lex_state = 132},
  [2978] = {.lex_state = 132},
  [2979] = {.lex_state = 132},
  [2980] = {.lex_state = 132},
  [2981] = {.lex_state = 132},
  [2982] = {.lex_state = 132},
  [2983] = {.lex_state = 132},
  [2984] = {.lex_state = 132},
  [2985] = {.lex_state = 132},
  [2986] = {.lex_state = 132},
  [2987] = {.lex_state = 132},
  [2988] = {.lex_state = 132},
  [2989] = {.lex_state = 132},
  [2990] = {.lex_state = 132},
  [2991] = {.lex_state = 132},
  [2992] = {.lex_state = 132},
  [2993] = {.lex_state = 132},
  [2994] = {.lex_state = 132},
  [2995] = {.lex_state = 132},
  [2996] = {.lex_state = 132},
  [2997] = {.lex_state = 132},
  [2998] = {.lex_state = 132},
  [2999] = {.lex_state = 132},
  [3000] = {.lex_state = 132},
  [3001] = {.lex_state = 132},
  [3002] = {.lex_state = 132},
  [3003] = {.lex_state = 132},
  [3004] = {.lex_state = 132},
  [3005] = {.lex_state = 132},
  [3006] = {.lex_state = 132},
  [3007] = {.lex_state = 132},
  [3008] = {.lex_state = 132},
  [3009] = {.lex_state = 132},
  [3010] = {.lex_state = 132},
  [3011] = {.lex_state = 132},
  [3012] = {.lex_state = 132},
  [3013] = {.lex_state = 132},
  [3014] = {.lex_state = 132},
  [3015] = {.lex_state = 132},
  [3016] = {.lex_state = 132},
  [3017] = {.lex_state = 132},
  [3018] = {.lex_state = 132},
  [3019] = {.lex_state = 132},
  [3020] = {.lex_state = 132},
  [3021] = {.lex_state = 95},
  [3022] = {.lex_state = 132},
  [3023] = {.lex_state = 132},
  [3024] = {.lex_state = 132},
  [3025] = {.lex_state = 132},
  [3026] = {.lex_state = 132},
  [3027] = {.lex_state = 132},
  [3028] = {.lex_state = 132},
  [3029] = {.lex_state = 132},
  [3030] = {.lex_state = 132},
  [3031] = {.lex_state = 132},
  [3032] = {.lex_state = 132},
  [3033] = {.lex_state = 132},
  [3034] = {.lex_state = 132},
  [3035] = {.lex_state = 132},
  [3036] = {.lex_state = 132},
  [3037] = {.lex_state = 132},
  [3038] = {.lex_state = 132},
  [3039] = {.lex_state = 132},
  [3040] = {.lex_state = 132},
  [3041] = {.lex_state = 132},
  [3042] = {.lex_state = 132},
  [3043] = {.lex_state = 132},
  [3044] = {.lex_state = 132},
  [3045] = {.lex_state = 132},
  [3046] = {.lex_state = 132},
  [3047] = {.lex_state = 132},
  [3048] = {.lex_state = 132},
  [3049] = {.lex_state = 132},
  [3050] = {.lex_state = 124},
  [3051] = {.lex_state = 132},
  [3052] = {.lex_state = 124},
  [3053] = {.lex_state = 132},
  [3054] = {.lex_state = 132},
  [3055] = {.lex_state = 132},
  [3056] = {.lex_state = 132},
  [3057] = {.lex_state = 132},
  [3058] = {.lex_state = 132},
  [3059] = {.lex_state = 132},
  [3060] = {.lex_state = 132},
  [3061] = {.lex_state = 132},
  [3062] = {.lex_state = 132},
  [3063] = {.lex_state = 132},
  [3064] = {.lex_state = 132},
  [3065] = {.lex_state = 132},
  [3066] = {.lex_state = 132},
  [3067] = {.lex_state = 132},
  [3068] = {.lex_state = 132},
  [3069] = {.lex_state = 132},
  [3070] = {.lex_state = 132},
  [3071] = {.lex_state = 132},
  [3072] = {.lex_state = 132},
  [3073] = {.lex_state = 132},
  [3074] = {.lex_state = 132},
  [3075] = {.lex_state = 132},
  [3076] = {.lex_state = 132},
  [3077] = {.lex_state = 132},
  [3078] = {.lex_state = 132},
  [3079] = {.lex_state = 132},
  [3080] = {.lex_state = 132},
  [3081] = {.lex_state = 132},
  [3082] = {.lex_state = 132},
  [3083] = {.lex_state = 132},
  [3084] = {.lex_state = 132},
  [3085] = {.lex_state = 132},
  [3086] = {.lex_state = 132},
  [3087] = {.lex_state = 132},
  [3088] = {.lex_state = 132},
  [3089] = {.lex_state = 132},
  [3090] = {.lex_state = 132},
  [3091] = {.lex_state = 132},
  [3092] = {.lex_state = 132},
  [3093] = {.lex_state = 132},
  [3094] = {.lex_state = 132},
  [3095] = {.lex_state = 132},
  [3096] = {.lex_state = 132},
  [3097] = {.lex_state = 132},
  [3098] = {.lex_state = 132},
  [3099] = {.lex_state = 132},
  [3100] = {.lex_state = 132},
  [3101] = {.lex_state = 132},
  [3102] = {.lex_state = 132},
  [3103] = {.lex_state = 132},
  [3104] = {.lex_state = 132},
  [3105] = {.lex_state = 132},
  [3106] = {.lex_state = 132},
  [3107] = {.lex_state = 132},
  [3108] = {.lex_state = 132},
  [3109] = {.lex_state = 132},
  [3110] = {.lex_state = 132},
  [3111] = {.lex_state = 132},
  [3112] = {.lex_state = 132},
  [3113] = {.lex_state = 132},
  [3114] = {.lex_state = 132},
  [3115] = {.lex_state = 132},
  [3116] = {.lex_state = 132},
  [3117] = {.lex_state = 132},
  [3118] = {.lex_state = 132},
  [3119] = {.lex_state = 132},
  [3120] = {.lex_state = 132},
  [3121] = {.lex_state = 132},
  [3122] = {.lex_state = 132},
  [3123] = {.lex_state = 132},
  [3124] = {.lex_state = 132},
  [3125] = {.lex_state = 132},
  [3126] = {.lex_state = 132},
  [3127] = {.lex_state = 132},
  [3128] = {.lex_state = 132},
  [3129] = {.lex_state = 132},
  [3130] = {.lex_state = 132},
  [3131] = {.lex_state = 132},
  [3132] = {.lex_state = 132},
  [3133] = {.lex_state = 132},
  [3134] = {.lex_state = 132},
  [3135] = {.lex_state = 132},
  [3136] = {.lex_state = 132},
  [3137] = {.lex_state = 132},
  [3138] = {.lex_state = 132},
  [3139] = {.lex_state = 132},
  [3140] = {.lex_state = 132},
  [3141] = {.lex_state = 132},
  [3142] = {.lex_state = 132},
  [3143] = {.lex_state = 132},
  [3144] = {.lex_state = 132},
  [3145] = {.lex_state = 132},
  [3146] = {.lex_state = 132},
  [3147] = {.lex_state = 132},
  [3148] = {.lex_state = 132},
  [3149] = {.lex_state = 132},
  [3150] = {.lex_state = 132},
  [3151] = {.lex_state = 132},
  [3152] = {.lex_state = 132},
  [3153] = {.lex_state = 132},
  [3154] = {.lex_state = 132},
  [3155] = {.lex_state = 132},
  [3156] = {.lex_state = 132},
  [3157] = {.lex_state = 132},
  [3158] = {.lex_state = 132},
  [3159] = {.lex_state = 132},
  [3160] = {.lex_state = 132},
  [3161] = {.lex_state = 132},
  [3162] = {.lex_state = 132},
  [3163] = {.lex_state = 132},
  [3164] = {.lex_state = 132},
  [3165] = {.lex_state = 132},
  [3166] = {.lex_state = 132},
  [3167] = {.lex_state = 132},
  [3168] = {.lex_state = 132},
  [3169] = {.lex_state = 132},
  [3170] = {.lex_state = 132},
  [3171] = {.lex_state = 132},
  [3172] = {.lex_state = 132},
  [3173] = {.lex_state = 132},
  [3174] = {.lex_state = 132},
  [3175] = {.lex_state = 132},
  [3176] = {.lex_state = 132},
  [3177] = {.lex_state = 132},
  [3178] = {.lex_state = 132},
  [3179] = {.lex_state = 132},
  [3180] = {.lex_state = 132},
  [3181] = {.lex_state = 132},
  [3182] = {.lex_state = 132},
  [3183] = {.lex_state = 132},
  [3184] = {.lex_state = 132},
  [3185] = {.lex_state = 132},
  [3186] = {.lex_state = 132},
  [3187] = {.lex_state = 132},
  [3188] = {.lex_state = 132},
  [3189] = {.lex_state = 132},
  [3190] = {.lex_state = 132},
  [3191] = {.lex_state = 132},
  [3192] = {.lex_state = 132},
  [3193] = {.lex_state = 132},
  [3194] = {.lex_state = 132},
  [3195] = {.lex_state = 132},
  [3196] = {.lex_state = 132},
  [3197] = {.lex_state = 132},
  [3198] = {.lex_state = 132},
  [3199] = {.lex_state = 132},
  [3200] = {.lex_state = 132},
  [3201] = {.lex_state = 132},
  [3202] = {.lex_state = 132},
  [3203] = {.lex_state = 132},
  [3204] = {.lex_state = 132},
  [3205] = {.lex_state = 132},
  [3206] = {.lex_state = 132},
  [3207] = {.lex_state = 132},
  [3208] = {.lex_state = 132},
  [3209] = {.lex_state = 132},
  [3210] = {.lex_state = 132},
  [3211] = {.lex_state = 132},
  [3212] = {.lex_state = 132},
  [3213] = {.lex_state = 132},
  [3214] = {.lex_state = 132},
  [3215] = {.lex_state = 132},
  [3216] = {.lex_state = 132},
  [3217] = {.lex_state = 132},
  [3218] = {.lex_state = 95},
  [3219] = {.lex_state = 132},
  [3220] = {.lex_state = 132},
  [3221] = {.lex_state = 132},
  [3222] = {.lex_state = 132},
  [3223] = {.lex_state = 95},
  [3224] = {.lex_state = 132},
  [3225] = {.lex_state = 132},
  [3226] = {.lex_state = 132},
  [3227] = {.lex_state = 132},
  [3228] = {.lex_state = 132},
  [3229] = {.lex_state = 132},
  [3230] = {.lex_state = 132},
  [3231] = {.lex_state = 132},
  [3232] = {.lex_state = 132},
  [3233] = {.lex_state = 132},
  [3234] = {.lex_state = 132},
  [3235] = {.lex_state = 132},
  [3236] = {.lex_state = 132},
  [3237] = {.lex_state = 132},
  [3238] = {.lex_state = 124},
  [3239] = {.lex_state = 132},
  [3240] = {.lex_state = 132},
  [3241] = {.lex_state = 132},
  [3242] = {.lex_state = 132},
  [3243] = {.lex_state = 132},
  [3244] = {.lex_state = 132},
  [3245] = {.lex_state = 132},
  [3246] = {.lex_state = 132},
  [3247] = {.lex_state = 132},
  [3248] = {.lex_state = 132},
  [3249] = {.lex_state = 132},
  [3250] = {.lex_state = 132},
  [3251] = {.lex_state = 132},
  [3252] = {.lex_state = 132},
  [3253] = {.lex_state = 132},
  [3254] = {.lex_state = 132},
  [3255] = {.lex_state = 132},
  [3256] = {.lex_state = 132},
  [3257] = {.lex_state = 132},
  [3258] = {.lex_state = 132},
  [3259] = {.lex_state = 132},
  [3260] = {.lex_state = 132},
  [3261] = {.lex_state = 132},
  [3262] = {.lex_state = 132},
  [3263] = {.lex_state = 132},
  [3264] = {.lex_state = 132},
  [3265] = {.lex_state = 132},
  [3266] = {.lex_state = 132},
  [3267] = {.lex_state = 132},
  [3268] = {.lex_state = 132},
  [3269] = {.lex_state = 132},
  [3270] = {.lex_state = 132},
  [3271] = {.lex_state = 132},
  [3272] = {.lex_state = 132},
  [3273] = {.lex_state = 132},
  [3274] = {.lex_state = 132},
  [3275] = {.lex_state = 124},
  [3276] = {.lex_state = 132},
  [3277] = {.lex_state = 132},
  [3278] = {.lex_state = 132},
  [3279] = {.lex_state = 124},
  [3280] = {.lex_state = 111},
  [3281] = {.lex_state = 124},
  [3282] = {.lex_state = 132},
  [3283] = {.lex_state = 132},
  [3284] = {.lex_state = 132},
  [3285] = {.lex_state = 132},
  [3286] = {.lex_state = 132},
  [3287] = {.lex_state = 111},
  [3288] = {.lex_state = 132},
  [3289] = {.lex_state = 132},
  [3290] = {.lex_state = 111},
  [3291] = {.lex_state = 132},
  [3292] = {.lex_state = 111},
  [3293] = {.lex_state = 132},
  [3294] = {.lex_state = 132},
  [3295] = {.lex_state = 111},
  [3296] = {.lex_state = 132},
  [3297] = {.lex_state = 111},
  [3298] = {.lex_state = 132},
  [3299] = {.lex_state = 132},
  [3300] = {.lex_state = 111},
  [3301] = {.lex_state = 132},
  [3302] = {.lex_state = 113},
  [3303] = {.lex_state = 113},
  [3304] = {.lex_state = 132},
  [3305] = {.lex_state = 132},
  [3306] = {.lex_state = 132},
  [3307] = {.lex_state = 132},
  [3308] = {.lex_state = 132},
  [3309] = {.lex_state = 132},
  [3310] = {.lex_state = 132},
  [3311] = {.lex_state = 132},
  [3312] = {.lex_state = 132},
  [3313] = {.lex_state = 132},
  [3314] = {.lex_state = 132},
  [3315] = {.lex_state = 132},
  [3316] = {.lex_state = 132},
  [3317] = {.lex_state = 132},
  [3318] = {.lex_state = 132},
  [3319] = {.lex_state = 132},
  [3320] = {.lex_state = 132},
  [3321] = {.lex_state = 132},
  [3322] = {.lex_state = 132},
  [3323] = {.lex_state = 132},
  [3324] = {.lex_state = 132},
  [3325] = {.lex_state = 132},
  [3326] = {.lex_state = 132},
  [3327] = {.lex_state = 132},
  [3328] = {.lex_state = 132},
  [3329] = {.lex_state = 112},
  [3330] = {.lex_state = 112},
  [3331] = {.lex_state = 111},
  [3332] = {.lex_state = 111},
  [3333] = {.lex_state = 132},
  [3334] = {.lex_state = 111},
  [3335] = {.lex_state = 124},
  [3336] = {.lex_state = 111},
  [3337] = {.lex_state = 117},
  [3338] = {.lex_state = 111},
  [3339] = {.lex_state = 132},
  [3340] = {.lex_state = 132},
  [3341] = {.lex_state = 132},
  [3342] = {.lex_state = 111},
  [3343] = {.lex_state = 111},
  [3344] = {.lex_state = 111},
  [3345] = {.lex_state = 111},
  [3346] = {.lex_state = 111},
  [3347] = {.lex_state = 111},
  [3348] = {.lex_state = 111},
  [3349] = {.lex_state = 111},
  [3350] = {.lex_state = 111},
  [3351] = {.lex_state = 111},
  [3352] = {.lex_state = 111},
  [3353] = {.lex_state = 111},
  [3354] = {.lex_state = 111},
  [3355] = {.lex_state = 111},
  [3356] = {.lex_state = 111},
  [3357] = {.lex_state = 111},
  [3358] = {.lex_state = 111},
  [3359] = {.lex_state = 111},
  [3360] = {.lex_state = 111},
  [3361] = {.lex_state = 111},
  [3362] = {.lex_state = 111},
  [3363] = {.lex_state = 111},
  [3364] = {.lex_state = 111},
  [3365] = {.lex_state = 111},
  [3366] = {.lex_state = 111},
  [3367] = {.lex_state = 111},
  [3368] = {.lex_state = 111},
  [3369] = {.lex_state = 111},
  [3370] = {.lex_state = 111},
  [3371] = {.lex_state = 111},
  [3372] = {.lex_state = 111},
  [3373] = {.lex_state = 111},
  [3374] = {.lex_state = 111},
  [3375] = {.lex_state = 111},
  [3376] = {.lex_state = 111},
  [3377] = {.lex_state = 111},
  [3378] = {.lex_state = 111},
  [3379] = {.lex_state = 111},
  [3380] = {.lex_state = 111},
  [3381] = {.lex_state = 111},
  [3382] = {.lex_state = 111},
  [3383] = {.lex_state = 111},
  [3384] = {.lex_state = 111},
  [3385] = {.lex_state = 111},
  [3386] = {.lex_state = 111},
  [3387] = {.lex_state = 111},
  [3388] = {.lex_state = 111},
  [3389] = {.lex_state = 111},
  [3390] = {.lex_state = 111},
  [3391] = {.lex_state = 111},
  [3392] = {.lex_state = 111},
  [3393] = {.lex_state = 111},
  [3394] = {.lex_state = 111},
  [3395] = {.lex_state = 111},
  [3396] = {.lex_state = 111},
  [3397] = {.lex_state = 111},
  [3398] = {.lex_state = 111},
  [3399] = {.lex_state = 111},
  [3400] = {.lex_state = 111},
  [3401] = {.lex_state = 111},
  [3402] = {.lex_state = 111},
  [3403] = {.lex_state = 111},
  [3404] = {.lex_state = 111},
  [3405] = {.lex_state = 111},
  [3406] = {.lex_state = 111},
  [3407] = {.lex_state = 111},
  [3408] = {.lex_state = 111},
  [3409] = {.lex_state = 111},
  [3410] = {.lex_state = 111},
  [3411] = {.lex_state = 111},
  [3412] = {.lex_state = 111},
  [3413] = {.lex_state = 111},
  [3414] = {.lex_state = 111},
  [3415] = {.lex_state = 111},
  [3416] = {.lex_state = 111},
  [3417] = {.lex_state = 111},
  [3418] = {.lex_state = 111},
  [3419] = {.lex_state = 111},
  [3420] = {.lex_state = 111},
  [3421] = {.lex_state = 111},
  [3422] = {.lex_state = 111},
  [3423] = {.lex_state = 111},
  [3424] = {.lex_state = 111},
  [3425] = {.lex_state = 111},
  [3426] = {.lex_state = 111},
  [3427] = {.lex_state = 111},
  [3428] = {.lex_state = 111},
  [3429] = {.lex_state = 111},
  [3430] = {.lex_state = 111},
  [3431] = {.lex_state = 111},
  [3432] = {.lex_state = 111},
  [3433] = {.lex_state = 111},
  [3434] = {.lex_state = 111},
  [3435] = {.lex_state = 111},
  [3436] = {.lex_state = 111},
  [3437] = {.lex_state = 111},
  [3438] = {.lex_state = 111},
  [3439] = {.lex_state = 111},
  [3440] = {.lex_state = 111},
  [3441] = {.lex_state = 111},
  [3442] = {.lex_state = 111},
  [3443] = {.lex_state = 111},
  [3444] = {.lex_state = 111},
  [3445] = {.lex_state = 111},
  [3446] = {.lex_state = 111},
  [3447] = {.lex_state = 111},
  [3448] = {.lex_state = 111},
  [3449] = {.lex_state = 111},
  [3450] = {.lex_state = 111},
  [3451] = {.lex_state = 111},
  [3452] = {.lex_state = 111},
  [3453] = {.lex_state = 111},
  [3454] = {.lex_state = 111},
  [3455] = {.lex_state = 111},
  [3456] = {.lex_state = 111},
  [3457] = {.lex_state = 111},
  [3458] = {.lex_state = 111},
  [3459] = {.lex_state = 111},
  [3460] = {.lex_state = 111},
  [3461] = {.lex_state = 111},
  [3462] = {.lex_state = 111},
  [3463] = {.lex_state = 111},
  [3464] = {.lex_state = 111},
  [3465] = {.lex_state = 111},
  [3466] = {.lex_state = 111},
  [3467] = {.lex_state = 111},
  [3468] = {.lex_state = 111},
  [3469] = {.lex_state = 111},
  [3470] = {.lex_state = 111},
  [3471] = {.lex_state = 111},
  [3472] = {.lex_state = 111},
  [3473] = {.lex_state = 111},
  [3474] = {.lex_state = 111},
  [3475] = {.lex_state = 111},
  [3476] = {.lex_state = 111},
  [3477] = {.lex_state = 111},
  [3478] = {.lex_state = 111},
  [3479] = {.lex_state = 111},
  [3480] = {.lex_state = 111},
  [3481] = {.lex_state = 111},
  [3482] = {.lex_state = 111},
  [3483] = {.lex_state = 111},
  [3484] = {.lex_state = 111},
  [3485] = {.lex_state = 111},
  [3486] = {.lex_state = 111},
  [3487] = {.lex_state = 111},
  [3488] = {.lex_state = 111},
  [3489] = {.lex_state = 111},
  [3490] = {.lex_state = 111},
  [3491] = {.lex_state = 111},
  [3492] = {.lex_state = 111},
  [3493] = {.lex_state = 111},
  [3494] = {.lex_state = 111},
  [3495] = {.lex_state = 111},
  [3496] = {.lex_state = 111},
  [3497] = {.lex_state = 111},
  [3498] = {.lex_state = 111},
  [3499] = {.lex_state = 111},
  [3500] = {.lex_state = 111},
  [3501] = {.lex_state = 111},
  [3502] = {.lex_state = 111},
  [3503] = {.lex_state = 111},
  [3504] = {.lex_state = 111},
  [3505] = {.lex_state = 111},
  [3506] = {.lex_state = 111},
  [3507] = {.lex_state = 111},
  [3508] = {.lex_state = 111},
  [3509] = {.lex_state = 111},
  [3510] = {.lex_state = 111},
  [3511] = {.lex_state = 111},
  [3512] = {.lex_state = 111},
  [3513] = {.lex_state = 111},
  [3514] = {.lex_state = 111},
  [3515] = {.lex_state = 111},
  [3516] = {.lex_state = 111},
  [3517] = {.lex_state = 111},
  [3518] = {.lex_state = 111},
  [3519] = {.lex_state = 111},
  [3520] = {.lex_state = 111},
  [3521] = {.lex_state = 111},
  [3522] = {.lex_state = 111},
  [3523] = {.lex_state = 111},
  [3524] = {.lex_state = 111},
  [3525] = {.lex_state = 111},
  [3526] = {.lex_state = 111},
  [3527] = {.lex_state = 111},
  [3528] = {.lex_state = 111},
  [3529] = {.lex_state = 111},
  [3530] = {.lex_state = 111},
  [3531] = {.lex_state = 111},
  [3532] = {.lex_state = 111},
  [3533] = {.lex_state = 111},
  [3534] = {.lex_state = 111},
  [3535] = {.lex_state = 111},
  [3536] = {.lex_state = 111},
  [3537] = {.lex_state = 111},
  [3538] = {.lex_state = 111},
  [3539] = {.lex_state = 111},
  [3540] = {.lex_state = 111},
  [3541] = {.lex_state = 111},
  [3542] = {.lex_state = 111},
  [3543] = {.lex_state = 111},
  [3544] = {.lex_state = 111},
  [3545] = {.lex_state = 111},
  [3546] = {.lex_state = 111},
  [3547] = {.lex_state = 111},
  [3548] = {.lex_state = 111},
  [3549] = {.lex_state = 111},
  [3550] = {.lex_state = 111},
  [3551] = {.lex_state = 111},
  [3552] = {.lex_state = 111},
  [3553] = {.lex_state = 111},
  [3554] = {.lex_state = 111},
  [3555] = {.lex_state = 111},
  [3556] = {.lex_state = 111},
  [3557] = {.lex_state = 111},
  [3558] = {.lex_state = 111},
  [3559] = {.lex_state = 111},
  [3560] = {.lex_state = 111},
  [3561] = {.lex_state = 111},
  [3562] = {.lex_state = 111},
  [3563] = {.lex_state = 111},
  [3564] = {.lex_state = 111},
  [3565] = {.lex_state = 111},
  [3566] = {.lex_state = 111},
  [3567] = {.lex_state = 111},
  [3568] = {.lex_state = 111},
  [3569] = {.lex_state = 111},
  [3570] = {.lex_state = 111},
  [3571] = {.lex_state = 111},
  [3572] = {.lex_state = 111},
  [3573] = {.lex_state = 111},
  [3574] = {.lex_state = 111},
  [3575] = {.lex_state = 111},
  [3576] = {.lex_state = 111},
  [3577] = {.lex_state = 111},
  [3578] = {.lex_state = 111},
  [3579] = {.lex_state = 111},
  [3580] = {.lex_state = 111},
  [3581] = {.lex_state = 111},
  [3582] = {.lex_state = 111},
  [3583] = {.lex_state = 111},
  [3584] = {.lex_state = 111},
  [3585] = {.lex_state = 111},
  [3586] = {.lex_state = 111},
  [3587] = {.lex_state = 111},
  [3588] = {.lex_state = 111},
  [3589] = {.lex_state = 111},
  [3590] = {.lex_state = 111},
  [3591] = {.lex_state = 111},
  [3592] = {.lex_state = 111},
  [3593] = {.lex_state = 111},
  [3594] = {.lex_state = 111},
  [3595] = {.lex_state = 111},
  [3596] = {.lex_state = 111},
  [3597] = {.lex_state = 111},
  [3598] = {.lex_state = 111},
  [3599] = {.lex_state = 111},
  [3600] = {.lex_state = 111},
  [3601] = {.lex_state = 111},
  [3602] = {.lex_state = 111},
  [3603] = {.lex_state = 111},
  [3604] = {.lex_state = 111},
  [3605] = {.lex_state = 111},
  [3606] = {.lex_state = 111},
  [3607] = {.lex_state = 111},
  [3608] = {.lex_state = 111},
  [3609] = {.lex_state = 111},
  [3610] = {.lex_state = 111},
  [3611] = {.lex_state = 111},
  [3612] = {.lex_state = 111},
  [3613] = {.lex_state = 111},
  [3614] = {.lex_state = 111},
  [3615] = {.lex_state = 111},
  [3616] = {.lex_state = 111},
  [3617] = {.lex_state = 111},
  [3618] = {.lex_state = 111},
  [3619] = {.lex_state = 111},
  [3620] = {.lex_state = 111},
  [3621] = {.lex_state = 111},
  [3622] = {.lex_state = 111},
  [3623] = {.lex_state = 111},
  [3624] = {.lex_state = 111},
  [3625] = {.lex_state = 111},
  [3626] = {.lex_state = 111},
  [3627] = {.lex_state = 111},
  [3628] = {.lex_state = 111},
  [3629] = {.lex_state = 111},
  [3630] = {.lex_state = 111},
  [3631] = {.lex_state = 111},
  [3632] = {.lex_state = 111},
  [3633] = {.lex_state = 111},
  [3634] = {.lex_state = 111},
  [3635] = {.lex_state = 111},
  [3636] = {.lex_state = 111},
  [3637] = {.lex_state = 111},
  [3638] = {.lex_state = 111},
  [3639] = {.lex_state = 111},
  [3640] = {.lex_state = 111},
  [3641] = {.lex_state = 111},
  [3642] = {.lex_state = 111},
  [3643] = {.lex_state = 111},
  [3644] = {.lex_state = 111},
  [3645] = {.lex_state = 111},
  [3646] = {.lex_state = 111},
  [3647] = {.lex_state = 111},
  [3648] = {.lex_state = 111},
  [3649] = {.lex_state = 111},
  [3650] = {.lex_state = 111},
  [3651] = {.lex_state = 111},
  [3652] = {.lex_state = 111},
  [3653] = {.lex_state = 111},
  [3654] = {.lex_state = 111},
  [3655] = {.lex_state = 111},
  [3656] = {.lex_state = 111},
  [3657] = {.lex_state = 111},
  [3658] = {.lex_state = 111},
  [3659] = {.lex_state = 111},
  [3660] = {.lex_state = 111},
  [3661] = {.lex_state = 111},
  [3662] = {.lex_state = 111},
  [3663] = {.lex_state = 111},
  [3664] = {.lex_state = 111},
  [3665] = {.lex_state = 111},
  [3666] = {.lex_state = 111},
  [3667] = {.lex_state = 111},
  [3668] = {.lex_state = 111},
  [3669] = {.lex_state = 111},
  [3670] = {.lex_state = 111},
  [3671] = {.lex_state = 111},
  [3672] = {.lex_state = 111},
  [3673] = {.lex_state = 111},
  [3674] = {.lex_state = 111},
  [3675] = {.lex_state = 111},
  [3676] = {.lex_state = 111},
  [3677] = {.lex_state = 111},
  [3678] = {.lex_state = 111},
  [3679] = {.lex_state = 111},
  [3680] = {.lex_state = 111},
  [3681] = {.lex_state = 111},
  [3682] = {.lex_state = 111},
  [3683] = {.lex_state = 111},
  [3684] = {.lex_state = 111},
  [3685] = {.lex_state = 111},
  [3686] = {.lex_state = 111},
  [3687] = {.lex_state = 111},
  [3688] = {.lex_state = 111},
  [3689] = {.lex_state = 111},
  [3690] = {.lex_state = 111},
  [3691] = {.lex_state = 111},
  [3692] = {.lex_state = 111},
  [3693] = {.lex_state = 111},
  [3694] = {.lex_state = 111},
  [3695] = {.lex_state = 111},
  [3696] = {.lex_state = 111},
  [3697] = {.lex_state = 111},
  [3698] = {.lex_state = 111},
  [3699] = {.lex_state = 111},
  [3700] = {.lex_state = 111},
  [3701] = {.lex_state = 111},
  [3702] = {.lex_state = 111},
  [3703] = {.lex_state = 111},
  [3704] = {.lex_state = 111},
  [3705] = {.lex_state = 111},
  [3706] = {.lex_state = 111},
  [3707] = {.lex_state = 111},
  [3708] = {.lex_state = 111},
  [3709] = {.lex_state = 111},
  [3710] = {.lex_state = 111},
  [3711] = {.lex_state = 111},
  [3712] = {.lex_state = 111},
  [3713] = {.lex_state = 111},
  [3714] = {.lex_state = 111},
  [3715] = {.lex_state = 111},
  [3716] = {.lex_state = 111},
  [3717] = {.lex_state = 111},
  [3718] = {.lex_state = 111},
  [3719] = {.lex_state = 111},
  [3720] = {.lex_state = 111},
  [3721] = {.lex_state = 111},
  [3722] = {.lex_state = 111},
  [3723] = {.lex_state = 111},
  [3724] = {.lex_state = 111},
  [3725] = {.lex_state = 111},
  [3726] = {.lex_state = 111},
  [3727] = {.lex_state = 111},
  [3728] = {.lex_state = 111},
  [3729] = {.lex_state = 111},
  [3730] = {.lex_state = 111},
  [3731] = {.lex_state = 111},
  [3732] = {.lex_state = 111},
  [3733] = {.lex_state = 111},
  [3734] = {.lex_state = 111},
  [3735] = {.lex_state = 111},
  [3736] = {.lex_state = 111},
  [3737] = {.lex_state = 111},
  [3738] = {.lex_state = 111},
  [3739] = {.lex_state = 111},
  [3740] = {.lex_state = 111},
  [3741] = {.lex_state = 111},
  [3742] = {.lex_state = 111},
  [3743] = {.lex_state = 111},
  [3744] = {.lex_state = 111},
  [3745] = {.lex_state = 111},
  [3746] = {.lex_state = 111},
  [3747] = {.lex_state = 111},
  [3748] = {.lex_state = 111},
  [3749] = {.lex_state = 111},
  [3750] = {.lex_state = 111},
  [3751] = {.lex_state = 111},
  [3752] = {.lex_state = 111},
  [3753] = {.lex_state = 111},
  [3754] = {.lex_state = 111},
  [3755] = {.lex_state = 111},
  [3756] = {.lex_state = 111},
  [3757] = {.lex_state = 132},
  [3758] = {.lex_state = 132},
  [3759] = {.lex_state = 132},
  [3760] = {.lex_state = 132},
  [3761] = {.lex_state = 132},
  [3762] = {.lex_state = 132},
  [3763] = {.lex_state = 132},
  [3764] = {.lex_state = 132},
  [3765] = {.lex_state = 132},
  [3766] = {.lex_state = 132},
  [3767] = {.lex_state = 132},
  [3768] = {.lex_state = 132},
  [3769] = {.lex_state = 125},
  [3770] = {.lex_state = 134},
  [3771] = {.lex_state = 134},
  [3772] = {.lex_state = 134},
  [3773] = {.lex_state = 132},
  [3774] = {.lex_state = 132},
  [3775] = {.lex_state = 132},
  [3776] = {.lex_state = 132},
  [3777] = {.lex_state = 132},
  [3778] = {.lex_state = 132},
  [3779] = {.lex_state = 132},
  [3780] = {.lex_state = 132},
  [3781] = {.lex_state = 132},
  [3782] = {.lex_state = 132},
  [3783] = {.lex_state = 132},
  [3784] = {.lex_state = 132},
  [3785] = {.lex_state = 132},
  [3786] = {.lex_state = 132},
  [3787] = {.lex_state = 132},
  [3788] = {.lex_state = 132},
  [3789] = {.lex_state = 132},
  [3790] = {.lex_state = 132},
  [3791] = {.lex_state = 132},
  [3792] = {.lex_state = 132},
  [3793] = {.lex_state = 132},
  [3794] = {.lex_state = 132},
  [3795] = {.lex_state = 132},
  [3796] = {.lex_state = 132},
  [3797] = {.lex_state = 132},
  [3798] = {.lex_state = 132},
  [3799] = {.lex_state = 132},
  [3800] = {.lex_state = 132},
  [3801] = {.lex_state = 132},
  [3802] = {.lex_state = 132},
  [3803] = {.lex_state = 132},
  [3804] = {.lex_state = 132},
  [3805] = {.lex_state = 132},
  [3806] = {.lex_state = 132},
  [3807] = {.lex_state = 132},
  [3808] = {.lex_state = 132},
  [3809] = {.lex_state = 132},
  [3810] = {.lex_state = 132},
  [3811] = {.lex_state = 132},
  [3812] = {.lex_state = 132},
  [3813] = {.lex_state = 132},
  [3814] = {.lex_state = 132},
  [3815] = {.lex_state = 132},
  [3816] = {.lex_state = 132},
  [3817] = {.lex_state = 132},
  [3818] = {.lex_state = 132},
  [3819] = {.lex_state = 132},
  [3820] = {.lex_state = 132},
  [3821] = {.lex_state = 132},
  [3822] = {.lex_state = 132},
  [3823] = {.lex_state = 132},
  [3824] = {.lex_state = 132},
  [3825] = {.lex_state = 132},
  [3826] = {.lex_state = 132},
  [3827] = {.lex_state = 132},
  [3828] = {.lex_state = 132},
  [3829] = {.lex_state = 132},
  [3830] = {.lex_state = 132},
  [3831] = {.lex_state = 132},
  [3832] = {.lex_state = 132},
  [3833] = {.lex_state = 132},
  [3834] = {.lex_state = 132},
  [3835] = {.lex_state = 132},
  [3836] = {.lex_state = 132},
  [3837] = {.lex_state = 132},
  [3838] = {.lex_state = 132},
  [3839] = {.lex_state = 132},
  [3840] = {.lex_state = 132},
  [3841] = {.lex_state = 132},
  [3842] = {.lex_state = 132},
  [3843] = {.lex_state = 132},
  [3844] = {.lex_state = 132},
  [3845] = {.lex_state = 132},
  [3846] = {.lex_state = 132},
  [3847] = {.lex_state = 132},
  [3848] = {.lex_state = 132},
  [3849] = {.lex_state = 132},
  [3850] = {.lex_state = 132},
  [3851] = {.lex_state = 132},
  [3852] = {.lex_state = 132},
  [3853] = {.lex_state = 132},
  [3854] = {.lex_state = 132},
  [3855] = {.lex_state = 132},
  [3856] = {.lex_state = 132},
  [3857] = {.lex_state = 132},
  [3858] = {.lex_state = 132},
  [3859] = {.lex_state = 132},
  [3860] = {.lex_state = 132},
  [3861] = {.lex_state = 132},
  [3862] = {.lex_state = 132},
  [3863] = {.lex_state = 132},
  [3864] = {.lex_state = 132},
  [3865] = {.lex_state = 132},
  [3866] = {.lex_state = 132},
  [3867] = {.lex_state = 132},
  [3868] = {.lex_state = 132},
  [3869] = {.lex_state = 132},
  [3870] = {.lex_state = 132},
  [3871] = {.lex_state = 132},
  [3872] = {.lex_state = 132},
  [3873] = {.lex_state = 132},
  [3874] = {.lex_state = 132},
  [3875] = {.lex_state = 132},
  [3876] = {.lex_state = 132},
  [3877] = {.lex_state = 132},
  [3878] = {.lex_state = 132},
  [3879] = {.lex_state = 132},
  [3880] = {.lex_state = 132},
  [3881] = {.lex_state = 132},
  [3882] = {.lex_state = 132},
  [3883] = {.lex_state = 132},
  [3884] = {.lex_state = 132},
  [3885] = {.lex_state = 132},
  [3886] = {.lex_state = 132},
  [3887] = {.lex_state = 132},
  [3888] = {.lex_state = 132},
  [3889] = {.lex_state = 132},
  [3890] = {.lex_state = 132},
  [3891] = {.lex_state = 132},
  [3892] = {.lex_state = 132},
  [3893] = {.lex_state = 132},
  [3894] = {.lex_state = 132},
  [3895] = {.lex_state = 132},
  [3896] = {.lex_state = 132},
  [3897] = {.lex_state = 132},
  [3898] = {.lex_state = 132},
  [3899] = {.lex_state = 132},
  [3900] = {.lex_state = 132},
  [3901] = {.lex_state = 132},
  [3902] = {.lex_state = 132},
  [3903] = {.lex_state = 132},
  [3904] = {.lex_state = 95},
  [3905] = {.lex_state = 132},
  [3906] = {.lex_state = 132},
  [3907] = {.lex_state = 132},
  [3908] = {.lex_state = 132},
  [3909] = {.lex_state = 132},
  [3910] = {.lex_state = 132},
  [3911] = {.lex_state = 132},
  [3912] = {.lex_state = 132},
  [3913] = {.lex_state = 132},
  [3914] = {.lex_state = 132},
  [3915] = {.lex_state = 132},
  [3916] = {.lex_state = 132},
  [3917] = {.lex_state = 132},
  [3918] = {.lex_state = 132},
  [3919] = {.lex_state = 132},
  [3920] = {.lex_state = 132},
  [3921] = {.lex_state = 132},
  [3922] = {.lex_state = 132},
  [3923] = {.lex_state = 132},
  [3924] = {.lex_state = 132},
  [3925] = {.lex_state = 132},
  [3926] = {.lex_state = 132},
  [3927] = {.lex_state = 132},
  [3928] = {.lex_state = 132},
  [3929] = {.lex_state = 132},
  [3930] = {.lex_state = 132},
  [3931] = {.lex_state = 132},
  [3932] = {.lex_state = 132},
  [3933] = {.lex_state = 132},
  [3934] = {.lex_state = 132},
  [3935] = {.lex_state = 132},
  [3936] = {.lex_state = 132},
  [3937] = {.lex_state = 132},
  [3938] = {.lex_state = 132},
  [3939] = {.lex_state = 132},
  [3940] = {.lex_state = 132},
  [3941] = {.lex_state = 132},
  [3942] = {.lex_state = 132},
  [3943] = {.lex_state = 132},
  [3944] = {.lex_state = 132},
  [3945] = {.lex_state = 132},
  [3946] = {.lex_state = 132},
  [3947] = {.lex_state = 132},
  [3948] = {.lex_state = 132},
  [3949] = {.lex_state = 132},
  [3950] = {.lex_state = 132},
  [3951] = {.lex_state = 132},
  [3952] = {.lex_state = 132},
  [3953] = {.lex_state = 132},
  [3954] = {.lex_state = 132},
  [3955] = {.lex_state = 132},
  [3956] = {.lex_state = 132},
  [3957] = {.lex_state = 132},
  [3958] = {.lex_state = 132},
  [3959] = {.lex_state = 132},
  [3960] = {.lex_state = 132},
  [3961] = {.lex_state = 132},
  [3962] = {.lex_state = 132},
  [3963] = {.lex_state = 132},
  [3964] = {.lex_state = 132},
  [3965] = {.lex_state = 132},
  [3966] = {.lex_state = 132},
  [3967] = {.lex_state = 132},
  [3968] = {.lex_state = 132},
  [3969] = {.lex_state = 132},
  [3970] = {.lex_state = 132},
  [3971] = {.lex_state = 132},
  [3972] = {.lex_state = 132},
  [3973] = {.lex_state = 132},
  [3974] = {.lex_state = 132},
  [3975] = {.lex_state = 132},
  [3976] = {.lex_state = 132},
  [3977] = {.lex_state = 132},
  [3978] = {.lex_state = 132},
  [3979] = {.lex_state = 132},
  [3980] = {.lex_state = 132},
  [3981] = {.lex_state = 132},
  [3982] = {.lex_state = 132},
  [3983] = {.lex_state = 132},
  [3984] = {.lex_state = 132},
  [3985] = {.lex_state = 132},
  [3986] = {.lex_state = 132},
  [3987] = {.lex_state = 132},
  [3988] = {.lex_state = 132},
  [3989] = {.lex_state = 132},
  [3990] = {.lex_state = 132},
  [3991] = {.lex_state = 132},
  [3992] = {.lex_state = 132},
  [3993] = {.lex_state = 132},
  [3994] = {.lex_state = 132},
  [3995] = {.lex_state = 132},
  [3996] = {.lex_state = 132},
  [3997] = {.lex_state = 132},
  [3998] = {.lex_state = 132},
  [3999] = {.lex_state = 132},
  [4000] = {.lex_state = 132},
  [4001] = {.lex_state = 132},
  [4002] = {.lex_state = 132},
  [4003] = {.lex_state = 132},
  [4004] = {.lex_state = 132},
  [4005] = {.lex_state = 132},
  [4006] = {.lex_state = 132},
  [4007] = {.lex_state = 132},
  [4008] = {.lex_state = 132},
  [4009] = {.lex_state = 132},
  [4010] = {.lex_state = 132},
  [4011] = {.lex_state = 132},
  [4012] = {.lex_state = 132},
  [4013] = {.lex_state = 132},
  [4014] = {.lex_state = 132},
  [4015] = {.lex_state = 132},
  [4016] = {.lex_state = 132},
  [4017] = {.lex_state = 132},
  [4018] = {.lex_state = 132},
  [4019] = {.lex_state = 132},
  [4020] = {.lex_state = 132},
  [4021] = {.lex_state = 132},
  [4022] = {.lex_state = 132},
  [4023] = {.lex_state = 132},
  [4024] = {.lex_state = 132},
  [4025] = {.lex_state = 132},
  [4026] = {.lex_state = 132},
  [4027] = {.lex_state = 132},
  [4028] = {.lex_state = 132},
  [4029] = {.lex_state = 132},
  [4030] = {.lex_state = 132},
  [4031] = {.lex_state = 132},
  [4032] = {.lex_state = 132},
  [4033] = {.lex_state = 132},
  [4034] = {.lex_state = 132},
  [4035] = {.lex_state = 132},
  [4036] = {.lex_state = 132},
  [4037] = {.lex_state = 132},
  [4038] = {.lex_state = 132},
  [4039] = {.lex_state = 132},
  [4040] = {.lex_state = 132},
  [4041] = {.lex_state = 132},
  [4042] = {.lex_state = 132},
  [4043] = {.lex_state = 132},
  [4044] = {.lex_state = 132},
  [4045] = {.lex_state = 132},
  [4046] = {.lex_state = 132},
  [4047] = {.lex_state = 132},
  [4048] = {.lex_state = 132},
  [4049] = {.lex_state = 132},
  [4050] = {.lex_state = 132},
  [4051] = {.lex_state = 132},
  [4052] = {.lex_state = 132},
  [4053] = {.lex_state = 132},
  [4054] = {.lex_state = 132},
  [4055] = {.lex_state = 132},
  [4056] = {.lex_state = 124},
  [4057] = {.lex_state = 132},
  [4058] = {.lex_state = 124},
  [4059] = {.lex_state = 132},
  [4060] = {.lex_state = 132},
  [4061] = {.lex_state = 132},
  [4062] = {.lex_state = 132},
  [4063] = {.lex_state = 124},
  [4064] = {.lex_state = 124},
  [4065] = {.lex_state = 124},
  [4066] = {.lex_state = 124},
  [4067] = {.lex_state = 124},
  [4068] = {.lex_state = 124},
  [4069] = {.lex_state = 132},
  [4070] = {.lex_state = 124},
  [4071] = {.lex_state = 124},
  [4072] = {.lex_state = 124},
  [4073] = {.lex_state = 132},
  [4074] = {.lex_state = 132},
  [4075] = {.lex_state = 124},
  [4076] = {.lex_state = 124},
  [4077] = {.lex_state = 124},
  [4078] = {.lex_state = 132},
  [4079] = {.lex_state = 132},
  [4080] = {.lex_state = 124},
  [4081] = {.lex_state = 105},
  [4082] = {.lex_state = 105},
  [4083] = {.lex_state = 105},
  [4084] = {.lex_state = 132},
  [4085] = {.lex_state = 132},
  [4086] = {.lex_state = 132},
  [4087] = {.lex_state = 132},
  [4088] = {.lex_state = 132},
  [4089] = {.lex_state = 132},
  [4090] = {.lex_state = 132},
  [4091] = {.lex_state = 132},
  [4092] = {.lex_state = 132},
  [4093] = {.lex_state = 132},
  [4094] = {.lex_state = 132},
  [4095] = {.lex_state = 132},
  [4096] = {.lex_state = 132},
  [4097] = {.lex_state = 132},
  [4098] = {.lex_state = 132},
  [4099] = {.lex_state = 132},
  [4100] = {.lex_state = 132},
  [4101] = {.lex_state = 132},
  [4102] = {.lex_state = 132},
  [4103] = {.lex_state = 132},
  [4104] = {.lex_state = 132},
  [4105] = {.lex_state = 132},
  [4106] = {.lex_state = 132},
  [4107] = {.lex_state = 132},
  [4108] = {.lex_state = 132},
  [4109] = {.lex_state = 132},
  [4110] = {.lex_state = 132},
  [4111] = {.lex_state = 132},
  [4112] = {.lex_state = 132},
  [4113] = {.lex_state = 132},
  [4114] = {.lex_state = 132},
  [4115] = {.lex_state = 124},
  [4116] = {.lex_state = 124},
  [4117] = {.lex_state = 132},
  [4118] = {.lex_state = 132},
  [4119] = {.lex_state = 132},
  [4120] = {.lex_state = 132},
  [4121] = {.lex_state = 132},
  [4122] = {.lex_state = 132},
  [4123] = {.lex_state = 132},
  [4124] = {.lex_state = 132},
  [4125] = {.lex_state = 132},
  [4126] = {.lex_state = 132},
  [4127] = {.lex_state = 132},
  [4128] = {.lex_state = 132},
  [4129] = {.lex_state = 132},
  [4130] = {.lex_state = 132},
  [4131] = {.lex_state = 132},
  [4132] = {.lex_state = 111},
  [4133] = {.lex_state = 111},
  [4134] = {.lex_state = 111},
  [4135] = {.lex_state = 111},
  [4136] = {.lex_state = 111},
  [4137] = {.lex_state = 111},
  [4138] = {.lex_state = 111},
  [4139] = {.lex_state = 132},
  [4140] = {.lex_state = 132},
  [4141] = {.lex_state = 132},
  [4142] = {.lex_state = 132},
  [4143] = {.lex_state = 132},
  [4144] = {.lex_state = 132},
  [4145] = {.lex_state = 132},
  [4146] = {.lex_state = 132},
  [4147] = {.lex_state = 132},
  [4148] = {.lex_state = 132},
  [4149] = {.lex_state = 132},
  [4150] = {.lex_state = 132},
  [4151] = {.lex_state = 132},
  [4152] = {.lex_state = 132},
  [4153] = {.lex_state = 132},
  [4154] = {.lex_state = 132},
  [4155] = {.lex_state = 132},
  [4156] = {.lex_state = 111},
  [4157] = {.lex_state = 132},
  [4158] = {.lex_state = 111},
  [4159] = {.lex_state = 132},
  [4160] = {.lex_state = 132},
  [4161] = {.lex_state = 132},
  [4162] = {.lex_state = 132},
  [4163] = {.lex_state = 132},
  [4164] = {.lex_state = 132},
  [4165] = {.lex_state = 132},
  [4166] = {.lex_state = 132},
  [4167] = {.lex_state = 132},
  [4168] = {.lex_state = 132},
  [4169] = {.lex_state = 132},
  [4170] = {.lex_state = 132},
  [4171] = {.lex_state = 132},
  [4172] = {.lex_state = 132},
  [4173] = {.lex_state = 132},
  [4174] = {.lex_state = 132},
  [4175] = {.lex_state = 132},
  [4176] = {.lex_state = 132},
  [4177] = {.lex_state = 132},
  [4178] = {.lex_state = 132},
  [4179] = {.lex_state = 111},
  [4180] = {.lex_state = 132},
  [4181] = {.lex_state = 132},
  [4182] = {.lex_state = 132},
  [4183] = {.lex_state = 132},
  [4184] = {.lex_state = 132},
  [4185] = {.lex_state = 111},
  [4186] = {.lex_state = 132},
  [4187] = {.lex_state = 132},
  [4188] = {.lex_state = 111},
  [4189] = {.lex_state = 132},
  [4190] = {.lex_state = 132},
  [4191] = {.lex_state = 132},
  [4192] = {.lex_state = 132},
  [4193] = {.lex_state = 132},
  [4194] = {.lex_state = 132},
  [4195] = {.lex_state = 111},
  [4196] = {.lex_state = 111},
  [4197] = {.lex_state = 111},
  [4198] = {.lex_state = 111},
  [4199] = {.lex_state = 111},
  [4200] = {.lex_state = 111},
  [4201] = {.lex_state = 111},
  [4202] = {.lex_state = 111},
  [4203] = {.lex_state = 111},
  [4204] = {.lex_state = 111},
  [4205] = {.lex_state = 132},
  [4206] = {.lex_state = 111},
  [4207] = {.lex_state = 111},
  [4208] = {.lex_state = 132},
  [4209] = {.lex_state = 111},
  [4210] = {.lex_state = 132},
  [4211] = {.lex_state = 132},
  [4212] = {.lex_state = 132},
  [4213] = {.lex_state = 117},
  [4214] = {.lex_state = 132},
  [4215] = {.lex_state = 132},
  [4216] = {.lex_state = 132},
  [4217] = {.lex_state = 132},
  [4218] = {.lex_state = 132},
  [4219] = {.lex_state = 132},
  [4220] = {.lex_state = 132},
  [4221] = {.lex_state = 132},
  [4222] = {.lex_state = 132},
  [4223] = {.lex_state = 132},
  [4224] = {.lex_state = 132},
  [4225] = {.lex_state = 132},
  [4226] = {.lex_state = 132},
  [4227] = {.lex_state = 132},
  [4228] = {.lex_state = 132},
  [4229] = {.lex_state = 132},
  [4230] = {.lex_state = 132},
  [4231] = {.lex_state = 132},
  [4232] = {.lex_state = 132},
  [4233] = {.lex_state = 132},
  [4234] = {.lex_state = 132},
  [4235] = {.lex_state = 132},
  [4236] = {.lex_state = 132},
  [4237] = {.lex_state = 132},
  [4238] = {.lex_state = 132},
  [4239] = {.lex_state = 132},
  [4240] = {.lex_state = 132},
  [4241] = {.lex_state = 132},
  [4242] = {.lex_state = 132},
  [4243] = {.lex_state = 132},
  [4244] = {.lex_state = 132},
  [4245] = {.lex_state = 132},
  [4246] = {.lex_state = 132},
  [4247] = {.lex_state = 132},
  [4248] = {.lex_state = 132},
  [4249] = {.lex_state = 132},
  [4250] = {.lex_state = 132},
  [4251] = {.lex_state = 132},
  [4252] = {.lex_state = 132},
  [4253] = {.lex_state = 122},
  [4254] = {.lex_state = 132},
  [4255] = {.lex_state = 132},
  [4256] = {.lex_state = 132},
  [4257] = {.lex_state = 132},
  [4258] = {.lex_state = 132},
  [4259] = {.lex_state = 132},
  [4260] = {.lex_state = 132},
  [4261] = {.lex_state = 132},
  [4262] = {.lex_state = 132},
  [4263] = {.lex_state = 132},
  [4264] = {.lex_state = 132},
  [4265] = {.lex_state = 132},
  [4266] = {.lex_state = 132},
  [4267] = {.lex_state = 132},
  [4268] = {.lex_state = 132},
  [4269] = {.lex_state = 132},
  [4270] = {.lex_state = 132},
  [4271] = {.lex_state = 132},
  [4272] = {.lex_state = 132},
  [4273] = {.lex_state = 132},
  [4274] = {.lex_state = 132},
  [4275] = {.lex_state = 132},
  [4276] = {.lex_state = 132},
  [4277] = {.lex_state = 132},
  [4278] = {.lex_state = 117},
  [4279] = {.lex_state = 132},
  [4280] = {.lex_state = 132},
  [4281] = {.lex_state = 117},
  [4282] = {.lex_state = 117},
  [4283] = {.lex_state = 117},
  [4284] = {.lex_state = 119},
  [4285] = {.lex_state = 132},
  [4286] = {.lex_state = 117},
  [4287] = {.lex_state = 117},
  [4288] = {.lex_state = 117},
  [4289] = {.lex_state = 117},
  [4290] = {.lex_state = 117},
  [4291] = {.lex_state = 132},
  [4292] = {.lex_state = 117},
  [4293] = {.lex_state = 117},
  [4294] = {.lex_state = 132},
  [4295] = {.lex_state = 132},
  [4296] = {.lex_state = 132},
  [4297] = {.lex_state = 132},
  [4298] = {.lex_state = 132},
  [4299] = {.lex_state = 117},
  [4300] = {.lex_state = 132},
  [4301] = {.lex_state = 132},
  [4302] = {.lex_state = 124},
  [4303] = {.lex_state = 124},
  [4304] = {.lex_state = 132},
  [4305] = {.lex_state = 132},
  [4306] = {.lex_state = 124},
  [4307] = {.lex_state = 132},
  [4308] = {.lex_state = 124},
  [4309] = {.lex_state = 124},
  [4310] = {.lex_state = 124},
  [4311] = {.lex_state = 124},
  [4312] = {.lex_state = 124},
  [4313] = {.lex_state = 124},
  [4314] = {.lex_state = 124},
  [4315] = {.lex_state = 124},
  [4316] = {.lex_state = 124},
  [4317] = {.lex_state = 124},
  [4318] = {.lex_state = 124},
  [4319] = {.lex_state = 132},
  [4320] = {.lex_state = 124},
  [4321] = {.lex_state = 132},
  [4322] = {.lex_state = 124},
  [4323] = {.lex_state = 132},
  [4324] = {.lex_state = 132},
  [4325] = {.lex_state = 124},
  [4326] = {.lex_state = 124},
  [4327] = {.lex_state = 124},
  [4328] = {.lex_state = 124},
  [4329] = {.lex_state = 124},
  [4330] = {.lex_state = 124},
  [4331] = {.lex_state = 124},
  [4332] = {.lex_state = 124},
  [4333] = {.lex_state = 124},
  [4334] = {.lex_state = 124},
  [4335] = {.lex_state = 124},
  [4336] = {.lex_state = 124},
  [4337] = {.lex_state = 124},
  [4338] = {.lex_state = 124},
  [4339] = {.lex_state = 124},
  [4340] = {.lex_state = 132},
  [4341] = {.lex_state = 124},
  [4342] = {.lex_state = 132},
  [4343] = {.lex_state = 132},
  [4344] = {.lex_state = 132},
  [4345] = {.lex_state = 132},
  [4346] = {.lex_state = 132},
  [4347] = {.lex_state = 132},
  [4348] = {.lex_state = 132},
  [4349] = {.lex_state = 132},
  [4350] = {.lex_state = 132},
  [4351] = {.lex_state = 132},
  [4352] = {.lex_state = 132},
  [4353] = {.lex_state = 120},
  [4354] = {.lex_state = 120},
  [4355] = {.lex_state = 120},
  [4356] = {.lex_state = 120},
  [4357] = {.lex_state = 120},
  [4358] = {.lex_state = 120},
  [4359] = {.lex_state = 120},
  [4360] = {.lex_state = 120},
  [4361] = {.lex_state = 120},
  [4362] = {.lex_state = 120},
  [4363] = {.lex_state = 120},
  [4364] = {.lex_state = 120},
  [4365] = {.lex_state = 120},
  [4366] = {.lex_state = 120},
  [4367] = {.lex_state = 120},
  [4368] = {.lex_state = 120},
  [4369] = {.lex_state = 120},
  [4370] = {.lex_state = 120},
  [4371] = {.lex_state = 125},
  [4372] = {.lex_state = 125},
  [4373] = {.lex_state = 125},
  [4374] = {.lex_state = 125},
  [4375] = {.lex_state = 125},
  [4376] = {.lex_state = 125},
  [4377] = {.lex_state = 125},
  [4378] = {.lex_state = 125},
  [4379] = {.lex_state = 125},
  [4380] = {.lex_state = 125},
  [4381] = {.lex_state = 125},
  [4382] = {.lex_state = 125},
  [4383] = {.lex_state = 125},
  [4384] = {.lex_state = 125},
  [4385] = {.lex_state = 125},
  [4386] = {.lex_state = 125},
  [4387] = {.lex_state = 125},
  [4388] = {.lex_state = 125},
  [4389] = {.lex_state = 125},
  [4390] = {.lex_state = 125},
  [4391] = {.lex_state = 125},
  [4392] = {.lex_state = 125},
  [4393] = {.lex_state = 125},
  [4394] = {.lex_state = 125},
  [4395] = {.lex_state = 125},
  [4396] = {.lex_state = 125},
  [4397] = {.lex_state = 125},
  [4398] = {.lex_state = 125},
  [4399] = {.lex_state = 125},
  [4400] = {.lex_state = 125},
  [4401] = {.lex_state = 125},
  [4402] = {.lex_state = 125},
  [4403] = {.lex_state = 125},
  [4404] = {.lex_state = 125},
  [4405] = {.lex_state = 125},
  [4406] = {.lex_state = 125},
  [4407] = {.lex_state = 125},
  [4408] = {.lex_state = 125},
  [4409] = {.lex_state = 125},
  [4410] = {.lex_state = 125},
  [4411] = {.lex_state = 125},
  [4412] = {.lex_state = 125},
  [4413] = {.lex_state = 125},
  [4414] = {.lex_state = 125},
  [4415] = {.lex_state = 125},
  [4416] = {.lex_state = 125},
  [4417] = {.lex_state = 125},
  [4418] = {.lex_state = 125},
  [4419] = {.lex_state = 125},
  [4420] = {.lex_state = 125},
  [4421] = {.lex_state = 125},
  [4422] = {.lex_state = 125},
  [4423] = {.lex_state = 125},
  [4424] = {.lex_state = 125},
  [4425] = {.lex_state = 125},
  [4426] = {.lex_state = 125},
  [4427] = {.lex_state = 125},
  [4428] = {.lex_state = 125},
  [4429] = {.lex_state = 125},
  [4430] = {.lex_state = 125},
  [4431] = {.lex_state = 125},
  [4432] = {.lex_state = 125},
  [4433] = {.lex_state = 125},
  [4434] = {.lex_state = 125},
  [4435] = {.lex_state = 125},
  [4436] = {.lex_state = 125},
  [4437] = {.lex_state = 125},
  [4438] = {.lex_state = 125},
  [4439] = {.lex_state = 125},
  [4440] = {.lex_state = 125},
  [4441] = {.lex_state = 125},
  [4442] = {.lex_state = 125},
  [4443] = {.lex_state = 125},
  [4444] = {.lex_state = 125},
  [4445] = {.lex_state = 125},
  [4446] = {.lex_state = 125},
  [4447] = {.lex_state = 125},
  [4448] = {.lex_state = 125},
  [4449] = {.lex_state = 125},
  [4450] = {.lex_state = 125},
  [4451] = {.lex_state = 125},
  [4452] = {.lex_state = 125},
  [4453] = {.lex_state = 125},
  [4454] = {.lex_state = 125},
  [4455] = {.lex_state = 125},
  [4456] = {.lex_state = 125},
  [4457] = {.lex_state = 125},
  [4458] = {.lex_state = 125},
  [4459] = {.lex_state = 125},
  [4460] = {.lex_state = 125},
  [4461] = {.lex_state = 125},
  [4462] = {.lex_state = 125},
  [4463] = {.lex_state = 125},
  [4464] = {.lex_state = 125},
  [4465] = {.lex_state = 125},
  [4466] = {.lex_state = 125},
  [4467] = {.lex_state = 125},
  [4468] = {.lex_state = 125},
  [4469] = {.lex_state = 125},
  [4470] = {.lex_state = 125},
  [4471] = {.lex_state = 125},
  [4472] = {.lex_state = 125},
  [4473] = {.lex_state = 125},
  [4474] = {.lex_state = 125},
  [4475] = {.lex_state = 125},
  [4476] = {.lex_state = 125},
  [4477] = {.lex_state = 125},
  [4478] = {.lex_state = 125},
  [4479] = {.lex_state = 125},
  [4480] = {.lex_state = 125},
  [4481] = {.lex_state = 125},
  [4482] = {.lex_state = 125},
  [4483] = {.lex_state = 125},
  [4484] = {.lex_state = 125},
  [4485] = {.lex_state = 125},
  [4486] = {.lex_state = 125},
  [4487] = {.lex_state = 125},
  [4488] = {.lex_state = 125},
  [4489] = {.lex_state = 125},
  [4490] = {.lex_state = 125},
  [4491] = {.lex_state = 125},
  [4492] = {.lex_state = 125},
  [4493] = {.lex_state = 125},
  [4494] = {.lex_state = 125},
  [4495] = {.lex_state = 125},
  [4496] = {.lex_state = 125},
  [4497] = {.lex_state = 125},
  [4498] = {.lex_state = 125},
  [4499] = {.lex_state = 125},
  [4500] = {.lex_state = 125},
  [4501] = {.lex_state = 125},
  [4502] = {.lex_state = 125},
  [4503] = {.lex_state = 125},
  [4504] = {.lex_state = 125},
  [4505] = {.lex_state = 125},
  [4506] = {.lex_state = 125},
  [4507] = {.lex_state = 125},
  [4508] = {.lex_state = 125},
  [4509] = {.lex_state = 125},
  [4510] = {.lex_state = 125},
  [4511] = {.lex_state = 125},
  [4512] = {.lex_state = 125},
  [4513] = {.lex_state = 125},
  [4514] = {.lex_state = 125},
  [4515] = {.lex_state = 125},
  [4516] = {.lex_state = 125},
  [4517] = {.lex_state = 125},
  [4518] = {.lex_state = 125},
  [4519] = {.lex_state = 125},
  [4520] = {.lex_state = 125},
  [4521] = {.lex_state = 132},
  [4522] = {.lex_state = 125},
  [4523] = {.lex_state = 125},
  [4524] = {.lex_state = 125},
  [4525] = {.lex_state = 125},
  [4526] = {.lex_state = 125},
  [4527] = {.lex_state = 125},
  [4528] = {.lex_state = 125},
  [4529] = {.lex_state = 125},
  [4530] = {.lex_state = 125},
  [4531] = {.lex_state = 125},
  [4532] = {.lex_state = 125},
  [4533] = {.lex_state = 132},
  [4534] = {.lex_state = 125},
  [4535] = {.lex_state = 125},
  [4536] = {.lex_state = 125},
  [4537] = {.lex_state = 132},
  [4538] = {.lex_state = 125},
  [4539] = {.lex_state = 125},
  [4540] = {.lex_state = 125},
  [4541] = {.lex_state = 125},
  [4542] = {.lex_state = 125},
  [4543] = {.lex_state = 125},
  [4544] = {.lex_state = 125},
  [4545] = {.lex_state = 125},
  [4546] = {.lex_state = 125},
  [4547] = {.lex_state = 125},
  [4548] = {.lex_state = 125},
  [4549] = {.lex_state = 125},
  [4550] = {.lex_state = 125},
  [4551] = {.lex_state = 125},
  [4552] = {.lex_state = 125},
  [4553] = {.lex_state = 132},
  [4554] = {.lex_state = 125},
  [4555] = {.lex_state = 125},
  [4556] = {.lex_state = 132},
  [4557] = {.lex_state = 125},
  [4558] = {.lex_state = 125},
  [4559] = {.lex_state = 125},
  [4560] = {.lex_state = 125},
  [4561] = {.lex_state = 125},
  [4562] = {.lex_state = 132},
  [4563] = {.lex_state = 125},
  [4564] = {.lex_state = 125},
  [4565] = {.lex_state = 125},
  [4566] = {.lex_state = 125},
  [4567] = {.lex_state = 125},
  [4568] = {.lex_state = 125},
  [4569] = {.lex_state = 125},
  [4570] = {.lex_state = 125},
  [4571] = {.lex_state = 125},
  [4572] = {.lex_state = 125},
  [4573] = {.lex_state = 125},
  [4574] = {.lex_state = 125},
  [4575] = {.lex_state = 125},
  [4576] = {.lex_state = 132},
  [4577] = {.lex_state = 116},
  [4578] = {.lex_state = 126},
  [4579] = {.lex_state = 116},
  [4580] = {.lex_state = 116},
  [4581] = {.lex_state = 116},
  [4582] = {.lex_state = 116},
  [4583] = {.lex_state = 116},
  [4584] = {.lex_state = 116},
  [4585] = {.lex_state = 116},
  [4586] = {.lex_state = 51},
  [4587] = {.lex_state = 116},
  [4588] = {.lex_state = 116},
  [4589] = {.lex_state = 116},
  [4590] = {.lex_state = 116},
  [4591] = {.lex_state = 116},
  [4592] = {.lex_state = 116},
  [4593] = {.lex_state = 116},
  [4594] = {.lex_state = 116},
  [4595] = {.lex_state = 116},
  [4596] = {.lex_state = 116},
  [4597] = {.lex_state = 116},
  [4598] = {.lex_state = 116},
  [4599] = {.lex_state = 116},
  [4600] = {.lex_state = 116},
  [4601] = {.lex_state = 116},
  [4602] = {.lex_state = 116},
  [4603] = {.lex_state = 116},
  [4604] = {.lex_state = 116},
  [4605] = {.lex_state = 116},
  [4606] = {.lex_state = 116},
  [4607] = {.lex_state = 132},
  [4608] = {.lex_state = 116},
  [4609] = {.lex_state = 116},
  [4610] = {.lex_state = 116},
  [4611] = {.lex_state = 116},
  [4612] = {.lex_state = 132},
  [4613] = {.lex_state = 116},
  [4614] = {.lex_state = 126},
  [4615] = {.lex_state = 116},
  [4616] = {.lex_state = 116},
  [4617] = {.lex_state = 116},
  [4618] = {.lex_state = 116},
  [4619] = {.lex_state = 116},
  [4620] = {.lex_state = 116},
  [4621] = {.lex_state = 116},
  [4622] = {.lex_state = 126},
  [4623] = {.lex_state = 116},
  [4624] = {.lex_state = 116},
  [4625] = {.lex_state = 116},
  [4626] = {.lex_state = 116},
  [4627] = {.lex_state = 116},
  [4628] = {.lex_state = 116},
  [4629] = {.lex_state = 126},
  [4630] = {.lex_state = 132},
  [4631] = {.lex_state = 116},
  [4632] = {.lex_state = 116},
  [4633] = {.lex_state = 126},
  [4634] = {.lex_state = 126},
  [4635] = {.lex_state = 119},
  [4636] = {.lex_state = 126},
  [4637] = {.lex_state = 126},
  [4638] = {.lex_state = 126},
  [4639] = {.lex_state = 126},
  [4640] = {.lex_state = 126},
  [4641] = {.lex_state = 119},
  [4642] = {.lex_state = 126},
  [4643] = {.lex_state = 126},
  [4644] = {.lex_state = 126},
  [4645] = {.lex_state = 126},
  [4646] = {.lex_state = 126},
  [4647] = {.lex_state = 126},
  [4648] = {.lex_state = 126},
  [4649] = {.lex_state = 119},
  [4650] = {.lex_state = 126},
  [4651] = {.lex_state = 126},
  [4652] = {.lex_state = 126},
  [4653] = {.lex_state = 126},
  [4654] = {.lex_state = 126},
  [4655] = {.lex_state = 126},
  [4656] = {.lex_state = 51},
  [4657] = {.lex_state = 51},
  [4658] = {.lex_state = 51},
  [4659] = {.lex_state = 51},
  [4660] = {.lex_state = 51},
  [4661] = {.lex_state = 51},
  [4662] = {.lex_state = 51},
  [4663] = {.lex_state = 51},
  [4664] = {.lex_state = 51},
  [4665] = {.lex_state = 51},
  [4666] = {.lex_state = 51},
  [4667] = {.lex_state = 51},
  [4668] = {.lex_state = 51},
  [4669] = {.lex_state = 51},
  [4670] = {.lex_state = 51},
  [4671] = {.lex_state = 51},
  [4672] = {.lex_state = 51},
  [4673] = {.lex_state = 51},
  [4674] = {.lex_state = 51},
  [4675] = {.lex_state = 51},
  [4676] = {.lex_state = 51},
  [4677] = {.lex_state = 51},
  [4678] = {.lex_state = 51},
  [4679] = {.lex_state = 51},
  [4680] = {.lex_state = 51},
  [4681] = {.lex_state = 51},
  [4682] = {.lex_state = 51},
  [4683] = {.lex_state = 126},
  [4684] = {.lex_state = 51},
  [4685] = {.lex_state = 51},
  [4686] = {.lex_state = 51},
  [4687] = {.lex_state = 51},
  [4688] = {.lex_state = 126},
  [4689] = {.lex_state = 51},
  [4690] = {.lex_state = 51},
  [4691] = {.lex_state = 51},
  [4692] = {.lex_state = 51},
  [4693] = {.lex_state = 51},
  [4694] = {.lex_state = 51},
  [4695] = {.lex_state = 51},
  [4696] = {.lex_state = 51},
  [4697] = {.lex_state = 132},
  [4698] = {.lex_state = 132},
  [4699] = {.lex_state = 132},
  [4700] = {.lex_state = 132},
  [4701] = {.lex_state = 132},
  [4702] = {.lex_state = 132},
  [4703] = {.lex_state = 132},
  [4704] = {.lex_state = 132},
  [4705] = {.lex_state = 132},
  [4706] = {.lex_state = 132},
  [4707] = {.lex_state = 132},
  [4708] = {.lex_state = 132},
  [4709] = {.lex_state = 132},
  [4710] = {.lex_state = 132},
  [4711] = {.lex_state = 132},
  [4712] = {.lex_state = 132},
  [4713] = {.lex_state = 132},
  [4714] = {.lex_state = 132},
  [4715] = {.lex_state = 132},
  [4716] = {.lex_state = 132},
  [4717] = {.lex_state = 132},
  [4718] = {.lex_state = 132},
  [4719] = {.lex_state = 132},
  [4720] = {.lex_state = 132},
  [4721] = {.lex_state = 132},
  [4722] = {.lex_state = 132},
  [4723] = {.lex_state = 132},
  [4724] = {.lex_state = 132},
  [4725] = {.lex_state = 132},
  [4726] = {.lex_state = 132},
  [4727] = {.lex_state = 132},
  [4728] = {.lex_state = 132},
  [4729] = {.lex_state = 132},
  [4730] = {.lex_state = 132},
  [4731] = {.lex_state = 132},
  [4732] = {.lex_state = 132},
  [4733] = {.lex_state = 132},
  [4734] = {.lex_state = 132},
  [4735] = {.lex_state = 132},
  [4736] = {.lex_state = 132},
  [4737] = {.lex_state = 132},
  [4738] = {.lex_state = 132},
  [4739] = {.lex_state = 132},
  [4740] = {.lex_state = 132},
  [4741] = {.lex_state = 132},
  [4742] = {.lex_state = 132},
  [4743] = {.lex_state = 132},
  [4744] = {.lex_state = 132},
  [4745] = {.lex_state = 132},
  [4746] = {.lex_state = 132},
  [4747] = {.lex_state = 132},
  [4748] = {.lex_state = 132},
  [4749] = {.lex_state = 132},
  [4750] = {.lex_state = 132},
  [4751] = {.lex_state = 132},
  [4752] = {.lex_state = 132},
  [4753] = {.lex_state = 132},
  [4754] = {.lex_state = 132},
  [4755] = {.lex_state = 132},
  [4756] = {.lex_state = 132},
  [4757] = {.lex_state = 132},
  [4758] = {.lex_state = 132},
  [4759] = {.lex_state = 132},
  [4760] = {.lex_state = 132},
  [4761] = {.lex_state = 132},
  [4762] = {.lex_state = 132},
  [4763] = {.lex_state = 132},
  [4764] = {.lex_state = 132},
  [4765] = {.lex_state = 132},
  [4766] = {.lex_state = 132},
  [4767] = {.lex_state = 132},
  [4768] = {.lex_state = 132},
  [4769] = {.lex_state = 132},
  [4770] = {.lex_state = 132},
  [4771] = {.lex_state = 132},
  [4772] = {.lex_state = 132},
  [4773] = {.lex_state = 132},
  [4774] = {.lex_state = 132},
  [4775] = {.lex_state = 132},
  [4776] = {.lex_state = 132},
  [4777] = {.lex_state = 132},
  [4778] = {.lex_state = 132},
  [4779] = {.lex_state = 132},
  [4780] = {.lex_state = 132},
  [4781] = {.lex_state = 132},
  [4782] = {.lex_state = 132},
  [4783] = {.lex_state = 132},
  [4784] = {.lex_state = 132},
  [4785] = {.lex_state = 132},
  [4786] = {.lex_state = 132},
  [4787] = {.lex_state = 132},
  [4788] = {.lex_state = 132},
  [4789] = {.lex_state = 132},
  [4790] = {.lex_state = 132},
  [4791] = {.lex_state = 132},
  [4792] = {.lex_state = 132},
  [4793] = {.lex_state = 132},
  [4794] = {.lex_state = 132},
  [4795] = {.lex_state = 132},
  [4796] = {.lex_state = 132},
  [4797] = {.lex_state = 132},
  [4798] = {.lex_state = 132},
  [4799] = {.lex_state = 132},
  [4800] = {.lex_state = 132},
  [4801] = {.lex_state = 132},
  [4802] = {.lex_state = 416},
  [4803] = {.lex_state = 132},
  [4804] = {.lex_state = 132},
  [4805] = {.lex_state = 132},
  [4806] = {.lex_state = 132},
  [4807] = {.lex_state = 132},
  [4808] = {.lex_state = 132},
  [4809] = {.lex_state = 132},
  [4810] = {.lex_state = 132},
  [4811] = {.lex_state = 132},
  [4812] = {.lex_state = 132},
  [4813] = {.lex_state = 119},
  [4814] = {.lex_state = 132},
  [4815] = {.lex_state = 119},
  [4816] = {.lex_state = 132},
  [4817] = {.lex_state = 132},
  [4818] = {.lex_state = 132},
  [4819] = {.lex_state = 132},
  [4820] = {.lex_state = 132},
  [4821] = {.lex_state = 132},
  [4822] = {.lex_state = 132},
  [4823] = {.lex_state = 132},
  [4824] = {.lex_state = 132},
  [4825] = {.lex_state = 132},
  [4826] = {.lex_state = 132},
  [4827] = {.lex_state = 132},
  [4828] = {.lex_state = 132},
  [4829] = {.lex_state = 132},
  [4830] = {.lex_state = 132},
  [4831] = {.lex_state = 117},
  [4832] = {.lex_state = 119},
  [4833] = {.lex_state = 132},
  [4834] = {.lex_state = 124},
  [4835] = {.lex_state = 132},
  [4836] = {.lex_state = 132},
  [4837] = {.lex_state = 124},
  [4838] = {.lex_state = 132},
  [4839] = {.lex_state = 117},
  [4840] = {.lex_state = 117},
  [4841] = {.lex_state = 132},
  [4842] = {.lex_state = 132},
  [4843] = {.lex_state = 117},
  [4844] = {.lex_state = 117},
  [4845] = {.lex_state = 132},
  [4846] = {.lex_state = 117},
  [4847] = {.lex_state = 132},
  [4848] = {.lex_state = 117},
  [4849] = {.lex_state = 129},
  [4850] = {.lex_state = 132},
  [4851] = {.lex_state = 132},
  [4852] = {.lex_state = 132},
  [4853] = {.lex_state = 132},
  [4854] = {.lex_state = 117},
  [4855] = {.lex_state = 117},
  [4856] = {.lex_state = 117},
  [4857] = {.lex_state = 117},
  [4858] = {.lex_state = 129},
  [4859] = {.lex_state = 132},
  [4860] = {.lex_state = 129},
  [4861] = {.lex_state = 132},
  [4862] = {.lex_state = 132},
  [4863] = {.lex_state = 129},
  [4864] = {.lex_state = 132},
  [4865] = {.lex_state = 132},
  [4866] = {.lex_state = 132},
  [4867] = {.lex_state = 132},
  [4868] = {.lex_state = 117},
  [4869] = {.lex_state = 132},
  [4870] = {.lex_state = 129},
  [4871] = {.lex_state = 132},
  [4872] = {.lex_state = 132},
  [4873] = {.lex_state = 117},
  [4874] = {.lex_state = 132},
  [4875] = {.lex_state = 132},
  [4876] = {.lex_state = 117},
  [4877] = {.lex_state = 132},
  [4878] = {.lex_state = 132},
  [4879] = {.lex_state = 117},
  [4880] = {.lex_state = 132},
  [4881] = {.lex_state = 132},
  [4882] = {.lex_state = 117},
  [4883] = {.lex_state = 132},
  [4884] = {.lex_state = 132},
  [4885] = {.lex_state = 132},
  [4886] = {.lex_state = 132},
  [4887] = {.lex_state = 132},
  [4888] = {.lex_state = 132},
  [4889] = {.lex_state = 132},
  [4890] = {.lex_state = 132},
  [4891] = {.lex_state = 132},
  [4892] = {.lex_state = 117},
  [4893] = {.lex_state = 132},
  [4894] = {.lex_state = 132},
  [4895] = {.lex_state = 132},
  [4896] = {.lex_state = 132},
  [4897] = {.lex_state = 132},
  [4898] = {.lex_state = 132},
  [4899] = {.lex_state = 132},
  [4900] = {.lex_state = 132},
  [4901] = {.lex_state = 132},
  [4902] = {.lex_state = 124},
  [4903] = {.lex_state = 124},
  [4904] = {.lex_state = 132},
  [4905] = {.lex_state = 124},
  [4906] = {.lex_state = 124},
  [4907] = {.lex_state = 124},
  [4908] = {.lex_state = 128},
  [4909] = {.lex_state = 132},
  [4910] = {.lex_state = 132},
  [4911] = {.lex_state = 132},
  [4912] = {.lex_state = 132},
  [4913] = {.lex_state = 132},
  [4914] = {.lex_state = 132},
  [4915] = {.lex_state = 132},
  [4916] = {.lex_state = 132},
  [4917] = {.lex_state = 132},
  [4918] = {.lex_state = 132},
  [4919] = {.lex_state = 132},
  [4920] = {.lex_state = 132},
  [4921] = {.lex_state = 132},
  [4922] = {.lex_state = 132},
  [4923] = {.lex_state = 132},
  [4924] = {.lex_state = 132},
  [4925] = {.lex_state = 132},
  [4926] = {.lex_state = 132},
  [4927] = {.lex_state = 132},
  [4928] = {.lex_state = 132},
  [4929] = {.lex_state = 132},
  [4930] = {.lex_state = 132},
  [4931] = {.lex_state = 132},
  [4932] = {.lex_state = 132},
  [4933] = {.lex_state = 132},
  [4934] = {.lex_state = 128},
  [4935] = {.lex_state = 132},
  [4936] = {.lex_state = 132},
  [4937] = {.lex_state = 132},
  [4938] = {.lex_state = 132},
  [4939] = {.lex_state = 124},
  [4940] = {.lex_state = 132},
  [4941] = {.lex_state = 132},
  [4942] = {.lex_state = 132},
  [4943] = {.lex_state = 132},
  [4944] = {.lex_state = 132},
  [4945] = {.lex_state = 132},
  [4946] = {.lex_state = 132},
  [4947] = {.lex_state = 132},
  [4948] = {.lex_state = 132},
  [4949] = {.lex_state = 132},
  [4950] = {.lex_state = 124},
  [4951] = {.lex_state = 124},
  [4952] = {.lex_state = 124},
  [4953] = {.lex_state = 132},
  [4954] = {.lex_state = 132},
  [4955] = {.lex_state = 132},
  [4956] = {.lex_state = 124},
  [4957] = {.lex_state = 132},
  [4958] = {.lex_state = 132},
  [4959] = {.lex_state = 117},
  [4960] = {.lex_state = 132},
  [4961] = {.lex_state = 117},
  [4962] = {.lex_state = 416},
  [4963] = {.lex_state = 117},
  [4964] = {.lex_state = 704},
  [4965] = {.lex_state = 132},
  [4966] = {.lex_state = 132},
  [4967] = {.lex_state = 132},
  [4968] = {.lex_state = 132},
  [4969] = {.lex_state = 132},
  [4970] = {.lex_state = 124},
  [4971] = {.lex_state = 704},
  [4972] = {.lex_state = 132},
  [4973] = {.lex_state = 132},
  [4974] = {.lex_state = 132},
  [4975] = {.lex_state = 117},
  [4976] = {.lex_state = 704},
  [4977] = {.lex_state = 117},
  [4978] = {.lex_state = 124},
  [4979] = {.lex_state = 416},
  [4980] = {.lex_state = 416},
  [4981] = {.lex_state = 117},
  [4982] = {.lex_state = 132},
  [4983] = {.lex_state = 132},
  [4984] = {.lex_state = 132},
  [4985] = {.lex_state = 132},
  [4986] = {.lex_state = 132},
  [4987] = {.lex_state = 132},
  [4988] = {.lex_state = 132},
  [4989] = {.lex_state = 132},
  [4990] = {.lex_state = 132},
  [4991] = {.lex_state = 704},
  [4992] = {.lex_state = 132},
  [4993] = {.lex_state = 117},
  [4994] = {.lex_state = 416},
  [4995] = {.lex_state = 132},
  [4996] = {.lex_state = 132},
  [4997] = {.lex_state = 132},
  [4998] = {.lex_state = 132},
  [4999] = {.lex_state = 132},
  [5000] = {.lex_state = 132},
  [5001] = {.lex_state = 132},
  [5002] = {.lex_state = 0},
  [5003] = {.lex_state = 416},
  [5004] = {.lex_state = 416},
  [5005] = {.lex_state = 416},
  [5006] = {.lex_state = 132},
  [5007] = {.lex_state = 416},
  [5008] = {.lex_state = 132},
  [5009] = {.lex_state = 132},
  [5010] = {.lex_state = 132},
  [5011] = {.lex_state = 0},
  [5012] = {.lex_state = 416},
  [5013] = {.lex_state = 117},
  [5014] = {.lex_state = 416},
  [5015] = {.lex_state = 132},
  [5016] = {.lex_state = 132},
  [5017] = {.lex_state = 132},
  [5018] = {.lex_state = 132},
  [5019] = {.lex_state = 132},
  [5020] = {.lex_state = 126},
  [5021] = {.lex_state = 132},
  [5022] = {.lex_state = 132},
  [5023] = {.lex_state = 416},
  [5024] = {.lex_state = 132},
  [5025] = {.lex_state = 132},
  [5026] = {.lex_state = 416},
  [5027] = {.lex_state = 132},
  [5028] = {.lex_state = 128},
  [5029] = {.lex_state = 132},
  [5030] = {.lex_state = 132},
  [5031] = {.lex_state = 132},
  [5032] = {.lex_state = 132},
  [5033] = {.lex_state = 416},
  [5034] = {.lex_state = 132},
  [5035] = {.lex_state = 416},
  [5036] = {.lex_state = 132},
  [5037] = {.lex_state = 132},
  [5038] = {.lex_state = 124},
  [5039] = {.lex_state = 416},
  [5040] = {.lex_state = 132},
  [5041] = {.lex_state = 416},
  [5042] = {.lex_state = 416},
  [5043] = {.lex_state = 132},
  [5044] = {.lex_state = 132},
  [5045] = {.lex_state = 126},
  [5046] = {.lex_state = 132},
  [5047] = {.lex_state = 132},
  [5048] = {.lex_state = 132},
  [5049] = {.lex_state = 416},
  [5050] = {.lex_state = 132},
  [5051] = {.lex_state = 132},
  [5052] = {.lex_state = 132},
  [5053] = {.lex_state = 132},
  [5054] = {.lex_state = 416},
  [5055] = {.lex_state = 132},
  [5056] = {.lex_state = 132},
  [5057] = {.lex_state = 416},
  [5058] = {.lex_state = 124},
  [5059] = {.lex_state = 416},
  [5060] = {.lex_state = 416},
  [5061] = {.lex_state = 132},
  [5062] = {.lex_state = 132},
  [5063] = {.lex_state = 416},
  [5064] = {.lex_state = 416},
  [5065] = {.lex_state = 132},
  [5066] = {.lex_state = 132},
  [5067] = {.lex_state = 416},
  [5068] = {.lex_state = 132},
  [5069] = {.lex_state = 132},
  [5070] = {.lex_state = 132},
  [5071] = {.lex_state = 416},
  [5072] = {.lex_state = 416},
  [5073] = {.lex_state = 132},
  [5074] = {.lex_state = 124},
  [5075] = {.lex_state = 132},
  [5076] = {.lex_state = 124},
  [5077] = {.lex_state = 416},
  [5078] = {.lex_state = 132},
  [5079] = {.lex_state = 416},
  [5080] = {.lex_state = 132},
  [5081] = {.lex_state = 132},
  [5082] = {.lex_state = 416},
  [5083] = {.lex_state = 132},
  [5084] = {.lex_state = 124},
  [5085] = {.lex_state = 416},
  [5086] = {.lex_state = 132},
  [5087] = {.lex_state = 132},
  [5088] = {.lex_state = 132},
  [5089] = {.lex_state = 124},
  [5090] = {.lex_state = 132},
  [5091] = {.lex_state = 416},
  [5092] = {.lex_state = 124},
  [5093] = {.lex_state = 132},
  [5094] = {.lex_state = 132},
  [5095] = {.lex_state = 416},
  [5096] = {.lex_state = 132},
  [5097] = {.lex_state = 416},
  [5098] = {.lex_state = 132},
  [5099] = {.lex_state = 132},
  [5100] = {.lex_state = 416},
  [5101] = {.lex_state = 132},
  [5102] = {.lex_state = 416},
  [5103] = {.lex_state = 132},
  [5104] = {.lex_state = 416},
  [5105] = {.lex_state = 132},
  [5106] = {.lex_state = 132},
  [5107] = {.lex_state = 126},
  [5108] = {.lex_state = 416},
  [5109] = {.lex_state = 126},
  [5110] = {.lex_state = 132},
  [5111] = {.lex_state = 132},
  [5112] = {.lex_state = 124},
  [5113] = {.lex_state = 132},
  [5114] = {.lex_state = 132},
  [5115] = {.lex_state = 132},
  [5116] = {.lex_state = 132},
  [5117] = {.lex_state = 132},
  [5118] = {.lex_state = 704},
  [5119] = {.lex_state = 132},
  [5120] = {.lex_state = 132},
  [5121] = {.lex_state = 132},
  [5122] = {.lex_state = 126},
  [5123] = {.lex_state = 132},
  [5124] = {.lex_state = 132},
  [5125] = {.lex_state = 132},
  [5126] = {.lex_state = 132},
  [5127] = {.lex_state = 132},
  [5128] = {.lex_state = 132},
  [5129] = {.lex_state = 132},
  [5130] = {.lex_state = 132},
  [5131] = {.lex_state = 416},
  [5132] = {.lex_state = 132},
  [5133] = {.lex_state = 416},
  [5134] = {.lex_state = 132},
  [5135] = {.lex_state = 132},
  [5136] = {.lex_state = 132},
  [5137] = {.lex_state = 132},
  [5138] = {.lex_state = 416},
  [5139] = {.lex_state = 124},
  [5140] = {.lex_state = 132},
  [5141] = {.lex_state = 132},
  [5142] = {.lex_state = 416},
  [5143] = {.lex_state = 132},
  [5144] = {.lex_state = 416},
  [5145] = {.lex_state = 132},
  [5146] = {.lex_state = 416},
  [5147] = {.lex_state = 132},
  [5148] = {.lex_state = 126},
  [5149] = {.lex_state = 132},
  [5150] = {.lex_state = 132},
  [5151] = {.lex_state = 124},
  [5152] = {.lex_state = 416},
  [5153] = {.lex_state = 132},
  [5154] = {.lex_state = 132},
  [5155] = {.lex_state = 132},
  [5156] = {.lex_state = 132},
  [5157] = {.lex_state = 124},
  [5158] = {.lex_state = 132},
  [5159] = {.lex_state = 126},
  [5160] = {.lex_state = 124},
  [5161] = {.lex_state = 124},
  [5162] = {.lex_state = 132},
  [5163] = {.lex_state = 124},
  [5164] = {.lex_state = 132},
  [5165] = {.lex_state = 132},
  [5166] = {.lex_state = 132},
  [5167] = {.lex_state = 132},
  [5168] = {.lex_state = 416},
  [5169] = {.lex_state = 132},
  [5170] = {.lex_state = 132},
  [5171] = {.lex_state = 132},
  [5172] = {.lex_state = 132},
  [5173] = {.lex_state = 416},
  [5174] = {.lex_state = 54},
  [5175] = {.lex_state = 416},
  [5176] = {.lex_state = 416},
  [5177] = {.lex_state = 54},
  [5178] = {.lex_state = 54},
  [5179] = {.lex_state = 59},
  [5180] = {.lex_state = 132},
  [5181] = {.lex_state = 416},
  [5182] = {.lex_state = 132},
  [5183] = {.lex_state = 59},
  [5184] = {.lex_state = 132},
  [5185] = {.lex_state = 416},
  [5186] = {.lex_state = 61},
  [5187] = {.lex_state = 61},
  [5188] = {.lex_state = 59},
  [5189] = {.lex_state = 59},
  [5190] = {.lex_state = 59},
  [5191] = {.lex_state = 416},
  [5192] = {.lex_state = 132},
  [5193] = {.lex_state = 59},
  [5194] = {.lex_state = 61},
  [5195] = {.lex_state = 59},
  [5196] = {.lex_state = 132},
  [5197] = {.lex_state = 132},
  [5198] = {.lex_state = 416},
  [5199] = {.lex_state = 59},
  [5200] = {.lex_state = 59},
  [5201] = {.lex_state = 0},
  [5202] = {.lex_state = 132},
  [5203] = {.lex_state = 132},
  [5204] = {.lex_state = 416},
  [5205] = {.lex_state = 59},
  [5206] = {.lex_state = 59},
  [5207] = {.lex_state = 0},
  [5208] = {.lex_state = 98},
  [5209] = {.lex_state = 416},
  [5210] = {.lex_state = 132},
  [5211] = {.lex_state = 132},
  [5212] = {.lex_state = 59},
  [5213] = {.lex_state = 0},
  [5214] = {.lex_state = 54},
  [5215] = {.lex_state = 132},
  [5216] = {.lex_state = 59},
  [5217] = {.lex_state = 132},
  [5218] = {.lex_state = 59},
  [5219] = {.lex_state = 416},
  [5220] = {.lex_state = 416},
  [5221] = {.lex_state = 108},
  [5222] = {.lex_state = 132},
  [5223] = {.lex_state = 0},
  [5224] = {.lex_state = 416},
  [5225] = {.lex_state = 416},
  [5226] = {.lex_state = 59},
  [5227] = {.lex_state = 416},
  [5228] = {.lex_state = 0},
  [5229] = {.lex_state = 0},
  [5230] = {.lex_state = 124},
  [5231] = {.lex_state = 61},
  [5232] = {.lex_state = 416},
  [5233] = {.lex_state = 416},
  [5234] = {.lex_state = 416},
  [5235] = {.lex_state = 416},
  [5236] = {.lex_state = 59},
  [5237] = {.lex_state = 132},
  [5238] = {.lex_state = 132},
  [5239] = {.lex_state = 59},
  [5240] = {.lex_state = 59},
  [5241] = {.lex_state = 416},
  [5242] = {.lex_state = 416},
  [5243] = {.lex_state = 132},
  [5244] = {.lex_state = 61},
  [5245] = {.lex_state = 132},
  [5246] = {.lex_state = 59},
  [5247] = {.lex_state = 0},
  [5248] = {.lex_state = 98},
  [5249] = {.lex_state = 132},
  [5250] = {.lex_state = 416},
  [5251] = {.lex_state = 416},
  [5252] = {.lex_state = 59},
  [5253] = {.lex_state = 132},
  [5254] = {.lex_state = 132},
  [5255] = {.lex_state = 416},
  [5256] = {.lex_state = 59},
  [5257] = {.lex_state = 59},
  [5258] = {.lex_state = 416},
  [5259] = {.lex_state = 0},
  [5260] = {.lex_state = 416},
  [5261] = {.lex_state = 132},
  [5262] = {.lex_state = 59},
  [5263] = {.lex_state = 416},
  [5264] = {.lex_state = 59},
  [5265] = {.lex_state = 416},
  [5266] = {.lex_state = 132},
  [5267] = {.lex_state = 416},
  [5268] = {.lex_state = 128},
  [5269] = {.lex_state = 132},
  [5270] = {.lex_state = 132},
  [5271] = {.lex_state = 59},
  [5272] = {.lex_state = 132},
  [5273] = {.lex_state = 132},
  [5274] = {.lex_state = 59},
  [5275] = {.lex_state = 132},
  [5276] = {.lex_state = 416},
  [5277] = {.lex_state = 54},
  [5278] = {.lex_state = 124},
  [5279] = {.lex_state = 416},
  [5280] = {.lex_state = 132},
  [5281] = {.lex_state = 132},
  [5282] = {.lex_state = 132},
  [5283] = {.lex_state = 132},
  [5284] = {.lex_state = 132},
  [5285] = {.lex_state = 132},
  [5286] = {.lex_state = 98},
  [5287] = {.lex_state = 132},
  [5288] = {.lex_state = 132},
  [5289] = {.lex_state = 416},
  [5290] = {.lex_state = 132},
  [5291] = {.lex_state = 132},
  [5292] = {.lex_state = 98},
  [5293] = {.lex_state = 54},
  [5294] = {.lex_state = 0},
  [5295] = {.lex_state = 416},
  [5296] = {.lex_state = 416},
  [5297] = {.lex_state = 59},
  [5298] = {.lex_state = 416},
  [5299] = {.lex_state = 59},
  [5300] = {.lex_state = 59},
  [5301] = {.lex_state = 132},
  [5302] = {.lex_state = 132},
  [5303] = {.lex_state = 416},
  [5304] = {.lex_state = 59},
  [5305] = {.lex_state = 59},
  [5306] = {.lex_state = 0},
  [5307] = {.lex_state = 416},
  [5308] = {.lex_state = 132},
  [5309] = {.lex_state = 59},
  [5310] = {.lex_state = 416},
  [5311] = {.lex_state = 59},
  [5312] = {.lex_state = 54},
  [5313] = {.lex_state = 54},
  [5314] = {.lex_state = 416},
  [5315] = {.lex_state = 416},
  [5316] = {.lex_state = 0},
  [5317] = {.lex_state = 59},
  [5318] = {.lex_state = 54},
  [5319] = {.lex_state = 0},
  [5320] = {.lex_state = 416},
  [5321] = {.lex_state = 132},
  [5322] = {.lex_state = 416},
  [5323] = {.lex_state = 416},
  [5324] = {.lex_state = 0},
  [5325] = {.lex_state = 0},
  [5326] = {.lex_state = 0},
  [5327] = {.lex_state = 416},
  [5328] = {.lex_state = 0},
  [5329] = {.lex_state = 0},
  [5330] = {.lex_state = 0},
  [5331] = {.lex_state = 416},
  [5332] = {.lex_state = 0},
  [5333] = {.lex_state = 0},
  [5334] = {.lex_state = 0},
  [5335] = {.lex_state = 0},
  [5336] = {.lex_state = 132},
  [5337] = {.lex_state = 132},
  [5338] = {.lex_state = 56},
  [5339] = {.lex_state = 416},
  [5340] = {.lex_state = 416},
  [5341] = {.lex_state = 416},
  [5342] = {.lex_state = 0},
  [5343] = {.lex_state = 0},
  [5344] = {.lex_state = 0},
  [5345] = {.lex_state = 0},
  [5346] = {.lex_state = 0},
  [5347] = {.lex_state = 0},
  [5348] = {.lex_state = 416},
  [5349] = {.lex_state = 0},
  [5350] = {.lex_state = 0},
  [5351] = {.lex_state = 416},
  [5352] = {.lex_state = 0},
  [5353] = {.lex_state = 0},
  [5354] = {.lex_state = 0},
  [5355] = {.lex_state = 0},
  [5356] = {.lex_state = 0},
  [5357] = {.lex_state = 0},
  [5358] = {.lex_state = 416},
  [5359] = {.lex_state = 0},
  [5360] = {.lex_state = 0},
  [5361] = {.lex_state = 0},
  [5362] = {.lex_state = 0},
  [5363] = {.lex_state = 0},
  [5364] = {.lex_state = 0},
  [5365] = {.lex_state = 0},
  [5366] = {.lex_state = 61},
  [5367] = {.lex_state = 0},
  [5368] = {.lex_state = 0},
  [5369] = {.lex_state = 416},
  [5370] = {.lex_state = 0},
  [5371] = {.lex_state = 0},
  [5372] = {.lex_state = 0},
  [5373] = {.lex_state = 416},
  [5374] = {.lex_state = 0},
  [5375] = {.lex_state = 416},
  [5376] = {.lex_state = 0},
  [5377] = {.lex_state = 0},
  [5378] = {.lex_state = 416},
  [5379] = {.lex_state = 0},
  [5380] = {.lex_state = 0},
  [5381] = {.lex_state = 0},
  [5382] = {.lex_state = 0},
  [5383] = {.lex_state = 0},
  [5384] = {.lex_state = 416},
  [5385] = {.lex_state = 132},
  [5386] = {.lex_state = 0},
  [5387] = {.lex_state = 0},
  [5388] = {.lex_state = 0},
  [5389] = {.lex_state = 416},
  [5390] = {.lex_state = 0},
  [5391] = {.lex_state = 0},
  [5392] = {.lex_state = 416},
  [5393] = {.lex_state = 0},
  [5394] = {.lex_state = 0},
  [5395] = {.lex_state = 0},
  [5396] = {.lex_state = 61},
  [5397] = {.lex_state = 0},
  [5398] = {.lex_state = 0},
  [5399] = {.lex_state = 61},
  [5400] = {.lex_state = 0},
  [5401] = {.lex_state = 0},
  [5402] = {.lex_state = 0},
  [5403] = {.lex_state = 0},
  [5404] = {.lex_state = 0},
  [5405] = {.lex_state = 416},
  [5406] = {.lex_state = 0},
  [5407] = {.lex_state = 0},
  [5408] = {.lex_state = 0},
  [5409] = {.lex_state = 0},
  [5410] = {.lex_state = 0},
  [5411] = {.lex_state = 0},
  [5412] = {.lex_state = 0},
  [5413] = {.lex_state = 0},
  [5414] = {.lex_state = 0},
  [5415] = {.lex_state = 0},
  [5416] = {.lex_state = 0},
  [5417] = {.lex_state = 0},
  [5418] = {.lex_state = 0},
  [5419] = {.lex_state = 0},
  [5420] = {.lex_state = 0},
  [5421] = {.lex_state = 0},
  [5422] = {.lex_state = 0},
  [5423] = {.lex_state = 0},
  [5424] = {.lex_state = 0},
  [5425] = {.lex_state = 0},
  [5426] = {.lex_state = 0},
  [5427] = {.lex_state = 0},
  [5428] = {.lex_state = 0},
  [5429] = {.lex_state = 416},
  [5430] = {.lex_state = 0},
  [5431] = {.lex_state = 0},
  [5432] = {.lex_state = 0},
  [5433] = {.lex_state = 132},
  [5434] = {.lex_state = 0},
  [5435] = {.lex_state = 0},
  [5436] = {.lex_state = 132},
  [5437] = {.lex_state = 0},
  [5438] = {.lex_state = 0},
  [5439] = {.lex_state = 416},
  [5440] = {.lex_state = 0},
  [5441] = {.lex_state = 0},
  [5442] = {.lex_state = 0},
  [5443] = {.lex_state = 132},
  [5444] = {.lex_state = 0},
  [5445] = {.lex_state = 0},
  [5446] = {.lex_state = 0},
  [5447] = {.lex_state = 0},
  [5448] = {.lex_state = 0},
  [5449] = {.lex_state = 0},
  [5450] = {.lex_state = 0},
  [5451] = {.lex_state = 416},
  [5452] = {.lex_state = 0},
  [5453] = {.lex_state = 0},
  [5454] = {.lex_state = 0},
  [5455] = {.lex_state = 0},
  [5456] = {.lex_state = 0},
  [5457] = {.lex_state = 0},
  [5458] = {.lex_state = 0},
  [5459] = {.lex_state = 416},
  [5460] = {.lex_state = 0},
  [5461] = {.lex_state = 0},
  [5462] = {.lex_state = 0},
  [5463] = {.lex_state = 0},
  [5464] = {.lex_state = 0},
  [5465] = {.lex_state = 0},
  [5466] = {.lex_state = 0},
  [5467] = {.lex_state = 416},
  [5468] = {.lex_state = 0},
  [5469] = {.lex_state = 0},
  [5470] = {.lex_state = 0},
  [5471] = {.lex_state = 416},
  [5472] = {.lex_state = 0},
  [5473] = {.lex_state = 0},
  [5474] = {.lex_state = 0},
  [5475] = {.lex_state = 416},
  [5476] = {.lex_state = 0},
  [5477] = {.lex_state = 416},
  [5478] = {.lex_state = 416},
  [5479] = {.lex_state = 0},
  [5480] = {.lex_state = 416},
  [5481] = {.lex_state = 0},
  [5482] = {.lex_state = 0},
  [5483] = {.lex_state = 416},
  [5484] = {.lex_state = 0},
  [5485] = {.lex_state = 0},
  [5486] = {.lex_state = 0},
  [5487] = {.lex_state = 0},
  [5488] = {.lex_state = 0},
  [5489] = {.lex_state = 0},
  [5490] = {.lex_state = 56},
  [5491] = {.lex_state = 0},
  [5492] = {.lex_state = 0},
  [5493] = {.lex_state = 0},
  [5494] = {.lex_state = 416},
  [5495] = {.lex_state = 0},
  [5496] = {.lex_state = 0},
  [5497] = {.lex_state = 416},
  [5498] = {.lex_state = 416},
  [5499] = {.lex_state = 0},
  [5500] = {.lex_state = 0},
  [5501] = {.lex_state = 0},
  [5502] = {.lex_state = 0},
  [5503] = {.lex_state = 0},
  [5504] = {.lex_state = 0},
  [5505] = {.lex_state = 0},
  [5506] = {.lex_state = 0},
  [5507] = {.lex_state = 0},
  [5508] = {.lex_state = 0},
  [5509] = {.lex_state = 0},
  [5510] = {.lex_state = 416},
  [5511] = {.lex_state = 132},
  [5512] = {.lex_state = 0},
  [5513] = {.lex_state = 0},
  [5514] = {.lex_state = 132},
  [5515] = {.lex_state = 0},
  [5516] = {.lex_state = 0},
  [5517] = {.lex_state = 0},
  [5518] = {.lex_state = 0},
  [5519] = {.lex_state = 0},
  [5520] = {.lex_state = 0},
  [5521] = {.lex_state = 0},
  [5522] = {.lex_state = 0},
  [5523] = {.lex_state = 416},
  [5524] = {.lex_state = 0},
  [5525] = {.lex_state = 0},
  [5526] = {.lex_state = 0},
  [5527] = {.lex_state = 132},
  [5528] = {.lex_state = 132},
  [5529] = {.lex_state = 0},
  [5530] = {.lex_state = 0},
  [5531] = {.lex_state = 0},
  [5532] = {.lex_state = 416},
  [5533] = {.lex_state = 0},
  [5534] = {.lex_state = 416},
  [5535] = {.lex_state = 0},
  [5536] = {.lex_state = 132},
  [5537] = {.lex_state = 416},
  [5538] = {.lex_state = 416},
  [5539] = {.lex_state = 0},
  [5540] = {.lex_state = 0},
  [5541] = {.lex_state = 0},
  [5542] = {.lex_state = 0},
  [5543] = {.lex_state = 0},
  [5544] = {.lex_state = 0},
  [5545] = {.lex_state = 0},
  [5546] = {.lex_state = 132},
  [5547] = {.lex_state = 132},
  [5548] = {.lex_state = 0},
  [5549] = {.lex_state = 0},
  [5550] = {.lex_state = 0},
  [5551] = {.lex_state = 0},
  [5552] = {.lex_state = 416},
  [5553] = {.lex_state = 0},
  [5554] = {.lex_state = 416},
  [5555] = {.lex_state = 0},
  [5556] = {.lex_state = 416},
  [5557] = {.lex_state = 416},
  [5558] = {.lex_state = 416},
  [5559] = {.lex_state = 132},
  [5560] = {.lex_state = 0},
  [5561] = {.lex_state = 0},
  [5562] = {.lex_state = 132},
  [5563] = {.lex_state = 0},
  [5564] = {.lex_state = 0},
  [5565] = {.lex_state = 0},
  [5566] = {.lex_state = 0},
  [5567] = {.lex_state = 0},
  [5568] = {.lex_state = 0},
  [5569] = {.lex_state = 416},
  [5570] = {.lex_state = 416},
  [5571] = {.lex_state = 416},
  [5572] = {.lex_state = 0},
  [5573] = {.lex_state = 416},
  [5574] = {.lex_state = 132},
  [5575] = {.lex_state = 0},
  [5576] = {.lex_state = 0},
  [5577] = {.lex_state = 416},
  [5578] = {.lex_state = 416},
  [5579] = {.lex_state = 0},
  [5580] = {.lex_state = 0},
  [5581] = {.lex_state = 0},
  [5582] = {.lex_state = 0},
  [5583] = {.lex_state = 0},
  [5584] = {.lex_state = 0},
  [5585] = {.lex_state = 0},
  [5586] = {.lex_state = 132},
  [5587] = {.lex_state = 0},
  [5588] = {.lex_state = 0},
  [5589] = {.lex_state = 0},
  [5590] = {.lex_state = 0},
  [5591] = {.lex_state = 416},
  [5592] = {.lex_state = 416},
  [5593] = {.lex_state = 416},
  [5594] = {.lex_state = 416},
  [5595] = {.lex_state = 0},
  [5596] = {.lex_state = 0},
  [5597] = {.lex_state = 0},
  [5598] = {.lex_state = 416},
  [5599] = {.lex_state = 0},
  [5600] = {.lex_state = 0},
  [5601] = {.lex_state = 0},
  [5602] = {.lex_state = 0},
  [5603] = {.lex_state = 416},
  [5604] = {.lex_state = 0},
  [5605] = {.lex_state = 0},
  [5606] = {.lex_state = 416},
  [5607] = {.lex_state = 416},
  [5608] = {.lex_state = 0},
  [5609] = {.lex_state = 416},
  [5610] = {.lex_state = 0},
  [5611] = {.lex_state = 416},
  [5612] = {.lex_state = 0},
  [5613] = {.lex_state = 0},
  [5614] = {.lex_state = 56},
  [5615] = {.lex_state = 0},
  [5616] = {.lex_state = 56},
  [5617] = {.lex_state = 0},
  [5618] = {.lex_state = 416},
  [5619] = {.lex_state = 0},
  [5620] = {.lex_state = 0},
  [5621] = {.lex_state = 0},
  [5622] = {.lex_state = 0},
  [5623] = {.lex_state = 416},
  [5624] = {.lex_state = 0},
  [5625] = {.lex_state = 416},
  [5626] = {.lex_state = 0},
  [5627] = {.lex_state = 0},
  [5628] = {.lex_state = 0},
  [5629] = {.lex_state = 0},
  [5630] = {.lex_state = 0},
  [5631] = {.lex_state = 0},
  [5632] = {.lex_state = 0},
  [5633] = {.lex_state = 0},
  [5634] = {.lex_state = 416},
  [5635] = {.lex_state = 416},
  [5636] = {.lex_state = 416},
  [5637] = {.lex_state = 0},
  [5638] = {.lex_state = 0},
  [5639] = {.lex_state = 0},
  [5640] = {.lex_state = 0},
  [5641] = {.lex_state = 0},
  [5642] = {.lex_state = 0},
  [5643] = {.lex_state = 0},
  [5644] = {.lex_state = 0},
  [5645] = {.lex_state = 0},
  [5646] = {.lex_state = 416},
  [5647] = {.lex_state = 416},
  [5648] = {.lex_state = 0},
  [5649] = {.lex_state = 0},
  [5650] = {.lex_state = 416},
  [5651] = {.lex_state = 0},
  [5652] = {.lex_state = 0},
  [5653] = {.lex_state = 0},
  [5654] = {.lex_state = 0},
  [5655] = {.lex_state = 0},
  [5656] = {.lex_state = 0},
  [5657] = {.lex_state = 0},
  [5658] = {.lex_state = 0},
  [5659] = {.lex_state = 416},
  [5660] = {.lex_state = 416},
  [5661] = {.lex_state = 416},
  [5662] = {.lex_state = 0},
  [5663] = {.lex_state = 0},
  [5664] = {.lex_state = 61},
  [5665] = {.lex_state = 0},
  [5666] = {.lex_state = 0},
  [5667] = {.lex_state = 416},
  [5668] = {.lex_state = 132},
  [5669] = {.lex_state = 56},
  [5670] = {.lex_state = 0},
  [5671] = {.lex_state = 0},
  [5672] = {.lex_state = 416},
  [5673] = {.lex_state = 0},
  [5674] = {.lex_state = 0},
  [5675] = {.lex_state = 0},
  [5676] = {.lex_state = 0},
  [5677] = {.lex_state = 0},
  [5678] = {.lex_state = 0},
  [5679] = {.lex_state = 0},
  [5680] = {.lex_state = 416},
  [5681] = {.lex_state = 0},
  [5682] = {.lex_state = 416},
  [5683] = {.lex_state = 0},
  [5684] = {.lex_state = 416},
  [5685] = {.lex_state = 0},
  [5686] = {.lex_state = 0},
  [5687] = {.lex_state = 0},
  [5688] = {.lex_state = 132},
  [5689] = {.lex_state = 0},
  [5690] = {.lex_state = 0},
  [5691] = {.lex_state = 132},
  [5692] = {.lex_state = 0},
  [5693] = {.lex_state = 0},
  [5694] = {.lex_state = 0},
  [5695] = {.lex_state = 0},
  [5696] = {.lex_state = 0},
  [5697] = {.lex_state = 0},
  [5698] = {.lex_state = 0},
  [5699] = {.lex_state = 0},
  [5700] = {.lex_state = 0},
  [5701] = {.lex_state = 0},
  [5702] = {.lex_state = 0},
  [5703] = {.lex_state = 0},
  [5704] = {.lex_state = 0},
  [5705] = {.lex_state = 416},
  [5706] = {.lex_state = 0},
  [5707] = {.lex_state = 0},
  [5708] = {.lex_state = 132},
  [5709] = {.lex_state = 132},
  [5710] = {.lex_state = 0},
  [5711] = {.lex_state = 0},
  [5712] = {.lex_state = 0},
  [5713] = {.lex_state = 0},
  [5714] = {.lex_state = 0},
  [5715] = {.lex_state = 0},
  [5716] = {.lex_state = 0},
  [5717] = {.lex_state = 0},
  [5718] = {.lex_state = 0},
  [5719] = {.lex_state = 0},
  [5720] = {.lex_state = 0},
  [5721] = {.lex_state = 0},
  [5722] = {.lex_state = 0},
  [5723] = {.lex_state = 416},
  [5724] = {.lex_state = 55},
  [5725] = {.lex_state = 416},
  [5726] = {.lex_state = 132},
  [5727] = {.lex_state = 0},
  [5728] = {.lex_state = 416},
  [5729] = {.lex_state = 56},
  [5730] = {.lex_state = 56},
  [5731] = {.lex_state = 56},
  [5732] = {.lex_state = 132},
  [5733] = {.lex_state = 416},
  [5734] = {.lex_state = 0},
  [5735] = {.lex_state = 137},
  [5736] = {.lex_state = 416},
  [5737] = {.lex_state = 132},
  [5738] = {.lex_state = 0},
  [5739] = {.lex_state = 55},
  [5740] = {.lex_state = 0},
  [5741] = {.lex_state = 416},
  [5742] = {.lex_state = 0},
  [5743] = {.lex_state = 55},
  [5744] = {.lex_state = 0},
  [5745] = {.lex_state = 0},
  [5746] = {.lex_state = 0},
  [5747] = {.lex_state = 0},
  [5748] = {.lex_state = 132},
  [5749] = {.lex_state = 132},
  [5750] = {.lex_state = 0},
  [5751] = {.lex_state = 137},
  [5752] = {.lex_state = 416},
  [5753] = {.lex_state = 132},
  [5754] = {.lex_state = 416},
  [5755] = {.lex_state = 0},
  [5756] = {.lex_state = 0},
  [5757] = {.lex_state = 0},
  [5758] = {.lex_state = 55},
  [5759] = {.lex_state = 416},
  [5760] = {.lex_state = 132},
  [5761] = {.lex_state = 55},
  [5762] = {.lex_state = 416},
  [5763] = {.lex_state = 0},
  [5764] = {.lex_state = 416},
  [5765] = {.lex_state = 0},
  [5766] = {.lex_state = 416},
  [5767] = {.lex_state = 55},
  [5768] = {.lex_state = 132},
  [5769] = {.lex_state = 0},
  [5770] = {.lex_state = 0},
  [5771] = {.lex_state = 0},
  [5772] = {.lex_state = 0},
  [5773] = {.lex_state = 416},
  [5774] = {.lex_state = 132},
  [5775] = {.lex_state = 0},
  [5776] = {.lex_state = 132},
  [5777] = {.lex_state = 55},
  [5778] = {.lex_state = 132},
  [5779] = {.lex_state = 416},
  [5780] = {.lex_state = 416},
  [5781] = {.lex_state = 55},
  [5782] = {.lex_state = 0},
  [5783] = {.lex_state = 0},
  [5784] = {.lex_state = 132},
  [5785] = {.lex_state = 416},
  [5786] = {.lex_state = 56},
  [5787] = {.lex_state = 55},
  [5788] = {.lex_state = 132},
  [5789] = {.lex_state = 0},
  [5790] = {.lex_state = 0},
  [5791] = {.lex_state = 0},
  [5792] = {.lex_state = 137},
  [5793] = {.lex_state = 0},
  [5794] = {.lex_state = 0},
  [5795] = {.lex_state = 0},
  [5796] = {.lex_state = 0},
  [5797] = {.lex_state = 0},
  [5798] = {.lex_state = 55},
  [5799] = {.lex_state = 56},
  [5800] = {.lex_state = 132},
  [5801] = {.lex_state = 0},
  [5802] = {.lex_state = 132},
  [5803] = {.lex_state = 416},
  [5804] = {.lex_state = 416},
  [5805] = {.lex_state = 132},
  [5806] = {.lex_state = 0},
  [5807] = {.lex_state = 56},
  [5808] = {.lex_state = 0},
  [5809] = {.lex_state = 132},
  [5810] = {.lex_state = 55},
  [5811] = {.lex_state = 0},
  [5812] = {.lex_state = 55},
  [5813] = {.lex_state = 132},
  [5814] = {.lex_state = 0},
  [5815] = {.lex_state = 0},
  [5816] = {.lex_state = 55},
  [5817] = {.lex_state = 0},
  [5818] = {.lex_state = 134},
  [5819] = {.lex_state = 416},
  [5820] = {.lex_state = 0},
  [5821] = {.lex_state = 0},
  [5822] = {.lex_state = 416},
  [5823] = {.lex_state = 0},
  [5824] = {.lex_state = 416},
  [5825] = {.lex_state = 416},
  [5826] = {.lex_state = 416},
  [5827] = {.lex_state = 416},
  [5828] = {.lex_state = 132},
  [5829] = {.lex_state = 416},
  [5830] = {.lex_state = 55},
  [5831] = {.lex_state = 0},
  [5832] = {.lex_state = 0},
  [5833] = {.lex_state = 55},
  [5834] = {.lex_state = 416},
  [5835] = {.lex_state = 132},
  [5836] = {.lex_state = 56},
  [5837] = {.lex_state = 132},
  [5838] = {.lex_state = 416},
  [5839] = {.lex_state = 416},
  [5840] = {.lex_state = 416},
  [5841] = {.lex_state = 132},
  [5842] = {.lex_state = 132},
  [5843] = {.lex_state = 416},
  [5844] = {.lex_state = 0},
  [5845] = {.lex_state = 98},
  [5846] = {.lex_state = 0},
  [5847] = {.lex_state = 0},
  [5848] = {.lex_state = 55},
  [5849] = {.lex_state = 0},
  [5850] = {.lex_state = 137},
  [5851] = {.lex_state = 416},
  [5852] = {.lex_state = 55},
  [5853] = {.lex_state = 132},
  [5854] = {.lex_state = 55},
  [5855] = {.lex_state = 416},
  [5856] = {.lex_state = 416},
  [5857] = {.lex_state = 132},
  [5858] = {.lex_state = 416},
  [5859] = {.lex_state = 56},
  [5860] = {.lex_state = 0},
  [5861] = {.lex_state = 132},
  [5862] = {.lex_state = 55},
  [5863] = {.lex_state = 416},
  [5864] = {.lex_state = 416},
  [5865] = {.lex_state = 55},
  [5866] = {.lex_state = 416},
  [5867] = {.lex_state = 416},
  [5868] = {.lex_state = 56},
  [5869] = {.lex_state = 132},
  [5870] = {.lex_state = 56},
  [5871] = {.lex_state = 98},
  [5872] = {.lex_state = 416},
  [5873] = {.lex_state = 55},
  [5874] = {.lex_state = 56},
  [5875] = {.lex_state = 132},
  [5876] = {.lex_state = 56},
  [5877] = {.lex_state = 0},
  [5878] = {.lex_state = 137},
  [5879] = {.lex_state = 134},
  [5880] = {.lex_state = 55},
  [5881] = {.lex_state = 55},
  [5882] = {.lex_state = 132},
  [5883] = {.lex_state = 55},
  [5884] = {.lex_state = 0},
  [5885] = {.lex_state = 137},
  [5886] = {.lex_state = 132},
  [5887] = {.lex_state = 416},
  [5888] = {.lex_state = 0},
  [5889] = {.lex_state = 0},
  [5890] = {.lex_state = 0},
  [5891] = {.lex_state = 0},
  [5892] = {.lex_state = 416},
  [5893] = {.lex_state = 55},
  [5894] = {.lex_state = 416},
  [5895] = {.lex_state = 0},
  [5896] = {.lex_state = 132},
  [5897] = {.lex_state = 56},
  [5898] = {.lex_state = 0},
  [5899] = {.lex_state = 416},
  [5900] = {.lex_state = 132},
  [5901] = {.lex_state = 416},
  [5902] = {.lex_state = 0},
  [5903] = {.lex_state = 416},
  [5904] = {.lex_state = 416},
  [5905] = {.lex_state = 132},
  [5906] = {.lex_state = 0},
  [5907] = {.lex_state = 0},
  [5908] = {.lex_state = 0},
  [5909] = {.lex_state = 416},
  [5910] = {.lex_state = 416},
  [5911] = {.lex_state = 0},
  [5912] = {.lex_state = 0},
  [5913] = {.lex_state = 0},
  [5914] = {.lex_state = 0},
  [5915] = {.lex_state = 0},
  [5916] = {.lex_state = 0},
  [5917] = {.lex_state = 0},
  [5918] = {.lex_state = 0},
  [5919] = {.lex_state = 0},
  [5920] = {.lex_state = 132},
  [5921] = {.lex_state = 0},
  [5922] = {.lex_state = 0},
  [5923] = {.lex_state = 0},
  [5924] = {.lex_state = 0},
  [5925] = {.lex_state = 56},
  [5926] = {.lex_state = 0},
  [5927] = {.lex_state = 56},
  [5928] = {.lex_state = 0},
  [5929] = {.lex_state = 132},
  [5930] = {.lex_state = 132},
  [5931] = {.lex_state = 132},
  [5932] = {.lex_state = 0},
  [5933] = {.lex_state = 0},
  [5934] = {.lex_state = 0},
  [5935] = {.lex_state = 105},
  [5936] = {.lex_state = 416},
  [5937] = {.lex_state = 56},
  [5938] = {.lex_state = 132},
  [5939] = {.lex_state = 132},
  [5940] = {.lex_state = 105},
  [5941] = {.lex_state = 132},
  [5942] = {.lex_state = 132},
  [5943] = {.lex_state = 132},
  [5944] = {.lex_state = 132},
  [5945] = {.lex_state = 0},
  [5946] = {.lex_state = 0},
  [5947] = {.lex_state = 0},
  [5948] = {.lex_state = 0},
  [5949] = {.lex_state = 0},
  [5950] = {.lex_state = 56},
  [5951] = {.lex_state = 0},
  [5952] = {.lex_state = 132},
  [5953] = {.lex_state = 0},
  [5954] = {.lex_state = 56},
  [5955] = {.lex_state = 132},
  [5956] = {.lex_state = 0},
  [5957] = {.lex_state = 0},
  [5958] = {.lex_state = 105},
  [5959] = {.lex_state = 132},
  [5960] = {.lex_state = 0},
  [5961] = {.lex_state = 0},
  [5962] = {.lex_state = 132},
  [5963] = {.lex_state = 0},
  [5964] = {.lex_state = 132},
  [5965] = {.lex_state = 0},
  [5966] = {.lex_state = 0},
  [5967] = {.lex_state = 0},
  [5968] = {.lex_state = 0},
  [5969] = {.lex_state = 726},
  [5970] = {.lex_state = 132},
  [5971] = {.lex_state = 132},
  [5972] = {.lex_state = 0},
  [5973] = {.lex_state = 0},
  [5974] = {.lex_state = 0},
  [5975] = {.lex_state = 105},
  [5976] = {.lex_state = 0},
  [5977] = {.lex_state = 132},
  [5978] = {.lex_state = 132},
  [5979] = {.lex_state = 0},
  [5980] = {.lex_state = 0},
  [5981] = {.lex_state = 132},
  [5982] = {.lex_state = 0},
  [5983] = {.lex_state = 0},
  [5984] = {.lex_state = 416},
  [5985] = {.lex_state = 132},
  [5986] = {.lex_state = 132},
  [5987] = {.lex_state = 0},
  [5988] = {.lex_state = 416},
  [5989] = {.lex_state = 0},
  [5990] = {.lex_state = 56},
  [5991] = {.lex_state = 105},
  [5992] = {.lex_state = 0},
  [5993] = {.lex_state = 0},
  [5994] = {.lex_state = 0},
  [5995] = {.lex_state = 132},
  [5996] = {.lex_state = 0},
  [5997] = {.lex_state = 0},
  [5998] = {.lex_state = 132},
  [5999] = {.lex_state = 132},
  [6000] = {.lex_state = 0},
  [6001] = {.lex_state = 132},
  [6002] = {.lex_state = 0},
  [6003] = {.lex_state = 0},
  [6004] = {.lex_state = 0},
  [6005] = {.lex_state = 0},
  [6006] = {.lex_state = 0},
  [6007] = {.lex_state = 132},
  [6008] = {.lex_state = 132},
  [6009] = {.lex_state = 132},
  [6010] = {.lex_state = 132},
  [6011] = {.lex_state = 132},
  [6012] = {.lex_state = 0},
  [6013] = {.lex_state = 0},
  [6014] = {.lex_state = 0},
  [6015] = {.lex_state = 0},
  [6016] = {.lex_state = 0},
  [6017] = {.lex_state = 0},
  [6018] = {.lex_state = 105},
  [6019] = {.lex_state = 132},
  [6020] = {.lex_state = 132},
  [6021] = {.lex_state = 132},
  [6022] = {.lex_state = 0},
  [6023] = {.lex_state = 0},
  [6024] = {.lex_state = 132},
  [6025] = {.lex_state = 0},
  [6026] = {.lex_state = 132},
  [6027] = {.lex_state = 105},
  [6028] = {.lex_state = 0},
  [6029] = {.lex_state = 56},
  [6030] = {.lex_state = 0},
  [6031] = {.lex_state = 726},
  [6032] = {.lex_state = 0},
  [6033] = {.lex_state = 416},
  [6034] = {.lex_state = 0},
  [6035] = {.lex_state = 0},
  [6036] = {.lex_state = 132},
  [6037] = {.lex_state = 0},
  [6038] = {.lex_state = 0},
  [6039] = {.lex_state = 0},
  [6040] = {.lex_state = 0},
  [6041] = {.lex_state = 0},
  [6042] = {.lex_state = 0},
  [6043] = {.lex_state = 132},
  [6044] = {.lex_state = 132},
  [6045] = {.lex_state = 0},
  [6046] = {.lex_state = 0},
  [6047] = {.lex_state = 56},
  [6048] = {.lex_state = 132},
  [6049] = {.lex_state = 0},
  [6050] = {.lex_state = 0},
  [6051] = {.lex_state = 0},
  [6052] = {.lex_state = 56},
  [6053] = {.lex_state = 105},
  [6054] = {.lex_state = 132},
  [6055] = {.lex_state = 132},
  [6056] = {.lex_state = 0},
  [6057] = {.lex_state = 132},
  [6058] = {.lex_state = 0},
  [6059] = {.lex_state = 56},
  [6060] = {.lex_state = 56},
  [6061] = {.lex_state = 132},
  [6062] = {.lex_state = 132},
  [6063] = {.lex_state = 0},
  [6064] = {.lex_state = 132},
  [6065] = {.lex_state = 56},
  [6066] = {.lex_state = 0},
  [6067] = {.lex_state = 105},
  [6068] = {.lex_state = 132},
  [6069] = {.lex_state = 56},
  [6070] = {.lex_state = 132},
  [6071] = {.lex_state = 0},
  [6072] = {.lex_state = 105},
  [6073] = {.lex_state = 0},
  [6074] = {.lex_state = 416},
  [6075] = {.lex_state = 0},
  [6076] = {.lex_state = 726},
  [6077] = {.lex_state = 0},
  [6078] = {.lex_state = 0},
  [6079] = {.lex_state = 0},
  [6080] = {.lex_state = 0},
  [6081] = {.lex_state = 132},
  [6082] = {.lex_state = 56},
  [6083] = {.lex_state = 0},
  [6084] = {.lex_state = 0},
  [6085] = {.lex_state = 0},
  [6086] = {.lex_state = 56},
  [6087] = {.lex_state = 56},
  [6088] = {.lex_state = 0},
  [6089] = {.lex_state = 132},
  [6090] = {.lex_state = 105},
  [6091] = {.lex_state = 0},
  [6092] = {.lex_state = 0},
  [6093] = {.lex_state = 0},
  [6094] = {.lex_state = 105},
  [6095] = {.lex_state = 0},
  [6096] = {.lex_state = 0},
  [6097] = {.lex_state = 0},
  [6098] = {.lex_state = 132},
  [6099] = {.lex_state = 132},
  [6100] = {.lex_state = 0},
  [6101] = {.lex_state = 0},
  [6102] = {.lex_state = 132},
  [6103] = {.lex_state = 132},
  [6104] = {.lex_state = 0},
  [6105] = {.lex_state = 0},
  [6106] = {.lex_state = 0},
  [6107] = {.lex_state = 0},
  [6108] = {.lex_state = 132},
  [6109] = {.lex_state = 0},
  [6110] = {.lex_state = 105},
  [6111] = {.lex_state = 0},
  [6112] = {.lex_state = 0},
  [6113] = {.lex_state = 726},
  [6114] = {.lex_state = 56},
  [6115] = {.lex_state = 0},
  [6116] = {.lex_state = 0},
  [6117] = {.lex_state = 132},
  [6118] = {.lex_state = 0},
  [6119] = {.lex_state = 56},
  [6120] = {.lex_state = 0},
  [6121] = {.lex_state = 0},
  [6122] = {.lex_state = 0},
  [6123] = {.lex_state = 0},
  [6124] = {.lex_state = 0},
  [6125] = {.lex_state = 0},
  [6126] = {.lex_state = 0},
  [6127] = {.lex_state = 105},
  [6128] = {.lex_state = 0},
  [6129] = {.lex_state = 132},
  [6130] = {.lex_state = 132},
  [6131] = {.lex_state = 0},
  [6132] = {.lex_state = 132},
  [6133] = {.lex_state = 0},
  [6134] = {.lex_state = 132},
  [6135] = {.lex_state = 0},
  [6136] = {.lex_state = 0},
  [6137] = {.lex_state = 56},
  [6138] = {.lex_state = 0},
  [6139] = {.lex_state = 0},
  [6140] = {.lex_state = 416},
  [6141] = {.lex_state = 0},
  [6142] = {.lex_state = 56},
  [6143] = {.lex_state = 0},
  [6144] = {.lex_state = 105},
  [6145] = {.lex_state = 105},
  [6146] = {.lex_state = 0},
  [6147] = {.lex_state = 132},
  [6148] = {.lex_state = 132},
  [6149] = {.lex_state = 0},
  [6150] = {.lex_state = 105},
  [6151] = {.lex_state = 132},
  [6152] = {.lex_state = 0},
  [6153] = {.lex_state = 0},
  [6154] = {.lex_state = 0},
  [6155] = {.lex_state = 416},
  [6156] = {.lex_state = 0},
  [6157] = {.lex_state = 0},
  [6158] = {.lex_state = 0},
  [6159] = {.lex_state = 416},
  [6160] = {.lex_state = 416},
  [6161] = {.lex_state = 0},
  [6162] = {.lex_state = 416},
  [6163] = {.lex_state = 132},
  [6164] = {.lex_state = 56},
  [6165] = {.lex_state = 105},
  [6166] = {.lex_state = 0},
  [6167] = {.lex_state = 0},
  [6168] = {.lex_state = 56},
  [6169] = {.lex_state = 105},
  [6170] = {.lex_state = 0},
  [6171] = {.lex_state = 0},
  [6172] = {.lex_state = 416},
  [6173] = {.lex_state = 0},
  [6174] = {.lex_state = 132},
  [6175] = {.lex_state = 0},
  [6176] = {.lex_state = 0},
  [6177] = {.lex_state = 0},
  [6178] = {.lex_state = 0},
  [6179] = {.lex_state = 0},
  [6180] = {.lex_state = 0},
  [6181] = {.lex_state = 0},
  [6182] = {.lex_state = 0},
  [6183] = {.lex_state = 132},
  [6184] = {.lex_state = 0},
  [6185] = {.lex_state = 0},
  [6186] = {.lex_state = 416},
  [6187] = {.lex_state = 416},
  [6188] = {.lex_state = 416},
  [6189] = {.lex_state = 416},
  [6190] = {.lex_state = 0},
  [6191] = {.lex_state = 416},
  [6192] = {.lex_state = 0},
  [6193] = {.lex_state = 105},
  [6194] = {.lex_state = 416},
  [6195] = {.lex_state = 416},
  [6196] = {.lex_state = 416},
  [6197] = {.lex_state = 0},
  [6198] = {.lex_state = 416},
  [6199] = {.lex_state = 416},
  [6200] = {.lex_state = 0},
  [6201] = {.lex_state = 0},
  [6202] = {.lex_state = 0},
  [6203] = {.lex_state = 0},
  [6204] = {.lex_state = 0},
  [6205] = {.lex_state = 105},
  [6206] = {.lex_state = 0},
  [6207] = {.lex_state = 0},
  [6208] = {.lex_state = 0},
  [6209] = {.lex_state = 0},
  [6210] = {.lex_state = 0},
  [6211] = {.lex_state = 0},
  [6212] = {.lex_state = 0},
  [6213] = {.lex_state = 0},
  [6214] = {.lex_state = 0},
  [6215] = {.lex_state = 132},
  [6216] = {.lex_state = 56},
  [6217] = {.lex_state = 132},
  [6218] = {.lex_state = 0},
  [6219] = {.lex_state = 0},
  [6220] = {.lex_state = 0},
  [6221] = {.lex_state = 0},
  [6222] = {.lex_state = 56},
  [6223] = {.lex_state = 0},
  [6224] = {.lex_state = 0},
  [6225] = {.lex_state = 0},
  [6226] = {.lex_state = 0},
  [6227] = {.lex_state = 0},
  [6228] = {.lex_state = 0},
  [6229] = {.lex_state = 0},
  [6230] = {.lex_state = 0},
  [6231] = {.lex_state = 0},
  [6232] = {.lex_state = 56},
  [6233] = {.lex_state = 56},
  [6234] = {.lex_state = 0},
  [6235] = {.lex_state = 0},
  [6236] = {.lex_state = 0},
  [6237] = {.lex_state = 0},
  [6238] = {.lex_state = 0},
  [6239] = {.lex_state = 0},
  [6240] = {.lex_state = 0},
  [6241] = {.lex_state = 0},
  [6242] = {.lex_state = 0},
  [6243] = {.lex_state = 0},
  [6244] = {.lex_state = 416},
  [6245] = {.lex_state = 0},
  [6246] = {.lex_state = 0},
  [6247] = {.lex_state = 0},
  [6248] = {.lex_state = 0},
  [6249] = {.lex_state = 0},
  [6250] = {.lex_state = 416},
  [6251] = {.lex_state = 0},
  [6252] = {.lex_state = 0},
  [6253] = {.lex_state = 0},
  [6254] = {.lex_state = 0},
  [6255] = {.lex_state = 0},
  [6256] = {.lex_state = 0},
  [6257] = {.lex_state = 0},
  [6258] = {.lex_state = 0},
  [6259] = {.lex_state = 0},
  [6260] = {.lex_state = 56},
  [6261] = {.lex_state = 0},
  [6262] = {.lex_state = 0},
  [6263] = {.lex_state = 132},
  [6264] = {.lex_state = 0},
  [6265] = {.lex_state = 0},
  [6266] = {.lex_state = 132},
  [6267] = {.lex_state = 0},
  [6268] = {.lex_state = 0},
  [6269] = {.lex_state = 0},
  [6270] = {.lex_state = 0},
  [6271] = {.lex_state = 0},
  [6272] = {.lex_state = 0},
  [6273] = {.lex_state = 132},
  [6274] = {.lex_state = 0},
  [6275] = {.lex_state = 0},
  [6276] = {.lex_state = 56},
  [6277] = {.lex_state = 0},
  [6278] = {.lex_state = 416},
  [6279] = {.lex_state = 0},
  [6280] = {.lex_state = 0},
  [6281] = {.lex_state = 0},
  [6282] = {.lex_state = 132},
  [6283] = {.lex_state = 0},
  [6284] = {.lex_state = 0},
  [6285] = {.lex_state = 132},
  [6286] = {.lex_state = 0},
  [6287] = {.lex_state = 0},
  [6288] = {.lex_state = 0},
  [6289] = {.lex_state = 0},
  [6290] = {.lex_state = 0},
  [6291] = {.lex_state = 0},
  [6292] = {.lex_state = 56},
  [6293] = {.lex_state = 0},
  [6294] = {.lex_state = 0},
  [6295] = {.lex_state = 0},
  [6296] = {.lex_state = 105},
  [6297] = {.lex_state = 0},
  [6298] = {.lex_state = 105},
  [6299] = {.lex_state = 0},
  [6300] = {.lex_state = 0},
  [6301] = {.lex_state = 0},
  [6302] = {.lex_state = 0},
  [6303] = {.lex_state = 132},
  [6304] = {.lex_state = 0},
  [6305] = {.lex_state = 0},
  [6306] = {.lex_state = 416},
  [6307] = {.lex_state = 0},
  [6308] = {.lex_state = 0},
  [6309] = {.lex_state = 132},
  [6310] = {.lex_state = 0},
  [6311] = {.lex_state = 132},
  [6312] = {.lex_state = 0},
  [6313] = {.lex_state = 0},
  [6314] = {.lex_state = 0},
  [6315] = {.lex_state = 0},
  [6316] = {.lex_state = 105},
  [6317] = {.lex_state = 0},
  [6318] = {.lex_state = 416},
  [6319] = {.lex_state = 0},
  [6320] = {.lex_state = 0},
  [6321] = {.lex_state = 0},
  [6322] = {.lex_state = 105},
  [6323] = {.lex_state = 0},
  [6324] = {.lex_state = 0},
  [6325] = {.lex_state = 0},
  [6326] = {.lex_state = 0},
  [6327] = {.lex_state = 416},
  [6328] = {.lex_state = 132},
  [6329] = {.lex_state = 0},
  [6330] = {.lex_state = 0},
  [6331] = {.lex_state = 0},
  [6332] = {.lex_state = 0},
  [6333] = {.lex_state = 132},
  [6334] = {.lex_state = 0},
  [6335] = {.lex_state = 132},
  [6336] = {.lex_state = 0},
  [6337] = {.lex_state = 0},
  [6338] = {.lex_state = 0},
  [6339] = {.lex_state = 0},
  [6340] = {.lex_state = 0},
  [6341] = {.lex_state = 0},
  [6342] = {.lex_state = 0},
  [6343] = {.lex_state = 132},
  [6344] = {.lex_state = 0},
  [6345] = {.lex_state = 0},
  [6346] = {.lex_state = 0},
  [6347] = {.lex_state = 132},
  [6348] = {.lex_state = 0},
  [6349] = {.lex_state = 0},
  [6350] = {.lex_state = 56},
  [6351] = {.lex_state = 0},
  [6352] = {.lex_state = 0},
  [6353] = {.lex_state = 132},
  [6354] = {.lex_state = 0},
  [6355] = {.lex_state = 0},
  [6356] = {.lex_state = 105},
  [6357] = {.lex_state = 0},
  [6358] = {.lex_state = 0},
  [6359] = {.lex_state = 0},
  [6360] = {.lex_state = 0},
  [6361] = {.lex_state = 0},
  [6362] = {.lex_state = 0},
  [6363] = {.lex_state = 105},
  [6364] = {.lex_state = 0},
  [6365] = {.lex_state = 416},
  [6366] = {.lex_state = 726},
  [6367] = {.lex_state = 416},
  [6368] = {.lex_state = 0},
  [6369] = {.lex_state = 0},
  [6370] = {.lex_state = 0},
  [6371] = {.lex_state = 0},
  [6372] = {.lex_state = 0},
  [6373] = {.lex_state = 0},
  [6374] = {.lex_state = 0},
  [6375] = {.lex_state = 132},
  [6376] = {.lex_state = 0},
  [6377] = {.lex_state = 416},
  [6378] = {.lex_state = 132},
  [6379] = {.lex_state = 132},
  [6380] = {.lex_state = 105},
  [6381] = {.lex_state = 0},
  [6382] = {.lex_state = 132},
  [6383] = {.lex_state = 132},
  [6384] = {.lex_state = 132},
  [6385] = {.lex_state = 416},
  [6386] = {.lex_state = 416},
  [6387] = {.lex_state = 416},
  [6388] = {.lex_state = 416},
  [6389] = {.lex_state = 0},
  [6390] = {.lex_state = 416},
  [6391] = {.lex_state = 0},
  [6392] = {.lex_state = 0},
  [6393] = {.lex_state = 0},
  [6394] = {.lex_state = 56},
  [6395] = {.lex_state = 105},
  [6396] = {.lex_state = 0},
  [6397] = {.lex_state = 105},
  [6398] = {.lex_state = 0},
  [6399] = {.lex_state = 105},
  [6400] = {.lex_state = 0},
  [6401] = {.lex_state = 0},
  [6402] = {.lex_state = 132},
  [6403] = {.lex_state = 0},
  [6404] = {.lex_state = 132},
  [6405] = {.lex_state = 0},
  [6406] = {.lex_state = 105},
  [6407] = {.lex_state = 0},
  [6408] = {.lex_state = 0},
  [6409] = {.lex_state = 0},
  [6410] = {.lex_state = 0},
  [6411] = {.lex_state = 132},
  [6412] = {.lex_state = 132},
  [6413] = {.lex_state = 0},
  [6414] = {.lex_state = 132},
  [6415] = {.lex_state = 56},
  [6416] = {.lex_state = 105},
  [6417] = {.lex_state = 132},
  [6418] = {.lex_state = 416},
  [6419] = {.lex_state = 105},
  [6420] = {.lex_state = 105},
  [6421] = {.lex_state = 0},
  [6422] = {.lex_state = 132},
  [6423] = {.lex_state = 0},
  [6424] = {.lex_state = 0},
  [6425] = {.lex_state = 0},
  [6426] = {.lex_state = 132},
  [6427] = {.lex_state = 0},
  [6428] = {.lex_state = 416},
  [6429] = {.lex_state = 0},
  [6430] = {.lex_state = 0},
  [6431] = {.lex_state = 0},
  [6432] = {.lex_state = 0},
  [6433] = {.lex_state = 0},
  [6434] = {.lex_state = 105},
  [6435] = {.lex_state = 0},
  [6436] = {.lex_state = 105},
  [6437] = {.lex_state = 56},
  [6438] = {.lex_state = 105},
  [6439] = {.lex_state = 0},
  [6440] = {.lex_state = 0},
  [6441] = {.lex_state = 105},
  [6442] = {.lex_state = 0},
  [6443] = {.lex_state = 0},
  [6444] = {.lex_state = 0},
  [6445] = {.lex_state = 132},
  [6446] = {.lex_state = 132},
  [6447] = {.lex_state = 132},
  [6448] = {.lex_state = 0},
  [6449] = {.lex_state = 132},
  [6450] = {.lex_state = 132},
  [6451] = {.lex_state = 0},
  [6452] = {.lex_state = 416},
  [6453] = {.lex_state = 416},
  [6454] = {.lex_state = 132},
  [6455] = {.lex_state = 132},
  [6456] = {.lex_state = 416},
  [6457] = {.lex_state = 416},
  [6458] = {.lex_state = 0},
  [6459] = {.lex_state = 0},
  [6460] = {.lex_state = 416},
  [6461] = {.lex_state = 56},
  [6462] = {.lex_state = 0},
  [6463] = {.lex_state = 132},
  [6464] = {.lex_state = 0},
  [6465] = {.lex_state = 132},
  [6466] = {.lex_state = 0},
  [6467] = {.lex_state = 416},
  [6468] = {.lex_state = 132},
  [6469] = {.lex_state = 132},
  [6470] = {.lex_state = 0},
  [6471] = {.lex_state = 0},
  [6472] = {.lex_state = 0},
  [6473] = {.lex_state = 105},
  [6474] = {.lex_state = 0},
  [6475] = {.lex_state = 0},
  [6476] = {.lex_state = 132},
  [6477] = {.lex_state = 0},
  [6478] = {.lex_state = 0},
  [6479] = {.lex_state = 416},
  [6480] = {.lex_state = 0},
  [6481] = {.lex_state = 0},
  [6482] = {.lex_state = 132},
  [6483] = {.lex_state = 0},
  [6484] = {.lex_state = 0},
  [6485] = {.lex_state = 0},
  [6486] = {.lex_state = 0},
  [6487] = {.lex_state = 416},
  [6488] = {.lex_state = 416},
  [6489] = {.lex_state = 0},
  [6490] = {.lex_state = 416},
  [6491] = {.lex_state = 132},
  [6492] = {.lex_state = 0},
  [6493] = {.lex_state = 0},
  [6494] = {.lex_state = 0},
  [6495] = {.lex_state = 0},
  [6496] = {.lex_state = 726},
  [6497] = {.lex_state = 132},
  [6498] = {.lex_state = 0},
  [6499] = {.lex_state = 132},
  [6500] = {.lex_state = 132},
  [6501] = {.lex_state = 132},
  [6502] = {.lex_state = 0},
  [6503] = {.lex_state = 0},
  [6504] = {.lex_state = 0},
  [6505] = {.lex_state = 105},
  [6506] = {.lex_state = 56},
  [6507] = {.lex_state = 0},
  [6508] = {.lex_state = 132},
  [6509] = {.lex_state = 0},
  [6510] = {.lex_state = 105},
  [6511] = {.lex_state = 416},
  [6512] = {.lex_state = 56},
  [6513] = {.lex_state = 416},
  [6514] = {.lex_state = 56},
  [6515] = {.lex_state = 0},
  [6516] = {.lex_state = 132},
  [6517] = {.lex_state = 105},
  [6518] = {.lex_state = 132},
  [6519] = {.lex_state = 105},
  [6520] = {.lex_state = 416},
  [6521] = {.lex_state = 0},
  [6522] = {.lex_state = 416},
  [6523] = {.lex_state = 105},
  [6524] = {.lex_state = 0},
  [6525] = {.lex_state = 0},
  [6526] = {.lex_state = 132},
  [6527] = {.lex_state = 0},
  [6528] = {.lex_state = 132},
  [6529] = {.lex_state = 416},
  [6530] = {.lex_state = 105},
  [6531] = {.lex_state = 0},
  [6532] = {.lex_state = 0},
  [6533] = {.lex_state = 416},
  [6534] = {.lex_state = 0},
  [6535] = {.lex_state = 0},
  [6536] = {.lex_state = 0},
  [6537] = {.lex_state = 0},
  [6538] = {.lex_state = 132},
  [6539] = {.lex_state = 0},
  [6540] = {.lex_state = 0},
  [6541] = {.lex_state = 0},
  [6542] = {.lex_state = 0},
  [6543] = {.lex_state = 0},
  [6544] = {.lex_state = 0},
  [6545] = {.lex_state = 0},
  [6546] = {.lex_state = 105},
  [6547] = {.lex_state = 0},
  [6548] = {.lex_state = 0},
  [6549] = {.lex_state = 132},
  [6550] = {.lex_state = 0},
  [6551] = {.lex_state = 0},
  [6552] = {.lex_state = 0},
  [6553] = {.lex_state = 0},
  [6554] = {.lex_state = 0},
  [6555] = {.lex_state = 0},
  [6556] = {.lex_state = 132},
  [6557] = {.lex_state = 0},
  [6558] = {.lex_state = 132},
  [6559] = {.lex_state = 105},
  [6560] = {.lex_state = 0},
  [6561] = {.lex_state = 0},
  [6562] = {.lex_state = 0},
  [6563] = {.lex_state = 0},
  [6564] = {.lex_state = 56},
  [6565] = {.lex_state = 0},
  [6566] = {.lex_state = 132},
  [6567] = {.lex_state = 56},
  [6568] = {.lex_state = 0},
  [6569] = {.lex_state = 0},
  [6570] = {.lex_state = 132},
  [6571] = {.lex_state = 416},
  [6572] = {.lex_state = 56},
  [6573] = {.lex_state = 56},
  [6574] = {.lex_state = 0},
  [6575] = {.lex_state = 0},
  [6576] = {.lex_state = 0},
  [6577] = {.lex_state = 105},
  [6578] = {.lex_state = 56},
  [6579] = {.lex_state = 0},
  [6580] = {.lex_state = 132},
  [6581] = {.lex_state = 132},
  [6582] = {.lex_state = 0},
  [6583] = {.lex_state = 132},
  [6584] = {.lex_state = 105},
  [6585] = {.lex_state = 0},
  [6586] = {.lex_state = 416},
  [6587] = {.lex_state = 0},
  [6588] = {.lex_state = 0},
  [6589] = {.lex_state = 0},
  [6590] = {.lex_state = 0},
  [6591] = {.lex_state = 0},
  [6592] = {.lex_state = 105},
  [6593] = {.lex_state = 0},
  [6594] = {.lex_state = 0},
  [6595] = {.lex_state = 132},
  [6596] = {.lex_state = 132},
  [6597] = {.lex_state = 416},
  [6598] = {.lex_state = 0},
  [6599] = {.lex_state = 0},
  [6600] = {.lex_state = 105},
  [6601] = {.lex_state = 105},
  [6602] = {.lex_state = 0},
  [6603] = {.lex_state = 0},
  [6604] = {.lex_state = 132},
  [6605] = {.lex_state = 0},
  [6606] = {.lex_state = 0},
  [6607] = {.lex_state = 0},
  [6608] = {.lex_state = 105},
  [6609] = {.lex_state = 416},
  [6610] = {.lex_state = 0},
  [6611] = {.lex_state = 0},
  [6612] = {.lex_state = 0},
  [6613] = {.lex_state = 132},
  [6614] = {.lex_state = 132},
  [6615] = {.lex_state = 0},
  [6616] = {.lex_state = 0},
  [6617] = {.lex_state = 416},
  [6618] = {.lex_state = 0},
  [6619] = {.lex_state = 132},
  [6620] = {.lex_state = 0},
  [6621] = {.lex_state = 416},
  [6622] = {.lex_state = 105},
  [6623] = {.lex_state = 56},
  [6624] = {.lex_state = 0},
  [6625] = {.lex_state = 0},
  [6626] = {.lex_state = 0},
  [6627] = {.lex_state = 0},
  [6628] = {.lex_state = 105},
  [6629] = {.lex_state = 0},
  [6630] = {.lex_state = 0},
  [6631] = {.lex_state = 0},
  [6632] = {.lex_state = 0},
  [6633] = {.lex_state = 416},
  [6634] = {.lex_state = 105},
  [6635] = {.lex_state = 0},
  [6636] = {.lex_state = 132},
  [6637] = {.lex_state = 132},
  [6638] = {.lex_state = 416},
  [6639] = {.lex_state = 0},
  [6640] = {.lex_state = 56},
  [6641] = {.lex_state = 0},
  [6642] = {.lex_state = 105},
  [6643] = {.lex_state = 0},
  [6644] = {.lex_state = 0},
  [6645] = {.lex_state = 105},
  [6646] = {.lex_state = 132},
  [6647] = {.lex_state = 0},
  [6648] = {.lex_state = 0},
  [6649] = {.lex_state = 0},
  [6650] = {.lex_state = 132},
  [6651] = {.lex_state = 132},
  [6652] = {.lex_state = 132},
  [6653] = {.lex_state = 105},
  [6654] = {.lex_state = 0},
  [6655] = {.lex_state = 0},
  [6656] = {.lex_state = 0},
  [6657] = {.lex_state = 0},
  [6658] = {.lex_state = 105},
  [6659] = {.lex_state = 0},
  [6660] = {.lex_state = 0},
  [6661] = {.lex_state = 0},
  [6662] = {.lex_state = 132},
  [6663] = {.lex_state = 0},
  [6664] = {.lex_state = 0},
  [6665] = {.lex_state = 105},
  [6666] = {.lex_state = 0},
  [6667] = {.lex_state = 132},
  [6668] = {.lex_state = 0},
  [6669] = {.lex_state = 0},
  [6670] = {.lex_state = 132},
  [6671] = {.lex_state = 416},
  [6672] = {.lex_state = 132},
  [6673] = {.lex_state = 132},
  [6674] = {.lex_state = 132},
  [6675] = {.lex_state = 105},
  [6676] = {.lex_state = 0},
  [6677] = {.lex_state = 0},
  [6678] = {.lex_state = 416},
  [6679] = {.lex_state = 0},
  [6680] = {.lex_state = 0},
  [6681] = {.lex_state = 0},
  [6682] = {.lex_state = 0},
  [6683] = {.lex_state = 0},
  [6684] = {.lex_state = 0},
  [6685] = {.lex_state = 0},
  [6686] = {.lex_state = 132},
  [6687] = {.lex_state = 132},
  [6688] = {.lex_state = 416},
  [6689] = {.lex_state = 416},
  [6690] = {.lex_state = 0},
  [6691] = {.lex_state = 0},
  [6692] = {.lex_state = 132},
  [6693] = {.lex_state = 0},
  [6694] = {.lex_state = 0},
  [6695] = {.lex_state = 105},
  [6696] = {.lex_state = 416},
  [6697] = {.lex_state = 416},
  [6698] = {.lex_state = 0},
  [6699] = {.lex_state = 0},
  [6700] = {.lex_state = 0},
  [6701] = {.lex_state = 132},
  [6702] = {.lex_state = 0},
  [6703] = {.lex_state = 0},
  [6704] = {.lex_state = 0},
  [6705] = {.lex_state = 0},
  [6706] = {.lex_state = 0},
  [6707] = {.lex_state = 0},
  [6708] = {.lex_state = 0},
  [6709] = {.lex_state = 132},
  [6710] = {.lex_state = 0},
  [6711] = {.lex_state = 132},
  [6712] = {.lex_state = 132},
  [6713] = {.lex_state = 105},
  [6714] = {.lex_state = 132},
  [6715] = {.lex_state = 0},
  [6716] = {.lex_state = 132},
  [6717] = {.lex_state = 56},
  [6718] = {.lex_state = 0},
  [6719] = {.lex_state = 0},
  [6720] = {.lex_state = 0},
  [6721] = {.lex_state = 56},
  [6722] = {.lex_state = 132},
  [6723] = {.lex_state = 0},
  [6724] = {.lex_state = 132},
  [6725] = {.lex_state = 0},
  [6726] = {.lex_state = 0},
  [6727] = {.lex_state = 0},
  [6728] = {.lex_state = 0},
  [6729] = {.lex_state = 0},
  [6730] = {.lex_state = 132},
  [6731] = {.lex_state = 105},
  [6732] = {.lex_state = 56},
  [6733] = {.lex_state = 0},
  [6734] = {.lex_state = 105},
  [6735] = {.lex_state = 0},
  [6736] = {.lex_state = 726},
  [6737] = {.lex_state = 132},
  [6738] = {.lex_state = 416},
  [6739] = {.lex_state = 132},
  [6740] = {.lex_state = 105},
  [6741] = {.lex_state = 0},
  [6742] = {.lex_state = 0},
  [6743] = {.lex_state = 416},
  [6744] = {.lex_state = 0},
  [6745] = {.lex_state = 132},
  [6746] = {.lex_state = 416},
  [6747] = {.lex_state = 0},
  [6748] = {.lex_state = 0},
  [6749] = {.lex_state = 0},
  [6750] = {.lex_state = 0},
  [6751] = {.lex_state = 0},
  [6752] = {.lex_state = 0},
  [6753] = {.lex_state = 416},
  [6754] = {.lex_state = 0},
  [6755] = {.lex_state = 132},
  [6756] = {.lex_state = 416},
  [6757] = {.lex_state = 132},
  [6758] = {.lex_state = 0},
  [6759] = {.lex_state = 0},
  [6760] = {.lex_state = 0},
  [6761] = {.lex_state = 416},
  [6762] = {.lex_state = 0},
  [6763] = {.lex_state = 132},
  [6764] = {.lex_state = 416},
  [6765] = {.lex_state = 132},
  [6766] = {.lex_state = 416},
  [6767] = {.lex_state = 132},
  [6768] = {.lex_state = 105},
  [6769] = {.lex_state = 0},
  [6770] = {.lex_state = 132},
  [6771] = {.lex_state = 416},
  [6772] = {.lex_state = 132},
  [6773] = {.lex_state = 132},
  [6774] = {.lex_state = 416},
  [6775] = {.lex_state = 416},
  [6776] = {.lex_state = 132},
  [6777] = {.lex_state = 0},
  [6778] = {.lex_state = 132},
  [6779] = {.lex_state = 0},
  [6780] = {.lex_state = 416},
  [6781] = {.lex_state = 416},
  [6782] = {.lex_state = 0},
  [6783] = {.lex_state = 0},
  [6784] = {.lex_state = 132},
  [6785] = {.lex_state = 132},
  [6786] = {.lex_state = 0},
  [6787] = {.lex_state = 132},
  [6788] = {.lex_state = 0},
  [6789] = {.lex_state = 0},
  [6790] = {.lex_state = 0},
  [6791] = {.lex_state = 105},
  [6792] = {.lex_state = 0},
  [6793] = {.lex_state = 56},
  [6794] = {.lex_state = 132},
  [6795] = {.lex_state = 0},
  [6796] = {.lex_state = 0},
  [6797] = {.lex_state = 416},
  [6798] = {.lex_state = 56},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_include_token2] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym___extension__] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym___attribute] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [anon_sym_nothrow] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_ATautoreleasepool] = ACTIONS(1),
    [anon_sym_auto] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym___inline] = ACTIONS(1),
    [anon_sym___inline__] = ACTIONS(1),
    [anon_sym___forceinline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym___thread] = ACTIONS(1),
    [anon_sym_CG_EXTERN] = ACTIONS(1),
    [anon_sym_CG_INLINE] = ACTIONS(1),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(1),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(1),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(1),
    [anon_sym_IBOutlet] = ACTIONS(1),
    [anon_sym_IBInspectable] = ACTIONS(1),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(1),
    [anon_sym_NS_INLINE] = ACTIONS(1),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(1),
    [anon_sym_OBJC_EXPORT] = ACTIONS(1),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(1),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym__Nonnull] = ACTIONS(1),
    [anon_sym_nullable] = ACTIONS(1),
    [anon_sym__Complex] = ACTIONS(1),
    [anon_sym__Nullable] = ACTIONS(1),
    [anon_sym__Nullable_result] = ACTIONS(1),
    [anon_sym__Null_unspecified] = ACTIONS(1),
    [anon_sym___autoreleasing] = ACTIONS(1),
    [anon_sym___block] = ACTIONS(1),
    [anon_sym___bridge] = ACTIONS(1),
    [anon_sym___bridge_retained] = ACTIONS(1),
    [anon_sym___bridge_transfer] = ACTIONS(1),
    [anon_sym___complex] = ACTIONS(1),
    [anon_sym___const] = ACTIONS(1),
    [anon_sym___imag] = ACTIONS(1),
    [anon_sym___kindof] = ACTIONS(1),
    [anon_sym___nonnull] = ACTIONS(1),
    [anon_sym___nullable] = ACTIONS(1),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(1),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(1),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(1),
    [anon_sym___real] = ACTIONS(1),
    [anon_sym___strong] = ACTIONS(1),
    [anon_sym___unsafe_unretained] = ACTIONS(1),
    [anon_sym___unused] = ACTIONS(1),
    [anon_sym___weak] = ACTIONS(1),
    [anon_sym_alignas] = ACTIONS(1),
    [anon_sym__Alignas] = ACTIONS(1),
    [sym_primitive_type] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym___alignof__] = ACTIONS(1),
    [anon_sym___alignof] = ACTIONS(1),
    [anon_sym__alignof] = ACTIONS(1),
    [anon_sym_alignof] = ACTIONS(1),
    [anon_sym__Alignof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym___asm] = ACTIONS(1),
    [anon_sym___volatile__] = ACTIONS(1),
    [anon_sym_LT2] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_objc_bridge_related] = ACTIONS(1),
    [anon_sym___typeof__] = ACTIONS(1),
    [anon_sym___typeof] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_availability] = ACTIONS(1),
    [sym_version_number] = ACTIONS(1),
    [anon_sym_ios] = ACTIONS(1),
    [anon_sym_tvos] = ACTIONS(1),
    [anon_sym_macos] = ACTIONS(1),
    [anon_sym_macosx] = ACTIONS(1),
    [anon_sym_watchos] = ACTIONS(1),
    [anon_sym_ATimport] = ACTIONS(1),
    [aux_sym_preproc_undef_token1] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(1),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(1),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(1),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(1),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(1),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(1),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(1),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(1),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(1),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(1),
    [anon_sym_NS_AVAILABLE] = ACTIONS(1),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(1),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(1),
    [anon_sym_API_AVAILABLE] = ACTIONS(1),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(1),
    [anon_sym_API_DEPRECATED] = ACTIONS(1),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(1),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(1),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(1),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(1),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(1),
    [anon_sym___deprecated_msg] = ACTIONS(1),
    [anon_sym___deprecated_enum_msg] = ACTIONS(1),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(1),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(1),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(1),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(1),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(1),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(1),
    [anon_sym_ATprotocol] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_ATinterface] = ACTIONS(1),
    [anon_sym_ATimplementation] = ACTIONS(1),
    [anon_sym___covariant] = ACTIONS(1),
    [anon_sym___contravariant] = ACTIONS(1),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1),
    [anon_sym_ATsynthesize] = ACTIONS(1),
    [anon_sym_ATdynamic] = ACTIONS(1),
    [anon_sym_ATtry] = ACTIONS(1),
    [anon_sym___try] = ACTIONS(1),
    [anon_sym_ATcatch] = ACTIONS(1),
    [anon_sym___catch] = ACTIONS(1),
    [anon_sym_ATfinally] = ACTIONS(1),
    [anon_sym___finally] = ACTIONS(1),
    [anon_sym_ATthrow] = ACTIONS(1),
    [anon_sym_ATselector] = ACTIONS(1),
    [anon_sym_ATavailable] = ACTIONS(1),
    [anon_sym___builtin_available] = ACTIONS(1),
    [anon_sym_va_arg] = ACTIONS(1),
    [anon_sym_ATencode] = ACTIONS(1),
    [anon_sym_ATsynchronized] = ACTIONS(1),
    [anon_sym_BOOL] = ACTIONS(1),
    [anon_sym_IMP] = ACTIONS(1),
    [anon_sym_SEL] = ACTIONS(1),
    [anon_sym_Class] = ACTIONS(1),
    [anon_sym_id] = ACTIONS(1),
    [anon_sym_out] = ACTIONS(1),
    [anon_sym_inout] = ACTIONS(1),
    [anon_sym_bycopy] = ACTIONS(1),
    [anon_sym_byref] = ACTIONS(1),
    [anon_sym_oneway] = ACTIONS(1),
    [anon_sym_COLON2] = ACTIONS(1),
  },
  [1] = {
    [sym_translation_unit] = STATE(6294),
    [sym__top_level_item] = STATE(129),
    [sym_preproc_include] = STATE(129),
    [sym_preproc_def] = STATE(129),
    [sym_preproc_function_def] = STATE(129),
    [sym_preproc_call] = STATE(129),
    [sym_preproc_if] = STATE(129),
    [sym_preproc_ifdef] = STATE(129),
    [sym_function_definition] = STATE(129),
    [sym__old_style_function_definition] = STATE(996),
    [sym_declaration] = STATE(129),
    [sym_type_definition] = STATE(129),
    [sym__declaration_modifiers] = STATE(2046),
    [sym__declaration_specifiers] = STATE(4192),
    [sym_linkage_specification] = STATE(129),
    [sym_attribute_specifier] = STATE(2046),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2824),
    [sym_ms_call_modifier] = STATE(2169),
    [sym_compound_statement] = STATE(129),
    [sym_storage_class_specifier] = STATE(2046),
    [sym_type_qualifier] = STATE(2046),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2988),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(1006),
    [sym__top_level_statement] = STATE(129),
    [sym_labeled_statement] = STATE(129),
    [sym__top_level_expression_statement] = STATE(129),
    [sym_if_statement] = STATE(129),
    [sym_switch_statement] = STATE(129),
    [sym_case_statement] = STATE(129),
    [sym_while_statement] = STATE(129),
    [sym_do_statement] = STATE(129),
    [sym_for_statement] = STATE(129),
    [sym_return_statement] = STATE(129),
    [sym_break_statement] = STATE(129),
    [sym_continue_statement] = STATE(129),
    [sym_goto_statement] = STATE(129),
    [sym_expression] = STATE(4574),
    [sym__string] = STATE(4575),
    [sym_conditional_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4575),
    [sym_pointer_expression] = STATE(4370),
    [sym_unary_expression] = STATE(4575),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_alignof_expression] = STATE(4575),
    [sym_offsetof_expression] = STATE(4575),
    [sym_generic_expression] = STATE(4575),
    [sym_subscript_expression] = STATE(4370),
    [sym_call_expression] = STATE(4370),
    [sym_gnu_asm_expression] = STATE(4575),
    [sym_extension_expression] = STATE(4575),
    [sym_field_expression] = STATE(4370),
    [sym_compound_literal_expression] = STATE(4575),
    [sym_parenthesized_expression] = STATE(4370),
    [sym_char_literal] = STATE(4575),
    [sym_concatenated_string] = STATE(4575),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(4575),
    [sym__empty_declaration] = STATE(129),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(129),
    [sym_preproc_undef] = STATE(129),
    [sym_preproc_linemarker] = STATE(129),
    [sym_availability_attribute_specifier] = STATE(2046),
    [sym_protocol_forward_declaration] = STATE(129),
    [sym_class_declaration] = STATE(129),
    [sym_class_interface] = STATE(129),
    [sym__class_interface_header] = STATE(1179),
    [sym_class_implementation] = STATE(129),
    [sym__class_implementation_header] = STATE(1097),
    [sym_protocol_declaration] = STATE(129),
    [sym_compatibility_alias_declaration] = STATE(129),
    [sym_selector_expression] = STATE(4575),
    [sym_available_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_block_literal] = STATE(4575),
    [sym_message_expression] = STATE(4575),
    [sym_va_arg_expression] = STATE(4575),
    [sym_encode_expression] = STATE(4575),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(4575),
    [sym_dictionary_literal] = STATE(4575),
    [sym_array_literal] = STATE(4575),
    [aux_sym_translation_unit_repeat1] = STATE(129),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2046),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2463),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_include_token2] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym___extension__] = ACTIONS(31),
    [anon_sym_typedef] = ACTIONS(33),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(65),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_switch] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_default] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_in] = ACTIONS(83),
    [anon_sym_return] = ACTIONS(85),
    [anon_sym_break] = ACTIONS(87),
    [anon_sym_continue] = ACTIONS(89),
    [anon_sym_goto] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(105),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(113),
    [sym_false] = ACTIONS(113),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(119),
    [aux_sym_preproc_undef_token1] = ACTIONS(121),
    [anon_sym_POUND] = ACTIONS(123),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(129),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(135),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(149),
  },
  [2] = {
    [sym__block_item] = STATE(32),
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_preproc_else] = STATE(5991),
    [sym_preproc_elif] = STATE(5991),
    [sym_preproc_elifdef] = STATE(5991),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(279),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(2043),
    [sym__declaration_specifiers] = STATE(4181),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(32),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2857),
    [sym_ms_call_modifier] = STATE(2198),
    [sym_compound_statement] = STATE(203),
    [sym_storage_class_specifier] = STATE(2043),
    [sym_type_qualifier] = STATE(2043),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2945),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(286),
    [sym_statement] = STATE(32),
    [sym_labeled_statement] = STATE(203),
    [sym_expression_statement] = STATE(203),
    [sym_if_statement] = STATE(203),
    [sym_switch_statement] = STATE(203),
    [sym_case_statement] = STATE(203),
    [sym_while_statement] = STATE(203),
    [sym_do_statement] = STATE(203),
    [sym_for_statement] = STATE(203),
    [sym_return_statement] = STATE(203),
    [sym_break_statement] = STATE(203),
    [sym_continue_statement] = STATE(203),
    [sym_goto_statement] = STATE(203),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(32),
    [sym_preproc_undef] = STATE(32),
    [sym_preproc_linemarker] = STATE(32),
    [sym_availability_attribute_specifier] = STATE(2043),
    [sym_protocol_forward_declaration] = STATE(32),
    [sym_class_declaration] = STATE(32),
    [sym_class_interface] = STATE(32),
    [sym__class_interface_header] = STATE(1185),
    [sym_class_implementation] = STATE(32),
    [sym__class_implementation_header] = STATE(1098),
    [sym_protocol_declaration] = STATE(32),
    [sym_compatibility_alias_declaration] = STATE(32),
    [sym_property_implementation] = STATE(32),
    [sym_try_statement] = STATE(203),
    [sym_throw_statement] = STATE(203),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(203),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(203),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2043),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(151),
    [aux_sym_preproc_include_token1] = ACTIONS(153),
    [aux_sym_preproc_include_token2] = ACTIONS(153),
    [aux_sym_preproc_def_token1] = ACTIONS(155),
    [aux_sym_preproc_if_token1] = ACTIONS(157),
    [aux_sym_preproc_if_token2] = ACTIONS(159),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(161),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(161),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(167),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(167),
    [sym_preproc_directive] = ACTIONS(169),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(173),
    [anon_sym_typedef] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(177),
    [anon_sym___attribute__] = ACTIONS(179),
    [anon_sym___attribute] = ACTIONS(179),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(221),
    [aux_sym_preproc_undef_token1] = ACTIONS(223),
    [anon_sym_POUND] = ACTIONS(225),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(227),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(229),
    [anon_sym_ATsynthesize] = ACTIONS(231),
    [anon_sym_ATdynamic] = ACTIONS(233),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [3] = {
    [sym__block_item] = STATE(32),
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_preproc_else] = STATE(6399),
    [sym_preproc_elif] = STATE(6399),
    [sym_preproc_elifdef] = STATE(6399),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(279),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(2043),
    [sym__declaration_specifiers] = STATE(4181),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(32),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2857),
    [sym_ms_call_modifier] = STATE(2198),
    [sym_compound_statement] = STATE(203),
    [sym_storage_class_specifier] = STATE(2043),
    [sym_type_qualifier] = STATE(2043),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2945),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(286),
    [sym_statement] = STATE(32),
    [sym_labeled_statement] = STATE(203),
    [sym_expression_statement] = STATE(203),
    [sym_if_statement] = STATE(203),
    [sym_switch_statement] = STATE(203),
    [sym_case_statement] = STATE(203),
    [sym_while_statement] = STATE(203),
    [sym_do_statement] = STATE(203),
    [sym_for_statement] = STATE(203),
    [sym_return_statement] = STATE(203),
    [sym_break_statement] = STATE(203),
    [sym_continue_statement] = STATE(203),
    [sym_goto_statement] = STATE(203),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(32),
    [sym_preproc_undef] = STATE(32),
    [sym_preproc_linemarker] = STATE(32),
    [sym_availability_attribute_specifier] = STATE(2043),
    [sym_protocol_forward_declaration] = STATE(32),
    [sym_class_declaration] = STATE(32),
    [sym_class_interface] = STATE(32),
    [sym__class_interface_header] = STATE(1185),
    [sym_class_implementation] = STATE(32),
    [sym__class_implementation_header] = STATE(1098),
    [sym_protocol_declaration] = STATE(32),
    [sym_compatibility_alias_declaration] = STATE(32),
    [sym_property_implementation] = STATE(32),
    [sym_try_statement] = STATE(203),
    [sym_throw_statement] = STATE(203),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(203),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(203),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2043),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(151),
    [aux_sym_preproc_include_token1] = ACTIONS(153),
    [aux_sym_preproc_include_token2] = ACTIONS(153),
    [aux_sym_preproc_def_token1] = ACTIONS(155),
    [aux_sym_preproc_if_token1] = ACTIONS(157),
    [aux_sym_preproc_if_token2] = ACTIONS(245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(161),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(161),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(167),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(167),
    [sym_preproc_directive] = ACTIONS(169),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(173),
    [anon_sym_typedef] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(177),
    [anon_sym___attribute__] = ACTIONS(179),
    [anon_sym___attribute] = ACTIONS(179),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(221),
    [aux_sym_preproc_undef_token1] = ACTIONS(223),
    [anon_sym_POUND] = ACTIONS(225),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(227),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(229),
    [anon_sym_ATsynthesize] = ACTIONS(231),
    [anon_sym_ATdynamic] = ACTIONS(233),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [4] = {
    [sym__block_item] = STATE(5),
    [sym_preproc_include] = STATE(5),
    [sym_preproc_def] = STATE(5),
    [sym_preproc_function_def] = STATE(5),
    [sym_preproc_call] = STATE(5),
    [sym_preproc_if] = STATE(5),
    [sym_preproc_ifdef] = STATE(5),
    [sym_preproc_else] = STATE(6205),
    [sym_preproc_elif] = STATE(6205),
    [sym_preproc_elifdef] = STATE(6205),
    [sym_function_definition] = STATE(5),
    [sym__old_style_function_definition] = STATE(279),
    [sym_declaration] = STATE(5),
    [sym_type_definition] = STATE(5),
    [sym__declaration_modifiers] = STATE(2043),
    [sym__declaration_specifiers] = STATE(4181),
    [sym_linkage_specification] = STATE(5),
    [sym_attribute_specifier] = STATE(5),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2857),
    [sym_ms_call_modifier] = STATE(2198),
    [sym_compound_statement] = STATE(203),
    [sym_storage_class_specifier] = STATE(2043),
    [sym_type_qualifier] = STATE(2043),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2945),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(286),
    [sym_statement] = STATE(5),
    [sym_labeled_statement] = STATE(203),
    [sym_expression_statement] = STATE(203),
    [sym_if_statement] = STATE(203),
    [sym_switch_statement] = STATE(203),
    [sym_case_statement] = STATE(203),
    [sym_while_statement] = STATE(203),
    [sym_do_statement] = STATE(203),
    [sym_for_statement] = STATE(203),
    [sym_return_statement] = STATE(203),
    [sym_break_statement] = STATE(203),
    [sym_continue_statement] = STATE(203),
    [sym_goto_statement] = STATE(203),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(5),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(5),
    [sym_preproc_undef] = STATE(5),
    [sym_preproc_linemarker] = STATE(5),
    [sym_availability_attribute_specifier] = STATE(2043),
    [sym_protocol_forward_declaration] = STATE(5),
    [sym_class_declaration] = STATE(5),
    [sym_class_interface] = STATE(5),
    [sym__class_interface_header] = STATE(1185),
    [sym_class_implementation] = STATE(5),
    [sym__class_implementation_header] = STATE(1098),
    [sym_protocol_declaration] = STATE(5),
    [sym_compatibility_alias_declaration] = STATE(5),
    [sym_property_implementation] = STATE(5),
    [sym_try_statement] = STATE(203),
    [sym_throw_statement] = STATE(203),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(203),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(203),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(5),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2043),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(151),
    [aux_sym_preproc_include_token1] = ACTIONS(153),
    [aux_sym_preproc_include_token2] = ACTIONS(153),
    [aux_sym_preproc_def_token1] = ACTIONS(155),
    [aux_sym_preproc_if_token1] = ACTIONS(157),
    [aux_sym_preproc_if_token2] = ACTIONS(247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(161),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(161),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(167),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(167),
    [sym_preproc_directive] = ACTIONS(169),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(173),
    [anon_sym_typedef] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(177),
    [anon_sym___attribute__] = ACTIONS(179),
    [anon_sym___attribute] = ACTIONS(179),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(221),
    [aux_sym_preproc_undef_token1] = ACTIONS(223),
    [anon_sym_POUND] = ACTIONS(225),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(227),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(229),
    [anon_sym_ATsynthesize] = ACTIONS(231),
    [anon_sym_ATdynamic] = ACTIONS(233),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [5] = {
    [sym__block_item] = STATE(32),
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_preproc_else] = STATE(5935),
    [sym_preproc_elif] = STATE(5935),
    [sym_preproc_elifdef] = STATE(5935),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(279),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(2043),
    [sym__declaration_specifiers] = STATE(4181),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(32),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2857),
    [sym_ms_call_modifier] = STATE(2198),
    [sym_compound_statement] = STATE(203),
    [sym_storage_class_specifier] = STATE(2043),
    [sym_type_qualifier] = STATE(2043),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2945),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(286),
    [sym_statement] = STATE(32),
    [sym_labeled_statement] = STATE(203),
    [sym_expression_statement] = STATE(203),
    [sym_if_statement] = STATE(203),
    [sym_switch_statement] = STATE(203),
    [sym_case_statement] = STATE(203),
    [sym_while_statement] = STATE(203),
    [sym_do_statement] = STATE(203),
    [sym_for_statement] = STATE(203),
    [sym_return_statement] = STATE(203),
    [sym_break_statement] = STATE(203),
    [sym_continue_statement] = STATE(203),
    [sym_goto_statement] = STATE(203),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(32),
    [sym_preproc_undef] = STATE(32),
    [sym_preproc_linemarker] = STATE(32),
    [sym_availability_attribute_specifier] = STATE(2043),
    [sym_protocol_forward_declaration] = STATE(32),
    [sym_class_declaration] = STATE(32),
    [sym_class_interface] = STATE(32),
    [sym__class_interface_header] = STATE(1185),
    [sym_class_implementation] = STATE(32),
    [sym__class_implementation_header] = STATE(1098),
    [sym_protocol_declaration] = STATE(32),
    [sym_compatibility_alias_declaration] = STATE(32),
    [sym_property_implementation] = STATE(32),
    [sym_try_statement] = STATE(203),
    [sym_throw_statement] = STATE(203),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(203),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(203),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2043),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(151),
    [aux_sym_preproc_include_token1] = ACTIONS(153),
    [aux_sym_preproc_include_token2] = ACTIONS(153),
    [aux_sym_preproc_def_token1] = ACTIONS(155),
    [aux_sym_preproc_if_token1] = ACTIONS(157),
    [aux_sym_preproc_if_token2] = ACTIONS(249),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(161),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(161),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(167),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(167),
    [sym_preproc_directive] = ACTIONS(169),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(173),
    [anon_sym_typedef] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(177),
    [anon_sym___attribute__] = ACTIONS(179),
    [anon_sym___attribute] = ACTIONS(179),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(221),
    [aux_sym_preproc_undef_token1] = ACTIONS(223),
    [anon_sym_POUND] = ACTIONS(225),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(227),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(229),
    [anon_sym_ATsynthesize] = ACTIONS(231),
    [anon_sym_ATdynamic] = ACTIONS(233),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [6] = {
    [sym__block_item] = STATE(7),
    [sym_preproc_include] = STATE(7),
    [sym_preproc_def] = STATE(7),
    [sym_preproc_function_def] = STATE(7),
    [sym_preproc_call] = STATE(7),
    [sym_preproc_if] = STATE(7),
    [sym_preproc_ifdef] = STATE(7),
    [sym_preproc_else] = STATE(6296),
    [sym_preproc_elif] = STATE(6296),
    [sym_preproc_elifdef] = STATE(6296),
    [sym_function_definition] = STATE(7),
    [sym__old_style_function_definition] = STATE(279),
    [sym_declaration] = STATE(7),
    [sym_type_definition] = STATE(7),
    [sym__declaration_modifiers] = STATE(2043),
    [sym__declaration_specifiers] = STATE(4181),
    [sym_linkage_specification] = STATE(7),
    [sym_attribute_specifier] = STATE(7),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2857),
    [sym_ms_call_modifier] = STATE(2198),
    [sym_compound_statement] = STATE(203),
    [sym_storage_class_specifier] = STATE(2043),
    [sym_type_qualifier] = STATE(2043),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2945),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(286),
    [sym_statement] = STATE(7),
    [sym_labeled_statement] = STATE(203),
    [sym_expression_statement] = STATE(203),
    [sym_if_statement] = STATE(203),
    [sym_switch_statement] = STATE(203),
    [sym_case_statement] = STATE(203),
    [sym_while_statement] = STATE(203),
    [sym_do_statement] = STATE(203),
    [sym_for_statement] = STATE(203),
    [sym_return_statement] = STATE(203),
    [sym_break_statement] = STATE(203),
    [sym_continue_statement] = STATE(203),
    [sym_goto_statement] = STATE(203),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(7),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(7),
    [sym_preproc_undef] = STATE(7),
    [sym_preproc_linemarker] = STATE(7),
    [sym_availability_attribute_specifier] = STATE(2043),
    [sym_protocol_forward_declaration] = STATE(7),
    [sym_class_declaration] = STATE(7),
    [sym_class_interface] = STATE(7),
    [sym__class_interface_header] = STATE(1185),
    [sym_class_implementation] = STATE(7),
    [sym__class_implementation_header] = STATE(1098),
    [sym_protocol_declaration] = STATE(7),
    [sym_compatibility_alias_declaration] = STATE(7),
    [sym_property_implementation] = STATE(7),
    [sym_try_statement] = STATE(203),
    [sym_throw_statement] = STATE(203),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(203),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(203),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(7),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2043),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(151),
    [aux_sym_preproc_include_token1] = ACTIONS(153),
    [aux_sym_preproc_include_token2] = ACTIONS(153),
    [aux_sym_preproc_def_token1] = ACTIONS(155),
    [aux_sym_preproc_if_token1] = ACTIONS(157),
    [aux_sym_preproc_if_token2] = ACTIONS(251),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(161),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(161),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(167),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(167),
    [sym_preproc_directive] = ACTIONS(169),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(173),
    [anon_sym_typedef] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(177),
    [anon_sym___attribute__] = ACTIONS(179),
    [anon_sym___attribute] = ACTIONS(179),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(221),
    [aux_sym_preproc_undef_token1] = ACTIONS(223),
    [anon_sym_POUND] = ACTIONS(225),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(227),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(229),
    [anon_sym_ATsynthesize] = ACTIONS(231),
    [anon_sym_ATdynamic] = ACTIONS(233),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [7] = {
    [sym__block_item] = STATE(32),
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_preproc_else] = STATE(6419),
    [sym_preproc_elif] = STATE(6419),
    [sym_preproc_elifdef] = STATE(6419),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(279),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(2043),
    [sym__declaration_specifiers] = STATE(4181),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(32),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2857),
    [sym_ms_call_modifier] = STATE(2198),
    [sym_compound_statement] = STATE(203),
    [sym_storage_class_specifier] = STATE(2043),
    [sym_type_qualifier] = STATE(2043),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2945),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(286),
    [sym_statement] = STATE(32),
    [sym_labeled_statement] = STATE(203),
    [sym_expression_statement] = STATE(203),
    [sym_if_statement] = STATE(203),
    [sym_switch_statement] = STATE(203),
    [sym_case_statement] = STATE(203),
    [sym_while_statement] = STATE(203),
    [sym_do_statement] = STATE(203),
    [sym_for_statement] = STATE(203),
    [sym_return_statement] = STATE(203),
    [sym_break_statement] = STATE(203),
    [sym_continue_statement] = STATE(203),
    [sym_goto_statement] = STATE(203),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(32),
    [sym_preproc_undef] = STATE(32),
    [sym_preproc_linemarker] = STATE(32),
    [sym_availability_attribute_specifier] = STATE(2043),
    [sym_protocol_forward_declaration] = STATE(32),
    [sym_class_declaration] = STATE(32),
    [sym_class_interface] = STATE(32),
    [sym__class_interface_header] = STATE(1185),
    [sym_class_implementation] = STATE(32),
    [sym__class_implementation_header] = STATE(1098),
    [sym_protocol_declaration] = STATE(32),
    [sym_compatibility_alias_declaration] = STATE(32),
    [sym_property_implementation] = STATE(32),
    [sym_try_statement] = STATE(203),
    [sym_throw_statement] = STATE(203),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(203),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(203),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2043),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(151),
    [aux_sym_preproc_include_token1] = ACTIONS(153),
    [aux_sym_preproc_include_token2] = ACTIONS(153),
    [aux_sym_preproc_def_token1] = ACTIONS(155),
    [aux_sym_preproc_if_token1] = ACTIONS(157),
    [aux_sym_preproc_if_token2] = ACTIONS(253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(161),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(161),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(167),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(167),
    [sym_preproc_directive] = ACTIONS(169),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(173),
    [anon_sym_typedef] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(177),
    [anon_sym___attribute__] = ACTIONS(179),
    [anon_sym___attribute] = ACTIONS(179),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(221),
    [aux_sym_preproc_undef_token1] = ACTIONS(223),
    [anon_sym_POUND] = ACTIONS(225),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(227),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(229),
    [anon_sym_ATsynthesize] = ACTIONS(231),
    [anon_sym_ATdynamic] = ACTIONS(233),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [8] = {
    [sym__block_item] = STATE(9),
    [sym_preproc_include] = STATE(9),
    [sym_preproc_def] = STATE(9),
    [sym_preproc_function_def] = STATE(9),
    [sym_preproc_call] = STATE(9),
    [sym_preproc_if] = STATE(9),
    [sym_preproc_ifdef] = STATE(9),
    [sym_preproc_else] = STATE(6145),
    [sym_preproc_elif] = STATE(6145),
    [sym_preproc_elifdef] = STATE(6145),
    [sym_function_definition] = STATE(9),
    [sym__old_style_function_definition] = STATE(279),
    [sym_declaration] = STATE(9),
    [sym_type_definition] = STATE(9),
    [sym__declaration_modifiers] = STATE(2043),
    [sym__declaration_specifiers] = STATE(4181),
    [sym_linkage_specification] = STATE(9),
    [sym_attribute_specifier] = STATE(9),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2857),
    [sym_ms_call_modifier] = STATE(2198),
    [sym_compound_statement] = STATE(203),
    [sym_storage_class_specifier] = STATE(2043),
    [sym_type_qualifier] = STATE(2043),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2945),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(286),
    [sym_statement] = STATE(9),
    [sym_labeled_statement] = STATE(203),
    [sym_expression_statement] = STATE(203),
    [sym_if_statement] = STATE(203),
    [sym_switch_statement] = STATE(203),
    [sym_case_statement] = STATE(203),
    [sym_while_statement] = STATE(203),
    [sym_do_statement] = STATE(203),
    [sym_for_statement] = STATE(203),
    [sym_return_statement] = STATE(203),
    [sym_break_statement] = STATE(203),
    [sym_continue_statement] = STATE(203),
    [sym_goto_statement] = STATE(203),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(9),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(9),
    [sym_preproc_undef] = STATE(9),
    [sym_preproc_linemarker] = STATE(9),
    [sym_availability_attribute_specifier] = STATE(2043),
    [sym_protocol_forward_declaration] = STATE(9),
    [sym_class_declaration] = STATE(9),
    [sym_class_interface] = STATE(9),
    [sym__class_interface_header] = STATE(1185),
    [sym_class_implementation] = STATE(9),
    [sym__class_implementation_header] = STATE(1098),
    [sym_protocol_declaration] = STATE(9),
    [sym_compatibility_alias_declaration] = STATE(9),
    [sym_property_implementation] = STATE(9),
    [sym_try_statement] = STATE(203),
    [sym_throw_statement] = STATE(203),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(203),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(203),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(9),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2043),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(151),
    [aux_sym_preproc_include_token1] = ACTIONS(153),
    [aux_sym_preproc_include_token2] = ACTIONS(153),
    [aux_sym_preproc_def_token1] = ACTIONS(155),
    [aux_sym_preproc_if_token1] = ACTIONS(157),
    [aux_sym_preproc_if_token2] = ACTIONS(255),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(161),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(161),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(167),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(167),
    [sym_preproc_directive] = ACTIONS(169),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(173),
    [anon_sym_typedef] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(177),
    [anon_sym___attribute__] = ACTIONS(179),
    [anon_sym___attribute] = ACTIONS(179),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(221),
    [aux_sym_preproc_undef_token1] = ACTIONS(223),
    [anon_sym_POUND] = ACTIONS(225),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(227),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(229),
    [anon_sym_ATsynthesize] = ACTIONS(231),
    [anon_sym_ATdynamic] = ACTIONS(233),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [9] = {
    [sym__block_item] = STATE(32),
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_preproc_else] = STATE(6316),
    [sym_preproc_elif] = STATE(6316),
    [sym_preproc_elifdef] = STATE(6316),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(279),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(2043),
    [sym__declaration_specifiers] = STATE(4181),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(32),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2857),
    [sym_ms_call_modifier] = STATE(2198),
    [sym_compound_statement] = STATE(203),
    [sym_storage_class_specifier] = STATE(2043),
    [sym_type_qualifier] = STATE(2043),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2945),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(286),
    [sym_statement] = STATE(32),
    [sym_labeled_statement] = STATE(203),
    [sym_expression_statement] = STATE(203),
    [sym_if_statement] = STATE(203),
    [sym_switch_statement] = STATE(203),
    [sym_case_statement] = STATE(203),
    [sym_while_statement] = STATE(203),
    [sym_do_statement] = STATE(203),
    [sym_for_statement] = STATE(203),
    [sym_return_statement] = STATE(203),
    [sym_break_statement] = STATE(203),
    [sym_continue_statement] = STATE(203),
    [sym_goto_statement] = STATE(203),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(32),
    [sym_preproc_undef] = STATE(32),
    [sym_preproc_linemarker] = STATE(32),
    [sym_availability_attribute_specifier] = STATE(2043),
    [sym_protocol_forward_declaration] = STATE(32),
    [sym_class_declaration] = STATE(32),
    [sym_class_interface] = STATE(32),
    [sym__class_interface_header] = STATE(1185),
    [sym_class_implementation] = STATE(32),
    [sym__class_implementation_header] = STATE(1098),
    [sym_protocol_declaration] = STATE(32),
    [sym_compatibility_alias_declaration] = STATE(32),
    [sym_property_implementation] = STATE(32),
    [sym_try_statement] = STATE(203),
    [sym_throw_statement] = STATE(203),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(203),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(203),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2043),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(151),
    [aux_sym_preproc_include_token1] = ACTIONS(153),
    [aux_sym_preproc_include_token2] = ACTIONS(153),
    [aux_sym_preproc_def_token1] = ACTIONS(155),
    [aux_sym_preproc_if_token1] = ACTIONS(157),
    [aux_sym_preproc_if_token2] = ACTIONS(257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(161),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(161),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(167),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(167),
    [sym_preproc_directive] = ACTIONS(169),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(173),
    [anon_sym_typedef] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(177),
    [anon_sym___attribute__] = ACTIONS(179),
    [anon_sym___attribute] = ACTIONS(179),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(221),
    [aux_sym_preproc_undef_token1] = ACTIONS(223),
    [anon_sym_POUND] = ACTIONS(225),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(227),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(229),
    [anon_sym_ATsynthesize] = ACTIONS(231),
    [anon_sym_ATdynamic] = ACTIONS(233),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [10] = {
    [sym__block_item] = STATE(11),
    [sym_preproc_include] = STATE(11),
    [sym_preproc_def] = STATE(11),
    [sym_preproc_function_def] = STATE(11),
    [sym_preproc_call] = STATE(11),
    [sym_preproc_if] = STATE(11),
    [sym_preproc_ifdef] = STATE(11),
    [sym_preproc_else] = STATE(6731),
    [sym_preproc_elif] = STATE(6731),
    [sym_preproc_elifdef] = STATE(6731),
    [sym_function_definition] = STATE(11),
    [sym__old_style_function_definition] = STATE(279),
    [sym_declaration] = STATE(11),
    [sym_type_definition] = STATE(11),
    [sym__declaration_modifiers] = STATE(2043),
    [sym__declaration_specifiers] = STATE(4181),
    [sym_linkage_specification] = STATE(11),
    [sym_attribute_specifier] = STATE(11),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2857),
    [sym_ms_call_modifier] = STATE(2198),
    [sym_compound_statement] = STATE(203),
    [sym_storage_class_specifier] = STATE(2043),
    [sym_type_qualifier] = STATE(2043),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2945),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(286),
    [sym_statement] = STATE(11),
    [sym_labeled_statement] = STATE(203),
    [sym_expression_statement] = STATE(203),
    [sym_if_statement] = STATE(203),
    [sym_switch_statement] = STATE(203),
    [sym_case_statement] = STATE(203),
    [sym_while_statement] = STATE(203),
    [sym_do_statement] = STATE(203),
    [sym_for_statement] = STATE(203),
    [sym_return_statement] = STATE(203),
    [sym_break_statement] = STATE(203),
    [sym_continue_statement] = STATE(203),
    [sym_goto_statement] = STATE(203),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(11),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(11),
    [sym_preproc_undef] = STATE(11),
    [sym_preproc_linemarker] = STATE(11),
    [sym_availability_attribute_specifier] = STATE(2043),
    [sym_protocol_forward_declaration] = STATE(11),
    [sym_class_declaration] = STATE(11),
    [sym_class_interface] = STATE(11),
    [sym__class_interface_header] = STATE(1185),
    [sym_class_implementation] = STATE(11),
    [sym__class_implementation_header] = STATE(1098),
    [sym_protocol_declaration] = STATE(11),
    [sym_compatibility_alias_declaration] = STATE(11),
    [sym_property_implementation] = STATE(11),
    [sym_try_statement] = STATE(203),
    [sym_throw_statement] = STATE(203),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(203),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(203),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(11),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2043),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(151),
    [aux_sym_preproc_include_token1] = ACTIONS(153),
    [aux_sym_preproc_include_token2] = ACTIONS(153),
    [aux_sym_preproc_def_token1] = ACTIONS(155),
    [aux_sym_preproc_if_token1] = ACTIONS(157),
    [aux_sym_preproc_if_token2] = ACTIONS(259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(161),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(161),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(167),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(167),
    [sym_preproc_directive] = ACTIONS(169),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(173),
    [anon_sym_typedef] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(177),
    [anon_sym___attribute__] = ACTIONS(179),
    [anon_sym___attribute] = ACTIONS(179),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(221),
    [aux_sym_preproc_undef_token1] = ACTIONS(223),
    [anon_sym_POUND] = ACTIONS(225),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(227),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(229),
    [anon_sym_ATsynthesize] = ACTIONS(231),
    [anon_sym_ATdynamic] = ACTIONS(233),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [11] = {
    [sym__block_item] = STATE(32),
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_preproc_else] = STATE(6110),
    [sym_preproc_elif] = STATE(6110),
    [sym_preproc_elifdef] = STATE(6110),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(279),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(2043),
    [sym__declaration_specifiers] = STATE(4181),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(32),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2857),
    [sym_ms_call_modifier] = STATE(2198),
    [sym_compound_statement] = STATE(203),
    [sym_storage_class_specifier] = STATE(2043),
    [sym_type_qualifier] = STATE(2043),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2945),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(286),
    [sym_statement] = STATE(32),
    [sym_labeled_statement] = STATE(203),
    [sym_expression_statement] = STATE(203),
    [sym_if_statement] = STATE(203),
    [sym_switch_statement] = STATE(203),
    [sym_case_statement] = STATE(203),
    [sym_while_statement] = STATE(203),
    [sym_do_statement] = STATE(203),
    [sym_for_statement] = STATE(203),
    [sym_return_statement] = STATE(203),
    [sym_break_statement] = STATE(203),
    [sym_continue_statement] = STATE(203),
    [sym_goto_statement] = STATE(203),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(32),
    [sym_preproc_undef] = STATE(32),
    [sym_preproc_linemarker] = STATE(32),
    [sym_availability_attribute_specifier] = STATE(2043),
    [sym_protocol_forward_declaration] = STATE(32),
    [sym_class_declaration] = STATE(32),
    [sym_class_interface] = STATE(32),
    [sym__class_interface_header] = STATE(1185),
    [sym_class_implementation] = STATE(32),
    [sym__class_implementation_header] = STATE(1098),
    [sym_protocol_declaration] = STATE(32),
    [sym_compatibility_alias_declaration] = STATE(32),
    [sym_property_implementation] = STATE(32),
    [sym_try_statement] = STATE(203),
    [sym_throw_statement] = STATE(203),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(203),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(203),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2043),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(151),
    [aux_sym_preproc_include_token1] = ACTIONS(153),
    [aux_sym_preproc_include_token2] = ACTIONS(153),
    [aux_sym_preproc_def_token1] = ACTIONS(155),
    [aux_sym_preproc_if_token1] = ACTIONS(157),
    [aux_sym_preproc_if_token2] = ACTIONS(261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(161),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(161),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(167),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(167),
    [sym_preproc_directive] = ACTIONS(169),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(173),
    [anon_sym_typedef] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(177),
    [anon_sym___attribute__] = ACTIONS(179),
    [anon_sym___attribute] = ACTIONS(179),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(221),
    [aux_sym_preproc_undef_token1] = ACTIONS(223),
    [anon_sym_POUND] = ACTIONS(225),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(227),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(229),
    [anon_sym_ATsynthesize] = ACTIONS(231),
    [anon_sym_ATdynamic] = ACTIONS(233),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [12] = {
    [sym__block_item] = STATE(14),
    [sym_preproc_include] = STATE(14),
    [sym_preproc_def] = STATE(14),
    [sym_preproc_function_def] = STATE(14),
    [sym_preproc_call] = STATE(14),
    [sym_preproc_if] = STATE(14),
    [sym_preproc_ifdef] = STATE(14),
    [sym_preproc_else] = STATE(6584),
    [sym_preproc_elif] = STATE(6584),
    [sym_preproc_elifdef] = STATE(6584),
    [sym_function_definition] = STATE(14),
    [sym__old_style_function_definition] = STATE(279),
    [sym_declaration] = STATE(14),
    [sym_type_definition] = STATE(14),
    [sym__declaration_modifiers] = STATE(2043),
    [sym__declaration_specifiers] = STATE(4181),
    [sym_linkage_specification] = STATE(14),
    [sym_attribute_specifier] = STATE(14),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2857),
    [sym_ms_call_modifier] = STATE(2198),
    [sym_compound_statement] = STATE(203),
    [sym_storage_class_specifier] = STATE(2043),
    [sym_type_qualifier] = STATE(2043),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2945),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(286),
    [sym_statement] = STATE(14),
    [sym_labeled_statement] = STATE(203),
    [sym_expression_statement] = STATE(203),
    [sym_if_statement] = STATE(203),
    [sym_switch_statement] = STATE(203),
    [sym_case_statement] = STATE(203),
    [sym_while_statement] = STATE(203),
    [sym_do_statement] = STATE(203),
    [sym_for_statement] = STATE(203),
    [sym_return_statement] = STATE(203),
    [sym_break_statement] = STATE(203),
    [sym_continue_statement] = STATE(203),
    [sym_goto_statement] = STATE(203),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(14),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(14),
    [sym_preproc_undef] = STATE(14),
    [sym_preproc_linemarker] = STATE(14),
    [sym_availability_attribute_specifier] = STATE(2043),
    [sym_protocol_forward_declaration] = STATE(14),
    [sym_class_declaration] = STATE(14),
    [sym_class_interface] = STATE(14),
    [sym__class_interface_header] = STATE(1185),
    [sym_class_implementation] = STATE(14),
    [sym__class_implementation_header] = STATE(1098),
    [sym_protocol_declaration] = STATE(14),
    [sym_compatibility_alias_declaration] = STATE(14),
    [sym_property_implementation] = STATE(14),
    [sym_try_statement] = STATE(203),
    [sym_throw_statement] = STATE(203),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(203),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(203),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(14),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2043),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(151),
    [aux_sym_preproc_include_token1] = ACTIONS(153),
    [aux_sym_preproc_include_token2] = ACTIONS(153),
    [aux_sym_preproc_def_token1] = ACTIONS(155),
    [aux_sym_preproc_if_token1] = ACTIONS(157),
    [aux_sym_preproc_if_token2] = ACTIONS(263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(161),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(161),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(167),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(167),
    [sym_preproc_directive] = ACTIONS(169),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(173),
    [anon_sym_typedef] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(177),
    [anon_sym___attribute__] = ACTIONS(179),
    [anon_sym___attribute] = ACTIONS(179),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(221),
    [aux_sym_preproc_undef_token1] = ACTIONS(223),
    [anon_sym_POUND] = ACTIONS(225),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(227),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(229),
    [anon_sym_ATsynthesize] = ACTIONS(231),
    [anon_sym_ATdynamic] = ACTIONS(233),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [13] = {
    [sym__block_item] = STATE(3),
    [sym_preproc_include] = STATE(3),
    [sym_preproc_def] = STATE(3),
    [sym_preproc_function_def] = STATE(3),
    [sym_preproc_call] = STATE(3),
    [sym_preproc_if] = STATE(3),
    [sym_preproc_ifdef] = STATE(3),
    [sym_preproc_else] = STATE(6622),
    [sym_preproc_elif] = STATE(6622),
    [sym_preproc_elifdef] = STATE(6622),
    [sym_function_definition] = STATE(3),
    [sym__old_style_function_definition] = STATE(279),
    [sym_declaration] = STATE(3),
    [sym_type_definition] = STATE(3),
    [sym__declaration_modifiers] = STATE(2043),
    [sym__declaration_specifiers] = STATE(4181),
    [sym_linkage_specification] = STATE(3),
    [sym_attribute_specifier] = STATE(3),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2857),
    [sym_ms_call_modifier] = STATE(2198),
    [sym_compound_statement] = STATE(203),
    [sym_storage_class_specifier] = STATE(2043),
    [sym_type_qualifier] = STATE(2043),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2945),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(286),
    [sym_statement] = STATE(3),
    [sym_labeled_statement] = STATE(203),
    [sym_expression_statement] = STATE(203),
    [sym_if_statement] = STATE(203),
    [sym_switch_statement] = STATE(203),
    [sym_case_statement] = STATE(203),
    [sym_while_statement] = STATE(203),
    [sym_do_statement] = STATE(203),
    [sym_for_statement] = STATE(203),
    [sym_return_statement] = STATE(203),
    [sym_break_statement] = STATE(203),
    [sym_continue_statement] = STATE(203),
    [sym_goto_statement] = STATE(203),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(3),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(3),
    [sym_preproc_undef] = STATE(3),
    [sym_preproc_linemarker] = STATE(3),
    [sym_availability_attribute_specifier] = STATE(2043),
    [sym_protocol_forward_declaration] = STATE(3),
    [sym_class_declaration] = STATE(3),
    [sym_class_interface] = STATE(3),
    [sym__class_interface_header] = STATE(1185),
    [sym_class_implementation] = STATE(3),
    [sym__class_implementation_header] = STATE(1098),
    [sym_protocol_declaration] = STATE(3),
    [sym_compatibility_alias_declaration] = STATE(3),
    [sym_property_implementation] = STATE(3),
    [sym_try_statement] = STATE(203),
    [sym_throw_statement] = STATE(203),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(203),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(203),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(3),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2043),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(151),
    [aux_sym_preproc_include_token1] = ACTIONS(153),
    [aux_sym_preproc_include_token2] = ACTIONS(153),
    [aux_sym_preproc_def_token1] = ACTIONS(155),
    [aux_sym_preproc_if_token1] = ACTIONS(157),
    [aux_sym_preproc_if_token2] = ACTIONS(265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(161),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(161),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(167),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(167),
    [sym_preproc_directive] = ACTIONS(169),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(173),
    [anon_sym_typedef] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(177),
    [anon_sym___attribute__] = ACTIONS(179),
    [anon_sym___attribute] = ACTIONS(179),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(221),
    [aux_sym_preproc_undef_token1] = ACTIONS(223),
    [anon_sym_POUND] = ACTIONS(225),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(227),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(229),
    [anon_sym_ATsynthesize] = ACTIONS(231),
    [anon_sym_ATdynamic] = ACTIONS(233),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [14] = {
    [sym__block_item] = STATE(32),
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_preproc_else] = STATE(6645),
    [sym_preproc_elif] = STATE(6645),
    [sym_preproc_elifdef] = STATE(6645),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(279),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(2043),
    [sym__declaration_specifiers] = STATE(4181),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(32),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2857),
    [sym_ms_call_modifier] = STATE(2198),
    [sym_compound_statement] = STATE(203),
    [sym_storage_class_specifier] = STATE(2043),
    [sym_type_qualifier] = STATE(2043),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2945),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(286),
    [sym_statement] = STATE(32),
    [sym_labeled_statement] = STATE(203),
    [sym_expression_statement] = STATE(203),
    [sym_if_statement] = STATE(203),
    [sym_switch_statement] = STATE(203),
    [sym_case_statement] = STATE(203),
    [sym_while_statement] = STATE(203),
    [sym_do_statement] = STATE(203),
    [sym_for_statement] = STATE(203),
    [sym_return_statement] = STATE(203),
    [sym_break_statement] = STATE(203),
    [sym_continue_statement] = STATE(203),
    [sym_goto_statement] = STATE(203),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(32),
    [sym_preproc_undef] = STATE(32),
    [sym_preproc_linemarker] = STATE(32),
    [sym_availability_attribute_specifier] = STATE(2043),
    [sym_protocol_forward_declaration] = STATE(32),
    [sym_class_declaration] = STATE(32),
    [sym_class_interface] = STATE(32),
    [sym__class_interface_header] = STATE(1185),
    [sym_class_implementation] = STATE(32),
    [sym__class_implementation_header] = STATE(1098),
    [sym_protocol_declaration] = STATE(32),
    [sym_compatibility_alias_declaration] = STATE(32),
    [sym_property_implementation] = STATE(32),
    [sym_try_statement] = STATE(203),
    [sym_throw_statement] = STATE(203),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(203),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(203),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2043),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(151),
    [aux_sym_preproc_include_token1] = ACTIONS(153),
    [aux_sym_preproc_include_token2] = ACTIONS(153),
    [aux_sym_preproc_def_token1] = ACTIONS(155),
    [aux_sym_preproc_if_token1] = ACTIONS(157),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(161),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(161),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(167),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(167),
    [sym_preproc_directive] = ACTIONS(169),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(173),
    [anon_sym_typedef] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(177),
    [anon_sym___attribute__] = ACTIONS(179),
    [anon_sym___attribute] = ACTIONS(179),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(221),
    [aux_sym_preproc_undef_token1] = ACTIONS(223),
    [anon_sym_POUND] = ACTIONS(225),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(227),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(229),
    [anon_sym_ATsynthesize] = ACTIONS(231),
    [anon_sym_ATdynamic] = ACTIONS(233),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [15] = {
    [sym__block_item] = STATE(2),
    [sym_preproc_include] = STATE(2),
    [sym_preproc_def] = STATE(2),
    [sym_preproc_function_def] = STATE(2),
    [sym_preproc_call] = STATE(2),
    [sym_preproc_if] = STATE(2),
    [sym_preproc_ifdef] = STATE(2),
    [sym_preproc_else] = STATE(5958),
    [sym_preproc_elif] = STATE(5958),
    [sym_preproc_elifdef] = STATE(5958),
    [sym_function_definition] = STATE(2),
    [sym__old_style_function_definition] = STATE(279),
    [sym_declaration] = STATE(2),
    [sym_type_definition] = STATE(2),
    [sym__declaration_modifiers] = STATE(2043),
    [sym__declaration_specifiers] = STATE(4181),
    [sym_linkage_specification] = STATE(2),
    [sym_attribute_specifier] = STATE(2),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2857),
    [sym_ms_call_modifier] = STATE(2198),
    [sym_compound_statement] = STATE(203),
    [sym_storage_class_specifier] = STATE(2043),
    [sym_type_qualifier] = STATE(2043),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2945),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(286),
    [sym_statement] = STATE(2),
    [sym_labeled_statement] = STATE(203),
    [sym_expression_statement] = STATE(203),
    [sym_if_statement] = STATE(203),
    [sym_switch_statement] = STATE(203),
    [sym_case_statement] = STATE(203),
    [sym_while_statement] = STATE(203),
    [sym_do_statement] = STATE(203),
    [sym_for_statement] = STATE(203),
    [sym_return_statement] = STATE(203),
    [sym_break_statement] = STATE(203),
    [sym_continue_statement] = STATE(203),
    [sym_goto_statement] = STATE(203),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(2),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(2),
    [sym_preproc_undef] = STATE(2),
    [sym_preproc_linemarker] = STATE(2),
    [sym_availability_attribute_specifier] = STATE(2043),
    [sym_protocol_forward_declaration] = STATE(2),
    [sym_class_declaration] = STATE(2),
    [sym_class_interface] = STATE(2),
    [sym__class_interface_header] = STATE(1185),
    [sym_class_implementation] = STATE(2),
    [sym__class_implementation_header] = STATE(1098),
    [sym_protocol_declaration] = STATE(2),
    [sym_compatibility_alias_declaration] = STATE(2),
    [sym_property_implementation] = STATE(2),
    [sym_try_statement] = STATE(203),
    [sym_throw_statement] = STATE(203),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(203),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(203),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(2),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2043),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(151),
    [aux_sym_preproc_include_token1] = ACTIONS(153),
    [aux_sym_preproc_include_token2] = ACTIONS(153),
    [aux_sym_preproc_def_token1] = ACTIONS(155),
    [aux_sym_preproc_if_token1] = ACTIONS(157),
    [aux_sym_preproc_if_token2] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(161),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(161),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(167),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(167),
    [sym_preproc_directive] = ACTIONS(169),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(173),
    [anon_sym_typedef] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(177),
    [anon_sym___attribute__] = ACTIONS(179),
    [anon_sym___attribute] = ACTIONS(179),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(221),
    [aux_sym_preproc_undef_token1] = ACTIONS(223),
    [anon_sym_POUND] = ACTIONS(225),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(227),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(229),
    [anon_sym_ATsynthesize] = ACTIONS(231),
    [anon_sym_ATdynamic] = ACTIONS(233),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [16] = {
    [sym__block_item] = STATE(17),
    [sym_preproc_include] = STATE(17),
    [sym_preproc_def] = STATE(17),
    [sym_preproc_function_def] = STATE(17),
    [sym_preproc_call] = STATE(17),
    [sym_preproc_if] = STATE(17),
    [sym_preproc_ifdef] = STATE(17),
    [sym_preproc_else] = STATE(6067),
    [sym_preproc_elif] = STATE(6067),
    [sym_preproc_elifdef] = STATE(6067),
    [sym_function_definition] = STATE(17),
    [sym__old_style_function_definition] = STATE(279),
    [sym_declaration] = STATE(17),
    [sym_type_definition] = STATE(17),
    [sym__declaration_modifiers] = STATE(2043),
    [sym__declaration_specifiers] = STATE(4181),
    [sym_linkage_specification] = STATE(17),
    [sym_attribute_specifier] = STATE(17),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2857),
    [sym_ms_call_modifier] = STATE(2198),
    [sym_compound_statement] = STATE(203),
    [sym_storage_class_specifier] = STATE(2043),
    [sym_type_qualifier] = STATE(2043),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2945),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(286),
    [sym_statement] = STATE(17),
    [sym_labeled_statement] = STATE(203),
    [sym_expression_statement] = STATE(203),
    [sym_if_statement] = STATE(203),
    [sym_switch_statement] = STATE(203),
    [sym_case_statement] = STATE(203),
    [sym_while_statement] = STATE(203),
    [sym_do_statement] = STATE(203),
    [sym_for_statement] = STATE(203),
    [sym_return_statement] = STATE(203),
    [sym_break_statement] = STATE(203),
    [sym_continue_statement] = STATE(203),
    [sym_goto_statement] = STATE(203),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(17),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(17),
    [sym_preproc_undef] = STATE(17),
    [sym_preproc_linemarker] = STATE(17),
    [sym_availability_attribute_specifier] = STATE(2043),
    [sym_protocol_forward_declaration] = STATE(17),
    [sym_class_declaration] = STATE(17),
    [sym_class_interface] = STATE(17),
    [sym__class_interface_header] = STATE(1185),
    [sym_class_implementation] = STATE(17),
    [sym__class_implementation_header] = STATE(1098),
    [sym_protocol_declaration] = STATE(17),
    [sym_compatibility_alias_declaration] = STATE(17),
    [sym_property_implementation] = STATE(17),
    [sym_try_statement] = STATE(203),
    [sym_throw_statement] = STATE(203),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(203),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(203),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(17),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2043),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(151),
    [aux_sym_preproc_include_token1] = ACTIONS(153),
    [aux_sym_preproc_include_token2] = ACTIONS(153),
    [aux_sym_preproc_def_token1] = ACTIONS(155),
    [aux_sym_preproc_if_token1] = ACTIONS(157),
    [aux_sym_preproc_if_token2] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(161),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(161),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(167),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(167),
    [sym_preproc_directive] = ACTIONS(169),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(173),
    [anon_sym_typedef] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(177),
    [anon_sym___attribute__] = ACTIONS(179),
    [anon_sym___attribute] = ACTIONS(179),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(221),
    [aux_sym_preproc_undef_token1] = ACTIONS(223),
    [anon_sym_POUND] = ACTIONS(225),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(227),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(229),
    [anon_sym_ATsynthesize] = ACTIONS(231),
    [anon_sym_ATdynamic] = ACTIONS(233),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [17] = {
    [sym__block_item] = STATE(32),
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_preproc_else] = STATE(6090),
    [sym_preproc_elif] = STATE(6090),
    [sym_preproc_elifdef] = STATE(6090),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(279),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(2043),
    [sym__declaration_specifiers] = STATE(4181),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(32),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2857),
    [sym_ms_call_modifier] = STATE(2198),
    [sym_compound_statement] = STATE(203),
    [sym_storage_class_specifier] = STATE(2043),
    [sym_type_qualifier] = STATE(2043),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2945),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(286),
    [sym_statement] = STATE(32),
    [sym_labeled_statement] = STATE(203),
    [sym_expression_statement] = STATE(203),
    [sym_if_statement] = STATE(203),
    [sym_switch_statement] = STATE(203),
    [sym_case_statement] = STATE(203),
    [sym_while_statement] = STATE(203),
    [sym_do_statement] = STATE(203),
    [sym_for_statement] = STATE(203),
    [sym_return_statement] = STATE(203),
    [sym_break_statement] = STATE(203),
    [sym_continue_statement] = STATE(203),
    [sym_goto_statement] = STATE(203),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(32),
    [sym_preproc_undef] = STATE(32),
    [sym_preproc_linemarker] = STATE(32),
    [sym_availability_attribute_specifier] = STATE(2043),
    [sym_protocol_forward_declaration] = STATE(32),
    [sym_class_declaration] = STATE(32),
    [sym_class_interface] = STATE(32),
    [sym__class_interface_header] = STATE(1185),
    [sym_class_implementation] = STATE(32),
    [sym__class_implementation_header] = STATE(1098),
    [sym_protocol_declaration] = STATE(32),
    [sym_compatibility_alias_declaration] = STATE(32),
    [sym_property_implementation] = STATE(32),
    [sym_try_statement] = STATE(203),
    [sym_throw_statement] = STATE(203),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(203),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(203),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2043),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(151),
    [aux_sym_preproc_include_token1] = ACTIONS(153),
    [aux_sym_preproc_include_token2] = ACTIONS(153),
    [aux_sym_preproc_def_token1] = ACTIONS(155),
    [aux_sym_preproc_if_token1] = ACTIONS(157),
    [aux_sym_preproc_if_token2] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(161),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(161),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(167),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(167),
    [sym_preproc_directive] = ACTIONS(169),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(173),
    [anon_sym_typedef] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(177),
    [anon_sym___attribute__] = ACTIONS(179),
    [anon_sym___attribute] = ACTIONS(179),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(221),
    [aux_sym_preproc_undef_token1] = ACTIONS(223),
    [anon_sym_POUND] = ACTIONS(225),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(227),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(229),
    [anon_sym_ATsynthesize] = ACTIONS(231),
    [anon_sym_ATdynamic] = ACTIONS(233),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [18] = {
    [sym__block_item] = STATE(19),
    [sym_preproc_include] = STATE(19),
    [sym_preproc_def] = STATE(19),
    [sym_preproc_function_def] = STATE(19),
    [sym_preproc_call] = STATE(19),
    [sym_preproc_if] = STATE(19),
    [sym_preproc_ifdef] = STATE(19),
    [sym_preproc_else] = STATE(6144),
    [sym_preproc_elif] = STATE(6144),
    [sym_preproc_elifdef] = STATE(6144),
    [sym_function_definition] = STATE(19),
    [sym__old_style_function_definition] = STATE(279),
    [sym_declaration] = STATE(19),
    [sym_type_definition] = STATE(19),
    [sym__declaration_modifiers] = STATE(2043),
    [sym__declaration_specifiers] = STATE(4181),
    [sym_linkage_specification] = STATE(19),
    [sym_attribute_specifier] = STATE(19),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2857),
    [sym_ms_call_modifier] = STATE(2198),
    [sym_compound_statement] = STATE(203),
    [sym_storage_class_specifier] = STATE(2043),
    [sym_type_qualifier] = STATE(2043),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2945),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(286),
    [sym_statement] = STATE(19),
    [sym_labeled_statement] = STATE(203),
    [sym_expression_statement] = STATE(203),
    [sym_if_statement] = STATE(203),
    [sym_switch_statement] = STATE(203),
    [sym_case_statement] = STATE(203),
    [sym_while_statement] = STATE(203),
    [sym_do_statement] = STATE(203),
    [sym_for_statement] = STATE(203),
    [sym_return_statement] = STATE(203),
    [sym_break_statement] = STATE(203),
    [sym_continue_statement] = STATE(203),
    [sym_goto_statement] = STATE(203),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(19),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(19),
    [sym_preproc_undef] = STATE(19),
    [sym_preproc_linemarker] = STATE(19),
    [sym_availability_attribute_specifier] = STATE(2043),
    [sym_protocol_forward_declaration] = STATE(19),
    [sym_class_declaration] = STATE(19),
    [sym_class_interface] = STATE(19),
    [sym__class_interface_header] = STATE(1185),
    [sym_class_implementation] = STATE(19),
    [sym__class_implementation_header] = STATE(1098),
    [sym_protocol_declaration] = STATE(19),
    [sym_compatibility_alias_declaration] = STATE(19),
    [sym_property_implementation] = STATE(19),
    [sym_try_statement] = STATE(203),
    [sym_throw_statement] = STATE(203),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(203),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(203),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(19),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2043),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(151),
    [aux_sym_preproc_include_token1] = ACTIONS(153),
    [aux_sym_preproc_include_token2] = ACTIONS(153),
    [aux_sym_preproc_def_token1] = ACTIONS(155),
    [aux_sym_preproc_if_token1] = ACTIONS(157),
    [aux_sym_preproc_if_token2] = ACTIONS(275),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(161),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(161),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(167),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(167),
    [sym_preproc_directive] = ACTIONS(169),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(173),
    [anon_sym_typedef] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(177),
    [anon_sym___attribute__] = ACTIONS(179),
    [anon_sym___attribute] = ACTIONS(179),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(221),
    [aux_sym_preproc_undef_token1] = ACTIONS(223),
    [anon_sym_POUND] = ACTIONS(225),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(227),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(229),
    [anon_sym_ATsynthesize] = ACTIONS(231),
    [anon_sym_ATdynamic] = ACTIONS(233),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [19] = {
    [sym__block_item] = STATE(32),
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_preproc_else] = STATE(6165),
    [sym_preproc_elif] = STATE(6165),
    [sym_preproc_elifdef] = STATE(6165),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(279),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(2043),
    [sym__declaration_specifiers] = STATE(4181),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(32),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2857),
    [sym_ms_call_modifier] = STATE(2198),
    [sym_compound_statement] = STATE(203),
    [sym_storage_class_specifier] = STATE(2043),
    [sym_type_qualifier] = STATE(2043),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2945),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(286),
    [sym_statement] = STATE(32),
    [sym_labeled_statement] = STATE(203),
    [sym_expression_statement] = STATE(203),
    [sym_if_statement] = STATE(203),
    [sym_switch_statement] = STATE(203),
    [sym_case_statement] = STATE(203),
    [sym_while_statement] = STATE(203),
    [sym_do_statement] = STATE(203),
    [sym_for_statement] = STATE(203),
    [sym_return_statement] = STATE(203),
    [sym_break_statement] = STATE(203),
    [sym_continue_statement] = STATE(203),
    [sym_goto_statement] = STATE(203),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(32),
    [sym_preproc_undef] = STATE(32),
    [sym_preproc_linemarker] = STATE(32),
    [sym_availability_attribute_specifier] = STATE(2043),
    [sym_protocol_forward_declaration] = STATE(32),
    [sym_class_declaration] = STATE(32),
    [sym_class_interface] = STATE(32),
    [sym__class_interface_header] = STATE(1185),
    [sym_class_implementation] = STATE(32),
    [sym__class_implementation_header] = STATE(1098),
    [sym_protocol_declaration] = STATE(32),
    [sym_compatibility_alias_declaration] = STATE(32),
    [sym_property_implementation] = STATE(32),
    [sym_try_statement] = STATE(203),
    [sym_throw_statement] = STATE(203),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(203),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(203),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2043),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(151),
    [aux_sym_preproc_include_token1] = ACTIONS(153),
    [aux_sym_preproc_include_token2] = ACTIONS(153),
    [aux_sym_preproc_def_token1] = ACTIONS(155),
    [aux_sym_preproc_if_token1] = ACTIONS(157),
    [aux_sym_preproc_if_token2] = ACTIONS(277),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(161),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(161),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(167),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(167),
    [sym_preproc_directive] = ACTIONS(169),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(173),
    [anon_sym_typedef] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(177),
    [anon_sym___attribute__] = ACTIONS(179),
    [anon_sym___attribute] = ACTIONS(179),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(217),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(221),
    [aux_sym_preproc_undef_token1] = ACTIONS(223),
    [anon_sym_POUND] = ACTIONS(225),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(227),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(229),
    [anon_sym_ATsynthesize] = ACTIONS(231),
    [anon_sym_ATdynamic] = ACTIONS(233),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [20] = {
    [sym__block_item] = STATE(31),
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_preproc_else] = STATE(6642),
    [sym_preproc_elif] = STATE(6642),
    [sym_function_definition] = STATE(31),
    [sym__old_style_function_definition] = STATE(507),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(2045),
    [sym__declaration_specifiers] = STATE(4182),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(31),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2859),
    [sym_ms_call_modifier] = STATE(2200),
    [sym_compound_statement] = STATE(368),
    [sym_storage_class_specifier] = STATE(2045),
    [sym_type_qualifier] = STATE(2045),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(3002),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(31),
    [sym_labeled_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_case_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_goto_statement] = STATE(368),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(31),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(31),
    [sym_preproc_undef] = STATE(31),
    [sym_preproc_linemarker] = STATE(31),
    [sym_availability_attribute_specifier] = STATE(2045),
    [sym_protocol_forward_declaration] = STATE(31),
    [sym_class_declaration] = STATE(31),
    [sym_class_interface] = STATE(31),
    [sym__class_interface_header] = STATE(1180),
    [sym_class_implementation] = STATE(31),
    [sym__class_implementation_header] = STATE(1099),
    [sym_protocol_declaration] = STATE(31),
    [sym_compatibility_alias_declaration] = STATE(31),
    [sym_property_implementation] = STATE(31),
    [sym_try_statement] = STATE(368),
    [sym_throw_statement] = STATE(368),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(368),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(368),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2045),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(279),
    [aux_sym_preproc_include_token1] = ACTIONS(281),
    [aux_sym_preproc_include_token2] = ACTIONS(281),
    [aux_sym_preproc_def_token1] = ACTIONS(283),
    [aux_sym_preproc_if_token1] = ACTIONS(285),
    [aux_sym_preproc_if_token2] = ACTIONS(287),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(289),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [sym_preproc_directive] = ACTIONS(291),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(295),
    [anon_sym_typedef] = ACTIONS(297),
    [anon_sym_extern] = ACTIONS(299),
    [anon_sym___attribute__] = ACTIONS(301),
    [anon_sym___attribute] = ACTIONS(301),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(311),
    [anon_sym_default] = ACTIONS(313),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(333),
    [aux_sym_preproc_undef_token1] = ACTIONS(335),
    [anon_sym_POUND] = ACTIONS(337),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(339),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(341),
    [anon_sym_ATsynthesize] = ACTIONS(343),
    [anon_sym_ATdynamic] = ACTIONS(345),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [21] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_preproc_else] = STATE(6546),
    [sym_preproc_elif] = STATE(6546),
    [sym_function_definition] = STATE(37),
    [sym__old_style_function_definition] = STATE(507),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2045),
    [sym__declaration_specifiers] = STATE(4182),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(37),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2859),
    [sym_ms_call_modifier] = STATE(2200),
    [sym_compound_statement] = STATE(368),
    [sym_storage_class_specifier] = STATE(2045),
    [sym_type_qualifier] = STATE(2045),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(3002),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_case_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_goto_statement] = STATE(368),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(37),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(37),
    [sym_preproc_undef] = STATE(37),
    [sym_preproc_linemarker] = STATE(37),
    [sym_availability_attribute_specifier] = STATE(2045),
    [sym_protocol_forward_declaration] = STATE(37),
    [sym_class_declaration] = STATE(37),
    [sym_class_interface] = STATE(37),
    [sym__class_interface_header] = STATE(1180),
    [sym_class_implementation] = STATE(37),
    [sym__class_implementation_header] = STATE(1099),
    [sym_protocol_declaration] = STATE(37),
    [sym_compatibility_alias_declaration] = STATE(37),
    [sym_property_implementation] = STATE(37),
    [sym_try_statement] = STATE(368),
    [sym_throw_statement] = STATE(368),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(368),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(368),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2045),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(279),
    [aux_sym_preproc_include_token1] = ACTIONS(281),
    [aux_sym_preproc_include_token2] = ACTIONS(281),
    [aux_sym_preproc_def_token1] = ACTIONS(283),
    [aux_sym_preproc_if_token1] = ACTIONS(285),
    [aux_sym_preproc_if_token2] = ACTIONS(355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(289),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [sym_preproc_directive] = ACTIONS(291),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(295),
    [anon_sym_typedef] = ACTIONS(297),
    [anon_sym_extern] = ACTIONS(299),
    [anon_sym___attribute__] = ACTIONS(301),
    [anon_sym___attribute] = ACTIONS(301),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(311),
    [anon_sym_default] = ACTIONS(313),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(333),
    [aux_sym_preproc_undef_token1] = ACTIONS(335),
    [anon_sym_POUND] = ACTIONS(337),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(339),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(341),
    [anon_sym_ATsynthesize] = ACTIONS(343),
    [anon_sym_ATdynamic] = ACTIONS(345),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [22] = {
    [sym__block_item] = STATE(26),
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_preproc_else] = STATE(6395),
    [sym_preproc_elif] = STATE(6395),
    [sym_function_definition] = STATE(26),
    [sym__old_style_function_definition] = STATE(507),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(2045),
    [sym__declaration_specifiers] = STATE(4182),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(26),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2859),
    [sym_ms_call_modifier] = STATE(2200),
    [sym_compound_statement] = STATE(368),
    [sym_storage_class_specifier] = STATE(2045),
    [sym_type_qualifier] = STATE(2045),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(3002),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(26),
    [sym_labeled_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_case_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_goto_statement] = STATE(368),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(26),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(26),
    [sym_preproc_undef] = STATE(26),
    [sym_preproc_linemarker] = STATE(26),
    [sym_availability_attribute_specifier] = STATE(2045),
    [sym_protocol_forward_declaration] = STATE(26),
    [sym_class_declaration] = STATE(26),
    [sym_class_interface] = STATE(26),
    [sym__class_interface_header] = STATE(1180),
    [sym_class_implementation] = STATE(26),
    [sym__class_implementation_header] = STATE(1099),
    [sym_protocol_declaration] = STATE(26),
    [sym_compatibility_alias_declaration] = STATE(26),
    [sym_property_implementation] = STATE(26),
    [sym_try_statement] = STATE(368),
    [sym_throw_statement] = STATE(368),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(368),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(368),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2045),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(279),
    [aux_sym_preproc_include_token1] = ACTIONS(281),
    [aux_sym_preproc_include_token2] = ACTIONS(281),
    [aux_sym_preproc_def_token1] = ACTIONS(283),
    [aux_sym_preproc_if_token1] = ACTIONS(285),
    [aux_sym_preproc_if_token2] = ACTIONS(357),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(289),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [sym_preproc_directive] = ACTIONS(291),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(295),
    [anon_sym_typedef] = ACTIONS(297),
    [anon_sym_extern] = ACTIONS(299),
    [anon_sym___attribute__] = ACTIONS(301),
    [anon_sym___attribute] = ACTIONS(301),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(311),
    [anon_sym_default] = ACTIONS(313),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(333),
    [aux_sym_preproc_undef_token1] = ACTIONS(335),
    [anon_sym_POUND] = ACTIONS(337),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(339),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(341),
    [anon_sym_ATsynthesize] = ACTIONS(343),
    [anon_sym_ATdynamic] = ACTIONS(345),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [23] = {
    [sym__block_item] = STATE(25),
    [sym_preproc_include] = STATE(25),
    [sym_preproc_def] = STATE(25),
    [sym_preproc_function_def] = STATE(25),
    [sym_preproc_call] = STATE(25),
    [sym_preproc_if] = STATE(25),
    [sym_preproc_ifdef] = STATE(25),
    [sym_preproc_else] = STATE(6298),
    [sym_preproc_elif] = STATE(6298),
    [sym_function_definition] = STATE(25),
    [sym__old_style_function_definition] = STATE(507),
    [sym_declaration] = STATE(25),
    [sym_type_definition] = STATE(25),
    [sym__declaration_modifiers] = STATE(2045),
    [sym__declaration_specifiers] = STATE(4182),
    [sym_linkage_specification] = STATE(25),
    [sym_attribute_specifier] = STATE(25),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2859),
    [sym_ms_call_modifier] = STATE(2200),
    [sym_compound_statement] = STATE(368),
    [sym_storage_class_specifier] = STATE(2045),
    [sym_type_qualifier] = STATE(2045),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(3002),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(25),
    [sym_labeled_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_case_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_goto_statement] = STATE(368),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(25),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(25),
    [sym_preproc_undef] = STATE(25),
    [sym_preproc_linemarker] = STATE(25),
    [sym_availability_attribute_specifier] = STATE(2045),
    [sym_protocol_forward_declaration] = STATE(25),
    [sym_class_declaration] = STATE(25),
    [sym_class_interface] = STATE(25),
    [sym__class_interface_header] = STATE(1180),
    [sym_class_implementation] = STATE(25),
    [sym__class_implementation_header] = STATE(1099),
    [sym_protocol_declaration] = STATE(25),
    [sym_compatibility_alias_declaration] = STATE(25),
    [sym_property_implementation] = STATE(25),
    [sym_try_statement] = STATE(368),
    [sym_throw_statement] = STATE(368),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(368),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(368),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(25),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2045),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(279),
    [aux_sym_preproc_include_token1] = ACTIONS(281),
    [aux_sym_preproc_include_token2] = ACTIONS(281),
    [aux_sym_preproc_def_token1] = ACTIONS(283),
    [aux_sym_preproc_if_token1] = ACTIONS(285),
    [aux_sym_preproc_if_token2] = ACTIONS(359),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(289),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [sym_preproc_directive] = ACTIONS(291),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(295),
    [anon_sym_typedef] = ACTIONS(297),
    [anon_sym_extern] = ACTIONS(299),
    [anon_sym___attribute__] = ACTIONS(301),
    [anon_sym___attribute] = ACTIONS(301),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(311),
    [anon_sym_default] = ACTIONS(313),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(333),
    [aux_sym_preproc_undef_token1] = ACTIONS(335),
    [anon_sym_POUND] = ACTIONS(337),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(339),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(341),
    [anon_sym_ATsynthesize] = ACTIONS(343),
    [anon_sym_ATdynamic] = ACTIONS(345),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [24] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_preproc_else] = STATE(6397),
    [sym_preproc_elif] = STATE(6397),
    [sym_function_definition] = STATE(37),
    [sym__old_style_function_definition] = STATE(507),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2045),
    [sym__declaration_specifiers] = STATE(4182),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(37),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2859),
    [sym_ms_call_modifier] = STATE(2200),
    [sym_compound_statement] = STATE(368),
    [sym_storage_class_specifier] = STATE(2045),
    [sym_type_qualifier] = STATE(2045),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(3002),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_case_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_goto_statement] = STATE(368),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(37),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(37),
    [sym_preproc_undef] = STATE(37),
    [sym_preproc_linemarker] = STATE(37),
    [sym_availability_attribute_specifier] = STATE(2045),
    [sym_protocol_forward_declaration] = STATE(37),
    [sym_class_declaration] = STATE(37),
    [sym_class_interface] = STATE(37),
    [sym__class_interface_header] = STATE(1180),
    [sym_class_implementation] = STATE(37),
    [sym__class_implementation_header] = STATE(1099),
    [sym_protocol_declaration] = STATE(37),
    [sym_compatibility_alias_declaration] = STATE(37),
    [sym_property_implementation] = STATE(37),
    [sym_try_statement] = STATE(368),
    [sym_throw_statement] = STATE(368),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(368),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(368),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2045),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(279),
    [aux_sym_preproc_include_token1] = ACTIONS(281),
    [aux_sym_preproc_include_token2] = ACTIONS(281),
    [aux_sym_preproc_def_token1] = ACTIONS(283),
    [aux_sym_preproc_if_token1] = ACTIONS(285),
    [aux_sym_preproc_if_token2] = ACTIONS(361),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(289),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [sym_preproc_directive] = ACTIONS(291),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(295),
    [anon_sym_typedef] = ACTIONS(297),
    [anon_sym_extern] = ACTIONS(299),
    [anon_sym___attribute__] = ACTIONS(301),
    [anon_sym___attribute] = ACTIONS(301),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(311),
    [anon_sym_default] = ACTIONS(313),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(333),
    [aux_sym_preproc_undef_token1] = ACTIONS(335),
    [anon_sym_POUND] = ACTIONS(337),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(339),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(341),
    [anon_sym_ATsynthesize] = ACTIONS(343),
    [anon_sym_ATdynamic] = ACTIONS(345),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [25] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_preproc_else] = STATE(5940),
    [sym_preproc_elif] = STATE(5940),
    [sym_function_definition] = STATE(37),
    [sym__old_style_function_definition] = STATE(507),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2045),
    [sym__declaration_specifiers] = STATE(4182),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(37),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2859),
    [sym_ms_call_modifier] = STATE(2200),
    [sym_compound_statement] = STATE(368),
    [sym_storage_class_specifier] = STATE(2045),
    [sym_type_qualifier] = STATE(2045),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(3002),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_case_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_goto_statement] = STATE(368),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(37),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(37),
    [sym_preproc_undef] = STATE(37),
    [sym_preproc_linemarker] = STATE(37),
    [sym_availability_attribute_specifier] = STATE(2045),
    [sym_protocol_forward_declaration] = STATE(37),
    [sym_class_declaration] = STATE(37),
    [sym_class_interface] = STATE(37),
    [sym__class_interface_header] = STATE(1180),
    [sym_class_implementation] = STATE(37),
    [sym__class_implementation_header] = STATE(1099),
    [sym_protocol_declaration] = STATE(37),
    [sym_compatibility_alias_declaration] = STATE(37),
    [sym_property_implementation] = STATE(37),
    [sym_try_statement] = STATE(368),
    [sym_throw_statement] = STATE(368),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(368),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(368),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2045),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(279),
    [aux_sym_preproc_include_token1] = ACTIONS(281),
    [aux_sym_preproc_include_token2] = ACTIONS(281),
    [aux_sym_preproc_def_token1] = ACTIONS(283),
    [aux_sym_preproc_if_token1] = ACTIONS(285),
    [aux_sym_preproc_if_token2] = ACTIONS(363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(289),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [sym_preproc_directive] = ACTIONS(291),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(295),
    [anon_sym_typedef] = ACTIONS(297),
    [anon_sym_extern] = ACTIONS(299),
    [anon_sym___attribute__] = ACTIONS(301),
    [anon_sym___attribute] = ACTIONS(301),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(311),
    [anon_sym_default] = ACTIONS(313),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(333),
    [aux_sym_preproc_undef_token1] = ACTIONS(335),
    [anon_sym_POUND] = ACTIONS(337),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(339),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(341),
    [anon_sym_ATsynthesize] = ACTIONS(343),
    [anon_sym_ATdynamic] = ACTIONS(345),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [26] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_preproc_else] = STATE(6436),
    [sym_preproc_elif] = STATE(6436),
    [sym_function_definition] = STATE(37),
    [sym__old_style_function_definition] = STATE(507),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2045),
    [sym__declaration_specifiers] = STATE(4182),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(37),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2859),
    [sym_ms_call_modifier] = STATE(2200),
    [sym_compound_statement] = STATE(368),
    [sym_storage_class_specifier] = STATE(2045),
    [sym_type_qualifier] = STATE(2045),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(3002),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_case_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_goto_statement] = STATE(368),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(37),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(37),
    [sym_preproc_undef] = STATE(37),
    [sym_preproc_linemarker] = STATE(37),
    [sym_availability_attribute_specifier] = STATE(2045),
    [sym_protocol_forward_declaration] = STATE(37),
    [sym_class_declaration] = STATE(37),
    [sym_class_interface] = STATE(37),
    [sym__class_interface_header] = STATE(1180),
    [sym_class_implementation] = STATE(37),
    [sym__class_implementation_header] = STATE(1099),
    [sym_protocol_declaration] = STATE(37),
    [sym_compatibility_alias_declaration] = STATE(37),
    [sym_property_implementation] = STATE(37),
    [sym_try_statement] = STATE(368),
    [sym_throw_statement] = STATE(368),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(368),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(368),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2045),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(279),
    [aux_sym_preproc_include_token1] = ACTIONS(281),
    [aux_sym_preproc_include_token2] = ACTIONS(281),
    [aux_sym_preproc_def_token1] = ACTIONS(283),
    [aux_sym_preproc_if_token1] = ACTIONS(285),
    [aux_sym_preproc_if_token2] = ACTIONS(365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(289),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [sym_preproc_directive] = ACTIONS(291),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(295),
    [anon_sym_typedef] = ACTIONS(297),
    [anon_sym_extern] = ACTIONS(299),
    [anon_sym___attribute__] = ACTIONS(301),
    [anon_sym___attribute] = ACTIONS(301),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(311),
    [anon_sym_default] = ACTIONS(313),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(333),
    [aux_sym_preproc_undef_token1] = ACTIONS(335),
    [anon_sym_POUND] = ACTIONS(337),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(339),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(341),
    [anon_sym_ATsynthesize] = ACTIONS(343),
    [anon_sym_ATdynamic] = ACTIONS(345),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [27] = {
    [sym__block_item] = STATE(28),
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_preproc_else] = STATE(6094),
    [sym_preproc_elif] = STATE(6094),
    [sym_function_definition] = STATE(28),
    [sym__old_style_function_definition] = STATE(507),
    [sym_declaration] = STATE(28),
    [sym_type_definition] = STATE(28),
    [sym__declaration_modifiers] = STATE(2045),
    [sym__declaration_specifiers] = STATE(4182),
    [sym_linkage_specification] = STATE(28),
    [sym_attribute_specifier] = STATE(28),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2859),
    [sym_ms_call_modifier] = STATE(2200),
    [sym_compound_statement] = STATE(368),
    [sym_storage_class_specifier] = STATE(2045),
    [sym_type_qualifier] = STATE(2045),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(3002),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(28),
    [sym_labeled_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_case_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_goto_statement] = STATE(368),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(28),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(28),
    [sym_preproc_undef] = STATE(28),
    [sym_preproc_linemarker] = STATE(28),
    [sym_availability_attribute_specifier] = STATE(2045),
    [sym_protocol_forward_declaration] = STATE(28),
    [sym_class_declaration] = STATE(28),
    [sym_class_interface] = STATE(28),
    [sym__class_interface_header] = STATE(1180),
    [sym_class_implementation] = STATE(28),
    [sym__class_implementation_header] = STATE(1099),
    [sym_protocol_declaration] = STATE(28),
    [sym_compatibility_alias_declaration] = STATE(28),
    [sym_property_implementation] = STATE(28),
    [sym_try_statement] = STATE(368),
    [sym_throw_statement] = STATE(368),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(368),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(368),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(28),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2045),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(279),
    [aux_sym_preproc_include_token1] = ACTIONS(281),
    [aux_sym_preproc_include_token2] = ACTIONS(281),
    [aux_sym_preproc_def_token1] = ACTIONS(283),
    [aux_sym_preproc_if_token1] = ACTIONS(285),
    [aux_sym_preproc_if_token2] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(289),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [sym_preproc_directive] = ACTIONS(291),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(295),
    [anon_sym_typedef] = ACTIONS(297),
    [anon_sym_extern] = ACTIONS(299),
    [anon_sym___attribute__] = ACTIONS(301),
    [anon_sym___attribute] = ACTIONS(301),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(311),
    [anon_sym_default] = ACTIONS(313),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(333),
    [aux_sym_preproc_undef_token1] = ACTIONS(335),
    [anon_sym_POUND] = ACTIONS(337),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(339),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(341),
    [anon_sym_ATsynthesize] = ACTIONS(343),
    [anon_sym_ATdynamic] = ACTIONS(345),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [28] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_preproc_else] = STATE(6356),
    [sym_preproc_elif] = STATE(6356),
    [sym_function_definition] = STATE(37),
    [sym__old_style_function_definition] = STATE(507),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2045),
    [sym__declaration_specifiers] = STATE(4182),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(37),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2859),
    [sym_ms_call_modifier] = STATE(2200),
    [sym_compound_statement] = STATE(368),
    [sym_storage_class_specifier] = STATE(2045),
    [sym_type_qualifier] = STATE(2045),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(3002),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_case_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_goto_statement] = STATE(368),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(37),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(37),
    [sym_preproc_undef] = STATE(37),
    [sym_preproc_linemarker] = STATE(37),
    [sym_availability_attribute_specifier] = STATE(2045),
    [sym_protocol_forward_declaration] = STATE(37),
    [sym_class_declaration] = STATE(37),
    [sym_class_interface] = STATE(37),
    [sym__class_interface_header] = STATE(1180),
    [sym_class_implementation] = STATE(37),
    [sym__class_implementation_header] = STATE(1099),
    [sym_protocol_declaration] = STATE(37),
    [sym_compatibility_alias_declaration] = STATE(37),
    [sym_property_implementation] = STATE(37),
    [sym_try_statement] = STATE(368),
    [sym_throw_statement] = STATE(368),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(368),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(368),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2045),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(279),
    [aux_sym_preproc_include_token1] = ACTIONS(281),
    [aux_sym_preproc_include_token2] = ACTIONS(281),
    [aux_sym_preproc_def_token1] = ACTIONS(283),
    [aux_sym_preproc_if_token1] = ACTIONS(285),
    [aux_sym_preproc_if_token2] = ACTIONS(369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(289),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [sym_preproc_directive] = ACTIONS(291),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(295),
    [anon_sym_typedef] = ACTIONS(297),
    [anon_sym_extern] = ACTIONS(299),
    [anon_sym___attribute__] = ACTIONS(301),
    [anon_sym___attribute] = ACTIONS(301),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(311),
    [anon_sym_default] = ACTIONS(313),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(333),
    [aux_sym_preproc_undef_token1] = ACTIONS(335),
    [anon_sym_POUND] = ACTIONS(337),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(339),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(341),
    [anon_sym_ATsynthesize] = ACTIONS(343),
    [anon_sym_ATdynamic] = ACTIONS(345),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [29] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_preproc_else] = STATE(6713),
    [sym_preproc_elif] = STATE(6713),
    [sym_function_definition] = STATE(37),
    [sym__old_style_function_definition] = STATE(507),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2045),
    [sym__declaration_specifiers] = STATE(4182),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(37),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2859),
    [sym_ms_call_modifier] = STATE(2200),
    [sym_compound_statement] = STATE(368),
    [sym_storage_class_specifier] = STATE(2045),
    [sym_type_qualifier] = STATE(2045),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(3002),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_case_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_goto_statement] = STATE(368),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(37),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(37),
    [sym_preproc_undef] = STATE(37),
    [sym_preproc_linemarker] = STATE(37),
    [sym_availability_attribute_specifier] = STATE(2045),
    [sym_protocol_forward_declaration] = STATE(37),
    [sym_class_declaration] = STATE(37),
    [sym_class_interface] = STATE(37),
    [sym__class_interface_header] = STATE(1180),
    [sym_class_implementation] = STATE(37),
    [sym__class_implementation_header] = STATE(1099),
    [sym_protocol_declaration] = STATE(37),
    [sym_compatibility_alias_declaration] = STATE(37),
    [sym_property_implementation] = STATE(37),
    [sym_try_statement] = STATE(368),
    [sym_throw_statement] = STATE(368),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(368),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(368),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2045),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(279),
    [aux_sym_preproc_include_token1] = ACTIONS(281),
    [aux_sym_preproc_include_token2] = ACTIONS(281),
    [aux_sym_preproc_def_token1] = ACTIONS(283),
    [aux_sym_preproc_if_token1] = ACTIONS(285),
    [aux_sym_preproc_if_token2] = ACTIONS(371),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(289),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [sym_preproc_directive] = ACTIONS(291),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(295),
    [anon_sym_typedef] = ACTIONS(297),
    [anon_sym_extern] = ACTIONS(299),
    [anon_sym___attribute__] = ACTIONS(301),
    [anon_sym___attribute] = ACTIONS(301),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(311),
    [anon_sym_default] = ACTIONS(313),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(333),
    [aux_sym_preproc_undef_token1] = ACTIONS(335),
    [anon_sym_POUND] = ACTIONS(337),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(339),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(341),
    [anon_sym_ATsynthesize] = ACTIONS(343),
    [anon_sym_ATdynamic] = ACTIONS(345),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [30] = {
    [sym__block_item] = STATE(34),
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_preproc_else] = STATE(6434),
    [sym_preproc_elif] = STATE(6434),
    [sym_function_definition] = STATE(34),
    [sym__old_style_function_definition] = STATE(507),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(2045),
    [sym__declaration_specifiers] = STATE(4182),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(34),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2859),
    [sym_ms_call_modifier] = STATE(2200),
    [sym_compound_statement] = STATE(368),
    [sym_storage_class_specifier] = STATE(2045),
    [sym_type_qualifier] = STATE(2045),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(3002),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(34),
    [sym_labeled_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_case_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_goto_statement] = STATE(368),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(34),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(34),
    [sym_preproc_undef] = STATE(34),
    [sym_preproc_linemarker] = STATE(34),
    [sym_availability_attribute_specifier] = STATE(2045),
    [sym_protocol_forward_declaration] = STATE(34),
    [sym_class_declaration] = STATE(34),
    [sym_class_interface] = STATE(34),
    [sym__class_interface_header] = STATE(1180),
    [sym_class_implementation] = STATE(34),
    [sym__class_implementation_header] = STATE(1099),
    [sym_protocol_declaration] = STATE(34),
    [sym_compatibility_alias_declaration] = STATE(34),
    [sym_property_implementation] = STATE(34),
    [sym_try_statement] = STATE(368),
    [sym_throw_statement] = STATE(368),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(368),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(368),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2045),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(279),
    [aux_sym_preproc_include_token1] = ACTIONS(281),
    [aux_sym_preproc_include_token2] = ACTIONS(281),
    [aux_sym_preproc_def_token1] = ACTIONS(283),
    [aux_sym_preproc_if_token1] = ACTIONS(285),
    [aux_sym_preproc_if_token2] = ACTIONS(373),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(289),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [sym_preproc_directive] = ACTIONS(291),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(295),
    [anon_sym_typedef] = ACTIONS(297),
    [anon_sym_extern] = ACTIONS(299),
    [anon_sym___attribute__] = ACTIONS(301),
    [anon_sym___attribute] = ACTIONS(301),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(311),
    [anon_sym_default] = ACTIONS(313),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(333),
    [aux_sym_preproc_undef_token1] = ACTIONS(335),
    [anon_sym_POUND] = ACTIONS(337),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(339),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(341),
    [anon_sym_ATsynthesize] = ACTIONS(343),
    [anon_sym_ATdynamic] = ACTIONS(345),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [31] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_preproc_else] = STATE(6734),
    [sym_preproc_elif] = STATE(6734),
    [sym_function_definition] = STATE(37),
    [sym__old_style_function_definition] = STATE(507),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2045),
    [sym__declaration_specifiers] = STATE(4182),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(37),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2859),
    [sym_ms_call_modifier] = STATE(2200),
    [sym_compound_statement] = STATE(368),
    [sym_storage_class_specifier] = STATE(2045),
    [sym_type_qualifier] = STATE(2045),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(3002),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_case_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_goto_statement] = STATE(368),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(37),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(37),
    [sym_preproc_undef] = STATE(37),
    [sym_preproc_linemarker] = STATE(37),
    [sym_availability_attribute_specifier] = STATE(2045),
    [sym_protocol_forward_declaration] = STATE(37),
    [sym_class_declaration] = STATE(37),
    [sym_class_interface] = STATE(37),
    [sym__class_interface_header] = STATE(1180),
    [sym_class_implementation] = STATE(37),
    [sym__class_implementation_header] = STATE(1099),
    [sym_protocol_declaration] = STATE(37),
    [sym_compatibility_alias_declaration] = STATE(37),
    [sym_property_implementation] = STATE(37),
    [sym_try_statement] = STATE(368),
    [sym_throw_statement] = STATE(368),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(368),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(368),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2045),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(279),
    [aux_sym_preproc_include_token1] = ACTIONS(281),
    [aux_sym_preproc_include_token2] = ACTIONS(281),
    [aux_sym_preproc_def_token1] = ACTIONS(283),
    [aux_sym_preproc_if_token1] = ACTIONS(285),
    [aux_sym_preproc_if_token2] = ACTIONS(375),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(289),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [sym_preproc_directive] = ACTIONS(291),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(295),
    [anon_sym_typedef] = ACTIONS(297),
    [anon_sym_extern] = ACTIONS(299),
    [anon_sym___attribute__] = ACTIONS(301),
    [anon_sym___attribute] = ACTIONS(301),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(311),
    [anon_sym_default] = ACTIONS(313),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(333),
    [aux_sym_preproc_undef_token1] = ACTIONS(335),
    [anon_sym_POUND] = ACTIONS(337),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(339),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(341),
    [anon_sym_ATsynthesize] = ACTIONS(343),
    [anon_sym_ATdynamic] = ACTIONS(345),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [32] = {
    [sym__block_item] = STATE(32),
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(279),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(2043),
    [sym__declaration_specifiers] = STATE(4181),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(32),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2857),
    [sym_ms_call_modifier] = STATE(2198),
    [sym_compound_statement] = STATE(203),
    [sym_storage_class_specifier] = STATE(2043),
    [sym_type_qualifier] = STATE(2043),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2945),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(286),
    [sym_statement] = STATE(32),
    [sym_labeled_statement] = STATE(203),
    [sym_expression_statement] = STATE(203),
    [sym_if_statement] = STATE(203),
    [sym_switch_statement] = STATE(203),
    [sym_case_statement] = STATE(203),
    [sym_while_statement] = STATE(203),
    [sym_do_statement] = STATE(203),
    [sym_for_statement] = STATE(203),
    [sym_return_statement] = STATE(203),
    [sym_break_statement] = STATE(203),
    [sym_continue_statement] = STATE(203),
    [sym_goto_statement] = STATE(203),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(32),
    [sym_preproc_undef] = STATE(32),
    [sym_preproc_linemarker] = STATE(32),
    [sym_availability_attribute_specifier] = STATE(2043),
    [sym_protocol_forward_declaration] = STATE(32),
    [sym_class_declaration] = STATE(32),
    [sym_class_interface] = STATE(32),
    [sym__class_interface_header] = STATE(1185),
    [sym_class_implementation] = STATE(32),
    [sym__class_implementation_header] = STATE(1098),
    [sym_protocol_declaration] = STATE(32),
    [sym_compatibility_alias_declaration] = STATE(32),
    [sym_property_implementation] = STATE(32),
    [sym_try_statement] = STATE(203),
    [sym_throw_statement] = STATE(203),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(203),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(203),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2043),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(377),
    [aux_sym_preproc_include_token1] = ACTIONS(380),
    [aux_sym_preproc_include_token2] = ACTIONS(380),
    [aux_sym_preproc_def_token1] = ACTIONS(383),
    [aux_sym_preproc_if_token1] = ACTIONS(386),
    [aux_sym_preproc_if_token2] = ACTIONS(389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(391),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(391),
    [aux_sym_preproc_else_token1] = ACTIONS(389),
    [aux_sym_preproc_elif_token1] = ACTIONS(389),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(389),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(389),
    [sym_preproc_directive] = ACTIONS(394),
    [anon_sym_LPAREN2] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(400),
    [anon_sym_TILDE] = ACTIONS(400),
    [anon_sym_DASH] = ACTIONS(403),
    [anon_sym_PLUS] = ACTIONS(403),
    [anon_sym_STAR] = ACTIONS(406),
    [anon_sym_CARET] = ACTIONS(409),
    [anon_sym_AMP] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(412),
    [anon_sym___extension__] = ACTIONS(415),
    [anon_sym_typedef] = ACTIONS(418),
    [anon_sym_extern] = ACTIONS(421),
    [anon_sym___attribute__] = ACTIONS(424),
    [anon_sym___attribute] = ACTIONS(424),
    [anon_sym_noreturn] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(430),
    [anon_sym___declspec] = ACTIONS(433),
    [anon_sym___cdecl] = ACTIONS(436),
    [anon_sym___clrcall] = ACTIONS(436),
    [anon_sym___stdcall] = ACTIONS(436),
    [anon_sym___fastcall] = ACTIONS(436),
    [anon_sym___thiscall] = ACTIONS(436),
    [anon_sym___vectorcall] = ACTIONS(436),
    [anon_sym_LBRACE] = ACTIONS(439),
    [anon_sym_signed] = ACTIONS(442),
    [anon_sym_unsigned] = ACTIONS(442),
    [anon_sym_long] = ACTIONS(442),
    [anon_sym_short] = ACTIONS(442),
    [anon_sym_static] = ACTIONS(445),
    [anon_sym_ATautoreleasepool] = ACTIONS(448),
    [anon_sym_auto] = ACTIONS(445),
    [anon_sym_register] = ACTIONS(445),
    [anon_sym_inline] = ACTIONS(445),
    [anon_sym___inline] = ACTIONS(445),
    [anon_sym___inline__] = ACTIONS(445),
    [anon_sym___forceinline] = ACTIONS(445),
    [anon_sym_thread_local] = ACTIONS(445),
    [anon_sym___thread] = ACTIONS(445),
    [anon_sym_CG_EXTERN] = ACTIONS(445),
    [anon_sym_CG_INLINE] = ACTIONS(445),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(445),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(445),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(445),
    [anon_sym_IBOutlet] = ACTIONS(445),
    [anon_sym_IBInspectable] = ACTIONS(445),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(445),
    [anon_sym_NS_INLINE] = ACTIONS(445),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(445),
    [anon_sym_OBJC_EXPORT] = ACTIONS(445),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(445),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(445),
    [anon_sym_const] = ACTIONS(451),
    [anon_sym_constexpr] = ACTIONS(427),
    [anon_sym_volatile] = ACTIONS(427),
    [anon_sym_restrict] = ACTIONS(427),
    [anon_sym___restrict__] = ACTIONS(427),
    [anon_sym__Atomic] = ACTIONS(427),
    [anon_sym__Noreturn] = ACTIONS(427),
    [anon_sym__Nonnull] = ACTIONS(427),
    [anon_sym_nullable] = ACTIONS(427),
    [anon_sym__Complex] = ACTIONS(427),
    [anon_sym__Nullable] = ACTIONS(427),
    [anon_sym__Nullable_result] = ACTIONS(427),
    [anon_sym__Null_unspecified] = ACTIONS(427),
    [anon_sym___autoreleasing] = ACTIONS(427),
    [anon_sym___block] = ACTIONS(427),
    [anon_sym___bridge] = ACTIONS(427),
    [anon_sym___bridge_retained] = ACTIONS(427),
    [anon_sym___bridge_transfer] = ACTIONS(427),
    [anon_sym___complex] = ACTIONS(427),
    [anon_sym___const] = ACTIONS(427),
    [anon_sym___imag] = ACTIONS(454),
    [anon_sym___kindof] = ACTIONS(427),
    [anon_sym___nonnull] = ACTIONS(427),
    [anon_sym___nullable] = ACTIONS(427),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(427),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(427),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(427),
    [anon_sym___real] = ACTIONS(454),
    [anon_sym___strong] = ACTIONS(427),
    [anon_sym___unsafe_unretained] = ACTIONS(427),
    [anon_sym___unused] = ACTIONS(427),
    [anon_sym___weak] = ACTIONS(427),
    [anon_sym_alignas] = ACTIONS(457),
    [anon_sym__Alignas] = ACTIONS(457),
    [sym_primitive_type] = ACTIONS(460),
    [anon_sym_enum] = ACTIONS(463),
    [anon_sym_struct] = ACTIONS(466),
    [anon_sym_union] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(472),
    [anon_sym_switch] = ACTIONS(475),
    [anon_sym_case] = ACTIONS(478),
    [anon_sym_default] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(484),
    [anon_sym_do] = ACTIONS(487),
    [anon_sym_for] = ACTIONS(490),
    [anon_sym_in] = ACTIONS(493),
    [anon_sym_return] = ACTIONS(496),
    [anon_sym_break] = ACTIONS(499),
    [anon_sym_continue] = ACTIONS(502),
    [anon_sym_goto] = ACTIONS(505),
    [anon_sym_DASH_DASH] = ACTIONS(508),
    [anon_sym_PLUS_PLUS] = ACTIONS(508),
    [anon_sym_sizeof] = ACTIONS(511),
    [anon_sym___alignof__] = ACTIONS(514),
    [anon_sym___alignof] = ACTIONS(514),
    [anon_sym__alignof] = ACTIONS(514),
    [anon_sym_alignof] = ACTIONS(514),
    [anon_sym__Alignof] = ACTIONS(514),
    [anon_sym_offsetof] = ACTIONS(517),
    [anon_sym__Generic] = ACTIONS(520),
    [anon_sym_asm] = ACTIONS(523),
    [anon_sym___asm__] = ACTIONS(523),
    [anon_sym___asm] = ACTIONS(526),
    [sym_number_literal] = ACTIONS(529),
    [anon_sym_L_SQUOTE] = ACTIONS(532),
    [anon_sym_u_SQUOTE] = ACTIONS(532),
    [anon_sym_U_SQUOTE] = ACTIONS(532),
    [anon_sym_u8_SQUOTE] = ACTIONS(532),
    [anon_sym_SQUOTE] = ACTIONS(532),
    [anon_sym_AT] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(538),
    [anon_sym_L_DQUOTE] = ACTIONS(538),
    [anon_sym_u_DQUOTE] = ACTIONS(538),
    [anon_sym_U_DQUOTE] = ACTIONS(538),
    [anon_sym_u8_DQUOTE] = ACTIONS(538),
    [sym_true] = ACTIONS(541),
    [sym_false] = ACTIONS(541),
    [anon_sym_NULL] = ACTIONS(544),
    [anon_sym_nullptr] = ACTIONS(544),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(547),
    [anon_sym___typeof] = ACTIONS(547),
    [anon_sym_typeof] = ACTIONS(547),
    [anon_sym_ATimport] = ACTIONS(550),
    [aux_sym_preproc_undef_token1] = ACTIONS(553),
    [anon_sym_POUND] = ACTIONS(556),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(559),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(559),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(559),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(559),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(559),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(559),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(559),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(559),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(559),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(562),
    [anon_sym_NS_AVAILABLE] = ACTIONS(562),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(562),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(562),
    [anon_sym_API_AVAILABLE] = ACTIONS(562),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(562),
    [anon_sym_API_DEPRECATED] = ACTIONS(562),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(562),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(562),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(562),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(562),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(562),
    [anon_sym___deprecated_msg] = ACTIONS(562),
    [anon_sym___deprecated_enum_msg] = ACTIONS(562),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(562),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(562),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(562),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(562),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(562),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(562),
    [anon_sym_ATprotocol] = ACTIONS(565),
    [anon_sym_ATinterface] = ACTIONS(568),
    [anon_sym_ATimplementation] = ACTIONS(571),
    [anon_sym_ATcompatibility_alias] = ACTIONS(574),
    [anon_sym_ATsynthesize] = ACTIONS(577),
    [anon_sym_ATdynamic] = ACTIONS(580),
    [anon_sym_ATtry] = ACTIONS(583),
    [anon_sym___try] = ACTIONS(586),
    [anon_sym_ATthrow] = ACTIONS(589),
    [anon_sym_ATselector] = ACTIONS(592),
    [anon_sym_ATavailable] = ACTIONS(595),
    [anon_sym___builtin_available] = ACTIONS(598),
    [anon_sym_va_arg] = ACTIONS(601),
    [anon_sym_ATencode] = ACTIONS(604),
    [anon_sym_ATsynchronized] = ACTIONS(607),
    [anon_sym_BOOL] = ACTIONS(610),
    [anon_sym_IMP] = ACTIONS(610),
    [anon_sym_SEL] = ACTIONS(610),
    [anon_sym_Class] = ACTIONS(610),
    [anon_sym_id] = ACTIONS(613),
  },
  [33] = {
    [sym__block_item] = STATE(29),
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_preproc_else] = STATE(6169),
    [sym_preproc_elif] = STATE(6169),
    [sym_function_definition] = STATE(29),
    [sym__old_style_function_definition] = STATE(507),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(2045),
    [sym__declaration_specifiers] = STATE(4182),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(29),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2859),
    [sym_ms_call_modifier] = STATE(2200),
    [sym_compound_statement] = STATE(368),
    [sym_storage_class_specifier] = STATE(2045),
    [sym_type_qualifier] = STATE(2045),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(3002),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(29),
    [sym_labeled_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_case_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_goto_statement] = STATE(368),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(29),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(29),
    [sym_preproc_undef] = STATE(29),
    [sym_preproc_linemarker] = STATE(29),
    [sym_availability_attribute_specifier] = STATE(2045),
    [sym_protocol_forward_declaration] = STATE(29),
    [sym_class_declaration] = STATE(29),
    [sym_class_interface] = STATE(29),
    [sym__class_interface_header] = STATE(1180),
    [sym_class_implementation] = STATE(29),
    [sym__class_implementation_header] = STATE(1099),
    [sym_protocol_declaration] = STATE(29),
    [sym_compatibility_alias_declaration] = STATE(29),
    [sym_property_implementation] = STATE(29),
    [sym_try_statement] = STATE(368),
    [sym_throw_statement] = STATE(368),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(368),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(368),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2045),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(279),
    [aux_sym_preproc_include_token1] = ACTIONS(281),
    [aux_sym_preproc_include_token2] = ACTIONS(281),
    [aux_sym_preproc_def_token1] = ACTIONS(283),
    [aux_sym_preproc_if_token1] = ACTIONS(285),
    [aux_sym_preproc_if_token2] = ACTIONS(616),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(289),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [sym_preproc_directive] = ACTIONS(291),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(295),
    [anon_sym_typedef] = ACTIONS(297),
    [anon_sym_extern] = ACTIONS(299),
    [anon_sym___attribute__] = ACTIONS(301),
    [anon_sym___attribute] = ACTIONS(301),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(311),
    [anon_sym_default] = ACTIONS(313),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(333),
    [aux_sym_preproc_undef_token1] = ACTIONS(335),
    [anon_sym_POUND] = ACTIONS(337),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(339),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(341),
    [anon_sym_ATsynthesize] = ACTIONS(343),
    [anon_sym_ATdynamic] = ACTIONS(345),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [34] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_preproc_else] = STATE(6523),
    [sym_preproc_elif] = STATE(6523),
    [sym_function_definition] = STATE(37),
    [sym__old_style_function_definition] = STATE(507),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2045),
    [sym__declaration_specifiers] = STATE(4182),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(37),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2859),
    [sym_ms_call_modifier] = STATE(2200),
    [sym_compound_statement] = STATE(368),
    [sym_storage_class_specifier] = STATE(2045),
    [sym_type_qualifier] = STATE(2045),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(3002),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_case_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_goto_statement] = STATE(368),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(37),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(37),
    [sym_preproc_undef] = STATE(37),
    [sym_preproc_linemarker] = STATE(37),
    [sym_availability_attribute_specifier] = STATE(2045),
    [sym_protocol_forward_declaration] = STATE(37),
    [sym_class_declaration] = STATE(37),
    [sym_class_interface] = STATE(37),
    [sym__class_interface_header] = STATE(1180),
    [sym_class_implementation] = STATE(37),
    [sym__class_implementation_header] = STATE(1099),
    [sym_protocol_declaration] = STATE(37),
    [sym_compatibility_alias_declaration] = STATE(37),
    [sym_property_implementation] = STATE(37),
    [sym_try_statement] = STATE(368),
    [sym_throw_statement] = STATE(368),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(368),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(368),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2045),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(279),
    [aux_sym_preproc_include_token1] = ACTIONS(281),
    [aux_sym_preproc_include_token2] = ACTIONS(281),
    [aux_sym_preproc_def_token1] = ACTIONS(283),
    [aux_sym_preproc_if_token1] = ACTIONS(285),
    [aux_sym_preproc_if_token2] = ACTIONS(618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(289),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [sym_preproc_directive] = ACTIONS(291),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(295),
    [anon_sym_typedef] = ACTIONS(297),
    [anon_sym_extern] = ACTIONS(299),
    [anon_sym___attribute__] = ACTIONS(301),
    [anon_sym___attribute] = ACTIONS(301),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(311),
    [anon_sym_default] = ACTIONS(313),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(333),
    [aux_sym_preproc_undef_token1] = ACTIONS(335),
    [anon_sym_POUND] = ACTIONS(337),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(339),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(341),
    [anon_sym_ATsynthesize] = ACTIONS(343),
    [anon_sym_ATdynamic] = ACTIONS(345),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [35] = {
    [sym__block_item] = STATE(24),
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_preproc_else] = STATE(6600),
    [sym_preproc_elif] = STATE(6600),
    [sym_function_definition] = STATE(24),
    [sym__old_style_function_definition] = STATE(507),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(2045),
    [sym__declaration_specifiers] = STATE(4182),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(24),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2859),
    [sym_ms_call_modifier] = STATE(2200),
    [sym_compound_statement] = STATE(368),
    [sym_storage_class_specifier] = STATE(2045),
    [sym_type_qualifier] = STATE(2045),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(3002),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(24),
    [sym_labeled_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_case_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_goto_statement] = STATE(368),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(24),
    [sym_preproc_undef] = STATE(24),
    [sym_preproc_linemarker] = STATE(24),
    [sym_availability_attribute_specifier] = STATE(2045),
    [sym_protocol_forward_declaration] = STATE(24),
    [sym_class_declaration] = STATE(24),
    [sym_class_interface] = STATE(24),
    [sym__class_interface_header] = STATE(1180),
    [sym_class_implementation] = STATE(24),
    [sym__class_implementation_header] = STATE(1099),
    [sym_protocol_declaration] = STATE(24),
    [sym_compatibility_alias_declaration] = STATE(24),
    [sym_property_implementation] = STATE(24),
    [sym_try_statement] = STATE(368),
    [sym_throw_statement] = STATE(368),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(368),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(368),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2045),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(279),
    [aux_sym_preproc_include_token1] = ACTIONS(281),
    [aux_sym_preproc_include_token2] = ACTIONS(281),
    [aux_sym_preproc_def_token1] = ACTIONS(283),
    [aux_sym_preproc_if_token1] = ACTIONS(285),
    [aux_sym_preproc_if_token2] = ACTIONS(620),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(289),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [sym_preproc_directive] = ACTIONS(291),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(295),
    [anon_sym_typedef] = ACTIONS(297),
    [anon_sym_extern] = ACTIONS(299),
    [anon_sym___attribute__] = ACTIONS(301),
    [anon_sym___attribute] = ACTIONS(301),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(311),
    [anon_sym_default] = ACTIONS(313),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(333),
    [aux_sym_preproc_undef_token1] = ACTIONS(335),
    [anon_sym_POUND] = ACTIONS(337),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(339),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(341),
    [anon_sym_ATsynthesize] = ACTIONS(343),
    [anon_sym_ATdynamic] = ACTIONS(345),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [36] = {
    [sym__block_item] = STATE(21),
    [sym_preproc_include] = STATE(21),
    [sym_preproc_def] = STATE(21),
    [sym_preproc_function_def] = STATE(21),
    [sym_preproc_call] = STATE(21),
    [sym_preproc_if] = STATE(21),
    [sym_preproc_ifdef] = STATE(21),
    [sym_preproc_else] = STATE(6416),
    [sym_preproc_elif] = STATE(6416),
    [sym_function_definition] = STATE(21),
    [sym__old_style_function_definition] = STATE(507),
    [sym_declaration] = STATE(21),
    [sym_type_definition] = STATE(21),
    [sym__declaration_modifiers] = STATE(2045),
    [sym__declaration_specifiers] = STATE(4182),
    [sym_linkage_specification] = STATE(21),
    [sym_attribute_specifier] = STATE(21),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2859),
    [sym_ms_call_modifier] = STATE(2200),
    [sym_compound_statement] = STATE(368),
    [sym_storage_class_specifier] = STATE(2045),
    [sym_type_qualifier] = STATE(2045),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(3002),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(21),
    [sym_labeled_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_case_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_goto_statement] = STATE(368),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(21),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(21),
    [sym_preproc_undef] = STATE(21),
    [sym_preproc_linemarker] = STATE(21),
    [sym_availability_attribute_specifier] = STATE(2045),
    [sym_protocol_forward_declaration] = STATE(21),
    [sym_class_declaration] = STATE(21),
    [sym_class_interface] = STATE(21),
    [sym__class_interface_header] = STATE(1180),
    [sym_class_implementation] = STATE(21),
    [sym__class_implementation_header] = STATE(1099),
    [sym_protocol_declaration] = STATE(21),
    [sym_compatibility_alias_declaration] = STATE(21),
    [sym_property_implementation] = STATE(21),
    [sym_try_statement] = STATE(368),
    [sym_throw_statement] = STATE(368),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(368),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(368),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(21),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2045),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(279),
    [aux_sym_preproc_include_token1] = ACTIONS(281),
    [aux_sym_preproc_include_token2] = ACTIONS(281),
    [aux_sym_preproc_def_token1] = ACTIONS(283),
    [aux_sym_preproc_if_token1] = ACTIONS(285),
    [aux_sym_preproc_if_token2] = ACTIONS(622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(289),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(289),
    [aux_sym_preproc_else_token1] = ACTIONS(163),
    [aux_sym_preproc_elif_token1] = ACTIONS(165),
    [sym_preproc_directive] = ACTIONS(291),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(295),
    [anon_sym_typedef] = ACTIONS(297),
    [anon_sym_extern] = ACTIONS(299),
    [anon_sym___attribute__] = ACTIONS(301),
    [anon_sym___attribute] = ACTIONS(301),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(311),
    [anon_sym_default] = ACTIONS(313),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(333),
    [aux_sym_preproc_undef_token1] = ACTIONS(335),
    [anon_sym_POUND] = ACTIONS(337),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(339),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(341),
    [anon_sym_ATsynthesize] = ACTIONS(343),
    [anon_sym_ATdynamic] = ACTIONS(345),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [37] = {
    [sym__block_item] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym__old_style_function_definition] = STATE(507),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(2045),
    [sym__declaration_specifiers] = STATE(4182),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(37),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2859),
    [sym_ms_call_modifier] = STATE(2200),
    [sym_compound_statement] = STATE(368),
    [sym_storage_class_specifier] = STATE(2045),
    [sym_type_qualifier] = STATE(2045),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(3002),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(526),
    [sym_statement] = STATE(37),
    [sym_labeled_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_case_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_goto_statement] = STATE(368),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(37),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(37),
    [sym_preproc_undef] = STATE(37),
    [sym_preproc_linemarker] = STATE(37),
    [sym_availability_attribute_specifier] = STATE(2045),
    [sym_protocol_forward_declaration] = STATE(37),
    [sym_class_declaration] = STATE(37),
    [sym_class_interface] = STATE(37),
    [sym__class_interface_header] = STATE(1180),
    [sym_class_implementation] = STATE(37),
    [sym__class_implementation_header] = STATE(1099),
    [sym_protocol_declaration] = STATE(37),
    [sym_compatibility_alias_declaration] = STATE(37),
    [sym_property_implementation] = STATE(37),
    [sym_try_statement] = STATE(368),
    [sym_throw_statement] = STATE(368),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(368),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(368),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2045),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(624),
    [aux_sym_preproc_include_token1] = ACTIONS(627),
    [aux_sym_preproc_include_token2] = ACTIONS(627),
    [aux_sym_preproc_def_token1] = ACTIONS(630),
    [aux_sym_preproc_if_token1] = ACTIONS(633),
    [aux_sym_preproc_if_token2] = ACTIONS(389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(636),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(636),
    [aux_sym_preproc_else_token1] = ACTIONS(389),
    [aux_sym_preproc_elif_token1] = ACTIONS(389),
    [sym_preproc_directive] = ACTIONS(639),
    [anon_sym_LPAREN2] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(400),
    [anon_sym_TILDE] = ACTIONS(400),
    [anon_sym_DASH] = ACTIONS(403),
    [anon_sym_PLUS] = ACTIONS(403),
    [anon_sym_STAR] = ACTIONS(406),
    [anon_sym_CARET] = ACTIONS(409),
    [anon_sym_AMP] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(642),
    [anon_sym___extension__] = ACTIONS(645),
    [anon_sym_typedef] = ACTIONS(648),
    [anon_sym_extern] = ACTIONS(651),
    [anon_sym___attribute__] = ACTIONS(654),
    [anon_sym___attribute] = ACTIONS(654),
    [anon_sym_noreturn] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(430),
    [anon_sym___declspec] = ACTIONS(433),
    [anon_sym___cdecl] = ACTIONS(436),
    [anon_sym___clrcall] = ACTIONS(436),
    [anon_sym___stdcall] = ACTIONS(436),
    [anon_sym___fastcall] = ACTIONS(436),
    [anon_sym___thiscall] = ACTIONS(436),
    [anon_sym___vectorcall] = ACTIONS(436),
    [anon_sym_LBRACE] = ACTIONS(657),
    [anon_sym_signed] = ACTIONS(442),
    [anon_sym_unsigned] = ACTIONS(442),
    [anon_sym_long] = ACTIONS(442),
    [anon_sym_short] = ACTIONS(442),
    [anon_sym_static] = ACTIONS(445),
    [anon_sym_ATautoreleasepool] = ACTIONS(660),
    [anon_sym_auto] = ACTIONS(445),
    [anon_sym_register] = ACTIONS(445),
    [anon_sym_inline] = ACTIONS(445),
    [anon_sym___inline] = ACTIONS(445),
    [anon_sym___inline__] = ACTIONS(445),
    [anon_sym___forceinline] = ACTIONS(445),
    [anon_sym_thread_local] = ACTIONS(445),
    [anon_sym___thread] = ACTIONS(445),
    [anon_sym_CG_EXTERN] = ACTIONS(445),
    [anon_sym_CG_INLINE] = ACTIONS(445),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(445),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(445),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(445),
    [anon_sym_IBOutlet] = ACTIONS(445),
    [anon_sym_IBInspectable] = ACTIONS(445),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(445),
    [anon_sym_NS_INLINE] = ACTIONS(445),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(445),
    [anon_sym_OBJC_EXPORT] = ACTIONS(445),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(445),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(445),
    [anon_sym_const] = ACTIONS(451),
    [anon_sym_constexpr] = ACTIONS(427),
    [anon_sym_volatile] = ACTIONS(427),
    [anon_sym_restrict] = ACTIONS(427),
    [anon_sym___restrict__] = ACTIONS(427),
    [anon_sym__Atomic] = ACTIONS(427),
    [anon_sym__Noreturn] = ACTIONS(427),
    [anon_sym__Nonnull] = ACTIONS(427),
    [anon_sym_nullable] = ACTIONS(427),
    [anon_sym__Complex] = ACTIONS(427),
    [anon_sym__Nullable] = ACTIONS(427),
    [anon_sym__Nullable_result] = ACTIONS(427),
    [anon_sym__Null_unspecified] = ACTIONS(427),
    [anon_sym___autoreleasing] = ACTIONS(427),
    [anon_sym___block] = ACTIONS(427),
    [anon_sym___bridge] = ACTIONS(427),
    [anon_sym___bridge_retained] = ACTIONS(427),
    [anon_sym___bridge_transfer] = ACTIONS(427),
    [anon_sym___complex] = ACTIONS(427),
    [anon_sym___const] = ACTIONS(427),
    [anon_sym___imag] = ACTIONS(454),
    [anon_sym___kindof] = ACTIONS(427),
    [anon_sym___nonnull] = ACTIONS(427),
    [anon_sym___nullable] = ACTIONS(427),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(427),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(427),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(427),
    [anon_sym___real] = ACTIONS(454),
    [anon_sym___strong] = ACTIONS(427),
    [anon_sym___unsafe_unretained] = ACTIONS(427),
    [anon_sym___unused] = ACTIONS(427),
    [anon_sym___weak] = ACTIONS(427),
    [anon_sym_alignas] = ACTIONS(457),
    [anon_sym__Alignas] = ACTIONS(457),
    [sym_primitive_type] = ACTIONS(460),
    [anon_sym_enum] = ACTIONS(463),
    [anon_sym_struct] = ACTIONS(466),
    [anon_sym_union] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(663),
    [anon_sym_switch] = ACTIONS(666),
    [anon_sym_case] = ACTIONS(669),
    [anon_sym_default] = ACTIONS(672),
    [anon_sym_while] = ACTIONS(675),
    [anon_sym_do] = ACTIONS(678),
    [anon_sym_for] = ACTIONS(681),
    [anon_sym_in] = ACTIONS(493),
    [anon_sym_return] = ACTIONS(684),
    [anon_sym_break] = ACTIONS(687),
    [anon_sym_continue] = ACTIONS(690),
    [anon_sym_goto] = ACTIONS(693),
    [anon_sym_DASH_DASH] = ACTIONS(508),
    [anon_sym_PLUS_PLUS] = ACTIONS(508),
    [anon_sym_sizeof] = ACTIONS(511),
    [anon_sym___alignof__] = ACTIONS(514),
    [anon_sym___alignof] = ACTIONS(514),
    [anon_sym__alignof] = ACTIONS(514),
    [anon_sym_alignof] = ACTIONS(514),
    [anon_sym__Alignof] = ACTIONS(514),
    [anon_sym_offsetof] = ACTIONS(517),
    [anon_sym__Generic] = ACTIONS(520),
    [anon_sym_asm] = ACTIONS(523),
    [anon_sym___asm__] = ACTIONS(523),
    [anon_sym___asm] = ACTIONS(696),
    [sym_number_literal] = ACTIONS(529),
    [anon_sym_L_SQUOTE] = ACTIONS(532),
    [anon_sym_u_SQUOTE] = ACTIONS(532),
    [anon_sym_U_SQUOTE] = ACTIONS(532),
    [anon_sym_u8_SQUOTE] = ACTIONS(532),
    [anon_sym_SQUOTE] = ACTIONS(532),
    [anon_sym_AT] = ACTIONS(699),
    [anon_sym_DQUOTE] = ACTIONS(538),
    [anon_sym_L_DQUOTE] = ACTIONS(538),
    [anon_sym_u_DQUOTE] = ACTIONS(538),
    [anon_sym_U_DQUOTE] = ACTIONS(538),
    [anon_sym_u8_DQUOTE] = ACTIONS(538),
    [sym_true] = ACTIONS(541),
    [sym_false] = ACTIONS(541),
    [anon_sym_NULL] = ACTIONS(544),
    [anon_sym_nullptr] = ACTIONS(544),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(547),
    [anon_sym___typeof] = ACTIONS(547),
    [anon_sym_typeof] = ACTIONS(547),
    [anon_sym_ATimport] = ACTIONS(702),
    [aux_sym_preproc_undef_token1] = ACTIONS(705),
    [anon_sym_POUND] = ACTIONS(708),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(559),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(559),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(559),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(559),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(559),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(559),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(559),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(559),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(559),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(562),
    [anon_sym_NS_AVAILABLE] = ACTIONS(562),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(562),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(562),
    [anon_sym_API_AVAILABLE] = ACTIONS(562),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(562),
    [anon_sym_API_DEPRECATED] = ACTIONS(562),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(562),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(562),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(562),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(562),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(562),
    [anon_sym___deprecated_msg] = ACTIONS(562),
    [anon_sym___deprecated_enum_msg] = ACTIONS(562),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(562),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(562),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(562),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(562),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(562),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(562),
    [anon_sym_ATprotocol] = ACTIONS(711),
    [anon_sym_ATinterface] = ACTIONS(568),
    [anon_sym_ATimplementation] = ACTIONS(571),
    [anon_sym_ATcompatibility_alias] = ACTIONS(714),
    [anon_sym_ATsynthesize] = ACTIONS(717),
    [anon_sym_ATdynamic] = ACTIONS(720),
    [anon_sym_ATtry] = ACTIONS(723),
    [anon_sym___try] = ACTIONS(726),
    [anon_sym_ATthrow] = ACTIONS(729),
    [anon_sym_ATselector] = ACTIONS(592),
    [anon_sym_ATavailable] = ACTIONS(595),
    [anon_sym___builtin_available] = ACTIONS(598),
    [anon_sym_va_arg] = ACTIONS(601),
    [anon_sym_ATencode] = ACTIONS(604),
    [anon_sym_ATsynchronized] = ACTIONS(732),
    [anon_sym_BOOL] = ACTIONS(610),
    [anon_sym_IMP] = ACTIONS(610),
    [anon_sym_SEL] = ACTIONS(610),
    [anon_sym_Class] = ACTIONS(610),
    [anon_sym_id] = ACTIONS(613),
  },
  [38] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym__old_style_function_definition] = STATE(687),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(2048),
    [sym__declaration_specifiers] = STATE(4183),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(38),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2840),
    [sym_ms_call_modifier] = STATE(2202),
    [sym_compound_statement] = STATE(570),
    [sym_storage_class_specifier] = STATE(2048),
    [sym_type_qualifier] = STATE(2048),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2948),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(688),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(570),
    [sym_expression_statement] = STATE(570),
    [sym_if_statement] = STATE(570),
    [sym_switch_statement] = STATE(570),
    [sym_case_statement] = STATE(570),
    [sym_while_statement] = STATE(570),
    [sym_do_statement] = STATE(570),
    [sym_for_statement] = STATE(570),
    [sym_return_statement] = STATE(570),
    [sym_break_statement] = STATE(570),
    [sym_continue_statement] = STATE(570),
    [sym_goto_statement] = STATE(570),
    [sym_expression] = STATE(4447),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6524),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(38),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(38),
    [sym_preproc_undef] = STATE(38),
    [sym_preproc_linemarker] = STATE(38),
    [sym_availability_attribute_specifier] = STATE(2048),
    [sym_protocol_forward_declaration] = STATE(38),
    [sym_class_declaration] = STATE(38),
    [sym_class_interface] = STATE(38),
    [sym__class_interface_header] = STATE(1176),
    [sym_class_implementation] = STATE(38),
    [sym__class_implementation_header] = STATE(1094),
    [sym_protocol_declaration] = STATE(38),
    [sym_compatibility_alias_declaration] = STATE(38),
    [sym_property_implementation] = STATE(38),
    [sym_try_statement] = STATE(570),
    [sym_throw_statement] = STATE(570),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(570),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(570),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2048),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(735),
    [aux_sym_preproc_include_token1] = ACTIONS(738),
    [aux_sym_preproc_include_token2] = ACTIONS(738),
    [aux_sym_preproc_def_token1] = ACTIONS(741),
    [aux_sym_preproc_if_token1] = ACTIONS(744),
    [aux_sym_preproc_if_token2] = ACTIONS(389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(747),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(747),
    [sym_preproc_directive] = ACTIONS(750),
    [anon_sym_LPAREN2] = ACTIONS(397),
    [anon_sym_BANG] = ACTIONS(400),
    [anon_sym_TILDE] = ACTIONS(400),
    [anon_sym_DASH] = ACTIONS(403),
    [anon_sym_PLUS] = ACTIONS(403),
    [anon_sym_STAR] = ACTIONS(406),
    [anon_sym_CARET] = ACTIONS(409),
    [anon_sym_AMP] = ACTIONS(406),
    [anon_sym_SEMI] = ACTIONS(753),
    [anon_sym___extension__] = ACTIONS(756),
    [anon_sym_typedef] = ACTIONS(759),
    [anon_sym_extern] = ACTIONS(762),
    [anon_sym___attribute__] = ACTIONS(765),
    [anon_sym___attribute] = ACTIONS(765),
    [anon_sym_noreturn] = ACTIONS(427),
    [anon_sym_LBRACK] = ACTIONS(430),
    [anon_sym___declspec] = ACTIONS(433),
    [anon_sym___cdecl] = ACTIONS(436),
    [anon_sym___clrcall] = ACTIONS(436),
    [anon_sym___stdcall] = ACTIONS(436),
    [anon_sym___fastcall] = ACTIONS(436),
    [anon_sym___thiscall] = ACTIONS(436),
    [anon_sym___vectorcall] = ACTIONS(436),
    [anon_sym_LBRACE] = ACTIONS(768),
    [anon_sym_signed] = ACTIONS(442),
    [anon_sym_unsigned] = ACTIONS(442),
    [anon_sym_long] = ACTIONS(442),
    [anon_sym_short] = ACTIONS(442),
    [anon_sym_static] = ACTIONS(445),
    [anon_sym_ATautoreleasepool] = ACTIONS(771),
    [anon_sym_auto] = ACTIONS(445),
    [anon_sym_register] = ACTIONS(445),
    [anon_sym_inline] = ACTIONS(445),
    [anon_sym___inline] = ACTIONS(445),
    [anon_sym___inline__] = ACTIONS(445),
    [anon_sym___forceinline] = ACTIONS(445),
    [anon_sym_thread_local] = ACTIONS(445),
    [anon_sym___thread] = ACTIONS(445),
    [anon_sym_CG_EXTERN] = ACTIONS(445),
    [anon_sym_CG_INLINE] = ACTIONS(445),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(445),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(445),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(445),
    [anon_sym_IBOutlet] = ACTIONS(445),
    [anon_sym_IBInspectable] = ACTIONS(445),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(445),
    [anon_sym_NS_INLINE] = ACTIONS(445),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(445),
    [anon_sym_OBJC_EXPORT] = ACTIONS(445),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(445),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(445),
    [anon_sym_const] = ACTIONS(451),
    [anon_sym_constexpr] = ACTIONS(427),
    [anon_sym_volatile] = ACTIONS(427),
    [anon_sym_restrict] = ACTIONS(427),
    [anon_sym___restrict__] = ACTIONS(427),
    [anon_sym__Atomic] = ACTIONS(427),
    [anon_sym__Noreturn] = ACTIONS(427),
    [anon_sym__Nonnull] = ACTIONS(427),
    [anon_sym_nullable] = ACTIONS(427),
    [anon_sym__Complex] = ACTIONS(427),
    [anon_sym__Nullable] = ACTIONS(427),
    [anon_sym__Nullable_result] = ACTIONS(427),
    [anon_sym__Null_unspecified] = ACTIONS(427),
    [anon_sym___autoreleasing] = ACTIONS(427),
    [anon_sym___block] = ACTIONS(427),
    [anon_sym___bridge] = ACTIONS(427),
    [anon_sym___bridge_retained] = ACTIONS(427),
    [anon_sym___bridge_transfer] = ACTIONS(427),
    [anon_sym___complex] = ACTIONS(427),
    [anon_sym___const] = ACTIONS(427),
    [anon_sym___imag] = ACTIONS(454),
    [anon_sym___kindof] = ACTIONS(427),
    [anon_sym___nonnull] = ACTIONS(427),
    [anon_sym___nullable] = ACTIONS(427),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(427),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(427),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(427),
    [anon_sym___real] = ACTIONS(454),
    [anon_sym___strong] = ACTIONS(427),
    [anon_sym___unsafe_unretained] = ACTIONS(427),
    [anon_sym___unused] = ACTIONS(427),
    [anon_sym___weak] = ACTIONS(427),
    [anon_sym_alignas] = ACTIONS(457),
    [anon_sym__Alignas] = ACTIONS(457),
    [sym_primitive_type] = ACTIONS(460),
    [anon_sym_enum] = ACTIONS(463),
    [anon_sym_struct] = ACTIONS(466),
    [anon_sym_union] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(774),
    [anon_sym_switch] = ACTIONS(777),
    [anon_sym_case] = ACTIONS(780),
    [anon_sym_default] = ACTIONS(783),
    [anon_sym_while] = ACTIONS(786),
    [anon_sym_do] = ACTIONS(789),
    [anon_sym_for] = ACTIONS(792),
    [anon_sym_in] = ACTIONS(493),
    [anon_sym_return] = ACTIONS(795),
    [anon_sym_break] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(801),
    [anon_sym_goto] = ACTIONS(804),
    [anon_sym_DASH_DASH] = ACTIONS(508),
    [anon_sym_PLUS_PLUS] = ACTIONS(508),
    [anon_sym_sizeof] = ACTIONS(511),
    [anon_sym___alignof__] = ACTIONS(514),
    [anon_sym___alignof] = ACTIONS(514),
    [anon_sym__alignof] = ACTIONS(514),
    [anon_sym_alignof] = ACTIONS(514),
    [anon_sym__Alignof] = ACTIONS(514),
    [anon_sym_offsetof] = ACTIONS(517),
    [anon_sym__Generic] = ACTIONS(520),
    [anon_sym_asm] = ACTIONS(523),
    [anon_sym___asm__] = ACTIONS(523),
    [anon_sym___asm] = ACTIONS(807),
    [sym_number_literal] = ACTIONS(529),
    [anon_sym_L_SQUOTE] = ACTIONS(532),
    [anon_sym_u_SQUOTE] = ACTIONS(532),
    [anon_sym_U_SQUOTE] = ACTIONS(532),
    [anon_sym_u8_SQUOTE] = ACTIONS(532),
    [anon_sym_SQUOTE] = ACTIONS(532),
    [anon_sym_AT] = ACTIONS(810),
    [anon_sym_DQUOTE] = ACTIONS(538),
    [anon_sym_L_DQUOTE] = ACTIONS(538),
    [anon_sym_u_DQUOTE] = ACTIONS(538),
    [anon_sym_U_DQUOTE] = ACTIONS(538),
    [anon_sym_u8_DQUOTE] = ACTIONS(538),
    [sym_true] = ACTIONS(541),
    [sym_false] = ACTIONS(541),
    [anon_sym_NULL] = ACTIONS(544),
    [anon_sym_nullptr] = ACTIONS(544),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(547),
    [anon_sym___typeof] = ACTIONS(547),
    [anon_sym_typeof] = ACTIONS(547),
    [anon_sym_ATimport] = ACTIONS(813),
    [aux_sym_preproc_undef_token1] = ACTIONS(816),
    [anon_sym_POUND] = ACTIONS(819),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(559),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(559),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(559),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(559),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(559),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(559),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(559),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(559),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(559),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(562),
    [anon_sym_NS_AVAILABLE] = ACTIONS(562),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(562),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(562),
    [anon_sym_API_AVAILABLE] = ACTIONS(562),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(562),
    [anon_sym_API_DEPRECATED] = ACTIONS(562),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(562),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(562),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(562),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(562),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(562),
    [anon_sym___deprecated_msg] = ACTIONS(562),
    [anon_sym___deprecated_enum_msg] = ACTIONS(562),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(562),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(562),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(562),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(562),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(562),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(562),
    [anon_sym_ATprotocol] = ACTIONS(822),
    [anon_sym_ATinterface] = ACTIONS(568),
    [anon_sym_ATimplementation] = ACTIONS(571),
    [anon_sym_ATcompatibility_alias] = ACTIONS(825),
    [anon_sym_ATsynthesize] = ACTIONS(828),
    [anon_sym_ATdynamic] = ACTIONS(831),
    [anon_sym_ATtry] = ACTIONS(834),
    [anon_sym___try] = ACTIONS(837),
    [anon_sym_ATthrow] = ACTIONS(840),
    [anon_sym_ATselector] = ACTIONS(592),
    [anon_sym_ATavailable] = ACTIONS(595),
    [anon_sym___builtin_available] = ACTIONS(598),
    [anon_sym_va_arg] = ACTIONS(601),
    [anon_sym_ATencode] = ACTIONS(604),
    [anon_sym_ATsynchronized] = ACTIONS(843),
    [anon_sym_BOOL] = ACTIONS(610),
    [anon_sym_IMP] = ACTIONS(610),
    [anon_sym_SEL] = ACTIONS(610),
    [anon_sym_Class] = ACTIONS(610),
    [anon_sym_id] = ACTIONS(613),
  },
  [39] = {
    [sym__block_item] = STATE(38),
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym__old_style_function_definition] = STATE(687),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(2048),
    [sym__declaration_specifiers] = STATE(4183),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(38),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2840),
    [sym_ms_call_modifier] = STATE(2202),
    [sym_compound_statement] = STATE(570),
    [sym_storage_class_specifier] = STATE(2048),
    [sym_type_qualifier] = STATE(2048),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2948),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(688),
    [sym_statement] = STATE(38),
    [sym_labeled_statement] = STATE(570),
    [sym_expression_statement] = STATE(570),
    [sym_if_statement] = STATE(570),
    [sym_switch_statement] = STATE(570),
    [sym_case_statement] = STATE(570),
    [sym_while_statement] = STATE(570),
    [sym_do_statement] = STATE(570),
    [sym_for_statement] = STATE(570),
    [sym_return_statement] = STATE(570),
    [sym_break_statement] = STATE(570),
    [sym_continue_statement] = STATE(570),
    [sym_goto_statement] = STATE(570),
    [sym_expression] = STATE(4447),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6524),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(38),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(38),
    [sym_preproc_undef] = STATE(38),
    [sym_preproc_linemarker] = STATE(38),
    [sym_availability_attribute_specifier] = STATE(2048),
    [sym_protocol_forward_declaration] = STATE(38),
    [sym_class_declaration] = STATE(38),
    [sym_class_interface] = STATE(38),
    [sym__class_interface_header] = STATE(1176),
    [sym_class_implementation] = STATE(38),
    [sym__class_implementation_header] = STATE(1094),
    [sym_protocol_declaration] = STATE(38),
    [sym_compatibility_alias_declaration] = STATE(38),
    [sym_property_implementation] = STATE(38),
    [sym_try_statement] = STATE(570),
    [sym_throw_statement] = STATE(570),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(570),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(570),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2048),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(846),
    [aux_sym_preproc_include_token1] = ACTIONS(848),
    [aux_sym_preproc_include_token2] = ACTIONS(848),
    [aux_sym_preproc_def_token1] = ACTIONS(850),
    [aux_sym_preproc_if_token1] = ACTIONS(852),
    [aux_sym_preproc_if_token2] = ACTIONS(854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(856),
    [sym_preproc_directive] = ACTIONS(858),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(860),
    [anon_sym___extension__] = ACTIONS(862),
    [anon_sym_typedef] = ACTIONS(864),
    [anon_sym_extern] = ACTIONS(866),
    [anon_sym___attribute__] = ACTIONS(868),
    [anon_sym___attribute] = ACTIONS(868),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(870),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(872),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(876),
    [anon_sym_case] = ACTIONS(878),
    [anon_sym_default] = ACTIONS(880),
    [anon_sym_while] = ACTIONS(882),
    [anon_sym_do] = ACTIONS(884),
    [anon_sym_for] = ACTIONS(886),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_break] = ACTIONS(890),
    [anon_sym_continue] = ACTIONS(892),
    [anon_sym_goto] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(896),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(898),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(900),
    [aux_sym_preproc_undef_token1] = ACTIONS(902),
    [anon_sym_POUND] = ACTIONS(904),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(906),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(908),
    [anon_sym_ATsynthesize] = ACTIONS(910),
    [anon_sym_ATdynamic] = ACTIONS(912),
    [anon_sym_ATtry] = ACTIONS(914),
    [anon_sym___try] = ACTIONS(916),
    [anon_sym_ATthrow] = ACTIONS(918),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(920),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [40] = {
    [sym__block_item] = STATE(39),
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym__old_style_function_definition] = STATE(687),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(2048),
    [sym__declaration_specifiers] = STATE(4183),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(39),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2840),
    [sym_ms_call_modifier] = STATE(2202),
    [sym_compound_statement] = STATE(570),
    [sym_storage_class_specifier] = STATE(2048),
    [sym_type_qualifier] = STATE(2048),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2948),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(688),
    [sym_statement] = STATE(39),
    [sym_labeled_statement] = STATE(570),
    [sym_expression_statement] = STATE(570),
    [sym_if_statement] = STATE(570),
    [sym_switch_statement] = STATE(570),
    [sym_case_statement] = STATE(570),
    [sym_while_statement] = STATE(570),
    [sym_do_statement] = STATE(570),
    [sym_for_statement] = STATE(570),
    [sym_return_statement] = STATE(570),
    [sym_break_statement] = STATE(570),
    [sym_continue_statement] = STATE(570),
    [sym_goto_statement] = STATE(570),
    [sym_expression] = STATE(4447),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6524),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(39),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(39),
    [sym_preproc_undef] = STATE(39),
    [sym_preproc_linemarker] = STATE(39),
    [sym_availability_attribute_specifier] = STATE(2048),
    [sym_protocol_forward_declaration] = STATE(39),
    [sym_class_declaration] = STATE(39),
    [sym_class_interface] = STATE(39),
    [sym__class_interface_header] = STATE(1176),
    [sym_class_implementation] = STATE(39),
    [sym__class_implementation_header] = STATE(1094),
    [sym_protocol_declaration] = STATE(39),
    [sym_compatibility_alias_declaration] = STATE(39),
    [sym_property_implementation] = STATE(39),
    [sym_try_statement] = STATE(570),
    [sym_throw_statement] = STATE(570),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(570),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(570),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2048),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(846),
    [aux_sym_preproc_include_token1] = ACTIONS(848),
    [aux_sym_preproc_include_token2] = ACTIONS(848),
    [aux_sym_preproc_def_token1] = ACTIONS(850),
    [aux_sym_preproc_if_token1] = ACTIONS(852),
    [aux_sym_preproc_if_token2] = ACTIONS(922),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(856),
    [sym_preproc_directive] = ACTIONS(858),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(860),
    [anon_sym___extension__] = ACTIONS(862),
    [anon_sym_typedef] = ACTIONS(864),
    [anon_sym_extern] = ACTIONS(866),
    [anon_sym___attribute__] = ACTIONS(868),
    [anon_sym___attribute] = ACTIONS(868),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(870),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(872),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(876),
    [anon_sym_case] = ACTIONS(878),
    [anon_sym_default] = ACTIONS(880),
    [anon_sym_while] = ACTIONS(882),
    [anon_sym_do] = ACTIONS(884),
    [anon_sym_for] = ACTIONS(886),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_break] = ACTIONS(890),
    [anon_sym_continue] = ACTIONS(892),
    [anon_sym_goto] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(896),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(898),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(900),
    [aux_sym_preproc_undef_token1] = ACTIONS(902),
    [anon_sym_POUND] = ACTIONS(904),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(906),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(908),
    [anon_sym_ATsynthesize] = ACTIONS(910),
    [anon_sym_ATdynamic] = ACTIONS(912),
    [anon_sym_ATtry] = ACTIONS(914),
    [anon_sym___try] = ACTIONS(916),
    [anon_sym_ATthrow] = ACTIONS(918),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(920),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [41] = {
    [sym__block_item] = STATE(117),
    [sym_preproc_include] = STATE(117),
    [sym_preproc_def] = STATE(117),
    [sym_preproc_function_def] = STATE(117),
    [sym_preproc_call] = STATE(117),
    [sym_preproc_if] = STATE(117),
    [sym_preproc_ifdef] = STATE(117),
    [sym_function_definition] = STATE(117),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(117),
    [sym_type_definition] = STATE(117),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(117),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(117),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(117),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(117),
    [sym_preproc_undef] = STATE(117),
    [sym_preproc_linemarker] = STATE(117),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(117),
    [sym_class_declaration] = STATE(117),
    [sym_class_interface] = STATE(117),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(117),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(117),
    [sym_compatibility_alias_declaration] = STATE(117),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(117),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(946),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [42] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(994),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [43] = {
    [sym__block_item] = STATE(44),
    [sym_preproc_include] = STATE(44),
    [sym_preproc_def] = STATE(44),
    [sym_preproc_function_def] = STATE(44),
    [sym_preproc_call] = STATE(44),
    [sym_preproc_if] = STATE(44),
    [sym_preproc_ifdef] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(44),
    [sym_type_definition] = STATE(44),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(44),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(44),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(44),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(44),
    [sym_preproc_undef] = STATE(44),
    [sym_preproc_linemarker] = STATE(44),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(44),
    [sym_class_declaration] = STATE(44),
    [sym_class_interface] = STATE(44),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(44),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(44),
    [sym_compatibility_alias_declaration] = STATE(44),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(44),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(996),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [44] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(998),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [45] = {
    [sym__block_item] = STATE(47),
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(47),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(47),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(47),
    [sym_preproc_undef] = STATE(47),
    [sym_preproc_linemarker] = STATE(47),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(47),
    [sym_class_declaration] = STATE(47),
    [sym_class_interface] = STATE(47),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(47),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(47),
    [sym_compatibility_alias_declaration] = STATE(47),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(47),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(998),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [46] = {
    [sym__block_item] = STATE(49),
    [sym_preproc_include] = STATE(49),
    [sym_preproc_def] = STATE(49),
    [sym_preproc_function_def] = STATE(49),
    [sym_preproc_call] = STATE(49),
    [sym_preproc_if] = STATE(49),
    [sym_preproc_ifdef] = STATE(49),
    [sym_function_definition] = STATE(49),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(49),
    [sym_type_definition] = STATE(49),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(49),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(49),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(49),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(49),
    [sym_preproc_undef] = STATE(49),
    [sym_preproc_linemarker] = STATE(49),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(49),
    [sym_class_declaration] = STATE(49),
    [sym_class_interface] = STATE(49),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(49),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(49),
    [sym_compatibility_alias_declaration] = STATE(49),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(49),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1000),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [47] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1002),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [48] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1004),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [49] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1006),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [50] = {
    [sym__block_item] = STATE(52),
    [sym_preproc_include] = STATE(52),
    [sym_preproc_def] = STATE(52),
    [sym_preproc_function_def] = STATE(52),
    [sym_preproc_call] = STATE(52),
    [sym_preproc_if] = STATE(52),
    [sym_preproc_ifdef] = STATE(52),
    [sym_function_definition] = STATE(52),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(52),
    [sym_type_definition] = STATE(52),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(52),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(52),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(52),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(52),
    [sym_preproc_undef] = STATE(52),
    [sym_preproc_linemarker] = STATE(52),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(52),
    [sym_class_declaration] = STATE(52),
    [sym_class_interface] = STATE(52),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(52),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(52),
    [sym_compatibility_alias_declaration] = STATE(52),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(52),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1008),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [51] = {
    [sym__block_item] = STATE(71),
    [sym_preproc_include] = STATE(71),
    [sym_preproc_def] = STATE(71),
    [sym_preproc_function_def] = STATE(71),
    [sym_preproc_call] = STATE(71),
    [sym_preproc_if] = STATE(71),
    [sym_preproc_ifdef] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(71),
    [sym_type_definition] = STATE(71),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(71),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(71),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(71),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(71),
    [sym_preproc_undef] = STATE(71),
    [sym_preproc_linemarker] = STATE(71),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(71),
    [sym_class_declaration] = STATE(71),
    [sym_class_interface] = STATE(71),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(71),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(71),
    [sym_compatibility_alias_declaration] = STATE(71),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(71),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1004),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [52] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1010),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [53] = {
    [sym__block_item] = STATE(56),
    [sym_preproc_include] = STATE(56),
    [sym_preproc_def] = STATE(56),
    [sym_preproc_function_def] = STATE(56),
    [sym_preproc_call] = STATE(56),
    [sym_preproc_if] = STATE(56),
    [sym_preproc_ifdef] = STATE(56),
    [sym_function_definition] = STATE(56),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(56),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(56),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(56),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(56),
    [sym_preproc_undef] = STATE(56),
    [sym_preproc_linemarker] = STATE(56),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(56),
    [sym_class_declaration] = STATE(56),
    [sym_class_interface] = STATE(56),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(56),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(56),
    [sym_compatibility_alias_declaration] = STATE(56),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(56),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1010),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [54] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [55] = {
    [sym__block_item] = STATE(57),
    [sym_preproc_include] = STATE(57),
    [sym_preproc_def] = STATE(57),
    [sym_preproc_function_def] = STATE(57),
    [sym_preproc_call] = STATE(57),
    [sym_preproc_if] = STATE(57),
    [sym_preproc_ifdef] = STATE(57),
    [sym_function_definition] = STATE(57),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(57),
    [sym_type_definition] = STATE(57),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(57),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(57),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(57),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(57),
    [sym_preproc_undef] = STATE(57),
    [sym_preproc_linemarker] = STATE(57),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(57),
    [sym_class_declaration] = STATE(57),
    [sym_class_interface] = STATE(57),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(57),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(57),
    [sym_compatibility_alias_declaration] = STATE(57),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(57),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1014),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [56] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1016),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [57] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1018),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [58] = {
    [sym__block_item] = STATE(59),
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(59),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(59),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(59),
    [sym_preproc_undef] = STATE(59),
    [sym_preproc_linemarker] = STATE(59),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(59),
    [sym_class_declaration] = STATE(59),
    [sym_class_interface] = STATE(59),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(59),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(59),
    [sym_compatibility_alias_declaration] = STATE(59),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(59),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1020),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [59] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [60] = {
    [sym__block_item] = STATE(64),
    [sym_preproc_include] = STATE(64),
    [sym_preproc_def] = STATE(64),
    [sym_preproc_function_def] = STATE(64),
    [sym_preproc_call] = STATE(64),
    [sym_preproc_if] = STATE(64),
    [sym_preproc_ifdef] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(64),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(64),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(64),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(64),
    [sym_preproc_undef] = STATE(64),
    [sym_preproc_linemarker] = STATE(64),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(64),
    [sym_class_declaration] = STATE(64),
    [sym_class_interface] = STATE(64),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(64),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(64),
    [sym_compatibility_alias_declaration] = STATE(64),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(64),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [61] = {
    [sym__block_item] = STATE(54),
    [sym_preproc_include] = STATE(54),
    [sym_preproc_def] = STATE(54),
    [sym_preproc_function_def] = STATE(54),
    [sym_preproc_call] = STATE(54),
    [sym_preproc_if] = STATE(54),
    [sym_preproc_ifdef] = STATE(54),
    [sym_function_definition] = STATE(54),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(54),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(54),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(54),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(54),
    [sym_preproc_undef] = STATE(54),
    [sym_preproc_linemarker] = STATE(54),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(54),
    [sym_class_declaration] = STATE(54),
    [sym_class_interface] = STATE(54),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(54),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(54),
    [sym_compatibility_alias_declaration] = STATE(54),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(54),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [62] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(1026),
    [aux_sym_preproc_include_token1] = ACTIONS(1029),
    [aux_sym_preproc_include_token2] = ACTIONS(1029),
    [aux_sym_preproc_def_token1] = ACTIONS(1032),
    [aux_sym_preproc_if_token1] = ACTIONS(1035),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1038),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1038),
    [sym_preproc_directive] = ACTIONS(1041),
    [anon_sym_LPAREN2] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1050),
    [anon_sym_PLUS] = ACTIONS(1050),
    [anon_sym_STAR] = ACTIONS(1053),
    [anon_sym_CARET] = ACTIONS(1056),
    [anon_sym_AMP] = ACTIONS(1053),
    [anon_sym_SEMI] = ACTIONS(1059),
    [anon_sym___extension__] = ACTIONS(1062),
    [anon_sym_typedef] = ACTIONS(1065),
    [anon_sym_extern] = ACTIONS(1068),
    [anon_sym___attribute__] = ACTIONS(1071),
    [anon_sym___attribute] = ACTIONS(1071),
    [anon_sym_noreturn] = ACTIONS(1074),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym___declspec] = ACTIONS(1080),
    [anon_sym___cdecl] = ACTIONS(1083),
    [anon_sym___clrcall] = ACTIONS(1083),
    [anon_sym___stdcall] = ACTIONS(1083),
    [anon_sym___fastcall] = ACTIONS(1083),
    [anon_sym___thiscall] = ACTIONS(1083),
    [anon_sym___vectorcall] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(1086),
    [anon_sym_RBRACE] = ACTIONS(1089),
    [anon_sym_signed] = ACTIONS(1091),
    [anon_sym_unsigned] = ACTIONS(1091),
    [anon_sym_long] = ACTIONS(1091),
    [anon_sym_short] = ACTIONS(1091),
    [anon_sym_static] = ACTIONS(1094),
    [anon_sym_ATautoreleasepool] = ACTIONS(1097),
    [anon_sym_auto] = ACTIONS(1094),
    [anon_sym_register] = ACTIONS(1094),
    [anon_sym_inline] = ACTIONS(1094),
    [anon_sym___inline] = ACTIONS(1094),
    [anon_sym___inline__] = ACTIONS(1094),
    [anon_sym___forceinline] = ACTIONS(1094),
    [anon_sym_thread_local] = ACTIONS(1094),
    [anon_sym___thread] = ACTIONS(1094),
    [anon_sym_CG_EXTERN] = ACTIONS(1094),
    [anon_sym_CG_INLINE] = ACTIONS(1094),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(1094),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(1094),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(1094),
    [anon_sym_IBOutlet] = ACTIONS(1094),
    [anon_sym_IBInspectable] = ACTIONS(1094),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(1094),
    [anon_sym_NS_INLINE] = ACTIONS(1094),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(1094),
    [anon_sym_OBJC_EXPORT] = ACTIONS(1094),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(1094),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(1094),
    [anon_sym_const] = ACTIONS(1100),
    [anon_sym_constexpr] = ACTIONS(1074),
    [anon_sym_volatile] = ACTIONS(1074),
    [anon_sym_restrict] = ACTIONS(1074),
    [anon_sym___restrict__] = ACTIONS(1074),
    [anon_sym__Atomic] = ACTIONS(1074),
    [anon_sym__Noreturn] = ACTIONS(1074),
    [anon_sym__Nonnull] = ACTIONS(1074),
    [anon_sym_nullable] = ACTIONS(1074),
    [anon_sym__Complex] = ACTIONS(1074),
    [anon_sym__Nullable] = ACTIONS(1074),
    [anon_sym__Nullable_result] = ACTIONS(1074),
    [anon_sym__Null_unspecified] = ACTIONS(1074),
    [anon_sym___autoreleasing] = ACTIONS(1074),
    [anon_sym___block] = ACTIONS(1074),
    [anon_sym___bridge] = ACTIONS(1074),
    [anon_sym___bridge_retained] = ACTIONS(1074),
    [anon_sym___bridge_transfer] = ACTIONS(1074),
    [anon_sym___complex] = ACTIONS(1074),
    [anon_sym___const] = ACTIONS(1074),
    [anon_sym___imag] = ACTIONS(1103),
    [anon_sym___kindof] = ACTIONS(1074),
    [anon_sym___nonnull] = ACTIONS(1074),
    [anon_sym___nullable] = ACTIONS(1074),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(1074),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(1074),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(1074),
    [anon_sym___real] = ACTIONS(1103),
    [anon_sym___strong] = ACTIONS(1074),
    [anon_sym___unsafe_unretained] = ACTIONS(1074),
    [anon_sym___unused] = ACTIONS(1074),
    [anon_sym___weak] = ACTIONS(1074),
    [anon_sym_alignas] = ACTIONS(1106),
    [anon_sym__Alignas] = ACTIONS(1106),
    [sym_primitive_type] = ACTIONS(1109),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_struct] = ACTIONS(1115),
    [anon_sym_union] = ACTIONS(1118),
    [anon_sym_if] = ACTIONS(1121),
    [anon_sym_switch] = ACTIONS(1124),
    [anon_sym_case] = ACTIONS(1127),
    [anon_sym_default] = ACTIONS(1130),
    [anon_sym_while] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1136),
    [anon_sym_for] = ACTIONS(1139),
    [anon_sym_in] = ACTIONS(1142),
    [anon_sym_return] = ACTIONS(1145),
    [anon_sym_break] = ACTIONS(1148),
    [anon_sym_continue] = ACTIONS(1151),
    [anon_sym_goto] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1157),
    [anon_sym_sizeof] = ACTIONS(1160),
    [anon_sym___alignof__] = ACTIONS(1163),
    [anon_sym___alignof] = ACTIONS(1163),
    [anon_sym__alignof] = ACTIONS(1163),
    [anon_sym_alignof] = ACTIONS(1163),
    [anon_sym__Alignof] = ACTIONS(1163),
    [anon_sym_offsetof] = ACTIONS(1166),
    [anon_sym__Generic] = ACTIONS(1169),
    [anon_sym_asm] = ACTIONS(1172),
    [anon_sym___asm__] = ACTIONS(1172),
    [anon_sym___asm] = ACTIONS(1175),
    [sym_number_literal] = ACTIONS(1178),
    [anon_sym_L_SQUOTE] = ACTIONS(1181),
    [anon_sym_u_SQUOTE] = ACTIONS(1181),
    [anon_sym_U_SQUOTE] = ACTIONS(1181),
    [anon_sym_u8_SQUOTE] = ACTIONS(1181),
    [anon_sym_SQUOTE] = ACTIONS(1181),
    [anon_sym_AT] = ACTIONS(1184),
    [anon_sym_DQUOTE] = ACTIONS(1187),
    [anon_sym_L_DQUOTE] = ACTIONS(1187),
    [anon_sym_u_DQUOTE] = ACTIONS(1187),
    [anon_sym_U_DQUOTE] = ACTIONS(1187),
    [anon_sym_u8_DQUOTE] = ACTIONS(1187),
    [sym_true] = ACTIONS(1190),
    [sym_false] = ACTIONS(1190),
    [anon_sym_NULL] = ACTIONS(1193),
    [anon_sym_nullptr] = ACTIONS(1193),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(1196),
    [anon_sym___typeof] = ACTIONS(1196),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_ATimport] = ACTIONS(1199),
    [aux_sym_preproc_undef_token1] = ACTIONS(1202),
    [anon_sym_POUND] = ACTIONS(1205),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(1208),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(1208),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(1208),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(1208),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(1208),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(1208),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(1208),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(1208),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(1208),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(1211),
    [anon_sym_NS_AVAILABLE] = ACTIONS(1211),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(1211),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(1211),
    [anon_sym_API_AVAILABLE] = ACTIONS(1211),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(1211),
    [anon_sym_API_DEPRECATED] = ACTIONS(1211),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(1211),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(1211),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(1211),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(1211),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(1211),
    [anon_sym___deprecated_msg] = ACTIONS(1211),
    [anon_sym___deprecated_enum_msg] = ACTIONS(1211),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(1211),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(1211),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(1211),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(1211),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(1211),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(1211),
    [anon_sym_ATprotocol] = ACTIONS(1214),
    [anon_sym_ATinterface] = ACTIONS(1217),
    [anon_sym_ATimplementation] = ACTIONS(1220),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1223),
    [anon_sym_ATtry] = ACTIONS(1226),
    [anon_sym___try] = ACTIONS(1229),
    [anon_sym_ATthrow] = ACTIONS(1232),
    [anon_sym_ATselector] = ACTIONS(1235),
    [anon_sym_ATavailable] = ACTIONS(1238),
    [anon_sym___builtin_available] = ACTIONS(1241),
    [anon_sym_va_arg] = ACTIONS(1244),
    [anon_sym_ATencode] = ACTIONS(1247),
    [anon_sym_ATsynchronized] = ACTIONS(1250),
    [anon_sym_BOOL] = ACTIONS(1253),
    [anon_sym_IMP] = ACTIONS(1253),
    [anon_sym_SEL] = ACTIONS(1253),
    [anon_sym_Class] = ACTIONS(1253),
    [anon_sym_id] = ACTIONS(1256),
  },
  [63] = {
    [sym__block_item] = STATE(65),
    [sym_preproc_include] = STATE(65),
    [sym_preproc_def] = STATE(65),
    [sym_preproc_function_def] = STATE(65),
    [sym_preproc_call] = STATE(65),
    [sym_preproc_if] = STATE(65),
    [sym_preproc_ifdef] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(65),
    [sym_type_definition] = STATE(65),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(65),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(65),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(65),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(65),
    [sym_preproc_undef] = STATE(65),
    [sym_preproc_linemarker] = STATE(65),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(65),
    [sym_class_declaration] = STATE(65),
    [sym_class_interface] = STATE(65),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(65),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(65),
    [sym_compatibility_alias_declaration] = STATE(65),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(65),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1259),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [64] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1261),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [65] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1263),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [66] = {
    [sym__block_item] = STATE(67),
    [sym_preproc_include] = STATE(67),
    [sym_preproc_def] = STATE(67),
    [sym_preproc_function_def] = STATE(67),
    [sym_preproc_call] = STATE(67),
    [sym_preproc_if] = STATE(67),
    [sym_preproc_ifdef] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(67),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(67),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(67),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(67),
    [sym_preproc_undef] = STATE(67),
    [sym_preproc_linemarker] = STATE(67),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(67),
    [sym_class_declaration] = STATE(67),
    [sym_class_interface] = STATE(67),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(67),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(67),
    [sym_compatibility_alias_declaration] = STATE(67),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(67),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1265),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [67] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1267),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [68] = {
    [sym__block_item] = STATE(70),
    [sym_preproc_include] = STATE(70),
    [sym_preproc_def] = STATE(70),
    [sym_preproc_function_def] = STATE(70),
    [sym_preproc_call] = STATE(70),
    [sym_preproc_if] = STATE(70),
    [sym_preproc_ifdef] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(70),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(70),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(70),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(70),
    [sym_preproc_undef] = STATE(70),
    [sym_preproc_linemarker] = STATE(70),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(70),
    [sym_class_declaration] = STATE(70),
    [sym_class_interface] = STATE(70),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(70),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(70),
    [sym_compatibility_alias_declaration] = STATE(70),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(70),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1267),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [69] = {
    [sym__block_item] = STATE(72),
    [sym_preproc_include] = STATE(72),
    [sym_preproc_def] = STATE(72),
    [sym_preproc_function_def] = STATE(72),
    [sym_preproc_call] = STATE(72),
    [sym_preproc_if] = STATE(72),
    [sym_preproc_ifdef] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(72),
    [sym_type_definition] = STATE(72),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(72),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(72),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(72),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(72),
    [sym_preproc_undef] = STATE(72),
    [sym_preproc_linemarker] = STATE(72),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(72),
    [sym_class_declaration] = STATE(72),
    [sym_class_interface] = STATE(72),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(72),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(72),
    [sym_compatibility_alias_declaration] = STATE(72),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(72),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1269),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [70] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1271),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [71] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1273),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [72] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1275),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [73] = {
    [sym__block_item] = STATE(127),
    [sym_preproc_include] = STATE(127),
    [sym_preproc_def] = STATE(127),
    [sym_preproc_function_def] = STATE(127),
    [sym_preproc_call] = STATE(127),
    [sym_preproc_if] = STATE(127),
    [sym_preproc_ifdef] = STATE(127),
    [sym_function_definition] = STATE(127),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(127),
    [sym_type_definition] = STATE(127),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(127),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(127),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(127),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(127),
    [sym_preproc_undef] = STATE(127),
    [sym_preproc_linemarker] = STATE(127),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(127),
    [sym_class_declaration] = STATE(127),
    [sym_class_interface] = STATE(127),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(127),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(127),
    [sym_compatibility_alias_declaration] = STATE(127),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(127),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1277),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [74] = {
    [sym__block_item] = STATE(75),
    [sym_preproc_include] = STATE(75),
    [sym_preproc_def] = STATE(75),
    [sym_preproc_function_def] = STATE(75),
    [sym_preproc_call] = STATE(75),
    [sym_preproc_if] = STATE(75),
    [sym_preproc_ifdef] = STATE(75),
    [sym_function_definition] = STATE(75),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(75),
    [sym_type_definition] = STATE(75),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(75),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(75),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(75),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(75),
    [sym_preproc_undef] = STATE(75),
    [sym_preproc_linemarker] = STATE(75),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(75),
    [sym_class_declaration] = STATE(75),
    [sym_class_interface] = STATE(75),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(75),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(75),
    [sym_compatibility_alias_declaration] = STATE(75),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(75),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1279),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [75] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1281),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [76] = {
    [sym__block_item] = STATE(77),
    [sym_preproc_include] = STATE(77),
    [sym_preproc_def] = STATE(77),
    [sym_preproc_function_def] = STATE(77),
    [sym_preproc_call] = STATE(77),
    [sym_preproc_if] = STATE(77),
    [sym_preproc_ifdef] = STATE(77),
    [sym_function_definition] = STATE(77),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(77),
    [sym_type_definition] = STATE(77),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(77),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(77),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(77),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(77),
    [sym_preproc_undef] = STATE(77),
    [sym_preproc_linemarker] = STATE(77),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(77),
    [sym_class_declaration] = STATE(77),
    [sym_class_interface] = STATE(77),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(77),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(77),
    [sym_compatibility_alias_declaration] = STATE(77),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(77),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1283),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [77] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1285),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [78] = {
    [sym__block_item] = STATE(79),
    [sym_preproc_include] = STATE(79),
    [sym_preproc_def] = STATE(79),
    [sym_preproc_function_def] = STATE(79),
    [sym_preproc_call] = STATE(79),
    [sym_preproc_if] = STATE(79),
    [sym_preproc_ifdef] = STATE(79),
    [sym_function_definition] = STATE(79),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(79),
    [sym_type_definition] = STATE(79),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(79),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(79),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(79),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(79),
    [sym_preproc_undef] = STATE(79),
    [sym_preproc_linemarker] = STATE(79),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(79),
    [sym_class_declaration] = STATE(79),
    [sym_class_interface] = STATE(79),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(79),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(79),
    [sym_compatibility_alias_declaration] = STATE(79),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(79),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1285),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [79] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1287),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [80] = {
    [sym__block_item] = STATE(81),
    [sym_preproc_include] = STATE(81),
    [sym_preproc_def] = STATE(81),
    [sym_preproc_function_def] = STATE(81),
    [sym_preproc_call] = STATE(81),
    [sym_preproc_if] = STATE(81),
    [sym_preproc_ifdef] = STATE(81),
    [sym_function_definition] = STATE(81),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(81),
    [sym_type_definition] = STATE(81),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(81),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(81),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(81),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(81),
    [sym_preproc_undef] = STATE(81),
    [sym_preproc_linemarker] = STATE(81),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(81),
    [sym_class_declaration] = STATE(81),
    [sym_class_interface] = STATE(81),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(81),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(81),
    [sym_compatibility_alias_declaration] = STATE(81),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(81),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1289),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [81] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1291),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [82] = {
    [sym__block_item] = STATE(83),
    [sym_preproc_include] = STATE(83),
    [sym_preproc_def] = STATE(83),
    [sym_preproc_function_def] = STATE(83),
    [sym_preproc_call] = STATE(83),
    [sym_preproc_if] = STATE(83),
    [sym_preproc_ifdef] = STATE(83),
    [sym_function_definition] = STATE(83),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(83),
    [sym_type_definition] = STATE(83),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(83),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(83),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(83),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(83),
    [sym_preproc_undef] = STATE(83),
    [sym_preproc_linemarker] = STATE(83),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(83),
    [sym_class_declaration] = STATE(83),
    [sym_class_interface] = STATE(83),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(83),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(83),
    [sym_compatibility_alias_declaration] = STATE(83),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(83),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1291),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [83] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1293),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [84] = {
    [sym__block_item] = STATE(85),
    [sym_preproc_include] = STATE(85),
    [sym_preproc_def] = STATE(85),
    [sym_preproc_function_def] = STATE(85),
    [sym_preproc_call] = STATE(85),
    [sym_preproc_if] = STATE(85),
    [sym_preproc_ifdef] = STATE(85),
    [sym_function_definition] = STATE(85),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(85),
    [sym_type_definition] = STATE(85),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(85),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(85),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(85),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(85),
    [sym_preproc_undef] = STATE(85),
    [sym_preproc_linemarker] = STATE(85),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(85),
    [sym_class_declaration] = STATE(85),
    [sym_class_interface] = STATE(85),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(85),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(85),
    [sym_compatibility_alias_declaration] = STATE(85),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(85),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1295),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [85] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1297),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [86] = {
    [sym__block_item] = STATE(87),
    [sym_preproc_include] = STATE(87),
    [sym_preproc_def] = STATE(87),
    [sym_preproc_function_def] = STATE(87),
    [sym_preproc_call] = STATE(87),
    [sym_preproc_if] = STATE(87),
    [sym_preproc_ifdef] = STATE(87),
    [sym_function_definition] = STATE(87),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(87),
    [sym_type_definition] = STATE(87),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(87),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(87),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(87),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(87),
    [sym_preproc_undef] = STATE(87),
    [sym_preproc_linemarker] = STATE(87),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(87),
    [sym_class_declaration] = STATE(87),
    [sym_class_interface] = STATE(87),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(87),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(87),
    [sym_compatibility_alias_declaration] = STATE(87),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(87),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1297),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [87] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1299),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [88] = {
    [sym__block_item] = STATE(89),
    [sym_preproc_include] = STATE(89),
    [sym_preproc_def] = STATE(89),
    [sym_preproc_function_def] = STATE(89),
    [sym_preproc_call] = STATE(89),
    [sym_preproc_if] = STATE(89),
    [sym_preproc_ifdef] = STATE(89),
    [sym_function_definition] = STATE(89),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(89),
    [sym_type_definition] = STATE(89),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(89),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(89),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(89),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(89),
    [sym_preproc_undef] = STATE(89),
    [sym_preproc_linemarker] = STATE(89),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(89),
    [sym_class_declaration] = STATE(89),
    [sym_class_interface] = STATE(89),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(89),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(89),
    [sym_compatibility_alias_declaration] = STATE(89),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(89),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1301),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [89] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1303),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [90] = {
    [sym__block_item] = STATE(91),
    [sym_preproc_include] = STATE(91),
    [sym_preproc_def] = STATE(91),
    [sym_preproc_function_def] = STATE(91),
    [sym_preproc_call] = STATE(91),
    [sym_preproc_if] = STATE(91),
    [sym_preproc_ifdef] = STATE(91),
    [sym_function_definition] = STATE(91),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(91),
    [sym_type_definition] = STATE(91),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(91),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(91),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(91),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(91),
    [sym_preproc_undef] = STATE(91),
    [sym_preproc_linemarker] = STATE(91),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(91),
    [sym_class_declaration] = STATE(91),
    [sym_class_interface] = STATE(91),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(91),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(91),
    [sym_compatibility_alias_declaration] = STATE(91),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(91),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1303),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [91] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1305),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [92] = {
    [sym__block_item] = STATE(93),
    [sym_preproc_include] = STATE(93),
    [sym_preproc_def] = STATE(93),
    [sym_preproc_function_def] = STATE(93),
    [sym_preproc_call] = STATE(93),
    [sym_preproc_if] = STATE(93),
    [sym_preproc_ifdef] = STATE(93),
    [sym_function_definition] = STATE(93),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(93),
    [sym_type_definition] = STATE(93),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(93),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(93),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(93),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(93),
    [sym_preproc_undef] = STATE(93),
    [sym_preproc_linemarker] = STATE(93),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(93),
    [sym_class_declaration] = STATE(93),
    [sym_class_interface] = STATE(93),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(93),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(93),
    [sym_compatibility_alias_declaration] = STATE(93),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(93),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1307),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [93] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1309),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [94] = {
    [sym__block_item] = STATE(95),
    [sym_preproc_include] = STATE(95),
    [sym_preproc_def] = STATE(95),
    [sym_preproc_function_def] = STATE(95),
    [sym_preproc_call] = STATE(95),
    [sym_preproc_if] = STATE(95),
    [sym_preproc_ifdef] = STATE(95),
    [sym_function_definition] = STATE(95),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(95),
    [sym_type_definition] = STATE(95),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(95),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(95),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(95),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(95),
    [sym_preproc_undef] = STATE(95),
    [sym_preproc_linemarker] = STATE(95),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(95),
    [sym_class_declaration] = STATE(95),
    [sym_class_interface] = STATE(95),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(95),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(95),
    [sym_compatibility_alias_declaration] = STATE(95),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(95),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1309),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [95] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1311),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [96] = {
    [sym__block_item] = STATE(97),
    [sym_preproc_include] = STATE(97),
    [sym_preproc_def] = STATE(97),
    [sym_preproc_function_def] = STATE(97),
    [sym_preproc_call] = STATE(97),
    [sym_preproc_if] = STATE(97),
    [sym_preproc_ifdef] = STATE(97),
    [sym_function_definition] = STATE(97),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(97),
    [sym_type_definition] = STATE(97),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(97),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(97),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(97),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(97),
    [sym_preproc_undef] = STATE(97),
    [sym_preproc_linemarker] = STATE(97),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(97),
    [sym_class_declaration] = STATE(97),
    [sym_class_interface] = STATE(97),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(97),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(97),
    [sym_compatibility_alias_declaration] = STATE(97),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(97),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1313),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [97] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1315),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [98] = {
    [sym__block_item] = STATE(99),
    [sym_preproc_include] = STATE(99),
    [sym_preproc_def] = STATE(99),
    [sym_preproc_function_def] = STATE(99),
    [sym_preproc_call] = STATE(99),
    [sym_preproc_if] = STATE(99),
    [sym_preproc_ifdef] = STATE(99),
    [sym_function_definition] = STATE(99),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(99),
    [sym_type_definition] = STATE(99),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(99),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(99),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(99),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(99),
    [sym_preproc_undef] = STATE(99),
    [sym_preproc_linemarker] = STATE(99),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(99),
    [sym_class_declaration] = STATE(99),
    [sym_class_interface] = STATE(99),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(99),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(99),
    [sym_compatibility_alias_declaration] = STATE(99),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(99),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1315),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [99] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1317),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [100] = {
    [sym__block_item] = STATE(101),
    [sym_preproc_include] = STATE(101),
    [sym_preproc_def] = STATE(101),
    [sym_preproc_function_def] = STATE(101),
    [sym_preproc_call] = STATE(101),
    [sym_preproc_if] = STATE(101),
    [sym_preproc_ifdef] = STATE(101),
    [sym_function_definition] = STATE(101),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(101),
    [sym_type_definition] = STATE(101),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(101),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(101),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(101),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(101),
    [sym_preproc_undef] = STATE(101),
    [sym_preproc_linemarker] = STATE(101),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(101),
    [sym_class_declaration] = STATE(101),
    [sym_class_interface] = STATE(101),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(101),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(101),
    [sym_compatibility_alias_declaration] = STATE(101),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(101),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1319),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [101] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1321),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [102] = {
    [sym__block_item] = STATE(103),
    [sym_preproc_include] = STATE(103),
    [sym_preproc_def] = STATE(103),
    [sym_preproc_function_def] = STATE(103),
    [sym_preproc_call] = STATE(103),
    [sym_preproc_if] = STATE(103),
    [sym_preproc_ifdef] = STATE(103),
    [sym_function_definition] = STATE(103),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(103),
    [sym_type_definition] = STATE(103),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(103),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(103),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(103),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(103),
    [sym_preproc_undef] = STATE(103),
    [sym_preproc_linemarker] = STATE(103),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(103),
    [sym_class_declaration] = STATE(103),
    [sym_class_interface] = STATE(103),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(103),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(103),
    [sym_compatibility_alias_declaration] = STATE(103),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(103),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1321),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [103] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1323),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [104] = {
    [sym__block_item] = STATE(105),
    [sym_preproc_include] = STATE(105),
    [sym_preproc_def] = STATE(105),
    [sym_preproc_function_def] = STATE(105),
    [sym_preproc_call] = STATE(105),
    [sym_preproc_if] = STATE(105),
    [sym_preproc_ifdef] = STATE(105),
    [sym_function_definition] = STATE(105),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(105),
    [sym_type_definition] = STATE(105),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(105),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(105),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(105),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(105),
    [sym_preproc_undef] = STATE(105),
    [sym_preproc_linemarker] = STATE(105),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(105),
    [sym_class_declaration] = STATE(105),
    [sym_class_interface] = STATE(105),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(105),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(105),
    [sym_compatibility_alias_declaration] = STATE(105),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(105),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1325),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [105] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1327),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [106] = {
    [sym__block_item] = STATE(107),
    [sym_preproc_include] = STATE(107),
    [sym_preproc_def] = STATE(107),
    [sym_preproc_function_def] = STATE(107),
    [sym_preproc_call] = STATE(107),
    [sym_preproc_if] = STATE(107),
    [sym_preproc_ifdef] = STATE(107),
    [sym_function_definition] = STATE(107),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(107),
    [sym_type_definition] = STATE(107),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(107),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(107),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(107),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(107),
    [sym_preproc_undef] = STATE(107),
    [sym_preproc_linemarker] = STATE(107),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(107),
    [sym_class_declaration] = STATE(107),
    [sym_class_interface] = STATE(107),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(107),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(107),
    [sym_compatibility_alias_declaration] = STATE(107),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(107),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1327),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [107] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1329),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [108] = {
    [sym__block_item] = STATE(109),
    [sym_preproc_include] = STATE(109),
    [sym_preproc_def] = STATE(109),
    [sym_preproc_function_def] = STATE(109),
    [sym_preproc_call] = STATE(109),
    [sym_preproc_if] = STATE(109),
    [sym_preproc_ifdef] = STATE(109),
    [sym_function_definition] = STATE(109),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(109),
    [sym_type_definition] = STATE(109),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(109),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(109),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(109),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(109),
    [sym_preproc_undef] = STATE(109),
    [sym_preproc_linemarker] = STATE(109),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(109),
    [sym_class_declaration] = STATE(109),
    [sym_class_interface] = STATE(109),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(109),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(109),
    [sym_compatibility_alias_declaration] = STATE(109),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(109),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1331),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [109] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1333),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [110] = {
    [sym__block_item] = STATE(111),
    [sym_preproc_include] = STATE(111),
    [sym_preproc_def] = STATE(111),
    [sym_preproc_function_def] = STATE(111),
    [sym_preproc_call] = STATE(111),
    [sym_preproc_if] = STATE(111),
    [sym_preproc_ifdef] = STATE(111),
    [sym_function_definition] = STATE(111),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(111),
    [sym_type_definition] = STATE(111),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(111),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(111),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(111),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(111),
    [sym_preproc_undef] = STATE(111),
    [sym_preproc_linemarker] = STATE(111),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(111),
    [sym_class_declaration] = STATE(111),
    [sym_class_interface] = STATE(111),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(111),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(111),
    [sym_compatibility_alias_declaration] = STATE(111),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(111),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1333),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [111] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1335),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [112] = {
    [sym__block_item] = STATE(113),
    [sym_preproc_include] = STATE(113),
    [sym_preproc_def] = STATE(113),
    [sym_preproc_function_def] = STATE(113),
    [sym_preproc_call] = STATE(113),
    [sym_preproc_if] = STATE(113),
    [sym_preproc_ifdef] = STATE(113),
    [sym_function_definition] = STATE(113),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(113),
    [sym_type_definition] = STATE(113),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(113),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(113),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(113),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(113),
    [sym_preproc_undef] = STATE(113),
    [sym_preproc_linemarker] = STATE(113),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(113),
    [sym_class_declaration] = STATE(113),
    [sym_class_interface] = STATE(113),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(113),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(113),
    [sym_compatibility_alias_declaration] = STATE(113),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(113),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1337),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [113] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1339),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [114] = {
    [sym__block_item] = STATE(115),
    [sym_preproc_include] = STATE(115),
    [sym_preproc_def] = STATE(115),
    [sym_preproc_function_def] = STATE(115),
    [sym_preproc_call] = STATE(115),
    [sym_preproc_if] = STATE(115),
    [sym_preproc_ifdef] = STATE(115),
    [sym_function_definition] = STATE(115),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(115),
    [sym_type_definition] = STATE(115),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(115),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(115),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(115),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(115),
    [sym_preproc_undef] = STATE(115),
    [sym_preproc_linemarker] = STATE(115),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(115),
    [sym_class_declaration] = STATE(115),
    [sym_class_interface] = STATE(115),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(115),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(115),
    [sym_compatibility_alias_declaration] = STATE(115),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(115),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1339),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [115] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1341),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [116] = {
    [sym__block_item] = STATE(48),
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(48),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(48),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(48),
    [sym_preproc_undef] = STATE(48),
    [sym_preproc_linemarker] = STATE(48),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(48),
    [sym_class_declaration] = STATE(48),
    [sym_class_interface] = STATE(48),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(48),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(48),
    [sym_compatibility_alias_declaration] = STATE(48),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(48),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1343),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [117] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1345),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [118] = {
    [sym__block_item] = STATE(119),
    [sym_preproc_include] = STATE(119),
    [sym_preproc_def] = STATE(119),
    [sym_preproc_function_def] = STATE(119),
    [sym_preproc_call] = STATE(119),
    [sym_preproc_if] = STATE(119),
    [sym_preproc_ifdef] = STATE(119),
    [sym_function_definition] = STATE(119),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(119),
    [sym_type_definition] = STATE(119),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(119),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(119),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(119),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(119),
    [sym_preproc_undef] = STATE(119),
    [sym_preproc_linemarker] = STATE(119),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(119),
    [sym_class_declaration] = STATE(119),
    [sym_class_interface] = STATE(119),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(119),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(119),
    [sym_compatibility_alias_declaration] = STATE(119),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(119),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1345),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [119] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1347),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [120] = {
    [sym__block_item] = STATE(121),
    [sym_preproc_include] = STATE(121),
    [sym_preproc_def] = STATE(121),
    [sym_preproc_function_def] = STATE(121),
    [sym_preproc_call] = STATE(121),
    [sym_preproc_if] = STATE(121),
    [sym_preproc_ifdef] = STATE(121),
    [sym_function_definition] = STATE(121),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(121),
    [sym_type_definition] = STATE(121),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(121),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(121),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(121),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(121),
    [sym_preproc_undef] = STATE(121),
    [sym_preproc_linemarker] = STATE(121),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(121),
    [sym_class_declaration] = STATE(121),
    [sym_class_interface] = STATE(121),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(121),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(121),
    [sym_compatibility_alias_declaration] = STATE(121),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(121),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1349),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [121] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1351),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [122] = {
    [sym__block_item] = STATE(123),
    [sym_preproc_include] = STATE(123),
    [sym_preproc_def] = STATE(123),
    [sym_preproc_function_def] = STATE(123),
    [sym_preproc_call] = STATE(123),
    [sym_preproc_if] = STATE(123),
    [sym_preproc_ifdef] = STATE(123),
    [sym_function_definition] = STATE(123),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(123),
    [sym_type_definition] = STATE(123),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(123),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(123),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(123),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(123),
    [sym_preproc_undef] = STATE(123),
    [sym_preproc_linemarker] = STATE(123),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(123),
    [sym_class_declaration] = STATE(123),
    [sym_class_interface] = STATE(123),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(123),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(123),
    [sym_compatibility_alias_declaration] = STATE(123),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(123),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1351),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [123] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1353),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [124] = {
    [sym__block_item] = STATE(125),
    [sym_preproc_include] = STATE(125),
    [sym_preproc_def] = STATE(125),
    [sym_preproc_function_def] = STATE(125),
    [sym_preproc_call] = STATE(125),
    [sym_preproc_if] = STATE(125),
    [sym_preproc_ifdef] = STATE(125),
    [sym_function_definition] = STATE(125),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(125),
    [sym_type_definition] = STATE(125),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(125),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(125),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(125),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(125),
    [sym_preproc_undef] = STATE(125),
    [sym_preproc_linemarker] = STATE(125),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(125),
    [sym_class_declaration] = STATE(125),
    [sym_class_interface] = STATE(125),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(125),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(125),
    [sym_compatibility_alias_declaration] = STATE(125),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(125),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1355),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [125] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1357),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [126] = {
    [sym__block_item] = STATE(42),
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(42),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(42),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(42),
    [sym_preproc_undef] = STATE(42),
    [sym_preproc_linemarker] = STATE(42),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(42),
    [sym_class_declaration] = STATE(42),
    [sym_class_interface] = STATE(42),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(42),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(42),
    [sym_compatibility_alias_declaration] = STATE(42),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(42),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1357),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [127] = {
    [sym__block_item] = STATE(62),
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym__old_style_function_definition] = STATE(863),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(2028),
    [sym__declaration_specifiers] = STATE(4208),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(2028),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_ms_call_modifier] = STATE(2196),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2028),
    [sym_type_qualifier] = STATE(2028),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2974),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(883),
    [sym_statement] = STATE(62),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym__empty_declaration] = STATE(62),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(62),
    [sym_preproc_undef] = STATE(62),
    [sym_preproc_linemarker] = STATE(62),
    [sym_availability_attribute_specifier] = STATE(2028),
    [sym_protocol_forward_declaration] = STATE(62),
    [sym_class_declaration] = STATE(62),
    [sym_class_interface] = STATE(62),
    [sym__class_interface_header] = STATE(1174),
    [sym_class_implementation] = STATE(62),
    [sym__class_implementation_header] = STATE(1095),
    [sym_protocol_declaration] = STATE(62),
    [sym_compatibility_alias_declaration] = STATE(62),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2028),
    [aux_sym_declaration_list_repeat1] = STATE(62),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(924),
    [aux_sym_preproc_include_token1] = ACTIONS(926),
    [aux_sym_preproc_include_token2] = ACTIONS(926),
    [aux_sym_preproc_def_token1] = ACTIONS(928),
    [aux_sym_preproc_if_token1] = ACTIONS(930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(932),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(932),
    [sym_preproc_directive] = ACTIONS(934),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(938),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(942),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1279),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(976),
    [aux_sym_preproc_undef_token1] = ACTIONS(978),
    [anon_sym_POUND] = ACTIONS(980),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(984),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [128] = {
    [sym__top_level_item] = STATE(128),
    [sym_preproc_include] = STATE(128),
    [sym_preproc_def] = STATE(128),
    [sym_preproc_function_def] = STATE(128),
    [sym_preproc_call] = STATE(128),
    [sym_preproc_if] = STATE(128),
    [sym_preproc_ifdef] = STATE(128),
    [sym_function_definition] = STATE(128),
    [sym__old_style_function_definition] = STATE(996),
    [sym_declaration] = STATE(128),
    [sym_type_definition] = STATE(128),
    [sym__declaration_modifiers] = STATE(2046),
    [sym__declaration_specifiers] = STATE(4192),
    [sym_linkage_specification] = STATE(128),
    [sym_attribute_specifier] = STATE(2046),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2824),
    [sym_ms_call_modifier] = STATE(2169),
    [sym_compound_statement] = STATE(128),
    [sym_storage_class_specifier] = STATE(2046),
    [sym_type_qualifier] = STATE(2046),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2988),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(1006),
    [sym__top_level_statement] = STATE(128),
    [sym_labeled_statement] = STATE(128),
    [sym__top_level_expression_statement] = STATE(128),
    [sym_if_statement] = STATE(128),
    [sym_switch_statement] = STATE(128),
    [sym_case_statement] = STATE(128),
    [sym_while_statement] = STATE(128),
    [sym_do_statement] = STATE(128),
    [sym_for_statement] = STATE(128),
    [sym_return_statement] = STATE(128),
    [sym_break_statement] = STATE(128),
    [sym_continue_statement] = STATE(128),
    [sym_goto_statement] = STATE(128),
    [sym_expression] = STATE(4574),
    [sym__string] = STATE(4575),
    [sym_conditional_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4575),
    [sym_pointer_expression] = STATE(4370),
    [sym_unary_expression] = STATE(4575),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_alignof_expression] = STATE(4575),
    [sym_offsetof_expression] = STATE(4575),
    [sym_generic_expression] = STATE(4575),
    [sym_subscript_expression] = STATE(4370),
    [sym_call_expression] = STATE(4370),
    [sym_gnu_asm_expression] = STATE(4575),
    [sym_extension_expression] = STATE(4575),
    [sym_field_expression] = STATE(4370),
    [sym_compound_literal_expression] = STATE(4575),
    [sym_parenthesized_expression] = STATE(4370),
    [sym_char_literal] = STATE(4575),
    [sym_concatenated_string] = STATE(4575),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(4575),
    [sym__empty_declaration] = STATE(128),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(128),
    [sym_preproc_undef] = STATE(128),
    [sym_preproc_linemarker] = STATE(128),
    [sym_availability_attribute_specifier] = STATE(2046),
    [sym_protocol_forward_declaration] = STATE(128),
    [sym_class_declaration] = STATE(128),
    [sym_class_interface] = STATE(128),
    [sym__class_interface_header] = STATE(1179),
    [sym_class_implementation] = STATE(128),
    [sym__class_implementation_header] = STATE(1097),
    [sym_protocol_declaration] = STATE(128),
    [sym_compatibility_alias_declaration] = STATE(128),
    [sym_selector_expression] = STATE(4575),
    [sym_available_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_block_literal] = STATE(4575),
    [sym_message_expression] = STATE(4575),
    [sym_va_arg_expression] = STATE(4575),
    [sym_encode_expression] = STATE(4575),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(4575),
    [sym_dictionary_literal] = STATE(4575),
    [sym_array_literal] = STATE(4575),
    [aux_sym_translation_unit_repeat1] = STATE(128),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2046),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2463),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [ts_builtin_sym_end] = ACTIONS(1359),
    [sym_identifier] = ACTIONS(1361),
    [aux_sym_preproc_include_token1] = ACTIONS(1364),
    [aux_sym_preproc_include_token2] = ACTIONS(1364),
    [aux_sym_preproc_def_token1] = ACTIONS(1367),
    [aux_sym_preproc_if_token1] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1373),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1373),
    [sym_preproc_directive] = ACTIONS(1376),
    [anon_sym_LPAREN2] = ACTIONS(1379),
    [anon_sym_BANG] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1385),
    [anon_sym_STAR] = ACTIONS(1388),
    [anon_sym_CARET] = ACTIONS(1391),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1394),
    [anon_sym___extension__] = ACTIONS(1397),
    [anon_sym_typedef] = ACTIONS(1400),
    [anon_sym_extern] = ACTIONS(1403),
    [anon_sym___attribute__] = ACTIONS(1406),
    [anon_sym___attribute] = ACTIONS(1406),
    [anon_sym_noreturn] = ACTIONS(1409),
    [anon_sym_LBRACK] = ACTIONS(1412),
    [anon_sym___declspec] = ACTIONS(1415),
    [anon_sym___cdecl] = ACTIONS(1418),
    [anon_sym___clrcall] = ACTIONS(1418),
    [anon_sym___stdcall] = ACTIONS(1418),
    [anon_sym___fastcall] = ACTIONS(1418),
    [anon_sym___thiscall] = ACTIONS(1418),
    [anon_sym___vectorcall] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1421),
    [anon_sym_signed] = ACTIONS(1424),
    [anon_sym_unsigned] = ACTIONS(1424),
    [anon_sym_long] = ACTIONS(1424),
    [anon_sym_short] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_ATautoreleasepool] = ACTIONS(1430),
    [anon_sym_auto] = ACTIONS(1427),
    [anon_sym_register] = ACTIONS(1427),
    [anon_sym_inline] = ACTIONS(1427),
    [anon_sym___inline] = ACTIONS(1427),
    [anon_sym___inline__] = ACTIONS(1427),
    [anon_sym___forceinline] = ACTIONS(1427),
    [anon_sym_thread_local] = ACTIONS(1427),
    [anon_sym___thread] = ACTIONS(1427),
    [anon_sym_CG_EXTERN] = ACTIONS(1427),
    [anon_sym_CG_INLINE] = ACTIONS(1427),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(1427),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(1427),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(1427),
    [anon_sym_IBOutlet] = ACTIONS(1427),
    [anon_sym_IBInspectable] = ACTIONS(1427),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(1427),
    [anon_sym_NS_INLINE] = ACTIONS(1427),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(1427),
    [anon_sym_OBJC_EXPORT] = ACTIONS(1427),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(1427),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(1427),
    [anon_sym_const] = ACTIONS(1433),
    [anon_sym_constexpr] = ACTIONS(1409),
    [anon_sym_volatile] = ACTIONS(1409),
    [anon_sym_restrict] = ACTIONS(1409),
    [anon_sym___restrict__] = ACTIONS(1409),
    [anon_sym__Atomic] = ACTIONS(1409),
    [anon_sym__Noreturn] = ACTIONS(1409),
    [anon_sym__Nonnull] = ACTIONS(1409),
    [anon_sym_nullable] = ACTIONS(1409),
    [anon_sym__Complex] = ACTIONS(1409),
    [anon_sym__Nullable] = ACTIONS(1409),
    [anon_sym__Nullable_result] = ACTIONS(1409),
    [anon_sym__Null_unspecified] = ACTIONS(1409),
    [anon_sym___autoreleasing] = ACTIONS(1409),
    [anon_sym___block] = ACTIONS(1409),
    [anon_sym___bridge] = ACTIONS(1409),
    [anon_sym___bridge_retained] = ACTIONS(1409),
    [anon_sym___bridge_transfer] = ACTIONS(1409),
    [anon_sym___complex] = ACTIONS(1409),
    [anon_sym___const] = ACTIONS(1409),
    [anon_sym___imag] = ACTIONS(1436),
    [anon_sym___kindof] = ACTIONS(1409),
    [anon_sym___nonnull] = ACTIONS(1409),
    [anon_sym___nullable] = ACTIONS(1409),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(1409),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(1409),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(1409),
    [anon_sym___real] = ACTIONS(1436),
    [anon_sym___strong] = ACTIONS(1409),
    [anon_sym___unsafe_unretained] = ACTIONS(1409),
    [anon_sym___unused] = ACTIONS(1409),
    [anon_sym___weak] = ACTIONS(1409),
    [anon_sym_alignas] = ACTIONS(1439),
    [anon_sym__Alignas] = ACTIONS(1439),
    [sym_primitive_type] = ACTIONS(1442),
    [anon_sym_enum] = ACTIONS(1445),
    [anon_sym_struct] = ACTIONS(1448),
    [anon_sym_union] = ACTIONS(1451),
    [anon_sym_if] = ACTIONS(1454),
    [anon_sym_switch] = ACTIONS(1457),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1463),
    [anon_sym_while] = ACTIONS(1466),
    [anon_sym_do] = ACTIONS(1469),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_in] = ACTIONS(1475),
    [anon_sym_return] = ACTIONS(1478),
    [anon_sym_break] = ACTIONS(1481),
    [anon_sym_continue] = ACTIONS(1484),
    [anon_sym_goto] = ACTIONS(1487),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_sizeof] = ACTIONS(1493),
    [anon_sym___alignof__] = ACTIONS(1496),
    [anon_sym___alignof] = ACTIONS(1496),
    [anon_sym__alignof] = ACTIONS(1496),
    [anon_sym_alignof] = ACTIONS(1496),
    [anon_sym__Alignof] = ACTIONS(1496),
    [anon_sym_offsetof] = ACTIONS(1499),
    [anon_sym__Generic] = ACTIONS(1502),
    [anon_sym_asm] = ACTIONS(1505),
    [anon_sym___asm__] = ACTIONS(1505),
    [anon_sym___asm] = ACTIONS(1505),
    [sym_number_literal] = ACTIONS(1508),
    [anon_sym_L_SQUOTE] = ACTIONS(1511),
    [anon_sym_u_SQUOTE] = ACTIONS(1511),
    [anon_sym_U_SQUOTE] = ACTIONS(1511),
    [anon_sym_u8_SQUOTE] = ACTIONS(1511),
    [anon_sym_SQUOTE] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(1514),
    [anon_sym_DQUOTE] = ACTIONS(1517),
    [anon_sym_L_DQUOTE] = ACTIONS(1517),
    [anon_sym_u_DQUOTE] = ACTIONS(1517),
    [anon_sym_U_DQUOTE] = ACTIONS(1517),
    [anon_sym_u8_DQUOTE] = ACTIONS(1517),
    [sym_true] = ACTIONS(1520),
    [sym_false] = ACTIONS(1520),
    [anon_sym_NULL] = ACTIONS(1523),
    [anon_sym_nullptr] = ACTIONS(1523),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(1526),
    [anon_sym___typeof] = ACTIONS(1526),
    [anon_sym_typeof] = ACTIONS(1526),
    [anon_sym_ATimport] = ACTIONS(1529),
    [aux_sym_preproc_undef_token1] = ACTIONS(1532),
    [anon_sym_POUND] = ACTIONS(1535),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(1538),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(1538),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(1538),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(1538),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(1538),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(1538),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(1538),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(1538),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(1538),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(1541),
    [anon_sym_NS_AVAILABLE] = ACTIONS(1541),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(1541),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(1541),
    [anon_sym_API_AVAILABLE] = ACTIONS(1541),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(1541),
    [anon_sym_API_DEPRECATED] = ACTIONS(1541),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(1541),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(1541),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(1541),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(1541),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(1541),
    [anon_sym___deprecated_msg] = ACTIONS(1541),
    [anon_sym___deprecated_enum_msg] = ACTIONS(1541),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(1541),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(1541),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(1541),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(1541),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(1541),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(1541),
    [anon_sym_ATprotocol] = ACTIONS(1544),
    [anon_sym_ATinterface] = ACTIONS(1547),
    [anon_sym_ATimplementation] = ACTIONS(1550),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1553),
    [anon_sym_ATselector] = ACTIONS(1556),
    [anon_sym_ATavailable] = ACTIONS(1559),
    [anon_sym___builtin_available] = ACTIONS(1562),
    [anon_sym_va_arg] = ACTIONS(1565),
    [anon_sym_ATencode] = ACTIONS(1568),
    [anon_sym_BOOL] = ACTIONS(1571),
    [anon_sym_IMP] = ACTIONS(1571),
    [anon_sym_SEL] = ACTIONS(1571),
    [anon_sym_Class] = ACTIONS(1571),
    [anon_sym_id] = ACTIONS(1574),
  },
  [129] = {
    [sym__top_level_item] = STATE(128),
    [sym_preproc_include] = STATE(128),
    [sym_preproc_def] = STATE(128),
    [sym_preproc_function_def] = STATE(128),
    [sym_preproc_call] = STATE(128),
    [sym_preproc_if] = STATE(128),
    [sym_preproc_ifdef] = STATE(128),
    [sym_function_definition] = STATE(128),
    [sym__old_style_function_definition] = STATE(996),
    [sym_declaration] = STATE(128),
    [sym_type_definition] = STATE(128),
    [sym__declaration_modifiers] = STATE(2046),
    [sym__declaration_specifiers] = STATE(4192),
    [sym_linkage_specification] = STATE(128),
    [sym_attribute_specifier] = STATE(2046),
    [sym_attribute_declaration] = STATE(1093),
    [sym_ms_declspec_modifier] = STATE(2824),
    [sym_ms_call_modifier] = STATE(2169),
    [sym_compound_statement] = STATE(128),
    [sym_storage_class_specifier] = STATE(2046),
    [sym_type_qualifier] = STATE(2046),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2988),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(1006),
    [sym__top_level_statement] = STATE(128),
    [sym_labeled_statement] = STATE(128),
    [sym__top_level_expression_statement] = STATE(128),
    [sym_if_statement] = STATE(128),
    [sym_switch_statement] = STATE(128),
    [sym_case_statement] = STATE(128),
    [sym_while_statement] = STATE(128),
    [sym_do_statement] = STATE(128),
    [sym_for_statement] = STATE(128),
    [sym_return_statement] = STATE(128),
    [sym_break_statement] = STATE(128),
    [sym_continue_statement] = STATE(128),
    [sym_goto_statement] = STATE(128),
    [sym_expression] = STATE(4574),
    [sym__string] = STATE(4575),
    [sym_conditional_expression] = STATE(4575),
    [sym_assignment_expression] = STATE(4575),
    [sym_pointer_expression] = STATE(4370),
    [sym_unary_expression] = STATE(4575),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(4575),
    [sym_cast_expression] = STATE(4575),
    [sym_sizeof_expression] = STATE(4575),
    [sym_alignof_expression] = STATE(4575),
    [sym_offsetof_expression] = STATE(4575),
    [sym_generic_expression] = STATE(4575),
    [sym_subscript_expression] = STATE(4370),
    [sym_call_expression] = STATE(4370),
    [sym_gnu_asm_expression] = STATE(4575),
    [sym_extension_expression] = STATE(4575),
    [sym_field_expression] = STATE(4370),
    [sym_compound_literal_expression] = STATE(4575),
    [sym_parenthesized_expression] = STATE(4370),
    [sym_char_literal] = STATE(4575),
    [sym_concatenated_string] = STATE(4575),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(4575),
    [sym__empty_declaration] = STATE(128),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_module_import] = STATE(128),
    [sym_preproc_undef] = STATE(128),
    [sym_preproc_linemarker] = STATE(128),
    [sym_availability_attribute_specifier] = STATE(2046),
    [sym_protocol_forward_declaration] = STATE(128),
    [sym_class_declaration] = STATE(128),
    [sym_class_interface] = STATE(128),
    [sym__class_interface_header] = STATE(1179),
    [sym_class_implementation] = STATE(128),
    [sym__class_implementation_header] = STATE(1097),
    [sym_protocol_declaration] = STATE(128),
    [sym_compatibility_alias_declaration] = STATE(128),
    [sym_selector_expression] = STATE(4575),
    [sym_available_expression] = STATE(4575),
    [sym_range_expression] = STATE(4575),
    [sym_block_literal] = STATE(4575),
    [sym_message_expression] = STATE(4575),
    [sym_va_arg_expression] = STATE(4575),
    [sym_encode_expression] = STATE(4575),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(4575),
    [sym_dictionary_literal] = STATE(4575),
    [sym_array_literal] = STATE(4575),
    [aux_sym_translation_unit_repeat1] = STATE(128),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2046),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2463),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [ts_builtin_sym_end] = ACTIONS(1577),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_include_token2] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(29),
    [anon_sym___extension__] = ACTIONS(31),
    [anon_sym_typedef] = ACTIONS(33),
    [anon_sym_extern] = ACTIONS(35),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(55),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(57),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(57),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(65),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_switch] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_default] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_in] = ACTIONS(83),
    [anon_sym_return] = ACTIONS(85),
    [anon_sym_break] = ACTIONS(87),
    [anon_sym_continue] = ACTIONS(89),
    [anon_sym_goto] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(105),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(109),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(113),
    [sym_false] = ACTIONS(113),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(119),
    [aux_sym_preproc_undef_token1] = ACTIONS(121),
    [anon_sym_POUND] = ACTIONS(123),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(129),
    [anon_sym_ATinterface] = ACTIONS(131),
    [anon_sym_ATimplementation] = ACTIONS(133),
    [anon_sym_ATcompatibility_alias] = ACTIONS(135),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(149),
  },
  [130] = {
    [sym_declaration] = STATE(130),
    [sym_type_definition] = STATE(130),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4237),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2857),
    [sym_compound_statement] = STATE(130),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(130),
    [sym_labeled_statement] = STATE(130),
    [sym_expression_statement] = STATE(130),
    [sym_if_statement] = STATE(130),
    [sym_switch_statement] = STATE(130),
    [sym_while_statement] = STATE(130),
    [sym_do_statement] = STATE(130),
    [sym_for_statement] = STATE(130),
    [sym_return_statement] = STATE(130),
    [sym_break_statement] = STATE(130),
    [sym_continue_statement] = STATE(130),
    [sym_goto_statement] = STATE(130),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(130),
    [sym_throw_statement] = STATE(130),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(130),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(130),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(130),
    [sym_identifier] = ACTIONS(1579),
    [aux_sym_preproc_include_token1] = ACTIONS(1582),
    [aux_sym_preproc_include_token2] = ACTIONS(1582),
    [aux_sym_preproc_def_token1] = ACTIONS(1582),
    [aux_sym_preproc_if_token1] = ACTIONS(1582),
    [aux_sym_preproc_if_token2] = ACTIONS(1582),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1582),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1582),
    [aux_sym_preproc_else_token1] = ACTIONS(1582),
    [aux_sym_preproc_elif_token1] = ACTIONS(1582),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1582),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1582),
    [sym_preproc_directive] = ACTIONS(1582),
    [anon_sym_LPAREN2] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1587),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1596),
    [anon_sym_AMP] = ACTIONS(1593),
    [anon_sym_SEMI] = ACTIONS(1599),
    [anon_sym___extension__] = ACTIONS(1602),
    [anon_sym_typedef] = ACTIONS(1605),
    [anon_sym_extern] = ACTIONS(1608),
    [anon_sym___attribute__] = ACTIONS(1611),
    [anon_sym___attribute] = ACTIONS(1611),
    [anon_sym_noreturn] = ACTIONS(1614),
    [anon_sym_LBRACK] = ACTIONS(1617),
    [anon_sym___declspec] = ACTIONS(1620),
    [anon_sym___cdecl] = ACTIONS(1582),
    [anon_sym___clrcall] = ACTIONS(1582),
    [anon_sym___stdcall] = ACTIONS(1582),
    [anon_sym___fastcall] = ACTIONS(1582),
    [anon_sym___thiscall] = ACTIONS(1582),
    [anon_sym___vectorcall] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1623),
    [anon_sym_signed] = ACTIONS(1626),
    [anon_sym_unsigned] = ACTIONS(1626),
    [anon_sym_long] = ACTIONS(1626),
    [anon_sym_short] = ACTIONS(1626),
    [anon_sym_static] = ACTIONS(1608),
    [anon_sym_ATautoreleasepool] = ACTIONS(1629),
    [anon_sym_auto] = ACTIONS(1608),
    [anon_sym_register] = ACTIONS(1608),
    [anon_sym_inline] = ACTIONS(1608),
    [anon_sym___inline] = ACTIONS(1608),
    [anon_sym___inline__] = ACTIONS(1608),
    [anon_sym___forceinline] = ACTIONS(1608),
    [anon_sym_thread_local] = ACTIONS(1608),
    [anon_sym___thread] = ACTIONS(1608),
    [anon_sym_CG_EXTERN] = ACTIONS(1608),
    [anon_sym_CG_INLINE] = ACTIONS(1608),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(1608),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(1608),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(1608),
    [anon_sym_IBOutlet] = ACTIONS(1608),
    [anon_sym_IBInspectable] = ACTIONS(1608),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(1608),
    [anon_sym_NS_INLINE] = ACTIONS(1608),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(1608),
    [anon_sym_OBJC_EXPORT] = ACTIONS(1608),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(1608),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(1608),
    [anon_sym_const] = ACTIONS(1632),
    [anon_sym_constexpr] = ACTIONS(1614),
    [anon_sym_volatile] = ACTIONS(1614),
    [anon_sym_restrict] = ACTIONS(1614),
    [anon_sym___restrict__] = ACTIONS(1614),
    [anon_sym__Atomic] = ACTIONS(1614),
    [anon_sym__Noreturn] = ACTIONS(1614),
    [anon_sym__Nonnull] = ACTIONS(1614),
    [anon_sym_nullable] = ACTIONS(1614),
    [anon_sym__Complex] = ACTIONS(1614),
    [anon_sym__Nullable] = ACTIONS(1614),
    [anon_sym__Nullable_result] = ACTIONS(1614),
    [anon_sym__Null_unspecified] = ACTIONS(1614),
    [anon_sym___autoreleasing] = ACTIONS(1614),
    [anon_sym___block] = ACTIONS(1614),
    [anon_sym___bridge] = ACTIONS(1614),
    [anon_sym___bridge_retained] = ACTIONS(1614),
    [anon_sym___bridge_transfer] = ACTIONS(1614),
    [anon_sym___complex] = ACTIONS(1614),
    [anon_sym___const] = ACTIONS(1614),
    [anon_sym___imag] = ACTIONS(1635),
    [anon_sym___kindof] = ACTIONS(1614),
    [anon_sym___nonnull] = ACTIONS(1614),
    [anon_sym___nullable] = ACTIONS(1614),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(1614),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(1614),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(1614),
    [anon_sym___real] = ACTIONS(1635),
    [anon_sym___strong] = ACTIONS(1614),
    [anon_sym___unsafe_unretained] = ACTIONS(1614),
    [anon_sym___unused] = ACTIONS(1614),
    [anon_sym___weak] = ACTIONS(1614),
    [anon_sym_alignas] = ACTIONS(1638),
    [anon_sym__Alignas] = ACTIONS(1638),
    [sym_primitive_type] = ACTIONS(1641),
    [anon_sym_enum] = ACTIONS(1644),
    [anon_sym_struct] = ACTIONS(1647),
    [anon_sym_union] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1653),
    [anon_sym_else] = ACTIONS(1582),
    [anon_sym_switch] = ACTIONS(1656),
    [anon_sym_case] = ACTIONS(1582),
    [anon_sym_default] = ACTIONS(1582),
    [anon_sym_while] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1662),
    [anon_sym_for] = ACTIONS(1665),
    [anon_sym_in] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(1671),
    [anon_sym_break] = ACTIONS(1674),
    [anon_sym_continue] = ACTIONS(1677),
    [anon_sym_goto] = ACTIONS(1680),
    [anon_sym_DASH_DASH] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1683),
    [anon_sym_sizeof] = ACTIONS(1686),
    [anon_sym___alignof__] = ACTIONS(1689),
    [anon_sym___alignof] = ACTIONS(1689),
    [anon_sym__alignof] = ACTIONS(1689),
    [anon_sym_alignof] = ACTIONS(1689),
    [anon_sym__Alignof] = ACTIONS(1689),
    [anon_sym_offsetof] = ACTIONS(1692),
    [anon_sym__Generic] = ACTIONS(1695),
    [anon_sym_asm] = ACTIONS(1698),
    [anon_sym___asm__] = ACTIONS(1698),
    [anon_sym___asm] = ACTIONS(1701),
    [sym_number_literal] = ACTIONS(1704),
    [anon_sym_L_SQUOTE] = ACTIONS(1707),
    [anon_sym_u_SQUOTE] = ACTIONS(1707),
    [anon_sym_U_SQUOTE] = ACTIONS(1707),
    [anon_sym_u8_SQUOTE] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1710),
    [anon_sym_DQUOTE] = ACTIONS(1713),
    [anon_sym_L_DQUOTE] = ACTIONS(1713),
    [anon_sym_u_DQUOTE] = ACTIONS(1713),
    [anon_sym_U_DQUOTE] = ACTIONS(1713),
    [anon_sym_u8_DQUOTE] = ACTIONS(1713),
    [sym_true] = ACTIONS(1716),
    [sym_false] = ACTIONS(1716),
    [anon_sym_NULL] = ACTIONS(1719),
    [anon_sym_nullptr] = ACTIONS(1719),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(1722),
    [anon_sym___typeof] = ACTIONS(1722),
    [anon_sym_typeof] = ACTIONS(1722),
    [anon_sym_ATimport] = ACTIONS(1725),
    [aux_sym_preproc_undef_token1] = ACTIONS(1582),
    [anon_sym_POUND] = ACTIONS(1582),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(1727),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(1727),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(1727),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(1727),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(1727),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(1727),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(1727),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(1727),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(1727),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(1730),
    [anon_sym_NS_AVAILABLE] = ACTIONS(1730),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(1730),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(1730),
    [anon_sym_API_AVAILABLE] = ACTIONS(1730),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(1730),
    [anon_sym_API_DEPRECATED] = ACTIONS(1730),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(1730),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(1730),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(1730),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(1730),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(1730),
    [anon_sym___deprecated_msg] = ACTIONS(1730),
    [anon_sym___deprecated_enum_msg] = ACTIONS(1730),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(1730),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(1730),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(1730),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(1730),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(1730),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(1730),
    [anon_sym_ATprotocol] = ACTIONS(1725),
    [anon_sym_ATinterface] = ACTIONS(1725),
    [anon_sym_ATimplementation] = ACTIONS(1725),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1725),
    [anon_sym_ATsynthesize] = ACTIONS(1725),
    [anon_sym_ATdynamic] = ACTIONS(1725),
    [anon_sym_ATtry] = ACTIONS(1733),
    [anon_sym___try] = ACTIONS(1736),
    [anon_sym_ATthrow] = ACTIONS(1739),
    [anon_sym_ATselector] = ACTIONS(1742),
    [anon_sym_ATavailable] = ACTIONS(1745),
    [anon_sym___builtin_available] = ACTIONS(1748),
    [anon_sym_va_arg] = ACTIONS(1751),
    [anon_sym_ATencode] = ACTIONS(1754),
    [anon_sym_ATsynchronized] = ACTIONS(1757),
    [anon_sym_BOOL] = ACTIONS(1760),
    [anon_sym_IMP] = ACTIONS(1760),
    [anon_sym_SEL] = ACTIONS(1760),
    [anon_sym_Class] = ACTIONS(1760),
    [anon_sym_id] = ACTIONS(1763),
  },
  [131] = {
    [sym_declaration] = STATE(130),
    [sym_type_definition] = STATE(130),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4237),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2857),
    [sym_compound_statement] = STATE(130),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(130),
    [sym_labeled_statement] = STATE(130),
    [sym_expression_statement] = STATE(130),
    [sym_if_statement] = STATE(130),
    [sym_switch_statement] = STATE(130),
    [sym_while_statement] = STATE(130),
    [sym_do_statement] = STATE(130),
    [sym_for_statement] = STATE(130),
    [sym_return_statement] = STATE(130),
    [sym_break_statement] = STATE(130),
    [sym_continue_statement] = STATE(130),
    [sym_goto_statement] = STATE(130),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(130),
    [sym_throw_statement] = STATE(130),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(130),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(130),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(130),
    [sym_identifier] = ACTIONS(1766),
    [aux_sym_preproc_include_token1] = ACTIONS(1768),
    [aux_sym_preproc_include_token2] = ACTIONS(1768),
    [aux_sym_preproc_def_token1] = ACTIONS(1768),
    [aux_sym_preproc_if_token1] = ACTIONS(1768),
    [aux_sym_preproc_if_token2] = ACTIONS(1768),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1768),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1768),
    [aux_sym_preproc_else_token1] = ACTIONS(1768),
    [aux_sym_preproc_elif_token1] = ACTIONS(1768),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1768),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1768),
    [sym_preproc_directive] = ACTIONS(1768),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_typedef] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1768),
    [anon_sym___clrcall] = ACTIONS(1768),
    [anon_sym___stdcall] = ACTIONS(1768),
    [anon_sym___fastcall] = ACTIONS(1768),
    [anon_sym___thiscall] = ACTIONS(1768),
    [anon_sym___vectorcall] = ACTIONS(1768),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1768),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1768),
    [anon_sym_default] = ACTIONS(1768),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(1778),
    [aux_sym_preproc_undef_token1] = ACTIONS(1768),
    [anon_sym_POUND] = ACTIONS(1768),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(1778),
    [anon_sym_ATinterface] = ACTIONS(1778),
    [anon_sym_ATimplementation] = ACTIONS(1778),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1778),
    [anon_sym_ATsynthesize] = ACTIONS(1778),
    [anon_sym_ATdynamic] = ACTIONS(1778),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [132] = {
    [sym_declaration] = STATE(131),
    [sym_type_definition] = STATE(131),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4237),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2857),
    [sym_compound_statement] = STATE(131),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(131),
    [sym_labeled_statement] = STATE(131),
    [sym_expression_statement] = STATE(131),
    [sym_if_statement] = STATE(131),
    [sym_switch_statement] = STATE(131),
    [sym_while_statement] = STATE(131),
    [sym_do_statement] = STATE(131),
    [sym_for_statement] = STATE(131),
    [sym_return_statement] = STATE(131),
    [sym_break_statement] = STATE(131),
    [sym_continue_statement] = STATE(131),
    [sym_goto_statement] = STATE(131),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(131),
    [sym_throw_statement] = STATE(131),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(131),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(131),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(131),
    [sym_identifier] = ACTIONS(1766),
    [aux_sym_preproc_include_token1] = ACTIONS(1782),
    [aux_sym_preproc_include_token2] = ACTIONS(1782),
    [aux_sym_preproc_def_token1] = ACTIONS(1782),
    [aux_sym_preproc_if_token1] = ACTIONS(1782),
    [aux_sym_preproc_if_token2] = ACTIONS(1782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1782),
    [aux_sym_preproc_else_token1] = ACTIONS(1782),
    [aux_sym_preproc_elif_token1] = ACTIONS(1782),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1782),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1782),
    [sym_preproc_directive] = ACTIONS(1782),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_typedef] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1782),
    [anon_sym___clrcall] = ACTIONS(1782),
    [anon_sym___stdcall] = ACTIONS(1782),
    [anon_sym___fastcall] = ACTIONS(1782),
    [anon_sym___thiscall] = ACTIONS(1782),
    [anon_sym___vectorcall] = ACTIONS(1782),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1782),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1782),
    [anon_sym_default] = ACTIONS(1782),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(1784),
    [aux_sym_preproc_undef_token1] = ACTIONS(1782),
    [anon_sym_POUND] = ACTIONS(1782),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(1784),
    [anon_sym_ATinterface] = ACTIONS(1784),
    [anon_sym_ATimplementation] = ACTIONS(1784),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1784),
    [anon_sym_ATsynthesize] = ACTIONS(1784),
    [anon_sym_ATdynamic] = ACTIONS(1784),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [133] = {
    [sym_declaration] = STATE(130),
    [sym_type_definition] = STATE(130),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4237),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2857),
    [sym_compound_statement] = STATE(130),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(130),
    [sym_labeled_statement] = STATE(130),
    [sym_expression_statement] = STATE(130),
    [sym_if_statement] = STATE(130),
    [sym_switch_statement] = STATE(130),
    [sym_while_statement] = STATE(130),
    [sym_do_statement] = STATE(130),
    [sym_for_statement] = STATE(130),
    [sym_return_statement] = STATE(130),
    [sym_break_statement] = STATE(130),
    [sym_continue_statement] = STATE(130),
    [sym_goto_statement] = STATE(130),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(130),
    [sym_throw_statement] = STATE(130),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(130),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(130),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(130),
    [sym_identifier] = ACTIONS(1766),
    [aux_sym_preproc_include_token1] = ACTIONS(1786),
    [aux_sym_preproc_include_token2] = ACTIONS(1786),
    [aux_sym_preproc_def_token1] = ACTIONS(1786),
    [aux_sym_preproc_if_token1] = ACTIONS(1786),
    [aux_sym_preproc_if_token2] = ACTIONS(1786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1786),
    [aux_sym_preproc_else_token1] = ACTIONS(1786),
    [aux_sym_preproc_elif_token1] = ACTIONS(1786),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1786),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1786),
    [sym_preproc_directive] = ACTIONS(1786),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_typedef] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1786),
    [anon_sym___clrcall] = ACTIONS(1786),
    [anon_sym___stdcall] = ACTIONS(1786),
    [anon_sym___fastcall] = ACTIONS(1786),
    [anon_sym___thiscall] = ACTIONS(1786),
    [anon_sym___vectorcall] = ACTIONS(1786),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1786),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1786),
    [anon_sym_default] = ACTIONS(1786),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(1788),
    [aux_sym_preproc_undef_token1] = ACTIONS(1786),
    [anon_sym_POUND] = ACTIONS(1786),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(1788),
    [anon_sym_ATinterface] = ACTIONS(1788),
    [anon_sym_ATimplementation] = ACTIONS(1788),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1788),
    [anon_sym_ATsynthesize] = ACTIONS(1788),
    [anon_sym_ATdynamic] = ACTIONS(1788),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [134] = {
    [sym_declaration] = STATE(133),
    [sym_type_definition] = STATE(133),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4237),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2857),
    [sym_compound_statement] = STATE(133),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(133),
    [sym_labeled_statement] = STATE(133),
    [sym_expression_statement] = STATE(133),
    [sym_if_statement] = STATE(133),
    [sym_switch_statement] = STATE(133),
    [sym_while_statement] = STATE(133),
    [sym_do_statement] = STATE(133),
    [sym_for_statement] = STATE(133),
    [sym_return_statement] = STATE(133),
    [sym_break_statement] = STATE(133),
    [sym_continue_statement] = STATE(133),
    [sym_goto_statement] = STATE(133),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(133),
    [sym_throw_statement] = STATE(133),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(133),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(133),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(133),
    [sym_identifier] = ACTIONS(1766),
    [aux_sym_preproc_include_token1] = ACTIONS(1790),
    [aux_sym_preproc_include_token2] = ACTIONS(1790),
    [aux_sym_preproc_def_token1] = ACTIONS(1790),
    [aux_sym_preproc_if_token1] = ACTIONS(1790),
    [aux_sym_preproc_if_token2] = ACTIONS(1790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1790),
    [aux_sym_preproc_else_token1] = ACTIONS(1790),
    [aux_sym_preproc_elif_token1] = ACTIONS(1790),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1790),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1790),
    [sym_preproc_directive] = ACTIONS(1790),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(1770),
    [anon_sym_typedef] = ACTIONS(175),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1790),
    [anon_sym___clrcall] = ACTIONS(1790),
    [anon_sym___stdcall] = ACTIONS(1790),
    [anon_sym___fastcall] = ACTIONS(1790),
    [anon_sym___thiscall] = ACTIONS(1790),
    [anon_sym___vectorcall] = ACTIONS(1790),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1790),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1790),
    [anon_sym_default] = ACTIONS(1790),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(1792),
    [aux_sym_preproc_undef_token1] = ACTIONS(1790),
    [anon_sym_POUND] = ACTIONS(1790),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(1792),
    [anon_sym_ATinterface] = ACTIONS(1792),
    [anon_sym_ATimplementation] = ACTIONS(1792),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1792),
    [anon_sym_ATsynthesize] = ACTIONS(1792),
    [anon_sym_ATdynamic] = ACTIONS(1792),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [135] = {
    [sym_declaration] = STATE(137),
    [sym_type_definition] = STATE(137),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4239),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2859),
    [sym_compound_statement] = STATE(137),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(137),
    [sym_labeled_statement] = STATE(137),
    [sym_expression_statement] = STATE(137),
    [sym_if_statement] = STATE(137),
    [sym_switch_statement] = STATE(137),
    [sym_while_statement] = STATE(137),
    [sym_do_statement] = STATE(137),
    [sym_for_statement] = STATE(137),
    [sym_return_statement] = STATE(137),
    [sym_break_statement] = STATE(137),
    [sym_continue_statement] = STATE(137),
    [sym_goto_statement] = STATE(137),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(137),
    [sym_throw_statement] = STATE(137),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(137),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(137),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(137),
    [sym_identifier] = ACTIONS(1794),
    [aux_sym_preproc_include_token1] = ACTIONS(1786),
    [aux_sym_preproc_include_token2] = ACTIONS(1786),
    [aux_sym_preproc_def_token1] = ACTIONS(1786),
    [aux_sym_preproc_if_token1] = ACTIONS(1786),
    [aux_sym_preproc_if_token2] = ACTIONS(1786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1786),
    [aux_sym_preproc_else_token1] = ACTIONS(1786),
    [aux_sym_preproc_elif_token1] = ACTIONS(1786),
    [sym_preproc_directive] = ACTIONS(1786),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(1796),
    [anon_sym_typedef] = ACTIONS(297),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1786),
    [anon_sym___clrcall] = ACTIONS(1786),
    [anon_sym___stdcall] = ACTIONS(1786),
    [anon_sym___fastcall] = ACTIONS(1786),
    [anon_sym___thiscall] = ACTIONS(1786),
    [anon_sym___vectorcall] = ACTIONS(1786),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_else] = ACTIONS(1786),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(1786),
    [anon_sym_default] = ACTIONS(1786),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(1788),
    [aux_sym_preproc_undef_token1] = ACTIONS(1786),
    [anon_sym_POUND] = ACTIONS(1786),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(1788),
    [anon_sym_ATinterface] = ACTIONS(1788),
    [anon_sym_ATimplementation] = ACTIONS(1788),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1788),
    [anon_sym_ATsynthesize] = ACTIONS(1788),
    [anon_sym_ATdynamic] = ACTIONS(1788),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [136] = {
    [sym_declaration] = STATE(139),
    [sym_type_definition] = STATE(139),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4239),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2859),
    [sym_compound_statement] = STATE(139),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(139),
    [sym_labeled_statement] = STATE(139),
    [sym_expression_statement] = STATE(139),
    [sym_if_statement] = STATE(139),
    [sym_switch_statement] = STATE(139),
    [sym_while_statement] = STATE(139),
    [sym_do_statement] = STATE(139),
    [sym_for_statement] = STATE(139),
    [sym_return_statement] = STATE(139),
    [sym_break_statement] = STATE(139),
    [sym_continue_statement] = STATE(139),
    [sym_goto_statement] = STATE(139),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(139),
    [sym_throw_statement] = STATE(139),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(139),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(139),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(139),
    [sym_identifier] = ACTIONS(1794),
    [aux_sym_preproc_include_token1] = ACTIONS(1782),
    [aux_sym_preproc_include_token2] = ACTIONS(1782),
    [aux_sym_preproc_def_token1] = ACTIONS(1782),
    [aux_sym_preproc_if_token1] = ACTIONS(1782),
    [aux_sym_preproc_if_token2] = ACTIONS(1782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1782),
    [aux_sym_preproc_else_token1] = ACTIONS(1782),
    [aux_sym_preproc_elif_token1] = ACTIONS(1782),
    [sym_preproc_directive] = ACTIONS(1782),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(1796),
    [anon_sym_typedef] = ACTIONS(297),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1782),
    [anon_sym___clrcall] = ACTIONS(1782),
    [anon_sym___stdcall] = ACTIONS(1782),
    [anon_sym___fastcall] = ACTIONS(1782),
    [anon_sym___thiscall] = ACTIONS(1782),
    [anon_sym___vectorcall] = ACTIONS(1782),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_else] = ACTIONS(1782),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(1782),
    [anon_sym_default] = ACTIONS(1782),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(1784),
    [aux_sym_preproc_undef_token1] = ACTIONS(1782),
    [anon_sym_POUND] = ACTIONS(1782),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(1784),
    [anon_sym_ATinterface] = ACTIONS(1784),
    [anon_sym_ATimplementation] = ACTIONS(1784),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1784),
    [anon_sym_ATsynthesize] = ACTIONS(1784),
    [anon_sym_ATdynamic] = ACTIONS(1784),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [137] = {
    [sym_declaration] = STATE(137),
    [sym_type_definition] = STATE(137),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4239),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2859),
    [sym_compound_statement] = STATE(137),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(137),
    [sym_labeled_statement] = STATE(137),
    [sym_expression_statement] = STATE(137),
    [sym_if_statement] = STATE(137),
    [sym_switch_statement] = STATE(137),
    [sym_while_statement] = STATE(137),
    [sym_do_statement] = STATE(137),
    [sym_for_statement] = STATE(137),
    [sym_return_statement] = STATE(137),
    [sym_break_statement] = STATE(137),
    [sym_continue_statement] = STATE(137),
    [sym_goto_statement] = STATE(137),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(137),
    [sym_throw_statement] = STATE(137),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(137),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(137),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(137),
    [sym_identifier] = ACTIONS(1798),
    [aux_sym_preproc_include_token1] = ACTIONS(1582),
    [aux_sym_preproc_include_token2] = ACTIONS(1582),
    [aux_sym_preproc_def_token1] = ACTIONS(1582),
    [aux_sym_preproc_if_token1] = ACTIONS(1582),
    [aux_sym_preproc_if_token2] = ACTIONS(1582),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1582),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1582),
    [aux_sym_preproc_else_token1] = ACTIONS(1582),
    [aux_sym_preproc_elif_token1] = ACTIONS(1582),
    [sym_preproc_directive] = ACTIONS(1582),
    [anon_sym_LPAREN2] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1587),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1596),
    [anon_sym_AMP] = ACTIONS(1593),
    [anon_sym_SEMI] = ACTIONS(1801),
    [anon_sym___extension__] = ACTIONS(1804),
    [anon_sym_typedef] = ACTIONS(1807),
    [anon_sym_extern] = ACTIONS(1608),
    [anon_sym___attribute__] = ACTIONS(1611),
    [anon_sym___attribute] = ACTIONS(1611),
    [anon_sym_noreturn] = ACTIONS(1614),
    [anon_sym_LBRACK] = ACTIONS(1617),
    [anon_sym___declspec] = ACTIONS(1620),
    [anon_sym___cdecl] = ACTIONS(1582),
    [anon_sym___clrcall] = ACTIONS(1582),
    [anon_sym___stdcall] = ACTIONS(1582),
    [anon_sym___fastcall] = ACTIONS(1582),
    [anon_sym___thiscall] = ACTIONS(1582),
    [anon_sym___vectorcall] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1810),
    [anon_sym_signed] = ACTIONS(1626),
    [anon_sym_unsigned] = ACTIONS(1626),
    [anon_sym_long] = ACTIONS(1626),
    [anon_sym_short] = ACTIONS(1626),
    [anon_sym_static] = ACTIONS(1608),
    [anon_sym_ATautoreleasepool] = ACTIONS(1813),
    [anon_sym_auto] = ACTIONS(1608),
    [anon_sym_register] = ACTIONS(1608),
    [anon_sym_inline] = ACTIONS(1608),
    [anon_sym___inline] = ACTIONS(1608),
    [anon_sym___inline__] = ACTIONS(1608),
    [anon_sym___forceinline] = ACTIONS(1608),
    [anon_sym_thread_local] = ACTIONS(1608),
    [anon_sym___thread] = ACTIONS(1608),
    [anon_sym_CG_EXTERN] = ACTIONS(1608),
    [anon_sym_CG_INLINE] = ACTIONS(1608),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(1608),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(1608),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(1608),
    [anon_sym_IBOutlet] = ACTIONS(1608),
    [anon_sym_IBInspectable] = ACTIONS(1608),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(1608),
    [anon_sym_NS_INLINE] = ACTIONS(1608),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(1608),
    [anon_sym_OBJC_EXPORT] = ACTIONS(1608),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(1608),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(1608),
    [anon_sym_const] = ACTIONS(1632),
    [anon_sym_constexpr] = ACTIONS(1614),
    [anon_sym_volatile] = ACTIONS(1614),
    [anon_sym_restrict] = ACTIONS(1614),
    [anon_sym___restrict__] = ACTIONS(1614),
    [anon_sym__Atomic] = ACTIONS(1614),
    [anon_sym__Noreturn] = ACTIONS(1614),
    [anon_sym__Nonnull] = ACTIONS(1614),
    [anon_sym_nullable] = ACTIONS(1614),
    [anon_sym__Complex] = ACTIONS(1614),
    [anon_sym__Nullable] = ACTIONS(1614),
    [anon_sym__Nullable_result] = ACTIONS(1614),
    [anon_sym__Null_unspecified] = ACTIONS(1614),
    [anon_sym___autoreleasing] = ACTIONS(1614),
    [anon_sym___block] = ACTIONS(1614),
    [anon_sym___bridge] = ACTIONS(1614),
    [anon_sym___bridge_retained] = ACTIONS(1614),
    [anon_sym___bridge_transfer] = ACTIONS(1614),
    [anon_sym___complex] = ACTIONS(1614),
    [anon_sym___const] = ACTIONS(1614),
    [anon_sym___imag] = ACTIONS(1635),
    [anon_sym___kindof] = ACTIONS(1614),
    [anon_sym___nonnull] = ACTIONS(1614),
    [anon_sym___nullable] = ACTIONS(1614),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(1614),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(1614),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(1614),
    [anon_sym___real] = ACTIONS(1635),
    [anon_sym___strong] = ACTIONS(1614),
    [anon_sym___unsafe_unretained] = ACTIONS(1614),
    [anon_sym___unused] = ACTIONS(1614),
    [anon_sym___weak] = ACTIONS(1614),
    [anon_sym_alignas] = ACTIONS(1638),
    [anon_sym__Alignas] = ACTIONS(1638),
    [sym_primitive_type] = ACTIONS(1641),
    [anon_sym_enum] = ACTIONS(1644),
    [anon_sym_struct] = ACTIONS(1647),
    [anon_sym_union] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1816),
    [anon_sym_else] = ACTIONS(1582),
    [anon_sym_switch] = ACTIONS(1819),
    [anon_sym_case] = ACTIONS(1582),
    [anon_sym_default] = ACTIONS(1582),
    [anon_sym_while] = ACTIONS(1822),
    [anon_sym_do] = ACTIONS(1825),
    [anon_sym_for] = ACTIONS(1828),
    [anon_sym_in] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(1831),
    [anon_sym_break] = ACTIONS(1834),
    [anon_sym_continue] = ACTIONS(1837),
    [anon_sym_goto] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1683),
    [anon_sym_sizeof] = ACTIONS(1686),
    [anon_sym___alignof__] = ACTIONS(1689),
    [anon_sym___alignof] = ACTIONS(1689),
    [anon_sym__alignof] = ACTIONS(1689),
    [anon_sym_alignof] = ACTIONS(1689),
    [anon_sym__Alignof] = ACTIONS(1689),
    [anon_sym_offsetof] = ACTIONS(1692),
    [anon_sym__Generic] = ACTIONS(1695),
    [anon_sym_asm] = ACTIONS(1698),
    [anon_sym___asm__] = ACTIONS(1698),
    [anon_sym___asm] = ACTIONS(1843),
    [sym_number_literal] = ACTIONS(1704),
    [anon_sym_L_SQUOTE] = ACTIONS(1707),
    [anon_sym_u_SQUOTE] = ACTIONS(1707),
    [anon_sym_U_SQUOTE] = ACTIONS(1707),
    [anon_sym_u8_SQUOTE] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1710),
    [anon_sym_DQUOTE] = ACTIONS(1713),
    [anon_sym_L_DQUOTE] = ACTIONS(1713),
    [anon_sym_u_DQUOTE] = ACTIONS(1713),
    [anon_sym_U_DQUOTE] = ACTIONS(1713),
    [anon_sym_u8_DQUOTE] = ACTIONS(1713),
    [sym_true] = ACTIONS(1716),
    [sym_false] = ACTIONS(1716),
    [anon_sym_NULL] = ACTIONS(1719),
    [anon_sym_nullptr] = ACTIONS(1719),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(1722),
    [anon_sym___typeof] = ACTIONS(1722),
    [anon_sym_typeof] = ACTIONS(1722),
    [anon_sym_ATimport] = ACTIONS(1725),
    [aux_sym_preproc_undef_token1] = ACTIONS(1582),
    [anon_sym_POUND] = ACTIONS(1582),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(1727),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(1727),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(1727),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(1727),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(1727),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(1727),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(1727),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(1727),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(1727),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(1730),
    [anon_sym_NS_AVAILABLE] = ACTIONS(1730),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(1730),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(1730),
    [anon_sym_API_AVAILABLE] = ACTIONS(1730),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(1730),
    [anon_sym_API_DEPRECATED] = ACTIONS(1730),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(1730),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(1730),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(1730),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(1730),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(1730),
    [anon_sym___deprecated_msg] = ACTIONS(1730),
    [anon_sym___deprecated_enum_msg] = ACTIONS(1730),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(1730),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(1730),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(1730),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(1730),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(1730),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(1730),
    [anon_sym_ATprotocol] = ACTIONS(1725),
    [anon_sym_ATinterface] = ACTIONS(1725),
    [anon_sym_ATimplementation] = ACTIONS(1725),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1725),
    [anon_sym_ATsynthesize] = ACTIONS(1725),
    [anon_sym_ATdynamic] = ACTIONS(1725),
    [anon_sym_ATtry] = ACTIONS(1846),
    [anon_sym___try] = ACTIONS(1849),
    [anon_sym_ATthrow] = ACTIONS(1852),
    [anon_sym_ATselector] = ACTIONS(1742),
    [anon_sym_ATavailable] = ACTIONS(1745),
    [anon_sym___builtin_available] = ACTIONS(1748),
    [anon_sym_va_arg] = ACTIONS(1751),
    [anon_sym_ATencode] = ACTIONS(1754),
    [anon_sym_ATsynchronized] = ACTIONS(1855),
    [anon_sym_BOOL] = ACTIONS(1760),
    [anon_sym_IMP] = ACTIONS(1760),
    [anon_sym_SEL] = ACTIONS(1760),
    [anon_sym_Class] = ACTIONS(1760),
    [anon_sym_id] = ACTIONS(1763),
  },
  [138] = {
    [sym_declaration] = STATE(135),
    [sym_type_definition] = STATE(135),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4239),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2859),
    [sym_compound_statement] = STATE(135),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(135),
    [sym_labeled_statement] = STATE(135),
    [sym_expression_statement] = STATE(135),
    [sym_if_statement] = STATE(135),
    [sym_switch_statement] = STATE(135),
    [sym_while_statement] = STATE(135),
    [sym_do_statement] = STATE(135),
    [sym_for_statement] = STATE(135),
    [sym_return_statement] = STATE(135),
    [sym_break_statement] = STATE(135),
    [sym_continue_statement] = STATE(135),
    [sym_goto_statement] = STATE(135),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(135),
    [sym_throw_statement] = STATE(135),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(135),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(135),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(135),
    [sym_identifier] = ACTIONS(1794),
    [aux_sym_preproc_include_token1] = ACTIONS(1790),
    [aux_sym_preproc_include_token2] = ACTIONS(1790),
    [aux_sym_preproc_def_token1] = ACTIONS(1790),
    [aux_sym_preproc_if_token1] = ACTIONS(1790),
    [aux_sym_preproc_if_token2] = ACTIONS(1790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1790),
    [aux_sym_preproc_else_token1] = ACTIONS(1790),
    [aux_sym_preproc_elif_token1] = ACTIONS(1790),
    [sym_preproc_directive] = ACTIONS(1790),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(1796),
    [anon_sym_typedef] = ACTIONS(297),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1790),
    [anon_sym___clrcall] = ACTIONS(1790),
    [anon_sym___stdcall] = ACTIONS(1790),
    [anon_sym___fastcall] = ACTIONS(1790),
    [anon_sym___thiscall] = ACTIONS(1790),
    [anon_sym___vectorcall] = ACTIONS(1790),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_else] = ACTIONS(1790),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(1790),
    [anon_sym_default] = ACTIONS(1790),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(1792),
    [aux_sym_preproc_undef_token1] = ACTIONS(1790),
    [anon_sym_POUND] = ACTIONS(1790),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(1792),
    [anon_sym_ATinterface] = ACTIONS(1792),
    [anon_sym_ATimplementation] = ACTIONS(1792),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1792),
    [anon_sym_ATsynthesize] = ACTIONS(1792),
    [anon_sym_ATdynamic] = ACTIONS(1792),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [139] = {
    [sym_declaration] = STATE(137),
    [sym_type_definition] = STATE(137),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4239),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2859),
    [sym_compound_statement] = STATE(137),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(137),
    [sym_labeled_statement] = STATE(137),
    [sym_expression_statement] = STATE(137),
    [sym_if_statement] = STATE(137),
    [sym_switch_statement] = STATE(137),
    [sym_while_statement] = STATE(137),
    [sym_do_statement] = STATE(137),
    [sym_for_statement] = STATE(137),
    [sym_return_statement] = STATE(137),
    [sym_break_statement] = STATE(137),
    [sym_continue_statement] = STATE(137),
    [sym_goto_statement] = STATE(137),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(137),
    [sym_throw_statement] = STATE(137),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(137),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(137),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(137),
    [sym_identifier] = ACTIONS(1794),
    [aux_sym_preproc_include_token1] = ACTIONS(1768),
    [aux_sym_preproc_include_token2] = ACTIONS(1768),
    [aux_sym_preproc_def_token1] = ACTIONS(1768),
    [aux_sym_preproc_if_token1] = ACTIONS(1768),
    [aux_sym_preproc_if_token2] = ACTIONS(1768),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1768),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1768),
    [aux_sym_preproc_else_token1] = ACTIONS(1768),
    [aux_sym_preproc_elif_token1] = ACTIONS(1768),
    [sym_preproc_directive] = ACTIONS(1768),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(1796),
    [anon_sym_typedef] = ACTIONS(297),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1768),
    [anon_sym___clrcall] = ACTIONS(1768),
    [anon_sym___stdcall] = ACTIONS(1768),
    [anon_sym___fastcall] = ACTIONS(1768),
    [anon_sym___thiscall] = ACTIONS(1768),
    [anon_sym___vectorcall] = ACTIONS(1768),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_else] = ACTIONS(1768),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(1768),
    [anon_sym_default] = ACTIONS(1768),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(1778),
    [aux_sym_preproc_undef_token1] = ACTIONS(1768),
    [anon_sym_POUND] = ACTIONS(1768),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(1778),
    [anon_sym_ATinterface] = ACTIONS(1778),
    [anon_sym_ATimplementation] = ACTIONS(1778),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1778),
    [anon_sym_ATsynthesize] = ACTIONS(1778),
    [anon_sym_ATdynamic] = ACTIONS(1778),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [140] = {
    [sym_declaration] = STATE(142),
    [sym_type_definition] = STATE(142),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4246),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2840),
    [sym_compound_statement] = STATE(142),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(142),
    [sym_labeled_statement] = STATE(142),
    [sym_expression_statement] = STATE(142),
    [sym_if_statement] = STATE(142),
    [sym_switch_statement] = STATE(142),
    [sym_while_statement] = STATE(142),
    [sym_do_statement] = STATE(142),
    [sym_for_statement] = STATE(142),
    [sym_return_statement] = STATE(142),
    [sym_break_statement] = STATE(142),
    [sym_continue_statement] = STATE(142),
    [sym_goto_statement] = STATE(142),
    [sym_expression] = STATE(4447),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6524),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(142),
    [sym_throw_statement] = STATE(142),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(142),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(142),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(142),
    [sym_identifier] = ACTIONS(1858),
    [aux_sym_preproc_include_token1] = ACTIONS(1790),
    [aux_sym_preproc_include_token2] = ACTIONS(1790),
    [aux_sym_preproc_def_token1] = ACTIONS(1790),
    [aux_sym_preproc_if_token1] = ACTIONS(1790),
    [aux_sym_preproc_if_token2] = ACTIONS(1790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1790),
    [sym_preproc_directive] = ACTIONS(1790),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(860),
    [anon_sym___extension__] = ACTIONS(1860),
    [anon_sym_typedef] = ACTIONS(864),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1790),
    [anon_sym___clrcall] = ACTIONS(1790),
    [anon_sym___stdcall] = ACTIONS(1790),
    [anon_sym___fastcall] = ACTIONS(1790),
    [anon_sym___thiscall] = ACTIONS(1790),
    [anon_sym___vectorcall] = ACTIONS(1790),
    [anon_sym_LBRACE] = ACTIONS(870),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(872),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_else] = ACTIONS(1790),
    [anon_sym_switch] = ACTIONS(876),
    [anon_sym_case] = ACTIONS(1790),
    [anon_sym_default] = ACTIONS(1790),
    [anon_sym_while] = ACTIONS(882),
    [anon_sym_do] = ACTIONS(884),
    [anon_sym_for] = ACTIONS(886),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_break] = ACTIONS(890),
    [anon_sym_continue] = ACTIONS(892),
    [anon_sym_goto] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(896),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(1792),
    [aux_sym_preproc_undef_token1] = ACTIONS(1790),
    [anon_sym_POUND] = ACTIONS(1790),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(1792),
    [anon_sym_ATinterface] = ACTIONS(1792),
    [anon_sym_ATimplementation] = ACTIONS(1792),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1792),
    [anon_sym_ATsynthesize] = ACTIONS(1792),
    [anon_sym_ATdynamic] = ACTIONS(1792),
    [anon_sym_ATtry] = ACTIONS(914),
    [anon_sym___try] = ACTIONS(916),
    [anon_sym_ATthrow] = ACTIONS(918),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(920),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [141] = {
    [sym_declaration] = STATE(141),
    [sym_type_definition] = STATE(141),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4246),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2840),
    [sym_compound_statement] = STATE(141),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(141),
    [sym_labeled_statement] = STATE(141),
    [sym_expression_statement] = STATE(141),
    [sym_if_statement] = STATE(141),
    [sym_switch_statement] = STATE(141),
    [sym_while_statement] = STATE(141),
    [sym_do_statement] = STATE(141),
    [sym_for_statement] = STATE(141),
    [sym_return_statement] = STATE(141),
    [sym_break_statement] = STATE(141),
    [sym_continue_statement] = STATE(141),
    [sym_goto_statement] = STATE(141),
    [sym_expression] = STATE(4447),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6524),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(141),
    [sym_throw_statement] = STATE(141),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(141),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(141),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(141),
    [sym_identifier] = ACTIONS(1862),
    [aux_sym_preproc_include_token1] = ACTIONS(1582),
    [aux_sym_preproc_include_token2] = ACTIONS(1582),
    [aux_sym_preproc_def_token1] = ACTIONS(1582),
    [aux_sym_preproc_if_token1] = ACTIONS(1582),
    [aux_sym_preproc_if_token2] = ACTIONS(1582),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1582),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1582),
    [sym_preproc_directive] = ACTIONS(1582),
    [anon_sym_LPAREN2] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1587),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1596),
    [anon_sym_AMP] = ACTIONS(1593),
    [anon_sym_SEMI] = ACTIONS(1865),
    [anon_sym___extension__] = ACTIONS(1868),
    [anon_sym_typedef] = ACTIONS(1871),
    [anon_sym_extern] = ACTIONS(1608),
    [anon_sym___attribute__] = ACTIONS(1611),
    [anon_sym___attribute] = ACTIONS(1611),
    [anon_sym_noreturn] = ACTIONS(1614),
    [anon_sym_LBRACK] = ACTIONS(1617),
    [anon_sym___declspec] = ACTIONS(1620),
    [anon_sym___cdecl] = ACTIONS(1582),
    [anon_sym___clrcall] = ACTIONS(1582),
    [anon_sym___stdcall] = ACTIONS(1582),
    [anon_sym___fastcall] = ACTIONS(1582),
    [anon_sym___thiscall] = ACTIONS(1582),
    [anon_sym___vectorcall] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1874),
    [anon_sym_signed] = ACTIONS(1626),
    [anon_sym_unsigned] = ACTIONS(1626),
    [anon_sym_long] = ACTIONS(1626),
    [anon_sym_short] = ACTIONS(1626),
    [anon_sym_static] = ACTIONS(1608),
    [anon_sym_ATautoreleasepool] = ACTIONS(1877),
    [anon_sym_auto] = ACTIONS(1608),
    [anon_sym_register] = ACTIONS(1608),
    [anon_sym_inline] = ACTIONS(1608),
    [anon_sym___inline] = ACTIONS(1608),
    [anon_sym___inline__] = ACTIONS(1608),
    [anon_sym___forceinline] = ACTIONS(1608),
    [anon_sym_thread_local] = ACTIONS(1608),
    [anon_sym___thread] = ACTIONS(1608),
    [anon_sym_CG_EXTERN] = ACTIONS(1608),
    [anon_sym_CG_INLINE] = ACTIONS(1608),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(1608),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(1608),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(1608),
    [anon_sym_IBOutlet] = ACTIONS(1608),
    [anon_sym_IBInspectable] = ACTIONS(1608),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(1608),
    [anon_sym_NS_INLINE] = ACTIONS(1608),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(1608),
    [anon_sym_OBJC_EXPORT] = ACTIONS(1608),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(1608),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(1608),
    [anon_sym_const] = ACTIONS(1632),
    [anon_sym_constexpr] = ACTIONS(1614),
    [anon_sym_volatile] = ACTIONS(1614),
    [anon_sym_restrict] = ACTIONS(1614),
    [anon_sym___restrict__] = ACTIONS(1614),
    [anon_sym__Atomic] = ACTIONS(1614),
    [anon_sym__Noreturn] = ACTIONS(1614),
    [anon_sym__Nonnull] = ACTIONS(1614),
    [anon_sym_nullable] = ACTIONS(1614),
    [anon_sym__Complex] = ACTIONS(1614),
    [anon_sym__Nullable] = ACTIONS(1614),
    [anon_sym__Nullable_result] = ACTIONS(1614),
    [anon_sym__Null_unspecified] = ACTIONS(1614),
    [anon_sym___autoreleasing] = ACTIONS(1614),
    [anon_sym___block] = ACTIONS(1614),
    [anon_sym___bridge] = ACTIONS(1614),
    [anon_sym___bridge_retained] = ACTIONS(1614),
    [anon_sym___bridge_transfer] = ACTIONS(1614),
    [anon_sym___complex] = ACTIONS(1614),
    [anon_sym___const] = ACTIONS(1614),
    [anon_sym___imag] = ACTIONS(1635),
    [anon_sym___kindof] = ACTIONS(1614),
    [anon_sym___nonnull] = ACTIONS(1614),
    [anon_sym___nullable] = ACTIONS(1614),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(1614),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(1614),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(1614),
    [anon_sym___real] = ACTIONS(1635),
    [anon_sym___strong] = ACTIONS(1614),
    [anon_sym___unsafe_unretained] = ACTIONS(1614),
    [anon_sym___unused] = ACTIONS(1614),
    [anon_sym___weak] = ACTIONS(1614),
    [anon_sym_alignas] = ACTIONS(1638),
    [anon_sym__Alignas] = ACTIONS(1638),
    [sym_primitive_type] = ACTIONS(1641),
    [anon_sym_enum] = ACTIONS(1644),
    [anon_sym_struct] = ACTIONS(1647),
    [anon_sym_union] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1880),
    [anon_sym_else] = ACTIONS(1582),
    [anon_sym_switch] = ACTIONS(1883),
    [anon_sym_case] = ACTIONS(1582),
    [anon_sym_default] = ACTIONS(1582),
    [anon_sym_while] = ACTIONS(1886),
    [anon_sym_do] = ACTIONS(1889),
    [anon_sym_for] = ACTIONS(1892),
    [anon_sym_in] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(1895),
    [anon_sym_break] = ACTIONS(1898),
    [anon_sym_continue] = ACTIONS(1901),
    [anon_sym_goto] = ACTIONS(1904),
    [anon_sym_DASH_DASH] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1683),
    [anon_sym_sizeof] = ACTIONS(1686),
    [anon_sym___alignof__] = ACTIONS(1689),
    [anon_sym___alignof] = ACTIONS(1689),
    [anon_sym__alignof] = ACTIONS(1689),
    [anon_sym_alignof] = ACTIONS(1689),
    [anon_sym__Alignof] = ACTIONS(1689),
    [anon_sym_offsetof] = ACTIONS(1692),
    [anon_sym__Generic] = ACTIONS(1695),
    [anon_sym_asm] = ACTIONS(1698),
    [anon_sym___asm__] = ACTIONS(1698),
    [anon_sym___asm] = ACTIONS(1907),
    [sym_number_literal] = ACTIONS(1704),
    [anon_sym_L_SQUOTE] = ACTIONS(1707),
    [anon_sym_u_SQUOTE] = ACTIONS(1707),
    [anon_sym_U_SQUOTE] = ACTIONS(1707),
    [anon_sym_u8_SQUOTE] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1710),
    [anon_sym_DQUOTE] = ACTIONS(1713),
    [anon_sym_L_DQUOTE] = ACTIONS(1713),
    [anon_sym_u_DQUOTE] = ACTIONS(1713),
    [anon_sym_U_DQUOTE] = ACTIONS(1713),
    [anon_sym_u8_DQUOTE] = ACTIONS(1713),
    [sym_true] = ACTIONS(1716),
    [sym_false] = ACTIONS(1716),
    [anon_sym_NULL] = ACTIONS(1719),
    [anon_sym_nullptr] = ACTIONS(1719),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(1722),
    [anon_sym___typeof] = ACTIONS(1722),
    [anon_sym_typeof] = ACTIONS(1722),
    [anon_sym_ATimport] = ACTIONS(1725),
    [aux_sym_preproc_undef_token1] = ACTIONS(1582),
    [anon_sym_POUND] = ACTIONS(1582),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(1727),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(1727),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(1727),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(1727),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(1727),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(1727),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(1727),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(1727),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(1727),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(1730),
    [anon_sym_NS_AVAILABLE] = ACTIONS(1730),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(1730),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(1730),
    [anon_sym_API_AVAILABLE] = ACTIONS(1730),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(1730),
    [anon_sym_API_DEPRECATED] = ACTIONS(1730),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(1730),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(1730),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(1730),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(1730),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(1730),
    [anon_sym___deprecated_msg] = ACTIONS(1730),
    [anon_sym___deprecated_enum_msg] = ACTIONS(1730),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(1730),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(1730),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(1730),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(1730),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(1730),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(1730),
    [anon_sym_ATprotocol] = ACTIONS(1725),
    [anon_sym_ATinterface] = ACTIONS(1725),
    [anon_sym_ATimplementation] = ACTIONS(1725),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1725),
    [anon_sym_ATsynthesize] = ACTIONS(1725),
    [anon_sym_ATdynamic] = ACTIONS(1725),
    [anon_sym_ATtry] = ACTIONS(1910),
    [anon_sym___try] = ACTIONS(1913),
    [anon_sym_ATthrow] = ACTIONS(1916),
    [anon_sym_ATselector] = ACTIONS(1742),
    [anon_sym_ATavailable] = ACTIONS(1745),
    [anon_sym___builtin_available] = ACTIONS(1748),
    [anon_sym_va_arg] = ACTIONS(1751),
    [anon_sym_ATencode] = ACTIONS(1754),
    [anon_sym_ATsynchronized] = ACTIONS(1919),
    [anon_sym_BOOL] = ACTIONS(1760),
    [anon_sym_IMP] = ACTIONS(1760),
    [anon_sym_SEL] = ACTIONS(1760),
    [anon_sym_Class] = ACTIONS(1760),
    [anon_sym_id] = ACTIONS(1763),
  },
  [142] = {
    [sym_declaration] = STATE(141),
    [sym_type_definition] = STATE(141),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4246),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2840),
    [sym_compound_statement] = STATE(141),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(141),
    [sym_labeled_statement] = STATE(141),
    [sym_expression_statement] = STATE(141),
    [sym_if_statement] = STATE(141),
    [sym_switch_statement] = STATE(141),
    [sym_while_statement] = STATE(141),
    [sym_do_statement] = STATE(141),
    [sym_for_statement] = STATE(141),
    [sym_return_statement] = STATE(141),
    [sym_break_statement] = STATE(141),
    [sym_continue_statement] = STATE(141),
    [sym_goto_statement] = STATE(141),
    [sym_expression] = STATE(4447),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6524),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(141),
    [sym_throw_statement] = STATE(141),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(141),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(141),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(141),
    [sym_identifier] = ACTIONS(1858),
    [aux_sym_preproc_include_token1] = ACTIONS(1786),
    [aux_sym_preproc_include_token2] = ACTIONS(1786),
    [aux_sym_preproc_def_token1] = ACTIONS(1786),
    [aux_sym_preproc_if_token1] = ACTIONS(1786),
    [aux_sym_preproc_if_token2] = ACTIONS(1786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1786),
    [sym_preproc_directive] = ACTIONS(1786),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(860),
    [anon_sym___extension__] = ACTIONS(1860),
    [anon_sym_typedef] = ACTIONS(864),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1786),
    [anon_sym___clrcall] = ACTIONS(1786),
    [anon_sym___stdcall] = ACTIONS(1786),
    [anon_sym___fastcall] = ACTIONS(1786),
    [anon_sym___thiscall] = ACTIONS(1786),
    [anon_sym___vectorcall] = ACTIONS(1786),
    [anon_sym_LBRACE] = ACTIONS(870),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(872),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_else] = ACTIONS(1786),
    [anon_sym_switch] = ACTIONS(876),
    [anon_sym_case] = ACTIONS(1786),
    [anon_sym_default] = ACTIONS(1786),
    [anon_sym_while] = ACTIONS(882),
    [anon_sym_do] = ACTIONS(884),
    [anon_sym_for] = ACTIONS(886),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_break] = ACTIONS(890),
    [anon_sym_continue] = ACTIONS(892),
    [anon_sym_goto] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(896),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(1788),
    [aux_sym_preproc_undef_token1] = ACTIONS(1786),
    [anon_sym_POUND] = ACTIONS(1786),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(1788),
    [anon_sym_ATinterface] = ACTIONS(1788),
    [anon_sym_ATimplementation] = ACTIONS(1788),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1788),
    [anon_sym_ATsynthesize] = ACTIONS(1788),
    [anon_sym_ATdynamic] = ACTIONS(1788),
    [anon_sym_ATtry] = ACTIONS(914),
    [anon_sym___try] = ACTIONS(916),
    [anon_sym_ATthrow] = ACTIONS(918),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(920),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [143] = {
    [sym_declaration] = STATE(141),
    [sym_type_definition] = STATE(141),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4246),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2840),
    [sym_compound_statement] = STATE(141),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(141),
    [sym_labeled_statement] = STATE(141),
    [sym_expression_statement] = STATE(141),
    [sym_if_statement] = STATE(141),
    [sym_switch_statement] = STATE(141),
    [sym_while_statement] = STATE(141),
    [sym_do_statement] = STATE(141),
    [sym_for_statement] = STATE(141),
    [sym_return_statement] = STATE(141),
    [sym_break_statement] = STATE(141),
    [sym_continue_statement] = STATE(141),
    [sym_goto_statement] = STATE(141),
    [sym_expression] = STATE(4447),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6524),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(141),
    [sym_throw_statement] = STATE(141),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(141),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(141),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(141),
    [sym_identifier] = ACTIONS(1858),
    [aux_sym_preproc_include_token1] = ACTIONS(1768),
    [aux_sym_preproc_include_token2] = ACTIONS(1768),
    [aux_sym_preproc_def_token1] = ACTIONS(1768),
    [aux_sym_preproc_if_token1] = ACTIONS(1768),
    [aux_sym_preproc_if_token2] = ACTIONS(1768),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1768),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1768),
    [sym_preproc_directive] = ACTIONS(1768),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(860),
    [anon_sym___extension__] = ACTIONS(1860),
    [anon_sym_typedef] = ACTIONS(864),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1768),
    [anon_sym___clrcall] = ACTIONS(1768),
    [anon_sym___stdcall] = ACTIONS(1768),
    [anon_sym___fastcall] = ACTIONS(1768),
    [anon_sym___thiscall] = ACTIONS(1768),
    [anon_sym___vectorcall] = ACTIONS(1768),
    [anon_sym_LBRACE] = ACTIONS(870),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(872),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_else] = ACTIONS(1768),
    [anon_sym_switch] = ACTIONS(876),
    [anon_sym_case] = ACTIONS(1768),
    [anon_sym_default] = ACTIONS(1768),
    [anon_sym_while] = ACTIONS(882),
    [anon_sym_do] = ACTIONS(884),
    [anon_sym_for] = ACTIONS(886),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_break] = ACTIONS(890),
    [anon_sym_continue] = ACTIONS(892),
    [anon_sym_goto] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(896),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(1778),
    [aux_sym_preproc_undef_token1] = ACTIONS(1768),
    [anon_sym_POUND] = ACTIONS(1768),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(1778),
    [anon_sym_ATinterface] = ACTIONS(1778),
    [anon_sym_ATimplementation] = ACTIONS(1778),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1778),
    [anon_sym_ATsynthesize] = ACTIONS(1778),
    [anon_sym_ATdynamic] = ACTIONS(1778),
    [anon_sym_ATtry] = ACTIONS(914),
    [anon_sym___try] = ACTIONS(916),
    [anon_sym_ATthrow] = ACTIONS(918),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(920),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [144] = {
    [sym_declaration] = STATE(143),
    [sym_type_definition] = STATE(143),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4246),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2840),
    [sym_compound_statement] = STATE(143),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(143),
    [sym_labeled_statement] = STATE(143),
    [sym_expression_statement] = STATE(143),
    [sym_if_statement] = STATE(143),
    [sym_switch_statement] = STATE(143),
    [sym_while_statement] = STATE(143),
    [sym_do_statement] = STATE(143),
    [sym_for_statement] = STATE(143),
    [sym_return_statement] = STATE(143),
    [sym_break_statement] = STATE(143),
    [sym_continue_statement] = STATE(143),
    [sym_goto_statement] = STATE(143),
    [sym_expression] = STATE(4447),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6524),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(143),
    [sym_throw_statement] = STATE(143),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(143),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(143),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(143),
    [sym_identifier] = ACTIONS(1858),
    [aux_sym_preproc_include_token1] = ACTIONS(1782),
    [aux_sym_preproc_include_token2] = ACTIONS(1782),
    [aux_sym_preproc_def_token1] = ACTIONS(1782),
    [aux_sym_preproc_if_token1] = ACTIONS(1782),
    [aux_sym_preproc_if_token2] = ACTIONS(1782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1782),
    [sym_preproc_directive] = ACTIONS(1782),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(860),
    [anon_sym___extension__] = ACTIONS(1860),
    [anon_sym_typedef] = ACTIONS(864),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1782),
    [anon_sym___clrcall] = ACTIONS(1782),
    [anon_sym___stdcall] = ACTIONS(1782),
    [anon_sym___fastcall] = ACTIONS(1782),
    [anon_sym___thiscall] = ACTIONS(1782),
    [anon_sym___vectorcall] = ACTIONS(1782),
    [anon_sym_LBRACE] = ACTIONS(870),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(872),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_else] = ACTIONS(1782),
    [anon_sym_switch] = ACTIONS(876),
    [anon_sym_case] = ACTIONS(1782),
    [anon_sym_default] = ACTIONS(1782),
    [anon_sym_while] = ACTIONS(882),
    [anon_sym_do] = ACTIONS(884),
    [anon_sym_for] = ACTIONS(886),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_break] = ACTIONS(890),
    [anon_sym_continue] = ACTIONS(892),
    [anon_sym_goto] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(896),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(1784),
    [aux_sym_preproc_undef_token1] = ACTIONS(1782),
    [anon_sym_POUND] = ACTIONS(1782),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(1784),
    [anon_sym_ATinterface] = ACTIONS(1784),
    [anon_sym_ATimplementation] = ACTIONS(1784),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1784),
    [anon_sym_ATsynthesize] = ACTIONS(1784),
    [anon_sym_ATdynamic] = ACTIONS(1784),
    [anon_sym_ATtry] = ACTIONS(914),
    [anon_sym___try] = ACTIONS(916),
    [anon_sym_ATthrow] = ACTIONS(918),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(920),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [145] = {
    [sym_declaration] = STATE(154),
    [sym_type_definition] = STATE(154),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4227),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_compound_statement] = STATE(154),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(154),
    [sym_labeled_statement] = STATE(154),
    [sym_expression_statement] = STATE(154),
    [sym_if_statement] = STATE(154),
    [sym_switch_statement] = STATE(154),
    [sym_while_statement] = STATE(154),
    [sym_do_statement] = STATE(154),
    [sym_for_statement] = STATE(154),
    [sym_return_statement] = STATE(154),
    [sym_break_statement] = STATE(154),
    [sym_continue_statement] = STATE(154),
    [sym_goto_statement] = STATE(154),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(154),
    [sym_throw_statement] = STATE(154),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(154),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(154),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(154),
    [sym_identifier] = ACTIONS(1922),
    [aux_sym_preproc_include_token1] = ACTIONS(1782),
    [aux_sym_preproc_include_token2] = ACTIONS(1782),
    [aux_sym_preproc_def_token1] = ACTIONS(1782),
    [aux_sym_preproc_if_token1] = ACTIONS(1782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1782),
    [sym_preproc_directive] = ACTIONS(1782),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(1924),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1782),
    [anon_sym___clrcall] = ACTIONS(1782),
    [anon_sym___stdcall] = ACTIONS(1782),
    [anon_sym___fastcall] = ACTIONS(1782),
    [anon_sym___thiscall] = ACTIONS(1782),
    [anon_sym___vectorcall] = ACTIONS(1782),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1784),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_else] = ACTIONS(1782),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(1782),
    [anon_sym_default] = ACTIONS(1782),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(1784),
    [aux_sym_preproc_undef_token1] = ACTIONS(1782),
    [anon_sym_POUND] = ACTIONS(1782),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(1784),
    [anon_sym_ATinterface] = ACTIONS(1784),
    [anon_sym_ATimplementation] = ACTIONS(1784),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1784),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [146] = {
    [sym_declaration] = STATE(150),
    [sym_type_definition] = STATE(150),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4210),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2911),
    [sym_compound_statement] = STATE(150),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(150),
    [sym_labeled_statement] = STATE(150),
    [sym_expression_statement] = STATE(150),
    [sym_if_statement] = STATE(150),
    [sym_switch_statement] = STATE(150),
    [sym_while_statement] = STATE(150),
    [sym_do_statement] = STATE(150),
    [sym_for_statement] = STATE(150),
    [sym_return_statement] = STATE(150),
    [sym_break_statement] = STATE(150),
    [sym_continue_statement] = STATE(150),
    [sym_goto_statement] = STATE(150),
    [sym_expression] = STATE(4485),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6796),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(150),
    [sym_throw_statement] = STATE(150),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(150),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(150),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2460),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(150),
    [ts_builtin_sym_end] = ACTIONS(1784),
    [sym_identifier] = ACTIONS(1926),
    [aux_sym_preproc_include_token1] = ACTIONS(1782),
    [aux_sym_preproc_include_token2] = ACTIONS(1782),
    [aux_sym_preproc_def_token1] = ACTIONS(1782),
    [aux_sym_preproc_if_token1] = ACTIONS(1782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1782),
    [sym_preproc_directive] = ACTIONS(1782),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(1930),
    [anon_sym_typedef] = ACTIONS(1932),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1782),
    [anon_sym___clrcall] = ACTIONS(1782),
    [anon_sym___stdcall] = ACTIONS(1782),
    [anon_sym___fastcall] = ACTIONS(1782),
    [anon_sym___thiscall] = ACTIONS(1782),
    [anon_sym___vectorcall] = ACTIONS(1782),
    [anon_sym_LBRACE] = ACTIONS(1934),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(1936),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(1938),
    [anon_sym_else] = ACTIONS(1782),
    [anon_sym_switch] = ACTIONS(1940),
    [anon_sym_case] = ACTIONS(1782),
    [anon_sym_default] = ACTIONS(1782),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_for] = ACTIONS(1946),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(1948),
    [anon_sym_break] = ACTIONS(1950),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1954),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(1784),
    [aux_sym_preproc_undef_token1] = ACTIONS(1782),
    [anon_sym_POUND] = ACTIONS(1782),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(1784),
    [anon_sym_ATinterface] = ACTIONS(1784),
    [anon_sym_ATimplementation] = ACTIONS(1784),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1784),
    [anon_sym_ATtry] = ACTIONS(1958),
    [anon_sym___try] = ACTIONS(1960),
    [anon_sym_ATthrow] = ACTIONS(1962),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(1964),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [147] = {
    [sym_declaration] = STATE(147),
    [sym_type_definition] = STATE(147),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4227),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_compound_statement] = STATE(147),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(147),
    [sym_labeled_statement] = STATE(147),
    [sym_expression_statement] = STATE(147),
    [sym_if_statement] = STATE(147),
    [sym_switch_statement] = STATE(147),
    [sym_while_statement] = STATE(147),
    [sym_do_statement] = STATE(147),
    [sym_for_statement] = STATE(147),
    [sym_return_statement] = STATE(147),
    [sym_break_statement] = STATE(147),
    [sym_continue_statement] = STATE(147),
    [sym_goto_statement] = STATE(147),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(147),
    [sym_throw_statement] = STATE(147),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(147),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(147),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(147),
    [sym_identifier] = ACTIONS(1966),
    [aux_sym_preproc_include_token1] = ACTIONS(1582),
    [aux_sym_preproc_include_token2] = ACTIONS(1582),
    [aux_sym_preproc_def_token1] = ACTIONS(1582),
    [aux_sym_preproc_if_token1] = ACTIONS(1582),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1582),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1582),
    [sym_preproc_directive] = ACTIONS(1582),
    [anon_sym_LPAREN2] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1587),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1596),
    [anon_sym_AMP] = ACTIONS(1593),
    [anon_sym_SEMI] = ACTIONS(1969),
    [anon_sym___extension__] = ACTIONS(1972),
    [anon_sym_typedef] = ACTIONS(1975),
    [anon_sym_extern] = ACTIONS(1608),
    [anon_sym___attribute__] = ACTIONS(1611),
    [anon_sym___attribute] = ACTIONS(1611),
    [anon_sym_noreturn] = ACTIONS(1614),
    [anon_sym_LBRACK] = ACTIONS(1617),
    [anon_sym___declspec] = ACTIONS(1620),
    [anon_sym___cdecl] = ACTIONS(1582),
    [anon_sym___clrcall] = ACTIONS(1582),
    [anon_sym___stdcall] = ACTIONS(1582),
    [anon_sym___fastcall] = ACTIONS(1582),
    [anon_sym___thiscall] = ACTIONS(1582),
    [anon_sym___vectorcall] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1978),
    [anon_sym_RBRACE] = ACTIONS(1725),
    [anon_sym_signed] = ACTIONS(1626),
    [anon_sym_unsigned] = ACTIONS(1626),
    [anon_sym_long] = ACTIONS(1626),
    [anon_sym_short] = ACTIONS(1626),
    [anon_sym_static] = ACTIONS(1608),
    [anon_sym_ATautoreleasepool] = ACTIONS(1981),
    [anon_sym_auto] = ACTIONS(1608),
    [anon_sym_register] = ACTIONS(1608),
    [anon_sym_inline] = ACTIONS(1608),
    [anon_sym___inline] = ACTIONS(1608),
    [anon_sym___inline__] = ACTIONS(1608),
    [anon_sym___forceinline] = ACTIONS(1608),
    [anon_sym_thread_local] = ACTIONS(1608),
    [anon_sym___thread] = ACTIONS(1608),
    [anon_sym_CG_EXTERN] = ACTIONS(1608),
    [anon_sym_CG_INLINE] = ACTIONS(1608),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(1608),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(1608),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(1608),
    [anon_sym_IBOutlet] = ACTIONS(1608),
    [anon_sym_IBInspectable] = ACTIONS(1608),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(1608),
    [anon_sym_NS_INLINE] = ACTIONS(1608),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(1608),
    [anon_sym_OBJC_EXPORT] = ACTIONS(1608),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(1608),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(1608),
    [anon_sym_const] = ACTIONS(1632),
    [anon_sym_constexpr] = ACTIONS(1614),
    [anon_sym_volatile] = ACTIONS(1614),
    [anon_sym_restrict] = ACTIONS(1614),
    [anon_sym___restrict__] = ACTIONS(1614),
    [anon_sym__Atomic] = ACTIONS(1614),
    [anon_sym__Noreturn] = ACTIONS(1614),
    [anon_sym__Nonnull] = ACTIONS(1614),
    [anon_sym_nullable] = ACTIONS(1614),
    [anon_sym__Complex] = ACTIONS(1614),
    [anon_sym__Nullable] = ACTIONS(1614),
    [anon_sym__Nullable_result] = ACTIONS(1614),
    [anon_sym__Null_unspecified] = ACTIONS(1614),
    [anon_sym___autoreleasing] = ACTIONS(1614),
    [anon_sym___block] = ACTIONS(1614),
    [anon_sym___bridge] = ACTIONS(1614),
    [anon_sym___bridge_retained] = ACTIONS(1614),
    [anon_sym___bridge_transfer] = ACTIONS(1614),
    [anon_sym___complex] = ACTIONS(1614),
    [anon_sym___const] = ACTIONS(1614),
    [anon_sym___imag] = ACTIONS(1635),
    [anon_sym___kindof] = ACTIONS(1614),
    [anon_sym___nonnull] = ACTIONS(1614),
    [anon_sym___nullable] = ACTIONS(1614),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(1614),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(1614),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(1614),
    [anon_sym___real] = ACTIONS(1635),
    [anon_sym___strong] = ACTIONS(1614),
    [anon_sym___unsafe_unretained] = ACTIONS(1614),
    [anon_sym___unused] = ACTIONS(1614),
    [anon_sym___weak] = ACTIONS(1614),
    [anon_sym_alignas] = ACTIONS(1638),
    [anon_sym__Alignas] = ACTIONS(1638),
    [sym_primitive_type] = ACTIONS(1641),
    [anon_sym_enum] = ACTIONS(1644),
    [anon_sym_struct] = ACTIONS(1647),
    [anon_sym_union] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1984),
    [anon_sym_else] = ACTIONS(1582),
    [anon_sym_switch] = ACTIONS(1987),
    [anon_sym_case] = ACTIONS(1582),
    [anon_sym_default] = ACTIONS(1582),
    [anon_sym_while] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1993),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_in] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(1999),
    [anon_sym_break] = ACTIONS(2002),
    [anon_sym_continue] = ACTIONS(2005),
    [anon_sym_goto] = ACTIONS(2008),
    [anon_sym_DASH_DASH] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1683),
    [anon_sym_sizeof] = ACTIONS(1686),
    [anon_sym___alignof__] = ACTIONS(1689),
    [anon_sym___alignof] = ACTIONS(1689),
    [anon_sym__alignof] = ACTIONS(1689),
    [anon_sym_alignof] = ACTIONS(1689),
    [anon_sym__Alignof] = ACTIONS(1689),
    [anon_sym_offsetof] = ACTIONS(1692),
    [anon_sym__Generic] = ACTIONS(1695),
    [anon_sym_asm] = ACTIONS(1698),
    [anon_sym___asm__] = ACTIONS(1698),
    [anon_sym___asm] = ACTIONS(2011),
    [sym_number_literal] = ACTIONS(1704),
    [anon_sym_L_SQUOTE] = ACTIONS(1707),
    [anon_sym_u_SQUOTE] = ACTIONS(1707),
    [anon_sym_U_SQUOTE] = ACTIONS(1707),
    [anon_sym_u8_SQUOTE] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1710),
    [anon_sym_DQUOTE] = ACTIONS(1713),
    [anon_sym_L_DQUOTE] = ACTIONS(1713),
    [anon_sym_u_DQUOTE] = ACTIONS(1713),
    [anon_sym_U_DQUOTE] = ACTIONS(1713),
    [anon_sym_u8_DQUOTE] = ACTIONS(1713),
    [sym_true] = ACTIONS(1716),
    [sym_false] = ACTIONS(1716),
    [anon_sym_NULL] = ACTIONS(1719),
    [anon_sym_nullptr] = ACTIONS(1719),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(1722),
    [anon_sym___typeof] = ACTIONS(1722),
    [anon_sym_typeof] = ACTIONS(1722),
    [anon_sym_ATimport] = ACTIONS(1725),
    [aux_sym_preproc_undef_token1] = ACTIONS(1582),
    [anon_sym_POUND] = ACTIONS(1582),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(1727),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(1727),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(1727),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(1727),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(1727),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(1727),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(1727),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(1727),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(1727),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(1730),
    [anon_sym_NS_AVAILABLE] = ACTIONS(1730),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(1730),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(1730),
    [anon_sym_API_AVAILABLE] = ACTIONS(1730),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(1730),
    [anon_sym_API_DEPRECATED] = ACTIONS(1730),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(1730),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(1730),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(1730),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(1730),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(1730),
    [anon_sym___deprecated_msg] = ACTIONS(1730),
    [anon_sym___deprecated_enum_msg] = ACTIONS(1730),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(1730),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(1730),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(1730),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(1730),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(1730),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(1730),
    [anon_sym_ATprotocol] = ACTIONS(1725),
    [anon_sym_ATinterface] = ACTIONS(1725),
    [anon_sym_ATimplementation] = ACTIONS(1725),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1725),
    [anon_sym_ATtry] = ACTIONS(2014),
    [anon_sym___try] = ACTIONS(2017),
    [anon_sym_ATthrow] = ACTIONS(2020),
    [anon_sym_ATselector] = ACTIONS(1742),
    [anon_sym_ATavailable] = ACTIONS(1745),
    [anon_sym___builtin_available] = ACTIONS(1748),
    [anon_sym_va_arg] = ACTIONS(1751),
    [anon_sym_ATencode] = ACTIONS(1754),
    [anon_sym_ATsynchronized] = ACTIONS(2023),
    [anon_sym_BOOL] = ACTIONS(1760),
    [anon_sym_IMP] = ACTIONS(1760),
    [anon_sym_SEL] = ACTIONS(1760),
    [anon_sym_Class] = ACTIONS(1760),
    [anon_sym_id] = ACTIONS(1763),
  },
  [148] = {
    [sym_declaration] = STATE(148),
    [sym_type_definition] = STATE(148),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4210),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2911),
    [sym_compound_statement] = STATE(148),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(148),
    [sym_labeled_statement] = STATE(148),
    [sym_expression_statement] = STATE(148),
    [sym_if_statement] = STATE(148),
    [sym_switch_statement] = STATE(148),
    [sym_while_statement] = STATE(148),
    [sym_do_statement] = STATE(148),
    [sym_for_statement] = STATE(148),
    [sym_return_statement] = STATE(148),
    [sym_break_statement] = STATE(148),
    [sym_continue_statement] = STATE(148),
    [sym_goto_statement] = STATE(148),
    [sym_expression] = STATE(4485),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6796),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(148),
    [sym_throw_statement] = STATE(148),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(148),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(148),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2460),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(148),
    [ts_builtin_sym_end] = ACTIONS(1725),
    [sym_identifier] = ACTIONS(2026),
    [aux_sym_preproc_include_token1] = ACTIONS(1582),
    [aux_sym_preproc_include_token2] = ACTIONS(1582),
    [aux_sym_preproc_def_token1] = ACTIONS(1582),
    [aux_sym_preproc_if_token1] = ACTIONS(1582),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1582),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1582),
    [sym_preproc_directive] = ACTIONS(1582),
    [anon_sym_LPAREN2] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1587),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1596),
    [anon_sym_AMP] = ACTIONS(1593),
    [anon_sym_SEMI] = ACTIONS(2029),
    [anon_sym___extension__] = ACTIONS(2032),
    [anon_sym_typedef] = ACTIONS(2035),
    [anon_sym_extern] = ACTIONS(1608),
    [anon_sym___attribute__] = ACTIONS(1611),
    [anon_sym___attribute] = ACTIONS(1611),
    [anon_sym_noreturn] = ACTIONS(1614),
    [anon_sym_LBRACK] = ACTIONS(1617),
    [anon_sym___declspec] = ACTIONS(1620),
    [anon_sym___cdecl] = ACTIONS(1582),
    [anon_sym___clrcall] = ACTIONS(1582),
    [anon_sym___stdcall] = ACTIONS(1582),
    [anon_sym___fastcall] = ACTIONS(1582),
    [anon_sym___thiscall] = ACTIONS(1582),
    [anon_sym___vectorcall] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(2038),
    [anon_sym_signed] = ACTIONS(1626),
    [anon_sym_unsigned] = ACTIONS(1626),
    [anon_sym_long] = ACTIONS(1626),
    [anon_sym_short] = ACTIONS(1626),
    [anon_sym_static] = ACTIONS(1608),
    [anon_sym_ATautoreleasepool] = ACTIONS(2041),
    [anon_sym_auto] = ACTIONS(1608),
    [anon_sym_register] = ACTIONS(1608),
    [anon_sym_inline] = ACTIONS(1608),
    [anon_sym___inline] = ACTIONS(1608),
    [anon_sym___inline__] = ACTIONS(1608),
    [anon_sym___forceinline] = ACTIONS(1608),
    [anon_sym_thread_local] = ACTIONS(1608),
    [anon_sym___thread] = ACTIONS(1608),
    [anon_sym_CG_EXTERN] = ACTIONS(1608),
    [anon_sym_CG_INLINE] = ACTIONS(1608),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(1608),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(1608),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(1608),
    [anon_sym_IBOutlet] = ACTIONS(1608),
    [anon_sym_IBInspectable] = ACTIONS(1608),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(1608),
    [anon_sym_NS_INLINE] = ACTIONS(1608),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(1608),
    [anon_sym_OBJC_EXPORT] = ACTIONS(1608),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(1608),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(1608),
    [anon_sym_const] = ACTIONS(1632),
    [anon_sym_constexpr] = ACTIONS(1614),
    [anon_sym_volatile] = ACTIONS(1614),
    [anon_sym_restrict] = ACTIONS(1614),
    [anon_sym___restrict__] = ACTIONS(1614),
    [anon_sym__Atomic] = ACTIONS(1614),
    [anon_sym__Noreturn] = ACTIONS(1614),
    [anon_sym__Nonnull] = ACTIONS(1614),
    [anon_sym_nullable] = ACTIONS(1614),
    [anon_sym__Complex] = ACTIONS(1614),
    [anon_sym__Nullable] = ACTIONS(1614),
    [anon_sym__Nullable_result] = ACTIONS(1614),
    [anon_sym__Null_unspecified] = ACTIONS(1614),
    [anon_sym___autoreleasing] = ACTIONS(1614),
    [anon_sym___block] = ACTIONS(1614),
    [anon_sym___bridge] = ACTIONS(1614),
    [anon_sym___bridge_retained] = ACTIONS(1614),
    [anon_sym___bridge_transfer] = ACTIONS(1614),
    [anon_sym___complex] = ACTIONS(1614),
    [anon_sym___const] = ACTIONS(1614),
    [anon_sym___imag] = ACTIONS(1635),
    [anon_sym___kindof] = ACTIONS(1614),
    [anon_sym___nonnull] = ACTIONS(1614),
    [anon_sym___nullable] = ACTIONS(1614),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(1614),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(1614),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(1614),
    [anon_sym___real] = ACTIONS(1635),
    [anon_sym___strong] = ACTIONS(1614),
    [anon_sym___unsafe_unretained] = ACTIONS(1614),
    [anon_sym___unused] = ACTIONS(1614),
    [anon_sym___weak] = ACTIONS(1614),
    [anon_sym_alignas] = ACTIONS(1638),
    [anon_sym__Alignas] = ACTIONS(1638),
    [sym_primitive_type] = ACTIONS(1641),
    [anon_sym_enum] = ACTIONS(1644),
    [anon_sym_struct] = ACTIONS(1647),
    [anon_sym_union] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(2044),
    [anon_sym_else] = ACTIONS(1582),
    [anon_sym_switch] = ACTIONS(2047),
    [anon_sym_case] = ACTIONS(1582),
    [anon_sym_default] = ACTIONS(1582),
    [anon_sym_while] = ACTIONS(2050),
    [anon_sym_do] = ACTIONS(2053),
    [anon_sym_for] = ACTIONS(2056),
    [anon_sym_in] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(2059),
    [anon_sym_break] = ACTIONS(2062),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_goto] = ACTIONS(2068),
    [anon_sym_DASH_DASH] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1683),
    [anon_sym_sizeof] = ACTIONS(1686),
    [anon_sym___alignof__] = ACTIONS(1689),
    [anon_sym___alignof] = ACTIONS(1689),
    [anon_sym__alignof] = ACTIONS(1689),
    [anon_sym_alignof] = ACTIONS(1689),
    [anon_sym__Alignof] = ACTIONS(1689),
    [anon_sym_offsetof] = ACTIONS(1692),
    [anon_sym__Generic] = ACTIONS(1695),
    [anon_sym_asm] = ACTIONS(1698),
    [anon_sym___asm__] = ACTIONS(1698),
    [anon_sym___asm] = ACTIONS(2071),
    [sym_number_literal] = ACTIONS(1704),
    [anon_sym_L_SQUOTE] = ACTIONS(1707),
    [anon_sym_u_SQUOTE] = ACTIONS(1707),
    [anon_sym_U_SQUOTE] = ACTIONS(1707),
    [anon_sym_u8_SQUOTE] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1710),
    [anon_sym_DQUOTE] = ACTIONS(1713),
    [anon_sym_L_DQUOTE] = ACTIONS(1713),
    [anon_sym_u_DQUOTE] = ACTIONS(1713),
    [anon_sym_U_DQUOTE] = ACTIONS(1713),
    [anon_sym_u8_DQUOTE] = ACTIONS(1713),
    [sym_true] = ACTIONS(1716),
    [sym_false] = ACTIONS(1716),
    [anon_sym_NULL] = ACTIONS(1719),
    [anon_sym_nullptr] = ACTIONS(1719),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(1722),
    [anon_sym___typeof] = ACTIONS(1722),
    [anon_sym_typeof] = ACTIONS(1722),
    [anon_sym_ATimport] = ACTIONS(1725),
    [aux_sym_preproc_undef_token1] = ACTIONS(1582),
    [anon_sym_POUND] = ACTIONS(1582),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(1727),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(1727),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(1727),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(1727),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(1727),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(1727),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(1727),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(1727),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(1727),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(1730),
    [anon_sym_NS_AVAILABLE] = ACTIONS(1730),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(1730),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(1730),
    [anon_sym_API_AVAILABLE] = ACTIONS(1730),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(1730),
    [anon_sym_API_DEPRECATED] = ACTIONS(1730),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(1730),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(1730),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(1730),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(1730),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(1730),
    [anon_sym___deprecated_msg] = ACTIONS(1730),
    [anon_sym___deprecated_enum_msg] = ACTIONS(1730),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(1730),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(1730),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(1730),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(1730),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(1730),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(1730),
    [anon_sym_ATprotocol] = ACTIONS(1725),
    [anon_sym_ATinterface] = ACTIONS(1725),
    [anon_sym_ATimplementation] = ACTIONS(1725),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1725),
    [anon_sym_ATtry] = ACTIONS(2074),
    [anon_sym___try] = ACTIONS(2077),
    [anon_sym_ATthrow] = ACTIONS(2080),
    [anon_sym_ATselector] = ACTIONS(1742),
    [anon_sym_ATavailable] = ACTIONS(1745),
    [anon_sym___builtin_available] = ACTIONS(1748),
    [anon_sym_va_arg] = ACTIONS(1751),
    [anon_sym_ATencode] = ACTIONS(1754),
    [anon_sym_ATsynchronized] = ACTIONS(2083),
    [anon_sym_BOOL] = ACTIONS(1760),
    [anon_sym_IMP] = ACTIONS(1760),
    [anon_sym_SEL] = ACTIONS(1760),
    [anon_sym_Class] = ACTIONS(1760),
    [anon_sym_id] = ACTIONS(1763),
  },
  [149] = {
    [sym_declaration] = STATE(151),
    [sym_type_definition] = STATE(151),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4210),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2911),
    [sym_compound_statement] = STATE(151),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(151),
    [sym_labeled_statement] = STATE(151),
    [sym_expression_statement] = STATE(151),
    [sym_if_statement] = STATE(151),
    [sym_switch_statement] = STATE(151),
    [sym_while_statement] = STATE(151),
    [sym_do_statement] = STATE(151),
    [sym_for_statement] = STATE(151),
    [sym_return_statement] = STATE(151),
    [sym_break_statement] = STATE(151),
    [sym_continue_statement] = STATE(151),
    [sym_goto_statement] = STATE(151),
    [sym_expression] = STATE(4485),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6796),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(151),
    [sym_throw_statement] = STATE(151),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(151),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(151),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2460),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(151),
    [ts_builtin_sym_end] = ACTIONS(1792),
    [sym_identifier] = ACTIONS(1926),
    [aux_sym_preproc_include_token1] = ACTIONS(1790),
    [aux_sym_preproc_include_token2] = ACTIONS(1790),
    [aux_sym_preproc_def_token1] = ACTIONS(1790),
    [aux_sym_preproc_if_token1] = ACTIONS(1790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1790),
    [sym_preproc_directive] = ACTIONS(1790),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(1930),
    [anon_sym_typedef] = ACTIONS(1932),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1790),
    [anon_sym___clrcall] = ACTIONS(1790),
    [anon_sym___stdcall] = ACTIONS(1790),
    [anon_sym___fastcall] = ACTIONS(1790),
    [anon_sym___thiscall] = ACTIONS(1790),
    [anon_sym___vectorcall] = ACTIONS(1790),
    [anon_sym_LBRACE] = ACTIONS(1934),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(1936),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(1938),
    [anon_sym_else] = ACTIONS(1790),
    [anon_sym_switch] = ACTIONS(1940),
    [anon_sym_case] = ACTIONS(1790),
    [anon_sym_default] = ACTIONS(1790),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_for] = ACTIONS(1946),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(1948),
    [anon_sym_break] = ACTIONS(1950),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1954),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(1792),
    [aux_sym_preproc_undef_token1] = ACTIONS(1790),
    [anon_sym_POUND] = ACTIONS(1790),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(1792),
    [anon_sym_ATinterface] = ACTIONS(1792),
    [anon_sym_ATimplementation] = ACTIONS(1792),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1792),
    [anon_sym_ATtry] = ACTIONS(1958),
    [anon_sym___try] = ACTIONS(1960),
    [anon_sym_ATthrow] = ACTIONS(1962),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(1964),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [150] = {
    [sym_declaration] = STATE(148),
    [sym_type_definition] = STATE(148),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4210),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2911),
    [sym_compound_statement] = STATE(148),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(148),
    [sym_labeled_statement] = STATE(148),
    [sym_expression_statement] = STATE(148),
    [sym_if_statement] = STATE(148),
    [sym_switch_statement] = STATE(148),
    [sym_while_statement] = STATE(148),
    [sym_do_statement] = STATE(148),
    [sym_for_statement] = STATE(148),
    [sym_return_statement] = STATE(148),
    [sym_break_statement] = STATE(148),
    [sym_continue_statement] = STATE(148),
    [sym_goto_statement] = STATE(148),
    [sym_expression] = STATE(4485),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6796),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(148),
    [sym_throw_statement] = STATE(148),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(148),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(148),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2460),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(148),
    [ts_builtin_sym_end] = ACTIONS(1778),
    [sym_identifier] = ACTIONS(1926),
    [aux_sym_preproc_include_token1] = ACTIONS(1768),
    [aux_sym_preproc_include_token2] = ACTIONS(1768),
    [aux_sym_preproc_def_token1] = ACTIONS(1768),
    [aux_sym_preproc_if_token1] = ACTIONS(1768),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1768),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1768),
    [sym_preproc_directive] = ACTIONS(1768),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(1930),
    [anon_sym_typedef] = ACTIONS(1932),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1768),
    [anon_sym___clrcall] = ACTIONS(1768),
    [anon_sym___stdcall] = ACTIONS(1768),
    [anon_sym___fastcall] = ACTIONS(1768),
    [anon_sym___thiscall] = ACTIONS(1768),
    [anon_sym___vectorcall] = ACTIONS(1768),
    [anon_sym_LBRACE] = ACTIONS(1934),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(1936),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(1938),
    [anon_sym_else] = ACTIONS(1768),
    [anon_sym_switch] = ACTIONS(1940),
    [anon_sym_case] = ACTIONS(1768),
    [anon_sym_default] = ACTIONS(1768),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_for] = ACTIONS(1946),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(1948),
    [anon_sym_break] = ACTIONS(1950),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1954),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(1778),
    [aux_sym_preproc_undef_token1] = ACTIONS(1768),
    [anon_sym_POUND] = ACTIONS(1768),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(1778),
    [anon_sym_ATinterface] = ACTIONS(1778),
    [anon_sym_ATimplementation] = ACTIONS(1778),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1778),
    [anon_sym_ATtry] = ACTIONS(1958),
    [anon_sym___try] = ACTIONS(1960),
    [anon_sym_ATthrow] = ACTIONS(1962),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(1964),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [151] = {
    [sym_declaration] = STATE(148),
    [sym_type_definition] = STATE(148),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4210),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2911),
    [sym_compound_statement] = STATE(148),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(148),
    [sym_labeled_statement] = STATE(148),
    [sym_expression_statement] = STATE(148),
    [sym_if_statement] = STATE(148),
    [sym_switch_statement] = STATE(148),
    [sym_while_statement] = STATE(148),
    [sym_do_statement] = STATE(148),
    [sym_for_statement] = STATE(148),
    [sym_return_statement] = STATE(148),
    [sym_break_statement] = STATE(148),
    [sym_continue_statement] = STATE(148),
    [sym_goto_statement] = STATE(148),
    [sym_expression] = STATE(4485),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6796),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(148),
    [sym_throw_statement] = STATE(148),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(148),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(148),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2460),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(148),
    [ts_builtin_sym_end] = ACTIONS(1788),
    [sym_identifier] = ACTIONS(1926),
    [aux_sym_preproc_include_token1] = ACTIONS(1786),
    [aux_sym_preproc_include_token2] = ACTIONS(1786),
    [aux_sym_preproc_def_token1] = ACTIONS(1786),
    [aux_sym_preproc_if_token1] = ACTIONS(1786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1786),
    [sym_preproc_directive] = ACTIONS(1786),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(1930),
    [anon_sym_typedef] = ACTIONS(1932),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1786),
    [anon_sym___clrcall] = ACTIONS(1786),
    [anon_sym___stdcall] = ACTIONS(1786),
    [anon_sym___fastcall] = ACTIONS(1786),
    [anon_sym___thiscall] = ACTIONS(1786),
    [anon_sym___vectorcall] = ACTIONS(1786),
    [anon_sym_LBRACE] = ACTIONS(1934),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(1936),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(1938),
    [anon_sym_else] = ACTIONS(1786),
    [anon_sym_switch] = ACTIONS(1940),
    [anon_sym_case] = ACTIONS(1786),
    [anon_sym_default] = ACTIONS(1786),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_for] = ACTIONS(1946),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(1948),
    [anon_sym_break] = ACTIONS(1950),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1954),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(1788),
    [aux_sym_preproc_undef_token1] = ACTIONS(1786),
    [anon_sym_POUND] = ACTIONS(1786),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(1788),
    [anon_sym_ATinterface] = ACTIONS(1788),
    [anon_sym_ATimplementation] = ACTIONS(1788),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1788),
    [anon_sym_ATtry] = ACTIONS(1958),
    [anon_sym___try] = ACTIONS(1960),
    [anon_sym_ATthrow] = ACTIONS(1962),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(1964),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [152] = {
    [sym_declaration] = STATE(147),
    [sym_type_definition] = STATE(147),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4227),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_compound_statement] = STATE(147),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(147),
    [sym_labeled_statement] = STATE(147),
    [sym_expression_statement] = STATE(147),
    [sym_if_statement] = STATE(147),
    [sym_switch_statement] = STATE(147),
    [sym_while_statement] = STATE(147),
    [sym_do_statement] = STATE(147),
    [sym_for_statement] = STATE(147),
    [sym_return_statement] = STATE(147),
    [sym_break_statement] = STATE(147),
    [sym_continue_statement] = STATE(147),
    [sym_goto_statement] = STATE(147),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(147),
    [sym_throw_statement] = STATE(147),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(147),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(147),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(147),
    [sym_identifier] = ACTIONS(1922),
    [aux_sym_preproc_include_token1] = ACTIONS(1786),
    [aux_sym_preproc_include_token2] = ACTIONS(1786),
    [aux_sym_preproc_def_token1] = ACTIONS(1786),
    [aux_sym_preproc_if_token1] = ACTIONS(1786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1786),
    [sym_preproc_directive] = ACTIONS(1786),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(1924),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1786),
    [anon_sym___clrcall] = ACTIONS(1786),
    [anon_sym___stdcall] = ACTIONS(1786),
    [anon_sym___fastcall] = ACTIONS(1786),
    [anon_sym___thiscall] = ACTIONS(1786),
    [anon_sym___vectorcall] = ACTIONS(1786),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1788),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_else] = ACTIONS(1786),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(1786),
    [anon_sym_default] = ACTIONS(1786),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(1788),
    [aux_sym_preproc_undef_token1] = ACTIONS(1786),
    [anon_sym_POUND] = ACTIONS(1786),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(1788),
    [anon_sym_ATinterface] = ACTIONS(1788),
    [anon_sym_ATimplementation] = ACTIONS(1788),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1788),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [153] = {
    [sym_declaration] = STATE(152),
    [sym_type_definition] = STATE(152),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4227),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_compound_statement] = STATE(152),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(152),
    [sym_labeled_statement] = STATE(152),
    [sym_expression_statement] = STATE(152),
    [sym_if_statement] = STATE(152),
    [sym_switch_statement] = STATE(152),
    [sym_while_statement] = STATE(152),
    [sym_do_statement] = STATE(152),
    [sym_for_statement] = STATE(152),
    [sym_return_statement] = STATE(152),
    [sym_break_statement] = STATE(152),
    [sym_continue_statement] = STATE(152),
    [sym_goto_statement] = STATE(152),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(152),
    [sym_throw_statement] = STATE(152),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(152),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(152),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(152),
    [sym_identifier] = ACTIONS(1922),
    [aux_sym_preproc_include_token1] = ACTIONS(1790),
    [aux_sym_preproc_include_token2] = ACTIONS(1790),
    [aux_sym_preproc_def_token1] = ACTIONS(1790),
    [aux_sym_preproc_if_token1] = ACTIONS(1790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1790),
    [sym_preproc_directive] = ACTIONS(1790),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(1924),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1790),
    [anon_sym___clrcall] = ACTIONS(1790),
    [anon_sym___stdcall] = ACTIONS(1790),
    [anon_sym___fastcall] = ACTIONS(1790),
    [anon_sym___thiscall] = ACTIONS(1790),
    [anon_sym___vectorcall] = ACTIONS(1790),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1792),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_else] = ACTIONS(1790),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(1790),
    [anon_sym_default] = ACTIONS(1790),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(1792),
    [aux_sym_preproc_undef_token1] = ACTIONS(1790),
    [anon_sym_POUND] = ACTIONS(1790),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(1792),
    [anon_sym_ATinterface] = ACTIONS(1792),
    [anon_sym_ATimplementation] = ACTIONS(1792),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1792),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [154] = {
    [sym_declaration] = STATE(147),
    [sym_type_definition] = STATE(147),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4227),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2852),
    [sym_compound_statement] = STATE(147),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(147),
    [sym_labeled_statement] = STATE(147),
    [sym_expression_statement] = STATE(147),
    [sym_if_statement] = STATE(147),
    [sym_switch_statement] = STATE(147),
    [sym_while_statement] = STATE(147),
    [sym_do_statement] = STATE(147),
    [sym_for_statement] = STATE(147),
    [sym_return_statement] = STATE(147),
    [sym_break_statement] = STATE(147),
    [sym_continue_statement] = STATE(147),
    [sym_goto_statement] = STATE(147),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(147),
    [sym_throw_statement] = STATE(147),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(147),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(147),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(147),
    [sym_identifier] = ACTIONS(1922),
    [aux_sym_preproc_include_token1] = ACTIONS(1768),
    [aux_sym_preproc_include_token2] = ACTIONS(1768),
    [aux_sym_preproc_def_token1] = ACTIONS(1768),
    [aux_sym_preproc_if_token1] = ACTIONS(1768),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1768),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1768),
    [sym_preproc_directive] = ACTIONS(1768),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(1924),
    [anon_sym_typedef] = ACTIONS(940),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1768),
    [anon_sym___clrcall] = ACTIONS(1768),
    [anon_sym___stdcall] = ACTIONS(1768),
    [anon_sym___fastcall] = ACTIONS(1768),
    [anon_sym___thiscall] = ACTIONS(1768),
    [anon_sym___vectorcall] = ACTIONS(1768),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_RBRACE] = ACTIONS(1778),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_else] = ACTIONS(1768),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(1768),
    [anon_sym_default] = ACTIONS(1768),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATimport] = ACTIONS(1778),
    [aux_sym_preproc_undef_token1] = ACTIONS(1768),
    [anon_sym_POUND] = ACTIONS(1768),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(1778),
    [anon_sym_ATinterface] = ACTIONS(1778),
    [anon_sym_ATimplementation] = ACTIONS(1778),
    [anon_sym_ATcompatibility_alias] = ACTIONS(1778),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [155] = {
    [sym_declaration] = STATE(159),
    [sym_type_definition] = STATE(159),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4230),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2886),
    [sym_compound_statement] = STATE(159),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(159),
    [sym_labeled_statement] = STATE(159),
    [sym_expression_statement] = STATE(159),
    [sym_if_statement] = STATE(159),
    [sym_switch_statement] = STATE(159),
    [sym_while_statement] = STATE(159),
    [sym_do_statement] = STATE(159),
    [sym_for_statement] = STATE(159),
    [sym_return_statement] = STATE(159),
    [sym_break_statement] = STATE(159),
    [sym_continue_statement] = STATE(159),
    [sym_goto_statement] = STATE(159),
    [sym_expression] = STATE(4441),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(5933),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(159),
    [sym_throw_statement] = STATE(159),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(159),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(159),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(159),
    [sym_identifier] = ACTIONS(2086),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2088),
    [anon_sym___extension__] = ACTIONS(2090),
    [anon_sym_typedef] = ACTIONS(2092),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(2094),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(2096),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(2098),
    [anon_sym_else] = ACTIONS(1790),
    [anon_sym_switch] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_do] = ACTIONS(2104),
    [anon_sym_for] = ACTIONS(2106),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(2108),
    [anon_sym_break] = ACTIONS(2110),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_goto] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(2116),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATtry] = ACTIONS(2118),
    [anon_sym___try] = ACTIONS(2120),
    [anon_sym_ATthrow] = ACTIONS(2122),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2124),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [156] = {
    [sym_declaration] = STATE(833),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4210),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(759),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(759),
    [sym_statement] = STATE(833),
    [sym_labeled_statement] = STATE(759),
    [sym_expression_statement] = STATE(759),
    [sym_if_statement] = STATE(759),
    [sym_switch_statement] = STATE(759),
    [sym_case_statement] = STATE(759),
    [sym_while_statement] = STATE(759),
    [sym_do_statement] = STATE(759),
    [sym_for_statement] = STATE(759),
    [sym_return_statement] = STATE(759),
    [sym_break_statement] = STATE(759),
    [sym_continue_statement] = STATE(759),
    [sym_goto_statement] = STATE(759),
    [sym_expression] = STATE(4485),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6796),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(759),
    [sym_throw_statement] = STATE(759),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(759),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(759),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2460),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(1926),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(1934),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(1936),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(1938),
    [anon_sym_switch] = ACTIONS(1940),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_default] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_for] = ACTIONS(1946),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(1948),
    [anon_sym_break] = ACTIONS(1950),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1954),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATtry] = ACTIONS(1958),
    [anon_sym___try] = ACTIONS(1960),
    [anon_sym_ATthrow] = ACTIONS(1962),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(1964),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [157] = {
    [sym_declaration] = STATE(163),
    [sym_type_definition] = STATE(163),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4230),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2886),
    [sym_compound_statement] = STATE(163),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(163),
    [sym_labeled_statement] = STATE(163),
    [sym_expression_statement] = STATE(163),
    [sym_if_statement] = STATE(163),
    [sym_switch_statement] = STATE(163),
    [sym_while_statement] = STATE(163),
    [sym_do_statement] = STATE(163),
    [sym_for_statement] = STATE(163),
    [sym_return_statement] = STATE(163),
    [sym_break_statement] = STATE(163),
    [sym_continue_statement] = STATE(163),
    [sym_goto_statement] = STATE(163),
    [sym_expression] = STATE(4441),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(5933),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(163),
    [sym_throw_statement] = STATE(163),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(163),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(163),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(163),
    [sym_identifier] = ACTIONS(2086),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2088),
    [anon_sym___extension__] = ACTIONS(2090),
    [anon_sym_typedef] = ACTIONS(2092),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(2094),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(2096),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(2098),
    [anon_sym_else] = ACTIONS(1782),
    [anon_sym_switch] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_do] = ACTIONS(2104),
    [anon_sym_for] = ACTIONS(2106),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(2108),
    [anon_sym_break] = ACTIONS(2110),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_goto] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(2116),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATtry] = ACTIONS(2118),
    [anon_sym___try] = ACTIONS(2120),
    [anon_sym_ATthrow] = ACTIONS(2122),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2124),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [158] = {
    [sym_declaration] = STATE(237),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4237),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(203),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(203),
    [sym_statement] = STATE(237),
    [sym_labeled_statement] = STATE(203),
    [sym_expression_statement] = STATE(203),
    [sym_if_statement] = STATE(203),
    [sym_switch_statement] = STATE(203),
    [sym_case_statement] = STATE(203),
    [sym_while_statement] = STATE(203),
    [sym_do_statement] = STATE(203),
    [sym_for_statement] = STATE(203),
    [sym_return_statement] = STATE(203),
    [sym_break_statement] = STATE(203),
    [sym_continue_statement] = STATE(203),
    [sym_goto_statement] = STATE(203),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(203),
    [sym_throw_statement] = STATE(203),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(203),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(203),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(1766),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [159] = {
    [sym_declaration] = STATE(164),
    [sym_type_definition] = STATE(164),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4230),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2886),
    [sym_compound_statement] = STATE(164),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(164),
    [sym_labeled_statement] = STATE(164),
    [sym_expression_statement] = STATE(164),
    [sym_if_statement] = STATE(164),
    [sym_switch_statement] = STATE(164),
    [sym_while_statement] = STATE(164),
    [sym_do_statement] = STATE(164),
    [sym_for_statement] = STATE(164),
    [sym_return_statement] = STATE(164),
    [sym_break_statement] = STATE(164),
    [sym_continue_statement] = STATE(164),
    [sym_goto_statement] = STATE(164),
    [sym_expression] = STATE(4441),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(5933),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(164),
    [sym_throw_statement] = STATE(164),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(164),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(164),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(164),
    [sym_identifier] = ACTIONS(2086),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2088),
    [anon_sym___extension__] = ACTIONS(2090),
    [anon_sym_typedef] = ACTIONS(2092),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(2094),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(2096),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(2098),
    [anon_sym_else] = ACTIONS(1786),
    [anon_sym_switch] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_do] = ACTIONS(2104),
    [anon_sym_for] = ACTIONS(2106),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(2108),
    [anon_sym_break] = ACTIONS(2110),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_goto] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(2116),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATtry] = ACTIONS(2118),
    [anon_sym___try] = ACTIONS(2120),
    [anon_sym_ATthrow] = ACTIONS(2122),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2124),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [160] = {
    [sym_declaration] = STATE(1137),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4230),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(1100),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(1100),
    [sym_statement] = STATE(1137),
    [sym_labeled_statement] = STATE(1100),
    [sym_expression_statement] = STATE(1100),
    [sym_if_statement] = STATE(1100),
    [sym_switch_statement] = STATE(1100),
    [sym_case_statement] = STATE(1100),
    [sym_while_statement] = STATE(1100),
    [sym_do_statement] = STATE(1100),
    [sym_for_statement] = STATE(1100),
    [sym_return_statement] = STATE(1100),
    [sym_break_statement] = STATE(1100),
    [sym_continue_statement] = STATE(1100),
    [sym_goto_statement] = STATE(1100),
    [sym_expression] = STATE(4441),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(5933),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(1100),
    [sym_throw_statement] = STATE(1100),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(1100),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(1100),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(2086),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2088),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(2094),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(2096),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(2098),
    [anon_sym_switch] = ACTIONS(2100),
    [anon_sym_case] = ACTIONS(2128),
    [anon_sym_default] = ACTIONS(2130),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_do] = ACTIONS(2104),
    [anon_sym_for] = ACTIONS(2106),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(2108),
    [anon_sym_break] = ACTIONS(2110),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_goto] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(2116),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATtry] = ACTIONS(2118),
    [anon_sym___try] = ACTIONS(2120),
    [anon_sym_ATthrow] = ACTIONS(2122),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2124),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [161] = {
    [sym_declaration] = STATE(950),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4234),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(935),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(935),
    [sym_statement] = STATE(950),
    [sym_labeled_statement] = STATE(935),
    [sym_expression_statement] = STATE(935),
    [sym_if_statement] = STATE(935),
    [sym_switch_statement] = STATE(935),
    [sym_case_statement] = STATE(935),
    [sym_while_statement] = STATE(935),
    [sym_do_statement] = STATE(935),
    [sym_for_statement] = STATE(935),
    [sym_return_statement] = STATE(935),
    [sym_break_statement] = STATE(935),
    [sym_continue_statement] = STATE(935),
    [sym_goto_statement] = STATE(935),
    [sym_expression] = STATE(4461),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6022),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(935),
    [sym_throw_statement] = STATE(935),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(935),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(935),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2463),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(2132),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2134),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_switch] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_default] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(85),
    [anon_sym_break] = ACTIONS(87),
    [anon_sym_continue] = ACTIONS(89),
    [anon_sym_goto] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATtry] = ACTIONS(2138),
    [anon_sym___try] = ACTIONS(2140),
    [anon_sym_ATthrow] = ACTIONS(2142),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2144),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [162] = {
    [sym_declaration] = STATE(550),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4246),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(570),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(570),
    [sym_statement] = STATE(550),
    [sym_labeled_statement] = STATE(570),
    [sym_expression_statement] = STATE(570),
    [sym_if_statement] = STATE(570),
    [sym_switch_statement] = STATE(570),
    [sym_case_statement] = STATE(570),
    [sym_while_statement] = STATE(570),
    [sym_do_statement] = STATE(570),
    [sym_for_statement] = STATE(570),
    [sym_return_statement] = STATE(570),
    [sym_break_statement] = STATE(570),
    [sym_continue_statement] = STATE(570),
    [sym_goto_statement] = STATE(570),
    [sym_expression] = STATE(4447),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6524),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(570),
    [sym_throw_statement] = STATE(570),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(570),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(570),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(1858),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(860),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(870),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(872),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(876),
    [anon_sym_case] = ACTIONS(878),
    [anon_sym_default] = ACTIONS(880),
    [anon_sym_while] = ACTIONS(882),
    [anon_sym_do] = ACTIONS(884),
    [anon_sym_for] = ACTIONS(886),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_break] = ACTIONS(890),
    [anon_sym_continue] = ACTIONS(892),
    [anon_sym_goto] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(896),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATtry] = ACTIONS(914),
    [anon_sym___try] = ACTIONS(916),
    [anon_sym_ATthrow] = ACTIONS(918),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(920),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [163] = {
    [sym_declaration] = STATE(164),
    [sym_type_definition] = STATE(164),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4230),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2886),
    [sym_compound_statement] = STATE(164),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(164),
    [sym_labeled_statement] = STATE(164),
    [sym_expression_statement] = STATE(164),
    [sym_if_statement] = STATE(164),
    [sym_switch_statement] = STATE(164),
    [sym_while_statement] = STATE(164),
    [sym_do_statement] = STATE(164),
    [sym_for_statement] = STATE(164),
    [sym_return_statement] = STATE(164),
    [sym_break_statement] = STATE(164),
    [sym_continue_statement] = STATE(164),
    [sym_goto_statement] = STATE(164),
    [sym_expression] = STATE(4441),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(5933),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(164),
    [sym_throw_statement] = STATE(164),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(164),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(164),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(164),
    [sym_identifier] = ACTIONS(2086),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2088),
    [anon_sym___extension__] = ACTIONS(2090),
    [anon_sym_typedef] = ACTIONS(2092),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(2094),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(2096),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(2098),
    [anon_sym_else] = ACTIONS(1768),
    [anon_sym_switch] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_do] = ACTIONS(2104),
    [anon_sym_for] = ACTIONS(2106),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(2108),
    [anon_sym_break] = ACTIONS(2110),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_goto] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(2116),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATtry] = ACTIONS(2118),
    [anon_sym___try] = ACTIONS(2120),
    [anon_sym_ATthrow] = ACTIONS(2122),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2124),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [164] = {
    [sym_declaration] = STATE(164),
    [sym_type_definition] = STATE(164),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4230),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2886),
    [sym_compound_statement] = STATE(164),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(164),
    [sym_labeled_statement] = STATE(164),
    [sym_expression_statement] = STATE(164),
    [sym_if_statement] = STATE(164),
    [sym_switch_statement] = STATE(164),
    [sym_while_statement] = STATE(164),
    [sym_do_statement] = STATE(164),
    [sym_for_statement] = STATE(164),
    [sym_return_statement] = STATE(164),
    [sym_break_statement] = STATE(164),
    [sym_continue_statement] = STATE(164),
    [sym_goto_statement] = STATE(164),
    [sym_expression] = STATE(4441),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(5933),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(164),
    [sym_throw_statement] = STATE(164),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(164),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(164),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2478),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_case_statement_repeat1] = STATE(164),
    [sym_identifier] = ACTIONS(2146),
    [anon_sym_LPAREN2] = ACTIONS(1584),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1587),
    [anon_sym_DASH] = ACTIONS(1590),
    [anon_sym_PLUS] = ACTIONS(1590),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_CARET] = ACTIONS(1596),
    [anon_sym_AMP] = ACTIONS(1593),
    [anon_sym_SEMI] = ACTIONS(2149),
    [anon_sym___extension__] = ACTIONS(2152),
    [anon_sym_typedef] = ACTIONS(2155),
    [anon_sym_extern] = ACTIONS(1608),
    [anon_sym___attribute__] = ACTIONS(1611),
    [anon_sym___attribute] = ACTIONS(1611),
    [anon_sym_noreturn] = ACTIONS(1614),
    [anon_sym_LBRACK] = ACTIONS(1617),
    [anon_sym___declspec] = ACTIONS(1620),
    [anon_sym_LBRACE] = ACTIONS(2158),
    [anon_sym_signed] = ACTIONS(1626),
    [anon_sym_unsigned] = ACTIONS(1626),
    [anon_sym_long] = ACTIONS(1626),
    [anon_sym_short] = ACTIONS(1626),
    [anon_sym_static] = ACTIONS(1608),
    [anon_sym_ATautoreleasepool] = ACTIONS(2161),
    [anon_sym_auto] = ACTIONS(1608),
    [anon_sym_register] = ACTIONS(1608),
    [anon_sym_inline] = ACTIONS(1608),
    [anon_sym___inline] = ACTIONS(1608),
    [anon_sym___inline__] = ACTIONS(1608),
    [anon_sym___forceinline] = ACTIONS(1608),
    [anon_sym_thread_local] = ACTIONS(1608),
    [anon_sym___thread] = ACTIONS(1608),
    [anon_sym_CG_EXTERN] = ACTIONS(1608),
    [anon_sym_CG_INLINE] = ACTIONS(1608),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(1608),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(1608),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(1608),
    [anon_sym_IBOutlet] = ACTIONS(1608),
    [anon_sym_IBInspectable] = ACTIONS(1608),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(1608),
    [anon_sym_NS_INLINE] = ACTIONS(1608),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(1608),
    [anon_sym_OBJC_EXPORT] = ACTIONS(1608),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(1608),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(1608),
    [anon_sym_const] = ACTIONS(1632),
    [anon_sym_constexpr] = ACTIONS(1614),
    [anon_sym_volatile] = ACTIONS(1614),
    [anon_sym_restrict] = ACTIONS(1614),
    [anon_sym___restrict__] = ACTIONS(1614),
    [anon_sym__Atomic] = ACTIONS(1614),
    [anon_sym__Noreturn] = ACTIONS(1614),
    [anon_sym__Nonnull] = ACTIONS(1614),
    [anon_sym_nullable] = ACTIONS(1614),
    [anon_sym__Complex] = ACTIONS(1614),
    [anon_sym__Nullable] = ACTIONS(1614),
    [anon_sym__Nullable_result] = ACTIONS(1614),
    [anon_sym__Null_unspecified] = ACTIONS(1614),
    [anon_sym___autoreleasing] = ACTIONS(1614),
    [anon_sym___block] = ACTIONS(1614),
    [anon_sym___bridge] = ACTIONS(1614),
    [anon_sym___bridge_retained] = ACTIONS(1614),
    [anon_sym___bridge_transfer] = ACTIONS(1614),
    [anon_sym___complex] = ACTIONS(1614),
    [anon_sym___const] = ACTIONS(1614),
    [anon_sym___imag] = ACTIONS(1635),
    [anon_sym___kindof] = ACTIONS(1614),
    [anon_sym___nonnull] = ACTIONS(1614),
    [anon_sym___nullable] = ACTIONS(1614),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(1614),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(1614),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(1614),
    [anon_sym___real] = ACTIONS(1635),
    [anon_sym___strong] = ACTIONS(1614),
    [anon_sym___unsafe_unretained] = ACTIONS(1614),
    [anon_sym___unused] = ACTIONS(1614),
    [anon_sym___weak] = ACTIONS(1614),
    [anon_sym_alignas] = ACTIONS(1638),
    [anon_sym__Alignas] = ACTIONS(1638),
    [sym_primitive_type] = ACTIONS(1641),
    [anon_sym_enum] = ACTIONS(1644),
    [anon_sym_struct] = ACTIONS(1647),
    [anon_sym_union] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(2164),
    [anon_sym_else] = ACTIONS(1582),
    [anon_sym_switch] = ACTIONS(2167),
    [anon_sym_while] = ACTIONS(2170),
    [anon_sym_do] = ACTIONS(2173),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_in] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(2179),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2185),
    [anon_sym_goto] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(1683),
    [anon_sym_PLUS_PLUS] = ACTIONS(1683),
    [anon_sym_sizeof] = ACTIONS(1686),
    [anon_sym___alignof__] = ACTIONS(1689),
    [anon_sym___alignof] = ACTIONS(1689),
    [anon_sym__alignof] = ACTIONS(1689),
    [anon_sym_alignof] = ACTIONS(1689),
    [anon_sym__Alignof] = ACTIONS(1689),
    [anon_sym_offsetof] = ACTIONS(1692),
    [anon_sym__Generic] = ACTIONS(1695),
    [anon_sym_asm] = ACTIONS(1698),
    [anon_sym___asm__] = ACTIONS(1698),
    [anon_sym___asm] = ACTIONS(2191),
    [sym_number_literal] = ACTIONS(1704),
    [anon_sym_L_SQUOTE] = ACTIONS(1707),
    [anon_sym_u_SQUOTE] = ACTIONS(1707),
    [anon_sym_U_SQUOTE] = ACTIONS(1707),
    [anon_sym_u8_SQUOTE] = ACTIONS(1707),
    [anon_sym_SQUOTE] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1710),
    [anon_sym_DQUOTE] = ACTIONS(1713),
    [anon_sym_L_DQUOTE] = ACTIONS(1713),
    [anon_sym_u_DQUOTE] = ACTIONS(1713),
    [anon_sym_U_DQUOTE] = ACTIONS(1713),
    [anon_sym_u8_DQUOTE] = ACTIONS(1713),
    [sym_true] = ACTIONS(1716),
    [sym_false] = ACTIONS(1716),
    [anon_sym_NULL] = ACTIONS(1719),
    [anon_sym_nullptr] = ACTIONS(1719),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(1722),
    [anon_sym___typeof] = ACTIONS(1722),
    [anon_sym_typeof] = ACTIONS(1722),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(1727),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(1727),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(1727),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(1727),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(1727),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(1727),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(1727),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(1727),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(1727),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(1730),
    [anon_sym_NS_AVAILABLE] = ACTIONS(1730),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(1730),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(1730),
    [anon_sym_API_AVAILABLE] = ACTIONS(1730),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(1730),
    [anon_sym_API_DEPRECATED] = ACTIONS(1730),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(1730),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(1730),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(1730),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(1730),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(1730),
    [anon_sym___deprecated_msg] = ACTIONS(1730),
    [anon_sym___deprecated_enum_msg] = ACTIONS(1730),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(1730),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(1730),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(1730),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(1730),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(1730),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(1730),
    [anon_sym_ATtry] = ACTIONS(2194),
    [anon_sym___try] = ACTIONS(2197),
    [anon_sym_ATthrow] = ACTIONS(2200),
    [anon_sym_ATselector] = ACTIONS(1742),
    [anon_sym_ATavailable] = ACTIONS(1745),
    [anon_sym___builtin_available] = ACTIONS(1748),
    [anon_sym_va_arg] = ACTIONS(1751),
    [anon_sym_ATencode] = ACTIONS(1754),
    [anon_sym_ATsynchronized] = ACTIONS(2203),
    [anon_sym_BOOL] = ACTIONS(1760),
    [anon_sym_IMP] = ACTIONS(1760),
    [anon_sym_SEL] = ACTIONS(1760),
    [anon_sym_Class] = ACTIONS(1760),
    [anon_sym_id] = ACTIONS(1763),
  },
  [165] = {
    [sym_declaration] = STATE(950),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4234),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(804),
    [sym_statement] = STATE(950),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2442),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(2206),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(2128),
    [anon_sym_default] = ACTIONS(2130),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(85),
    [anon_sym_break] = ACTIONS(87),
    [anon_sym_continue] = ACTIONS(89),
    [anon_sym_goto] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATtry] = ACTIONS(2214),
    [anon_sym___try] = ACTIONS(2216),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2218),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [166] = {
    [sym_declaration] = STATE(747),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4227),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(804),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(804),
    [sym_statement] = STATE(747),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [167] = {
    [sym_declaration] = STATE(414),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4239),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(1107),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(368),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_attributed_statement] = STATE(368),
    [sym_statement] = STATE(414),
    [sym_labeled_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_case_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_goto_statement] = STATE(368),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_try_statement] = STATE(368),
    [sym_throw_statement] = STATE(368),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(368),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(368),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(1794),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(311),
    [anon_sym_default] = ACTIONS(313),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [168] = {
    [sym_expression] = STATE(1456),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_initializer_list] = STATE(1515),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1450),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2220),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2222),
    [anon_sym_COMMA] = ACTIONS(2222),
    [anon_sym_LPAREN2] = ACTIONS(2222),
    [anon_sym_BANG] = ACTIONS(2224),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2220),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_STAR] = ACTIONS(2220),
    [anon_sym_SLASH] = ACTIONS(2220),
    [anon_sym_PERCENT] = ACTIONS(2220),
    [anon_sym_PIPE_PIPE] = ACTIONS(2222),
    [anon_sym_AMP_AMP] = ACTIONS(2222),
    [anon_sym_PIPE] = ACTIONS(2220),
    [anon_sym_CARET] = ACTIONS(2220),
    [anon_sym_AMP] = ACTIONS(2220),
    [anon_sym_EQ_EQ] = ACTIONS(2222),
    [anon_sym_BANG_EQ] = ACTIONS(2222),
    [anon_sym_GT] = ACTIONS(2220),
    [anon_sym_GT_EQ] = ACTIONS(2222),
    [anon_sym_LT_EQ] = ACTIONS(2222),
    [anon_sym_LT] = ACTIONS(2220),
    [anon_sym_LT_LT] = ACTIONS(2220),
    [anon_sym_GT_GT] = ACTIONS(2220),
    [anon_sym_SEMI] = ACTIONS(2222),
    [anon_sym___extension__] = ACTIONS(2220),
    [anon_sym_extern] = ACTIONS(2220),
    [anon_sym___attribute__] = ACTIONS(2220),
    [anon_sym___attribute] = ACTIONS(2220),
    [anon_sym_noreturn] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2222),
    [anon_sym___declspec] = ACTIONS(2220),
    [anon_sym_LBRACE] = ACTIONS(2222),
    [anon_sym_signed] = ACTIONS(2220),
    [anon_sym_unsigned] = ACTIONS(2220),
    [anon_sym_long] = ACTIONS(2220),
    [anon_sym_short] = ACTIONS(2220),
    [anon_sym_static] = ACTIONS(2220),
    [anon_sym_EQ] = ACTIONS(2220),
    [anon_sym_ATautoreleasepool] = ACTIONS(2222),
    [anon_sym_auto] = ACTIONS(2220),
    [anon_sym_register] = ACTIONS(2220),
    [anon_sym_inline] = ACTIONS(2220),
    [anon_sym___inline] = ACTIONS(2220),
    [anon_sym___inline__] = ACTIONS(2220),
    [anon_sym___forceinline] = ACTIONS(2220),
    [anon_sym_thread_local] = ACTIONS(2220),
    [anon_sym___thread] = ACTIONS(2220),
    [anon_sym_CG_EXTERN] = ACTIONS(2220),
    [anon_sym_CG_INLINE] = ACTIONS(2220),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2220),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2220),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2220),
    [anon_sym_IBOutlet] = ACTIONS(2220),
    [anon_sym_IBInspectable] = ACTIONS(2220),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2220),
    [anon_sym_NS_INLINE] = ACTIONS(2220),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2220),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2220),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2220),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2220),
    [anon_sym_const] = ACTIONS(2220),
    [anon_sym_constexpr] = ACTIONS(2220),
    [anon_sym_volatile] = ACTIONS(2220),
    [anon_sym_restrict] = ACTIONS(2220),
    [anon_sym___restrict__] = ACTIONS(2220),
    [anon_sym__Atomic] = ACTIONS(2220),
    [anon_sym__Noreturn] = ACTIONS(2220),
    [anon_sym__Nonnull] = ACTIONS(2220),
    [anon_sym_nullable] = ACTIONS(2220),
    [anon_sym__Complex] = ACTIONS(2220),
    [anon_sym__Nullable] = ACTIONS(2220),
    [anon_sym__Nullable_result] = ACTIONS(2220),
    [anon_sym__Null_unspecified] = ACTIONS(2220),
    [anon_sym___autoreleasing] = ACTIONS(2220),
    [anon_sym___block] = ACTIONS(2220),
    [anon_sym___bridge] = ACTIONS(2220),
    [anon_sym___bridge_retained] = ACTIONS(2220),
    [anon_sym___bridge_transfer] = ACTIONS(2220),
    [anon_sym___complex] = ACTIONS(2220),
    [anon_sym___const] = ACTIONS(2220),
    [anon_sym___imag] = ACTIONS(2220),
    [anon_sym___kindof] = ACTIONS(2220),
    [anon_sym___nonnull] = ACTIONS(2220),
    [anon_sym___nullable] = ACTIONS(2220),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2220),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2220),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2220),
    [anon_sym___real] = ACTIONS(2220),
    [anon_sym___strong] = ACTIONS(2220),
    [anon_sym___unsafe_unretained] = ACTIONS(2220),
    [anon_sym___unused] = ACTIONS(2220),
    [anon_sym___weak] = ACTIONS(2220),
    [anon_sym_alignas] = ACTIONS(2220),
    [anon_sym__Alignas] = ACTIONS(2220),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_enum] = ACTIONS(2220),
    [anon_sym_struct] = ACTIONS(2220),
    [anon_sym_union] = ACTIONS(2220),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_QMARK] = ACTIONS(2222),
    [anon_sym_STAR_EQ] = ACTIONS(2222),
    [anon_sym_SLASH_EQ] = ACTIONS(2222),
    [anon_sym_PERCENT_EQ] = ACTIONS(2222),
    [anon_sym_PLUS_EQ] = ACTIONS(2222),
    [anon_sym_DASH_EQ] = ACTIONS(2222),
    [anon_sym_LT_LT_EQ] = ACTIONS(2222),
    [anon_sym_GT_GT_EQ] = ACTIONS(2222),
    [anon_sym_AMP_EQ] = ACTIONS(2222),
    [anon_sym_CARET_EQ] = ACTIONS(2222),
    [anon_sym_PIPE_EQ] = ACTIONS(2222),
    [anon_sym_DASH_DASH] = ACTIONS(2222),
    [anon_sym_PLUS_PLUS] = ACTIONS(2222),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [anon_sym_DOT] = ACTIONS(2220),
    [anon_sym_DASH_GT] = ACTIONS(2222),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_L_DQUOTE] = ACTIONS(2246),
    [anon_sym_u_DQUOTE] = ACTIONS(2246),
    [anon_sym_U_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8_DQUOTE] = ACTIONS(2246),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2220),
    [anon_sym___typeof] = ACTIONS(2220),
    [anon_sym_typeof] = ACTIONS(2220),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2220),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2220),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2220),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2220),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2220),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2220),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2220),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2220),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2220),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2220),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2220),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2220),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2220),
    [anon_sym_API_AVAILABLE] = ACTIONS(2220),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2220),
    [anon_sym_API_DEPRECATED] = ACTIONS(2220),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2220),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2220),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2220),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2220),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2220),
    [anon_sym___deprecated_msg] = ACTIONS(2220),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2220),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2220),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2220),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2220),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2220),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2220),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2220),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_BOOL] = ACTIONS(2220),
    [anon_sym_IMP] = ACTIONS(2220),
    [anon_sym_SEL] = ACTIONS(2220),
    [anon_sym_Class] = ACTIONS(2220),
    [anon_sym_id] = ACTIONS(2220),
  },
  [169] = {
    [sym_declaration] = STATE(3373),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4236),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__for_statement_body] = STATE(5987),
    [sym_expression] = STATE(4480),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6085),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(2262),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2264),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [170] = {
    [sym_declaration] = STATE(3373),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4244),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__for_statement_body] = STATE(5973),
    [sym_expression] = STATE(4480),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6085),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(2268),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2264),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [171] = {
    [sym_declaration] = STATE(3373),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4235),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__for_statement_body] = STATE(6325),
    [sym_expression] = STATE(4480),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6085),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(2270),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2264),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [172] = {
    [sym_declaration] = STATE(3373),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4243),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__for_statement_body] = STATE(6079),
    [sym_expression] = STATE(4480),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6085),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(2272),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2264),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [173] = {
    [sym_declaration] = STATE(3373),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4228),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__for_statement_body] = STATE(6341),
    [sym_expression] = STATE(4480),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6085),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(2274),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2264),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [174] = {
    [sym_declaration] = STATE(3373),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4245),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__for_statement_body] = STATE(6034),
    [sym_expression] = STATE(4480),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6085),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(2276),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2264),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [175] = {
    [sym_declaration] = STATE(3373),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4241),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__for_statement_body] = STATE(6504),
    [sym_expression] = STATE(4480),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6085),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2264),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [176] = {
    [sym_declaration] = STATE(3373),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4242),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__for_statement_body] = STATE(6744),
    [sym_expression] = STATE(4480),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6085),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2264),
    [anon_sym___extension__] = ACTIONS(2126),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(185),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(1774),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(1774),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(1780),
  },
  [177] = {
    [sym_expression] = STATE(1636),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1582),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1582),
    [sym_call_expression] = STATE(1582),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1582),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1582),
    [sym_initializer_list] = STATE(1676),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(1630),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2220),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2222),
    [anon_sym_COMMA] = ACTIONS(2222),
    [anon_sym_LPAREN2] = ACTIONS(2222),
    [anon_sym_BANG] = ACTIONS(2282),
    [anon_sym_TILDE] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2220),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_STAR] = ACTIONS(2222),
    [anon_sym_SLASH] = ACTIONS(2220),
    [anon_sym_PERCENT] = ACTIONS(2222),
    [anon_sym_PIPE_PIPE] = ACTIONS(2222),
    [anon_sym_AMP_AMP] = ACTIONS(2222),
    [anon_sym_PIPE] = ACTIONS(2220),
    [anon_sym_CARET] = ACTIONS(2222),
    [anon_sym_AMP] = ACTIONS(2220),
    [anon_sym_EQ_EQ] = ACTIONS(2222),
    [anon_sym_BANG_EQ] = ACTIONS(2222),
    [anon_sym_GT] = ACTIONS(2220),
    [anon_sym_GT_EQ] = ACTIONS(2222),
    [anon_sym_LT_EQ] = ACTIONS(2222),
    [anon_sym_LT] = ACTIONS(2220),
    [anon_sym_LT_LT] = ACTIONS(2222),
    [anon_sym_GT_GT] = ACTIONS(2222),
    [anon_sym_SEMI] = ACTIONS(2222),
    [anon_sym___extension__] = ACTIONS(2220),
    [anon_sym_extern] = ACTIONS(2220),
    [anon_sym___attribute__] = ACTIONS(2220),
    [anon_sym___attribute] = ACTIONS(2220),
    [anon_sym_noreturn] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2222),
    [anon_sym___declspec] = ACTIONS(2220),
    [anon_sym_LBRACE] = ACTIONS(2222),
    [anon_sym_signed] = ACTIONS(2220),
    [anon_sym_unsigned] = ACTIONS(2220),
    [anon_sym_long] = ACTIONS(2220),
    [anon_sym_short] = ACTIONS(2220),
    [anon_sym_static] = ACTIONS(2220),
    [anon_sym_ATautoreleasepool] = ACTIONS(2222),
    [anon_sym_auto] = ACTIONS(2220),
    [anon_sym_register] = ACTIONS(2220),
    [anon_sym_inline] = ACTIONS(2220),
    [anon_sym___inline] = ACTIONS(2220),
    [anon_sym___inline__] = ACTIONS(2220),
    [anon_sym___forceinline] = ACTIONS(2220),
    [anon_sym_thread_local] = ACTIONS(2220),
    [anon_sym___thread] = ACTIONS(2220),
    [anon_sym_CG_EXTERN] = ACTIONS(2220),
    [anon_sym_CG_INLINE] = ACTIONS(2220),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2220),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2220),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2220),
    [anon_sym_IBOutlet] = ACTIONS(2220),
    [anon_sym_IBInspectable] = ACTIONS(2220),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2220),
    [anon_sym_NS_INLINE] = ACTIONS(2220),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2220),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2220),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2220),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2220),
    [anon_sym_const] = ACTIONS(2220),
    [anon_sym_constexpr] = ACTIONS(2220),
    [anon_sym_volatile] = ACTIONS(2220),
    [anon_sym_restrict] = ACTIONS(2220),
    [anon_sym___restrict__] = ACTIONS(2220),
    [anon_sym__Atomic] = ACTIONS(2220),
    [anon_sym__Noreturn] = ACTIONS(2220),
    [anon_sym__Nonnull] = ACTIONS(2220),
    [anon_sym_nullable] = ACTIONS(2220),
    [anon_sym__Complex] = ACTIONS(2220),
    [anon_sym__Nullable] = ACTIONS(2220),
    [anon_sym__Nullable_result] = ACTIONS(2220),
    [anon_sym__Null_unspecified] = ACTIONS(2220),
    [anon_sym___autoreleasing] = ACTIONS(2220),
    [anon_sym___block] = ACTIONS(2220),
    [anon_sym___bridge] = ACTIONS(2220),
    [anon_sym___bridge_retained] = ACTIONS(2220),
    [anon_sym___bridge_transfer] = ACTIONS(2220),
    [anon_sym___complex] = ACTIONS(2220),
    [anon_sym___const] = ACTIONS(2220),
    [anon_sym___imag] = ACTIONS(2220),
    [anon_sym___kindof] = ACTIONS(2220),
    [anon_sym___nonnull] = ACTIONS(2220),
    [anon_sym___nullable] = ACTIONS(2220),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2220),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2220),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2220),
    [anon_sym___real] = ACTIONS(2220),
    [anon_sym___strong] = ACTIONS(2220),
    [anon_sym___unsafe_unretained] = ACTIONS(2220),
    [anon_sym___unused] = ACTIONS(2220),
    [anon_sym___weak] = ACTIONS(2220),
    [anon_sym_alignas] = ACTIONS(2220),
    [anon_sym__Alignas] = ACTIONS(2220),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_enum] = ACTIONS(2220),
    [anon_sym_struct] = ACTIONS(2220),
    [anon_sym_union] = ACTIONS(2220),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(2222),
    [anon_sym_DASH_DASH] = ACTIONS(2222),
    [anon_sym_PLUS_PLUS] = ACTIONS(2222),
    [anon_sym_sizeof] = ACTIONS(2286),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [anon_sym_DOT] = ACTIONS(2220),
    [anon_sym_DASH_GT] = ACTIONS(2222),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2220),
    [anon_sym___typeof] = ACTIONS(2220),
    [anon_sym_typeof] = ACTIONS(2220),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2220),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2220),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2220),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2220),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2220),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2220),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2220),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2220),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2220),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2220),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2220),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2220),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2220),
    [anon_sym_API_AVAILABLE] = ACTIONS(2220),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2220),
    [anon_sym_API_DEPRECATED] = ACTIONS(2220),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2220),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2220),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2220),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2220),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2220),
    [anon_sym___deprecated_msg] = ACTIONS(2220),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2220),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2220),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2220),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2220),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2220),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2220),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2220),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(2220),
    [anon_sym_IMP] = ACTIONS(2220),
    [anon_sym_SEL] = ACTIONS(2220),
    [anon_sym_Class] = ACTIONS(2220),
    [anon_sym_id] = ACTIONS(2220),
  },
  [178] = {
    [sym_expression] = STATE(1456),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_initializer_list] = STATE(1515),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2220),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2222),
    [anon_sym_COMMA] = ACTIONS(2222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2222),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2222),
    [anon_sym_LPAREN2] = ACTIONS(2222),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2220),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_STAR] = ACTIONS(2220),
    [anon_sym_SLASH] = ACTIONS(2220),
    [anon_sym_PERCENT] = ACTIONS(2220),
    [anon_sym_PIPE_PIPE] = ACTIONS(2222),
    [anon_sym_AMP_AMP] = ACTIONS(2222),
    [anon_sym_PIPE] = ACTIONS(2220),
    [anon_sym_CARET] = ACTIONS(2220),
    [anon_sym_AMP] = ACTIONS(2220),
    [anon_sym_EQ_EQ] = ACTIONS(2222),
    [anon_sym_BANG_EQ] = ACTIONS(2222),
    [anon_sym_GT] = ACTIONS(2220),
    [anon_sym_GT_EQ] = ACTIONS(2222),
    [anon_sym_LT_EQ] = ACTIONS(2222),
    [anon_sym_LT] = ACTIONS(2220),
    [anon_sym_LT_LT] = ACTIONS(2220),
    [anon_sym_GT_GT] = ACTIONS(2220),
    [anon_sym___extension__] = ACTIONS(2220),
    [anon_sym_extern] = ACTIONS(2220),
    [anon_sym___attribute__] = ACTIONS(2220),
    [anon_sym___attribute] = ACTIONS(2220),
    [anon_sym_noreturn] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2222),
    [anon_sym___declspec] = ACTIONS(2220),
    [anon_sym_LBRACE] = ACTIONS(2298),
    [anon_sym_RBRACE] = ACTIONS(2222),
    [anon_sym_static] = ACTIONS(2220),
    [anon_sym_EQ] = ACTIONS(2220),
    [anon_sym_auto] = ACTIONS(2220),
    [anon_sym_register] = ACTIONS(2220),
    [anon_sym_inline] = ACTIONS(2220),
    [anon_sym___inline] = ACTIONS(2220),
    [anon_sym___inline__] = ACTIONS(2220),
    [anon_sym___forceinline] = ACTIONS(2220),
    [anon_sym_thread_local] = ACTIONS(2220),
    [anon_sym___thread] = ACTIONS(2220),
    [anon_sym_CG_EXTERN] = ACTIONS(2220),
    [anon_sym_CG_INLINE] = ACTIONS(2220),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2220),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2220),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2220),
    [anon_sym_IBOutlet] = ACTIONS(2220),
    [anon_sym_IBInspectable] = ACTIONS(2220),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2220),
    [anon_sym_NS_INLINE] = ACTIONS(2220),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2220),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2220),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2220),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2220),
    [anon_sym_const] = ACTIONS(2220),
    [anon_sym_constexpr] = ACTIONS(2220),
    [anon_sym_volatile] = ACTIONS(2220),
    [anon_sym_restrict] = ACTIONS(2220),
    [anon_sym___restrict__] = ACTIONS(2220),
    [anon_sym__Atomic] = ACTIONS(2220),
    [anon_sym__Noreturn] = ACTIONS(2220),
    [anon_sym__Nonnull] = ACTIONS(2220),
    [anon_sym_nullable] = ACTIONS(2220),
    [anon_sym__Complex] = ACTIONS(2220),
    [anon_sym__Nullable] = ACTIONS(2220),
    [anon_sym__Nullable_result] = ACTIONS(2220),
    [anon_sym__Null_unspecified] = ACTIONS(2220),
    [anon_sym___autoreleasing] = ACTIONS(2220),
    [anon_sym___block] = ACTIONS(2220),
    [anon_sym___bridge] = ACTIONS(2220),
    [anon_sym___bridge_retained] = ACTIONS(2220),
    [anon_sym___bridge_transfer] = ACTIONS(2220),
    [anon_sym___complex] = ACTIONS(2220),
    [anon_sym___const] = ACTIONS(2220),
    [anon_sym___imag] = ACTIONS(2220),
    [anon_sym___kindof] = ACTIONS(2220),
    [anon_sym___nonnull] = ACTIONS(2220),
    [anon_sym___nullable] = ACTIONS(2220),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2220),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2220),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2220),
    [anon_sym___real] = ACTIONS(2220),
    [anon_sym___strong] = ACTIONS(2220),
    [anon_sym___unsafe_unretained] = ACTIONS(2220),
    [anon_sym___unused] = ACTIONS(2220),
    [anon_sym___weak] = ACTIONS(2220),
    [anon_sym_alignas] = ACTIONS(2220),
    [anon_sym__Alignas] = ACTIONS(2220),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_QMARK] = ACTIONS(2222),
    [anon_sym_STAR_EQ] = ACTIONS(2222),
    [anon_sym_SLASH_EQ] = ACTIONS(2222),
    [anon_sym_PERCENT_EQ] = ACTIONS(2222),
    [anon_sym_PLUS_EQ] = ACTIONS(2222),
    [anon_sym_DASH_EQ] = ACTIONS(2222),
    [anon_sym_LT_LT_EQ] = ACTIONS(2222),
    [anon_sym_GT_GT_EQ] = ACTIONS(2222),
    [anon_sym_AMP_EQ] = ACTIONS(2222),
    [anon_sym_CARET_EQ] = ACTIONS(2222),
    [anon_sym_PIPE_EQ] = ACTIONS(2222),
    [anon_sym_DASH_DASH] = ACTIONS(2222),
    [anon_sym_PLUS_PLUS] = ACTIONS(2222),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [anon_sym_DOT] = ACTIONS(2220),
    [anon_sym_DASH_GT] = ACTIONS(2222),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2220),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2220),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2220),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2220),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2220),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2220),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2220),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2220),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2220),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2220),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2220),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2220),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2220),
    [anon_sym_API_AVAILABLE] = ACTIONS(2220),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2220),
    [anon_sym_API_DEPRECATED] = ACTIONS(2220),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2220),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2220),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2220),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2220),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2220),
    [anon_sym___deprecated_msg] = ACTIONS(2220),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2220),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2220),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2220),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2220),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2220),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2220),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2220),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [179] = {
    [sym_catch_clause] = STATE(180),
    [sym_finally_clause] = STATE(247),
    [aux_sym_try_statement_repeat1] = STATE(180),
    [sym_identifier] = ACTIONS(2306),
    [aux_sym_preproc_include_token1] = ACTIONS(2306),
    [aux_sym_preproc_include_token2] = ACTIONS(2306),
    [aux_sym_preproc_def_token1] = ACTIONS(2306),
    [aux_sym_preproc_if_token1] = ACTIONS(2306),
    [aux_sym_preproc_if_token2] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2306),
    [aux_sym_preproc_else_token1] = ACTIONS(2306),
    [aux_sym_preproc_elif_token1] = ACTIONS(2306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2306),
    [sym_preproc_directive] = ACTIONS(2306),
    [anon_sym_LPAREN2] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_CARET] = ACTIONS(2308),
    [anon_sym_AMP] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2308),
    [anon_sym___extension__] = ACTIONS(2306),
    [anon_sym_typedef] = ACTIONS(2306),
    [anon_sym_extern] = ACTIONS(2306),
    [anon_sym___attribute__] = ACTIONS(2306),
    [anon_sym___attribute] = ACTIONS(2306),
    [anon_sym_noreturn] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym___declspec] = ACTIONS(2306),
    [anon_sym___cdecl] = ACTIONS(2306),
    [anon_sym___clrcall] = ACTIONS(2306),
    [anon_sym___stdcall] = ACTIONS(2306),
    [anon_sym___fastcall] = ACTIONS(2306),
    [anon_sym___thiscall] = ACTIONS(2306),
    [anon_sym___vectorcall] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2308),
    [anon_sym_signed] = ACTIONS(2306),
    [anon_sym_unsigned] = ACTIONS(2306),
    [anon_sym_long] = ACTIONS(2306),
    [anon_sym_short] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_ATautoreleasepool] = ACTIONS(2308),
    [anon_sym_auto] = ACTIONS(2306),
    [anon_sym_register] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(2306),
    [anon_sym___inline] = ACTIONS(2306),
    [anon_sym___inline__] = ACTIONS(2306),
    [anon_sym___forceinline] = ACTIONS(2306),
    [anon_sym_thread_local] = ACTIONS(2306),
    [anon_sym___thread] = ACTIONS(2306),
    [anon_sym_CG_EXTERN] = ACTIONS(2306),
    [anon_sym_CG_INLINE] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2306),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2306),
    [anon_sym_IBOutlet] = ACTIONS(2306),
    [anon_sym_IBInspectable] = ACTIONS(2306),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2306),
    [anon_sym_NS_INLINE] = ACTIONS(2306),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2306),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2306),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_constexpr] = ACTIONS(2306),
    [anon_sym_volatile] = ACTIONS(2306),
    [anon_sym_restrict] = ACTIONS(2306),
    [anon_sym___restrict__] = ACTIONS(2306),
    [anon_sym__Atomic] = ACTIONS(2306),
    [anon_sym__Noreturn] = ACTIONS(2306),
    [anon_sym__Nonnull] = ACTIONS(2306),
    [anon_sym_nullable] = ACTIONS(2306),
    [anon_sym__Complex] = ACTIONS(2306),
    [anon_sym__Nullable] = ACTIONS(2306),
    [anon_sym__Nullable_result] = ACTIONS(2306),
    [anon_sym__Null_unspecified] = ACTIONS(2306),
    [anon_sym___autoreleasing] = ACTIONS(2306),
    [anon_sym___block] = ACTIONS(2306),
    [anon_sym___bridge] = ACTIONS(2306),
    [anon_sym___bridge_retained] = ACTIONS(2306),
    [anon_sym___bridge_transfer] = ACTIONS(2306),
    [anon_sym___complex] = ACTIONS(2306),
    [anon_sym___const] = ACTIONS(2306),
    [anon_sym___imag] = ACTIONS(2306),
    [anon_sym___kindof] = ACTIONS(2306),
    [anon_sym___nonnull] = ACTIONS(2306),
    [anon_sym___nullable] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2306),
    [anon_sym___real] = ACTIONS(2306),
    [anon_sym___strong] = ACTIONS(2306),
    [anon_sym___unsafe_unretained] = ACTIONS(2306),
    [anon_sym___unused] = ACTIONS(2306),
    [anon_sym___weak] = ACTIONS(2306),
    [anon_sym_alignas] = ACTIONS(2306),
    [anon_sym__Alignas] = ACTIONS(2306),
    [sym_primitive_type] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [anon_sym_struct] = ACTIONS(2306),
    [anon_sym_union] = ACTIONS(2306),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_else] = ACTIONS(2306),
    [anon_sym_switch] = ACTIONS(2306),
    [anon_sym_case] = ACTIONS(2306),
    [anon_sym_default] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2306),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2306),
    [anon_sym_continue] = ACTIONS(2306),
    [anon_sym_goto] = ACTIONS(2306),
    [anon_sym_DASH_DASH] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(2308),
    [anon_sym_sizeof] = ACTIONS(2306),
    [anon_sym___alignof__] = ACTIONS(2306),
    [anon_sym___alignof] = ACTIONS(2306),
    [anon_sym__alignof] = ACTIONS(2306),
    [anon_sym_alignof] = ACTIONS(2306),
    [anon_sym__Alignof] = ACTIONS(2306),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2306),
    [anon_sym_asm] = ACTIONS(2306),
    [anon_sym___asm__] = ACTIONS(2306),
    [anon_sym___asm] = ACTIONS(2306),
    [sym_number_literal] = ACTIONS(2308),
    [anon_sym_L_SQUOTE] = ACTIONS(2308),
    [anon_sym_u_SQUOTE] = ACTIONS(2308),
    [anon_sym_U_SQUOTE] = ACTIONS(2308),
    [anon_sym_u8_SQUOTE] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [anon_sym_AT] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2308),
    [anon_sym_L_DQUOTE] = ACTIONS(2308),
    [anon_sym_u_DQUOTE] = ACTIONS(2308),
    [anon_sym_U_DQUOTE] = ACTIONS(2308),
    [anon_sym_u8_DQUOTE] = ACTIONS(2308),
    [sym_true] = ACTIONS(2306),
    [sym_false] = ACTIONS(2306),
    [anon_sym_NULL] = ACTIONS(2306),
    [anon_sym_nullptr] = ACTIONS(2306),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2306),
    [anon_sym___typeof] = ACTIONS(2306),
    [anon_sym_typeof] = ACTIONS(2306),
    [anon_sym_ATimport] = ACTIONS(2308),
    [aux_sym_preproc_undef_token1] = ACTIONS(2306),
    [anon_sym_POUND] = ACTIONS(2306),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2306),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2306),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2306),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_API_AVAILABLE] = ACTIONS(2306),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_API_DEPRECATED] = ACTIONS(2306),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym___deprecated_msg] = ACTIONS(2306),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2306),
    [anon_sym_ATprotocol] = ACTIONS(2308),
    [anon_sym_ATinterface] = ACTIONS(2308),
    [anon_sym_ATimplementation] = ACTIONS(2308),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2308),
    [anon_sym_ATsynthesize] = ACTIONS(2308),
    [anon_sym_ATdynamic] = ACTIONS(2308),
    [anon_sym_ATtry] = ACTIONS(2308),
    [anon_sym___try] = ACTIONS(2306),
    [anon_sym_ATcatch] = ACTIONS(2310),
    [anon_sym___catch] = ACTIONS(2312),
    [anon_sym_ATfinally] = ACTIONS(2314),
    [anon_sym___finally] = ACTIONS(2316),
    [anon_sym_ATthrow] = ACTIONS(2308),
    [anon_sym_ATselector] = ACTIONS(2308),
    [anon_sym_ATavailable] = ACTIONS(2308),
    [anon_sym___builtin_available] = ACTIONS(2306),
    [anon_sym_va_arg] = ACTIONS(2306),
    [anon_sym_ATencode] = ACTIONS(2308),
    [anon_sym_ATsynchronized] = ACTIONS(2308),
    [anon_sym_BOOL] = ACTIONS(2306),
    [anon_sym_IMP] = ACTIONS(2306),
    [anon_sym_SEL] = ACTIONS(2306),
    [anon_sym_Class] = ACTIONS(2306),
    [anon_sym_id] = ACTIONS(2306),
  },
  [180] = {
    [sym_catch_clause] = STATE(180),
    [aux_sym_try_statement_repeat1] = STATE(180),
    [sym_identifier] = ACTIONS(2318),
    [aux_sym_preproc_include_token1] = ACTIONS(2318),
    [aux_sym_preproc_include_token2] = ACTIONS(2318),
    [aux_sym_preproc_def_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token2] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2318),
    [aux_sym_preproc_else_token1] = ACTIONS(2318),
    [aux_sym_preproc_elif_token1] = ACTIONS(2318),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2318),
    [sym_preproc_directive] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_BANG] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_SEMI] = ACTIONS(2320),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_typedef] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym___attribute] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym___cdecl] = ACTIONS(2318),
    [anon_sym___clrcall] = ACTIONS(2318),
    [anon_sym___stdcall] = ACTIONS(2318),
    [anon_sym___fastcall] = ACTIONS(2318),
    [anon_sym___thiscall] = ACTIONS(2318),
    [anon_sym___vectorcall] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_ATautoreleasepool] = ACTIONS(2320),
    [anon_sym_auto] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_CG_EXTERN] = ACTIONS(2318),
    [anon_sym_CG_INLINE] = ACTIONS(2318),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2318),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2318),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2318),
    [anon_sym_IBOutlet] = ACTIONS(2318),
    [anon_sym_IBInspectable] = ACTIONS(2318),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2318),
    [anon_sym_NS_INLINE] = ACTIONS(2318),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2318),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2318),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2318),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym__Nonnull] = ACTIONS(2318),
    [anon_sym_nullable] = ACTIONS(2318),
    [anon_sym__Complex] = ACTIONS(2318),
    [anon_sym__Nullable] = ACTIONS(2318),
    [anon_sym__Nullable_result] = ACTIONS(2318),
    [anon_sym__Null_unspecified] = ACTIONS(2318),
    [anon_sym___autoreleasing] = ACTIONS(2318),
    [anon_sym___block] = ACTIONS(2318),
    [anon_sym___bridge] = ACTIONS(2318),
    [anon_sym___bridge_retained] = ACTIONS(2318),
    [anon_sym___bridge_transfer] = ACTIONS(2318),
    [anon_sym___complex] = ACTIONS(2318),
    [anon_sym___const] = ACTIONS(2318),
    [anon_sym___imag] = ACTIONS(2318),
    [anon_sym___kindof] = ACTIONS(2318),
    [anon_sym___nonnull] = ACTIONS(2318),
    [anon_sym___nullable] = ACTIONS(2318),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2318),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2318),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2318),
    [anon_sym___real] = ACTIONS(2318),
    [anon_sym___strong] = ACTIONS(2318),
    [anon_sym___unsafe_unretained] = ACTIONS(2318),
    [anon_sym___unused] = ACTIONS(2318),
    [anon_sym___weak] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym__Alignas] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_else] = ACTIONS(2318),
    [anon_sym_switch] = ACTIONS(2318),
    [anon_sym_case] = ACTIONS(2318),
    [anon_sym_default] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_do] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_break] = ACTIONS(2318),
    [anon_sym_continue] = ACTIONS(2318),
    [anon_sym_goto] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2320),
    [anon_sym_sizeof] = ACTIONS(2318),
    [anon_sym___alignof__] = ACTIONS(2318),
    [anon_sym___alignof] = ACTIONS(2318),
    [anon_sym__alignof] = ACTIONS(2318),
    [anon_sym_alignof] = ACTIONS(2318),
    [anon_sym__Alignof] = ACTIONS(2318),
    [anon_sym_offsetof] = ACTIONS(2318),
    [anon_sym__Generic] = ACTIONS(2318),
    [anon_sym_asm] = ACTIONS(2318),
    [anon_sym___asm__] = ACTIONS(2318),
    [anon_sym___asm] = ACTIONS(2318),
    [sym_number_literal] = ACTIONS(2320),
    [anon_sym_L_SQUOTE] = ACTIONS(2320),
    [anon_sym_u_SQUOTE] = ACTIONS(2320),
    [anon_sym_U_SQUOTE] = ACTIONS(2320),
    [anon_sym_u8_SQUOTE] = ACTIONS(2320),
    [anon_sym_SQUOTE] = ACTIONS(2320),
    [anon_sym_AT] = ACTIONS(2318),
    [anon_sym_DQUOTE] = ACTIONS(2320),
    [anon_sym_L_DQUOTE] = ACTIONS(2320),
    [anon_sym_u_DQUOTE] = ACTIONS(2320),
    [anon_sym_U_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8_DQUOTE] = ACTIONS(2320),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2318),
    [anon_sym_nullptr] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2318),
    [anon_sym___typeof] = ACTIONS(2318),
    [anon_sym_typeof] = ACTIONS(2318),
    [anon_sym_ATimport] = ACTIONS(2320),
    [aux_sym_preproc_undef_token1] = ACTIONS(2318),
    [anon_sym_POUND] = ACTIONS(2318),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2318),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2318),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2318),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2318),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2318),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2318),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2318),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2318),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2318),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_API_AVAILABLE] = ACTIONS(2318),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_API_DEPRECATED] = ACTIONS(2318),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2318),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2318),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2318),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2318),
    [anon_sym___deprecated_msg] = ACTIONS(2318),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2318),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2318),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2318),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2318),
    [anon_sym_ATprotocol] = ACTIONS(2320),
    [anon_sym_ATinterface] = ACTIONS(2320),
    [anon_sym_ATimplementation] = ACTIONS(2320),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2320),
    [anon_sym_ATsynthesize] = ACTIONS(2320),
    [anon_sym_ATdynamic] = ACTIONS(2320),
    [anon_sym_ATtry] = ACTIONS(2320),
    [anon_sym___try] = ACTIONS(2318),
    [anon_sym_ATcatch] = ACTIONS(2322),
    [anon_sym___catch] = ACTIONS(2325),
    [anon_sym_ATfinally] = ACTIONS(2320),
    [anon_sym___finally] = ACTIONS(2318),
    [anon_sym_ATthrow] = ACTIONS(2320),
    [anon_sym_ATselector] = ACTIONS(2320),
    [anon_sym_ATavailable] = ACTIONS(2320),
    [anon_sym___builtin_available] = ACTIONS(2318),
    [anon_sym_va_arg] = ACTIONS(2318),
    [anon_sym_ATencode] = ACTIONS(2320),
    [anon_sym_ATsynchronized] = ACTIONS(2320),
    [anon_sym_BOOL] = ACTIONS(2318),
    [anon_sym_IMP] = ACTIONS(2318),
    [anon_sym_SEL] = ACTIONS(2318),
    [anon_sym_Class] = ACTIONS(2318),
    [anon_sym_id] = ACTIONS(2318),
  },
  [181] = {
    [sym_expression] = STATE(1456),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_initializer_list] = STATE(1515),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2222),
    [anon_sym_COMMA] = ACTIONS(2222),
    [anon_sym_LPAREN2] = ACTIONS(2222),
    [anon_sym_BANG] = ACTIONS(2330),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2220),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_STAR] = ACTIONS(2220),
    [anon_sym_SLASH] = ACTIONS(2220),
    [anon_sym_PERCENT] = ACTIONS(2220),
    [anon_sym_PIPE_PIPE] = ACTIONS(2222),
    [anon_sym_AMP_AMP] = ACTIONS(2222),
    [anon_sym_PIPE] = ACTIONS(2220),
    [anon_sym_CARET] = ACTIONS(2220),
    [anon_sym_AMP] = ACTIONS(2220),
    [anon_sym_EQ_EQ] = ACTIONS(2222),
    [anon_sym_BANG_EQ] = ACTIONS(2222),
    [anon_sym_GT] = ACTIONS(2220),
    [anon_sym_GT_EQ] = ACTIONS(2222),
    [anon_sym_LT_EQ] = ACTIONS(2222),
    [anon_sym_LT] = ACTIONS(2220),
    [anon_sym_LT_LT] = ACTIONS(2220),
    [anon_sym_GT_GT] = ACTIONS(2220),
    [anon_sym_SEMI] = ACTIONS(2222),
    [anon_sym___extension__] = ACTIONS(2220),
    [anon_sym_extern] = ACTIONS(2220),
    [anon_sym___attribute__] = ACTIONS(2220),
    [anon_sym___attribute] = ACTIONS(2220),
    [anon_sym_noreturn] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2222),
    [anon_sym___declspec] = ACTIONS(2220),
    [anon_sym_LBRACE] = ACTIONS(2298),
    [anon_sym_static] = ACTIONS(2220),
    [anon_sym_EQ] = ACTIONS(2220),
    [anon_sym_auto] = ACTIONS(2220),
    [anon_sym_register] = ACTIONS(2220),
    [anon_sym_inline] = ACTIONS(2220),
    [anon_sym___inline] = ACTIONS(2220),
    [anon_sym___inline__] = ACTIONS(2220),
    [anon_sym___forceinline] = ACTIONS(2220),
    [anon_sym_thread_local] = ACTIONS(2220),
    [anon_sym___thread] = ACTIONS(2220),
    [anon_sym_CG_EXTERN] = ACTIONS(2220),
    [anon_sym_CG_INLINE] = ACTIONS(2220),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2220),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2220),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2220),
    [anon_sym_IBOutlet] = ACTIONS(2220),
    [anon_sym_IBInspectable] = ACTIONS(2220),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2220),
    [anon_sym_NS_INLINE] = ACTIONS(2220),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2220),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2220),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2220),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2220),
    [anon_sym_const] = ACTIONS(2220),
    [anon_sym_constexpr] = ACTIONS(2220),
    [anon_sym_volatile] = ACTIONS(2220),
    [anon_sym_restrict] = ACTIONS(2220),
    [anon_sym___restrict__] = ACTIONS(2220),
    [anon_sym__Atomic] = ACTIONS(2220),
    [anon_sym__Noreturn] = ACTIONS(2220),
    [anon_sym__Nonnull] = ACTIONS(2220),
    [anon_sym_nullable] = ACTIONS(2220),
    [anon_sym__Complex] = ACTIONS(2220),
    [anon_sym__Nullable] = ACTIONS(2220),
    [anon_sym__Nullable_result] = ACTIONS(2220),
    [anon_sym__Null_unspecified] = ACTIONS(2220),
    [anon_sym___autoreleasing] = ACTIONS(2220),
    [anon_sym___block] = ACTIONS(2220),
    [anon_sym___bridge] = ACTIONS(2220),
    [anon_sym___bridge_retained] = ACTIONS(2220),
    [anon_sym___bridge_transfer] = ACTIONS(2220),
    [anon_sym___complex] = ACTIONS(2220),
    [anon_sym___const] = ACTIONS(2220),
    [anon_sym___imag] = ACTIONS(2220),
    [anon_sym___kindof] = ACTIONS(2220),
    [anon_sym___nonnull] = ACTIONS(2220),
    [anon_sym___nullable] = ACTIONS(2220),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2220),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2220),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2220),
    [anon_sym___real] = ACTIONS(2220),
    [anon_sym___strong] = ACTIONS(2220),
    [anon_sym___unsafe_unretained] = ACTIONS(2220),
    [anon_sym___unused] = ACTIONS(2220),
    [anon_sym___weak] = ACTIONS(2220),
    [anon_sym_alignas] = ACTIONS(2220),
    [anon_sym__Alignas] = ACTIONS(2220),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_QMARK] = ACTIONS(2222),
    [anon_sym_STAR_EQ] = ACTIONS(2222),
    [anon_sym_SLASH_EQ] = ACTIONS(2222),
    [anon_sym_PERCENT_EQ] = ACTIONS(2222),
    [anon_sym_PLUS_EQ] = ACTIONS(2222),
    [anon_sym_DASH_EQ] = ACTIONS(2222),
    [anon_sym_LT_LT_EQ] = ACTIONS(2222),
    [anon_sym_GT_GT_EQ] = ACTIONS(2222),
    [anon_sym_AMP_EQ] = ACTIONS(2222),
    [anon_sym_CARET_EQ] = ACTIONS(2222),
    [anon_sym_PIPE_EQ] = ACTIONS(2222),
    [anon_sym_DASH_DASH] = ACTIONS(2222),
    [anon_sym_PLUS_PLUS] = ACTIONS(2222),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [anon_sym_DOT] = ACTIONS(2220),
    [anon_sym_DASH_GT] = ACTIONS(2222),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2220),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2220),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2220),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2220),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2220),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2220),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2220),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2220),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2220),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2220),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2220),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2220),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2220),
    [anon_sym_API_AVAILABLE] = ACTIONS(2220),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2220),
    [anon_sym_API_DEPRECATED] = ACTIONS(2220),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2220),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2220),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2220),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2220),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2220),
    [anon_sym___deprecated_msg] = ACTIONS(2220),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2220),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2220),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2220),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2220),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2220),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2220),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2220),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [182] = {
    [sym_catch_clause] = STATE(184),
    [sym_finally_clause] = STATE(420),
    [aux_sym_try_statement_repeat1] = STATE(184),
    [sym_identifier] = ACTIONS(2306),
    [aux_sym_preproc_include_token1] = ACTIONS(2306),
    [aux_sym_preproc_include_token2] = ACTIONS(2306),
    [aux_sym_preproc_def_token1] = ACTIONS(2306),
    [aux_sym_preproc_if_token1] = ACTIONS(2306),
    [aux_sym_preproc_if_token2] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2306),
    [aux_sym_preproc_else_token1] = ACTIONS(2306),
    [aux_sym_preproc_elif_token1] = ACTIONS(2306),
    [sym_preproc_directive] = ACTIONS(2306),
    [anon_sym_LPAREN2] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_CARET] = ACTIONS(2308),
    [anon_sym_AMP] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2308),
    [anon_sym___extension__] = ACTIONS(2306),
    [anon_sym_typedef] = ACTIONS(2306),
    [anon_sym_extern] = ACTIONS(2306),
    [anon_sym___attribute__] = ACTIONS(2306),
    [anon_sym___attribute] = ACTIONS(2306),
    [anon_sym_noreturn] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym___declspec] = ACTIONS(2306),
    [anon_sym___cdecl] = ACTIONS(2306),
    [anon_sym___clrcall] = ACTIONS(2306),
    [anon_sym___stdcall] = ACTIONS(2306),
    [anon_sym___fastcall] = ACTIONS(2306),
    [anon_sym___thiscall] = ACTIONS(2306),
    [anon_sym___vectorcall] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2308),
    [anon_sym_signed] = ACTIONS(2306),
    [anon_sym_unsigned] = ACTIONS(2306),
    [anon_sym_long] = ACTIONS(2306),
    [anon_sym_short] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_ATautoreleasepool] = ACTIONS(2308),
    [anon_sym_auto] = ACTIONS(2306),
    [anon_sym_register] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(2306),
    [anon_sym___inline] = ACTIONS(2306),
    [anon_sym___inline__] = ACTIONS(2306),
    [anon_sym___forceinline] = ACTIONS(2306),
    [anon_sym_thread_local] = ACTIONS(2306),
    [anon_sym___thread] = ACTIONS(2306),
    [anon_sym_CG_EXTERN] = ACTIONS(2306),
    [anon_sym_CG_INLINE] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2306),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2306),
    [anon_sym_IBOutlet] = ACTIONS(2306),
    [anon_sym_IBInspectable] = ACTIONS(2306),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2306),
    [anon_sym_NS_INLINE] = ACTIONS(2306),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2306),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2306),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_constexpr] = ACTIONS(2306),
    [anon_sym_volatile] = ACTIONS(2306),
    [anon_sym_restrict] = ACTIONS(2306),
    [anon_sym___restrict__] = ACTIONS(2306),
    [anon_sym__Atomic] = ACTIONS(2306),
    [anon_sym__Noreturn] = ACTIONS(2306),
    [anon_sym__Nonnull] = ACTIONS(2306),
    [anon_sym_nullable] = ACTIONS(2306),
    [anon_sym__Complex] = ACTIONS(2306),
    [anon_sym__Nullable] = ACTIONS(2306),
    [anon_sym__Nullable_result] = ACTIONS(2306),
    [anon_sym__Null_unspecified] = ACTIONS(2306),
    [anon_sym___autoreleasing] = ACTIONS(2306),
    [anon_sym___block] = ACTIONS(2306),
    [anon_sym___bridge] = ACTIONS(2306),
    [anon_sym___bridge_retained] = ACTIONS(2306),
    [anon_sym___bridge_transfer] = ACTIONS(2306),
    [anon_sym___complex] = ACTIONS(2306),
    [anon_sym___const] = ACTIONS(2306),
    [anon_sym___imag] = ACTIONS(2306),
    [anon_sym___kindof] = ACTIONS(2306),
    [anon_sym___nonnull] = ACTIONS(2306),
    [anon_sym___nullable] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2306),
    [anon_sym___real] = ACTIONS(2306),
    [anon_sym___strong] = ACTIONS(2306),
    [anon_sym___unsafe_unretained] = ACTIONS(2306),
    [anon_sym___unused] = ACTIONS(2306),
    [anon_sym___weak] = ACTIONS(2306),
    [anon_sym_alignas] = ACTIONS(2306),
    [anon_sym__Alignas] = ACTIONS(2306),
    [sym_primitive_type] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [anon_sym_struct] = ACTIONS(2306),
    [anon_sym_union] = ACTIONS(2306),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_else] = ACTIONS(2306),
    [anon_sym_switch] = ACTIONS(2306),
    [anon_sym_case] = ACTIONS(2306),
    [anon_sym_default] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2306),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2306),
    [anon_sym_continue] = ACTIONS(2306),
    [anon_sym_goto] = ACTIONS(2306),
    [anon_sym_DASH_DASH] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(2308),
    [anon_sym_sizeof] = ACTIONS(2306),
    [anon_sym___alignof__] = ACTIONS(2306),
    [anon_sym___alignof] = ACTIONS(2306),
    [anon_sym__alignof] = ACTIONS(2306),
    [anon_sym_alignof] = ACTIONS(2306),
    [anon_sym__Alignof] = ACTIONS(2306),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2306),
    [anon_sym_asm] = ACTIONS(2306),
    [anon_sym___asm__] = ACTIONS(2306),
    [anon_sym___asm] = ACTIONS(2306),
    [sym_number_literal] = ACTIONS(2308),
    [anon_sym_L_SQUOTE] = ACTIONS(2308),
    [anon_sym_u_SQUOTE] = ACTIONS(2308),
    [anon_sym_U_SQUOTE] = ACTIONS(2308),
    [anon_sym_u8_SQUOTE] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [anon_sym_AT] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2308),
    [anon_sym_L_DQUOTE] = ACTIONS(2308),
    [anon_sym_u_DQUOTE] = ACTIONS(2308),
    [anon_sym_U_DQUOTE] = ACTIONS(2308),
    [anon_sym_u8_DQUOTE] = ACTIONS(2308),
    [sym_true] = ACTIONS(2306),
    [sym_false] = ACTIONS(2306),
    [anon_sym_NULL] = ACTIONS(2306),
    [anon_sym_nullptr] = ACTIONS(2306),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2306),
    [anon_sym___typeof] = ACTIONS(2306),
    [anon_sym_typeof] = ACTIONS(2306),
    [anon_sym_ATimport] = ACTIONS(2308),
    [aux_sym_preproc_undef_token1] = ACTIONS(2306),
    [anon_sym_POUND] = ACTIONS(2306),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2306),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2306),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2306),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_API_AVAILABLE] = ACTIONS(2306),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_API_DEPRECATED] = ACTIONS(2306),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym___deprecated_msg] = ACTIONS(2306),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2306),
    [anon_sym_ATprotocol] = ACTIONS(2308),
    [anon_sym_ATinterface] = ACTIONS(2308),
    [anon_sym_ATimplementation] = ACTIONS(2308),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2308),
    [anon_sym_ATsynthesize] = ACTIONS(2308),
    [anon_sym_ATdynamic] = ACTIONS(2308),
    [anon_sym_ATtry] = ACTIONS(2308),
    [anon_sym___try] = ACTIONS(2306),
    [anon_sym_ATcatch] = ACTIONS(2338),
    [anon_sym___catch] = ACTIONS(2340),
    [anon_sym_ATfinally] = ACTIONS(2342),
    [anon_sym___finally] = ACTIONS(2344),
    [anon_sym_ATthrow] = ACTIONS(2308),
    [anon_sym_ATselector] = ACTIONS(2308),
    [anon_sym_ATavailable] = ACTIONS(2308),
    [anon_sym___builtin_available] = ACTIONS(2306),
    [anon_sym_va_arg] = ACTIONS(2306),
    [anon_sym_ATencode] = ACTIONS(2308),
    [anon_sym_ATsynchronized] = ACTIONS(2308),
    [anon_sym_BOOL] = ACTIONS(2306),
    [anon_sym_IMP] = ACTIONS(2306),
    [anon_sym_SEL] = ACTIONS(2306),
    [anon_sym_Class] = ACTIONS(2306),
    [anon_sym_id] = ACTIONS(2306),
  },
  [183] = {
    [sym_identifier] = ACTIONS(2346),
    [aux_sym_preproc_include_token1] = ACTIONS(2346),
    [aux_sym_preproc_include_token2] = ACTIONS(2346),
    [aux_sym_preproc_def_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token2] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2346),
    [aux_sym_preproc_else_token1] = ACTIONS(2346),
    [aux_sym_preproc_elif_token1] = ACTIONS(2346),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2346),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2346),
    [sym_preproc_directive] = ACTIONS(2346),
    [anon_sym_LPAREN2] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_CARET] = ACTIONS(2348),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym___extension__] = ACTIONS(2346),
    [anon_sym_typedef] = ACTIONS(2346),
    [anon_sym_extern] = ACTIONS(2346),
    [anon_sym___attribute__] = ACTIONS(2346),
    [anon_sym___attribute] = ACTIONS(2346),
    [anon_sym_noreturn] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym___declspec] = ACTIONS(2346),
    [anon_sym___cdecl] = ACTIONS(2346),
    [anon_sym___clrcall] = ACTIONS(2346),
    [anon_sym___stdcall] = ACTIONS(2346),
    [anon_sym___fastcall] = ACTIONS(2346),
    [anon_sym___thiscall] = ACTIONS(2346),
    [anon_sym___vectorcall] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_signed] = ACTIONS(2346),
    [anon_sym_unsigned] = ACTIONS(2346),
    [anon_sym_long] = ACTIONS(2346),
    [anon_sym_short] = ACTIONS(2346),
    [anon_sym_static] = ACTIONS(2346),
    [anon_sym_ATautoreleasepool] = ACTIONS(2348),
    [anon_sym_auto] = ACTIONS(2346),
    [anon_sym_register] = ACTIONS(2346),
    [anon_sym_inline] = ACTIONS(2346),
    [anon_sym___inline] = ACTIONS(2346),
    [anon_sym___inline__] = ACTIONS(2346),
    [anon_sym___forceinline] = ACTIONS(2346),
    [anon_sym_thread_local] = ACTIONS(2346),
    [anon_sym___thread] = ACTIONS(2346),
    [anon_sym_CG_EXTERN] = ACTIONS(2346),
    [anon_sym_CG_INLINE] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2346),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2346),
    [anon_sym_IBOutlet] = ACTIONS(2346),
    [anon_sym_IBInspectable] = ACTIONS(2346),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2346),
    [anon_sym_NS_INLINE] = ACTIONS(2346),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2346),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2346),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2346),
    [anon_sym_const] = ACTIONS(2346),
    [anon_sym_constexpr] = ACTIONS(2346),
    [anon_sym_volatile] = ACTIONS(2346),
    [anon_sym_restrict] = ACTIONS(2346),
    [anon_sym___restrict__] = ACTIONS(2346),
    [anon_sym__Atomic] = ACTIONS(2346),
    [anon_sym__Noreturn] = ACTIONS(2346),
    [anon_sym__Nonnull] = ACTIONS(2346),
    [anon_sym_nullable] = ACTIONS(2346),
    [anon_sym__Complex] = ACTIONS(2346),
    [anon_sym__Nullable] = ACTIONS(2346),
    [anon_sym__Nullable_result] = ACTIONS(2346),
    [anon_sym__Null_unspecified] = ACTIONS(2346),
    [anon_sym___autoreleasing] = ACTIONS(2346),
    [anon_sym___block] = ACTIONS(2346),
    [anon_sym___bridge] = ACTIONS(2346),
    [anon_sym___bridge_retained] = ACTIONS(2346),
    [anon_sym___bridge_transfer] = ACTIONS(2346),
    [anon_sym___complex] = ACTIONS(2346),
    [anon_sym___const] = ACTIONS(2346),
    [anon_sym___imag] = ACTIONS(2346),
    [anon_sym___kindof] = ACTIONS(2346),
    [anon_sym___nonnull] = ACTIONS(2346),
    [anon_sym___nullable] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2346),
    [anon_sym___real] = ACTIONS(2346),
    [anon_sym___strong] = ACTIONS(2346),
    [anon_sym___unsafe_unretained] = ACTIONS(2346),
    [anon_sym___unused] = ACTIONS(2346),
    [anon_sym___weak] = ACTIONS(2346),
    [anon_sym_alignas] = ACTIONS(2346),
    [anon_sym__Alignas] = ACTIONS(2346),
    [sym_primitive_type] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2346),
    [anon_sym_struct] = ACTIONS(2346),
    [anon_sym_union] = ACTIONS(2346),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_else] = ACTIONS(2346),
    [anon_sym_switch] = ACTIONS(2346),
    [anon_sym_case] = ACTIONS(2346),
    [anon_sym_default] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2346),
    [anon_sym_for] = ACTIONS(2346),
    [anon_sym_in] = ACTIONS(2346),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_break] = ACTIONS(2346),
    [anon_sym_continue] = ACTIONS(2346),
    [anon_sym_goto] = ACTIONS(2346),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_sizeof] = ACTIONS(2346),
    [anon_sym___alignof__] = ACTIONS(2346),
    [anon_sym___alignof] = ACTIONS(2346),
    [anon_sym__alignof] = ACTIONS(2346),
    [anon_sym_alignof] = ACTIONS(2346),
    [anon_sym__Alignof] = ACTIONS(2346),
    [anon_sym_offsetof] = ACTIONS(2346),
    [anon_sym__Generic] = ACTIONS(2346),
    [anon_sym_asm] = ACTIONS(2346),
    [anon_sym___asm__] = ACTIONS(2346),
    [anon_sym___asm] = ACTIONS(2346),
    [sym_number_literal] = ACTIONS(2348),
    [anon_sym_L_SQUOTE] = ACTIONS(2348),
    [anon_sym_u_SQUOTE] = ACTIONS(2348),
    [anon_sym_U_SQUOTE] = ACTIONS(2348),
    [anon_sym_u8_SQUOTE] = ACTIONS(2348),
    [anon_sym_SQUOTE] = ACTIONS(2348),
    [anon_sym_AT] = ACTIONS(2346),
    [anon_sym_DQUOTE] = ACTIONS(2348),
    [anon_sym_L_DQUOTE] = ACTIONS(2348),
    [anon_sym_u_DQUOTE] = ACTIONS(2348),
    [anon_sym_U_DQUOTE] = ACTIONS(2348),
    [anon_sym_u8_DQUOTE] = ACTIONS(2348),
    [sym_true] = ACTIONS(2346),
    [sym_false] = ACTIONS(2346),
    [anon_sym_NULL] = ACTIONS(2346),
    [anon_sym_nullptr] = ACTIONS(2346),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2346),
    [anon_sym___typeof] = ACTIONS(2346),
    [anon_sym_typeof] = ACTIONS(2346),
    [anon_sym_ATimport] = ACTIONS(2348),
    [aux_sym_preproc_undef_token1] = ACTIONS(2346),
    [anon_sym_POUND] = ACTIONS(2346),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2346),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2346),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2346),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_API_AVAILABLE] = ACTIONS(2346),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_API_DEPRECATED] = ACTIONS(2346),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym___deprecated_msg] = ACTIONS(2346),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2346),
    [anon_sym_ATprotocol] = ACTIONS(2348),
    [anon_sym_ATinterface] = ACTIONS(2348),
    [anon_sym_ATimplementation] = ACTIONS(2348),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2348),
    [anon_sym_ATsynthesize] = ACTIONS(2348),
    [anon_sym_ATdynamic] = ACTIONS(2348),
    [anon_sym_ATtry] = ACTIONS(2348),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym_ATcatch] = ACTIONS(2348),
    [anon_sym___catch] = ACTIONS(2346),
    [anon_sym_ATfinally] = ACTIONS(2348),
    [anon_sym___finally] = ACTIONS(2346),
    [anon_sym_ATthrow] = ACTIONS(2348),
    [anon_sym_ATselector] = ACTIONS(2348),
    [anon_sym_ATavailable] = ACTIONS(2348),
    [anon_sym___builtin_available] = ACTIONS(2346),
    [anon_sym_va_arg] = ACTIONS(2346),
    [anon_sym_ATencode] = ACTIONS(2348),
    [anon_sym_ATsynchronized] = ACTIONS(2348),
    [anon_sym_BOOL] = ACTIONS(2346),
    [anon_sym_IMP] = ACTIONS(2346),
    [anon_sym_SEL] = ACTIONS(2346),
    [anon_sym_Class] = ACTIONS(2346),
    [anon_sym_id] = ACTIONS(2346),
  },
  [184] = {
    [sym_catch_clause] = STATE(184),
    [aux_sym_try_statement_repeat1] = STATE(184),
    [sym_identifier] = ACTIONS(2318),
    [aux_sym_preproc_include_token1] = ACTIONS(2318),
    [aux_sym_preproc_include_token2] = ACTIONS(2318),
    [aux_sym_preproc_def_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token2] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2318),
    [aux_sym_preproc_else_token1] = ACTIONS(2318),
    [aux_sym_preproc_elif_token1] = ACTIONS(2318),
    [sym_preproc_directive] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_BANG] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_SEMI] = ACTIONS(2320),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_typedef] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym___attribute] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym___cdecl] = ACTIONS(2318),
    [anon_sym___clrcall] = ACTIONS(2318),
    [anon_sym___stdcall] = ACTIONS(2318),
    [anon_sym___fastcall] = ACTIONS(2318),
    [anon_sym___thiscall] = ACTIONS(2318),
    [anon_sym___vectorcall] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_ATautoreleasepool] = ACTIONS(2320),
    [anon_sym_auto] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_CG_EXTERN] = ACTIONS(2318),
    [anon_sym_CG_INLINE] = ACTIONS(2318),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2318),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2318),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2318),
    [anon_sym_IBOutlet] = ACTIONS(2318),
    [anon_sym_IBInspectable] = ACTIONS(2318),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2318),
    [anon_sym_NS_INLINE] = ACTIONS(2318),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2318),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2318),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2318),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym__Nonnull] = ACTIONS(2318),
    [anon_sym_nullable] = ACTIONS(2318),
    [anon_sym__Complex] = ACTIONS(2318),
    [anon_sym__Nullable] = ACTIONS(2318),
    [anon_sym__Nullable_result] = ACTIONS(2318),
    [anon_sym__Null_unspecified] = ACTIONS(2318),
    [anon_sym___autoreleasing] = ACTIONS(2318),
    [anon_sym___block] = ACTIONS(2318),
    [anon_sym___bridge] = ACTIONS(2318),
    [anon_sym___bridge_retained] = ACTIONS(2318),
    [anon_sym___bridge_transfer] = ACTIONS(2318),
    [anon_sym___complex] = ACTIONS(2318),
    [anon_sym___const] = ACTIONS(2318),
    [anon_sym___imag] = ACTIONS(2318),
    [anon_sym___kindof] = ACTIONS(2318),
    [anon_sym___nonnull] = ACTIONS(2318),
    [anon_sym___nullable] = ACTIONS(2318),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2318),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2318),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2318),
    [anon_sym___real] = ACTIONS(2318),
    [anon_sym___strong] = ACTIONS(2318),
    [anon_sym___unsafe_unretained] = ACTIONS(2318),
    [anon_sym___unused] = ACTIONS(2318),
    [anon_sym___weak] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym__Alignas] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_else] = ACTIONS(2318),
    [anon_sym_switch] = ACTIONS(2318),
    [anon_sym_case] = ACTIONS(2318),
    [anon_sym_default] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_do] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_break] = ACTIONS(2318),
    [anon_sym_continue] = ACTIONS(2318),
    [anon_sym_goto] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2320),
    [anon_sym_sizeof] = ACTIONS(2318),
    [anon_sym___alignof__] = ACTIONS(2318),
    [anon_sym___alignof] = ACTIONS(2318),
    [anon_sym__alignof] = ACTIONS(2318),
    [anon_sym_alignof] = ACTIONS(2318),
    [anon_sym__Alignof] = ACTIONS(2318),
    [anon_sym_offsetof] = ACTIONS(2318),
    [anon_sym__Generic] = ACTIONS(2318),
    [anon_sym_asm] = ACTIONS(2318),
    [anon_sym___asm__] = ACTIONS(2318),
    [anon_sym___asm] = ACTIONS(2318),
    [sym_number_literal] = ACTIONS(2320),
    [anon_sym_L_SQUOTE] = ACTIONS(2320),
    [anon_sym_u_SQUOTE] = ACTIONS(2320),
    [anon_sym_U_SQUOTE] = ACTIONS(2320),
    [anon_sym_u8_SQUOTE] = ACTIONS(2320),
    [anon_sym_SQUOTE] = ACTIONS(2320),
    [anon_sym_AT] = ACTIONS(2318),
    [anon_sym_DQUOTE] = ACTIONS(2320),
    [anon_sym_L_DQUOTE] = ACTIONS(2320),
    [anon_sym_u_DQUOTE] = ACTIONS(2320),
    [anon_sym_U_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8_DQUOTE] = ACTIONS(2320),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2318),
    [anon_sym_nullptr] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2318),
    [anon_sym___typeof] = ACTIONS(2318),
    [anon_sym_typeof] = ACTIONS(2318),
    [anon_sym_ATimport] = ACTIONS(2320),
    [aux_sym_preproc_undef_token1] = ACTIONS(2318),
    [anon_sym_POUND] = ACTIONS(2318),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2318),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2318),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2318),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2318),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2318),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2318),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2318),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2318),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2318),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_API_AVAILABLE] = ACTIONS(2318),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_API_DEPRECATED] = ACTIONS(2318),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2318),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2318),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2318),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2318),
    [anon_sym___deprecated_msg] = ACTIONS(2318),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2318),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2318),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2318),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2318),
    [anon_sym_ATprotocol] = ACTIONS(2320),
    [anon_sym_ATinterface] = ACTIONS(2320),
    [anon_sym_ATimplementation] = ACTIONS(2320),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2320),
    [anon_sym_ATsynthesize] = ACTIONS(2320),
    [anon_sym_ATdynamic] = ACTIONS(2320),
    [anon_sym_ATtry] = ACTIONS(2320),
    [anon_sym___try] = ACTIONS(2318),
    [anon_sym_ATcatch] = ACTIONS(2350),
    [anon_sym___catch] = ACTIONS(2353),
    [anon_sym_ATfinally] = ACTIONS(2320),
    [anon_sym___finally] = ACTIONS(2318),
    [anon_sym_ATthrow] = ACTIONS(2320),
    [anon_sym_ATselector] = ACTIONS(2320),
    [anon_sym_ATavailable] = ACTIONS(2320),
    [anon_sym___builtin_available] = ACTIONS(2318),
    [anon_sym_va_arg] = ACTIONS(2318),
    [anon_sym_ATencode] = ACTIONS(2320),
    [anon_sym_ATsynchronized] = ACTIONS(2320),
    [anon_sym_BOOL] = ACTIONS(2318),
    [anon_sym_IMP] = ACTIONS(2318),
    [anon_sym_SEL] = ACTIONS(2318),
    [anon_sym_Class] = ACTIONS(2318),
    [anon_sym_id] = ACTIONS(2318),
  },
  [185] = {
    [sym_identifier] = ACTIONS(2356),
    [aux_sym_preproc_include_token1] = ACTIONS(2356),
    [aux_sym_preproc_include_token2] = ACTIONS(2356),
    [aux_sym_preproc_def_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token2] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2356),
    [aux_sym_preproc_else_token1] = ACTIONS(2356),
    [aux_sym_preproc_elif_token1] = ACTIONS(2356),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2356),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2356),
    [sym_preproc_directive] = ACTIONS(2356),
    [anon_sym_LPAREN2] = ACTIONS(2358),
    [anon_sym_BANG] = ACTIONS(2358),
    [anon_sym_TILDE] = ACTIONS(2358),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2358),
    [anon_sym_CARET] = ACTIONS(2358),
    [anon_sym_AMP] = ACTIONS(2358),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2356),
    [anon_sym_typedef] = ACTIONS(2356),
    [anon_sym_extern] = ACTIONS(2356),
    [anon_sym___attribute__] = ACTIONS(2356),
    [anon_sym___attribute] = ACTIONS(2356),
    [anon_sym_noreturn] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2358),
    [anon_sym___declspec] = ACTIONS(2356),
    [anon_sym___cdecl] = ACTIONS(2356),
    [anon_sym___clrcall] = ACTIONS(2356),
    [anon_sym___stdcall] = ACTIONS(2356),
    [anon_sym___fastcall] = ACTIONS(2356),
    [anon_sym___thiscall] = ACTIONS(2356),
    [anon_sym___vectorcall] = ACTIONS(2356),
    [anon_sym_LBRACE] = ACTIONS(2358),
    [anon_sym_signed] = ACTIONS(2356),
    [anon_sym_unsigned] = ACTIONS(2356),
    [anon_sym_long] = ACTIONS(2356),
    [anon_sym_short] = ACTIONS(2356),
    [anon_sym_static] = ACTIONS(2356),
    [anon_sym_ATautoreleasepool] = ACTIONS(2358),
    [anon_sym_auto] = ACTIONS(2356),
    [anon_sym_register] = ACTIONS(2356),
    [anon_sym_inline] = ACTIONS(2356),
    [anon_sym___inline] = ACTIONS(2356),
    [anon_sym___inline__] = ACTIONS(2356),
    [anon_sym___forceinline] = ACTIONS(2356),
    [anon_sym_thread_local] = ACTIONS(2356),
    [anon_sym___thread] = ACTIONS(2356),
    [anon_sym_CG_EXTERN] = ACTIONS(2356),
    [anon_sym_CG_INLINE] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2356),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2356),
    [anon_sym_IBOutlet] = ACTIONS(2356),
    [anon_sym_IBInspectable] = ACTIONS(2356),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2356),
    [anon_sym_NS_INLINE] = ACTIONS(2356),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2356),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2356),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2356),
    [anon_sym_const] = ACTIONS(2356),
    [anon_sym_constexpr] = ACTIONS(2356),
    [anon_sym_volatile] = ACTIONS(2356),
    [anon_sym_restrict] = ACTIONS(2356),
    [anon_sym___restrict__] = ACTIONS(2356),
    [anon_sym__Atomic] = ACTIONS(2356),
    [anon_sym__Noreturn] = ACTIONS(2356),
    [anon_sym__Nonnull] = ACTIONS(2356),
    [anon_sym_nullable] = ACTIONS(2356),
    [anon_sym__Complex] = ACTIONS(2356),
    [anon_sym__Nullable] = ACTIONS(2356),
    [anon_sym__Nullable_result] = ACTIONS(2356),
    [anon_sym__Null_unspecified] = ACTIONS(2356),
    [anon_sym___autoreleasing] = ACTIONS(2356),
    [anon_sym___block] = ACTIONS(2356),
    [anon_sym___bridge] = ACTIONS(2356),
    [anon_sym___bridge_retained] = ACTIONS(2356),
    [anon_sym___bridge_transfer] = ACTIONS(2356),
    [anon_sym___complex] = ACTIONS(2356),
    [anon_sym___const] = ACTIONS(2356),
    [anon_sym___imag] = ACTIONS(2356),
    [anon_sym___kindof] = ACTIONS(2356),
    [anon_sym___nonnull] = ACTIONS(2356),
    [anon_sym___nullable] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2356),
    [anon_sym___real] = ACTIONS(2356),
    [anon_sym___strong] = ACTIONS(2356),
    [anon_sym___unsafe_unretained] = ACTIONS(2356),
    [anon_sym___unused] = ACTIONS(2356),
    [anon_sym___weak] = ACTIONS(2356),
    [anon_sym_alignas] = ACTIONS(2356),
    [anon_sym__Alignas] = ACTIONS(2356),
    [sym_primitive_type] = ACTIONS(2356),
    [anon_sym_enum] = ACTIONS(2356),
    [anon_sym_struct] = ACTIONS(2356),
    [anon_sym_union] = ACTIONS(2356),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_else] = ACTIONS(2356),
    [anon_sym_switch] = ACTIONS(2356),
    [anon_sym_case] = ACTIONS(2356),
    [anon_sym_default] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(2356),
    [anon_sym_for] = ACTIONS(2356),
    [anon_sym_in] = ACTIONS(2356),
    [anon_sym_return] = ACTIONS(2356),
    [anon_sym_break] = ACTIONS(2356),
    [anon_sym_continue] = ACTIONS(2356),
    [anon_sym_goto] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2358),
    [anon_sym_PLUS_PLUS] = ACTIONS(2358),
    [anon_sym_sizeof] = ACTIONS(2356),
    [anon_sym___alignof__] = ACTIONS(2356),
    [anon_sym___alignof] = ACTIONS(2356),
    [anon_sym__alignof] = ACTIONS(2356),
    [anon_sym_alignof] = ACTIONS(2356),
    [anon_sym__Alignof] = ACTIONS(2356),
    [anon_sym_offsetof] = ACTIONS(2356),
    [anon_sym__Generic] = ACTIONS(2356),
    [anon_sym_asm] = ACTIONS(2356),
    [anon_sym___asm__] = ACTIONS(2356),
    [anon_sym___asm] = ACTIONS(2356),
    [sym_number_literal] = ACTIONS(2358),
    [anon_sym_L_SQUOTE] = ACTIONS(2358),
    [anon_sym_u_SQUOTE] = ACTIONS(2358),
    [anon_sym_U_SQUOTE] = ACTIONS(2358),
    [anon_sym_u8_SQUOTE] = ACTIONS(2358),
    [anon_sym_SQUOTE] = ACTIONS(2358),
    [anon_sym_AT] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2358),
    [anon_sym_L_DQUOTE] = ACTIONS(2358),
    [anon_sym_u_DQUOTE] = ACTIONS(2358),
    [anon_sym_U_DQUOTE] = ACTIONS(2358),
    [anon_sym_u8_DQUOTE] = ACTIONS(2358),
    [sym_true] = ACTIONS(2356),
    [sym_false] = ACTIONS(2356),
    [anon_sym_NULL] = ACTIONS(2356),
    [anon_sym_nullptr] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2356),
    [anon_sym___typeof] = ACTIONS(2356),
    [anon_sym_typeof] = ACTIONS(2356),
    [anon_sym_ATimport] = ACTIONS(2358),
    [aux_sym_preproc_undef_token1] = ACTIONS(2356),
    [anon_sym_POUND] = ACTIONS(2356),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2356),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2356),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2356),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_API_AVAILABLE] = ACTIONS(2356),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_API_DEPRECATED] = ACTIONS(2356),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym___deprecated_msg] = ACTIONS(2356),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2356),
    [anon_sym_ATprotocol] = ACTIONS(2358),
    [anon_sym_ATinterface] = ACTIONS(2358),
    [anon_sym_ATimplementation] = ACTIONS(2358),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2358),
    [anon_sym_ATsynthesize] = ACTIONS(2358),
    [anon_sym_ATdynamic] = ACTIONS(2358),
    [anon_sym_ATtry] = ACTIONS(2358),
    [anon_sym___try] = ACTIONS(2356),
    [anon_sym_ATcatch] = ACTIONS(2358),
    [anon_sym___catch] = ACTIONS(2356),
    [anon_sym_ATfinally] = ACTIONS(2358),
    [anon_sym___finally] = ACTIONS(2356),
    [anon_sym_ATthrow] = ACTIONS(2358),
    [anon_sym_ATselector] = ACTIONS(2358),
    [anon_sym_ATavailable] = ACTIONS(2358),
    [anon_sym___builtin_available] = ACTIONS(2356),
    [anon_sym_va_arg] = ACTIONS(2356),
    [anon_sym_ATencode] = ACTIONS(2358),
    [anon_sym_ATsynchronized] = ACTIONS(2358),
    [anon_sym_BOOL] = ACTIONS(2356),
    [anon_sym_IMP] = ACTIONS(2356),
    [anon_sym_SEL] = ACTIONS(2356),
    [anon_sym_Class] = ACTIONS(2356),
    [anon_sym_id] = ACTIONS(2356),
  },
  [186] = {
    [sym_identifier] = ACTIONS(2360),
    [aux_sym_preproc_include_token1] = ACTIONS(2360),
    [aux_sym_preproc_include_token2] = ACTIONS(2360),
    [aux_sym_preproc_def_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token2] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2360),
    [aux_sym_preproc_else_token1] = ACTIONS(2360),
    [aux_sym_preproc_elif_token1] = ACTIONS(2360),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2360),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2360),
    [sym_preproc_directive] = ACTIONS(2360),
    [anon_sym_LPAREN2] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2362),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_CARET] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2362),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_typedef] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym___attribute] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2362),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym___cdecl] = ACTIONS(2360),
    [anon_sym___clrcall] = ACTIONS(2360),
    [anon_sym___stdcall] = ACTIONS(2360),
    [anon_sym___fastcall] = ACTIONS(2360),
    [anon_sym___thiscall] = ACTIONS(2360),
    [anon_sym___vectorcall] = ACTIONS(2360),
    [anon_sym_LBRACE] = ACTIONS(2362),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_ATautoreleasepool] = ACTIONS(2362),
    [anon_sym_auto] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_CG_EXTERN] = ACTIONS(2360),
    [anon_sym_CG_INLINE] = ACTIONS(2360),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2360),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2360),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2360),
    [anon_sym_IBOutlet] = ACTIONS(2360),
    [anon_sym_IBInspectable] = ACTIONS(2360),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2360),
    [anon_sym_NS_INLINE] = ACTIONS(2360),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2360),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2360),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2360),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym__Nonnull] = ACTIONS(2360),
    [anon_sym_nullable] = ACTIONS(2360),
    [anon_sym__Complex] = ACTIONS(2360),
    [anon_sym__Nullable] = ACTIONS(2360),
    [anon_sym__Nullable_result] = ACTIONS(2360),
    [anon_sym__Null_unspecified] = ACTIONS(2360),
    [anon_sym___autoreleasing] = ACTIONS(2360),
    [anon_sym___block] = ACTIONS(2360),
    [anon_sym___bridge] = ACTIONS(2360),
    [anon_sym___bridge_retained] = ACTIONS(2360),
    [anon_sym___bridge_transfer] = ACTIONS(2360),
    [anon_sym___complex] = ACTIONS(2360),
    [anon_sym___const] = ACTIONS(2360),
    [anon_sym___imag] = ACTIONS(2360),
    [anon_sym___kindof] = ACTIONS(2360),
    [anon_sym___nonnull] = ACTIONS(2360),
    [anon_sym___nullable] = ACTIONS(2360),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2360),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2360),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2360),
    [anon_sym___real] = ACTIONS(2360),
    [anon_sym___strong] = ACTIONS(2360),
    [anon_sym___unsafe_unretained] = ACTIONS(2360),
    [anon_sym___unused] = ACTIONS(2360),
    [anon_sym___weak] = ACTIONS(2360),
    [anon_sym_alignas] = ACTIONS(2360),
    [anon_sym__Alignas] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2360),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_else] = ACTIONS(2360),
    [anon_sym_switch] = ACTIONS(2360),
    [anon_sym_case] = ACTIONS(2360),
    [anon_sym_default] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2360),
    [anon_sym_do] = ACTIONS(2360),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_return] = ACTIONS(2360),
    [anon_sym_break] = ACTIONS(2360),
    [anon_sym_continue] = ACTIONS(2360),
    [anon_sym_goto] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2362),
    [anon_sym_PLUS_PLUS] = ACTIONS(2362),
    [anon_sym_sizeof] = ACTIONS(2360),
    [anon_sym___alignof__] = ACTIONS(2360),
    [anon_sym___alignof] = ACTIONS(2360),
    [anon_sym__alignof] = ACTIONS(2360),
    [anon_sym_alignof] = ACTIONS(2360),
    [anon_sym__Alignof] = ACTIONS(2360),
    [anon_sym_offsetof] = ACTIONS(2360),
    [anon_sym__Generic] = ACTIONS(2360),
    [anon_sym_asm] = ACTIONS(2360),
    [anon_sym___asm__] = ACTIONS(2360),
    [anon_sym___asm] = ACTIONS(2360),
    [sym_number_literal] = ACTIONS(2362),
    [anon_sym_L_SQUOTE] = ACTIONS(2362),
    [anon_sym_u_SQUOTE] = ACTIONS(2362),
    [anon_sym_U_SQUOTE] = ACTIONS(2362),
    [anon_sym_u8_SQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE] = ACTIONS(2362),
    [anon_sym_AT] = ACTIONS(2360),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [anon_sym_L_DQUOTE] = ACTIONS(2362),
    [anon_sym_u_DQUOTE] = ACTIONS(2362),
    [anon_sym_U_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8_DQUOTE] = ACTIONS(2362),
    [sym_true] = ACTIONS(2360),
    [sym_false] = ACTIONS(2360),
    [anon_sym_NULL] = ACTIONS(2360),
    [anon_sym_nullptr] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2360),
    [anon_sym___typeof] = ACTIONS(2360),
    [anon_sym_typeof] = ACTIONS(2360),
    [anon_sym_ATimport] = ACTIONS(2362),
    [aux_sym_preproc_undef_token1] = ACTIONS(2360),
    [anon_sym_POUND] = ACTIONS(2360),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2360),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2360),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2360),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2360),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2360),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2360),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2360),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2360),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2360),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_API_AVAILABLE] = ACTIONS(2360),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_API_DEPRECATED] = ACTIONS(2360),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2360),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2360),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2360),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2360),
    [anon_sym___deprecated_msg] = ACTIONS(2360),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2360),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2360),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2360),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2360),
    [anon_sym_ATprotocol] = ACTIONS(2362),
    [anon_sym_ATinterface] = ACTIONS(2362),
    [anon_sym_ATimplementation] = ACTIONS(2362),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2362),
    [anon_sym_ATsynthesize] = ACTIONS(2362),
    [anon_sym_ATdynamic] = ACTIONS(2362),
    [anon_sym_ATtry] = ACTIONS(2362),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym_ATcatch] = ACTIONS(2362),
    [anon_sym___catch] = ACTIONS(2360),
    [anon_sym_ATfinally] = ACTIONS(2362),
    [anon_sym___finally] = ACTIONS(2360),
    [anon_sym_ATthrow] = ACTIONS(2362),
    [anon_sym_ATselector] = ACTIONS(2362),
    [anon_sym_ATavailable] = ACTIONS(2362),
    [anon_sym___builtin_available] = ACTIONS(2360),
    [anon_sym_va_arg] = ACTIONS(2360),
    [anon_sym_ATencode] = ACTIONS(2362),
    [anon_sym_ATsynchronized] = ACTIONS(2362),
    [anon_sym_BOOL] = ACTIONS(2360),
    [anon_sym_IMP] = ACTIONS(2360),
    [anon_sym_SEL] = ACTIONS(2360),
    [anon_sym_Class] = ACTIONS(2360),
    [anon_sym_id] = ACTIONS(2360),
  },
  [187] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_include_token2] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_CARET] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym___attribute] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_ATautoreleasepool] = ACTIONS(2366),
    [anon_sym_auto] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_CG_EXTERN] = ACTIONS(2364),
    [anon_sym_CG_INLINE] = ACTIONS(2364),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2364),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2364),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2364),
    [anon_sym_IBOutlet] = ACTIONS(2364),
    [anon_sym_IBInspectable] = ACTIONS(2364),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2364),
    [anon_sym_NS_INLINE] = ACTIONS(2364),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2364),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2364),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2364),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym__Nonnull] = ACTIONS(2364),
    [anon_sym_nullable] = ACTIONS(2364),
    [anon_sym__Complex] = ACTIONS(2364),
    [anon_sym__Nullable] = ACTIONS(2364),
    [anon_sym__Nullable_result] = ACTIONS(2364),
    [anon_sym__Null_unspecified] = ACTIONS(2364),
    [anon_sym___autoreleasing] = ACTIONS(2364),
    [anon_sym___block] = ACTIONS(2364),
    [anon_sym___bridge] = ACTIONS(2364),
    [anon_sym___bridge_retained] = ACTIONS(2364),
    [anon_sym___bridge_transfer] = ACTIONS(2364),
    [anon_sym___complex] = ACTIONS(2364),
    [anon_sym___const] = ACTIONS(2364),
    [anon_sym___imag] = ACTIONS(2364),
    [anon_sym___kindof] = ACTIONS(2364),
    [anon_sym___nonnull] = ACTIONS(2364),
    [anon_sym___nullable] = ACTIONS(2364),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2364),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2364),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2364),
    [anon_sym___real] = ACTIONS(2364),
    [anon_sym___strong] = ACTIONS(2364),
    [anon_sym___unsafe_unretained] = ACTIONS(2364),
    [anon_sym___unused] = ACTIONS(2364),
    [anon_sym___weak] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym__Alignas] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [anon_sym___asm] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_AT] = ACTIONS(2364),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2364),
    [anon_sym___typeof] = ACTIONS(2364),
    [anon_sym_typeof] = ACTIONS(2364),
    [anon_sym_ATimport] = ACTIONS(2366),
    [aux_sym_preproc_undef_token1] = ACTIONS(2364),
    [anon_sym_POUND] = ACTIONS(2364),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2364),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2364),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2364),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2364),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2364),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2364),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2364),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2364),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2364),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_API_AVAILABLE] = ACTIONS(2364),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_API_DEPRECATED] = ACTIONS(2364),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2364),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2364),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2364),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2364),
    [anon_sym___deprecated_msg] = ACTIONS(2364),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2364),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2364),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2364),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2364),
    [anon_sym_ATprotocol] = ACTIONS(2366),
    [anon_sym_ATinterface] = ACTIONS(2366),
    [anon_sym_ATimplementation] = ACTIONS(2366),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2366),
    [anon_sym_ATsynthesize] = ACTIONS(2366),
    [anon_sym_ATdynamic] = ACTIONS(2366),
    [anon_sym_ATtry] = ACTIONS(2366),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym_ATcatch] = ACTIONS(2366),
    [anon_sym___catch] = ACTIONS(2364),
    [anon_sym_ATfinally] = ACTIONS(2366),
    [anon_sym___finally] = ACTIONS(2364),
    [anon_sym_ATthrow] = ACTIONS(2366),
    [anon_sym_ATselector] = ACTIONS(2366),
    [anon_sym_ATavailable] = ACTIONS(2366),
    [anon_sym___builtin_available] = ACTIONS(2364),
    [anon_sym_va_arg] = ACTIONS(2364),
    [anon_sym_ATencode] = ACTIONS(2366),
    [anon_sym_ATsynchronized] = ACTIONS(2366),
    [anon_sym_BOOL] = ACTIONS(2364),
    [anon_sym_IMP] = ACTIONS(2364),
    [anon_sym_SEL] = ACTIONS(2364),
    [anon_sym_Class] = ACTIONS(2364),
    [anon_sym_id] = ACTIONS(2364),
  },
  [188] = {
    [sym_identifier] = ACTIONS(2368),
    [aux_sym_preproc_include_token1] = ACTIONS(2368),
    [aux_sym_preproc_include_token2] = ACTIONS(2368),
    [aux_sym_preproc_def_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token2] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2368),
    [aux_sym_preproc_else_token1] = ACTIONS(2368),
    [aux_sym_preproc_elif_token1] = ACTIONS(2368),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2368),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2368),
    [sym_preproc_directive] = ACTIONS(2368),
    [anon_sym_LPAREN2] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_CARET] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym___extension__] = ACTIONS(2368),
    [anon_sym_typedef] = ACTIONS(2368),
    [anon_sym_extern] = ACTIONS(2368),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym___attribute] = ACTIONS(2368),
    [anon_sym_noreturn] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym___declspec] = ACTIONS(2368),
    [anon_sym___cdecl] = ACTIONS(2368),
    [anon_sym___clrcall] = ACTIONS(2368),
    [anon_sym___stdcall] = ACTIONS(2368),
    [anon_sym___fastcall] = ACTIONS(2368),
    [anon_sym___thiscall] = ACTIONS(2368),
    [anon_sym___vectorcall] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_signed] = ACTIONS(2368),
    [anon_sym_unsigned] = ACTIONS(2368),
    [anon_sym_long] = ACTIONS(2368),
    [anon_sym_short] = ACTIONS(2368),
    [anon_sym_static] = ACTIONS(2368),
    [anon_sym_ATautoreleasepool] = ACTIONS(2370),
    [anon_sym_auto] = ACTIONS(2368),
    [anon_sym_register] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(2368),
    [anon_sym___inline] = ACTIONS(2368),
    [anon_sym___inline__] = ACTIONS(2368),
    [anon_sym___forceinline] = ACTIONS(2368),
    [anon_sym_thread_local] = ACTIONS(2368),
    [anon_sym___thread] = ACTIONS(2368),
    [anon_sym_CG_EXTERN] = ACTIONS(2368),
    [anon_sym_CG_INLINE] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2368),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2368),
    [anon_sym_IBOutlet] = ACTIONS(2368),
    [anon_sym_IBInspectable] = ACTIONS(2368),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2368),
    [anon_sym_NS_INLINE] = ACTIONS(2368),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2368),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2368),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2368),
    [anon_sym_const] = ACTIONS(2368),
    [anon_sym_constexpr] = ACTIONS(2368),
    [anon_sym_volatile] = ACTIONS(2368),
    [anon_sym_restrict] = ACTIONS(2368),
    [anon_sym___restrict__] = ACTIONS(2368),
    [anon_sym__Atomic] = ACTIONS(2368),
    [anon_sym__Noreturn] = ACTIONS(2368),
    [anon_sym__Nonnull] = ACTIONS(2368),
    [anon_sym_nullable] = ACTIONS(2368),
    [anon_sym__Complex] = ACTIONS(2368),
    [anon_sym__Nullable] = ACTIONS(2368),
    [anon_sym__Nullable_result] = ACTIONS(2368),
    [anon_sym__Null_unspecified] = ACTIONS(2368),
    [anon_sym___autoreleasing] = ACTIONS(2368),
    [anon_sym___block] = ACTIONS(2368),
    [anon_sym___bridge] = ACTIONS(2368),
    [anon_sym___bridge_retained] = ACTIONS(2368),
    [anon_sym___bridge_transfer] = ACTIONS(2368),
    [anon_sym___complex] = ACTIONS(2368),
    [anon_sym___const] = ACTIONS(2368),
    [anon_sym___imag] = ACTIONS(2368),
    [anon_sym___kindof] = ACTIONS(2368),
    [anon_sym___nonnull] = ACTIONS(2368),
    [anon_sym___nullable] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2368),
    [anon_sym___real] = ACTIONS(2368),
    [anon_sym___strong] = ACTIONS(2368),
    [anon_sym___unsafe_unretained] = ACTIONS(2368),
    [anon_sym___unused] = ACTIONS(2368),
    [anon_sym___weak] = ACTIONS(2368),
    [anon_sym_alignas] = ACTIONS(2368),
    [anon_sym__Alignas] = ACTIONS(2368),
    [sym_primitive_type] = ACTIONS(2368),
    [anon_sym_enum] = ACTIONS(2368),
    [anon_sym_struct] = ACTIONS(2368),
    [anon_sym_union] = ACTIONS(2368),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_else] = ACTIONS(2368),
    [anon_sym_switch] = ACTIONS(2368),
    [anon_sym_case] = ACTIONS(2368),
    [anon_sym_default] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_do] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2368),
    [anon_sym_in] = ACTIONS(2368),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_break] = ACTIONS(2368),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_goto] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_sizeof] = ACTIONS(2368),
    [anon_sym___alignof__] = ACTIONS(2368),
    [anon_sym___alignof] = ACTIONS(2368),
    [anon_sym__alignof] = ACTIONS(2368),
    [anon_sym_alignof] = ACTIONS(2368),
    [anon_sym__Alignof] = ACTIONS(2368),
    [anon_sym_offsetof] = ACTIONS(2368),
    [anon_sym__Generic] = ACTIONS(2368),
    [anon_sym_asm] = ACTIONS(2368),
    [anon_sym___asm__] = ACTIONS(2368),
    [anon_sym___asm] = ACTIONS(2368),
    [sym_number_literal] = ACTIONS(2370),
    [anon_sym_L_SQUOTE] = ACTIONS(2370),
    [anon_sym_u_SQUOTE] = ACTIONS(2370),
    [anon_sym_U_SQUOTE] = ACTIONS(2370),
    [anon_sym_u8_SQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2368),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_L_DQUOTE] = ACTIONS(2370),
    [anon_sym_u_DQUOTE] = ACTIONS(2370),
    [anon_sym_U_DQUOTE] = ACTIONS(2370),
    [anon_sym_u8_DQUOTE] = ACTIONS(2370),
    [sym_true] = ACTIONS(2368),
    [sym_false] = ACTIONS(2368),
    [anon_sym_NULL] = ACTIONS(2368),
    [anon_sym_nullptr] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2368),
    [anon_sym___typeof] = ACTIONS(2368),
    [anon_sym_typeof] = ACTIONS(2368),
    [anon_sym_ATimport] = ACTIONS(2370),
    [aux_sym_preproc_undef_token1] = ACTIONS(2368),
    [anon_sym_POUND] = ACTIONS(2368),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2368),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2368),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2368),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_API_AVAILABLE] = ACTIONS(2368),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_API_DEPRECATED] = ACTIONS(2368),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym___deprecated_msg] = ACTIONS(2368),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2368),
    [anon_sym_ATprotocol] = ACTIONS(2370),
    [anon_sym_ATinterface] = ACTIONS(2370),
    [anon_sym_ATimplementation] = ACTIONS(2370),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2370),
    [anon_sym_ATsynthesize] = ACTIONS(2370),
    [anon_sym_ATdynamic] = ACTIONS(2370),
    [anon_sym_ATtry] = ACTIONS(2370),
    [anon_sym___try] = ACTIONS(2368),
    [anon_sym_ATcatch] = ACTIONS(2370),
    [anon_sym___catch] = ACTIONS(2368),
    [anon_sym_ATfinally] = ACTIONS(2370),
    [anon_sym___finally] = ACTIONS(2368),
    [anon_sym_ATthrow] = ACTIONS(2370),
    [anon_sym_ATselector] = ACTIONS(2370),
    [anon_sym_ATavailable] = ACTIONS(2370),
    [anon_sym___builtin_available] = ACTIONS(2368),
    [anon_sym_va_arg] = ACTIONS(2368),
    [anon_sym_ATencode] = ACTIONS(2370),
    [anon_sym_ATsynchronized] = ACTIONS(2370),
    [anon_sym_BOOL] = ACTIONS(2368),
    [anon_sym_IMP] = ACTIONS(2368),
    [anon_sym_SEL] = ACTIONS(2368),
    [anon_sym_Class] = ACTIONS(2368),
    [anon_sym_id] = ACTIONS(2368),
  },
  [189] = {
    [sym_catch_clause] = STATE(190),
    [sym_finally_clause] = STATE(568),
    [aux_sym_try_statement_repeat1] = STATE(190),
    [sym_identifier] = ACTIONS(2306),
    [aux_sym_preproc_include_token1] = ACTIONS(2306),
    [aux_sym_preproc_include_token2] = ACTIONS(2306),
    [aux_sym_preproc_def_token1] = ACTIONS(2306),
    [aux_sym_preproc_if_token1] = ACTIONS(2306),
    [aux_sym_preproc_if_token2] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2306),
    [sym_preproc_directive] = ACTIONS(2306),
    [anon_sym_LPAREN2] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_CARET] = ACTIONS(2308),
    [anon_sym_AMP] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2308),
    [anon_sym___extension__] = ACTIONS(2306),
    [anon_sym_typedef] = ACTIONS(2306),
    [anon_sym_extern] = ACTIONS(2306),
    [anon_sym___attribute__] = ACTIONS(2306),
    [anon_sym___attribute] = ACTIONS(2306),
    [anon_sym_noreturn] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym___declspec] = ACTIONS(2306),
    [anon_sym___cdecl] = ACTIONS(2306),
    [anon_sym___clrcall] = ACTIONS(2306),
    [anon_sym___stdcall] = ACTIONS(2306),
    [anon_sym___fastcall] = ACTIONS(2306),
    [anon_sym___thiscall] = ACTIONS(2306),
    [anon_sym___vectorcall] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2308),
    [anon_sym_signed] = ACTIONS(2306),
    [anon_sym_unsigned] = ACTIONS(2306),
    [anon_sym_long] = ACTIONS(2306),
    [anon_sym_short] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_ATautoreleasepool] = ACTIONS(2308),
    [anon_sym_auto] = ACTIONS(2306),
    [anon_sym_register] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(2306),
    [anon_sym___inline] = ACTIONS(2306),
    [anon_sym___inline__] = ACTIONS(2306),
    [anon_sym___forceinline] = ACTIONS(2306),
    [anon_sym_thread_local] = ACTIONS(2306),
    [anon_sym___thread] = ACTIONS(2306),
    [anon_sym_CG_EXTERN] = ACTIONS(2306),
    [anon_sym_CG_INLINE] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2306),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2306),
    [anon_sym_IBOutlet] = ACTIONS(2306),
    [anon_sym_IBInspectable] = ACTIONS(2306),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2306),
    [anon_sym_NS_INLINE] = ACTIONS(2306),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2306),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2306),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_constexpr] = ACTIONS(2306),
    [anon_sym_volatile] = ACTIONS(2306),
    [anon_sym_restrict] = ACTIONS(2306),
    [anon_sym___restrict__] = ACTIONS(2306),
    [anon_sym__Atomic] = ACTIONS(2306),
    [anon_sym__Noreturn] = ACTIONS(2306),
    [anon_sym__Nonnull] = ACTIONS(2306),
    [anon_sym_nullable] = ACTIONS(2306),
    [anon_sym__Complex] = ACTIONS(2306),
    [anon_sym__Nullable] = ACTIONS(2306),
    [anon_sym__Nullable_result] = ACTIONS(2306),
    [anon_sym__Null_unspecified] = ACTIONS(2306),
    [anon_sym___autoreleasing] = ACTIONS(2306),
    [anon_sym___block] = ACTIONS(2306),
    [anon_sym___bridge] = ACTIONS(2306),
    [anon_sym___bridge_retained] = ACTIONS(2306),
    [anon_sym___bridge_transfer] = ACTIONS(2306),
    [anon_sym___complex] = ACTIONS(2306),
    [anon_sym___const] = ACTIONS(2306),
    [anon_sym___imag] = ACTIONS(2306),
    [anon_sym___kindof] = ACTIONS(2306),
    [anon_sym___nonnull] = ACTIONS(2306),
    [anon_sym___nullable] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2306),
    [anon_sym___real] = ACTIONS(2306),
    [anon_sym___strong] = ACTIONS(2306),
    [anon_sym___unsafe_unretained] = ACTIONS(2306),
    [anon_sym___unused] = ACTIONS(2306),
    [anon_sym___weak] = ACTIONS(2306),
    [anon_sym_alignas] = ACTIONS(2306),
    [anon_sym__Alignas] = ACTIONS(2306),
    [sym_primitive_type] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [anon_sym_struct] = ACTIONS(2306),
    [anon_sym_union] = ACTIONS(2306),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_else] = ACTIONS(2306),
    [anon_sym_switch] = ACTIONS(2306),
    [anon_sym_case] = ACTIONS(2306),
    [anon_sym_default] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2306),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2306),
    [anon_sym_continue] = ACTIONS(2306),
    [anon_sym_goto] = ACTIONS(2306),
    [anon_sym_DASH_DASH] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(2308),
    [anon_sym_sizeof] = ACTIONS(2306),
    [anon_sym___alignof__] = ACTIONS(2306),
    [anon_sym___alignof] = ACTIONS(2306),
    [anon_sym__alignof] = ACTIONS(2306),
    [anon_sym_alignof] = ACTIONS(2306),
    [anon_sym__Alignof] = ACTIONS(2306),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2306),
    [anon_sym_asm] = ACTIONS(2306),
    [anon_sym___asm__] = ACTIONS(2306),
    [anon_sym___asm] = ACTIONS(2306),
    [sym_number_literal] = ACTIONS(2308),
    [anon_sym_L_SQUOTE] = ACTIONS(2308),
    [anon_sym_u_SQUOTE] = ACTIONS(2308),
    [anon_sym_U_SQUOTE] = ACTIONS(2308),
    [anon_sym_u8_SQUOTE] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [anon_sym_AT] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2308),
    [anon_sym_L_DQUOTE] = ACTIONS(2308),
    [anon_sym_u_DQUOTE] = ACTIONS(2308),
    [anon_sym_U_DQUOTE] = ACTIONS(2308),
    [anon_sym_u8_DQUOTE] = ACTIONS(2308),
    [sym_true] = ACTIONS(2306),
    [sym_false] = ACTIONS(2306),
    [anon_sym_NULL] = ACTIONS(2306),
    [anon_sym_nullptr] = ACTIONS(2306),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2306),
    [anon_sym___typeof] = ACTIONS(2306),
    [anon_sym_typeof] = ACTIONS(2306),
    [anon_sym_ATimport] = ACTIONS(2308),
    [aux_sym_preproc_undef_token1] = ACTIONS(2306),
    [anon_sym_POUND] = ACTIONS(2306),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2306),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2306),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2306),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_API_AVAILABLE] = ACTIONS(2306),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_API_DEPRECATED] = ACTIONS(2306),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym___deprecated_msg] = ACTIONS(2306),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2306),
    [anon_sym_ATprotocol] = ACTIONS(2308),
    [anon_sym_ATinterface] = ACTIONS(2308),
    [anon_sym_ATimplementation] = ACTIONS(2308),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2308),
    [anon_sym_ATsynthesize] = ACTIONS(2308),
    [anon_sym_ATdynamic] = ACTIONS(2308),
    [anon_sym_ATtry] = ACTIONS(2308),
    [anon_sym___try] = ACTIONS(2306),
    [anon_sym_ATcatch] = ACTIONS(2372),
    [anon_sym___catch] = ACTIONS(2374),
    [anon_sym_ATfinally] = ACTIONS(2376),
    [anon_sym___finally] = ACTIONS(2378),
    [anon_sym_ATthrow] = ACTIONS(2308),
    [anon_sym_ATselector] = ACTIONS(2308),
    [anon_sym_ATavailable] = ACTIONS(2308),
    [anon_sym___builtin_available] = ACTIONS(2306),
    [anon_sym_va_arg] = ACTIONS(2306),
    [anon_sym_ATencode] = ACTIONS(2308),
    [anon_sym_ATsynchronized] = ACTIONS(2308),
    [anon_sym_BOOL] = ACTIONS(2306),
    [anon_sym_IMP] = ACTIONS(2306),
    [anon_sym_SEL] = ACTIONS(2306),
    [anon_sym_Class] = ACTIONS(2306),
    [anon_sym_id] = ACTIONS(2306),
  },
  [190] = {
    [sym_catch_clause] = STATE(190),
    [aux_sym_try_statement_repeat1] = STATE(190),
    [sym_identifier] = ACTIONS(2318),
    [aux_sym_preproc_include_token1] = ACTIONS(2318),
    [aux_sym_preproc_include_token2] = ACTIONS(2318),
    [aux_sym_preproc_def_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token2] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2318),
    [sym_preproc_directive] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_BANG] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_SEMI] = ACTIONS(2320),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_typedef] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym___attribute] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym___cdecl] = ACTIONS(2318),
    [anon_sym___clrcall] = ACTIONS(2318),
    [anon_sym___stdcall] = ACTIONS(2318),
    [anon_sym___fastcall] = ACTIONS(2318),
    [anon_sym___thiscall] = ACTIONS(2318),
    [anon_sym___vectorcall] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_ATautoreleasepool] = ACTIONS(2320),
    [anon_sym_auto] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_CG_EXTERN] = ACTIONS(2318),
    [anon_sym_CG_INLINE] = ACTIONS(2318),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2318),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2318),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2318),
    [anon_sym_IBOutlet] = ACTIONS(2318),
    [anon_sym_IBInspectable] = ACTIONS(2318),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2318),
    [anon_sym_NS_INLINE] = ACTIONS(2318),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2318),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2318),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2318),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym__Nonnull] = ACTIONS(2318),
    [anon_sym_nullable] = ACTIONS(2318),
    [anon_sym__Complex] = ACTIONS(2318),
    [anon_sym__Nullable] = ACTIONS(2318),
    [anon_sym__Nullable_result] = ACTIONS(2318),
    [anon_sym__Null_unspecified] = ACTIONS(2318),
    [anon_sym___autoreleasing] = ACTIONS(2318),
    [anon_sym___block] = ACTIONS(2318),
    [anon_sym___bridge] = ACTIONS(2318),
    [anon_sym___bridge_retained] = ACTIONS(2318),
    [anon_sym___bridge_transfer] = ACTIONS(2318),
    [anon_sym___complex] = ACTIONS(2318),
    [anon_sym___const] = ACTIONS(2318),
    [anon_sym___imag] = ACTIONS(2318),
    [anon_sym___kindof] = ACTIONS(2318),
    [anon_sym___nonnull] = ACTIONS(2318),
    [anon_sym___nullable] = ACTIONS(2318),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2318),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2318),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2318),
    [anon_sym___real] = ACTIONS(2318),
    [anon_sym___strong] = ACTIONS(2318),
    [anon_sym___unsafe_unretained] = ACTIONS(2318),
    [anon_sym___unused] = ACTIONS(2318),
    [anon_sym___weak] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym__Alignas] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_else] = ACTIONS(2318),
    [anon_sym_switch] = ACTIONS(2318),
    [anon_sym_case] = ACTIONS(2318),
    [anon_sym_default] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_do] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_break] = ACTIONS(2318),
    [anon_sym_continue] = ACTIONS(2318),
    [anon_sym_goto] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2320),
    [anon_sym_sizeof] = ACTIONS(2318),
    [anon_sym___alignof__] = ACTIONS(2318),
    [anon_sym___alignof] = ACTIONS(2318),
    [anon_sym__alignof] = ACTIONS(2318),
    [anon_sym_alignof] = ACTIONS(2318),
    [anon_sym__Alignof] = ACTIONS(2318),
    [anon_sym_offsetof] = ACTIONS(2318),
    [anon_sym__Generic] = ACTIONS(2318),
    [anon_sym_asm] = ACTIONS(2318),
    [anon_sym___asm__] = ACTIONS(2318),
    [anon_sym___asm] = ACTIONS(2318),
    [sym_number_literal] = ACTIONS(2320),
    [anon_sym_L_SQUOTE] = ACTIONS(2320),
    [anon_sym_u_SQUOTE] = ACTIONS(2320),
    [anon_sym_U_SQUOTE] = ACTIONS(2320),
    [anon_sym_u8_SQUOTE] = ACTIONS(2320),
    [anon_sym_SQUOTE] = ACTIONS(2320),
    [anon_sym_AT] = ACTIONS(2318),
    [anon_sym_DQUOTE] = ACTIONS(2320),
    [anon_sym_L_DQUOTE] = ACTIONS(2320),
    [anon_sym_u_DQUOTE] = ACTIONS(2320),
    [anon_sym_U_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8_DQUOTE] = ACTIONS(2320),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2318),
    [anon_sym_nullptr] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2318),
    [anon_sym___typeof] = ACTIONS(2318),
    [anon_sym_typeof] = ACTIONS(2318),
    [anon_sym_ATimport] = ACTIONS(2320),
    [aux_sym_preproc_undef_token1] = ACTIONS(2318),
    [anon_sym_POUND] = ACTIONS(2318),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2318),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2318),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2318),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2318),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2318),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2318),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2318),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2318),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2318),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_API_AVAILABLE] = ACTIONS(2318),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_API_DEPRECATED] = ACTIONS(2318),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2318),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2318),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2318),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2318),
    [anon_sym___deprecated_msg] = ACTIONS(2318),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2318),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2318),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2318),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2318),
    [anon_sym_ATprotocol] = ACTIONS(2320),
    [anon_sym_ATinterface] = ACTIONS(2320),
    [anon_sym_ATimplementation] = ACTIONS(2320),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2320),
    [anon_sym_ATsynthesize] = ACTIONS(2320),
    [anon_sym_ATdynamic] = ACTIONS(2320),
    [anon_sym_ATtry] = ACTIONS(2320),
    [anon_sym___try] = ACTIONS(2318),
    [anon_sym_ATcatch] = ACTIONS(2380),
    [anon_sym___catch] = ACTIONS(2383),
    [anon_sym_ATfinally] = ACTIONS(2320),
    [anon_sym___finally] = ACTIONS(2318),
    [anon_sym_ATthrow] = ACTIONS(2320),
    [anon_sym_ATselector] = ACTIONS(2320),
    [anon_sym_ATavailable] = ACTIONS(2320),
    [anon_sym___builtin_available] = ACTIONS(2318),
    [anon_sym_va_arg] = ACTIONS(2318),
    [anon_sym_ATencode] = ACTIONS(2320),
    [anon_sym_ATsynchronized] = ACTIONS(2320),
    [anon_sym_BOOL] = ACTIONS(2318),
    [anon_sym_IMP] = ACTIONS(2318),
    [anon_sym_SEL] = ACTIONS(2318),
    [anon_sym_Class] = ACTIONS(2318),
    [anon_sym_id] = ACTIONS(2318),
  },
  [191] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_include_token2] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [aux_sym_preproc_else_token1] = ACTIONS(2364),
    [aux_sym_preproc_elif_token1] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_CARET] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym___attribute] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_ATautoreleasepool] = ACTIONS(2366),
    [anon_sym_auto] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_CG_EXTERN] = ACTIONS(2364),
    [anon_sym_CG_INLINE] = ACTIONS(2364),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2364),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2364),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2364),
    [anon_sym_IBOutlet] = ACTIONS(2364),
    [anon_sym_IBInspectable] = ACTIONS(2364),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2364),
    [anon_sym_NS_INLINE] = ACTIONS(2364),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2364),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2364),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2364),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym__Nonnull] = ACTIONS(2364),
    [anon_sym_nullable] = ACTIONS(2364),
    [anon_sym__Complex] = ACTIONS(2364),
    [anon_sym__Nullable] = ACTIONS(2364),
    [anon_sym__Nullable_result] = ACTIONS(2364),
    [anon_sym__Null_unspecified] = ACTIONS(2364),
    [anon_sym___autoreleasing] = ACTIONS(2364),
    [anon_sym___block] = ACTIONS(2364),
    [anon_sym___bridge] = ACTIONS(2364),
    [anon_sym___bridge_retained] = ACTIONS(2364),
    [anon_sym___bridge_transfer] = ACTIONS(2364),
    [anon_sym___complex] = ACTIONS(2364),
    [anon_sym___const] = ACTIONS(2364),
    [anon_sym___imag] = ACTIONS(2364),
    [anon_sym___kindof] = ACTIONS(2364),
    [anon_sym___nonnull] = ACTIONS(2364),
    [anon_sym___nullable] = ACTIONS(2364),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2364),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2364),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2364),
    [anon_sym___real] = ACTIONS(2364),
    [anon_sym___strong] = ACTIONS(2364),
    [anon_sym___unsafe_unretained] = ACTIONS(2364),
    [anon_sym___unused] = ACTIONS(2364),
    [anon_sym___weak] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym__Alignas] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [anon_sym___asm] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_AT] = ACTIONS(2364),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2364),
    [anon_sym___typeof] = ACTIONS(2364),
    [anon_sym_typeof] = ACTIONS(2364),
    [anon_sym_ATimport] = ACTIONS(2366),
    [aux_sym_preproc_undef_token1] = ACTIONS(2364),
    [anon_sym_POUND] = ACTIONS(2364),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2364),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2364),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2364),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2364),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2364),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2364),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2364),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2364),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2364),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_API_AVAILABLE] = ACTIONS(2364),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_API_DEPRECATED] = ACTIONS(2364),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2364),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2364),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2364),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2364),
    [anon_sym___deprecated_msg] = ACTIONS(2364),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2364),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2364),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2364),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2364),
    [anon_sym_ATprotocol] = ACTIONS(2366),
    [anon_sym_ATinterface] = ACTIONS(2366),
    [anon_sym_ATimplementation] = ACTIONS(2366),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2366),
    [anon_sym_ATsynthesize] = ACTIONS(2366),
    [anon_sym_ATdynamic] = ACTIONS(2366),
    [anon_sym_ATtry] = ACTIONS(2366),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym_ATcatch] = ACTIONS(2366),
    [anon_sym___catch] = ACTIONS(2364),
    [anon_sym_ATfinally] = ACTIONS(2366),
    [anon_sym___finally] = ACTIONS(2364),
    [anon_sym_ATthrow] = ACTIONS(2366),
    [anon_sym_ATselector] = ACTIONS(2366),
    [anon_sym_ATavailable] = ACTIONS(2366),
    [anon_sym___builtin_available] = ACTIONS(2364),
    [anon_sym_va_arg] = ACTIONS(2364),
    [anon_sym_ATencode] = ACTIONS(2366),
    [anon_sym_ATsynchronized] = ACTIONS(2366),
    [anon_sym_BOOL] = ACTIONS(2364),
    [anon_sym_IMP] = ACTIONS(2364),
    [anon_sym_SEL] = ACTIONS(2364),
    [anon_sym_Class] = ACTIONS(2364),
    [anon_sym_id] = ACTIONS(2364),
  },
  [192] = {
    [sym_identifier] = ACTIONS(2360),
    [aux_sym_preproc_include_token1] = ACTIONS(2360),
    [aux_sym_preproc_include_token2] = ACTIONS(2360),
    [aux_sym_preproc_def_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token2] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2360),
    [aux_sym_preproc_else_token1] = ACTIONS(2360),
    [aux_sym_preproc_elif_token1] = ACTIONS(2360),
    [sym_preproc_directive] = ACTIONS(2360),
    [anon_sym_LPAREN2] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2362),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_CARET] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2362),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_typedef] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym___attribute] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2362),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym___cdecl] = ACTIONS(2360),
    [anon_sym___clrcall] = ACTIONS(2360),
    [anon_sym___stdcall] = ACTIONS(2360),
    [anon_sym___fastcall] = ACTIONS(2360),
    [anon_sym___thiscall] = ACTIONS(2360),
    [anon_sym___vectorcall] = ACTIONS(2360),
    [anon_sym_LBRACE] = ACTIONS(2362),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_ATautoreleasepool] = ACTIONS(2362),
    [anon_sym_auto] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_CG_EXTERN] = ACTIONS(2360),
    [anon_sym_CG_INLINE] = ACTIONS(2360),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2360),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2360),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2360),
    [anon_sym_IBOutlet] = ACTIONS(2360),
    [anon_sym_IBInspectable] = ACTIONS(2360),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2360),
    [anon_sym_NS_INLINE] = ACTIONS(2360),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2360),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2360),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2360),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym__Nonnull] = ACTIONS(2360),
    [anon_sym_nullable] = ACTIONS(2360),
    [anon_sym__Complex] = ACTIONS(2360),
    [anon_sym__Nullable] = ACTIONS(2360),
    [anon_sym__Nullable_result] = ACTIONS(2360),
    [anon_sym__Null_unspecified] = ACTIONS(2360),
    [anon_sym___autoreleasing] = ACTIONS(2360),
    [anon_sym___block] = ACTIONS(2360),
    [anon_sym___bridge] = ACTIONS(2360),
    [anon_sym___bridge_retained] = ACTIONS(2360),
    [anon_sym___bridge_transfer] = ACTIONS(2360),
    [anon_sym___complex] = ACTIONS(2360),
    [anon_sym___const] = ACTIONS(2360),
    [anon_sym___imag] = ACTIONS(2360),
    [anon_sym___kindof] = ACTIONS(2360),
    [anon_sym___nonnull] = ACTIONS(2360),
    [anon_sym___nullable] = ACTIONS(2360),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2360),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2360),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2360),
    [anon_sym___real] = ACTIONS(2360),
    [anon_sym___strong] = ACTIONS(2360),
    [anon_sym___unsafe_unretained] = ACTIONS(2360),
    [anon_sym___unused] = ACTIONS(2360),
    [anon_sym___weak] = ACTIONS(2360),
    [anon_sym_alignas] = ACTIONS(2360),
    [anon_sym__Alignas] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2360),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_else] = ACTIONS(2360),
    [anon_sym_switch] = ACTIONS(2360),
    [anon_sym_case] = ACTIONS(2360),
    [anon_sym_default] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2360),
    [anon_sym_do] = ACTIONS(2360),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_return] = ACTIONS(2360),
    [anon_sym_break] = ACTIONS(2360),
    [anon_sym_continue] = ACTIONS(2360),
    [anon_sym_goto] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2362),
    [anon_sym_PLUS_PLUS] = ACTIONS(2362),
    [anon_sym_sizeof] = ACTIONS(2360),
    [anon_sym___alignof__] = ACTIONS(2360),
    [anon_sym___alignof] = ACTIONS(2360),
    [anon_sym__alignof] = ACTIONS(2360),
    [anon_sym_alignof] = ACTIONS(2360),
    [anon_sym__Alignof] = ACTIONS(2360),
    [anon_sym_offsetof] = ACTIONS(2360),
    [anon_sym__Generic] = ACTIONS(2360),
    [anon_sym_asm] = ACTIONS(2360),
    [anon_sym___asm__] = ACTIONS(2360),
    [anon_sym___asm] = ACTIONS(2360),
    [sym_number_literal] = ACTIONS(2362),
    [anon_sym_L_SQUOTE] = ACTIONS(2362),
    [anon_sym_u_SQUOTE] = ACTIONS(2362),
    [anon_sym_U_SQUOTE] = ACTIONS(2362),
    [anon_sym_u8_SQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE] = ACTIONS(2362),
    [anon_sym_AT] = ACTIONS(2360),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [anon_sym_L_DQUOTE] = ACTIONS(2362),
    [anon_sym_u_DQUOTE] = ACTIONS(2362),
    [anon_sym_U_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8_DQUOTE] = ACTIONS(2362),
    [sym_true] = ACTIONS(2360),
    [sym_false] = ACTIONS(2360),
    [anon_sym_NULL] = ACTIONS(2360),
    [anon_sym_nullptr] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2360),
    [anon_sym___typeof] = ACTIONS(2360),
    [anon_sym_typeof] = ACTIONS(2360),
    [anon_sym_ATimport] = ACTIONS(2362),
    [aux_sym_preproc_undef_token1] = ACTIONS(2360),
    [anon_sym_POUND] = ACTIONS(2360),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2360),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2360),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2360),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2360),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2360),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2360),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2360),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2360),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2360),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_API_AVAILABLE] = ACTIONS(2360),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_API_DEPRECATED] = ACTIONS(2360),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2360),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2360),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2360),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2360),
    [anon_sym___deprecated_msg] = ACTIONS(2360),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2360),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2360),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2360),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2360),
    [anon_sym_ATprotocol] = ACTIONS(2362),
    [anon_sym_ATinterface] = ACTIONS(2362),
    [anon_sym_ATimplementation] = ACTIONS(2362),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2362),
    [anon_sym_ATsynthesize] = ACTIONS(2362),
    [anon_sym_ATdynamic] = ACTIONS(2362),
    [anon_sym_ATtry] = ACTIONS(2362),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym_ATcatch] = ACTIONS(2362),
    [anon_sym___catch] = ACTIONS(2360),
    [anon_sym_ATfinally] = ACTIONS(2362),
    [anon_sym___finally] = ACTIONS(2360),
    [anon_sym_ATthrow] = ACTIONS(2362),
    [anon_sym_ATselector] = ACTIONS(2362),
    [anon_sym_ATavailable] = ACTIONS(2362),
    [anon_sym___builtin_available] = ACTIONS(2360),
    [anon_sym_va_arg] = ACTIONS(2360),
    [anon_sym_ATencode] = ACTIONS(2362),
    [anon_sym_ATsynchronized] = ACTIONS(2362),
    [anon_sym_BOOL] = ACTIONS(2360),
    [anon_sym_IMP] = ACTIONS(2360),
    [anon_sym_SEL] = ACTIONS(2360),
    [anon_sym_Class] = ACTIONS(2360),
    [anon_sym_id] = ACTIONS(2360),
  },
  [193] = {
    [sym_identifier] = ACTIONS(2356),
    [aux_sym_preproc_include_token1] = ACTIONS(2356),
    [aux_sym_preproc_include_token2] = ACTIONS(2356),
    [aux_sym_preproc_def_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token2] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2356),
    [aux_sym_preproc_else_token1] = ACTIONS(2356),
    [aux_sym_preproc_elif_token1] = ACTIONS(2356),
    [sym_preproc_directive] = ACTIONS(2356),
    [anon_sym_LPAREN2] = ACTIONS(2358),
    [anon_sym_BANG] = ACTIONS(2358),
    [anon_sym_TILDE] = ACTIONS(2358),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2358),
    [anon_sym_CARET] = ACTIONS(2358),
    [anon_sym_AMP] = ACTIONS(2358),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2356),
    [anon_sym_typedef] = ACTIONS(2356),
    [anon_sym_extern] = ACTIONS(2356),
    [anon_sym___attribute__] = ACTIONS(2356),
    [anon_sym___attribute] = ACTIONS(2356),
    [anon_sym_noreturn] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2358),
    [anon_sym___declspec] = ACTIONS(2356),
    [anon_sym___cdecl] = ACTIONS(2356),
    [anon_sym___clrcall] = ACTIONS(2356),
    [anon_sym___stdcall] = ACTIONS(2356),
    [anon_sym___fastcall] = ACTIONS(2356),
    [anon_sym___thiscall] = ACTIONS(2356),
    [anon_sym___vectorcall] = ACTIONS(2356),
    [anon_sym_LBRACE] = ACTIONS(2358),
    [anon_sym_signed] = ACTIONS(2356),
    [anon_sym_unsigned] = ACTIONS(2356),
    [anon_sym_long] = ACTIONS(2356),
    [anon_sym_short] = ACTIONS(2356),
    [anon_sym_static] = ACTIONS(2356),
    [anon_sym_ATautoreleasepool] = ACTIONS(2358),
    [anon_sym_auto] = ACTIONS(2356),
    [anon_sym_register] = ACTIONS(2356),
    [anon_sym_inline] = ACTIONS(2356),
    [anon_sym___inline] = ACTIONS(2356),
    [anon_sym___inline__] = ACTIONS(2356),
    [anon_sym___forceinline] = ACTIONS(2356),
    [anon_sym_thread_local] = ACTIONS(2356),
    [anon_sym___thread] = ACTIONS(2356),
    [anon_sym_CG_EXTERN] = ACTIONS(2356),
    [anon_sym_CG_INLINE] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2356),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2356),
    [anon_sym_IBOutlet] = ACTIONS(2356),
    [anon_sym_IBInspectable] = ACTIONS(2356),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2356),
    [anon_sym_NS_INLINE] = ACTIONS(2356),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2356),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2356),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2356),
    [anon_sym_const] = ACTIONS(2356),
    [anon_sym_constexpr] = ACTIONS(2356),
    [anon_sym_volatile] = ACTIONS(2356),
    [anon_sym_restrict] = ACTIONS(2356),
    [anon_sym___restrict__] = ACTIONS(2356),
    [anon_sym__Atomic] = ACTIONS(2356),
    [anon_sym__Noreturn] = ACTIONS(2356),
    [anon_sym__Nonnull] = ACTIONS(2356),
    [anon_sym_nullable] = ACTIONS(2356),
    [anon_sym__Complex] = ACTIONS(2356),
    [anon_sym__Nullable] = ACTIONS(2356),
    [anon_sym__Nullable_result] = ACTIONS(2356),
    [anon_sym__Null_unspecified] = ACTIONS(2356),
    [anon_sym___autoreleasing] = ACTIONS(2356),
    [anon_sym___block] = ACTIONS(2356),
    [anon_sym___bridge] = ACTIONS(2356),
    [anon_sym___bridge_retained] = ACTIONS(2356),
    [anon_sym___bridge_transfer] = ACTIONS(2356),
    [anon_sym___complex] = ACTIONS(2356),
    [anon_sym___const] = ACTIONS(2356),
    [anon_sym___imag] = ACTIONS(2356),
    [anon_sym___kindof] = ACTIONS(2356),
    [anon_sym___nonnull] = ACTIONS(2356),
    [anon_sym___nullable] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2356),
    [anon_sym___real] = ACTIONS(2356),
    [anon_sym___strong] = ACTIONS(2356),
    [anon_sym___unsafe_unretained] = ACTIONS(2356),
    [anon_sym___unused] = ACTIONS(2356),
    [anon_sym___weak] = ACTIONS(2356),
    [anon_sym_alignas] = ACTIONS(2356),
    [anon_sym__Alignas] = ACTIONS(2356),
    [sym_primitive_type] = ACTIONS(2356),
    [anon_sym_enum] = ACTIONS(2356),
    [anon_sym_struct] = ACTIONS(2356),
    [anon_sym_union] = ACTIONS(2356),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_else] = ACTIONS(2356),
    [anon_sym_switch] = ACTIONS(2356),
    [anon_sym_case] = ACTIONS(2356),
    [anon_sym_default] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(2356),
    [anon_sym_for] = ACTIONS(2356),
    [anon_sym_in] = ACTIONS(2356),
    [anon_sym_return] = ACTIONS(2356),
    [anon_sym_break] = ACTIONS(2356),
    [anon_sym_continue] = ACTIONS(2356),
    [anon_sym_goto] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2358),
    [anon_sym_PLUS_PLUS] = ACTIONS(2358),
    [anon_sym_sizeof] = ACTIONS(2356),
    [anon_sym___alignof__] = ACTIONS(2356),
    [anon_sym___alignof] = ACTIONS(2356),
    [anon_sym__alignof] = ACTIONS(2356),
    [anon_sym_alignof] = ACTIONS(2356),
    [anon_sym__Alignof] = ACTIONS(2356),
    [anon_sym_offsetof] = ACTIONS(2356),
    [anon_sym__Generic] = ACTIONS(2356),
    [anon_sym_asm] = ACTIONS(2356),
    [anon_sym___asm__] = ACTIONS(2356),
    [anon_sym___asm] = ACTIONS(2356),
    [sym_number_literal] = ACTIONS(2358),
    [anon_sym_L_SQUOTE] = ACTIONS(2358),
    [anon_sym_u_SQUOTE] = ACTIONS(2358),
    [anon_sym_U_SQUOTE] = ACTIONS(2358),
    [anon_sym_u8_SQUOTE] = ACTIONS(2358),
    [anon_sym_SQUOTE] = ACTIONS(2358),
    [anon_sym_AT] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2358),
    [anon_sym_L_DQUOTE] = ACTIONS(2358),
    [anon_sym_u_DQUOTE] = ACTIONS(2358),
    [anon_sym_U_DQUOTE] = ACTIONS(2358),
    [anon_sym_u8_DQUOTE] = ACTIONS(2358),
    [sym_true] = ACTIONS(2356),
    [sym_false] = ACTIONS(2356),
    [anon_sym_NULL] = ACTIONS(2356),
    [anon_sym_nullptr] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2356),
    [anon_sym___typeof] = ACTIONS(2356),
    [anon_sym_typeof] = ACTIONS(2356),
    [anon_sym_ATimport] = ACTIONS(2358),
    [aux_sym_preproc_undef_token1] = ACTIONS(2356),
    [anon_sym_POUND] = ACTIONS(2356),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2356),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2356),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2356),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_API_AVAILABLE] = ACTIONS(2356),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_API_DEPRECATED] = ACTIONS(2356),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym___deprecated_msg] = ACTIONS(2356),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2356),
    [anon_sym_ATprotocol] = ACTIONS(2358),
    [anon_sym_ATinterface] = ACTIONS(2358),
    [anon_sym_ATimplementation] = ACTIONS(2358),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2358),
    [anon_sym_ATsynthesize] = ACTIONS(2358),
    [anon_sym_ATdynamic] = ACTIONS(2358),
    [anon_sym_ATtry] = ACTIONS(2358),
    [anon_sym___try] = ACTIONS(2356),
    [anon_sym_ATcatch] = ACTIONS(2358),
    [anon_sym___catch] = ACTIONS(2356),
    [anon_sym_ATfinally] = ACTIONS(2358),
    [anon_sym___finally] = ACTIONS(2356),
    [anon_sym_ATthrow] = ACTIONS(2358),
    [anon_sym_ATselector] = ACTIONS(2358),
    [anon_sym_ATavailable] = ACTIONS(2358),
    [anon_sym___builtin_available] = ACTIONS(2356),
    [anon_sym_va_arg] = ACTIONS(2356),
    [anon_sym_ATencode] = ACTIONS(2358),
    [anon_sym_ATsynchronized] = ACTIONS(2358),
    [anon_sym_BOOL] = ACTIONS(2356),
    [anon_sym_IMP] = ACTIONS(2356),
    [anon_sym_SEL] = ACTIONS(2356),
    [anon_sym_Class] = ACTIONS(2356),
    [anon_sym_id] = ACTIONS(2356),
  },
  [194] = {
    [sym_identifier] = ACTIONS(2346),
    [aux_sym_preproc_include_token1] = ACTIONS(2346),
    [aux_sym_preproc_include_token2] = ACTIONS(2346),
    [aux_sym_preproc_def_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token2] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2346),
    [aux_sym_preproc_else_token1] = ACTIONS(2346),
    [aux_sym_preproc_elif_token1] = ACTIONS(2346),
    [sym_preproc_directive] = ACTIONS(2346),
    [anon_sym_LPAREN2] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_CARET] = ACTIONS(2348),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym___extension__] = ACTIONS(2346),
    [anon_sym_typedef] = ACTIONS(2346),
    [anon_sym_extern] = ACTIONS(2346),
    [anon_sym___attribute__] = ACTIONS(2346),
    [anon_sym___attribute] = ACTIONS(2346),
    [anon_sym_noreturn] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym___declspec] = ACTIONS(2346),
    [anon_sym___cdecl] = ACTIONS(2346),
    [anon_sym___clrcall] = ACTIONS(2346),
    [anon_sym___stdcall] = ACTIONS(2346),
    [anon_sym___fastcall] = ACTIONS(2346),
    [anon_sym___thiscall] = ACTIONS(2346),
    [anon_sym___vectorcall] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_signed] = ACTIONS(2346),
    [anon_sym_unsigned] = ACTIONS(2346),
    [anon_sym_long] = ACTIONS(2346),
    [anon_sym_short] = ACTIONS(2346),
    [anon_sym_static] = ACTIONS(2346),
    [anon_sym_ATautoreleasepool] = ACTIONS(2348),
    [anon_sym_auto] = ACTIONS(2346),
    [anon_sym_register] = ACTIONS(2346),
    [anon_sym_inline] = ACTIONS(2346),
    [anon_sym___inline] = ACTIONS(2346),
    [anon_sym___inline__] = ACTIONS(2346),
    [anon_sym___forceinline] = ACTIONS(2346),
    [anon_sym_thread_local] = ACTIONS(2346),
    [anon_sym___thread] = ACTIONS(2346),
    [anon_sym_CG_EXTERN] = ACTIONS(2346),
    [anon_sym_CG_INLINE] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2346),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2346),
    [anon_sym_IBOutlet] = ACTIONS(2346),
    [anon_sym_IBInspectable] = ACTIONS(2346),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2346),
    [anon_sym_NS_INLINE] = ACTIONS(2346),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2346),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2346),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2346),
    [anon_sym_const] = ACTIONS(2346),
    [anon_sym_constexpr] = ACTIONS(2346),
    [anon_sym_volatile] = ACTIONS(2346),
    [anon_sym_restrict] = ACTIONS(2346),
    [anon_sym___restrict__] = ACTIONS(2346),
    [anon_sym__Atomic] = ACTIONS(2346),
    [anon_sym__Noreturn] = ACTIONS(2346),
    [anon_sym__Nonnull] = ACTIONS(2346),
    [anon_sym_nullable] = ACTIONS(2346),
    [anon_sym__Complex] = ACTIONS(2346),
    [anon_sym__Nullable] = ACTIONS(2346),
    [anon_sym__Nullable_result] = ACTIONS(2346),
    [anon_sym__Null_unspecified] = ACTIONS(2346),
    [anon_sym___autoreleasing] = ACTIONS(2346),
    [anon_sym___block] = ACTIONS(2346),
    [anon_sym___bridge] = ACTIONS(2346),
    [anon_sym___bridge_retained] = ACTIONS(2346),
    [anon_sym___bridge_transfer] = ACTIONS(2346),
    [anon_sym___complex] = ACTIONS(2346),
    [anon_sym___const] = ACTIONS(2346),
    [anon_sym___imag] = ACTIONS(2346),
    [anon_sym___kindof] = ACTIONS(2346),
    [anon_sym___nonnull] = ACTIONS(2346),
    [anon_sym___nullable] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2346),
    [anon_sym___real] = ACTIONS(2346),
    [anon_sym___strong] = ACTIONS(2346),
    [anon_sym___unsafe_unretained] = ACTIONS(2346),
    [anon_sym___unused] = ACTIONS(2346),
    [anon_sym___weak] = ACTIONS(2346),
    [anon_sym_alignas] = ACTIONS(2346),
    [anon_sym__Alignas] = ACTIONS(2346),
    [sym_primitive_type] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2346),
    [anon_sym_struct] = ACTIONS(2346),
    [anon_sym_union] = ACTIONS(2346),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_else] = ACTIONS(2346),
    [anon_sym_switch] = ACTIONS(2346),
    [anon_sym_case] = ACTIONS(2346),
    [anon_sym_default] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2346),
    [anon_sym_for] = ACTIONS(2346),
    [anon_sym_in] = ACTIONS(2346),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_break] = ACTIONS(2346),
    [anon_sym_continue] = ACTIONS(2346),
    [anon_sym_goto] = ACTIONS(2346),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_sizeof] = ACTIONS(2346),
    [anon_sym___alignof__] = ACTIONS(2346),
    [anon_sym___alignof] = ACTIONS(2346),
    [anon_sym__alignof] = ACTIONS(2346),
    [anon_sym_alignof] = ACTIONS(2346),
    [anon_sym__Alignof] = ACTIONS(2346),
    [anon_sym_offsetof] = ACTIONS(2346),
    [anon_sym__Generic] = ACTIONS(2346),
    [anon_sym_asm] = ACTIONS(2346),
    [anon_sym___asm__] = ACTIONS(2346),
    [anon_sym___asm] = ACTIONS(2346),
    [sym_number_literal] = ACTIONS(2348),
    [anon_sym_L_SQUOTE] = ACTIONS(2348),
    [anon_sym_u_SQUOTE] = ACTIONS(2348),
    [anon_sym_U_SQUOTE] = ACTIONS(2348),
    [anon_sym_u8_SQUOTE] = ACTIONS(2348),
    [anon_sym_SQUOTE] = ACTIONS(2348),
    [anon_sym_AT] = ACTIONS(2346),
    [anon_sym_DQUOTE] = ACTIONS(2348),
    [anon_sym_L_DQUOTE] = ACTIONS(2348),
    [anon_sym_u_DQUOTE] = ACTIONS(2348),
    [anon_sym_U_DQUOTE] = ACTIONS(2348),
    [anon_sym_u8_DQUOTE] = ACTIONS(2348),
    [sym_true] = ACTIONS(2346),
    [sym_false] = ACTIONS(2346),
    [anon_sym_NULL] = ACTIONS(2346),
    [anon_sym_nullptr] = ACTIONS(2346),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2346),
    [anon_sym___typeof] = ACTIONS(2346),
    [anon_sym_typeof] = ACTIONS(2346),
    [anon_sym_ATimport] = ACTIONS(2348),
    [aux_sym_preproc_undef_token1] = ACTIONS(2346),
    [anon_sym_POUND] = ACTIONS(2346),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2346),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2346),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2346),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_API_AVAILABLE] = ACTIONS(2346),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_API_DEPRECATED] = ACTIONS(2346),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym___deprecated_msg] = ACTIONS(2346),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2346),
    [anon_sym_ATprotocol] = ACTIONS(2348),
    [anon_sym_ATinterface] = ACTIONS(2348),
    [anon_sym_ATimplementation] = ACTIONS(2348),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2348),
    [anon_sym_ATsynthesize] = ACTIONS(2348),
    [anon_sym_ATdynamic] = ACTIONS(2348),
    [anon_sym_ATtry] = ACTIONS(2348),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym_ATcatch] = ACTIONS(2348),
    [anon_sym___catch] = ACTIONS(2346),
    [anon_sym_ATfinally] = ACTIONS(2348),
    [anon_sym___finally] = ACTIONS(2346),
    [anon_sym_ATthrow] = ACTIONS(2348),
    [anon_sym_ATselector] = ACTIONS(2348),
    [anon_sym_ATavailable] = ACTIONS(2348),
    [anon_sym___builtin_available] = ACTIONS(2346),
    [anon_sym_va_arg] = ACTIONS(2346),
    [anon_sym_ATencode] = ACTIONS(2348),
    [anon_sym_ATsynchronized] = ACTIONS(2348),
    [anon_sym_BOOL] = ACTIONS(2346),
    [anon_sym_IMP] = ACTIONS(2346),
    [anon_sym_SEL] = ACTIONS(2346),
    [anon_sym_Class] = ACTIONS(2346),
    [anon_sym_id] = ACTIONS(2346),
  },
  [195] = {
    [sym_identifier] = ACTIONS(2368),
    [aux_sym_preproc_include_token1] = ACTIONS(2368),
    [aux_sym_preproc_include_token2] = ACTIONS(2368),
    [aux_sym_preproc_def_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token2] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2368),
    [aux_sym_preproc_else_token1] = ACTIONS(2368),
    [aux_sym_preproc_elif_token1] = ACTIONS(2368),
    [sym_preproc_directive] = ACTIONS(2368),
    [anon_sym_LPAREN2] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_CARET] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym___extension__] = ACTIONS(2368),
    [anon_sym_typedef] = ACTIONS(2368),
    [anon_sym_extern] = ACTIONS(2368),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym___attribute] = ACTIONS(2368),
    [anon_sym_noreturn] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym___declspec] = ACTIONS(2368),
    [anon_sym___cdecl] = ACTIONS(2368),
    [anon_sym___clrcall] = ACTIONS(2368),
    [anon_sym___stdcall] = ACTIONS(2368),
    [anon_sym___fastcall] = ACTIONS(2368),
    [anon_sym___thiscall] = ACTIONS(2368),
    [anon_sym___vectorcall] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_signed] = ACTIONS(2368),
    [anon_sym_unsigned] = ACTIONS(2368),
    [anon_sym_long] = ACTIONS(2368),
    [anon_sym_short] = ACTIONS(2368),
    [anon_sym_static] = ACTIONS(2368),
    [anon_sym_ATautoreleasepool] = ACTIONS(2370),
    [anon_sym_auto] = ACTIONS(2368),
    [anon_sym_register] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(2368),
    [anon_sym___inline] = ACTIONS(2368),
    [anon_sym___inline__] = ACTIONS(2368),
    [anon_sym___forceinline] = ACTIONS(2368),
    [anon_sym_thread_local] = ACTIONS(2368),
    [anon_sym___thread] = ACTIONS(2368),
    [anon_sym_CG_EXTERN] = ACTIONS(2368),
    [anon_sym_CG_INLINE] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2368),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2368),
    [anon_sym_IBOutlet] = ACTIONS(2368),
    [anon_sym_IBInspectable] = ACTIONS(2368),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2368),
    [anon_sym_NS_INLINE] = ACTIONS(2368),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2368),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2368),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2368),
    [anon_sym_const] = ACTIONS(2368),
    [anon_sym_constexpr] = ACTIONS(2368),
    [anon_sym_volatile] = ACTIONS(2368),
    [anon_sym_restrict] = ACTIONS(2368),
    [anon_sym___restrict__] = ACTIONS(2368),
    [anon_sym__Atomic] = ACTIONS(2368),
    [anon_sym__Noreturn] = ACTIONS(2368),
    [anon_sym__Nonnull] = ACTIONS(2368),
    [anon_sym_nullable] = ACTIONS(2368),
    [anon_sym__Complex] = ACTIONS(2368),
    [anon_sym__Nullable] = ACTIONS(2368),
    [anon_sym__Nullable_result] = ACTIONS(2368),
    [anon_sym__Null_unspecified] = ACTIONS(2368),
    [anon_sym___autoreleasing] = ACTIONS(2368),
    [anon_sym___block] = ACTIONS(2368),
    [anon_sym___bridge] = ACTIONS(2368),
    [anon_sym___bridge_retained] = ACTIONS(2368),
    [anon_sym___bridge_transfer] = ACTIONS(2368),
    [anon_sym___complex] = ACTIONS(2368),
    [anon_sym___const] = ACTIONS(2368),
    [anon_sym___imag] = ACTIONS(2368),
    [anon_sym___kindof] = ACTIONS(2368),
    [anon_sym___nonnull] = ACTIONS(2368),
    [anon_sym___nullable] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2368),
    [anon_sym___real] = ACTIONS(2368),
    [anon_sym___strong] = ACTIONS(2368),
    [anon_sym___unsafe_unretained] = ACTIONS(2368),
    [anon_sym___unused] = ACTIONS(2368),
    [anon_sym___weak] = ACTIONS(2368),
    [anon_sym_alignas] = ACTIONS(2368),
    [anon_sym__Alignas] = ACTIONS(2368),
    [sym_primitive_type] = ACTIONS(2368),
    [anon_sym_enum] = ACTIONS(2368),
    [anon_sym_struct] = ACTIONS(2368),
    [anon_sym_union] = ACTIONS(2368),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_else] = ACTIONS(2368),
    [anon_sym_switch] = ACTIONS(2368),
    [anon_sym_case] = ACTIONS(2368),
    [anon_sym_default] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_do] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2368),
    [anon_sym_in] = ACTIONS(2368),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_break] = ACTIONS(2368),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_goto] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_sizeof] = ACTIONS(2368),
    [anon_sym___alignof__] = ACTIONS(2368),
    [anon_sym___alignof] = ACTIONS(2368),
    [anon_sym__alignof] = ACTIONS(2368),
    [anon_sym_alignof] = ACTIONS(2368),
    [anon_sym__Alignof] = ACTIONS(2368),
    [anon_sym_offsetof] = ACTIONS(2368),
    [anon_sym__Generic] = ACTIONS(2368),
    [anon_sym_asm] = ACTIONS(2368),
    [anon_sym___asm__] = ACTIONS(2368),
    [anon_sym___asm] = ACTIONS(2368),
    [sym_number_literal] = ACTIONS(2370),
    [anon_sym_L_SQUOTE] = ACTIONS(2370),
    [anon_sym_u_SQUOTE] = ACTIONS(2370),
    [anon_sym_U_SQUOTE] = ACTIONS(2370),
    [anon_sym_u8_SQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2368),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_L_DQUOTE] = ACTIONS(2370),
    [anon_sym_u_DQUOTE] = ACTIONS(2370),
    [anon_sym_U_DQUOTE] = ACTIONS(2370),
    [anon_sym_u8_DQUOTE] = ACTIONS(2370),
    [sym_true] = ACTIONS(2368),
    [sym_false] = ACTIONS(2368),
    [anon_sym_NULL] = ACTIONS(2368),
    [anon_sym_nullptr] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2368),
    [anon_sym___typeof] = ACTIONS(2368),
    [anon_sym_typeof] = ACTIONS(2368),
    [anon_sym_ATimport] = ACTIONS(2370),
    [aux_sym_preproc_undef_token1] = ACTIONS(2368),
    [anon_sym_POUND] = ACTIONS(2368),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2368),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2368),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2368),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_API_AVAILABLE] = ACTIONS(2368),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_API_DEPRECATED] = ACTIONS(2368),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym___deprecated_msg] = ACTIONS(2368),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2368),
    [anon_sym_ATprotocol] = ACTIONS(2370),
    [anon_sym_ATinterface] = ACTIONS(2370),
    [anon_sym_ATimplementation] = ACTIONS(2370),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2370),
    [anon_sym_ATsynthesize] = ACTIONS(2370),
    [anon_sym_ATdynamic] = ACTIONS(2370),
    [anon_sym_ATtry] = ACTIONS(2370),
    [anon_sym___try] = ACTIONS(2368),
    [anon_sym_ATcatch] = ACTIONS(2370),
    [anon_sym___catch] = ACTIONS(2368),
    [anon_sym_ATfinally] = ACTIONS(2370),
    [anon_sym___finally] = ACTIONS(2368),
    [anon_sym_ATthrow] = ACTIONS(2370),
    [anon_sym_ATselector] = ACTIONS(2370),
    [anon_sym_ATavailable] = ACTIONS(2370),
    [anon_sym___builtin_available] = ACTIONS(2368),
    [anon_sym_va_arg] = ACTIONS(2368),
    [anon_sym_ATencode] = ACTIONS(2370),
    [anon_sym_ATsynchronized] = ACTIONS(2370),
    [anon_sym_BOOL] = ACTIONS(2368),
    [anon_sym_IMP] = ACTIONS(2368),
    [anon_sym_SEL] = ACTIONS(2368),
    [anon_sym_Class] = ACTIONS(2368),
    [anon_sym_id] = ACTIONS(2368),
  },
  [196] = {
    [sym_catch_clause] = STATE(233),
    [sym_finally_clause] = STATE(818),
    [aux_sym_try_statement_repeat1] = STATE(233),
    [sym_identifier] = ACTIONS(2306),
    [aux_sym_preproc_include_token1] = ACTIONS(2306),
    [aux_sym_preproc_include_token2] = ACTIONS(2306),
    [aux_sym_preproc_def_token1] = ACTIONS(2306),
    [aux_sym_preproc_if_token1] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2306),
    [sym_preproc_directive] = ACTIONS(2306),
    [anon_sym_LPAREN2] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_CARET] = ACTIONS(2308),
    [anon_sym_AMP] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2308),
    [anon_sym___extension__] = ACTIONS(2306),
    [anon_sym_typedef] = ACTIONS(2306),
    [anon_sym_extern] = ACTIONS(2306),
    [anon_sym___attribute__] = ACTIONS(2306),
    [anon_sym___attribute] = ACTIONS(2306),
    [anon_sym_noreturn] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym___declspec] = ACTIONS(2306),
    [anon_sym___cdecl] = ACTIONS(2306),
    [anon_sym___clrcall] = ACTIONS(2306),
    [anon_sym___stdcall] = ACTIONS(2306),
    [anon_sym___fastcall] = ACTIONS(2306),
    [anon_sym___thiscall] = ACTIONS(2306),
    [anon_sym___vectorcall] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2308),
    [anon_sym_RBRACE] = ACTIONS(2308),
    [anon_sym_signed] = ACTIONS(2306),
    [anon_sym_unsigned] = ACTIONS(2306),
    [anon_sym_long] = ACTIONS(2306),
    [anon_sym_short] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_ATautoreleasepool] = ACTIONS(2308),
    [anon_sym_auto] = ACTIONS(2306),
    [anon_sym_register] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(2306),
    [anon_sym___inline] = ACTIONS(2306),
    [anon_sym___inline__] = ACTIONS(2306),
    [anon_sym___forceinline] = ACTIONS(2306),
    [anon_sym_thread_local] = ACTIONS(2306),
    [anon_sym___thread] = ACTIONS(2306),
    [anon_sym_CG_EXTERN] = ACTIONS(2306),
    [anon_sym_CG_INLINE] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2306),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2306),
    [anon_sym_IBOutlet] = ACTIONS(2306),
    [anon_sym_IBInspectable] = ACTIONS(2306),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2306),
    [anon_sym_NS_INLINE] = ACTIONS(2306),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2306),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2306),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_constexpr] = ACTIONS(2306),
    [anon_sym_volatile] = ACTIONS(2306),
    [anon_sym_restrict] = ACTIONS(2306),
    [anon_sym___restrict__] = ACTIONS(2306),
    [anon_sym__Atomic] = ACTIONS(2306),
    [anon_sym__Noreturn] = ACTIONS(2306),
    [anon_sym__Nonnull] = ACTIONS(2306),
    [anon_sym_nullable] = ACTIONS(2306),
    [anon_sym__Complex] = ACTIONS(2306),
    [anon_sym__Nullable] = ACTIONS(2306),
    [anon_sym__Nullable_result] = ACTIONS(2306),
    [anon_sym__Null_unspecified] = ACTIONS(2306),
    [anon_sym___autoreleasing] = ACTIONS(2306),
    [anon_sym___block] = ACTIONS(2306),
    [anon_sym___bridge] = ACTIONS(2306),
    [anon_sym___bridge_retained] = ACTIONS(2306),
    [anon_sym___bridge_transfer] = ACTIONS(2306),
    [anon_sym___complex] = ACTIONS(2306),
    [anon_sym___const] = ACTIONS(2306),
    [anon_sym___imag] = ACTIONS(2306),
    [anon_sym___kindof] = ACTIONS(2306),
    [anon_sym___nonnull] = ACTIONS(2306),
    [anon_sym___nullable] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2306),
    [anon_sym___real] = ACTIONS(2306),
    [anon_sym___strong] = ACTIONS(2306),
    [anon_sym___unsafe_unretained] = ACTIONS(2306),
    [anon_sym___unused] = ACTIONS(2306),
    [anon_sym___weak] = ACTIONS(2306),
    [anon_sym_alignas] = ACTIONS(2306),
    [anon_sym__Alignas] = ACTIONS(2306),
    [sym_primitive_type] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [anon_sym_struct] = ACTIONS(2306),
    [anon_sym_union] = ACTIONS(2306),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_else] = ACTIONS(2306),
    [anon_sym_switch] = ACTIONS(2306),
    [anon_sym_case] = ACTIONS(2306),
    [anon_sym_default] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2306),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2306),
    [anon_sym_continue] = ACTIONS(2306),
    [anon_sym_goto] = ACTIONS(2306),
    [anon_sym_DASH_DASH] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(2308),
    [anon_sym_sizeof] = ACTIONS(2306),
    [anon_sym___alignof__] = ACTIONS(2306),
    [anon_sym___alignof] = ACTIONS(2306),
    [anon_sym__alignof] = ACTIONS(2306),
    [anon_sym_alignof] = ACTIONS(2306),
    [anon_sym__Alignof] = ACTIONS(2306),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2306),
    [anon_sym_asm] = ACTIONS(2306),
    [anon_sym___asm__] = ACTIONS(2306),
    [anon_sym___asm] = ACTIONS(2306),
    [sym_number_literal] = ACTIONS(2308),
    [anon_sym_L_SQUOTE] = ACTIONS(2308),
    [anon_sym_u_SQUOTE] = ACTIONS(2308),
    [anon_sym_U_SQUOTE] = ACTIONS(2308),
    [anon_sym_u8_SQUOTE] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [anon_sym_AT] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2308),
    [anon_sym_L_DQUOTE] = ACTIONS(2308),
    [anon_sym_u_DQUOTE] = ACTIONS(2308),
    [anon_sym_U_DQUOTE] = ACTIONS(2308),
    [anon_sym_u8_DQUOTE] = ACTIONS(2308),
    [sym_true] = ACTIONS(2306),
    [sym_false] = ACTIONS(2306),
    [anon_sym_NULL] = ACTIONS(2306),
    [anon_sym_nullptr] = ACTIONS(2306),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2306),
    [anon_sym___typeof] = ACTIONS(2306),
    [anon_sym_typeof] = ACTIONS(2306),
    [anon_sym_ATimport] = ACTIONS(2308),
    [aux_sym_preproc_undef_token1] = ACTIONS(2306),
    [anon_sym_POUND] = ACTIONS(2306),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2306),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2306),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2306),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_API_AVAILABLE] = ACTIONS(2306),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_API_DEPRECATED] = ACTIONS(2306),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym___deprecated_msg] = ACTIONS(2306),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2306),
    [anon_sym_ATprotocol] = ACTIONS(2308),
    [anon_sym_ATinterface] = ACTIONS(2308),
    [anon_sym_ATimplementation] = ACTIONS(2308),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2308),
    [anon_sym_ATtry] = ACTIONS(2308),
    [anon_sym___try] = ACTIONS(2306),
    [anon_sym_ATcatch] = ACTIONS(2386),
    [anon_sym___catch] = ACTIONS(2388),
    [anon_sym_ATfinally] = ACTIONS(2390),
    [anon_sym___finally] = ACTIONS(2392),
    [anon_sym_ATthrow] = ACTIONS(2308),
    [anon_sym_ATselector] = ACTIONS(2308),
    [anon_sym_ATavailable] = ACTIONS(2308),
    [anon_sym___builtin_available] = ACTIONS(2306),
    [anon_sym_va_arg] = ACTIONS(2306),
    [anon_sym_ATencode] = ACTIONS(2308),
    [anon_sym_ATsynchronized] = ACTIONS(2308),
    [anon_sym_BOOL] = ACTIONS(2306),
    [anon_sym_IMP] = ACTIONS(2306),
    [anon_sym_SEL] = ACTIONS(2306),
    [anon_sym_Class] = ACTIONS(2306),
    [anon_sym_id] = ACTIONS(2306),
  },
  [197] = {
    [sym_catch_clause] = STATE(223),
    [sym_finally_clause] = STATE(691),
    [aux_sym_try_statement_repeat1] = STATE(223),
    [ts_builtin_sym_end] = ACTIONS(2308),
    [sym_identifier] = ACTIONS(2306),
    [aux_sym_preproc_include_token1] = ACTIONS(2306),
    [aux_sym_preproc_include_token2] = ACTIONS(2306),
    [aux_sym_preproc_def_token1] = ACTIONS(2306),
    [aux_sym_preproc_if_token1] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2306),
    [sym_preproc_directive] = ACTIONS(2306),
    [anon_sym_LPAREN2] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_CARET] = ACTIONS(2308),
    [anon_sym_AMP] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2308),
    [anon_sym___extension__] = ACTIONS(2306),
    [anon_sym_typedef] = ACTIONS(2306),
    [anon_sym_extern] = ACTIONS(2306),
    [anon_sym___attribute__] = ACTIONS(2306),
    [anon_sym___attribute] = ACTIONS(2306),
    [anon_sym_noreturn] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym___declspec] = ACTIONS(2306),
    [anon_sym___cdecl] = ACTIONS(2306),
    [anon_sym___clrcall] = ACTIONS(2306),
    [anon_sym___stdcall] = ACTIONS(2306),
    [anon_sym___fastcall] = ACTIONS(2306),
    [anon_sym___thiscall] = ACTIONS(2306),
    [anon_sym___vectorcall] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2308),
    [anon_sym_signed] = ACTIONS(2306),
    [anon_sym_unsigned] = ACTIONS(2306),
    [anon_sym_long] = ACTIONS(2306),
    [anon_sym_short] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_ATautoreleasepool] = ACTIONS(2308),
    [anon_sym_auto] = ACTIONS(2306),
    [anon_sym_register] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(2306),
    [anon_sym___inline] = ACTIONS(2306),
    [anon_sym___inline__] = ACTIONS(2306),
    [anon_sym___forceinline] = ACTIONS(2306),
    [anon_sym_thread_local] = ACTIONS(2306),
    [anon_sym___thread] = ACTIONS(2306),
    [anon_sym_CG_EXTERN] = ACTIONS(2306),
    [anon_sym_CG_INLINE] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2306),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2306),
    [anon_sym_IBOutlet] = ACTIONS(2306),
    [anon_sym_IBInspectable] = ACTIONS(2306),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2306),
    [anon_sym_NS_INLINE] = ACTIONS(2306),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2306),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2306),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_constexpr] = ACTIONS(2306),
    [anon_sym_volatile] = ACTIONS(2306),
    [anon_sym_restrict] = ACTIONS(2306),
    [anon_sym___restrict__] = ACTIONS(2306),
    [anon_sym__Atomic] = ACTIONS(2306),
    [anon_sym__Noreturn] = ACTIONS(2306),
    [anon_sym__Nonnull] = ACTIONS(2306),
    [anon_sym_nullable] = ACTIONS(2306),
    [anon_sym__Complex] = ACTIONS(2306),
    [anon_sym__Nullable] = ACTIONS(2306),
    [anon_sym__Nullable_result] = ACTIONS(2306),
    [anon_sym__Null_unspecified] = ACTIONS(2306),
    [anon_sym___autoreleasing] = ACTIONS(2306),
    [anon_sym___block] = ACTIONS(2306),
    [anon_sym___bridge] = ACTIONS(2306),
    [anon_sym___bridge_retained] = ACTIONS(2306),
    [anon_sym___bridge_transfer] = ACTIONS(2306),
    [anon_sym___complex] = ACTIONS(2306),
    [anon_sym___const] = ACTIONS(2306),
    [anon_sym___imag] = ACTIONS(2306),
    [anon_sym___kindof] = ACTIONS(2306),
    [anon_sym___nonnull] = ACTIONS(2306),
    [anon_sym___nullable] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2306),
    [anon_sym___real] = ACTIONS(2306),
    [anon_sym___strong] = ACTIONS(2306),
    [anon_sym___unsafe_unretained] = ACTIONS(2306),
    [anon_sym___unused] = ACTIONS(2306),
    [anon_sym___weak] = ACTIONS(2306),
    [anon_sym_alignas] = ACTIONS(2306),
    [anon_sym__Alignas] = ACTIONS(2306),
    [sym_primitive_type] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [anon_sym_struct] = ACTIONS(2306),
    [anon_sym_union] = ACTIONS(2306),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_else] = ACTIONS(2306),
    [anon_sym_switch] = ACTIONS(2306),
    [anon_sym_case] = ACTIONS(2306),
    [anon_sym_default] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2306),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2306),
    [anon_sym_continue] = ACTIONS(2306),
    [anon_sym_goto] = ACTIONS(2306),
    [anon_sym_DASH_DASH] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(2308),
    [anon_sym_sizeof] = ACTIONS(2306),
    [anon_sym___alignof__] = ACTIONS(2306),
    [anon_sym___alignof] = ACTIONS(2306),
    [anon_sym__alignof] = ACTIONS(2306),
    [anon_sym_alignof] = ACTIONS(2306),
    [anon_sym__Alignof] = ACTIONS(2306),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2306),
    [anon_sym_asm] = ACTIONS(2306),
    [anon_sym___asm__] = ACTIONS(2306),
    [anon_sym___asm] = ACTIONS(2306),
    [sym_number_literal] = ACTIONS(2308),
    [anon_sym_L_SQUOTE] = ACTIONS(2308),
    [anon_sym_u_SQUOTE] = ACTIONS(2308),
    [anon_sym_U_SQUOTE] = ACTIONS(2308),
    [anon_sym_u8_SQUOTE] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [anon_sym_AT] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2308),
    [anon_sym_L_DQUOTE] = ACTIONS(2308),
    [anon_sym_u_DQUOTE] = ACTIONS(2308),
    [anon_sym_U_DQUOTE] = ACTIONS(2308),
    [anon_sym_u8_DQUOTE] = ACTIONS(2308),
    [sym_true] = ACTIONS(2306),
    [sym_false] = ACTIONS(2306),
    [anon_sym_NULL] = ACTIONS(2306),
    [anon_sym_nullptr] = ACTIONS(2306),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2306),
    [anon_sym___typeof] = ACTIONS(2306),
    [anon_sym_typeof] = ACTIONS(2306),
    [anon_sym_ATimport] = ACTIONS(2308),
    [aux_sym_preproc_undef_token1] = ACTIONS(2306),
    [anon_sym_POUND] = ACTIONS(2306),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2306),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2306),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2306),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_API_AVAILABLE] = ACTIONS(2306),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_API_DEPRECATED] = ACTIONS(2306),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym___deprecated_msg] = ACTIONS(2306),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2306),
    [anon_sym_ATprotocol] = ACTIONS(2308),
    [anon_sym_ATinterface] = ACTIONS(2308),
    [anon_sym_ATimplementation] = ACTIONS(2308),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2308),
    [anon_sym_ATtry] = ACTIONS(2308),
    [anon_sym___try] = ACTIONS(2306),
    [anon_sym_ATcatch] = ACTIONS(2394),
    [anon_sym___catch] = ACTIONS(2396),
    [anon_sym_ATfinally] = ACTIONS(2398),
    [anon_sym___finally] = ACTIONS(2400),
    [anon_sym_ATthrow] = ACTIONS(2308),
    [anon_sym_ATselector] = ACTIONS(2308),
    [anon_sym_ATavailable] = ACTIONS(2308),
    [anon_sym___builtin_available] = ACTIONS(2306),
    [anon_sym_va_arg] = ACTIONS(2306),
    [anon_sym_ATencode] = ACTIONS(2308),
    [anon_sym_ATsynchronized] = ACTIONS(2308),
    [anon_sym_BOOL] = ACTIONS(2306),
    [anon_sym_IMP] = ACTIONS(2306),
    [anon_sym_SEL] = ACTIONS(2306),
    [anon_sym_Class] = ACTIONS(2306),
    [anon_sym_id] = ACTIONS(2306),
  },
  [198] = {
    [sym_else_clause] = STATE(242),
    [sym_identifier] = ACTIONS(2402),
    [aux_sym_preproc_include_token1] = ACTIONS(2402),
    [aux_sym_preproc_include_token2] = ACTIONS(2402),
    [aux_sym_preproc_def_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token2] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2402),
    [aux_sym_preproc_else_token1] = ACTIONS(2402),
    [aux_sym_preproc_elif_token1] = ACTIONS(2402),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2402),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2402),
    [sym_preproc_directive] = ACTIONS(2402),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_BANG] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_DASH] = ACTIONS(2402),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_CARET] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(2404),
    [anon_sym___extension__] = ACTIONS(2402),
    [anon_sym_typedef] = ACTIONS(2402),
    [anon_sym_extern] = ACTIONS(2402),
    [anon_sym___attribute__] = ACTIONS(2402),
    [anon_sym___attribute] = ACTIONS(2402),
    [anon_sym_noreturn] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2404),
    [anon_sym___declspec] = ACTIONS(2402),
    [anon_sym___cdecl] = ACTIONS(2402),
    [anon_sym___clrcall] = ACTIONS(2402),
    [anon_sym___stdcall] = ACTIONS(2402),
    [anon_sym___fastcall] = ACTIONS(2402),
    [anon_sym___thiscall] = ACTIONS(2402),
    [anon_sym___vectorcall] = ACTIONS(2402),
    [anon_sym_LBRACE] = ACTIONS(2404),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_ATautoreleasepool] = ACTIONS(2404),
    [anon_sym_auto] = ACTIONS(2402),
    [anon_sym_register] = ACTIONS(2402),
    [anon_sym_inline] = ACTIONS(2402),
    [anon_sym___inline] = ACTIONS(2402),
    [anon_sym___inline__] = ACTIONS(2402),
    [anon_sym___forceinline] = ACTIONS(2402),
    [anon_sym_thread_local] = ACTIONS(2402),
    [anon_sym___thread] = ACTIONS(2402),
    [anon_sym_CG_EXTERN] = ACTIONS(2402),
    [anon_sym_CG_INLINE] = ACTIONS(2402),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2402),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2402),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2402),
    [anon_sym_IBOutlet] = ACTIONS(2402),
    [anon_sym_IBInspectable] = ACTIONS(2402),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2402),
    [anon_sym_NS_INLINE] = ACTIONS(2402),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2402),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2402),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2402),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_constexpr] = ACTIONS(2402),
    [anon_sym_volatile] = ACTIONS(2402),
    [anon_sym_restrict] = ACTIONS(2402),
    [anon_sym___restrict__] = ACTIONS(2402),
    [anon_sym__Atomic] = ACTIONS(2402),
    [anon_sym__Noreturn] = ACTIONS(2402),
    [anon_sym__Nonnull] = ACTIONS(2402),
    [anon_sym_nullable] = ACTIONS(2402),
    [anon_sym__Complex] = ACTIONS(2402),
    [anon_sym__Nullable] = ACTIONS(2402),
    [anon_sym__Nullable_result] = ACTIONS(2402),
    [anon_sym__Null_unspecified] = ACTIONS(2402),
    [anon_sym___autoreleasing] = ACTIONS(2402),
    [anon_sym___block] = ACTIONS(2402),
    [anon_sym___bridge] = ACTIONS(2402),
    [anon_sym___bridge_retained] = ACTIONS(2402),
    [anon_sym___bridge_transfer] = ACTIONS(2402),
    [anon_sym___complex] = ACTIONS(2402),
    [anon_sym___const] = ACTIONS(2402),
    [anon_sym___imag] = ACTIONS(2402),
    [anon_sym___kindof] = ACTIONS(2402),
    [anon_sym___nonnull] = ACTIONS(2402),
    [anon_sym___nullable] = ACTIONS(2402),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2402),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2402),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2402),
    [anon_sym___real] = ACTIONS(2402),
    [anon_sym___strong] = ACTIONS(2402),
    [anon_sym___unsafe_unretained] = ACTIONS(2402),
    [anon_sym___unused] = ACTIONS(2402),
    [anon_sym___weak] = ACTIONS(2402),
    [anon_sym_alignas] = ACTIONS(2402),
    [anon_sym__Alignas] = ACTIONS(2402),
    [sym_primitive_type] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [anon_sym_struct] = ACTIONS(2402),
    [anon_sym_union] = ACTIONS(2402),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_else] = ACTIONS(2406),
    [anon_sym_switch] = ACTIONS(2402),
    [anon_sym_case] = ACTIONS(2402),
    [anon_sym_default] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2402),
    [anon_sym_do] = ACTIONS(2402),
    [anon_sym_for] = ACTIONS(2402),
    [anon_sym_in] = ACTIONS(2402),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_break] = ACTIONS(2402),
    [anon_sym_continue] = ACTIONS(2402),
    [anon_sym_goto] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2404),
    [anon_sym_PLUS_PLUS] = ACTIONS(2404),
    [anon_sym_sizeof] = ACTIONS(2402),
    [anon_sym___alignof__] = ACTIONS(2402),
    [anon_sym___alignof] = ACTIONS(2402),
    [anon_sym__alignof] = ACTIONS(2402),
    [anon_sym_alignof] = ACTIONS(2402),
    [anon_sym__Alignof] = ACTIONS(2402),
    [anon_sym_offsetof] = ACTIONS(2402),
    [anon_sym__Generic] = ACTIONS(2402),
    [anon_sym_asm] = ACTIONS(2402),
    [anon_sym___asm__] = ACTIONS(2402),
    [anon_sym___asm] = ACTIONS(2402),
    [sym_number_literal] = ACTIONS(2404),
    [anon_sym_L_SQUOTE] = ACTIONS(2404),
    [anon_sym_u_SQUOTE] = ACTIONS(2404),
    [anon_sym_U_SQUOTE] = ACTIONS(2404),
    [anon_sym_u8_SQUOTE] = ACTIONS(2404),
    [anon_sym_SQUOTE] = ACTIONS(2404),
    [anon_sym_AT] = ACTIONS(2402),
    [anon_sym_DQUOTE] = ACTIONS(2404),
    [anon_sym_L_DQUOTE] = ACTIONS(2404),
    [anon_sym_u_DQUOTE] = ACTIONS(2404),
    [anon_sym_U_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8_DQUOTE] = ACTIONS(2404),
    [sym_true] = ACTIONS(2402),
    [sym_false] = ACTIONS(2402),
    [anon_sym_NULL] = ACTIONS(2402),
    [anon_sym_nullptr] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2402),
    [anon_sym___typeof] = ACTIONS(2402),
    [anon_sym_typeof] = ACTIONS(2402),
    [anon_sym_ATimport] = ACTIONS(2404),
    [aux_sym_preproc_undef_token1] = ACTIONS(2402),
    [anon_sym_POUND] = ACTIONS(2402),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2402),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2402),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2402),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2402),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2402),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2402),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2402),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2402),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2402),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_API_AVAILABLE] = ACTIONS(2402),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_API_DEPRECATED] = ACTIONS(2402),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2402),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2402),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2402),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2402),
    [anon_sym___deprecated_msg] = ACTIONS(2402),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2402),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2402),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2402),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2402),
    [anon_sym_ATprotocol] = ACTIONS(2404),
    [anon_sym_ATinterface] = ACTIONS(2404),
    [anon_sym_ATimplementation] = ACTIONS(2404),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2404),
    [anon_sym_ATsynthesize] = ACTIONS(2404),
    [anon_sym_ATdynamic] = ACTIONS(2404),
    [anon_sym_ATtry] = ACTIONS(2404),
    [anon_sym___try] = ACTIONS(2402),
    [anon_sym_ATthrow] = ACTIONS(2404),
    [anon_sym_ATselector] = ACTIONS(2404),
    [anon_sym_ATavailable] = ACTIONS(2404),
    [anon_sym___builtin_available] = ACTIONS(2402),
    [anon_sym_va_arg] = ACTIONS(2402),
    [anon_sym_ATencode] = ACTIONS(2404),
    [anon_sym_ATsynchronized] = ACTIONS(2404),
    [anon_sym_BOOL] = ACTIONS(2402),
    [anon_sym_IMP] = ACTIONS(2402),
    [anon_sym_SEL] = ACTIONS(2402),
    [anon_sym_Class] = ACTIONS(2402),
    [anon_sym_id] = ACTIONS(2402),
  },
  [199] = {
    [sym_identifier] = ACTIONS(2408),
    [aux_sym_preproc_include_token1] = ACTIONS(2408),
    [aux_sym_preproc_include_token2] = ACTIONS(2408),
    [aux_sym_preproc_def_token1] = ACTIONS(2408),
    [aux_sym_preproc_if_token1] = ACTIONS(2408),
    [aux_sym_preproc_if_token2] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2408),
    [aux_sym_preproc_else_token1] = ACTIONS(2408),
    [aux_sym_preproc_elif_token1] = ACTIONS(2408),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2408),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2408),
    [sym_preproc_directive] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_CARET] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym___extension__] = ACTIONS(2408),
    [anon_sym_typedef] = ACTIONS(2408),
    [anon_sym_extern] = ACTIONS(2408),
    [anon_sym___attribute__] = ACTIONS(2408),
    [anon_sym___attribute] = ACTIONS(2408),
    [anon_sym_noreturn] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym___declspec] = ACTIONS(2408),
    [anon_sym___cdecl] = ACTIONS(2408),
    [anon_sym___clrcall] = ACTIONS(2408),
    [anon_sym___stdcall] = ACTIONS(2408),
    [anon_sym___fastcall] = ACTIONS(2408),
    [anon_sym___thiscall] = ACTIONS(2408),
    [anon_sym___vectorcall] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_signed] = ACTIONS(2408),
    [anon_sym_unsigned] = ACTIONS(2408),
    [anon_sym_long] = ACTIONS(2408),
    [anon_sym_short] = ACTIONS(2408),
    [anon_sym_static] = ACTIONS(2408),
    [anon_sym_ATautoreleasepool] = ACTIONS(2410),
    [anon_sym_auto] = ACTIONS(2408),
    [anon_sym_register] = ACTIONS(2408),
    [anon_sym_inline] = ACTIONS(2408),
    [anon_sym___inline] = ACTIONS(2408),
    [anon_sym___inline__] = ACTIONS(2408),
    [anon_sym___forceinline] = ACTIONS(2408),
    [anon_sym_thread_local] = ACTIONS(2408),
    [anon_sym___thread] = ACTIONS(2408),
    [anon_sym_CG_EXTERN] = ACTIONS(2408),
    [anon_sym_CG_INLINE] = ACTIONS(2408),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2408),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2408),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2408),
    [anon_sym_IBOutlet] = ACTIONS(2408),
    [anon_sym_IBInspectable] = ACTIONS(2408),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2408),
    [anon_sym_NS_INLINE] = ACTIONS(2408),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2408),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2408),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2408),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2408),
    [anon_sym_const] = ACTIONS(2408),
    [anon_sym_constexpr] = ACTIONS(2408),
    [anon_sym_volatile] = ACTIONS(2408),
    [anon_sym_restrict] = ACTIONS(2408),
    [anon_sym___restrict__] = ACTIONS(2408),
    [anon_sym__Atomic] = ACTIONS(2408),
    [anon_sym__Noreturn] = ACTIONS(2408),
    [anon_sym__Nonnull] = ACTIONS(2408),
    [anon_sym_nullable] = ACTIONS(2408),
    [anon_sym__Complex] = ACTIONS(2408),
    [anon_sym__Nullable] = ACTIONS(2408),
    [anon_sym__Nullable_result] = ACTIONS(2408),
    [anon_sym__Null_unspecified] = ACTIONS(2408),
    [anon_sym___autoreleasing] = ACTIONS(2408),
    [anon_sym___block] = ACTIONS(2408),
    [anon_sym___bridge] = ACTIONS(2408),
    [anon_sym___bridge_retained] = ACTIONS(2408),
    [anon_sym___bridge_transfer] = ACTIONS(2408),
    [anon_sym___complex] = ACTIONS(2408),
    [anon_sym___const] = ACTIONS(2408),
    [anon_sym___imag] = ACTIONS(2408),
    [anon_sym___kindof] = ACTIONS(2408),
    [anon_sym___nonnull] = ACTIONS(2408),
    [anon_sym___nullable] = ACTIONS(2408),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2408),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2408),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2408),
    [anon_sym___real] = ACTIONS(2408),
    [anon_sym___strong] = ACTIONS(2408),
    [anon_sym___unsafe_unretained] = ACTIONS(2408),
    [anon_sym___unused] = ACTIONS(2408),
    [anon_sym___weak] = ACTIONS(2408),
    [anon_sym_alignas] = ACTIONS(2408),
    [anon_sym__Alignas] = ACTIONS(2408),
    [sym_primitive_type] = ACTIONS(2408),
    [anon_sym_enum] = ACTIONS(2408),
    [anon_sym_struct] = ACTIONS(2408),
    [anon_sym_union] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_else] = ACTIONS(2408),
    [anon_sym_switch] = ACTIONS(2408),
    [anon_sym_case] = ACTIONS(2408),
    [anon_sym_default] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_break] = ACTIONS(2408),
    [anon_sym_continue] = ACTIONS(2408),
    [anon_sym_goto] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_PLUS] = ACTIONS(2410),
    [anon_sym_sizeof] = ACTIONS(2408),
    [anon_sym___alignof__] = ACTIONS(2408),
    [anon_sym___alignof] = ACTIONS(2408),
    [anon_sym__alignof] = ACTIONS(2408),
    [anon_sym_alignof] = ACTIONS(2408),
    [anon_sym__Alignof] = ACTIONS(2408),
    [anon_sym_offsetof] = ACTIONS(2408),
    [anon_sym__Generic] = ACTIONS(2408),
    [anon_sym_asm] = ACTIONS(2408),
    [anon_sym___asm__] = ACTIONS(2408),
    [anon_sym___asm] = ACTIONS(2408),
    [sym_number_literal] = ACTIONS(2410),
    [anon_sym_L_SQUOTE] = ACTIONS(2410),
    [anon_sym_u_SQUOTE] = ACTIONS(2410),
    [anon_sym_U_SQUOTE] = ACTIONS(2410),
    [anon_sym_u8_SQUOTE] = ACTIONS(2410),
    [anon_sym_SQUOTE] = ACTIONS(2410),
    [anon_sym_AT] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_L_DQUOTE] = ACTIONS(2410),
    [anon_sym_u_DQUOTE] = ACTIONS(2410),
    [anon_sym_U_DQUOTE] = ACTIONS(2410),
    [anon_sym_u8_DQUOTE] = ACTIONS(2410),
    [sym_true] = ACTIONS(2408),
    [sym_false] = ACTIONS(2408),
    [anon_sym_NULL] = ACTIONS(2408),
    [anon_sym_nullptr] = ACTIONS(2408),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2408),
    [anon_sym___typeof] = ACTIONS(2408),
    [anon_sym_typeof] = ACTIONS(2408),
    [anon_sym_ATimport] = ACTIONS(2410),
    [aux_sym_preproc_undef_token1] = ACTIONS(2408),
    [anon_sym_POUND] = ACTIONS(2408),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2408),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2408),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2408),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2408),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2408),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2408),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2408),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2408),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2408),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_API_AVAILABLE] = ACTIONS(2408),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_API_DEPRECATED] = ACTIONS(2408),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2408),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2408),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2408),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2408),
    [anon_sym___deprecated_msg] = ACTIONS(2408),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2408),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2408),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2408),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2408),
    [anon_sym_ATprotocol] = ACTIONS(2410),
    [anon_sym_ATinterface] = ACTIONS(2410),
    [anon_sym_ATimplementation] = ACTIONS(2410),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2410),
    [anon_sym_ATsynthesize] = ACTIONS(2410),
    [anon_sym_ATdynamic] = ACTIONS(2410),
    [anon_sym_ATtry] = ACTIONS(2410),
    [anon_sym___try] = ACTIONS(2408),
    [anon_sym_ATthrow] = ACTIONS(2410),
    [anon_sym_ATselector] = ACTIONS(2410),
    [anon_sym_ATavailable] = ACTIONS(2410),
    [anon_sym___builtin_available] = ACTIONS(2408),
    [anon_sym_va_arg] = ACTIONS(2408),
    [anon_sym_ATencode] = ACTIONS(2410),
    [anon_sym_ATsynchronized] = ACTIONS(2410),
    [anon_sym_BOOL] = ACTIONS(2408),
    [anon_sym_IMP] = ACTIONS(2408),
    [anon_sym_SEL] = ACTIONS(2408),
    [anon_sym_Class] = ACTIONS(2408),
    [anon_sym_id] = ACTIONS(2408),
  },
  [200] = {
    [sym_identifier] = ACTIONS(2412),
    [aux_sym_preproc_include_token1] = ACTIONS(2412),
    [aux_sym_preproc_include_token2] = ACTIONS(2412),
    [aux_sym_preproc_def_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token2] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2412),
    [aux_sym_preproc_else_token1] = ACTIONS(2412),
    [aux_sym_preproc_elif_token1] = ACTIONS(2412),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2412),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2412),
    [sym_preproc_directive] = ACTIONS(2412),
    [anon_sym_LPAREN2] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(2414),
    [anon_sym_TILDE] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_SEMI] = ACTIONS(2414),
    [anon_sym___extension__] = ACTIONS(2412),
    [anon_sym_typedef] = ACTIONS(2412),
    [anon_sym_extern] = ACTIONS(2412),
    [anon_sym___attribute__] = ACTIONS(2412),
    [anon_sym___attribute] = ACTIONS(2412),
    [anon_sym_noreturn] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2414),
    [anon_sym___declspec] = ACTIONS(2412),
    [anon_sym___cdecl] = ACTIONS(2412),
    [anon_sym___clrcall] = ACTIONS(2412),
    [anon_sym___stdcall] = ACTIONS(2412),
    [anon_sym___fastcall] = ACTIONS(2412),
    [anon_sym___thiscall] = ACTIONS(2412),
    [anon_sym___vectorcall] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2414),
    [anon_sym_signed] = ACTIONS(2412),
    [anon_sym_unsigned] = ACTIONS(2412),
    [anon_sym_long] = ACTIONS(2412),
    [anon_sym_short] = ACTIONS(2412),
    [anon_sym_static] = ACTIONS(2412),
    [anon_sym_ATautoreleasepool] = ACTIONS(2414),
    [anon_sym_auto] = ACTIONS(2412),
    [anon_sym_register] = ACTIONS(2412),
    [anon_sym_inline] = ACTIONS(2412),
    [anon_sym___inline] = ACTIONS(2412),
    [anon_sym___inline__] = ACTIONS(2412),
    [anon_sym___forceinline] = ACTIONS(2412),
    [anon_sym_thread_local] = ACTIONS(2412),
    [anon_sym___thread] = ACTIONS(2412),
    [anon_sym_CG_EXTERN] = ACTIONS(2412),
    [anon_sym_CG_INLINE] = ACTIONS(2412),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2412),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2412),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2412),
    [anon_sym_IBOutlet] = ACTIONS(2412),
    [anon_sym_IBInspectable] = ACTIONS(2412),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2412),
    [anon_sym_NS_INLINE] = ACTIONS(2412),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2412),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2412),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2412),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2412),
    [anon_sym_const] = ACTIONS(2412),
    [anon_sym_constexpr] = ACTIONS(2412),
    [anon_sym_volatile] = ACTIONS(2412),
    [anon_sym_restrict] = ACTIONS(2412),
    [anon_sym___restrict__] = ACTIONS(2412),
    [anon_sym__Atomic] = ACTIONS(2412),
    [anon_sym__Noreturn] = ACTIONS(2412),
    [anon_sym__Nonnull] = ACTIONS(2412),
    [anon_sym_nullable] = ACTIONS(2412),
    [anon_sym__Complex] = ACTIONS(2412),
    [anon_sym__Nullable] = ACTIONS(2412),
    [anon_sym__Nullable_result] = ACTIONS(2412),
    [anon_sym__Null_unspecified] = ACTIONS(2412),
    [anon_sym___autoreleasing] = ACTIONS(2412),
    [anon_sym___block] = ACTIONS(2412),
    [anon_sym___bridge] = ACTIONS(2412),
    [anon_sym___bridge_retained] = ACTIONS(2412),
    [anon_sym___bridge_transfer] = ACTIONS(2412),
    [anon_sym___complex] = ACTIONS(2412),
    [anon_sym___const] = ACTIONS(2412),
    [anon_sym___imag] = ACTIONS(2412),
    [anon_sym___kindof] = ACTIONS(2412),
    [anon_sym___nonnull] = ACTIONS(2412),
    [anon_sym___nullable] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2412),
    [anon_sym___real] = ACTIONS(2412),
    [anon_sym___strong] = ACTIONS(2412),
    [anon_sym___unsafe_unretained] = ACTIONS(2412),
    [anon_sym___unused] = ACTIONS(2412),
    [anon_sym___weak] = ACTIONS(2412),
    [anon_sym_alignas] = ACTIONS(2412),
    [anon_sym__Alignas] = ACTIONS(2412),
    [sym_primitive_type] = ACTIONS(2412),
    [anon_sym_enum] = ACTIONS(2412),
    [anon_sym_struct] = ACTIONS(2412),
    [anon_sym_union] = ACTIONS(2412),
    [anon_sym_if] = ACTIONS(2412),
    [anon_sym_else] = ACTIONS(2412),
    [anon_sym_switch] = ACTIONS(2412),
    [anon_sym_case] = ACTIONS(2412),
    [anon_sym_default] = ACTIONS(2412),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_do] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(2412),
    [anon_sym_return] = ACTIONS(2412),
    [anon_sym_break] = ACTIONS(2412),
    [anon_sym_continue] = ACTIONS(2412),
    [anon_sym_goto] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2414),
    [anon_sym_sizeof] = ACTIONS(2412),
    [anon_sym___alignof__] = ACTIONS(2412),
    [anon_sym___alignof] = ACTIONS(2412),
    [anon_sym__alignof] = ACTIONS(2412),
    [anon_sym_alignof] = ACTIONS(2412),
    [anon_sym__Alignof] = ACTIONS(2412),
    [anon_sym_offsetof] = ACTIONS(2412),
    [anon_sym__Generic] = ACTIONS(2412),
    [anon_sym_asm] = ACTIONS(2412),
    [anon_sym___asm__] = ACTIONS(2412),
    [anon_sym___asm] = ACTIONS(2412),
    [sym_number_literal] = ACTIONS(2414),
    [anon_sym_L_SQUOTE] = ACTIONS(2414),
    [anon_sym_u_SQUOTE] = ACTIONS(2414),
    [anon_sym_U_SQUOTE] = ACTIONS(2414),
    [anon_sym_u8_SQUOTE] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_AT] = ACTIONS(2412),
    [anon_sym_DQUOTE] = ACTIONS(2414),
    [anon_sym_L_DQUOTE] = ACTIONS(2414),
    [anon_sym_u_DQUOTE] = ACTIONS(2414),
    [anon_sym_U_DQUOTE] = ACTIONS(2414),
    [anon_sym_u8_DQUOTE] = ACTIONS(2414),
    [sym_true] = ACTIONS(2412),
    [sym_false] = ACTIONS(2412),
    [anon_sym_NULL] = ACTIONS(2412),
    [anon_sym_nullptr] = ACTIONS(2412),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2412),
    [anon_sym___typeof] = ACTIONS(2412),
    [anon_sym_typeof] = ACTIONS(2412),
    [anon_sym_ATimport] = ACTIONS(2414),
    [aux_sym_preproc_undef_token1] = ACTIONS(2412),
    [anon_sym_POUND] = ACTIONS(2412),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2412),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2412),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2412),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2412),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2412),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2412),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2412),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_API_AVAILABLE] = ACTIONS(2412),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_API_DEPRECATED] = ACTIONS(2412),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2412),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym___deprecated_msg] = ACTIONS(2412),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2412),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2412),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2412),
    [anon_sym_ATprotocol] = ACTIONS(2414),
    [anon_sym_ATinterface] = ACTIONS(2414),
    [anon_sym_ATimplementation] = ACTIONS(2414),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2414),
    [anon_sym_ATsynthesize] = ACTIONS(2414),
    [anon_sym_ATdynamic] = ACTIONS(2414),
    [anon_sym_ATtry] = ACTIONS(2414),
    [anon_sym___try] = ACTIONS(2412),
    [anon_sym_ATthrow] = ACTIONS(2414),
    [anon_sym_ATselector] = ACTIONS(2414),
    [anon_sym_ATavailable] = ACTIONS(2414),
    [anon_sym___builtin_available] = ACTIONS(2412),
    [anon_sym_va_arg] = ACTIONS(2412),
    [anon_sym_ATencode] = ACTIONS(2414),
    [anon_sym_ATsynchronized] = ACTIONS(2414),
    [anon_sym_BOOL] = ACTIONS(2412),
    [anon_sym_IMP] = ACTIONS(2412),
    [anon_sym_SEL] = ACTIONS(2412),
    [anon_sym_Class] = ACTIONS(2412),
    [anon_sym_id] = ACTIONS(2412),
  },
  [201] = {
    [sym_identifier] = ACTIONS(2416),
    [aux_sym_preproc_include_token1] = ACTIONS(2416),
    [aux_sym_preproc_include_token2] = ACTIONS(2416),
    [aux_sym_preproc_def_token1] = ACTIONS(2416),
    [aux_sym_preproc_if_token1] = ACTIONS(2416),
    [aux_sym_preproc_if_token2] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2416),
    [aux_sym_preproc_else_token1] = ACTIONS(2416),
    [aux_sym_preproc_elif_token1] = ACTIONS(2416),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2416),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2416),
    [sym_preproc_directive] = ACTIONS(2416),
    [anon_sym_LPAREN2] = ACTIONS(2418),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2418),
    [anon_sym_CARET] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym___extension__] = ACTIONS(2416),
    [anon_sym_typedef] = ACTIONS(2416),
    [anon_sym_extern] = ACTIONS(2416),
    [anon_sym___attribute__] = ACTIONS(2416),
    [anon_sym___attribute] = ACTIONS(2416),
    [anon_sym_noreturn] = ACTIONS(2416),
    [anon_sym_LBRACK] = ACTIONS(2418),
    [anon_sym___declspec] = ACTIONS(2416),
    [anon_sym___cdecl] = ACTIONS(2416),
    [anon_sym___clrcall] = ACTIONS(2416),
    [anon_sym___stdcall] = ACTIONS(2416),
    [anon_sym___fastcall] = ACTIONS(2416),
    [anon_sym___thiscall] = ACTIONS(2416),
    [anon_sym___vectorcall] = ACTIONS(2416),
    [anon_sym_LBRACE] = ACTIONS(2418),
    [anon_sym_signed] = ACTIONS(2416),
    [anon_sym_unsigned] = ACTIONS(2416),
    [anon_sym_long] = ACTIONS(2416),
    [anon_sym_short] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_ATautoreleasepool] = ACTIONS(2418),
    [anon_sym_auto] = ACTIONS(2416),
    [anon_sym_register] = ACTIONS(2416),
    [anon_sym_inline] = ACTIONS(2416),
    [anon_sym___inline] = ACTIONS(2416),
    [anon_sym___inline__] = ACTIONS(2416),
    [anon_sym___forceinline] = ACTIONS(2416),
    [anon_sym_thread_local] = ACTIONS(2416),
    [anon_sym___thread] = ACTIONS(2416),
    [anon_sym_CG_EXTERN] = ACTIONS(2416),
    [anon_sym_CG_INLINE] = ACTIONS(2416),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2416),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2416),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2416),
    [anon_sym_IBOutlet] = ACTIONS(2416),
    [anon_sym_IBInspectable] = ACTIONS(2416),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2416),
    [anon_sym_NS_INLINE] = ACTIONS(2416),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2416),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2416),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2416),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2416),
    [anon_sym_const] = ACTIONS(2416),
    [anon_sym_constexpr] = ACTIONS(2416),
    [anon_sym_volatile] = ACTIONS(2416),
    [anon_sym_restrict] = ACTIONS(2416),
    [anon_sym___restrict__] = ACTIONS(2416),
    [anon_sym__Atomic] = ACTIONS(2416),
    [anon_sym__Noreturn] = ACTIONS(2416),
    [anon_sym__Nonnull] = ACTIONS(2416),
    [anon_sym_nullable] = ACTIONS(2416),
    [anon_sym__Complex] = ACTIONS(2416),
    [anon_sym__Nullable] = ACTIONS(2416),
    [anon_sym__Nullable_result] = ACTIONS(2416),
    [anon_sym__Null_unspecified] = ACTIONS(2416),
    [anon_sym___autoreleasing] = ACTIONS(2416),
    [anon_sym___block] = ACTIONS(2416),
    [anon_sym___bridge] = ACTIONS(2416),
    [anon_sym___bridge_retained] = ACTIONS(2416),
    [anon_sym___bridge_transfer] = ACTIONS(2416),
    [anon_sym___complex] = ACTIONS(2416),
    [anon_sym___const] = ACTIONS(2416),
    [anon_sym___imag] = ACTIONS(2416),
    [anon_sym___kindof] = ACTIONS(2416),
    [anon_sym___nonnull] = ACTIONS(2416),
    [anon_sym___nullable] = ACTIONS(2416),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2416),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2416),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2416),
    [anon_sym___real] = ACTIONS(2416),
    [anon_sym___strong] = ACTIONS(2416),
    [anon_sym___unsafe_unretained] = ACTIONS(2416),
    [anon_sym___unused] = ACTIONS(2416),
    [anon_sym___weak] = ACTIONS(2416),
    [anon_sym_alignas] = ACTIONS(2416),
    [anon_sym__Alignas] = ACTIONS(2416),
    [sym_primitive_type] = ACTIONS(2416),
    [anon_sym_enum] = ACTIONS(2416),
    [anon_sym_struct] = ACTIONS(2416),
    [anon_sym_union] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(2416),
    [anon_sym_else] = ACTIONS(2416),
    [anon_sym_switch] = ACTIONS(2416),
    [anon_sym_case] = ACTIONS(2416),
    [anon_sym_default] = ACTIONS(2416),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(2416),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2416),
    [anon_sym_continue] = ACTIONS(2416),
    [anon_sym_goto] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_sizeof] = ACTIONS(2416),
    [anon_sym___alignof__] = ACTIONS(2416),
    [anon_sym___alignof] = ACTIONS(2416),
    [anon_sym__alignof] = ACTIONS(2416),
    [anon_sym_alignof] = ACTIONS(2416),
    [anon_sym__Alignof] = ACTIONS(2416),
    [anon_sym_offsetof] = ACTIONS(2416),
    [anon_sym__Generic] = ACTIONS(2416),
    [anon_sym_asm] = ACTIONS(2416),
    [anon_sym___asm__] = ACTIONS(2416),
    [anon_sym___asm] = ACTIONS(2416),
    [sym_number_literal] = ACTIONS(2418),
    [anon_sym_L_SQUOTE] = ACTIONS(2418),
    [anon_sym_u_SQUOTE] = ACTIONS(2418),
    [anon_sym_U_SQUOTE] = ACTIONS(2418),
    [anon_sym_u8_SQUOTE] = ACTIONS(2418),
    [anon_sym_SQUOTE] = ACTIONS(2418),
    [anon_sym_AT] = ACTIONS(2416),
    [anon_sym_DQUOTE] = ACTIONS(2418),
    [anon_sym_L_DQUOTE] = ACTIONS(2418),
    [anon_sym_u_DQUOTE] = ACTIONS(2418),
    [anon_sym_U_DQUOTE] = ACTIONS(2418),
    [anon_sym_u8_DQUOTE] = ACTIONS(2418),
    [sym_true] = ACTIONS(2416),
    [sym_false] = ACTIONS(2416),
    [anon_sym_NULL] = ACTIONS(2416),
    [anon_sym_nullptr] = ACTIONS(2416),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2416),
    [anon_sym___typeof] = ACTIONS(2416),
    [anon_sym_typeof] = ACTIONS(2416),
    [anon_sym_ATimport] = ACTIONS(2418),
    [aux_sym_preproc_undef_token1] = ACTIONS(2416),
    [anon_sym_POUND] = ACTIONS(2416),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2416),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2416),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2416),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2416),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2416),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2416),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2416),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2416),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2416),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_API_AVAILABLE] = ACTIONS(2416),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_API_DEPRECATED] = ACTIONS(2416),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2416),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2416),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2416),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2416),
    [anon_sym___deprecated_msg] = ACTIONS(2416),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2416),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2416),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2416),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2416),
    [anon_sym_ATprotocol] = ACTIONS(2418),
    [anon_sym_ATinterface] = ACTIONS(2418),
    [anon_sym_ATimplementation] = ACTIONS(2418),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2418),
    [anon_sym_ATsynthesize] = ACTIONS(2418),
    [anon_sym_ATdynamic] = ACTIONS(2418),
    [anon_sym_ATtry] = ACTIONS(2418),
    [anon_sym___try] = ACTIONS(2416),
    [anon_sym_ATthrow] = ACTIONS(2418),
    [anon_sym_ATselector] = ACTIONS(2418),
    [anon_sym_ATavailable] = ACTIONS(2418),
    [anon_sym___builtin_available] = ACTIONS(2416),
    [anon_sym_va_arg] = ACTIONS(2416),
    [anon_sym_ATencode] = ACTIONS(2418),
    [anon_sym_ATsynchronized] = ACTIONS(2418),
    [anon_sym_BOOL] = ACTIONS(2416),
    [anon_sym_IMP] = ACTIONS(2416),
    [anon_sym_SEL] = ACTIONS(2416),
    [anon_sym_Class] = ACTIONS(2416),
    [anon_sym_id] = ACTIONS(2416),
  },
  [202] = {
    [sym_identifier] = ACTIONS(2420),
    [aux_sym_preproc_include_token1] = ACTIONS(2420),
    [aux_sym_preproc_include_token2] = ACTIONS(2420),
    [aux_sym_preproc_def_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token2] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2420),
    [aux_sym_preproc_else_token1] = ACTIONS(2420),
    [aux_sym_preproc_elif_token1] = ACTIONS(2420),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2420),
    [sym_preproc_directive] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(2422),
    [anon_sym_BANG] = ACTIONS(2422),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_SEMI] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym___attribute] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym___cdecl] = ACTIONS(2420),
    [anon_sym___clrcall] = ACTIONS(2420),
    [anon_sym___stdcall] = ACTIONS(2420),
    [anon_sym___fastcall] = ACTIONS(2420),
    [anon_sym___thiscall] = ACTIONS(2420),
    [anon_sym___vectorcall] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_ATautoreleasepool] = ACTIONS(2422),
    [anon_sym_auto] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_CG_EXTERN] = ACTIONS(2420),
    [anon_sym_CG_INLINE] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2420),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2420),
    [anon_sym_IBOutlet] = ACTIONS(2420),
    [anon_sym_IBInspectable] = ACTIONS(2420),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2420),
    [anon_sym_NS_INLINE] = ACTIONS(2420),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2420),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2420),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym__Nonnull] = ACTIONS(2420),
    [anon_sym_nullable] = ACTIONS(2420),
    [anon_sym__Complex] = ACTIONS(2420),
    [anon_sym__Nullable] = ACTIONS(2420),
    [anon_sym__Nullable_result] = ACTIONS(2420),
    [anon_sym__Null_unspecified] = ACTIONS(2420),
    [anon_sym___autoreleasing] = ACTIONS(2420),
    [anon_sym___block] = ACTIONS(2420),
    [anon_sym___bridge] = ACTIONS(2420),
    [anon_sym___bridge_retained] = ACTIONS(2420),
    [anon_sym___bridge_transfer] = ACTIONS(2420),
    [anon_sym___complex] = ACTIONS(2420),
    [anon_sym___const] = ACTIONS(2420),
    [anon_sym___imag] = ACTIONS(2420),
    [anon_sym___kindof] = ACTIONS(2420),
    [anon_sym___nonnull] = ACTIONS(2420),
    [anon_sym___nullable] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2420),
    [anon_sym___real] = ACTIONS(2420),
    [anon_sym___strong] = ACTIONS(2420),
    [anon_sym___unsafe_unretained] = ACTIONS(2420),
    [anon_sym___unused] = ACTIONS(2420),
    [anon_sym___weak] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym__Alignas] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [anon_sym_if] = ACTIONS(2420),
    [anon_sym_else] = ACTIONS(2420),
    [anon_sym_switch] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(2420),
    [anon_sym_default] = ACTIONS(2420),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_in] = ACTIONS(2420),
    [anon_sym_return] = ACTIONS(2420),
    [anon_sym_break] = ACTIONS(2420),
    [anon_sym_continue] = ACTIONS(2420),
    [anon_sym_goto] = ACTIONS(2420),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2420),
    [anon_sym___alignof__] = ACTIONS(2420),
    [anon_sym___alignof] = ACTIONS(2420),
    [anon_sym__alignof] = ACTIONS(2420),
    [anon_sym_alignof] = ACTIONS(2420),
    [anon_sym__Alignof] = ACTIONS(2420),
    [anon_sym_offsetof] = ACTIONS(2420),
    [anon_sym__Generic] = ACTIONS(2420),
    [anon_sym_asm] = ACTIONS(2420),
    [anon_sym___asm__] = ACTIONS(2420),
    [anon_sym___asm] = ACTIONS(2420),
    [sym_number_literal] = ACTIONS(2422),
    [anon_sym_L_SQUOTE] = ACTIONS(2422),
    [anon_sym_u_SQUOTE] = ACTIONS(2422),
    [anon_sym_U_SQUOTE] = ACTIONS(2422),
    [anon_sym_u8_SQUOTE] = ACTIONS(2422),
    [anon_sym_SQUOTE] = ACTIONS(2422),
    [anon_sym_AT] = ACTIONS(2420),
    [anon_sym_DQUOTE] = ACTIONS(2422),
    [anon_sym_L_DQUOTE] = ACTIONS(2422),
    [anon_sym_u_DQUOTE] = ACTIONS(2422),
    [anon_sym_U_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8_DQUOTE] = ACTIONS(2422),
    [sym_true] = ACTIONS(2420),
    [sym_false] = ACTIONS(2420),
    [anon_sym_NULL] = ACTIONS(2420),
    [anon_sym_nullptr] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2420),
    [anon_sym___typeof] = ACTIONS(2420),
    [anon_sym_typeof] = ACTIONS(2420),
    [anon_sym_ATimport] = ACTIONS(2422),
    [aux_sym_preproc_undef_token1] = ACTIONS(2420),
    [anon_sym_POUND] = ACTIONS(2420),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2420),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2420),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2420),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_API_AVAILABLE] = ACTIONS(2420),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_API_DEPRECATED] = ACTIONS(2420),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym___deprecated_msg] = ACTIONS(2420),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2420),
    [anon_sym_ATprotocol] = ACTIONS(2422),
    [anon_sym_ATinterface] = ACTIONS(2422),
    [anon_sym_ATimplementation] = ACTIONS(2422),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2422),
    [anon_sym_ATsynthesize] = ACTIONS(2422),
    [anon_sym_ATdynamic] = ACTIONS(2422),
    [anon_sym_ATtry] = ACTIONS(2422),
    [anon_sym___try] = ACTIONS(2420),
    [anon_sym_ATthrow] = ACTIONS(2422),
    [anon_sym_ATselector] = ACTIONS(2422),
    [anon_sym_ATavailable] = ACTIONS(2422),
    [anon_sym___builtin_available] = ACTIONS(2420),
    [anon_sym_va_arg] = ACTIONS(2420),
    [anon_sym_ATencode] = ACTIONS(2422),
    [anon_sym_ATsynchronized] = ACTIONS(2422),
    [anon_sym_BOOL] = ACTIONS(2420),
    [anon_sym_IMP] = ACTIONS(2420),
    [anon_sym_SEL] = ACTIONS(2420),
    [anon_sym_Class] = ACTIONS(2420),
    [anon_sym_id] = ACTIONS(2420),
  },
  [203] = {
    [sym_identifier] = ACTIONS(2424),
    [aux_sym_preproc_include_token1] = ACTIONS(2424),
    [aux_sym_preproc_include_token2] = ACTIONS(2424),
    [aux_sym_preproc_def_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token2] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2424),
    [aux_sym_preproc_else_token1] = ACTIONS(2424),
    [aux_sym_preproc_elif_token1] = ACTIONS(2424),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2424),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2424),
    [sym_preproc_directive] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_CARET] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym___extension__] = ACTIONS(2424),
    [anon_sym_typedef] = ACTIONS(2424),
    [anon_sym_extern] = ACTIONS(2424),
    [anon_sym___attribute__] = ACTIONS(2424),
    [anon_sym___attribute] = ACTIONS(2424),
    [anon_sym_noreturn] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym___declspec] = ACTIONS(2424),
    [anon_sym___cdecl] = ACTIONS(2424),
    [anon_sym___clrcall] = ACTIONS(2424),
    [anon_sym___stdcall] = ACTIONS(2424),
    [anon_sym___fastcall] = ACTIONS(2424),
    [anon_sym___thiscall] = ACTIONS(2424),
    [anon_sym___vectorcall] = ACTIONS(2424),
    [anon_sym_LBRACE] = ACTIONS(2426),
    [anon_sym_signed] = ACTIONS(2424),
    [anon_sym_unsigned] = ACTIONS(2424),
    [anon_sym_long] = ACTIONS(2424),
    [anon_sym_short] = ACTIONS(2424),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_ATautoreleasepool] = ACTIONS(2426),
    [anon_sym_auto] = ACTIONS(2424),
    [anon_sym_register] = ACTIONS(2424),
    [anon_sym_inline] = ACTIONS(2424),
    [anon_sym___inline] = ACTIONS(2424),
    [anon_sym___inline__] = ACTIONS(2424),
    [anon_sym___forceinline] = ACTIONS(2424),
    [anon_sym_thread_local] = ACTIONS(2424),
    [anon_sym___thread] = ACTIONS(2424),
    [anon_sym_CG_EXTERN] = ACTIONS(2424),
    [anon_sym_CG_INLINE] = ACTIONS(2424),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2424),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2424),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2424),
    [anon_sym_IBOutlet] = ACTIONS(2424),
    [anon_sym_IBInspectable] = ACTIONS(2424),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2424),
    [anon_sym_NS_INLINE] = ACTIONS(2424),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2424),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2424),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2424),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2424),
    [anon_sym_const] = ACTIONS(2424),
    [anon_sym_constexpr] = ACTIONS(2424),
    [anon_sym_volatile] = ACTIONS(2424),
    [anon_sym_restrict] = ACTIONS(2424),
    [anon_sym___restrict__] = ACTIONS(2424),
    [anon_sym__Atomic] = ACTIONS(2424),
    [anon_sym__Noreturn] = ACTIONS(2424),
    [anon_sym__Nonnull] = ACTIONS(2424),
    [anon_sym_nullable] = ACTIONS(2424),
    [anon_sym__Complex] = ACTIONS(2424),
    [anon_sym__Nullable] = ACTIONS(2424),
    [anon_sym__Nullable_result] = ACTIONS(2424),
    [anon_sym__Null_unspecified] = ACTIONS(2424),
    [anon_sym___autoreleasing] = ACTIONS(2424),
    [anon_sym___block] = ACTIONS(2424),
    [anon_sym___bridge] = ACTIONS(2424),
    [anon_sym___bridge_retained] = ACTIONS(2424),
    [anon_sym___bridge_transfer] = ACTIONS(2424),
    [anon_sym___complex] = ACTIONS(2424),
    [anon_sym___const] = ACTIONS(2424),
    [anon_sym___imag] = ACTIONS(2424),
    [anon_sym___kindof] = ACTIONS(2424),
    [anon_sym___nonnull] = ACTIONS(2424),
    [anon_sym___nullable] = ACTIONS(2424),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2424),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2424),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2424),
    [anon_sym___real] = ACTIONS(2424),
    [anon_sym___strong] = ACTIONS(2424),
    [anon_sym___unsafe_unretained] = ACTIONS(2424),
    [anon_sym___unused] = ACTIONS(2424),
    [anon_sym___weak] = ACTIONS(2424),
    [anon_sym_alignas] = ACTIONS(2424),
    [anon_sym__Alignas] = ACTIONS(2424),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_enum] = ACTIONS(2424),
    [anon_sym_struct] = ACTIONS(2424),
    [anon_sym_union] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_else] = ACTIONS(2424),
    [anon_sym_switch] = ACTIONS(2424),
    [anon_sym_case] = ACTIONS(2424),
    [anon_sym_default] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_in] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_break] = ACTIONS(2424),
    [anon_sym_continue] = ACTIONS(2424),
    [anon_sym_goto] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2426),
    [anon_sym_sizeof] = ACTIONS(2424),
    [anon_sym___alignof__] = ACTIONS(2424),
    [anon_sym___alignof] = ACTIONS(2424),
    [anon_sym__alignof] = ACTIONS(2424),
    [anon_sym_alignof] = ACTIONS(2424),
    [anon_sym__Alignof] = ACTIONS(2424),
    [anon_sym_offsetof] = ACTIONS(2424),
    [anon_sym__Generic] = ACTIONS(2424),
    [anon_sym_asm] = ACTIONS(2424),
    [anon_sym___asm__] = ACTIONS(2424),
    [anon_sym___asm] = ACTIONS(2424),
    [sym_number_literal] = ACTIONS(2426),
    [anon_sym_L_SQUOTE] = ACTIONS(2426),
    [anon_sym_u_SQUOTE] = ACTIONS(2426),
    [anon_sym_U_SQUOTE] = ACTIONS(2426),
    [anon_sym_u8_SQUOTE] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_AT] = ACTIONS(2424),
    [anon_sym_DQUOTE] = ACTIONS(2426),
    [anon_sym_L_DQUOTE] = ACTIONS(2426),
    [anon_sym_u_DQUOTE] = ACTIONS(2426),
    [anon_sym_U_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8_DQUOTE] = ACTIONS(2426),
    [sym_true] = ACTIONS(2424),
    [sym_false] = ACTIONS(2424),
    [anon_sym_NULL] = ACTIONS(2424),
    [anon_sym_nullptr] = ACTIONS(2424),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2424),
    [anon_sym___typeof] = ACTIONS(2424),
    [anon_sym_typeof] = ACTIONS(2424),
    [anon_sym_ATimport] = ACTIONS(2426),
    [aux_sym_preproc_undef_token1] = ACTIONS(2424),
    [anon_sym_POUND] = ACTIONS(2424),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2424),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2424),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2424),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2424),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2424),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2424),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2424),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2424),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2424),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_API_AVAILABLE] = ACTIONS(2424),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_API_DEPRECATED] = ACTIONS(2424),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2424),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2424),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2424),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2424),
    [anon_sym___deprecated_msg] = ACTIONS(2424),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2424),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2424),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2424),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2424),
    [anon_sym_ATprotocol] = ACTIONS(2426),
    [anon_sym_ATinterface] = ACTIONS(2426),
    [anon_sym_ATimplementation] = ACTIONS(2426),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2426),
    [anon_sym_ATsynthesize] = ACTIONS(2426),
    [anon_sym_ATdynamic] = ACTIONS(2426),
    [anon_sym_ATtry] = ACTIONS(2426),
    [anon_sym___try] = ACTIONS(2424),
    [anon_sym_ATthrow] = ACTIONS(2426),
    [anon_sym_ATselector] = ACTIONS(2426),
    [anon_sym_ATavailable] = ACTIONS(2426),
    [anon_sym___builtin_available] = ACTIONS(2424),
    [anon_sym_va_arg] = ACTIONS(2424),
    [anon_sym_ATencode] = ACTIONS(2426),
    [anon_sym_ATsynchronized] = ACTIONS(2426),
    [anon_sym_BOOL] = ACTIONS(2424),
    [anon_sym_IMP] = ACTIONS(2424),
    [anon_sym_SEL] = ACTIONS(2424),
    [anon_sym_Class] = ACTIONS(2424),
    [anon_sym_id] = ACTIONS(2424),
  },
  [204] = {
    [sym_identifier] = ACTIONS(2420),
    [aux_sym_preproc_include_token1] = ACTIONS(2420),
    [aux_sym_preproc_include_token2] = ACTIONS(2420),
    [aux_sym_preproc_def_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token2] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2420),
    [aux_sym_preproc_else_token1] = ACTIONS(2420),
    [aux_sym_preproc_elif_token1] = ACTIONS(2420),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2420),
    [sym_preproc_directive] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(2422),
    [anon_sym_BANG] = ACTIONS(2422),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_SEMI] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym___attribute] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym___cdecl] = ACTIONS(2420),
    [anon_sym___clrcall] = ACTIONS(2420),
    [anon_sym___stdcall] = ACTIONS(2420),
    [anon_sym___fastcall] = ACTIONS(2420),
    [anon_sym___thiscall] = ACTIONS(2420),
    [anon_sym___vectorcall] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_ATautoreleasepool] = ACTIONS(2422),
    [anon_sym_auto] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_CG_EXTERN] = ACTIONS(2420),
    [anon_sym_CG_INLINE] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2420),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2420),
    [anon_sym_IBOutlet] = ACTIONS(2420),
    [anon_sym_IBInspectable] = ACTIONS(2420),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2420),
    [anon_sym_NS_INLINE] = ACTIONS(2420),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2420),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2420),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym__Nonnull] = ACTIONS(2420),
    [anon_sym_nullable] = ACTIONS(2420),
    [anon_sym__Complex] = ACTIONS(2420),
    [anon_sym__Nullable] = ACTIONS(2420),
    [anon_sym__Nullable_result] = ACTIONS(2420),
    [anon_sym__Null_unspecified] = ACTIONS(2420),
    [anon_sym___autoreleasing] = ACTIONS(2420),
    [anon_sym___block] = ACTIONS(2420),
    [anon_sym___bridge] = ACTIONS(2420),
    [anon_sym___bridge_retained] = ACTIONS(2420),
    [anon_sym___bridge_transfer] = ACTIONS(2420),
    [anon_sym___complex] = ACTIONS(2420),
    [anon_sym___const] = ACTIONS(2420),
    [anon_sym___imag] = ACTIONS(2420),
    [anon_sym___kindof] = ACTIONS(2420),
    [anon_sym___nonnull] = ACTIONS(2420),
    [anon_sym___nullable] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2420),
    [anon_sym___real] = ACTIONS(2420),
    [anon_sym___strong] = ACTIONS(2420),
    [anon_sym___unsafe_unretained] = ACTIONS(2420),
    [anon_sym___unused] = ACTIONS(2420),
    [anon_sym___weak] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym__Alignas] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [anon_sym_if] = ACTIONS(2420),
    [anon_sym_else] = ACTIONS(2420),
    [anon_sym_switch] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(2420),
    [anon_sym_default] = ACTIONS(2420),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_in] = ACTIONS(2420),
    [anon_sym_return] = ACTIONS(2420),
    [anon_sym_break] = ACTIONS(2420),
    [anon_sym_continue] = ACTIONS(2420),
    [anon_sym_goto] = ACTIONS(2420),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2420),
    [anon_sym___alignof__] = ACTIONS(2420),
    [anon_sym___alignof] = ACTIONS(2420),
    [anon_sym__alignof] = ACTIONS(2420),
    [anon_sym_alignof] = ACTIONS(2420),
    [anon_sym__Alignof] = ACTIONS(2420),
    [anon_sym_offsetof] = ACTIONS(2420),
    [anon_sym__Generic] = ACTIONS(2420),
    [anon_sym_asm] = ACTIONS(2420),
    [anon_sym___asm__] = ACTIONS(2420),
    [anon_sym___asm] = ACTIONS(2420),
    [sym_number_literal] = ACTIONS(2422),
    [anon_sym_L_SQUOTE] = ACTIONS(2422),
    [anon_sym_u_SQUOTE] = ACTIONS(2422),
    [anon_sym_U_SQUOTE] = ACTIONS(2422),
    [anon_sym_u8_SQUOTE] = ACTIONS(2422),
    [anon_sym_SQUOTE] = ACTIONS(2422),
    [anon_sym_AT] = ACTIONS(2420),
    [anon_sym_DQUOTE] = ACTIONS(2422),
    [anon_sym_L_DQUOTE] = ACTIONS(2422),
    [anon_sym_u_DQUOTE] = ACTIONS(2422),
    [anon_sym_U_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8_DQUOTE] = ACTIONS(2422),
    [sym_true] = ACTIONS(2420),
    [sym_false] = ACTIONS(2420),
    [anon_sym_NULL] = ACTIONS(2420),
    [anon_sym_nullptr] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2420),
    [anon_sym___typeof] = ACTIONS(2420),
    [anon_sym_typeof] = ACTIONS(2420),
    [anon_sym_ATimport] = ACTIONS(2422),
    [aux_sym_preproc_undef_token1] = ACTIONS(2420),
    [anon_sym_POUND] = ACTIONS(2420),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2420),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2420),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2420),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_API_AVAILABLE] = ACTIONS(2420),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_API_DEPRECATED] = ACTIONS(2420),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym___deprecated_msg] = ACTIONS(2420),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2420),
    [anon_sym_ATprotocol] = ACTIONS(2422),
    [anon_sym_ATinterface] = ACTIONS(2422),
    [anon_sym_ATimplementation] = ACTIONS(2422),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2422),
    [anon_sym_ATsynthesize] = ACTIONS(2422),
    [anon_sym_ATdynamic] = ACTIONS(2422),
    [anon_sym_ATtry] = ACTIONS(2422),
    [anon_sym___try] = ACTIONS(2420),
    [anon_sym_ATthrow] = ACTIONS(2422),
    [anon_sym_ATselector] = ACTIONS(2422),
    [anon_sym_ATavailable] = ACTIONS(2422),
    [anon_sym___builtin_available] = ACTIONS(2420),
    [anon_sym_va_arg] = ACTIONS(2420),
    [anon_sym_ATencode] = ACTIONS(2422),
    [anon_sym_ATsynchronized] = ACTIONS(2422),
    [anon_sym_BOOL] = ACTIONS(2420),
    [anon_sym_IMP] = ACTIONS(2420),
    [anon_sym_SEL] = ACTIONS(2420),
    [anon_sym_Class] = ACTIONS(2420),
    [anon_sym_id] = ACTIONS(2420),
  },
  [205] = {
    [sym_identifier] = ACTIONS(2428),
    [aux_sym_preproc_include_token1] = ACTIONS(2428),
    [aux_sym_preproc_include_token2] = ACTIONS(2428),
    [aux_sym_preproc_def_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token2] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2428),
    [aux_sym_preproc_else_token1] = ACTIONS(2428),
    [aux_sym_preproc_elif_token1] = ACTIONS(2428),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2428),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2428),
    [sym_preproc_directive] = ACTIONS(2428),
    [anon_sym_LPAREN2] = ACTIONS(2430),
    [anon_sym_BANG] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_CARET] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2430),
    [anon_sym_SEMI] = ACTIONS(2430),
    [anon_sym___extension__] = ACTIONS(2428),
    [anon_sym_typedef] = ACTIONS(2428),
    [anon_sym_extern] = ACTIONS(2428),
    [anon_sym___attribute__] = ACTIONS(2428),
    [anon_sym___attribute] = ACTIONS(2428),
    [anon_sym_noreturn] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2430),
    [anon_sym___declspec] = ACTIONS(2428),
    [anon_sym___cdecl] = ACTIONS(2428),
    [anon_sym___clrcall] = ACTIONS(2428),
    [anon_sym___stdcall] = ACTIONS(2428),
    [anon_sym___fastcall] = ACTIONS(2428),
    [anon_sym___thiscall] = ACTIONS(2428),
    [anon_sym___vectorcall] = ACTIONS(2428),
    [anon_sym_LBRACE] = ACTIONS(2430),
    [anon_sym_signed] = ACTIONS(2428),
    [anon_sym_unsigned] = ACTIONS(2428),
    [anon_sym_long] = ACTIONS(2428),
    [anon_sym_short] = ACTIONS(2428),
    [anon_sym_static] = ACTIONS(2428),
    [anon_sym_ATautoreleasepool] = ACTIONS(2430),
    [anon_sym_auto] = ACTIONS(2428),
    [anon_sym_register] = ACTIONS(2428),
    [anon_sym_inline] = ACTIONS(2428),
    [anon_sym___inline] = ACTIONS(2428),
    [anon_sym___inline__] = ACTIONS(2428),
    [anon_sym___forceinline] = ACTIONS(2428),
    [anon_sym_thread_local] = ACTIONS(2428),
    [anon_sym___thread] = ACTIONS(2428),
    [anon_sym_CG_EXTERN] = ACTIONS(2428),
    [anon_sym_CG_INLINE] = ACTIONS(2428),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2428),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2428),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2428),
    [anon_sym_IBOutlet] = ACTIONS(2428),
    [anon_sym_IBInspectable] = ACTIONS(2428),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2428),
    [anon_sym_NS_INLINE] = ACTIONS(2428),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2428),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2428),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2428),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2428),
    [anon_sym_const] = ACTIONS(2428),
    [anon_sym_constexpr] = ACTIONS(2428),
    [anon_sym_volatile] = ACTIONS(2428),
    [anon_sym_restrict] = ACTIONS(2428),
    [anon_sym___restrict__] = ACTIONS(2428),
    [anon_sym__Atomic] = ACTIONS(2428),
    [anon_sym__Noreturn] = ACTIONS(2428),
    [anon_sym__Nonnull] = ACTIONS(2428),
    [anon_sym_nullable] = ACTIONS(2428),
    [anon_sym__Complex] = ACTIONS(2428),
    [anon_sym__Nullable] = ACTIONS(2428),
    [anon_sym__Nullable_result] = ACTIONS(2428),
    [anon_sym__Null_unspecified] = ACTIONS(2428),
    [anon_sym___autoreleasing] = ACTIONS(2428),
    [anon_sym___block] = ACTIONS(2428),
    [anon_sym___bridge] = ACTIONS(2428),
    [anon_sym___bridge_retained] = ACTIONS(2428),
    [anon_sym___bridge_transfer] = ACTIONS(2428),
    [anon_sym___complex] = ACTIONS(2428),
    [anon_sym___const] = ACTIONS(2428),
    [anon_sym___imag] = ACTIONS(2428),
    [anon_sym___kindof] = ACTIONS(2428),
    [anon_sym___nonnull] = ACTIONS(2428),
    [anon_sym___nullable] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2428),
    [anon_sym___real] = ACTIONS(2428),
    [anon_sym___strong] = ACTIONS(2428),
    [anon_sym___unsafe_unretained] = ACTIONS(2428),
    [anon_sym___unused] = ACTIONS(2428),
    [anon_sym___weak] = ACTIONS(2428),
    [anon_sym_alignas] = ACTIONS(2428),
    [anon_sym__Alignas] = ACTIONS(2428),
    [sym_primitive_type] = ACTIONS(2428),
    [anon_sym_enum] = ACTIONS(2428),
    [anon_sym_struct] = ACTIONS(2428),
    [anon_sym_union] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_else] = ACTIONS(2428),
    [anon_sym_switch] = ACTIONS(2428),
    [anon_sym_case] = ACTIONS(2428),
    [anon_sym_default] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_in] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_break] = ACTIONS(2428),
    [anon_sym_continue] = ACTIONS(2428),
    [anon_sym_goto] = ACTIONS(2428),
    [anon_sym_DASH_DASH] = ACTIONS(2430),
    [anon_sym_PLUS_PLUS] = ACTIONS(2430),
    [anon_sym_sizeof] = ACTIONS(2428),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2428),
    [anon_sym__Generic] = ACTIONS(2428),
    [anon_sym_asm] = ACTIONS(2428),
    [anon_sym___asm__] = ACTIONS(2428),
    [anon_sym___asm] = ACTIONS(2428),
    [sym_number_literal] = ACTIONS(2430),
    [anon_sym_L_SQUOTE] = ACTIONS(2430),
    [anon_sym_u_SQUOTE] = ACTIONS(2430),
    [anon_sym_U_SQUOTE] = ACTIONS(2430),
    [anon_sym_u8_SQUOTE] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_AT] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2430),
    [anon_sym_L_DQUOTE] = ACTIONS(2430),
    [anon_sym_u_DQUOTE] = ACTIONS(2430),
    [anon_sym_U_DQUOTE] = ACTIONS(2430),
    [anon_sym_u8_DQUOTE] = ACTIONS(2430),
    [sym_true] = ACTIONS(2428),
    [sym_false] = ACTIONS(2428),
    [anon_sym_NULL] = ACTIONS(2428),
    [anon_sym_nullptr] = ACTIONS(2428),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2428),
    [anon_sym___typeof] = ACTIONS(2428),
    [anon_sym_typeof] = ACTIONS(2428),
    [anon_sym_ATimport] = ACTIONS(2430),
    [aux_sym_preproc_undef_token1] = ACTIONS(2428),
    [anon_sym_POUND] = ACTIONS(2428),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2428),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2428),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2428),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2428),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2428),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2428),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2428),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_API_AVAILABLE] = ACTIONS(2428),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_API_DEPRECATED] = ACTIONS(2428),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2428),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym___deprecated_msg] = ACTIONS(2428),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2428),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2428),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2428),
    [anon_sym_ATprotocol] = ACTIONS(2430),
    [anon_sym_ATinterface] = ACTIONS(2430),
    [anon_sym_ATimplementation] = ACTIONS(2430),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2430),
    [anon_sym_ATsynthesize] = ACTIONS(2430),
    [anon_sym_ATdynamic] = ACTIONS(2430),
    [anon_sym_ATtry] = ACTIONS(2430),
    [anon_sym___try] = ACTIONS(2428),
    [anon_sym_ATthrow] = ACTIONS(2430),
    [anon_sym_ATselector] = ACTIONS(2430),
    [anon_sym_ATavailable] = ACTIONS(2430),
    [anon_sym___builtin_available] = ACTIONS(2428),
    [anon_sym_va_arg] = ACTIONS(2428),
    [anon_sym_ATencode] = ACTIONS(2430),
    [anon_sym_ATsynchronized] = ACTIONS(2430),
    [anon_sym_BOOL] = ACTIONS(2428),
    [anon_sym_IMP] = ACTIONS(2428),
    [anon_sym_SEL] = ACTIONS(2428),
    [anon_sym_Class] = ACTIONS(2428),
    [anon_sym_id] = ACTIONS(2428),
  },
  [206] = {
    [sym_identifier] = ACTIONS(2356),
    [aux_sym_preproc_include_token1] = ACTIONS(2356),
    [aux_sym_preproc_include_token2] = ACTIONS(2356),
    [aux_sym_preproc_def_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token2] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2356),
    [aux_sym_preproc_else_token1] = ACTIONS(2356),
    [aux_sym_preproc_elif_token1] = ACTIONS(2356),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2356),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2356),
    [sym_preproc_directive] = ACTIONS(2356),
    [anon_sym_LPAREN2] = ACTIONS(2358),
    [anon_sym_BANG] = ACTIONS(2358),
    [anon_sym_TILDE] = ACTIONS(2358),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2358),
    [anon_sym_CARET] = ACTIONS(2358),
    [anon_sym_AMP] = ACTIONS(2358),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2356),
    [anon_sym_typedef] = ACTIONS(2356),
    [anon_sym_extern] = ACTIONS(2356),
    [anon_sym___attribute__] = ACTIONS(2356),
    [anon_sym___attribute] = ACTIONS(2356),
    [anon_sym_noreturn] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2358),
    [anon_sym___declspec] = ACTIONS(2356),
    [anon_sym___cdecl] = ACTIONS(2356),
    [anon_sym___clrcall] = ACTIONS(2356),
    [anon_sym___stdcall] = ACTIONS(2356),
    [anon_sym___fastcall] = ACTIONS(2356),
    [anon_sym___thiscall] = ACTIONS(2356),
    [anon_sym___vectorcall] = ACTIONS(2356),
    [anon_sym_LBRACE] = ACTIONS(2358),
    [anon_sym_signed] = ACTIONS(2356),
    [anon_sym_unsigned] = ACTIONS(2356),
    [anon_sym_long] = ACTIONS(2356),
    [anon_sym_short] = ACTIONS(2356),
    [anon_sym_static] = ACTIONS(2356),
    [anon_sym_ATautoreleasepool] = ACTIONS(2358),
    [anon_sym_auto] = ACTIONS(2356),
    [anon_sym_register] = ACTIONS(2356),
    [anon_sym_inline] = ACTIONS(2356),
    [anon_sym___inline] = ACTIONS(2356),
    [anon_sym___inline__] = ACTIONS(2356),
    [anon_sym___forceinline] = ACTIONS(2356),
    [anon_sym_thread_local] = ACTIONS(2356),
    [anon_sym___thread] = ACTIONS(2356),
    [anon_sym_CG_EXTERN] = ACTIONS(2356),
    [anon_sym_CG_INLINE] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2356),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2356),
    [anon_sym_IBOutlet] = ACTIONS(2356),
    [anon_sym_IBInspectable] = ACTIONS(2356),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2356),
    [anon_sym_NS_INLINE] = ACTIONS(2356),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2356),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2356),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2356),
    [anon_sym_const] = ACTIONS(2356),
    [anon_sym_constexpr] = ACTIONS(2356),
    [anon_sym_volatile] = ACTIONS(2356),
    [anon_sym_restrict] = ACTIONS(2356),
    [anon_sym___restrict__] = ACTIONS(2356),
    [anon_sym__Atomic] = ACTIONS(2356),
    [anon_sym__Noreturn] = ACTIONS(2356),
    [anon_sym__Nonnull] = ACTIONS(2356),
    [anon_sym_nullable] = ACTIONS(2356),
    [anon_sym__Complex] = ACTIONS(2356),
    [anon_sym__Nullable] = ACTIONS(2356),
    [anon_sym__Nullable_result] = ACTIONS(2356),
    [anon_sym__Null_unspecified] = ACTIONS(2356),
    [anon_sym___autoreleasing] = ACTIONS(2356),
    [anon_sym___block] = ACTIONS(2356),
    [anon_sym___bridge] = ACTIONS(2356),
    [anon_sym___bridge_retained] = ACTIONS(2356),
    [anon_sym___bridge_transfer] = ACTIONS(2356),
    [anon_sym___complex] = ACTIONS(2356),
    [anon_sym___const] = ACTIONS(2356),
    [anon_sym___imag] = ACTIONS(2356),
    [anon_sym___kindof] = ACTIONS(2356),
    [anon_sym___nonnull] = ACTIONS(2356),
    [anon_sym___nullable] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2356),
    [anon_sym___real] = ACTIONS(2356),
    [anon_sym___strong] = ACTIONS(2356),
    [anon_sym___unsafe_unretained] = ACTIONS(2356),
    [anon_sym___unused] = ACTIONS(2356),
    [anon_sym___weak] = ACTIONS(2356),
    [anon_sym_alignas] = ACTIONS(2356),
    [anon_sym__Alignas] = ACTIONS(2356),
    [sym_primitive_type] = ACTIONS(2356),
    [anon_sym_enum] = ACTIONS(2356),
    [anon_sym_struct] = ACTIONS(2356),
    [anon_sym_union] = ACTIONS(2356),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_else] = ACTIONS(2356),
    [anon_sym_switch] = ACTIONS(2356),
    [anon_sym_case] = ACTIONS(2356),
    [anon_sym_default] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(2356),
    [anon_sym_for] = ACTIONS(2356),
    [anon_sym_in] = ACTIONS(2356),
    [anon_sym_return] = ACTIONS(2356),
    [anon_sym_break] = ACTIONS(2356),
    [anon_sym_continue] = ACTIONS(2356),
    [anon_sym_goto] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2358),
    [anon_sym_PLUS_PLUS] = ACTIONS(2358),
    [anon_sym_sizeof] = ACTIONS(2356),
    [anon_sym___alignof__] = ACTIONS(2356),
    [anon_sym___alignof] = ACTIONS(2356),
    [anon_sym__alignof] = ACTIONS(2356),
    [anon_sym_alignof] = ACTIONS(2356),
    [anon_sym__Alignof] = ACTIONS(2356),
    [anon_sym_offsetof] = ACTIONS(2356),
    [anon_sym__Generic] = ACTIONS(2356),
    [anon_sym_asm] = ACTIONS(2356),
    [anon_sym___asm__] = ACTIONS(2356),
    [anon_sym___asm] = ACTIONS(2356),
    [sym_number_literal] = ACTIONS(2358),
    [anon_sym_L_SQUOTE] = ACTIONS(2358),
    [anon_sym_u_SQUOTE] = ACTIONS(2358),
    [anon_sym_U_SQUOTE] = ACTIONS(2358),
    [anon_sym_u8_SQUOTE] = ACTIONS(2358),
    [anon_sym_SQUOTE] = ACTIONS(2358),
    [anon_sym_AT] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2358),
    [anon_sym_L_DQUOTE] = ACTIONS(2358),
    [anon_sym_u_DQUOTE] = ACTIONS(2358),
    [anon_sym_U_DQUOTE] = ACTIONS(2358),
    [anon_sym_u8_DQUOTE] = ACTIONS(2358),
    [sym_true] = ACTIONS(2356),
    [sym_false] = ACTIONS(2356),
    [anon_sym_NULL] = ACTIONS(2356),
    [anon_sym_nullptr] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2356),
    [anon_sym___typeof] = ACTIONS(2356),
    [anon_sym_typeof] = ACTIONS(2356),
    [anon_sym_ATimport] = ACTIONS(2358),
    [aux_sym_preproc_undef_token1] = ACTIONS(2356),
    [anon_sym_POUND] = ACTIONS(2356),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2356),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2356),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2356),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_API_AVAILABLE] = ACTIONS(2356),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_API_DEPRECATED] = ACTIONS(2356),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym___deprecated_msg] = ACTIONS(2356),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2356),
    [anon_sym_ATprotocol] = ACTIONS(2358),
    [anon_sym_ATinterface] = ACTIONS(2358),
    [anon_sym_ATimplementation] = ACTIONS(2358),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2358),
    [anon_sym_ATsynthesize] = ACTIONS(2358),
    [anon_sym_ATdynamic] = ACTIONS(2358),
    [anon_sym_ATtry] = ACTIONS(2358),
    [anon_sym___try] = ACTIONS(2356),
    [anon_sym_ATthrow] = ACTIONS(2358),
    [anon_sym_ATselector] = ACTIONS(2358),
    [anon_sym_ATavailable] = ACTIONS(2358),
    [anon_sym___builtin_available] = ACTIONS(2356),
    [anon_sym_va_arg] = ACTIONS(2356),
    [anon_sym_ATencode] = ACTIONS(2358),
    [anon_sym_ATsynchronized] = ACTIONS(2358),
    [anon_sym_BOOL] = ACTIONS(2356),
    [anon_sym_IMP] = ACTIONS(2356),
    [anon_sym_SEL] = ACTIONS(2356),
    [anon_sym_Class] = ACTIONS(2356),
    [anon_sym_id] = ACTIONS(2356),
  },
  [207] = {
    [sym_identifier] = ACTIONS(2368),
    [aux_sym_preproc_include_token1] = ACTIONS(2368),
    [aux_sym_preproc_include_token2] = ACTIONS(2368),
    [aux_sym_preproc_def_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token2] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2368),
    [aux_sym_preproc_else_token1] = ACTIONS(2368),
    [aux_sym_preproc_elif_token1] = ACTIONS(2368),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2368),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2368),
    [sym_preproc_directive] = ACTIONS(2368),
    [anon_sym_LPAREN2] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_CARET] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym___extension__] = ACTIONS(2368),
    [anon_sym_typedef] = ACTIONS(2368),
    [anon_sym_extern] = ACTIONS(2368),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym___attribute] = ACTIONS(2368),
    [anon_sym_noreturn] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym___declspec] = ACTIONS(2368),
    [anon_sym___cdecl] = ACTIONS(2368),
    [anon_sym___clrcall] = ACTIONS(2368),
    [anon_sym___stdcall] = ACTIONS(2368),
    [anon_sym___fastcall] = ACTIONS(2368),
    [anon_sym___thiscall] = ACTIONS(2368),
    [anon_sym___vectorcall] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_signed] = ACTIONS(2368),
    [anon_sym_unsigned] = ACTIONS(2368),
    [anon_sym_long] = ACTIONS(2368),
    [anon_sym_short] = ACTIONS(2368),
    [anon_sym_static] = ACTIONS(2368),
    [anon_sym_ATautoreleasepool] = ACTIONS(2370),
    [anon_sym_auto] = ACTIONS(2368),
    [anon_sym_register] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(2368),
    [anon_sym___inline] = ACTIONS(2368),
    [anon_sym___inline__] = ACTIONS(2368),
    [anon_sym___forceinline] = ACTIONS(2368),
    [anon_sym_thread_local] = ACTIONS(2368),
    [anon_sym___thread] = ACTIONS(2368),
    [anon_sym_CG_EXTERN] = ACTIONS(2368),
    [anon_sym_CG_INLINE] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2368),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2368),
    [anon_sym_IBOutlet] = ACTIONS(2368),
    [anon_sym_IBInspectable] = ACTIONS(2368),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2368),
    [anon_sym_NS_INLINE] = ACTIONS(2368),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2368),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2368),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2368),
    [anon_sym_const] = ACTIONS(2368),
    [anon_sym_constexpr] = ACTIONS(2368),
    [anon_sym_volatile] = ACTIONS(2368),
    [anon_sym_restrict] = ACTIONS(2368),
    [anon_sym___restrict__] = ACTIONS(2368),
    [anon_sym__Atomic] = ACTIONS(2368),
    [anon_sym__Noreturn] = ACTIONS(2368),
    [anon_sym__Nonnull] = ACTIONS(2368),
    [anon_sym_nullable] = ACTIONS(2368),
    [anon_sym__Complex] = ACTIONS(2368),
    [anon_sym__Nullable] = ACTIONS(2368),
    [anon_sym__Nullable_result] = ACTIONS(2368),
    [anon_sym__Null_unspecified] = ACTIONS(2368),
    [anon_sym___autoreleasing] = ACTIONS(2368),
    [anon_sym___block] = ACTIONS(2368),
    [anon_sym___bridge] = ACTIONS(2368),
    [anon_sym___bridge_retained] = ACTIONS(2368),
    [anon_sym___bridge_transfer] = ACTIONS(2368),
    [anon_sym___complex] = ACTIONS(2368),
    [anon_sym___const] = ACTIONS(2368),
    [anon_sym___imag] = ACTIONS(2368),
    [anon_sym___kindof] = ACTIONS(2368),
    [anon_sym___nonnull] = ACTIONS(2368),
    [anon_sym___nullable] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2368),
    [anon_sym___real] = ACTIONS(2368),
    [anon_sym___strong] = ACTIONS(2368),
    [anon_sym___unsafe_unretained] = ACTIONS(2368),
    [anon_sym___unused] = ACTIONS(2368),
    [anon_sym___weak] = ACTIONS(2368),
    [anon_sym_alignas] = ACTIONS(2368),
    [anon_sym__Alignas] = ACTIONS(2368),
    [sym_primitive_type] = ACTIONS(2368),
    [anon_sym_enum] = ACTIONS(2368),
    [anon_sym_struct] = ACTIONS(2368),
    [anon_sym_union] = ACTIONS(2368),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_else] = ACTIONS(2368),
    [anon_sym_switch] = ACTIONS(2368),
    [anon_sym_case] = ACTIONS(2368),
    [anon_sym_default] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_do] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2368),
    [anon_sym_in] = ACTIONS(2368),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_break] = ACTIONS(2368),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_goto] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_sizeof] = ACTIONS(2368),
    [anon_sym___alignof__] = ACTIONS(2368),
    [anon_sym___alignof] = ACTIONS(2368),
    [anon_sym__alignof] = ACTIONS(2368),
    [anon_sym_alignof] = ACTIONS(2368),
    [anon_sym__Alignof] = ACTIONS(2368),
    [anon_sym_offsetof] = ACTIONS(2368),
    [anon_sym__Generic] = ACTIONS(2368),
    [anon_sym_asm] = ACTIONS(2368),
    [anon_sym___asm__] = ACTIONS(2368),
    [anon_sym___asm] = ACTIONS(2368),
    [sym_number_literal] = ACTIONS(2370),
    [anon_sym_L_SQUOTE] = ACTIONS(2370),
    [anon_sym_u_SQUOTE] = ACTIONS(2370),
    [anon_sym_U_SQUOTE] = ACTIONS(2370),
    [anon_sym_u8_SQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2368),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_L_DQUOTE] = ACTIONS(2370),
    [anon_sym_u_DQUOTE] = ACTIONS(2370),
    [anon_sym_U_DQUOTE] = ACTIONS(2370),
    [anon_sym_u8_DQUOTE] = ACTIONS(2370),
    [sym_true] = ACTIONS(2368),
    [sym_false] = ACTIONS(2368),
    [anon_sym_NULL] = ACTIONS(2368),
    [anon_sym_nullptr] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2368),
    [anon_sym___typeof] = ACTIONS(2368),
    [anon_sym_typeof] = ACTIONS(2368),
    [anon_sym_ATimport] = ACTIONS(2370),
    [aux_sym_preproc_undef_token1] = ACTIONS(2368),
    [anon_sym_POUND] = ACTIONS(2368),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2368),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2368),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2368),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_API_AVAILABLE] = ACTIONS(2368),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_API_DEPRECATED] = ACTIONS(2368),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym___deprecated_msg] = ACTIONS(2368),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2368),
    [anon_sym_ATprotocol] = ACTIONS(2370),
    [anon_sym_ATinterface] = ACTIONS(2370),
    [anon_sym_ATimplementation] = ACTIONS(2370),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2370),
    [anon_sym_ATsynthesize] = ACTIONS(2370),
    [anon_sym_ATdynamic] = ACTIONS(2370),
    [anon_sym_ATtry] = ACTIONS(2370),
    [anon_sym___try] = ACTIONS(2368),
    [anon_sym_ATthrow] = ACTIONS(2370),
    [anon_sym_ATselector] = ACTIONS(2370),
    [anon_sym_ATavailable] = ACTIONS(2370),
    [anon_sym___builtin_available] = ACTIONS(2368),
    [anon_sym_va_arg] = ACTIONS(2368),
    [anon_sym_ATencode] = ACTIONS(2370),
    [anon_sym_ATsynchronized] = ACTIONS(2370),
    [anon_sym_BOOL] = ACTIONS(2368),
    [anon_sym_IMP] = ACTIONS(2368),
    [anon_sym_SEL] = ACTIONS(2368),
    [anon_sym_Class] = ACTIONS(2368),
    [anon_sym_id] = ACTIONS(2368),
  },
  [208] = {
    [sym_identifier] = ACTIONS(2432),
    [aux_sym_preproc_include_token1] = ACTIONS(2432),
    [aux_sym_preproc_include_token2] = ACTIONS(2432),
    [aux_sym_preproc_def_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token2] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2432),
    [aux_sym_preproc_else_token1] = ACTIONS(2432),
    [aux_sym_preproc_elif_token1] = ACTIONS(2432),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2432),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2432),
    [sym_preproc_directive] = ACTIONS(2432),
    [anon_sym_LPAREN2] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_CARET] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym___extension__] = ACTIONS(2432),
    [anon_sym_typedef] = ACTIONS(2432),
    [anon_sym_extern] = ACTIONS(2432),
    [anon_sym___attribute__] = ACTIONS(2432),
    [anon_sym___attribute] = ACTIONS(2432),
    [anon_sym_noreturn] = ACTIONS(2432),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym___declspec] = ACTIONS(2432),
    [anon_sym___cdecl] = ACTIONS(2432),
    [anon_sym___clrcall] = ACTIONS(2432),
    [anon_sym___stdcall] = ACTIONS(2432),
    [anon_sym___fastcall] = ACTIONS(2432),
    [anon_sym___thiscall] = ACTIONS(2432),
    [anon_sym___vectorcall] = ACTIONS(2432),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_signed] = ACTIONS(2432),
    [anon_sym_unsigned] = ACTIONS(2432),
    [anon_sym_long] = ACTIONS(2432),
    [anon_sym_short] = ACTIONS(2432),
    [anon_sym_static] = ACTIONS(2432),
    [anon_sym_ATautoreleasepool] = ACTIONS(2434),
    [anon_sym_auto] = ACTIONS(2432),
    [anon_sym_register] = ACTIONS(2432),
    [anon_sym_inline] = ACTIONS(2432),
    [anon_sym___inline] = ACTIONS(2432),
    [anon_sym___inline__] = ACTIONS(2432),
    [anon_sym___forceinline] = ACTIONS(2432),
    [anon_sym_thread_local] = ACTIONS(2432),
    [anon_sym___thread] = ACTIONS(2432),
    [anon_sym_CG_EXTERN] = ACTIONS(2432),
    [anon_sym_CG_INLINE] = ACTIONS(2432),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2432),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2432),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2432),
    [anon_sym_IBOutlet] = ACTIONS(2432),
    [anon_sym_IBInspectable] = ACTIONS(2432),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2432),
    [anon_sym_NS_INLINE] = ACTIONS(2432),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2432),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2432),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2432),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2432),
    [anon_sym_const] = ACTIONS(2432),
    [anon_sym_constexpr] = ACTIONS(2432),
    [anon_sym_volatile] = ACTIONS(2432),
    [anon_sym_restrict] = ACTIONS(2432),
    [anon_sym___restrict__] = ACTIONS(2432),
    [anon_sym__Atomic] = ACTIONS(2432),
    [anon_sym__Noreturn] = ACTIONS(2432),
    [anon_sym__Nonnull] = ACTIONS(2432),
    [anon_sym_nullable] = ACTIONS(2432),
    [anon_sym__Complex] = ACTIONS(2432),
    [anon_sym__Nullable] = ACTIONS(2432),
    [anon_sym__Nullable_result] = ACTIONS(2432),
    [anon_sym__Null_unspecified] = ACTIONS(2432),
    [anon_sym___autoreleasing] = ACTIONS(2432),
    [anon_sym___block] = ACTIONS(2432),
    [anon_sym___bridge] = ACTIONS(2432),
    [anon_sym___bridge_retained] = ACTIONS(2432),
    [anon_sym___bridge_transfer] = ACTIONS(2432),
    [anon_sym___complex] = ACTIONS(2432),
    [anon_sym___const] = ACTIONS(2432),
    [anon_sym___imag] = ACTIONS(2432),
    [anon_sym___kindof] = ACTIONS(2432),
    [anon_sym___nonnull] = ACTIONS(2432),
    [anon_sym___nullable] = ACTIONS(2432),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2432),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2432),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2432),
    [anon_sym___real] = ACTIONS(2432),
    [anon_sym___strong] = ACTIONS(2432),
    [anon_sym___unsafe_unretained] = ACTIONS(2432),
    [anon_sym___unused] = ACTIONS(2432),
    [anon_sym___weak] = ACTIONS(2432),
    [anon_sym_alignas] = ACTIONS(2432),
    [anon_sym__Alignas] = ACTIONS(2432),
    [sym_primitive_type] = ACTIONS(2432),
    [anon_sym_enum] = ACTIONS(2432),
    [anon_sym_struct] = ACTIONS(2432),
    [anon_sym_union] = ACTIONS(2432),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_else] = ACTIONS(2432),
    [anon_sym_switch] = ACTIONS(2432),
    [anon_sym_case] = ACTIONS(2432),
    [anon_sym_default] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2432),
    [anon_sym_in] = ACTIONS(2432),
    [anon_sym_return] = ACTIONS(2432),
    [anon_sym_break] = ACTIONS(2432),
    [anon_sym_continue] = ACTIONS(2432),
    [anon_sym_goto] = ACTIONS(2432),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2432),
    [anon_sym___alignof] = ACTIONS(2432),
    [anon_sym__alignof] = ACTIONS(2432),
    [anon_sym_alignof] = ACTIONS(2432),
    [anon_sym__Alignof] = ACTIONS(2432),
    [anon_sym_offsetof] = ACTIONS(2432),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2432),
    [anon_sym___asm__] = ACTIONS(2432),
    [anon_sym___asm] = ACTIONS(2432),
    [sym_number_literal] = ACTIONS(2434),
    [anon_sym_L_SQUOTE] = ACTIONS(2434),
    [anon_sym_u_SQUOTE] = ACTIONS(2434),
    [anon_sym_U_SQUOTE] = ACTIONS(2434),
    [anon_sym_u8_SQUOTE] = ACTIONS(2434),
    [anon_sym_SQUOTE] = ACTIONS(2434),
    [anon_sym_AT] = ACTIONS(2432),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_L_DQUOTE] = ACTIONS(2434),
    [anon_sym_u_DQUOTE] = ACTIONS(2434),
    [anon_sym_U_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8_DQUOTE] = ACTIONS(2434),
    [sym_true] = ACTIONS(2432),
    [sym_false] = ACTIONS(2432),
    [anon_sym_NULL] = ACTIONS(2432),
    [anon_sym_nullptr] = ACTIONS(2432),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2432),
    [anon_sym___typeof] = ACTIONS(2432),
    [anon_sym_typeof] = ACTIONS(2432),
    [anon_sym_ATimport] = ACTIONS(2434),
    [aux_sym_preproc_undef_token1] = ACTIONS(2432),
    [anon_sym_POUND] = ACTIONS(2432),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2432),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2432),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2432),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2432),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2432),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2432),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2432),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2432),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2432),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_API_AVAILABLE] = ACTIONS(2432),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_API_DEPRECATED] = ACTIONS(2432),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2432),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2432),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2432),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2432),
    [anon_sym___deprecated_msg] = ACTIONS(2432),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2432),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2432),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2432),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2432),
    [anon_sym_ATprotocol] = ACTIONS(2434),
    [anon_sym_ATinterface] = ACTIONS(2434),
    [anon_sym_ATimplementation] = ACTIONS(2434),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2434),
    [anon_sym_ATsynthesize] = ACTIONS(2434),
    [anon_sym_ATdynamic] = ACTIONS(2434),
    [anon_sym_ATtry] = ACTIONS(2434),
    [anon_sym___try] = ACTIONS(2432),
    [anon_sym_ATthrow] = ACTIONS(2434),
    [anon_sym_ATselector] = ACTIONS(2434),
    [anon_sym_ATavailable] = ACTIONS(2434),
    [anon_sym___builtin_available] = ACTIONS(2432),
    [anon_sym_va_arg] = ACTIONS(2432),
    [anon_sym_ATencode] = ACTIONS(2434),
    [anon_sym_ATsynchronized] = ACTIONS(2434),
    [anon_sym_BOOL] = ACTIONS(2432),
    [anon_sym_IMP] = ACTIONS(2432),
    [anon_sym_SEL] = ACTIONS(2432),
    [anon_sym_Class] = ACTIONS(2432),
    [anon_sym_id] = ACTIONS(2432),
  },
  [209] = {
    [sym_identifier] = ACTIONS(2436),
    [aux_sym_preproc_include_token1] = ACTIONS(2436),
    [aux_sym_preproc_include_token2] = ACTIONS(2436),
    [aux_sym_preproc_def_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token2] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2436),
    [aux_sym_preproc_else_token1] = ACTIONS(2436),
    [aux_sym_preproc_elif_token1] = ACTIONS(2436),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2436),
    [sym_preproc_directive] = ACTIONS(2436),
    [anon_sym_LPAREN2] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_CARET] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym___attribute] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym___cdecl] = ACTIONS(2436),
    [anon_sym___clrcall] = ACTIONS(2436),
    [anon_sym___stdcall] = ACTIONS(2436),
    [anon_sym___fastcall] = ACTIONS(2436),
    [anon_sym___thiscall] = ACTIONS(2436),
    [anon_sym___vectorcall] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_ATautoreleasepool] = ACTIONS(2438),
    [anon_sym_auto] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_CG_EXTERN] = ACTIONS(2436),
    [anon_sym_CG_INLINE] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2436),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2436),
    [anon_sym_IBOutlet] = ACTIONS(2436),
    [anon_sym_IBInspectable] = ACTIONS(2436),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2436),
    [anon_sym_NS_INLINE] = ACTIONS(2436),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2436),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2436),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym__Nonnull] = ACTIONS(2436),
    [anon_sym_nullable] = ACTIONS(2436),
    [anon_sym__Complex] = ACTIONS(2436),
    [anon_sym__Nullable] = ACTIONS(2436),
    [anon_sym__Nullable_result] = ACTIONS(2436),
    [anon_sym__Null_unspecified] = ACTIONS(2436),
    [anon_sym___autoreleasing] = ACTIONS(2436),
    [anon_sym___block] = ACTIONS(2436),
    [anon_sym___bridge] = ACTIONS(2436),
    [anon_sym___bridge_retained] = ACTIONS(2436),
    [anon_sym___bridge_transfer] = ACTIONS(2436),
    [anon_sym___complex] = ACTIONS(2436),
    [anon_sym___const] = ACTIONS(2436),
    [anon_sym___imag] = ACTIONS(2436),
    [anon_sym___kindof] = ACTIONS(2436),
    [anon_sym___nonnull] = ACTIONS(2436),
    [anon_sym___nullable] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2436),
    [anon_sym___real] = ACTIONS(2436),
    [anon_sym___strong] = ACTIONS(2436),
    [anon_sym___unsafe_unretained] = ACTIONS(2436),
    [anon_sym___unused] = ACTIONS(2436),
    [anon_sym___weak] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym__Alignas] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_else] = ACTIONS(2436),
    [anon_sym_switch] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(2436),
    [anon_sym_default] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_in] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2436),
    [anon_sym_break] = ACTIONS(2436),
    [anon_sym_continue] = ACTIONS(2436),
    [anon_sym_goto] = ACTIONS(2436),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_sizeof] = ACTIONS(2436),
    [anon_sym___alignof__] = ACTIONS(2436),
    [anon_sym___alignof] = ACTIONS(2436),
    [anon_sym__alignof] = ACTIONS(2436),
    [anon_sym_alignof] = ACTIONS(2436),
    [anon_sym__Alignof] = ACTIONS(2436),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2436),
    [anon_sym_asm] = ACTIONS(2436),
    [anon_sym___asm__] = ACTIONS(2436),
    [anon_sym___asm] = ACTIONS(2436),
    [sym_number_literal] = ACTIONS(2438),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_AT] = ACTIONS(2436),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2438),
    [anon_sym_u_DQUOTE] = ACTIONS(2438),
    [anon_sym_U_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8_DQUOTE] = ACTIONS(2438),
    [sym_true] = ACTIONS(2436),
    [sym_false] = ACTIONS(2436),
    [anon_sym_NULL] = ACTIONS(2436),
    [anon_sym_nullptr] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2436),
    [anon_sym___typeof] = ACTIONS(2436),
    [anon_sym_typeof] = ACTIONS(2436),
    [anon_sym_ATimport] = ACTIONS(2438),
    [aux_sym_preproc_undef_token1] = ACTIONS(2436),
    [anon_sym_POUND] = ACTIONS(2436),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2436),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2436),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2436),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_API_AVAILABLE] = ACTIONS(2436),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_API_DEPRECATED] = ACTIONS(2436),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym___deprecated_msg] = ACTIONS(2436),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2436),
    [anon_sym_ATprotocol] = ACTIONS(2438),
    [anon_sym_ATinterface] = ACTIONS(2438),
    [anon_sym_ATimplementation] = ACTIONS(2438),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2438),
    [anon_sym_ATsynthesize] = ACTIONS(2438),
    [anon_sym_ATdynamic] = ACTIONS(2438),
    [anon_sym_ATtry] = ACTIONS(2438),
    [anon_sym___try] = ACTIONS(2436),
    [anon_sym_ATthrow] = ACTIONS(2438),
    [anon_sym_ATselector] = ACTIONS(2438),
    [anon_sym_ATavailable] = ACTIONS(2438),
    [anon_sym___builtin_available] = ACTIONS(2436),
    [anon_sym_va_arg] = ACTIONS(2436),
    [anon_sym_ATencode] = ACTIONS(2438),
    [anon_sym_ATsynchronized] = ACTIONS(2438),
    [anon_sym_BOOL] = ACTIONS(2436),
    [anon_sym_IMP] = ACTIONS(2436),
    [anon_sym_SEL] = ACTIONS(2436),
    [anon_sym_Class] = ACTIONS(2436),
    [anon_sym_id] = ACTIONS(2436),
  },
  [210] = {
    [sym_identifier] = ACTIONS(2440),
    [aux_sym_preproc_include_token1] = ACTIONS(2440),
    [aux_sym_preproc_include_token2] = ACTIONS(2440),
    [aux_sym_preproc_def_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token2] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2440),
    [aux_sym_preproc_else_token1] = ACTIONS(2440),
    [aux_sym_preproc_elif_token1] = ACTIONS(2440),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2440),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2440),
    [sym_preproc_directive] = ACTIONS(2440),
    [anon_sym_LPAREN2] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_CARET] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym___extension__] = ACTIONS(2440),
    [anon_sym_typedef] = ACTIONS(2440),
    [anon_sym_extern] = ACTIONS(2440),
    [anon_sym___attribute__] = ACTIONS(2440),
    [anon_sym___attribute] = ACTIONS(2440),
    [anon_sym_noreturn] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym___declspec] = ACTIONS(2440),
    [anon_sym___cdecl] = ACTIONS(2440),
    [anon_sym___clrcall] = ACTIONS(2440),
    [anon_sym___stdcall] = ACTIONS(2440),
    [anon_sym___fastcall] = ACTIONS(2440),
    [anon_sym___thiscall] = ACTIONS(2440),
    [anon_sym___vectorcall] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_signed] = ACTIONS(2440),
    [anon_sym_unsigned] = ACTIONS(2440),
    [anon_sym_long] = ACTIONS(2440),
    [anon_sym_short] = ACTIONS(2440),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_ATautoreleasepool] = ACTIONS(2442),
    [anon_sym_auto] = ACTIONS(2440),
    [anon_sym_register] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(2440),
    [anon_sym___inline] = ACTIONS(2440),
    [anon_sym___inline__] = ACTIONS(2440),
    [anon_sym___forceinline] = ACTIONS(2440),
    [anon_sym_thread_local] = ACTIONS(2440),
    [anon_sym___thread] = ACTIONS(2440),
    [anon_sym_CG_EXTERN] = ACTIONS(2440),
    [anon_sym_CG_INLINE] = ACTIONS(2440),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2440),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2440),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2440),
    [anon_sym_IBOutlet] = ACTIONS(2440),
    [anon_sym_IBInspectable] = ACTIONS(2440),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2440),
    [anon_sym_NS_INLINE] = ACTIONS(2440),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2440),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2440),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2440),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2440),
    [anon_sym_const] = ACTIONS(2440),
    [anon_sym_constexpr] = ACTIONS(2440),
    [anon_sym_volatile] = ACTIONS(2440),
    [anon_sym_restrict] = ACTIONS(2440),
    [anon_sym___restrict__] = ACTIONS(2440),
    [anon_sym__Atomic] = ACTIONS(2440),
    [anon_sym__Noreturn] = ACTIONS(2440),
    [anon_sym__Nonnull] = ACTIONS(2440),
    [anon_sym_nullable] = ACTIONS(2440),
    [anon_sym__Complex] = ACTIONS(2440),
    [anon_sym__Nullable] = ACTIONS(2440),
    [anon_sym__Nullable_result] = ACTIONS(2440),
    [anon_sym__Null_unspecified] = ACTIONS(2440),
    [anon_sym___autoreleasing] = ACTIONS(2440),
    [anon_sym___block] = ACTIONS(2440),
    [anon_sym___bridge] = ACTIONS(2440),
    [anon_sym___bridge_retained] = ACTIONS(2440),
    [anon_sym___bridge_transfer] = ACTIONS(2440),
    [anon_sym___complex] = ACTIONS(2440),
    [anon_sym___const] = ACTIONS(2440),
    [anon_sym___imag] = ACTIONS(2440),
    [anon_sym___kindof] = ACTIONS(2440),
    [anon_sym___nonnull] = ACTIONS(2440),
    [anon_sym___nullable] = ACTIONS(2440),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2440),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2440),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2440),
    [anon_sym___real] = ACTIONS(2440),
    [anon_sym___strong] = ACTIONS(2440),
    [anon_sym___unsafe_unretained] = ACTIONS(2440),
    [anon_sym___unused] = ACTIONS(2440),
    [anon_sym___weak] = ACTIONS(2440),
    [anon_sym_alignas] = ACTIONS(2440),
    [anon_sym__Alignas] = ACTIONS(2440),
    [sym_primitive_type] = ACTIONS(2440),
    [anon_sym_enum] = ACTIONS(2440),
    [anon_sym_struct] = ACTIONS(2440),
    [anon_sym_union] = ACTIONS(2440),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_else] = ACTIONS(2440),
    [anon_sym_switch] = ACTIONS(2440),
    [anon_sym_case] = ACTIONS(2440),
    [anon_sym_default] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2440),
    [anon_sym_do] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2440),
    [anon_sym_in] = ACTIONS(2440),
    [anon_sym_return] = ACTIONS(2440),
    [anon_sym_break] = ACTIONS(2440),
    [anon_sym_continue] = ACTIONS(2440),
    [anon_sym_goto] = ACTIONS(2440),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_sizeof] = ACTIONS(2440),
    [anon_sym___alignof__] = ACTIONS(2440),
    [anon_sym___alignof] = ACTIONS(2440),
    [anon_sym__alignof] = ACTIONS(2440),
    [anon_sym_alignof] = ACTIONS(2440),
    [anon_sym__Alignof] = ACTIONS(2440),
    [anon_sym_offsetof] = ACTIONS(2440),
    [anon_sym__Generic] = ACTIONS(2440),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [anon_sym___asm] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2442),
    [anon_sym_u_SQUOTE] = ACTIONS(2442),
    [anon_sym_U_SQUOTE] = ACTIONS(2442),
    [anon_sym_u8_SQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_AT] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_L_DQUOTE] = ACTIONS(2442),
    [anon_sym_u_DQUOTE] = ACTIONS(2442),
    [anon_sym_U_DQUOTE] = ACTIONS(2442),
    [anon_sym_u8_DQUOTE] = ACTIONS(2442),
    [sym_true] = ACTIONS(2440),
    [sym_false] = ACTIONS(2440),
    [anon_sym_NULL] = ACTIONS(2440),
    [anon_sym_nullptr] = ACTIONS(2440),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2440),
    [anon_sym___typeof] = ACTIONS(2440),
    [anon_sym_typeof] = ACTIONS(2440),
    [anon_sym_ATimport] = ACTIONS(2442),
    [aux_sym_preproc_undef_token1] = ACTIONS(2440),
    [anon_sym_POUND] = ACTIONS(2440),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2440),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2440),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2440),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2440),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2440),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2440),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2440),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2440),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2440),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_API_AVAILABLE] = ACTIONS(2440),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_API_DEPRECATED] = ACTIONS(2440),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2440),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2440),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2440),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2440),
    [anon_sym___deprecated_msg] = ACTIONS(2440),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2440),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2440),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2440),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2440),
    [anon_sym_ATprotocol] = ACTIONS(2442),
    [anon_sym_ATinterface] = ACTIONS(2442),
    [anon_sym_ATimplementation] = ACTIONS(2442),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2442),
    [anon_sym_ATsynthesize] = ACTIONS(2442),
    [anon_sym_ATdynamic] = ACTIONS(2442),
    [anon_sym_ATtry] = ACTIONS(2442),
    [anon_sym___try] = ACTIONS(2440),
    [anon_sym_ATthrow] = ACTIONS(2442),
    [anon_sym_ATselector] = ACTIONS(2442),
    [anon_sym_ATavailable] = ACTIONS(2442),
    [anon_sym___builtin_available] = ACTIONS(2440),
    [anon_sym_va_arg] = ACTIONS(2440),
    [anon_sym_ATencode] = ACTIONS(2442),
    [anon_sym_ATsynchronized] = ACTIONS(2442),
    [anon_sym_BOOL] = ACTIONS(2440),
    [anon_sym_IMP] = ACTIONS(2440),
    [anon_sym_SEL] = ACTIONS(2440),
    [anon_sym_Class] = ACTIONS(2440),
    [anon_sym_id] = ACTIONS(2440),
  },
  [211] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_include_token2] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym___attribute] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_ATautoreleasepool] = ACTIONS(2446),
    [anon_sym_auto] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_CG_EXTERN] = ACTIONS(2444),
    [anon_sym_CG_INLINE] = ACTIONS(2444),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2444),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2444),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2444),
    [anon_sym_IBOutlet] = ACTIONS(2444),
    [anon_sym_IBInspectable] = ACTIONS(2444),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2444),
    [anon_sym_NS_INLINE] = ACTIONS(2444),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2444),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2444),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2444),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym__Nonnull] = ACTIONS(2444),
    [anon_sym_nullable] = ACTIONS(2444),
    [anon_sym__Complex] = ACTIONS(2444),
    [anon_sym__Nullable] = ACTIONS(2444),
    [anon_sym__Nullable_result] = ACTIONS(2444),
    [anon_sym__Null_unspecified] = ACTIONS(2444),
    [anon_sym___autoreleasing] = ACTIONS(2444),
    [anon_sym___block] = ACTIONS(2444),
    [anon_sym___bridge] = ACTIONS(2444),
    [anon_sym___bridge_retained] = ACTIONS(2444),
    [anon_sym___bridge_transfer] = ACTIONS(2444),
    [anon_sym___complex] = ACTIONS(2444),
    [anon_sym___const] = ACTIONS(2444),
    [anon_sym___imag] = ACTIONS(2444),
    [anon_sym___kindof] = ACTIONS(2444),
    [anon_sym___nonnull] = ACTIONS(2444),
    [anon_sym___nullable] = ACTIONS(2444),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2444),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2444),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2444),
    [anon_sym___real] = ACTIONS(2444),
    [anon_sym___strong] = ACTIONS(2444),
    [anon_sym___unsafe_unretained] = ACTIONS(2444),
    [anon_sym___unused] = ACTIONS(2444),
    [anon_sym___weak] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym__Alignas] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [anon_sym___asm] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_AT] = ACTIONS(2444),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2444),
    [anon_sym___typeof] = ACTIONS(2444),
    [anon_sym_typeof] = ACTIONS(2444),
    [anon_sym_ATimport] = ACTIONS(2446),
    [aux_sym_preproc_undef_token1] = ACTIONS(2444),
    [anon_sym_POUND] = ACTIONS(2444),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2444),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2444),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2444),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2444),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2444),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2444),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2444),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2444),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2444),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_API_AVAILABLE] = ACTIONS(2444),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_API_DEPRECATED] = ACTIONS(2444),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2444),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2444),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2444),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2444),
    [anon_sym___deprecated_msg] = ACTIONS(2444),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2444),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2444),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2444),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2444),
    [anon_sym_ATprotocol] = ACTIONS(2446),
    [anon_sym_ATinterface] = ACTIONS(2446),
    [anon_sym_ATimplementation] = ACTIONS(2446),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2446),
    [anon_sym_ATsynthesize] = ACTIONS(2446),
    [anon_sym_ATdynamic] = ACTIONS(2446),
    [anon_sym_ATtry] = ACTIONS(2446),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym_ATthrow] = ACTIONS(2446),
    [anon_sym_ATselector] = ACTIONS(2446),
    [anon_sym_ATavailable] = ACTIONS(2446),
    [anon_sym___builtin_available] = ACTIONS(2444),
    [anon_sym_va_arg] = ACTIONS(2444),
    [anon_sym_ATencode] = ACTIONS(2446),
    [anon_sym_ATsynchronized] = ACTIONS(2446),
    [anon_sym_BOOL] = ACTIONS(2444),
    [anon_sym_IMP] = ACTIONS(2444),
    [anon_sym_SEL] = ACTIONS(2444),
    [anon_sym_Class] = ACTIONS(2444),
    [anon_sym_id] = ACTIONS(2444),
  },
  [212] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_include_token2] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token2] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_CARET] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym___attribute] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_ATautoreleasepool] = ACTIONS(2366),
    [anon_sym_auto] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_CG_EXTERN] = ACTIONS(2364),
    [anon_sym_CG_INLINE] = ACTIONS(2364),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2364),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2364),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2364),
    [anon_sym_IBOutlet] = ACTIONS(2364),
    [anon_sym_IBInspectable] = ACTIONS(2364),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2364),
    [anon_sym_NS_INLINE] = ACTIONS(2364),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2364),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2364),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2364),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym__Nonnull] = ACTIONS(2364),
    [anon_sym_nullable] = ACTIONS(2364),
    [anon_sym__Complex] = ACTIONS(2364),
    [anon_sym__Nullable] = ACTIONS(2364),
    [anon_sym__Nullable_result] = ACTIONS(2364),
    [anon_sym__Null_unspecified] = ACTIONS(2364),
    [anon_sym___autoreleasing] = ACTIONS(2364),
    [anon_sym___block] = ACTIONS(2364),
    [anon_sym___bridge] = ACTIONS(2364),
    [anon_sym___bridge_retained] = ACTIONS(2364),
    [anon_sym___bridge_transfer] = ACTIONS(2364),
    [anon_sym___complex] = ACTIONS(2364),
    [anon_sym___const] = ACTIONS(2364),
    [anon_sym___imag] = ACTIONS(2364),
    [anon_sym___kindof] = ACTIONS(2364),
    [anon_sym___nonnull] = ACTIONS(2364),
    [anon_sym___nullable] = ACTIONS(2364),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2364),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2364),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2364),
    [anon_sym___real] = ACTIONS(2364),
    [anon_sym___strong] = ACTIONS(2364),
    [anon_sym___unsafe_unretained] = ACTIONS(2364),
    [anon_sym___unused] = ACTIONS(2364),
    [anon_sym___weak] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym__Alignas] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [anon_sym___asm] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_AT] = ACTIONS(2364),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2364),
    [anon_sym___typeof] = ACTIONS(2364),
    [anon_sym_typeof] = ACTIONS(2364),
    [anon_sym_ATimport] = ACTIONS(2366),
    [aux_sym_preproc_undef_token1] = ACTIONS(2364),
    [anon_sym_POUND] = ACTIONS(2364),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2364),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2364),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2364),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2364),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2364),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2364),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2364),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2364),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2364),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_API_AVAILABLE] = ACTIONS(2364),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_API_DEPRECATED] = ACTIONS(2364),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2364),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2364),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2364),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2364),
    [anon_sym___deprecated_msg] = ACTIONS(2364),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2364),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2364),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2364),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2364),
    [anon_sym_ATprotocol] = ACTIONS(2366),
    [anon_sym_ATinterface] = ACTIONS(2366),
    [anon_sym_ATimplementation] = ACTIONS(2366),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2366),
    [anon_sym_ATsynthesize] = ACTIONS(2366),
    [anon_sym_ATdynamic] = ACTIONS(2366),
    [anon_sym_ATtry] = ACTIONS(2366),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym_ATcatch] = ACTIONS(2366),
    [anon_sym___catch] = ACTIONS(2364),
    [anon_sym_ATfinally] = ACTIONS(2366),
    [anon_sym___finally] = ACTIONS(2364),
    [anon_sym_ATthrow] = ACTIONS(2366),
    [anon_sym_ATselector] = ACTIONS(2366),
    [anon_sym_ATavailable] = ACTIONS(2366),
    [anon_sym___builtin_available] = ACTIONS(2364),
    [anon_sym_va_arg] = ACTIONS(2364),
    [anon_sym_ATencode] = ACTIONS(2366),
    [anon_sym_ATsynchronized] = ACTIONS(2366),
    [anon_sym_BOOL] = ACTIONS(2364),
    [anon_sym_IMP] = ACTIONS(2364),
    [anon_sym_SEL] = ACTIONS(2364),
    [anon_sym_Class] = ACTIONS(2364),
    [anon_sym_id] = ACTIONS(2364),
  },
  [213] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_include_token1] = ACTIONS(2448),
    [aux_sym_preproc_include_token2] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token2] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [aux_sym_preproc_else_token1] = ACTIONS(2448),
    [aux_sym_preproc_elif_token1] = ACTIONS(2448),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym___attribute] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___cdecl] = ACTIONS(2448),
    [anon_sym___clrcall] = ACTIONS(2448),
    [anon_sym___stdcall] = ACTIONS(2448),
    [anon_sym___fastcall] = ACTIONS(2448),
    [anon_sym___thiscall] = ACTIONS(2448),
    [anon_sym___vectorcall] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_ATautoreleasepool] = ACTIONS(2450),
    [anon_sym_auto] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_CG_EXTERN] = ACTIONS(2448),
    [anon_sym_CG_INLINE] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2448),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2448),
    [anon_sym_IBOutlet] = ACTIONS(2448),
    [anon_sym_IBInspectable] = ACTIONS(2448),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2448),
    [anon_sym_NS_INLINE] = ACTIONS(2448),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2448),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2448),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym__Nonnull] = ACTIONS(2448),
    [anon_sym_nullable] = ACTIONS(2448),
    [anon_sym__Complex] = ACTIONS(2448),
    [anon_sym__Nullable] = ACTIONS(2448),
    [anon_sym__Nullable_result] = ACTIONS(2448),
    [anon_sym__Null_unspecified] = ACTIONS(2448),
    [anon_sym___autoreleasing] = ACTIONS(2448),
    [anon_sym___block] = ACTIONS(2448),
    [anon_sym___bridge] = ACTIONS(2448),
    [anon_sym___bridge_retained] = ACTIONS(2448),
    [anon_sym___bridge_transfer] = ACTIONS(2448),
    [anon_sym___complex] = ACTIONS(2448),
    [anon_sym___const] = ACTIONS(2448),
    [anon_sym___imag] = ACTIONS(2448),
    [anon_sym___kindof] = ACTIONS(2448),
    [anon_sym___nonnull] = ACTIONS(2448),
    [anon_sym___nullable] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2448),
    [anon_sym___real] = ACTIONS(2448),
    [anon_sym___strong] = ACTIONS(2448),
    [anon_sym___unsafe_unretained] = ACTIONS(2448),
    [anon_sym___unused] = ACTIONS(2448),
    [anon_sym___weak] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym__Alignas] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_switch] = ACTIONS(2448),
    [anon_sym_case] = ACTIONS(2448),
    [anon_sym_default] = ACTIONS(2448),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_do] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_break] = ACTIONS(2448),
    [anon_sym_continue] = ACTIONS(2448),
    [anon_sym_goto] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_sizeof] = ACTIONS(2448),
    [anon_sym___alignof__] = ACTIONS(2448),
    [anon_sym___alignof] = ACTIONS(2448),
    [anon_sym__alignof] = ACTIONS(2448),
    [anon_sym_alignof] = ACTIONS(2448),
    [anon_sym__Alignof] = ACTIONS(2448),
    [anon_sym_offsetof] = ACTIONS(2448),
    [anon_sym__Generic] = ACTIONS(2448),
    [anon_sym_asm] = ACTIONS(2448),
    [anon_sym___asm__] = ACTIONS(2448),
    [anon_sym___asm] = ACTIONS(2448),
    [sym_number_literal] = ACTIONS(2450),
    [anon_sym_L_SQUOTE] = ACTIONS(2450),
    [anon_sym_u_SQUOTE] = ACTIONS(2450),
    [anon_sym_U_SQUOTE] = ACTIONS(2450),
    [anon_sym_u8_SQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_AT] = ACTIONS(2448),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_L_DQUOTE] = ACTIONS(2450),
    [anon_sym_u_DQUOTE] = ACTIONS(2450),
    [anon_sym_U_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8_DQUOTE] = ACTIONS(2450),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2448),
    [anon_sym_nullptr] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2448),
    [anon_sym___typeof] = ACTIONS(2448),
    [anon_sym_typeof] = ACTIONS(2448),
    [anon_sym_ATimport] = ACTIONS(2450),
    [aux_sym_preproc_undef_token1] = ACTIONS(2448),
    [anon_sym_POUND] = ACTIONS(2448),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2448),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2448),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2448),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_API_AVAILABLE] = ACTIONS(2448),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_API_DEPRECATED] = ACTIONS(2448),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym___deprecated_msg] = ACTIONS(2448),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2448),
    [anon_sym_ATprotocol] = ACTIONS(2450),
    [anon_sym_ATinterface] = ACTIONS(2450),
    [anon_sym_ATimplementation] = ACTIONS(2450),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2450),
    [anon_sym_ATsynthesize] = ACTIONS(2450),
    [anon_sym_ATdynamic] = ACTIONS(2450),
    [anon_sym_ATtry] = ACTIONS(2450),
    [anon_sym___try] = ACTIONS(2448),
    [anon_sym_ATthrow] = ACTIONS(2450),
    [anon_sym_ATselector] = ACTIONS(2450),
    [anon_sym_ATavailable] = ACTIONS(2450),
    [anon_sym___builtin_available] = ACTIONS(2448),
    [anon_sym_va_arg] = ACTIONS(2448),
    [anon_sym_ATencode] = ACTIONS(2450),
    [anon_sym_ATsynchronized] = ACTIONS(2450),
    [anon_sym_BOOL] = ACTIONS(2448),
    [anon_sym_IMP] = ACTIONS(2448),
    [anon_sym_SEL] = ACTIONS(2448),
    [anon_sym_Class] = ACTIONS(2448),
    [anon_sym_id] = ACTIONS(2448),
  },
  [214] = {
    [sym_identifier] = ACTIONS(2360),
    [aux_sym_preproc_include_token1] = ACTIONS(2360),
    [aux_sym_preproc_include_token2] = ACTIONS(2360),
    [aux_sym_preproc_def_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token2] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2360),
    [sym_preproc_directive] = ACTIONS(2360),
    [anon_sym_LPAREN2] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2362),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_CARET] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2362),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_typedef] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym___attribute] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2362),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym___cdecl] = ACTIONS(2360),
    [anon_sym___clrcall] = ACTIONS(2360),
    [anon_sym___stdcall] = ACTIONS(2360),
    [anon_sym___fastcall] = ACTIONS(2360),
    [anon_sym___thiscall] = ACTIONS(2360),
    [anon_sym___vectorcall] = ACTIONS(2360),
    [anon_sym_LBRACE] = ACTIONS(2362),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_ATautoreleasepool] = ACTIONS(2362),
    [anon_sym_auto] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_CG_EXTERN] = ACTIONS(2360),
    [anon_sym_CG_INLINE] = ACTIONS(2360),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2360),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2360),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2360),
    [anon_sym_IBOutlet] = ACTIONS(2360),
    [anon_sym_IBInspectable] = ACTIONS(2360),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2360),
    [anon_sym_NS_INLINE] = ACTIONS(2360),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2360),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2360),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2360),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym__Nonnull] = ACTIONS(2360),
    [anon_sym_nullable] = ACTIONS(2360),
    [anon_sym__Complex] = ACTIONS(2360),
    [anon_sym__Nullable] = ACTIONS(2360),
    [anon_sym__Nullable_result] = ACTIONS(2360),
    [anon_sym__Null_unspecified] = ACTIONS(2360),
    [anon_sym___autoreleasing] = ACTIONS(2360),
    [anon_sym___block] = ACTIONS(2360),
    [anon_sym___bridge] = ACTIONS(2360),
    [anon_sym___bridge_retained] = ACTIONS(2360),
    [anon_sym___bridge_transfer] = ACTIONS(2360),
    [anon_sym___complex] = ACTIONS(2360),
    [anon_sym___const] = ACTIONS(2360),
    [anon_sym___imag] = ACTIONS(2360),
    [anon_sym___kindof] = ACTIONS(2360),
    [anon_sym___nonnull] = ACTIONS(2360),
    [anon_sym___nullable] = ACTIONS(2360),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2360),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2360),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2360),
    [anon_sym___real] = ACTIONS(2360),
    [anon_sym___strong] = ACTIONS(2360),
    [anon_sym___unsafe_unretained] = ACTIONS(2360),
    [anon_sym___unused] = ACTIONS(2360),
    [anon_sym___weak] = ACTIONS(2360),
    [anon_sym_alignas] = ACTIONS(2360),
    [anon_sym__Alignas] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2360),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_else] = ACTIONS(2360),
    [anon_sym_switch] = ACTIONS(2360),
    [anon_sym_case] = ACTIONS(2360),
    [anon_sym_default] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2360),
    [anon_sym_do] = ACTIONS(2360),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_return] = ACTIONS(2360),
    [anon_sym_break] = ACTIONS(2360),
    [anon_sym_continue] = ACTIONS(2360),
    [anon_sym_goto] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2362),
    [anon_sym_PLUS_PLUS] = ACTIONS(2362),
    [anon_sym_sizeof] = ACTIONS(2360),
    [anon_sym___alignof__] = ACTIONS(2360),
    [anon_sym___alignof] = ACTIONS(2360),
    [anon_sym__alignof] = ACTIONS(2360),
    [anon_sym_alignof] = ACTIONS(2360),
    [anon_sym__Alignof] = ACTIONS(2360),
    [anon_sym_offsetof] = ACTIONS(2360),
    [anon_sym__Generic] = ACTIONS(2360),
    [anon_sym_asm] = ACTIONS(2360),
    [anon_sym___asm__] = ACTIONS(2360),
    [anon_sym___asm] = ACTIONS(2360),
    [sym_number_literal] = ACTIONS(2362),
    [anon_sym_L_SQUOTE] = ACTIONS(2362),
    [anon_sym_u_SQUOTE] = ACTIONS(2362),
    [anon_sym_U_SQUOTE] = ACTIONS(2362),
    [anon_sym_u8_SQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE] = ACTIONS(2362),
    [anon_sym_AT] = ACTIONS(2360),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [anon_sym_L_DQUOTE] = ACTIONS(2362),
    [anon_sym_u_DQUOTE] = ACTIONS(2362),
    [anon_sym_U_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8_DQUOTE] = ACTIONS(2362),
    [sym_true] = ACTIONS(2360),
    [sym_false] = ACTIONS(2360),
    [anon_sym_NULL] = ACTIONS(2360),
    [anon_sym_nullptr] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2360),
    [anon_sym___typeof] = ACTIONS(2360),
    [anon_sym_typeof] = ACTIONS(2360),
    [anon_sym_ATimport] = ACTIONS(2362),
    [aux_sym_preproc_undef_token1] = ACTIONS(2360),
    [anon_sym_POUND] = ACTIONS(2360),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2360),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2360),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2360),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2360),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2360),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2360),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2360),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2360),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2360),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_API_AVAILABLE] = ACTIONS(2360),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_API_DEPRECATED] = ACTIONS(2360),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2360),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2360),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2360),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2360),
    [anon_sym___deprecated_msg] = ACTIONS(2360),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2360),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2360),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2360),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2360),
    [anon_sym_ATprotocol] = ACTIONS(2362),
    [anon_sym_ATinterface] = ACTIONS(2362),
    [anon_sym_ATimplementation] = ACTIONS(2362),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2362),
    [anon_sym_ATsynthesize] = ACTIONS(2362),
    [anon_sym_ATdynamic] = ACTIONS(2362),
    [anon_sym_ATtry] = ACTIONS(2362),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym_ATcatch] = ACTIONS(2362),
    [anon_sym___catch] = ACTIONS(2360),
    [anon_sym_ATfinally] = ACTIONS(2362),
    [anon_sym___finally] = ACTIONS(2360),
    [anon_sym_ATthrow] = ACTIONS(2362),
    [anon_sym_ATselector] = ACTIONS(2362),
    [anon_sym_ATavailable] = ACTIONS(2362),
    [anon_sym___builtin_available] = ACTIONS(2360),
    [anon_sym_va_arg] = ACTIONS(2360),
    [anon_sym_ATencode] = ACTIONS(2362),
    [anon_sym_ATsynchronized] = ACTIONS(2362),
    [anon_sym_BOOL] = ACTIONS(2360),
    [anon_sym_IMP] = ACTIONS(2360),
    [anon_sym_SEL] = ACTIONS(2360),
    [anon_sym_Class] = ACTIONS(2360),
    [anon_sym_id] = ACTIONS(2360),
  },
  [215] = {
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_include_token1] = ACTIONS(2452),
    [aux_sym_preproc_include_token2] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token2] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [aux_sym_preproc_else_token1] = ACTIONS(2452),
    [aux_sym_preproc_elif_token1] = ACTIONS(2452),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_BANG] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym___attribute] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_ATautoreleasepool] = ACTIONS(2454),
    [anon_sym_auto] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_CG_EXTERN] = ACTIONS(2452),
    [anon_sym_CG_INLINE] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2452),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2452),
    [anon_sym_IBOutlet] = ACTIONS(2452),
    [anon_sym_IBInspectable] = ACTIONS(2452),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2452),
    [anon_sym_NS_INLINE] = ACTIONS(2452),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2452),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2452),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym__Nonnull] = ACTIONS(2452),
    [anon_sym_nullable] = ACTIONS(2452),
    [anon_sym__Complex] = ACTIONS(2452),
    [anon_sym__Nullable] = ACTIONS(2452),
    [anon_sym__Nullable_result] = ACTIONS(2452),
    [anon_sym__Null_unspecified] = ACTIONS(2452),
    [anon_sym___autoreleasing] = ACTIONS(2452),
    [anon_sym___block] = ACTIONS(2452),
    [anon_sym___bridge] = ACTIONS(2452),
    [anon_sym___bridge_retained] = ACTIONS(2452),
    [anon_sym___bridge_transfer] = ACTIONS(2452),
    [anon_sym___complex] = ACTIONS(2452),
    [anon_sym___const] = ACTIONS(2452),
    [anon_sym___imag] = ACTIONS(2452),
    [anon_sym___kindof] = ACTIONS(2452),
    [anon_sym___nonnull] = ACTIONS(2452),
    [anon_sym___nullable] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2452),
    [anon_sym___real] = ACTIONS(2452),
    [anon_sym___strong] = ACTIONS(2452),
    [anon_sym___unsafe_unretained] = ACTIONS(2452),
    [anon_sym___unused] = ACTIONS(2452),
    [anon_sym___weak] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym__Alignas] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(2452),
    [anon_sym_case] = ACTIONS(2452),
    [anon_sym_default] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_do] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_break] = ACTIONS(2452),
    [anon_sym_continue] = ACTIONS(2452),
    [anon_sym_goto] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(2454),
    [anon_sym_sizeof] = ACTIONS(2452),
    [anon_sym___alignof__] = ACTIONS(2452),
    [anon_sym___alignof] = ACTIONS(2452),
    [anon_sym__alignof] = ACTIONS(2452),
    [anon_sym_alignof] = ACTIONS(2452),
    [anon_sym__Alignof] = ACTIONS(2452),
    [anon_sym_offsetof] = ACTIONS(2452),
    [anon_sym__Generic] = ACTIONS(2452),
    [anon_sym_asm] = ACTIONS(2452),
    [anon_sym___asm__] = ACTIONS(2452),
    [anon_sym___asm] = ACTIONS(2452),
    [sym_number_literal] = ACTIONS(2454),
    [anon_sym_L_SQUOTE] = ACTIONS(2454),
    [anon_sym_u_SQUOTE] = ACTIONS(2454),
    [anon_sym_U_SQUOTE] = ACTIONS(2454),
    [anon_sym_u8_SQUOTE] = ACTIONS(2454),
    [anon_sym_SQUOTE] = ACTIONS(2454),
    [anon_sym_AT] = ACTIONS(2452),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_L_DQUOTE] = ACTIONS(2454),
    [anon_sym_u_DQUOTE] = ACTIONS(2454),
    [anon_sym_U_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8_DQUOTE] = ACTIONS(2454),
    [sym_true] = ACTIONS(2452),
    [sym_false] = ACTIONS(2452),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2452),
    [anon_sym___typeof] = ACTIONS(2452),
    [anon_sym_typeof] = ACTIONS(2452),
    [anon_sym_ATimport] = ACTIONS(2454),
    [aux_sym_preproc_undef_token1] = ACTIONS(2452),
    [anon_sym_POUND] = ACTIONS(2452),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2452),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2452),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2452),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_API_AVAILABLE] = ACTIONS(2452),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_API_DEPRECATED] = ACTIONS(2452),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym___deprecated_msg] = ACTIONS(2452),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2452),
    [anon_sym_ATprotocol] = ACTIONS(2454),
    [anon_sym_ATinterface] = ACTIONS(2454),
    [anon_sym_ATimplementation] = ACTIONS(2454),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2454),
    [anon_sym_ATsynthesize] = ACTIONS(2454),
    [anon_sym_ATdynamic] = ACTIONS(2454),
    [anon_sym_ATtry] = ACTIONS(2454),
    [anon_sym___try] = ACTIONS(2452),
    [anon_sym_ATthrow] = ACTIONS(2454),
    [anon_sym_ATselector] = ACTIONS(2454),
    [anon_sym_ATavailable] = ACTIONS(2454),
    [anon_sym___builtin_available] = ACTIONS(2452),
    [anon_sym_va_arg] = ACTIONS(2452),
    [anon_sym_ATencode] = ACTIONS(2454),
    [anon_sym_ATsynchronized] = ACTIONS(2454),
    [anon_sym_BOOL] = ACTIONS(2452),
    [anon_sym_IMP] = ACTIONS(2452),
    [anon_sym_SEL] = ACTIONS(2452),
    [anon_sym_Class] = ACTIONS(2452),
    [anon_sym_id] = ACTIONS(2452),
  },
  [216] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [217] = {
    [sym_identifier] = ACTIONS(2436),
    [aux_sym_preproc_include_token1] = ACTIONS(2436),
    [aux_sym_preproc_include_token2] = ACTIONS(2436),
    [aux_sym_preproc_def_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token2] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2436),
    [aux_sym_preproc_else_token1] = ACTIONS(2436),
    [aux_sym_preproc_elif_token1] = ACTIONS(2436),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2436),
    [sym_preproc_directive] = ACTIONS(2436),
    [anon_sym_LPAREN2] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_CARET] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym___attribute] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym___cdecl] = ACTIONS(2436),
    [anon_sym___clrcall] = ACTIONS(2436),
    [anon_sym___stdcall] = ACTIONS(2436),
    [anon_sym___fastcall] = ACTIONS(2436),
    [anon_sym___thiscall] = ACTIONS(2436),
    [anon_sym___vectorcall] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_ATautoreleasepool] = ACTIONS(2438),
    [anon_sym_auto] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_CG_EXTERN] = ACTIONS(2436),
    [anon_sym_CG_INLINE] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2436),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2436),
    [anon_sym_IBOutlet] = ACTIONS(2436),
    [anon_sym_IBInspectable] = ACTIONS(2436),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2436),
    [anon_sym_NS_INLINE] = ACTIONS(2436),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2436),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2436),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym__Nonnull] = ACTIONS(2436),
    [anon_sym_nullable] = ACTIONS(2436),
    [anon_sym__Complex] = ACTIONS(2436),
    [anon_sym__Nullable] = ACTIONS(2436),
    [anon_sym__Nullable_result] = ACTIONS(2436),
    [anon_sym__Null_unspecified] = ACTIONS(2436),
    [anon_sym___autoreleasing] = ACTIONS(2436),
    [anon_sym___block] = ACTIONS(2436),
    [anon_sym___bridge] = ACTIONS(2436),
    [anon_sym___bridge_retained] = ACTIONS(2436),
    [anon_sym___bridge_transfer] = ACTIONS(2436),
    [anon_sym___complex] = ACTIONS(2436),
    [anon_sym___const] = ACTIONS(2436),
    [anon_sym___imag] = ACTIONS(2436),
    [anon_sym___kindof] = ACTIONS(2436),
    [anon_sym___nonnull] = ACTIONS(2436),
    [anon_sym___nullable] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2436),
    [anon_sym___real] = ACTIONS(2436),
    [anon_sym___strong] = ACTIONS(2436),
    [anon_sym___unsafe_unretained] = ACTIONS(2436),
    [anon_sym___unused] = ACTIONS(2436),
    [anon_sym___weak] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym__Alignas] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_else] = ACTIONS(2436),
    [anon_sym_switch] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(2436),
    [anon_sym_default] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_in] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2436),
    [anon_sym_break] = ACTIONS(2436),
    [anon_sym_continue] = ACTIONS(2436),
    [anon_sym_goto] = ACTIONS(2436),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_sizeof] = ACTIONS(2436),
    [anon_sym___alignof__] = ACTIONS(2436),
    [anon_sym___alignof] = ACTIONS(2436),
    [anon_sym__alignof] = ACTIONS(2436),
    [anon_sym_alignof] = ACTIONS(2436),
    [anon_sym__Alignof] = ACTIONS(2436),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2436),
    [anon_sym_asm] = ACTIONS(2436),
    [anon_sym___asm__] = ACTIONS(2436),
    [anon_sym___asm] = ACTIONS(2436),
    [sym_number_literal] = ACTIONS(2438),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_AT] = ACTIONS(2436),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2438),
    [anon_sym_u_DQUOTE] = ACTIONS(2438),
    [anon_sym_U_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8_DQUOTE] = ACTIONS(2438),
    [sym_true] = ACTIONS(2436),
    [sym_false] = ACTIONS(2436),
    [anon_sym_NULL] = ACTIONS(2436),
    [anon_sym_nullptr] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2436),
    [anon_sym___typeof] = ACTIONS(2436),
    [anon_sym_typeof] = ACTIONS(2436),
    [anon_sym_ATimport] = ACTIONS(2438),
    [aux_sym_preproc_undef_token1] = ACTIONS(2436),
    [anon_sym_POUND] = ACTIONS(2436),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2436),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2436),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2436),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_API_AVAILABLE] = ACTIONS(2436),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_API_DEPRECATED] = ACTIONS(2436),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym___deprecated_msg] = ACTIONS(2436),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2436),
    [anon_sym_ATprotocol] = ACTIONS(2438),
    [anon_sym_ATinterface] = ACTIONS(2438),
    [anon_sym_ATimplementation] = ACTIONS(2438),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2438),
    [anon_sym_ATsynthesize] = ACTIONS(2438),
    [anon_sym_ATdynamic] = ACTIONS(2438),
    [anon_sym_ATtry] = ACTIONS(2438),
    [anon_sym___try] = ACTIONS(2436),
    [anon_sym_ATthrow] = ACTIONS(2438),
    [anon_sym_ATselector] = ACTIONS(2438),
    [anon_sym_ATavailable] = ACTIONS(2438),
    [anon_sym___builtin_available] = ACTIONS(2436),
    [anon_sym_va_arg] = ACTIONS(2436),
    [anon_sym_ATencode] = ACTIONS(2438),
    [anon_sym_ATsynchronized] = ACTIONS(2438),
    [anon_sym_BOOL] = ACTIONS(2436),
    [anon_sym_IMP] = ACTIONS(2436),
    [anon_sym_SEL] = ACTIONS(2436),
    [anon_sym_Class] = ACTIONS(2436),
    [anon_sym_id] = ACTIONS(2436),
  },
  [218] = {
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_include_token1] = ACTIONS(2452),
    [aux_sym_preproc_include_token2] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token2] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [aux_sym_preproc_else_token1] = ACTIONS(2452),
    [aux_sym_preproc_elif_token1] = ACTIONS(2452),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_BANG] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym___attribute] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_ATautoreleasepool] = ACTIONS(2454),
    [anon_sym_auto] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_CG_EXTERN] = ACTIONS(2452),
    [anon_sym_CG_INLINE] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2452),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2452),
    [anon_sym_IBOutlet] = ACTIONS(2452),
    [anon_sym_IBInspectable] = ACTIONS(2452),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2452),
    [anon_sym_NS_INLINE] = ACTIONS(2452),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2452),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2452),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym__Nonnull] = ACTIONS(2452),
    [anon_sym_nullable] = ACTIONS(2452),
    [anon_sym__Complex] = ACTIONS(2452),
    [anon_sym__Nullable] = ACTIONS(2452),
    [anon_sym__Nullable_result] = ACTIONS(2452),
    [anon_sym__Null_unspecified] = ACTIONS(2452),
    [anon_sym___autoreleasing] = ACTIONS(2452),
    [anon_sym___block] = ACTIONS(2452),
    [anon_sym___bridge] = ACTIONS(2452),
    [anon_sym___bridge_retained] = ACTIONS(2452),
    [anon_sym___bridge_transfer] = ACTIONS(2452),
    [anon_sym___complex] = ACTIONS(2452),
    [anon_sym___const] = ACTIONS(2452),
    [anon_sym___imag] = ACTIONS(2452),
    [anon_sym___kindof] = ACTIONS(2452),
    [anon_sym___nonnull] = ACTIONS(2452),
    [anon_sym___nullable] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2452),
    [anon_sym___real] = ACTIONS(2452),
    [anon_sym___strong] = ACTIONS(2452),
    [anon_sym___unsafe_unretained] = ACTIONS(2452),
    [anon_sym___unused] = ACTIONS(2452),
    [anon_sym___weak] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym__Alignas] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(2452),
    [anon_sym_case] = ACTIONS(2452),
    [anon_sym_default] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_do] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_break] = ACTIONS(2452),
    [anon_sym_continue] = ACTIONS(2452),
    [anon_sym_goto] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(2454),
    [anon_sym_sizeof] = ACTIONS(2452),
    [anon_sym___alignof__] = ACTIONS(2452),
    [anon_sym___alignof] = ACTIONS(2452),
    [anon_sym__alignof] = ACTIONS(2452),
    [anon_sym_alignof] = ACTIONS(2452),
    [anon_sym__Alignof] = ACTIONS(2452),
    [anon_sym_offsetof] = ACTIONS(2452),
    [anon_sym__Generic] = ACTIONS(2452),
    [anon_sym_asm] = ACTIONS(2452),
    [anon_sym___asm__] = ACTIONS(2452),
    [anon_sym___asm] = ACTIONS(2452),
    [sym_number_literal] = ACTIONS(2454),
    [anon_sym_L_SQUOTE] = ACTIONS(2454),
    [anon_sym_u_SQUOTE] = ACTIONS(2454),
    [anon_sym_U_SQUOTE] = ACTIONS(2454),
    [anon_sym_u8_SQUOTE] = ACTIONS(2454),
    [anon_sym_SQUOTE] = ACTIONS(2454),
    [anon_sym_AT] = ACTIONS(2452),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_L_DQUOTE] = ACTIONS(2454),
    [anon_sym_u_DQUOTE] = ACTIONS(2454),
    [anon_sym_U_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8_DQUOTE] = ACTIONS(2454),
    [sym_true] = ACTIONS(2452),
    [sym_false] = ACTIONS(2452),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2452),
    [anon_sym___typeof] = ACTIONS(2452),
    [anon_sym_typeof] = ACTIONS(2452),
    [anon_sym_ATimport] = ACTIONS(2454),
    [aux_sym_preproc_undef_token1] = ACTIONS(2452),
    [anon_sym_POUND] = ACTIONS(2452),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2452),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2452),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2452),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_API_AVAILABLE] = ACTIONS(2452),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_API_DEPRECATED] = ACTIONS(2452),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym___deprecated_msg] = ACTIONS(2452),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2452),
    [anon_sym_ATprotocol] = ACTIONS(2454),
    [anon_sym_ATinterface] = ACTIONS(2454),
    [anon_sym_ATimplementation] = ACTIONS(2454),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2454),
    [anon_sym_ATsynthesize] = ACTIONS(2454),
    [anon_sym_ATdynamic] = ACTIONS(2454),
    [anon_sym_ATtry] = ACTIONS(2454),
    [anon_sym___try] = ACTIONS(2452),
    [anon_sym_ATthrow] = ACTIONS(2454),
    [anon_sym_ATselector] = ACTIONS(2454),
    [anon_sym_ATavailable] = ACTIONS(2454),
    [anon_sym___builtin_available] = ACTIONS(2452),
    [anon_sym_va_arg] = ACTIONS(2452),
    [anon_sym_ATencode] = ACTIONS(2454),
    [anon_sym_ATsynchronized] = ACTIONS(2454),
    [anon_sym_BOOL] = ACTIONS(2452),
    [anon_sym_IMP] = ACTIONS(2452),
    [anon_sym_SEL] = ACTIONS(2452),
    [anon_sym_Class] = ACTIONS(2452),
    [anon_sym_id] = ACTIONS(2452),
  },
  [219] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_include_token1] = ACTIONS(2448),
    [aux_sym_preproc_include_token2] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token2] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [aux_sym_preproc_else_token1] = ACTIONS(2448),
    [aux_sym_preproc_elif_token1] = ACTIONS(2448),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym___attribute] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___cdecl] = ACTIONS(2448),
    [anon_sym___clrcall] = ACTIONS(2448),
    [anon_sym___stdcall] = ACTIONS(2448),
    [anon_sym___fastcall] = ACTIONS(2448),
    [anon_sym___thiscall] = ACTIONS(2448),
    [anon_sym___vectorcall] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_ATautoreleasepool] = ACTIONS(2450),
    [anon_sym_auto] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_CG_EXTERN] = ACTIONS(2448),
    [anon_sym_CG_INLINE] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2448),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2448),
    [anon_sym_IBOutlet] = ACTIONS(2448),
    [anon_sym_IBInspectable] = ACTIONS(2448),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2448),
    [anon_sym_NS_INLINE] = ACTIONS(2448),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2448),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2448),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym__Nonnull] = ACTIONS(2448),
    [anon_sym_nullable] = ACTIONS(2448),
    [anon_sym__Complex] = ACTIONS(2448),
    [anon_sym__Nullable] = ACTIONS(2448),
    [anon_sym__Nullable_result] = ACTIONS(2448),
    [anon_sym__Null_unspecified] = ACTIONS(2448),
    [anon_sym___autoreleasing] = ACTIONS(2448),
    [anon_sym___block] = ACTIONS(2448),
    [anon_sym___bridge] = ACTIONS(2448),
    [anon_sym___bridge_retained] = ACTIONS(2448),
    [anon_sym___bridge_transfer] = ACTIONS(2448),
    [anon_sym___complex] = ACTIONS(2448),
    [anon_sym___const] = ACTIONS(2448),
    [anon_sym___imag] = ACTIONS(2448),
    [anon_sym___kindof] = ACTIONS(2448),
    [anon_sym___nonnull] = ACTIONS(2448),
    [anon_sym___nullable] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2448),
    [anon_sym___real] = ACTIONS(2448),
    [anon_sym___strong] = ACTIONS(2448),
    [anon_sym___unsafe_unretained] = ACTIONS(2448),
    [anon_sym___unused] = ACTIONS(2448),
    [anon_sym___weak] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym__Alignas] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_switch] = ACTIONS(2448),
    [anon_sym_case] = ACTIONS(2448),
    [anon_sym_default] = ACTIONS(2448),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_do] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_break] = ACTIONS(2448),
    [anon_sym_continue] = ACTIONS(2448),
    [anon_sym_goto] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_sizeof] = ACTIONS(2448),
    [anon_sym___alignof__] = ACTIONS(2448),
    [anon_sym___alignof] = ACTIONS(2448),
    [anon_sym__alignof] = ACTIONS(2448),
    [anon_sym_alignof] = ACTIONS(2448),
    [anon_sym__Alignof] = ACTIONS(2448),
    [anon_sym_offsetof] = ACTIONS(2448),
    [anon_sym__Generic] = ACTIONS(2448),
    [anon_sym_asm] = ACTIONS(2448),
    [anon_sym___asm__] = ACTIONS(2448),
    [anon_sym___asm] = ACTIONS(2448),
    [sym_number_literal] = ACTIONS(2450),
    [anon_sym_L_SQUOTE] = ACTIONS(2450),
    [anon_sym_u_SQUOTE] = ACTIONS(2450),
    [anon_sym_U_SQUOTE] = ACTIONS(2450),
    [anon_sym_u8_SQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_AT] = ACTIONS(2448),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_L_DQUOTE] = ACTIONS(2450),
    [anon_sym_u_DQUOTE] = ACTIONS(2450),
    [anon_sym_U_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8_DQUOTE] = ACTIONS(2450),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2448),
    [anon_sym_nullptr] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2448),
    [anon_sym___typeof] = ACTIONS(2448),
    [anon_sym_typeof] = ACTIONS(2448),
    [anon_sym_ATimport] = ACTIONS(2450),
    [aux_sym_preproc_undef_token1] = ACTIONS(2448),
    [anon_sym_POUND] = ACTIONS(2448),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2448),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2448),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2448),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_API_AVAILABLE] = ACTIONS(2448),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_API_DEPRECATED] = ACTIONS(2448),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym___deprecated_msg] = ACTIONS(2448),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2448),
    [anon_sym_ATprotocol] = ACTIONS(2450),
    [anon_sym_ATinterface] = ACTIONS(2450),
    [anon_sym_ATimplementation] = ACTIONS(2450),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2450),
    [anon_sym_ATsynthesize] = ACTIONS(2450),
    [anon_sym_ATdynamic] = ACTIONS(2450),
    [anon_sym_ATtry] = ACTIONS(2450),
    [anon_sym___try] = ACTIONS(2448),
    [anon_sym_ATthrow] = ACTIONS(2450),
    [anon_sym_ATselector] = ACTIONS(2450),
    [anon_sym_ATavailable] = ACTIONS(2450),
    [anon_sym___builtin_available] = ACTIONS(2448),
    [anon_sym_va_arg] = ACTIONS(2448),
    [anon_sym_ATencode] = ACTIONS(2450),
    [anon_sym_ATsynchronized] = ACTIONS(2450),
    [anon_sym_BOOL] = ACTIONS(2448),
    [anon_sym_IMP] = ACTIONS(2448),
    [anon_sym_SEL] = ACTIONS(2448),
    [anon_sym_Class] = ACTIONS(2448),
    [anon_sym_id] = ACTIONS(2448),
  },
  [220] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_include_token2] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token2] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [aux_sym_preproc_else_token1] = ACTIONS(2460),
    [aux_sym_preproc_elif_token1] = ACTIONS(2460),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_CARET] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_ATautoreleasepool] = ACTIONS(2462),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_else] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [anon_sym___asm] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_AT] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [anon_sym_ATimport] = ACTIONS(2462),
    [aux_sym_preproc_undef_token1] = ACTIONS(2460),
    [anon_sym_POUND] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATprotocol] = ACTIONS(2462),
    [anon_sym_ATinterface] = ACTIONS(2462),
    [anon_sym_ATimplementation] = ACTIONS(2462),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2462),
    [anon_sym_ATsynthesize] = ACTIONS(2462),
    [anon_sym_ATdynamic] = ACTIONS(2462),
    [anon_sym_ATtry] = ACTIONS(2462),
    [anon_sym___try] = ACTIONS(2460),
    [anon_sym_ATthrow] = ACTIONS(2462),
    [anon_sym_ATselector] = ACTIONS(2462),
    [anon_sym_ATavailable] = ACTIONS(2462),
    [anon_sym___builtin_available] = ACTIONS(2460),
    [anon_sym_va_arg] = ACTIONS(2460),
    [anon_sym_ATencode] = ACTIONS(2462),
    [anon_sym_ATsynchronized] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [221] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_include_token2] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token2] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [aux_sym_preproc_else_token1] = ACTIONS(2460),
    [aux_sym_preproc_elif_token1] = ACTIONS(2460),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_CARET] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_ATautoreleasepool] = ACTIONS(2462),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_else] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [anon_sym___asm] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_AT] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [anon_sym_ATimport] = ACTIONS(2462),
    [aux_sym_preproc_undef_token1] = ACTIONS(2460),
    [anon_sym_POUND] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATprotocol] = ACTIONS(2462),
    [anon_sym_ATinterface] = ACTIONS(2462),
    [anon_sym_ATimplementation] = ACTIONS(2462),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2462),
    [anon_sym_ATsynthesize] = ACTIONS(2462),
    [anon_sym_ATdynamic] = ACTIONS(2462),
    [anon_sym_ATtry] = ACTIONS(2462),
    [anon_sym___try] = ACTIONS(2460),
    [anon_sym_ATthrow] = ACTIONS(2462),
    [anon_sym_ATselector] = ACTIONS(2462),
    [anon_sym_ATavailable] = ACTIONS(2462),
    [anon_sym___builtin_available] = ACTIONS(2460),
    [anon_sym_va_arg] = ACTIONS(2460),
    [anon_sym_ATencode] = ACTIONS(2462),
    [anon_sym_ATsynchronized] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [222] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_include_token2] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token2] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [aux_sym_preproc_else_token1] = ACTIONS(2460),
    [aux_sym_preproc_elif_token1] = ACTIONS(2460),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_CARET] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_ATautoreleasepool] = ACTIONS(2462),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_else] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [anon_sym___asm] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_AT] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [anon_sym_ATimport] = ACTIONS(2462),
    [aux_sym_preproc_undef_token1] = ACTIONS(2460),
    [anon_sym_POUND] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATprotocol] = ACTIONS(2462),
    [anon_sym_ATinterface] = ACTIONS(2462),
    [anon_sym_ATimplementation] = ACTIONS(2462),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2462),
    [anon_sym_ATsynthesize] = ACTIONS(2462),
    [anon_sym_ATdynamic] = ACTIONS(2462),
    [anon_sym_ATtry] = ACTIONS(2462),
    [anon_sym___try] = ACTIONS(2460),
    [anon_sym_ATthrow] = ACTIONS(2462),
    [anon_sym_ATselector] = ACTIONS(2462),
    [anon_sym_ATavailable] = ACTIONS(2462),
    [anon_sym___builtin_available] = ACTIONS(2460),
    [anon_sym_va_arg] = ACTIONS(2460),
    [anon_sym_ATencode] = ACTIONS(2462),
    [anon_sym_ATsynchronized] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [223] = {
    [sym_catch_clause] = STATE(223),
    [aux_sym_try_statement_repeat1] = STATE(223),
    [ts_builtin_sym_end] = ACTIONS(2320),
    [sym_identifier] = ACTIONS(2318),
    [aux_sym_preproc_include_token1] = ACTIONS(2318),
    [aux_sym_preproc_include_token2] = ACTIONS(2318),
    [aux_sym_preproc_def_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2318),
    [sym_preproc_directive] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_BANG] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_SEMI] = ACTIONS(2320),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_typedef] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym___attribute] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym___cdecl] = ACTIONS(2318),
    [anon_sym___clrcall] = ACTIONS(2318),
    [anon_sym___stdcall] = ACTIONS(2318),
    [anon_sym___fastcall] = ACTIONS(2318),
    [anon_sym___thiscall] = ACTIONS(2318),
    [anon_sym___vectorcall] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_ATautoreleasepool] = ACTIONS(2320),
    [anon_sym_auto] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_CG_EXTERN] = ACTIONS(2318),
    [anon_sym_CG_INLINE] = ACTIONS(2318),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2318),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2318),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2318),
    [anon_sym_IBOutlet] = ACTIONS(2318),
    [anon_sym_IBInspectable] = ACTIONS(2318),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2318),
    [anon_sym_NS_INLINE] = ACTIONS(2318),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2318),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2318),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2318),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym__Nonnull] = ACTIONS(2318),
    [anon_sym_nullable] = ACTIONS(2318),
    [anon_sym__Complex] = ACTIONS(2318),
    [anon_sym__Nullable] = ACTIONS(2318),
    [anon_sym__Nullable_result] = ACTIONS(2318),
    [anon_sym__Null_unspecified] = ACTIONS(2318),
    [anon_sym___autoreleasing] = ACTIONS(2318),
    [anon_sym___block] = ACTIONS(2318),
    [anon_sym___bridge] = ACTIONS(2318),
    [anon_sym___bridge_retained] = ACTIONS(2318),
    [anon_sym___bridge_transfer] = ACTIONS(2318),
    [anon_sym___complex] = ACTIONS(2318),
    [anon_sym___const] = ACTIONS(2318),
    [anon_sym___imag] = ACTIONS(2318),
    [anon_sym___kindof] = ACTIONS(2318),
    [anon_sym___nonnull] = ACTIONS(2318),
    [anon_sym___nullable] = ACTIONS(2318),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2318),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2318),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2318),
    [anon_sym___real] = ACTIONS(2318),
    [anon_sym___strong] = ACTIONS(2318),
    [anon_sym___unsafe_unretained] = ACTIONS(2318),
    [anon_sym___unused] = ACTIONS(2318),
    [anon_sym___weak] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym__Alignas] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_else] = ACTIONS(2318),
    [anon_sym_switch] = ACTIONS(2318),
    [anon_sym_case] = ACTIONS(2318),
    [anon_sym_default] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_do] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_break] = ACTIONS(2318),
    [anon_sym_continue] = ACTIONS(2318),
    [anon_sym_goto] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2320),
    [anon_sym_sizeof] = ACTIONS(2318),
    [anon_sym___alignof__] = ACTIONS(2318),
    [anon_sym___alignof] = ACTIONS(2318),
    [anon_sym__alignof] = ACTIONS(2318),
    [anon_sym_alignof] = ACTIONS(2318),
    [anon_sym__Alignof] = ACTIONS(2318),
    [anon_sym_offsetof] = ACTIONS(2318),
    [anon_sym__Generic] = ACTIONS(2318),
    [anon_sym_asm] = ACTIONS(2318),
    [anon_sym___asm__] = ACTIONS(2318),
    [anon_sym___asm] = ACTIONS(2318),
    [sym_number_literal] = ACTIONS(2320),
    [anon_sym_L_SQUOTE] = ACTIONS(2320),
    [anon_sym_u_SQUOTE] = ACTIONS(2320),
    [anon_sym_U_SQUOTE] = ACTIONS(2320),
    [anon_sym_u8_SQUOTE] = ACTIONS(2320),
    [anon_sym_SQUOTE] = ACTIONS(2320),
    [anon_sym_AT] = ACTIONS(2318),
    [anon_sym_DQUOTE] = ACTIONS(2320),
    [anon_sym_L_DQUOTE] = ACTIONS(2320),
    [anon_sym_u_DQUOTE] = ACTIONS(2320),
    [anon_sym_U_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8_DQUOTE] = ACTIONS(2320),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2318),
    [anon_sym_nullptr] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2318),
    [anon_sym___typeof] = ACTIONS(2318),
    [anon_sym_typeof] = ACTIONS(2318),
    [anon_sym_ATimport] = ACTIONS(2320),
    [aux_sym_preproc_undef_token1] = ACTIONS(2318),
    [anon_sym_POUND] = ACTIONS(2318),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2318),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2318),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2318),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2318),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2318),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2318),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2318),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2318),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2318),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_API_AVAILABLE] = ACTIONS(2318),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_API_DEPRECATED] = ACTIONS(2318),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2318),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2318),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2318),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2318),
    [anon_sym___deprecated_msg] = ACTIONS(2318),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2318),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2318),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2318),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2318),
    [anon_sym_ATprotocol] = ACTIONS(2320),
    [anon_sym_ATinterface] = ACTIONS(2320),
    [anon_sym_ATimplementation] = ACTIONS(2320),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2320),
    [anon_sym_ATtry] = ACTIONS(2320),
    [anon_sym___try] = ACTIONS(2318),
    [anon_sym_ATcatch] = ACTIONS(2464),
    [anon_sym___catch] = ACTIONS(2467),
    [anon_sym_ATfinally] = ACTIONS(2320),
    [anon_sym___finally] = ACTIONS(2318),
    [anon_sym_ATthrow] = ACTIONS(2320),
    [anon_sym_ATselector] = ACTIONS(2320),
    [anon_sym_ATavailable] = ACTIONS(2320),
    [anon_sym___builtin_available] = ACTIONS(2318),
    [anon_sym_va_arg] = ACTIONS(2318),
    [anon_sym_ATencode] = ACTIONS(2320),
    [anon_sym_ATsynchronized] = ACTIONS(2320),
    [anon_sym_BOOL] = ACTIONS(2318),
    [anon_sym_IMP] = ACTIONS(2318),
    [anon_sym_SEL] = ACTIONS(2318),
    [anon_sym_Class] = ACTIONS(2318),
    [anon_sym_id] = ACTIONS(2318),
  },
  [224] = {
    [sym_identifier] = ACTIONS(2470),
    [aux_sym_preproc_include_token1] = ACTIONS(2470),
    [aux_sym_preproc_include_token2] = ACTIONS(2470),
    [aux_sym_preproc_def_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token2] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2470),
    [aux_sym_preproc_else_token1] = ACTIONS(2470),
    [aux_sym_preproc_elif_token1] = ACTIONS(2470),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2470),
    [sym_preproc_directive] = ACTIONS(2470),
    [anon_sym_LPAREN2] = ACTIONS(2472),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_CARET] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2470),
    [anon_sym_extern] = ACTIONS(2470),
    [anon_sym___attribute__] = ACTIONS(2470),
    [anon_sym___attribute] = ACTIONS(2470),
    [anon_sym_noreturn] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym___declspec] = ACTIONS(2470),
    [anon_sym___cdecl] = ACTIONS(2470),
    [anon_sym___clrcall] = ACTIONS(2470),
    [anon_sym___stdcall] = ACTIONS(2470),
    [anon_sym___fastcall] = ACTIONS(2470),
    [anon_sym___thiscall] = ACTIONS(2470),
    [anon_sym___vectorcall] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_signed] = ACTIONS(2470),
    [anon_sym_unsigned] = ACTIONS(2470),
    [anon_sym_long] = ACTIONS(2470),
    [anon_sym_short] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_ATautoreleasepool] = ACTIONS(2472),
    [anon_sym_auto] = ACTIONS(2470),
    [anon_sym_register] = ACTIONS(2470),
    [anon_sym_inline] = ACTIONS(2470),
    [anon_sym___inline] = ACTIONS(2470),
    [anon_sym___inline__] = ACTIONS(2470),
    [anon_sym___forceinline] = ACTIONS(2470),
    [anon_sym_thread_local] = ACTIONS(2470),
    [anon_sym___thread] = ACTIONS(2470),
    [anon_sym_CG_EXTERN] = ACTIONS(2470),
    [anon_sym_CG_INLINE] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2470),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2470),
    [anon_sym_IBOutlet] = ACTIONS(2470),
    [anon_sym_IBInspectable] = ACTIONS(2470),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2470),
    [anon_sym_NS_INLINE] = ACTIONS(2470),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2470),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2470),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2470),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_constexpr] = ACTIONS(2470),
    [anon_sym_volatile] = ACTIONS(2470),
    [anon_sym_restrict] = ACTIONS(2470),
    [anon_sym___restrict__] = ACTIONS(2470),
    [anon_sym__Atomic] = ACTIONS(2470),
    [anon_sym__Noreturn] = ACTIONS(2470),
    [anon_sym__Nonnull] = ACTIONS(2470),
    [anon_sym_nullable] = ACTIONS(2470),
    [anon_sym__Complex] = ACTIONS(2470),
    [anon_sym__Nullable] = ACTIONS(2470),
    [anon_sym__Nullable_result] = ACTIONS(2470),
    [anon_sym__Null_unspecified] = ACTIONS(2470),
    [anon_sym___autoreleasing] = ACTIONS(2470),
    [anon_sym___block] = ACTIONS(2470),
    [anon_sym___bridge] = ACTIONS(2470),
    [anon_sym___bridge_retained] = ACTIONS(2470),
    [anon_sym___bridge_transfer] = ACTIONS(2470),
    [anon_sym___complex] = ACTIONS(2470),
    [anon_sym___const] = ACTIONS(2470),
    [anon_sym___imag] = ACTIONS(2470),
    [anon_sym___kindof] = ACTIONS(2470),
    [anon_sym___nonnull] = ACTIONS(2470),
    [anon_sym___nullable] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2470),
    [anon_sym___real] = ACTIONS(2470),
    [anon_sym___strong] = ACTIONS(2470),
    [anon_sym___unsafe_unretained] = ACTIONS(2470),
    [anon_sym___unused] = ACTIONS(2470),
    [anon_sym___weak] = ACTIONS(2470),
    [anon_sym_alignas] = ACTIONS(2470),
    [anon_sym__Alignas] = ACTIONS(2470),
    [sym_primitive_type] = ACTIONS(2470),
    [anon_sym_enum] = ACTIONS(2470),
    [anon_sym_struct] = ACTIONS(2470),
    [anon_sym_union] = ACTIONS(2470),
    [anon_sym_if] = ACTIONS(2470),
    [anon_sym_else] = ACTIONS(2470),
    [anon_sym_switch] = ACTIONS(2470),
    [anon_sym_case] = ACTIONS(2470),
    [anon_sym_default] = ACTIONS(2470),
    [anon_sym_while] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_in] = ACTIONS(2470),
    [anon_sym_return] = ACTIONS(2470),
    [anon_sym_break] = ACTIONS(2470),
    [anon_sym_continue] = ACTIONS(2470),
    [anon_sym_goto] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_PLUS] = ACTIONS(2472),
    [anon_sym_sizeof] = ACTIONS(2470),
    [anon_sym___alignof__] = ACTIONS(2470),
    [anon_sym___alignof] = ACTIONS(2470),
    [anon_sym__alignof] = ACTIONS(2470),
    [anon_sym_alignof] = ACTIONS(2470),
    [anon_sym__Alignof] = ACTIONS(2470),
    [anon_sym_offsetof] = ACTIONS(2470),
    [anon_sym__Generic] = ACTIONS(2470),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2472),
    [anon_sym_u_SQUOTE] = ACTIONS(2472),
    [anon_sym_U_SQUOTE] = ACTIONS(2472),
    [anon_sym_u8_SQUOTE] = ACTIONS(2472),
    [anon_sym_SQUOTE] = ACTIONS(2472),
    [anon_sym_AT] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2470),
    [sym_false] = ACTIONS(2470),
    [anon_sym_NULL] = ACTIONS(2470),
    [anon_sym_nullptr] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2470),
    [anon_sym___typeof] = ACTIONS(2470),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_ATimport] = ACTIONS(2472),
    [aux_sym_preproc_undef_token1] = ACTIONS(2470),
    [anon_sym_POUND] = ACTIONS(2470),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2470),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2470),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2470),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_API_AVAILABLE] = ACTIONS(2470),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_API_DEPRECATED] = ACTIONS(2470),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym___deprecated_msg] = ACTIONS(2470),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2470),
    [anon_sym_ATprotocol] = ACTIONS(2472),
    [anon_sym_ATinterface] = ACTIONS(2472),
    [anon_sym_ATimplementation] = ACTIONS(2472),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2472),
    [anon_sym_ATsynthesize] = ACTIONS(2472),
    [anon_sym_ATdynamic] = ACTIONS(2472),
    [anon_sym_ATtry] = ACTIONS(2472),
    [anon_sym___try] = ACTIONS(2470),
    [anon_sym_ATthrow] = ACTIONS(2472),
    [anon_sym_ATselector] = ACTIONS(2472),
    [anon_sym_ATavailable] = ACTIONS(2472),
    [anon_sym___builtin_available] = ACTIONS(2470),
    [anon_sym_va_arg] = ACTIONS(2470),
    [anon_sym_ATencode] = ACTIONS(2472),
    [anon_sym_ATsynchronized] = ACTIONS(2472),
    [anon_sym_BOOL] = ACTIONS(2470),
    [anon_sym_IMP] = ACTIONS(2470),
    [anon_sym_SEL] = ACTIONS(2470),
    [anon_sym_Class] = ACTIONS(2470),
    [anon_sym_id] = ACTIONS(2470),
  },
  [225] = {
    [sym_identifier] = ACTIONS(2346),
    [aux_sym_preproc_include_token1] = ACTIONS(2346),
    [aux_sym_preproc_include_token2] = ACTIONS(2346),
    [aux_sym_preproc_def_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token2] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2346),
    [sym_preproc_directive] = ACTIONS(2346),
    [anon_sym_LPAREN2] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_CARET] = ACTIONS(2348),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym___extension__] = ACTIONS(2346),
    [anon_sym_typedef] = ACTIONS(2346),
    [anon_sym_extern] = ACTIONS(2346),
    [anon_sym___attribute__] = ACTIONS(2346),
    [anon_sym___attribute] = ACTIONS(2346),
    [anon_sym_noreturn] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym___declspec] = ACTIONS(2346),
    [anon_sym___cdecl] = ACTIONS(2346),
    [anon_sym___clrcall] = ACTIONS(2346),
    [anon_sym___stdcall] = ACTIONS(2346),
    [anon_sym___fastcall] = ACTIONS(2346),
    [anon_sym___thiscall] = ACTIONS(2346),
    [anon_sym___vectorcall] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_signed] = ACTIONS(2346),
    [anon_sym_unsigned] = ACTIONS(2346),
    [anon_sym_long] = ACTIONS(2346),
    [anon_sym_short] = ACTIONS(2346),
    [anon_sym_static] = ACTIONS(2346),
    [anon_sym_ATautoreleasepool] = ACTIONS(2348),
    [anon_sym_auto] = ACTIONS(2346),
    [anon_sym_register] = ACTIONS(2346),
    [anon_sym_inline] = ACTIONS(2346),
    [anon_sym___inline] = ACTIONS(2346),
    [anon_sym___inline__] = ACTIONS(2346),
    [anon_sym___forceinline] = ACTIONS(2346),
    [anon_sym_thread_local] = ACTIONS(2346),
    [anon_sym___thread] = ACTIONS(2346),
    [anon_sym_CG_EXTERN] = ACTIONS(2346),
    [anon_sym_CG_INLINE] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2346),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2346),
    [anon_sym_IBOutlet] = ACTIONS(2346),
    [anon_sym_IBInspectable] = ACTIONS(2346),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2346),
    [anon_sym_NS_INLINE] = ACTIONS(2346),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2346),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2346),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2346),
    [anon_sym_const] = ACTIONS(2346),
    [anon_sym_constexpr] = ACTIONS(2346),
    [anon_sym_volatile] = ACTIONS(2346),
    [anon_sym_restrict] = ACTIONS(2346),
    [anon_sym___restrict__] = ACTIONS(2346),
    [anon_sym__Atomic] = ACTIONS(2346),
    [anon_sym__Noreturn] = ACTIONS(2346),
    [anon_sym__Nonnull] = ACTIONS(2346),
    [anon_sym_nullable] = ACTIONS(2346),
    [anon_sym__Complex] = ACTIONS(2346),
    [anon_sym__Nullable] = ACTIONS(2346),
    [anon_sym__Nullable_result] = ACTIONS(2346),
    [anon_sym__Null_unspecified] = ACTIONS(2346),
    [anon_sym___autoreleasing] = ACTIONS(2346),
    [anon_sym___block] = ACTIONS(2346),
    [anon_sym___bridge] = ACTIONS(2346),
    [anon_sym___bridge_retained] = ACTIONS(2346),
    [anon_sym___bridge_transfer] = ACTIONS(2346),
    [anon_sym___complex] = ACTIONS(2346),
    [anon_sym___const] = ACTIONS(2346),
    [anon_sym___imag] = ACTIONS(2346),
    [anon_sym___kindof] = ACTIONS(2346),
    [anon_sym___nonnull] = ACTIONS(2346),
    [anon_sym___nullable] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2346),
    [anon_sym___real] = ACTIONS(2346),
    [anon_sym___strong] = ACTIONS(2346),
    [anon_sym___unsafe_unretained] = ACTIONS(2346),
    [anon_sym___unused] = ACTIONS(2346),
    [anon_sym___weak] = ACTIONS(2346),
    [anon_sym_alignas] = ACTIONS(2346),
    [anon_sym__Alignas] = ACTIONS(2346),
    [sym_primitive_type] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2346),
    [anon_sym_struct] = ACTIONS(2346),
    [anon_sym_union] = ACTIONS(2346),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_else] = ACTIONS(2346),
    [anon_sym_switch] = ACTIONS(2346),
    [anon_sym_case] = ACTIONS(2346),
    [anon_sym_default] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2346),
    [anon_sym_for] = ACTIONS(2346),
    [anon_sym_in] = ACTIONS(2346),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_break] = ACTIONS(2346),
    [anon_sym_continue] = ACTIONS(2346),
    [anon_sym_goto] = ACTIONS(2346),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_sizeof] = ACTIONS(2346),
    [anon_sym___alignof__] = ACTIONS(2346),
    [anon_sym___alignof] = ACTIONS(2346),
    [anon_sym__alignof] = ACTIONS(2346),
    [anon_sym_alignof] = ACTIONS(2346),
    [anon_sym__Alignof] = ACTIONS(2346),
    [anon_sym_offsetof] = ACTIONS(2346),
    [anon_sym__Generic] = ACTIONS(2346),
    [anon_sym_asm] = ACTIONS(2346),
    [anon_sym___asm__] = ACTIONS(2346),
    [anon_sym___asm] = ACTIONS(2346),
    [sym_number_literal] = ACTIONS(2348),
    [anon_sym_L_SQUOTE] = ACTIONS(2348),
    [anon_sym_u_SQUOTE] = ACTIONS(2348),
    [anon_sym_U_SQUOTE] = ACTIONS(2348),
    [anon_sym_u8_SQUOTE] = ACTIONS(2348),
    [anon_sym_SQUOTE] = ACTIONS(2348),
    [anon_sym_AT] = ACTIONS(2346),
    [anon_sym_DQUOTE] = ACTIONS(2348),
    [anon_sym_L_DQUOTE] = ACTIONS(2348),
    [anon_sym_u_DQUOTE] = ACTIONS(2348),
    [anon_sym_U_DQUOTE] = ACTIONS(2348),
    [anon_sym_u8_DQUOTE] = ACTIONS(2348),
    [sym_true] = ACTIONS(2346),
    [sym_false] = ACTIONS(2346),
    [anon_sym_NULL] = ACTIONS(2346),
    [anon_sym_nullptr] = ACTIONS(2346),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2346),
    [anon_sym___typeof] = ACTIONS(2346),
    [anon_sym_typeof] = ACTIONS(2346),
    [anon_sym_ATimport] = ACTIONS(2348),
    [aux_sym_preproc_undef_token1] = ACTIONS(2346),
    [anon_sym_POUND] = ACTIONS(2346),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2346),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2346),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2346),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_API_AVAILABLE] = ACTIONS(2346),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_API_DEPRECATED] = ACTIONS(2346),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym___deprecated_msg] = ACTIONS(2346),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2346),
    [anon_sym_ATprotocol] = ACTIONS(2348),
    [anon_sym_ATinterface] = ACTIONS(2348),
    [anon_sym_ATimplementation] = ACTIONS(2348),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2348),
    [anon_sym_ATsynthesize] = ACTIONS(2348),
    [anon_sym_ATdynamic] = ACTIONS(2348),
    [anon_sym_ATtry] = ACTIONS(2348),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym_ATcatch] = ACTIONS(2348),
    [anon_sym___catch] = ACTIONS(2346),
    [anon_sym_ATfinally] = ACTIONS(2348),
    [anon_sym___finally] = ACTIONS(2346),
    [anon_sym_ATthrow] = ACTIONS(2348),
    [anon_sym_ATselector] = ACTIONS(2348),
    [anon_sym_ATavailable] = ACTIONS(2348),
    [anon_sym___builtin_available] = ACTIONS(2346),
    [anon_sym_va_arg] = ACTIONS(2346),
    [anon_sym_ATencode] = ACTIONS(2348),
    [anon_sym_ATsynchronized] = ACTIONS(2348),
    [anon_sym_BOOL] = ACTIONS(2346),
    [anon_sym_IMP] = ACTIONS(2346),
    [anon_sym_SEL] = ACTIONS(2346),
    [anon_sym_Class] = ACTIONS(2346),
    [anon_sym_id] = ACTIONS(2346),
  },
  [226] = {
    [sym_identifier] = ACTIONS(2356),
    [aux_sym_preproc_include_token1] = ACTIONS(2356),
    [aux_sym_preproc_include_token2] = ACTIONS(2356),
    [aux_sym_preproc_def_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token2] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2356),
    [sym_preproc_directive] = ACTIONS(2356),
    [anon_sym_LPAREN2] = ACTIONS(2358),
    [anon_sym_BANG] = ACTIONS(2358),
    [anon_sym_TILDE] = ACTIONS(2358),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2358),
    [anon_sym_CARET] = ACTIONS(2358),
    [anon_sym_AMP] = ACTIONS(2358),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2356),
    [anon_sym_typedef] = ACTIONS(2356),
    [anon_sym_extern] = ACTIONS(2356),
    [anon_sym___attribute__] = ACTIONS(2356),
    [anon_sym___attribute] = ACTIONS(2356),
    [anon_sym_noreturn] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2358),
    [anon_sym___declspec] = ACTIONS(2356),
    [anon_sym___cdecl] = ACTIONS(2356),
    [anon_sym___clrcall] = ACTIONS(2356),
    [anon_sym___stdcall] = ACTIONS(2356),
    [anon_sym___fastcall] = ACTIONS(2356),
    [anon_sym___thiscall] = ACTIONS(2356),
    [anon_sym___vectorcall] = ACTIONS(2356),
    [anon_sym_LBRACE] = ACTIONS(2358),
    [anon_sym_signed] = ACTIONS(2356),
    [anon_sym_unsigned] = ACTIONS(2356),
    [anon_sym_long] = ACTIONS(2356),
    [anon_sym_short] = ACTIONS(2356),
    [anon_sym_static] = ACTIONS(2356),
    [anon_sym_ATautoreleasepool] = ACTIONS(2358),
    [anon_sym_auto] = ACTIONS(2356),
    [anon_sym_register] = ACTIONS(2356),
    [anon_sym_inline] = ACTIONS(2356),
    [anon_sym___inline] = ACTIONS(2356),
    [anon_sym___inline__] = ACTIONS(2356),
    [anon_sym___forceinline] = ACTIONS(2356),
    [anon_sym_thread_local] = ACTIONS(2356),
    [anon_sym___thread] = ACTIONS(2356),
    [anon_sym_CG_EXTERN] = ACTIONS(2356),
    [anon_sym_CG_INLINE] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2356),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2356),
    [anon_sym_IBOutlet] = ACTIONS(2356),
    [anon_sym_IBInspectable] = ACTIONS(2356),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2356),
    [anon_sym_NS_INLINE] = ACTIONS(2356),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2356),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2356),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2356),
    [anon_sym_const] = ACTIONS(2356),
    [anon_sym_constexpr] = ACTIONS(2356),
    [anon_sym_volatile] = ACTIONS(2356),
    [anon_sym_restrict] = ACTIONS(2356),
    [anon_sym___restrict__] = ACTIONS(2356),
    [anon_sym__Atomic] = ACTIONS(2356),
    [anon_sym__Noreturn] = ACTIONS(2356),
    [anon_sym__Nonnull] = ACTIONS(2356),
    [anon_sym_nullable] = ACTIONS(2356),
    [anon_sym__Complex] = ACTIONS(2356),
    [anon_sym__Nullable] = ACTIONS(2356),
    [anon_sym__Nullable_result] = ACTIONS(2356),
    [anon_sym__Null_unspecified] = ACTIONS(2356),
    [anon_sym___autoreleasing] = ACTIONS(2356),
    [anon_sym___block] = ACTIONS(2356),
    [anon_sym___bridge] = ACTIONS(2356),
    [anon_sym___bridge_retained] = ACTIONS(2356),
    [anon_sym___bridge_transfer] = ACTIONS(2356),
    [anon_sym___complex] = ACTIONS(2356),
    [anon_sym___const] = ACTIONS(2356),
    [anon_sym___imag] = ACTIONS(2356),
    [anon_sym___kindof] = ACTIONS(2356),
    [anon_sym___nonnull] = ACTIONS(2356),
    [anon_sym___nullable] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2356),
    [anon_sym___real] = ACTIONS(2356),
    [anon_sym___strong] = ACTIONS(2356),
    [anon_sym___unsafe_unretained] = ACTIONS(2356),
    [anon_sym___unused] = ACTIONS(2356),
    [anon_sym___weak] = ACTIONS(2356),
    [anon_sym_alignas] = ACTIONS(2356),
    [anon_sym__Alignas] = ACTIONS(2356),
    [sym_primitive_type] = ACTIONS(2356),
    [anon_sym_enum] = ACTIONS(2356),
    [anon_sym_struct] = ACTIONS(2356),
    [anon_sym_union] = ACTIONS(2356),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_else] = ACTIONS(2356),
    [anon_sym_switch] = ACTIONS(2356),
    [anon_sym_case] = ACTIONS(2356),
    [anon_sym_default] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(2356),
    [anon_sym_for] = ACTIONS(2356),
    [anon_sym_in] = ACTIONS(2356),
    [anon_sym_return] = ACTIONS(2356),
    [anon_sym_break] = ACTIONS(2356),
    [anon_sym_continue] = ACTIONS(2356),
    [anon_sym_goto] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2358),
    [anon_sym_PLUS_PLUS] = ACTIONS(2358),
    [anon_sym_sizeof] = ACTIONS(2356),
    [anon_sym___alignof__] = ACTIONS(2356),
    [anon_sym___alignof] = ACTIONS(2356),
    [anon_sym__alignof] = ACTIONS(2356),
    [anon_sym_alignof] = ACTIONS(2356),
    [anon_sym__Alignof] = ACTIONS(2356),
    [anon_sym_offsetof] = ACTIONS(2356),
    [anon_sym__Generic] = ACTIONS(2356),
    [anon_sym_asm] = ACTIONS(2356),
    [anon_sym___asm__] = ACTIONS(2356),
    [anon_sym___asm] = ACTIONS(2356),
    [sym_number_literal] = ACTIONS(2358),
    [anon_sym_L_SQUOTE] = ACTIONS(2358),
    [anon_sym_u_SQUOTE] = ACTIONS(2358),
    [anon_sym_U_SQUOTE] = ACTIONS(2358),
    [anon_sym_u8_SQUOTE] = ACTIONS(2358),
    [anon_sym_SQUOTE] = ACTIONS(2358),
    [anon_sym_AT] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2358),
    [anon_sym_L_DQUOTE] = ACTIONS(2358),
    [anon_sym_u_DQUOTE] = ACTIONS(2358),
    [anon_sym_U_DQUOTE] = ACTIONS(2358),
    [anon_sym_u8_DQUOTE] = ACTIONS(2358),
    [sym_true] = ACTIONS(2356),
    [sym_false] = ACTIONS(2356),
    [anon_sym_NULL] = ACTIONS(2356),
    [anon_sym_nullptr] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2356),
    [anon_sym___typeof] = ACTIONS(2356),
    [anon_sym_typeof] = ACTIONS(2356),
    [anon_sym_ATimport] = ACTIONS(2358),
    [aux_sym_preproc_undef_token1] = ACTIONS(2356),
    [anon_sym_POUND] = ACTIONS(2356),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2356),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2356),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2356),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_API_AVAILABLE] = ACTIONS(2356),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_API_DEPRECATED] = ACTIONS(2356),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym___deprecated_msg] = ACTIONS(2356),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2356),
    [anon_sym_ATprotocol] = ACTIONS(2358),
    [anon_sym_ATinterface] = ACTIONS(2358),
    [anon_sym_ATimplementation] = ACTIONS(2358),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2358),
    [anon_sym_ATsynthesize] = ACTIONS(2358),
    [anon_sym_ATdynamic] = ACTIONS(2358),
    [anon_sym_ATtry] = ACTIONS(2358),
    [anon_sym___try] = ACTIONS(2356),
    [anon_sym_ATcatch] = ACTIONS(2358),
    [anon_sym___catch] = ACTIONS(2356),
    [anon_sym_ATfinally] = ACTIONS(2358),
    [anon_sym___finally] = ACTIONS(2356),
    [anon_sym_ATthrow] = ACTIONS(2358),
    [anon_sym_ATselector] = ACTIONS(2358),
    [anon_sym_ATavailable] = ACTIONS(2358),
    [anon_sym___builtin_available] = ACTIONS(2356),
    [anon_sym_va_arg] = ACTIONS(2356),
    [anon_sym_ATencode] = ACTIONS(2358),
    [anon_sym_ATsynchronized] = ACTIONS(2358),
    [anon_sym_BOOL] = ACTIONS(2356),
    [anon_sym_IMP] = ACTIONS(2356),
    [anon_sym_SEL] = ACTIONS(2356),
    [anon_sym_Class] = ACTIONS(2356),
    [anon_sym_id] = ACTIONS(2356),
  },
  [227] = {
    [sym_identifier] = ACTIONS(2368),
    [aux_sym_preproc_include_token1] = ACTIONS(2368),
    [aux_sym_preproc_include_token2] = ACTIONS(2368),
    [aux_sym_preproc_def_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token2] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2368),
    [sym_preproc_directive] = ACTIONS(2368),
    [anon_sym_LPAREN2] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_CARET] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym___extension__] = ACTIONS(2368),
    [anon_sym_typedef] = ACTIONS(2368),
    [anon_sym_extern] = ACTIONS(2368),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym___attribute] = ACTIONS(2368),
    [anon_sym_noreturn] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym___declspec] = ACTIONS(2368),
    [anon_sym___cdecl] = ACTIONS(2368),
    [anon_sym___clrcall] = ACTIONS(2368),
    [anon_sym___stdcall] = ACTIONS(2368),
    [anon_sym___fastcall] = ACTIONS(2368),
    [anon_sym___thiscall] = ACTIONS(2368),
    [anon_sym___vectorcall] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_signed] = ACTIONS(2368),
    [anon_sym_unsigned] = ACTIONS(2368),
    [anon_sym_long] = ACTIONS(2368),
    [anon_sym_short] = ACTIONS(2368),
    [anon_sym_static] = ACTIONS(2368),
    [anon_sym_ATautoreleasepool] = ACTIONS(2370),
    [anon_sym_auto] = ACTIONS(2368),
    [anon_sym_register] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(2368),
    [anon_sym___inline] = ACTIONS(2368),
    [anon_sym___inline__] = ACTIONS(2368),
    [anon_sym___forceinline] = ACTIONS(2368),
    [anon_sym_thread_local] = ACTIONS(2368),
    [anon_sym___thread] = ACTIONS(2368),
    [anon_sym_CG_EXTERN] = ACTIONS(2368),
    [anon_sym_CG_INLINE] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2368),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2368),
    [anon_sym_IBOutlet] = ACTIONS(2368),
    [anon_sym_IBInspectable] = ACTIONS(2368),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2368),
    [anon_sym_NS_INLINE] = ACTIONS(2368),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2368),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2368),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2368),
    [anon_sym_const] = ACTIONS(2368),
    [anon_sym_constexpr] = ACTIONS(2368),
    [anon_sym_volatile] = ACTIONS(2368),
    [anon_sym_restrict] = ACTIONS(2368),
    [anon_sym___restrict__] = ACTIONS(2368),
    [anon_sym__Atomic] = ACTIONS(2368),
    [anon_sym__Noreturn] = ACTIONS(2368),
    [anon_sym__Nonnull] = ACTIONS(2368),
    [anon_sym_nullable] = ACTIONS(2368),
    [anon_sym__Complex] = ACTIONS(2368),
    [anon_sym__Nullable] = ACTIONS(2368),
    [anon_sym__Nullable_result] = ACTIONS(2368),
    [anon_sym__Null_unspecified] = ACTIONS(2368),
    [anon_sym___autoreleasing] = ACTIONS(2368),
    [anon_sym___block] = ACTIONS(2368),
    [anon_sym___bridge] = ACTIONS(2368),
    [anon_sym___bridge_retained] = ACTIONS(2368),
    [anon_sym___bridge_transfer] = ACTIONS(2368),
    [anon_sym___complex] = ACTIONS(2368),
    [anon_sym___const] = ACTIONS(2368),
    [anon_sym___imag] = ACTIONS(2368),
    [anon_sym___kindof] = ACTIONS(2368),
    [anon_sym___nonnull] = ACTIONS(2368),
    [anon_sym___nullable] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2368),
    [anon_sym___real] = ACTIONS(2368),
    [anon_sym___strong] = ACTIONS(2368),
    [anon_sym___unsafe_unretained] = ACTIONS(2368),
    [anon_sym___unused] = ACTIONS(2368),
    [anon_sym___weak] = ACTIONS(2368),
    [anon_sym_alignas] = ACTIONS(2368),
    [anon_sym__Alignas] = ACTIONS(2368),
    [sym_primitive_type] = ACTIONS(2368),
    [anon_sym_enum] = ACTIONS(2368),
    [anon_sym_struct] = ACTIONS(2368),
    [anon_sym_union] = ACTIONS(2368),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_else] = ACTIONS(2368),
    [anon_sym_switch] = ACTIONS(2368),
    [anon_sym_case] = ACTIONS(2368),
    [anon_sym_default] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_do] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2368),
    [anon_sym_in] = ACTIONS(2368),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_break] = ACTIONS(2368),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_goto] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_sizeof] = ACTIONS(2368),
    [anon_sym___alignof__] = ACTIONS(2368),
    [anon_sym___alignof] = ACTIONS(2368),
    [anon_sym__alignof] = ACTIONS(2368),
    [anon_sym_alignof] = ACTIONS(2368),
    [anon_sym__Alignof] = ACTIONS(2368),
    [anon_sym_offsetof] = ACTIONS(2368),
    [anon_sym__Generic] = ACTIONS(2368),
    [anon_sym_asm] = ACTIONS(2368),
    [anon_sym___asm__] = ACTIONS(2368),
    [anon_sym___asm] = ACTIONS(2368),
    [sym_number_literal] = ACTIONS(2370),
    [anon_sym_L_SQUOTE] = ACTIONS(2370),
    [anon_sym_u_SQUOTE] = ACTIONS(2370),
    [anon_sym_U_SQUOTE] = ACTIONS(2370),
    [anon_sym_u8_SQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2368),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_L_DQUOTE] = ACTIONS(2370),
    [anon_sym_u_DQUOTE] = ACTIONS(2370),
    [anon_sym_U_DQUOTE] = ACTIONS(2370),
    [anon_sym_u8_DQUOTE] = ACTIONS(2370),
    [sym_true] = ACTIONS(2368),
    [sym_false] = ACTIONS(2368),
    [anon_sym_NULL] = ACTIONS(2368),
    [anon_sym_nullptr] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2368),
    [anon_sym___typeof] = ACTIONS(2368),
    [anon_sym_typeof] = ACTIONS(2368),
    [anon_sym_ATimport] = ACTIONS(2370),
    [aux_sym_preproc_undef_token1] = ACTIONS(2368),
    [anon_sym_POUND] = ACTIONS(2368),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2368),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2368),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2368),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_API_AVAILABLE] = ACTIONS(2368),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_API_DEPRECATED] = ACTIONS(2368),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym___deprecated_msg] = ACTIONS(2368),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2368),
    [anon_sym_ATprotocol] = ACTIONS(2370),
    [anon_sym_ATinterface] = ACTIONS(2370),
    [anon_sym_ATimplementation] = ACTIONS(2370),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2370),
    [anon_sym_ATsynthesize] = ACTIONS(2370),
    [anon_sym_ATdynamic] = ACTIONS(2370),
    [anon_sym_ATtry] = ACTIONS(2370),
    [anon_sym___try] = ACTIONS(2368),
    [anon_sym_ATcatch] = ACTIONS(2370),
    [anon_sym___catch] = ACTIONS(2368),
    [anon_sym_ATfinally] = ACTIONS(2370),
    [anon_sym___finally] = ACTIONS(2368),
    [anon_sym_ATthrow] = ACTIONS(2370),
    [anon_sym_ATselector] = ACTIONS(2370),
    [anon_sym_ATavailable] = ACTIONS(2370),
    [anon_sym___builtin_available] = ACTIONS(2368),
    [anon_sym_va_arg] = ACTIONS(2368),
    [anon_sym_ATencode] = ACTIONS(2370),
    [anon_sym_ATsynchronized] = ACTIONS(2370),
    [anon_sym_BOOL] = ACTIONS(2368),
    [anon_sym_IMP] = ACTIONS(2368),
    [anon_sym_SEL] = ACTIONS(2368),
    [anon_sym_Class] = ACTIONS(2368),
    [anon_sym_id] = ACTIONS(2368),
  },
  [228] = {
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_include_token1] = ACTIONS(2474),
    [aux_sym_preproc_include_token2] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token2] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [aux_sym_preproc_else_token1] = ACTIONS(2474),
    [aux_sym_preproc_elif_token1] = ACTIONS(2474),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_BANG] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym___attribute] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_ATautoreleasepool] = ACTIONS(2476),
    [anon_sym_auto] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_CG_EXTERN] = ACTIONS(2474),
    [anon_sym_CG_INLINE] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2474),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2474),
    [anon_sym_IBOutlet] = ACTIONS(2474),
    [anon_sym_IBInspectable] = ACTIONS(2474),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2474),
    [anon_sym_NS_INLINE] = ACTIONS(2474),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2474),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2474),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym__Nonnull] = ACTIONS(2474),
    [anon_sym_nullable] = ACTIONS(2474),
    [anon_sym__Complex] = ACTIONS(2474),
    [anon_sym__Nullable] = ACTIONS(2474),
    [anon_sym__Nullable_result] = ACTIONS(2474),
    [anon_sym__Null_unspecified] = ACTIONS(2474),
    [anon_sym___autoreleasing] = ACTIONS(2474),
    [anon_sym___block] = ACTIONS(2474),
    [anon_sym___bridge] = ACTIONS(2474),
    [anon_sym___bridge_retained] = ACTIONS(2474),
    [anon_sym___bridge_transfer] = ACTIONS(2474),
    [anon_sym___complex] = ACTIONS(2474),
    [anon_sym___const] = ACTIONS(2474),
    [anon_sym___imag] = ACTIONS(2474),
    [anon_sym___kindof] = ACTIONS(2474),
    [anon_sym___nonnull] = ACTIONS(2474),
    [anon_sym___nullable] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2474),
    [anon_sym___real] = ACTIONS(2474),
    [anon_sym___strong] = ACTIONS(2474),
    [anon_sym___unsafe_unretained] = ACTIONS(2474),
    [anon_sym___unused] = ACTIONS(2474),
    [anon_sym___weak] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_else] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_goto] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_PLUS] = ACTIONS(2476),
    [anon_sym_sizeof] = ACTIONS(2474),
    [anon_sym___alignof__] = ACTIONS(2474),
    [anon_sym___alignof] = ACTIONS(2474),
    [anon_sym__alignof] = ACTIONS(2474),
    [anon_sym_alignof] = ACTIONS(2474),
    [anon_sym__Alignof] = ACTIONS(2474),
    [anon_sym_offsetof] = ACTIONS(2474),
    [anon_sym__Generic] = ACTIONS(2474),
    [anon_sym_asm] = ACTIONS(2474),
    [anon_sym___asm__] = ACTIONS(2474),
    [anon_sym___asm] = ACTIONS(2474),
    [sym_number_literal] = ACTIONS(2476),
    [anon_sym_L_SQUOTE] = ACTIONS(2476),
    [anon_sym_u_SQUOTE] = ACTIONS(2476),
    [anon_sym_U_SQUOTE] = ACTIONS(2476),
    [anon_sym_u8_SQUOTE] = ACTIONS(2476),
    [anon_sym_SQUOTE] = ACTIONS(2476),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2474),
    [anon_sym_nullptr] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2474),
    [anon_sym___typeof] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [anon_sym_ATimport] = ACTIONS(2476),
    [aux_sym_preproc_undef_token1] = ACTIONS(2474),
    [anon_sym_POUND] = ACTIONS(2474),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2474),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2474),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2474),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_API_AVAILABLE] = ACTIONS(2474),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_API_DEPRECATED] = ACTIONS(2474),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym___deprecated_msg] = ACTIONS(2474),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2474),
    [anon_sym_ATprotocol] = ACTIONS(2476),
    [anon_sym_ATinterface] = ACTIONS(2476),
    [anon_sym_ATimplementation] = ACTIONS(2476),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2476),
    [anon_sym_ATsynthesize] = ACTIONS(2476),
    [anon_sym_ATdynamic] = ACTIONS(2476),
    [anon_sym_ATtry] = ACTIONS(2476),
    [anon_sym___try] = ACTIONS(2474),
    [anon_sym_ATthrow] = ACTIONS(2476),
    [anon_sym_ATselector] = ACTIONS(2476),
    [anon_sym_ATavailable] = ACTIONS(2476),
    [anon_sym___builtin_available] = ACTIONS(2474),
    [anon_sym_va_arg] = ACTIONS(2474),
    [anon_sym_ATencode] = ACTIONS(2476),
    [anon_sym_ATsynchronized] = ACTIONS(2476),
    [anon_sym_BOOL] = ACTIONS(2474),
    [anon_sym_IMP] = ACTIONS(2474),
    [anon_sym_SEL] = ACTIONS(2474),
    [anon_sym_Class] = ACTIONS(2474),
    [anon_sym_id] = ACTIONS(2474),
  },
  [229] = {
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_include_token1] = ACTIONS(2478),
    [aux_sym_preproc_include_token2] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token2] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [aux_sym_preproc_else_token1] = ACTIONS(2478),
    [aux_sym_preproc_elif_token1] = ACTIONS(2478),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_BANG] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_CARET] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2480),
    [anon_sym_SEMI] = ACTIONS(2480),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym___attribute] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___cdecl] = ACTIONS(2478),
    [anon_sym___clrcall] = ACTIONS(2478),
    [anon_sym___stdcall] = ACTIONS(2478),
    [anon_sym___fastcall] = ACTIONS(2478),
    [anon_sym___thiscall] = ACTIONS(2478),
    [anon_sym___vectorcall] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2480),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_ATautoreleasepool] = ACTIONS(2480),
    [anon_sym_auto] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_CG_EXTERN] = ACTIONS(2478),
    [anon_sym_CG_INLINE] = ACTIONS(2478),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2478),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2478),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2478),
    [anon_sym_IBOutlet] = ACTIONS(2478),
    [anon_sym_IBInspectable] = ACTIONS(2478),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2478),
    [anon_sym_NS_INLINE] = ACTIONS(2478),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2478),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2478),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2478),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym__Nonnull] = ACTIONS(2478),
    [anon_sym_nullable] = ACTIONS(2478),
    [anon_sym__Complex] = ACTIONS(2478),
    [anon_sym__Nullable] = ACTIONS(2478),
    [anon_sym__Nullable_result] = ACTIONS(2478),
    [anon_sym__Null_unspecified] = ACTIONS(2478),
    [anon_sym___autoreleasing] = ACTIONS(2478),
    [anon_sym___block] = ACTIONS(2478),
    [anon_sym___bridge] = ACTIONS(2478),
    [anon_sym___bridge_retained] = ACTIONS(2478),
    [anon_sym___bridge_transfer] = ACTIONS(2478),
    [anon_sym___complex] = ACTIONS(2478),
    [anon_sym___const] = ACTIONS(2478),
    [anon_sym___imag] = ACTIONS(2478),
    [anon_sym___kindof] = ACTIONS(2478),
    [anon_sym___nonnull] = ACTIONS(2478),
    [anon_sym___nullable] = ACTIONS(2478),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2478),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2478),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2478),
    [anon_sym___real] = ACTIONS(2478),
    [anon_sym___strong] = ACTIONS(2478),
    [anon_sym___unsafe_unretained] = ACTIONS(2478),
    [anon_sym___unused] = ACTIONS(2478),
    [anon_sym___weak] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym__Alignas] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_else] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_case] = ACTIONS(2478),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_in] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_goto] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2480),
    [anon_sym_PLUS_PLUS] = ACTIONS(2480),
    [anon_sym_sizeof] = ACTIONS(2478),
    [anon_sym___alignof__] = ACTIONS(2478),
    [anon_sym___alignof] = ACTIONS(2478),
    [anon_sym__alignof] = ACTIONS(2478),
    [anon_sym_alignof] = ACTIONS(2478),
    [anon_sym__Alignof] = ACTIONS(2478),
    [anon_sym_offsetof] = ACTIONS(2478),
    [anon_sym__Generic] = ACTIONS(2478),
    [anon_sym_asm] = ACTIONS(2478),
    [anon_sym___asm__] = ACTIONS(2478),
    [anon_sym___asm] = ACTIONS(2478),
    [sym_number_literal] = ACTIONS(2480),
    [anon_sym_L_SQUOTE] = ACTIONS(2480),
    [anon_sym_u_SQUOTE] = ACTIONS(2480),
    [anon_sym_U_SQUOTE] = ACTIONS(2480),
    [anon_sym_u8_SQUOTE] = ACTIONS(2480),
    [anon_sym_SQUOTE] = ACTIONS(2480),
    [anon_sym_AT] = ACTIONS(2478),
    [anon_sym_DQUOTE] = ACTIONS(2480),
    [anon_sym_L_DQUOTE] = ACTIONS(2480),
    [anon_sym_u_DQUOTE] = ACTIONS(2480),
    [anon_sym_U_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8_DQUOTE] = ACTIONS(2480),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2478),
    [anon_sym_nullptr] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2478),
    [anon_sym___typeof] = ACTIONS(2478),
    [anon_sym_typeof] = ACTIONS(2478),
    [anon_sym_ATimport] = ACTIONS(2480),
    [aux_sym_preproc_undef_token1] = ACTIONS(2478),
    [anon_sym_POUND] = ACTIONS(2478),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2478),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2478),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2478),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2478),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2478),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2478),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2478),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2478),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2478),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_API_AVAILABLE] = ACTIONS(2478),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_API_DEPRECATED] = ACTIONS(2478),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2478),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2478),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2478),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2478),
    [anon_sym___deprecated_msg] = ACTIONS(2478),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2478),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2478),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2478),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2478),
    [anon_sym_ATprotocol] = ACTIONS(2480),
    [anon_sym_ATinterface] = ACTIONS(2480),
    [anon_sym_ATimplementation] = ACTIONS(2480),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2480),
    [anon_sym_ATsynthesize] = ACTIONS(2480),
    [anon_sym_ATdynamic] = ACTIONS(2480),
    [anon_sym_ATtry] = ACTIONS(2480),
    [anon_sym___try] = ACTIONS(2478),
    [anon_sym_ATthrow] = ACTIONS(2480),
    [anon_sym_ATselector] = ACTIONS(2480),
    [anon_sym_ATavailable] = ACTIONS(2480),
    [anon_sym___builtin_available] = ACTIONS(2478),
    [anon_sym_va_arg] = ACTIONS(2478),
    [anon_sym_ATencode] = ACTIONS(2480),
    [anon_sym_ATsynchronized] = ACTIONS(2480),
    [anon_sym_BOOL] = ACTIONS(2478),
    [anon_sym_IMP] = ACTIONS(2478),
    [anon_sym_SEL] = ACTIONS(2478),
    [anon_sym_Class] = ACTIONS(2478),
    [anon_sym_id] = ACTIONS(2478),
  },
  [230] = {
    [sym_identifier] = ACTIONS(2482),
    [aux_sym_preproc_include_token1] = ACTIONS(2482),
    [aux_sym_preproc_include_token2] = ACTIONS(2482),
    [aux_sym_preproc_def_token1] = ACTIONS(2482),
    [aux_sym_preproc_if_token1] = ACTIONS(2482),
    [aux_sym_preproc_if_token2] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2482),
    [aux_sym_preproc_else_token1] = ACTIONS(2482),
    [aux_sym_preproc_elif_token1] = ACTIONS(2482),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2482),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2482),
    [sym_preproc_directive] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(2484),
    [anon_sym_BANG] = ACTIONS(2484),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_DASH] = ACTIONS(2482),
    [anon_sym_PLUS] = ACTIONS(2482),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_CARET] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_SEMI] = ACTIONS(2484),
    [anon_sym___extension__] = ACTIONS(2482),
    [anon_sym_typedef] = ACTIONS(2482),
    [anon_sym_extern] = ACTIONS(2482),
    [anon_sym___attribute__] = ACTIONS(2482),
    [anon_sym___attribute] = ACTIONS(2482),
    [anon_sym_noreturn] = ACTIONS(2482),
    [anon_sym_LBRACK] = ACTIONS(2484),
    [anon_sym___declspec] = ACTIONS(2482),
    [anon_sym___cdecl] = ACTIONS(2482),
    [anon_sym___clrcall] = ACTIONS(2482),
    [anon_sym___stdcall] = ACTIONS(2482),
    [anon_sym___fastcall] = ACTIONS(2482),
    [anon_sym___thiscall] = ACTIONS(2482),
    [anon_sym___vectorcall] = ACTIONS(2482),
    [anon_sym_LBRACE] = ACTIONS(2484),
    [anon_sym_signed] = ACTIONS(2482),
    [anon_sym_unsigned] = ACTIONS(2482),
    [anon_sym_long] = ACTIONS(2482),
    [anon_sym_short] = ACTIONS(2482),
    [anon_sym_static] = ACTIONS(2482),
    [anon_sym_ATautoreleasepool] = ACTIONS(2484),
    [anon_sym_auto] = ACTIONS(2482),
    [anon_sym_register] = ACTIONS(2482),
    [anon_sym_inline] = ACTIONS(2482),
    [anon_sym___inline] = ACTIONS(2482),
    [anon_sym___inline__] = ACTIONS(2482),
    [anon_sym___forceinline] = ACTIONS(2482),
    [anon_sym_thread_local] = ACTIONS(2482),
    [anon_sym___thread] = ACTIONS(2482),
    [anon_sym_CG_EXTERN] = ACTIONS(2482),
    [anon_sym_CG_INLINE] = ACTIONS(2482),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2482),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2482),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2482),
    [anon_sym_IBOutlet] = ACTIONS(2482),
    [anon_sym_IBInspectable] = ACTIONS(2482),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2482),
    [anon_sym_NS_INLINE] = ACTIONS(2482),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2482),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2482),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2482),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2482),
    [anon_sym_const] = ACTIONS(2482),
    [anon_sym_constexpr] = ACTIONS(2482),
    [anon_sym_volatile] = ACTIONS(2482),
    [anon_sym_restrict] = ACTIONS(2482),
    [anon_sym___restrict__] = ACTIONS(2482),
    [anon_sym__Atomic] = ACTIONS(2482),
    [anon_sym__Noreturn] = ACTIONS(2482),
    [anon_sym__Nonnull] = ACTIONS(2482),
    [anon_sym_nullable] = ACTIONS(2482),
    [anon_sym__Complex] = ACTIONS(2482),
    [anon_sym__Nullable] = ACTIONS(2482),
    [anon_sym__Nullable_result] = ACTIONS(2482),
    [anon_sym__Null_unspecified] = ACTIONS(2482),
    [anon_sym___autoreleasing] = ACTIONS(2482),
    [anon_sym___block] = ACTIONS(2482),
    [anon_sym___bridge] = ACTIONS(2482),
    [anon_sym___bridge_retained] = ACTIONS(2482),
    [anon_sym___bridge_transfer] = ACTIONS(2482),
    [anon_sym___complex] = ACTIONS(2482),
    [anon_sym___const] = ACTIONS(2482),
    [anon_sym___imag] = ACTIONS(2482),
    [anon_sym___kindof] = ACTIONS(2482),
    [anon_sym___nonnull] = ACTIONS(2482),
    [anon_sym___nullable] = ACTIONS(2482),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2482),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2482),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2482),
    [anon_sym___real] = ACTIONS(2482),
    [anon_sym___strong] = ACTIONS(2482),
    [anon_sym___unsafe_unretained] = ACTIONS(2482),
    [anon_sym___unused] = ACTIONS(2482),
    [anon_sym___weak] = ACTIONS(2482),
    [anon_sym_alignas] = ACTIONS(2482),
    [anon_sym__Alignas] = ACTIONS(2482),
    [sym_primitive_type] = ACTIONS(2482),
    [anon_sym_enum] = ACTIONS(2482),
    [anon_sym_struct] = ACTIONS(2482),
    [anon_sym_union] = ACTIONS(2482),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_else] = ACTIONS(2482),
    [anon_sym_switch] = ACTIONS(2482),
    [anon_sym_case] = ACTIONS(2482),
    [anon_sym_default] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2482),
    [anon_sym_do] = ACTIONS(2482),
    [anon_sym_for] = ACTIONS(2482),
    [anon_sym_in] = ACTIONS(2482),
    [anon_sym_return] = ACTIONS(2482),
    [anon_sym_break] = ACTIONS(2482),
    [anon_sym_continue] = ACTIONS(2482),
    [anon_sym_goto] = ACTIONS(2482),
    [anon_sym_DASH_DASH] = ACTIONS(2484),
    [anon_sym_PLUS_PLUS] = ACTIONS(2484),
    [anon_sym_sizeof] = ACTIONS(2482),
    [anon_sym___alignof__] = ACTIONS(2482),
    [anon_sym___alignof] = ACTIONS(2482),
    [anon_sym__alignof] = ACTIONS(2482),
    [anon_sym_alignof] = ACTIONS(2482),
    [anon_sym__Alignof] = ACTIONS(2482),
    [anon_sym_offsetof] = ACTIONS(2482),
    [anon_sym__Generic] = ACTIONS(2482),
    [anon_sym_asm] = ACTIONS(2482),
    [anon_sym___asm__] = ACTIONS(2482),
    [anon_sym___asm] = ACTIONS(2482),
    [sym_number_literal] = ACTIONS(2484),
    [anon_sym_L_SQUOTE] = ACTIONS(2484),
    [anon_sym_u_SQUOTE] = ACTIONS(2484),
    [anon_sym_U_SQUOTE] = ACTIONS(2484),
    [anon_sym_u8_SQUOTE] = ACTIONS(2484),
    [anon_sym_SQUOTE] = ACTIONS(2484),
    [anon_sym_AT] = ACTIONS(2482),
    [anon_sym_DQUOTE] = ACTIONS(2484),
    [anon_sym_L_DQUOTE] = ACTIONS(2484),
    [anon_sym_u_DQUOTE] = ACTIONS(2484),
    [anon_sym_U_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8_DQUOTE] = ACTIONS(2484),
    [sym_true] = ACTIONS(2482),
    [sym_false] = ACTIONS(2482),
    [anon_sym_NULL] = ACTIONS(2482),
    [anon_sym_nullptr] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2482),
    [anon_sym___typeof] = ACTIONS(2482),
    [anon_sym_typeof] = ACTIONS(2482),
    [anon_sym_ATimport] = ACTIONS(2484),
    [aux_sym_preproc_undef_token1] = ACTIONS(2482),
    [anon_sym_POUND] = ACTIONS(2482),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2482),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2482),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2482),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2482),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2482),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2482),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2482),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2482),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2482),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_API_AVAILABLE] = ACTIONS(2482),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_API_DEPRECATED] = ACTIONS(2482),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2482),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2482),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2482),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2482),
    [anon_sym___deprecated_msg] = ACTIONS(2482),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2482),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2482),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2482),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2482),
    [anon_sym_ATprotocol] = ACTIONS(2484),
    [anon_sym_ATinterface] = ACTIONS(2484),
    [anon_sym_ATimplementation] = ACTIONS(2484),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2484),
    [anon_sym_ATsynthesize] = ACTIONS(2484),
    [anon_sym_ATdynamic] = ACTIONS(2484),
    [anon_sym_ATtry] = ACTIONS(2484),
    [anon_sym___try] = ACTIONS(2482),
    [anon_sym_ATthrow] = ACTIONS(2484),
    [anon_sym_ATselector] = ACTIONS(2484),
    [anon_sym_ATavailable] = ACTIONS(2484),
    [anon_sym___builtin_available] = ACTIONS(2482),
    [anon_sym_va_arg] = ACTIONS(2482),
    [anon_sym_ATencode] = ACTIONS(2484),
    [anon_sym_ATsynchronized] = ACTIONS(2484),
    [anon_sym_BOOL] = ACTIONS(2482),
    [anon_sym_IMP] = ACTIONS(2482),
    [anon_sym_SEL] = ACTIONS(2482),
    [anon_sym_Class] = ACTIONS(2482),
    [anon_sym_id] = ACTIONS(2482),
  },
  [231] = {
    [sym_identifier] = ACTIONS(2486),
    [aux_sym_preproc_include_token1] = ACTIONS(2486),
    [aux_sym_preproc_include_token2] = ACTIONS(2486),
    [aux_sym_preproc_def_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token2] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2486),
    [aux_sym_preproc_else_token1] = ACTIONS(2486),
    [aux_sym_preproc_elif_token1] = ACTIONS(2486),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2486),
    [sym_preproc_directive] = ACTIONS(2486),
    [anon_sym_LPAREN2] = ACTIONS(2488),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_CARET] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2488),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym___attribute] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym___cdecl] = ACTIONS(2486),
    [anon_sym___clrcall] = ACTIONS(2486),
    [anon_sym___stdcall] = ACTIONS(2486),
    [anon_sym___fastcall] = ACTIONS(2486),
    [anon_sym___thiscall] = ACTIONS(2486),
    [anon_sym___vectorcall] = ACTIONS(2486),
    [anon_sym_LBRACE] = ACTIONS(2488),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_ATautoreleasepool] = ACTIONS(2488),
    [anon_sym_auto] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_CG_EXTERN] = ACTIONS(2486),
    [anon_sym_CG_INLINE] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2486),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2486),
    [anon_sym_IBOutlet] = ACTIONS(2486),
    [anon_sym_IBInspectable] = ACTIONS(2486),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2486),
    [anon_sym_NS_INLINE] = ACTIONS(2486),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2486),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2486),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym__Nonnull] = ACTIONS(2486),
    [anon_sym_nullable] = ACTIONS(2486),
    [anon_sym__Complex] = ACTIONS(2486),
    [anon_sym__Nullable] = ACTIONS(2486),
    [anon_sym__Nullable_result] = ACTIONS(2486),
    [anon_sym__Null_unspecified] = ACTIONS(2486),
    [anon_sym___autoreleasing] = ACTIONS(2486),
    [anon_sym___block] = ACTIONS(2486),
    [anon_sym___bridge] = ACTIONS(2486),
    [anon_sym___bridge_retained] = ACTIONS(2486),
    [anon_sym___bridge_transfer] = ACTIONS(2486),
    [anon_sym___complex] = ACTIONS(2486),
    [anon_sym___const] = ACTIONS(2486),
    [anon_sym___imag] = ACTIONS(2486),
    [anon_sym___kindof] = ACTIONS(2486),
    [anon_sym___nonnull] = ACTIONS(2486),
    [anon_sym___nullable] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2486),
    [anon_sym___real] = ACTIONS(2486),
    [anon_sym___strong] = ACTIONS(2486),
    [anon_sym___unsafe_unretained] = ACTIONS(2486),
    [anon_sym___unused] = ACTIONS(2486),
    [anon_sym___weak] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym__Alignas] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_else] = ACTIONS(2486),
    [anon_sym_switch] = ACTIONS(2486),
    [anon_sym_case] = ACTIONS(2486),
    [anon_sym_default] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2486),
    [anon_sym_do] = ACTIONS(2486),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_in] = ACTIONS(2486),
    [anon_sym_return] = ACTIONS(2486),
    [anon_sym_break] = ACTIONS(2486),
    [anon_sym_continue] = ACTIONS(2486),
    [anon_sym_goto] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2488),
    [anon_sym_PLUS_PLUS] = ACTIONS(2488),
    [anon_sym_sizeof] = ACTIONS(2486),
    [anon_sym___alignof__] = ACTIONS(2486),
    [anon_sym___alignof] = ACTIONS(2486),
    [anon_sym__alignof] = ACTIONS(2486),
    [anon_sym_alignof] = ACTIONS(2486),
    [anon_sym__Alignof] = ACTIONS(2486),
    [anon_sym_offsetof] = ACTIONS(2486),
    [anon_sym__Generic] = ACTIONS(2486),
    [anon_sym_asm] = ACTIONS(2486),
    [anon_sym___asm__] = ACTIONS(2486),
    [anon_sym___asm] = ACTIONS(2486),
    [sym_number_literal] = ACTIONS(2488),
    [anon_sym_L_SQUOTE] = ACTIONS(2488),
    [anon_sym_u_SQUOTE] = ACTIONS(2488),
    [anon_sym_U_SQUOTE] = ACTIONS(2488),
    [anon_sym_u8_SQUOTE] = ACTIONS(2488),
    [anon_sym_SQUOTE] = ACTIONS(2488),
    [anon_sym_AT] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2488),
    [anon_sym_L_DQUOTE] = ACTIONS(2488),
    [anon_sym_u_DQUOTE] = ACTIONS(2488),
    [anon_sym_U_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8_DQUOTE] = ACTIONS(2488),
    [sym_true] = ACTIONS(2486),
    [sym_false] = ACTIONS(2486),
    [anon_sym_NULL] = ACTIONS(2486),
    [anon_sym_nullptr] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2486),
    [anon_sym___typeof] = ACTIONS(2486),
    [anon_sym_typeof] = ACTIONS(2486),
    [anon_sym_ATimport] = ACTIONS(2488),
    [aux_sym_preproc_undef_token1] = ACTIONS(2486),
    [anon_sym_POUND] = ACTIONS(2486),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2486),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2486),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2486),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_API_AVAILABLE] = ACTIONS(2486),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_API_DEPRECATED] = ACTIONS(2486),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym___deprecated_msg] = ACTIONS(2486),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2486),
    [anon_sym_ATprotocol] = ACTIONS(2488),
    [anon_sym_ATinterface] = ACTIONS(2488),
    [anon_sym_ATimplementation] = ACTIONS(2488),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2488),
    [anon_sym_ATsynthesize] = ACTIONS(2488),
    [anon_sym_ATdynamic] = ACTIONS(2488),
    [anon_sym_ATtry] = ACTIONS(2488),
    [anon_sym___try] = ACTIONS(2486),
    [anon_sym_ATthrow] = ACTIONS(2488),
    [anon_sym_ATselector] = ACTIONS(2488),
    [anon_sym_ATavailable] = ACTIONS(2488),
    [anon_sym___builtin_available] = ACTIONS(2486),
    [anon_sym_va_arg] = ACTIONS(2486),
    [anon_sym_ATencode] = ACTIONS(2488),
    [anon_sym_ATsynchronized] = ACTIONS(2488),
    [anon_sym_BOOL] = ACTIONS(2486),
    [anon_sym_IMP] = ACTIONS(2486),
    [anon_sym_SEL] = ACTIONS(2486),
    [anon_sym_Class] = ACTIONS(2486),
    [anon_sym_id] = ACTIONS(2486),
  },
  [232] = {
    [sym_identifier] = ACTIONS(2490),
    [aux_sym_preproc_include_token1] = ACTIONS(2490),
    [aux_sym_preproc_include_token2] = ACTIONS(2490),
    [aux_sym_preproc_def_token1] = ACTIONS(2490),
    [aux_sym_preproc_if_token1] = ACTIONS(2490),
    [aux_sym_preproc_if_token2] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2490),
    [aux_sym_preproc_else_token1] = ACTIONS(2490),
    [aux_sym_preproc_elif_token1] = ACTIONS(2490),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2490),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2490),
    [sym_preproc_directive] = ACTIONS(2490),
    [anon_sym_LPAREN2] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2492),
    [anon_sym_TILDE] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2490),
    [anon_sym_STAR] = ACTIONS(2492),
    [anon_sym_CARET] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2492),
    [anon_sym___extension__] = ACTIONS(2490),
    [anon_sym_typedef] = ACTIONS(2490),
    [anon_sym_extern] = ACTIONS(2490),
    [anon_sym___attribute__] = ACTIONS(2490),
    [anon_sym___attribute] = ACTIONS(2490),
    [anon_sym_noreturn] = ACTIONS(2490),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym___declspec] = ACTIONS(2490),
    [anon_sym___cdecl] = ACTIONS(2490),
    [anon_sym___clrcall] = ACTIONS(2490),
    [anon_sym___stdcall] = ACTIONS(2490),
    [anon_sym___fastcall] = ACTIONS(2490),
    [anon_sym___thiscall] = ACTIONS(2490),
    [anon_sym___vectorcall] = ACTIONS(2490),
    [anon_sym_LBRACE] = ACTIONS(2492),
    [anon_sym_signed] = ACTIONS(2490),
    [anon_sym_unsigned] = ACTIONS(2490),
    [anon_sym_long] = ACTIONS(2490),
    [anon_sym_short] = ACTIONS(2490),
    [anon_sym_static] = ACTIONS(2490),
    [anon_sym_ATautoreleasepool] = ACTIONS(2492),
    [anon_sym_auto] = ACTIONS(2490),
    [anon_sym_register] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2490),
    [anon_sym___inline] = ACTIONS(2490),
    [anon_sym___inline__] = ACTIONS(2490),
    [anon_sym___forceinline] = ACTIONS(2490),
    [anon_sym_thread_local] = ACTIONS(2490),
    [anon_sym___thread] = ACTIONS(2490),
    [anon_sym_CG_EXTERN] = ACTIONS(2490),
    [anon_sym_CG_INLINE] = ACTIONS(2490),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2490),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2490),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2490),
    [anon_sym_IBOutlet] = ACTIONS(2490),
    [anon_sym_IBInspectable] = ACTIONS(2490),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2490),
    [anon_sym_NS_INLINE] = ACTIONS(2490),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2490),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2490),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2490),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2490),
    [anon_sym_const] = ACTIONS(2490),
    [anon_sym_constexpr] = ACTIONS(2490),
    [anon_sym_volatile] = ACTIONS(2490),
    [anon_sym_restrict] = ACTIONS(2490),
    [anon_sym___restrict__] = ACTIONS(2490),
    [anon_sym__Atomic] = ACTIONS(2490),
    [anon_sym__Noreturn] = ACTIONS(2490),
    [anon_sym__Nonnull] = ACTIONS(2490),
    [anon_sym_nullable] = ACTIONS(2490),
    [anon_sym__Complex] = ACTIONS(2490),
    [anon_sym__Nullable] = ACTIONS(2490),
    [anon_sym__Nullable_result] = ACTIONS(2490),
    [anon_sym__Null_unspecified] = ACTIONS(2490),
    [anon_sym___autoreleasing] = ACTIONS(2490),
    [anon_sym___block] = ACTIONS(2490),
    [anon_sym___bridge] = ACTIONS(2490),
    [anon_sym___bridge_retained] = ACTIONS(2490),
    [anon_sym___bridge_transfer] = ACTIONS(2490),
    [anon_sym___complex] = ACTIONS(2490),
    [anon_sym___const] = ACTIONS(2490),
    [anon_sym___imag] = ACTIONS(2490),
    [anon_sym___kindof] = ACTIONS(2490),
    [anon_sym___nonnull] = ACTIONS(2490),
    [anon_sym___nullable] = ACTIONS(2490),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2490),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2490),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2490),
    [anon_sym___real] = ACTIONS(2490),
    [anon_sym___strong] = ACTIONS(2490),
    [anon_sym___unsafe_unretained] = ACTIONS(2490),
    [anon_sym___unused] = ACTIONS(2490),
    [anon_sym___weak] = ACTIONS(2490),
    [anon_sym_alignas] = ACTIONS(2490),
    [anon_sym__Alignas] = ACTIONS(2490),
    [sym_primitive_type] = ACTIONS(2490),
    [anon_sym_enum] = ACTIONS(2490),
    [anon_sym_struct] = ACTIONS(2490),
    [anon_sym_union] = ACTIONS(2490),
    [anon_sym_if] = ACTIONS(2490),
    [anon_sym_else] = ACTIONS(2490),
    [anon_sym_switch] = ACTIONS(2490),
    [anon_sym_case] = ACTIONS(2490),
    [anon_sym_default] = ACTIONS(2490),
    [anon_sym_while] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(2490),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_in] = ACTIONS(2490),
    [anon_sym_return] = ACTIONS(2490),
    [anon_sym_break] = ACTIONS(2490),
    [anon_sym_continue] = ACTIONS(2490),
    [anon_sym_goto] = ACTIONS(2490),
    [anon_sym_DASH_DASH] = ACTIONS(2492),
    [anon_sym_PLUS_PLUS] = ACTIONS(2492),
    [anon_sym_sizeof] = ACTIONS(2490),
    [anon_sym___alignof__] = ACTIONS(2490),
    [anon_sym___alignof] = ACTIONS(2490),
    [anon_sym__alignof] = ACTIONS(2490),
    [anon_sym_alignof] = ACTIONS(2490),
    [anon_sym__Alignof] = ACTIONS(2490),
    [anon_sym_offsetof] = ACTIONS(2490),
    [anon_sym__Generic] = ACTIONS(2490),
    [anon_sym_asm] = ACTIONS(2490),
    [anon_sym___asm__] = ACTIONS(2490),
    [anon_sym___asm] = ACTIONS(2490),
    [sym_number_literal] = ACTIONS(2492),
    [anon_sym_L_SQUOTE] = ACTIONS(2492),
    [anon_sym_u_SQUOTE] = ACTIONS(2492),
    [anon_sym_U_SQUOTE] = ACTIONS(2492),
    [anon_sym_u8_SQUOTE] = ACTIONS(2492),
    [anon_sym_SQUOTE] = ACTIONS(2492),
    [anon_sym_AT] = ACTIONS(2490),
    [anon_sym_DQUOTE] = ACTIONS(2492),
    [anon_sym_L_DQUOTE] = ACTIONS(2492),
    [anon_sym_u_DQUOTE] = ACTIONS(2492),
    [anon_sym_U_DQUOTE] = ACTIONS(2492),
    [anon_sym_u8_DQUOTE] = ACTIONS(2492),
    [sym_true] = ACTIONS(2490),
    [sym_false] = ACTIONS(2490),
    [anon_sym_NULL] = ACTIONS(2490),
    [anon_sym_nullptr] = ACTIONS(2490),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2490),
    [anon_sym___typeof] = ACTIONS(2490),
    [anon_sym_typeof] = ACTIONS(2490),
    [anon_sym_ATimport] = ACTIONS(2492),
    [aux_sym_preproc_undef_token1] = ACTIONS(2490),
    [anon_sym_POUND] = ACTIONS(2490),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2490),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2490),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2490),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2490),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2490),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2490),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2490),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2490),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2490),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_API_AVAILABLE] = ACTIONS(2490),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_API_DEPRECATED] = ACTIONS(2490),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2490),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2490),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2490),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2490),
    [anon_sym___deprecated_msg] = ACTIONS(2490),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2490),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2490),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2490),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2490),
    [anon_sym_ATprotocol] = ACTIONS(2492),
    [anon_sym_ATinterface] = ACTIONS(2492),
    [anon_sym_ATimplementation] = ACTIONS(2492),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2492),
    [anon_sym_ATsynthesize] = ACTIONS(2492),
    [anon_sym_ATdynamic] = ACTIONS(2492),
    [anon_sym_ATtry] = ACTIONS(2492),
    [anon_sym___try] = ACTIONS(2490),
    [anon_sym_ATthrow] = ACTIONS(2492),
    [anon_sym_ATselector] = ACTIONS(2492),
    [anon_sym_ATavailable] = ACTIONS(2492),
    [anon_sym___builtin_available] = ACTIONS(2490),
    [anon_sym_va_arg] = ACTIONS(2490),
    [anon_sym_ATencode] = ACTIONS(2492),
    [anon_sym_ATsynchronized] = ACTIONS(2492),
    [anon_sym_BOOL] = ACTIONS(2490),
    [anon_sym_IMP] = ACTIONS(2490),
    [anon_sym_SEL] = ACTIONS(2490),
    [anon_sym_Class] = ACTIONS(2490),
    [anon_sym_id] = ACTIONS(2490),
  },
  [233] = {
    [sym_catch_clause] = STATE(233),
    [aux_sym_try_statement_repeat1] = STATE(233),
    [sym_identifier] = ACTIONS(2318),
    [aux_sym_preproc_include_token1] = ACTIONS(2318),
    [aux_sym_preproc_include_token2] = ACTIONS(2318),
    [aux_sym_preproc_def_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2318),
    [sym_preproc_directive] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_BANG] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_SEMI] = ACTIONS(2320),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_typedef] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym___attribute] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym___cdecl] = ACTIONS(2318),
    [anon_sym___clrcall] = ACTIONS(2318),
    [anon_sym___stdcall] = ACTIONS(2318),
    [anon_sym___fastcall] = ACTIONS(2318),
    [anon_sym___thiscall] = ACTIONS(2318),
    [anon_sym___vectorcall] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_RBRACE] = ACTIONS(2320),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_ATautoreleasepool] = ACTIONS(2320),
    [anon_sym_auto] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_CG_EXTERN] = ACTIONS(2318),
    [anon_sym_CG_INLINE] = ACTIONS(2318),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2318),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2318),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2318),
    [anon_sym_IBOutlet] = ACTIONS(2318),
    [anon_sym_IBInspectable] = ACTIONS(2318),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2318),
    [anon_sym_NS_INLINE] = ACTIONS(2318),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2318),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2318),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2318),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym__Nonnull] = ACTIONS(2318),
    [anon_sym_nullable] = ACTIONS(2318),
    [anon_sym__Complex] = ACTIONS(2318),
    [anon_sym__Nullable] = ACTIONS(2318),
    [anon_sym__Nullable_result] = ACTIONS(2318),
    [anon_sym__Null_unspecified] = ACTIONS(2318),
    [anon_sym___autoreleasing] = ACTIONS(2318),
    [anon_sym___block] = ACTIONS(2318),
    [anon_sym___bridge] = ACTIONS(2318),
    [anon_sym___bridge_retained] = ACTIONS(2318),
    [anon_sym___bridge_transfer] = ACTIONS(2318),
    [anon_sym___complex] = ACTIONS(2318),
    [anon_sym___const] = ACTIONS(2318),
    [anon_sym___imag] = ACTIONS(2318),
    [anon_sym___kindof] = ACTIONS(2318),
    [anon_sym___nonnull] = ACTIONS(2318),
    [anon_sym___nullable] = ACTIONS(2318),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2318),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2318),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2318),
    [anon_sym___real] = ACTIONS(2318),
    [anon_sym___strong] = ACTIONS(2318),
    [anon_sym___unsafe_unretained] = ACTIONS(2318),
    [anon_sym___unused] = ACTIONS(2318),
    [anon_sym___weak] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym__Alignas] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_else] = ACTIONS(2318),
    [anon_sym_switch] = ACTIONS(2318),
    [anon_sym_case] = ACTIONS(2318),
    [anon_sym_default] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_do] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_break] = ACTIONS(2318),
    [anon_sym_continue] = ACTIONS(2318),
    [anon_sym_goto] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2320),
    [anon_sym_sizeof] = ACTIONS(2318),
    [anon_sym___alignof__] = ACTIONS(2318),
    [anon_sym___alignof] = ACTIONS(2318),
    [anon_sym__alignof] = ACTIONS(2318),
    [anon_sym_alignof] = ACTIONS(2318),
    [anon_sym__Alignof] = ACTIONS(2318),
    [anon_sym_offsetof] = ACTIONS(2318),
    [anon_sym__Generic] = ACTIONS(2318),
    [anon_sym_asm] = ACTIONS(2318),
    [anon_sym___asm__] = ACTIONS(2318),
    [anon_sym___asm] = ACTIONS(2318),
    [sym_number_literal] = ACTIONS(2320),
    [anon_sym_L_SQUOTE] = ACTIONS(2320),
    [anon_sym_u_SQUOTE] = ACTIONS(2320),
    [anon_sym_U_SQUOTE] = ACTIONS(2320),
    [anon_sym_u8_SQUOTE] = ACTIONS(2320),
    [anon_sym_SQUOTE] = ACTIONS(2320),
    [anon_sym_AT] = ACTIONS(2318),
    [anon_sym_DQUOTE] = ACTIONS(2320),
    [anon_sym_L_DQUOTE] = ACTIONS(2320),
    [anon_sym_u_DQUOTE] = ACTIONS(2320),
    [anon_sym_U_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8_DQUOTE] = ACTIONS(2320),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2318),
    [anon_sym_nullptr] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2318),
    [anon_sym___typeof] = ACTIONS(2318),
    [anon_sym_typeof] = ACTIONS(2318),
    [anon_sym_ATimport] = ACTIONS(2320),
    [aux_sym_preproc_undef_token1] = ACTIONS(2318),
    [anon_sym_POUND] = ACTIONS(2318),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2318),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2318),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2318),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2318),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2318),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2318),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2318),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2318),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2318),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_API_AVAILABLE] = ACTIONS(2318),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_API_DEPRECATED] = ACTIONS(2318),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2318),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2318),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2318),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2318),
    [anon_sym___deprecated_msg] = ACTIONS(2318),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2318),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2318),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2318),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2318),
    [anon_sym_ATprotocol] = ACTIONS(2320),
    [anon_sym_ATinterface] = ACTIONS(2320),
    [anon_sym_ATimplementation] = ACTIONS(2320),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2320),
    [anon_sym_ATtry] = ACTIONS(2320),
    [anon_sym___try] = ACTIONS(2318),
    [anon_sym_ATcatch] = ACTIONS(2494),
    [anon_sym___catch] = ACTIONS(2497),
    [anon_sym_ATfinally] = ACTIONS(2320),
    [anon_sym___finally] = ACTIONS(2318),
    [anon_sym_ATthrow] = ACTIONS(2320),
    [anon_sym_ATselector] = ACTIONS(2320),
    [anon_sym_ATavailable] = ACTIONS(2320),
    [anon_sym___builtin_available] = ACTIONS(2318),
    [anon_sym_va_arg] = ACTIONS(2318),
    [anon_sym_ATencode] = ACTIONS(2320),
    [anon_sym_ATsynchronized] = ACTIONS(2320),
    [anon_sym_BOOL] = ACTIONS(2318),
    [anon_sym_IMP] = ACTIONS(2318),
    [anon_sym_SEL] = ACTIONS(2318),
    [anon_sym_Class] = ACTIONS(2318),
    [anon_sym_id] = ACTIONS(2318),
  },
  [234] = {
    [sym_identifier] = ACTIONS(2500),
    [aux_sym_preproc_include_token1] = ACTIONS(2500),
    [aux_sym_preproc_include_token2] = ACTIONS(2500),
    [aux_sym_preproc_def_token1] = ACTIONS(2500),
    [aux_sym_preproc_if_token1] = ACTIONS(2500),
    [aux_sym_preproc_if_token2] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2500),
    [aux_sym_preproc_else_token1] = ACTIONS(2500),
    [aux_sym_preproc_elif_token1] = ACTIONS(2500),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2500),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2500),
    [sym_preproc_directive] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(2502),
    [anon_sym_BANG] = ACTIONS(2502),
    [anon_sym_TILDE] = ACTIONS(2502),
    [anon_sym_DASH] = ACTIONS(2500),
    [anon_sym_PLUS] = ACTIONS(2500),
    [anon_sym_STAR] = ACTIONS(2502),
    [anon_sym_CARET] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2502),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(2500),
    [anon_sym_typedef] = ACTIONS(2500),
    [anon_sym_extern] = ACTIONS(2500),
    [anon_sym___attribute__] = ACTIONS(2500),
    [anon_sym___attribute] = ACTIONS(2500),
    [anon_sym_noreturn] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [anon_sym___declspec] = ACTIONS(2500),
    [anon_sym___cdecl] = ACTIONS(2500),
    [anon_sym___clrcall] = ACTIONS(2500),
    [anon_sym___stdcall] = ACTIONS(2500),
    [anon_sym___fastcall] = ACTIONS(2500),
    [anon_sym___thiscall] = ACTIONS(2500),
    [anon_sym___vectorcall] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_signed] = ACTIONS(2500),
    [anon_sym_unsigned] = ACTIONS(2500),
    [anon_sym_long] = ACTIONS(2500),
    [anon_sym_short] = ACTIONS(2500),
    [anon_sym_static] = ACTIONS(2500),
    [anon_sym_ATautoreleasepool] = ACTIONS(2502),
    [anon_sym_auto] = ACTIONS(2500),
    [anon_sym_register] = ACTIONS(2500),
    [anon_sym_inline] = ACTIONS(2500),
    [anon_sym___inline] = ACTIONS(2500),
    [anon_sym___inline__] = ACTIONS(2500),
    [anon_sym___forceinline] = ACTIONS(2500),
    [anon_sym_thread_local] = ACTIONS(2500),
    [anon_sym___thread] = ACTIONS(2500),
    [anon_sym_CG_EXTERN] = ACTIONS(2500),
    [anon_sym_CG_INLINE] = ACTIONS(2500),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2500),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2500),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2500),
    [anon_sym_IBOutlet] = ACTIONS(2500),
    [anon_sym_IBInspectable] = ACTIONS(2500),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2500),
    [anon_sym_NS_INLINE] = ACTIONS(2500),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2500),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2500),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2500),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2500),
    [anon_sym_const] = ACTIONS(2500),
    [anon_sym_constexpr] = ACTIONS(2500),
    [anon_sym_volatile] = ACTIONS(2500),
    [anon_sym_restrict] = ACTIONS(2500),
    [anon_sym___restrict__] = ACTIONS(2500),
    [anon_sym__Atomic] = ACTIONS(2500),
    [anon_sym__Noreturn] = ACTIONS(2500),
    [anon_sym__Nonnull] = ACTIONS(2500),
    [anon_sym_nullable] = ACTIONS(2500),
    [anon_sym__Complex] = ACTIONS(2500),
    [anon_sym__Nullable] = ACTIONS(2500),
    [anon_sym__Nullable_result] = ACTIONS(2500),
    [anon_sym__Null_unspecified] = ACTIONS(2500),
    [anon_sym___autoreleasing] = ACTIONS(2500),
    [anon_sym___block] = ACTIONS(2500),
    [anon_sym___bridge] = ACTIONS(2500),
    [anon_sym___bridge_retained] = ACTIONS(2500),
    [anon_sym___bridge_transfer] = ACTIONS(2500),
    [anon_sym___complex] = ACTIONS(2500),
    [anon_sym___const] = ACTIONS(2500),
    [anon_sym___imag] = ACTIONS(2500),
    [anon_sym___kindof] = ACTIONS(2500),
    [anon_sym___nonnull] = ACTIONS(2500),
    [anon_sym___nullable] = ACTIONS(2500),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2500),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2500),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2500),
    [anon_sym___real] = ACTIONS(2500),
    [anon_sym___strong] = ACTIONS(2500),
    [anon_sym___unsafe_unretained] = ACTIONS(2500),
    [anon_sym___unused] = ACTIONS(2500),
    [anon_sym___weak] = ACTIONS(2500),
    [anon_sym_alignas] = ACTIONS(2500),
    [anon_sym__Alignas] = ACTIONS(2500),
    [sym_primitive_type] = ACTIONS(2500),
    [anon_sym_enum] = ACTIONS(2500),
    [anon_sym_struct] = ACTIONS(2500),
    [anon_sym_union] = ACTIONS(2500),
    [anon_sym_if] = ACTIONS(2500),
    [anon_sym_else] = ACTIONS(2500),
    [anon_sym_switch] = ACTIONS(2500),
    [anon_sym_case] = ACTIONS(2500),
    [anon_sym_default] = ACTIONS(2500),
    [anon_sym_while] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2500),
    [anon_sym_for] = ACTIONS(2500),
    [anon_sym_in] = ACTIONS(2500),
    [anon_sym_return] = ACTIONS(2500),
    [anon_sym_break] = ACTIONS(2500),
    [anon_sym_continue] = ACTIONS(2500),
    [anon_sym_goto] = ACTIONS(2500),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(2500),
    [anon_sym___alignof] = ACTIONS(2500),
    [anon_sym__alignof] = ACTIONS(2500),
    [anon_sym_alignof] = ACTIONS(2500),
    [anon_sym__Alignof] = ACTIONS(2500),
    [anon_sym_offsetof] = ACTIONS(2500),
    [anon_sym__Generic] = ACTIONS(2500),
    [anon_sym_asm] = ACTIONS(2500),
    [anon_sym___asm__] = ACTIONS(2500),
    [anon_sym___asm] = ACTIONS(2500),
    [sym_number_literal] = ACTIONS(2502),
    [anon_sym_L_SQUOTE] = ACTIONS(2502),
    [anon_sym_u_SQUOTE] = ACTIONS(2502),
    [anon_sym_U_SQUOTE] = ACTIONS(2502),
    [anon_sym_u8_SQUOTE] = ACTIONS(2502),
    [anon_sym_SQUOTE] = ACTIONS(2502),
    [anon_sym_AT] = ACTIONS(2500),
    [anon_sym_DQUOTE] = ACTIONS(2502),
    [anon_sym_L_DQUOTE] = ACTIONS(2502),
    [anon_sym_u_DQUOTE] = ACTIONS(2502),
    [anon_sym_U_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8_DQUOTE] = ACTIONS(2502),
    [sym_true] = ACTIONS(2500),
    [sym_false] = ACTIONS(2500),
    [anon_sym_NULL] = ACTIONS(2500),
    [anon_sym_nullptr] = ACTIONS(2500),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2500),
    [anon_sym___typeof] = ACTIONS(2500),
    [anon_sym_typeof] = ACTIONS(2500),
    [anon_sym_ATimport] = ACTIONS(2502),
    [aux_sym_preproc_undef_token1] = ACTIONS(2500),
    [anon_sym_POUND] = ACTIONS(2500),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2500),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2500),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2500),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2500),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2500),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2500),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2500),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2500),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2500),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_API_AVAILABLE] = ACTIONS(2500),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_API_DEPRECATED] = ACTIONS(2500),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2500),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2500),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2500),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2500),
    [anon_sym___deprecated_msg] = ACTIONS(2500),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2500),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2500),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2500),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2500),
    [anon_sym_ATprotocol] = ACTIONS(2502),
    [anon_sym_ATinterface] = ACTIONS(2502),
    [anon_sym_ATimplementation] = ACTIONS(2502),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2502),
    [anon_sym_ATsynthesize] = ACTIONS(2502),
    [anon_sym_ATdynamic] = ACTIONS(2502),
    [anon_sym_ATtry] = ACTIONS(2502),
    [anon_sym___try] = ACTIONS(2500),
    [anon_sym_ATthrow] = ACTIONS(2502),
    [anon_sym_ATselector] = ACTIONS(2502),
    [anon_sym_ATavailable] = ACTIONS(2502),
    [anon_sym___builtin_available] = ACTIONS(2500),
    [anon_sym_va_arg] = ACTIONS(2500),
    [anon_sym_ATencode] = ACTIONS(2502),
    [anon_sym_ATsynchronized] = ACTIONS(2502),
    [anon_sym_BOOL] = ACTIONS(2500),
    [anon_sym_IMP] = ACTIONS(2500),
    [anon_sym_SEL] = ACTIONS(2500),
    [anon_sym_Class] = ACTIONS(2500),
    [anon_sym_id] = ACTIONS(2500),
  },
  [235] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_include_token2] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_CARET] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym___attribute] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_ATautoreleasepool] = ACTIONS(2506),
    [anon_sym_auto] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_CG_EXTERN] = ACTIONS(2504),
    [anon_sym_CG_INLINE] = ACTIONS(2504),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2504),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2504),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2504),
    [anon_sym_IBOutlet] = ACTIONS(2504),
    [anon_sym_IBInspectable] = ACTIONS(2504),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2504),
    [anon_sym_NS_INLINE] = ACTIONS(2504),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2504),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2504),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2504),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym__Nonnull] = ACTIONS(2504),
    [anon_sym_nullable] = ACTIONS(2504),
    [anon_sym__Complex] = ACTIONS(2504),
    [anon_sym__Nullable] = ACTIONS(2504),
    [anon_sym__Nullable_result] = ACTIONS(2504),
    [anon_sym__Null_unspecified] = ACTIONS(2504),
    [anon_sym___autoreleasing] = ACTIONS(2504),
    [anon_sym___block] = ACTIONS(2504),
    [anon_sym___bridge] = ACTIONS(2504),
    [anon_sym___bridge_retained] = ACTIONS(2504),
    [anon_sym___bridge_transfer] = ACTIONS(2504),
    [anon_sym___complex] = ACTIONS(2504),
    [anon_sym___const] = ACTIONS(2504),
    [anon_sym___imag] = ACTIONS(2504),
    [anon_sym___kindof] = ACTIONS(2504),
    [anon_sym___nonnull] = ACTIONS(2504),
    [anon_sym___nullable] = ACTIONS(2504),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2504),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2504),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2504),
    [anon_sym___real] = ACTIONS(2504),
    [anon_sym___strong] = ACTIONS(2504),
    [anon_sym___unsafe_unretained] = ACTIONS(2504),
    [anon_sym___unused] = ACTIONS(2504),
    [anon_sym___weak] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym__Alignas] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_in] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [anon_sym___asm] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_AT] = ACTIONS(2504),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2504),
    [anon_sym___typeof] = ACTIONS(2504),
    [anon_sym_typeof] = ACTIONS(2504),
    [anon_sym_ATimport] = ACTIONS(2506),
    [aux_sym_preproc_undef_token1] = ACTIONS(2504),
    [anon_sym_POUND] = ACTIONS(2504),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2504),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2504),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2504),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2504),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2504),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2504),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2504),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2504),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2504),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_API_AVAILABLE] = ACTIONS(2504),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_API_DEPRECATED] = ACTIONS(2504),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2504),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2504),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2504),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2504),
    [anon_sym___deprecated_msg] = ACTIONS(2504),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2504),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2504),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2504),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2504),
    [anon_sym_ATprotocol] = ACTIONS(2506),
    [anon_sym_ATinterface] = ACTIONS(2506),
    [anon_sym_ATimplementation] = ACTIONS(2506),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2506),
    [anon_sym_ATsynthesize] = ACTIONS(2506),
    [anon_sym_ATdynamic] = ACTIONS(2506),
    [anon_sym_ATtry] = ACTIONS(2506),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym_ATthrow] = ACTIONS(2506),
    [anon_sym_ATselector] = ACTIONS(2506),
    [anon_sym_ATavailable] = ACTIONS(2506),
    [anon_sym___builtin_available] = ACTIONS(2504),
    [anon_sym_va_arg] = ACTIONS(2504),
    [anon_sym_ATencode] = ACTIONS(2506),
    [anon_sym_ATsynchronized] = ACTIONS(2506),
    [anon_sym_BOOL] = ACTIONS(2504),
    [anon_sym_IMP] = ACTIONS(2504),
    [anon_sym_SEL] = ACTIONS(2504),
    [anon_sym_Class] = ACTIONS(2504),
    [anon_sym_id] = ACTIONS(2504),
  },
  [236] = {
    [sym_identifier] = ACTIONS(2508),
    [aux_sym_preproc_include_token1] = ACTIONS(2508),
    [aux_sym_preproc_include_token2] = ACTIONS(2508),
    [aux_sym_preproc_def_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token2] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2508),
    [aux_sym_preproc_else_token1] = ACTIONS(2508),
    [aux_sym_preproc_elif_token1] = ACTIONS(2508),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2508),
    [sym_preproc_directive] = ACTIONS(2508),
    [anon_sym_LPAREN2] = ACTIONS(2510),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2510),
    [anon_sym_CARET] = ACTIONS(2510),
    [anon_sym_AMP] = ACTIONS(2510),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym___extension__] = ACTIONS(2508),
    [anon_sym_typedef] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym___attribute__] = ACTIONS(2508),
    [anon_sym___attribute] = ACTIONS(2508),
    [anon_sym_noreturn] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [anon_sym___declspec] = ACTIONS(2508),
    [anon_sym___cdecl] = ACTIONS(2508),
    [anon_sym___clrcall] = ACTIONS(2508),
    [anon_sym___stdcall] = ACTIONS(2508),
    [anon_sym___fastcall] = ACTIONS(2508),
    [anon_sym___thiscall] = ACTIONS(2508),
    [anon_sym___vectorcall] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_signed] = ACTIONS(2508),
    [anon_sym_unsigned] = ACTIONS(2508),
    [anon_sym_long] = ACTIONS(2508),
    [anon_sym_short] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_ATautoreleasepool] = ACTIONS(2510),
    [anon_sym_auto] = ACTIONS(2508),
    [anon_sym_register] = ACTIONS(2508),
    [anon_sym_inline] = ACTIONS(2508),
    [anon_sym___inline] = ACTIONS(2508),
    [anon_sym___inline__] = ACTIONS(2508),
    [anon_sym___forceinline] = ACTIONS(2508),
    [anon_sym_thread_local] = ACTIONS(2508),
    [anon_sym___thread] = ACTIONS(2508),
    [anon_sym_CG_EXTERN] = ACTIONS(2508),
    [anon_sym_CG_INLINE] = ACTIONS(2508),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2508),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2508),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2508),
    [anon_sym_IBOutlet] = ACTIONS(2508),
    [anon_sym_IBInspectable] = ACTIONS(2508),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2508),
    [anon_sym_NS_INLINE] = ACTIONS(2508),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2508),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2508),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2508),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_constexpr] = ACTIONS(2508),
    [anon_sym_volatile] = ACTIONS(2508),
    [anon_sym_restrict] = ACTIONS(2508),
    [anon_sym___restrict__] = ACTIONS(2508),
    [anon_sym__Atomic] = ACTIONS(2508),
    [anon_sym__Noreturn] = ACTIONS(2508),
    [anon_sym__Nonnull] = ACTIONS(2508),
    [anon_sym_nullable] = ACTIONS(2508),
    [anon_sym__Complex] = ACTIONS(2508),
    [anon_sym__Nullable] = ACTIONS(2508),
    [anon_sym__Nullable_result] = ACTIONS(2508),
    [anon_sym__Null_unspecified] = ACTIONS(2508),
    [anon_sym___autoreleasing] = ACTIONS(2508),
    [anon_sym___block] = ACTIONS(2508),
    [anon_sym___bridge] = ACTIONS(2508),
    [anon_sym___bridge_retained] = ACTIONS(2508),
    [anon_sym___bridge_transfer] = ACTIONS(2508),
    [anon_sym___complex] = ACTIONS(2508),
    [anon_sym___const] = ACTIONS(2508),
    [anon_sym___imag] = ACTIONS(2508),
    [anon_sym___kindof] = ACTIONS(2508),
    [anon_sym___nonnull] = ACTIONS(2508),
    [anon_sym___nullable] = ACTIONS(2508),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2508),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2508),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2508),
    [anon_sym___real] = ACTIONS(2508),
    [anon_sym___strong] = ACTIONS(2508),
    [anon_sym___unsafe_unretained] = ACTIONS(2508),
    [anon_sym___unused] = ACTIONS(2508),
    [anon_sym___weak] = ACTIONS(2508),
    [anon_sym_alignas] = ACTIONS(2508),
    [anon_sym__Alignas] = ACTIONS(2508),
    [sym_primitive_type] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_else] = ACTIONS(2508),
    [anon_sym_switch] = ACTIONS(2508),
    [anon_sym_case] = ACTIONS(2508),
    [anon_sym_default] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2508),
    [anon_sym_do] = ACTIONS(2508),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_in] = ACTIONS(2508),
    [anon_sym_return] = ACTIONS(2508),
    [anon_sym_break] = ACTIONS(2508),
    [anon_sym_continue] = ACTIONS(2508),
    [anon_sym_goto] = ACTIONS(2508),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_sizeof] = ACTIONS(2508),
    [anon_sym___alignof__] = ACTIONS(2508),
    [anon_sym___alignof] = ACTIONS(2508),
    [anon_sym__alignof] = ACTIONS(2508),
    [anon_sym_alignof] = ACTIONS(2508),
    [anon_sym__Alignof] = ACTIONS(2508),
    [anon_sym_offsetof] = ACTIONS(2508),
    [anon_sym__Generic] = ACTIONS(2508),
    [anon_sym_asm] = ACTIONS(2508),
    [anon_sym___asm__] = ACTIONS(2508),
    [anon_sym___asm] = ACTIONS(2508),
    [sym_number_literal] = ACTIONS(2510),
    [anon_sym_L_SQUOTE] = ACTIONS(2510),
    [anon_sym_u_SQUOTE] = ACTIONS(2510),
    [anon_sym_U_SQUOTE] = ACTIONS(2510),
    [anon_sym_u8_SQUOTE] = ACTIONS(2510),
    [anon_sym_SQUOTE] = ACTIONS(2510),
    [anon_sym_AT] = ACTIONS(2508),
    [anon_sym_DQUOTE] = ACTIONS(2510),
    [anon_sym_L_DQUOTE] = ACTIONS(2510),
    [anon_sym_u_DQUOTE] = ACTIONS(2510),
    [anon_sym_U_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8_DQUOTE] = ACTIONS(2510),
    [sym_true] = ACTIONS(2508),
    [sym_false] = ACTIONS(2508),
    [anon_sym_NULL] = ACTIONS(2508),
    [anon_sym_nullptr] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2508),
    [anon_sym___typeof] = ACTIONS(2508),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_ATimport] = ACTIONS(2510),
    [aux_sym_preproc_undef_token1] = ACTIONS(2508),
    [anon_sym_POUND] = ACTIONS(2508),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2508),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2508),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2508),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2508),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2508),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2508),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2508),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2508),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2508),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_API_AVAILABLE] = ACTIONS(2508),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_API_DEPRECATED] = ACTIONS(2508),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2508),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2508),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2508),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2508),
    [anon_sym___deprecated_msg] = ACTIONS(2508),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2508),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2508),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2508),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2508),
    [anon_sym_ATprotocol] = ACTIONS(2510),
    [anon_sym_ATinterface] = ACTIONS(2510),
    [anon_sym_ATimplementation] = ACTIONS(2510),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2510),
    [anon_sym_ATsynthesize] = ACTIONS(2510),
    [anon_sym_ATdynamic] = ACTIONS(2510),
    [anon_sym_ATtry] = ACTIONS(2510),
    [anon_sym___try] = ACTIONS(2508),
    [anon_sym_ATthrow] = ACTIONS(2510),
    [anon_sym_ATselector] = ACTIONS(2510),
    [anon_sym_ATavailable] = ACTIONS(2510),
    [anon_sym___builtin_available] = ACTIONS(2508),
    [anon_sym_va_arg] = ACTIONS(2508),
    [anon_sym_ATencode] = ACTIONS(2510),
    [anon_sym_ATsynchronized] = ACTIONS(2510),
    [anon_sym_BOOL] = ACTIONS(2508),
    [anon_sym_IMP] = ACTIONS(2508),
    [anon_sym_SEL] = ACTIONS(2508),
    [anon_sym_Class] = ACTIONS(2508),
    [anon_sym_id] = ACTIONS(2508),
  },
  [237] = {
    [sym_identifier] = ACTIONS(2512),
    [aux_sym_preproc_include_token1] = ACTIONS(2512),
    [aux_sym_preproc_include_token2] = ACTIONS(2512),
    [aux_sym_preproc_def_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token2] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2512),
    [aux_sym_preproc_else_token1] = ACTIONS(2512),
    [aux_sym_preproc_elif_token1] = ACTIONS(2512),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2512),
    [sym_preproc_directive] = ACTIONS(2512),
    [anon_sym_LPAREN2] = ACTIONS(2514),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_CARET] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_typedef] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym___attribute] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym___cdecl] = ACTIONS(2512),
    [anon_sym___clrcall] = ACTIONS(2512),
    [anon_sym___stdcall] = ACTIONS(2512),
    [anon_sym___fastcall] = ACTIONS(2512),
    [anon_sym___thiscall] = ACTIONS(2512),
    [anon_sym___vectorcall] = ACTIONS(2512),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_ATautoreleasepool] = ACTIONS(2514),
    [anon_sym_auto] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_CG_EXTERN] = ACTIONS(2512),
    [anon_sym_CG_INLINE] = ACTIONS(2512),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2512),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2512),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2512),
    [anon_sym_IBOutlet] = ACTIONS(2512),
    [anon_sym_IBInspectable] = ACTIONS(2512),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2512),
    [anon_sym_NS_INLINE] = ACTIONS(2512),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2512),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2512),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2512),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym__Nonnull] = ACTIONS(2512),
    [anon_sym_nullable] = ACTIONS(2512),
    [anon_sym__Complex] = ACTIONS(2512),
    [anon_sym__Nullable] = ACTIONS(2512),
    [anon_sym__Nullable_result] = ACTIONS(2512),
    [anon_sym__Null_unspecified] = ACTIONS(2512),
    [anon_sym___autoreleasing] = ACTIONS(2512),
    [anon_sym___block] = ACTIONS(2512),
    [anon_sym___bridge] = ACTIONS(2512),
    [anon_sym___bridge_retained] = ACTIONS(2512),
    [anon_sym___bridge_transfer] = ACTIONS(2512),
    [anon_sym___complex] = ACTIONS(2512),
    [anon_sym___const] = ACTIONS(2512),
    [anon_sym___imag] = ACTIONS(2512),
    [anon_sym___kindof] = ACTIONS(2512),
    [anon_sym___nonnull] = ACTIONS(2512),
    [anon_sym___nullable] = ACTIONS(2512),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2512),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2512),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2512),
    [anon_sym___real] = ACTIONS(2512),
    [anon_sym___strong] = ACTIONS(2512),
    [anon_sym___unsafe_unretained] = ACTIONS(2512),
    [anon_sym___unused] = ACTIONS(2512),
    [anon_sym___weak] = ACTIONS(2512),
    [anon_sym_alignas] = ACTIONS(2512),
    [anon_sym__Alignas] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(2512),
    [anon_sym_else] = ACTIONS(2512),
    [anon_sym_switch] = ACTIONS(2512),
    [anon_sym_case] = ACTIONS(2512),
    [anon_sym_default] = ACTIONS(2512),
    [anon_sym_while] = ACTIONS(2512),
    [anon_sym_do] = ACTIONS(2512),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_in] = ACTIONS(2512),
    [anon_sym_return] = ACTIONS(2512),
    [anon_sym_break] = ACTIONS(2512),
    [anon_sym_continue] = ACTIONS(2512),
    [anon_sym_goto] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_sizeof] = ACTIONS(2512),
    [anon_sym___alignof__] = ACTIONS(2512),
    [anon_sym___alignof] = ACTIONS(2512),
    [anon_sym__alignof] = ACTIONS(2512),
    [anon_sym_alignof] = ACTIONS(2512),
    [anon_sym__Alignof] = ACTIONS(2512),
    [anon_sym_offsetof] = ACTIONS(2512),
    [anon_sym__Generic] = ACTIONS(2512),
    [anon_sym_asm] = ACTIONS(2512),
    [anon_sym___asm__] = ACTIONS(2512),
    [anon_sym___asm] = ACTIONS(2512),
    [sym_number_literal] = ACTIONS(2514),
    [anon_sym_L_SQUOTE] = ACTIONS(2514),
    [anon_sym_u_SQUOTE] = ACTIONS(2514),
    [anon_sym_U_SQUOTE] = ACTIONS(2514),
    [anon_sym_u8_SQUOTE] = ACTIONS(2514),
    [anon_sym_SQUOTE] = ACTIONS(2514),
    [anon_sym_AT] = ACTIONS(2512),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_L_DQUOTE] = ACTIONS(2514),
    [anon_sym_u_DQUOTE] = ACTIONS(2514),
    [anon_sym_U_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8_DQUOTE] = ACTIONS(2514),
    [sym_true] = ACTIONS(2512),
    [sym_false] = ACTIONS(2512),
    [anon_sym_NULL] = ACTIONS(2512),
    [anon_sym_nullptr] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2512),
    [anon_sym___typeof] = ACTIONS(2512),
    [anon_sym_typeof] = ACTIONS(2512),
    [anon_sym_ATimport] = ACTIONS(2514),
    [aux_sym_preproc_undef_token1] = ACTIONS(2512),
    [anon_sym_POUND] = ACTIONS(2512),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2512),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2512),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2512),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2512),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2512),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2512),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2512),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2512),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2512),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_API_AVAILABLE] = ACTIONS(2512),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_API_DEPRECATED] = ACTIONS(2512),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2512),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2512),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2512),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2512),
    [anon_sym___deprecated_msg] = ACTIONS(2512),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2512),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2512),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2512),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2512),
    [anon_sym_ATprotocol] = ACTIONS(2514),
    [anon_sym_ATinterface] = ACTIONS(2514),
    [anon_sym_ATimplementation] = ACTIONS(2514),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2514),
    [anon_sym_ATsynthesize] = ACTIONS(2514),
    [anon_sym_ATdynamic] = ACTIONS(2514),
    [anon_sym_ATtry] = ACTIONS(2514),
    [anon_sym___try] = ACTIONS(2512),
    [anon_sym_ATthrow] = ACTIONS(2514),
    [anon_sym_ATselector] = ACTIONS(2514),
    [anon_sym_ATavailable] = ACTIONS(2514),
    [anon_sym___builtin_available] = ACTIONS(2512),
    [anon_sym_va_arg] = ACTIONS(2512),
    [anon_sym_ATencode] = ACTIONS(2514),
    [anon_sym_ATsynchronized] = ACTIONS(2514),
    [anon_sym_BOOL] = ACTIONS(2512),
    [anon_sym_IMP] = ACTIONS(2512),
    [anon_sym_SEL] = ACTIONS(2512),
    [anon_sym_Class] = ACTIONS(2512),
    [anon_sym_id] = ACTIONS(2512),
  },
  [238] = {
    [sym_identifier] = ACTIONS(2486),
    [aux_sym_preproc_include_token1] = ACTIONS(2486),
    [aux_sym_preproc_include_token2] = ACTIONS(2486),
    [aux_sym_preproc_def_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token2] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2486),
    [aux_sym_preproc_else_token1] = ACTIONS(2486),
    [aux_sym_preproc_elif_token1] = ACTIONS(2486),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2486),
    [sym_preproc_directive] = ACTIONS(2486),
    [anon_sym_LPAREN2] = ACTIONS(2488),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_CARET] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2488),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym___attribute] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym___cdecl] = ACTIONS(2486),
    [anon_sym___clrcall] = ACTIONS(2486),
    [anon_sym___stdcall] = ACTIONS(2486),
    [anon_sym___fastcall] = ACTIONS(2486),
    [anon_sym___thiscall] = ACTIONS(2486),
    [anon_sym___vectorcall] = ACTIONS(2486),
    [anon_sym_LBRACE] = ACTIONS(2488),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_ATautoreleasepool] = ACTIONS(2488),
    [anon_sym_auto] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_CG_EXTERN] = ACTIONS(2486),
    [anon_sym_CG_INLINE] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2486),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2486),
    [anon_sym_IBOutlet] = ACTIONS(2486),
    [anon_sym_IBInspectable] = ACTIONS(2486),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2486),
    [anon_sym_NS_INLINE] = ACTIONS(2486),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2486),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2486),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym__Nonnull] = ACTIONS(2486),
    [anon_sym_nullable] = ACTIONS(2486),
    [anon_sym__Complex] = ACTIONS(2486),
    [anon_sym__Nullable] = ACTIONS(2486),
    [anon_sym__Nullable_result] = ACTIONS(2486),
    [anon_sym__Null_unspecified] = ACTIONS(2486),
    [anon_sym___autoreleasing] = ACTIONS(2486),
    [anon_sym___block] = ACTIONS(2486),
    [anon_sym___bridge] = ACTIONS(2486),
    [anon_sym___bridge_retained] = ACTIONS(2486),
    [anon_sym___bridge_transfer] = ACTIONS(2486),
    [anon_sym___complex] = ACTIONS(2486),
    [anon_sym___const] = ACTIONS(2486),
    [anon_sym___imag] = ACTIONS(2486),
    [anon_sym___kindof] = ACTIONS(2486),
    [anon_sym___nonnull] = ACTIONS(2486),
    [anon_sym___nullable] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2486),
    [anon_sym___real] = ACTIONS(2486),
    [anon_sym___strong] = ACTIONS(2486),
    [anon_sym___unsafe_unretained] = ACTIONS(2486),
    [anon_sym___unused] = ACTIONS(2486),
    [anon_sym___weak] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym__Alignas] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_else] = ACTIONS(2486),
    [anon_sym_switch] = ACTIONS(2486),
    [anon_sym_case] = ACTIONS(2486),
    [anon_sym_default] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2486),
    [anon_sym_do] = ACTIONS(2486),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_in] = ACTIONS(2486),
    [anon_sym_return] = ACTIONS(2486),
    [anon_sym_break] = ACTIONS(2486),
    [anon_sym_continue] = ACTIONS(2486),
    [anon_sym_goto] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2488),
    [anon_sym_PLUS_PLUS] = ACTIONS(2488),
    [anon_sym_sizeof] = ACTIONS(2486),
    [anon_sym___alignof__] = ACTIONS(2486),
    [anon_sym___alignof] = ACTIONS(2486),
    [anon_sym__alignof] = ACTIONS(2486),
    [anon_sym_alignof] = ACTIONS(2486),
    [anon_sym__Alignof] = ACTIONS(2486),
    [anon_sym_offsetof] = ACTIONS(2486),
    [anon_sym__Generic] = ACTIONS(2486),
    [anon_sym_asm] = ACTIONS(2486),
    [anon_sym___asm__] = ACTIONS(2486),
    [anon_sym___asm] = ACTIONS(2486),
    [sym_number_literal] = ACTIONS(2488),
    [anon_sym_L_SQUOTE] = ACTIONS(2488),
    [anon_sym_u_SQUOTE] = ACTIONS(2488),
    [anon_sym_U_SQUOTE] = ACTIONS(2488),
    [anon_sym_u8_SQUOTE] = ACTIONS(2488),
    [anon_sym_SQUOTE] = ACTIONS(2488),
    [anon_sym_AT] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2488),
    [anon_sym_L_DQUOTE] = ACTIONS(2488),
    [anon_sym_u_DQUOTE] = ACTIONS(2488),
    [anon_sym_U_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8_DQUOTE] = ACTIONS(2488),
    [sym_true] = ACTIONS(2486),
    [sym_false] = ACTIONS(2486),
    [anon_sym_NULL] = ACTIONS(2486),
    [anon_sym_nullptr] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2486),
    [anon_sym___typeof] = ACTIONS(2486),
    [anon_sym_typeof] = ACTIONS(2486),
    [anon_sym_ATimport] = ACTIONS(2488),
    [aux_sym_preproc_undef_token1] = ACTIONS(2486),
    [anon_sym_POUND] = ACTIONS(2486),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2486),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2486),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2486),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_API_AVAILABLE] = ACTIONS(2486),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_API_DEPRECATED] = ACTIONS(2486),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym___deprecated_msg] = ACTIONS(2486),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2486),
    [anon_sym_ATprotocol] = ACTIONS(2488),
    [anon_sym_ATinterface] = ACTIONS(2488),
    [anon_sym_ATimplementation] = ACTIONS(2488),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2488),
    [anon_sym_ATsynthesize] = ACTIONS(2488),
    [anon_sym_ATdynamic] = ACTIONS(2488),
    [anon_sym_ATtry] = ACTIONS(2488),
    [anon_sym___try] = ACTIONS(2486),
    [anon_sym_ATthrow] = ACTIONS(2488),
    [anon_sym_ATselector] = ACTIONS(2488),
    [anon_sym_ATavailable] = ACTIONS(2488),
    [anon_sym___builtin_available] = ACTIONS(2486),
    [anon_sym_va_arg] = ACTIONS(2486),
    [anon_sym_ATencode] = ACTIONS(2488),
    [anon_sym_ATsynchronized] = ACTIONS(2488),
    [anon_sym_BOOL] = ACTIONS(2486),
    [anon_sym_IMP] = ACTIONS(2486),
    [anon_sym_SEL] = ACTIONS(2486),
    [anon_sym_Class] = ACTIONS(2486),
    [anon_sym_id] = ACTIONS(2486),
  },
  [239] = {
    [sym_identifier] = ACTIONS(2346),
    [aux_sym_preproc_include_token1] = ACTIONS(2346),
    [aux_sym_preproc_include_token2] = ACTIONS(2346),
    [aux_sym_preproc_def_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token2] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2346),
    [aux_sym_preproc_else_token1] = ACTIONS(2346),
    [aux_sym_preproc_elif_token1] = ACTIONS(2346),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2346),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2346),
    [sym_preproc_directive] = ACTIONS(2346),
    [anon_sym_LPAREN2] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_CARET] = ACTIONS(2348),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym___extension__] = ACTIONS(2346),
    [anon_sym_typedef] = ACTIONS(2346),
    [anon_sym_extern] = ACTIONS(2346),
    [anon_sym___attribute__] = ACTIONS(2346),
    [anon_sym___attribute] = ACTIONS(2346),
    [anon_sym_noreturn] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym___declspec] = ACTIONS(2346),
    [anon_sym___cdecl] = ACTIONS(2346),
    [anon_sym___clrcall] = ACTIONS(2346),
    [anon_sym___stdcall] = ACTIONS(2346),
    [anon_sym___fastcall] = ACTIONS(2346),
    [anon_sym___thiscall] = ACTIONS(2346),
    [anon_sym___vectorcall] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_signed] = ACTIONS(2346),
    [anon_sym_unsigned] = ACTIONS(2346),
    [anon_sym_long] = ACTIONS(2346),
    [anon_sym_short] = ACTIONS(2346),
    [anon_sym_static] = ACTIONS(2346),
    [anon_sym_ATautoreleasepool] = ACTIONS(2348),
    [anon_sym_auto] = ACTIONS(2346),
    [anon_sym_register] = ACTIONS(2346),
    [anon_sym_inline] = ACTIONS(2346),
    [anon_sym___inline] = ACTIONS(2346),
    [anon_sym___inline__] = ACTIONS(2346),
    [anon_sym___forceinline] = ACTIONS(2346),
    [anon_sym_thread_local] = ACTIONS(2346),
    [anon_sym___thread] = ACTIONS(2346),
    [anon_sym_CG_EXTERN] = ACTIONS(2346),
    [anon_sym_CG_INLINE] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2346),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2346),
    [anon_sym_IBOutlet] = ACTIONS(2346),
    [anon_sym_IBInspectable] = ACTIONS(2346),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2346),
    [anon_sym_NS_INLINE] = ACTIONS(2346),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2346),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2346),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2346),
    [anon_sym_const] = ACTIONS(2346),
    [anon_sym_constexpr] = ACTIONS(2346),
    [anon_sym_volatile] = ACTIONS(2346),
    [anon_sym_restrict] = ACTIONS(2346),
    [anon_sym___restrict__] = ACTIONS(2346),
    [anon_sym__Atomic] = ACTIONS(2346),
    [anon_sym__Noreturn] = ACTIONS(2346),
    [anon_sym__Nonnull] = ACTIONS(2346),
    [anon_sym_nullable] = ACTIONS(2346),
    [anon_sym__Complex] = ACTIONS(2346),
    [anon_sym__Nullable] = ACTIONS(2346),
    [anon_sym__Nullable_result] = ACTIONS(2346),
    [anon_sym__Null_unspecified] = ACTIONS(2346),
    [anon_sym___autoreleasing] = ACTIONS(2346),
    [anon_sym___block] = ACTIONS(2346),
    [anon_sym___bridge] = ACTIONS(2346),
    [anon_sym___bridge_retained] = ACTIONS(2346),
    [anon_sym___bridge_transfer] = ACTIONS(2346),
    [anon_sym___complex] = ACTIONS(2346),
    [anon_sym___const] = ACTIONS(2346),
    [anon_sym___imag] = ACTIONS(2346),
    [anon_sym___kindof] = ACTIONS(2346),
    [anon_sym___nonnull] = ACTIONS(2346),
    [anon_sym___nullable] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2346),
    [anon_sym___real] = ACTIONS(2346),
    [anon_sym___strong] = ACTIONS(2346),
    [anon_sym___unsafe_unretained] = ACTIONS(2346),
    [anon_sym___unused] = ACTIONS(2346),
    [anon_sym___weak] = ACTIONS(2346),
    [anon_sym_alignas] = ACTIONS(2346),
    [anon_sym__Alignas] = ACTIONS(2346),
    [sym_primitive_type] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2346),
    [anon_sym_struct] = ACTIONS(2346),
    [anon_sym_union] = ACTIONS(2346),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_else] = ACTIONS(2346),
    [anon_sym_switch] = ACTIONS(2346),
    [anon_sym_case] = ACTIONS(2346),
    [anon_sym_default] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2346),
    [anon_sym_for] = ACTIONS(2346),
    [anon_sym_in] = ACTIONS(2346),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_break] = ACTIONS(2346),
    [anon_sym_continue] = ACTIONS(2346),
    [anon_sym_goto] = ACTIONS(2346),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_sizeof] = ACTIONS(2346),
    [anon_sym___alignof__] = ACTIONS(2346),
    [anon_sym___alignof] = ACTIONS(2346),
    [anon_sym__alignof] = ACTIONS(2346),
    [anon_sym_alignof] = ACTIONS(2346),
    [anon_sym__Alignof] = ACTIONS(2346),
    [anon_sym_offsetof] = ACTIONS(2346),
    [anon_sym__Generic] = ACTIONS(2346),
    [anon_sym_asm] = ACTIONS(2346),
    [anon_sym___asm__] = ACTIONS(2346),
    [anon_sym___asm] = ACTIONS(2346),
    [sym_number_literal] = ACTIONS(2348),
    [anon_sym_L_SQUOTE] = ACTIONS(2348),
    [anon_sym_u_SQUOTE] = ACTIONS(2348),
    [anon_sym_U_SQUOTE] = ACTIONS(2348),
    [anon_sym_u8_SQUOTE] = ACTIONS(2348),
    [anon_sym_SQUOTE] = ACTIONS(2348),
    [anon_sym_AT] = ACTIONS(2346),
    [anon_sym_DQUOTE] = ACTIONS(2348),
    [anon_sym_L_DQUOTE] = ACTIONS(2348),
    [anon_sym_u_DQUOTE] = ACTIONS(2348),
    [anon_sym_U_DQUOTE] = ACTIONS(2348),
    [anon_sym_u8_DQUOTE] = ACTIONS(2348),
    [sym_true] = ACTIONS(2346),
    [sym_false] = ACTIONS(2346),
    [anon_sym_NULL] = ACTIONS(2346),
    [anon_sym_nullptr] = ACTIONS(2346),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2346),
    [anon_sym___typeof] = ACTIONS(2346),
    [anon_sym_typeof] = ACTIONS(2346),
    [anon_sym_ATimport] = ACTIONS(2348),
    [aux_sym_preproc_undef_token1] = ACTIONS(2346),
    [anon_sym_POUND] = ACTIONS(2346),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2346),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2346),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2346),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_API_AVAILABLE] = ACTIONS(2346),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_API_DEPRECATED] = ACTIONS(2346),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym___deprecated_msg] = ACTIONS(2346),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2346),
    [anon_sym_ATprotocol] = ACTIONS(2348),
    [anon_sym_ATinterface] = ACTIONS(2348),
    [anon_sym_ATimplementation] = ACTIONS(2348),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2348),
    [anon_sym_ATsynthesize] = ACTIONS(2348),
    [anon_sym_ATdynamic] = ACTIONS(2348),
    [anon_sym_ATtry] = ACTIONS(2348),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym_ATthrow] = ACTIONS(2348),
    [anon_sym_ATselector] = ACTIONS(2348),
    [anon_sym_ATavailable] = ACTIONS(2348),
    [anon_sym___builtin_available] = ACTIONS(2346),
    [anon_sym_va_arg] = ACTIONS(2346),
    [anon_sym_ATencode] = ACTIONS(2348),
    [anon_sym_ATsynchronized] = ACTIONS(2348),
    [anon_sym_BOOL] = ACTIONS(2346),
    [anon_sym_IMP] = ACTIONS(2346),
    [anon_sym_SEL] = ACTIONS(2346),
    [anon_sym_Class] = ACTIONS(2346),
    [anon_sym_id] = ACTIONS(2346),
  },
  [240] = {
    [sym_identifier] = ACTIONS(2470),
    [aux_sym_preproc_include_token1] = ACTIONS(2470),
    [aux_sym_preproc_include_token2] = ACTIONS(2470),
    [aux_sym_preproc_def_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token2] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2470),
    [aux_sym_preproc_else_token1] = ACTIONS(2470),
    [aux_sym_preproc_elif_token1] = ACTIONS(2470),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2470),
    [sym_preproc_directive] = ACTIONS(2470),
    [anon_sym_LPAREN2] = ACTIONS(2472),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_CARET] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2470),
    [anon_sym_extern] = ACTIONS(2470),
    [anon_sym___attribute__] = ACTIONS(2470),
    [anon_sym___attribute] = ACTIONS(2470),
    [anon_sym_noreturn] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym___declspec] = ACTIONS(2470),
    [anon_sym___cdecl] = ACTIONS(2470),
    [anon_sym___clrcall] = ACTIONS(2470),
    [anon_sym___stdcall] = ACTIONS(2470),
    [anon_sym___fastcall] = ACTIONS(2470),
    [anon_sym___thiscall] = ACTIONS(2470),
    [anon_sym___vectorcall] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_signed] = ACTIONS(2470),
    [anon_sym_unsigned] = ACTIONS(2470),
    [anon_sym_long] = ACTIONS(2470),
    [anon_sym_short] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_ATautoreleasepool] = ACTIONS(2472),
    [anon_sym_auto] = ACTIONS(2470),
    [anon_sym_register] = ACTIONS(2470),
    [anon_sym_inline] = ACTIONS(2470),
    [anon_sym___inline] = ACTIONS(2470),
    [anon_sym___inline__] = ACTIONS(2470),
    [anon_sym___forceinline] = ACTIONS(2470),
    [anon_sym_thread_local] = ACTIONS(2470),
    [anon_sym___thread] = ACTIONS(2470),
    [anon_sym_CG_EXTERN] = ACTIONS(2470),
    [anon_sym_CG_INLINE] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2470),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2470),
    [anon_sym_IBOutlet] = ACTIONS(2470),
    [anon_sym_IBInspectable] = ACTIONS(2470),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2470),
    [anon_sym_NS_INLINE] = ACTIONS(2470),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2470),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2470),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2470),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_constexpr] = ACTIONS(2470),
    [anon_sym_volatile] = ACTIONS(2470),
    [anon_sym_restrict] = ACTIONS(2470),
    [anon_sym___restrict__] = ACTIONS(2470),
    [anon_sym__Atomic] = ACTIONS(2470),
    [anon_sym__Noreturn] = ACTIONS(2470),
    [anon_sym__Nonnull] = ACTIONS(2470),
    [anon_sym_nullable] = ACTIONS(2470),
    [anon_sym__Complex] = ACTIONS(2470),
    [anon_sym__Nullable] = ACTIONS(2470),
    [anon_sym__Nullable_result] = ACTIONS(2470),
    [anon_sym__Null_unspecified] = ACTIONS(2470),
    [anon_sym___autoreleasing] = ACTIONS(2470),
    [anon_sym___block] = ACTIONS(2470),
    [anon_sym___bridge] = ACTIONS(2470),
    [anon_sym___bridge_retained] = ACTIONS(2470),
    [anon_sym___bridge_transfer] = ACTIONS(2470),
    [anon_sym___complex] = ACTIONS(2470),
    [anon_sym___const] = ACTIONS(2470),
    [anon_sym___imag] = ACTIONS(2470),
    [anon_sym___kindof] = ACTIONS(2470),
    [anon_sym___nonnull] = ACTIONS(2470),
    [anon_sym___nullable] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2470),
    [anon_sym___real] = ACTIONS(2470),
    [anon_sym___strong] = ACTIONS(2470),
    [anon_sym___unsafe_unretained] = ACTIONS(2470),
    [anon_sym___unused] = ACTIONS(2470),
    [anon_sym___weak] = ACTIONS(2470),
    [anon_sym_alignas] = ACTIONS(2470),
    [anon_sym__Alignas] = ACTIONS(2470),
    [sym_primitive_type] = ACTIONS(2470),
    [anon_sym_enum] = ACTIONS(2470),
    [anon_sym_struct] = ACTIONS(2470),
    [anon_sym_union] = ACTIONS(2470),
    [anon_sym_if] = ACTIONS(2470),
    [anon_sym_else] = ACTIONS(2470),
    [anon_sym_switch] = ACTIONS(2470),
    [anon_sym_case] = ACTIONS(2470),
    [anon_sym_default] = ACTIONS(2470),
    [anon_sym_while] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_in] = ACTIONS(2470),
    [anon_sym_return] = ACTIONS(2470),
    [anon_sym_break] = ACTIONS(2470),
    [anon_sym_continue] = ACTIONS(2470),
    [anon_sym_goto] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_PLUS] = ACTIONS(2472),
    [anon_sym_sizeof] = ACTIONS(2470),
    [anon_sym___alignof__] = ACTIONS(2470),
    [anon_sym___alignof] = ACTIONS(2470),
    [anon_sym__alignof] = ACTIONS(2470),
    [anon_sym_alignof] = ACTIONS(2470),
    [anon_sym__Alignof] = ACTIONS(2470),
    [anon_sym_offsetof] = ACTIONS(2470),
    [anon_sym__Generic] = ACTIONS(2470),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2472),
    [anon_sym_u_SQUOTE] = ACTIONS(2472),
    [anon_sym_U_SQUOTE] = ACTIONS(2472),
    [anon_sym_u8_SQUOTE] = ACTIONS(2472),
    [anon_sym_SQUOTE] = ACTIONS(2472),
    [anon_sym_AT] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2470),
    [sym_false] = ACTIONS(2470),
    [anon_sym_NULL] = ACTIONS(2470),
    [anon_sym_nullptr] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2470),
    [anon_sym___typeof] = ACTIONS(2470),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_ATimport] = ACTIONS(2472),
    [aux_sym_preproc_undef_token1] = ACTIONS(2470),
    [anon_sym_POUND] = ACTIONS(2470),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2470),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2470),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2470),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_API_AVAILABLE] = ACTIONS(2470),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_API_DEPRECATED] = ACTIONS(2470),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym___deprecated_msg] = ACTIONS(2470),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2470),
    [anon_sym_ATprotocol] = ACTIONS(2472),
    [anon_sym_ATinterface] = ACTIONS(2472),
    [anon_sym_ATimplementation] = ACTIONS(2472),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2472),
    [anon_sym_ATsynthesize] = ACTIONS(2472),
    [anon_sym_ATdynamic] = ACTIONS(2472),
    [anon_sym_ATtry] = ACTIONS(2472),
    [anon_sym___try] = ACTIONS(2470),
    [anon_sym_ATthrow] = ACTIONS(2472),
    [anon_sym_ATselector] = ACTIONS(2472),
    [anon_sym_ATavailable] = ACTIONS(2472),
    [anon_sym___builtin_available] = ACTIONS(2470),
    [anon_sym_va_arg] = ACTIONS(2470),
    [anon_sym_ATencode] = ACTIONS(2472),
    [anon_sym_ATsynchronized] = ACTIONS(2472),
    [anon_sym_BOOL] = ACTIONS(2470),
    [anon_sym_IMP] = ACTIONS(2470),
    [anon_sym_SEL] = ACTIONS(2470),
    [anon_sym_Class] = ACTIONS(2470),
    [anon_sym_id] = ACTIONS(2470),
  },
  [241] = {
    [sym_identifier] = ACTIONS(2516),
    [aux_sym_preproc_include_token1] = ACTIONS(2516),
    [aux_sym_preproc_include_token2] = ACTIONS(2516),
    [aux_sym_preproc_def_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token2] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2516),
    [aux_sym_preproc_else_token1] = ACTIONS(2516),
    [aux_sym_preproc_elif_token1] = ACTIONS(2516),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2516),
    [sym_preproc_directive] = ACTIONS(2516),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_BANG] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_CARET] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_typedef] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym___attribute] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym___cdecl] = ACTIONS(2516),
    [anon_sym___clrcall] = ACTIONS(2516),
    [anon_sym___stdcall] = ACTIONS(2516),
    [anon_sym___fastcall] = ACTIONS(2516),
    [anon_sym___thiscall] = ACTIONS(2516),
    [anon_sym___vectorcall] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_ATautoreleasepool] = ACTIONS(2518),
    [anon_sym_auto] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_CG_EXTERN] = ACTIONS(2516),
    [anon_sym_CG_INLINE] = ACTIONS(2516),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2516),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2516),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2516),
    [anon_sym_IBOutlet] = ACTIONS(2516),
    [anon_sym_IBInspectable] = ACTIONS(2516),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2516),
    [anon_sym_NS_INLINE] = ACTIONS(2516),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2516),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2516),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2516),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym__Nonnull] = ACTIONS(2516),
    [anon_sym_nullable] = ACTIONS(2516),
    [anon_sym__Complex] = ACTIONS(2516),
    [anon_sym__Nullable] = ACTIONS(2516),
    [anon_sym__Nullable_result] = ACTIONS(2516),
    [anon_sym__Null_unspecified] = ACTIONS(2516),
    [anon_sym___autoreleasing] = ACTIONS(2516),
    [anon_sym___block] = ACTIONS(2516),
    [anon_sym___bridge] = ACTIONS(2516),
    [anon_sym___bridge_retained] = ACTIONS(2516),
    [anon_sym___bridge_transfer] = ACTIONS(2516),
    [anon_sym___complex] = ACTIONS(2516),
    [anon_sym___const] = ACTIONS(2516),
    [anon_sym___imag] = ACTIONS(2516),
    [anon_sym___kindof] = ACTIONS(2516),
    [anon_sym___nonnull] = ACTIONS(2516),
    [anon_sym___nullable] = ACTIONS(2516),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2516),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2516),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2516),
    [anon_sym___real] = ACTIONS(2516),
    [anon_sym___strong] = ACTIONS(2516),
    [anon_sym___unsafe_unretained] = ACTIONS(2516),
    [anon_sym___unused] = ACTIONS(2516),
    [anon_sym___weak] = ACTIONS(2516),
    [anon_sym_alignas] = ACTIONS(2516),
    [anon_sym__Alignas] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [anon_sym_if] = ACTIONS(2516),
    [anon_sym_else] = ACTIONS(2516),
    [anon_sym_switch] = ACTIONS(2516),
    [anon_sym_case] = ACTIONS(2516),
    [anon_sym_default] = ACTIONS(2516),
    [anon_sym_while] = ACTIONS(2516),
    [anon_sym_do] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2516),
    [anon_sym_in] = ACTIONS(2516),
    [anon_sym_return] = ACTIONS(2516),
    [anon_sym_break] = ACTIONS(2516),
    [anon_sym_continue] = ACTIONS(2516),
    [anon_sym_goto] = ACTIONS(2516),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_sizeof] = ACTIONS(2516),
    [anon_sym___alignof__] = ACTIONS(2516),
    [anon_sym___alignof] = ACTIONS(2516),
    [anon_sym__alignof] = ACTIONS(2516),
    [anon_sym_alignof] = ACTIONS(2516),
    [anon_sym__Alignof] = ACTIONS(2516),
    [anon_sym_offsetof] = ACTIONS(2516),
    [anon_sym__Generic] = ACTIONS(2516),
    [anon_sym_asm] = ACTIONS(2516),
    [anon_sym___asm__] = ACTIONS(2516),
    [anon_sym___asm] = ACTIONS(2516),
    [sym_number_literal] = ACTIONS(2518),
    [anon_sym_L_SQUOTE] = ACTIONS(2518),
    [anon_sym_u_SQUOTE] = ACTIONS(2518),
    [anon_sym_U_SQUOTE] = ACTIONS(2518),
    [anon_sym_u8_SQUOTE] = ACTIONS(2518),
    [anon_sym_SQUOTE] = ACTIONS(2518),
    [anon_sym_AT] = ACTIONS(2516),
    [anon_sym_DQUOTE] = ACTIONS(2518),
    [anon_sym_L_DQUOTE] = ACTIONS(2518),
    [anon_sym_u_DQUOTE] = ACTIONS(2518),
    [anon_sym_U_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8_DQUOTE] = ACTIONS(2518),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [anon_sym_NULL] = ACTIONS(2516),
    [anon_sym_nullptr] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2516),
    [anon_sym___typeof] = ACTIONS(2516),
    [anon_sym_typeof] = ACTIONS(2516),
    [anon_sym_ATimport] = ACTIONS(2518),
    [aux_sym_preproc_undef_token1] = ACTIONS(2516),
    [anon_sym_POUND] = ACTIONS(2516),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2516),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2516),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2516),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2516),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2516),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2516),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2516),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2516),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2516),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_API_AVAILABLE] = ACTIONS(2516),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_API_DEPRECATED] = ACTIONS(2516),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2516),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2516),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2516),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2516),
    [anon_sym___deprecated_msg] = ACTIONS(2516),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2516),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2516),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2516),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2516),
    [anon_sym_ATprotocol] = ACTIONS(2518),
    [anon_sym_ATinterface] = ACTIONS(2518),
    [anon_sym_ATimplementation] = ACTIONS(2518),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2518),
    [anon_sym_ATsynthesize] = ACTIONS(2518),
    [anon_sym_ATdynamic] = ACTIONS(2518),
    [anon_sym_ATtry] = ACTIONS(2518),
    [anon_sym___try] = ACTIONS(2516),
    [anon_sym_ATthrow] = ACTIONS(2518),
    [anon_sym_ATselector] = ACTIONS(2518),
    [anon_sym_ATavailable] = ACTIONS(2518),
    [anon_sym___builtin_available] = ACTIONS(2516),
    [anon_sym_va_arg] = ACTIONS(2516),
    [anon_sym_ATencode] = ACTIONS(2518),
    [anon_sym_ATsynchronized] = ACTIONS(2518),
    [anon_sym_BOOL] = ACTIONS(2516),
    [anon_sym_IMP] = ACTIONS(2516),
    [anon_sym_SEL] = ACTIONS(2516),
    [anon_sym_Class] = ACTIONS(2516),
    [anon_sym_id] = ACTIONS(2516),
  },
  [242] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_include_token2] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [aux_sym_preproc_else_token1] = ACTIONS(2520),
    [aux_sym_preproc_elif_token1] = ACTIONS(2520),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_CARET] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym___attribute] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_ATautoreleasepool] = ACTIONS(2522),
    [anon_sym_auto] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_CG_EXTERN] = ACTIONS(2520),
    [anon_sym_CG_INLINE] = ACTIONS(2520),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2520),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2520),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2520),
    [anon_sym_IBOutlet] = ACTIONS(2520),
    [anon_sym_IBInspectable] = ACTIONS(2520),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2520),
    [anon_sym_NS_INLINE] = ACTIONS(2520),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2520),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2520),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2520),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym__Nonnull] = ACTIONS(2520),
    [anon_sym_nullable] = ACTIONS(2520),
    [anon_sym__Complex] = ACTIONS(2520),
    [anon_sym__Nullable] = ACTIONS(2520),
    [anon_sym__Nullable_result] = ACTIONS(2520),
    [anon_sym__Null_unspecified] = ACTIONS(2520),
    [anon_sym___autoreleasing] = ACTIONS(2520),
    [anon_sym___block] = ACTIONS(2520),
    [anon_sym___bridge] = ACTIONS(2520),
    [anon_sym___bridge_retained] = ACTIONS(2520),
    [anon_sym___bridge_transfer] = ACTIONS(2520),
    [anon_sym___complex] = ACTIONS(2520),
    [anon_sym___const] = ACTIONS(2520),
    [anon_sym___imag] = ACTIONS(2520),
    [anon_sym___kindof] = ACTIONS(2520),
    [anon_sym___nonnull] = ACTIONS(2520),
    [anon_sym___nullable] = ACTIONS(2520),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2520),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2520),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2520),
    [anon_sym___real] = ACTIONS(2520),
    [anon_sym___strong] = ACTIONS(2520),
    [anon_sym___unsafe_unretained] = ACTIONS(2520),
    [anon_sym___unused] = ACTIONS(2520),
    [anon_sym___weak] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym__Alignas] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_else] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [anon_sym___asm] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_AT] = ACTIONS(2520),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2520),
    [anon_sym___typeof] = ACTIONS(2520),
    [anon_sym_typeof] = ACTIONS(2520),
    [anon_sym_ATimport] = ACTIONS(2522),
    [aux_sym_preproc_undef_token1] = ACTIONS(2520),
    [anon_sym_POUND] = ACTIONS(2520),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2520),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2520),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2520),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2520),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2520),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2520),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2520),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2520),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2520),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_API_AVAILABLE] = ACTIONS(2520),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_API_DEPRECATED] = ACTIONS(2520),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2520),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2520),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2520),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2520),
    [anon_sym___deprecated_msg] = ACTIONS(2520),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2520),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2520),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2520),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2520),
    [anon_sym_ATprotocol] = ACTIONS(2522),
    [anon_sym_ATinterface] = ACTIONS(2522),
    [anon_sym_ATimplementation] = ACTIONS(2522),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2522),
    [anon_sym_ATsynthesize] = ACTIONS(2522),
    [anon_sym_ATdynamic] = ACTIONS(2522),
    [anon_sym_ATtry] = ACTIONS(2522),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym_ATthrow] = ACTIONS(2522),
    [anon_sym_ATselector] = ACTIONS(2522),
    [anon_sym_ATavailable] = ACTIONS(2522),
    [anon_sym___builtin_available] = ACTIONS(2520),
    [anon_sym_va_arg] = ACTIONS(2520),
    [anon_sym_ATencode] = ACTIONS(2522),
    [anon_sym_ATsynchronized] = ACTIONS(2522),
    [anon_sym_BOOL] = ACTIONS(2520),
    [anon_sym_IMP] = ACTIONS(2520),
    [anon_sym_SEL] = ACTIONS(2520),
    [anon_sym_Class] = ACTIONS(2520),
    [anon_sym_id] = ACTIONS(2520),
  },
  [243] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [244] = {
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_include_token1] = ACTIONS(2524),
    [aux_sym_preproc_include_token2] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token2] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [aux_sym_preproc_else_token1] = ACTIONS(2524),
    [aux_sym_preproc_elif_token1] = ACTIONS(2524),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_CARET] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym___attribute] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___cdecl] = ACTIONS(2524),
    [anon_sym___clrcall] = ACTIONS(2524),
    [anon_sym___stdcall] = ACTIONS(2524),
    [anon_sym___fastcall] = ACTIONS(2524),
    [anon_sym___thiscall] = ACTIONS(2524),
    [anon_sym___vectorcall] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_ATautoreleasepool] = ACTIONS(2526),
    [anon_sym_auto] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_CG_EXTERN] = ACTIONS(2524),
    [anon_sym_CG_INLINE] = ACTIONS(2524),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2524),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2524),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2524),
    [anon_sym_IBOutlet] = ACTIONS(2524),
    [anon_sym_IBInspectable] = ACTIONS(2524),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2524),
    [anon_sym_NS_INLINE] = ACTIONS(2524),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2524),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2524),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2524),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym__Nonnull] = ACTIONS(2524),
    [anon_sym_nullable] = ACTIONS(2524),
    [anon_sym__Complex] = ACTIONS(2524),
    [anon_sym__Nullable] = ACTIONS(2524),
    [anon_sym__Nullable_result] = ACTIONS(2524),
    [anon_sym__Null_unspecified] = ACTIONS(2524),
    [anon_sym___autoreleasing] = ACTIONS(2524),
    [anon_sym___block] = ACTIONS(2524),
    [anon_sym___bridge] = ACTIONS(2524),
    [anon_sym___bridge_retained] = ACTIONS(2524),
    [anon_sym___bridge_transfer] = ACTIONS(2524),
    [anon_sym___complex] = ACTIONS(2524),
    [anon_sym___const] = ACTIONS(2524),
    [anon_sym___imag] = ACTIONS(2524),
    [anon_sym___kindof] = ACTIONS(2524),
    [anon_sym___nonnull] = ACTIONS(2524),
    [anon_sym___nullable] = ACTIONS(2524),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2524),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2524),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2524),
    [anon_sym___real] = ACTIONS(2524),
    [anon_sym___strong] = ACTIONS(2524),
    [anon_sym___unsafe_unretained] = ACTIONS(2524),
    [anon_sym___unused] = ACTIONS(2524),
    [anon_sym___weak] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym__Alignas] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_case] = ACTIONS(2524),
    [anon_sym_default] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_goto] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_sizeof] = ACTIONS(2524),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2524),
    [anon_sym__Generic] = ACTIONS(2524),
    [anon_sym_asm] = ACTIONS(2524),
    [anon_sym___asm__] = ACTIONS(2524),
    [anon_sym___asm] = ACTIONS(2524),
    [sym_number_literal] = ACTIONS(2526),
    [anon_sym_L_SQUOTE] = ACTIONS(2526),
    [anon_sym_u_SQUOTE] = ACTIONS(2526),
    [anon_sym_U_SQUOTE] = ACTIONS(2526),
    [anon_sym_u8_SQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_AT] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [anon_sym_L_DQUOTE] = ACTIONS(2526),
    [anon_sym_u_DQUOTE] = ACTIONS(2526),
    [anon_sym_U_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8_DQUOTE] = ACTIONS(2526),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [anon_sym_NULL] = ACTIONS(2524),
    [anon_sym_nullptr] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2524),
    [anon_sym___typeof] = ACTIONS(2524),
    [anon_sym_typeof] = ACTIONS(2524),
    [anon_sym_ATimport] = ACTIONS(2526),
    [aux_sym_preproc_undef_token1] = ACTIONS(2524),
    [anon_sym_POUND] = ACTIONS(2524),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2524),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2524),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2524),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2524),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2524),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2524),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2524),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2524),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2524),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_API_AVAILABLE] = ACTIONS(2524),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_API_DEPRECATED] = ACTIONS(2524),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2524),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2524),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2524),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2524),
    [anon_sym___deprecated_msg] = ACTIONS(2524),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2524),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2524),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2524),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2524),
    [anon_sym_ATprotocol] = ACTIONS(2526),
    [anon_sym_ATinterface] = ACTIONS(2526),
    [anon_sym_ATimplementation] = ACTIONS(2526),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2526),
    [anon_sym_ATsynthesize] = ACTIONS(2526),
    [anon_sym_ATdynamic] = ACTIONS(2526),
    [anon_sym_ATtry] = ACTIONS(2526),
    [anon_sym___try] = ACTIONS(2524),
    [anon_sym_ATthrow] = ACTIONS(2526),
    [anon_sym_ATselector] = ACTIONS(2526),
    [anon_sym_ATavailable] = ACTIONS(2526),
    [anon_sym___builtin_available] = ACTIONS(2524),
    [anon_sym_va_arg] = ACTIONS(2524),
    [anon_sym_ATencode] = ACTIONS(2526),
    [anon_sym_ATsynchronized] = ACTIONS(2526),
    [anon_sym_BOOL] = ACTIONS(2524),
    [anon_sym_IMP] = ACTIONS(2524),
    [anon_sym_SEL] = ACTIONS(2524),
    [anon_sym_Class] = ACTIONS(2524),
    [anon_sym_id] = ACTIONS(2524),
  },
  [245] = {
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_include_token1] = ACTIONS(2474),
    [aux_sym_preproc_include_token2] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token2] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [aux_sym_preproc_else_token1] = ACTIONS(2474),
    [aux_sym_preproc_elif_token1] = ACTIONS(2474),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_BANG] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym___attribute] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_ATautoreleasepool] = ACTIONS(2476),
    [anon_sym_auto] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_CG_EXTERN] = ACTIONS(2474),
    [anon_sym_CG_INLINE] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2474),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2474),
    [anon_sym_IBOutlet] = ACTIONS(2474),
    [anon_sym_IBInspectable] = ACTIONS(2474),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2474),
    [anon_sym_NS_INLINE] = ACTIONS(2474),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2474),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2474),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym__Nonnull] = ACTIONS(2474),
    [anon_sym_nullable] = ACTIONS(2474),
    [anon_sym__Complex] = ACTIONS(2474),
    [anon_sym__Nullable] = ACTIONS(2474),
    [anon_sym__Nullable_result] = ACTIONS(2474),
    [anon_sym__Null_unspecified] = ACTIONS(2474),
    [anon_sym___autoreleasing] = ACTIONS(2474),
    [anon_sym___block] = ACTIONS(2474),
    [anon_sym___bridge] = ACTIONS(2474),
    [anon_sym___bridge_retained] = ACTIONS(2474),
    [anon_sym___bridge_transfer] = ACTIONS(2474),
    [anon_sym___complex] = ACTIONS(2474),
    [anon_sym___const] = ACTIONS(2474),
    [anon_sym___imag] = ACTIONS(2474),
    [anon_sym___kindof] = ACTIONS(2474),
    [anon_sym___nonnull] = ACTIONS(2474),
    [anon_sym___nullable] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2474),
    [anon_sym___real] = ACTIONS(2474),
    [anon_sym___strong] = ACTIONS(2474),
    [anon_sym___unsafe_unretained] = ACTIONS(2474),
    [anon_sym___unused] = ACTIONS(2474),
    [anon_sym___weak] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_else] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_goto] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_PLUS] = ACTIONS(2476),
    [anon_sym_sizeof] = ACTIONS(2474),
    [anon_sym___alignof__] = ACTIONS(2474),
    [anon_sym___alignof] = ACTIONS(2474),
    [anon_sym__alignof] = ACTIONS(2474),
    [anon_sym_alignof] = ACTIONS(2474),
    [anon_sym__Alignof] = ACTIONS(2474),
    [anon_sym_offsetof] = ACTIONS(2474),
    [anon_sym__Generic] = ACTIONS(2474),
    [anon_sym_asm] = ACTIONS(2474),
    [anon_sym___asm__] = ACTIONS(2474),
    [anon_sym___asm] = ACTIONS(2474),
    [sym_number_literal] = ACTIONS(2476),
    [anon_sym_L_SQUOTE] = ACTIONS(2476),
    [anon_sym_u_SQUOTE] = ACTIONS(2476),
    [anon_sym_U_SQUOTE] = ACTIONS(2476),
    [anon_sym_u8_SQUOTE] = ACTIONS(2476),
    [anon_sym_SQUOTE] = ACTIONS(2476),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2474),
    [anon_sym_nullptr] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2474),
    [anon_sym___typeof] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [anon_sym_ATimport] = ACTIONS(2476),
    [aux_sym_preproc_undef_token1] = ACTIONS(2474),
    [anon_sym_POUND] = ACTIONS(2474),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2474),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2474),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2474),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_API_AVAILABLE] = ACTIONS(2474),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_API_DEPRECATED] = ACTIONS(2474),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym___deprecated_msg] = ACTIONS(2474),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2474),
    [anon_sym_ATprotocol] = ACTIONS(2476),
    [anon_sym_ATinterface] = ACTIONS(2476),
    [anon_sym_ATimplementation] = ACTIONS(2476),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2476),
    [anon_sym_ATsynthesize] = ACTIONS(2476),
    [anon_sym_ATdynamic] = ACTIONS(2476),
    [anon_sym_ATtry] = ACTIONS(2476),
    [anon_sym___try] = ACTIONS(2474),
    [anon_sym_ATthrow] = ACTIONS(2476),
    [anon_sym_ATselector] = ACTIONS(2476),
    [anon_sym_ATavailable] = ACTIONS(2476),
    [anon_sym___builtin_available] = ACTIONS(2474),
    [anon_sym_va_arg] = ACTIONS(2474),
    [anon_sym_ATencode] = ACTIONS(2476),
    [anon_sym_ATsynchronized] = ACTIONS(2476),
    [anon_sym_BOOL] = ACTIONS(2474),
    [anon_sym_IMP] = ACTIONS(2474),
    [anon_sym_SEL] = ACTIONS(2474),
    [anon_sym_Class] = ACTIONS(2474),
    [anon_sym_id] = ACTIONS(2474),
  },
  [246] = {
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_include_token1] = ACTIONS(2528),
    [aux_sym_preproc_include_token2] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token2] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [aux_sym_preproc_else_token1] = ACTIONS(2528),
    [aux_sym_preproc_elif_token1] = ACTIONS(2528),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_BANG] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_CARET] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym___attribute] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___cdecl] = ACTIONS(2528),
    [anon_sym___clrcall] = ACTIONS(2528),
    [anon_sym___stdcall] = ACTIONS(2528),
    [anon_sym___fastcall] = ACTIONS(2528),
    [anon_sym___thiscall] = ACTIONS(2528),
    [anon_sym___vectorcall] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2530),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_ATautoreleasepool] = ACTIONS(2530),
    [anon_sym_auto] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_CG_EXTERN] = ACTIONS(2528),
    [anon_sym_CG_INLINE] = ACTIONS(2528),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2528),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2528),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2528),
    [anon_sym_IBOutlet] = ACTIONS(2528),
    [anon_sym_IBInspectable] = ACTIONS(2528),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2528),
    [anon_sym_NS_INLINE] = ACTIONS(2528),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2528),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2528),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2528),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_nullable] = ACTIONS(2528),
    [anon_sym__Complex] = ACTIONS(2528),
    [anon_sym__Nullable] = ACTIONS(2528),
    [anon_sym__Nullable_result] = ACTIONS(2528),
    [anon_sym__Null_unspecified] = ACTIONS(2528),
    [anon_sym___autoreleasing] = ACTIONS(2528),
    [anon_sym___block] = ACTIONS(2528),
    [anon_sym___bridge] = ACTIONS(2528),
    [anon_sym___bridge_retained] = ACTIONS(2528),
    [anon_sym___bridge_transfer] = ACTIONS(2528),
    [anon_sym___complex] = ACTIONS(2528),
    [anon_sym___const] = ACTIONS(2528),
    [anon_sym___imag] = ACTIONS(2528),
    [anon_sym___kindof] = ACTIONS(2528),
    [anon_sym___nonnull] = ACTIONS(2528),
    [anon_sym___nullable] = ACTIONS(2528),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2528),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2528),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2528),
    [anon_sym___real] = ACTIONS(2528),
    [anon_sym___strong] = ACTIONS(2528),
    [anon_sym___unsafe_unretained] = ACTIONS(2528),
    [anon_sym___unused] = ACTIONS(2528),
    [anon_sym___weak] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_if] = ACTIONS(2528),
    [anon_sym_else] = ACTIONS(2528),
    [anon_sym_switch] = ACTIONS(2528),
    [anon_sym_case] = ACTIONS(2528),
    [anon_sym_default] = ACTIONS(2528),
    [anon_sym_while] = ACTIONS(2528),
    [anon_sym_do] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2528),
    [anon_sym_in] = ACTIONS(2528),
    [anon_sym_return] = ACTIONS(2528),
    [anon_sym_break] = ACTIONS(2528),
    [anon_sym_continue] = ACTIONS(2528),
    [anon_sym_goto] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2530),
    [anon_sym_sizeof] = ACTIONS(2528),
    [anon_sym___alignof__] = ACTIONS(2528),
    [anon_sym___alignof] = ACTIONS(2528),
    [anon_sym__alignof] = ACTIONS(2528),
    [anon_sym_alignof] = ACTIONS(2528),
    [anon_sym__Alignof] = ACTIONS(2528),
    [anon_sym_offsetof] = ACTIONS(2528),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2528),
    [anon_sym___asm__] = ACTIONS(2528),
    [anon_sym___asm] = ACTIONS(2528),
    [sym_number_literal] = ACTIONS(2530),
    [anon_sym_L_SQUOTE] = ACTIONS(2530),
    [anon_sym_u_SQUOTE] = ACTIONS(2530),
    [anon_sym_U_SQUOTE] = ACTIONS(2530),
    [anon_sym_u8_SQUOTE] = ACTIONS(2530),
    [anon_sym_SQUOTE] = ACTIONS(2530),
    [anon_sym_AT] = ACTIONS(2528),
    [anon_sym_DQUOTE] = ACTIONS(2530),
    [anon_sym_L_DQUOTE] = ACTIONS(2530),
    [anon_sym_u_DQUOTE] = ACTIONS(2530),
    [anon_sym_U_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8_DQUOTE] = ACTIONS(2530),
    [sym_true] = ACTIONS(2528),
    [sym_false] = ACTIONS(2528),
    [anon_sym_NULL] = ACTIONS(2528),
    [anon_sym_nullptr] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2528),
    [anon_sym___typeof] = ACTIONS(2528),
    [anon_sym_typeof] = ACTIONS(2528),
    [anon_sym_ATimport] = ACTIONS(2530),
    [aux_sym_preproc_undef_token1] = ACTIONS(2528),
    [anon_sym_POUND] = ACTIONS(2528),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2528),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2528),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2528),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2528),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2528),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2528),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2528),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2528),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2528),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_API_AVAILABLE] = ACTIONS(2528),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_API_DEPRECATED] = ACTIONS(2528),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2528),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2528),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2528),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2528),
    [anon_sym___deprecated_msg] = ACTIONS(2528),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2528),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2528),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2528),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2528),
    [anon_sym_ATprotocol] = ACTIONS(2530),
    [anon_sym_ATinterface] = ACTIONS(2530),
    [anon_sym_ATimplementation] = ACTIONS(2530),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2530),
    [anon_sym_ATsynthesize] = ACTIONS(2530),
    [anon_sym_ATdynamic] = ACTIONS(2530),
    [anon_sym_ATtry] = ACTIONS(2530),
    [anon_sym___try] = ACTIONS(2528),
    [anon_sym_ATthrow] = ACTIONS(2530),
    [anon_sym_ATselector] = ACTIONS(2530),
    [anon_sym_ATavailable] = ACTIONS(2530),
    [anon_sym___builtin_available] = ACTIONS(2528),
    [anon_sym_va_arg] = ACTIONS(2528),
    [anon_sym_ATencode] = ACTIONS(2530),
    [anon_sym_ATsynchronized] = ACTIONS(2530),
    [anon_sym_BOOL] = ACTIONS(2528),
    [anon_sym_IMP] = ACTIONS(2528),
    [anon_sym_SEL] = ACTIONS(2528),
    [anon_sym_Class] = ACTIONS(2528),
    [anon_sym_id] = ACTIONS(2528),
  },
  [247] = {
    [sym_identifier] = ACTIONS(2532),
    [aux_sym_preproc_include_token1] = ACTIONS(2532),
    [aux_sym_preproc_include_token2] = ACTIONS(2532),
    [aux_sym_preproc_def_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token2] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2532),
    [aux_sym_preproc_else_token1] = ACTIONS(2532),
    [aux_sym_preproc_elif_token1] = ACTIONS(2532),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2532),
    [sym_preproc_directive] = ACTIONS(2532),
    [anon_sym_LPAREN2] = ACTIONS(2534),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_typedef] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym___cdecl] = ACTIONS(2532),
    [anon_sym___clrcall] = ACTIONS(2532),
    [anon_sym___stdcall] = ACTIONS(2532),
    [anon_sym___fastcall] = ACTIONS(2532),
    [anon_sym___thiscall] = ACTIONS(2532),
    [anon_sym___vectorcall] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_ATautoreleasepool] = ACTIONS(2534),
    [anon_sym_auto] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_CG_EXTERN] = ACTIONS(2532),
    [anon_sym_CG_INLINE] = ACTIONS(2532),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2532),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2532),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2532),
    [anon_sym_IBOutlet] = ACTIONS(2532),
    [anon_sym_IBInspectable] = ACTIONS(2532),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2532),
    [anon_sym_NS_INLINE] = ACTIONS(2532),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2532),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2532),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2532),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_nullable] = ACTIONS(2532),
    [anon_sym__Complex] = ACTIONS(2532),
    [anon_sym__Nullable] = ACTIONS(2532),
    [anon_sym__Nullable_result] = ACTIONS(2532),
    [anon_sym__Null_unspecified] = ACTIONS(2532),
    [anon_sym___autoreleasing] = ACTIONS(2532),
    [anon_sym___block] = ACTIONS(2532),
    [anon_sym___bridge] = ACTIONS(2532),
    [anon_sym___bridge_retained] = ACTIONS(2532),
    [anon_sym___bridge_transfer] = ACTIONS(2532),
    [anon_sym___complex] = ACTIONS(2532),
    [anon_sym___const] = ACTIONS(2532),
    [anon_sym___imag] = ACTIONS(2532),
    [anon_sym___kindof] = ACTIONS(2532),
    [anon_sym___nonnull] = ACTIONS(2532),
    [anon_sym___nullable] = ACTIONS(2532),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2532),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2532),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2532),
    [anon_sym___real] = ACTIONS(2532),
    [anon_sym___strong] = ACTIONS(2532),
    [anon_sym___unsafe_unretained] = ACTIONS(2532),
    [anon_sym___unused] = ACTIONS(2532),
    [anon_sym___weak] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2532),
    [anon_sym_else] = ACTIONS(2532),
    [anon_sym_switch] = ACTIONS(2532),
    [anon_sym_case] = ACTIONS(2532),
    [anon_sym_default] = ACTIONS(2532),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_do] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2532),
    [anon_sym_in] = ACTIONS(2532),
    [anon_sym_return] = ACTIONS(2532),
    [anon_sym_break] = ACTIONS(2532),
    [anon_sym_continue] = ACTIONS(2532),
    [anon_sym_goto] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2532),
    [anon_sym___alignof] = ACTIONS(2532),
    [anon_sym__alignof] = ACTIONS(2532),
    [anon_sym_alignof] = ACTIONS(2532),
    [anon_sym__Alignof] = ACTIONS(2532),
    [anon_sym_offsetof] = ACTIONS(2532),
    [anon_sym__Generic] = ACTIONS(2532),
    [anon_sym_asm] = ACTIONS(2532),
    [anon_sym___asm__] = ACTIONS(2532),
    [anon_sym___asm] = ACTIONS(2532),
    [sym_number_literal] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2534),
    [anon_sym_u_SQUOTE] = ACTIONS(2534),
    [anon_sym_U_SQUOTE] = ACTIONS(2534),
    [anon_sym_u8_SQUOTE] = ACTIONS(2534),
    [anon_sym_SQUOTE] = ACTIONS(2534),
    [anon_sym_AT] = ACTIONS(2532),
    [anon_sym_DQUOTE] = ACTIONS(2534),
    [anon_sym_L_DQUOTE] = ACTIONS(2534),
    [anon_sym_u_DQUOTE] = ACTIONS(2534),
    [anon_sym_U_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8_DQUOTE] = ACTIONS(2534),
    [sym_true] = ACTIONS(2532),
    [sym_false] = ACTIONS(2532),
    [anon_sym_NULL] = ACTIONS(2532),
    [anon_sym_nullptr] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2532),
    [anon_sym___typeof] = ACTIONS(2532),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_ATimport] = ACTIONS(2534),
    [aux_sym_preproc_undef_token1] = ACTIONS(2532),
    [anon_sym_POUND] = ACTIONS(2532),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2532),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2532),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2532),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2532),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2532),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2532),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2532),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2532),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2532),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_API_AVAILABLE] = ACTIONS(2532),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_API_DEPRECATED] = ACTIONS(2532),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2532),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2532),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2532),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2532),
    [anon_sym___deprecated_msg] = ACTIONS(2532),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2532),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2532),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2532),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2532),
    [anon_sym_ATprotocol] = ACTIONS(2534),
    [anon_sym_ATinterface] = ACTIONS(2534),
    [anon_sym_ATimplementation] = ACTIONS(2534),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2534),
    [anon_sym_ATsynthesize] = ACTIONS(2534),
    [anon_sym_ATdynamic] = ACTIONS(2534),
    [anon_sym_ATtry] = ACTIONS(2534),
    [anon_sym___try] = ACTIONS(2532),
    [anon_sym_ATthrow] = ACTIONS(2534),
    [anon_sym_ATselector] = ACTIONS(2534),
    [anon_sym_ATavailable] = ACTIONS(2534),
    [anon_sym___builtin_available] = ACTIONS(2532),
    [anon_sym_va_arg] = ACTIONS(2532),
    [anon_sym_ATencode] = ACTIONS(2534),
    [anon_sym_ATsynchronized] = ACTIONS(2534),
    [anon_sym_BOOL] = ACTIONS(2532),
    [anon_sym_IMP] = ACTIONS(2532),
    [anon_sym_SEL] = ACTIONS(2532),
    [anon_sym_Class] = ACTIONS(2532),
    [anon_sym_id] = ACTIONS(2532),
  },
  [248] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_include_token2] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token2] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [aux_sym_preproc_else_token1] = ACTIONS(2536),
    [aux_sym_preproc_elif_token1] = ACTIONS(2536),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_CARET] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_ATautoreleasepool] = ACTIONS(2538),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [anon_sym___asm] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [anon_sym_ATimport] = ACTIONS(2538),
    [aux_sym_preproc_undef_token1] = ACTIONS(2536),
    [anon_sym_POUND] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATprotocol] = ACTIONS(2538),
    [anon_sym_ATinterface] = ACTIONS(2538),
    [anon_sym_ATimplementation] = ACTIONS(2538),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2538),
    [anon_sym_ATsynthesize] = ACTIONS(2538),
    [anon_sym_ATdynamic] = ACTIONS(2538),
    [anon_sym_ATtry] = ACTIONS(2538),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym_ATthrow] = ACTIONS(2538),
    [anon_sym_ATselector] = ACTIONS(2538),
    [anon_sym_ATavailable] = ACTIONS(2538),
    [anon_sym___builtin_available] = ACTIONS(2536),
    [anon_sym_va_arg] = ACTIONS(2536),
    [anon_sym_ATencode] = ACTIONS(2538),
    [anon_sym_ATsynchronized] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [249] = {
    [sym_identifier] = ACTIONS(2540),
    [aux_sym_preproc_include_token1] = ACTIONS(2540),
    [aux_sym_preproc_include_token2] = ACTIONS(2540),
    [aux_sym_preproc_def_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token2] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2540),
    [aux_sym_preproc_else_token1] = ACTIONS(2540),
    [aux_sym_preproc_elif_token1] = ACTIONS(2540),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2540),
    [sym_preproc_directive] = ACTIONS(2540),
    [anon_sym_LPAREN2] = ACTIONS(2542),
    [anon_sym_BANG] = ACTIONS(2542),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_CARET] = ACTIONS(2542),
    [anon_sym_AMP] = ACTIONS(2542),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_typedef] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym___attribute] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym___cdecl] = ACTIONS(2540),
    [anon_sym___clrcall] = ACTIONS(2540),
    [anon_sym___stdcall] = ACTIONS(2540),
    [anon_sym___fastcall] = ACTIONS(2540),
    [anon_sym___thiscall] = ACTIONS(2540),
    [anon_sym___vectorcall] = ACTIONS(2540),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_ATautoreleasepool] = ACTIONS(2542),
    [anon_sym_auto] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_CG_EXTERN] = ACTIONS(2540),
    [anon_sym_CG_INLINE] = ACTIONS(2540),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2540),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2540),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2540),
    [anon_sym_IBOutlet] = ACTIONS(2540),
    [anon_sym_IBInspectable] = ACTIONS(2540),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2540),
    [anon_sym_NS_INLINE] = ACTIONS(2540),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2540),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2540),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2540),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym__Nonnull] = ACTIONS(2540),
    [anon_sym_nullable] = ACTIONS(2540),
    [anon_sym__Complex] = ACTIONS(2540),
    [anon_sym__Nullable] = ACTIONS(2540),
    [anon_sym__Nullable_result] = ACTIONS(2540),
    [anon_sym__Null_unspecified] = ACTIONS(2540),
    [anon_sym___autoreleasing] = ACTIONS(2540),
    [anon_sym___block] = ACTIONS(2540),
    [anon_sym___bridge] = ACTIONS(2540),
    [anon_sym___bridge_retained] = ACTIONS(2540),
    [anon_sym___bridge_transfer] = ACTIONS(2540),
    [anon_sym___complex] = ACTIONS(2540),
    [anon_sym___const] = ACTIONS(2540),
    [anon_sym___imag] = ACTIONS(2540),
    [anon_sym___kindof] = ACTIONS(2540),
    [anon_sym___nonnull] = ACTIONS(2540),
    [anon_sym___nullable] = ACTIONS(2540),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2540),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2540),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2540),
    [anon_sym___real] = ACTIONS(2540),
    [anon_sym___strong] = ACTIONS(2540),
    [anon_sym___unsafe_unretained] = ACTIONS(2540),
    [anon_sym___unused] = ACTIONS(2540),
    [anon_sym___weak] = ACTIONS(2540),
    [anon_sym_alignas] = ACTIONS(2540),
    [anon_sym__Alignas] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [anon_sym_if] = ACTIONS(2540),
    [anon_sym_else] = ACTIONS(2540),
    [anon_sym_switch] = ACTIONS(2540),
    [anon_sym_case] = ACTIONS(2540),
    [anon_sym_default] = ACTIONS(2540),
    [anon_sym_while] = ACTIONS(2540),
    [anon_sym_do] = ACTIONS(2540),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_in] = ACTIONS(2540),
    [anon_sym_return] = ACTIONS(2540),
    [anon_sym_break] = ACTIONS(2540),
    [anon_sym_continue] = ACTIONS(2540),
    [anon_sym_goto] = ACTIONS(2540),
    [anon_sym_DASH_DASH] = ACTIONS(2542),
    [anon_sym_PLUS_PLUS] = ACTIONS(2542),
    [anon_sym_sizeof] = ACTIONS(2540),
    [anon_sym___alignof__] = ACTIONS(2540),
    [anon_sym___alignof] = ACTIONS(2540),
    [anon_sym__alignof] = ACTIONS(2540),
    [anon_sym_alignof] = ACTIONS(2540),
    [anon_sym__Alignof] = ACTIONS(2540),
    [anon_sym_offsetof] = ACTIONS(2540),
    [anon_sym__Generic] = ACTIONS(2540),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [anon_sym___asm] = ACTIONS(2540),
    [sym_number_literal] = ACTIONS(2542),
    [anon_sym_L_SQUOTE] = ACTIONS(2542),
    [anon_sym_u_SQUOTE] = ACTIONS(2542),
    [anon_sym_U_SQUOTE] = ACTIONS(2542),
    [anon_sym_u8_SQUOTE] = ACTIONS(2542),
    [anon_sym_SQUOTE] = ACTIONS(2542),
    [anon_sym_AT] = ACTIONS(2540),
    [anon_sym_DQUOTE] = ACTIONS(2542),
    [anon_sym_L_DQUOTE] = ACTIONS(2542),
    [anon_sym_u_DQUOTE] = ACTIONS(2542),
    [anon_sym_U_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8_DQUOTE] = ACTIONS(2542),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2540),
    [anon_sym_nullptr] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2540),
    [anon_sym___typeof] = ACTIONS(2540),
    [anon_sym_typeof] = ACTIONS(2540),
    [anon_sym_ATimport] = ACTIONS(2542),
    [aux_sym_preproc_undef_token1] = ACTIONS(2540),
    [anon_sym_POUND] = ACTIONS(2540),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2540),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2540),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2540),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2540),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2540),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2540),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2540),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2540),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2540),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_API_AVAILABLE] = ACTIONS(2540),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_API_DEPRECATED] = ACTIONS(2540),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2540),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2540),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2540),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2540),
    [anon_sym___deprecated_msg] = ACTIONS(2540),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2540),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2540),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2540),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2540),
    [anon_sym_ATprotocol] = ACTIONS(2542),
    [anon_sym_ATinterface] = ACTIONS(2542),
    [anon_sym_ATimplementation] = ACTIONS(2542),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2542),
    [anon_sym_ATsynthesize] = ACTIONS(2542),
    [anon_sym_ATdynamic] = ACTIONS(2542),
    [anon_sym_ATtry] = ACTIONS(2542),
    [anon_sym___try] = ACTIONS(2540),
    [anon_sym_ATthrow] = ACTIONS(2542),
    [anon_sym_ATselector] = ACTIONS(2542),
    [anon_sym_ATavailable] = ACTIONS(2542),
    [anon_sym___builtin_available] = ACTIONS(2540),
    [anon_sym_va_arg] = ACTIONS(2540),
    [anon_sym_ATencode] = ACTIONS(2542),
    [anon_sym_ATsynchronized] = ACTIONS(2542),
    [anon_sym_BOOL] = ACTIONS(2540),
    [anon_sym_IMP] = ACTIONS(2540),
    [anon_sym_SEL] = ACTIONS(2540),
    [anon_sym_Class] = ACTIONS(2540),
    [anon_sym_id] = ACTIONS(2540),
  },
  [250] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_include_token2] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym___attribute] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_ATautoreleasepool] = ACTIONS(2546),
    [anon_sym_auto] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_CG_EXTERN] = ACTIONS(2544),
    [anon_sym_CG_INLINE] = ACTIONS(2544),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2544),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2544),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2544),
    [anon_sym_IBOutlet] = ACTIONS(2544),
    [anon_sym_IBInspectable] = ACTIONS(2544),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2544),
    [anon_sym_NS_INLINE] = ACTIONS(2544),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2544),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2544),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2544),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym__Nonnull] = ACTIONS(2544),
    [anon_sym_nullable] = ACTIONS(2544),
    [anon_sym__Complex] = ACTIONS(2544),
    [anon_sym__Nullable] = ACTIONS(2544),
    [anon_sym__Nullable_result] = ACTIONS(2544),
    [anon_sym__Null_unspecified] = ACTIONS(2544),
    [anon_sym___autoreleasing] = ACTIONS(2544),
    [anon_sym___block] = ACTIONS(2544),
    [anon_sym___bridge] = ACTIONS(2544),
    [anon_sym___bridge_retained] = ACTIONS(2544),
    [anon_sym___bridge_transfer] = ACTIONS(2544),
    [anon_sym___complex] = ACTIONS(2544),
    [anon_sym___const] = ACTIONS(2544),
    [anon_sym___imag] = ACTIONS(2544),
    [anon_sym___kindof] = ACTIONS(2544),
    [anon_sym___nonnull] = ACTIONS(2544),
    [anon_sym___nullable] = ACTIONS(2544),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2544),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2544),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2544),
    [anon_sym___real] = ACTIONS(2544),
    [anon_sym___strong] = ACTIONS(2544),
    [anon_sym___unsafe_unretained] = ACTIONS(2544),
    [anon_sym___unused] = ACTIONS(2544),
    [anon_sym___weak] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym__Alignas] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_in] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [anon_sym___asm] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_AT] = ACTIONS(2544),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2544),
    [anon_sym___typeof] = ACTIONS(2544),
    [anon_sym_typeof] = ACTIONS(2544),
    [anon_sym_ATimport] = ACTIONS(2546),
    [aux_sym_preproc_undef_token1] = ACTIONS(2544),
    [anon_sym_POUND] = ACTIONS(2544),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2544),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2544),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2544),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2544),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2544),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2544),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2544),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2544),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2544),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_API_AVAILABLE] = ACTIONS(2544),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_API_DEPRECATED] = ACTIONS(2544),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2544),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2544),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2544),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2544),
    [anon_sym___deprecated_msg] = ACTIONS(2544),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2544),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2544),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2544),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2544),
    [anon_sym_ATprotocol] = ACTIONS(2546),
    [anon_sym_ATinterface] = ACTIONS(2546),
    [anon_sym_ATimplementation] = ACTIONS(2546),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2546),
    [anon_sym_ATsynthesize] = ACTIONS(2546),
    [anon_sym_ATdynamic] = ACTIONS(2546),
    [anon_sym_ATtry] = ACTIONS(2546),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym_ATthrow] = ACTIONS(2546),
    [anon_sym_ATselector] = ACTIONS(2546),
    [anon_sym_ATavailable] = ACTIONS(2546),
    [anon_sym___builtin_available] = ACTIONS(2544),
    [anon_sym_va_arg] = ACTIONS(2544),
    [anon_sym_ATencode] = ACTIONS(2546),
    [anon_sym_ATsynchronized] = ACTIONS(2546),
    [anon_sym_BOOL] = ACTIONS(2544),
    [anon_sym_IMP] = ACTIONS(2544),
    [anon_sym_SEL] = ACTIONS(2544),
    [anon_sym_Class] = ACTIONS(2544),
    [anon_sym_id] = ACTIONS(2544),
  },
  [251] = {
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_include_token1] = ACTIONS(2548),
    [aux_sym_preproc_include_token2] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token2] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [aux_sym_preproc_else_token1] = ACTIONS(2548),
    [aux_sym_preproc_elif_token1] = ACTIONS(2548),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_CARET] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2550),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym___attribute] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___cdecl] = ACTIONS(2548),
    [anon_sym___clrcall] = ACTIONS(2548),
    [anon_sym___stdcall] = ACTIONS(2548),
    [anon_sym___fastcall] = ACTIONS(2548),
    [anon_sym___thiscall] = ACTIONS(2548),
    [anon_sym___vectorcall] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_ATautoreleasepool] = ACTIONS(2550),
    [anon_sym_auto] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_CG_EXTERN] = ACTIONS(2548),
    [anon_sym_CG_INLINE] = ACTIONS(2548),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2548),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2548),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2548),
    [anon_sym_IBOutlet] = ACTIONS(2548),
    [anon_sym_IBInspectable] = ACTIONS(2548),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2548),
    [anon_sym_NS_INLINE] = ACTIONS(2548),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2548),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2548),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2548),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym__Nonnull] = ACTIONS(2548),
    [anon_sym_nullable] = ACTIONS(2548),
    [anon_sym__Complex] = ACTIONS(2548),
    [anon_sym__Nullable] = ACTIONS(2548),
    [anon_sym__Nullable_result] = ACTIONS(2548),
    [anon_sym__Null_unspecified] = ACTIONS(2548),
    [anon_sym___autoreleasing] = ACTIONS(2548),
    [anon_sym___block] = ACTIONS(2548),
    [anon_sym___bridge] = ACTIONS(2548),
    [anon_sym___bridge_retained] = ACTIONS(2548),
    [anon_sym___bridge_transfer] = ACTIONS(2548),
    [anon_sym___complex] = ACTIONS(2548),
    [anon_sym___const] = ACTIONS(2548),
    [anon_sym___imag] = ACTIONS(2548),
    [anon_sym___kindof] = ACTIONS(2548),
    [anon_sym___nonnull] = ACTIONS(2548),
    [anon_sym___nullable] = ACTIONS(2548),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2548),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2548),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2548),
    [anon_sym___real] = ACTIONS(2548),
    [anon_sym___strong] = ACTIONS(2548),
    [anon_sym___unsafe_unretained] = ACTIONS(2548),
    [anon_sym___unused] = ACTIONS(2548),
    [anon_sym___weak] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_else] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_case] = ACTIONS(2548),
    [anon_sym_default] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_in] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [anon_sym___asm] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_AT] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2548),
    [anon_sym___typeof] = ACTIONS(2548),
    [anon_sym_typeof] = ACTIONS(2548),
    [anon_sym_ATimport] = ACTIONS(2550),
    [aux_sym_preproc_undef_token1] = ACTIONS(2548),
    [anon_sym_POUND] = ACTIONS(2548),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2548),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2548),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2548),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2548),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2548),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2548),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2548),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2548),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2548),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_API_AVAILABLE] = ACTIONS(2548),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_API_DEPRECATED] = ACTIONS(2548),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2548),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2548),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2548),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2548),
    [anon_sym___deprecated_msg] = ACTIONS(2548),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2548),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2548),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2548),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2548),
    [anon_sym_ATprotocol] = ACTIONS(2550),
    [anon_sym_ATinterface] = ACTIONS(2550),
    [anon_sym_ATimplementation] = ACTIONS(2550),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2550),
    [anon_sym_ATsynthesize] = ACTIONS(2550),
    [anon_sym_ATdynamic] = ACTIONS(2550),
    [anon_sym_ATtry] = ACTIONS(2550),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym_ATthrow] = ACTIONS(2550),
    [anon_sym_ATselector] = ACTIONS(2550),
    [anon_sym_ATavailable] = ACTIONS(2550),
    [anon_sym___builtin_available] = ACTIONS(2548),
    [anon_sym_va_arg] = ACTIONS(2548),
    [anon_sym_ATencode] = ACTIONS(2550),
    [anon_sym_ATsynchronized] = ACTIONS(2550),
    [anon_sym_BOOL] = ACTIONS(2548),
    [anon_sym_IMP] = ACTIONS(2548),
    [anon_sym_SEL] = ACTIONS(2548),
    [anon_sym_Class] = ACTIONS(2548),
    [anon_sym_id] = ACTIONS(2548),
  },
  [252] = {
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_include_token1] = ACTIONS(2552),
    [aux_sym_preproc_include_token2] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token2] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [aux_sym_preproc_else_token1] = ACTIONS(2552),
    [aux_sym_preproc_elif_token1] = ACTIONS(2552),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_CARET] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym___attribute] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym___cdecl] = ACTIONS(2552),
    [anon_sym___clrcall] = ACTIONS(2552),
    [anon_sym___stdcall] = ACTIONS(2552),
    [anon_sym___fastcall] = ACTIONS(2552),
    [anon_sym___thiscall] = ACTIONS(2552),
    [anon_sym___vectorcall] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_ATautoreleasepool] = ACTIONS(2554),
    [anon_sym_auto] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_CG_EXTERN] = ACTIONS(2552),
    [anon_sym_CG_INLINE] = ACTIONS(2552),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2552),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2552),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2552),
    [anon_sym_IBOutlet] = ACTIONS(2552),
    [anon_sym_IBInspectable] = ACTIONS(2552),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2552),
    [anon_sym_NS_INLINE] = ACTIONS(2552),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2552),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2552),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2552),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym__Nonnull] = ACTIONS(2552),
    [anon_sym_nullable] = ACTIONS(2552),
    [anon_sym__Complex] = ACTIONS(2552),
    [anon_sym__Nullable] = ACTIONS(2552),
    [anon_sym__Nullable_result] = ACTIONS(2552),
    [anon_sym__Null_unspecified] = ACTIONS(2552),
    [anon_sym___autoreleasing] = ACTIONS(2552),
    [anon_sym___block] = ACTIONS(2552),
    [anon_sym___bridge] = ACTIONS(2552),
    [anon_sym___bridge_retained] = ACTIONS(2552),
    [anon_sym___bridge_transfer] = ACTIONS(2552),
    [anon_sym___complex] = ACTIONS(2552),
    [anon_sym___const] = ACTIONS(2552),
    [anon_sym___imag] = ACTIONS(2552),
    [anon_sym___kindof] = ACTIONS(2552),
    [anon_sym___nonnull] = ACTIONS(2552),
    [anon_sym___nullable] = ACTIONS(2552),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2552),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2552),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2552),
    [anon_sym___real] = ACTIONS(2552),
    [anon_sym___strong] = ACTIONS(2552),
    [anon_sym___unsafe_unretained] = ACTIONS(2552),
    [anon_sym___unused] = ACTIONS(2552),
    [anon_sym___weak] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym__Alignas] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_switch] = ACTIONS(2552),
    [anon_sym_case] = ACTIONS(2552),
    [anon_sym_default] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_do] = ACTIONS(2552),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_break] = ACTIONS(2552),
    [anon_sym_continue] = ACTIONS(2552),
    [anon_sym_goto] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_sizeof] = ACTIONS(2552),
    [anon_sym___alignof__] = ACTIONS(2552),
    [anon_sym___alignof] = ACTIONS(2552),
    [anon_sym__alignof] = ACTIONS(2552),
    [anon_sym_alignof] = ACTIONS(2552),
    [anon_sym__Alignof] = ACTIONS(2552),
    [anon_sym_offsetof] = ACTIONS(2552),
    [anon_sym__Generic] = ACTIONS(2552),
    [anon_sym_asm] = ACTIONS(2552),
    [anon_sym___asm__] = ACTIONS(2552),
    [anon_sym___asm] = ACTIONS(2552),
    [sym_number_literal] = ACTIONS(2554),
    [anon_sym_L_SQUOTE] = ACTIONS(2554),
    [anon_sym_u_SQUOTE] = ACTIONS(2554),
    [anon_sym_U_SQUOTE] = ACTIONS(2554),
    [anon_sym_u8_SQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [anon_sym_AT] = ACTIONS(2552),
    [anon_sym_DQUOTE] = ACTIONS(2554),
    [anon_sym_L_DQUOTE] = ACTIONS(2554),
    [anon_sym_u_DQUOTE] = ACTIONS(2554),
    [anon_sym_U_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8_DQUOTE] = ACTIONS(2554),
    [sym_true] = ACTIONS(2552),
    [sym_false] = ACTIONS(2552),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2552),
    [anon_sym___typeof] = ACTIONS(2552),
    [anon_sym_typeof] = ACTIONS(2552),
    [anon_sym_ATimport] = ACTIONS(2554),
    [aux_sym_preproc_undef_token1] = ACTIONS(2552),
    [anon_sym_POUND] = ACTIONS(2552),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2552),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2552),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2552),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2552),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2552),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2552),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2552),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2552),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2552),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_API_AVAILABLE] = ACTIONS(2552),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_API_DEPRECATED] = ACTIONS(2552),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2552),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2552),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2552),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2552),
    [anon_sym___deprecated_msg] = ACTIONS(2552),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2552),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2552),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2552),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2552),
    [anon_sym_ATprotocol] = ACTIONS(2554),
    [anon_sym_ATinterface] = ACTIONS(2554),
    [anon_sym_ATimplementation] = ACTIONS(2554),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2554),
    [anon_sym_ATsynthesize] = ACTIONS(2554),
    [anon_sym_ATdynamic] = ACTIONS(2554),
    [anon_sym_ATtry] = ACTIONS(2554),
    [anon_sym___try] = ACTIONS(2552),
    [anon_sym_ATthrow] = ACTIONS(2554),
    [anon_sym_ATselector] = ACTIONS(2554),
    [anon_sym_ATavailable] = ACTIONS(2554),
    [anon_sym___builtin_available] = ACTIONS(2552),
    [anon_sym_va_arg] = ACTIONS(2552),
    [anon_sym_ATencode] = ACTIONS(2554),
    [anon_sym_ATsynchronized] = ACTIONS(2554),
    [anon_sym_BOOL] = ACTIONS(2552),
    [anon_sym_IMP] = ACTIONS(2552),
    [anon_sym_SEL] = ACTIONS(2552),
    [anon_sym_Class] = ACTIONS(2552),
    [anon_sym_id] = ACTIONS(2552),
  },
  [253] = {
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_include_token2] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token2] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [aux_sym_preproc_else_token1] = ACTIONS(2556),
    [aux_sym_preproc_elif_token1] = ACTIONS(2556),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_CARET] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym___attribute] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_ATautoreleasepool] = ACTIONS(2558),
    [anon_sym_auto] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_CG_EXTERN] = ACTIONS(2556),
    [anon_sym_CG_INLINE] = ACTIONS(2556),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2556),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2556),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2556),
    [anon_sym_IBOutlet] = ACTIONS(2556),
    [anon_sym_IBInspectable] = ACTIONS(2556),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2556),
    [anon_sym_NS_INLINE] = ACTIONS(2556),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2556),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2556),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2556),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym__Nonnull] = ACTIONS(2556),
    [anon_sym_nullable] = ACTIONS(2556),
    [anon_sym__Complex] = ACTIONS(2556),
    [anon_sym__Nullable] = ACTIONS(2556),
    [anon_sym__Nullable_result] = ACTIONS(2556),
    [anon_sym__Null_unspecified] = ACTIONS(2556),
    [anon_sym___autoreleasing] = ACTIONS(2556),
    [anon_sym___block] = ACTIONS(2556),
    [anon_sym___bridge] = ACTIONS(2556),
    [anon_sym___bridge_retained] = ACTIONS(2556),
    [anon_sym___bridge_transfer] = ACTIONS(2556),
    [anon_sym___complex] = ACTIONS(2556),
    [anon_sym___const] = ACTIONS(2556),
    [anon_sym___imag] = ACTIONS(2556),
    [anon_sym___kindof] = ACTIONS(2556),
    [anon_sym___nonnull] = ACTIONS(2556),
    [anon_sym___nullable] = ACTIONS(2556),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2556),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2556),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2556),
    [anon_sym___real] = ACTIONS(2556),
    [anon_sym___strong] = ACTIONS(2556),
    [anon_sym___unsafe_unretained] = ACTIONS(2556),
    [anon_sym___unused] = ACTIONS(2556),
    [anon_sym___weak] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_in] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [anon_sym___asm] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2556),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2556),
    [anon_sym___typeof] = ACTIONS(2556),
    [anon_sym_typeof] = ACTIONS(2556),
    [anon_sym_ATimport] = ACTIONS(2558),
    [aux_sym_preproc_undef_token1] = ACTIONS(2556),
    [anon_sym_POUND] = ACTIONS(2556),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2556),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2556),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2556),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2556),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2556),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2556),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2556),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2556),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2556),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_API_AVAILABLE] = ACTIONS(2556),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_API_DEPRECATED] = ACTIONS(2556),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2556),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2556),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2556),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2556),
    [anon_sym___deprecated_msg] = ACTIONS(2556),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2556),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2556),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2556),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2556),
    [anon_sym_ATprotocol] = ACTIONS(2558),
    [anon_sym_ATinterface] = ACTIONS(2558),
    [anon_sym_ATimplementation] = ACTIONS(2558),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2558),
    [anon_sym_ATsynthesize] = ACTIONS(2558),
    [anon_sym_ATdynamic] = ACTIONS(2558),
    [anon_sym_ATtry] = ACTIONS(2558),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym_ATthrow] = ACTIONS(2558),
    [anon_sym_ATselector] = ACTIONS(2558),
    [anon_sym_ATavailable] = ACTIONS(2558),
    [anon_sym___builtin_available] = ACTIONS(2556),
    [anon_sym_va_arg] = ACTIONS(2556),
    [anon_sym_ATencode] = ACTIONS(2558),
    [anon_sym_ATsynchronized] = ACTIONS(2558),
    [anon_sym_BOOL] = ACTIONS(2556),
    [anon_sym_IMP] = ACTIONS(2556),
    [anon_sym_SEL] = ACTIONS(2556),
    [anon_sym_Class] = ACTIONS(2556),
    [anon_sym_id] = ACTIONS(2556),
  },
  [254] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_include_token1] = ACTIONS(2560),
    [aux_sym_preproc_include_token2] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token2] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [aux_sym_preproc_else_token1] = ACTIONS(2560),
    [aux_sym_preproc_elif_token1] = ACTIONS(2560),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_CARET] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym___attribute] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___cdecl] = ACTIONS(2560),
    [anon_sym___clrcall] = ACTIONS(2560),
    [anon_sym___stdcall] = ACTIONS(2560),
    [anon_sym___fastcall] = ACTIONS(2560),
    [anon_sym___thiscall] = ACTIONS(2560),
    [anon_sym___vectorcall] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_ATautoreleasepool] = ACTIONS(2562),
    [anon_sym_auto] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_CG_EXTERN] = ACTIONS(2560),
    [anon_sym_CG_INLINE] = ACTIONS(2560),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2560),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2560),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2560),
    [anon_sym_IBOutlet] = ACTIONS(2560),
    [anon_sym_IBInspectable] = ACTIONS(2560),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2560),
    [anon_sym_NS_INLINE] = ACTIONS(2560),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2560),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2560),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2560),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym__Nonnull] = ACTIONS(2560),
    [anon_sym_nullable] = ACTIONS(2560),
    [anon_sym__Complex] = ACTIONS(2560),
    [anon_sym__Nullable] = ACTIONS(2560),
    [anon_sym__Nullable_result] = ACTIONS(2560),
    [anon_sym__Null_unspecified] = ACTIONS(2560),
    [anon_sym___autoreleasing] = ACTIONS(2560),
    [anon_sym___block] = ACTIONS(2560),
    [anon_sym___bridge] = ACTIONS(2560),
    [anon_sym___bridge_retained] = ACTIONS(2560),
    [anon_sym___bridge_transfer] = ACTIONS(2560),
    [anon_sym___complex] = ACTIONS(2560),
    [anon_sym___const] = ACTIONS(2560),
    [anon_sym___imag] = ACTIONS(2560),
    [anon_sym___kindof] = ACTIONS(2560),
    [anon_sym___nonnull] = ACTIONS(2560),
    [anon_sym___nullable] = ACTIONS(2560),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2560),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2560),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2560),
    [anon_sym___real] = ACTIONS(2560),
    [anon_sym___strong] = ACTIONS(2560),
    [anon_sym___unsafe_unretained] = ACTIONS(2560),
    [anon_sym___unused] = ACTIONS(2560),
    [anon_sym___weak] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym__Alignas] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2560),
    [anon_sym_default] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [anon_sym___asm] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2560),
    [anon_sym___typeof] = ACTIONS(2560),
    [anon_sym_typeof] = ACTIONS(2560),
    [anon_sym_ATimport] = ACTIONS(2562),
    [aux_sym_preproc_undef_token1] = ACTIONS(2560),
    [anon_sym_POUND] = ACTIONS(2560),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2560),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2560),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2560),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2560),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2560),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2560),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2560),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2560),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2560),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_API_AVAILABLE] = ACTIONS(2560),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_API_DEPRECATED] = ACTIONS(2560),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2560),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2560),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2560),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2560),
    [anon_sym___deprecated_msg] = ACTIONS(2560),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2560),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2560),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2560),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2560),
    [anon_sym_ATprotocol] = ACTIONS(2562),
    [anon_sym_ATinterface] = ACTIONS(2562),
    [anon_sym_ATimplementation] = ACTIONS(2562),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2562),
    [anon_sym_ATsynthesize] = ACTIONS(2562),
    [anon_sym_ATdynamic] = ACTIONS(2562),
    [anon_sym_ATtry] = ACTIONS(2562),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym_ATthrow] = ACTIONS(2562),
    [anon_sym_ATselector] = ACTIONS(2562),
    [anon_sym_ATavailable] = ACTIONS(2562),
    [anon_sym___builtin_available] = ACTIONS(2560),
    [anon_sym_va_arg] = ACTIONS(2560),
    [anon_sym_ATencode] = ACTIONS(2562),
    [anon_sym_ATsynchronized] = ACTIONS(2562),
    [anon_sym_BOOL] = ACTIONS(2560),
    [anon_sym_IMP] = ACTIONS(2560),
    [anon_sym_SEL] = ACTIONS(2560),
    [anon_sym_Class] = ACTIONS(2560),
    [anon_sym_id] = ACTIONS(2560),
  },
  [255] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_include_token2] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token2] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [aux_sym_preproc_else_token1] = ACTIONS(2536),
    [aux_sym_preproc_elif_token1] = ACTIONS(2536),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_CARET] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_ATautoreleasepool] = ACTIONS(2538),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [anon_sym___asm] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [anon_sym_ATimport] = ACTIONS(2538),
    [aux_sym_preproc_undef_token1] = ACTIONS(2536),
    [anon_sym_POUND] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATprotocol] = ACTIONS(2538),
    [anon_sym_ATinterface] = ACTIONS(2538),
    [anon_sym_ATimplementation] = ACTIONS(2538),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2538),
    [anon_sym_ATsynthesize] = ACTIONS(2538),
    [anon_sym_ATdynamic] = ACTIONS(2538),
    [anon_sym_ATtry] = ACTIONS(2538),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym_ATthrow] = ACTIONS(2538),
    [anon_sym_ATselector] = ACTIONS(2538),
    [anon_sym_ATavailable] = ACTIONS(2538),
    [anon_sym___builtin_available] = ACTIONS(2536),
    [anon_sym_va_arg] = ACTIONS(2536),
    [anon_sym_ATencode] = ACTIONS(2538),
    [anon_sym_ATsynchronized] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [256] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [257] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [258] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [259] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [260] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [261] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [262] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [263] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [264] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [265] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [266] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [267] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [268] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [269] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_include_token2] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token2] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [aux_sym_preproc_else_token1] = ACTIONS(2536),
    [aux_sym_preproc_elif_token1] = ACTIONS(2536),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_CARET] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_ATautoreleasepool] = ACTIONS(2538),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [anon_sym___asm] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [anon_sym_ATimport] = ACTIONS(2538),
    [aux_sym_preproc_undef_token1] = ACTIONS(2536),
    [anon_sym_POUND] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATprotocol] = ACTIONS(2538),
    [anon_sym_ATinterface] = ACTIONS(2538),
    [anon_sym_ATimplementation] = ACTIONS(2538),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2538),
    [anon_sym_ATsynthesize] = ACTIONS(2538),
    [anon_sym_ATdynamic] = ACTIONS(2538),
    [anon_sym_ATtry] = ACTIONS(2538),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym_ATthrow] = ACTIONS(2538),
    [anon_sym_ATselector] = ACTIONS(2538),
    [anon_sym_ATavailable] = ACTIONS(2538),
    [anon_sym___builtin_available] = ACTIONS(2536),
    [anon_sym_va_arg] = ACTIONS(2536),
    [anon_sym_ATencode] = ACTIONS(2538),
    [anon_sym_ATsynchronized] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [270] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_include_token2] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token2] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [aux_sym_preproc_else_token1] = ACTIONS(2564),
    [aux_sym_preproc_elif_token1] = ACTIONS(2564),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym___attribute] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_ATautoreleasepool] = ACTIONS(2566),
    [anon_sym_auto] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_CG_EXTERN] = ACTIONS(2564),
    [anon_sym_CG_INLINE] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2564),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2564),
    [anon_sym_IBOutlet] = ACTIONS(2564),
    [anon_sym_IBInspectable] = ACTIONS(2564),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2564),
    [anon_sym_NS_INLINE] = ACTIONS(2564),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2564),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2564),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_nullable] = ACTIONS(2564),
    [anon_sym__Complex] = ACTIONS(2564),
    [anon_sym__Nullable] = ACTIONS(2564),
    [anon_sym__Nullable_result] = ACTIONS(2564),
    [anon_sym__Null_unspecified] = ACTIONS(2564),
    [anon_sym___autoreleasing] = ACTIONS(2564),
    [anon_sym___block] = ACTIONS(2564),
    [anon_sym___bridge] = ACTIONS(2564),
    [anon_sym___bridge_retained] = ACTIONS(2564),
    [anon_sym___bridge_transfer] = ACTIONS(2564),
    [anon_sym___complex] = ACTIONS(2564),
    [anon_sym___const] = ACTIONS(2564),
    [anon_sym___imag] = ACTIONS(2564),
    [anon_sym___kindof] = ACTIONS(2564),
    [anon_sym___nonnull] = ACTIONS(2564),
    [anon_sym___nullable] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2564),
    [anon_sym___real] = ACTIONS(2564),
    [anon_sym___strong] = ACTIONS(2564),
    [anon_sym___unsafe_unretained] = ACTIONS(2564),
    [anon_sym___unused] = ACTIONS(2564),
    [anon_sym___weak] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [anon_sym___asm] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_AT] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2564),
    [anon_sym___typeof] = ACTIONS(2564),
    [anon_sym_typeof] = ACTIONS(2564),
    [anon_sym_ATimport] = ACTIONS(2566),
    [aux_sym_preproc_undef_token1] = ACTIONS(2564),
    [anon_sym_POUND] = ACTIONS(2564),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2564),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2564),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2564),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_API_AVAILABLE] = ACTIONS(2564),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_API_DEPRECATED] = ACTIONS(2564),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym___deprecated_msg] = ACTIONS(2564),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2564),
    [anon_sym_ATprotocol] = ACTIONS(2566),
    [anon_sym_ATinterface] = ACTIONS(2566),
    [anon_sym_ATimplementation] = ACTIONS(2566),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2566),
    [anon_sym_ATsynthesize] = ACTIONS(2566),
    [anon_sym_ATdynamic] = ACTIONS(2566),
    [anon_sym_ATtry] = ACTIONS(2566),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym_ATthrow] = ACTIONS(2566),
    [anon_sym_ATselector] = ACTIONS(2566),
    [anon_sym_ATavailable] = ACTIONS(2566),
    [anon_sym___builtin_available] = ACTIONS(2564),
    [anon_sym_va_arg] = ACTIONS(2564),
    [anon_sym_ATencode] = ACTIONS(2566),
    [anon_sym_ATsynchronized] = ACTIONS(2566),
    [anon_sym_BOOL] = ACTIONS(2564),
    [anon_sym_IMP] = ACTIONS(2564),
    [anon_sym_SEL] = ACTIONS(2564),
    [anon_sym_Class] = ACTIONS(2564),
    [anon_sym_id] = ACTIONS(2564),
  },
  [271] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_include_token2] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token2] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [aux_sym_preproc_else_token1] = ACTIONS(2564),
    [aux_sym_preproc_elif_token1] = ACTIONS(2564),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym___attribute] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_ATautoreleasepool] = ACTIONS(2566),
    [anon_sym_auto] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_CG_EXTERN] = ACTIONS(2564),
    [anon_sym_CG_INLINE] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2564),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2564),
    [anon_sym_IBOutlet] = ACTIONS(2564),
    [anon_sym_IBInspectable] = ACTIONS(2564),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2564),
    [anon_sym_NS_INLINE] = ACTIONS(2564),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2564),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2564),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_nullable] = ACTIONS(2564),
    [anon_sym__Complex] = ACTIONS(2564),
    [anon_sym__Nullable] = ACTIONS(2564),
    [anon_sym__Nullable_result] = ACTIONS(2564),
    [anon_sym__Null_unspecified] = ACTIONS(2564),
    [anon_sym___autoreleasing] = ACTIONS(2564),
    [anon_sym___block] = ACTIONS(2564),
    [anon_sym___bridge] = ACTIONS(2564),
    [anon_sym___bridge_retained] = ACTIONS(2564),
    [anon_sym___bridge_transfer] = ACTIONS(2564),
    [anon_sym___complex] = ACTIONS(2564),
    [anon_sym___const] = ACTIONS(2564),
    [anon_sym___imag] = ACTIONS(2564),
    [anon_sym___kindof] = ACTIONS(2564),
    [anon_sym___nonnull] = ACTIONS(2564),
    [anon_sym___nullable] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2564),
    [anon_sym___real] = ACTIONS(2564),
    [anon_sym___strong] = ACTIONS(2564),
    [anon_sym___unsafe_unretained] = ACTIONS(2564),
    [anon_sym___unused] = ACTIONS(2564),
    [anon_sym___weak] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [anon_sym___asm] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_AT] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2564),
    [anon_sym___typeof] = ACTIONS(2564),
    [anon_sym_typeof] = ACTIONS(2564),
    [anon_sym_ATimport] = ACTIONS(2566),
    [aux_sym_preproc_undef_token1] = ACTIONS(2564),
    [anon_sym_POUND] = ACTIONS(2564),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2564),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2564),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2564),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_API_AVAILABLE] = ACTIONS(2564),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_API_DEPRECATED] = ACTIONS(2564),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym___deprecated_msg] = ACTIONS(2564),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2564),
    [anon_sym_ATprotocol] = ACTIONS(2566),
    [anon_sym_ATinterface] = ACTIONS(2566),
    [anon_sym_ATimplementation] = ACTIONS(2566),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2566),
    [anon_sym_ATsynthesize] = ACTIONS(2566),
    [anon_sym_ATdynamic] = ACTIONS(2566),
    [anon_sym_ATtry] = ACTIONS(2566),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym_ATthrow] = ACTIONS(2566),
    [anon_sym_ATselector] = ACTIONS(2566),
    [anon_sym_ATavailable] = ACTIONS(2566),
    [anon_sym___builtin_available] = ACTIONS(2564),
    [anon_sym_va_arg] = ACTIONS(2564),
    [anon_sym_ATencode] = ACTIONS(2566),
    [anon_sym_ATsynchronized] = ACTIONS(2566),
    [anon_sym_BOOL] = ACTIONS(2564),
    [anon_sym_IMP] = ACTIONS(2564),
    [anon_sym_SEL] = ACTIONS(2564),
    [anon_sym_Class] = ACTIONS(2564),
    [anon_sym_id] = ACTIONS(2564),
  },
  [272] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [273] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [274] = {
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_include_token1] = ACTIONS(2568),
    [aux_sym_preproc_include_token2] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token2] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [aux_sym_preproc_else_token1] = ACTIONS(2568),
    [aux_sym_preproc_elif_token1] = ACTIONS(2568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym___attribute] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_ATautoreleasepool] = ACTIONS(2570),
    [anon_sym_auto] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_CG_EXTERN] = ACTIONS(2568),
    [anon_sym_CG_INLINE] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2568),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2568),
    [anon_sym_IBOutlet] = ACTIONS(2568),
    [anon_sym_IBInspectable] = ACTIONS(2568),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2568),
    [anon_sym_NS_INLINE] = ACTIONS(2568),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2568),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2568),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym__Nonnull] = ACTIONS(2568),
    [anon_sym_nullable] = ACTIONS(2568),
    [anon_sym__Complex] = ACTIONS(2568),
    [anon_sym__Nullable] = ACTIONS(2568),
    [anon_sym__Nullable_result] = ACTIONS(2568),
    [anon_sym__Null_unspecified] = ACTIONS(2568),
    [anon_sym___autoreleasing] = ACTIONS(2568),
    [anon_sym___block] = ACTIONS(2568),
    [anon_sym___bridge] = ACTIONS(2568),
    [anon_sym___bridge_retained] = ACTIONS(2568),
    [anon_sym___bridge_transfer] = ACTIONS(2568),
    [anon_sym___complex] = ACTIONS(2568),
    [anon_sym___const] = ACTIONS(2568),
    [anon_sym___imag] = ACTIONS(2568),
    [anon_sym___kindof] = ACTIONS(2568),
    [anon_sym___nonnull] = ACTIONS(2568),
    [anon_sym___nullable] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2568),
    [anon_sym___real] = ACTIONS(2568),
    [anon_sym___strong] = ACTIONS(2568),
    [anon_sym___unsafe_unretained] = ACTIONS(2568),
    [anon_sym___unused] = ACTIONS(2568),
    [anon_sym___weak] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_else] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_default] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_in] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [anon_sym___asm] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_AT] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2568),
    [anon_sym___typeof] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(2568),
    [anon_sym_ATimport] = ACTIONS(2570),
    [aux_sym_preproc_undef_token1] = ACTIONS(2568),
    [anon_sym_POUND] = ACTIONS(2568),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2568),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2568),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2568),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_API_AVAILABLE] = ACTIONS(2568),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_API_DEPRECATED] = ACTIONS(2568),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym___deprecated_msg] = ACTIONS(2568),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2568),
    [anon_sym_ATprotocol] = ACTIONS(2570),
    [anon_sym_ATinterface] = ACTIONS(2570),
    [anon_sym_ATimplementation] = ACTIONS(2570),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2570),
    [anon_sym_ATsynthesize] = ACTIONS(2570),
    [anon_sym_ATdynamic] = ACTIONS(2570),
    [anon_sym_ATtry] = ACTIONS(2570),
    [anon_sym___try] = ACTIONS(2568),
    [anon_sym_ATthrow] = ACTIONS(2570),
    [anon_sym_ATselector] = ACTIONS(2570),
    [anon_sym_ATavailable] = ACTIONS(2570),
    [anon_sym___builtin_available] = ACTIONS(2568),
    [anon_sym_va_arg] = ACTIONS(2568),
    [anon_sym_ATencode] = ACTIONS(2570),
    [anon_sym_ATsynchronized] = ACTIONS(2570),
    [anon_sym_BOOL] = ACTIONS(2568),
    [anon_sym_IMP] = ACTIONS(2568),
    [anon_sym_SEL] = ACTIONS(2568),
    [anon_sym_Class] = ACTIONS(2568),
    [anon_sym_id] = ACTIONS(2568),
  },
  [275] = {
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_include_token1] = ACTIONS(2568),
    [aux_sym_preproc_include_token2] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token2] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [aux_sym_preproc_else_token1] = ACTIONS(2568),
    [aux_sym_preproc_elif_token1] = ACTIONS(2568),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym___attribute] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_ATautoreleasepool] = ACTIONS(2570),
    [anon_sym_auto] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_CG_EXTERN] = ACTIONS(2568),
    [anon_sym_CG_INLINE] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2568),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2568),
    [anon_sym_IBOutlet] = ACTIONS(2568),
    [anon_sym_IBInspectable] = ACTIONS(2568),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2568),
    [anon_sym_NS_INLINE] = ACTIONS(2568),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2568),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2568),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym__Nonnull] = ACTIONS(2568),
    [anon_sym_nullable] = ACTIONS(2568),
    [anon_sym__Complex] = ACTIONS(2568),
    [anon_sym__Nullable] = ACTIONS(2568),
    [anon_sym__Nullable_result] = ACTIONS(2568),
    [anon_sym__Null_unspecified] = ACTIONS(2568),
    [anon_sym___autoreleasing] = ACTIONS(2568),
    [anon_sym___block] = ACTIONS(2568),
    [anon_sym___bridge] = ACTIONS(2568),
    [anon_sym___bridge_retained] = ACTIONS(2568),
    [anon_sym___bridge_transfer] = ACTIONS(2568),
    [anon_sym___complex] = ACTIONS(2568),
    [anon_sym___const] = ACTIONS(2568),
    [anon_sym___imag] = ACTIONS(2568),
    [anon_sym___kindof] = ACTIONS(2568),
    [anon_sym___nonnull] = ACTIONS(2568),
    [anon_sym___nullable] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2568),
    [anon_sym___real] = ACTIONS(2568),
    [anon_sym___strong] = ACTIONS(2568),
    [anon_sym___unsafe_unretained] = ACTIONS(2568),
    [anon_sym___unused] = ACTIONS(2568),
    [anon_sym___weak] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_else] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_default] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_in] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [anon_sym___asm] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_AT] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2568),
    [anon_sym___typeof] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(2568),
    [anon_sym_ATimport] = ACTIONS(2570),
    [aux_sym_preproc_undef_token1] = ACTIONS(2568),
    [anon_sym_POUND] = ACTIONS(2568),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2568),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2568),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2568),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_API_AVAILABLE] = ACTIONS(2568),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_API_DEPRECATED] = ACTIONS(2568),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym___deprecated_msg] = ACTIONS(2568),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2568),
    [anon_sym_ATprotocol] = ACTIONS(2570),
    [anon_sym_ATinterface] = ACTIONS(2570),
    [anon_sym_ATimplementation] = ACTIONS(2570),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2570),
    [anon_sym_ATsynthesize] = ACTIONS(2570),
    [anon_sym_ATdynamic] = ACTIONS(2570),
    [anon_sym_ATtry] = ACTIONS(2570),
    [anon_sym___try] = ACTIONS(2568),
    [anon_sym_ATthrow] = ACTIONS(2570),
    [anon_sym_ATselector] = ACTIONS(2570),
    [anon_sym_ATavailable] = ACTIONS(2570),
    [anon_sym___builtin_available] = ACTIONS(2568),
    [anon_sym_va_arg] = ACTIONS(2568),
    [anon_sym_ATencode] = ACTIONS(2570),
    [anon_sym_ATsynchronized] = ACTIONS(2570),
    [anon_sym_BOOL] = ACTIONS(2568),
    [anon_sym_IMP] = ACTIONS(2568),
    [anon_sym_SEL] = ACTIONS(2568),
    [anon_sym_Class] = ACTIONS(2568),
    [anon_sym_id] = ACTIONS(2568),
  },
  [276] = {
    [sym_identifier] = ACTIONS(2306),
    [aux_sym_preproc_include_token1] = ACTIONS(2306),
    [aux_sym_preproc_include_token2] = ACTIONS(2306),
    [aux_sym_preproc_def_token1] = ACTIONS(2306),
    [aux_sym_preproc_if_token1] = ACTIONS(2306),
    [aux_sym_preproc_if_token2] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2306),
    [aux_sym_preproc_else_token1] = ACTIONS(2306),
    [aux_sym_preproc_elif_token1] = ACTIONS(2306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2306),
    [sym_preproc_directive] = ACTIONS(2306),
    [anon_sym_LPAREN2] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_CARET] = ACTIONS(2308),
    [anon_sym_AMP] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2308),
    [anon_sym___extension__] = ACTIONS(2306),
    [anon_sym_typedef] = ACTIONS(2306),
    [anon_sym_extern] = ACTIONS(2306),
    [anon_sym___attribute__] = ACTIONS(2306),
    [anon_sym___attribute] = ACTIONS(2306),
    [anon_sym_noreturn] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym___declspec] = ACTIONS(2306),
    [anon_sym___cdecl] = ACTIONS(2306),
    [anon_sym___clrcall] = ACTIONS(2306),
    [anon_sym___stdcall] = ACTIONS(2306),
    [anon_sym___fastcall] = ACTIONS(2306),
    [anon_sym___thiscall] = ACTIONS(2306),
    [anon_sym___vectorcall] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2308),
    [anon_sym_signed] = ACTIONS(2306),
    [anon_sym_unsigned] = ACTIONS(2306),
    [anon_sym_long] = ACTIONS(2306),
    [anon_sym_short] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_ATautoreleasepool] = ACTIONS(2308),
    [anon_sym_auto] = ACTIONS(2306),
    [anon_sym_register] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(2306),
    [anon_sym___inline] = ACTIONS(2306),
    [anon_sym___inline__] = ACTIONS(2306),
    [anon_sym___forceinline] = ACTIONS(2306),
    [anon_sym_thread_local] = ACTIONS(2306),
    [anon_sym___thread] = ACTIONS(2306),
    [anon_sym_CG_EXTERN] = ACTIONS(2306),
    [anon_sym_CG_INLINE] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2306),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2306),
    [anon_sym_IBOutlet] = ACTIONS(2306),
    [anon_sym_IBInspectable] = ACTIONS(2306),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2306),
    [anon_sym_NS_INLINE] = ACTIONS(2306),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2306),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2306),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_constexpr] = ACTIONS(2306),
    [anon_sym_volatile] = ACTIONS(2306),
    [anon_sym_restrict] = ACTIONS(2306),
    [anon_sym___restrict__] = ACTIONS(2306),
    [anon_sym__Atomic] = ACTIONS(2306),
    [anon_sym__Noreturn] = ACTIONS(2306),
    [anon_sym__Nonnull] = ACTIONS(2306),
    [anon_sym_nullable] = ACTIONS(2306),
    [anon_sym__Complex] = ACTIONS(2306),
    [anon_sym__Nullable] = ACTIONS(2306),
    [anon_sym__Nullable_result] = ACTIONS(2306),
    [anon_sym__Null_unspecified] = ACTIONS(2306),
    [anon_sym___autoreleasing] = ACTIONS(2306),
    [anon_sym___block] = ACTIONS(2306),
    [anon_sym___bridge] = ACTIONS(2306),
    [anon_sym___bridge_retained] = ACTIONS(2306),
    [anon_sym___bridge_transfer] = ACTIONS(2306),
    [anon_sym___complex] = ACTIONS(2306),
    [anon_sym___const] = ACTIONS(2306),
    [anon_sym___imag] = ACTIONS(2306),
    [anon_sym___kindof] = ACTIONS(2306),
    [anon_sym___nonnull] = ACTIONS(2306),
    [anon_sym___nullable] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2306),
    [anon_sym___real] = ACTIONS(2306),
    [anon_sym___strong] = ACTIONS(2306),
    [anon_sym___unsafe_unretained] = ACTIONS(2306),
    [anon_sym___unused] = ACTIONS(2306),
    [anon_sym___weak] = ACTIONS(2306),
    [anon_sym_alignas] = ACTIONS(2306),
    [anon_sym__Alignas] = ACTIONS(2306),
    [sym_primitive_type] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [anon_sym_struct] = ACTIONS(2306),
    [anon_sym_union] = ACTIONS(2306),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_else] = ACTIONS(2306),
    [anon_sym_switch] = ACTIONS(2306),
    [anon_sym_case] = ACTIONS(2306),
    [anon_sym_default] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2306),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2306),
    [anon_sym_continue] = ACTIONS(2306),
    [anon_sym_goto] = ACTIONS(2306),
    [anon_sym_DASH_DASH] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(2308),
    [anon_sym_sizeof] = ACTIONS(2306),
    [anon_sym___alignof__] = ACTIONS(2306),
    [anon_sym___alignof] = ACTIONS(2306),
    [anon_sym__alignof] = ACTIONS(2306),
    [anon_sym_alignof] = ACTIONS(2306),
    [anon_sym__Alignof] = ACTIONS(2306),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2306),
    [anon_sym_asm] = ACTIONS(2306),
    [anon_sym___asm__] = ACTIONS(2306),
    [anon_sym___asm] = ACTIONS(2306),
    [sym_number_literal] = ACTIONS(2308),
    [anon_sym_L_SQUOTE] = ACTIONS(2308),
    [anon_sym_u_SQUOTE] = ACTIONS(2308),
    [anon_sym_U_SQUOTE] = ACTIONS(2308),
    [anon_sym_u8_SQUOTE] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [anon_sym_AT] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2308),
    [anon_sym_L_DQUOTE] = ACTIONS(2308),
    [anon_sym_u_DQUOTE] = ACTIONS(2308),
    [anon_sym_U_DQUOTE] = ACTIONS(2308),
    [anon_sym_u8_DQUOTE] = ACTIONS(2308),
    [sym_true] = ACTIONS(2306),
    [sym_false] = ACTIONS(2306),
    [anon_sym_NULL] = ACTIONS(2306),
    [anon_sym_nullptr] = ACTIONS(2306),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2306),
    [anon_sym___typeof] = ACTIONS(2306),
    [anon_sym_typeof] = ACTIONS(2306),
    [anon_sym_ATimport] = ACTIONS(2308),
    [aux_sym_preproc_undef_token1] = ACTIONS(2306),
    [anon_sym_POUND] = ACTIONS(2306),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2306),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2306),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2306),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_API_AVAILABLE] = ACTIONS(2306),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_API_DEPRECATED] = ACTIONS(2306),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym___deprecated_msg] = ACTIONS(2306),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2306),
    [anon_sym_ATprotocol] = ACTIONS(2308),
    [anon_sym_ATinterface] = ACTIONS(2308),
    [anon_sym_ATimplementation] = ACTIONS(2308),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2308),
    [anon_sym_ATsynthesize] = ACTIONS(2308),
    [anon_sym_ATdynamic] = ACTIONS(2308),
    [anon_sym_ATtry] = ACTIONS(2308),
    [anon_sym___try] = ACTIONS(2306),
    [anon_sym_ATthrow] = ACTIONS(2308),
    [anon_sym_ATselector] = ACTIONS(2308),
    [anon_sym_ATavailable] = ACTIONS(2308),
    [anon_sym___builtin_available] = ACTIONS(2306),
    [anon_sym_va_arg] = ACTIONS(2306),
    [anon_sym_ATencode] = ACTIONS(2308),
    [anon_sym_ATsynchronized] = ACTIONS(2308),
    [anon_sym_BOOL] = ACTIONS(2306),
    [anon_sym_IMP] = ACTIONS(2306),
    [anon_sym_SEL] = ACTIONS(2306),
    [anon_sym_Class] = ACTIONS(2306),
    [anon_sym_id] = ACTIONS(2306),
  },
  [277] = {
    [sym_identifier] = ACTIONS(2572),
    [aux_sym_preproc_include_token1] = ACTIONS(2572),
    [aux_sym_preproc_include_token2] = ACTIONS(2572),
    [aux_sym_preproc_def_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token2] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2572),
    [aux_sym_preproc_else_token1] = ACTIONS(2572),
    [aux_sym_preproc_elif_token1] = ACTIONS(2572),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2572),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2572),
    [sym_preproc_directive] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_CARET] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym___extension__] = ACTIONS(2572),
    [anon_sym_typedef] = ACTIONS(2572),
    [anon_sym_extern] = ACTIONS(2572),
    [anon_sym___attribute__] = ACTIONS(2572),
    [anon_sym___attribute] = ACTIONS(2572),
    [anon_sym_noreturn] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym___declspec] = ACTIONS(2572),
    [anon_sym___cdecl] = ACTIONS(2572),
    [anon_sym___clrcall] = ACTIONS(2572),
    [anon_sym___stdcall] = ACTIONS(2572),
    [anon_sym___fastcall] = ACTIONS(2572),
    [anon_sym___thiscall] = ACTIONS(2572),
    [anon_sym___vectorcall] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2574),
    [anon_sym_signed] = ACTIONS(2572),
    [anon_sym_unsigned] = ACTIONS(2572),
    [anon_sym_long] = ACTIONS(2572),
    [anon_sym_short] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_ATautoreleasepool] = ACTIONS(2574),
    [anon_sym_auto] = ACTIONS(2572),
    [anon_sym_register] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym___inline] = ACTIONS(2572),
    [anon_sym___inline__] = ACTIONS(2572),
    [anon_sym___forceinline] = ACTIONS(2572),
    [anon_sym_thread_local] = ACTIONS(2572),
    [anon_sym___thread] = ACTIONS(2572),
    [anon_sym_CG_EXTERN] = ACTIONS(2572),
    [anon_sym_CG_INLINE] = ACTIONS(2572),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2572),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2572),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2572),
    [anon_sym_IBOutlet] = ACTIONS(2572),
    [anon_sym_IBInspectable] = ACTIONS(2572),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2572),
    [anon_sym_NS_INLINE] = ACTIONS(2572),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2572),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2572),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2572),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_constexpr] = ACTIONS(2572),
    [anon_sym_volatile] = ACTIONS(2572),
    [anon_sym_restrict] = ACTIONS(2572),
    [anon_sym___restrict__] = ACTIONS(2572),
    [anon_sym__Atomic] = ACTIONS(2572),
    [anon_sym__Noreturn] = ACTIONS(2572),
    [anon_sym__Nonnull] = ACTIONS(2572),
    [anon_sym_nullable] = ACTIONS(2572),
    [anon_sym__Complex] = ACTIONS(2572),
    [anon_sym__Nullable] = ACTIONS(2572),
    [anon_sym__Nullable_result] = ACTIONS(2572),
    [anon_sym__Null_unspecified] = ACTIONS(2572),
    [anon_sym___autoreleasing] = ACTIONS(2572),
    [anon_sym___block] = ACTIONS(2572),
    [anon_sym___bridge] = ACTIONS(2572),
    [anon_sym___bridge_retained] = ACTIONS(2572),
    [anon_sym___bridge_transfer] = ACTIONS(2572),
    [anon_sym___complex] = ACTIONS(2572),
    [anon_sym___const] = ACTIONS(2572),
    [anon_sym___imag] = ACTIONS(2572),
    [anon_sym___kindof] = ACTIONS(2572),
    [anon_sym___nonnull] = ACTIONS(2572),
    [anon_sym___nullable] = ACTIONS(2572),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2572),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2572),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2572),
    [anon_sym___real] = ACTIONS(2572),
    [anon_sym___strong] = ACTIONS(2572),
    [anon_sym___unsafe_unretained] = ACTIONS(2572),
    [anon_sym___unused] = ACTIONS(2572),
    [anon_sym___weak] = ACTIONS(2572),
    [anon_sym_alignas] = ACTIONS(2572),
    [anon_sym__Alignas] = ACTIONS(2572),
    [sym_primitive_type] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_struct] = ACTIONS(2572),
    [anon_sym_union] = ACTIONS(2572),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_switch] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_default] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_do] = ACTIONS(2572),
    [anon_sym_for] = ACTIONS(2572),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_break] = ACTIONS(2572),
    [anon_sym_continue] = ACTIONS(2572),
    [anon_sym_goto] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_sizeof] = ACTIONS(2572),
    [anon_sym___alignof__] = ACTIONS(2572),
    [anon_sym___alignof] = ACTIONS(2572),
    [anon_sym__alignof] = ACTIONS(2572),
    [anon_sym_alignof] = ACTIONS(2572),
    [anon_sym__Alignof] = ACTIONS(2572),
    [anon_sym_offsetof] = ACTIONS(2572),
    [anon_sym__Generic] = ACTIONS(2572),
    [anon_sym_asm] = ACTIONS(2572),
    [anon_sym___asm__] = ACTIONS(2572),
    [anon_sym___asm] = ACTIONS(2572),
    [sym_number_literal] = ACTIONS(2574),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_AT] = ACTIONS(2572),
    [anon_sym_DQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2574),
    [anon_sym_u_DQUOTE] = ACTIONS(2574),
    [anon_sym_U_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8_DQUOTE] = ACTIONS(2574),
    [sym_true] = ACTIONS(2572),
    [sym_false] = ACTIONS(2572),
    [anon_sym_NULL] = ACTIONS(2572),
    [anon_sym_nullptr] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2572),
    [anon_sym___typeof] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(2572),
    [anon_sym_ATimport] = ACTIONS(2574),
    [aux_sym_preproc_undef_token1] = ACTIONS(2572),
    [anon_sym_POUND] = ACTIONS(2572),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2572),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2572),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2572),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2572),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2572),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2572),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2572),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2572),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2572),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2572),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2572),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2572),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2572),
    [anon_sym_API_AVAILABLE] = ACTIONS(2572),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2572),
    [anon_sym_API_DEPRECATED] = ACTIONS(2572),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2572),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2572),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2572),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2572),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2572),
    [anon_sym___deprecated_msg] = ACTIONS(2572),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2572),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2572),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2572),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2572),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2572),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2572),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2572),
    [anon_sym_ATprotocol] = ACTIONS(2574),
    [anon_sym_ATinterface] = ACTIONS(2574),
    [anon_sym_ATimplementation] = ACTIONS(2574),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2574),
    [anon_sym_ATsynthesize] = ACTIONS(2574),
    [anon_sym_ATdynamic] = ACTIONS(2574),
    [anon_sym_ATtry] = ACTIONS(2574),
    [anon_sym___try] = ACTIONS(2572),
    [anon_sym_ATthrow] = ACTIONS(2574),
    [anon_sym_ATselector] = ACTIONS(2574),
    [anon_sym_ATavailable] = ACTIONS(2574),
    [anon_sym___builtin_available] = ACTIONS(2572),
    [anon_sym_va_arg] = ACTIONS(2572),
    [anon_sym_ATencode] = ACTIONS(2574),
    [anon_sym_ATsynchronized] = ACTIONS(2574),
    [anon_sym_BOOL] = ACTIONS(2572),
    [anon_sym_IMP] = ACTIONS(2572),
    [anon_sym_SEL] = ACTIONS(2572),
    [anon_sym_Class] = ACTIONS(2572),
    [anon_sym_id] = ACTIONS(2572),
  },
  [278] = {
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_include_token1] = ACTIONS(2576),
    [aux_sym_preproc_include_token2] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token2] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [aux_sym_preproc_else_token1] = ACTIONS(2576),
    [aux_sym_preproc_elif_token1] = ACTIONS(2576),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym___attribute] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_ATautoreleasepool] = ACTIONS(2578),
    [anon_sym_auto] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_CG_EXTERN] = ACTIONS(2576),
    [anon_sym_CG_INLINE] = ACTIONS(2576),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2576),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2576),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2576),
    [anon_sym_IBOutlet] = ACTIONS(2576),
    [anon_sym_IBInspectable] = ACTIONS(2576),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2576),
    [anon_sym_NS_INLINE] = ACTIONS(2576),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2576),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2576),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2576),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym__Nonnull] = ACTIONS(2576),
    [anon_sym_nullable] = ACTIONS(2576),
    [anon_sym__Complex] = ACTIONS(2576),
    [anon_sym__Nullable] = ACTIONS(2576),
    [anon_sym__Nullable_result] = ACTIONS(2576),
    [anon_sym__Null_unspecified] = ACTIONS(2576),
    [anon_sym___autoreleasing] = ACTIONS(2576),
    [anon_sym___block] = ACTIONS(2576),
    [anon_sym___bridge] = ACTIONS(2576),
    [anon_sym___bridge_retained] = ACTIONS(2576),
    [anon_sym___bridge_transfer] = ACTIONS(2576),
    [anon_sym___complex] = ACTIONS(2576),
    [anon_sym___const] = ACTIONS(2576),
    [anon_sym___imag] = ACTIONS(2576),
    [anon_sym___kindof] = ACTIONS(2576),
    [anon_sym___nonnull] = ACTIONS(2576),
    [anon_sym___nullable] = ACTIONS(2576),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2576),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2576),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2576),
    [anon_sym___real] = ACTIONS(2576),
    [anon_sym___strong] = ACTIONS(2576),
    [anon_sym___unsafe_unretained] = ACTIONS(2576),
    [anon_sym___unused] = ACTIONS(2576),
    [anon_sym___weak] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_default] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_in] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [anon_sym___asm] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_AT] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2576),
    [anon_sym___typeof] = ACTIONS(2576),
    [anon_sym_typeof] = ACTIONS(2576),
    [anon_sym_ATimport] = ACTIONS(2578),
    [aux_sym_preproc_undef_token1] = ACTIONS(2576),
    [anon_sym_POUND] = ACTIONS(2576),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2576),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2576),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2576),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2576),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2576),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2576),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2576),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2576),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2576),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_API_AVAILABLE] = ACTIONS(2576),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_API_DEPRECATED] = ACTIONS(2576),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2576),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2576),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2576),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2576),
    [anon_sym___deprecated_msg] = ACTIONS(2576),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2576),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2576),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2576),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2576),
    [anon_sym_ATprotocol] = ACTIONS(2578),
    [anon_sym_ATinterface] = ACTIONS(2578),
    [anon_sym_ATimplementation] = ACTIONS(2578),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2578),
    [anon_sym_ATsynthesize] = ACTIONS(2578),
    [anon_sym_ATdynamic] = ACTIONS(2578),
    [anon_sym_ATtry] = ACTIONS(2578),
    [anon_sym___try] = ACTIONS(2576),
    [anon_sym_ATthrow] = ACTIONS(2578),
    [anon_sym_ATselector] = ACTIONS(2578),
    [anon_sym_ATavailable] = ACTIONS(2578),
    [anon_sym___builtin_available] = ACTIONS(2576),
    [anon_sym_va_arg] = ACTIONS(2576),
    [anon_sym_ATencode] = ACTIONS(2578),
    [anon_sym_ATsynchronized] = ACTIONS(2578),
    [anon_sym_BOOL] = ACTIONS(2576),
    [anon_sym_IMP] = ACTIONS(2576),
    [anon_sym_SEL] = ACTIONS(2576),
    [anon_sym_Class] = ACTIONS(2576),
    [anon_sym_id] = ACTIONS(2576),
  },
  [279] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_include_token2] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token2] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [aux_sym_preproc_else_token1] = ACTIONS(2580),
    [aux_sym_preproc_elif_token1] = ACTIONS(2580),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym___attribute] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_ATautoreleasepool] = ACTIONS(2582),
    [anon_sym_auto] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_CG_EXTERN] = ACTIONS(2580),
    [anon_sym_CG_INLINE] = ACTIONS(2580),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2580),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2580),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2580),
    [anon_sym_IBOutlet] = ACTIONS(2580),
    [anon_sym_IBInspectable] = ACTIONS(2580),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2580),
    [anon_sym_NS_INLINE] = ACTIONS(2580),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2580),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2580),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2580),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym__Nonnull] = ACTIONS(2580),
    [anon_sym_nullable] = ACTIONS(2580),
    [anon_sym__Complex] = ACTIONS(2580),
    [anon_sym__Nullable] = ACTIONS(2580),
    [anon_sym__Nullable_result] = ACTIONS(2580),
    [anon_sym__Null_unspecified] = ACTIONS(2580),
    [anon_sym___autoreleasing] = ACTIONS(2580),
    [anon_sym___block] = ACTIONS(2580),
    [anon_sym___bridge] = ACTIONS(2580),
    [anon_sym___bridge_retained] = ACTIONS(2580),
    [anon_sym___bridge_transfer] = ACTIONS(2580),
    [anon_sym___complex] = ACTIONS(2580),
    [anon_sym___const] = ACTIONS(2580),
    [anon_sym___imag] = ACTIONS(2580),
    [anon_sym___kindof] = ACTIONS(2580),
    [anon_sym___nonnull] = ACTIONS(2580),
    [anon_sym___nullable] = ACTIONS(2580),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2580),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2580),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2580),
    [anon_sym___real] = ACTIONS(2580),
    [anon_sym___strong] = ACTIONS(2580),
    [anon_sym___unsafe_unretained] = ACTIONS(2580),
    [anon_sym___unused] = ACTIONS(2580),
    [anon_sym___weak] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_in] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [anon_sym___asm] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_AT] = ACTIONS(2580),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2580),
    [anon_sym___typeof] = ACTIONS(2580),
    [anon_sym_typeof] = ACTIONS(2580),
    [anon_sym_ATimport] = ACTIONS(2582),
    [aux_sym_preproc_undef_token1] = ACTIONS(2580),
    [anon_sym_POUND] = ACTIONS(2580),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2580),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2580),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2580),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2580),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2580),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2580),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2580),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2580),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2580),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2580),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2580),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2580),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2580),
    [anon_sym_API_AVAILABLE] = ACTIONS(2580),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2580),
    [anon_sym_API_DEPRECATED] = ACTIONS(2580),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2580),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2580),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2580),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2580),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2580),
    [anon_sym___deprecated_msg] = ACTIONS(2580),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2580),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2580),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2580),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2580),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2580),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2580),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2580),
    [anon_sym_ATprotocol] = ACTIONS(2582),
    [anon_sym_ATinterface] = ACTIONS(2582),
    [anon_sym_ATimplementation] = ACTIONS(2582),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2582),
    [anon_sym_ATsynthesize] = ACTIONS(2582),
    [anon_sym_ATdynamic] = ACTIONS(2582),
    [anon_sym_ATtry] = ACTIONS(2582),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym_ATthrow] = ACTIONS(2582),
    [anon_sym_ATselector] = ACTIONS(2582),
    [anon_sym_ATavailable] = ACTIONS(2582),
    [anon_sym___builtin_available] = ACTIONS(2580),
    [anon_sym_va_arg] = ACTIONS(2580),
    [anon_sym_ATencode] = ACTIONS(2582),
    [anon_sym_ATsynchronized] = ACTIONS(2582),
    [anon_sym_BOOL] = ACTIONS(2580),
    [anon_sym_IMP] = ACTIONS(2580),
    [anon_sym_SEL] = ACTIONS(2580),
    [anon_sym_Class] = ACTIONS(2580),
    [anon_sym_id] = ACTIONS(2580),
  },
  [280] = {
    [sym_identifier] = ACTIONS(2584),
    [aux_sym_preproc_include_token1] = ACTIONS(2584),
    [aux_sym_preproc_include_token2] = ACTIONS(2584),
    [aux_sym_preproc_def_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token2] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2584),
    [aux_sym_preproc_else_token1] = ACTIONS(2584),
    [aux_sym_preproc_elif_token1] = ACTIONS(2584),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2584),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2584),
    [sym_preproc_directive] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2586),
    [anon_sym___extension__] = ACTIONS(2584),
    [anon_sym_typedef] = ACTIONS(2584),
    [anon_sym_extern] = ACTIONS(2584),
    [anon_sym___attribute__] = ACTIONS(2584),
    [anon_sym___attribute] = ACTIONS(2584),
    [anon_sym_noreturn] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2586),
    [anon_sym___declspec] = ACTIONS(2584),
    [anon_sym___cdecl] = ACTIONS(2584),
    [anon_sym___clrcall] = ACTIONS(2584),
    [anon_sym___stdcall] = ACTIONS(2584),
    [anon_sym___fastcall] = ACTIONS(2584),
    [anon_sym___thiscall] = ACTIONS(2584),
    [anon_sym___vectorcall] = ACTIONS(2584),
    [anon_sym_LBRACE] = ACTIONS(2586),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_ATautoreleasepool] = ACTIONS(2586),
    [anon_sym_auto] = ACTIONS(2584),
    [anon_sym_register] = ACTIONS(2584),
    [anon_sym_inline] = ACTIONS(2584),
    [anon_sym___inline] = ACTIONS(2584),
    [anon_sym___inline__] = ACTIONS(2584),
    [anon_sym___forceinline] = ACTIONS(2584),
    [anon_sym_thread_local] = ACTIONS(2584),
    [anon_sym___thread] = ACTIONS(2584),
    [anon_sym_CG_EXTERN] = ACTIONS(2584),
    [anon_sym_CG_INLINE] = ACTIONS(2584),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2584),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2584),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2584),
    [anon_sym_IBOutlet] = ACTIONS(2584),
    [anon_sym_IBInspectable] = ACTIONS(2584),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2584),
    [anon_sym_NS_INLINE] = ACTIONS(2584),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2584),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2584),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2584),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2584),
    [anon_sym_const] = ACTIONS(2584),
    [anon_sym_constexpr] = ACTIONS(2584),
    [anon_sym_volatile] = ACTIONS(2584),
    [anon_sym_restrict] = ACTIONS(2584),
    [anon_sym___restrict__] = ACTIONS(2584),
    [anon_sym__Atomic] = ACTIONS(2584),
    [anon_sym__Noreturn] = ACTIONS(2584),
    [anon_sym__Nonnull] = ACTIONS(2584),
    [anon_sym_nullable] = ACTIONS(2584),
    [anon_sym__Complex] = ACTIONS(2584),
    [anon_sym__Nullable] = ACTIONS(2584),
    [anon_sym__Nullable_result] = ACTIONS(2584),
    [anon_sym__Null_unspecified] = ACTIONS(2584),
    [anon_sym___autoreleasing] = ACTIONS(2584),
    [anon_sym___block] = ACTIONS(2584),
    [anon_sym___bridge] = ACTIONS(2584),
    [anon_sym___bridge_retained] = ACTIONS(2584),
    [anon_sym___bridge_transfer] = ACTIONS(2584),
    [anon_sym___complex] = ACTIONS(2584),
    [anon_sym___const] = ACTIONS(2584),
    [anon_sym___imag] = ACTIONS(2584),
    [anon_sym___kindof] = ACTIONS(2584),
    [anon_sym___nonnull] = ACTIONS(2584),
    [anon_sym___nullable] = ACTIONS(2584),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2584),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2584),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2584),
    [anon_sym___real] = ACTIONS(2584),
    [anon_sym___strong] = ACTIONS(2584),
    [anon_sym___unsafe_unretained] = ACTIONS(2584),
    [anon_sym___unused] = ACTIONS(2584),
    [anon_sym___weak] = ACTIONS(2584),
    [anon_sym_alignas] = ACTIONS(2584),
    [anon_sym__Alignas] = ACTIONS(2584),
    [sym_primitive_type] = ACTIONS(2584),
    [anon_sym_enum] = ACTIONS(2584),
    [anon_sym_struct] = ACTIONS(2584),
    [anon_sym_union] = ACTIONS(2584),
    [anon_sym_if] = ACTIONS(2584),
    [anon_sym_switch] = ACTIONS(2584),
    [anon_sym_case] = ACTIONS(2584),
    [anon_sym_default] = ACTIONS(2584),
    [anon_sym_while] = ACTIONS(2584),
    [anon_sym_do] = ACTIONS(2584),
    [anon_sym_for] = ACTIONS(2584),
    [anon_sym_in] = ACTIONS(2584),
    [anon_sym_return] = ACTIONS(2584),
    [anon_sym_break] = ACTIONS(2584),
    [anon_sym_continue] = ACTIONS(2584),
    [anon_sym_goto] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2584),
    [anon_sym___alignof__] = ACTIONS(2584),
    [anon_sym___alignof] = ACTIONS(2584),
    [anon_sym__alignof] = ACTIONS(2584),
    [anon_sym_alignof] = ACTIONS(2584),
    [anon_sym__Alignof] = ACTIONS(2584),
    [anon_sym_offsetof] = ACTIONS(2584),
    [anon_sym__Generic] = ACTIONS(2584),
    [anon_sym_asm] = ACTIONS(2584),
    [anon_sym___asm__] = ACTIONS(2584),
    [anon_sym___asm] = ACTIONS(2584),
    [sym_number_literal] = ACTIONS(2586),
    [anon_sym_L_SQUOTE] = ACTIONS(2586),
    [anon_sym_u_SQUOTE] = ACTIONS(2586),
    [anon_sym_U_SQUOTE] = ACTIONS(2586),
    [anon_sym_u8_SQUOTE] = ACTIONS(2586),
    [anon_sym_SQUOTE] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2584),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [anon_sym_L_DQUOTE] = ACTIONS(2586),
    [anon_sym_u_DQUOTE] = ACTIONS(2586),
    [anon_sym_U_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8_DQUOTE] = ACTIONS(2586),
    [sym_true] = ACTIONS(2584),
    [sym_false] = ACTIONS(2584),
    [anon_sym_NULL] = ACTIONS(2584),
    [anon_sym_nullptr] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2584),
    [anon_sym___typeof] = ACTIONS(2584),
    [anon_sym_typeof] = ACTIONS(2584),
    [anon_sym_ATimport] = ACTIONS(2586),
    [aux_sym_preproc_undef_token1] = ACTIONS(2584),
    [anon_sym_POUND] = ACTIONS(2584),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2584),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2584),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2584),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2584),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2584),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2584),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2584),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2584),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2584),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2584),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2584),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2584),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2584),
    [anon_sym_API_AVAILABLE] = ACTIONS(2584),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2584),
    [anon_sym_API_DEPRECATED] = ACTIONS(2584),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2584),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2584),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2584),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2584),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2584),
    [anon_sym___deprecated_msg] = ACTIONS(2584),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2584),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2584),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2584),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2584),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2584),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2584),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2584),
    [anon_sym_ATprotocol] = ACTIONS(2586),
    [anon_sym_ATinterface] = ACTIONS(2586),
    [anon_sym_ATimplementation] = ACTIONS(2586),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2586),
    [anon_sym_ATsynthesize] = ACTIONS(2586),
    [anon_sym_ATdynamic] = ACTIONS(2586),
    [anon_sym_ATtry] = ACTIONS(2586),
    [anon_sym___try] = ACTIONS(2584),
    [anon_sym_ATthrow] = ACTIONS(2586),
    [anon_sym_ATselector] = ACTIONS(2586),
    [anon_sym_ATavailable] = ACTIONS(2586),
    [anon_sym___builtin_available] = ACTIONS(2584),
    [anon_sym_va_arg] = ACTIONS(2584),
    [anon_sym_ATencode] = ACTIONS(2586),
    [anon_sym_ATsynchronized] = ACTIONS(2586),
    [anon_sym_BOOL] = ACTIONS(2584),
    [anon_sym_IMP] = ACTIONS(2584),
    [anon_sym_SEL] = ACTIONS(2584),
    [anon_sym_Class] = ACTIONS(2584),
    [anon_sym_id] = ACTIONS(2584),
  },
  [281] = {
    [sym_identifier] = ACTIONS(2588),
    [aux_sym_preproc_include_token1] = ACTIONS(2588),
    [aux_sym_preproc_include_token2] = ACTIONS(2588),
    [aux_sym_preproc_def_token1] = ACTIONS(2588),
    [aux_sym_preproc_if_token1] = ACTIONS(2588),
    [aux_sym_preproc_if_token2] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2588),
    [aux_sym_preproc_else_token1] = ACTIONS(2588),
    [aux_sym_preproc_elif_token1] = ACTIONS(2588),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2588),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2588),
    [sym_preproc_directive] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2590),
    [anon_sym_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2590),
    [anon_sym___extension__] = ACTIONS(2588),
    [anon_sym_typedef] = ACTIONS(2588),
    [anon_sym_extern] = ACTIONS(2588),
    [anon_sym___attribute__] = ACTIONS(2588),
    [anon_sym___attribute] = ACTIONS(2588),
    [anon_sym_noreturn] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym___declspec] = ACTIONS(2588),
    [anon_sym___cdecl] = ACTIONS(2588),
    [anon_sym___clrcall] = ACTIONS(2588),
    [anon_sym___stdcall] = ACTIONS(2588),
    [anon_sym___fastcall] = ACTIONS(2588),
    [anon_sym___thiscall] = ACTIONS(2588),
    [anon_sym___vectorcall] = ACTIONS(2588),
    [anon_sym_LBRACE] = ACTIONS(2590),
    [anon_sym_signed] = ACTIONS(2588),
    [anon_sym_unsigned] = ACTIONS(2588),
    [anon_sym_long] = ACTIONS(2588),
    [anon_sym_short] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_ATautoreleasepool] = ACTIONS(2590),
    [anon_sym_auto] = ACTIONS(2588),
    [anon_sym_register] = ACTIONS(2588),
    [anon_sym_inline] = ACTIONS(2588),
    [anon_sym___inline] = ACTIONS(2588),
    [anon_sym___inline__] = ACTIONS(2588),
    [anon_sym___forceinline] = ACTIONS(2588),
    [anon_sym_thread_local] = ACTIONS(2588),
    [anon_sym___thread] = ACTIONS(2588),
    [anon_sym_CG_EXTERN] = ACTIONS(2588),
    [anon_sym_CG_INLINE] = ACTIONS(2588),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2588),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2588),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2588),
    [anon_sym_IBOutlet] = ACTIONS(2588),
    [anon_sym_IBInspectable] = ACTIONS(2588),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2588),
    [anon_sym_NS_INLINE] = ACTIONS(2588),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2588),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2588),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2588),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2588),
    [anon_sym_const] = ACTIONS(2588),
    [anon_sym_constexpr] = ACTIONS(2588),
    [anon_sym_volatile] = ACTIONS(2588),
    [anon_sym_restrict] = ACTIONS(2588),
    [anon_sym___restrict__] = ACTIONS(2588),
    [anon_sym__Atomic] = ACTIONS(2588),
    [anon_sym__Noreturn] = ACTIONS(2588),
    [anon_sym__Nonnull] = ACTIONS(2588),
    [anon_sym_nullable] = ACTIONS(2588),
    [anon_sym__Complex] = ACTIONS(2588),
    [anon_sym__Nullable] = ACTIONS(2588),
    [anon_sym__Nullable_result] = ACTIONS(2588),
    [anon_sym__Null_unspecified] = ACTIONS(2588),
    [anon_sym___autoreleasing] = ACTIONS(2588),
    [anon_sym___block] = ACTIONS(2588),
    [anon_sym___bridge] = ACTIONS(2588),
    [anon_sym___bridge_retained] = ACTIONS(2588),
    [anon_sym___bridge_transfer] = ACTIONS(2588),
    [anon_sym___complex] = ACTIONS(2588),
    [anon_sym___const] = ACTIONS(2588),
    [anon_sym___imag] = ACTIONS(2588),
    [anon_sym___kindof] = ACTIONS(2588),
    [anon_sym___nonnull] = ACTIONS(2588),
    [anon_sym___nullable] = ACTIONS(2588),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2588),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2588),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2588),
    [anon_sym___real] = ACTIONS(2588),
    [anon_sym___strong] = ACTIONS(2588),
    [anon_sym___unsafe_unretained] = ACTIONS(2588),
    [anon_sym___unused] = ACTIONS(2588),
    [anon_sym___weak] = ACTIONS(2588),
    [anon_sym_alignas] = ACTIONS(2588),
    [anon_sym__Alignas] = ACTIONS(2588),
    [sym_primitive_type] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_struct] = ACTIONS(2588),
    [anon_sym_union] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2588),
    [anon_sym_switch] = ACTIONS(2588),
    [anon_sym_case] = ACTIONS(2588),
    [anon_sym_default] = ACTIONS(2588),
    [anon_sym_while] = ACTIONS(2588),
    [anon_sym_do] = ACTIONS(2588),
    [anon_sym_for] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2588),
    [anon_sym_return] = ACTIONS(2588),
    [anon_sym_break] = ACTIONS(2588),
    [anon_sym_continue] = ACTIONS(2588),
    [anon_sym_goto] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2590),
    [anon_sym_sizeof] = ACTIONS(2588),
    [anon_sym___alignof__] = ACTIONS(2588),
    [anon_sym___alignof] = ACTIONS(2588),
    [anon_sym__alignof] = ACTIONS(2588),
    [anon_sym_alignof] = ACTIONS(2588),
    [anon_sym__Alignof] = ACTIONS(2588),
    [anon_sym_offsetof] = ACTIONS(2588),
    [anon_sym__Generic] = ACTIONS(2588),
    [anon_sym_asm] = ACTIONS(2588),
    [anon_sym___asm__] = ACTIONS(2588),
    [anon_sym___asm] = ACTIONS(2588),
    [sym_number_literal] = ACTIONS(2590),
    [anon_sym_L_SQUOTE] = ACTIONS(2590),
    [anon_sym_u_SQUOTE] = ACTIONS(2590),
    [anon_sym_U_SQUOTE] = ACTIONS(2590),
    [anon_sym_u8_SQUOTE] = ACTIONS(2590),
    [anon_sym_SQUOTE] = ACTIONS(2590),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2590),
    [anon_sym_L_DQUOTE] = ACTIONS(2590),
    [anon_sym_u_DQUOTE] = ACTIONS(2590),
    [anon_sym_U_DQUOTE] = ACTIONS(2590),
    [anon_sym_u8_DQUOTE] = ACTIONS(2590),
    [sym_true] = ACTIONS(2588),
    [sym_false] = ACTIONS(2588),
    [anon_sym_NULL] = ACTIONS(2588),
    [anon_sym_nullptr] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2588),
    [anon_sym___typeof] = ACTIONS(2588),
    [anon_sym_typeof] = ACTIONS(2588),
    [anon_sym_ATimport] = ACTIONS(2590),
    [aux_sym_preproc_undef_token1] = ACTIONS(2588),
    [anon_sym_POUND] = ACTIONS(2588),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2588),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2588),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2588),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2588),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2588),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2588),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2588),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2588),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2588),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2588),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2588),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2588),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2588),
    [anon_sym_API_AVAILABLE] = ACTIONS(2588),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2588),
    [anon_sym_API_DEPRECATED] = ACTIONS(2588),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2588),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2588),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2588),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2588),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2588),
    [anon_sym___deprecated_msg] = ACTIONS(2588),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2588),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2588),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2588),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2588),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2588),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2588),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2588),
    [anon_sym_ATprotocol] = ACTIONS(2590),
    [anon_sym_ATinterface] = ACTIONS(2590),
    [anon_sym_ATimplementation] = ACTIONS(2590),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2590),
    [anon_sym_ATsynthesize] = ACTIONS(2590),
    [anon_sym_ATdynamic] = ACTIONS(2590),
    [anon_sym_ATtry] = ACTIONS(2590),
    [anon_sym___try] = ACTIONS(2588),
    [anon_sym_ATthrow] = ACTIONS(2590),
    [anon_sym_ATselector] = ACTIONS(2590),
    [anon_sym_ATavailable] = ACTIONS(2590),
    [anon_sym___builtin_available] = ACTIONS(2588),
    [anon_sym_va_arg] = ACTIONS(2588),
    [anon_sym_ATencode] = ACTIONS(2590),
    [anon_sym_ATsynchronized] = ACTIONS(2590),
    [anon_sym_BOOL] = ACTIONS(2588),
    [anon_sym_IMP] = ACTIONS(2588),
    [anon_sym_SEL] = ACTIONS(2588),
    [anon_sym_Class] = ACTIONS(2588),
    [anon_sym_id] = ACTIONS(2588),
  },
  [282] = {
    [sym_identifier] = ACTIONS(2592),
    [aux_sym_preproc_include_token1] = ACTIONS(2592),
    [aux_sym_preproc_include_token2] = ACTIONS(2592),
    [aux_sym_preproc_def_token1] = ACTIONS(2592),
    [aux_sym_preproc_if_token1] = ACTIONS(2592),
    [aux_sym_preproc_if_token2] = ACTIONS(2592),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2592),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2592),
    [aux_sym_preproc_else_token1] = ACTIONS(2592),
    [aux_sym_preproc_elif_token1] = ACTIONS(2592),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2592),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2592),
    [sym_preproc_directive] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2594),
    [anon_sym_BANG] = ACTIONS(2594),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_CARET] = ACTIONS(2594),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_SEMI] = ACTIONS(2594),
    [anon_sym___extension__] = ACTIONS(2592),
    [anon_sym_typedef] = ACTIONS(2592),
    [anon_sym_extern] = ACTIONS(2592),
    [anon_sym___attribute__] = ACTIONS(2592),
    [anon_sym___attribute] = ACTIONS(2592),
    [anon_sym_noreturn] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2594),
    [anon_sym___declspec] = ACTIONS(2592),
    [anon_sym___cdecl] = ACTIONS(2592),
    [anon_sym___clrcall] = ACTIONS(2592),
    [anon_sym___stdcall] = ACTIONS(2592),
    [anon_sym___fastcall] = ACTIONS(2592),
    [anon_sym___thiscall] = ACTIONS(2592),
    [anon_sym___vectorcall] = ACTIONS(2592),
    [anon_sym_LBRACE] = ACTIONS(2594),
    [anon_sym_signed] = ACTIONS(2592),
    [anon_sym_unsigned] = ACTIONS(2592),
    [anon_sym_long] = ACTIONS(2592),
    [anon_sym_short] = ACTIONS(2592),
    [anon_sym_static] = ACTIONS(2592),
    [anon_sym_ATautoreleasepool] = ACTIONS(2594),
    [anon_sym_auto] = ACTIONS(2592),
    [anon_sym_register] = ACTIONS(2592),
    [anon_sym_inline] = ACTIONS(2592),
    [anon_sym___inline] = ACTIONS(2592),
    [anon_sym___inline__] = ACTIONS(2592),
    [anon_sym___forceinline] = ACTIONS(2592),
    [anon_sym_thread_local] = ACTIONS(2592),
    [anon_sym___thread] = ACTIONS(2592),
    [anon_sym_CG_EXTERN] = ACTIONS(2592),
    [anon_sym_CG_INLINE] = ACTIONS(2592),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2592),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2592),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2592),
    [anon_sym_IBOutlet] = ACTIONS(2592),
    [anon_sym_IBInspectable] = ACTIONS(2592),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2592),
    [anon_sym_NS_INLINE] = ACTIONS(2592),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2592),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2592),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2592),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2592),
    [anon_sym_const] = ACTIONS(2592),
    [anon_sym_constexpr] = ACTIONS(2592),
    [anon_sym_volatile] = ACTIONS(2592),
    [anon_sym_restrict] = ACTIONS(2592),
    [anon_sym___restrict__] = ACTIONS(2592),
    [anon_sym__Atomic] = ACTIONS(2592),
    [anon_sym__Noreturn] = ACTIONS(2592),
    [anon_sym__Nonnull] = ACTIONS(2592),
    [anon_sym_nullable] = ACTIONS(2592),
    [anon_sym__Complex] = ACTIONS(2592),
    [anon_sym__Nullable] = ACTIONS(2592),
    [anon_sym__Nullable_result] = ACTIONS(2592),
    [anon_sym__Null_unspecified] = ACTIONS(2592),
    [anon_sym___autoreleasing] = ACTIONS(2592),
    [anon_sym___block] = ACTIONS(2592),
    [anon_sym___bridge] = ACTIONS(2592),
    [anon_sym___bridge_retained] = ACTIONS(2592),
    [anon_sym___bridge_transfer] = ACTIONS(2592),
    [anon_sym___complex] = ACTIONS(2592),
    [anon_sym___const] = ACTIONS(2592),
    [anon_sym___imag] = ACTIONS(2592),
    [anon_sym___kindof] = ACTIONS(2592),
    [anon_sym___nonnull] = ACTIONS(2592),
    [anon_sym___nullable] = ACTIONS(2592),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2592),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2592),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2592),
    [anon_sym___real] = ACTIONS(2592),
    [anon_sym___strong] = ACTIONS(2592),
    [anon_sym___unsafe_unretained] = ACTIONS(2592),
    [anon_sym___unused] = ACTIONS(2592),
    [anon_sym___weak] = ACTIONS(2592),
    [anon_sym_alignas] = ACTIONS(2592),
    [anon_sym__Alignas] = ACTIONS(2592),
    [sym_primitive_type] = ACTIONS(2592),
    [anon_sym_enum] = ACTIONS(2592),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2592),
    [anon_sym_if] = ACTIONS(2592),
    [anon_sym_switch] = ACTIONS(2592),
    [anon_sym_case] = ACTIONS(2592),
    [anon_sym_default] = ACTIONS(2592),
    [anon_sym_while] = ACTIONS(2592),
    [anon_sym_do] = ACTIONS(2592),
    [anon_sym_for] = ACTIONS(2592),
    [anon_sym_in] = ACTIONS(2592),
    [anon_sym_return] = ACTIONS(2592),
    [anon_sym_break] = ACTIONS(2592),
    [anon_sym_continue] = ACTIONS(2592),
    [anon_sym_goto] = ACTIONS(2592),
    [anon_sym_DASH_DASH] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2594),
    [anon_sym_sizeof] = ACTIONS(2592),
    [anon_sym___alignof__] = ACTIONS(2592),
    [anon_sym___alignof] = ACTIONS(2592),
    [anon_sym__alignof] = ACTIONS(2592),
    [anon_sym_alignof] = ACTIONS(2592),
    [anon_sym__Alignof] = ACTIONS(2592),
    [anon_sym_offsetof] = ACTIONS(2592),
    [anon_sym__Generic] = ACTIONS(2592),
    [anon_sym_asm] = ACTIONS(2592),
    [anon_sym___asm__] = ACTIONS(2592),
    [anon_sym___asm] = ACTIONS(2592),
    [sym_number_literal] = ACTIONS(2594),
    [anon_sym_L_SQUOTE] = ACTIONS(2594),
    [anon_sym_u_SQUOTE] = ACTIONS(2594),
    [anon_sym_U_SQUOTE] = ACTIONS(2594),
    [anon_sym_u8_SQUOTE] = ACTIONS(2594),
    [anon_sym_SQUOTE] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2592),
    [anon_sym_DQUOTE] = ACTIONS(2594),
    [anon_sym_L_DQUOTE] = ACTIONS(2594),
    [anon_sym_u_DQUOTE] = ACTIONS(2594),
    [anon_sym_U_DQUOTE] = ACTIONS(2594),
    [anon_sym_u8_DQUOTE] = ACTIONS(2594),
    [sym_true] = ACTIONS(2592),
    [sym_false] = ACTIONS(2592),
    [anon_sym_NULL] = ACTIONS(2592),
    [anon_sym_nullptr] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2592),
    [anon_sym___typeof] = ACTIONS(2592),
    [anon_sym_typeof] = ACTIONS(2592),
    [anon_sym_ATimport] = ACTIONS(2594),
    [aux_sym_preproc_undef_token1] = ACTIONS(2592),
    [anon_sym_POUND] = ACTIONS(2592),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2592),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2592),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2592),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2592),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2592),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2592),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2592),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2592),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2592),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2592),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2592),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2592),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2592),
    [anon_sym_API_AVAILABLE] = ACTIONS(2592),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2592),
    [anon_sym_API_DEPRECATED] = ACTIONS(2592),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2592),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2592),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2592),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2592),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2592),
    [anon_sym___deprecated_msg] = ACTIONS(2592),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2592),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2592),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2592),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2592),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2592),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2592),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2592),
    [anon_sym_ATprotocol] = ACTIONS(2594),
    [anon_sym_ATinterface] = ACTIONS(2594),
    [anon_sym_ATimplementation] = ACTIONS(2594),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2594),
    [anon_sym_ATsynthesize] = ACTIONS(2594),
    [anon_sym_ATdynamic] = ACTIONS(2594),
    [anon_sym_ATtry] = ACTIONS(2594),
    [anon_sym___try] = ACTIONS(2592),
    [anon_sym_ATthrow] = ACTIONS(2594),
    [anon_sym_ATselector] = ACTIONS(2594),
    [anon_sym_ATavailable] = ACTIONS(2594),
    [anon_sym___builtin_available] = ACTIONS(2592),
    [anon_sym_va_arg] = ACTIONS(2592),
    [anon_sym_ATencode] = ACTIONS(2594),
    [anon_sym_ATsynchronized] = ACTIONS(2594),
    [anon_sym_BOOL] = ACTIONS(2592),
    [anon_sym_IMP] = ACTIONS(2592),
    [anon_sym_SEL] = ACTIONS(2592),
    [anon_sym_Class] = ACTIONS(2592),
    [anon_sym_id] = ACTIONS(2592),
  },
  [283] = {
    [sym_identifier] = ACTIONS(2596),
    [aux_sym_preproc_include_token1] = ACTIONS(2596),
    [aux_sym_preproc_include_token2] = ACTIONS(2596),
    [aux_sym_preproc_def_token1] = ACTIONS(2596),
    [aux_sym_preproc_if_token1] = ACTIONS(2596),
    [aux_sym_preproc_if_token2] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2596),
    [aux_sym_preproc_else_token1] = ACTIONS(2596),
    [aux_sym_preproc_elif_token1] = ACTIONS(2596),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2596),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2596),
    [sym_preproc_directive] = ACTIONS(2596),
    [anon_sym_LPAREN2] = ACTIONS(2598),
    [anon_sym_BANG] = ACTIONS(2598),
    [anon_sym_TILDE] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_CARET] = ACTIONS(2598),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_SEMI] = ACTIONS(2598),
    [anon_sym___extension__] = ACTIONS(2596),
    [anon_sym_typedef] = ACTIONS(2596),
    [anon_sym_extern] = ACTIONS(2596),
    [anon_sym___attribute__] = ACTIONS(2596),
    [anon_sym___attribute] = ACTIONS(2596),
    [anon_sym_noreturn] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2598),
    [anon_sym___declspec] = ACTIONS(2596),
    [anon_sym___cdecl] = ACTIONS(2596),
    [anon_sym___clrcall] = ACTIONS(2596),
    [anon_sym___stdcall] = ACTIONS(2596),
    [anon_sym___fastcall] = ACTIONS(2596),
    [anon_sym___thiscall] = ACTIONS(2596),
    [anon_sym___vectorcall] = ACTIONS(2596),
    [anon_sym_LBRACE] = ACTIONS(2598),
    [anon_sym_signed] = ACTIONS(2596),
    [anon_sym_unsigned] = ACTIONS(2596),
    [anon_sym_long] = ACTIONS(2596),
    [anon_sym_short] = ACTIONS(2596),
    [anon_sym_static] = ACTIONS(2596),
    [anon_sym_ATautoreleasepool] = ACTIONS(2598),
    [anon_sym_auto] = ACTIONS(2596),
    [anon_sym_register] = ACTIONS(2596),
    [anon_sym_inline] = ACTIONS(2596),
    [anon_sym___inline] = ACTIONS(2596),
    [anon_sym___inline__] = ACTIONS(2596),
    [anon_sym___forceinline] = ACTIONS(2596),
    [anon_sym_thread_local] = ACTIONS(2596),
    [anon_sym___thread] = ACTIONS(2596),
    [anon_sym_CG_EXTERN] = ACTIONS(2596),
    [anon_sym_CG_INLINE] = ACTIONS(2596),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2596),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2596),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2596),
    [anon_sym_IBOutlet] = ACTIONS(2596),
    [anon_sym_IBInspectable] = ACTIONS(2596),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2596),
    [anon_sym_NS_INLINE] = ACTIONS(2596),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2596),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2596),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2596),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2596),
    [anon_sym_const] = ACTIONS(2596),
    [anon_sym_constexpr] = ACTIONS(2596),
    [anon_sym_volatile] = ACTIONS(2596),
    [anon_sym_restrict] = ACTIONS(2596),
    [anon_sym___restrict__] = ACTIONS(2596),
    [anon_sym__Atomic] = ACTIONS(2596),
    [anon_sym__Noreturn] = ACTIONS(2596),
    [anon_sym__Nonnull] = ACTIONS(2596),
    [anon_sym_nullable] = ACTIONS(2596),
    [anon_sym__Complex] = ACTIONS(2596),
    [anon_sym__Nullable] = ACTIONS(2596),
    [anon_sym__Nullable_result] = ACTIONS(2596),
    [anon_sym__Null_unspecified] = ACTIONS(2596),
    [anon_sym___autoreleasing] = ACTIONS(2596),
    [anon_sym___block] = ACTIONS(2596),
    [anon_sym___bridge] = ACTIONS(2596),
    [anon_sym___bridge_retained] = ACTIONS(2596),
    [anon_sym___bridge_transfer] = ACTIONS(2596),
    [anon_sym___complex] = ACTIONS(2596),
    [anon_sym___const] = ACTIONS(2596),
    [anon_sym___imag] = ACTIONS(2596),
    [anon_sym___kindof] = ACTIONS(2596),
    [anon_sym___nonnull] = ACTIONS(2596),
    [anon_sym___nullable] = ACTIONS(2596),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2596),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2596),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2596),
    [anon_sym___real] = ACTIONS(2596),
    [anon_sym___strong] = ACTIONS(2596),
    [anon_sym___unsafe_unretained] = ACTIONS(2596),
    [anon_sym___unused] = ACTIONS(2596),
    [anon_sym___weak] = ACTIONS(2596),
    [anon_sym_alignas] = ACTIONS(2596),
    [anon_sym__Alignas] = ACTIONS(2596),
    [sym_primitive_type] = ACTIONS(2596),
    [anon_sym_enum] = ACTIONS(2596),
    [anon_sym_struct] = ACTIONS(2596),
    [anon_sym_union] = ACTIONS(2596),
    [anon_sym_if] = ACTIONS(2596),
    [anon_sym_switch] = ACTIONS(2596),
    [anon_sym_case] = ACTIONS(2596),
    [anon_sym_default] = ACTIONS(2596),
    [anon_sym_while] = ACTIONS(2596),
    [anon_sym_do] = ACTIONS(2596),
    [anon_sym_for] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2596),
    [anon_sym_return] = ACTIONS(2596),
    [anon_sym_break] = ACTIONS(2596),
    [anon_sym_continue] = ACTIONS(2596),
    [anon_sym_goto] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2598),
    [anon_sym_PLUS_PLUS] = ACTIONS(2598),
    [anon_sym_sizeof] = ACTIONS(2596),
    [anon_sym___alignof__] = ACTIONS(2596),
    [anon_sym___alignof] = ACTIONS(2596),
    [anon_sym__alignof] = ACTIONS(2596),
    [anon_sym_alignof] = ACTIONS(2596),
    [anon_sym__Alignof] = ACTIONS(2596),
    [anon_sym_offsetof] = ACTIONS(2596),
    [anon_sym__Generic] = ACTIONS(2596),
    [anon_sym_asm] = ACTIONS(2596),
    [anon_sym___asm__] = ACTIONS(2596),
    [anon_sym___asm] = ACTIONS(2596),
    [sym_number_literal] = ACTIONS(2598),
    [anon_sym_L_SQUOTE] = ACTIONS(2598),
    [anon_sym_u_SQUOTE] = ACTIONS(2598),
    [anon_sym_U_SQUOTE] = ACTIONS(2598),
    [anon_sym_u8_SQUOTE] = ACTIONS(2598),
    [anon_sym_SQUOTE] = ACTIONS(2598),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_DQUOTE] = ACTIONS(2598),
    [anon_sym_L_DQUOTE] = ACTIONS(2598),
    [anon_sym_u_DQUOTE] = ACTIONS(2598),
    [anon_sym_U_DQUOTE] = ACTIONS(2598),
    [anon_sym_u8_DQUOTE] = ACTIONS(2598),
    [sym_true] = ACTIONS(2596),
    [sym_false] = ACTIONS(2596),
    [anon_sym_NULL] = ACTIONS(2596),
    [anon_sym_nullptr] = ACTIONS(2596),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2596),
    [anon_sym___typeof] = ACTIONS(2596),
    [anon_sym_typeof] = ACTIONS(2596),
    [anon_sym_ATimport] = ACTIONS(2598),
    [aux_sym_preproc_undef_token1] = ACTIONS(2596),
    [anon_sym_POUND] = ACTIONS(2596),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2596),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2596),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2596),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2596),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2596),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2596),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2596),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2596),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2596),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2596),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2596),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2596),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2596),
    [anon_sym_API_AVAILABLE] = ACTIONS(2596),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2596),
    [anon_sym_API_DEPRECATED] = ACTIONS(2596),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2596),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2596),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2596),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2596),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2596),
    [anon_sym___deprecated_msg] = ACTIONS(2596),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2596),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2596),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2596),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2596),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2596),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2596),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2596),
    [anon_sym_ATprotocol] = ACTIONS(2598),
    [anon_sym_ATinterface] = ACTIONS(2598),
    [anon_sym_ATimplementation] = ACTIONS(2598),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2598),
    [anon_sym_ATsynthesize] = ACTIONS(2598),
    [anon_sym_ATdynamic] = ACTIONS(2598),
    [anon_sym_ATtry] = ACTIONS(2598),
    [anon_sym___try] = ACTIONS(2596),
    [anon_sym_ATthrow] = ACTIONS(2598),
    [anon_sym_ATselector] = ACTIONS(2598),
    [anon_sym_ATavailable] = ACTIONS(2598),
    [anon_sym___builtin_available] = ACTIONS(2596),
    [anon_sym_va_arg] = ACTIONS(2596),
    [anon_sym_ATencode] = ACTIONS(2598),
    [anon_sym_ATsynchronized] = ACTIONS(2598),
    [anon_sym_BOOL] = ACTIONS(2596),
    [anon_sym_IMP] = ACTIONS(2596),
    [anon_sym_SEL] = ACTIONS(2596),
    [anon_sym_Class] = ACTIONS(2596),
    [anon_sym_id] = ACTIONS(2596),
  },
  [284] = {
    [sym_identifier] = ACTIONS(2600),
    [aux_sym_preproc_include_token1] = ACTIONS(2600),
    [aux_sym_preproc_include_token2] = ACTIONS(2600),
    [aux_sym_preproc_def_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token2] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2600),
    [aux_sym_preproc_else_token1] = ACTIONS(2600),
    [aux_sym_preproc_elif_token1] = ACTIONS(2600),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2600),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2600),
    [sym_preproc_directive] = ACTIONS(2600),
    [anon_sym_LPAREN2] = ACTIONS(2602),
    [anon_sym_BANG] = ACTIONS(2602),
    [anon_sym_TILDE] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_CARET] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2602),
    [anon_sym_SEMI] = ACTIONS(2602),
    [anon_sym___extension__] = ACTIONS(2600),
    [anon_sym_typedef] = ACTIONS(2600),
    [anon_sym_extern] = ACTIONS(2600),
    [anon_sym___attribute__] = ACTIONS(2600),
    [anon_sym___attribute] = ACTIONS(2600),
    [anon_sym_noreturn] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2602),
    [anon_sym___declspec] = ACTIONS(2600),
    [anon_sym___cdecl] = ACTIONS(2600),
    [anon_sym___clrcall] = ACTIONS(2600),
    [anon_sym___stdcall] = ACTIONS(2600),
    [anon_sym___fastcall] = ACTIONS(2600),
    [anon_sym___thiscall] = ACTIONS(2600),
    [anon_sym___vectorcall] = ACTIONS(2600),
    [anon_sym_LBRACE] = ACTIONS(2602),
    [anon_sym_signed] = ACTIONS(2600),
    [anon_sym_unsigned] = ACTIONS(2600),
    [anon_sym_long] = ACTIONS(2600),
    [anon_sym_short] = ACTIONS(2600),
    [anon_sym_static] = ACTIONS(2600),
    [anon_sym_ATautoreleasepool] = ACTIONS(2602),
    [anon_sym_auto] = ACTIONS(2600),
    [anon_sym_register] = ACTIONS(2600),
    [anon_sym_inline] = ACTIONS(2600),
    [anon_sym___inline] = ACTIONS(2600),
    [anon_sym___inline__] = ACTIONS(2600),
    [anon_sym___forceinline] = ACTIONS(2600),
    [anon_sym_thread_local] = ACTIONS(2600),
    [anon_sym___thread] = ACTIONS(2600),
    [anon_sym_CG_EXTERN] = ACTIONS(2600),
    [anon_sym_CG_INLINE] = ACTIONS(2600),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2600),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2600),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2600),
    [anon_sym_IBOutlet] = ACTIONS(2600),
    [anon_sym_IBInspectable] = ACTIONS(2600),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2600),
    [anon_sym_NS_INLINE] = ACTIONS(2600),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2600),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2600),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2600),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2600),
    [anon_sym_const] = ACTIONS(2600),
    [anon_sym_constexpr] = ACTIONS(2600),
    [anon_sym_volatile] = ACTIONS(2600),
    [anon_sym_restrict] = ACTIONS(2600),
    [anon_sym___restrict__] = ACTIONS(2600),
    [anon_sym__Atomic] = ACTIONS(2600),
    [anon_sym__Noreturn] = ACTIONS(2600),
    [anon_sym__Nonnull] = ACTIONS(2600),
    [anon_sym_nullable] = ACTIONS(2600),
    [anon_sym__Complex] = ACTIONS(2600),
    [anon_sym__Nullable] = ACTIONS(2600),
    [anon_sym__Nullable_result] = ACTIONS(2600),
    [anon_sym__Null_unspecified] = ACTIONS(2600),
    [anon_sym___autoreleasing] = ACTIONS(2600),
    [anon_sym___block] = ACTIONS(2600),
    [anon_sym___bridge] = ACTIONS(2600),
    [anon_sym___bridge_retained] = ACTIONS(2600),
    [anon_sym___bridge_transfer] = ACTIONS(2600),
    [anon_sym___complex] = ACTIONS(2600),
    [anon_sym___const] = ACTIONS(2600),
    [anon_sym___imag] = ACTIONS(2600),
    [anon_sym___kindof] = ACTIONS(2600),
    [anon_sym___nonnull] = ACTIONS(2600),
    [anon_sym___nullable] = ACTIONS(2600),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2600),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2600),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2600),
    [anon_sym___real] = ACTIONS(2600),
    [anon_sym___strong] = ACTIONS(2600),
    [anon_sym___unsafe_unretained] = ACTIONS(2600),
    [anon_sym___unused] = ACTIONS(2600),
    [anon_sym___weak] = ACTIONS(2600),
    [anon_sym_alignas] = ACTIONS(2600),
    [anon_sym__Alignas] = ACTIONS(2600),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2600),
    [anon_sym_struct] = ACTIONS(2600),
    [anon_sym_union] = ACTIONS(2600),
    [anon_sym_if] = ACTIONS(2600),
    [anon_sym_switch] = ACTIONS(2600),
    [anon_sym_case] = ACTIONS(2600),
    [anon_sym_default] = ACTIONS(2600),
    [anon_sym_while] = ACTIONS(2600),
    [anon_sym_do] = ACTIONS(2600),
    [anon_sym_for] = ACTIONS(2600),
    [anon_sym_in] = ACTIONS(2600),
    [anon_sym_return] = ACTIONS(2600),
    [anon_sym_break] = ACTIONS(2600),
    [anon_sym_continue] = ACTIONS(2600),
    [anon_sym_goto] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2602),
    [anon_sym_PLUS_PLUS] = ACTIONS(2602),
    [anon_sym_sizeof] = ACTIONS(2600),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2600),
    [anon_sym__Generic] = ACTIONS(2600),
    [anon_sym_asm] = ACTIONS(2600),
    [anon_sym___asm__] = ACTIONS(2600),
    [anon_sym___asm] = ACTIONS(2600),
    [sym_number_literal] = ACTIONS(2602),
    [anon_sym_L_SQUOTE] = ACTIONS(2602),
    [anon_sym_u_SQUOTE] = ACTIONS(2602),
    [anon_sym_U_SQUOTE] = ACTIONS(2602),
    [anon_sym_u8_SQUOTE] = ACTIONS(2602),
    [anon_sym_SQUOTE] = ACTIONS(2602),
    [anon_sym_AT] = ACTIONS(2600),
    [anon_sym_DQUOTE] = ACTIONS(2602),
    [anon_sym_L_DQUOTE] = ACTIONS(2602),
    [anon_sym_u_DQUOTE] = ACTIONS(2602),
    [anon_sym_U_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8_DQUOTE] = ACTIONS(2602),
    [sym_true] = ACTIONS(2600),
    [sym_false] = ACTIONS(2600),
    [anon_sym_NULL] = ACTIONS(2600),
    [anon_sym_nullptr] = ACTIONS(2600),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2600),
    [anon_sym___typeof] = ACTIONS(2600),
    [anon_sym_typeof] = ACTIONS(2600),
    [anon_sym_ATimport] = ACTIONS(2602),
    [aux_sym_preproc_undef_token1] = ACTIONS(2600),
    [anon_sym_POUND] = ACTIONS(2600),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2600),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2600),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2600),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2600),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2600),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2600),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2600),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2600),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2600),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2600),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2600),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2600),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2600),
    [anon_sym_API_AVAILABLE] = ACTIONS(2600),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2600),
    [anon_sym_API_DEPRECATED] = ACTIONS(2600),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2600),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2600),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2600),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2600),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2600),
    [anon_sym___deprecated_msg] = ACTIONS(2600),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2600),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2600),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2600),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2600),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2600),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2600),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2600),
    [anon_sym_ATprotocol] = ACTIONS(2602),
    [anon_sym_ATinterface] = ACTIONS(2602),
    [anon_sym_ATimplementation] = ACTIONS(2602),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2602),
    [anon_sym_ATsynthesize] = ACTIONS(2602),
    [anon_sym_ATdynamic] = ACTIONS(2602),
    [anon_sym_ATtry] = ACTIONS(2602),
    [anon_sym___try] = ACTIONS(2600),
    [anon_sym_ATthrow] = ACTIONS(2602),
    [anon_sym_ATselector] = ACTIONS(2602),
    [anon_sym_ATavailable] = ACTIONS(2602),
    [anon_sym___builtin_available] = ACTIONS(2600),
    [anon_sym_va_arg] = ACTIONS(2600),
    [anon_sym_ATencode] = ACTIONS(2602),
    [anon_sym_ATsynchronized] = ACTIONS(2602),
    [anon_sym_BOOL] = ACTIONS(2600),
    [anon_sym_IMP] = ACTIONS(2600),
    [anon_sym_SEL] = ACTIONS(2600),
    [anon_sym_Class] = ACTIONS(2600),
    [anon_sym_id] = ACTIONS(2600),
  },
  [285] = {
    [sym_identifier] = ACTIONS(2604),
    [aux_sym_preproc_include_token1] = ACTIONS(2604),
    [aux_sym_preproc_include_token2] = ACTIONS(2604),
    [aux_sym_preproc_def_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token2] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2604),
    [aux_sym_preproc_else_token1] = ACTIONS(2604),
    [aux_sym_preproc_elif_token1] = ACTIONS(2604),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2604),
    [sym_preproc_directive] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2606),
    [anon_sym_BANG] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_DASH] = ACTIONS(2604),
    [anon_sym_PLUS] = ACTIONS(2604),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2606),
    [anon_sym_SEMI] = ACTIONS(2606),
    [anon_sym___extension__] = ACTIONS(2604),
    [anon_sym_typedef] = ACTIONS(2604),
    [anon_sym_extern] = ACTIONS(2604),
    [anon_sym___attribute__] = ACTIONS(2604),
    [anon_sym___attribute] = ACTIONS(2604),
    [anon_sym_noreturn] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2606),
    [anon_sym___declspec] = ACTIONS(2604),
    [anon_sym___cdecl] = ACTIONS(2604),
    [anon_sym___clrcall] = ACTIONS(2604),
    [anon_sym___stdcall] = ACTIONS(2604),
    [anon_sym___fastcall] = ACTIONS(2604),
    [anon_sym___thiscall] = ACTIONS(2604),
    [anon_sym___vectorcall] = ACTIONS(2604),
    [anon_sym_LBRACE] = ACTIONS(2606),
    [anon_sym_signed] = ACTIONS(2604),
    [anon_sym_unsigned] = ACTIONS(2604),
    [anon_sym_long] = ACTIONS(2604),
    [anon_sym_short] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_ATautoreleasepool] = ACTIONS(2606),
    [anon_sym_auto] = ACTIONS(2604),
    [anon_sym_register] = ACTIONS(2604),
    [anon_sym_inline] = ACTIONS(2604),
    [anon_sym___inline] = ACTIONS(2604),
    [anon_sym___inline__] = ACTIONS(2604),
    [anon_sym___forceinline] = ACTIONS(2604),
    [anon_sym_thread_local] = ACTIONS(2604),
    [anon_sym___thread] = ACTIONS(2604),
    [anon_sym_CG_EXTERN] = ACTIONS(2604),
    [anon_sym_CG_INLINE] = ACTIONS(2604),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2604),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2604),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2604),
    [anon_sym_IBOutlet] = ACTIONS(2604),
    [anon_sym_IBInspectable] = ACTIONS(2604),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2604),
    [anon_sym_NS_INLINE] = ACTIONS(2604),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2604),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2604),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2604),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_constexpr] = ACTIONS(2604),
    [anon_sym_volatile] = ACTIONS(2604),
    [anon_sym_restrict] = ACTIONS(2604),
    [anon_sym___restrict__] = ACTIONS(2604),
    [anon_sym__Atomic] = ACTIONS(2604),
    [anon_sym__Noreturn] = ACTIONS(2604),
    [anon_sym__Nonnull] = ACTIONS(2604),
    [anon_sym_nullable] = ACTIONS(2604),
    [anon_sym__Complex] = ACTIONS(2604),
    [anon_sym__Nullable] = ACTIONS(2604),
    [anon_sym__Nullable_result] = ACTIONS(2604),
    [anon_sym__Null_unspecified] = ACTIONS(2604),
    [anon_sym___autoreleasing] = ACTIONS(2604),
    [anon_sym___block] = ACTIONS(2604),
    [anon_sym___bridge] = ACTIONS(2604),
    [anon_sym___bridge_retained] = ACTIONS(2604),
    [anon_sym___bridge_transfer] = ACTIONS(2604),
    [anon_sym___complex] = ACTIONS(2604),
    [anon_sym___const] = ACTIONS(2604),
    [anon_sym___imag] = ACTIONS(2604),
    [anon_sym___kindof] = ACTIONS(2604),
    [anon_sym___nonnull] = ACTIONS(2604),
    [anon_sym___nullable] = ACTIONS(2604),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2604),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2604),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2604),
    [anon_sym___real] = ACTIONS(2604),
    [anon_sym___strong] = ACTIONS(2604),
    [anon_sym___unsafe_unretained] = ACTIONS(2604),
    [anon_sym___unused] = ACTIONS(2604),
    [anon_sym___weak] = ACTIONS(2604),
    [anon_sym_alignas] = ACTIONS(2604),
    [anon_sym__Alignas] = ACTIONS(2604),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2604),
    [anon_sym_union] = ACTIONS(2604),
    [anon_sym_if] = ACTIONS(2604),
    [anon_sym_switch] = ACTIONS(2604),
    [anon_sym_case] = ACTIONS(2604),
    [anon_sym_default] = ACTIONS(2604),
    [anon_sym_while] = ACTIONS(2604),
    [anon_sym_do] = ACTIONS(2604),
    [anon_sym_for] = ACTIONS(2604),
    [anon_sym_in] = ACTIONS(2604),
    [anon_sym_return] = ACTIONS(2604),
    [anon_sym_break] = ACTIONS(2604),
    [anon_sym_continue] = ACTIONS(2604),
    [anon_sym_goto] = ACTIONS(2604),
    [anon_sym_DASH_DASH] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2606),
    [anon_sym_sizeof] = ACTIONS(2604),
    [anon_sym___alignof__] = ACTIONS(2604),
    [anon_sym___alignof] = ACTIONS(2604),
    [anon_sym__alignof] = ACTIONS(2604),
    [anon_sym_alignof] = ACTIONS(2604),
    [anon_sym__Alignof] = ACTIONS(2604),
    [anon_sym_offsetof] = ACTIONS(2604),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2604),
    [anon_sym___asm__] = ACTIONS(2604),
    [anon_sym___asm] = ACTIONS(2604),
    [sym_number_literal] = ACTIONS(2606),
    [anon_sym_L_SQUOTE] = ACTIONS(2606),
    [anon_sym_u_SQUOTE] = ACTIONS(2606),
    [anon_sym_U_SQUOTE] = ACTIONS(2606),
    [anon_sym_u8_SQUOTE] = ACTIONS(2606),
    [anon_sym_SQUOTE] = ACTIONS(2606),
    [anon_sym_AT] = ACTIONS(2604),
    [anon_sym_DQUOTE] = ACTIONS(2606),
    [anon_sym_L_DQUOTE] = ACTIONS(2606),
    [anon_sym_u_DQUOTE] = ACTIONS(2606),
    [anon_sym_U_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8_DQUOTE] = ACTIONS(2606),
    [sym_true] = ACTIONS(2604),
    [sym_false] = ACTIONS(2604),
    [anon_sym_NULL] = ACTIONS(2604),
    [anon_sym_nullptr] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2604),
    [anon_sym___typeof] = ACTIONS(2604),
    [anon_sym_typeof] = ACTIONS(2604),
    [anon_sym_ATimport] = ACTIONS(2606),
    [aux_sym_preproc_undef_token1] = ACTIONS(2604),
    [anon_sym_POUND] = ACTIONS(2604),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2604),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2604),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2604),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2604),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2604),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2604),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2604),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2604),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2604),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2604),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2604),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2604),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2604),
    [anon_sym_API_AVAILABLE] = ACTIONS(2604),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2604),
    [anon_sym_API_DEPRECATED] = ACTIONS(2604),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2604),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2604),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2604),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2604),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2604),
    [anon_sym___deprecated_msg] = ACTIONS(2604),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2604),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2604),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2604),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2604),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2604),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2604),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2604),
    [anon_sym_ATprotocol] = ACTIONS(2606),
    [anon_sym_ATinterface] = ACTIONS(2606),
    [anon_sym_ATimplementation] = ACTIONS(2606),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2606),
    [anon_sym_ATsynthesize] = ACTIONS(2606),
    [anon_sym_ATdynamic] = ACTIONS(2606),
    [anon_sym_ATtry] = ACTIONS(2606),
    [anon_sym___try] = ACTIONS(2604),
    [anon_sym_ATthrow] = ACTIONS(2606),
    [anon_sym_ATselector] = ACTIONS(2606),
    [anon_sym_ATavailable] = ACTIONS(2606),
    [anon_sym___builtin_available] = ACTIONS(2604),
    [anon_sym_va_arg] = ACTIONS(2604),
    [anon_sym_ATencode] = ACTIONS(2606),
    [anon_sym_ATsynchronized] = ACTIONS(2606),
    [anon_sym_BOOL] = ACTIONS(2604),
    [anon_sym_IMP] = ACTIONS(2604),
    [anon_sym_SEL] = ACTIONS(2604),
    [anon_sym_Class] = ACTIONS(2604),
    [anon_sym_id] = ACTIONS(2604),
  },
  [286] = {
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_include_token1] = ACTIONS(2608),
    [aux_sym_preproc_include_token2] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token2] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [aux_sym_preproc_else_token1] = ACTIONS(2608),
    [aux_sym_preproc_elif_token1] = ACTIONS(2608),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2611),
    [anon_sym_BANG] = ACTIONS(2611),
    [anon_sym_TILDE] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_STAR] = ACTIONS(2611),
    [anon_sym_CARET] = ACTIONS(2611),
    [anon_sym_AMP] = ACTIONS(2611),
    [anon_sym_SEMI] = ACTIONS(2611),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym___attribute] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___cdecl] = ACTIONS(2608),
    [anon_sym___clrcall] = ACTIONS(2608),
    [anon_sym___stdcall] = ACTIONS(2608),
    [anon_sym___fastcall] = ACTIONS(2608),
    [anon_sym___thiscall] = ACTIONS(2608),
    [anon_sym___vectorcall] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_ATautoreleasepool] = ACTIONS(2611),
    [anon_sym_auto] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_CG_EXTERN] = ACTIONS(2608),
    [anon_sym_CG_INLINE] = ACTIONS(2608),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2608),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2608),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2608),
    [anon_sym_IBOutlet] = ACTIONS(2608),
    [anon_sym_IBInspectable] = ACTIONS(2608),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2608),
    [anon_sym_NS_INLINE] = ACTIONS(2608),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2608),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2608),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2608),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym__Nonnull] = ACTIONS(2608),
    [anon_sym_nullable] = ACTIONS(2608),
    [anon_sym__Complex] = ACTIONS(2608),
    [anon_sym__Nullable] = ACTIONS(2608),
    [anon_sym__Nullable_result] = ACTIONS(2608),
    [anon_sym__Null_unspecified] = ACTIONS(2608),
    [anon_sym___autoreleasing] = ACTIONS(2608),
    [anon_sym___block] = ACTIONS(2608),
    [anon_sym___bridge] = ACTIONS(2608),
    [anon_sym___bridge_retained] = ACTIONS(2608),
    [anon_sym___bridge_transfer] = ACTIONS(2608),
    [anon_sym___complex] = ACTIONS(2608),
    [anon_sym___const] = ACTIONS(2608),
    [anon_sym___imag] = ACTIONS(2608),
    [anon_sym___kindof] = ACTIONS(2608),
    [anon_sym___nonnull] = ACTIONS(2608),
    [anon_sym___nullable] = ACTIONS(2608),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2608),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2608),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2608),
    [anon_sym___real] = ACTIONS(2608),
    [anon_sym___strong] = ACTIONS(2608),
    [anon_sym___unsafe_unretained] = ACTIONS(2608),
    [anon_sym___unused] = ACTIONS(2608),
    [anon_sym___weak] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym__Alignas] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_if] = ACTIONS(2608),
    [anon_sym_switch] = ACTIONS(2608),
    [anon_sym_case] = ACTIONS(2608),
    [anon_sym_default] = ACTIONS(2608),
    [anon_sym_while] = ACTIONS(2608),
    [anon_sym_do] = ACTIONS(2608),
    [anon_sym_for] = ACTIONS(2608),
    [anon_sym_in] = ACTIONS(2608),
    [anon_sym_return] = ACTIONS(2608),
    [anon_sym_break] = ACTIONS(2608),
    [anon_sym_continue] = ACTIONS(2608),
    [anon_sym_goto] = ACTIONS(2608),
    [anon_sym_DASH_DASH] = ACTIONS(2611),
    [anon_sym_PLUS_PLUS] = ACTIONS(2611),
    [anon_sym_sizeof] = ACTIONS(2608),
    [anon_sym___alignof__] = ACTIONS(2608),
    [anon_sym___alignof] = ACTIONS(2608),
    [anon_sym__alignof] = ACTIONS(2608),
    [anon_sym_alignof] = ACTIONS(2608),
    [anon_sym__Alignof] = ACTIONS(2608),
    [anon_sym_offsetof] = ACTIONS(2608),
    [anon_sym__Generic] = ACTIONS(2608),
    [anon_sym_asm] = ACTIONS(2608),
    [anon_sym___asm__] = ACTIONS(2608),
    [anon_sym___asm] = ACTIONS(2608),
    [sym_number_literal] = ACTIONS(2611),
    [anon_sym_L_SQUOTE] = ACTIONS(2611),
    [anon_sym_u_SQUOTE] = ACTIONS(2611),
    [anon_sym_U_SQUOTE] = ACTIONS(2611),
    [anon_sym_u8_SQUOTE] = ACTIONS(2611),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_AT] = ACTIONS(2608),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [anon_sym_L_DQUOTE] = ACTIONS(2611),
    [anon_sym_u_DQUOTE] = ACTIONS(2611),
    [anon_sym_U_DQUOTE] = ACTIONS(2611),
    [anon_sym_u8_DQUOTE] = ACTIONS(2611),
    [sym_true] = ACTIONS(2608),
    [sym_false] = ACTIONS(2608),
    [anon_sym_NULL] = ACTIONS(2608),
    [anon_sym_nullptr] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2608),
    [anon_sym___typeof] = ACTIONS(2608),
    [anon_sym_typeof] = ACTIONS(2608),
    [anon_sym_ATimport] = ACTIONS(2611),
    [aux_sym_preproc_undef_token1] = ACTIONS(2608),
    [anon_sym_POUND] = ACTIONS(2608),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2608),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2608),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2608),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2608),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2608),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2608),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2608),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2608),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2608),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2608),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2608),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2608),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2608),
    [anon_sym_API_AVAILABLE] = ACTIONS(2608),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2608),
    [anon_sym_API_DEPRECATED] = ACTIONS(2608),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2608),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2608),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2608),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2608),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2608),
    [anon_sym___deprecated_msg] = ACTIONS(2608),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2608),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2608),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2608),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2608),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2608),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2608),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2608),
    [anon_sym_ATprotocol] = ACTIONS(2611),
    [anon_sym_ATinterface] = ACTIONS(2611),
    [anon_sym_ATimplementation] = ACTIONS(2611),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2611),
    [anon_sym_ATsynthesize] = ACTIONS(2611),
    [anon_sym_ATdynamic] = ACTIONS(2611),
    [anon_sym_ATtry] = ACTIONS(2611),
    [anon_sym___try] = ACTIONS(2608),
    [anon_sym_ATthrow] = ACTIONS(2611),
    [anon_sym_ATselector] = ACTIONS(2611),
    [anon_sym_ATavailable] = ACTIONS(2611),
    [anon_sym___builtin_available] = ACTIONS(2608),
    [anon_sym_va_arg] = ACTIONS(2608),
    [anon_sym_ATencode] = ACTIONS(2611),
    [anon_sym_ATsynchronized] = ACTIONS(2611),
    [anon_sym_BOOL] = ACTIONS(2608),
    [anon_sym_IMP] = ACTIONS(2608),
    [anon_sym_SEL] = ACTIONS(2608),
    [anon_sym_Class] = ACTIONS(2608),
    [anon_sym_id] = ACTIONS(2608),
  },
  [287] = {
    [sym_identifier] = ACTIONS(2614),
    [aux_sym_preproc_include_token1] = ACTIONS(2614),
    [aux_sym_preproc_include_token2] = ACTIONS(2614),
    [aux_sym_preproc_def_token1] = ACTIONS(2614),
    [aux_sym_preproc_if_token1] = ACTIONS(2614),
    [aux_sym_preproc_if_token2] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2614),
    [aux_sym_preproc_else_token1] = ACTIONS(2614),
    [aux_sym_preproc_elif_token1] = ACTIONS(2614),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2614),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2614),
    [sym_preproc_directive] = ACTIONS(2614),
    [anon_sym_LPAREN2] = ACTIONS(2616),
    [anon_sym_BANG] = ACTIONS(2616),
    [anon_sym_TILDE] = ACTIONS(2616),
    [anon_sym_DASH] = ACTIONS(2614),
    [anon_sym_PLUS] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2616),
    [anon_sym_CARET] = ACTIONS(2616),
    [anon_sym_AMP] = ACTIONS(2616),
    [anon_sym_SEMI] = ACTIONS(2616),
    [anon_sym___extension__] = ACTIONS(2614),
    [anon_sym_typedef] = ACTIONS(2614),
    [anon_sym_extern] = ACTIONS(2614),
    [anon_sym___attribute__] = ACTIONS(2614),
    [anon_sym___attribute] = ACTIONS(2614),
    [anon_sym_noreturn] = ACTIONS(2614),
    [anon_sym_LBRACK] = ACTIONS(2616),
    [anon_sym___declspec] = ACTIONS(2614),
    [anon_sym___cdecl] = ACTIONS(2614),
    [anon_sym___clrcall] = ACTIONS(2614),
    [anon_sym___stdcall] = ACTIONS(2614),
    [anon_sym___fastcall] = ACTIONS(2614),
    [anon_sym___thiscall] = ACTIONS(2614),
    [anon_sym___vectorcall] = ACTIONS(2614),
    [anon_sym_LBRACE] = ACTIONS(2616),
    [anon_sym_signed] = ACTIONS(2614),
    [anon_sym_unsigned] = ACTIONS(2614),
    [anon_sym_long] = ACTIONS(2614),
    [anon_sym_short] = ACTIONS(2614),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_ATautoreleasepool] = ACTIONS(2616),
    [anon_sym_auto] = ACTIONS(2614),
    [anon_sym_register] = ACTIONS(2614),
    [anon_sym_inline] = ACTIONS(2614),
    [anon_sym___inline] = ACTIONS(2614),
    [anon_sym___inline__] = ACTIONS(2614),
    [anon_sym___forceinline] = ACTIONS(2614),
    [anon_sym_thread_local] = ACTIONS(2614),
    [anon_sym___thread] = ACTIONS(2614),
    [anon_sym_CG_EXTERN] = ACTIONS(2614),
    [anon_sym_CG_INLINE] = ACTIONS(2614),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2614),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2614),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2614),
    [anon_sym_IBOutlet] = ACTIONS(2614),
    [anon_sym_IBInspectable] = ACTIONS(2614),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2614),
    [anon_sym_NS_INLINE] = ACTIONS(2614),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2614),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2614),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2614),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2614),
    [anon_sym_const] = ACTIONS(2614),
    [anon_sym_constexpr] = ACTIONS(2614),
    [anon_sym_volatile] = ACTIONS(2614),
    [anon_sym_restrict] = ACTIONS(2614),
    [anon_sym___restrict__] = ACTIONS(2614),
    [anon_sym__Atomic] = ACTIONS(2614),
    [anon_sym__Noreturn] = ACTIONS(2614),
    [anon_sym__Nonnull] = ACTIONS(2614),
    [anon_sym_nullable] = ACTIONS(2614),
    [anon_sym__Complex] = ACTIONS(2614),
    [anon_sym__Nullable] = ACTIONS(2614),
    [anon_sym__Nullable_result] = ACTIONS(2614),
    [anon_sym__Null_unspecified] = ACTIONS(2614),
    [anon_sym___autoreleasing] = ACTIONS(2614),
    [anon_sym___block] = ACTIONS(2614),
    [anon_sym___bridge] = ACTIONS(2614),
    [anon_sym___bridge_retained] = ACTIONS(2614),
    [anon_sym___bridge_transfer] = ACTIONS(2614),
    [anon_sym___complex] = ACTIONS(2614),
    [anon_sym___const] = ACTIONS(2614),
    [anon_sym___imag] = ACTIONS(2614),
    [anon_sym___kindof] = ACTIONS(2614),
    [anon_sym___nonnull] = ACTIONS(2614),
    [anon_sym___nullable] = ACTIONS(2614),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2614),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2614),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2614),
    [anon_sym___real] = ACTIONS(2614),
    [anon_sym___strong] = ACTIONS(2614),
    [anon_sym___unsafe_unretained] = ACTIONS(2614),
    [anon_sym___unused] = ACTIONS(2614),
    [anon_sym___weak] = ACTIONS(2614),
    [anon_sym_alignas] = ACTIONS(2614),
    [anon_sym__Alignas] = ACTIONS(2614),
    [sym_primitive_type] = ACTIONS(2614),
    [anon_sym_enum] = ACTIONS(2614),
    [anon_sym_struct] = ACTIONS(2614),
    [anon_sym_union] = ACTIONS(2614),
    [anon_sym_if] = ACTIONS(2614),
    [anon_sym_switch] = ACTIONS(2614),
    [anon_sym_case] = ACTIONS(2614),
    [anon_sym_default] = ACTIONS(2614),
    [anon_sym_while] = ACTIONS(2614),
    [anon_sym_do] = ACTIONS(2614),
    [anon_sym_for] = ACTIONS(2614),
    [anon_sym_in] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2614),
    [anon_sym_break] = ACTIONS(2614),
    [anon_sym_continue] = ACTIONS(2614),
    [anon_sym_goto] = ACTIONS(2614),
    [anon_sym_DASH_DASH] = ACTIONS(2616),
    [anon_sym_PLUS_PLUS] = ACTIONS(2616),
    [anon_sym_sizeof] = ACTIONS(2614),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2614),
    [anon_sym__Generic] = ACTIONS(2614),
    [anon_sym_asm] = ACTIONS(2614),
    [anon_sym___asm__] = ACTIONS(2614),
    [anon_sym___asm] = ACTIONS(2614),
    [sym_number_literal] = ACTIONS(2616),
    [anon_sym_L_SQUOTE] = ACTIONS(2616),
    [anon_sym_u_SQUOTE] = ACTIONS(2616),
    [anon_sym_U_SQUOTE] = ACTIONS(2616),
    [anon_sym_u8_SQUOTE] = ACTIONS(2616),
    [anon_sym_SQUOTE] = ACTIONS(2616),
    [anon_sym_AT] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2616),
    [anon_sym_L_DQUOTE] = ACTIONS(2616),
    [anon_sym_u_DQUOTE] = ACTIONS(2616),
    [anon_sym_U_DQUOTE] = ACTIONS(2616),
    [anon_sym_u8_DQUOTE] = ACTIONS(2616),
    [sym_true] = ACTIONS(2614),
    [sym_false] = ACTIONS(2614),
    [anon_sym_NULL] = ACTIONS(2614),
    [anon_sym_nullptr] = ACTIONS(2614),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2614),
    [anon_sym___typeof] = ACTIONS(2614),
    [anon_sym_typeof] = ACTIONS(2614),
    [anon_sym_ATimport] = ACTIONS(2616),
    [aux_sym_preproc_undef_token1] = ACTIONS(2614),
    [anon_sym_POUND] = ACTIONS(2614),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2614),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2614),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2614),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2614),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2614),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2614),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2614),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2614),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2614),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2614),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2614),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2614),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2614),
    [anon_sym_API_AVAILABLE] = ACTIONS(2614),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2614),
    [anon_sym_API_DEPRECATED] = ACTIONS(2614),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2614),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2614),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2614),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2614),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2614),
    [anon_sym___deprecated_msg] = ACTIONS(2614),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2614),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2614),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2614),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2614),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2614),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2614),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2614),
    [anon_sym_ATprotocol] = ACTIONS(2616),
    [anon_sym_ATinterface] = ACTIONS(2616),
    [anon_sym_ATimplementation] = ACTIONS(2616),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2616),
    [anon_sym_ATsynthesize] = ACTIONS(2616),
    [anon_sym_ATdynamic] = ACTIONS(2616),
    [anon_sym_ATtry] = ACTIONS(2616),
    [anon_sym___try] = ACTIONS(2614),
    [anon_sym_ATthrow] = ACTIONS(2616),
    [anon_sym_ATselector] = ACTIONS(2616),
    [anon_sym_ATavailable] = ACTIONS(2616),
    [anon_sym___builtin_available] = ACTIONS(2614),
    [anon_sym_va_arg] = ACTIONS(2614),
    [anon_sym_ATencode] = ACTIONS(2616),
    [anon_sym_ATsynchronized] = ACTIONS(2616),
    [anon_sym_BOOL] = ACTIONS(2614),
    [anon_sym_IMP] = ACTIONS(2614),
    [anon_sym_SEL] = ACTIONS(2614),
    [anon_sym_Class] = ACTIONS(2614),
    [anon_sym_id] = ACTIONS(2614),
  },
  [288] = {
    [sym_identifier] = ACTIONS(2618),
    [aux_sym_preproc_include_token1] = ACTIONS(2618),
    [aux_sym_preproc_include_token2] = ACTIONS(2618),
    [aux_sym_preproc_def_token1] = ACTIONS(2618),
    [aux_sym_preproc_if_token1] = ACTIONS(2618),
    [aux_sym_preproc_if_token2] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2618),
    [aux_sym_preproc_else_token1] = ACTIONS(2618),
    [aux_sym_preproc_elif_token1] = ACTIONS(2618),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2618),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2618),
    [sym_preproc_directive] = ACTIONS(2618),
    [anon_sym_LPAREN2] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2620),
    [anon_sym_CARET] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2620),
    [anon_sym___extension__] = ACTIONS(2618),
    [anon_sym_typedef] = ACTIONS(2618),
    [anon_sym_extern] = ACTIONS(2618),
    [anon_sym___attribute__] = ACTIONS(2618),
    [anon_sym___attribute] = ACTIONS(2618),
    [anon_sym_noreturn] = ACTIONS(2618),
    [anon_sym_LBRACK] = ACTIONS(2620),
    [anon_sym___declspec] = ACTIONS(2618),
    [anon_sym___cdecl] = ACTIONS(2618),
    [anon_sym___clrcall] = ACTIONS(2618),
    [anon_sym___stdcall] = ACTIONS(2618),
    [anon_sym___fastcall] = ACTIONS(2618),
    [anon_sym___thiscall] = ACTIONS(2618),
    [anon_sym___vectorcall] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2620),
    [anon_sym_signed] = ACTIONS(2618),
    [anon_sym_unsigned] = ACTIONS(2618),
    [anon_sym_long] = ACTIONS(2618),
    [anon_sym_short] = ACTIONS(2618),
    [anon_sym_static] = ACTIONS(2618),
    [anon_sym_ATautoreleasepool] = ACTIONS(2620),
    [anon_sym_auto] = ACTIONS(2618),
    [anon_sym_register] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym___inline] = ACTIONS(2618),
    [anon_sym___inline__] = ACTIONS(2618),
    [anon_sym___forceinline] = ACTIONS(2618),
    [anon_sym_thread_local] = ACTIONS(2618),
    [anon_sym___thread] = ACTIONS(2618),
    [anon_sym_CG_EXTERN] = ACTIONS(2618),
    [anon_sym_CG_INLINE] = ACTIONS(2618),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2618),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2618),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2618),
    [anon_sym_IBOutlet] = ACTIONS(2618),
    [anon_sym_IBInspectable] = ACTIONS(2618),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2618),
    [anon_sym_NS_INLINE] = ACTIONS(2618),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2618),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2618),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2618),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_constexpr] = ACTIONS(2618),
    [anon_sym_volatile] = ACTIONS(2618),
    [anon_sym_restrict] = ACTIONS(2618),
    [anon_sym___restrict__] = ACTIONS(2618),
    [anon_sym__Atomic] = ACTIONS(2618),
    [anon_sym__Noreturn] = ACTIONS(2618),
    [anon_sym__Nonnull] = ACTIONS(2618),
    [anon_sym_nullable] = ACTIONS(2618),
    [anon_sym__Complex] = ACTIONS(2618),
    [anon_sym__Nullable] = ACTIONS(2618),
    [anon_sym__Nullable_result] = ACTIONS(2618),
    [anon_sym__Null_unspecified] = ACTIONS(2618),
    [anon_sym___autoreleasing] = ACTIONS(2618),
    [anon_sym___block] = ACTIONS(2618),
    [anon_sym___bridge] = ACTIONS(2618),
    [anon_sym___bridge_retained] = ACTIONS(2618),
    [anon_sym___bridge_transfer] = ACTIONS(2618),
    [anon_sym___complex] = ACTIONS(2618),
    [anon_sym___const] = ACTIONS(2618),
    [anon_sym___imag] = ACTIONS(2618),
    [anon_sym___kindof] = ACTIONS(2618),
    [anon_sym___nonnull] = ACTIONS(2618),
    [anon_sym___nullable] = ACTIONS(2618),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2618),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2618),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2618),
    [anon_sym___real] = ACTIONS(2618),
    [anon_sym___strong] = ACTIONS(2618),
    [anon_sym___unsafe_unretained] = ACTIONS(2618),
    [anon_sym___unused] = ACTIONS(2618),
    [anon_sym___weak] = ACTIONS(2618),
    [anon_sym_alignas] = ACTIONS(2618),
    [anon_sym__Alignas] = ACTIONS(2618),
    [sym_primitive_type] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_struct] = ACTIONS(2618),
    [anon_sym_union] = ACTIONS(2618),
    [anon_sym_if] = ACTIONS(2618),
    [anon_sym_switch] = ACTIONS(2618),
    [anon_sym_case] = ACTIONS(2618),
    [anon_sym_default] = ACTIONS(2618),
    [anon_sym_while] = ACTIONS(2618),
    [anon_sym_do] = ACTIONS(2618),
    [anon_sym_for] = ACTIONS(2618),
    [anon_sym_in] = ACTIONS(2618),
    [anon_sym_return] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2618),
    [anon_sym_continue] = ACTIONS(2618),
    [anon_sym_goto] = ACTIONS(2618),
    [anon_sym_DASH_DASH] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2620),
    [anon_sym_sizeof] = ACTIONS(2618),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2618),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2618),
    [anon_sym___asm__] = ACTIONS(2618),
    [anon_sym___asm] = ACTIONS(2618),
    [sym_number_literal] = ACTIONS(2620),
    [anon_sym_L_SQUOTE] = ACTIONS(2620),
    [anon_sym_u_SQUOTE] = ACTIONS(2620),
    [anon_sym_U_SQUOTE] = ACTIONS(2620),
    [anon_sym_u8_SQUOTE] = ACTIONS(2620),
    [anon_sym_SQUOTE] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(2618),
    [anon_sym_DQUOTE] = ACTIONS(2620),
    [anon_sym_L_DQUOTE] = ACTIONS(2620),
    [anon_sym_u_DQUOTE] = ACTIONS(2620),
    [anon_sym_U_DQUOTE] = ACTIONS(2620),
    [anon_sym_u8_DQUOTE] = ACTIONS(2620),
    [sym_true] = ACTIONS(2618),
    [sym_false] = ACTIONS(2618),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2618),
    [anon_sym___typeof] = ACTIONS(2618),
    [anon_sym_typeof] = ACTIONS(2618),
    [anon_sym_ATimport] = ACTIONS(2620),
    [aux_sym_preproc_undef_token1] = ACTIONS(2618),
    [anon_sym_POUND] = ACTIONS(2618),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2618),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2618),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2618),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2618),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2618),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2618),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2618),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2618),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2618),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2618),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2618),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2618),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2618),
    [anon_sym_API_AVAILABLE] = ACTIONS(2618),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2618),
    [anon_sym_API_DEPRECATED] = ACTIONS(2618),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2618),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2618),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2618),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2618),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2618),
    [anon_sym___deprecated_msg] = ACTIONS(2618),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2618),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2618),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2618),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2618),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2618),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2618),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2618),
    [anon_sym_ATprotocol] = ACTIONS(2620),
    [anon_sym_ATinterface] = ACTIONS(2620),
    [anon_sym_ATimplementation] = ACTIONS(2620),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2620),
    [anon_sym_ATsynthesize] = ACTIONS(2620),
    [anon_sym_ATdynamic] = ACTIONS(2620),
    [anon_sym_ATtry] = ACTIONS(2620),
    [anon_sym___try] = ACTIONS(2618),
    [anon_sym_ATthrow] = ACTIONS(2620),
    [anon_sym_ATselector] = ACTIONS(2620),
    [anon_sym_ATavailable] = ACTIONS(2620),
    [anon_sym___builtin_available] = ACTIONS(2618),
    [anon_sym_va_arg] = ACTIONS(2618),
    [anon_sym_ATencode] = ACTIONS(2620),
    [anon_sym_ATsynchronized] = ACTIONS(2620),
    [anon_sym_BOOL] = ACTIONS(2618),
    [anon_sym_IMP] = ACTIONS(2618),
    [anon_sym_SEL] = ACTIONS(2618),
    [anon_sym_Class] = ACTIONS(2618),
    [anon_sym_id] = ACTIONS(2618),
  },
  [289] = {
    [sym_identifier] = ACTIONS(2622),
    [aux_sym_preproc_include_token1] = ACTIONS(2622),
    [aux_sym_preproc_include_token2] = ACTIONS(2622),
    [aux_sym_preproc_def_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token2] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2622),
    [aux_sym_preproc_else_token1] = ACTIONS(2622),
    [aux_sym_preproc_elif_token1] = ACTIONS(2622),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2622),
    [sym_preproc_directive] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_CARET] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym___extension__] = ACTIONS(2622),
    [anon_sym_typedef] = ACTIONS(2622),
    [anon_sym_extern] = ACTIONS(2622),
    [anon_sym___attribute__] = ACTIONS(2622),
    [anon_sym___attribute] = ACTIONS(2622),
    [anon_sym_noreturn] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym___declspec] = ACTIONS(2622),
    [anon_sym___cdecl] = ACTIONS(2622),
    [anon_sym___clrcall] = ACTIONS(2622),
    [anon_sym___stdcall] = ACTIONS(2622),
    [anon_sym___fastcall] = ACTIONS(2622),
    [anon_sym___thiscall] = ACTIONS(2622),
    [anon_sym___vectorcall] = ACTIONS(2622),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_signed] = ACTIONS(2622),
    [anon_sym_unsigned] = ACTIONS(2622),
    [anon_sym_long] = ACTIONS(2622),
    [anon_sym_short] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_ATautoreleasepool] = ACTIONS(2624),
    [anon_sym_auto] = ACTIONS(2622),
    [anon_sym_register] = ACTIONS(2622),
    [anon_sym_inline] = ACTIONS(2622),
    [anon_sym___inline] = ACTIONS(2622),
    [anon_sym___inline__] = ACTIONS(2622),
    [anon_sym___forceinline] = ACTIONS(2622),
    [anon_sym_thread_local] = ACTIONS(2622),
    [anon_sym___thread] = ACTIONS(2622),
    [anon_sym_CG_EXTERN] = ACTIONS(2622),
    [anon_sym_CG_INLINE] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2622),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2622),
    [anon_sym_IBOutlet] = ACTIONS(2622),
    [anon_sym_IBInspectable] = ACTIONS(2622),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2622),
    [anon_sym_NS_INLINE] = ACTIONS(2622),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2622),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2622),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_constexpr] = ACTIONS(2622),
    [anon_sym_volatile] = ACTIONS(2622),
    [anon_sym_restrict] = ACTIONS(2622),
    [anon_sym___restrict__] = ACTIONS(2622),
    [anon_sym__Atomic] = ACTIONS(2622),
    [anon_sym__Noreturn] = ACTIONS(2622),
    [anon_sym__Nonnull] = ACTIONS(2622),
    [anon_sym_nullable] = ACTIONS(2622),
    [anon_sym__Complex] = ACTIONS(2622),
    [anon_sym__Nullable] = ACTIONS(2622),
    [anon_sym__Nullable_result] = ACTIONS(2622),
    [anon_sym__Null_unspecified] = ACTIONS(2622),
    [anon_sym___autoreleasing] = ACTIONS(2622),
    [anon_sym___block] = ACTIONS(2622),
    [anon_sym___bridge] = ACTIONS(2622),
    [anon_sym___bridge_retained] = ACTIONS(2622),
    [anon_sym___bridge_transfer] = ACTIONS(2622),
    [anon_sym___complex] = ACTIONS(2622),
    [anon_sym___const] = ACTIONS(2622),
    [anon_sym___imag] = ACTIONS(2622),
    [anon_sym___kindof] = ACTIONS(2622),
    [anon_sym___nonnull] = ACTIONS(2622),
    [anon_sym___nullable] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2622),
    [anon_sym___real] = ACTIONS(2622),
    [anon_sym___strong] = ACTIONS(2622),
    [anon_sym___unsafe_unretained] = ACTIONS(2622),
    [anon_sym___unused] = ACTIONS(2622),
    [anon_sym___weak] = ACTIONS(2622),
    [anon_sym_alignas] = ACTIONS(2622),
    [anon_sym__Alignas] = ACTIONS(2622),
    [sym_primitive_type] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [anon_sym_struct] = ACTIONS(2622),
    [anon_sym_union] = ACTIONS(2622),
    [anon_sym_if] = ACTIONS(2622),
    [anon_sym_switch] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2622),
    [anon_sym_default] = ACTIONS(2622),
    [anon_sym_while] = ACTIONS(2622),
    [anon_sym_do] = ACTIONS(2622),
    [anon_sym_for] = ACTIONS(2622),
    [anon_sym_in] = ACTIONS(2622),
    [anon_sym_return] = ACTIONS(2622),
    [anon_sym_break] = ACTIONS(2622),
    [anon_sym_continue] = ACTIONS(2622),
    [anon_sym_goto] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_sizeof] = ACTIONS(2622),
    [anon_sym___alignof__] = ACTIONS(2622),
    [anon_sym___alignof] = ACTIONS(2622),
    [anon_sym__alignof] = ACTIONS(2622),
    [anon_sym_alignof] = ACTIONS(2622),
    [anon_sym__Alignof] = ACTIONS(2622),
    [anon_sym_offsetof] = ACTIONS(2622),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2622),
    [anon_sym___asm__] = ACTIONS(2622),
    [anon_sym___asm] = ACTIONS(2622),
    [sym_number_literal] = ACTIONS(2624),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2624),
    [anon_sym_u_DQUOTE] = ACTIONS(2624),
    [anon_sym_U_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8_DQUOTE] = ACTIONS(2624),
    [sym_true] = ACTIONS(2622),
    [sym_false] = ACTIONS(2622),
    [anon_sym_NULL] = ACTIONS(2622),
    [anon_sym_nullptr] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2622),
    [anon_sym___typeof] = ACTIONS(2622),
    [anon_sym_typeof] = ACTIONS(2622),
    [anon_sym_ATimport] = ACTIONS(2624),
    [aux_sym_preproc_undef_token1] = ACTIONS(2622),
    [anon_sym_POUND] = ACTIONS(2622),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2622),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2622),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2622),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_API_AVAILABLE] = ACTIONS(2622),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_API_DEPRECATED] = ACTIONS(2622),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym___deprecated_msg] = ACTIONS(2622),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2622),
    [anon_sym_ATprotocol] = ACTIONS(2624),
    [anon_sym_ATinterface] = ACTIONS(2624),
    [anon_sym_ATimplementation] = ACTIONS(2624),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2624),
    [anon_sym_ATsynthesize] = ACTIONS(2624),
    [anon_sym_ATdynamic] = ACTIONS(2624),
    [anon_sym_ATtry] = ACTIONS(2624),
    [anon_sym___try] = ACTIONS(2622),
    [anon_sym_ATthrow] = ACTIONS(2624),
    [anon_sym_ATselector] = ACTIONS(2624),
    [anon_sym_ATavailable] = ACTIONS(2624),
    [anon_sym___builtin_available] = ACTIONS(2622),
    [anon_sym_va_arg] = ACTIONS(2622),
    [anon_sym_ATencode] = ACTIONS(2624),
    [anon_sym_ATsynchronized] = ACTIONS(2624),
    [anon_sym_BOOL] = ACTIONS(2622),
    [anon_sym_IMP] = ACTIONS(2622),
    [anon_sym_SEL] = ACTIONS(2622),
    [anon_sym_Class] = ACTIONS(2622),
    [anon_sym_id] = ACTIONS(2622),
  },
  [290] = {
    [sym_identifier] = ACTIONS(2622),
    [aux_sym_preproc_include_token1] = ACTIONS(2622),
    [aux_sym_preproc_include_token2] = ACTIONS(2622),
    [aux_sym_preproc_def_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token2] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2622),
    [aux_sym_preproc_else_token1] = ACTIONS(2622),
    [aux_sym_preproc_elif_token1] = ACTIONS(2622),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2622),
    [sym_preproc_directive] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_CARET] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym___extension__] = ACTIONS(2622),
    [anon_sym_typedef] = ACTIONS(2622),
    [anon_sym_extern] = ACTIONS(2622),
    [anon_sym___attribute__] = ACTIONS(2622),
    [anon_sym___attribute] = ACTIONS(2622),
    [anon_sym_noreturn] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym___declspec] = ACTIONS(2622),
    [anon_sym___cdecl] = ACTIONS(2622),
    [anon_sym___clrcall] = ACTIONS(2622),
    [anon_sym___stdcall] = ACTIONS(2622),
    [anon_sym___fastcall] = ACTIONS(2622),
    [anon_sym___thiscall] = ACTIONS(2622),
    [anon_sym___vectorcall] = ACTIONS(2622),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_signed] = ACTIONS(2622),
    [anon_sym_unsigned] = ACTIONS(2622),
    [anon_sym_long] = ACTIONS(2622),
    [anon_sym_short] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_ATautoreleasepool] = ACTIONS(2624),
    [anon_sym_auto] = ACTIONS(2622),
    [anon_sym_register] = ACTIONS(2622),
    [anon_sym_inline] = ACTIONS(2622),
    [anon_sym___inline] = ACTIONS(2622),
    [anon_sym___inline__] = ACTIONS(2622),
    [anon_sym___forceinline] = ACTIONS(2622),
    [anon_sym_thread_local] = ACTIONS(2622),
    [anon_sym___thread] = ACTIONS(2622),
    [anon_sym_CG_EXTERN] = ACTIONS(2622),
    [anon_sym_CG_INLINE] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2622),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2622),
    [anon_sym_IBOutlet] = ACTIONS(2622),
    [anon_sym_IBInspectable] = ACTIONS(2622),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2622),
    [anon_sym_NS_INLINE] = ACTIONS(2622),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2622),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2622),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_constexpr] = ACTIONS(2622),
    [anon_sym_volatile] = ACTIONS(2622),
    [anon_sym_restrict] = ACTIONS(2622),
    [anon_sym___restrict__] = ACTIONS(2622),
    [anon_sym__Atomic] = ACTIONS(2622),
    [anon_sym__Noreturn] = ACTIONS(2622),
    [anon_sym__Nonnull] = ACTIONS(2622),
    [anon_sym_nullable] = ACTIONS(2622),
    [anon_sym__Complex] = ACTIONS(2622),
    [anon_sym__Nullable] = ACTIONS(2622),
    [anon_sym__Nullable_result] = ACTIONS(2622),
    [anon_sym__Null_unspecified] = ACTIONS(2622),
    [anon_sym___autoreleasing] = ACTIONS(2622),
    [anon_sym___block] = ACTIONS(2622),
    [anon_sym___bridge] = ACTIONS(2622),
    [anon_sym___bridge_retained] = ACTIONS(2622),
    [anon_sym___bridge_transfer] = ACTIONS(2622),
    [anon_sym___complex] = ACTIONS(2622),
    [anon_sym___const] = ACTIONS(2622),
    [anon_sym___imag] = ACTIONS(2622),
    [anon_sym___kindof] = ACTIONS(2622),
    [anon_sym___nonnull] = ACTIONS(2622),
    [anon_sym___nullable] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2622),
    [anon_sym___real] = ACTIONS(2622),
    [anon_sym___strong] = ACTIONS(2622),
    [anon_sym___unsafe_unretained] = ACTIONS(2622),
    [anon_sym___unused] = ACTIONS(2622),
    [anon_sym___weak] = ACTIONS(2622),
    [anon_sym_alignas] = ACTIONS(2622),
    [anon_sym__Alignas] = ACTIONS(2622),
    [sym_primitive_type] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [anon_sym_struct] = ACTIONS(2622),
    [anon_sym_union] = ACTIONS(2622),
    [anon_sym_if] = ACTIONS(2622),
    [anon_sym_switch] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2622),
    [anon_sym_default] = ACTIONS(2622),
    [anon_sym_while] = ACTIONS(2622),
    [anon_sym_do] = ACTIONS(2622),
    [anon_sym_for] = ACTIONS(2622),
    [anon_sym_in] = ACTIONS(2622),
    [anon_sym_return] = ACTIONS(2622),
    [anon_sym_break] = ACTIONS(2622),
    [anon_sym_continue] = ACTIONS(2622),
    [anon_sym_goto] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_sizeof] = ACTIONS(2622),
    [anon_sym___alignof__] = ACTIONS(2622),
    [anon_sym___alignof] = ACTIONS(2622),
    [anon_sym__alignof] = ACTIONS(2622),
    [anon_sym_alignof] = ACTIONS(2622),
    [anon_sym__Alignof] = ACTIONS(2622),
    [anon_sym_offsetof] = ACTIONS(2622),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2622),
    [anon_sym___asm__] = ACTIONS(2622),
    [anon_sym___asm] = ACTIONS(2622),
    [sym_number_literal] = ACTIONS(2624),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2624),
    [anon_sym_u_DQUOTE] = ACTIONS(2624),
    [anon_sym_U_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8_DQUOTE] = ACTIONS(2624),
    [sym_true] = ACTIONS(2622),
    [sym_false] = ACTIONS(2622),
    [anon_sym_NULL] = ACTIONS(2622),
    [anon_sym_nullptr] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2622),
    [anon_sym___typeof] = ACTIONS(2622),
    [anon_sym_typeof] = ACTIONS(2622),
    [anon_sym_ATimport] = ACTIONS(2624),
    [aux_sym_preproc_undef_token1] = ACTIONS(2622),
    [anon_sym_POUND] = ACTIONS(2622),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2622),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2622),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2622),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_API_AVAILABLE] = ACTIONS(2622),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_API_DEPRECATED] = ACTIONS(2622),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym___deprecated_msg] = ACTIONS(2622),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2622),
    [anon_sym_ATprotocol] = ACTIONS(2624),
    [anon_sym_ATinterface] = ACTIONS(2624),
    [anon_sym_ATimplementation] = ACTIONS(2624),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2624),
    [anon_sym_ATsynthesize] = ACTIONS(2624),
    [anon_sym_ATdynamic] = ACTIONS(2624),
    [anon_sym_ATtry] = ACTIONS(2624),
    [anon_sym___try] = ACTIONS(2622),
    [anon_sym_ATthrow] = ACTIONS(2624),
    [anon_sym_ATselector] = ACTIONS(2624),
    [anon_sym_ATavailable] = ACTIONS(2624),
    [anon_sym___builtin_available] = ACTIONS(2622),
    [anon_sym_va_arg] = ACTIONS(2622),
    [anon_sym_ATencode] = ACTIONS(2624),
    [anon_sym_ATsynchronized] = ACTIONS(2624),
    [anon_sym_BOOL] = ACTIONS(2622),
    [anon_sym_IMP] = ACTIONS(2622),
    [anon_sym_SEL] = ACTIONS(2622),
    [anon_sym_Class] = ACTIONS(2622),
    [anon_sym_id] = ACTIONS(2622),
  },
  [291] = {
    [sym_identifier] = ACTIONS(2622),
    [aux_sym_preproc_include_token1] = ACTIONS(2622),
    [aux_sym_preproc_include_token2] = ACTIONS(2622),
    [aux_sym_preproc_def_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token2] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2622),
    [aux_sym_preproc_else_token1] = ACTIONS(2622),
    [aux_sym_preproc_elif_token1] = ACTIONS(2622),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2622),
    [sym_preproc_directive] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_CARET] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym___extension__] = ACTIONS(2622),
    [anon_sym_typedef] = ACTIONS(2622),
    [anon_sym_extern] = ACTIONS(2622),
    [anon_sym___attribute__] = ACTIONS(2622),
    [anon_sym___attribute] = ACTIONS(2622),
    [anon_sym_noreturn] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym___declspec] = ACTIONS(2622),
    [anon_sym___cdecl] = ACTIONS(2622),
    [anon_sym___clrcall] = ACTIONS(2622),
    [anon_sym___stdcall] = ACTIONS(2622),
    [anon_sym___fastcall] = ACTIONS(2622),
    [anon_sym___thiscall] = ACTIONS(2622),
    [anon_sym___vectorcall] = ACTIONS(2622),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_signed] = ACTIONS(2622),
    [anon_sym_unsigned] = ACTIONS(2622),
    [anon_sym_long] = ACTIONS(2622),
    [anon_sym_short] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_ATautoreleasepool] = ACTIONS(2624),
    [anon_sym_auto] = ACTIONS(2622),
    [anon_sym_register] = ACTIONS(2622),
    [anon_sym_inline] = ACTIONS(2622),
    [anon_sym___inline] = ACTIONS(2622),
    [anon_sym___inline__] = ACTIONS(2622),
    [anon_sym___forceinline] = ACTIONS(2622),
    [anon_sym_thread_local] = ACTIONS(2622),
    [anon_sym___thread] = ACTIONS(2622),
    [anon_sym_CG_EXTERN] = ACTIONS(2622),
    [anon_sym_CG_INLINE] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2622),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2622),
    [anon_sym_IBOutlet] = ACTIONS(2622),
    [anon_sym_IBInspectable] = ACTIONS(2622),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2622),
    [anon_sym_NS_INLINE] = ACTIONS(2622),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2622),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2622),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_constexpr] = ACTIONS(2622),
    [anon_sym_volatile] = ACTIONS(2622),
    [anon_sym_restrict] = ACTIONS(2622),
    [anon_sym___restrict__] = ACTIONS(2622),
    [anon_sym__Atomic] = ACTIONS(2622),
    [anon_sym__Noreturn] = ACTIONS(2622),
    [anon_sym__Nonnull] = ACTIONS(2622),
    [anon_sym_nullable] = ACTIONS(2622),
    [anon_sym__Complex] = ACTIONS(2622),
    [anon_sym__Nullable] = ACTIONS(2622),
    [anon_sym__Nullable_result] = ACTIONS(2622),
    [anon_sym__Null_unspecified] = ACTIONS(2622),
    [anon_sym___autoreleasing] = ACTIONS(2622),
    [anon_sym___block] = ACTIONS(2622),
    [anon_sym___bridge] = ACTIONS(2622),
    [anon_sym___bridge_retained] = ACTIONS(2622),
    [anon_sym___bridge_transfer] = ACTIONS(2622),
    [anon_sym___complex] = ACTIONS(2622),
    [anon_sym___const] = ACTIONS(2622),
    [anon_sym___imag] = ACTIONS(2622),
    [anon_sym___kindof] = ACTIONS(2622),
    [anon_sym___nonnull] = ACTIONS(2622),
    [anon_sym___nullable] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2622),
    [anon_sym___real] = ACTIONS(2622),
    [anon_sym___strong] = ACTIONS(2622),
    [anon_sym___unsafe_unretained] = ACTIONS(2622),
    [anon_sym___unused] = ACTIONS(2622),
    [anon_sym___weak] = ACTIONS(2622),
    [anon_sym_alignas] = ACTIONS(2622),
    [anon_sym__Alignas] = ACTIONS(2622),
    [sym_primitive_type] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [anon_sym_struct] = ACTIONS(2622),
    [anon_sym_union] = ACTIONS(2622),
    [anon_sym_if] = ACTIONS(2622),
    [anon_sym_switch] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2622),
    [anon_sym_default] = ACTIONS(2622),
    [anon_sym_while] = ACTIONS(2622),
    [anon_sym_do] = ACTIONS(2622),
    [anon_sym_for] = ACTIONS(2622),
    [anon_sym_in] = ACTIONS(2622),
    [anon_sym_return] = ACTIONS(2622),
    [anon_sym_break] = ACTIONS(2622),
    [anon_sym_continue] = ACTIONS(2622),
    [anon_sym_goto] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_sizeof] = ACTIONS(2622),
    [anon_sym___alignof__] = ACTIONS(2622),
    [anon_sym___alignof] = ACTIONS(2622),
    [anon_sym__alignof] = ACTIONS(2622),
    [anon_sym_alignof] = ACTIONS(2622),
    [anon_sym__Alignof] = ACTIONS(2622),
    [anon_sym_offsetof] = ACTIONS(2622),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2622),
    [anon_sym___asm__] = ACTIONS(2622),
    [anon_sym___asm] = ACTIONS(2622),
    [sym_number_literal] = ACTIONS(2624),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2624),
    [anon_sym_u_DQUOTE] = ACTIONS(2624),
    [anon_sym_U_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8_DQUOTE] = ACTIONS(2624),
    [sym_true] = ACTIONS(2622),
    [sym_false] = ACTIONS(2622),
    [anon_sym_NULL] = ACTIONS(2622),
    [anon_sym_nullptr] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2622),
    [anon_sym___typeof] = ACTIONS(2622),
    [anon_sym_typeof] = ACTIONS(2622),
    [anon_sym_ATimport] = ACTIONS(2624),
    [aux_sym_preproc_undef_token1] = ACTIONS(2622),
    [anon_sym_POUND] = ACTIONS(2622),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2622),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2622),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2622),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_API_AVAILABLE] = ACTIONS(2622),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_API_DEPRECATED] = ACTIONS(2622),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym___deprecated_msg] = ACTIONS(2622),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2622),
    [anon_sym_ATprotocol] = ACTIONS(2624),
    [anon_sym_ATinterface] = ACTIONS(2624),
    [anon_sym_ATimplementation] = ACTIONS(2624),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2624),
    [anon_sym_ATsynthesize] = ACTIONS(2624),
    [anon_sym_ATdynamic] = ACTIONS(2624),
    [anon_sym_ATtry] = ACTIONS(2624),
    [anon_sym___try] = ACTIONS(2622),
    [anon_sym_ATthrow] = ACTIONS(2624),
    [anon_sym_ATselector] = ACTIONS(2624),
    [anon_sym_ATavailable] = ACTIONS(2624),
    [anon_sym___builtin_available] = ACTIONS(2622),
    [anon_sym_va_arg] = ACTIONS(2622),
    [anon_sym_ATencode] = ACTIONS(2624),
    [anon_sym_ATsynchronized] = ACTIONS(2624),
    [anon_sym_BOOL] = ACTIONS(2622),
    [anon_sym_IMP] = ACTIONS(2622),
    [anon_sym_SEL] = ACTIONS(2622),
    [anon_sym_Class] = ACTIONS(2622),
    [anon_sym_id] = ACTIONS(2622),
  },
  [292] = {
    [sym_identifier] = ACTIONS(2626),
    [aux_sym_preproc_include_token1] = ACTIONS(2626),
    [aux_sym_preproc_include_token2] = ACTIONS(2626),
    [aux_sym_preproc_def_token1] = ACTIONS(2626),
    [aux_sym_preproc_if_token1] = ACTIONS(2626),
    [aux_sym_preproc_if_token2] = ACTIONS(2626),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2626),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2626),
    [aux_sym_preproc_else_token1] = ACTIONS(2626),
    [aux_sym_preproc_elif_token1] = ACTIONS(2626),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2626),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2626),
    [sym_preproc_directive] = ACTIONS(2626),
    [anon_sym_LPAREN2] = ACTIONS(2628),
    [anon_sym_BANG] = ACTIONS(2628),
    [anon_sym_TILDE] = ACTIONS(2628),
    [anon_sym_DASH] = ACTIONS(2626),
    [anon_sym_PLUS] = ACTIONS(2626),
    [anon_sym_STAR] = ACTIONS(2628),
    [anon_sym_CARET] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2628),
    [anon_sym_SEMI] = ACTIONS(2628),
    [anon_sym___extension__] = ACTIONS(2626),
    [anon_sym_typedef] = ACTIONS(2626),
    [anon_sym_extern] = ACTIONS(2626),
    [anon_sym___attribute__] = ACTIONS(2626),
    [anon_sym___attribute] = ACTIONS(2626),
    [anon_sym_noreturn] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2628),
    [anon_sym___declspec] = ACTIONS(2626),
    [anon_sym___cdecl] = ACTIONS(2626),
    [anon_sym___clrcall] = ACTIONS(2626),
    [anon_sym___stdcall] = ACTIONS(2626),
    [anon_sym___fastcall] = ACTIONS(2626),
    [anon_sym___thiscall] = ACTIONS(2626),
    [anon_sym___vectorcall] = ACTIONS(2626),
    [anon_sym_LBRACE] = ACTIONS(2628),
    [anon_sym_signed] = ACTIONS(2626),
    [anon_sym_unsigned] = ACTIONS(2626),
    [anon_sym_long] = ACTIONS(2626),
    [anon_sym_short] = ACTIONS(2626),
    [anon_sym_static] = ACTIONS(2626),
    [anon_sym_ATautoreleasepool] = ACTIONS(2628),
    [anon_sym_auto] = ACTIONS(2626),
    [anon_sym_register] = ACTIONS(2626),
    [anon_sym_inline] = ACTIONS(2626),
    [anon_sym___inline] = ACTIONS(2626),
    [anon_sym___inline__] = ACTIONS(2626),
    [anon_sym___forceinline] = ACTIONS(2626),
    [anon_sym_thread_local] = ACTIONS(2626),
    [anon_sym___thread] = ACTIONS(2626),
    [anon_sym_CG_EXTERN] = ACTIONS(2626),
    [anon_sym_CG_INLINE] = ACTIONS(2626),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2626),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2626),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2626),
    [anon_sym_IBOutlet] = ACTIONS(2626),
    [anon_sym_IBInspectable] = ACTIONS(2626),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2626),
    [anon_sym_NS_INLINE] = ACTIONS(2626),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2626),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2626),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2626),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2626),
    [anon_sym_const] = ACTIONS(2626),
    [anon_sym_constexpr] = ACTIONS(2626),
    [anon_sym_volatile] = ACTIONS(2626),
    [anon_sym_restrict] = ACTIONS(2626),
    [anon_sym___restrict__] = ACTIONS(2626),
    [anon_sym__Atomic] = ACTIONS(2626),
    [anon_sym__Noreturn] = ACTIONS(2626),
    [anon_sym__Nonnull] = ACTIONS(2626),
    [anon_sym_nullable] = ACTIONS(2626),
    [anon_sym__Complex] = ACTIONS(2626),
    [anon_sym__Nullable] = ACTIONS(2626),
    [anon_sym__Nullable_result] = ACTIONS(2626),
    [anon_sym__Null_unspecified] = ACTIONS(2626),
    [anon_sym___autoreleasing] = ACTIONS(2626),
    [anon_sym___block] = ACTIONS(2626),
    [anon_sym___bridge] = ACTIONS(2626),
    [anon_sym___bridge_retained] = ACTIONS(2626),
    [anon_sym___bridge_transfer] = ACTIONS(2626),
    [anon_sym___complex] = ACTIONS(2626),
    [anon_sym___const] = ACTIONS(2626),
    [anon_sym___imag] = ACTIONS(2626),
    [anon_sym___kindof] = ACTIONS(2626),
    [anon_sym___nonnull] = ACTIONS(2626),
    [anon_sym___nullable] = ACTIONS(2626),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2626),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2626),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2626),
    [anon_sym___real] = ACTIONS(2626),
    [anon_sym___strong] = ACTIONS(2626),
    [anon_sym___unsafe_unretained] = ACTIONS(2626),
    [anon_sym___unused] = ACTIONS(2626),
    [anon_sym___weak] = ACTIONS(2626),
    [anon_sym_alignas] = ACTIONS(2626),
    [anon_sym__Alignas] = ACTIONS(2626),
    [sym_primitive_type] = ACTIONS(2626),
    [anon_sym_enum] = ACTIONS(2626),
    [anon_sym_struct] = ACTIONS(2626),
    [anon_sym_union] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2626),
    [anon_sym_switch] = ACTIONS(2626),
    [anon_sym_case] = ACTIONS(2626),
    [anon_sym_default] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2626),
    [anon_sym_do] = ACTIONS(2626),
    [anon_sym_for] = ACTIONS(2626),
    [anon_sym_in] = ACTIONS(2626),
    [anon_sym_return] = ACTIONS(2626),
    [anon_sym_break] = ACTIONS(2626),
    [anon_sym_continue] = ACTIONS(2626),
    [anon_sym_goto] = ACTIONS(2626),
    [anon_sym_DASH_DASH] = ACTIONS(2628),
    [anon_sym_PLUS_PLUS] = ACTIONS(2628),
    [anon_sym_sizeof] = ACTIONS(2626),
    [anon_sym___alignof__] = ACTIONS(2626),
    [anon_sym___alignof] = ACTIONS(2626),
    [anon_sym__alignof] = ACTIONS(2626),
    [anon_sym_alignof] = ACTIONS(2626),
    [anon_sym__Alignof] = ACTIONS(2626),
    [anon_sym_offsetof] = ACTIONS(2626),
    [anon_sym__Generic] = ACTIONS(2626),
    [anon_sym_asm] = ACTIONS(2626),
    [anon_sym___asm__] = ACTIONS(2626),
    [anon_sym___asm] = ACTIONS(2626),
    [sym_number_literal] = ACTIONS(2628),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_AT] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2628),
    [anon_sym_u_DQUOTE] = ACTIONS(2628),
    [anon_sym_U_DQUOTE] = ACTIONS(2628),
    [anon_sym_u8_DQUOTE] = ACTIONS(2628),
    [sym_true] = ACTIONS(2626),
    [sym_false] = ACTIONS(2626),
    [anon_sym_NULL] = ACTIONS(2626),
    [anon_sym_nullptr] = ACTIONS(2626),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2626),
    [anon_sym___typeof] = ACTIONS(2626),
    [anon_sym_typeof] = ACTIONS(2626),
    [anon_sym_ATimport] = ACTIONS(2628),
    [aux_sym_preproc_undef_token1] = ACTIONS(2626),
    [anon_sym_POUND] = ACTIONS(2626),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2626),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2626),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2626),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2626),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2626),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2626),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2626),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2626),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2626),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2626),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2626),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2626),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2626),
    [anon_sym_API_AVAILABLE] = ACTIONS(2626),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2626),
    [anon_sym_API_DEPRECATED] = ACTIONS(2626),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2626),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2626),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2626),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2626),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2626),
    [anon_sym___deprecated_msg] = ACTIONS(2626),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2626),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2626),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2626),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2626),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2626),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2626),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2626),
    [anon_sym_ATprotocol] = ACTIONS(2628),
    [anon_sym_ATinterface] = ACTIONS(2628),
    [anon_sym_ATimplementation] = ACTIONS(2628),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2628),
    [anon_sym_ATsynthesize] = ACTIONS(2628),
    [anon_sym_ATdynamic] = ACTIONS(2628),
    [anon_sym_ATtry] = ACTIONS(2628),
    [anon_sym___try] = ACTIONS(2626),
    [anon_sym_ATthrow] = ACTIONS(2628),
    [anon_sym_ATselector] = ACTIONS(2628),
    [anon_sym_ATavailable] = ACTIONS(2628),
    [anon_sym___builtin_available] = ACTIONS(2626),
    [anon_sym_va_arg] = ACTIONS(2626),
    [anon_sym_ATencode] = ACTIONS(2628),
    [anon_sym_ATsynchronized] = ACTIONS(2628),
    [anon_sym_BOOL] = ACTIONS(2626),
    [anon_sym_IMP] = ACTIONS(2626),
    [anon_sym_SEL] = ACTIONS(2626),
    [anon_sym_Class] = ACTIONS(2626),
    [anon_sym_id] = ACTIONS(2626),
  },
  [293] = {
    [sym_identifier] = ACTIONS(2630),
    [aux_sym_preproc_include_token1] = ACTIONS(2630),
    [aux_sym_preproc_include_token2] = ACTIONS(2630),
    [aux_sym_preproc_def_token1] = ACTIONS(2630),
    [aux_sym_preproc_if_token1] = ACTIONS(2630),
    [aux_sym_preproc_if_token2] = ACTIONS(2630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2630),
    [aux_sym_preproc_else_token1] = ACTIONS(2630),
    [aux_sym_preproc_elif_token1] = ACTIONS(2630),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2630),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2630),
    [sym_preproc_directive] = ACTIONS(2630),
    [anon_sym_LPAREN2] = ACTIONS(2632),
    [anon_sym_BANG] = ACTIONS(2632),
    [anon_sym_TILDE] = ACTIONS(2632),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2632),
    [anon_sym_CARET] = ACTIONS(2632),
    [anon_sym_AMP] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2632),
    [anon_sym___extension__] = ACTIONS(2630),
    [anon_sym_typedef] = ACTIONS(2630),
    [anon_sym_extern] = ACTIONS(2630),
    [anon_sym___attribute__] = ACTIONS(2630),
    [anon_sym___attribute] = ACTIONS(2630),
    [anon_sym_noreturn] = ACTIONS(2630),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym___declspec] = ACTIONS(2630),
    [anon_sym___cdecl] = ACTIONS(2630),
    [anon_sym___clrcall] = ACTIONS(2630),
    [anon_sym___stdcall] = ACTIONS(2630),
    [anon_sym___fastcall] = ACTIONS(2630),
    [anon_sym___thiscall] = ACTIONS(2630),
    [anon_sym___vectorcall] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_signed] = ACTIONS(2630),
    [anon_sym_unsigned] = ACTIONS(2630),
    [anon_sym_long] = ACTIONS(2630),
    [anon_sym_short] = ACTIONS(2630),
    [anon_sym_static] = ACTIONS(2630),
    [anon_sym_ATautoreleasepool] = ACTIONS(2632),
    [anon_sym_auto] = ACTIONS(2630),
    [anon_sym_register] = ACTIONS(2630),
    [anon_sym_inline] = ACTIONS(2630),
    [anon_sym___inline] = ACTIONS(2630),
    [anon_sym___inline__] = ACTIONS(2630),
    [anon_sym___forceinline] = ACTIONS(2630),
    [anon_sym_thread_local] = ACTIONS(2630),
    [anon_sym___thread] = ACTIONS(2630),
    [anon_sym_CG_EXTERN] = ACTIONS(2630),
    [anon_sym_CG_INLINE] = ACTIONS(2630),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2630),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2630),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2630),
    [anon_sym_IBOutlet] = ACTIONS(2630),
    [anon_sym_IBInspectable] = ACTIONS(2630),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2630),
    [anon_sym_NS_INLINE] = ACTIONS(2630),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2630),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2630),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2630),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2630),
    [anon_sym_const] = ACTIONS(2630),
    [anon_sym_constexpr] = ACTIONS(2630),
    [anon_sym_volatile] = ACTIONS(2630),
    [anon_sym_restrict] = ACTIONS(2630),
    [anon_sym___restrict__] = ACTIONS(2630),
    [anon_sym__Atomic] = ACTIONS(2630),
    [anon_sym__Noreturn] = ACTIONS(2630),
    [anon_sym__Nonnull] = ACTIONS(2630),
    [anon_sym_nullable] = ACTIONS(2630),
    [anon_sym__Complex] = ACTIONS(2630),
    [anon_sym__Nullable] = ACTIONS(2630),
    [anon_sym__Nullable_result] = ACTIONS(2630),
    [anon_sym__Null_unspecified] = ACTIONS(2630),
    [anon_sym___autoreleasing] = ACTIONS(2630),
    [anon_sym___block] = ACTIONS(2630),
    [anon_sym___bridge] = ACTIONS(2630),
    [anon_sym___bridge_retained] = ACTIONS(2630),
    [anon_sym___bridge_transfer] = ACTIONS(2630),
    [anon_sym___complex] = ACTIONS(2630),
    [anon_sym___const] = ACTIONS(2630),
    [anon_sym___imag] = ACTIONS(2630),
    [anon_sym___kindof] = ACTIONS(2630),
    [anon_sym___nonnull] = ACTIONS(2630),
    [anon_sym___nullable] = ACTIONS(2630),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2630),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2630),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2630),
    [anon_sym___real] = ACTIONS(2630),
    [anon_sym___strong] = ACTIONS(2630),
    [anon_sym___unsafe_unretained] = ACTIONS(2630),
    [anon_sym___unused] = ACTIONS(2630),
    [anon_sym___weak] = ACTIONS(2630),
    [anon_sym_alignas] = ACTIONS(2630),
    [anon_sym__Alignas] = ACTIONS(2630),
    [sym_primitive_type] = ACTIONS(2630),
    [anon_sym_enum] = ACTIONS(2630),
    [anon_sym_struct] = ACTIONS(2630),
    [anon_sym_union] = ACTIONS(2630),
    [anon_sym_if] = ACTIONS(2630),
    [anon_sym_switch] = ACTIONS(2630),
    [anon_sym_case] = ACTIONS(2630),
    [anon_sym_default] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2630),
    [anon_sym_do] = ACTIONS(2630),
    [anon_sym_for] = ACTIONS(2630),
    [anon_sym_in] = ACTIONS(2630),
    [anon_sym_return] = ACTIONS(2630),
    [anon_sym_break] = ACTIONS(2630),
    [anon_sym_continue] = ACTIONS(2630),
    [anon_sym_goto] = ACTIONS(2630),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_sizeof] = ACTIONS(2630),
    [anon_sym___alignof__] = ACTIONS(2630),
    [anon_sym___alignof] = ACTIONS(2630),
    [anon_sym__alignof] = ACTIONS(2630),
    [anon_sym_alignof] = ACTIONS(2630),
    [anon_sym__Alignof] = ACTIONS(2630),
    [anon_sym_offsetof] = ACTIONS(2630),
    [anon_sym__Generic] = ACTIONS(2630),
    [anon_sym_asm] = ACTIONS(2630),
    [anon_sym___asm__] = ACTIONS(2630),
    [anon_sym___asm] = ACTIONS(2630),
    [sym_number_literal] = ACTIONS(2632),
    [anon_sym_L_SQUOTE] = ACTIONS(2632),
    [anon_sym_u_SQUOTE] = ACTIONS(2632),
    [anon_sym_U_SQUOTE] = ACTIONS(2632),
    [anon_sym_u8_SQUOTE] = ACTIONS(2632),
    [anon_sym_SQUOTE] = ACTIONS(2632),
    [anon_sym_AT] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2632),
    [anon_sym_L_DQUOTE] = ACTIONS(2632),
    [anon_sym_u_DQUOTE] = ACTIONS(2632),
    [anon_sym_U_DQUOTE] = ACTIONS(2632),
    [anon_sym_u8_DQUOTE] = ACTIONS(2632),
    [sym_true] = ACTIONS(2630),
    [sym_false] = ACTIONS(2630),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2630),
    [anon_sym___typeof] = ACTIONS(2630),
    [anon_sym_typeof] = ACTIONS(2630),
    [anon_sym_ATimport] = ACTIONS(2632),
    [aux_sym_preproc_undef_token1] = ACTIONS(2630),
    [anon_sym_POUND] = ACTIONS(2630),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2630),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2630),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2630),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2630),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2630),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2630),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2630),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2630),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2630),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2630),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2630),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2630),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2630),
    [anon_sym_API_AVAILABLE] = ACTIONS(2630),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2630),
    [anon_sym_API_DEPRECATED] = ACTIONS(2630),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2630),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2630),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2630),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2630),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2630),
    [anon_sym___deprecated_msg] = ACTIONS(2630),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2630),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2630),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2630),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2630),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2630),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2630),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2630),
    [anon_sym_ATprotocol] = ACTIONS(2632),
    [anon_sym_ATinterface] = ACTIONS(2632),
    [anon_sym_ATimplementation] = ACTIONS(2632),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2632),
    [anon_sym_ATsynthesize] = ACTIONS(2632),
    [anon_sym_ATdynamic] = ACTIONS(2632),
    [anon_sym_ATtry] = ACTIONS(2632),
    [anon_sym___try] = ACTIONS(2630),
    [anon_sym_ATthrow] = ACTIONS(2632),
    [anon_sym_ATselector] = ACTIONS(2632),
    [anon_sym_ATavailable] = ACTIONS(2632),
    [anon_sym___builtin_available] = ACTIONS(2630),
    [anon_sym_va_arg] = ACTIONS(2630),
    [anon_sym_ATencode] = ACTIONS(2632),
    [anon_sym_ATsynchronized] = ACTIONS(2632),
    [anon_sym_BOOL] = ACTIONS(2630),
    [anon_sym_IMP] = ACTIONS(2630),
    [anon_sym_SEL] = ACTIONS(2630),
    [anon_sym_Class] = ACTIONS(2630),
    [anon_sym_id] = ACTIONS(2630),
  },
  [294] = {
    [sym_identifier] = ACTIONS(2634),
    [aux_sym_preproc_include_token1] = ACTIONS(2634),
    [aux_sym_preproc_include_token2] = ACTIONS(2634),
    [aux_sym_preproc_def_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token2] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2634),
    [aux_sym_preproc_else_token1] = ACTIONS(2634),
    [aux_sym_preproc_elif_token1] = ACTIONS(2634),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2634),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2634),
    [sym_preproc_directive] = ACTIONS(2634),
    [anon_sym_LPAREN2] = ACTIONS(2636),
    [anon_sym_BANG] = ACTIONS(2636),
    [anon_sym_TILDE] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_CARET] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym___extension__] = ACTIONS(2634),
    [anon_sym_typedef] = ACTIONS(2634),
    [anon_sym_extern] = ACTIONS(2634),
    [anon_sym___attribute__] = ACTIONS(2634),
    [anon_sym___attribute] = ACTIONS(2634),
    [anon_sym_noreturn] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym___declspec] = ACTIONS(2634),
    [anon_sym___cdecl] = ACTIONS(2634),
    [anon_sym___clrcall] = ACTIONS(2634),
    [anon_sym___stdcall] = ACTIONS(2634),
    [anon_sym___fastcall] = ACTIONS(2634),
    [anon_sym___thiscall] = ACTIONS(2634),
    [anon_sym___vectorcall] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_signed] = ACTIONS(2634),
    [anon_sym_unsigned] = ACTIONS(2634),
    [anon_sym_long] = ACTIONS(2634),
    [anon_sym_short] = ACTIONS(2634),
    [anon_sym_static] = ACTIONS(2634),
    [anon_sym_ATautoreleasepool] = ACTIONS(2636),
    [anon_sym_auto] = ACTIONS(2634),
    [anon_sym_register] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym___inline] = ACTIONS(2634),
    [anon_sym___inline__] = ACTIONS(2634),
    [anon_sym___forceinline] = ACTIONS(2634),
    [anon_sym_thread_local] = ACTIONS(2634),
    [anon_sym___thread] = ACTIONS(2634),
    [anon_sym_CG_EXTERN] = ACTIONS(2634),
    [anon_sym_CG_INLINE] = ACTIONS(2634),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2634),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2634),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2634),
    [anon_sym_IBOutlet] = ACTIONS(2634),
    [anon_sym_IBInspectable] = ACTIONS(2634),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2634),
    [anon_sym_NS_INLINE] = ACTIONS(2634),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2634),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2634),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2634),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_constexpr] = ACTIONS(2634),
    [anon_sym_volatile] = ACTIONS(2634),
    [anon_sym_restrict] = ACTIONS(2634),
    [anon_sym___restrict__] = ACTIONS(2634),
    [anon_sym__Atomic] = ACTIONS(2634),
    [anon_sym__Noreturn] = ACTIONS(2634),
    [anon_sym__Nonnull] = ACTIONS(2634),
    [anon_sym_nullable] = ACTIONS(2634),
    [anon_sym__Complex] = ACTIONS(2634),
    [anon_sym__Nullable] = ACTIONS(2634),
    [anon_sym__Nullable_result] = ACTIONS(2634),
    [anon_sym__Null_unspecified] = ACTIONS(2634),
    [anon_sym___autoreleasing] = ACTIONS(2634),
    [anon_sym___block] = ACTIONS(2634),
    [anon_sym___bridge] = ACTIONS(2634),
    [anon_sym___bridge_retained] = ACTIONS(2634),
    [anon_sym___bridge_transfer] = ACTIONS(2634),
    [anon_sym___complex] = ACTIONS(2634),
    [anon_sym___const] = ACTIONS(2634),
    [anon_sym___imag] = ACTIONS(2634),
    [anon_sym___kindof] = ACTIONS(2634),
    [anon_sym___nonnull] = ACTIONS(2634),
    [anon_sym___nullable] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2634),
    [anon_sym___real] = ACTIONS(2634),
    [anon_sym___strong] = ACTIONS(2634),
    [anon_sym___unsafe_unretained] = ACTIONS(2634),
    [anon_sym___unused] = ACTIONS(2634),
    [anon_sym___weak] = ACTIONS(2634),
    [anon_sym_alignas] = ACTIONS(2634),
    [anon_sym__Alignas] = ACTIONS(2634),
    [sym_primitive_type] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_struct] = ACTIONS(2634),
    [anon_sym_union] = ACTIONS(2634),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_switch] = ACTIONS(2634),
    [anon_sym_case] = ACTIONS(2634),
    [anon_sym_default] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_do] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2634),
    [anon_sym_in] = ACTIONS(2634),
    [anon_sym_return] = ACTIONS(2634),
    [anon_sym_break] = ACTIONS(2634),
    [anon_sym_continue] = ACTIONS(2634),
    [anon_sym_goto] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_sizeof] = ACTIONS(2634),
    [anon_sym___alignof__] = ACTIONS(2634),
    [anon_sym___alignof] = ACTIONS(2634),
    [anon_sym__alignof] = ACTIONS(2634),
    [anon_sym_alignof] = ACTIONS(2634),
    [anon_sym__Alignof] = ACTIONS(2634),
    [anon_sym_offsetof] = ACTIONS(2634),
    [anon_sym__Generic] = ACTIONS(2634),
    [anon_sym_asm] = ACTIONS(2634),
    [anon_sym___asm__] = ACTIONS(2634),
    [anon_sym___asm] = ACTIONS(2634),
    [sym_number_literal] = ACTIONS(2636),
    [anon_sym_L_SQUOTE] = ACTIONS(2636),
    [anon_sym_u_SQUOTE] = ACTIONS(2636),
    [anon_sym_U_SQUOTE] = ACTIONS(2636),
    [anon_sym_u8_SQUOTE] = ACTIONS(2636),
    [anon_sym_SQUOTE] = ACTIONS(2636),
    [anon_sym_AT] = ACTIONS(2634),
    [anon_sym_DQUOTE] = ACTIONS(2636),
    [anon_sym_L_DQUOTE] = ACTIONS(2636),
    [anon_sym_u_DQUOTE] = ACTIONS(2636),
    [anon_sym_U_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8_DQUOTE] = ACTIONS(2636),
    [sym_true] = ACTIONS(2634),
    [sym_false] = ACTIONS(2634),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2634),
    [anon_sym___typeof] = ACTIONS(2634),
    [anon_sym_typeof] = ACTIONS(2634),
    [anon_sym_ATimport] = ACTIONS(2636),
    [aux_sym_preproc_undef_token1] = ACTIONS(2634),
    [anon_sym_POUND] = ACTIONS(2634),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2634),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2634),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2634),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2634),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2634),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2634),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2634),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_API_AVAILABLE] = ACTIONS(2634),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_API_DEPRECATED] = ACTIONS(2634),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2634),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym___deprecated_msg] = ACTIONS(2634),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2634),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2634),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2634),
    [anon_sym_ATprotocol] = ACTIONS(2636),
    [anon_sym_ATinterface] = ACTIONS(2636),
    [anon_sym_ATimplementation] = ACTIONS(2636),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2636),
    [anon_sym_ATsynthesize] = ACTIONS(2636),
    [anon_sym_ATdynamic] = ACTIONS(2636),
    [anon_sym_ATtry] = ACTIONS(2636),
    [anon_sym___try] = ACTIONS(2634),
    [anon_sym_ATthrow] = ACTIONS(2636),
    [anon_sym_ATselector] = ACTIONS(2636),
    [anon_sym_ATavailable] = ACTIONS(2636),
    [anon_sym___builtin_available] = ACTIONS(2634),
    [anon_sym_va_arg] = ACTIONS(2634),
    [anon_sym_ATencode] = ACTIONS(2636),
    [anon_sym_ATsynchronized] = ACTIONS(2636),
    [anon_sym_BOOL] = ACTIONS(2634),
    [anon_sym_IMP] = ACTIONS(2634),
    [anon_sym_SEL] = ACTIONS(2634),
    [anon_sym_Class] = ACTIONS(2634),
    [anon_sym_id] = ACTIONS(2634),
  },
  [295] = {
    [sym_identifier] = ACTIONS(2634),
    [aux_sym_preproc_include_token1] = ACTIONS(2634),
    [aux_sym_preproc_include_token2] = ACTIONS(2634),
    [aux_sym_preproc_def_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token2] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2634),
    [aux_sym_preproc_else_token1] = ACTIONS(2634),
    [aux_sym_preproc_elif_token1] = ACTIONS(2634),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2634),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2634),
    [sym_preproc_directive] = ACTIONS(2634),
    [anon_sym_LPAREN2] = ACTIONS(2636),
    [anon_sym_BANG] = ACTIONS(2636),
    [anon_sym_TILDE] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_CARET] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym___extension__] = ACTIONS(2634),
    [anon_sym_typedef] = ACTIONS(2634),
    [anon_sym_extern] = ACTIONS(2634),
    [anon_sym___attribute__] = ACTIONS(2634),
    [anon_sym___attribute] = ACTIONS(2634),
    [anon_sym_noreturn] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym___declspec] = ACTIONS(2634),
    [anon_sym___cdecl] = ACTIONS(2634),
    [anon_sym___clrcall] = ACTIONS(2634),
    [anon_sym___stdcall] = ACTIONS(2634),
    [anon_sym___fastcall] = ACTIONS(2634),
    [anon_sym___thiscall] = ACTIONS(2634),
    [anon_sym___vectorcall] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_signed] = ACTIONS(2634),
    [anon_sym_unsigned] = ACTIONS(2634),
    [anon_sym_long] = ACTIONS(2634),
    [anon_sym_short] = ACTIONS(2634),
    [anon_sym_static] = ACTIONS(2634),
    [anon_sym_ATautoreleasepool] = ACTIONS(2636),
    [anon_sym_auto] = ACTIONS(2634),
    [anon_sym_register] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym___inline] = ACTIONS(2634),
    [anon_sym___inline__] = ACTIONS(2634),
    [anon_sym___forceinline] = ACTIONS(2634),
    [anon_sym_thread_local] = ACTIONS(2634),
    [anon_sym___thread] = ACTIONS(2634),
    [anon_sym_CG_EXTERN] = ACTIONS(2634),
    [anon_sym_CG_INLINE] = ACTIONS(2634),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2634),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2634),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2634),
    [anon_sym_IBOutlet] = ACTIONS(2634),
    [anon_sym_IBInspectable] = ACTIONS(2634),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2634),
    [anon_sym_NS_INLINE] = ACTIONS(2634),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2634),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2634),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2634),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_constexpr] = ACTIONS(2634),
    [anon_sym_volatile] = ACTIONS(2634),
    [anon_sym_restrict] = ACTIONS(2634),
    [anon_sym___restrict__] = ACTIONS(2634),
    [anon_sym__Atomic] = ACTIONS(2634),
    [anon_sym__Noreturn] = ACTIONS(2634),
    [anon_sym__Nonnull] = ACTIONS(2634),
    [anon_sym_nullable] = ACTIONS(2634),
    [anon_sym__Complex] = ACTIONS(2634),
    [anon_sym__Nullable] = ACTIONS(2634),
    [anon_sym__Nullable_result] = ACTIONS(2634),
    [anon_sym__Null_unspecified] = ACTIONS(2634),
    [anon_sym___autoreleasing] = ACTIONS(2634),
    [anon_sym___block] = ACTIONS(2634),
    [anon_sym___bridge] = ACTIONS(2634),
    [anon_sym___bridge_retained] = ACTIONS(2634),
    [anon_sym___bridge_transfer] = ACTIONS(2634),
    [anon_sym___complex] = ACTIONS(2634),
    [anon_sym___const] = ACTIONS(2634),
    [anon_sym___imag] = ACTIONS(2634),
    [anon_sym___kindof] = ACTIONS(2634),
    [anon_sym___nonnull] = ACTIONS(2634),
    [anon_sym___nullable] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2634),
    [anon_sym___real] = ACTIONS(2634),
    [anon_sym___strong] = ACTIONS(2634),
    [anon_sym___unsafe_unretained] = ACTIONS(2634),
    [anon_sym___unused] = ACTIONS(2634),
    [anon_sym___weak] = ACTIONS(2634),
    [anon_sym_alignas] = ACTIONS(2634),
    [anon_sym__Alignas] = ACTIONS(2634),
    [sym_primitive_type] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_struct] = ACTIONS(2634),
    [anon_sym_union] = ACTIONS(2634),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_switch] = ACTIONS(2634),
    [anon_sym_case] = ACTIONS(2634),
    [anon_sym_default] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_do] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2634),
    [anon_sym_in] = ACTIONS(2634),
    [anon_sym_return] = ACTIONS(2634),
    [anon_sym_break] = ACTIONS(2634),
    [anon_sym_continue] = ACTIONS(2634),
    [anon_sym_goto] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_sizeof] = ACTIONS(2634),
    [anon_sym___alignof__] = ACTIONS(2634),
    [anon_sym___alignof] = ACTIONS(2634),
    [anon_sym__alignof] = ACTIONS(2634),
    [anon_sym_alignof] = ACTIONS(2634),
    [anon_sym__Alignof] = ACTIONS(2634),
    [anon_sym_offsetof] = ACTIONS(2634),
    [anon_sym__Generic] = ACTIONS(2634),
    [anon_sym_asm] = ACTIONS(2634),
    [anon_sym___asm__] = ACTIONS(2634),
    [anon_sym___asm] = ACTIONS(2634),
    [sym_number_literal] = ACTIONS(2636),
    [anon_sym_L_SQUOTE] = ACTIONS(2636),
    [anon_sym_u_SQUOTE] = ACTIONS(2636),
    [anon_sym_U_SQUOTE] = ACTIONS(2636),
    [anon_sym_u8_SQUOTE] = ACTIONS(2636),
    [anon_sym_SQUOTE] = ACTIONS(2636),
    [anon_sym_AT] = ACTIONS(2634),
    [anon_sym_DQUOTE] = ACTIONS(2636),
    [anon_sym_L_DQUOTE] = ACTIONS(2636),
    [anon_sym_u_DQUOTE] = ACTIONS(2636),
    [anon_sym_U_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8_DQUOTE] = ACTIONS(2636),
    [sym_true] = ACTIONS(2634),
    [sym_false] = ACTIONS(2634),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2634),
    [anon_sym___typeof] = ACTIONS(2634),
    [anon_sym_typeof] = ACTIONS(2634),
    [anon_sym_ATimport] = ACTIONS(2636),
    [aux_sym_preproc_undef_token1] = ACTIONS(2634),
    [anon_sym_POUND] = ACTIONS(2634),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2634),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2634),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2634),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2634),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2634),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2634),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2634),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_API_AVAILABLE] = ACTIONS(2634),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_API_DEPRECATED] = ACTIONS(2634),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2634),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym___deprecated_msg] = ACTIONS(2634),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2634),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2634),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2634),
    [anon_sym_ATprotocol] = ACTIONS(2636),
    [anon_sym_ATinterface] = ACTIONS(2636),
    [anon_sym_ATimplementation] = ACTIONS(2636),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2636),
    [anon_sym_ATsynthesize] = ACTIONS(2636),
    [anon_sym_ATdynamic] = ACTIONS(2636),
    [anon_sym_ATtry] = ACTIONS(2636),
    [anon_sym___try] = ACTIONS(2634),
    [anon_sym_ATthrow] = ACTIONS(2636),
    [anon_sym_ATselector] = ACTIONS(2636),
    [anon_sym_ATavailable] = ACTIONS(2636),
    [anon_sym___builtin_available] = ACTIONS(2634),
    [anon_sym_va_arg] = ACTIONS(2634),
    [anon_sym_ATencode] = ACTIONS(2636),
    [anon_sym_ATsynchronized] = ACTIONS(2636),
    [anon_sym_BOOL] = ACTIONS(2634),
    [anon_sym_IMP] = ACTIONS(2634),
    [anon_sym_SEL] = ACTIONS(2634),
    [anon_sym_Class] = ACTIONS(2634),
    [anon_sym_id] = ACTIONS(2634),
  },
  [296] = {
    [sym_identifier] = ACTIONS(2638),
    [aux_sym_preproc_include_token1] = ACTIONS(2638),
    [aux_sym_preproc_include_token2] = ACTIONS(2638),
    [aux_sym_preproc_def_token1] = ACTIONS(2638),
    [aux_sym_preproc_if_token1] = ACTIONS(2638),
    [aux_sym_preproc_if_token2] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2638),
    [aux_sym_preproc_else_token1] = ACTIONS(2638),
    [aux_sym_preproc_elif_token1] = ACTIONS(2638),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2638),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2638),
    [sym_preproc_directive] = ACTIONS(2638),
    [anon_sym_LPAREN2] = ACTIONS(2640),
    [anon_sym_BANG] = ACTIONS(2640),
    [anon_sym_TILDE] = ACTIONS(2640),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2640),
    [anon_sym_CARET] = ACTIONS(2640),
    [anon_sym_AMP] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym___extension__] = ACTIONS(2638),
    [anon_sym_typedef] = ACTIONS(2638),
    [anon_sym_extern] = ACTIONS(2638),
    [anon_sym___attribute__] = ACTIONS(2638),
    [anon_sym___attribute] = ACTIONS(2638),
    [anon_sym_noreturn] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym___declspec] = ACTIONS(2638),
    [anon_sym___cdecl] = ACTIONS(2638),
    [anon_sym___clrcall] = ACTIONS(2638),
    [anon_sym___stdcall] = ACTIONS(2638),
    [anon_sym___fastcall] = ACTIONS(2638),
    [anon_sym___thiscall] = ACTIONS(2638),
    [anon_sym___vectorcall] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_signed] = ACTIONS(2638),
    [anon_sym_unsigned] = ACTIONS(2638),
    [anon_sym_long] = ACTIONS(2638),
    [anon_sym_short] = ACTIONS(2638),
    [anon_sym_static] = ACTIONS(2638),
    [anon_sym_ATautoreleasepool] = ACTIONS(2640),
    [anon_sym_auto] = ACTIONS(2638),
    [anon_sym_register] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym___inline] = ACTIONS(2638),
    [anon_sym___inline__] = ACTIONS(2638),
    [anon_sym___forceinline] = ACTIONS(2638),
    [anon_sym_thread_local] = ACTIONS(2638),
    [anon_sym___thread] = ACTIONS(2638),
    [anon_sym_CG_EXTERN] = ACTIONS(2638),
    [anon_sym_CG_INLINE] = ACTIONS(2638),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2638),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2638),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2638),
    [anon_sym_IBOutlet] = ACTIONS(2638),
    [anon_sym_IBInspectable] = ACTIONS(2638),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2638),
    [anon_sym_NS_INLINE] = ACTIONS(2638),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2638),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2638),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2638),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_constexpr] = ACTIONS(2638),
    [anon_sym_volatile] = ACTIONS(2638),
    [anon_sym_restrict] = ACTIONS(2638),
    [anon_sym___restrict__] = ACTIONS(2638),
    [anon_sym__Atomic] = ACTIONS(2638),
    [anon_sym__Noreturn] = ACTIONS(2638),
    [anon_sym__Nonnull] = ACTIONS(2638),
    [anon_sym_nullable] = ACTIONS(2638),
    [anon_sym__Complex] = ACTIONS(2638),
    [anon_sym__Nullable] = ACTIONS(2638),
    [anon_sym__Nullable_result] = ACTIONS(2638),
    [anon_sym__Null_unspecified] = ACTIONS(2638),
    [anon_sym___autoreleasing] = ACTIONS(2638),
    [anon_sym___block] = ACTIONS(2638),
    [anon_sym___bridge] = ACTIONS(2638),
    [anon_sym___bridge_retained] = ACTIONS(2638),
    [anon_sym___bridge_transfer] = ACTIONS(2638),
    [anon_sym___complex] = ACTIONS(2638),
    [anon_sym___const] = ACTIONS(2638),
    [anon_sym___imag] = ACTIONS(2638),
    [anon_sym___kindof] = ACTIONS(2638),
    [anon_sym___nonnull] = ACTIONS(2638),
    [anon_sym___nullable] = ACTIONS(2638),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2638),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2638),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2638),
    [anon_sym___real] = ACTIONS(2638),
    [anon_sym___strong] = ACTIONS(2638),
    [anon_sym___unsafe_unretained] = ACTIONS(2638),
    [anon_sym___unused] = ACTIONS(2638),
    [anon_sym___weak] = ACTIONS(2638),
    [anon_sym_alignas] = ACTIONS(2638),
    [anon_sym__Alignas] = ACTIONS(2638),
    [sym_primitive_type] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_struct] = ACTIONS(2638),
    [anon_sym_union] = ACTIONS(2638),
    [anon_sym_if] = ACTIONS(2638),
    [anon_sym_switch] = ACTIONS(2638),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_default] = ACTIONS(2638),
    [anon_sym_while] = ACTIONS(2638),
    [anon_sym_do] = ACTIONS(2638),
    [anon_sym_for] = ACTIONS(2638),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_return] = ACTIONS(2638),
    [anon_sym_break] = ACTIONS(2638),
    [anon_sym_continue] = ACTIONS(2638),
    [anon_sym_goto] = ACTIONS(2638),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_sizeof] = ACTIONS(2638),
    [anon_sym___alignof__] = ACTIONS(2638),
    [anon_sym___alignof] = ACTIONS(2638),
    [anon_sym__alignof] = ACTIONS(2638),
    [anon_sym_alignof] = ACTIONS(2638),
    [anon_sym__Alignof] = ACTIONS(2638),
    [anon_sym_offsetof] = ACTIONS(2638),
    [anon_sym__Generic] = ACTIONS(2638),
    [anon_sym_asm] = ACTIONS(2638),
    [anon_sym___asm__] = ACTIONS(2638),
    [anon_sym___asm] = ACTIONS(2638),
    [sym_number_literal] = ACTIONS(2640),
    [anon_sym_L_SQUOTE] = ACTIONS(2640),
    [anon_sym_u_SQUOTE] = ACTIONS(2640),
    [anon_sym_U_SQUOTE] = ACTIONS(2640),
    [anon_sym_u8_SQUOTE] = ACTIONS(2640),
    [anon_sym_SQUOTE] = ACTIONS(2640),
    [anon_sym_AT] = ACTIONS(2638),
    [anon_sym_DQUOTE] = ACTIONS(2640),
    [anon_sym_L_DQUOTE] = ACTIONS(2640),
    [anon_sym_u_DQUOTE] = ACTIONS(2640),
    [anon_sym_U_DQUOTE] = ACTIONS(2640),
    [anon_sym_u8_DQUOTE] = ACTIONS(2640),
    [sym_true] = ACTIONS(2638),
    [sym_false] = ACTIONS(2638),
    [anon_sym_NULL] = ACTIONS(2638),
    [anon_sym_nullptr] = ACTIONS(2638),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2638),
    [anon_sym___typeof] = ACTIONS(2638),
    [anon_sym_typeof] = ACTIONS(2638),
    [anon_sym_ATimport] = ACTIONS(2640),
    [aux_sym_preproc_undef_token1] = ACTIONS(2638),
    [anon_sym_POUND] = ACTIONS(2638),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2638),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2638),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2638),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2638),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2638),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2638),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2638),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2638),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2638),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2638),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2638),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2638),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2638),
    [anon_sym_API_AVAILABLE] = ACTIONS(2638),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2638),
    [anon_sym_API_DEPRECATED] = ACTIONS(2638),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2638),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2638),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2638),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2638),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2638),
    [anon_sym___deprecated_msg] = ACTIONS(2638),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2638),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2638),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2638),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2638),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2638),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2638),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2638),
    [anon_sym_ATprotocol] = ACTIONS(2640),
    [anon_sym_ATinterface] = ACTIONS(2640),
    [anon_sym_ATimplementation] = ACTIONS(2640),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2640),
    [anon_sym_ATsynthesize] = ACTIONS(2640),
    [anon_sym_ATdynamic] = ACTIONS(2640),
    [anon_sym_ATtry] = ACTIONS(2640),
    [anon_sym___try] = ACTIONS(2638),
    [anon_sym_ATthrow] = ACTIONS(2640),
    [anon_sym_ATselector] = ACTIONS(2640),
    [anon_sym_ATavailable] = ACTIONS(2640),
    [anon_sym___builtin_available] = ACTIONS(2638),
    [anon_sym_va_arg] = ACTIONS(2638),
    [anon_sym_ATencode] = ACTIONS(2640),
    [anon_sym_ATsynchronized] = ACTIONS(2640),
    [anon_sym_BOOL] = ACTIONS(2638),
    [anon_sym_IMP] = ACTIONS(2638),
    [anon_sym_SEL] = ACTIONS(2638),
    [anon_sym_Class] = ACTIONS(2638),
    [anon_sym_id] = ACTIONS(2638),
  },
  [297] = {
    [sym_identifier] = ACTIONS(2642),
    [aux_sym_preproc_include_token1] = ACTIONS(2642),
    [aux_sym_preproc_include_token2] = ACTIONS(2642),
    [aux_sym_preproc_def_token1] = ACTIONS(2642),
    [aux_sym_preproc_if_token1] = ACTIONS(2642),
    [aux_sym_preproc_if_token2] = ACTIONS(2642),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2642),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2642),
    [aux_sym_preproc_else_token1] = ACTIONS(2642),
    [aux_sym_preproc_elif_token1] = ACTIONS(2642),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2642),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2642),
    [sym_preproc_directive] = ACTIONS(2642),
    [anon_sym_LPAREN2] = ACTIONS(2644),
    [anon_sym_BANG] = ACTIONS(2644),
    [anon_sym_TILDE] = ACTIONS(2644),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2644),
    [anon_sym_CARET] = ACTIONS(2644),
    [anon_sym_AMP] = ACTIONS(2644),
    [anon_sym_SEMI] = ACTIONS(2644),
    [anon_sym___extension__] = ACTIONS(2642),
    [anon_sym_typedef] = ACTIONS(2642),
    [anon_sym_extern] = ACTIONS(2642),
    [anon_sym___attribute__] = ACTIONS(2642),
    [anon_sym___attribute] = ACTIONS(2642),
    [anon_sym_noreturn] = ACTIONS(2642),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym___declspec] = ACTIONS(2642),
    [anon_sym___cdecl] = ACTIONS(2642),
    [anon_sym___clrcall] = ACTIONS(2642),
    [anon_sym___stdcall] = ACTIONS(2642),
    [anon_sym___fastcall] = ACTIONS(2642),
    [anon_sym___thiscall] = ACTIONS(2642),
    [anon_sym___vectorcall] = ACTIONS(2642),
    [anon_sym_LBRACE] = ACTIONS(2644),
    [anon_sym_signed] = ACTIONS(2642),
    [anon_sym_unsigned] = ACTIONS(2642),
    [anon_sym_long] = ACTIONS(2642),
    [anon_sym_short] = ACTIONS(2642),
    [anon_sym_static] = ACTIONS(2642),
    [anon_sym_ATautoreleasepool] = ACTIONS(2644),
    [anon_sym_auto] = ACTIONS(2642),
    [anon_sym_register] = ACTIONS(2642),
    [anon_sym_inline] = ACTIONS(2642),
    [anon_sym___inline] = ACTIONS(2642),
    [anon_sym___inline__] = ACTIONS(2642),
    [anon_sym___forceinline] = ACTIONS(2642),
    [anon_sym_thread_local] = ACTIONS(2642),
    [anon_sym___thread] = ACTIONS(2642),
    [anon_sym_CG_EXTERN] = ACTIONS(2642),
    [anon_sym_CG_INLINE] = ACTIONS(2642),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2642),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2642),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2642),
    [anon_sym_IBOutlet] = ACTIONS(2642),
    [anon_sym_IBInspectable] = ACTIONS(2642),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2642),
    [anon_sym_NS_INLINE] = ACTIONS(2642),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2642),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2642),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2642),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2642),
    [anon_sym_const] = ACTIONS(2642),
    [anon_sym_constexpr] = ACTIONS(2642),
    [anon_sym_volatile] = ACTIONS(2642),
    [anon_sym_restrict] = ACTIONS(2642),
    [anon_sym___restrict__] = ACTIONS(2642),
    [anon_sym__Atomic] = ACTIONS(2642),
    [anon_sym__Noreturn] = ACTIONS(2642),
    [anon_sym__Nonnull] = ACTIONS(2642),
    [anon_sym_nullable] = ACTIONS(2642),
    [anon_sym__Complex] = ACTIONS(2642),
    [anon_sym__Nullable] = ACTIONS(2642),
    [anon_sym__Nullable_result] = ACTIONS(2642),
    [anon_sym__Null_unspecified] = ACTIONS(2642),
    [anon_sym___autoreleasing] = ACTIONS(2642),
    [anon_sym___block] = ACTIONS(2642),
    [anon_sym___bridge] = ACTIONS(2642),
    [anon_sym___bridge_retained] = ACTIONS(2642),
    [anon_sym___bridge_transfer] = ACTIONS(2642),
    [anon_sym___complex] = ACTIONS(2642),
    [anon_sym___const] = ACTIONS(2642),
    [anon_sym___imag] = ACTIONS(2642),
    [anon_sym___kindof] = ACTIONS(2642),
    [anon_sym___nonnull] = ACTIONS(2642),
    [anon_sym___nullable] = ACTIONS(2642),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2642),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2642),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2642),
    [anon_sym___real] = ACTIONS(2642),
    [anon_sym___strong] = ACTIONS(2642),
    [anon_sym___unsafe_unretained] = ACTIONS(2642),
    [anon_sym___unused] = ACTIONS(2642),
    [anon_sym___weak] = ACTIONS(2642),
    [anon_sym_alignas] = ACTIONS(2642),
    [anon_sym__Alignas] = ACTIONS(2642),
    [sym_primitive_type] = ACTIONS(2642),
    [anon_sym_enum] = ACTIONS(2642),
    [anon_sym_struct] = ACTIONS(2642),
    [anon_sym_union] = ACTIONS(2642),
    [anon_sym_if] = ACTIONS(2642),
    [anon_sym_switch] = ACTIONS(2642),
    [anon_sym_case] = ACTIONS(2642),
    [anon_sym_default] = ACTIONS(2642),
    [anon_sym_while] = ACTIONS(2642),
    [anon_sym_do] = ACTIONS(2642),
    [anon_sym_for] = ACTIONS(2642),
    [anon_sym_in] = ACTIONS(2642),
    [anon_sym_return] = ACTIONS(2642),
    [anon_sym_break] = ACTIONS(2642),
    [anon_sym_continue] = ACTIONS(2642),
    [anon_sym_goto] = ACTIONS(2642),
    [anon_sym_DASH_DASH] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2644),
    [anon_sym_sizeof] = ACTIONS(2642),
    [anon_sym___alignof__] = ACTIONS(2642),
    [anon_sym___alignof] = ACTIONS(2642),
    [anon_sym__alignof] = ACTIONS(2642),
    [anon_sym_alignof] = ACTIONS(2642),
    [anon_sym__Alignof] = ACTIONS(2642),
    [anon_sym_offsetof] = ACTIONS(2642),
    [anon_sym__Generic] = ACTIONS(2642),
    [anon_sym_asm] = ACTIONS(2642),
    [anon_sym___asm__] = ACTIONS(2642),
    [anon_sym___asm] = ACTIONS(2642),
    [sym_number_literal] = ACTIONS(2644),
    [anon_sym_L_SQUOTE] = ACTIONS(2644),
    [anon_sym_u_SQUOTE] = ACTIONS(2644),
    [anon_sym_U_SQUOTE] = ACTIONS(2644),
    [anon_sym_u8_SQUOTE] = ACTIONS(2644),
    [anon_sym_SQUOTE] = ACTIONS(2644),
    [anon_sym_AT] = ACTIONS(2642),
    [anon_sym_DQUOTE] = ACTIONS(2644),
    [anon_sym_L_DQUOTE] = ACTIONS(2644),
    [anon_sym_u_DQUOTE] = ACTIONS(2644),
    [anon_sym_U_DQUOTE] = ACTIONS(2644),
    [anon_sym_u8_DQUOTE] = ACTIONS(2644),
    [sym_true] = ACTIONS(2642),
    [sym_false] = ACTIONS(2642),
    [anon_sym_NULL] = ACTIONS(2642),
    [anon_sym_nullptr] = ACTIONS(2642),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2642),
    [anon_sym___typeof] = ACTIONS(2642),
    [anon_sym_typeof] = ACTIONS(2642),
    [anon_sym_ATimport] = ACTIONS(2644),
    [aux_sym_preproc_undef_token1] = ACTIONS(2642),
    [anon_sym_POUND] = ACTIONS(2642),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2642),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2642),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2642),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2642),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2642),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2642),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2642),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2642),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2642),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2642),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2642),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2642),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2642),
    [anon_sym_API_AVAILABLE] = ACTIONS(2642),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2642),
    [anon_sym_API_DEPRECATED] = ACTIONS(2642),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2642),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2642),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2642),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2642),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2642),
    [anon_sym___deprecated_msg] = ACTIONS(2642),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2642),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2642),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2642),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2642),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2642),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2642),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2642),
    [anon_sym_ATprotocol] = ACTIONS(2644),
    [anon_sym_ATinterface] = ACTIONS(2644),
    [anon_sym_ATimplementation] = ACTIONS(2644),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2644),
    [anon_sym_ATsynthesize] = ACTIONS(2644),
    [anon_sym_ATdynamic] = ACTIONS(2644),
    [anon_sym_ATtry] = ACTIONS(2644),
    [anon_sym___try] = ACTIONS(2642),
    [anon_sym_ATthrow] = ACTIONS(2644),
    [anon_sym_ATselector] = ACTIONS(2644),
    [anon_sym_ATavailable] = ACTIONS(2644),
    [anon_sym___builtin_available] = ACTIONS(2642),
    [anon_sym_va_arg] = ACTIONS(2642),
    [anon_sym_ATencode] = ACTIONS(2644),
    [anon_sym_ATsynchronized] = ACTIONS(2644),
    [anon_sym_BOOL] = ACTIONS(2642),
    [anon_sym_IMP] = ACTIONS(2642),
    [anon_sym_SEL] = ACTIONS(2642),
    [anon_sym_Class] = ACTIONS(2642),
    [anon_sym_id] = ACTIONS(2642),
  },
  [298] = {
    [sym_identifier] = ACTIONS(2646),
    [aux_sym_preproc_include_token1] = ACTIONS(2646),
    [aux_sym_preproc_include_token2] = ACTIONS(2646),
    [aux_sym_preproc_def_token1] = ACTIONS(2646),
    [aux_sym_preproc_if_token1] = ACTIONS(2646),
    [aux_sym_preproc_if_token2] = ACTIONS(2646),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2646),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2646),
    [aux_sym_preproc_else_token1] = ACTIONS(2646),
    [aux_sym_preproc_elif_token1] = ACTIONS(2646),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2646),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2646),
    [sym_preproc_directive] = ACTIONS(2646),
    [anon_sym_LPAREN2] = ACTIONS(2648),
    [anon_sym_BANG] = ACTIONS(2648),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_DASH] = ACTIONS(2646),
    [anon_sym_PLUS] = ACTIONS(2646),
    [anon_sym_STAR] = ACTIONS(2648),
    [anon_sym_CARET] = ACTIONS(2648),
    [anon_sym_AMP] = ACTIONS(2648),
    [anon_sym_SEMI] = ACTIONS(2648),
    [anon_sym___extension__] = ACTIONS(2646),
    [anon_sym_typedef] = ACTIONS(2646),
    [anon_sym_extern] = ACTIONS(2646),
    [anon_sym___attribute__] = ACTIONS(2646),
    [anon_sym___attribute] = ACTIONS(2646),
    [anon_sym_noreturn] = ACTIONS(2646),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym___declspec] = ACTIONS(2646),
    [anon_sym___cdecl] = ACTIONS(2646),
    [anon_sym___clrcall] = ACTIONS(2646),
    [anon_sym___stdcall] = ACTIONS(2646),
    [anon_sym___fastcall] = ACTIONS(2646),
    [anon_sym___thiscall] = ACTIONS(2646),
    [anon_sym___vectorcall] = ACTIONS(2646),
    [anon_sym_LBRACE] = ACTIONS(2648),
    [anon_sym_signed] = ACTIONS(2646),
    [anon_sym_unsigned] = ACTIONS(2646),
    [anon_sym_long] = ACTIONS(2646),
    [anon_sym_short] = ACTIONS(2646),
    [anon_sym_static] = ACTIONS(2646),
    [anon_sym_ATautoreleasepool] = ACTIONS(2648),
    [anon_sym_auto] = ACTIONS(2646),
    [anon_sym_register] = ACTIONS(2646),
    [anon_sym_inline] = ACTIONS(2646),
    [anon_sym___inline] = ACTIONS(2646),
    [anon_sym___inline__] = ACTIONS(2646),
    [anon_sym___forceinline] = ACTIONS(2646),
    [anon_sym_thread_local] = ACTIONS(2646),
    [anon_sym___thread] = ACTIONS(2646),
    [anon_sym_CG_EXTERN] = ACTIONS(2646),
    [anon_sym_CG_INLINE] = ACTIONS(2646),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2646),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2646),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2646),
    [anon_sym_IBOutlet] = ACTIONS(2646),
    [anon_sym_IBInspectable] = ACTIONS(2646),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2646),
    [anon_sym_NS_INLINE] = ACTIONS(2646),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2646),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2646),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2646),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2646),
    [anon_sym_const] = ACTIONS(2646),
    [anon_sym_constexpr] = ACTIONS(2646),
    [anon_sym_volatile] = ACTIONS(2646),
    [anon_sym_restrict] = ACTIONS(2646),
    [anon_sym___restrict__] = ACTIONS(2646),
    [anon_sym__Atomic] = ACTIONS(2646),
    [anon_sym__Noreturn] = ACTIONS(2646),
    [anon_sym__Nonnull] = ACTIONS(2646),
    [anon_sym_nullable] = ACTIONS(2646),
    [anon_sym__Complex] = ACTIONS(2646),
    [anon_sym__Nullable] = ACTIONS(2646),
    [anon_sym__Nullable_result] = ACTIONS(2646),
    [anon_sym__Null_unspecified] = ACTIONS(2646),
    [anon_sym___autoreleasing] = ACTIONS(2646),
    [anon_sym___block] = ACTIONS(2646),
    [anon_sym___bridge] = ACTIONS(2646),
    [anon_sym___bridge_retained] = ACTIONS(2646),
    [anon_sym___bridge_transfer] = ACTIONS(2646),
    [anon_sym___complex] = ACTIONS(2646),
    [anon_sym___const] = ACTIONS(2646),
    [anon_sym___imag] = ACTIONS(2646),
    [anon_sym___kindof] = ACTIONS(2646),
    [anon_sym___nonnull] = ACTIONS(2646),
    [anon_sym___nullable] = ACTIONS(2646),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2646),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2646),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2646),
    [anon_sym___real] = ACTIONS(2646),
    [anon_sym___strong] = ACTIONS(2646),
    [anon_sym___unsafe_unretained] = ACTIONS(2646),
    [anon_sym___unused] = ACTIONS(2646),
    [anon_sym___weak] = ACTIONS(2646),
    [anon_sym_alignas] = ACTIONS(2646),
    [anon_sym__Alignas] = ACTIONS(2646),
    [sym_primitive_type] = ACTIONS(2646),
    [anon_sym_enum] = ACTIONS(2646),
    [anon_sym_struct] = ACTIONS(2646),
    [anon_sym_union] = ACTIONS(2646),
    [anon_sym_if] = ACTIONS(2646),
    [anon_sym_switch] = ACTIONS(2646),
    [anon_sym_case] = ACTIONS(2646),
    [anon_sym_default] = ACTIONS(2646),
    [anon_sym_while] = ACTIONS(2646),
    [anon_sym_do] = ACTIONS(2646),
    [anon_sym_for] = ACTIONS(2646),
    [anon_sym_in] = ACTIONS(2646),
    [anon_sym_return] = ACTIONS(2646),
    [anon_sym_break] = ACTIONS(2646),
    [anon_sym_continue] = ACTIONS(2646),
    [anon_sym_goto] = ACTIONS(2646),
    [anon_sym_DASH_DASH] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(2648),
    [anon_sym_sizeof] = ACTIONS(2646),
    [anon_sym___alignof__] = ACTIONS(2646),
    [anon_sym___alignof] = ACTIONS(2646),
    [anon_sym__alignof] = ACTIONS(2646),
    [anon_sym_alignof] = ACTIONS(2646),
    [anon_sym__Alignof] = ACTIONS(2646),
    [anon_sym_offsetof] = ACTIONS(2646),
    [anon_sym__Generic] = ACTIONS(2646),
    [anon_sym_asm] = ACTIONS(2646),
    [anon_sym___asm__] = ACTIONS(2646),
    [anon_sym___asm] = ACTIONS(2646),
    [sym_number_literal] = ACTIONS(2648),
    [anon_sym_L_SQUOTE] = ACTIONS(2648),
    [anon_sym_u_SQUOTE] = ACTIONS(2648),
    [anon_sym_U_SQUOTE] = ACTIONS(2648),
    [anon_sym_u8_SQUOTE] = ACTIONS(2648),
    [anon_sym_SQUOTE] = ACTIONS(2648),
    [anon_sym_AT] = ACTIONS(2646),
    [anon_sym_DQUOTE] = ACTIONS(2648),
    [anon_sym_L_DQUOTE] = ACTIONS(2648),
    [anon_sym_u_DQUOTE] = ACTIONS(2648),
    [anon_sym_U_DQUOTE] = ACTIONS(2648),
    [anon_sym_u8_DQUOTE] = ACTIONS(2648),
    [sym_true] = ACTIONS(2646),
    [sym_false] = ACTIONS(2646),
    [anon_sym_NULL] = ACTIONS(2646),
    [anon_sym_nullptr] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2646),
    [anon_sym___typeof] = ACTIONS(2646),
    [anon_sym_typeof] = ACTIONS(2646),
    [anon_sym_ATimport] = ACTIONS(2648),
    [aux_sym_preproc_undef_token1] = ACTIONS(2646),
    [anon_sym_POUND] = ACTIONS(2646),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2646),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2646),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2646),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2646),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2646),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2646),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2646),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2646),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2646),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2646),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2646),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2646),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2646),
    [anon_sym_API_AVAILABLE] = ACTIONS(2646),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2646),
    [anon_sym_API_DEPRECATED] = ACTIONS(2646),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2646),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2646),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2646),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2646),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2646),
    [anon_sym___deprecated_msg] = ACTIONS(2646),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2646),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2646),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2646),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2646),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2646),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2646),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2646),
    [anon_sym_ATprotocol] = ACTIONS(2648),
    [anon_sym_ATinterface] = ACTIONS(2648),
    [anon_sym_ATimplementation] = ACTIONS(2648),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2648),
    [anon_sym_ATsynthesize] = ACTIONS(2648),
    [anon_sym_ATdynamic] = ACTIONS(2648),
    [anon_sym_ATtry] = ACTIONS(2648),
    [anon_sym___try] = ACTIONS(2646),
    [anon_sym_ATthrow] = ACTIONS(2648),
    [anon_sym_ATselector] = ACTIONS(2648),
    [anon_sym_ATavailable] = ACTIONS(2648),
    [anon_sym___builtin_available] = ACTIONS(2646),
    [anon_sym_va_arg] = ACTIONS(2646),
    [anon_sym_ATencode] = ACTIONS(2648),
    [anon_sym_ATsynchronized] = ACTIONS(2648),
    [anon_sym_BOOL] = ACTIONS(2646),
    [anon_sym_IMP] = ACTIONS(2646),
    [anon_sym_SEL] = ACTIONS(2646),
    [anon_sym_Class] = ACTIONS(2646),
    [anon_sym_id] = ACTIONS(2646),
  },
  [299] = {
    [sym_identifier] = ACTIONS(2650),
    [aux_sym_preproc_include_token1] = ACTIONS(2650),
    [aux_sym_preproc_include_token2] = ACTIONS(2650),
    [aux_sym_preproc_def_token1] = ACTIONS(2650),
    [aux_sym_preproc_if_token1] = ACTIONS(2650),
    [aux_sym_preproc_if_token2] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2650),
    [aux_sym_preproc_else_token1] = ACTIONS(2650),
    [aux_sym_preproc_elif_token1] = ACTIONS(2650),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2650),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2650),
    [sym_preproc_directive] = ACTIONS(2650),
    [anon_sym_LPAREN2] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(2652),
    [anon_sym_TILDE] = ACTIONS(2652),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2652),
    [anon_sym_CARET] = ACTIONS(2652),
    [anon_sym_AMP] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym___extension__] = ACTIONS(2650),
    [anon_sym_typedef] = ACTIONS(2650),
    [anon_sym_extern] = ACTIONS(2650),
    [anon_sym___attribute__] = ACTIONS(2650),
    [anon_sym___attribute] = ACTIONS(2650),
    [anon_sym_noreturn] = ACTIONS(2650),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym___declspec] = ACTIONS(2650),
    [anon_sym___cdecl] = ACTIONS(2650),
    [anon_sym___clrcall] = ACTIONS(2650),
    [anon_sym___stdcall] = ACTIONS(2650),
    [anon_sym___fastcall] = ACTIONS(2650),
    [anon_sym___thiscall] = ACTIONS(2650),
    [anon_sym___vectorcall] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_signed] = ACTIONS(2650),
    [anon_sym_unsigned] = ACTIONS(2650),
    [anon_sym_long] = ACTIONS(2650),
    [anon_sym_short] = ACTIONS(2650),
    [anon_sym_static] = ACTIONS(2650),
    [anon_sym_ATautoreleasepool] = ACTIONS(2652),
    [anon_sym_auto] = ACTIONS(2650),
    [anon_sym_register] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym___inline] = ACTIONS(2650),
    [anon_sym___inline__] = ACTIONS(2650),
    [anon_sym___forceinline] = ACTIONS(2650),
    [anon_sym_thread_local] = ACTIONS(2650),
    [anon_sym___thread] = ACTIONS(2650),
    [anon_sym_CG_EXTERN] = ACTIONS(2650),
    [anon_sym_CG_INLINE] = ACTIONS(2650),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2650),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2650),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2650),
    [anon_sym_IBOutlet] = ACTIONS(2650),
    [anon_sym_IBInspectable] = ACTIONS(2650),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2650),
    [anon_sym_NS_INLINE] = ACTIONS(2650),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2650),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2650),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2650),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_constexpr] = ACTIONS(2650),
    [anon_sym_volatile] = ACTIONS(2650),
    [anon_sym_restrict] = ACTIONS(2650),
    [anon_sym___restrict__] = ACTIONS(2650),
    [anon_sym__Atomic] = ACTIONS(2650),
    [anon_sym__Noreturn] = ACTIONS(2650),
    [anon_sym__Nonnull] = ACTIONS(2650),
    [anon_sym_nullable] = ACTIONS(2650),
    [anon_sym__Complex] = ACTIONS(2650),
    [anon_sym__Nullable] = ACTIONS(2650),
    [anon_sym__Nullable_result] = ACTIONS(2650),
    [anon_sym__Null_unspecified] = ACTIONS(2650),
    [anon_sym___autoreleasing] = ACTIONS(2650),
    [anon_sym___block] = ACTIONS(2650),
    [anon_sym___bridge] = ACTIONS(2650),
    [anon_sym___bridge_retained] = ACTIONS(2650),
    [anon_sym___bridge_transfer] = ACTIONS(2650),
    [anon_sym___complex] = ACTIONS(2650),
    [anon_sym___const] = ACTIONS(2650),
    [anon_sym___imag] = ACTIONS(2650),
    [anon_sym___kindof] = ACTIONS(2650),
    [anon_sym___nonnull] = ACTIONS(2650),
    [anon_sym___nullable] = ACTIONS(2650),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2650),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2650),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2650),
    [anon_sym___real] = ACTIONS(2650),
    [anon_sym___strong] = ACTIONS(2650),
    [anon_sym___unsafe_unretained] = ACTIONS(2650),
    [anon_sym___unused] = ACTIONS(2650),
    [anon_sym___weak] = ACTIONS(2650),
    [anon_sym_alignas] = ACTIONS(2650),
    [anon_sym__Alignas] = ACTIONS(2650),
    [sym_primitive_type] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_struct] = ACTIONS(2650),
    [anon_sym_union] = ACTIONS(2650),
    [anon_sym_if] = ACTIONS(2650),
    [anon_sym_switch] = ACTIONS(2650),
    [anon_sym_case] = ACTIONS(2650),
    [anon_sym_default] = ACTIONS(2650),
    [anon_sym_while] = ACTIONS(2650),
    [anon_sym_do] = ACTIONS(2650),
    [anon_sym_for] = ACTIONS(2650),
    [anon_sym_in] = ACTIONS(2650),
    [anon_sym_return] = ACTIONS(2650),
    [anon_sym_break] = ACTIONS(2650),
    [anon_sym_continue] = ACTIONS(2650),
    [anon_sym_goto] = ACTIONS(2650),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_sizeof] = ACTIONS(2650),
    [anon_sym___alignof__] = ACTIONS(2650),
    [anon_sym___alignof] = ACTIONS(2650),
    [anon_sym__alignof] = ACTIONS(2650),
    [anon_sym_alignof] = ACTIONS(2650),
    [anon_sym__Alignof] = ACTIONS(2650),
    [anon_sym_offsetof] = ACTIONS(2650),
    [anon_sym__Generic] = ACTIONS(2650),
    [anon_sym_asm] = ACTIONS(2650),
    [anon_sym___asm__] = ACTIONS(2650),
    [anon_sym___asm] = ACTIONS(2650),
    [sym_number_literal] = ACTIONS(2652),
    [anon_sym_L_SQUOTE] = ACTIONS(2652),
    [anon_sym_u_SQUOTE] = ACTIONS(2652),
    [anon_sym_U_SQUOTE] = ACTIONS(2652),
    [anon_sym_u8_SQUOTE] = ACTIONS(2652),
    [anon_sym_SQUOTE] = ACTIONS(2652),
    [anon_sym_AT] = ACTIONS(2650),
    [anon_sym_DQUOTE] = ACTIONS(2652),
    [anon_sym_L_DQUOTE] = ACTIONS(2652),
    [anon_sym_u_DQUOTE] = ACTIONS(2652),
    [anon_sym_U_DQUOTE] = ACTIONS(2652),
    [anon_sym_u8_DQUOTE] = ACTIONS(2652),
    [sym_true] = ACTIONS(2650),
    [sym_false] = ACTIONS(2650),
    [anon_sym_NULL] = ACTIONS(2650),
    [anon_sym_nullptr] = ACTIONS(2650),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2650),
    [anon_sym___typeof] = ACTIONS(2650),
    [anon_sym_typeof] = ACTIONS(2650),
    [anon_sym_ATimport] = ACTIONS(2652),
    [aux_sym_preproc_undef_token1] = ACTIONS(2650),
    [anon_sym_POUND] = ACTIONS(2650),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2650),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2650),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2650),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2650),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2650),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2650),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2650),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2650),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2650),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2650),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2650),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2650),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2650),
    [anon_sym_API_AVAILABLE] = ACTIONS(2650),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2650),
    [anon_sym_API_DEPRECATED] = ACTIONS(2650),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2650),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2650),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2650),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2650),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2650),
    [anon_sym___deprecated_msg] = ACTIONS(2650),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2650),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2650),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2650),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2650),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2650),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2650),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2650),
    [anon_sym_ATprotocol] = ACTIONS(2652),
    [anon_sym_ATinterface] = ACTIONS(2652),
    [anon_sym_ATimplementation] = ACTIONS(2652),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2652),
    [anon_sym_ATsynthesize] = ACTIONS(2652),
    [anon_sym_ATdynamic] = ACTIONS(2652),
    [anon_sym_ATtry] = ACTIONS(2652),
    [anon_sym___try] = ACTIONS(2650),
    [anon_sym_ATthrow] = ACTIONS(2652),
    [anon_sym_ATselector] = ACTIONS(2652),
    [anon_sym_ATavailable] = ACTIONS(2652),
    [anon_sym___builtin_available] = ACTIONS(2650),
    [anon_sym_va_arg] = ACTIONS(2650),
    [anon_sym_ATencode] = ACTIONS(2652),
    [anon_sym_ATsynchronized] = ACTIONS(2652),
    [anon_sym_BOOL] = ACTIONS(2650),
    [anon_sym_IMP] = ACTIONS(2650),
    [anon_sym_SEL] = ACTIONS(2650),
    [anon_sym_Class] = ACTIONS(2650),
    [anon_sym_id] = ACTIONS(2650),
  },
  [300] = {
    [sym_identifier] = ACTIONS(2654),
    [aux_sym_preproc_include_token1] = ACTIONS(2654),
    [aux_sym_preproc_include_token2] = ACTIONS(2654),
    [aux_sym_preproc_def_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token2] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2654),
    [aux_sym_preproc_else_token1] = ACTIONS(2654),
    [aux_sym_preproc_elif_token1] = ACTIONS(2654),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2654),
    [sym_preproc_directive] = ACTIONS(2654),
    [anon_sym_LPAREN2] = ACTIONS(2656),
    [anon_sym_BANG] = ACTIONS(2656),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_CARET] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2656),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym___extension__] = ACTIONS(2654),
    [anon_sym_typedef] = ACTIONS(2654),
    [anon_sym_extern] = ACTIONS(2654),
    [anon_sym___attribute__] = ACTIONS(2654),
    [anon_sym___attribute] = ACTIONS(2654),
    [anon_sym_noreturn] = ACTIONS(2654),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym___declspec] = ACTIONS(2654),
    [anon_sym___cdecl] = ACTIONS(2654),
    [anon_sym___clrcall] = ACTIONS(2654),
    [anon_sym___stdcall] = ACTIONS(2654),
    [anon_sym___fastcall] = ACTIONS(2654),
    [anon_sym___thiscall] = ACTIONS(2654),
    [anon_sym___vectorcall] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_signed] = ACTIONS(2654),
    [anon_sym_unsigned] = ACTIONS(2654),
    [anon_sym_long] = ACTIONS(2654),
    [anon_sym_short] = ACTIONS(2654),
    [anon_sym_static] = ACTIONS(2654),
    [anon_sym_ATautoreleasepool] = ACTIONS(2656),
    [anon_sym_auto] = ACTIONS(2654),
    [anon_sym_register] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym___inline] = ACTIONS(2654),
    [anon_sym___inline__] = ACTIONS(2654),
    [anon_sym___forceinline] = ACTIONS(2654),
    [anon_sym_thread_local] = ACTIONS(2654),
    [anon_sym___thread] = ACTIONS(2654),
    [anon_sym_CG_EXTERN] = ACTIONS(2654),
    [anon_sym_CG_INLINE] = ACTIONS(2654),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2654),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2654),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2654),
    [anon_sym_IBOutlet] = ACTIONS(2654),
    [anon_sym_IBInspectable] = ACTIONS(2654),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2654),
    [anon_sym_NS_INLINE] = ACTIONS(2654),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2654),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2654),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2654),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_constexpr] = ACTIONS(2654),
    [anon_sym_volatile] = ACTIONS(2654),
    [anon_sym_restrict] = ACTIONS(2654),
    [anon_sym___restrict__] = ACTIONS(2654),
    [anon_sym__Atomic] = ACTIONS(2654),
    [anon_sym__Noreturn] = ACTIONS(2654),
    [anon_sym__Nonnull] = ACTIONS(2654),
    [anon_sym_nullable] = ACTIONS(2654),
    [anon_sym__Complex] = ACTIONS(2654),
    [anon_sym__Nullable] = ACTIONS(2654),
    [anon_sym__Nullable_result] = ACTIONS(2654),
    [anon_sym__Null_unspecified] = ACTIONS(2654),
    [anon_sym___autoreleasing] = ACTIONS(2654),
    [anon_sym___block] = ACTIONS(2654),
    [anon_sym___bridge] = ACTIONS(2654),
    [anon_sym___bridge_retained] = ACTIONS(2654),
    [anon_sym___bridge_transfer] = ACTIONS(2654),
    [anon_sym___complex] = ACTIONS(2654),
    [anon_sym___const] = ACTIONS(2654),
    [anon_sym___imag] = ACTIONS(2654),
    [anon_sym___kindof] = ACTIONS(2654),
    [anon_sym___nonnull] = ACTIONS(2654),
    [anon_sym___nullable] = ACTIONS(2654),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2654),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2654),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2654),
    [anon_sym___real] = ACTIONS(2654),
    [anon_sym___strong] = ACTIONS(2654),
    [anon_sym___unsafe_unretained] = ACTIONS(2654),
    [anon_sym___unused] = ACTIONS(2654),
    [anon_sym___weak] = ACTIONS(2654),
    [anon_sym_alignas] = ACTIONS(2654),
    [anon_sym__Alignas] = ACTIONS(2654),
    [sym_primitive_type] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_struct] = ACTIONS(2654),
    [anon_sym_union] = ACTIONS(2654),
    [anon_sym_if] = ACTIONS(2654),
    [anon_sym_switch] = ACTIONS(2654),
    [anon_sym_case] = ACTIONS(2654),
    [anon_sym_default] = ACTIONS(2654),
    [anon_sym_while] = ACTIONS(2654),
    [anon_sym_do] = ACTIONS(2654),
    [anon_sym_for] = ACTIONS(2654),
    [anon_sym_in] = ACTIONS(2654),
    [anon_sym_return] = ACTIONS(2654),
    [anon_sym_break] = ACTIONS(2654),
    [anon_sym_continue] = ACTIONS(2654),
    [anon_sym_goto] = ACTIONS(2654),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_sizeof] = ACTIONS(2654),
    [anon_sym___alignof__] = ACTIONS(2654),
    [anon_sym___alignof] = ACTIONS(2654),
    [anon_sym__alignof] = ACTIONS(2654),
    [anon_sym_alignof] = ACTIONS(2654),
    [anon_sym__Alignof] = ACTIONS(2654),
    [anon_sym_offsetof] = ACTIONS(2654),
    [anon_sym__Generic] = ACTIONS(2654),
    [anon_sym_asm] = ACTIONS(2654),
    [anon_sym___asm__] = ACTIONS(2654),
    [anon_sym___asm] = ACTIONS(2654),
    [sym_number_literal] = ACTIONS(2656),
    [anon_sym_L_SQUOTE] = ACTIONS(2656),
    [anon_sym_u_SQUOTE] = ACTIONS(2656),
    [anon_sym_U_SQUOTE] = ACTIONS(2656),
    [anon_sym_u8_SQUOTE] = ACTIONS(2656),
    [anon_sym_SQUOTE] = ACTIONS(2656),
    [anon_sym_AT] = ACTIONS(2654),
    [anon_sym_DQUOTE] = ACTIONS(2656),
    [anon_sym_L_DQUOTE] = ACTIONS(2656),
    [anon_sym_u_DQUOTE] = ACTIONS(2656),
    [anon_sym_U_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8_DQUOTE] = ACTIONS(2656),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [anon_sym_NULL] = ACTIONS(2654),
    [anon_sym_nullptr] = ACTIONS(2654),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2654),
    [anon_sym___typeof] = ACTIONS(2654),
    [anon_sym_typeof] = ACTIONS(2654),
    [anon_sym_ATimport] = ACTIONS(2656),
    [aux_sym_preproc_undef_token1] = ACTIONS(2654),
    [anon_sym_POUND] = ACTIONS(2654),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2654),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2654),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2654),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2654),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2654),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2654),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2654),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2654),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2654),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2654),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2654),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2654),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2654),
    [anon_sym_API_AVAILABLE] = ACTIONS(2654),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2654),
    [anon_sym_API_DEPRECATED] = ACTIONS(2654),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2654),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2654),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2654),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2654),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2654),
    [anon_sym___deprecated_msg] = ACTIONS(2654),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2654),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2654),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2654),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2654),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2654),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2654),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2654),
    [anon_sym_ATprotocol] = ACTIONS(2656),
    [anon_sym_ATinterface] = ACTIONS(2656),
    [anon_sym_ATimplementation] = ACTIONS(2656),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2656),
    [anon_sym_ATsynthesize] = ACTIONS(2656),
    [anon_sym_ATdynamic] = ACTIONS(2656),
    [anon_sym_ATtry] = ACTIONS(2656),
    [anon_sym___try] = ACTIONS(2654),
    [anon_sym_ATthrow] = ACTIONS(2656),
    [anon_sym_ATselector] = ACTIONS(2656),
    [anon_sym_ATavailable] = ACTIONS(2656),
    [anon_sym___builtin_available] = ACTIONS(2654),
    [anon_sym_va_arg] = ACTIONS(2654),
    [anon_sym_ATencode] = ACTIONS(2656),
    [anon_sym_ATsynchronized] = ACTIONS(2656),
    [anon_sym_BOOL] = ACTIONS(2654),
    [anon_sym_IMP] = ACTIONS(2654),
    [anon_sym_SEL] = ACTIONS(2654),
    [anon_sym_Class] = ACTIONS(2654),
    [anon_sym_id] = ACTIONS(2654),
  },
  [301] = {
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_include_token1] = ACTIONS(2658),
    [aux_sym_preproc_include_token2] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token2] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2658),
    [aux_sym_preproc_else_token1] = ACTIONS(2658),
    [aux_sym_preproc_elif_token1] = ACTIONS(2658),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2658),
    [sym_preproc_directive] = ACTIONS(2658),
    [anon_sym_LPAREN2] = ACTIONS(2660),
    [anon_sym_BANG] = ACTIONS(2660),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2660),
    [anon_sym_CARET] = ACTIONS(2660),
    [anon_sym_AMP] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2658),
    [anon_sym_typedef] = ACTIONS(2658),
    [anon_sym_extern] = ACTIONS(2658),
    [anon_sym___attribute__] = ACTIONS(2658),
    [anon_sym___attribute] = ACTIONS(2658),
    [anon_sym_noreturn] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym___declspec] = ACTIONS(2658),
    [anon_sym___cdecl] = ACTIONS(2658),
    [anon_sym___clrcall] = ACTIONS(2658),
    [anon_sym___stdcall] = ACTIONS(2658),
    [anon_sym___fastcall] = ACTIONS(2658),
    [anon_sym___thiscall] = ACTIONS(2658),
    [anon_sym___vectorcall] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_signed] = ACTIONS(2658),
    [anon_sym_unsigned] = ACTIONS(2658),
    [anon_sym_long] = ACTIONS(2658),
    [anon_sym_short] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2658),
    [anon_sym_ATautoreleasepool] = ACTIONS(2660),
    [anon_sym_auto] = ACTIONS(2658),
    [anon_sym_register] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym___inline] = ACTIONS(2658),
    [anon_sym___inline__] = ACTIONS(2658),
    [anon_sym___forceinline] = ACTIONS(2658),
    [anon_sym_thread_local] = ACTIONS(2658),
    [anon_sym___thread] = ACTIONS(2658),
    [anon_sym_CG_EXTERN] = ACTIONS(2658),
    [anon_sym_CG_INLINE] = ACTIONS(2658),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2658),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2658),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2658),
    [anon_sym_IBOutlet] = ACTIONS(2658),
    [anon_sym_IBInspectable] = ACTIONS(2658),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2658),
    [anon_sym_NS_INLINE] = ACTIONS(2658),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2658),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2658),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2658),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_constexpr] = ACTIONS(2658),
    [anon_sym_volatile] = ACTIONS(2658),
    [anon_sym_restrict] = ACTIONS(2658),
    [anon_sym___restrict__] = ACTIONS(2658),
    [anon_sym__Atomic] = ACTIONS(2658),
    [anon_sym__Noreturn] = ACTIONS(2658),
    [anon_sym__Nonnull] = ACTIONS(2658),
    [anon_sym_nullable] = ACTIONS(2658),
    [anon_sym__Complex] = ACTIONS(2658),
    [anon_sym__Nullable] = ACTIONS(2658),
    [anon_sym__Nullable_result] = ACTIONS(2658),
    [anon_sym__Null_unspecified] = ACTIONS(2658),
    [anon_sym___autoreleasing] = ACTIONS(2658),
    [anon_sym___block] = ACTIONS(2658),
    [anon_sym___bridge] = ACTIONS(2658),
    [anon_sym___bridge_retained] = ACTIONS(2658),
    [anon_sym___bridge_transfer] = ACTIONS(2658),
    [anon_sym___complex] = ACTIONS(2658),
    [anon_sym___const] = ACTIONS(2658),
    [anon_sym___imag] = ACTIONS(2658),
    [anon_sym___kindof] = ACTIONS(2658),
    [anon_sym___nonnull] = ACTIONS(2658),
    [anon_sym___nullable] = ACTIONS(2658),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2658),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2658),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2658),
    [anon_sym___real] = ACTIONS(2658),
    [anon_sym___strong] = ACTIONS(2658),
    [anon_sym___unsafe_unretained] = ACTIONS(2658),
    [anon_sym___unused] = ACTIONS(2658),
    [anon_sym___weak] = ACTIONS(2658),
    [anon_sym_alignas] = ACTIONS(2658),
    [anon_sym__Alignas] = ACTIONS(2658),
    [sym_primitive_type] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_struct] = ACTIONS(2658),
    [anon_sym_union] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_case] = ACTIONS(2658),
    [anon_sym_default] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_in] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_goto] = ACTIONS(2658),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_sizeof] = ACTIONS(2658),
    [anon_sym___alignof__] = ACTIONS(2658),
    [anon_sym___alignof] = ACTIONS(2658),
    [anon_sym__alignof] = ACTIONS(2658),
    [anon_sym_alignof] = ACTIONS(2658),
    [anon_sym__Alignof] = ACTIONS(2658),
    [anon_sym_offsetof] = ACTIONS(2658),
    [anon_sym__Generic] = ACTIONS(2658),
    [anon_sym_asm] = ACTIONS(2658),
    [anon_sym___asm__] = ACTIONS(2658),
    [anon_sym___asm] = ACTIONS(2658),
    [sym_number_literal] = ACTIONS(2660),
    [anon_sym_L_SQUOTE] = ACTIONS(2660),
    [anon_sym_u_SQUOTE] = ACTIONS(2660),
    [anon_sym_U_SQUOTE] = ACTIONS(2660),
    [anon_sym_u8_SQUOTE] = ACTIONS(2660),
    [anon_sym_SQUOTE] = ACTIONS(2660),
    [anon_sym_AT] = ACTIONS(2658),
    [anon_sym_DQUOTE] = ACTIONS(2660),
    [anon_sym_L_DQUOTE] = ACTIONS(2660),
    [anon_sym_u_DQUOTE] = ACTIONS(2660),
    [anon_sym_U_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8_DQUOTE] = ACTIONS(2660),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [anon_sym_NULL] = ACTIONS(2658),
    [anon_sym_nullptr] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2658),
    [anon_sym___typeof] = ACTIONS(2658),
    [anon_sym_typeof] = ACTIONS(2658),
    [anon_sym_ATimport] = ACTIONS(2660),
    [aux_sym_preproc_undef_token1] = ACTIONS(2658),
    [anon_sym_POUND] = ACTIONS(2658),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2658),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2658),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2658),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2658),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2658),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2658),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2658),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2658),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2658),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_API_AVAILABLE] = ACTIONS(2658),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_API_DEPRECATED] = ACTIONS(2658),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2658),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2658),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2658),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2658),
    [anon_sym___deprecated_msg] = ACTIONS(2658),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2658),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2658),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2658),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2658),
    [anon_sym_ATprotocol] = ACTIONS(2660),
    [anon_sym_ATinterface] = ACTIONS(2660),
    [anon_sym_ATimplementation] = ACTIONS(2660),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2660),
    [anon_sym_ATsynthesize] = ACTIONS(2660),
    [anon_sym_ATdynamic] = ACTIONS(2660),
    [anon_sym_ATtry] = ACTIONS(2660),
    [anon_sym___try] = ACTIONS(2658),
    [anon_sym_ATthrow] = ACTIONS(2660),
    [anon_sym_ATselector] = ACTIONS(2660),
    [anon_sym_ATavailable] = ACTIONS(2660),
    [anon_sym___builtin_available] = ACTIONS(2658),
    [anon_sym_va_arg] = ACTIONS(2658),
    [anon_sym_ATencode] = ACTIONS(2660),
    [anon_sym_ATsynchronized] = ACTIONS(2660),
    [anon_sym_BOOL] = ACTIONS(2658),
    [anon_sym_IMP] = ACTIONS(2658),
    [anon_sym_SEL] = ACTIONS(2658),
    [anon_sym_Class] = ACTIONS(2658),
    [anon_sym_id] = ACTIONS(2658),
  },
  [302] = {
    [sym_identifier] = ACTIONS(2662),
    [aux_sym_preproc_include_token1] = ACTIONS(2662),
    [aux_sym_preproc_include_token2] = ACTIONS(2662),
    [aux_sym_preproc_def_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2662),
    [aux_sym_preproc_else_token1] = ACTIONS(2662),
    [aux_sym_preproc_elif_token1] = ACTIONS(2662),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2662),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2662),
    [sym_preproc_directive] = ACTIONS(2662),
    [anon_sym_LPAREN2] = ACTIONS(2664),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2664),
    [anon_sym_CARET] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym___extension__] = ACTIONS(2662),
    [anon_sym_typedef] = ACTIONS(2662),
    [anon_sym_extern] = ACTIONS(2662),
    [anon_sym___attribute__] = ACTIONS(2662),
    [anon_sym___attribute] = ACTIONS(2662),
    [anon_sym_noreturn] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym___declspec] = ACTIONS(2662),
    [anon_sym___cdecl] = ACTIONS(2662),
    [anon_sym___clrcall] = ACTIONS(2662),
    [anon_sym___stdcall] = ACTIONS(2662),
    [anon_sym___fastcall] = ACTIONS(2662),
    [anon_sym___thiscall] = ACTIONS(2662),
    [anon_sym___vectorcall] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_signed] = ACTIONS(2662),
    [anon_sym_unsigned] = ACTIONS(2662),
    [anon_sym_long] = ACTIONS(2662),
    [anon_sym_short] = ACTIONS(2662),
    [anon_sym_static] = ACTIONS(2662),
    [anon_sym_ATautoreleasepool] = ACTIONS(2664),
    [anon_sym_auto] = ACTIONS(2662),
    [anon_sym_register] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym___inline] = ACTIONS(2662),
    [anon_sym___inline__] = ACTIONS(2662),
    [anon_sym___forceinline] = ACTIONS(2662),
    [anon_sym_thread_local] = ACTIONS(2662),
    [anon_sym___thread] = ACTIONS(2662),
    [anon_sym_CG_EXTERN] = ACTIONS(2662),
    [anon_sym_CG_INLINE] = ACTIONS(2662),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2662),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2662),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2662),
    [anon_sym_IBOutlet] = ACTIONS(2662),
    [anon_sym_IBInspectable] = ACTIONS(2662),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2662),
    [anon_sym_NS_INLINE] = ACTIONS(2662),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2662),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2662),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2662),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_constexpr] = ACTIONS(2662),
    [anon_sym_volatile] = ACTIONS(2662),
    [anon_sym_restrict] = ACTIONS(2662),
    [anon_sym___restrict__] = ACTIONS(2662),
    [anon_sym__Atomic] = ACTIONS(2662),
    [anon_sym__Noreturn] = ACTIONS(2662),
    [anon_sym__Nonnull] = ACTIONS(2662),
    [anon_sym_nullable] = ACTIONS(2662),
    [anon_sym__Complex] = ACTIONS(2662),
    [anon_sym__Nullable] = ACTIONS(2662),
    [anon_sym__Nullable_result] = ACTIONS(2662),
    [anon_sym__Null_unspecified] = ACTIONS(2662),
    [anon_sym___autoreleasing] = ACTIONS(2662),
    [anon_sym___block] = ACTIONS(2662),
    [anon_sym___bridge] = ACTIONS(2662),
    [anon_sym___bridge_retained] = ACTIONS(2662),
    [anon_sym___bridge_transfer] = ACTIONS(2662),
    [anon_sym___complex] = ACTIONS(2662),
    [anon_sym___const] = ACTIONS(2662),
    [anon_sym___imag] = ACTIONS(2662),
    [anon_sym___kindof] = ACTIONS(2662),
    [anon_sym___nonnull] = ACTIONS(2662),
    [anon_sym___nullable] = ACTIONS(2662),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2662),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2662),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2662),
    [anon_sym___real] = ACTIONS(2662),
    [anon_sym___strong] = ACTIONS(2662),
    [anon_sym___unsafe_unretained] = ACTIONS(2662),
    [anon_sym___unused] = ACTIONS(2662),
    [anon_sym___weak] = ACTIONS(2662),
    [anon_sym_alignas] = ACTIONS(2662),
    [anon_sym__Alignas] = ACTIONS(2662),
    [sym_primitive_type] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_struct] = ACTIONS(2662),
    [anon_sym_union] = ACTIONS(2662),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_switch] = ACTIONS(2662),
    [anon_sym_case] = ACTIONS(2662),
    [anon_sym_default] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_in] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_break] = ACTIONS(2662),
    [anon_sym_continue] = ACTIONS(2662),
    [anon_sym_goto] = ACTIONS(2662),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_sizeof] = ACTIONS(2662),
    [anon_sym___alignof__] = ACTIONS(2662),
    [anon_sym___alignof] = ACTIONS(2662),
    [anon_sym__alignof] = ACTIONS(2662),
    [anon_sym_alignof] = ACTIONS(2662),
    [anon_sym__Alignof] = ACTIONS(2662),
    [anon_sym_offsetof] = ACTIONS(2662),
    [anon_sym__Generic] = ACTIONS(2662),
    [anon_sym_asm] = ACTIONS(2662),
    [anon_sym___asm__] = ACTIONS(2662),
    [anon_sym___asm] = ACTIONS(2662),
    [sym_number_literal] = ACTIONS(2664),
    [anon_sym_L_SQUOTE] = ACTIONS(2664),
    [anon_sym_u_SQUOTE] = ACTIONS(2664),
    [anon_sym_U_SQUOTE] = ACTIONS(2664),
    [anon_sym_u8_SQUOTE] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [anon_sym_AT] = ACTIONS(2662),
    [anon_sym_DQUOTE] = ACTIONS(2664),
    [anon_sym_L_DQUOTE] = ACTIONS(2664),
    [anon_sym_u_DQUOTE] = ACTIONS(2664),
    [anon_sym_U_DQUOTE] = ACTIONS(2664),
    [anon_sym_u8_DQUOTE] = ACTIONS(2664),
    [sym_true] = ACTIONS(2662),
    [sym_false] = ACTIONS(2662),
    [anon_sym_NULL] = ACTIONS(2662),
    [anon_sym_nullptr] = ACTIONS(2662),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2662),
    [anon_sym___typeof] = ACTIONS(2662),
    [anon_sym_typeof] = ACTIONS(2662),
    [anon_sym_ATimport] = ACTIONS(2664),
    [aux_sym_preproc_undef_token1] = ACTIONS(2662),
    [anon_sym_POUND] = ACTIONS(2662),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2662),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2662),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2662),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2662),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2662),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2662),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2662),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2662),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2662),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_API_AVAILABLE] = ACTIONS(2662),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_API_DEPRECATED] = ACTIONS(2662),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2662),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2662),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2662),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2662),
    [anon_sym___deprecated_msg] = ACTIONS(2662),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2662),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2662),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2662),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2662),
    [anon_sym_ATprotocol] = ACTIONS(2664),
    [anon_sym_ATinterface] = ACTIONS(2664),
    [anon_sym_ATimplementation] = ACTIONS(2664),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2664),
    [anon_sym_ATsynthesize] = ACTIONS(2664),
    [anon_sym_ATdynamic] = ACTIONS(2664),
    [anon_sym_ATtry] = ACTIONS(2664),
    [anon_sym___try] = ACTIONS(2662),
    [anon_sym_ATthrow] = ACTIONS(2664),
    [anon_sym_ATselector] = ACTIONS(2664),
    [anon_sym_ATavailable] = ACTIONS(2664),
    [anon_sym___builtin_available] = ACTIONS(2662),
    [anon_sym_va_arg] = ACTIONS(2662),
    [anon_sym_ATencode] = ACTIONS(2664),
    [anon_sym_ATsynchronized] = ACTIONS(2664),
    [anon_sym_BOOL] = ACTIONS(2662),
    [anon_sym_IMP] = ACTIONS(2662),
    [anon_sym_SEL] = ACTIONS(2662),
    [anon_sym_Class] = ACTIONS(2662),
    [anon_sym_id] = ACTIONS(2662),
  },
  [303] = {
    [sym_identifier] = ACTIONS(2666),
    [aux_sym_preproc_include_token1] = ACTIONS(2666),
    [aux_sym_preproc_include_token2] = ACTIONS(2666),
    [aux_sym_preproc_def_token1] = ACTIONS(2666),
    [aux_sym_preproc_if_token1] = ACTIONS(2666),
    [aux_sym_preproc_if_token2] = ACTIONS(2666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2666),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2666),
    [aux_sym_preproc_else_token1] = ACTIONS(2666),
    [aux_sym_preproc_elif_token1] = ACTIONS(2666),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2666),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2666),
    [sym_preproc_directive] = ACTIONS(2666),
    [anon_sym_LPAREN2] = ACTIONS(2668),
    [anon_sym_BANG] = ACTIONS(2668),
    [anon_sym_TILDE] = ACTIONS(2668),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_STAR] = ACTIONS(2668),
    [anon_sym_CARET] = ACTIONS(2668),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2668),
    [anon_sym___extension__] = ACTIONS(2666),
    [anon_sym_typedef] = ACTIONS(2666),
    [anon_sym_extern] = ACTIONS(2666),
    [anon_sym___attribute__] = ACTIONS(2666),
    [anon_sym___attribute] = ACTIONS(2666),
    [anon_sym_noreturn] = ACTIONS(2666),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym___declspec] = ACTIONS(2666),
    [anon_sym___cdecl] = ACTIONS(2666),
    [anon_sym___clrcall] = ACTIONS(2666),
    [anon_sym___stdcall] = ACTIONS(2666),
    [anon_sym___fastcall] = ACTIONS(2666),
    [anon_sym___thiscall] = ACTIONS(2666),
    [anon_sym___vectorcall] = ACTIONS(2666),
    [anon_sym_LBRACE] = ACTIONS(2668),
    [anon_sym_signed] = ACTIONS(2666),
    [anon_sym_unsigned] = ACTIONS(2666),
    [anon_sym_long] = ACTIONS(2666),
    [anon_sym_short] = ACTIONS(2666),
    [anon_sym_static] = ACTIONS(2666),
    [anon_sym_ATautoreleasepool] = ACTIONS(2668),
    [anon_sym_auto] = ACTIONS(2666),
    [anon_sym_register] = ACTIONS(2666),
    [anon_sym_inline] = ACTIONS(2666),
    [anon_sym___inline] = ACTIONS(2666),
    [anon_sym___inline__] = ACTIONS(2666),
    [anon_sym___forceinline] = ACTIONS(2666),
    [anon_sym_thread_local] = ACTIONS(2666),
    [anon_sym___thread] = ACTIONS(2666),
    [anon_sym_CG_EXTERN] = ACTIONS(2666),
    [anon_sym_CG_INLINE] = ACTIONS(2666),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2666),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2666),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2666),
    [anon_sym_IBOutlet] = ACTIONS(2666),
    [anon_sym_IBInspectable] = ACTIONS(2666),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2666),
    [anon_sym_NS_INLINE] = ACTIONS(2666),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2666),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2666),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2666),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2666),
    [anon_sym_const] = ACTIONS(2666),
    [anon_sym_constexpr] = ACTIONS(2666),
    [anon_sym_volatile] = ACTIONS(2666),
    [anon_sym_restrict] = ACTIONS(2666),
    [anon_sym___restrict__] = ACTIONS(2666),
    [anon_sym__Atomic] = ACTIONS(2666),
    [anon_sym__Noreturn] = ACTIONS(2666),
    [anon_sym__Nonnull] = ACTIONS(2666),
    [anon_sym_nullable] = ACTIONS(2666),
    [anon_sym__Complex] = ACTIONS(2666),
    [anon_sym__Nullable] = ACTIONS(2666),
    [anon_sym__Nullable_result] = ACTIONS(2666),
    [anon_sym__Null_unspecified] = ACTIONS(2666),
    [anon_sym___autoreleasing] = ACTIONS(2666),
    [anon_sym___block] = ACTIONS(2666),
    [anon_sym___bridge] = ACTIONS(2666),
    [anon_sym___bridge_retained] = ACTIONS(2666),
    [anon_sym___bridge_transfer] = ACTIONS(2666),
    [anon_sym___complex] = ACTIONS(2666),
    [anon_sym___const] = ACTIONS(2666),
    [anon_sym___imag] = ACTIONS(2666),
    [anon_sym___kindof] = ACTIONS(2666),
    [anon_sym___nonnull] = ACTIONS(2666),
    [anon_sym___nullable] = ACTIONS(2666),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2666),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2666),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2666),
    [anon_sym___real] = ACTIONS(2666),
    [anon_sym___strong] = ACTIONS(2666),
    [anon_sym___unsafe_unretained] = ACTIONS(2666),
    [anon_sym___unused] = ACTIONS(2666),
    [anon_sym___weak] = ACTIONS(2666),
    [anon_sym_alignas] = ACTIONS(2666),
    [anon_sym__Alignas] = ACTIONS(2666),
    [sym_primitive_type] = ACTIONS(2666),
    [anon_sym_enum] = ACTIONS(2666),
    [anon_sym_struct] = ACTIONS(2666),
    [anon_sym_union] = ACTIONS(2666),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_switch] = ACTIONS(2666),
    [anon_sym_case] = ACTIONS(2666),
    [anon_sym_default] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2666),
    [anon_sym_do] = ACTIONS(2666),
    [anon_sym_for] = ACTIONS(2666),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_return] = ACTIONS(2666),
    [anon_sym_break] = ACTIONS(2666),
    [anon_sym_continue] = ACTIONS(2666),
    [anon_sym_goto] = ACTIONS(2666),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_sizeof] = ACTIONS(2666),
    [anon_sym___alignof__] = ACTIONS(2666),
    [anon_sym___alignof] = ACTIONS(2666),
    [anon_sym__alignof] = ACTIONS(2666),
    [anon_sym_alignof] = ACTIONS(2666),
    [anon_sym__Alignof] = ACTIONS(2666),
    [anon_sym_offsetof] = ACTIONS(2666),
    [anon_sym__Generic] = ACTIONS(2666),
    [anon_sym_asm] = ACTIONS(2666),
    [anon_sym___asm__] = ACTIONS(2666),
    [anon_sym___asm] = ACTIONS(2666),
    [sym_number_literal] = ACTIONS(2668),
    [anon_sym_L_SQUOTE] = ACTIONS(2668),
    [anon_sym_u_SQUOTE] = ACTIONS(2668),
    [anon_sym_U_SQUOTE] = ACTIONS(2668),
    [anon_sym_u8_SQUOTE] = ACTIONS(2668),
    [anon_sym_SQUOTE] = ACTIONS(2668),
    [anon_sym_AT] = ACTIONS(2666),
    [anon_sym_DQUOTE] = ACTIONS(2668),
    [anon_sym_L_DQUOTE] = ACTIONS(2668),
    [anon_sym_u_DQUOTE] = ACTIONS(2668),
    [anon_sym_U_DQUOTE] = ACTIONS(2668),
    [anon_sym_u8_DQUOTE] = ACTIONS(2668),
    [sym_true] = ACTIONS(2666),
    [sym_false] = ACTIONS(2666),
    [anon_sym_NULL] = ACTIONS(2666),
    [anon_sym_nullptr] = ACTIONS(2666),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2666),
    [anon_sym___typeof] = ACTIONS(2666),
    [anon_sym_typeof] = ACTIONS(2666),
    [anon_sym_ATimport] = ACTIONS(2668),
    [aux_sym_preproc_undef_token1] = ACTIONS(2666),
    [anon_sym_POUND] = ACTIONS(2666),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2666),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2666),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2666),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2666),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2666),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2666),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2666),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2666),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2666),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2666),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2666),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2666),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2666),
    [anon_sym_API_AVAILABLE] = ACTIONS(2666),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2666),
    [anon_sym_API_DEPRECATED] = ACTIONS(2666),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2666),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2666),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2666),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2666),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2666),
    [anon_sym___deprecated_msg] = ACTIONS(2666),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2666),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2666),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2666),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2666),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2666),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2666),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2666),
    [anon_sym_ATprotocol] = ACTIONS(2668),
    [anon_sym_ATinterface] = ACTIONS(2668),
    [anon_sym_ATimplementation] = ACTIONS(2668),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2668),
    [anon_sym_ATsynthesize] = ACTIONS(2668),
    [anon_sym_ATdynamic] = ACTIONS(2668),
    [anon_sym_ATtry] = ACTIONS(2668),
    [anon_sym___try] = ACTIONS(2666),
    [anon_sym_ATthrow] = ACTIONS(2668),
    [anon_sym_ATselector] = ACTIONS(2668),
    [anon_sym_ATavailable] = ACTIONS(2668),
    [anon_sym___builtin_available] = ACTIONS(2666),
    [anon_sym_va_arg] = ACTIONS(2666),
    [anon_sym_ATencode] = ACTIONS(2668),
    [anon_sym_ATsynchronized] = ACTIONS(2668),
    [anon_sym_BOOL] = ACTIONS(2666),
    [anon_sym_IMP] = ACTIONS(2666),
    [anon_sym_SEL] = ACTIONS(2666),
    [anon_sym_Class] = ACTIONS(2666),
    [anon_sym_id] = ACTIONS(2666),
  },
  [304] = {
    [sym_identifier] = ACTIONS(2670),
    [aux_sym_preproc_include_token1] = ACTIONS(2670),
    [aux_sym_preproc_include_token2] = ACTIONS(2670),
    [aux_sym_preproc_def_token1] = ACTIONS(2670),
    [aux_sym_preproc_if_token1] = ACTIONS(2670),
    [aux_sym_preproc_if_token2] = ACTIONS(2670),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2670),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2670),
    [aux_sym_preproc_else_token1] = ACTIONS(2670),
    [aux_sym_preproc_elif_token1] = ACTIONS(2670),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2670),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2670),
    [sym_preproc_directive] = ACTIONS(2670),
    [anon_sym_LPAREN2] = ACTIONS(2672),
    [anon_sym_BANG] = ACTIONS(2672),
    [anon_sym_TILDE] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2670),
    [anon_sym_PLUS] = ACTIONS(2670),
    [anon_sym_STAR] = ACTIONS(2672),
    [anon_sym_CARET] = ACTIONS(2672),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym_SEMI] = ACTIONS(2672),
    [anon_sym___extension__] = ACTIONS(2670),
    [anon_sym_typedef] = ACTIONS(2670),
    [anon_sym_extern] = ACTIONS(2670),
    [anon_sym___attribute__] = ACTIONS(2670),
    [anon_sym___attribute] = ACTIONS(2670),
    [anon_sym_noreturn] = ACTIONS(2670),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym___declspec] = ACTIONS(2670),
    [anon_sym___cdecl] = ACTIONS(2670),
    [anon_sym___clrcall] = ACTIONS(2670),
    [anon_sym___stdcall] = ACTIONS(2670),
    [anon_sym___fastcall] = ACTIONS(2670),
    [anon_sym___thiscall] = ACTIONS(2670),
    [anon_sym___vectorcall] = ACTIONS(2670),
    [anon_sym_LBRACE] = ACTIONS(2672),
    [anon_sym_signed] = ACTIONS(2670),
    [anon_sym_unsigned] = ACTIONS(2670),
    [anon_sym_long] = ACTIONS(2670),
    [anon_sym_short] = ACTIONS(2670),
    [anon_sym_static] = ACTIONS(2670),
    [anon_sym_ATautoreleasepool] = ACTIONS(2672),
    [anon_sym_auto] = ACTIONS(2670),
    [anon_sym_register] = ACTIONS(2670),
    [anon_sym_inline] = ACTIONS(2670),
    [anon_sym___inline] = ACTIONS(2670),
    [anon_sym___inline__] = ACTIONS(2670),
    [anon_sym___forceinline] = ACTIONS(2670),
    [anon_sym_thread_local] = ACTIONS(2670),
    [anon_sym___thread] = ACTIONS(2670),
    [anon_sym_CG_EXTERN] = ACTIONS(2670),
    [anon_sym_CG_INLINE] = ACTIONS(2670),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2670),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2670),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2670),
    [anon_sym_IBOutlet] = ACTIONS(2670),
    [anon_sym_IBInspectable] = ACTIONS(2670),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2670),
    [anon_sym_NS_INLINE] = ACTIONS(2670),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2670),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2670),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2670),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2670),
    [anon_sym_const] = ACTIONS(2670),
    [anon_sym_constexpr] = ACTIONS(2670),
    [anon_sym_volatile] = ACTIONS(2670),
    [anon_sym_restrict] = ACTIONS(2670),
    [anon_sym___restrict__] = ACTIONS(2670),
    [anon_sym__Atomic] = ACTIONS(2670),
    [anon_sym__Noreturn] = ACTIONS(2670),
    [anon_sym__Nonnull] = ACTIONS(2670),
    [anon_sym_nullable] = ACTIONS(2670),
    [anon_sym__Complex] = ACTIONS(2670),
    [anon_sym__Nullable] = ACTIONS(2670),
    [anon_sym__Nullable_result] = ACTIONS(2670),
    [anon_sym__Null_unspecified] = ACTIONS(2670),
    [anon_sym___autoreleasing] = ACTIONS(2670),
    [anon_sym___block] = ACTIONS(2670),
    [anon_sym___bridge] = ACTIONS(2670),
    [anon_sym___bridge_retained] = ACTIONS(2670),
    [anon_sym___bridge_transfer] = ACTIONS(2670),
    [anon_sym___complex] = ACTIONS(2670),
    [anon_sym___const] = ACTIONS(2670),
    [anon_sym___imag] = ACTIONS(2670),
    [anon_sym___kindof] = ACTIONS(2670),
    [anon_sym___nonnull] = ACTIONS(2670),
    [anon_sym___nullable] = ACTIONS(2670),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2670),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2670),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2670),
    [anon_sym___real] = ACTIONS(2670),
    [anon_sym___strong] = ACTIONS(2670),
    [anon_sym___unsafe_unretained] = ACTIONS(2670),
    [anon_sym___unused] = ACTIONS(2670),
    [anon_sym___weak] = ACTIONS(2670),
    [anon_sym_alignas] = ACTIONS(2670),
    [anon_sym__Alignas] = ACTIONS(2670),
    [sym_primitive_type] = ACTIONS(2670),
    [anon_sym_enum] = ACTIONS(2670),
    [anon_sym_struct] = ACTIONS(2670),
    [anon_sym_union] = ACTIONS(2670),
    [anon_sym_if] = ACTIONS(2670),
    [anon_sym_switch] = ACTIONS(2670),
    [anon_sym_case] = ACTIONS(2670),
    [anon_sym_default] = ACTIONS(2670),
    [anon_sym_while] = ACTIONS(2670),
    [anon_sym_do] = ACTIONS(2670),
    [anon_sym_for] = ACTIONS(2670),
    [anon_sym_in] = ACTIONS(2670),
    [anon_sym_return] = ACTIONS(2670),
    [anon_sym_break] = ACTIONS(2670),
    [anon_sym_continue] = ACTIONS(2670),
    [anon_sym_goto] = ACTIONS(2670),
    [anon_sym_DASH_DASH] = ACTIONS(2672),
    [anon_sym_PLUS_PLUS] = ACTIONS(2672),
    [anon_sym_sizeof] = ACTIONS(2670),
    [anon_sym___alignof__] = ACTIONS(2670),
    [anon_sym___alignof] = ACTIONS(2670),
    [anon_sym__alignof] = ACTIONS(2670),
    [anon_sym_alignof] = ACTIONS(2670),
    [anon_sym__Alignof] = ACTIONS(2670),
    [anon_sym_offsetof] = ACTIONS(2670),
    [anon_sym__Generic] = ACTIONS(2670),
    [anon_sym_asm] = ACTIONS(2670),
    [anon_sym___asm__] = ACTIONS(2670),
    [anon_sym___asm] = ACTIONS(2670),
    [sym_number_literal] = ACTIONS(2672),
    [anon_sym_L_SQUOTE] = ACTIONS(2672),
    [anon_sym_u_SQUOTE] = ACTIONS(2672),
    [anon_sym_U_SQUOTE] = ACTIONS(2672),
    [anon_sym_u8_SQUOTE] = ACTIONS(2672),
    [anon_sym_SQUOTE] = ACTIONS(2672),
    [anon_sym_AT] = ACTIONS(2670),
    [anon_sym_DQUOTE] = ACTIONS(2672),
    [anon_sym_L_DQUOTE] = ACTIONS(2672),
    [anon_sym_u_DQUOTE] = ACTIONS(2672),
    [anon_sym_U_DQUOTE] = ACTIONS(2672),
    [anon_sym_u8_DQUOTE] = ACTIONS(2672),
    [sym_true] = ACTIONS(2670),
    [sym_false] = ACTIONS(2670),
    [anon_sym_NULL] = ACTIONS(2670),
    [anon_sym_nullptr] = ACTIONS(2670),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2670),
    [anon_sym___typeof] = ACTIONS(2670),
    [anon_sym_typeof] = ACTIONS(2670),
    [anon_sym_ATimport] = ACTIONS(2672),
    [aux_sym_preproc_undef_token1] = ACTIONS(2670),
    [anon_sym_POUND] = ACTIONS(2670),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2670),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2670),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2670),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2670),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2670),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2670),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2670),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2670),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2670),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2670),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2670),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2670),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2670),
    [anon_sym_API_AVAILABLE] = ACTIONS(2670),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2670),
    [anon_sym_API_DEPRECATED] = ACTIONS(2670),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2670),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2670),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2670),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2670),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2670),
    [anon_sym___deprecated_msg] = ACTIONS(2670),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2670),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2670),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2670),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2670),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2670),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2670),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2670),
    [anon_sym_ATprotocol] = ACTIONS(2672),
    [anon_sym_ATinterface] = ACTIONS(2672),
    [anon_sym_ATimplementation] = ACTIONS(2672),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2672),
    [anon_sym_ATsynthesize] = ACTIONS(2672),
    [anon_sym_ATdynamic] = ACTIONS(2672),
    [anon_sym_ATtry] = ACTIONS(2672),
    [anon_sym___try] = ACTIONS(2670),
    [anon_sym_ATthrow] = ACTIONS(2672),
    [anon_sym_ATselector] = ACTIONS(2672),
    [anon_sym_ATavailable] = ACTIONS(2672),
    [anon_sym___builtin_available] = ACTIONS(2670),
    [anon_sym_va_arg] = ACTIONS(2670),
    [anon_sym_ATencode] = ACTIONS(2672),
    [anon_sym_ATsynchronized] = ACTIONS(2672),
    [anon_sym_BOOL] = ACTIONS(2670),
    [anon_sym_IMP] = ACTIONS(2670),
    [anon_sym_SEL] = ACTIONS(2670),
    [anon_sym_Class] = ACTIONS(2670),
    [anon_sym_id] = ACTIONS(2670),
  },
  [305] = {
    [sym_identifier] = ACTIONS(2674),
    [aux_sym_preproc_include_token1] = ACTIONS(2674),
    [aux_sym_preproc_include_token2] = ACTIONS(2674),
    [aux_sym_preproc_def_token1] = ACTIONS(2674),
    [aux_sym_preproc_if_token1] = ACTIONS(2674),
    [aux_sym_preproc_if_token2] = ACTIONS(2674),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2674),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2674),
    [aux_sym_preproc_else_token1] = ACTIONS(2674),
    [aux_sym_preproc_elif_token1] = ACTIONS(2674),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2674),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2674),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_BANG] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_CARET] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_SEMI] = ACTIONS(2676),
    [anon_sym___extension__] = ACTIONS(2674),
    [anon_sym_typedef] = ACTIONS(2674),
    [anon_sym_extern] = ACTIONS(2674),
    [anon_sym___attribute__] = ACTIONS(2674),
    [anon_sym___attribute] = ACTIONS(2674),
    [anon_sym_noreturn] = ACTIONS(2674),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym___declspec] = ACTIONS(2674),
    [anon_sym___cdecl] = ACTIONS(2674),
    [anon_sym___clrcall] = ACTIONS(2674),
    [anon_sym___stdcall] = ACTIONS(2674),
    [anon_sym___fastcall] = ACTIONS(2674),
    [anon_sym___thiscall] = ACTIONS(2674),
    [anon_sym___vectorcall] = ACTIONS(2674),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_signed] = ACTIONS(2674),
    [anon_sym_unsigned] = ACTIONS(2674),
    [anon_sym_long] = ACTIONS(2674),
    [anon_sym_short] = ACTIONS(2674),
    [anon_sym_static] = ACTIONS(2674),
    [anon_sym_ATautoreleasepool] = ACTIONS(2676),
    [anon_sym_auto] = ACTIONS(2674),
    [anon_sym_register] = ACTIONS(2674),
    [anon_sym_inline] = ACTIONS(2674),
    [anon_sym___inline] = ACTIONS(2674),
    [anon_sym___inline__] = ACTIONS(2674),
    [anon_sym___forceinline] = ACTIONS(2674),
    [anon_sym_thread_local] = ACTIONS(2674),
    [anon_sym___thread] = ACTIONS(2674),
    [anon_sym_CG_EXTERN] = ACTIONS(2674),
    [anon_sym_CG_INLINE] = ACTIONS(2674),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2674),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2674),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2674),
    [anon_sym_IBOutlet] = ACTIONS(2674),
    [anon_sym_IBInspectable] = ACTIONS(2674),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2674),
    [anon_sym_NS_INLINE] = ACTIONS(2674),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2674),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2674),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2674),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2674),
    [anon_sym_const] = ACTIONS(2674),
    [anon_sym_constexpr] = ACTIONS(2674),
    [anon_sym_volatile] = ACTIONS(2674),
    [anon_sym_restrict] = ACTIONS(2674),
    [anon_sym___restrict__] = ACTIONS(2674),
    [anon_sym__Atomic] = ACTIONS(2674),
    [anon_sym__Noreturn] = ACTIONS(2674),
    [anon_sym__Nonnull] = ACTIONS(2674),
    [anon_sym_nullable] = ACTIONS(2674),
    [anon_sym__Complex] = ACTIONS(2674),
    [anon_sym__Nullable] = ACTIONS(2674),
    [anon_sym__Nullable_result] = ACTIONS(2674),
    [anon_sym__Null_unspecified] = ACTIONS(2674),
    [anon_sym___autoreleasing] = ACTIONS(2674),
    [anon_sym___block] = ACTIONS(2674),
    [anon_sym___bridge] = ACTIONS(2674),
    [anon_sym___bridge_retained] = ACTIONS(2674),
    [anon_sym___bridge_transfer] = ACTIONS(2674),
    [anon_sym___complex] = ACTIONS(2674),
    [anon_sym___const] = ACTIONS(2674),
    [anon_sym___imag] = ACTIONS(2674),
    [anon_sym___kindof] = ACTIONS(2674),
    [anon_sym___nonnull] = ACTIONS(2674),
    [anon_sym___nullable] = ACTIONS(2674),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2674),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2674),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2674),
    [anon_sym___real] = ACTIONS(2674),
    [anon_sym___strong] = ACTIONS(2674),
    [anon_sym___unsafe_unretained] = ACTIONS(2674),
    [anon_sym___unused] = ACTIONS(2674),
    [anon_sym___weak] = ACTIONS(2674),
    [anon_sym_alignas] = ACTIONS(2674),
    [anon_sym__Alignas] = ACTIONS(2674),
    [sym_primitive_type] = ACTIONS(2674),
    [anon_sym_enum] = ACTIONS(2674),
    [anon_sym_struct] = ACTIONS(2674),
    [anon_sym_union] = ACTIONS(2674),
    [anon_sym_if] = ACTIONS(2674),
    [anon_sym_switch] = ACTIONS(2674),
    [anon_sym_case] = ACTIONS(2674),
    [anon_sym_default] = ACTIONS(2674),
    [anon_sym_while] = ACTIONS(2674),
    [anon_sym_do] = ACTIONS(2674),
    [anon_sym_for] = ACTIONS(2674),
    [anon_sym_in] = ACTIONS(2674),
    [anon_sym_return] = ACTIONS(2674),
    [anon_sym_break] = ACTIONS(2674),
    [anon_sym_continue] = ACTIONS(2674),
    [anon_sym_goto] = ACTIONS(2674),
    [anon_sym_DASH_DASH] = ACTIONS(2676),
    [anon_sym_PLUS_PLUS] = ACTIONS(2676),
    [anon_sym_sizeof] = ACTIONS(2674),
    [anon_sym___alignof__] = ACTIONS(2674),
    [anon_sym___alignof] = ACTIONS(2674),
    [anon_sym__alignof] = ACTIONS(2674),
    [anon_sym_alignof] = ACTIONS(2674),
    [anon_sym__Alignof] = ACTIONS(2674),
    [anon_sym_offsetof] = ACTIONS(2674),
    [anon_sym__Generic] = ACTIONS(2674),
    [anon_sym_asm] = ACTIONS(2674),
    [anon_sym___asm__] = ACTIONS(2674),
    [anon_sym___asm] = ACTIONS(2674),
    [sym_number_literal] = ACTIONS(2676),
    [anon_sym_L_SQUOTE] = ACTIONS(2676),
    [anon_sym_u_SQUOTE] = ACTIONS(2676),
    [anon_sym_U_SQUOTE] = ACTIONS(2676),
    [anon_sym_u8_SQUOTE] = ACTIONS(2676),
    [anon_sym_SQUOTE] = ACTIONS(2676),
    [anon_sym_AT] = ACTIONS(2674),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [anon_sym_L_DQUOTE] = ACTIONS(2676),
    [anon_sym_u_DQUOTE] = ACTIONS(2676),
    [anon_sym_U_DQUOTE] = ACTIONS(2676),
    [anon_sym_u8_DQUOTE] = ACTIONS(2676),
    [sym_true] = ACTIONS(2674),
    [sym_false] = ACTIONS(2674),
    [anon_sym_NULL] = ACTIONS(2674),
    [anon_sym_nullptr] = ACTIONS(2674),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2674),
    [anon_sym___typeof] = ACTIONS(2674),
    [anon_sym_typeof] = ACTIONS(2674),
    [anon_sym_ATimport] = ACTIONS(2676),
    [aux_sym_preproc_undef_token1] = ACTIONS(2674),
    [anon_sym_POUND] = ACTIONS(2674),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2674),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2674),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2674),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2674),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2674),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2674),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2674),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2674),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2674),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_API_AVAILABLE] = ACTIONS(2674),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_API_DEPRECATED] = ACTIONS(2674),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2674),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2674),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2674),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2674),
    [anon_sym___deprecated_msg] = ACTIONS(2674),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2674),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2674),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2674),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2674),
    [anon_sym_ATprotocol] = ACTIONS(2676),
    [anon_sym_ATinterface] = ACTIONS(2676),
    [anon_sym_ATimplementation] = ACTIONS(2676),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2676),
    [anon_sym_ATsynthesize] = ACTIONS(2676),
    [anon_sym_ATdynamic] = ACTIONS(2676),
    [anon_sym_ATtry] = ACTIONS(2676),
    [anon_sym___try] = ACTIONS(2674),
    [anon_sym_ATthrow] = ACTIONS(2676),
    [anon_sym_ATselector] = ACTIONS(2676),
    [anon_sym_ATavailable] = ACTIONS(2676),
    [anon_sym___builtin_available] = ACTIONS(2674),
    [anon_sym_va_arg] = ACTIONS(2674),
    [anon_sym_ATencode] = ACTIONS(2676),
    [anon_sym_ATsynchronized] = ACTIONS(2676),
    [anon_sym_BOOL] = ACTIONS(2674),
    [anon_sym_IMP] = ACTIONS(2674),
    [anon_sym_SEL] = ACTIONS(2674),
    [anon_sym_Class] = ACTIONS(2674),
    [anon_sym_id] = ACTIONS(2674),
  },
  [306] = {
    [sym_identifier] = ACTIONS(2678),
    [aux_sym_preproc_include_token1] = ACTIONS(2678),
    [aux_sym_preproc_include_token2] = ACTIONS(2678),
    [aux_sym_preproc_def_token1] = ACTIONS(2678),
    [aux_sym_preproc_if_token1] = ACTIONS(2678),
    [aux_sym_preproc_if_token2] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2678),
    [aux_sym_preproc_else_token1] = ACTIONS(2678),
    [aux_sym_preproc_elif_token1] = ACTIONS(2678),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2678),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2678),
    [sym_preproc_directive] = ACTIONS(2678),
    [anon_sym_LPAREN2] = ACTIONS(2680),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_CARET] = ACTIONS(2680),
    [anon_sym_AMP] = ACTIONS(2680),
    [anon_sym_SEMI] = ACTIONS(2680),
    [anon_sym___extension__] = ACTIONS(2678),
    [anon_sym_typedef] = ACTIONS(2678),
    [anon_sym_extern] = ACTIONS(2678),
    [anon_sym___attribute__] = ACTIONS(2678),
    [anon_sym___attribute] = ACTIONS(2678),
    [anon_sym_noreturn] = ACTIONS(2678),
    [anon_sym_LBRACK] = ACTIONS(2680),
    [anon_sym___declspec] = ACTIONS(2678),
    [anon_sym___cdecl] = ACTIONS(2678),
    [anon_sym___clrcall] = ACTIONS(2678),
    [anon_sym___stdcall] = ACTIONS(2678),
    [anon_sym___fastcall] = ACTIONS(2678),
    [anon_sym___thiscall] = ACTIONS(2678),
    [anon_sym___vectorcall] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_signed] = ACTIONS(2678),
    [anon_sym_unsigned] = ACTIONS(2678),
    [anon_sym_long] = ACTIONS(2678),
    [anon_sym_short] = ACTIONS(2678),
    [anon_sym_static] = ACTIONS(2678),
    [anon_sym_ATautoreleasepool] = ACTIONS(2680),
    [anon_sym_auto] = ACTIONS(2678),
    [anon_sym_register] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(2678),
    [anon_sym___inline] = ACTIONS(2678),
    [anon_sym___inline__] = ACTIONS(2678),
    [anon_sym___forceinline] = ACTIONS(2678),
    [anon_sym_thread_local] = ACTIONS(2678),
    [anon_sym___thread] = ACTIONS(2678),
    [anon_sym_CG_EXTERN] = ACTIONS(2678),
    [anon_sym_CG_INLINE] = ACTIONS(2678),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2678),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2678),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2678),
    [anon_sym_IBOutlet] = ACTIONS(2678),
    [anon_sym_IBInspectable] = ACTIONS(2678),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2678),
    [anon_sym_NS_INLINE] = ACTIONS(2678),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2678),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2678),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2678),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2678),
    [anon_sym_const] = ACTIONS(2678),
    [anon_sym_constexpr] = ACTIONS(2678),
    [anon_sym_volatile] = ACTIONS(2678),
    [anon_sym_restrict] = ACTIONS(2678),
    [anon_sym___restrict__] = ACTIONS(2678),
    [anon_sym__Atomic] = ACTIONS(2678),
    [anon_sym__Noreturn] = ACTIONS(2678),
    [anon_sym__Nonnull] = ACTIONS(2678),
    [anon_sym_nullable] = ACTIONS(2678),
    [anon_sym__Complex] = ACTIONS(2678),
    [anon_sym__Nullable] = ACTIONS(2678),
    [anon_sym__Nullable_result] = ACTIONS(2678),
    [anon_sym__Null_unspecified] = ACTIONS(2678),
    [anon_sym___autoreleasing] = ACTIONS(2678),
    [anon_sym___block] = ACTIONS(2678),
    [anon_sym___bridge] = ACTIONS(2678),
    [anon_sym___bridge_retained] = ACTIONS(2678),
    [anon_sym___bridge_transfer] = ACTIONS(2678),
    [anon_sym___complex] = ACTIONS(2678),
    [anon_sym___const] = ACTIONS(2678),
    [anon_sym___imag] = ACTIONS(2678),
    [anon_sym___kindof] = ACTIONS(2678),
    [anon_sym___nonnull] = ACTIONS(2678),
    [anon_sym___nullable] = ACTIONS(2678),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2678),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2678),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2678),
    [anon_sym___real] = ACTIONS(2678),
    [anon_sym___strong] = ACTIONS(2678),
    [anon_sym___unsafe_unretained] = ACTIONS(2678),
    [anon_sym___unused] = ACTIONS(2678),
    [anon_sym___weak] = ACTIONS(2678),
    [anon_sym_alignas] = ACTIONS(2678),
    [anon_sym__Alignas] = ACTIONS(2678),
    [sym_primitive_type] = ACTIONS(2678),
    [anon_sym_enum] = ACTIONS(2678),
    [anon_sym_struct] = ACTIONS(2678),
    [anon_sym_union] = ACTIONS(2678),
    [anon_sym_if] = ACTIONS(2678),
    [anon_sym_switch] = ACTIONS(2678),
    [anon_sym_case] = ACTIONS(2678),
    [anon_sym_default] = ACTIONS(2678),
    [anon_sym_while] = ACTIONS(2678),
    [anon_sym_do] = ACTIONS(2678),
    [anon_sym_for] = ACTIONS(2678),
    [anon_sym_in] = ACTIONS(2678),
    [anon_sym_return] = ACTIONS(2678),
    [anon_sym_break] = ACTIONS(2678),
    [anon_sym_continue] = ACTIONS(2678),
    [anon_sym_goto] = ACTIONS(2678),
    [anon_sym_DASH_DASH] = ACTIONS(2680),
    [anon_sym_PLUS_PLUS] = ACTIONS(2680),
    [anon_sym_sizeof] = ACTIONS(2678),
    [anon_sym___alignof__] = ACTIONS(2678),
    [anon_sym___alignof] = ACTIONS(2678),
    [anon_sym__alignof] = ACTIONS(2678),
    [anon_sym_alignof] = ACTIONS(2678),
    [anon_sym__Alignof] = ACTIONS(2678),
    [anon_sym_offsetof] = ACTIONS(2678),
    [anon_sym__Generic] = ACTIONS(2678),
    [anon_sym_asm] = ACTIONS(2678),
    [anon_sym___asm__] = ACTIONS(2678),
    [anon_sym___asm] = ACTIONS(2678),
    [sym_number_literal] = ACTIONS(2680),
    [anon_sym_L_SQUOTE] = ACTIONS(2680),
    [anon_sym_u_SQUOTE] = ACTIONS(2680),
    [anon_sym_U_SQUOTE] = ACTIONS(2680),
    [anon_sym_u8_SQUOTE] = ACTIONS(2680),
    [anon_sym_SQUOTE] = ACTIONS(2680),
    [anon_sym_AT] = ACTIONS(2678),
    [anon_sym_DQUOTE] = ACTIONS(2680),
    [anon_sym_L_DQUOTE] = ACTIONS(2680),
    [anon_sym_u_DQUOTE] = ACTIONS(2680),
    [anon_sym_U_DQUOTE] = ACTIONS(2680),
    [anon_sym_u8_DQUOTE] = ACTIONS(2680),
    [sym_true] = ACTIONS(2678),
    [sym_false] = ACTIONS(2678),
    [anon_sym_NULL] = ACTIONS(2678),
    [anon_sym_nullptr] = ACTIONS(2678),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2678),
    [anon_sym___typeof] = ACTIONS(2678),
    [anon_sym_typeof] = ACTIONS(2678),
    [anon_sym_ATimport] = ACTIONS(2680),
    [aux_sym_preproc_undef_token1] = ACTIONS(2678),
    [anon_sym_POUND] = ACTIONS(2678),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2678),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2678),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2678),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2678),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2678),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2678),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2678),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2678),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2678),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2678),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2678),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2678),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2678),
    [anon_sym_API_AVAILABLE] = ACTIONS(2678),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2678),
    [anon_sym_API_DEPRECATED] = ACTIONS(2678),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2678),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2678),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2678),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2678),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2678),
    [anon_sym___deprecated_msg] = ACTIONS(2678),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2678),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2678),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2678),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2678),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2678),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2678),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2678),
    [anon_sym_ATprotocol] = ACTIONS(2680),
    [anon_sym_ATinterface] = ACTIONS(2680),
    [anon_sym_ATimplementation] = ACTIONS(2680),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2680),
    [anon_sym_ATsynthesize] = ACTIONS(2680),
    [anon_sym_ATdynamic] = ACTIONS(2680),
    [anon_sym_ATtry] = ACTIONS(2680),
    [anon_sym___try] = ACTIONS(2678),
    [anon_sym_ATthrow] = ACTIONS(2680),
    [anon_sym_ATselector] = ACTIONS(2680),
    [anon_sym_ATavailable] = ACTIONS(2680),
    [anon_sym___builtin_available] = ACTIONS(2678),
    [anon_sym_va_arg] = ACTIONS(2678),
    [anon_sym_ATencode] = ACTIONS(2680),
    [anon_sym_ATsynchronized] = ACTIONS(2680),
    [anon_sym_BOOL] = ACTIONS(2678),
    [anon_sym_IMP] = ACTIONS(2678),
    [anon_sym_SEL] = ACTIONS(2678),
    [anon_sym_Class] = ACTIONS(2678),
    [anon_sym_id] = ACTIONS(2678),
  },
  [307] = {
    [sym_identifier] = ACTIONS(2682),
    [aux_sym_preproc_include_token1] = ACTIONS(2682),
    [aux_sym_preproc_include_token2] = ACTIONS(2682),
    [aux_sym_preproc_def_token1] = ACTIONS(2682),
    [aux_sym_preproc_if_token1] = ACTIONS(2682),
    [aux_sym_preproc_if_token2] = ACTIONS(2682),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2682),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2682),
    [aux_sym_preproc_else_token1] = ACTIONS(2682),
    [aux_sym_preproc_elif_token1] = ACTIONS(2682),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2682),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2682),
    [sym_preproc_directive] = ACTIONS(2682),
    [anon_sym_LPAREN2] = ACTIONS(2684),
    [anon_sym_BANG] = ACTIONS(2684),
    [anon_sym_TILDE] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_CARET] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_SEMI] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(2682),
    [anon_sym_typedef] = ACTIONS(2682),
    [anon_sym_extern] = ACTIONS(2682),
    [anon_sym___attribute__] = ACTIONS(2682),
    [anon_sym___attribute] = ACTIONS(2682),
    [anon_sym_noreturn] = ACTIONS(2682),
    [anon_sym_LBRACK] = ACTIONS(2684),
    [anon_sym___declspec] = ACTIONS(2682),
    [anon_sym___cdecl] = ACTIONS(2682),
    [anon_sym___clrcall] = ACTIONS(2682),
    [anon_sym___stdcall] = ACTIONS(2682),
    [anon_sym___fastcall] = ACTIONS(2682),
    [anon_sym___thiscall] = ACTIONS(2682),
    [anon_sym___vectorcall] = ACTIONS(2682),
    [anon_sym_LBRACE] = ACTIONS(2684),
    [anon_sym_signed] = ACTIONS(2682),
    [anon_sym_unsigned] = ACTIONS(2682),
    [anon_sym_long] = ACTIONS(2682),
    [anon_sym_short] = ACTIONS(2682),
    [anon_sym_static] = ACTIONS(2682),
    [anon_sym_ATautoreleasepool] = ACTIONS(2684),
    [anon_sym_auto] = ACTIONS(2682),
    [anon_sym_register] = ACTIONS(2682),
    [anon_sym_inline] = ACTIONS(2682),
    [anon_sym___inline] = ACTIONS(2682),
    [anon_sym___inline__] = ACTIONS(2682),
    [anon_sym___forceinline] = ACTIONS(2682),
    [anon_sym_thread_local] = ACTIONS(2682),
    [anon_sym___thread] = ACTIONS(2682),
    [anon_sym_CG_EXTERN] = ACTIONS(2682),
    [anon_sym_CG_INLINE] = ACTIONS(2682),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2682),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2682),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2682),
    [anon_sym_IBOutlet] = ACTIONS(2682),
    [anon_sym_IBInspectable] = ACTIONS(2682),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2682),
    [anon_sym_NS_INLINE] = ACTIONS(2682),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2682),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2682),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2682),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2682),
    [anon_sym_const] = ACTIONS(2682),
    [anon_sym_constexpr] = ACTIONS(2682),
    [anon_sym_volatile] = ACTIONS(2682),
    [anon_sym_restrict] = ACTIONS(2682),
    [anon_sym___restrict__] = ACTIONS(2682),
    [anon_sym__Atomic] = ACTIONS(2682),
    [anon_sym__Noreturn] = ACTIONS(2682),
    [anon_sym__Nonnull] = ACTIONS(2682),
    [anon_sym_nullable] = ACTIONS(2682),
    [anon_sym__Complex] = ACTIONS(2682),
    [anon_sym__Nullable] = ACTIONS(2682),
    [anon_sym__Nullable_result] = ACTIONS(2682),
    [anon_sym__Null_unspecified] = ACTIONS(2682),
    [anon_sym___autoreleasing] = ACTIONS(2682),
    [anon_sym___block] = ACTIONS(2682),
    [anon_sym___bridge] = ACTIONS(2682),
    [anon_sym___bridge_retained] = ACTIONS(2682),
    [anon_sym___bridge_transfer] = ACTIONS(2682),
    [anon_sym___complex] = ACTIONS(2682),
    [anon_sym___const] = ACTIONS(2682),
    [anon_sym___imag] = ACTIONS(2682),
    [anon_sym___kindof] = ACTIONS(2682),
    [anon_sym___nonnull] = ACTIONS(2682),
    [anon_sym___nullable] = ACTIONS(2682),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2682),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2682),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2682),
    [anon_sym___real] = ACTIONS(2682),
    [anon_sym___strong] = ACTIONS(2682),
    [anon_sym___unsafe_unretained] = ACTIONS(2682),
    [anon_sym___unused] = ACTIONS(2682),
    [anon_sym___weak] = ACTIONS(2682),
    [anon_sym_alignas] = ACTIONS(2682),
    [anon_sym__Alignas] = ACTIONS(2682),
    [sym_primitive_type] = ACTIONS(2682),
    [anon_sym_enum] = ACTIONS(2682),
    [anon_sym_struct] = ACTIONS(2682),
    [anon_sym_union] = ACTIONS(2682),
    [anon_sym_if] = ACTIONS(2682),
    [anon_sym_switch] = ACTIONS(2682),
    [anon_sym_case] = ACTIONS(2682),
    [anon_sym_default] = ACTIONS(2682),
    [anon_sym_while] = ACTIONS(2682),
    [anon_sym_do] = ACTIONS(2682),
    [anon_sym_for] = ACTIONS(2682),
    [anon_sym_in] = ACTIONS(2682),
    [anon_sym_return] = ACTIONS(2682),
    [anon_sym_break] = ACTIONS(2682),
    [anon_sym_continue] = ACTIONS(2682),
    [anon_sym_goto] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2684),
    [anon_sym_PLUS_PLUS] = ACTIONS(2684),
    [anon_sym_sizeof] = ACTIONS(2682),
    [anon_sym___alignof__] = ACTIONS(2682),
    [anon_sym___alignof] = ACTIONS(2682),
    [anon_sym__alignof] = ACTIONS(2682),
    [anon_sym_alignof] = ACTIONS(2682),
    [anon_sym__Alignof] = ACTIONS(2682),
    [anon_sym_offsetof] = ACTIONS(2682),
    [anon_sym__Generic] = ACTIONS(2682),
    [anon_sym_asm] = ACTIONS(2682),
    [anon_sym___asm__] = ACTIONS(2682),
    [anon_sym___asm] = ACTIONS(2682),
    [sym_number_literal] = ACTIONS(2684),
    [anon_sym_L_SQUOTE] = ACTIONS(2684),
    [anon_sym_u_SQUOTE] = ACTIONS(2684),
    [anon_sym_U_SQUOTE] = ACTIONS(2684),
    [anon_sym_u8_SQUOTE] = ACTIONS(2684),
    [anon_sym_SQUOTE] = ACTIONS(2684),
    [anon_sym_AT] = ACTIONS(2682),
    [anon_sym_DQUOTE] = ACTIONS(2684),
    [anon_sym_L_DQUOTE] = ACTIONS(2684),
    [anon_sym_u_DQUOTE] = ACTIONS(2684),
    [anon_sym_U_DQUOTE] = ACTIONS(2684),
    [anon_sym_u8_DQUOTE] = ACTIONS(2684),
    [sym_true] = ACTIONS(2682),
    [sym_false] = ACTIONS(2682),
    [anon_sym_NULL] = ACTIONS(2682),
    [anon_sym_nullptr] = ACTIONS(2682),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2682),
    [anon_sym___typeof] = ACTIONS(2682),
    [anon_sym_typeof] = ACTIONS(2682),
    [anon_sym_ATimport] = ACTIONS(2684),
    [aux_sym_preproc_undef_token1] = ACTIONS(2682),
    [anon_sym_POUND] = ACTIONS(2682),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2682),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2682),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2682),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2682),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2682),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2682),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2682),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2682),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2682),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2682),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2682),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2682),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2682),
    [anon_sym_API_AVAILABLE] = ACTIONS(2682),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2682),
    [anon_sym_API_DEPRECATED] = ACTIONS(2682),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2682),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2682),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2682),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2682),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2682),
    [anon_sym___deprecated_msg] = ACTIONS(2682),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2682),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2682),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2682),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2682),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2682),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2682),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2682),
    [anon_sym_ATprotocol] = ACTIONS(2684),
    [anon_sym_ATinterface] = ACTIONS(2684),
    [anon_sym_ATimplementation] = ACTIONS(2684),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2684),
    [anon_sym_ATsynthesize] = ACTIONS(2684),
    [anon_sym_ATdynamic] = ACTIONS(2684),
    [anon_sym_ATtry] = ACTIONS(2684),
    [anon_sym___try] = ACTIONS(2682),
    [anon_sym_ATthrow] = ACTIONS(2684),
    [anon_sym_ATselector] = ACTIONS(2684),
    [anon_sym_ATavailable] = ACTIONS(2684),
    [anon_sym___builtin_available] = ACTIONS(2682),
    [anon_sym_va_arg] = ACTIONS(2682),
    [anon_sym_ATencode] = ACTIONS(2684),
    [anon_sym_ATsynchronized] = ACTIONS(2684),
    [anon_sym_BOOL] = ACTIONS(2682),
    [anon_sym_IMP] = ACTIONS(2682),
    [anon_sym_SEL] = ACTIONS(2682),
    [anon_sym_Class] = ACTIONS(2682),
    [anon_sym_id] = ACTIONS(2682),
  },
  [308] = {
    [sym_identifier] = ACTIONS(2686),
    [aux_sym_preproc_include_token1] = ACTIONS(2686),
    [aux_sym_preproc_include_token2] = ACTIONS(2686),
    [aux_sym_preproc_def_token1] = ACTIONS(2686),
    [aux_sym_preproc_if_token1] = ACTIONS(2686),
    [aux_sym_preproc_if_token2] = ACTIONS(2686),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2686),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2686),
    [aux_sym_preproc_else_token1] = ACTIONS(2686),
    [aux_sym_preproc_elif_token1] = ACTIONS(2686),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2686),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2686),
    [sym_preproc_directive] = ACTIONS(2686),
    [anon_sym_LPAREN2] = ACTIONS(2688),
    [anon_sym_BANG] = ACTIONS(2688),
    [anon_sym_TILDE] = ACTIONS(2688),
    [anon_sym_DASH] = ACTIONS(2686),
    [anon_sym_PLUS] = ACTIONS(2686),
    [anon_sym_STAR] = ACTIONS(2688),
    [anon_sym_CARET] = ACTIONS(2688),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_SEMI] = ACTIONS(2688),
    [anon_sym___extension__] = ACTIONS(2686),
    [anon_sym_typedef] = ACTIONS(2686),
    [anon_sym_extern] = ACTIONS(2686),
    [anon_sym___attribute__] = ACTIONS(2686),
    [anon_sym___attribute] = ACTIONS(2686),
    [anon_sym_noreturn] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym___declspec] = ACTIONS(2686),
    [anon_sym___cdecl] = ACTIONS(2686),
    [anon_sym___clrcall] = ACTIONS(2686),
    [anon_sym___stdcall] = ACTIONS(2686),
    [anon_sym___fastcall] = ACTIONS(2686),
    [anon_sym___thiscall] = ACTIONS(2686),
    [anon_sym___vectorcall] = ACTIONS(2686),
    [anon_sym_LBRACE] = ACTIONS(2688),
    [anon_sym_signed] = ACTIONS(2686),
    [anon_sym_unsigned] = ACTIONS(2686),
    [anon_sym_long] = ACTIONS(2686),
    [anon_sym_short] = ACTIONS(2686),
    [anon_sym_static] = ACTIONS(2686),
    [anon_sym_ATautoreleasepool] = ACTIONS(2688),
    [anon_sym_auto] = ACTIONS(2686),
    [anon_sym_register] = ACTIONS(2686),
    [anon_sym_inline] = ACTIONS(2686),
    [anon_sym___inline] = ACTIONS(2686),
    [anon_sym___inline__] = ACTIONS(2686),
    [anon_sym___forceinline] = ACTIONS(2686),
    [anon_sym_thread_local] = ACTIONS(2686),
    [anon_sym___thread] = ACTIONS(2686),
    [anon_sym_CG_EXTERN] = ACTIONS(2686),
    [anon_sym_CG_INLINE] = ACTIONS(2686),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2686),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2686),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2686),
    [anon_sym_IBOutlet] = ACTIONS(2686),
    [anon_sym_IBInspectable] = ACTIONS(2686),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2686),
    [anon_sym_NS_INLINE] = ACTIONS(2686),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2686),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2686),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2686),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2686),
    [anon_sym_const] = ACTIONS(2686),
    [anon_sym_constexpr] = ACTIONS(2686),
    [anon_sym_volatile] = ACTIONS(2686),
    [anon_sym_restrict] = ACTIONS(2686),
    [anon_sym___restrict__] = ACTIONS(2686),
    [anon_sym__Atomic] = ACTIONS(2686),
    [anon_sym__Noreturn] = ACTIONS(2686),
    [anon_sym__Nonnull] = ACTIONS(2686),
    [anon_sym_nullable] = ACTIONS(2686),
    [anon_sym__Complex] = ACTIONS(2686),
    [anon_sym__Nullable] = ACTIONS(2686),
    [anon_sym__Nullable_result] = ACTIONS(2686),
    [anon_sym__Null_unspecified] = ACTIONS(2686),
    [anon_sym___autoreleasing] = ACTIONS(2686),
    [anon_sym___block] = ACTIONS(2686),
    [anon_sym___bridge] = ACTIONS(2686),
    [anon_sym___bridge_retained] = ACTIONS(2686),
    [anon_sym___bridge_transfer] = ACTIONS(2686),
    [anon_sym___complex] = ACTIONS(2686),
    [anon_sym___const] = ACTIONS(2686),
    [anon_sym___imag] = ACTIONS(2686),
    [anon_sym___kindof] = ACTIONS(2686),
    [anon_sym___nonnull] = ACTIONS(2686),
    [anon_sym___nullable] = ACTIONS(2686),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2686),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2686),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2686),
    [anon_sym___real] = ACTIONS(2686),
    [anon_sym___strong] = ACTIONS(2686),
    [anon_sym___unsafe_unretained] = ACTIONS(2686),
    [anon_sym___unused] = ACTIONS(2686),
    [anon_sym___weak] = ACTIONS(2686),
    [anon_sym_alignas] = ACTIONS(2686),
    [anon_sym__Alignas] = ACTIONS(2686),
    [sym_primitive_type] = ACTIONS(2686),
    [anon_sym_enum] = ACTIONS(2686),
    [anon_sym_struct] = ACTIONS(2686),
    [anon_sym_union] = ACTIONS(2686),
    [anon_sym_if] = ACTIONS(2686),
    [anon_sym_switch] = ACTIONS(2686),
    [anon_sym_case] = ACTIONS(2686),
    [anon_sym_default] = ACTIONS(2686),
    [anon_sym_while] = ACTIONS(2686),
    [anon_sym_do] = ACTIONS(2686),
    [anon_sym_for] = ACTIONS(2686),
    [anon_sym_in] = ACTIONS(2686),
    [anon_sym_return] = ACTIONS(2686),
    [anon_sym_break] = ACTIONS(2686),
    [anon_sym_continue] = ACTIONS(2686),
    [anon_sym_goto] = ACTIONS(2686),
    [anon_sym_DASH_DASH] = ACTIONS(2688),
    [anon_sym_PLUS_PLUS] = ACTIONS(2688),
    [anon_sym_sizeof] = ACTIONS(2686),
    [anon_sym___alignof__] = ACTIONS(2686),
    [anon_sym___alignof] = ACTIONS(2686),
    [anon_sym__alignof] = ACTIONS(2686),
    [anon_sym_alignof] = ACTIONS(2686),
    [anon_sym__Alignof] = ACTIONS(2686),
    [anon_sym_offsetof] = ACTIONS(2686),
    [anon_sym__Generic] = ACTIONS(2686),
    [anon_sym_asm] = ACTIONS(2686),
    [anon_sym___asm__] = ACTIONS(2686),
    [anon_sym___asm] = ACTIONS(2686),
    [sym_number_literal] = ACTIONS(2688),
    [anon_sym_L_SQUOTE] = ACTIONS(2688),
    [anon_sym_u_SQUOTE] = ACTIONS(2688),
    [anon_sym_U_SQUOTE] = ACTIONS(2688),
    [anon_sym_u8_SQUOTE] = ACTIONS(2688),
    [anon_sym_SQUOTE] = ACTIONS(2688),
    [anon_sym_AT] = ACTIONS(2686),
    [anon_sym_DQUOTE] = ACTIONS(2688),
    [anon_sym_L_DQUOTE] = ACTIONS(2688),
    [anon_sym_u_DQUOTE] = ACTIONS(2688),
    [anon_sym_U_DQUOTE] = ACTIONS(2688),
    [anon_sym_u8_DQUOTE] = ACTIONS(2688),
    [sym_true] = ACTIONS(2686),
    [sym_false] = ACTIONS(2686),
    [anon_sym_NULL] = ACTIONS(2686),
    [anon_sym_nullptr] = ACTIONS(2686),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2686),
    [anon_sym___typeof] = ACTIONS(2686),
    [anon_sym_typeof] = ACTIONS(2686),
    [anon_sym_ATimport] = ACTIONS(2688),
    [aux_sym_preproc_undef_token1] = ACTIONS(2686),
    [anon_sym_POUND] = ACTIONS(2686),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2686),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2686),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2686),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2686),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2686),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2686),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2686),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2686),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2686),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2686),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2686),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2686),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2686),
    [anon_sym_API_AVAILABLE] = ACTIONS(2686),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2686),
    [anon_sym_API_DEPRECATED] = ACTIONS(2686),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2686),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2686),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2686),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2686),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2686),
    [anon_sym___deprecated_msg] = ACTIONS(2686),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2686),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2686),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2686),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2686),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2686),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2686),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2686),
    [anon_sym_ATprotocol] = ACTIONS(2688),
    [anon_sym_ATinterface] = ACTIONS(2688),
    [anon_sym_ATimplementation] = ACTIONS(2688),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2688),
    [anon_sym_ATsynthesize] = ACTIONS(2688),
    [anon_sym_ATdynamic] = ACTIONS(2688),
    [anon_sym_ATtry] = ACTIONS(2688),
    [anon_sym___try] = ACTIONS(2686),
    [anon_sym_ATthrow] = ACTIONS(2688),
    [anon_sym_ATselector] = ACTIONS(2688),
    [anon_sym_ATavailable] = ACTIONS(2688),
    [anon_sym___builtin_available] = ACTIONS(2686),
    [anon_sym_va_arg] = ACTIONS(2686),
    [anon_sym_ATencode] = ACTIONS(2688),
    [anon_sym_ATsynchronized] = ACTIONS(2688),
    [anon_sym_BOOL] = ACTIONS(2686),
    [anon_sym_IMP] = ACTIONS(2686),
    [anon_sym_SEL] = ACTIONS(2686),
    [anon_sym_Class] = ACTIONS(2686),
    [anon_sym_id] = ACTIONS(2686),
  },
  [309] = {
    [sym_identifier] = ACTIONS(2690),
    [aux_sym_preproc_include_token1] = ACTIONS(2690),
    [aux_sym_preproc_include_token2] = ACTIONS(2690),
    [aux_sym_preproc_def_token1] = ACTIONS(2690),
    [aux_sym_preproc_if_token1] = ACTIONS(2690),
    [aux_sym_preproc_if_token2] = ACTIONS(2690),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2690),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2690),
    [aux_sym_preproc_else_token1] = ACTIONS(2690),
    [aux_sym_preproc_elif_token1] = ACTIONS(2690),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2690),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2690),
    [sym_preproc_directive] = ACTIONS(2690),
    [anon_sym_LPAREN2] = ACTIONS(2692),
    [anon_sym_BANG] = ACTIONS(2692),
    [anon_sym_TILDE] = ACTIONS(2692),
    [anon_sym_DASH] = ACTIONS(2690),
    [anon_sym_PLUS] = ACTIONS(2690),
    [anon_sym_STAR] = ACTIONS(2692),
    [anon_sym_CARET] = ACTIONS(2692),
    [anon_sym_AMP] = ACTIONS(2692),
    [anon_sym_SEMI] = ACTIONS(2692),
    [anon_sym___extension__] = ACTIONS(2690),
    [anon_sym_typedef] = ACTIONS(2690),
    [anon_sym_extern] = ACTIONS(2690),
    [anon_sym___attribute__] = ACTIONS(2690),
    [anon_sym___attribute] = ACTIONS(2690),
    [anon_sym_noreturn] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym___declspec] = ACTIONS(2690),
    [anon_sym___cdecl] = ACTIONS(2690),
    [anon_sym___clrcall] = ACTIONS(2690),
    [anon_sym___stdcall] = ACTIONS(2690),
    [anon_sym___fastcall] = ACTIONS(2690),
    [anon_sym___thiscall] = ACTIONS(2690),
    [anon_sym___vectorcall] = ACTIONS(2690),
    [anon_sym_LBRACE] = ACTIONS(2692),
    [anon_sym_signed] = ACTIONS(2690),
    [anon_sym_unsigned] = ACTIONS(2690),
    [anon_sym_long] = ACTIONS(2690),
    [anon_sym_short] = ACTIONS(2690),
    [anon_sym_static] = ACTIONS(2690),
    [anon_sym_ATautoreleasepool] = ACTIONS(2692),
    [anon_sym_auto] = ACTIONS(2690),
    [anon_sym_register] = ACTIONS(2690),
    [anon_sym_inline] = ACTIONS(2690),
    [anon_sym___inline] = ACTIONS(2690),
    [anon_sym___inline__] = ACTIONS(2690),
    [anon_sym___forceinline] = ACTIONS(2690),
    [anon_sym_thread_local] = ACTIONS(2690),
    [anon_sym___thread] = ACTIONS(2690),
    [anon_sym_CG_EXTERN] = ACTIONS(2690),
    [anon_sym_CG_INLINE] = ACTIONS(2690),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2690),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2690),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2690),
    [anon_sym_IBOutlet] = ACTIONS(2690),
    [anon_sym_IBInspectable] = ACTIONS(2690),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2690),
    [anon_sym_NS_INLINE] = ACTIONS(2690),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2690),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2690),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2690),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2690),
    [anon_sym_const] = ACTIONS(2690),
    [anon_sym_constexpr] = ACTIONS(2690),
    [anon_sym_volatile] = ACTIONS(2690),
    [anon_sym_restrict] = ACTIONS(2690),
    [anon_sym___restrict__] = ACTIONS(2690),
    [anon_sym__Atomic] = ACTIONS(2690),
    [anon_sym__Noreturn] = ACTIONS(2690),
    [anon_sym__Nonnull] = ACTIONS(2690),
    [anon_sym_nullable] = ACTIONS(2690),
    [anon_sym__Complex] = ACTIONS(2690),
    [anon_sym__Nullable] = ACTIONS(2690),
    [anon_sym__Nullable_result] = ACTIONS(2690),
    [anon_sym__Null_unspecified] = ACTIONS(2690),
    [anon_sym___autoreleasing] = ACTIONS(2690),
    [anon_sym___block] = ACTIONS(2690),
    [anon_sym___bridge] = ACTIONS(2690),
    [anon_sym___bridge_retained] = ACTIONS(2690),
    [anon_sym___bridge_transfer] = ACTIONS(2690),
    [anon_sym___complex] = ACTIONS(2690),
    [anon_sym___const] = ACTIONS(2690),
    [anon_sym___imag] = ACTIONS(2690),
    [anon_sym___kindof] = ACTIONS(2690),
    [anon_sym___nonnull] = ACTIONS(2690),
    [anon_sym___nullable] = ACTIONS(2690),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2690),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2690),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2690),
    [anon_sym___real] = ACTIONS(2690),
    [anon_sym___strong] = ACTIONS(2690),
    [anon_sym___unsafe_unretained] = ACTIONS(2690),
    [anon_sym___unused] = ACTIONS(2690),
    [anon_sym___weak] = ACTIONS(2690),
    [anon_sym_alignas] = ACTIONS(2690),
    [anon_sym__Alignas] = ACTIONS(2690),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2690),
    [anon_sym_struct] = ACTIONS(2690),
    [anon_sym_union] = ACTIONS(2690),
    [anon_sym_if] = ACTIONS(2690),
    [anon_sym_switch] = ACTIONS(2690),
    [anon_sym_case] = ACTIONS(2690),
    [anon_sym_default] = ACTIONS(2690),
    [anon_sym_while] = ACTIONS(2690),
    [anon_sym_do] = ACTIONS(2690),
    [anon_sym_for] = ACTIONS(2690),
    [anon_sym_in] = ACTIONS(2690),
    [anon_sym_return] = ACTIONS(2690),
    [anon_sym_break] = ACTIONS(2690),
    [anon_sym_continue] = ACTIONS(2690),
    [anon_sym_goto] = ACTIONS(2690),
    [anon_sym_DASH_DASH] = ACTIONS(2692),
    [anon_sym_PLUS_PLUS] = ACTIONS(2692),
    [anon_sym_sizeof] = ACTIONS(2690),
    [anon_sym___alignof__] = ACTIONS(2690),
    [anon_sym___alignof] = ACTIONS(2690),
    [anon_sym__alignof] = ACTIONS(2690),
    [anon_sym_alignof] = ACTIONS(2690),
    [anon_sym__Alignof] = ACTIONS(2690),
    [anon_sym_offsetof] = ACTIONS(2690),
    [anon_sym__Generic] = ACTIONS(2690),
    [anon_sym_asm] = ACTIONS(2690),
    [anon_sym___asm__] = ACTIONS(2690),
    [anon_sym___asm] = ACTIONS(2690),
    [sym_number_literal] = ACTIONS(2692),
    [anon_sym_L_SQUOTE] = ACTIONS(2692),
    [anon_sym_u_SQUOTE] = ACTIONS(2692),
    [anon_sym_U_SQUOTE] = ACTIONS(2692),
    [anon_sym_u8_SQUOTE] = ACTIONS(2692),
    [anon_sym_SQUOTE] = ACTIONS(2692),
    [anon_sym_AT] = ACTIONS(2690),
    [anon_sym_DQUOTE] = ACTIONS(2692),
    [anon_sym_L_DQUOTE] = ACTIONS(2692),
    [anon_sym_u_DQUOTE] = ACTIONS(2692),
    [anon_sym_U_DQUOTE] = ACTIONS(2692),
    [anon_sym_u8_DQUOTE] = ACTIONS(2692),
    [sym_true] = ACTIONS(2690),
    [sym_false] = ACTIONS(2690),
    [anon_sym_NULL] = ACTIONS(2690),
    [anon_sym_nullptr] = ACTIONS(2690),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2690),
    [anon_sym___typeof] = ACTIONS(2690),
    [anon_sym_typeof] = ACTIONS(2690),
    [anon_sym_ATimport] = ACTIONS(2692),
    [aux_sym_preproc_undef_token1] = ACTIONS(2690),
    [anon_sym_POUND] = ACTIONS(2690),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2690),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2690),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2690),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2690),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2690),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2690),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2690),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2690),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2690),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2690),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2690),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2690),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2690),
    [anon_sym_API_AVAILABLE] = ACTIONS(2690),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2690),
    [anon_sym_API_DEPRECATED] = ACTIONS(2690),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2690),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2690),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2690),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2690),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2690),
    [anon_sym___deprecated_msg] = ACTIONS(2690),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2690),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2690),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2690),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2690),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2690),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2690),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2690),
    [anon_sym_ATprotocol] = ACTIONS(2692),
    [anon_sym_ATinterface] = ACTIONS(2692),
    [anon_sym_ATimplementation] = ACTIONS(2692),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2692),
    [anon_sym_ATsynthesize] = ACTIONS(2692),
    [anon_sym_ATdynamic] = ACTIONS(2692),
    [anon_sym_ATtry] = ACTIONS(2692),
    [anon_sym___try] = ACTIONS(2690),
    [anon_sym_ATthrow] = ACTIONS(2692),
    [anon_sym_ATselector] = ACTIONS(2692),
    [anon_sym_ATavailable] = ACTIONS(2692),
    [anon_sym___builtin_available] = ACTIONS(2690),
    [anon_sym_va_arg] = ACTIONS(2690),
    [anon_sym_ATencode] = ACTIONS(2692),
    [anon_sym_ATsynchronized] = ACTIONS(2692),
    [anon_sym_BOOL] = ACTIONS(2690),
    [anon_sym_IMP] = ACTIONS(2690),
    [anon_sym_SEL] = ACTIONS(2690),
    [anon_sym_Class] = ACTIONS(2690),
    [anon_sym_id] = ACTIONS(2690),
  },
  [310] = {
    [sym_identifier] = ACTIONS(2694),
    [aux_sym_preproc_include_token1] = ACTIONS(2694),
    [aux_sym_preproc_include_token2] = ACTIONS(2694),
    [aux_sym_preproc_def_token1] = ACTIONS(2694),
    [aux_sym_preproc_if_token1] = ACTIONS(2694),
    [aux_sym_preproc_if_token2] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2694),
    [aux_sym_preproc_else_token1] = ACTIONS(2694),
    [aux_sym_preproc_elif_token1] = ACTIONS(2694),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2694),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2694),
    [sym_preproc_directive] = ACTIONS(2694),
    [anon_sym_LPAREN2] = ACTIONS(2696),
    [anon_sym_BANG] = ACTIONS(2696),
    [anon_sym_TILDE] = ACTIONS(2696),
    [anon_sym_DASH] = ACTIONS(2694),
    [anon_sym_PLUS] = ACTIONS(2694),
    [anon_sym_STAR] = ACTIONS(2696),
    [anon_sym_CARET] = ACTIONS(2696),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2696),
    [anon_sym___extension__] = ACTIONS(2694),
    [anon_sym_typedef] = ACTIONS(2694),
    [anon_sym_extern] = ACTIONS(2694),
    [anon_sym___attribute__] = ACTIONS(2694),
    [anon_sym___attribute] = ACTIONS(2694),
    [anon_sym_noreturn] = ACTIONS(2694),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym___declspec] = ACTIONS(2694),
    [anon_sym___cdecl] = ACTIONS(2694),
    [anon_sym___clrcall] = ACTIONS(2694),
    [anon_sym___stdcall] = ACTIONS(2694),
    [anon_sym___fastcall] = ACTIONS(2694),
    [anon_sym___thiscall] = ACTIONS(2694),
    [anon_sym___vectorcall] = ACTIONS(2694),
    [anon_sym_LBRACE] = ACTIONS(2696),
    [anon_sym_signed] = ACTIONS(2694),
    [anon_sym_unsigned] = ACTIONS(2694),
    [anon_sym_long] = ACTIONS(2694),
    [anon_sym_short] = ACTIONS(2694),
    [anon_sym_static] = ACTIONS(2694),
    [anon_sym_ATautoreleasepool] = ACTIONS(2696),
    [anon_sym_auto] = ACTIONS(2694),
    [anon_sym_register] = ACTIONS(2694),
    [anon_sym_inline] = ACTIONS(2694),
    [anon_sym___inline] = ACTIONS(2694),
    [anon_sym___inline__] = ACTIONS(2694),
    [anon_sym___forceinline] = ACTIONS(2694),
    [anon_sym_thread_local] = ACTIONS(2694),
    [anon_sym___thread] = ACTIONS(2694),
    [anon_sym_CG_EXTERN] = ACTIONS(2694),
    [anon_sym_CG_INLINE] = ACTIONS(2694),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2694),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2694),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2694),
    [anon_sym_IBOutlet] = ACTIONS(2694),
    [anon_sym_IBInspectable] = ACTIONS(2694),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2694),
    [anon_sym_NS_INLINE] = ACTIONS(2694),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2694),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2694),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2694),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2694),
    [anon_sym_const] = ACTIONS(2694),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(2694),
    [anon_sym_restrict] = ACTIONS(2694),
    [anon_sym___restrict__] = ACTIONS(2694),
    [anon_sym__Atomic] = ACTIONS(2694),
    [anon_sym__Noreturn] = ACTIONS(2694),
    [anon_sym__Nonnull] = ACTIONS(2694),
    [anon_sym_nullable] = ACTIONS(2694),
    [anon_sym__Complex] = ACTIONS(2694),
    [anon_sym__Nullable] = ACTIONS(2694),
    [anon_sym__Nullable_result] = ACTIONS(2694),
    [anon_sym__Null_unspecified] = ACTIONS(2694),
    [anon_sym___autoreleasing] = ACTIONS(2694),
    [anon_sym___block] = ACTIONS(2694),
    [anon_sym___bridge] = ACTIONS(2694),
    [anon_sym___bridge_retained] = ACTIONS(2694),
    [anon_sym___bridge_transfer] = ACTIONS(2694),
    [anon_sym___complex] = ACTIONS(2694),
    [anon_sym___const] = ACTIONS(2694),
    [anon_sym___imag] = ACTIONS(2694),
    [anon_sym___kindof] = ACTIONS(2694),
    [anon_sym___nonnull] = ACTIONS(2694),
    [anon_sym___nullable] = ACTIONS(2694),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2694),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2694),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2694),
    [anon_sym___real] = ACTIONS(2694),
    [anon_sym___strong] = ACTIONS(2694),
    [anon_sym___unsafe_unretained] = ACTIONS(2694),
    [anon_sym___unused] = ACTIONS(2694),
    [anon_sym___weak] = ACTIONS(2694),
    [anon_sym_alignas] = ACTIONS(2694),
    [anon_sym__Alignas] = ACTIONS(2694),
    [sym_primitive_type] = ACTIONS(2694),
    [anon_sym_enum] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2694),
    [anon_sym_union] = ACTIONS(2694),
    [anon_sym_if] = ACTIONS(2694),
    [anon_sym_switch] = ACTIONS(2694),
    [anon_sym_case] = ACTIONS(2694),
    [anon_sym_default] = ACTIONS(2694),
    [anon_sym_while] = ACTIONS(2694),
    [anon_sym_do] = ACTIONS(2694),
    [anon_sym_for] = ACTIONS(2694),
    [anon_sym_in] = ACTIONS(2694),
    [anon_sym_return] = ACTIONS(2694),
    [anon_sym_break] = ACTIONS(2694),
    [anon_sym_continue] = ACTIONS(2694),
    [anon_sym_goto] = ACTIONS(2694),
    [anon_sym_DASH_DASH] = ACTIONS(2696),
    [anon_sym_PLUS_PLUS] = ACTIONS(2696),
    [anon_sym_sizeof] = ACTIONS(2694),
    [anon_sym___alignof__] = ACTIONS(2694),
    [anon_sym___alignof] = ACTIONS(2694),
    [anon_sym__alignof] = ACTIONS(2694),
    [anon_sym_alignof] = ACTIONS(2694),
    [anon_sym__Alignof] = ACTIONS(2694),
    [anon_sym_offsetof] = ACTIONS(2694),
    [anon_sym__Generic] = ACTIONS(2694),
    [anon_sym_asm] = ACTIONS(2694),
    [anon_sym___asm__] = ACTIONS(2694),
    [anon_sym___asm] = ACTIONS(2694),
    [sym_number_literal] = ACTIONS(2696),
    [anon_sym_L_SQUOTE] = ACTIONS(2696),
    [anon_sym_u_SQUOTE] = ACTIONS(2696),
    [anon_sym_U_SQUOTE] = ACTIONS(2696),
    [anon_sym_u8_SQUOTE] = ACTIONS(2696),
    [anon_sym_SQUOTE] = ACTIONS(2696),
    [anon_sym_AT] = ACTIONS(2694),
    [anon_sym_DQUOTE] = ACTIONS(2696),
    [anon_sym_L_DQUOTE] = ACTIONS(2696),
    [anon_sym_u_DQUOTE] = ACTIONS(2696),
    [anon_sym_U_DQUOTE] = ACTIONS(2696),
    [anon_sym_u8_DQUOTE] = ACTIONS(2696),
    [sym_true] = ACTIONS(2694),
    [sym_false] = ACTIONS(2694),
    [anon_sym_NULL] = ACTIONS(2694),
    [anon_sym_nullptr] = ACTIONS(2694),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2694),
    [anon_sym___typeof] = ACTIONS(2694),
    [anon_sym_typeof] = ACTIONS(2694),
    [anon_sym_ATimport] = ACTIONS(2696),
    [aux_sym_preproc_undef_token1] = ACTIONS(2694),
    [anon_sym_POUND] = ACTIONS(2694),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2694),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2694),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2694),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2694),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2694),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2694),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2694),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2694),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2694),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2694),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2694),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2694),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2694),
    [anon_sym_API_AVAILABLE] = ACTIONS(2694),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2694),
    [anon_sym_API_DEPRECATED] = ACTIONS(2694),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2694),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2694),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2694),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2694),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2694),
    [anon_sym___deprecated_msg] = ACTIONS(2694),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2694),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2694),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2694),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2694),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2694),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2694),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2694),
    [anon_sym_ATprotocol] = ACTIONS(2696),
    [anon_sym_ATinterface] = ACTIONS(2696),
    [anon_sym_ATimplementation] = ACTIONS(2696),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2696),
    [anon_sym_ATsynthesize] = ACTIONS(2696),
    [anon_sym_ATdynamic] = ACTIONS(2696),
    [anon_sym_ATtry] = ACTIONS(2696),
    [anon_sym___try] = ACTIONS(2694),
    [anon_sym_ATthrow] = ACTIONS(2696),
    [anon_sym_ATselector] = ACTIONS(2696),
    [anon_sym_ATavailable] = ACTIONS(2696),
    [anon_sym___builtin_available] = ACTIONS(2694),
    [anon_sym_va_arg] = ACTIONS(2694),
    [anon_sym_ATencode] = ACTIONS(2696),
    [anon_sym_ATsynchronized] = ACTIONS(2696),
    [anon_sym_BOOL] = ACTIONS(2694),
    [anon_sym_IMP] = ACTIONS(2694),
    [anon_sym_SEL] = ACTIONS(2694),
    [anon_sym_Class] = ACTIONS(2694),
    [anon_sym_id] = ACTIONS(2694),
  },
  [311] = {
    [sym_identifier] = ACTIONS(2698),
    [aux_sym_preproc_include_token1] = ACTIONS(2698),
    [aux_sym_preproc_include_token2] = ACTIONS(2698),
    [aux_sym_preproc_def_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token2] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2698),
    [aux_sym_preproc_else_token1] = ACTIONS(2698),
    [aux_sym_preproc_elif_token1] = ACTIONS(2698),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2698),
    [sym_preproc_directive] = ACTIONS(2698),
    [anon_sym_LPAREN2] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2698),
    [anon_sym_PLUS] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_CARET] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2700),
    [anon_sym___extension__] = ACTIONS(2698),
    [anon_sym_typedef] = ACTIONS(2698),
    [anon_sym_extern] = ACTIONS(2698),
    [anon_sym___attribute__] = ACTIONS(2698),
    [anon_sym___attribute] = ACTIONS(2698),
    [anon_sym_noreturn] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym___declspec] = ACTIONS(2698),
    [anon_sym___cdecl] = ACTIONS(2698),
    [anon_sym___clrcall] = ACTIONS(2698),
    [anon_sym___stdcall] = ACTIONS(2698),
    [anon_sym___fastcall] = ACTIONS(2698),
    [anon_sym___thiscall] = ACTIONS(2698),
    [anon_sym___vectorcall] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_signed] = ACTIONS(2698),
    [anon_sym_unsigned] = ACTIONS(2698),
    [anon_sym_long] = ACTIONS(2698),
    [anon_sym_short] = ACTIONS(2698),
    [anon_sym_static] = ACTIONS(2698),
    [anon_sym_ATautoreleasepool] = ACTIONS(2700),
    [anon_sym_auto] = ACTIONS(2698),
    [anon_sym_register] = ACTIONS(2698),
    [anon_sym_inline] = ACTIONS(2698),
    [anon_sym___inline] = ACTIONS(2698),
    [anon_sym___inline__] = ACTIONS(2698),
    [anon_sym___forceinline] = ACTIONS(2698),
    [anon_sym_thread_local] = ACTIONS(2698),
    [anon_sym___thread] = ACTIONS(2698),
    [anon_sym_CG_EXTERN] = ACTIONS(2698),
    [anon_sym_CG_INLINE] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2698),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2698),
    [anon_sym_IBOutlet] = ACTIONS(2698),
    [anon_sym_IBInspectable] = ACTIONS(2698),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2698),
    [anon_sym_NS_INLINE] = ACTIONS(2698),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2698),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2698),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2698),
    [anon_sym_const] = ACTIONS(2698),
    [anon_sym_constexpr] = ACTIONS(2698),
    [anon_sym_volatile] = ACTIONS(2698),
    [anon_sym_restrict] = ACTIONS(2698),
    [anon_sym___restrict__] = ACTIONS(2698),
    [anon_sym__Atomic] = ACTIONS(2698),
    [anon_sym__Noreturn] = ACTIONS(2698),
    [anon_sym__Nonnull] = ACTIONS(2698),
    [anon_sym_nullable] = ACTIONS(2698),
    [anon_sym__Complex] = ACTIONS(2698),
    [anon_sym__Nullable] = ACTIONS(2698),
    [anon_sym__Nullable_result] = ACTIONS(2698),
    [anon_sym__Null_unspecified] = ACTIONS(2698),
    [anon_sym___autoreleasing] = ACTIONS(2698),
    [anon_sym___block] = ACTIONS(2698),
    [anon_sym___bridge] = ACTIONS(2698),
    [anon_sym___bridge_retained] = ACTIONS(2698),
    [anon_sym___bridge_transfer] = ACTIONS(2698),
    [anon_sym___complex] = ACTIONS(2698),
    [anon_sym___const] = ACTIONS(2698),
    [anon_sym___imag] = ACTIONS(2698),
    [anon_sym___kindof] = ACTIONS(2698),
    [anon_sym___nonnull] = ACTIONS(2698),
    [anon_sym___nullable] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2698),
    [anon_sym___real] = ACTIONS(2698),
    [anon_sym___strong] = ACTIONS(2698),
    [anon_sym___unsafe_unretained] = ACTIONS(2698),
    [anon_sym___unused] = ACTIONS(2698),
    [anon_sym___weak] = ACTIONS(2698),
    [anon_sym_alignas] = ACTIONS(2698),
    [anon_sym__Alignas] = ACTIONS(2698),
    [sym_primitive_type] = ACTIONS(2698),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_struct] = ACTIONS(2698),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_if] = ACTIONS(2698),
    [anon_sym_switch] = ACTIONS(2698),
    [anon_sym_case] = ACTIONS(2698),
    [anon_sym_default] = ACTIONS(2698),
    [anon_sym_while] = ACTIONS(2698),
    [anon_sym_do] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2698),
    [anon_sym_in] = ACTIONS(2698),
    [anon_sym_return] = ACTIONS(2698),
    [anon_sym_break] = ACTIONS(2698),
    [anon_sym_continue] = ACTIONS(2698),
    [anon_sym_goto] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2698),
    [anon_sym___alignof__] = ACTIONS(2698),
    [anon_sym___alignof] = ACTIONS(2698),
    [anon_sym__alignof] = ACTIONS(2698),
    [anon_sym_alignof] = ACTIONS(2698),
    [anon_sym__Alignof] = ACTIONS(2698),
    [anon_sym_offsetof] = ACTIONS(2698),
    [anon_sym__Generic] = ACTIONS(2698),
    [anon_sym_asm] = ACTIONS(2698),
    [anon_sym___asm__] = ACTIONS(2698),
    [anon_sym___asm] = ACTIONS(2698),
    [sym_number_literal] = ACTIONS(2700),
    [anon_sym_L_SQUOTE] = ACTIONS(2700),
    [anon_sym_u_SQUOTE] = ACTIONS(2700),
    [anon_sym_U_SQUOTE] = ACTIONS(2700),
    [anon_sym_u8_SQUOTE] = ACTIONS(2700),
    [anon_sym_SQUOTE] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_L_DQUOTE] = ACTIONS(2700),
    [anon_sym_u_DQUOTE] = ACTIONS(2700),
    [anon_sym_U_DQUOTE] = ACTIONS(2700),
    [anon_sym_u8_DQUOTE] = ACTIONS(2700),
    [sym_true] = ACTIONS(2698),
    [sym_false] = ACTIONS(2698),
    [anon_sym_NULL] = ACTIONS(2698),
    [anon_sym_nullptr] = ACTIONS(2698),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2698),
    [anon_sym___typeof] = ACTIONS(2698),
    [anon_sym_typeof] = ACTIONS(2698),
    [anon_sym_ATimport] = ACTIONS(2700),
    [aux_sym_preproc_undef_token1] = ACTIONS(2698),
    [anon_sym_POUND] = ACTIONS(2698),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2698),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2698),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2698),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_API_AVAILABLE] = ACTIONS(2698),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_API_DEPRECATED] = ACTIONS(2698),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym___deprecated_msg] = ACTIONS(2698),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2698),
    [anon_sym_ATprotocol] = ACTIONS(2700),
    [anon_sym_ATinterface] = ACTIONS(2700),
    [anon_sym_ATimplementation] = ACTIONS(2700),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2700),
    [anon_sym_ATsynthesize] = ACTIONS(2700),
    [anon_sym_ATdynamic] = ACTIONS(2700),
    [anon_sym_ATtry] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2698),
    [anon_sym_ATthrow] = ACTIONS(2700),
    [anon_sym_ATselector] = ACTIONS(2700),
    [anon_sym_ATavailable] = ACTIONS(2700),
    [anon_sym___builtin_available] = ACTIONS(2698),
    [anon_sym_va_arg] = ACTIONS(2698),
    [anon_sym_ATencode] = ACTIONS(2700),
    [anon_sym_ATsynchronized] = ACTIONS(2700),
    [anon_sym_BOOL] = ACTIONS(2698),
    [anon_sym_IMP] = ACTIONS(2698),
    [anon_sym_SEL] = ACTIONS(2698),
    [anon_sym_Class] = ACTIONS(2698),
    [anon_sym_id] = ACTIONS(2698),
  },
  [312] = {
    [sym_identifier] = ACTIONS(2698),
    [aux_sym_preproc_include_token1] = ACTIONS(2698),
    [aux_sym_preproc_include_token2] = ACTIONS(2698),
    [aux_sym_preproc_def_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token2] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2698),
    [aux_sym_preproc_else_token1] = ACTIONS(2698),
    [aux_sym_preproc_elif_token1] = ACTIONS(2698),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2698),
    [sym_preproc_directive] = ACTIONS(2698),
    [anon_sym_LPAREN2] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2698),
    [anon_sym_PLUS] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_CARET] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2700),
    [anon_sym___extension__] = ACTIONS(2698),
    [anon_sym_typedef] = ACTIONS(2698),
    [anon_sym_extern] = ACTIONS(2698),
    [anon_sym___attribute__] = ACTIONS(2698),
    [anon_sym___attribute] = ACTIONS(2698),
    [anon_sym_noreturn] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym___declspec] = ACTIONS(2698),
    [anon_sym___cdecl] = ACTIONS(2698),
    [anon_sym___clrcall] = ACTIONS(2698),
    [anon_sym___stdcall] = ACTIONS(2698),
    [anon_sym___fastcall] = ACTIONS(2698),
    [anon_sym___thiscall] = ACTIONS(2698),
    [anon_sym___vectorcall] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_signed] = ACTIONS(2698),
    [anon_sym_unsigned] = ACTIONS(2698),
    [anon_sym_long] = ACTIONS(2698),
    [anon_sym_short] = ACTIONS(2698),
    [anon_sym_static] = ACTIONS(2698),
    [anon_sym_ATautoreleasepool] = ACTIONS(2700),
    [anon_sym_auto] = ACTIONS(2698),
    [anon_sym_register] = ACTIONS(2698),
    [anon_sym_inline] = ACTIONS(2698),
    [anon_sym___inline] = ACTIONS(2698),
    [anon_sym___inline__] = ACTIONS(2698),
    [anon_sym___forceinline] = ACTIONS(2698),
    [anon_sym_thread_local] = ACTIONS(2698),
    [anon_sym___thread] = ACTIONS(2698),
    [anon_sym_CG_EXTERN] = ACTIONS(2698),
    [anon_sym_CG_INLINE] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2698),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2698),
    [anon_sym_IBOutlet] = ACTIONS(2698),
    [anon_sym_IBInspectable] = ACTIONS(2698),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2698),
    [anon_sym_NS_INLINE] = ACTIONS(2698),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2698),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2698),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2698),
    [anon_sym_const] = ACTIONS(2698),
    [anon_sym_constexpr] = ACTIONS(2698),
    [anon_sym_volatile] = ACTIONS(2698),
    [anon_sym_restrict] = ACTIONS(2698),
    [anon_sym___restrict__] = ACTIONS(2698),
    [anon_sym__Atomic] = ACTIONS(2698),
    [anon_sym__Noreturn] = ACTIONS(2698),
    [anon_sym__Nonnull] = ACTIONS(2698),
    [anon_sym_nullable] = ACTIONS(2698),
    [anon_sym__Complex] = ACTIONS(2698),
    [anon_sym__Nullable] = ACTIONS(2698),
    [anon_sym__Nullable_result] = ACTIONS(2698),
    [anon_sym__Null_unspecified] = ACTIONS(2698),
    [anon_sym___autoreleasing] = ACTIONS(2698),
    [anon_sym___block] = ACTIONS(2698),
    [anon_sym___bridge] = ACTIONS(2698),
    [anon_sym___bridge_retained] = ACTIONS(2698),
    [anon_sym___bridge_transfer] = ACTIONS(2698),
    [anon_sym___complex] = ACTIONS(2698),
    [anon_sym___const] = ACTIONS(2698),
    [anon_sym___imag] = ACTIONS(2698),
    [anon_sym___kindof] = ACTIONS(2698),
    [anon_sym___nonnull] = ACTIONS(2698),
    [anon_sym___nullable] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2698),
    [anon_sym___real] = ACTIONS(2698),
    [anon_sym___strong] = ACTIONS(2698),
    [anon_sym___unsafe_unretained] = ACTIONS(2698),
    [anon_sym___unused] = ACTIONS(2698),
    [anon_sym___weak] = ACTIONS(2698),
    [anon_sym_alignas] = ACTIONS(2698),
    [anon_sym__Alignas] = ACTIONS(2698),
    [sym_primitive_type] = ACTIONS(2698),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_struct] = ACTIONS(2698),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_if] = ACTIONS(2698),
    [anon_sym_switch] = ACTIONS(2698),
    [anon_sym_case] = ACTIONS(2698),
    [anon_sym_default] = ACTIONS(2698),
    [anon_sym_while] = ACTIONS(2698),
    [anon_sym_do] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2698),
    [anon_sym_in] = ACTIONS(2698),
    [anon_sym_return] = ACTIONS(2698),
    [anon_sym_break] = ACTIONS(2698),
    [anon_sym_continue] = ACTIONS(2698),
    [anon_sym_goto] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2698),
    [anon_sym___alignof__] = ACTIONS(2698),
    [anon_sym___alignof] = ACTIONS(2698),
    [anon_sym__alignof] = ACTIONS(2698),
    [anon_sym_alignof] = ACTIONS(2698),
    [anon_sym__Alignof] = ACTIONS(2698),
    [anon_sym_offsetof] = ACTIONS(2698),
    [anon_sym__Generic] = ACTIONS(2698),
    [anon_sym_asm] = ACTIONS(2698),
    [anon_sym___asm__] = ACTIONS(2698),
    [anon_sym___asm] = ACTIONS(2698),
    [sym_number_literal] = ACTIONS(2700),
    [anon_sym_L_SQUOTE] = ACTIONS(2700),
    [anon_sym_u_SQUOTE] = ACTIONS(2700),
    [anon_sym_U_SQUOTE] = ACTIONS(2700),
    [anon_sym_u8_SQUOTE] = ACTIONS(2700),
    [anon_sym_SQUOTE] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_L_DQUOTE] = ACTIONS(2700),
    [anon_sym_u_DQUOTE] = ACTIONS(2700),
    [anon_sym_U_DQUOTE] = ACTIONS(2700),
    [anon_sym_u8_DQUOTE] = ACTIONS(2700),
    [sym_true] = ACTIONS(2698),
    [sym_false] = ACTIONS(2698),
    [anon_sym_NULL] = ACTIONS(2698),
    [anon_sym_nullptr] = ACTIONS(2698),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2698),
    [anon_sym___typeof] = ACTIONS(2698),
    [anon_sym_typeof] = ACTIONS(2698),
    [anon_sym_ATimport] = ACTIONS(2700),
    [aux_sym_preproc_undef_token1] = ACTIONS(2698),
    [anon_sym_POUND] = ACTIONS(2698),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2698),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2698),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2698),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_API_AVAILABLE] = ACTIONS(2698),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_API_DEPRECATED] = ACTIONS(2698),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym___deprecated_msg] = ACTIONS(2698),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2698),
    [anon_sym_ATprotocol] = ACTIONS(2700),
    [anon_sym_ATinterface] = ACTIONS(2700),
    [anon_sym_ATimplementation] = ACTIONS(2700),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2700),
    [anon_sym_ATsynthesize] = ACTIONS(2700),
    [anon_sym_ATdynamic] = ACTIONS(2700),
    [anon_sym_ATtry] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2698),
    [anon_sym_ATthrow] = ACTIONS(2700),
    [anon_sym_ATselector] = ACTIONS(2700),
    [anon_sym_ATavailable] = ACTIONS(2700),
    [anon_sym___builtin_available] = ACTIONS(2698),
    [anon_sym_va_arg] = ACTIONS(2698),
    [anon_sym_ATencode] = ACTIONS(2700),
    [anon_sym_ATsynchronized] = ACTIONS(2700),
    [anon_sym_BOOL] = ACTIONS(2698),
    [anon_sym_IMP] = ACTIONS(2698),
    [anon_sym_SEL] = ACTIONS(2698),
    [anon_sym_Class] = ACTIONS(2698),
    [anon_sym_id] = ACTIONS(2698),
  },
  [313] = {
    [sym_identifier] = ACTIONS(2698),
    [aux_sym_preproc_include_token1] = ACTIONS(2698),
    [aux_sym_preproc_include_token2] = ACTIONS(2698),
    [aux_sym_preproc_def_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token2] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2698),
    [aux_sym_preproc_else_token1] = ACTIONS(2698),
    [aux_sym_preproc_elif_token1] = ACTIONS(2698),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2698),
    [sym_preproc_directive] = ACTIONS(2698),
    [anon_sym_LPAREN2] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2698),
    [anon_sym_PLUS] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_CARET] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2700),
    [anon_sym___extension__] = ACTIONS(2698),
    [anon_sym_typedef] = ACTIONS(2698),
    [anon_sym_extern] = ACTIONS(2698),
    [anon_sym___attribute__] = ACTIONS(2698),
    [anon_sym___attribute] = ACTIONS(2698),
    [anon_sym_noreturn] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym___declspec] = ACTIONS(2698),
    [anon_sym___cdecl] = ACTIONS(2698),
    [anon_sym___clrcall] = ACTIONS(2698),
    [anon_sym___stdcall] = ACTIONS(2698),
    [anon_sym___fastcall] = ACTIONS(2698),
    [anon_sym___thiscall] = ACTIONS(2698),
    [anon_sym___vectorcall] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_signed] = ACTIONS(2698),
    [anon_sym_unsigned] = ACTIONS(2698),
    [anon_sym_long] = ACTIONS(2698),
    [anon_sym_short] = ACTIONS(2698),
    [anon_sym_static] = ACTIONS(2698),
    [anon_sym_ATautoreleasepool] = ACTIONS(2700),
    [anon_sym_auto] = ACTIONS(2698),
    [anon_sym_register] = ACTIONS(2698),
    [anon_sym_inline] = ACTIONS(2698),
    [anon_sym___inline] = ACTIONS(2698),
    [anon_sym___inline__] = ACTIONS(2698),
    [anon_sym___forceinline] = ACTIONS(2698),
    [anon_sym_thread_local] = ACTIONS(2698),
    [anon_sym___thread] = ACTIONS(2698),
    [anon_sym_CG_EXTERN] = ACTIONS(2698),
    [anon_sym_CG_INLINE] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2698),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2698),
    [anon_sym_IBOutlet] = ACTIONS(2698),
    [anon_sym_IBInspectable] = ACTIONS(2698),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2698),
    [anon_sym_NS_INLINE] = ACTIONS(2698),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2698),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2698),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2698),
    [anon_sym_const] = ACTIONS(2698),
    [anon_sym_constexpr] = ACTIONS(2698),
    [anon_sym_volatile] = ACTIONS(2698),
    [anon_sym_restrict] = ACTIONS(2698),
    [anon_sym___restrict__] = ACTIONS(2698),
    [anon_sym__Atomic] = ACTIONS(2698),
    [anon_sym__Noreturn] = ACTIONS(2698),
    [anon_sym__Nonnull] = ACTIONS(2698),
    [anon_sym_nullable] = ACTIONS(2698),
    [anon_sym__Complex] = ACTIONS(2698),
    [anon_sym__Nullable] = ACTIONS(2698),
    [anon_sym__Nullable_result] = ACTIONS(2698),
    [anon_sym__Null_unspecified] = ACTIONS(2698),
    [anon_sym___autoreleasing] = ACTIONS(2698),
    [anon_sym___block] = ACTIONS(2698),
    [anon_sym___bridge] = ACTIONS(2698),
    [anon_sym___bridge_retained] = ACTIONS(2698),
    [anon_sym___bridge_transfer] = ACTIONS(2698),
    [anon_sym___complex] = ACTIONS(2698),
    [anon_sym___const] = ACTIONS(2698),
    [anon_sym___imag] = ACTIONS(2698),
    [anon_sym___kindof] = ACTIONS(2698),
    [anon_sym___nonnull] = ACTIONS(2698),
    [anon_sym___nullable] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2698),
    [anon_sym___real] = ACTIONS(2698),
    [anon_sym___strong] = ACTIONS(2698),
    [anon_sym___unsafe_unretained] = ACTIONS(2698),
    [anon_sym___unused] = ACTIONS(2698),
    [anon_sym___weak] = ACTIONS(2698),
    [anon_sym_alignas] = ACTIONS(2698),
    [anon_sym__Alignas] = ACTIONS(2698),
    [sym_primitive_type] = ACTIONS(2698),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_struct] = ACTIONS(2698),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_if] = ACTIONS(2698),
    [anon_sym_switch] = ACTIONS(2698),
    [anon_sym_case] = ACTIONS(2698),
    [anon_sym_default] = ACTIONS(2698),
    [anon_sym_while] = ACTIONS(2698),
    [anon_sym_do] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2698),
    [anon_sym_in] = ACTIONS(2698),
    [anon_sym_return] = ACTIONS(2698),
    [anon_sym_break] = ACTIONS(2698),
    [anon_sym_continue] = ACTIONS(2698),
    [anon_sym_goto] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2698),
    [anon_sym___alignof__] = ACTIONS(2698),
    [anon_sym___alignof] = ACTIONS(2698),
    [anon_sym__alignof] = ACTIONS(2698),
    [anon_sym_alignof] = ACTIONS(2698),
    [anon_sym__Alignof] = ACTIONS(2698),
    [anon_sym_offsetof] = ACTIONS(2698),
    [anon_sym__Generic] = ACTIONS(2698),
    [anon_sym_asm] = ACTIONS(2698),
    [anon_sym___asm__] = ACTIONS(2698),
    [anon_sym___asm] = ACTIONS(2698),
    [sym_number_literal] = ACTIONS(2700),
    [anon_sym_L_SQUOTE] = ACTIONS(2700),
    [anon_sym_u_SQUOTE] = ACTIONS(2700),
    [anon_sym_U_SQUOTE] = ACTIONS(2700),
    [anon_sym_u8_SQUOTE] = ACTIONS(2700),
    [anon_sym_SQUOTE] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_L_DQUOTE] = ACTIONS(2700),
    [anon_sym_u_DQUOTE] = ACTIONS(2700),
    [anon_sym_U_DQUOTE] = ACTIONS(2700),
    [anon_sym_u8_DQUOTE] = ACTIONS(2700),
    [sym_true] = ACTIONS(2698),
    [sym_false] = ACTIONS(2698),
    [anon_sym_NULL] = ACTIONS(2698),
    [anon_sym_nullptr] = ACTIONS(2698),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2698),
    [anon_sym___typeof] = ACTIONS(2698),
    [anon_sym_typeof] = ACTIONS(2698),
    [anon_sym_ATimport] = ACTIONS(2700),
    [aux_sym_preproc_undef_token1] = ACTIONS(2698),
    [anon_sym_POUND] = ACTIONS(2698),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2698),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2698),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2698),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_API_AVAILABLE] = ACTIONS(2698),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_API_DEPRECATED] = ACTIONS(2698),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym___deprecated_msg] = ACTIONS(2698),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2698),
    [anon_sym_ATprotocol] = ACTIONS(2700),
    [anon_sym_ATinterface] = ACTIONS(2700),
    [anon_sym_ATimplementation] = ACTIONS(2700),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2700),
    [anon_sym_ATsynthesize] = ACTIONS(2700),
    [anon_sym_ATdynamic] = ACTIONS(2700),
    [anon_sym_ATtry] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2698),
    [anon_sym_ATthrow] = ACTIONS(2700),
    [anon_sym_ATselector] = ACTIONS(2700),
    [anon_sym_ATavailable] = ACTIONS(2700),
    [anon_sym___builtin_available] = ACTIONS(2698),
    [anon_sym_va_arg] = ACTIONS(2698),
    [anon_sym_ATencode] = ACTIONS(2700),
    [anon_sym_ATsynchronized] = ACTIONS(2700),
    [anon_sym_BOOL] = ACTIONS(2698),
    [anon_sym_IMP] = ACTIONS(2698),
    [anon_sym_SEL] = ACTIONS(2698),
    [anon_sym_Class] = ACTIONS(2698),
    [anon_sym_id] = ACTIONS(2698),
  },
  [314] = {
    [sym_identifier] = ACTIONS(2702),
    [aux_sym_preproc_include_token1] = ACTIONS(2702),
    [aux_sym_preproc_include_token2] = ACTIONS(2702),
    [aux_sym_preproc_def_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token2] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2702),
    [aux_sym_preproc_else_token1] = ACTIONS(2702),
    [aux_sym_preproc_elif_token1] = ACTIONS(2702),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2702),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2702),
    [sym_preproc_directive] = ACTIONS(2702),
    [anon_sym_LPAREN2] = ACTIONS(2704),
    [anon_sym_BANG] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2702),
    [anon_sym_STAR] = ACTIONS(2704),
    [anon_sym_CARET] = ACTIONS(2704),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym___extension__] = ACTIONS(2702),
    [anon_sym_typedef] = ACTIONS(2702),
    [anon_sym_extern] = ACTIONS(2702),
    [anon_sym___attribute__] = ACTIONS(2702),
    [anon_sym___attribute] = ACTIONS(2702),
    [anon_sym_noreturn] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym___declspec] = ACTIONS(2702),
    [anon_sym___cdecl] = ACTIONS(2702),
    [anon_sym___clrcall] = ACTIONS(2702),
    [anon_sym___stdcall] = ACTIONS(2702),
    [anon_sym___fastcall] = ACTIONS(2702),
    [anon_sym___thiscall] = ACTIONS(2702),
    [anon_sym___vectorcall] = ACTIONS(2702),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_signed] = ACTIONS(2702),
    [anon_sym_unsigned] = ACTIONS(2702),
    [anon_sym_long] = ACTIONS(2702),
    [anon_sym_short] = ACTIONS(2702),
    [anon_sym_static] = ACTIONS(2702),
    [anon_sym_ATautoreleasepool] = ACTIONS(2704),
    [anon_sym_auto] = ACTIONS(2702),
    [anon_sym_register] = ACTIONS(2702),
    [anon_sym_inline] = ACTIONS(2702),
    [anon_sym___inline] = ACTIONS(2702),
    [anon_sym___inline__] = ACTIONS(2702),
    [anon_sym___forceinline] = ACTIONS(2702),
    [anon_sym_thread_local] = ACTIONS(2702),
    [anon_sym___thread] = ACTIONS(2702),
    [anon_sym_CG_EXTERN] = ACTIONS(2702),
    [anon_sym_CG_INLINE] = ACTIONS(2702),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2702),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2702),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2702),
    [anon_sym_IBOutlet] = ACTIONS(2702),
    [anon_sym_IBInspectable] = ACTIONS(2702),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2702),
    [anon_sym_NS_INLINE] = ACTIONS(2702),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2702),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2702),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2702),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2702),
    [anon_sym_const] = ACTIONS(2702),
    [anon_sym_constexpr] = ACTIONS(2702),
    [anon_sym_volatile] = ACTIONS(2702),
    [anon_sym_restrict] = ACTIONS(2702),
    [anon_sym___restrict__] = ACTIONS(2702),
    [anon_sym__Atomic] = ACTIONS(2702),
    [anon_sym__Noreturn] = ACTIONS(2702),
    [anon_sym__Nonnull] = ACTIONS(2702),
    [anon_sym_nullable] = ACTIONS(2702),
    [anon_sym__Complex] = ACTIONS(2702),
    [anon_sym__Nullable] = ACTIONS(2702),
    [anon_sym__Nullable_result] = ACTIONS(2702),
    [anon_sym__Null_unspecified] = ACTIONS(2702),
    [anon_sym___autoreleasing] = ACTIONS(2702),
    [anon_sym___block] = ACTIONS(2702),
    [anon_sym___bridge] = ACTIONS(2702),
    [anon_sym___bridge_retained] = ACTIONS(2702),
    [anon_sym___bridge_transfer] = ACTIONS(2702),
    [anon_sym___complex] = ACTIONS(2702),
    [anon_sym___const] = ACTIONS(2702),
    [anon_sym___imag] = ACTIONS(2702),
    [anon_sym___kindof] = ACTIONS(2702),
    [anon_sym___nonnull] = ACTIONS(2702),
    [anon_sym___nullable] = ACTIONS(2702),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2702),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2702),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2702),
    [anon_sym___real] = ACTIONS(2702),
    [anon_sym___strong] = ACTIONS(2702),
    [anon_sym___unsafe_unretained] = ACTIONS(2702),
    [anon_sym___unused] = ACTIONS(2702),
    [anon_sym___weak] = ACTIONS(2702),
    [anon_sym_alignas] = ACTIONS(2702),
    [anon_sym__Alignas] = ACTIONS(2702),
    [sym_primitive_type] = ACTIONS(2702),
    [anon_sym_enum] = ACTIONS(2702),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2702),
    [anon_sym_if] = ACTIONS(2702),
    [anon_sym_switch] = ACTIONS(2702),
    [anon_sym_case] = ACTIONS(2702),
    [anon_sym_default] = ACTIONS(2702),
    [anon_sym_while] = ACTIONS(2702),
    [anon_sym_do] = ACTIONS(2702),
    [anon_sym_for] = ACTIONS(2702),
    [anon_sym_in] = ACTIONS(2702),
    [anon_sym_return] = ACTIONS(2702),
    [anon_sym_break] = ACTIONS(2702),
    [anon_sym_continue] = ACTIONS(2702),
    [anon_sym_goto] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2702),
    [anon_sym___alignof] = ACTIONS(2702),
    [anon_sym__alignof] = ACTIONS(2702),
    [anon_sym_alignof] = ACTIONS(2702),
    [anon_sym__Alignof] = ACTIONS(2702),
    [anon_sym_offsetof] = ACTIONS(2702),
    [anon_sym__Generic] = ACTIONS(2702),
    [anon_sym_asm] = ACTIONS(2702),
    [anon_sym___asm__] = ACTIONS(2702),
    [anon_sym___asm] = ACTIONS(2702),
    [sym_number_literal] = ACTIONS(2704),
    [anon_sym_L_SQUOTE] = ACTIONS(2704),
    [anon_sym_u_SQUOTE] = ACTIONS(2704),
    [anon_sym_U_SQUOTE] = ACTIONS(2704),
    [anon_sym_u8_SQUOTE] = ACTIONS(2704),
    [anon_sym_SQUOTE] = ACTIONS(2704),
    [anon_sym_AT] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [anon_sym_L_DQUOTE] = ACTIONS(2704),
    [anon_sym_u_DQUOTE] = ACTIONS(2704),
    [anon_sym_U_DQUOTE] = ACTIONS(2704),
    [anon_sym_u8_DQUOTE] = ACTIONS(2704),
    [sym_true] = ACTIONS(2702),
    [sym_false] = ACTIONS(2702),
    [anon_sym_NULL] = ACTIONS(2702),
    [anon_sym_nullptr] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2702),
    [anon_sym___typeof] = ACTIONS(2702),
    [anon_sym_typeof] = ACTIONS(2702),
    [anon_sym_ATimport] = ACTIONS(2704),
    [aux_sym_preproc_undef_token1] = ACTIONS(2702),
    [anon_sym_POUND] = ACTIONS(2702),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2702),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2702),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2702),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2702),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2702),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2702),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2702),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2702),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2702),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2702),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2702),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2702),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2702),
    [anon_sym_API_AVAILABLE] = ACTIONS(2702),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2702),
    [anon_sym_API_DEPRECATED] = ACTIONS(2702),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2702),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2702),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2702),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2702),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2702),
    [anon_sym___deprecated_msg] = ACTIONS(2702),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2702),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2702),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2702),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2702),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2702),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2702),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2702),
    [anon_sym_ATprotocol] = ACTIONS(2704),
    [anon_sym_ATinterface] = ACTIONS(2704),
    [anon_sym_ATimplementation] = ACTIONS(2704),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2704),
    [anon_sym_ATsynthesize] = ACTIONS(2704),
    [anon_sym_ATdynamic] = ACTIONS(2704),
    [anon_sym_ATtry] = ACTIONS(2704),
    [anon_sym___try] = ACTIONS(2702),
    [anon_sym_ATthrow] = ACTIONS(2704),
    [anon_sym_ATselector] = ACTIONS(2704),
    [anon_sym_ATavailable] = ACTIONS(2704),
    [anon_sym___builtin_available] = ACTIONS(2702),
    [anon_sym_va_arg] = ACTIONS(2702),
    [anon_sym_ATencode] = ACTIONS(2704),
    [anon_sym_ATsynchronized] = ACTIONS(2704),
    [anon_sym_BOOL] = ACTIONS(2702),
    [anon_sym_IMP] = ACTIONS(2702),
    [anon_sym_SEL] = ACTIONS(2702),
    [anon_sym_Class] = ACTIONS(2702),
    [anon_sym_id] = ACTIONS(2702),
  },
  [315] = {
    [sym_identifier] = ACTIONS(2706),
    [aux_sym_preproc_include_token1] = ACTIONS(2706),
    [aux_sym_preproc_include_token2] = ACTIONS(2706),
    [aux_sym_preproc_def_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token2] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2706),
    [aux_sym_preproc_else_token1] = ACTIONS(2706),
    [aux_sym_preproc_elif_token1] = ACTIONS(2706),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2706),
    [sym_preproc_directive] = ACTIONS(2706),
    [anon_sym_LPAREN2] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2708),
    [anon_sym_CARET] = ACTIONS(2708),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_SEMI] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2706),
    [anon_sym_typedef] = ACTIONS(2706),
    [anon_sym_extern] = ACTIONS(2706),
    [anon_sym___attribute__] = ACTIONS(2706),
    [anon_sym___attribute] = ACTIONS(2706),
    [anon_sym_noreturn] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym___declspec] = ACTIONS(2706),
    [anon_sym___cdecl] = ACTIONS(2706),
    [anon_sym___clrcall] = ACTIONS(2706),
    [anon_sym___stdcall] = ACTIONS(2706),
    [anon_sym___fastcall] = ACTIONS(2706),
    [anon_sym___thiscall] = ACTIONS(2706),
    [anon_sym___vectorcall] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_signed] = ACTIONS(2706),
    [anon_sym_unsigned] = ACTIONS(2706),
    [anon_sym_long] = ACTIONS(2706),
    [anon_sym_short] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_ATautoreleasepool] = ACTIONS(2708),
    [anon_sym_auto] = ACTIONS(2706),
    [anon_sym_register] = ACTIONS(2706),
    [anon_sym_inline] = ACTIONS(2706),
    [anon_sym___inline] = ACTIONS(2706),
    [anon_sym___inline__] = ACTIONS(2706),
    [anon_sym___forceinline] = ACTIONS(2706),
    [anon_sym_thread_local] = ACTIONS(2706),
    [anon_sym___thread] = ACTIONS(2706),
    [anon_sym_CG_EXTERN] = ACTIONS(2706),
    [anon_sym_CG_INLINE] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2706),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2706),
    [anon_sym_IBOutlet] = ACTIONS(2706),
    [anon_sym_IBInspectable] = ACTIONS(2706),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2706),
    [anon_sym_NS_INLINE] = ACTIONS(2706),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2706),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2706),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_constexpr] = ACTIONS(2706),
    [anon_sym_volatile] = ACTIONS(2706),
    [anon_sym_restrict] = ACTIONS(2706),
    [anon_sym___restrict__] = ACTIONS(2706),
    [anon_sym__Atomic] = ACTIONS(2706),
    [anon_sym__Noreturn] = ACTIONS(2706),
    [anon_sym__Nonnull] = ACTIONS(2706),
    [anon_sym_nullable] = ACTIONS(2706),
    [anon_sym__Complex] = ACTIONS(2706),
    [anon_sym__Nullable] = ACTIONS(2706),
    [anon_sym__Nullable_result] = ACTIONS(2706),
    [anon_sym__Null_unspecified] = ACTIONS(2706),
    [anon_sym___autoreleasing] = ACTIONS(2706),
    [anon_sym___block] = ACTIONS(2706),
    [anon_sym___bridge] = ACTIONS(2706),
    [anon_sym___bridge_retained] = ACTIONS(2706),
    [anon_sym___bridge_transfer] = ACTIONS(2706),
    [anon_sym___complex] = ACTIONS(2706),
    [anon_sym___const] = ACTIONS(2706),
    [anon_sym___imag] = ACTIONS(2706),
    [anon_sym___kindof] = ACTIONS(2706),
    [anon_sym___nonnull] = ACTIONS(2706),
    [anon_sym___nullable] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2706),
    [anon_sym___real] = ACTIONS(2706),
    [anon_sym___strong] = ACTIONS(2706),
    [anon_sym___unsafe_unretained] = ACTIONS(2706),
    [anon_sym___unused] = ACTIONS(2706),
    [anon_sym___weak] = ACTIONS(2706),
    [anon_sym_alignas] = ACTIONS(2706),
    [anon_sym__Alignas] = ACTIONS(2706),
    [sym_primitive_type] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [anon_sym_struct] = ACTIONS(2706),
    [anon_sym_union] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2706),
    [anon_sym_default] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_in] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_goto] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_sizeof] = ACTIONS(2706),
    [anon_sym___alignof__] = ACTIONS(2706),
    [anon_sym___alignof] = ACTIONS(2706),
    [anon_sym__alignof] = ACTIONS(2706),
    [anon_sym_alignof] = ACTIONS(2706),
    [anon_sym__Alignof] = ACTIONS(2706),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2706),
    [anon_sym_asm] = ACTIONS(2706),
    [anon_sym___asm__] = ACTIONS(2706),
    [anon_sym___asm] = ACTIONS(2706),
    [sym_number_literal] = ACTIONS(2708),
    [anon_sym_L_SQUOTE] = ACTIONS(2708),
    [anon_sym_u_SQUOTE] = ACTIONS(2708),
    [anon_sym_U_SQUOTE] = ACTIONS(2708),
    [anon_sym_u8_SQUOTE] = ACTIONS(2708),
    [anon_sym_SQUOTE] = ACTIONS(2708),
    [anon_sym_AT] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [anon_sym_L_DQUOTE] = ACTIONS(2708),
    [anon_sym_u_DQUOTE] = ACTIONS(2708),
    [anon_sym_U_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8_DQUOTE] = ACTIONS(2708),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [anon_sym_NULL] = ACTIONS(2706),
    [anon_sym_nullptr] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2706),
    [anon_sym___typeof] = ACTIONS(2706),
    [anon_sym_typeof] = ACTIONS(2706),
    [anon_sym_ATimport] = ACTIONS(2708),
    [aux_sym_preproc_undef_token1] = ACTIONS(2706),
    [anon_sym_POUND] = ACTIONS(2706),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2706),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2706),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2706),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_API_AVAILABLE] = ACTIONS(2706),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_API_DEPRECATED] = ACTIONS(2706),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym___deprecated_msg] = ACTIONS(2706),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2706),
    [anon_sym_ATprotocol] = ACTIONS(2708),
    [anon_sym_ATinterface] = ACTIONS(2708),
    [anon_sym_ATimplementation] = ACTIONS(2708),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2708),
    [anon_sym_ATsynthesize] = ACTIONS(2708),
    [anon_sym_ATdynamic] = ACTIONS(2708),
    [anon_sym_ATtry] = ACTIONS(2708),
    [anon_sym___try] = ACTIONS(2706),
    [anon_sym_ATthrow] = ACTIONS(2708),
    [anon_sym_ATselector] = ACTIONS(2708),
    [anon_sym_ATavailable] = ACTIONS(2708),
    [anon_sym___builtin_available] = ACTIONS(2706),
    [anon_sym_va_arg] = ACTIONS(2706),
    [anon_sym_ATencode] = ACTIONS(2708),
    [anon_sym_ATsynchronized] = ACTIONS(2708),
    [anon_sym_BOOL] = ACTIONS(2706),
    [anon_sym_IMP] = ACTIONS(2706),
    [anon_sym_SEL] = ACTIONS(2706),
    [anon_sym_Class] = ACTIONS(2706),
    [anon_sym_id] = ACTIONS(2706),
  },
  [316] = {
    [sym_identifier] = ACTIONS(2706),
    [aux_sym_preproc_include_token1] = ACTIONS(2706),
    [aux_sym_preproc_include_token2] = ACTIONS(2706),
    [aux_sym_preproc_def_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token2] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2706),
    [aux_sym_preproc_else_token1] = ACTIONS(2706),
    [aux_sym_preproc_elif_token1] = ACTIONS(2706),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2706),
    [sym_preproc_directive] = ACTIONS(2706),
    [anon_sym_LPAREN2] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2708),
    [anon_sym_CARET] = ACTIONS(2708),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_SEMI] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2706),
    [anon_sym_typedef] = ACTIONS(2706),
    [anon_sym_extern] = ACTIONS(2706),
    [anon_sym___attribute__] = ACTIONS(2706),
    [anon_sym___attribute] = ACTIONS(2706),
    [anon_sym_noreturn] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym___declspec] = ACTIONS(2706),
    [anon_sym___cdecl] = ACTIONS(2706),
    [anon_sym___clrcall] = ACTIONS(2706),
    [anon_sym___stdcall] = ACTIONS(2706),
    [anon_sym___fastcall] = ACTIONS(2706),
    [anon_sym___thiscall] = ACTIONS(2706),
    [anon_sym___vectorcall] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_signed] = ACTIONS(2706),
    [anon_sym_unsigned] = ACTIONS(2706),
    [anon_sym_long] = ACTIONS(2706),
    [anon_sym_short] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_ATautoreleasepool] = ACTIONS(2708),
    [anon_sym_auto] = ACTIONS(2706),
    [anon_sym_register] = ACTIONS(2706),
    [anon_sym_inline] = ACTIONS(2706),
    [anon_sym___inline] = ACTIONS(2706),
    [anon_sym___inline__] = ACTIONS(2706),
    [anon_sym___forceinline] = ACTIONS(2706),
    [anon_sym_thread_local] = ACTIONS(2706),
    [anon_sym___thread] = ACTIONS(2706),
    [anon_sym_CG_EXTERN] = ACTIONS(2706),
    [anon_sym_CG_INLINE] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2706),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2706),
    [anon_sym_IBOutlet] = ACTIONS(2706),
    [anon_sym_IBInspectable] = ACTIONS(2706),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2706),
    [anon_sym_NS_INLINE] = ACTIONS(2706),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2706),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2706),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_constexpr] = ACTIONS(2706),
    [anon_sym_volatile] = ACTIONS(2706),
    [anon_sym_restrict] = ACTIONS(2706),
    [anon_sym___restrict__] = ACTIONS(2706),
    [anon_sym__Atomic] = ACTIONS(2706),
    [anon_sym__Noreturn] = ACTIONS(2706),
    [anon_sym__Nonnull] = ACTIONS(2706),
    [anon_sym_nullable] = ACTIONS(2706),
    [anon_sym__Complex] = ACTIONS(2706),
    [anon_sym__Nullable] = ACTIONS(2706),
    [anon_sym__Nullable_result] = ACTIONS(2706),
    [anon_sym__Null_unspecified] = ACTIONS(2706),
    [anon_sym___autoreleasing] = ACTIONS(2706),
    [anon_sym___block] = ACTIONS(2706),
    [anon_sym___bridge] = ACTIONS(2706),
    [anon_sym___bridge_retained] = ACTIONS(2706),
    [anon_sym___bridge_transfer] = ACTIONS(2706),
    [anon_sym___complex] = ACTIONS(2706),
    [anon_sym___const] = ACTIONS(2706),
    [anon_sym___imag] = ACTIONS(2706),
    [anon_sym___kindof] = ACTIONS(2706),
    [anon_sym___nonnull] = ACTIONS(2706),
    [anon_sym___nullable] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2706),
    [anon_sym___real] = ACTIONS(2706),
    [anon_sym___strong] = ACTIONS(2706),
    [anon_sym___unsafe_unretained] = ACTIONS(2706),
    [anon_sym___unused] = ACTIONS(2706),
    [anon_sym___weak] = ACTIONS(2706),
    [anon_sym_alignas] = ACTIONS(2706),
    [anon_sym__Alignas] = ACTIONS(2706),
    [sym_primitive_type] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [anon_sym_struct] = ACTIONS(2706),
    [anon_sym_union] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2706),
    [anon_sym_default] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_in] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_goto] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_sizeof] = ACTIONS(2706),
    [anon_sym___alignof__] = ACTIONS(2706),
    [anon_sym___alignof] = ACTIONS(2706),
    [anon_sym__alignof] = ACTIONS(2706),
    [anon_sym_alignof] = ACTIONS(2706),
    [anon_sym__Alignof] = ACTIONS(2706),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2706),
    [anon_sym_asm] = ACTIONS(2706),
    [anon_sym___asm__] = ACTIONS(2706),
    [anon_sym___asm] = ACTIONS(2706),
    [sym_number_literal] = ACTIONS(2708),
    [anon_sym_L_SQUOTE] = ACTIONS(2708),
    [anon_sym_u_SQUOTE] = ACTIONS(2708),
    [anon_sym_U_SQUOTE] = ACTIONS(2708),
    [anon_sym_u8_SQUOTE] = ACTIONS(2708),
    [anon_sym_SQUOTE] = ACTIONS(2708),
    [anon_sym_AT] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [anon_sym_L_DQUOTE] = ACTIONS(2708),
    [anon_sym_u_DQUOTE] = ACTIONS(2708),
    [anon_sym_U_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8_DQUOTE] = ACTIONS(2708),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [anon_sym_NULL] = ACTIONS(2706),
    [anon_sym_nullptr] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2706),
    [anon_sym___typeof] = ACTIONS(2706),
    [anon_sym_typeof] = ACTIONS(2706),
    [anon_sym_ATimport] = ACTIONS(2708),
    [aux_sym_preproc_undef_token1] = ACTIONS(2706),
    [anon_sym_POUND] = ACTIONS(2706),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2706),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2706),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2706),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_API_AVAILABLE] = ACTIONS(2706),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_API_DEPRECATED] = ACTIONS(2706),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym___deprecated_msg] = ACTIONS(2706),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2706),
    [anon_sym_ATprotocol] = ACTIONS(2708),
    [anon_sym_ATinterface] = ACTIONS(2708),
    [anon_sym_ATimplementation] = ACTIONS(2708),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2708),
    [anon_sym_ATsynthesize] = ACTIONS(2708),
    [anon_sym_ATdynamic] = ACTIONS(2708),
    [anon_sym_ATtry] = ACTIONS(2708),
    [anon_sym___try] = ACTIONS(2706),
    [anon_sym_ATthrow] = ACTIONS(2708),
    [anon_sym_ATselector] = ACTIONS(2708),
    [anon_sym_ATavailable] = ACTIONS(2708),
    [anon_sym___builtin_available] = ACTIONS(2706),
    [anon_sym_va_arg] = ACTIONS(2706),
    [anon_sym_ATencode] = ACTIONS(2708),
    [anon_sym_ATsynchronized] = ACTIONS(2708),
    [anon_sym_BOOL] = ACTIONS(2706),
    [anon_sym_IMP] = ACTIONS(2706),
    [anon_sym_SEL] = ACTIONS(2706),
    [anon_sym_Class] = ACTIONS(2706),
    [anon_sym_id] = ACTIONS(2706),
  },
  [317] = {
    [sym_identifier] = ACTIONS(2706),
    [aux_sym_preproc_include_token1] = ACTIONS(2706),
    [aux_sym_preproc_include_token2] = ACTIONS(2706),
    [aux_sym_preproc_def_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token2] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2706),
    [aux_sym_preproc_else_token1] = ACTIONS(2706),
    [aux_sym_preproc_elif_token1] = ACTIONS(2706),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2706),
    [sym_preproc_directive] = ACTIONS(2706),
    [anon_sym_LPAREN2] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2708),
    [anon_sym_CARET] = ACTIONS(2708),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_SEMI] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2706),
    [anon_sym_typedef] = ACTIONS(2706),
    [anon_sym_extern] = ACTIONS(2706),
    [anon_sym___attribute__] = ACTIONS(2706),
    [anon_sym___attribute] = ACTIONS(2706),
    [anon_sym_noreturn] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym___declspec] = ACTIONS(2706),
    [anon_sym___cdecl] = ACTIONS(2706),
    [anon_sym___clrcall] = ACTIONS(2706),
    [anon_sym___stdcall] = ACTIONS(2706),
    [anon_sym___fastcall] = ACTIONS(2706),
    [anon_sym___thiscall] = ACTIONS(2706),
    [anon_sym___vectorcall] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_signed] = ACTIONS(2706),
    [anon_sym_unsigned] = ACTIONS(2706),
    [anon_sym_long] = ACTIONS(2706),
    [anon_sym_short] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_ATautoreleasepool] = ACTIONS(2708),
    [anon_sym_auto] = ACTIONS(2706),
    [anon_sym_register] = ACTIONS(2706),
    [anon_sym_inline] = ACTIONS(2706),
    [anon_sym___inline] = ACTIONS(2706),
    [anon_sym___inline__] = ACTIONS(2706),
    [anon_sym___forceinline] = ACTIONS(2706),
    [anon_sym_thread_local] = ACTIONS(2706),
    [anon_sym___thread] = ACTIONS(2706),
    [anon_sym_CG_EXTERN] = ACTIONS(2706),
    [anon_sym_CG_INLINE] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2706),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2706),
    [anon_sym_IBOutlet] = ACTIONS(2706),
    [anon_sym_IBInspectable] = ACTIONS(2706),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2706),
    [anon_sym_NS_INLINE] = ACTIONS(2706),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2706),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2706),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_constexpr] = ACTIONS(2706),
    [anon_sym_volatile] = ACTIONS(2706),
    [anon_sym_restrict] = ACTIONS(2706),
    [anon_sym___restrict__] = ACTIONS(2706),
    [anon_sym__Atomic] = ACTIONS(2706),
    [anon_sym__Noreturn] = ACTIONS(2706),
    [anon_sym__Nonnull] = ACTIONS(2706),
    [anon_sym_nullable] = ACTIONS(2706),
    [anon_sym__Complex] = ACTIONS(2706),
    [anon_sym__Nullable] = ACTIONS(2706),
    [anon_sym__Nullable_result] = ACTIONS(2706),
    [anon_sym__Null_unspecified] = ACTIONS(2706),
    [anon_sym___autoreleasing] = ACTIONS(2706),
    [anon_sym___block] = ACTIONS(2706),
    [anon_sym___bridge] = ACTIONS(2706),
    [anon_sym___bridge_retained] = ACTIONS(2706),
    [anon_sym___bridge_transfer] = ACTIONS(2706),
    [anon_sym___complex] = ACTIONS(2706),
    [anon_sym___const] = ACTIONS(2706),
    [anon_sym___imag] = ACTIONS(2706),
    [anon_sym___kindof] = ACTIONS(2706),
    [anon_sym___nonnull] = ACTIONS(2706),
    [anon_sym___nullable] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2706),
    [anon_sym___real] = ACTIONS(2706),
    [anon_sym___strong] = ACTIONS(2706),
    [anon_sym___unsafe_unretained] = ACTIONS(2706),
    [anon_sym___unused] = ACTIONS(2706),
    [anon_sym___weak] = ACTIONS(2706),
    [anon_sym_alignas] = ACTIONS(2706),
    [anon_sym__Alignas] = ACTIONS(2706),
    [sym_primitive_type] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [anon_sym_struct] = ACTIONS(2706),
    [anon_sym_union] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2706),
    [anon_sym_default] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_in] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_goto] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_sizeof] = ACTIONS(2706),
    [anon_sym___alignof__] = ACTIONS(2706),
    [anon_sym___alignof] = ACTIONS(2706),
    [anon_sym__alignof] = ACTIONS(2706),
    [anon_sym_alignof] = ACTIONS(2706),
    [anon_sym__Alignof] = ACTIONS(2706),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2706),
    [anon_sym_asm] = ACTIONS(2706),
    [anon_sym___asm__] = ACTIONS(2706),
    [anon_sym___asm] = ACTIONS(2706),
    [sym_number_literal] = ACTIONS(2708),
    [anon_sym_L_SQUOTE] = ACTIONS(2708),
    [anon_sym_u_SQUOTE] = ACTIONS(2708),
    [anon_sym_U_SQUOTE] = ACTIONS(2708),
    [anon_sym_u8_SQUOTE] = ACTIONS(2708),
    [anon_sym_SQUOTE] = ACTIONS(2708),
    [anon_sym_AT] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [anon_sym_L_DQUOTE] = ACTIONS(2708),
    [anon_sym_u_DQUOTE] = ACTIONS(2708),
    [anon_sym_U_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8_DQUOTE] = ACTIONS(2708),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [anon_sym_NULL] = ACTIONS(2706),
    [anon_sym_nullptr] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2706),
    [anon_sym___typeof] = ACTIONS(2706),
    [anon_sym_typeof] = ACTIONS(2706),
    [anon_sym_ATimport] = ACTIONS(2708),
    [aux_sym_preproc_undef_token1] = ACTIONS(2706),
    [anon_sym_POUND] = ACTIONS(2706),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2706),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2706),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2706),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_API_AVAILABLE] = ACTIONS(2706),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_API_DEPRECATED] = ACTIONS(2706),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym___deprecated_msg] = ACTIONS(2706),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2706),
    [anon_sym_ATprotocol] = ACTIONS(2708),
    [anon_sym_ATinterface] = ACTIONS(2708),
    [anon_sym_ATimplementation] = ACTIONS(2708),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2708),
    [anon_sym_ATsynthesize] = ACTIONS(2708),
    [anon_sym_ATdynamic] = ACTIONS(2708),
    [anon_sym_ATtry] = ACTIONS(2708),
    [anon_sym___try] = ACTIONS(2706),
    [anon_sym_ATthrow] = ACTIONS(2708),
    [anon_sym_ATselector] = ACTIONS(2708),
    [anon_sym_ATavailable] = ACTIONS(2708),
    [anon_sym___builtin_available] = ACTIONS(2706),
    [anon_sym_va_arg] = ACTIONS(2706),
    [anon_sym_ATencode] = ACTIONS(2708),
    [anon_sym_ATsynchronized] = ACTIONS(2708),
    [anon_sym_BOOL] = ACTIONS(2706),
    [anon_sym_IMP] = ACTIONS(2706),
    [anon_sym_SEL] = ACTIONS(2706),
    [anon_sym_Class] = ACTIONS(2706),
    [anon_sym_id] = ACTIONS(2706),
  },
  [318] = {
    [sym_identifier] = ACTIONS(2710),
    [aux_sym_preproc_include_token1] = ACTIONS(2710),
    [aux_sym_preproc_include_token2] = ACTIONS(2710),
    [aux_sym_preproc_def_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token2] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2710),
    [aux_sym_preproc_else_token1] = ACTIONS(2710),
    [aux_sym_preproc_elif_token1] = ACTIONS(2710),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2710),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2710),
    [sym_preproc_directive] = ACTIONS(2710),
    [anon_sym_LPAREN2] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2710),
    [anon_sym_PLUS] = ACTIONS(2710),
    [anon_sym_STAR] = ACTIONS(2712),
    [anon_sym_CARET] = ACTIONS(2712),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_SEMI] = ACTIONS(2712),
    [anon_sym___extension__] = ACTIONS(2710),
    [anon_sym_typedef] = ACTIONS(2710),
    [anon_sym_extern] = ACTIONS(2710),
    [anon_sym___attribute__] = ACTIONS(2710),
    [anon_sym___attribute] = ACTIONS(2710),
    [anon_sym_noreturn] = ACTIONS(2710),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym___declspec] = ACTIONS(2710),
    [anon_sym___cdecl] = ACTIONS(2710),
    [anon_sym___clrcall] = ACTIONS(2710),
    [anon_sym___stdcall] = ACTIONS(2710),
    [anon_sym___fastcall] = ACTIONS(2710),
    [anon_sym___thiscall] = ACTIONS(2710),
    [anon_sym___vectorcall] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_signed] = ACTIONS(2710),
    [anon_sym_unsigned] = ACTIONS(2710),
    [anon_sym_long] = ACTIONS(2710),
    [anon_sym_short] = ACTIONS(2710),
    [anon_sym_static] = ACTIONS(2710),
    [anon_sym_ATautoreleasepool] = ACTIONS(2712),
    [anon_sym_auto] = ACTIONS(2710),
    [anon_sym_register] = ACTIONS(2710),
    [anon_sym_inline] = ACTIONS(2710),
    [anon_sym___inline] = ACTIONS(2710),
    [anon_sym___inline__] = ACTIONS(2710),
    [anon_sym___forceinline] = ACTIONS(2710),
    [anon_sym_thread_local] = ACTIONS(2710),
    [anon_sym___thread] = ACTIONS(2710),
    [anon_sym_CG_EXTERN] = ACTIONS(2710),
    [anon_sym_CG_INLINE] = ACTIONS(2710),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2710),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2710),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2710),
    [anon_sym_IBOutlet] = ACTIONS(2710),
    [anon_sym_IBInspectable] = ACTIONS(2710),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2710),
    [anon_sym_NS_INLINE] = ACTIONS(2710),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2710),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2710),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2710),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2710),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_constexpr] = ACTIONS(2710),
    [anon_sym_volatile] = ACTIONS(2710),
    [anon_sym_restrict] = ACTIONS(2710),
    [anon_sym___restrict__] = ACTIONS(2710),
    [anon_sym__Atomic] = ACTIONS(2710),
    [anon_sym__Noreturn] = ACTIONS(2710),
    [anon_sym__Nonnull] = ACTIONS(2710),
    [anon_sym_nullable] = ACTIONS(2710),
    [anon_sym__Complex] = ACTIONS(2710),
    [anon_sym__Nullable] = ACTIONS(2710),
    [anon_sym__Nullable_result] = ACTIONS(2710),
    [anon_sym__Null_unspecified] = ACTIONS(2710),
    [anon_sym___autoreleasing] = ACTIONS(2710),
    [anon_sym___block] = ACTIONS(2710),
    [anon_sym___bridge] = ACTIONS(2710),
    [anon_sym___bridge_retained] = ACTIONS(2710),
    [anon_sym___bridge_transfer] = ACTIONS(2710),
    [anon_sym___complex] = ACTIONS(2710),
    [anon_sym___const] = ACTIONS(2710),
    [anon_sym___imag] = ACTIONS(2710),
    [anon_sym___kindof] = ACTIONS(2710),
    [anon_sym___nonnull] = ACTIONS(2710),
    [anon_sym___nullable] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2710),
    [anon_sym___real] = ACTIONS(2710),
    [anon_sym___strong] = ACTIONS(2710),
    [anon_sym___unsafe_unretained] = ACTIONS(2710),
    [anon_sym___unused] = ACTIONS(2710),
    [anon_sym___weak] = ACTIONS(2710),
    [anon_sym_alignas] = ACTIONS(2710),
    [anon_sym__Alignas] = ACTIONS(2710),
    [sym_primitive_type] = ACTIONS(2710),
    [anon_sym_enum] = ACTIONS(2710),
    [anon_sym_struct] = ACTIONS(2710),
    [anon_sym_union] = ACTIONS(2710),
    [anon_sym_if] = ACTIONS(2710),
    [anon_sym_switch] = ACTIONS(2710),
    [anon_sym_case] = ACTIONS(2710),
    [anon_sym_default] = ACTIONS(2710),
    [anon_sym_while] = ACTIONS(2710),
    [anon_sym_do] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2710),
    [anon_sym_in] = ACTIONS(2710),
    [anon_sym_return] = ACTIONS(2710),
    [anon_sym_break] = ACTIONS(2710),
    [anon_sym_continue] = ACTIONS(2710),
    [anon_sym_goto] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_sizeof] = ACTIONS(2710),
    [anon_sym___alignof__] = ACTIONS(2710),
    [anon_sym___alignof] = ACTIONS(2710),
    [anon_sym__alignof] = ACTIONS(2710),
    [anon_sym_alignof] = ACTIONS(2710),
    [anon_sym__Alignof] = ACTIONS(2710),
    [anon_sym_offsetof] = ACTIONS(2710),
    [anon_sym__Generic] = ACTIONS(2710),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [anon_sym___asm] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2712),
    [anon_sym_u_SQUOTE] = ACTIONS(2712),
    [anon_sym_U_SQUOTE] = ACTIONS(2712),
    [anon_sym_u8_SQUOTE] = ACTIONS(2712),
    [anon_sym_SQUOTE] = ACTIONS(2712),
    [anon_sym_AT] = ACTIONS(2710),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [anon_sym_L_DQUOTE] = ACTIONS(2712),
    [anon_sym_u_DQUOTE] = ACTIONS(2712),
    [anon_sym_U_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8_DQUOTE] = ACTIONS(2712),
    [sym_true] = ACTIONS(2710),
    [sym_false] = ACTIONS(2710),
    [anon_sym_NULL] = ACTIONS(2710),
    [anon_sym_nullptr] = ACTIONS(2710),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2710),
    [anon_sym___typeof] = ACTIONS(2710),
    [anon_sym_typeof] = ACTIONS(2710),
    [anon_sym_ATimport] = ACTIONS(2712),
    [aux_sym_preproc_undef_token1] = ACTIONS(2710),
    [anon_sym_POUND] = ACTIONS(2710),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2710),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2710),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2710),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2710),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2710),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2710),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2710),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_API_AVAILABLE] = ACTIONS(2710),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_API_DEPRECATED] = ACTIONS(2710),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2710),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym___deprecated_msg] = ACTIONS(2710),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2710),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2710),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2710),
    [anon_sym_ATprotocol] = ACTIONS(2712),
    [anon_sym_ATinterface] = ACTIONS(2712),
    [anon_sym_ATimplementation] = ACTIONS(2712),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2712),
    [anon_sym_ATsynthesize] = ACTIONS(2712),
    [anon_sym_ATdynamic] = ACTIONS(2712),
    [anon_sym_ATtry] = ACTIONS(2712),
    [anon_sym___try] = ACTIONS(2710),
    [anon_sym_ATthrow] = ACTIONS(2712),
    [anon_sym_ATselector] = ACTIONS(2712),
    [anon_sym_ATavailable] = ACTIONS(2712),
    [anon_sym___builtin_available] = ACTIONS(2710),
    [anon_sym_va_arg] = ACTIONS(2710),
    [anon_sym_ATencode] = ACTIONS(2712),
    [anon_sym_ATsynchronized] = ACTIONS(2712),
    [anon_sym_BOOL] = ACTIONS(2710),
    [anon_sym_IMP] = ACTIONS(2710),
    [anon_sym_SEL] = ACTIONS(2710),
    [anon_sym_Class] = ACTIONS(2710),
    [anon_sym_id] = ACTIONS(2710),
  },
  [319] = {
    [sym_identifier] = ACTIONS(2710),
    [aux_sym_preproc_include_token1] = ACTIONS(2710),
    [aux_sym_preproc_include_token2] = ACTIONS(2710),
    [aux_sym_preproc_def_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token2] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2710),
    [aux_sym_preproc_else_token1] = ACTIONS(2710),
    [aux_sym_preproc_elif_token1] = ACTIONS(2710),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2710),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2710),
    [sym_preproc_directive] = ACTIONS(2710),
    [anon_sym_LPAREN2] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2710),
    [anon_sym_PLUS] = ACTIONS(2710),
    [anon_sym_STAR] = ACTIONS(2712),
    [anon_sym_CARET] = ACTIONS(2712),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_SEMI] = ACTIONS(2712),
    [anon_sym___extension__] = ACTIONS(2710),
    [anon_sym_typedef] = ACTIONS(2710),
    [anon_sym_extern] = ACTIONS(2710),
    [anon_sym___attribute__] = ACTIONS(2710),
    [anon_sym___attribute] = ACTIONS(2710),
    [anon_sym_noreturn] = ACTIONS(2710),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym___declspec] = ACTIONS(2710),
    [anon_sym___cdecl] = ACTIONS(2710),
    [anon_sym___clrcall] = ACTIONS(2710),
    [anon_sym___stdcall] = ACTIONS(2710),
    [anon_sym___fastcall] = ACTIONS(2710),
    [anon_sym___thiscall] = ACTIONS(2710),
    [anon_sym___vectorcall] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_signed] = ACTIONS(2710),
    [anon_sym_unsigned] = ACTIONS(2710),
    [anon_sym_long] = ACTIONS(2710),
    [anon_sym_short] = ACTIONS(2710),
    [anon_sym_static] = ACTIONS(2710),
    [anon_sym_ATautoreleasepool] = ACTIONS(2712),
    [anon_sym_auto] = ACTIONS(2710),
    [anon_sym_register] = ACTIONS(2710),
    [anon_sym_inline] = ACTIONS(2710),
    [anon_sym___inline] = ACTIONS(2710),
    [anon_sym___inline__] = ACTIONS(2710),
    [anon_sym___forceinline] = ACTIONS(2710),
    [anon_sym_thread_local] = ACTIONS(2710),
    [anon_sym___thread] = ACTIONS(2710),
    [anon_sym_CG_EXTERN] = ACTIONS(2710),
    [anon_sym_CG_INLINE] = ACTIONS(2710),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2710),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2710),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2710),
    [anon_sym_IBOutlet] = ACTIONS(2710),
    [anon_sym_IBInspectable] = ACTIONS(2710),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2710),
    [anon_sym_NS_INLINE] = ACTIONS(2710),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2710),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2710),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2710),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2710),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_constexpr] = ACTIONS(2710),
    [anon_sym_volatile] = ACTIONS(2710),
    [anon_sym_restrict] = ACTIONS(2710),
    [anon_sym___restrict__] = ACTIONS(2710),
    [anon_sym__Atomic] = ACTIONS(2710),
    [anon_sym__Noreturn] = ACTIONS(2710),
    [anon_sym__Nonnull] = ACTIONS(2710),
    [anon_sym_nullable] = ACTIONS(2710),
    [anon_sym__Complex] = ACTIONS(2710),
    [anon_sym__Nullable] = ACTIONS(2710),
    [anon_sym__Nullable_result] = ACTIONS(2710),
    [anon_sym__Null_unspecified] = ACTIONS(2710),
    [anon_sym___autoreleasing] = ACTIONS(2710),
    [anon_sym___block] = ACTIONS(2710),
    [anon_sym___bridge] = ACTIONS(2710),
    [anon_sym___bridge_retained] = ACTIONS(2710),
    [anon_sym___bridge_transfer] = ACTIONS(2710),
    [anon_sym___complex] = ACTIONS(2710),
    [anon_sym___const] = ACTIONS(2710),
    [anon_sym___imag] = ACTIONS(2710),
    [anon_sym___kindof] = ACTIONS(2710),
    [anon_sym___nonnull] = ACTIONS(2710),
    [anon_sym___nullable] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2710),
    [anon_sym___real] = ACTIONS(2710),
    [anon_sym___strong] = ACTIONS(2710),
    [anon_sym___unsafe_unretained] = ACTIONS(2710),
    [anon_sym___unused] = ACTIONS(2710),
    [anon_sym___weak] = ACTIONS(2710),
    [anon_sym_alignas] = ACTIONS(2710),
    [anon_sym__Alignas] = ACTIONS(2710),
    [sym_primitive_type] = ACTIONS(2710),
    [anon_sym_enum] = ACTIONS(2710),
    [anon_sym_struct] = ACTIONS(2710),
    [anon_sym_union] = ACTIONS(2710),
    [anon_sym_if] = ACTIONS(2710),
    [anon_sym_switch] = ACTIONS(2710),
    [anon_sym_case] = ACTIONS(2710),
    [anon_sym_default] = ACTIONS(2710),
    [anon_sym_while] = ACTIONS(2710),
    [anon_sym_do] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2710),
    [anon_sym_in] = ACTIONS(2710),
    [anon_sym_return] = ACTIONS(2710),
    [anon_sym_break] = ACTIONS(2710),
    [anon_sym_continue] = ACTIONS(2710),
    [anon_sym_goto] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_sizeof] = ACTIONS(2710),
    [anon_sym___alignof__] = ACTIONS(2710),
    [anon_sym___alignof] = ACTIONS(2710),
    [anon_sym__alignof] = ACTIONS(2710),
    [anon_sym_alignof] = ACTIONS(2710),
    [anon_sym__Alignof] = ACTIONS(2710),
    [anon_sym_offsetof] = ACTIONS(2710),
    [anon_sym__Generic] = ACTIONS(2710),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [anon_sym___asm] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2712),
    [anon_sym_u_SQUOTE] = ACTIONS(2712),
    [anon_sym_U_SQUOTE] = ACTIONS(2712),
    [anon_sym_u8_SQUOTE] = ACTIONS(2712),
    [anon_sym_SQUOTE] = ACTIONS(2712),
    [anon_sym_AT] = ACTIONS(2710),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [anon_sym_L_DQUOTE] = ACTIONS(2712),
    [anon_sym_u_DQUOTE] = ACTIONS(2712),
    [anon_sym_U_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8_DQUOTE] = ACTIONS(2712),
    [sym_true] = ACTIONS(2710),
    [sym_false] = ACTIONS(2710),
    [anon_sym_NULL] = ACTIONS(2710),
    [anon_sym_nullptr] = ACTIONS(2710),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2710),
    [anon_sym___typeof] = ACTIONS(2710),
    [anon_sym_typeof] = ACTIONS(2710),
    [anon_sym_ATimport] = ACTIONS(2712),
    [aux_sym_preproc_undef_token1] = ACTIONS(2710),
    [anon_sym_POUND] = ACTIONS(2710),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2710),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2710),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2710),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2710),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2710),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2710),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2710),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_API_AVAILABLE] = ACTIONS(2710),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_API_DEPRECATED] = ACTIONS(2710),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2710),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym___deprecated_msg] = ACTIONS(2710),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2710),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2710),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2710),
    [anon_sym_ATprotocol] = ACTIONS(2712),
    [anon_sym_ATinterface] = ACTIONS(2712),
    [anon_sym_ATimplementation] = ACTIONS(2712),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2712),
    [anon_sym_ATsynthesize] = ACTIONS(2712),
    [anon_sym_ATdynamic] = ACTIONS(2712),
    [anon_sym_ATtry] = ACTIONS(2712),
    [anon_sym___try] = ACTIONS(2710),
    [anon_sym_ATthrow] = ACTIONS(2712),
    [anon_sym_ATselector] = ACTIONS(2712),
    [anon_sym_ATavailable] = ACTIONS(2712),
    [anon_sym___builtin_available] = ACTIONS(2710),
    [anon_sym_va_arg] = ACTIONS(2710),
    [anon_sym_ATencode] = ACTIONS(2712),
    [anon_sym_ATsynchronized] = ACTIONS(2712),
    [anon_sym_BOOL] = ACTIONS(2710),
    [anon_sym_IMP] = ACTIONS(2710),
    [anon_sym_SEL] = ACTIONS(2710),
    [anon_sym_Class] = ACTIONS(2710),
    [anon_sym_id] = ACTIONS(2710),
  },
  [320] = {
    [sym_identifier] = ACTIONS(2714),
    [aux_sym_preproc_include_token1] = ACTIONS(2714),
    [aux_sym_preproc_include_token2] = ACTIONS(2714),
    [aux_sym_preproc_def_token1] = ACTIONS(2714),
    [aux_sym_preproc_if_token1] = ACTIONS(2714),
    [aux_sym_preproc_if_token2] = ACTIONS(2714),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2714),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2714),
    [aux_sym_preproc_else_token1] = ACTIONS(2714),
    [aux_sym_preproc_elif_token1] = ACTIONS(2714),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2714),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2714),
    [sym_preproc_directive] = ACTIONS(2714),
    [anon_sym_LPAREN2] = ACTIONS(2716),
    [anon_sym_BANG] = ACTIONS(2716),
    [anon_sym_TILDE] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2714),
    [anon_sym_PLUS] = ACTIONS(2714),
    [anon_sym_STAR] = ACTIONS(2716),
    [anon_sym_CARET] = ACTIONS(2716),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_SEMI] = ACTIONS(2716),
    [anon_sym___extension__] = ACTIONS(2714),
    [anon_sym_typedef] = ACTIONS(2714),
    [anon_sym_extern] = ACTIONS(2714),
    [anon_sym___attribute__] = ACTIONS(2714),
    [anon_sym___attribute] = ACTIONS(2714),
    [anon_sym_noreturn] = ACTIONS(2714),
    [anon_sym_LBRACK] = ACTIONS(2716),
    [anon_sym___declspec] = ACTIONS(2714),
    [anon_sym___cdecl] = ACTIONS(2714),
    [anon_sym___clrcall] = ACTIONS(2714),
    [anon_sym___stdcall] = ACTIONS(2714),
    [anon_sym___fastcall] = ACTIONS(2714),
    [anon_sym___thiscall] = ACTIONS(2714),
    [anon_sym___vectorcall] = ACTIONS(2714),
    [anon_sym_LBRACE] = ACTIONS(2716),
    [anon_sym_signed] = ACTIONS(2714),
    [anon_sym_unsigned] = ACTIONS(2714),
    [anon_sym_long] = ACTIONS(2714),
    [anon_sym_short] = ACTIONS(2714),
    [anon_sym_static] = ACTIONS(2714),
    [anon_sym_ATautoreleasepool] = ACTIONS(2716),
    [anon_sym_auto] = ACTIONS(2714),
    [anon_sym_register] = ACTIONS(2714),
    [anon_sym_inline] = ACTIONS(2714),
    [anon_sym___inline] = ACTIONS(2714),
    [anon_sym___inline__] = ACTIONS(2714),
    [anon_sym___forceinline] = ACTIONS(2714),
    [anon_sym_thread_local] = ACTIONS(2714),
    [anon_sym___thread] = ACTIONS(2714),
    [anon_sym_CG_EXTERN] = ACTIONS(2714),
    [anon_sym_CG_INLINE] = ACTIONS(2714),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2714),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2714),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2714),
    [anon_sym_IBOutlet] = ACTIONS(2714),
    [anon_sym_IBInspectable] = ACTIONS(2714),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2714),
    [anon_sym_NS_INLINE] = ACTIONS(2714),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2714),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2714),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2714),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2714),
    [anon_sym_const] = ACTIONS(2714),
    [anon_sym_constexpr] = ACTIONS(2714),
    [anon_sym_volatile] = ACTIONS(2714),
    [anon_sym_restrict] = ACTIONS(2714),
    [anon_sym___restrict__] = ACTIONS(2714),
    [anon_sym__Atomic] = ACTIONS(2714),
    [anon_sym__Noreturn] = ACTIONS(2714),
    [anon_sym__Nonnull] = ACTIONS(2714),
    [anon_sym_nullable] = ACTIONS(2714),
    [anon_sym__Complex] = ACTIONS(2714),
    [anon_sym__Nullable] = ACTIONS(2714),
    [anon_sym__Nullable_result] = ACTIONS(2714),
    [anon_sym__Null_unspecified] = ACTIONS(2714),
    [anon_sym___autoreleasing] = ACTIONS(2714),
    [anon_sym___block] = ACTIONS(2714),
    [anon_sym___bridge] = ACTIONS(2714),
    [anon_sym___bridge_retained] = ACTIONS(2714),
    [anon_sym___bridge_transfer] = ACTIONS(2714),
    [anon_sym___complex] = ACTIONS(2714),
    [anon_sym___const] = ACTIONS(2714),
    [anon_sym___imag] = ACTIONS(2714),
    [anon_sym___kindof] = ACTIONS(2714),
    [anon_sym___nonnull] = ACTIONS(2714),
    [anon_sym___nullable] = ACTIONS(2714),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2714),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2714),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2714),
    [anon_sym___real] = ACTIONS(2714),
    [anon_sym___strong] = ACTIONS(2714),
    [anon_sym___unsafe_unretained] = ACTIONS(2714),
    [anon_sym___unused] = ACTIONS(2714),
    [anon_sym___weak] = ACTIONS(2714),
    [anon_sym_alignas] = ACTIONS(2714),
    [anon_sym__Alignas] = ACTIONS(2714),
    [sym_primitive_type] = ACTIONS(2714),
    [anon_sym_enum] = ACTIONS(2714),
    [anon_sym_struct] = ACTIONS(2714),
    [anon_sym_union] = ACTIONS(2714),
    [anon_sym_if] = ACTIONS(2714),
    [anon_sym_switch] = ACTIONS(2714),
    [anon_sym_case] = ACTIONS(2714),
    [anon_sym_default] = ACTIONS(2714),
    [anon_sym_while] = ACTIONS(2714),
    [anon_sym_do] = ACTIONS(2714),
    [anon_sym_for] = ACTIONS(2714),
    [anon_sym_in] = ACTIONS(2714),
    [anon_sym_return] = ACTIONS(2714),
    [anon_sym_break] = ACTIONS(2714),
    [anon_sym_continue] = ACTIONS(2714),
    [anon_sym_goto] = ACTIONS(2714),
    [anon_sym_DASH_DASH] = ACTIONS(2716),
    [anon_sym_PLUS_PLUS] = ACTIONS(2716),
    [anon_sym_sizeof] = ACTIONS(2714),
    [anon_sym___alignof__] = ACTIONS(2714),
    [anon_sym___alignof] = ACTIONS(2714),
    [anon_sym__alignof] = ACTIONS(2714),
    [anon_sym_alignof] = ACTIONS(2714),
    [anon_sym__Alignof] = ACTIONS(2714),
    [anon_sym_offsetof] = ACTIONS(2714),
    [anon_sym__Generic] = ACTIONS(2714),
    [anon_sym_asm] = ACTIONS(2714),
    [anon_sym___asm__] = ACTIONS(2714),
    [anon_sym___asm] = ACTIONS(2714),
    [sym_number_literal] = ACTIONS(2716),
    [anon_sym_L_SQUOTE] = ACTIONS(2716),
    [anon_sym_u_SQUOTE] = ACTIONS(2716),
    [anon_sym_U_SQUOTE] = ACTIONS(2716),
    [anon_sym_u8_SQUOTE] = ACTIONS(2716),
    [anon_sym_SQUOTE] = ACTIONS(2716),
    [anon_sym_AT] = ACTIONS(2714),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2714),
    [sym_false] = ACTIONS(2714),
    [anon_sym_NULL] = ACTIONS(2714),
    [anon_sym_nullptr] = ACTIONS(2714),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2714),
    [anon_sym___typeof] = ACTIONS(2714),
    [anon_sym_typeof] = ACTIONS(2714),
    [anon_sym_ATimport] = ACTIONS(2716),
    [aux_sym_preproc_undef_token1] = ACTIONS(2714),
    [anon_sym_POUND] = ACTIONS(2714),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2714),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2714),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2714),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2714),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2714),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2714),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2714),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2714),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2714),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2714),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2714),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2714),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2714),
    [anon_sym_API_AVAILABLE] = ACTIONS(2714),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2714),
    [anon_sym_API_DEPRECATED] = ACTIONS(2714),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2714),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2714),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2714),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2714),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2714),
    [anon_sym___deprecated_msg] = ACTIONS(2714),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2714),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2714),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2714),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2714),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2714),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2714),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2714),
    [anon_sym_ATprotocol] = ACTIONS(2716),
    [anon_sym_ATinterface] = ACTIONS(2716),
    [anon_sym_ATimplementation] = ACTIONS(2716),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2716),
    [anon_sym_ATsynthesize] = ACTIONS(2716),
    [anon_sym_ATdynamic] = ACTIONS(2716),
    [anon_sym_ATtry] = ACTIONS(2716),
    [anon_sym___try] = ACTIONS(2714),
    [anon_sym_ATthrow] = ACTIONS(2716),
    [anon_sym_ATselector] = ACTIONS(2716),
    [anon_sym_ATavailable] = ACTIONS(2716),
    [anon_sym___builtin_available] = ACTIONS(2714),
    [anon_sym_va_arg] = ACTIONS(2714),
    [anon_sym_ATencode] = ACTIONS(2716),
    [anon_sym_ATsynchronized] = ACTIONS(2716),
    [anon_sym_BOOL] = ACTIONS(2714),
    [anon_sym_IMP] = ACTIONS(2714),
    [anon_sym_SEL] = ACTIONS(2714),
    [anon_sym_Class] = ACTIONS(2714),
    [anon_sym_id] = ACTIONS(2714),
  },
  [321] = {
    [sym_identifier] = ACTIONS(2718),
    [aux_sym_preproc_include_token1] = ACTIONS(2718),
    [aux_sym_preproc_include_token2] = ACTIONS(2718),
    [aux_sym_preproc_def_token1] = ACTIONS(2718),
    [aux_sym_preproc_if_token1] = ACTIONS(2718),
    [aux_sym_preproc_if_token2] = ACTIONS(2718),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2718),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2718),
    [aux_sym_preproc_else_token1] = ACTIONS(2718),
    [aux_sym_preproc_elif_token1] = ACTIONS(2718),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2718),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2718),
    [sym_preproc_directive] = ACTIONS(2718),
    [anon_sym_LPAREN2] = ACTIONS(2720),
    [anon_sym_BANG] = ACTIONS(2720),
    [anon_sym_TILDE] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2718),
    [anon_sym_PLUS] = ACTIONS(2718),
    [anon_sym_STAR] = ACTIONS(2720),
    [anon_sym_CARET] = ACTIONS(2720),
    [anon_sym_AMP] = ACTIONS(2720),
    [anon_sym_SEMI] = ACTIONS(2720),
    [anon_sym___extension__] = ACTIONS(2718),
    [anon_sym_typedef] = ACTIONS(2718),
    [anon_sym_extern] = ACTIONS(2718),
    [anon_sym___attribute__] = ACTIONS(2718),
    [anon_sym___attribute] = ACTIONS(2718),
    [anon_sym_noreturn] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [anon_sym___declspec] = ACTIONS(2718),
    [anon_sym___cdecl] = ACTIONS(2718),
    [anon_sym___clrcall] = ACTIONS(2718),
    [anon_sym___stdcall] = ACTIONS(2718),
    [anon_sym___fastcall] = ACTIONS(2718),
    [anon_sym___thiscall] = ACTIONS(2718),
    [anon_sym___vectorcall] = ACTIONS(2718),
    [anon_sym_LBRACE] = ACTIONS(2720),
    [anon_sym_signed] = ACTIONS(2718),
    [anon_sym_unsigned] = ACTIONS(2718),
    [anon_sym_long] = ACTIONS(2718),
    [anon_sym_short] = ACTIONS(2718),
    [anon_sym_static] = ACTIONS(2718),
    [anon_sym_ATautoreleasepool] = ACTIONS(2720),
    [anon_sym_auto] = ACTIONS(2718),
    [anon_sym_register] = ACTIONS(2718),
    [anon_sym_inline] = ACTIONS(2718),
    [anon_sym___inline] = ACTIONS(2718),
    [anon_sym___inline__] = ACTIONS(2718),
    [anon_sym___forceinline] = ACTIONS(2718),
    [anon_sym_thread_local] = ACTIONS(2718),
    [anon_sym___thread] = ACTIONS(2718),
    [anon_sym_CG_EXTERN] = ACTIONS(2718),
    [anon_sym_CG_INLINE] = ACTIONS(2718),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2718),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2718),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2718),
    [anon_sym_IBOutlet] = ACTIONS(2718),
    [anon_sym_IBInspectable] = ACTIONS(2718),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2718),
    [anon_sym_NS_INLINE] = ACTIONS(2718),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2718),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2718),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2718),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2718),
    [anon_sym_const] = ACTIONS(2718),
    [anon_sym_constexpr] = ACTIONS(2718),
    [anon_sym_volatile] = ACTIONS(2718),
    [anon_sym_restrict] = ACTIONS(2718),
    [anon_sym___restrict__] = ACTIONS(2718),
    [anon_sym__Atomic] = ACTIONS(2718),
    [anon_sym__Noreturn] = ACTIONS(2718),
    [anon_sym__Nonnull] = ACTIONS(2718),
    [anon_sym_nullable] = ACTIONS(2718),
    [anon_sym__Complex] = ACTIONS(2718),
    [anon_sym__Nullable] = ACTIONS(2718),
    [anon_sym__Nullable_result] = ACTIONS(2718),
    [anon_sym__Null_unspecified] = ACTIONS(2718),
    [anon_sym___autoreleasing] = ACTIONS(2718),
    [anon_sym___block] = ACTIONS(2718),
    [anon_sym___bridge] = ACTIONS(2718),
    [anon_sym___bridge_retained] = ACTIONS(2718),
    [anon_sym___bridge_transfer] = ACTIONS(2718),
    [anon_sym___complex] = ACTIONS(2718),
    [anon_sym___const] = ACTIONS(2718),
    [anon_sym___imag] = ACTIONS(2718),
    [anon_sym___kindof] = ACTIONS(2718),
    [anon_sym___nonnull] = ACTIONS(2718),
    [anon_sym___nullable] = ACTIONS(2718),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2718),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2718),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2718),
    [anon_sym___real] = ACTIONS(2718),
    [anon_sym___strong] = ACTIONS(2718),
    [anon_sym___unsafe_unretained] = ACTIONS(2718),
    [anon_sym___unused] = ACTIONS(2718),
    [anon_sym___weak] = ACTIONS(2718),
    [anon_sym_alignas] = ACTIONS(2718),
    [anon_sym__Alignas] = ACTIONS(2718),
    [sym_primitive_type] = ACTIONS(2718),
    [anon_sym_enum] = ACTIONS(2718),
    [anon_sym_struct] = ACTIONS(2718),
    [anon_sym_union] = ACTIONS(2718),
    [anon_sym_if] = ACTIONS(2718),
    [anon_sym_switch] = ACTIONS(2718),
    [anon_sym_case] = ACTIONS(2718),
    [anon_sym_default] = ACTIONS(2718),
    [anon_sym_while] = ACTIONS(2718),
    [anon_sym_do] = ACTIONS(2718),
    [anon_sym_for] = ACTIONS(2718),
    [anon_sym_in] = ACTIONS(2718),
    [anon_sym_return] = ACTIONS(2718),
    [anon_sym_break] = ACTIONS(2718),
    [anon_sym_continue] = ACTIONS(2718),
    [anon_sym_goto] = ACTIONS(2718),
    [anon_sym_DASH_DASH] = ACTIONS(2720),
    [anon_sym_PLUS_PLUS] = ACTIONS(2720),
    [anon_sym_sizeof] = ACTIONS(2718),
    [anon_sym___alignof__] = ACTIONS(2718),
    [anon_sym___alignof] = ACTIONS(2718),
    [anon_sym__alignof] = ACTIONS(2718),
    [anon_sym_alignof] = ACTIONS(2718),
    [anon_sym__Alignof] = ACTIONS(2718),
    [anon_sym_offsetof] = ACTIONS(2718),
    [anon_sym__Generic] = ACTIONS(2718),
    [anon_sym_asm] = ACTIONS(2718),
    [anon_sym___asm__] = ACTIONS(2718),
    [anon_sym___asm] = ACTIONS(2718),
    [sym_number_literal] = ACTIONS(2720),
    [anon_sym_L_SQUOTE] = ACTIONS(2720),
    [anon_sym_u_SQUOTE] = ACTIONS(2720),
    [anon_sym_U_SQUOTE] = ACTIONS(2720),
    [anon_sym_u8_SQUOTE] = ACTIONS(2720),
    [anon_sym_SQUOTE] = ACTIONS(2720),
    [anon_sym_AT] = ACTIONS(2718),
    [anon_sym_DQUOTE] = ACTIONS(2720),
    [anon_sym_L_DQUOTE] = ACTIONS(2720),
    [anon_sym_u_DQUOTE] = ACTIONS(2720),
    [anon_sym_U_DQUOTE] = ACTIONS(2720),
    [anon_sym_u8_DQUOTE] = ACTIONS(2720),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2718),
    [anon_sym_nullptr] = ACTIONS(2718),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2718),
    [anon_sym___typeof] = ACTIONS(2718),
    [anon_sym_typeof] = ACTIONS(2718),
    [anon_sym_ATimport] = ACTIONS(2720),
    [aux_sym_preproc_undef_token1] = ACTIONS(2718),
    [anon_sym_POUND] = ACTIONS(2718),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2718),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2718),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2718),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2718),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2718),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2718),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2718),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2718),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2718),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_API_AVAILABLE] = ACTIONS(2718),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_API_DEPRECATED] = ACTIONS(2718),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2718),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2718),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2718),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2718),
    [anon_sym___deprecated_msg] = ACTIONS(2718),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2718),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2718),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2718),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2718),
    [anon_sym_ATprotocol] = ACTIONS(2720),
    [anon_sym_ATinterface] = ACTIONS(2720),
    [anon_sym_ATimplementation] = ACTIONS(2720),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2720),
    [anon_sym_ATsynthesize] = ACTIONS(2720),
    [anon_sym_ATdynamic] = ACTIONS(2720),
    [anon_sym_ATtry] = ACTIONS(2720),
    [anon_sym___try] = ACTIONS(2718),
    [anon_sym_ATthrow] = ACTIONS(2720),
    [anon_sym_ATselector] = ACTIONS(2720),
    [anon_sym_ATavailable] = ACTIONS(2720),
    [anon_sym___builtin_available] = ACTIONS(2718),
    [anon_sym_va_arg] = ACTIONS(2718),
    [anon_sym_ATencode] = ACTIONS(2720),
    [anon_sym_ATsynchronized] = ACTIONS(2720),
    [anon_sym_BOOL] = ACTIONS(2718),
    [anon_sym_IMP] = ACTIONS(2718),
    [anon_sym_SEL] = ACTIONS(2718),
    [anon_sym_Class] = ACTIONS(2718),
    [anon_sym_id] = ACTIONS(2718),
  },
  [322] = {
    [sym_identifier] = ACTIONS(2722),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_include_token2] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2722),
    [aux_sym_preproc_if_token1] = ACTIONS(2722),
    [aux_sym_preproc_if_token2] = ACTIONS(2722),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2722),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2722),
    [aux_sym_preproc_else_token1] = ACTIONS(2722),
    [aux_sym_preproc_elif_token1] = ACTIONS(2722),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2722),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2722),
    [sym_preproc_directive] = ACTIONS(2722),
    [anon_sym_LPAREN2] = ACTIONS(2724),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2722),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_CARET] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_SEMI] = ACTIONS(2724),
    [anon_sym___extension__] = ACTIONS(2722),
    [anon_sym_typedef] = ACTIONS(2722),
    [anon_sym_extern] = ACTIONS(2722),
    [anon_sym___attribute__] = ACTIONS(2722),
    [anon_sym___attribute] = ACTIONS(2722),
    [anon_sym_noreturn] = ACTIONS(2722),
    [anon_sym_LBRACK] = ACTIONS(2724),
    [anon_sym___declspec] = ACTIONS(2722),
    [anon_sym___cdecl] = ACTIONS(2722),
    [anon_sym___clrcall] = ACTIONS(2722),
    [anon_sym___stdcall] = ACTIONS(2722),
    [anon_sym___fastcall] = ACTIONS(2722),
    [anon_sym___thiscall] = ACTIONS(2722),
    [anon_sym___vectorcall] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [anon_sym_signed] = ACTIONS(2722),
    [anon_sym_unsigned] = ACTIONS(2722),
    [anon_sym_long] = ACTIONS(2722),
    [anon_sym_short] = ACTIONS(2722),
    [anon_sym_static] = ACTIONS(2722),
    [anon_sym_ATautoreleasepool] = ACTIONS(2724),
    [anon_sym_auto] = ACTIONS(2722),
    [anon_sym_register] = ACTIONS(2722),
    [anon_sym_inline] = ACTIONS(2722),
    [anon_sym___inline] = ACTIONS(2722),
    [anon_sym___inline__] = ACTIONS(2722),
    [anon_sym___forceinline] = ACTIONS(2722),
    [anon_sym_thread_local] = ACTIONS(2722),
    [anon_sym___thread] = ACTIONS(2722),
    [anon_sym_CG_EXTERN] = ACTIONS(2722),
    [anon_sym_CG_INLINE] = ACTIONS(2722),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2722),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2722),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2722),
    [anon_sym_IBOutlet] = ACTIONS(2722),
    [anon_sym_IBInspectable] = ACTIONS(2722),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2722),
    [anon_sym_NS_INLINE] = ACTIONS(2722),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2722),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2722),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2722),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2722),
    [anon_sym_const] = ACTIONS(2722),
    [anon_sym_constexpr] = ACTIONS(2722),
    [anon_sym_volatile] = ACTIONS(2722),
    [anon_sym_restrict] = ACTIONS(2722),
    [anon_sym___restrict__] = ACTIONS(2722),
    [anon_sym__Atomic] = ACTIONS(2722),
    [anon_sym__Noreturn] = ACTIONS(2722),
    [anon_sym__Nonnull] = ACTIONS(2722),
    [anon_sym_nullable] = ACTIONS(2722),
    [anon_sym__Complex] = ACTIONS(2722),
    [anon_sym__Nullable] = ACTIONS(2722),
    [anon_sym__Nullable_result] = ACTIONS(2722),
    [anon_sym__Null_unspecified] = ACTIONS(2722),
    [anon_sym___autoreleasing] = ACTIONS(2722),
    [anon_sym___block] = ACTIONS(2722),
    [anon_sym___bridge] = ACTIONS(2722),
    [anon_sym___bridge_retained] = ACTIONS(2722),
    [anon_sym___bridge_transfer] = ACTIONS(2722),
    [anon_sym___complex] = ACTIONS(2722),
    [anon_sym___const] = ACTIONS(2722),
    [anon_sym___imag] = ACTIONS(2722),
    [anon_sym___kindof] = ACTIONS(2722),
    [anon_sym___nonnull] = ACTIONS(2722),
    [anon_sym___nullable] = ACTIONS(2722),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2722),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2722),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2722),
    [anon_sym___real] = ACTIONS(2722),
    [anon_sym___strong] = ACTIONS(2722),
    [anon_sym___unsafe_unretained] = ACTIONS(2722),
    [anon_sym___unused] = ACTIONS(2722),
    [anon_sym___weak] = ACTIONS(2722),
    [anon_sym_alignas] = ACTIONS(2722),
    [anon_sym__Alignas] = ACTIONS(2722),
    [sym_primitive_type] = ACTIONS(2722),
    [anon_sym_enum] = ACTIONS(2722),
    [anon_sym_struct] = ACTIONS(2722),
    [anon_sym_union] = ACTIONS(2722),
    [anon_sym_if] = ACTIONS(2722),
    [anon_sym_switch] = ACTIONS(2722),
    [anon_sym_case] = ACTIONS(2722),
    [anon_sym_default] = ACTIONS(2722),
    [anon_sym_while] = ACTIONS(2722),
    [anon_sym_do] = ACTIONS(2722),
    [anon_sym_for] = ACTIONS(2722),
    [anon_sym_in] = ACTIONS(2722),
    [anon_sym_return] = ACTIONS(2722),
    [anon_sym_break] = ACTIONS(2722),
    [anon_sym_continue] = ACTIONS(2722),
    [anon_sym_goto] = ACTIONS(2722),
    [anon_sym_DASH_DASH] = ACTIONS(2724),
    [anon_sym_PLUS_PLUS] = ACTIONS(2724),
    [anon_sym_sizeof] = ACTIONS(2722),
    [anon_sym___alignof__] = ACTIONS(2722),
    [anon_sym___alignof] = ACTIONS(2722),
    [anon_sym__alignof] = ACTIONS(2722),
    [anon_sym_alignof] = ACTIONS(2722),
    [anon_sym__Alignof] = ACTIONS(2722),
    [anon_sym_offsetof] = ACTIONS(2722),
    [anon_sym__Generic] = ACTIONS(2722),
    [anon_sym_asm] = ACTIONS(2722),
    [anon_sym___asm__] = ACTIONS(2722),
    [anon_sym___asm] = ACTIONS(2722),
    [sym_number_literal] = ACTIONS(2724),
    [anon_sym_L_SQUOTE] = ACTIONS(2724),
    [anon_sym_u_SQUOTE] = ACTIONS(2724),
    [anon_sym_U_SQUOTE] = ACTIONS(2724),
    [anon_sym_u8_SQUOTE] = ACTIONS(2724),
    [anon_sym_SQUOTE] = ACTIONS(2724),
    [anon_sym_AT] = ACTIONS(2722),
    [anon_sym_DQUOTE] = ACTIONS(2724),
    [anon_sym_L_DQUOTE] = ACTIONS(2724),
    [anon_sym_u_DQUOTE] = ACTIONS(2724),
    [anon_sym_U_DQUOTE] = ACTIONS(2724),
    [anon_sym_u8_DQUOTE] = ACTIONS(2724),
    [sym_true] = ACTIONS(2722),
    [sym_false] = ACTIONS(2722),
    [anon_sym_NULL] = ACTIONS(2722),
    [anon_sym_nullptr] = ACTIONS(2722),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2722),
    [anon_sym___typeof] = ACTIONS(2722),
    [anon_sym_typeof] = ACTIONS(2722),
    [anon_sym_ATimport] = ACTIONS(2724),
    [aux_sym_preproc_undef_token1] = ACTIONS(2722),
    [anon_sym_POUND] = ACTIONS(2722),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2722),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2722),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2722),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2722),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2722),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2722),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2722),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2722),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2722),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2722),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2722),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2722),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2722),
    [anon_sym_API_AVAILABLE] = ACTIONS(2722),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2722),
    [anon_sym_API_DEPRECATED] = ACTIONS(2722),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2722),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2722),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2722),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2722),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2722),
    [anon_sym___deprecated_msg] = ACTIONS(2722),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2722),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2722),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2722),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2722),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2722),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2722),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2722),
    [anon_sym_ATprotocol] = ACTIONS(2724),
    [anon_sym_ATinterface] = ACTIONS(2724),
    [anon_sym_ATimplementation] = ACTIONS(2724),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2724),
    [anon_sym_ATsynthesize] = ACTIONS(2724),
    [anon_sym_ATdynamic] = ACTIONS(2724),
    [anon_sym_ATtry] = ACTIONS(2724),
    [anon_sym___try] = ACTIONS(2722),
    [anon_sym_ATthrow] = ACTIONS(2724),
    [anon_sym_ATselector] = ACTIONS(2724),
    [anon_sym_ATavailable] = ACTIONS(2724),
    [anon_sym___builtin_available] = ACTIONS(2722),
    [anon_sym_va_arg] = ACTIONS(2722),
    [anon_sym_ATencode] = ACTIONS(2724),
    [anon_sym_ATsynchronized] = ACTIONS(2724),
    [anon_sym_BOOL] = ACTIONS(2722),
    [anon_sym_IMP] = ACTIONS(2722),
    [anon_sym_SEL] = ACTIONS(2722),
    [anon_sym_Class] = ACTIONS(2722),
    [anon_sym_id] = ACTIONS(2722),
  },
  [323] = {
    [sym_identifier] = ACTIONS(2726),
    [aux_sym_preproc_include_token1] = ACTIONS(2726),
    [aux_sym_preproc_include_token2] = ACTIONS(2726),
    [aux_sym_preproc_def_token1] = ACTIONS(2726),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_if_token2] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2726),
    [aux_sym_preproc_else_token1] = ACTIONS(2726),
    [aux_sym_preproc_elif_token1] = ACTIONS(2726),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2726),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2726),
    [sym_preproc_directive] = ACTIONS(2726),
    [anon_sym_LPAREN2] = ACTIONS(2728),
    [anon_sym_BANG] = ACTIONS(2728),
    [anon_sym_TILDE] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2726),
    [anon_sym_STAR] = ACTIONS(2728),
    [anon_sym_CARET] = ACTIONS(2728),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_SEMI] = ACTIONS(2728),
    [anon_sym___extension__] = ACTIONS(2726),
    [anon_sym_typedef] = ACTIONS(2726),
    [anon_sym_extern] = ACTIONS(2726),
    [anon_sym___attribute__] = ACTIONS(2726),
    [anon_sym___attribute] = ACTIONS(2726),
    [anon_sym_noreturn] = ACTIONS(2726),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym___declspec] = ACTIONS(2726),
    [anon_sym___cdecl] = ACTIONS(2726),
    [anon_sym___clrcall] = ACTIONS(2726),
    [anon_sym___stdcall] = ACTIONS(2726),
    [anon_sym___fastcall] = ACTIONS(2726),
    [anon_sym___thiscall] = ACTIONS(2726),
    [anon_sym___vectorcall] = ACTIONS(2726),
    [anon_sym_LBRACE] = ACTIONS(2728),
    [anon_sym_signed] = ACTIONS(2726),
    [anon_sym_unsigned] = ACTIONS(2726),
    [anon_sym_long] = ACTIONS(2726),
    [anon_sym_short] = ACTIONS(2726),
    [anon_sym_static] = ACTIONS(2726),
    [anon_sym_ATautoreleasepool] = ACTIONS(2728),
    [anon_sym_auto] = ACTIONS(2726),
    [anon_sym_register] = ACTIONS(2726),
    [anon_sym_inline] = ACTIONS(2726),
    [anon_sym___inline] = ACTIONS(2726),
    [anon_sym___inline__] = ACTIONS(2726),
    [anon_sym___forceinline] = ACTIONS(2726),
    [anon_sym_thread_local] = ACTIONS(2726),
    [anon_sym___thread] = ACTIONS(2726),
    [anon_sym_CG_EXTERN] = ACTIONS(2726),
    [anon_sym_CG_INLINE] = ACTIONS(2726),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2726),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2726),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2726),
    [anon_sym_IBOutlet] = ACTIONS(2726),
    [anon_sym_IBInspectable] = ACTIONS(2726),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2726),
    [anon_sym_NS_INLINE] = ACTIONS(2726),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2726),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2726),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2726),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2726),
    [anon_sym_const] = ACTIONS(2726),
    [anon_sym_constexpr] = ACTIONS(2726),
    [anon_sym_volatile] = ACTIONS(2726),
    [anon_sym_restrict] = ACTIONS(2726),
    [anon_sym___restrict__] = ACTIONS(2726),
    [anon_sym__Atomic] = ACTIONS(2726),
    [anon_sym__Noreturn] = ACTIONS(2726),
    [anon_sym__Nonnull] = ACTIONS(2726),
    [anon_sym_nullable] = ACTIONS(2726),
    [anon_sym__Complex] = ACTIONS(2726),
    [anon_sym__Nullable] = ACTIONS(2726),
    [anon_sym__Nullable_result] = ACTIONS(2726),
    [anon_sym__Null_unspecified] = ACTIONS(2726),
    [anon_sym___autoreleasing] = ACTIONS(2726),
    [anon_sym___block] = ACTIONS(2726),
    [anon_sym___bridge] = ACTIONS(2726),
    [anon_sym___bridge_retained] = ACTIONS(2726),
    [anon_sym___bridge_transfer] = ACTIONS(2726),
    [anon_sym___complex] = ACTIONS(2726),
    [anon_sym___const] = ACTIONS(2726),
    [anon_sym___imag] = ACTIONS(2726),
    [anon_sym___kindof] = ACTIONS(2726),
    [anon_sym___nonnull] = ACTIONS(2726),
    [anon_sym___nullable] = ACTIONS(2726),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2726),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2726),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2726),
    [anon_sym___real] = ACTIONS(2726),
    [anon_sym___strong] = ACTIONS(2726),
    [anon_sym___unsafe_unretained] = ACTIONS(2726),
    [anon_sym___unused] = ACTIONS(2726),
    [anon_sym___weak] = ACTIONS(2726),
    [anon_sym_alignas] = ACTIONS(2726),
    [anon_sym__Alignas] = ACTIONS(2726),
    [sym_primitive_type] = ACTIONS(2726),
    [anon_sym_enum] = ACTIONS(2726),
    [anon_sym_struct] = ACTIONS(2726),
    [anon_sym_union] = ACTIONS(2726),
    [anon_sym_if] = ACTIONS(2726),
    [anon_sym_switch] = ACTIONS(2726),
    [anon_sym_case] = ACTIONS(2726),
    [anon_sym_default] = ACTIONS(2726),
    [anon_sym_while] = ACTIONS(2726),
    [anon_sym_do] = ACTIONS(2726),
    [anon_sym_for] = ACTIONS(2726),
    [anon_sym_in] = ACTIONS(2726),
    [anon_sym_return] = ACTIONS(2726),
    [anon_sym_break] = ACTIONS(2726),
    [anon_sym_continue] = ACTIONS(2726),
    [anon_sym_goto] = ACTIONS(2726),
    [anon_sym_DASH_DASH] = ACTIONS(2728),
    [anon_sym_PLUS_PLUS] = ACTIONS(2728),
    [anon_sym_sizeof] = ACTIONS(2726),
    [anon_sym___alignof__] = ACTIONS(2726),
    [anon_sym___alignof] = ACTIONS(2726),
    [anon_sym__alignof] = ACTIONS(2726),
    [anon_sym_alignof] = ACTIONS(2726),
    [anon_sym__Alignof] = ACTIONS(2726),
    [anon_sym_offsetof] = ACTIONS(2726),
    [anon_sym__Generic] = ACTIONS(2726),
    [anon_sym_asm] = ACTIONS(2726),
    [anon_sym___asm__] = ACTIONS(2726),
    [anon_sym___asm] = ACTIONS(2726),
    [sym_number_literal] = ACTIONS(2728),
    [anon_sym_L_SQUOTE] = ACTIONS(2728),
    [anon_sym_u_SQUOTE] = ACTIONS(2728),
    [anon_sym_U_SQUOTE] = ACTIONS(2728),
    [anon_sym_u8_SQUOTE] = ACTIONS(2728),
    [anon_sym_SQUOTE] = ACTIONS(2728),
    [anon_sym_AT] = ACTIONS(2726),
    [anon_sym_DQUOTE] = ACTIONS(2728),
    [anon_sym_L_DQUOTE] = ACTIONS(2728),
    [anon_sym_u_DQUOTE] = ACTIONS(2728),
    [anon_sym_U_DQUOTE] = ACTIONS(2728),
    [anon_sym_u8_DQUOTE] = ACTIONS(2728),
    [sym_true] = ACTIONS(2726),
    [sym_false] = ACTIONS(2726),
    [anon_sym_NULL] = ACTIONS(2726),
    [anon_sym_nullptr] = ACTIONS(2726),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2726),
    [anon_sym___typeof] = ACTIONS(2726),
    [anon_sym_typeof] = ACTIONS(2726),
    [anon_sym_ATimport] = ACTIONS(2728),
    [aux_sym_preproc_undef_token1] = ACTIONS(2726),
    [anon_sym_POUND] = ACTIONS(2726),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2726),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2726),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2726),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2726),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2726),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2726),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2726),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2726),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2726),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2726),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2726),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2726),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2726),
    [anon_sym_API_AVAILABLE] = ACTIONS(2726),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2726),
    [anon_sym_API_DEPRECATED] = ACTIONS(2726),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2726),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2726),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2726),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2726),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2726),
    [anon_sym___deprecated_msg] = ACTIONS(2726),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2726),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2726),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2726),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2726),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2726),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2726),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2726),
    [anon_sym_ATprotocol] = ACTIONS(2728),
    [anon_sym_ATinterface] = ACTIONS(2728),
    [anon_sym_ATimplementation] = ACTIONS(2728),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2728),
    [anon_sym_ATsynthesize] = ACTIONS(2728),
    [anon_sym_ATdynamic] = ACTIONS(2728),
    [anon_sym_ATtry] = ACTIONS(2728),
    [anon_sym___try] = ACTIONS(2726),
    [anon_sym_ATthrow] = ACTIONS(2728),
    [anon_sym_ATselector] = ACTIONS(2728),
    [anon_sym_ATavailable] = ACTIONS(2728),
    [anon_sym___builtin_available] = ACTIONS(2726),
    [anon_sym_va_arg] = ACTIONS(2726),
    [anon_sym_ATencode] = ACTIONS(2728),
    [anon_sym_ATsynchronized] = ACTIONS(2728),
    [anon_sym_BOOL] = ACTIONS(2726),
    [anon_sym_IMP] = ACTIONS(2726),
    [anon_sym_SEL] = ACTIONS(2726),
    [anon_sym_Class] = ACTIONS(2726),
    [anon_sym_id] = ACTIONS(2726),
  },
  [324] = {
    [sym_identifier] = ACTIONS(2730),
    [aux_sym_preproc_include_token1] = ACTIONS(2730),
    [aux_sym_preproc_include_token2] = ACTIONS(2730),
    [aux_sym_preproc_def_token1] = ACTIONS(2730),
    [aux_sym_preproc_if_token1] = ACTIONS(2730),
    [aux_sym_preproc_if_token2] = ACTIONS(2730),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2730),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2730),
    [aux_sym_preproc_else_token1] = ACTIONS(2730),
    [aux_sym_preproc_elif_token1] = ACTIONS(2730),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2730),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2730),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(2732),
    [anon_sym_BANG] = ACTIONS(2732),
    [anon_sym_TILDE] = ACTIONS(2732),
    [anon_sym_DASH] = ACTIONS(2730),
    [anon_sym_PLUS] = ACTIONS(2730),
    [anon_sym_STAR] = ACTIONS(2732),
    [anon_sym_CARET] = ACTIONS(2732),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym_SEMI] = ACTIONS(2732),
    [anon_sym___extension__] = ACTIONS(2730),
    [anon_sym_typedef] = ACTIONS(2730),
    [anon_sym_extern] = ACTIONS(2730),
    [anon_sym___attribute__] = ACTIONS(2730),
    [anon_sym___attribute] = ACTIONS(2730),
    [anon_sym_noreturn] = ACTIONS(2730),
    [anon_sym_LBRACK] = ACTIONS(2732),
    [anon_sym___declspec] = ACTIONS(2730),
    [anon_sym___cdecl] = ACTIONS(2730),
    [anon_sym___clrcall] = ACTIONS(2730),
    [anon_sym___stdcall] = ACTIONS(2730),
    [anon_sym___fastcall] = ACTIONS(2730),
    [anon_sym___thiscall] = ACTIONS(2730),
    [anon_sym___vectorcall] = ACTIONS(2730),
    [anon_sym_LBRACE] = ACTIONS(2732),
    [anon_sym_signed] = ACTIONS(2730),
    [anon_sym_unsigned] = ACTIONS(2730),
    [anon_sym_long] = ACTIONS(2730),
    [anon_sym_short] = ACTIONS(2730),
    [anon_sym_static] = ACTIONS(2730),
    [anon_sym_ATautoreleasepool] = ACTIONS(2732),
    [anon_sym_auto] = ACTIONS(2730),
    [anon_sym_register] = ACTIONS(2730),
    [anon_sym_inline] = ACTIONS(2730),
    [anon_sym___inline] = ACTIONS(2730),
    [anon_sym___inline__] = ACTIONS(2730),
    [anon_sym___forceinline] = ACTIONS(2730),
    [anon_sym_thread_local] = ACTIONS(2730),
    [anon_sym___thread] = ACTIONS(2730),
    [anon_sym_CG_EXTERN] = ACTIONS(2730),
    [anon_sym_CG_INLINE] = ACTIONS(2730),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2730),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2730),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2730),
    [anon_sym_IBOutlet] = ACTIONS(2730),
    [anon_sym_IBInspectable] = ACTIONS(2730),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2730),
    [anon_sym_NS_INLINE] = ACTIONS(2730),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2730),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2730),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2730),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2730),
    [anon_sym_const] = ACTIONS(2730),
    [anon_sym_constexpr] = ACTIONS(2730),
    [anon_sym_volatile] = ACTIONS(2730),
    [anon_sym_restrict] = ACTIONS(2730),
    [anon_sym___restrict__] = ACTIONS(2730),
    [anon_sym__Atomic] = ACTIONS(2730),
    [anon_sym__Noreturn] = ACTIONS(2730),
    [anon_sym__Nonnull] = ACTIONS(2730),
    [anon_sym_nullable] = ACTIONS(2730),
    [anon_sym__Complex] = ACTIONS(2730),
    [anon_sym__Nullable] = ACTIONS(2730),
    [anon_sym__Nullable_result] = ACTIONS(2730),
    [anon_sym__Null_unspecified] = ACTIONS(2730),
    [anon_sym___autoreleasing] = ACTIONS(2730),
    [anon_sym___block] = ACTIONS(2730),
    [anon_sym___bridge] = ACTIONS(2730),
    [anon_sym___bridge_retained] = ACTIONS(2730),
    [anon_sym___bridge_transfer] = ACTIONS(2730),
    [anon_sym___complex] = ACTIONS(2730),
    [anon_sym___const] = ACTIONS(2730),
    [anon_sym___imag] = ACTIONS(2730),
    [anon_sym___kindof] = ACTIONS(2730),
    [anon_sym___nonnull] = ACTIONS(2730),
    [anon_sym___nullable] = ACTIONS(2730),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2730),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2730),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2730),
    [anon_sym___real] = ACTIONS(2730),
    [anon_sym___strong] = ACTIONS(2730),
    [anon_sym___unsafe_unretained] = ACTIONS(2730),
    [anon_sym___unused] = ACTIONS(2730),
    [anon_sym___weak] = ACTIONS(2730),
    [anon_sym_alignas] = ACTIONS(2730),
    [anon_sym__Alignas] = ACTIONS(2730),
    [sym_primitive_type] = ACTIONS(2730),
    [anon_sym_enum] = ACTIONS(2730),
    [anon_sym_struct] = ACTIONS(2730),
    [anon_sym_union] = ACTIONS(2730),
    [anon_sym_if] = ACTIONS(2730),
    [anon_sym_switch] = ACTIONS(2730),
    [anon_sym_case] = ACTIONS(2730),
    [anon_sym_default] = ACTIONS(2730),
    [anon_sym_while] = ACTIONS(2730),
    [anon_sym_do] = ACTIONS(2730),
    [anon_sym_for] = ACTIONS(2730),
    [anon_sym_in] = ACTIONS(2730),
    [anon_sym_return] = ACTIONS(2730),
    [anon_sym_break] = ACTIONS(2730),
    [anon_sym_continue] = ACTIONS(2730),
    [anon_sym_goto] = ACTIONS(2730),
    [anon_sym_DASH_DASH] = ACTIONS(2732),
    [anon_sym_PLUS_PLUS] = ACTIONS(2732),
    [anon_sym_sizeof] = ACTIONS(2730),
    [anon_sym___alignof__] = ACTIONS(2730),
    [anon_sym___alignof] = ACTIONS(2730),
    [anon_sym__alignof] = ACTIONS(2730),
    [anon_sym_alignof] = ACTIONS(2730),
    [anon_sym__Alignof] = ACTIONS(2730),
    [anon_sym_offsetof] = ACTIONS(2730),
    [anon_sym__Generic] = ACTIONS(2730),
    [anon_sym_asm] = ACTIONS(2730),
    [anon_sym___asm__] = ACTIONS(2730),
    [anon_sym___asm] = ACTIONS(2730),
    [sym_number_literal] = ACTIONS(2732),
    [anon_sym_L_SQUOTE] = ACTIONS(2732),
    [anon_sym_u_SQUOTE] = ACTIONS(2732),
    [anon_sym_U_SQUOTE] = ACTIONS(2732),
    [anon_sym_u8_SQUOTE] = ACTIONS(2732),
    [anon_sym_SQUOTE] = ACTIONS(2732),
    [anon_sym_AT] = ACTIONS(2730),
    [anon_sym_DQUOTE] = ACTIONS(2732),
    [anon_sym_L_DQUOTE] = ACTIONS(2732),
    [anon_sym_u_DQUOTE] = ACTIONS(2732),
    [anon_sym_U_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8_DQUOTE] = ACTIONS(2732),
    [sym_true] = ACTIONS(2730),
    [sym_false] = ACTIONS(2730),
    [anon_sym_NULL] = ACTIONS(2730),
    [anon_sym_nullptr] = ACTIONS(2730),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2730),
    [anon_sym___typeof] = ACTIONS(2730),
    [anon_sym_typeof] = ACTIONS(2730),
    [anon_sym_ATimport] = ACTIONS(2732),
    [aux_sym_preproc_undef_token1] = ACTIONS(2730),
    [anon_sym_POUND] = ACTIONS(2730),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2730),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2730),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2730),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2730),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2730),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2730),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2730),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2730),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2730),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2730),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2730),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2730),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2730),
    [anon_sym_API_AVAILABLE] = ACTIONS(2730),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2730),
    [anon_sym_API_DEPRECATED] = ACTIONS(2730),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2730),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2730),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2730),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2730),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2730),
    [anon_sym___deprecated_msg] = ACTIONS(2730),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2730),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2730),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2730),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2730),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2730),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2730),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2730),
    [anon_sym_ATprotocol] = ACTIONS(2732),
    [anon_sym_ATinterface] = ACTIONS(2732),
    [anon_sym_ATimplementation] = ACTIONS(2732),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2732),
    [anon_sym_ATsynthesize] = ACTIONS(2732),
    [anon_sym_ATdynamic] = ACTIONS(2732),
    [anon_sym_ATtry] = ACTIONS(2732),
    [anon_sym___try] = ACTIONS(2730),
    [anon_sym_ATthrow] = ACTIONS(2732),
    [anon_sym_ATselector] = ACTIONS(2732),
    [anon_sym_ATavailable] = ACTIONS(2732),
    [anon_sym___builtin_available] = ACTIONS(2730),
    [anon_sym_va_arg] = ACTIONS(2730),
    [anon_sym_ATencode] = ACTIONS(2732),
    [anon_sym_ATsynchronized] = ACTIONS(2732),
    [anon_sym_BOOL] = ACTIONS(2730),
    [anon_sym_IMP] = ACTIONS(2730),
    [anon_sym_SEL] = ACTIONS(2730),
    [anon_sym_Class] = ACTIONS(2730),
    [anon_sym_id] = ACTIONS(2730),
  },
  [325] = {
    [sym_identifier] = ACTIONS(2734),
    [aux_sym_preproc_include_token1] = ACTIONS(2734),
    [aux_sym_preproc_include_token2] = ACTIONS(2734),
    [aux_sym_preproc_def_token1] = ACTIONS(2734),
    [aux_sym_preproc_if_token1] = ACTIONS(2734),
    [aux_sym_preproc_if_token2] = ACTIONS(2734),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2734),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2734),
    [aux_sym_preproc_else_token1] = ACTIONS(2734),
    [aux_sym_preproc_elif_token1] = ACTIONS(2734),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2734),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2734),
    [sym_preproc_directive] = ACTIONS(2734),
    [anon_sym_LPAREN2] = ACTIONS(2736),
    [anon_sym_BANG] = ACTIONS(2736),
    [anon_sym_TILDE] = ACTIONS(2736),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_STAR] = ACTIONS(2736),
    [anon_sym_CARET] = ACTIONS(2736),
    [anon_sym_AMP] = ACTIONS(2736),
    [anon_sym_SEMI] = ACTIONS(2736),
    [anon_sym___extension__] = ACTIONS(2734),
    [anon_sym_typedef] = ACTIONS(2734),
    [anon_sym_extern] = ACTIONS(2734),
    [anon_sym___attribute__] = ACTIONS(2734),
    [anon_sym___attribute] = ACTIONS(2734),
    [anon_sym_noreturn] = ACTIONS(2734),
    [anon_sym_LBRACK] = ACTIONS(2736),
    [anon_sym___declspec] = ACTIONS(2734),
    [anon_sym___cdecl] = ACTIONS(2734),
    [anon_sym___clrcall] = ACTIONS(2734),
    [anon_sym___stdcall] = ACTIONS(2734),
    [anon_sym___fastcall] = ACTIONS(2734),
    [anon_sym___thiscall] = ACTIONS(2734),
    [anon_sym___vectorcall] = ACTIONS(2734),
    [anon_sym_LBRACE] = ACTIONS(2736),
    [anon_sym_signed] = ACTIONS(2734),
    [anon_sym_unsigned] = ACTIONS(2734),
    [anon_sym_long] = ACTIONS(2734),
    [anon_sym_short] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2734),
    [anon_sym_ATautoreleasepool] = ACTIONS(2736),
    [anon_sym_auto] = ACTIONS(2734),
    [anon_sym_register] = ACTIONS(2734),
    [anon_sym_inline] = ACTIONS(2734),
    [anon_sym___inline] = ACTIONS(2734),
    [anon_sym___inline__] = ACTIONS(2734),
    [anon_sym___forceinline] = ACTIONS(2734),
    [anon_sym_thread_local] = ACTIONS(2734),
    [anon_sym___thread] = ACTIONS(2734),
    [anon_sym_CG_EXTERN] = ACTIONS(2734),
    [anon_sym_CG_INLINE] = ACTIONS(2734),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2734),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2734),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2734),
    [anon_sym_IBOutlet] = ACTIONS(2734),
    [anon_sym_IBInspectable] = ACTIONS(2734),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2734),
    [anon_sym_NS_INLINE] = ACTIONS(2734),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2734),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2734),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2734),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2734),
    [anon_sym_const] = ACTIONS(2734),
    [anon_sym_constexpr] = ACTIONS(2734),
    [anon_sym_volatile] = ACTIONS(2734),
    [anon_sym_restrict] = ACTIONS(2734),
    [anon_sym___restrict__] = ACTIONS(2734),
    [anon_sym__Atomic] = ACTIONS(2734),
    [anon_sym__Noreturn] = ACTIONS(2734),
    [anon_sym__Nonnull] = ACTIONS(2734),
    [anon_sym_nullable] = ACTIONS(2734),
    [anon_sym__Complex] = ACTIONS(2734),
    [anon_sym__Nullable] = ACTIONS(2734),
    [anon_sym__Nullable_result] = ACTIONS(2734),
    [anon_sym__Null_unspecified] = ACTIONS(2734),
    [anon_sym___autoreleasing] = ACTIONS(2734),
    [anon_sym___block] = ACTIONS(2734),
    [anon_sym___bridge] = ACTIONS(2734),
    [anon_sym___bridge_retained] = ACTIONS(2734),
    [anon_sym___bridge_transfer] = ACTIONS(2734),
    [anon_sym___complex] = ACTIONS(2734),
    [anon_sym___const] = ACTIONS(2734),
    [anon_sym___imag] = ACTIONS(2734),
    [anon_sym___kindof] = ACTIONS(2734),
    [anon_sym___nonnull] = ACTIONS(2734),
    [anon_sym___nullable] = ACTIONS(2734),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2734),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2734),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2734),
    [anon_sym___real] = ACTIONS(2734),
    [anon_sym___strong] = ACTIONS(2734),
    [anon_sym___unsafe_unretained] = ACTIONS(2734),
    [anon_sym___unused] = ACTIONS(2734),
    [anon_sym___weak] = ACTIONS(2734),
    [anon_sym_alignas] = ACTIONS(2734),
    [anon_sym__Alignas] = ACTIONS(2734),
    [sym_primitive_type] = ACTIONS(2734),
    [anon_sym_enum] = ACTIONS(2734),
    [anon_sym_struct] = ACTIONS(2734),
    [anon_sym_union] = ACTIONS(2734),
    [anon_sym_if] = ACTIONS(2734),
    [anon_sym_switch] = ACTIONS(2734),
    [anon_sym_case] = ACTIONS(2734),
    [anon_sym_default] = ACTIONS(2734),
    [anon_sym_while] = ACTIONS(2734),
    [anon_sym_do] = ACTIONS(2734),
    [anon_sym_for] = ACTIONS(2734),
    [anon_sym_in] = ACTIONS(2734),
    [anon_sym_return] = ACTIONS(2734),
    [anon_sym_break] = ACTIONS(2734),
    [anon_sym_continue] = ACTIONS(2734),
    [anon_sym_goto] = ACTIONS(2734),
    [anon_sym_DASH_DASH] = ACTIONS(2736),
    [anon_sym_PLUS_PLUS] = ACTIONS(2736),
    [anon_sym_sizeof] = ACTIONS(2734),
    [anon_sym___alignof__] = ACTIONS(2734),
    [anon_sym___alignof] = ACTIONS(2734),
    [anon_sym__alignof] = ACTIONS(2734),
    [anon_sym_alignof] = ACTIONS(2734),
    [anon_sym__Alignof] = ACTIONS(2734),
    [anon_sym_offsetof] = ACTIONS(2734),
    [anon_sym__Generic] = ACTIONS(2734),
    [anon_sym_asm] = ACTIONS(2734),
    [anon_sym___asm__] = ACTIONS(2734),
    [anon_sym___asm] = ACTIONS(2734),
    [sym_number_literal] = ACTIONS(2736),
    [anon_sym_L_SQUOTE] = ACTIONS(2736),
    [anon_sym_u_SQUOTE] = ACTIONS(2736),
    [anon_sym_U_SQUOTE] = ACTIONS(2736),
    [anon_sym_u8_SQUOTE] = ACTIONS(2736),
    [anon_sym_SQUOTE] = ACTIONS(2736),
    [anon_sym_AT] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2736),
    [anon_sym_L_DQUOTE] = ACTIONS(2736),
    [anon_sym_u_DQUOTE] = ACTIONS(2736),
    [anon_sym_U_DQUOTE] = ACTIONS(2736),
    [anon_sym_u8_DQUOTE] = ACTIONS(2736),
    [sym_true] = ACTIONS(2734),
    [sym_false] = ACTIONS(2734),
    [anon_sym_NULL] = ACTIONS(2734),
    [anon_sym_nullptr] = ACTIONS(2734),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2734),
    [anon_sym___typeof] = ACTIONS(2734),
    [anon_sym_typeof] = ACTIONS(2734),
    [anon_sym_ATimport] = ACTIONS(2736),
    [aux_sym_preproc_undef_token1] = ACTIONS(2734),
    [anon_sym_POUND] = ACTIONS(2734),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2734),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2734),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2734),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2734),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2734),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2734),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2734),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2734),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2734),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2734),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2734),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2734),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2734),
    [anon_sym_API_AVAILABLE] = ACTIONS(2734),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2734),
    [anon_sym_API_DEPRECATED] = ACTIONS(2734),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2734),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2734),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2734),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2734),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2734),
    [anon_sym___deprecated_msg] = ACTIONS(2734),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2734),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2734),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2734),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2734),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2734),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2734),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2734),
    [anon_sym_ATprotocol] = ACTIONS(2736),
    [anon_sym_ATinterface] = ACTIONS(2736),
    [anon_sym_ATimplementation] = ACTIONS(2736),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2736),
    [anon_sym_ATsynthesize] = ACTIONS(2736),
    [anon_sym_ATdynamic] = ACTIONS(2736),
    [anon_sym_ATtry] = ACTIONS(2736),
    [anon_sym___try] = ACTIONS(2734),
    [anon_sym_ATthrow] = ACTIONS(2736),
    [anon_sym_ATselector] = ACTIONS(2736),
    [anon_sym_ATavailable] = ACTIONS(2736),
    [anon_sym___builtin_available] = ACTIONS(2734),
    [anon_sym_va_arg] = ACTIONS(2734),
    [anon_sym_ATencode] = ACTIONS(2736),
    [anon_sym_ATsynchronized] = ACTIONS(2736),
    [anon_sym_BOOL] = ACTIONS(2734),
    [anon_sym_IMP] = ACTIONS(2734),
    [anon_sym_SEL] = ACTIONS(2734),
    [anon_sym_Class] = ACTIONS(2734),
    [anon_sym_id] = ACTIONS(2734),
  },
  [326] = {
    [sym_identifier] = ACTIONS(2738),
    [aux_sym_preproc_include_token1] = ACTIONS(2738),
    [aux_sym_preproc_include_token2] = ACTIONS(2738),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token2] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2738),
    [aux_sym_preproc_else_token1] = ACTIONS(2738),
    [aux_sym_preproc_elif_token1] = ACTIONS(2738),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2738),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2738),
    [sym_preproc_directive] = ACTIONS(2738),
    [anon_sym_LPAREN2] = ACTIONS(2740),
    [anon_sym_BANG] = ACTIONS(2740),
    [anon_sym_TILDE] = ACTIONS(2740),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_STAR] = ACTIONS(2740),
    [anon_sym_CARET] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym_SEMI] = ACTIONS(2740),
    [anon_sym___extension__] = ACTIONS(2738),
    [anon_sym_typedef] = ACTIONS(2738),
    [anon_sym_extern] = ACTIONS(2738),
    [anon_sym___attribute__] = ACTIONS(2738),
    [anon_sym___attribute] = ACTIONS(2738),
    [anon_sym_noreturn] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym___declspec] = ACTIONS(2738),
    [anon_sym___cdecl] = ACTIONS(2738),
    [anon_sym___clrcall] = ACTIONS(2738),
    [anon_sym___stdcall] = ACTIONS(2738),
    [anon_sym___fastcall] = ACTIONS(2738),
    [anon_sym___thiscall] = ACTIONS(2738),
    [anon_sym___vectorcall] = ACTIONS(2738),
    [anon_sym_LBRACE] = ACTIONS(2740),
    [anon_sym_signed] = ACTIONS(2738),
    [anon_sym_unsigned] = ACTIONS(2738),
    [anon_sym_long] = ACTIONS(2738),
    [anon_sym_short] = ACTIONS(2738),
    [anon_sym_static] = ACTIONS(2738),
    [anon_sym_ATautoreleasepool] = ACTIONS(2740),
    [anon_sym_auto] = ACTIONS(2738),
    [anon_sym_register] = ACTIONS(2738),
    [anon_sym_inline] = ACTIONS(2738),
    [anon_sym___inline] = ACTIONS(2738),
    [anon_sym___inline__] = ACTIONS(2738),
    [anon_sym___forceinline] = ACTIONS(2738),
    [anon_sym_thread_local] = ACTIONS(2738),
    [anon_sym___thread] = ACTIONS(2738),
    [anon_sym_CG_EXTERN] = ACTIONS(2738),
    [anon_sym_CG_INLINE] = ACTIONS(2738),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2738),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2738),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2738),
    [anon_sym_IBOutlet] = ACTIONS(2738),
    [anon_sym_IBInspectable] = ACTIONS(2738),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2738),
    [anon_sym_NS_INLINE] = ACTIONS(2738),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2738),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2738),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2738),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2738),
    [anon_sym_constexpr] = ACTIONS(2738),
    [anon_sym_volatile] = ACTIONS(2738),
    [anon_sym_restrict] = ACTIONS(2738),
    [anon_sym___restrict__] = ACTIONS(2738),
    [anon_sym__Atomic] = ACTIONS(2738),
    [anon_sym__Noreturn] = ACTIONS(2738),
    [anon_sym__Nonnull] = ACTIONS(2738),
    [anon_sym_nullable] = ACTIONS(2738),
    [anon_sym__Complex] = ACTIONS(2738),
    [anon_sym__Nullable] = ACTIONS(2738),
    [anon_sym__Nullable_result] = ACTIONS(2738),
    [anon_sym__Null_unspecified] = ACTIONS(2738),
    [anon_sym___autoreleasing] = ACTIONS(2738),
    [anon_sym___block] = ACTIONS(2738),
    [anon_sym___bridge] = ACTIONS(2738),
    [anon_sym___bridge_retained] = ACTIONS(2738),
    [anon_sym___bridge_transfer] = ACTIONS(2738),
    [anon_sym___complex] = ACTIONS(2738),
    [anon_sym___const] = ACTIONS(2738),
    [anon_sym___imag] = ACTIONS(2738),
    [anon_sym___kindof] = ACTIONS(2738),
    [anon_sym___nonnull] = ACTIONS(2738),
    [anon_sym___nullable] = ACTIONS(2738),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2738),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2738),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2738),
    [anon_sym___real] = ACTIONS(2738),
    [anon_sym___strong] = ACTIONS(2738),
    [anon_sym___unsafe_unretained] = ACTIONS(2738),
    [anon_sym___unused] = ACTIONS(2738),
    [anon_sym___weak] = ACTIONS(2738),
    [anon_sym_alignas] = ACTIONS(2738),
    [anon_sym__Alignas] = ACTIONS(2738),
    [sym_primitive_type] = ACTIONS(2738),
    [anon_sym_enum] = ACTIONS(2738),
    [anon_sym_struct] = ACTIONS(2738),
    [anon_sym_union] = ACTIONS(2738),
    [anon_sym_if] = ACTIONS(2738),
    [anon_sym_switch] = ACTIONS(2738),
    [anon_sym_case] = ACTIONS(2738),
    [anon_sym_default] = ACTIONS(2738),
    [anon_sym_while] = ACTIONS(2738),
    [anon_sym_do] = ACTIONS(2738),
    [anon_sym_for] = ACTIONS(2738),
    [anon_sym_in] = ACTIONS(2738),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_break] = ACTIONS(2738),
    [anon_sym_continue] = ACTIONS(2738),
    [anon_sym_goto] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2740),
    [anon_sym_PLUS_PLUS] = ACTIONS(2740),
    [anon_sym_sizeof] = ACTIONS(2738),
    [anon_sym___alignof__] = ACTIONS(2738),
    [anon_sym___alignof] = ACTIONS(2738),
    [anon_sym__alignof] = ACTIONS(2738),
    [anon_sym_alignof] = ACTIONS(2738),
    [anon_sym__Alignof] = ACTIONS(2738),
    [anon_sym_offsetof] = ACTIONS(2738),
    [anon_sym__Generic] = ACTIONS(2738),
    [anon_sym_asm] = ACTIONS(2738),
    [anon_sym___asm__] = ACTIONS(2738),
    [anon_sym___asm] = ACTIONS(2738),
    [sym_number_literal] = ACTIONS(2740),
    [anon_sym_L_SQUOTE] = ACTIONS(2740),
    [anon_sym_u_SQUOTE] = ACTIONS(2740),
    [anon_sym_U_SQUOTE] = ACTIONS(2740),
    [anon_sym_u8_SQUOTE] = ACTIONS(2740),
    [anon_sym_SQUOTE] = ACTIONS(2740),
    [anon_sym_AT] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2740),
    [anon_sym_L_DQUOTE] = ACTIONS(2740),
    [anon_sym_u_DQUOTE] = ACTIONS(2740),
    [anon_sym_U_DQUOTE] = ACTIONS(2740),
    [anon_sym_u8_DQUOTE] = ACTIONS(2740),
    [sym_true] = ACTIONS(2738),
    [sym_false] = ACTIONS(2738),
    [anon_sym_NULL] = ACTIONS(2738),
    [anon_sym_nullptr] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2738),
    [anon_sym___typeof] = ACTIONS(2738),
    [anon_sym_typeof] = ACTIONS(2738),
    [anon_sym_ATimport] = ACTIONS(2740),
    [aux_sym_preproc_undef_token1] = ACTIONS(2738),
    [anon_sym_POUND] = ACTIONS(2738),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2738),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2738),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2738),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2738),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2738),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2738),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2738),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2738),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2738),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2738),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2738),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2738),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2738),
    [anon_sym_API_AVAILABLE] = ACTIONS(2738),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2738),
    [anon_sym_API_DEPRECATED] = ACTIONS(2738),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2738),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2738),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2738),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2738),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2738),
    [anon_sym___deprecated_msg] = ACTIONS(2738),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2738),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2738),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2738),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2738),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2738),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2738),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2738),
    [anon_sym_ATprotocol] = ACTIONS(2740),
    [anon_sym_ATinterface] = ACTIONS(2740),
    [anon_sym_ATimplementation] = ACTIONS(2740),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2740),
    [anon_sym_ATsynthesize] = ACTIONS(2740),
    [anon_sym_ATdynamic] = ACTIONS(2740),
    [anon_sym_ATtry] = ACTIONS(2740),
    [anon_sym___try] = ACTIONS(2738),
    [anon_sym_ATthrow] = ACTIONS(2740),
    [anon_sym_ATselector] = ACTIONS(2740),
    [anon_sym_ATavailable] = ACTIONS(2740),
    [anon_sym___builtin_available] = ACTIONS(2738),
    [anon_sym_va_arg] = ACTIONS(2738),
    [anon_sym_ATencode] = ACTIONS(2740),
    [anon_sym_ATsynchronized] = ACTIONS(2740),
    [anon_sym_BOOL] = ACTIONS(2738),
    [anon_sym_IMP] = ACTIONS(2738),
    [anon_sym_SEL] = ACTIONS(2738),
    [anon_sym_Class] = ACTIONS(2738),
    [anon_sym_id] = ACTIONS(2738),
  },
  [327] = {
    [sym_identifier] = ACTIONS(2742),
    [aux_sym_preproc_include_token1] = ACTIONS(2742),
    [aux_sym_preproc_include_token2] = ACTIONS(2742),
    [aux_sym_preproc_def_token1] = ACTIONS(2742),
    [aux_sym_preproc_if_token1] = ACTIONS(2742),
    [aux_sym_preproc_if_token2] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [aux_sym_preproc_else_token1] = ACTIONS(2742),
    [aux_sym_preproc_elif_token1] = ACTIONS(2742),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2742),
    [anon_sym_LPAREN2] = ACTIONS(2744),
    [anon_sym_BANG] = ACTIONS(2744),
    [anon_sym_TILDE] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_CARET] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2744),
    [anon_sym___extension__] = ACTIONS(2742),
    [anon_sym_typedef] = ACTIONS(2742),
    [anon_sym_extern] = ACTIONS(2742),
    [anon_sym___attribute__] = ACTIONS(2742),
    [anon_sym___attribute] = ACTIONS(2742),
    [anon_sym_noreturn] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym___declspec] = ACTIONS(2742),
    [anon_sym___cdecl] = ACTIONS(2742),
    [anon_sym___clrcall] = ACTIONS(2742),
    [anon_sym___stdcall] = ACTIONS(2742),
    [anon_sym___fastcall] = ACTIONS(2742),
    [anon_sym___thiscall] = ACTIONS(2742),
    [anon_sym___vectorcall] = ACTIONS(2742),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [anon_sym_signed] = ACTIONS(2742),
    [anon_sym_unsigned] = ACTIONS(2742),
    [anon_sym_long] = ACTIONS(2742),
    [anon_sym_short] = ACTIONS(2742),
    [anon_sym_static] = ACTIONS(2742),
    [anon_sym_ATautoreleasepool] = ACTIONS(2744),
    [anon_sym_auto] = ACTIONS(2742),
    [anon_sym_register] = ACTIONS(2742),
    [anon_sym_inline] = ACTIONS(2742),
    [anon_sym___inline] = ACTIONS(2742),
    [anon_sym___inline__] = ACTIONS(2742),
    [anon_sym___forceinline] = ACTIONS(2742),
    [anon_sym_thread_local] = ACTIONS(2742),
    [anon_sym___thread] = ACTIONS(2742),
    [anon_sym_CG_EXTERN] = ACTIONS(2742),
    [anon_sym_CG_INLINE] = ACTIONS(2742),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2742),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2742),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2742),
    [anon_sym_IBOutlet] = ACTIONS(2742),
    [anon_sym_IBInspectable] = ACTIONS(2742),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2742),
    [anon_sym_NS_INLINE] = ACTIONS(2742),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2742),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2742),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2742),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2742),
    [anon_sym_const] = ACTIONS(2742),
    [anon_sym_constexpr] = ACTIONS(2742),
    [anon_sym_volatile] = ACTIONS(2742),
    [anon_sym_restrict] = ACTIONS(2742),
    [anon_sym___restrict__] = ACTIONS(2742),
    [anon_sym__Atomic] = ACTIONS(2742),
    [anon_sym__Noreturn] = ACTIONS(2742),
    [anon_sym__Nonnull] = ACTIONS(2742),
    [anon_sym_nullable] = ACTIONS(2742),
    [anon_sym__Complex] = ACTIONS(2742),
    [anon_sym__Nullable] = ACTIONS(2742),
    [anon_sym__Nullable_result] = ACTIONS(2742),
    [anon_sym__Null_unspecified] = ACTIONS(2742),
    [anon_sym___autoreleasing] = ACTIONS(2742),
    [anon_sym___block] = ACTIONS(2742),
    [anon_sym___bridge] = ACTIONS(2742),
    [anon_sym___bridge_retained] = ACTIONS(2742),
    [anon_sym___bridge_transfer] = ACTIONS(2742),
    [anon_sym___complex] = ACTIONS(2742),
    [anon_sym___const] = ACTIONS(2742),
    [anon_sym___imag] = ACTIONS(2742),
    [anon_sym___kindof] = ACTIONS(2742),
    [anon_sym___nonnull] = ACTIONS(2742),
    [anon_sym___nullable] = ACTIONS(2742),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2742),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2742),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2742),
    [anon_sym___real] = ACTIONS(2742),
    [anon_sym___strong] = ACTIONS(2742),
    [anon_sym___unsafe_unretained] = ACTIONS(2742),
    [anon_sym___unused] = ACTIONS(2742),
    [anon_sym___weak] = ACTIONS(2742),
    [anon_sym_alignas] = ACTIONS(2742),
    [anon_sym__Alignas] = ACTIONS(2742),
    [sym_primitive_type] = ACTIONS(2742),
    [anon_sym_enum] = ACTIONS(2742),
    [anon_sym_struct] = ACTIONS(2742),
    [anon_sym_union] = ACTIONS(2742),
    [anon_sym_if] = ACTIONS(2742),
    [anon_sym_switch] = ACTIONS(2742),
    [anon_sym_case] = ACTIONS(2742),
    [anon_sym_default] = ACTIONS(2742),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_do] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2742),
    [anon_sym_in] = ACTIONS(2742),
    [anon_sym_return] = ACTIONS(2742),
    [anon_sym_break] = ACTIONS(2742),
    [anon_sym_continue] = ACTIONS(2742),
    [anon_sym_goto] = ACTIONS(2742),
    [anon_sym_DASH_DASH] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2744),
    [anon_sym_sizeof] = ACTIONS(2742),
    [anon_sym___alignof__] = ACTIONS(2742),
    [anon_sym___alignof] = ACTIONS(2742),
    [anon_sym__alignof] = ACTIONS(2742),
    [anon_sym_alignof] = ACTIONS(2742),
    [anon_sym__Alignof] = ACTIONS(2742),
    [anon_sym_offsetof] = ACTIONS(2742),
    [anon_sym__Generic] = ACTIONS(2742),
    [anon_sym_asm] = ACTIONS(2742),
    [anon_sym___asm__] = ACTIONS(2742),
    [anon_sym___asm] = ACTIONS(2742),
    [sym_number_literal] = ACTIONS(2744),
    [anon_sym_L_SQUOTE] = ACTIONS(2744),
    [anon_sym_u_SQUOTE] = ACTIONS(2744),
    [anon_sym_U_SQUOTE] = ACTIONS(2744),
    [anon_sym_u8_SQUOTE] = ACTIONS(2744),
    [anon_sym_SQUOTE] = ACTIONS(2744),
    [anon_sym_AT] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2744),
    [anon_sym_L_DQUOTE] = ACTIONS(2744),
    [anon_sym_u_DQUOTE] = ACTIONS(2744),
    [anon_sym_U_DQUOTE] = ACTIONS(2744),
    [anon_sym_u8_DQUOTE] = ACTIONS(2744),
    [sym_true] = ACTIONS(2742),
    [sym_false] = ACTIONS(2742),
    [anon_sym_NULL] = ACTIONS(2742),
    [anon_sym_nullptr] = ACTIONS(2742),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2742),
    [anon_sym___typeof] = ACTIONS(2742),
    [anon_sym_typeof] = ACTIONS(2742),
    [anon_sym_ATimport] = ACTIONS(2744),
    [aux_sym_preproc_undef_token1] = ACTIONS(2742),
    [anon_sym_POUND] = ACTIONS(2742),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2742),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2742),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2742),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2742),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2742),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2742),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2742),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2742),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2742),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2742),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2742),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2742),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2742),
    [anon_sym_API_AVAILABLE] = ACTIONS(2742),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2742),
    [anon_sym_API_DEPRECATED] = ACTIONS(2742),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2742),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2742),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2742),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2742),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2742),
    [anon_sym___deprecated_msg] = ACTIONS(2742),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2742),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2742),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2742),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2742),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2742),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2742),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2742),
    [anon_sym_ATprotocol] = ACTIONS(2744),
    [anon_sym_ATinterface] = ACTIONS(2744),
    [anon_sym_ATimplementation] = ACTIONS(2744),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2744),
    [anon_sym_ATsynthesize] = ACTIONS(2744),
    [anon_sym_ATdynamic] = ACTIONS(2744),
    [anon_sym_ATtry] = ACTIONS(2744),
    [anon_sym___try] = ACTIONS(2742),
    [anon_sym_ATthrow] = ACTIONS(2744),
    [anon_sym_ATselector] = ACTIONS(2744),
    [anon_sym_ATavailable] = ACTIONS(2744),
    [anon_sym___builtin_available] = ACTIONS(2742),
    [anon_sym_va_arg] = ACTIONS(2742),
    [anon_sym_ATencode] = ACTIONS(2744),
    [anon_sym_ATsynchronized] = ACTIONS(2744),
    [anon_sym_BOOL] = ACTIONS(2742),
    [anon_sym_IMP] = ACTIONS(2742),
    [anon_sym_SEL] = ACTIONS(2742),
    [anon_sym_Class] = ACTIONS(2742),
    [anon_sym_id] = ACTIONS(2742),
  },
  [328] = {
    [sym_identifier] = ACTIONS(2746),
    [aux_sym_preproc_include_token1] = ACTIONS(2746),
    [aux_sym_preproc_include_token2] = ACTIONS(2746),
    [aux_sym_preproc_def_token1] = ACTIONS(2746),
    [aux_sym_preproc_if_token1] = ACTIONS(2746),
    [aux_sym_preproc_if_token2] = ACTIONS(2746),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2746),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2746),
    [aux_sym_preproc_else_token1] = ACTIONS(2746),
    [aux_sym_preproc_elif_token1] = ACTIONS(2746),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2746),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2746),
    [sym_preproc_directive] = ACTIONS(2746),
    [anon_sym_LPAREN2] = ACTIONS(2748),
    [anon_sym_BANG] = ACTIONS(2748),
    [anon_sym_TILDE] = ACTIONS(2748),
    [anon_sym_DASH] = ACTIONS(2746),
    [anon_sym_PLUS] = ACTIONS(2746),
    [anon_sym_STAR] = ACTIONS(2748),
    [anon_sym_CARET] = ACTIONS(2748),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_SEMI] = ACTIONS(2748),
    [anon_sym___extension__] = ACTIONS(2746),
    [anon_sym_typedef] = ACTIONS(2746),
    [anon_sym_extern] = ACTIONS(2746),
    [anon_sym___attribute__] = ACTIONS(2746),
    [anon_sym___attribute] = ACTIONS(2746),
    [anon_sym_noreturn] = ACTIONS(2746),
    [anon_sym_LBRACK] = ACTIONS(2748),
    [anon_sym___declspec] = ACTIONS(2746),
    [anon_sym___cdecl] = ACTIONS(2746),
    [anon_sym___clrcall] = ACTIONS(2746),
    [anon_sym___stdcall] = ACTIONS(2746),
    [anon_sym___fastcall] = ACTIONS(2746),
    [anon_sym___thiscall] = ACTIONS(2746),
    [anon_sym___vectorcall] = ACTIONS(2746),
    [anon_sym_LBRACE] = ACTIONS(2748),
    [anon_sym_signed] = ACTIONS(2746),
    [anon_sym_unsigned] = ACTIONS(2746),
    [anon_sym_long] = ACTIONS(2746),
    [anon_sym_short] = ACTIONS(2746),
    [anon_sym_static] = ACTIONS(2746),
    [anon_sym_ATautoreleasepool] = ACTIONS(2748),
    [anon_sym_auto] = ACTIONS(2746),
    [anon_sym_register] = ACTIONS(2746),
    [anon_sym_inline] = ACTIONS(2746),
    [anon_sym___inline] = ACTIONS(2746),
    [anon_sym___inline__] = ACTIONS(2746),
    [anon_sym___forceinline] = ACTIONS(2746),
    [anon_sym_thread_local] = ACTIONS(2746),
    [anon_sym___thread] = ACTIONS(2746),
    [anon_sym_CG_EXTERN] = ACTIONS(2746),
    [anon_sym_CG_INLINE] = ACTIONS(2746),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2746),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2746),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2746),
    [anon_sym_IBOutlet] = ACTIONS(2746),
    [anon_sym_IBInspectable] = ACTIONS(2746),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2746),
    [anon_sym_NS_INLINE] = ACTIONS(2746),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2746),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2746),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2746),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2746),
    [anon_sym_const] = ACTIONS(2746),
    [anon_sym_constexpr] = ACTIONS(2746),
    [anon_sym_volatile] = ACTIONS(2746),
    [anon_sym_restrict] = ACTIONS(2746),
    [anon_sym___restrict__] = ACTIONS(2746),
    [anon_sym__Atomic] = ACTIONS(2746),
    [anon_sym__Noreturn] = ACTIONS(2746),
    [anon_sym__Nonnull] = ACTIONS(2746),
    [anon_sym_nullable] = ACTIONS(2746),
    [anon_sym__Complex] = ACTIONS(2746),
    [anon_sym__Nullable] = ACTIONS(2746),
    [anon_sym__Nullable_result] = ACTIONS(2746),
    [anon_sym__Null_unspecified] = ACTIONS(2746),
    [anon_sym___autoreleasing] = ACTIONS(2746),
    [anon_sym___block] = ACTIONS(2746),
    [anon_sym___bridge] = ACTIONS(2746),
    [anon_sym___bridge_retained] = ACTIONS(2746),
    [anon_sym___bridge_transfer] = ACTIONS(2746),
    [anon_sym___complex] = ACTIONS(2746),
    [anon_sym___const] = ACTIONS(2746),
    [anon_sym___imag] = ACTIONS(2746),
    [anon_sym___kindof] = ACTIONS(2746),
    [anon_sym___nonnull] = ACTIONS(2746),
    [anon_sym___nullable] = ACTIONS(2746),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2746),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2746),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2746),
    [anon_sym___real] = ACTIONS(2746),
    [anon_sym___strong] = ACTIONS(2746),
    [anon_sym___unsafe_unretained] = ACTIONS(2746),
    [anon_sym___unused] = ACTIONS(2746),
    [anon_sym___weak] = ACTIONS(2746),
    [anon_sym_alignas] = ACTIONS(2746),
    [anon_sym__Alignas] = ACTIONS(2746),
    [sym_primitive_type] = ACTIONS(2746),
    [anon_sym_enum] = ACTIONS(2746),
    [anon_sym_struct] = ACTIONS(2746),
    [anon_sym_union] = ACTIONS(2746),
    [anon_sym_if] = ACTIONS(2746),
    [anon_sym_switch] = ACTIONS(2746),
    [anon_sym_case] = ACTIONS(2746),
    [anon_sym_default] = ACTIONS(2746),
    [anon_sym_while] = ACTIONS(2746),
    [anon_sym_do] = ACTIONS(2746),
    [anon_sym_for] = ACTIONS(2746),
    [anon_sym_in] = ACTIONS(2746),
    [anon_sym_return] = ACTIONS(2746),
    [anon_sym_break] = ACTIONS(2746),
    [anon_sym_continue] = ACTIONS(2746),
    [anon_sym_goto] = ACTIONS(2746),
    [anon_sym_DASH_DASH] = ACTIONS(2748),
    [anon_sym_PLUS_PLUS] = ACTIONS(2748),
    [anon_sym_sizeof] = ACTIONS(2746),
    [anon_sym___alignof__] = ACTIONS(2746),
    [anon_sym___alignof] = ACTIONS(2746),
    [anon_sym__alignof] = ACTIONS(2746),
    [anon_sym_alignof] = ACTIONS(2746),
    [anon_sym__Alignof] = ACTIONS(2746),
    [anon_sym_offsetof] = ACTIONS(2746),
    [anon_sym__Generic] = ACTIONS(2746),
    [anon_sym_asm] = ACTIONS(2746),
    [anon_sym___asm__] = ACTIONS(2746),
    [anon_sym___asm] = ACTIONS(2746),
    [sym_number_literal] = ACTIONS(2748),
    [anon_sym_L_SQUOTE] = ACTIONS(2748),
    [anon_sym_u_SQUOTE] = ACTIONS(2748),
    [anon_sym_U_SQUOTE] = ACTIONS(2748),
    [anon_sym_u8_SQUOTE] = ACTIONS(2748),
    [anon_sym_SQUOTE] = ACTIONS(2748),
    [anon_sym_AT] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2748),
    [anon_sym_L_DQUOTE] = ACTIONS(2748),
    [anon_sym_u_DQUOTE] = ACTIONS(2748),
    [anon_sym_U_DQUOTE] = ACTIONS(2748),
    [anon_sym_u8_DQUOTE] = ACTIONS(2748),
    [sym_true] = ACTIONS(2746),
    [sym_false] = ACTIONS(2746),
    [anon_sym_NULL] = ACTIONS(2746),
    [anon_sym_nullptr] = ACTIONS(2746),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2746),
    [anon_sym___typeof] = ACTIONS(2746),
    [anon_sym_typeof] = ACTIONS(2746),
    [anon_sym_ATimport] = ACTIONS(2748),
    [aux_sym_preproc_undef_token1] = ACTIONS(2746),
    [anon_sym_POUND] = ACTIONS(2746),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2746),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2746),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2746),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2746),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2746),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2746),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2746),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2746),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2746),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2746),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2746),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2746),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2746),
    [anon_sym_API_AVAILABLE] = ACTIONS(2746),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2746),
    [anon_sym_API_DEPRECATED] = ACTIONS(2746),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2746),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2746),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2746),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2746),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2746),
    [anon_sym___deprecated_msg] = ACTIONS(2746),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2746),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2746),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2746),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2746),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2746),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2746),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2746),
    [anon_sym_ATprotocol] = ACTIONS(2748),
    [anon_sym_ATinterface] = ACTIONS(2748),
    [anon_sym_ATimplementation] = ACTIONS(2748),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2748),
    [anon_sym_ATsynthesize] = ACTIONS(2748),
    [anon_sym_ATdynamic] = ACTIONS(2748),
    [anon_sym_ATtry] = ACTIONS(2748),
    [anon_sym___try] = ACTIONS(2746),
    [anon_sym_ATthrow] = ACTIONS(2748),
    [anon_sym_ATselector] = ACTIONS(2748),
    [anon_sym_ATavailable] = ACTIONS(2748),
    [anon_sym___builtin_available] = ACTIONS(2746),
    [anon_sym_va_arg] = ACTIONS(2746),
    [anon_sym_ATencode] = ACTIONS(2748),
    [anon_sym_ATsynchronized] = ACTIONS(2748),
    [anon_sym_BOOL] = ACTIONS(2746),
    [anon_sym_IMP] = ACTIONS(2746),
    [anon_sym_SEL] = ACTIONS(2746),
    [anon_sym_Class] = ACTIONS(2746),
    [anon_sym_id] = ACTIONS(2746),
  },
  [329] = {
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_include_token2] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token2] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [aux_sym_preproc_else_token1] = ACTIONS(2750),
    [aux_sym_preproc_elif_token1] = ACTIONS(2750),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_CARET] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym___attribute] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___cdecl] = ACTIONS(2750),
    [anon_sym___clrcall] = ACTIONS(2750),
    [anon_sym___stdcall] = ACTIONS(2750),
    [anon_sym___fastcall] = ACTIONS(2750),
    [anon_sym___thiscall] = ACTIONS(2750),
    [anon_sym___vectorcall] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_ATautoreleasepool] = ACTIONS(2752),
    [anon_sym_auto] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_CG_EXTERN] = ACTIONS(2750),
    [anon_sym_CG_INLINE] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2750),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2750),
    [anon_sym_IBOutlet] = ACTIONS(2750),
    [anon_sym_IBInspectable] = ACTIONS(2750),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2750),
    [anon_sym_NS_INLINE] = ACTIONS(2750),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2750),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2750),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym__Nonnull] = ACTIONS(2750),
    [anon_sym_nullable] = ACTIONS(2750),
    [anon_sym__Complex] = ACTIONS(2750),
    [anon_sym__Nullable] = ACTIONS(2750),
    [anon_sym__Nullable_result] = ACTIONS(2750),
    [anon_sym__Null_unspecified] = ACTIONS(2750),
    [anon_sym___autoreleasing] = ACTIONS(2750),
    [anon_sym___block] = ACTIONS(2750),
    [anon_sym___bridge] = ACTIONS(2750),
    [anon_sym___bridge_retained] = ACTIONS(2750),
    [anon_sym___bridge_transfer] = ACTIONS(2750),
    [anon_sym___complex] = ACTIONS(2750),
    [anon_sym___const] = ACTIONS(2750),
    [anon_sym___imag] = ACTIONS(2750),
    [anon_sym___kindof] = ACTIONS(2750),
    [anon_sym___nonnull] = ACTIONS(2750),
    [anon_sym___nullable] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2750),
    [anon_sym___real] = ACTIONS(2750),
    [anon_sym___strong] = ACTIONS(2750),
    [anon_sym___unsafe_unretained] = ACTIONS(2750),
    [anon_sym___unused] = ACTIONS(2750),
    [anon_sym___weak] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_in] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [anon_sym___asm] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_AT] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2750),
    [anon_sym___typeof] = ACTIONS(2750),
    [anon_sym_typeof] = ACTIONS(2750),
    [anon_sym_ATimport] = ACTIONS(2752),
    [aux_sym_preproc_undef_token1] = ACTIONS(2750),
    [anon_sym_POUND] = ACTIONS(2750),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2750),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2750),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2750),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_API_AVAILABLE] = ACTIONS(2750),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_API_DEPRECATED] = ACTIONS(2750),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym___deprecated_msg] = ACTIONS(2750),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2750),
    [anon_sym_ATprotocol] = ACTIONS(2752),
    [anon_sym_ATinterface] = ACTIONS(2752),
    [anon_sym_ATimplementation] = ACTIONS(2752),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2752),
    [anon_sym_ATsynthesize] = ACTIONS(2752),
    [anon_sym_ATdynamic] = ACTIONS(2752),
    [anon_sym_ATtry] = ACTIONS(2752),
    [anon_sym___try] = ACTIONS(2750),
    [anon_sym_ATthrow] = ACTIONS(2752),
    [anon_sym_ATselector] = ACTIONS(2752),
    [anon_sym_ATavailable] = ACTIONS(2752),
    [anon_sym___builtin_available] = ACTIONS(2750),
    [anon_sym_va_arg] = ACTIONS(2750),
    [anon_sym_ATencode] = ACTIONS(2752),
    [anon_sym_ATsynchronized] = ACTIONS(2752),
    [anon_sym_BOOL] = ACTIONS(2750),
    [anon_sym_IMP] = ACTIONS(2750),
    [anon_sym_SEL] = ACTIONS(2750),
    [anon_sym_Class] = ACTIONS(2750),
    [anon_sym_id] = ACTIONS(2750),
  },
  [330] = {
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_include_token2] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token2] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [aux_sym_preproc_else_token1] = ACTIONS(2750),
    [aux_sym_preproc_elif_token1] = ACTIONS(2750),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_CARET] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym___attribute] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___cdecl] = ACTIONS(2750),
    [anon_sym___clrcall] = ACTIONS(2750),
    [anon_sym___stdcall] = ACTIONS(2750),
    [anon_sym___fastcall] = ACTIONS(2750),
    [anon_sym___thiscall] = ACTIONS(2750),
    [anon_sym___vectorcall] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_ATautoreleasepool] = ACTIONS(2752),
    [anon_sym_auto] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_CG_EXTERN] = ACTIONS(2750),
    [anon_sym_CG_INLINE] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2750),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2750),
    [anon_sym_IBOutlet] = ACTIONS(2750),
    [anon_sym_IBInspectable] = ACTIONS(2750),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2750),
    [anon_sym_NS_INLINE] = ACTIONS(2750),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2750),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2750),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym__Nonnull] = ACTIONS(2750),
    [anon_sym_nullable] = ACTIONS(2750),
    [anon_sym__Complex] = ACTIONS(2750),
    [anon_sym__Nullable] = ACTIONS(2750),
    [anon_sym__Nullable_result] = ACTIONS(2750),
    [anon_sym__Null_unspecified] = ACTIONS(2750),
    [anon_sym___autoreleasing] = ACTIONS(2750),
    [anon_sym___block] = ACTIONS(2750),
    [anon_sym___bridge] = ACTIONS(2750),
    [anon_sym___bridge_retained] = ACTIONS(2750),
    [anon_sym___bridge_transfer] = ACTIONS(2750),
    [anon_sym___complex] = ACTIONS(2750),
    [anon_sym___const] = ACTIONS(2750),
    [anon_sym___imag] = ACTIONS(2750),
    [anon_sym___kindof] = ACTIONS(2750),
    [anon_sym___nonnull] = ACTIONS(2750),
    [anon_sym___nullable] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2750),
    [anon_sym___real] = ACTIONS(2750),
    [anon_sym___strong] = ACTIONS(2750),
    [anon_sym___unsafe_unretained] = ACTIONS(2750),
    [anon_sym___unused] = ACTIONS(2750),
    [anon_sym___weak] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_in] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [anon_sym___asm] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_AT] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2750),
    [anon_sym___typeof] = ACTIONS(2750),
    [anon_sym_typeof] = ACTIONS(2750),
    [anon_sym_ATimport] = ACTIONS(2752),
    [aux_sym_preproc_undef_token1] = ACTIONS(2750),
    [anon_sym_POUND] = ACTIONS(2750),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2750),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2750),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2750),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_API_AVAILABLE] = ACTIONS(2750),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_API_DEPRECATED] = ACTIONS(2750),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym___deprecated_msg] = ACTIONS(2750),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2750),
    [anon_sym_ATprotocol] = ACTIONS(2752),
    [anon_sym_ATinterface] = ACTIONS(2752),
    [anon_sym_ATimplementation] = ACTIONS(2752),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2752),
    [anon_sym_ATsynthesize] = ACTIONS(2752),
    [anon_sym_ATdynamic] = ACTIONS(2752),
    [anon_sym_ATtry] = ACTIONS(2752),
    [anon_sym___try] = ACTIONS(2750),
    [anon_sym_ATthrow] = ACTIONS(2752),
    [anon_sym_ATselector] = ACTIONS(2752),
    [anon_sym_ATavailable] = ACTIONS(2752),
    [anon_sym___builtin_available] = ACTIONS(2750),
    [anon_sym_va_arg] = ACTIONS(2750),
    [anon_sym_ATencode] = ACTIONS(2752),
    [anon_sym_ATsynchronized] = ACTIONS(2752),
    [anon_sym_BOOL] = ACTIONS(2750),
    [anon_sym_IMP] = ACTIONS(2750),
    [anon_sym_SEL] = ACTIONS(2750),
    [anon_sym_Class] = ACTIONS(2750),
    [anon_sym_id] = ACTIONS(2750),
  },
  [331] = {
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_include_token2] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token2] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [aux_sym_preproc_else_token1] = ACTIONS(2750),
    [aux_sym_preproc_elif_token1] = ACTIONS(2750),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_CARET] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym___attribute] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___cdecl] = ACTIONS(2750),
    [anon_sym___clrcall] = ACTIONS(2750),
    [anon_sym___stdcall] = ACTIONS(2750),
    [anon_sym___fastcall] = ACTIONS(2750),
    [anon_sym___thiscall] = ACTIONS(2750),
    [anon_sym___vectorcall] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_ATautoreleasepool] = ACTIONS(2752),
    [anon_sym_auto] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_CG_EXTERN] = ACTIONS(2750),
    [anon_sym_CG_INLINE] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2750),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2750),
    [anon_sym_IBOutlet] = ACTIONS(2750),
    [anon_sym_IBInspectable] = ACTIONS(2750),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2750),
    [anon_sym_NS_INLINE] = ACTIONS(2750),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2750),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2750),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym__Nonnull] = ACTIONS(2750),
    [anon_sym_nullable] = ACTIONS(2750),
    [anon_sym__Complex] = ACTIONS(2750),
    [anon_sym__Nullable] = ACTIONS(2750),
    [anon_sym__Nullable_result] = ACTIONS(2750),
    [anon_sym__Null_unspecified] = ACTIONS(2750),
    [anon_sym___autoreleasing] = ACTIONS(2750),
    [anon_sym___block] = ACTIONS(2750),
    [anon_sym___bridge] = ACTIONS(2750),
    [anon_sym___bridge_retained] = ACTIONS(2750),
    [anon_sym___bridge_transfer] = ACTIONS(2750),
    [anon_sym___complex] = ACTIONS(2750),
    [anon_sym___const] = ACTIONS(2750),
    [anon_sym___imag] = ACTIONS(2750),
    [anon_sym___kindof] = ACTIONS(2750),
    [anon_sym___nonnull] = ACTIONS(2750),
    [anon_sym___nullable] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2750),
    [anon_sym___real] = ACTIONS(2750),
    [anon_sym___strong] = ACTIONS(2750),
    [anon_sym___unsafe_unretained] = ACTIONS(2750),
    [anon_sym___unused] = ACTIONS(2750),
    [anon_sym___weak] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_in] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [anon_sym___asm] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_AT] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2750),
    [anon_sym___typeof] = ACTIONS(2750),
    [anon_sym_typeof] = ACTIONS(2750),
    [anon_sym_ATimport] = ACTIONS(2752),
    [aux_sym_preproc_undef_token1] = ACTIONS(2750),
    [anon_sym_POUND] = ACTIONS(2750),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2750),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2750),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2750),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_API_AVAILABLE] = ACTIONS(2750),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_API_DEPRECATED] = ACTIONS(2750),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym___deprecated_msg] = ACTIONS(2750),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2750),
    [anon_sym_ATprotocol] = ACTIONS(2752),
    [anon_sym_ATinterface] = ACTIONS(2752),
    [anon_sym_ATimplementation] = ACTIONS(2752),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2752),
    [anon_sym_ATsynthesize] = ACTIONS(2752),
    [anon_sym_ATdynamic] = ACTIONS(2752),
    [anon_sym_ATtry] = ACTIONS(2752),
    [anon_sym___try] = ACTIONS(2750),
    [anon_sym_ATthrow] = ACTIONS(2752),
    [anon_sym_ATselector] = ACTIONS(2752),
    [anon_sym_ATavailable] = ACTIONS(2752),
    [anon_sym___builtin_available] = ACTIONS(2750),
    [anon_sym_va_arg] = ACTIONS(2750),
    [anon_sym_ATencode] = ACTIONS(2752),
    [anon_sym_ATsynchronized] = ACTIONS(2752),
    [anon_sym_BOOL] = ACTIONS(2750),
    [anon_sym_IMP] = ACTIONS(2750),
    [anon_sym_SEL] = ACTIONS(2750),
    [anon_sym_Class] = ACTIONS(2750),
    [anon_sym_id] = ACTIONS(2750),
  },
  [332] = {
    [sym_identifier] = ACTIONS(2754),
    [aux_sym_preproc_include_token1] = ACTIONS(2754),
    [aux_sym_preproc_include_token2] = ACTIONS(2754),
    [aux_sym_preproc_def_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token2] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2754),
    [aux_sym_preproc_else_token1] = ACTIONS(2754),
    [aux_sym_preproc_elif_token1] = ACTIONS(2754),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2754),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2754),
    [sym_preproc_directive] = ACTIONS(2754),
    [anon_sym_LPAREN2] = ACTIONS(2756),
    [anon_sym_BANG] = ACTIONS(2756),
    [anon_sym_TILDE] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2754),
    [anon_sym_PLUS] = ACTIONS(2754),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_CARET] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2756),
    [anon_sym_SEMI] = ACTIONS(2756),
    [anon_sym___extension__] = ACTIONS(2754),
    [anon_sym_typedef] = ACTIONS(2754),
    [anon_sym_extern] = ACTIONS(2754),
    [anon_sym___attribute__] = ACTIONS(2754),
    [anon_sym___attribute] = ACTIONS(2754),
    [anon_sym_noreturn] = ACTIONS(2754),
    [anon_sym_LBRACK] = ACTIONS(2756),
    [anon_sym___declspec] = ACTIONS(2754),
    [anon_sym___cdecl] = ACTIONS(2754),
    [anon_sym___clrcall] = ACTIONS(2754),
    [anon_sym___stdcall] = ACTIONS(2754),
    [anon_sym___fastcall] = ACTIONS(2754),
    [anon_sym___thiscall] = ACTIONS(2754),
    [anon_sym___vectorcall] = ACTIONS(2754),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_signed] = ACTIONS(2754),
    [anon_sym_unsigned] = ACTIONS(2754),
    [anon_sym_long] = ACTIONS(2754),
    [anon_sym_short] = ACTIONS(2754),
    [anon_sym_static] = ACTIONS(2754),
    [anon_sym_ATautoreleasepool] = ACTIONS(2756),
    [anon_sym_auto] = ACTIONS(2754),
    [anon_sym_register] = ACTIONS(2754),
    [anon_sym_inline] = ACTIONS(2754),
    [anon_sym___inline] = ACTIONS(2754),
    [anon_sym___inline__] = ACTIONS(2754),
    [anon_sym___forceinline] = ACTIONS(2754),
    [anon_sym_thread_local] = ACTIONS(2754),
    [anon_sym___thread] = ACTIONS(2754),
    [anon_sym_CG_EXTERN] = ACTIONS(2754),
    [anon_sym_CG_INLINE] = ACTIONS(2754),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2754),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2754),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2754),
    [anon_sym_IBOutlet] = ACTIONS(2754),
    [anon_sym_IBInspectable] = ACTIONS(2754),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2754),
    [anon_sym_NS_INLINE] = ACTIONS(2754),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2754),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2754),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2754),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2754),
    [anon_sym_const] = ACTIONS(2754),
    [anon_sym_constexpr] = ACTIONS(2754),
    [anon_sym_volatile] = ACTIONS(2754),
    [anon_sym_restrict] = ACTIONS(2754),
    [anon_sym___restrict__] = ACTIONS(2754),
    [anon_sym__Atomic] = ACTIONS(2754),
    [anon_sym__Noreturn] = ACTIONS(2754),
    [anon_sym__Nonnull] = ACTIONS(2754),
    [anon_sym_nullable] = ACTIONS(2754),
    [anon_sym__Complex] = ACTIONS(2754),
    [anon_sym__Nullable] = ACTIONS(2754),
    [anon_sym__Nullable_result] = ACTIONS(2754),
    [anon_sym__Null_unspecified] = ACTIONS(2754),
    [anon_sym___autoreleasing] = ACTIONS(2754),
    [anon_sym___block] = ACTIONS(2754),
    [anon_sym___bridge] = ACTIONS(2754),
    [anon_sym___bridge_retained] = ACTIONS(2754),
    [anon_sym___bridge_transfer] = ACTIONS(2754),
    [anon_sym___complex] = ACTIONS(2754),
    [anon_sym___const] = ACTIONS(2754),
    [anon_sym___imag] = ACTIONS(2754),
    [anon_sym___kindof] = ACTIONS(2754),
    [anon_sym___nonnull] = ACTIONS(2754),
    [anon_sym___nullable] = ACTIONS(2754),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2754),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2754),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2754),
    [anon_sym___real] = ACTIONS(2754),
    [anon_sym___strong] = ACTIONS(2754),
    [anon_sym___unsafe_unretained] = ACTIONS(2754),
    [anon_sym___unused] = ACTIONS(2754),
    [anon_sym___weak] = ACTIONS(2754),
    [anon_sym_alignas] = ACTIONS(2754),
    [anon_sym__Alignas] = ACTIONS(2754),
    [sym_primitive_type] = ACTIONS(2754),
    [anon_sym_enum] = ACTIONS(2754),
    [anon_sym_struct] = ACTIONS(2754),
    [anon_sym_union] = ACTIONS(2754),
    [anon_sym_if] = ACTIONS(2754),
    [anon_sym_switch] = ACTIONS(2754),
    [anon_sym_case] = ACTIONS(2754),
    [anon_sym_default] = ACTIONS(2754),
    [anon_sym_while] = ACTIONS(2754),
    [anon_sym_do] = ACTIONS(2754),
    [anon_sym_for] = ACTIONS(2754),
    [anon_sym_in] = ACTIONS(2754),
    [anon_sym_return] = ACTIONS(2754),
    [anon_sym_break] = ACTIONS(2754),
    [anon_sym_continue] = ACTIONS(2754),
    [anon_sym_goto] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2756),
    [anon_sym_sizeof] = ACTIONS(2754),
    [anon_sym___alignof__] = ACTIONS(2754),
    [anon_sym___alignof] = ACTIONS(2754),
    [anon_sym__alignof] = ACTIONS(2754),
    [anon_sym_alignof] = ACTIONS(2754),
    [anon_sym__Alignof] = ACTIONS(2754),
    [anon_sym_offsetof] = ACTIONS(2754),
    [anon_sym__Generic] = ACTIONS(2754),
    [anon_sym_asm] = ACTIONS(2754),
    [anon_sym___asm__] = ACTIONS(2754),
    [anon_sym___asm] = ACTIONS(2754),
    [sym_number_literal] = ACTIONS(2756),
    [anon_sym_L_SQUOTE] = ACTIONS(2756),
    [anon_sym_u_SQUOTE] = ACTIONS(2756),
    [anon_sym_U_SQUOTE] = ACTIONS(2756),
    [anon_sym_u8_SQUOTE] = ACTIONS(2756),
    [anon_sym_SQUOTE] = ACTIONS(2756),
    [anon_sym_AT] = ACTIONS(2754),
    [anon_sym_DQUOTE] = ACTIONS(2756),
    [anon_sym_L_DQUOTE] = ACTIONS(2756),
    [anon_sym_u_DQUOTE] = ACTIONS(2756),
    [anon_sym_U_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8_DQUOTE] = ACTIONS(2756),
    [sym_true] = ACTIONS(2754),
    [sym_false] = ACTIONS(2754),
    [anon_sym_NULL] = ACTIONS(2754),
    [anon_sym_nullptr] = ACTIONS(2754),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2754),
    [anon_sym___typeof] = ACTIONS(2754),
    [anon_sym_typeof] = ACTIONS(2754),
    [anon_sym_ATimport] = ACTIONS(2756),
    [aux_sym_preproc_undef_token1] = ACTIONS(2754),
    [anon_sym_POUND] = ACTIONS(2754),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2754),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2754),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2754),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2754),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2754),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2754),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2754),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2754),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2754),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2754),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2754),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2754),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2754),
    [anon_sym_API_AVAILABLE] = ACTIONS(2754),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2754),
    [anon_sym_API_DEPRECATED] = ACTIONS(2754),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2754),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2754),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2754),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2754),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2754),
    [anon_sym___deprecated_msg] = ACTIONS(2754),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2754),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2754),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2754),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2754),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2754),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2754),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2754),
    [anon_sym_ATprotocol] = ACTIONS(2756),
    [anon_sym_ATinterface] = ACTIONS(2756),
    [anon_sym_ATimplementation] = ACTIONS(2756),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2756),
    [anon_sym_ATsynthesize] = ACTIONS(2756),
    [anon_sym_ATdynamic] = ACTIONS(2756),
    [anon_sym_ATtry] = ACTIONS(2756),
    [anon_sym___try] = ACTIONS(2754),
    [anon_sym_ATthrow] = ACTIONS(2756),
    [anon_sym_ATselector] = ACTIONS(2756),
    [anon_sym_ATavailable] = ACTIONS(2756),
    [anon_sym___builtin_available] = ACTIONS(2754),
    [anon_sym_va_arg] = ACTIONS(2754),
    [anon_sym_ATencode] = ACTIONS(2756),
    [anon_sym_ATsynchronized] = ACTIONS(2756),
    [anon_sym_BOOL] = ACTIONS(2754),
    [anon_sym_IMP] = ACTIONS(2754),
    [anon_sym_SEL] = ACTIONS(2754),
    [anon_sym_Class] = ACTIONS(2754),
    [anon_sym_id] = ACTIONS(2754),
  },
  [333] = {
    [sym_identifier] = ACTIONS(2758),
    [aux_sym_preproc_include_token1] = ACTIONS(2758),
    [aux_sym_preproc_include_token2] = ACTIONS(2758),
    [aux_sym_preproc_def_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token2] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2758),
    [aux_sym_preproc_else_token1] = ACTIONS(2758),
    [aux_sym_preproc_elif_token1] = ACTIONS(2758),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2758),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2758),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(2760),
    [anon_sym_BANG] = ACTIONS(2760),
    [anon_sym_TILDE] = ACTIONS(2760),
    [anon_sym_DASH] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2758),
    [anon_sym_STAR] = ACTIONS(2760),
    [anon_sym_CARET] = ACTIONS(2760),
    [anon_sym_AMP] = ACTIONS(2760),
    [anon_sym_SEMI] = ACTIONS(2760),
    [anon_sym___extension__] = ACTIONS(2758),
    [anon_sym_typedef] = ACTIONS(2758),
    [anon_sym_extern] = ACTIONS(2758),
    [anon_sym___attribute__] = ACTIONS(2758),
    [anon_sym___attribute] = ACTIONS(2758),
    [anon_sym_noreturn] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(2760),
    [anon_sym___declspec] = ACTIONS(2758),
    [anon_sym___cdecl] = ACTIONS(2758),
    [anon_sym___clrcall] = ACTIONS(2758),
    [anon_sym___stdcall] = ACTIONS(2758),
    [anon_sym___fastcall] = ACTIONS(2758),
    [anon_sym___thiscall] = ACTIONS(2758),
    [anon_sym___vectorcall] = ACTIONS(2758),
    [anon_sym_LBRACE] = ACTIONS(2760),
    [anon_sym_signed] = ACTIONS(2758),
    [anon_sym_unsigned] = ACTIONS(2758),
    [anon_sym_long] = ACTIONS(2758),
    [anon_sym_short] = ACTIONS(2758),
    [anon_sym_static] = ACTIONS(2758),
    [anon_sym_ATautoreleasepool] = ACTIONS(2760),
    [anon_sym_auto] = ACTIONS(2758),
    [anon_sym_register] = ACTIONS(2758),
    [anon_sym_inline] = ACTIONS(2758),
    [anon_sym___inline] = ACTIONS(2758),
    [anon_sym___inline__] = ACTIONS(2758),
    [anon_sym___forceinline] = ACTIONS(2758),
    [anon_sym_thread_local] = ACTIONS(2758),
    [anon_sym___thread] = ACTIONS(2758),
    [anon_sym_CG_EXTERN] = ACTIONS(2758),
    [anon_sym_CG_INLINE] = ACTIONS(2758),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2758),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2758),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2758),
    [anon_sym_IBOutlet] = ACTIONS(2758),
    [anon_sym_IBInspectable] = ACTIONS(2758),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2758),
    [anon_sym_NS_INLINE] = ACTIONS(2758),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2758),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2758),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2758),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2758),
    [anon_sym_const] = ACTIONS(2758),
    [anon_sym_constexpr] = ACTIONS(2758),
    [anon_sym_volatile] = ACTIONS(2758),
    [anon_sym_restrict] = ACTIONS(2758),
    [anon_sym___restrict__] = ACTIONS(2758),
    [anon_sym__Atomic] = ACTIONS(2758),
    [anon_sym__Noreturn] = ACTIONS(2758),
    [anon_sym__Nonnull] = ACTIONS(2758),
    [anon_sym_nullable] = ACTIONS(2758),
    [anon_sym__Complex] = ACTIONS(2758),
    [anon_sym__Nullable] = ACTIONS(2758),
    [anon_sym__Nullable_result] = ACTIONS(2758),
    [anon_sym__Null_unspecified] = ACTIONS(2758),
    [anon_sym___autoreleasing] = ACTIONS(2758),
    [anon_sym___block] = ACTIONS(2758),
    [anon_sym___bridge] = ACTIONS(2758),
    [anon_sym___bridge_retained] = ACTIONS(2758),
    [anon_sym___bridge_transfer] = ACTIONS(2758),
    [anon_sym___complex] = ACTIONS(2758),
    [anon_sym___const] = ACTIONS(2758),
    [anon_sym___imag] = ACTIONS(2758),
    [anon_sym___kindof] = ACTIONS(2758),
    [anon_sym___nonnull] = ACTIONS(2758),
    [anon_sym___nullable] = ACTIONS(2758),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2758),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2758),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2758),
    [anon_sym___real] = ACTIONS(2758),
    [anon_sym___strong] = ACTIONS(2758),
    [anon_sym___unsafe_unretained] = ACTIONS(2758),
    [anon_sym___unused] = ACTIONS(2758),
    [anon_sym___weak] = ACTIONS(2758),
    [anon_sym_alignas] = ACTIONS(2758),
    [anon_sym__Alignas] = ACTIONS(2758),
    [sym_primitive_type] = ACTIONS(2758),
    [anon_sym_enum] = ACTIONS(2758),
    [anon_sym_struct] = ACTIONS(2758),
    [anon_sym_union] = ACTIONS(2758),
    [anon_sym_if] = ACTIONS(2758),
    [anon_sym_switch] = ACTIONS(2758),
    [anon_sym_case] = ACTIONS(2758),
    [anon_sym_default] = ACTIONS(2758),
    [anon_sym_while] = ACTIONS(2758),
    [anon_sym_do] = ACTIONS(2758),
    [anon_sym_for] = ACTIONS(2758),
    [anon_sym_in] = ACTIONS(2758),
    [anon_sym_return] = ACTIONS(2758),
    [anon_sym_break] = ACTIONS(2758),
    [anon_sym_continue] = ACTIONS(2758),
    [anon_sym_goto] = ACTIONS(2758),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(2758),
    [anon_sym___alignof__] = ACTIONS(2758),
    [anon_sym___alignof] = ACTIONS(2758),
    [anon_sym__alignof] = ACTIONS(2758),
    [anon_sym_alignof] = ACTIONS(2758),
    [anon_sym__Alignof] = ACTIONS(2758),
    [anon_sym_offsetof] = ACTIONS(2758),
    [anon_sym__Generic] = ACTIONS(2758),
    [anon_sym_asm] = ACTIONS(2758),
    [anon_sym___asm__] = ACTIONS(2758),
    [anon_sym___asm] = ACTIONS(2758),
    [sym_number_literal] = ACTIONS(2760),
    [anon_sym_L_SQUOTE] = ACTIONS(2760),
    [anon_sym_u_SQUOTE] = ACTIONS(2760),
    [anon_sym_U_SQUOTE] = ACTIONS(2760),
    [anon_sym_u8_SQUOTE] = ACTIONS(2760),
    [anon_sym_SQUOTE] = ACTIONS(2760),
    [anon_sym_AT] = ACTIONS(2758),
    [anon_sym_DQUOTE] = ACTIONS(2760),
    [anon_sym_L_DQUOTE] = ACTIONS(2760),
    [anon_sym_u_DQUOTE] = ACTIONS(2760),
    [anon_sym_U_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8_DQUOTE] = ACTIONS(2760),
    [sym_true] = ACTIONS(2758),
    [sym_false] = ACTIONS(2758),
    [anon_sym_NULL] = ACTIONS(2758),
    [anon_sym_nullptr] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2758),
    [anon_sym___typeof] = ACTIONS(2758),
    [anon_sym_typeof] = ACTIONS(2758),
    [anon_sym_ATimport] = ACTIONS(2760),
    [aux_sym_preproc_undef_token1] = ACTIONS(2758),
    [anon_sym_POUND] = ACTIONS(2758),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2758),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2758),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2758),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2758),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2758),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2758),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2758),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2758),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2758),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2758),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2758),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2758),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2758),
    [anon_sym_API_AVAILABLE] = ACTIONS(2758),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2758),
    [anon_sym_API_DEPRECATED] = ACTIONS(2758),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2758),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2758),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2758),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2758),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2758),
    [anon_sym___deprecated_msg] = ACTIONS(2758),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2758),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2758),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2758),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2758),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2758),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2758),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2758),
    [anon_sym_ATprotocol] = ACTIONS(2760),
    [anon_sym_ATinterface] = ACTIONS(2760),
    [anon_sym_ATimplementation] = ACTIONS(2760),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2760),
    [anon_sym_ATsynthesize] = ACTIONS(2760),
    [anon_sym_ATdynamic] = ACTIONS(2760),
    [anon_sym_ATtry] = ACTIONS(2760),
    [anon_sym___try] = ACTIONS(2758),
    [anon_sym_ATthrow] = ACTIONS(2760),
    [anon_sym_ATselector] = ACTIONS(2760),
    [anon_sym_ATavailable] = ACTIONS(2760),
    [anon_sym___builtin_available] = ACTIONS(2758),
    [anon_sym_va_arg] = ACTIONS(2758),
    [anon_sym_ATencode] = ACTIONS(2760),
    [anon_sym_ATsynchronized] = ACTIONS(2760),
    [anon_sym_BOOL] = ACTIONS(2758),
    [anon_sym_IMP] = ACTIONS(2758),
    [anon_sym_SEL] = ACTIONS(2758),
    [anon_sym_Class] = ACTIONS(2758),
    [anon_sym_id] = ACTIONS(2758),
  },
  [334] = {
    [sym_identifier] = ACTIONS(2762),
    [aux_sym_preproc_include_token1] = ACTIONS(2762),
    [aux_sym_preproc_include_token2] = ACTIONS(2762),
    [aux_sym_preproc_def_token1] = ACTIONS(2762),
    [aux_sym_preproc_if_token1] = ACTIONS(2762),
    [aux_sym_preproc_if_token2] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2762),
    [aux_sym_preproc_else_token1] = ACTIONS(2762),
    [aux_sym_preproc_elif_token1] = ACTIONS(2762),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2762),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2762),
    [sym_preproc_directive] = ACTIONS(2762),
    [anon_sym_LPAREN2] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(2764),
    [anon_sym_TILDE] = ACTIONS(2764),
    [anon_sym_DASH] = ACTIONS(2762),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_STAR] = ACTIONS(2764),
    [anon_sym_CARET] = ACTIONS(2764),
    [anon_sym_AMP] = ACTIONS(2764),
    [anon_sym_SEMI] = ACTIONS(2764),
    [anon_sym___extension__] = ACTIONS(2762),
    [anon_sym_typedef] = ACTIONS(2762),
    [anon_sym_extern] = ACTIONS(2762),
    [anon_sym___attribute__] = ACTIONS(2762),
    [anon_sym___attribute] = ACTIONS(2762),
    [anon_sym_noreturn] = ACTIONS(2762),
    [anon_sym_LBRACK] = ACTIONS(2764),
    [anon_sym___declspec] = ACTIONS(2762),
    [anon_sym___cdecl] = ACTIONS(2762),
    [anon_sym___clrcall] = ACTIONS(2762),
    [anon_sym___stdcall] = ACTIONS(2762),
    [anon_sym___fastcall] = ACTIONS(2762),
    [anon_sym___thiscall] = ACTIONS(2762),
    [anon_sym___vectorcall] = ACTIONS(2762),
    [anon_sym_LBRACE] = ACTIONS(2764),
    [anon_sym_signed] = ACTIONS(2762),
    [anon_sym_unsigned] = ACTIONS(2762),
    [anon_sym_long] = ACTIONS(2762),
    [anon_sym_short] = ACTIONS(2762),
    [anon_sym_static] = ACTIONS(2762),
    [anon_sym_ATautoreleasepool] = ACTIONS(2764),
    [anon_sym_auto] = ACTIONS(2762),
    [anon_sym_register] = ACTIONS(2762),
    [anon_sym_inline] = ACTIONS(2762),
    [anon_sym___inline] = ACTIONS(2762),
    [anon_sym___inline__] = ACTIONS(2762),
    [anon_sym___forceinline] = ACTIONS(2762),
    [anon_sym_thread_local] = ACTIONS(2762),
    [anon_sym___thread] = ACTIONS(2762),
    [anon_sym_CG_EXTERN] = ACTIONS(2762),
    [anon_sym_CG_INLINE] = ACTIONS(2762),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2762),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2762),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2762),
    [anon_sym_IBOutlet] = ACTIONS(2762),
    [anon_sym_IBInspectable] = ACTIONS(2762),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2762),
    [anon_sym_NS_INLINE] = ACTIONS(2762),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2762),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2762),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2762),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2762),
    [anon_sym_constexpr] = ACTIONS(2762),
    [anon_sym_volatile] = ACTIONS(2762),
    [anon_sym_restrict] = ACTIONS(2762),
    [anon_sym___restrict__] = ACTIONS(2762),
    [anon_sym__Atomic] = ACTIONS(2762),
    [anon_sym__Noreturn] = ACTIONS(2762),
    [anon_sym__Nonnull] = ACTIONS(2762),
    [anon_sym_nullable] = ACTIONS(2762),
    [anon_sym__Complex] = ACTIONS(2762),
    [anon_sym__Nullable] = ACTIONS(2762),
    [anon_sym__Nullable_result] = ACTIONS(2762),
    [anon_sym__Null_unspecified] = ACTIONS(2762),
    [anon_sym___autoreleasing] = ACTIONS(2762),
    [anon_sym___block] = ACTIONS(2762),
    [anon_sym___bridge] = ACTIONS(2762),
    [anon_sym___bridge_retained] = ACTIONS(2762),
    [anon_sym___bridge_transfer] = ACTIONS(2762),
    [anon_sym___complex] = ACTIONS(2762),
    [anon_sym___const] = ACTIONS(2762),
    [anon_sym___imag] = ACTIONS(2762),
    [anon_sym___kindof] = ACTIONS(2762),
    [anon_sym___nonnull] = ACTIONS(2762),
    [anon_sym___nullable] = ACTIONS(2762),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2762),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2762),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2762),
    [anon_sym___real] = ACTIONS(2762),
    [anon_sym___strong] = ACTIONS(2762),
    [anon_sym___unsafe_unretained] = ACTIONS(2762),
    [anon_sym___unused] = ACTIONS(2762),
    [anon_sym___weak] = ACTIONS(2762),
    [anon_sym_alignas] = ACTIONS(2762),
    [anon_sym__Alignas] = ACTIONS(2762),
    [sym_primitive_type] = ACTIONS(2762),
    [anon_sym_enum] = ACTIONS(2762),
    [anon_sym_struct] = ACTIONS(2762),
    [anon_sym_union] = ACTIONS(2762),
    [anon_sym_if] = ACTIONS(2762),
    [anon_sym_switch] = ACTIONS(2762),
    [anon_sym_case] = ACTIONS(2762),
    [anon_sym_default] = ACTIONS(2762),
    [anon_sym_while] = ACTIONS(2762),
    [anon_sym_do] = ACTIONS(2762),
    [anon_sym_for] = ACTIONS(2762),
    [anon_sym_in] = ACTIONS(2762),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_break] = ACTIONS(2762),
    [anon_sym_continue] = ACTIONS(2762),
    [anon_sym_goto] = ACTIONS(2762),
    [anon_sym_DASH_DASH] = ACTIONS(2764),
    [anon_sym_PLUS_PLUS] = ACTIONS(2764),
    [anon_sym_sizeof] = ACTIONS(2762),
    [anon_sym___alignof__] = ACTIONS(2762),
    [anon_sym___alignof] = ACTIONS(2762),
    [anon_sym__alignof] = ACTIONS(2762),
    [anon_sym_alignof] = ACTIONS(2762),
    [anon_sym__Alignof] = ACTIONS(2762),
    [anon_sym_offsetof] = ACTIONS(2762),
    [anon_sym__Generic] = ACTIONS(2762),
    [anon_sym_asm] = ACTIONS(2762),
    [anon_sym___asm__] = ACTIONS(2762),
    [anon_sym___asm] = ACTIONS(2762),
    [sym_number_literal] = ACTIONS(2764),
    [anon_sym_L_SQUOTE] = ACTIONS(2764),
    [anon_sym_u_SQUOTE] = ACTIONS(2764),
    [anon_sym_U_SQUOTE] = ACTIONS(2764),
    [anon_sym_u8_SQUOTE] = ACTIONS(2764),
    [anon_sym_SQUOTE] = ACTIONS(2764),
    [anon_sym_AT] = ACTIONS(2762),
    [anon_sym_DQUOTE] = ACTIONS(2764),
    [anon_sym_L_DQUOTE] = ACTIONS(2764),
    [anon_sym_u_DQUOTE] = ACTIONS(2764),
    [anon_sym_U_DQUOTE] = ACTIONS(2764),
    [anon_sym_u8_DQUOTE] = ACTIONS(2764),
    [sym_true] = ACTIONS(2762),
    [sym_false] = ACTIONS(2762),
    [anon_sym_NULL] = ACTIONS(2762),
    [anon_sym_nullptr] = ACTIONS(2762),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2762),
    [anon_sym___typeof] = ACTIONS(2762),
    [anon_sym_typeof] = ACTIONS(2762),
    [anon_sym_ATimport] = ACTIONS(2764),
    [aux_sym_preproc_undef_token1] = ACTIONS(2762),
    [anon_sym_POUND] = ACTIONS(2762),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2762),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2762),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2762),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2762),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2762),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2762),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2762),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2762),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2762),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2762),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2762),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2762),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2762),
    [anon_sym_API_AVAILABLE] = ACTIONS(2762),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2762),
    [anon_sym_API_DEPRECATED] = ACTIONS(2762),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2762),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2762),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2762),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2762),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2762),
    [anon_sym___deprecated_msg] = ACTIONS(2762),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2762),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2762),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2762),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2762),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2762),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2762),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2762),
    [anon_sym_ATprotocol] = ACTIONS(2764),
    [anon_sym_ATinterface] = ACTIONS(2764),
    [anon_sym_ATimplementation] = ACTIONS(2764),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2764),
    [anon_sym_ATsynthesize] = ACTIONS(2764),
    [anon_sym_ATdynamic] = ACTIONS(2764),
    [anon_sym_ATtry] = ACTIONS(2764),
    [anon_sym___try] = ACTIONS(2762),
    [anon_sym_ATthrow] = ACTIONS(2764),
    [anon_sym_ATselector] = ACTIONS(2764),
    [anon_sym_ATavailable] = ACTIONS(2764),
    [anon_sym___builtin_available] = ACTIONS(2762),
    [anon_sym_va_arg] = ACTIONS(2762),
    [anon_sym_ATencode] = ACTIONS(2764),
    [anon_sym_ATsynchronized] = ACTIONS(2764),
    [anon_sym_BOOL] = ACTIONS(2762),
    [anon_sym_IMP] = ACTIONS(2762),
    [anon_sym_SEL] = ACTIONS(2762),
    [anon_sym_Class] = ACTIONS(2762),
    [anon_sym_id] = ACTIONS(2762),
  },
  [335] = {
    [sym_identifier] = ACTIONS(2766),
    [aux_sym_preproc_include_token1] = ACTIONS(2766),
    [aux_sym_preproc_include_token2] = ACTIONS(2766),
    [aux_sym_preproc_def_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token2] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2766),
    [aux_sym_preproc_else_token1] = ACTIONS(2766),
    [aux_sym_preproc_elif_token1] = ACTIONS(2766),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2766),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2766),
    [sym_preproc_directive] = ACTIONS(2766),
    [anon_sym_LPAREN2] = ACTIONS(2768),
    [anon_sym_BANG] = ACTIONS(2768),
    [anon_sym_TILDE] = ACTIONS(2768),
    [anon_sym_DASH] = ACTIONS(2766),
    [anon_sym_PLUS] = ACTIONS(2766),
    [anon_sym_STAR] = ACTIONS(2768),
    [anon_sym_CARET] = ACTIONS(2768),
    [anon_sym_AMP] = ACTIONS(2768),
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym___extension__] = ACTIONS(2766),
    [anon_sym_typedef] = ACTIONS(2766),
    [anon_sym_extern] = ACTIONS(2766),
    [anon_sym___attribute__] = ACTIONS(2766),
    [anon_sym___attribute] = ACTIONS(2766),
    [anon_sym_noreturn] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2768),
    [anon_sym___declspec] = ACTIONS(2766),
    [anon_sym___cdecl] = ACTIONS(2766),
    [anon_sym___clrcall] = ACTIONS(2766),
    [anon_sym___stdcall] = ACTIONS(2766),
    [anon_sym___fastcall] = ACTIONS(2766),
    [anon_sym___thiscall] = ACTIONS(2766),
    [anon_sym___vectorcall] = ACTIONS(2766),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_signed] = ACTIONS(2766),
    [anon_sym_unsigned] = ACTIONS(2766),
    [anon_sym_long] = ACTIONS(2766),
    [anon_sym_short] = ACTIONS(2766),
    [anon_sym_static] = ACTIONS(2766),
    [anon_sym_ATautoreleasepool] = ACTIONS(2768),
    [anon_sym_auto] = ACTIONS(2766),
    [anon_sym_register] = ACTIONS(2766),
    [anon_sym_inline] = ACTIONS(2766),
    [anon_sym___inline] = ACTIONS(2766),
    [anon_sym___inline__] = ACTIONS(2766),
    [anon_sym___forceinline] = ACTIONS(2766),
    [anon_sym_thread_local] = ACTIONS(2766),
    [anon_sym___thread] = ACTIONS(2766),
    [anon_sym_CG_EXTERN] = ACTIONS(2766),
    [anon_sym_CG_INLINE] = ACTIONS(2766),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2766),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2766),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2766),
    [anon_sym_IBOutlet] = ACTIONS(2766),
    [anon_sym_IBInspectable] = ACTIONS(2766),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2766),
    [anon_sym_NS_INLINE] = ACTIONS(2766),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2766),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2766),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2766),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2766),
    [anon_sym_const] = ACTIONS(2766),
    [anon_sym_constexpr] = ACTIONS(2766),
    [anon_sym_volatile] = ACTIONS(2766),
    [anon_sym_restrict] = ACTIONS(2766),
    [anon_sym___restrict__] = ACTIONS(2766),
    [anon_sym__Atomic] = ACTIONS(2766),
    [anon_sym__Noreturn] = ACTIONS(2766),
    [anon_sym__Nonnull] = ACTIONS(2766),
    [anon_sym_nullable] = ACTIONS(2766),
    [anon_sym__Complex] = ACTIONS(2766),
    [anon_sym__Nullable] = ACTIONS(2766),
    [anon_sym__Nullable_result] = ACTIONS(2766),
    [anon_sym__Null_unspecified] = ACTIONS(2766),
    [anon_sym___autoreleasing] = ACTIONS(2766),
    [anon_sym___block] = ACTIONS(2766),
    [anon_sym___bridge] = ACTIONS(2766),
    [anon_sym___bridge_retained] = ACTIONS(2766),
    [anon_sym___bridge_transfer] = ACTIONS(2766),
    [anon_sym___complex] = ACTIONS(2766),
    [anon_sym___const] = ACTIONS(2766),
    [anon_sym___imag] = ACTIONS(2766),
    [anon_sym___kindof] = ACTIONS(2766),
    [anon_sym___nonnull] = ACTIONS(2766),
    [anon_sym___nullable] = ACTIONS(2766),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2766),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2766),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2766),
    [anon_sym___real] = ACTIONS(2766),
    [anon_sym___strong] = ACTIONS(2766),
    [anon_sym___unsafe_unretained] = ACTIONS(2766),
    [anon_sym___unused] = ACTIONS(2766),
    [anon_sym___weak] = ACTIONS(2766),
    [anon_sym_alignas] = ACTIONS(2766),
    [anon_sym__Alignas] = ACTIONS(2766),
    [sym_primitive_type] = ACTIONS(2766),
    [anon_sym_enum] = ACTIONS(2766),
    [anon_sym_struct] = ACTIONS(2766),
    [anon_sym_union] = ACTIONS(2766),
    [anon_sym_if] = ACTIONS(2766),
    [anon_sym_switch] = ACTIONS(2766),
    [anon_sym_case] = ACTIONS(2766),
    [anon_sym_default] = ACTIONS(2766),
    [anon_sym_while] = ACTIONS(2766),
    [anon_sym_do] = ACTIONS(2766),
    [anon_sym_for] = ACTIONS(2766),
    [anon_sym_in] = ACTIONS(2766),
    [anon_sym_return] = ACTIONS(2766),
    [anon_sym_break] = ACTIONS(2766),
    [anon_sym_continue] = ACTIONS(2766),
    [anon_sym_goto] = ACTIONS(2766),
    [anon_sym_DASH_DASH] = ACTIONS(2768),
    [anon_sym_PLUS_PLUS] = ACTIONS(2768),
    [anon_sym_sizeof] = ACTIONS(2766),
    [anon_sym___alignof__] = ACTIONS(2766),
    [anon_sym___alignof] = ACTIONS(2766),
    [anon_sym__alignof] = ACTIONS(2766),
    [anon_sym_alignof] = ACTIONS(2766),
    [anon_sym__Alignof] = ACTIONS(2766),
    [anon_sym_offsetof] = ACTIONS(2766),
    [anon_sym__Generic] = ACTIONS(2766),
    [anon_sym_asm] = ACTIONS(2766),
    [anon_sym___asm__] = ACTIONS(2766),
    [anon_sym___asm] = ACTIONS(2766),
    [sym_number_literal] = ACTIONS(2768),
    [anon_sym_L_SQUOTE] = ACTIONS(2768),
    [anon_sym_u_SQUOTE] = ACTIONS(2768),
    [anon_sym_U_SQUOTE] = ACTIONS(2768),
    [anon_sym_u8_SQUOTE] = ACTIONS(2768),
    [anon_sym_SQUOTE] = ACTIONS(2768),
    [anon_sym_AT] = ACTIONS(2766),
    [anon_sym_DQUOTE] = ACTIONS(2768),
    [anon_sym_L_DQUOTE] = ACTIONS(2768),
    [anon_sym_u_DQUOTE] = ACTIONS(2768),
    [anon_sym_U_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8_DQUOTE] = ACTIONS(2768),
    [sym_true] = ACTIONS(2766),
    [sym_false] = ACTIONS(2766),
    [anon_sym_NULL] = ACTIONS(2766),
    [anon_sym_nullptr] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2766),
    [anon_sym___typeof] = ACTIONS(2766),
    [anon_sym_typeof] = ACTIONS(2766),
    [anon_sym_ATimport] = ACTIONS(2768),
    [aux_sym_preproc_undef_token1] = ACTIONS(2766),
    [anon_sym_POUND] = ACTIONS(2766),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2766),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2766),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2766),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2766),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2766),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2766),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2766),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2766),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2766),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2766),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2766),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2766),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2766),
    [anon_sym_API_AVAILABLE] = ACTIONS(2766),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2766),
    [anon_sym_API_DEPRECATED] = ACTIONS(2766),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2766),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2766),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2766),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2766),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2766),
    [anon_sym___deprecated_msg] = ACTIONS(2766),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2766),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2766),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2766),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2766),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2766),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2766),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2766),
    [anon_sym_ATprotocol] = ACTIONS(2768),
    [anon_sym_ATinterface] = ACTIONS(2768),
    [anon_sym_ATimplementation] = ACTIONS(2768),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2768),
    [anon_sym_ATsynthesize] = ACTIONS(2768),
    [anon_sym_ATdynamic] = ACTIONS(2768),
    [anon_sym_ATtry] = ACTIONS(2768),
    [anon_sym___try] = ACTIONS(2766),
    [anon_sym_ATthrow] = ACTIONS(2768),
    [anon_sym_ATselector] = ACTIONS(2768),
    [anon_sym_ATavailable] = ACTIONS(2768),
    [anon_sym___builtin_available] = ACTIONS(2766),
    [anon_sym_va_arg] = ACTIONS(2766),
    [anon_sym_ATencode] = ACTIONS(2768),
    [anon_sym_ATsynchronized] = ACTIONS(2768),
    [anon_sym_BOOL] = ACTIONS(2766),
    [anon_sym_IMP] = ACTIONS(2766),
    [anon_sym_SEL] = ACTIONS(2766),
    [anon_sym_Class] = ACTIONS(2766),
    [anon_sym_id] = ACTIONS(2766),
  },
  [336] = {
    [sym_identifier] = ACTIONS(2770),
    [aux_sym_preproc_include_token1] = ACTIONS(2770),
    [aux_sym_preproc_include_token2] = ACTIONS(2770),
    [aux_sym_preproc_def_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token2] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2770),
    [aux_sym_preproc_else_token1] = ACTIONS(2770),
    [aux_sym_preproc_elif_token1] = ACTIONS(2770),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2770),
    [sym_preproc_directive] = ACTIONS(2770),
    [anon_sym_LPAREN2] = ACTIONS(2772),
    [anon_sym_BANG] = ACTIONS(2772),
    [anon_sym_TILDE] = ACTIONS(2772),
    [anon_sym_DASH] = ACTIONS(2770),
    [anon_sym_PLUS] = ACTIONS(2770),
    [anon_sym_STAR] = ACTIONS(2772),
    [anon_sym_CARET] = ACTIONS(2772),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_SEMI] = ACTIONS(2772),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym_typedef] = ACTIONS(2770),
    [anon_sym_extern] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym___attribute] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2772),
    [anon_sym___declspec] = ACTIONS(2770),
    [anon_sym___cdecl] = ACTIONS(2770),
    [anon_sym___clrcall] = ACTIONS(2770),
    [anon_sym___stdcall] = ACTIONS(2770),
    [anon_sym___fastcall] = ACTIONS(2770),
    [anon_sym___thiscall] = ACTIONS(2770),
    [anon_sym___vectorcall] = ACTIONS(2770),
    [anon_sym_LBRACE] = ACTIONS(2772),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_ATautoreleasepool] = ACTIONS(2772),
    [anon_sym_auto] = ACTIONS(2770),
    [anon_sym_register] = ACTIONS(2770),
    [anon_sym_inline] = ACTIONS(2770),
    [anon_sym___inline] = ACTIONS(2770),
    [anon_sym___inline__] = ACTIONS(2770),
    [anon_sym___forceinline] = ACTIONS(2770),
    [anon_sym_thread_local] = ACTIONS(2770),
    [anon_sym___thread] = ACTIONS(2770),
    [anon_sym_CG_EXTERN] = ACTIONS(2770),
    [anon_sym_CG_INLINE] = ACTIONS(2770),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2770),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2770),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2770),
    [anon_sym_IBOutlet] = ACTIONS(2770),
    [anon_sym_IBInspectable] = ACTIONS(2770),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2770),
    [anon_sym_NS_INLINE] = ACTIONS(2770),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2770),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2770),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2770),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym__Nonnull] = ACTIONS(2770),
    [anon_sym_nullable] = ACTIONS(2770),
    [anon_sym__Complex] = ACTIONS(2770),
    [anon_sym__Nullable] = ACTIONS(2770),
    [anon_sym__Nullable_result] = ACTIONS(2770),
    [anon_sym__Null_unspecified] = ACTIONS(2770),
    [anon_sym___autoreleasing] = ACTIONS(2770),
    [anon_sym___block] = ACTIONS(2770),
    [anon_sym___bridge] = ACTIONS(2770),
    [anon_sym___bridge_retained] = ACTIONS(2770),
    [anon_sym___bridge_transfer] = ACTIONS(2770),
    [anon_sym___complex] = ACTIONS(2770),
    [anon_sym___const] = ACTIONS(2770),
    [anon_sym___imag] = ACTIONS(2770),
    [anon_sym___kindof] = ACTIONS(2770),
    [anon_sym___nonnull] = ACTIONS(2770),
    [anon_sym___nullable] = ACTIONS(2770),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2770),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2770),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2770),
    [anon_sym___real] = ACTIONS(2770),
    [anon_sym___strong] = ACTIONS(2770),
    [anon_sym___unsafe_unretained] = ACTIONS(2770),
    [anon_sym___unused] = ACTIONS(2770),
    [anon_sym___weak] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym__Alignas] = ACTIONS(2770),
    [sym_primitive_type] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [anon_sym_if] = ACTIONS(2770),
    [anon_sym_switch] = ACTIONS(2770),
    [anon_sym_case] = ACTIONS(2770),
    [anon_sym_default] = ACTIONS(2770),
    [anon_sym_while] = ACTIONS(2770),
    [anon_sym_do] = ACTIONS(2770),
    [anon_sym_for] = ACTIONS(2770),
    [anon_sym_in] = ACTIONS(2770),
    [anon_sym_return] = ACTIONS(2770),
    [anon_sym_break] = ACTIONS(2770),
    [anon_sym_continue] = ACTIONS(2770),
    [anon_sym_goto] = ACTIONS(2770),
    [anon_sym_DASH_DASH] = ACTIONS(2772),
    [anon_sym_PLUS_PLUS] = ACTIONS(2772),
    [anon_sym_sizeof] = ACTIONS(2770),
    [anon_sym___alignof__] = ACTIONS(2770),
    [anon_sym___alignof] = ACTIONS(2770),
    [anon_sym__alignof] = ACTIONS(2770),
    [anon_sym_alignof] = ACTIONS(2770),
    [anon_sym__Alignof] = ACTIONS(2770),
    [anon_sym_offsetof] = ACTIONS(2770),
    [anon_sym__Generic] = ACTIONS(2770),
    [anon_sym_asm] = ACTIONS(2770),
    [anon_sym___asm__] = ACTIONS(2770),
    [anon_sym___asm] = ACTIONS(2770),
    [sym_number_literal] = ACTIONS(2772),
    [anon_sym_L_SQUOTE] = ACTIONS(2772),
    [anon_sym_u_SQUOTE] = ACTIONS(2772),
    [anon_sym_U_SQUOTE] = ACTIONS(2772),
    [anon_sym_u8_SQUOTE] = ACTIONS(2772),
    [anon_sym_SQUOTE] = ACTIONS(2772),
    [anon_sym_AT] = ACTIONS(2770),
    [anon_sym_DQUOTE] = ACTIONS(2772),
    [anon_sym_L_DQUOTE] = ACTIONS(2772),
    [anon_sym_u_DQUOTE] = ACTIONS(2772),
    [anon_sym_U_DQUOTE] = ACTIONS(2772),
    [anon_sym_u8_DQUOTE] = ACTIONS(2772),
    [sym_true] = ACTIONS(2770),
    [sym_false] = ACTIONS(2770),
    [anon_sym_NULL] = ACTIONS(2770),
    [anon_sym_nullptr] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2770),
    [anon_sym___typeof] = ACTIONS(2770),
    [anon_sym_typeof] = ACTIONS(2770),
    [anon_sym_ATimport] = ACTIONS(2772),
    [aux_sym_preproc_undef_token1] = ACTIONS(2770),
    [anon_sym_POUND] = ACTIONS(2770),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2770),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2770),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2770),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2770),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2770),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2770),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2770),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2770),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2770),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_API_AVAILABLE] = ACTIONS(2770),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_API_DEPRECATED] = ACTIONS(2770),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2770),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2770),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2770),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2770),
    [anon_sym___deprecated_msg] = ACTIONS(2770),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2770),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2770),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2770),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2770),
    [anon_sym_ATprotocol] = ACTIONS(2772),
    [anon_sym_ATinterface] = ACTIONS(2772),
    [anon_sym_ATimplementation] = ACTIONS(2772),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2772),
    [anon_sym_ATsynthesize] = ACTIONS(2772),
    [anon_sym_ATdynamic] = ACTIONS(2772),
    [anon_sym_ATtry] = ACTIONS(2772),
    [anon_sym___try] = ACTIONS(2770),
    [anon_sym_ATthrow] = ACTIONS(2772),
    [anon_sym_ATselector] = ACTIONS(2772),
    [anon_sym_ATavailable] = ACTIONS(2772),
    [anon_sym___builtin_available] = ACTIONS(2770),
    [anon_sym_va_arg] = ACTIONS(2770),
    [anon_sym_ATencode] = ACTIONS(2772),
    [anon_sym_ATsynchronized] = ACTIONS(2772),
    [anon_sym_BOOL] = ACTIONS(2770),
    [anon_sym_IMP] = ACTIONS(2770),
    [anon_sym_SEL] = ACTIONS(2770),
    [anon_sym_Class] = ACTIONS(2770),
    [anon_sym_id] = ACTIONS(2770),
  },
  [337] = {
    [sym_identifier] = ACTIONS(2774),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_include_token2] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token2] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2774),
    [aux_sym_preproc_else_token1] = ACTIONS(2774),
    [aux_sym_preproc_elif_token1] = ACTIONS(2774),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2774),
    [sym_preproc_directive] = ACTIONS(2774),
    [anon_sym_LPAREN2] = ACTIONS(2776),
    [anon_sym_BANG] = ACTIONS(2776),
    [anon_sym_TILDE] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2774),
    [anon_sym_PLUS] = ACTIONS(2774),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_CARET] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2776),
    [anon_sym_SEMI] = ACTIONS(2776),
    [anon_sym___extension__] = ACTIONS(2774),
    [anon_sym_typedef] = ACTIONS(2774),
    [anon_sym_extern] = ACTIONS(2774),
    [anon_sym___attribute__] = ACTIONS(2774),
    [anon_sym___attribute] = ACTIONS(2774),
    [anon_sym_noreturn] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2776),
    [anon_sym___declspec] = ACTIONS(2774),
    [anon_sym___cdecl] = ACTIONS(2774),
    [anon_sym___clrcall] = ACTIONS(2774),
    [anon_sym___stdcall] = ACTIONS(2774),
    [anon_sym___fastcall] = ACTIONS(2774),
    [anon_sym___thiscall] = ACTIONS(2774),
    [anon_sym___vectorcall] = ACTIONS(2774),
    [anon_sym_LBRACE] = ACTIONS(2776),
    [anon_sym_signed] = ACTIONS(2774),
    [anon_sym_unsigned] = ACTIONS(2774),
    [anon_sym_long] = ACTIONS(2774),
    [anon_sym_short] = ACTIONS(2774),
    [anon_sym_static] = ACTIONS(2774),
    [anon_sym_ATautoreleasepool] = ACTIONS(2776),
    [anon_sym_auto] = ACTIONS(2774),
    [anon_sym_register] = ACTIONS(2774),
    [anon_sym_inline] = ACTIONS(2774),
    [anon_sym___inline] = ACTIONS(2774),
    [anon_sym___inline__] = ACTIONS(2774),
    [anon_sym___forceinline] = ACTIONS(2774),
    [anon_sym_thread_local] = ACTIONS(2774),
    [anon_sym___thread] = ACTIONS(2774),
    [anon_sym_CG_EXTERN] = ACTIONS(2774),
    [anon_sym_CG_INLINE] = ACTIONS(2774),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2774),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2774),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2774),
    [anon_sym_IBOutlet] = ACTIONS(2774),
    [anon_sym_IBInspectable] = ACTIONS(2774),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2774),
    [anon_sym_NS_INLINE] = ACTIONS(2774),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2774),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2774),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2774),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2774),
    [anon_sym_const] = ACTIONS(2774),
    [anon_sym_constexpr] = ACTIONS(2774),
    [anon_sym_volatile] = ACTIONS(2774),
    [anon_sym_restrict] = ACTIONS(2774),
    [anon_sym___restrict__] = ACTIONS(2774),
    [anon_sym__Atomic] = ACTIONS(2774),
    [anon_sym__Noreturn] = ACTIONS(2774),
    [anon_sym__Nonnull] = ACTIONS(2774),
    [anon_sym_nullable] = ACTIONS(2774),
    [anon_sym__Complex] = ACTIONS(2774),
    [anon_sym__Nullable] = ACTIONS(2774),
    [anon_sym__Nullable_result] = ACTIONS(2774),
    [anon_sym__Null_unspecified] = ACTIONS(2774),
    [anon_sym___autoreleasing] = ACTIONS(2774),
    [anon_sym___block] = ACTIONS(2774),
    [anon_sym___bridge] = ACTIONS(2774),
    [anon_sym___bridge_retained] = ACTIONS(2774),
    [anon_sym___bridge_transfer] = ACTIONS(2774),
    [anon_sym___complex] = ACTIONS(2774),
    [anon_sym___const] = ACTIONS(2774),
    [anon_sym___imag] = ACTIONS(2774),
    [anon_sym___kindof] = ACTIONS(2774),
    [anon_sym___nonnull] = ACTIONS(2774),
    [anon_sym___nullable] = ACTIONS(2774),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2774),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2774),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2774),
    [anon_sym___real] = ACTIONS(2774),
    [anon_sym___strong] = ACTIONS(2774),
    [anon_sym___unsafe_unretained] = ACTIONS(2774),
    [anon_sym___unused] = ACTIONS(2774),
    [anon_sym___weak] = ACTIONS(2774),
    [anon_sym_alignas] = ACTIONS(2774),
    [anon_sym__Alignas] = ACTIONS(2774),
    [sym_primitive_type] = ACTIONS(2774),
    [anon_sym_enum] = ACTIONS(2774),
    [anon_sym_struct] = ACTIONS(2774),
    [anon_sym_union] = ACTIONS(2774),
    [anon_sym_if] = ACTIONS(2774),
    [anon_sym_switch] = ACTIONS(2774),
    [anon_sym_case] = ACTIONS(2774),
    [anon_sym_default] = ACTIONS(2774),
    [anon_sym_while] = ACTIONS(2774),
    [anon_sym_do] = ACTIONS(2774),
    [anon_sym_for] = ACTIONS(2774),
    [anon_sym_in] = ACTIONS(2774),
    [anon_sym_return] = ACTIONS(2774),
    [anon_sym_break] = ACTIONS(2774),
    [anon_sym_continue] = ACTIONS(2774),
    [anon_sym_goto] = ACTIONS(2774),
    [anon_sym_DASH_DASH] = ACTIONS(2776),
    [anon_sym_PLUS_PLUS] = ACTIONS(2776),
    [anon_sym_sizeof] = ACTIONS(2774),
    [anon_sym___alignof__] = ACTIONS(2774),
    [anon_sym___alignof] = ACTIONS(2774),
    [anon_sym__alignof] = ACTIONS(2774),
    [anon_sym_alignof] = ACTIONS(2774),
    [anon_sym__Alignof] = ACTIONS(2774),
    [anon_sym_offsetof] = ACTIONS(2774),
    [anon_sym__Generic] = ACTIONS(2774),
    [anon_sym_asm] = ACTIONS(2774),
    [anon_sym___asm__] = ACTIONS(2774),
    [anon_sym___asm] = ACTIONS(2774),
    [sym_number_literal] = ACTIONS(2776),
    [anon_sym_L_SQUOTE] = ACTIONS(2776),
    [anon_sym_u_SQUOTE] = ACTIONS(2776),
    [anon_sym_U_SQUOTE] = ACTIONS(2776),
    [anon_sym_u8_SQUOTE] = ACTIONS(2776),
    [anon_sym_SQUOTE] = ACTIONS(2776),
    [anon_sym_AT] = ACTIONS(2774),
    [anon_sym_DQUOTE] = ACTIONS(2776),
    [anon_sym_L_DQUOTE] = ACTIONS(2776),
    [anon_sym_u_DQUOTE] = ACTIONS(2776),
    [anon_sym_U_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8_DQUOTE] = ACTIONS(2776),
    [sym_true] = ACTIONS(2774),
    [sym_false] = ACTIONS(2774),
    [anon_sym_NULL] = ACTIONS(2774),
    [anon_sym_nullptr] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2774),
    [anon_sym___typeof] = ACTIONS(2774),
    [anon_sym_typeof] = ACTIONS(2774),
    [anon_sym_ATimport] = ACTIONS(2776),
    [aux_sym_preproc_undef_token1] = ACTIONS(2774),
    [anon_sym_POUND] = ACTIONS(2774),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2774),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2774),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2774),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2774),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2774),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2774),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2774),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2774),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2774),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_API_AVAILABLE] = ACTIONS(2774),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_API_DEPRECATED] = ACTIONS(2774),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2774),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2774),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2774),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2774),
    [anon_sym___deprecated_msg] = ACTIONS(2774),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2774),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2774),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2774),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2774),
    [anon_sym_ATprotocol] = ACTIONS(2776),
    [anon_sym_ATinterface] = ACTIONS(2776),
    [anon_sym_ATimplementation] = ACTIONS(2776),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2776),
    [anon_sym_ATsynthesize] = ACTIONS(2776),
    [anon_sym_ATdynamic] = ACTIONS(2776),
    [anon_sym_ATtry] = ACTIONS(2776),
    [anon_sym___try] = ACTIONS(2774),
    [anon_sym_ATthrow] = ACTIONS(2776),
    [anon_sym_ATselector] = ACTIONS(2776),
    [anon_sym_ATavailable] = ACTIONS(2776),
    [anon_sym___builtin_available] = ACTIONS(2774),
    [anon_sym_va_arg] = ACTIONS(2774),
    [anon_sym_ATencode] = ACTIONS(2776),
    [anon_sym_ATsynchronized] = ACTIONS(2776),
    [anon_sym_BOOL] = ACTIONS(2774),
    [anon_sym_IMP] = ACTIONS(2774),
    [anon_sym_SEL] = ACTIONS(2774),
    [anon_sym_Class] = ACTIONS(2774),
    [anon_sym_id] = ACTIONS(2774),
  },
  [338] = {
    [sym_identifier] = ACTIONS(2778),
    [aux_sym_preproc_include_token1] = ACTIONS(2778),
    [aux_sym_preproc_include_token2] = ACTIONS(2778),
    [aux_sym_preproc_def_token1] = ACTIONS(2778),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_if_token2] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2778),
    [aux_sym_preproc_else_token1] = ACTIONS(2778),
    [aux_sym_preproc_elif_token1] = ACTIONS(2778),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2778),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2778),
    [sym_preproc_directive] = ACTIONS(2778),
    [anon_sym_LPAREN2] = ACTIONS(2780),
    [anon_sym_BANG] = ACTIONS(2780),
    [anon_sym_TILDE] = ACTIONS(2780),
    [anon_sym_DASH] = ACTIONS(2778),
    [anon_sym_PLUS] = ACTIONS(2778),
    [anon_sym_STAR] = ACTIONS(2780),
    [anon_sym_CARET] = ACTIONS(2780),
    [anon_sym_AMP] = ACTIONS(2780),
    [anon_sym_SEMI] = ACTIONS(2780),
    [anon_sym___extension__] = ACTIONS(2778),
    [anon_sym_typedef] = ACTIONS(2778),
    [anon_sym_extern] = ACTIONS(2778),
    [anon_sym___attribute__] = ACTIONS(2778),
    [anon_sym___attribute] = ACTIONS(2778),
    [anon_sym_noreturn] = ACTIONS(2778),
    [anon_sym_LBRACK] = ACTIONS(2780),
    [anon_sym___declspec] = ACTIONS(2778),
    [anon_sym___cdecl] = ACTIONS(2778),
    [anon_sym___clrcall] = ACTIONS(2778),
    [anon_sym___stdcall] = ACTIONS(2778),
    [anon_sym___fastcall] = ACTIONS(2778),
    [anon_sym___thiscall] = ACTIONS(2778),
    [anon_sym___vectorcall] = ACTIONS(2778),
    [anon_sym_LBRACE] = ACTIONS(2780),
    [anon_sym_signed] = ACTIONS(2778),
    [anon_sym_unsigned] = ACTIONS(2778),
    [anon_sym_long] = ACTIONS(2778),
    [anon_sym_short] = ACTIONS(2778),
    [anon_sym_static] = ACTIONS(2778),
    [anon_sym_ATautoreleasepool] = ACTIONS(2780),
    [anon_sym_auto] = ACTIONS(2778),
    [anon_sym_register] = ACTIONS(2778),
    [anon_sym_inline] = ACTIONS(2778),
    [anon_sym___inline] = ACTIONS(2778),
    [anon_sym___inline__] = ACTIONS(2778),
    [anon_sym___forceinline] = ACTIONS(2778),
    [anon_sym_thread_local] = ACTIONS(2778),
    [anon_sym___thread] = ACTIONS(2778),
    [anon_sym_CG_EXTERN] = ACTIONS(2778),
    [anon_sym_CG_INLINE] = ACTIONS(2778),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2778),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2778),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2778),
    [anon_sym_IBOutlet] = ACTIONS(2778),
    [anon_sym_IBInspectable] = ACTIONS(2778),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2778),
    [anon_sym_NS_INLINE] = ACTIONS(2778),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2778),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2778),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2778),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2778),
    [anon_sym_const] = ACTIONS(2778),
    [anon_sym_constexpr] = ACTIONS(2778),
    [anon_sym_volatile] = ACTIONS(2778),
    [anon_sym_restrict] = ACTIONS(2778),
    [anon_sym___restrict__] = ACTIONS(2778),
    [anon_sym__Atomic] = ACTIONS(2778),
    [anon_sym__Noreturn] = ACTIONS(2778),
    [anon_sym__Nonnull] = ACTIONS(2778),
    [anon_sym_nullable] = ACTIONS(2778),
    [anon_sym__Complex] = ACTIONS(2778),
    [anon_sym__Nullable] = ACTIONS(2778),
    [anon_sym__Nullable_result] = ACTIONS(2778),
    [anon_sym__Null_unspecified] = ACTIONS(2778),
    [anon_sym___autoreleasing] = ACTIONS(2778),
    [anon_sym___block] = ACTIONS(2778),
    [anon_sym___bridge] = ACTIONS(2778),
    [anon_sym___bridge_retained] = ACTIONS(2778),
    [anon_sym___bridge_transfer] = ACTIONS(2778),
    [anon_sym___complex] = ACTIONS(2778),
    [anon_sym___const] = ACTIONS(2778),
    [anon_sym___imag] = ACTIONS(2778),
    [anon_sym___kindof] = ACTIONS(2778),
    [anon_sym___nonnull] = ACTIONS(2778),
    [anon_sym___nullable] = ACTIONS(2778),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2778),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2778),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2778),
    [anon_sym___real] = ACTIONS(2778),
    [anon_sym___strong] = ACTIONS(2778),
    [anon_sym___unsafe_unretained] = ACTIONS(2778),
    [anon_sym___unused] = ACTIONS(2778),
    [anon_sym___weak] = ACTIONS(2778),
    [anon_sym_alignas] = ACTIONS(2778),
    [anon_sym__Alignas] = ACTIONS(2778),
    [sym_primitive_type] = ACTIONS(2778),
    [anon_sym_enum] = ACTIONS(2778),
    [anon_sym_struct] = ACTIONS(2778),
    [anon_sym_union] = ACTIONS(2778),
    [anon_sym_if] = ACTIONS(2778),
    [anon_sym_switch] = ACTIONS(2778),
    [anon_sym_case] = ACTIONS(2778),
    [anon_sym_default] = ACTIONS(2778),
    [anon_sym_while] = ACTIONS(2778),
    [anon_sym_do] = ACTIONS(2778),
    [anon_sym_for] = ACTIONS(2778),
    [anon_sym_in] = ACTIONS(2778),
    [anon_sym_return] = ACTIONS(2778),
    [anon_sym_break] = ACTIONS(2778),
    [anon_sym_continue] = ACTIONS(2778),
    [anon_sym_goto] = ACTIONS(2778),
    [anon_sym_DASH_DASH] = ACTIONS(2780),
    [anon_sym_PLUS_PLUS] = ACTIONS(2780),
    [anon_sym_sizeof] = ACTIONS(2778),
    [anon_sym___alignof__] = ACTIONS(2778),
    [anon_sym___alignof] = ACTIONS(2778),
    [anon_sym__alignof] = ACTIONS(2778),
    [anon_sym_alignof] = ACTIONS(2778),
    [anon_sym__Alignof] = ACTIONS(2778),
    [anon_sym_offsetof] = ACTIONS(2778),
    [anon_sym__Generic] = ACTIONS(2778),
    [anon_sym_asm] = ACTIONS(2778),
    [anon_sym___asm__] = ACTIONS(2778),
    [anon_sym___asm] = ACTIONS(2778),
    [sym_number_literal] = ACTIONS(2780),
    [anon_sym_L_SQUOTE] = ACTIONS(2780),
    [anon_sym_u_SQUOTE] = ACTIONS(2780),
    [anon_sym_U_SQUOTE] = ACTIONS(2780),
    [anon_sym_u8_SQUOTE] = ACTIONS(2780),
    [anon_sym_SQUOTE] = ACTIONS(2780),
    [anon_sym_AT] = ACTIONS(2778),
    [anon_sym_DQUOTE] = ACTIONS(2780),
    [anon_sym_L_DQUOTE] = ACTIONS(2780),
    [anon_sym_u_DQUOTE] = ACTIONS(2780),
    [anon_sym_U_DQUOTE] = ACTIONS(2780),
    [anon_sym_u8_DQUOTE] = ACTIONS(2780),
    [sym_true] = ACTIONS(2778),
    [sym_false] = ACTIONS(2778),
    [anon_sym_NULL] = ACTIONS(2778),
    [anon_sym_nullptr] = ACTIONS(2778),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2778),
    [anon_sym___typeof] = ACTIONS(2778),
    [anon_sym_typeof] = ACTIONS(2778),
    [anon_sym_ATimport] = ACTIONS(2780),
    [aux_sym_preproc_undef_token1] = ACTIONS(2778),
    [anon_sym_POUND] = ACTIONS(2778),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2778),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2778),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2778),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2778),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2778),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2778),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2778),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2778),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2778),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2778),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2778),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2778),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2778),
    [anon_sym_API_AVAILABLE] = ACTIONS(2778),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2778),
    [anon_sym_API_DEPRECATED] = ACTIONS(2778),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2778),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2778),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2778),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2778),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2778),
    [anon_sym___deprecated_msg] = ACTIONS(2778),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2778),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2778),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2778),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2778),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2778),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2778),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2778),
    [anon_sym_ATprotocol] = ACTIONS(2780),
    [anon_sym_ATinterface] = ACTIONS(2780),
    [anon_sym_ATimplementation] = ACTIONS(2780),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2780),
    [anon_sym_ATsynthesize] = ACTIONS(2780),
    [anon_sym_ATdynamic] = ACTIONS(2780),
    [anon_sym_ATtry] = ACTIONS(2780),
    [anon_sym___try] = ACTIONS(2778),
    [anon_sym_ATthrow] = ACTIONS(2780),
    [anon_sym_ATselector] = ACTIONS(2780),
    [anon_sym_ATavailable] = ACTIONS(2780),
    [anon_sym___builtin_available] = ACTIONS(2778),
    [anon_sym_va_arg] = ACTIONS(2778),
    [anon_sym_ATencode] = ACTIONS(2780),
    [anon_sym_ATsynchronized] = ACTIONS(2780),
    [anon_sym_BOOL] = ACTIONS(2778),
    [anon_sym_IMP] = ACTIONS(2778),
    [anon_sym_SEL] = ACTIONS(2778),
    [anon_sym_Class] = ACTIONS(2778),
    [anon_sym_id] = ACTIONS(2778),
  },
  [339] = {
    [sym_identifier] = ACTIONS(2782),
    [aux_sym_preproc_include_token1] = ACTIONS(2782),
    [aux_sym_preproc_include_token2] = ACTIONS(2782),
    [aux_sym_preproc_def_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token2] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2782),
    [aux_sym_preproc_else_token1] = ACTIONS(2782),
    [aux_sym_preproc_elif_token1] = ACTIONS(2782),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2782),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2782),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(2784),
    [anon_sym_BANG] = ACTIONS(2784),
    [anon_sym_TILDE] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2782),
    [anon_sym_PLUS] = ACTIONS(2782),
    [anon_sym_STAR] = ACTIONS(2784),
    [anon_sym_CARET] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(2784),
    [anon_sym_SEMI] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(2782),
    [anon_sym_typedef] = ACTIONS(2782),
    [anon_sym_extern] = ACTIONS(2782),
    [anon_sym___attribute__] = ACTIONS(2782),
    [anon_sym___attribute] = ACTIONS(2782),
    [anon_sym_noreturn] = ACTIONS(2782),
    [anon_sym_LBRACK] = ACTIONS(2784),
    [anon_sym___declspec] = ACTIONS(2782),
    [anon_sym___cdecl] = ACTIONS(2782),
    [anon_sym___clrcall] = ACTIONS(2782),
    [anon_sym___stdcall] = ACTIONS(2782),
    [anon_sym___fastcall] = ACTIONS(2782),
    [anon_sym___thiscall] = ACTIONS(2782),
    [anon_sym___vectorcall] = ACTIONS(2782),
    [anon_sym_LBRACE] = ACTIONS(2784),
    [anon_sym_signed] = ACTIONS(2782),
    [anon_sym_unsigned] = ACTIONS(2782),
    [anon_sym_long] = ACTIONS(2782),
    [anon_sym_short] = ACTIONS(2782),
    [anon_sym_static] = ACTIONS(2782),
    [anon_sym_ATautoreleasepool] = ACTIONS(2784),
    [anon_sym_auto] = ACTIONS(2782),
    [anon_sym_register] = ACTIONS(2782),
    [anon_sym_inline] = ACTIONS(2782),
    [anon_sym___inline] = ACTIONS(2782),
    [anon_sym___inline__] = ACTIONS(2782),
    [anon_sym___forceinline] = ACTIONS(2782),
    [anon_sym_thread_local] = ACTIONS(2782),
    [anon_sym___thread] = ACTIONS(2782),
    [anon_sym_CG_EXTERN] = ACTIONS(2782),
    [anon_sym_CG_INLINE] = ACTIONS(2782),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2782),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2782),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2782),
    [anon_sym_IBOutlet] = ACTIONS(2782),
    [anon_sym_IBInspectable] = ACTIONS(2782),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2782),
    [anon_sym_NS_INLINE] = ACTIONS(2782),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2782),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2782),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2782),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2782),
    [anon_sym_const] = ACTIONS(2782),
    [anon_sym_constexpr] = ACTIONS(2782),
    [anon_sym_volatile] = ACTIONS(2782),
    [anon_sym_restrict] = ACTIONS(2782),
    [anon_sym___restrict__] = ACTIONS(2782),
    [anon_sym__Atomic] = ACTIONS(2782),
    [anon_sym__Noreturn] = ACTIONS(2782),
    [anon_sym__Nonnull] = ACTIONS(2782),
    [anon_sym_nullable] = ACTIONS(2782),
    [anon_sym__Complex] = ACTIONS(2782),
    [anon_sym__Nullable] = ACTIONS(2782),
    [anon_sym__Nullable_result] = ACTIONS(2782),
    [anon_sym__Null_unspecified] = ACTIONS(2782),
    [anon_sym___autoreleasing] = ACTIONS(2782),
    [anon_sym___block] = ACTIONS(2782),
    [anon_sym___bridge] = ACTIONS(2782),
    [anon_sym___bridge_retained] = ACTIONS(2782),
    [anon_sym___bridge_transfer] = ACTIONS(2782),
    [anon_sym___complex] = ACTIONS(2782),
    [anon_sym___const] = ACTIONS(2782),
    [anon_sym___imag] = ACTIONS(2782),
    [anon_sym___kindof] = ACTIONS(2782),
    [anon_sym___nonnull] = ACTIONS(2782),
    [anon_sym___nullable] = ACTIONS(2782),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2782),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2782),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2782),
    [anon_sym___real] = ACTIONS(2782),
    [anon_sym___strong] = ACTIONS(2782),
    [anon_sym___unsafe_unretained] = ACTIONS(2782),
    [anon_sym___unused] = ACTIONS(2782),
    [anon_sym___weak] = ACTIONS(2782),
    [anon_sym_alignas] = ACTIONS(2782),
    [anon_sym__Alignas] = ACTIONS(2782),
    [sym_primitive_type] = ACTIONS(2782),
    [anon_sym_enum] = ACTIONS(2782),
    [anon_sym_struct] = ACTIONS(2782),
    [anon_sym_union] = ACTIONS(2782),
    [anon_sym_if] = ACTIONS(2782),
    [anon_sym_switch] = ACTIONS(2782),
    [anon_sym_case] = ACTIONS(2782),
    [anon_sym_default] = ACTIONS(2782),
    [anon_sym_while] = ACTIONS(2782),
    [anon_sym_do] = ACTIONS(2782),
    [anon_sym_for] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(2782),
    [anon_sym_return] = ACTIONS(2782),
    [anon_sym_break] = ACTIONS(2782),
    [anon_sym_continue] = ACTIONS(2782),
    [anon_sym_goto] = ACTIONS(2782),
    [anon_sym_DASH_DASH] = ACTIONS(2784),
    [anon_sym_PLUS_PLUS] = ACTIONS(2784),
    [anon_sym_sizeof] = ACTIONS(2782),
    [anon_sym___alignof__] = ACTIONS(2782),
    [anon_sym___alignof] = ACTIONS(2782),
    [anon_sym__alignof] = ACTIONS(2782),
    [anon_sym_alignof] = ACTIONS(2782),
    [anon_sym__Alignof] = ACTIONS(2782),
    [anon_sym_offsetof] = ACTIONS(2782),
    [anon_sym__Generic] = ACTIONS(2782),
    [anon_sym_asm] = ACTIONS(2782),
    [anon_sym___asm__] = ACTIONS(2782),
    [anon_sym___asm] = ACTIONS(2782),
    [sym_number_literal] = ACTIONS(2784),
    [anon_sym_L_SQUOTE] = ACTIONS(2784),
    [anon_sym_u_SQUOTE] = ACTIONS(2784),
    [anon_sym_U_SQUOTE] = ACTIONS(2784),
    [anon_sym_u8_SQUOTE] = ACTIONS(2784),
    [anon_sym_SQUOTE] = ACTIONS(2784),
    [anon_sym_AT] = ACTIONS(2782),
    [anon_sym_DQUOTE] = ACTIONS(2784),
    [anon_sym_L_DQUOTE] = ACTIONS(2784),
    [anon_sym_u_DQUOTE] = ACTIONS(2784),
    [anon_sym_U_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8_DQUOTE] = ACTIONS(2784),
    [sym_true] = ACTIONS(2782),
    [sym_false] = ACTIONS(2782),
    [anon_sym_NULL] = ACTIONS(2782),
    [anon_sym_nullptr] = ACTIONS(2782),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2782),
    [anon_sym___typeof] = ACTIONS(2782),
    [anon_sym_typeof] = ACTIONS(2782),
    [anon_sym_ATimport] = ACTIONS(2784),
    [aux_sym_preproc_undef_token1] = ACTIONS(2782),
    [anon_sym_POUND] = ACTIONS(2782),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2782),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2782),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2782),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2782),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2782),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2782),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2782),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2782),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2782),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2782),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2782),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2782),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2782),
    [anon_sym_API_AVAILABLE] = ACTIONS(2782),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2782),
    [anon_sym_API_DEPRECATED] = ACTIONS(2782),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2782),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2782),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2782),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2782),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2782),
    [anon_sym___deprecated_msg] = ACTIONS(2782),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2782),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2782),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2782),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2782),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2782),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2782),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2782),
    [anon_sym_ATprotocol] = ACTIONS(2784),
    [anon_sym_ATinterface] = ACTIONS(2784),
    [anon_sym_ATimplementation] = ACTIONS(2784),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2784),
    [anon_sym_ATsynthesize] = ACTIONS(2784),
    [anon_sym_ATdynamic] = ACTIONS(2784),
    [anon_sym_ATtry] = ACTIONS(2784),
    [anon_sym___try] = ACTIONS(2782),
    [anon_sym_ATthrow] = ACTIONS(2784),
    [anon_sym_ATselector] = ACTIONS(2784),
    [anon_sym_ATavailable] = ACTIONS(2784),
    [anon_sym___builtin_available] = ACTIONS(2782),
    [anon_sym_va_arg] = ACTIONS(2782),
    [anon_sym_ATencode] = ACTIONS(2784),
    [anon_sym_ATsynchronized] = ACTIONS(2784),
    [anon_sym_BOOL] = ACTIONS(2782),
    [anon_sym_IMP] = ACTIONS(2782),
    [anon_sym_SEL] = ACTIONS(2782),
    [anon_sym_Class] = ACTIONS(2782),
    [anon_sym_id] = ACTIONS(2782),
  },
  [340] = {
    [sym_identifier] = ACTIONS(2786),
    [aux_sym_preproc_include_token1] = ACTIONS(2786),
    [aux_sym_preproc_include_token2] = ACTIONS(2786),
    [aux_sym_preproc_def_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token2] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2786),
    [aux_sym_preproc_else_token1] = ACTIONS(2786),
    [aux_sym_preproc_elif_token1] = ACTIONS(2786),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2786),
    [sym_preproc_directive] = ACTIONS(2786),
    [anon_sym_LPAREN2] = ACTIONS(2788),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_TILDE] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_CARET] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2788),
    [anon_sym_SEMI] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym___attribute] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym___cdecl] = ACTIONS(2786),
    [anon_sym___clrcall] = ACTIONS(2786),
    [anon_sym___stdcall] = ACTIONS(2786),
    [anon_sym___fastcall] = ACTIONS(2786),
    [anon_sym___thiscall] = ACTIONS(2786),
    [anon_sym___vectorcall] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2788),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_ATautoreleasepool] = ACTIONS(2788),
    [anon_sym_auto] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_CG_EXTERN] = ACTIONS(2786),
    [anon_sym_CG_INLINE] = ACTIONS(2786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2786),
    [anon_sym_IBOutlet] = ACTIONS(2786),
    [anon_sym_IBInspectable] = ACTIONS(2786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2786),
    [anon_sym_NS_INLINE] = ACTIONS(2786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym__Nonnull] = ACTIONS(2786),
    [anon_sym_nullable] = ACTIONS(2786),
    [anon_sym__Complex] = ACTIONS(2786),
    [anon_sym__Nullable] = ACTIONS(2786),
    [anon_sym__Nullable_result] = ACTIONS(2786),
    [anon_sym__Null_unspecified] = ACTIONS(2786),
    [anon_sym___autoreleasing] = ACTIONS(2786),
    [anon_sym___block] = ACTIONS(2786),
    [anon_sym___bridge] = ACTIONS(2786),
    [anon_sym___bridge_retained] = ACTIONS(2786),
    [anon_sym___bridge_transfer] = ACTIONS(2786),
    [anon_sym___complex] = ACTIONS(2786),
    [anon_sym___const] = ACTIONS(2786),
    [anon_sym___imag] = ACTIONS(2786),
    [anon_sym___kindof] = ACTIONS(2786),
    [anon_sym___nonnull] = ACTIONS(2786),
    [anon_sym___nullable] = ACTIONS(2786),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2786),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2786),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2786),
    [anon_sym___real] = ACTIONS(2786),
    [anon_sym___strong] = ACTIONS(2786),
    [anon_sym___unsafe_unretained] = ACTIONS(2786),
    [anon_sym___unused] = ACTIONS(2786),
    [anon_sym___weak] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym__Alignas] = ACTIONS(2786),
    [sym_primitive_type] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [anon_sym_if] = ACTIONS(2786),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_case] = ACTIONS(2786),
    [anon_sym_default] = ACTIONS(2786),
    [anon_sym_while] = ACTIONS(2786),
    [anon_sym_do] = ACTIONS(2786),
    [anon_sym_for] = ACTIONS(2786),
    [anon_sym_in] = ACTIONS(2786),
    [anon_sym_return] = ACTIONS(2786),
    [anon_sym_break] = ACTIONS(2786),
    [anon_sym_continue] = ACTIONS(2786),
    [anon_sym_goto] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2788),
    [anon_sym_sizeof] = ACTIONS(2786),
    [anon_sym___alignof__] = ACTIONS(2786),
    [anon_sym___alignof] = ACTIONS(2786),
    [anon_sym__alignof] = ACTIONS(2786),
    [anon_sym_alignof] = ACTIONS(2786),
    [anon_sym__Alignof] = ACTIONS(2786),
    [anon_sym_offsetof] = ACTIONS(2786),
    [anon_sym__Generic] = ACTIONS(2786),
    [anon_sym_asm] = ACTIONS(2786),
    [anon_sym___asm__] = ACTIONS(2786),
    [anon_sym___asm] = ACTIONS(2786),
    [sym_number_literal] = ACTIONS(2788),
    [anon_sym_L_SQUOTE] = ACTIONS(2788),
    [anon_sym_u_SQUOTE] = ACTIONS(2788),
    [anon_sym_U_SQUOTE] = ACTIONS(2788),
    [anon_sym_u8_SQUOTE] = ACTIONS(2788),
    [anon_sym_SQUOTE] = ACTIONS(2788),
    [anon_sym_AT] = ACTIONS(2786),
    [anon_sym_DQUOTE] = ACTIONS(2788),
    [anon_sym_L_DQUOTE] = ACTIONS(2788),
    [anon_sym_u_DQUOTE] = ACTIONS(2788),
    [anon_sym_U_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8_DQUOTE] = ACTIONS(2788),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [anon_sym_NULL] = ACTIONS(2786),
    [anon_sym_nullptr] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2786),
    [anon_sym___typeof] = ACTIONS(2786),
    [anon_sym_typeof] = ACTIONS(2786),
    [anon_sym_ATimport] = ACTIONS(2788),
    [aux_sym_preproc_undef_token1] = ACTIONS(2786),
    [anon_sym_POUND] = ACTIONS(2786),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2786),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2786),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2786),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2786),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2786),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2786),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2786),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2786),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2786),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_API_AVAILABLE] = ACTIONS(2786),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_API_DEPRECATED] = ACTIONS(2786),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2786),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2786),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2786),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2786),
    [anon_sym___deprecated_msg] = ACTIONS(2786),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2786),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2786),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2786),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2786),
    [anon_sym_ATprotocol] = ACTIONS(2788),
    [anon_sym_ATinterface] = ACTIONS(2788),
    [anon_sym_ATimplementation] = ACTIONS(2788),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2788),
    [anon_sym_ATsynthesize] = ACTIONS(2788),
    [anon_sym_ATdynamic] = ACTIONS(2788),
    [anon_sym_ATtry] = ACTIONS(2788),
    [anon_sym___try] = ACTIONS(2786),
    [anon_sym_ATthrow] = ACTIONS(2788),
    [anon_sym_ATselector] = ACTIONS(2788),
    [anon_sym_ATavailable] = ACTIONS(2788),
    [anon_sym___builtin_available] = ACTIONS(2786),
    [anon_sym_va_arg] = ACTIONS(2786),
    [anon_sym_ATencode] = ACTIONS(2788),
    [anon_sym_ATsynchronized] = ACTIONS(2788),
    [anon_sym_BOOL] = ACTIONS(2786),
    [anon_sym_IMP] = ACTIONS(2786),
    [anon_sym_SEL] = ACTIONS(2786),
    [anon_sym_Class] = ACTIONS(2786),
    [anon_sym_id] = ACTIONS(2786),
  },
  [341] = {
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_include_token1] = ACTIONS(2790),
    [aux_sym_preproc_include_token2] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token2] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [aux_sym_preproc_else_token1] = ACTIONS(2790),
    [aux_sym_preproc_elif_token1] = ACTIONS(2790),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2790),
    [anon_sym_PLUS] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_CARET] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2792),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym___attribute] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___cdecl] = ACTIONS(2790),
    [anon_sym___clrcall] = ACTIONS(2790),
    [anon_sym___stdcall] = ACTIONS(2790),
    [anon_sym___fastcall] = ACTIONS(2790),
    [anon_sym___thiscall] = ACTIONS(2790),
    [anon_sym___vectorcall] = ACTIONS(2790),
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_ATautoreleasepool] = ACTIONS(2792),
    [anon_sym_auto] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_CG_EXTERN] = ACTIONS(2790),
    [anon_sym_CG_INLINE] = ACTIONS(2790),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2790),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2790),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2790),
    [anon_sym_IBOutlet] = ACTIONS(2790),
    [anon_sym_IBInspectable] = ACTIONS(2790),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2790),
    [anon_sym_NS_INLINE] = ACTIONS(2790),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2790),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2790),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2790),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_nullable] = ACTIONS(2790),
    [anon_sym__Complex] = ACTIONS(2790),
    [anon_sym__Nullable] = ACTIONS(2790),
    [anon_sym__Nullable_result] = ACTIONS(2790),
    [anon_sym__Null_unspecified] = ACTIONS(2790),
    [anon_sym___autoreleasing] = ACTIONS(2790),
    [anon_sym___block] = ACTIONS(2790),
    [anon_sym___bridge] = ACTIONS(2790),
    [anon_sym___bridge_retained] = ACTIONS(2790),
    [anon_sym___bridge_transfer] = ACTIONS(2790),
    [anon_sym___complex] = ACTIONS(2790),
    [anon_sym___const] = ACTIONS(2790),
    [anon_sym___imag] = ACTIONS(2790),
    [anon_sym___kindof] = ACTIONS(2790),
    [anon_sym___nonnull] = ACTIONS(2790),
    [anon_sym___nullable] = ACTIONS(2790),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2790),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2790),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2790),
    [anon_sym___real] = ACTIONS(2790),
    [anon_sym___strong] = ACTIONS(2790),
    [anon_sym___unsafe_unretained] = ACTIONS(2790),
    [anon_sym___unused] = ACTIONS(2790),
    [anon_sym___weak] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [sym_primitive_type] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [anon_sym_if] = ACTIONS(2790),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_case] = ACTIONS(2790),
    [anon_sym_default] = ACTIONS(2790),
    [anon_sym_while] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_for] = ACTIONS(2790),
    [anon_sym_in] = ACTIONS(2790),
    [anon_sym_return] = ACTIONS(2790),
    [anon_sym_break] = ACTIONS(2790),
    [anon_sym_continue] = ACTIONS(2790),
    [anon_sym_goto] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2792),
    [anon_sym_sizeof] = ACTIONS(2790),
    [anon_sym___alignof__] = ACTIONS(2790),
    [anon_sym___alignof] = ACTIONS(2790),
    [anon_sym__alignof] = ACTIONS(2790),
    [anon_sym_alignof] = ACTIONS(2790),
    [anon_sym__Alignof] = ACTIONS(2790),
    [anon_sym_offsetof] = ACTIONS(2790),
    [anon_sym__Generic] = ACTIONS(2790),
    [anon_sym_asm] = ACTIONS(2790),
    [anon_sym___asm__] = ACTIONS(2790),
    [anon_sym___asm] = ACTIONS(2790),
    [sym_number_literal] = ACTIONS(2792),
    [anon_sym_L_SQUOTE] = ACTIONS(2792),
    [anon_sym_u_SQUOTE] = ACTIONS(2792),
    [anon_sym_U_SQUOTE] = ACTIONS(2792),
    [anon_sym_u8_SQUOTE] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2792),
    [anon_sym_AT] = ACTIONS(2790),
    [anon_sym_DQUOTE] = ACTIONS(2792),
    [anon_sym_L_DQUOTE] = ACTIONS(2792),
    [anon_sym_u_DQUOTE] = ACTIONS(2792),
    [anon_sym_U_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8_DQUOTE] = ACTIONS(2792),
    [sym_true] = ACTIONS(2790),
    [sym_false] = ACTIONS(2790),
    [anon_sym_NULL] = ACTIONS(2790),
    [anon_sym_nullptr] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2790),
    [anon_sym___typeof] = ACTIONS(2790),
    [anon_sym_typeof] = ACTIONS(2790),
    [anon_sym_ATimport] = ACTIONS(2792),
    [aux_sym_preproc_undef_token1] = ACTIONS(2790),
    [anon_sym_POUND] = ACTIONS(2790),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2790),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2790),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2790),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2790),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2790),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2790),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2790),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2790),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2790),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_API_AVAILABLE] = ACTIONS(2790),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_API_DEPRECATED] = ACTIONS(2790),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2790),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2790),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2790),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2790),
    [anon_sym___deprecated_msg] = ACTIONS(2790),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2790),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2790),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2790),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2790),
    [anon_sym_ATprotocol] = ACTIONS(2792),
    [anon_sym_ATinterface] = ACTIONS(2792),
    [anon_sym_ATimplementation] = ACTIONS(2792),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2792),
    [anon_sym_ATsynthesize] = ACTIONS(2792),
    [anon_sym_ATdynamic] = ACTIONS(2792),
    [anon_sym_ATtry] = ACTIONS(2792),
    [anon_sym___try] = ACTIONS(2790),
    [anon_sym_ATthrow] = ACTIONS(2792),
    [anon_sym_ATselector] = ACTIONS(2792),
    [anon_sym_ATavailable] = ACTIONS(2792),
    [anon_sym___builtin_available] = ACTIONS(2790),
    [anon_sym_va_arg] = ACTIONS(2790),
    [anon_sym_ATencode] = ACTIONS(2792),
    [anon_sym_ATsynchronized] = ACTIONS(2792),
    [anon_sym_BOOL] = ACTIONS(2790),
    [anon_sym_IMP] = ACTIONS(2790),
    [anon_sym_SEL] = ACTIONS(2790),
    [anon_sym_Class] = ACTIONS(2790),
    [anon_sym_id] = ACTIONS(2790),
  },
  [342] = {
    [sym_identifier] = ACTIONS(2794),
    [aux_sym_preproc_include_token1] = ACTIONS(2794),
    [aux_sym_preproc_include_token2] = ACTIONS(2794),
    [aux_sym_preproc_def_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token2] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2794),
    [aux_sym_preproc_else_token1] = ACTIONS(2794),
    [aux_sym_preproc_elif_token1] = ACTIONS(2794),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2794),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2794),
    [sym_preproc_directive] = ACTIONS(2794),
    [anon_sym_LPAREN2] = ACTIONS(2796),
    [anon_sym_BANG] = ACTIONS(2796),
    [anon_sym_TILDE] = ACTIONS(2796),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2796),
    [anon_sym_CARET] = ACTIONS(2796),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_SEMI] = ACTIONS(2796),
    [anon_sym___extension__] = ACTIONS(2794),
    [anon_sym_typedef] = ACTIONS(2794),
    [anon_sym_extern] = ACTIONS(2794),
    [anon_sym___attribute__] = ACTIONS(2794),
    [anon_sym___attribute] = ACTIONS(2794),
    [anon_sym_noreturn] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2796),
    [anon_sym___declspec] = ACTIONS(2794),
    [anon_sym___cdecl] = ACTIONS(2794),
    [anon_sym___clrcall] = ACTIONS(2794),
    [anon_sym___stdcall] = ACTIONS(2794),
    [anon_sym___fastcall] = ACTIONS(2794),
    [anon_sym___thiscall] = ACTIONS(2794),
    [anon_sym___vectorcall] = ACTIONS(2794),
    [anon_sym_LBRACE] = ACTIONS(2796),
    [anon_sym_signed] = ACTIONS(2794),
    [anon_sym_unsigned] = ACTIONS(2794),
    [anon_sym_long] = ACTIONS(2794),
    [anon_sym_short] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_ATautoreleasepool] = ACTIONS(2796),
    [anon_sym_auto] = ACTIONS(2794),
    [anon_sym_register] = ACTIONS(2794),
    [anon_sym_inline] = ACTIONS(2794),
    [anon_sym___inline] = ACTIONS(2794),
    [anon_sym___inline__] = ACTIONS(2794),
    [anon_sym___forceinline] = ACTIONS(2794),
    [anon_sym_thread_local] = ACTIONS(2794),
    [anon_sym___thread] = ACTIONS(2794),
    [anon_sym_CG_EXTERN] = ACTIONS(2794),
    [anon_sym_CG_INLINE] = ACTIONS(2794),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2794),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2794),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2794),
    [anon_sym_IBOutlet] = ACTIONS(2794),
    [anon_sym_IBInspectable] = ACTIONS(2794),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2794),
    [anon_sym_NS_INLINE] = ACTIONS(2794),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2794),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2794),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2794),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2794),
    [anon_sym_const] = ACTIONS(2794),
    [anon_sym_constexpr] = ACTIONS(2794),
    [anon_sym_volatile] = ACTIONS(2794),
    [anon_sym_restrict] = ACTIONS(2794),
    [anon_sym___restrict__] = ACTIONS(2794),
    [anon_sym__Atomic] = ACTIONS(2794),
    [anon_sym__Noreturn] = ACTIONS(2794),
    [anon_sym__Nonnull] = ACTIONS(2794),
    [anon_sym_nullable] = ACTIONS(2794),
    [anon_sym__Complex] = ACTIONS(2794),
    [anon_sym__Nullable] = ACTIONS(2794),
    [anon_sym__Nullable_result] = ACTIONS(2794),
    [anon_sym__Null_unspecified] = ACTIONS(2794),
    [anon_sym___autoreleasing] = ACTIONS(2794),
    [anon_sym___block] = ACTIONS(2794),
    [anon_sym___bridge] = ACTIONS(2794),
    [anon_sym___bridge_retained] = ACTIONS(2794),
    [anon_sym___bridge_transfer] = ACTIONS(2794),
    [anon_sym___complex] = ACTIONS(2794),
    [anon_sym___const] = ACTIONS(2794),
    [anon_sym___imag] = ACTIONS(2794),
    [anon_sym___kindof] = ACTIONS(2794),
    [anon_sym___nonnull] = ACTIONS(2794),
    [anon_sym___nullable] = ACTIONS(2794),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2794),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2794),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2794),
    [anon_sym___real] = ACTIONS(2794),
    [anon_sym___strong] = ACTIONS(2794),
    [anon_sym___unsafe_unretained] = ACTIONS(2794),
    [anon_sym___unused] = ACTIONS(2794),
    [anon_sym___weak] = ACTIONS(2794),
    [anon_sym_alignas] = ACTIONS(2794),
    [anon_sym__Alignas] = ACTIONS(2794),
    [sym_primitive_type] = ACTIONS(2794),
    [anon_sym_enum] = ACTIONS(2794),
    [anon_sym_struct] = ACTIONS(2794),
    [anon_sym_union] = ACTIONS(2794),
    [anon_sym_if] = ACTIONS(2794),
    [anon_sym_switch] = ACTIONS(2794),
    [anon_sym_case] = ACTIONS(2794),
    [anon_sym_default] = ACTIONS(2794),
    [anon_sym_while] = ACTIONS(2794),
    [anon_sym_do] = ACTIONS(2794),
    [anon_sym_for] = ACTIONS(2794),
    [anon_sym_in] = ACTIONS(2794),
    [anon_sym_return] = ACTIONS(2794),
    [anon_sym_break] = ACTIONS(2794),
    [anon_sym_continue] = ACTIONS(2794),
    [anon_sym_goto] = ACTIONS(2794),
    [anon_sym_DASH_DASH] = ACTIONS(2796),
    [anon_sym_PLUS_PLUS] = ACTIONS(2796),
    [anon_sym_sizeof] = ACTIONS(2794),
    [anon_sym___alignof__] = ACTIONS(2794),
    [anon_sym___alignof] = ACTIONS(2794),
    [anon_sym__alignof] = ACTIONS(2794),
    [anon_sym_alignof] = ACTIONS(2794),
    [anon_sym__Alignof] = ACTIONS(2794),
    [anon_sym_offsetof] = ACTIONS(2794),
    [anon_sym__Generic] = ACTIONS(2794),
    [anon_sym_asm] = ACTIONS(2794),
    [anon_sym___asm__] = ACTIONS(2794),
    [anon_sym___asm] = ACTIONS(2794),
    [sym_number_literal] = ACTIONS(2796),
    [anon_sym_L_SQUOTE] = ACTIONS(2796),
    [anon_sym_u_SQUOTE] = ACTIONS(2796),
    [anon_sym_U_SQUOTE] = ACTIONS(2796),
    [anon_sym_u8_SQUOTE] = ACTIONS(2796),
    [anon_sym_SQUOTE] = ACTIONS(2796),
    [anon_sym_AT] = ACTIONS(2794),
    [anon_sym_DQUOTE] = ACTIONS(2796),
    [anon_sym_L_DQUOTE] = ACTIONS(2796),
    [anon_sym_u_DQUOTE] = ACTIONS(2796),
    [anon_sym_U_DQUOTE] = ACTIONS(2796),
    [anon_sym_u8_DQUOTE] = ACTIONS(2796),
    [sym_true] = ACTIONS(2794),
    [sym_false] = ACTIONS(2794),
    [anon_sym_NULL] = ACTIONS(2794),
    [anon_sym_nullptr] = ACTIONS(2794),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2794),
    [anon_sym___typeof] = ACTIONS(2794),
    [anon_sym_typeof] = ACTIONS(2794),
    [anon_sym_ATimport] = ACTIONS(2796),
    [aux_sym_preproc_undef_token1] = ACTIONS(2794),
    [anon_sym_POUND] = ACTIONS(2794),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2794),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2794),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2794),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2794),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2794),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2794),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2794),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2794),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2794),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_API_AVAILABLE] = ACTIONS(2794),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_API_DEPRECATED] = ACTIONS(2794),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2794),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2794),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2794),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2794),
    [anon_sym___deprecated_msg] = ACTIONS(2794),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2794),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2794),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2794),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2794),
    [anon_sym_ATprotocol] = ACTIONS(2796),
    [anon_sym_ATinterface] = ACTIONS(2796),
    [anon_sym_ATimplementation] = ACTIONS(2796),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2796),
    [anon_sym_ATsynthesize] = ACTIONS(2796),
    [anon_sym_ATdynamic] = ACTIONS(2796),
    [anon_sym_ATtry] = ACTIONS(2796),
    [anon_sym___try] = ACTIONS(2794),
    [anon_sym_ATthrow] = ACTIONS(2796),
    [anon_sym_ATselector] = ACTIONS(2796),
    [anon_sym_ATavailable] = ACTIONS(2796),
    [anon_sym___builtin_available] = ACTIONS(2794),
    [anon_sym_va_arg] = ACTIONS(2794),
    [anon_sym_ATencode] = ACTIONS(2796),
    [anon_sym_ATsynchronized] = ACTIONS(2796),
    [anon_sym_BOOL] = ACTIONS(2794),
    [anon_sym_IMP] = ACTIONS(2794),
    [anon_sym_SEL] = ACTIONS(2794),
    [anon_sym_Class] = ACTIONS(2794),
    [anon_sym_id] = ACTIONS(2794),
  },
  [343] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_include_token1] = ACTIONS(2798),
    [aux_sym_preproc_include_token2] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token2] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [aux_sym_preproc_else_token1] = ACTIONS(2798),
    [aux_sym_preproc_elif_token1] = ACTIONS(2798),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_CARET] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2800),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym___attribute] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_ATautoreleasepool] = ACTIONS(2800),
    [anon_sym_auto] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_CG_EXTERN] = ACTIONS(2798),
    [anon_sym_CG_INLINE] = ACTIONS(2798),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2798),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2798),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2798),
    [anon_sym_IBOutlet] = ACTIONS(2798),
    [anon_sym_IBInspectable] = ACTIONS(2798),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2798),
    [anon_sym_NS_INLINE] = ACTIONS(2798),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2798),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2798),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2798),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_nullable] = ACTIONS(2798),
    [anon_sym__Complex] = ACTIONS(2798),
    [anon_sym__Nullable] = ACTIONS(2798),
    [anon_sym__Nullable_result] = ACTIONS(2798),
    [anon_sym__Null_unspecified] = ACTIONS(2798),
    [anon_sym___autoreleasing] = ACTIONS(2798),
    [anon_sym___block] = ACTIONS(2798),
    [anon_sym___bridge] = ACTIONS(2798),
    [anon_sym___bridge_retained] = ACTIONS(2798),
    [anon_sym___bridge_transfer] = ACTIONS(2798),
    [anon_sym___complex] = ACTIONS(2798),
    [anon_sym___const] = ACTIONS(2798),
    [anon_sym___imag] = ACTIONS(2798),
    [anon_sym___kindof] = ACTIONS(2798),
    [anon_sym___nonnull] = ACTIONS(2798),
    [anon_sym___nullable] = ACTIONS(2798),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2798),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2798),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2798),
    [anon_sym___real] = ACTIONS(2798),
    [anon_sym___strong] = ACTIONS(2798),
    [anon_sym___unsafe_unretained] = ACTIONS(2798),
    [anon_sym___unused] = ACTIONS(2798),
    [anon_sym___weak] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_default] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_in] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [anon_sym___asm] = ACTIONS(2798),
    [sym_number_literal] = ACTIONS(2800),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_AT] = ACTIONS(2798),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2798),
    [anon_sym___typeof] = ACTIONS(2798),
    [anon_sym_typeof] = ACTIONS(2798),
    [anon_sym_ATimport] = ACTIONS(2800),
    [aux_sym_preproc_undef_token1] = ACTIONS(2798),
    [anon_sym_POUND] = ACTIONS(2798),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2798),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2798),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2798),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2798),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2798),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2798),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2798),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2798),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_API_AVAILABLE] = ACTIONS(2798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_API_DEPRECATED] = ACTIONS(2798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2798),
    [anon_sym___deprecated_msg] = ACTIONS(2798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2798),
    [anon_sym_ATprotocol] = ACTIONS(2800),
    [anon_sym_ATinterface] = ACTIONS(2800),
    [anon_sym_ATimplementation] = ACTIONS(2800),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2800),
    [anon_sym_ATsynthesize] = ACTIONS(2800),
    [anon_sym_ATdynamic] = ACTIONS(2800),
    [anon_sym_ATtry] = ACTIONS(2800),
    [anon_sym___try] = ACTIONS(2798),
    [anon_sym_ATthrow] = ACTIONS(2800),
    [anon_sym_ATselector] = ACTIONS(2800),
    [anon_sym_ATavailable] = ACTIONS(2800),
    [anon_sym___builtin_available] = ACTIONS(2798),
    [anon_sym_va_arg] = ACTIONS(2798),
    [anon_sym_ATencode] = ACTIONS(2800),
    [anon_sym_ATsynchronized] = ACTIONS(2800),
    [anon_sym_BOOL] = ACTIONS(2798),
    [anon_sym_IMP] = ACTIONS(2798),
    [anon_sym_SEL] = ACTIONS(2798),
    [anon_sym_Class] = ACTIONS(2798),
    [anon_sym_id] = ACTIONS(2798),
  },
  [344] = {
    [sym_identifier] = ACTIONS(2802),
    [aux_sym_preproc_include_token1] = ACTIONS(2802),
    [aux_sym_preproc_include_token2] = ACTIONS(2802),
    [aux_sym_preproc_def_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token2] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2802),
    [aux_sym_preproc_else_token1] = ACTIONS(2802),
    [aux_sym_preproc_elif_token1] = ACTIONS(2802),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2802),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2802),
    [sym_preproc_directive] = ACTIONS(2802),
    [anon_sym_LPAREN2] = ACTIONS(2804),
    [anon_sym_BANG] = ACTIONS(2804),
    [anon_sym_TILDE] = ACTIONS(2804),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_PLUS] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_CARET] = ACTIONS(2804),
    [anon_sym_AMP] = ACTIONS(2804),
    [anon_sym_SEMI] = ACTIONS(2804),
    [anon_sym___extension__] = ACTIONS(2802),
    [anon_sym_typedef] = ACTIONS(2802),
    [anon_sym_extern] = ACTIONS(2802),
    [anon_sym___attribute__] = ACTIONS(2802),
    [anon_sym___attribute] = ACTIONS(2802),
    [anon_sym_noreturn] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(2804),
    [anon_sym___declspec] = ACTIONS(2802),
    [anon_sym___cdecl] = ACTIONS(2802),
    [anon_sym___clrcall] = ACTIONS(2802),
    [anon_sym___stdcall] = ACTIONS(2802),
    [anon_sym___fastcall] = ACTIONS(2802),
    [anon_sym___thiscall] = ACTIONS(2802),
    [anon_sym___vectorcall] = ACTIONS(2802),
    [anon_sym_LBRACE] = ACTIONS(2804),
    [anon_sym_signed] = ACTIONS(2802),
    [anon_sym_unsigned] = ACTIONS(2802),
    [anon_sym_long] = ACTIONS(2802),
    [anon_sym_short] = ACTIONS(2802),
    [anon_sym_static] = ACTIONS(2802),
    [anon_sym_ATautoreleasepool] = ACTIONS(2804),
    [anon_sym_auto] = ACTIONS(2802),
    [anon_sym_register] = ACTIONS(2802),
    [anon_sym_inline] = ACTIONS(2802),
    [anon_sym___inline] = ACTIONS(2802),
    [anon_sym___inline__] = ACTIONS(2802),
    [anon_sym___forceinline] = ACTIONS(2802),
    [anon_sym_thread_local] = ACTIONS(2802),
    [anon_sym___thread] = ACTIONS(2802),
    [anon_sym_CG_EXTERN] = ACTIONS(2802),
    [anon_sym_CG_INLINE] = ACTIONS(2802),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2802),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2802),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2802),
    [anon_sym_IBOutlet] = ACTIONS(2802),
    [anon_sym_IBInspectable] = ACTIONS(2802),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2802),
    [anon_sym_NS_INLINE] = ACTIONS(2802),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2802),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2802),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2802),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2802),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_constexpr] = ACTIONS(2802),
    [anon_sym_volatile] = ACTIONS(2802),
    [anon_sym_restrict] = ACTIONS(2802),
    [anon_sym___restrict__] = ACTIONS(2802),
    [anon_sym__Atomic] = ACTIONS(2802),
    [anon_sym__Noreturn] = ACTIONS(2802),
    [anon_sym__Nonnull] = ACTIONS(2802),
    [anon_sym_nullable] = ACTIONS(2802),
    [anon_sym__Complex] = ACTIONS(2802),
    [anon_sym__Nullable] = ACTIONS(2802),
    [anon_sym__Nullable_result] = ACTIONS(2802),
    [anon_sym__Null_unspecified] = ACTIONS(2802),
    [anon_sym___autoreleasing] = ACTIONS(2802),
    [anon_sym___block] = ACTIONS(2802),
    [anon_sym___bridge] = ACTIONS(2802),
    [anon_sym___bridge_retained] = ACTIONS(2802),
    [anon_sym___bridge_transfer] = ACTIONS(2802),
    [anon_sym___complex] = ACTIONS(2802),
    [anon_sym___const] = ACTIONS(2802),
    [anon_sym___imag] = ACTIONS(2802),
    [anon_sym___kindof] = ACTIONS(2802),
    [anon_sym___nonnull] = ACTIONS(2802),
    [anon_sym___nullable] = ACTIONS(2802),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2802),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2802),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2802),
    [anon_sym___real] = ACTIONS(2802),
    [anon_sym___strong] = ACTIONS(2802),
    [anon_sym___unsafe_unretained] = ACTIONS(2802),
    [anon_sym___unused] = ACTIONS(2802),
    [anon_sym___weak] = ACTIONS(2802),
    [anon_sym_alignas] = ACTIONS(2802),
    [anon_sym__Alignas] = ACTIONS(2802),
    [sym_primitive_type] = ACTIONS(2802),
    [anon_sym_enum] = ACTIONS(2802),
    [anon_sym_struct] = ACTIONS(2802),
    [anon_sym_union] = ACTIONS(2802),
    [anon_sym_if] = ACTIONS(2802),
    [anon_sym_switch] = ACTIONS(2802),
    [anon_sym_case] = ACTIONS(2802),
    [anon_sym_default] = ACTIONS(2802),
    [anon_sym_while] = ACTIONS(2802),
    [anon_sym_do] = ACTIONS(2802),
    [anon_sym_for] = ACTIONS(2802),
    [anon_sym_in] = ACTIONS(2802),
    [anon_sym_return] = ACTIONS(2802),
    [anon_sym_break] = ACTIONS(2802),
    [anon_sym_continue] = ACTIONS(2802),
    [anon_sym_goto] = ACTIONS(2802),
    [anon_sym_DASH_DASH] = ACTIONS(2804),
    [anon_sym_PLUS_PLUS] = ACTIONS(2804),
    [anon_sym_sizeof] = ACTIONS(2802),
    [anon_sym___alignof__] = ACTIONS(2802),
    [anon_sym___alignof] = ACTIONS(2802),
    [anon_sym__alignof] = ACTIONS(2802),
    [anon_sym_alignof] = ACTIONS(2802),
    [anon_sym__Alignof] = ACTIONS(2802),
    [anon_sym_offsetof] = ACTIONS(2802),
    [anon_sym__Generic] = ACTIONS(2802),
    [anon_sym_asm] = ACTIONS(2802),
    [anon_sym___asm__] = ACTIONS(2802),
    [anon_sym___asm] = ACTIONS(2802),
    [sym_number_literal] = ACTIONS(2804),
    [anon_sym_L_SQUOTE] = ACTIONS(2804),
    [anon_sym_u_SQUOTE] = ACTIONS(2804),
    [anon_sym_U_SQUOTE] = ACTIONS(2804),
    [anon_sym_u8_SQUOTE] = ACTIONS(2804),
    [anon_sym_SQUOTE] = ACTIONS(2804),
    [anon_sym_AT] = ACTIONS(2802),
    [anon_sym_DQUOTE] = ACTIONS(2804),
    [anon_sym_L_DQUOTE] = ACTIONS(2804),
    [anon_sym_u_DQUOTE] = ACTIONS(2804),
    [anon_sym_U_DQUOTE] = ACTIONS(2804),
    [anon_sym_u8_DQUOTE] = ACTIONS(2804),
    [sym_true] = ACTIONS(2802),
    [sym_false] = ACTIONS(2802),
    [anon_sym_NULL] = ACTIONS(2802),
    [anon_sym_nullptr] = ACTIONS(2802),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2802),
    [anon_sym___typeof] = ACTIONS(2802),
    [anon_sym_typeof] = ACTIONS(2802),
    [anon_sym_ATimport] = ACTIONS(2804),
    [aux_sym_preproc_undef_token1] = ACTIONS(2802),
    [anon_sym_POUND] = ACTIONS(2802),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2802),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2802),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2802),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2802),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2802),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2802),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2802),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2802),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2802),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_API_AVAILABLE] = ACTIONS(2802),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_API_DEPRECATED] = ACTIONS(2802),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2802),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2802),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2802),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2802),
    [anon_sym___deprecated_msg] = ACTIONS(2802),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2802),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2802),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2802),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2802),
    [anon_sym_ATprotocol] = ACTIONS(2804),
    [anon_sym_ATinterface] = ACTIONS(2804),
    [anon_sym_ATimplementation] = ACTIONS(2804),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2804),
    [anon_sym_ATsynthesize] = ACTIONS(2804),
    [anon_sym_ATdynamic] = ACTIONS(2804),
    [anon_sym_ATtry] = ACTIONS(2804),
    [anon_sym___try] = ACTIONS(2802),
    [anon_sym_ATthrow] = ACTIONS(2804),
    [anon_sym_ATselector] = ACTIONS(2804),
    [anon_sym_ATavailable] = ACTIONS(2804),
    [anon_sym___builtin_available] = ACTIONS(2802),
    [anon_sym_va_arg] = ACTIONS(2802),
    [anon_sym_ATencode] = ACTIONS(2804),
    [anon_sym_ATsynchronized] = ACTIONS(2804),
    [anon_sym_BOOL] = ACTIONS(2802),
    [anon_sym_IMP] = ACTIONS(2802),
    [anon_sym_SEL] = ACTIONS(2802),
    [anon_sym_Class] = ACTIONS(2802),
    [anon_sym_id] = ACTIONS(2802),
  },
  [345] = {
    [sym_identifier] = ACTIONS(2806),
    [aux_sym_preproc_include_token1] = ACTIONS(2806),
    [aux_sym_preproc_include_token2] = ACTIONS(2806),
    [aux_sym_preproc_def_token1] = ACTIONS(2806),
    [aux_sym_preproc_if_token1] = ACTIONS(2806),
    [aux_sym_preproc_if_token2] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2806),
    [aux_sym_preproc_else_token1] = ACTIONS(2806),
    [aux_sym_preproc_elif_token1] = ACTIONS(2806),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2806),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2806),
    [sym_preproc_directive] = ACTIONS(2806),
    [anon_sym_LPAREN2] = ACTIONS(2808),
    [anon_sym_BANG] = ACTIONS(2808),
    [anon_sym_TILDE] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2806),
    [anon_sym_PLUS] = ACTIONS(2806),
    [anon_sym_STAR] = ACTIONS(2808),
    [anon_sym_CARET] = ACTIONS(2808),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym_SEMI] = ACTIONS(2808),
    [anon_sym___extension__] = ACTIONS(2806),
    [anon_sym_typedef] = ACTIONS(2806),
    [anon_sym_extern] = ACTIONS(2806),
    [anon_sym___attribute__] = ACTIONS(2806),
    [anon_sym___attribute] = ACTIONS(2806),
    [anon_sym_noreturn] = ACTIONS(2806),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym___declspec] = ACTIONS(2806),
    [anon_sym___cdecl] = ACTIONS(2806),
    [anon_sym___clrcall] = ACTIONS(2806),
    [anon_sym___stdcall] = ACTIONS(2806),
    [anon_sym___fastcall] = ACTIONS(2806),
    [anon_sym___thiscall] = ACTIONS(2806),
    [anon_sym___vectorcall] = ACTIONS(2806),
    [anon_sym_LBRACE] = ACTIONS(2808),
    [anon_sym_signed] = ACTIONS(2806),
    [anon_sym_unsigned] = ACTIONS(2806),
    [anon_sym_long] = ACTIONS(2806),
    [anon_sym_short] = ACTIONS(2806),
    [anon_sym_static] = ACTIONS(2806),
    [anon_sym_ATautoreleasepool] = ACTIONS(2808),
    [anon_sym_auto] = ACTIONS(2806),
    [anon_sym_register] = ACTIONS(2806),
    [anon_sym_inline] = ACTIONS(2806),
    [anon_sym___inline] = ACTIONS(2806),
    [anon_sym___inline__] = ACTIONS(2806),
    [anon_sym___forceinline] = ACTIONS(2806),
    [anon_sym_thread_local] = ACTIONS(2806),
    [anon_sym___thread] = ACTIONS(2806),
    [anon_sym_CG_EXTERN] = ACTIONS(2806),
    [anon_sym_CG_INLINE] = ACTIONS(2806),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2806),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2806),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2806),
    [anon_sym_IBOutlet] = ACTIONS(2806),
    [anon_sym_IBInspectable] = ACTIONS(2806),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2806),
    [anon_sym_NS_INLINE] = ACTIONS(2806),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2806),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2806),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2806),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2806),
    [anon_sym_const] = ACTIONS(2806),
    [anon_sym_constexpr] = ACTIONS(2806),
    [anon_sym_volatile] = ACTIONS(2806),
    [anon_sym_restrict] = ACTIONS(2806),
    [anon_sym___restrict__] = ACTIONS(2806),
    [anon_sym__Atomic] = ACTIONS(2806),
    [anon_sym__Noreturn] = ACTIONS(2806),
    [anon_sym__Nonnull] = ACTIONS(2806),
    [anon_sym_nullable] = ACTIONS(2806),
    [anon_sym__Complex] = ACTIONS(2806),
    [anon_sym__Nullable] = ACTIONS(2806),
    [anon_sym__Nullable_result] = ACTIONS(2806),
    [anon_sym__Null_unspecified] = ACTIONS(2806),
    [anon_sym___autoreleasing] = ACTIONS(2806),
    [anon_sym___block] = ACTIONS(2806),
    [anon_sym___bridge] = ACTIONS(2806),
    [anon_sym___bridge_retained] = ACTIONS(2806),
    [anon_sym___bridge_transfer] = ACTIONS(2806),
    [anon_sym___complex] = ACTIONS(2806),
    [anon_sym___const] = ACTIONS(2806),
    [anon_sym___imag] = ACTIONS(2806),
    [anon_sym___kindof] = ACTIONS(2806),
    [anon_sym___nonnull] = ACTIONS(2806),
    [anon_sym___nullable] = ACTIONS(2806),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2806),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2806),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2806),
    [anon_sym___real] = ACTIONS(2806),
    [anon_sym___strong] = ACTIONS(2806),
    [anon_sym___unsafe_unretained] = ACTIONS(2806),
    [anon_sym___unused] = ACTIONS(2806),
    [anon_sym___weak] = ACTIONS(2806),
    [anon_sym_alignas] = ACTIONS(2806),
    [anon_sym__Alignas] = ACTIONS(2806),
    [sym_primitive_type] = ACTIONS(2806),
    [anon_sym_enum] = ACTIONS(2806),
    [anon_sym_struct] = ACTIONS(2806),
    [anon_sym_union] = ACTIONS(2806),
    [anon_sym_if] = ACTIONS(2806),
    [anon_sym_switch] = ACTIONS(2806),
    [anon_sym_case] = ACTIONS(2806),
    [anon_sym_default] = ACTIONS(2806),
    [anon_sym_while] = ACTIONS(2806),
    [anon_sym_do] = ACTIONS(2806),
    [anon_sym_for] = ACTIONS(2806),
    [anon_sym_in] = ACTIONS(2806),
    [anon_sym_return] = ACTIONS(2806),
    [anon_sym_break] = ACTIONS(2806),
    [anon_sym_continue] = ACTIONS(2806),
    [anon_sym_goto] = ACTIONS(2806),
    [anon_sym_DASH_DASH] = ACTIONS(2808),
    [anon_sym_PLUS_PLUS] = ACTIONS(2808),
    [anon_sym_sizeof] = ACTIONS(2806),
    [anon_sym___alignof__] = ACTIONS(2806),
    [anon_sym___alignof] = ACTIONS(2806),
    [anon_sym__alignof] = ACTIONS(2806),
    [anon_sym_alignof] = ACTIONS(2806),
    [anon_sym__Alignof] = ACTIONS(2806),
    [anon_sym_offsetof] = ACTIONS(2806),
    [anon_sym__Generic] = ACTIONS(2806),
    [anon_sym_asm] = ACTIONS(2806),
    [anon_sym___asm__] = ACTIONS(2806),
    [anon_sym___asm] = ACTIONS(2806),
    [sym_number_literal] = ACTIONS(2808),
    [anon_sym_L_SQUOTE] = ACTIONS(2808),
    [anon_sym_u_SQUOTE] = ACTIONS(2808),
    [anon_sym_U_SQUOTE] = ACTIONS(2808),
    [anon_sym_u8_SQUOTE] = ACTIONS(2808),
    [anon_sym_SQUOTE] = ACTIONS(2808),
    [anon_sym_AT] = ACTIONS(2806),
    [anon_sym_DQUOTE] = ACTIONS(2808),
    [anon_sym_L_DQUOTE] = ACTIONS(2808),
    [anon_sym_u_DQUOTE] = ACTIONS(2808),
    [anon_sym_U_DQUOTE] = ACTIONS(2808),
    [anon_sym_u8_DQUOTE] = ACTIONS(2808),
    [sym_true] = ACTIONS(2806),
    [sym_false] = ACTIONS(2806),
    [anon_sym_NULL] = ACTIONS(2806),
    [anon_sym_nullptr] = ACTIONS(2806),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2806),
    [anon_sym___typeof] = ACTIONS(2806),
    [anon_sym_typeof] = ACTIONS(2806),
    [anon_sym_ATimport] = ACTIONS(2808),
    [aux_sym_preproc_undef_token1] = ACTIONS(2806),
    [anon_sym_POUND] = ACTIONS(2806),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2806),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2806),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2806),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2806),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2806),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2806),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2806),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2806),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2806),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2806),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2806),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2806),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2806),
    [anon_sym_API_AVAILABLE] = ACTIONS(2806),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2806),
    [anon_sym_API_DEPRECATED] = ACTIONS(2806),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2806),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2806),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2806),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2806),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2806),
    [anon_sym___deprecated_msg] = ACTIONS(2806),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2806),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2806),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2806),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2806),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2806),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2806),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2806),
    [anon_sym_ATprotocol] = ACTIONS(2808),
    [anon_sym_ATinterface] = ACTIONS(2808),
    [anon_sym_ATimplementation] = ACTIONS(2808),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2808),
    [anon_sym_ATsynthesize] = ACTIONS(2808),
    [anon_sym_ATdynamic] = ACTIONS(2808),
    [anon_sym_ATtry] = ACTIONS(2808),
    [anon_sym___try] = ACTIONS(2806),
    [anon_sym_ATthrow] = ACTIONS(2808),
    [anon_sym_ATselector] = ACTIONS(2808),
    [anon_sym_ATavailable] = ACTIONS(2808),
    [anon_sym___builtin_available] = ACTIONS(2806),
    [anon_sym_va_arg] = ACTIONS(2806),
    [anon_sym_ATencode] = ACTIONS(2808),
    [anon_sym_ATsynchronized] = ACTIONS(2808),
    [anon_sym_BOOL] = ACTIONS(2806),
    [anon_sym_IMP] = ACTIONS(2806),
    [anon_sym_SEL] = ACTIONS(2806),
    [anon_sym_Class] = ACTIONS(2806),
    [anon_sym_id] = ACTIONS(2806),
  },
  [346] = {
    [sym_else_clause] = STATE(417),
    [sym_identifier] = ACTIONS(2402),
    [aux_sym_preproc_include_token1] = ACTIONS(2402),
    [aux_sym_preproc_include_token2] = ACTIONS(2402),
    [aux_sym_preproc_def_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token2] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2402),
    [aux_sym_preproc_else_token1] = ACTIONS(2402),
    [aux_sym_preproc_elif_token1] = ACTIONS(2402),
    [sym_preproc_directive] = ACTIONS(2402),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_BANG] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_DASH] = ACTIONS(2402),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_CARET] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(2404),
    [anon_sym___extension__] = ACTIONS(2402),
    [anon_sym_typedef] = ACTIONS(2402),
    [anon_sym_extern] = ACTIONS(2402),
    [anon_sym___attribute__] = ACTIONS(2402),
    [anon_sym___attribute] = ACTIONS(2402),
    [anon_sym_noreturn] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2404),
    [anon_sym___declspec] = ACTIONS(2402),
    [anon_sym___cdecl] = ACTIONS(2402),
    [anon_sym___clrcall] = ACTIONS(2402),
    [anon_sym___stdcall] = ACTIONS(2402),
    [anon_sym___fastcall] = ACTIONS(2402),
    [anon_sym___thiscall] = ACTIONS(2402),
    [anon_sym___vectorcall] = ACTIONS(2402),
    [anon_sym_LBRACE] = ACTIONS(2404),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_ATautoreleasepool] = ACTIONS(2404),
    [anon_sym_auto] = ACTIONS(2402),
    [anon_sym_register] = ACTIONS(2402),
    [anon_sym_inline] = ACTIONS(2402),
    [anon_sym___inline] = ACTIONS(2402),
    [anon_sym___inline__] = ACTIONS(2402),
    [anon_sym___forceinline] = ACTIONS(2402),
    [anon_sym_thread_local] = ACTIONS(2402),
    [anon_sym___thread] = ACTIONS(2402),
    [anon_sym_CG_EXTERN] = ACTIONS(2402),
    [anon_sym_CG_INLINE] = ACTIONS(2402),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2402),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2402),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2402),
    [anon_sym_IBOutlet] = ACTIONS(2402),
    [anon_sym_IBInspectable] = ACTIONS(2402),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2402),
    [anon_sym_NS_INLINE] = ACTIONS(2402),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2402),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2402),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2402),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_constexpr] = ACTIONS(2402),
    [anon_sym_volatile] = ACTIONS(2402),
    [anon_sym_restrict] = ACTIONS(2402),
    [anon_sym___restrict__] = ACTIONS(2402),
    [anon_sym__Atomic] = ACTIONS(2402),
    [anon_sym__Noreturn] = ACTIONS(2402),
    [anon_sym__Nonnull] = ACTIONS(2402),
    [anon_sym_nullable] = ACTIONS(2402),
    [anon_sym__Complex] = ACTIONS(2402),
    [anon_sym__Nullable] = ACTIONS(2402),
    [anon_sym__Nullable_result] = ACTIONS(2402),
    [anon_sym__Null_unspecified] = ACTIONS(2402),
    [anon_sym___autoreleasing] = ACTIONS(2402),
    [anon_sym___block] = ACTIONS(2402),
    [anon_sym___bridge] = ACTIONS(2402),
    [anon_sym___bridge_retained] = ACTIONS(2402),
    [anon_sym___bridge_transfer] = ACTIONS(2402),
    [anon_sym___complex] = ACTIONS(2402),
    [anon_sym___const] = ACTIONS(2402),
    [anon_sym___imag] = ACTIONS(2402),
    [anon_sym___kindof] = ACTIONS(2402),
    [anon_sym___nonnull] = ACTIONS(2402),
    [anon_sym___nullable] = ACTIONS(2402),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2402),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2402),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2402),
    [anon_sym___real] = ACTIONS(2402),
    [anon_sym___strong] = ACTIONS(2402),
    [anon_sym___unsafe_unretained] = ACTIONS(2402),
    [anon_sym___unused] = ACTIONS(2402),
    [anon_sym___weak] = ACTIONS(2402),
    [anon_sym_alignas] = ACTIONS(2402),
    [anon_sym__Alignas] = ACTIONS(2402),
    [sym_primitive_type] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [anon_sym_struct] = ACTIONS(2402),
    [anon_sym_union] = ACTIONS(2402),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_else] = ACTIONS(2810),
    [anon_sym_switch] = ACTIONS(2402),
    [anon_sym_case] = ACTIONS(2402),
    [anon_sym_default] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2402),
    [anon_sym_do] = ACTIONS(2402),
    [anon_sym_for] = ACTIONS(2402),
    [anon_sym_in] = ACTIONS(2402),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_break] = ACTIONS(2402),
    [anon_sym_continue] = ACTIONS(2402),
    [anon_sym_goto] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2404),
    [anon_sym_PLUS_PLUS] = ACTIONS(2404),
    [anon_sym_sizeof] = ACTIONS(2402),
    [anon_sym___alignof__] = ACTIONS(2402),
    [anon_sym___alignof] = ACTIONS(2402),
    [anon_sym__alignof] = ACTIONS(2402),
    [anon_sym_alignof] = ACTIONS(2402),
    [anon_sym__Alignof] = ACTIONS(2402),
    [anon_sym_offsetof] = ACTIONS(2402),
    [anon_sym__Generic] = ACTIONS(2402),
    [anon_sym_asm] = ACTIONS(2402),
    [anon_sym___asm__] = ACTIONS(2402),
    [anon_sym___asm] = ACTIONS(2402),
    [sym_number_literal] = ACTIONS(2404),
    [anon_sym_L_SQUOTE] = ACTIONS(2404),
    [anon_sym_u_SQUOTE] = ACTIONS(2404),
    [anon_sym_U_SQUOTE] = ACTIONS(2404),
    [anon_sym_u8_SQUOTE] = ACTIONS(2404),
    [anon_sym_SQUOTE] = ACTIONS(2404),
    [anon_sym_AT] = ACTIONS(2402),
    [anon_sym_DQUOTE] = ACTIONS(2404),
    [anon_sym_L_DQUOTE] = ACTIONS(2404),
    [anon_sym_u_DQUOTE] = ACTIONS(2404),
    [anon_sym_U_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8_DQUOTE] = ACTIONS(2404),
    [sym_true] = ACTIONS(2402),
    [sym_false] = ACTIONS(2402),
    [anon_sym_NULL] = ACTIONS(2402),
    [anon_sym_nullptr] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2402),
    [anon_sym___typeof] = ACTIONS(2402),
    [anon_sym_typeof] = ACTIONS(2402),
    [anon_sym_ATimport] = ACTIONS(2404),
    [aux_sym_preproc_undef_token1] = ACTIONS(2402),
    [anon_sym_POUND] = ACTIONS(2402),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2402),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2402),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2402),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2402),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2402),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2402),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2402),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2402),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2402),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_API_AVAILABLE] = ACTIONS(2402),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_API_DEPRECATED] = ACTIONS(2402),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2402),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2402),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2402),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2402),
    [anon_sym___deprecated_msg] = ACTIONS(2402),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2402),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2402),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2402),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2402),
    [anon_sym_ATprotocol] = ACTIONS(2404),
    [anon_sym_ATinterface] = ACTIONS(2404),
    [anon_sym_ATimplementation] = ACTIONS(2404),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2404),
    [anon_sym_ATsynthesize] = ACTIONS(2404),
    [anon_sym_ATdynamic] = ACTIONS(2404),
    [anon_sym_ATtry] = ACTIONS(2404),
    [anon_sym___try] = ACTIONS(2402),
    [anon_sym_ATthrow] = ACTIONS(2404),
    [anon_sym_ATselector] = ACTIONS(2404),
    [anon_sym_ATavailable] = ACTIONS(2404),
    [anon_sym___builtin_available] = ACTIONS(2402),
    [anon_sym_va_arg] = ACTIONS(2402),
    [anon_sym_ATencode] = ACTIONS(2404),
    [anon_sym_ATsynchronized] = ACTIONS(2404),
    [anon_sym_BOOL] = ACTIONS(2402),
    [anon_sym_IMP] = ACTIONS(2402),
    [anon_sym_SEL] = ACTIONS(2402),
    [anon_sym_Class] = ACTIONS(2402),
    [anon_sym_id] = ACTIONS(2402),
  },
  [347] = {
    [sym_identifier] = ACTIONS(2812),
    [aux_sym_preproc_include_token1] = ACTIONS(2812),
    [aux_sym_preproc_include_token2] = ACTIONS(2812),
    [aux_sym_preproc_def_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token2] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2812),
    [aux_sym_preproc_else_token1] = ACTIONS(2812),
    [aux_sym_preproc_elif_token1] = ACTIONS(2812),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2812),
    [sym_preproc_directive] = ACTIONS(2812),
    [anon_sym_LPAREN2] = ACTIONS(2814),
    [anon_sym_BANG] = ACTIONS(2814),
    [anon_sym_TILDE] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2812),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_CARET] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2814),
    [anon_sym___extension__] = ACTIONS(2812),
    [anon_sym_typedef] = ACTIONS(2812),
    [anon_sym_extern] = ACTIONS(2812),
    [anon_sym___attribute__] = ACTIONS(2812),
    [anon_sym___attribute] = ACTIONS(2812),
    [anon_sym_noreturn] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym___declspec] = ACTIONS(2812),
    [anon_sym___cdecl] = ACTIONS(2812),
    [anon_sym___clrcall] = ACTIONS(2812),
    [anon_sym___stdcall] = ACTIONS(2812),
    [anon_sym___fastcall] = ACTIONS(2812),
    [anon_sym___thiscall] = ACTIONS(2812),
    [anon_sym___vectorcall] = ACTIONS(2812),
    [anon_sym_LBRACE] = ACTIONS(2814),
    [anon_sym_signed] = ACTIONS(2812),
    [anon_sym_unsigned] = ACTIONS(2812),
    [anon_sym_long] = ACTIONS(2812),
    [anon_sym_short] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2812),
    [anon_sym_ATautoreleasepool] = ACTIONS(2814),
    [anon_sym_auto] = ACTIONS(2812),
    [anon_sym_register] = ACTIONS(2812),
    [anon_sym_inline] = ACTIONS(2812),
    [anon_sym___inline] = ACTIONS(2812),
    [anon_sym___inline__] = ACTIONS(2812),
    [anon_sym___forceinline] = ACTIONS(2812),
    [anon_sym_thread_local] = ACTIONS(2812),
    [anon_sym___thread] = ACTIONS(2812),
    [anon_sym_CG_EXTERN] = ACTIONS(2812),
    [anon_sym_CG_INLINE] = ACTIONS(2812),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2812),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2812),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2812),
    [anon_sym_IBOutlet] = ACTIONS(2812),
    [anon_sym_IBInspectable] = ACTIONS(2812),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2812),
    [anon_sym_NS_INLINE] = ACTIONS(2812),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2812),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2812),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2812),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2812),
    [anon_sym_const] = ACTIONS(2812),
    [anon_sym_constexpr] = ACTIONS(2812),
    [anon_sym_volatile] = ACTIONS(2812),
    [anon_sym_restrict] = ACTIONS(2812),
    [anon_sym___restrict__] = ACTIONS(2812),
    [anon_sym__Atomic] = ACTIONS(2812),
    [anon_sym__Noreturn] = ACTIONS(2812),
    [anon_sym__Nonnull] = ACTIONS(2812),
    [anon_sym_nullable] = ACTIONS(2812),
    [anon_sym__Complex] = ACTIONS(2812),
    [anon_sym__Nullable] = ACTIONS(2812),
    [anon_sym__Nullable_result] = ACTIONS(2812),
    [anon_sym__Null_unspecified] = ACTIONS(2812),
    [anon_sym___autoreleasing] = ACTIONS(2812),
    [anon_sym___block] = ACTIONS(2812),
    [anon_sym___bridge] = ACTIONS(2812),
    [anon_sym___bridge_retained] = ACTIONS(2812),
    [anon_sym___bridge_transfer] = ACTIONS(2812),
    [anon_sym___complex] = ACTIONS(2812),
    [anon_sym___const] = ACTIONS(2812),
    [anon_sym___imag] = ACTIONS(2812),
    [anon_sym___kindof] = ACTIONS(2812),
    [anon_sym___nonnull] = ACTIONS(2812),
    [anon_sym___nullable] = ACTIONS(2812),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2812),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2812),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2812),
    [anon_sym___real] = ACTIONS(2812),
    [anon_sym___strong] = ACTIONS(2812),
    [anon_sym___unsafe_unretained] = ACTIONS(2812),
    [anon_sym___unused] = ACTIONS(2812),
    [anon_sym___weak] = ACTIONS(2812),
    [anon_sym_alignas] = ACTIONS(2812),
    [anon_sym__Alignas] = ACTIONS(2812),
    [sym_primitive_type] = ACTIONS(2812),
    [anon_sym_enum] = ACTIONS(2812),
    [anon_sym_struct] = ACTIONS(2812),
    [anon_sym_union] = ACTIONS(2812),
    [anon_sym_if] = ACTIONS(2812),
    [anon_sym_switch] = ACTIONS(2812),
    [anon_sym_case] = ACTIONS(2812),
    [anon_sym_default] = ACTIONS(2812),
    [anon_sym_while] = ACTIONS(2812),
    [anon_sym_do] = ACTIONS(2812),
    [anon_sym_for] = ACTIONS(2812),
    [anon_sym_in] = ACTIONS(2812),
    [anon_sym_return] = ACTIONS(2812),
    [anon_sym_break] = ACTIONS(2812),
    [anon_sym_continue] = ACTIONS(2812),
    [anon_sym_goto] = ACTIONS(2812),
    [anon_sym_DASH_DASH] = ACTIONS(2814),
    [anon_sym_PLUS_PLUS] = ACTIONS(2814),
    [anon_sym_sizeof] = ACTIONS(2812),
    [anon_sym___alignof__] = ACTIONS(2812),
    [anon_sym___alignof] = ACTIONS(2812),
    [anon_sym__alignof] = ACTIONS(2812),
    [anon_sym_alignof] = ACTIONS(2812),
    [anon_sym__Alignof] = ACTIONS(2812),
    [anon_sym_offsetof] = ACTIONS(2812),
    [anon_sym__Generic] = ACTIONS(2812),
    [anon_sym_asm] = ACTIONS(2812),
    [anon_sym___asm__] = ACTIONS(2812),
    [anon_sym___asm] = ACTIONS(2812),
    [sym_number_literal] = ACTIONS(2814),
    [anon_sym_L_SQUOTE] = ACTIONS(2814),
    [anon_sym_u_SQUOTE] = ACTIONS(2814),
    [anon_sym_U_SQUOTE] = ACTIONS(2814),
    [anon_sym_u8_SQUOTE] = ACTIONS(2814),
    [anon_sym_SQUOTE] = ACTIONS(2814),
    [anon_sym_AT] = ACTIONS(2812),
    [anon_sym_DQUOTE] = ACTIONS(2814),
    [anon_sym_L_DQUOTE] = ACTIONS(2814),
    [anon_sym_u_DQUOTE] = ACTIONS(2814),
    [anon_sym_U_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8_DQUOTE] = ACTIONS(2814),
    [sym_true] = ACTIONS(2812),
    [sym_false] = ACTIONS(2812),
    [anon_sym_NULL] = ACTIONS(2812),
    [anon_sym_nullptr] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2812),
    [anon_sym___typeof] = ACTIONS(2812),
    [anon_sym_typeof] = ACTIONS(2812),
    [anon_sym_ATimport] = ACTIONS(2814),
    [aux_sym_preproc_undef_token1] = ACTIONS(2812),
    [anon_sym_POUND] = ACTIONS(2812),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2812),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2812),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2812),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2812),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2812),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2812),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2812),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2812),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2812),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2812),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2812),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2812),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2812),
    [anon_sym_API_AVAILABLE] = ACTIONS(2812),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2812),
    [anon_sym_API_DEPRECATED] = ACTIONS(2812),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2812),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2812),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2812),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2812),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2812),
    [anon_sym___deprecated_msg] = ACTIONS(2812),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2812),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2812),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2812),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2812),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2812),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2812),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2812),
    [anon_sym_ATprotocol] = ACTIONS(2814),
    [anon_sym_ATinterface] = ACTIONS(2814),
    [anon_sym_ATimplementation] = ACTIONS(2814),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2814),
    [anon_sym_ATsynthesize] = ACTIONS(2814),
    [anon_sym_ATdynamic] = ACTIONS(2814),
    [anon_sym_ATtry] = ACTIONS(2814),
    [anon_sym___try] = ACTIONS(2812),
    [anon_sym_ATthrow] = ACTIONS(2814),
    [anon_sym_ATselector] = ACTIONS(2814),
    [anon_sym_ATavailable] = ACTIONS(2814),
    [anon_sym___builtin_available] = ACTIONS(2812),
    [anon_sym_va_arg] = ACTIONS(2812),
    [anon_sym_ATencode] = ACTIONS(2814),
    [anon_sym_ATsynchronized] = ACTIONS(2814),
    [anon_sym_BOOL] = ACTIONS(2812),
    [anon_sym_IMP] = ACTIONS(2812),
    [anon_sym_SEL] = ACTIONS(2812),
    [anon_sym_Class] = ACTIONS(2812),
    [anon_sym_id] = ACTIONS(2812),
  },
  [348] = {
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_include_token1] = ACTIONS(2816),
    [aux_sym_preproc_include_token2] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token2] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [aux_sym_preproc_else_token1] = ACTIONS(2816),
    [aux_sym_preproc_elif_token1] = ACTIONS(2816),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_SEMI] = ACTIONS(2818),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym___attribute] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___cdecl] = ACTIONS(2816),
    [anon_sym___clrcall] = ACTIONS(2816),
    [anon_sym___stdcall] = ACTIONS(2816),
    [anon_sym___fastcall] = ACTIONS(2816),
    [anon_sym___thiscall] = ACTIONS(2816),
    [anon_sym___vectorcall] = ACTIONS(2816),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_ATautoreleasepool] = ACTIONS(2818),
    [anon_sym_auto] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_CG_EXTERN] = ACTIONS(2816),
    [anon_sym_CG_INLINE] = ACTIONS(2816),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2816),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2816),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2816),
    [anon_sym_IBOutlet] = ACTIONS(2816),
    [anon_sym_IBInspectable] = ACTIONS(2816),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2816),
    [anon_sym_NS_INLINE] = ACTIONS(2816),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2816),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2816),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2816),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym__Nonnull] = ACTIONS(2816),
    [anon_sym_nullable] = ACTIONS(2816),
    [anon_sym__Complex] = ACTIONS(2816),
    [anon_sym__Nullable] = ACTIONS(2816),
    [anon_sym__Nullable_result] = ACTIONS(2816),
    [anon_sym__Null_unspecified] = ACTIONS(2816),
    [anon_sym___autoreleasing] = ACTIONS(2816),
    [anon_sym___block] = ACTIONS(2816),
    [anon_sym___bridge] = ACTIONS(2816),
    [anon_sym___bridge_retained] = ACTIONS(2816),
    [anon_sym___bridge_transfer] = ACTIONS(2816),
    [anon_sym___complex] = ACTIONS(2816),
    [anon_sym___const] = ACTIONS(2816),
    [anon_sym___imag] = ACTIONS(2816),
    [anon_sym___kindof] = ACTIONS(2816),
    [anon_sym___nonnull] = ACTIONS(2816),
    [anon_sym___nullable] = ACTIONS(2816),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2816),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2816),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2816),
    [anon_sym___real] = ACTIONS(2816),
    [anon_sym___strong] = ACTIONS(2816),
    [anon_sym___unsafe_unretained] = ACTIONS(2816),
    [anon_sym___unused] = ACTIONS(2816),
    [anon_sym___weak] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [anon_sym_if] = ACTIONS(2816),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_case] = ACTIONS(2816),
    [anon_sym_default] = ACTIONS(2816),
    [anon_sym_while] = ACTIONS(2816),
    [anon_sym_do] = ACTIONS(2816),
    [anon_sym_for] = ACTIONS(2816),
    [anon_sym_in] = ACTIONS(2816),
    [anon_sym_return] = ACTIONS(2816),
    [anon_sym_break] = ACTIONS(2816),
    [anon_sym_continue] = ACTIONS(2816),
    [anon_sym_goto] = ACTIONS(2816),
    [anon_sym_DASH_DASH] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2818),
    [anon_sym_sizeof] = ACTIONS(2816),
    [anon_sym___alignof__] = ACTIONS(2816),
    [anon_sym___alignof] = ACTIONS(2816),
    [anon_sym__alignof] = ACTIONS(2816),
    [anon_sym_alignof] = ACTIONS(2816),
    [anon_sym__Alignof] = ACTIONS(2816),
    [anon_sym_offsetof] = ACTIONS(2816),
    [anon_sym__Generic] = ACTIONS(2816),
    [anon_sym_asm] = ACTIONS(2816),
    [anon_sym___asm__] = ACTIONS(2816),
    [anon_sym___asm] = ACTIONS(2816),
    [sym_number_literal] = ACTIONS(2818),
    [anon_sym_L_SQUOTE] = ACTIONS(2818),
    [anon_sym_u_SQUOTE] = ACTIONS(2818),
    [anon_sym_U_SQUOTE] = ACTIONS(2818),
    [anon_sym_u8_SQUOTE] = ACTIONS(2818),
    [anon_sym_SQUOTE] = ACTIONS(2818),
    [anon_sym_AT] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2818),
    [anon_sym_L_DQUOTE] = ACTIONS(2818),
    [anon_sym_u_DQUOTE] = ACTIONS(2818),
    [anon_sym_U_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8_DQUOTE] = ACTIONS(2818),
    [sym_true] = ACTIONS(2816),
    [sym_false] = ACTIONS(2816),
    [anon_sym_NULL] = ACTIONS(2816),
    [anon_sym_nullptr] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2816),
    [anon_sym___typeof] = ACTIONS(2816),
    [anon_sym_typeof] = ACTIONS(2816),
    [anon_sym_ATimport] = ACTIONS(2818),
    [aux_sym_preproc_undef_token1] = ACTIONS(2816),
    [anon_sym_POUND] = ACTIONS(2816),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2816),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2816),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2816),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2816),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2816),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2816),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2816),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2816),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2816),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2816),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2816),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2816),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2816),
    [anon_sym_API_AVAILABLE] = ACTIONS(2816),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2816),
    [anon_sym_API_DEPRECATED] = ACTIONS(2816),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2816),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2816),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2816),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2816),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2816),
    [anon_sym___deprecated_msg] = ACTIONS(2816),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2816),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2816),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2816),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2816),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2816),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2816),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2816),
    [anon_sym_ATprotocol] = ACTIONS(2818),
    [anon_sym_ATinterface] = ACTIONS(2818),
    [anon_sym_ATimplementation] = ACTIONS(2818),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2818),
    [anon_sym_ATsynthesize] = ACTIONS(2818),
    [anon_sym_ATdynamic] = ACTIONS(2818),
    [anon_sym_ATtry] = ACTIONS(2818),
    [anon_sym___try] = ACTIONS(2816),
    [anon_sym_ATthrow] = ACTIONS(2818),
    [anon_sym_ATselector] = ACTIONS(2818),
    [anon_sym_ATavailable] = ACTIONS(2818),
    [anon_sym___builtin_available] = ACTIONS(2816),
    [anon_sym_va_arg] = ACTIONS(2816),
    [anon_sym_ATencode] = ACTIONS(2818),
    [anon_sym_ATsynchronized] = ACTIONS(2818),
    [anon_sym_BOOL] = ACTIONS(2816),
    [anon_sym_IMP] = ACTIONS(2816),
    [anon_sym_SEL] = ACTIONS(2816),
    [anon_sym_Class] = ACTIONS(2816),
    [anon_sym_id] = ACTIONS(2816),
  },
  [349] = {
    [sym_identifier] = ACTIONS(2820),
    [aux_sym_preproc_include_token1] = ACTIONS(2820),
    [aux_sym_preproc_include_token2] = ACTIONS(2820),
    [aux_sym_preproc_def_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token2] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2820),
    [aux_sym_preproc_else_token1] = ACTIONS(2820),
    [aux_sym_preproc_elif_token1] = ACTIONS(2820),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2820),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2820),
    [sym_preproc_directive] = ACTIONS(2820),
    [anon_sym_LPAREN2] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2820),
    [anon_sym_PLUS] = ACTIONS(2820),
    [anon_sym_STAR] = ACTIONS(2822),
    [anon_sym_CARET] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2822),
    [anon_sym___extension__] = ACTIONS(2820),
    [anon_sym_typedef] = ACTIONS(2820),
    [anon_sym_extern] = ACTIONS(2820),
    [anon_sym___attribute__] = ACTIONS(2820),
    [anon_sym___attribute] = ACTIONS(2820),
    [anon_sym_noreturn] = ACTIONS(2820),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym___declspec] = ACTIONS(2820),
    [anon_sym___cdecl] = ACTIONS(2820),
    [anon_sym___clrcall] = ACTIONS(2820),
    [anon_sym___stdcall] = ACTIONS(2820),
    [anon_sym___fastcall] = ACTIONS(2820),
    [anon_sym___thiscall] = ACTIONS(2820),
    [anon_sym___vectorcall] = ACTIONS(2820),
    [anon_sym_LBRACE] = ACTIONS(2822),
    [anon_sym_signed] = ACTIONS(2820),
    [anon_sym_unsigned] = ACTIONS(2820),
    [anon_sym_long] = ACTIONS(2820),
    [anon_sym_short] = ACTIONS(2820),
    [anon_sym_static] = ACTIONS(2820),
    [anon_sym_ATautoreleasepool] = ACTIONS(2822),
    [anon_sym_auto] = ACTIONS(2820),
    [anon_sym_register] = ACTIONS(2820),
    [anon_sym_inline] = ACTIONS(2820),
    [anon_sym___inline] = ACTIONS(2820),
    [anon_sym___inline__] = ACTIONS(2820),
    [anon_sym___forceinline] = ACTIONS(2820),
    [anon_sym_thread_local] = ACTIONS(2820),
    [anon_sym___thread] = ACTIONS(2820),
    [anon_sym_CG_EXTERN] = ACTIONS(2820),
    [anon_sym_CG_INLINE] = ACTIONS(2820),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2820),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2820),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2820),
    [anon_sym_IBOutlet] = ACTIONS(2820),
    [anon_sym_IBInspectable] = ACTIONS(2820),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2820),
    [anon_sym_NS_INLINE] = ACTIONS(2820),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2820),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2820),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2820),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2820),
    [anon_sym_const] = ACTIONS(2820),
    [anon_sym_constexpr] = ACTIONS(2820),
    [anon_sym_volatile] = ACTIONS(2820),
    [anon_sym_restrict] = ACTIONS(2820),
    [anon_sym___restrict__] = ACTIONS(2820),
    [anon_sym__Atomic] = ACTIONS(2820),
    [anon_sym__Noreturn] = ACTIONS(2820),
    [anon_sym__Nonnull] = ACTIONS(2820),
    [anon_sym_nullable] = ACTIONS(2820),
    [anon_sym__Complex] = ACTIONS(2820),
    [anon_sym__Nullable] = ACTIONS(2820),
    [anon_sym__Nullable_result] = ACTIONS(2820),
    [anon_sym__Null_unspecified] = ACTIONS(2820),
    [anon_sym___autoreleasing] = ACTIONS(2820),
    [anon_sym___block] = ACTIONS(2820),
    [anon_sym___bridge] = ACTIONS(2820),
    [anon_sym___bridge_retained] = ACTIONS(2820),
    [anon_sym___bridge_transfer] = ACTIONS(2820),
    [anon_sym___complex] = ACTIONS(2820),
    [anon_sym___const] = ACTIONS(2820),
    [anon_sym___imag] = ACTIONS(2820),
    [anon_sym___kindof] = ACTIONS(2820),
    [anon_sym___nonnull] = ACTIONS(2820),
    [anon_sym___nullable] = ACTIONS(2820),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2820),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2820),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2820),
    [anon_sym___real] = ACTIONS(2820),
    [anon_sym___strong] = ACTIONS(2820),
    [anon_sym___unsafe_unretained] = ACTIONS(2820),
    [anon_sym___unused] = ACTIONS(2820),
    [anon_sym___weak] = ACTIONS(2820),
    [anon_sym_alignas] = ACTIONS(2820),
    [anon_sym__Alignas] = ACTIONS(2820),
    [sym_primitive_type] = ACTIONS(2820),
    [anon_sym_enum] = ACTIONS(2820),
    [anon_sym_struct] = ACTIONS(2820),
    [anon_sym_union] = ACTIONS(2820),
    [anon_sym_if] = ACTIONS(2820),
    [anon_sym_switch] = ACTIONS(2820),
    [anon_sym_case] = ACTIONS(2820),
    [anon_sym_default] = ACTIONS(2820),
    [anon_sym_while] = ACTIONS(2820),
    [anon_sym_do] = ACTIONS(2820),
    [anon_sym_for] = ACTIONS(2820),
    [anon_sym_in] = ACTIONS(2820),
    [anon_sym_return] = ACTIONS(2820),
    [anon_sym_break] = ACTIONS(2820),
    [anon_sym_continue] = ACTIONS(2820),
    [anon_sym_goto] = ACTIONS(2820),
    [anon_sym_DASH_DASH] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2822),
    [anon_sym_sizeof] = ACTIONS(2820),
    [anon_sym___alignof__] = ACTIONS(2820),
    [anon_sym___alignof] = ACTIONS(2820),
    [anon_sym__alignof] = ACTIONS(2820),
    [anon_sym_alignof] = ACTIONS(2820),
    [anon_sym__Alignof] = ACTIONS(2820),
    [anon_sym_offsetof] = ACTIONS(2820),
    [anon_sym__Generic] = ACTIONS(2820),
    [anon_sym_asm] = ACTIONS(2820),
    [anon_sym___asm__] = ACTIONS(2820),
    [anon_sym___asm] = ACTIONS(2820),
    [sym_number_literal] = ACTIONS(2822),
    [anon_sym_L_SQUOTE] = ACTIONS(2822),
    [anon_sym_u_SQUOTE] = ACTIONS(2822),
    [anon_sym_U_SQUOTE] = ACTIONS(2822),
    [anon_sym_u8_SQUOTE] = ACTIONS(2822),
    [anon_sym_SQUOTE] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2820),
    [anon_sym_DQUOTE] = ACTIONS(2822),
    [anon_sym_L_DQUOTE] = ACTIONS(2822),
    [anon_sym_u_DQUOTE] = ACTIONS(2822),
    [anon_sym_U_DQUOTE] = ACTIONS(2822),
    [anon_sym_u8_DQUOTE] = ACTIONS(2822),
    [sym_true] = ACTIONS(2820),
    [sym_false] = ACTIONS(2820),
    [anon_sym_NULL] = ACTIONS(2820),
    [anon_sym_nullptr] = ACTIONS(2820),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2820),
    [anon_sym___typeof] = ACTIONS(2820),
    [anon_sym_typeof] = ACTIONS(2820),
    [anon_sym_ATimport] = ACTIONS(2822),
    [aux_sym_preproc_undef_token1] = ACTIONS(2820),
    [anon_sym_POUND] = ACTIONS(2820),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2820),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2820),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2820),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2820),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2820),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2820),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2820),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2820),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2820),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2820),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2820),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2820),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2820),
    [anon_sym_API_AVAILABLE] = ACTIONS(2820),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2820),
    [anon_sym_API_DEPRECATED] = ACTIONS(2820),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2820),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2820),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2820),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2820),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2820),
    [anon_sym___deprecated_msg] = ACTIONS(2820),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2820),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2820),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2820),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2820),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2820),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2820),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2820),
    [anon_sym_ATprotocol] = ACTIONS(2822),
    [anon_sym_ATinterface] = ACTIONS(2822),
    [anon_sym_ATimplementation] = ACTIONS(2822),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2822),
    [anon_sym_ATsynthesize] = ACTIONS(2822),
    [anon_sym_ATdynamic] = ACTIONS(2822),
    [anon_sym_ATtry] = ACTIONS(2822),
    [anon_sym___try] = ACTIONS(2820),
    [anon_sym_ATthrow] = ACTIONS(2822),
    [anon_sym_ATselector] = ACTIONS(2822),
    [anon_sym_ATavailable] = ACTIONS(2822),
    [anon_sym___builtin_available] = ACTIONS(2820),
    [anon_sym_va_arg] = ACTIONS(2820),
    [anon_sym_ATencode] = ACTIONS(2822),
    [anon_sym_ATsynchronized] = ACTIONS(2822),
    [anon_sym_BOOL] = ACTIONS(2820),
    [anon_sym_IMP] = ACTIONS(2820),
    [anon_sym_SEL] = ACTIONS(2820),
    [anon_sym_Class] = ACTIONS(2820),
    [anon_sym_id] = ACTIONS(2820),
  },
  [350] = {
    [sym_identifier] = ACTIONS(2824),
    [aux_sym_preproc_include_token1] = ACTIONS(2824),
    [aux_sym_preproc_include_token2] = ACTIONS(2824),
    [aux_sym_preproc_def_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token2] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2824),
    [aux_sym_preproc_else_token1] = ACTIONS(2824),
    [aux_sym_preproc_elif_token1] = ACTIONS(2824),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2824),
    [sym_preproc_directive] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2826),
    [anon_sym_BANG] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_DASH] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2824),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2826),
    [anon_sym___extension__] = ACTIONS(2824),
    [anon_sym_typedef] = ACTIONS(2824),
    [anon_sym_extern] = ACTIONS(2824),
    [anon_sym___attribute__] = ACTIONS(2824),
    [anon_sym___attribute] = ACTIONS(2824),
    [anon_sym_noreturn] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym___declspec] = ACTIONS(2824),
    [anon_sym___cdecl] = ACTIONS(2824),
    [anon_sym___clrcall] = ACTIONS(2824),
    [anon_sym___stdcall] = ACTIONS(2824),
    [anon_sym___fastcall] = ACTIONS(2824),
    [anon_sym___thiscall] = ACTIONS(2824),
    [anon_sym___vectorcall] = ACTIONS(2824),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_signed] = ACTIONS(2824),
    [anon_sym_unsigned] = ACTIONS(2824),
    [anon_sym_long] = ACTIONS(2824),
    [anon_sym_short] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_ATautoreleasepool] = ACTIONS(2826),
    [anon_sym_auto] = ACTIONS(2824),
    [anon_sym_register] = ACTIONS(2824),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym___inline] = ACTIONS(2824),
    [anon_sym___inline__] = ACTIONS(2824),
    [anon_sym___forceinline] = ACTIONS(2824),
    [anon_sym_thread_local] = ACTIONS(2824),
    [anon_sym___thread] = ACTIONS(2824),
    [anon_sym_CG_EXTERN] = ACTIONS(2824),
    [anon_sym_CG_INLINE] = ACTIONS(2824),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2824),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2824),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2824),
    [anon_sym_IBOutlet] = ACTIONS(2824),
    [anon_sym_IBInspectable] = ACTIONS(2824),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2824),
    [anon_sym_NS_INLINE] = ACTIONS(2824),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2824),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2824),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2824),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_constexpr] = ACTIONS(2824),
    [anon_sym_volatile] = ACTIONS(2824),
    [anon_sym_restrict] = ACTIONS(2824),
    [anon_sym___restrict__] = ACTIONS(2824),
    [anon_sym__Atomic] = ACTIONS(2824),
    [anon_sym__Noreturn] = ACTIONS(2824),
    [anon_sym__Nonnull] = ACTIONS(2824),
    [anon_sym_nullable] = ACTIONS(2824),
    [anon_sym__Complex] = ACTIONS(2824),
    [anon_sym__Nullable] = ACTIONS(2824),
    [anon_sym__Nullable_result] = ACTIONS(2824),
    [anon_sym__Null_unspecified] = ACTIONS(2824),
    [anon_sym___autoreleasing] = ACTIONS(2824),
    [anon_sym___block] = ACTIONS(2824),
    [anon_sym___bridge] = ACTIONS(2824),
    [anon_sym___bridge_retained] = ACTIONS(2824),
    [anon_sym___bridge_transfer] = ACTIONS(2824),
    [anon_sym___complex] = ACTIONS(2824),
    [anon_sym___const] = ACTIONS(2824),
    [anon_sym___imag] = ACTIONS(2824),
    [anon_sym___kindof] = ACTIONS(2824),
    [anon_sym___nonnull] = ACTIONS(2824),
    [anon_sym___nullable] = ACTIONS(2824),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2824),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2824),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2824),
    [anon_sym___real] = ACTIONS(2824),
    [anon_sym___strong] = ACTIONS(2824),
    [anon_sym___unsafe_unretained] = ACTIONS(2824),
    [anon_sym___unused] = ACTIONS(2824),
    [anon_sym___weak] = ACTIONS(2824),
    [anon_sym_alignas] = ACTIONS(2824),
    [anon_sym__Alignas] = ACTIONS(2824),
    [sym_primitive_type] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [anon_sym_struct] = ACTIONS(2824),
    [anon_sym_union] = ACTIONS(2824),
    [anon_sym_if] = ACTIONS(2824),
    [anon_sym_switch] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2824),
    [anon_sym_default] = ACTIONS(2824),
    [anon_sym_while] = ACTIONS(2824),
    [anon_sym_do] = ACTIONS(2824),
    [anon_sym_for] = ACTIONS(2824),
    [anon_sym_in] = ACTIONS(2824),
    [anon_sym_return] = ACTIONS(2824),
    [anon_sym_break] = ACTIONS(2824),
    [anon_sym_continue] = ACTIONS(2824),
    [anon_sym_goto] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_sizeof] = ACTIONS(2824),
    [anon_sym___alignof__] = ACTIONS(2824),
    [anon_sym___alignof] = ACTIONS(2824),
    [anon_sym__alignof] = ACTIONS(2824),
    [anon_sym_alignof] = ACTIONS(2824),
    [anon_sym__Alignof] = ACTIONS(2824),
    [anon_sym_offsetof] = ACTIONS(2824),
    [anon_sym__Generic] = ACTIONS(2824),
    [anon_sym_asm] = ACTIONS(2824),
    [anon_sym___asm__] = ACTIONS(2824),
    [anon_sym___asm] = ACTIONS(2824),
    [sym_number_literal] = ACTIONS(2826),
    [anon_sym_L_SQUOTE] = ACTIONS(2826),
    [anon_sym_u_SQUOTE] = ACTIONS(2826),
    [anon_sym_U_SQUOTE] = ACTIONS(2826),
    [anon_sym_u8_SQUOTE] = ACTIONS(2826),
    [anon_sym_SQUOTE] = ACTIONS(2826),
    [anon_sym_AT] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2826),
    [anon_sym_L_DQUOTE] = ACTIONS(2826),
    [anon_sym_u_DQUOTE] = ACTIONS(2826),
    [anon_sym_U_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8_DQUOTE] = ACTIONS(2826),
    [sym_true] = ACTIONS(2824),
    [sym_false] = ACTIONS(2824),
    [anon_sym_NULL] = ACTIONS(2824),
    [anon_sym_nullptr] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2824),
    [anon_sym___typeof] = ACTIONS(2824),
    [anon_sym_typeof] = ACTIONS(2824),
    [anon_sym_ATimport] = ACTIONS(2826),
    [aux_sym_preproc_undef_token1] = ACTIONS(2824),
    [anon_sym_POUND] = ACTIONS(2824),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2824),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2824),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2824),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2824),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2824),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2824),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2824),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2824),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2824),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2824),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2824),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2824),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2824),
    [anon_sym_API_AVAILABLE] = ACTIONS(2824),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2824),
    [anon_sym_API_DEPRECATED] = ACTIONS(2824),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2824),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2824),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2824),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2824),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2824),
    [anon_sym___deprecated_msg] = ACTIONS(2824),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2824),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2824),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2824),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2824),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2824),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2824),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2824),
    [anon_sym_ATprotocol] = ACTIONS(2826),
    [anon_sym_ATinterface] = ACTIONS(2826),
    [anon_sym_ATimplementation] = ACTIONS(2826),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2826),
    [anon_sym_ATsynthesize] = ACTIONS(2826),
    [anon_sym_ATdynamic] = ACTIONS(2826),
    [anon_sym_ATtry] = ACTIONS(2826),
    [anon_sym___try] = ACTIONS(2824),
    [anon_sym_ATthrow] = ACTIONS(2826),
    [anon_sym_ATselector] = ACTIONS(2826),
    [anon_sym_ATavailable] = ACTIONS(2826),
    [anon_sym___builtin_available] = ACTIONS(2824),
    [anon_sym_va_arg] = ACTIONS(2824),
    [anon_sym_ATencode] = ACTIONS(2826),
    [anon_sym_ATsynchronized] = ACTIONS(2826),
    [anon_sym_BOOL] = ACTIONS(2824),
    [anon_sym_IMP] = ACTIONS(2824),
    [anon_sym_SEL] = ACTIONS(2824),
    [anon_sym_Class] = ACTIONS(2824),
    [anon_sym_id] = ACTIONS(2824),
  },
  [351] = {
    [sym_identifier] = ACTIONS(2828),
    [aux_sym_preproc_include_token1] = ACTIONS(2828),
    [aux_sym_preproc_include_token2] = ACTIONS(2828),
    [aux_sym_preproc_def_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token2] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2828),
    [aux_sym_preproc_else_token1] = ACTIONS(2828),
    [aux_sym_preproc_elif_token1] = ACTIONS(2828),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2828),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2828),
    [sym_preproc_directive] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2830),
    [anon_sym_BANG] = ACTIONS(2830),
    [anon_sym_TILDE] = ACTIONS(2830),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2830),
    [anon_sym_CARET] = ACTIONS(2830),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_SEMI] = ACTIONS(2830),
    [anon_sym___extension__] = ACTIONS(2828),
    [anon_sym_typedef] = ACTIONS(2828),
    [anon_sym_extern] = ACTIONS(2828),
    [anon_sym___attribute__] = ACTIONS(2828),
    [anon_sym___attribute] = ACTIONS(2828),
    [anon_sym_noreturn] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym___declspec] = ACTIONS(2828),
    [anon_sym___cdecl] = ACTIONS(2828),
    [anon_sym___clrcall] = ACTIONS(2828),
    [anon_sym___stdcall] = ACTIONS(2828),
    [anon_sym___fastcall] = ACTIONS(2828),
    [anon_sym___thiscall] = ACTIONS(2828),
    [anon_sym___vectorcall] = ACTIONS(2828),
    [anon_sym_LBRACE] = ACTIONS(2830),
    [anon_sym_signed] = ACTIONS(2828),
    [anon_sym_unsigned] = ACTIONS(2828),
    [anon_sym_long] = ACTIONS(2828),
    [anon_sym_short] = ACTIONS(2828),
    [anon_sym_static] = ACTIONS(2828),
    [anon_sym_ATautoreleasepool] = ACTIONS(2830),
    [anon_sym_auto] = ACTIONS(2828),
    [anon_sym_register] = ACTIONS(2828),
    [anon_sym_inline] = ACTIONS(2828),
    [anon_sym___inline] = ACTIONS(2828),
    [anon_sym___inline__] = ACTIONS(2828),
    [anon_sym___forceinline] = ACTIONS(2828),
    [anon_sym_thread_local] = ACTIONS(2828),
    [anon_sym___thread] = ACTIONS(2828),
    [anon_sym_CG_EXTERN] = ACTIONS(2828),
    [anon_sym_CG_INLINE] = ACTIONS(2828),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2828),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2828),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2828),
    [anon_sym_IBOutlet] = ACTIONS(2828),
    [anon_sym_IBInspectable] = ACTIONS(2828),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2828),
    [anon_sym_NS_INLINE] = ACTIONS(2828),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2828),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2828),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2828),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2828),
    [anon_sym_const] = ACTIONS(2828),
    [anon_sym_constexpr] = ACTIONS(2828),
    [anon_sym_volatile] = ACTIONS(2828),
    [anon_sym_restrict] = ACTIONS(2828),
    [anon_sym___restrict__] = ACTIONS(2828),
    [anon_sym__Atomic] = ACTIONS(2828),
    [anon_sym__Noreturn] = ACTIONS(2828),
    [anon_sym__Nonnull] = ACTIONS(2828),
    [anon_sym_nullable] = ACTIONS(2828),
    [anon_sym__Complex] = ACTIONS(2828),
    [anon_sym__Nullable] = ACTIONS(2828),
    [anon_sym__Nullable_result] = ACTIONS(2828),
    [anon_sym__Null_unspecified] = ACTIONS(2828),
    [anon_sym___autoreleasing] = ACTIONS(2828),
    [anon_sym___block] = ACTIONS(2828),
    [anon_sym___bridge] = ACTIONS(2828),
    [anon_sym___bridge_retained] = ACTIONS(2828),
    [anon_sym___bridge_transfer] = ACTIONS(2828),
    [anon_sym___complex] = ACTIONS(2828),
    [anon_sym___const] = ACTIONS(2828),
    [anon_sym___imag] = ACTIONS(2828),
    [anon_sym___kindof] = ACTIONS(2828),
    [anon_sym___nonnull] = ACTIONS(2828),
    [anon_sym___nullable] = ACTIONS(2828),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2828),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2828),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2828),
    [anon_sym___real] = ACTIONS(2828),
    [anon_sym___strong] = ACTIONS(2828),
    [anon_sym___unsafe_unretained] = ACTIONS(2828),
    [anon_sym___unused] = ACTIONS(2828),
    [anon_sym___weak] = ACTIONS(2828),
    [anon_sym_alignas] = ACTIONS(2828),
    [anon_sym__Alignas] = ACTIONS(2828),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_enum] = ACTIONS(2828),
    [anon_sym_struct] = ACTIONS(2828),
    [anon_sym_union] = ACTIONS(2828),
    [anon_sym_if] = ACTIONS(2828),
    [anon_sym_switch] = ACTIONS(2828),
    [anon_sym_case] = ACTIONS(2828),
    [anon_sym_default] = ACTIONS(2828),
    [anon_sym_while] = ACTIONS(2828),
    [anon_sym_do] = ACTIONS(2828),
    [anon_sym_for] = ACTIONS(2828),
    [anon_sym_in] = ACTIONS(2828),
    [anon_sym_return] = ACTIONS(2828),
    [anon_sym_break] = ACTIONS(2828),
    [anon_sym_continue] = ACTIONS(2828),
    [anon_sym_goto] = ACTIONS(2828),
    [anon_sym_DASH_DASH] = ACTIONS(2830),
    [anon_sym_PLUS_PLUS] = ACTIONS(2830),
    [anon_sym_sizeof] = ACTIONS(2828),
    [anon_sym___alignof__] = ACTIONS(2828),
    [anon_sym___alignof] = ACTIONS(2828),
    [anon_sym__alignof] = ACTIONS(2828),
    [anon_sym_alignof] = ACTIONS(2828),
    [anon_sym__Alignof] = ACTIONS(2828),
    [anon_sym_offsetof] = ACTIONS(2828),
    [anon_sym__Generic] = ACTIONS(2828),
    [anon_sym_asm] = ACTIONS(2828),
    [anon_sym___asm__] = ACTIONS(2828),
    [anon_sym___asm] = ACTIONS(2828),
    [sym_number_literal] = ACTIONS(2830),
    [anon_sym_L_SQUOTE] = ACTIONS(2830),
    [anon_sym_u_SQUOTE] = ACTIONS(2830),
    [anon_sym_U_SQUOTE] = ACTIONS(2830),
    [anon_sym_u8_SQUOTE] = ACTIONS(2830),
    [anon_sym_SQUOTE] = ACTIONS(2830),
    [anon_sym_AT] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2830),
    [anon_sym_L_DQUOTE] = ACTIONS(2830),
    [anon_sym_u_DQUOTE] = ACTIONS(2830),
    [anon_sym_U_DQUOTE] = ACTIONS(2830),
    [anon_sym_u8_DQUOTE] = ACTIONS(2830),
    [sym_true] = ACTIONS(2828),
    [sym_false] = ACTIONS(2828),
    [anon_sym_NULL] = ACTIONS(2828),
    [anon_sym_nullptr] = ACTIONS(2828),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2828),
    [anon_sym___typeof] = ACTIONS(2828),
    [anon_sym_typeof] = ACTIONS(2828),
    [anon_sym_ATimport] = ACTIONS(2830),
    [aux_sym_preproc_undef_token1] = ACTIONS(2828),
    [anon_sym_POUND] = ACTIONS(2828),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2828),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2828),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2828),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2828),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2828),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2828),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2828),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2828),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2828),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2828),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2828),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2828),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2828),
    [anon_sym_API_AVAILABLE] = ACTIONS(2828),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2828),
    [anon_sym_API_DEPRECATED] = ACTIONS(2828),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2828),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2828),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2828),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2828),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2828),
    [anon_sym___deprecated_msg] = ACTIONS(2828),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2828),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2828),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2828),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2828),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2828),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2828),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2828),
    [anon_sym_ATprotocol] = ACTIONS(2830),
    [anon_sym_ATinterface] = ACTIONS(2830),
    [anon_sym_ATimplementation] = ACTIONS(2830),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2830),
    [anon_sym_ATsynthesize] = ACTIONS(2830),
    [anon_sym_ATdynamic] = ACTIONS(2830),
    [anon_sym_ATtry] = ACTIONS(2830),
    [anon_sym___try] = ACTIONS(2828),
    [anon_sym_ATthrow] = ACTIONS(2830),
    [anon_sym_ATselector] = ACTIONS(2830),
    [anon_sym_ATavailable] = ACTIONS(2830),
    [anon_sym___builtin_available] = ACTIONS(2828),
    [anon_sym_va_arg] = ACTIONS(2828),
    [anon_sym_ATencode] = ACTIONS(2830),
    [anon_sym_ATsynchronized] = ACTIONS(2830),
    [anon_sym_BOOL] = ACTIONS(2828),
    [anon_sym_IMP] = ACTIONS(2828),
    [anon_sym_SEL] = ACTIONS(2828),
    [anon_sym_Class] = ACTIONS(2828),
    [anon_sym_id] = ACTIONS(2828),
  },
  [352] = {
    [sym_identifier] = ACTIONS(2832),
    [aux_sym_preproc_include_token1] = ACTIONS(2832),
    [aux_sym_preproc_include_token2] = ACTIONS(2832),
    [aux_sym_preproc_def_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token2] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2832),
    [aux_sym_preproc_else_token1] = ACTIONS(2832),
    [aux_sym_preproc_elif_token1] = ACTIONS(2832),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2832),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2832),
    [sym_preproc_directive] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2834),
    [anon_sym_TILDE] = ACTIONS(2834),
    [anon_sym_DASH] = ACTIONS(2832),
    [anon_sym_PLUS] = ACTIONS(2832),
    [anon_sym_STAR] = ACTIONS(2834),
    [anon_sym_CARET] = ACTIONS(2834),
    [anon_sym_AMP] = ACTIONS(2834),
    [anon_sym_SEMI] = ACTIONS(2834),
    [anon_sym___extension__] = ACTIONS(2832),
    [anon_sym_typedef] = ACTIONS(2832),
    [anon_sym_extern] = ACTIONS(2832),
    [anon_sym___attribute__] = ACTIONS(2832),
    [anon_sym___attribute] = ACTIONS(2832),
    [anon_sym_noreturn] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2834),
    [anon_sym___declspec] = ACTIONS(2832),
    [anon_sym___cdecl] = ACTIONS(2832),
    [anon_sym___clrcall] = ACTIONS(2832),
    [anon_sym___stdcall] = ACTIONS(2832),
    [anon_sym___fastcall] = ACTIONS(2832),
    [anon_sym___thiscall] = ACTIONS(2832),
    [anon_sym___vectorcall] = ACTIONS(2832),
    [anon_sym_LBRACE] = ACTIONS(2834),
    [anon_sym_signed] = ACTIONS(2832),
    [anon_sym_unsigned] = ACTIONS(2832),
    [anon_sym_long] = ACTIONS(2832),
    [anon_sym_short] = ACTIONS(2832),
    [anon_sym_static] = ACTIONS(2832),
    [anon_sym_ATautoreleasepool] = ACTIONS(2834),
    [anon_sym_auto] = ACTIONS(2832),
    [anon_sym_register] = ACTIONS(2832),
    [anon_sym_inline] = ACTIONS(2832),
    [anon_sym___inline] = ACTIONS(2832),
    [anon_sym___inline__] = ACTIONS(2832),
    [anon_sym___forceinline] = ACTIONS(2832),
    [anon_sym_thread_local] = ACTIONS(2832),
    [anon_sym___thread] = ACTIONS(2832),
    [anon_sym_CG_EXTERN] = ACTIONS(2832),
    [anon_sym_CG_INLINE] = ACTIONS(2832),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2832),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2832),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2832),
    [anon_sym_IBOutlet] = ACTIONS(2832),
    [anon_sym_IBInspectable] = ACTIONS(2832),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2832),
    [anon_sym_NS_INLINE] = ACTIONS(2832),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2832),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2832),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2832),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2832),
    [anon_sym_const] = ACTIONS(2832),
    [anon_sym_constexpr] = ACTIONS(2832),
    [anon_sym_volatile] = ACTIONS(2832),
    [anon_sym_restrict] = ACTIONS(2832),
    [anon_sym___restrict__] = ACTIONS(2832),
    [anon_sym__Atomic] = ACTIONS(2832),
    [anon_sym__Noreturn] = ACTIONS(2832),
    [anon_sym__Nonnull] = ACTIONS(2832),
    [anon_sym_nullable] = ACTIONS(2832),
    [anon_sym__Complex] = ACTIONS(2832),
    [anon_sym__Nullable] = ACTIONS(2832),
    [anon_sym__Nullable_result] = ACTIONS(2832),
    [anon_sym__Null_unspecified] = ACTIONS(2832),
    [anon_sym___autoreleasing] = ACTIONS(2832),
    [anon_sym___block] = ACTIONS(2832),
    [anon_sym___bridge] = ACTIONS(2832),
    [anon_sym___bridge_retained] = ACTIONS(2832),
    [anon_sym___bridge_transfer] = ACTIONS(2832),
    [anon_sym___complex] = ACTIONS(2832),
    [anon_sym___const] = ACTIONS(2832),
    [anon_sym___imag] = ACTIONS(2832),
    [anon_sym___kindof] = ACTIONS(2832),
    [anon_sym___nonnull] = ACTIONS(2832),
    [anon_sym___nullable] = ACTIONS(2832),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2832),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2832),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2832),
    [anon_sym___real] = ACTIONS(2832),
    [anon_sym___strong] = ACTIONS(2832),
    [anon_sym___unsafe_unretained] = ACTIONS(2832),
    [anon_sym___unused] = ACTIONS(2832),
    [anon_sym___weak] = ACTIONS(2832),
    [anon_sym_alignas] = ACTIONS(2832),
    [anon_sym__Alignas] = ACTIONS(2832),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_enum] = ACTIONS(2832),
    [anon_sym_struct] = ACTIONS(2832),
    [anon_sym_union] = ACTIONS(2832),
    [anon_sym_if] = ACTIONS(2832),
    [anon_sym_switch] = ACTIONS(2832),
    [anon_sym_case] = ACTIONS(2832),
    [anon_sym_default] = ACTIONS(2832),
    [anon_sym_while] = ACTIONS(2832),
    [anon_sym_do] = ACTIONS(2832),
    [anon_sym_for] = ACTIONS(2832),
    [anon_sym_in] = ACTIONS(2832),
    [anon_sym_return] = ACTIONS(2832),
    [anon_sym_break] = ACTIONS(2832),
    [anon_sym_continue] = ACTIONS(2832),
    [anon_sym_goto] = ACTIONS(2832),
    [anon_sym_DASH_DASH] = ACTIONS(2834),
    [anon_sym_PLUS_PLUS] = ACTIONS(2834),
    [anon_sym_sizeof] = ACTIONS(2832),
    [anon_sym___alignof__] = ACTIONS(2832),
    [anon_sym___alignof] = ACTIONS(2832),
    [anon_sym__alignof] = ACTIONS(2832),
    [anon_sym_alignof] = ACTIONS(2832),
    [anon_sym__Alignof] = ACTIONS(2832),
    [anon_sym_offsetof] = ACTIONS(2832),
    [anon_sym__Generic] = ACTIONS(2832),
    [anon_sym_asm] = ACTIONS(2832),
    [anon_sym___asm__] = ACTIONS(2832),
    [anon_sym___asm] = ACTIONS(2832),
    [sym_number_literal] = ACTIONS(2834),
    [anon_sym_L_SQUOTE] = ACTIONS(2834),
    [anon_sym_u_SQUOTE] = ACTIONS(2834),
    [anon_sym_U_SQUOTE] = ACTIONS(2834),
    [anon_sym_u8_SQUOTE] = ACTIONS(2834),
    [anon_sym_SQUOTE] = ACTIONS(2834),
    [anon_sym_AT] = ACTIONS(2832),
    [anon_sym_DQUOTE] = ACTIONS(2834),
    [anon_sym_L_DQUOTE] = ACTIONS(2834),
    [anon_sym_u_DQUOTE] = ACTIONS(2834),
    [anon_sym_U_DQUOTE] = ACTIONS(2834),
    [anon_sym_u8_DQUOTE] = ACTIONS(2834),
    [sym_true] = ACTIONS(2832),
    [sym_false] = ACTIONS(2832),
    [anon_sym_NULL] = ACTIONS(2832),
    [anon_sym_nullptr] = ACTIONS(2832),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2832),
    [anon_sym___typeof] = ACTIONS(2832),
    [anon_sym_typeof] = ACTIONS(2832),
    [anon_sym_ATimport] = ACTIONS(2834),
    [aux_sym_preproc_undef_token1] = ACTIONS(2832),
    [anon_sym_POUND] = ACTIONS(2832),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2832),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2832),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2832),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2832),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2832),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2832),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2832),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2832),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2832),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2832),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2832),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2832),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2832),
    [anon_sym_API_AVAILABLE] = ACTIONS(2832),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2832),
    [anon_sym_API_DEPRECATED] = ACTIONS(2832),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2832),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2832),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2832),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2832),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2832),
    [anon_sym___deprecated_msg] = ACTIONS(2832),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2832),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2832),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2832),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2832),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2832),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2832),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2832),
    [anon_sym_ATprotocol] = ACTIONS(2834),
    [anon_sym_ATinterface] = ACTIONS(2834),
    [anon_sym_ATimplementation] = ACTIONS(2834),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2834),
    [anon_sym_ATsynthesize] = ACTIONS(2834),
    [anon_sym_ATdynamic] = ACTIONS(2834),
    [anon_sym_ATtry] = ACTIONS(2834),
    [anon_sym___try] = ACTIONS(2832),
    [anon_sym_ATthrow] = ACTIONS(2834),
    [anon_sym_ATselector] = ACTIONS(2834),
    [anon_sym_ATavailable] = ACTIONS(2834),
    [anon_sym___builtin_available] = ACTIONS(2832),
    [anon_sym_va_arg] = ACTIONS(2832),
    [anon_sym_ATencode] = ACTIONS(2834),
    [anon_sym_ATsynchronized] = ACTIONS(2834),
    [anon_sym_BOOL] = ACTIONS(2832),
    [anon_sym_IMP] = ACTIONS(2832),
    [anon_sym_SEL] = ACTIONS(2832),
    [anon_sym_Class] = ACTIONS(2832),
    [anon_sym_id] = ACTIONS(2832),
  },
  [353] = {
    [sym_identifier] = ACTIONS(2836),
    [aux_sym_preproc_include_token1] = ACTIONS(2836),
    [aux_sym_preproc_include_token2] = ACTIONS(2836),
    [aux_sym_preproc_def_token1] = ACTIONS(2836),
    [aux_sym_preproc_if_token1] = ACTIONS(2836),
    [aux_sym_preproc_if_token2] = ACTIONS(2836),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2836),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2836),
    [aux_sym_preproc_else_token1] = ACTIONS(2836),
    [aux_sym_preproc_elif_token1] = ACTIONS(2836),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2836),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2836),
    [sym_preproc_directive] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2838),
    [anon_sym_TILDE] = ACTIONS(2838),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_STAR] = ACTIONS(2838),
    [anon_sym_CARET] = ACTIONS(2838),
    [anon_sym_AMP] = ACTIONS(2838),
    [anon_sym_SEMI] = ACTIONS(2838),
    [anon_sym___extension__] = ACTIONS(2836),
    [anon_sym_typedef] = ACTIONS(2836),
    [anon_sym_extern] = ACTIONS(2836),
    [anon_sym___attribute__] = ACTIONS(2836),
    [anon_sym___attribute] = ACTIONS(2836),
    [anon_sym_noreturn] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym___declspec] = ACTIONS(2836),
    [anon_sym___cdecl] = ACTIONS(2836),
    [anon_sym___clrcall] = ACTIONS(2836),
    [anon_sym___stdcall] = ACTIONS(2836),
    [anon_sym___fastcall] = ACTIONS(2836),
    [anon_sym___thiscall] = ACTIONS(2836),
    [anon_sym___vectorcall] = ACTIONS(2836),
    [anon_sym_LBRACE] = ACTIONS(2838),
    [anon_sym_signed] = ACTIONS(2836),
    [anon_sym_unsigned] = ACTIONS(2836),
    [anon_sym_long] = ACTIONS(2836),
    [anon_sym_short] = ACTIONS(2836),
    [anon_sym_static] = ACTIONS(2836),
    [anon_sym_ATautoreleasepool] = ACTIONS(2838),
    [anon_sym_auto] = ACTIONS(2836),
    [anon_sym_register] = ACTIONS(2836),
    [anon_sym_inline] = ACTIONS(2836),
    [anon_sym___inline] = ACTIONS(2836),
    [anon_sym___inline__] = ACTIONS(2836),
    [anon_sym___forceinline] = ACTIONS(2836),
    [anon_sym_thread_local] = ACTIONS(2836),
    [anon_sym___thread] = ACTIONS(2836),
    [anon_sym_CG_EXTERN] = ACTIONS(2836),
    [anon_sym_CG_INLINE] = ACTIONS(2836),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2836),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2836),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2836),
    [anon_sym_IBOutlet] = ACTIONS(2836),
    [anon_sym_IBInspectable] = ACTIONS(2836),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2836),
    [anon_sym_NS_INLINE] = ACTIONS(2836),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2836),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2836),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2836),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2836),
    [anon_sym_const] = ACTIONS(2836),
    [anon_sym_constexpr] = ACTIONS(2836),
    [anon_sym_volatile] = ACTIONS(2836),
    [anon_sym_restrict] = ACTIONS(2836),
    [anon_sym___restrict__] = ACTIONS(2836),
    [anon_sym__Atomic] = ACTIONS(2836),
    [anon_sym__Noreturn] = ACTIONS(2836),
    [anon_sym__Nonnull] = ACTIONS(2836),
    [anon_sym_nullable] = ACTIONS(2836),
    [anon_sym__Complex] = ACTIONS(2836),
    [anon_sym__Nullable] = ACTIONS(2836),
    [anon_sym__Nullable_result] = ACTIONS(2836),
    [anon_sym__Null_unspecified] = ACTIONS(2836),
    [anon_sym___autoreleasing] = ACTIONS(2836),
    [anon_sym___block] = ACTIONS(2836),
    [anon_sym___bridge] = ACTIONS(2836),
    [anon_sym___bridge_retained] = ACTIONS(2836),
    [anon_sym___bridge_transfer] = ACTIONS(2836),
    [anon_sym___complex] = ACTIONS(2836),
    [anon_sym___const] = ACTIONS(2836),
    [anon_sym___imag] = ACTIONS(2836),
    [anon_sym___kindof] = ACTIONS(2836),
    [anon_sym___nonnull] = ACTIONS(2836),
    [anon_sym___nullable] = ACTIONS(2836),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2836),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2836),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2836),
    [anon_sym___real] = ACTIONS(2836),
    [anon_sym___strong] = ACTIONS(2836),
    [anon_sym___unsafe_unretained] = ACTIONS(2836),
    [anon_sym___unused] = ACTIONS(2836),
    [anon_sym___weak] = ACTIONS(2836),
    [anon_sym_alignas] = ACTIONS(2836),
    [anon_sym__Alignas] = ACTIONS(2836),
    [sym_primitive_type] = ACTIONS(2836),
    [anon_sym_enum] = ACTIONS(2836),
    [anon_sym_struct] = ACTIONS(2836),
    [anon_sym_union] = ACTIONS(2836),
    [anon_sym_if] = ACTIONS(2836),
    [anon_sym_switch] = ACTIONS(2836),
    [anon_sym_case] = ACTIONS(2836),
    [anon_sym_default] = ACTIONS(2836),
    [anon_sym_while] = ACTIONS(2836),
    [anon_sym_do] = ACTIONS(2836),
    [anon_sym_for] = ACTIONS(2836),
    [anon_sym_in] = ACTIONS(2836),
    [anon_sym_return] = ACTIONS(2836),
    [anon_sym_break] = ACTIONS(2836),
    [anon_sym_continue] = ACTIONS(2836),
    [anon_sym_goto] = ACTIONS(2836),
    [anon_sym_DASH_DASH] = ACTIONS(2838),
    [anon_sym_PLUS_PLUS] = ACTIONS(2838),
    [anon_sym_sizeof] = ACTIONS(2836),
    [anon_sym___alignof__] = ACTIONS(2836),
    [anon_sym___alignof] = ACTIONS(2836),
    [anon_sym__alignof] = ACTIONS(2836),
    [anon_sym_alignof] = ACTIONS(2836),
    [anon_sym__Alignof] = ACTIONS(2836),
    [anon_sym_offsetof] = ACTIONS(2836),
    [anon_sym__Generic] = ACTIONS(2836),
    [anon_sym_asm] = ACTIONS(2836),
    [anon_sym___asm__] = ACTIONS(2836),
    [anon_sym___asm] = ACTIONS(2836),
    [sym_number_literal] = ACTIONS(2838),
    [anon_sym_L_SQUOTE] = ACTIONS(2838),
    [anon_sym_u_SQUOTE] = ACTIONS(2838),
    [anon_sym_U_SQUOTE] = ACTIONS(2838),
    [anon_sym_u8_SQUOTE] = ACTIONS(2838),
    [anon_sym_SQUOTE] = ACTIONS(2838),
    [anon_sym_AT] = ACTIONS(2836),
    [anon_sym_DQUOTE] = ACTIONS(2838),
    [anon_sym_L_DQUOTE] = ACTIONS(2838),
    [anon_sym_u_DQUOTE] = ACTIONS(2838),
    [anon_sym_U_DQUOTE] = ACTIONS(2838),
    [anon_sym_u8_DQUOTE] = ACTIONS(2838),
    [sym_true] = ACTIONS(2836),
    [sym_false] = ACTIONS(2836),
    [anon_sym_NULL] = ACTIONS(2836),
    [anon_sym_nullptr] = ACTIONS(2836),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2836),
    [anon_sym___typeof] = ACTIONS(2836),
    [anon_sym_typeof] = ACTIONS(2836),
    [anon_sym_ATimport] = ACTIONS(2838),
    [aux_sym_preproc_undef_token1] = ACTIONS(2836),
    [anon_sym_POUND] = ACTIONS(2836),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2836),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2836),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2836),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2836),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2836),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2836),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2836),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2836),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2836),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2836),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2836),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2836),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2836),
    [anon_sym_API_AVAILABLE] = ACTIONS(2836),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2836),
    [anon_sym_API_DEPRECATED] = ACTIONS(2836),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2836),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2836),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2836),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2836),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2836),
    [anon_sym___deprecated_msg] = ACTIONS(2836),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2836),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2836),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2836),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2836),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2836),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2836),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2836),
    [anon_sym_ATprotocol] = ACTIONS(2838),
    [anon_sym_ATinterface] = ACTIONS(2838),
    [anon_sym_ATimplementation] = ACTIONS(2838),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2838),
    [anon_sym_ATsynthesize] = ACTIONS(2838),
    [anon_sym_ATdynamic] = ACTIONS(2838),
    [anon_sym_ATtry] = ACTIONS(2838),
    [anon_sym___try] = ACTIONS(2836),
    [anon_sym_ATthrow] = ACTIONS(2838),
    [anon_sym_ATselector] = ACTIONS(2838),
    [anon_sym_ATavailable] = ACTIONS(2838),
    [anon_sym___builtin_available] = ACTIONS(2836),
    [anon_sym_va_arg] = ACTIONS(2836),
    [anon_sym_ATencode] = ACTIONS(2838),
    [anon_sym_ATsynchronized] = ACTIONS(2838),
    [anon_sym_BOOL] = ACTIONS(2836),
    [anon_sym_IMP] = ACTIONS(2836),
    [anon_sym_SEL] = ACTIONS(2836),
    [anon_sym_Class] = ACTIONS(2836),
    [anon_sym_id] = ACTIONS(2836),
  },
  [354] = {
    [sym_identifier] = ACTIONS(2840),
    [aux_sym_preproc_include_token1] = ACTIONS(2840),
    [aux_sym_preproc_include_token2] = ACTIONS(2840),
    [aux_sym_preproc_def_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token2] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2840),
    [aux_sym_preproc_else_token1] = ACTIONS(2840),
    [aux_sym_preproc_elif_token1] = ACTIONS(2840),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2840),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2840),
    [sym_preproc_directive] = ACTIONS(2840),
    [anon_sym_LPAREN2] = ACTIONS(2842),
    [anon_sym_BANG] = ACTIONS(2842),
    [anon_sym_TILDE] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2840),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_CARET] = ACTIONS(2842),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym_SEMI] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2840),
    [anon_sym_typedef] = ACTIONS(2840),
    [anon_sym_extern] = ACTIONS(2840),
    [anon_sym___attribute__] = ACTIONS(2840),
    [anon_sym___attribute] = ACTIONS(2840),
    [anon_sym_noreturn] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym___declspec] = ACTIONS(2840),
    [anon_sym___cdecl] = ACTIONS(2840),
    [anon_sym___clrcall] = ACTIONS(2840),
    [anon_sym___stdcall] = ACTIONS(2840),
    [anon_sym___fastcall] = ACTIONS(2840),
    [anon_sym___thiscall] = ACTIONS(2840),
    [anon_sym___vectorcall] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2840),
    [anon_sym_unsigned] = ACTIONS(2840),
    [anon_sym_long] = ACTIONS(2840),
    [anon_sym_short] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_ATautoreleasepool] = ACTIONS(2842),
    [anon_sym_auto] = ACTIONS(2840),
    [anon_sym_register] = ACTIONS(2840),
    [anon_sym_inline] = ACTIONS(2840),
    [anon_sym___inline] = ACTIONS(2840),
    [anon_sym___inline__] = ACTIONS(2840),
    [anon_sym___forceinline] = ACTIONS(2840),
    [anon_sym_thread_local] = ACTIONS(2840),
    [anon_sym___thread] = ACTIONS(2840),
    [anon_sym_CG_EXTERN] = ACTIONS(2840),
    [anon_sym_CG_INLINE] = ACTIONS(2840),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2840),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2840),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2840),
    [anon_sym_IBOutlet] = ACTIONS(2840),
    [anon_sym_IBInspectable] = ACTIONS(2840),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2840),
    [anon_sym_NS_INLINE] = ACTIONS(2840),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2840),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2840),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2840),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_constexpr] = ACTIONS(2840),
    [anon_sym_volatile] = ACTIONS(2840),
    [anon_sym_restrict] = ACTIONS(2840),
    [anon_sym___restrict__] = ACTIONS(2840),
    [anon_sym__Atomic] = ACTIONS(2840),
    [anon_sym__Noreturn] = ACTIONS(2840),
    [anon_sym__Nonnull] = ACTIONS(2840),
    [anon_sym_nullable] = ACTIONS(2840),
    [anon_sym__Complex] = ACTIONS(2840),
    [anon_sym__Nullable] = ACTIONS(2840),
    [anon_sym__Nullable_result] = ACTIONS(2840),
    [anon_sym__Null_unspecified] = ACTIONS(2840),
    [anon_sym___autoreleasing] = ACTIONS(2840),
    [anon_sym___block] = ACTIONS(2840),
    [anon_sym___bridge] = ACTIONS(2840),
    [anon_sym___bridge_retained] = ACTIONS(2840),
    [anon_sym___bridge_transfer] = ACTIONS(2840),
    [anon_sym___complex] = ACTIONS(2840),
    [anon_sym___const] = ACTIONS(2840),
    [anon_sym___imag] = ACTIONS(2840),
    [anon_sym___kindof] = ACTIONS(2840),
    [anon_sym___nonnull] = ACTIONS(2840),
    [anon_sym___nullable] = ACTIONS(2840),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2840),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2840),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2840),
    [anon_sym___real] = ACTIONS(2840),
    [anon_sym___strong] = ACTIONS(2840),
    [anon_sym___unsafe_unretained] = ACTIONS(2840),
    [anon_sym___unused] = ACTIONS(2840),
    [anon_sym___weak] = ACTIONS(2840),
    [anon_sym_alignas] = ACTIONS(2840),
    [anon_sym__Alignas] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_union] = ACTIONS(2840),
    [anon_sym_if] = ACTIONS(2840),
    [anon_sym_switch] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_default] = ACTIONS(2840),
    [anon_sym_while] = ACTIONS(2840),
    [anon_sym_do] = ACTIONS(2840),
    [anon_sym_for] = ACTIONS(2840),
    [anon_sym_in] = ACTIONS(2840),
    [anon_sym_return] = ACTIONS(2840),
    [anon_sym_break] = ACTIONS(2840),
    [anon_sym_continue] = ACTIONS(2840),
    [anon_sym_goto] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2842),
    [anon_sym_sizeof] = ACTIONS(2840),
    [anon_sym___alignof__] = ACTIONS(2840),
    [anon_sym___alignof] = ACTIONS(2840),
    [anon_sym__alignof] = ACTIONS(2840),
    [anon_sym_alignof] = ACTIONS(2840),
    [anon_sym__Alignof] = ACTIONS(2840),
    [anon_sym_offsetof] = ACTIONS(2840),
    [anon_sym__Generic] = ACTIONS(2840),
    [anon_sym_asm] = ACTIONS(2840),
    [anon_sym___asm__] = ACTIONS(2840),
    [anon_sym___asm] = ACTIONS(2840),
    [sym_number_literal] = ACTIONS(2842),
    [anon_sym_L_SQUOTE] = ACTIONS(2842),
    [anon_sym_u_SQUOTE] = ACTIONS(2842),
    [anon_sym_U_SQUOTE] = ACTIONS(2842),
    [anon_sym_u8_SQUOTE] = ACTIONS(2842),
    [anon_sym_SQUOTE] = ACTIONS(2842),
    [anon_sym_AT] = ACTIONS(2840),
    [anon_sym_DQUOTE] = ACTIONS(2842),
    [anon_sym_L_DQUOTE] = ACTIONS(2842),
    [anon_sym_u_DQUOTE] = ACTIONS(2842),
    [anon_sym_U_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8_DQUOTE] = ACTIONS(2842),
    [sym_true] = ACTIONS(2840),
    [sym_false] = ACTIONS(2840),
    [anon_sym_NULL] = ACTIONS(2840),
    [anon_sym_nullptr] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2840),
    [anon_sym___typeof] = ACTIONS(2840),
    [anon_sym_typeof] = ACTIONS(2840),
    [anon_sym_ATimport] = ACTIONS(2842),
    [aux_sym_preproc_undef_token1] = ACTIONS(2840),
    [anon_sym_POUND] = ACTIONS(2840),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2840),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2840),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2840),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2840),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2840),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2840),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2840),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2840),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2840),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2840),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2840),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2840),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2840),
    [anon_sym_API_AVAILABLE] = ACTIONS(2840),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2840),
    [anon_sym_API_DEPRECATED] = ACTIONS(2840),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2840),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2840),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2840),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2840),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2840),
    [anon_sym___deprecated_msg] = ACTIONS(2840),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2840),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2840),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2840),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2840),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2840),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2840),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2840),
    [anon_sym_ATprotocol] = ACTIONS(2842),
    [anon_sym_ATinterface] = ACTIONS(2842),
    [anon_sym_ATimplementation] = ACTIONS(2842),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2842),
    [anon_sym_ATsynthesize] = ACTIONS(2842),
    [anon_sym_ATdynamic] = ACTIONS(2842),
    [anon_sym_ATtry] = ACTIONS(2842),
    [anon_sym___try] = ACTIONS(2840),
    [anon_sym_ATthrow] = ACTIONS(2842),
    [anon_sym_ATselector] = ACTIONS(2842),
    [anon_sym_ATavailable] = ACTIONS(2842),
    [anon_sym___builtin_available] = ACTIONS(2840),
    [anon_sym_va_arg] = ACTIONS(2840),
    [anon_sym_ATencode] = ACTIONS(2842),
    [anon_sym_ATsynchronized] = ACTIONS(2842),
    [anon_sym_BOOL] = ACTIONS(2840),
    [anon_sym_IMP] = ACTIONS(2840),
    [anon_sym_SEL] = ACTIONS(2840),
    [anon_sym_Class] = ACTIONS(2840),
    [anon_sym_id] = ACTIONS(2840),
  },
  [355] = {
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_include_token1] = ACTIONS(2844),
    [aux_sym_preproc_include_token2] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token2] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [aux_sym_preproc_else_token1] = ACTIONS(2844),
    [aux_sym_preproc_elif_token1] = ACTIONS(2844),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_CARET] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym___attribute] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___cdecl] = ACTIONS(2844),
    [anon_sym___clrcall] = ACTIONS(2844),
    [anon_sym___stdcall] = ACTIONS(2844),
    [anon_sym___fastcall] = ACTIONS(2844),
    [anon_sym___thiscall] = ACTIONS(2844),
    [anon_sym___vectorcall] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_ATautoreleasepool] = ACTIONS(2846),
    [anon_sym_auto] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_CG_EXTERN] = ACTIONS(2844),
    [anon_sym_CG_INLINE] = ACTIONS(2844),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2844),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2844),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2844),
    [anon_sym_IBOutlet] = ACTIONS(2844),
    [anon_sym_IBInspectable] = ACTIONS(2844),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2844),
    [anon_sym_NS_INLINE] = ACTIONS(2844),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2844),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2844),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2844),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym__Nonnull] = ACTIONS(2844),
    [anon_sym_nullable] = ACTIONS(2844),
    [anon_sym__Complex] = ACTIONS(2844),
    [anon_sym__Nullable] = ACTIONS(2844),
    [anon_sym__Nullable_result] = ACTIONS(2844),
    [anon_sym__Null_unspecified] = ACTIONS(2844),
    [anon_sym___autoreleasing] = ACTIONS(2844),
    [anon_sym___block] = ACTIONS(2844),
    [anon_sym___bridge] = ACTIONS(2844),
    [anon_sym___bridge_retained] = ACTIONS(2844),
    [anon_sym___bridge_transfer] = ACTIONS(2844),
    [anon_sym___complex] = ACTIONS(2844),
    [anon_sym___const] = ACTIONS(2844),
    [anon_sym___imag] = ACTIONS(2844),
    [anon_sym___kindof] = ACTIONS(2844),
    [anon_sym___nonnull] = ACTIONS(2844),
    [anon_sym___nullable] = ACTIONS(2844),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2844),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2844),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2844),
    [anon_sym___real] = ACTIONS(2844),
    [anon_sym___strong] = ACTIONS(2844),
    [anon_sym___unsafe_unretained] = ACTIONS(2844),
    [anon_sym___unused] = ACTIONS(2844),
    [anon_sym___weak] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_in] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_goto] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_sizeof] = ACTIONS(2844),
    [anon_sym___alignof__] = ACTIONS(2844),
    [anon_sym___alignof] = ACTIONS(2844),
    [anon_sym__alignof] = ACTIONS(2844),
    [anon_sym_alignof] = ACTIONS(2844),
    [anon_sym__Alignof] = ACTIONS(2844),
    [anon_sym_offsetof] = ACTIONS(2844),
    [anon_sym__Generic] = ACTIONS(2844),
    [anon_sym_asm] = ACTIONS(2844),
    [anon_sym___asm__] = ACTIONS(2844),
    [anon_sym___asm] = ACTIONS(2844),
    [sym_number_literal] = ACTIONS(2846),
    [anon_sym_L_SQUOTE] = ACTIONS(2846),
    [anon_sym_u_SQUOTE] = ACTIONS(2846),
    [anon_sym_U_SQUOTE] = ACTIONS(2846),
    [anon_sym_u8_SQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_AT] = ACTIONS(2844),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [anon_sym_L_DQUOTE] = ACTIONS(2846),
    [anon_sym_u_DQUOTE] = ACTIONS(2846),
    [anon_sym_U_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8_DQUOTE] = ACTIONS(2846),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [anon_sym_NULL] = ACTIONS(2844),
    [anon_sym_nullptr] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2844),
    [anon_sym___typeof] = ACTIONS(2844),
    [anon_sym_typeof] = ACTIONS(2844),
    [anon_sym_ATimport] = ACTIONS(2846),
    [aux_sym_preproc_undef_token1] = ACTIONS(2844),
    [anon_sym_POUND] = ACTIONS(2844),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2844),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2844),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2844),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2844),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2844),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2844),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2844),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2844),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2844),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2844),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2844),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2844),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2844),
    [anon_sym_API_AVAILABLE] = ACTIONS(2844),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2844),
    [anon_sym_API_DEPRECATED] = ACTIONS(2844),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2844),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2844),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2844),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2844),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2844),
    [anon_sym___deprecated_msg] = ACTIONS(2844),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2844),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2844),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2844),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2844),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2844),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2844),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2844),
    [anon_sym_ATprotocol] = ACTIONS(2846),
    [anon_sym_ATinterface] = ACTIONS(2846),
    [anon_sym_ATimplementation] = ACTIONS(2846),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2846),
    [anon_sym_ATsynthesize] = ACTIONS(2846),
    [anon_sym_ATdynamic] = ACTIONS(2846),
    [anon_sym_ATtry] = ACTIONS(2846),
    [anon_sym___try] = ACTIONS(2844),
    [anon_sym_ATthrow] = ACTIONS(2846),
    [anon_sym_ATselector] = ACTIONS(2846),
    [anon_sym_ATavailable] = ACTIONS(2846),
    [anon_sym___builtin_available] = ACTIONS(2844),
    [anon_sym_va_arg] = ACTIONS(2844),
    [anon_sym_ATencode] = ACTIONS(2846),
    [anon_sym_ATsynchronized] = ACTIONS(2846),
    [anon_sym_BOOL] = ACTIONS(2844),
    [anon_sym_IMP] = ACTIONS(2844),
    [anon_sym_SEL] = ACTIONS(2844),
    [anon_sym_Class] = ACTIONS(2844),
    [anon_sym_id] = ACTIONS(2844),
  },
  [356] = {
    [sym_identifier] = ACTIONS(2848),
    [aux_sym_preproc_include_token1] = ACTIONS(2848),
    [aux_sym_preproc_include_token2] = ACTIONS(2848),
    [aux_sym_preproc_def_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token2] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2848),
    [aux_sym_preproc_else_token1] = ACTIONS(2848),
    [aux_sym_preproc_elif_token1] = ACTIONS(2848),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2848),
    [sym_preproc_directive] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(2850),
    [anon_sym_BANG] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_DASH] = ACTIONS(2848),
    [anon_sym_PLUS] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_CARET] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym_SEMI] = ACTIONS(2850),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym_typedef] = ACTIONS(2848),
    [anon_sym_extern] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym___attribute] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym___declspec] = ACTIONS(2848),
    [anon_sym___cdecl] = ACTIONS(2848),
    [anon_sym___clrcall] = ACTIONS(2848),
    [anon_sym___stdcall] = ACTIONS(2848),
    [anon_sym___fastcall] = ACTIONS(2848),
    [anon_sym___thiscall] = ACTIONS(2848),
    [anon_sym___vectorcall] = ACTIONS(2848),
    [anon_sym_LBRACE] = ACTIONS(2850),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_ATautoreleasepool] = ACTIONS(2850),
    [anon_sym_auto] = ACTIONS(2848),
    [anon_sym_register] = ACTIONS(2848),
    [anon_sym_inline] = ACTIONS(2848),
    [anon_sym___inline] = ACTIONS(2848),
    [anon_sym___inline__] = ACTIONS(2848),
    [anon_sym___forceinline] = ACTIONS(2848),
    [anon_sym_thread_local] = ACTIONS(2848),
    [anon_sym___thread] = ACTIONS(2848),
    [anon_sym_CG_EXTERN] = ACTIONS(2848),
    [anon_sym_CG_INLINE] = ACTIONS(2848),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2848),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2848),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2848),
    [anon_sym_IBOutlet] = ACTIONS(2848),
    [anon_sym_IBInspectable] = ACTIONS(2848),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2848),
    [anon_sym_NS_INLINE] = ACTIONS(2848),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2848),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2848),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2848),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym__Nonnull] = ACTIONS(2848),
    [anon_sym_nullable] = ACTIONS(2848),
    [anon_sym__Complex] = ACTIONS(2848),
    [anon_sym__Nullable] = ACTIONS(2848),
    [anon_sym__Nullable_result] = ACTIONS(2848),
    [anon_sym__Null_unspecified] = ACTIONS(2848),
    [anon_sym___autoreleasing] = ACTIONS(2848),
    [anon_sym___block] = ACTIONS(2848),
    [anon_sym___bridge] = ACTIONS(2848),
    [anon_sym___bridge_retained] = ACTIONS(2848),
    [anon_sym___bridge_transfer] = ACTIONS(2848),
    [anon_sym___complex] = ACTIONS(2848),
    [anon_sym___const] = ACTIONS(2848),
    [anon_sym___imag] = ACTIONS(2848),
    [anon_sym___kindof] = ACTIONS(2848),
    [anon_sym___nonnull] = ACTIONS(2848),
    [anon_sym___nullable] = ACTIONS(2848),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2848),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2848),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2848),
    [anon_sym___real] = ACTIONS(2848),
    [anon_sym___strong] = ACTIONS(2848),
    [anon_sym___unsafe_unretained] = ACTIONS(2848),
    [anon_sym___unused] = ACTIONS(2848),
    [anon_sym___weak] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym__Alignas] = ACTIONS(2848),
    [sym_primitive_type] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [anon_sym_if] = ACTIONS(2848),
    [anon_sym_switch] = ACTIONS(2848),
    [anon_sym_case] = ACTIONS(2848),
    [anon_sym_default] = ACTIONS(2848),
    [anon_sym_while] = ACTIONS(2848),
    [anon_sym_do] = ACTIONS(2848),
    [anon_sym_for] = ACTIONS(2848),
    [anon_sym_in] = ACTIONS(2848),
    [anon_sym_return] = ACTIONS(2848),
    [anon_sym_break] = ACTIONS(2848),
    [anon_sym_continue] = ACTIONS(2848),
    [anon_sym_goto] = ACTIONS(2848),
    [anon_sym_DASH_DASH] = ACTIONS(2850),
    [anon_sym_PLUS_PLUS] = ACTIONS(2850),
    [anon_sym_sizeof] = ACTIONS(2848),
    [anon_sym___alignof__] = ACTIONS(2848),
    [anon_sym___alignof] = ACTIONS(2848),
    [anon_sym__alignof] = ACTIONS(2848),
    [anon_sym_alignof] = ACTIONS(2848),
    [anon_sym__Alignof] = ACTIONS(2848),
    [anon_sym_offsetof] = ACTIONS(2848),
    [anon_sym__Generic] = ACTIONS(2848),
    [anon_sym_asm] = ACTIONS(2848),
    [anon_sym___asm__] = ACTIONS(2848),
    [anon_sym___asm] = ACTIONS(2848),
    [sym_number_literal] = ACTIONS(2850),
    [anon_sym_L_SQUOTE] = ACTIONS(2850),
    [anon_sym_u_SQUOTE] = ACTIONS(2850),
    [anon_sym_U_SQUOTE] = ACTIONS(2850),
    [anon_sym_u8_SQUOTE] = ACTIONS(2850),
    [anon_sym_SQUOTE] = ACTIONS(2850),
    [anon_sym_AT] = ACTIONS(2848),
    [anon_sym_DQUOTE] = ACTIONS(2850),
    [anon_sym_L_DQUOTE] = ACTIONS(2850),
    [anon_sym_u_DQUOTE] = ACTIONS(2850),
    [anon_sym_U_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8_DQUOTE] = ACTIONS(2850),
    [sym_true] = ACTIONS(2848),
    [sym_false] = ACTIONS(2848),
    [anon_sym_NULL] = ACTIONS(2848),
    [anon_sym_nullptr] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2848),
    [anon_sym___typeof] = ACTIONS(2848),
    [anon_sym_typeof] = ACTIONS(2848),
    [anon_sym_ATimport] = ACTIONS(2850),
    [aux_sym_preproc_undef_token1] = ACTIONS(2848),
    [anon_sym_POUND] = ACTIONS(2848),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2848),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2848),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2848),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2848),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2848),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2848),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2848),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2848),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2848),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2848),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2848),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2848),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2848),
    [anon_sym_API_AVAILABLE] = ACTIONS(2848),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2848),
    [anon_sym_API_DEPRECATED] = ACTIONS(2848),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2848),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2848),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2848),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2848),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2848),
    [anon_sym___deprecated_msg] = ACTIONS(2848),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2848),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2848),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2848),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2848),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2848),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2848),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2848),
    [anon_sym_ATprotocol] = ACTIONS(2850),
    [anon_sym_ATinterface] = ACTIONS(2850),
    [anon_sym_ATimplementation] = ACTIONS(2850),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2850),
    [anon_sym_ATsynthesize] = ACTIONS(2850),
    [anon_sym_ATdynamic] = ACTIONS(2850),
    [anon_sym_ATtry] = ACTIONS(2850),
    [anon_sym___try] = ACTIONS(2848),
    [anon_sym_ATthrow] = ACTIONS(2850),
    [anon_sym_ATselector] = ACTIONS(2850),
    [anon_sym_ATavailable] = ACTIONS(2850),
    [anon_sym___builtin_available] = ACTIONS(2848),
    [anon_sym_va_arg] = ACTIONS(2848),
    [anon_sym_ATencode] = ACTIONS(2850),
    [anon_sym_ATsynchronized] = ACTIONS(2850),
    [anon_sym_BOOL] = ACTIONS(2848),
    [anon_sym_IMP] = ACTIONS(2848),
    [anon_sym_SEL] = ACTIONS(2848),
    [anon_sym_Class] = ACTIONS(2848),
    [anon_sym_id] = ACTIONS(2848),
  },
  [357] = {
    [sym_identifier] = ACTIONS(2852),
    [aux_sym_preproc_include_token1] = ACTIONS(2852),
    [aux_sym_preproc_include_token2] = ACTIONS(2852),
    [aux_sym_preproc_def_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token2] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2852),
    [aux_sym_preproc_else_token1] = ACTIONS(2852),
    [aux_sym_preproc_elif_token1] = ACTIONS(2852),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2852),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2852),
    [sym_preproc_directive] = ACTIONS(2852),
    [anon_sym_LPAREN2] = ACTIONS(2854),
    [anon_sym_BANG] = ACTIONS(2854),
    [anon_sym_TILDE] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2852),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_CARET] = ACTIONS(2854),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym_SEMI] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2852),
    [anon_sym_typedef] = ACTIONS(2852),
    [anon_sym_extern] = ACTIONS(2852),
    [anon_sym___attribute__] = ACTIONS(2852),
    [anon_sym___attribute] = ACTIONS(2852),
    [anon_sym_noreturn] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym___declspec] = ACTIONS(2852),
    [anon_sym___cdecl] = ACTIONS(2852),
    [anon_sym___clrcall] = ACTIONS(2852),
    [anon_sym___stdcall] = ACTIONS(2852),
    [anon_sym___fastcall] = ACTIONS(2852),
    [anon_sym___thiscall] = ACTIONS(2852),
    [anon_sym___vectorcall] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(2854),
    [anon_sym_signed] = ACTIONS(2852),
    [anon_sym_unsigned] = ACTIONS(2852),
    [anon_sym_long] = ACTIONS(2852),
    [anon_sym_short] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_ATautoreleasepool] = ACTIONS(2854),
    [anon_sym_auto] = ACTIONS(2852),
    [anon_sym_register] = ACTIONS(2852),
    [anon_sym_inline] = ACTIONS(2852),
    [anon_sym___inline] = ACTIONS(2852),
    [anon_sym___inline__] = ACTIONS(2852),
    [anon_sym___forceinline] = ACTIONS(2852),
    [anon_sym_thread_local] = ACTIONS(2852),
    [anon_sym___thread] = ACTIONS(2852),
    [anon_sym_CG_EXTERN] = ACTIONS(2852),
    [anon_sym_CG_INLINE] = ACTIONS(2852),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2852),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2852),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2852),
    [anon_sym_IBOutlet] = ACTIONS(2852),
    [anon_sym_IBInspectable] = ACTIONS(2852),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2852),
    [anon_sym_NS_INLINE] = ACTIONS(2852),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2852),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2852),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2852),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2852),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_constexpr] = ACTIONS(2852),
    [anon_sym_volatile] = ACTIONS(2852),
    [anon_sym_restrict] = ACTIONS(2852),
    [anon_sym___restrict__] = ACTIONS(2852),
    [anon_sym__Atomic] = ACTIONS(2852),
    [anon_sym__Noreturn] = ACTIONS(2852),
    [anon_sym__Nonnull] = ACTIONS(2852),
    [anon_sym_nullable] = ACTIONS(2852),
    [anon_sym__Complex] = ACTIONS(2852),
    [anon_sym__Nullable] = ACTIONS(2852),
    [anon_sym__Nullable_result] = ACTIONS(2852),
    [anon_sym__Null_unspecified] = ACTIONS(2852),
    [anon_sym___autoreleasing] = ACTIONS(2852),
    [anon_sym___block] = ACTIONS(2852),
    [anon_sym___bridge] = ACTIONS(2852),
    [anon_sym___bridge_retained] = ACTIONS(2852),
    [anon_sym___bridge_transfer] = ACTIONS(2852),
    [anon_sym___complex] = ACTIONS(2852),
    [anon_sym___const] = ACTIONS(2852),
    [anon_sym___imag] = ACTIONS(2852),
    [anon_sym___kindof] = ACTIONS(2852),
    [anon_sym___nonnull] = ACTIONS(2852),
    [anon_sym___nullable] = ACTIONS(2852),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2852),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2852),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2852),
    [anon_sym___real] = ACTIONS(2852),
    [anon_sym___strong] = ACTIONS(2852),
    [anon_sym___unsafe_unretained] = ACTIONS(2852),
    [anon_sym___unused] = ACTIONS(2852),
    [anon_sym___weak] = ACTIONS(2852),
    [anon_sym_alignas] = ACTIONS(2852),
    [anon_sym__Alignas] = ACTIONS(2852),
    [sym_primitive_type] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2852),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_switch] = ACTIONS(2852),
    [anon_sym_case] = ACTIONS(2852),
    [anon_sym_default] = ACTIONS(2852),
    [anon_sym_while] = ACTIONS(2852),
    [anon_sym_do] = ACTIONS(2852),
    [anon_sym_for] = ACTIONS(2852),
    [anon_sym_in] = ACTIONS(2852),
    [anon_sym_return] = ACTIONS(2852),
    [anon_sym_break] = ACTIONS(2852),
    [anon_sym_continue] = ACTIONS(2852),
    [anon_sym_goto] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2854),
    [anon_sym_sizeof] = ACTIONS(2852),
    [anon_sym___alignof__] = ACTIONS(2852),
    [anon_sym___alignof] = ACTIONS(2852),
    [anon_sym__alignof] = ACTIONS(2852),
    [anon_sym_alignof] = ACTIONS(2852),
    [anon_sym__Alignof] = ACTIONS(2852),
    [anon_sym_offsetof] = ACTIONS(2852),
    [anon_sym__Generic] = ACTIONS(2852),
    [anon_sym_asm] = ACTIONS(2852),
    [anon_sym___asm__] = ACTIONS(2852),
    [anon_sym___asm] = ACTIONS(2852),
    [sym_number_literal] = ACTIONS(2854),
    [anon_sym_L_SQUOTE] = ACTIONS(2854),
    [anon_sym_u_SQUOTE] = ACTIONS(2854),
    [anon_sym_U_SQUOTE] = ACTIONS(2854),
    [anon_sym_u8_SQUOTE] = ACTIONS(2854),
    [anon_sym_SQUOTE] = ACTIONS(2854),
    [anon_sym_AT] = ACTIONS(2852),
    [anon_sym_DQUOTE] = ACTIONS(2854),
    [anon_sym_L_DQUOTE] = ACTIONS(2854),
    [anon_sym_u_DQUOTE] = ACTIONS(2854),
    [anon_sym_U_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8_DQUOTE] = ACTIONS(2854),
    [sym_true] = ACTIONS(2852),
    [sym_false] = ACTIONS(2852),
    [anon_sym_NULL] = ACTIONS(2852),
    [anon_sym_nullptr] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2852),
    [anon_sym___typeof] = ACTIONS(2852),
    [anon_sym_typeof] = ACTIONS(2852),
    [anon_sym_ATimport] = ACTIONS(2854),
    [aux_sym_preproc_undef_token1] = ACTIONS(2852),
    [anon_sym_POUND] = ACTIONS(2852),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2852),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2852),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2852),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2852),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2852),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2852),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2852),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2852),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2852),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2852),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2852),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2852),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2852),
    [anon_sym_API_AVAILABLE] = ACTIONS(2852),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2852),
    [anon_sym_API_DEPRECATED] = ACTIONS(2852),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2852),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2852),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2852),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2852),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2852),
    [anon_sym___deprecated_msg] = ACTIONS(2852),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2852),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2852),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2852),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2852),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2852),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2852),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2852),
    [anon_sym_ATprotocol] = ACTIONS(2854),
    [anon_sym_ATinterface] = ACTIONS(2854),
    [anon_sym_ATimplementation] = ACTIONS(2854),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2854),
    [anon_sym_ATsynthesize] = ACTIONS(2854),
    [anon_sym_ATdynamic] = ACTIONS(2854),
    [anon_sym_ATtry] = ACTIONS(2854),
    [anon_sym___try] = ACTIONS(2852),
    [anon_sym_ATthrow] = ACTIONS(2854),
    [anon_sym_ATselector] = ACTIONS(2854),
    [anon_sym_ATavailable] = ACTIONS(2854),
    [anon_sym___builtin_available] = ACTIONS(2852),
    [anon_sym_va_arg] = ACTIONS(2852),
    [anon_sym_ATencode] = ACTIONS(2854),
    [anon_sym_ATsynchronized] = ACTIONS(2854),
    [anon_sym_BOOL] = ACTIONS(2852),
    [anon_sym_IMP] = ACTIONS(2852),
    [anon_sym_SEL] = ACTIONS(2852),
    [anon_sym_Class] = ACTIONS(2852),
    [anon_sym_id] = ACTIONS(2852),
  },
  [358] = {
    [sym_identifier] = ACTIONS(2856),
    [aux_sym_preproc_include_token1] = ACTIONS(2856),
    [aux_sym_preproc_include_token2] = ACTIONS(2856),
    [aux_sym_preproc_def_token1] = ACTIONS(2856),
    [aux_sym_preproc_if_token1] = ACTIONS(2856),
    [aux_sym_preproc_if_token2] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2856),
    [aux_sym_preproc_else_token1] = ACTIONS(2856),
    [aux_sym_preproc_elif_token1] = ACTIONS(2856),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2856),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2856),
    [sym_preproc_directive] = ACTIONS(2856),
    [anon_sym_LPAREN2] = ACTIONS(2858),
    [anon_sym_BANG] = ACTIONS(2858),
    [anon_sym_TILDE] = ACTIONS(2858),
    [anon_sym_DASH] = ACTIONS(2856),
    [anon_sym_PLUS] = ACTIONS(2856),
    [anon_sym_STAR] = ACTIONS(2858),
    [anon_sym_CARET] = ACTIONS(2858),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym_SEMI] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2856),
    [anon_sym_typedef] = ACTIONS(2856),
    [anon_sym_extern] = ACTIONS(2856),
    [anon_sym___attribute__] = ACTIONS(2856),
    [anon_sym___attribute] = ACTIONS(2856),
    [anon_sym_noreturn] = ACTIONS(2856),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym___declspec] = ACTIONS(2856),
    [anon_sym___cdecl] = ACTIONS(2856),
    [anon_sym___clrcall] = ACTIONS(2856),
    [anon_sym___stdcall] = ACTIONS(2856),
    [anon_sym___fastcall] = ACTIONS(2856),
    [anon_sym___thiscall] = ACTIONS(2856),
    [anon_sym___vectorcall] = ACTIONS(2856),
    [anon_sym_LBRACE] = ACTIONS(2858),
    [anon_sym_signed] = ACTIONS(2856),
    [anon_sym_unsigned] = ACTIONS(2856),
    [anon_sym_long] = ACTIONS(2856),
    [anon_sym_short] = ACTIONS(2856),
    [anon_sym_static] = ACTIONS(2856),
    [anon_sym_ATautoreleasepool] = ACTIONS(2858),
    [anon_sym_auto] = ACTIONS(2856),
    [anon_sym_register] = ACTIONS(2856),
    [anon_sym_inline] = ACTIONS(2856),
    [anon_sym___inline] = ACTIONS(2856),
    [anon_sym___inline__] = ACTIONS(2856),
    [anon_sym___forceinline] = ACTIONS(2856),
    [anon_sym_thread_local] = ACTIONS(2856),
    [anon_sym___thread] = ACTIONS(2856),
    [anon_sym_CG_EXTERN] = ACTIONS(2856),
    [anon_sym_CG_INLINE] = ACTIONS(2856),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2856),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2856),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2856),
    [anon_sym_IBOutlet] = ACTIONS(2856),
    [anon_sym_IBInspectable] = ACTIONS(2856),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2856),
    [anon_sym_NS_INLINE] = ACTIONS(2856),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2856),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2856),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2856),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2856),
    [anon_sym_const] = ACTIONS(2856),
    [anon_sym_constexpr] = ACTIONS(2856),
    [anon_sym_volatile] = ACTIONS(2856),
    [anon_sym_restrict] = ACTIONS(2856),
    [anon_sym___restrict__] = ACTIONS(2856),
    [anon_sym__Atomic] = ACTIONS(2856),
    [anon_sym__Noreturn] = ACTIONS(2856),
    [anon_sym__Nonnull] = ACTIONS(2856),
    [anon_sym_nullable] = ACTIONS(2856),
    [anon_sym__Complex] = ACTIONS(2856),
    [anon_sym__Nullable] = ACTIONS(2856),
    [anon_sym__Nullable_result] = ACTIONS(2856),
    [anon_sym__Null_unspecified] = ACTIONS(2856),
    [anon_sym___autoreleasing] = ACTIONS(2856),
    [anon_sym___block] = ACTIONS(2856),
    [anon_sym___bridge] = ACTIONS(2856),
    [anon_sym___bridge_retained] = ACTIONS(2856),
    [anon_sym___bridge_transfer] = ACTIONS(2856),
    [anon_sym___complex] = ACTIONS(2856),
    [anon_sym___const] = ACTIONS(2856),
    [anon_sym___imag] = ACTIONS(2856),
    [anon_sym___kindof] = ACTIONS(2856),
    [anon_sym___nonnull] = ACTIONS(2856),
    [anon_sym___nullable] = ACTIONS(2856),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2856),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2856),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2856),
    [anon_sym___real] = ACTIONS(2856),
    [anon_sym___strong] = ACTIONS(2856),
    [anon_sym___unsafe_unretained] = ACTIONS(2856),
    [anon_sym___unused] = ACTIONS(2856),
    [anon_sym___weak] = ACTIONS(2856),
    [anon_sym_alignas] = ACTIONS(2856),
    [anon_sym__Alignas] = ACTIONS(2856),
    [sym_primitive_type] = ACTIONS(2856),
    [anon_sym_enum] = ACTIONS(2856),
    [anon_sym_struct] = ACTIONS(2856),
    [anon_sym_union] = ACTIONS(2856),
    [anon_sym_if] = ACTIONS(2856),
    [anon_sym_switch] = ACTIONS(2856),
    [anon_sym_case] = ACTIONS(2856),
    [anon_sym_default] = ACTIONS(2856),
    [anon_sym_while] = ACTIONS(2856),
    [anon_sym_do] = ACTIONS(2856),
    [anon_sym_for] = ACTIONS(2856),
    [anon_sym_in] = ACTIONS(2856),
    [anon_sym_return] = ACTIONS(2856),
    [anon_sym_break] = ACTIONS(2856),
    [anon_sym_continue] = ACTIONS(2856),
    [anon_sym_goto] = ACTIONS(2856),
    [anon_sym_DASH_DASH] = ACTIONS(2858),
    [anon_sym_PLUS_PLUS] = ACTIONS(2858),
    [anon_sym_sizeof] = ACTIONS(2856),
    [anon_sym___alignof__] = ACTIONS(2856),
    [anon_sym___alignof] = ACTIONS(2856),
    [anon_sym__alignof] = ACTIONS(2856),
    [anon_sym_alignof] = ACTIONS(2856),
    [anon_sym__Alignof] = ACTIONS(2856),
    [anon_sym_offsetof] = ACTIONS(2856),
    [anon_sym__Generic] = ACTIONS(2856),
    [anon_sym_asm] = ACTIONS(2856),
    [anon_sym___asm__] = ACTIONS(2856),
    [anon_sym___asm] = ACTIONS(2856),
    [sym_number_literal] = ACTIONS(2858),
    [anon_sym_L_SQUOTE] = ACTIONS(2858),
    [anon_sym_u_SQUOTE] = ACTIONS(2858),
    [anon_sym_U_SQUOTE] = ACTIONS(2858),
    [anon_sym_u8_SQUOTE] = ACTIONS(2858),
    [anon_sym_SQUOTE] = ACTIONS(2858),
    [anon_sym_AT] = ACTIONS(2856),
    [anon_sym_DQUOTE] = ACTIONS(2858),
    [anon_sym_L_DQUOTE] = ACTIONS(2858),
    [anon_sym_u_DQUOTE] = ACTIONS(2858),
    [anon_sym_U_DQUOTE] = ACTIONS(2858),
    [anon_sym_u8_DQUOTE] = ACTIONS(2858),
    [sym_true] = ACTIONS(2856),
    [sym_false] = ACTIONS(2856),
    [anon_sym_NULL] = ACTIONS(2856),
    [anon_sym_nullptr] = ACTIONS(2856),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2856),
    [anon_sym___typeof] = ACTIONS(2856),
    [anon_sym_typeof] = ACTIONS(2856),
    [anon_sym_ATimport] = ACTIONS(2858),
    [aux_sym_preproc_undef_token1] = ACTIONS(2856),
    [anon_sym_POUND] = ACTIONS(2856),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2856),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2856),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2856),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2856),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2856),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2856),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2856),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2856),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2856),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2856),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2856),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2856),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2856),
    [anon_sym_API_AVAILABLE] = ACTIONS(2856),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2856),
    [anon_sym_API_DEPRECATED] = ACTIONS(2856),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2856),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2856),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2856),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2856),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2856),
    [anon_sym___deprecated_msg] = ACTIONS(2856),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2856),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2856),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2856),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2856),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2856),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2856),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2856),
    [anon_sym_ATprotocol] = ACTIONS(2858),
    [anon_sym_ATinterface] = ACTIONS(2858),
    [anon_sym_ATimplementation] = ACTIONS(2858),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2858),
    [anon_sym_ATsynthesize] = ACTIONS(2858),
    [anon_sym_ATdynamic] = ACTIONS(2858),
    [anon_sym_ATtry] = ACTIONS(2858),
    [anon_sym___try] = ACTIONS(2856),
    [anon_sym_ATthrow] = ACTIONS(2858),
    [anon_sym_ATselector] = ACTIONS(2858),
    [anon_sym_ATavailable] = ACTIONS(2858),
    [anon_sym___builtin_available] = ACTIONS(2856),
    [anon_sym_va_arg] = ACTIONS(2856),
    [anon_sym_ATencode] = ACTIONS(2858),
    [anon_sym_ATsynchronized] = ACTIONS(2858),
    [anon_sym_BOOL] = ACTIONS(2856),
    [anon_sym_IMP] = ACTIONS(2856),
    [anon_sym_SEL] = ACTIONS(2856),
    [anon_sym_Class] = ACTIONS(2856),
    [anon_sym_id] = ACTIONS(2856),
  },
  [359] = {
    [sym_identifier] = ACTIONS(2860),
    [aux_sym_preproc_include_token1] = ACTIONS(2860),
    [aux_sym_preproc_include_token2] = ACTIONS(2860),
    [aux_sym_preproc_def_token1] = ACTIONS(2860),
    [aux_sym_preproc_if_token1] = ACTIONS(2860),
    [aux_sym_preproc_if_token2] = ACTIONS(2860),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2860),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2860),
    [aux_sym_preproc_else_token1] = ACTIONS(2860),
    [aux_sym_preproc_elif_token1] = ACTIONS(2860),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2860),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2860),
    [sym_preproc_directive] = ACTIONS(2860),
    [anon_sym_LPAREN2] = ACTIONS(2862),
    [anon_sym_BANG] = ACTIONS(2862),
    [anon_sym_TILDE] = ACTIONS(2862),
    [anon_sym_DASH] = ACTIONS(2860),
    [anon_sym_PLUS] = ACTIONS(2860),
    [anon_sym_STAR] = ACTIONS(2862),
    [anon_sym_CARET] = ACTIONS(2862),
    [anon_sym_AMP] = ACTIONS(2862),
    [anon_sym_SEMI] = ACTIONS(2862),
    [anon_sym___extension__] = ACTIONS(2860),
    [anon_sym_typedef] = ACTIONS(2860),
    [anon_sym_extern] = ACTIONS(2860),
    [anon_sym___attribute__] = ACTIONS(2860),
    [anon_sym___attribute] = ACTIONS(2860),
    [anon_sym_noreturn] = ACTIONS(2860),
    [anon_sym_LBRACK] = ACTIONS(2862),
    [anon_sym___declspec] = ACTIONS(2860),
    [anon_sym___cdecl] = ACTIONS(2860),
    [anon_sym___clrcall] = ACTIONS(2860),
    [anon_sym___stdcall] = ACTIONS(2860),
    [anon_sym___fastcall] = ACTIONS(2860),
    [anon_sym___thiscall] = ACTIONS(2860),
    [anon_sym___vectorcall] = ACTIONS(2860),
    [anon_sym_LBRACE] = ACTIONS(2862),
    [anon_sym_signed] = ACTIONS(2860),
    [anon_sym_unsigned] = ACTIONS(2860),
    [anon_sym_long] = ACTIONS(2860),
    [anon_sym_short] = ACTIONS(2860),
    [anon_sym_static] = ACTIONS(2860),
    [anon_sym_ATautoreleasepool] = ACTIONS(2862),
    [anon_sym_auto] = ACTIONS(2860),
    [anon_sym_register] = ACTIONS(2860),
    [anon_sym_inline] = ACTIONS(2860),
    [anon_sym___inline] = ACTIONS(2860),
    [anon_sym___inline__] = ACTIONS(2860),
    [anon_sym___forceinline] = ACTIONS(2860),
    [anon_sym_thread_local] = ACTIONS(2860),
    [anon_sym___thread] = ACTIONS(2860),
    [anon_sym_CG_EXTERN] = ACTIONS(2860),
    [anon_sym_CG_INLINE] = ACTIONS(2860),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2860),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2860),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2860),
    [anon_sym_IBOutlet] = ACTIONS(2860),
    [anon_sym_IBInspectable] = ACTIONS(2860),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2860),
    [anon_sym_NS_INLINE] = ACTIONS(2860),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2860),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2860),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2860),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2860),
    [anon_sym_const] = ACTIONS(2860),
    [anon_sym_constexpr] = ACTIONS(2860),
    [anon_sym_volatile] = ACTIONS(2860),
    [anon_sym_restrict] = ACTIONS(2860),
    [anon_sym___restrict__] = ACTIONS(2860),
    [anon_sym__Atomic] = ACTIONS(2860),
    [anon_sym__Noreturn] = ACTIONS(2860),
    [anon_sym__Nonnull] = ACTIONS(2860),
    [anon_sym_nullable] = ACTIONS(2860),
    [anon_sym__Complex] = ACTIONS(2860),
    [anon_sym__Nullable] = ACTIONS(2860),
    [anon_sym__Nullable_result] = ACTIONS(2860),
    [anon_sym__Null_unspecified] = ACTIONS(2860),
    [anon_sym___autoreleasing] = ACTIONS(2860),
    [anon_sym___block] = ACTIONS(2860),
    [anon_sym___bridge] = ACTIONS(2860),
    [anon_sym___bridge_retained] = ACTIONS(2860),
    [anon_sym___bridge_transfer] = ACTIONS(2860),
    [anon_sym___complex] = ACTIONS(2860),
    [anon_sym___const] = ACTIONS(2860),
    [anon_sym___imag] = ACTIONS(2860),
    [anon_sym___kindof] = ACTIONS(2860),
    [anon_sym___nonnull] = ACTIONS(2860),
    [anon_sym___nullable] = ACTIONS(2860),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2860),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2860),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2860),
    [anon_sym___real] = ACTIONS(2860),
    [anon_sym___strong] = ACTIONS(2860),
    [anon_sym___unsafe_unretained] = ACTIONS(2860),
    [anon_sym___unused] = ACTIONS(2860),
    [anon_sym___weak] = ACTIONS(2860),
    [anon_sym_alignas] = ACTIONS(2860),
    [anon_sym__Alignas] = ACTIONS(2860),
    [sym_primitive_type] = ACTIONS(2860),
    [anon_sym_enum] = ACTIONS(2860),
    [anon_sym_struct] = ACTIONS(2860),
    [anon_sym_union] = ACTIONS(2860),
    [anon_sym_if] = ACTIONS(2860),
    [anon_sym_switch] = ACTIONS(2860),
    [anon_sym_case] = ACTIONS(2860),
    [anon_sym_default] = ACTIONS(2860),
    [anon_sym_while] = ACTIONS(2860),
    [anon_sym_do] = ACTIONS(2860),
    [anon_sym_for] = ACTIONS(2860),
    [anon_sym_in] = ACTIONS(2860),
    [anon_sym_return] = ACTIONS(2860),
    [anon_sym_break] = ACTIONS(2860),
    [anon_sym_continue] = ACTIONS(2860),
    [anon_sym_goto] = ACTIONS(2860),
    [anon_sym_DASH_DASH] = ACTIONS(2862),
    [anon_sym_PLUS_PLUS] = ACTIONS(2862),
    [anon_sym_sizeof] = ACTIONS(2860),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2860),
    [anon_sym__Generic] = ACTIONS(2860),
    [anon_sym_asm] = ACTIONS(2860),
    [anon_sym___asm__] = ACTIONS(2860),
    [anon_sym___asm] = ACTIONS(2860),
    [sym_number_literal] = ACTIONS(2862),
    [anon_sym_L_SQUOTE] = ACTIONS(2862),
    [anon_sym_u_SQUOTE] = ACTIONS(2862),
    [anon_sym_U_SQUOTE] = ACTIONS(2862),
    [anon_sym_u8_SQUOTE] = ACTIONS(2862),
    [anon_sym_SQUOTE] = ACTIONS(2862),
    [anon_sym_AT] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2862),
    [anon_sym_L_DQUOTE] = ACTIONS(2862),
    [anon_sym_u_DQUOTE] = ACTIONS(2862),
    [anon_sym_U_DQUOTE] = ACTIONS(2862),
    [anon_sym_u8_DQUOTE] = ACTIONS(2862),
    [sym_true] = ACTIONS(2860),
    [sym_false] = ACTIONS(2860),
    [anon_sym_NULL] = ACTIONS(2860),
    [anon_sym_nullptr] = ACTIONS(2860),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2860),
    [anon_sym___typeof] = ACTIONS(2860),
    [anon_sym_typeof] = ACTIONS(2860),
    [anon_sym_ATimport] = ACTIONS(2862),
    [aux_sym_preproc_undef_token1] = ACTIONS(2860),
    [anon_sym_POUND] = ACTIONS(2860),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2860),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2860),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2860),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2860),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2860),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2860),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2860),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2860),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2860),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2860),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2860),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2860),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2860),
    [anon_sym_API_AVAILABLE] = ACTIONS(2860),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2860),
    [anon_sym_API_DEPRECATED] = ACTIONS(2860),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2860),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2860),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2860),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2860),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2860),
    [anon_sym___deprecated_msg] = ACTIONS(2860),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2860),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2860),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2860),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2860),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2860),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2860),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2860),
    [anon_sym_ATprotocol] = ACTIONS(2862),
    [anon_sym_ATinterface] = ACTIONS(2862),
    [anon_sym_ATimplementation] = ACTIONS(2862),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2862),
    [anon_sym_ATsynthesize] = ACTIONS(2862),
    [anon_sym_ATdynamic] = ACTIONS(2862),
    [anon_sym_ATtry] = ACTIONS(2862),
    [anon_sym___try] = ACTIONS(2860),
    [anon_sym_ATthrow] = ACTIONS(2862),
    [anon_sym_ATselector] = ACTIONS(2862),
    [anon_sym_ATavailable] = ACTIONS(2862),
    [anon_sym___builtin_available] = ACTIONS(2860),
    [anon_sym_va_arg] = ACTIONS(2860),
    [anon_sym_ATencode] = ACTIONS(2862),
    [anon_sym_ATsynchronized] = ACTIONS(2862),
    [anon_sym_BOOL] = ACTIONS(2860),
    [anon_sym_IMP] = ACTIONS(2860),
    [anon_sym_SEL] = ACTIONS(2860),
    [anon_sym_Class] = ACTIONS(2860),
    [anon_sym_id] = ACTIONS(2860),
  },
  [360] = {
    [sym_identifier] = ACTIONS(2864),
    [aux_sym_preproc_include_token1] = ACTIONS(2864),
    [aux_sym_preproc_include_token2] = ACTIONS(2864),
    [aux_sym_preproc_def_token1] = ACTIONS(2864),
    [aux_sym_preproc_if_token1] = ACTIONS(2864),
    [aux_sym_preproc_if_token2] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2864),
    [aux_sym_preproc_else_token1] = ACTIONS(2864),
    [aux_sym_preproc_elif_token1] = ACTIONS(2864),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2864),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2864),
    [sym_preproc_directive] = ACTIONS(2864),
    [anon_sym_LPAREN2] = ACTIONS(2866),
    [anon_sym_BANG] = ACTIONS(2866),
    [anon_sym_TILDE] = ACTIONS(2866),
    [anon_sym_DASH] = ACTIONS(2864),
    [anon_sym_PLUS] = ACTIONS(2864),
    [anon_sym_STAR] = ACTIONS(2866),
    [anon_sym_CARET] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(2866),
    [anon_sym_SEMI] = ACTIONS(2866),
    [anon_sym___extension__] = ACTIONS(2864),
    [anon_sym_typedef] = ACTIONS(2864),
    [anon_sym_extern] = ACTIONS(2864),
    [anon_sym___attribute__] = ACTIONS(2864),
    [anon_sym___attribute] = ACTIONS(2864),
    [anon_sym_noreturn] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym___declspec] = ACTIONS(2864),
    [anon_sym___cdecl] = ACTIONS(2864),
    [anon_sym___clrcall] = ACTIONS(2864),
    [anon_sym___stdcall] = ACTIONS(2864),
    [anon_sym___fastcall] = ACTIONS(2864),
    [anon_sym___thiscall] = ACTIONS(2864),
    [anon_sym___vectorcall] = ACTIONS(2864),
    [anon_sym_LBRACE] = ACTIONS(2866),
    [anon_sym_signed] = ACTIONS(2864),
    [anon_sym_unsigned] = ACTIONS(2864),
    [anon_sym_long] = ACTIONS(2864),
    [anon_sym_short] = ACTIONS(2864),
    [anon_sym_static] = ACTIONS(2864),
    [anon_sym_ATautoreleasepool] = ACTIONS(2866),
    [anon_sym_auto] = ACTIONS(2864),
    [anon_sym_register] = ACTIONS(2864),
    [anon_sym_inline] = ACTIONS(2864),
    [anon_sym___inline] = ACTIONS(2864),
    [anon_sym___inline__] = ACTIONS(2864),
    [anon_sym___forceinline] = ACTIONS(2864),
    [anon_sym_thread_local] = ACTIONS(2864),
    [anon_sym___thread] = ACTIONS(2864),
    [anon_sym_CG_EXTERN] = ACTIONS(2864),
    [anon_sym_CG_INLINE] = ACTIONS(2864),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2864),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2864),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2864),
    [anon_sym_IBOutlet] = ACTIONS(2864),
    [anon_sym_IBInspectable] = ACTIONS(2864),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2864),
    [anon_sym_NS_INLINE] = ACTIONS(2864),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2864),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2864),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2864),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2864),
    [anon_sym_const] = ACTIONS(2864),
    [anon_sym_constexpr] = ACTIONS(2864),
    [anon_sym_volatile] = ACTIONS(2864),
    [anon_sym_restrict] = ACTIONS(2864),
    [anon_sym___restrict__] = ACTIONS(2864),
    [anon_sym__Atomic] = ACTIONS(2864),
    [anon_sym__Noreturn] = ACTIONS(2864),
    [anon_sym__Nonnull] = ACTIONS(2864),
    [anon_sym_nullable] = ACTIONS(2864),
    [anon_sym__Complex] = ACTIONS(2864),
    [anon_sym__Nullable] = ACTIONS(2864),
    [anon_sym__Nullable_result] = ACTIONS(2864),
    [anon_sym__Null_unspecified] = ACTIONS(2864),
    [anon_sym___autoreleasing] = ACTIONS(2864),
    [anon_sym___block] = ACTIONS(2864),
    [anon_sym___bridge] = ACTIONS(2864),
    [anon_sym___bridge_retained] = ACTIONS(2864),
    [anon_sym___bridge_transfer] = ACTIONS(2864),
    [anon_sym___complex] = ACTIONS(2864),
    [anon_sym___const] = ACTIONS(2864),
    [anon_sym___imag] = ACTIONS(2864),
    [anon_sym___kindof] = ACTIONS(2864),
    [anon_sym___nonnull] = ACTIONS(2864),
    [anon_sym___nullable] = ACTIONS(2864),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2864),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2864),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2864),
    [anon_sym___real] = ACTIONS(2864),
    [anon_sym___strong] = ACTIONS(2864),
    [anon_sym___unsafe_unretained] = ACTIONS(2864),
    [anon_sym___unused] = ACTIONS(2864),
    [anon_sym___weak] = ACTIONS(2864),
    [anon_sym_alignas] = ACTIONS(2864),
    [anon_sym__Alignas] = ACTIONS(2864),
    [sym_primitive_type] = ACTIONS(2864),
    [anon_sym_enum] = ACTIONS(2864),
    [anon_sym_struct] = ACTIONS(2864),
    [anon_sym_union] = ACTIONS(2864),
    [anon_sym_if] = ACTIONS(2864),
    [anon_sym_switch] = ACTIONS(2864),
    [anon_sym_case] = ACTIONS(2864),
    [anon_sym_default] = ACTIONS(2864),
    [anon_sym_while] = ACTIONS(2864),
    [anon_sym_do] = ACTIONS(2864),
    [anon_sym_for] = ACTIONS(2864),
    [anon_sym_in] = ACTIONS(2864),
    [anon_sym_return] = ACTIONS(2864),
    [anon_sym_break] = ACTIONS(2864),
    [anon_sym_continue] = ACTIONS(2864),
    [anon_sym_goto] = ACTIONS(2864),
    [anon_sym_DASH_DASH] = ACTIONS(2866),
    [anon_sym_PLUS_PLUS] = ACTIONS(2866),
    [anon_sym_sizeof] = ACTIONS(2864),
    [anon_sym___alignof__] = ACTIONS(2864),
    [anon_sym___alignof] = ACTIONS(2864),
    [anon_sym__alignof] = ACTIONS(2864),
    [anon_sym_alignof] = ACTIONS(2864),
    [anon_sym__Alignof] = ACTIONS(2864),
    [anon_sym_offsetof] = ACTIONS(2864),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2864),
    [anon_sym___asm__] = ACTIONS(2864),
    [anon_sym___asm] = ACTIONS(2864),
    [sym_number_literal] = ACTIONS(2866),
    [anon_sym_L_SQUOTE] = ACTIONS(2866),
    [anon_sym_u_SQUOTE] = ACTIONS(2866),
    [anon_sym_U_SQUOTE] = ACTIONS(2866),
    [anon_sym_u8_SQUOTE] = ACTIONS(2866),
    [anon_sym_SQUOTE] = ACTIONS(2866),
    [anon_sym_AT] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2866),
    [anon_sym_L_DQUOTE] = ACTIONS(2866),
    [anon_sym_u_DQUOTE] = ACTIONS(2866),
    [anon_sym_U_DQUOTE] = ACTIONS(2866),
    [anon_sym_u8_DQUOTE] = ACTIONS(2866),
    [sym_true] = ACTIONS(2864),
    [sym_false] = ACTIONS(2864),
    [anon_sym_NULL] = ACTIONS(2864),
    [anon_sym_nullptr] = ACTIONS(2864),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2864),
    [anon_sym___typeof] = ACTIONS(2864),
    [anon_sym_typeof] = ACTIONS(2864),
    [anon_sym_ATimport] = ACTIONS(2866),
    [aux_sym_preproc_undef_token1] = ACTIONS(2864),
    [anon_sym_POUND] = ACTIONS(2864),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2864),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2864),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2864),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2864),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2864),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2864),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2864),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2864),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2864),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2864),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2864),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2864),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2864),
    [anon_sym_API_AVAILABLE] = ACTIONS(2864),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2864),
    [anon_sym_API_DEPRECATED] = ACTIONS(2864),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2864),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2864),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2864),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2864),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2864),
    [anon_sym___deprecated_msg] = ACTIONS(2864),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2864),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2864),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2864),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2864),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2864),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2864),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2864),
    [anon_sym_ATprotocol] = ACTIONS(2866),
    [anon_sym_ATinterface] = ACTIONS(2866),
    [anon_sym_ATimplementation] = ACTIONS(2866),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2866),
    [anon_sym_ATsynthesize] = ACTIONS(2866),
    [anon_sym_ATdynamic] = ACTIONS(2866),
    [anon_sym_ATtry] = ACTIONS(2866),
    [anon_sym___try] = ACTIONS(2864),
    [anon_sym_ATthrow] = ACTIONS(2866),
    [anon_sym_ATselector] = ACTIONS(2866),
    [anon_sym_ATavailable] = ACTIONS(2866),
    [anon_sym___builtin_available] = ACTIONS(2864),
    [anon_sym_va_arg] = ACTIONS(2864),
    [anon_sym_ATencode] = ACTIONS(2866),
    [anon_sym_ATsynchronized] = ACTIONS(2866),
    [anon_sym_BOOL] = ACTIONS(2864),
    [anon_sym_IMP] = ACTIONS(2864),
    [anon_sym_SEL] = ACTIONS(2864),
    [anon_sym_Class] = ACTIONS(2864),
    [anon_sym_id] = ACTIONS(2864),
  },
  [361] = {
    [sym_identifier] = ACTIONS(2868),
    [aux_sym_preproc_include_token1] = ACTIONS(2868),
    [aux_sym_preproc_include_token2] = ACTIONS(2868),
    [aux_sym_preproc_def_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token2] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2868),
    [aux_sym_preproc_else_token1] = ACTIONS(2868),
    [aux_sym_preproc_elif_token1] = ACTIONS(2868),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2868),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2868),
    [sym_preproc_directive] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_BANG] = ACTIONS(2870),
    [anon_sym_TILDE] = ACTIONS(2870),
    [anon_sym_DASH] = ACTIONS(2868),
    [anon_sym_PLUS] = ACTIONS(2868),
    [anon_sym_STAR] = ACTIONS(2870),
    [anon_sym_CARET] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2870),
    [anon_sym_SEMI] = ACTIONS(2870),
    [anon_sym___extension__] = ACTIONS(2868),
    [anon_sym_typedef] = ACTIONS(2868),
    [anon_sym_extern] = ACTIONS(2868),
    [anon_sym___attribute__] = ACTIONS(2868),
    [anon_sym___attribute] = ACTIONS(2868),
    [anon_sym_noreturn] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2870),
    [anon_sym___declspec] = ACTIONS(2868),
    [anon_sym___cdecl] = ACTIONS(2868),
    [anon_sym___clrcall] = ACTIONS(2868),
    [anon_sym___stdcall] = ACTIONS(2868),
    [anon_sym___fastcall] = ACTIONS(2868),
    [anon_sym___thiscall] = ACTIONS(2868),
    [anon_sym___vectorcall] = ACTIONS(2868),
    [anon_sym_LBRACE] = ACTIONS(2870),
    [anon_sym_signed] = ACTIONS(2868),
    [anon_sym_unsigned] = ACTIONS(2868),
    [anon_sym_long] = ACTIONS(2868),
    [anon_sym_short] = ACTIONS(2868),
    [anon_sym_static] = ACTIONS(2868),
    [anon_sym_ATautoreleasepool] = ACTIONS(2870),
    [anon_sym_auto] = ACTIONS(2868),
    [anon_sym_register] = ACTIONS(2868),
    [anon_sym_inline] = ACTIONS(2868),
    [anon_sym___inline] = ACTIONS(2868),
    [anon_sym___inline__] = ACTIONS(2868),
    [anon_sym___forceinline] = ACTIONS(2868),
    [anon_sym_thread_local] = ACTIONS(2868),
    [anon_sym___thread] = ACTIONS(2868),
    [anon_sym_CG_EXTERN] = ACTIONS(2868),
    [anon_sym_CG_INLINE] = ACTIONS(2868),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2868),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2868),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2868),
    [anon_sym_IBOutlet] = ACTIONS(2868),
    [anon_sym_IBInspectable] = ACTIONS(2868),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2868),
    [anon_sym_NS_INLINE] = ACTIONS(2868),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2868),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2868),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2868),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2868),
    [anon_sym_const] = ACTIONS(2868),
    [anon_sym_constexpr] = ACTIONS(2868),
    [anon_sym_volatile] = ACTIONS(2868),
    [anon_sym_restrict] = ACTIONS(2868),
    [anon_sym___restrict__] = ACTIONS(2868),
    [anon_sym__Atomic] = ACTIONS(2868),
    [anon_sym__Noreturn] = ACTIONS(2868),
    [anon_sym__Nonnull] = ACTIONS(2868),
    [anon_sym_nullable] = ACTIONS(2868),
    [anon_sym__Complex] = ACTIONS(2868),
    [anon_sym__Nullable] = ACTIONS(2868),
    [anon_sym__Nullable_result] = ACTIONS(2868),
    [anon_sym__Null_unspecified] = ACTIONS(2868),
    [anon_sym___autoreleasing] = ACTIONS(2868),
    [anon_sym___block] = ACTIONS(2868),
    [anon_sym___bridge] = ACTIONS(2868),
    [anon_sym___bridge_retained] = ACTIONS(2868),
    [anon_sym___bridge_transfer] = ACTIONS(2868),
    [anon_sym___complex] = ACTIONS(2868),
    [anon_sym___const] = ACTIONS(2868),
    [anon_sym___imag] = ACTIONS(2868),
    [anon_sym___kindof] = ACTIONS(2868),
    [anon_sym___nonnull] = ACTIONS(2868),
    [anon_sym___nullable] = ACTIONS(2868),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2868),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2868),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2868),
    [anon_sym___real] = ACTIONS(2868),
    [anon_sym___strong] = ACTIONS(2868),
    [anon_sym___unsafe_unretained] = ACTIONS(2868),
    [anon_sym___unused] = ACTIONS(2868),
    [anon_sym___weak] = ACTIONS(2868),
    [anon_sym_alignas] = ACTIONS(2868),
    [anon_sym__Alignas] = ACTIONS(2868),
    [sym_primitive_type] = ACTIONS(2868),
    [anon_sym_enum] = ACTIONS(2868),
    [anon_sym_struct] = ACTIONS(2868),
    [anon_sym_union] = ACTIONS(2868),
    [anon_sym_if] = ACTIONS(2868),
    [anon_sym_switch] = ACTIONS(2868),
    [anon_sym_case] = ACTIONS(2868),
    [anon_sym_default] = ACTIONS(2868),
    [anon_sym_while] = ACTIONS(2868),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_for] = ACTIONS(2868),
    [anon_sym_in] = ACTIONS(2868),
    [anon_sym_return] = ACTIONS(2868),
    [anon_sym_break] = ACTIONS(2868),
    [anon_sym_continue] = ACTIONS(2868),
    [anon_sym_goto] = ACTIONS(2868),
    [anon_sym_DASH_DASH] = ACTIONS(2870),
    [anon_sym_PLUS_PLUS] = ACTIONS(2870),
    [anon_sym_sizeof] = ACTIONS(2868),
    [anon_sym___alignof__] = ACTIONS(2868),
    [anon_sym___alignof] = ACTIONS(2868),
    [anon_sym__alignof] = ACTIONS(2868),
    [anon_sym_alignof] = ACTIONS(2868),
    [anon_sym__Alignof] = ACTIONS(2868),
    [anon_sym_offsetof] = ACTIONS(2868),
    [anon_sym__Generic] = ACTIONS(2868),
    [anon_sym_asm] = ACTIONS(2868),
    [anon_sym___asm__] = ACTIONS(2868),
    [anon_sym___asm] = ACTIONS(2868),
    [sym_number_literal] = ACTIONS(2870),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_AT] = ACTIONS(2868),
    [anon_sym_DQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2870),
    [anon_sym_u_DQUOTE] = ACTIONS(2870),
    [anon_sym_U_DQUOTE] = ACTIONS(2870),
    [anon_sym_u8_DQUOTE] = ACTIONS(2870),
    [sym_true] = ACTIONS(2868),
    [sym_false] = ACTIONS(2868),
    [anon_sym_NULL] = ACTIONS(2868),
    [anon_sym_nullptr] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2868),
    [anon_sym___typeof] = ACTIONS(2868),
    [anon_sym_typeof] = ACTIONS(2868),
    [anon_sym_ATimport] = ACTIONS(2870),
    [aux_sym_preproc_undef_token1] = ACTIONS(2868),
    [anon_sym_POUND] = ACTIONS(2868),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2868),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2868),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2868),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2868),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2868),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2868),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2868),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2868),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2868),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_API_AVAILABLE] = ACTIONS(2868),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_API_DEPRECATED] = ACTIONS(2868),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2868),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2868),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2868),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2868),
    [anon_sym___deprecated_msg] = ACTIONS(2868),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2868),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2868),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2868),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2868),
    [anon_sym_ATprotocol] = ACTIONS(2870),
    [anon_sym_ATinterface] = ACTIONS(2870),
    [anon_sym_ATimplementation] = ACTIONS(2870),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2870),
    [anon_sym_ATsynthesize] = ACTIONS(2870),
    [anon_sym_ATdynamic] = ACTIONS(2870),
    [anon_sym_ATtry] = ACTIONS(2870),
    [anon_sym___try] = ACTIONS(2868),
    [anon_sym_ATthrow] = ACTIONS(2870),
    [anon_sym_ATselector] = ACTIONS(2870),
    [anon_sym_ATavailable] = ACTIONS(2870),
    [anon_sym___builtin_available] = ACTIONS(2868),
    [anon_sym_va_arg] = ACTIONS(2868),
    [anon_sym_ATencode] = ACTIONS(2870),
    [anon_sym_ATsynchronized] = ACTIONS(2870),
    [anon_sym_BOOL] = ACTIONS(2868),
    [anon_sym_IMP] = ACTIONS(2868),
    [anon_sym_SEL] = ACTIONS(2868),
    [anon_sym_Class] = ACTIONS(2868),
    [anon_sym_id] = ACTIONS(2868),
  },
  [362] = {
    [sym_identifier] = ACTIONS(2872),
    [aux_sym_preproc_include_token1] = ACTIONS(2872),
    [aux_sym_preproc_include_token2] = ACTIONS(2872),
    [aux_sym_preproc_def_token1] = ACTIONS(2872),
    [aux_sym_preproc_if_token1] = ACTIONS(2872),
    [aux_sym_preproc_if_token2] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2872),
    [aux_sym_preproc_else_token1] = ACTIONS(2872),
    [aux_sym_preproc_elif_token1] = ACTIONS(2872),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2872),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2872),
    [sym_preproc_directive] = ACTIONS(2872),
    [anon_sym_LPAREN2] = ACTIONS(2874),
    [anon_sym_BANG] = ACTIONS(2874),
    [anon_sym_TILDE] = ACTIONS(2874),
    [anon_sym_DASH] = ACTIONS(2872),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_STAR] = ACTIONS(2874),
    [anon_sym_CARET] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(2874),
    [anon_sym_SEMI] = ACTIONS(2874),
    [anon_sym___extension__] = ACTIONS(2872),
    [anon_sym_typedef] = ACTIONS(2872),
    [anon_sym_extern] = ACTIONS(2872),
    [anon_sym___attribute__] = ACTIONS(2872),
    [anon_sym___attribute] = ACTIONS(2872),
    [anon_sym_noreturn] = ACTIONS(2872),
    [anon_sym_LBRACK] = ACTIONS(2874),
    [anon_sym___declspec] = ACTIONS(2872),
    [anon_sym___cdecl] = ACTIONS(2872),
    [anon_sym___clrcall] = ACTIONS(2872),
    [anon_sym___stdcall] = ACTIONS(2872),
    [anon_sym___fastcall] = ACTIONS(2872),
    [anon_sym___thiscall] = ACTIONS(2872),
    [anon_sym___vectorcall] = ACTIONS(2872),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_signed] = ACTIONS(2872),
    [anon_sym_unsigned] = ACTIONS(2872),
    [anon_sym_long] = ACTIONS(2872),
    [anon_sym_short] = ACTIONS(2872),
    [anon_sym_static] = ACTIONS(2872),
    [anon_sym_ATautoreleasepool] = ACTIONS(2874),
    [anon_sym_auto] = ACTIONS(2872),
    [anon_sym_register] = ACTIONS(2872),
    [anon_sym_inline] = ACTIONS(2872),
    [anon_sym___inline] = ACTIONS(2872),
    [anon_sym___inline__] = ACTIONS(2872),
    [anon_sym___forceinline] = ACTIONS(2872),
    [anon_sym_thread_local] = ACTIONS(2872),
    [anon_sym___thread] = ACTIONS(2872),
    [anon_sym_CG_EXTERN] = ACTIONS(2872),
    [anon_sym_CG_INLINE] = ACTIONS(2872),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2872),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2872),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2872),
    [anon_sym_IBOutlet] = ACTIONS(2872),
    [anon_sym_IBInspectable] = ACTIONS(2872),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2872),
    [anon_sym_NS_INLINE] = ACTIONS(2872),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2872),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2872),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2872),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2872),
    [anon_sym_const] = ACTIONS(2872),
    [anon_sym_constexpr] = ACTIONS(2872),
    [anon_sym_volatile] = ACTIONS(2872),
    [anon_sym_restrict] = ACTIONS(2872),
    [anon_sym___restrict__] = ACTIONS(2872),
    [anon_sym__Atomic] = ACTIONS(2872),
    [anon_sym__Noreturn] = ACTIONS(2872),
    [anon_sym__Nonnull] = ACTIONS(2872),
    [anon_sym_nullable] = ACTIONS(2872),
    [anon_sym__Complex] = ACTIONS(2872),
    [anon_sym__Nullable] = ACTIONS(2872),
    [anon_sym__Nullable_result] = ACTIONS(2872),
    [anon_sym__Null_unspecified] = ACTIONS(2872),
    [anon_sym___autoreleasing] = ACTIONS(2872),
    [anon_sym___block] = ACTIONS(2872),
    [anon_sym___bridge] = ACTIONS(2872),
    [anon_sym___bridge_retained] = ACTIONS(2872),
    [anon_sym___bridge_transfer] = ACTIONS(2872),
    [anon_sym___complex] = ACTIONS(2872),
    [anon_sym___const] = ACTIONS(2872),
    [anon_sym___imag] = ACTIONS(2872),
    [anon_sym___kindof] = ACTIONS(2872),
    [anon_sym___nonnull] = ACTIONS(2872),
    [anon_sym___nullable] = ACTIONS(2872),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2872),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2872),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2872),
    [anon_sym___real] = ACTIONS(2872),
    [anon_sym___strong] = ACTIONS(2872),
    [anon_sym___unsafe_unretained] = ACTIONS(2872),
    [anon_sym___unused] = ACTIONS(2872),
    [anon_sym___weak] = ACTIONS(2872),
    [anon_sym_alignas] = ACTIONS(2872),
    [anon_sym__Alignas] = ACTIONS(2872),
    [sym_primitive_type] = ACTIONS(2872),
    [anon_sym_enum] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2872),
    [anon_sym_union] = ACTIONS(2872),
    [anon_sym_if] = ACTIONS(2872),
    [anon_sym_switch] = ACTIONS(2872),
    [anon_sym_case] = ACTIONS(2872),
    [anon_sym_default] = ACTIONS(2872),
    [anon_sym_while] = ACTIONS(2872),
    [anon_sym_do] = ACTIONS(2872),
    [anon_sym_for] = ACTIONS(2872),
    [anon_sym_in] = ACTIONS(2872),
    [anon_sym_return] = ACTIONS(2872),
    [anon_sym_break] = ACTIONS(2872),
    [anon_sym_continue] = ACTIONS(2872),
    [anon_sym_goto] = ACTIONS(2872),
    [anon_sym_DASH_DASH] = ACTIONS(2874),
    [anon_sym_PLUS_PLUS] = ACTIONS(2874),
    [anon_sym_sizeof] = ACTIONS(2872),
    [anon_sym___alignof__] = ACTIONS(2872),
    [anon_sym___alignof] = ACTIONS(2872),
    [anon_sym__alignof] = ACTIONS(2872),
    [anon_sym_alignof] = ACTIONS(2872),
    [anon_sym__Alignof] = ACTIONS(2872),
    [anon_sym_offsetof] = ACTIONS(2872),
    [anon_sym__Generic] = ACTIONS(2872),
    [anon_sym_asm] = ACTIONS(2872),
    [anon_sym___asm__] = ACTIONS(2872),
    [anon_sym___asm] = ACTIONS(2872),
    [sym_number_literal] = ACTIONS(2874),
    [anon_sym_L_SQUOTE] = ACTIONS(2874),
    [anon_sym_u_SQUOTE] = ACTIONS(2874),
    [anon_sym_U_SQUOTE] = ACTIONS(2874),
    [anon_sym_u8_SQUOTE] = ACTIONS(2874),
    [anon_sym_SQUOTE] = ACTIONS(2874),
    [anon_sym_AT] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2874),
    [anon_sym_L_DQUOTE] = ACTIONS(2874),
    [anon_sym_u_DQUOTE] = ACTIONS(2874),
    [anon_sym_U_DQUOTE] = ACTIONS(2874),
    [anon_sym_u8_DQUOTE] = ACTIONS(2874),
    [sym_true] = ACTIONS(2872),
    [sym_false] = ACTIONS(2872),
    [anon_sym_NULL] = ACTIONS(2872),
    [anon_sym_nullptr] = ACTIONS(2872),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2872),
    [anon_sym___typeof] = ACTIONS(2872),
    [anon_sym_typeof] = ACTIONS(2872),
    [anon_sym_ATimport] = ACTIONS(2874),
    [aux_sym_preproc_undef_token1] = ACTIONS(2872),
    [anon_sym_POUND] = ACTIONS(2872),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2872),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2872),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2872),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2872),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2872),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2872),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2872),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2872),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2872),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2872),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2872),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2872),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2872),
    [anon_sym_API_AVAILABLE] = ACTIONS(2872),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2872),
    [anon_sym_API_DEPRECATED] = ACTIONS(2872),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2872),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2872),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2872),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2872),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2872),
    [anon_sym___deprecated_msg] = ACTIONS(2872),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2872),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2872),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2872),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2872),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2872),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2872),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2872),
    [anon_sym_ATprotocol] = ACTIONS(2874),
    [anon_sym_ATinterface] = ACTIONS(2874),
    [anon_sym_ATimplementation] = ACTIONS(2874),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2874),
    [anon_sym_ATsynthesize] = ACTIONS(2874),
    [anon_sym_ATdynamic] = ACTIONS(2874),
    [anon_sym_ATtry] = ACTIONS(2874),
    [anon_sym___try] = ACTIONS(2872),
    [anon_sym_ATthrow] = ACTIONS(2874),
    [anon_sym_ATselector] = ACTIONS(2874),
    [anon_sym_ATavailable] = ACTIONS(2874),
    [anon_sym___builtin_available] = ACTIONS(2872),
    [anon_sym_va_arg] = ACTIONS(2872),
    [anon_sym_ATencode] = ACTIONS(2874),
    [anon_sym_ATsynchronized] = ACTIONS(2874),
    [anon_sym_BOOL] = ACTIONS(2872),
    [anon_sym_IMP] = ACTIONS(2872),
    [anon_sym_SEL] = ACTIONS(2872),
    [anon_sym_Class] = ACTIONS(2872),
    [anon_sym_id] = ACTIONS(2872),
  },
  [363] = {
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_include_token1] = ACTIONS(2452),
    [aux_sym_preproc_include_token2] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token2] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [aux_sym_preproc_else_token1] = ACTIONS(2452),
    [aux_sym_preproc_elif_token1] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_BANG] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym___attribute] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_ATautoreleasepool] = ACTIONS(2454),
    [anon_sym_auto] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_CG_EXTERN] = ACTIONS(2452),
    [anon_sym_CG_INLINE] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2452),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2452),
    [anon_sym_IBOutlet] = ACTIONS(2452),
    [anon_sym_IBInspectable] = ACTIONS(2452),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2452),
    [anon_sym_NS_INLINE] = ACTIONS(2452),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2452),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2452),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym__Nonnull] = ACTIONS(2452),
    [anon_sym_nullable] = ACTIONS(2452),
    [anon_sym__Complex] = ACTIONS(2452),
    [anon_sym__Nullable] = ACTIONS(2452),
    [anon_sym__Nullable_result] = ACTIONS(2452),
    [anon_sym__Null_unspecified] = ACTIONS(2452),
    [anon_sym___autoreleasing] = ACTIONS(2452),
    [anon_sym___block] = ACTIONS(2452),
    [anon_sym___bridge] = ACTIONS(2452),
    [anon_sym___bridge_retained] = ACTIONS(2452),
    [anon_sym___bridge_transfer] = ACTIONS(2452),
    [anon_sym___complex] = ACTIONS(2452),
    [anon_sym___const] = ACTIONS(2452),
    [anon_sym___imag] = ACTIONS(2452),
    [anon_sym___kindof] = ACTIONS(2452),
    [anon_sym___nonnull] = ACTIONS(2452),
    [anon_sym___nullable] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2452),
    [anon_sym___real] = ACTIONS(2452),
    [anon_sym___strong] = ACTIONS(2452),
    [anon_sym___unsafe_unretained] = ACTIONS(2452),
    [anon_sym___unused] = ACTIONS(2452),
    [anon_sym___weak] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym__Alignas] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(2452),
    [anon_sym_case] = ACTIONS(2452),
    [anon_sym_default] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_do] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_break] = ACTIONS(2452),
    [anon_sym_continue] = ACTIONS(2452),
    [anon_sym_goto] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(2454),
    [anon_sym_sizeof] = ACTIONS(2452),
    [anon_sym___alignof__] = ACTIONS(2452),
    [anon_sym___alignof] = ACTIONS(2452),
    [anon_sym__alignof] = ACTIONS(2452),
    [anon_sym_alignof] = ACTIONS(2452),
    [anon_sym__Alignof] = ACTIONS(2452),
    [anon_sym_offsetof] = ACTIONS(2452),
    [anon_sym__Generic] = ACTIONS(2452),
    [anon_sym_asm] = ACTIONS(2452),
    [anon_sym___asm__] = ACTIONS(2452),
    [anon_sym___asm] = ACTIONS(2452),
    [sym_number_literal] = ACTIONS(2454),
    [anon_sym_L_SQUOTE] = ACTIONS(2454),
    [anon_sym_u_SQUOTE] = ACTIONS(2454),
    [anon_sym_U_SQUOTE] = ACTIONS(2454),
    [anon_sym_u8_SQUOTE] = ACTIONS(2454),
    [anon_sym_SQUOTE] = ACTIONS(2454),
    [anon_sym_AT] = ACTIONS(2452),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_L_DQUOTE] = ACTIONS(2454),
    [anon_sym_u_DQUOTE] = ACTIONS(2454),
    [anon_sym_U_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8_DQUOTE] = ACTIONS(2454),
    [sym_true] = ACTIONS(2452),
    [sym_false] = ACTIONS(2452),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2452),
    [anon_sym___typeof] = ACTIONS(2452),
    [anon_sym_typeof] = ACTIONS(2452),
    [anon_sym_ATimport] = ACTIONS(2454),
    [aux_sym_preproc_undef_token1] = ACTIONS(2452),
    [anon_sym_POUND] = ACTIONS(2452),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2452),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2452),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2452),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_API_AVAILABLE] = ACTIONS(2452),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_API_DEPRECATED] = ACTIONS(2452),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym___deprecated_msg] = ACTIONS(2452),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2452),
    [anon_sym_ATprotocol] = ACTIONS(2454),
    [anon_sym_ATinterface] = ACTIONS(2454),
    [anon_sym_ATimplementation] = ACTIONS(2454),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2454),
    [anon_sym_ATsynthesize] = ACTIONS(2454),
    [anon_sym_ATdynamic] = ACTIONS(2454),
    [anon_sym_ATtry] = ACTIONS(2454),
    [anon_sym___try] = ACTIONS(2452),
    [anon_sym_ATthrow] = ACTIONS(2454),
    [anon_sym_ATselector] = ACTIONS(2454),
    [anon_sym_ATavailable] = ACTIONS(2454),
    [anon_sym___builtin_available] = ACTIONS(2452),
    [anon_sym_va_arg] = ACTIONS(2452),
    [anon_sym_ATencode] = ACTIONS(2454),
    [anon_sym_ATsynchronized] = ACTIONS(2454),
    [anon_sym_BOOL] = ACTIONS(2452),
    [anon_sym_IMP] = ACTIONS(2452),
    [anon_sym_SEL] = ACTIONS(2452),
    [anon_sym_Class] = ACTIONS(2452),
    [anon_sym_id] = ACTIONS(2452),
  },
  [364] = {
    [sym_identifier] = ACTIONS(2428),
    [aux_sym_preproc_include_token1] = ACTIONS(2428),
    [aux_sym_preproc_include_token2] = ACTIONS(2428),
    [aux_sym_preproc_def_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token2] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2428),
    [aux_sym_preproc_else_token1] = ACTIONS(2428),
    [aux_sym_preproc_elif_token1] = ACTIONS(2428),
    [sym_preproc_directive] = ACTIONS(2428),
    [anon_sym_LPAREN2] = ACTIONS(2430),
    [anon_sym_BANG] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_CARET] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2430),
    [anon_sym_SEMI] = ACTIONS(2430),
    [anon_sym___extension__] = ACTIONS(2428),
    [anon_sym_typedef] = ACTIONS(2428),
    [anon_sym_extern] = ACTIONS(2428),
    [anon_sym___attribute__] = ACTIONS(2428),
    [anon_sym___attribute] = ACTIONS(2428),
    [anon_sym_noreturn] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2430),
    [anon_sym___declspec] = ACTIONS(2428),
    [anon_sym___cdecl] = ACTIONS(2428),
    [anon_sym___clrcall] = ACTIONS(2428),
    [anon_sym___stdcall] = ACTIONS(2428),
    [anon_sym___fastcall] = ACTIONS(2428),
    [anon_sym___thiscall] = ACTIONS(2428),
    [anon_sym___vectorcall] = ACTIONS(2428),
    [anon_sym_LBRACE] = ACTIONS(2430),
    [anon_sym_signed] = ACTIONS(2428),
    [anon_sym_unsigned] = ACTIONS(2428),
    [anon_sym_long] = ACTIONS(2428),
    [anon_sym_short] = ACTIONS(2428),
    [anon_sym_static] = ACTIONS(2428),
    [anon_sym_ATautoreleasepool] = ACTIONS(2430),
    [anon_sym_auto] = ACTIONS(2428),
    [anon_sym_register] = ACTIONS(2428),
    [anon_sym_inline] = ACTIONS(2428),
    [anon_sym___inline] = ACTIONS(2428),
    [anon_sym___inline__] = ACTIONS(2428),
    [anon_sym___forceinline] = ACTIONS(2428),
    [anon_sym_thread_local] = ACTIONS(2428),
    [anon_sym___thread] = ACTIONS(2428),
    [anon_sym_CG_EXTERN] = ACTIONS(2428),
    [anon_sym_CG_INLINE] = ACTIONS(2428),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2428),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2428),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2428),
    [anon_sym_IBOutlet] = ACTIONS(2428),
    [anon_sym_IBInspectable] = ACTIONS(2428),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2428),
    [anon_sym_NS_INLINE] = ACTIONS(2428),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2428),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2428),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2428),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2428),
    [anon_sym_const] = ACTIONS(2428),
    [anon_sym_constexpr] = ACTIONS(2428),
    [anon_sym_volatile] = ACTIONS(2428),
    [anon_sym_restrict] = ACTIONS(2428),
    [anon_sym___restrict__] = ACTIONS(2428),
    [anon_sym__Atomic] = ACTIONS(2428),
    [anon_sym__Noreturn] = ACTIONS(2428),
    [anon_sym__Nonnull] = ACTIONS(2428),
    [anon_sym_nullable] = ACTIONS(2428),
    [anon_sym__Complex] = ACTIONS(2428),
    [anon_sym__Nullable] = ACTIONS(2428),
    [anon_sym__Nullable_result] = ACTIONS(2428),
    [anon_sym__Null_unspecified] = ACTIONS(2428),
    [anon_sym___autoreleasing] = ACTIONS(2428),
    [anon_sym___block] = ACTIONS(2428),
    [anon_sym___bridge] = ACTIONS(2428),
    [anon_sym___bridge_retained] = ACTIONS(2428),
    [anon_sym___bridge_transfer] = ACTIONS(2428),
    [anon_sym___complex] = ACTIONS(2428),
    [anon_sym___const] = ACTIONS(2428),
    [anon_sym___imag] = ACTIONS(2428),
    [anon_sym___kindof] = ACTIONS(2428),
    [anon_sym___nonnull] = ACTIONS(2428),
    [anon_sym___nullable] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2428),
    [anon_sym___real] = ACTIONS(2428),
    [anon_sym___strong] = ACTIONS(2428),
    [anon_sym___unsafe_unretained] = ACTIONS(2428),
    [anon_sym___unused] = ACTIONS(2428),
    [anon_sym___weak] = ACTIONS(2428),
    [anon_sym_alignas] = ACTIONS(2428),
    [anon_sym__Alignas] = ACTIONS(2428),
    [sym_primitive_type] = ACTIONS(2428),
    [anon_sym_enum] = ACTIONS(2428),
    [anon_sym_struct] = ACTIONS(2428),
    [anon_sym_union] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_else] = ACTIONS(2428),
    [anon_sym_switch] = ACTIONS(2428),
    [anon_sym_case] = ACTIONS(2428),
    [anon_sym_default] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_in] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_break] = ACTIONS(2428),
    [anon_sym_continue] = ACTIONS(2428),
    [anon_sym_goto] = ACTIONS(2428),
    [anon_sym_DASH_DASH] = ACTIONS(2430),
    [anon_sym_PLUS_PLUS] = ACTIONS(2430),
    [anon_sym_sizeof] = ACTIONS(2428),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2428),
    [anon_sym__Generic] = ACTIONS(2428),
    [anon_sym_asm] = ACTIONS(2428),
    [anon_sym___asm__] = ACTIONS(2428),
    [anon_sym___asm] = ACTIONS(2428),
    [sym_number_literal] = ACTIONS(2430),
    [anon_sym_L_SQUOTE] = ACTIONS(2430),
    [anon_sym_u_SQUOTE] = ACTIONS(2430),
    [anon_sym_U_SQUOTE] = ACTIONS(2430),
    [anon_sym_u8_SQUOTE] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_AT] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2430),
    [anon_sym_L_DQUOTE] = ACTIONS(2430),
    [anon_sym_u_DQUOTE] = ACTIONS(2430),
    [anon_sym_U_DQUOTE] = ACTIONS(2430),
    [anon_sym_u8_DQUOTE] = ACTIONS(2430),
    [sym_true] = ACTIONS(2428),
    [sym_false] = ACTIONS(2428),
    [anon_sym_NULL] = ACTIONS(2428),
    [anon_sym_nullptr] = ACTIONS(2428),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2428),
    [anon_sym___typeof] = ACTIONS(2428),
    [anon_sym_typeof] = ACTIONS(2428),
    [anon_sym_ATimport] = ACTIONS(2430),
    [aux_sym_preproc_undef_token1] = ACTIONS(2428),
    [anon_sym_POUND] = ACTIONS(2428),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2428),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2428),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2428),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2428),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2428),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2428),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2428),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_API_AVAILABLE] = ACTIONS(2428),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_API_DEPRECATED] = ACTIONS(2428),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2428),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym___deprecated_msg] = ACTIONS(2428),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2428),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2428),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2428),
    [anon_sym_ATprotocol] = ACTIONS(2430),
    [anon_sym_ATinterface] = ACTIONS(2430),
    [anon_sym_ATimplementation] = ACTIONS(2430),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2430),
    [anon_sym_ATsynthesize] = ACTIONS(2430),
    [anon_sym_ATdynamic] = ACTIONS(2430),
    [anon_sym_ATtry] = ACTIONS(2430),
    [anon_sym___try] = ACTIONS(2428),
    [anon_sym_ATthrow] = ACTIONS(2430),
    [anon_sym_ATselector] = ACTIONS(2430),
    [anon_sym_ATavailable] = ACTIONS(2430),
    [anon_sym___builtin_available] = ACTIONS(2428),
    [anon_sym_va_arg] = ACTIONS(2428),
    [anon_sym_ATencode] = ACTIONS(2430),
    [anon_sym_ATsynchronized] = ACTIONS(2430),
    [anon_sym_BOOL] = ACTIONS(2428),
    [anon_sym_IMP] = ACTIONS(2428),
    [anon_sym_SEL] = ACTIONS(2428),
    [anon_sym_Class] = ACTIONS(2428),
    [anon_sym_id] = ACTIONS(2428),
  },
  [365] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_include_token2] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token2] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [aux_sym_preproc_else_token1] = ACTIONS(2460),
    [aux_sym_preproc_elif_token1] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_CARET] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_ATautoreleasepool] = ACTIONS(2462),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_else] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [anon_sym___asm] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_AT] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [anon_sym_ATimport] = ACTIONS(2462),
    [aux_sym_preproc_undef_token1] = ACTIONS(2460),
    [anon_sym_POUND] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATprotocol] = ACTIONS(2462),
    [anon_sym_ATinterface] = ACTIONS(2462),
    [anon_sym_ATimplementation] = ACTIONS(2462),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2462),
    [anon_sym_ATsynthesize] = ACTIONS(2462),
    [anon_sym_ATdynamic] = ACTIONS(2462),
    [anon_sym_ATtry] = ACTIONS(2462),
    [anon_sym___try] = ACTIONS(2460),
    [anon_sym_ATthrow] = ACTIONS(2462),
    [anon_sym_ATselector] = ACTIONS(2462),
    [anon_sym_ATavailable] = ACTIONS(2462),
    [anon_sym___builtin_available] = ACTIONS(2460),
    [anon_sym_va_arg] = ACTIONS(2460),
    [anon_sym_ATencode] = ACTIONS(2462),
    [anon_sym_ATsynchronized] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [366] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_include_token2] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token2] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [aux_sym_preproc_else_token1] = ACTIONS(2460),
    [aux_sym_preproc_elif_token1] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_CARET] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_ATautoreleasepool] = ACTIONS(2462),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_else] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [anon_sym___asm] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_AT] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [anon_sym_ATimport] = ACTIONS(2462),
    [aux_sym_preproc_undef_token1] = ACTIONS(2460),
    [anon_sym_POUND] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATprotocol] = ACTIONS(2462),
    [anon_sym_ATinterface] = ACTIONS(2462),
    [anon_sym_ATimplementation] = ACTIONS(2462),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2462),
    [anon_sym_ATsynthesize] = ACTIONS(2462),
    [anon_sym_ATdynamic] = ACTIONS(2462),
    [anon_sym_ATtry] = ACTIONS(2462),
    [anon_sym___try] = ACTIONS(2460),
    [anon_sym_ATthrow] = ACTIONS(2462),
    [anon_sym_ATselector] = ACTIONS(2462),
    [anon_sym_ATavailable] = ACTIONS(2462),
    [anon_sym___builtin_available] = ACTIONS(2460),
    [anon_sym_va_arg] = ACTIONS(2460),
    [anon_sym_ATencode] = ACTIONS(2462),
    [anon_sym_ATsynchronized] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [367] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_include_token2] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token2] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [aux_sym_preproc_else_token1] = ACTIONS(2460),
    [aux_sym_preproc_elif_token1] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_CARET] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_ATautoreleasepool] = ACTIONS(2462),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_else] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [anon_sym___asm] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_AT] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [anon_sym_ATimport] = ACTIONS(2462),
    [aux_sym_preproc_undef_token1] = ACTIONS(2460),
    [anon_sym_POUND] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATprotocol] = ACTIONS(2462),
    [anon_sym_ATinterface] = ACTIONS(2462),
    [anon_sym_ATimplementation] = ACTIONS(2462),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2462),
    [anon_sym_ATsynthesize] = ACTIONS(2462),
    [anon_sym_ATdynamic] = ACTIONS(2462),
    [anon_sym_ATtry] = ACTIONS(2462),
    [anon_sym___try] = ACTIONS(2460),
    [anon_sym_ATthrow] = ACTIONS(2462),
    [anon_sym_ATselector] = ACTIONS(2462),
    [anon_sym_ATavailable] = ACTIONS(2462),
    [anon_sym___builtin_available] = ACTIONS(2460),
    [anon_sym_va_arg] = ACTIONS(2460),
    [anon_sym_ATencode] = ACTIONS(2462),
    [anon_sym_ATsynchronized] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [368] = {
    [sym_identifier] = ACTIONS(2424),
    [aux_sym_preproc_include_token1] = ACTIONS(2424),
    [aux_sym_preproc_include_token2] = ACTIONS(2424),
    [aux_sym_preproc_def_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token2] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2424),
    [aux_sym_preproc_else_token1] = ACTIONS(2424),
    [aux_sym_preproc_elif_token1] = ACTIONS(2424),
    [sym_preproc_directive] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_CARET] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym___extension__] = ACTIONS(2424),
    [anon_sym_typedef] = ACTIONS(2424),
    [anon_sym_extern] = ACTIONS(2424),
    [anon_sym___attribute__] = ACTIONS(2424),
    [anon_sym___attribute] = ACTIONS(2424),
    [anon_sym_noreturn] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym___declspec] = ACTIONS(2424),
    [anon_sym___cdecl] = ACTIONS(2424),
    [anon_sym___clrcall] = ACTIONS(2424),
    [anon_sym___stdcall] = ACTIONS(2424),
    [anon_sym___fastcall] = ACTIONS(2424),
    [anon_sym___thiscall] = ACTIONS(2424),
    [anon_sym___vectorcall] = ACTIONS(2424),
    [anon_sym_LBRACE] = ACTIONS(2426),
    [anon_sym_signed] = ACTIONS(2424),
    [anon_sym_unsigned] = ACTIONS(2424),
    [anon_sym_long] = ACTIONS(2424),
    [anon_sym_short] = ACTIONS(2424),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_ATautoreleasepool] = ACTIONS(2426),
    [anon_sym_auto] = ACTIONS(2424),
    [anon_sym_register] = ACTIONS(2424),
    [anon_sym_inline] = ACTIONS(2424),
    [anon_sym___inline] = ACTIONS(2424),
    [anon_sym___inline__] = ACTIONS(2424),
    [anon_sym___forceinline] = ACTIONS(2424),
    [anon_sym_thread_local] = ACTIONS(2424),
    [anon_sym___thread] = ACTIONS(2424),
    [anon_sym_CG_EXTERN] = ACTIONS(2424),
    [anon_sym_CG_INLINE] = ACTIONS(2424),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2424),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2424),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2424),
    [anon_sym_IBOutlet] = ACTIONS(2424),
    [anon_sym_IBInspectable] = ACTIONS(2424),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2424),
    [anon_sym_NS_INLINE] = ACTIONS(2424),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2424),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2424),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2424),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2424),
    [anon_sym_const] = ACTIONS(2424),
    [anon_sym_constexpr] = ACTIONS(2424),
    [anon_sym_volatile] = ACTIONS(2424),
    [anon_sym_restrict] = ACTIONS(2424),
    [anon_sym___restrict__] = ACTIONS(2424),
    [anon_sym__Atomic] = ACTIONS(2424),
    [anon_sym__Noreturn] = ACTIONS(2424),
    [anon_sym__Nonnull] = ACTIONS(2424),
    [anon_sym_nullable] = ACTIONS(2424),
    [anon_sym__Complex] = ACTIONS(2424),
    [anon_sym__Nullable] = ACTIONS(2424),
    [anon_sym__Nullable_result] = ACTIONS(2424),
    [anon_sym__Null_unspecified] = ACTIONS(2424),
    [anon_sym___autoreleasing] = ACTIONS(2424),
    [anon_sym___block] = ACTIONS(2424),
    [anon_sym___bridge] = ACTIONS(2424),
    [anon_sym___bridge_retained] = ACTIONS(2424),
    [anon_sym___bridge_transfer] = ACTIONS(2424),
    [anon_sym___complex] = ACTIONS(2424),
    [anon_sym___const] = ACTIONS(2424),
    [anon_sym___imag] = ACTIONS(2424),
    [anon_sym___kindof] = ACTIONS(2424),
    [anon_sym___nonnull] = ACTIONS(2424),
    [anon_sym___nullable] = ACTIONS(2424),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2424),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2424),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2424),
    [anon_sym___real] = ACTIONS(2424),
    [anon_sym___strong] = ACTIONS(2424),
    [anon_sym___unsafe_unretained] = ACTIONS(2424),
    [anon_sym___unused] = ACTIONS(2424),
    [anon_sym___weak] = ACTIONS(2424),
    [anon_sym_alignas] = ACTIONS(2424),
    [anon_sym__Alignas] = ACTIONS(2424),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_enum] = ACTIONS(2424),
    [anon_sym_struct] = ACTIONS(2424),
    [anon_sym_union] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_else] = ACTIONS(2424),
    [anon_sym_switch] = ACTIONS(2424),
    [anon_sym_case] = ACTIONS(2424),
    [anon_sym_default] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_in] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_break] = ACTIONS(2424),
    [anon_sym_continue] = ACTIONS(2424),
    [anon_sym_goto] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2426),
    [anon_sym_sizeof] = ACTIONS(2424),
    [anon_sym___alignof__] = ACTIONS(2424),
    [anon_sym___alignof] = ACTIONS(2424),
    [anon_sym__alignof] = ACTIONS(2424),
    [anon_sym_alignof] = ACTIONS(2424),
    [anon_sym__Alignof] = ACTIONS(2424),
    [anon_sym_offsetof] = ACTIONS(2424),
    [anon_sym__Generic] = ACTIONS(2424),
    [anon_sym_asm] = ACTIONS(2424),
    [anon_sym___asm__] = ACTIONS(2424),
    [anon_sym___asm] = ACTIONS(2424),
    [sym_number_literal] = ACTIONS(2426),
    [anon_sym_L_SQUOTE] = ACTIONS(2426),
    [anon_sym_u_SQUOTE] = ACTIONS(2426),
    [anon_sym_U_SQUOTE] = ACTIONS(2426),
    [anon_sym_u8_SQUOTE] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_AT] = ACTIONS(2424),
    [anon_sym_DQUOTE] = ACTIONS(2426),
    [anon_sym_L_DQUOTE] = ACTIONS(2426),
    [anon_sym_u_DQUOTE] = ACTIONS(2426),
    [anon_sym_U_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8_DQUOTE] = ACTIONS(2426),
    [sym_true] = ACTIONS(2424),
    [sym_false] = ACTIONS(2424),
    [anon_sym_NULL] = ACTIONS(2424),
    [anon_sym_nullptr] = ACTIONS(2424),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2424),
    [anon_sym___typeof] = ACTIONS(2424),
    [anon_sym_typeof] = ACTIONS(2424),
    [anon_sym_ATimport] = ACTIONS(2426),
    [aux_sym_preproc_undef_token1] = ACTIONS(2424),
    [anon_sym_POUND] = ACTIONS(2424),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2424),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2424),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2424),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2424),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2424),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2424),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2424),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2424),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2424),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_API_AVAILABLE] = ACTIONS(2424),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_API_DEPRECATED] = ACTIONS(2424),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2424),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2424),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2424),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2424),
    [anon_sym___deprecated_msg] = ACTIONS(2424),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2424),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2424),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2424),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2424),
    [anon_sym_ATprotocol] = ACTIONS(2426),
    [anon_sym_ATinterface] = ACTIONS(2426),
    [anon_sym_ATimplementation] = ACTIONS(2426),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2426),
    [anon_sym_ATsynthesize] = ACTIONS(2426),
    [anon_sym_ATdynamic] = ACTIONS(2426),
    [anon_sym_ATtry] = ACTIONS(2426),
    [anon_sym___try] = ACTIONS(2424),
    [anon_sym_ATthrow] = ACTIONS(2426),
    [anon_sym_ATselector] = ACTIONS(2426),
    [anon_sym_ATavailable] = ACTIONS(2426),
    [anon_sym___builtin_available] = ACTIONS(2424),
    [anon_sym_va_arg] = ACTIONS(2424),
    [anon_sym_ATencode] = ACTIONS(2426),
    [anon_sym_ATsynchronized] = ACTIONS(2426),
    [anon_sym_BOOL] = ACTIONS(2424),
    [anon_sym_IMP] = ACTIONS(2424),
    [anon_sym_SEL] = ACTIONS(2424),
    [anon_sym_Class] = ACTIONS(2424),
    [anon_sym_id] = ACTIONS(2424),
  },
  [369] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_include_token2] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token2] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [aux_sym_preproc_else_token1] = ACTIONS(2536),
    [aux_sym_preproc_elif_token1] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_CARET] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_ATautoreleasepool] = ACTIONS(2538),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [anon_sym___asm] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [anon_sym_ATimport] = ACTIONS(2538),
    [aux_sym_preproc_undef_token1] = ACTIONS(2536),
    [anon_sym_POUND] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATprotocol] = ACTIONS(2538),
    [anon_sym_ATinterface] = ACTIONS(2538),
    [anon_sym_ATimplementation] = ACTIONS(2538),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2538),
    [anon_sym_ATsynthesize] = ACTIONS(2538),
    [anon_sym_ATdynamic] = ACTIONS(2538),
    [anon_sym_ATtry] = ACTIONS(2538),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym_ATthrow] = ACTIONS(2538),
    [anon_sym_ATselector] = ACTIONS(2538),
    [anon_sym_ATavailable] = ACTIONS(2538),
    [anon_sym___builtin_available] = ACTIONS(2536),
    [anon_sym_va_arg] = ACTIONS(2536),
    [anon_sym_ATencode] = ACTIONS(2538),
    [anon_sym_ATsynchronized] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [370] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_include_token2] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token2] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [aux_sym_preproc_else_token1] = ACTIONS(2536),
    [aux_sym_preproc_elif_token1] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_CARET] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_ATautoreleasepool] = ACTIONS(2538),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [anon_sym___asm] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [anon_sym_ATimport] = ACTIONS(2538),
    [aux_sym_preproc_undef_token1] = ACTIONS(2536),
    [anon_sym_POUND] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATprotocol] = ACTIONS(2538),
    [anon_sym_ATinterface] = ACTIONS(2538),
    [anon_sym_ATimplementation] = ACTIONS(2538),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2538),
    [anon_sym_ATsynthesize] = ACTIONS(2538),
    [anon_sym_ATdynamic] = ACTIONS(2538),
    [anon_sym_ATtry] = ACTIONS(2538),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym_ATthrow] = ACTIONS(2538),
    [anon_sym_ATselector] = ACTIONS(2538),
    [anon_sym_ATavailable] = ACTIONS(2538),
    [anon_sym___builtin_available] = ACTIONS(2536),
    [anon_sym_va_arg] = ACTIONS(2536),
    [anon_sym_ATencode] = ACTIONS(2538),
    [anon_sym_ATsynchronized] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [371] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_include_token2] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token2] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [aux_sym_preproc_else_token1] = ACTIONS(2536),
    [aux_sym_preproc_elif_token1] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_CARET] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_ATautoreleasepool] = ACTIONS(2538),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [anon_sym___asm] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [anon_sym_ATimport] = ACTIONS(2538),
    [aux_sym_preproc_undef_token1] = ACTIONS(2536),
    [anon_sym_POUND] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATprotocol] = ACTIONS(2538),
    [anon_sym_ATinterface] = ACTIONS(2538),
    [anon_sym_ATimplementation] = ACTIONS(2538),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2538),
    [anon_sym_ATsynthesize] = ACTIONS(2538),
    [anon_sym_ATdynamic] = ACTIONS(2538),
    [anon_sym_ATtry] = ACTIONS(2538),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym_ATthrow] = ACTIONS(2538),
    [anon_sym_ATselector] = ACTIONS(2538),
    [anon_sym_ATavailable] = ACTIONS(2538),
    [anon_sym___builtin_available] = ACTIONS(2536),
    [anon_sym_va_arg] = ACTIONS(2536),
    [anon_sym_ATencode] = ACTIONS(2538),
    [anon_sym_ATsynchronized] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [372] = {
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_include_token1] = ACTIONS(2568),
    [aux_sym_preproc_include_token2] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token2] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [aux_sym_preproc_else_token1] = ACTIONS(2568),
    [aux_sym_preproc_elif_token1] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym___attribute] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_ATautoreleasepool] = ACTIONS(2570),
    [anon_sym_auto] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_CG_EXTERN] = ACTIONS(2568),
    [anon_sym_CG_INLINE] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2568),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2568),
    [anon_sym_IBOutlet] = ACTIONS(2568),
    [anon_sym_IBInspectable] = ACTIONS(2568),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2568),
    [anon_sym_NS_INLINE] = ACTIONS(2568),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2568),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2568),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym__Nonnull] = ACTIONS(2568),
    [anon_sym_nullable] = ACTIONS(2568),
    [anon_sym__Complex] = ACTIONS(2568),
    [anon_sym__Nullable] = ACTIONS(2568),
    [anon_sym__Nullable_result] = ACTIONS(2568),
    [anon_sym__Null_unspecified] = ACTIONS(2568),
    [anon_sym___autoreleasing] = ACTIONS(2568),
    [anon_sym___block] = ACTIONS(2568),
    [anon_sym___bridge] = ACTIONS(2568),
    [anon_sym___bridge_retained] = ACTIONS(2568),
    [anon_sym___bridge_transfer] = ACTIONS(2568),
    [anon_sym___complex] = ACTIONS(2568),
    [anon_sym___const] = ACTIONS(2568),
    [anon_sym___imag] = ACTIONS(2568),
    [anon_sym___kindof] = ACTIONS(2568),
    [anon_sym___nonnull] = ACTIONS(2568),
    [anon_sym___nullable] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2568),
    [anon_sym___real] = ACTIONS(2568),
    [anon_sym___strong] = ACTIONS(2568),
    [anon_sym___unsafe_unretained] = ACTIONS(2568),
    [anon_sym___unused] = ACTIONS(2568),
    [anon_sym___weak] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_else] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_default] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_in] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [anon_sym___asm] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_AT] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2568),
    [anon_sym___typeof] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(2568),
    [anon_sym_ATimport] = ACTIONS(2570),
    [aux_sym_preproc_undef_token1] = ACTIONS(2568),
    [anon_sym_POUND] = ACTIONS(2568),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2568),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2568),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2568),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_API_AVAILABLE] = ACTIONS(2568),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_API_DEPRECATED] = ACTIONS(2568),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym___deprecated_msg] = ACTIONS(2568),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2568),
    [anon_sym_ATprotocol] = ACTIONS(2570),
    [anon_sym_ATinterface] = ACTIONS(2570),
    [anon_sym_ATimplementation] = ACTIONS(2570),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2570),
    [anon_sym_ATsynthesize] = ACTIONS(2570),
    [anon_sym_ATdynamic] = ACTIONS(2570),
    [anon_sym_ATtry] = ACTIONS(2570),
    [anon_sym___try] = ACTIONS(2568),
    [anon_sym_ATthrow] = ACTIONS(2570),
    [anon_sym_ATselector] = ACTIONS(2570),
    [anon_sym_ATavailable] = ACTIONS(2570),
    [anon_sym___builtin_available] = ACTIONS(2568),
    [anon_sym_va_arg] = ACTIONS(2568),
    [anon_sym_ATencode] = ACTIONS(2570),
    [anon_sym_ATsynchronized] = ACTIONS(2570),
    [anon_sym_BOOL] = ACTIONS(2568),
    [anon_sym_IMP] = ACTIONS(2568),
    [anon_sym_SEL] = ACTIONS(2568),
    [anon_sym_Class] = ACTIONS(2568),
    [anon_sym_id] = ACTIONS(2568),
  },
  [373] = {
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_include_token1] = ACTIONS(2568),
    [aux_sym_preproc_include_token2] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token2] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [aux_sym_preproc_else_token1] = ACTIONS(2568),
    [aux_sym_preproc_elif_token1] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym___attribute] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_ATautoreleasepool] = ACTIONS(2570),
    [anon_sym_auto] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_CG_EXTERN] = ACTIONS(2568),
    [anon_sym_CG_INLINE] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2568),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2568),
    [anon_sym_IBOutlet] = ACTIONS(2568),
    [anon_sym_IBInspectable] = ACTIONS(2568),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2568),
    [anon_sym_NS_INLINE] = ACTIONS(2568),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2568),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2568),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym__Nonnull] = ACTIONS(2568),
    [anon_sym_nullable] = ACTIONS(2568),
    [anon_sym__Complex] = ACTIONS(2568),
    [anon_sym__Nullable] = ACTIONS(2568),
    [anon_sym__Nullable_result] = ACTIONS(2568),
    [anon_sym__Null_unspecified] = ACTIONS(2568),
    [anon_sym___autoreleasing] = ACTIONS(2568),
    [anon_sym___block] = ACTIONS(2568),
    [anon_sym___bridge] = ACTIONS(2568),
    [anon_sym___bridge_retained] = ACTIONS(2568),
    [anon_sym___bridge_transfer] = ACTIONS(2568),
    [anon_sym___complex] = ACTIONS(2568),
    [anon_sym___const] = ACTIONS(2568),
    [anon_sym___imag] = ACTIONS(2568),
    [anon_sym___kindof] = ACTIONS(2568),
    [anon_sym___nonnull] = ACTIONS(2568),
    [anon_sym___nullable] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2568),
    [anon_sym___real] = ACTIONS(2568),
    [anon_sym___strong] = ACTIONS(2568),
    [anon_sym___unsafe_unretained] = ACTIONS(2568),
    [anon_sym___unused] = ACTIONS(2568),
    [anon_sym___weak] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_else] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_default] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_in] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [anon_sym___asm] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_AT] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2568),
    [anon_sym___typeof] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(2568),
    [anon_sym_ATimport] = ACTIONS(2570),
    [aux_sym_preproc_undef_token1] = ACTIONS(2568),
    [anon_sym_POUND] = ACTIONS(2568),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2568),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2568),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2568),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_API_AVAILABLE] = ACTIONS(2568),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_API_DEPRECATED] = ACTIONS(2568),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym___deprecated_msg] = ACTIONS(2568),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2568),
    [anon_sym_ATprotocol] = ACTIONS(2570),
    [anon_sym_ATinterface] = ACTIONS(2570),
    [anon_sym_ATimplementation] = ACTIONS(2570),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2570),
    [anon_sym_ATsynthesize] = ACTIONS(2570),
    [anon_sym_ATdynamic] = ACTIONS(2570),
    [anon_sym_ATtry] = ACTIONS(2570),
    [anon_sym___try] = ACTIONS(2568),
    [anon_sym_ATthrow] = ACTIONS(2570),
    [anon_sym_ATselector] = ACTIONS(2570),
    [anon_sym_ATavailable] = ACTIONS(2570),
    [anon_sym___builtin_available] = ACTIONS(2568),
    [anon_sym_va_arg] = ACTIONS(2568),
    [anon_sym_ATencode] = ACTIONS(2570),
    [anon_sym_ATsynchronized] = ACTIONS(2570),
    [anon_sym_BOOL] = ACTIONS(2568),
    [anon_sym_IMP] = ACTIONS(2568),
    [anon_sym_SEL] = ACTIONS(2568),
    [anon_sym_Class] = ACTIONS(2568),
    [anon_sym_id] = ACTIONS(2568),
  },
  [374] = {
    [sym_identifier] = ACTIONS(2412),
    [aux_sym_preproc_include_token1] = ACTIONS(2412),
    [aux_sym_preproc_include_token2] = ACTIONS(2412),
    [aux_sym_preproc_def_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token2] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2412),
    [aux_sym_preproc_else_token1] = ACTIONS(2412),
    [aux_sym_preproc_elif_token1] = ACTIONS(2412),
    [sym_preproc_directive] = ACTIONS(2412),
    [anon_sym_LPAREN2] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(2414),
    [anon_sym_TILDE] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_SEMI] = ACTIONS(2414),
    [anon_sym___extension__] = ACTIONS(2412),
    [anon_sym_typedef] = ACTIONS(2412),
    [anon_sym_extern] = ACTIONS(2412),
    [anon_sym___attribute__] = ACTIONS(2412),
    [anon_sym___attribute] = ACTIONS(2412),
    [anon_sym_noreturn] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2414),
    [anon_sym___declspec] = ACTIONS(2412),
    [anon_sym___cdecl] = ACTIONS(2412),
    [anon_sym___clrcall] = ACTIONS(2412),
    [anon_sym___stdcall] = ACTIONS(2412),
    [anon_sym___fastcall] = ACTIONS(2412),
    [anon_sym___thiscall] = ACTIONS(2412),
    [anon_sym___vectorcall] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2414),
    [anon_sym_signed] = ACTIONS(2412),
    [anon_sym_unsigned] = ACTIONS(2412),
    [anon_sym_long] = ACTIONS(2412),
    [anon_sym_short] = ACTIONS(2412),
    [anon_sym_static] = ACTIONS(2412),
    [anon_sym_ATautoreleasepool] = ACTIONS(2414),
    [anon_sym_auto] = ACTIONS(2412),
    [anon_sym_register] = ACTIONS(2412),
    [anon_sym_inline] = ACTIONS(2412),
    [anon_sym___inline] = ACTIONS(2412),
    [anon_sym___inline__] = ACTIONS(2412),
    [anon_sym___forceinline] = ACTIONS(2412),
    [anon_sym_thread_local] = ACTIONS(2412),
    [anon_sym___thread] = ACTIONS(2412),
    [anon_sym_CG_EXTERN] = ACTIONS(2412),
    [anon_sym_CG_INLINE] = ACTIONS(2412),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2412),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2412),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2412),
    [anon_sym_IBOutlet] = ACTIONS(2412),
    [anon_sym_IBInspectable] = ACTIONS(2412),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2412),
    [anon_sym_NS_INLINE] = ACTIONS(2412),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2412),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2412),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2412),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2412),
    [anon_sym_const] = ACTIONS(2412),
    [anon_sym_constexpr] = ACTIONS(2412),
    [anon_sym_volatile] = ACTIONS(2412),
    [anon_sym_restrict] = ACTIONS(2412),
    [anon_sym___restrict__] = ACTIONS(2412),
    [anon_sym__Atomic] = ACTIONS(2412),
    [anon_sym__Noreturn] = ACTIONS(2412),
    [anon_sym__Nonnull] = ACTIONS(2412),
    [anon_sym_nullable] = ACTIONS(2412),
    [anon_sym__Complex] = ACTIONS(2412),
    [anon_sym__Nullable] = ACTIONS(2412),
    [anon_sym__Nullable_result] = ACTIONS(2412),
    [anon_sym__Null_unspecified] = ACTIONS(2412),
    [anon_sym___autoreleasing] = ACTIONS(2412),
    [anon_sym___block] = ACTIONS(2412),
    [anon_sym___bridge] = ACTIONS(2412),
    [anon_sym___bridge_retained] = ACTIONS(2412),
    [anon_sym___bridge_transfer] = ACTIONS(2412),
    [anon_sym___complex] = ACTIONS(2412),
    [anon_sym___const] = ACTIONS(2412),
    [anon_sym___imag] = ACTIONS(2412),
    [anon_sym___kindof] = ACTIONS(2412),
    [anon_sym___nonnull] = ACTIONS(2412),
    [anon_sym___nullable] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2412),
    [anon_sym___real] = ACTIONS(2412),
    [anon_sym___strong] = ACTIONS(2412),
    [anon_sym___unsafe_unretained] = ACTIONS(2412),
    [anon_sym___unused] = ACTIONS(2412),
    [anon_sym___weak] = ACTIONS(2412),
    [anon_sym_alignas] = ACTIONS(2412),
    [anon_sym__Alignas] = ACTIONS(2412),
    [sym_primitive_type] = ACTIONS(2412),
    [anon_sym_enum] = ACTIONS(2412),
    [anon_sym_struct] = ACTIONS(2412),
    [anon_sym_union] = ACTIONS(2412),
    [anon_sym_if] = ACTIONS(2412),
    [anon_sym_else] = ACTIONS(2412),
    [anon_sym_switch] = ACTIONS(2412),
    [anon_sym_case] = ACTIONS(2412),
    [anon_sym_default] = ACTIONS(2412),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_do] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(2412),
    [anon_sym_return] = ACTIONS(2412),
    [anon_sym_break] = ACTIONS(2412),
    [anon_sym_continue] = ACTIONS(2412),
    [anon_sym_goto] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2414),
    [anon_sym_sizeof] = ACTIONS(2412),
    [anon_sym___alignof__] = ACTIONS(2412),
    [anon_sym___alignof] = ACTIONS(2412),
    [anon_sym__alignof] = ACTIONS(2412),
    [anon_sym_alignof] = ACTIONS(2412),
    [anon_sym__Alignof] = ACTIONS(2412),
    [anon_sym_offsetof] = ACTIONS(2412),
    [anon_sym__Generic] = ACTIONS(2412),
    [anon_sym_asm] = ACTIONS(2412),
    [anon_sym___asm__] = ACTIONS(2412),
    [anon_sym___asm] = ACTIONS(2412),
    [sym_number_literal] = ACTIONS(2414),
    [anon_sym_L_SQUOTE] = ACTIONS(2414),
    [anon_sym_u_SQUOTE] = ACTIONS(2414),
    [anon_sym_U_SQUOTE] = ACTIONS(2414),
    [anon_sym_u8_SQUOTE] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_AT] = ACTIONS(2412),
    [anon_sym_DQUOTE] = ACTIONS(2414),
    [anon_sym_L_DQUOTE] = ACTIONS(2414),
    [anon_sym_u_DQUOTE] = ACTIONS(2414),
    [anon_sym_U_DQUOTE] = ACTIONS(2414),
    [anon_sym_u8_DQUOTE] = ACTIONS(2414),
    [sym_true] = ACTIONS(2412),
    [sym_false] = ACTIONS(2412),
    [anon_sym_NULL] = ACTIONS(2412),
    [anon_sym_nullptr] = ACTIONS(2412),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2412),
    [anon_sym___typeof] = ACTIONS(2412),
    [anon_sym_typeof] = ACTIONS(2412),
    [anon_sym_ATimport] = ACTIONS(2414),
    [aux_sym_preproc_undef_token1] = ACTIONS(2412),
    [anon_sym_POUND] = ACTIONS(2412),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2412),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2412),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2412),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2412),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2412),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2412),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2412),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_API_AVAILABLE] = ACTIONS(2412),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_API_DEPRECATED] = ACTIONS(2412),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2412),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym___deprecated_msg] = ACTIONS(2412),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2412),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2412),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2412),
    [anon_sym_ATprotocol] = ACTIONS(2414),
    [anon_sym_ATinterface] = ACTIONS(2414),
    [anon_sym_ATimplementation] = ACTIONS(2414),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2414),
    [anon_sym_ATsynthesize] = ACTIONS(2414),
    [anon_sym_ATdynamic] = ACTIONS(2414),
    [anon_sym_ATtry] = ACTIONS(2414),
    [anon_sym___try] = ACTIONS(2412),
    [anon_sym_ATthrow] = ACTIONS(2414),
    [anon_sym_ATselector] = ACTIONS(2414),
    [anon_sym_ATavailable] = ACTIONS(2414),
    [anon_sym___builtin_available] = ACTIONS(2412),
    [anon_sym_va_arg] = ACTIONS(2412),
    [anon_sym_ATencode] = ACTIONS(2414),
    [anon_sym_ATsynchronized] = ACTIONS(2414),
    [anon_sym_BOOL] = ACTIONS(2412),
    [anon_sym_IMP] = ACTIONS(2412),
    [anon_sym_SEL] = ACTIONS(2412),
    [anon_sym_Class] = ACTIONS(2412),
    [anon_sym_id] = ACTIONS(2412),
  },
  [375] = {
    [sym_identifier] = ACTIONS(2346),
    [aux_sym_preproc_include_token1] = ACTIONS(2346),
    [aux_sym_preproc_include_token2] = ACTIONS(2346),
    [aux_sym_preproc_def_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token2] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2346),
    [aux_sym_preproc_else_token1] = ACTIONS(2346),
    [aux_sym_preproc_elif_token1] = ACTIONS(2346),
    [sym_preproc_directive] = ACTIONS(2346),
    [anon_sym_LPAREN2] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_CARET] = ACTIONS(2348),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym___extension__] = ACTIONS(2346),
    [anon_sym_typedef] = ACTIONS(2346),
    [anon_sym_extern] = ACTIONS(2346),
    [anon_sym___attribute__] = ACTIONS(2346),
    [anon_sym___attribute] = ACTIONS(2346),
    [anon_sym_noreturn] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym___declspec] = ACTIONS(2346),
    [anon_sym___cdecl] = ACTIONS(2346),
    [anon_sym___clrcall] = ACTIONS(2346),
    [anon_sym___stdcall] = ACTIONS(2346),
    [anon_sym___fastcall] = ACTIONS(2346),
    [anon_sym___thiscall] = ACTIONS(2346),
    [anon_sym___vectorcall] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_signed] = ACTIONS(2346),
    [anon_sym_unsigned] = ACTIONS(2346),
    [anon_sym_long] = ACTIONS(2346),
    [anon_sym_short] = ACTIONS(2346),
    [anon_sym_static] = ACTIONS(2346),
    [anon_sym_ATautoreleasepool] = ACTIONS(2348),
    [anon_sym_auto] = ACTIONS(2346),
    [anon_sym_register] = ACTIONS(2346),
    [anon_sym_inline] = ACTIONS(2346),
    [anon_sym___inline] = ACTIONS(2346),
    [anon_sym___inline__] = ACTIONS(2346),
    [anon_sym___forceinline] = ACTIONS(2346),
    [anon_sym_thread_local] = ACTIONS(2346),
    [anon_sym___thread] = ACTIONS(2346),
    [anon_sym_CG_EXTERN] = ACTIONS(2346),
    [anon_sym_CG_INLINE] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2346),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2346),
    [anon_sym_IBOutlet] = ACTIONS(2346),
    [anon_sym_IBInspectable] = ACTIONS(2346),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2346),
    [anon_sym_NS_INLINE] = ACTIONS(2346),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2346),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2346),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2346),
    [anon_sym_const] = ACTIONS(2346),
    [anon_sym_constexpr] = ACTIONS(2346),
    [anon_sym_volatile] = ACTIONS(2346),
    [anon_sym_restrict] = ACTIONS(2346),
    [anon_sym___restrict__] = ACTIONS(2346),
    [anon_sym__Atomic] = ACTIONS(2346),
    [anon_sym__Noreturn] = ACTIONS(2346),
    [anon_sym__Nonnull] = ACTIONS(2346),
    [anon_sym_nullable] = ACTIONS(2346),
    [anon_sym__Complex] = ACTIONS(2346),
    [anon_sym__Nullable] = ACTIONS(2346),
    [anon_sym__Nullable_result] = ACTIONS(2346),
    [anon_sym__Null_unspecified] = ACTIONS(2346),
    [anon_sym___autoreleasing] = ACTIONS(2346),
    [anon_sym___block] = ACTIONS(2346),
    [anon_sym___bridge] = ACTIONS(2346),
    [anon_sym___bridge_retained] = ACTIONS(2346),
    [anon_sym___bridge_transfer] = ACTIONS(2346),
    [anon_sym___complex] = ACTIONS(2346),
    [anon_sym___const] = ACTIONS(2346),
    [anon_sym___imag] = ACTIONS(2346),
    [anon_sym___kindof] = ACTIONS(2346),
    [anon_sym___nonnull] = ACTIONS(2346),
    [anon_sym___nullable] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2346),
    [anon_sym___real] = ACTIONS(2346),
    [anon_sym___strong] = ACTIONS(2346),
    [anon_sym___unsafe_unretained] = ACTIONS(2346),
    [anon_sym___unused] = ACTIONS(2346),
    [anon_sym___weak] = ACTIONS(2346),
    [anon_sym_alignas] = ACTIONS(2346),
    [anon_sym__Alignas] = ACTIONS(2346),
    [sym_primitive_type] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2346),
    [anon_sym_struct] = ACTIONS(2346),
    [anon_sym_union] = ACTIONS(2346),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_else] = ACTIONS(2346),
    [anon_sym_switch] = ACTIONS(2346),
    [anon_sym_case] = ACTIONS(2346),
    [anon_sym_default] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2346),
    [anon_sym_for] = ACTIONS(2346),
    [anon_sym_in] = ACTIONS(2346),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_break] = ACTIONS(2346),
    [anon_sym_continue] = ACTIONS(2346),
    [anon_sym_goto] = ACTIONS(2346),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_sizeof] = ACTIONS(2346),
    [anon_sym___alignof__] = ACTIONS(2346),
    [anon_sym___alignof] = ACTIONS(2346),
    [anon_sym__alignof] = ACTIONS(2346),
    [anon_sym_alignof] = ACTIONS(2346),
    [anon_sym__Alignof] = ACTIONS(2346),
    [anon_sym_offsetof] = ACTIONS(2346),
    [anon_sym__Generic] = ACTIONS(2346),
    [anon_sym_asm] = ACTIONS(2346),
    [anon_sym___asm__] = ACTIONS(2346),
    [anon_sym___asm] = ACTIONS(2346),
    [sym_number_literal] = ACTIONS(2348),
    [anon_sym_L_SQUOTE] = ACTIONS(2348),
    [anon_sym_u_SQUOTE] = ACTIONS(2348),
    [anon_sym_U_SQUOTE] = ACTIONS(2348),
    [anon_sym_u8_SQUOTE] = ACTIONS(2348),
    [anon_sym_SQUOTE] = ACTIONS(2348),
    [anon_sym_AT] = ACTIONS(2346),
    [anon_sym_DQUOTE] = ACTIONS(2348),
    [anon_sym_L_DQUOTE] = ACTIONS(2348),
    [anon_sym_u_DQUOTE] = ACTIONS(2348),
    [anon_sym_U_DQUOTE] = ACTIONS(2348),
    [anon_sym_u8_DQUOTE] = ACTIONS(2348),
    [sym_true] = ACTIONS(2346),
    [sym_false] = ACTIONS(2346),
    [anon_sym_NULL] = ACTIONS(2346),
    [anon_sym_nullptr] = ACTIONS(2346),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2346),
    [anon_sym___typeof] = ACTIONS(2346),
    [anon_sym_typeof] = ACTIONS(2346),
    [anon_sym_ATimport] = ACTIONS(2348),
    [aux_sym_preproc_undef_token1] = ACTIONS(2346),
    [anon_sym_POUND] = ACTIONS(2346),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2346),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2346),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2346),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_API_AVAILABLE] = ACTIONS(2346),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_API_DEPRECATED] = ACTIONS(2346),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym___deprecated_msg] = ACTIONS(2346),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2346),
    [anon_sym_ATprotocol] = ACTIONS(2348),
    [anon_sym_ATinterface] = ACTIONS(2348),
    [anon_sym_ATimplementation] = ACTIONS(2348),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2348),
    [anon_sym_ATsynthesize] = ACTIONS(2348),
    [anon_sym_ATdynamic] = ACTIONS(2348),
    [anon_sym_ATtry] = ACTIONS(2348),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym_ATthrow] = ACTIONS(2348),
    [anon_sym_ATselector] = ACTIONS(2348),
    [anon_sym_ATavailable] = ACTIONS(2348),
    [anon_sym___builtin_available] = ACTIONS(2346),
    [anon_sym_va_arg] = ACTIONS(2346),
    [anon_sym_ATencode] = ACTIONS(2348),
    [anon_sym_ATsynchronized] = ACTIONS(2348),
    [anon_sym_BOOL] = ACTIONS(2346),
    [anon_sym_IMP] = ACTIONS(2346),
    [anon_sym_SEL] = ACTIONS(2346),
    [anon_sym_Class] = ACTIONS(2346),
    [anon_sym_id] = ACTIONS(2346),
  },
  [376] = {
    [sym_identifier] = ACTIONS(2356),
    [aux_sym_preproc_include_token1] = ACTIONS(2356),
    [aux_sym_preproc_include_token2] = ACTIONS(2356),
    [aux_sym_preproc_def_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token2] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2356),
    [aux_sym_preproc_else_token1] = ACTIONS(2356),
    [aux_sym_preproc_elif_token1] = ACTIONS(2356),
    [sym_preproc_directive] = ACTIONS(2356),
    [anon_sym_LPAREN2] = ACTIONS(2358),
    [anon_sym_BANG] = ACTIONS(2358),
    [anon_sym_TILDE] = ACTIONS(2358),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2358),
    [anon_sym_CARET] = ACTIONS(2358),
    [anon_sym_AMP] = ACTIONS(2358),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2356),
    [anon_sym_typedef] = ACTIONS(2356),
    [anon_sym_extern] = ACTIONS(2356),
    [anon_sym___attribute__] = ACTIONS(2356),
    [anon_sym___attribute] = ACTIONS(2356),
    [anon_sym_noreturn] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2358),
    [anon_sym___declspec] = ACTIONS(2356),
    [anon_sym___cdecl] = ACTIONS(2356),
    [anon_sym___clrcall] = ACTIONS(2356),
    [anon_sym___stdcall] = ACTIONS(2356),
    [anon_sym___fastcall] = ACTIONS(2356),
    [anon_sym___thiscall] = ACTIONS(2356),
    [anon_sym___vectorcall] = ACTIONS(2356),
    [anon_sym_LBRACE] = ACTIONS(2358),
    [anon_sym_signed] = ACTIONS(2356),
    [anon_sym_unsigned] = ACTIONS(2356),
    [anon_sym_long] = ACTIONS(2356),
    [anon_sym_short] = ACTIONS(2356),
    [anon_sym_static] = ACTIONS(2356),
    [anon_sym_ATautoreleasepool] = ACTIONS(2358),
    [anon_sym_auto] = ACTIONS(2356),
    [anon_sym_register] = ACTIONS(2356),
    [anon_sym_inline] = ACTIONS(2356),
    [anon_sym___inline] = ACTIONS(2356),
    [anon_sym___inline__] = ACTIONS(2356),
    [anon_sym___forceinline] = ACTIONS(2356),
    [anon_sym_thread_local] = ACTIONS(2356),
    [anon_sym___thread] = ACTIONS(2356),
    [anon_sym_CG_EXTERN] = ACTIONS(2356),
    [anon_sym_CG_INLINE] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2356),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2356),
    [anon_sym_IBOutlet] = ACTIONS(2356),
    [anon_sym_IBInspectable] = ACTIONS(2356),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2356),
    [anon_sym_NS_INLINE] = ACTIONS(2356),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2356),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2356),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2356),
    [anon_sym_const] = ACTIONS(2356),
    [anon_sym_constexpr] = ACTIONS(2356),
    [anon_sym_volatile] = ACTIONS(2356),
    [anon_sym_restrict] = ACTIONS(2356),
    [anon_sym___restrict__] = ACTIONS(2356),
    [anon_sym__Atomic] = ACTIONS(2356),
    [anon_sym__Noreturn] = ACTIONS(2356),
    [anon_sym__Nonnull] = ACTIONS(2356),
    [anon_sym_nullable] = ACTIONS(2356),
    [anon_sym__Complex] = ACTIONS(2356),
    [anon_sym__Nullable] = ACTIONS(2356),
    [anon_sym__Nullable_result] = ACTIONS(2356),
    [anon_sym__Null_unspecified] = ACTIONS(2356),
    [anon_sym___autoreleasing] = ACTIONS(2356),
    [anon_sym___block] = ACTIONS(2356),
    [anon_sym___bridge] = ACTIONS(2356),
    [anon_sym___bridge_retained] = ACTIONS(2356),
    [anon_sym___bridge_transfer] = ACTIONS(2356),
    [anon_sym___complex] = ACTIONS(2356),
    [anon_sym___const] = ACTIONS(2356),
    [anon_sym___imag] = ACTIONS(2356),
    [anon_sym___kindof] = ACTIONS(2356),
    [anon_sym___nonnull] = ACTIONS(2356),
    [anon_sym___nullable] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2356),
    [anon_sym___real] = ACTIONS(2356),
    [anon_sym___strong] = ACTIONS(2356),
    [anon_sym___unsafe_unretained] = ACTIONS(2356),
    [anon_sym___unused] = ACTIONS(2356),
    [anon_sym___weak] = ACTIONS(2356),
    [anon_sym_alignas] = ACTIONS(2356),
    [anon_sym__Alignas] = ACTIONS(2356),
    [sym_primitive_type] = ACTIONS(2356),
    [anon_sym_enum] = ACTIONS(2356),
    [anon_sym_struct] = ACTIONS(2356),
    [anon_sym_union] = ACTIONS(2356),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_else] = ACTIONS(2356),
    [anon_sym_switch] = ACTIONS(2356),
    [anon_sym_case] = ACTIONS(2356),
    [anon_sym_default] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(2356),
    [anon_sym_for] = ACTIONS(2356),
    [anon_sym_in] = ACTIONS(2356),
    [anon_sym_return] = ACTIONS(2356),
    [anon_sym_break] = ACTIONS(2356),
    [anon_sym_continue] = ACTIONS(2356),
    [anon_sym_goto] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2358),
    [anon_sym_PLUS_PLUS] = ACTIONS(2358),
    [anon_sym_sizeof] = ACTIONS(2356),
    [anon_sym___alignof__] = ACTIONS(2356),
    [anon_sym___alignof] = ACTIONS(2356),
    [anon_sym__alignof] = ACTIONS(2356),
    [anon_sym_alignof] = ACTIONS(2356),
    [anon_sym__Alignof] = ACTIONS(2356),
    [anon_sym_offsetof] = ACTIONS(2356),
    [anon_sym__Generic] = ACTIONS(2356),
    [anon_sym_asm] = ACTIONS(2356),
    [anon_sym___asm__] = ACTIONS(2356),
    [anon_sym___asm] = ACTIONS(2356),
    [sym_number_literal] = ACTIONS(2358),
    [anon_sym_L_SQUOTE] = ACTIONS(2358),
    [anon_sym_u_SQUOTE] = ACTIONS(2358),
    [anon_sym_U_SQUOTE] = ACTIONS(2358),
    [anon_sym_u8_SQUOTE] = ACTIONS(2358),
    [anon_sym_SQUOTE] = ACTIONS(2358),
    [anon_sym_AT] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2358),
    [anon_sym_L_DQUOTE] = ACTIONS(2358),
    [anon_sym_u_DQUOTE] = ACTIONS(2358),
    [anon_sym_U_DQUOTE] = ACTIONS(2358),
    [anon_sym_u8_DQUOTE] = ACTIONS(2358),
    [sym_true] = ACTIONS(2356),
    [sym_false] = ACTIONS(2356),
    [anon_sym_NULL] = ACTIONS(2356),
    [anon_sym_nullptr] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2356),
    [anon_sym___typeof] = ACTIONS(2356),
    [anon_sym_typeof] = ACTIONS(2356),
    [anon_sym_ATimport] = ACTIONS(2358),
    [aux_sym_preproc_undef_token1] = ACTIONS(2356),
    [anon_sym_POUND] = ACTIONS(2356),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2356),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2356),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2356),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_API_AVAILABLE] = ACTIONS(2356),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_API_DEPRECATED] = ACTIONS(2356),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym___deprecated_msg] = ACTIONS(2356),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2356),
    [anon_sym_ATprotocol] = ACTIONS(2358),
    [anon_sym_ATinterface] = ACTIONS(2358),
    [anon_sym_ATimplementation] = ACTIONS(2358),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2358),
    [anon_sym_ATsynthesize] = ACTIONS(2358),
    [anon_sym_ATdynamic] = ACTIONS(2358),
    [anon_sym_ATtry] = ACTIONS(2358),
    [anon_sym___try] = ACTIONS(2356),
    [anon_sym_ATthrow] = ACTIONS(2358),
    [anon_sym_ATselector] = ACTIONS(2358),
    [anon_sym_ATavailable] = ACTIONS(2358),
    [anon_sym___builtin_available] = ACTIONS(2356),
    [anon_sym_va_arg] = ACTIONS(2356),
    [anon_sym_ATencode] = ACTIONS(2358),
    [anon_sym_ATsynchronized] = ACTIONS(2358),
    [anon_sym_BOOL] = ACTIONS(2356),
    [anon_sym_IMP] = ACTIONS(2356),
    [anon_sym_SEL] = ACTIONS(2356),
    [anon_sym_Class] = ACTIONS(2356),
    [anon_sym_id] = ACTIONS(2356),
  },
  [377] = {
    [sym_identifier] = ACTIONS(2420),
    [aux_sym_preproc_include_token1] = ACTIONS(2420),
    [aux_sym_preproc_include_token2] = ACTIONS(2420),
    [aux_sym_preproc_def_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token2] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2420),
    [aux_sym_preproc_else_token1] = ACTIONS(2420),
    [aux_sym_preproc_elif_token1] = ACTIONS(2420),
    [sym_preproc_directive] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(2422),
    [anon_sym_BANG] = ACTIONS(2422),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_SEMI] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym___attribute] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym___cdecl] = ACTIONS(2420),
    [anon_sym___clrcall] = ACTIONS(2420),
    [anon_sym___stdcall] = ACTIONS(2420),
    [anon_sym___fastcall] = ACTIONS(2420),
    [anon_sym___thiscall] = ACTIONS(2420),
    [anon_sym___vectorcall] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_ATautoreleasepool] = ACTIONS(2422),
    [anon_sym_auto] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_CG_EXTERN] = ACTIONS(2420),
    [anon_sym_CG_INLINE] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2420),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2420),
    [anon_sym_IBOutlet] = ACTIONS(2420),
    [anon_sym_IBInspectable] = ACTIONS(2420),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2420),
    [anon_sym_NS_INLINE] = ACTIONS(2420),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2420),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2420),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym__Nonnull] = ACTIONS(2420),
    [anon_sym_nullable] = ACTIONS(2420),
    [anon_sym__Complex] = ACTIONS(2420),
    [anon_sym__Nullable] = ACTIONS(2420),
    [anon_sym__Nullable_result] = ACTIONS(2420),
    [anon_sym__Null_unspecified] = ACTIONS(2420),
    [anon_sym___autoreleasing] = ACTIONS(2420),
    [anon_sym___block] = ACTIONS(2420),
    [anon_sym___bridge] = ACTIONS(2420),
    [anon_sym___bridge_retained] = ACTIONS(2420),
    [anon_sym___bridge_transfer] = ACTIONS(2420),
    [anon_sym___complex] = ACTIONS(2420),
    [anon_sym___const] = ACTIONS(2420),
    [anon_sym___imag] = ACTIONS(2420),
    [anon_sym___kindof] = ACTIONS(2420),
    [anon_sym___nonnull] = ACTIONS(2420),
    [anon_sym___nullable] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2420),
    [anon_sym___real] = ACTIONS(2420),
    [anon_sym___strong] = ACTIONS(2420),
    [anon_sym___unsafe_unretained] = ACTIONS(2420),
    [anon_sym___unused] = ACTIONS(2420),
    [anon_sym___weak] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym__Alignas] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [anon_sym_if] = ACTIONS(2420),
    [anon_sym_else] = ACTIONS(2420),
    [anon_sym_switch] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(2420),
    [anon_sym_default] = ACTIONS(2420),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_in] = ACTIONS(2420),
    [anon_sym_return] = ACTIONS(2420),
    [anon_sym_break] = ACTIONS(2420),
    [anon_sym_continue] = ACTIONS(2420),
    [anon_sym_goto] = ACTIONS(2420),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2420),
    [anon_sym___alignof__] = ACTIONS(2420),
    [anon_sym___alignof] = ACTIONS(2420),
    [anon_sym__alignof] = ACTIONS(2420),
    [anon_sym_alignof] = ACTIONS(2420),
    [anon_sym__Alignof] = ACTIONS(2420),
    [anon_sym_offsetof] = ACTIONS(2420),
    [anon_sym__Generic] = ACTIONS(2420),
    [anon_sym_asm] = ACTIONS(2420),
    [anon_sym___asm__] = ACTIONS(2420),
    [anon_sym___asm] = ACTIONS(2420),
    [sym_number_literal] = ACTIONS(2422),
    [anon_sym_L_SQUOTE] = ACTIONS(2422),
    [anon_sym_u_SQUOTE] = ACTIONS(2422),
    [anon_sym_U_SQUOTE] = ACTIONS(2422),
    [anon_sym_u8_SQUOTE] = ACTIONS(2422),
    [anon_sym_SQUOTE] = ACTIONS(2422),
    [anon_sym_AT] = ACTIONS(2420),
    [anon_sym_DQUOTE] = ACTIONS(2422),
    [anon_sym_L_DQUOTE] = ACTIONS(2422),
    [anon_sym_u_DQUOTE] = ACTIONS(2422),
    [anon_sym_U_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8_DQUOTE] = ACTIONS(2422),
    [sym_true] = ACTIONS(2420),
    [sym_false] = ACTIONS(2420),
    [anon_sym_NULL] = ACTIONS(2420),
    [anon_sym_nullptr] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2420),
    [anon_sym___typeof] = ACTIONS(2420),
    [anon_sym_typeof] = ACTIONS(2420),
    [anon_sym_ATimport] = ACTIONS(2422),
    [aux_sym_preproc_undef_token1] = ACTIONS(2420),
    [anon_sym_POUND] = ACTIONS(2420),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2420),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2420),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2420),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_API_AVAILABLE] = ACTIONS(2420),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_API_DEPRECATED] = ACTIONS(2420),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym___deprecated_msg] = ACTIONS(2420),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2420),
    [anon_sym_ATprotocol] = ACTIONS(2422),
    [anon_sym_ATinterface] = ACTIONS(2422),
    [anon_sym_ATimplementation] = ACTIONS(2422),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2422),
    [anon_sym_ATsynthesize] = ACTIONS(2422),
    [anon_sym_ATdynamic] = ACTIONS(2422),
    [anon_sym_ATtry] = ACTIONS(2422),
    [anon_sym___try] = ACTIONS(2420),
    [anon_sym_ATthrow] = ACTIONS(2422),
    [anon_sym_ATselector] = ACTIONS(2422),
    [anon_sym_ATavailable] = ACTIONS(2422),
    [anon_sym___builtin_available] = ACTIONS(2420),
    [anon_sym_va_arg] = ACTIONS(2420),
    [anon_sym_ATencode] = ACTIONS(2422),
    [anon_sym_ATsynchronized] = ACTIONS(2422),
    [anon_sym_BOOL] = ACTIONS(2420),
    [anon_sym_IMP] = ACTIONS(2420),
    [anon_sym_SEL] = ACTIONS(2420),
    [anon_sym_Class] = ACTIONS(2420),
    [anon_sym_id] = ACTIONS(2420),
  },
  [378] = {
    [sym_identifier] = ACTIONS(2420),
    [aux_sym_preproc_include_token1] = ACTIONS(2420),
    [aux_sym_preproc_include_token2] = ACTIONS(2420),
    [aux_sym_preproc_def_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token2] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2420),
    [aux_sym_preproc_else_token1] = ACTIONS(2420),
    [aux_sym_preproc_elif_token1] = ACTIONS(2420),
    [sym_preproc_directive] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(2422),
    [anon_sym_BANG] = ACTIONS(2422),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_SEMI] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym___attribute] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym___cdecl] = ACTIONS(2420),
    [anon_sym___clrcall] = ACTIONS(2420),
    [anon_sym___stdcall] = ACTIONS(2420),
    [anon_sym___fastcall] = ACTIONS(2420),
    [anon_sym___thiscall] = ACTIONS(2420),
    [anon_sym___vectorcall] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_ATautoreleasepool] = ACTIONS(2422),
    [anon_sym_auto] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_CG_EXTERN] = ACTIONS(2420),
    [anon_sym_CG_INLINE] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2420),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2420),
    [anon_sym_IBOutlet] = ACTIONS(2420),
    [anon_sym_IBInspectable] = ACTIONS(2420),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2420),
    [anon_sym_NS_INLINE] = ACTIONS(2420),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2420),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2420),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym__Nonnull] = ACTIONS(2420),
    [anon_sym_nullable] = ACTIONS(2420),
    [anon_sym__Complex] = ACTIONS(2420),
    [anon_sym__Nullable] = ACTIONS(2420),
    [anon_sym__Nullable_result] = ACTIONS(2420),
    [anon_sym__Null_unspecified] = ACTIONS(2420),
    [anon_sym___autoreleasing] = ACTIONS(2420),
    [anon_sym___block] = ACTIONS(2420),
    [anon_sym___bridge] = ACTIONS(2420),
    [anon_sym___bridge_retained] = ACTIONS(2420),
    [anon_sym___bridge_transfer] = ACTIONS(2420),
    [anon_sym___complex] = ACTIONS(2420),
    [anon_sym___const] = ACTIONS(2420),
    [anon_sym___imag] = ACTIONS(2420),
    [anon_sym___kindof] = ACTIONS(2420),
    [anon_sym___nonnull] = ACTIONS(2420),
    [anon_sym___nullable] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2420),
    [anon_sym___real] = ACTIONS(2420),
    [anon_sym___strong] = ACTIONS(2420),
    [anon_sym___unsafe_unretained] = ACTIONS(2420),
    [anon_sym___unused] = ACTIONS(2420),
    [anon_sym___weak] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym__Alignas] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [anon_sym_if] = ACTIONS(2420),
    [anon_sym_else] = ACTIONS(2420),
    [anon_sym_switch] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(2420),
    [anon_sym_default] = ACTIONS(2420),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_in] = ACTIONS(2420),
    [anon_sym_return] = ACTIONS(2420),
    [anon_sym_break] = ACTIONS(2420),
    [anon_sym_continue] = ACTIONS(2420),
    [anon_sym_goto] = ACTIONS(2420),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2420),
    [anon_sym___alignof__] = ACTIONS(2420),
    [anon_sym___alignof] = ACTIONS(2420),
    [anon_sym__alignof] = ACTIONS(2420),
    [anon_sym_alignof] = ACTIONS(2420),
    [anon_sym__Alignof] = ACTIONS(2420),
    [anon_sym_offsetof] = ACTIONS(2420),
    [anon_sym__Generic] = ACTIONS(2420),
    [anon_sym_asm] = ACTIONS(2420),
    [anon_sym___asm__] = ACTIONS(2420),
    [anon_sym___asm] = ACTIONS(2420),
    [sym_number_literal] = ACTIONS(2422),
    [anon_sym_L_SQUOTE] = ACTIONS(2422),
    [anon_sym_u_SQUOTE] = ACTIONS(2422),
    [anon_sym_U_SQUOTE] = ACTIONS(2422),
    [anon_sym_u8_SQUOTE] = ACTIONS(2422),
    [anon_sym_SQUOTE] = ACTIONS(2422),
    [anon_sym_AT] = ACTIONS(2420),
    [anon_sym_DQUOTE] = ACTIONS(2422),
    [anon_sym_L_DQUOTE] = ACTIONS(2422),
    [anon_sym_u_DQUOTE] = ACTIONS(2422),
    [anon_sym_U_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8_DQUOTE] = ACTIONS(2422),
    [sym_true] = ACTIONS(2420),
    [sym_false] = ACTIONS(2420),
    [anon_sym_NULL] = ACTIONS(2420),
    [anon_sym_nullptr] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2420),
    [anon_sym___typeof] = ACTIONS(2420),
    [anon_sym_typeof] = ACTIONS(2420),
    [anon_sym_ATimport] = ACTIONS(2422),
    [aux_sym_preproc_undef_token1] = ACTIONS(2420),
    [anon_sym_POUND] = ACTIONS(2420),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2420),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2420),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2420),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_API_AVAILABLE] = ACTIONS(2420),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_API_DEPRECATED] = ACTIONS(2420),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym___deprecated_msg] = ACTIONS(2420),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2420),
    [anon_sym_ATprotocol] = ACTIONS(2422),
    [anon_sym_ATinterface] = ACTIONS(2422),
    [anon_sym_ATimplementation] = ACTIONS(2422),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2422),
    [anon_sym_ATsynthesize] = ACTIONS(2422),
    [anon_sym_ATdynamic] = ACTIONS(2422),
    [anon_sym_ATtry] = ACTIONS(2422),
    [anon_sym___try] = ACTIONS(2420),
    [anon_sym_ATthrow] = ACTIONS(2422),
    [anon_sym_ATselector] = ACTIONS(2422),
    [anon_sym_ATavailable] = ACTIONS(2422),
    [anon_sym___builtin_available] = ACTIONS(2420),
    [anon_sym_va_arg] = ACTIONS(2420),
    [anon_sym_ATencode] = ACTIONS(2422),
    [anon_sym_ATsynchronized] = ACTIONS(2422),
    [anon_sym_BOOL] = ACTIONS(2420),
    [anon_sym_IMP] = ACTIONS(2420),
    [anon_sym_SEL] = ACTIONS(2420),
    [anon_sym_Class] = ACTIONS(2420),
    [anon_sym_id] = ACTIONS(2420),
  },
  [379] = {
    [sym_identifier] = ACTIONS(2368),
    [aux_sym_preproc_include_token1] = ACTIONS(2368),
    [aux_sym_preproc_include_token2] = ACTIONS(2368),
    [aux_sym_preproc_def_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token2] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2368),
    [aux_sym_preproc_else_token1] = ACTIONS(2368),
    [aux_sym_preproc_elif_token1] = ACTIONS(2368),
    [sym_preproc_directive] = ACTIONS(2368),
    [anon_sym_LPAREN2] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_CARET] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym___extension__] = ACTIONS(2368),
    [anon_sym_typedef] = ACTIONS(2368),
    [anon_sym_extern] = ACTIONS(2368),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym___attribute] = ACTIONS(2368),
    [anon_sym_noreturn] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym___declspec] = ACTIONS(2368),
    [anon_sym___cdecl] = ACTIONS(2368),
    [anon_sym___clrcall] = ACTIONS(2368),
    [anon_sym___stdcall] = ACTIONS(2368),
    [anon_sym___fastcall] = ACTIONS(2368),
    [anon_sym___thiscall] = ACTIONS(2368),
    [anon_sym___vectorcall] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_signed] = ACTIONS(2368),
    [anon_sym_unsigned] = ACTIONS(2368),
    [anon_sym_long] = ACTIONS(2368),
    [anon_sym_short] = ACTIONS(2368),
    [anon_sym_static] = ACTIONS(2368),
    [anon_sym_ATautoreleasepool] = ACTIONS(2370),
    [anon_sym_auto] = ACTIONS(2368),
    [anon_sym_register] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(2368),
    [anon_sym___inline] = ACTIONS(2368),
    [anon_sym___inline__] = ACTIONS(2368),
    [anon_sym___forceinline] = ACTIONS(2368),
    [anon_sym_thread_local] = ACTIONS(2368),
    [anon_sym___thread] = ACTIONS(2368),
    [anon_sym_CG_EXTERN] = ACTIONS(2368),
    [anon_sym_CG_INLINE] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2368),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2368),
    [anon_sym_IBOutlet] = ACTIONS(2368),
    [anon_sym_IBInspectable] = ACTIONS(2368),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2368),
    [anon_sym_NS_INLINE] = ACTIONS(2368),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2368),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2368),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2368),
    [anon_sym_const] = ACTIONS(2368),
    [anon_sym_constexpr] = ACTIONS(2368),
    [anon_sym_volatile] = ACTIONS(2368),
    [anon_sym_restrict] = ACTIONS(2368),
    [anon_sym___restrict__] = ACTIONS(2368),
    [anon_sym__Atomic] = ACTIONS(2368),
    [anon_sym__Noreturn] = ACTIONS(2368),
    [anon_sym__Nonnull] = ACTIONS(2368),
    [anon_sym_nullable] = ACTIONS(2368),
    [anon_sym__Complex] = ACTIONS(2368),
    [anon_sym__Nullable] = ACTIONS(2368),
    [anon_sym__Nullable_result] = ACTIONS(2368),
    [anon_sym__Null_unspecified] = ACTIONS(2368),
    [anon_sym___autoreleasing] = ACTIONS(2368),
    [anon_sym___block] = ACTIONS(2368),
    [anon_sym___bridge] = ACTIONS(2368),
    [anon_sym___bridge_retained] = ACTIONS(2368),
    [anon_sym___bridge_transfer] = ACTIONS(2368),
    [anon_sym___complex] = ACTIONS(2368),
    [anon_sym___const] = ACTIONS(2368),
    [anon_sym___imag] = ACTIONS(2368),
    [anon_sym___kindof] = ACTIONS(2368),
    [anon_sym___nonnull] = ACTIONS(2368),
    [anon_sym___nullable] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2368),
    [anon_sym___real] = ACTIONS(2368),
    [anon_sym___strong] = ACTIONS(2368),
    [anon_sym___unsafe_unretained] = ACTIONS(2368),
    [anon_sym___unused] = ACTIONS(2368),
    [anon_sym___weak] = ACTIONS(2368),
    [anon_sym_alignas] = ACTIONS(2368),
    [anon_sym__Alignas] = ACTIONS(2368),
    [sym_primitive_type] = ACTIONS(2368),
    [anon_sym_enum] = ACTIONS(2368),
    [anon_sym_struct] = ACTIONS(2368),
    [anon_sym_union] = ACTIONS(2368),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_else] = ACTIONS(2368),
    [anon_sym_switch] = ACTIONS(2368),
    [anon_sym_case] = ACTIONS(2368),
    [anon_sym_default] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_do] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2368),
    [anon_sym_in] = ACTIONS(2368),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_break] = ACTIONS(2368),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_goto] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_sizeof] = ACTIONS(2368),
    [anon_sym___alignof__] = ACTIONS(2368),
    [anon_sym___alignof] = ACTIONS(2368),
    [anon_sym__alignof] = ACTIONS(2368),
    [anon_sym_alignof] = ACTIONS(2368),
    [anon_sym__Alignof] = ACTIONS(2368),
    [anon_sym_offsetof] = ACTIONS(2368),
    [anon_sym__Generic] = ACTIONS(2368),
    [anon_sym_asm] = ACTIONS(2368),
    [anon_sym___asm__] = ACTIONS(2368),
    [anon_sym___asm] = ACTIONS(2368),
    [sym_number_literal] = ACTIONS(2370),
    [anon_sym_L_SQUOTE] = ACTIONS(2370),
    [anon_sym_u_SQUOTE] = ACTIONS(2370),
    [anon_sym_U_SQUOTE] = ACTIONS(2370),
    [anon_sym_u8_SQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2368),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_L_DQUOTE] = ACTIONS(2370),
    [anon_sym_u_DQUOTE] = ACTIONS(2370),
    [anon_sym_U_DQUOTE] = ACTIONS(2370),
    [anon_sym_u8_DQUOTE] = ACTIONS(2370),
    [sym_true] = ACTIONS(2368),
    [sym_false] = ACTIONS(2368),
    [anon_sym_NULL] = ACTIONS(2368),
    [anon_sym_nullptr] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2368),
    [anon_sym___typeof] = ACTIONS(2368),
    [anon_sym_typeof] = ACTIONS(2368),
    [anon_sym_ATimport] = ACTIONS(2370),
    [aux_sym_preproc_undef_token1] = ACTIONS(2368),
    [anon_sym_POUND] = ACTIONS(2368),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2368),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2368),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2368),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_API_AVAILABLE] = ACTIONS(2368),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_API_DEPRECATED] = ACTIONS(2368),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym___deprecated_msg] = ACTIONS(2368),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2368),
    [anon_sym_ATprotocol] = ACTIONS(2370),
    [anon_sym_ATinterface] = ACTIONS(2370),
    [anon_sym_ATimplementation] = ACTIONS(2370),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2370),
    [anon_sym_ATsynthesize] = ACTIONS(2370),
    [anon_sym_ATdynamic] = ACTIONS(2370),
    [anon_sym_ATtry] = ACTIONS(2370),
    [anon_sym___try] = ACTIONS(2368),
    [anon_sym_ATthrow] = ACTIONS(2370),
    [anon_sym_ATselector] = ACTIONS(2370),
    [anon_sym_ATavailable] = ACTIONS(2370),
    [anon_sym___builtin_available] = ACTIONS(2368),
    [anon_sym_va_arg] = ACTIONS(2368),
    [anon_sym_ATencode] = ACTIONS(2370),
    [anon_sym_ATsynchronized] = ACTIONS(2370),
    [anon_sym_BOOL] = ACTIONS(2368),
    [anon_sym_IMP] = ACTIONS(2368),
    [anon_sym_SEL] = ACTIONS(2368),
    [anon_sym_Class] = ACTIONS(2368),
    [anon_sym_id] = ACTIONS(2368),
  },
  [380] = {
    [sym_identifier] = ACTIONS(2436),
    [aux_sym_preproc_include_token1] = ACTIONS(2436),
    [aux_sym_preproc_include_token2] = ACTIONS(2436),
    [aux_sym_preproc_def_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token2] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2436),
    [aux_sym_preproc_else_token1] = ACTIONS(2436),
    [aux_sym_preproc_elif_token1] = ACTIONS(2436),
    [sym_preproc_directive] = ACTIONS(2436),
    [anon_sym_LPAREN2] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_CARET] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym___attribute] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym___cdecl] = ACTIONS(2436),
    [anon_sym___clrcall] = ACTIONS(2436),
    [anon_sym___stdcall] = ACTIONS(2436),
    [anon_sym___fastcall] = ACTIONS(2436),
    [anon_sym___thiscall] = ACTIONS(2436),
    [anon_sym___vectorcall] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_ATautoreleasepool] = ACTIONS(2438),
    [anon_sym_auto] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_CG_EXTERN] = ACTIONS(2436),
    [anon_sym_CG_INLINE] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2436),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2436),
    [anon_sym_IBOutlet] = ACTIONS(2436),
    [anon_sym_IBInspectable] = ACTIONS(2436),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2436),
    [anon_sym_NS_INLINE] = ACTIONS(2436),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2436),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2436),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym__Nonnull] = ACTIONS(2436),
    [anon_sym_nullable] = ACTIONS(2436),
    [anon_sym__Complex] = ACTIONS(2436),
    [anon_sym__Nullable] = ACTIONS(2436),
    [anon_sym__Nullable_result] = ACTIONS(2436),
    [anon_sym__Null_unspecified] = ACTIONS(2436),
    [anon_sym___autoreleasing] = ACTIONS(2436),
    [anon_sym___block] = ACTIONS(2436),
    [anon_sym___bridge] = ACTIONS(2436),
    [anon_sym___bridge_retained] = ACTIONS(2436),
    [anon_sym___bridge_transfer] = ACTIONS(2436),
    [anon_sym___complex] = ACTIONS(2436),
    [anon_sym___const] = ACTIONS(2436),
    [anon_sym___imag] = ACTIONS(2436),
    [anon_sym___kindof] = ACTIONS(2436),
    [anon_sym___nonnull] = ACTIONS(2436),
    [anon_sym___nullable] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2436),
    [anon_sym___real] = ACTIONS(2436),
    [anon_sym___strong] = ACTIONS(2436),
    [anon_sym___unsafe_unretained] = ACTIONS(2436),
    [anon_sym___unused] = ACTIONS(2436),
    [anon_sym___weak] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym__Alignas] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_else] = ACTIONS(2436),
    [anon_sym_switch] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(2436),
    [anon_sym_default] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_in] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2436),
    [anon_sym_break] = ACTIONS(2436),
    [anon_sym_continue] = ACTIONS(2436),
    [anon_sym_goto] = ACTIONS(2436),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_sizeof] = ACTIONS(2436),
    [anon_sym___alignof__] = ACTIONS(2436),
    [anon_sym___alignof] = ACTIONS(2436),
    [anon_sym__alignof] = ACTIONS(2436),
    [anon_sym_alignof] = ACTIONS(2436),
    [anon_sym__Alignof] = ACTIONS(2436),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2436),
    [anon_sym_asm] = ACTIONS(2436),
    [anon_sym___asm__] = ACTIONS(2436),
    [anon_sym___asm] = ACTIONS(2436),
    [sym_number_literal] = ACTIONS(2438),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_AT] = ACTIONS(2436),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2438),
    [anon_sym_u_DQUOTE] = ACTIONS(2438),
    [anon_sym_U_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8_DQUOTE] = ACTIONS(2438),
    [sym_true] = ACTIONS(2436),
    [sym_false] = ACTIONS(2436),
    [anon_sym_NULL] = ACTIONS(2436),
    [anon_sym_nullptr] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2436),
    [anon_sym___typeof] = ACTIONS(2436),
    [anon_sym_typeof] = ACTIONS(2436),
    [anon_sym_ATimport] = ACTIONS(2438),
    [aux_sym_preproc_undef_token1] = ACTIONS(2436),
    [anon_sym_POUND] = ACTIONS(2436),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2436),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2436),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2436),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_API_AVAILABLE] = ACTIONS(2436),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_API_DEPRECATED] = ACTIONS(2436),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym___deprecated_msg] = ACTIONS(2436),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2436),
    [anon_sym_ATprotocol] = ACTIONS(2438),
    [anon_sym_ATinterface] = ACTIONS(2438),
    [anon_sym_ATimplementation] = ACTIONS(2438),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2438),
    [anon_sym_ATsynthesize] = ACTIONS(2438),
    [anon_sym_ATdynamic] = ACTIONS(2438),
    [anon_sym_ATtry] = ACTIONS(2438),
    [anon_sym___try] = ACTIONS(2436),
    [anon_sym_ATthrow] = ACTIONS(2438),
    [anon_sym_ATselector] = ACTIONS(2438),
    [anon_sym_ATavailable] = ACTIONS(2438),
    [anon_sym___builtin_available] = ACTIONS(2436),
    [anon_sym_va_arg] = ACTIONS(2436),
    [anon_sym_ATencode] = ACTIONS(2438),
    [anon_sym_ATsynchronized] = ACTIONS(2438),
    [anon_sym_BOOL] = ACTIONS(2436),
    [anon_sym_IMP] = ACTIONS(2436),
    [anon_sym_SEL] = ACTIONS(2436),
    [anon_sym_Class] = ACTIONS(2436),
    [anon_sym_id] = ACTIONS(2436),
  },
  [381] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_include_token1] = ACTIONS(2448),
    [aux_sym_preproc_include_token2] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token2] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [aux_sym_preproc_else_token1] = ACTIONS(2448),
    [aux_sym_preproc_elif_token1] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym___attribute] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___cdecl] = ACTIONS(2448),
    [anon_sym___clrcall] = ACTIONS(2448),
    [anon_sym___stdcall] = ACTIONS(2448),
    [anon_sym___fastcall] = ACTIONS(2448),
    [anon_sym___thiscall] = ACTIONS(2448),
    [anon_sym___vectorcall] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_ATautoreleasepool] = ACTIONS(2450),
    [anon_sym_auto] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_CG_EXTERN] = ACTIONS(2448),
    [anon_sym_CG_INLINE] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2448),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2448),
    [anon_sym_IBOutlet] = ACTIONS(2448),
    [anon_sym_IBInspectable] = ACTIONS(2448),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2448),
    [anon_sym_NS_INLINE] = ACTIONS(2448),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2448),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2448),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym__Nonnull] = ACTIONS(2448),
    [anon_sym_nullable] = ACTIONS(2448),
    [anon_sym__Complex] = ACTIONS(2448),
    [anon_sym__Nullable] = ACTIONS(2448),
    [anon_sym__Nullable_result] = ACTIONS(2448),
    [anon_sym__Null_unspecified] = ACTIONS(2448),
    [anon_sym___autoreleasing] = ACTIONS(2448),
    [anon_sym___block] = ACTIONS(2448),
    [anon_sym___bridge] = ACTIONS(2448),
    [anon_sym___bridge_retained] = ACTIONS(2448),
    [anon_sym___bridge_transfer] = ACTIONS(2448),
    [anon_sym___complex] = ACTIONS(2448),
    [anon_sym___const] = ACTIONS(2448),
    [anon_sym___imag] = ACTIONS(2448),
    [anon_sym___kindof] = ACTIONS(2448),
    [anon_sym___nonnull] = ACTIONS(2448),
    [anon_sym___nullable] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2448),
    [anon_sym___real] = ACTIONS(2448),
    [anon_sym___strong] = ACTIONS(2448),
    [anon_sym___unsafe_unretained] = ACTIONS(2448),
    [anon_sym___unused] = ACTIONS(2448),
    [anon_sym___weak] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym__Alignas] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_switch] = ACTIONS(2448),
    [anon_sym_case] = ACTIONS(2448),
    [anon_sym_default] = ACTIONS(2448),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_do] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_break] = ACTIONS(2448),
    [anon_sym_continue] = ACTIONS(2448),
    [anon_sym_goto] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_sizeof] = ACTIONS(2448),
    [anon_sym___alignof__] = ACTIONS(2448),
    [anon_sym___alignof] = ACTIONS(2448),
    [anon_sym__alignof] = ACTIONS(2448),
    [anon_sym_alignof] = ACTIONS(2448),
    [anon_sym__Alignof] = ACTIONS(2448),
    [anon_sym_offsetof] = ACTIONS(2448),
    [anon_sym__Generic] = ACTIONS(2448),
    [anon_sym_asm] = ACTIONS(2448),
    [anon_sym___asm__] = ACTIONS(2448),
    [anon_sym___asm] = ACTIONS(2448),
    [sym_number_literal] = ACTIONS(2450),
    [anon_sym_L_SQUOTE] = ACTIONS(2450),
    [anon_sym_u_SQUOTE] = ACTIONS(2450),
    [anon_sym_U_SQUOTE] = ACTIONS(2450),
    [anon_sym_u8_SQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_AT] = ACTIONS(2448),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_L_DQUOTE] = ACTIONS(2450),
    [anon_sym_u_DQUOTE] = ACTIONS(2450),
    [anon_sym_U_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8_DQUOTE] = ACTIONS(2450),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2448),
    [anon_sym_nullptr] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2448),
    [anon_sym___typeof] = ACTIONS(2448),
    [anon_sym_typeof] = ACTIONS(2448),
    [anon_sym_ATimport] = ACTIONS(2450),
    [aux_sym_preproc_undef_token1] = ACTIONS(2448),
    [anon_sym_POUND] = ACTIONS(2448),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2448),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2448),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2448),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_API_AVAILABLE] = ACTIONS(2448),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_API_DEPRECATED] = ACTIONS(2448),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym___deprecated_msg] = ACTIONS(2448),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2448),
    [anon_sym_ATprotocol] = ACTIONS(2450),
    [anon_sym_ATinterface] = ACTIONS(2450),
    [anon_sym_ATimplementation] = ACTIONS(2450),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2450),
    [anon_sym_ATsynthesize] = ACTIONS(2450),
    [anon_sym_ATdynamic] = ACTIONS(2450),
    [anon_sym_ATtry] = ACTIONS(2450),
    [anon_sym___try] = ACTIONS(2448),
    [anon_sym_ATthrow] = ACTIONS(2450),
    [anon_sym_ATselector] = ACTIONS(2450),
    [anon_sym_ATavailable] = ACTIONS(2450),
    [anon_sym___builtin_available] = ACTIONS(2448),
    [anon_sym_va_arg] = ACTIONS(2448),
    [anon_sym_ATencode] = ACTIONS(2450),
    [anon_sym_ATsynchronized] = ACTIONS(2450),
    [anon_sym_BOOL] = ACTIONS(2448),
    [anon_sym_IMP] = ACTIONS(2448),
    [anon_sym_SEL] = ACTIONS(2448),
    [anon_sym_Class] = ACTIONS(2448),
    [anon_sym_id] = ACTIONS(2448),
  },
  [382] = {
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_include_token1] = ACTIONS(2452),
    [aux_sym_preproc_include_token2] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token2] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [aux_sym_preproc_else_token1] = ACTIONS(2452),
    [aux_sym_preproc_elif_token1] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_BANG] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym___attribute] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_ATautoreleasepool] = ACTIONS(2454),
    [anon_sym_auto] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_CG_EXTERN] = ACTIONS(2452),
    [anon_sym_CG_INLINE] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2452),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2452),
    [anon_sym_IBOutlet] = ACTIONS(2452),
    [anon_sym_IBInspectable] = ACTIONS(2452),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2452),
    [anon_sym_NS_INLINE] = ACTIONS(2452),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2452),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2452),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym__Nonnull] = ACTIONS(2452),
    [anon_sym_nullable] = ACTIONS(2452),
    [anon_sym__Complex] = ACTIONS(2452),
    [anon_sym__Nullable] = ACTIONS(2452),
    [anon_sym__Nullable_result] = ACTIONS(2452),
    [anon_sym__Null_unspecified] = ACTIONS(2452),
    [anon_sym___autoreleasing] = ACTIONS(2452),
    [anon_sym___block] = ACTIONS(2452),
    [anon_sym___bridge] = ACTIONS(2452),
    [anon_sym___bridge_retained] = ACTIONS(2452),
    [anon_sym___bridge_transfer] = ACTIONS(2452),
    [anon_sym___complex] = ACTIONS(2452),
    [anon_sym___const] = ACTIONS(2452),
    [anon_sym___imag] = ACTIONS(2452),
    [anon_sym___kindof] = ACTIONS(2452),
    [anon_sym___nonnull] = ACTIONS(2452),
    [anon_sym___nullable] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2452),
    [anon_sym___real] = ACTIONS(2452),
    [anon_sym___strong] = ACTIONS(2452),
    [anon_sym___unsafe_unretained] = ACTIONS(2452),
    [anon_sym___unused] = ACTIONS(2452),
    [anon_sym___weak] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym__Alignas] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(2452),
    [anon_sym_case] = ACTIONS(2452),
    [anon_sym_default] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_do] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_break] = ACTIONS(2452),
    [anon_sym_continue] = ACTIONS(2452),
    [anon_sym_goto] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(2454),
    [anon_sym_sizeof] = ACTIONS(2452),
    [anon_sym___alignof__] = ACTIONS(2452),
    [anon_sym___alignof] = ACTIONS(2452),
    [anon_sym__alignof] = ACTIONS(2452),
    [anon_sym_alignof] = ACTIONS(2452),
    [anon_sym__Alignof] = ACTIONS(2452),
    [anon_sym_offsetof] = ACTIONS(2452),
    [anon_sym__Generic] = ACTIONS(2452),
    [anon_sym_asm] = ACTIONS(2452),
    [anon_sym___asm__] = ACTIONS(2452),
    [anon_sym___asm] = ACTIONS(2452),
    [sym_number_literal] = ACTIONS(2454),
    [anon_sym_L_SQUOTE] = ACTIONS(2454),
    [anon_sym_u_SQUOTE] = ACTIONS(2454),
    [anon_sym_U_SQUOTE] = ACTIONS(2454),
    [anon_sym_u8_SQUOTE] = ACTIONS(2454),
    [anon_sym_SQUOTE] = ACTIONS(2454),
    [anon_sym_AT] = ACTIONS(2452),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_L_DQUOTE] = ACTIONS(2454),
    [anon_sym_u_DQUOTE] = ACTIONS(2454),
    [anon_sym_U_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8_DQUOTE] = ACTIONS(2454),
    [sym_true] = ACTIONS(2452),
    [sym_false] = ACTIONS(2452),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2452),
    [anon_sym___typeof] = ACTIONS(2452),
    [anon_sym_typeof] = ACTIONS(2452),
    [anon_sym_ATimport] = ACTIONS(2454),
    [aux_sym_preproc_undef_token1] = ACTIONS(2452),
    [anon_sym_POUND] = ACTIONS(2452),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2452),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2452),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2452),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_API_AVAILABLE] = ACTIONS(2452),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_API_DEPRECATED] = ACTIONS(2452),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym___deprecated_msg] = ACTIONS(2452),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2452),
    [anon_sym_ATprotocol] = ACTIONS(2454),
    [anon_sym_ATinterface] = ACTIONS(2454),
    [anon_sym_ATimplementation] = ACTIONS(2454),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2454),
    [anon_sym_ATsynthesize] = ACTIONS(2454),
    [anon_sym_ATdynamic] = ACTIONS(2454),
    [anon_sym_ATtry] = ACTIONS(2454),
    [anon_sym___try] = ACTIONS(2452),
    [anon_sym_ATthrow] = ACTIONS(2454),
    [anon_sym_ATselector] = ACTIONS(2454),
    [anon_sym_ATavailable] = ACTIONS(2454),
    [anon_sym___builtin_available] = ACTIONS(2452),
    [anon_sym_va_arg] = ACTIONS(2452),
    [anon_sym_ATencode] = ACTIONS(2454),
    [anon_sym_ATsynchronized] = ACTIONS(2454),
    [anon_sym_BOOL] = ACTIONS(2452),
    [anon_sym_IMP] = ACTIONS(2452),
    [anon_sym_SEL] = ACTIONS(2452),
    [anon_sym_Class] = ACTIONS(2452),
    [anon_sym_id] = ACTIONS(2452),
  },
  [383] = {
    [sym_identifier] = ACTIONS(2436),
    [aux_sym_preproc_include_token1] = ACTIONS(2436),
    [aux_sym_preproc_include_token2] = ACTIONS(2436),
    [aux_sym_preproc_def_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token2] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2436),
    [aux_sym_preproc_else_token1] = ACTIONS(2436),
    [aux_sym_preproc_elif_token1] = ACTIONS(2436),
    [sym_preproc_directive] = ACTIONS(2436),
    [anon_sym_LPAREN2] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_CARET] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym___attribute] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym___cdecl] = ACTIONS(2436),
    [anon_sym___clrcall] = ACTIONS(2436),
    [anon_sym___stdcall] = ACTIONS(2436),
    [anon_sym___fastcall] = ACTIONS(2436),
    [anon_sym___thiscall] = ACTIONS(2436),
    [anon_sym___vectorcall] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_ATautoreleasepool] = ACTIONS(2438),
    [anon_sym_auto] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_CG_EXTERN] = ACTIONS(2436),
    [anon_sym_CG_INLINE] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2436),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2436),
    [anon_sym_IBOutlet] = ACTIONS(2436),
    [anon_sym_IBInspectable] = ACTIONS(2436),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2436),
    [anon_sym_NS_INLINE] = ACTIONS(2436),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2436),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2436),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym__Nonnull] = ACTIONS(2436),
    [anon_sym_nullable] = ACTIONS(2436),
    [anon_sym__Complex] = ACTIONS(2436),
    [anon_sym__Nullable] = ACTIONS(2436),
    [anon_sym__Nullable_result] = ACTIONS(2436),
    [anon_sym__Null_unspecified] = ACTIONS(2436),
    [anon_sym___autoreleasing] = ACTIONS(2436),
    [anon_sym___block] = ACTIONS(2436),
    [anon_sym___bridge] = ACTIONS(2436),
    [anon_sym___bridge_retained] = ACTIONS(2436),
    [anon_sym___bridge_transfer] = ACTIONS(2436),
    [anon_sym___complex] = ACTIONS(2436),
    [anon_sym___const] = ACTIONS(2436),
    [anon_sym___imag] = ACTIONS(2436),
    [anon_sym___kindof] = ACTIONS(2436),
    [anon_sym___nonnull] = ACTIONS(2436),
    [anon_sym___nullable] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2436),
    [anon_sym___real] = ACTIONS(2436),
    [anon_sym___strong] = ACTIONS(2436),
    [anon_sym___unsafe_unretained] = ACTIONS(2436),
    [anon_sym___unused] = ACTIONS(2436),
    [anon_sym___weak] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym__Alignas] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_else] = ACTIONS(2436),
    [anon_sym_switch] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(2436),
    [anon_sym_default] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_in] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2436),
    [anon_sym_break] = ACTIONS(2436),
    [anon_sym_continue] = ACTIONS(2436),
    [anon_sym_goto] = ACTIONS(2436),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_sizeof] = ACTIONS(2436),
    [anon_sym___alignof__] = ACTIONS(2436),
    [anon_sym___alignof] = ACTIONS(2436),
    [anon_sym__alignof] = ACTIONS(2436),
    [anon_sym_alignof] = ACTIONS(2436),
    [anon_sym__Alignof] = ACTIONS(2436),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2436),
    [anon_sym_asm] = ACTIONS(2436),
    [anon_sym___asm__] = ACTIONS(2436),
    [anon_sym___asm] = ACTIONS(2436),
    [sym_number_literal] = ACTIONS(2438),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_AT] = ACTIONS(2436),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2438),
    [anon_sym_u_DQUOTE] = ACTIONS(2438),
    [anon_sym_U_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8_DQUOTE] = ACTIONS(2438),
    [sym_true] = ACTIONS(2436),
    [sym_false] = ACTIONS(2436),
    [anon_sym_NULL] = ACTIONS(2436),
    [anon_sym_nullptr] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2436),
    [anon_sym___typeof] = ACTIONS(2436),
    [anon_sym_typeof] = ACTIONS(2436),
    [anon_sym_ATimport] = ACTIONS(2438),
    [aux_sym_preproc_undef_token1] = ACTIONS(2436),
    [anon_sym_POUND] = ACTIONS(2436),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2436),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2436),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2436),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_API_AVAILABLE] = ACTIONS(2436),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_API_DEPRECATED] = ACTIONS(2436),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym___deprecated_msg] = ACTIONS(2436),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2436),
    [anon_sym_ATprotocol] = ACTIONS(2438),
    [anon_sym_ATinterface] = ACTIONS(2438),
    [anon_sym_ATimplementation] = ACTIONS(2438),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2438),
    [anon_sym_ATsynthesize] = ACTIONS(2438),
    [anon_sym_ATdynamic] = ACTIONS(2438),
    [anon_sym_ATtry] = ACTIONS(2438),
    [anon_sym___try] = ACTIONS(2436),
    [anon_sym_ATthrow] = ACTIONS(2438),
    [anon_sym_ATselector] = ACTIONS(2438),
    [anon_sym_ATavailable] = ACTIONS(2438),
    [anon_sym___builtin_available] = ACTIONS(2436),
    [anon_sym_va_arg] = ACTIONS(2436),
    [anon_sym_ATencode] = ACTIONS(2438),
    [anon_sym_ATsynchronized] = ACTIONS(2438),
    [anon_sym_BOOL] = ACTIONS(2436),
    [anon_sym_IMP] = ACTIONS(2436),
    [anon_sym_SEL] = ACTIONS(2436),
    [anon_sym_Class] = ACTIONS(2436),
    [anon_sym_id] = ACTIONS(2436),
  },
  [384] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_include_token1] = ACTIONS(2448),
    [aux_sym_preproc_include_token2] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token2] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [aux_sym_preproc_else_token1] = ACTIONS(2448),
    [aux_sym_preproc_elif_token1] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym___attribute] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___cdecl] = ACTIONS(2448),
    [anon_sym___clrcall] = ACTIONS(2448),
    [anon_sym___stdcall] = ACTIONS(2448),
    [anon_sym___fastcall] = ACTIONS(2448),
    [anon_sym___thiscall] = ACTIONS(2448),
    [anon_sym___vectorcall] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_ATautoreleasepool] = ACTIONS(2450),
    [anon_sym_auto] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_CG_EXTERN] = ACTIONS(2448),
    [anon_sym_CG_INLINE] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2448),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2448),
    [anon_sym_IBOutlet] = ACTIONS(2448),
    [anon_sym_IBInspectable] = ACTIONS(2448),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2448),
    [anon_sym_NS_INLINE] = ACTIONS(2448),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2448),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2448),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym__Nonnull] = ACTIONS(2448),
    [anon_sym_nullable] = ACTIONS(2448),
    [anon_sym__Complex] = ACTIONS(2448),
    [anon_sym__Nullable] = ACTIONS(2448),
    [anon_sym__Nullable_result] = ACTIONS(2448),
    [anon_sym__Null_unspecified] = ACTIONS(2448),
    [anon_sym___autoreleasing] = ACTIONS(2448),
    [anon_sym___block] = ACTIONS(2448),
    [anon_sym___bridge] = ACTIONS(2448),
    [anon_sym___bridge_retained] = ACTIONS(2448),
    [anon_sym___bridge_transfer] = ACTIONS(2448),
    [anon_sym___complex] = ACTIONS(2448),
    [anon_sym___const] = ACTIONS(2448),
    [anon_sym___imag] = ACTIONS(2448),
    [anon_sym___kindof] = ACTIONS(2448),
    [anon_sym___nonnull] = ACTIONS(2448),
    [anon_sym___nullable] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2448),
    [anon_sym___real] = ACTIONS(2448),
    [anon_sym___strong] = ACTIONS(2448),
    [anon_sym___unsafe_unretained] = ACTIONS(2448),
    [anon_sym___unused] = ACTIONS(2448),
    [anon_sym___weak] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym__Alignas] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_switch] = ACTIONS(2448),
    [anon_sym_case] = ACTIONS(2448),
    [anon_sym_default] = ACTIONS(2448),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_do] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_break] = ACTIONS(2448),
    [anon_sym_continue] = ACTIONS(2448),
    [anon_sym_goto] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_sizeof] = ACTIONS(2448),
    [anon_sym___alignof__] = ACTIONS(2448),
    [anon_sym___alignof] = ACTIONS(2448),
    [anon_sym__alignof] = ACTIONS(2448),
    [anon_sym_alignof] = ACTIONS(2448),
    [anon_sym__Alignof] = ACTIONS(2448),
    [anon_sym_offsetof] = ACTIONS(2448),
    [anon_sym__Generic] = ACTIONS(2448),
    [anon_sym_asm] = ACTIONS(2448),
    [anon_sym___asm__] = ACTIONS(2448),
    [anon_sym___asm] = ACTIONS(2448),
    [sym_number_literal] = ACTIONS(2450),
    [anon_sym_L_SQUOTE] = ACTIONS(2450),
    [anon_sym_u_SQUOTE] = ACTIONS(2450),
    [anon_sym_U_SQUOTE] = ACTIONS(2450),
    [anon_sym_u8_SQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_AT] = ACTIONS(2448),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_L_DQUOTE] = ACTIONS(2450),
    [anon_sym_u_DQUOTE] = ACTIONS(2450),
    [anon_sym_U_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8_DQUOTE] = ACTIONS(2450),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2448),
    [anon_sym_nullptr] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2448),
    [anon_sym___typeof] = ACTIONS(2448),
    [anon_sym_typeof] = ACTIONS(2448),
    [anon_sym_ATimport] = ACTIONS(2450),
    [aux_sym_preproc_undef_token1] = ACTIONS(2448),
    [anon_sym_POUND] = ACTIONS(2448),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2448),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2448),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2448),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_API_AVAILABLE] = ACTIONS(2448),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_API_DEPRECATED] = ACTIONS(2448),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym___deprecated_msg] = ACTIONS(2448),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2448),
    [anon_sym_ATprotocol] = ACTIONS(2450),
    [anon_sym_ATinterface] = ACTIONS(2450),
    [anon_sym_ATimplementation] = ACTIONS(2450),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2450),
    [anon_sym_ATsynthesize] = ACTIONS(2450),
    [anon_sym_ATdynamic] = ACTIONS(2450),
    [anon_sym_ATtry] = ACTIONS(2450),
    [anon_sym___try] = ACTIONS(2448),
    [anon_sym_ATthrow] = ACTIONS(2450),
    [anon_sym_ATselector] = ACTIONS(2450),
    [anon_sym_ATavailable] = ACTIONS(2450),
    [anon_sym___builtin_available] = ACTIONS(2448),
    [anon_sym_va_arg] = ACTIONS(2448),
    [anon_sym_ATencode] = ACTIONS(2450),
    [anon_sym_ATsynchronized] = ACTIONS(2450),
    [anon_sym_BOOL] = ACTIONS(2448),
    [anon_sym_IMP] = ACTIONS(2448),
    [anon_sym_SEL] = ACTIONS(2448),
    [anon_sym_Class] = ACTIONS(2448),
    [anon_sym_id] = ACTIONS(2448),
  },
  [385] = {
    [sym_identifier] = ACTIONS(2470),
    [aux_sym_preproc_include_token1] = ACTIONS(2470),
    [aux_sym_preproc_include_token2] = ACTIONS(2470),
    [aux_sym_preproc_def_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token2] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2470),
    [aux_sym_preproc_else_token1] = ACTIONS(2470),
    [aux_sym_preproc_elif_token1] = ACTIONS(2470),
    [sym_preproc_directive] = ACTIONS(2470),
    [anon_sym_LPAREN2] = ACTIONS(2472),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_CARET] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2470),
    [anon_sym_extern] = ACTIONS(2470),
    [anon_sym___attribute__] = ACTIONS(2470),
    [anon_sym___attribute] = ACTIONS(2470),
    [anon_sym_noreturn] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym___declspec] = ACTIONS(2470),
    [anon_sym___cdecl] = ACTIONS(2470),
    [anon_sym___clrcall] = ACTIONS(2470),
    [anon_sym___stdcall] = ACTIONS(2470),
    [anon_sym___fastcall] = ACTIONS(2470),
    [anon_sym___thiscall] = ACTIONS(2470),
    [anon_sym___vectorcall] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_signed] = ACTIONS(2470),
    [anon_sym_unsigned] = ACTIONS(2470),
    [anon_sym_long] = ACTIONS(2470),
    [anon_sym_short] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_ATautoreleasepool] = ACTIONS(2472),
    [anon_sym_auto] = ACTIONS(2470),
    [anon_sym_register] = ACTIONS(2470),
    [anon_sym_inline] = ACTIONS(2470),
    [anon_sym___inline] = ACTIONS(2470),
    [anon_sym___inline__] = ACTIONS(2470),
    [anon_sym___forceinline] = ACTIONS(2470),
    [anon_sym_thread_local] = ACTIONS(2470),
    [anon_sym___thread] = ACTIONS(2470),
    [anon_sym_CG_EXTERN] = ACTIONS(2470),
    [anon_sym_CG_INLINE] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2470),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2470),
    [anon_sym_IBOutlet] = ACTIONS(2470),
    [anon_sym_IBInspectable] = ACTIONS(2470),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2470),
    [anon_sym_NS_INLINE] = ACTIONS(2470),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2470),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2470),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2470),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_constexpr] = ACTIONS(2470),
    [anon_sym_volatile] = ACTIONS(2470),
    [anon_sym_restrict] = ACTIONS(2470),
    [anon_sym___restrict__] = ACTIONS(2470),
    [anon_sym__Atomic] = ACTIONS(2470),
    [anon_sym__Noreturn] = ACTIONS(2470),
    [anon_sym__Nonnull] = ACTIONS(2470),
    [anon_sym_nullable] = ACTIONS(2470),
    [anon_sym__Complex] = ACTIONS(2470),
    [anon_sym__Nullable] = ACTIONS(2470),
    [anon_sym__Nullable_result] = ACTIONS(2470),
    [anon_sym__Null_unspecified] = ACTIONS(2470),
    [anon_sym___autoreleasing] = ACTIONS(2470),
    [anon_sym___block] = ACTIONS(2470),
    [anon_sym___bridge] = ACTIONS(2470),
    [anon_sym___bridge_retained] = ACTIONS(2470),
    [anon_sym___bridge_transfer] = ACTIONS(2470),
    [anon_sym___complex] = ACTIONS(2470),
    [anon_sym___const] = ACTIONS(2470),
    [anon_sym___imag] = ACTIONS(2470),
    [anon_sym___kindof] = ACTIONS(2470),
    [anon_sym___nonnull] = ACTIONS(2470),
    [anon_sym___nullable] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2470),
    [anon_sym___real] = ACTIONS(2470),
    [anon_sym___strong] = ACTIONS(2470),
    [anon_sym___unsafe_unretained] = ACTIONS(2470),
    [anon_sym___unused] = ACTIONS(2470),
    [anon_sym___weak] = ACTIONS(2470),
    [anon_sym_alignas] = ACTIONS(2470),
    [anon_sym__Alignas] = ACTIONS(2470),
    [sym_primitive_type] = ACTIONS(2470),
    [anon_sym_enum] = ACTIONS(2470),
    [anon_sym_struct] = ACTIONS(2470),
    [anon_sym_union] = ACTIONS(2470),
    [anon_sym_if] = ACTIONS(2470),
    [anon_sym_else] = ACTIONS(2470),
    [anon_sym_switch] = ACTIONS(2470),
    [anon_sym_case] = ACTIONS(2470),
    [anon_sym_default] = ACTIONS(2470),
    [anon_sym_while] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_in] = ACTIONS(2470),
    [anon_sym_return] = ACTIONS(2470),
    [anon_sym_break] = ACTIONS(2470),
    [anon_sym_continue] = ACTIONS(2470),
    [anon_sym_goto] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_PLUS] = ACTIONS(2472),
    [anon_sym_sizeof] = ACTIONS(2470),
    [anon_sym___alignof__] = ACTIONS(2470),
    [anon_sym___alignof] = ACTIONS(2470),
    [anon_sym__alignof] = ACTIONS(2470),
    [anon_sym_alignof] = ACTIONS(2470),
    [anon_sym__Alignof] = ACTIONS(2470),
    [anon_sym_offsetof] = ACTIONS(2470),
    [anon_sym__Generic] = ACTIONS(2470),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2472),
    [anon_sym_u_SQUOTE] = ACTIONS(2472),
    [anon_sym_U_SQUOTE] = ACTIONS(2472),
    [anon_sym_u8_SQUOTE] = ACTIONS(2472),
    [anon_sym_SQUOTE] = ACTIONS(2472),
    [anon_sym_AT] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2470),
    [sym_false] = ACTIONS(2470),
    [anon_sym_NULL] = ACTIONS(2470),
    [anon_sym_nullptr] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2470),
    [anon_sym___typeof] = ACTIONS(2470),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_ATimport] = ACTIONS(2472),
    [aux_sym_preproc_undef_token1] = ACTIONS(2470),
    [anon_sym_POUND] = ACTIONS(2470),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2470),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2470),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2470),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_API_AVAILABLE] = ACTIONS(2470),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_API_DEPRECATED] = ACTIONS(2470),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym___deprecated_msg] = ACTIONS(2470),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2470),
    [anon_sym_ATprotocol] = ACTIONS(2472),
    [anon_sym_ATinterface] = ACTIONS(2472),
    [anon_sym_ATimplementation] = ACTIONS(2472),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2472),
    [anon_sym_ATsynthesize] = ACTIONS(2472),
    [anon_sym_ATdynamic] = ACTIONS(2472),
    [anon_sym_ATtry] = ACTIONS(2472),
    [anon_sym___try] = ACTIONS(2470),
    [anon_sym_ATthrow] = ACTIONS(2472),
    [anon_sym_ATselector] = ACTIONS(2472),
    [anon_sym_ATavailable] = ACTIONS(2472),
    [anon_sym___builtin_available] = ACTIONS(2470),
    [anon_sym_va_arg] = ACTIONS(2470),
    [anon_sym_ATencode] = ACTIONS(2472),
    [anon_sym_ATsynchronized] = ACTIONS(2472),
    [anon_sym_BOOL] = ACTIONS(2470),
    [anon_sym_IMP] = ACTIONS(2470),
    [anon_sym_SEL] = ACTIONS(2470),
    [anon_sym_Class] = ACTIONS(2470),
    [anon_sym_id] = ACTIONS(2470),
  },
  [386] = {
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_include_token1] = ACTIONS(2474),
    [aux_sym_preproc_include_token2] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token2] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [aux_sym_preproc_else_token1] = ACTIONS(2474),
    [aux_sym_preproc_elif_token1] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_BANG] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym___attribute] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_ATautoreleasepool] = ACTIONS(2476),
    [anon_sym_auto] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_CG_EXTERN] = ACTIONS(2474),
    [anon_sym_CG_INLINE] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2474),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2474),
    [anon_sym_IBOutlet] = ACTIONS(2474),
    [anon_sym_IBInspectable] = ACTIONS(2474),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2474),
    [anon_sym_NS_INLINE] = ACTIONS(2474),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2474),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2474),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym__Nonnull] = ACTIONS(2474),
    [anon_sym_nullable] = ACTIONS(2474),
    [anon_sym__Complex] = ACTIONS(2474),
    [anon_sym__Nullable] = ACTIONS(2474),
    [anon_sym__Nullable_result] = ACTIONS(2474),
    [anon_sym__Null_unspecified] = ACTIONS(2474),
    [anon_sym___autoreleasing] = ACTIONS(2474),
    [anon_sym___block] = ACTIONS(2474),
    [anon_sym___bridge] = ACTIONS(2474),
    [anon_sym___bridge_retained] = ACTIONS(2474),
    [anon_sym___bridge_transfer] = ACTIONS(2474),
    [anon_sym___complex] = ACTIONS(2474),
    [anon_sym___const] = ACTIONS(2474),
    [anon_sym___imag] = ACTIONS(2474),
    [anon_sym___kindof] = ACTIONS(2474),
    [anon_sym___nonnull] = ACTIONS(2474),
    [anon_sym___nullable] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2474),
    [anon_sym___real] = ACTIONS(2474),
    [anon_sym___strong] = ACTIONS(2474),
    [anon_sym___unsafe_unretained] = ACTIONS(2474),
    [anon_sym___unused] = ACTIONS(2474),
    [anon_sym___weak] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_else] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_goto] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_PLUS] = ACTIONS(2476),
    [anon_sym_sizeof] = ACTIONS(2474),
    [anon_sym___alignof__] = ACTIONS(2474),
    [anon_sym___alignof] = ACTIONS(2474),
    [anon_sym__alignof] = ACTIONS(2474),
    [anon_sym_alignof] = ACTIONS(2474),
    [anon_sym__Alignof] = ACTIONS(2474),
    [anon_sym_offsetof] = ACTIONS(2474),
    [anon_sym__Generic] = ACTIONS(2474),
    [anon_sym_asm] = ACTIONS(2474),
    [anon_sym___asm__] = ACTIONS(2474),
    [anon_sym___asm] = ACTIONS(2474),
    [sym_number_literal] = ACTIONS(2476),
    [anon_sym_L_SQUOTE] = ACTIONS(2476),
    [anon_sym_u_SQUOTE] = ACTIONS(2476),
    [anon_sym_U_SQUOTE] = ACTIONS(2476),
    [anon_sym_u8_SQUOTE] = ACTIONS(2476),
    [anon_sym_SQUOTE] = ACTIONS(2476),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2474),
    [anon_sym_nullptr] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2474),
    [anon_sym___typeof] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [anon_sym_ATimport] = ACTIONS(2476),
    [aux_sym_preproc_undef_token1] = ACTIONS(2474),
    [anon_sym_POUND] = ACTIONS(2474),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2474),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2474),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2474),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_API_AVAILABLE] = ACTIONS(2474),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_API_DEPRECATED] = ACTIONS(2474),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym___deprecated_msg] = ACTIONS(2474),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2474),
    [anon_sym_ATprotocol] = ACTIONS(2476),
    [anon_sym_ATinterface] = ACTIONS(2476),
    [anon_sym_ATimplementation] = ACTIONS(2476),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2476),
    [anon_sym_ATsynthesize] = ACTIONS(2476),
    [anon_sym_ATdynamic] = ACTIONS(2476),
    [anon_sym_ATtry] = ACTIONS(2476),
    [anon_sym___try] = ACTIONS(2474),
    [anon_sym_ATthrow] = ACTIONS(2476),
    [anon_sym_ATselector] = ACTIONS(2476),
    [anon_sym_ATavailable] = ACTIONS(2476),
    [anon_sym___builtin_available] = ACTIONS(2474),
    [anon_sym_va_arg] = ACTIONS(2474),
    [anon_sym_ATencode] = ACTIONS(2476),
    [anon_sym_ATsynchronized] = ACTIONS(2476),
    [anon_sym_BOOL] = ACTIONS(2474),
    [anon_sym_IMP] = ACTIONS(2474),
    [anon_sym_SEL] = ACTIONS(2474),
    [anon_sym_Class] = ACTIONS(2474),
    [anon_sym_id] = ACTIONS(2474),
  },
  [387] = {
    [sym_identifier] = ACTIONS(2486),
    [aux_sym_preproc_include_token1] = ACTIONS(2486),
    [aux_sym_preproc_include_token2] = ACTIONS(2486),
    [aux_sym_preproc_def_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token2] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2486),
    [aux_sym_preproc_else_token1] = ACTIONS(2486),
    [aux_sym_preproc_elif_token1] = ACTIONS(2486),
    [sym_preproc_directive] = ACTIONS(2486),
    [anon_sym_LPAREN2] = ACTIONS(2488),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_CARET] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2488),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym___attribute] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym___cdecl] = ACTIONS(2486),
    [anon_sym___clrcall] = ACTIONS(2486),
    [anon_sym___stdcall] = ACTIONS(2486),
    [anon_sym___fastcall] = ACTIONS(2486),
    [anon_sym___thiscall] = ACTIONS(2486),
    [anon_sym___vectorcall] = ACTIONS(2486),
    [anon_sym_LBRACE] = ACTIONS(2488),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_ATautoreleasepool] = ACTIONS(2488),
    [anon_sym_auto] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_CG_EXTERN] = ACTIONS(2486),
    [anon_sym_CG_INLINE] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2486),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2486),
    [anon_sym_IBOutlet] = ACTIONS(2486),
    [anon_sym_IBInspectable] = ACTIONS(2486),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2486),
    [anon_sym_NS_INLINE] = ACTIONS(2486),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2486),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2486),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym__Nonnull] = ACTIONS(2486),
    [anon_sym_nullable] = ACTIONS(2486),
    [anon_sym__Complex] = ACTIONS(2486),
    [anon_sym__Nullable] = ACTIONS(2486),
    [anon_sym__Nullable_result] = ACTIONS(2486),
    [anon_sym__Null_unspecified] = ACTIONS(2486),
    [anon_sym___autoreleasing] = ACTIONS(2486),
    [anon_sym___block] = ACTIONS(2486),
    [anon_sym___bridge] = ACTIONS(2486),
    [anon_sym___bridge_retained] = ACTIONS(2486),
    [anon_sym___bridge_transfer] = ACTIONS(2486),
    [anon_sym___complex] = ACTIONS(2486),
    [anon_sym___const] = ACTIONS(2486),
    [anon_sym___imag] = ACTIONS(2486),
    [anon_sym___kindof] = ACTIONS(2486),
    [anon_sym___nonnull] = ACTIONS(2486),
    [anon_sym___nullable] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2486),
    [anon_sym___real] = ACTIONS(2486),
    [anon_sym___strong] = ACTIONS(2486),
    [anon_sym___unsafe_unretained] = ACTIONS(2486),
    [anon_sym___unused] = ACTIONS(2486),
    [anon_sym___weak] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym__Alignas] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_else] = ACTIONS(2486),
    [anon_sym_switch] = ACTIONS(2486),
    [anon_sym_case] = ACTIONS(2486),
    [anon_sym_default] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2486),
    [anon_sym_do] = ACTIONS(2486),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_in] = ACTIONS(2486),
    [anon_sym_return] = ACTIONS(2486),
    [anon_sym_break] = ACTIONS(2486),
    [anon_sym_continue] = ACTIONS(2486),
    [anon_sym_goto] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2488),
    [anon_sym_PLUS_PLUS] = ACTIONS(2488),
    [anon_sym_sizeof] = ACTIONS(2486),
    [anon_sym___alignof__] = ACTIONS(2486),
    [anon_sym___alignof] = ACTIONS(2486),
    [anon_sym__alignof] = ACTIONS(2486),
    [anon_sym_alignof] = ACTIONS(2486),
    [anon_sym__Alignof] = ACTIONS(2486),
    [anon_sym_offsetof] = ACTIONS(2486),
    [anon_sym__Generic] = ACTIONS(2486),
    [anon_sym_asm] = ACTIONS(2486),
    [anon_sym___asm__] = ACTIONS(2486),
    [anon_sym___asm] = ACTIONS(2486),
    [sym_number_literal] = ACTIONS(2488),
    [anon_sym_L_SQUOTE] = ACTIONS(2488),
    [anon_sym_u_SQUOTE] = ACTIONS(2488),
    [anon_sym_U_SQUOTE] = ACTIONS(2488),
    [anon_sym_u8_SQUOTE] = ACTIONS(2488),
    [anon_sym_SQUOTE] = ACTIONS(2488),
    [anon_sym_AT] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2488),
    [anon_sym_L_DQUOTE] = ACTIONS(2488),
    [anon_sym_u_DQUOTE] = ACTIONS(2488),
    [anon_sym_U_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8_DQUOTE] = ACTIONS(2488),
    [sym_true] = ACTIONS(2486),
    [sym_false] = ACTIONS(2486),
    [anon_sym_NULL] = ACTIONS(2486),
    [anon_sym_nullptr] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2486),
    [anon_sym___typeof] = ACTIONS(2486),
    [anon_sym_typeof] = ACTIONS(2486),
    [anon_sym_ATimport] = ACTIONS(2488),
    [aux_sym_preproc_undef_token1] = ACTIONS(2486),
    [anon_sym_POUND] = ACTIONS(2486),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2486),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2486),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2486),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_API_AVAILABLE] = ACTIONS(2486),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_API_DEPRECATED] = ACTIONS(2486),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym___deprecated_msg] = ACTIONS(2486),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2486),
    [anon_sym_ATprotocol] = ACTIONS(2488),
    [anon_sym_ATinterface] = ACTIONS(2488),
    [anon_sym_ATimplementation] = ACTIONS(2488),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2488),
    [anon_sym_ATsynthesize] = ACTIONS(2488),
    [anon_sym_ATdynamic] = ACTIONS(2488),
    [anon_sym_ATtry] = ACTIONS(2488),
    [anon_sym___try] = ACTIONS(2486),
    [anon_sym_ATthrow] = ACTIONS(2488),
    [anon_sym_ATselector] = ACTIONS(2488),
    [anon_sym_ATavailable] = ACTIONS(2488),
    [anon_sym___builtin_available] = ACTIONS(2486),
    [anon_sym_va_arg] = ACTIONS(2486),
    [anon_sym_ATencode] = ACTIONS(2488),
    [anon_sym_ATsynchronized] = ACTIONS(2488),
    [anon_sym_BOOL] = ACTIONS(2486),
    [anon_sym_IMP] = ACTIONS(2486),
    [anon_sym_SEL] = ACTIONS(2486),
    [anon_sym_Class] = ACTIONS(2486),
    [anon_sym_id] = ACTIONS(2486),
  },
  [388] = {
    [sym_identifier] = ACTIONS(2486),
    [aux_sym_preproc_include_token1] = ACTIONS(2486),
    [aux_sym_preproc_include_token2] = ACTIONS(2486),
    [aux_sym_preproc_def_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token2] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2486),
    [aux_sym_preproc_else_token1] = ACTIONS(2486),
    [aux_sym_preproc_elif_token1] = ACTIONS(2486),
    [sym_preproc_directive] = ACTIONS(2486),
    [anon_sym_LPAREN2] = ACTIONS(2488),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_CARET] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2488),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym___attribute] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym___cdecl] = ACTIONS(2486),
    [anon_sym___clrcall] = ACTIONS(2486),
    [anon_sym___stdcall] = ACTIONS(2486),
    [anon_sym___fastcall] = ACTIONS(2486),
    [anon_sym___thiscall] = ACTIONS(2486),
    [anon_sym___vectorcall] = ACTIONS(2486),
    [anon_sym_LBRACE] = ACTIONS(2488),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_ATautoreleasepool] = ACTIONS(2488),
    [anon_sym_auto] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_CG_EXTERN] = ACTIONS(2486),
    [anon_sym_CG_INLINE] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2486),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2486),
    [anon_sym_IBOutlet] = ACTIONS(2486),
    [anon_sym_IBInspectable] = ACTIONS(2486),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2486),
    [anon_sym_NS_INLINE] = ACTIONS(2486),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2486),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2486),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym__Nonnull] = ACTIONS(2486),
    [anon_sym_nullable] = ACTIONS(2486),
    [anon_sym__Complex] = ACTIONS(2486),
    [anon_sym__Nullable] = ACTIONS(2486),
    [anon_sym__Nullable_result] = ACTIONS(2486),
    [anon_sym__Null_unspecified] = ACTIONS(2486),
    [anon_sym___autoreleasing] = ACTIONS(2486),
    [anon_sym___block] = ACTIONS(2486),
    [anon_sym___bridge] = ACTIONS(2486),
    [anon_sym___bridge_retained] = ACTIONS(2486),
    [anon_sym___bridge_transfer] = ACTIONS(2486),
    [anon_sym___complex] = ACTIONS(2486),
    [anon_sym___const] = ACTIONS(2486),
    [anon_sym___imag] = ACTIONS(2486),
    [anon_sym___kindof] = ACTIONS(2486),
    [anon_sym___nonnull] = ACTIONS(2486),
    [anon_sym___nullable] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2486),
    [anon_sym___real] = ACTIONS(2486),
    [anon_sym___strong] = ACTIONS(2486),
    [anon_sym___unsafe_unretained] = ACTIONS(2486),
    [anon_sym___unused] = ACTIONS(2486),
    [anon_sym___weak] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym__Alignas] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_else] = ACTIONS(2486),
    [anon_sym_switch] = ACTIONS(2486),
    [anon_sym_case] = ACTIONS(2486),
    [anon_sym_default] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2486),
    [anon_sym_do] = ACTIONS(2486),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_in] = ACTIONS(2486),
    [anon_sym_return] = ACTIONS(2486),
    [anon_sym_break] = ACTIONS(2486),
    [anon_sym_continue] = ACTIONS(2486),
    [anon_sym_goto] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2488),
    [anon_sym_PLUS_PLUS] = ACTIONS(2488),
    [anon_sym_sizeof] = ACTIONS(2486),
    [anon_sym___alignof__] = ACTIONS(2486),
    [anon_sym___alignof] = ACTIONS(2486),
    [anon_sym__alignof] = ACTIONS(2486),
    [anon_sym_alignof] = ACTIONS(2486),
    [anon_sym__Alignof] = ACTIONS(2486),
    [anon_sym_offsetof] = ACTIONS(2486),
    [anon_sym__Generic] = ACTIONS(2486),
    [anon_sym_asm] = ACTIONS(2486),
    [anon_sym___asm__] = ACTIONS(2486),
    [anon_sym___asm] = ACTIONS(2486),
    [sym_number_literal] = ACTIONS(2488),
    [anon_sym_L_SQUOTE] = ACTIONS(2488),
    [anon_sym_u_SQUOTE] = ACTIONS(2488),
    [anon_sym_U_SQUOTE] = ACTIONS(2488),
    [anon_sym_u8_SQUOTE] = ACTIONS(2488),
    [anon_sym_SQUOTE] = ACTIONS(2488),
    [anon_sym_AT] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2488),
    [anon_sym_L_DQUOTE] = ACTIONS(2488),
    [anon_sym_u_DQUOTE] = ACTIONS(2488),
    [anon_sym_U_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8_DQUOTE] = ACTIONS(2488),
    [sym_true] = ACTIONS(2486),
    [sym_false] = ACTIONS(2486),
    [anon_sym_NULL] = ACTIONS(2486),
    [anon_sym_nullptr] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2486),
    [anon_sym___typeof] = ACTIONS(2486),
    [anon_sym_typeof] = ACTIONS(2486),
    [anon_sym_ATimport] = ACTIONS(2488),
    [aux_sym_preproc_undef_token1] = ACTIONS(2486),
    [anon_sym_POUND] = ACTIONS(2486),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2486),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2486),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2486),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_API_AVAILABLE] = ACTIONS(2486),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_API_DEPRECATED] = ACTIONS(2486),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym___deprecated_msg] = ACTIONS(2486),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2486),
    [anon_sym_ATprotocol] = ACTIONS(2488),
    [anon_sym_ATinterface] = ACTIONS(2488),
    [anon_sym_ATimplementation] = ACTIONS(2488),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2488),
    [anon_sym_ATsynthesize] = ACTIONS(2488),
    [anon_sym_ATdynamic] = ACTIONS(2488),
    [anon_sym_ATtry] = ACTIONS(2488),
    [anon_sym___try] = ACTIONS(2486),
    [anon_sym_ATthrow] = ACTIONS(2488),
    [anon_sym_ATselector] = ACTIONS(2488),
    [anon_sym_ATavailable] = ACTIONS(2488),
    [anon_sym___builtin_available] = ACTIONS(2486),
    [anon_sym_va_arg] = ACTIONS(2486),
    [anon_sym_ATencode] = ACTIONS(2488),
    [anon_sym_ATsynchronized] = ACTIONS(2488),
    [anon_sym_BOOL] = ACTIONS(2486),
    [anon_sym_IMP] = ACTIONS(2486),
    [anon_sym_SEL] = ACTIONS(2486),
    [anon_sym_Class] = ACTIONS(2486),
    [anon_sym_id] = ACTIONS(2486),
  },
  [389] = {
    [sym_identifier] = ACTIONS(2470),
    [aux_sym_preproc_include_token1] = ACTIONS(2470),
    [aux_sym_preproc_include_token2] = ACTIONS(2470),
    [aux_sym_preproc_def_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token2] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2470),
    [aux_sym_preproc_else_token1] = ACTIONS(2470),
    [aux_sym_preproc_elif_token1] = ACTIONS(2470),
    [sym_preproc_directive] = ACTIONS(2470),
    [anon_sym_LPAREN2] = ACTIONS(2472),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_CARET] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2470),
    [anon_sym_extern] = ACTIONS(2470),
    [anon_sym___attribute__] = ACTIONS(2470),
    [anon_sym___attribute] = ACTIONS(2470),
    [anon_sym_noreturn] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym___declspec] = ACTIONS(2470),
    [anon_sym___cdecl] = ACTIONS(2470),
    [anon_sym___clrcall] = ACTIONS(2470),
    [anon_sym___stdcall] = ACTIONS(2470),
    [anon_sym___fastcall] = ACTIONS(2470),
    [anon_sym___thiscall] = ACTIONS(2470),
    [anon_sym___vectorcall] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_signed] = ACTIONS(2470),
    [anon_sym_unsigned] = ACTIONS(2470),
    [anon_sym_long] = ACTIONS(2470),
    [anon_sym_short] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_ATautoreleasepool] = ACTIONS(2472),
    [anon_sym_auto] = ACTIONS(2470),
    [anon_sym_register] = ACTIONS(2470),
    [anon_sym_inline] = ACTIONS(2470),
    [anon_sym___inline] = ACTIONS(2470),
    [anon_sym___inline__] = ACTIONS(2470),
    [anon_sym___forceinline] = ACTIONS(2470),
    [anon_sym_thread_local] = ACTIONS(2470),
    [anon_sym___thread] = ACTIONS(2470),
    [anon_sym_CG_EXTERN] = ACTIONS(2470),
    [anon_sym_CG_INLINE] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2470),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2470),
    [anon_sym_IBOutlet] = ACTIONS(2470),
    [anon_sym_IBInspectable] = ACTIONS(2470),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2470),
    [anon_sym_NS_INLINE] = ACTIONS(2470),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2470),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2470),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2470),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_constexpr] = ACTIONS(2470),
    [anon_sym_volatile] = ACTIONS(2470),
    [anon_sym_restrict] = ACTIONS(2470),
    [anon_sym___restrict__] = ACTIONS(2470),
    [anon_sym__Atomic] = ACTIONS(2470),
    [anon_sym__Noreturn] = ACTIONS(2470),
    [anon_sym__Nonnull] = ACTIONS(2470),
    [anon_sym_nullable] = ACTIONS(2470),
    [anon_sym__Complex] = ACTIONS(2470),
    [anon_sym__Nullable] = ACTIONS(2470),
    [anon_sym__Nullable_result] = ACTIONS(2470),
    [anon_sym__Null_unspecified] = ACTIONS(2470),
    [anon_sym___autoreleasing] = ACTIONS(2470),
    [anon_sym___block] = ACTIONS(2470),
    [anon_sym___bridge] = ACTIONS(2470),
    [anon_sym___bridge_retained] = ACTIONS(2470),
    [anon_sym___bridge_transfer] = ACTIONS(2470),
    [anon_sym___complex] = ACTIONS(2470),
    [anon_sym___const] = ACTIONS(2470),
    [anon_sym___imag] = ACTIONS(2470),
    [anon_sym___kindof] = ACTIONS(2470),
    [anon_sym___nonnull] = ACTIONS(2470),
    [anon_sym___nullable] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2470),
    [anon_sym___real] = ACTIONS(2470),
    [anon_sym___strong] = ACTIONS(2470),
    [anon_sym___unsafe_unretained] = ACTIONS(2470),
    [anon_sym___unused] = ACTIONS(2470),
    [anon_sym___weak] = ACTIONS(2470),
    [anon_sym_alignas] = ACTIONS(2470),
    [anon_sym__Alignas] = ACTIONS(2470),
    [sym_primitive_type] = ACTIONS(2470),
    [anon_sym_enum] = ACTIONS(2470),
    [anon_sym_struct] = ACTIONS(2470),
    [anon_sym_union] = ACTIONS(2470),
    [anon_sym_if] = ACTIONS(2470),
    [anon_sym_else] = ACTIONS(2470),
    [anon_sym_switch] = ACTIONS(2470),
    [anon_sym_case] = ACTIONS(2470),
    [anon_sym_default] = ACTIONS(2470),
    [anon_sym_while] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_in] = ACTIONS(2470),
    [anon_sym_return] = ACTIONS(2470),
    [anon_sym_break] = ACTIONS(2470),
    [anon_sym_continue] = ACTIONS(2470),
    [anon_sym_goto] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_PLUS] = ACTIONS(2472),
    [anon_sym_sizeof] = ACTIONS(2470),
    [anon_sym___alignof__] = ACTIONS(2470),
    [anon_sym___alignof] = ACTIONS(2470),
    [anon_sym__alignof] = ACTIONS(2470),
    [anon_sym_alignof] = ACTIONS(2470),
    [anon_sym__Alignof] = ACTIONS(2470),
    [anon_sym_offsetof] = ACTIONS(2470),
    [anon_sym__Generic] = ACTIONS(2470),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2472),
    [anon_sym_u_SQUOTE] = ACTIONS(2472),
    [anon_sym_U_SQUOTE] = ACTIONS(2472),
    [anon_sym_u8_SQUOTE] = ACTIONS(2472),
    [anon_sym_SQUOTE] = ACTIONS(2472),
    [anon_sym_AT] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2470),
    [sym_false] = ACTIONS(2470),
    [anon_sym_NULL] = ACTIONS(2470),
    [anon_sym_nullptr] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2470),
    [anon_sym___typeof] = ACTIONS(2470),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_ATimport] = ACTIONS(2472),
    [aux_sym_preproc_undef_token1] = ACTIONS(2470),
    [anon_sym_POUND] = ACTIONS(2470),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2470),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2470),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2470),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_API_AVAILABLE] = ACTIONS(2470),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_API_DEPRECATED] = ACTIONS(2470),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym___deprecated_msg] = ACTIONS(2470),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2470),
    [anon_sym_ATprotocol] = ACTIONS(2472),
    [anon_sym_ATinterface] = ACTIONS(2472),
    [anon_sym_ATimplementation] = ACTIONS(2472),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2472),
    [anon_sym_ATsynthesize] = ACTIONS(2472),
    [anon_sym_ATdynamic] = ACTIONS(2472),
    [anon_sym_ATtry] = ACTIONS(2472),
    [anon_sym___try] = ACTIONS(2470),
    [anon_sym_ATthrow] = ACTIONS(2472),
    [anon_sym_ATselector] = ACTIONS(2472),
    [anon_sym_ATavailable] = ACTIONS(2472),
    [anon_sym___builtin_available] = ACTIONS(2470),
    [anon_sym_va_arg] = ACTIONS(2470),
    [anon_sym_ATencode] = ACTIONS(2472),
    [anon_sym_ATsynchronized] = ACTIONS(2472),
    [anon_sym_BOOL] = ACTIONS(2470),
    [anon_sym_IMP] = ACTIONS(2470),
    [anon_sym_SEL] = ACTIONS(2470),
    [anon_sym_Class] = ACTIONS(2470),
    [anon_sym_id] = ACTIONS(2470),
  },
  [390] = {
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_include_token1] = ACTIONS(2474),
    [aux_sym_preproc_include_token2] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token2] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [aux_sym_preproc_else_token1] = ACTIONS(2474),
    [aux_sym_preproc_elif_token1] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_BANG] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym___attribute] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_ATautoreleasepool] = ACTIONS(2476),
    [anon_sym_auto] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_CG_EXTERN] = ACTIONS(2474),
    [anon_sym_CG_INLINE] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2474),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2474),
    [anon_sym_IBOutlet] = ACTIONS(2474),
    [anon_sym_IBInspectable] = ACTIONS(2474),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2474),
    [anon_sym_NS_INLINE] = ACTIONS(2474),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2474),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2474),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym__Nonnull] = ACTIONS(2474),
    [anon_sym_nullable] = ACTIONS(2474),
    [anon_sym__Complex] = ACTIONS(2474),
    [anon_sym__Nullable] = ACTIONS(2474),
    [anon_sym__Nullable_result] = ACTIONS(2474),
    [anon_sym__Null_unspecified] = ACTIONS(2474),
    [anon_sym___autoreleasing] = ACTIONS(2474),
    [anon_sym___block] = ACTIONS(2474),
    [anon_sym___bridge] = ACTIONS(2474),
    [anon_sym___bridge_retained] = ACTIONS(2474),
    [anon_sym___bridge_transfer] = ACTIONS(2474),
    [anon_sym___complex] = ACTIONS(2474),
    [anon_sym___const] = ACTIONS(2474),
    [anon_sym___imag] = ACTIONS(2474),
    [anon_sym___kindof] = ACTIONS(2474),
    [anon_sym___nonnull] = ACTIONS(2474),
    [anon_sym___nullable] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2474),
    [anon_sym___real] = ACTIONS(2474),
    [anon_sym___strong] = ACTIONS(2474),
    [anon_sym___unsafe_unretained] = ACTIONS(2474),
    [anon_sym___unused] = ACTIONS(2474),
    [anon_sym___weak] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_else] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_goto] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_PLUS] = ACTIONS(2476),
    [anon_sym_sizeof] = ACTIONS(2474),
    [anon_sym___alignof__] = ACTIONS(2474),
    [anon_sym___alignof] = ACTIONS(2474),
    [anon_sym__alignof] = ACTIONS(2474),
    [anon_sym_alignof] = ACTIONS(2474),
    [anon_sym__Alignof] = ACTIONS(2474),
    [anon_sym_offsetof] = ACTIONS(2474),
    [anon_sym__Generic] = ACTIONS(2474),
    [anon_sym_asm] = ACTIONS(2474),
    [anon_sym___asm__] = ACTIONS(2474),
    [anon_sym___asm] = ACTIONS(2474),
    [sym_number_literal] = ACTIONS(2476),
    [anon_sym_L_SQUOTE] = ACTIONS(2476),
    [anon_sym_u_SQUOTE] = ACTIONS(2476),
    [anon_sym_U_SQUOTE] = ACTIONS(2476),
    [anon_sym_u8_SQUOTE] = ACTIONS(2476),
    [anon_sym_SQUOTE] = ACTIONS(2476),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2474),
    [anon_sym_nullptr] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2474),
    [anon_sym___typeof] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [anon_sym_ATimport] = ACTIONS(2476),
    [aux_sym_preproc_undef_token1] = ACTIONS(2474),
    [anon_sym_POUND] = ACTIONS(2474),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2474),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2474),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2474),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_API_AVAILABLE] = ACTIONS(2474),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_API_DEPRECATED] = ACTIONS(2474),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym___deprecated_msg] = ACTIONS(2474),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2474),
    [anon_sym_ATprotocol] = ACTIONS(2476),
    [anon_sym_ATinterface] = ACTIONS(2476),
    [anon_sym_ATimplementation] = ACTIONS(2476),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2476),
    [anon_sym_ATsynthesize] = ACTIONS(2476),
    [anon_sym_ATdynamic] = ACTIONS(2476),
    [anon_sym_ATtry] = ACTIONS(2476),
    [anon_sym___try] = ACTIONS(2474),
    [anon_sym_ATthrow] = ACTIONS(2476),
    [anon_sym_ATselector] = ACTIONS(2476),
    [anon_sym_ATavailable] = ACTIONS(2476),
    [anon_sym___builtin_available] = ACTIONS(2474),
    [anon_sym_va_arg] = ACTIONS(2474),
    [anon_sym_ATencode] = ACTIONS(2476),
    [anon_sym_ATsynchronized] = ACTIONS(2476),
    [anon_sym_BOOL] = ACTIONS(2474),
    [anon_sym_IMP] = ACTIONS(2474),
    [anon_sym_SEL] = ACTIONS(2474),
    [anon_sym_Class] = ACTIONS(2474),
    [anon_sym_id] = ACTIONS(2474),
  },
  [391] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_include_token2] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token2] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [aux_sym_preproc_else_token1] = ACTIONS(2564),
    [aux_sym_preproc_elif_token1] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym___attribute] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_ATautoreleasepool] = ACTIONS(2566),
    [anon_sym_auto] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_CG_EXTERN] = ACTIONS(2564),
    [anon_sym_CG_INLINE] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2564),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2564),
    [anon_sym_IBOutlet] = ACTIONS(2564),
    [anon_sym_IBInspectable] = ACTIONS(2564),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2564),
    [anon_sym_NS_INLINE] = ACTIONS(2564),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2564),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2564),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_nullable] = ACTIONS(2564),
    [anon_sym__Complex] = ACTIONS(2564),
    [anon_sym__Nullable] = ACTIONS(2564),
    [anon_sym__Nullable_result] = ACTIONS(2564),
    [anon_sym__Null_unspecified] = ACTIONS(2564),
    [anon_sym___autoreleasing] = ACTIONS(2564),
    [anon_sym___block] = ACTIONS(2564),
    [anon_sym___bridge] = ACTIONS(2564),
    [anon_sym___bridge_retained] = ACTIONS(2564),
    [anon_sym___bridge_transfer] = ACTIONS(2564),
    [anon_sym___complex] = ACTIONS(2564),
    [anon_sym___const] = ACTIONS(2564),
    [anon_sym___imag] = ACTIONS(2564),
    [anon_sym___kindof] = ACTIONS(2564),
    [anon_sym___nonnull] = ACTIONS(2564),
    [anon_sym___nullable] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2564),
    [anon_sym___real] = ACTIONS(2564),
    [anon_sym___strong] = ACTIONS(2564),
    [anon_sym___unsafe_unretained] = ACTIONS(2564),
    [anon_sym___unused] = ACTIONS(2564),
    [anon_sym___weak] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [anon_sym___asm] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_AT] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2564),
    [anon_sym___typeof] = ACTIONS(2564),
    [anon_sym_typeof] = ACTIONS(2564),
    [anon_sym_ATimport] = ACTIONS(2566),
    [aux_sym_preproc_undef_token1] = ACTIONS(2564),
    [anon_sym_POUND] = ACTIONS(2564),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2564),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2564),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2564),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_API_AVAILABLE] = ACTIONS(2564),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_API_DEPRECATED] = ACTIONS(2564),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym___deprecated_msg] = ACTIONS(2564),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2564),
    [anon_sym_ATprotocol] = ACTIONS(2566),
    [anon_sym_ATinterface] = ACTIONS(2566),
    [anon_sym_ATimplementation] = ACTIONS(2566),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2566),
    [anon_sym_ATsynthesize] = ACTIONS(2566),
    [anon_sym_ATdynamic] = ACTIONS(2566),
    [anon_sym_ATtry] = ACTIONS(2566),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym_ATthrow] = ACTIONS(2566),
    [anon_sym_ATselector] = ACTIONS(2566),
    [anon_sym_ATavailable] = ACTIONS(2566),
    [anon_sym___builtin_available] = ACTIONS(2564),
    [anon_sym_va_arg] = ACTIONS(2564),
    [anon_sym_ATencode] = ACTIONS(2566),
    [anon_sym_ATsynchronized] = ACTIONS(2566),
    [anon_sym_BOOL] = ACTIONS(2564),
    [anon_sym_IMP] = ACTIONS(2564),
    [anon_sym_SEL] = ACTIONS(2564),
    [anon_sym_Class] = ACTIONS(2564),
    [anon_sym_id] = ACTIONS(2564),
  },
  [392] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_include_token2] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token2] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [aux_sym_preproc_else_token1] = ACTIONS(2564),
    [aux_sym_preproc_elif_token1] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym___attribute] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_ATautoreleasepool] = ACTIONS(2566),
    [anon_sym_auto] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_CG_EXTERN] = ACTIONS(2564),
    [anon_sym_CG_INLINE] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2564),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2564),
    [anon_sym_IBOutlet] = ACTIONS(2564),
    [anon_sym_IBInspectable] = ACTIONS(2564),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2564),
    [anon_sym_NS_INLINE] = ACTIONS(2564),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2564),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2564),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_nullable] = ACTIONS(2564),
    [anon_sym__Complex] = ACTIONS(2564),
    [anon_sym__Nullable] = ACTIONS(2564),
    [anon_sym__Nullable_result] = ACTIONS(2564),
    [anon_sym__Null_unspecified] = ACTIONS(2564),
    [anon_sym___autoreleasing] = ACTIONS(2564),
    [anon_sym___block] = ACTIONS(2564),
    [anon_sym___bridge] = ACTIONS(2564),
    [anon_sym___bridge_retained] = ACTIONS(2564),
    [anon_sym___bridge_transfer] = ACTIONS(2564),
    [anon_sym___complex] = ACTIONS(2564),
    [anon_sym___const] = ACTIONS(2564),
    [anon_sym___imag] = ACTIONS(2564),
    [anon_sym___kindof] = ACTIONS(2564),
    [anon_sym___nonnull] = ACTIONS(2564),
    [anon_sym___nullable] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2564),
    [anon_sym___real] = ACTIONS(2564),
    [anon_sym___strong] = ACTIONS(2564),
    [anon_sym___unsafe_unretained] = ACTIONS(2564),
    [anon_sym___unused] = ACTIONS(2564),
    [anon_sym___weak] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [anon_sym___asm] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_AT] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2564),
    [anon_sym___typeof] = ACTIONS(2564),
    [anon_sym_typeof] = ACTIONS(2564),
    [anon_sym_ATimport] = ACTIONS(2566),
    [aux_sym_preproc_undef_token1] = ACTIONS(2564),
    [anon_sym_POUND] = ACTIONS(2564),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2564),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2564),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2564),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_API_AVAILABLE] = ACTIONS(2564),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_API_DEPRECATED] = ACTIONS(2564),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym___deprecated_msg] = ACTIONS(2564),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2564),
    [anon_sym_ATprotocol] = ACTIONS(2566),
    [anon_sym_ATinterface] = ACTIONS(2566),
    [anon_sym_ATimplementation] = ACTIONS(2566),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2566),
    [anon_sym_ATsynthesize] = ACTIONS(2566),
    [anon_sym_ATdynamic] = ACTIONS(2566),
    [anon_sym_ATtry] = ACTIONS(2566),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym_ATthrow] = ACTIONS(2566),
    [anon_sym_ATselector] = ACTIONS(2566),
    [anon_sym_ATavailable] = ACTIONS(2566),
    [anon_sym___builtin_available] = ACTIONS(2564),
    [anon_sym_va_arg] = ACTIONS(2564),
    [anon_sym_ATencode] = ACTIONS(2566),
    [anon_sym_ATsynchronized] = ACTIONS(2566),
    [anon_sym_BOOL] = ACTIONS(2564),
    [anon_sym_IMP] = ACTIONS(2564),
    [anon_sym_SEL] = ACTIONS(2564),
    [anon_sym_Class] = ACTIONS(2564),
    [anon_sym_id] = ACTIONS(2564),
  },
  [393] = {
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_include_token2] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_CARET] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym___attribute] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_ATautoreleasepool] = ACTIONS(2366),
    [anon_sym_auto] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_CG_EXTERN] = ACTIONS(2364),
    [anon_sym_CG_INLINE] = ACTIONS(2364),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2364),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2364),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2364),
    [anon_sym_IBOutlet] = ACTIONS(2364),
    [anon_sym_IBInspectable] = ACTIONS(2364),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2364),
    [anon_sym_NS_INLINE] = ACTIONS(2364),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2364),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2364),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2364),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym__Nonnull] = ACTIONS(2364),
    [anon_sym_nullable] = ACTIONS(2364),
    [anon_sym__Complex] = ACTIONS(2364),
    [anon_sym__Nullable] = ACTIONS(2364),
    [anon_sym__Nullable_result] = ACTIONS(2364),
    [anon_sym__Null_unspecified] = ACTIONS(2364),
    [anon_sym___autoreleasing] = ACTIONS(2364),
    [anon_sym___block] = ACTIONS(2364),
    [anon_sym___bridge] = ACTIONS(2364),
    [anon_sym___bridge_retained] = ACTIONS(2364),
    [anon_sym___bridge_transfer] = ACTIONS(2364),
    [anon_sym___complex] = ACTIONS(2364),
    [anon_sym___const] = ACTIONS(2364),
    [anon_sym___imag] = ACTIONS(2364),
    [anon_sym___kindof] = ACTIONS(2364),
    [anon_sym___nonnull] = ACTIONS(2364),
    [anon_sym___nullable] = ACTIONS(2364),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2364),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2364),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2364),
    [anon_sym___real] = ACTIONS(2364),
    [anon_sym___strong] = ACTIONS(2364),
    [anon_sym___unsafe_unretained] = ACTIONS(2364),
    [anon_sym___unused] = ACTIONS(2364),
    [anon_sym___weak] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym__Alignas] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [anon_sym___asm] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_AT] = ACTIONS(2364),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2364),
    [anon_sym___typeof] = ACTIONS(2364),
    [anon_sym_typeof] = ACTIONS(2364),
    [anon_sym_ATimport] = ACTIONS(2366),
    [aux_sym_preproc_undef_token1] = ACTIONS(2364),
    [anon_sym_POUND] = ACTIONS(2364),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2364),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2364),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2364),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2364),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2364),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2364),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2364),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2364),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2364),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_API_AVAILABLE] = ACTIONS(2364),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_API_DEPRECATED] = ACTIONS(2364),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2364),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2364),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2364),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2364),
    [anon_sym___deprecated_msg] = ACTIONS(2364),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2364),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2364),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2364),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2364),
    [anon_sym_ATprotocol] = ACTIONS(2366),
    [anon_sym_ATinterface] = ACTIONS(2366),
    [anon_sym_ATimplementation] = ACTIONS(2366),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2366),
    [anon_sym_ATtry] = ACTIONS(2366),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym_ATcatch] = ACTIONS(2366),
    [anon_sym___catch] = ACTIONS(2364),
    [anon_sym_ATfinally] = ACTIONS(2366),
    [anon_sym___finally] = ACTIONS(2364),
    [anon_sym_ATthrow] = ACTIONS(2366),
    [anon_sym_ATselector] = ACTIONS(2366),
    [anon_sym_ATavailable] = ACTIONS(2366),
    [anon_sym___builtin_available] = ACTIONS(2364),
    [anon_sym_va_arg] = ACTIONS(2364),
    [anon_sym_ATencode] = ACTIONS(2366),
    [anon_sym_ATsynchronized] = ACTIONS(2366),
    [anon_sym_BOOL] = ACTIONS(2364),
    [anon_sym_IMP] = ACTIONS(2364),
    [anon_sym_SEL] = ACTIONS(2364),
    [anon_sym_Class] = ACTIONS(2364),
    [anon_sym_id] = ACTIONS(2364),
  },
  [394] = {
    [sym_identifier] = ACTIONS(2346),
    [aux_sym_preproc_include_token1] = ACTIONS(2346),
    [aux_sym_preproc_include_token2] = ACTIONS(2346),
    [aux_sym_preproc_def_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2346),
    [sym_preproc_directive] = ACTIONS(2346),
    [anon_sym_LPAREN2] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_CARET] = ACTIONS(2348),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym___extension__] = ACTIONS(2346),
    [anon_sym_typedef] = ACTIONS(2346),
    [anon_sym_extern] = ACTIONS(2346),
    [anon_sym___attribute__] = ACTIONS(2346),
    [anon_sym___attribute] = ACTIONS(2346),
    [anon_sym_noreturn] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym___declspec] = ACTIONS(2346),
    [anon_sym___cdecl] = ACTIONS(2346),
    [anon_sym___clrcall] = ACTIONS(2346),
    [anon_sym___stdcall] = ACTIONS(2346),
    [anon_sym___fastcall] = ACTIONS(2346),
    [anon_sym___thiscall] = ACTIONS(2346),
    [anon_sym___vectorcall] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_RBRACE] = ACTIONS(2348),
    [anon_sym_signed] = ACTIONS(2346),
    [anon_sym_unsigned] = ACTIONS(2346),
    [anon_sym_long] = ACTIONS(2346),
    [anon_sym_short] = ACTIONS(2346),
    [anon_sym_static] = ACTIONS(2346),
    [anon_sym_ATautoreleasepool] = ACTIONS(2348),
    [anon_sym_auto] = ACTIONS(2346),
    [anon_sym_register] = ACTIONS(2346),
    [anon_sym_inline] = ACTIONS(2346),
    [anon_sym___inline] = ACTIONS(2346),
    [anon_sym___inline__] = ACTIONS(2346),
    [anon_sym___forceinline] = ACTIONS(2346),
    [anon_sym_thread_local] = ACTIONS(2346),
    [anon_sym___thread] = ACTIONS(2346),
    [anon_sym_CG_EXTERN] = ACTIONS(2346),
    [anon_sym_CG_INLINE] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2346),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2346),
    [anon_sym_IBOutlet] = ACTIONS(2346),
    [anon_sym_IBInspectable] = ACTIONS(2346),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2346),
    [anon_sym_NS_INLINE] = ACTIONS(2346),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2346),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2346),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2346),
    [anon_sym_const] = ACTIONS(2346),
    [anon_sym_constexpr] = ACTIONS(2346),
    [anon_sym_volatile] = ACTIONS(2346),
    [anon_sym_restrict] = ACTIONS(2346),
    [anon_sym___restrict__] = ACTIONS(2346),
    [anon_sym__Atomic] = ACTIONS(2346),
    [anon_sym__Noreturn] = ACTIONS(2346),
    [anon_sym__Nonnull] = ACTIONS(2346),
    [anon_sym_nullable] = ACTIONS(2346),
    [anon_sym__Complex] = ACTIONS(2346),
    [anon_sym__Nullable] = ACTIONS(2346),
    [anon_sym__Nullable_result] = ACTIONS(2346),
    [anon_sym__Null_unspecified] = ACTIONS(2346),
    [anon_sym___autoreleasing] = ACTIONS(2346),
    [anon_sym___block] = ACTIONS(2346),
    [anon_sym___bridge] = ACTIONS(2346),
    [anon_sym___bridge_retained] = ACTIONS(2346),
    [anon_sym___bridge_transfer] = ACTIONS(2346),
    [anon_sym___complex] = ACTIONS(2346),
    [anon_sym___const] = ACTIONS(2346),
    [anon_sym___imag] = ACTIONS(2346),
    [anon_sym___kindof] = ACTIONS(2346),
    [anon_sym___nonnull] = ACTIONS(2346),
    [anon_sym___nullable] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2346),
    [anon_sym___real] = ACTIONS(2346),
    [anon_sym___strong] = ACTIONS(2346),
    [anon_sym___unsafe_unretained] = ACTIONS(2346),
    [anon_sym___unused] = ACTIONS(2346),
    [anon_sym___weak] = ACTIONS(2346),
    [anon_sym_alignas] = ACTIONS(2346),
    [anon_sym__Alignas] = ACTIONS(2346),
    [sym_primitive_type] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2346),
    [anon_sym_struct] = ACTIONS(2346),
    [anon_sym_union] = ACTIONS(2346),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_else] = ACTIONS(2346),
    [anon_sym_switch] = ACTIONS(2346),
    [anon_sym_case] = ACTIONS(2346),
    [anon_sym_default] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2346),
    [anon_sym_for] = ACTIONS(2346),
    [anon_sym_in] = ACTIONS(2346),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_break] = ACTIONS(2346),
    [anon_sym_continue] = ACTIONS(2346),
    [anon_sym_goto] = ACTIONS(2346),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_sizeof] = ACTIONS(2346),
    [anon_sym___alignof__] = ACTIONS(2346),
    [anon_sym___alignof] = ACTIONS(2346),
    [anon_sym__alignof] = ACTIONS(2346),
    [anon_sym_alignof] = ACTIONS(2346),
    [anon_sym__Alignof] = ACTIONS(2346),
    [anon_sym_offsetof] = ACTIONS(2346),
    [anon_sym__Generic] = ACTIONS(2346),
    [anon_sym_asm] = ACTIONS(2346),
    [anon_sym___asm__] = ACTIONS(2346),
    [anon_sym___asm] = ACTIONS(2346),
    [sym_number_literal] = ACTIONS(2348),
    [anon_sym_L_SQUOTE] = ACTIONS(2348),
    [anon_sym_u_SQUOTE] = ACTIONS(2348),
    [anon_sym_U_SQUOTE] = ACTIONS(2348),
    [anon_sym_u8_SQUOTE] = ACTIONS(2348),
    [anon_sym_SQUOTE] = ACTIONS(2348),
    [anon_sym_AT] = ACTIONS(2346),
    [anon_sym_DQUOTE] = ACTIONS(2348),
    [anon_sym_L_DQUOTE] = ACTIONS(2348),
    [anon_sym_u_DQUOTE] = ACTIONS(2348),
    [anon_sym_U_DQUOTE] = ACTIONS(2348),
    [anon_sym_u8_DQUOTE] = ACTIONS(2348),
    [sym_true] = ACTIONS(2346),
    [sym_false] = ACTIONS(2346),
    [anon_sym_NULL] = ACTIONS(2346),
    [anon_sym_nullptr] = ACTIONS(2346),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2346),
    [anon_sym___typeof] = ACTIONS(2346),
    [anon_sym_typeof] = ACTIONS(2346),
    [anon_sym_ATimport] = ACTIONS(2348),
    [aux_sym_preproc_undef_token1] = ACTIONS(2346),
    [anon_sym_POUND] = ACTIONS(2346),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2346),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2346),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2346),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_API_AVAILABLE] = ACTIONS(2346),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_API_DEPRECATED] = ACTIONS(2346),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym___deprecated_msg] = ACTIONS(2346),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2346),
    [anon_sym_ATprotocol] = ACTIONS(2348),
    [anon_sym_ATinterface] = ACTIONS(2348),
    [anon_sym_ATimplementation] = ACTIONS(2348),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2348),
    [anon_sym_ATtry] = ACTIONS(2348),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym_ATcatch] = ACTIONS(2348),
    [anon_sym___catch] = ACTIONS(2346),
    [anon_sym_ATfinally] = ACTIONS(2348),
    [anon_sym___finally] = ACTIONS(2346),
    [anon_sym_ATthrow] = ACTIONS(2348),
    [anon_sym_ATselector] = ACTIONS(2348),
    [anon_sym_ATavailable] = ACTIONS(2348),
    [anon_sym___builtin_available] = ACTIONS(2346),
    [anon_sym_va_arg] = ACTIONS(2346),
    [anon_sym_ATencode] = ACTIONS(2348),
    [anon_sym_ATsynchronized] = ACTIONS(2348),
    [anon_sym_BOOL] = ACTIONS(2346),
    [anon_sym_IMP] = ACTIONS(2346),
    [anon_sym_SEL] = ACTIONS(2346),
    [anon_sym_Class] = ACTIONS(2346),
    [anon_sym_id] = ACTIONS(2346),
  },
  [395] = {
    [sym_identifier] = ACTIONS(2356),
    [aux_sym_preproc_include_token1] = ACTIONS(2356),
    [aux_sym_preproc_include_token2] = ACTIONS(2356),
    [aux_sym_preproc_def_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2356),
    [sym_preproc_directive] = ACTIONS(2356),
    [anon_sym_LPAREN2] = ACTIONS(2358),
    [anon_sym_BANG] = ACTIONS(2358),
    [anon_sym_TILDE] = ACTIONS(2358),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2358),
    [anon_sym_CARET] = ACTIONS(2358),
    [anon_sym_AMP] = ACTIONS(2358),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2356),
    [anon_sym_typedef] = ACTIONS(2356),
    [anon_sym_extern] = ACTIONS(2356),
    [anon_sym___attribute__] = ACTIONS(2356),
    [anon_sym___attribute] = ACTIONS(2356),
    [anon_sym_noreturn] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2358),
    [anon_sym___declspec] = ACTIONS(2356),
    [anon_sym___cdecl] = ACTIONS(2356),
    [anon_sym___clrcall] = ACTIONS(2356),
    [anon_sym___stdcall] = ACTIONS(2356),
    [anon_sym___fastcall] = ACTIONS(2356),
    [anon_sym___thiscall] = ACTIONS(2356),
    [anon_sym___vectorcall] = ACTIONS(2356),
    [anon_sym_LBRACE] = ACTIONS(2358),
    [anon_sym_RBRACE] = ACTIONS(2358),
    [anon_sym_signed] = ACTIONS(2356),
    [anon_sym_unsigned] = ACTIONS(2356),
    [anon_sym_long] = ACTIONS(2356),
    [anon_sym_short] = ACTIONS(2356),
    [anon_sym_static] = ACTIONS(2356),
    [anon_sym_ATautoreleasepool] = ACTIONS(2358),
    [anon_sym_auto] = ACTIONS(2356),
    [anon_sym_register] = ACTIONS(2356),
    [anon_sym_inline] = ACTIONS(2356),
    [anon_sym___inline] = ACTIONS(2356),
    [anon_sym___inline__] = ACTIONS(2356),
    [anon_sym___forceinline] = ACTIONS(2356),
    [anon_sym_thread_local] = ACTIONS(2356),
    [anon_sym___thread] = ACTIONS(2356),
    [anon_sym_CG_EXTERN] = ACTIONS(2356),
    [anon_sym_CG_INLINE] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2356),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2356),
    [anon_sym_IBOutlet] = ACTIONS(2356),
    [anon_sym_IBInspectable] = ACTIONS(2356),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2356),
    [anon_sym_NS_INLINE] = ACTIONS(2356),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2356),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2356),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2356),
    [anon_sym_const] = ACTIONS(2356),
    [anon_sym_constexpr] = ACTIONS(2356),
    [anon_sym_volatile] = ACTIONS(2356),
    [anon_sym_restrict] = ACTIONS(2356),
    [anon_sym___restrict__] = ACTIONS(2356),
    [anon_sym__Atomic] = ACTIONS(2356),
    [anon_sym__Noreturn] = ACTIONS(2356),
    [anon_sym__Nonnull] = ACTIONS(2356),
    [anon_sym_nullable] = ACTIONS(2356),
    [anon_sym__Complex] = ACTIONS(2356),
    [anon_sym__Nullable] = ACTIONS(2356),
    [anon_sym__Nullable_result] = ACTIONS(2356),
    [anon_sym__Null_unspecified] = ACTIONS(2356),
    [anon_sym___autoreleasing] = ACTIONS(2356),
    [anon_sym___block] = ACTIONS(2356),
    [anon_sym___bridge] = ACTIONS(2356),
    [anon_sym___bridge_retained] = ACTIONS(2356),
    [anon_sym___bridge_transfer] = ACTIONS(2356),
    [anon_sym___complex] = ACTIONS(2356),
    [anon_sym___const] = ACTIONS(2356),
    [anon_sym___imag] = ACTIONS(2356),
    [anon_sym___kindof] = ACTIONS(2356),
    [anon_sym___nonnull] = ACTIONS(2356),
    [anon_sym___nullable] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2356),
    [anon_sym___real] = ACTIONS(2356),
    [anon_sym___strong] = ACTIONS(2356),
    [anon_sym___unsafe_unretained] = ACTIONS(2356),
    [anon_sym___unused] = ACTIONS(2356),
    [anon_sym___weak] = ACTIONS(2356),
    [anon_sym_alignas] = ACTIONS(2356),
    [anon_sym__Alignas] = ACTIONS(2356),
    [sym_primitive_type] = ACTIONS(2356),
    [anon_sym_enum] = ACTIONS(2356),
    [anon_sym_struct] = ACTIONS(2356),
    [anon_sym_union] = ACTIONS(2356),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_else] = ACTIONS(2356),
    [anon_sym_switch] = ACTIONS(2356),
    [anon_sym_case] = ACTIONS(2356),
    [anon_sym_default] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(2356),
    [anon_sym_for] = ACTIONS(2356),
    [anon_sym_in] = ACTIONS(2356),
    [anon_sym_return] = ACTIONS(2356),
    [anon_sym_break] = ACTIONS(2356),
    [anon_sym_continue] = ACTIONS(2356),
    [anon_sym_goto] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2358),
    [anon_sym_PLUS_PLUS] = ACTIONS(2358),
    [anon_sym_sizeof] = ACTIONS(2356),
    [anon_sym___alignof__] = ACTIONS(2356),
    [anon_sym___alignof] = ACTIONS(2356),
    [anon_sym__alignof] = ACTIONS(2356),
    [anon_sym_alignof] = ACTIONS(2356),
    [anon_sym__Alignof] = ACTIONS(2356),
    [anon_sym_offsetof] = ACTIONS(2356),
    [anon_sym__Generic] = ACTIONS(2356),
    [anon_sym_asm] = ACTIONS(2356),
    [anon_sym___asm__] = ACTIONS(2356),
    [anon_sym___asm] = ACTIONS(2356),
    [sym_number_literal] = ACTIONS(2358),
    [anon_sym_L_SQUOTE] = ACTIONS(2358),
    [anon_sym_u_SQUOTE] = ACTIONS(2358),
    [anon_sym_U_SQUOTE] = ACTIONS(2358),
    [anon_sym_u8_SQUOTE] = ACTIONS(2358),
    [anon_sym_SQUOTE] = ACTIONS(2358),
    [anon_sym_AT] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2358),
    [anon_sym_L_DQUOTE] = ACTIONS(2358),
    [anon_sym_u_DQUOTE] = ACTIONS(2358),
    [anon_sym_U_DQUOTE] = ACTIONS(2358),
    [anon_sym_u8_DQUOTE] = ACTIONS(2358),
    [sym_true] = ACTIONS(2356),
    [sym_false] = ACTIONS(2356),
    [anon_sym_NULL] = ACTIONS(2356),
    [anon_sym_nullptr] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2356),
    [anon_sym___typeof] = ACTIONS(2356),
    [anon_sym_typeof] = ACTIONS(2356),
    [anon_sym_ATimport] = ACTIONS(2358),
    [aux_sym_preproc_undef_token1] = ACTIONS(2356),
    [anon_sym_POUND] = ACTIONS(2356),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2356),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2356),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2356),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_API_AVAILABLE] = ACTIONS(2356),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_API_DEPRECATED] = ACTIONS(2356),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym___deprecated_msg] = ACTIONS(2356),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2356),
    [anon_sym_ATprotocol] = ACTIONS(2358),
    [anon_sym_ATinterface] = ACTIONS(2358),
    [anon_sym_ATimplementation] = ACTIONS(2358),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2358),
    [anon_sym_ATtry] = ACTIONS(2358),
    [anon_sym___try] = ACTIONS(2356),
    [anon_sym_ATcatch] = ACTIONS(2358),
    [anon_sym___catch] = ACTIONS(2356),
    [anon_sym_ATfinally] = ACTIONS(2358),
    [anon_sym___finally] = ACTIONS(2356),
    [anon_sym_ATthrow] = ACTIONS(2358),
    [anon_sym_ATselector] = ACTIONS(2358),
    [anon_sym_ATavailable] = ACTIONS(2358),
    [anon_sym___builtin_available] = ACTIONS(2356),
    [anon_sym_va_arg] = ACTIONS(2356),
    [anon_sym_ATencode] = ACTIONS(2358),
    [anon_sym_ATsynchronized] = ACTIONS(2358),
    [anon_sym_BOOL] = ACTIONS(2356),
    [anon_sym_IMP] = ACTIONS(2356),
    [anon_sym_SEL] = ACTIONS(2356),
    [anon_sym_Class] = ACTIONS(2356),
    [anon_sym_id] = ACTIONS(2356),
  },
  [396] = {
    [sym_identifier] = ACTIONS(2368),
    [aux_sym_preproc_include_token1] = ACTIONS(2368),
    [aux_sym_preproc_include_token2] = ACTIONS(2368),
    [aux_sym_preproc_def_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2368),
    [sym_preproc_directive] = ACTIONS(2368),
    [anon_sym_LPAREN2] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_CARET] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym___extension__] = ACTIONS(2368),
    [anon_sym_typedef] = ACTIONS(2368),
    [anon_sym_extern] = ACTIONS(2368),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym___attribute] = ACTIONS(2368),
    [anon_sym_noreturn] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym___declspec] = ACTIONS(2368),
    [anon_sym___cdecl] = ACTIONS(2368),
    [anon_sym___clrcall] = ACTIONS(2368),
    [anon_sym___stdcall] = ACTIONS(2368),
    [anon_sym___fastcall] = ACTIONS(2368),
    [anon_sym___thiscall] = ACTIONS(2368),
    [anon_sym___vectorcall] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [anon_sym_signed] = ACTIONS(2368),
    [anon_sym_unsigned] = ACTIONS(2368),
    [anon_sym_long] = ACTIONS(2368),
    [anon_sym_short] = ACTIONS(2368),
    [anon_sym_static] = ACTIONS(2368),
    [anon_sym_ATautoreleasepool] = ACTIONS(2370),
    [anon_sym_auto] = ACTIONS(2368),
    [anon_sym_register] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(2368),
    [anon_sym___inline] = ACTIONS(2368),
    [anon_sym___inline__] = ACTIONS(2368),
    [anon_sym___forceinline] = ACTIONS(2368),
    [anon_sym_thread_local] = ACTIONS(2368),
    [anon_sym___thread] = ACTIONS(2368),
    [anon_sym_CG_EXTERN] = ACTIONS(2368),
    [anon_sym_CG_INLINE] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2368),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2368),
    [anon_sym_IBOutlet] = ACTIONS(2368),
    [anon_sym_IBInspectable] = ACTIONS(2368),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2368),
    [anon_sym_NS_INLINE] = ACTIONS(2368),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2368),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2368),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2368),
    [anon_sym_const] = ACTIONS(2368),
    [anon_sym_constexpr] = ACTIONS(2368),
    [anon_sym_volatile] = ACTIONS(2368),
    [anon_sym_restrict] = ACTIONS(2368),
    [anon_sym___restrict__] = ACTIONS(2368),
    [anon_sym__Atomic] = ACTIONS(2368),
    [anon_sym__Noreturn] = ACTIONS(2368),
    [anon_sym__Nonnull] = ACTIONS(2368),
    [anon_sym_nullable] = ACTIONS(2368),
    [anon_sym__Complex] = ACTIONS(2368),
    [anon_sym__Nullable] = ACTIONS(2368),
    [anon_sym__Nullable_result] = ACTIONS(2368),
    [anon_sym__Null_unspecified] = ACTIONS(2368),
    [anon_sym___autoreleasing] = ACTIONS(2368),
    [anon_sym___block] = ACTIONS(2368),
    [anon_sym___bridge] = ACTIONS(2368),
    [anon_sym___bridge_retained] = ACTIONS(2368),
    [anon_sym___bridge_transfer] = ACTIONS(2368),
    [anon_sym___complex] = ACTIONS(2368),
    [anon_sym___const] = ACTIONS(2368),
    [anon_sym___imag] = ACTIONS(2368),
    [anon_sym___kindof] = ACTIONS(2368),
    [anon_sym___nonnull] = ACTIONS(2368),
    [anon_sym___nullable] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2368),
    [anon_sym___real] = ACTIONS(2368),
    [anon_sym___strong] = ACTIONS(2368),
    [anon_sym___unsafe_unretained] = ACTIONS(2368),
    [anon_sym___unused] = ACTIONS(2368),
    [anon_sym___weak] = ACTIONS(2368),
    [anon_sym_alignas] = ACTIONS(2368),
    [anon_sym__Alignas] = ACTIONS(2368),
    [sym_primitive_type] = ACTIONS(2368),
    [anon_sym_enum] = ACTIONS(2368),
    [anon_sym_struct] = ACTIONS(2368),
    [anon_sym_union] = ACTIONS(2368),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_else] = ACTIONS(2368),
    [anon_sym_switch] = ACTIONS(2368),
    [anon_sym_case] = ACTIONS(2368),
    [anon_sym_default] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_do] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2368),
    [anon_sym_in] = ACTIONS(2368),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_break] = ACTIONS(2368),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_goto] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_sizeof] = ACTIONS(2368),
    [anon_sym___alignof__] = ACTIONS(2368),
    [anon_sym___alignof] = ACTIONS(2368),
    [anon_sym__alignof] = ACTIONS(2368),
    [anon_sym_alignof] = ACTIONS(2368),
    [anon_sym__Alignof] = ACTIONS(2368),
    [anon_sym_offsetof] = ACTIONS(2368),
    [anon_sym__Generic] = ACTIONS(2368),
    [anon_sym_asm] = ACTIONS(2368),
    [anon_sym___asm__] = ACTIONS(2368),
    [anon_sym___asm] = ACTIONS(2368),
    [sym_number_literal] = ACTIONS(2370),
    [anon_sym_L_SQUOTE] = ACTIONS(2370),
    [anon_sym_u_SQUOTE] = ACTIONS(2370),
    [anon_sym_U_SQUOTE] = ACTIONS(2370),
    [anon_sym_u8_SQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2368),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_L_DQUOTE] = ACTIONS(2370),
    [anon_sym_u_DQUOTE] = ACTIONS(2370),
    [anon_sym_U_DQUOTE] = ACTIONS(2370),
    [anon_sym_u8_DQUOTE] = ACTIONS(2370),
    [sym_true] = ACTIONS(2368),
    [sym_false] = ACTIONS(2368),
    [anon_sym_NULL] = ACTIONS(2368),
    [anon_sym_nullptr] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2368),
    [anon_sym___typeof] = ACTIONS(2368),
    [anon_sym_typeof] = ACTIONS(2368),
    [anon_sym_ATimport] = ACTIONS(2370),
    [aux_sym_preproc_undef_token1] = ACTIONS(2368),
    [anon_sym_POUND] = ACTIONS(2368),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2368),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2368),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2368),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_API_AVAILABLE] = ACTIONS(2368),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_API_DEPRECATED] = ACTIONS(2368),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym___deprecated_msg] = ACTIONS(2368),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2368),
    [anon_sym_ATprotocol] = ACTIONS(2370),
    [anon_sym_ATinterface] = ACTIONS(2370),
    [anon_sym_ATimplementation] = ACTIONS(2370),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2370),
    [anon_sym_ATtry] = ACTIONS(2370),
    [anon_sym___try] = ACTIONS(2368),
    [anon_sym_ATcatch] = ACTIONS(2370),
    [anon_sym___catch] = ACTIONS(2368),
    [anon_sym_ATfinally] = ACTIONS(2370),
    [anon_sym___finally] = ACTIONS(2368),
    [anon_sym_ATthrow] = ACTIONS(2370),
    [anon_sym_ATselector] = ACTIONS(2370),
    [anon_sym_ATavailable] = ACTIONS(2370),
    [anon_sym___builtin_available] = ACTIONS(2368),
    [anon_sym_va_arg] = ACTIONS(2368),
    [anon_sym_ATencode] = ACTIONS(2370),
    [anon_sym_ATsynchronized] = ACTIONS(2370),
    [anon_sym_BOOL] = ACTIONS(2368),
    [anon_sym_IMP] = ACTIONS(2368),
    [anon_sym_SEL] = ACTIONS(2368),
    [anon_sym_Class] = ACTIONS(2368),
    [anon_sym_id] = ACTIONS(2368),
  },
  [397] = {
    [ts_builtin_sym_end] = ACTIONS(2348),
    [sym_identifier] = ACTIONS(2346),
    [aux_sym_preproc_include_token1] = ACTIONS(2346),
    [aux_sym_preproc_include_token2] = ACTIONS(2346),
    [aux_sym_preproc_def_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2346),
    [sym_preproc_directive] = ACTIONS(2346),
    [anon_sym_LPAREN2] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_CARET] = ACTIONS(2348),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym___extension__] = ACTIONS(2346),
    [anon_sym_typedef] = ACTIONS(2346),
    [anon_sym_extern] = ACTIONS(2346),
    [anon_sym___attribute__] = ACTIONS(2346),
    [anon_sym___attribute] = ACTIONS(2346),
    [anon_sym_noreturn] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym___declspec] = ACTIONS(2346),
    [anon_sym___cdecl] = ACTIONS(2346),
    [anon_sym___clrcall] = ACTIONS(2346),
    [anon_sym___stdcall] = ACTIONS(2346),
    [anon_sym___fastcall] = ACTIONS(2346),
    [anon_sym___thiscall] = ACTIONS(2346),
    [anon_sym___vectorcall] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_signed] = ACTIONS(2346),
    [anon_sym_unsigned] = ACTIONS(2346),
    [anon_sym_long] = ACTIONS(2346),
    [anon_sym_short] = ACTIONS(2346),
    [anon_sym_static] = ACTIONS(2346),
    [anon_sym_ATautoreleasepool] = ACTIONS(2348),
    [anon_sym_auto] = ACTIONS(2346),
    [anon_sym_register] = ACTIONS(2346),
    [anon_sym_inline] = ACTIONS(2346),
    [anon_sym___inline] = ACTIONS(2346),
    [anon_sym___inline__] = ACTIONS(2346),
    [anon_sym___forceinline] = ACTIONS(2346),
    [anon_sym_thread_local] = ACTIONS(2346),
    [anon_sym___thread] = ACTIONS(2346),
    [anon_sym_CG_EXTERN] = ACTIONS(2346),
    [anon_sym_CG_INLINE] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2346),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2346),
    [anon_sym_IBOutlet] = ACTIONS(2346),
    [anon_sym_IBInspectable] = ACTIONS(2346),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2346),
    [anon_sym_NS_INLINE] = ACTIONS(2346),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2346),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2346),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2346),
    [anon_sym_const] = ACTIONS(2346),
    [anon_sym_constexpr] = ACTIONS(2346),
    [anon_sym_volatile] = ACTIONS(2346),
    [anon_sym_restrict] = ACTIONS(2346),
    [anon_sym___restrict__] = ACTIONS(2346),
    [anon_sym__Atomic] = ACTIONS(2346),
    [anon_sym__Noreturn] = ACTIONS(2346),
    [anon_sym__Nonnull] = ACTIONS(2346),
    [anon_sym_nullable] = ACTIONS(2346),
    [anon_sym__Complex] = ACTIONS(2346),
    [anon_sym__Nullable] = ACTIONS(2346),
    [anon_sym__Nullable_result] = ACTIONS(2346),
    [anon_sym__Null_unspecified] = ACTIONS(2346),
    [anon_sym___autoreleasing] = ACTIONS(2346),
    [anon_sym___block] = ACTIONS(2346),
    [anon_sym___bridge] = ACTIONS(2346),
    [anon_sym___bridge_retained] = ACTIONS(2346),
    [anon_sym___bridge_transfer] = ACTIONS(2346),
    [anon_sym___complex] = ACTIONS(2346),
    [anon_sym___const] = ACTIONS(2346),
    [anon_sym___imag] = ACTIONS(2346),
    [anon_sym___kindof] = ACTIONS(2346),
    [anon_sym___nonnull] = ACTIONS(2346),
    [anon_sym___nullable] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2346),
    [anon_sym___real] = ACTIONS(2346),
    [anon_sym___strong] = ACTIONS(2346),
    [anon_sym___unsafe_unretained] = ACTIONS(2346),
    [anon_sym___unused] = ACTIONS(2346),
    [anon_sym___weak] = ACTIONS(2346),
    [anon_sym_alignas] = ACTIONS(2346),
    [anon_sym__Alignas] = ACTIONS(2346),
    [sym_primitive_type] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2346),
    [anon_sym_struct] = ACTIONS(2346),
    [anon_sym_union] = ACTIONS(2346),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_else] = ACTIONS(2346),
    [anon_sym_switch] = ACTIONS(2346),
    [anon_sym_case] = ACTIONS(2346),
    [anon_sym_default] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2346),
    [anon_sym_for] = ACTIONS(2346),
    [anon_sym_in] = ACTIONS(2346),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_break] = ACTIONS(2346),
    [anon_sym_continue] = ACTIONS(2346),
    [anon_sym_goto] = ACTIONS(2346),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_sizeof] = ACTIONS(2346),
    [anon_sym___alignof__] = ACTIONS(2346),
    [anon_sym___alignof] = ACTIONS(2346),
    [anon_sym__alignof] = ACTIONS(2346),
    [anon_sym_alignof] = ACTIONS(2346),
    [anon_sym__Alignof] = ACTIONS(2346),
    [anon_sym_offsetof] = ACTIONS(2346),
    [anon_sym__Generic] = ACTIONS(2346),
    [anon_sym_asm] = ACTIONS(2346),
    [anon_sym___asm__] = ACTIONS(2346),
    [anon_sym___asm] = ACTIONS(2346),
    [sym_number_literal] = ACTIONS(2348),
    [anon_sym_L_SQUOTE] = ACTIONS(2348),
    [anon_sym_u_SQUOTE] = ACTIONS(2348),
    [anon_sym_U_SQUOTE] = ACTIONS(2348),
    [anon_sym_u8_SQUOTE] = ACTIONS(2348),
    [anon_sym_SQUOTE] = ACTIONS(2348),
    [anon_sym_AT] = ACTIONS(2346),
    [anon_sym_DQUOTE] = ACTIONS(2348),
    [anon_sym_L_DQUOTE] = ACTIONS(2348),
    [anon_sym_u_DQUOTE] = ACTIONS(2348),
    [anon_sym_U_DQUOTE] = ACTIONS(2348),
    [anon_sym_u8_DQUOTE] = ACTIONS(2348),
    [sym_true] = ACTIONS(2346),
    [sym_false] = ACTIONS(2346),
    [anon_sym_NULL] = ACTIONS(2346),
    [anon_sym_nullptr] = ACTIONS(2346),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2346),
    [anon_sym___typeof] = ACTIONS(2346),
    [anon_sym_typeof] = ACTIONS(2346),
    [anon_sym_ATimport] = ACTIONS(2348),
    [aux_sym_preproc_undef_token1] = ACTIONS(2346),
    [anon_sym_POUND] = ACTIONS(2346),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2346),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2346),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2346),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_API_AVAILABLE] = ACTIONS(2346),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_API_DEPRECATED] = ACTIONS(2346),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym___deprecated_msg] = ACTIONS(2346),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2346),
    [anon_sym_ATprotocol] = ACTIONS(2348),
    [anon_sym_ATinterface] = ACTIONS(2348),
    [anon_sym_ATimplementation] = ACTIONS(2348),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2348),
    [anon_sym_ATtry] = ACTIONS(2348),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym_ATcatch] = ACTIONS(2348),
    [anon_sym___catch] = ACTIONS(2346),
    [anon_sym_ATfinally] = ACTIONS(2348),
    [anon_sym___finally] = ACTIONS(2346),
    [anon_sym_ATthrow] = ACTIONS(2348),
    [anon_sym_ATselector] = ACTIONS(2348),
    [anon_sym_ATavailable] = ACTIONS(2348),
    [anon_sym___builtin_available] = ACTIONS(2346),
    [anon_sym_va_arg] = ACTIONS(2346),
    [anon_sym_ATencode] = ACTIONS(2348),
    [anon_sym_ATsynchronized] = ACTIONS(2348),
    [anon_sym_BOOL] = ACTIONS(2346),
    [anon_sym_IMP] = ACTIONS(2346),
    [anon_sym_SEL] = ACTIONS(2346),
    [anon_sym_Class] = ACTIONS(2346),
    [anon_sym_id] = ACTIONS(2346),
  },
  [398] = {
    [ts_builtin_sym_end] = ACTIONS(2358),
    [sym_identifier] = ACTIONS(2356),
    [aux_sym_preproc_include_token1] = ACTIONS(2356),
    [aux_sym_preproc_include_token2] = ACTIONS(2356),
    [aux_sym_preproc_def_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2356),
    [sym_preproc_directive] = ACTIONS(2356),
    [anon_sym_LPAREN2] = ACTIONS(2358),
    [anon_sym_BANG] = ACTIONS(2358),
    [anon_sym_TILDE] = ACTIONS(2358),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2358),
    [anon_sym_CARET] = ACTIONS(2358),
    [anon_sym_AMP] = ACTIONS(2358),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2356),
    [anon_sym_typedef] = ACTIONS(2356),
    [anon_sym_extern] = ACTIONS(2356),
    [anon_sym___attribute__] = ACTIONS(2356),
    [anon_sym___attribute] = ACTIONS(2356),
    [anon_sym_noreturn] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2358),
    [anon_sym___declspec] = ACTIONS(2356),
    [anon_sym___cdecl] = ACTIONS(2356),
    [anon_sym___clrcall] = ACTIONS(2356),
    [anon_sym___stdcall] = ACTIONS(2356),
    [anon_sym___fastcall] = ACTIONS(2356),
    [anon_sym___thiscall] = ACTIONS(2356),
    [anon_sym___vectorcall] = ACTIONS(2356),
    [anon_sym_LBRACE] = ACTIONS(2358),
    [anon_sym_signed] = ACTIONS(2356),
    [anon_sym_unsigned] = ACTIONS(2356),
    [anon_sym_long] = ACTIONS(2356),
    [anon_sym_short] = ACTIONS(2356),
    [anon_sym_static] = ACTIONS(2356),
    [anon_sym_ATautoreleasepool] = ACTIONS(2358),
    [anon_sym_auto] = ACTIONS(2356),
    [anon_sym_register] = ACTIONS(2356),
    [anon_sym_inline] = ACTIONS(2356),
    [anon_sym___inline] = ACTIONS(2356),
    [anon_sym___inline__] = ACTIONS(2356),
    [anon_sym___forceinline] = ACTIONS(2356),
    [anon_sym_thread_local] = ACTIONS(2356),
    [anon_sym___thread] = ACTIONS(2356),
    [anon_sym_CG_EXTERN] = ACTIONS(2356),
    [anon_sym_CG_INLINE] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2356),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2356),
    [anon_sym_IBOutlet] = ACTIONS(2356),
    [anon_sym_IBInspectable] = ACTIONS(2356),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2356),
    [anon_sym_NS_INLINE] = ACTIONS(2356),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2356),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2356),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2356),
    [anon_sym_const] = ACTIONS(2356),
    [anon_sym_constexpr] = ACTIONS(2356),
    [anon_sym_volatile] = ACTIONS(2356),
    [anon_sym_restrict] = ACTIONS(2356),
    [anon_sym___restrict__] = ACTIONS(2356),
    [anon_sym__Atomic] = ACTIONS(2356),
    [anon_sym__Noreturn] = ACTIONS(2356),
    [anon_sym__Nonnull] = ACTIONS(2356),
    [anon_sym_nullable] = ACTIONS(2356),
    [anon_sym__Complex] = ACTIONS(2356),
    [anon_sym__Nullable] = ACTIONS(2356),
    [anon_sym__Nullable_result] = ACTIONS(2356),
    [anon_sym__Null_unspecified] = ACTIONS(2356),
    [anon_sym___autoreleasing] = ACTIONS(2356),
    [anon_sym___block] = ACTIONS(2356),
    [anon_sym___bridge] = ACTIONS(2356),
    [anon_sym___bridge_retained] = ACTIONS(2356),
    [anon_sym___bridge_transfer] = ACTIONS(2356),
    [anon_sym___complex] = ACTIONS(2356),
    [anon_sym___const] = ACTIONS(2356),
    [anon_sym___imag] = ACTIONS(2356),
    [anon_sym___kindof] = ACTIONS(2356),
    [anon_sym___nonnull] = ACTIONS(2356),
    [anon_sym___nullable] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2356),
    [anon_sym___real] = ACTIONS(2356),
    [anon_sym___strong] = ACTIONS(2356),
    [anon_sym___unsafe_unretained] = ACTIONS(2356),
    [anon_sym___unused] = ACTIONS(2356),
    [anon_sym___weak] = ACTIONS(2356),
    [anon_sym_alignas] = ACTIONS(2356),
    [anon_sym__Alignas] = ACTIONS(2356),
    [sym_primitive_type] = ACTIONS(2356),
    [anon_sym_enum] = ACTIONS(2356),
    [anon_sym_struct] = ACTIONS(2356),
    [anon_sym_union] = ACTIONS(2356),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_else] = ACTIONS(2356),
    [anon_sym_switch] = ACTIONS(2356),
    [anon_sym_case] = ACTIONS(2356),
    [anon_sym_default] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(2356),
    [anon_sym_for] = ACTIONS(2356),
    [anon_sym_in] = ACTIONS(2356),
    [anon_sym_return] = ACTIONS(2356),
    [anon_sym_break] = ACTIONS(2356),
    [anon_sym_continue] = ACTIONS(2356),
    [anon_sym_goto] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2358),
    [anon_sym_PLUS_PLUS] = ACTIONS(2358),
    [anon_sym_sizeof] = ACTIONS(2356),
    [anon_sym___alignof__] = ACTIONS(2356),
    [anon_sym___alignof] = ACTIONS(2356),
    [anon_sym__alignof] = ACTIONS(2356),
    [anon_sym_alignof] = ACTIONS(2356),
    [anon_sym__Alignof] = ACTIONS(2356),
    [anon_sym_offsetof] = ACTIONS(2356),
    [anon_sym__Generic] = ACTIONS(2356),
    [anon_sym_asm] = ACTIONS(2356),
    [anon_sym___asm__] = ACTIONS(2356),
    [anon_sym___asm] = ACTIONS(2356),
    [sym_number_literal] = ACTIONS(2358),
    [anon_sym_L_SQUOTE] = ACTIONS(2358),
    [anon_sym_u_SQUOTE] = ACTIONS(2358),
    [anon_sym_U_SQUOTE] = ACTIONS(2358),
    [anon_sym_u8_SQUOTE] = ACTIONS(2358),
    [anon_sym_SQUOTE] = ACTIONS(2358),
    [anon_sym_AT] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2358),
    [anon_sym_L_DQUOTE] = ACTIONS(2358),
    [anon_sym_u_DQUOTE] = ACTIONS(2358),
    [anon_sym_U_DQUOTE] = ACTIONS(2358),
    [anon_sym_u8_DQUOTE] = ACTIONS(2358),
    [sym_true] = ACTIONS(2356),
    [sym_false] = ACTIONS(2356),
    [anon_sym_NULL] = ACTIONS(2356),
    [anon_sym_nullptr] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2356),
    [anon_sym___typeof] = ACTIONS(2356),
    [anon_sym_typeof] = ACTIONS(2356),
    [anon_sym_ATimport] = ACTIONS(2358),
    [aux_sym_preproc_undef_token1] = ACTIONS(2356),
    [anon_sym_POUND] = ACTIONS(2356),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2356),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2356),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2356),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_API_AVAILABLE] = ACTIONS(2356),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_API_DEPRECATED] = ACTIONS(2356),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym___deprecated_msg] = ACTIONS(2356),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2356),
    [anon_sym_ATprotocol] = ACTIONS(2358),
    [anon_sym_ATinterface] = ACTIONS(2358),
    [anon_sym_ATimplementation] = ACTIONS(2358),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2358),
    [anon_sym_ATtry] = ACTIONS(2358),
    [anon_sym___try] = ACTIONS(2356),
    [anon_sym_ATcatch] = ACTIONS(2358),
    [anon_sym___catch] = ACTIONS(2356),
    [anon_sym_ATfinally] = ACTIONS(2358),
    [anon_sym___finally] = ACTIONS(2356),
    [anon_sym_ATthrow] = ACTIONS(2358),
    [anon_sym_ATselector] = ACTIONS(2358),
    [anon_sym_ATavailable] = ACTIONS(2358),
    [anon_sym___builtin_available] = ACTIONS(2356),
    [anon_sym_va_arg] = ACTIONS(2356),
    [anon_sym_ATencode] = ACTIONS(2358),
    [anon_sym_ATsynchronized] = ACTIONS(2358),
    [anon_sym_BOOL] = ACTIONS(2356),
    [anon_sym_IMP] = ACTIONS(2356),
    [anon_sym_SEL] = ACTIONS(2356),
    [anon_sym_Class] = ACTIONS(2356),
    [anon_sym_id] = ACTIONS(2356),
  },
  [399] = {
    [ts_builtin_sym_end] = ACTIONS(2370),
    [sym_identifier] = ACTIONS(2368),
    [aux_sym_preproc_include_token1] = ACTIONS(2368),
    [aux_sym_preproc_include_token2] = ACTIONS(2368),
    [aux_sym_preproc_def_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2368),
    [sym_preproc_directive] = ACTIONS(2368),
    [anon_sym_LPAREN2] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_CARET] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym___extension__] = ACTIONS(2368),
    [anon_sym_typedef] = ACTIONS(2368),
    [anon_sym_extern] = ACTIONS(2368),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym___attribute] = ACTIONS(2368),
    [anon_sym_noreturn] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym___declspec] = ACTIONS(2368),
    [anon_sym___cdecl] = ACTIONS(2368),
    [anon_sym___clrcall] = ACTIONS(2368),
    [anon_sym___stdcall] = ACTIONS(2368),
    [anon_sym___fastcall] = ACTIONS(2368),
    [anon_sym___thiscall] = ACTIONS(2368),
    [anon_sym___vectorcall] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_signed] = ACTIONS(2368),
    [anon_sym_unsigned] = ACTIONS(2368),
    [anon_sym_long] = ACTIONS(2368),
    [anon_sym_short] = ACTIONS(2368),
    [anon_sym_static] = ACTIONS(2368),
    [anon_sym_ATautoreleasepool] = ACTIONS(2370),
    [anon_sym_auto] = ACTIONS(2368),
    [anon_sym_register] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(2368),
    [anon_sym___inline] = ACTIONS(2368),
    [anon_sym___inline__] = ACTIONS(2368),
    [anon_sym___forceinline] = ACTIONS(2368),
    [anon_sym_thread_local] = ACTIONS(2368),
    [anon_sym___thread] = ACTIONS(2368),
    [anon_sym_CG_EXTERN] = ACTIONS(2368),
    [anon_sym_CG_INLINE] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2368),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2368),
    [anon_sym_IBOutlet] = ACTIONS(2368),
    [anon_sym_IBInspectable] = ACTIONS(2368),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2368),
    [anon_sym_NS_INLINE] = ACTIONS(2368),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2368),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2368),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2368),
    [anon_sym_const] = ACTIONS(2368),
    [anon_sym_constexpr] = ACTIONS(2368),
    [anon_sym_volatile] = ACTIONS(2368),
    [anon_sym_restrict] = ACTIONS(2368),
    [anon_sym___restrict__] = ACTIONS(2368),
    [anon_sym__Atomic] = ACTIONS(2368),
    [anon_sym__Noreturn] = ACTIONS(2368),
    [anon_sym__Nonnull] = ACTIONS(2368),
    [anon_sym_nullable] = ACTIONS(2368),
    [anon_sym__Complex] = ACTIONS(2368),
    [anon_sym__Nullable] = ACTIONS(2368),
    [anon_sym__Nullable_result] = ACTIONS(2368),
    [anon_sym__Null_unspecified] = ACTIONS(2368),
    [anon_sym___autoreleasing] = ACTIONS(2368),
    [anon_sym___block] = ACTIONS(2368),
    [anon_sym___bridge] = ACTIONS(2368),
    [anon_sym___bridge_retained] = ACTIONS(2368),
    [anon_sym___bridge_transfer] = ACTIONS(2368),
    [anon_sym___complex] = ACTIONS(2368),
    [anon_sym___const] = ACTIONS(2368),
    [anon_sym___imag] = ACTIONS(2368),
    [anon_sym___kindof] = ACTIONS(2368),
    [anon_sym___nonnull] = ACTIONS(2368),
    [anon_sym___nullable] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2368),
    [anon_sym___real] = ACTIONS(2368),
    [anon_sym___strong] = ACTIONS(2368),
    [anon_sym___unsafe_unretained] = ACTIONS(2368),
    [anon_sym___unused] = ACTIONS(2368),
    [anon_sym___weak] = ACTIONS(2368),
    [anon_sym_alignas] = ACTIONS(2368),
    [anon_sym__Alignas] = ACTIONS(2368),
    [sym_primitive_type] = ACTIONS(2368),
    [anon_sym_enum] = ACTIONS(2368),
    [anon_sym_struct] = ACTIONS(2368),
    [anon_sym_union] = ACTIONS(2368),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_else] = ACTIONS(2368),
    [anon_sym_switch] = ACTIONS(2368),
    [anon_sym_case] = ACTIONS(2368),
    [anon_sym_default] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_do] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2368),
    [anon_sym_in] = ACTIONS(2368),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_break] = ACTIONS(2368),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_goto] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_sizeof] = ACTIONS(2368),
    [anon_sym___alignof__] = ACTIONS(2368),
    [anon_sym___alignof] = ACTIONS(2368),
    [anon_sym__alignof] = ACTIONS(2368),
    [anon_sym_alignof] = ACTIONS(2368),
    [anon_sym__Alignof] = ACTIONS(2368),
    [anon_sym_offsetof] = ACTIONS(2368),
    [anon_sym__Generic] = ACTIONS(2368),
    [anon_sym_asm] = ACTIONS(2368),
    [anon_sym___asm__] = ACTIONS(2368),
    [anon_sym___asm] = ACTIONS(2368),
    [sym_number_literal] = ACTIONS(2370),
    [anon_sym_L_SQUOTE] = ACTIONS(2370),
    [anon_sym_u_SQUOTE] = ACTIONS(2370),
    [anon_sym_U_SQUOTE] = ACTIONS(2370),
    [anon_sym_u8_SQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2368),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_L_DQUOTE] = ACTIONS(2370),
    [anon_sym_u_DQUOTE] = ACTIONS(2370),
    [anon_sym_U_DQUOTE] = ACTIONS(2370),
    [anon_sym_u8_DQUOTE] = ACTIONS(2370),
    [sym_true] = ACTIONS(2368),
    [sym_false] = ACTIONS(2368),
    [anon_sym_NULL] = ACTIONS(2368),
    [anon_sym_nullptr] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2368),
    [anon_sym___typeof] = ACTIONS(2368),
    [anon_sym_typeof] = ACTIONS(2368),
    [anon_sym_ATimport] = ACTIONS(2370),
    [aux_sym_preproc_undef_token1] = ACTIONS(2368),
    [anon_sym_POUND] = ACTIONS(2368),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2368),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2368),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2368),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_API_AVAILABLE] = ACTIONS(2368),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_API_DEPRECATED] = ACTIONS(2368),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym___deprecated_msg] = ACTIONS(2368),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2368),
    [anon_sym_ATprotocol] = ACTIONS(2370),
    [anon_sym_ATinterface] = ACTIONS(2370),
    [anon_sym_ATimplementation] = ACTIONS(2370),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2370),
    [anon_sym_ATtry] = ACTIONS(2370),
    [anon_sym___try] = ACTIONS(2368),
    [anon_sym_ATcatch] = ACTIONS(2370),
    [anon_sym___catch] = ACTIONS(2368),
    [anon_sym_ATfinally] = ACTIONS(2370),
    [anon_sym___finally] = ACTIONS(2368),
    [anon_sym_ATthrow] = ACTIONS(2370),
    [anon_sym_ATselector] = ACTIONS(2370),
    [anon_sym_ATavailable] = ACTIONS(2370),
    [anon_sym___builtin_available] = ACTIONS(2368),
    [anon_sym_va_arg] = ACTIONS(2368),
    [anon_sym_ATencode] = ACTIONS(2370),
    [anon_sym_ATsynchronized] = ACTIONS(2370),
    [anon_sym_BOOL] = ACTIONS(2368),
    [anon_sym_IMP] = ACTIONS(2368),
    [anon_sym_SEL] = ACTIONS(2368),
    [anon_sym_Class] = ACTIONS(2368),
    [anon_sym_id] = ACTIONS(2368),
  },
  [400] = {
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_include_token2] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_CARET] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym___attribute] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_ATautoreleasepool] = ACTIONS(2366),
    [anon_sym_auto] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_CG_EXTERN] = ACTIONS(2364),
    [anon_sym_CG_INLINE] = ACTIONS(2364),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2364),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2364),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2364),
    [anon_sym_IBOutlet] = ACTIONS(2364),
    [anon_sym_IBInspectable] = ACTIONS(2364),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2364),
    [anon_sym_NS_INLINE] = ACTIONS(2364),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2364),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2364),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2364),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym__Nonnull] = ACTIONS(2364),
    [anon_sym_nullable] = ACTIONS(2364),
    [anon_sym__Complex] = ACTIONS(2364),
    [anon_sym__Nullable] = ACTIONS(2364),
    [anon_sym__Nullable_result] = ACTIONS(2364),
    [anon_sym__Null_unspecified] = ACTIONS(2364),
    [anon_sym___autoreleasing] = ACTIONS(2364),
    [anon_sym___block] = ACTIONS(2364),
    [anon_sym___bridge] = ACTIONS(2364),
    [anon_sym___bridge_retained] = ACTIONS(2364),
    [anon_sym___bridge_transfer] = ACTIONS(2364),
    [anon_sym___complex] = ACTIONS(2364),
    [anon_sym___const] = ACTIONS(2364),
    [anon_sym___imag] = ACTIONS(2364),
    [anon_sym___kindof] = ACTIONS(2364),
    [anon_sym___nonnull] = ACTIONS(2364),
    [anon_sym___nullable] = ACTIONS(2364),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2364),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2364),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2364),
    [anon_sym___real] = ACTIONS(2364),
    [anon_sym___strong] = ACTIONS(2364),
    [anon_sym___unsafe_unretained] = ACTIONS(2364),
    [anon_sym___unused] = ACTIONS(2364),
    [anon_sym___weak] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym__Alignas] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [anon_sym___asm] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_AT] = ACTIONS(2364),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2364),
    [anon_sym___typeof] = ACTIONS(2364),
    [anon_sym_typeof] = ACTIONS(2364),
    [anon_sym_ATimport] = ACTIONS(2366),
    [aux_sym_preproc_undef_token1] = ACTIONS(2364),
    [anon_sym_POUND] = ACTIONS(2364),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2364),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2364),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2364),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2364),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2364),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2364),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2364),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2364),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2364),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_API_AVAILABLE] = ACTIONS(2364),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_API_DEPRECATED] = ACTIONS(2364),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2364),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2364),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2364),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2364),
    [anon_sym___deprecated_msg] = ACTIONS(2364),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2364),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2364),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2364),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2364),
    [anon_sym_ATprotocol] = ACTIONS(2366),
    [anon_sym_ATinterface] = ACTIONS(2366),
    [anon_sym_ATimplementation] = ACTIONS(2366),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2366),
    [anon_sym_ATtry] = ACTIONS(2366),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym_ATcatch] = ACTIONS(2366),
    [anon_sym___catch] = ACTIONS(2364),
    [anon_sym_ATfinally] = ACTIONS(2366),
    [anon_sym___finally] = ACTIONS(2364),
    [anon_sym_ATthrow] = ACTIONS(2366),
    [anon_sym_ATselector] = ACTIONS(2366),
    [anon_sym_ATavailable] = ACTIONS(2366),
    [anon_sym___builtin_available] = ACTIONS(2364),
    [anon_sym_va_arg] = ACTIONS(2364),
    [anon_sym_ATencode] = ACTIONS(2366),
    [anon_sym_ATsynchronized] = ACTIONS(2366),
    [anon_sym_BOOL] = ACTIONS(2364),
    [anon_sym_IMP] = ACTIONS(2364),
    [anon_sym_SEL] = ACTIONS(2364),
    [anon_sym_Class] = ACTIONS(2364),
    [anon_sym_id] = ACTIONS(2364),
  },
  [401] = {
    [sym_identifier] = ACTIONS(2360),
    [aux_sym_preproc_include_token1] = ACTIONS(2360),
    [aux_sym_preproc_include_token2] = ACTIONS(2360),
    [aux_sym_preproc_def_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token1] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2360),
    [sym_preproc_directive] = ACTIONS(2360),
    [anon_sym_LPAREN2] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2362),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_CARET] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2362),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_typedef] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym___attribute] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2362),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym___cdecl] = ACTIONS(2360),
    [anon_sym___clrcall] = ACTIONS(2360),
    [anon_sym___stdcall] = ACTIONS(2360),
    [anon_sym___fastcall] = ACTIONS(2360),
    [anon_sym___thiscall] = ACTIONS(2360),
    [anon_sym___vectorcall] = ACTIONS(2360),
    [anon_sym_LBRACE] = ACTIONS(2362),
    [anon_sym_RBRACE] = ACTIONS(2362),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_ATautoreleasepool] = ACTIONS(2362),
    [anon_sym_auto] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_CG_EXTERN] = ACTIONS(2360),
    [anon_sym_CG_INLINE] = ACTIONS(2360),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2360),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2360),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2360),
    [anon_sym_IBOutlet] = ACTIONS(2360),
    [anon_sym_IBInspectable] = ACTIONS(2360),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2360),
    [anon_sym_NS_INLINE] = ACTIONS(2360),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2360),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2360),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2360),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym__Nonnull] = ACTIONS(2360),
    [anon_sym_nullable] = ACTIONS(2360),
    [anon_sym__Complex] = ACTIONS(2360),
    [anon_sym__Nullable] = ACTIONS(2360),
    [anon_sym__Nullable_result] = ACTIONS(2360),
    [anon_sym__Null_unspecified] = ACTIONS(2360),
    [anon_sym___autoreleasing] = ACTIONS(2360),
    [anon_sym___block] = ACTIONS(2360),
    [anon_sym___bridge] = ACTIONS(2360),
    [anon_sym___bridge_retained] = ACTIONS(2360),
    [anon_sym___bridge_transfer] = ACTIONS(2360),
    [anon_sym___complex] = ACTIONS(2360),
    [anon_sym___const] = ACTIONS(2360),
    [anon_sym___imag] = ACTIONS(2360),
    [anon_sym___kindof] = ACTIONS(2360),
    [anon_sym___nonnull] = ACTIONS(2360),
    [anon_sym___nullable] = ACTIONS(2360),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2360),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2360),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2360),
    [anon_sym___real] = ACTIONS(2360),
    [anon_sym___strong] = ACTIONS(2360),
    [anon_sym___unsafe_unretained] = ACTIONS(2360),
    [anon_sym___unused] = ACTIONS(2360),
    [anon_sym___weak] = ACTIONS(2360),
    [anon_sym_alignas] = ACTIONS(2360),
    [anon_sym__Alignas] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2360),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_else] = ACTIONS(2360),
    [anon_sym_switch] = ACTIONS(2360),
    [anon_sym_case] = ACTIONS(2360),
    [anon_sym_default] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2360),
    [anon_sym_do] = ACTIONS(2360),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_return] = ACTIONS(2360),
    [anon_sym_break] = ACTIONS(2360),
    [anon_sym_continue] = ACTIONS(2360),
    [anon_sym_goto] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2362),
    [anon_sym_PLUS_PLUS] = ACTIONS(2362),
    [anon_sym_sizeof] = ACTIONS(2360),
    [anon_sym___alignof__] = ACTIONS(2360),
    [anon_sym___alignof] = ACTIONS(2360),
    [anon_sym__alignof] = ACTIONS(2360),
    [anon_sym_alignof] = ACTIONS(2360),
    [anon_sym__Alignof] = ACTIONS(2360),
    [anon_sym_offsetof] = ACTIONS(2360),
    [anon_sym__Generic] = ACTIONS(2360),
    [anon_sym_asm] = ACTIONS(2360),
    [anon_sym___asm__] = ACTIONS(2360),
    [anon_sym___asm] = ACTIONS(2360),
    [sym_number_literal] = ACTIONS(2362),
    [anon_sym_L_SQUOTE] = ACTIONS(2362),
    [anon_sym_u_SQUOTE] = ACTIONS(2362),
    [anon_sym_U_SQUOTE] = ACTIONS(2362),
    [anon_sym_u8_SQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE] = ACTIONS(2362),
    [anon_sym_AT] = ACTIONS(2360),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [anon_sym_L_DQUOTE] = ACTIONS(2362),
    [anon_sym_u_DQUOTE] = ACTIONS(2362),
    [anon_sym_U_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8_DQUOTE] = ACTIONS(2362),
    [sym_true] = ACTIONS(2360),
    [sym_false] = ACTIONS(2360),
    [anon_sym_NULL] = ACTIONS(2360),
    [anon_sym_nullptr] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2360),
    [anon_sym___typeof] = ACTIONS(2360),
    [anon_sym_typeof] = ACTIONS(2360),
    [anon_sym_ATimport] = ACTIONS(2362),
    [aux_sym_preproc_undef_token1] = ACTIONS(2360),
    [anon_sym_POUND] = ACTIONS(2360),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2360),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2360),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2360),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2360),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2360),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2360),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2360),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2360),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2360),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_API_AVAILABLE] = ACTIONS(2360),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_API_DEPRECATED] = ACTIONS(2360),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2360),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2360),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2360),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2360),
    [anon_sym___deprecated_msg] = ACTIONS(2360),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2360),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2360),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2360),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2360),
    [anon_sym_ATprotocol] = ACTIONS(2362),
    [anon_sym_ATinterface] = ACTIONS(2362),
    [anon_sym_ATimplementation] = ACTIONS(2362),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2362),
    [anon_sym_ATtry] = ACTIONS(2362),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym_ATcatch] = ACTIONS(2362),
    [anon_sym___catch] = ACTIONS(2360),
    [anon_sym_ATfinally] = ACTIONS(2362),
    [anon_sym___finally] = ACTIONS(2360),
    [anon_sym_ATthrow] = ACTIONS(2362),
    [anon_sym_ATselector] = ACTIONS(2362),
    [anon_sym_ATavailable] = ACTIONS(2362),
    [anon_sym___builtin_available] = ACTIONS(2360),
    [anon_sym_va_arg] = ACTIONS(2360),
    [anon_sym_ATencode] = ACTIONS(2362),
    [anon_sym_ATsynchronized] = ACTIONS(2362),
    [anon_sym_BOOL] = ACTIONS(2360),
    [anon_sym_IMP] = ACTIONS(2360),
    [anon_sym_SEL] = ACTIONS(2360),
    [anon_sym_Class] = ACTIONS(2360),
    [anon_sym_id] = ACTIONS(2360),
  },
  [402] = {
    [ts_builtin_sym_end] = ACTIONS(2362),
    [sym_identifier] = ACTIONS(2360),
    [aux_sym_preproc_include_token1] = ACTIONS(2360),
    [aux_sym_preproc_include_token2] = ACTIONS(2360),
    [aux_sym_preproc_def_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token1] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2360),
    [sym_preproc_directive] = ACTIONS(2360),
    [anon_sym_LPAREN2] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2362),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_CARET] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2362),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_typedef] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym___attribute] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2362),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym___cdecl] = ACTIONS(2360),
    [anon_sym___clrcall] = ACTIONS(2360),
    [anon_sym___stdcall] = ACTIONS(2360),
    [anon_sym___fastcall] = ACTIONS(2360),
    [anon_sym___thiscall] = ACTIONS(2360),
    [anon_sym___vectorcall] = ACTIONS(2360),
    [anon_sym_LBRACE] = ACTIONS(2362),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_ATautoreleasepool] = ACTIONS(2362),
    [anon_sym_auto] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_CG_EXTERN] = ACTIONS(2360),
    [anon_sym_CG_INLINE] = ACTIONS(2360),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2360),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2360),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2360),
    [anon_sym_IBOutlet] = ACTIONS(2360),
    [anon_sym_IBInspectable] = ACTIONS(2360),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2360),
    [anon_sym_NS_INLINE] = ACTIONS(2360),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2360),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2360),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2360),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym__Nonnull] = ACTIONS(2360),
    [anon_sym_nullable] = ACTIONS(2360),
    [anon_sym__Complex] = ACTIONS(2360),
    [anon_sym__Nullable] = ACTIONS(2360),
    [anon_sym__Nullable_result] = ACTIONS(2360),
    [anon_sym__Null_unspecified] = ACTIONS(2360),
    [anon_sym___autoreleasing] = ACTIONS(2360),
    [anon_sym___block] = ACTIONS(2360),
    [anon_sym___bridge] = ACTIONS(2360),
    [anon_sym___bridge_retained] = ACTIONS(2360),
    [anon_sym___bridge_transfer] = ACTIONS(2360),
    [anon_sym___complex] = ACTIONS(2360),
    [anon_sym___const] = ACTIONS(2360),
    [anon_sym___imag] = ACTIONS(2360),
    [anon_sym___kindof] = ACTIONS(2360),
    [anon_sym___nonnull] = ACTIONS(2360),
    [anon_sym___nullable] = ACTIONS(2360),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2360),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2360),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2360),
    [anon_sym___real] = ACTIONS(2360),
    [anon_sym___strong] = ACTIONS(2360),
    [anon_sym___unsafe_unretained] = ACTIONS(2360),
    [anon_sym___unused] = ACTIONS(2360),
    [anon_sym___weak] = ACTIONS(2360),
    [anon_sym_alignas] = ACTIONS(2360),
    [anon_sym__Alignas] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2360),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_else] = ACTIONS(2360),
    [anon_sym_switch] = ACTIONS(2360),
    [anon_sym_case] = ACTIONS(2360),
    [anon_sym_default] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2360),
    [anon_sym_do] = ACTIONS(2360),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_return] = ACTIONS(2360),
    [anon_sym_break] = ACTIONS(2360),
    [anon_sym_continue] = ACTIONS(2360),
    [anon_sym_goto] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2362),
    [anon_sym_PLUS_PLUS] = ACTIONS(2362),
    [anon_sym_sizeof] = ACTIONS(2360),
    [anon_sym___alignof__] = ACTIONS(2360),
    [anon_sym___alignof] = ACTIONS(2360),
    [anon_sym__alignof] = ACTIONS(2360),
    [anon_sym_alignof] = ACTIONS(2360),
    [anon_sym__Alignof] = ACTIONS(2360),
    [anon_sym_offsetof] = ACTIONS(2360),
    [anon_sym__Generic] = ACTIONS(2360),
    [anon_sym_asm] = ACTIONS(2360),
    [anon_sym___asm__] = ACTIONS(2360),
    [anon_sym___asm] = ACTIONS(2360),
    [sym_number_literal] = ACTIONS(2362),
    [anon_sym_L_SQUOTE] = ACTIONS(2362),
    [anon_sym_u_SQUOTE] = ACTIONS(2362),
    [anon_sym_U_SQUOTE] = ACTIONS(2362),
    [anon_sym_u8_SQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE] = ACTIONS(2362),
    [anon_sym_AT] = ACTIONS(2360),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [anon_sym_L_DQUOTE] = ACTIONS(2362),
    [anon_sym_u_DQUOTE] = ACTIONS(2362),
    [anon_sym_U_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8_DQUOTE] = ACTIONS(2362),
    [sym_true] = ACTIONS(2360),
    [sym_false] = ACTIONS(2360),
    [anon_sym_NULL] = ACTIONS(2360),
    [anon_sym_nullptr] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2360),
    [anon_sym___typeof] = ACTIONS(2360),
    [anon_sym_typeof] = ACTIONS(2360),
    [anon_sym_ATimport] = ACTIONS(2362),
    [aux_sym_preproc_undef_token1] = ACTIONS(2360),
    [anon_sym_POUND] = ACTIONS(2360),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2360),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2360),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2360),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2360),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2360),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2360),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2360),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2360),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2360),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_API_AVAILABLE] = ACTIONS(2360),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_API_DEPRECATED] = ACTIONS(2360),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2360),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2360),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2360),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2360),
    [anon_sym___deprecated_msg] = ACTIONS(2360),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2360),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2360),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2360),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2360),
    [anon_sym_ATprotocol] = ACTIONS(2362),
    [anon_sym_ATinterface] = ACTIONS(2362),
    [anon_sym_ATimplementation] = ACTIONS(2362),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2362),
    [anon_sym_ATtry] = ACTIONS(2362),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym_ATcatch] = ACTIONS(2362),
    [anon_sym___catch] = ACTIONS(2360),
    [anon_sym_ATfinally] = ACTIONS(2362),
    [anon_sym___finally] = ACTIONS(2360),
    [anon_sym_ATthrow] = ACTIONS(2362),
    [anon_sym_ATselector] = ACTIONS(2362),
    [anon_sym_ATavailable] = ACTIONS(2362),
    [anon_sym___builtin_available] = ACTIONS(2360),
    [anon_sym_va_arg] = ACTIONS(2360),
    [anon_sym_ATencode] = ACTIONS(2362),
    [anon_sym_ATsynchronized] = ACTIONS(2362),
    [anon_sym_BOOL] = ACTIONS(2360),
    [anon_sym_IMP] = ACTIONS(2360),
    [anon_sym_SEL] = ACTIONS(2360),
    [anon_sym_Class] = ACTIONS(2360),
    [anon_sym_id] = ACTIONS(2360),
  },
  [403] = {
    [sym_identifier] = ACTIONS(2416),
    [aux_sym_preproc_include_token1] = ACTIONS(2416),
    [aux_sym_preproc_include_token2] = ACTIONS(2416),
    [aux_sym_preproc_def_token1] = ACTIONS(2416),
    [aux_sym_preproc_if_token1] = ACTIONS(2416),
    [aux_sym_preproc_if_token2] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2416),
    [aux_sym_preproc_else_token1] = ACTIONS(2416),
    [aux_sym_preproc_elif_token1] = ACTIONS(2416),
    [sym_preproc_directive] = ACTIONS(2416),
    [anon_sym_LPAREN2] = ACTIONS(2418),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2418),
    [anon_sym_CARET] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym___extension__] = ACTIONS(2416),
    [anon_sym_typedef] = ACTIONS(2416),
    [anon_sym_extern] = ACTIONS(2416),
    [anon_sym___attribute__] = ACTIONS(2416),
    [anon_sym___attribute] = ACTIONS(2416),
    [anon_sym_noreturn] = ACTIONS(2416),
    [anon_sym_LBRACK] = ACTIONS(2418),
    [anon_sym___declspec] = ACTIONS(2416),
    [anon_sym___cdecl] = ACTIONS(2416),
    [anon_sym___clrcall] = ACTIONS(2416),
    [anon_sym___stdcall] = ACTIONS(2416),
    [anon_sym___fastcall] = ACTIONS(2416),
    [anon_sym___thiscall] = ACTIONS(2416),
    [anon_sym___vectorcall] = ACTIONS(2416),
    [anon_sym_LBRACE] = ACTIONS(2418),
    [anon_sym_signed] = ACTIONS(2416),
    [anon_sym_unsigned] = ACTIONS(2416),
    [anon_sym_long] = ACTIONS(2416),
    [anon_sym_short] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_ATautoreleasepool] = ACTIONS(2418),
    [anon_sym_auto] = ACTIONS(2416),
    [anon_sym_register] = ACTIONS(2416),
    [anon_sym_inline] = ACTIONS(2416),
    [anon_sym___inline] = ACTIONS(2416),
    [anon_sym___inline__] = ACTIONS(2416),
    [anon_sym___forceinline] = ACTIONS(2416),
    [anon_sym_thread_local] = ACTIONS(2416),
    [anon_sym___thread] = ACTIONS(2416),
    [anon_sym_CG_EXTERN] = ACTIONS(2416),
    [anon_sym_CG_INLINE] = ACTIONS(2416),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2416),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2416),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2416),
    [anon_sym_IBOutlet] = ACTIONS(2416),
    [anon_sym_IBInspectable] = ACTIONS(2416),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2416),
    [anon_sym_NS_INLINE] = ACTIONS(2416),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2416),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2416),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2416),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2416),
    [anon_sym_const] = ACTIONS(2416),
    [anon_sym_constexpr] = ACTIONS(2416),
    [anon_sym_volatile] = ACTIONS(2416),
    [anon_sym_restrict] = ACTIONS(2416),
    [anon_sym___restrict__] = ACTIONS(2416),
    [anon_sym__Atomic] = ACTIONS(2416),
    [anon_sym__Noreturn] = ACTIONS(2416),
    [anon_sym__Nonnull] = ACTIONS(2416),
    [anon_sym_nullable] = ACTIONS(2416),
    [anon_sym__Complex] = ACTIONS(2416),
    [anon_sym__Nullable] = ACTIONS(2416),
    [anon_sym__Nullable_result] = ACTIONS(2416),
    [anon_sym__Null_unspecified] = ACTIONS(2416),
    [anon_sym___autoreleasing] = ACTIONS(2416),
    [anon_sym___block] = ACTIONS(2416),
    [anon_sym___bridge] = ACTIONS(2416),
    [anon_sym___bridge_retained] = ACTIONS(2416),
    [anon_sym___bridge_transfer] = ACTIONS(2416),
    [anon_sym___complex] = ACTIONS(2416),
    [anon_sym___const] = ACTIONS(2416),
    [anon_sym___imag] = ACTIONS(2416),
    [anon_sym___kindof] = ACTIONS(2416),
    [anon_sym___nonnull] = ACTIONS(2416),
    [anon_sym___nullable] = ACTIONS(2416),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2416),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2416),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2416),
    [anon_sym___real] = ACTIONS(2416),
    [anon_sym___strong] = ACTIONS(2416),
    [anon_sym___unsafe_unretained] = ACTIONS(2416),
    [anon_sym___unused] = ACTIONS(2416),
    [anon_sym___weak] = ACTIONS(2416),
    [anon_sym_alignas] = ACTIONS(2416),
    [anon_sym__Alignas] = ACTIONS(2416),
    [sym_primitive_type] = ACTIONS(2416),
    [anon_sym_enum] = ACTIONS(2416),
    [anon_sym_struct] = ACTIONS(2416),
    [anon_sym_union] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(2416),
    [anon_sym_else] = ACTIONS(2416),
    [anon_sym_switch] = ACTIONS(2416),
    [anon_sym_case] = ACTIONS(2416),
    [anon_sym_default] = ACTIONS(2416),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(2416),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2416),
    [anon_sym_continue] = ACTIONS(2416),
    [anon_sym_goto] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_sizeof] = ACTIONS(2416),
    [anon_sym___alignof__] = ACTIONS(2416),
    [anon_sym___alignof] = ACTIONS(2416),
    [anon_sym__alignof] = ACTIONS(2416),
    [anon_sym_alignof] = ACTIONS(2416),
    [anon_sym__Alignof] = ACTIONS(2416),
    [anon_sym_offsetof] = ACTIONS(2416),
    [anon_sym__Generic] = ACTIONS(2416),
    [anon_sym_asm] = ACTIONS(2416),
    [anon_sym___asm__] = ACTIONS(2416),
    [anon_sym___asm] = ACTIONS(2416),
    [sym_number_literal] = ACTIONS(2418),
    [anon_sym_L_SQUOTE] = ACTIONS(2418),
    [anon_sym_u_SQUOTE] = ACTIONS(2418),
    [anon_sym_U_SQUOTE] = ACTIONS(2418),
    [anon_sym_u8_SQUOTE] = ACTIONS(2418),
    [anon_sym_SQUOTE] = ACTIONS(2418),
    [anon_sym_AT] = ACTIONS(2416),
    [anon_sym_DQUOTE] = ACTIONS(2418),
    [anon_sym_L_DQUOTE] = ACTIONS(2418),
    [anon_sym_u_DQUOTE] = ACTIONS(2418),
    [anon_sym_U_DQUOTE] = ACTIONS(2418),
    [anon_sym_u8_DQUOTE] = ACTIONS(2418),
    [sym_true] = ACTIONS(2416),
    [sym_false] = ACTIONS(2416),
    [anon_sym_NULL] = ACTIONS(2416),
    [anon_sym_nullptr] = ACTIONS(2416),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2416),
    [anon_sym___typeof] = ACTIONS(2416),
    [anon_sym_typeof] = ACTIONS(2416),
    [anon_sym_ATimport] = ACTIONS(2418),
    [aux_sym_preproc_undef_token1] = ACTIONS(2416),
    [anon_sym_POUND] = ACTIONS(2416),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2416),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2416),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2416),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2416),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2416),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2416),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2416),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2416),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2416),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_API_AVAILABLE] = ACTIONS(2416),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_API_DEPRECATED] = ACTIONS(2416),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2416),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2416),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2416),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2416),
    [anon_sym___deprecated_msg] = ACTIONS(2416),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2416),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2416),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2416),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2416),
    [anon_sym_ATprotocol] = ACTIONS(2418),
    [anon_sym_ATinterface] = ACTIONS(2418),
    [anon_sym_ATimplementation] = ACTIONS(2418),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2418),
    [anon_sym_ATsynthesize] = ACTIONS(2418),
    [anon_sym_ATdynamic] = ACTIONS(2418),
    [anon_sym_ATtry] = ACTIONS(2418),
    [anon_sym___try] = ACTIONS(2416),
    [anon_sym_ATthrow] = ACTIONS(2418),
    [anon_sym_ATselector] = ACTIONS(2418),
    [anon_sym_ATavailable] = ACTIONS(2418),
    [anon_sym___builtin_available] = ACTIONS(2416),
    [anon_sym_va_arg] = ACTIONS(2416),
    [anon_sym_ATencode] = ACTIONS(2418),
    [anon_sym_ATsynchronized] = ACTIONS(2418),
    [anon_sym_BOOL] = ACTIONS(2416),
    [anon_sym_IMP] = ACTIONS(2416),
    [anon_sym_SEL] = ACTIONS(2416),
    [anon_sym_Class] = ACTIONS(2416),
    [anon_sym_id] = ACTIONS(2416),
  },
  [404] = {
    [sym_identifier] = ACTIONS(2432),
    [aux_sym_preproc_include_token1] = ACTIONS(2432),
    [aux_sym_preproc_include_token2] = ACTIONS(2432),
    [aux_sym_preproc_def_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token2] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2432),
    [aux_sym_preproc_else_token1] = ACTIONS(2432),
    [aux_sym_preproc_elif_token1] = ACTIONS(2432),
    [sym_preproc_directive] = ACTIONS(2432),
    [anon_sym_LPAREN2] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_CARET] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym___extension__] = ACTIONS(2432),
    [anon_sym_typedef] = ACTIONS(2432),
    [anon_sym_extern] = ACTIONS(2432),
    [anon_sym___attribute__] = ACTIONS(2432),
    [anon_sym___attribute] = ACTIONS(2432),
    [anon_sym_noreturn] = ACTIONS(2432),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym___declspec] = ACTIONS(2432),
    [anon_sym___cdecl] = ACTIONS(2432),
    [anon_sym___clrcall] = ACTIONS(2432),
    [anon_sym___stdcall] = ACTIONS(2432),
    [anon_sym___fastcall] = ACTIONS(2432),
    [anon_sym___thiscall] = ACTIONS(2432),
    [anon_sym___vectorcall] = ACTIONS(2432),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_signed] = ACTIONS(2432),
    [anon_sym_unsigned] = ACTIONS(2432),
    [anon_sym_long] = ACTIONS(2432),
    [anon_sym_short] = ACTIONS(2432),
    [anon_sym_static] = ACTIONS(2432),
    [anon_sym_ATautoreleasepool] = ACTIONS(2434),
    [anon_sym_auto] = ACTIONS(2432),
    [anon_sym_register] = ACTIONS(2432),
    [anon_sym_inline] = ACTIONS(2432),
    [anon_sym___inline] = ACTIONS(2432),
    [anon_sym___inline__] = ACTIONS(2432),
    [anon_sym___forceinline] = ACTIONS(2432),
    [anon_sym_thread_local] = ACTIONS(2432),
    [anon_sym___thread] = ACTIONS(2432),
    [anon_sym_CG_EXTERN] = ACTIONS(2432),
    [anon_sym_CG_INLINE] = ACTIONS(2432),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2432),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2432),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2432),
    [anon_sym_IBOutlet] = ACTIONS(2432),
    [anon_sym_IBInspectable] = ACTIONS(2432),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2432),
    [anon_sym_NS_INLINE] = ACTIONS(2432),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2432),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2432),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2432),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2432),
    [anon_sym_const] = ACTIONS(2432),
    [anon_sym_constexpr] = ACTIONS(2432),
    [anon_sym_volatile] = ACTIONS(2432),
    [anon_sym_restrict] = ACTIONS(2432),
    [anon_sym___restrict__] = ACTIONS(2432),
    [anon_sym__Atomic] = ACTIONS(2432),
    [anon_sym__Noreturn] = ACTIONS(2432),
    [anon_sym__Nonnull] = ACTIONS(2432),
    [anon_sym_nullable] = ACTIONS(2432),
    [anon_sym__Complex] = ACTIONS(2432),
    [anon_sym__Nullable] = ACTIONS(2432),
    [anon_sym__Nullable_result] = ACTIONS(2432),
    [anon_sym__Null_unspecified] = ACTIONS(2432),
    [anon_sym___autoreleasing] = ACTIONS(2432),
    [anon_sym___block] = ACTIONS(2432),
    [anon_sym___bridge] = ACTIONS(2432),
    [anon_sym___bridge_retained] = ACTIONS(2432),
    [anon_sym___bridge_transfer] = ACTIONS(2432),
    [anon_sym___complex] = ACTIONS(2432),
    [anon_sym___const] = ACTIONS(2432),
    [anon_sym___imag] = ACTIONS(2432),
    [anon_sym___kindof] = ACTIONS(2432),
    [anon_sym___nonnull] = ACTIONS(2432),
    [anon_sym___nullable] = ACTIONS(2432),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2432),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2432),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2432),
    [anon_sym___real] = ACTIONS(2432),
    [anon_sym___strong] = ACTIONS(2432),
    [anon_sym___unsafe_unretained] = ACTIONS(2432),
    [anon_sym___unused] = ACTIONS(2432),
    [anon_sym___weak] = ACTIONS(2432),
    [anon_sym_alignas] = ACTIONS(2432),
    [anon_sym__Alignas] = ACTIONS(2432),
    [sym_primitive_type] = ACTIONS(2432),
    [anon_sym_enum] = ACTIONS(2432),
    [anon_sym_struct] = ACTIONS(2432),
    [anon_sym_union] = ACTIONS(2432),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_else] = ACTIONS(2432),
    [anon_sym_switch] = ACTIONS(2432),
    [anon_sym_case] = ACTIONS(2432),
    [anon_sym_default] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2432),
    [anon_sym_in] = ACTIONS(2432),
    [anon_sym_return] = ACTIONS(2432),
    [anon_sym_break] = ACTIONS(2432),
    [anon_sym_continue] = ACTIONS(2432),
    [anon_sym_goto] = ACTIONS(2432),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2432),
    [anon_sym___alignof] = ACTIONS(2432),
    [anon_sym__alignof] = ACTIONS(2432),
    [anon_sym_alignof] = ACTIONS(2432),
    [anon_sym__Alignof] = ACTIONS(2432),
    [anon_sym_offsetof] = ACTIONS(2432),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2432),
    [anon_sym___asm__] = ACTIONS(2432),
    [anon_sym___asm] = ACTIONS(2432),
    [sym_number_literal] = ACTIONS(2434),
    [anon_sym_L_SQUOTE] = ACTIONS(2434),
    [anon_sym_u_SQUOTE] = ACTIONS(2434),
    [anon_sym_U_SQUOTE] = ACTIONS(2434),
    [anon_sym_u8_SQUOTE] = ACTIONS(2434),
    [anon_sym_SQUOTE] = ACTIONS(2434),
    [anon_sym_AT] = ACTIONS(2432),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_L_DQUOTE] = ACTIONS(2434),
    [anon_sym_u_DQUOTE] = ACTIONS(2434),
    [anon_sym_U_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8_DQUOTE] = ACTIONS(2434),
    [sym_true] = ACTIONS(2432),
    [sym_false] = ACTIONS(2432),
    [anon_sym_NULL] = ACTIONS(2432),
    [anon_sym_nullptr] = ACTIONS(2432),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2432),
    [anon_sym___typeof] = ACTIONS(2432),
    [anon_sym_typeof] = ACTIONS(2432),
    [anon_sym_ATimport] = ACTIONS(2434),
    [aux_sym_preproc_undef_token1] = ACTIONS(2432),
    [anon_sym_POUND] = ACTIONS(2432),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2432),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2432),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2432),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2432),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2432),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2432),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2432),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2432),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2432),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_API_AVAILABLE] = ACTIONS(2432),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_API_DEPRECATED] = ACTIONS(2432),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2432),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2432),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2432),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2432),
    [anon_sym___deprecated_msg] = ACTIONS(2432),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2432),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2432),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2432),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2432),
    [anon_sym_ATprotocol] = ACTIONS(2434),
    [anon_sym_ATinterface] = ACTIONS(2434),
    [anon_sym_ATimplementation] = ACTIONS(2434),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2434),
    [anon_sym_ATsynthesize] = ACTIONS(2434),
    [anon_sym_ATdynamic] = ACTIONS(2434),
    [anon_sym_ATtry] = ACTIONS(2434),
    [anon_sym___try] = ACTIONS(2432),
    [anon_sym_ATthrow] = ACTIONS(2434),
    [anon_sym_ATselector] = ACTIONS(2434),
    [anon_sym_ATavailable] = ACTIONS(2434),
    [anon_sym___builtin_available] = ACTIONS(2432),
    [anon_sym_va_arg] = ACTIONS(2432),
    [anon_sym_ATencode] = ACTIONS(2434),
    [anon_sym_ATsynchronized] = ACTIONS(2434),
    [anon_sym_BOOL] = ACTIONS(2432),
    [anon_sym_IMP] = ACTIONS(2432),
    [anon_sym_SEL] = ACTIONS(2432),
    [anon_sym_Class] = ACTIONS(2432),
    [anon_sym_id] = ACTIONS(2432),
  },
  [405] = {
    [sym_identifier] = ACTIONS(2440),
    [aux_sym_preproc_include_token1] = ACTIONS(2440),
    [aux_sym_preproc_include_token2] = ACTIONS(2440),
    [aux_sym_preproc_def_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token2] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2440),
    [aux_sym_preproc_else_token1] = ACTIONS(2440),
    [aux_sym_preproc_elif_token1] = ACTIONS(2440),
    [sym_preproc_directive] = ACTIONS(2440),
    [anon_sym_LPAREN2] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_CARET] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym___extension__] = ACTIONS(2440),
    [anon_sym_typedef] = ACTIONS(2440),
    [anon_sym_extern] = ACTIONS(2440),
    [anon_sym___attribute__] = ACTIONS(2440),
    [anon_sym___attribute] = ACTIONS(2440),
    [anon_sym_noreturn] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym___declspec] = ACTIONS(2440),
    [anon_sym___cdecl] = ACTIONS(2440),
    [anon_sym___clrcall] = ACTIONS(2440),
    [anon_sym___stdcall] = ACTIONS(2440),
    [anon_sym___fastcall] = ACTIONS(2440),
    [anon_sym___thiscall] = ACTIONS(2440),
    [anon_sym___vectorcall] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_signed] = ACTIONS(2440),
    [anon_sym_unsigned] = ACTIONS(2440),
    [anon_sym_long] = ACTIONS(2440),
    [anon_sym_short] = ACTIONS(2440),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_ATautoreleasepool] = ACTIONS(2442),
    [anon_sym_auto] = ACTIONS(2440),
    [anon_sym_register] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(2440),
    [anon_sym___inline] = ACTIONS(2440),
    [anon_sym___inline__] = ACTIONS(2440),
    [anon_sym___forceinline] = ACTIONS(2440),
    [anon_sym_thread_local] = ACTIONS(2440),
    [anon_sym___thread] = ACTIONS(2440),
    [anon_sym_CG_EXTERN] = ACTIONS(2440),
    [anon_sym_CG_INLINE] = ACTIONS(2440),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2440),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2440),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2440),
    [anon_sym_IBOutlet] = ACTIONS(2440),
    [anon_sym_IBInspectable] = ACTIONS(2440),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2440),
    [anon_sym_NS_INLINE] = ACTIONS(2440),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2440),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2440),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2440),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2440),
    [anon_sym_const] = ACTIONS(2440),
    [anon_sym_constexpr] = ACTIONS(2440),
    [anon_sym_volatile] = ACTIONS(2440),
    [anon_sym_restrict] = ACTIONS(2440),
    [anon_sym___restrict__] = ACTIONS(2440),
    [anon_sym__Atomic] = ACTIONS(2440),
    [anon_sym__Noreturn] = ACTIONS(2440),
    [anon_sym__Nonnull] = ACTIONS(2440),
    [anon_sym_nullable] = ACTIONS(2440),
    [anon_sym__Complex] = ACTIONS(2440),
    [anon_sym__Nullable] = ACTIONS(2440),
    [anon_sym__Nullable_result] = ACTIONS(2440),
    [anon_sym__Null_unspecified] = ACTIONS(2440),
    [anon_sym___autoreleasing] = ACTIONS(2440),
    [anon_sym___block] = ACTIONS(2440),
    [anon_sym___bridge] = ACTIONS(2440),
    [anon_sym___bridge_retained] = ACTIONS(2440),
    [anon_sym___bridge_transfer] = ACTIONS(2440),
    [anon_sym___complex] = ACTIONS(2440),
    [anon_sym___const] = ACTIONS(2440),
    [anon_sym___imag] = ACTIONS(2440),
    [anon_sym___kindof] = ACTIONS(2440),
    [anon_sym___nonnull] = ACTIONS(2440),
    [anon_sym___nullable] = ACTIONS(2440),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2440),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2440),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2440),
    [anon_sym___real] = ACTIONS(2440),
    [anon_sym___strong] = ACTIONS(2440),
    [anon_sym___unsafe_unretained] = ACTIONS(2440),
    [anon_sym___unused] = ACTIONS(2440),
    [anon_sym___weak] = ACTIONS(2440),
    [anon_sym_alignas] = ACTIONS(2440),
    [anon_sym__Alignas] = ACTIONS(2440),
    [sym_primitive_type] = ACTIONS(2440),
    [anon_sym_enum] = ACTIONS(2440),
    [anon_sym_struct] = ACTIONS(2440),
    [anon_sym_union] = ACTIONS(2440),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_else] = ACTIONS(2440),
    [anon_sym_switch] = ACTIONS(2440),
    [anon_sym_case] = ACTIONS(2440),
    [anon_sym_default] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2440),
    [anon_sym_do] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2440),
    [anon_sym_in] = ACTIONS(2440),
    [anon_sym_return] = ACTIONS(2440),
    [anon_sym_break] = ACTIONS(2440),
    [anon_sym_continue] = ACTIONS(2440),
    [anon_sym_goto] = ACTIONS(2440),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_sizeof] = ACTIONS(2440),
    [anon_sym___alignof__] = ACTIONS(2440),
    [anon_sym___alignof] = ACTIONS(2440),
    [anon_sym__alignof] = ACTIONS(2440),
    [anon_sym_alignof] = ACTIONS(2440),
    [anon_sym__Alignof] = ACTIONS(2440),
    [anon_sym_offsetof] = ACTIONS(2440),
    [anon_sym__Generic] = ACTIONS(2440),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [anon_sym___asm] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2442),
    [anon_sym_u_SQUOTE] = ACTIONS(2442),
    [anon_sym_U_SQUOTE] = ACTIONS(2442),
    [anon_sym_u8_SQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_AT] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_L_DQUOTE] = ACTIONS(2442),
    [anon_sym_u_DQUOTE] = ACTIONS(2442),
    [anon_sym_U_DQUOTE] = ACTIONS(2442),
    [anon_sym_u8_DQUOTE] = ACTIONS(2442),
    [sym_true] = ACTIONS(2440),
    [sym_false] = ACTIONS(2440),
    [anon_sym_NULL] = ACTIONS(2440),
    [anon_sym_nullptr] = ACTIONS(2440),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2440),
    [anon_sym___typeof] = ACTIONS(2440),
    [anon_sym_typeof] = ACTIONS(2440),
    [anon_sym_ATimport] = ACTIONS(2442),
    [aux_sym_preproc_undef_token1] = ACTIONS(2440),
    [anon_sym_POUND] = ACTIONS(2440),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2440),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2440),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2440),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2440),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2440),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2440),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2440),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2440),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2440),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_API_AVAILABLE] = ACTIONS(2440),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_API_DEPRECATED] = ACTIONS(2440),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2440),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2440),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2440),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2440),
    [anon_sym___deprecated_msg] = ACTIONS(2440),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2440),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2440),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2440),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2440),
    [anon_sym_ATprotocol] = ACTIONS(2442),
    [anon_sym_ATinterface] = ACTIONS(2442),
    [anon_sym_ATimplementation] = ACTIONS(2442),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2442),
    [anon_sym_ATsynthesize] = ACTIONS(2442),
    [anon_sym_ATdynamic] = ACTIONS(2442),
    [anon_sym_ATtry] = ACTIONS(2442),
    [anon_sym___try] = ACTIONS(2440),
    [anon_sym_ATthrow] = ACTIONS(2442),
    [anon_sym_ATselector] = ACTIONS(2442),
    [anon_sym_ATavailable] = ACTIONS(2442),
    [anon_sym___builtin_available] = ACTIONS(2440),
    [anon_sym_va_arg] = ACTIONS(2440),
    [anon_sym_ATencode] = ACTIONS(2442),
    [anon_sym_ATsynchronized] = ACTIONS(2442),
    [anon_sym_BOOL] = ACTIONS(2440),
    [anon_sym_IMP] = ACTIONS(2440),
    [anon_sym_SEL] = ACTIONS(2440),
    [anon_sym_Class] = ACTIONS(2440),
    [anon_sym_id] = ACTIONS(2440),
  },
  [406] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_include_token2] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [aux_sym_preproc_else_token1] = ACTIONS(2444),
    [aux_sym_preproc_elif_token1] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym___attribute] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_ATautoreleasepool] = ACTIONS(2446),
    [anon_sym_auto] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_CG_EXTERN] = ACTIONS(2444),
    [anon_sym_CG_INLINE] = ACTIONS(2444),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2444),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2444),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2444),
    [anon_sym_IBOutlet] = ACTIONS(2444),
    [anon_sym_IBInspectable] = ACTIONS(2444),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2444),
    [anon_sym_NS_INLINE] = ACTIONS(2444),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2444),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2444),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2444),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym__Nonnull] = ACTIONS(2444),
    [anon_sym_nullable] = ACTIONS(2444),
    [anon_sym__Complex] = ACTIONS(2444),
    [anon_sym__Nullable] = ACTIONS(2444),
    [anon_sym__Nullable_result] = ACTIONS(2444),
    [anon_sym__Null_unspecified] = ACTIONS(2444),
    [anon_sym___autoreleasing] = ACTIONS(2444),
    [anon_sym___block] = ACTIONS(2444),
    [anon_sym___bridge] = ACTIONS(2444),
    [anon_sym___bridge_retained] = ACTIONS(2444),
    [anon_sym___bridge_transfer] = ACTIONS(2444),
    [anon_sym___complex] = ACTIONS(2444),
    [anon_sym___const] = ACTIONS(2444),
    [anon_sym___imag] = ACTIONS(2444),
    [anon_sym___kindof] = ACTIONS(2444),
    [anon_sym___nonnull] = ACTIONS(2444),
    [anon_sym___nullable] = ACTIONS(2444),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2444),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2444),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2444),
    [anon_sym___real] = ACTIONS(2444),
    [anon_sym___strong] = ACTIONS(2444),
    [anon_sym___unsafe_unretained] = ACTIONS(2444),
    [anon_sym___unused] = ACTIONS(2444),
    [anon_sym___weak] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym__Alignas] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [anon_sym___asm] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_AT] = ACTIONS(2444),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2444),
    [anon_sym___typeof] = ACTIONS(2444),
    [anon_sym_typeof] = ACTIONS(2444),
    [anon_sym_ATimport] = ACTIONS(2446),
    [aux_sym_preproc_undef_token1] = ACTIONS(2444),
    [anon_sym_POUND] = ACTIONS(2444),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2444),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2444),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2444),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2444),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2444),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2444),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2444),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2444),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2444),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_API_AVAILABLE] = ACTIONS(2444),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_API_DEPRECATED] = ACTIONS(2444),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2444),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2444),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2444),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2444),
    [anon_sym___deprecated_msg] = ACTIONS(2444),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2444),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2444),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2444),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2444),
    [anon_sym_ATprotocol] = ACTIONS(2446),
    [anon_sym_ATinterface] = ACTIONS(2446),
    [anon_sym_ATimplementation] = ACTIONS(2446),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2446),
    [anon_sym_ATsynthesize] = ACTIONS(2446),
    [anon_sym_ATdynamic] = ACTIONS(2446),
    [anon_sym_ATtry] = ACTIONS(2446),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym_ATthrow] = ACTIONS(2446),
    [anon_sym_ATselector] = ACTIONS(2446),
    [anon_sym_ATavailable] = ACTIONS(2446),
    [anon_sym___builtin_available] = ACTIONS(2444),
    [anon_sym_va_arg] = ACTIONS(2444),
    [anon_sym_ATencode] = ACTIONS(2446),
    [anon_sym_ATsynchronized] = ACTIONS(2446),
    [anon_sym_BOOL] = ACTIONS(2444),
    [anon_sym_IMP] = ACTIONS(2444),
    [anon_sym_SEL] = ACTIONS(2444),
    [anon_sym_Class] = ACTIONS(2444),
    [anon_sym_id] = ACTIONS(2444),
  },
  [407] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [408] = {
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_include_token1] = ACTIONS(2478),
    [aux_sym_preproc_include_token2] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token2] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [aux_sym_preproc_else_token1] = ACTIONS(2478),
    [aux_sym_preproc_elif_token1] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_BANG] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_CARET] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2480),
    [anon_sym_SEMI] = ACTIONS(2480),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym___attribute] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___cdecl] = ACTIONS(2478),
    [anon_sym___clrcall] = ACTIONS(2478),
    [anon_sym___stdcall] = ACTIONS(2478),
    [anon_sym___fastcall] = ACTIONS(2478),
    [anon_sym___thiscall] = ACTIONS(2478),
    [anon_sym___vectorcall] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2480),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_ATautoreleasepool] = ACTIONS(2480),
    [anon_sym_auto] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_CG_EXTERN] = ACTIONS(2478),
    [anon_sym_CG_INLINE] = ACTIONS(2478),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2478),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2478),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2478),
    [anon_sym_IBOutlet] = ACTIONS(2478),
    [anon_sym_IBInspectable] = ACTIONS(2478),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2478),
    [anon_sym_NS_INLINE] = ACTIONS(2478),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2478),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2478),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2478),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym__Nonnull] = ACTIONS(2478),
    [anon_sym_nullable] = ACTIONS(2478),
    [anon_sym__Complex] = ACTIONS(2478),
    [anon_sym__Nullable] = ACTIONS(2478),
    [anon_sym__Nullable_result] = ACTIONS(2478),
    [anon_sym__Null_unspecified] = ACTIONS(2478),
    [anon_sym___autoreleasing] = ACTIONS(2478),
    [anon_sym___block] = ACTIONS(2478),
    [anon_sym___bridge] = ACTIONS(2478),
    [anon_sym___bridge_retained] = ACTIONS(2478),
    [anon_sym___bridge_transfer] = ACTIONS(2478),
    [anon_sym___complex] = ACTIONS(2478),
    [anon_sym___const] = ACTIONS(2478),
    [anon_sym___imag] = ACTIONS(2478),
    [anon_sym___kindof] = ACTIONS(2478),
    [anon_sym___nonnull] = ACTIONS(2478),
    [anon_sym___nullable] = ACTIONS(2478),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2478),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2478),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2478),
    [anon_sym___real] = ACTIONS(2478),
    [anon_sym___strong] = ACTIONS(2478),
    [anon_sym___unsafe_unretained] = ACTIONS(2478),
    [anon_sym___unused] = ACTIONS(2478),
    [anon_sym___weak] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym__Alignas] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_else] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_case] = ACTIONS(2478),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_in] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_goto] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2480),
    [anon_sym_PLUS_PLUS] = ACTIONS(2480),
    [anon_sym_sizeof] = ACTIONS(2478),
    [anon_sym___alignof__] = ACTIONS(2478),
    [anon_sym___alignof] = ACTIONS(2478),
    [anon_sym__alignof] = ACTIONS(2478),
    [anon_sym_alignof] = ACTIONS(2478),
    [anon_sym__Alignof] = ACTIONS(2478),
    [anon_sym_offsetof] = ACTIONS(2478),
    [anon_sym__Generic] = ACTIONS(2478),
    [anon_sym_asm] = ACTIONS(2478),
    [anon_sym___asm__] = ACTIONS(2478),
    [anon_sym___asm] = ACTIONS(2478),
    [sym_number_literal] = ACTIONS(2480),
    [anon_sym_L_SQUOTE] = ACTIONS(2480),
    [anon_sym_u_SQUOTE] = ACTIONS(2480),
    [anon_sym_U_SQUOTE] = ACTIONS(2480),
    [anon_sym_u8_SQUOTE] = ACTIONS(2480),
    [anon_sym_SQUOTE] = ACTIONS(2480),
    [anon_sym_AT] = ACTIONS(2478),
    [anon_sym_DQUOTE] = ACTIONS(2480),
    [anon_sym_L_DQUOTE] = ACTIONS(2480),
    [anon_sym_u_DQUOTE] = ACTIONS(2480),
    [anon_sym_U_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8_DQUOTE] = ACTIONS(2480),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2478),
    [anon_sym_nullptr] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2478),
    [anon_sym___typeof] = ACTIONS(2478),
    [anon_sym_typeof] = ACTIONS(2478),
    [anon_sym_ATimport] = ACTIONS(2480),
    [aux_sym_preproc_undef_token1] = ACTIONS(2478),
    [anon_sym_POUND] = ACTIONS(2478),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2478),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2478),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2478),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2478),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2478),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2478),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2478),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2478),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2478),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_API_AVAILABLE] = ACTIONS(2478),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_API_DEPRECATED] = ACTIONS(2478),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2478),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2478),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2478),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2478),
    [anon_sym___deprecated_msg] = ACTIONS(2478),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2478),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2478),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2478),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2478),
    [anon_sym_ATprotocol] = ACTIONS(2480),
    [anon_sym_ATinterface] = ACTIONS(2480),
    [anon_sym_ATimplementation] = ACTIONS(2480),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2480),
    [anon_sym_ATsynthesize] = ACTIONS(2480),
    [anon_sym_ATdynamic] = ACTIONS(2480),
    [anon_sym_ATtry] = ACTIONS(2480),
    [anon_sym___try] = ACTIONS(2478),
    [anon_sym_ATthrow] = ACTIONS(2480),
    [anon_sym_ATselector] = ACTIONS(2480),
    [anon_sym_ATavailable] = ACTIONS(2480),
    [anon_sym___builtin_available] = ACTIONS(2478),
    [anon_sym_va_arg] = ACTIONS(2478),
    [anon_sym_ATencode] = ACTIONS(2480),
    [anon_sym_ATsynchronized] = ACTIONS(2480),
    [anon_sym_BOOL] = ACTIONS(2478),
    [anon_sym_IMP] = ACTIONS(2478),
    [anon_sym_SEL] = ACTIONS(2478),
    [anon_sym_Class] = ACTIONS(2478),
    [anon_sym_id] = ACTIONS(2478),
  },
  [409] = {
    [sym_identifier] = ACTIONS(2482),
    [aux_sym_preproc_include_token1] = ACTIONS(2482),
    [aux_sym_preproc_include_token2] = ACTIONS(2482),
    [aux_sym_preproc_def_token1] = ACTIONS(2482),
    [aux_sym_preproc_if_token1] = ACTIONS(2482),
    [aux_sym_preproc_if_token2] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2482),
    [aux_sym_preproc_else_token1] = ACTIONS(2482),
    [aux_sym_preproc_elif_token1] = ACTIONS(2482),
    [sym_preproc_directive] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(2484),
    [anon_sym_BANG] = ACTIONS(2484),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_DASH] = ACTIONS(2482),
    [anon_sym_PLUS] = ACTIONS(2482),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_CARET] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_SEMI] = ACTIONS(2484),
    [anon_sym___extension__] = ACTIONS(2482),
    [anon_sym_typedef] = ACTIONS(2482),
    [anon_sym_extern] = ACTIONS(2482),
    [anon_sym___attribute__] = ACTIONS(2482),
    [anon_sym___attribute] = ACTIONS(2482),
    [anon_sym_noreturn] = ACTIONS(2482),
    [anon_sym_LBRACK] = ACTIONS(2484),
    [anon_sym___declspec] = ACTIONS(2482),
    [anon_sym___cdecl] = ACTIONS(2482),
    [anon_sym___clrcall] = ACTIONS(2482),
    [anon_sym___stdcall] = ACTIONS(2482),
    [anon_sym___fastcall] = ACTIONS(2482),
    [anon_sym___thiscall] = ACTIONS(2482),
    [anon_sym___vectorcall] = ACTIONS(2482),
    [anon_sym_LBRACE] = ACTIONS(2484),
    [anon_sym_signed] = ACTIONS(2482),
    [anon_sym_unsigned] = ACTIONS(2482),
    [anon_sym_long] = ACTIONS(2482),
    [anon_sym_short] = ACTIONS(2482),
    [anon_sym_static] = ACTIONS(2482),
    [anon_sym_ATautoreleasepool] = ACTIONS(2484),
    [anon_sym_auto] = ACTIONS(2482),
    [anon_sym_register] = ACTIONS(2482),
    [anon_sym_inline] = ACTIONS(2482),
    [anon_sym___inline] = ACTIONS(2482),
    [anon_sym___inline__] = ACTIONS(2482),
    [anon_sym___forceinline] = ACTIONS(2482),
    [anon_sym_thread_local] = ACTIONS(2482),
    [anon_sym___thread] = ACTIONS(2482),
    [anon_sym_CG_EXTERN] = ACTIONS(2482),
    [anon_sym_CG_INLINE] = ACTIONS(2482),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2482),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2482),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2482),
    [anon_sym_IBOutlet] = ACTIONS(2482),
    [anon_sym_IBInspectable] = ACTIONS(2482),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2482),
    [anon_sym_NS_INLINE] = ACTIONS(2482),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2482),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2482),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2482),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2482),
    [anon_sym_const] = ACTIONS(2482),
    [anon_sym_constexpr] = ACTIONS(2482),
    [anon_sym_volatile] = ACTIONS(2482),
    [anon_sym_restrict] = ACTIONS(2482),
    [anon_sym___restrict__] = ACTIONS(2482),
    [anon_sym__Atomic] = ACTIONS(2482),
    [anon_sym__Noreturn] = ACTIONS(2482),
    [anon_sym__Nonnull] = ACTIONS(2482),
    [anon_sym_nullable] = ACTIONS(2482),
    [anon_sym__Complex] = ACTIONS(2482),
    [anon_sym__Nullable] = ACTIONS(2482),
    [anon_sym__Nullable_result] = ACTIONS(2482),
    [anon_sym__Null_unspecified] = ACTIONS(2482),
    [anon_sym___autoreleasing] = ACTIONS(2482),
    [anon_sym___block] = ACTIONS(2482),
    [anon_sym___bridge] = ACTIONS(2482),
    [anon_sym___bridge_retained] = ACTIONS(2482),
    [anon_sym___bridge_transfer] = ACTIONS(2482),
    [anon_sym___complex] = ACTIONS(2482),
    [anon_sym___const] = ACTIONS(2482),
    [anon_sym___imag] = ACTIONS(2482),
    [anon_sym___kindof] = ACTIONS(2482),
    [anon_sym___nonnull] = ACTIONS(2482),
    [anon_sym___nullable] = ACTIONS(2482),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2482),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2482),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2482),
    [anon_sym___real] = ACTIONS(2482),
    [anon_sym___strong] = ACTIONS(2482),
    [anon_sym___unsafe_unretained] = ACTIONS(2482),
    [anon_sym___unused] = ACTIONS(2482),
    [anon_sym___weak] = ACTIONS(2482),
    [anon_sym_alignas] = ACTIONS(2482),
    [anon_sym__Alignas] = ACTIONS(2482),
    [sym_primitive_type] = ACTIONS(2482),
    [anon_sym_enum] = ACTIONS(2482),
    [anon_sym_struct] = ACTIONS(2482),
    [anon_sym_union] = ACTIONS(2482),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_else] = ACTIONS(2482),
    [anon_sym_switch] = ACTIONS(2482),
    [anon_sym_case] = ACTIONS(2482),
    [anon_sym_default] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2482),
    [anon_sym_do] = ACTIONS(2482),
    [anon_sym_for] = ACTIONS(2482),
    [anon_sym_in] = ACTIONS(2482),
    [anon_sym_return] = ACTIONS(2482),
    [anon_sym_break] = ACTIONS(2482),
    [anon_sym_continue] = ACTIONS(2482),
    [anon_sym_goto] = ACTIONS(2482),
    [anon_sym_DASH_DASH] = ACTIONS(2484),
    [anon_sym_PLUS_PLUS] = ACTIONS(2484),
    [anon_sym_sizeof] = ACTIONS(2482),
    [anon_sym___alignof__] = ACTIONS(2482),
    [anon_sym___alignof] = ACTIONS(2482),
    [anon_sym__alignof] = ACTIONS(2482),
    [anon_sym_alignof] = ACTIONS(2482),
    [anon_sym__Alignof] = ACTIONS(2482),
    [anon_sym_offsetof] = ACTIONS(2482),
    [anon_sym__Generic] = ACTIONS(2482),
    [anon_sym_asm] = ACTIONS(2482),
    [anon_sym___asm__] = ACTIONS(2482),
    [anon_sym___asm] = ACTIONS(2482),
    [sym_number_literal] = ACTIONS(2484),
    [anon_sym_L_SQUOTE] = ACTIONS(2484),
    [anon_sym_u_SQUOTE] = ACTIONS(2484),
    [anon_sym_U_SQUOTE] = ACTIONS(2484),
    [anon_sym_u8_SQUOTE] = ACTIONS(2484),
    [anon_sym_SQUOTE] = ACTIONS(2484),
    [anon_sym_AT] = ACTIONS(2482),
    [anon_sym_DQUOTE] = ACTIONS(2484),
    [anon_sym_L_DQUOTE] = ACTIONS(2484),
    [anon_sym_u_DQUOTE] = ACTIONS(2484),
    [anon_sym_U_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8_DQUOTE] = ACTIONS(2484),
    [sym_true] = ACTIONS(2482),
    [sym_false] = ACTIONS(2482),
    [anon_sym_NULL] = ACTIONS(2482),
    [anon_sym_nullptr] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2482),
    [anon_sym___typeof] = ACTIONS(2482),
    [anon_sym_typeof] = ACTIONS(2482),
    [anon_sym_ATimport] = ACTIONS(2484),
    [aux_sym_preproc_undef_token1] = ACTIONS(2482),
    [anon_sym_POUND] = ACTIONS(2482),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2482),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2482),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2482),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2482),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2482),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2482),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2482),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2482),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2482),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_API_AVAILABLE] = ACTIONS(2482),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_API_DEPRECATED] = ACTIONS(2482),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2482),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2482),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2482),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2482),
    [anon_sym___deprecated_msg] = ACTIONS(2482),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2482),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2482),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2482),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2482),
    [anon_sym_ATprotocol] = ACTIONS(2484),
    [anon_sym_ATinterface] = ACTIONS(2484),
    [anon_sym_ATimplementation] = ACTIONS(2484),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2484),
    [anon_sym_ATsynthesize] = ACTIONS(2484),
    [anon_sym_ATdynamic] = ACTIONS(2484),
    [anon_sym_ATtry] = ACTIONS(2484),
    [anon_sym___try] = ACTIONS(2482),
    [anon_sym_ATthrow] = ACTIONS(2484),
    [anon_sym_ATselector] = ACTIONS(2484),
    [anon_sym_ATavailable] = ACTIONS(2484),
    [anon_sym___builtin_available] = ACTIONS(2482),
    [anon_sym_va_arg] = ACTIONS(2482),
    [anon_sym_ATencode] = ACTIONS(2484),
    [anon_sym_ATsynchronized] = ACTIONS(2484),
    [anon_sym_BOOL] = ACTIONS(2482),
    [anon_sym_IMP] = ACTIONS(2482),
    [anon_sym_SEL] = ACTIONS(2482),
    [anon_sym_Class] = ACTIONS(2482),
    [anon_sym_id] = ACTIONS(2482),
  },
  [410] = {
    [sym_identifier] = ACTIONS(2490),
    [aux_sym_preproc_include_token1] = ACTIONS(2490),
    [aux_sym_preproc_include_token2] = ACTIONS(2490),
    [aux_sym_preproc_def_token1] = ACTIONS(2490),
    [aux_sym_preproc_if_token1] = ACTIONS(2490),
    [aux_sym_preproc_if_token2] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2490),
    [aux_sym_preproc_else_token1] = ACTIONS(2490),
    [aux_sym_preproc_elif_token1] = ACTIONS(2490),
    [sym_preproc_directive] = ACTIONS(2490),
    [anon_sym_LPAREN2] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2492),
    [anon_sym_TILDE] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2490),
    [anon_sym_STAR] = ACTIONS(2492),
    [anon_sym_CARET] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2492),
    [anon_sym___extension__] = ACTIONS(2490),
    [anon_sym_typedef] = ACTIONS(2490),
    [anon_sym_extern] = ACTIONS(2490),
    [anon_sym___attribute__] = ACTIONS(2490),
    [anon_sym___attribute] = ACTIONS(2490),
    [anon_sym_noreturn] = ACTIONS(2490),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym___declspec] = ACTIONS(2490),
    [anon_sym___cdecl] = ACTIONS(2490),
    [anon_sym___clrcall] = ACTIONS(2490),
    [anon_sym___stdcall] = ACTIONS(2490),
    [anon_sym___fastcall] = ACTIONS(2490),
    [anon_sym___thiscall] = ACTIONS(2490),
    [anon_sym___vectorcall] = ACTIONS(2490),
    [anon_sym_LBRACE] = ACTIONS(2492),
    [anon_sym_signed] = ACTIONS(2490),
    [anon_sym_unsigned] = ACTIONS(2490),
    [anon_sym_long] = ACTIONS(2490),
    [anon_sym_short] = ACTIONS(2490),
    [anon_sym_static] = ACTIONS(2490),
    [anon_sym_ATautoreleasepool] = ACTIONS(2492),
    [anon_sym_auto] = ACTIONS(2490),
    [anon_sym_register] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2490),
    [anon_sym___inline] = ACTIONS(2490),
    [anon_sym___inline__] = ACTIONS(2490),
    [anon_sym___forceinline] = ACTIONS(2490),
    [anon_sym_thread_local] = ACTIONS(2490),
    [anon_sym___thread] = ACTIONS(2490),
    [anon_sym_CG_EXTERN] = ACTIONS(2490),
    [anon_sym_CG_INLINE] = ACTIONS(2490),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2490),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2490),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2490),
    [anon_sym_IBOutlet] = ACTIONS(2490),
    [anon_sym_IBInspectable] = ACTIONS(2490),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2490),
    [anon_sym_NS_INLINE] = ACTIONS(2490),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2490),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2490),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2490),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2490),
    [anon_sym_const] = ACTIONS(2490),
    [anon_sym_constexpr] = ACTIONS(2490),
    [anon_sym_volatile] = ACTIONS(2490),
    [anon_sym_restrict] = ACTIONS(2490),
    [anon_sym___restrict__] = ACTIONS(2490),
    [anon_sym__Atomic] = ACTIONS(2490),
    [anon_sym__Noreturn] = ACTIONS(2490),
    [anon_sym__Nonnull] = ACTIONS(2490),
    [anon_sym_nullable] = ACTIONS(2490),
    [anon_sym__Complex] = ACTIONS(2490),
    [anon_sym__Nullable] = ACTIONS(2490),
    [anon_sym__Nullable_result] = ACTIONS(2490),
    [anon_sym__Null_unspecified] = ACTIONS(2490),
    [anon_sym___autoreleasing] = ACTIONS(2490),
    [anon_sym___block] = ACTIONS(2490),
    [anon_sym___bridge] = ACTIONS(2490),
    [anon_sym___bridge_retained] = ACTIONS(2490),
    [anon_sym___bridge_transfer] = ACTIONS(2490),
    [anon_sym___complex] = ACTIONS(2490),
    [anon_sym___const] = ACTIONS(2490),
    [anon_sym___imag] = ACTIONS(2490),
    [anon_sym___kindof] = ACTIONS(2490),
    [anon_sym___nonnull] = ACTIONS(2490),
    [anon_sym___nullable] = ACTIONS(2490),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2490),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2490),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2490),
    [anon_sym___real] = ACTIONS(2490),
    [anon_sym___strong] = ACTIONS(2490),
    [anon_sym___unsafe_unretained] = ACTIONS(2490),
    [anon_sym___unused] = ACTIONS(2490),
    [anon_sym___weak] = ACTIONS(2490),
    [anon_sym_alignas] = ACTIONS(2490),
    [anon_sym__Alignas] = ACTIONS(2490),
    [sym_primitive_type] = ACTIONS(2490),
    [anon_sym_enum] = ACTIONS(2490),
    [anon_sym_struct] = ACTIONS(2490),
    [anon_sym_union] = ACTIONS(2490),
    [anon_sym_if] = ACTIONS(2490),
    [anon_sym_else] = ACTIONS(2490),
    [anon_sym_switch] = ACTIONS(2490),
    [anon_sym_case] = ACTIONS(2490),
    [anon_sym_default] = ACTIONS(2490),
    [anon_sym_while] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(2490),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_in] = ACTIONS(2490),
    [anon_sym_return] = ACTIONS(2490),
    [anon_sym_break] = ACTIONS(2490),
    [anon_sym_continue] = ACTIONS(2490),
    [anon_sym_goto] = ACTIONS(2490),
    [anon_sym_DASH_DASH] = ACTIONS(2492),
    [anon_sym_PLUS_PLUS] = ACTIONS(2492),
    [anon_sym_sizeof] = ACTIONS(2490),
    [anon_sym___alignof__] = ACTIONS(2490),
    [anon_sym___alignof] = ACTIONS(2490),
    [anon_sym__alignof] = ACTIONS(2490),
    [anon_sym_alignof] = ACTIONS(2490),
    [anon_sym__Alignof] = ACTIONS(2490),
    [anon_sym_offsetof] = ACTIONS(2490),
    [anon_sym__Generic] = ACTIONS(2490),
    [anon_sym_asm] = ACTIONS(2490),
    [anon_sym___asm__] = ACTIONS(2490),
    [anon_sym___asm] = ACTIONS(2490),
    [sym_number_literal] = ACTIONS(2492),
    [anon_sym_L_SQUOTE] = ACTIONS(2492),
    [anon_sym_u_SQUOTE] = ACTIONS(2492),
    [anon_sym_U_SQUOTE] = ACTIONS(2492),
    [anon_sym_u8_SQUOTE] = ACTIONS(2492),
    [anon_sym_SQUOTE] = ACTIONS(2492),
    [anon_sym_AT] = ACTIONS(2490),
    [anon_sym_DQUOTE] = ACTIONS(2492),
    [anon_sym_L_DQUOTE] = ACTIONS(2492),
    [anon_sym_u_DQUOTE] = ACTIONS(2492),
    [anon_sym_U_DQUOTE] = ACTIONS(2492),
    [anon_sym_u8_DQUOTE] = ACTIONS(2492),
    [sym_true] = ACTIONS(2490),
    [sym_false] = ACTIONS(2490),
    [anon_sym_NULL] = ACTIONS(2490),
    [anon_sym_nullptr] = ACTIONS(2490),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2490),
    [anon_sym___typeof] = ACTIONS(2490),
    [anon_sym_typeof] = ACTIONS(2490),
    [anon_sym_ATimport] = ACTIONS(2492),
    [aux_sym_preproc_undef_token1] = ACTIONS(2490),
    [anon_sym_POUND] = ACTIONS(2490),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2490),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2490),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2490),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2490),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2490),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2490),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2490),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2490),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2490),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_API_AVAILABLE] = ACTIONS(2490),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_API_DEPRECATED] = ACTIONS(2490),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2490),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2490),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2490),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2490),
    [anon_sym___deprecated_msg] = ACTIONS(2490),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2490),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2490),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2490),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2490),
    [anon_sym_ATprotocol] = ACTIONS(2492),
    [anon_sym_ATinterface] = ACTIONS(2492),
    [anon_sym_ATimplementation] = ACTIONS(2492),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2492),
    [anon_sym_ATsynthesize] = ACTIONS(2492),
    [anon_sym_ATdynamic] = ACTIONS(2492),
    [anon_sym_ATtry] = ACTIONS(2492),
    [anon_sym___try] = ACTIONS(2490),
    [anon_sym_ATthrow] = ACTIONS(2492),
    [anon_sym_ATselector] = ACTIONS(2492),
    [anon_sym_ATavailable] = ACTIONS(2492),
    [anon_sym___builtin_available] = ACTIONS(2490),
    [anon_sym_va_arg] = ACTIONS(2490),
    [anon_sym_ATencode] = ACTIONS(2492),
    [anon_sym_ATsynchronized] = ACTIONS(2492),
    [anon_sym_BOOL] = ACTIONS(2490),
    [anon_sym_IMP] = ACTIONS(2490),
    [anon_sym_SEL] = ACTIONS(2490),
    [anon_sym_Class] = ACTIONS(2490),
    [anon_sym_id] = ACTIONS(2490),
  },
  [411] = {
    [sym_identifier] = ACTIONS(2500),
    [aux_sym_preproc_include_token1] = ACTIONS(2500),
    [aux_sym_preproc_include_token2] = ACTIONS(2500),
    [aux_sym_preproc_def_token1] = ACTIONS(2500),
    [aux_sym_preproc_if_token1] = ACTIONS(2500),
    [aux_sym_preproc_if_token2] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2500),
    [aux_sym_preproc_else_token1] = ACTIONS(2500),
    [aux_sym_preproc_elif_token1] = ACTIONS(2500),
    [sym_preproc_directive] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(2502),
    [anon_sym_BANG] = ACTIONS(2502),
    [anon_sym_TILDE] = ACTIONS(2502),
    [anon_sym_DASH] = ACTIONS(2500),
    [anon_sym_PLUS] = ACTIONS(2500),
    [anon_sym_STAR] = ACTIONS(2502),
    [anon_sym_CARET] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2502),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(2500),
    [anon_sym_typedef] = ACTIONS(2500),
    [anon_sym_extern] = ACTIONS(2500),
    [anon_sym___attribute__] = ACTIONS(2500),
    [anon_sym___attribute] = ACTIONS(2500),
    [anon_sym_noreturn] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [anon_sym___declspec] = ACTIONS(2500),
    [anon_sym___cdecl] = ACTIONS(2500),
    [anon_sym___clrcall] = ACTIONS(2500),
    [anon_sym___stdcall] = ACTIONS(2500),
    [anon_sym___fastcall] = ACTIONS(2500),
    [anon_sym___thiscall] = ACTIONS(2500),
    [anon_sym___vectorcall] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_signed] = ACTIONS(2500),
    [anon_sym_unsigned] = ACTIONS(2500),
    [anon_sym_long] = ACTIONS(2500),
    [anon_sym_short] = ACTIONS(2500),
    [anon_sym_static] = ACTIONS(2500),
    [anon_sym_ATautoreleasepool] = ACTIONS(2502),
    [anon_sym_auto] = ACTIONS(2500),
    [anon_sym_register] = ACTIONS(2500),
    [anon_sym_inline] = ACTIONS(2500),
    [anon_sym___inline] = ACTIONS(2500),
    [anon_sym___inline__] = ACTIONS(2500),
    [anon_sym___forceinline] = ACTIONS(2500),
    [anon_sym_thread_local] = ACTIONS(2500),
    [anon_sym___thread] = ACTIONS(2500),
    [anon_sym_CG_EXTERN] = ACTIONS(2500),
    [anon_sym_CG_INLINE] = ACTIONS(2500),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2500),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2500),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2500),
    [anon_sym_IBOutlet] = ACTIONS(2500),
    [anon_sym_IBInspectable] = ACTIONS(2500),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2500),
    [anon_sym_NS_INLINE] = ACTIONS(2500),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2500),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2500),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2500),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2500),
    [anon_sym_const] = ACTIONS(2500),
    [anon_sym_constexpr] = ACTIONS(2500),
    [anon_sym_volatile] = ACTIONS(2500),
    [anon_sym_restrict] = ACTIONS(2500),
    [anon_sym___restrict__] = ACTIONS(2500),
    [anon_sym__Atomic] = ACTIONS(2500),
    [anon_sym__Noreturn] = ACTIONS(2500),
    [anon_sym__Nonnull] = ACTIONS(2500),
    [anon_sym_nullable] = ACTIONS(2500),
    [anon_sym__Complex] = ACTIONS(2500),
    [anon_sym__Nullable] = ACTIONS(2500),
    [anon_sym__Nullable_result] = ACTIONS(2500),
    [anon_sym__Null_unspecified] = ACTIONS(2500),
    [anon_sym___autoreleasing] = ACTIONS(2500),
    [anon_sym___block] = ACTIONS(2500),
    [anon_sym___bridge] = ACTIONS(2500),
    [anon_sym___bridge_retained] = ACTIONS(2500),
    [anon_sym___bridge_transfer] = ACTIONS(2500),
    [anon_sym___complex] = ACTIONS(2500),
    [anon_sym___const] = ACTIONS(2500),
    [anon_sym___imag] = ACTIONS(2500),
    [anon_sym___kindof] = ACTIONS(2500),
    [anon_sym___nonnull] = ACTIONS(2500),
    [anon_sym___nullable] = ACTIONS(2500),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2500),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2500),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2500),
    [anon_sym___real] = ACTIONS(2500),
    [anon_sym___strong] = ACTIONS(2500),
    [anon_sym___unsafe_unretained] = ACTIONS(2500),
    [anon_sym___unused] = ACTIONS(2500),
    [anon_sym___weak] = ACTIONS(2500),
    [anon_sym_alignas] = ACTIONS(2500),
    [anon_sym__Alignas] = ACTIONS(2500),
    [sym_primitive_type] = ACTIONS(2500),
    [anon_sym_enum] = ACTIONS(2500),
    [anon_sym_struct] = ACTIONS(2500),
    [anon_sym_union] = ACTIONS(2500),
    [anon_sym_if] = ACTIONS(2500),
    [anon_sym_else] = ACTIONS(2500),
    [anon_sym_switch] = ACTIONS(2500),
    [anon_sym_case] = ACTIONS(2500),
    [anon_sym_default] = ACTIONS(2500),
    [anon_sym_while] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2500),
    [anon_sym_for] = ACTIONS(2500),
    [anon_sym_in] = ACTIONS(2500),
    [anon_sym_return] = ACTIONS(2500),
    [anon_sym_break] = ACTIONS(2500),
    [anon_sym_continue] = ACTIONS(2500),
    [anon_sym_goto] = ACTIONS(2500),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(2500),
    [anon_sym___alignof] = ACTIONS(2500),
    [anon_sym__alignof] = ACTIONS(2500),
    [anon_sym_alignof] = ACTIONS(2500),
    [anon_sym__Alignof] = ACTIONS(2500),
    [anon_sym_offsetof] = ACTIONS(2500),
    [anon_sym__Generic] = ACTIONS(2500),
    [anon_sym_asm] = ACTIONS(2500),
    [anon_sym___asm__] = ACTIONS(2500),
    [anon_sym___asm] = ACTIONS(2500),
    [sym_number_literal] = ACTIONS(2502),
    [anon_sym_L_SQUOTE] = ACTIONS(2502),
    [anon_sym_u_SQUOTE] = ACTIONS(2502),
    [anon_sym_U_SQUOTE] = ACTIONS(2502),
    [anon_sym_u8_SQUOTE] = ACTIONS(2502),
    [anon_sym_SQUOTE] = ACTIONS(2502),
    [anon_sym_AT] = ACTIONS(2500),
    [anon_sym_DQUOTE] = ACTIONS(2502),
    [anon_sym_L_DQUOTE] = ACTIONS(2502),
    [anon_sym_u_DQUOTE] = ACTIONS(2502),
    [anon_sym_U_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8_DQUOTE] = ACTIONS(2502),
    [sym_true] = ACTIONS(2500),
    [sym_false] = ACTIONS(2500),
    [anon_sym_NULL] = ACTIONS(2500),
    [anon_sym_nullptr] = ACTIONS(2500),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2500),
    [anon_sym___typeof] = ACTIONS(2500),
    [anon_sym_typeof] = ACTIONS(2500),
    [anon_sym_ATimport] = ACTIONS(2502),
    [aux_sym_preproc_undef_token1] = ACTIONS(2500),
    [anon_sym_POUND] = ACTIONS(2500),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2500),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2500),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2500),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2500),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2500),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2500),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2500),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2500),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2500),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_API_AVAILABLE] = ACTIONS(2500),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_API_DEPRECATED] = ACTIONS(2500),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2500),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2500),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2500),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2500),
    [anon_sym___deprecated_msg] = ACTIONS(2500),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2500),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2500),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2500),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2500),
    [anon_sym_ATprotocol] = ACTIONS(2502),
    [anon_sym_ATinterface] = ACTIONS(2502),
    [anon_sym_ATimplementation] = ACTIONS(2502),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2502),
    [anon_sym_ATsynthesize] = ACTIONS(2502),
    [anon_sym_ATdynamic] = ACTIONS(2502),
    [anon_sym_ATtry] = ACTIONS(2502),
    [anon_sym___try] = ACTIONS(2500),
    [anon_sym_ATthrow] = ACTIONS(2502),
    [anon_sym_ATselector] = ACTIONS(2502),
    [anon_sym_ATavailable] = ACTIONS(2502),
    [anon_sym___builtin_available] = ACTIONS(2500),
    [anon_sym_va_arg] = ACTIONS(2500),
    [anon_sym_ATencode] = ACTIONS(2502),
    [anon_sym_ATsynchronized] = ACTIONS(2502),
    [anon_sym_BOOL] = ACTIONS(2500),
    [anon_sym_IMP] = ACTIONS(2500),
    [anon_sym_SEL] = ACTIONS(2500),
    [anon_sym_Class] = ACTIONS(2500),
    [anon_sym_id] = ACTIONS(2500),
  },
  [412] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_include_token2] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_CARET] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym___attribute] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_ATautoreleasepool] = ACTIONS(2506),
    [anon_sym_auto] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_CG_EXTERN] = ACTIONS(2504),
    [anon_sym_CG_INLINE] = ACTIONS(2504),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2504),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2504),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2504),
    [anon_sym_IBOutlet] = ACTIONS(2504),
    [anon_sym_IBInspectable] = ACTIONS(2504),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2504),
    [anon_sym_NS_INLINE] = ACTIONS(2504),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2504),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2504),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2504),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym__Nonnull] = ACTIONS(2504),
    [anon_sym_nullable] = ACTIONS(2504),
    [anon_sym__Complex] = ACTIONS(2504),
    [anon_sym__Nullable] = ACTIONS(2504),
    [anon_sym__Nullable_result] = ACTIONS(2504),
    [anon_sym__Null_unspecified] = ACTIONS(2504),
    [anon_sym___autoreleasing] = ACTIONS(2504),
    [anon_sym___block] = ACTIONS(2504),
    [anon_sym___bridge] = ACTIONS(2504),
    [anon_sym___bridge_retained] = ACTIONS(2504),
    [anon_sym___bridge_transfer] = ACTIONS(2504),
    [anon_sym___complex] = ACTIONS(2504),
    [anon_sym___const] = ACTIONS(2504),
    [anon_sym___imag] = ACTIONS(2504),
    [anon_sym___kindof] = ACTIONS(2504),
    [anon_sym___nonnull] = ACTIONS(2504),
    [anon_sym___nullable] = ACTIONS(2504),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2504),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2504),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2504),
    [anon_sym___real] = ACTIONS(2504),
    [anon_sym___strong] = ACTIONS(2504),
    [anon_sym___unsafe_unretained] = ACTIONS(2504),
    [anon_sym___unused] = ACTIONS(2504),
    [anon_sym___weak] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym__Alignas] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_in] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [anon_sym___asm] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_AT] = ACTIONS(2504),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2504),
    [anon_sym___typeof] = ACTIONS(2504),
    [anon_sym_typeof] = ACTIONS(2504),
    [anon_sym_ATimport] = ACTIONS(2506),
    [aux_sym_preproc_undef_token1] = ACTIONS(2504),
    [anon_sym_POUND] = ACTIONS(2504),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2504),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2504),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2504),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2504),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2504),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2504),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2504),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2504),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2504),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_API_AVAILABLE] = ACTIONS(2504),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_API_DEPRECATED] = ACTIONS(2504),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2504),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2504),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2504),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2504),
    [anon_sym___deprecated_msg] = ACTIONS(2504),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2504),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2504),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2504),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2504),
    [anon_sym_ATprotocol] = ACTIONS(2506),
    [anon_sym_ATinterface] = ACTIONS(2506),
    [anon_sym_ATimplementation] = ACTIONS(2506),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2506),
    [anon_sym_ATsynthesize] = ACTIONS(2506),
    [anon_sym_ATdynamic] = ACTIONS(2506),
    [anon_sym_ATtry] = ACTIONS(2506),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym_ATthrow] = ACTIONS(2506),
    [anon_sym_ATselector] = ACTIONS(2506),
    [anon_sym_ATavailable] = ACTIONS(2506),
    [anon_sym___builtin_available] = ACTIONS(2504),
    [anon_sym_va_arg] = ACTIONS(2504),
    [anon_sym_ATencode] = ACTIONS(2506),
    [anon_sym_ATsynchronized] = ACTIONS(2506),
    [anon_sym_BOOL] = ACTIONS(2504),
    [anon_sym_IMP] = ACTIONS(2504),
    [anon_sym_SEL] = ACTIONS(2504),
    [anon_sym_Class] = ACTIONS(2504),
    [anon_sym_id] = ACTIONS(2504),
  },
  [413] = {
    [sym_identifier] = ACTIONS(2508),
    [aux_sym_preproc_include_token1] = ACTIONS(2508),
    [aux_sym_preproc_include_token2] = ACTIONS(2508),
    [aux_sym_preproc_def_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token2] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2508),
    [aux_sym_preproc_else_token1] = ACTIONS(2508),
    [aux_sym_preproc_elif_token1] = ACTIONS(2508),
    [sym_preproc_directive] = ACTIONS(2508),
    [anon_sym_LPAREN2] = ACTIONS(2510),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2510),
    [anon_sym_CARET] = ACTIONS(2510),
    [anon_sym_AMP] = ACTIONS(2510),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym___extension__] = ACTIONS(2508),
    [anon_sym_typedef] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym___attribute__] = ACTIONS(2508),
    [anon_sym___attribute] = ACTIONS(2508),
    [anon_sym_noreturn] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [anon_sym___declspec] = ACTIONS(2508),
    [anon_sym___cdecl] = ACTIONS(2508),
    [anon_sym___clrcall] = ACTIONS(2508),
    [anon_sym___stdcall] = ACTIONS(2508),
    [anon_sym___fastcall] = ACTIONS(2508),
    [anon_sym___thiscall] = ACTIONS(2508),
    [anon_sym___vectorcall] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_signed] = ACTIONS(2508),
    [anon_sym_unsigned] = ACTIONS(2508),
    [anon_sym_long] = ACTIONS(2508),
    [anon_sym_short] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_ATautoreleasepool] = ACTIONS(2510),
    [anon_sym_auto] = ACTIONS(2508),
    [anon_sym_register] = ACTIONS(2508),
    [anon_sym_inline] = ACTIONS(2508),
    [anon_sym___inline] = ACTIONS(2508),
    [anon_sym___inline__] = ACTIONS(2508),
    [anon_sym___forceinline] = ACTIONS(2508),
    [anon_sym_thread_local] = ACTIONS(2508),
    [anon_sym___thread] = ACTIONS(2508),
    [anon_sym_CG_EXTERN] = ACTIONS(2508),
    [anon_sym_CG_INLINE] = ACTIONS(2508),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2508),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2508),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2508),
    [anon_sym_IBOutlet] = ACTIONS(2508),
    [anon_sym_IBInspectable] = ACTIONS(2508),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2508),
    [anon_sym_NS_INLINE] = ACTIONS(2508),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2508),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2508),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2508),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_constexpr] = ACTIONS(2508),
    [anon_sym_volatile] = ACTIONS(2508),
    [anon_sym_restrict] = ACTIONS(2508),
    [anon_sym___restrict__] = ACTIONS(2508),
    [anon_sym__Atomic] = ACTIONS(2508),
    [anon_sym__Noreturn] = ACTIONS(2508),
    [anon_sym__Nonnull] = ACTIONS(2508),
    [anon_sym_nullable] = ACTIONS(2508),
    [anon_sym__Complex] = ACTIONS(2508),
    [anon_sym__Nullable] = ACTIONS(2508),
    [anon_sym__Nullable_result] = ACTIONS(2508),
    [anon_sym__Null_unspecified] = ACTIONS(2508),
    [anon_sym___autoreleasing] = ACTIONS(2508),
    [anon_sym___block] = ACTIONS(2508),
    [anon_sym___bridge] = ACTIONS(2508),
    [anon_sym___bridge_retained] = ACTIONS(2508),
    [anon_sym___bridge_transfer] = ACTIONS(2508),
    [anon_sym___complex] = ACTIONS(2508),
    [anon_sym___const] = ACTIONS(2508),
    [anon_sym___imag] = ACTIONS(2508),
    [anon_sym___kindof] = ACTIONS(2508),
    [anon_sym___nonnull] = ACTIONS(2508),
    [anon_sym___nullable] = ACTIONS(2508),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2508),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2508),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2508),
    [anon_sym___real] = ACTIONS(2508),
    [anon_sym___strong] = ACTIONS(2508),
    [anon_sym___unsafe_unretained] = ACTIONS(2508),
    [anon_sym___unused] = ACTIONS(2508),
    [anon_sym___weak] = ACTIONS(2508),
    [anon_sym_alignas] = ACTIONS(2508),
    [anon_sym__Alignas] = ACTIONS(2508),
    [sym_primitive_type] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_else] = ACTIONS(2508),
    [anon_sym_switch] = ACTIONS(2508),
    [anon_sym_case] = ACTIONS(2508),
    [anon_sym_default] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2508),
    [anon_sym_do] = ACTIONS(2508),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_in] = ACTIONS(2508),
    [anon_sym_return] = ACTIONS(2508),
    [anon_sym_break] = ACTIONS(2508),
    [anon_sym_continue] = ACTIONS(2508),
    [anon_sym_goto] = ACTIONS(2508),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_sizeof] = ACTIONS(2508),
    [anon_sym___alignof__] = ACTIONS(2508),
    [anon_sym___alignof] = ACTIONS(2508),
    [anon_sym__alignof] = ACTIONS(2508),
    [anon_sym_alignof] = ACTIONS(2508),
    [anon_sym__Alignof] = ACTIONS(2508),
    [anon_sym_offsetof] = ACTIONS(2508),
    [anon_sym__Generic] = ACTIONS(2508),
    [anon_sym_asm] = ACTIONS(2508),
    [anon_sym___asm__] = ACTIONS(2508),
    [anon_sym___asm] = ACTIONS(2508),
    [sym_number_literal] = ACTIONS(2510),
    [anon_sym_L_SQUOTE] = ACTIONS(2510),
    [anon_sym_u_SQUOTE] = ACTIONS(2510),
    [anon_sym_U_SQUOTE] = ACTIONS(2510),
    [anon_sym_u8_SQUOTE] = ACTIONS(2510),
    [anon_sym_SQUOTE] = ACTIONS(2510),
    [anon_sym_AT] = ACTIONS(2508),
    [anon_sym_DQUOTE] = ACTIONS(2510),
    [anon_sym_L_DQUOTE] = ACTIONS(2510),
    [anon_sym_u_DQUOTE] = ACTIONS(2510),
    [anon_sym_U_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8_DQUOTE] = ACTIONS(2510),
    [sym_true] = ACTIONS(2508),
    [sym_false] = ACTIONS(2508),
    [anon_sym_NULL] = ACTIONS(2508),
    [anon_sym_nullptr] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2508),
    [anon_sym___typeof] = ACTIONS(2508),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_ATimport] = ACTIONS(2510),
    [aux_sym_preproc_undef_token1] = ACTIONS(2508),
    [anon_sym_POUND] = ACTIONS(2508),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2508),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2508),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2508),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2508),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2508),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2508),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2508),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2508),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2508),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_API_AVAILABLE] = ACTIONS(2508),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_API_DEPRECATED] = ACTIONS(2508),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2508),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2508),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2508),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2508),
    [anon_sym___deprecated_msg] = ACTIONS(2508),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2508),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2508),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2508),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2508),
    [anon_sym_ATprotocol] = ACTIONS(2510),
    [anon_sym_ATinterface] = ACTIONS(2510),
    [anon_sym_ATimplementation] = ACTIONS(2510),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2510),
    [anon_sym_ATsynthesize] = ACTIONS(2510),
    [anon_sym_ATdynamic] = ACTIONS(2510),
    [anon_sym_ATtry] = ACTIONS(2510),
    [anon_sym___try] = ACTIONS(2508),
    [anon_sym_ATthrow] = ACTIONS(2510),
    [anon_sym_ATselector] = ACTIONS(2510),
    [anon_sym_ATavailable] = ACTIONS(2510),
    [anon_sym___builtin_available] = ACTIONS(2508),
    [anon_sym_va_arg] = ACTIONS(2508),
    [anon_sym_ATencode] = ACTIONS(2510),
    [anon_sym_ATsynchronized] = ACTIONS(2510),
    [anon_sym_BOOL] = ACTIONS(2508),
    [anon_sym_IMP] = ACTIONS(2508),
    [anon_sym_SEL] = ACTIONS(2508),
    [anon_sym_Class] = ACTIONS(2508),
    [anon_sym_id] = ACTIONS(2508),
  },
  [414] = {
    [sym_identifier] = ACTIONS(2512),
    [aux_sym_preproc_include_token1] = ACTIONS(2512),
    [aux_sym_preproc_include_token2] = ACTIONS(2512),
    [aux_sym_preproc_def_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token2] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2512),
    [aux_sym_preproc_else_token1] = ACTIONS(2512),
    [aux_sym_preproc_elif_token1] = ACTIONS(2512),
    [sym_preproc_directive] = ACTIONS(2512),
    [anon_sym_LPAREN2] = ACTIONS(2514),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_CARET] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_typedef] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym___attribute] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym___cdecl] = ACTIONS(2512),
    [anon_sym___clrcall] = ACTIONS(2512),
    [anon_sym___stdcall] = ACTIONS(2512),
    [anon_sym___fastcall] = ACTIONS(2512),
    [anon_sym___thiscall] = ACTIONS(2512),
    [anon_sym___vectorcall] = ACTIONS(2512),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_ATautoreleasepool] = ACTIONS(2514),
    [anon_sym_auto] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_CG_EXTERN] = ACTIONS(2512),
    [anon_sym_CG_INLINE] = ACTIONS(2512),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2512),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2512),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2512),
    [anon_sym_IBOutlet] = ACTIONS(2512),
    [anon_sym_IBInspectable] = ACTIONS(2512),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2512),
    [anon_sym_NS_INLINE] = ACTIONS(2512),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2512),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2512),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2512),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym__Nonnull] = ACTIONS(2512),
    [anon_sym_nullable] = ACTIONS(2512),
    [anon_sym__Complex] = ACTIONS(2512),
    [anon_sym__Nullable] = ACTIONS(2512),
    [anon_sym__Nullable_result] = ACTIONS(2512),
    [anon_sym__Null_unspecified] = ACTIONS(2512),
    [anon_sym___autoreleasing] = ACTIONS(2512),
    [anon_sym___block] = ACTIONS(2512),
    [anon_sym___bridge] = ACTIONS(2512),
    [anon_sym___bridge_retained] = ACTIONS(2512),
    [anon_sym___bridge_transfer] = ACTIONS(2512),
    [anon_sym___complex] = ACTIONS(2512),
    [anon_sym___const] = ACTIONS(2512),
    [anon_sym___imag] = ACTIONS(2512),
    [anon_sym___kindof] = ACTIONS(2512),
    [anon_sym___nonnull] = ACTIONS(2512),
    [anon_sym___nullable] = ACTIONS(2512),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2512),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2512),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2512),
    [anon_sym___real] = ACTIONS(2512),
    [anon_sym___strong] = ACTIONS(2512),
    [anon_sym___unsafe_unretained] = ACTIONS(2512),
    [anon_sym___unused] = ACTIONS(2512),
    [anon_sym___weak] = ACTIONS(2512),
    [anon_sym_alignas] = ACTIONS(2512),
    [anon_sym__Alignas] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(2512),
    [anon_sym_else] = ACTIONS(2512),
    [anon_sym_switch] = ACTIONS(2512),
    [anon_sym_case] = ACTIONS(2512),
    [anon_sym_default] = ACTIONS(2512),
    [anon_sym_while] = ACTIONS(2512),
    [anon_sym_do] = ACTIONS(2512),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_in] = ACTIONS(2512),
    [anon_sym_return] = ACTIONS(2512),
    [anon_sym_break] = ACTIONS(2512),
    [anon_sym_continue] = ACTIONS(2512),
    [anon_sym_goto] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_sizeof] = ACTIONS(2512),
    [anon_sym___alignof__] = ACTIONS(2512),
    [anon_sym___alignof] = ACTIONS(2512),
    [anon_sym__alignof] = ACTIONS(2512),
    [anon_sym_alignof] = ACTIONS(2512),
    [anon_sym__Alignof] = ACTIONS(2512),
    [anon_sym_offsetof] = ACTIONS(2512),
    [anon_sym__Generic] = ACTIONS(2512),
    [anon_sym_asm] = ACTIONS(2512),
    [anon_sym___asm__] = ACTIONS(2512),
    [anon_sym___asm] = ACTIONS(2512),
    [sym_number_literal] = ACTIONS(2514),
    [anon_sym_L_SQUOTE] = ACTIONS(2514),
    [anon_sym_u_SQUOTE] = ACTIONS(2514),
    [anon_sym_U_SQUOTE] = ACTIONS(2514),
    [anon_sym_u8_SQUOTE] = ACTIONS(2514),
    [anon_sym_SQUOTE] = ACTIONS(2514),
    [anon_sym_AT] = ACTIONS(2512),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_L_DQUOTE] = ACTIONS(2514),
    [anon_sym_u_DQUOTE] = ACTIONS(2514),
    [anon_sym_U_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8_DQUOTE] = ACTIONS(2514),
    [sym_true] = ACTIONS(2512),
    [sym_false] = ACTIONS(2512),
    [anon_sym_NULL] = ACTIONS(2512),
    [anon_sym_nullptr] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2512),
    [anon_sym___typeof] = ACTIONS(2512),
    [anon_sym_typeof] = ACTIONS(2512),
    [anon_sym_ATimport] = ACTIONS(2514),
    [aux_sym_preproc_undef_token1] = ACTIONS(2512),
    [anon_sym_POUND] = ACTIONS(2512),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2512),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2512),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2512),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2512),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2512),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2512),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2512),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2512),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2512),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_API_AVAILABLE] = ACTIONS(2512),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_API_DEPRECATED] = ACTIONS(2512),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2512),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2512),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2512),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2512),
    [anon_sym___deprecated_msg] = ACTIONS(2512),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2512),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2512),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2512),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2512),
    [anon_sym_ATprotocol] = ACTIONS(2514),
    [anon_sym_ATinterface] = ACTIONS(2514),
    [anon_sym_ATimplementation] = ACTIONS(2514),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2514),
    [anon_sym_ATsynthesize] = ACTIONS(2514),
    [anon_sym_ATdynamic] = ACTIONS(2514),
    [anon_sym_ATtry] = ACTIONS(2514),
    [anon_sym___try] = ACTIONS(2512),
    [anon_sym_ATthrow] = ACTIONS(2514),
    [anon_sym_ATselector] = ACTIONS(2514),
    [anon_sym_ATavailable] = ACTIONS(2514),
    [anon_sym___builtin_available] = ACTIONS(2512),
    [anon_sym_va_arg] = ACTIONS(2512),
    [anon_sym_ATencode] = ACTIONS(2514),
    [anon_sym_ATsynchronized] = ACTIONS(2514),
    [anon_sym_BOOL] = ACTIONS(2512),
    [anon_sym_IMP] = ACTIONS(2512),
    [anon_sym_SEL] = ACTIONS(2512),
    [anon_sym_Class] = ACTIONS(2512),
    [anon_sym_id] = ACTIONS(2512),
  },
  [415] = {
    [sym_identifier] = ACTIONS(2306),
    [aux_sym_preproc_include_token1] = ACTIONS(2306),
    [aux_sym_preproc_include_token2] = ACTIONS(2306),
    [aux_sym_preproc_def_token1] = ACTIONS(2306),
    [aux_sym_preproc_if_token1] = ACTIONS(2306),
    [aux_sym_preproc_if_token2] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2306),
    [aux_sym_preproc_else_token1] = ACTIONS(2306),
    [aux_sym_preproc_elif_token1] = ACTIONS(2306),
    [sym_preproc_directive] = ACTIONS(2306),
    [anon_sym_LPAREN2] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_CARET] = ACTIONS(2308),
    [anon_sym_AMP] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2308),
    [anon_sym___extension__] = ACTIONS(2306),
    [anon_sym_typedef] = ACTIONS(2306),
    [anon_sym_extern] = ACTIONS(2306),
    [anon_sym___attribute__] = ACTIONS(2306),
    [anon_sym___attribute] = ACTIONS(2306),
    [anon_sym_noreturn] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym___declspec] = ACTIONS(2306),
    [anon_sym___cdecl] = ACTIONS(2306),
    [anon_sym___clrcall] = ACTIONS(2306),
    [anon_sym___stdcall] = ACTIONS(2306),
    [anon_sym___fastcall] = ACTIONS(2306),
    [anon_sym___thiscall] = ACTIONS(2306),
    [anon_sym___vectorcall] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2308),
    [anon_sym_signed] = ACTIONS(2306),
    [anon_sym_unsigned] = ACTIONS(2306),
    [anon_sym_long] = ACTIONS(2306),
    [anon_sym_short] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_ATautoreleasepool] = ACTIONS(2308),
    [anon_sym_auto] = ACTIONS(2306),
    [anon_sym_register] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(2306),
    [anon_sym___inline] = ACTIONS(2306),
    [anon_sym___inline__] = ACTIONS(2306),
    [anon_sym___forceinline] = ACTIONS(2306),
    [anon_sym_thread_local] = ACTIONS(2306),
    [anon_sym___thread] = ACTIONS(2306),
    [anon_sym_CG_EXTERN] = ACTIONS(2306),
    [anon_sym_CG_INLINE] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2306),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2306),
    [anon_sym_IBOutlet] = ACTIONS(2306),
    [anon_sym_IBInspectable] = ACTIONS(2306),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2306),
    [anon_sym_NS_INLINE] = ACTIONS(2306),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2306),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2306),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_constexpr] = ACTIONS(2306),
    [anon_sym_volatile] = ACTIONS(2306),
    [anon_sym_restrict] = ACTIONS(2306),
    [anon_sym___restrict__] = ACTIONS(2306),
    [anon_sym__Atomic] = ACTIONS(2306),
    [anon_sym__Noreturn] = ACTIONS(2306),
    [anon_sym__Nonnull] = ACTIONS(2306),
    [anon_sym_nullable] = ACTIONS(2306),
    [anon_sym__Complex] = ACTIONS(2306),
    [anon_sym__Nullable] = ACTIONS(2306),
    [anon_sym__Nullable_result] = ACTIONS(2306),
    [anon_sym__Null_unspecified] = ACTIONS(2306),
    [anon_sym___autoreleasing] = ACTIONS(2306),
    [anon_sym___block] = ACTIONS(2306),
    [anon_sym___bridge] = ACTIONS(2306),
    [anon_sym___bridge_retained] = ACTIONS(2306),
    [anon_sym___bridge_transfer] = ACTIONS(2306),
    [anon_sym___complex] = ACTIONS(2306),
    [anon_sym___const] = ACTIONS(2306),
    [anon_sym___imag] = ACTIONS(2306),
    [anon_sym___kindof] = ACTIONS(2306),
    [anon_sym___nonnull] = ACTIONS(2306),
    [anon_sym___nullable] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2306),
    [anon_sym___real] = ACTIONS(2306),
    [anon_sym___strong] = ACTIONS(2306),
    [anon_sym___unsafe_unretained] = ACTIONS(2306),
    [anon_sym___unused] = ACTIONS(2306),
    [anon_sym___weak] = ACTIONS(2306),
    [anon_sym_alignas] = ACTIONS(2306),
    [anon_sym__Alignas] = ACTIONS(2306),
    [sym_primitive_type] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [anon_sym_struct] = ACTIONS(2306),
    [anon_sym_union] = ACTIONS(2306),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_else] = ACTIONS(2306),
    [anon_sym_switch] = ACTIONS(2306),
    [anon_sym_case] = ACTIONS(2306),
    [anon_sym_default] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2306),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2306),
    [anon_sym_continue] = ACTIONS(2306),
    [anon_sym_goto] = ACTIONS(2306),
    [anon_sym_DASH_DASH] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(2308),
    [anon_sym_sizeof] = ACTIONS(2306),
    [anon_sym___alignof__] = ACTIONS(2306),
    [anon_sym___alignof] = ACTIONS(2306),
    [anon_sym__alignof] = ACTIONS(2306),
    [anon_sym_alignof] = ACTIONS(2306),
    [anon_sym__Alignof] = ACTIONS(2306),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2306),
    [anon_sym_asm] = ACTIONS(2306),
    [anon_sym___asm__] = ACTIONS(2306),
    [anon_sym___asm] = ACTIONS(2306),
    [sym_number_literal] = ACTIONS(2308),
    [anon_sym_L_SQUOTE] = ACTIONS(2308),
    [anon_sym_u_SQUOTE] = ACTIONS(2308),
    [anon_sym_U_SQUOTE] = ACTIONS(2308),
    [anon_sym_u8_SQUOTE] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [anon_sym_AT] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2308),
    [anon_sym_L_DQUOTE] = ACTIONS(2308),
    [anon_sym_u_DQUOTE] = ACTIONS(2308),
    [anon_sym_U_DQUOTE] = ACTIONS(2308),
    [anon_sym_u8_DQUOTE] = ACTIONS(2308),
    [sym_true] = ACTIONS(2306),
    [sym_false] = ACTIONS(2306),
    [anon_sym_NULL] = ACTIONS(2306),
    [anon_sym_nullptr] = ACTIONS(2306),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2306),
    [anon_sym___typeof] = ACTIONS(2306),
    [anon_sym_typeof] = ACTIONS(2306),
    [anon_sym_ATimport] = ACTIONS(2308),
    [aux_sym_preproc_undef_token1] = ACTIONS(2306),
    [anon_sym_POUND] = ACTIONS(2306),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2306),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2306),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2306),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_API_AVAILABLE] = ACTIONS(2306),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_API_DEPRECATED] = ACTIONS(2306),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym___deprecated_msg] = ACTIONS(2306),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2306),
    [anon_sym_ATprotocol] = ACTIONS(2308),
    [anon_sym_ATinterface] = ACTIONS(2308),
    [anon_sym_ATimplementation] = ACTIONS(2308),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2308),
    [anon_sym_ATsynthesize] = ACTIONS(2308),
    [anon_sym_ATdynamic] = ACTIONS(2308),
    [anon_sym_ATtry] = ACTIONS(2308),
    [anon_sym___try] = ACTIONS(2306),
    [anon_sym_ATthrow] = ACTIONS(2308),
    [anon_sym_ATselector] = ACTIONS(2308),
    [anon_sym_ATavailable] = ACTIONS(2308),
    [anon_sym___builtin_available] = ACTIONS(2306),
    [anon_sym_va_arg] = ACTIONS(2306),
    [anon_sym_ATencode] = ACTIONS(2308),
    [anon_sym_ATsynchronized] = ACTIONS(2308),
    [anon_sym_BOOL] = ACTIONS(2306),
    [anon_sym_IMP] = ACTIONS(2306),
    [anon_sym_SEL] = ACTIONS(2306),
    [anon_sym_Class] = ACTIONS(2306),
    [anon_sym_id] = ACTIONS(2306),
  },
  [416] = {
    [sym_identifier] = ACTIONS(2516),
    [aux_sym_preproc_include_token1] = ACTIONS(2516),
    [aux_sym_preproc_include_token2] = ACTIONS(2516),
    [aux_sym_preproc_def_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token2] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2516),
    [aux_sym_preproc_else_token1] = ACTIONS(2516),
    [aux_sym_preproc_elif_token1] = ACTIONS(2516),
    [sym_preproc_directive] = ACTIONS(2516),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_BANG] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_CARET] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_typedef] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym___attribute] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym___cdecl] = ACTIONS(2516),
    [anon_sym___clrcall] = ACTIONS(2516),
    [anon_sym___stdcall] = ACTIONS(2516),
    [anon_sym___fastcall] = ACTIONS(2516),
    [anon_sym___thiscall] = ACTIONS(2516),
    [anon_sym___vectorcall] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_ATautoreleasepool] = ACTIONS(2518),
    [anon_sym_auto] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_CG_EXTERN] = ACTIONS(2516),
    [anon_sym_CG_INLINE] = ACTIONS(2516),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2516),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2516),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2516),
    [anon_sym_IBOutlet] = ACTIONS(2516),
    [anon_sym_IBInspectable] = ACTIONS(2516),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2516),
    [anon_sym_NS_INLINE] = ACTIONS(2516),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2516),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2516),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2516),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym__Nonnull] = ACTIONS(2516),
    [anon_sym_nullable] = ACTIONS(2516),
    [anon_sym__Complex] = ACTIONS(2516),
    [anon_sym__Nullable] = ACTIONS(2516),
    [anon_sym__Nullable_result] = ACTIONS(2516),
    [anon_sym__Null_unspecified] = ACTIONS(2516),
    [anon_sym___autoreleasing] = ACTIONS(2516),
    [anon_sym___block] = ACTIONS(2516),
    [anon_sym___bridge] = ACTIONS(2516),
    [anon_sym___bridge_retained] = ACTIONS(2516),
    [anon_sym___bridge_transfer] = ACTIONS(2516),
    [anon_sym___complex] = ACTIONS(2516),
    [anon_sym___const] = ACTIONS(2516),
    [anon_sym___imag] = ACTIONS(2516),
    [anon_sym___kindof] = ACTIONS(2516),
    [anon_sym___nonnull] = ACTIONS(2516),
    [anon_sym___nullable] = ACTIONS(2516),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2516),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2516),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2516),
    [anon_sym___real] = ACTIONS(2516),
    [anon_sym___strong] = ACTIONS(2516),
    [anon_sym___unsafe_unretained] = ACTIONS(2516),
    [anon_sym___unused] = ACTIONS(2516),
    [anon_sym___weak] = ACTIONS(2516),
    [anon_sym_alignas] = ACTIONS(2516),
    [anon_sym__Alignas] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [anon_sym_if] = ACTIONS(2516),
    [anon_sym_else] = ACTIONS(2516),
    [anon_sym_switch] = ACTIONS(2516),
    [anon_sym_case] = ACTIONS(2516),
    [anon_sym_default] = ACTIONS(2516),
    [anon_sym_while] = ACTIONS(2516),
    [anon_sym_do] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2516),
    [anon_sym_in] = ACTIONS(2516),
    [anon_sym_return] = ACTIONS(2516),
    [anon_sym_break] = ACTIONS(2516),
    [anon_sym_continue] = ACTIONS(2516),
    [anon_sym_goto] = ACTIONS(2516),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_sizeof] = ACTIONS(2516),
    [anon_sym___alignof__] = ACTIONS(2516),
    [anon_sym___alignof] = ACTIONS(2516),
    [anon_sym__alignof] = ACTIONS(2516),
    [anon_sym_alignof] = ACTIONS(2516),
    [anon_sym__Alignof] = ACTIONS(2516),
    [anon_sym_offsetof] = ACTIONS(2516),
    [anon_sym__Generic] = ACTIONS(2516),
    [anon_sym_asm] = ACTIONS(2516),
    [anon_sym___asm__] = ACTIONS(2516),
    [anon_sym___asm] = ACTIONS(2516),
    [sym_number_literal] = ACTIONS(2518),
    [anon_sym_L_SQUOTE] = ACTIONS(2518),
    [anon_sym_u_SQUOTE] = ACTIONS(2518),
    [anon_sym_U_SQUOTE] = ACTIONS(2518),
    [anon_sym_u8_SQUOTE] = ACTIONS(2518),
    [anon_sym_SQUOTE] = ACTIONS(2518),
    [anon_sym_AT] = ACTIONS(2516),
    [anon_sym_DQUOTE] = ACTIONS(2518),
    [anon_sym_L_DQUOTE] = ACTIONS(2518),
    [anon_sym_u_DQUOTE] = ACTIONS(2518),
    [anon_sym_U_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8_DQUOTE] = ACTIONS(2518),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [anon_sym_NULL] = ACTIONS(2516),
    [anon_sym_nullptr] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2516),
    [anon_sym___typeof] = ACTIONS(2516),
    [anon_sym_typeof] = ACTIONS(2516),
    [anon_sym_ATimport] = ACTIONS(2518),
    [aux_sym_preproc_undef_token1] = ACTIONS(2516),
    [anon_sym_POUND] = ACTIONS(2516),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2516),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2516),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2516),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2516),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2516),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2516),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2516),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2516),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2516),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_API_AVAILABLE] = ACTIONS(2516),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_API_DEPRECATED] = ACTIONS(2516),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2516),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2516),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2516),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2516),
    [anon_sym___deprecated_msg] = ACTIONS(2516),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2516),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2516),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2516),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2516),
    [anon_sym_ATprotocol] = ACTIONS(2518),
    [anon_sym_ATinterface] = ACTIONS(2518),
    [anon_sym_ATimplementation] = ACTIONS(2518),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2518),
    [anon_sym_ATsynthesize] = ACTIONS(2518),
    [anon_sym_ATdynamic] = ACTIONS(2518),
    [anon_sym_ATtry] = ACTIONS(2518),
    [anon_sym___try] = ACTIONS(2516),
    [anon_sym_ATthrow] = ACTIONS(2518),
    [anon_sym_ATselector] = ACTIONS(2518),
    [anon_sym_ATavailable] = ACTIONS(2518),
    [anon_sym___builtin_available] = ACTIONS(2516),
    [anon_sym_va_arg] = ACTIONS(2516),
    [anon_sym_ATencode] = ACTIONS(2518),
    [anon_sym_ATsynchronized] = ACTIONS(2518),
    [anon_sym_BOOL] = ACTIONS(2516),
    [anon_sym_IMP] = ACTIONS(2516),
    [anon_sym_SEL] = ACTIONS(2516),
    [anon_sym_Class] = ACTIONS(2516),
    [anon_sym_id] = ACTIONS(2516),
  },
  [417] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_include_token2] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [aux_sym_preproc_else_token1] = ACTIONS(2520),
    [aux_sym_preproc_elif_token1] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_CARET] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym___attribute] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_ATautoreleasepool] = ACTIONS(2522),
    [anon_sym_auto] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_CG_EXTERN] = ACTIONS(2520),
    [anon_sym_CG_INLINE] = ACTIONS(2520),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2520),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2520),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2520),
    [anon_sym_IBOutlet] = ACTIONS(2520),
    [anon_sym_IBInspectable] = ACTIONS(2520),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2520),
    [anon_sym_NS_INLINE] = ACTIONS(2520),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2520),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2520),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2520),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym__Nonnull] = ACTIONS(2520),
    [anon_sym_nullable] = ACTIONS(2520),
    [anon_sym__Complex] = ACTIONS(2520),
    [anon_sym__Nullable] = ACTIONS(2520),
    [anon_sym__Nullable_result] = ACTIONS(2520),
    [anon_sym__Null_unspecified] = ACTIONS(2520),
    [anon_sym___autoreleasing] = ACTIONS(2520),
    [anon_sym___block] = ACTIONS(2520),
    [anon_sym___bridge] = ACTIONS(2520),
    [anon_sym___bridge_retained] = ACTIONS(2520),
    [anon_sym___bridge_transfer] = ACTIONS(2520),
    [anon_sym___complex] = ACTIONS(2520),
    [anon_sym___const] = ACTIONS(2520),
    [anon_sym___imag] = ACTIONS(2520),
    [anon_sym___kindof] = ACTIONS(2520),
    [anon_sym___nonnull] = ACTIONS(2520),
    [anon_sym___nullable] = ACTIONS(2520),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2520),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2520),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2520),
    [anon_sym___real] = ACTIONS(2520),
    [anon_sym___strong] = ACTIONS(2520),
    [anon_sym___unsafe_unretained] = ACTIONS(2520),
    [anon_sym___unused] = ACTIONS(2520),
    [anon_sym___weak] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym__Alignas] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_else] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [anon_sym___asm] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_AT] = ACTIONS(2520),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2520),
    [anon_sym___typeof] = ACTIONS(2520),
    [anon_sym_typeof] = ACTIONS(2520),
    [anon_sym_ATimport] = ACTIONS(2522),
    [aux_sym_preproc_undef_token1] = ACTIONS(2520),
    [anon_sym_POUND] = ACTIONS(2520),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2520),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2520),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2520),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2520),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2520),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2520),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2520),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2520),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2520),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_API_AVAILABLE] = ACTIONS(2520),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_API_DEPRECATED] = ACTIONS(2520),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2520),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2520),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2520),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2520),
    [anon_sym___deprecated_msg] = ACTIONS(2520),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2520),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2520),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2520),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2520),
    [anon_sym_ATprotocol] = ACTIONS(2522),
    [anon_sym_ATinterface] = ACTIONS(2522),
    [anon_sym_ATimplementation] = ACTIONS(2522),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2522),
    [anon_sym_ATsynthesize] = ACTIONS(2522),
    [anon_sym_ATdynamic] = ACTIONS(2522),
    [anon_sym_ATtry] = ACTIONS(2522),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym_ATthrow] = ACTIONS(2522),
    [anon_sym_ATselector] = ACTIONS(2522),
    [anon_sym_ATavailable] = ACTIONS(2522),
    [anon_sym___builtin_available] = ACTIONS(2520),
    [anon_sym_va_arg] = ACTIONS(2520),
    [anon_sym_ATencode] = ACTIONS(2522),
    [anon_sym_ATsynchronized] = ACTIONS(2522),
    [anon_sym_BOOL] = ACTIONS(2520),
    [anon_sym_IMP] = ACTIONS(2520),
    [anon_sym_SEL] = ACTIONS(2520),
    [anon_sym_Class] = ACTIONS(2520),
    [anon_sym_id] = ACTIONS(2520),
  },
  [418] = {
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_include_token1] = ACTIONS(2524),
    [aux_sym_preproc_include_token2] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token2] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [aux_sym_preproc_else_token1] = ACTIONS(2524),
    [aux_sym_preproc_elif_token1] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_CARET] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym___attribute] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___cdecl] = ACTIONS(2524),
    [anon_sym___clrcall] = ACTIONS(2524),
    [anon_sym___stdcall] = ACTIONS(2524),
    [anon_sym___fastcall] = ACTIONS(2524),
    [anon_sym___thiscall] = ACTIONS(2524),
    [anon_sym___vectorcall] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_ATautoreleasepool] = ACTIONS(2526),
    [anon_sym_auto] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_CG_EXTERN] = ACTIONS(2524),
    [anon_sym_CG_INLINE] = ACTIONS(2524),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2524),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2524),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2524),
    [anon_sym_IBOutlet] = ACTIONS(2524),
    [anon_sym_IBInspectable] = ACTIONS(2524),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2524),
    [anon_sym_NS_INLINE] = ACTIONS(2524),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2524),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2524),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2524),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym__Nonnull] = ACTIONS(2524),
    [anon_sym_nullable] = ACTIONS(2524),
    [anon_sym__Complex] = ACTIONS(2524),
    [anon_sym__Nullable] = ACTIONS(2524),
    [anon_sym__Nullable_result] = ACTIONS(2524),
    [anon_sym__Null_unspecified] = ACTIONS(2524),
    [anon_sym___autoreleasing] = ACTIONS(2524),
    [anon_sym___block] = ACTIONS(2524),
    [anon_sym___bridge] = ACTIONS(2524),
    [anon_sym___bridge_retained] = ACTIONS(2524),
    [anon_sym___bridge_transfer] = ACTIONS(2524),
    [anon_sym___complex] = ACTIONS(2524),
    [anon_sym___const] = ACTIONS(2524),
    [anon_sym___imag] = ACTIONS(2524),
    [anon_sym___kindof] = ACTIONS(2524),
    [anon_sym___nonnull] = ACTIONS(2524),
    [anon_sym___nullable] = ACTIONS(2524),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2524),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2524),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2524),
    [anon_sym___real] = ACTIONS(2524),
    [anon_sym___strong] = ACTIONS(2524),
    [anon_sym___unsafe_unretained] = ACTIONS(2524),
    [anon_sym___unused] = ACTIONS(2524),
    [anon_sym___weak] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym__Alignas] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_case] = ACTIONS(2524),
    [anon_sym_default] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_goto] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_sizeof] = ACTIONS(2524),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2524),
    [anon_sym__Generic] = ACTIONS(2524),
    [anon_sym_asm] = ACTIONS(2524),
    [anon_sym___asm__] = ACTIONS(2524),
    [anon_sym___asm] = ACTIONS(2524),
    [sym_number_literal] = ACTIONS(2526),
    [anon_sym_L_SQUOTE] = ACTIONS(2526),
    [anon_sym_u_SQUOTE] = ACTIONS(2526),
    [anon_sym_U_SQUOTE] = ACTIONS(2526),
    [anon_sym_u8_SQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_AT] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [anon_sym_L_DQUOTE] = ACTIONS(2526),
    [anon_sym_u_DQUOTE] = ACTIONS(2526),
    [anon_sym_U_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8_DQUOTE] = ACTIONS(2526),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [anon_sym_NULL] = ACTIONS(2524),
    [anon_sym_nullptr] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2524),
    [anon_sym___typeof] = ACTIONS(2524),
    [anon_sym_typeof] = ACTIONS(2524),
    [anon_sym_ATimport] = ACTIONS(2526),
    [aux_sym_preproc_undef_token1] = ACTIONS(2524),
    [anon_sym_POUND] = ACTIONS(2524),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2524),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2524),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2524),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2524),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2524),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2524),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2524),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2524),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2524),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_API_AVAILABLE] = ACTIONS(2524),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_API_DEPRECATED] = ACTIONS(2524),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2524),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2524),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2524),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2524),
    [anon_sym___deprecated_msg] = ACTIONS(2524),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2524),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2524),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2524),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2524),
    [anon_sym_ATprotocol] = ACTIONS(2526),
    [anon_sym_ATinterface] = ACTIONS(2526),
    [anon_sym_ATimplementation] = ACTIONS(2526),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2526),
    [anon_sym_ATsynthesize] = ACTIONS(2526),
    [anon_sym_ATdynamic] = ACTIONS(2526),
    [anon_sym_ATtry] = ACTIONS(2526),
    [anon_sym___try] = ACTIONS(2524),
    [anon_sym_ATthrow] = ACTIONS(2526),
    [anon_sym_ATselector] = ACTIONS(2526),
    [anon_sym_ATavailable] = ACTIONS(2526),
    [anon_sym___builtin_available] = ACTIONS(2524),
    [anon_sym_va_arg] = ACTIONS(2524),
    [anon_sym_ATencode] = ACTIONS(2526),
    [anon_sym_ATsynchronized] = ACTIONS(2526),
    [anon_sym_BOOL] = ACTIONS(2524),
    [anon_sym_IMP] = ACTIONS(2524),
    [anon_sym_SEL] = ACTIONS(2524),
    [anon_sym_Class] = ACTIONS(2524),
    [anon_sym_id] = ACTIONS(2524),
  },
  [419] = {
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_include_token1] = ACTIONS(2528),
    [aux_sym_preproc_include_token2] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token2] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [aux_sym_preproc_else_token1] = ACTIONS(2528),
    [aux_sym_preproc_elif_token1] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_BANG] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_CARET] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym___attribute] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___cdecl] = ACTIONS(2528),
    [anon_sym___clrcall] = ACTIONS(2528),
    [anon_sym___stdcall] = ACTIONS(2528),
    [anon_sym___fastcall] = ACTIONS(2528),
    [anon_sym___thiscall] = ACTIONS(2528),
    [anon_sym___vectorcall] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2530),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_ATautoreleasepool] = ACTIONS(2530),
    [anon_sym_auto] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_CG_EXTERN] = ACTIONS(2528),
    [anon_sym_CG_INLINE] = ACTIONS(2528),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2528),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2528),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2528),
    [anon_sym_IBOutlet] = ACTIONS(2528),
    [anon_sym_IBInspectable] = ACTIONS(2528),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2528),
    [anon_sym_NS_INLINE] = ACTIONS(2528),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2528),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2528),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2528),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_nullable] = ACTIONS(2528),
    [anon_sym__Complex] = ACTIONS(2528),
    [anon_sym__Nullable] = ACTIONS(2528),
    [anon_sym__Nullable_result] = ACTIONS(2528),
    [anon_sym__Null_unspecified] = ACTIONS(2528),
    [anon_sym___autoreleasing] = ACTIONS(2528),
    [anon_sym___block] = ACTIONS(2528),
    [anon_sym___bridge] = ACTIONS(2528),
    [anon_sym___bridge_retained] = ACTIONS(2528),
    [anon_sym___bridge_transfer] = ACTIONS(2528),
    [anon_sym___complex] = ACTIONS(2528),
    [anon_sym___const] = ACTIONS(2528),
    [anon_sym___imag] = ACTIONS(2528),
    [anon_sym___kindof] = ACTIONS(2528),
    [anon_sym___nonnull] = ACTIONS(2528),
    [anon_sym___nullable] = ACTIONS(2528),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2528),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2528),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2528),
    [anon_sym___real] = ACTIONS(2528),
    [anon_sym___strong] = ACTIONS(2528),
    [anon_sym___unsafe_unretained] = ACTIONS(2528),
    [anon_sym___unused] = ACTIONS(2528),
    [anon_sym___weak] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_if] = ACTIONS(2528),
    [anon_sym_else] = ACTIONS(2528),
    [anon_sym_switch] = ACTIONS(2528),
    [anon_sym_case] = ACTIONS(2528),
    [anon_sym_default] = ACTIONS(2528),
    [anon_sym_while] = ACTIONS(2528),
    [anon_sym_do] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2528),
    [anon_sym_in] = ACTIONS(2528),
    [anon_sym_return] = ACTIONS(2528),
    [anon_sym_break] = ACTIONS(2528),
    [anon_sym_continue] = ACTIONS(2528),
    [anon_sym_goto] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2530),
    [anon_sym_sizeof] = ACTIONS(2528),
    [anon_sym___alignof__] = ACTIONS(2528),
    [anon_sym___alignof] = ACTIONS(2528),
    [anon_sym__alignof] = ACTIONS(2528),
    [anon_sym_alignof] = ACTIONS(2528),
    [anon_sym__Alignof] = ACTIONS(2528),
    [anon_sym_offsetof] = ACTIONS(2528),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2528),
    [anon_sym___asm__] = ACTIONS(2528),
    [anon_sym___asm] = ACTIONS(2528),
    [sym_number_literal] = ACTIONS(2530),
    [anon_sym_L_SQUOTE] = ACTIONS(2530),
    [anon_sym_u_SQUOTE] = ACTIONS(2530),
    [anon_sym_U_SQUOTE] = ACTIONS(2530),
    [anon_sym_u8_SQUOTE] = ACTIONS(2530),
    [anon_sym_SQUOTE] = ACTIONS(2530),
    [anon_sym_AT] = ACTIONS(2528),
    [anon_sym_DQUOTE] = ACTIONS(2530),
    [anon_sym_L_DQUOTE] = ACTIONS(2530),
    [anon_sym_u_DQUOTE] = ACTIONS(2530),
    [anon_sym_U_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8_DQUOTE] = ACTIONS(2530),
    [sym_true] = ACTIONS(2528),
    [sym_false] = ACTIONS(2528),
    [anon_sym_NULL] = ACTIONS(2528),
    [anon_sym_nullptr] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2528),
    [anon_sym___typeof] = ACTIONS(2528),
    [anon_sym_typeof] = ACTIONS(2528),
    [anon_sym_ATimport] = ACTIONS(2530),
    [aux_sym_preproc_undef_token1] = ACTIONS(2528),
    [anon_sym_POUND] = ACTIONS(2528),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2528),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2528),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2528),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2528),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2528),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2528),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2528),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2528),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2528),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_API_AVAILABLE] = ACTIONS(2528),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_API_DEPRECATED] = ACTIONS(2528),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2528),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2528),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2528),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2528),
    [anon_sym___deprecated_msg] = ACTIONS(2528),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2528),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2528),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2528),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2528),
    [anon_sym_ATprotocol] = ACTIONS(2530),
    [anon_sym_ATinterface] = ACTIONS(2530),
    [anon_sym_ATimplementation] = ACTIONS(2530),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2530),
    [anon_sym_ATsynthesize] = ACTIONS(2530),
    [anon_sym_ATdynamic] = ACTIONS(2530),
    [anon_sym_ATtry] = ACTIONS(2530),
    [anon_sym___try] = ACTIONS(2528),
    [anon_sym_ATthrow] = ACTIONS(2530),
    [anon_sym_ATselector] = ACTIONS(2530),
    [anon_sym_ATavailable] = ACTIONS(2530),
    [anon_sym___builtin_available] = ACTIONS(2528),
    [anon_sym_va_arg] = ACTIONS(2528),
    [anon_sym_ATencode] = ACTIONS(2530),
    [anon_sym_ATsynchronized] = ACTIONS(2530),
    [anon_sym_BOOL] = ACTIONS(2528),
    [anon_sym_IMP] = ACTIONS(2528),
    [anon_sym_SEL] = ACTIONS(2528),
    [anon_sym_Class] = ACTIONS(2528),
    [anon_sym_id] = ACTIONS(2528),
  },
  [420] = {
    [sym_identifier] = ACTIONS(2532),
    [aux_sym_preproc_include_token1] = ACTIONS(2532),
    [aux_sym_preproc_include_token2] = ACTIONS(2532),
    [aux_sym_preproc_def_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token2] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2532),
    [aux_sym_preproc_else_token1] = ACTIONS(2532),
    [aux_sym_preproc_elif_token1] = ACTIONS(2532),
    [sym_preproc_directive] = ACTIONS(2532),
    [anon_sym_LPAREN2] = ACTIONS(2534),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_typedef] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym___cdecl] = ACTIONS(2532),
    [anon_sym___clrcall] = ACTIONS(2532),
    [anon_sym___stdcall] = ACTIONS(2532),
    [anon_sym___fastcall] = ACTIONS(2532),
    [anon_sym___thiscall] = ACTIONS(2532),
    [anon_sym___vectorcall] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_ATautoreleasepool] = ACTIONS(2534),
    [anon_sym_auto] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_CG_EXTERN] = ACTIONS(2532),
    [anon_sym_CG_INLINE] = ACTIONS(2532),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2532),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2532),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2532),
    [anon_sym_IBOutlet] = ACTIONS(2532),
    [anon_sym_IBInspectable] = ACTIONS(2532),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2532),
    [anon_sym_NS_INLINE] = ACTIONS(2532),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2532),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2532),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2532),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_nullable] = ACTIONS(2532),
    [anon_sym__Complex] = ACTIONS(2532),
    [anon_sym__Nullable] = ACTIONS(2532),
    [anon_sym__Nullable_result] = ACTIONS(2532),
    [anon_sym__Null_unspecified] = ACTIONS(2532),
    [anon_sym___autoreleasing] = ACTIONS(2532),
    [anon_sym___block] = ACTIONS(2532),
    [anon_sym___bridge] = ACTIONS(2532),
    [anon_sym___bridge_retained] = ACTIONS(2532),
    [anon_sym___bridge_transfer] = ACTIONS(2532),
    [anon_sym___complex] = ACTIONS(2532),
    [anon_sym___const] = ACTIONS(2532),
    [anon_sym___imag] = ACTIONS(2532),
    [anon_sym___kindof] = ACTIONS(2532),
    [anon_sym___nonnull] = ACTIONS(2532),
    [anon_sym___nullable] = ACTIONS(2532),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2532),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2532),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2532),
    [anon_sym___real] = ACTIONS(2532),
    [anon_sym___strong] = ACTIONS(2532),
    [anon_sym___unsafe_unretained] = ACTIONS(2532),
    [anon_sym___unused] = ACTIONS(2532),
    [anon_sym___weak] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2532),
    [anon_sym_else] = ACTIONS(2532),
    [anon_sym_switch] = ACTIONS(2532),
    [anon_sym_case] = ACTIONS(2532),
    [anon_sym_default] = ACTIONS(2532),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_do] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2532),
    [anon_sym_in] = ACTIONS(2532),
    [anon_sym_return] = ACTIONS(2532),
    [anon_sym_break] = ACTIONS(2532),
    [anon_sym_continue] = ACTIONS(2532),
    [anon_sym_goto] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2532),
    [anon_sym___alignof] = ACTIONS(2532),
    [anon_sym__alignof] = ACTIONS(2532),
    [anon_sym_alignof] = ACTIONS(2532),
    [anon_sym__Alignof] = ACTIONS(2532),
    [anon_sym_offsetof] = ACTIONS(2532),
    [anon_sym__Generic] = ACTIONS(2532),
    [anon_sym_asm] = ACTIONS(2532),
    [anon_sym___asm__] = ACTIONS(2532),
    [anon_sym___asm] = ACTIONS(2532),
    [sym_number_literal] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2534),
    [anon_sym_u_SQUOTE] = ACTIONS(2534),
    [anon_sym_U_SQUOTE] = ACTIONS(2534),
    [anon_sym_u8_SQUOTE] = ACTIONS(2534),
    [anon_sym_SQUOTE] = ACTIONS(2534),
    [anon_sym_AT] = ACTIONS(2532),
    [anon_sym_DQUOTE] = ACTIONS(2534),
    [anon_sym_L_DQUOTE] = ACTIONS(2534),
    [anon_sym_u_DQUOTE] = ACTIONS(2534),
    [anon_sym_U_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8_DQUOTE] = ACTIONS(2534),
    [sym_true] = ACTIONS(2532),
    [sym_false] = ACTIONS(2532),
    [anon_sym_NULL] = ACTIONS(2532),
    [anon_sym_nullptr] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2532),
    [anon_sym___typeof] = ACTIONS(2532),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_ATimport] = ACTIONS(2534),
    [aux_sym_preproc_undef_token1] = ACTIONS(2532),
    [anon_sym_POUND] = ACTIONS(2532),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2532),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2532),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2532),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2532),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2532),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2532),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2532),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2532),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2532),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_API_AVAILABLE] = ACTIONS(2532),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_API_DEPRECATED] = ACTIONS(2532),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2532),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2532),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2532),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2532),
    [anon_sym___deprecated_msg] = ACTIONS(2532),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2532),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2532),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2532),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2532),
    [anon_sym_ATprotocol] = ACTIONS(2534),
    [anon_sym_ATinterface] = ACTIONS(2534),
    [anon_sym_ATimplementation] = ACTIONS(2534),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2534),
    [anon_sym_ATsynthesize] = ACTIONS(2534),
    [anon_sym_ATdynamic] = ACTIONS(2534),
    [anon_sym_ATtry] = ACTIONS(2534),
    [anon_sym___try] = ACTIONS(2532),
    [anon_sym_ATthrow] = ACTIONS(2534),
    [anon_sym_ATselector] = ACTIONS(2534),
    [anon_sym_ATavailable] = ACTIONS(2534),
    [anon_sym___builtin_available] = ACTIONS(2532),
    [anon_sym_va_arg] = ACTIONS(2532),
    [anon_sym_ATencode] = ACTIONS(2534),
    [anon_sym_ATsynchronized] = ACTIONS(2534),
    [anon_sym_BOOL] = ACTIONS(2532),
    [anon_sym_IMP] = ACTIONS(2532),
    [anon_sym_SEL] = ACTIONS(2532),
    [anon_sym_Class] = ACTIONS(2532),
    [anon_sym_id] = ACTIONS(2532),
  },
  [421] = {
    [sym_identifier] = ACTIONS(2540),
    [aux_sym_preproc_include_token1] = ACTIONS(2540),
    [aux_sym_preproc_include_token2] = ACTIONS(2540),
    [aux_sym_preproc_def_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token2] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2540),
    [aux_sym_preproc_else_token1] = ACTIONS(2540),
    [aux_sym_preproc_elif_token1] = ACTIONS(2540),
    [sym_preproc_directive] = ACTIONS(2540),
    [anon_sym_LPAREN2] = ACTIONS(2542),
    [anon_sym_BANG] = ACTIONS(2542),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_CARET] = ACTIONS(2542),
    [anon_sym_AMP] = ACTIONS(2542),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_typedef] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym___attribute] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym___cdecl] = ACTIONS(2540),
    [anon_sym___clrcall] = ACTIONS(2540),
    [anon_sym___stdcall] = ACTIONS(2540),
    [anon_sym___fastcall] = ACTIONS(2540),
    [anon_sym___thiscall] = ACTIONS(2540),
    [anon_sym___vectorcall] = ACTIONS(2540),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_ATautoreleasepool] = ACTIONS(2542),
    [anon_sym_auto] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_CG_EXTERN] = ACTIONS(2540),
    [anon_sym_CG_INLINE] = ACTIONS(2540),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2540),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2540),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2540),
    [anon_sym_IBOutlet] = ACTIONS(2540),
    [anon_sym_IBInspectable] = ACTIONS(2540),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2540),
    [anon_sym_NS_INLINE] = ACTIONS(2540),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2540),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2540),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2540),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym__Nonnull] = ACTIONS(2540),
    [anon_sym_nullable] = ACTIONS(2540),
    [anon_sym__Complex] = ACTIONS(2540),
    [anon_sym__Nullable] = ACTIONS(2540),
    [anon_sym__Nullable_result] = ACTIONS(2540),
    [anon_sym__Null_unspecified] = ACTIONS(2540),
    [anon_sym___autoreleasing] = ACTIONS(2540),
    [anon_sym___block] = ACTIONS(2540),
    [anon_sym___bridge] = ACTIONS(2540),
    [anon_sym___bridge_retained] = ACTIONS(2540),
    [anon_sym___bridge_transfer] = ACTIONS(2540),
    [anon_sym___complex] = ACTIONS(2540),
    [anon_sym___const] = ACTIONS(2540),
    [anon_sym___imag] = ACTIONS(2540),
    [anon_sym___kindof] = ACTIONS(2540),
    [anon_sym___nonnull] = ACTIONS(2540),
    [anon_sym___nullable] = ACTIONS(2540),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2540),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2540),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2540),
    [anon_sym___real] = ACTIONS(2540),
    [anon_sym___strong] = ACTIONS(2540),
    [anon_sym___unsafe_unretained] = ACTIONS(2540),
    [anon_sym___unused] = ACTIONS(2540),
    [anon_sym___weak] = ACTIONS(2540),
    [anon_sym_alignas] = ACTIONS(2540),
    [anon_sym__Alignas] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [anon_sym_if] = ACTIONS(2540),
    [anon_sym_else] = ACTIONS(2540),
    [anon_sym_switch] = ACTIONS(2540),
    [anon_sym_case] = ACTIONS(2540),
    [anon_sym_default] = ACTIONS(2540),
    [anon_sym_while] = ACTIONS(2540),
    [anon_sym_do] = ACTIONS(2540),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_in] = ACTIONS(2540),
    [anon_sym_return] = ACTIONS(2540),
    [anon_sym_break] = ACTIONS(2540),
    [anon_sym_continue] = ACTIONS(2540),
    [anon_sym_goto] = ACTIONS(2540),
    [anon_sym_DASH_DASH] = ACTIONS(2542),
    [anon_sym_PLUS_PLUS] = ACTIONS(2542),
    [anon_sym_sizeof] = ACTIONS(2540),
    [anon_sym___alignof__] = ACTIONS(2540),
    [anon_sym___alignof] = ACTIONS(2540),
    [anon_sym__alignof] = ACTIONS(2540),
    [anon_sym_alignof] = ACTIONS(2540),
    [anon_sym__Alignof] = ACTIONS(2540),
    [anon_sym_offsetof] = ACTIONS(2540),
    [anon_sym__Generic] = ACTIONS(2540),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [anon_sym___asm] = ACTIONS(2540),
    [sym_number_literal] = ACTIONS(2542),
    [anon_sym_L_SQUOTE] = ACTIONS(2542),
    [anon_sym_u_SQUOTE] = ACTIONS(2542),
    [anon_sym_U_SQUOTE] = ACTIONS(2542),
    [anon_sym_u8_SQUOTE] = ACTIONS(2542),
    [anon_sym_SQUOTE] = ACTIONS(2542),
    [anon_sym_AT] = ACTIONS(2540),
    [anon_sym_DQUOTE] = ACTIONS(2542),
    [anon_sym_L_DQUOTE] = ACTIONS(2542),
    [anon_sym_u_DQUOTE] = ACTIONS(2542),
    [anon_sym_U_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8_DQUOTE] = ACTIONS(2542),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2540),
    [anon_sym_nullptr] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2540),
    [anon_sym___typeof] = ACTIONS(2540),
    [anon_sym_typeof] = ACTIONS(2540),
    [anon_sym_ATimport] = ACTIONS(2542),
    [aux_sym_preproc_undef_token1] = ACTIONS(2540),
    [anon_sym_POUND] = ACTIONS(2540),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2540),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2540),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2540),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2540),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2540),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2540),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2540),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2540),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2540),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_API_AVAILABLE] = ACTIONS(2540),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_API_DEPRECATED] = ACTIONS(2540),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2540),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2540),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2540),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2540),
    [anon_sym___deprecated_msg] = ACTIONS(2540),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2540),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2540),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2540),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2540),
    [anon_sym_ATprotocol] = ACTIONS(2542),
    [anon_sym_ATinterface] = ACTIONS(2542),
    [anon_sym_ATimplementation] = ACTIONS(2542),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2542),
    [anon_sym_ATsynthesize] = ACTIONS(2542),
    [anon_sym_ATdynamic] = ACTIONS(2542),
    [anon_sym_ATtry] = ACTIONS(2542),
    [anon_sym___try] = ACTIONS(2540),
    [anon_sym_ATthrow] = ACTIONS(2542),
    [anon_sym_ATselector] = ACTIONS(2542),
    [anon_sym_ATavailable] = ACTIONS(2542),
    [anon_sym___builtin_available] = ACTIONS(2540),
    [anon_sym_va_arg] = ACTIONS(2540),
    [anon_sym_ATencode] = ACTIONS(2542),
    [anon_sym_ATsynchronized] = ACTIONS(2542),
    [anon_sym_BOOL] = ACTIONS(2540),
    [anon_sym_IMP] = ACTIONS(2540),
    [anon_sym_SEL] = ACTIONS(2540),
    [anon_sym_Class] = ACTIONS(2540),
    [anon_sym_id] = ACTIONS(2540),
  },
  [422] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_include_token2] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym___attribute] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_ATautoreleasepool] = ACTIONS(2546),
    [anon_sym_auto] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_CG_EXTERN] = ACTIONS(2544),
    [anon_sym_CG_INLINE] = ACTIONS(2544),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2544),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2544),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2544),
    [anon_sym_IBOutlet] = ACTIONS(2544),
    [anon_sym_IBInspectable] = ACTIONS(2544),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2544),
    [anon_sym_NS_INLINE] = ACTIONS(2544),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2544),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2544),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2544),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym__Nonnull] = ACTIONS(2544),
    [anon_sym_nullable] = ACTIONS(2544),
    [anon_sym__Complex] = ACTIONS(2544),
    [anon_sym__Nullable] = ACTIONS(2544),
    [anon_sym__Nullable_result] = ACTIONS(2544),
    [anon_sym__Null_unspecified] = ACTIONS(2544),
    [anon_sym___autoreleasing] = ACTIONS(2544),
    [anon_sym___block] = ACTIONS(2544),
    [anon_sym___bridge] = ACTIONS(2544),
    [anon_sym___bridge_retained] = ACTIONS(2544),
    [anon_sym___bridge_transfer] = ACTIONS(2544),
    [anon_sym___complex] = ACTIONS(2544),
    [anon_sym___const] = ACTIONS(2544),
    [anon_sym___imag] = ACTIONS(2544),
    [anon_sym___kindof] = ACTIONS(2544),
    [anon_sym___nonnull] = ACTIONS(2544),
    [anon_sym___nullable] = ACTIONS(2544),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2544),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2544),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2544),
    [anon_sym___real] = ACTIONS(2544),
    [anon_sym___strong] = ACTIONS(2544),
    [anon_sym___unsafe_unretained] = ACTIONS(2544),
    [anon_sym___unused] = ACTIONS(2544),
    [anon_sym___weak] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym__Alignas] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_in] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [anon_sym___asm] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_AT] = ACTIONS(2544),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2544),
    [anon_sym___typeof] = ACTIONS(2544),
    [anon_sym_typeof] = ACTIONS(2544),
    [anon_sym_ATimport] = ACTIONS(2546),
    [aux_sym_preproc_undef_token1] = ACTIONS(2544),
    [anon_sym_POUND] = ACTIONS(2544),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2544),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2544),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2544),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2544),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2544),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2544),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2544),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2544),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2544),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_API_AVAILABLE] = ACTIONS(2544),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_API_DEPRECATED] = ACTIONS(2544),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2544),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2544),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2544),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2544),
    [anon_sym___deprecated_msg] = ACTIONS(2544),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2544),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2544),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2544),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2544),
    [anon_sym_ATprotocol] = ACTIONS(2546),
    [anon_sym_ATinterface] = ACTIONS(2546),
    [anon_sym_ATimplementation] = ACTIONS(2546),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2546),
    [anon_sym_ATsynthesize] = ACTIONS(2546),
    [anon_sym_ATdynamic] = ACTIONS(2546),
    [anon_sym_ATtry] = ACTIONS(2546),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym_ATthrow] = ACTIONS(2546),
    [anon_sym_ATselector] = ACTIONS(2546),
    [anon_sym_ATavailable] = ACTIONS(2546),
    [anon_sym___builtin_available] = ACTIONS(2544),
    [anon_sym_va_arg] = ACTIONS(2544),
    [anon_sym_ATencode] = ACTIONS(2546),
    [anon_sym_ATsynchronized] = ACTIONS(2546),
    [anon_sym_BOOL] = ACTIONS(2544),
    [anon_sym_IMP] = ACTIONS(2544),
    [anon_sym_SEL] = ACTIONS(2544),
    [anon_sym_Class] = ACTIONS(2544),
    [anon_sym_id] = ACTIONS(2544),
  },
  [423] = {
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_include_token1] = ACTIONS(2548),
    [aux_sym_preproc_include_token2] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token2] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [aux_sym_preproc_else_token1] = ACTIONS(2548),
    [aux_sym_preproc_elif_token1] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_CARET] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2550),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym___attribute] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___cdecl] = ACTIONS(2548),
    [anon_sym___clrcall] = ACTIONS(2548),
    [anon_sym___stdcall] = ACTIONS(2548),
    [anon_sym___fastcall] = ACTIONS(2548),
    [anon_sym___thiscall] = ACTIONS(2548),
    [anon_sym___vectorcall] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_ATautoreleasepool] = ACTIONS(2550),
    [anon_sym_auto] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_CG_EXTERN] = ACTIONS(2548),
    [anon_sym_CG_INLINE] = ACTIONS(2548),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2548),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2548),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2548),
    [anon_sym_IBOutlet] = ACTIONS(2548),
    [anon_sym_IBInspectable] = ACTIONS(2548),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2548),
    [anon_sym_NS_INLINE] = ACTIONS(2548),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2548),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2548),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2548),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym__Nonnull] = ACTIONS(2548),
    [anon_sym_nullable] = ACTIONS(2548),
    [anon_sym__Complex] = ACTIONS(2548),
    [anon_sym__Nullable] = ACTIONS(2548),
    [anon_sym__Nullable_result] = ACTIONS(2548),
    [anon_sym__Null_unspecified] = ACTIONS(2548),
    [anon_sym___autoreleasing] = ACTIONS(2548),
    [anon_sym___block] = ACTIONS(2548),
    [anon_sym___bridge] = ACTIONS(2548),
    [anon_sym___bridge_retained] = ACTIONS(2548),
    [anon_sym___bridge_transfer] = ACTIONS(2548),
    [anon_sym___complex] = ACTIONS(2548),
    [anon_sym___const] = ACTIONS(2548),
    [anon_sym___imag] = ACTIONS(2548),
    [anon_sym___kindof] = ACTIONS(2548),
    [anon_sym___nonnull] = ACTIONS(2548),
    [anon_sym___nullable] = ACTIONS(2548),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2548),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2548),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2548),
    [anon_sym___real] = ACTIONS(2548),
    [anon_sym___strong] = ACTIONS(2548),
    [anon_sym___unsafe_unretained] = ACTIONS(2548),
    [anon_sym___unused] = ACTIONS(2548),
    [anon_sym___weak] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_else] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_case] = ACTIONS(2548),
    [anon_sym_default] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_in] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [anon_sym___asm] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_AT] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2548),
    [anon_sym___typeof] = ACTIONS(2548),
    [anon_sym_typeof] = ACTIONS(2548),
    [anon_sym_ATimport] = ACTIONS(2550),
    [aux_sym_preproc_undef_token1] = ACTIONS(2548),
    [anon_sym_POUND] = ACTIONS(2548),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2548),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2548),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2548),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2548),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2548),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2548),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2548),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2548),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2548),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_API_AVAILABLE] = ACTIONS(2548),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_API_DEPRECATED] = ACTIONS(2548),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2548),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2548),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2548),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2548),
    [anon_sym___deprecated_msg] = ACTIONS(2548),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2548),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2548),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2548),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2548),
    [anon_sym_ATprotocol] = ACTIONS(2550),
    [anon_sym_ATinterface] = ACTIONS(2550),
    [anon_sym_ATimplementation] = ACTIONS(2550),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2550),
    [anon_sym_ATsynthesize] = ACTIONS(2550),
    [anon_sym_ATdynamic] = ACTIONS(2550),
    [anon_sym_ATtry] = ACTIONS(2550),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym_ATthrow] = ACTIONS(2550),
    [anon_sym_ATselector] = ACTIONS(2550),
    [anon_sym_ATavailable] = ACTIONS(2550),
    [anon_sym___builtin_available] = ACTIONS(2548),
    [anon_sym_va_arg] = ACTIONS(2548),
    [anon_sym_ATencode] = ACTIONS(2550),
    [anon_sym_ATsynchronized] = ACTIONS(2550),
    [anon_sym_BOOL] = ACTIONS(2548),
    [anon_sym_IMP] = ACTIONS(2548),
    [anon_sym_SEL] = ACTIONS(2548),
    [anon_sym_Class] = ACTIONS(2548),
    [anon_sym_id] = ACTIONS(2548),
  },
  [424] = {
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_include_token1] = ACTIONS(2552),
    [aux_sym_preproc_include_token2] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token2] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [aux_sym_preproc_else_token1] = ACTIONS(2552),
    [aux_sym_preproc_elif_token1] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_CARET] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym___attribute] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym___cdecl] = ACTIONS(2552),
    [anon_sym___clrcall] = ACTIONS(2552),
    [anon_sym___stdcall] = ACTIONS(2552),
    [anon_sym___fastcall] = ACTIONS(2552),
    [anon_sym___thiscall] = ACTIONS(2552),
    [anon_sym___vectorcall] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_ATautoreleasepool] = ACTIONS(2554),
    [anon_sym_auto] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_CG_EXTERN] = ACTIONS(2552),
    [anon_sym_CG_INLINE] = ACTIONS(2552),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2552),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2552),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2552),
    [anon_sym_IBOutlet] = ACTIONS(2552),
    [anon_sym_IBInspectable] = ACTIONS(2552),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2552),
    [anon_sym_NS_INLINE] = ACTIONS(2552),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2552),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2552),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2552),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym__Nonnull] = ACTIONS(2552),
    [anon_sym_nullable] = ACTIONS(2552),
    [anon_sym__Complex] = ACTIONS(2552),
    [anon_sym__Nullable] = ACTIONS(2552),
    [anon_sym__Nullable_result] = ACTIONS(2552),
    [anon_sym__Null_unspecified] = ACTIONS(2552),
    [anon_sym___autoreleasing] = ACTIONS(2552),
    [anon_sym___block] = ACTIONS(2552),
    [anon_sym___bridge] = ACTIONS(2552),
    [anon_sym___bridge_retained] = ACTIONS(2552),
    [anon_sym___bridge_transfer] = ACTIONS(2552),
    [anon_sym___complex] = ACTIONS(2552),
    [anon_sym___const] = ACTIONS(2552),
    [anon_sym___imag] = ACTIONS(2552),
    [anon_sym___kindof] = ACTIONS(2552),
    [anon_sym___nonnull] = ACTIONS(2552),
    [anon_sym___nullable] = ACTIONS(2552),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2552),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2552),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2552),
    [anon_sym___real] = ACTIONS(2552),
    [anon_sym___strong] = ACTIONS(2552),
    [anon_sym___unsafe_unretained] = ACTIONS(2552),
    [anon_sym___unused] = ACTIONS(2552),
    [anon_sym___weak] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym__Alignas] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_switch] = ACTIONS(2552),
    [anon_sym_case] = ACTIONS(2552),
    [anon_sym_default] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_do] = ACTIONS(2552),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_break] = ACTIONS(2552),
    [anon_sym_continue] = ACTIONS(2552),
    [anon_sym_goto] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_sizeof] = ACTIONS(2552),
    [anon_sym___alignof__] = ACTIONS(2552),
    [anon_sym___alignof] = ACTIONS(2552),
    [anon_sym__alignof] = ACTIONS(2552),
    [anon_sym_alignof] = ACTIONS(2552),
    [anon_sym__Alignof] = ACTIONS(2552),
    [anon_sym_offsetof] = ACTIONS(2552),
    [anon_sym__Generic] = ACTIONS(2552),
    [anon_sym_asm] = ACTIONS(2552),
    [anon_sym___asm__] = ACTIONS(2552),
    [anon_sym___asm] = ACTIONS(2552),
    [sym_number_literal] = ACTIONS(2554),
    [anon_sym_L_SQUOTE] = ACTIONS(2554),
    [anon_sym_u_SQUOTE] = ACTIONS(2554),
    [anon_sym_U_SQUOTE] = ACTIONS(2554),
    [anon_sym_u8_SQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [anon_sym_AT] = ACTIONS(2552),
    [anon_sym_DQUOTE] = ACTIONS(2554),
    [anon_sym_L_DQUOTE] = ACTIONS(2554),
    [anon_sym_u_DQUOTE] = ACTIONS(2554),
    [anon_sym_U_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8_DQUOTE] = ACTIONS(2554),
    [sym_true] = ACTIONS(2552),
    [sym_false] = ACTIONS(2552),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2552),
    [anon_sym___typeof] = ACTIONS(2552),
    [anon_sym_typeof] = ACTIONS(2552),
    [anon_sym_ATimport] = ACTIONS(2554),
    [aux_sym_preproc_undef_token1] = ACTIONS(2552),
    [anon_sym_POUND] = ACTIONS(2552),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2552),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2552),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2552),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2552),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2552),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2552),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2552),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2552),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2552),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_API_AVAILABLE] = ACTIONS(2552),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_API_DEPRECATED] = ACTIONS(2552),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2552),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2552),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2552),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2552),
    [anon_sym___deprecated_msg] = ACTIONS(2552),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2552),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2552),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2552),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2552),
    [anon_sym_ATprotocol] = ACTIONS(2554),
    [anon_sym_ATinterface] = ACTIONS(2554),
    [anon_sym_ATimplementation] = ACTIONS(2554),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2554),
    [anon_sym_ATsynthesize] = ACTIONS(2554),
    [anon_sym_ATdynamic] = ACTIONS(2554),
    [anon_sym_ATtry] = ACTIONS(2554),
    [anon_sym___try] = ACTIONS(2552),
    [anon_sym_ATthrow] = ACTIONS(2554),
    [anon_sym_ATselector] = ACTIONS(2554),
    [anon_sym_ATavailable] = ACTIONS(2554),
    [anon_sym___builtin_available] = ACTIONS(2552),
    [anon_sym_va_arg] = ACTIONS(2552),
    [anon_sym_ATencode] = ACTIONS(2554),
    [anon_sym_ATsynchronized] = ACTIONS(2554),
    [anon_sym_BOOL] = ACTIONS(2552),
    [anon_sym_IMP] = ACTIONS(2552),
    [anon_sym_SEL] = ACTIONS(2552),
    [anon_sym_Class] = ACTIONS(2552),
    [anon_sym_id] = ACTIONS(2552),
  },
  [425] = {
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_include_token2] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token2] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [aux_sym_preproc_else_token1] = ACTIONS(2556),
    [aux_sym_preproc_elif_token1] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_CARET] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym___attribute] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_ATautoreleasepool] = ACTIONS(2558),
    [anon_sym_auto] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_CG_EXTERN] = ACTIONS(2556),
    [anon_sym_CG_INLINE] = ACTIONS(2556),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2556),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2556),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2556),
    [anon_sym_IBOutlet] = ACTIONS(2556),
    [anon_sym_IBInspectable] = ACTIONS(2556),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2556),
    [anon_sym_NS_INLINE] = ACTIONS(2556),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2556),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2556),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2556),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym__Nonnull] = ACTIONS(2556),
    [anon_sym_nullable] = ACTIONS(2556),
    [anon_sym__Complex] = ACTIONS(2556),
    [anon_sym__Nullable] = ACTIONS(2556),
    [anon_sym__Nullable_result] = ACTIONS(2556),
    [anon_sym__Null_unspecified] = ACTIONS(2556),
    [anon_sym___autoreleasing] = ACTIONS(2556),
    [anon_sym___block] = ACTIONS(2556),
    [anon_sym___bridge] = ACTIONS(2556),
    [anon_sym___bridge_retained] = ACTIONS(2556),
    [anon_sym___bridge_transfer] = ACTIONS(2556),
    [anon_sym___complex] = ACTIONS(2556),
    [anon_sym___const] = ACTIONS(2556),
    [anon_sym___imag] = ACTIONS(2556),
    [anon_sym___kindof] = ACTIONS(2556),
    [anon_sym___nonnull] = ACTIONS(2556),
    [anon_sym___nullable] = ACTIONS(2556),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2556),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2556),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2556),
    [anon_sym___real] = ACTIONS(2556),
    [anon_sym___strong] = ACTIONS(2556),
    [anon_sym___unsafe_unretained] = ACTIONS(2556),
    [anon_sym___unused] = ACTIONS(2556),
    [anon_sym___weak] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_in] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [anon_sym___asm] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2556),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2556),
    [anon_sym___typeof] = ACTIONS(2556),
    [anon_sym_typeof] = ACTIONS(2556),
    [anon_sym_ATimport] = ACTIONS(2558),
    [aux_sym_preproc_undef_token1] = ACTIONS(2556),
    [anon_sym_POUND] = ACTIONS(2556),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2556),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2556),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2556),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2556),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2556),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2556),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2556),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2556),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2556),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_API_AVAILABLE] = ACTIONS(2556),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_API_DEPRECATED] = ACTIONS(2556),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2556),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2556),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2556),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2556),
    [anon_sym___deprecated_msg] = ACTIONS(2556),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2556),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2556),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2556),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2556),
    [anon_sym_ATprotocol] = ACTIONS(2558),
    [anon_sym_ATinterface] = ACTIONS(2558),
    [anon_sym_ATimplementation] = ACTIONS(2558),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2558),
    [anon_sym_ATsynthesize] = ACTIONS(2558),
    [anon_sym_ATdynamic] = ACTIONS(2558),
    [anon_sym_ATtry] = ACTIONS(2558),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym_ATthrow] = ACTIONS(2558),
    [anon_sym_ATselector] = ACTIONS(2558),
    [anon_sym_ATavailable] = ACTIONS(2558),
    [anon_sym___builtin_available] = ACTIONS(2556),
    [anon_sym_va_arg] = ACTIONS(2556),
    [anon_sym_ATencode] = ACTIONS(2558),
    [anon_sym_ATsynchronized] = ACTIONS(2558),
    [anon_sym_BOOL] = ACTIONS(2556),
    [anon_sym_IMP] = ACTIONS(2556),
    [anon_sym_SEL] = ACTIONS(2556),
    [anon_sym_Class] = ACTIONS(2556),
    [anon_sym_id] = ACTIONS(2556),
  },
  [426] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_include_token1] = ACTIONS(2560),
    [aux_sym_preproc_include_token2] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token2] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [aux_sym_preproc_else_token1] = ACTIONS(2560),
    [aux_sym_preproc_elif_token1] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_CARET] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym___attribute] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___cdecl] = ACTIONS(2560),
    [anon_sym___clrcall] = ACTIONS(2560),
    [anon_sym___stdcall] = ACTIONS(2560),
    [anon_sym___fastcall] = ACTIONS(2560),
    [anon_sym___thiscall] = ACTIONS(2560),
    [anon_sym___vectorcall] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_ATautoreleasepool] = ACTIONS(2562),
    [anon_sym_auto] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_CG_EXTERN] = ACTIONS(2560),
    [anon_sym_CG_INLINE] = ACTIONS(2560),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2560),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2560),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2560),
    [anon_sym_IBOutlet] = ACTIONS(2560),
    [anon_sym_IBInspectable] = ACTIONS(2560),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2560),
    [anon_sym_NS_INLINE] = ACTIONS(2560),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2560),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2560),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2560),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym__Nonnull] = ACTIONS(2560),
    [anon_sym_nullable] = ACTIONS(2560),
    [anon_sym__Complex] = ACTIONS(2560),
    [anon_sym__Nullable] = ACTIONS(2560),
    [anon_sym__Nullable_result] = ACTIONS(2560),
    [anon_sym__Null_unspecified] = ACTIONS(2560),
    [anon_sym___autoreleasing] = ACTIONS(2560),
    [anon_sym___block] = ACTIONS(2560),
    [anon_sym___bridge] = ACTIONS(2560),
    [anon_sym___bridge_retained] = ACTIONS(2560),
    [anon_sym___bridge_transfer] = ACTIONS(2560),
    [anon_sym___complex] = ACTIONS(2560),
    [anon_sym___const] = ACTIONS(2560),
    [anon_sym___imag] = ACTIONS(2560),
    [anon_sym___kindof] = ACTIONS(2560),
    [anon_sym___nonnull] = ACTIONS(2560),
    [anon_sym___nullable] = ACTIONS(2560),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2560),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2560),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2560),
    [anon_sym___real] = ACTIONS(2560),
    [anon_sym___strong] = ACTIONS(2560),
    [anon_sym___unsafe_unretained] = ACTIONS(2560),
    [anon_sym___unused] = ACTIONS(2560),
    [anon_sym___weak] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym__Alignas] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2560),
    [anon_sym_default] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [anon_sym___asm] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2560),
    [anon_sym___typeof] = ACTIONS(2560),
    [anon_sym_typeof] = ACTIONS(2560),
    [anon_sym_ATimport] = ACTIONS(2562),
    [aux_sym_preproc_undef_token1] = ACTIONS(2560),
    [anon_sym_POUND] = ACTIONS(2560),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2560),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2560),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2560),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2560),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2560),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2560),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2560),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2560),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2560),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_API_AVAILABLE] = ACTIONS(2560),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_API_DEPRECATED] = ACTIONS(2560),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2560),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2560),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2560),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2560),
    [anon_sym___deprecated_msg] = ACTIONS(2560),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2560),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2560),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2560),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2560),
    [anon_sym_ATprotocol] = ACTIONS(2562),
    [anon_sym_ATinterface] = ACTIONS(2562),
    [anon_sym_ATimplementation] = ACTIONS(2562),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2562),
    [anon_sym_ATsynthesize] = ACTIONS(2562),
    [anon_sym_ATdynamic] = ACTIONS(2562),
    [anon_sym_ATtry] = ACTIONS(2562),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym_ATthrow] = ACTIONS(2562),
    [anon_sym_ATselector] = ACTIONS(2562),
    [anon_sym_ATavailable] = ACTIONS(2562),
    [anon_sym___builtin_available] = ACTIONS(2560),
    [anon_sym_va_arg] = ACTIONS(2560),
    [anon_sym_ATencode] = ACTIONS(2562),
    [anon_sym_ATsynchronized] = ACTIONS(2562),
    [anon_sym_BOOL] = ACTIONS(2560),
    [anon_sym_IMP] = ACTIONS(2560),
    [anon_sym_SEL] = ACTIONS(2560),
    [anon_sym_Class] = ACTIONS(2560),
    [anon_sym_id] = ACTIONS(2560),
  },
  [427] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [428] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [429] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [430] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [431] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [432] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [433] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [434] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [435] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [436] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [437] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [438] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [439] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [440] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [441] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [442] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [aux_sym_preproc_else_token1] = ACTIONS(2456),
    [aux_sym_preproc_elif_token1] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [443] = {
    [sym_identifier] = ACTIONS(2408),
    [aux_sym_preproc_include_token1] = ACTIONS(2408),
    [aux_sym_preproc_include_token2] = ACTIONS(2408),
    [aux_sym_preproc_def_token1] = ACTIONS(2408),
    [aux_sym_preproc_if_token1] = ACTIONS(2408),
    [aux_sym_preproc_if_token2] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2408),
    [aux_sym_preproc_else_token1] = ACTIONS(2408),
    [aux_sym_preproc_elif_token1] = ACTIONS(2408),
    [sym_preproc_directive] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_CARET] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym___extension__] = ACTIONS(2408),
    [anon_sym_typedef] = ACTIONS(2408),
    [anon_sym_extern] = ACTIONS(2408),
    [anon_sym___attribute__] = ACTIONS(2408),
    [anon_sym___attribute] = ACTIONS(2408),
    [anon_sym_noreturn] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym___declspec] = ACTIONS(2408),
    [anon_sym___cdecl] = ACTIONS(2408),
    [anon_sym___clrcall] = ACTIONS(2408),
    [anon_sym___stdcall] = ACTIONS(2408),
    [anon_sym___fastcall] = ACTIONS(2408),
    [anon_sym___thiscall] = ACTIONS(2408),
    [anon_sym___vectorcall] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_signed] = ACTIONS(2408),
    [anon_sym_unsigned] = ACTIONS(2408),
    [anon_sym_long] = ACTIONS(2408),
    [anon_sym_short] = ACTIONS(2408),
    [anon_sym_static] = ACTIONS(2408),
    [anon_sym_ATautoreleasepool] = ACTIONS(2410),
    [anon_sym_auto] = ACTIONS(2408),
    [anon_sym_register] = ACTIONS(2408),
    [anon_sym_inline] = ACTIONS(2408),
    [anon_sym___inline] = ACTIONS(2408),
    [anon_sym___inline__] = ACTIONS(2408),
    [anon_sym___forceinline] = ACTIONS(2408),
    [anon_sym_thread_local] = ACTIONS(2408),
    [anon_sym___thread] = ACTIONS(2408),
    [anon_sym_CG_EXTERN] = ACTIONS(2408),
    [anon_sym_CG_INLINE] = ACTIONS(2408),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2408),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2408),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2408),
    [anon_sym_IBOutlet] = ACTIONS(2408),
    [anon_sym_IBInspectable] = ACTIONS(2408),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2408),
    [anon_sym_NS_INLINE] = ACTIONS(2408),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2408),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2408),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2408),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2408),
    [anon_sym_const] = ACTIONS(2408),
    [anon_sym_constexpr] = ACTIONS(2408),
    [anon_sym_volatile] = ACTIONS(2408),
    [anon_sym_restrict] = ACTIONS(2408),
    [anon_sym___restrict__] = ACTIONS(2408),
    [anon_sym__Atomic] = ACTIONS(2408),
    [anon_sym__Noreturn] = ACTIONS(2408),
    [anon_sym__Nonnull] = ACTIONS(2408),
    [anon_sym_nullable] = ACTIONS(2408),
    [anon_sym__Complex] = ACTIONS(2408),
    [anon_sym__Nullable] = ACTIONS(2408),
    [anon_sym__Nullable_result] = ACTIONS(2408),
    [anon_sym__Null_unspecified] = ACTIONS(2408),
    [anon_sym___autoreleasing] = ACTIONS(2408),
    [anon_sym___block] = ACTIONS(2408),
    [anon_sym___bridge] = ACTIONS(2408),
    [anon_sym___bridge_retained] = ACTIONS(2408),
    [anon_sym___bridge_transfer] = ACTIONS(2408),
    [anon_sym___complex] = ACTIONS(2408),
    [anon_sym___const] = ACTIONS(2408),
    [anon_sym___imag] = ACTIONS(2408),
    [anon_sym___kindof] = ACTIONS(2408),
    [anon_sym___nonnull] = ACTIONS(2408),
    [anon_sym___nullable] = ACTIONS(2408),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2408),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2408),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2408),
    [anon_sym___real] = ACTIONS(2408),
    [anon_sym___strong] = ACTIONS(2408),
    [anon_sym___unsafe_unretained] = ACTIONS(2408),
    [anon_sym___unused] = ACTIONS(2408),
    [anon_sym___weak] = ACTIONS(2408),
    [anon_sym_alignas] = ACTIONS(2408),
    [anon_sym__Alignas] = ACTIONS(2408),
    [sym_primitive_type] = ACTIONS(2408),
    [anon_sym_enum] = ACTIONS(2408),
    [anon_sym_struct] = ACTIONS(2408),
    [anon_sym_union] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_else] = ACTIONS(2408),
    [anon_sym_switch] = ACTIONS(2408),
    [anon_sym_case] = ACTIONS(2408),
    [anon_sym_default] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_break] = ACTIONS(2408),
    [anon_sym_continue] = ACTIONS(2408),
    [anon_sym_goto] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_PLUS] = ACTIONS(2410),
    [anon_sym_sizeof] = ACTIONS(2408),
    [anon_sym___alignof__] = ACTIONS(2408),
    [anon_sym___alignof] = ACTIONS(2408),
    [anon_sym__alignof] = ACTIONS(2408),
    [anon_sym_alignof] = ACTIONS(2408),
    [anon_sym__Alignof] = ACTIONS(2408),
    [anon_sym_offsetof] = ACTIONS(2408),
    [anon_sym__Generic] = ACTIONS(2408),
    [anon_sym_asm] = ACTIONS(2408),
    [anon_sym___asm__] = ACTIONS(2408),
    [anon_sym___asm] = ACTIONS(2408),
    [sym_number_literal] = ACTIONS(2410),
    [anon_sym_L_SQUOTE] = ACTIONS(2410),
    [anon_sym_u_SQUOTE] = ACTIONS(2410),
    [anon_sym_U_SQUOTE] = ACTIONS(2410),
    [anon_sym_u8_SQUOTE] = ACTIONS(2410),
    [anon_sym_SQUOTE] = ACTIONS(2410),
    [anon_sym_AT] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_L_DQUOTE] = ACTIONS(2410),
    [anon_sym_u_DQUOTE] = ACTIONS(2410),
    [anon_sym_U_DQUOTE] = ACTIONS(2410),
    [anon_sym_u8_DQUOTE] = ACTIONS(2410),
    [sym_true] = ACTIONS(2408),
    [sym_false] = ACTIONS(2408),
    [anon_sym_NULL] = ACTIONS(2408),
    [anon_sym_nullptr] = ACTIONS(2408),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2408),
    [anon_sym___typeof] = ACTIONS(2408),
    [anon_sym_typeof] = ACTIONS(2408),
    [anon_sym_ATimport] = ACTIONS(2410),
    [aux_sym_preproc_undef_token1] = ACTIONS(2408),
    [anon_sym_POUND] = ACTIONS(2408),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2408),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2408),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2408),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2408),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2408),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2408),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2408),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2408),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2408),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_API_AVAILABLE] = ACTIONS(2408),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_API_DEPRECATED] = ACTIONS(2408),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2408),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2408),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2408),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2408),
    [anon_sym___deprecated_msg] = ACTIONS(2408),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2408),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2408),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2408),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2408),
    [anon_sym_ATprotocol] = ACTIONS(2410),
    [anon_sym_ATinterface] = ACTIONS(2410),
    [anon_sym_ATimplementation] = ACTIONS(2410),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2410),
    [anon_sym_ATsynthesize] = ACTIONS(2410),
    [anon_sym_ATdynamic] = ACTIONS(2410),
    [anon_sym_ATtry] = ACTIONS(2410),
    [anon_sym___try] = ACTIONS(2408),
    [anon_sym_ATthrow] = ACTIONS(2410),
    [anon_sym_ATselector] = ACTIONS(2410),
    [anon_sym_ATavailable] = ACTIONS(2410),
    [anon_sym___builtin_available] = ACTIONS(2408),
    [anon_sym_va_arg] = ACTIONS(2408),
    [anon_sym_ATencode] = ACTIONS(2410),
    [anon_sym_ATsynchronized] = ACTIONS(2410),
    [anon_sym_BOOL] = ACTIONS(2408),
    [anon_sym_IMP] = ACTIONS(2408),
    [anon_sym_SEL] = ACTIONS(2408),
    [anon_sym_Class] = ACTIONS(2408),
    [anon_sym_id] = ACTIONS(2408),
  },
  [444] = {
    [sym_identifier] = ACTIONS(2872),
    [aux_sym_preproc_include_token1] = ACTIONS(2872),
    [aux_sym_preproc_include_token2] = ACTIONS(2872),
    [aux_sym_preproc_def_token1] = ACTIONS(2872),
    [aux_sym_preproc_if_token1] = ACTIONS(2872),
    [aux_sym_preproc_if_token2] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2872),
    [aux_sym_preproc_else_token1] = ACTIONS(2872),
    [aux_sym_preproc_elif_token1] = ACTIONS(2872),
    [sym_preproc_directive] = ACTIONS(2872),
    [anon_sym_LPAREN2] = ACTIONS(2874),
    [anon_sym_BANG] = ACTIONS(2874),
    [anon_sym_TILDE] = ACTIONS(2874),
    [anon_sym_DASH] = ACTIONS(2872),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_STAR] = ACTIONS(2874),
    [anon_sym_CARET] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(2874),
    [anon_sym_SEMI] = ACTIONS(2874),
    [anon_sym___extension__] = ACTIONS(2872),
    [anon_sym_typedef] = ACTIONS(2872),
    [anon_sym_extern] = ACTIONS(2872),
    [anon_sym___attribute__] = ACTIONS(2872),
    [anon_sym___attribute] = ACTIONS(2872),
    [anon_sym_noreturn] = ACTIONS(2872),
    [anon_sym_LBRACK] = ACTIONS(2874),
    [anon_sym___declspec] = ACTIONS(2872),
    [anon_sym___cdecl] = ACTIONS(2872),
    [anon_sym___clrcall] = ACTIONS(2872),
    [anon_sym___stdcall] = ACTIONS(2872),
    [anon_sym___fastcall] = ACTIONS(2872),
    [anon_sym___thiscall] = ACTIONS(2872),
    [anon_sym___vectorcall] = ACTIONS(2872),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_signed] = ACTIONS(2872),
    [anon_sym_unsigned] = ACTIONS(2872),
    [anon_sym_long] = ACTIONS(2872),
    [anon_sym_short] = ACTIONS(2872),
    [anon_sym_static] = ACTIONS(2872),
    [anon_sym_ATautoreleasepool] = ACTIONS(2874),
    [anon_sym_auto] = ACTIONS(2872),
    [anon_sym_register] = ACTIONS(2872),
    [anon_sym_inline] = ACTIONS(2872),
    [anon_sym___inline] = ACTIONS(2872),
    [anon_sym___inline__] = ACTIONS(2872),
    [anon_sym___forceinline] = ACTIONS(2872),
    [anon_sym_thread_local] = ACTIONS(2872),
    [anon_sym___thread] = ACTIONS(2872),
    [anon_sym_CG_EXTERN] = ACTIONS(2872),
    [anon_sym_CG_INLINE] = ACTIONS(2872),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2872),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2872),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2872),
    [anon_sym_IBOutlet] = ACTIONS(2872),
    [anon_sym_IBInspectable] = ACTIONS(2872),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2872),
    [anon_sym_NS_INLINE] = ACTIONS(2872),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2872),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2872),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2872),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2872),
    [anon_sym_const] = ACTIONS(2872),
    [anon_sym_constexpr] = ACTIONS(2872),
    [anon_sym_volatile] = ACTIONS(2872),
    [anon_sym_restrict] = ACTIONS(2872),
    [anon_sym___restrict__] = ACTIONS(2872),
    [anon_sym__Atomic] = ACTIONS(2872),
    [anon_sym__Noreturn] = ACTIONS(2872),
    [anon_sym__Nonnull] = ACTIONS(2872),
    [anon_sym_nullable] = ACTIONS(2872),
    [anon_sym__Complex] = ACTIONS(2872),
    [anon_sym__Nullable] = ACTIONS(2872),
    [anon_sym__Nullable_result] = ACTIONS(2872),
    [anon_sym__Null_unspecified] = ACTIONS(2872),
    [anon_sym___autoreleasing] = ACTIONS(2872),
    [anon_sym___block] = ACTIONS(2872),
    [anon_sym___bridge] = ACTIONS(2872),
    [anon_sym___bridge_retained] = ACTIONS(2872),
    [anon_sym___bridge_transfer] = ACTIONS(2872),
    [anon_sym___complex] = ACTIONS(2872),
    [anon_sym___const] = ACTIONS(2872),
    [anon_sym___imag] = ACTIONS(2872),
    [anon_sym___kindof] = ACTIONS(2872),
    [anon_sym___nonnull] = ACTIONS(2872),
    [anon_sym___nullable] = ACTIONS(2872),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2872),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2872),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2872),
    [anon_sym___real] = ACTIONS(2872),
    [anon_sym___strong] = ACTIONS(2872),
    [anon_sym___unsafe_unretained] = ACTIONS(2872),
    [anon_sym___unused] = ACTIONS(2872),
    [anon_sym___weak] = ACTIONS(2872),
    [anon_sym_alignas] = ACTIONS(2872),
    [anon_sym__Alignas] = ACTIONS(2872),
    [sym_primitive_type] = ACTIONS(2872),
    [anon_sym_enum] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2872),
    [anon_sym_union] = ACTIONS(2872),
    [anon_sym_if] = ACTIONS(2872),
    [anon_sym_switch] = ACTIONS(2872),
    [anon_sym_case] = ACTIONS(2872),
    [anon_sym_default] = ACTIONS(2872),
    [anon_sym_while] = ACTIONS(2872),
    [anon_sym_do] = ACTIONS(2872),
    [anon_sym_for] = ACTIONS(2872),
    [anon_sym_in] = ACTIONS(2872),
    [anon_sym_return] = ACTIONS(2872),
    [anon_sym_break] = ACTIONS(2872),
    [anon_sym_continue] = ACTIONS(2872),
    [anon_sym_goto] = ACTIONS(2872),
    [anon_sym_DASH_DASH] = ACTIONS(2874),
    [anon_sym_PLUS_PLUS] = ACTIONS(2874),
    [anon_sym_sizeof] = ACTIONS(2872),
    [anon_sym___alignof__] = ACTIONS(2872),
    [anon_sym___alignof] = ACTIONS(2872),
    [anon_sym__alignof] = ACTIONS(2872),
    [anon_sym_alignof] = ACTIONS(2872),
    [anon_sym__Alignof] = ACTIONS(2872),
    [anon_sym_offsetof] = ACTIONS(2872),
    [anon_sym__Generic] = ACTIONS(2872),
    [anon_sym_asm] = ACTIONS(2872),
    [anon_sym___asm__] = ACTIONS(2872),
    [anon_sym___asm] = ACTIONS(2872),
    [sym_number_literal] = ACTIONS(2874),
    [anon_sym_L_SQUOTE] = ACTIONS(2874),
    [anon_sym_u_SQUOTE] = ACTIONS(2874),
    [anon_sym_U_SQUOTE] = ACTIONS(2874),
    [anon_sym_u8_SQUOTE] = ACTIONS(2874),
    [anon_sym_SQUOTE] = ACTIONS(2874),
    [anon_sym_AT] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2874),
    [anon_sym_L_DQUOTE] = ACTIONS(2874),
    [anon_sym_u_DQUOTE] = ACTIONS(2874),
    [anon_sym_U_DQUOTE] = ACTIONS(2874),
    [anon_sym_u8_DQUOTE] = ACTIONS(2874),
    [sym_true] = ACTIONS(2872),
    [sym_false] = ACTIONS(2872),
    [anon_sym_NULL] = ACTIONS(2872),
    [anon_sym_nullptr] = ACTIONS(2872),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2872),
    [anon_sym___typeof] = ACTIONS(2872),
    [anon_sym_typeof] = ACTIONS(2872),
    [anon_sym_ATimport] = ACTIONS(2874),
    [aux_sym_preproc_undef_token1] = ACTIONS(2872),
    [anon_sym_POUND] = ACTIONS(2872),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2872),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2872),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2872),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2872),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2872),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2872),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2872),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2872),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2872),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2872),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2872),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2872),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2872),
    [anon_sym_API_AVAILABLE] = ACTIONS(2872),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2872),
    [anon_sym_API_DEPRECATED] = ACTIONS(2872),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2872),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2872),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2872),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2872),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2872),
    [anon_sym___deprecated_msg] = ACTIONS(2872),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2872),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2872),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2872),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2872),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2872),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2872),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2872),
    [anon_sym_ATprotocol] = ACTIONS(2874),
    [anon_sym_ATinterface] = ACTIONS(2874),
    [anon_sym_ATimplementation] = ACTIONS(2874),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2874),
    [anon_sym_ATsynthesize] = ACTIONS(2874),
    [anon_sym_ATdynamic] = ACTIONS(2874),
    [anon_sym_ATtry] = ACTIONS(2874),
    [anon_sym___try] = ACTIONS(2872),
    [anon_sym_ATthrow] = ACTIONS(2874),
    [anon_sym_ATselector] = ACTIONS(2874),
    [anon_sym_ATavailable] = ACTIONS(2874),
    [anon_sym___builtin_available] = ACTIONS(2872),
    [anon_sym_va_arg] = ACTIONS(2872),
    [anon_sym_ATencode] = ACTIONS(2874),
    [anon_sym_ATsynchronized] = ACTIONS(2874),
    [anon_sym_BOOL] = ACTIONS(2872),
    [anon_sym_IMP] = ACTIONS(2872),
    [anon_sym_SEL] = ACTIONS(2872),
    [anon_sym_Class] = ACTIONS(2872),
    [anon_sym_id] = ACTIONS(2872),
  },
  [445] = {
    [sym_identifier] = ACTIONS(2646),
    [aux_sym_preproc_include_token1] = ACTIONS(2646),
    [aux_sym_preproc_include_token2] = ACTIONS(2646),
    [aux_sym_preproc_def_token1] = ACTIONS(2646),
    [aux_sym_preproc_if_token1] = ACTIONS(2646),
    [aux_sym_preproc_if_token2] = ACTIONS(2646),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2646),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2646),
    [aux_sym_preproc_else_token1] = ACTIONS(2646),
    [aux_sym_preproc_elif_token1] = ACTIONS(2646),
    [sym_preproc_directive] = ACTIONS(2646),
    [anon_sym_LPAREN2] = ACTIONS(2648),
    [anon_sym_BANG] = ACTIONS(2648),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_DASH] = ACTIONS(2646),
    [anon_sym_PLUS] = ACTIONS(2646),
    [anon_sym_STAR] = ACTIONS(2648),
    [anon_sym_CARET] = ACTIONS(2648),
    [anon_sym_AMP] = ACTIONS(2648),
    [anon_sym_SEMI] = ACTIONS(2648),
    [anon_sym___extension__] = ACTIONS(2646),
    [anon_sym_typedef] = ACTIONS(2646),
    [anon_sym_extern] = ACTIONS(2646),
    [anon_sym___attribute__] = ACTIONS(2646),
    [anon_sym___attribute] = ACTIONS(2646),
    [anon_sym_noreturn] = ACTIONS(2646),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym___declspec] = ACTIONS(2646),
    [anon_sym___cdecl] = ACTIONS(2646),
    [anon_sym___clrcall] = ACTIONS(2646),
    [anon_sym___stdcall] = ACTIONS(2646),
    [anon_sym___fastcall] = ACTIONS(2646),
    [anon_sym___thiscall] = ACTIONS(2646),
    [anon_sym___vectorcall] = ACTIONS(2646),
    [anon_sym_LBRACE] = ACTIONS(2648),
    [anon_sym_signed] = ACTIONS(2646),
    [anon_sym_unsigned] = ACTIONS(2646),
    [anon_sym_long] = ACTIONS(2646),
    [anon_sym_short] = ACTIONS(2646),
    [anon_sym_static] = ACTIONS(2646),
    [anon_sym_ATautoreleasepool] = ACTIONS(2648),
    [anon_sym_auto] = ACTIONS(2646),
    [anon_sym_register] = ACTIONS(2646),
    [anon_sym_inline] = ACTIONS(2646),
    [anon_sym___inline] = ACTIONS(2646),
    [anon_sym___inline__] = ACTIONS(2646),
    [anon_sym___forceinline] = ACTIONS(2646),
    [anon_sym_thread_local] = ACTIONS(2646),
    [anon_sym___thread] = ACTIONS(2646),
    [anon_sym_CG_EXTERN] = ACTIONS(2646),
    [anon_sym_CG_INLINE] = ACTIONS(2646),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2646),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2646),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2646),
    [anon_sym_IBOutlet] = ACTIONS(2646),
    [anon_sym_IBInspectable] = ACTIONS(2646),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2646),
    [anon_sym_NS_INLINE] = ACTIONS(2646),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2646),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2646),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2646),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2646),
    [anon_sym_const] = ACTIONS(2646),
    [anon_sym_constexpr] = ACTIONS(2646),
    [anon_sym_volatile] = ACTIONS(2646),
    [anon_sym_restrict] = ACTIONS(2646),
    [anon_sym___restrict__] = ACTIONS(2646),
    [anon_sym__Atomic] = ACTIONS(2646),
    [anon_sym__Noreturn] = ACTIONS(2646),
    [anon_sym__Nonnull] = ACTIONS(2646),
    [anon_sym_nullable] = ACTIONS(2646),
    [anon_sym__Complex] = ACTIONS(2646),
    [anon_sym__Nullable] = ACTIONS(2646),
    [anon_sym__Nullable_result] = ACTIONS(2646),
    [anon_sym__Null_unspecified] = ACTIONS(2646),
    [anon_sym___autoreleasing] = ACTIONS(2646),
    [anon_sym___block] = ACTIONS(2646),
    [anon_sym___bridge] = ACTIONS(2646),
    [anon_sym___bridge_retained] = ACTIONS(2646),
    [anon_sym___bridge_transfer] = ACTIONS(2646),
    [anon_sym___complex] = ACTIONS(2646),
    [anon_sym___const] = ACTIONS(2646),
    [anon_sym___imag] = ACTIONS(2646),
    [anon_sym___kindof] = ACTIONS(2646),
    [anon_sym___nonnull] = ACTIONS(2646),
    [anon_sym___nullable] = ACTIONS(2646),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2646),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2646),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2646),
    [anon_sym___real] = ACTIONS(2646),
    [anon_sym___strong] = ACTIONS(2646),
    [anon_sym___unsafe_unretained] = ACTIONS(2646),
    [anon_sym___unused] = ACTIONS(2646),
    [anon_sym___weak] = ACTIONS(2646),
    [anon_sym_alignas] = ACTIONS(2646),
    [anon_sym__Alignas] = ACTIONS(2646),
    [sym_primitive_type] = ACTIONS(2646),
    [anon_sym_enum] = ACTIONS(2646),
    [anon_sym_struct] = ACTIONS(2646),
    [anon_sym_union] = ACTIONS(2646),
    [anon_sym_if] = ACTIONS(2646),
    [anon_sym_switch] = ACTIONS(2646),
    [anon_sym_case] = ACTIONS(2646),
    [anon_sym_default] = ACTIONS(2646),
    [anon_sym_while] = ACTIONS(2646),
    [anon_sym_do] = ACTIONS(2646),
    [anon_sym_for] = ACTIONS(2646),
    [anon_sym_in] = ACTIONS(2646),
    [anon_sym_return] = ACTIONS(2646),
    [anon_sym_break] = ACTIONS(2646),
    [anon_sym_continue] = ACTIONS(2646),
    [anon_sym_goto] = ACTIONS(2646),
    [anon_sym_DASH_DASH] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(2648),
    [anon_sym_sizeof] = ACTIONS(2646),
    [anon_sym___alignof__] = ACTIONS(2646),
    [anon_sym___alignof] = ACTIONS(2646),
    [anon_sym__alignof] = ACTIONS(2646),
    [anon_sym_alignof] = ACTIONS(2646),
    [anon_sym__Alignof] = ACTIONS(2646),
    [anon_sym_offsetof] = ACTIONS(2646),
    [anon_sym__Generic] = ACTIONS(2646),
    [anon_sym_asm] = ACTIONS(2646),
    [anon_sym___asm__] = ACTIONS(2646),
    [anon_sym___asm] = ACTIONS(2646),
    [sym_number_literal] = ACTIONS(2648),
    [anon_sym_L_SQUOTE] = ACTIONS(2648),
    [anon_sym_u_SQUOTE] = ACTIONS(2648),
    [anon_sym_U_SQUOTE] = ACTIONS(2648),
    [anon_sym_u8_SQUOTE] = ACTIONS(2648),
    [anon_sym_SQUOTE] = ACTIONS(2648),
    [anon_sym_AT] = ACTIONS(2646),
    [anon_sym_DQUOTE] = ACTIONS(2648),
    [anon_sym_L_DQUOTE] = ACTIONS(2648),
    [anon_sym_u_DQUOTE] = ACTIONS(2648),
    [anon_sym_U_DQUOTE] = ACTIONS(2648),
    [anon_sym_u8_DQUOTE] = ACTIONS(2648),
    [sym_true] = ACTIONS(2646),
    [sym_false] = ACTIONS(2646),
    [anon_sym_NULL] = ACTIONS(2646),
    [anon_sym_nullptr] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2646),
    [anon_sym___typeof] = ACTIONS(2646),
    [anon_sym_typeof] = ACTIONS(2646),
    [anon_sym_ATimport] = ACTIONS(2648),
    [aux_sym_preproc_undef_token1] = ACTIONS(2646),
    [anon_sym_POUND] = ACTIONS(2646),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2646),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2646),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2646),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2646),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2646),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2646),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2646),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2646),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2646),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2646),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2646),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2646),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2646),
    [anon_sym_API_AVAILABLE] = ACTIONS(2646),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2646),
    [anon_sym_API_DEPRECATED] = ACTIONS(2646),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2646),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2646),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2646),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2646),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2646),
    [anon_sym___deprecated_msg] = ACTIONS(2646),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2646),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2646),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2646),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2646),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2646),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2646),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2646),
    [anon_sym_ATprotocol] = ACTIONS(2648),
    [anon_sym_ATinterface] = ACTIONS(2648),
    [anon_sym_ATimplementation] = ACTIONS(2648),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2648),
    [anon_sym_ATsynthesize] = ACTIONS(2648),
    [anon_sym_ATdynamic] = ACTIONS(2648),
    [anon_sym_ATtry] = ACTIONS(2648),
    [anon_sym___try] = ACTIONS(2646),
    [anon_sym_ATthrow] = ACTIONS(2648),
    [anon_sym_ATselector] = ACTIONS(2648),
    [anon_sym_ATavailable] = ACTIONS(2648),
    [anon_sym___builtin_available] = ACTIONS(2646),
    [anon_sym_va_arg] = ACTIONS(2646),
    [anon_sym_ATencode] = ACTIONS(2648),
    [anon_sym_ATsynchronized] = ACTIONS(2648),
    [anon_sym_BOOL] = ACTIONS(2646),
    [anon_sym_IMP] = ACTIONS(2646),
    [anon_sym_SEL] = ACTIONS(2646),
    [anon_sym_Class] = ACTIONS(2646),
    [anon_sym_id] = ACTIONS(2646),
  },
  [446] = {
    [sym_identifier] = ACTIONS(2634),
    [aux_sym_preproc_include_token1] = ACTIONS(2634),
    [aux_sym_preproc_include_token2] = ACTIONS(2634),
    [aux_sym_preproc_def_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token2] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2634),
    [aux_sym_preproc_else_token1] = ACTIONS(2634),
    [aux_sym_preproc_elif_token1] = ACTIONS(2634),
    [sym_preproc_directive] = ACTIONS(2634),
    [anon_sym_LPAREN2] = ACTIONS(2636),
    [anon_sym_BANG] = ACTIONS(2636),
    [anon_sym_TILDE] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_CARET] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym___extension__] = ACTIONS(2634),
    [anon_sym_typedef] = ACTIONS(2634),
    [anon_sym_extern] = ACTIONS(2634),
    [anon_sym___attribute__] = ACTIONS(2634),
    [anon_sym___attribute] = ACTIONS(2634),
    [anon_sym_noreturn] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym___declspec] = ACTIONS(2634),
    [anon_sym___cdecl] = ACTIONS(2634),
    [anon_sym___clrcall] = ACTIONS(2634),
    [anon_sym___stdcall] = ACTIONS(2634),
    [anon_sym___fastcall] = ACTIONS(2634),
    [anon_sym___thiscall] = ACTIONS(2634),
    [anon_sym___vectorcall] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_signed] = ACTIONS(2634),
    [anon_sym_unsigned] = ACTIONS(2634),
    [anon_sym_long] = ACTIONS(2634),
    [anon_sym_short] = ACTIONS(2634),
    [anon_sym_static] = ACTIONS(2634),
    [anon_sym_ATautoreleasepool] = ACTIONS(2636),
    [anon_sym_auto] = ACTIONS(2634),
    [anon_sym_register] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym___inline] = ACTIONS(2634),
    [anon_sym___inline__] = ACTIONS(2634),
    [anon_sym___forceinline] = ACTIONS(2634),
    [anon_sym_thread_local] = ACTIONS(2634),
    [anon_sym___thread] = ACTIONS(2634),
    [anon_sym_CG_EXTERN] = ACTIONS(2634),
    [anon_sym_CG_INLINE] = ACTIONS(2634),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2634),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2634),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2634),
    [anon_sym_IBOutlet] = ACTIONS(2634),
    [anon_sym_IBInspectable] = ACTIONS(2634),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2634),
    [anon_sym_NS_INLINE] = ACTIONS(2634),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2634),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2634),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2634),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_constexpr] = ACTIONS(2634),
    [anon_sym_volatile] = ACTIONS(2634),
    [anon_sym_restrict] = ACTIONS(2634),
    [anon_sym___restrict__] = ACTIONS(2634),
    [anon_sym__Atomic] = ACTIONS(2634),
    [anon_sym__Noreturn] = ACTIONS(2634),
    [anon_sym__Nonnull] = ACTIONS(2634),
    [anon_sym_nullable] = ACTIONS(2634),
    [anon_sym__Complex] = ACTIONS(2634),
    [anon_sym__Nullable] = ACTIONS(2634),
    [anon_sym__Nullable_result] = ACTIONS(2634),
    [anon_sym__Null_unspecified] = ACTIONS(2634),
    [anon_sym___autoreleasing] = ACTIONS(2634),
    [anon_sym___block] = ACTIONS(2634),
    [anon_sym___bridge] = ACTIONS(2634),
    [anon_sym___bridge_retained] = ACTIONS(2634),
    [anon_sym___bridge_transfer] = ACTIONS(2634),
    [anon_sym___complex] = ACTIONS(2634),
    [anon_sym___const] = ACTIONS(2634),
    [anon_sym___imag] = ACTIONS(2634),
    [anon_sym___kindof] = ACTIONS(2634),
    [anon_sym___nonnull] = ACTIONS(2634),
    [anon_sym___nullable] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2634),
    [anon_sym___real] = ACTIONS(2634),
    [anon_sym___strong] = ACTIONS(2634),
    [anon_sym___unsafe_unretained] = ACTIONS(2634),
    [anon_sym___unused] = ACTIONS(2634),
    [anon_sym___weak] = ACTIONS(2634),
    [anon_sym_alignas] = ACTIONS(2634),
    [anon_sym__Alignas] = ACTIONS(2634),
    [sym_primitive_type] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_struct] = ACTIONS(2634),
    [anon_sym_union] = ACTIONS(2634),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_switch] = ACTIONS(2634),
    [anon_sym_case] = ACTIONS(2634),
    [anon_sym_default] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_do] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2634),
    [anon_sym_in] = ACTIONS(2634),
    [anon_sym_return] = ACTIONS(2634),
    [anon_sym_break] = ACTIONS(2634),
    [anon_sym_continue] = ACTIONS(2634),
    [anon_sym_goto] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_sizeof] = ACTIONS(2634),
    [anon_sym___alignof__] = ACTIONS(2634),
    [anon_sym___alignof] = ACTIONS(2634),
    [anon_sym__alignof] = ACTIONS(2634),
    [anon_sym_alignof] = ACTIONS(2634),
    [anon_sym__Alignof] = ACTIONS(2634),
    [anon_sym_offsetof] = ACTIONS(2634),
    [anon_sym__Generic] = ACTIONS(2634),
    [anon_sym_asm] = ACTIONS(2634),
    [anon_sym___asm__] = ACTIONS(2634),
    [anon_sym___asm] = ACTIONS(2634),
    [sym_number_literal] = ACTIONS(2636),
    [anon_sym_L_SQUOTE] = ACTIONS(2636),
    [anon_sym_u_SQUOTE] = ACTIONS(2636),
    [anon_sym_U_SQUOTE] = ACTIONS(2636),
    [anon_sym_u8_SQUOTE] = ACTIONS(2636),
    [anon_sym_SQUOTE] = ACTIONS(2636),
    [anon_sym_AT] = ACTIONS(2634),
    [anon_sym_DQUOTE] = ACTIONS(2636),
    [anon_sym_L_DQUOTE] = ACTIONS(2636),
    [anon_sym_u_DQUOTE] = ACTIONS(2636),
    [anon_sym_U_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8_DQUOTE] = ACTIONS(2636),
    [sym_true] = ACTIONS(2634),
    [sym_false] = ACTIONS(2634),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2634),
    [anon_sym___typeof] = ACTIONS(2634),
    [anon_sym_typeof] = ACTIONS(2634),
    [anon_sym_ATimport] = ACTIONS(2636),
    [aux_sym_preproc_undef_token1] = ACTIONS(2634),
    [anon_sym_POUND] = ACTIONS(2634),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2634),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2634),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2634),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2634),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2634),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2634),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2634),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_API_AVAILABLE] = ACTIONS(2634),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_API_DEPRECATED] = ACTIONS(2634),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2634),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym___deprecated_msg] = ACTIONS(2634),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2634),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2634),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2634),
    [anon_sym_ATprotocol] = ACTIONS(2636),
    [anon_sym_ATinterface] = ACTIONS(2636),
    [anon_sym_ATimplementation] = ACTIONS(2636),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2636),
    [anon_sym_ATsynthesize] = ACTIONS(2636),
    [anon_sym_ATdynamic] = ACTIONS(2636),
    [anon_sym_ATtry] = ACTIONS(2636),
    [anon_sym___try] = ACTIONS(2634),
    [anon_sym_ATthrow] = ACTIONS(2636),
    [anon_sym_ATselector] = ACTIONS(2636),
    [anon_sym_ATavailable] = ACTIONS(2636),
    [anon_sym___builtin_available] = ACTIONS(2634),
    [anon_sym_va_arg] = ACTIONS(2634),
    [anon_sym_ATencode] = ACTIONS(2636),
    [anon_sym_ATsynchronized] = ACTIONS(2636),
    [anon_sym_BOOL] = ACTIONS(2634),
    [anon_sym_IMP] = ACTIONS(2634),
    [anon_sym_SEL] = ACTIONS(2634),
    [anon_sym_Class] = ACTIONS(2634),
    [anon_sym_id] = ACTIONS(2634),
  },
  [447] = {
    [sym_identifier] = ACTIONS(2856),
    [aux_sym_preproc_include_token1] = ACTIONS(2856),
    [aux_sym_preproc_include_token2] = ACTIONS(2856),
    [aux_sym_preproc_def_token1] = ACTIONS(2856),
    [aux_sym_preproc_if_token1] = ACTIONS(2856),
    [aux_sym_preproc_if_token2] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2856),
    [aux_sym_preproc_else_token1] = ACTIONS(2856),
    [aux_sym_preproc_elif_token1] = ACTIONS(2856),
    [sym_preproc_directive] = ACTIONS(2856),
    [anon_sym_LPAREN2] = ACTIONS(2858),
    [anon_sym_BANG] = ACTIONS(2858),
    [anon_sym_TILDE] = ACTIONS(2858),
    [anon_sym_DASH] = ACTIONS(2856),
    [anon_sym_PLUS] = ACTIONS(2856),
    [anon_sym_STAR] = ACTIONS(2858),
    [anon_sym_CARET] = ACTIONS(2858),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym_SEMI] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2856),
    [anon_sym_typedef] = ACTIONS(2856),
    [anon_sym_extern] = ACTIONS(2856),
    [anon_sym___attribute__] = ACTIONS(2856),
    [anon_sym___attribute] = ACTIONS(2856),
    [anon_sym_noreturn] = ACTIONS(2856),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym___declspec] = ACTIONS(2856),
    [anon_sym___cdecl] = ACTIONS(2856),
    [anon_sym___clrcall] = ACTIONS(2856),
    [anon_sym___stdcall] = ACTIONS(2856),
    [anon_sym___fastcall] = ACTIONS(2856),
    [anon_sym___thiscall] = ACTIONS(2856),
    [anon_sym___vectorcall] = ACTIONS(2856),
    [anon_sym_LBRACE] = ACTIONS(2858),
    [anon_sym_signed] = ACTIONS(2856),
    [anon_sym_unsigned] = ACTIONS(2856),
    [anon_sym_long] = ACTIONS(2856),
    [anon_sym_short] = ACTIONS(2856),
    [anon_sym_static] = ACTIONS(2856),
    [anon_sym_ATautoreleasepool] = ACTIONS(2858),
    [anon_sym_auto] = ACTIONS(2856),
    [anon_sym_register] = ACTIONS(2856),
    [anon_sym_inline] = ACTIONS(2856),
    [anon_sym___inline] = ACTIONS(2856),
    [anon_sym___inline__] = ACTIONS(2856),
    [anon_sym___forceinline] = ACTIONS(2856),
    [anon_sym_thread_local] = ACTIONS(2856),
    [anon_sym___thread] = ACTIONS(2856),
    [anon_sym_CG_EXTERN] = ACTIONS(2856),
    [anon_sym_CG_INLINE] = ACTIONS(2856),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2856),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2856),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2856),
    [anon_sym_IBOutlet] = ACTIONS(2856),
    [anon_sym_IBInspectable] = ACTIONS(2856),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2856),
    [anon_sym_NS_INLINE] = ACTIONS(2856),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2856),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2856),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2856),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2856),
    [anon_sym_const] = ACTIONS(2856),
    [anon_sym_constexpr] = ACTIONS(2856),
    [anon_sym_volatile] = ACTIONS(2856),
    [anon_sym_restrict] = ACTIONS(2856),
    [anon_sym___restrict__] = ACTIONS(2856),
    [anon_sym__Atomic] = ACTIONS(2856),
    [anon_sym__Noreturn] = ACTIONS(2856),
    [anon_sym__Nonnull] = ACTIONS(2856),
    [anon_sym_nullable] = ACTIONS(2856),
    [anon_sym__Complex] = ACTIONS(2856),
    [anon_sym__Nullable] = ACTIONS(2856),
    [anon_sym__Nullable_result] = ACTIONS(2856),
    [anon_sym__Null_unspecified] = ACTIONS(2856),
    [anon_sym___autoreleasing] = ACTIONS(2856),
    [anon_sym___block] = ACTIONS(2856),
    [anon_sym___bridge] = ACTIONS(2856),
    [anon_sym___bridge_retained] = ACTIONS(2856),
    [anon_sym___bridge_transfer] = ACTIONS(2856),
    [anon_sym___complex] = ACTIONS(2856),
    [anon_sym___const] = ACTIONS(2856),
    [anon_sym___imag] = ACTIONS(2856),
    [anon_sym___kindof] = ACTIONS(2856),
    [anon_sym___nonnull] = ACTIONS(2856),
    [anon_sym___nullable] = ACTIONS(2856),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2856),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2856),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2856),
    [anon_sym___real] = ACTIONS(2856),
    [anon_sym___strong] = ACTIONS(2856),
    [anon_sym___unsafe_unretained] = ACTIONS(2856),
    [anon_sym___unused] = ACTIONS(2856),
    [anon_sym___weak] = ACTIONS(2856),
    [anon_sym_alignas] = ACTIONS(2856),
    [anon_sym__Alignas] = ACTIONS(2856),
    [sym_primitive_type] = ACTIONS(2856),
    [anon_sym_enum] = ACTIONS(2856),
    [anon_sym_struct] = ACTIONS(2856),
    [anon_sym_union] = ACTIONS(2856),
    [anon_sym_if] = ACTIONS(2856),
    [anon_sym_switch] = ACTIONS(2856),
    [anon_sym_case] = ACTIONS(2856),
    [anon_sym_default] = ACTIONS(2856),
    [anon_sym_while] = ACTIONS(2856),
    [anon_sym_do] = ACTIONS(2856),
    [anon_sym_for] = ACTIONS(2856),
    [anon_sym_in] = ACTIONS(2856),
    [anon_sym_return] = ACTIONS(2856),
    [anon_sym_break] = ACTIONS(2856),
    [anon_sym_continue] = ACTIONS(2856),
    [anon_sym_goto] = ACTIONS(2856),
    [anon_sym_DASH_DASH] = ACTIONS(2858),
    [anon_sym_PLUS_PLUS] = ACTIONS(2858),
    [anon_sym_sizeof] = ACTIONS(2856),
    [anon_sym___alignof__] = ACTIONS(2856),
    [anon_sym___alignof] = ACTIONS(2856),
    [anon_sym__alignof] = ACTIONS(2856),
    [anon_sym_alignof] = ACTIONS(2856),
    [anon_sym__Alignof] = ACTIONS(2856),
    [anon_sym_offsetof] = ACTIONS(2856),
    [anon_sym__Generic] = ACTIONS(2856),
    [anon_sym_asm] = ACTIONS(2856),
    [anon_sym___asm__] = ACTIONS(2856),
    [anon_sym___asm] = ACTIONS(2856),
    [sym_number_literal] = ACTIONS(2858),
    [anon_sym_L_SQUOTE] = ACTIONS(2858),
    [anon_sym_u_SQUOTE] = ACTIONS(2858),
    [anon_sym_U_SQUOTE] = ACTIONS(2858),
    [anon_sym_u8_SQUOTE] = ACTIONS(2858),
    [anon_sym_SQUOTE] = ACTIONS(2858),
    [anon_sym_AT] = ACTIONS(2856),
    [anon_sym_DQUOTE] = ACTIONS(2858),
    [anon_sym_L_DQUOTE] = ACTIONS(2858),
    [anon_sym_u_DQUOTE] = ACTIONS(2858),
    [anon_sym_U_DQUOTE] = ACTIONS(2858),
    [anon_sym_u8_DQUOTE] = ACTIONS(2858),
    [sym_true] = ACTIONS(2856),
    [sym_false] = ACTIONS(2856),
    [anon_sym_NULL] = ACTIONS(2856),
    [anon_sym_nullptr] = ACTIONS(2856),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2856),
    [anon_sym___typeof] = ACTIONS(2856),
    [anon_sym_typeof] = ACTIONS(2856),
    [anon_sym_ATimport] = ACTIONS(2858),
    [aux_sym_preproc_undef_token1] = ACTIONS(2856),
    [anon_sym_POUND] = ACTIONS(2856),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2856),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2856),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2856),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2856),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2856),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2856),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2856),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2856),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2856),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2856),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2856),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2856),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2856),
    [anon_sym_API_AVAILABLE] = ACTIONS(2856),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2856),
    [anon_sym_API_DEPRECATED] = ACTIONS(2856),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2856),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2856),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2856),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2856),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2856),
    [anon_sym___deprecated_msg] = ACTIONS(2856),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2856),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2856),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2856),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2856),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2856),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2856),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2856),
    [anon_sym_ATprotocol] = ACTIONS(2858),
    [anon_sym_ATinterface] = ACTIONS(2858),
    [anon_sym_ATimplementation] = ACTIONS(2858),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2858),
    [anon_sym_ATsynthesize] = ACTIONS(2858),
    [anon_sym_ATdynamic] = ACTIONS(2858),
    [anon_sym_ATtry] = ACTIONS(2858),
    [anon_sym___try] = ACTIONS(2856),
    [anon_sym_ATthrow] = ACTIONS(2858),
    [anon_sym_ATselector] = ACTIONS(2858),
    [anon_sym_ATavailable] = ACTIONS(2858),
    [anon_sym___builtin_available] = ACTIONS(2856),
    [anon_sym_va_arg] = ACTIONS(2856),
    [anon_sym_ATencode] = ACTIONS(2858),
    [anon_sym_ATsynchronized] = ACTIONS(2858),
    [anon_sym_BOOL] = ACTIONS(2856),
    [anon_sym_IMP] = ACTIONS(2856),
    [anon_sym_SEL] = ACTIONS(2856),
    [anon_sym_Class] = ACTIONS(2856),
    [anon_sym_id] = ACTIONS(2856),
  },
  [448] = {
    [sym_identifier] = ACTIONS(2634),
    [aux_sym_preproc_include_token1] = ACTIONS(2634),
    [aux_sym_preproc_include_token2] = ACTIONS(2634),
    [aux_sym_preproc_def_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token2] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2634),
    [aux_sym_preproc_else_token1] = ACTIONS(2634),
    [aux_sym_preproc_elif_token1] = ACTIONS(2634),
    [sym_preproc_directive] = ACTIONS(2634),
    [anon_sym_LPAREN2] = ACTIONS(2636),
    [anon_sym_BANG] = ACTIONS(2636),
    [anon_sym_TILDE] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_CARET] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym___extension__] = ACTIONS(2634),
    [anon_sym_typedef] = ACTIONS(2634),
    [anon_sym_extern] = ACTIONS(2634),
    [anon_sym___attribute__] = ACTIONS(2634),
    [anon_sym___attribute] = ACTIONS(2634),
    [anon_sym_noreturn] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym___declspec] = ACTIONS(2634),
    [anon_sym___cdecl] = ACTIONS(2634),
    [anon_sym___clrcall] = ACTIONS(2634),
    [anon_sym___stdcall] = ACTIONS(2634),
    [anon_sym___fastcall] = ACTIONS(2634),
    [anon_sym___thiscall] = ACTIONS(2634),
    [anon_sym___vectorcall] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_signed] = ACTIONS(2634),
    [anon_sym_unsigned] = ACTIONS(2634),
    [anon_sym_long] = ACTIONS(2634),
    [anon_sym_short] = ACTIONS(2634),
    [anon_sym_static] = ACTIONS(2634),
    [anon_sym_ATautoreleasepool] = ACTIONS(2636),
    [anon_sym_auto] = ACTIONS(2634),
    [anon_sym_register] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym___inline] = ACTIONS(2634),
    [anon_sym___inline__] = ACTIONS(2634),
    [anon_sym___forceinline] = ACTIONS(2634),
    [anon_sym_thread_local] = ACTIONS(2634),
    [anon_sym___thread] = ACTIONS(2634),
    [anon_sym_CG_EXTERN] = ACTIONS(2634),
    [anon_sym_CG_INLINE] = ACTIONS(2634),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2634),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2634),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2634),
    [anon_sym_IBOutlet] = ACTIONS(2634),
    [anon_sym_IBInspectable] = ACTIONS(2634),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2634),
    [anon_sym_NS_INLINE] = ACTIONS(2634),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2634),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2634),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2634),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_constexpr] = ACTIONS(2634),
    [anon_sym_volatile] = ACTIONS(2634),
    [anon_sym_restrict] = ACTIONS(2634),
    [anon_sym___restrict__] = ACTIONS(2634),
    [anon_sym__Atomic] = ACTIONS(2634),
    [anon_sym__Noreturn] = ACTIONS(2634),
    [anon_sym__Nonnull] = ACTIONS(2634),
    [anon_sym_nullable] = ACTIONS(2634),
    [anon_sym__Complex] = ACTIONS(2634),
    [anon_sym__Nullable] = ACTIONS(2634),
    [anon_sym__Nullable_result] = ACTIONS(2634),
    [anon_sym__Null_unspecified] = ACTIONS(2634),
    [anon_sym___autoreleasing] = ACTIONS(2634),
    [anon_sym___block] = ACTIONS(2634),
    [anon_sym___bridge] = ACTIONS(2634),
    [anon_sym___bridge_retained] = ACTIONS(2634),
    [anon_sym___bridge_transfer] = ACTIONS(2634),
    [anon_sym___complex] = ACTIONS(2634),
    [anon_sym___const] = ACTIONS(2634),
    [anon_sym___imag] = ACTIONS(2634),
    [anon_sym___kindof] = ACTIONS(2634),
    [anon_sym___nonnull] = ACTIONS(2634),
    [anon_sym___nullable] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2634),
    [anon_sym___real] = ACTIONS(2634),
    [anon_sym___strong] = ACTIONS(2634),
    [anon_sym___unsafe_unretained] = ACTIONS(2634),
    [anon_sym___unused] = ACTIONS(2634),
    [anon_sym___weak] = ACTIONS(2634),
    [anon_sym_alignas] = ACTIONS(2634),
    [anon_sym__Alignas] = ACTIONS(2634),
    [sym_primitive_type] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_struct] = ACTIONS(2634),
    [anon_sym_union] = ACTIONS(2634),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_switch] = ACTIONS(2634),
    [anon_sym_case] = ACTIONS(2634),
    [anon_sym_default] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_do] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2634),
    [anon_sym_in] = ACTIONS(2634),
    [anon_sym_return] = ACTIONS(2634),
    [anon_sym_break] = ACTIONS(2634),
    [anon_sym_continue] = ACTIONS(2634),
    [anon_sym_goto] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_sizeof] = ACTIONS(2634),
    [anon_sym___alignof__] = ACTIONS(2634),
    [anon_sym___alignof] = ACTIONS(2634),
    [anon_sym__alignof] = ACTIONS(2634),
    [anon_sym_alignof] = ACTIONS(2634),
    [anon_sym__Alignof] = ACTIONS(2634),
    [anon_sym_offsetof] = ACTIONS(2634),
    [anon_sym__Generic] = ACTIONS(2634),
    [anon_sym_asm] = ACTIONS(2634),
    [anon_sym___asm__] = ACTIONS(2634),
    [anon_sym___asm] = ACTIONS(2634),
    [sym_number_literal] = ACTIONS(2636),
    [anon_sym_L_SQUOTE] = ACTIONS(2636),
    [anon_sym_u_SQUOTE] = ACTIONS(2636),
    [anon_sym_U_SQUOTE] = ACTIONS(2636),
    [anon_sym_u8_SQUOTE] = ACTIONS(2636),
    [anon_sym_SQUOTE] = ACTIONS(2636),
    [anon_sym_AT] = ACTIONS(2634),
    [anon_sym_DQUOTE] = ACTIONS(2636),
    [anon_sym_L_DQUOTE] = ACTIONS(2636),
    [anon_sym_u_DQUOTE] = ACTIONS(2636),
    [anon_sym_U_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8_DQUOTE] = ACTIONS(2636),
    [sym_true] = ACTIONS(2634),
    [sym_false] = ACTIONS(2634),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2634),
    [anon_sym___typeof] = ACTIONS(2634),
    [anon_sym_typeof] = ACTIONS(2634),
    [anon_sym_ATimport] = ACTIONS(2636),
    [aux_sym_preproc_undef_token1] = ACTIONS(2634),
    [anon_sym_POUND] = ACTIONS(2634),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2634),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2634),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2634),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2634),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2634),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2634),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2634),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_API_AVAILABLE] = ACTIONS(2634),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_API_DEPRECATED] = ACTIONS(2634),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2634),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym___deprecated_msg] = ACTIONS(2634),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2634),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2634),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2634),
    [anon_sym_ATprotocol] = ACTIONS(2636),
    [anon_sym_ATinterface] = ACTIONS(2636),
    [anon_sym_ATimplementation] = ACTIONS(2636),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2636),
    [anon_sym_ATsynthesize] = ACTIONS(2636),
    [anon_sym_ATdynamic] = ACTIONS(2636),
    [anon_sym_ATtry] = ACTIONS(2636),
    [anon_sym___try] = ACTIONS(2634),
    [anon_sym_ATthrow] = ACTIONS(2636),
    [anon_sym_ATselector] = ACTIONS(2636),
    [anon_sym_ATavailable] = ACTIONS(2636),
    [anon_sym___builtin_available] = ACTIONS(2634),
    [anon_sym_va_arg] = ACTIONS(2634),
    [anon_sym_ATencode] = ACTIONS(2636),
    [anon_sym_ATsynchronized] = ACTIONS(2636),
    [anon_sym_BOOL] = ACTIONS(2634),
    [anon_sym_IMP] = ACTIONS(2634),
    [anon_sym_SEL] = ACTIONS(2634),
    [anon_sym_Class] = ACTIONS(2634),
    [anon_sym_id] = ACTIONS(2634),
  },
  [449] = {
    [sym_identifier] = ACTIONS(2682),
    [aux_sym_preproc_include_token1] = ACTIONS(2682),
    [aux_sym_preproc_include_token2] = ACTIONS(2682),
    [aux_sym_preproc_def_token1] = ACTIONS(2682),
    [aux_sym_preproc_if_token1] = ACTIONS(2682),
    [aux_sym_preproc_if_token2] = ACTIONS(2682),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2682),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2682),
    [aux_sym_preproc_else_token1] = ACTIONS(2682),
    [aux_sym_preproc_elif_token1] = ACTIONS(2682),
    [sym_preproc_directive] = ACTIONS(2682),
    [anon_sym_LPAREN2] = ACTIONS(2684),
    [anon_sym_BANG] = ACTIONS(2684),
    [anon_sym_TILDE] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_CARET] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_SEMI] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(2682),
    [anon_sym_typedef] = ACTIONS(2682),
    [anon_sym_extern] = ACTIONS(2682),
    [anon_sym___attribute__] = ACTIONS(2682),
    [anon_sym___attribute] = ACTIONS(2682),
    [anon_sym_noreturn] = ACTIONS(2682),
    [anon_sym_LBRACK] = ACTIONS(2684),
    [anon_sym___declspec] = ACTIONS(2682),
    [anon_sym___cdecl] = ACTIONS(2682),
    [anon_sym___clrcall] = ACTIONS(2682),
    [anon_sym___stdcall] = ACTIONS(2682),
    [anon_sym___fastcall] = ACTIONS(2682),
    [anon_sym___thiscall] = ACTIONS(2682),
    [anon_sym___vectorcall] = ACTIONS(2682),
    [anon_sym_LBRACE] = ACTIONS(2684),
    [anon_sym_signed] = ACTIONS(2682),
    [anon_sym_unsigned] = ACTIONS(2682),
    [anon_sym_long] = ACTIONS(2682),
    [anon_sym_short] = ACTIONS(2682),
    [anon_sym_static] = ACTIONS(2682),
    [anon_sym_ATautoreleasepool] = ACTIONS(2684),
    [anon_sym_auto] = ACTIONS(2682),
    [anon_sym_register] = ACTIONS(2682),
    [anon_sym_inline] = ACTIONS(2682),
    [anon_sym___inline] = ACTIONS(2682),
    [anon_sym___inline__] = ACTIONS(2682),
    [anon_sym___forceinline] = ACTIONS(2682),
    [anon_sym_thread_local] = ACTIONS(2682),
    [anon_sym___thread] = ACTIONS(2682),
    [anon_sym_CG_EXTERN] = ACTIONS(2682),
    [anon_sym_CG_INLINE] = ACTIONS(2682),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2682),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2682),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2682),
    [anon_sym_IBOutlet] = ACTIONS(2682),
    [anon_sym_IBInspectable] = ACTIONS(2682),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2682),
    [anon_sym_NS_INLINE] = ACTIONS(2682),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2682),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2682),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2682),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2682),
    [anon_sym_const] = ACTIONS(2682),
    [anon_sym_constexpr] = ACTIONS(2682),
    [anon_sym_volatile] = ACTIONS(2682),
    [anon_sym_restrict] = ACTIONS(2682),
    [anon_sym___restrict__] = ACTIONS(2682),
    [anon_sym__Atomic] = ACTIONS(2682),
    [anon_sym__Noreturn] = ACTIONS(2682),
    [anon_sym__Nonnull] = ACTIONS(2682),
    [anon_sym_nullable] = ACTIONS(2682),
    [anon_sym__Complex] = ACTIONS(2682),
    [anon_sym__Nullable] = ACTIONS(2682),
    [anon_sym__Nullable_result] = ACTIONS(2682),
    [anon_sym__Null_unspecified] = ACTIONS(2682),
    [anon_sym___autoreleasing] = ACTIONS(2682),
    [anon_sym___block] = ACTIONS(2682),
    [anon_sym___bridge] = ACTIONS(2682),
    [anon_sym___bridge_retained] = ACTIONS(2682),
    [anon_sym___bridge_transfer] = ACTIONS(2682),
    [anon_sym___complex] = ACTIONS(2682),
    [anon_sym___const] = ACTIONS(2682),
    [anon_sym___imag] = ACTIONS(2682),
    [anon_sym___kindof] = ACTIONS(2682),
    [anon_sym___nonnull] = ACTIONS(2682),
    [anon_sym___nullable] = ACTIONS(2682),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2682),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2682),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2682),
    [anon_sym___real] = ACTIONS(2682),
    [anon_sym___strong] = ACTIONS(2682),
    [anon_sym___unsafe_unretained] = ACTIONS(2682),
    [anon_sym___unused] = ACTIONS(2682),
    [anon_sym___weak] = ACTIONS(2682),
    [anon_sym_alignas] = ACTIONS(2682),
    [anon_sym__Alignas] = ACTIONS(2682),
    [sym_primitive_type] = ACTIONS(2682),
    [anon_sym_enum] = ACTIONS(2682),
    [anon_sym_struct] = ACTIONS(2682),
    [anon_sym_union] = ACTIONS(2682),
    [anon_sym_if] = ACTIONS(2682),
    [anon_sym_switch] = ACTIONS(2682),
    [anon_sym_case] = ACTIONS(2682),
    [anon_sym_default] = ACTIONS(2682),
    [anon_sym_while] = ACTIONS(2682),
    [anon_sym_do] = ACTIONS(2682),
    [anon_sym_for] = ACTIONS(2682),
    [anon_sym_in] = ACTIONS(2682),
    [anon_sym_return] = ACTIONS(2682),
    [anon_sym_break] = ACTIONS(2682),
    [anon_sym_continue] = ACTIONS(2682),
    [anon_sym_goto] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2684),
    [anon_sym_PLUS_PLUS] = ACTIONS(2684),
    [anon_sym_sizeof] = ACTIONS(2682),
    [anon_sym___alignof__] = ACTIONS(2682),
    [anon_sym___alignof] = ACTIONS(2682),
    [anon_sym__alignof] = ACTIONS(2682),
    [anon_sym_alignof] = ACTIONS(2682),
    [anon_sym__Alignof] = ACTIONS(2682),
    [anon_sym_offsetof] = ACTIONS(2682),
    [anon_sym__Generic] = ACTIONS(2682),
    [anon_sym_asm] = ACTIONS(2682),
    [anon_sym___asm__] = ACTIONS(2682),
    [anon_sym___asm] = ACTIONS(2682),
    [sym_number_literal] = ACTIONS(2684),
    [anon_sym_L_SQUOTE] = ACTIONS(2684),
    [anon_sym_u_SQUOTE] = ACTIONS(2684),
    [anon_sym_U_SQUOTE] = ACTIONS(2684),
    [anon_sym_u8_SQUOTE] = ACTIONS(2684),
    [anon_sym_SQUOTE] = ACTIONS(2684),
    [anon_sym_AT] = ACTIONS(2682),
    [anon_sym_DQUOTE] = ACTIONS(2684),
    [anon_sym_L_DQUOTE] = ACTIONS(2684),
    [anon_sym_u_DQUOTE] = ACTIONS(2684),
    [anon_sym_U_DQUOTE] = ACTIONS(2684),
    [anon_sym_u8_DQUOTE] = ACTIONS(2684),
    [sym_true] = ACTIONS(2682),
    [sym_false] = ACTIONS(2682),
    [anon_sym_NULL] = ACTIONS(2682),
    [anon_sym_nullptr] = ACTIONS(2682),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2682),
    [anon_sym___typeof] = ACTIONS(2682),
    [anon_sym_typeof] = ACTIONS(2682),
    [anon_sym_ATimport] = ACTIONS(2684),
    [aux_sym_preproc_undef_token1] = ACTIONS(2682),
    [anon_sym_POUND] = ACTIONS(2682),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2682),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2682),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2682),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2682),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2682),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2682),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2682),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2682),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2682),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2682),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2682),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2682),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2682),
    [anon_sym_API_AVAILABLE] = ACTIONS(2682),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2682),
    [anon_sym_API_DEPRECATED] = ACTIONS(2682),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2682),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2682),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2682),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2682),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2682),
    [anon_sym___deprecated_msg] = ACTIONS(2682),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2682),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2682),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2682),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2682),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2682),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2682),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2682),
    [anon_sym_ATprotocol] = ACTIONS(2684),
    [anon_sym_ATinterface] = ACTIONS(2684),
    [anon_sym_ATimplementation] = ACTIONS(2684),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2684),
    [anon_sym_ATsynthesize] = ACTIONS(2684),
    [anon_sym_ATdynamic] = ACTIONS(2684),
    [anon_sym_ATtry] = ACTIONS(2684),
    [anon_sym___try] = ACTIONS(2682),
    [anon_sym_ATthrow] = ACTIONS(2684),
    [anon_sym_ATselector] = ACTIONS(2684),
    [anon_sym_ATavailable] = ACTIONS(2684),
    [anon_sym___builtin_available] = ACTIONS(2682),
    [anon_sym_va_arg] = ACTIONS(2682),
    [anon_sym_ATencode] = ACTIONS(2684),
    [anon_sym_ATsynchronized] = ACTIONS(2684),
    [anon_sym_BOOL] = ACTIONS(2682),
    [anon_sym_IMP] = ACTIONS(2682),
    [anon_sym_SEL] = ACTIONS(2682),
    [anon_sym_Class] = ACTIONS(2682),
    [anon_sym_id] = ACTIONS(2682),
  },
  [450] = {
    [sym_identifier] = ACTIONS(2686),
    [aux_sym_preproc_include_token1] = ACTIONS(2686),
    [aux_sym_preproc_include_token2] = ACTIONS(2686),
    [aux_sym_preproc_def_token1] = ACTIONS(2686),
    [aux_sym_preproc_if_token1] = ACTIONS(2686),
    [aux_sym_preproc_if_token2] = ACTIONS(2686),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2686),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2686),
    [aux_sym_preproc_else_token1] = ACTIONS(2686),
    [aux_sym_preproc_elif_token1] = ACTIONS(2686),
    [sym_preproc_directive] = ACTIONS(2686),
    [anon_sym_LPAREN2] = ACTIONS(2688),
    [anon_sym_BANG] = ACTIONS(2688),
    [anon_sym_TILDE] = ACTIONS(2688),
    [anon_sym_DASH] = ACTIONS(2686),
    [anon_sym_PLUS] = ACTIONS(2686),
    [anon_sym_STAR] = ACTIONS(2688),
    [anon_sym_CARET] = ACTIONS(2688),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_SEMI] = ACTIONS(2688),
    [anon_sym___extension__] = ACTIONS(2686),
    [anon_sym_typedef] = ACTIONS(2686),
    [anon_sym_extern] = ACTIONS(2686),
    [anon_sym___attribute__] = ACTIONS(2686),
    [anon_sym___attribute] = ACTIONS(2686),
    [anon_sym_noreturn] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym___declspec] = ACTIONS(2686),
    [anon_sym___cdecl] = ACTIONS(2686),
    [anon_sym___clrcall] = ACTIONS(2686),
    [anon_sym___stdcall] = ACTIONS(2686),
    [anon_sym___fastcall] = ACTIONS(2686),
    [anon_sym___thiscall] = ACTIONS(2686),
    [anon_sym___vectorcall] = ACTIONS(2686),
    [anon_sym_LBRACE] = ACTIONS(2688),
    [anon_sym_signed] = ACTIONS(2686),
    [anon_sym_unsigned] = ACTIONS(2686),
    [anon_sym_long] = ACTIONS(2686),
    [anon_sym_short] = ACTIONS(2686),
    [anon_sym_static] = ACTIONS(2686),
    [anon_sym_ATautoreleasepool] = ACTIONS(2688),
    [anon_sym_auto] = ACTIONS(2686),
    [anon_sym_register] = ACTIONS(2686),
    [anon_sym_inline] = ACTIONS(2686),
    [anon_sym___inline] = ACTIONS(2686),
    [anon_sym___inline__] = ACTIONS(2686),
    [anon_sym___forceinline] = ACTIONS(2686),
    [anon_sym_thread_local] = ACTIONS(2686),
    [anon_sym___thread] = ACTIONS(2686),
    [anon_sym_CG_EXTERN] = ACTIONS(2686),
    [anon_sym_CG_INLINE] = ACTIONS(2686),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2686),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2686),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2686),
    [anon_sym_IBOutlet] = ACTIONS(2686),
    [anon_sym_IBInspectable] = ACTIONS(2686),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2686),
    [anon_sym_NS_INLINE] = ACTIONS(2686),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2686),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2686),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2686),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2686),
    [anon_sym_const] = ACTIONS(2686),
    [anon_sym_constexpr] = ACTIONS(2686),
    [anon_sym_volatile] = ACTIONS(2686),
    [anon_sym_restrict] = ACTIONS(2686),
    [anon_sym___restrict__] = ACTIONS(2686),
    [anon_sym__Atomic] = ACTIONS(2686),
    [anon_sym__Noreturn] = ACTIONS(2686),
    [anon_sym__Nonnull] = ACTIONS(2686),
    [anon_sym_nullable] = ACTIONS(2686),
    [anon_sym__Complex] = ACTIONS(2686),
    [anon_sym__Nullable] = ACTIONS(2686),
    [anon_sym__Nullable_result] = ACTIONS(2686),
    [anon_sym__Null_unspecified] = ACTIONS(2686),
    [anon_sym___autoreleasing] = ACTIONS(2686),
    [anon_sym___block] = ACTIONS(2686),
    [anon_sym___bridge] = ACTIONS(2686),
    [anon_sym___bridge_retained] = ACTIONS(2686),
    [anon_sym___bridge_transfer] = ACTIONS(2686),
    [anon_sym___complex] = ACTIONS(2686),
    [anon_sym___const] = ACTIONS(2686),
    [anon_sym___imag] = ACTIONS(2686),
    [anon_sym___kindof] = ACTIONS(2686),
    [anon_sym___nonnull] = ACTIONS(2686),
    [anon_sym___nullable] = ACTIONS(2686),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2686),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2686),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2686),
    [anon_sym___real] = ACTIONS(2686),
    [anon_sym___strong] = ACTIONS(2686),
    [anon_sym___unsafe_unretained] = ACTIONS(2686),
    [anon_sym___unused] = ACTIONS(2686),
    [anon_sym___weak] = ACTIONS(2686),
    [anon_sym_alignas] = ACTIONS(2686),
    [anon_sym__Alignas] = ACTIONS(2686),
    [sym_primitive_type] = ACTIONS(2686),
    [anon_sym_enum] = ACTIONS(2686),
    [anon_sym_struct] = ACTIONS(2686),
    [anon_sym_union] = ACTIONS(2686),
    [anon_sym_if] = ACTIONS(2686),
    [anon_sym_switch] = ACTIONS(2686),
    [anon_sym_case] = ACTIONS(2686),
    [anon_sym_default] = ACTIONS(2686),
    [anon_sym_while] = ACTIONS(2686),
    [anon_sym_do] = ACTIONS(2686),
    [anon_sym_for] = ACTIONS(2686),
    [anon_sym_in] = ACTIONS(2686),
    [anon_sym_return] = ACTIONS(2686),
    [anon_sym_break] = ACTIONS(2686),
    [anon_sym_continue] = ACTIONS(2686),
    [anon_sym_goto] = ACTIONS(2686),
    [anon_sym_DASH_DASH] = ACTIONS(2688),
    [anon_sym_PLUS_PLUS] = ACTIONS(2688),
    [anon_sym_sizeof] = ACTIONS(2686),
    [anon_sym___alignof__] = ACTIONS(2686),
    [anon_sym___alignof] = ACTIONS(2686),
    [anon_sym__alignof] = ACTIONS(2686),
    [anon_sym_alignof] = ACTIONS(2686),
    [anon_sym__Alignof] = ACTIONS(2686),
    [anon_sym_offsetof] = ACTIONS(2686),
    [anon_sym__Generic] = ACTIONS(2686),
    [anon_sym_asm] = ACTIONS(2686),
    [anon_sym___asm__] = ACTIONS(2686),
    [anon_sym___asm] = ACTIONS(2686),
    [sym_number_literal] = ACTIONS(2688),
    [anon_sym_L_SQUOTE] = ACTIONS(2688),
    [anon_sym_u_SQUOTE] = ACTIONS(2688),
    [anon_sym_U_SQUOTE] = ACTIONS(2688),
    [anon_sym_u8_SQUOTE] = ACTIONS(2688),
    [anon_sym_SQUOTE] = ACTIONS(2688),
    [anon_sym_AT] = ACTIONS(2686),
    [anon_sym_DQUOTE] = ACTIONS(2688),
    [anon_sym_L_DQUOTE] = ACTIONS(2688),
    [anon_sym_u_DQUOTE] = ACTIONS(2688),
    [anon_sym_U_DQUOTE] = ACTIONS(2688),
    [anon_sym_u8_DQUOTE] = ACTIONS(2688),
    [sym_true] = ACTIONS(2686),
    [sym_false] = ACTIONS(2686),
    [anon_sym_NULL] = ACTIONS(2686),
    [anon_sym_nullptr] = ACTIONS(2686),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2686),
    [anon_sym___typeof] = ACTIONS(2686),
    [anon_sym_typeof] = ACTIONS(2686),
    [anon_sym_ATimport] = ACTIONS(2688),
    [aux_sym_preproc_undef_token1] = ACTIONS(2686),
    [anon_sym_POUND] = ACTIONS(2686),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2686),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2686),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2686),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2686),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2686),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2686),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2686),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2686),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2686),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2686),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2686),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2686),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2686),
    [anon_sym_API_AVAILABLE] = ACTIONS(2686),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2686),
    [anon_sym_API_DEPRECATED] = ACTIONS(2686),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2686),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2686),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2686),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2686),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2686),
    [anon_sym___deprecated_msg] = ACTIONS(2686),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2686),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2686),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2686),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2686),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2686),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2686),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2686),
    [anon_sym_ATprotocol] = ACTIONS(2688),
    [anon_sym_ATinterface] = ACTIONS(2688),
    [anon_sym_ATimplementation] = ACTIONS(2688),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2688),
    [anon_sym_ATsynthesize] = ACTIONS(2688),
    [anon_sym_ATdynamic] = ACTIONS(2688),
    [anon_sym_ATtry] = ACTIONS(2688),
    [anon_sym___try] = ACTIONS(2686),
    [anon_sym_ATthrow] = ACTIONS(2688),
    [anon_sym_ATselector] = ACTIONS(2688),
    [anon_sym_ATavailable] = ACTIONS(2688),
    [anon_sym___builtin_available] = ACTIONS(2686),
    [anon_sym_va_arg] = ACTIONS(2686),
    [anon_sym_ATencode] = ACTIONS(2688),
    [anon_sym_ATsynchronized] = ACTIONS(2688),
    [anon_sym_BOOL] = ACTIONS(2686),
    [anon_sym_IMP] = ACTIONS(2686),
    [anon_sym_SEL] = ACTIONS(2686),
    [anon_sym_Class] = ACTIONS(2686),
    [anon_sym_id] = ACTIONS(2686),
  },
  [451] = {
    [sym_identifier] = ACTIONS(2690),
    [aux_sym_preproc_include_token1] = ACTIONS(2690),
    [aux_sym_preproc_include_token2] = ACTIONS(2690),
    [aux_sym_preproc_def_token1] = ACTIONS(2690),
    [aux_sym_preproc_if_token1] = ACTIONS(2690),
    [aux_sym_preproc_if_token2] = ACTIONS(2690),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2690),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2690),
    [aux_sym_preproc_else_token1] = ACTIONS(2690),
    [aux_sym_preproc_elif_token1] = ACTIONS(2690),
    [sym_preproc_directive] = ACTIONS(2690),
    [anon_sym_LPAREN2] = ACTIONS(2692),
    [anon_sym_BANG] = ACTIONS(2692),
    [anon_sym_TILDE] = ACTIONS(2692),
    [anon_sym_DASH] = ACTIONS(2690),
    [anon_sym_PLUS] = ACTIONS(2690),
    [anon_sym_STAR] = ACTIONS(2692),
    [anon_sym_CARET] = ACTIONS(2692),
    [anon_sym_AMP] = ACTIONS(2692),
    [anon_sym_SEMI] = ACTIONS(2692),
    [anon_sym___extension__] = ACTIONS(2690),
    [anon_sym_typedef] = ACTIONS(2690),
    [anon_sym_extern] = ACTIONS(2690),
    [anon_sym___attribute__] = ACTIONS(2690),
    [anon_sym___attribute] = ACTIONS(2690),
    [anon_sym_noreturn] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym___declspec] = ACTIONS(2690),
    [anon_sym___cdecl] = ACTIONS(2690),
    [anon_sym___clrcall] = ACTIONS(2690),
    [anon_sym___stdcall] = ACTIONS(2690),
    [anon_sym___fastcall] = ACTIONS(2690),
    [anon_sym___thiscall] = ACTIONS(2690),
    [anon_sym___vectorcall] = ACTIONS(2690),
    [anon_sym_LBRACE] = ACTIONS(2692),
    [anon_sym_signed] = ACTIONS(2690),
    [anon_sym_unsigned] = ACTIONS(2690),
    [anon_sym_long] = ACTIONS(2690),
    [anon_sym_short] = ACTIONS(2690),
    [anon_sym_static] = ACTIONS(2690),
    [anon_sym_ATautoreleasepool] = ACTIONS(2692),
    [anon_sym_auto] = ACTIONS(2690),
    [anon_sym_register] = ACTIONS(2690),
    [anon_sym_inline] = ACTIONS(2690),
    [anon_sym___inline] = ACTIONS(2690),
    [anon_sym___inline__] = ACTIONS(2690),
    [anon_sym___forceinline] = ACTIONS(2690),
    [anon_sym_thread_local] = ACTIONS(2690),
    [anon_sym___thread] = ACTIONS(2690),
    [anon_sym_CG_EXTERN] = ACTIONS(2690),
    [anon_sym_CG_INLINE] = ACTIONS(2690),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2690),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2690),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2690),
    [anon_sym_IBOutlet] = ACTIONS(2690),
    [anon_sym_IBInspectable] = ACTIONS(2690),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2690),
    [anon_sym_NS_INLINE] = ACTIONS(2690),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2690),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2690),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2690),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2690),
    [anon_sym_const] = ACTIONS(2690),
    [anon_sym_constexpr] = ACTIONS(2690),
    [anon_sym_volatile] = ACTIONS(2690),
    [anon_sym_restrict] = ACTIONS(2690),
    [anon_sym___restrict__] = ACTIONS(2690),
    [anon_sym__Atomic] = ACTIONS(2690),
    [anon_sym__Noreturn] = ACTIONS(2690),
    [anon_sym__Nonnull] = ACTIONS(2690),
    [anon_sym_nullable] = ACTIONS(2690),
    [anon_sym__Complex] = ACTIONS(2690),
    [anon_sym__Nullable] = ACTIONS(2690),
    [anon_sym__Nullable_result] = ACTIONS(2690),
    [anon_sym__Null_unspecified] = ACTIONS(2690),
    [anon_sym___autoreleasing] = ACTIONS(2690),
    [anon_sym___block] = ACTIONS(2690),
    [anon_sym___bridge] = ACTIONS(2690),
    [anon_sym___bridge_retained] = ACTIONS(2690),
    [anon_sym___bridge_transfer] = ACTIONS(2690),
    [anon_sym___complex] = ACTIONS(2690),
    [anon_sym___const] = ACTIONS(2690),
    [anon_sym___imag] = ACTIONS(2690),
    [anon_sym___kindof] = ACTIONS(2690),
    [anon_sym___nonnull] = ACTIONS(2690),
    [anon_sym___nullable] = ACTIONS(2690),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2690),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2690),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2690),
    [anon_sym___real] = ACTIONS(2690),
    [anon_sym___strong] = ACTIONS(2690),
    [anon_sym___unsafe_unretained] = ACTIONS(2690),
    [anon_sym___unused] = ACTIONS(2690),
    [anon_sym___weak] = ACTIONS(2690),
    [anon_sym_alignas] = ACTIONS(2690),
    [anon_sym__Alignas] = ACTIONS(2690),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2690),
    [anon_sym_struct] = ACTIONS(2690),
    [anon_sym_union] = ACTIONS(2690),
    [anon_sym_if] = ACTIONS(2690),
    [anon_sym_switch] = ACTIONS(2690),
    [anon_sym_case] = ACTIONS(2690),
    [anon_sym_default] = ACTIONS(2690),
    [anon_sym_while] = ACTIONS(2690),
    [anon_sym_do] = ACTIONS(2690),
    [anon_sym_for] = ACTIONS(2690),
    [anon_sym_in] = ACTIONS(2690),
    [anon_sym_return] = ACTIONS(2690),
    [anon_sym_break] = ACTIONS(2690),
    [anon_sym_continue] = ACTIONS(2690),
    [anon_sym_goto] = ACTIONS(2690),
    [anon_sym_DASH_DASH] = ACTIONS(2692),
    [anon_sym_PLUS_PLUS] = ACTIONS(2692),
    [anon_sym_sizeof] = ACTIONS(2690),
    [anon_sym___alignof__] = ACTIONS(2690),
    [anon_sym___alignof] = ACTIONS(2690),
    [anon_sym__alignof] = ACTIONS(2690),
    [anon_sym_alignof] = ACTIONS(2690),
    [anon_sym__Alignof] = ACTIONS(2690),
    [anon_sym_offsetof] = ACTIONS(2690),
    [anon_sym__Generic] = ACTIONS(2690),
    [anon_sym_asm] = ACTIONS(2690),
    [anon_sym___asm__] = ACTIONS(2690),
    [anon_sym___asm] = ACTIONS(2690),
    [sym_number_literal] = ACTIONS(2692),
    [anon_sym_L_SQUOTE] = ACTIONS(2692),
    [anon_sym_u_SQUOTE] = ACTIONS(2692),
    [anon_sym_U_SQUOTE] = ACTIONS(2692),
    [anon_sym_u8_SQUOTE] = ACTIONS(2692),
    [anon_sym_SQUOTE] = ACTIONS(2692),
    [anon_sym_AT] = ACTIONS(2690),
    [anon_sym_DQUOTE] = ACTIONS(2692),
    [anon_sym_L_DQUOTE] = ACTIONS(2692),
    [anon_sym_u_DQUOTE] = ACTIONS(2692),
    [anon_sym_U_DQUOTE] = ACTIONS(2692),
    [anon_sym_u8_DQUOTE] = ACTIONS(2692),
    [sym_true] = ACTIONS(2690),
    [sym_false] = ACTIONS(2690),
    [anon_sym_NULL] = ACTIONS(2690),
    [anon_sym_nullptr] = ACTIONS(2690),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2690),
    [anon_sym___typeof] = ACTIONS(2690),
    [anon_sym_typeof] = ACTIONS(2690),
    [anon_sym_ATimport] = ACTIONS(2692),
    [aux_sym_preproc_undef_token1] = ACTIONS(2690),
    [anon_sym_POUND] = ACTIONS(2690),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2690),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2690),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2690),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2690),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2690),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2690),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2690),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2690),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2690),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2690),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2690),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2690),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2690),
    [anon_sym_API_AVAILABLE] = ACTIONS(2690),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2690),
    [anon_sym_API_DEPRECATED] = ACTIONS(2690),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2690),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2690),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2690),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2690),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2690),
    [anon_sym___deprecated_msg] = ACTIONS(2690),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2690),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2690),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2690),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2690),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2690),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2690),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2690),
    [anon_sym_ATprotocol] = ACTIONS(2692),
    [anon_sym_ATinterface] = ACTIONS(2692),
    [anon_sym_ATimplementation] = ACTIONS(2692),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2692),
    [anon_sym_ATsynthesize] = ACTIONS(2692),
    [anon_sym_ATdynamic] = ACTIONS(2692),
    [anon_sym_ATtry] = ACTIONS(2692),
    [anon_sym___try] = ACTIONS(2690),
    [anon_sym_ATthrow] = ACTIONS(2692),
    [anon_sym_ATselector] = ACTIONS(2692),
    [anon_sym_ATavailable] = ACTIONS(2692),
    [anon_sym___builtin_available] = ACTIONS(2690),
    [anon_sym_va_arg] = ACTIONS(2690),
    [anon_sym_ATencode] = ACTIONS(2692),
    [anon_sym_ATsynchronized] = ACTIONS(2692),
    [anon_sym_BOOL] = ACTIONS(2690),
    [anon_sym_IMP] = ACTIONS(2690),
    [anon_sym_SEL] = ACTIONS(2690),
    [anon_sym_Class] = ACTIONS(2690),
    [anon_sym_id] = ACTIONS(2690),
  },
  [452] = {
    [sym_identifier] = ACTIONS(2812),
    [aux_sym_preproc_include_token1] = ACTIONS(2812),
    [aux_sym_preproc_include_token2] = ACTIONS(2812),
    [aux_sym_preproc_def_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token2] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2812),
    [aux_sym_preproc_else_token1] = ACTIONS(2812),
    [aux_sym_preproc_elif_token1] = ACTIONS(2812),
    [sym_preproc_directive] = ACTIONS(2812),
    [anon_sym_LPAREN2] = ACTIONS(2814),
    [anon_sym_BANG] = ACTIONS(2814),
    [anon_sym_TILDE] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2812),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_CARET] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2814),
    [anon_sym___extension__] = ACTIONS(2812),
    [anon_sym_typedef] = ACTIONS(2812),
    [anon_sym_extern] = ACTIONS(2812),
    [anon_sym___attribute__] = ACTIONS(2812),
    [anon_sym___attribute] = ACTIONS(2812),
    [anon_sym_noreturn] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym___declspec] = ACTIONS(2812),
    [anon_sym___cdecl] = ACTIONS(2812),
    [anon_sym___clrcall] = ACTIONS(2812),
    [anon_sym___stdcall] = ACTIONS(2812),
    [anon_sym___fastcall] = ACTIONS(2812),
    [anon_sym___thiscall] = ACTIONS(2812),
    [anon_sym___vectorcall] = ACTIONS(2812),
    [anon_sym_LBRACE] = ACTIONS(2814),
    [anon_sym_signed] = ACTIONS(2812),
    [anon_sym_unsigned] = ACTIONS(2812),
    [anon_sym_long] = ACTIONS(2812),
    [anon_sym_short] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2812),
    [anon_sym_ATautoreleasepool] = ACTIONS(2814),
    [anon_sym_auto] = ACTIONS(2812),
    [anon_sym_register] = ACTIONS(2812),
    [anon_sym_inline] = ACTIONS(2812),
    [anon_sym___inline] = ACTIONS(2812),
    [anon_sym___inline__] = ACTIONS(2812),
    [anon_sym___forceinline] = ACTIONS(2812),
    [anon_sym_thread_local] = ACTIONS(2812),
    [anon_sym___thread] = ACTIONS(2812),
    [anon_sym_CG_EXTERN] = ACTIONS(2812),
    [anon_sym_CG_INLINE] = ACTIONS(2812),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2812),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2812),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2812),
    [anon_sym_IBOutlet] = ACTIONS(2812),
    [anon_sym_IBInspectable] = ACTIONS(2812),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2812),
    [anon_sym_NS_INLINE] = ACTIONS(2812),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2812),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2812),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2812),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2812),
    [anon_sym_const] = ACTIONS(2812),
    [anon_sym_constexpr] = ACTIONS(2812),
    [anon_sym_volatile] = ACTIONS(2812),
    [anon_sym_restrict] = ACTIONS(2812),
    [anon_sym___restrict__] = ACTIONS(2812),
    [anon_sym__Atomic] = ACTIONS(2812),
    [anon_sym__Noreturn] = ACTIONS(2812),
    [anon_sym__Nonnull] = ACTIONS(2812),
    [anon_sym_nullable] = ACTIONS(2812),
    [anon_sym__Complex] = ACTIONS(2812),
    [anon_sym__Nullable] = ACTIONS(2812),
    [anon_sym__Nullable_result] = ACTIONS(2812),
    [anon_sym__Null_unspecified] = ACTIONS(2812),
    [anon_sym___autoreleasing] = ACTIONS(2812),
    [anon_sym___block] = ACTIONS(2812),
    [anon_sym___bridge] = ACTIONS(2812),
    [anon_sym___bridge_retained] = ACTIONS(2812),
    [anon_sym___bridge_transfer] = ACTIONS(2812),
    [anon_sym___complex] = ACTIONS(2812),
    [anon_sym___const] = ACTIONS(2812),
    [anon_sym___imag] = ACTIONS(2812),
    [anon_sym___kindof] = ACTIONS(2812),
    [anon_sym___nonnull] = ACTIONS(2812),
    [anon_sym___nullable] = ACTIONS(2812),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2812),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2812),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2812),
    [anon_sym___real] = ACTIONS(2812),
    [anon_sym___strong] = ACTIONS(2812),
    [anon_sym___unsafe_unretained] = ACTIONS(2812),
    [anon_sym___unused] = ACTIONS(2812),
    [anon_sym___weak] = ACTIONS(2812),
    [anon_sym_alignas] = ACTIONS(2812),
    [anon_sym__Alignas] = ACTIONS(2812),
    [sym_primitive_type] = ACTIONS(2812),
    [anon_sym_enum] = ACTIONS(2812),
    [anon_sym_struct] = ACTIONS(2812),
    [anon_sym_union] = ACTIONS(2812),
    [anon_sym_if] = ACTIONS(2812),
    [anon_sym_switch] = ACTIONS(2812),
    [anon_sym_case] = ACTIONS(2812),
    [anon_sym_default] = ACTIONS(2812),
    [anon_sym_while] = ACTIONS(2812),
    [anon_sym_do] = ACTIONS(2812),
    [anon_sym_for] = ACTIONS(2812),
    [anon_sym_in] = ACTIONS(2812),
    [anon_sym_return] = ACTIONS(2812),
    [anon_sym_break] = ACTIONS(2812),
    [anon_sym_continue] = ACTIONS(2812),
    [anon_sym_goto] = ACTIONS(2812),
    [anon_sym_DASH_DASH] = ACTIONS(2814),
    [anon_sym_PLUS_PLUS] = ACTIONS(2814),
    [anon_sym_sizeof] = ACTIONS(2812),
    [anon_sym___alignof__] = ACTIONS(2812),
    [anon_sym___alignof] = ACTIONS(2812),
    [anon_sym__alignof] = ACTIONS(2812),
    [anon_sym_alignof] = ACTIONS(2812),
    [anon_sym__Alignof] = ACTIONS(2812),
    [anon_sym_offsetof] = ACTIONS(2812),
    [anon_sym__Generic] = ACTIONS(2812),
    [anon_sym_asm] = ACTIONS(2812),
    [anon_sym___asm__] = ACTIONS(2812),
    [anon_sym___asm] = ACTIONS(2812),
    [sym_number_literal] = ACTIONS(2814),
    [anon_sym_L_SQUOTE] = ACTIONS(2814),
    [anon_sym_u_SQUOTE] = ACTIONS(2814),
    [anon_sym_U_SQUOTE] = ACTIONS(2814),
    [anon_sym_u8_SQUOTE] = ACTIONS(2814),
    [anon_sym_SQUOTE] = ACTIONS(2814),
    [anon_sym_AT] = ACTIONS(2812),
    [anon_sym_DQUOTE] = ACTIONS(2814),
    [anon_sym_L_DQUOTE] = ACTIONS(2814),
    [anon_sym_u_DQUOTE] = ACTIONS(2814),
    [anon_sym_U_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8_DQUOTE] = ACTIONS(2814),
    [sym_true] = ACTIONS(2812),
    [sym_false] = ACTIONS(2812),
    [anon_sym_NULL] = ACTIONS(2812),
    [anon_sym_nullptr] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2812),
    [anon_sym___typeof] = ACTIONS(2812),
    [anon_sym_typeof] = ACTIONS(2812),
    [anon_sym_ATimport] = ACTIONS(2814),
    [aux_sym_preproc_undef_token1] = ACTIONS(2812),
    [anon_sym_POUND] = ACTIONS(2812),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2812),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2812),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2812),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2812),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2812),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2812),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2812),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2812),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2812),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2812),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2812),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2812),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2812),
    [anon_sym_API_AVAILABLE] = ACTIONS(2812),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2812),
    [anon_sym_API_DEPRECATED] = ACTIONS(2812),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2812),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2812),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2812),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2812),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2812),
    [anon_sym___deprecated_msg] = ACTIONS(2812),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2812),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2812),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2812),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2812),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2812),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2812),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2812),
    [anon_sym_ATprotocol] = ACTIONS(2814),
    [anon_sym_ATinterface] = ACTIONS(2814),
    [anon_sym_ATimplementation] = ACTIONS(2814),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2814),
    [anon_sym_ATsynthesize] = ACTIONS(2814),
    [anon_sym_ATdynamic] = ACTIONS(2814),
    [anon_sym_ATtry] = ACTIONS(2814),
    [anon_sym___try] = ACTIONS(2812),
    [anon_sym_ATthrow] = ACTIONS(2814),
    [anon_sym_ATselector] = ACTIONS(2814),
    [anon_sym_ATavailable] = ACTIONS(2814),
    [anon_sym___builtin_available] = ACTIONS(2812),
    [anon_sym_va_arg] = ACTIONS(2812),
    [anon_sym_ATencode] = ACTIONS(2814),
    [anon_sym_ATsynchronized] = ACTIONS(2814),
    [anon_sym_BOOL] = ACTIONS(2812),
    [anon_sym_IMP] = ACTIONS(2812),
    [anon_sym_SEL] = ACTIONS(2812),
    [anon_sym_Class] = ACTIONS(2812),
    [anon_sym_id] = ACTIONS(2812),
  },
  [453] = {
    [sym_identifier] = ACTIONS(2860),
    [aux_sym_preproc_include_token1] = ACTIONS(2860),
    [aux_sym_preproc_include_token2] = ACTIONS(2860),
    [aux_sym_preproc_def_token1] = ACTIONS(2860),
    [aux_sym_preproc_if_token1] = ACTIONS(2860),
    [aux_sym_preproc_if_token2] = ACTIONS(2860),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2860),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2860),
    [aux_sym_preproc_else_token1] = ACTIONS(2860),
    [aux_sym_preproc_elif_token1] = ACTIONS(2860),
    [sym_preproc_directive] = ACTIONS(2860),
    [anon_sym_LPAREN2] = ACTIONS(2862),
    [anon_sym_BANG] = ACTIONS(2862),
    [anon_sym_TILDE] = ACTIONS(2862),
    [anon_sym_DASH] = ACTIONS(2860),
    [anon_sym_PLUS] = ACTIONS(2860),
    [anon_sym_STAR] = ACTIONS(2862),
    [anon_sym_CARET] = ACTIONS(2862),
    [anon_sym_AMP] = ACTIONS(2862),
    [anon_sym_SEMI] = ACTIONS(2862),
    [anon_sym___extension__] = ACTIONS(2860),
    [anon_sym_typedef] = ACTIONS(2860),
    [anon_sym_extern] = ACTIONS(2860),
    [anon_sym___attribute__] = ACTIONS(2860),
    [anon_sym___attribute] = ACTIONS(2860),
    [anon_sym_noreturn] = ACTIONS(2860),
    [anon_sym_LBRACK] = ACTIONS(2862),
    [anon_sym___declspec] = ACTIONS(2860),
    [anon_sym___cdecl] = ACTIONS(2860),
    [anon_sym___clrcall] = ACTIONS(2860),
    [anon_sym___stdcall] = ACTIONS(2860),
    [anon_sym___fastcall] = ACTIONS(2860),
    [anon_sym___thiscall] = ACTIONS(2860),
    [anon_sym___vectorcall] = ACTIONS(2860),
    [anon_sym_LBRACE] = ACTIONS(2862),
    [anon_sym_signed] = ACTIONS(2860),
    [anon_sym_unsigned] = ACTIONS(2860),
    [anon_sym_long] = ACTIONS(2860),
    [anon_sym_short] = ACTIONS(2860),
    [anon_sym_static] = ACTIONS(2860),
    [anon_sym_ATautoreleasepool] = ACTIONS(2862),
    [anon_sym_auto] = ACTIONS(2860),
    [anon_sym_register] = ACTIONS(2860),
    [anon_sym_inline] = ACTIONS(2860),
    [anon_sym___inline] = ACTIONS(2860),
    [anon_sym___inline__] = ACTIONS(2860),
    [anon_sym___forceinline] = ACTIONS(2860),
    [anon_sym_thread_local] = ACTIONS(2860),
    [anon_sym___thread] = ACTIONS(2860),
    [anon_sym_CG_EXTERN] = ACTIONS(2860),
    [anon_sym_CG_INLINE] = ACTIONS(2860),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2860),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2860),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2860),
    [anon_sym_IBOutlet] = ACTIONS(2860),
    [anon_sym_IBInspectable] = ACTIONS(2860),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2860),
    [anon_sym_NS_INLINE] = ACTIONS(2860),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2860),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2860),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2860),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2860),
    [anon_sym_const] = ACTIONS(2860),
    [anon_sym_constexpr] = ACTIONS(2860),
    [anon_sym_volatile] = ACTIONS(2860),
    [anon_sym_restrict] = ACTIONS(2860),
    [anon_sym___restrict__] = ACTIONS(2860),
    [anon_sym__Atomic] = ACTIONS(2860),
    [anon_sym__Noreturn] = ACTIONS(2860),
    [anon_sym__Nonnull] = ACTIONS(2860),
    [anon_sym_nullable] = ACTIONS(2860),
    [anon_sym__Complex] = ACTIONS(2860),
    [anon_sym__Nullable] = ACTIONS(2860),
    [anon_sym__Nullable_result] = ACTIONS(2860),
    [anon_sym__Null_unspecified] = ACTIONS(2860),
    [anon_sym___autoreleasing] = ACTIONS(2860),
    [anon_sym___block] = ACTIONS(2860),
    [anon_sym___bridge] = ACTIONS(2860),
    [anon_sym___bridge_retained] = ACTIONS(2860),
    [anon_sym___bridge_transfer] = ACTIONS(2860),
    [anon_sym___complex] = ACTIONS(2860),
    [anon_sym___const] = ACTIONS(2860),
    [anon_sym___imag] = ACTIONS(2860),
    [anon_sym___kindof] = ACTIONS(2860),
    [anon_sym___nonnull] = ACTIONS(2860),
    [anon_sym___nullable] = ACTIONS(2860),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2860),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2860),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2860),
    [anon_sym___real] = ACTIONS(2860),
    [anon_sym___strong] = ACTIONS(2860),
    [anon_sym___unsafe_unretained] = ACTIONS(2860),
    [anon_sym___unused] = ACTIONS(2860),
    [anon_sym___weak] = ACTIONS(2860),
    [anon_sym_alignas] = ACTIONS(2860),
    [anon_sym__Alignas] = ACTIONS(2860),
    [sym_primitive_type] = ACTIONS(2860),
    [anon_sym_enum] = ACTIONS(2860),
    [anon_sym_struct] = ACTIONS(2860),
    [anon_sym_union] = ACTIONS(2860),
    [anon_sym_if] = ACTIONS(2860),
    [anon_sym_switch] = ACTIONS(2860),
    [anon_sym_case] = ACTIONS(2860),
    [anon_sym_default] = ACTIONS(2860),
    [anon_sym_while] = ACTIONS(2860),
    [anon_sym_do] = ACTIONS(2860),
    [anon_sym_for] = ACTIONS(2860),
    [anon_sym_in] = ACTIONS(2860),
    [anon_sym_return] = ACTIONS(2860),
    [anon_sym_break] = ACTIONS(2860),
    [anon_sym_continue] = ACTIONS(2860),
    [anon_sym_goto] = ACTIONS(2860),
    [anon_sym_DASH_DASH] = ACTIONS(2862),
    [anon_sym_PLUS_PLUS] = ACTIONS(2862),
    [anon_sym_sizeof] = ACTIONS(2860),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2860),
    [anon_sym__Generic] = ACTIONS(2860),
    [anon_sym_asm] = ACTIONS(2860),
    [anon_sym___asm__] = ACTIONS(2860),
    [anon_sym___asm] = ACTIONS(2860),
    [sym_number_literal] = ACTIONS(2862),
    [anon_sym_L_SQUOTE] = ACTIONS(2862),
    [anon_sym_u_SQUOTE] = ACTIONS(2862),
    [anon_sym_U_SQUOTE] = ACTIONS(2862),
    [anon_sym_u8_SQUOTE] = ACTIONS(2862),
    [anon_sym_SQUOTE] = ACTIONS(2862),
    [anon_sym_AT] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2862),
    [anon_sym_L_DQUOTE] = ACTIONS(2862),
    [anon_sym_u_DQUOTE] = ACTIONS(2862),
    [anon_sym_U_DQUOTE] = ACTIONS(2862),
    [anon_sym_u8_DQUOTE] = ACTIONS(2862),
    [sym_true] = ACTIONS(2860),
    [sym_false] = ACTIONS(2860),
    [anon_sym_NULL] = ACTIONS(2860),
    [anon_sym_nullptr] = ACTIONS(2860),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2860),
    [anon_sym___typeof] = ACTIONS(2860),
    [anon_sym_typeof] = ACTIONS(2860),
    [anon_sym_ATimport] = ACTIONS(2862),
    [aux_sym_preproc_undef_token1] = ACTIONS(2860),
    [anon_sym_POUND] = ACTIONS(2860),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2860),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2860),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2860),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2860),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2860),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2860),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2860),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2860),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2860),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2860),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2860),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2860),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2860),
    [anon_sym_API_AVAILABLE] = ACTIONS(2860),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2860),
    [anon_sym_API_DEPRECATED] = ACTIONS(2860),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2860),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2860),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2860),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2860),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2860),
    [anon_sym___deprecated_msg] = ACTIONS(2860),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2860),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2860),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2860),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2860),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2860),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2860),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2860),
    [anon_sym_ATprotocol] = ACTIONS(2862),
    [anon_sym_ATinterface] = ACTIONS(2862),
    [anon_sym_ATimplementation] = ACTIONS(2862),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2862),
    [anon_sym_ATsynthesize] = ACTIONS(2862),
    [anon_sym_ATdynamic] = ACTIONS(2862),
    [anon_sym_ATtry] = ACTIONS(2862),
    [anon_sym___try] = ACTIONS(2860),
    [anon_sym_ATthrow] = ACTIONS(2862),
    [anon_sym_ATselector] = ACTIONS(2862),
    [anon_sym_ATavailable] = ACTIONS(2862),
    [anon_sym___builtin_available] = ACTIONS(2860),
    [anon_sym_va_arg] = ACTIONS(2860),
    [anon_sym_ATencode] = ACTIONS(2862),
    [anon_sym_ATsynchronized] = ACTIONS(2862),
    [anon_sym_BOOL] = ACTIONS(2860),
    [anon_sym_IMP] = ACTIONS(2860),
    [anon_sym_SEL] = ACTIONS(2860),
    [anon_sym_Class] = ACTIONS(2860),
    [anon_sym_id] = ACTIONS(2860),
  },
  [454] = {
    [sym_identifier] = ACTIONS(2820),
    [aux_sym_preproc_include_token1] = ACTIONS(2820),
    [aux_sym_preproc_include_token2] = ACTIONS(2820),
    [aux_sym_preproc_def_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token2] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2820),
    [aux_sym_preproc_else_token1] = ACTIONS(2820),
    [aux_sym_preproc_elif_token1] = ACTIONS(2820),
    [sym_preproc_directive] = ACTIONS(2820),
    [anon_sym_LPAREN2] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2820),
    [anon_sym_PLUS] = ACTIONS(2820),
    [anon_sym_STAR] = ACTIONS(2822),
    [anon_sym_CARET] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2822),
    [anon_sym___extension__] = ACTIONS(2820),
    [anon_sym_typedef] = ACTIONS(2820),
    [anon_sym_extern] = ACTIONS(2820),
    [anon_sym___attribute__] = ACTIONS(2820),
    [anon_sym___attribute] = ACTIONS(2820),
    [anon_sym_noreturn] = ACTIONS(2820),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym___declspec] = ACTIONS(2820),
    [anon_sym___cdecl] = ACTIONS(2820),
    [anon_sym___clrcall] = ACTIONS(2820),
    [anon_sym___stdcall] = ACTIONS(2820),
    [anon_sym___fastcall] = ACTIONS(2820),
    [anon_sym___thiscall] = ACTIONS(2820),
    [anon_sym___vectorcall] = ACTIONS(2820),
    [anon_sym_LBRACE] = ACTIONS(2822),
    [anon_sym_signed] = ACTIONS(2820),
    [anon_sym_unsigned] = ACTIONS(2820),
    [anon_sym_long] = ACTIONS(2820),
    [anon_sym_short] = ACTIONS(2820),
    [anon_sym_static] = ACTIONS(2820),
    [anon_sym_ATautoreleasepool] = ACTIONS(2822),
    [anon_sym_auto] = ACTIONS(2820),
    [anon_sym_register] = ACTIONS(2820),
    [anon_sym_inline] = ACTIONS(2820),
    [anon_sym___inline] = ACTIONS(2820),
    [anon_sym___inline__] = ACTIONS(2820),
    [anon_sym___forceinline] = ACTIONS(2820),
    [anon_sym_thread_local] = ACTIONS(2820),
    [anon_sym___thread] = ACTIONS(2820),
    [anon_sym_CG_EXTERN] = ACTIONS(2820),
    [anon_sym_CG_INLINE] = ACTIONS(2820),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2820),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2820),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2820),
    [anon_sym_IBOutlet] = ACTIONS(2820),
    [anon_sym_IBInspectable] = ACTIONS(2820),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2820),
    [anon_sym_NS_INLINE] = ACTIONS(2820),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2820),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2820),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2820),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2820),
    [anon_sym_const] = ACTIONS(2820),
    [anon_sym_constexpr] = ACTIONS(2820),
    [anon_sym_volatile] = ACTIONS(2820),
    [anon_sym_restrict] = ACTIONS(2820),
    [anon_sym___restrict__] = ACTIONS(2820),
    [anon_sym__Atomic] = ACTIONS(2820),
    [anon_sym__Noreturn] = ACTIONS(2820),
    [anon_sym__Nonnull] = ACTIONS(2820),
    [anon_sym_nullable] = ACTIONS(2820),
    [anon_sym__Complex] = ACTIONS(2820),
    [anon_sym__Nullable] = ACTIONS(2820),
    [anon_sym__Nullable_result] = ACTIONS(2820),
    [anon_sym__Null_unspecified] = ACTIONS(2820),
    [anon_sym___autoreleasing] = ACTIONS(2820),
    [anon_sym___block] = ACTIONS(2820),
    [anon_sym___bridge] = ACTIONS(2820),
    [anon_sym___bridge_retained] = ACTIONS(2820),
    [anon_sym___bridge_transfer] = ACTIONS(2820),
    [anon_sym___complex] = ACTIONS(2820),
    [anon_sym___const] = ACTIONS(2820),
    [anon_sym___imag] = ACTIONS(2820),
    [anon_sym___kindof] = ACTIONS(2820),
    [anon_sym___nonnull] = ACTIONS(2820),
    [anon_sym___nullable] = ACTIONS(2820),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2820),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2820),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2820),
    [anon_sym___real] = ACTIONS(2820),
    [anon_sym___strong] = ACTIONS(2820),
    [anon_sym___unsafe_unretained] = ACTIONS(2820),
    [anon_sym___unused] = ACTIONS(2820),
    [anon_sym___weak] = ACTIONS(2820),
    [anon_sym_alignas] = ACTIONS(2820),
    [anon_sym__Alignas] = ACTIONS(2820),
    [sym_primitive_type] = ACTIONS(2820),
    [anon_sym_enum] = ACTIONS(2820),
    [anon_sym_struct] = ACTIONS(2820),
    [anon_sym_union] = ACTIONS(2820),
    [anon_sym_if] = ACTIONS(2820),
    [anon_sym_switch] = ACTIONS(2820),
    [anon_sym_case] = ACTIONS(2820),
    [anon_sym_default] = ACTIONS(2820),
    [anon_sym_while] = ACTIONS(2820),
    [anon_sym_do] = ACTIONS(2820),
    [anon_sym_for] = ACTIONS(2820),
    [anon_sym_in] = ACTIONS(2820),
    [anon_sym_return] = ACTIONS(2820),
    [anon_sym_break] = ACTIONS(2820),
    [anon_sym_continue] = ACTIONS(2820),
    [anon_sym_goto] = ACTIONS(2820),
    [anon_sym_DASH_DASH] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2822),
    [anon_sym_sizeof] = ACTIONS(2820),
    [anon_sym___alignof__] = ACTIONS(2820),
    [anon_sym___alignof] = ACTIONS(2820),
    [anon_sym__alignof] = ACTIONS(2820),
    [anon_sym_alignof] = ACTIONS(2820),
    [anon_sym__Alignof] = ACTIONS(2820),
    [anon_sym_offsetof] = ACTIONS(2820),
    [anon_sym__Generic] = ACTIONS(2820),
    [anon_sym_asm] = ACTIONS(2820),
    [anon_sym___asm__] = ACTIONS(2820),
    [anon_sym___asm] = ACTIONS(2820),
    [sym_number_literal] = ACTIONS(2822),
    [anon_sym_L_SQUOTE] = ACTIONS(2822),
    [anon_sym_u_SQUOTE] = ACTIONS(2822),
    [anon_sym_U_SQUOTE] = ACTIONS(2822),
    [anon_sym_u8_SQUOTE] = ACTIONS(2822),
    [anon_sym_SQUOTE] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2820),
    [anon_sym_DQUOTE] = ACTIONS(2822),
    [anon_sym_L_DQUOTE] = ACTIONS(2822),
    [anon_sym_u_DQUOTE] = ACTIONS(2822),
    [anon_sym_U_DQUOTE] = ACTIONS(2822),
    [anon_sym_u8_DQUOTE] = ACTIONS(2822),
    [sym_true] = ACTIONS(2820),
    [sym_false] = ACTIONS(2820),
    [anon_sym_NULL] = ACTIONS(2820),
    [anon_sym_nullptr] = ACTIONS(2820),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2820),
    [anon_sym___typeof] = ACTIONS(2820),
    [anon_sym_typeof] = ACTIONS(2820),
    [anon_sym_ATimport] = ACTIONS(2822),
    [aux_sym_preproc_undef_token1] = ACTIONS(2820),
    [anon_sym_POUND] = ACTIONS(2820),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2820),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2820),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2820),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2820),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2820),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2820),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2820),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2820),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2820),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2820),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2820),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2820),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2820),
    [anon_sym_API_AVAILABLE] = ACTIONS(2820),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2820),
    [anon_sym_API_DEPRECATED] = ACTIONS(2820),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2820),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2820),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2820),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2820),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2820),
    [anon_sym___deprecated_msg] = ACTIONS(2820),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2820),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2820),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2820),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2820),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2820),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2820),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2820),
    [anon_sym_ATprotocol] = ACTIONS(2822),
    [anon_sym_ATinterface] = ACTIONS(2822),
    [anon_sym_ATimplementation] = ACTIONS(2822),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2822),
    [anon_sym_ATsynthesize] = ACTIONS(2822),
    [anon_sym_ATdynamic] = ACTIONS(2822),
    [anon_sym_ATtry] = ACTIONS(2822),
    [anon_sym___try] = ACTIONS(2820),
    [anon_sym_ATthrow] = ACTIONS(2822),
    [anon_sym_ATselector] = ACTIONS(2822),
    [anon_sym_ATavailable] = ACTIONS(2822),
    [anon_sym___builtin_available] = ACTIONS(2820),
    [anon_sym_va_arg] = ACTIONS(2820),
    [anon_sym_ATencode] = ACTIONS(2822),
    [anon_sym_ATsynchronized] = ACTIONS(2822),
    [anon_sym_BOOL] = ACTIONS(2820),
    [anon_sym_IMP] = ACTIONS(2820),
    [anon_sym_SEL] = ACTIONS(2820),
    [anon_sym_Class] = ACTIONS(2820),
    [anon_sym_id] = ACTIONS(2820),
  },
  [455] = {
    [sym_identifier] = ACTIONS(2824),
    [aux_sym_preproc_include_token1] = ACTIONS(2824),
    [aux_sym_preproc_include_token2] = ACTIONS(2824),
    [aux_sym_preproc_def_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token2] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2824),
    [aux_sym_preproc_else_token1] = ACTIONS(2824),
    [aux_sym_preproc_elif_token1] = ACTIONS(2824),
    [sym_preproc_directive] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2826),
    [anon_sym_BANG] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_DASH] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2824),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2826),
    [anon_sym___extension__] = ACTIONS(2824),
    [anon_sym_typedef] = ACTIONS(2824),
    [anon_sym_extern] = ACTIONS(2824),
    [anon_sym___attribute__] = ACTIONS(2824),
    [anon_sym___attribute] = ACTIONS(2824),
    [anon_sym_noreturn] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym___declspec] = ACTIONS(2824),
    [anon_sym___cdecl] = ACTIONS(2824),
    [anon_sym___clrcall] = ACTIONS(2824),
    [anon_sym___stdcall] = ACTIONS(2824),
    [anon_sym___fastcall] = ACTIONS(2824),
    [anon_sym___thiscall] = ACTIONS(2824),
    [anon_sym___vectorcall] = ACTIONS(2824),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_signed] = ACTIONS(2824),
    [anon_sym_unsigned] = ACTIONS(2824),
    [anon_sym_long] = ACTIONS(2824),
    [anon_sym_short] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_ATautoreleasepool] = ACTIONS(2826),
    [anon_sym_auto] = ACTIONS(2824),
    [anon_sym_register] = ACTIONS(2824),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym___inline] = ACTIONS(2824),
    [anon_sym___inline__] = ACTIONS(2824),
    [anon_sym___forceinline] = ACTIONS(2824),
    [anon_sym_thread_local] = ACTIONS(2824),
    [anon_sym___thread] = ACTIONS(2824),
    [anon_sym_CG_EXTERN] = ACTIONS(2824),
    [anon_sym_CG_INLINE] = ACTIONS(2824),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2824),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2824),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2824),
    [anon_sym_IBOutlet] = ACTIONS(2824),
    [anon_sym_IBInspectable] = ACTIONS(2824),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2824),
    [anon_sym_NS_INLINE] = ACTIONS(2824),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2824),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2824),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2824),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_constexpr] = ACTIONS(2824),
    [anon_sym_volatile] = ACTIONS(2824),
    [anon_sym_restrict] = ACTIONS(2824),
    [anon_sym___restrict__] = ACTIONS(2824),
    [anon_sym__Atomic] = ACTIONS(2824),
    [anon_sym__Noreturn] = ACTIONS(2824),
    [anon_sym__Nonnull] = ACTIONS(2824),
    [anon_sym_nullable] = ACTIONS(2824),
    [anon_sym__Complex] = ACTIONS(2824),
    [anon_sym__Nullable] = ACTIONS(2824),
    [anon_sym__Nullable_result] = ACTIONS(2824),
    [anon_sym__Null_unspecified] = ACTIONS(2824),
    [anon_sym___autoreleasing] = ACTIONS(2824),
    [anon_sym___block] = ACTIONS(2824),
    [anon_sym___bridge] = ACTIONS(2824),
    [anon_sym___bridge_retained] = ACTIONS(2824),
    [anon_sym___bridge_transfer] = ACTIONS(2824),
    [anon_sym___complex] = ACTIONS(2824),
    [anon_sym___const] = ACTIONS(2824),
    [anon_sym___imag] = ACTIONS(2824),
    [anon_sym___kindof] = ACTIONS(2824),
    [anon_sym___nonnull] = ACTIONS(2824),
    [anon_sym___nullable] = ACTIONS(2824),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2824),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2824),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2824),
    [anon_sym___real] = ACTIONS(2824),
    [anon_sym___strong] = ACTIONS(2824),
    [anon_sym___unsafe_unretained] = ACTIONS(2824),
    [anon_sym___unused] = ACTIONS(2824),
    [anon_sym___weak] = ACTIONS(2824),
    [anon_sym_alignas] = ACTIONS(2824),
    [anon_sym__Alignas] = ACTIONS(2824),
    [sym_primitive_type] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [anon_sym_struct] = ACTIONS(2824),
    [anon_sym_union] = ACTIONS(2824),
    [anon_sym_if] = ACTIONS(2824),
    [anon_sym_switch] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2824),
    [anon_sym_default] = ACTIONS(2824),
    [anon_sym_while] = ACTIONS(2824),
    [anon_sym_do] = ACTIONS(2824),
    [anon_sym_for] = ACTIONS(2824),
    [anon_sym_in] = ACTIONS(2824),
    [anon_sym_return] = ACTIONS(2824),
    [anon_sym_break] = ACTIONS(2824),
    [anon_sym_continue] = ACTIONS(2824),
    [anon_sym_goto] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_sizeof] = ACTIONS(2824),
    [anon_sym___alignof__] = ACTIONS(2824),
    [anon_sym___alignof] = ACTIONS(2824),
    [anon_sym__alignof] = ACTIONS(2824),
    [anon_sym_alignof] = ACTIONS(2824),
    [anon_sym__Alignof] = ACTIONS(2824),
    [anon_sym_offsetof] = ACTIONS(2824),
    [anon_sym__Generic] = ACTIONS(2824),
    [anon_sym_asm] = ACTIONS(2824),
    [anon_sym___asm__] = ACTIONS(2824),
    [anon_sym___asm] = ACTIONS(2824),
    [sym_number_literal] = ACTIONS(2826),
    [anon_sym_L_SQUOTE] = ACTIONS(2826),
    [anon_sym_u_SQUOTE] = ACTIONS(2826),
    [anon_sym_U_SQUOTE] = ACTIONS(2826),
    [anon_sym_u8_SQUOTE] = ACTIONS(2826),
    [anon_sym_SQUOTE] = ACTIONS(2826),
    [anon_sym_AT] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2826),
    [anon_sym_L_DQUOTE] = ACTIONS(2826),
    [anon_sym_u_DQUOTE] = ACTIONS(2826),
    [anon_sym_U_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8_DQUOTE] = ACTIONS(2826),
    [sym_true] = ACTIONS(2824),
    [sym_false] = ACTIONS(2824),
    [anon_sym_NULL] = ACTIONS(2824),
    [anon_sym_nullptr] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2824),
    [anon_sym___typeof] = ACTIONS(2824),
    [anon_sym_typeof] = ACTIONS(2824),
    [anon_sym_ATimport] = ACTIONS(2826),
    [aux_sym_preproc_undef_token1] = ACTIONS(2824),
    [anon_sym_POUND] = ACTIONS(2824),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2824),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2824),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2824),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2824),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2824),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2824),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2824),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2824),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2824),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2824),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2824),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2824),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2824),
    [anon_sym_API_AVAILABLE] = ACTIONS(2824),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2824),
    [anon_sym_API_DEPRECATED] = ACTIONS(2824),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2824),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2824),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2824),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2824),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2824),
    [anon_sym___deprecated_msg] = ACTIONS(2824),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2824),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2824),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2824),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2824),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2824),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2824),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2824),
    [anon_sym_ATprotocol] = ACTIONS(2826),
    [anon_sym_ATinterface] = ACTIONS(2826),
    [anon_sym_ATimplementation] = ACTIONS(2826),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2826),
    [anon_sym_ATsynthesize] = ACTIONS(2826),
    [anon_sym_ATdynamic] = ACTIONS(2826),
    [anon_sym_ATtry] = ACTIONS(2826),
    [anon_sym___try] = ACTIONS(2824),
    [anon_sym_ATthrow] = ACTIONS(2826),
    [anon_sym_ATselector] = ACTIONS(2826),
    [anon_sym_ATavailable] = ACTIONS(2826),
    [anon_sym___builtin_available] = ACTIONS(2824),
    [anon_sym_va_arg] = ACTIONS(2824),
    [anon_sym_ATencode] = ACTIONS(2826),
    [anon_sym_ATsynchronized] = ACTIONS(2826),
    [anon_sym_BOOL] = ACTIONS(2824),
    [anon_sym_IMP] = ACTIONS(2824),
    [anon_sym_SEL] = ACTIONS(2824),
    [anon_sym_Class] = ACTIONS(2824),
    [anon_sym_id] = ACTIONS(2824),
  },
  [456] = {
    [sym_identifier] = ACTIONS(2666),
    [aux_sym_preproc_include_token1] = ACTIONS(2666),
    [aux_sym_preproc_include_token2] = ACTIONS(2666),
    [aux_sym_preproc_def_token1] = ACTIONS(2666),
    [aux_sym_preproc_if_token1] = ACTIONS(2666),
    [aux_sym_preproc_if_token2] = ACTIONS(2666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2666),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2666),
    [aux_sym_preproc_else_token1] = ACTIONS(2666),
    [aux_sym_preproc_elif_token1] = ACTIONS(2666),
    [sym_preproc_directive] = ACTIONS(2666),
    [anon_sym_LPAREN2] = ACTIONS(2668),
    [anon_sym_BANG] = ACTIONS(2668),
    [anon_sym_TILDE] = ACTIONS(2668),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_STAR] = ACTIONS(2668),
    [anon_sym_CARET] = ACTIONS(2668),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2668),
    [anon_sym___extension__] = ACTIONS(2666),
    [anon_sym_typedef] = ACTIONS(2666),
    [anon_sym_extern] = ACTIONS(2666),
    [anon_sym___attribute__] = ACTIONS(2666),
    [anon_sym___attribute] = ACTIONS(2666),
    [anon_sym_noreturn] = ACTIONS(2666),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym___declspec] = ACTIONS(2666),
    [anon_sym___cdecl] = ACTIONS(2666),
    [anon_sym___clrcall] = ACTIONS(2666),
    [anon_sym___stdcall] = ACTIONS(2666),
    [anon_sym___fastcall] = ACTIONS(2666),
    [anon_sym___thiscall] = ACTIONS(2666),
    [anon_sym___vectorcall] = ACTIONS(2666),
    [anon_sym_LBRACE] = ACTIONS(2668),
    [anon_sym_signed] = ACTIONS(2666),
    [anon_sym_unsigned] = ACTIONS(2666),
    [anon_sym_long] = ACTIONS(2666),
    [anon_sym_short] = ACTIONS(2666),
    [anon_sym_static] = ACTIONS(2666),
    [anon_sym_ATautoreleasepool] = ACTIONS(2668),
    [anon_sym_auto] = ACTIONS(2666),
    [anon_sym_register] = ACTIONS(2666),
    [anon_sym_inline] = ACTIONS(2666),
    [anon_sym___inline] = ACTIONS(2666),
    [anon_sym___inline__] = ACTIONS(2666),
    [anon_sym___forceinline] = ACTIONS(2666),
    [anon_sym_thread_local] = ACTIONS(2666),
    [anon_sym___thread] = ACTIONS(2666),
    [anon_sym_CG_EXTERN] = ACTIONS(2666),
    [anon_sym_CG_INLINE] = ACTIONS(2666),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2666),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2666),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2666),
    [anon_sym_IBOutlet] = ACTIONS(2666),
    [anon_sym_IBInspectable] = ACTIONS(2666),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2666),
    [anon_sym_NS_INLINE] = ACTIONS(2666),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2666),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2666),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2666),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2666),
    [anon_sym_const] = ACTIONS(2666),
    [anon_sym_constexpr] = ACTIONS(2666),
    [anon_sym_volatile] = ACTIONS(2666),
    [anon_sym_restrict] = ACTIONS(2666),
    [anon_sym___restrict__] = ACTIONS(2666),
    [anon_sym__Atomic] = ACTIONS(2666),
    [anon_sym__Noreturn] = ACTIONS(2666),
    [anon_sym__Nonnull] = ACTIONS(2666),
    [anon_sym_nullable] = ACTIONS(2666),
    [anon_sym__Complex] = ACTIONS(2666),
    [anon_sym__Nullable] = ACTIONS(2666),
    [anon_sym__Nullable_result] = ACTIONS(2666),
    [anon_sym__Null_unspecified] = ACTIONS(2666),
    [anon_sym___autoreleasing] = ACTIONS(2666),
    [anon_sym___block] = ACTIONS(2666),
    [anon_sym___bridge] = ACTIONS(2666),
    [anon_sym___bridge_retained] = ACTIONS(2666),
    [anon_sym___bridge_transfer] = ACTIONS(2666),
    [anon_sym___complex] = ACTIONS(2666),
    [anon_sym___const] = ACTIONS(2666),
    [anon_sym___imag] = ACTIONS(2666),
    [anon_sym___kindof] = ACTIONS(2666),
    [anon_sym___nonnull] = ACTIONS(2666),
    [anon_sym___nullable] = ACTIONS(2666),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2666),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2666),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2666),
    [anon_sym___real] = ACTIONS(2666),
    [anon_sym___strong] = ACTIONS(2666),
    [anon_sym___unsafe_unretained] = ACTIONS(2666),
    [anon_sym___unused] = ACTIONS(2666),
    [anon_sym___weak] = ACTIONS(2666),
    [anon_sym_alignas] = ACTIONS(2666),
    [anon_sym__Alignas] = ACTIONS(2666),
    [sym_primitive_type] = ACTIONS(2666),
    [anon_sym_enum] = ACTIONS(2666),
    [anon_sym_struct] = ACTIONS(2666),
    [anon_sym_union] = ACTIONS(2666),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_switch] = ACTIONS(2666),
    [anon_sym_case] = ACTIONS(2666),
    [anon_sym_default] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2666),
    [anon_sym_do] = ACTIONS(2666),
    [anon_sym_for] = ACTIONS(2666),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_return] = ACTIONS(2666),
    [anon_sym_break] = ACTIONS(2666),
    [anon_sym_continue] = ACTIONS(2666),
    [anon_sym_goto] = ACTIONS(2666),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_sizeof] = ACTIONS(2666),
    [anon_sym___alignof__] = ACTIONS(2666),
    [anon_sym___alignof] = ACTIONS(2666),
    [anon_sym__alignof] = ACTIONS(2666),
    [anon_sym_alignof] = ACTIONS(2666),
    [anon_sym__Alignof] = ACTIONS(2666),
    [anon_sym_offsetof] = ACTIONS(2666),
    [anon_sym__Generic] = ACTIONS(2666),
    [anon_sym_asm] = ACTIONS(2666),
    [anon_sym___asm__] = ACTIONS(2666),
    [anon_sym___asm] = ACTIONS(2666),
    [sym_number_literal] = ACTIONS(2668),
    [anon_sym_L_SQUOTE] = ACTIONS(2668),
    [anon_sym_u_SQUOTE] = ACTIONS(2668),
    [anon_sym_U_SQUOTE] = ACTIONS(2668),
    [anon_sym_u8_SQUOTE] = ACTIONS(2668),
    [anon_sym_SQUOTE] = ACTIONS(2668),
    [anon_sym_AT] = ACTIONS(2666),
    [anon_sym_DQUOTE] = ACTIONS(2668),
    [anon_sym_L_DQUOTE] = ACTIONS(2668),
    [anon_sym_u_DQUOTE] = ACTIONS(2668),
    [anon_sym_U_DQUOTE] = ACTIONS(2668),
    [anon_sym_u8_DQUOTE] = ACTIONS(2668),
    [sym_true] = ACTIONS(2666),
    [sym_false] = ACTIONS(2666),
    [anon_sym_NULL] = ACTIONS(2666),
    [anon_sym_nullptr] = ACTIONS(2666),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2666),
    [anon_sym___typeof] = ACTIONS(2666),
    [anon_sym_typeof] = ACTIONS(2666),
    [anon_sym_ATimport] = ACTIONS(2668),
    [aux_sym_preproc_undef_token1] = ACTIONS(2666),
    [anon_sym_POUND] = ACTIONS(2666),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2666),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2666),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2666),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2666),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2666),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2666),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2666),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2666),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2666),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2666),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2666),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2666),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2666),
    [anon_sym_API_AVAILABLE] = ACTIONS(2666),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2666),
    [anon_sym_API_DEPRECATED] = ACTIONS(2666),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2666),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2666),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2666),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2666),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2666),
    [anon_sym___deprecated_msg] = ACTIONS(2666),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2666),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2666),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2666),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2666),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2666),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2666),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2666),
    [anon_sym_ATprotocol] = ACTIONS(2668),
    [anon_sym_ATinterface] = ACTIONS(2668),
    [anon_sym_ATimplementation] = ACTIONS(2668),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2668),
    [anon_sym_ATsynthesize] = ACTIONS(2668),
    [anon_sym_ATdynamic] = ACTIONS(2668),
    [anon_sym_ATtry] = ACTIONS(2668),
    [anon_sym___try] = ACTIONS(2666),
    [anon_sym_ATthrow] = ACTIONS(2668),
    [anon_sym_ATselector] = ACTIONS(2668),
    [anon_sym_ATavailable] = ACTIONS(2668),
    [anon_sym___builtin_available] = ACTIONS(2666),
    [anon_sym_va_arg] = ACTIONS(2666),
    [anon_sym_ATencode] = ACTIONS(2668),
    [anon_sym_ATsynchronized] = ACTIONS(2668),
    [anon_sym_BOOL] = ACTIONS(2666),
    [anon_sym_IMP] = ACTIONS(2666),
    [anon_sym_SEL] = ACTIONS(2666),
    [anon_sym_Class] = ACTIONS(2666),
    [anon_sym_id] = ACTIONS(2666),
  },
  [457] = {
    [sym_identifier] = ACTIONS(2584),
    [aux_sym_preproc_include_token1] = ACTIONS(2584),
    [aux_sym_preproc_include_token2] = ACTIONS(2584),
    [aux_sym_preproc_def_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token2] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2584),
    [aux_sym_preproc_else_token1] = ACTIONS(2584),
    [aux_sym_preproc_elif_token1] = ACTIONS(2584),
    [sym_preproc_directive] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2586),
    [anon_sym___extension__] = ACTIONS(2584),
    [anon_sym_typedef] = ACTIONS(2584),
    [anon_sym_extern] = ACTIONS(2584),
    [anon_sym___attribute__] = ACTIONS(2584),
    [anon_sym___attribute] = ACTIONS(2584),
    [anon_sym_noreturn] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2586),
    [anon_sym___declspec] = ACTIONS(2584),
    [anon_sym___cdecl] = ACTIONS(2584),
    [anon_sym___clrcall] = ACTIONS(2584),
    [anon_sym___stdcall] = ACTIONS(2584),
    [anon_sym___fastcall] = ACTIONS(2584),
    [anon_sym___thiscall] = ACTIONS(2584),
    [anon_sym___vectorcall] = ACTIONS(2584),
    [anon_sym_LBRACE] = ACTIONS(2586),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_ATautoreleasepool] = ACTIONS(2586),
    [anon_sym_auto] = ACTIONS(2584),
    [anon_sym_register] = ACTIONS(2584),
    [anon_sym_inline] = ACTIONS(2584),
    [anon_sym___inline] = ACTIONS(2584),
    [anon_sym___inline__] = ACTIONS(2584),
    [anon_sym___forceinline] = ACTIONS(2584),
    [anon_sym_thread_local] = ACTIONS(2584),
    [anon_sym___thread] = ACTIONS(2584),
    [anon_sym_CG_EXTERN] = ACTIONS(2584),
    [anon_sym_CG_INLINE] = ACTIONS(2584),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2584),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2584),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2584),
    [anon_sym_IBOutlet] = ACTIONS(2584),
    [anon_sym_IBInspectable] = ACTIONS(2584),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2584),
    [anon_sym_NS_INLINE] = ACTIONS(2584),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2584),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2584),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2584),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2584),
    [anon_sym_const] = ACTIONS(2584),
    [anon_sym_constexpr] = ACTIONS(2584),
    [anon_sym_volatile] = ACTIONS(2584),
    [anon_sym_restrict] = ACTIONS(2584),
    [anon_sym___restrict__] = ACTIONS(2584),
    [anon_sym__Atomic] = ACTIONS(2584),
    [anon_sym__Noreturn] = ACTIONS(2584),
    [anon_sym__Nonnull] = ACTIONS(2584),
    [anon_sym_nullable] = ACTIONS(2584),
    [anon_sym__Complex] = ACTIONS(2584),
    [anon_sym__Nullable] = ACTIONS(2584),
    [anon_sym__Nullable_result] = ACTIONS(2584),
    [anon_sym__Null_unspecified] = ACTIONS(2584),
    [anon_sym___autoreleasing] = ACTIONS(2584),
    [anon_sym___block] = ACTIONS(2584),
    [anon_sym___bridge] = ACTIONS(2584),
    [anon_sym___bridge_retained] = ACTIONS(2584),
    [anon_sym___bridge_transfer] = ACTIONS(2584),
    [anon_sym___complex] = ACTIONS(2584),
    [anon_sym___const] = ACTIONS(2584),
    [anon_sym___imag] = ACTIONS(2584),
    [anon_sym___kindof] = ACTIONS(2584),
    [anon_sym___nonnull] = ACTIONS(2584),
    [anon_sym___nullable] = ACTIONS(2584),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2584),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2584),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2584),
    [anon_sym___real] = ACTIONS(2584),
    [anon_sym___strong] = ACTIONS(2584),
    [anon_sym___unsafe_unretained] = ACTIONS(2584),
    [anon_sym___unused] = ACTIONS(2584),
    [anon_sym___weak] = ACTIONS(2584),
    [anon_sym_alignas] = ACTIONS(2584),
    [anon_sym__Alignas] = ACTIONS(2584),
    [sym_primitive_type] = ACTIONS(2584),
    [anon_sym_enum] = ACTIONS(2584),
    [anon_sym_struct] = ACTIONS(2584),
    [anon_sym_union] = ACTIONS(2584),
    [anon_sym_if] = ACTIONS(2584),
    [anon_sym_switch] = ACTIONS(2584),
    [anon_sym_case] = ACTIONS(2584),
    [anon_sym_default] = ACTIONS(2584),
    [anon_sym_while] = ACTIONS(2584),
    [anon_sym_do] = ACTIONS(2584),
    [anon_sym_for] = ACTIONS(2584),
    [anon_sym_in] = ACTIONS(2584),
    [anon_sym_return] = ACTIONS(2584),
    [anon_sym_break] = ACTIONS(2584),
    [anon_sym_continue] = ACTIONS(2584),
    [anon_sym_goto] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2584),
    [anon_sym___alignof__] = ACTIONS(2584),
    [anon_sym___alignof] = ACTIONS(2584),
    [anon_sym__alignof] = ACTIONS(2584),
    [anon_sym_alignof] = ACTIONS(2584),
    [anon_sym__Alignof] = ACTIONS(2584),
    [anon_sym_offsetof] = ACTIONS(2584),
    [anon_sym__Generic] = ACTIONS(2584),
    [anon_sym_asm] = ACTIONS(2584),
    [anon_sym___asm__] = ACTIONS(2584),
    [anon_sym___asm] = ACTIONS(2584),
    [sym_number_literal] = ACTIONS(2586),
    [anon_sym_L_SQUOTE] = ACTIONS(2586),
    [anon_sym_u_SQUOTE] = ACTIONS(2586),
    [anon_sym_U_SQUOTE] = ACTIONS(2586),
    [anon_sym_u8_SQUOTE] = ACTIONS(2586),
    [anon_sym_SQUOTE] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2584),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [anon_sym_L_DQUOTE] = ACTIONS(2586),
    [anon_sym_u_DQUOTE] = ACTIONS(2586),
    [anon_sym_U_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8_DQUOTE] = ACTIONS(2586),
    [sym_true] = ACTIONS(2584),
    [sym_false] = ACTIONS(2584),
    [anon_sym_NULL] = ACTIONS(2584),
    [anon_sym_nullptr] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2584),
    [anon_sym___typeof] = ACTIONS(2584),
    [anon_sym_typeof] = ACTIONS(2584),
    [anon_sym_ATimport] = ACTIONS(2586),
    [aux_sym_preproc_undef_token1] = ACTIONS(2584),
    [anon_sym_POUND] = ACTIONS(2584),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2584),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2584),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2584),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2584),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2584),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2584),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2584),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2584),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2584),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2584),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2584),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2584),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2584),
    [anon_sym_API_AVAILABLE] = ACTIONS(2584),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2584),
    [anon_sym_API_DEPRECATED] = ACTIONS(2584),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2584),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2584),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2584),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2584),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2584),
    [anon_sym___deprecated_msg] = ACTIONS(2584),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2584),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2584),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2584),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2584),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2584),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2584),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2584),
    [anon_sym_ATprotocol] = ACTIONS(2586),
    [anon_sym_ATinterface] = ACTIONS(2586),
    [anon_sym_ATimplementation] = ACTIONS(2586),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2586),
    [anon_sym_ATsynthesize] = ACTIONS(2586),
    [anon_sym_ATdynamic] = ACTIONS(2586),
    [anon_sym_ATtry] = ACTIONS(2586),
    [anon_sym___try] = ACTIONS(2584),
    [anon_sym_ATthrow] = ACTIONS(2586),
    [anon_sym_ATselector] = ACTIONS(2586),
    [anon_sym_ATavailable] = ACTIONS(2586),
    [anon_sym___builtin_available] = ACTIONS(2584),
    [anon_sym_va_arg] = ACTIONS(2584),
    [anon_sym_ATencode] = ACTIONS(2586),
    [anon_sym_ATsynchronized] = ACTIONS(2586),
    [anon_sym_BOOL] = ACTIONS(2584),
    [anon_sym_IMP] = ACTIONS(2584),
    [anon_sym_SEL] = ACTIONS(2584),
    [anon_sym_Class] = ACTIONS(2584),
    [anon_sym_id] = ACTIONS(2584),
  },
  [458] = {
    [sym_identifier] = ACTIONS(2694),
    [aux_sym_preproc_include_token1] = ACTIONS(2694),
    [aux_sym_preproc_include_token2] = ACTIONS(2694),
    [aux_sym_preproc_def_token1] = ACTIONS(2694),
    [aux_sym_preproc_if_token1] = ACTIONS(2694),
    [aux_sym_preproc_if_token2] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2694),
    [aux_sym_preproc_else_token1] = ACTIONS(2694),
    [aux_sym_preproc_elif_token1] = ACTIONS(2694),
    [sym_preproc_directive] = ACTIONS(2694),
    [anon_sym_LPAREN2] = ACTIONS(2696),
    [anon_sym_BANG] = ACTIONS(2696),
    [anon_sym_TILDE] = ACTIONS(2696),
    [anon_sym_DASH] = ACTIONS(2694),
    [anon_sym_PLUS] = ACTIONS(2694),
    [anon_sym_STAR] = ACTIONS(2696),
    [anon_sym_CARET] = ACTIONS(2696),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2696),
    [anon_sym___extension__] = ACTIONS(2694),
    [anon_sym_typedef] = ACTIONS(2694),
    [anon_sym_extern] = ACTIONS(2694),
    [anon_sym___attribute__] = ACTIONS(2694),
    [anon_sym___attribute] = ACTIONS(2694),
    [anon_sym_noreturn] = ACTIONS(2694),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym___declspec] = ACTIONS(2694),
    [anon_sym___cdecl] = ACTIONS(2694),
    [anon_sym___clrcall] = ACTIONS(2694),
    [anon_sym___stdcall] = ACTIONS(2694),
    [anon_sym___fastcall] = ACTIONS(2694),
    [anon_sym___thiscall] = ACTIONS(2694),
    [anon_sym___vectorcall] = ACTIONS(2694),
    [anon_sym_LBRACE] = ACTIONS(2696),
    [anon_sym_signed] = ACTIONS(2694),
    [anon_sym_unsigned] = ACTIONS(2694),
    [anon_sym_long] = ACTIONS(2694),
    [anon_sym_short] = ACTIONS(2694),
    [anon_sym_static] = ACTIONS(2694),
    [anon_sym_ATautoreleasepool] = ACTIONS(2696),
    [anon_sym_auto] = ACTIONS(2694),
    [anon_sym_register] = ACTIONS(2694),
    [anon_sym_inline] = ACTIONS(2694),
    [anon_sym___inline] = ACTIONS(2694),
    [anon_sym___inline__] = ACTIONS(2694),
    [anon_sym___forceinline] = ACTIONS(2694),
    [anon_sym_thread_local] = ACTIONS(2694),
    [anon_sym___thread] = ACTIONS(2694),
    [anon_sym_CG_EXTERN] = ACTIONS(2694),
    [anon_sym_CG_INLINE] = ACTIONS(2694),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2694),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2694),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2694),
    [anon_sym_IBOutlet] = ACTIONS(2694),
    [anon_sym_IBInspectable] = ACTIONS(2694),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2694),
    [anon_sym_NS_INLINE] = ACTIONS(2694),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2694),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2694),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2694),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2694),
    [anon_sym_const] = ACTIONS(2694),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(2694),
    [anon_sym_restrict] = ACTIONS(2694),
    [anon_sym___restrict__] = ACTIONS(2694),
    [anon_sym__Atomic] = ACTIONS(2694),
    [anon_sym__Noreturn] = ACTIONS(2694),
    [anon_sym__Nonnull] = ACTIONS(2694),
    [anon_sym_nullable] = ACTIONS(2694),
    [anon_sym__Complex] = ACTIONS(2694),
    [anon_sym__Nullable] = ACTIONS(2694),
    [anon_sym__Nullable_result] = ACTIONS(2694),
    [anon_sym__Null_unspecified] = ACTIONS(2694),
    [anon_sym___autoreleasing] = ACTIONS(2694),
    [anon_sym___block] = ACTIONS(2694),
    [anon_sym___bridge] = ACTIONS(2694),
    [anon_sym___bridge_retained] = ACTIONS(2694),
    [anon_sym___bridge_transfer] = ACTIONS(2694),
    [anon_sym___complex] = ACTIONS(2694),
    [anon_sym___const] = ACTIONS(2694),
    [anon_sym___imag] = ACTIONS(2694),
    [anon_sym___kindof] = ACTIONS(2694),
    [anon_sym___nonnull] = ACTIONS(2694),
    [anon_sym___nullable] = ACTIONS(2694),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2694),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2694),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2694),
    [anon_sym___real] = ACTIONS(2694),
    [anon_sym___strong] = ACTIONS(2694),
    [anon_sym___unsafe_unretained] = ACTIONS(2694),
    [anon_sym___unused] = ACTIONS(2694),
    [anon_sym___weak] = ACTIONS(2694),
    [anon_sym_alignas] = ACTIONS(2694),
    [anon_sym__Alignas] = ACTIONS(2694),
    [sym_primitive_type] = ACTIONS(2694),
    [anon_sym_enum] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2694),
    [anon_sym_union] = ACTIONS(2694),
    [anon_sym_if] = ACTIONS(2694),
    [anon_sym_switch] = ACTIONS(2694),
    [anon_sym_case] = ACTIONS(2694),
    [anon_sym_default] = ACTIONS(2694),
    [anon_sym_while] = ACTIONS(2694),
    [anon_sym_do] = ACTIONS(2694),
    [anon_sym_for] = ACTIONS(2694),
    [anon_sym_in] = ACTIONS(2694),
    [anon_sym_return] = ACTIONS(2694),
    [anon_sym_break] = ACTIONS(2694),
    [anon_sym_continue] = ACTIONS(2694),
    [anon_sym_goto] = ACTIONS(2694),
    [anon_sym_DASH_DASH] = ACTIONS(2696),
    [anon_sym_PLUS_PLUS] = ACTIONS(2696),
    [anon_sym_sizeof] = ACTIONS(2694),
    [anon_sym___alignof__] = ACTIONS(2694),
    [anon_sym___alignof] = ACTIONS(2694),
    [anon_sym__alignof] = ACTIONS(2694),
    [anon_sym_alignof] = ACTIONS(2694),
    [anon_sym__Alignof] = ACTIONS(2694),
    [anon_sym_offsetof] = ACTIONS(2694),
    [anon_sym__Generic] = ACTIONS(2694),
    [anon_sym_asm] = ACTIONS(2694),
    [anon_sym___asm__] = ACTIONS(2694),
    [anon_sym___asm] = ACTIONS(2694),
    [sym_number_literal] = ACTIONS(2696),
    [anon_sym_L_SQUOTE] = ACTIONS(2696),
    [anon_sym_u_SQUOTE] = ACTIONS(2696),
    [anon_sym_U_SQUOTE] = ACTIONS(2696),
    [anon_sym_u8_SQUOTE] = ACTIONS(2696),
    [anon_sym_SQUOTE] = ACTIONS(2696),
    [anon_sym_AT] = ACTIONS(2694),
    [anon_sym_DQUOTE] = ACTIONS(2696),
    [anon_sym_L_DQUOTE] = ACTIONS(2696),
    [anon_sym_u_DQUOTE] = ACTIONS(2696),
    [anon_sym_U_DQUOTE] = ACTIONS(2696),
    [anon_sym_u8_DQUOTE] = ACTIONS(2696),
    [sym_true] = ACTIONS(2694),
    [sym_false] = ACTIONS(2694),
    [anon_sym_NULL] = ACTIONS(2694),
    [anon_sym_nullptr] = ACTIONS(2694),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2694),
    [anon_sym___typeof] = ACTIONS(2694),
    [anon_sym_typeof] = ACTIONS(2694),
    [anon_sym_ATimport] = ACTIONS(2696),
    [aux_sym_preproc_undef_token1] = ACTIONS(2694),
    [anon_sym_POUND] = ACTIONS(2694),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2694),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2694),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2694),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2694),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2694),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2694),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2694),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2694),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2694),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2694),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2694),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2694),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2694),
    [anon_sym_API_AVAILABLE] = ACTIONS(2694),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2694),
    [anon_sym_API_DEPRECATED] = ACTIONS(2694),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2694),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2694),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2694),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2694),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2694),
    [anon_sym___deprecated_msg] = ACTIONS(2694),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2694),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2694),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2694),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2694),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2694),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2694),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2694),
    [anon_sym_ATprotocol] = ACTIONS(2696),
    [anon_sym_ATinterface] = ACTIONS(2696),
    [anon_sym_ATimplementation] = ACTIONS(2696),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2696),
    [anon_sym_ATsynthesize] = ACTIONS(2696),
    [anon_sym_ATdynamic] = ACTIONS(2696),
    [anon_sym_ATtry] = ACTIONS(2696),
    [anon_sym___try] = ACTIONS(2694),
    [anon_sym_ATthrow] = ACTIONS(2696),
    [anon_sym_ATselector] = ACTIONS(2696),
    [anon_sym_ATavailable] = ACTIONS(2696),
    [anon_sym___builtin_available] = ACTIONS(2694),
    [anon_sym_va_arg] = ACTIONS(2694),
    [anon_sym_ATencode] = ACTIONS(2696),
    [anon_sym_ATsynchronized] = ACTIONS(2696),
    [anon_sym_BOOL] = ACTIONS(2694),
    [anon_sym_IMP] = ACTIONS(2694),
    [anon_sym_SEL] = ACTIONS(2694),
    [anon_sym_Class] = ACTIONS(2694),
    [anon_sym_id] = ACTIONS(2694),
  },
  [459] = {
    [sym_identifier] = ACTIONS(2698),
    [aux_sym_preproc_include_token1] = ACTIONS(2698),
    [aux_sym_preproc_include_token2] = ACTIONS(2698),
    [aux_sym_preproc_def_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token2] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2698),
    [aux_sym_preproc_else_token1] = ACTIONS(2698),
    [aux_sym_preproc_elif_token1] = ACTIONS(2698),
    [sym_preproc_directive] = ACTIONS(2698),
    [anon_sym_LPAREN2] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2698),
    [anon_sym_PLUS] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_CARET] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2700),
    [anon_sym___extension__] = ACTIONS(2698),
    [anon_sym_typedef] = ACTIONS(2698),
    [anon_sym_extern] = ACTIONS(2698),
    [anon_sym___attribute__] = ACTIONS(2698),
    [anon_sym___attribute] = ACTIONS(2698),
    [anon_sym_noreturn] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym___declspec] = ACTIONS(2698),
    [anon_sym___cdecl] = ACTIONS(2698),
    [anon_sym___clrcall] = ACTIONS(2698),
    [anon_sym___stdcall] = ACTIONS(2698),
    [anon_sym___fastcall] = ACTIONS(2698),
    [anon_sym___thiscall] = ACTIONS(2698),
    [anon_sym___vectorcall] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_signed] = ACTIONS(2698),
    [anon_sym_unsigned] = ACTIONS(2698),
    [anon_sym_long] = ACTIONS(2698),
    [anon_sym_short] = ACTIONS(2698),
    [anon_sym_static] = ACTIONS(2698),
    [anon_sym_ATautoreleasepool] = ACTIONS(2700),
    [anon_sym_auto] = ACTIONS(2698),
    [anon_sym_register] = ACTIONS(2698),
    [anon_sym_inline] = ACTIONS(2698),
    [anon_sym___inline] = ACTIONS(2698),
    [anon_sym___inline__] = ACTIONS(2698),
    [anon_sym___forceinline] = ACTIONS(2698),
    [anon_sym_thread_local] = ACTIONS(2698),
    [anon_sym___thread] = ACTIONS(2698),
    [anon_sym_CG_EXTERN] = ACTIONS(2698),
    [anon_sym_CG_INLINE] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2698),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2698),
    [anon_sym_IBOutlet] = ACTIONS(2698),
    [anon_sym_IBInspectable] = ACTIONS(2698),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2698),
    [anon_sym_NS_INLINE] = ACTIONS(2698),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2698),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2698),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2698),
    [anon_sym_const] = ACTIONS(2698),
    [anon_sym_constexpr] = ACTIONS(2698),
    [anon_sym_volatile] = ACTIONS(2698),
    [anon_sym_restrict] = ACTIONS(2698),
    [anon_sym___restrict__] = ACTIONS(2698),
    [anon_sym__Atomic] = ACTIONS(2698),
    [anon_sym__Noreturn] = ACTIONS(2698),
    [anon_sym__Nonnull] = ACTIONS(2698),
    [anon_sym_nullable] = ACTIONS(2698),
    [anon_sym__Complex] = ACTIONS(2698),
    [anon_sym__Nullable] = ACTIONS(2698),
    [anon_sym__Nullable_result] = ACTIONS(2698),
    [anon_sym__Null_unspecified] = ACTIONS(2698),
    [anon_sym___autoreleasing] = ACTIONS(2698),
    [anon_sym___block] = ACTIONS(2698),
    [anon_sym___bridge] = ACTIONS(2698),
    [anon_sym___bridge_retained] = ACTIONS(2698),
    [anon_sym___bridge_transfer] = ACTIONS(2698),
    [anon_sym___complex] = ACTIONS(2698),
    [anon_sym___const] = ACTIONS(2698),
    [anon_sym___imag] = ACTIONS(2698),
    [anon_sym___kindof] = ACTIONS(2698),
    [anon_sym___nonnull] = ACTIONS(2698),
    [anon_sym___nullable] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2698),
    [anon_sym___real] = ACTIONS(2698),
    [anon_sym___strong] = ACTIONS(2698),
    [anon_sym___unsafe_unretained] = ACTIONS(2698),
    [anon_sym___unused] = ACTIONS(2698),
    [anon_sym___weak] = ACTIONS(2698),
    [anon_sym_alignas] = ACTIONS(2698),
    [anon_sym__Alignas] = ACTIONS(2698),
    [sym_primitive_type] = ACTIONS(2698),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_struct] = ACTIONS(2698),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_if] = ACTIONS(2698),
    [anon_sym_switch] = ACTIONS(2698),
    [anon_sym_case] = ACTIONS(2698),
    [anon_sym_default] = ACTIONS(2698),
    [anon_sym_while] = ACTIONS(2698),
    [anon_sym_do] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2698),
    [anon_sym_in] = ACTIONS(2698),
    [anon_sym_return] = ACTIONS(2698),
    [anon_sym_break] = ACTIONS(2698),
    [anon_sym_continue] = ACTIONS(2698),
    [anon_sym_goto] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2698),
    [anon_sym___alignof__] = ACTIONS(2698),
    [anon_sym___alignof] = ACTIONS(2698),
    [anon_sym__alignof] = ACTIONS(2698),
    [anon_sym_alignof] = ACTIONS(2698),
    [anon_sym__Alignof] = ACTIONS(2698),
    [anon_sym_offsetof] = ACTIONS(2698),
    [anon_sym__Generic] = ACTIONS(2698),
    [anon_sym_asm] = ACTIONS(2698),
    [anon_sym___asm__] = ACTIONS(2698),
    [anon_sym___asm] = ACTIONS(2698),
    [sym_number_literal] = ACTIONS(2700),
    [anon_sym_L_SQUOTE] = ACTIONS(2700),
    [anon_sym_u_SQUOTE] = ACTIONS(2700),
    [anon_sym_U_SQUOTE] = ACTIONS(2700),
    [anon_sym_u8_SQUOTE] = ACTIONS(2700),
    [anon_sym_SQUOTE] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_L_DQUOTE] = ACTIONS(2700),
    [anon_sym_u_DQUOTE] = ACTIONS(2700),
    [anon_sym_U_DQUOTE] = ACTIONS(2700),
    [anon_sym_u8_DQUOTE] = ACTIONS(2700),
    [sym_true] = ACTIONS(2698),
    [sym_false] = ACTIONS(2698),
    [anon_sym_NULL] = ACTIONS(2698),
    [anon_sym_nullptr] = ACTIONS(2698),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2698),
    [anon_sym___typeof] = ACTIONS(2698),
    [anon_sym_typeof] = ACTIONS(2698),
    [anon_sym_ATimport] = ACTIONS(2700),
    [aux_sym_preproc_undef_token1] = ACTIONS(2698),
    [anon_sym_POUND] = ACTIONS(2698),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2698),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2698),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2698),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_API_AVAILABLE] = ACTIONS(2698),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_API_DEPRECATED] = ACTIONS(2698),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym___deprecated_msg] = ACTIONS(2698),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2698),
    [anon_sym_ATprotocol] = ACTIONS(2700),
    [anon_sym_ATinterface] = ACTIONS(2700),
    [anon_sym_ATimplementation] = ACTIONS(2700),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2700),
    [anon_sym_ATsynthesize] = ACTIONS(2700),
    [anon_sym_ATdynamic] = ACTIONS(2700),
    [anon_sym_ATtry] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2698),
    [anon_sym_ATthrow] = ACTIONS(2700),
    [anon_sym_ATselector] = ACTIONS(2700),
    [anon_sym_ATavailable] = ACTIONS(2700),
    [anon_sym___builtin_available] = ACTIONS(2698),
    [anon_sym_va_arg] = ACTIONS(2698),
    [anon_sym_ATencode] = ACTIONS(2700),
    [anon_sym_ATsynchronized] = ACTIONS(2700),
    [anon_sym_BOOL] = ACTIONS(2698),
    [anon_sym_IMP] = ACTIONS(2698),
    [anon_sym_SEL] = ACTIONS(2698),
    [anon_sym_Class] = ACTIONS(2698),
    [anon_sym_id] = ACTIONS(2698),
  },
  [460] = {
    [sym_identifier] = ACTIONS(2698),
    [aux_sym_preproc_include_token1] = ACTIONS(2698),
    [aux_sym_preproc_include_token2] = ACTIONS(2698),
    [aux_sym_preproc_def_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token2] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2698),
    [aux_sym_preproc_else_token1] = ACTIONS(2698),
    [aux_sym_preproc_elif_token1] = ACTIONS(2698),
    [sym_preproc_directive] = ACTIONS(2698),
    [anon_sym_LPAREN2] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2698),
    [anon_sym_PLUS] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_CARET] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2700),
    [anon_sym___extension__] = ACTIONS(2698),
    [anon_sym_typedef] = ACTIONS(2698),
    [anon_sym_extern] = ACTIONS(2698),
    [anon_sym___attribute__] = ACTIONS(2698),
    [anon_sym___attribute] = ACTIONS(2698),
    [anon_sym_noreturn] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym___declspec] = ACTIONS(2698),
    [anon_sym___cdecl] = ACTIONS(2698),
    [anon_sym___clrcall] = ACTIONS(2698),
    [anon_sym___stdcall] = ACTIONS(2698),
    [anon_sym___fastcall] = ACTIONS(2698),
    [anon_sym___thiscall] = ACTIONS(2698),
    [anon_sym___vectorcall] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_signed] = ACTIONS(2698),
    [anon_sym_unsigned] = ACTIONS(2698),
    [anon_sym_long] = ACTIONS(2698),
    [anon_sym_short] = ACTIONS(2698),
    [anon_sym_static] = ACTIONS(2698),
    [anon_sym_ATautoreleasepool] = ACTIONS(2700),
    [anon_sym_auto] = ACTIONS(2698),
    [anon_sym_register] = ACTIONS(2698),
    [anon_sym_inline] = ACTIONS(2698),
    [anon_sym___inline] = ACTIONS(2698),
    [anon_sym___inline__] = ACTIONS(2698),
    [anon_sym___forceinline] = ACTIONS(2698),
    [anon_sym_thread_local] = ACTIONS(2698),
    [anon_sym___thread] = ACTIONS(2698),
    [anon_sym_CG_EXTERN] = ACTIONS(2698),
    [anon_sym_CG_INLINE] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2698),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2698),
    [anon_sym_IBOutlet] = ACTIONS(2698),
    [anon_sym_IBInspectable] = ACTIONS(2698),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2698),
    [anon_sym_NS_INLINE] = ACTIONS(2698),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2698),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2698),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2698),
    [anon_sym_const] = ACTIONS(2698),
    [anon_sym_constexpr] = ACTIONS(2698),
    [anon_sym_volatile] = ACTIONS(2698),
    [anon_sym_restrict] = ACTIONS(2698),
    [anon_sym___restrict__] = ACTIONS(2698),
    [anon_sym__Atomic] = ACTIONS(2698),
    [anon_sym__Noreturn] = ACTIONS(2698),
    [anon_sym__Nonnull] = ACTIONS(2698),
    [anon_sym_nullable] = ACTIONS(2698),
    [anon_sym__Complex] = ACTIONS(2698),
    [anon_sym__Nullable] = ACTIONS(2698),
    [anon_sym__Nullable_result] = ACTIONS(2698),
    [anon_sym__Null_unspecified] = ACTIONS(2698),
    [anon_sym___autoreleasing] = ACTIONS(2698),
    [anon_sym___block] = ACTIONS(2698),
    [anon_sym___bridge] = ACTIONS(2698),
    [anon_sym___bridge_retained] = ACTIONS(2698),
    [anon_sym___bridge_transfer] = ACTIONS(2698),
    [anon_sym___complex] = ACTIONS(2698),
    [anon_sym___const] = ACTIONS(2698),
    [anon_sym___imag] = ACTIONS(2698),
    [anon_sym___kindof] = ACTIONS(2698),
    [anon_sym___nonnull] = ACTIONS(2698),
    [anon_sym___nullable] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2698),
    [anon_sym___real] = ACTIONS(2698),
    [anon_sym___strong] = ACTIONS(2698),
    [anon_sym___unsafe_unretained] = ACTIONS(2698),
    [anon_sym___unused] = ACTIONS(2698),
    [anon_sym___weak] = ACTIONS(2698),
    [anon_sym_alignas] = ACTIONS(2698),
    [anon_sym__Alignas] = ACTIONS(2698),
    [sym_primitive_type] = ACTIONS(2698),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_struct] = ACTIONS(2698),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_if] = ACTIONS(2698),
    [anon_sym_switch] = ACTIONS(2698),
    [anon_sym_case] = ACTIONS(2698),
    [anon_sym_default] = ACTIONS(2698),
    [anon_sym_while] = ACTIONS(2698),
    [anon_sym_do] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2698),
    [anon_sym_in] = ACTIONS(2698),
    [anon_sym_return] = ACTIONS(2698),
    [anon_sym_break] = ACTIONS(2698),
    [anon_sym_continue] = ACTIONS(2698),
    [anon_sym_goto] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2698),
    [anon_sym___alignof__] = ACTIONS(2698),
    [anon_sym___alignof] = ACTIONS(2698),
    [anon_sym__alignof] = ACTIONS(2698),
    [anon_sym_alignof] = ACTIONS(2698),
    [anon_sym__Alignof] = ACTIONS(2698),
    [anon_sym_offsetof] = ACTIONS(2698),
    [anon_sym__Generic] = ACTIONS(2698),
    [anon_sym_asm] = ACTIONS(2698),
    [anon_sym___asm__] = ACTIONS(2698),
    [anon_sym___asm] = ACTIONS(2698),
    [sym_number_literal] = ACTIONS(2700),
    [anon_sym_L_SQUOTE] = ACTIONS(2700),
    [anon_sym_u_SQUOTE] = ACTIONS(2700),
    [anon_sym_U_SQUOTE] = ACTIONS(2700),
    [anon_sym_u8_SQUOTE] = ACTIONS(2700),
    [anon_sym_SQUOTE] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_L_DQUOTE] = ACTIONS(2700),
    [anon_sym_u_DQUOTE] = ACTIONS(2700),
    [anon_sym_U_DQUOTE] = ACTIONS(2700),
    [anon_sym_u8_DQUOTE] = ACTIONS(2700),
    [sym_true] = ACTIONS(2698),
    [sym_false] = ACTIONS(2698),
    [anon_sym_NULL] = ACTIONS(2698),
    [anon_sym_nullptr] = ACTIONS(2698),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2698),
    [anon_sym___typeof] = ACTIONS(2698),
    [anon_sym_typeof] = ACTIONS(2698),
    [anon_sym_ATimport] = ACTIONS(2700),
    [aux_sym_preproc_undef_token1] = ACTIONS(2698),
    [anon_sym_POUND] = ACTIONS(2698),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2698),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2698),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2698),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_API_AVAILABLE] = ACTIONS(2698),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_API_DEPRECATED] = ACTIONS(2698),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym___deprecated_msg] = ACTIONS(2698),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2698),
    [anon_sym_ATprotocol] = ACTIONS(2700),
    [anon_sym_ATinterface] = ACTIONS(2700),
    [anon_sym_ATimplementation] = ACTIONS(2700),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2700),
    [anon_sym_ATsynthesize] = ACTIONS(2700),
    [anon_sym_ATdynamic] = ACTIONS(2700),
    [anon_sym_ATtry] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2698),
    [anon_sym_ATthrow] = ACTIONS(2700),
    [anon_sym_ATselector] = ACTIONS(2700),
    [anon_sym_ATavailable] = ACTIONS(2700),
    [anon_sym___builtin_available] = ACTIONS(2698),
    [anon_sym_va_arg] = ACTIONS(2698),
    [anon_sym_ATencode] = ACTIONS(2700),
    [anon_sym_ATsynchronized] = ACTIONS(2700),
    [anon_sym_BOOL] = ACTIONS(2698),
    [anon_sym_IMP] = ACTIONS(2698),
    [anon_sym_SEL] = ACTIONS(2698),
    [anon_sym_Class] = ACTIONS(2698),
    [anon_sym_id] = ACTIONS(2698),
  },
  [461] = {
    [sym_identifier] = ACTIONS(2698),
    [aux_sym_preproc_include_token1] = ACTIONS(2698),
    [aux_sym_preproc_include_token2] = ACTIONS(2698),
    [aux_sym_preproc_def_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token2] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2698),
    [aux_sym_preproc_else_token1] = ACTIONS(2698),
    [aux_sym_preproc_elif_token1] = ACTIONS(2698),
    [sym_preproc_directive] = ACTIONS(2698),
    [anon_sym_LPAREN2] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2698),
    [anon_sym_PLUS] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_CARET] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2700),
    [anon_sym___extension__] = ACTIONS(2698),
    [anon_sym_typedef] = ACTIONS(2698),
    [anon_sym_extern] = ACTIONS(2698),
    [anon_sym___attribute__] = ACTIONS(2698),
    [anon_sym___attribute] = ACTIONS(2698),
    [anon_sym_noreturn] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym___declspec] = ACTIONS(2698),
    [anon_sym___cdecl] = ACTIONS(2698),
    [anon_sym___clrcall] = ACTIONS(2698),
    [anon_sym___stdcall] = ACTIONS(2698),
    [anon_sym___fastcall] = ACTIONS(2698),
    [anon_sym___thiscall] = ACTIONS(2698),
    [anon_sym___vectorcall] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_signed] = ACTIONS(2698),
    [anon_sym_unsigned] = ACTIONS(2698),
    [anon_sym_long] = ACTIONS(2698),
    [anon_sym_short] = ACTIONS(2698),
    [anon_sym_static] = ACTIONS(2698),
    [anon_sym_ATautoreleasepool] = ACTIONS(2700),
    [anon_sym_auto] = ACTIONS(2698),
    [anon_sym_register] = ACTIONS(2698),
    [anon_sym_inline] = ACTIONS(2698),
    [anon_sym___inline] = ACTIONS(2698),
    [anon_sym___inline__] = ACTIONS(2698),
    [anon_sym___forceinline] = ACTIONS(2698),
    [anon_sym_thread_local] = ACTIONS(2698),
    [anon_sym___thread] = ACTIONS(2698),
    [anon_sym_CG_EXTERN] = ACTIONS(2698),
    [anon_sym_CG_INLINE] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2698),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2698),
    [anon_sym_IBOutlet] = ACTIONS(2698),
    [anon_sym_IBInspectable] = ACTIONS(2698),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2698),
    [anon_sym_NS_INLINE] = ACTIONS(2698),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2698),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2698),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2698),
    [anon_sym_const] = ACTIONS(2698),
    [anon_sym_constexpr] = ACTIONS(2698),
    [anon_sym_volatile] = ACTIONS(2698),
    [anon_sym_restrict] = ACTIONS(2698),
    [anon_sym___restrict__] = ACTIONS(2698),
    [anon_sym__Atomic] = ACTIONS(2698),
    [anon_sym__Noreturn] = ACTIONS(2698),
    [anon_sym__Nonnull] = ACTIONS(2698),
    [anon_sym_nullable] = ACTIONS(2698),
    [anon_sym__Complex] = ACTIONS(2698),
    [anon_sym__Nullable] = ACTIONS(2698),
    [anon_sym__Nullable_result] = ACTIONS(2698),
    [anon_sym__Null_unspecified] = ACTIONS(2698),
    [anon_sym___autoreleasing] = ACTIONS(2698),
    [anon_sym___block] = ACTIONS(2698),
    [anon_sym___bridge] = ACTIONS(2698),
    [anon_sym___bridge_retained] = ACTIONS(2698),
    [anon_sym___bridge_transfer] = ACTIONS(2698),
    [anon_sym___complex] = ACTIONS(2698),
    [anon_sym___const] = ACTIONS(2698),
    [anon_sym___imag] = ACTIONS(2698),
    [anon_sym___kindof] = ACTIONS(2698),
    [anon_sym___nonnull] = ACTIONS(2698),
    [anon_sym___nullable] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2698),
    [anon_sym___real] = ACTIONS(2698),
    [anon_sym___strong] = ACTIONS(2698),
    [anon_sym___unsafe_unretained] = ACTIONS(2698),
    [anon_sym___unused] = ACTIONS(2698),
    [anon_sym___weak] = ACTIONS(2698),
    [anon_sym_alignas] = ACTIONS(2698),
    [anon_sym__Alignas] = ACTIONS(2698),
    [sym_primitive_type] = ACTIONS(2698),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_struct] = ACTIONS(2698),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_if] = ACTIONS(2698),
    [anon_sym_switch] = ACTIONS(2698),
    [anon_sym_case] = ACTIONS(2698),
    [anon_sym_default] = ACTIONS(2698),
    [anon_sym_while] = ACTIONS(2698),
    [anon_sym_do] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2698),
    [anon_sym_in] = ACTIONS(2698),
    [anon_sym_return] = ACTIONS(2698),
    [anon_sym_break] = ACTIONS(2698),
    [anon_sym_continue] = ACTIONS(2698),
    [anon_sym_goto] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2698),
    [anon_sym___alignof__] = ACTIONS(2698),
    [anon_sym___alignof] = ACTIONS(2698),
    [anon_sym__alignof] = ACTIONS(2698),
    [anon_sym_alignof] = ACTIONS(2698),
    [anon_sym__Alignof] = ACTIONS(2698),
    [anon_sym_offsetof] = ACTIONS(2698),
    [anon_sym__Generic] = ACTIONS(2698),
    [anon_sym_asm] = ACTIONS(2698),
    [anon_sym___asm__] = ACTIONS(2698),
    [anon_sym___asm] = ACTIONS(2698),
    [sym_number_literal] = ACTIONS(2700),
    [anon_sym_L_SQUOTE] = ACTIONS(2700),
    [anon_sym_u_SQUOTE] = ACTIONS(2700),
    [anon_sym_U_SQUOTE] = ACTIONS(2700),
    [anon_sym_u8_SQUOTE] = ACTIONS(2700),
    [anon_sym_SQUOTE] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_L_DQUOTE] = ACTIONS(2700),
    [anon_sym_u_DQUOTE] = ACTIONS(2700),
    [anon_sym_U_DQUOTE] = ACTIONS(2700),
    [anon_sym_u8_DQUOTE] = ACTIONS(2700),
    [sym_true] = ACTIONS(2698),
    [sym_false] = ACTIONS(2698),
    [anon_sym_NULL] = ACTIONS(2698),
    [anon_sym_nullptr] = ACTIONS(2698),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2698),
    [anon_sym___typeof] = ACTIONS(2698),
    [anon_sym_typeof] = ACTIONS(2698),
    [anon_sym_ATimport] = ACTIONS(2700),
    [aux_sym_preproc_undef_token1] = ACTIONS(2698),
    [anon_sym_POUND] = ACTIONS(2698),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2698),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2698),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2698),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_API_AVAILABLE] = ACTIONS(2698),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_API_DEPRECATED] = ACTIONS(2698),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym___deprecated_msg] = ACTIONS(2698),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2698),
    [anon_sym_ATprotocol] = ACTIONS(2700),
    [anon_sym_ATinterface] = ACTIONS(2700),
    [anon_sym_ATimplementation] = ACTIONS(2700),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2700),
    [anon_sym_ATsynthesize] = ACTIONS(2700),
    [anon_sym_ATdynamic] = ACTIONS(2700),
    [anon_sym_ATtry] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2698),
    [anon_sym_ATthrow] = ACTIONS(2700),
    [anon_sym_ATselector] = ACTIONS(2700),
    [anon_sym_ATavailable] = ACTIONS(2700),
    [anon_sym___builtin_available] = ACTIONS(2698),
    [anon_sym_va_arg] = ACTIONS(2698),
    [anon_sym_ATencode] = ACTIONS(2700),
    [anon_sym_ATsynchronized] = ACTIONS(2700),
    [anon_sym_BOOL] = ACTIONS(2698),
    [anon_sym_IMP] = ACTIONS(2698),
    [anon_sym_SEL] = ACTIONS(2698),
    [anon_sym_Class] = ACTIONS(2698),
    [anon_sym_id] = ACTIONS(2698),
  },
  [462] = {
    [sym_identifier] = ACTIONS(2702),
    [aux_sym_preproc_include_token1] = ACTIONS(2702),
    [aux_sym_preproc_include_token2] = ACTIONS(2702),
    [aux_sym_preproc_def_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token2] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2702),
    [aux_sym_preproc_else_token1] = ACTIONS(2702),
    [aux_sym_preproc_elif_token1] = ACTIONS(2702),
    [sym_preproc_directive] = ACTIONS(2702),
    [anon_sym_LPAREN2] = ACTIONS(2704),
    [anon_sym_BANG] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2702),
    [anon_sym_STAR] = ACTIONS(2704),
    [anon_sym_CARET] = ACTIONS(2704),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym___extension__] = ACTIONS(2702),
    [anon_sym_typedef] = ACTIONS(2702),
    [anon_sym_extern] = ACTIONS(2702),
    [anon_sym___attribute__] = ACTIONS(2702),
    [anon_sym___attribute] = ACTIONS(2702),
    [anon_sym_noreturn] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym___declspec] = ACTIONS(2702),
    [anon_sym___cdecl] = ACTIONS(2702),
    [anon_sym___clrcall] = ACTIONS(2702),
    [anon_sym___stdcall] = ACTIONS(2702),
    [anon_sym___fastcall] = ACTIONS(2702),
    [anon_sym___thiscall] = ACTIONS(2702),
    [anon_sym___vectorcall] = ACTIONS(2702),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_signed] = ACTIONS(2702),
    [anon_sym_unsigned] = ACTIONS(2702),
    [anon_sym_long] = ACTIONS(2702),
    [anon_sym_short] = ACTIONS(2702),
    [anon_sym_static] = ACTIONS(2702),
    [anon_sym_ATautoreleasepool] = ACTIONS(2704),
    [anon_sym_auto] = ACTIONS(2702),
    [anon_sym_register] = ACTIONS(2702),
    [anon_sym_inline] = ACTIONS(2702),
    [anon_sym___inline] = ACTIONS(2702),
    [anon_sym___inline__] = ACTIONS(2702),
    [anon_sym___forceinline] = ACTIONS(2702),
    [anon_sym_thread_local] = ACTIONS(2702),
    [anon_sym___thread] = ACTIONS(2702),
    [anon_sym_CG_EXTERN] = ACTIONS(2702),
    [anon_sym_CG_INLINE] = ACTIONS(2702),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2702),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2702),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2702),
    [anon_sym_IBOutlet] = ACTIONS(2702),
    [anon_sym_IBInspectable] = ACTIONS(2702),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2702),
    [anon_sym_NS_INLINE] = ACTIONS(2702),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2702),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2702),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2702),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2702),
    [anon_sym_const] = ACTIONS(2702),
    [anon_sym_constexpr] = ACTIONS(2702),
    [anon_sym_volatile] = ACTIONS(2702),
    [anon_sym_restrict] = ACTIONS(2702),
    [anon_sym___restrict__] = ACTIONS(2702),
    [anon_sym__Atomic] = ACTIONS(2702),
    [anon_sym__Noreturn] = ACTIONS(2702),
    [anon_sym__Nonnull] = ACTIONS(2702),
    [anon_sym_nullable] = ACTIONS(2702),
    [anon_sym__Complex] = ACTIONS(2702),
    [anon_sym__Nullable] = ACTIONS(2702),
    [anon_sym__Nullable_result] = ACTIONS(2702),
    [anon_sym__Null_unspecified] = ACTIONS(2702),
    [anon_sym___autoreleasing] = ACTIONS(2702),
    [anon_sym___block] = ACTIONS(2702),
    [anon_sym___bridge] = ACTIONS(2702),
    [anon_sym___bridge_retained] = ACTIONS(2702),
    [anon_sym___bridge_transfer] = ACTIONS(2702),
    [anon_sym___complex] = ACTIONS(2702),
    [anon_sym___const] = ACTIONS(2702),
    [anon_sym___imag] = ACTIONS(2702),
    [anon_sym___kindof] = ACTIONS(2702),
    [anon_sym___nonnull] = ACTIONS(2702),
    [anon_sym___nullable] = ACTIONS(2702),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2702),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2702),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2702),
    [anon_sym___real] = ACTIONS(2702),
    [anon_sym___strong] = ACTIONS(2702),
    [anon_sym___unsafe_unretained] = ACTIONS(2702),
    [anon_sym___unused] = ACTIONS(2702),
    [anon_sym___weak] = ACTIONS(2702),
    [anon_sym_alignas] = ACTIONS(2702),
    [anon_sym__Alignas] = ACTIONS(2702),
    [sym_primitive_type] = ACTIONS(2702),
    [anon_sym_enum] = ACTIONS(2702),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2702),
    [anon_sym_if] = ACTIONS(2702),
    [anon_sym_switch] = ACTIONS(2702),
    [anon_sym_case] = ACTIONS(2702),
    [anon_sym_default] = ACTIONS(2702),
    [anon_sym_while] = ACTIONS(2702),
    [anon_sym_do] = ACTIONS(2702),
    [anon_sym_for] = ACTIONS(2702),
    [anon_sym_in] = ACTIONS(2702),
    [anon_sym_return] = ACTIONS(2702),
    [anon_sym_break] = ACTIONS(2702),
    [anon_sym_continue] = ACTIONS(2702),
    [anon_sym_goto] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2702),
    [anon_sym___alignof] = ACTIONS(2702),
    [anon_sym__alignof] = ACTIONS(2702),
    [anon_sym_alignof] = ACTIONS(2702),
    [anon_sym__Alignof] = ACTIONS(2702),
    [anon_sym_offsetof] = ACTIONS(2702),
    [anon_sym__Generic] = ACTIONS(2702),
    [anon_sym_asm] = ACTIONS(2702),
    [anon_sym___asm__] = ACTIONS(2702),
    [anon_sym___asm] = ACTIONS(2702),
    [sym_number_literal] = ACTIONS(2704),
    [anon_sym_L_SQUOTE] = ACTIONS(2704),
    [anon_sym_u_SQUOTE] = ACTIONS(2704),
    [anon_sym_U_SQUOTE] = ACTIONS(2704),
    [anon_sym_u8_SQUOTE] = ACTIONS(2704),
    [anon_sym_SQUOTE] = ACTIONS(2704),
    [anon_sym_AT] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [anon_sym_L_DQUOTE] = ACTIONS(2704),
    [anon_sym_u_DQUOTE] = ACTIONS(2704),
    [anon_sym_U_DQUOTE] = ACTIONS(2704),
    [anon_sym_u8_DQUOTE] = ACTIONS(2704),
    [sym_true] = ACTIONS(2702),
    [sym_false] = ACTIONS(2702),
    [anon_sym_NULL] = ACTIONS(2702),
    [anon_sym_nullptr] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2702),
    [anon_sym___typeof] = ACTIONS(2702),
    [anon_sym_typeof] = ACTIONS(2702),
    [anon_sym_ATimport] = ACTIONS(2704),
    [aux_sym_preproc_undef_token1] = ACTIONS(2702),
    [anon_sym_POUND] = ACTIONS(2702),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2702),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2702),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2702),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2702),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2702),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2702),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2702),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2702),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2702),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2702),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2702),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2702),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2702),
    [anon_sym_API_AVAILABLE] = ACTIONS(2702),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2702),
    [anon_sym_API_DEPRECATED] = ACTIONS(2702),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2702),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2702),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2702),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2702),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2702),
    [anon_sym___deprecated_msg] = ACTIONS(2702),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2702),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2702),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2702),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2702),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2702),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2702),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2702),
    [anon_sym_ATprotocol] = ACTIONS(2704),
    [anon_sym_ATinterface] = ACTIONS(2704),
    [anon_sym_ATimplementation] = ACTIONS(2704),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2704),
    [anon_sym_ATsynthesize] = ACTIONS(2704),
    [anon_sym_ATdynamic] = ACTIONS(2704),
    [anon_sym_ATtry] = ACTIONS(2704),
    [anon_sym___try] = ACTIONS(2702),
    [anon_sym_ATthrow] = ACTIONS(2704),
    [anon_sym_ATselector] = ACTIONS(2704),
    [anon_sym_ATavailable] = ACTIONS(2704),
    [anon_sym___builtin_available] = ACTIONS(2702),
    [anon_sym_va_arg] = ACTIONS(2702),
    [anon_sym_ATencode] = ACTIONS(2704),
    [anon_sym_ATsynchronized] = ACTIONS(2704),
    [anon_sym_BOOL] = ACTIONS(2702),
    [anon_sym_IMP] = ACTIONS(2702),
    [anon_sym_SEL] = ACTIONS(2702),
    [anon_sym_Class] = ACTIONS(2702),
    [anon_sym_id] = ACTIONS(2702),
  },
  [463] = {
    [sym_identifier] = ACTIONS(2706),
    [aux_sym_preproc_include_token1] = ACTIONS(2706),
    [aux_sym_preproc_include_token2] = ACTIONS(2706),
    [aux_sym_preproc_def_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token2] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2706),
    [aux_sym_preproc_else_token1] = ACTIONS(2706),
    [aux_sym_preproc_elif_token1] = ACTIONS(2706),
    [sym_preproc_directive] = ACTIONS(2706),
    [anon_sym_LPAREN2] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2708),
    [anon_sym_CARET] = ACTIONS(2708),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_SEMI] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2706),
    [anon_sym_typedef] = ACTIONS(2706),
    [anon_sym_extern] = ACTIONS(2706),
    [anon_sym___attribute__] = ACTIONS(2706),
    [anon_sym___attribute] = ACTIONS(2706),
    [anon_sym_noreturn] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym___declspec] = ACTIONS(2706),
    [anon_sym___cdecl] = ACTIONS(2706),
    [anon_sym___clrcall] = ACTIONS(2706),
    [anon_sym___stdcall] = ACTIONS(2706),
    [anon_sym___fastcall] = ACTIONS(2706),
    [anon_sym___thiscall] = ACTIONS(2706),
    [anon_sym___vectorcall] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_signed] = ACTIONS(2706),
    [anon_sym_unsigned] = ACTIONS(2706),
    [anon_sym_long] = ACTIONS(2706),
    [anon_sym_short] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_ATautoreleasepool] = ACTIONS(2708),
    [anon_sym_auto] = ACTIONS(2706),
    [anon_sym_register] = ACTIONS(2706),
    [anon_sym_inline] = ACTIONS(2706),
    [anon_sym___inline] = ACTIONS(2706),
    [anon_sym___inline__] = ACTIONS(2706),
    [anon_sym___forceinline] = ACTIONS(2706),
    [anon_sym_thread_local] = ACTIONS(2706),
    [anon_sym___thread] = ACTIONS(2706),
    [anon_sym_CG_EXTERN] = ACTIONS(2706),
    [anon_sym_CG_INLINE] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2706),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2706),
    [anon_sym_IBOutlet] = ACTIONS(2706),
    [anon_sym_IBInspectable] = ACTIONS(2706),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2706),
    [anon_sym_NS_INLINE] = ACTIONS(2706),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2706),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2706),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_constexpr] = ACTIONS(2706),
    [anon_sym_volatile] = ACTIONS(2706),
    [anon_sym_restrict] = ACTIONS(2706),
    [anon_sym___restrict__] = ACTIONS(2706),
    [anon_sym__Atomic] = ACTIONS(2706),
    [anon_sym__Noreturn] = ACTIONS(2706),
    [anon_sym__Nonnull] = ACTIONS(2706),
    [anon_sym_nullable] = ACTIONS(2706),
    [anon_sym__Complex] = ACTIONS(2706),
    [anon_sym__Nullable] = ACTIONS(2706),
    [anon_sym__Nullable_result] = ACTIONS(2706),
    [anon_sym__Null_unspecified] = ACTIONS(2706),
    [anon_sym___autoreleasing] = ACTIONS(2706),
    [anon_sym___block] = ACTIONS(2706),
    [anon_sym___bridge] = ACTIONS(2706),
    [anon_sym___bridge_retained] = ACTIONS(2706),
    [anon_sym___bridge_transfer] = ACTIONS(2706),
    [anon_sym___complex] = ACTIONS(2706),
    [anon_sym___const] = ACTIONS(2706),
    [anon_sym___imag] = ACTIONS(2706),
    [anon_sym___kindof] = ACTIONS(2706),
    [anon_sym___nonnull] = ACTIONS(2706),
    [anon_sym___nullable] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2706),
    [anon_sym___real] = ACTIONS(2706),
    [anon_sym___strong] = ACTIONS(2706),
    [anon_sym___unsafe_unretained] = ACTIONS(2706),
    [anon_sym___unused] = ACTIONS(2706),
    [anon_sym___weak] = ACTIONS(2706),
    [anon_sym_alignas] = ACTIONS(2706),
    [anon_sym__Alignas] = ACTIONS(2706),
    [sym_primitive_type] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [anon_sym_struct] = ACTIONS(2706),
    [anon_sym_union] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2706),
    [anon_sym_default] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_in] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_goto] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_sizeof] = ACTIONS(2706),
    [anon_sym___alignof__] = ACTIONS(2706),
    [anon_sym___alignof] = ACTIONS(2706),
    [anon_sym__alignof] = ACTIONS(2706),
    [anon_sym_alignof] = ACTIONS(2706),
    [anon_sym__Alignof] = ACTIONS(2706),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2706),
    [anon_sym_asm] = ACTIONS(2706),
    [anon_sym___asm__] = ACTIONS(2706),
    [anon_sym___asm] = ACTIONS(2706),
    [sym_number_literal] = ACTIONS(2708),
    [anon_sym_L_SQUOTE] = ACTIONS(2708),
    [anon_sym_u_SQUOTE] = ACTIONS(2708),
    [anon_sym_U_SQUOTE] = ACTIONS(2708),
    [anon_sym_u8_SQUOTE] = ACTIONS(2708),
    [anon_sym_SQUOTE] = ACTIONS(2708),
    [anon_sym_AT] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [anon_sym_L_DQUOTE] = ACTIONS(2708),
    [anon_sym_u_DQUOTE] = ACTIONS(2708),
    [anon_sym_U_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8_DQUOTE] = ACTIONS(2708),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [anon_sym_NULL] = ACTIONS(2706),
    [anon_sym_nullptr] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2706),
    [anon_sym___typeof] = ACTIONS(2706),
    [anon_sym_typeof] = ACTIONS(2706),
    [anon_sym_ATimport] = ACTIONS(2708),
    [aux_sym_preproc_undef_token1] = ACTIONS(2706),
    [anon_sym_POUND] = ACTIONS(2706),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2706),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2706),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2706),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_API_AVAILABLE] = ACTIONS(2706),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_API_DEPRECATED] = ACTIONS(2706),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym___deprecated_msg] = ACTIONS(2706),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2706),
    [anon_sym_ATprotocol] = ACTIONS(2708),
    [anon_sym_ATinterface] = ACTIONS(2708),
    [anon_sym_ATimplementation] = ACTIONS(2708),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2708),
    [anon_sym_ATsynthesize] = ACTIONS(2708),
    [anon_sym_ATdynamic] = ACTIONS(2708),
    [anon_sym_ATtry] = ACTIONS(2708),
    [anon_sym___try] = ACTIONS(2706),
    [anon_sym_ATthrow] = ACTIONS(2708),
    [anon_sym_ATselector] = ACTIONS(2708),
    [anon_sym_ATavailable] = ACTIONS(2708),
    [anon_sym___builtin_available] = ACTIONS(2706),
    [anon_sym_va_arg] = ACTIONS(2706),
    [anon_sym_ATencode] = ACTIONS(2708),
    [anon_sym_ATsynchronized] = ACTIONS(2708),
    [anon_sym_BOOL] = ACTIONS(2706),
    [anon_sym_IMP] = ACTIONS(2706),
    [anon_sym_SEL] = ACTIONS(2706),
    [anon_sym_Class] = ACTIONS(2706),
    [anon_sym_id] = ACTIONS(2706),
  },
  [464] = {
    [sym_identifier] = ACTIONS(2706),
    [aux_sym_preproc_include_token1] = ACTIONS(2706),
    [aux_sym_preproc_include_token2] = ACTIONS(2706),
    [aux_sym_preproc_def_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token2] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2706),
    [aux_sym_preproc_else_token1] = ACTIONS(2706),
    [aux_sym_preproc_elif_token1] = ACTIONS(2706),
    [sym_preproc_directive] = ACTIONS(2706),
    [anon_sym_LPAREN2] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2708),
    [anon_sym_CARET] = ACTIONS(2708),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_SEMI] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2706),
    [anon_sym_typedef] = ACTIONS(2706),
    [anon_sym_extern] = ACTIONS(2706),
    [anon_sym___attribute__] = ACTIONS(2706),
    [anon_sym___attribute] = ACTIONS(2706),
    [anon_sym_noreturn] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym___declspec] = ACTIONS(2706),
    [anon_sym___cdecl] = ACTIONS(2706),
    [anon_sym___clrcall] = ACTIONS(2706),
    [anon_sym___stdcall] = ACTIONS(2706),
    [anon_sym___fastcall] = ACTIONS(2706),
    [anon_sym___thiscall] = ACTIONS(2706),
    [anon_sym___vectorcall] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_signed] = ACTIONS(2706),
    [anon_sym_unsigned] = ACTIONS(2706),
    [anon_sym_long] = ACTIONS(2706),
    [anon_sym_short] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_ATautoreleasepool] = ACTIONS(2708),
    [anon_sym_auto] = ACTIONS(2706),
    [anon_sym_register] = ACTIONS(2706),
    [anon_sym_inline] = ACTIONS(2706),
    [anon_sym___inline] = ACTIONS(2706),
    [anon_sym___inline__] = ACTIONS(2706),
    [anon_sym___forceinline] = ACTIONS(2706),
    [anon_sym_thread_local] = ACTIONS(2706),
    [anon_sym___thread] = ACTIONS(2706),
    [anon_sym_CG_EXTERN] = ACTIONS(2706),
    [anon_sym_CG_INLINE] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2706),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2706),
    [anon_sym_IBOutlet] = ACTIONS(2706),
    [anon_sym_IBInspectable] = ACTIONS(2706),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2706),
    [anon_sym_NS_INLINE] = ACTIONS(2706),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2706),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2706),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_constexpr] = ACTIONS(2706),
    [anon_sym_volatile] = ACTIONS(2706),
    [anon_sym_restrict] = ACTIONS(2706),
    [anon_sym___restrict__] = ACTIONS(2706),
    [anon_sym__Atomic] = ACTIONS(2706),
    [anon_sym__Noreturn] = ACTIONS(2706),
    [anon_sym__Nonnull] = ACTIONS(2706),
    [anon_sym_nullable] = ACTIONS(2706),
    [anon_sym__Complex] = ACTIONS(2706),
    [anon_sym__Nullable] = ACTIONS(2706),
    [anon_sym__Nullable_result] = ACTIONS(2706),
    [anon_sym__Null_unspecified] = ACTIONS(2706),
    [anon_sym___autoreleasing] = ACTIONS(2706),
    [anon_sym___block] = ACTIONS(2706),
    [anon_sym___bridge] = ACTIONS(2706),
    [anon_sym___bridge_retained] = ACTIONS(2706),
    [anon_sym___bridge_transfer] = ACTIONS(2706),
    [anon_sym___complex] = ACTIONS(2706),
    [anon_sym___const] = ACTIONS(2706),
    [anon_sym___imag] = ACTIONS(2706),
    [anon_sym___kindof] = ACTIONS(2706),
    [anon_sym___nonnull] = ACTIONS(2706),
    [anon_sym___nullable] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2706),
    [anon_sym___real] = ACTIONS(2706),
    [anon_sym___strong] = ACTIONS(2706),
    [anon_sym___unsafe_unretained] = ACTIONS(2706),
    [anon_sym___unused] = ACTIONS(2706),
    [anon_sym___weak] = ACTIONS(2706),
    [anon_sym_alignas] = ACTIONS(2706),
    [anon_sym__Alignas] = ACTIONS(2706),
    [sym_primitive_type] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [anon_sym_struct] = ACTIONS(2706),
    [anon_sym_union] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2706),
    [anon_sym_default] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_in] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_goto] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_sizeof] = ACTIONS(2706),
    [anon_sym___alignof__] = ACTIONS(2706),
    [anon_sym___alignof] = ACTIONS(2706),
    [anon_sym__alignof] = ACTIONS(2706),
    [anon_sym_alignof] = ACTIONS(2706),
    [anon_sym__Alignof] = ACTIONS(2706),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2706),
    [anon_sym_asm] = ACTIONS(2706),
    [anon_sym___asm__] = ACTIONS(2706),
    [anon_sym___asm] = ACTIONS(2706),
    [sym_number_literal] = ACTIONS(2708),
    [anon_sym_L_SQUOTE] = ACTIONS(2708),
    [anon_sym_u_SQUOTE] = ACTIONS(2708),
    [anon_sym_U_SQUOTE] = ACTIONS(2708),
    [anon_sym_u8_SQUOTE] = ACTIONS(2708),
    [anon_sym_SQUOTE] = ACTIONS(2708),
    [anon_sym_AT] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [anon_sym_L_DQUOTE] = ACTIONS(2708),
    [anon_sym_u_DQUOTE] = ACTIONS(2708),
    [anon_sym_U_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8_DQUOTE] = ACTIONS(2708),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [anon_sym_NULL] = ACTIONS(2706),
    [anon_sym_nullptr] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2706),
    [anon_sym___typeof] = ACTIONS(2706),
    [anon_sym_typeof] = ACTIONS(2706),
    [anon_sym_ATimport] = ACTIONS(2708),
    [aux_sym_preproc_undef_token1] = ACTIONS(2706),
    [anon_sym_POUND] = ACTIONS(2706),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2706),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2706),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2706),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_API_AVAILABLE] = ACTIONS(2706),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_API_DEPRECATED] = ACTIONS(2706),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym___deprecated_msg] = ACTIONS(2706),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2706),
    [anon_sym_ATprotocol] = ACTIONS(2708),
    [anon_sym_ATinterface] = ACTIONS(2708),
    [anon_sym_ATimplementation] = ACTIONS(2708),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2708),
    [anon_sym_ATsynthesize] = ACTIONS(2708),
    [anon_sym_ATdynamic] = ACTIONS(2708),
    [anon_sym_ATtry] = ACTIONS(2708),
    [anon_sym___try] = ACTIONS(2706),
    [anon_sym_ATthrow] = ACTIONS(2708),
    [anon_sym_ATselector] = ACTIONS(2708),
    [anon_sym_ATavailable] = ACTIONS(2708),
    [anon_sym___builtin_available] = ACTIONS(2706),
    [anon_sym_va_arg] = ACTIONS(2706),
    [anon_sym_ATencode] = ACTIONS(2708),
    [anon_sym_ATsynchronized] = ACTIONS(2708),
    [anon_sym_BOOL] = ACTIONS(2706),
    [anon_sym_IMP] = ACTIONS(2706),
    [anon_sym_SEL] = ACTIONS(2706),
    [anon_sym_Class] = ACTIONS(2706),
    [anon_sym_id] = ACTIONS(2706),
  },
  [465] = {
    [sym_identifier] = ACTIONS(2706),
    [aux_sym_preproc_include_token1] = ACTIONS(2706),
    [aux_sym_preproc_include_token2] = ACTIONS(2706),
    [aux_sym_preproc_def_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token2] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2706),
    [aux_sym_preproc_else_token1] = ACTIONS(2706),
    [aux_sym_preproc_elif_token1] = ACTIONS(2706),
    [sym_preproc_directive] = ACTIONS(2706),
    [anon_sym_LPAREN2] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2708),
    [anon_sym_CARET] = ACTIONS(2708),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_SEMI] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2706),
    [anon_sym_typedef] = ACTIONS(2706),
    [anon_sym_extern] = ACTIONS(2706),
    [anon_sym___attribute__] = ACTIONS(2706),
    [anon_sym___attribute] = ACTIONS(2706),
    [anon_sym_noreturn] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym___declspec] = ACTIONS(2706),
    [anon_sym___cdecl] = ACTIONS(2706),
    [anon_sym___clrcall] = ACTIONS(2706),
    [anon_sym___stdcall] = ACTIONS(2706),
    [anon_sym___fastcall] = ACTIONS(2706),
    [anon_sym___thiscall] = ACTIONS(2706),
    [anon_sym___vectorcall] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_signed] = ACTIONS(2706),
    [anon_sym_unsigned] = ACTIONS(2706),
    [anon_sym_long] = ACTIONS(2706),
    [anon_sym_short] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_ATautoreleasepool] = ACTIONS(2708),
    [anon_sym_auto] = ACTIONS(2706),
    [anon_sym_register] = ACTIONS(2706),
    [anon_sym_inline] = ACTIONS(2706),
    [anon_sym___inline] = ACTIONS(2706),
    [anon_sym___inline__] = ACTIONS(2706),
    [anon_sym___forceinline] = ACTIONS(2706),
    [anon_sym_thread_local] = ACTIONS(2706),
    [anon_sym___thread] = ACTIONS(2706),
    [anon_sym_CG_EXTERN] = ACTIONS(2706),
    [anon_sym_CG_INLINE] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2706),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2706),
    [anon_sym_IBOutlet] = ACTIONS(2706),
    [anon_sym_IBInspectable] = ACTIONS(2706),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2706),
    [anon_sym_NS_INLINE] = ACTIONS(2706),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2706),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2706),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_constexpr] = ACTIONS(2706),
    [anon_sym_volatile] = ACTIONS(2706),
    [anon_sym_restrict] = ACTIONS(2706),
    [anon_sym___restrict__] = ACTIONS(2706),
    [anon_sym__Atomic] = ACTIONS(2706),
    [anon_sym__Noreturn] = ACTIONS(2706),
    [anon_sym__Nonnull] = ACTIONS(2706),
    [anon_sym_nullable] = ACTIONS(2706),
    [anon_sym__Complex] = ACTIONS(2706),
    [anon_sym__Nullable] = ACTIONS(2706),
    [anon_sym__Nullable_result] = ACTIONS(2706),
    [anon_sym__Null_unspecified] = ACTIONS(2706),
    [anon_sym___autoreleasing] = ACTIONS(2706),
    [anon_sym___block] = ACTIONS(2706),
    [anon_sym___bridge] = ACTIONS(2706),
    [anon_sym___bridge_retained] = ACTIONS(2706),
    [anon_sym___bridge_transfer] = ACTIONS(2706),
    [anon_sym___complex] = ACTIONS(2706),
    [anon_sym___const] = ACTIONS(2706),
    [anon_sym___imag] = ACTIONS(2706),
    [anon_sym___kindof] = ACTIONS(2706),
    [anon_sym___nonnull] = ACTIONS(2706),
    [anon_sym___nullable] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2706),
    [anon_sym___real] = ACTIONS(2706),
    [anon_sym___strong] = ACTIONS(2706),
    [anon_sym___unsafe_unretained] = ACTIONS(2706),
    [anon_sym___unused] = ACTIONS(2706),
    [anon_sym___weak] = ACTIONS(2706),
    [anon_sym_alignas] = ACTIONS(2706),
    [anon_sym__Alignas] = ACTIONS(2706),
    [sym_primitive_type] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [anon_sym_struct] = ACTIONS(2706),
    [anon_sym_union] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2706),
    [anon_sym_default] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_in] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_goto] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_sizeof] = ACTIONS(2706),
    [anon_sym___alignof__] = ACTIONS(2706),
    [anon_sym___alignof] = ACTIONS(2706),
    [anon_sym__alignof] = ACTIONS(2706),
    [anon_sym_alignof] = ACTIONS(2706),
    [anon_sym__Alignof] = ACTIONS(2706),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2706),
    [anon_sym_asm] = ACTIONS(2706),
    [anon_sym___asm__] = ACTIONS(2706),
    [anon_sym___asm] = ACTIONS(2706),
    [sym_number_literal] = ACTIONS(2708),
    [anon_sym_L_SQUOTE] = ACTIONS(2708),
    [anon_sym_u_SQUOTE] = ACTIONS(2708),
    [anon_sym_U_SQUOTE] = ACTIONS(2708),
    [anon_sym_u8_SQUOTE] = ACTIONS(2708),
    [anon_sym_SQUOTE] = ACTIONS(2708),
    [anon_sym_AT] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [anon_sym_L_DQUOTE] = ACTIONS(2708),
    [anon_sym_u_DQUOTE] = ACTIONS(2708),
    [anon_sym_U_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8_DQUOTE] = ACTIONS(2708),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [anon_sym_NULL] = ACTIONS(2706),
    [anon_sym_nullptr] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2706),
    [anon_sym___typeof] = ACTIONS(2706),
    [anon_sym_typeof] = ACTIONS(2706),
    [anon_sym_ATimport] = ACTIONS(2708),
    [aux_sym_preproc_undef_token1] = ACTIONS(2706),
    [anon_sym_POUND] = ACTIONS(2706),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2706),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2706),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2706),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_API_AVAILABLE] = ACTIONS(2706),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_API_DEPRECATED] = ACTIONS(2706),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym___deprecated_msg] = ACTIONS(2706),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2706),
    [anon_sym_ATprotocol] = ACTIONS(2708),
    [anon_sym_ATinterface] = ACTIONS(2708),
    [anon_sym_ATimplementation] = ACTIONS(2708),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2708),
    [anon_sym_ATsynthesize] = ACTIONS(2708),
    [anon_sym_ATdynamic] = ACTIONS(2708),
    [anon_sym_ATtry] = ACTIONS(2708),
    [anon_sym___try] = ACTIONS(2706),
    [anon_sym_ATthrow] = ACTIONS(2708),
    [anon_sym_ATselector] = ACTIONS(2708),
    [anon_sym_ATavailable] = ACTIONS(2708),
    [anon_sym___builtin_available] = ACTIONS(2706),
    [anon_sym_va_arg] = ACTIONS(2706),
    [anon_sym_ATencode] = ACTIONS(2708),
    [anon_sym_ATsynchronized] = ACTIONS(2708),
    [anon_sym_BOOL] = ACTIONS(2706),
    [anon_sym_IMP] = ACTIONS(2706),
    [anon_sym_SEL] = ACTIONS(2706),
    [anon_sym_Class] = ACTIONS(2706),
    [anon_sym_id] = ACTIONS(2706),
  },
  [466] = {
    [sym_identifier] = ACTIONS(2710),
    [aux_sym_preproc_include_token1] = ACTIONS(2710),
    [aux_sym_preproc_include_token2] = ACTIONS(2710),
    [aux_sym_preproc_def_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token2] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2710),
    [aux_sym_preproc_else_token1] = ACTIONS(2710),
    [aux_sym_preproc_elif_token1] = ACTIONS(2710),
    [sym_preproc_directive] = ACTIONS(2710),
    [anon_sym_LPAREN2] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2710),
    [anon_sym_PLUS] = ACTIONS(2710),
    [anon_sym_STAR] = ACTIONS(2712),
    [anon_sym_CARET] = ACTIONS(2712),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_SEMI] = ACTIONS(2712),
    [anon_sym___extension__] = ACTIONS(2710),
    [anon_sym_typedef] = ACTIONS(2710),
    [anon_sym_extern] = ACTIONS(2710),
    [anon_sym___attribute__] = ACTIONS(2710),
    [anon_sym___attribute] = ACTIONS(2710),
    [anon_sym_noreturn] = ACTIONS(2710),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym___declspec] = ACTIONS(2710),
    [anon_sym___cdecl] = ACTIONS(2710),
    [anon_sym___clrcall] = ACTIONS(2710),
    [anon_sym___stdcall] = ACTIONS(2710),
    [anon_sym___fastcall] = ACTIONS(2710),
    [anon_sym___thiscall] = ACTIONS(2710),
    [anon_sym___vectorcall] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_signed] = ACTIONS(2710),
    [anon_sym_unsigned] = ACTIONS(2710),
    [anon_sym_long] = ACTIONS(2710),
    [anon_sym_short] = ACTIONS(2710),
    [anon_sym_static] = ACTIONS(2710),
    [anon_sym_ATautoreleasepool] = ACTIONS(2712),
    [anon_sym_auto] = ACTIONS(2710),
    [anon_sym_register] = ACTIONS(2710),
    [anon_sym_inline] = ACTIONS(2710),
    [anon_sym___inline] = ACTIONS(2710),
    [anon_sym___inline__] = ACTIONS(2710),
    [anon_sym___forceinline] = ACTIONS(2710),
    [anon_sym_thread_local] = ACTIONS(2710),
    [anon_sym___thread] = ACTIONS(2710),
    [anon_sym_CG_EXTERN] = ACTIONS(2710),
    [anon_sym_CG_INLINE] = ACTIONS(2710),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2710),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2710),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2710),
    [anon_sym_IBOutlet] = ACTIONS(2710),
    [anon_sym_IBInspectable] = ACTIONS(2710),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2710),
    [anon_sym_NS_INLINE] = ACTIONS(2710),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2710),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2710),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2710),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2710),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_constexpr] = ACTIONS(2710),
    [anon_sym_volatile] = ACTIONS(2710),
    [anon_sym_restrict] = ACTIONS(2710),
    [anon_sym___restrict__] = ACTIONS(2710),
    [anon_sym__Atomic] = ACTIONS(2710),
    [anon_sym__Noreturn] = ACTIONS(2710),
    [anon_sym__Nonnull] = ACTIONS(2710),
    [anon_sym_nullable] = ACTIONS(2710),
    [anon_sym__Complex] = ACTIONS(2710),
    [anon_sym__Nullable] = ACTIONS(2710),
    [anon_sym__Nullable_result] = ACTIONS(2710),
    [anon_sym__Null_unspecified] = ACTIONS(2710),
    [anon_sym___autoreleasing] = ACTIONS(2710),
    [anon_sym___block] = ACTIONS(2710),
    [anon_sym___bridge] = ACTIONS(2710),
    [anon_sym___bridge_retained] = ACTIONS(2710),
    [anon_sym___bridge_transfer] = ACTIONS(2710),
    [anon_sym___complex] = ACTIONS(2710),
    [anon_sym___const] = ACTIONS(2710),
    [anon_sym___imag] = ACTIONS(2710),
    [anon_sym___kindof] = ACTIONS(2710),
    [anon_sym___nonnull] = ACTIONS(2710),
    [anon_sym___nullable] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2710),
    [anon_sym___real] = ACTIONS(2710),
    [anon_sym___strong] = ACTIONS(2710),
    [anon_sym___unsafe_unretained] = ACTIONS(2710),
    [anon_sym___unused] = ACTIONS(2710),
    [anon_sym___weak] = ACTIONS(2710),
    [anon_sym_alignas] = ACTIONS(2710),
    [anon_sym__Alignas] = ACTIONS(2710),
    [sym_primitive_type] = ACTIONS(2710),
    [anon_sym_enum] = ACTIONS(2710),
    [anon_sym_struct] = ACTIONS(2710),
    [anon_sym_union] = ACTIONS(2710),
    [anon_sym_if] = ACTIONS(2710),
    [anon_sym_switch] = ACTIONS(2710),
    [anon_sym_case] = ACTIONS(2710),
    [anon_sym_default] = ACTIONS(2710),
    [anon_sym_while] = ACTIONS(2710),
    [anon_sym_do] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2710),
    [anon_sym_in] = ACTIONS(2710),
    [anon_sym_return] = ACTIONS(2710),
    [anon_sym_break] = ACTIONS(2710),
    [anon_sym_continue] = ACTIONS(2710),
    [anon_sym_goto] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_sizeof] = ACTIONS(2710),
    [anon_sym___alignof__] = ACTIONS(2710),
    [anon_sym___alignof] = ACTIONS(2710),
    [anon_sym__alignof] = ACTIONS(2710),
    [anon_sym_alignof] = ACTIONS(2710),
    [anon_sym__Alignof] = ACTIONS(2710),
    [anon_sym_offsetof] = ACTIONS(2710),
    [anon_sym__Generic] = ACTIONS(2710),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [anon_sym___asm] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2712),
    [anon_sym_u_SQUOTE] = ACTIONS(2712),
    [anon_sym_U_SQUOTE] = ACTIONS(2712),
    [anon_sym_u8_SQUOTE] = ACTIONS(2712),
    [anon_sym_SQUOTE] = ACTIONS(2712),
    [anon_sym_AT] = ACTIONS(2710),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [anon_sym_L_DQUOTE] = ACTIONS(2712),
    [anon_sym_u_DQUOTE] = ACTIONS(2712),
    [anon_sym_U_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8_DQUOTE] = ACTIONS(2712),
    [sym_true] = ACTIONS(2710),
    [sym_false] = ACTIONS(2710),
    [anon_sym_NULL] = ACTIONS(2710),
    [anon_sym_nullptr] = ACTIONS(2710),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2710),
    [anon_sym___typeof] = ACTIONS(2710),
    [anon_sym_typeof] = ACTIONS(2710),
    [anon_sym_ATimport] = ACTIONS(2712),
    [aux_sym_preproc_undef_token1] = ACTIONS(2710),
    [anon_sym_POUND] = ACTIONS(2710),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2710),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2710),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2710),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2710),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2710),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2710),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2710),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_API_AVAILABLE] = ACTIONS(2710),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_API_DEPRECATED] = ACTIONS(2710),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2710),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym___deprecated_msg] = ACTIONS(2710),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2710),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2710),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2710),
    [anon_sym_ATprotocol] = ACTIONS(2712),
    [anon_sym_ATinterface] = ACTIONS(2712),
    [anon_sym_ATimplementation] = ACTIONS(2712),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2712),
    [anon_sym_ATsynthesize] = ACTIONS(2712),
    [anon_sym_ATdynamic] = ACTIONS(2712),
    [anon_sym_ATtry] = ACTIONS(2712),
    [anon_sym___try] = ACTIONS(2710),
    [anon_sym_ATthrow] = ACTIONS(2712),
    [anon_sym_ATselector] = ACTIONS(2712),
    [anon_sym_ATavailable] = ACTIONS(2712),
    [anon_sym___builtin_available] = ACTIONS(2710),
    [anon_sym_va_arg] = ACTIONS(2710),
    [anon_sym_ATencode] = ACTIONS(2712),
    [anon_sym_ATsynchronized] = ACTIONS(2712),
    [anon_sym_BOOL] = ACTIONS(2710),
    [anon_sym_IMP] = ACTIONS(2710),
    [anon_sym_SEL] = ACTIONS(2710),
    [anon_sym_Class] = ACTIONS(2710),
    [anon_sym_id] = ACTIONS(2710),
  },
  [467] = {
    [sym_identifier] = ACTIONS(2710),
    [aux_sym_preproc_include_token1] = ACTIONS(2710),
    [aux_sym_preproc_include_token2] = ACTIONS(2710),
    [aux_sym_preproc_def_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token2] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2710),
    [aux_sym_preproc_else_token1] = ACTIONS(2710),
    [aux_sym_preproc_elif_token1] = ACTIONS(2710),
    [sym_preproc_directive] = ACTIONS(2710),
    [anon_sym_LPAREN2] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2710),
    [anon_sym_PLUS] = ACTIONS(2710),
    [anon_sym_STAR] = ACTIONS(2712),
    [anon_sym_CARET] = ACTIONS(2712),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_SEMI] = ACTIONS(2712),
    [anon_sym___extension__] = ACTIONS(2710),
    [anon_sym_typedef] = ACTIONS(2710),
    [anon_sym_extern] = ACTIONS(2710),
    [anon_sym___attribute__] = ACTIONS(2710),
    [anon_sym___attribute] = ACTIONS(2710),
    [anon_sym_noreturn] = ACTIONS(2710),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym___declspec] = ACTIONS(2710),
    [anon_sym___cdecl] = ACTIONS(2710),
    [anon_sym___clrcall] = ACTIONS(2710),
    [anon_sym___stdcall] = ACTIONS(2710),
    [anon_sym___fastcall] = ACTIONS(2710),
    [anon_sym___thiscall] = ACTIONS(2710),
    [anon_sym___vectorcall] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_signed] = ACTIONS(2710),
    [anon_sym_unsigned] = ACTIONS(2710),
    [anon_sym_long] = ACTIONS(2710),
    [anon_sym_short] = ACTIONS(2710),
    [anon_sym_static] = ACTIONS(2710),
    [anon_sym_ATautoreleasepool] = ACTIONS(2712),
    [anon_sym_auto] = ACTIONS(2710),
    [anon_sym_register] = ACTIONS(2710),
    [anon_sym_inline] = ACTIONS(2710),
    [anon_sym___inline] = ACTIONS(2710),
    [anon_sym___inline__] = ACTIONS(2710),
    [anon_sym___forceinline] = ACTIONS(2710),
    [anon_sym_thread_local] = ACTIONS(2710),
    [anon_sym___thread] = ACTIONS(2710),
    [anon_sym_CG_EXTERN] = ACTIONS(2710),
    [anon_sym_CG_INLINE] = ACTIONS(2710),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2710),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2710),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2710),
    [anon_sym_IBOutlet] = ACTIONS(2710),
    [anon_sym_IBInspectable] = ACTIONS(2710),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2710),
    [anon_sym_NS_INLINE] = ACTIONS(2710),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2710),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2710),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2710),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2710),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_constexpr] = ACTIONS(2710),
    [anon_sym_volatile] = ACTIONS(2710),
    [anon_sym_restrict] = ACTIONS(2710),
    [anon_sym___restrict__] = ACTIONS(2710),
    [anon_sym__Atomic] = ACTIONS(2710),
    [anon_sym__Noreturn] = ACTIONS(2710),
    [anon_sym__Nonnull] = ACTIONS(2710),
    [anon_sym_nullable] = ACTIONS(2710),
    [anon_sym__Complex] = ACTIONS(2710),
    [anon_sym__Nullable] = ACTIONS(2710),
    [anon_sym__Nullable_result] = ACTIONS(2710),
    [anon_sym__Null_unspecified] = ACTIONS(2710),
    [anon_sym___autoreleasing] = ACTIONS(2710),
    [anon_sym___block] = ACTIONS(2710),
    [anon_sym___bridge] = ACTIONS(2710),
    [anon_sym___bridge_retained] = ACTIONS(2710),
    [anon_sym___bridge_transfer] = ACTIONS(2710),
    [anon_sym___complex] = ACTIONS(2710),
    [anon_sym___const] = ACTIONS(2710),
    [anon_sym___imag] = ACTIONS(2710),
    [anon_sym___kindof] = ACTIONS(2710),
    [anon_sym___nonnull] = ACTIONS(2710),
    [anon_sym___nullable] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2710),
    [anon_sym___real] = ACTIONS(2710),
    [anon_sym___strong] = ACTIONS(2710),
    [anon_sym___unsafe_unretained] = ACTIONS(2710),
    [anon_sym___unused] = ACTIONS(2710),
    [anon_sym___weak] = ACTIONS(2710),
    [anon_sym_alignas] = ACTIONS(2710),
    [anon_sym__Alignas] = ACTIONS(2710),
    [sym_primitive_type] = ACTIONS(2710),
    [anon_sym_enum] = ACTIONS(2710),
    [anon_sym_struct] = ACTIONS(2710),
    [anon_sym_union] = ACTIONS(2710),
    [anon_sym_if] = ACTIONS(2710),
    [anon_sym_switch] = ACTIONS(2710),
    [anon_sym_case] = ACTIONS(2710),
    [anon_sym_default] = ACTIONS(2710),
    [anon_sym_while] = ACTIONS(2710),
    [anon_sym_do] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2710),
    [anon_sym_in] = ACTIONS(2710),
    [anon_sym_return] = ACTIONS(2710),
    [anon_sym_break] = ACTIONS(2710),
    [anon_sym_continue] = ACTIONS(2710),
    [anon_sym_goto] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_sizeof] = ACTIONS(2710),
    [anon_sym___alignof__] = ACTIONS(2710),
    [anon_sym___alignof] = ACTIONS(2710),
    [anon_sym__alignof] = ACTIONS(2710),
    [anon_sym_alignof] = ACTIONS(2710),
    [anon_sym__Alignof] = ACTIONS(2710),
    [anon_sym_offsetof] = ACTIONS(2710),
    [anon_sym__Generic] = ACTIONS(2710),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [anon_sym___asm] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2712),
    [anon_sym_u_SQUOTE] = ACTIONS(2712),
    [anon_sym_U_SQUOTE] = ACTIONS(2712),
    [anon_sym_u8_SQUOTE] = ACTIONS(2712),
    [anon_sym_SQUOTE] = ACTIONS(2712),
    [anon_sym_AT] = ACTIONS(2710),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [anon_sym_L_DQUOTE] = ACTIONS(2712),
    [anon_sym_u_DQUOTE] = ACTIONS(2712),
    [anon_sym_U_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8_DQUOTE] = ACTIONS(2712),
    [sym_true] = ACTIONS(2710),
    [sym_false] = ACTIONS(2710),
    [anon_sym_NULL] = ACTIONS(2710),
    [anon_sym_nullptr] = ACTIONS(2710),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2710),
    [anon_sym___typeof] = ACTIONS(2710),
    [anon_sym_typeof] = ACTIONS(2710),
    [anon_sym_ATimport] = ACTIONS(2712),
    [aux_sym_preproc_undef_token1] = ACTIONS(2710),
    [anon_sym_POUND] = ACTIONS(2710),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2710),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2710),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2710),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2710),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2710),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2710),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2710),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_API_AVAILABLE] = ACTIONS(2710),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_API_DEPRECATED] = ACTIONS(2710),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2710),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym___deprecated_msg] = ACTIONS(2710),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2710),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2710),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2710),
    [anon_sym_ATprotocol] = ACTIONS(2712),
    [anon_sym_ATinterface] = ACTIONS(2712),
    [anon_sym_ATimplementation] = ACTIONS(2712),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2712),
    [anon_sym_ATsynthesize] = ACTIONS(2712),
    [anon_sym_ATdynamic] = ACTIONS(2712),
    [anon_sym_ATtry] = ACTIONS(2712),
    [anon_sym___try] = ACTIONS(2710),
    [anon_sym_ATthrow] = ACTIONS(2712),
    [anon_sym_ATselector] = ACTIONS(2712),
    [anon_sym_ATavailable] = ACTIONS(2712),
    [anon_sym___builtin_available] = ACTIONS(2710),
    [anon_sym_va_arg] = ACTIONS(2710),
    [anon_sym_ATencode] = ACTIONS(2712),
    [anon_sym_ATsynchronized] = ACTIONS(2712),
    [anon_sym_BOOL] = ACTIONS(2710),
    [anon_sym_IMP] = ACTIONS(2710),
    [anon_sym_SEL] = ACTIONS(2710),
    [anon_sym_Class] = ACTIONS(2710),
    [anon_sym_id] = ACTIONS(2710),
  },
  [468] = {
    [sym_identifier] = ACTIONS(2714),
    [aux_sym_preproc_include_token1] = ACTIONS(2714),
    [aux_sym_preproc_include_token2] = ACTIONS(2714),
    [aux_sym_preproc_def_token1] = ACTIONS(2714),
    [aux_sym_preproc_if_token1] = ACTIONS(2714),
    [aux_sym_preproc_if_token2] = ACTIONS(2714),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2714),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2714),
    [aux_sym_preproc_else_token1] = ACTIONS(2714),
    [aux_sym_preproc_elif_token1] = ACTIONS(2714),
    [sym_preproc_directive] = ACTIONS(2714),
    [anon_sym_LPAREN2] = ACTIONS(2716),
    [anon_sym_BANG] = ACTIONS(2716),
    [anon_sym_TILDE] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2714),
    [anon_sym_PLUS] = ACTIONS(2714),
    [anon_sym_STAR] = ACTIONS(2716),
    [anon_sym_CARET] = ACTIONS(2716),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_SEMI] = ACTIONS(2716),
    [anon_sym___extension__] = ACTIONS(2714),
    [anon_sym_typedef] = ACTIONS(2714),
    [anon_sym_extern] = ACTIONS(2714),
    [anon_sym___attribute__] = ACTIONS(2714),
    [anon_sym___attribute] = ACTIONS(2714),
    [anon_sym_noreturn] = ACTIONS(2714),
    [anon_sym_LBRACK] = ACTIONS(2716),
    [anon_sym___declspec] = ACTIONS(2714),
    [anon_sym___cdecl] = ACTIONS(2714),
    [anon_sym___clrcall] = ACTIONS(2714),
    [anon_sym___stdcall] = ACTIONS(2714),
    [anon_sym___fastcall] = ACTIONS(2714),
    [anon_sym___thiscall] = ACTIONS(2714),
    [anon_sym___vectorcall] = ACTIONS(2714),
    [anon_sym_LBRACE] = ACTIONS(2716),
    [anon_sym_signed] = ACTIONS(2714),
    [anon_sym_unsigned] = ACTIONS(2714),
    [anon_sym_long] = ACTIONS(2714),
    [anon_sym_short] = ACTIONS(2714),
    [anon_sym_static] = ACTIONS(2714),
    [anon_sym_ATautoreleasepool] = ACTIONS(2716),
    [anon_sym_auto] = ACTIONS(2714),
    [anon_sym_register] = ACTIONS(2714),
    [anon_sym_inline] = ACTIONS(2714),
    [anon_sym___inline] = ACTIONS(2714),
    [anon_sym___inline__] = ACTIONS(2714),
    [anon_sym___forceinline] = ACTIONS(2714),
    [anon_sym_thread_local] = ACTIONS(2714),
    [anon_sym___thread] = ACTIONS(2714),
    [anon_sym_CG_EXTERN] = ACTIONS(2714),
    [anon_sym_CG_INLINE] = ACTIONS(2714),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2714),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2714),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2714),
    [anon_sym_IBOutlet] = ACTIONS(2714),
    [anon_sym_IBInspectable] = ACTIONS(2714),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2714),
    [anon_sym_NS_INLINE] = ACTIONS(2714),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2714),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2714),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2714),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2714),
    [anon_sym_const] = ACTIONS(2714),
    [anon_sym_constexpr] = ACTIONS(2714),
    [anon_sym_volatile] = ACTIONS(2714),
    [anon_sym_restrict] = ACTIONS(2714),
    [anon_sym___restrict__] = ACTIONS(2714),
    [anon_sym__Atomic] = ACTIONS(2714),
    [anon_sym__Noreturn] = ACTIONS(2714),
    [anon_sym__Nonnull] = ACTIONS(2714),
    [anon_sym_nullable] = ACTIONS(2714),
    [anon_sym__Complex] = ACTIONS(2714),
    [anon_sym__Nullable] = ACTIONS(2714),
    [anon_sym__Nullable_result] = ACTIONS(2714),
    [anon_sym__Null_unspecified] = ACTIONS(2714),
    [anon_sym___autoreleasing] = ACTIONS(2714),
    [anon_sym___block] = ACTIONS(2714),
    [anon_sym___bridge] = ACTIONS(2714),
    [anon_sym___bridge_retained] = ACTIONS(2714),
    [anon_sym___bridge_transfer] = ACTIONS(2714),
    [anon_sym___complex] = ACTIONS(2714),
    [anon_sym___const] = ACTIONS(2714),
    [anon_sym___imag] = ACTIONS(2714),
    [anon_sym___kindof] = ACTIONS(2714),
    [anon_sym___nonnull] = ACTIONS(2714),
    [anon_sym___nullable] = ACTIONS(2714),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2714),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2714),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2714),
    [anon_sym___real] = ACTIONS(2714),
    [anon_sym___strong] = ACTIONS(2714),
    [anon_sym___unsafe_unretained] = ACTIONS(2714),
    [anon_sym___unused] = ACTIONS(2714),
    [anon_sym___weak] = ACTIONS(2714),
    [anon_sym_alignas] = ACTIONS(2714),
    [anon_sym__Alignas] = ACTIONS(2714),
    [sym_primitive_type] = ACTIONS(2714),
    [anon_sym_enum] = ACTIONS(2714),
    [anon_sym_struct] = ACTIONS(2714),
    [anon_sym_union] = ACTIONS(2714),
    [anon_sym_if] = ACTIONS(2714),
    [anon_sym_switch] = ACTIONS(2714),
    [anon_sym_case] = ACTIONS(2714),
    [anon_sym_default] = ACTIONS(2714),
    [anon_sym_while] = ACTIONS(2714),
    [anon_sym_do] = ACTIONS(2714),
    [anon_sym_for] = ACTIONS(2714),
    [anon_sym_in] = ACTIONS(2714),
    [anon_sym_return] = ACTIONS(2714),
    [anon_sym_break] = ACTIONS(2714),
    [anon_sym_continue] = ACTIONS(2714),
    [anon_sym_goto] = ACTIONS(2714),
    [anon_sym_DASH_DASH] = ACTIONS(2716),
    [anon_sym_PLUS_PLUS] = ACTIONS(2716),
    [anon_sym_sizeof] = ACTIONS(2714),
    [anon_sym___alignof__] = ACTIONS(2714),
    [anon_sym___alignof] = ACTIONS(2714),
    [anon_sym__alignof] = ACTIONS(2714),
    [anon_sym_alignof] = ACTIONS(2714),
    [anon_sym__Alignof] = ACTIONS(2714),
    [anon_sym_offsetof] = ACTIONS(2714),
    [anon_sym__Generic] = ACTIONS(2714),
    [anon_sym_asm] = ACTIONS(2714),
    [anon_sym___asm__] = ACTIONS(2714),
    [anon_sym___asm] = ACTIONS(2714),
    [sym_number_literal] = ACTIONS(2716),
    [anon_sym_L_SQUOTE] = ACTIONS(2716),
    [anon_sym_u_SQUOTE] = ACTIONS(2716),
    [anon_sym_U_SQUOTE] = ACTIONS(2716),
    [anon_sym_u8_SQUOTE] = ACTIONS(2716),
    [anon_sym_SQUOTE] = ACTIONS(2716),
    [anon_sym_AT] = ACTIONS(2714),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2714),
    [sym_false] = ACTIONS(2714),
    [anon_sym_NULL] = ACTIONS(2714),
    [anon_sym_nullptr] = ACTIONS(2714),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2714),
    [anon_sym___typeof] = ACTIONS(2714),
    [anon_sym_typeof] = ACTIONS(2714),
    [anon_sym_ATimport] = ACTIONS(2716),
    [aux_sym_preproc_undef_token1] = ACTIONS(2714),
    [anon_sym_POUND] = ACTIONS(2714),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2714),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2714),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2714),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2714),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2714),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2714),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2714),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2714),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2714),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2714),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2714),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2714),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2714),
    [anon_sym_API_AVAILABLE] = ACTIONS(2714),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2714),
    [anon_sym_API_DEPRECATED] = ACTIONS(2714),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2714),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2714),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2714),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2714),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2714),
    [anon_sym___deprecated_msg] = ACTIONS(2714),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2714),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2714),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2714),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2714),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2714),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2714),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2714),
    [anon_sym_ATprotocol] = ACTIONS(2716),
    [anon_sym_ATinterface] = ACTIONS(2716),
    [anon_sym_ATimplementation] = ACTIONS(2716),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2716),
    [anon_sym_ATsynthesize] = ACTIONS(2716),
    [anon_sym_ATdynamic] = ACTIONS(2716),
    [anon_sym_ATtry] = ACTIONS(2716),
    [anon_sym___try] = ACTIONS(2714),
    [anon_sym_ATthrow] = ACTIONS(2716),
    [anon_sym_ATselector] = ACTIONS(2716),
    [anon_sym_ATavailable] = ACTIONS(2716),
    [anon_sym___builtin_available] = ACTIONS(2714),
    [anon_sym_va_arg] = ACTIONS(2714),
    [anon_sym_ATencode] = ACTIONS(2716),
    [anon_sym_ATsynchronized] = ACTIONS(2716),
    [anon_sym_BOOL] = ACTIONS(2714),
    [anon_sym_IMP] = ACTIONS(2714),
    [anon_sym_SEL] = ACTIONS(2714),
    [anon_sym_Class] = ACTIONS(2714),
    [anon_sym_id] = ACTIONS(2714),
  },
  [469] = {
    [sym_identifier] = ACTIONS(2722),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_include_token2] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2722),
    [aux_sym_preproc_if_token1] = ACTIONS(2722),
    [aux_sym_preproc_if_token2] = ACTIONS(2722),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2722),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2722),
    [aux_sym_preproc_else_token1] = ACTIONS(2722),
    [aux_sym_preproc_elif_token1] = ACTIONS(2722),
    [sym_preproc_directive] = ACTIONS(2722),
    [anon_sym_LPAREN2] = ACTIONS(2724),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2722),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_CARET] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_SEMI] = ACTIONS(2724),
    [anon_sym___extension__] = ACTIONS(2722),
    [anon_sym_typedef] = ACTIONS(2722),
    [anon_sym_extern] = ACTIONS(2722),
    [anon_sym___attribute__] = ACTIONS(2722),
    [anon_sym___attribute] = ACTIONS(2722),
    [anon_sym_noreturn] = ACTIONS(2722),
    [anon_sym_LBRACK] = ACTIONS(2724),
    [anon_sym___declspec] = ACTIONS(2722),
    [anon_sym___cdecl] = ACTIONS(2722),
    [anon_sym___clrcall] = ACTIONS(2722),
    [anon_sym___stdcall] = ACTIONS(2722),
    [anon_sym___fastcall] = ACTIONS(2722),
    [anon_sym___thiscall] = ACTIONS(2722),
    [anon_sym___vectorcall] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [anon_sym_signed] = ACTIONS(2722),
    [anon_sym_unsigned] = ACTIONS(2722),
    [anon_sym_long] = ACTIONS(2722),
    [anon_sym_short] = ACTIONS(2722),
    [anon_sym_static] = ACTIONS(2722),
    [anon_sym_ATautoreleasepool] = ACTIONS(2724),
    [anon_sym_auto] = ACTIONS(2722),
    [anon_sym_register] = ACTIONS(2722),
    [anon_sym_inline] = ACTIONS(2722),
    [anon_sym___inline] = ACTIONS(2722),
    [anon_sym___inline__] = ACTIONS(2722),
    [anon_sym___forceinline] = ACTIONS(2722),
    [anon_sym_thread_local] = ACTIONS(2722),
    [anon_sym___thread] = ACTIONS(2722),
    [anon_sym_CG_EXTERN] = ACTIONS(2722),
    [anon_sym_CG_INLINE] = ACTIONS(2722),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2722),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2722),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2722),
    [anon_sym_IBOutlet] = ACTIONS(2722),
    [anon_sym_IBInspectable] = ACTIONS(2722),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2722),
    [anon_sym_NS_INLINE] = ACTIONS(2722),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2722),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2722),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2722),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2722),
    [anon_sym_const] = ACTIONS(2722),
    [anon_sym_constexpr] = ACTIONS(2722),
    [anon_sym_volatile] = ACTIONS(2722),
    [anon_sym_restrict] = ACTIONS(2722),
    [anon_sym___restrict__] = ACTIONS(2722),
    [anon_sym__Atomic] = ACTIONS(2722),
    [anon_sym__Noreturn] = ACTIONS(2722),
    [anon_sym__Nonnull] = ACTIONS(2722),
    [anon_sym_nullable] = ACTIONS(2722),
    [anon_sym__Complex] = ACTIONS(2722),
    [anon_sym__Nullable] = ACTIONS(2722),
    [anon_sym__Nullable_result] = ACTIONS(2722),
    [anon_sym__Null_unspecified] = ACTIONS(2722),
    [anon_sym___autoreleasing] = ACTIONS(2722),
    [anon_sym___block] = ACTIONS(2722),
    [anon_sym___bridge] = ACTIONS(2722),
    [anon_sym___bridge_retained] = ACTIONS(2722),
    [anon_sym___bridge_transfer] = ACTIONS(2722),
    [anon_sym___complex] = ACTIONS(2722),
    [anon_sym___const] = ACTIONS(2722),
    [anon_sym___imag] = ACTIONS(2722),
    [anon_sym___kindof] = ACTIONS(2722),
    [anon_sym___nonnull] = ACTIONS(2722),
    [anon_sym___nullable] = ACTIONS(2722),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2722),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2722),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2722),
    [anon_sym___real] = ACTIONS(2722),
    [anon_sym___strong] = ACTIONS(2722),
    [anon_sym___unsafe_unretained] = ACTIONS(2722),
    [anon_sym___unused] = ACTIONS(2722),
    [anon_sym___weak] = ACTIONS(2722),
    [anon_sym_alignas] = ACTIONS(2722),
    [anon_sym__Alignas] = ACTIONS(2722),
    [sym_primitive_type] = ACTIONS(2722),
    [anon_sym_enum] = ACTIONS(2722),
    [anon_sym_struct] = ACTIONS(2722),
    [anon_sym_union] = ACTIONS(2722),
    [anon_sym_if] = ACTIONS(2722),
    [anon_sym_switch] = ACTIONS(2722),
    [anon_sym_case] = ACTIONS(2722),
    [anon_sym_default] = ACTIONS(2722),
    [anon_sym_while] = ACTIONS(2722),
    [anon_sym_do] = ACTIONS(2722),
    [anon_sym_for] = ACTIONS(2722),
    [anon_sym_in] = ACTIONS(2722),
    [anon_sym_return] = ACTIONS(2722),
    [anon_sym_break] = ACTIONS(2722),
    [anon_sym_continue] = ACTIONS(2722),
    [anon_sym_goto] = ACTIONS(2722),
    [anon_sym_DASH_DASH] = ACTIONS(2724),
    [anon_sym_PLUS_PLUS] = ACTIONS(2724),
    [anon_sym_sizeof] = ACTIONS(2722),
    [anon_sym___alignof__] = ACTIONS(2722),
    [anon_sym___alignof] = ACTIONS(2722),
    [anon_sym__alignof] = ACTIONS(2722),
    [anon_sym_alignof] = ACTIONS(2722),
    [anon_sym__Alignof] = ACTIONS(2722),
    [anon_sym_offsetof] = ACTIONS(2722),
    [anon_sym__Generic] = ACTIONS(2722),
    [anon_sym_asm] = ACTIONS(2722),
    [anon_sym___asm__] = ACTIONS(2722),
    [anon_sym___asm] = ACTIONS(2722),
    [sym_number_literal] = ACTIONS(2724),
    [anon_sym_L_SQUOTE] = ACTIONS(2724),
    [anon_sym_u_SQUOTE] = ACTIONS(2724),
    [anon_sym_U_SQUOTE] = ACTIONS(2724),
    [anon_sym_u8_SQUOTE] = ACTIONS(2724),
    [anon_sym_SQUOTE] = ACTIONS(2724),
    [anon_sym_AT] = ACTIONS(2722),
    [anon_sym_DQUOTE] = ACTIONS(2724),
    [anon_sym_L_DQUOTE] = ACTIONS(2724),
    [anon_sym_u_DQUOTE] = ACTIONS(2724),
    [anon_sym_U_DQUOTE] = ACTIONS(2724),
    [anon_sym_u8_DQUOTE] = ACTIONS(2724),
    [sym_true] = ACTIONS(2722),
    [sym_false] = ACTIONS(2722),
    [anon_sym_NULL] = ACTIONS(2722),
    [anon_sym_nullptr] = ACTIONS(2722),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2722),
    [anon_sym___typeof] = ACTIONS(2722),
    [anon_sym_typeof] = ACTIONS(2722),
    [anon_sym_ATimport] = ACTIONS(2724),
    [aux_sym_preproc_undef_token1] = ACTIONS(2722),
    [anon_sym_POUND] = ACTIONS(2722),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2722),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2722),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2722),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2722),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2722),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2722),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2722),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2722),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2722),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2722),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2722),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2722),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2722),
    [anon_sym_API_AVAILABLE] = ACTIONS(2722),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2722),
    [anon_sym_API_DEPRECATED] = ACTIONS(2722),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2722),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2722),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2722),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2722),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2722),
    [anon_sym___deprecated_msg] = ACTIONS(2722),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2722),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2722),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2722),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2722),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2722),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2722),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2722),
    [anon_sym_ATprotocol] = ACTIONS(2724),
    [anon_sym_ATinterface] = ACTIONS(2724),
    [anon_sym_ATimplementation] = ACTIONS(2724),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2724),
    [anon_sym_ATsynthesize] = ACTIONS(2724),
    [anon_sym_ATdynamic] = ACTIONS(2724),
    [anon_sym_ATtry] = ACTIONS(2724),
    [anon_sym___try] = ACTIONS(2722),
    [anon_sym_ATthrow] = ACTIONS(2724),
    [anon_sym_ATselector] = ACTIONS(2724),
    [anon_sym_ATavailable] = ACTIONS(2724),
    [anon_sym___builtin_available] = ACTIONS(2722),
    [anon_sym_va_arg] = ACTIONS(2722),
    [anon_sym_ATencode] = ACTIONS(2724),
    [anon_sym_ATsynchronized] = ACTIONS(2724),
    [anon_sym_BOOL] = ACTIONS(2722),
    [anon_sym_IMP] = ACTIONS(2722),
    [anon_sym_SEL] = ACTIONS(2722),
    [anon_sym_Class] = ACTIONS(2722),
    [anon_sym_id] = ACTIONS(2722),
  },
  [470] = {
    [sym_identifier] = ACTIONS(2588),
    [aux_sym_preproc_include_token1] = ACTIONS(2588),
    [aux_sym_preproc_include_token2] = ACTIONS(2588),
    [aux_sym_preproc_def_token1] = ACTIONS(2588),
    [aux_sym_preproc_if_token1] = ACTIONS(2588),
    [aux_sym_preproc_if_token2] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2588),
    [aux_sym_preproc_else_token1] = ACTIONS(2588),
    [aux_sym_preproc_elif_token1] = ACTIONS(2588),
    [sym_preproc_directive] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2590),
    [anon_sym_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2590),
    [anon_sym___extension__] = ACTIONS(2588),
    [anon_sym_typedef] = ACTIONS(2588),
    [anon_sym_extern] = ACTIONS(2588),
    [anon_sym___attribute__] = ACTIONS(2588),
    [anon_sym___attribute] = ACTIONS(2588),
    [anon_sym_noreturn] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym___declspec] = ACTIONS(2588),
    [anon_sym___cdecl] = ACTIONS(2588),
    [anon_sym___clrcall] = ACTIONS(2588),
    [anon_sym___stdcall] = ACTIONS(2588),
    [anon_sym___fastcall] = ACTIONS(2588),
    [anon_sym___thiscall] = ACTIONS(2588),
    [anon_sym___vectorcall] = ACTIONS(2588),
    [anon_sym_LBRACE] = ACTIONS(2590),
    [anon_sym_signed] = ACTIONS(2588),
    [anon_sym_unsigned] = ACTIONS(2588),
    [anon_sym_long] = ACTIONS(2588),
    [anon_sym_short] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_ATautoreleasepool] = ACTIONS(2590),
    [anon_sym_auto] = ACTIONS(2588),
    [anon_sym_register] = ACTIONS(2588),
    [anon_sym_inline] = ACTIONS(2588),
    [anon_sym___inline] = ACTIONS(2588),
    [anon_sym___inline__] = ACTIONS(2588),
    [anon_sym___forceinline] = ACTIONS(2588),
    [anon_sym_thread_local] = ACTIONS(2588),
    [anon_sym___thread] = ACTIONS(2588),
    [anon_sym_CG_EXTERN] = ACTIONS(2588),
    [anon_sym_CG_INLINE] = ACTIONS(2588),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2588),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2588),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2588),
    [anon_sym_IBOutlet] = ACTIONS(2588),
    [anon_sym_IBInspectable] = ACTIONS(2588),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2588),
    [anon_sym_NS_INLINE] = ACTIONS(2588),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2588),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2588),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2588),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2588),
    [anon_sym_const] = ACTIONS(2588),
    [anon_sym_constexpr] = ACTIONS(2588),
    [anon_sym_volatile] = ACTIONS(2588),
    [anon_sym_restrict] = ACTIONS(2588),
    [anon_sym___restrict__] = ACTIONS(2588),
    [anon_sym__Atomic] = ACTIONS(2588),
    [anon_sym__Noreturn] = ACTIONS(2588),
    [anon_sym__Nonnull] = ACTIONS(2588),
    [anon_sym_nullable] = ACTIONS(2588),
    [anon_sym__Complex] = ACTIONS(2588),
    [anon_sym__Nullable] = ACTIONS(2588),
    [anon_sym__Nullable_result] = ACTIONS(2588),
    [anon_sym__Null_unspecified] = ACTIONS(2588),
    [anon_sym___autoreleasing] = ACTIONS(2588),
    [anon_sym___block] = ACTIONS(2588),
    [anon_sym___bridge] = ACTIONS(2588),
    [anon_sym___bridge_retained] = ACTIONS(2588),
    [anon_sym___bridge_transfer] = ACTIONS(2588),
    [anon_sym___complex] = ACTIONS(2588),
    [anon_sym___const] = ACTIONS(2588),
    [anon_sym___imag] = ACTIONS(2588),
    [anon_sym___kindof] = ACTIONS(2588),
    [anon_sym___nonnull] = ACTIONS(2588),
    [anon_sym___nullable] = ACTIONS(2588),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2588),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2588),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2588),
    [anon_sym___real] = ACTIONS(2588),
    [anon_sym___strong] = ACTIONS(2588),
    [anon_sym___unsafe_unretained] = ACTIONS(2588),
    [anon_sym___unused] = ACTIONS(2588),
    [anon_sym___weak] = ACTIONS(2588),
    [anon_sym_alignas] = ACTIONS(2588),
    [anon_sym__Alignas] = ACTIONS(2588),
    [sym_primitive_type] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_struct] = ACTIONS(2588),
    [anon_sym_union] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2588),
    [anon_sym_switch] = ACTIONS(2588),
    [anon_sym_case] = ACTIONS(2588),
    [anon_sym_default] = ACTIONS(2588),
    [anon_sym_while] = ACTIONS(2588),
    [anon_sym_do] = ACTIONS(2588),
    [anon_sym_for] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2588),
    [anon_sym_return] = ACTIONS(2588),
    [anon_sym_break] = ACTIONS(2588),
    [anon_sym_continue] = ACTIONS(2588),
    [anon_sym_goto] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2590),
    [anon_sym_sizeof] = ACTIONS(2588),
    [anon_sym___alignof__] = ACTIONS(2588),
    [anon_sym___alignof] = ACTIONS(2588),
    [anon_sym__alignof] = ACTIONS(2588),
    [anon_sym_alignof] = ACTIONS(2588),
    [anon_sym__Alignof] = ACTIONS(2588),
    [anon_sym_offsetof] = ACTIONS(2588),
    [anon_sym__Generic] = ACTIONS(2588),
    [anon_sym_asm] = ACTIONS(2588),
    [anon_sym___asm__] = ACTIONS(2588),
    [anon_sym___asm] = ACTIONS(2588),
    [sym_number_literal] = ACTIONS(2590),
    [anon_sym_L_SQUOTE] = ACTIONS(2590),
    [anon_sym_u_SQUOTE] = ACTIONS(2590),
    [anon_sym_U_SQUOTE] = ACTIONS(2590),
    [anon_sym_u8_SQUOTE] = ACTIONS(2590),
    [anon_sym_SQUOTE] = ACTIONS(2590),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2590),
    [anon_sym_L_DQUOTE] = ACTIONS(2590),
    [anon_sym_u_DQUOTE] = ACTIONS(2590),
    [anon_sym_U_DQUOTE] = ACTIONS(2590),
    [anon_sym_u8_DQUOTE] = ACTIONS(2590),
    [sym_true] = ACTIONS(2588),
    [sym_false] = ACTIONS(2588),
    [anon_sym_NULL] = ACTIONS(2588),
    [anon_sym_nullptr] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2588),
    [anon_sym___typeof] = ACTIONS(2588),
    [anon_sym_typeof] = ACTIONS(2588),
    [anon_sym_ATimport] = ACTIONS(2590),
    [aux_sym_preproc_undef_token1] = ACTIONS(2588),
    [anon_sym_POUND] = ACTIONS(2588),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2588),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2588),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2588),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2588),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2588),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2588),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2588),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2588),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2588),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2588),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2588),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2588),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2588),
    [anon_sym_API_AVAILABLE] = ACTIONS(2588),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2588),
    [anon_sym_API_DEPRECATED] = ACTIONS(2588),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2588),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2588),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2588),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2588),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2588),
    [anon_sym___deprecated_msg] = ACTIONS(2588),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2588),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2588),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2588),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2588),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2588),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2588),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2588),
    [anon_sym_ATprotocol] = ACTIONS(2590),
    [anon_sym_ATinterface] = ACTIONS(2590),
    [anon_sym_ATimplementation] = ACTIONS(2590),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2590),
    [anon_sym_ATsynthesize] = ACTIONS(2590),
    [anon_sym_ATdynamic] = ACTIONS(2590),
    [anon_sym_ATtry] = ACTIONS(2590),
    [anon_sym___try] = ACTIONS(2588),
    [anon_sym_ATthrow] = ACTIONS(2590),
    [anon_sym_ATselector] = ACTIONS(2590),
    [anon_sym_ATavailable] = ACTIONS(2590),
    [anon_sym___builtin_available] = ACTIONS(2588),
    [anon_sym_va_arg] = ACTIONS(2588),
    [anon_sym_ATencode] = ACTIONS(2590),
    [anon_sym_ATsynchronized] = ACTIONS(2590),
    [anon_sym_BOOL] = ACTIONS(2588),
    [anon_sym_IMP] = ACTIONS(2588),
    [anon_sym_SEL] = ACTIONS(2588),
    [anon_sym_Class] = ACTIONS(2588),
    [anon_sym_id] = ACTIONS(2588),
  },
  [471] = {
    [sym_identifier] = ACTIONS(2592),
    [aux_sym_preproc_include_token1] = ACTIONS(2592),
    [aux_sym_preproc_include_token2] = ACTIONS(2592),
    [aux_sym_preproc_def_token1] = ACTIONS(2592),
    [aux_sym_preproc_if_token1] = ACTIONS(2592),
    [aux_sym_preproc_if_token2] = ACTIONS(2592),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2592),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2592),
    [aux_sym_preproc_else_token1] = ACTIONS(2592),
    [aux_sym_preproc_elif_token1] = ACTIONS(2592),
    [sym_preproc_directive] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2594),
    [anon_sym_BANG] = ACTIONS(2594),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_CARET] = ACTIONS(2594),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_SEMI] = ACTIONS(2594),
    [anon_sym___extension__] = ACTIONS(2592),
    [anon_sym_typedef] = ACTIONS(2592),
    [anon_sym_extern] = ACTIONS(2592),
    [anon_sym___attribute__] = ACTIONS(2592),
    [anon_sym___attribute] = ACTIONS(2592),
    [anon_sym_noreturn] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2594),
    [anon_sym___declspec] = ACTIONS(2592),
    [anon_sym___cdecl] = ACTIONS(2592),
    [anon_sym___clrcall] = ACTIONS(2592),
    [anon_sym___stdcall] = ACTIONS(2592),
    [anon_sym___fastcall] = ACTIONS(2592),
    [anon_sym___thiscall] = ACTIONS(2592),
    [anon_sym___vectorcall] = ACTIONS(2592),
    [anon_sym_LBRACE] = ACTIONS(2594),
    [anon_sym_signed] = ACTIONS(2592),
    [anon_sym_unsigned] = ACTIONS(2592),
    [anon_sym_long] = ACTIONS(2592),
    [anon_sym_short] = ACTIONS(2592),
    [anon_sym_static] = ACTIONS(2592),
    [anon_sym_ATautoreleasepool] = ACTIONS(2594),
    [anon_sym_auto] = ACTIONS(2592),
    [anon_sym_register] = ACTIONS(2592),
    [anon_sym_inline] = ACTIONS(2592),
    [anon_sym___inline] = ACTIONS(2592),
    [anon_sym___inline__] = ACTIONS(2592),
    [anon_sym___forceinline] = ACTIONS(2592),
    [anon_sym_thread_local] = ACTIONS(2592),
    [anon_sym___thread] = ACTIONS(2592),
    [anon_sym_CG_EXTERN] = ACTIONS(2592),
    [anon_sym_CG_INLINE] = ACTIONS(2592),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2592),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2592),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2592),
    [anon_sym_IBOutlet] = ACTIONS(2592),
    [anon_sym_IBInspectable] = ACTIONS(2592),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2592),
    [anon_sym_NS_INLINE] = ACTIONS(2592),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2592),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2592),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2592),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2592),
    [anon_sym_const] = ACTIONS(2592),
    [anon_sym_constexpr] = ACTIONS(2592),
    [anon_sym_volatile] = ACTIONS(2592),
    [anon_sym_restrict] = ACTIONS(2592),
    [anon_sym___restrict__] = ACTIONS(2592),
    [anon_sym__Atomic] = ACTIONS(2592),
    [anon_sym__Noreturn] = ACTIONS(2592),
    [anon_sym__Nonnull] = ACTIONS(2592),
    [anon_sym_nullable] = ACTIONS(2592),
    [anon_sym__Complex] = ACTIONS(2592),
    [anon_sym__Nullable] = ACTIONS(2592),
    [anon_sym__Nullable_result] = ACTIONS(2592),
    [anon_sym__Null_unspecified] = ACTIONS(2592),
    [anon_sym___autoreleasing] = ACTIONS(2592),
    [anon_sym___block] = ACTIONS(2592),
    [anon_sym___bridge] = ACTIONS(2592),
    [anon_sym___bridge_retained] = ACTIONS(2592),
    [anon_sym___bridge_transfer] = ACTIONS(2592),
    [anon_sym___complex] = ACTIONS(2592),
    [anon_sym___const] = ACTIONS(2592),
    [anon_sym___imag] = ACTIONS(2592),
    [anon_sym___kindof] = ACTIONS(2592),
    [anon_sym___nonnull] = ACTIONS(2592),
    [anon_sym___nullable] = ACTIONS(2592),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2592),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2592),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2592),
    [anon_sym___real] = ACTIONS(2592),
    [anon_sym___strong] = ACTIONS(2592),
    [anon_sym___unsafe_unretained] = ACTIONS(2592),
    [anon_sym___unused] = ACTIONS(2592),
    [anon_sym___weak] = ACTIONS(2592),
    [anon_sym_alignas] = ACTIONS(2592),
    [anon_sym__Alignas] = ACTIONS(2592),
    [sym_primitive_type] = ACTIONS(2592),
    [anon_sym_enum] = ACTIONS(2592),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2592),
    [anon_sym_if] = ACTIONS(2592),
    [anon_sym_switch] = ACTIONS(2592),
    [anon_sym_case] = ACTIONS(2592),
    [anon_sym_default] = ACTIONS(2592),
    [anon_sym_while] = ACTIONS(2592),
    [anon_sym_do] = ACTIONS(2592),
    [anon_sym_for] = ACTIONS(2592),
    [anon_sym_in] = ACTIONS(2592),
    [anon_sym_return] = ACTIONS(2592),
    [anon_sym_break] = ACTIONS(2592),
    [anon_sym_continue] = ACTIONS(2592),
    [anon_sym_goto] = ACTIONS(2592),
    [anon_sym_DASH_DASH] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2594),
    [anon_sym_sizeof] = ACTIONS(2592),
    [anon_sym___alignof__] = ACTIONS(2592),
    [anon_sym___alignof] = ACTIONS(2592),
    [anon_sym__alignof] = ACTIONS(2592),
    [anon_sym_alignof] = ACTIONS(2592),
    [anon_sym__Alignof] = ACTIONS(2592),
    [anon_sym_offsetof] = ACTIONS(2592),
    [anon_sym__Generic] = ACTIONS(2592),
    [anon_sym_asm] = ACTIONS(2592),
    [anon_sym___asm__] = ACTIONS(2592),
    [anon_sym___asm] = ACTIONS(2592),
    [sym_number_literal] = ACTIONS(2594),
    [anon_sym_L_SQUOTE] = ACTIONS(2594),
    [anon_sym_u_SQUOTE] = ACTIONS(2594),
    [anon_sym_U_SQUOTE] = ACTIONS(2594),
    [anon_sym_u8_SQUOTE] = ACTIONS(2594),
    [anon_sym_SQUOTE] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2592),
    [anon_sym_DQUOTE] = ACTIONS(2594),
    [anon_sym_L_DQUOTE] = ACTIONS(2594),
    [anon_sym_u_DQUOTE] = ACTIONS(2594),
    [anon_sym_U_DQUOTE] = ACTIONS(2594),
    [anon_sym_u8_DQUOTE] = ACTIONS(2594),
    [sym_true] = ACTIONS(2592),
    [sym_false] = ACTIONS(2592),
    [anon_sym_NULL] = ACTIONS(2592),
    [anon_sym_nullptr] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2592),
    [anon_sym___typeof] = ACTIONS(2592),
    [anon_sym_typeof] = ACTIONS(2592),
    [anon_sym_ATimport] = ACTIONS(2594),
    [aux_sym_preproc_undef_token1] = ACTIONS(2592),
    [anon_sym_POUND] = ACTIONS(2592),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2592),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2592),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2592),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2592),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2592),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2592),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2592),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2592),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2592),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2592),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2592),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2592),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2592),
    [anon_sym_API_AVAILABLE] = ACTIONS(2592),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2592),
    [anon_sym_API_DEPRECATED] = ACTIONS(2592),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2592),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2592),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2592),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2592),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2592),
    [anon_sym___deprecated_msg] = ACTIONS(2592),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2592),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2592),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2592),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2592),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2592),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2592),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2592),
    [anon_sym_ATprotocol] = ACTIONS(2594),
    [anon_sym_ATinterface] = ACTIONS(2594),
    [anon_sym_ATimplementation] = ACTIONS(2594),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2594),
    [anon_sym_ATsynthesize] = ACTIONS(2594),
    [anon_sym_ATdynamic] = ACTIONS(2594),
    [anon_sym_ATtry] = ACTIONS(2594),
    [anon_sym___try] = ACTIONS(2592),
    [anon_sym_ATthrow] = ACTIONS(2594),
    [anon_sym_ATselector] = ACTIONS(2594),
    [anon_sym_ATavailable] = ACTIONS(2594),
    [anon_sym___builtin_available] = ACTIONS(2592),
    [anon_sym_va_arg] = ACTIONS(2592),
    [anon_sym_ATencode] = ACTIONS(2594),
    [anon_sym_ATsynchronized] = ACTIONS(2594),
    [anon_sym_BOOL] = ACTIONS(2592),
    [anon_sym_IMP] = ACTIONS(2592),
    [anon_sym_SEL] = ACTIONS(2592),
    [anon_sym_Class] = ACTIONS(2592),
    [anon_sym_id] = ACTIONS(2592),
  },
  [472] = {
    [sym_identifier] = ACTIONS(2596),
    [aux_sym_preproc_include_token1] = ACTIONS(2596),
    [aux_sym_preproc_include_token2] = ACTIONS(2596),
    [aux_sym_preproc_def_token1] = ACTIONS(2596),
    [aux_sym_preproc_if_token1] = ACTIONS(2596),
    [aux_sym_preproc_if_token2] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2596),
    [aux_sym_preproc_else_token1] = ACTIONS(2596),
    [aux_sym_preproc_elif_token1] = ACTIONS(2596),
    [sym_preproc_directive] = ACTIONS(2596),
    [anon_sym_LPAREN2] = ACTIONS(2598),
    [anon_sym_BANG] = ACTIONS(2598),
    [anon_sym_TILDE] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_CARET] = ACTIONS(2598),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_SEMI] = ACTIONS(2598),
    [anon_sym___extension__] = ACTIONS(2596),
    [anon_sym_typedef] = ACTIONS(2596),
    [anon_sym_extern] = ACTIONS(2596),
    [anon_sym___attribute__] = ACTIONS(2596),
    [anon_sym___attribute] = ACTIONS(2596),
    [anon_sym_noreturn] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2598),
    [anon_sym___declspec] = ACTIONS(2596),
    [anon_sym___cdecl] = ACTIONS(2596),
    [anon_sym___clrcall] = ACTIONS(2596),
    [anon_sym___stdcall] = ACTIONS(2596),
    [anon_sym___fastcall] = ACTIONS(2596),
    [anon_sym___thiscall] = ACTIONS(2596),
    [anon_sym___vectorcall] = ACTIONS(2596),
    [anon_sym_LBRACE] = ACTIONS(2598),
    [anon_sym_signed] = ACTIONS(2596),
    [anon_sym_unsigned] = ACTIONS(2596),
    [anon_sym_long] = ACTIONS(2596),
    [anon_sym_short] = ACTIONS(2596),
    [anon_sym_static] = ACTIONS(2596),
    [anon_sym_ATautoreleasepool] = ACTIONS(2598),
    [anon_sym_auto] = ACTIONS(2596),
    [anon_sym_register] = ACTIONS(2596),
    [anon_sym_inline] = ACTIONS(2596),
    [anon_sym___inline] = ACTIONS(2596),
    [anon_sym___inline__] = ACTIONS(2596),
    [anon_sym___forceinline] = ACTIONS(2596),
    [anon_sym_thread_local] = ACTIONS(2596),
    [anon_sym___thread] = ACTIONS(2596),
    [anon_sym_CG_EXTERN] = ACTIONS(2596),
    [anon_sym_CG_INLINE] = ACTIONS(2596),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2596),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2596),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2596),
    [anon_sym_IBOutlet] = ACTIONS(2596),
    [anon_sym_IBInspectable] = ACTIONS(2596),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2596),
    [anon_sym_NS_INLINE] = ACTIONS(2596),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2596),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2596),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2596),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2596),
    [anon_sym_const] = ACTIONS(2596),
    [anon_sym_constexpr] = ACTIONS(2596),
    [anon_sym_volatile] = ACTIONS(2596),
    [anon_sym_restrict] = ACTIONS(2596),
    [anon_sym___restrict__] = ACTIONS(2596),
    [anon_sym__Atomic] = ACTIONS(2596),
    [anon_sym__Noreturn] = ACTIONS(2596),
    [anon_sym__Nonnull] = ACTIONS(2596),
    [anon_sym_nullable] = ACTIONS(2596),
    [anon_sym__Complex] = ACTIONS(2596),
    [anon_sym__Nullable] = ACTIONS(2596),
    [anon_sym__Nullable_result] = ACTIONS(2596),
    [anon_sym__Null_unspecified] = ACTIONS(2596),
    [anon_sym___autoreleasing] = ACTIONS(2596),
    [anon_sym___block] = ACTIONS(2596),
    [anon_sym___bridge] = ACTIONS(2596),
    [anon_sym___bridge_retained] = ACTIONS(2596),
    [anon_sym___bridge_transfer] = ACTIONS(2596),
    [anon_sym___complex] = ACTIONS(2596),
    [anon_sym___const] = ACTIONS(2596),
    [anon_sym___imag] = ACTIONS(2596),
    [anon_sym___kindof] = ACTIONS(2596),
    [anon_sym___nonnull] = ACTIONS(2596),
    [anon_sym___nullable] = ACTIONS(2596),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2596),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2596),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2596),
    [anon_sym___real] = ACTIONS(2596),
    [anon_sym___strong] = ACTIONS(2596),
    [anon_sym___unsafe_unretained] = ACTIONS(2596),
    [anon_sym___unused] = ACTIONS(2596),
    [anon_sym___weak] = ACTIONS(2596),
    [anon_sym_alignas] = ACTIONS(2596),
    [anon_sym__Alignas] = ACTIONS(2596),
    [sym_primitive_type] = ACTIONS(2596),
    [anon_sym_enum] = ACTIONS(2596),
    [anon_sym_struct] = ACTIONS(2596),
    [anon_sym_union] = ACTIONS(2596),
    [anon_sym_if] = ACTIONS(2596),
    [anon_sym_switch] = ACTIONS(2596),
    [anon_sym_case] = ACTIONS(2596),
    [anon_sym_default] = ACTIONS(2596),
    [anon_sym_while] = ACTIONS(2596),
    [anon_sym_do] = ACTIONS(2596),
    [anon_sym_for] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2596),
    [anon_sym_return] = ACTIONS(2596),
    [anon_sym_break] = ACTIONS(2596),
    [anon_sym_continue] = ACTIONS(2596),
    [anon_sym_goto] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2598),
    [anon_sym_PLUS_PLUS] = ACTIONS(2598),
    [anon_sym_sizeof] = ACTIONS(2596),
    [anon_sym___alignof__] = ACTIONS(2596),
    [anon_sym___alignof] = ACTIONS(2596),
    [anon_sym__alignof] = ACTIONS(2596),
    [anon_sym_alignof] = ACTIONS(2596),
    [anon_sym__Alignof] = ACTIONS(2596),
    [anon_sym_offsetof] = ACTIONS(2596),
    [anon_sym__Generic] = ACTIONS(2596),
    [anon_sym_asm] = ACTIONS(2596),
    [anon_sym___asm__] = ACTIONS(2596),
    [anon_sym___asm] = ACTIONS(2596),
    [sym_number_literal] = ACTIONS(2598),
    [anon_sym_L_SQUOTE] = ACTIONS(2598),
    [anon_sym_u_SQUOTE] = ACTIONS(2598),
    [anon_sym_U_SQUOTE] = ACTIONS(2598),
    [anon_sym_u8_SQUOTE] = ACTIONS(2598),
    [anon_sym_SQUOTE] = ACTIONS(2598),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_DQUOTE] = ACTIONS(2598),
    [anon_sym_L_DQUOTE] = ACTIONS(2598),
    [anon_sym_u_DQUOTE] = ACTIONS(2598),
    [anon_sym_U_DQUOTE] = ACTIONS(2598),
    [anon_sym_u8_DQUOTE] = ACTIONS(2598),
    [sym_true] = ACTIONS(2596),
    [sym_false] = ACTIONS(2596),
    [anon_sym_NULL] = ACTIONS(2596),
    [anon_sym_nullptr] = ACTIONS(2596),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2596),
    [anon_sym___typeof] = ACTIONS(2596),
    [anon_sym_typeof] = ACTIONS(2596),
    [anon_sym_ATimport] = ACTIONS(2598),
    [aux_sym_preproc_undef_token1] = ACTIONS(2596),
    [anon_sym_POUND] = ACTIONS(2596),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2596),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2596),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2596),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2596),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2596),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2596),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2596),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2596),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2596),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2596),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2596),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2596),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2596),
    [anon_sym_API_AVAILABLE] = ACTIONS(2596),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2596),
    [anon_sym_API_DEPRECATED] = ACTIONS(2596),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2596),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2596),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2596),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2596),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2596),
    [anon_sym___deprecated_msg] = ACTIONS(2596),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2596),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2596),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2596),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2596),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2596),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2596),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2596),
    [anon_sym_ATprotocol] = ACTIONS(2598),
    [anon_sym_ATinterface] = ACTIONS(2598),
    [anon_sym_ATimplementation] = ACTIONS(2598),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2598),
    [anon_sym_ATsynthesize] = ACTIONS(2598),
    [anon_sym_ATdynamic] = ACTIONS(2598),
    [anon_sym_ATtry] = ACTIONS(2598),
    [anon_sym___try] = ACTIONS(2596),
    [anon_sym_ATthrow] = ACTIONS(2598),
    [anon_sym_ATselector] = ACTIONS(2598),
    [anon_sym_ATavailable] = ACTIONS(2598),
    [anon_sym___builtin_available] = ACTIONS(2596),
    [anon_sym_va_arg] = ACTIONS(2596),
    [anon_sym_ATencode] = ACTIONS(2598),
    [anon_sym_ATsynchronized] = ACTIONS(2598),
    [anon_sym_BOOL] = ACTIONS(2596),
    [anon_sym_IMP] = ACTIONS(2596),
    [anon_sym_SEL] = ACTIONS(2596),
    [anon_sym_Class] = ACTIONS(2596),
    [anon_sym_id] = ACTIONS(2596),
  },
  [473] = {
    [sym_identifier] = ACTIONS(2730),
    [aux_sym_preproc_include_token1] = ACTIONS(2730),
    [aux_sym_preproc_include_token2] = ACTIONS(2730),
    [aux_sym_preproc_def_token1] = ACTIONS(2730),
    [aux_sym_preproc_if_token1] = ACTIONS(2730),
    [aux_sym_preproc_if_token2] = ACTIONS(2730),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2730),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2730),
    [aux_sym_preproc_else_token1] = ACTIONS(2730),
    [aux_sym_preproc_elif_token1] = ACTIONS(2730),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(2732),
    [anon_sym_BANG] = ACTIONS(2732),
    [anon_sym_TILDE] = ACTIONS(2732),
    [anon_sym_DASH] = ACTIONS(2730),
    [anon_sym_PLUS] = ACTIONS(2730),
    [anon_sym_STAR] = ACTIONS(2732),
    [anon_sym_CARET] = ACTIONS(2732),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym_SEMI] = ACTIONS(2732),
    [anon_sym___extension__] = ACTIONS(2730),
    [anon_sym_typedef] = ACTIONS(2730),
    [anon_sym_extern] = ACTIONS(2730),
    [anon_sym___attribute__] = ACTIONS(2730),
    [anon_sym___attribute] = ACTIONS(2730),
    [anon_sym_noreturn] = ACTIONS(2730),
    [anon_sym_LBRACK] = ACTIONS(2732),
    [anon_sym___declspec] = ACTIONS(2730),
    [anon_sym___cdecl] = ACTIONS(2730),
    [anon_sym___clrcall] = ACTIONS(2730),
    [anon_sym___stdcall] = ACTIONS(2730),
    [anon_sym___fastcall] = ACTIONS(2730),
    [anon_sym___thiscall] = ACTIONS(2730),
    [anon_sym___vectorcall] = ACTIONS(2730),
    [anon_sym_LBRACE] = ACTIONS(2732),
    [anon_sym_signed] = ACTIONS(2730),
    [anon_sym_unsigned] = ACTIONS(2730),
    [anon_sym_long] = ACTIONS(2730),
    [anon_sym_short] = ACTIONS(2730),
    [anon_sym_static] = ACTIONS(2730),
    [anon_sym_ATautoreleasepool] = ACTIONS(2732),
    [anon_sym_auto] = ACTIONS(2730),
    [anon_sym_register] = ACTIONS(2730),
    [anon_sym_inline] = ACTIONS(2730),
    [anon_sym___inline] = ACTIONS(2730),
    [anon_sym___inline__] = ACTIONS(2730),
    [anon_sym___forceinline] = ACTIONS(2730),
    [anon_sym_thread_local] = ACTIONS(2730),
    [anon_sym___thread] = ACTIONS(2730),
    [anon_sym_CG_EXTERN] = ACTIONS(2730),
    [anon_sym_CG_INLINE] = ACTIONS(2730),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2730),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2730),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2730),
    [anon_sym_IBOutlet] = ACTIONS(2730),
    [anon_sym_IBInspectable] = ACTIONS(2730),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2730),
    [anon_sym_NS_INLINE] = ACTIONS(2730),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2730),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2730),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2730),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2730),
    [anon_sym_const] = ACTIONS(2730),
    [anon_sym_constexpr] = ACTIONS(2730),
    [anon_sym_volatile] = ACTIONS(2730),
    [anon_sym_restrict] = ACTIONS(2730),
    [anon_sym___restrict__] = ACTIONS(2730),
    [anon_sym__Atomic] = ACTIONS(2730),
    [anon_sym__Noreturn] = ACTIONS(2730),
    [anon_sym__Nonnull] = ACTIONS(2730),
    [anon_sym_nullable] = ACTIONS(2730),
    [anon_sym__Complex] = ACTIONS(2730),
    [anon_sym__Nullable] = ACTIONS(2730),
    [anon_sym__Nullable_result] = ACTIONS(2730),
    [anon_sym__Null_unspecified] = ACTIONS(2730),
    [anon_sym___autoreleasing] = ACTIONS(2730),
    [anon_sym___block] = ACTIONS(2730),
    [anon_sym___bridge] = ACTIONS(2730),
    [anon_sym___bridge_retained] = ACTIONS(2730),
    [anon_sym___bridge_transfer] = ACTIONS(2730),
    [anon_sym___complex] = ACTIONS(2730),
    [anon_sym___const] = ACTIONS(2730),
    [anon_sym___imag] = ACTIONS(2730),
    [anon_sym___kindof] = ACTIONS(2730),
    [anon_sym___nonnull] = ACTIONS(2730),
    [anon_sym___nullable] = ACTIONS(2730),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2730),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2730),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2730),
    [anon_sym___real] = ACTIONS(2730),
    [anon_sym___strong] = ACTIONS(2730),
    [anon_sym___unsafe_unretained] = ACTIONS(2730),
    [anon_sym___unused] = ACTIONS(2730),
    [anon_sym___weak] = ACTIONS(2730),
    [anon_sym_alignas] = ACTIONS(2730),
    [anon_sym__Alignas] = ACTIONS(2730),
    [sym_primitive_type] = ACTIONS(2730),
    [anon_sym_enum] = ACTIONS(2730),
    [anon_sym_struct] = ACTIONS(2730),
    [anon_sym_union] = ACTIONS(2730),
    [anon_sym_if] = ACTIONS(2730),
    [anon_sym_switch] = ACTIONS(2730),
    [anon_sym_case] = ACTIONS(2730),
    [anon_sym_default] = ACTIONS(2730),
    [anon_sym_while] = ACTIONS(2730),
    [anon_sym_do] = ACTIONS(2730),
    [anon_sym_for] = ACTIONS(2730),
    [anon_sym_in] = ACTIONS(2730),
    [anon_sym_return] = ACTIONS(2730),
    [anon_sym_break] = ACTIONS(2730),
    [anon_sym_continue] = ACTIONS(2730),
    [anon_sym_goto] = ACTIONS(2730),
    [anon_sym_DASH_DASH] = ACTIONS(2732),
    [anon_sym_PLUS_PLUS] = ACTIONS(2732),
    [anon_sym_sizeof] = ACTIONS(2730),
    [anon_sym___alignof__] = ACTIONS(2730),
    [anon_sym___alignof] = ACTIONS(2730),
    [anon_sym__alignof] = ACTIONS(2730),
    [anon_sym_alignof] = ACTIONS(2730),
    [anon_sym__Alignof] = ACTIONS(2730),
    [anon_sym_offsetof] = ACTIONS(2730),
    [anon_sym__Generic] = ACTIONS(2730),
    [anon_sym_asm] = ACTIONS(2730),
    [anon_sym___asm__] = ACTIONS(2730),
    [anon_sym___asm] = ACTIONS(2730),
    [sym_number_literal] = ACTIONS(2732),
    [anon_sym_L_SQUOTE] = ACTIONS(2732),
    [anon_sym_u_SQUOTE] = ACTIONS(2732),
    [anon_sym_U_SQUOTE] = ACTIONS(2732),
    [anon_sym_u8_SQUOTE] = ACTIONS(2732),
    [anon_sym_SQUOTE] = ACTIONS(2732),
    [anon_sym_AT] = ACTIONS(2730),
    [anon_sym_DQUOTE] = ACTIONS(2732),
    [anon_sym_L_DQUOTE] = ACTIONS(2732),
    [anon_sym_u_DQUOTE] = ACTIONS(2732),
    [anon_sym_U_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8_DQUOTE] = ACTIONS(2732),
    [sym_true] = ACTIONS(2730),
    [sym_false] = ACTIONS(2730),
    [anon_sym_NULL] = ACTIONS(2730),
    [anon_sym_nullptr] = ACTIONS(2730),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2730),
    [anon_sym___typeof] = ACTIONS(2730),
    [anon_sym_typeof] = ACTIONS(2730),
    [anon_sym_ATimport] = ACTIONS(2732),
    [aux_sym_preproc_undef_token1] = ACTIONS(2730),
    [anon_sym_POUND] = ACTIONS(2730),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2730),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2730),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2730),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2730),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2730),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2730),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2730),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2730),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2730),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2730),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2730),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2730),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2730),
    [anon_sym_API_AVAILABLE] = ACTIONS(2730),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2730),
    [anon_sym_API_DEPRECATED] = ACTIONS(2730),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2730),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2730),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2730),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2730),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2730),
    [anon_sym___deprecated_msg] = ACTIONS(2730),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2730),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2730),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2730),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2730),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2730),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2730),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2730),
    [anon_sym_ATprotocol] = ACTIONS(2732),
    [anon_sym_ATinterface] = ACTIONS(2732),
    [anon_sym_ATimplementation] = ACTIONS(2732),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2732),
    [anon_sym_ATsynthesize] = ACTIONS(2732),
    [anon_sym_ATdynamic] = ACTIONS(2732),
    [anon_sym_ATtry] = ACTIONS(2732),
    [anon_sym___try] = ACTIONS(2730),
    [anon_sym_ATthrow] = ACTIONS(2732),
    [anon_sym_ATselector] = ACTIONS(2732),
    [anon_sym_ATavailable] = ACTIONS(2732),
    [anon_sym___builtin_available] = ACTIONS(2730),
    [anon_sym_va_arg] = ACTIONS(2730),
    [anon_sym_ATencode] = ACTIONS(2732),
    [anon_sym_ATsynchronized] = ACTIONS(2732),
    [anon_sym_BOOL] = ACTIONS(2730),
    [anon_sym_IMP] = ACTIONS(2730),
    [anon_sym_SEL] = ACTIONS(2730),
    [anon_sym_Class] = ACTIONS(2730),
    [anon_sym_id] = ACTIONS(2730),
  },
  [474] = {
    [sym_identifier] = ACTIONS(2738),
    [aux_sym_preproc_include_token1] = ACTIONS(2738),
    [aux_sym_preproc_include_token2] = ACTIONS(2738),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token2] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2738),
    [aux_sym_preproc_else_token1] = ACTIONS(2738),
    [aux_sym_preproc_elif_token1] = ACTIONS(2738),
    [sym_preproc_directive] = ACTIONS(2738),
    [anon_sym_LPAREN2] = ACTIONS(2740),
    [anon_sym_BANG] = ACTIONS(2740),
    [anon_sym_TILDE] = ACTIONS(2740),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_STAR] = ACTIONS(2740),
    [anon_sym_CARET] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym_SEMI] = ACTIONS(2740),
    [anon_sym___extension__] = ACTIONS(2738),
    [anon_sym_typedef] = ACTIONS(2738),
    [anon_sym_extern] = ACTIONS(2738),
    [anon_sym___attribute__] = ACTIONS(2738),
    [anon_sym___attribute] = ACTIONS(2738),
    [anon_sym_noreturn] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym___declspec] = ACTIONS(2738),
    [anon_sym___cdecl] = ACTIONS(2738),
    [anon_sym___clrcall] = ACTIONS(2738),
    [anon_sym___stdcall] = ACTIONS(2738),
    [anon_sym___fastcall] = ACTIONS(2738),
    [anon_sym___thiscall] = ACTIONS(2738),
    [anon_sym___vectorcall] = ACTIONS(2738),
    [anon_sym_LBRACE] = ACTIONS(2740),
    [anon_sym_signed] = ACTIONS(2738),
    [anon_sym_unsigned] = ACTIONS(2738),
    [anon_sym_long] = ACTIONS(2738),
    [anon_sym_short] = ACTIONS(2738),
    [anon_sym_static] = ACTIONS(2738),
    [anon_sym_ATautoreleasepool] = ACTIONS(2740),
    [anon_sym_auto] = ACTIONS(2738),
    [anon_sym_register] = ACTIONS(2738),
    [anon_sym_inline] = ACTIONS(2738),
    [anon_sym___inline] = ACTIONS(2738),
    [anon_sym___inline__] = ACTIONS(2738),
    [anon_sym___forceinline] = ACTIONS(2738),
    [anon_sym_thread_local] = ACTIONS(2738),
    [anon_sym___thread] = ACTIONS(2738),
    [anon_sym_CG_EXTERN] = ACTIONS(2738),
    [anon_sym_CG_INLINE] = ACTIONS(2738),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2738),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2738),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2738),
    [anon_sym_IBOutlet] = ACTIONS(2738),
    [anon_sym_IBInspectable] = ACTIONS(2738),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2738),
    [anon_sym_NS_INLINE] = ACTIONS(2738),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2738),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2738),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2738),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2738),
    [anon_sym_constexpr] = ACTIONS(2738),
    [anon_sym_volatile] = ACTIONS(2738),
    [anon_sym_restrict] = ACTIONS(2738),
    [anon_sym___restrict__] = ACTIONS(2738),
    [anon_sym__Atomic] = ACTIONS(2738),
    [anon_sym__Noreturn] = ACTIONS(2738),
    [anon_sym__Nonnull] = ACTIONS(2738),
    [anon_sym_nullable] = ACTIONS(2738),
    [anon_sym__Complex] = ACTIONS(2738),
    [anon_sym__Nullable] = ACTIONS(2738),
    [anon_sym__Nullable_result] = ACTIONS(2738),
    [anon_sym__Null_unspecified] = ACTIONS(2738),
    [anon_sym___autoreleasing] = ACTIONS(2738),
    [anon_sym___block] = ACTIONS(2738),
    [anon_sym___bridge] = ACTIONS(2738),
    [anon_sym___bridge_retained] = ACTIONS(2738),
    [anon_sym___bridge_transfer] = ACTIONS(2738),
    [anon_sym___complex] = ACTIONS(2738),
    [anon_sym___const] = ACTIONS(2738),
    [anon_sym___imag] = ACTIONS(2738),
    [anon_sym___kindof] = ACTIONS(2738),
    [anon_sym___nonnull] = ACTIONS(2738),
    [anon_sym___nullable] = ACTIONS(2738),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2738),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2738),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2738),
    [anon_sym___real] = ACTIONS(2738),
    [anon_sym___strong] = ACTIONS(2738),
    [anon_sym___unsafe_unretained] = ACTIONS(2738),
    [anon_sym___unused] = ACTIONS(2738),
    [anon_sym___weak] = ACTIONS(2738),
    [anon_sym_alignas] = ACTIONS(2738),
    [anon_sym__Alignas] = ACTIONS(2738),
    [sym_primitive_type] = ACTIONS(2738),
    [anon_sym_enum] = ACTIONS(2738),
    [anon_sym_struct] = ACTIONS(2738),
    [anon_sym_union] = ACTIONS(2738),
    [anon_sym_if] = ACTIONS(2738),
    [anon_sym_switch] = ACTIONS(2738),
    [anon_sym_case] = ACTIONS(2738),
    [anon_sym_default] = ACTIONS(2738),
    [anon_sym_while] = ACTIONS(2738),
    [anon_sym_do] = ACTIONS(2738),
    [anon_sym_for] = ACTIONS(2738),
    [anon_sym_in] = ACTIONS(2738),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_break] = ACTIONS(2738),
    [anon_sym_continue] = ACTIONS(2738),
    [anon_sym_goto] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2740),
    [anon_sym_PLUS_PLUS] = ACTIONS(2740),
    [anon_sym_sizeof] = ACTIONS(2738),
    [anon_sym___alignof__] = ACTIONS(2738),
    [anon_sym___alignof] = ACTIONS(2738),
    [anon_sym__alignof] = ACTIONS(2738),
    [anon_sym_alignof] = ACTIONS(2738),
    [anon_sym__Alignof] = ACTIONS(2738),
    [anon_sym_offsetof] = ACTIONS(2738),
    [anon_sym__Generic] = ACTIONS(2738),
    [anon_sym_asm] = ACTIONS(2738),
    [anon_sym___asm__] = ACTIONS(2738),
    [anon_sym___asm] = ACTIONS(2738),
    [sym_number_literal] = ACTIONS(2740),
    [anon_sym_L_SQUOTE] = ACTIONS(2740),
    [anon_sym_u_SQUOTE] = ACTIONS(2740),
    [anon_sym_U_SQUOTE] = ACTIONS(2740),
    [anon_sym_u8_SQUOTE] = ACTIONS(2740),
    [anon_sym_SQUOTE] = ACTIONS(2740),
    [anon_sym_AT] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2740),
    [anon_sym_L_DQUOTE] = ACTIONS(2740),
    [anon_sym_u_DQUOTE] = ACTIONS(2740),
    [anon_sym_U_DQUOTE] = ACTIONS(2740),
    [anon_sym_u8_DQUOTE] = ACTIONS(2740),
    [sym_true] = ACTIONS(2738),
    [sym_false] = ACTIONS(2738),
    [anon_sym_NULL] = ACTIONS(2738),
    [anon_sym_nullptr] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2738),
    [anon_sym___typeof] = ACTIONS(2738),
    [anon_sym_typeof] = ACTIONS(2738),
    [anon_sym_ATimport] = ACTIONS(2740),
    [aux_sym_preproc_undef_token1] = ACTIONS(2738),
    [anon_sym_POUND] = ACTIONS(2738),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2738),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2738),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2738),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2738),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2738),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2738),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2738),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2738),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2738),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2738),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2738),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2738),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2738),
    [anon_sym_API_AVAILABLE] = ACTIONS(2738),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2738),
    [anon_sym_API_DEPRECATED] = ACTIONS(2738),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2738),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2738),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2738),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2738),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2738),
    [anon_sym___deprecated_msg] = ACTIONS(2738),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2738),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2738),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2738),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2738),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2738),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2738),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2738),
    [anon_sym_ATprotocol] = ACTIONS(2740),
    [anon_sym_ATinterface] = ACTIONS(2740),
    [anon_sym_ATimplementation] = ACTIONS(2740),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2740),
    [anon_sym_ATsynthesize] = ACTIONS(2740),
    [anon_sym_ATdynamic] = ACTIONS(2740),
    [anon_sym_ATtry] = ACTIONS(2740),
    [anon_sym___try] = ACTIONS(2738),
    [anon_sym_ATthrow] = ACTIONS(2740),
    [anon_sym_ATselector] = ACTIONS(2740),
    [anon_sym_ATavailable] = ACTIONS(2740),
    [anon_sym___builtin_available] = ACTIONS(2738),
    [anon_sym_va_arg] = ACTIONS(2738),
    [anon_sym_ATencode] = ACTIONS(2740),
    [anon_sym_ATsynchronized] = ACTIONS(2740),
    [anon_sym_BOOL] = ACTIONS(2738),
    [anon_sym_IMP] = ACTIONS(2738),
    [anon_sym_SEL] = ACTIONS(2738),
    [anon_sym_Class] = ACTIONS(2738),
    [anon_sym_id] = ACTIONS(2738),
  },
  [475] = {
    [sym_identifier] = ACTIONS(2742),
    [aux_sym_preproc_include_token1] = ACTIONS(2742),
    [aux_sym_preproc_include_token2] = ACTIONS(2742),
    [aux_sym_preproc_def_token1] = ACTIONS(2742),
    [aux_sym_preproc_if_token1] = ACTIONS(2742),
    [aux_sym_preproc_if_token2] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [aux_sym_preproc_else_token1] = ACTIONS(2742),
    [aux_sym_preproc_elif_token1] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2742),
    [anon_sym_LPAREN2] = ACTIONS(2744),
    [anon_sym_BANG] = ACTIONS(2744),
    [anon_sym_TILDE] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_CARET] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2744),
    [anon_sym___extension__] = ACTIONS(2742),
    [anon_sym_typedef] = ACTIONS(2742),
    [anon_sym_extern] = ACTIONS(2742),
    [anon_sym___attribute__] = ACTIONS(2742),
    [anon_sym___attribute] = ACTIONS(2742),
    [anon_sym_noreturn] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym___declspec] = ACTIONS(2742),
    [anon_sym___cdecl] = ACTIONS(2742),
    [anon_sym___clrcall] = ACTIONS(2742),
    [anon_sym___stdcall] = ACTIONS(2742),
    [anon_sym___fastcall] = ACTIONS(2742),
    [anon_sym___thiscall] = ACTIONS(2742),
    [anon_sym___vectorcall] = ACTIONS(2742),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [anon_sym_signed] = ACTIONS(2742),
    [anon_sym_unsigned] = ACTIONS(2742),
    [anon_sym_long] = ACTIONS(2742),
    [anon_sym_short] = ACTIONS(2742),
    [anon_sym_static] = ACTIONS(2742),
    [anon_sym_ATautoreleasepool] = ACTIONS(2744),
    [anon_sym_auto] = ACTIONS(2742),
    [anon_sym_register] = ACTIONS(2742),
    [anon_sym_inline] = ACTIONS(2742),
    [anon_sym___inline] = ACTIONS(2742),
    [anon_sym___inline__] = ACTIONS(2742),
    [anon_sym___forceinline] = ACTIONS(2742),
    [anon_sym_thread_local] = ACTIONS(2742),
    [anon_sym___thread] = ACTIONS(2742),
    [anon_sym_CG_EXTERN] = ACTIONS(2742),
    [anon_sym_CG_INLINE] = ACTIONS(2742),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2742),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2742),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2742),
    [anon_sym_IBOutlet] = ACTIONS(2742),
    [anon_sym_IBInspectable] = ACTIONS(2742),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2742),
    [anon_sym_NS_INLINE] = ACTIONS(2742),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2742),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2742),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2742),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2742),
    [anon_sym_const] = ACTIONS(2742),
    [anon_sym_constexpr] = ACTIONS(2742),
    [anon_sym_volatile] = ACTIONS(2742),
    [anon_sym_restrict] = ACTIONS(2742),
    [anon_sym___restrict__] = ACTIONS(2742),
    [anon_sym__Atomic] = ACTIONS(2742),
    [anon_sym__Noreturn] = ACTIONS(2742),
    [anon_sym__Nonnull] = ACTIONS(2742),
    [anon_sym_nullable] = ACTIONS(2742),
    [anon_sym__Complex] = ACTIONS(2742),
    [anon_sym__Nullable] = ACTIONS(2742),
    [anon_sym__Nullable_result] = ACTIONS(2742),
    [anon_sym__Null_unspecified] = ACTIONS(2742),
    [anon_sym___autoreleasing] = ACTIONS(2742),
    [anon_sym___block] = ACTIONS(2742),
    [anon_sym___bridge] = ACTIONS(2742),
    [anon_sym___bridge_retained] = ACTIONS(2742),
    [anon_sym___bridge_transfer] = ACTIONS(2742),
    [anon_sym___complex] = ACTIONS(2742),
    [anon_sym___const] = ACTIONS(2742),
    [anon_sym___imag] = ACTIONS(2742),
    [anon_sym___kindof] = ACTIONS(2742),
    [anon_sym___nonnull] = ACTIONS(2742),
    [anon_sym___nullable] = ACTIONS(2742),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2742),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2742),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2742),
    [anon_sym___real] = ACTIONS(2742),
    [anon_sym___strong] = ACTIONS(2742),
    [anon_sym___unsafe_unretained] = ACTIONS(2742),
    [anon_sym___unused] = ACTIONS(2742),
    [anon_sym___weak] = ACTIONS(2742),
    [anon_sym_alignas] = ACTIONS(2742),
    [anon_sym__Alignas] = ACTIONS(2742),
    [sym_primitive_type] = ACTIONS(2742),
    [anon_sym_enum] = ACTIONS(2742),
    [anon_sym_struct] = ACTIONS(2742),
    [anon_sym_union] = ACTIONS(2742),
    [anon_sym_if] = ACTIONS(2742),
    [anon_sym_switch] = ACTIONS(2742),
    [anon_sym_case] = ACTIONS(2742),
    [anon_sym_default] = ACTIONS(2742),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_do] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2742),
    [anon_sym_in] = ACTIONS(2742),
    [anon_sym_return] = ACTIONS(2742),
    [anon_sym_break] = ACTIONS(2742),
    [anon_sym_continue] = ACTIONS(2742),
    [anon_sym_goto] = ACTIONS(2742),
    [anon_sym_DASH_DASH] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2744),
    [anon_sym_sizeof] = ACTIONS(2742),
    [anon_sym___alignof__] = ACTIONS(2742),
    [anon_sym___alignof] = ACTIONS(2742),
    [anon_sym__alignof] = ACTIONS(2742),
    [anon_sym_alignof] = ACTIONS(2742),
    [anon_sym__Alignof] = ACTIONS(2742),
    [anon_sym_offsetof] = ACTIONS(2742),
    [anon_sym__Generic] = ACTIONS(2742),
    [anon_sym_asm] = ACTIONS(2742),
    [anon_sym___asm__] = ACTIONS(2742),
    [anon_sym___asm] = ACTIONS(2742),
    [sym_number_literal] = ACTIONS(2744),
    [anon_sym_L_SQUOTE] = ACTIONS(2744),
    [anon_sym_u_SQUOTE] = ACTIONS(2744),
    [anon_sym_U_SQUOTE] = ACTIONS(2744),
    [anon_sym_u8_SQUOTE] = ACTIONS(2744),
    [anon_sym_SQUOTE] = ACTIONS(2744),
    [anon_sym_AT] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2744),
    [anon_sym_L_DQUOTE] = ACTIONS(2744),
    [anon_sym_u_DQUOTE] = ACTIONS(2744),
    [anon_sym_U_DQUOTE] = ACTIONS(2744),
    [anon_sym_u8_DQUOTE] = ACTIONS(2744),
    [sym_true] = ACTIONS(2742),
    [sym_false] = ACTIONS(2742),
    [anon_sym_NULL] = ACTIONS(2742),
    [anon_sym_nullptr] = ACTIONS(2742),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2742),
    [anon_sym___typeof] = ACTIONS(2742),
    [anon_sym_typeof] = ACTIONS(2742),
    [anon_sym_ATimport] = ACTIONS(2744),
    [aux_sym_preproc_undef_token1] = ACTIONS(2742),
    [anon_sym_POUND] = ACTIONS(2742),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2742),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2742),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2742),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2742),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2742),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2742),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2742),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2742),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2742),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2742),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2742),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2742),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2742),
    [anon_sym_API_AVAILABLE] = ACTIONS(2742),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2742),
    [anon_sym_API_DEPRECATED] = ACTIONS(2742),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2742),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2742),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2742),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2742),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2742),
    [anon_sym___deprecated_msg] = ACTIONS(2742),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2742),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2742),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2742),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2742),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2742),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2742),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2742),
    [anon_sym_ATprotocol] = ACTIONS(2744),
    [anon_sym_ATinterface] = ACTIONS(2744),
    [anon_sym_ATimplementation] = ACTIONS(2744),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2744),
    [anon_sym_ATsynthesize] = ACTIONS(2744),
    [anon_sym_ATdynamic] = ACTIONS(2744),
    [anon_sym_ATtry] = ACTIONS(2744),
    [anon_sym___try] = ACTIONS(2742),
    [anon_sym_ATthrow] = ACTIONS(2744),
    [anon_sym_ATselector] = ACTIONS(2744),
    [anon_sym_ATavailable] = ACTIONS(2744),
    [anon_sym___builtin_available] = ACTIONS(2742),
    [anon_sym_va_arg] = ACTIONS(2742),
    [anon_sym_ATencode] = ACTIONS(2744),
    [anon_sym_ATsynchronized] = ACTIONS(2744),
    [anon_sym_BOOL] = ACTIONS(2742),
    [anon_sym_IMP] = ACTIONS(2742),
    [anon_sym_SEL] = ACTIONS(2742),
    [anon_sym_Class] = ACTIONS(2742),
    [anon_sym_id] = ACTIONS(2742),
  },
  [476] = {
    [sym_identifier] = ACTIONS(2746),
    [aux_sym_preproc_include_token1] = ACTIONS(2746),
    [aux_sym_preproc_include_token2] = ACTIONS(2746),
    [aux_sym_preproc_def_token1] = ACTIONS(2746),
    [aux_sym_preproc_if_token1] = ACTIONS(2746),
    [aux_sym_preproc_if_token2] = ACTIONS(2746),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2746),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2746),
    [aux_sym_preproc_else_token1] = ACTIONS(2746),
    [aux_sym_preproc_elif_token1] = ACTIONS(2746),
    [sym_preproc_directive] = ACTIONS(2746),
    [anon_sym_LPAREN2] = ACTIONS(2748),
    [anon_sym_BANG] = ACTIONS(2748),
    [anon_sym_TILDE] = ACTIONS(2748),
    [anon_sym_DASH] = ACTIONS(2746),
    [anon_sym_PLUS] = ACTIONS(2746),
    [anon_sym_STAR] = ACTIONS(2748),
    [anon_sym_CARET] = ACTIONS(2748),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_SEMI] = ACTIONS(2748),
    [anon_sym___extension__] = ACTIONS(2746),
    [anon_sym_typedef] = ACTIONS(2746),
    [anon_sym_extern] = ACTIONS(2746),
    [anon_sym___attribute__] = ACTIONS(2746),
    [anon_sym___attribute] = ACTIONS(2746),
    [anon_sym_noreturn] = ACTIONS(2746),
    [anon_sym_LBRACK] = ACTIONS(2748),
    [anon_sym___declspec] = ACTIONS(2746),
    [anon_sym___cdecl] = ACTIONS(2746),
    [anon_sym___clrcall] = ACTIONS(2746),
    [anon_sym___stdcall] = ACTIONS(2746),
    [anon_sym___fastcall] = ACTIONS(2746),
    [anon_sym___thiscall] = ACTIONS(2746),
    [anon_sym___vectorcall] = ACTIONS(2746),
    [anon_sym_LBRACE] = ACTIONS(2748),
    [anon_sym_signed] = ACTIONS(2746),
    [anon_sym_unsigned] = ACTIONS(2746),
    [anon_sym_long] = ACTIONS(2746),
    [anon_sym_short] = ACTIONS(2746),
    [anon_sym_static] = ACTIONS(2746),
    [anon_sym_ATautoreleasepool] = ACTIONS(2748),
    [anon_sym_auto] = ACTIONS(2746),
    [anon_sym_register] = ACTIONS(2746),
    [anon_sym_inline] = ACTIONS(2746),
    [anon_sym___inline] = ACTIONS(2746),
    [anon_sym___inline__] = ACTIONS(2746),
    [anon_sym___forceinline] = ACTIONS(2746),
    [anon_sym_thread_local] = ACTIONS(2746),
    [anon_sym___thread] = ACTIONS(2746),
    [anon_sym_CG_EXTERN] = ACTIONS(2746),
    [anon_sym_CG_INLINE] = ACTIONS(2746),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2746),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2746),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2746),
    [anon_sym_IBOutlet] = ACTIONS(2746),
    [anon_sym_IBInspectable] = ACTIONS(2746),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2746),
    [anon_sym_NS_INLINE] = ACTIONS(2746),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2746),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2746),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2746),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2746),
    [anon_sym_const] = ACTIONS(2746),
    [anon_sym_constexpr] = ACTIONS(2746),
    [anon_sym_volatile] = ACTIONS(2746),
    [anon_sym_restrict] = ACTIONS(2746),
    [anon_sym___restrict__] = ACTIONS(2746),
    [anon_sym__Atomic] = ACTIONS(2746),
    [anon_sym__Noreturn] = ACTIONS(2746),
    [anon_sym__Nonnull] = ACTIONS(2746),
    [anon_sym_nullable] = ACTIONS(2746),
    [anon_sym__Complex] = ACTIONS(2746),
    [anon_sym__Nullable] = ACTIONS(2746),
    [anon_sym__Nullable_result] = ACTIONS(2746),
    [anon_sym__Null_unspecified] = ACTIONS(2746),
    [anon_sym___autoreleasing] = ACTIONS(2746),
    [anon_sym___block] = ACTIONS(2746),
    [anon_sym___bridge] = ACTIONS(2746),
    [anon_sym___bridge_retained] = ACTIONS(2746),
    [anon_sym___bridge_transfer] = ACTIONS(2746),
    [anon_sym___complex] = ACTIONS(2746),
    [anon_sym___const] = ACTIONS(2746),
    [anon_sym___imag] = ACTIONS(2746),
    [anon_sym___kindof] = ACTIONS(2746),
    [anon_sym___nonnull] = ACTIONS(2746),
    [anon_sym___nullable] = ACTIONS(2746),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2746),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2746),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2746),
    [anon_sym___real] = ACTIONS(2746),
    [anon_sym___strong] = ACTIONS(2746),
    [anon_sym___unsafe_unretained] = ACTIONS(2746),
    [anon_sym___unused] = ACTIONS(2746),
    [anon_sym___weak] = ACTIONS(2746),
    [anon_sym_alignas] = ACTIONS(2746),
    [anon_sym__Alignas] = ACTIONS(2746),
    [sym_primitive_type] = ACTIONS(2746),
    [anon_sym_enum] = ACTIONS(2746),
    [anon_sym_struct] = ACTIONS(2746),
    [anon_sym_union] = ACTIONS(2746),
    [anon_sym_if] = ACTIONS(2746),
    [anon_sym_switch] = ACTIONS(2746),
    [anon_sym_case] = ACTIONS(2746),
    [anon_sym_default] = ACTIONS(2746),
    [anon_sym_while] = ACTIONS(2746),
    [anon_sym_do] = ACTIONS(2746),
    [anon_sym_for] = ACTIONS(2746),
    [anon_sym_in] = ACTIONS(2746),
    [anon_sym_return] = ACTIONS(2746),
    [anon_sym_break] = ACTIONS(2746),
    [anon_sym_continue] = ACTIONS(2746),
    [anon_sym_goto] = ACTIONS(2746),
    [anon_sym_DASH_DASH] = ACTIONS(2748),
    [anon_sym_PLUS_PLUS] = ACTIONS(2748),
    [anon_sym_sizeof] = ACTIONS(2746),
    [anon_sym___alignof__] = ACTIONS(2746),
    [anon_sym___alignof] = ACTIONS(2746),
    [anon_sym__alignof] = ACTIONS(2746),
    [anon_sym_alignof] = ACTIONS(2746),
    [anon_sym__Alignof] = ACTIONS(2746),
    [anon_sym_offsetof] = ACTIONS(2746),
    [anon_sym__Generic] = ACTIONS(2746),
    [anon_sym_asm] = ACTIONS(2746),
    [anon_sym___asm__] = ACTIONS(2746),
    [anon_sym___asm] = ACTIONS(2746),
    [sym_number_literal] = ACTIONS(2748),
    [anon_sym_L_SQUOTE] = ACTIONS(2748),
    [anon_sym_u_SQUOTE] = ACTIONS(2748),
    [anon_sym_U_SQUOTE] = ACTIONS(2748),
    [anon_sym_u8_SQUOTE] = ACTIONS(2748),
    [anon_sym_SQUOTE] = ACTIONS(2748),
    [anon_sym_AT] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2748),
    [anon_sym_L_DQUOTE] = ACTIONS(2748),
    [anon_sym_u_DQUOTE] = ACTIONS(2748),
    [anon_sym_U_DQUOTE] = ACTIONS(2748),
    [anon_sym_u8_DQUOTE] = ACTIONS(2748),
    [sym_true] = ACTIONS(2746),
    [sym_false] = ACTIONS(2746),
    [anon_sym_NULL] = ACTIONS(2746),
    [anon_sym_nullptr] = ACTIONS(2746),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2746),
    [anon_sym___typeof] = ACTIONS(2746),
    [anon_sym_typeof] = ACTIONS(2746),
    [anon_sym_ATimport] = ACTIONS(2748),
    [aux_sym_preproc_undef_token1] = ACTIONS(2746),
    [anon_sym_POUND] = ACTIONS(2746),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2746),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2746),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2746),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2746),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2746),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2746),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2746),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2746),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2746),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2746),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2746),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2746),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2746),
    [anon_sym_API_AVAILABLE] = ACTIONS(2746),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2746),
    [anon_sym_API_DEPRECATED] = ACTIONS(2746),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2746),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2746),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2746),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2746),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2746),
    [anon_sym___deprecated_msg] = ACTIONS(2746),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2746),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2746),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2746),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2746),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2746),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2746),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2746),
    [anon_sym_ATprotocol] = ACTIONS(2748),
    [anon_sym_ATinterface] = ACTIONS(2748),
    [anon_sym_ATimplementation] = ACTIONS(2748),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2748),
    [anon_sym_ATsynthesize] = ACTIONS(2748),
    [anon_sym_ATdynamic] = ACTIONS(2748),
    [anon_sym_ATtry] = ACTIONS(2748),
    [anon_sym___try] = ACTIONS(2746),
    [anon_sym_ATthrow] = ACTIONS(2748),
    [anon_sym_ATselector] = ACTIONS(2748),
    [anon_sym_ATavailable] = ACTIONS(2748),
    [anon_sym___builtin_available] = ACTIONS(2746),
    [anon_sym_va_arg] = ACTIONS(2746),
    [anon_sym_ATencode] = ACTIONS(2748),
    [anon_sym_ATsynchronized] = ACTIONS(2748),
    [anon_sym_BOOL] = ACTIONS(2746),
    [anon_sym_IMP] = ACTIONS(2746),
    [anon_sym_SEL] = ACTIONS(2746),
    [anon_sym_Class] = ACTIONS(2746),
    [anon_sym_id] = ACTIONS(2746),
  },
  [477] = {
    [sym_identifier] = ACTIONS(2600),
    [aux_sym_preproc_include_token1] = ACTIONS(2600),
    [aux_sym_preproc_include_token2] = ACTIONS(2600),
    [aux_sym_preproc_def_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token2] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2600),
    [aux_sym_preproc_else_token1] = ACTIONS(2600),
    [aux_sym_preproc_elif_token1] = ACTIONS(2600),
    [sym_preproc_directive] = ACTIONS(2600),
    [anon_sym_LPAREN2] = ACTIONS(2602),
    [anon_sym_BANG] = ACTIONS(2602),
    [anon_sym_TILDE] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_CARET] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2602),
    [anon_sym_SEMI] = ACTIONS(2602),
    [anon_sym___extension__] = ACTIONS(2600),
    [anon_sym_typedef] = ACTIONS(2600),
    [anon_sym_extern] = ACTIONS(2600),
    [anon_sym___attribute__] = ACTIONS(2600),
    [anon_sym___attribute] = ACTIONS(2600),
    [anon_sym_noreturn] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2602),
    [anon_sym___declspec] = ACTIONS(2600),
    [anon_sym___cdecl] = ACTIONS(2600),
    [anon_sym___clrcall] = ACTIONS(2600),
    [anon_sym___stdcall] = ACTIONS(2600),
    [anon_sym___fastcall] = ACTIONS(2600),
    [anon_sym___thiscall] = ACTIONS(2600),
    [anon_sym___vectorcall] = ACTIONS(2600),
    [anon_sym_LBRACE] = ACTIONS(2602),
    [anon_sym_signed] = ACTIONS(2600),
    [anon_sym_unsigned] = ACTIONS(2600),
    [anon_sym_long] = ACTIONS(2600),
    [anon_sym_short] = ACTIONS(2600),
    [anon_sym_static] = ACTIONS(2600),
    [anon_sym_ATautoreleasepool] = ACTIONS(2602),
    [anon_sym_auto] = ACTIONS(2600),
    [anon_sym_register] = ACTIONS(2600),
    [anon_sym_inline] = ACTIONS(2600),
    [anon_sym___inline] = ACTIONS(2600),
    [anon_sym___inline__] = ACTIONS(2600),
    [anon_sym___forceinline] = ACTIONS(2600),
    [anon_sym_thread_local] = ACTIONS(2600),
    [anon_sym___thread] = ACTIONS(2600),
    [anon_sym_CG_EXTERN] = ACTIONS(2600),
    [anon_sym_CG_INLINE] = ACTIONS(2600),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2600),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2600),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2600),
    [anon_sym_IBOutlet] = ACTIONS(2600),
    [anon_sym_IBInspectable] = ACTIONS(2600),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2600),
    [anon_sym_NS_INLINE] = ACTIONS(2600),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2600),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2600),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2600),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2600),
    [anon_sym_const] = ACTIONS(2600),
    [anon_sym_constexpr] = ACTIONS(2600),
    [anon_sym_volatile] = ACTIONS(2600),
    [anon_sym_restrict] = ACTIONS(2600),
    [anon_sym___restrict__] = ACTIONS(2600),
    [anon_sym__Atomic] = ACTIONS(2600),
    [anon_sym__Noreturn] = ACTIONS(2600),
    [anon_sym__Nonnull] = ACTIONS(2600),
    [anon_sym_nullable] = ACTIONS(2600),
    [anon_sym__Complex] = ACTIONS(2600),
    [anon_sym__Nullable] = ACTIONS(2600),
    [anon_sym__Nullable_result] = ACTIONS(2600),
    [anon_sym__Null_unspecified] = ACTIONS(2600),
    [anon_sym___autoreleasing] = ACTIONS(2600),
    [anon_sym___block] = ACTIONS(2600),
    [anon_sym___bridge] = ACTIONS(2600),
    [anon_sym___bridge_retained] = ACTIONS(2600),
    [anon_sym___bridge_transfer] = ACTIONS(2600),
    [anon_sym___complex] = ACTIONS(2600),
    [anon_sym___const] = ACTIONS(2600),
    [anon_sym___imag] = ACTIONS(2600),
    [anon_sym___kindof] = ACTIONS(2600),
    [anon_sym___nonnull] = ACTIONS(2600),
    [anon_sym___nullable] = ACTIONS(2600),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2600),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2600),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2600),
    [anon_sym___real] = ACTIONS(2600),
    [anon_sym___strong] = ACTIONS(2600),
    [anon_sym___unsafe_unretained] = ACTIONS(2600),
    [anon_sym___unused] = ACTIONS(2600),
    [anon_sym___weak] = ACTIONS(2600),
    [anon_sym_alignas] = ACTIONS(2600),
    [anon_sym__Alignas] = ACTIONS(2600),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2600),
    [anon_sym_struct] = ACTIONS(2600),
    [anon_sym_union] = ACTIONS(2600),
    [anon_sym_if] = ACTIONS(2600),
    [anon_sym_switch] = ACTIONS(2600),
    [anon_sym_case] = ACTIONS(2600),
    [anon_sym_default] = ACTIONS(2600),
    [anon_sym_while] = ACTIONS(2600),
    [anon_sym_do] = ACTIONS(2600),
    [anon_sym_for] = ACTIONS(2600),
    [anon_sym_in] = ACTIONS(2600),
    [anon_sym_return] = ACTIONS(2600),
    [anon_sym_break] = ACTIONS(2600),
    [anon_sym_continue] = ACTIONS(2600),
    [anon_sym_goto] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2602),
    [anon_sym_PLUS_PLUS] = ACTIONS(2602),
    [anon_sym_sizeof] = ACTIONS(2600),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2600),
    [anon_sym__Generic] = ACTIONS(2600),
    [anon_sym_asm] = ACTIONS(2600),
    [anon_sym___asm__] = ACTIONS(2600),
    [anon_sym___asm] = ACTIONS(2600),
    [sym_number_literal] = ACTIONS(2602),
    [anon_sym_L_SQUOTE] = ACTIONS(2602),
    [anon_sym_u_SQUOTE] = ACTIONS(2602),
    [anon_sym_U_SQUOTE] = ACTIONS(2602),
    [anon_sym_u8_SQUOTE] = ACTIONS(2602),
    [anon_sym_SQUOTE] = ACTIONS(2602),
    [anon_sym_AT] = ACTIONS(2600),
    [anon_sym_DQUOTE] = ACTIONS(2602),
    [anon_sym_L_DQUOTE] = ACTIONS(2602),
    [anon_sym_u_DQUOTE] = ACTIONS(2602),
    [anon_sym_U_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8_DQUOTE] = ACTIONS(2602),
    [sym_true] = ACTIONS(2600),
    [sym_false] = ACTIONS(2600),
    [anon_sym_NULL] = ACTIONS(2600),
    [anon_sym_nullptr] = ACTIONS(2600),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2600),
    [anon_sym___typeof] = ACTIONS(2600),
    [anon_sym_typeof] = ACTIONS(2600),
    [anon_sym_ATimport] = ACTIONS(2602),
    [aux_sym_preproc_undef_token1] = ACTIONS(2600),
    [anon_sym_POUND] = ACTIONS(2600),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2600),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2600),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2600),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2600),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2600),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2600),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2600),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2600),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2600),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2600),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2600),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2600),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2600),
    [anon_sym_API_AVAILABLE] = ACTIONS(2600),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2600),
    [anon_sym_API_DEPRECATED] = ACTIONS(2600),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2600),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2600),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2600),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2600),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2600),
    [anon_sym___deprecated_msg] = ACTIONS(2600),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2600),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2600),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2600),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2600),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2600),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2600),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2600),
    [anon_sym_ATprotocol] = ACTIONS(2602),
    [anon_sym_ATinterface] = ACTIONS(2602),
    [anon_sym_ATimplementation] = ACTIONS(2602),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2602),
    [anon_sym_ATsynthesize] = ACTIONS(2602),
    [anon_sym_ATdynamic] = ACTIONS(2602),
    [anon_sym_ATtry] = ACTIONS(2602),
    [anon_sym___try] = ACTIONS(2600),
    [anon_sym_ATthrow] = ACTIONS(2602),
    [anon_sym_ATselector] = ACTIONS(2602),
    [anon_sym_ATavailable] = ACTIONS(2602),
    [anon_sym___builtin_available] = ACTIONS(2600),
    [anon_sym_va_arg] = ACTIONS(2600),
    [anon_sym_ATencode] = ACTIONS(2602),
    [anon_sym_ATsynchronized] = ACTIONS(2602),
    [anon_sym_BOOL] = ACTIONS(2600),
    [anon_sym_IMP] = ACTIONS(2600),
    [anon_sym_SEL] = ACTIONS(2600),
    [anon_sym_Class] = ACTIONS(2600),
    [anon_sym_id] = ACTIONS(2600),
  },
  [478] = {
    [sym_identifier] = ACTIONS(2734),
    [aux_sym_preproc_include_token1] = ACTIONS(2734),
    [aux_sym_preproc_include_token2] = ACTIONS(2734),
    [aux_sym_preproc_def_token1] = ACTIONS(2734),
    [aux_sym_preproc_if_token1] = ACTIONS(2734),
    [aux_sym_preproc_if_token2] = ACTIONS(2734),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2734),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2734),
    [aux_sym_preproc_else_token1] = ACTIONS(2734),
    [aux_sym_preproc_elif_token1] = ACTIONS(2734),
    [sym_preproc_directive] = ACTIONS(2734),
    [anon_sym_LPAREN2] = ACTIONS(2736),
    [anon_sym_BANG] = ACTIONS(2736),
    [anon_sym_TILDE] = ACTIONS(2736),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_STAR] = ACTIONS(2736),
    [anon_sym_CARET] = ACTIONS(2736),
    [anon_sym_AMP] = ACTIONS(2736),
    [anon_sym_SEMI] = ACTIONS(2736),
    [anon_sym___extension__] = ACTIONS(2734),
    [anon_sym_typedef] = ACTIONS(2734),
    [anon_sym_extern] = ACTIONS(2734),
    [anon_sym___attribute__] = ACTIONS(2734),
    [anon_sym___attribute] = ACTIONS(2734),
    [anon_sym_noreturn] = ACTIONS(2734),
    [anon_sym_LBRACK] = ACTIONS(2736),
    [anon_sym___declspec] = ACTIONS(2734),
    [anon_sym___cdecl] = ACTIONS(2734),
    [anon_sym___clrcall] = ACTIONS(2734),
    [anon_sym___stdcall] = ACTIONS(2734),
    [anon_sym___fastcall] = ACTIONS(2734),
    [anon_sym___thiscall] = ACTIONS(2734),
    [anon_sym___vectorcall] = ACTIONS(2734),
    [anon_sym_LBRACE] = ACTIONS(2736),
    [anon_sym_signed] = ACTIONS(2734),
    [anon_sym_unsigned] = ACTIONS(2734),
    [anon_sym_long] = ACTIONS(2734),
    [anon_sym_short] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2734),
    [anon_sym_ATautoreleasepool] = ACTIONS(2736),
    [anon_sym_auto] = ACTIONS(2734),
    [anon_sym_register] = ACTIONS(2734),
    [anon_sym_inline] = ACTIONS(2734),
    [anon_sym___inline] = ACTIONS(2734),
    [anon_sym___inline__] = ACTIONS(2734),
    [anon_sym___forceinline] = ACTIONS(2734),
    [anon_sym_thread_local] = ACTIONS(2734),
    [anon_sym___thread] = ACTIONS(2734),
    [anon_sym_CG_EXTERN] = ACTIONS(2734),
    [anon_sym_CG_INLINE] = ACTIONS(2734),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2734),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2734),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2734),
    [anon_sym_IBOutlet] = ACTIONS(2734),
    [anon_sym_IBInspectable] = ACTIONS(2734),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2734),
    [anon_sym_NS_INLINE] = ACTIONS(2734),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2734),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2734),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2734),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2734),
    [anon_sym_const] = ACTIONS(2734),
    [anon_sym_constexpr] = ACTIONS(2734),
    [anon_sym_volatile] = ACTIONS(2734),
    [anon_sym_restrict] = ACTIONS(2734),
    [anon_sym___restrict__] = ACTIONS(2734),
    [anon_sym__Atomic] = ACTIONS(2734),
    [anon_sym__Noreturn] = ACTIONS(2734),
    [anon_sym__Nonnull] = ACTIONS(2734),
    [anon_sym_nullable] = ACTIONS(2734),
    [anon_sym__Complex] = ACTIONS(2734),
    [anon_sym__Nullable] = ACTIONS(2734),
    [anon_sym__Nullable_result] = ACTIONS(2734),
    [anon_sym__Null_unspecified] = ACTIONS(2734),
    [anon_sym___autoreleasing] = ACTIONS(2734),
    [anon_sym___block] = ACTIONS(2734),
    [anon_sym___bridge] = ACTIONS(2734),
    [anon_sym___bridge_retained] = ACTIONS(2734),
    [anon_sym___bridge_transfer] = ACTIONS(2734),
    [anon_sym___complex] = ACTIONS(2734),
    [anon_sym___const] = ACTIONS(2734),
    [anon_sym___imag] = ACTIONS(2734),
    [anon_sym___kindof] = ACTIONS(2734),
    [anon_sym___nonnull] = ACTIONS(2734),
    [anon_sym___nullable] = ACTIONS(2734),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2734),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2734),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2734),
    [anon_sym___real] = ACTIONS(2734),
    [anon_sym___strong] = ACTIONS(2734),
    [anon_sym___unsafe_unretained] = ACTIONS(2734),
    [anon_sym___unused] = ACTIONS(2734),
    [anon_sym___weak] = ACTIONS(2734),
    [anon_sym_alignas] = ACTIONS(2734),
    [anon_sym__Alignas] = ACTIONS(2734),
    [sym_primitive_type] = ACTIONS(2734),
    [anon_sym_enum] = ACTIONS(2734),
    [anon_sym_struct] = ACTIONS(2734),
    [anon_sym_union] = ACTIONS(2734),
    [anon_sym_if] = ACTIONS(2734),
    [anon_sym_switch] = ACTIONS(2734),
    [anon_sym_case] = ACTIONS(2734),
    [anon_sym_default] = ACTIONS(2734),
    [anon_sym_while] = ACTIONS(2734),
    [anon_sym_do] = ACTIONS(2734),
    [anon_sym_for] = ACTIONS(2734),
    [anon_sym_in] = ACTIONS(2734),
    [anon_sym_return] = ACTIONS(2734),
    [anon_sym_break] = ACTIONS(2734),
    [anon_sym_continue] = ACTIONS(2734),
    [anon_sym_goto] = ACTIONS(2734),
    [anon_sym_DASH_DASH] = ACTIONS(2736),
    [anon_sym_PLUS_PLUS] = ACTIONS(2736),
    [anon_sym_sizeof] = ACTIONS(2734),
    [anon_sym___alignof__] = ACTIONS(2734),
    [anon_sym___alignof] = ACTIONS(2734),
    [anon_sym__alignof] = ACTIONS(2734),
    [anon_sym_alignof] = ACTIONS(2734),
    [anon_sym__Alignof] = ACTIONS(2734),
    [anon_sym_offsetof] = ACTIONS(2734),
    [anon_sym__Generic] = ACTIONS(2734),
    [anon_sym_asm] = ACTIONS(2734),
    [anon_sym___asm__] = ACTIONS(2734),
    [anon_sym___asm] = ACTIONS(2734),
    [sym_number_literal] = ACTIONS(2736),
    [anon_sym_L_SQUOTE] = ACTIONS(2736),
    [anon_sym_u_SQUOTE] = ACTIONS(2736),
    [anon_sym_U_SQUOTE] = ACTIONS(2736),
    [anon_sym_u8_SQUOTE] = ACTIONS(2736),
    [anon_sym_SQUOTE] = ACTIONS(2736),
    [anon_sym_AT] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2736),
    [anon_sym_L_DQUOTE] = ACTIONS(2736),
    [anon_sym_u_DQUOTE] = ACTIONS(2736),
    [anon_sym_U_DQUOTE] = ACTIONS(2736),
    [anon_sym_u8_DQUOTE] = ACTIONS(2736),
    [sym_true] = ACTIONS(2734),
    [sym_false] = ACTIONS(2734),
    [anon_sym_NULL] = ACTIONS(2734),
    [anon_sym_nullptr] = ACTIONS(2734),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2734),
    [anon_sym___typeof] = ACTIONS(2734),
    [anon_sym_typeof] = ACTIONS(2734),
    [anon_sym_ATimport] = ACTIONS(2736),
    [aux_sym_preproc_undef_token1] = ACTIONS(2734),
    [anon_sym_POUND] = ACTIONS(2734),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2734),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2734),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2734),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2734),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2734),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2734),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2734),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2734),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2734),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2734),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2734),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2734),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2734),
    [anon_sym_API_AVAILABLE] = ACTIONS(2734),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2734),
    [anon_sym_API_DEPRECATED] = ACTIONS(2734),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2734),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2734),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2734),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2734),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2734),
    [anon_sym___deprecated_msg] = ACTIONS(2734),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2734),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2734),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2734),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2734),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2734),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2734),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2734),
    [anon_sym_ATprotocol] = ACTIONS(2736),
    [anon_sym_ATinterface] = ACTIONS(2736),
    [anon_sym_ATimplementation] = ACTIONS(2736),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2736),
    [anon_sym_ATsynthesize] = ACTIONS(2736),
    [anon_sym_ATdynamic] = ACTIONS(2736),
    [anon_sym_ATtry] = ACTIONS(2736),
    [anon_sym___try] = ACTIONS(2734),
    [anon_sym_ATthrow] = ACTIONS(2736),
    [anon_sym_ATselector] = ACTIONS(2736),
    [anon_sym_ATavailable] = ACTIONS(2736),
    [anon_sym___builtin_available] = ACTIONS(2734),
    [anon_sym_va_arg] = ACTIONS(2734),
    [anon_sym_ATencode] = ACTIONS(2736),
    [anon_sym_ATsynchronized] = ACTIONS(2736),
    [anon_sym_BOOL] = ACTIONS(2734),
    [anon_sym_IMP] = ACTIONS(2734),
    [anon_sym_SEL] = ACTIONS(2734),
    [anon_sym_Class] = ACTIONS(2734),
    [anon_sym_id] = ACTIONS(2734),
  },
  [479] = {
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_include_token2] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token2] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [aux_sym_preproc_else_token1] = ACTIONS(2750),
    [aux_sym_preproc_elif_token1] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_CARET] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym___attribute] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___cdecl] = ACTIONS(2750),
    [anon_sym___clrcall] = ACTIONS(2750),
    [anon_sym___stdcall] = ACTIONS(2750),
    [anon_sym___fastcall] = ACTIONS(2750),
    [anon_sym___thiscall] = ACTIONS(2750),
    [anon_sym___vectorcall] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_ATautoreleasepool] = ACTIONS(2752),
    [anon_sym_auto] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_CG_EXTERN] = ACTIONS(2750),
    [anon_sym_CG_INLINE] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2750),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2750),
    [anon_sym_IBOutlet] = ACTIONS(2750),
    [anon_sym_IBInspectable] = ACTIONS(2750),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2750),
    [anon_sym_NS_INLINE] = ACTIONS(2750),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2750),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2750),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym__Nonnull] = ACTIONS(2750),
    [anon_sym_nullable] = ACTIONS(2750),
    [anon_sym__Complex] = ACTIONS(2750),
    [anon_sym__Nullable] = ACTIONS(2750),
    [anon_sym__Nullable_result] = ACTIONS(2750),
    [anon_sym__Null_unspecified] = ACTIONS(2750),
    [anon_sym___autoreleasing] = ACTIONS(2750),
    [anon_sym___block] = ACTIONS(2750),
    [anon_sym___bridge] = ACTIONS(2750),
    [anon_sym___bridge_retained] = ACTIONS(2750),
    [anon_sym___bridge_transfer] = ACTIONS(2750),
    [anon_sym___complex] = ACTIONS(2750),
    [anon_sym___const] = ACTIONS(2750),
    [anon_sym___imag] = ACTIONS(2750),
    [anon_sym___kindof] = ACTIONS(2750),
    [anon_sym___nonnull] = ACTIONS(2750),
    [anon_sym___nullable] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2750),
    [anon_sym___real] = ACTIONS(2750),
    [anon_sym___strong] = ACTIONS(2750),
    [anon_sym___unsafe_unretained] = ACTIONS(2750),
    [anon_sym___unused] = ACTIONS(2750),
    [anon_sym___weak] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_in] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [anon_sym___asm] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_AT] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2750),
    [anon_sym___typeof] = ACTIONS(2750),
    [anon_sym_typeof] = ACTIONS(2750),
    [anon_sym_ATimport] = ACTIONS(2752),
    [aux_sym_preproc_undef_token1] = ACTIONS(2750),
    [anon_sym_POUND] = ACTIONS(2750),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2750),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2750),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2750),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_API_AVAILABLE] = ACTIONS(2750),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_API_DEPRECATED] = ACTIONS(2750),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym___deprecated_msg] = ACTIONS(2750),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2750),
    [anon_sym_ATprotocol] = ACTIONS(2752),
    [anon_sym_ATinterface] = ACTIONS(2752),
    [anon_sym_ATimplementation] = ACTIONS(2752),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2752),
    [anon_sym_ATsynthesize] = ACTIONS(2752),
    [anon_sym_ATdynamic] = ACTIONS(2752),
    [anon_sym_ATtry] = ACTIONS(2752),
    [anon_sym___try] = ACTIONS(2750),
    [anon_sym_ATthrow] = ACTIONS(2752),
    [anon_sym_ATselector] = ACTIONS(2752),
    [anon_sym_ATavailable] = ACTIONS(2752),
    [anon_sym___builtin_available] = ACTIONS(2750),
    [anon_sym_va_arg] = ACTIONS(2750),
    [anon_sym_ATencode] = ACTIONS(2752),
    [anon_sym_ATsynchronized] = ACTIONS(2752),
    [anon_sym_BOOL] = ACTIONS(2750),
    [anon_sym_IMP] = ACTIONS(2750),
    [anon_sym_SEL] = ACTIONS(2750),
    [anon_sym_Class] = ACTIONS(2750),
    [anon_sym_id] = ACTIONS(2750),
  },
  [480] = {
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_include_token2] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token2] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [aux_sym_preproc_else_token1] = ACTIONS(2750),
    [aux_sym_preproc_elif_token1] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_CARET] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym___attribute] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___cdecl] = ACTIONS(2750),
    [anon_sym___clrcall] = ACTIONS(2750),
    [anon_sym___stdcall] = ACTIONS(2750),
    [anon_sym___fastcall] = ACTIONS(2750),
    [anon_sym___thiscall] = ACTIONS(2750),
    [anon_sym___vectorcall] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_ATautoreleasepool] = ACTIONS(2752),
    [anon_sym_auto] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_CG_EXTERN] = ACTIONS(2750),
    [anon_sym_CG_INLINE] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2750),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2750),
    [anon_sym_IBOutlet] = ACTIONS(2750),
    [anon_sym_IBInspectable] = ACTIONS(2750),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2750),
    [anon_sym_NS_INLINE] = ACTIONS(2750),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2750),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2750),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym__Nonnull] = ACTIONS(2750),
    [anon_sym_nullable] = ACTIONS(2750),
    [anon_sym__Complex] = ACTIONS(2750),
    [anon_sym__Nullable] = ACTIONS(2750),
    [anon_sym__Nullable_result] = ACTIONS(2750),
    [anon_sym__Null_unspecified] = ACTIONS(2750),
    [anon_sym___autoreleasing] = ACTIONS(2750),
    [anon_sym___block] = ACTIONS(2750),
    [anon_sym___bridge] = ACTIONS(2750),
    [anon_sym___bridge_retained] = ACTIONS(2750),
    [anon_sym___bridge_transfer] = ACTIONS(2750),
    [anon_sym___complex] = ACTIONS(2750),
    [anon_sym___const] = ACTIONS(2750),
    [anon_sym___imag] = ACTIONS(2750),
    [anon_sym___kindof] = ACTIONS(2750),
    [anon_sym___nonnull] = ACTIONS(2750),
    [anon_sym___nullable] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2750),
    [anon_sym___real] = ACTIONS(2750),
    [anon_sym___strong] = ACTIONS(2750),
    [anon_sym___unsafe_unretained] = ACTIONS(2750),
    [anon_sym___unused] = ACTIONS(2750),
    [anon_sym___weak] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_in] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [anon_sym___asm] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_AT] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2750),
    [anon_sym___typeof] = ACTIONS(2750),
    [anon_sym_typeof] = ACTIONS(2750),
    [anon_sym_ATimport] = ACTIONS(2752),
    [aux_sym_preproc_undef_token1] = ACTIONS(2750),
    [anon_sym_POUND] = ACTIONS(2750),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2750),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2750),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2750),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_API_AVAILABLE] = ACTIONS(2750),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_API_DEPRECATED] = ACTIONS(2750),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym___deprecated_msg] = ACTIONS(2750),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2750),
    [anon_sym_ATprotocol] = ACTIONS(2752),
    [anon_sym_ATinterface] = ACTIONS(2752),
    [anon_sym_ATimplementation] = ACTIONS(2752),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2752),
    [anon_sym_ATsynthesize] = ACTIONS(2752),
    [anon_sym_ATdynamic] = ACTIONS(2752),
    [anon_sym_ATtry] = ACTIONS(2752),
    [anon_sym___try] = ACTIONS(2750),
    [anon_sym_ATthrow] = ACTIONS(2752),
    [anon_sym_ATselector] = ACTIONS(2752),
    [anon_sym_ATavailable] = ACTIONS(2752),
    [anon_sym___builtin_available] = ACTIONS(2750),
    [anon_sym_va_arg] = ACTIONS(2750),
    [anon_sym_ATencode] = ACTIONS(2752),
    [anon_sym_ATsynchronized] = ACTIONS(2752),
    [anon_sym_BOOL] = ACTIONS(2750),
    [anon_sym_IMP] = ACTIONS(2750),
    [anon_sym_SEL] = ACTIONS(2750),
    [anon_sym_Class] = ACTIONS(2750),
    [anon_sym_id] = ACTIONS(2750),
  },
  [481] = {
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_include_token2] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token2] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [aux_sym_preproc_else_token1] = ACTIONS(2750),
    [aux_sym_preproc_elif_token1] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_CARET] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym___attribute] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___cdecl] = ACTIONS(2750),
    [anon_sym___clrcall] = ACTIONS(2750),
    [anon_sym___stdcall] = ACTIONS(2750),
    [anon_sym___fastcall] = ACTIONS(2750),
    [anon_sym___thiscall] = ACTIONS(2750),
    [anon_sym___vectorcall] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_ATautoreleasepool] = ACTIONS(2752),
    [anon_sym_auto] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_CG_EXTERN] = ACTIONS(2750),
    [anon_sym_CG_INLINE] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2750),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2750),
    [anon_sym_IBOutlet] = ACTIONS(2750),
    [anon_sym_IBInspectable] = ACTIONS(2750),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2750),
    [anon_sym_NS_INLINE] = ACTIONS(2750),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2750),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2750),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym__Nonnull] = ACTIONS(2750),
    [anon_sym_nullable] = ACTIONS(2750),
    [anon_sym__Complex] = ACTIONS(2750),
    [anon_sym__Nullable] = ACTIONS(2750),
    [anon_sym__Nullable_result] = ACTIONS(2750),
    [anon_sym__Null_unspecified] = ACTIONS(2750),
    [anon_sym___autoreleasing] = ACTIONS(2750),
    [anon_sym___block] = ACTIONS(2750),
    [anon_sym___bridge] = ACTIONS(2750),
    [anon_sym___bridge_retained] = ACTIONS(2750),
    [anon_sym___bridge_transfer] = ACTIONS(2750),
    [anon_sym___complex] = ACTIONS(2750),
    [anon_sym___const] = ACTIONS(2750),
    [anon_sym___imag] = ACTIONS(2750),
    [anon_sym___kindof] = ACTIONS(2750),
    [anon_sym___nonnull] = ACTIONS(2750),
    [anon_sym___nullable] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2750),
    [anon_sym___real] = ACTIONS(2750),
    [anon_sym___strong] = ACTIONS(2750),
    [anon_sym___unsafe_unretained] = ACTIONS(2750),
    [anon_sym___unused] = ACTIONS(2750),
    [anon_sym___weak] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_in] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [anon_sym___asm] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_AT] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2750),
    [anon_sym___typeof] = ACTIONS(2750),
    [anon_sym_typeof] = ACTIONS(2750),
    [anon_sym_ATimport] = ACTIONS(2752),
    [aux_sym_preproc_undef_token1] = ACTIONS(2750),
    [anon_sym_POUND] = ACTIONS(2750),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2750),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2750),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2750),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_API_AVAILABLE] = ACTIONS(2750),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_API_DEPRECATED] = ACTIONS(2750),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym___deprecated_msg] = ACTIONS(2750),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2750),
    [anon_sym_ATprotocol] = ACTIONS(2752),
    [anon_sym_ATinterface] = ACTIONS(2752),
    [anon_sym_ATimplementation] = ACTIONS(2752),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2752),
    [anon_sym_ATsynthesize] = ACTIONS(2752),
    [anon_sym_ATdynamic] = ACTIONS(2752),
    [anon_sym_ATtry] = ACTIONS(2752),
    [anon_sym___try] = ACTIONS(2750),
    [anon_sym_ATthrow] = ACTIONS(2752),
    [anon_sym_ATselector] = ACTIONS(2752),
    [anon_sym_ATavailable] = ACTIONS(2752),
    [anon_sym___builtin_available] = ACTIONS(2750),
    [anon_sym_va_arg] = ACTIONS(2750),
    [anon_sym_ATencode] = ACTIONS(2752),
    [anon_sym_ATsynchronized] = ACTIONS(2752),
    [anon_sym_BOOL] = ACTIONS(2750),
    [anon_sym_IMP] = ACTIONS(2750),
    [anon_sym_SEL] = ACTIONS(2750),
    [anon_sym_Class] = ACTIONS(2750),
    [anon_sym_id] = ACTIONS(2750),
  },
  [482] = {
    [sym_identifier] = ACTIONS(2754),
    [aux_sym_preproc_include_token1] = ACTIONS(2754),
    [aux_sym_preproc_include_token2] = ACTIONS(2754),
    [aux_sym_preproc_def_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token2] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2754),
    [aux_sym_preproc_else_token1] = ACTIONS(2754),
    [aux_sym_preproc_elif_token1] = ACTIONS(2754),
    [sym_preproc_directive] = ACTIONS(2754),
    [anon_sym_LPAREN2] = ACTIONS(2756),
    [anon_sym_BANG] = ACTIONS(2756),
    [anon_sym_TILDE] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2754),
    [anon_sym_PLUS] = ACTIONS(2754),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_CARET] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2756),
    [anon_sym_SEMI] = ACTIONS(2756),
    [anon_sym___extension__] = ACTIONS(2754),
    [anon_sym_typedef] = ACTIONS(2754),
    [anon_sym_extern] = ACTIONS(2754),
    [anon_sym___attribute__] = ACTIONS(2754),
    [anon_sym___attribute] = ACTIONS(2754),
    [anon_sym_noreturn] = ACTIONS(2754),
    [anon_sym_LBRACK] = ACTIONS(2756),
    [anon_sym___declspec] = ACTIONS(2754),
    [anon_sym___cdecl] = ACTIONS(2754),
    [anon_sym___clrcall] = ACTIONS(2754),
    [anon_sym___stdcall] = ACTIONS(2754),
    [anon_sym___fastcall] = ACTIONS(2754),
    [anon_sym___thiscall] = ACTIONS(2754),
    [anon_sym___vectorcall] = ACTIONS(2754),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_signed] = ACTIONS(2754),
    [anon_sym_unsigned] = ACTIONS(2754),
    [anon_sym_long] = ACTIONS(2754),
    [anon_sym_short] = ACTIONS(2754),
    [anon_sym_static] = ACTIONS(2754),
    [anon_sym_ATautoreleasepool] = ACTIONS(2756),
    [anon_sym_auto] = ACTIONS(2754),
    [anon_sym_register] = ACTIONS(2754),
    [anon_sym_inline] = ACTIONS(2754),
    [anon_sym___inline] = ACTIONS(2754),
    [anon_sym___inline__] = ACTIONS(2754),
    [anon_sym___forceinline] = ACTIONS(2754),
    [anon_sym_thread_local] = ACTIONS(2754),
    [anon_sym___thread] = ACTIONS(2754),
    [anon_sym_CG_EXTERN] = ACTIONS(2754),
    [anon_sym_CG_INLINE] = ACTIONS(2754),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2754),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2754),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2754),
    [anon_sym_IBOutlet] = ACTIONS(2754),
    [anon_sym_IBInspectable] = ACTIONS(2754),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2754),
    [anon_sym_NS_INLINE] = ACTIONS(2754),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2754),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2754),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2754),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2754),
    [anon_sym_const] = ACTIONS(2754),
    [anon_sym_constexpr] = ACTIONS(2754),
    [anon_sym_volatile] = ACTIONS(2754),
    [anon_sym_restrict] = ACTIONS(2754),
    [anon_sym___restrict__] = ACTIONS(2754),
    [anon_sym__Atomic] = ACTIONS(2754),
    [anon_sym__Noreturn] = ACTIONS(2754),
    [anon_sym__Nonnull] = ACTIONS(2754),
    [anon_sym_nullable] = ACTIONS(2754),
    [anon_sym__Complex] = ACTIONS(2754),
    [anon_sym__Nullable] = ACTIONS(2754),
    [anon_sym__Nullable_result] = ACTIONS(2754),
    [anon_sym__Null_unspecified] = ACTIONS(2754),
    [anon_sym___autoreleasing] = ACTIONS(2754),
    [anon_sym___block] = ACTIONS(2754),
    [anon_sym___bridge] = ACTIONS(2754),
    [anon_sym___bridge_retained] = ACTIONS(2754),
    [anon_sym___bridge_transfer] = ACTIONS(2754),
    [anon_sym___complex] = ACTIONS(2754),
    [anon_sym___const] = ACTIONS(2754),
    [anon_sym___imag] = ACTIONS(2754),
    [anon_sym___kindof] = ACTIONS(2754),
    [anon_sym___nonnull] = ACTIONS(2754),
    [anon_sym___nullable] = ACTIONS(2754),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2754),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2754),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2754),
    [anon_sym___real] = ACTIONS(2754),
    [anon_sym___strong] = ACTIONS(2754),
    [anon_sym___unsafe_unretained] = ACTIONS(2754),
    [anon_sym___unused] = ACTIONS(2754),
    [anon_sym___weak] = ACTIONS(2754),
    [anon_sym_alignas] = ACTIONS(2754),
    [anon_sym__Alignas] = ACTIONS(2754),
    [sym_primitive_type] = ACTIONS(2754),
    [anon_sym_enum] = ACTIONS(2754),
    [anon_sym_struct] = ACTIONS(2754),
    [anon_sym_union] = ACTIONS(2754),
    [anon_sym_if] = ACTIONS(2754),
    [anon_sym_switch] = ACTIONS(2754),
    [anon_sym_case] = ACTIONS(2754),
    [anon_sym_default] = ACTIONS(2754),
    [anon_sym_while] = ACTIONS(2754),
    [anon_sym_do] = ACTIONS(2754),
    [anon_sym_for] = ACTIONS(2754),
    [anon_sym_in] = ACTIONS(2754),
    [anon_sym_return] = ACTIONS(2754),
    [anon_sym_break] = ACTIONS(2754),
    [anon_sym_continue] = ACTIONS(2754),
    [anon_sym_goto] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2756),
    [anon_sym_sizeof] = ACTIONS(2754),
    [anon_sym___alignof__] = ACTIONS(2754),
    [anon_sym___alignof] = ACTIONS(2754),
    [anon_sym__alignof] = ACTIONS(2754),
    [anon_sym_alignof] = ACTIONS(2754),
    [anon_sym__Alignof] = ACTIONS(2754),
    [anon_sym_offsetof] = ACTIONS(2754),
    [anon_sym__Generic] = ACTIONS(2754),
    [anon_sym_asm] = ACTIONS(2754),
    [anon_sym___asm__] = ACTIONS(2754),
    [anon_sym___asm] = ACTIONS(2754),
    [sym_number_literal] = ACTIONS(2756),
    [anon_sym_L_SQUOTE] = ACTIONS(2756),
    [anon_sym_u_SQUOTE] = ACTIONS(2756),
    [anon_sym_U_SQUOTE] = ACTIONS(2756),
    [anon_sym_u8_SQUOTE] = ACTIONS(2756),
    [anon_sym_SQUOTE] = ACTIONS(2756),
    [anon_sym_AT] = ACTIONS(2754),
    [anon_sym_DQUOTE] = ACTIONS(2756),
    [anon_sym_L_DQUOTE] = ACTIONS(2756),
    [anon_sym_u_DQUOTE] = ACTIONS(2756),
    [anon_sym_U_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8_DQUOTE] = ACTIONS(2756),
    [sym_true] = ACTIONS(2754),
    [sym_false] = ACTIONS(2754),
    [anon_sym_NULL] = ACTIONS(2754),
    [anon_sym_nullptr] = ACTIONS(2754),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2754),
    [anon_sym___typeof] = ACTIONS(2754),
    [anon_sym_typeof] = ACTIONS(2754),
    [anon_sym_ATimport] = ACTIONS(2756),
    [aux_sym_preproc_undef_token1] = ACTIONS(2754),
    [anon_sym_POUND] = ACTIONS(2754),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2754),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2754),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2754),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2754),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2754),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2754),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2754),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2754),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2754),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2754),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2754),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2754),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2754),
    [anon_sym_API_AVAILABLE] = ACTIONS(2754),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2754),
    [anon_sym_API_DEPRECATED] = ACTIONS(2754),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2754),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2754),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2754),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2754),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2754),
    [anon_sym___deprecated_msg] = ACTIONS(2754),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2754),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2754),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2754),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2754),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2754),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2754),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2754),
    [anon_sym_ATprotocol] = ACTIONS(2756),
    [anon_sym_ATinterface] = ACTIONS(2756),
    [anon_sym_ATimplementation] = ACTIONS(2756),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2756),
    [anon_sym_ATsynthesize] = ACTIONS(2756),
    [anon_sym_ATdynamic] = ACTIONS(2756),
    [anon_sym_ATtry] = ACTIONS(2756),
    [anon_sym___try] = ACTIONS(2754),
    [anon_sym_ATthrow] = ACTIONS(2756),
    [anon_sym_ATselector] = ACTIONS(2756),
    [anon_sym_ATavailable] = ACTIONS(2756),
    [anon_sym___builtin_available] = ACTIONS(2754),
    [anon_sym_va_arg] = ACTIONS(2754),
    [anon_sym_ATencode] = ACTIONS(2756),
    [anon_sym_ATsynchronized] = ACTIONS(2756),
    [anon_sym_BOOL] = ACTIONS(2754),
    [anon_sym_IMP] = ACTIONS(2754),
    [anon_sym_SEL] = ACTIONS(2754),
    [anon_sym_Class] = ACTIONS(2754),
    [anon_sym_id] = ACTIONS(2754),
  },
  [483] = {
    [sym_identifier] = ACTIONS(2758),
    [aux_sym_preproc_include_token1] = ACTIONS(2758),
    [aux_sym_preproc_include_token2] = ACTIONS(2758),
    [aux_sym_preproc_def_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token2] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2758),
    [aux_sym_preproc_else_token1] = ACTIONS(2758),
    [aux_sym_preproc_elif_token1] = ACTIONS(2758),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(2760),
    [anon_sym_BANG] = ACTIONS(2760),
    [anon_sym_TILDE] = ACTIONS(2760),
    [anon_sym_DASH] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2758),
    [anon_sym_STAR] = ACTIONS(2760),
    [anon_sym_CARET] = ACTIONS(2760),
    [anon_sym_AMP] = ACTIONS(2760),
    [anon_sym_SEMI] = ACTIONS(2760),
    [anon_sym___extension__] = ACTIONS(2758),
    [anon_sym_typedef] = ACTIONS(2758),
    [anon_sym_extern] = ACTIONS(2758),
    [anon_sym___attribute__] = ACTIONS(2758),
    [anon_sym___attribute] = ACTIONS(2758),
    [anon_sym_noreturn] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(2760),
    [anon_sym___declspec] = ACTIONS(2758),
    [anon_sym___cdecl] = ACTIONS(2758),
    [anon_sym___clrcall] = ACTIONS(2758),
    [anon_sym___stdcall] = ACTIONS(2758),
    [anon_sym___fastcall] = ACTIONS(2758),
    [anon_sym___thiscall] = ACTIONS(2758),
    [anon_sym___vectorcall] = ACTIONS(2758),
    [anon_sym_LBRACE] = ACTIONS(2760),
    [anon_sym_signed] = ACTIONS(2758),
    [anon_sym_unsigned] = ACTIONS(2758),
    [anon_sym_long] = ACTIONS(2758),
    [anon_sym_short] = ACTIONS(2758),
    [anon_sym_static] = ACTIONS(2758),
    [anon_sym_ATautoreleasepool] = ACTIONS(2760),
    [anon_sym_auto] = ACTIONS(2758),
    [anon_sym_register] = ACTIONS(2758),
    [anon_sym_inline] = ACTIONS(2758),
    [anon_sym___inline] = ACTIONS(2758),
    [anon_sym___inline__] = ACTIONS(2758),
    [anon_sym___forceinline] = ACTIONS(2758),
    [anon_sym_thread_local] = ACTIONS(2758),
    [anon_sym___thread] = ACTIONS(2758),
    [anon_sym_CG_EXTERN] = ACTIONS(2758),
    [anon_sym_CG_INLINE] = ACTIONS(2758),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2758),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2758),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2758),
    [anon_sym_IBOutlet] = ACTIONS(2758),
    [anon_sym_IBInspectable] = ACTIONS(2758),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2758),
    [anon_sym_NS_INLINE] = ACTIONS(2758),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2758),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2758),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2758),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2758),
    [anon_sym_const] = ACTIONS(2758),
    [anon_sym_constexpr] = ACTIONS(2758),
    [anon_sym_volatile] = ACTIONS(2758),
    [anon_sym_restrict] = ACTIONS(2758),
    [anon_sym___restrict__] = ACTIONS(2758),
    [anon_sym__Atomic] = ACTIONS(2758),
    [anon_sym__Noreturn] = ACTIONS(2758),
    [anon_sym__Nonnull] = ACTIONS(2758),
    [anon_sym_nullable] = ACTIONS(2758),
    [anon_sym__Complex] = ACTIONS(2758),
    [anon_sym__Nullable] = ACTIONS(2758),
    [anon_sym__Nullable_result] = ACTIONS(2758),
    [anon_sym__Null_unspecified] = ACTIONS(2758),
    [anon_sym___autoreleasing] = ACTIONS(2758),
    [anon_sym___block] = ACTIONS(2758),
    [anon_sym___bridge] = ACTIONS(2758),
    [anon_sym___bridge_retained] = ACTIONS(2758),
    [anon_sym___bridge_transfer] = ACTIONS(2758),
    [anon_sym___complex] = ACTIONS(2758),
    [anon_sym___const] = ACTIONS(2758),
    [anon_sym___imag] = ACTIONS(2758),
    [anon_sym___kindof] = ACTIONS(2758),
    [anon_sym___nonnull] = ACTIONS(2758),
    [anon_sym___nullable] = ACTIONS(2758),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2758),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2758),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2758),
    [anon_sym___real] = ACTIONS(2758),
    [anon_sym___strong] = ACTIONS(2758),
    [anon_sym___unsafe_unretained] = ACTIONS(2758),
    [anon_sym___unused] = ACTIONS(2758),
    [anon_sym___weak] = ACTIONS(2758),
    [anon_sym_alignas] = ACTIONS(2758),
    [anon_sym__Alignas] = ACTIONS(2758),
    [sym_primitive_type] = ACTIONS(2758),
    [anon_sym_enum] = ACTIONS(2758),
    [anon_sym_struct] = ACTIONS(2758),
    [anon_sym_union] = ACTIONS(2758),
    [anon_sym_if] = ACTIONS(2758),
    [anon_sym_switch] = ACTIONS(2758),
    [anon_sym_case] = ACTIONS(2758),
    [anon_sym_default] = ACTIONS(2758),
    [anon_sym_while] = ACTIONS(2758),
    [anon_sym_do] = ACTIONS(2758),
    [anon_sym_for] = ACTIONS(2758),
    [anon_sym_in] = ACTIONS(2758),
    [anon_sym_return] = ACTIONS(2758),
    [anon_sym_break] = ACTIONS(2758),
    [anon_sym_continue] = ACTIONS(2758),
    [anon_sym_goto] = ACTIONS(2758),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(2758),
    [anon_sym___alignof__] = ACTIONS(2758),
    [anon_sym___alignof] = ACTIONS(2758),
    [anon_sym__alignof] = ACTIONS(2758),
    [anon_sym_alignof] = ACTIONS(2758),
    [anon_sym__Alignof] = ACTIONS(2758),
    [anon_sym_offsetof] = ACTIONS(2758),
    [anon_sym__Generic] = ACTIONS(2758),
    [anon_sym_asm] = ACTIONS(2758),
    [anon_sym___asm__] = ACTIONS(2758),
    [anon_sym___asm] = ACTIONS(2758),
    [sym_number_literal] = ACTIONS(2760),
    [anon_sym_L_SQUOTE] = ACTIONS(2760),
    [anon_sym_u_SQUOTE] = ACTIONS(2760),
    [anon_sym_U_SQUOTE] = ACTIONS(2760),
    [anon_sym_u8_SQUOTE] = ACTIONS(2760),
    [anon_sym_SQUOTE] = ACTIONS(2760),
    [anon_sym_AT] = ACTIONS(2758),
    [anon_sym_DQUOTE] = ACTIONS(2760),
    [anon_sym_L_DQUOTE] = ACTIONS(2760),
    [anon_sym_u_DQUOTE] = ACTIONS(2760),
    [anon_sym_U_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8_DQUOTE] = ACTIONS(2760),
    [sym_true] = ACTIONS(2758),
    [sym_false] = ACTIONS(2758),
    [anon_sym_NULL] = ACTIONS(2758),
    [anon_sym_nullptr] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2758),
    [anon_sym___typeof] = ACTIONS(2758),
    [anon_sym_typeof] = ACTIONS(2758),
    [anon_sym_ATimport] = ACTIONS(2760),
    [aux_sym_preproc_undef_token1] = ACTIONS(2758),
    [anon_sym_POUND] = ACTIONS(2758),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2758),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2758),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2758),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2758),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2758),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2758),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2758),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2758),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2758),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2758),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2758),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2758),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2758),
    [anon_sym_API_AVAILABLE] = ACTIONS(2758),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2758),
    [anon_sym_API_DEPRECATED] = ACTIONS(2758),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2758),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2758),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2758),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2758),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2758),
    [anon_sym___deprecated_msg] = ACTIONS(2758),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2758),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2758),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2758),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2758),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2758),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2758),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2758),
    [anon_sym_ATprotocol] = ACTIONS(2760),
    [anon_sym_ATinterface] = ACTIONS(2760),
    [anon_sym_ATimplementation] = ACTIONS(2760),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2760),
    [anon_sym_ATsynthesize] = ACTIONS(2760),
    [anon_sym_ATdynamic] = ACTIONS(2760),
    [anon_sym_ATtry] = ACTIONS(2760),
    [anon_sym___try] = ACTIONS(2758),
    [anon_sym_ATthrow] = ACTIONS(2760),
    [anon_sym_ATselector] = ACTIONS(2760),
    [anon_sym_ATavailable] = ACTIONS(2760),
    [anon_sym___builtin_available] = ACTIONS(2758),
    [anon_sym_va_arg] = ACTIONS(2758),
    [anon_sym_ATencode] = ACTIONS(2760),
    [anon_sym_ATsynchronized] = ACTIONS(2760),
    [anon_sym_BOOL] = ACTIONS(2758),
    [anon_sym_IMP] = ACTIONS(2758),
    [anon_sym_SEL] = ACTIONS(2758),
    [anon_sym_Class] = ACTIONS(2758),
    [anon_sym_id] = ACTIONS(2758),
  },
  [484] = {
    [sym_identifier] = ACTIONS(2762),
    [aux_sym_preproc_include_token1] = ACTIONS(2762),
    [aux_sym_preproc_include_token2] = ACTIONS(2762),
    [aux_sym_preproc_def_token1] = ACTIONS(2762),
    [aux_sym_preproc_if_token1] = ACTIONS(2762),
    [aux_sym_preproc_if_token2] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2762),
    [aux_sym_preproc_else_token1] = ACTIONS(2762),
    [aux_sym_preproc_elif_token1] = ACTIONS(2762),
    [sym_preproc_directive] = ACTIONS(2762),
    [anon_sym_LPAREN2] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(2764),
    [anon_sym_TILDE] = ACTIONS(2764),
    [anon_sym_DASH] = ACTIONS(2762),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_STAR] = ACTIONS(2764),
    [anon_sym_CARET] = ACTIONS(2764),
    [anon_sym_AMP] = ACTIONS(2764),
    [anon_sym_SEMI] = ACTIONS(2764),
    [anon_sym___extension__] = ACTIONS(2762),
    [anon_sym_typedef] = ACTIONS(2762),
    [anon_sym_extern] = ACTIONS(2762),
    [anon_sym___attribute__] = ACTIONS(2762),
    [anon_sym___attribute] = ACTIONS(2762),
    [anon_sym_noreturn] = ACTIONS(2762),
    [anon_sym_LBRACK] = ACTIONS(2764),
    [anon_sym___declspec] = ACTIONS(2762),
    [anon_sym___cdecl] = ACTIONS(2762),
    [anon_sym___clrcall] = ACTIONS(2762),
    [anon_sym___stdcall] = ACTIONS(2762),
    [anon_sym___fastcall] = ACTIONS(2762),
    [anon_sym___thiscall] = ACTIONS(2762),
    [anon_sym___vectorcall] = ACTIONS(2762),
    [anon_sym_LBRACE] = ACTIONS(2764),
    [anon_sym_signed] = ACTIONS(2762),
    [anon_sym_unsigned] = ACTIONS(2762),
    [anon_sym_long] = ACTIONS(2762),
    [anon_sym_short] = ACTIONS(2762),
    [anon_sym_static] = ACTIONS(2762),
    [anon_sym_ATautoreleasepool] = ACTIONS(2764),
    [anon_sym_auto] = ACTIONS(2762),
    [anon_sym_register] = ACTIONS(2762),
    [anon_sym_inline] = ACTIONS(2762),
    [anon_sym___inline] = ACTIONS(2762),
    [anon_sym___inline__] = ACTIONS(2762),
    [anon_sym___forceinline] = ACTIONS(2762),
    [anon_sym_thread_local] = ACTIONS(2762),
    [anon_sym___thread] = ACTIONS(2762),
    [anon_sym_CG_EXTERN] = ACTIONS(2762),
    [anon_sym_CG_INLINE] = ACTIONS(2762),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2762),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2762),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2762),
    [anon_sym_IBOutlet] = ACTIONS(2762),
    [anon_sym_IBInspectable] = ACTIONS(2762),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2762),
    [anon_sym_NS_INLINE] = ACTIONS(2762),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2762),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2762),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2762),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2762),
    [anon_sym_constexpr] = ACTIONS(2762),
    [anon_sym_volatile] = ACTIONS(2762),
    [anon_sym_restrict] = ACTIONS(2762),
    [anon_sym___restrict__] = ACTIONS(2762),
    [anon_sym__Atomic] = ACTIONS(2762),
    [anon_sym__Noreturn] = ACTIONS(2762),
    [anon_sym__Nonnull] = ACTIONS(2762),
    [anon_sym_nullable] = ACTIONS(2762),
    [anon_sym__Complex] = ACTIONS(2762),
    [anon_sym__Nullable] = ACTIONS(2762),
    [anon_sym__Nullable_result] = ACTIONS(2762),
    [anon_sym__Null_unspecified] = ACTIONS(2762),
    [anon_sym___autoreleasing] = ACTIONS(2762),
    [anon_sym___block] = ACTIONS(2762),
    [anon_sym___bridge] = ACTIONS(2762),
    [anon_sym___bridge_retained] = ACTIONS(2762),
    [anon_sym___bridge_transfer] = ACTIONS(2762),
    [anon_sym___complex] = ACTIONS(2762),
    [anon_sym___const] = ACTIONS(2762),
    [anon_sym___imag] = ACTIONS(2762),
    [anon_sym___kindof] = ACTIONS(2762),
    [anon_sym___nonnull] = ACTIONS(2762),
    [anon_sym___nullable] = ACTIONS(2762),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2762),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2762),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2762),
    [anon_sym___real] = ACTIONS(2762),
    [anon_sym___strong] = ACTIONS(2762),
    [anon_sym___unsafe_unretained] = ACTIONS(2762),
    [anon_sym___unused] = ACTIONS(2762),
    [anon_sym___weak] = ACTIONS(2762),
    [anon_sym_alignas] = ACTIONS(2762),
    [anon_sym__Alignas] = ACTIONS(2762),
    [sym_primitive_type] = ACTIONS(2762),
    [anon_sym_enum] = ACTIONS(2762),
    [anon_sym_struct] = ACTIONS(2762),
    [anon_sym_union] = ACTIONS(2762),
    [anon_sym_if] = ACTIONS(2762),
    [anon_sym_switch] = ACTIONS(2762),
    [anon_sym_case] = ACTIONS(2762),
    [anon_sym_default] = ACTIONS(2762),
    [anon_sym_while] = ACTIONS(2762),
    [anon_sym_do] = ACTIONS(2762),
    [anon_sym_for] = ACTIONS(2762),
    [anon_sym_in] = ACTIONS(2762),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_break] = ACTIONS(2762),
    [anon_sym_continue] = ACTIONS(2762),
    [anon_sym_goto] = ACTIONS(2762),
    [anon_sym_DASH_DASH] = ACTIONS(2764),
    [anon_sym_PLUS_PLUS] = ACTIONS(2764),
    [anon_sym_sizeof] = ACTIONS(2762),
    [anon_sym___alignof__] = ACTIONS(2762),
    [anon_sym___alignof] = ACTIONS(2762),
    [anon_sym__alignof] = ACTIONS(2762),
    [anon_sym_alignof] = ACTIONS(2762),
    [anon_sym__Alignof] = ACTIONS(2762),
    [anon_sym_offsetof] = ACTIONS(2762),
    [anon_sym__Generic] = ACTIONS(2762),
    [anon_sym_asm] = ACTIONS(2762),
    [anon_sym___asm__] = ACTIONS(2762),
    [anon_sym___asm] = ACTIONS(2762),
    [sym_number_literal] = ACTIONS(2764),
    [anon_sym_L_SQUOTE] = ACTIONS(2764),
    [anon_sym_u_SQUOTE] = ACTIONS(2764),
    [anon_sym_U_SQUOTE] = ACTIONS(2764),
    [anon_sym_u8_SQUOTE] = ACTIONS(2764),
    [anon_sym_SQUOTE] = ACTIONS(2764),
    [anon_sym_AT] = ACTIONS(2762),
    [anon_sym_DQUOTE] = ACTIONS(2764),
    [anon_sym_L_DQUOTE] = ACTIONS(2764),
    [anon_sym_u_DQUOTE] = ACTIONS(2764),
    [anon_sym_U_DQUOTE] = ACTIONS(2764),
    [anon_sym_u8_DQUOTE] = ACTIONS(2764),
    [sym_true] = ACTIONS(2762),
    [sym_false] = ACTIONS(2762),
    [anon_sym_NULL] = ACTIONS(2762),
    [anon_sym_nullptr] = ACTIONS(2762),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2762),
    [anon_sym___typeof] = ACTIONS(2762),
    [anon_sym_typeof] = ACTIONS(2762),
    [anon_sym_ATimport] = ACTIONS(2764),
    [aux_sym_preproc_undef_token1] = ACTIONS(2762),
    [anon_sym_POUND] = ACTIONS(2762),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2762),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2762),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2762),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2762),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2762),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2762),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2762),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2762),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2762),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2762),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2762),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2762),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2762),
    [anon_sym_API_AVAILABLE] = ACTIONS(2762),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2762),
    [anon_sym_API_DEPRECATED] = ACTIONS(2762),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2762),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2762),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2762),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2762),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2762),
    [anon_sym___deprecated_msg] = ACTIONS(2762),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2762),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2762),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2762),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2762),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2762),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2762),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2762),
    [anon_sym_ATprotocol] = ACTIONS(2764),
    [anon_sym_ATinterface] = ACTIONS(2764),
    [anon_sym_ATimplementation] = ACTIONS(2764),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2764),
    [anon_sym_ATsynthesize] = ACTIONS(2764),
    [anon_sym_ATdynamic] = ACTIONS(2764),
    [anon_sym_ATtry] = ACTIONS(2764),
    [anon_sym___try] = ACTIONS(2762),
    [anon_sym_ATthrow] = ACTIONS(2764),
    [anon_sym_ATselector] = ACTIONS(2764),
    [anon_sym_ATavailable] = ACTIONS(2764),
    [anon_sym___builtin_available] = ACTIONS(2762),
    [anon_sym_va_arg] = ACTIONS(2762),
    [anon_sym_ATencode] = ACTIONS(2764),
    [anon_sym_ATsynchronized] = ACTIONS(2764),
    [anon_sym_BOOL] = ACTIONS(2762),
    [anon_sym_IMP] = ACTIONS(2762),
    [anon_sym_SEL] = ACTIONS(2762),
    [anon_sym_Class] = ACTIONS(2762),
    [anon_sym_id] = ACTIONS(2762),
  },
  [485] = {
    [sym_identifier] = ACTIONS(2828),
    [aux_sym_preproc_include_token1] = ACTIONS(2828),
    [aux_sym_preproc_include_token2] = ACTIONS(2828),
    [aux_sym_preproc_def_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token2] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2828),
    [aux_sym_preproc_else_token1] = ACTIONS(2828),
    [aux_sym_preproc_elif_token1] = ACTIONS(2828),
    [sym_preproc_directive] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2830),
    [anon_sym_BANG] = ACTIONS(2830),
    [anon_sym_TILDE] = ACTIONS(2830),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2830),
    [anon_sym_CARET] = ACTIONS(2830),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_SEMI] = ACTIONS(2830),
    [anon_sym___extension__] = ACTIONS(2828),
    [anon_sym_typedef] = ACTIONS(2828),
    [anon_sym_extern] = ACTIONS(2828),
    [anon_sym___attribute__] = ACTIONS(2828),
    [anon_sym___attribute] = ACTIONS(2828),
    [anon_sym_noreturn] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym___declspec] = ACTIONS(2828),
    [anon_sym___cdecl] = ACTIONS(2828),
    [anon_sym___clrcall] = ACTIONS(2828),
    [anon_sym___stdcall] = ACTIONS(2828),
    [anon_sym___fastcall] = ACTIONS(2828),
    [anon_sym___thiscall] = ACTIONS(2828),
    [anon_sym___vectorcall] = ACTIONS(2828),
    [anon_sym_LBRACE] = ACTIONS(2830),
    [anon_sym_signed] = ACTIONS(2828),
    [anon_sym_unsigned] = ACTIONS(2828),
    [anon_sym_long] = ACTIONS(2828),
    [anon_sym_short] = ACTIONS(2828),
    [anon_sym_static] = ACTIONS(2828),
    [anon_sym_ATautoreleasepool] = ACTIONS(2830),
    [anon_sym_auto] = ACTIONS(2828),
    [anon_sym_register] = ACTIONS(2828),
    [anon_sym_inline] = ACTIONS(2828),
    [anon_sym___inline] = ACTIONS(2828),
    [anon_sym___inline__] = ACTIONS(2828),
    [anon_sym___forceinline] = ACTIONS(2828),
    [anon_sym_thread_local] = ACTIONS(2828),
    [anon_sym___thread] = ACTIONS(2828),
    [anon_sym_CG_EXTERN] = ACTIONS(2828),
    [anon_sym_CG_INLINE] = ACTIONS(2828),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2828),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2828),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2828),
    [anon_sym_IBOutlet] = ACTIONS(2828),
    [anon_sym_IBInspectable] = ACTIONS(2828),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2828),
    [anon_sym_NS_INLINE] = ACTIONS(2828),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2828),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2828),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2828),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2828),
    [anon_sym_const] = ACTIONS(2828),
    [anon_sym_constexpr] = ACTIONS(2828),
    [anon_sym_volatile] = ACTIONS(2828),
    [anon_sym_restrict] = ACTIONS(2828),
    [anon_sym___restrict__] = ACTIONS(2828),
    [anon_sym__Atomic] = ACTIONS(2828),
    [anon_sym__Noreturn] = ACTIONS(2828),
    [anon_sym__Nonnull] = ACTIONS(2828),
    [anon_sym_nullable] = ACTIONS(2828),
    [anon_sym__Complex] = ACTIONS(2828),
    [anon_sym__Nullable] = ACTIONS(2828),
    [anon_sym__Nullable_result] = ACTIONS(2828),
    [anon_sym__Null_unspecified] = ACTIONS(2828),
    [anon_sym___autoreleasing] = ACTIONS(2828),
    [anon_sym___block] = ACTIONS(2828),
    [anon_sym___bridge] = ACTIONS(2828),
    [anon_sym___bridge_retained] = ACTIONS(2828),
    [anon_sym___bridge_transfer] = ACTIONS(2828),
    [anon_sym___complex] = ACTIONS(2828),
    [anon_sym___const] = ACTIONS(2828),
    [anon_sym___imag] = ACTIONS(2828),
    [anon_sym___kindof] = ACTIONS(2828),
    [anon_sym___nonnull] = ACTIONS(2828),
    [anon_sym___nullable] = ACTIONS(2828),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2828),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2828),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2828),
    [anon_sym___real] = ACTIONS(2828),
    [anon_sym___strong] = ACTIONS(2828),
    [anon_sym___unsafe_unretained] = ACTIONS(2828),
    [anon_sym___unused] = ACTIONS(2828),
    [anon_sym___weak] = ACTIONS(2828),
    [anon_sym_alignas] = ACTIONS(2828),
    [anon_sym__Alignas] = ACTIONS(2828),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_enum] = ACTIONS(2828),
    [anon_sym_struct] = ACTIONS(2828),
    [anon_sym_union] = ACTIONS(2828),
    [anon_sym_if] = ACTIONS(2828),
    [anon_sym_switch] = ACTIONS(2828),
    [anon_sym_case] = ACTIONS(2828),
    [anon_sym_default] = ACTIONS(2828),
    [anon_sym_while] = ACTIONS(2828),
    [anon_sym_do] = ACTIONS(2828),
    [anon_sym_for] = ACTIONS(2828),
    [anon_sym_in] = ACTIONS(2828),
    [anon_sym_return] = ACTIONS(2828),
    [anon_sym_break] = ACTIONS(2828),
    [anon_sym_continue] = ACTIONS(2828),
    [anon_sym_goto] = ACTIONS(2828),
    [anon_sym_DASH_DASH] = ACTIONS(2830),
    [anon_sym_PLUS_PLUS] = ACTIONS(2830),
    [anon_sym_sizeof] = ACTIONS(2828),
    [anon_sym___alignof__] = ACTIONS(2828),
    [anon_sym___alignof] = ACTIONS(2828),
    [anon_sym__alignof] = ACTIONS(2828),
    [anon_sym_alignof] = ACTIONS(2828),
    [anon_sym__Alignof] = ACTIONS(2828),
    [anon_sym_offsetof] = ACTIONS(2828),
    [anon_sym__Generic] = ACTIONS(2828),
    [anon_sym_asm] = ACTIONS(2828),
    [anon_sym___asm__] = ACTIONS(2828),
    [anon_sym___asm] = ACTIONS(2828),
    [sym_number_literal] = ACTIONS(2830),
    [anon_sym_L_SQUOTE] = ACTIONS(2830),
    [anon_sym_u_SQUOTE] = ACTIONS(2830),
    [anon_sym_U_SQUOTE] = ACTIONS(2830),
    [anon_sym_u8_SQUOTE] = ACTIONS(2830),
    [anon_sym_SQUOTE] = ACTIONS(2830),
    [anon_sym_AT] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2830),
    [anon_sym_L_DQUOTE] = ACTIONS(2830),
    [anon_sym_u_DQUOTE] = ACTIONS(2830),
    [anon_sym_U_DQUOTE] = ACTIONS(2830),
    [anon_sym_u8_DQUOTE] = ACTIONS(2830),
    [sym_true] = ACTIONS(2828),
    [sym_false] = ACTIONS(2828),
    [anon_sym_NULL] = ACTIONS(2828),
    [anon_sym_nullptr] = ACTIONS(2828),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2828),
    [anon_sym___typeof] = ACTIONS(2828),
    [anon_sym_typeof] = ACTIONS(2828),
    [anon_sym_ATimport] = ACTIONS(2830),
    [aux_sym_preproc_undef_token1] = ACTIONS(2828),
    [anon_sym_POUND] = ACTIONS(2828),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2828),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2828),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2828),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2828),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2828),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2828),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2828),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2828),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2828),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2828),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2828),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2828),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2828),
    [anon_sym_API_AVAILABLE] = ACTIONS(2828),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2828),
    [anon_sym_API_DEPRECATED] = ACTIONS(2828),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2828),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2828),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2828),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2828),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2828),
    [anon_sym___deprecated_msg] = ACTIONS(2828),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2828),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2828),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2828),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2828),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2828),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2828),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2828),
    [anon_sym_ATprotocol] = ACTIONS(2830),
    [anon_sym_ATinterface] = ACTIONS(2830),
    [anon_sym_ATimplementation] = ACTIONS(2830),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2830),
    [anon_sym_ATsynthesize] = ACTIONS(2830),
    [anon_sym_ATdynamic] = ACTIONS(2830),
    [anon_sym_ATtry] = ACTIONS(2830),
    [anon_sym___try] = ACTIONS(2828),
    [anon_sym_ATthrow] = ACTIONS(2830),
    [anon_sym_ATselector] = ACTIONS(2830),
    [anon_sym_ATavailable] = ACTIONS(2830),
    [anon_sym___builtin_available] = ACTIONS(2828),
    [anon_sym_va_arg] = ACTIONS(2828),
    [anon_sym_ATencode] = ACTIONS(2830),
    [anon_sym_ATsynchronized] = ACTIONS(2830),
    [anon_sym_BOOL] = ACTIONS(2828),
    [anon_sym_IMP] = ACTIONS(2828),
    [anon_sym_SEL] = ACTIONS(2828),
    [anon_sym_Class] = ACTIONS(2828),
    [anon_sym_id] = ACTIONS(2828),
  },
  [486] = {
    [sym_identifier] = ACTIONS(2670),
    [aux_sym_preproc_include_token1] = ACTIONS(2670),
    [aux_sym_preproc_include_token2] = ACTIONS(2670),
    [aux_sym_preproc_def_token1] = ACTIONS(2670),
    [aux_sym_preproc_if_token1] = ACTIONS(2670),
    [aux_sym_preproc_if_token2] = ACTIONS(2670),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2670),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2670),
    [aux_sym_preproc_else_token1] = ACTIONS(2670),
    [aux_sym_preproc_elif_token1] = ACTIONS(2670),
    [sym_preproc_directive] = ACTIONS(2670),
    [anon_sym_LPAREN2] = ACTIONS(2672),
    [anon_sym_BANG] = ACTIONS(2672),
    [anon_sym_TILDE] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2670),
    [anon_sym_PLUS] = ACTIONS(2670),
    [anon_sym_STAR] = ACTIONS(2672),
    [anon_sym_CARET] = ACTIONS(2672),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym_SEMI] = ACTIONS(2672),
    [anon_sym___extension__] = ACTIONS(2670),
    [anon_sym_typedef] = ACTIONS(2670),
    [anon_sym_extern] = ACTIONS(2670),
    [anon_sym___attribute__] = ACTIONS(2670),
    [anon_sym___attribute] = ACTIONS(2670),
    [anon_sym_noreturn] = ACTIONS(2670),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym___declspec] = ACTIONS(2670),
    [anon_sym___cdecl] = ACTIONS(2670),
    [anon_sym___clrcall] = ACTIONS(2670),
    [anon_sym___stdcall] = ACTIONS(2670),
    [anon_sym___fastcall] = ACTIONS(2670),
    [anon_sym___thiscall] = ACTIONS(2670),
    [anon_sym___vectorcall] = ACTIONS(2670),
    [anon_sym_LBRACE] = ACTIONS(2672),
    [anon_sym_signed] = ACTIONS(2670),
    [anon_sym_unsigned] = ACTIONS(2670),
    [anon_sym_long] = ACTIONS(2670),
    [anon_sym_short] = ACTIONS(2670),
    [anon_sym_static] = ACTIONS(2670),
    [anon_sym_ATautoreleasepool] = ACTIONS(2672),
    [anon_sym_auto] = ACTIONS(2670),
    [anon_sym_register] = ACTIONS(2670),
    [anon_sym_inline] = ACTIONS(2670),
    [anon_sym___inline] = ACTIONS(2670),
    [anon_sym___inline__] = ACTIONS(2670),
    [anon_sym___forceinline] = ACTIONS(2670),
    [anon_sym_thread_local] = ACTIONS(2670),
    [anon_sym___thread] = ACTIONS(2670),
    [anon_sym_CG_EXTERN] = ACTIONS(2670),
    [anon_sym_CG_INLINE] = ACTIONS(2670),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2670),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2670),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2670),
    [anon_sym_IBOutlet] = ACTIONS(2670),
    [anon_sym_IBInspectable] = ACTIONS(2670),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2670),
    [anon_sym_NS_INLINE] = ACTIONS(2670),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2670),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2670),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2670),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2670),
    [anon_sym_const] = ACTIONS(2670),
    [anon_sym_constexpr] = ACTIONS(2670),
    [anon_sym_volatile] = ACTIONS(2670),
    [anon_sym_restrict] = ACTIONS(2670),
    [anon_sym___restrict__] = ACTIONS(2670),
    [anon_sym__Atomic] = ACTIONS(2670),
    [anon_sym__Noreturn] = ACTIONS(2670),
    [anon_sym__Nonnull] = ACTIONS(2670),
    [anon_sym_nullable] = ACTIONS(2670),
    [anon_sym__Complex] = ACTIONS(2670),
    [anon_sym__Nullable] = ACTIONS(2670),
    [anon_sym__Nullable_result] = ACTIONS(2670),
    [anon_sym__Null_unspecified] = ACTIONS(2670),
    [anon_sym___autoreleasing] = ACTIONS(2670),
    [anon_sym___block] = ACTIONS(2670),
    [anon_sym___bridge] = ACTIONS(2670),
    [anon_sym___bridge_retained] = ACTIONS(2670),
    [anon_sym___bridge_transfer] = ACTIONS(2670),
    [anon_sym___complex] = ACTIONS(2670),
    [anon_sym___const] = ACTIONS(2670),
    [anon_sym___imag] = ACTIONS(2670),
    [anon_sym___kindof] = ACTIONS(2670),
    [anon_sym___nonnull] = ACTIONS(2670),
    [anon_sym___nullable] = ACTIONS(2670),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2670),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2670),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2670),
    [anon_sym___real] = ACTIONS(2670),
    [anon_sym___strong] = ACTIONS(2670),
    [anon_sym___unsafe_unretained] = ACTIONS(2670),
    [anon_sym___unused] = ACTIONS(2670),
    [anon_sym___weak] = ACTIONS(2670),
    [anon_sym_alignas] = ACTIONS(2670),
    [anon_sym__Alignas] = ACTIONS(2670),
    [sym_primitive_type] = ACTIONS(2670),
    [anon_sym_enum] = ACTIONS(2670),
    [anon_sym_struct] = ACTIONS(2670),
    [anon_sym_union] = ACTIONS(2670),
    [anon_sym_if] = ACTIONS(2670),
    [anon_sym_switch] = ACTIONS(2670),
    [anon_sym_case] = ACTIONS(2670),
    [anon_sym_default] = ACTIONS(2670),
    [anon_sym_while] = ACTIONS(2670),
    [anon_sym_do] = ACTIONS(2670),
    [anon_sym_for] = ACTIONS(2670),
    [anon_sym_in] = ACTIONS(2670),
    [anon_sym_return] = ACTIONS(2670),
    [anon_sym_break] = ACTIONS(2670),
    [anon_sym_continue] = ACTIONS(2670),
    [anon_sym_goto] = ACTIONS(2670),
    [anon_sym_DASH_DASH] = ACTIONS(2672),
    [anon_sym_PLUS_PLUS] = ACTIONS(2672),
    [anon_sym_sizeof] = ACTIONS(2670),
    [anon_sym___alignof__] = ACTIONS(2670),
    [anon_sym___alignof] = ACTIONS(2670),
    [anon_sym__alignof] = ACTIONS(2670),
    [anon_sym_alignof] = ACTIONS(2670),
    [anon_sym__Alignof] = ACTIONS(2670),
    [anon_sym_offsetof] = ACTIONS(2670),
    [anon_sym__Generic] = ACTIONS(2670),
    [anon_sym_asm] = ACTIONS(2670),
    [anon_sym___asm__] = ACTIONS(2670),
    [anon_sym___asm] = ACTIONS(2670),
    [sym_number_literal] = ACTIONS(2672),
    [anon_sym_L_SQUOTE] = ACTIONS(2672),
    [anon_sym_u_SQUOTE] = ACTIONS(2672),
    [anon_sym_U_SQUOTE] = ACTIONS(2672),
    [anon_sym_u8_SQUOTE] = ACTIONS(2672),
    [anon_sym_SQUOTE] = ACTIONS(2672),
    [anon_sym_AT] = ACTIONS(2670),
    [anon_sym_DQUOTE] = ACTIONS(2672),
    [anon_sym_L_DQUOTE] = ACTIONS(2672),
    [anon_sym_u_DQUOTE] = ACTIONS(2672),
    [anon_sym_U_DQUOTE] = ACTIONS(2672),
    [anon_sym_u8_DQUOTE] = ACTIONS(2672),
    [sym_true] = ACTIONS(2670),
    [sym_false] = ACTIONS(2670),
    [anon_sym_NULL] = ACTIONS(2670),
    [anon_sym_nullptr] = ACTIONS(2670),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2670),
    [anon_sym___typeof] = ACTIONS(2670),
    [anon_sym_typeof] = ACTIONS(2670),
    [anon_sym_ATimport] = ACTIONS(2672),
    [aux_sym_preproc_undef_token1] = ACTIONS(2670),
    [anon_sym_POUND] = ACTIONS(2670),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2670),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2670),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2670),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2670),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2670),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2670),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2670),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2670),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2670),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2670),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2670),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2670),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2670),
    [anon_sym_API_AVAILABLE] = ACTIONS(2670),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2670),
    [anon_sym_API_DEPRECATED] = ACTIONS(2670),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2670),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2670),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2670),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2670),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2670),
    [anon_sym___deprecated_msg] = ACTIONS(2670),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2670),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2670),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2670),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2670),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2670),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2670),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2670),
    [anon_sym_ATprotocol] = ACTIONS(2672),
    [anon_sym_ATinterface] = ACTIONS(2672),
    [anon_sym_ATimplementation] = ACTIONS(2672),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2672),
    [anon_sym_ATsynthesize] = ACTIONS(2672),
    [anon_sym_ATdynamic] = ACTIONS(2672),
    [anon_sym_ATtry] = ACTIONS(2672),
    [anon_sym___try] = ACTIONS(2670),
    [anon_sym_ATthrow] = ACTIONS(2672),
    [anon_sym_ATselector] = ACTIONS(2672),
    [anon_sym_ATavailable] = ACTIONS(2672),
    [anon_sym___builtin_available] = ACTIONS(2670),
    [anon_sym_va_arg] = ACTIONS(2670),
    [anon_sym_ATencode] = ACTIONS(2672),
    [anon_sym_ATsynchronized] = ACTIONS(2672),
    [anon_sym_BOOL] = ACTIONS(2670),
    [anon_sym_IMP] = ACTIONS(2670),
    [anon_sym_SEL] = ACTIONS(2670),
    [anon_sym_Class] = ACTIONS(2670),
    [anon_sym_id] = ACTIONS(2670),
  },
  [487] = {
    [sym_identifier] = ACTIONS(2766),
    [aux_sym_preproc_include_token1] = ACTIONS(2766),
    [aux_sym_preproc_include_token2] = ACTIONS(2766),
    [aux_sym_preproc_def_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token2] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2766),
    [aux_sym_preproc_else_token1] = ACTIONS(2766),
    [aux_sym_preproc_elif_token1] = ACTIONS(2766),
    [sym_preproc_directive] = ACTIONS(2766),
    [anon_sym_LPAREN2] = ACTIONS(2768),
    [anon_sym_BANG] = ACTIONS(2768),
    [anon_sym_TILDE] = ACTIONS(2768),
    [anon_sym_DASH] = ACTIONS(2766),
    [anon_sym_PLUS] = ACTIONS(2766),
    [anon_sym_STAR] = ACTIONS(2768),
    [anon_sym_CARET] = ACTIONS(2768),
    [anon_sym_AMP] = ACTIONS(2768),
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym___extension__] = ACTIONS(2766),
    [anon_sym_typedef] = ACTIONS(2766),
    [anon_sym_extern] = ACTIONS(2766),
    [anon_sym___attribute__] = ACTIONS(2766),
    [anon_sym___attribute] = ACTIONS(2766),
    [anon_sym_noreturn] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2768),
    [anon_sym___declspec] = ACTIONS(2766),
    [anon_sym___cdecl] = ACTIONS(2766),
    [anon_sym___clrcall] = ACTIONS(2766),
    [anon_sym___stdcall] = ACTIONS(2766),
    [anon_sym___fastcall] = ACTIONS(2766),
    [anon_sym___thiscall] = ACTIONS(2766),
    [anon_sym___vectorcall] = ACTIONS(2766),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_signed] = ACTIONS(2766),
    [anon_sym_unsigned] = ACTIONS(2766),
    [anon_sym_long] = ACTIONS(2766),
    [anon_sym_short] = ACTIONS(2766),
    [anon_sym_static] = ACTIONS(2766),
    [anon_sym_ATautoreleasepool] = ACTIONS(2768),
    [anon_sym_auto] = ACTIONS(2766),
    [anon_sym_register] = ACTIONS(2766),
    [anon_sym_inline] = ACTIONS(2766),
    [anon_sym___inline] = ACTIONS(2766),
    [anon_sym___inline__] = ACTIONS(2766),
    [anon_sym___forceinline] = ACTIONS(2766),
    [anon_sym_thread_local] = ACTIONS(2766),
    [anon_sym___thread] = ACTIONS(2766),
    [anon_sym_CG_EXTERN] = ACTIONS(2766),
    [anon_sym_CG_INLINE] = ACTIONS(2766),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2766),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2766),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2766),
    [anon_sym_IBOutlet] = ACTIONS(2766),
    [anon_sym_IBInspectable] = ACTIONS(2766),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2766),
    [anon_sym_NS_INLINE] = ACTIONS(2766),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2766),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2766),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2766),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2766),
    [anon_sym_const] = ACTIONS(2766),
    [anon_sym_constexpr] = ACTIONS(2766),
    [anon_sym_volatile] = ACTIONS(2766),
    [anon_sym_restrict] = ACTIONS(2766),
    [anon_sym___restrict__] = ACTIONS(2766),
    [anon_sym__Atomic] = ACTIONS(2766),
    [anon_sym__Noreturn] = ACTIONS(2766),
    [anon_sym__Nonnull] = ACTIONS(2766),
    [anon_sym_nullable] = ACTIONS(2766),
    [anon_sym__Complex] = ACTIONS(2766),
    [anon_sym__Nullable] = ACTIONS(2766),
    [anon_sym__Nullable_result] = ACTIONS(2766),
    [anon_sym__Null_unspecified] = ACTIONS(2766),
    [anon_sym___autoreleasing] = ACTIONS(2766),
    [anon_sym___block] = ACTIONS(2766),
    [anon_sym___bridge] = ACTIONS(2766),
    [anon_sym___bridge_retained] = ACTIONS(2766),
    [anon_sym___bridge_transfer] = ACTIONS(2766),
    [anon_sym___complex] = ACTIONS(2766),
    [anon_sym___const] = ACTIONS(2766),
    [anon_sym___imag] = ACTIONS(2766),
    [anon_sym___kindof] = ACTIONS(2766),
    [anon_sym___nonnull] = ACTIONS(2766),
    [anon_sym___nullable] = ACTIONS(2766),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2766),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2766),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2766),
    [anon_sym___real] = ACTIONS(2766),
    [anon_sym___strong] = ACTIONS(2766),
    [anon_sym___unsafe_unretained] = ACTIONS(2766),
    [anon_sym___unused] = ACTIONS(2766),
    [anon_sym___weak] = ACTIONS(2766),
    [anon_sym_alignas] = ACTIONS(2766),
    [anon_sym__Alignas] = ACTIONS(2766),
    [sym_primitive_type] = ACTIONS(2766),
    [anon_sym_enum] = ACTIONS(2766),
    [anon_sym_struct] = ACTIONS(2766),
    [anon_sym_union] = ACTIONS(2766),
    [anon_sym_if] = ACTIONS(2766),
    [anon_sym_switch] = ACTIONS(2766),
    [anon_sym_case] = ACTIONS(2766),
    [anon_sym_default] = ACTIONS(2766),
    [anon_sym_while] = ACTIONS(2766),
    [anon_sym_do] = ACTIONS(2766),
    [anon_sym_for] = ACTIONS(2766),
    [anon_sym_in] = ACTIONS(2766),
    [anon_sym_return] = ACTIONS(2766),
    [anon_sym_break] = ACTIONS(2766),
    [anon_sym_continue] = ACTIONS(2766),
    [anon_sym_goto] = ACTIONS(2766),
    [anon_sym_DASH_DASH] = ACTIONS(2768),
    [anon_sym_PLUS_PLUS] = ACTIONS(2768),
    [anon_sym_sizeof] = ACTIONS(2766),
    [anon_sym___alignof__] = ACTIONS(2766),
    [anon_sym___alignof] = ACTIONS(2766),
    [anon_sym__alignof] = ACTIONS(2766),
    [anon_sym_alignof] = ACTIONS(2766),
    [anon_sym__Alignof] = ACTIONS(2766),
    [anon_sym_offsetof] = ACTIONS(2766),
    [anon_sym__Generic] = ACTIONS(2766),
    [anon_sym_asm] = ACTIONS(2766),
    [anon_sym___asm__] = ACTIONS(2766),
    [anon_sym___asm] = ACTIONS(2766),
    [sym_number_literal] = ACTIONS(2768),
    [anon_sym_L_SQUOTE] = ACTIONS(2768),
    [anon_sym_u_SQUOTE] = ACTIONS(2768),
    [anon_sym_U_SQUOTE] = ACTIONS(2768),
    [anon_sym_u8_SQUOTE] = ACTIONS(2768),
    [anon_sym_SQUOTE] = ACTIONS(2768),
    [anon_sym_AT] = ACTIONS(2766),
    [anon_sym_DQUOTE] = ACTIONS(2768),
    [anon_sym_L_DQUOTE] = ACTIONS(2768),
    [anon_sym_u_DQUOTE] = ACTIONS(2768),
    [anon_sym_U_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8_DQUOTE] = ACTIONS(2768),
    [sym_true] = ACTIONS(2766),
    [sym_false] = ACTIONS(2766),
    [anon_sym_NULL] = ACTIONS(2766),
    [anon_sym_nullptr] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2766),
    [anon_sym___typeof] = ACTIONS(2766),
    [anon_sym_typeof] = ACTIONS(2766),
    [anon_sym_ATimport] = ACTIONS(2768),
    [aux_sym_preproc_undef_token1] = ACTIONS(2766),
    [anon_sym_POUND] = ACTIONS(2766),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2766),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2766),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2766),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2766),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2766),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2766),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2766),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2766),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2766),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2766),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2766),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2766),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2766),
    [anon_sym_API_AVAILABLE] = ACTIONS(2766),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2766),
    [anon_sym_API_DEPRECATED] = ACTIONS(2766),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2766),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2766),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2766),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2766),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2766),
    [anon_sym___deprecated_msg] = ACTIONS(2766),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2766),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2766),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2766),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2766),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2766),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2766),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2766),
    [anon_sym_ATprotocol] = ACTIONS(2768),
    [anon_sym_ATinterface] = ACTIONS(2768),
    [anon_sym_ATimplementation] = ACTIONS(2768),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2768),
    [anon_sym_ATsynthesize] = ACTIONS(2768),
    [anon_sym_ATdynamic] = ACTIONS(2768),
    [anon_sym_ATtry] = ACTIONS(2768),
    [anon_sym___try] = ACTIONS(2766),
    [anon_sym_ATthrow] = ACTIONS(2768),
    [anon_sym_ATselector] = ACTIONS(2768),
    [anon_sym_ATavailable] = ACTIONS(2768),
    [anon_sym___builtin_available] = ACTIONS(2766),
    [anon_sym_va_arg] = ACTIONS(2766),
    [anon_sym_ATencode] = ACTIONS(2768),
    [anon_sym_ATsynchronized] = ACTIONS(2768),
    [anon_sym_BOOL] = ACTIONS(2766),
    [anon_sym_IMP] = ACTIONS(2766),
    [anon_sym_SEL] = ACTIONS(2766),
    [anon_sym_Class] = ACTIONS(2766),
    [anon_sym_id] = ACTIONS(2766),
  },
  [488] = {
    [sym_identifier] = ACTIONS(2626),
    [aux_sym_preproc_include_token1] = ACTIONS(2626),
    [aux_sym_preproc_include_token2] = ACTIONS(2626),
    [aux_sym_preproc_def_token1] = ACTIONS(2626),
    [aux_sym_preproc_if_token1] = ACTIONS(2626),
    [aux_sym_preproc_if_token2] = ACTIONS(2626),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2626),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2626),
    [aux_sym_preproc_else_token1] = ACTIONS(2626),
    [aux_sym_preproc_elif_token1] = ACTIONS(2626),
    [sym_preproc_directive] = ACTIONS(2626),
    [anon_sym_LPAREN2] = ACTIONS(2628),
    [anon_sym_BANG] = ACTIONS(2628),
    [anon_sym_TILDE] = ACTIONS(2628),
    [anon_sym_DASH] = ACTIONS(2626),
    [anon_sym_PLUS] = ACTIONS(2626),
    [anon_sym_STAR] = ACTIONS(2628),
    [anon_sym_CARET] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2628),
    [anon_sym_SEMI] = ACTIONS(2628),
    [anon_sym___extension__] = ACTIONS(2626),
    [anon_sym_typedef] = ACTIONS(2626),
    [anon_sym_extern] = ACTIONS(2626),
    [anon_sym___attribute__] = ACTIONS(2626),
    [anon_sym___attribute] = ACTIONS(2626),
    [anon_sym_noreturn] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2628),
    [anon_sym___declspec] = ACTIONS(2626),
    [anon_sym___cdecl] = ACTIONS(2626),
    [anon_sym___clrcall] = ACTIONS(2626),
    [anon_sym___stdcall] = ACTIONS(2626),
    [anon_sym___fastcall] = ACTIONS(2626),
    [anon_sym___thiscall] = ACTIONS(2626),
    [anon_sym___vectorcall] = ACTIONS(2626),
    [anon_sym_LBRACE] = ACTIONS(2628),
    [anon_sym_signed] = ACTIONS(2626),
    [anon_sym_unsigned] = ACTIONS(2626),
    [anon_sym_long] = ACTIONS(2626),
    [anon_sym_short] = ACTIONS(2626),
    [anon_sym_static] = ACTIONS(2626),
    [anon_sym_ATautoreleasepool] = ACTIONS(2628),
    [anon_sym_auto] = ACTIONS(2626),
    [anon_sym_register] = ACTIONS(2626),
    [anon_sym_inline] = ACTIONS(2626),
    [anon_sym___inline] = ACTIONS(2626),
    [anon_sym___inline__] = ACTIONS(2626),
    [anon_sym___forceinline] = ACTIONS(2626),
    [anon_sym_thread_local] = ACTIONS(2626),
    [anon_sym___thread] = ACTIONS(2626),
    [anon_sym_CG_EXTERN] = ACTIONS(2626),
    [anon_sym_CG_INLINE] = ACTIONS(2626),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2626),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2626),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2626),
    [anon_sym_IBOutlet] = ACTIONS(2626),
    [anon_sym_IBInspectable] = ACTIONS(2626),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2626),
    [anon_sym_NS_INLINE] = ACTIONS(2626),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2626),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2626),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2626),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2626),
    [anon_sym_const] = ACTIONS(2626),
    [anon_sym_constexpr] = ACTIONS(2626),
    [anon_sym_volatile] = ACTIONS(2626),
    [anon_sym_restrict] = ACTIONS(2626),
    [anon_sym___restrict__] = ACTIONS(2626),
    [anon_sym__Atomic] = ACTIONS(2626),
    [anon_sym__Noreturn] = ACTIONS(2626),
    [anon_sym__Nonnull] = ACTIONS(2626),
    [anon_sym_nullable] = ACTIONS(2626),
    [anon_sym__Complex] = ACTIONS(2626),
    [anon_sym__Nullable] = ACTIONS(2626),
    [anon_sym__Nullable_result] = ACTIONS(2626),
    [anon_sym__Null_unspecified] = ACTIONS(2626),
    [anon_sym___autoreleasing] = ACTIONS(2626),
    [anon_sym___block] = ACTIONS(2626),
    [anon_sym___bridge] = ACTIONS(2626),
    [anon_sym___bridge_retained] = ACTIONS(2626),
    [anon_sym___bridge_transfer] = ACTIONS(2626),
    [anon_sym___complex] = ACTIONS(2626),
    [anon_sym___const] = ACTIONS(2626),
    [anon_sym___imag] = ACTIONS(2626),
    [anon_sym___kindof] = ACTIONS(2626),
    [anon_sym___nonnull] = ACTIONS(2626),
    [anon_sym___nullable] = ACTIONS(2626),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2626),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2626),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2626),
    [anon_sym___real] = ACTIONS(2626),
    [anon_sym___strong] = ACTIONS(2626),
    [anon_sym___unsafe_unretained] = ACTIONS(2626),
    [anon_sym___unused] = ACTIONS(2626),
    [anon_sym___weak] = ACTIONS(2626),
    [anon_sym_alignas] = ACTIONS(2626),
    [anon_sym__Alignas] = ACTIONS(2626),
    [sym_primitive_type] = ACTIONS(2626),
    [anon_sym_enum] = ACTIONS(2626),
    [anon_sym_struct] = ACTIONS(2626),
    [anon_sym_union] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2626),
    [anon_sym_switch] = ACTIONS(2626),
    [anon_sym_case] = ACTIONS(2626),
    [anon_sym_default] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2626),
    [anon_sym_do] = ACTIONS(2626),
    [anon_sym_for] = ACTIONS(2626),
    [anon_sym_in] = ACTIONS(2626),
    [anon_sym_return] = ACTIONS(2626),
    [anon_sym_break] = ACTIONS(2626),
    [anon_sym_continue] = ACTIONS(2626),
    [anon_sym_goto] = ACTIONS(2626),
    [anon_sym_DASH_DASH] = ACTIONS(2628),
    [anon_sym_PLUS_PLUS] = ACTIONS(2628),
    [anon_sym_sizeof] = ACTIONS(2626),
    [anon_sym___alignof__] = ACTIONS(2626),
    [anon_sym___alignof] = ACTIONS(2626),
    [anon_sym__alignof] = ACTIONS(2626),
    [anon_sym_alignof] = ACTIONS(2626),
    [anon_sym__Alignof] = ACTIONS(2626),
    [anon_sym_offsetof] = ACTIONS(2626),
    [anon_sym__Generic] = ACTIONS(2626),
    [anon_sym_asm] = ACTIONS(2626),
    [anon_sym___asm__] = ACTIONS(2626),
    [anon_sym___asm] = ACTIONS(2626),
    [sym_number_literal] = ACTIONS(2628),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_AT] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2628),
    [anon_sym_u_DQUOTE] = ACTIONS(2628),
    [anon_sym_U_DQUOTE] = ACTIONS(2628),
    [anon_sym_u8_DQUOTE] = ACTIONS(2628),
    [sym_true] = ACTIONS(2626),
    [sym_false] = ACTIONS(2626),
    [anon_sym_NULL] = ACTIONS(2626),
    [anon_sym_nullptr] = ACTIONS(2626),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2626),
    [anon_sym___typeof] = ACTIONS(2626),
    [anon_sym_typeof] = ACTIONS(2626),
    [anon_sym_ATimport] = ACTIONS(2628),
    [aux_sym_preproc_undef_token1] = ACTIONS(2626),
    [anon_sym_POUND] = ACTIONS(2626),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2626),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2626),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2626),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2626),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2626),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2626),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2626),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2626),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2626),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2626),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2626),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2626),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2626),
    [anon_sym_API_AVAILABLE] = ACTIONS(2626),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2626),
    [anon_sym_API_DEPRECATED] = ACTIONS(2626),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2626),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2626),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2626),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2626),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2626),
    [anon_sym___deprecated_msg] = ACTIONS(2626),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2626),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2626),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2626),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2626),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2626),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2626),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2626),
    [anon_sym_ATprotocol] = ACTIONS(2628),
    [anon_sym_ATinterface] = ACTIONS(2628),
    [anon_sym_ATimplementation] = ACTIONS(2628),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2628),
    [anon_sym_ATsynthesize] = ACTIONS(2628),
    [anon_sym_ATdynamic] = ACTIONS(2628),
    [anon_sym_ATtry] = ACTIONS(2628),
    [anon_sym___try] = ACTIONS(2626),
    [anon_sym_ATthrow] = ACTIONS(2628),
    [anon_sym_ATselector] = ACTIONS(2628),
    [anon_sym_ATavailable] = ACTIONS(2628),
    [anon_sym___builtin_available] = ACTIONS(2626),
    [anon_sym_va_arg] = ACTIONS(2626),
    [anon_sym_ATencode] = ACTIONS(2628),
    [anon_sym_ATsynchronized] = ACTIONS(2628),
    [anon_sym_BOOL] = ACTIONS(2626),
    [anon_sym_IMP] = ACTIONS(2626),
    [anon_sym_SEL] = ACTIONS(2626),
    [anon_sym_Class] = ACTIONS(2626),
    [anon_sym_id] = ACTIONS(2626),
  },
  [489] = {
    [sym_identifier] = ACTIONS(2778),
    [aux_sym_preproc_include_token1] = ACTIONS(2778),
    [aux_sym_preproc_include_token2] = ACTIONS(2778),
    [aux_sym_preproc_def_token1] = ACTIONS(2778),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_if_token2] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2778),
    [aux_sym_preproc_else_token1] = ACTIONS(2778),
    [aux_sym_preproc_elif_token1] = ACTIONS(2778),
    [sym_preproc_directive] = ACTIONS(2778),
    [anon_sym_LPAREN2] = ACTIONS(2780),
    [anon_sym_BANG] = ACTIONS(2780),
    [anon_sym_TILDE] = ACTIONS(2780),
    [anon_sym_DASH] = ACTIONS(2778),
    [anon_sym_PLUS] = ACTIONS(2778),
    [anon_sym_STAR] = ACTIONS(2780),
    [anon_sym_CARET] = ACTIONS(2780),
    [anon_sym_AMP] = ACTIONS(2780),
    [anon_sym_SEMI] = ACTIONS(2780),
    [anon_sym___extension__] = ACTIONS(2778),
    [anon_sym_typedef] = ACTIONS(2778),
    [anon_sym_extern] = ACTIONS(2778),
    [anon_sym___attribute__] = ACTIONS(2778),
    [anon_sym___attribute] = ACTIONS(2778),
    [anon_sym_noreturn] = ACTIONS(2778),
    [anon_sym_LBRACK] = ACTIONS(2780),
    [anon_sym___declspec] = ACTIONS(2778),
    [anon_sym___cdecl] = ACTIONS(2778),
    [anon_sym___clrcall] = ACTIONS(2778),
    [anon_sym___stdcall] = ACTIONS(2778),
    [anon_sym___fastcall] = ACTIONS(2778),
    [anon_sym___thiscall] = ACTIONS(2778),
    [anon_sym___vectorcall] = ACTIONS(2778),
    [anon_sym_LBRACE] = ACTIONS(2780),
    [anon_sym_signed] = ACTIONS(2778),
    [anon_sym_unsigned] = ACTIONS(2778),
    [anon_sym_long] = ACTIONS(2778),
    [anon_sym_short] = ACTIONS(2778),
    [anon_sym_static] = ACTIONS(2778),
    [anon_sym_ATautoreleasepool] = ACTIONS(2780),
    [anon_sym_auto] = ACTIONS(2778),
    [anon_sym_register] = ACTIONS(2778),
    [anon_sym_inline] = ACTIONS(2778),
    [anon_sym___inline] = ACTIONS(2778),
    [anon_sym___inline__] = ACTIONS(2778),
    [anon_sym___forceinline] = ACTIONS(2778),
    [anon_sym_thread_local] = ACTIONS(2778),
    [anon_sym___thread] = ACTIONS(2778),
    [anon_sym_CG_EXTERN] = ACTIONS(2778),
    [anon_sym_CG_INLINE] = ACTIONS(2778),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2778),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2778),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2778),
    [anon_sym_IBOutlet] = ACTIONS(2778),
    [anon_sym_IBInspectable] = ACTIONS(2778),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2778),
    [anon_sym_NS_INLINE] = ACTIONS(2778),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2778),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2778),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2778),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2778),
    [anon_sym_const] = ACTIONS(2778),
    [anon_sym_constexpr] = ACTIONS(2778),
    [anon_sym_volatile] = ACTIONS(2778),
    [anon_sym_restrict] = ACTIONS(2778),
    [anon_sym___restrict__] = ACTIONS(2778),
    [anon_sym__Atomic] = ACTIONS(2778),
    [anon_sym__Noreturn] = ACTIONS(2778),
    [anon_sym__Nonnull] = ACTIONS(2778),
    [anon_sym_nullable] = ACTIONS(2778),
    [anon_sym__Complex] = ACTIONS(2778),
    [anon_sym__Nullable] = ACTIONS(2778),
    [anon_sym__Nullable_result] = ACTIONS(2778),
    [anon_sym__Null_unspecified] = ACTIONS(2778),
    [anon_sym___autoreleasing] = ACTIONS(2778),
    [anon_sym___block] = ACTIONS(2778),
    [anon_sym___bridge] = ACTIONS(2778),
    [anon_sym___bridge_retained] = ACTIONS(2778),
    [anon_sym___bridge_transfer] = ACTIONS(2778),
    [anon_sym___complex] = ACTIONS(2778),
    [anon_sym___const] = ACTIONS(2778),
    [anon_sym___imag] = ACTIONS(2778),
    [anon_sym___kindof] = ACTIONS(2778),
    [anon_sym___nonnull] = ACTIONS(2778),
    [anon_sym___nullable] = ACTIONS(2778),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2778),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2778),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2778),
    [anon_sym___real] = ACTIONS(2778),
    [anon_sym___strong] = ACTIONS(2778),
    [anon_sym___unsafe_unretained] = ACTIONS(2778),
    [anon_sym___unused] = ACTIONS(2778),
    [anon_sym___weak] = ACTIONS(2778),
    [anon_sym_alignas] = ACTIONS(2778),
    [anon_sym__Alignas] = ACTIONS(2778),
    [sym_primitive_type] = ACTIONS(2778),
    [anon_sym_enum] = ACTIONS(2778),
    [anon_sym_struct] = ACTIONS(2778),
    [anon_sym_union] = ACTIONS(2778),
    [anon_sym_if] = ACTIONS(2778),
    [anon_sym_switch] = ACTIONS(2778),
    [anon_sym_case] = ACTIONS(2778),
    [anon_sym_default] = ACTIONS(2778),
    [anon_sym_while] = ACTIONS(2778),
    [anon_sym_do] = ACTIONS(2778),
    [anon_sym_for] = ACTIONS(2778),
    [anon_sym_in] = ACTIONS(2778),
    [anon_sym_return] = ACTIONS(2778),
    [anon_sym_break] = ACTIONS(2778),
    [anon_sym_continue] = ACTIONS(2778),
    [anon_sym_goto] = ACTIONS(2778),
    [anon_sym_DASH_DASH] = ACTIONS(2780),
    [anon_sym_PLUS_PLUS] = ACTIONS(2780),
    [anon_sym_sizeof] = ACTIONS(2778),
    [anon_sym___alignof__] = ACTIONS(2778),
    [anon_sym___alignof] = ACTIONS(2778),
    [anon_sym__alignof] = ACTIONS(2778),
    [anon_sym_alignof] = ACTIONS(2778),
    [anon_sym__Alignof] = ACTIONS(2778),
    [anon_sym_offsetof] = ACTIONS(2778),
    [anon_sym__Generic] = ACTIONS(2778),
    [anon_sym_asm] = ACTIONS(2778),
    [anon_sym___asm__] = ACTIONS(2778),
    [anon_sym___asm] = ACTIONS(2778),
    [sym_number_literal] = ACTIONS(2780),
    [anon_sym_L_SQUOTE] = ACTIONS(2780),
    [anon_sym_u_SQUOTE] = ACTIONS(2780),
    [anon_sym_U_SQUOTE] = ACTIONS(2780),
    [anon_sym_u8_SQUOTE] = ACTIONS(2780),
    [anon_sym_SQUOTE] = ACTIONS(2780),
    [anon_sym_AT] = ACTIONS(2778),
    [anon_sym_DQUOTE] = ACTIONS(2780),
    [anon_sym_L_DQUOTE] = ACTIONS(2780),
    [anon_sym_u_DQUOTE] = ACTIONS(2780),
    [anon_sym_U_DQUOTE] = ACTIONS(2780),
    [anon_sym_u8_DQUOTE] = ACTIONS(2780),
    [sym_true] = ACTIONS(2778),
    [sym_false] = ACTIONS(2778),
    [anon_sym_NULL] = ACTIONS(2778),
    [anon_sym_nullptr] = ACTIONS(2778),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2778),
    [anon_sym___typeof] = ACTIONS(2778),
    [anon_sym_typeof] = ACTIONS(2778),
    [anon_sym_ATimport] = ACTIONS(2780),
    [aux_sym_preproc_undef_token1] = ACTIONS(2778),
    [anon_sym_POUND] = ACTIONS(2778),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2778),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2778),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2778),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2778),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2778),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2778),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2778),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2778),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2778),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2778),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2778),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2778),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2778),
    [anon_sym_API_AVAILABLE] = ACTIONS(2778),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2778),
    [anon_sym_API_DEPRECATED] = ACTIONS(2778),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2778),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2778),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2778),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2778),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2778),
    [anon_sym___deprecated_msg] = ACTIONS(2778),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2778),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2778),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2778),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2778),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2778),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2778),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2778),
    [anon_sym_ATprotocol] = ACTIONS(2780),
    [anon_sym_ATinterface] = ACTIONS(2780),
    [anon_sym_ATimplementation] = ACTIONS(2780),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2780),
    [anon_sym_ATsynthesize] = ACTIONS(2780),
    [anon_sym_ATdynamic] = ACTIONS(2780),
    [anon_sym_ATtry] = ACTIONS(2780),
    [anon_sym___try] = ACTIONS(2778),
    [anon_sym_ATthrow] = ACTIONS(2780),
    [anon_sym_ATselector] = ACTIONS(2780),
    [anon_sym_ATavailable] = ACTIONS(2780),
    [anon_sym___builtin_available] = ACTIONS(2778),
    [anon_sym_va_arg] = ACTIONS(2778),
    [anon_sym_ATencode] = ACTIONS(2780),
    [anon_sym_ATsynchronized] = ACTIONS(2780),
    [anon_sym_BOOL] = ACTIONS(2778),
    [anon_sym_IMP] = ACTIONS(2778),
    [anon_sym_SEL] = ACTIONS(2778),
    [anon_sym_Class] = ACTIONS(2778),
    [anon_sym_id] = ACTIONS(2778),
  },
  [490] = {
    [sym_identifier] = ACTIONS(2782),
    [aux_sym_preproc_include_token1] = ACTIONS(2782),
    [aux_sym_preproc_include_token2] = ACTIONS(2782),
    [aux_sym_preproc_def_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token2] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2782),
    [aux_sym_preproc_else_token1] = ACTIONS(2782),
    [aux_sym_preproc_elif_token1] = ACTIONS(2782),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(2784),
    [anon_sym_BANG] = ACTIONS(2784),
    [anon_sym_TILDE] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2782),
    [anon_sym_PLUS] = ACTIONS(2782),
    [anon_sym_STAR] = ACTIONS(2784),
    [anon_sym_CARET] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(2784),
    [anon_sym_SEMI] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(2782),
    [anon_sym_typedef] = ACTIONS(2782),
    [anon_sym_extern] = ACTIONS(2782),
    [anon_sym___attribute__] = ACTIONS(2782),
    [anon_sym___attribute] = ACTIONS(2782),
    [anon_sym_noreturn] = ACTIONS(2782),
    [anon_sym_LBRACK] = ACTIONS(2784),
    [anon_sym___declspec] = ACTIONS(2782),
    [anon_sym___cdecl] = ACTIONS(2782),
    [anon_sym___clrcall] = ACTIONS(2782),
    [anon_sym___stdcall] = ACTIONS(2782),
    [anon_sym___fastcall] = ACTIONS(2782),
    [anon_sym___thiscall] = ACTIONS(2782),
    [anon_sym___vectorcall] = ACTIONS(2782),
    [anon_sym_LBRACE] = ACTIONS(2784),
    [anon_sym_signed] = ACTIONS(2782),
    [anon_sym_unsigned] = ACTIONS(2782),
    [anon_sym_long] = ACTIONS(2782),
    [anon_sym_short] = ACTIONS(2782),
    [anon_sym_static] = ACTIONS(2782),
    [anon_sym_ATautoreleasepool] = ACTIONS(2784),
    [anon_sym_auto] = ACTIONS(2782),
    [anon_sym_register] = ACTIONS(2782),
    [anon_sym_inline] = ACTIONS(2782),
    [anon_sym___inline] = ACTIONS(2782),
    [anon_sym___inline__] = ACTIONS(2782),
    [anon_sym___forceinline] = ACTIONS(2782),
    [anon_sym_thread_local] = ACTIONS(2782),
    [anon_sym___thread] = ACTIONS(2782),
    [anon_sym_CG_EXTERN] = ACTIONS(2782),
    [anon_sym_CG_INLINE] = ACTIONS(2782),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2782),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2782),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2782),
    [anon_sym_IBOutlet] = ACTIONS(2782),
    [anon_sym_IBInspectable] = ACTIONS(2782),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2782),
    [anon_sym_NS_INLINE] = ACTIONS(2782),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2782),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2782),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2782),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2782),
    [anon_sym_const] = ACTIONS(2782),
    [anon_sym_constexpr] = ACTIONS(2782),
    [anon_sym_volatile] = ACTIONS(2782),
    [anon_sym_restrict] = ACTIONS(2782),
    [anon_sym___restrict__] = ACTIONS(2782),
    [anon_sym__Atomic] = ACTIONS(2782),
    [anon_sym__Noreturn] = ACTIONS(2782),
    [anon_sym__Nonnull] = ACTIONS(2782),
    [anon_sym_nullable] = ACTIONS(2782),
    [anon_sym__Complex] = ACTIONS(2782),
    [anon_sym__Nullable] = ACTIONS(2782),
    [anon_sym__Nullable_result] = ACTIONS(2782),
    [anon_sym__Null_unspecified] = ACTIONS(2782),
    [anon_sym___autoreleasing] = ACTIONS(2782),
    [anon_sym___block] = ACTIONS(2782),
    [anon_sym___bridge] = ACTIONS(2782),
    [anon_sym___bridge_retained] = ACTIONS(2782),
    [anon_sym___bridge_transfer] = ACTIONS(2782),
    [anon_sym___complex] = ACTIONS(2782),
    [anon_sym___const] = ACTIONS(2782),
    [anon_sym___imag] = ACTIONS(2782),
    [anon_sym___kindof] = ACTIONS(2782),
    [anon_sym___nonnull] = ACTIONS(2782),
    [anon_sym___nullable] = ACTIONS(2782),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2782),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2782),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2782),
    [anon_sym___real] = ACTIONS(2782),
    [anon_sym___strong] = ACTIONS(2782),
    [anon_sym___unsafe_unretained] = ACTIONS(2782),
    [anon_sym___unused] = ACTIONS(2782),
    [anon_sym___weak] = ACTIONS(2782),
    [anon_sym_alignas] = ACTIONS(2782),
    [anon_sym__Alignas] = ACTIONS(2782),
    [sym_primitive_type] = ACTIONS(2782),
    [anon_sym_enum] = ACTIONS(2782),
    [anon_sym_struct] = ACTIONS(2782),
    [anon_sym_union] = ACTIONS(2782),
    [anon_sym_if] = ACTIONS(2782),
    [anon_sym_switch] = ACTIONS(2782),
    [anon_sym_case] = ACTIONS(2782),
    [anon_sym_default] = ACTIONS(2782),
    [anon_sym_while] = ACTIONS(2782),
    [anon_sym_do] = ACTIONS(2782),
    [anon_sym_for] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(2782),
    [anon_sym_return] = ACTIONS(2782),
    [anon_sym_break] = ACTIONS(2782),
    [anon_sym_continue] = ACTIONS(2782),
    [anon_sym_goto] = ACTIONS(2782),
    [anon_sym_DASH_DASH] = ACTIONS(2784),
    [anon_sym_PLUS_PLUS] = ACTIONS(2784),
    [anon_sym_sizeof] = ACTIONS(2782),
    [anon_sym___alignof__] = ACTIONS(2782),
    [anon_sym___alignof] = ACTIONS(2782),
    [anon_sym__alignof] = ACTIONS(2782),
    [anon_sym_alignof] = ACTIONS(2782),
    [anon_sym__Alignof] = ACTIONS(2782),
    [anon_sym_offsetof] = ACTIONS(2782),
    [anon_sym__Generic] = ACTIONS(2782),
    [anon_sym_asm] = ACTIONS(2782),
    [anon_sym___asm__] = ACTIONS(2782),
    [anon_sym___asm] = ACTIONS(2782),
    [sym_number_literal] = ACTIONS(2784),
    [anon_sym_L_SQUOTE] = ACTIONS(2784),
    [anon_sym_u_SQUOTE] = ACTIONS(2784),
    [anon_sym_U_SQUOTE] = ACTIONS(2784),
    [anon_sym_u8_SQUOTE] = ACTIONS(2784),
    [anon_sym_SQUOTE] = ACTIONS(2784),
    [anon_sym_AT] = ACTIONS(2782),
    [anon_sym_DQUOTE] = ACTIONS(2784),
    [anon_sym_L_DQUOTE] = ACTIONS(2784),
    [anon_sym_u_DQUOTE] = ACTIONS(2784),
    [anon_sym_U_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8_DQUOTE] = ACTIONS(2784),
    [sym_true] = ACTIONS(2782),
    [sym_false] = ACTIONS(2782),
    [anon_sym_NULL] = ACTIONS(2782),
    [anon_sym_nullptr] = ACTIONS(2782),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2782),
    [anon_sym___typeof] = ACTIONS(2782),
    [anon_sym_typeof] = ACTIONS(2782),
    [anon_sym_ATimport] = ACTIONS(2784),
    [aux_sym_preproc_undef_token1] = ACTIONS(2782),
    [anon_sym_POUND] = ACTIONS(2782),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2782),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2782),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2782),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2782),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2782),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2782),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2782),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2782),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2782),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2782),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2782),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2782),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2782),
    [anon_sym_API_AVAILABLE] = ACTIONS(2782),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2782),
    [anon_sym_API_DEPRECATED] = ACTIONS(2782),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2782),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2782),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2782),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2782),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2782),
    [anon_sym___deprecated_msg] = ACTIONS(2782),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2782),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2782),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2782),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2782),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2782),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2782),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2782),
    [anon_sym_ATprotocol] = ACTIONS(2784),
    [anon_sym_ATinterface] = ACTIONS(2784),
    [anon_sym_ATimplementation] = ACTIONS(2784),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2784),
    [anon_sym_ATsynthesize] = ACTIONS(2784),
    [anon_sym_ATdynamic] = ACTIONS(2784),
    [anon_sym_ATtry] = ACTIONS(2784),
    [anon_sym___try] = ACTIONS(2782),
    [anon_sym_ATthrow] = ACTIONS(2784),
    [anon_sym_ATselector] = ACTIONS(2784),
    [anon_sym_ATavailable] = ACTIONS(2784),
    [anon_sym___builtin_available] = ACTIONS(2782),
    [anon_sym_va_arg] = ACTIONS(2782),
    [anon_sym_ATencode] = ACTIONS(2784),
    [anon_sym_ATsynchronized] = ACTIONS(2784),
    [anon_sym_BOOL] = ACTIONS(2782),
    [anon_sym_IMP] = ACTIONS(2782),
    [anon_sym_SEL] = ACTIONS(2782),
    [anon_sym_Class] = ACTIONS(2782),
    [anon_sym_id] = ACTIONS(2782),
  },
  [491] = {
    [sym_identifier] = ACTIONS(2604),
    [aux_sym_preproc_include_token1] = ACTIONS(2604),
    [aux_sym_preproc_include_token2] = ACTIONS(2604),
    [aux_sym_preproc_def_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token2] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2604),
    [aux_sym_preproc_else_token1] = ACTIONS(2604),
    [aux_sym_preproc_elif_token1] = ACTIONS(2604),
    [sym_preproc_directive] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2606),
    [anon_sym_BANG] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_DASH] = ACTIONS(2604),
    [anon_sym_PLUS] = ACTIONS(2604),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2606),
    [anon_sym_SEMI] = ACTIONS(2606),
    [anon_sym___extension__] = ACTIONS(2604),
    [anon_sym_typedef] = ACTIONS(2604),
    [anon_sym_extern] = ACTIONS(2604),
    [anon_sym___attribute__] = ACTIONS(2604),
    [anon_sym___attribute] = ACTIONS(2604),
    [anon_sym_noreturn] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2606),
    [anon_sym___declspec] = ACTIONS(2604),
    [anon_sym___cdecl] = ACTIONS(2604),
    [anon_sym___clrcall] = ACTIONS(2604),
    [anon_sym___stdcall] = ACTIONS(2604),
    [anon_sym___fastcall] = ACTIONS(2604),
    [anon_sym___thiscall] = ACTIONS(2604),
    [anon_sym___vectorcall] = ACTIONS(2604),
    [anon_sym_LBRACE] = ACTIONS(2606),
    [anon_sym_signed] = ACTIONS(2604),
    [anon_sym_unsigned] = ACTIONS(2604),
    [anon_sym_long] = ACTIONS(2604),
    [anon_sym_short] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_ATautoreleasepool] = ACTIONS(2606),
    [anon_sym_auto] = ACTIONS(2604),
    [anon_sym_register] = ACTIONS(2604),
    [anon_sym_inline] = ACTIONS(2604),
    [anon_sym___inline] = ACTIONS(2604),
    [anon_sym___inline__] = ACTIONS(2604),
    [anon_sym___forceinline] = ACTIONS(2604),
    [anon_sym_thread_local] = ACTIONS(2604),
    [anon_sym___thread] = ACTIONS(2604),
    [anon_sym_CG_EXTERN] = ACTIONS(2604),
    [anon_sym_CG_INLINE] = ACTIONS(2604),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2604),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2604),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2604),
    [anon_sym_IBOutlet] = ACTIONS(2604),
    [anon_sym_IBInspectable] = ACTIONS(2604),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2604),
    [anon_sym_NS_INLINE] = ACTIONS(2604),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2604),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2604),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2604),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_constexpr] = ACTIONS(2604),
    [anon_sym_volatile] = ACTIONS(2604),
    [anon_sym_restrict] = ACTIONS(2604),
    [anon_sym___restrict__] = ACTIONS(2604),
    [anon_sym__Atomic] = ACTIONS(2604),
    [anon_sym__Noreturn] = ACTIONS(2604),
    [anon_sym__Nonnull] = ACTIONS(2604),
    [anon_sym_nullable] = ACTIONS(2604),
    [anon_sym__Complex] = ACTIONS(2604),
    [anon_sym__Nullable] = ACTIONS(2604),
    [anon_sym__Nullable_result] = ACTIONS(2604),
    [anon_sym__Null_unspecified] = ACTIONS(2604),
    [anon_sym___autoreleasing] = ACTIONS(2604),
    [anon_sym___block] = ACTIONS(2604),
    [anon_sym___bridge] = ACTIONS(2604),
    [anon_sym___bridge_retained] = ACTIONS(2604),
    [anon_sym___bridge_transfer] = ACTIONS(2604),
    [anon_sym___complex] = ACTIONS(2604),
    [anon_sym___const] = ACTIONS(2604),
    [anon_sym___imag] = ACTIONS(2604),
    [anon_sym___kindof] = ACTIONS(2604),
    [anon_sym___nonnull] = ACTIONS(2604),
    [anon_sym___nullable] = ACTIONS(2604),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2604),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2604),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2604),
    [anon_sym___real] = ACTIONS(2604),
    [anon_sym___strong] = ACTIONS(2604),
    [anon_sym___unsafe_unretained] = ACTIONS(2604),
    [anon_sym___unused] = ACTIONS(2604),
    [anon_sym___weak] = ACTIONS(2604),
    [anon_sym_alignas] = ACTIONS(2604),
    [anon_sym__Alignas] = ACTIONS(2604),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2604),
    [anon_sym_union] = ACTIONS(2604),
    [anon_sym_if] = ACTIONS(2604),
    [anon_sym_switch] = ACTIONS(2604),
    [anon_sym_case] = ACTIONS(2604),
    [anon_sym_default] = ACTIONS(2604),
    [anon_sym_while] = ACTIONS(2604),
    [anon_sym_do] = ACTIONS(2604),
    [anon_sym_for] = ACTIONS(2604),
    [anon_sym_in] = ACTIONS(2604),
    [anon_sym_return] = ACTIONS(2604),
    [anon_sym_break] = ACTIONS(2604),
    [anon_sym_continue] = ACTIONS(2604),
    [anon_sym_goto] = ACTIONS(2604),
    [anon_sym_DASH_DASH] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2606),
    [anon_sym_sizeof] = ACTIONS(2604),
    [anon_sym___alignof__] = ACTIONS(2604),
    [anon_sym___alignof] = ACTIONS(2604),
    [anon_sym__alignof] = ACTIONS(2604),
    [anon_sym_alignof] = ACTIONS(2604),
    [anon_sym__Alignof] = ACTIONS(2604),
    [anon_sym_offsetof] = ACTIONS(2604),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2604),
    [anon_sym___asm__] = ACTIONS(2604),
    [anon_sym___asm] = ACTIONS(2604),
    [sym_number_literal] = ACTIONS(2606),
    [anon_sym_L_SQUOTE] = ACTIONS(2606),
    [anon_sym_u_SQUOTE] = ACTIONS(2606),
    [anon_sym_U_SQUOTE] = ACTIONS(2606),
    [anon_sym_u8_SQUOTE] = ACTIONS(2606),
    [anon_sym_SQUOTE] = ACTIONS(2606),
    [anon_sym_AT] = ACTIONS(2604),
    [anon_sym_DQUOTE] = ACTIONS(2606),
    [anon_sym_L_DQUOTE] = ACTIONS(2606),
    [anon_sym_u_DQUOTE] = ACTIONS(2606),
    [anon_sym_U_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8_DQUOTE] = ACTIONS(2606),
    [sym_true] = ACTIONS(2604),
    [sym_false] = ACTIONS(2604),
    [anon_sym_NULL] = ACTIONS(2604),
    [anon_sym_nullptr] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2604),
    [anon_sym___typeof] = ACTIONS(2604),
    [anon_sym_typeof] = ACTIONS(2604),
    [anon_sym_ATimport] = ACTIONS(2606),
    [aux_sym_preproc_undef_token1] = ACTIONS(2604),
    [anon_sym_POUND] = ACTIONS(2604),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2604),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2604),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2604),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2604),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2604),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2604),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2604),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2604),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2604),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2604),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2604),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2604),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2604),
    [anon_sym_API_AVAILABLE] = ACTIONS(2604),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2604),
    [anon_sym_API_DEPRECATED] = ACTIONS(2604),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2604),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2604),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2604),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2604),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2604),
    [anon_sym___deprecated_msg] = ACTIONS(2604),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2604),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2604),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2604),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2604),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2604),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2604),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2604),
    [anon_sym_ATprotocol] = ACTIONS(2606),
    [anon_sym_ATinterface] = ACTIONS(2606),
    [anon_sym_ATimplementation] = ACTIONS(2606),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2606),
    [anon_sym_ATsynthesize] = ACTIONS(2606),
    [anon_sym_ATdynamic] = ACTIONS(2606),
    [anon_sym_ATtry] = ACTIONS(2606),
    [anon_sym___try] = ACTIONS(2604),
    [anon_sym_ATthrow] = ACTIONS(2606),
    [anon_sym_ATselector] = ACTIONS(2606),
    [anon_sym_ATavailable] = ACTIONS(2606),
    [anon_sym___builtin_available] = ACTIONS(2604),
    [anon_sym_va_arg] = ACTIONS(2604),
    [anon_sym_ATencode] = ACTIONS(2606),
    [anon_sym_ATsynchronized] = ACTIONS(2606),
    [anon_sym_BOOL] = ACTIONS(2604),
    [anon_sym_IMP] = ACTIONS(2604),
    [anon_sym_SEL] = ACTIONS(2604),
    [anon_sym_Class] = ACTIONS(2604),
    [anon_sym_id] = ACTIONS(2604),
  },
  [492] = {
    [sym_identifier] = ACTIONS(2718),
    [aux_sym_preproc_include_token1] = ACTIONS(2718),
    [aux_sym_preproc_include_token2] = ACTIONS(2718),
    [aux_sym_preproc_def_token1] = ACTIONS(2718),
    [aux_sym_preproc_if_token1] = ACTIONS(2718),
    [aux_sym_preproc_if_token2] = ACTIONS(2718),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2718),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2718),
    [aux_sym_preproc_else_token1] = ACTIONS(2718),
    [aux_sym_preproc_elif_token1] = ACTIONS(2718),
    [sym_preproc_directive] = ACTIONS(2718),
    [anon_sym_LPAREN2] = ACTIONS(2720),
    [anon_sym_BANG] = ACTIONS(2720),
    [anon_sym_TILDE] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2718),
    [anon_sym_PLUS] = ACTIONS(2718),
    [anon_sym_STAR] = ACTIONS(2720),
    [anon_sym_CARET] = ACTIONS(2720),
    [anon_sym_AMP] = ACTIONS(2720),
    [anon_sym_SEMI] = ACTIONS(2720),
    [anon_sym___extension__] = ACTIONS(2718),
    [anon_sym_typedef] = ACTIONS(2718),
    [anon_sym_extern] = ACTIONS(2718),
    [anon_sym___attribute__] = ACTIONS(2718),
    [anon_sym___attribute] = ACTIONS(2718),
    [anon_sym_noreturn] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [anon_sym___declspec] = ACTIONS(2718),
    [anon_sym___cdecl] = ACTIONS(2718),
    [anon_sym___clrcall] = ACTIONS(2718),
    [anon_sym___stdcall] = ACTIONS(2718),
    [anon_sym___fastcall] = ACTIONS(2718),
    [anon_sym___thiscall] = ACTIONS(2718),
    [anon_sym___vectorcall] = ACTIONS(2718),
    [anon_sym_LBRACE] = ACTIONS(2720),
    [anon_sym_signed] = ACTIONS(2718),
    [anon_sym_unsigned] = ACTIONS(2718),
    [anon_sym_long] = ACTIONS(2718),
    [anon_sym_short] = ACTIONS(2718),
    [anon_sym_static] = ACTIONS(2718),
    [anon_sym_ATautoreleasepool] = ACTIONS(2720),
    [anon_sym_auto] = ACTIONS(2718),
    [anon_sym_register] = ACTIONS(2718),
    [anon_sym_inline] = ACTIONS(2718),
    [anon_sym___inline] = ACTIONS(2718),
    [anon_sym___inline__] = ACTIONS(2718),
    [anon_sym___forceinline] = ACTIONS(2718),
    [anon_sym_thread_local] = ACTIONS(2718),
    [anon_sym___thread] = ACTIONS(2718),
    [anon_sym_CG_EXTERN] = ACTIONS(2718),
    [anon_sym_CG_INLINE] = ACTIONS(2718),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2718),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2718),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2718),
    [anon_sym_IBOutlet] = ACTIONS(2718),
    [anon_sym_IBInspectable] = ACTIONS(2718),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2718),
    [anon_sym_NS_INLINE] = ACTIONS(2718),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2718),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2718),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2718),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2718),
    [anon_sym_const] = ACTIONS(2718),
    [anon_sym_constexpr] = ACTIONS(2718),
    [anon_sym_volatile] = ACTIONS(2718),
    [anon_sym_restrict] = ACTIONS(2718),
    [anon_sym___restrict__] = ACTIONS(2718),
    [anon_sym__Atomic] = ACTIONS(2718),
    [anon_sym__Noreturn] = ACTIONS(2718),
    [anon_sym__Nonnull] = ACTIONS(2718),
    [anon_sym_nullable] = ACTIONS(2718),
    [anon_sym__Complex] = ACTIONS(2718),
    [anon_sym__Nullable] = ACTIONS(2718),
    [anon_sym__Nullable_result] = ACTIONS(2718),
    [anon_sym__Null_unspecified] = ACTIONS(2718),
    [anon_sym___autoreleasing] = ACTIONS(2718),
    [anon_sym___block] = ACTIONS(2718),
    [anon_sym___bridge] = ACTIONS(2718),
    [anon_sym___bridge_retained] = ACTIONS(2718),
    [anon_sym___bridge_transfer] = ACTIONS(2718),
    [anon_sym___complex] = ACTIONS(2718),
    [anon_sym___const] = ACTIONS(2718),
    [anon_sym___imag] = ACTIONS(2718),
    [anon_sym___kindof] = ACTIONS(2718),
    [anon_sym___nonnull] = ACTIONS(2718),
    [anon_sym___nullable] = ACTIONS(2718),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2718),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2718),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2718),
    [anon_sym___real] = ACTIONS(2718),
    [anon_sym___strong] = ACTIONS(2718),
    [anon_sym___unsafe_unretained] = ACTIONS(2718),
    [anon_sym___unused] = ACTIONS(2718),
    [anon_sym___weak] = ACTIONS(2718),
    [anon_sym_alignas] = ACTIONS(2718),
    [anon_sym__Alignas] = ACTIONS(2718),
    [sym_primitive_type] = ACTIONS(2718),
    [anon_sym_enum] = ACTIONS(2718),
    [anon_sym_struct] = ACTIONS(2718),
    [anon_sym_union] = ACTIONS(2718),
    [anon_sym_if] = ACTIONS(2718),
    [anon_sym_switch] = ACTIONS(2718),
    [anon_sym_case] = ACTIONS(2718),
    [anon_sym_default] = ACTIONS(2718),
    [anon_sym_while] = ACTIONS(2718),
    [anon_sym_do] = ACTIONS(2718),
    [anon_sym_for] = ACTIONS(2718),
    [anon_sym_in] = ACTIONS(2718),
    [anon_sym_return] = ACTIONS(2718),
    [anon_sym_break] = ACTIONS(2718),
    [anon_sym_continue] = ACTIONS(2718),
    [anon_sym_goto] = ACTIONS(2718),
    [anon_sym_DASH_DASH] = ACTIONS(2720),
    [anon_sym_PLUS_PLUS] = ACTIONS(2720),
    [anon_sym_sizeof] = ACTIONS(2718),
    [anon_sym___alignof__] = ACTIONS(2718),
    [anon_sym___alignof] = ACTIONS(2718),
    [anon_sym__alignof] = ACTIONS(2718),
    [anon_sym_alignof] = ACTIONS(2718),
    [anon_sym__Alignof] = ACTIONS(2718),
    [anon_sym_offsetof] = ACTIONS(2718),
    [anon_sym__Generic] = ACTIONS(2718),
    [anon_sym_asm] = ACTIONS(2718),
    [anon_sym___asm__] = ACTIONS(2718),
    [anon_sym___asm] = ACTIONS(2718),
    [sym_number_literal] = ACTIONS(2720),
    [anon_sym_L_SQUOTE] = ACTIONS(2720),
    [anon_sym_u_SQUOTE] = ACTIONS(2720),
    [anon_sym_U_SQUOTE] = ACTIONS(2720),
    [anon_sym_u8_SQUOTE] = ACTIONS(2720),
    [anon_sym_SQUOTE] = ACTIONS(2720),
    [anon_sym_AT] = ACTIONS(2718),
    [anon_sym_DQUOTE] = ACTIONS(2720),
    [anon_sym_L_DQUOTE] = ACTIONS(2720),
    [anon_sym_u_DQUOTE] = ACTIONS(2720),
    [anon_sym_U_DQUOTE] = ACTIONS(2720),
    [anon_sym_u8_DQUOTE] = ACTIONS(2720),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2718),
    [anon_sym_nullptr] = ACTIONS(2718),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2718),
    [anon_sym___typeof] = ACTIONS(2718),
    [anon_sym_typeof] = ACTIONS(2718),
    [anon_sym_ATimport] = ACTIONS(2720),
    [aux_sym_preproc_undef_token1] = ACTIONS(2718),
    [anon_sym_POUND] = ACTIONS(2718),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2718),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2718),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2718),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2718),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2718),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2718),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2718),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2718),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2718),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_API_AVAILABLE] = ACTIONS(2718),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_API_DEPRECATED] = ACTIONS(2718),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2718),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2718),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2718),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2718),
    [anon_sym___deprecated_msg] = ACTIONS(2718),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2718),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2718),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2718),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2718),
    [anon_sym_ATprotocol] = ACTIONS(2720),
    [anon_sym_ATinterface] = ACTIONS(2720),
    [anon_sym_ATimplementation] = ACTIONS(2720),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2720),
    [anon_sym_ATsynthesize] = ACTIONS(2720),
    [anon_sym_ATdynamic] = ACTIONS(2720),
    [anon_sym_ATtry] = ACTIONS(2720),
    [anon_sym___try] = ACTIONS(2718),
    [anon_sym_ATthrow] = ACTIONS(2720),
    [anon_sym_ATselector] = ACTIONS(2720),
    [anon_sym_ATavailable] = ACTIONS(2720),
    [anon_sym___builtin_available] = ACTIONS(2718),
    [anon_sym_va_arg] = ACTIONS(2718),
    [anon_sym_ATencode] = ACTIONS(2720),
    [anon_sym_ATsynchronized] = ACTIONS(2720),
    [anon_sym_BOOL] = ACTIONS(2718),
    [anon_sym_IMP] = ACTIONS(2718),
    [anon_sym_SEL] = ACTIONS(2718),
    [anon_sym_Class] = ACTIONS(2718),
    [anon_sym_id] = ACTIONS(2718),
  },
  [493] = {
    [sym_identifier] = ACTIONS(2832),
    [aux_sym_preproc_include_token1] = ACTIONS(2832),
    [aux_sym_preproc_include_token2] = ACTIONS(2832),
    [aux_sym_preproc_def_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token2] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2832),
    [aux_sym_preproc_else_token1] = ACTIONS(2832),
    [aux_sym_preproc_elif_token1] = ACTIONS(2832),
    [sym_preproc_directive] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2834),
    [anon_sym_TILDE] = ACTIONS(2834),
    [anon_sym_DASH] = ACTIONS(2832),
    [anon_sym_PLUS] = ACTIONS(2832),
    [anon_sym_STAR] = ACTIONS(2834),
    [anon_sym_CARET] = ACTIONS(2834),
    [anon_sym_AMP] = ACTIONS(2834),
    [anon_sym_SEMI] = ACTIONS(2834),
    [anon_sym___extension__] = ACTIONS(2832),
    [anon_sym_typedef] = ACTIONS(2832),
    [anon_sym_extern] = ACTIONS(2832),
    [anon_sym___attribute__] = ACTIONS(2832),
    [anon_sym___attribute] = ACTIONS(2832),
    [anon_sym_noreturn] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2834),
    [anon_sym___declspec] = ACTIONS(2832),
    [anon_sym___cdecl] = ACTIONS(2832),
    [anon_sym___clrcall] = ACTIONS(2832),
    [anon_sym___stdcall] = ACTIONS(2832),
    [anon_sym___fastcall] = ACTIONS(2832),
    [anon_sym___thiscall] = ACTIONS(2832),
    [anon_sym___vectorcall] = ACTIONS(2832),
    [anon_sym_LBRACE] = ACTIONS(2834),
    [anon_sym_signed] = ACTIONS(2832),
    [anon_sym_unsigned] = ACTIONS(2832),
    [anon_sym_long] = ACTIONS(2832),
    [anon_sym_short] = ACTIONS(2832),
    [anon_sym_static] = ACTIONS(2832),
    [anon_sym_ATautoreleasepool] = ACTIONS(2834),
    [anon_sym_auto] = ACTIONS(2832),
    [anon_sym_register] = ACTIONS(2832),
    [anon_sym_inline] = ACTIONS(2832),
    [anon_sym___inline] = ACTIONS(2832),
    [anon_sym___inline__] = ACTIONS(2832),
    [anon_sym___forceinline] = ACTIONS(2832),
    [anon_sym_thread_local] = ACTIONS(2832),
    [anon_sym___thread] = ACTIONS(2832),
    [anon_sym_CG_EXTERN] = ACTIONS(2832),
    [anon_sym_CG_INLINE] = ACTIONS(2832),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2832),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2832),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2832),
    [anon_sym_IBOutlet] = ACTIONS(2832),
    [anon_sym_IBInspectable] = ACTIONS(2832),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2832),
    [anon_sym_NS_INLINE] = ACTIONS(2832),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2832),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2832),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2832),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2832),
    [anon_sym_const] = ACTIONS(2832),
    [anon_sym_constexpr] = ACTIONS(2832),
    [anon_sym_volatile] = ACTIONS(2832),
    [anon_sym_restrict] = ACTIONS(2832),
    [anon_sym___restrict__] = ACTIONS(2832),
    [anon_sym__Atomic] = ACTIONS(2832),
    [anon_sym__Noreturn] = ACTIONS(2832),
    [anon_sym__Nonnull] = ACTIONS(2832),
    [anon_sym_nullable] = ACTIONS(2832),
    [anon_sym__Complex] = ACTIONS(2832),
    [anon_sym__Nullable] = ACTIONS(2832),
    [anon_sym__Nullable_result] = ACTIONS(2832),
    [anon_sym__Null_unspecified] = ACTIONS(2832),
    [anon_sym___autoreleasing] = ACTIONS(2832),
    [anon_sym___block] = ACTIONS(2832),
    [anon_sym___bridge] = ACTIONS(2832),
    [anon_sym___bridge_retained] = ACTIONS(2832),
    [anon_sym___bridge_transfer] = ACTIONS(2832),
    [anon_sym___complex] = ACTIONS(2832),
    [anon_sym___const] = ACTIONS(2832),
    [anon_sym___imag] = ACTIONS(2832),
    [anon_sym___kindof] = ACTIONS(2832),
    [anon_sym___nonnull] = ACTIONS(2832),
    [anon_sym___nullable] = ACTIONS(2832),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2832),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2832),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2832),
    [anon_sym___real] = ACTIONS(2832),
    [anon_sym___strong] = ACTIONS(2832),
    [anon_sym___unsafe_unretained] = ACTIONS(2832),
    [anon_sym___unused] = ACTIONS(2832),
    [anon_sym___weak] = ACTIONS(2832),
    [anon_sym_alignas] = ACTIONS(2832),
    [anon_sym__Alignas] = ACTIONS(2832),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_enum] = ACTIONS(2832),
    [anon_sym_struct] = ACTIONS(2832),
    [anon_sym_union] = ACTIONS(2832),
    [anon_sym_if] = ACTIONS(2832),
    [anon_sym_switch] = ACTIONS(2832),
    [anon_sym_case] = ACTIONS(2832),
    [anon_sym_default] = ACTIONS(2832),
    [anon_sym_while] = ACTIONS(2832),
    [anon_sym_do] = ACTIONS(2832),
    [anon_sym_for] = ACTIONS(2832),
    [anon_sym_in] = ACTIONS(2832),
    [anon_sym_return] = ACTIONS(2832),
    [anon_sym_break] = ACTIONS(2832),
    [anon_sym_continue] = ACTIONS(2832),
    [anon_sym_goto] = ACTIONS(2832),
    [anon_sym_DASH_DASH] = ACTIONS(2834),
    [anon_sym_PLUS_PLUS] = ACTIONS(2834),
    [anon_sym_sizeof] = ACTIONS(2832),
    [anon_sym___alignof__] = ACTIONS(2832),
    [anon_sym___alignof] = ACTIONS(2832),
    [anon_sym__alignof] = ACTIONS(2832),
    [anon_sym_alignof] = ACTIONS(2832),
    [anon_sym__Alignof] = ACTIONS(2832),
    [anon_sym_offsetof] = ACTIONS(2832),
    [anon_sym__Generic] = ACTIONS(2832),
    [anon_sym_asm] = ACTIONS(2832),
    [anon_sym___asm__] = ACTIONS(2832),
    [anon_sym___asm] = ACTIONS(2832),
    [sym_number_literal] = ACTIONS(2834),
    [anon_sym_L_SQUOTE] = ACTIONS(2834),
    [anon_sym_u_SQUOTE] = ACTIONS(2834),
    [anon_sym_U_SQUOTE] = ACTIONS(2834),
    [anon_sym_u8_SQUOTE] = ACTIONS(2834),
    [anon_sym_SQUOTE] = ACTIONS(2834),
    [anon_sym_AT] = ACTIONS(2832),
    [anon_sym_DQUOTE] = ACTIONS(2834),
    [anon_sym_L_DQUOTE] = ACTIONS(2834),
    [anon_sym_u_DQUOTE] = ACTIONS(2834),
    [anon_sym_U_DQUOTE] = ACTIONS(2834),
    [anon_sym_u8_DQUOTE] = ACTIONS(2834),
    [sym_true] = ACTIONS(2832),
    [sym_false] = ACTIONS(2832),
    [anon_sym_NULL] = ACTIONS(2832),
    [anon_sym_nullptr] = ACTIONS(2832),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2832),
    [anon_sym___typeof] = ACTIONS(2832),
    [anon_sym_typeof] = ACTIONS(2832),
    [anon_sym_ATimport] = ACTIONS(2834),
    [aux_sym_preproc_undef_token1] = ACTIONS(2832),
    [anon_sym_POUND] = ACTIONS(2832),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2832),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2832),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2832),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2832),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2832),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2832),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2832),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2832),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2832),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2832),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2832),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2832),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2832),
    [anon_sym_API_AVAILABLE] = ACTIONS(2832),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2832),
    [anon_sym_API_DEPRECATED] = ACTIONS(2832),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2832),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2832),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2832),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2832),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2832),
    [anon_sym___deprecated_msg] = ACTIONS(2832),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2832),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2832),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2832),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2832),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2832),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2832),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2832),
    [anon_sym_ATprotocol] = ACTIONS(2834),
    [anon_sym_ATinterface] = ACTIONS(2834),
    [anon_sym_ATimplementation] = ACTIONS(2834),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2834),
    [anon_sym_ATsynthesize] = ACTIONS(2834),
    [anon_sym_ATdynamic] = ACTIONS(2834),
    [anon_sym_ATtry] = ACTIONS(2834),
    [anon_sym___try] = ACTIONS(2832),
    [anon_sym_ATthrow] = ACTIONS(2834),
    [anon_sym_ATselector] = ACTIONS(2834),
    [anon_sym_ATavailable] = ACTIONS(2834),
    [anon_sym___builtin_available] = ACTIONS(2832),
    [anon_sym_va_arg] = ACTIONS(2832),
    [anon_sym_ATencode] = ACTIONS(2834),
    [anon_sym_ATsynchronized] = ACTIONS(2834),
    [anon_sym_BOOL] = ACTIONS(2832),
    [anon_sym_IMP] = ACTIONS(2832),
    [anon_sym_SEL] = ACTIONS(2832),
    [anon_sym_Class] = ACTIONS(2832),
    [anon_sym_id] = ACTIONS(2832),
  },
  [494] = {
    [sym_identifier] = ACTIONS(2654),
    [aux_sym_preproc_include_token1] = ACTIONS(2654),
    [aux_sym_preproc_include_token2] = ACTIONS(2654),
    [aux_sym_preproc_def_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token2] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2654),
    [aux_sym_preproc_else_token1] = ACTIONS(2654),
    [aux_sym_preproc_elif_token1] = ACTIONS(2654),
    [sym_preproc_directive] = ACTIONS(2654),
    [anon_sym_LPAREN2] = ACTIONS(2656),
    [anon_sym_BANG] = ACTIONS(2656),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_CARET] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2656),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym___extension__] = ACTIONS(2654),
    [anon_sym_typedef] = ACTIONS(2654),
    [anon_sym_extern] = ACTIONS(2654),
    [anon_sym___attribute__] = ACTIONS(2654),
    [anon_sym___attribute] = ACTIONS(2654),
    [anon_sym_noreturn] = ACTIONS(2654),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym___declspec] = ACTIONS(2654),
    [anon_sym___cdecl] = ACTIONS(2654),
    [anon_sym___clrcall] = ACTIONS(2654),
    [anon_sym___stdcall] = ACTIONS(2654),
    [anon_sym___fastcall] = ACTIONS(2654),
    [anon_sym___thiscall] = ACTIONS(2654),
    [anon_sym___vectorcall] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_signed] = ACTIONS(2654),
    [anon_sym_unsigned] = ACTIONS(2654),
    [anon_sym_long] = ACTIONS(2654),
    [anon_sym_short] = ACTIONS(2654),
    [anon_sym_static] = ACTIONS(2654),
    [anon_sym_ATautoreleasepool] = ACTIONS(2656),
    [anon_sym_auto] = ACTIONS(2654),
    [anon_sym_register] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym___inline] = ACTIONS(2654),
    [anon_sym___inline__] = ACTIONS(2654),
    [anon_sym___forceinline] = ACTIONS(2654),
    [anon_sym_thread_local] = ACTIONS(2654),
    [anon_sym___thread] = ACTIONS(2654),
    [anon_sym_CG_EXTERN] = ACTIONS(2654),
    [anon_sym_CG_INLINE] = ACTIONS(2654),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2654),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2654),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2654),
    [anon_sym_IBOutlet] = ACTIONS(2654),
    [anon_sym_IBInspectable] = ACTIONS(2654),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2654),
    [anon_sym_NS_INLINE] = ACTIONS(2654),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2654),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2654),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2654),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_constexpr] = ACTIONS(2654),
    [anon_sym_volatile] = ACTIONS(2654),
    [anon_sym_restrict] = ACTIONS(2654),
    [anon_sym___restrict__] = ACTIONS(2654),
    [anon_sym__Atomic] = ACTIONS(2654),
    [anon_sym__Noreturn] = ACTIONS(2654),
    [anon_sym__Nonnull] = ACTIONS(2654),
    [anon_sym_nullable] = ACTIONS(2654),
    [anon_sym__Complex] = ACTIONS(2654),
    [anon_sym__Nullable] = ACTIONS(2654),
    [anon_sym__Nullable_result] = ACTIONS(2654),
    [anon_sym__Null_unspecified] = ACTIONS(2654),
    [anon_sym___autoreleasing] = ACTIONS(2654),
    [anon_sym___block] = ACTIONS(2654),
    [anon_sym___bridge] = ACTIONS(2654),
    [anon_sym___bridge_retained] = ACTIONS(2654),
    [anon_sym___bridge_transfer] = ACTIONS(2654),
    [anon_sym___complex] = ACTIONS(2654),
    [anon_sym___const] = ACTIONS(2654),
    [anon_sym___imag] = ACTIONS(2654),
    [anon_sym___kindof] = ACTIONS(2654),
    [anon_sym___nonnull] = ACTIONS(2654),
    [anon_sym___nullable] = ACTIONS(2654),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2654),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2654),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2654),
    [anon_sym___real] = ACTIONS(2654),
    [anon_sym___strong] = ACTIONS(2654),
    [anon_sym___unsafe_unretained] = ACTIONS(2654),
    [anon_sym___unused] = ACTIONS(2654),
    [anon_sym___weak] = ACTIONS(2654),
    [anon_sym_alignas] = ACTIONS(2654),
    [anon_sym__Alignas] = ACTIONS(2654),
    [sym_primitive_type] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_struct] = ACTIONS(2654),
    [anon_sym_union] = ACTIONS(2654),
    [anon_sym_if] = ACTIONS(2654),
    [anon_sym_switch] = ACTIONS(2654),
    [anon_sym_case] = ACTIONS(2654),
    [anon_sym_default] = ACTIONS(2654),
    [anon_sym_while] = ACTIONS(2654),
    [anon_sym_do] = ACTIONS(2654),
    [anon_sym_for] = ACTIONS(2654),
    [anon_sym_in] = ACTIONS(2654),
    [anon_sym_return] = ACTIONS(2654),
    [anon_sym_break] = ACTIONS(2654),
    [anon_sym_continue] = ACTIONS(2654),
    [anon_sym_goto] = ACTIONS(2654),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_sizeof] = ACTIONS(2654),
    [anon_sym___alignof__] = ACTIONS(2654),
    [anon_sym___alignof] = ACTIONS(2654),
    [anon_sym__alignof] = ACTIONS(2654),
    [anon_sym_alignof] = ACTIONS(2654),
    [anon_sym__Alignof] = ACTIONS(2654),
    [anon_sym_offsetof] = ACTIONS(2654),
    [anon_sym__Generic] = ACTIONS(2654),
    [anon_sym_asm] = ACTIONS(2654),
    [anon_sym___asm__] = ACTIONS(2654),
    [anon_sym___asm] = ACTIONS(2654),
    [sym_number_literal] = ACTIONS(2656),
    [anon_sym_L_SQUOTE] = ACTIONS(2656),
    [anon_sym_u_SQUOTE] = ACTIONS(2656),
    [anon_sym_U_SQUOTE] = ACTIONS(2656),
    [anon_sym_u8_SQUOTE] = ACTIONS(2656),
    [anon_sym_SQUOTE] = ACTIONS(2656),
    [anon_sym_AT] = ACTIONS(2654),
    [anon_sym_DQUOTE] = ACTIONS(2656),
    [anon_sym_L_DQUOTE] = ACTIONS(2656),
    [anon_sym_u_DQUOTE] = ACTIONS(2656),
    [anon_sym_U_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8_DQUOTE] = ACTIONS(2656),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [anon_sym_NULL] = ACTIONS(2654),
    [anon_sym_nullptr] = ACTIONS(2654),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2654),
    [anon_sym___typeof] = ACTIONS(2654),
    [anon_sym_typeof] = ACTIONS(2654),
    [anon_sym_ATimport] = ACTIONS(2656),
    [aux_sym_preproc_undef_token1] = ACTIONS(2654),
    [anon_sym_POUND] = ACTIONS(2654),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2654),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2654),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2654),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2654),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2654),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2654),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2654),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2654),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2654),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2654),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2654),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2654),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2654),
    [anon_sym_API_AVAILABLE] = ACTIONS(2654),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2654),
    [anon_sym_API_DEPRECATED] = ACTIONS(2654),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2654),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2654),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2654),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2654),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2654),
    [anon_sym___deprecated_msg] = ACTIONS(2654),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2654),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2654),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2654),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2654),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2654),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2654),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2654),
    [anon_sym_ATprotocol] = ACTIONS(2656),
    [anon_sym_ATinterface] = ACTIONS(2656),
    [anon_sym_ATimplementation] = ACTIONS(2656),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2656),
    [anon_sym_ATsynthesize] = ACTIONS(2656),
    [anon_sym_ATdynamic] = ACTIONS(2656),
    [anon_sym_ATtry] = ACTIONS(2656),
    [anon_sym___try] = ACTIONS(2654),
    [anon_sym_ATthrow] = ACTIONS(2656),
    [anon_sym_ATselector] = ACTIONS(2656),
    [anon_sym_ATavailable] = ACTIONS(2656),
    [anon_sym___builtin_available] = ACTIONS(2654),
    [anon_sym_va_arg] = ACTIONS(2654),
    [anon_sym_ATencode] = ACTIONS(2656),
    [anon_sym_ATsynchronized] = ACTIONS(2656),
    [anon_sym_BOOL] = ACTIONS(2654),
    [anon_sym_IMP] = ACTIONS(2654),
    [anon_sym_SEL] = ACTIONS(2654),
    [anon_sym_Class] = ACTIONS(2654),
    [anon_sym_id] = ACTIONS(2654),
  },
  [495] = {
    [sym_identifier] = ACTIONS(2662),
    [aux_sym_preproc_include_token1] = ACTIONS(2662),
    [aux_sym_preproc_include_token2] = ACTIONS(2662),
    [aux_sym_preproc_def_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2662),
    [aux_sym_preproc_else_token1] = ACTIONS(2662),
    [aux_sym_preproc_elif_token1] = ACTIONS(2662),
    [sym_preproc_directive] = ACTIONS(2662),
    [anon_sym_LPAREN2] = ACTIONS(2664),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2664),
    [anon_sym_CARET] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym___extension__] = ACTIONS(2662),
    [anon_sym_typedef] = ACTIONS(2662),
    [anon_sym_extern] = ACTIONS(2662),
    [anon_sym___attribute__] = ACTIONS(2662),
    [anon_sym___attribute] = ACTIONS(2662),
    [anon_sym_noreturn] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym___declspec] = ACTIONS(2662),
    [anon_sym___cdecl] = ACTIONS(2662),
    [anon_sym___clrcall] = ACTIONS(2662),
    [anon_sym___stdcall] = ACTIONS(2662),
    [anon_sym___fastcall] = ACTIONS(2662),
    [anon_sym___thiscall] = ACTIONS(2662),
    [anon_sym___vectorcall] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_signed] = ACTIONS(2662),
    [anon_sym_unsigned] = ACTIONS(2662),
    [anon_sym_long] = ACTIONS(2662),
    [anon_sym_short] = ACTIONS(2662),
    [anon_sym_static] = ACTIONS(2662),
    [anon_sym_ATautoreleasepool] = ACTIONS(2664),
    [anon_sym_auto] = ACTIONS(2662),
    [anon_sym_register] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym___inline] = ACTIONS(2662),
    [anon_sym___inline__] = ACTIONS(2662),
    [anon_sym___forceinline] = ACTIONS(2662),
    [anon_sym_thread_local] = ACTIONS(2662),
    [anon_sym___thread] = ACTIONS(2662),
    [anon_sym_CG_EXTERN] = ACTIONS(2662),
    [anon_sym_CG_INLINE] = ACTIONS(2662),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2662),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2662),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2662),
    [anon_sym_IBOutlet] = ACTIONS(2662),
    [anon_sym_IBInspectable] = ACTIONS(2662),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2662),
    [anon_sym_NS_INLINE] = ACTIONS(2662),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2662),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2662),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2662),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_constexpr] = ACTIONS(2662),
    [anon_sym_volatile] = ACTIONS(2662),
    [anon_sym_restrict] = ACTIONS(2662),
    [anon_sym___restrict__] = ACTIONS(2662),
    [anon_sym__Atomic] = ACTIONS(2662),
    [anon_sym__Noreturn] = ACTIONS(2662),
    [anon_sym__Nonnull] = ACTIONS(2662),
    [anon_sym_nullable] = ACTIONS(2662),
    [anon_sym__Complex] = ACTIONS(2662),
    [anon_sym__Nullable] = ACTIONS(2662),
    [anon_sym__Nullable_result] = ACTIONS(2662),
    [anon_sym__Null_unspecified] = ACTIONS(2662),
    [anon_sym___autoreleasing] = ACTIONS(2662),
    [anon_sym___block] = ACTIONS(2662),
    [anon_sym___bridge] = ACTIONS(2662),
    [anon_sym___bridge_retained] = ACTIONS(2662),
    [anon_sym___bridge_transfer] = ACTIONS(2662),
    [anon_sym___complex] = ACTIONS(2662),
    [anon_sym___const] = ACTIONS(2662),
    [anon_sym___imag] = ACTIONS(2662),
    [anon_sym___kindof] = ACTIONS(2662),
    [anon_sym___nonnull] = ACTIONS(2662),
    [anon_sym___nullable] = ACTIONS(2662),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2662),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2662),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2662),
    [anon_sym___real] = ACTIONS(2662),
    [anon_sym___strong] = ACTIONS(2662),
    [anon_sym___unsafe_unretained] = ACTIONS(2662),
    [anon_sym___unused] = ACTIONS(2662),
    [anon_sym___weak] = ACTIONS(2662),
    [anon_sym_alignas] = ACTIONS(2662),
    [anon_sym__Alignas] = ACTIONS(2662),
    [sym_primitive_type] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_struct] = ACTIONS(2662),
    [anon_sym_union] = ACTIONS(2662),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_switch] = ACTIONS(2662),
    [anon_sym_case] = ACTIONS(2662),
    [anon_sym_default] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_in] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_break] = ACTIONS(2662),
    [anon_sym_continue] = ACTIONS(2662),
    [anon_sym_goto] = ACTIONS(2662),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_sizeof] = ACTIONS(2662),
    [anon_sym___alignof__] = ACTIONS(2662),
    [anon_sym___alignof] = ACTIONS(2662),
    [anon_sym__alignof] = ACTIONS(2662),
    [anon_sym_alignof] = ACTIONS(2662),
    [anon_sym__Alignof] = ACTIONS(2662),
    [anon_sym_offsetof] = ACTIONS(2662),
    [anon_sym__Generic] = ACTIONS(2662),
    [anon_sym_asm] = ACTIONS(2662),
    [anon_sym___asm__] = ACTIONS(2662),
    [anon_sym___asm] = ACTIONS(2662),
    [sym_number_literal] = ACTIONS(2664),
    [anon_sym_L_SQUOTE] = ACTIONS(2664),
    [anon_sym_u_SQUOTE] = ACTIONS(2664),
    [anon_sym_U_SQUOTE] = ACTIONS(2664),
    [anon_sym_u8_SQUOTE] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [anon_sym_AT] = ACTIONS(2662),
    [anon_sym_DQUOTE] = ACTIONS(2664),
    [anon_sym_L_DQUOTE] = ACTIONS(2664),
    [anon_sym_u_DQUOTE] = ACTIONS(2664),
    [anon_sym_U_DQUOTE] = ACTIONS(2664),
    [anon_sym_u8_DQUOTE] = ACTIONS(2664),
    [sym_true] = ACTIONS(2662),
    [sym_false] = ACTIONS(2662),
    [anon_sym_NULL] = ACTIONS(2662),
    [anon_sym_nullptr] = ACTIONS(2662),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2662),
    [anon_sym___typeof] = ACTIONS(2662),
    [anon_sym_typeof] = ACTIONS(2662),
    [anon_sym_ATimport] = ACTIONS(2664),
    [aux_sym_preproc_undef_token1] = ACTIONS(2662),
    [anon_sym_POUND] = ACTIONS(2662),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2662),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2662),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2662),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2662),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2662),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2662),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2662),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2662),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2662),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_API_AVAILABLE] = ACTIONS(2662),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_API_DEPRECATED] = ACTIONS(2662),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2662),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2662),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2662),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2662),
    [anon_sym___deprecated_msg] = ACTIONS(2662),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2662),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2662),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2662),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2662),
    [anon_sym_ATprotocol] = ACTIONS(2664),
    [anon_sym_ATinterface] = ACTIONS(2664),
    [anon_sym_ATimplementation] = ACTIONS(2664),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2664),
    [anon_sym_ATsynthesize] = ACTIONS(2664),
    [anon_sym_ATdynamic] = ACTIONS(2664),
    [anon_sym_ATtry] = ACTIONS(2664),
    [anon_sym___try] = ACTIONS(2662),
    [anon_sym_ATthrow] = ACTIONS(2664),
    [anon_sym_ATselector] = ACTIONS(2664),
    [anon_sym_ATavailable] = ACTIONS(2664),
    [anon_sym___builtin_available] = ACTIONS(2662),
    [anon_sym_va_arg] = ACTIONS(2662),
    [anon_sym_ATencode] = ACTIONS(2664),
    [anon_sym_ATsynchronized] = ACTIONS(2664),
    [anon_sym_BOOL] = ACTIONS(2662),
    [anon_sym_IMP] = ACTIONS(2662),
    [anon_sym_SEL] = ACTIONS(2662),
    [anon_sym_Class] = ACTIONS(2662),
    [anon_sym_id] = ACTIONS(2662),
  },
  [496] = {
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_include_token1] = ACTIONS(2576),
    [aux_sym_preproc_include_token2] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token2] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [aux_sym_preproc_else_token1] = ACTIONS(2576),
    [aux_sym_preproc_elif_token1] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym___attribute] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_ATautoreleasepool] = ACTIONS(2578),
    [anon_sym_auto] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_CG_EXTERN] = ACTIONS(2576),
    [anon_sym_CG_INLINE] = ACTIONS(2576),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2576),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2576),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2576),
    [anon_sym_IBOutlet] = ACTIONS(2576),
    [anon_sym_IBInspectable] = ACTIONS(2576),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2576),
    [anon_sym_NS_INLINE] = ACTIONS(2576),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2576),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2576),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2576),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym__Nonnull] = ACTIONS(2576),
    [anon_sym_nullable] = ACTIONS(2576),
    [anon_sym__Complex] = ACTIONS(2576),
    [anon_sym__Nullable] = ACTIONS(2576),
    [anon_sym__Nullable_result] = ACTIONS(2576),
    [anon_sym__Null_unspecified] = ACTIONS(2576),
    [anon_sym___autoreleasing] = ACTIONS(2576),
    [anon_sym___block] = ACTIONS(2576),
    [anon_sym___bridge] = ACTIONS(2576),
    [anon_sym___bridge_retained] = ACTIONS(2576),
    [anon_sym___bridge_transfer] = ACTIONS(2576),
    [anon_sym___complex] = ACTIONS(2576),
    [anon_sym___const] = ACTIONS(2576),
    [anon_sym___imag] = ACTIONS(2576),
    [anon_sym___kindof] = ACTIONS(2576),
    [anon_sym___nonnull] = ACTIONS(2576),
    [anon_sym___nullable] = ACTIONS(2576),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2576),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2576),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2576),
    [anon_sym___real] = ACTIONS(2576),
    [anon_sym___strong] = ACTIONS(2576),
    [anon_sym___unsafe_unretained] = ACTIONS(2576),
    [anon_sym___unused] = ACTIONS(2576),
    [anon_sym___weak] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_default] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_in] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [anon_sym___asm] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_AT] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2576),
    [anon_sym___typeof] = ACTIONS(2576),
    [anon_sym_typeof] = ACTIONS(2576),
    [anon_sym_ATimport] = ACTIONS(2578),
    [aux_sym_preproc_undef_token1] = ACTIONS(2576),
    [anon_sym_POUND] = ACTIONS(2576),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2576),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2576),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2576),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2576),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2576),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2576),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2576),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2576),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2576),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_API_AVAILABLE] = ACTIONS(2576),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_API_DEPRECATED] = ACTIONS(2576),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2576),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2576),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2576),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2576),
    [anon_sym___deprecated_msg] = ACTIONS(2576),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2576),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2576),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2576),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2576),
    [anon_sym_ATprotocol] = ACTIONS(2578),
    [anon_sym_ATinterface] = ACTIONS(2578),
    [anon_sym_ATimplementation] = ACTIONS(2578),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2578),
    [anon_sym_ATsynthesize] = ACTIONS(2578),
    [anon_sym_ATdynamic] = ACTIONS(2578),
    [anon_sym_ATtry] = ACTIONS(2578),
    [anon_sym___try] = ACTIONS(2576),
    [anon_sym_ATthrow] = ACTIONS(2578),
    [anon_sym_ATselector] = ACTIONS(2578),
    [anon_sym_ATavailable] = ACTIONS(2578),
    [anon_sym___builtin_available] = ACTIONS(2576),
    [anon_sym_va_arg] = ACTIONS(2576),
    [anon_sym_ATencode] = ACTIONS(2578),
    [anon_sym_ATsynchronized] = ACTIONS(2578),
    [anon_sym_BOOL] = ACTIONS(2576),
    [anon_sym_IMP] = ACTIONS(2576),
    [anon_sym_SEL] = ACTIONS(2576),
    [anon_sym_Class] = ACTIONS(2576),
    [anon_sym_id] = ACTIONS(2576),
  },
  [497] = {
    [sym_identifier] = ACTIONS(2836),
    [aux_sym_preproc_include_token1] = ACTIONS(2836),
    [aux_sym_preproc_include_token2] = ACTIONS(2836),
    [aux_sym_preproc_def_token1] = ACTIONS(2836),
    [aux_sym_preproc_if_token1] = ACTIONS(2836),
    [aux_sym_preproc_if_token2] = ACTIONS(2836),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2836),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2836),
    [aux_sym_preproc_else_token1] = ACTIONS(2836),
    [aux_sym_preproc_elif_token1] = ACTIONS(2836),
    [sym_preproc_directive] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2838),
    [anon_sym_TILDE] = ACTIONS(2838),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_STAR] = ACTIONS(2838),
    [anon_sym_CARET] = ACTIONS(2838),
    [anon_sym_AMP] = ACTIONS(2838),
    [anon_sym_SEMI] = ACTIONS(2838),
    [anon_sym___extension__] = ACTIONS(2836),
    [anon_sym_typedef] = ACTIONS(2836),
    [anon_sym_extern] = ACTIONS(2836),
    [anon_sym___attribute__] = ACTIONS(2836),
    [anon_sym___attribute] = ACTIONS(2836),
    [anon_sym_noreturn] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym___declspec] = ACTIONS(2836),
    [anon_sym___cdecl] = ACTIONS(2836),
    [anon_sym___clrcall] = ACTIONS(2836),
    [anon_sym___stdcall] = ACTIONS(2836),
    [anon_sym___fastcall] = ACTIONS(2836),
    [anon_sym___thiscall] = ACTIONS(2836),
    [anon_sym___vectorcall] = ACTIONS(2836),
    [anon_sym_LBRACE] = ACTIONS(2838),
    [anon_sym_signed] = ACTIONS(2836),
    [anon_sym_unsigned] = ACTIONS(2836),
    [anon_sym_long] = ACTIONS(2836),
    [anon_sym_short] = ACTIONS(2836),
    [anon_sym_static] = ACTIONS(2836),
    [anon_sym_ATautoreleasepool] = ACTIONS(2838),
    [anon_sym_auto] = ACTIONS(2836),
    [anon_sym_register] = ACTIONS(2836),
    [anon_sym_inline] = ACTIONS(2836),
    [anon_sym___inline] = ACTIONS(2836),
    [anon_sym___inline__] = ACTIONS(2836),
    [anon_sym___forceinline] = ACTIONS(2836),
    [anon_sym_thread_local] = ACTIONS(2836),
    [anon_sym___thread] = ACTIONS(2836),
    [anon_sym_CG_EXTERN] = ACTIONS(2836),
    [anon_sym_CG_INLINE] = ACTIONS(2836),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2836),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2836),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2836),
    [anon_sym_IBOutlet] = ACTIONS(2836),
    [anon_sym_IBInspectable] = ACTIONS(2836),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2836),
    [anon_sym_NS_INLINE] = ACTIONS(2836),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2836),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2836),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2836),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2836),
    [anon_sym_const] = ACTIONS(2836),
    [anon_sym_constexpr] = ACTIONS(2836),
    [anon_sym_volatile] = ACTIONS(2836),
    [anon_sym_restrict] = ACTIONS(2836),
    [anon_sym___restrict__] = ACTIONS(2836),
    [anon_sym__Atomic] = ACTIONS(2836),
    [anon_sym__Noreturn] = ACTIONS(2836),
    [anon_sym__Nonnull] = ACTIONS(2836),
    [anon_sym_nullable] = ACTIONS(2836),
    [anon_sym__Complex] = ACTIONS(2836),
    [anon_sym__Nullable] = ACTIONS(2836),
    [anon_sym__Nullable_result] = ACTIONS(2836),
    [anon_sym__Null_unspecified] = ACTIONS(2836),
    [anon_sym___autoreleasing] = ACTIONS(2836),
    [anon_sym___block] = ACTIONS(2836),
    [anon_sym___bridge] = ACTIONS(2836),
    [anon_sym___bridge_retained] = ACTIONS(2836),
    [anon_sym___bridge_transfer] = ACTIONS(2836),
    [anon_sym___complex] = ACTIONS(2836),
    [anon_sym___const] = ACTIONS(2836),
    [anon_sym___imag] = ACTIONS(2836),
    [anon_sym___kindof] = ACTIONS(2836),
    [anon_sym___nonnull] = ACTIONS(2836),
    [anon_sym___nullable] = ACTIONS(2836),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2836),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2836),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2836),
    [anon_sym___real] = ACTIONS(2836),
    [anon_sym___strong] = ACTIONS(2836),
    [anon_sym___unsafe_unretained] = ACTIONS(2836),
    [anon_sym___unused] = ACTIONS(2836),
    [anon_sym___weak] = ACTIONS(2836),
    [anon_sym_alignas] = ACTIONS(2836),
    [anon_sym__Alignas] = ACTIONS(2836),
    [sym_primitive_type] = ACTIONS(2836),
    [anon_sym_enum] = ACTIONS(2836),
    [anon_sym_struct] = ACTIONS(2836),
    [anon_sym_union] = ACTIONS(2836),
    [anon_sym_if] = ACTIONS(2836),
    [anon_sym_switch] = ACTIONS(2836),
    [anon_sym_case] = ACTIONS(2836),
    [anon_sym_default] = ACTIONS(2836),
    [anon_sym_while] = ACTIONS(2836),
    [anon_sym_do] = ACTIONS(2836),
    [anon_sym_for] = ACTIONS(2836),
    [anon_sym_in] = ACTIONS(2836),
    [anon_sym_return] = ACTIONS(2836),
    [anon_sym_break] = ACTIONS(2836),
    [anon_sym_continue] = ACTIONS(2836),
    [anon_sym_goto] = ACTIONS(2836),
    [anon_sym_DASH_DASH] = ACTIONS(2838),
    [anon_sym_PLUS_PLUS] = ACTIONS(2838),
    [anon_sym_sizeof] = ACTIONS(2836),
    [anon_sym___alignof__] = ACTIONS(2836),
    [anon_sym___alignof] = ACTIONS(2836),
    [anon_sym__alignof] = ACTIONS(2836),
    [anon_sym_alignof] = ACTIONS(2836),
    [anon_sym__Alignof] = ACTIONS(2836),
    [anon_sym_offsetof] = ACTIONS(2836),
    [anon_sym__Generic] = ACTIONS(2836),
    [anon_sym_asm] = ACTIONS(2836),
    [anon_sym___asm__] = ACTIONS(2836),
    [anon_sym___asm] = ACTIONS(2836),
    [sym_number_literal] = ACTIONS(2838),
    [anon_sym_L_SQUOTE] = ACTIONS(2838),
    [anon_sym_u_SQUOTE] = ACTIONS(2838),
    [anon_sym_U_SQUOTE] = ACTIONS(2838),
    [anon_sym_u8_SQUOTE] = ACTIONS(2838),
    [anon_sym_SQUOTE] = ACTIONS(2838),
    [anon_sym_AT] = ACTIONS(2836),
    [anon_sym_DQUOTE] = ACTIONS(2838),
    [anon_sym_L_DQUOTE] = ACTIONS(2838),
    [anon_sym_u_DQUOTE] = ACTIONS(2838),
    [anon_sym_U_DQUOTE] = ACTIONS(2838),
    [anon_sym_u8_DQUOTE] = ACTIONS(2838),
    [sym_true] = ACTIONS(2836),
    [sym_false] = ACTIONS(2836),
    [anon_sym_NULL] = ACTIONS(2836),
    [anon_sym_nullptr] = ACTIONS(2836),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2836),
    [anon_sym___typeof] = ACTIONS(2836),
    [anon_sym_typeof] = ACTIONS(2836),
    [anon_sym_ATimport] = ACTIONS(2838),
    [aux_sym_preproc_undef_token1] = ACTIONS(2836),
    [anon_sym_POUND] = ACTIONS(2836),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2836),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2836),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2836),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2836),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2836),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2836),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2836),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2836),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2836),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2836),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2836),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2836),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2836),
    [anon_sym_API_AVAILABLE] = ACTIONS(2836),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2836),
    [anon_sym_API_DEPRECATED] = ACTIONS(2836),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2836),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2836),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2836),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2836),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2836),
    [anon_sym___deprecated_msg] = ACTIONS(2836),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2836),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2836),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2836),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2836),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2836),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2836),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2836),
    [anon_sym_ATprotocol] = ACTIONS(2838),
    [anon_sym_ATinterface] = ACTIONS(2838),
    [anon_sym_ATimplementation] = ACTIONS(2838),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2838),
    [anon_sym_ATsynthesize] = ACTIONS(2838),
    [anon_sym_ATdynamic] = ACTIONS(2838),
    [anon_sym_ATtry] = ACTIONS(2838),
    [anon_sym___try] = ACTIONS(2836),
    [anon_sym_ATthrow] = ACTIONS(2838),
    [anon_sym_ATselector] = ACTIONS(2838),
    [anon_sym_ATavailable] = ACTIONS(2838),
    [anon_sym___builtin_available] = ACTIONS(2836),
    [anon_sym_va_arg] = ACTIONS(2836),
    [anon_sym_ATencode] = ACTIONS(2838),
    [anon_sym_ATsynchronized] = ACTIONS(2838),
    [anon_sym_BOOL] = ACTIONS(2836),
    [anon_sym_IMP] = ACTIONS(2836),
    [anon_sym_SEL] = ACTIONS(2836),
    [anon_sym_Class] = ACTIONS(2836),
    [anon_sym_id] = ACTIONS(2836),
  },
  [498] = {
    [sym_identifier] = ACTIONS(2840),
    [aux_sym_preproc_include_token1] = ACTIONS(2840),
    [aux_sym_preproc_include_token2] = ACTIONS(2840),
    [aux_sym_preproc_def_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token2] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2840),
    [aux_sym_preproc_else_token1] = ACTIONS(2840),
    [aux_sym_preproc_elif_token1] = ACTIONS(2840),
    [sym_preproc_directive] = ACTIONS(2840),
    [anon_sym_LPAREN2] = ACTIONS(2842),
    [anon_sym_BANG] = ACTIONS(2842),
    [anon_sym_TILDE] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2840),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_CARET] = ACTIONS(2842),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym_SEMI] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2840),
    [anon_sym_typedef] = ACTIONS(2840),
    [anon_sym_extern] = ACTIONS(2840),
    [anon_sym___attribute__] = ACTIONS(2840),
    [anon_sym___attribute] = ACTIONS(2840),
    [anon_sym_noreturn] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym___declspec] = ACTIONS(2840),
    [anon_sym___cdecl] = ACTIONS(2840),
    [anon_sym___clrcall] = ACTIONS(2840),
    [anon_sym___stdcall] = ACTIONS(2840),
    [anon_sym___fastcall] = ACTIONS(2840),
    [anon_sym___thiscall] = ACTIONS(2840),
    [anon_sym___vectorcall] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2840),
    [anon_sym_unsigned] = ACTIONS(2840),
    [anon_sym_long] = ACTIONS(2840),
    [anon_sym_short] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_ATautoreleasepool] = ACTIONS(2842),
    [anon_sym_auto] = ACTIONS(2840),
    [anon_sym_register] = ACTIONS(2840),
    [anon_sym_inline] = ACTIONS(2840),
    [anon_sym___inline] = ACTIONS(2840),
    [anon_sym___inline__] = ACTIONS(2840),
    [anon_sym___forceinline] = ACTIONS(2840),
    [anon_sym_thread_local] = ACTIONS(2840),
    [anon_sym___thread] = ACTIONS(2840),
    [anon_sym_CG_EXTERN] = ACTIONS(2840),
    [anon_sym_CG_INLINE] = ACTIONS(2840),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2840),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2840),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2840),
    [anon_sym_IBOutlet] = ACTIONS(2840),
    [anon_sym_IBInspectable] = ACTIONS(2840),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2840),
    [anon_sym_NS_INLINE] = ACTIONS(2840),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2840),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2840),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2840),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_constexpr] = ACTIONS(2840),
    [anon_sym_volatile] = ACTIONS(2840),
    [anon_sym_restrict] = ACTIONS(2840),
    [anon_sym___restrict__] = ACTIONS(2840),
    [anon_sym__Atomic] = ACTIONS(2840),
    [anon_sym__Noreturn] = ACTIONS(2840),
    [anon_sym__Nonnull] = ACTIONS(2840),
    [anon_sym_nullable] = ACTIONS(2840),
    [anon_sym__Complex] = ACTIONS(2840),
    [anon_sym__Nullable] = ACTIONS(2840),
    [anon_sym__Nullable_result] = ACTIONS(2840),
    [anon_sym__Null_unspecified] = ACTIONS(2840),
    [anon_sym___autoreleasing] = ACTIONS(2840),
    [anon_sym___block] = ACTIONS(2840),
    [anon_sym___bridge] = ACTIONS(2840),
    [anon_sym___bridge_retained] = ACTIONS(2840),
    [anon_sym___bridge_transfer] = ACTIONS(2840),
    [anon_sym___complex] = ACTIONS(2840),
    [anon_sym___const] = ACTIONS(2840),
    [anon_sym___imag] = ACTIONS(2840),
    [anon_sym___kindof] = ACTIONS(2840),
    [anon_sym___nonnull] = ACTIONS(2840),
    [anon_sym___nullable] = ACTIONS(2840),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2840),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2840),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2840),
    [anon_sym___real] = ACTIONS(2840),
    [anon_sym___strong] = ACTIONS(2840),
    [anon_sym___unsafe_unretained] = ACTIONS(2840),
    [anon_sym___unused] = ACTIONS(2840),
    [anon_sym___weak] = ACTIONS(2840),
    [anon_sym_alignas] = ACTIONS(2840),
    [anon_sym__Alignas] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_union] = ACTIONS(2840),
    [anon_sym_if] = ACTIONS(2840),
    [anon_sym_switch] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_default] = ACTIONS(2840),
    [anon_sym_while] = ACTIONS(2840),
    [anon_sym_do] = ACTIONS(2840),
    [anon_sym_for] = ACTIONS(2840),
    [anon_sym_in] = ACTIONS(2840),
    [anon_sym_return] = ACTIONS(2840),
    [anon_sym_break] = ACTIONS(2840),
    [anon_sym_continue] = ACTIONS(2840),
    [anon_sym_goto] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2842),
    [anon_sym_sizeof] = ACTIONS(2840),
    [anon_sym___alignof__] = ACTIONS(2840),
    [anon_sym___alignof] = ACTIONS(2840),
    [anon_sym__alignof] = ACTIONS(2840),
    [anon_sym_alignof] = ACTIONS(2840),
    [anon_sym__Alignof] = ACTIONS(2840),
    [anon_sym_offsetof] = ACTIONS(2840),
    [anon_sym__Generic] = ACTIONS(2840),
    [anon_sym_asm] = ACTIONS(2840),
    [anon_sym___asm__] = ACTIONS(2840),
    [anon_sym___asm] = ACTIONS(2840),
    [sym_number_literal] = ACTIONS(2842),
    [anon_sym_L_SQUOTE] = ACTIONS(2842),
    [anon_sym_u_SQUOTE] = ACTIONS(2842),
    [anon_sym_U_SQUOTE] = ACTIONS(2842),
    [anon_sym_u8_SQUOTE] = ACTIONS(2842),
    [anon_sym_SQUOTE] = ACTIONS(2842),
    [anon_sym_AT] = ACTIONS(2840),
    [anon_sym_DQUOTE] = ACTIONS(2842),
    [anon_sym_L_DQUOTE] = ACTIONS(2842),
    [anon_sym_u_DQUOTE] = ACTIONS(2842),
    [anon_sym_U_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8_DQUOTE] = ACTIONS(2842),
    [sym_true] = ACTIONS(2840),
    [sym_false] = ACTIONS(2840),
    [anon_sym_NULL] = ACTIONS(2840),
    [anon_sym_nullptr] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2840),
    [anon_sym___typeof] = ACTIONS(2840),
    [anon_sym_typeof] = ACTIONS(2840),
    [anon_sym_ATimport] = ACTIONS(2842),
    [aux_sym_preproc_undef_token1] = ACTIONS(2840),
    [anon_sym_POUND] = ACTIONS(2840),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2840),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2840),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2840),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2840),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2840),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2840),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2840),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2840),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2840),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2840),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2840),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2840),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2840),
    [anon_sym_API_AVAILABLE] = ACTIONS(2840),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2840),
    [anon_sym_API_DEPRECATED] = ACTIONS(2840),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2840),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2840),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2840),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2840),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2840),
    [anon_sym___deprecated_msg] = ACTIONS(2840),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2840),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2840),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2840),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2840),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2840),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2840),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2840),
    [anon_sym_ATprotocol] = ACTIONS(2842),
    [anon_sym_ATinterface] = ACTIONS(2842),
    [anon_sym_ATimplementation] = ACTIONS(2842),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2842),
    [anon_sym_ATsynthesize] = ACTIONS(2842),
    [anon_sym_ATdynamic] = ACTIONS(2842),
    [anon_sym_ATtry] = ACTIONS(2842),
    [anon_sym___try] = ACTIONS(2840),
    [anon_sym_ATthrow] = ACTIONS(2842),
    [anon_sym_ATselector] = ACTIONS(2842),
    [anon_sym_ATavailable] = ACTIONS(2842),
    [anon_sym___builtin_available] = ACTIONS(2840),
    [anon_sym_va_arg] = ACTIONS(2840),
    [anon_sym_ATencode] = ACTIONS(2842),
    [anon_sym_ATsynchronized] = ACTIONS(2842),
    [anon_sym_BOOL] = ACTIONS(2840),
    [anon_sym_IMP] = ACTIONS(2840),
    [anon_sym_SEL] = ACTIONS(2840),
    [anon_sym_Class] = ACTIONS(2840),
    [anon_sym_id] = ACTIONS(2840),
  },
  [499] = {
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_include_token1] = ACTIONS(2844),
    [aux_sym_preproc_include_token2] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token2] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [aux_sym_preproc_else_token1] = ACTIONS(2844),
    [aux_sym_preproc_elif_token1] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_CARET] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym___attribute] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___cdecl] = ACTIONS(2844),
    [anon_sym___clrcall] = ACTIONS(2844),
    [anon_sym___stdcall] = ACTIONS(2844),
    [anon_sym___fastcall] = ACTIONS(2844),
    [anon_sym___thiscall] = ACTIONS(2844),
    [anon_sym___vectorcall] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_ATautoreleasepool] = ACTIONS(2846),
    [anon_sym_auto] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_CG_EXTERN] = ACTIONS(2844),
    [anon_sym_CG_INLINE] = ACTIONS(2844),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2844),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2844),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2844),
    [anon_sym_IBOutlet] = ACTIONS(2844),
    [anon_sym_IBInspectable] = ACTIONS(2844),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2844),
    [anon_sym_NS_INLINE] = ACTIONS(2844),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2844),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2844),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2844),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym__Nonnull] = ACTIONS(2844),
    [anon_sym_nullable] = ACTIONS(2844),
    [anon_sym__Complex] = ACTIONS(2844),
    [anon_sym__Nullable] = ACTIONS(2844),
    [anon_sym__Nullable_result] = ACTIONS(2844),
    [anon_sym__Null_unspecified] = ACTIONS(2844),
    [anon_sym___autoreleasing] = ACTIONS(2844),
    [anon_sym___block] = ACTIONS(2844),
    [anon_sym___bridge] = ACTIONS(2844),
    [anon_sym___bridge_retained] = ACTIONS(2844),
    [anon_sym___bridge_transfer] = ACTIONS(2844),
    [anon_sym___complex] = ACTIONS(2844),
    [anon_sym___const] = ACTIONS(2844),
    [anon_sym___imag] = ACTIONS(2844),
    [anon_sym___kindof] = ACTIONS(2844),
    [anon_sym___nonnull] = ACTIONS(2844),
    [anon_sym___nullable] = ACTIONS(2844),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2844),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2844),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2844),
    [anon_sym___real] = ACTIONS(2844),
    [anon_sym___strong] = ACTIONS(2844),
    [anon_sym___unsafe_unretained] = ACTIONS(2844),
    [anon_sym___unused] = ACTIONS(2844),
    [anon_sym___weak] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_in] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_goto] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_sizeof] = ACTIONS(2844),
    [anon_sym___alignof__] = ACTIONS(2844),
    [anon_sym___alignof] = ACTIONS(2844),
    [anon_sym__alignof] = ACTIONS(2844),
    [anon_sym_alignof] = ACTIONS(2844),
    [anon_sym__Alignof] = ACTIONS(2844),
    [anon_sym_offsetof] = ACTIONS(2844),
    [anon_sym__Generic] = ACTIONS(2844),
    [anon_sym_asm] = ACTIONS(2844),
    [anon_sym___asm__] = ACTIONS(2844),
    [anon_sym___asm] = ACTIONS(2844),
    [sym_number_literal] = ACTIONS(2846),
    [anon_sym_L_SQUOTE] = ACTIONS(2846),
    [anon_sym_u_SQUOTE] = ACTIONS(2846),
    [anon_sym_U_SQUOTE] = ACTIONS(2846),
    [anon_sym_u8_SQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_AT] = ACTIONS(2844),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [anon_sym_L_DQUOTE] = ACTIONS(2846),
    [anon_sym_u_DQUOTE] = ACTIONS(2846),
    [anon_sym_U_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8_DQUOTE] = ACTIONS(2846),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [anon_sym_NULL] = ACTIONS(2844),
    [anon_sym_nullptr] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2844),
    [anon_sym___typeof] = ACTIONS(2844),
    [anon_sym_typeof] = ACTIONS(2844),
    [anon_sym_ATimport] = ACTIONS(2846),
    [aux_sym_preproc_undef_token1] = ACTIONS(2844),
    [anon_sym_POUND] = ACTIONS(2844),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2844),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2844),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2844),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2844),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2844),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2844),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2844),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2844),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2844),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2844),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2844),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2844),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2844),
    [anon_sym_API_AVAILABLE] = ACTIONS(2844),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2844),
    [anon_sym_API_DEPRECATED] = ACTIONS(2844),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2844),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2844),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2844),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2844),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2844),
    [anon_sym___deprecated_msg] = ACTIONS(2844),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2844),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2844),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2844),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2844),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2844),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2844),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2844),
    [anon_sym_ATprotocol] = ACTIONS(2846),
    [anon_sym_ATinterface] = ACTIONS(2846),
    [anon_sym_ATimplementation] = ACTIONS(2846),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2846),
    [anon_sym_ATsynthesize] = ACTIONS(2846),
    [anon_sym_ATdynamic] = ACTIONS(2846),
    [anon_sym_ATtry] = ACTIONS(2846),
    [anon_sym___try] = ACTIONS(2844),
    [anon_sym_ATthrow] = ACTIONS(2846),
    [anon_sym_ATselector] = ACTIONS(2846),
    [anon_sym_ATavailable] = ACTIONS(2846),
    [anon_sym___builtin_available] = ACTIONS(2844),
    [anon_sym_va_arg] = ACTIONS(2844),
    [anon_sym_ATencode] = ACTIONS(2846),
    [anon_sym_ATsynchronized] = ACTIONS(2846),
    [anon_sym_BOOL] = ACTIONS(2844),
    [anon_sym_IMP] = ACTIONS(2844),
    [anon_sym_SEL] = ACTIONS(2844),
    [anon_sym_Class] = ACTIONS(2844),
    [anon_sym_id] = ACTIONS(2844),
  },
  [500] = {
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_include_token1] = ACTIONS(2658),
    [aux_sym_preproc_include_token2] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token2] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2658),
    [aux_sym_preproc_else_token1] = ACTIONS(2658),
    [aux_sym_preproc_elif_token1] = ACTIONS(2658),
    [sym_preproc_directive] = ACTIONS(2658),
    [anon_sym_LPAREN2] = ACTIONS(2660),
    [anon_sym_BANG] = ACTIONS(2660),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2660),
    [anon_sym_CARET] = ACTIONS(2660),
    [anon_sym_AMP] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2658),
    [anon_sym_typedef] = ACTIONS(2658),
    [anon_sym_extern] = ACTIONS(2658),
    [anon_sym___attribute__] = ACTIONS(2658),
    [anon_sym___attribute] = ACTIONS(2658),
    [anon_sym_noreturn] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym___declspec] = ACTIONS(2658),
    [anon_sym___cdecl] = ACTIONS(2658),
    [anon_sym___clrcall] = ACTIONS(2658),
    [anon_sym___stdcall] = ACTIONS(2658),
    [anon_sym___fastcall] = ACTIONS(2658),
    [anon_sym___thiscall] = ACTIONS(2658),
    [anon_sym___vectorcall] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_signed] = ACTIONS(2658),
    [anon_sym_unsigned] = ACTIONS(2658),
    [anon_sym_long] = ACTIONS(2658),
    [anon_sym_short] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2658),
    [anon_sym_ATautoreleasepool] = ACTIONS(2660),
    [anon_sym_auto] = ACTIONS(2658),
    [anon_sym_register] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym___inline] = ACTIONS(2658),
    [anon_sym___inline__] = ACTIONS(2658),
    [anon_sym___forceinline] = ACTIONS(2658),
    [anon_sym_thread_local] = ACTIONS(2658),
    [anon_sym___thread] = ACTIONS(2658),
    [anon_sym_CG_EXTERN] = ACTIONS(2658),
    [anon_sym_CG_INLINE] = ACTIONS(2658),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2658),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2658),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2658),
    [anon_sym_IBOutlet] = ACTIONS(2658),
    [anon_sym_IBInspectable] = ACTIONS(2658),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2658),
    [anon_sym_NS_INLINE] = ACTIONS(2658),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2658),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2658),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2658),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_constexpr] = ACTIONS(2658),
    [anon_sym_volatile] = ACTIONS(2658),
    [anon_sym_restrict] = ACTIONS(2658),
    [anon_sym___restrict__] = ACTIONS(2658),
    [anon_sym__Atomic] = ACTIONS(2658),
    [anon_sym__Noreturn] = ACTIONS(2658),
    [anon_sym__Nonnull] = ACTIONS(2658),
    [anon_sym_nullable] = ACTIONS(2658),
    [anon_sym__Complex] = ACTIONS(2658),
    [anon_sym__Nullable] = ACTIONS(2658),
    [anon_sym__Nullable_result] = ACTIONS(2658),
    [anon_sym__Null_unspecified] = ACTIONS(2658),
    [anon_sym___autoreleasing] = ACTIONS(2658),
    [anon_sym___block] = ACTIONS(2658),
    [anon_sym___bridge] = ACTIONS(2658),
    [anon_sym___bridge_retained] = ACTIONS(2658),
    [anon_sym___bridge_transfer] = ACTIONS(2658),
    [anon_sym___complex] = ACTIONS(2658),
    [anon_sym___const] = ACTIONS(2658),
    [anon_sym___imag] = ACTIONS(2658),
    [anon_sym___kindof] = ACTIONS(2658),
    [anon_sym___nonnull] = ACTIONS(2658),
    [anon_sym___nullable] = ACTIONS(2658),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2658),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2658),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2658),
    [anon_sym___real] = ACTIONS(2658),
    [anon_sym___strong] = ACTIONS(2658),
    [anon_sym___unsafe_unretained] = ACTIONS(2658),
    [anon_sym___unused] = ACTIONS(2658),
    [anon_sym___weak] = ACTIONS(2658),
    [anon_sym_alignas] = ACTIONS(2658),
    [anon_sym__Alignas] = ACTIONS(2658),
    [sym_primitive_type] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_struct] = ACTIONS(2658),
    [anon_sym_union] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_case] = ACTIONS(2658),
    [anon_sym_default] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_in] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_goto] = ACTIONS(2658),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_sizeof] = ACTIONS(2658),
    [anon_sym___alignof__] = ACTIONS(2658),
    [anon_sym___alignof] = ACTIONS(2658),
    [anon_sym__alignof] = ACTIONS(2658),
    [anon_sym_alignof] = ACTIONS(2658),
    [anon_sym__Alignof] = ACTIONS(2658),
    [anon_sym_offsetof] = ACTIONS(2658),
    [anon_sym__Generic] = ACTIONS(2658),
    [anon_sym_asm] = ACTIONS(2658),
    [anon_sym___asm__] = ACTIONS(2658),
    [anon_sym___asm] = ACTIONS(2658),
    [sym_number_literal] = ACTIONS(2660),
    [anon_sym_L_SQUOTE] = ACTIONS(2660),
    [anon_sym_u_SQUOTE] = ACTIONS(2660),
    [anon_sym_U_SQUOTE] = ACTIONS(2660),
    [anon_sym_u8_SQUOTE] = ACTIONS(2660),
    [anon_sym_SQUOTE] = ACTIONS(2660),
    [anon_sym_AT] = ACTIONS(2658),
    [anon_sym_DQUOTE] = ACTIONS(2660),
    [anon_sym_L_DQUOTE] = ACTIONS(2660),
    [anon_sym_u_DQUOTE] = ACTIONS(2660),
    [anon_sym_U_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8_DQUOTE] = ACTIONS(2660),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [anon_sym_NULL] = ACTIONS(2658),
    [anon_sym_nullptr] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2658),
    [anon_sym___typeof] = ACTIONS(2658),
    [anon_sym_typeof] = ACTIONS(2658),
    [anon_sym_ATimport] = ACTIONS(2660),
    [aux_sym_preproc_undef_token1] = ACTIONS(2658),
    [anon_sym_POUND] = ACTIONS(2658),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2658),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2658),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2658),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2658),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2658),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2658),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2658),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2658),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2658),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_API_AVAILABLE] = ACTIONS(2658),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_API_DEPRECATED] = ACTIONS(2658),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2658),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2658),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2658),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2658),
    [anon_sym___deprecated_msg] = ACTIONS(2658),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2658),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2658),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2658),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2658),
    [anon_sym_ATprotocol] = ACTIONS(2660),
    [anon_sym_ATinterface] = ACTIONS(2660),
    [anon_sym_ATimplementation] = ACTIONS(2660),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2660),
    [anon_sym_ATsynthesize] = ACTIONS(2660),
    [anon_sym_ATdynamic] = ACTIONS(2660),
    [anon_sym_ATtry] = ACTIONS(2660),
    [anon_sym___try] = ACTIONS(2658),
    [anon_sym_ATthrow] = ACTIONS(2660),
    [anon_sym_ATselector] = ACTIONS(2660),
    [anon_sym_ATavailable] = ACTIONS(2660),
    [anon_sym___builtin_available] = ACTIONS(2658),
    [anon_sym_va_arg] = ACTIONS(2658),
    [anon_sym_ATencode] = ACTIONS(2660),
    [anon_sym_ATsynchronized] = ACTIONS(2660),
    [anon_sym_BOOL] = ACTIONS(2658),
    [anon_sym_IMP] = ACTIONS(2658),
    [anon_sym_SEL] = ACTIONS(2658),
    [anon_sym_Class] = ACTIONS(2658),
    [anon_sym_id] = ACTIONS(2658),
  },
  [501] = {
    [sym_identifier] = ACTIONS(2674),
    [aux_sym_preproc_include_token1] = ACTIONS(2674),
    [aux_sym_preproc_include_token2] = ACTIONS(2674),
    [aux_sym_preproc_def_token1] = ACTIONS(2674),
    [aux_sym_preproc_if_token1] = ACTIONS(2674),
    [aux_sym_preproc_if_token2] = ACTIONS(2674),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2674),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2674),
    [aux_sym_preproc_else_token1] = ACTIONS(2674),
    [aux_sym_preproc_elif_token1] = ACTIONS(2674),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_BANG] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_CARET] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_SEMI] = ACTIONS(2676),
    [anon_sym___extension__] = ACTIONS(2674),
    [anon_sym_typedef] = ACTIONS(2674),
    [anon_sym_extern] = ACTIONS(2674),
    [anon_sym___attribute__] = ACTIONS(2674),
    [anon_sym___attribute] = ACTIONS(2674),
    [anon_sym_noreturn] = ACTIONS(2674),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym___declspec] = ACTIONS(2674),
    [anon_sym___cdecl] = ACTIONS(2674),
    [anon_sym___clrcall] = ACTIONS(2674),
    [anon_sym___stdcall] = ACTIONS(2674),
    [anon_sym___fastcall] = ACTIONS(2674),
    [anon_sym___thiscall] = ACTIONS(2674),
    [anon_sym___vectorcall] = ACTIONS(2674),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_signed] = ACTIONS(2674),
    [anon_sym_unsigned] = ACTIONS(2674),
    [anon_sym_long] = ACTIONS(2674),
    [anon_sym_short] = ACTIONS(2674),
    [anon_sym_static] = ACTIONS(2674),
    [anon_sym_ATautoreleasepool] = ACTIONS(2676),
    [anon_sym_auto] = ACTIONS(2674),
    [anon_sym_register] = ACTIONS(2674),
    [anon_sym_inline] = ACTIONS(2674),
    [anon_sym___inline] = ACTIONS(2674),
    [anon_sym___inline__] = ACTIONS(2674),
    [anon_sym___forceinline] = ACTIONS(2674),
    [anon_sym_thread_local] = ACTIONS(2674),
    [anon_sym___thread] = ACTIONS(2674),
    [anon_sym_CG_EXTERN] = ACTIONS(2674),
    [anon_sym_CG_INLINE] = ACTIONS(2674),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2674),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2674),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2674),
    [anon_sym_IBOutlet] = ACTIONS(2674),
    [anon_sym_IBInspectable] = ACTIONS(2674),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2674),
    [anon_sym_NS_INLINE] = ACTIONS(2674),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2674),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2674),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2674),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2674),
    [anon_sym_const] = ACTIONS(2674),
    [anon_sym_constexpr] = ACTIONS(2674),
    [anon_sym_volatile] = ACTIONS(2674),
    [anon_sym_restrict] = ACTIONS(2674),
    [anon_sym___restrict__] = ACTIONS(2674),
    [anon_sym__Atomic] = ACTIONS(2674),
    [anon_sym__Noreturn] = ACTIONS(2674),
    [anon_sym__Nonnull] = ACTIONS(2674),
    [anon_sym_nullable] = ACTIONS(2674),
    [anon_sym__Complex] = ACTIONS(2674),
    [anon_sym__Nullable] = ACTIONS(2674),
    [anon_sym__Nullable_result] = ACTIONS(2674),
    [anon_sym__Null_unspecified] = ACTIONS(2674),
    [anon_sym___autoreleasing] = ACTIONS(2674),
    [anon_sym___block] = ACTIONS(2674),
    [anon_sym___bridge] = ACTIONS(2674),
    [anon_sym___bridge_retained] = ACTIONS(2674),
    [anon_sym___bridge_transfer] = ACTIONS(2674),
    [anon_sym___complex] = ACTIONS(2674),
    [anon_sym___const] = ACTIONS(2674),
    [anon_sym___imag] = ACTIONS(2674),
    [anon_sym___kindof] = ACTIONS(2674),
    [anon_sym___nonnull] = ACTIONS(2674),
    [anon_sym___nullable] = ACTIONS(2674),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2674),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2674),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2674),
    [anon_sym___real] = ACTIONS(2674),
    [anon_sym___strong] = ACTIONS(2674),
    [anon_sym___unsafe_unretained] = ACTIONS(2674),
    [anon_sym___unused] = ACTIONS(2674),
    [anon_sym___weak] = ACTIONS(2674),
    [anon_sym_alignas] = ACTIONS(2674),
    [anon_sym__Alignas] = ACTIONS(2674),
    [sym_primitive_type] = ACTIONS(2674),
    [anon_sym_enum] = ACTIONS(2674),
    [anon_sym_struct] = ACTIONS(2674),
    [anon_sym_union] = ACTIONS(2674),
    [anon_sym_if] = ACTIONS(2674),
    [anon_sym_switch] = ACTIONS(2674),
    [anon_sym_case] = ACTIONS(2674),
    [anon_sym_default] = ACTIONS(2674),
    [anon_sym_while] = ACTIONS(2674),
    [anon_sym_do] = ACTIONS(2674),
    [anon_sym_for] = ACTIONS(2674),
    [anon_sym_in] = ACTIONS(2674),
    [anon_sym_return] = ACTIONS(2674),
    [anon_sym_break] = ACTIONS(2674),
    [anon_sym_continue] = ACTIONS(2674),
    [anon_sym_goto] = ACTIONS(2674),
    [anon_sym_DASH_DASH] = ACTIONS(2676),
    [anon_sym_PLUS_PLUS] = ACTIONS(2676),
    [anon_sym_sizeof] = ACTIONS(2674),
    [anon_sym___alignof__] = ACTIONS(2674),
    [anon_sym___alignof] = ACTIONS(2674),
    [anon_sym__alignof] = ACTIONS(2674),
    [anon_sym_alignof] = ACTIONS(2674),
    [anon_sym__Alignof] = ACTIONS(2674),
    [anon_sym_offsetof] = ACTIONS(2674),
    [anon_sym__Generic] = ACTIONS(2674),
    [anon_sym_asm] = ACTIONS(2674),
    [anon_sym___asm__] = ACTIONS(2674),
    [anon_sym___asm] = ACTIONS(2674),
    [sym_number_literal] = ACTIONS(2676),
    [anon_sym_L_SQUOTE] = ACTIONS(2676),
    [anon_sym_u_SQUOTE] = ACTIONS(2676),
    [anon_sym_U_SQUOTE] = ACTIONS(2676),
    [anon_sym_u8_SQUOTE] = ACTIONS(2676),
    [anon_sym_SQUOTE] = ACTIONS(2676),
    [anon_sym_AT] = ACTIONS(2674),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [anon_sym_L_DQUOTE] = ACTIONS(2676),
    [anon_sym_u_DQUOTE] = ACTIONS(2676),
    [anon_sym_U_DQUOTE] = ACTIONS(2676),
    [anon_sym_u8_DQUOTE] = ACTIONS(2676),
    [sym_true] = ACTIONS(2674),
    [sym_false] = ACTIONS(2674),
    [anon_sym_NULL] = ACTIONS(2674),
    [anon_sym_nullptr] = ACTIONS(2674),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2674),
    [anon_sym___typeof] = ACTIONS(2674),
    [anon_sym_typeof] = ACTIONS(2674),
    [anon_sym_ATimport] = ACTIONS(2676),
    [aux_sym_preproc_undef_token1] = ACTIONS(2674),
    [anon_sym_POUND] = ACTIONS(2674),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2674),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2674),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2674),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2674),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2674),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2674),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2674),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2674),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2674),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_API_AVAILABLE] = ACTIONS(2674),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_API_DEPRECATED] = ACTIONS(2674),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2674),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2674),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2674),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2674),
    [anon_sym___deprecated_msg] = ACTIONS(2674),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2674),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2674),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2674),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2674),
    [anon_sym_ATprotocol] = ACTIONS(2676),
    [anon_sym_ATinterface] = ACTIONS(2676),
    [anon_sym_ATimplementation] = ACTIONS(2676),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2676),
    [anon_sym_ATsynthesize] = ACTIONS(2676),
    [anon_sym_ATdynamic] = ACTIONS(2676),
    [anon_sym_ATtry] = ACTIONS(2676),
    [anon_sym___try] = ACTIONS(2674),
    [anon_sym_ATthrow] = ACTIONS(2676),
    [anon_sym_ATselector] = ACTIONS(2676),
    [anon_sym_ATavailable] = ACTIONS(2676),
    [anon_sym___builtin_available] = ACTIONS(2674),
    [anon_sym_va_arg] = ACTIONS(2674),
    [anon_sym_ATencode] = ACTIONS(2676),
    [anon_sym_ATsynchronized] = ACTIONS(2676),
    [anon_sym_BOOL] = ACTIONS(2674),
    [anon_sym_IMP] = ACTIONS(2674),
    [anon_sym_SEL] = ACTIONS(2674),
    [anon_sym_Class] = ACTIONS(2674),
    [anon_sym_id] = ACTIONS(2674),
  },
  [502] = {
    [sym_identifier] = ACTIONS(2774),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_include_token2] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token2] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2774),
    [aux_sym_preproc_else_token1] = ACTIONS(2774),
    [aux_sym_preproc_elif_token1] = ACTIONS(2774),
    [sym_preproc_directive] = ACTIONS(2774),
    [anon_sym_LPAREN2] = ACTIONS(2776),
    [anon_sym_BANG] = ACTIONS(2776),
    [anon_sym_TILDE] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2774),
    [anon_sym_PLUS] = ACTIONS(2774),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_CARET] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2776),
    [anon_sym_SEMI] = ACTIONS(2776),
    [anon_sym___extension__] = ACTIONS(2774),
    [anon_sym_typedef] = ACTIONS(2774),
    [anon_sym_extern] = ACTIONS(2774),
    [anon_sym___attribute__] = ACTIONS(2774),
    [anon_sym___attribute] = ACTIONS(2774),
    [anon_sym_noreturn] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2776),
    [anon_sym___declspec] = ACTIONS(2774),
    [anon_sym___cdecl] = ACTIONS(2774),
    [anon_sym___clrcall] = ACTIONS(2774),
    [anon_sym___stdcall] = ACTIONS(2774),
    [anon_sym___fastcall] = ACTIONS(2774),
    [anon_sym___thiscall] = ACTIONS(2774),
    [anon_sym___vectorcall] = ACTIONS(2774),
    [anon_sym_LBRACE] = ACTIONS(2776),
    [anon_sym_signed] = ACTIONS(2774),
    [anon_sym_unsigned] = ACTIONS(2774),
    [anon_sym_long] = ACTIONS(2774),
    [anon_sym_short] = ACTIONS(2774),
    [anon_sym_static] = ACTIONS(2774),
    [anon_sym_ATautoreleasepool] = ACTIONS(2776),
    [anon_sym_auto] = ACTIONS(2774),
    [anon_sym_register] = ACTIONS(2774),
    [anon_sym_inline] = ACTIONS(2774),
    [anon_sym___inline] = ACTIONS(2774),
    [anon_sym___inline__] = ACTIONS(2774),
    [anon_sym___forceinline] = ACTIONS(2774),
    [anon_sym_thread_local] = ACTIONS(2774),
    [anon_sym___thread] = ACTIONS(2774),
    [anon_sym_CG_EXTERN] = ACTIONS(2774),
    [anon_sym_CG_INLINE] = ACTIONS(2774),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2774),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2774),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2774),
    [anon_sym_IBOutlet] = ACTIONS(2774),
    [anon_sym_IBInspectable] = ACTIONS(2774),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2774),
    [anon_sym_NS_INLINE] = ACTIONS(2774),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2774),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2774),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2774),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2774),
    [anon_sym_const] = ACTIONS(2774),
    [anon_sym_constexpr] = ACTIONS(2774),
    [anon_sym_volatile] = ACTIONS(2774),
    [anon_sym_restrict] = ACTIONS(2774),
    [anon_sym___restrict__] = ACTIONS(2774),
    [anon_sym__Atomic] = ACTIONS(2774),
    [anon_sym__Noreturn] = ACTIONS(2774),
    [anon_sym__Nonnull] = ACTIONS(2774),
    [anon_sym_nullable] = ACTIONS(2774),
    [anon_sym__Complex] = ACTIONS(2774),
    [anon_sym__Nullable] = ACTIONS(2774),
    [anon_sym__Nullable_result] = ACTIONS(2774),
    [anon_sym__Null_unspecified] = ACTIONS(2774),
    [anon_sym___autoreleasing] = ACTIONS(2774),
    [anon_sym___block] = ACTIONS(2774),
    [anon_sym___bridge] = ACTIONS(2774),
    [anon_sym___bridge_retained] = ACTIONS(2774),
    [anon_sym___bridge_transfer] = ACTIONS(2774),
    [anon_sym___complex] = ACTIONS(2774),
    [anon_sym___const] = ACTIONS(2774),
    [anon_sym___imag] = ACTIONS(2774),
    [anon_sym___kindof] = ACTIONS(2774),
    [anon_sym___nonnull] = ACTIONS(2774),
    [anon_sym___nullable] = ACTIONS(2774),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2774),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2774),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2774),
    [anon_sym___real] = ACTIONS(2774),
    [anon_sym___strong] = ACTIONS(2774),
    [anon_sym___unsafe_unretained] = ACTIONS(2774),
    [anon_sym___unused] = ACTIONS(2774),
    [anon_sym___weak] = ACTIONS(2774),
    [anon_sym_alignas] = ACTIONS(2774),
    [anon_sym__Alignas] = ACTIONS(2774),
    [sym_primitive_type] = ACTIONS(2774),
    [anon_sym_enum] = ACTIONS(2774),
    [anon_sym_struct] = ACTIONS(2774),
    [anon_sym_union] = ACTIONS(2774),
    [anon_sym_if] = ACTIONS(2774),
    [anon_sym_switch] = ACTIONS(2774),
    [anon_sym_case] = ACTIONS(2774),
    [anon_sym_default] = ACTIONS(2774),
    [anon_sym_while] = ACTIONS(2774),
    [anon_sym_do] = ACTIONS(2774),
    [anon_sym_for] = ACTIONS(2774),
    [anon_sym_in] = ACTIONS(2774),
    [anon_sym_return] = ACTIONS(2774),
    [anon_sym_break] = ACTIONS(2774),
    [anon_sym_continue] = ACTIONS(2774),
    [anon_sym_goto] = ACTIONS(2774),
    [anon_sym_DASH_DASH] = ACTIONS(2776),
    [anon_sym_PLUS_PLUS] = ACTIONS(2776),
    [anon_sym_sizeof] = ACTIONS(2774),
    [anon_sym___alignof__] = ACTIONS(2774),
    [anon_sym___alignof] = ACTIONS(2774),
    [anon_sym__alignof] = ACTIONS(2774),
    [anon_sym_alignof] = ACTIONS(2774),
    [anon_sym__Alignof] = ACTIONS(2774),
    [anon_sym_offsetof] = ACTIONS(2774),
    [anon_sym__Generic] = ACTIONS(2774),
    [anon_sym_asm] = ACTIONS(2774),
    [anon_sym___asm__] = ACTIONS(2774),
    [anon_sym___asm] = ACTIONS(2774),
    [sym_number_literal] = ACTIONS(2776),
    [anon_sym_L_SQUOTE] = ACTIONS(2776),
    [anon_sym_u_SQUOTE] = ACTIONS(2776),
    [anon_sym_U_SQUOTE] = ACTIONS(2776),
    [anon_sym_u8_SQUOTE] = ACTIONS(2776),
    [anon_sym_SQUOTE] = ACTIONS(2776),
    [anon_sym_AT] = ACTIONS(2774),
    [anon_sym_DQUOTE] = ACTIONS(2776),
    [anon_sym_L_DQUOTE] = ACTIONS(2776),
    [anon_sym_u_DQUOTE] = ACTIONS(2776),
    [anon_sym_U_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8_DQUOTE] = ACTIONS(2776),
    [sym_true] = ACTIONS(2774),
    [sym_false] = ACTIONS(2774),
    [anon_sym_NULL] = ACTIONS(2774),
    [anon_sym_nullptr] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2774),
    [anon_sym___typeof] = ACTIONS(2774),
    [anon_sym_typeof] = ACTIONS(2774),
    [anon_sym_ATimport] = ACTIONS(2776),
    [aux_sym_preproc_undef_token1] = ACTIONS(2774),
    [anon_sym_POUND] = ACTIONS(2774),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2774),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2774),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2774),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2774),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2774),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2774),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2774),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2774),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2774),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_API_AVAILABLE] = ACTIONS(2774),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_API_DEPRECATED] = ACTIONS(2774),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2774),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2774),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2774),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2774),
    [anon_sym___deprecated_msg] = ACTIONS(2774),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2774),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2774),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2774),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2774),
    [anon_sym_ATprotocol] = ACTIONS(2776),
    [anon_sym_ATinterface] = ACTIONS(2776),
    [anon_sym_ATimplementation] = ACTIONS(2776),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2776),
    [anon_sym_ATsynthesize] = ACTIONS(2776),
    [anon_sym_ATdynamic] = ACTIONS(2776),
    [anon_sym_ATtry] = ACTIONS(2776),
    [anon_sym___try] = ACTIONS(2774),
    [anon_sym_ATthrow] = ACTIONS(2776),
    [anon_sym_ATselector] = ACTIONS(2776),
    [anon_sym_ATavailable] = ACTIONS(2776),
    [anon_sym___builtin_available] = ACTIONS(2774),
    [anon_sym_va_arg] = ACTIONS(2774),
    [anon_sym_ATencode] = ACTIONS(2776),
    [anon_sym_ATsynchronized] = ACTIONS(2776),
    [anon_sym_BOOL] = ACTIONS(2774),
    [anon_sym_IMP] = ACTIONS(2774),
    [anon_sym_SEL] = ACTIONS(2774),
    [anon_sym_Class] = ACTIONS(2774),
    [anon_sym_id] = ACTIONS(2774),
  },
  [503] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_include_token1] = ACTIONS(2798),
    [aux_sym_preproc_include_token2] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token2] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [aux_sym_preproc_else_token1] = ACTIONS(2798),
    [aux_sym_preproc_elif_token1] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_CARET] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2800),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym___attribute] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_ATautoreleasepool] = ACTIONS(2800),
    [anon_sym_auto] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_CG_EXTERN] = ACTIONS(2798),
    [anon_sym_CG_INLINE] = ACTIONS(2798),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2798),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2798),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2798),
    [anon_sym_IBOutlet] = ACTIONS(2798),
    [anon_sym_IBInspectable] = ACTIONS(2798),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2798),
    [anon_sym_NS_INLINE] = ACTIONS(2798),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2798),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2798),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2798),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_nullable] = ACTIONS(2798),
    [anon_sym__Complex] = ACTIONS(2798),
    [anon_sym__Nullable] = ACTIONS(2798),
    [anon_sym__Nullable_result] = ACTIONS(2798),
    [anon_sym__Null_unspecified] = ACTIONS(2798),
    [anon_sym___autoreleasing] = ACTIONS(2798),
    [anon_sym___block] = ACTIONS(2798),
    [anon_sym___bridge] = ACTIONS(2798),
    [anon_sym___bridge_retained] = ACTIONS(2798),
    [anon_sym___bridge_transfer] = ACTIONS(2798),
    [anon_sym___complex] = ACTIONS(2798),
    [anon_sym___const] = ACTIONS(2798),
    [anon_sym___imag] = ACTIONS(2798),
    [anon_sym___kindof] = ACTIONS(2798),
    [anon_sym___nonnull] = ACTIONS(2798),
    [anon_sym___nullable] = ACTIONS(2798),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2798),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2798),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2798),
    [anon_sym___real] = ACTIONS(2798),
    [anon_sym___strong] = ACTIONS(2798),
    [anon_sym___unsafe_unretained] = ACTIONS(2798),
    [anon_sym___unused] = ACTIONS(2798),
    [anon_sym___weak] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_default] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_in] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [anon_sym___asm] = ACTIONS(2798),
    [sym_number_literal] = ACTIONS(2800),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_AT] = ACTIONS(2798),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2798),
    [anon_sym___typeof] = ACTIONS(2798),
    [anon_sym_typeof] = ACTIONS(2798),
    [anon_sym_ATimport] = ACTIONS(2800),
    [aux_sym_preproc_undef_token1] = ACTIONS(2798),
    [anon_sym_POUND] = ACTIONS(2798),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2798),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2798),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2798),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2798),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2798),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2798),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2798),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2798),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_API_AVAILABLE] = ACTIONS(2798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_API_DEPRECATED] = ACTIONS(2798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2798),
    [anon_sym___deprecated_msg] = ACTIONS(2798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2798),
    [anon_sym_ATprotocol] = ACTIONS(2800),
    [anon_sym_ATinterface] = ACTIONS(2800),
    [anon_sym_ATimplementation] = ACTIONS(2800),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2800),
    [anon_sym_ATsynthesize] = ACTIONS(2800),
    [anon_sym_ATdynamic] = ACTIONS(2800),
    [anon_sym_ATtry] = ACTIONS(2800),
    [anon_sym___try] = ACTIONS(2798),
    [anon_sym_ATthrow] = ACTIONS(2800),
    [anon_sym_ATselector] = ACTIONS(2800),
    [anon_sym_ATavailable] = ACTIONS(2800),
    [anon_sym___builtin_available] = ACTIONS(2798),
    [anon_sym_va_arg] = ACTIONS(2798),
    [anon_sym_ATencode] = ACTIONS(2800),
    [anon_sym_ATsynchronized] = ACTIONS(2800),
    [anon_sym_BOOL] = ACTIONS(2798),
    [anon_sym_IMP] = ACTIONS(2798),
    [anon_sym_SEL] = ACTIONS(2798),
    [anon_sym_Class] = ACTIONS(2798),
    [anon_sym_id] = ACTIONS(2798),
  },
  [504] = {
    [sym_identifier] = ACTIONS(2848),
    [aux_sym_preproc_include_token1] = ACTIONS(2848),
    [aux_sym_preproc_include_token2] = ACTIONS(2848),
    [aux_sym_preproc_def_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token2] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2848),
    [aux_sym_preproc_else_token1] = ACTIONS(2848),
    [aux_sym_preproc_elif_token1] = ACTIONS(2848),
    [sym_preproc_directive] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(2850),
    [anon_sym_BANG] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_DASH] = ACTIONS(2848),
    [anon_sym_PLUS] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_CARET] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym_SEMI] = ACTIONS(2850),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym_typedef] = ACTIONS(2848),
    [anon_sym_extern] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym___attribute] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym___declspec] = ACTIONS(2848),
    [anon_sym___cdecl] = ACTIONS(2848),
    [anon_sym___clrcall] = ACTIONS(2848),
    [anon_sym___stdcall] = ACTIONS(2848),
    [anon_sym___fastcall] = ACTIONS(2848),
    [anon_sym___thiscall] = ACTIONS(2848),
    [anon_sym___vectorcall] = ACTIONS(2848),
    [anon_sym_LBRACE] = ACTIONS(2850),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_ATautoreleasepool] = ACTIONS(2850),
    [anon_sym_auto] = ACTIONS(2848),
    [anon_sym_register] = ACTIONS(2848),
    [anon_sym_inline] = ACTIONS(2848),
    [anon_sym___inline] = ACTIONS(2848),
    [anon_sym___inline__] = ACTIONS(2848),
    [anon_sym___forceinline] = ACTIONS(2848),
    [anon_sym_thread_local] = ACTIONS(2848),
    [anon_sym___thread] = ACTIONS(2848),
    [anon_sym_CG_EXTERN] = ACTIONS(2848),
    [anon_sym_CG_INLINE] = ACTIONS(2848),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2848),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2848),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2848),
    [anon_sym_IBOutlet] = ACTIONS(2848),
    [anon_sym_IBInspectable] = ACTIONS(2848),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2848),
    [anon_sym_NS_INLINE] = ACTIONS(2848),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2848),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2848),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2848),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym__Nonnull] = ACTIONS(2848),
    [anon_sym_nullable] = ACTIONS(2848),
    [anon_sym__Complex] = ACTIONS(2848),
    [anon_sym__Nullable] = ACTIONS(2848),
    [anon_sym__Nullable_result] = ACTIONS(2848),
    [anon_sym__Null_unspecified] = ACTIONS(2848),
    [anon_sym___autoreleasing] = ACTIONS(2848),
    [anon_sym___block] = ACTIONS(2848),
    [anon_sym___bridge] = ACTIONS(2848),
    [anon_sym___bridge_retained] = ACTIONS(2848),
    [anon_sym___bridge_transfer] = ACTIONS(2848),
    [anon_sym___complex] = ACTIONS(2848),
    [anon_sym___const] = ACTIONS(2848),
    [anon_sym___imag] = ACTIONS(2848),
    [anon_sym___kindof] = ACTIONS(2848),
    [anon_sym___nonnull] = ACTIONS(2848),
    [anon_sym___nullable] = ACTIONS(2848),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2848),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2848),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2848),
    [anon_sym___real] = ACTIONS(2848),
    [anon_sym___strong] = ACTIONS(2848),
    [anon_sym___unsafe_unretained] = ACTIONS(2848),
    [anon_sym___unused] = ACTIONS(2848),
    [anon_sym___weak] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym__Alignas] = ACTIONS(2848),
    [sym_primitive_type] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [anon_sym_if] = ACTIONS(2848),
    [anon_sym_switch] = ACTIONS(2848),
    [anon_sym_case] = ACTIONS(2848),
    [anon_sym_default] = ACTIONS(2848),
    [anon_sym_while] = ACTIONS(2848),
    [anon_sym_do] = ACTIONS(2848),
    [anon_sym_for] = ACTIONS(2848),
    [anon_sym_in] = ACTIONS(2848),
    [anon_sym_return] = ACTIONS(2848),
    [anon_sym_break] = ACTIONS(2848),
    [anon_sym_continue] = ACTIONS(2848),
    [anon_sym_goto] = ACTIONS(2848),
    [anon_sym_DASH_DASH] = ACTIONS(2850),
    [anon_sym_PLUS_PLUS] = ACTIONS(2850),
    [anon_sym_sizeof] = ACTIONS(2848),
    [anon_sym___alignof__] = ACTIONS(2848),
    [anon_sym___alignof] = ACTIONS(2848),
    [anon_sym__alignof] = ACTIONS(2848),
    [anon_sym_alignof] = ACTIONS(2848),
    [anon_sym__Alignof] = ACTIONS(2848),
    [anon_sym_offsetof] = ACTIONS(2848),
    [anon_sym__Generic] = ACTIONS(2848),
    [anon_sym_asm] = ACTIONS(2848),
    [anon_sym___asm__] = ACTIONS(2848),
    [anon_sym___asm] = ACTIONS(2848),
    [sym_number_literal] = ACTIONS(2850),
    [anon_sym_L_SQUOTE] = ACTIONS(2850),
    [anon_sym_u_SQUOTE] = ACTIONS(2850),
    [anon_sym_U_SQUOTE] = ACTIONS(2850),
    [anon_sym_u8_SQUOTE] = ACTIONS(2850),
    [anon_sym_SQUOTE] = ACTIONS(2850),
    [anon_sym_AT] = ACTIONS(2848),
    [anon_sym_DQUOTE] = ACTIONS(2850),
    [anon_sym_L_DQUOTE] = ACTIONS(2850),
    [anon_sym_u_DQUOTE] = ACTIONS(2850),
    [anon_sym_U_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8_DQUOTE] = ACTIONS(2850),
    [sym_true] = ACTIONS(2848),
    [sym_false] = ACTIONS(2848),
    [anon_sym_NULL] = ACTIONS(2848),
    [anon_sym_nullptr] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2848),
    [anon_sym___typeof] = ACTIONS(2848),
    [anon_sym_typeof] = ACTIONS(2848),
    [anon_sym_ATimport] = ACTIONS(2850),
    [aux_sym_preproc_undef_token1] = ACTIONS(2848),
    [anon_sym_POUND] = ACTIONS(2848),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2848),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2848),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2848),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2848),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2848),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2848),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2848),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2848),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2848),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2848),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2848),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2848),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2848),
    [anon_sym_API_AVAILABLE] = ACTIONS(2848),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2848),
    [anon_sym_API_DEPRECATED] = ACTIONS(2848),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2848),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2848),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2848),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2848),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2848),
    [anon_sym___deprecated_msg] = ACTIONS(2848),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2848),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2848),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2848),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2848),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2848),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2848),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2848),
    [anon_sym_ATprotocol] = ACTIONS(2850),
    [anon_sym_ATinterface] = ACTIONS(2850),
    [anon_sym_ATimplementation] = ACTIONS(2850),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2850),
    [anon_sym_ATsynthesize] = ACTIONS(2850),
    [anon_sym_ATdynamic] = ACTIONS(2850),
    [anon_sym_ATtry] = ACTIONS(2850),
    [anon_sym___try] = ACTIONS(2848),
    [anon_sym_ATthrow] = ACTIONS(2850),
    [anon_sym_ATselector] = ACTIONS(2850),
    [anon_sym_ATavailable] = ACTIONS(2850),
    [anon_sym___builtin_available] = ACTIONS(2848),
    [anon_sym_va_arg] = ACTIONS(2848),
    [anon_sym_ATencode] = ACTIONS(2850),
    [anon_sym_ATsynchronized] = ACTIONS(2850),
    [anon_sym_BOOL] = ACTIONS(2848),
    [anon_sym_IMP] = ACTIONS(2848),
    [anon_sym_SEL] = ACTIONS(2848),
    [anon_sym_Class] = ACTIONS(2848),
    [anon_sym_id] = ACTIONS(2848),
  },
  [505] = {
    [sym_identifier] = ACTIONS(2572),
    [aux_sym_preproc_include_token1] = ACTIONS(2572),
    [aux_sym_preproc_include_token2] = ACTIONS(2572),
    [aux_sym_preproc_def_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token2] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2572),
    [aux_sym_preproc_else_token1] = ACTIONS(2572),
    [aux_sym_preproc_elif_token1] = ACTIONS(2572),
    [sym_preproc_directive] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_CARET] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym___extension__] = ACTIONS(2572),
    [anon_sym_typedef] = ACTIONS(2572),
    [anon_sym_extern] = ACTIONS(2572),
    [anon_sym___attribute__] = ACTIONS(2572),
    [anon_sym___attribute] = ACTIONS(2572),
    [anon_sym_noreturn] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym___declspec] = ACTIONS(2572),
    [anon_sym___cdecl] = ACTIONS(2572),
    [anon_sym___clrcall] = ACTIONS(2572),
    [anon_sym___stdcall] = ACTIONS(2572),
    [anon_sym___fastcall] = ACTIONS(2572),
    [anon_sym___thiscall] = ACTIONS(2572),
    [anon_sym___vectorcall] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2574),
    [anon_sym_signed] = ACTIONS(2572),
    [anon_sym_unsigned] = ACTIONS(2572),
    [anon_sym_long] = ACTIONS(2572),
    [anon_sym_short] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_ATautoreleasepool] = ACTIONS(2574),
    [anon_sym_auto] = ACTIONS(2572),
    [anon_sym_register] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym___inline] = ACTIONS(2572),
    [anon_sym___inline__] = ACTIONS(2572),
    [anon_sym___forceinline] = ACTIONS(2572),
    [anon_sym_thread_local] = ACTIONS(2572),
    [anon_sym___thread] = ACTIONS(2572),
    [anon_sym_CG_EXTERN] = ACTIONS(2572),
    [anon_sym_CG_INLINE] = ACTIONS(2572),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2572),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2572),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2572),
    [anon_sym_IBOutlet] = ACTIONS(2572),
    [anon_sym_IBInspectable] = ACTIONS(2572),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2572),
    [anon_sym_NS_INLINE] = ACTIONS(2572),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2572),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2572),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2572),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_constexpr] = ACTIONS(2572),
    [anon_sym_volatile] = ACTIONS(2572),
    [anon_sym_restrict] = ACTIONS(2572),
    [anon_sym___restrict__] = ACTIONS(2572),
    [anon_sym__Atomic] = ACTIONS(2572),
    [anon_sym__Noreturn] = ACTIONS(2572),
    [anon_sym__Nonnull] = ACTIONS(2572),
    [anon_sym_nullable] = ACTIONS(2572),
    [anon_sym__Complex] = ACTIONS(2572),
    [anon_sym__Nullable] = ACTIONS(2572),
    [anon_sym__Nullable_result] = ACTIONS(2572),
    [anon_sym__Null_unspecified] = ACTIONS(2572),
    [anon_sym___autoreleasing] = ACTIONS(2572),
    [anon_sym___block] = ACTIONS(2572),
    [anon_sym___bridge] = ACTIONS(2572),
    [anon_sym___bridge_retained] = ACTIONS(2572),
    [anon_sym___bridge_transfer] = ACTIONS(2572),
    [anon_sym___complex] = ACTIONS(2572),
    [anon_sym___const] = ACTIONS(2572),
    [anon_sym___imag] = ACTIONS(2572),
    [anon_sym___kindof] = ACTIONS(2572),
    [anon_sym___nonnull] = ACTIONS(2572),
    [anon_sym___nullable] = ACTIONS(2572),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2572),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2572),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2572),
    [anon_sym___real] = ACTIONS(2572),
    [anon_sym___strong] = ACTIONS(2572),
    [anon_sym___unsafe_unretained] = ACTIONS(2572),
    [anon_sym___unused] = ACTIONS(2572),
    [anon_sym___weak] = ACTIONS(2572),
    [anon_sym_alignas] = ACTIONS(2572),
    [anon_sym__Alignas] = ACTIONS(2572),
    [sym_primitive_type] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_struct] = ACTIONS(2572),
    [anon_sym_union] = ACTIONS(2572),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_switch] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_default] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_do] = ACTIONS(2572),
    [anon_sym_for] = ACTIONS(2572),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_break] = ACTIONS(2572),
    [anon_sym_continue] = ACTIONS(2572),
    [anon_sym_goto] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_sizeof] = ACTIONS(2572),
    [anon_sym___alignof__] = ACTIONS(2572),
    [anon_sym___alignof] = ACTIONS(2572),
    [anon_sym__alignof] = ACTIONS(2572),
    [anon_sym_alignof] = ACTIONS(2572),
    [anon_sym__Alignof] = ACTIONS(2572),
    [anon_sym_offsetof] = ACTIONS(2572),
    [anon_sym__Generic] = ACTIONS(2572),
    [anon_sym_asm] = ACTIONS(2572),
    [anon_sym___asm__] = ACTIONS(2572),
    [anon_sym___asm] = ACTIONS(2572),
    [sym_number_literal] = ACTIONS(2574),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_AT] = ACTIONS(2572),
    [anon_sym_DQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2574),
    [anon_sym_u_DQUOTE] = ACTIONS(2574),
    [anon_sym_U_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8_DQUOTE] = ACTIONS(2574),
    [sym_true] = ACTIONS(2572),
    [sym_false] = ACTIONS(2572),
    [anon_sym_NULL] = ACTIONS(2572),
    [anon_sym_nullptr] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2572),
    [anon_sym___typeof] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(2572),
    [anon_sym_ATimport] = ACTIONS(2574),
    [aux_sym_preproc_undef_token1] = ACTIONS(2572),
    [anon_sym_POUND] = ACTIONS(2572),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2572),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2572),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2572),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2572),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2572),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2572),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2572),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2572),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2572),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2572),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2572),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2572),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2572),
    [anon_sym_API_AVAILABLE] = ACTIONS(2572),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2572),
    [anon_sym_API_DEPRECATED] = ACTIONS(2572),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2572),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2572),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2572),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2572),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2572),
    [anon_sym___deprecated_msg] = ACTIONS(2572),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2572),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2572),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2572),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2572),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2572),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2572),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2572),
    [anon_sym_ATprotocol] = ACTIONS(2574),
    [anon_sym_ATinterface] = ACTIONS(2574),
    [anon_sym_ATimplementation] = ACTIONS(2574),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2574),
    [anon_sym_ATsynthesize] = ACTIONS(2574),
    [anon_sym_ATdynamic] = ACTIONS(2574),
    [anon_sym_ATtry] = ACTIONS(2574),
    [anon_sym___try] = ACTIONS(2572),
    [anon_sym_ATthrow] = ACTIONS(2574),
    [anon_sym_ATselector] = ACTIONS(2574),
    [anon_sym_ATavailable] = ACTIONS(2574),
    [anon_sym___builtin_available] = ACTIONS(2572),
    [anon_sym_va_arg] = ACTIONS(2572),
    [anon_sym_ATencode] = ACTIONS(2574),
    [anon_sym_ATsynchronized] = ACTIONS(2574),
    [anon_sym_BOOL] = ACTIONS(2572),
    [anon_sym_IMP] = ACTIONS(2572),
    [anon_sym_SEL] = ACTIONS(2572),
    [anon_sym_Class] = ACTIONS(2572),
    [anon_sym_id] = ACTIONS(2572),
  },
  [506] = {
    [sym_identifier] = ACTIONS(2794),
    [aux_sym_preproc_include_token1] = ACTIONS(2794),
    [aux_sym_preproc_include_token2] = ACTIONS(2794),
    [aux_sym_preproc_def_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token2] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2794),
    [aux_sym_preproc_else_token1] = ACTIONS(2794),
    [aux_sym_preproc_elif_token1] = ACTIONS(2794),
    [sym_preproc_directive] = ACTIONS(2794),
    [anon_sym_LPAREN2] = ACTIONS(2796),
    [anon_sym_BANG] = ACTIONS(2796),
    [anon_sym_TILDE] = ACTIONS(2796),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2796),
    [anon_sym_CARET] = ACTIONS(2796),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_SEMI] = ACTIONS(2796),
    [anon_sym___extension__] = ACTIONS(2794),
    [anon_sym_typedef] = ACTIONS(2794),
    [anon_sym_extern] = ACTIONS(2794),
    [anon_sym___attribute__] = ACTIONS(2794),
    [anon_sym___attribute] = ACTIONS(2794),
    [anon_sym_noreturn] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2796),
    [anon_sym___declspec] = ACTIONS(2794),
    [anon_sym___cdecl] = ACTIONS(2794),
    [anon_sym___clrcall] = ACTIONS(2794),
    [anon_sym___stdcall] = ACTIONS(2794),
    [anon_sym___fastcall] = ACTIONS(2794),
    [anon_sym___thiscall] = ACTIONS(2794),
    [anon_sym___vectorcall] = ACTIONS(2794),
    [anon_sym_LBRACE] = ACTIONS(2796),
    [anon_sym_signed] = ACTIONS(2794),
    [anon_sym_unsigned] = ACTIONS(2794),
    [anon_sym_long] = ACTIONS(2794),
    [anon_sym_short] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_ATautoreleasepool] = ACTIONS(2796),
    [anon_sym_auto] = ACTIONS(2794),
    [anon_sym_register] = ACTIONS(2794),
    [anon_sym_inline] = ACTIONS(2794),
    [anon_sym___inline] = ACTIONS(2794),
    [anon_sym___inline__] = ACTIONS(2794),
    [anon_sym___forceinline] = ACTIONS(2794),
    [anon_sym_thread_local] = ACTIONS(2794),
    [anon_sym___thread] = ACTIONS(2794),
    [anon_sym_CG_EXTERN] = ACTIONS(2794),
    [anon_sym_CG_INLINE] = ACTIONS(2794),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2794),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2794),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2794),
    [anon_sym_IBOutlet] = ACTIONS(2794),
    [anon_sym_IBInspectable] = ACTIONS(2794),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2794),
    [anon_sym_NS_INLINE] = ACTIONS(2794),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2794),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2794),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2794),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2794),
    [anon_sym_const] = ACTIONS(2794),
    [anon_sym_constexpr] = ACTIONS(2794),
    [anon_sym_volatile] = ACTIONS(2794),
    [anon_sym_restrict] = ACTIONS(2794),
    [anon_sym___restrict__] = ACTIONS(2794),
    [anon_sym__Atomic] = ACTIONS(2794),
    [anon_sym__Noreturn] = ACTIONS(2794),
    [anon_sym__Nonnull] = ACTIONS(2794),
    [anon_sym_nullable] = ACTIONS(2794),
    [anon_sym__Complex] = ACTIONS(2794),
    [anon_sym__Nullable] = ACTIONS(2794),
    [anon_sym__Nullable_result] = ACTIONS(2794),
    [anon_sym__Null_unspecified] = ACTIONS(2794),
    [anon_sym___autoreleasing] = ACTIONS(2794),
    [anon_sym___block] = ACTIONS(2794),
    [anon_sym___bridge] = ACTIONS(2794),
    [anon_sym___bridge_retained] = ACTIONS(2794),
    [anon_sym___bridge_transfer] = ACTIONS(2794),
    [anon_sym___complex] = ACTIONS(2794),
    [anon_sym___const] = ACTIONS(2794),
    [anon_sym___imag] = ACTIONS(2794),
    [anon_sym___kindof] = ACTIONS(2794),
    [anon_sym___nonnull] = ACTIONS(2794),
    [anon_sym___nullable] = ACTIONS(2794),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2794),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2794),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2794),
    [anon_sym___real] = ACTIONS(2794),
    [anon_sym___strong] = ACTIONS(2794),
    [anon_sym___unsafe_unretained] = ACTIONS(2794),
    [anon_sym___unused] = ACTIONS(2794),
    [anon_sym___weak] = ACTIONS(2794),
    [anon_sym_alignas] = ACTIONS(2794),
    [anon_sym__Alignas] = ACTIONS(2794),
    [sym_primitive_type] = ACTIONS(2794),
    [anon_sym_enum] = ACTIONS(2794),
    [anon_sym_struct] = ACTIONS(2794),
    [anon_sym_union] = ACTIONS(2794),
    [anon_sym_if] = ACTIONS(2794),
    [anon_sym_switch] = ACTIONS(2794),
    [anon_sym_case] = ACTIONS(2794),
    [anon_sym_default] = ACTIONS(2794),
    [anon_sym_while] = ACTIONS(2794),
    [anon_sym_do] = ACTIONS(2794),
    [anon_sym_for] = ACTIONS(2794),
    [anon_sym_in] = ACTIONS(2794),
    [anon_sym_return] = ACTIONS(2794),
    [anon_sym_break] = ACTIONS(2794),
    [anon_sym_continue] = ACTIONS(2794),
    [anon_sym_goto] = ACTIONS(2794),
    [anon_sym_DASH_DASH] = ACTIONS(2796),
    [anon_sym_PLUS_PLUS] = ACTIONS(2796),
    [anon_sym_sizeof] = ACTIONS(2794),
    [anon_sym___alignof__] = ACTIONS(2794),
    [anon_sym___alignof] = ACTIONS(2794),
    [anon_sym__alignof] = ACTIONS(2794),
    [anon_sym_alignof] = ACTIONS(2794),
    [anon_sym__Alignof] = ACTIONS(2794),
    [anon_sym_offsetof] = ACTIONS(2794),
    [anon_sym__Generic] = ACTIONS(2794),
    [anon_sym_asm] = ACTIONS(2794),
    [anon_sym___asm__] = ACTIONS(2794),
    [anon_sym___asm] = ACTIONS(2794),
    [sym_number_literal] = ACTIONS(2796),
    [anon_sym_L_SQUOTE] = ACTIONS(2796),
    [anon_sym_u_SQUOTE] = ACTIONS(2796),
    [anon_sym_U_SQUOTE] = ACTIONS(2796),
    [anon_sym_u8_SQUOTE] = ACTIONS(2796),
    [anon_sym_SQUOTE] = ACTIONS(2796),
    [anon_sym_AT] = ACTIONS(2794),
    [anon_sym_DQUOTE] = ACTIONS(2796),
    [anon_sym_L_DQUOTE] = ACTIONS(2796),
    [anon_sym_u_DQUOTE] = ACTIONS(2796),
    [anon_sym_U_DQUOTE] = ACTIONS(2796),
    [anon_sym_u8_DQUOTE] = ACTIONS(2796),
    [sym_true] = ACTIONS(2794),
    [sym_false] = ACTIONS(2794),
    [anon_sym_NULL] = ACTIONS(2794),
    [anon_sym_nullptr] = ACTIONS(2794),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2794),
    [anon_sym___typeof] = ACTIONS(2794),
    [anon_sym_typeof] = ACTIONS(2794),
    [anon_sym_ATimport] = ACTIONS(2796),
    [aux_sym_preproc_undef_token1] = ACTIONS(2794),
    [anon_sym_POUND] = ACTIONS(2794),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2794),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2794),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2794),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2794),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2794),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2794),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2794),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2794),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2794),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_API_AVAILABLE] = ACTIONS(2794),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_API_DEPRECATED] = ACTIONS(2794),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2794),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2794),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2794),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2794),
    [anon_sym___deprecated_msg] = ACTIONS(2794),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2794),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2794),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2794),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2794),
    [anon_sym_ATprotocol] = ACTIONS(2796),
    [anon_sym_ATinterface] = ACTIONS(2796),
    [anon_sym_ATimplementation] = ACTIONS(2796),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2796),
    [anon_sym_ATsynthesize] = ACTIONS(2796),
    [anon_sym_ATdynamic] = ACTIONS(2796),
    [anon_sym_ATtry] = ACTIONS(2796),
    [anon_sym___try] = ACTIONS(2794),
    [anon_sym_ATthrow] = ACTIONS(2796),
    [anon_sym_ATselector] = ACTIONS(2796),
    [anon_sym_ATavailable] = ACTIONS(2796),
    [anon_sym___builtin_available] = ACTIONS(2794),
    [anon_sym_va_arg] = ACTIONS(2794),
    [anon_sym_ATencode] = ACTIONS(2796),
    [anon_sym_ATsynchronized] = ACTIONS(2796),
    [anon_sym_BOOL] = ACTIONS(2794),
    [anon_sym_IMP] = ACTIONS(2794),
    [anon_sym_SEL] = ACTIONS(2794),
    [anon_sym_Class] = ACTIONS(2794),
    [anon_sym_id] = ACTIONS(2794),
  },
  [507] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_include_token2] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token2] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [aux_sym_preproc_else_token1] = ACTIONS(2580),
    [aux_sym_preproc_elif_token1] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym___attribute] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_ATautoreleasepool] = ACTIONS(2582),
    [anon_sym_auto] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_CG_EXTERN] = ACTIONS(2580),
    [anon_sym_CG_INLINE] = ACTIONS(2580),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2580),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2580),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2580),
    [anon_sym_IBOutlet] = ACTIONS(2580),
    [anon_sym_IBInspectable] = ACTIONS(2580),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2580),
    [anon_sym_NS_INLINE] = ACTIONS(2580),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2580),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2580),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2580),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym__Nonnull] = ACTIONS(2580),
    [anon_sym_nullable] = ACTIONS(2580),
    [anon_sym__Complex] = ACTIONS(2580),
    [anon_sym__Nullable] = ACTIONS(2580),
    [anon_sym__Nullable_result] = ACTIONS(2580),
    [anon_sym__Null_unspecified] = ACTIONS(2580),
    [anon_sym___autoreleasing] = ACTIONS(2580),
    [anon_sym___block] = ACTIONS(2580),
    [anon_sym___bridge] = ACTIONS(2580),
    [anon_sym___bridge_retained] = ACTIONS(2580),
    [anon_sym___bridge_transfer] = ACTIONS(2580),
    [anon_sym___complex] = ACTIONS(2580),
    [anon_sym___const] = ACTIONS(2580),
    [anon_sym___imag] = ACTIONS(2580),
    [anon_sym___kindof] = ACTIONS(2580),
    [anon_sym___nonnull] = ACTIONS(2580),
    [anon_sym___nullable] = ACTIONS(2580),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2580),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2580),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2580),
    [anon_sym___real] = ACTIONS(2580),
    [anon_sym___strong] = ACTIONS(2580),
    [anon_sym___unsafe_unretained] = ACTIONS(2580),
    [anon_sym___unused] = ACTIONS(2580),
    [anon_sym___weak] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_in] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [anon_sym___asm] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_AT] = ACTIONS(2580),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2580),
    [anon_sym___typeof] = ACTIONS(2580),
    [anon_sym_typeof] = ACTIONS(2580),
    [anon_sym_ATimport] = ACTIONS(2582),
    [aux_sym_preproc_undef_token1] = ACTIONS(2580),
    [anon_sym_POUND] = ACTIONS(2580),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2580),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2580),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2580),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2580),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2580),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2580),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2580),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2580),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2580),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2580),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2580),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2580),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2580),
    [anon_sym_API_AVAILABLE] = ACTIONS(2580),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2580),
    [anon_sym_API_DEPRECATED] = ACTIONS(2580),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2580),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2580),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2580),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2580),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2580),
    [anon_sym___deprecated_msg] = ACTIONS(2580),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2580),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2580),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2580),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2580),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2580),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2580),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2580),
    [anon_sym_ATprotocol] = ACTIONS(2582),
    [anon_sym_ATinterface] = ACTIONS(2582),
    [anon_sym_ATimplementation] = ACTIONS(2582),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2582),
    [anon_sym_ATsynthesize] = ACTIONS(2582),
    [anon_sym_ATdynamic] = ACTIONS(2582),
    [anon_sym_ATtry] = ACTIONS(2582),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym_ATthrow] = ACTIONS(2582),
    [anon_sym_ATselector] = ACTIONS(2582),
    [anon_sym_ATavailable] = ACTIONS(2582),
    [anon_sym___builtin_available] = ACTIONS(2580),
    [anon_sym_va_arg] = ACTIONS(2580),
    [anon_sym_ATencode] = ACTIONS(2582),
    [anon_sym_ATsynchronized] = ACTIONS(2582),
    [anon_sym_BOOL] = ACTIONS(2580),
    [anon_sym_IMP] = ACTIONS(2580),
    [anon_sym_SEL] = ACTIONS(2580),
    [anon_sym_Class] = ACTIONS(2580),
    [anon_sym_id] = ACTIONS(2580),
  },
  [508] = {
    [sym_identifier] = ACTIONS(2614),
    [aux_sym_preproc_include_token1] = ACTIONS(2614),
    [aux_sym_preproc_include_token2] = ACTIONS(2614),
    [aux_sym_preproc_def_token1] = ACTIONS(2614),
    [aux_sym_preproc_if_token1] = ACTIONS(2614),
    [aux_sym_preproc_if_token2] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2614),
    [aux_sym_preproc_else_token1] = ACTIONS(2614),
    [aux_sym_preproc_elif_token1] = ACTIONS(2614),
    [sym_preproc_directive] = ACTIONS(2614),
    [anon_sym_LPAREN2] = ACTIONS(2616),
    [anon_sym_BANG] = ACTIONS(2616),
    [anon_sym_TILDE] = ACTIONS(2616),
    [anon_sym_DASH] = ACTIONS(2614),
    [anon_sym_PLUS] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2616),
    [anon_sym_CARET] = ACTIONS(2616),
    [anon_sym_AMP] = ACTIONS(2616),
    [anon_sym_SEMI] = ACTIONS(2616),
    [anon_sym___extension__] = ACTIONS(2614),
    [anon_sym_typedef] = ACTIONS(2614),
    [anon_sym_extern] = ACTIONS(2614),
    [anon_sym___attribute__] = ACTIONS(2614),
    [anon_sym___attribute] = ACTIONS(2614),
    [anon_sym_noreturn] = ACTIONS(2614),
    [anon_sym_LBRACK] = ACTIONS(2616),
    [anon_sym___declspec] = ACTIONS(2614),
    [anon_sym___cdecl] = ACTIONS(2614),
    [anon_sym___clrcall] = ACTIONS(2614),
    [anon_sym___stdcall] = ACTIONS(2614),
    [anon_sym___fastcall] = ACTIONS(2614),
    [anon_sym___thiscall] = ACTIONS(2614),
    [anon_sym___vectorcall] = ACTIONS(2614),
    [anon_sym_LBRACE] = ACTIONS(2616),
    [anon_sym_signed] = ACTIONS(2614),
    [anon_sym_unsigned] = ACTIONS(2614),
    [anon_sym_long] = ACTIONS(2614),
    [anon_sym_short] = ACTIONS(2614),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_ATautoreleasepool] = ACTIONS(2616),
    [anon_sym_auto] = ACTIONS(2614),
    [anon_sym_register] = ACTIONS(2614),
    [anon_sym_inline] = ACTIONS(2614),
    [anon_sym___inline] = ACTIONS(2614),
    [anon_sym___inline__] = ACTIONS(2614),
    [anon_sym___forceinline] = ACTIONS(2614),
    [anon_sym_thread_local] = ACTIONS(2614),
    [anon_sym___thread] = ACTIONS(2614),
    [anon_sym_CG_EXTERN] = ACTIONS(2614),
    [anon_sym_CG_INLINE] = ACTIONS(2614),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2614),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2614),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2614),
    [anon_sym_IBOutlet] = ACTIONS(2614),
    [anon_sym_IBInspectable] = ACTIONS(2614),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2614),
    [anon_sym_NS_INLINE] = ACTIONS(2614),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2614),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2614),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2614),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2614),
    [anon_sym_const] = ACTIONS(2614),
    [anon_sym_constexpr] = ACTIONS(2614),
    [anon_sym_volatile] = ACTIONS(2614),
    [anon_sym_restrict] = ACTIONS(2614),
    [anon_sym___restrict__] = ACTIONS(2614),
    [anon_sym__Atomic] = ACTIONS(2614),
    [anon_sym__Noreturn] = ACTIONS(2614),
    [anon_sym__Nonnull] = ACTIONS(2614),
    [anon_sym_nullable] = ACTIONS(2614),
    [anon_sym__Complex] = ACTIONS(2614),
    [anon_sym__Nullable] = ACTIONS(2614),
    [anon_sym__Nullable_result] = ACTIONS(2614),
    [anon_sym__Null_unspecified] = ACTIONS(2614),
    [anon_sym___autoreleasing] = ACTIONS(2614),
    [anon_sym___block] = ACTIONS(2614),
    [anon_sym___bridge] = ACTIONS(2614),
    [anon_sym___bridge_retained] = ACTIONS(2614),
    [anon_sym___bridge_transfer] = ACTIONS(2614),
    [anon_sym___complex] = ACTIONS(2614),
    [anon_sym___const] = ACTIONS(2614),
    [anon_sym___imag] = ACTIONS(2614),
    [anon_sym___kindof] = ACTIONS(2614),
    [anon_sym___nonnull] = ACTIONS(2614),
    [anon_sym___nullable] = ACTIONS(2614),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2614),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2614),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2614),
    [anon_sym___real] = ACTIONS(2614),
    [anon_sym___strong] = ACTIONS(2614),
    [anon_sym___unsafe_unretained] = ACTIONS(2614),
    [anon_sym___unused] = ACTIONS(2614),
    [anon_sym___weak] = ACTIONS(2614),
    [anon_sym_alignas] = ACTIONS(2614),
    [anon_sym__Alignas] = ACTIONS(2614),
    [sym_primitive_type] = ACTIONS(2614),
    [anon_sym_enum] = ACTIONS(2614),
    [anon_sym_struct] = ACTIONS(2614),
    [anon_sym_union] = ACTIONS(2614),
    [anon_sym_if] = ACTIONS(2614),
    [anon_sym_switch] = ACTIONS(2614),
    [anon_sym_case] = ACTIONS(2614),
    [anon_sym_default] = ACTIONS(2614),
    [anon_sym_while] = ACTIONS(2614),
    [anon_sym_do] = ACTIONS(2614),
    [anon_sym_for] = ACTIONS(2614),
    [anon_sym_in] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2614),
    [anon_sym_break] = ACTIONS(2614),
    [anon_sym_continue] = ACTIONS(2614),
    [anon_sym_goto] = ACTIONS(2614),
    [anon_sym_DASH_DASH] = ACTIONS(2616),
    [anon_sym_PLUS_PLUS] = ACTIONS(2616),
    [anon_sym_sizeof] = ACTIONS(2614),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2614),
    [anon_sym__Generic] = ACTIONS(2614),
    [anon_sym_asm] = ACTIONS(2614),
    [anon_sym___asm__] = ACTIONS(2614),
    [anon_sym___asm] = ACTIONS(2614),
    [sym_number_literal] = ACTIONS(2616),
    [anon_sym_L_SQUOTE] = ACTIONS(2616),
    [anon_sym_u_SQUOTE] = ACTIONS(2616),
    [anon_sym_U_SQUOTE] = ACTIONS(2616),
    [anon_sym_u8_SQUOTE] = ACTIONS(2616),
    [anon_sym_SQUOTE] = ACTIONS(2616),
    [anon_sym_AT] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2616),
    [anon_sym_L_DQUOTE] = ACTIONS(2616),
    [anon_sym_u_DQUOTE] = ACTIONS(2616),
    [anon_sym_U_DQUOTE] = ACTIONS(2616),
    [anon_sym_u8_DQUOTE] = ACTIONS(2616),
    [sym_true] = ACTIONS(2614),
    [sym_false] = ACTIONS(2614),
    [anon_sym_NULL] = ACTIONS(2614),
    [anon_sym_nullptr] = ACTIONS(2614),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2614),
    [anon_sym___typeof] = ACTIONS(2614),
    [anon_sym_typeof] = ACTIONS(2614),
    [anon_sym_ATimport] = ACTIONS(2616),
    [aux_sym_preproc_undef_token1] = ACTIONS(2614),
    [anon_sym_POUND] = ACTIONS(2614),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2614),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2614),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2614),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2614),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2614),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2614),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2614),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2614),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2614),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2614),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2614),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2614),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2614),
    [anon_sym_API_AVAILABLE] = ACTIONS(2614),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2614),
    [anon_sym_API_DEPRECATED] = ACTIONS(2614),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2614),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2614),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2614),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2614),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2614),
    [anon_sym___deprecated_msg] = ACTIONS(2614),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2614),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2614),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2614),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2614),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2614),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2614),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2614),
    [anon_sym_ATprotocol] = ACTIONS(2616),
    [anon_sym_ATinterface] = ACTIONS(2616),
    [anon_sym_ATimplementation] = ACTIONS(2616),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2616),
    [anon_sym_ATsynthesize] = ACTIONS(2616),
    [anon_sym_ATdynamic] = ACTIONS(2616),
    [anon_sym_ATtry] = ACTIONS(2616),
    [anon_sym___try] = ACTIONS(2614),
    [anon_sym_ATthrow] = ACTIONS(2616),
    [anon_sym_ATselector] = ACTIONS(2616),
    [anon_sym_ATavailable] = ACTIONS(2616),
    [anon_sym___builtin_available] = ACTIONS(2614),
    [anon_sym_va_arg] = ACTIONS(2614),
    [anon_sym_ATencode] = ACTIONS(2616),
    [anon_sym_ATsynchronized] = ACTIONS(2616),
    [anon_sym_BOOL] = ACTIONS(2614),
    [anon_sym_IMP] = ACTIONS(2614),
    [anon_sym_SEL] = ACTIONS(2614),
    [anon_sym_Class] = ACTIONS(2614),
    [anon_sym_id] = ACTIONS(2614),
  },
  [509] = {
    [sym_identifier] = ACTIONS(2786),
    [aux_sym_preproc_include_token1] = ACTIONS(2786),
    [aux_sym_preproc_include_token2] = ACTIONS(2786),
    [aux_sym_preproc_def_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token2] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2786),
    [aux_sym_preproc_else_token1] = ACTIONS(2786),
    [aux_sym_preproc_elif_token1] = ACTIONS(2786),
    [sym_preproc_directive] = ACTIONS(2786),
    [anon_sym_LPAREN2] = ACTIONS(2788),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_TILDE] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_CARET] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2788),
    [anon_sym_SEMI] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym___attribute] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym___cdecl] = ACTIONS(2786),
    [anon_sym___clrcall] = ACTIONS(2786),
    [anon_sym___stdcall] = ACTIONS(2786),
    [anon_sym___fastcall] = ACTIONS(2786),
    [anon_sym___thiscall] = ACTIONS(2786),
    [anon_sym___vectorcall] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2788),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_ATautoreleasepool] = ACTIONS(2788),
    [anon_sym_auto] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_CG_EXTERN] = ACTIONS(2786),
    [anon_sym_CG_INLINE] = ACTIONS(2786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2786),
    [anon_sym_IBOutlet] = ACTIONS(2786),
    [anon_sym_IBInspectable] = ACTIONS(2786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2786),
    [anon_sym_NS_INLINE] = ACTIONS(2786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym__Nonnull] = ACTIONS(2786),
    [anon_sym_nullable] = ACTIONS(2786),
    [anon_sym__Complex] = ACTIONS(2786),
    [anon_sym__Nullable] = ACTIONS(2786),
    [anon_sym__Nullable_result] = ACTIONS(2786),
    [anon_sym__Null_unspecified] = ACTIONS(2786),
    [anon_sym___autoreleasing] = ACTIONS(2786),
    [anon_sym___block] = ACTIONS(2786),
    [anon_sym___bridge] = ACTIONS(2786),
    [anon_sym___bridge_retained] = ACTIONS(2786),
    [anon_sym___bridge_transfer] = ACTIONS(2786),
    [anon_sym___complex] = ACTIONS(2786),
    [anon_sym___const] = ACTIONS(2786),
    [anon_sym___imag] = ACTIONS(2786),
    [anon_sym___kindof] = ACTIONS(2786),
    [anon_sym___nonnull] = ACTIONS(2786),
    [anon_sym___nullable] = ACTIONS(2786),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2786),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2786),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2786),
    [anon_sym___real] = ACTIONS(2786),
    [anon_sym___strong] = ACTIONS(2786),
    [anon_sym___unsafe_unretained] = ACTIONS(2786),
    [anon_sym___unused] = ACTIONS(2786),
    [anon_sym___weak] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym__Alignas] = ACTIONS(2786),
    [sym_primitive_type] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [anon_sym_if] = ACTIONS(2786),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_case] = ACTIONS(2786),
    [anon_sym_default] = ACTIONS(2786),
    [anon_sym_while] = ACTIONS(2786),
    [anon_sym_do] = ACTIONS(2786),
    [anon_sym_for] = ACTIONS(2786),
    [anon_sym_in] = ACTIONS(2786),
    [anon_sym_return] = ACTIONS(2786),
    [anon_sym_break] = ACTIONS(2786),
    [anon_sym_continue] = ACTIONS(2786),
    [anon_sym_goto] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2788),
    [anon_sym_sizeof] = ACTIONS(2786),
    [anon_sym___alignof__] = ACTIONS(2786),
    [anon_sym___alignof] = ACTIONS(2786),
    [anon_sym__alignof] = ACTIONS(2786),
    [anon_sym_alignof] = ACTIONS(2786),
    [anon_sym__Alignof] = ACTIONS(2786),
    [anon_sym_offsetof] = ACTIONS(2786),
    [anon_sym__Generic] = ACTIONS(2786),
    [anon_sym_asm] = ACTIONS(2786),
    [anon_sym___asm__] = ACTIONS(2786),
    [anon_sym___asm] = ACTIONS(2786),
    [sym_number_literal] = ACTIONS(2788),
    [anon_sym_L_SQUOTE] = ACTIONS(2788),
    [anon_sym_u_SQUOTE] = ACTIONS(2788),
    [anon_sym_U_SQUOTE] = ACTIONS(2788),
    [anon_sym_u8_SQUOTE] = ACTIONS(2788),
    [anon_sym_SQUOTE] = ACTIONS(2788),
    [anon_sym_AT] = ACTIONS(2786),
    [anon_sym_DQUOTE] = ACTIONS(2788),
    [anon_sym_L_DQUOTE] = ACTIONS(2788),
    [anon_sym_u_DQUOTE] = ACTIONS(2788),
    [anon_sym_U_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8_DQUOTE] = ACTIONS(2788),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [anon_sym_NULL] = ACTIONS(2786),
    [anon_sym_nullptr] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2786),
    [anon_sym___typeof] = ACTIONS(2786),
    [anon_sym_typeof] = ACTIONS(2786),
    [anon_sym_ATimport] = ACTIONS(2788),
    [aux_sym_preproc_undef_token1] = ACTIONS(2786),
    [anon_sym_POUND] = ACTIONS(2786),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2786),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2786),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2786),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2786),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2786),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2786),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2786),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2786),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2786),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_API_AVAILABLE] = ACTIONS(2786),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_API_DEPRECATED] = ACTIONS(2786),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2786),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2786),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2786),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2786),
    [anon_sym___deprecated_msg] = ACTIONS(2786),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2786),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2786),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2786),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2786),
    [anon_sym_ATprotocol] = ACTIONS(2788),
    [anon_sym_ATinterface] = ACTIONS(2788),
    [anon_sym_ATimplementation] = ACTIONS(2788),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2788),
    [anon_sym_ATsynthesize] = ACTIONS(2788),
    [anon_sym_ATdynamic] = ACTIONS(2788),
    [anon_sym_ATtry] = ACTIONS(2788),
    [anon_sym___try] = ACTIONS(2786),
    [anon_sym_ATthrow] = ACTIONS(2788),
    [anon_sym_ATselector] = ACTIONS(2788),
    [anon_sym_ATavailable] = ACTIONS(2788),
    [anon_sym___builtin_available] = ACTIONS(2786),
    [anon_sym_va_arg] = ACTIONS(2786),
    [anon_sym_ATencode] = ACTIONS(2788),
    [anon_sym_ATsynchronized] = ACTIONS(2788),
    [anon_sym_BOOL] = ACTIONS(2786),
    [anon_sym_IMP] = ACTIONS(2786),
    [anon_sym_SEL] = ACTIONS(2786),
    [anon_sym_Class] = ACTIONS(2786),
    [anon_sym_id] = ACTIONS(2786),
  },
  [510] = {
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_include_token1] = ACTIONS(2790),
    [aux_sym_preproc_include_token2] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token2] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [aux_sym_preproc_else_token1] = ACTIONS(2790),
    [aux_sym_preproc_elif_token1] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2790),
    [anon_sym_PLUS] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_CARET] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2792),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym___attribute] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___cdecl] = ACTIONS(2790),
    [anon_sym___clrcall] = ACTIONS(2790),
    [anon_sym___stdcall] = ACTIONS(2790),
    [anon_sym___fastcall] = ACTIONS(2790),
    [anon_sym___thiscall] = ACTIONS(2790),
    [anon_sym___vectorcall] = ACTIONS(2790),
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_ATautoreleasepool] = ACTIONS(2792),
    [anon_sym_auto] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_CG_EXTERN] = ACTIONS(2790),
    [anon_sym_CG_INLINE] = ACTIONS(2790),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2790),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2790),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2790),
    [anon_sym_IBOutlet] = ACTIONS(2790),
    [anon_sym_IBInspectable] = ACTIONS(2790),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2790),
    [anon_sym_NS_INLINE] = ACTIONS(2790),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2790),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2790),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2790),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_nullable] = ACTIONS(2790),
    [anon_sym__Complex] = ACTIONS(2790),
    [anon_sym__Nullable] = ACTIONS(2790),
    [anon_sym__Nullable_result] = ACTIONS(2790),
    [anon_sym__Null_unspecified] = ACTIONS(2790),
    [anon_sym___autoreleasing] = ACTIONS(2790),
    [anon_sym___block] = ACTIONS(2790),
    [anon_sym___bridge] = ACTIONS(2790),
    [anon_sym___bridge_retained] = ACTIONS(2790),
    [anon_sym___bridge_transfer] = ACTIONS(2790),
    [anon_sym___complex] = ACTIONS(2790),
    [anon_sym___const] = ACTIONS(2790),
    [anon_sym___imag] = ACTIONS(2790),
    [anon_sym___kindof] = ACTIONS(2790),
    [anon_sym___nonnull] = ACTIONS(2790),
    [anon_sym___nullable] = ACTIONS(2790),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2790),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2790),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2790),
    [anon_sym___real] = ACTIONS(2790),
    [anon_sym___strong] = ACTIONS(2790),
    [anon_sym___unsafe_unretained] = ACTIONS(2790),
    [anon_sym___unused] = ACTIONS(2790),
    [anon_sym___weak] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [sym_primitive_type] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [anon_sym_if] = ACTIONS(2790),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_case] = ACTIONS(2790),
    [anon_sym_default] = ACTIONS(2790),
    [anon_sym_while] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_for] = ACTIONS(2790),
    [anon_sym_in] = ACTIONS(2790),
    [anon_sym_return] = ACTIONS(2790),
    [anon_sym_break] = ACTIONS(2790),
    [anon_sym_continue] = ACTIONS(2790),
    [anon_sym_goto] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2792),
    [anon_sym_sizeof] = ACTIONS(2790),
    [anon_sym___alignof__] = ACTIONS(2790),
    [anon_sym___alignof] = ACTIONS(2790),
    [anon_sym__alignof] = ACTIONS(2790),
    [anon_sym_alignof] = ACTIONS(2790),
    [anon_sym__Alignof] = ACTIONS(2790),
    [anon_sym_offsetof] = ACTIONS(2790),
    [anon_sym__Generic] = ACTIONS(2790),
    [anon_sym_asm] = ACTIONS(2790),
    [anon_sym___asm__] = ACTIONS(2790),
    [anon_sym___asm] = ACTIONS(2790),
    [sym_number_literal] = ACTIONS(2792),
    [anon_sym_L_SQUOTE] = ACTIONS(2792),
    [anon_sym_u_SQUOTE] = ACTIONS(2792),
    [anon_sym_U_SQUOTE] = ACTIONS(2792),
    [anon_sym_u8_SQUOTE] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2792),
    [anon_sym_AT] = ACTIONS(2790),
    [anon_sym_DQUOTE] = ACTIONS(2792),
    [anon_sym_L_DQUOTE] = ACTIONS(2792),
    [anon_sym_u_DQUOTE] = ACTIONS(2792),
    [anon_sym_U_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8_DQUOTE] = ACTIONS(2792),
    [sym_true] = ACTIONS(2790),
    [sym_false] = ACTIONS(2790),
    [anon_sym_NULL] = ACTIONS(2790),
    [anon_sym_nullptr] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2790),
    [anon_sym___typeof] = ACTIONS(2790),
    [anon_sym_typeof] = ACTIONS(2790),
    [anon_sym_ATimport] = ACTIONS(2792),
    [aux_sym_preproc_undef_token1] = ACTIONS(2790),
    [anon_sym_POUND] = ACTIONS(2790),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2790),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2790),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2790),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2790),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2790),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2790),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2790),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2790),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2790),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_API_AVAILABLE] = ACTIONS(2790),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_API_DEPRECATED] = ACTIONS(2790),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2790),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2790),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2790),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2790),
    [anon_sym___deprecated_msg] = ACTIONS(2790),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2790),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2790),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2790),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2790),
    [anon_sym_ATprotocol] = ACTIONS(2792),
    [anon_sym_ATinterface] = ACTIONS(2792),
    [anon_sym_ATimplementation] = ACTIONS(2792),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2792),
    [anon_sym_ATsynthesize] = ACTIONS(2792),
    [anon_sym_ATdynamic] = ACTIONS(2792),
    [anon_sym_ATtry] = ACTIONS(2792),
    [anon_sym___try] = ACTIONS(2790),
    [anon_sym_ATthrow] = ACTIONS(2792),
    [anon_sym_ATselector] = ACTIONS(2792),
    [anon_sym_ATavailable] = ACTIONS(2792),
    [anon_sym___builtin_available] = ACTIONS(2790),
    [anon_sym_va_arg] = ACTIONS(2790),
    [anon_sym_ATencode] = ACTIONS(2792),
    [anon_sym_ATsynchronized] = ACTIONS(2792),
    [anon_sym_BOOL] = ACTIONS(2790),
    [anon_sym_IMP] = ACTIONS(2790),
    [anon_sym_SEL] = ACTIONS(2790),
    [anon_sym_Class] = ACTIONS(2790),
    [anon_sym_id] = ACTIONS(2790),
  },
  [511] = {
    [sym_identifier] = ACTIONS(2638),
    [aux_sym_preproc_include_token1] = ACTIONS(2638),
    [aux_sym_preproc_include_token2] = ACTIONS(2638),
    [aux_sym_preproc_def_token1] = ACTIONS(2638),
    [aux_sym_preproc_if_token1] = ACTIONS(2638),
    [aux_sym_preproc_if_token2] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2638),
    [aux_sym_preproc_else_token1] = ACTIONS(2638),
    [aux_sym_preproc_elif_token1] = ACTIONS(2638),
    [sym_preproc_directive] = ACTIONS(2638),
    [anon_sym_LPAREN2] = ACTIONS(2640),
    [anon_sym_BANG] = ACTIONS(2640),
    [anon_sym_TILDE] = ACTIONS(2640),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2640),
    [anon_sym_CARET] = ACTIONS(2640),
    [anon_sym_AMP] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym___extension__] = ACTIONS(2638),
    [anon_sym_typedef] = ACTIONS(2638),
    [anon_sym_extern] = ACTIONS(2638),
    [anon_sym___attribute__] = ACTIONS(2638),
    [anon_sym___attribute] = ACTIONS(2638),
    [anon_sym_noreturn] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym___declspec] = ACTIONS(2638),
    [anon_sym___cdecl] = ACTIONS(2638),
    [anon_sym___clrcall] = ACTIONS(2638),
    [anon_sym___stdcall] = ACTIONS(2638),
    [anon_sym___fastcall] = ACTIONS(2638),
    [anon_sym___thiscall] = ACTIONS(2638),
    [anon_sym___vectorcall] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_signed] = ACTIONS(2638),
    [anon_sym_unsigned] = ACTIONS(2638),
    [anon_sym_long] = ACTIONS(2638),
    [anon_sym_short] = ACTIONS(2638),
    [anon_sym_static] = ACTIONS(2638),
    [anon_sym_ATautoreleasepool] = ACTIONS(2640),
    [anon_sym_auto] = ACTIONS(2638),
    [anon_sym_register] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym___inline] = ACTIONS(2638),
    [anon_sym___inline__] = ACTIONS(2638),
    [anon_sym___forceinline] = ACTIONS(2638),
    [anon_sym_thread_local] = ACTIONS(2638),
    [anon_sym___thread] = ACTIONS(2638),
    [anon_sym_CG_EXTERN] = ACTIONS(2638),
    [anon_sym_CG_INLINE] = ACTIONS(2638),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2638),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2638),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2638),
    [anon_sym_IBOutlet] = ACTIONS(2638),
    [anon_sym_IBInspectable] = ACTIONS(2638),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2638),
    [anon_sym_NS_INLINE] = ACTIONS(2638),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2638),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2638),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2638),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_constexpr] = ACTIONS(2638),
    [anon_sym_volatile] = ACTIONS(2638),
    [anon_sym_restrict] = ACTIONS(2638),
    [anon_sym___restrict__] = ACTIONS(2638),
    [anon_sym__Atomic] = ACTIONS(2638),
    [anon_sym__Noreturn] = ACTIONS(2638),
    [anon_sym__Nonnull] = ACTIONS(2638),
    [anon_sym_nullable] = ACTIONS(2638),
    [anon_sym__Complex] = ACTIONS(2638),
    [anon_sym__Nullable] = ACTIONS(2638),
    [anon_sym__Nullable_result] = ACTIONS(2638),
    [anon_sym__Null_unspecified] = ACTIONS(2638),
    [anon_sym___autoreleasing] = ACTIONS(2638),
    [anon_sym___block] = ACTIONS(2638),
    [anon_sym___bridge] = ACTIONS(2638),
    [anon_sym___bridge_retained] = ACTIONS(2638),
    [anon_sym___bridge_transfer] = ACTIONS(2638),
    [anon_sym___complex] = ACTIONS(2638),
    [anon_sym___const] = ACTIONS(2638),
    [anon_sym___imag] = ACTIONS(2638),
    [anon_sym___kindof] = ACTIONS(2638),
    [anon_sym___nonnull] = ACTIONS(2638),
    [anon_sym___nullable] = ACTIONS(2638),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2638),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2638),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2638),
    [anon_sym___real] = ACTIONS(2638),
    [anon_sym___strong] = ACTIONS(2638),
    [anon_sym___unsafe_unretained] = ACTIONS(2638),
    [anon_sym___unused] = ACTIONS(2638),
    [anon_sym___weak] = ACTIONS(2638),
    [anon_sym_alignas] = ACTIONS(2638),
    [anon_sym__Alignas] = ACTIONS(2638),
    [sym_primitive_type] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_struct] = ACTIONS(2638),
    [anon_sym_union] = ACTIONS(2638),
    [anon_sym_if] = ACTIONS(2638),
    [anon_sym_switch] = ACTIONS(2638),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_default] = ACTIONS(2638),
    [anon_sym_while] = ACTIONS(2638),
    [anon_sym_do] = ACTIONS(2638),
    [anon_sym_for] = ACTIONS(2638),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_return] = ACTIONS(2638),
    [anon_sym_break] = ACTIONS(2638),
    [anon_sym_continue] = ACTIONS(2638),
    [anon_sym_goto] = ACTIONS(2638),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_sizeof] = ACTIONS(2638),
    [anon_sym___alignof__] = ACTIONS(2638),
    [anon_sym___alignof] = ACTIONS(2638),
    [anon_sym__alignof] = ACTIONS(2638),
    [anon_sym_alignof] = ACTIONS(2638),
    [anon_sym__Alignof] = ACTIONS(2638),
    [anon_sym_offsetof] = ACTIONS(2638),
    [anon_sym__Generic] = ACTIONS(2638),
    [anon_sym_asm] = ACTIONS(2638),
    [anon_sym___asm__] = ACTIONS(2638),
    [anon_sym___asm] = ACTIONS(2638),
    [sym_number_literal] = ACTIONS(2640),
    [anon_sym_L_SQUOTE] = ACTIONS(2640),
    [anon_sym_u_SQUOTE] = ACTIONS(2640),
    [anon_sym_U_SQUOTE] = ACTIONS(2640),
    [anon_sym_u8_SQUOTE] = ACTIONS(2640),
    [anon_sym_SQUOTE] = ACTIONS(2640),
    [anon_sym_AT] = ACTIONS(2638),
    [anon_sym_DQUOTE] = ACTIONS(2640),
    [anon_sym_L_DQUOTE] = ACTIONS(2640),
    [anon_sym_u_DQUOTE] = ACTIONS(2640),
    [anon_sym_U_DQUOTE] = ACTIONS(2640),
    [anon_sym_u8_DQUOTE] = ACTIONS(2640),
    [sym_true] = ACTIONS(2638),
    [sym_false] = ACTIONS(2638),
    [anon_sym_NULL] = ACTIONS(2638),
    [anon_sym_nullptr] = ACTIONS(2638),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2638),
    [anon_sym___typeof] = ACTIONS(2638),
    [anon_sym_typeof] = ACTIONS(2638),
    [anon_sym_ATimport] = ACTIONS(2640),
    [aux_sym_preproc_undef_token1] = ACTIONS(2638),
    [anon_sym_POUND] = ACTIONS(2638),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2638),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2638),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2638),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2638),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2638),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2638),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2638),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2638),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2638),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2638),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2638),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2638),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2638),
    [anon_sym_API_AVAILABLE] = ACTIONS(2638),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2638),
    [anon_sym_API_DEPRECATED] = ACTIONS(2638),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2638),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2638),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2638),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2638),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2638),
    [anon_sym___deprecated_msg] = ACTIONS(2638),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2638),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2638),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2638),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2638),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2638),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2638),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2638),
    [anon_sym_ATprotocol] = ACTIONS(2640),
    [anon_sym_ATinterface] = ACTIONS(2640),
    [anon_sym_ATimplementation] = ACTIONS(2640),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2640),
    [anon_sym_ATsynthesize] = ACTIONS(2640),
    [anon_sym_ATdynamic] = ACTIONS(2640),
    [anon_sym_ATtry] = ACTIONS(2640),
    [anon_sym___try] = ACTIONS(2638),
    [anon_sym_ATthrow] = ACTIONS(2640),
    [anon_sym_ATselector] = ACTIONS(2640),
    [anon_sym_ATavailable] = ACTIONS(2640),
    [anon_sym___builtin_available] = ACTIONS(2638),
    [anon_sym_va_arg] = ACTIONS(2638),
    [anon_sym_ATencode] = ACTIONS(2640),
    [anon_sym_ATsynchronized] = ACTIONS(2640),
    [anon_sym_BOOL] = ACTIONS(2638),
    [anon_sym_IMP] = ACTIONS(2638),
    [anon_sym_SEL] = ACTIONS(2638),
    [anon_sym_Class] = ACTIONS(2638),
    [anon_sym_id] = ACTIONS(2638),
  },
  [512] = {
    [sym_identifier] = ACTIONS(2650),
    [aux_sym_preproc_include_token1] = ACTIONS(2650),
    [aux_sym_preproc_include_token2] = ACTIONS(2650),
    [aux_sym_preproc_def_token1] = ACTIONS(2650),
    [aux_sym_preproc_if_token1] = ACTIONS(2650),
    [aux_sym_preproc_if_token2] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2650),
    [aux_sym_preproc_else_token1] = ACTIONS(2650),
    [aux_sym_preproc_elif_token1] = ACTIONS(2650),
    [sym_preproc_directive] = ACTIONS(2650),
    [anon_sym_LPAREN2] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(2652),
    [anon_sym_TILDE] = ACTIONS(2652),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2652),
    [anon_sym_CARET] = ACTIONS(2652),
    [anon_sym_AMP] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym___extension__] = ACTIONS(2650),
    [anon_sym_typedef] = ACTIONS(2650),
    [anon_sym_extern] = ACTIONS(2650),
    [anon_sym___attribute__] = ACTIONS(2650),
    [anon_sym___attribute] = ACTIONS(2650),
    [anon_sym_noreturn] = ACTIONS(2650),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym___declspec] = ACTIONS(2650),
    [anon_sym___cdecl] = ACTIONS(2650),
    [anon_sym___clrcall] = ACTIONS(2650),
    [anon_sym___stdcall] = ACTIONS(2650),
    [anon_sym___fastcall] = ACTIONS(2650),
    [anon_sym___thiscall] = ACTIONS(2650),
    [anon_sym___vectorcall] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_signed] = ACTIONS(2650),
    [anon_sym_unsigned] = ACTIONS(2650),
    [anon_sym_long] = ACTIONS(2650),
    [anon_sym_short] = ACTIONS(2650),
    [anon_sym_static] = ACTIONS(2650),
    [anon_sym_ATautoreleasepool] = ACTIONS(2652),
    [anon_sym_auto] = ACTIONS(2650),
    [anon_sym_register] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym___inline] = ACTIONS(2650),
    [anon_sym___inline__] = ACTIONS(2650),
    [anon_sym___forceinline] = ACTIONS(2650),
    [anon_sym_thread_local] = ACTIONS(2650),
    [anon_sym___thread] = ACTIONS(2650),
    [anon_sym_CG_EXTERN] = ACTIONS(2650),
    [anon_sym_CG_INLINE] = ACTIONS(2650),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2650),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2650),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2650),
    [anon_sym_IBOutlet] = ACTIONS(2650),
    [anon_sym_IBInspectable] = ACTIONS(2650),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2650),
    [anon_sym_NS_INLINE] = ACTIONS(2650),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2650),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2650),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2650),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_constexpr] = ACTIONS(2650),
    [anon_sym_volatile] = ACTIONS(2650),
    [anon_sym_restrict] = ACTIONS(2650),
    [anon_sym___restrict__] = ACTIONS(2650),
    [anon_sym__Atomic] = ACTIONS(2650),
    [anon_sym__Noreturn] = ACTIONS(2650),
    [anon_sym__Nonnull] = ACTIONS(2650),
    [anon_sym_nullable] = ACTIONS(2650),
    [anon_sym__Complex] = ACTIONS(2650),
    [anon_sym__Nullable] = ACTIONS(2650),
    [anon_sym__Nullable_result] = ACTIONS(2650),
    [anon_sym__Null_unspecified] = ACTIONS(2650),
    [anon_sym___autoreleasing] = ACTIONS(2650),
    [anon_sym___block] = ACTIONS(2650),
    [anon_sym___bridge] = ACTIONS(2650),
    [anon_sym___bridge_retained] = ACTIONS(2650),
    [anon_sym___bridge_transfer] = ACTIONS(2650),
    [anon_sym___complex] = ACTIONS(2650),
    [anon_sym___const] = ACTIONS(2650),
    [anon_sym___imag] = ACTIONS(2650),
    [anon_sym___kindof] = ACTIONS(2650),
    [anon_sym___nonnull] = ACTIONS(2650),
    [anon_sym___nullable] = ACTIONS(2650),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2650),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2650),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2650),
    [anon_sym___real] = ACTIONS(2650),
    [anon_sym___strong] = ACTIONS(2650),
    [anon_sym___unsafe_unretained] = ACTIONS(2650),
    [anon_sym___unused] = ACTIONS(2650),
    [anon_sym___weak] = ACTIONS(2650),
    [anon_sym_alignas] = ACTIONS(2650),
    [anon_sym__Alignas] = ACTIONS(2650),
    [sym_primitive_type] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_struct] = ACTIONS(2650),
    [anon_sym_union] = ACTIONS(2650),
    [anon_sym_if] = ACTIONS(2650),
    [anon_sym_switch] = ACTIONS(2650),
    [anon_sym_case] = ACTIONS(2650),
    [anon_sym_default] = ACTIONS(2650),
    [anon_sym_while] = ACTIONS(2650),
    [anon_sym_do] = ACTIONS(2650),
    [anon_sym_for] = ACTIONS(2650),
    [anon_sym_in] = ACTIONS(2650),
    [anon_sym_return] = ACTIONS(2650),
    [anon_sym_break] = ACTIONS(2650),
    [anon_sym_continue] = ACTIONS(2650),
    [anon_sym_goto] = ACTIONS(2650),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_sizeof] = ACTIONS(2650),
    [anon_sym___alignof__] = ACTIONS(2650),
    [anon_sym___alignof] = ACTIONS(2650),
    [anon_sym__alignof] = ACTIONS(2650),
    [anon_sym_alignof] = ACTIONS(2650),
    [anon_sym__Alignof] = ACTIONS(2650),
    [anon_sym_offsetof] = ACTIONS(2650),
    [anon_sym__Generic] = ACTIONS(2650),
    [anon_sym_asm] = ACTIONS(2650),
    [anon_sym___asm__] = ACTIONS(2650),
    [anon_sym___asm] = ACTIONS(2650),
    [sym_number_literal] = ACTIONS(2652),
    [anon_sym_L_SQUOTE] = ACTIONS(2652),
    [anon_sym_u_SQUOTE] = ACTIONS(2652),
    [anon_sym_U_SQUOTE] = ACTIONS(2652),
    [anon_sym_u8_SQUOTE] = ACTIONS(2652),
    [anon_sym_SQUOTE] = ACTIONS(2652),
    [anon_sym_AT] = ACTIONS(2650),
    [anon_sym_DQUOTE] = ACTIONS(2652),
    [anon_sym_L_DQUOTE] = ACTIONS(2652),
    [anon_sym_u_DQUOTE] = ACTIONS(2652),
    [anon_sym_U_DQUOTE] = ACTIONS(2652),
    [anon_sym_u8_DQUOTE] = ACTIONS(2652),
    [sym_true] = ACTIONS(2650),
    [sym_false] = ACTIONS(2650),
    [anon_sym_NULL] = ACTIONS(2650),
    [anon_sym_nullptr] = ACTIONS(2650),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2650),
    [anon_sym___typeof] = ACTIONS(2650),
    [anon_sym_typeof] = ACTIONS(2650),
    [anon_sym_ATimport] = ACTIONS(2652),
    [aux_sym_preproc_undef_token1] = ACTIONS(2650),
    [anon_sym_POUND] = ACTIONS(2650),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2650),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2650),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2650),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2650),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2650),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2650),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2650),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2650),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2650),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2650),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2650),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2650),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2650),
    [anon_sym_API_AVAILABLE] = ACTIONS(2650),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2650),
    [anon_sym_API_DEPRECATED] = ACTIONS(2650),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2650),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2650),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2650),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2650),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2650),
    [anon_sym___deprecated_msg] = ACTIONS(2650),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2650),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2650),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2650),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2650),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2650),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2650),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2650),
    [anon_sym_ATprotocol] = ACTIONS(2652),
    [anon_sym_ATinterface] = ACTIONS(2652),
    [anon_sym_ATimplementation] = ACTIONS(2652),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2652),
    [anon_sym_ATsynthesize] = ACTIONS(2652),
    [anon_sym_ATdynamic] = ACTIONS(2652),
    [anon_sym_ATtry] = ACTIONS(2652),
    [anon_sym___try] = ACTIONS(2650),
    [anon_sym_ATthrow] = ACTIONS(2652),
    [anon_sym_ATselector] = ACTIONS(2652),
    [anon_sym_ATavailable] = ACTIONS(2652),
    [anon_sym___builtin_available] = ACTIONS(2650),
    [anon_sym_va_arg] = ACTIONS(2650),
    [anon_sym_ATencode] = ACTIONS(2652),
    [anon_sym_ATsynchronized] = ACTIONS(2652),
    [anon_sym_BOOL] = ACTIONS(2650),
    [anon_sym_IMP] = ACTIONS(2650),
    [anon_sym_SEL] = ACTIONS(2650),
    [anon_sym_Class] = ACTIONS(2650),
    [anon_sym_id] = ACTIONS(2650),
  },
  [513] = {
    [sym_identifier] = ACTIONS(2642),
    [aux_sym_preproc_include_token1] = ACTIONS(2642),
    [aux_sym_preproc_include_token2] = ACTIONS(2642),
    [aux_sym_preproc_def_token1] = ACTIONS(2642),
    [aux_sym_preproc_if_token1] = ACTIONS(2642),
    [aux_sym_preproc_if_token2] = ACTIONS(2642),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2642),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2642),
    [aux_sym_preproc_else_token1] = ACTIONS(2642),
    [aux_sym_preproc_elif_token1] = ACTIONS(2642),
    [sym_preproc_directive] = ACTIONS(2642),
    [anon_sym_LPAREN2] = ACTIONS(2644),
    [anon_sym_BANG] = ACTIONS(2644),
    [anon_sym_TILDE] = ACTIONS(2644),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2644),
    [anon_sym_CARET] = ACTIONS(2644),
    [anon_sym_AMP] = ACTIONS(2644),
    [anon_sym_SEMI] = ACTIONS(2644),
    [anon_sym___extension__] = ACTIONS(2642),
    [anon_sym_typedef] = ACTIONS(2642),
    [anon_sym_extern] = ACTIONS(2642),
    [anon_sym___attribute__] = ACTIONS(2642),
    [anon_sym___attribute] = ACTIONS(2642),
    [anon_sym_noreturn] = ACTIONS(2642),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym___declspec] = ACTIONS(2642),
    [anon_sym___cdecl] = ACTIONS(2642),
    [anon_sym___clrcall] = ACTIONS(2642),
    [anon_sym___stdcall] = ACTIONS(2642),
    [anon_sym___fastcall] = ACTIONS(2642),
    [anon_sym___thiscall] = ACTIONS(2642),
    [anon_sym___vectorcall] = ACTIONS(2642),
    [anon_sym_LBRACE] = ACTIONS(2644),
    [anon_sym_signed] = ACTIONS(2642),
    [anon_sym_unsigned] = ACTIONS(2642),
    [anon_sym_long] = ACTIONS(2642),
    [anon_sym_short] = ACTIONS(2642),
    [anon_sym_static] = ACTIONS(2642),
    [anon_sym_ATautoreleasepool] = ACTIONS(2644),
    [anon_sym_auto] = ACTIONS(2642),
    [anon_sym_register] = ACTIONS(2642),
    [anon_sym_inline] = ACTIONS(2642),
    [anon_sym___inline] = ACTIONS(2642),
    [anon_sym___inline__] = ACTIONS(2642),
    [anon_sym___forceinline] = ACTIONS(2642),
    [anon_sym_thread_local] = ACTIONS(2642),
    [anon_sym___thread] = ACTIONS(2642),
    [anon_sym_CG_EXTERN] = ACTIONS(2642),
    [anon_sym_CG_INLINE] = ACTIONS(2642),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2642),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2642),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2642),
    [anon_sym_IBOutlet] = ACTIONS(2642),
    [anon_sym_IBInspectable] = ACTIONS(2642),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2642),
    [anon_sym_NS_INLINE] = ACTIONS(2642),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2642),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2642),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2642),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2642),
    [anon_sym_const] = ACTIONS(2642),
    [anon_sym_constexpr] = ACTIONS(2642),
    [anon_sym_volatile] = ACTIONS(2642),
    [anon_sym_restrict] = ACTIONS(2642),
    [anon_sym___restrict__] = ACTIONS(2642),
    [anon_sym__Atomic] = ACTIONS(2642),
    [anon_sym__Noreturn] = ACTIONS(2642),
    [anon_sym__Nonnull] = ACTIONS(2642),
    [anon_sym_nullable] = ACTIONS(2642),
    [anon_sym__Complex] = ACTIONS(2642),
    [anon_sym__Nullable] = ACTIONS(2642),
    [anon_sym__Nullable_result] = ACTIONS(2642),
    [anon_sym__Null_unspecified] = ACTIONS(2642),
    [anon_sym___autoreleasing] = ACTIONS(2642),
    [anon_sym___block] = ACTIONS(2642),
    [anon_sym___bridge] = ACTIONS(2642),
    [anon_sym___bridge_retained] = ACTIONS(2642),
    [anon_sym___bridge_transfer] = ACTIONS(2642),
    [anon_sym___complex] = ACTIONS(2642),
    [anon_sym___const] = ACTIONS(2642),
    [anon_sym___imag] = ACTIONS(2642),
    [anon_sym___kindof] = ACTIONS(2642),
    [anon_sym___nonnull] = ACTIONS(2642),
    [anon_sym___nullable] = ACTIONS(2642),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2642),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2642),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2642),
    [anon_sym___real] = ACTIONS(2642),
    [anon_sym___strong] = ACTIONS(2642),
    [anon_sym___unsafe_unretained] = ACTIONS(2642),
    [anon_sym___unused] = ACTIONS(2642),
    [anon_sym___weak] = ACTIONS(2642),
    [anon_sym_alignas] = ACTIONS(2642),
    [anon_sym__Alignas] = ACTIONS(2642),
    [sym_primitive_type] = ACTIONS(2642),
    [anon_sym_enum] = ACTIONS(2642),
    [anon_sym_struct] = ACTIONS(2642),
    [anon_sym_union] = ACTIONS(2642),
    [anon_sym_if] = ACTIONS(2642),
    [anon_sym_switch] = ACTIONS(2642),
    [anon_sym_case] = ACTIONS(2642),
    [anon_sym_default] = ACTIONS(2642),
    [anon_sym_while] = ACTIONS(2642),
    [anon_sym_do] = ACTIONS(2642),
    [anon_sym_for] = ACTIONS(2642),
    [anon_sym_in] = ACTIONS(2642),
    [anon_sym_return] = ACTIONS(2642),
    [anon_sym_break] = ACTIONS(2642),
    [anon_sym_continue] = ACTIONS(2642),
    [anon_sym_goto] = ACTIONS(2642),
    [anon_sym_DASH_DASH] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2644),
    [anon_sym_sizeof] = ACTIONS(2642),
    [anon_sym___alignof__] = ACTIONS(2642),
    [anon_sym___alignof] = ACTIONS(2642),
    [anon_sym__alignof] = ACTIONS(2642),
    [anon_sym_alignof] = ACTIONS(2642),
    [anon_sym__Alignof] = ACTIONS(2642),
    [anon_sym_offsetof] = ACTIONS(2642),
    [anon_sym__Generic] = ACTIONS(2642),
    [anon_sym_asm] = ACTIONS(2642),
    [anon_sym___asm__] = ACTIONS(2642),
    [anon_sym___asm] = ACTIONS(2642),
    [sym_number_literal] = ACTIONS(2644),
    [anon_sym_L_SQUOTE] = ACTIONS(2644),
    [anon_sym_u_SQUOTE] = ACTIONS(2644),
    [anon_sym_U_SQUOTE] = ACTIONS(2644),
    [anon_sym_u8_SQUOTE] = ACTIONS(2644),
    [anon_sym_SQUOTE] = ACTIONS(2644),
    [anon_sym_AT] = ACTIONS(2642),
    [anon_sym_DQUOTE] = ACTIONS(2644),
    [anon_sym_L_DQUOTE] = ACTIONS(2644),
    [anon_sym_u_DQUOTE] = ACTIONS(2644),
    [anon_sym_U_DQUOTE] = ACTIONS(2644),
    [anon_sym_u8_DQUOTE] = ACTIONS(2644),
    [sym_true] = ACTIONS(2642),
    [sym_false] = ACTIONS(2642),
    [anon_sym_NULL] = ACTIONS(2642),
    [anon_sym_nullptr] = ACTIONS(2642),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2642),
    [anon_sym___typeof] = ACTIONS(2642),
    [anon_sym_typeof] = ACTIONS(2642),
    [anon_sym_ATimport] = ACTIONS(2644),
    [aux_sym_preproc_undef_token1] = ACTIONS(2642),
    [anon_sym_POUND] = ACTIONS(2642),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2642),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2642),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2642),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2642),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2642),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2642),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2642),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2642),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2642),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2642),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2642),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2642),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2642),
    [anon_sym_API_AVAILABLE] = ACTIONS(2642),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2642),
    [anon_sym_API_DEPRECATED] = ACTIONS(2642),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2642),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2642),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2642),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2642),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2642),
    [anon_sym___deprecated_msg] = ACTIONS(2642),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2642),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2642),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2642),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2642),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2642),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2642),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2642),
    [anon_sym_ATprotocol] = ACTIONS(2644),
    [anon_sym_ATinterface] = ACTIONS(2644),
    [anon_sym_ATimplementation] = ACTIONS(2644),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2644),
    [anon_sym_ATsynthesize] = ACTIONS(2644),
    [anon_sym_ATdynamic] = ACTIONS(2644),
    [anon_sym_ATtry] = ACTIONS(2644),
    [anon_sym___try] = ACTIONS(2642),
    [anon_sym_ATthrow] = ACTIONS(2644),
    [anon_sym_ATselector] = ACTIONS(2644),
    [anon_sym_ATavailable] = ACTIONS(2644),
    [anon_sym___builtin_available] = ACTIONS(2642),
    [anon_sym_va_arg] = ACTIONS(2642),
    [anon_sym_ATencode] = ACTIONS(2644),
    [anon_sym_ATsynchronized] = ACTIONS(2644),
    [anon_sym_BOOL] = ACTIONS(2642),
    [anon_sym_IMP] = ACTIONS(2642),
    [anon_sym_SEL] = ACTIONS(2642),
    [anon_sym_Class] = ACTIONS(2642),
    [anon_sym_id] = ACTIONS(2642),
  },
  [514] = {
    [sym_identifier] = ACTIONS(2802),
    [aux_sym_preproc_include_token1] = ACTIONS(2802),
    [aux_sym_preproc_include_token2] = ACTIONS(2802),
    [aux_sym_preproc_def_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token2] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2802),
    [aux_sym_preproc_else_token1] = ACTIONS(2802),
    [aux_sym_preproc_elif_token1] = ACTIONS(2802),
    [sym_preproc_directive] = ACTIONS(2802),
    [anon_sym_LPAREN2] = ACTIONS(2804),
    [anon_sym_BANG] = ACTIONS(2804),
    [anon_sym_TILDE] = ACTIONS(2804),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_PLUS] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_CARET] = ACTIONS(2804),
    [anon_sym_AMP] = ACTIONS(2804),
    [anon_sym_SEMI] = ACTIONS(2804),
    [anon_sym___extension__] = ACTIONS(2802),
    [anon_sym_typedef] = ACTIONS(2802),
    [anon_sym_extern] = ACTIONS(2802),
    [anon_sym___attribute__] = ACTIONS(2802),
    [anon_sym___attribute] = ACTIONS(2802),
    [anon_sym_noreturn] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(2804),
    [anon_sym___declspec] = ACTIONS(2802),
    [anon_sym___cdecl] = ACTIONS(2802),
    [anon_sym___clrcall] = ACTIONS(2802),
    [anon_sym___stdcall] = ACTIONS(2802),
    [anon_sym___fastcall] = ACTIONS(2802),
    [anon_sym___thiscall] = ACTIONS(2802),
    [anon_sym___vectorcall] = ACTIONS(2802),
    [anon_sym_LBRACE] = ACTIONS(2804),
    [anon_sym_signed] = ACTIONS(2802),
    [anon_sym_unsigned] = ACTIONS(2802),
    [anon_sym_long] = ACTIONS(2802),
    [anon_sym_short] = ACTIONS(2802),
    [anon_sym_static] = ACTIONS(2802),
    [anon_sym_ATautoreleasepool] = ACTIONS(2804),
    [anon_sym_auto] = ACTIONS(2802),
    [anon_sym_register] = ACTIONS(2802),
    [anon_sym_inline] = ACTIONS(2802),
    [anon_sym___inline] = ACTIONS(2802),
    [anon_sym___inline__] = ACTIONS(2802),
    [anon_sym___forceinline] = ACTIONS(2802),
    [anon_sym_thread_local] = ACTIONS(2802),
    [anon_sym___thread] = ACTIONS(2802),
    [anon_sym_CG_EXTERN] = ACTIONS(2802),
    [anon_sym_CG_INLINE] = ACTIONS(2802),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2802),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2802),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2802),
    [anon_sym_IBOutlet] = ACTIONS(2802),
    [anon_sym_IBInspectable] = ACTIONS(2802),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2802),
    [anon_sym_NS_INLINE] = ACTIONS(2802),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2802),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2802),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2802),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2802),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_constexpr] = ACTIONS(2802),
    [anon_sym_volatile] = ACTIONS(2802),
    [anon_sym_restrict] = ACTIONS(2802),
    [anon_sym___restrict__] = ACTIONS(2802),
    [anon_sym__Atomic] = ACTIONS(2802),
    [anon_sym__Noreturn] = ACTIONS(2802),
    [anon_sym__Nonnull] = ACTIONS(2802),
    [anon_sym_nullable] = ACTIONS(2802),
    [anon_sym__Complex] = ACTIONS(2802),
    [anon_sym__Nullable] = ACTIONS(2802),
    [anon_sym__Nullable_result] = ACTIONS(2802),
    [anon_sym__Null_unspecified] = ACTIONS(2802),
    [anon_sym___autoreleasing] = ACTIONS(2802),
    [anon_sym___block] = ACTIONS(2802),
    [anon_sym___bridge] = ACTIONS(2802),
    [anon_sym___bridge_retained] = ACTIONS(2802),
    [anon_sym___bridge_transfer] = ACTIONS(2802),
    [anon_sym___complex] = ACTIONS(2802),
    [anon_sym___const] = ACTIONS(2802),
    [anon_sym___imag] = ACTIONS(2802),
    [anon_sym___kindof] = ACTIONS(2802),
    [anon_sym___nonnull] = ACTIONS(2802),
    [anon_sym___nullable] = ACTIONS(2802),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2802),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2802),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2802),
    [anon_sym___real] = ACTIONS(2802),
    [anon_sym___strong] = ACTIONS(2802),
    [anon_sym___unsafe_unretained] = ACTIONS(2802),
    [anon_sym___unused] = ACTIONS(2802),
    [anon_sym___weak] = ACTIONS(2802),
    [anon_sym_alignas] = ACTIONS(2802),
    [anon_sym__Alignas] = ACTIONS(2802),
    [sym_primitive_type] = ACTIONS(2802),
    [anon_sym_enum] = ACTIONS(2802),
    [anon_sym_struct] = ACTIONS(2802),
    [anon_sym_union] = ACTIONS(2802),
    [anon_sym_if] = ACTIONS(2802),
    [anon_sym_switch] = ACTIONS(2802),
    [anon_sym_case] = ACTIONS(2802),
    [anon_sym_default] = ACTIONS(2802),
    [anon_sym_while] = ACTIONS(2802),
    [anon_sym_do] = ACTIONS(2802),
    [anon_sym_for] = ACTIONS(2802),
    [anon_sym_in] = ACTIONS(2802),
    [anon_sym_return] = ACTIONS(2802),
    [anon_sym_break] = ACTIONS(2802),
    [anon_sym_continue] = ACTIONS(2802),
    [anon_sym_goto] = ACTIONS(2802),
    [anon_sym_DASH_DASH] = ACTIONS(2804),
    [anon_sym_PLUS_PLUS] = ACTIONS(2804),
    [anon_sym_sizeof] = ACTIONS(2802),
    [anon_sym___alignof__] = ACTIONS(2802),
    [anon_sym___alignof] = ACTIONS(2802),
    [anon_sym__alignof] = ACTIONS(2802),
    [anon_sym_alignof] = ACTIONS(2802),
    [anon_sym__Alignof] = ACTIONS(2802),
    [anon_sym_offsetof] = ACTIONS(2802),
    [anon_sym__Generic] = ACTIONS(2802),
    [anon_sym_asm] = ACTIONS(2802),
    [anon_sym___asm__] = ACTIONS(2802),
    [anon_sym___asm] = ACTIONS(2802),
    [sym_number_literal] = ACTIONS(2804),
    [anon_sym_L_SQUOTE] = ACTIONS(2804),
    [anon_sym_u_SQUOTE] = ACTIONS(2804),
    [anon_sym_U_SQUOTE] = ACTIONS(2804),
    [anon_sym_u8_SQUOTE] = ACTIONS(2804),
    [anon_sym_SQUOTE] = ACTIONS(2804),
    [anon_sym_AT] = ACTIONS(2802),
    [anon_sym_DQUOTE] = ACTIONS(2804),
    [anon_sym_L_DQUOTE] = ACTIONS(2804),
    [anon_sym_u_DQUOTE] = ACTIONS(2804),
    [anon_sym_U_DQUOTE] = ACTIONS(2804),
    [anon_sym_u8_DQUOTE] = ACTIONS(2804),
    [sym_true] = ACTIONS(2802),
    [sym_false] = ACTIONS(2802),
    [anon_sym_NULL] = ACTIONS(2802),
    [anon_sym_nullptr] = ACTIONS(2802),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2802),
    [anon_sym___typeof] = ACTIONS(2802),
    [anon_sym_typeof] = ACTIONS(2802),
    [anon_sym_ATimport] = ACTIONS(2804),
    [aux_sym_preproc_undef_token1] = ACTIONS(2802),
    [anon_sym_POUND] = ACTIONS(2802),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2802),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2802),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2802),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2802),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2802),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2802),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2802),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2802),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2802),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_API_AVAILABLE] = ACTIONS(2802),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_API_DEPRECATED] = ACTIONS(2802),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2802),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2802),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2802),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2802),
    [anon_sym___deprecated_msg] = ACTIONS(2802),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2802),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2802),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2802),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2802),
    [anon_sym_ATprotocol] = ACTIONS(2804),
    [anon_sym_ATinterface] = ACTIONS(2804),
    [anon_sym_ATimplementation] = ACTIONS(2804),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2804),
    [anon_sym_ATsynthesize] = ACTIONS(2804),
    [anon_sym_ATdynamic] = ACTIONS(2804),
    [anon_sym_ATtry] = ACTIONS(2804),
    [anon_sym___try] = ACTIONS(2802),
    [anon_sym_ATthrow] = ACTIONS(2804),
    [anon_sym_ATselector] = ACTIONS(2804),
    [anon_sym_ATavailable] = ACTIONS(2804),
    [anon_sym___builtin_available] = ACTIONS(2802),
    [anon_sym_va_arg] = ACTIONS(2802),
    [anon_sym_ATencode] = ACTIONS(2804),
    [anon_sym_ATsynchronized] = ACTIONS(2804),
    [anon_sym_BOOL] = ACTIONS(2802),
    [anon_sym_IMP] = ACTIONS(2802),
    [anon_sym_SEL] = ACTIONS(2802),
    [anon_sym_Class] = ACTIONS(2802),
    [anon_sym_id] = ACTIONS(2802),
  },
  [515] = {
    [sym_identifier] = ACTIONS(2618),
    [aux_sym_preproc_include_token1] = ACTIONS(2618),
    [aux_sym_preproc_include_token2] = ACTIONS(2618),
    [aux_sym_preproc_def_token1] = ACTIONS(2618),
    [aux_sym_preproc_if_token1] = ACTIONS(2618),
    [aux_sym_preproc_if_token2] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2618),
    [aux_sym_preproc_else_token1] = ACTIONS(2618),
    [aux_sym_preproc_elif_token1] = ACTIONS(2618),
    [sym_preproc_directive] = ACTIONS(2618),
    [anon_sym_LPAREN2] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2620),
    [anon_sym_CARET] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2620),
    [anon_sym___extension__] = ACTIONS(2618),
    [anon_sym_typedef] = ACTIONS(2618),
    [anon_sym_extern] = ACTIONS(2618),
    [anon_sym___attribute__] = ACTIONS(2618),
    [anon_sym___attribute] = ACTIONS(2618),
    [anon_sym_noreturn] = ACTIONS(2618),
    [anon_sym_LBRACK] = ACTIONS(2620),
    [anon_sym___declspec] = ACTIONS(2618),
    [anon_sym___cdecl] = ACTIONS(2618),
    [anon_sym___clrcall] = ACTIONS(2618),
    [anon_sym___stdcall] = ACTIONS(2618),
    [anon_sym___fastcall] = ACTIONS(2618),
    [anon_sym___thiscall] = ACTIONS(2618),
    [anon_sym___vectorcall] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2620),
    [anon_sym_signed] = ACTIONS(2618),
    [anon_sym_unsigned] = ACTIONS(2618),
    [anon_sym_long] = ACTIONS(2618),
    [anon_sym_short] = ACTIONS(2618),
    [anon_sym_static] = ACTIONS(2618),
    [anon_sym_ATautoreleasepool] = ACTIONS(2620),
    [anon_sym_auto] = ACTIONS(2618),
    [anon_sym_register] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym___inline] = ACTIONS(2618),
    [anon_sym___inline__] = ACTIONS(2618),
    [anon_sym___forceinline] = ACTIONS(2618),
    [anon_sym_thread_local] = ACTIONS(2618),
    [anon_sym___thread] = ACTIONS(2618),
    [anon_sym_CG_EXTERN] = ACTIONS(2618),
    [anon_sym_CG_INLINE] = ACTIONS(2618),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2618),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2618),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2618),
    [anon_sym_IBOutlet] = ACTIONS(2618),
    [anon_sym_IBInspectable] = ACTIONS(2618),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2618),
    [anon_sym_NS_INLINE] = ACTIONS(2618),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2618),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2618),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2618),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_constexpr] = ACTIONS(2618),
    [anon_sym_volatile] = ACTIONS(2618),
    [anon_sym_restrict] = ACTIONS(2618),
    [anon_sym___restrict__] = ACTIONS(2618),
    [anon_sym__Atomic] = ACTIONS(2618),
    [anon_sym__Noreturn] = ACTIONS(2618),
    [anon_sym__Nonnull] = ACTIONS(2618),
    [anon_sym_nullable] = ACTIONS(2618),
    [anon_sym__Complex] = ACTIONS(2618),
    [anon_sym__Nullable] = ACTIONS(2618),
    [anon_sym__Nullable_result] = ACTIONS(2618),
    [anon_sym__Null_unspecified] = ACTIONS(2618),
    [anon_sym___autoreleasing] = ACTIONS(2618),
    [anon_sym___block] = ACTIONS(2618),
    [anon_sym___bridge] = ACTIONS(2618),
    [anon_sym___bridge_retained] = ACTIONS(2618),
    [anon_sym___bridge_transfer] = ACTIONS(2618),
    [anon_sym___complex] = ACTIONS(2618),
    [anon_sym___const] = ACTIONS(2618),
    [anon_sym___imag] = ACTIONS(2618),
    [anon_sym___kindof] = ACTIONS(2618),
    [anon_sym___nonnull] = ACTIONS(2618),
    [anon_sym___nullable] = ACTIONS(2618),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2618),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2618),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2618),
    [anon_sym___real] = ACTIONS(2618),
    [anon_sym___strong] = ACTIONS(2618),
    [anon_sym___unsafe_unretained] = ACTIONS(2618),
    [anon_sym___unused] = ACTIONS(2618),
    [anon_sym___weak] = ACTIONS(2618),
    [anon_sym_alignas] = ACTIONS(2618),
    [anon_sym__Alignas] = ACTIONS(2618),
    [sym_primitive_type] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_struct] = ACTIONS(2618),
    [anon_sym_union] = ACTIONS(2618),
    [anon_sym_if] = ACTIONS(2618),
    [anon_sym_switch] = ACTIONS(2618),
    [anon_sym_case] = ACTIONS(2618),
    [anon_sym_default] = ACTIONS(2618),
    [anon_sym_while] = ACTIONS(2618),
    [anon_sym_do] = ACTIONS(2618),
    [anon_sym_for] = ACTIONS(2618),
    [anon_sym_in] = ACTIONS(2618),
    [anon_sym_return] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2618),
    [anon_sym_continue] = ACTIONS(2618),
    [anon_sym_goto] = ACTIONS(2618),
    [anon_sym_DASH_DASH] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2620),
    [anon_sym_sizeof] = ACTIONS(2618),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2618),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2618),
    [anon_sym___asm__] = ACTIONS(2618),
    [anon_sym___asm] = ACTIONS(2618),
    [sym_number_literal] = ACTIONS(2620),
    [anon_sym_L_SQUOTE] = ACTIONS(2620),
    [anon_sym_u_SQUOTE] = ACTIONS(2620),
    [anon_sym_U_SQUOTE] = ACTIONS(2620),
    [anon_sym_u8_SQUOTE] = ACTIONS(2620),
    [anon_sym_SQUOTE] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(2618),
    [anon_sym_DQUOTE] = ACTIONS(2620),
    [anon_sym_L_DQUOTE] = ACTIONS(2620),
    [anon_sym_u_DQUOTE] = ACTIONS(2620),
    [anon_sym_U_DQUOTE] = ACTIONS(2620),
    [anon_sym_u8_DQUOTE] = ACTIONS(2620),
    [sym_true] = ACTIONS(2618),
    [sym_false] = ACTIONS(2618),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2618),
    [anon_sym___typeof] = ACTIONS(2618),
    [anon_sym_typeof] = ACTIONS(2618),
    [anon_sym_ATimport] = ACTIONS(2620),
    [aux_sym_preproc_undef_token1] = ACTIONS(2618),
    [anon_sym_POUND] = ACTIONS(2618),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2618),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2618),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2618),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2618),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2618),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2618),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2618),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2618),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2618),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2618),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2618),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2618),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2618),
    [anon_sym_API_AVAILABLE] = ACTIONS(2618),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2618),
    [anon_sym_API_DEPRECATED] = ACTIONS(2618),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2618),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2618),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2618),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2618),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2618),
    [anon_sym___deprecated_msg] = ACTIONS(2618),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2618),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2618),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2618),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2618),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2618),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2618),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2618),
    [anon_sym_ATprotocol] = ACTIONS(2620),
    [anon_sym_ATinterface] = ACTIONS(2620),
    [anon_sym_ATimplementation] = ACTIONS(2620),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2620),
    [anon_sym_ATsynthesize] = ACTIONS(2620),
    [anon_sym_ATdynamic] = ACTIONS(2620),
    [anon_sym_ATtry] = ACTIONS(2620),
    [anon_sym___try] = ACTIONS(2618),
    [anon_sym_ATthrow] = ACTIONS(2620),
    [anon_sym_ATselector] = ACTIONS(2620),
    [anon_sym_ATavailable] = ACTIONS(2620),
    [anon_sym___builtin_available] = ACTIONS(2618),
    [anon_sym_va_arg] = ACTIONS(2618),
    [anon_sym_ATencode] = ACTIONS(2620),
    [anon_sym_ATsynchronized] = ACTIONS(2620),
    [anon_sym_BOOL] = ACTIONS(2618),
    [anon_sym_IMP] = ACTIONS(2618),
    [anon_sym_SEL] = ACTIONS(2618),
    [anon_sym_Class] = ACTIONS(2618),
    [anon_sym_id] = ACTIONS(2618),
  },
  [516] = {
    [sym_identifier] = ACTIONS(2868),
    [aux_sym_preproc_include_token1] = ACTIONS(2868),
    [aux_sym_preproc_include_token2] = ACTIONS(2868),
    [aux_sym_preproc_def_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token2] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2868),
    [aux_sym_preproc_else_token1] = ACTIONS(2868),
    [aux_sym_preproc_elif_token1] = ACTIONS(2868),
    [sym_preproc_directive] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_BANG] = ACTIONS(2870),
    [anon_sym_TILDE] = ACTIONS(2870),
    [anon_sym_DASH] = ACTIONS(2868),
    [anon_sym_PLUS] = ACTIONS(2868),
    [anon_sym_STAR] = ACTIONS(2870),
    [anon_sym_CARET] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2870),
    [anon_sym_SEMI] = ACTIONS(2870),
    [anon_sym___extension__] = ACTIONS(2868),
    [anon_sym_typedef] = ACTIONS(2868),
    [anon_sym_extern] = ACTIONS(2868),
    [anon_sym___attribute__] = ACTIONS(2868),
    [anon_sym___attribute] = ACTIONS(2868),
    [anon_sym_noreturn] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2870),
    [anon_sym___declspec] = ACTIONS(2868),
    [anon_sym___cdecl] = ACTIONS(2868),
    [anon_sym___clrcall] = ACTIONS(2868),
    [anon_sym___stdcall] = ACTIONS(2868),
    [anon_sym___fastcall] = ACTIONS(2868),
    [anon_sym___thiscall] = ACTIONS(2868),
    [anon_sym___vectorcall] = ACTIONS(2868),
    [anon_sym_LBRACE] = ACTIONS(2870),
    [anon_sym_signed] = ACTIONS(2868),
    [anon_sym_unsigned] = ACTIONS(2868),
    [anon_sym_long] = ACTIONS(2868),
    [anon_sym_short] = ACTIONS(2868),
    [anon_sym_static] = ACTIONS(2868),
    [anon_sym_ATautoreleasepool] = ACTIONS(2870),
    [anon_sym_auto] = ACTIONS(2868),
    [anon_sym_register] = ACTIONS(2868),
    [anon_sym_inline] = ACTIONS(2868),
    [anon_sym___inline] = ACTIONS(2868),
    [anon_sym___inline__] = ACTIONS(2868),
    [anon_sym___forceinline] = ACTIONS(2868),
    [anon_sym_thread_local] = ACTIONS(2868),
    [anon_sym___thread] = ACTIONS(2868),
    [anon_sym_CG_EXTERN] = ACTIONS(2868),
    [anon_sym_CG_INLINE] = ACTIONS(2868),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2868),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2868),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2868),
    [anon_sym_IBOutlet] = ACTIONS(2868),
    [anon_sym_IBInspectable] = ACTIONS(2868),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2868),
    [anon_sym_NS_INLINE] = ACTIONS(2868),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2868),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2868),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2868),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2868),
    [anon_sym_const] = ACTIONS(2868),
    [anon_sym_constexpr] = ACTIONS(2868),
    [anon_sym_volatile] = ACTIONS(2868),
    [anon_sym_restrict] = ACTIONS(2868),
    [anon_sym___restrict__] = ACTIONS(2868),
    [anon_sym__Atomic] = ACTIONS(2868),
    [anon_sym__Noreturn] = ACTIONS(2868),
    [anon_sym__Nonnull] = ACTIONS(2868),
    [anon_sym_nullable] = ACTIONS(2868),
    [anon_sym__Complex] = ACTIONS(2868),
    [anon_sym__Nullable] = ACTIONS(2868),
    [anon_sym__Nullable_result] = ACTIONS(2868),
    [anon_sym__Null_unspecified] = ACTIONS(2868),
    [anon_sym___autoreleasing] = ACTIONS(2868),
    [anon_sym___block] = ACTIONS(2868),
    [anon_sym___bridge] = ACTIONS(2868),
    [anon_sym___bridge_retained] = ACTIONS(2868),
    [anon_sym___bridge_transfer] = ACTIONS(2868),
    [anon_sym___complex] = ACTIONS(2868),
    [anon_sym___const] = ACTIONS(2868),
    [anon_sym___imag] = ACTIONS(2868),
    [anon_sym___kindof] = ACTIONS(2868),
    [anon_sym___nonnull] = ACTIONS(2868),
    [anon_sym___nullable] = ACTIONS(2868),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2868),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2868),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2868),
    [anon_sym___real] = ACTIONS(2868),
    [anon_sym___strong] = ACTIONS(2868),
    [anon_sym___unsafe_unretained] = ACTIONS(2868),
    [anon_sym___unused] = ACTIONS(2868),
    [anon_sym___weak] = ACTIONS(2868),
    [anon_sym_alignas] = ACTIONS(2868),
    [anon_sym__Alignas] = ACTIONS(2868),
    [sym_primitive_type] = ACTIONS(2868),
    [anon_sym_enum] = ACTIONS(2868),
    [anon_sym_struct] = ACTIONS(2868),
    [anon_sym_union] = ACTIONS(2868),
    [anon_sym_if] = ACTIONS(2868),
    [anon_sym_switch] = ACTIONS(2868),
    [anon_sym_case] = ACTIONS(2868),
    [anon_sym_default] = ACTIONS(2868),
    [anon_sym_while] = ACTIONS(2868),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_for] = ACTIONS(2868),
    [anon_sym_in] = ACTIONS(2868),
    [anon_sym_return] = ACTIONS(2868),
    [anon_sym_break] = ACTIONS(2868),
    [anon_sym_continue] = ACTIONS(2868),
    [anon_sym_goto] = ACTIONS(2868),
    [anon_sym_DASH_DASH] = ACTIONS(2870),
    [anon_sym_PLUS_PLUS] = ACTIONS(2870),
    [anon_sym_sizeof] = ACTIONS(2868),
    [anon_sym___alignof__] = ACTIONS(2868),
    [anon_sym___alignof] = ACTIONS(2868),
    [anon_sym__alignof] = ACTIONS(2868),
    [anon_sym_alignof] = ACTIONS(2868),
    [anon_sym__Alignof] = ACTIONS(2868),
    [anon_sym_offsetof] = ACTIONS(2868),
    [anon_sym__Generic] = ACTIONS(2868),
    [anon_sym_asm] = ACTIONS(2868),
    [anon_sym___asm__] = ACTIONS(2868),
    [anon_sym___asm] = ACTIONS(2868),
    [sym_number_literal] = ACTIONS(2870),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_AT] = ACTIONS(2868),
    [anon_sym_DQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2870),
    [anon_sym_u_DQUOTE] = ACTIONS(2870),
    [anon_sym_U_DQUOTE] = ACTIONS(2870),
    [anon_sym_u8_DQUOTE] = ACTIONS(2870),
    [sym_true] = ACTIONS(2868),
    [sym_false] = ACTIONS(2868),
    [anon_sym_NULL] = ACTIONS(2868),
    [anon_sym_nullptr] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2868),
    [anon_sym___typeof] = ACTIONS(2868),
    [anon_sym_typeof] = ACTIONS(2868),
    [anon_sym_ATimport] = ACTIONS(2870),
    [aux_sym_preproc_undef_token1] = ACTIONS(2868),
    [anon_sym_POUND] = ACTIONS(2868),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2868),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2868),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2868),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2868),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2868),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2868),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2868),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2868),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2868),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_API_AVAILABLE] = ACTIONS(2868),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_API_DEPRECATED] = ACTIONS(2868),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2868),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2868),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2868),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2868),
    [anon_sym___deprecated_msg] = ACTIONS(2868),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2868),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2868),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2868),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2868),
    [anon_sym_ATprotocol] = ACTIONS(2870),
    [anon_sym_ATinterface] = ACTIONS(2870),
    [anon_sym_ATimplementation] = ACTIONS(2870),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2870),
    [anon_sym_ATsynthesize] = ACTIONS(2870),
    [anon_sym_ATdynamic] = ACTIONS(2870),
    [anon_sym_ATtry] = ACTIONS(2870),
    [anon_sym___try] = ACTIONS(2868),
    [anon_sym_ATthrow] = ACTIONS(2870),
    [anon_sym_ATselector] = ACTIONS(2870),
    [anon_sym_ATavailable] = ACTIONS(2870),
    [anon_sym___builtin_available] = ACTIONS(2868),
    [anon_sym_va_arg] = ACTIONS(2868),
    [anon_sym_ATencode] = ACTIONS(2870),
    [anon_sym_ATsynchronized] = ACTIONS(2870),
    [anon_sym_BOOL] = ACTIONS(2868),
    [anon_sym_IMP] = ACTIONS(2868),
    [anon_sym_SEL] = ACTIONS(2868),
    [anon_sym_Class] = ACTIONS(2868),
    [anon_sym_id] = ACTIONS(2868),
  },
  [517] = {
    [sym_identifier] = ACTIONS(2622),
    [aux_sym_preproc_include_token1] = ACTIONS(2622),
    [aux_sym_preproc_include_token2] = ACTIONS(2622),
    [aux_sym_preproc_def_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token2] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2622),
    [aux_sym_preproc_else_token1] = ACTIONS(2622),
    [aux_sym_preproc_elif_token1] = ACTIONS(2622),
    [sym_preproc_directive] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_CARET] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym___extension__] = ACTIONS(2622),
    [anon_sym_typedef] = ACTIONS(2622),
    [anon_sym_extern] = ACTIONS(2622),
    [anon_sym___attribute__] = ACTIONS(2622),
    [anon_sym___attribute] = ACTIONS(2622),
    [anon_sym_noreturn] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym___declspec] = ACTIONS(2622),
    [anon_sym___cdecl] = ACTIONS(2622),
    [anon_sym___clrcall] = ACTIONS(2622),
    [anon_sym___stdcall] = ACTIONS(2622),
    [anon_sym___fastcall] = ACTIONS(2622),
    [anon_sym___thiscall] = ACTIONS(2622),
    [anon_sym___vectorcall] = ACTIONS(2622),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_signed] = ACTIONS(2622),
    [anon_sym_unsigned] = ACTIONS(2622),
    [anon_sym_long] = ACTIONS(2622),
    [anon_sym_short] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_ATautoreleasepool] = ACTIONS(2624),
    [anon_sym_auto] = ACTIONS(2622),
    [anon_sym_register] = ACTIONS(2622),
    [anon_sym_inline] = ACTIONS(2622),
    [anon_sym___inline] = ACTIONS(2622),
    [anon_sym___inline__] = ACTIONS(2622),
    [anon_sym___forceinline] = ACTIONS(2622),
    [anon_sym_thread_local] = ACTIONS(2622),
    [anon_sym___thread] = ACTIONS(2622),
    [anon_sym_CG_EXTERN] = ACTIONS(2622),
    [anon_sym_CG_INLINE] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2622),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2622),
    [anon_sym_IBOutlet] = ACTIONS(2622),
    [anon_sym_IBInspectable] = ACTIONS(2622),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2622),
    [anon_sym_NS_INLINE] = ACTIONS(2622),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2622),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2622),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_constexpr] = ACTIONS(2622),
    [anon_sym_volatile] = ACTIONS(2622),
    [anon_sym_restrict] = ACTIONS(2622),
    [anon_sym___restrict__] = ACTIONS(2622),
    [anon_sym__Atomic] = ACTIONS(2622),
    [anon_sym__Noreturn] = ACTIONS(2622),
    [anon_sym__Nonnull] = ACTIONS(2622),
    [anon_sym_nullable] = ACTIONS(2622),
    [anon_sym__Complex] = ACTIONS(2622),
    [anon_sym__Nullable] = ACTIONS(2622),
    [anon_sym__Nullable_result] = ACTIONS(2622),
    [anon_sym__Null_unspecified] = ACTIONS(2622),
    [anon_sym___autoreleasing] = ACTIONS(2622),
    [anon_sym___block] = ACTIONS(2622),
    [anon_sym___bridge] = ACTIONS(2622),
    [anon_sym___bridge_retained] = ACTIONS(2622),
    [anon_sym___bridge_transfer] = ACTIONS(2622),
    [anon_sym___complex] = ACTIONS(2622),
    [anon_sym___const] = ACTIONS(2622),
    [anon_sym___imag] = ACTIONS(2622),
    [anon_sym___kindof] = ACTIONS(2622),
    [anon_sym___nonnull] = ACTIONS(2622),
    [anon_sym___nullable] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2622),
    [anon_sym___real] = ACTIONS(2622),
    [anon_sym___strong] = ACTIONS(2622),
    [anon_sym___unsafe_unretained] = ACTIONS(2622),
    [anon_sym___unused] = ACTIONS(2622),
    [anon_sym___weak] = ACTIONS(2622),
    [anon_sym_alignas] = ACTIONS(2622),
    [anon_sym__Alignas] = ACTIONS(2622),
    [sym_primitive_type] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [anon_sym_struct] = ACTIONS(2622),
    [anon_sym_union] = ACTIONS(2622),
    [anon_sym_if] = ACTIONS(2622),
    [anon_sym_switch] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2622),
    [anon_sym_default] = ACTIONS(2622),
    [anon_sym_while] = ACTIONS(2622),
    [anon_sym_do] = ACTIONS(2622),
    [anon_sym_for] = ACTIONS(2622),
    [anon_sym_in] = ACTIONS(2622),
    [anon_sym_return] = ACTIONS(2622),
    [anon_sym_break] = ACTIONS(2622),
    [anon_sym_continue] = ACTIONS(2622),
    [anon_sym_goto] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_sizeof] = ACTIONS(2622),
    [anon_sym___alignof__] = ACTIONS(2622),
    [anon_sym___alignof] = ACTIONS(2622),
    [anon_sym__alignof] = ACTIONS(2622),
    [anon_sym_alignof] = ACTIONS(2622),
    [anon_sym__Alignof] = ACTIONS(2622),
    [anon_sym_offsetof] = ACTIONS(2622),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2622),
    [anon_sym___asm__] = ACTIONS(2622),
    [anon_sym___asm] = ACTIONS(2622),
    [sym_number_literal] = ACTIONS(2624),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2624),
    [anon_sym_u_DQUOTE] = ACTIONS(2624),
    [anon_sym_U_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8_DQUOTE] = ACTIONS(2624),
    [sym_true] = ACTIONS(2622),
    [sym_false] = ACTIONS(2622),
    [anon_sym_NULL] = ACTIONS(2622),
    [anon_sym_nullptr] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2622),
    [anon_sym___typeof] = ACTIONS(2622),
    [anon_sym_typeof] = ACTIONS(2622),
    [anon_sym_ATimport] = ACTIONS(2624),
    [aux_sym_preproc_undef_token1] = ACTIONS(2622),
    [anon_sym_POUND] = ACTIONS(2622),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2622),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2622),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2622),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_API_AVAILABLE] = ACTIONS(2622),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_API_DEPRECATED] = ACTIONS(2622),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym___deprecated_msg] = ACTIONS(2622),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2622),
    [anon_sym_ATprotocol] = ACTIONS(2624),
    [anon_sym_ATinterface] = ACTIONS(2624),
    [anon_sym_ATimplementation] = ACTIONS(2624),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2624),
    [anon_sym_ATsynthesize] = ACTIONS(2624),
    [anon_sym_ATdynamic] = ACTIONS(2624),
    [anon_sym_ATtry] = ACTIONS(2624),
    [anon_sym___try] = ACTIONS(2622),
    [anon_sym_ATthrow] = ACTIONS(2624),
    [anon_sym_ATselector] = ACTIONS(2624),
    [anon_sym_ATavailable] = ACTIONS(2624),
    [anon_sym___builtin_available] = ACTIONS(2622),
    [anon_sym_va_arg] = ACTIONS(2622),
    [anon_sym_ATencode] = ACTIONS(2624),
    [anon_sym_ATsynchronized] = ACTIONS(2624),
    [anon_sym_BOOL] = ACTIONS(2622),
    [anon_sym_IMP] = ACTIONS(2622),
    [anon_sym_SEL] = ACTIONS(2622),
    [anon_sym_Class] = ACTIONS(2622),
    [anon_sym_id] = ACTIONS(2622),
  },
  [518] = {
    [sym_identifier] = ACTIONS(2852),
    [aux_sym_preproc_include_token1] = ACTIONS(2852),
    [aux_sym_preproc_include_token2] = ACTIONS(2852),
    [aux_sym_preproc_def_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token2] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2852),
    [aux_sym_preproc_else_token1] = ACTIONS(2852),
    [aux_sym_preproc_elif_token1] = ACTIONS(2852),
    [sym_preproc_directive] = ACTIONS(2852),
    [anon_sym_LPAREN2] = ACTIONS(2854),
    [anon_sym_BANG] = ACTIONS(2854),
    [anon_sym_TILDE] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2852),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_CARET] = ACTIONS(2854),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym_SEMI] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2852),
    [anon_sym_typedef] = ACTIONS(2852),
    [anon_sym_extern] = ACTIONS(2852),
    [anon_sym___attribute__] = ACTIONS(2852),
    [anon_sym___attribute] = ACTIONS(2852),
    [anon_sym_noreturn] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym___declspec] = ACTIONS(2852),
    [anon_sym___cdecl] = ACTIONS(2852),
    [anon_sym___clrcall] = ACTIONS(2852),
    [anon_sym___stdcall] = ACTIONS(2852),
    [anon_sym___fastcall] = ACTIONS(2852),
    [anon_sym___thiscall] = ACTIONS(2852),
    [anon_sym___vectorcall] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(2854),
    [anon_sym_signed] = ACTIONS(2852),
    [anon_sym_unsigned] = ACTIONS(2852),
    [anon_sym_long] = ACTIONS(2852),
    [anon_sym_short] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_ATautoreleasepool] = ACTIONS(2854),
    [anon_sym_auto] = ACTIONS(2852),
    [anon_sym_register] = ACTIONS(2852),
    [anon_sym_inline] = ACTIONS(2852),
    [anon_sym___inline] = ACTIONS(2852),
    [anon_sym___inline__] = ACTIONS(2852),
    [anon_sym___forceinline] = ACTIONS(2852),
    [anon_sym_thread_local] = ACTIONS(2852),
    [anon_sym___thread] = ACTIONS(2852),
    [anon_sym_CG_EXTERN] = ACTIONS(2852),
    [anon_sym_CG_INLINE] = ACTIONS(2852),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2852),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2852),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2852),
    [anon_sym_IBOutlet] = ACTIONS(2852),
    [anon_sym_IBInspectable] = ACTIONS(2852),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2852),
    [anon_sym_NS_INLINE] = ACTIONS(2852),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2852),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2852),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2852),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2852),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_constexpr] = ACTIONS(2852),
    [anon_sym_volatile] = ACTIONS(2852),
    [anon_sym_restrict] = ACTIONS(2852),
    [anon_sym___restrict__] = ACTIONS(2852),
    [anon_sym__Atomic] = ACTIONS(2852),
    [anon_sym__Noreturn] = ACTIONS(2852),
    [anon_sym__Nonnull] = ACTIONS(2852),
    [anon_sym_nullable] = ACTIONS(2852),
    [anon_sym__Complex] = ACTIONS(2852),
    [anon_sym__Nullable] = ACTIONS(2852),
    [anon_sym__Nullable_result] = ACTIONS(2852),
    [anon_sym__Null_unspecified] = ACTIONS(2852),
    [anon_sym___autoreleasing] = ACTIONS(2852),
    [anon_sym___block] = ACTIONS(2852),
    [anon_sym___bridge] = ACTIONS(2852),
    [anon_sym___bridge_retained] = ACTIONS(2852),
    [anon_sym___bridge_transfer] = ACTIONS(2852),
    [anon_sym___complex] = ACTIONS(2852),
    [anon_sym___const] = ACTIONS(2852),
    [anon_sym___imag] = ACTIONS(2852),
    [anon_sym___kindof] = ACTIONS(2852),
    [anon_sym___nonnull] = ACTIONS(2852),
    [anon_sym___nullable] = ACTIONS(2852),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2852),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2852),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2852),
    [anon_sym___real] = ACTIONS(2852),
    [anon_sym___strong] = ACTIONS(2852),
    [anon_sym___unsafe_unretained] = ACTIONS(2852),
    [anon_sym___unused] = ACTIONS(2852),
    [anon_sym___weak] = ACTIONS(2852),
    [anon_sym_alignas] = ACTIONS(2852),
    [anon_sym__Alignas] = ACTIONS(2852),
    [sym_primitive_type] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2852),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_switch] = ACTIONS(2852),
    [anon_sym_case] = ACTIONS(2852),
    [anon_sym_default] = ACTIONS(2852),
    [anon_sym_while] = ACTIONS(2852),
    [anon_sym_do] = ACTIONS(2852),
    [anon_sym_for] = ACTIONS(2852),
    [anon_sym_in] = ACTIONS(2852),
    [anon_sym_return] = ACTIONS(2852),
    [anon_sym_break] = ACTIONS(2852),
    [anon_sym_continue] = ACTIONS(2852),
    [anon_sym_goto] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2854),
    [anon_sym_sizeof] = ACTIONS(2852),
    [anon_sym___alignof__] = ACTIONS(2852),
    [anon_sym___alignof] = ACTIONS(2852),
    [anon_sym__alignof] = ACTIONS(2852),
    [anon_sym_alignof] = ACTIONS(2852),
    [anon_sym__Alignof] = ACTIONS(2852),
    [anon_sym_offsetof] = ACTIONS(2852),
    [anon_sym__Generic] = ACTIONS(2852),
    [anon_sym_asm] = ACTIONS(2852),
    [anon_sym___asm__] = ACTIONS(2852),
    [anon_sym___asm] = ACTIONS(2852),
    [sym_number_literal] = ACTIONS(2854),
    [anon_sym_L_SQUOTE] = ACTIONS(2854),
    [anon_sym_u_SQUOTE] = ACTIONS(2854),
    [anon_sym_U_SQUOTE] = ACTIONS(2854),
    [anon_sym_u8_SQUOTE] = ACTIONS(2854),
    [anon_sym_SQUOTE] = ACTIONS(2854),
    [anon_sym_AT] = ACTIONS(2852),
    [anon_sym_DQUOTE] = ACTIONS(2854),
    [anon_sym_L_DQUOTE] = ACTIONS(2854),
    [anon_sym_u_DQUOTE] = ACTIONS(2854),
    [anon_sym_U_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8_DQUOTE] = ACTIONS(2854),
    [sym_true] = ACTIONS(2852),
    [sym_false] = ACTIONS(2852),
    [anon_sym_NULL] = ACTIONS(2852),
    [anon_sym_nullptr] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2852),
    [anon_sym___typeof] = ACTIONS(2852),
    [anon_sym_typeof] = ACTIONS(2852),
    [anon_sym_ATimport] = ACTIONS(2854),
    [aux_sym_preproc_undef_token1] = ACTIONS(2852),
    [anon_sym_POUND] = ACTIONS(2852),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2852),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2852),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2852),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2852),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2852),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2852),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2852),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2852),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2852),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2852),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2852),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2852),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2852),
    [anon_sym_API_AVAILABLE] = ACTIONS(2852),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2852),
    [anon_sym_API_DEPRECATED] = ACTIONS(2852),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2852),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2852),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2852),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2852),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2852),
    [anon_sym___deprecated_msg] = ACTIONS(2852),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2852),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2852),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2852),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2852),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2852),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2852),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2852),
    [anon_sym_ATprotocol] = ACTIONS(2854),
    [anon_sym_ATinterface] = ACTIONS(2854),
    [anon_sym_ATimplementation] = ACTIONS(2854),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2854),
    [anon_sym_ATsynthesize] = ACTIONS(2854),
    [anon_sym_ATdynamic] = ACTIONS(2854),
    [anon_sym_ATtry] = ACTIONS(2854),
    [anon_sym___try] = ACTIONS(2852),
    [anon_sym_ATthrow] = ACTIONS(2854),
    [anon_sym_ATselector] = ACTIONS(2854),
    [anon_sym_ATavailable] = ACTIONS(2854),
    [anon_sym___builtin_available] = ACTIONS(2852),
    [anon_sym_va_arg] = ACTIONS(2852),
    [anon_sym_ATencode] = ACTIONS(2854),
    [anon_sym_ATsynchronized] = ACTIONS(2854),
    [anon_sym_BOOL] = ACTIONS(2852),
    [anon_sym_IMP] = ACTIONS(2852),
    [anon_sym_SEL] = ACTIONS(2852),
    [anon_sym_Class] = ACTIONS(2852),
    [anon_sym_id] = ACTIONS(2852),
  },
  [519] = {
    [sym_identifier] = ACTIONS(2678),
    [aux_sym_preproc_include_token1] = ACTIONS(2678),
    [aux_sym_preproc_include_token2] = ACTIONS(2678),
    [aux_sym_preproc_def_token1] = ACTIONS(2678),
    [aux_sym_preproc_if_token1] = ACTIONS(2678),
    [aux_sym_preproc_if_token2] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2678),
    [aux_sym_preproc_else_token1] = ACTIONS(2678),
    [aux_sym_preproc_elif_token1] = ACTIONS(2678),
    [sym_preproc_directive] = ACTIONS(2678),
    [anon_sym_LPAREN2] = ACTIONS(2680),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_CARET] = ACTIONS(2680),
    [anon_sym_AMP] = ACTIONS(2680),
    [anon_sym_SEMI] = ACTIONS(2680),
    [anon_sym___extension__] = ACTIONS(2678),
    [anon_sym_typedef] = ACTIONS(2678),
    [anon_sym_extern] = ACTIONS(2678),
    [anon_sym___attribute__] = ACTIONS(2678),
    [anon_sym___attribute] = ACTIONS(2678),
    [anon_sym_noreturn] = ACTIONS(2678),
    [anon_sym_LBRACK] = ACTIONS(2680),
    [anon_sym___declspec] = ACTIONS(2678),
    [anon_sym___cdecl] = ACTIONS(2678),
    [anon_sym___clrcall] = ACTIONS(2678),
    [anon_sym___stdcall] = ACTIONS(2678),
    [anon_sym___fastcall] = ACTIONS(2678),
    [anon_sym___thiscall] = ACTIONS(2678),
    [anon_sym___vectorcall] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_signed] = ACTIONS(2678),
    [anon_sym_unsigned] = ACTIONS(2678),
    [anon_sym_long] = ACTIONS(2678),
    [anon_sym_short] = ACTIONS(2678),
    [anon_sym_static] = ACTIONS(2678),
    [anon_sym_ATautoreleasepool] = ACTIONS(2680),
    [anon_sym_auto] = ACTIONS(2678),
    [anon_sym_register] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(2678),
    [anon_sym___inline] = ACTIONS(2678),
    [anon_sym___inline__] = ACTIONS(2678),
    [anon_sym___forceinline] = ACTIONS(2678),
    [anon_sym_thread_local] = ACTIONS(2678),
    [anon_sym___thread] = ACTIONS(2678),
    [anon_sym_CG_EXTERN] = ACTIONS(2678),
    [anon_sym_CG_INLINE] = ACTIONS(2678),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2678),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2678),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2678),
    [anon_sym_IBOutlet] = ACTIONS(2678),
    [anon_sym_IBInspectable] = ACTIONS(2678),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2678),
    [anon_sym_NS_INLINE] = ACTIONS(2678),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2678),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2678),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2678),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2678),
    [anon_sym_const] = ACTIONS(2678),
    [anon_sym_constexpr] = ACTIONS(2678),
    [anon_sym_volatile] = ACTIONS(2678),
    [anon_sym_restrict] = ACTIONS(2678),
    [anon_sym___restrict__] = ACTIONS(2678),
    [anon_sym__Atomic] = ACTIONS(2678),
    [anon_sym__Noreturn] = ACTIONS(2678),
    [anon_sym__Nonnull] = ACTIONS(2678),
    [anon_sym_nullable] = ACTIONS(2678),
    [anon_sym__Complex] = ACTIONS(2678),
    [anon_sym__Nullable] = ACTIONS(2678),
    [anon_sym__Nullable_result] = ACTIONS(2678),
    [anon_sym__Null_unspecified] = ACTIONS(2678),
    [anon_sym___autoreleasing] = ACTIONS(2678),
    [anon_sym___block] = ACTIONS(2678),
    [anon_sym___bridge] = ACTIONS(2678),
    [anon_sym___bridge_retained] = ACTIONS(2678),
    [anon_sym___bridge_transfer] = ACTIONS(2678),
    [anon_sym___complex] = ACTIONS(2678),
    [anon_sym___const] = ACTIONS(2678),
    [anon_sym___imag] = ACTIONS(2678),
    [anon_sym___kindof] = ACTIONS(2678),
    [anon_sym___nonnull] = ACTIONS(2678),
    [anon_sym___nullable] = ACTIONS(2678),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2678),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2678),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2678),
    [anon_sym___real] = ACTIONS(2678),
    [anon_sym___strong] = ACTIONS(2678),
    [anon_sym___unsafe_unretained] = ACTIONS(2678),
    [anon_sym___unused] = ACTIONS(2678),
    [anon_sym___weak] = ACTIONS(2678),
    [anon_sym_alignas] = ACTIONS(2678),
    [anon_sym__Alignas] = ACTIONS(2678),
    [sym_primitive_type] = ACTIONS(2678),
    [anon_sym_enum] = ACTIONS(2678),
    [anon_sym_struct] = ACTIONS(2678),
    [anon_sym_union] = ACTIONS(2678),
    [anon_sym_if] = ACTIONS(2678),
    [anon_sym_switch] = ACTIONS(2678),
    [anon_sym_case] = ACTIONS(2678),
    [anon_sym_default] = ACTIONS(2678),
    [anon_sym_while] = ACTIONS(2678),
    [anon_sym_do] = ACTIONS(2678),
    [anon_sym_for] = ACTIONS(2678),
    [anon_sym_in] = ACTIONS(2678),
    [anon_sym_return] = ACTIONS(2678),
    [anon_sym_break] = ACTIONS(2678),
    [anon_sym_continue] = ACTIONS(2678),
    [anon_sym_goto] = ACTIONS(2678),
    [anon_sym_DASH_DASH] = ACTIONS(2680),
    [anon_sym_PLUS_PLUS] = ACTIONS(2680),
    [anon_sym_sizeof] = ACTIONS(2678),
    [anon_sym___alignof__] = ACTIONS(2678),
    [anon_sym___alignof] = ACTIONS(2678),
    [anon_sym__alignof] = ACTIONS(2678),
    [anon_sym_alignof] = ACTIONS(2678),
    [anon_sym__Alignof] = ACTIONS(2678),
    [anon_sym_offsetof] = ACTIONS(2678),
    [anon_sym__Generic] = ACTIONS(2678),
    [anon_sym_asm] = ACTIONS(2678),
    [anon_sym___asm__] = ACTIONS(2678),
    [anon_sym___asm] = ACTIONS(2678),
    [sym_number_literal] = ACTIONS(2680),
    [anon_sym_L_SQUOTE] = ACTIONS(2680),
    [anon_sym_u_SQUOTE] = ACTIONS(2680),
    [anon_sym_U_SQUOTE] = ACTIONS(2680),
    [anon_sym_u8_SQUOTE] = ACTIONS(2680),
    [anon_sym_SQUOTE] = ACTIONS(2680),
    [anon_sym_AT] = ACTIONS(2678),
    [anon_sym_DQUOTE] = ACTIONS(2680),
    [anon_sym_L_DQUOTE] = ACTIONS(2680),
    [anon_sym_u_DQUOTE] = ACTIONS(2680),
    [anon_sym_U_DQUOTE] = ACTIONS(2680),
    [anon_sym_u8_DQUOTE] = ACTIONS(2680),
    [sym_true] = ACTIONS(2678),
    [sym_false] = ACTIONS(2678),
    [anon_sym_NULL] = ACTIONS(2678),
    [anon_sym_nullptr] = ACTIONS(2678),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2678),
    [anon_sym___typeof] = ACTIONS(2678),
    [anon_sym_typeof] = ACTIONS(2678),
    [anon_sym_ATimport] = ACTIONS(2680),
    [aux_sym_preproc_undef_token1] = ACTIONS(2678),
    [anon_sym_POUND] = ACTIONS(2678),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2678),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2678),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2678),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2678),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2678),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2678),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2678),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2678),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2678),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2678),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2678),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2678),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2678),
    [anon_sym_API_AVAILABLE] = ACTIONS(2678),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2678),
    [anon_sym_API_DEPRECATED] = ACTIONS(2678),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2678),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2678),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2678),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2678),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2678),
    [anon_sym___deprecated_msg] = ACTIONS(2678),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2678),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2678),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2678),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2678),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2678),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2678),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2678),
    [anon_sym_ATprotocol] = ACTIONS(2680),
    [anon_sym_ATinterface] = ACTIONS(2680),
    [anon_sym_ATimplementation] = ACTIONS(2680),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2680),
    [anon_sym_ATsynthesize] = ACTIONS(2680),
    [anon_sym_ATdynamic] = ACTIONS(2680),
    [anon_sym_ATtry] = ACTIONS(2680),
    [anon_sym___try] = ACTIONS(2678),
    [anon_sym_ATthrow] = ACTIONS(2680),
    [anon_sym_ATselector] = ACTIONS(2680),
    [anon_sym_ATavailable] = ACTIONS(2680),
    [anon_sym___builtin_available] = ACTIONS(2678),
    [anon_sym_va_arg] = ACTIONS(2678),
    [anon_sym_ATencode] = ACTIONS(2680),
    [anon_sym_ATsynchronized] = ACTIONS(2680),
    [anon_sym_BOOL] = ACTIONS(2678),
    [anon_sym_IMP] = ACTIONS(2678),
    [anon_sym_SEL] = ACTIONS(2678),
    [anon_sym_Class] = ACTIONS(2678),
    [anon_sym_id] = ACTIONS(2678),
  },
  [520] = {
    [sym_identifier] = ACTIONS(2726),
    [aux_sym_preproc_include_token1] = ACTIONS(2726),
    [aux_sym_preproc_include_token2] = ACTIONS(2726),
    [aux_sym_preproc_def_token1] = ACTIONS(2726),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_if_token2] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2726),
    [aux_sym_preproc_else_token1] = ACTIONS(2726),
    [aux_sym_preproc_elif_token1] = ACTIONS(2726),
    [sym_preproc_directive] = ACTIONS(2726),
    [anon_sym_LPAREN2] = ACTIONS(2728),
    [anon_sym_BANG] = ACTIONS(2728),
    [anon_sym_TILDE] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2726),
    [anon_sym_STAR] = ACTIONS(2728),
    [anon_sym_CARET] = ACTIONS(2728),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_SEMI] = ACTIONS(2728),
    [anon_sym___extension__] = ACTIONS(2726),
    [anon_sym_typedef] = ACTIONS(2726),
    [anon_sym_extern] = ACTIONS(2726),
    [anon_sym___attribute__] = ACTIONS(2726),
    [anon_sym___attribute] = ACTIONS(2726),
    [anon_sym_noreturn] = ACTIONS(2726),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym___declspec] = ACTIONS(2726),
    [anon_sym___cdecl] = ACTIONS(2726),
    [anon_sym___clrcall] = ACTIONS(2726),
    [anon_sym___stdcall] = ACTIONS(2726),
    [anon_sym___fastcall] = ACTIONS(2726),
    [anon_sym___thiscall] = ACTIONS(2726),
    [anon_sym___vectorcall] = ACTIONS(2726),
    [anon_sym_LBRACE] = ACTIONS(2728),
    [anon_sym_signed] = ACTIONS(2726),
    [anon_sym_unsigned] = ACTIONS(2726),
    [anon_sym_long] = ACTIONS(2726),
    [anon_sym_short] = ACTIONS(2726),
    [anon_sym_static] = ACTIONS(2726),
    [anon_sym_ATautoreleasepool] = ACTIONS(2728),
    [anon_sym_auto] = ACTIONS(2726),
    [anon_sym_register] = ACTIONS(2726),
    [anon_sym_inline] = ACTIONS(2726),
    [anon_sym___inline] = ACTIONS(2726),
    [anon_sym___inline__] = ACTIONS(2726),
    [anon_sym___forceinline] = ACTIONS(2726),
    [anon_sym_thread_local] = ACTIONS(2726),
    [anon_sym___thread] = ACTIONS(2726),
    [anon_sym_CG_EXTERN] = ACTIONS(2726),
    [anon_sym_CG_INLINE] = ACTIONS(2726),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2726),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2726),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2726),
    [anon_sym_IBOutlet] = ACTIONS(2726),
    [anon_sym_IBInspectable] = ACTIONS(2726),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2726),
    [anon_sym_NS_INLINE] = ACTIONS(2726),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2726),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2726),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2726),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2726),
    [anon_sym_const] = ACTIONS(2726),
    [anon_sym_constexpr] = ACTIONS(2726),
    [anon_sym_volatile] = ACTIONS(2726),
    [anon_sym_restrict] = ACTIONS(2726),
    [anon_sym___restrict__] = ACTIONS(2726),
    [anon_sym__Atomic] = ACTIONS(2726),
    [anon_sym__Noreturn] = ACTIONS(2726),
    [anon_sym__Nonnull] = ACTIONS(2726),
    [anon_sym_nullable] = ACTIONS(2726),
    [anon_sym__Complex] = ACTIONS(2726),
    [anon_sym__Nullable] = ACTIONS(2726),
    [anon_sym__Nullable_result] = ACTIONS(2726),
    [anon_sym__Null_unspecified] = ACTIONS(2726),
    [anon_sym___autoreleasing] = ACTIONS(2726),
    [anon_sym___block] = ACTIONS(2726),
    [anon_sym___bridge] = ACTIONS(2726),
    [anon_sym___bridge_retained] = ACTIONS(2726),
    [anon_sym___bridge_transfer] = ACTIONS(2726),
    [anon_sym___complex] = ACTIONS(2726),
    [anon_sym___const] = ACTIONS(2726),
    [anon_sym___imag] = ACTIONS(2726),
    [anon_sym___kindof] = ACTIONS(2726),
    [anon_sym___nonnull] = ACTIONS(2726),
    [anon_sym___nullable] = ACTIONS(2726),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2726),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2726),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2726),
    [anon_sym___real] = ACTIONS(2726),
    [anon_sym___strong] = ACTIONS(2726),
    [anon_sym___unsafe_unretained] = ACTIONS(2726),
    [anon_sym___unused] = ACTIONS(2726),
    [anon_sym___weak] = ACTIONS(2726),
    [anon_sym_alignas] = ACTIONS(2726),
    [anon_sym__Alignas] = ACTIONS(2726),
    [sym_primitive_type] = ACTIONS(2726),
    [anon_sym_enum] = ACTIONS(2726),
    [anon_sym_struct] = ACTIONS(2726),
    [anon_sym_union] = ACTIONS(2726),
    [anon_sym_if] = ACTIONS(2726),
    [anon_sym_switch] = ACTIONS(2726),
    [anon_sym_case] = ACTIONS(2726),
    [anon_sym_default] = ACTIONS(2726),
    [anon_sym_while] = ACTIONS(2726),
    [anon_sym_do] = ACTIONS(2726),
    [anon_sym_for] = ACTIONS(2726),
    [anon_sym_in] = ACTIONS(2726),
    [anon_sym_return] = ACTIONS(2726),
    [anon_sym_break] = ACTIONS(2726),
    [anon_sym_continue] = ACTIONS(2726),
    [anon_sym_goto] = ACTIONS(2726),
    [anon_sym_DASH_DASH] = ACTIONS(2728),
    [anon_sym_PLUS_PLUS] = ACTIONS(2728),
    [anon_sym_sizeof] = ACTIONS(2726),
    [anon_sym___alignof__] = ACTIONS(2726),
    [anon_sym___alignof] = ACTIONS(2726),
    [anon_sym__alignof] = ACTIONS(2726),
    [anon_sym_alignof] = ACTIONS(2726),
    [anon_sym__Alignof] = ACTIONS(2726),
    [anon_sym_offsetof] = ACTIONS(2726),
    [anon_sym__Generic] = ACTIONS(2726),
    [anon_sym_asm] = ACTIONS(2726),
    [anon_sym___asm__] = ACTIONS(2726),
    [anon_sym___asm] = ACTIONS(2726),
    [sym_number_literal] = ACTIONS(2728),
    [anon_sym_L_SQUOTE] = ACTIONS(2728),
    [anon_sym_u_SQUOTE] = ACTIONS(2728),
    [anon_sym_U_SQUOTE] = ACTIONS(2728),
    [anon_sym_u8_SQUOTE] = ACTIONS(2728),
    [anon_sym_SQUOTE] = ACTIONS(2728),
    [anon_sym_AT] = ACTIONS(2726),
    [anon_sym_DQUOTE] = ACTIONS(2728),
    [anon_sym_L_DQUOTE] = ACTIONS(2728),
    [anon_sym_u_DQUOTE] = ACTIONS(2728),
    [anon_sym_U_DQUOTE] = ACTIONS(2728),
    [anon_sym_u8_DQUOTE] = ACTIONS(2728),
    [sym_true] = ACTIONS(2726),
    [sym_false] = ACTIONS(2726),
    [anon_sym_NULL] = ACTIONS(2726),
    [anon_sym_nullptr] = ACTIONS(2726),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2726),
    [anon_sym___typeof] = ACTIONS(2726),
    [anon_sym_typeof] = ACTIONS(2726),
    [anon_sym_ATimport] = ACTIONS(2728),
    [aux_sym_preproc_undef_token1] = ACTIONS(2726),
    [anon_sym_POUND] = ACTIONS(2726),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2726),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2726),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2726),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2726),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2726),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2726),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2726),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2726),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2726),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2726),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2726),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2726),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2726),
    [anon_sym_API_AVAILABLE] = ACTIONS(2726),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2726),
    [anon_sym_API_DEPRECATED] = ACTIONS(2726),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2726),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2726),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2726),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2726),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2726),
    [anon_sym___deprecated_msg] = ACTIONS(2726),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2726),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2726),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2726),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2726),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2726),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2726),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2726),
    [anon_sym_ATprotocol] = ACTIONS(2728),
    [anon_sym_ATinterface] = ACTIONS(2728),
    [anon_sym_ATimplementation] = ACTIONS(2728),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2728),
    [anon_sym_ATsynthesize] = ACTIONS(2728),
    [anon_sym_ATdynamic] = ACTIONS(2728),
    [anon_sym_ATtry] = ACTIONS(2728),
    [anon_sym___try] = ACTIONS(2726),
    [anon_sym_ATthrow] = ACTIONS(2728),
    [anon_sym_ATselector] = ACTIONS(2728),
    [anon_sym_ATavailable] = ACTIONS(2728),
    [anon_sym___builtin_available] = ACTIONS(2726),
    [anon_sym_va_arg] = ACTIONS(2726),
    [anon_sym_ATencode] = ACTIONS(2728),
    [anon_sym_ATsynchronized] = ACTIONS(2728),
    [anon_sym_BOOL] = ACTIONS(2726),
    [anon_sym_IMP] = ACTIONS(2726),
    [anon_sym_SEL] = ACTIONS(2726),
    [anon_sym_Class] = ACTIONS(2726),
    [anon_sym_id] = ACTIONS(2726),
  },
  [521] = {
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_include_token1] = ACTIONS(2816),
    [aux_sym_preproc_include_token2] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token2] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [aux_sym_preproc_else_token1] = ACTIONS(2816),
    [aux_sym_preproc_elif_token1] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_SEMI] = ACTIONS(2818),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym___attribute] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___cdecl] = ACTIONS(2816),
    [anon_sym___clrcall] = ACTIONS(2816),
    [anon_sym___stdcall] = ACTIONS(2816),
    [anon_sym___fastcall] = ACTIONS(2816),
    [anon_sym___thiscall] = ACTIONS(2816),
    [anon_sym___vectorcall] = ACTIONS(2816),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_ATautoreleasepool] = ACTIONS(2818),
    [anon_sym_auto] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_CG_EXTERN] = ACTIONS(2816),
    [anon_sym_CG_INLINE] = ACTIONS(2816),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2816),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2816),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2816),
    [anon_sym_IBOutlet] = ACTIONS(2816),
    [anon_sym_IBInspectable] = ACTIONS(2816),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2816),
    [anon_sym_NS_INLINE] = ACTIONS(2816),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2816),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2816),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2816),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym__Nonnull] = ACTIONS(2816),
    [anon_sym_nullable] = ACTIONS(2816),
    [anon_sym__Complex] = ACTIONS(2816),
    [anon_sym__Nullable] = ACTIONS(2816),
    [anon_sym__Nullable_result] = ACTIONS(2816),
    [anon_sym__Null_unspecified] = ACTIONS(2816),
    [anon_sym___autoreleasing] = ACTIONS(2816),
    [anon_sym___block] = ACTIONS(2816),
    [anon_sym___bridge] = ACTIONS(2816),
    [anon_sym___bridge_retained] = ACTIONS(2816),
    [anon_sym___bridge_transfer] = ACTIONS(2816),
    [anon_sym___complex] = ACTIONS(2816),
    [anon_sym___const] = ACTIONS(2816),
    [anon_sym___imag] = ACTIONS(2816),
    [anon_sym___kindof] = ACTIONS(2816),
    [anon_sym___nonnull] = ACTIONS(2816),
    [anon_sym___nullable] = ACTIONS(2816),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2816),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2816),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2816),
    [anon_sym___real] = ACTIONS(2816),
    [anon_sym___strong] = ACTIONS(2816),
    [anon_sym___unsafe_unretained] = ACTIONS(2816),
    [anon_sym___unused] = ACTIONS(2816),
    [anon_sym___weak] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [anon_sym_if] = ACTIONS(2816),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_case] = ACTIONS(2816),
    [anon_sym_default] = ACTIONS(2816),
    [anon_sym_while] = ACTIONS(2816),
    [anon_sym_do] = ACTIONS(2816),
    [anon_sym_for] = ACTIONS(2816),
    [anon_sym_in] = ACTIONS(2816),
    [anon_sym_return] = ACTIONS(2816),
    [anon_sym_break] = ACTIONS(2816),
    [anon_sym_continue] = ACTIONS(2816),
    [anon_sym_goto] = ACTIONS(2816),
    [anon_sym_DASH_DASH] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2818),
    [anon_sym_sizeof] = ACTIONS(2816),
    [anon_sym___alignof__] = ACTIONS(2816),
    [anon_sym___alignof] = ACTIONS(2816),
    [anon_sym__alignof] = ACTIONS(2816),
    [anon_sym_alignof] = ACTIONS(2816),
    [anon_sym__Alignof] = ACTIONS(2816),
    [anon_sym_offsetof] = ACTIONS(2816),
    [anon_sym__Generic] = ACTIONS(2816),
    [anon_sym_asm] = ACTIONS(2816),
    [anon_sym___asm__] = ACTIONS(2816),
    [anon_sym___asm] = ACTIONS(2816),
    [sym_number_literal] = ACTIONS(2818),
    [anon_sym_L_SQUOTE] = ACTIONS(2818),
    [anon_sym_u_SQUOTE] = ACTIONS(2818),
    [anon_sym_U_SQUOTE] = ACTIONS(2818),
    [anon_sym_u8_SQUOTE] = ACTIONS(2818),
    [anon_sym_SQUOTE] = ACTIONS(2818),
    [anon_sym_AT] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2818),
    [anon_sym_L_DQUOTE] = ACTIONS(2818),
    [anon_sym_u_DQUOTE] = ACTIONS(2818),
    [anon_sym_U_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8_DQUOTE] = ACTIONS(2818),
    [sym_true] = ACTIONS(2816),
    [sym_false] = ACTIONS(2816),
    [anon_sym_NULL] = ACTIONS(2816),
    [anon_sym_nullptr] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2816),
    [anon_sym___typeof] = ACTIONS(2816),
    [anon_sym_typeof] = ACTIONS(2816),
    [anon_sym_ATimport] = ACTIONS(2818),
    [aux_sym_preproc_undef_token1] = ACTIONS(2816),
    [anon_sym_POUND] = ACTIONS(2816),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2816),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2816),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2816),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2816),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2816),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2816),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2816),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2816),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2816),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2816),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2816),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2816),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2816),
    [anon_sym_API_AVAILABLE] = ACTIONS(2816),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2816),
    [anon_sym_API_DEPRECATED] = ACTIONS(2816),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2816),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2816),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2816),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2816),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2816),
    [anon_sym___deprecated_msg] = ACTIONS(2816),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2816),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2816),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2816),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2816),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2816),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2816),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2816),
    [anon_sym_ATprotocol] = ACTIONS(2818),
    [anon_sym_ATinterface] = ACTIONS(2818),
    [anon_sym_ATimplementation] = ACTIONS(2818),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2818),
    [anon_sym_ATsynthesize] = ACTIONS(2818),
    [anon_sym_ATdynamic] = ACTIONS(2818),
    [anon_sym_ATtry] = ACTIONS(2818),
    [anon_sym___try] = ACTIONS(2816),
    [anon_sym_ATthrow] = ACTIONS(2818),
    [anon_sym_ATselector] = ACTIONS(2818),
    [anon_sym_ATavailable] = ACTIONS(2818),
    [anon_sym___builtin_available] = ACTIONS(2816),
    [anon_sym_va_arg] = ACTIONS(2816),
    [anon_sym_ATencode] = ACTIONS(2818),
    [anon_sym_ATsynchronized] = ACTIONS(2818),
    [anon_sym_BOOL] = ACTIONS(2816),
    [anon_sym_IMP] = ACTIONS(2816),
    [anon_sym_SEL] = ACTIONS(2816),
    [anon_sym_Class] = ACTIONS(2816),
    [anon_sym_id] = ACTIONS(2816),
  },
  [522] = {
    [sym_identifier] = ACTIONS(2622),
    [aux_sym_preproc_include_token1] = ACTIONS(2622),
    [aux_sym_preproc_include_token2] = ACTIONS(2622),
    [aux_sym_preproc_def_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token2] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2622),
    [aux_sym_preproc_else_token1] = ACTIONS(2622),
    [aux_sym_preproc_elif_token1] = ACTIONS(2622),
    [sym_preproc_directive] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_CARET] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym___extension__] = ACTIONS(2622),
    [anon_sym_typedef] = ACTIONS(2622),
    [anon_sym_extern] = ACTIONS(2622),
    [anon_sym___attribute__] = ACTIONS(2622),
    [anon_sym___attribute] = ACTIONS(2622),
    [anon_sym_noreturn] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym___declspec] = ACTIONS(2622),
    [anon_sym___cdecl] = ACTIONS(2622),
    [anon_sym___clrcall] = ACTIONS(2622),
    [anon_sym___stdcall] = ACTIONS(2622),
    [anon_sym___fastcall] = ACTIONS(2622),
    [anon_sym___thiscall] = ACTIONS(2622),
    [anon_sym___vectorcall] = ACTIONS(2622),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_signed] = ACTIONS(2622),
    [anon_sym_unsigned] = ACTIONS(2622),
    [anon_sym_long] = ACTIONS(2622),
    [anon_sym_short] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_ATautoreleasepool] = ACTIONS(2624),
    [anon_sym_auto] = ACTIONS(2622),
    [anon_sym_register] = ACTIONS(2622),
    [anon_sym_inline] = ACTIONS(2622),
    [anon_sym___inline] = ACTIONS(2622),
    [anon_sym___inline__] = ACTIONS(2622),
    [anon_sym___forceinline] = ACTIONS(2622),
    [anon_sym_thread_local] = ACTIONS(2622),
    [anon_sym___thread] = ACTIONS(2622),
    [anon_sym_CG_EXTERN] = ACTIONS(2622),
    [anon_sym_CG_INLINE] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2622),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2622),
    [anon_sym_IBOutlet] = ACTIONS(2622),
    [anon_sym_IBInspectable] = ACTIONS(2622),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2622),
    [anon_sym_NS_INLINE] = ACTIONS(2622),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2622),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2622),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_constexpr] = ACTIONS(2622),
    [anon_sym_volatile] = ACTIONS(2622),
    [anon_sym_restrict] = ACTIONS(2622),
    [anon_sym___restrict__] = ACTIONS(2622),
    [anon_sym__Atomic] = ACTIONS(2622),
    [anon_sym__Noreturn] = ACTIONS(2622),
    [anon_sym__Nonnull] = ACTIONS(2622),
    [anon_sym_nullable] = ACTIONS(2622),
    [anon_sym__Complex] = ACTIONS(2622),
    [anon_sym__Nullable] = ACTIONS(2622),
    [anon_sym__Nullable_result] = ACTIONS(2622),
    [anon_sym__Null_unspecified] = ACTIONS(2622),
    [anon_sym___autoreleasing] = ACTIONS(2622),
    [anon_sym___block] = ACTIONS(2622),
    [anon_sym___bridge] = ACTIONS(2622),
    [anon_sym___bridge_retained] = ACTIONS(2622),
    [anon_sym___bridge_transfer] = ACTIONS(2622),
    [anon_sym___complex] = ACTIONS(2622),
    [anon_sym___const] = ACTIONS(2622),
    [anon_sym___imag] = ACTIONS(2622),
    [anon_sym___kindof] = ACTIONS(2622),
    [anon_sym___nonnull] = ACTIONS(2622),
    [anon_sym___nullable] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2622),
    [anon_sym___real] = ACTIONS(2622),
    [anon_sym___strong] = ACTIONS(2622),
    [anon_sym___unsafe_unretained] = ACTIONS(2622),
    [anon_sym___unused] = ACTIONS(2622),
    [anon_sym___weak] = ACTIONS(2622),
    [anon_sym_alignas] = ACTIONS(2622),
    [anon_sym__Alignas] = ACTIONS(2622),
    [sym_primitive_type] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [anon_sym_struct] = ACTIONS(2622),
    [anon_sym_union] = ACTIONS(2622),
    [anon_sym_if] = ACTIONS(2622),
    [anon_sym_switch] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2622),
    [anon_sym_default] = ACTIONS(2622),
    [anon_sym_while] = ACTIONS(2622),
    [anon_sym_do] = ACTIONS(2622),
    [anon_sym_for] = ACTIONS(2622),
    [anon_sym_in] = ACTIONS(2622),
    [anon_sym_return] = ACTIONS(2622),
    [anon_sym_break] = ACTIONS(2622),
    [anon_sym_continue] = ACTIONS(2622),
    [anon_sym_goto] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_sizeof] = ACTIONS(2622),
    [anon_sym___alignof__] = ACTIONS(2622),
    [anon_sym___alignof] = ACTIONS(2622),
    [anon_sym__alignof] = ACTIONS(2622),
    [anon_sym_alignof] = ACTIONS(2622),
    [anon_sym__Alignof] = ACTIONS(2622),
    [anon_sym_offsetof] = ACTIONS(2622),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2622),
    [anon_sym___asm__] = ACTIONS(2622),
    [anon_sym___asm] = ACTIONS(2622),
    [sym_number_literal] = ACTIONS(2624),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2624),
    [anon_sym_u_DQUOTE] = ACTIONS(2624),
    [anon_sym_U_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8_DQUOTE] = ACTIONS(2624),
    [sym_true] = ACTIONS(2622),
    [sym_false] = ACTIONS(2622),
    [anon_sym_NULL] = ACTIONS(2622),
    [anon_sym_nullptr] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2622),
    [anon_sym___typeof] = ACTIONS(2622),
    [anon_sym_typeof] = ACTIONS(2622),
    [anon_sym_ATimport] = ACTIONS(2624),
    [aux_sym_preproc_undef_token1] = ACTIONS(2622),
    [anon_sym_POUND] = ACTIONS(2622),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2622),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2622),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2622),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_API_AVAILABLE] = ACTIONS(2622),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_API_DEPRECATED] = ACTIONS(2622),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym___deprecated_msg] = ACTIONS(2622),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2622),
    [anon_sym_ATprotocol] = ACTIONS(2624),
    [anon_sym_ATinterface] = ACTIONS(2624),
    [anon_sym_ATimplementation] = ACTIONS(2624),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2624),
    [anon_sym_ATsynthesize] = ACTIONS(2624),
    [anon_sym_ATdynamic] = ACTIONS(2624),
    [anon_sym_ATtry] = ACTIONS(2624),
    [anon_sym___try] = ACTIONS(2622),
    [anon_sym_ATthrow] = ACTIONS(2624),
    [anon_sym_ATselector] = ACTIONS(2624),
    [anon_sym_ATavailable] = ACTIONS(2624),
    [anon_sym___builtin_available] = ACTIONS(2622),
    [anon_sym_va_arg] = ACTIONS(2622),
    [anon_sym_ATencode] = ACTIONS(2624),
    [anon_sym_ATsynchronized] = ACTIONS(2624),
    [anon_sym_BOOL] = ACTIONS(2622),
    [anon_sym_IMP] = ACTIONS(2622),
    [anon_sym_SEL] = ACTIONS(2622),
    [anon_sym_Class] = ACTIONS(2622),
    [anon_sym_id] = ACTIONS(2622),
  },
  [523] = {
    [sym_identifier] = ACTIONS(2806),
    [aux_sym_preproc_include_token1] = ACTIONS(2806),
    [aux_sym_preproc_include_token2] = ACTIONS(2806),
    [aux_sym_preproc_def_token1] = ACTIONS(2806),
    [aux_sym_preproc_if_token1] = ACTIONS(2806),
    [aux_sym_preproc_if_token2] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2806),
    [aux_sym_preproc_else_token1] = ACTIONS(2806),
    [aux_sym_preproc_elif_token1] = ACTIONS(2806),
    [sym_preproc_directive] = ACTIONS(2806),
    [anon_sym_LPAREN2] = ACTIONS(2808),
    [anon_sym_BANG] = ACTIONS(2808),
    [anon_sym_TILDE] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2806),
    [anon_sym_PLUS] = ACTIONS(2806),
    [anon_sym_STAR] = ACTIONS(2808),
    [anon_sym_CARET] = ACTIONS(2808),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym_SEMI] = ACTIONS(2808),
    [anon_sym___extension__] = ACTIONS(2806),
    [anon_sym_typedef] = ACTIONS(2806),
    [anon_sym_extern] = ACTIONS(2806),
    [anon_sym___attribute__] = ACTIONS(2806),
    [anon_sym___attribute] = ACTIONS(2806),
    [anon_sym_noreturn] = ACTIONS(2806),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym___declspec] = ACTIONS(2806),
    [anon_sym___cdecl] = ACTIONS(2806),
    [anon_sym___clrcall] = ACTIONS(2806),
    [anon_sym___stdcall] = ACTIONS(2806),
    [anon_sym___fastcall] = ACTIONS(2806),
    [anon_sym___thiscall] = ACTIONS(2806),
    [anon_sym___vectorcall] = ACTIONS(2806),
    [anon_sym_LBRACE] = ACTIONS(2808),
    [anon_sym_signed] = ACTIONS(2806),
    [anon_sym_unsigned] = ACTIONS(2806),
    [anon_sym_long] = ACTIONS(2806),
    [anon_sym_short] = ACTIONS(2806),
    [anon_sym_static] = ACTIONS(2806),
    [anon_sym_ATautoreleasepool] = ACTIONS(2808),
    [anon_sym_auto] = ACTIONS(2806),
    [anon_sym_register] = ACTIONS(2806),
    [anon_sym_inline] = ACTIONS(2806),
    [anon_sym___inline] = ACTIONS(2806),
    [anon_sym___inline__] = ACTIONS(2806),
    [anon_sym___forceinline] = ACTIONS(2806),
    [anon_sym_thread_local] = ACTIONS(2806),
    [anon_sym___thread] = ACTIONS(2806),
    [anon_sym_CG_EXTERN] = ACTIONS(2806),
    [anon_sym_CG_INLINE] = ACTIONS(2806),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2806),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2806),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2806),
    [anon_sym_IBOutlet] = ACTIONS(2806),
    [anon_sym_IBInspectable] = ACTIONS(2806),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2806),
    [anon_sym_NS_INLINE] = ACTIONS(2806),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2806),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2806),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2806),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2806),
    [anon_sym_const] = ACTIONS(2806),
    [anon_sym_constexpr] = ACTIONS(2806),
    [anon_sym_volatile] = ACTIONS(2806),
    [anon_sym_restrict] = ACTIONS(2806),
    [anon_sym___restrict__] = ACTIONS(2806),
    [anon_sym__Atomic] = ACTIONS(2806),
    [anon_sym__Noreturn] = ACTIONS(2806),
    [anon_sym__Nonnull] = ACTIONS(2806),
    [anon_sym_nullable] = ACTIONS(2806),
    [anon_sym__Complex] = ACTIONS(2806),
    [anon_sym__Nullable] = ACTIONS(2806),
    [anon_sym__Nullable_result] = ACTIONS(2806),
    [anon_sym__Null_unspecified] = ACTIONS(2806),
    [anon_sym___autoreleasing] = ACTIONS(2806),
    [anon_sym___block] = ACTIONS(2806),
    [anon_sym___bridge] = ACTIONS(2806),
    [anon_sym___bridge_retained] = ACTIONS(2806),
    [anon_sym___bridge_transfer] = ACTIONS(2806),
    [anon_sym___complex] = ACTIONS(2806),
    [anon_sym___const] = ACTIONS(2806),
    [anon_sym___imag] = ACTIONS(2806),
    [anon_sym___kindof] = ACTIONS(2806),
    [anon_sym___nonnull] = ACTIONS(2806),
    [anon_sym___nullable] = ACTIONS(2806),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2806),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2806),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2806),
    [anon_sym___real] = ACTIONS(2806),
    [anon_sym___strong] = ACTIONS(2806),
    [anon_sym___unsafe_unretained] = ACTIONS(2806),
    [anon_sym___unused] = ACTIONS(2806),
    [anon_sym___weak] = ACTIONS(2806),
    [anon_sym_alignas] = ACTIONS(2806),
    [anon_sym__Alignas] = ACTIONS(2806),
    [sym_primitive_type] = ACTIONS(2806),
    [anon_sym_enum] = ACTIONS(2806),
    [anon_sym_struct] = ACTIONS(2806),
    [anon_sym_union] = ACTIONS(2806),
    [anon_sym_if] = ACTIONS(2806),
    [anon_sym_switch] = ACTIONS(2806),
    [anon_sym_case] = ACTIONS(2806),
    [anon_sym_default] = ACTIONS(2806),
    [anon_sym_while] = ACTIONS(2806),
    [anon_sym_do] = ACTIONS(2806),
    [anon_sym_for] = ACTIONS(2806),
    [anon_sym_in] = ACTIONS(2806),
    [anon_sym_return] = ACTIONS(2806),
    [anon_sym_break] = ACTIONS(2806),
    [anon_sym_continue] = ACTIONS(2806),
    [anon_sym_goto] = ACTIONS(2806),
    [anon_sym_DASH_DASH] = ACTIONS(2808),
    [anon_sym_PLUS_PLUS] = ACTIONS(2808),
    [anon_sym_sizeof] = ACTIONS(2806),
    [anon_sym___alignof__] = ACTIONS(2806),
    [anon_sym___alignof] = ACTIONS(2806),
    [anon_sym__alignof] = ACTIONS(2806),
    [anon_sym_alignof] = ACTIONS(2806),
    [anon_sym__Alignof] = ACTIONS(2806),
    [anon_sym_offsetof] = ACTIONS(2806),
    [anon_sym__Generic] = ACTIONS(2806),
    [anon_sym_asm] = ACTIONS(2806),
    [anon_sym___asm__] = ACTIONS(2806),
    [anon_sym___asm] = ACTIONS(2806),
    [sym_number_literal] = ACTIONS(2808),
    [anon_sym_L_SQUOTE] = ACTIONS(2808),
    [anon_sym_u_SQUOTE] = ACTIONS(2808),
    [anon_sym_U_SQUOTE] = ACTIONS(2808),
    [anon_sym_u8_SQUOTE] = ACTIONS(2808),
    [anon_sym_SQUOTE] = ACTIONS(2808),
    [anon_sym_AT] = ACTIONS(2806),
    [anon_sym_DQUOTE] = ACTIONS(2808),
    [anon_sym_L_DQUOTE] = ACTIONS(2808),
    [anon_sym_u_DQUOTE] = ACTIONS(2808),
    [anon_sym_U_DQUOTE] = ACTIONS(2808),
    [anon_sym_u8_DQUOTE] = ACTIONS(2808),
    [sym_true] = ACTIONS(2806),
    [sym_false] = ACTIONS(2806),
    [anon_sym_NULL] = ACTIONS(2806),
    [anon_sym_nullptr] = ACTIONS(2806),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2806),
    [anon_sym___typeof] = ACTIONS(2806),
    [anon_sym_typeof] = ACTIONS(2806),
    [anon_sym_ATimport] = ACTIONS(2808),
    [aux_sym_preproc_undef_token1] = ACTIONS(2806),
    [anon_sym_POUND] = ACTIONS(2806),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2806),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2806),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2806),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2806),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2806),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2806),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2806),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2806),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2806),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2806),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2806),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2806),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2806),
    [anon_sym_API_AVAILABLE] = ACTIONS(2806),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2806),
    [anon_sym_API_DEPRECATED] = ACTIONS(2806),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2806),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2806),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2806),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2806),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2806),
    [anon_sym___deprecated_msg] = ACTIONS(2806),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2806),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2806),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2806),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2806),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2806),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2806),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2806),
    [anon_sym_ATprotocol] = ACTIONS(2808),
    [anon_sym_ATinterface] = ACTIONS(2808),
    [anon_sym_ATimplementation] = ACTIONS(2808),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2808),
    [anon_sym_ATsynthesize] = ACTIONS(2808),
    [anon_sym_ATdynamic] = ACTIONS(2808),
    [anon_sym_ATtry] = ACTIONS(2808),
    [anon_sym___try] = ACTIONS(2806),
    [anon_sym_ATthrow] = ACTIONS(2808),
    [anon_sym_ATselector] = ACTIONS(2808),
    [anon_sym_ATavailable] = ACTIONS(2808),
    [anon_sym___builtin_available] = ACTIONS(2806),
    [anon_sym_va_arg] = ACTIONS(2806),
    [anon_sym_ATencode] = ACTIONS(2808),
    [anon_sym_ATsynchronized] = ACTIONS(2808),
    [anon_sym_BOOL] = ACTIONS(2806),
    [anon_sym_IMP] = ACTIONS(2806),
    [anon_sym_SEL] = ACTIONS(2806),
    [anon_sym_Class] = ACTIONS(2806),
    [anon_sym_id] = ACTIONS(2806),
  },
  [524] = {
    [sym_identifier] = ACTIONS(2864),
    [aux_sym_preproc_include_token1] = ACTIONS(2864),
    [aux_sym_preproc_include_token2] = ACTIONS(2864),
    [aux_sym_preproc_def_token1] = ACTIONS(2864),
    [aux_sym_preproc_if_token1] = ACTIONS(2864),
    [aux_sym_preproc_if_token2] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2864),
    [aux_sym_preproc_else_token1] = ACTIONS(2864),
    [aux_sym_preproc_elif_token1] = ACTIONS(2864),
    [sym_preproc_directive] = ACTIONS(2864),
    [anon_sym_LPAREN2] = ACTIONS(2866),
    [anon_sym_BANG] = ACTIONS(2866),
    [anon_sym_TILDE] = ACTIONS(2866),
    [anon_sym_DASH] = ACTIONS(2864),
    [anon_sym_PLUS] = ACTIONS(2864),
    [anon_sym_STAR] = ACTIONS(2866),
    [anon_sym_CARET] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(2866),
    [anon_sym_SEMI] = ACTIONS(2866),
    [anon_sym___extension__] = ACTIONS(2864),
    [anon_sym_typedef] = ACTIONS(2864),
    [anon_sym_extern] = ACTIONS(2864),
    [anon_sym___attribute__] = ACTIONS(2864),
    [anon_sym___attribute] = ACTIONS(2864),
    [anon_sym_noreturn] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym___declspec] = ACTIONS(2864),
    [anon_sym___cdecl] = ACTIONS(2864),
    [anon_sym___clrcall] = ACTIONS(2864),
    [anon_sym___stdcall] = ACTIONS(2864),
    [anon_sym___fastcall] = ACTIONS(2864),
    [anon_sym___thiscall] = ACTIONS(2864),
    [anon_sym___vectorcall] = ACTIONS(2864),
    [anon_sym_LBRACE] = ACTIONS(2866),
    [anon_sym_signed] = ACTIONS(2864),
    [anon_sym_unsigned] = ACTIONS(2864),
    [anon_sym_long] = ACTIONS(2864),
    [anon_sym_short] = ACTIONS(2864),
    [anon_sym_static] = ACTIONS(2864),
    [anon_sym_ATautoreleasepool] = ACTIONS(2866),
    [anon_sym_auto] = ACTIONS(2864),
    [anon_sym_register] = ACTIONS(2864),
    [anon_sym_inline] = ACTIONS(2864),
    [anon_sym___inline] = ACTIONS(2864),
    [anon_sym___inline__] = ACTIONS(2864),
    [anon_sym___forceinline] = ACTIONS(2864),
    [anon_sym_thread_local] = ACTIONS(2864),
    [anon_sym___thread] = ACTIONS(2864),
    [anon_sym_CG_EXTERN] = ACTIONS(2864),
    [anon_sym_CG_INLINE] = ACTIONS(2864),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2864),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2864),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2864),
    [anon_sym_IBOutlet] = ACTIONS(2864),
    [anon_sym_IBInspectable] = ACTIONS(2864),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2864),
    [anon_sym_NS_INLINE] = ACTIONS(2864),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2864),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2864),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2864),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2864),
    [anon_sym_const] = ACTIONS(2864),
    [anon_sym_constexpr] = ACTIONS(2864),
    [anon_sym_volatile] = ACTIONS(2864),
    [anon_sym_restrict] = ACTIONS(2864),
    [anon_sym___restrict__] = ACTIONS(2864),
    [anon_sym__Atomic] = ACTIONS(2864),
    [anon_sym__Noreturn] = ACTIONS(2864),
    [anon_sym__Nonnull] = ACTIONS(2864),
    [anon_sym_nullable] = ACTIONS(2864),
    [anon_sym__Complex] = ACTIONS(2864),
    [anon_sym__Nullable] = ACTIONS(2864),
    [anon_sym__Nullable_result] = ACTIONS(2864),
    [anon_sym__Null_unspecified] = ACTIONS(2864),
    [anon_sym___autoreleasing] = ACTIONS(2864),
    [anon_sym___block] = ACTIONS(2864),
    [anon_sym___bridge] = ACTIONS(2864),
    [anon_sym___bridge_retained] = ACTIONS(2864),
    [anon_sym___bridge_transfer] = ACTIONS(2864),
    [anon_sym___complex] = ACTIONS(2864),
    [anon_sym___const] = ACTIONS(2864),
    [anon_sym___imag] = ACTIONS(2864),
    [anon_sym___kindof] = ACTIONS(2864),
    [anon_sym___nonnull] = ACTIONS(2864),
    [anon_sym___nullable] = ACTIONS(2864),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2864),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2864),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2864),
    [anon_sym___real] = ACTIONS(2864),
    [anon_sym___strong] = ACTIONS(2864),
    [anon_sym___unsafe_unretained] = ACTIONS(2864),
    [anon_sym___unused] = ACTIONS(2864),
    [anon_sym___weak] = ACTIONS(2864),
    [anon_sym_alignas] = ACTIONS(2864),
    [anon_sym__Alignas] = ACTIONS(2864),
    [sym_primitive_type] = ACTIONS(2864),
    [anon_sym_enum] = ACTIONS(2864),
    [anon_sym_struct] = ACTIONS(2864),
    [anon_sym_union] = ACTIONS(2864),
    [anon_sym_if] = ACTIONS(2864),
    [anon_sym_switch] = ACTIONS(2864),
    [anon_sym_case] = ACTIONS(2864),
    [anon_sym_default] = ACTIONS(2864),
    [anon_sym_while] = ACTIONS(2864),
    [anon_sym_do] = ACTIONS(2864),
    [anon_sym_for] = ACTIONS(2864),
    [anon_sym_in] = ACTIONS(2864),
    [anon_sym_return] = ACTIONS(2864),
    [anon_sym_break] = ACTIONS(2864),
    [anon_sym_continue] = ACTIONS(2864),
    [anon_sym_goto] = ACTIONS(2864),
    [anon_sym_DASH_DASH] = ACTIONS(2866),
    [anon_sym_PLUS_PLUS] = ACTIONS(2866),
    [anon_sym_sizeof] = ACTIONS(2864),
    [anon_sym___alignof__] = ACTIONS(2864),
    [anon_sym___alignof] = ACTIONS(2864),
    [anon_sym__alignof] = ACTIONS(2864),
    [anon_sym_alignof] = ACTIONS(2864),
    [anon_sym__Alignof] = ACTIONS(2864),
    [anon_sym_offsetof] = ACTIONS(2864),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2864),
    [anon_sym___asm__] = ACTIONS(2864),
    [anon_sym___asm] = ACTIONS(2864),
    [sym_number_literal] = ACTIONS(2866),
    [anon_sym_L_SQUOTE] = ACTIONS(2866),
    [anon_sym_u_SQUOTE] = ACTIONS(2866),
    [anon_sym_U_SQUOTE] = ACTIONS(2866),
    [anon_sym_u8_SQUOTE] = ACTIONS(2866),
    [anon_sym_SQUOTE] = ACTIONS(2866),
    [anon_sym_AT] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2866),
    [anon_sym_L_DQUOTE] = ACTIONS(2866),
    [anon_sym_u_DQUOTE] = ACTIONS(2866),
    [anon_sym_U_DQUOTE] = ACTIONS(2866),
    [anon_sym_u8_DQUOTE] = ACTIONS(2866),
    [sym_true] = ACTIONS(2864),
    [sym_false] = ACTIONS(2864),
    [anon_sym_NULL] = ACTIONS(2864),
    [anon_sym_nullptr] = ACTIONS(2864),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2864),
    [anon_sym___typeof] = ACTIONS(2864),
    [anon_sym_typeof] = ACTIONS(2864),
    [anon_sym_ATimport] = ACTIONS(2866),
    [aux_sym_preproc_undef_token1] = ACTIONS(2864),
    [anon_sym_POUND] = ACTIONS(2864),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2864),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2864),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2864),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2864),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2864),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2864),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2864),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2864),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2864),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2864),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2864),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2864),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2864),
    [anon_sym_API_AVAILABLE] = ACTIONS(2864),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2864),
    [anon_sym_API_DEPRECATED] = ACTIONS(2864),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2864),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2864),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2864),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2864),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2864),
    [anon_sym___deprecated_msg] = ACTIONS(2864),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2864),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2864),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2864),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2864),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2864),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2864),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2864),
    [anon_sym_ATprotocol] = ACTIONS(2866),
    [anon_sym_ATinterface] = ACTIONS(2866),
    [anon_sym_ATimplementation] = ACTIONS(2866),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2866),
    [anon_sym_ATsynthesize] = ACTIONS(2866),
    [anon_sym_ATdynamic] = ACTIONS(2866),
    [anon_sym_ATtry] = ACTIONS(2866),
    [anon_sym___try] = ACTIONS(2864),
    [anon_sym_ATthrow] = ACTIONS(2866),
    [anon_sym_ATselector] = ACTIONS(2866),
    [anon_sym_ATavailable] = ACTIONS(2866),
    [anon_sym___builtin_available] = ACTIONS(2864),
    [anon_sym_va_arg] = ACTIONS(2864),
    [anon_sym_ATencode] = ACTIONS(2866),
    [anon_sym_ATsynchronized] = ACTIONS(2866),
    [anon_sym_BOOL] = ACTIONS(2864),
    [anon_sym_IMP] = ACTIONS(2864),
    [anon_sym_SEL] = ACTIONS(2864),
    [anon_sym_Class] = ACTIONS(2864),
    [anon_sym_id] = ACTIONS(2864),
  },
  [525] = {
    [sym_identifier] = ACTIONS(2630),
    [aux_sym_preproc_include_token1] = ACTIONS(2630),
    [aux_sym_preproc_include_token2] = ACTIONS(2630),
    [aux_sym_preproc_def_token1] = ACTIONS(2630),
    [aux_sym_preproc_if_token1] = ACTIONS(2630),
    [aux_sym_preproc_if_token2] = ACTIONS(2630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2630),
    [aux_sym_preproc_else_token1] = ACTIONS(2630),
    [aux_sym_preproc_elif_token1] = ACTIONS(2630),
    [sym_preproc_directive] = ACTIONS(2630),
    [anon_sym_LPAREN2] = ACTIONS(2632),
    [anon_sym_BANG] = ACTIONS(2632),
    [anon_sym_TILDE] = ACTIONS(2632),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2632),
    [anon_sym_CARET] = ACTIONS(2632),
    [anon_sym_AMP] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2632),
    [anon_sym___extension__] = ACTIONS(2630),
    [anon_sym_typedef] = ACTIONS(2630),
    [anon_sym_extern] = ACTIONS(2630),
    [anon_sym___attribute__] = ACTIONS(2630),
    [anon_sym___attribute] = ACTIONS(2630),
    [anon_sym_noreturn] = ACTIONS(2630),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym___declspec] = ACTIONS(2630),
    [anon_sym___cdecl] = ACTIONS(2630),
    [anon_sym___clrcall] = ACTIONS(2630),
    [anon_sym___stdcall] = ACTIONS(2630),
    [anon_sym___fastcall] = ACTIONS(2630),
    [anon_sym___thiscall] = ACTIONS(2630),
    [anon_sym___vectorcall] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_signed] = ACTIONS(2630),
    [anon_sym_unsigned] = ACTIONS(2630),
    [anon_sym_long] = ACTIONS(2630),
    [anon_sym_short] = ACTIONS(2630),
    [anon_sym_static] = ACTIONS(2630),
    [anon_sym_ATautoreleasepool] = ACTIONS(2632),
    [anon_sym_auto] = ACTIONS(2630),
    [anon_sym_register] = ACTIONS(2630),
    [anon_sym_inline] = ACTIONS(2630),
    [anon_sym___inline] = ACTIONS(2630),
    [anon_sym___inline__] = ACTIONS(2630),
    [anon_sym___forceinline] = ACTIONS(2630),
    [anon_sym_thread_local] = ACTIONS(2630),
    [anon_sym___thread] = ACTIONS(2630),
    [anon_sym_CG_EXTERN] = ACTIONS(2630),
    [anon_sym_CG_INLINE] = ACTIONS(2630),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2630),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2630),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2630),
    [anon_sym_IBOutlet] = ACTIONS(2630),
    [anon_sym_IBInspectable] = ACTIONS(2630),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2630),
    [anon_sym_NS_INLINE] = ACTIONS(2630),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2630),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2630),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2630),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2630),
    [anon_sym_const] = ACTIONS(2630),
    [anon_sym_constexpr] = ACTIONS(2630),
    [anon_sym_volatile] = ACTIONS(2630),
    [anon_sym_restrict] = ACTIONS(2630),
    [anon_sym___restrict__] = ACTIONS(2630),
    [anon_sym__Atomic] = ACTIONS(2630),
    [anon_sym__Noreturn] = ACTIONS(2630),
    [anon_sym__Nonnull] = ACTIONS(2630),
    [anon_sym_nullable] = ACTIONS(2630),
    [anon_sym__Complex] = ACTIONS(2630),
    [anon_sym__Nullable] = ACTIONS(2630),
    [anon_sym__Nullable_result] = ACTIONS(2630),
    [anon_sym__Null_unspecified] = ACTIONS(2630),
    [anon_sym___autoreleasing] = ACTIONS(2630),
    [anon_sym___block] = ACTIONS(2630),
    [anon_sym___bridge] = ACTIONS(2630),
    [anon_sym___bridge_retained] = ACTIONS(2630),
    [anon_sym___bridge_transfer] = ACTIONS(2630),
    [anon_sym___complex] = ACTIONS(2630),
    [anon_sym___const] = ACTIONS(2630),
    [anon_sym___imag] = ACTIONS(2630),
    [anon_sym___kindof] = ACTIONS(2630),
    [anon_sym___nonnull] = ACTIONS(2630),
    [anon_sym___nullable] = ACTIONS(2630),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2630),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2630),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2630),
    [anon_sym___real] = ACTIONS(2630),
    [anon_sym___strong] = ACTIONS(2630),
    [anon_sym___unsafe_unretained] = ACTIONS(2630),
    [anon_sym___unused] = ACTIONS(2630),
    [anon_sym___weak] = ACTIONS(2630),
    [anon_sym_alignas] = ACTIONS(2630),
    [anon_sym__Alignas] = ACTIONS(2630),
    [sym_primitive_type] = ACTIONS(2630),
    [anon_sym_enum] = ACTIONS(2630),
    [anon_sym_struct] = ACTIONS(2630),
    [anon_sym_union] = ACTIONS(2630),
    [anon_sym_if] = ACTIONS(2630),
    [anon_sym_switch] = ACTIONS(2630),
    [anon_sym_case] = ACTIONS(2630),
    [anon_sym_default] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2630),
    [anon_sym_do] = ACTIONS(2630),
    [anon_sym_for] = ACTIONS(2630),
    [anon_sym_in] = ACTIONS(2630),
    [anon_sym_return] = ACTIONS(2630),
    [anon_sym_break] = ACTIONS(2630),
    [anon_sym_continue] = ACTIONS(2630),
    [anon_sym_goto] = ACTIONS(2630),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_sizeof] = ACTIONS(2630),
    [anon_sym___alignof__] = ACTIONS(2630),
    [anon_sym___alignof] = ACTIONS(2630),
    [anon_sym__alignof] = ACTIONS(2630),
    [anon_sym_alignof] = ACTIONS(2630),
    [anon_sym__Alignof] = ACTIONS(2630),
    [anon_sym_offsetof] = ACTIONS(2630),
    [anon_sym__Generic] = ACTIONS(2630),
    [anon_sym_asm] = ACTIONS(2630),
    [anon_sym___asm__] = ACTIONS(2630),
    [anon_sym___asm] = ACTIONS(2630),
    [sym_number_literal] = ACTIONS(2632),
    [anon_sym_L_SQUOTE] = ACTIONS(2632),
    [anon_sym_u_SQUOTE] = ACTIONS(2632),
    [anon_sym_U_SQUOTE] = ACTIONS(2632),
    [anon_sym_u8_SQUOTE] = ACTIONS(2632),
    [anon_sym_SQUOTE] = ACTIONS(2632),
    [anon_sym_AT] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2632),
    [anon_sym_L_DQUOTE] = ACTIONS(2632),
    [anon_sym_u_DQUOTE] = ACTIONS(2632),
    [anon_sym_U_DQUOTE] = ACTIONS(2632),
    [anon_sym_u8_DQUOTE] = ACTIONS(2632),
    [sym_true] = ACTIONS(2630),
    [sym_false] = ACTIONS(2630),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2630),
    [anon_sym___typeof] = ACTIONS(2630),
    [anon_sym_typeof] = ACTIONS(2630),
    [anon_sym_ATimport] = ACTIONS(2632),
    [aux_sym_preproc_undef_token1] = ACTIONS(2630),
    [anon_sym_POUND] = ACTIONS(2630),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2630),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2630),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2630),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2630),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2630),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2630),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2630),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2630),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2630),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2630),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2630),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2630),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2630),
    [anon_sym_API_AVAILABLE] = ACTIONS(2630),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2630),
    [anon_sym_API_DEPRECATED] = ACTIONS(2630),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2630),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2630),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2630),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2630),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2630),
    [anon_sym___deprecated_msg] = ACTIONS(2630),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2630),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2630),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2630),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2630),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2630),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2630),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2630),
    [anon_sym_ATprotocol] = ACTIONS(2632),
    [anon_sym_ATinterface] = ACTIONS(2632),
    [anon_sym_ATimplementation] = ACTIONS(2632),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2632),
    [anon_sym_ATsynthesize] = ACTIONS(2632),
    [anon_sym_ATdynamic] = ACTIONS(2632),
    [anon_sym_ATtry] = ACTIONS(2632),
    [anon_sym___try] = ACTIONS(2630),
    [anon_sym_ATthrow] = ACTIONS(2632),
    [anon_sym_ATselector] = ACTIONS(2632),
    [anon_sym_ATavailable] = ACTIONS(2632),
    [anon_sym___builtin_available] = ACTIONS(2630),
    [anon_sym_va_arg] = ACTIONS(2630),
    [anon_sym_ATencode] = ACTIONS(2632),
    [anon_sym_ATsynchronized] = ACTIONS(2632),
    [anon_sym_BOOL] = ACTIONS(2630),
    [anon_sym_IMP] = ACTIONS(2630),
    [anon_sym_SEL] = ACTIONS(2630),
    [anon_sym_Class] = ACTIONS(2630),
    [anon_sym_id] = ACTIONS(2630),
  },
  [526] = {
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_include_token1] = ACTIONS(2608),
    [aux_sym_preproc_include_token2] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token2] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [aux_sym_preproc_else_token1] = ACTIONS(2608),
    [aux_sym_preproc_elif_token1] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2611),
    [anon_sym_BANG] = ACTIONS(2611),
    [anon_sym_TILDE] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_STAR] = ACTIONS(2611),
    [anon_sym_CARET] = ACTIONS(2611),
    [anon_sym_AMP] = ACTIONS(2611),
    [anon_sym_SEMI] = ACTIONS(2611),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym___attribute] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___cdecl] = ACTIONS(2608),
    [anon_sym___clrcall] = ACTIONS(2608),
    [anon_sym___stdcall] = ACTIONS(2608),
    [anon_sym___fastcall] = ACTIONS(2608),
    [anon_sym___thiscall] = ACTIONS(2608),
    [anon_sym___vectorcall] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_ATautoreleasepool] = ACTIONS(2611),
    [anon_sym_auto] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_CG_EXTERN] = ACTIONS(2608),
    [anon_sym_CG_INLINE] = ACTIONS(2608),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2608),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2608),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2608),
    [anon_sym_IBOutlet] = ACTIONS(2608),
    [anon_sym_IBInspectable] = ACTIONS(2608),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2608),
    [anon_sym_NS_INLINE] = ACTIONS(2608),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2608),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2608),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2608),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym__Nonnull] = ACTIONS(2608),
    [anon_sym_nullable] = ACTIONS(2608),
    [anon_sym__Complex] = ACTIONS(2608),
    [anon_sym__Nullable] = ACTIONS(2608),
    [anon_sym__Nullable_result] = ACTIONS(2608),
    [anon_sym__Null_unspecified] = ACTIONS(2608),
    [anon_sym___autoreleasing] = ACTIONS(2608),
    [anon_sym___block] = ACTIONS(2608),
    [anon_sym___bridge] = ACTIONS(2608),
    [anon_sym___bridge_retained] = ACTIONS(2608),
    [anon_sym___bridge_transfer] = ACTIONS(2608),
    [anon_sym___complex] = ACTIONS(2608),
    [anon_sym___const] = ACTIONS(2608),
    [anon_sym___imag] = ACTIONS(2608),
    [anon_sym___kindof] = ACTIONS(2608),
    [anon_sym___nonnull] = ACTIONS(2608),
    [anon_sym___nullable] = ACTIONS(2608),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2608),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2608),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2608),
    [anon_sym___real] = ACTIONS(2608),
    [anon_sym___strong] = ACTIONS(2608),
    [anon_sym___unsafe_unretained] = ACTIONS(2608),
    [anon_sym___unused] = ACTIONS(2608),
    [anon_sym___weak] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym__Alignas] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_if] = ACTIONS(2608),
    [anon_sym_switch] = ACTIONS(2608),
    [anon_sym_case] = ACTIONS(2608),
    [anon_sym_default] = ACTIONS(2608),
    [anon_sym_while] = ACTIONS(2608),
    [anon_sym_do] = ACTIONS(2608),
    [anon_sym_for] = ACTIONS(2608),
    [anon_sym_in] = ACTIONS(2608),
    [anon_sym_return] = ACTIONS(2608),
    [anon_sym_break] = ACTIONS(2608),
    [anon_sym_continue] = ACTIONS(2608),
    [anon_sym_goto] = ACTIONS(2608),
    [anon_sym_DASH_DASH] = ACTIONS(2611),
    [anon_sym_PLUS_PLUS] = ACTIONS(2611),
    [anon_sym_sizeof] = ACTIONS(2608),
    [anon_sym___alignof__] = ACTIONS(2608),
    [anon_sym___alignof] = ACTIONS(2608),
    [anon_sym__alignof] = ACTIONS(2608),
    [anon_sym_alignof] = ACTIONS(2608),
    [anon_sym__Alignof] = ACTIONS(2608),
    [anon_sym_offsetof] = ACTIONS(2608),
    [anon_sym__Generic] = ACTIONS(2608),
    [anon_sym_asm] = ACTIONS(2608),
    [anon_sym___asm__] = ACTIONS(2608),
    [anon_sym___asm] = ACTIONS(2608),
    [sym_number_literal] = ACTIONS(2611),
    [anon_sym_L_SQUOTE] = ACTIONS(2611),
    [anon_sym_u_SQUOTE] = ACTIONS(2611),
    [anon_sym_U_SQUOTE] = ACTIONS(2611),
    [anon_sym_u8_SQUOTE] = ACTIONS(2611),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_AT] = ACTIONS(2608),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [anon_sym_L_DQUOTE] = ACTIONS(2611),
    [anon_sym_u_DQUOTE] = ACTIONS(2611),
    [anon_sym_U_DQUOTE] = ACTIONS(2611),
    [anon_sym_u8_DQUOTE] = ACTIONS(2611),
    [sym_true] = ACTIONS(2608),
    [sym_false] = ACTIONS(2608),
    [anon_sym_NULL] = ACTIONS(2608),
    [anon_sym_nullptr] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2608),
    [anon_sym___typeof] = ACTIONS(2608),
    [anon_sym_typeof] = ACTIONS(2608),
    [anon_sym_ATimport] = ACTIONS(2611),
    [aux_sym_preproc_undef_token1] = ACTIONS(2608),
    [anon_sym_POUND] = ACTIONS(2608),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2608),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2608),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2608),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2608),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2608),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2608),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2608),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2608),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2608),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2608),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2608),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2608),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2608),
    [anon_sym_API_AVAILABLE] = ACTIONS(2608),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2608),
    [anon_sym_API_DEPRECATED] = ACTIONS(2608),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2608),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2608),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2608),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2608),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2608),
    [anon_sym___deprecated_msg] = ACTIONS(2608),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2608),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2608),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2608),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2608),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2608),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2608),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2608),
    [anon_sym_ATprotocol] = ACTIONS(2611),
    [anon_sym_ATinterface] = ACTIONS(2611),
    [anon_sym_ATimplementation] = ACTIONS(2611),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2611),
    [anon_sym_ATsynthesize] = ACTIONS(2611),
    [anon_sym_ATdynamic] = ACTIONS(2611),
    [anon_sym_ATtry] = ACTIONS(2611),
    [anon_sym___try] = ACTIONS(2608),
    [anon_sym_ATthrow] = ACTIONS(2611),
    [anon_sym_ATselector] = ACTIONS(2611),
    [anon_sym_ATavailable] = ACTIONS(2611),
    [anon_sym___builtin_available] = ACTIONS(2608),
    [anon_sym_va_arg] = ACTIONS(2608),
    [anon_sym_ATencode] = ACTIONS(2611),
    [anon_sym_ATsynchronized] = ACTIONS(2611),
    [anon_sym_BOOL] = ACTIONS(2608),
    [anon_sym_IMP] = ACTIONS(2608),
    [anon_sym_SEL] = ACTIONS(2608),
    [anon_sym_Class] = ACTIONS(2608),
    [anon_sym_id] = ACTIONS(2608),
  },
  [527] = {
    [sym_identifier] = ACTIONS(2770),
    [aux_sym_preproc_include_token1] = ACTIONS(2770),
    [aux_sym_preproc_include_token2] = ACTIONS(2770),
    [aux_sym_preproc_def_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token2] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2770),
    [aux_sym_preproc_else_token1] = ACTIONS(2770),
    [aux_sym_preproc_elif_token1] = ACTIONS(2770),
    [sym_preproc_directive] = ACTIONS(2770),
    [anon_sym_LPAREN2] = ACTIONS(2772),
    [anon_sym_BANG] = ACTIONS(2772),
    [anon_sym_TILDE] = ACTIONS(2772),
    [anon_sym_DASH] = ACTIONS(2770),
    [anon_sym_PLUS] = ACTIONS(2770),
    [anon_sym_STAR] = ACTIONS(2772),
    [anon_sym_CARET] = ACTIONS(2772),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_SEMI] = ACTIONS(2772),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym_typedef] = ACTIONS(2770),
    [anon_sym_extern] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym___attribute] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2772),
    [anon_sym___declspec] = ACTIONS(2770),
    [anon_sym___cdecl] = ACTIONS(2770),
    [anon_sym___clrcall] = ACTIONS(2770),
    [anon_sym___stdcall] = ACTIONS(2770),
    [anon_sym___fastcall] = ACTIONS(2770),
    [anon_sym___thiscall] = ACTIONS(2770),
    [anon_sym___vectorcall] = ACTIONS(2770),
    [anon_sym_LBRACE] = ACTIONS(2772),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_ATautoreleasepool] = ACTIONS(2772),
    [anon_sym_auto] = ACTIONS(2770),
    [anon_sym_register] = ACTIONS(2770),
    [anon_sym_inline] = ACTIONS(2770),
    [anon_sym___inline] = ACTIONS(2770),
    [anon_sym___inline__] = ACTIONS(2770),
    [anon_sym___forceinline] = ACTIONS(2770),
    [anon_sym_thread_local] = ACTIONS(2770),
    [anon_sym___thread] = ACTIONS(2770),
    [anon_sym_CG_EXTERN] = ACTIONS(2770),
    [anon_sym_CG_INLINE] = ACTIONS(2770),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2770),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2770),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2770),
    [anon_sym_IBOutlet] = ACTIONS(2770),
    [anon_sym_IBInspectable] = ACTIONS(2770),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2770),
    [anon_sym_NS_INLINE] = ACTIONS(2770),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2770),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2770),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2770),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym__Nonnull] = ACTIONS(2770),
    [anon_sym_nullable] = ACTIONS(2770),
    [anon_sym__Complex] = ACTIONS(2770),
    [anon_sym__Nullable] = ACTIONS(2770),
    [anon_sym__Nullable_result] = ACTIONS(2770),
    [anon_sym__Null_unspecified] = ACTIONS(2770),
    [anon_sym___autoreleasing] = ACTIONS(2770),
    [anon_sym___block] = ACTIONS(2770),
    [anon_sym___bridge] = ACTIONS(2770),
    [anon_sym___bridge_retained] = ACTIONS(2770),
    [anon_sym___bridge_transfer] = ACTIONS(2770),
    [anon_sym___complex] = ACTIONS(2770),
    [anon_sym___const] = ACTIONS(2770),
    [anon_sym___imag] = ACTIONS(2770),
    [anon_sym___kindof] = ACTIONS(2770),
    [anon_sym___nonnull] = ACTIONS(2770),
    [anon_sym___nullable] = ACTIONS(2770),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2770),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2770),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2770),
    [anon_sym___real] = ACTIONS(2770),
    [anon_sym___strong] = ACTIONS(2770),
    [anon_sym___unsafe_unretained] = ACTIONS(2770),
    [anon_sym___unused] = ACTIONS(2770),
    [anon_sym___weak] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym__Alignas] = ACTIONS(2770),
    [sym_primitive_type] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [anon_sym_if] = ACTIONS(2770),
    [anon_sym_switch] = ACTIONS(2770),
    [anon_sym_case] = ACTIONS(2770),
    [anon_sym_default] = ACTIONS(2770),
    [anon_sym_while] = ACTIONS(2770),
    [anon_sym_do] = ACTIONS(2770),
    [anon_sym_for] = ACTIONS(2770),
    [anon_sym_in] = ACTIONS(2770),
    [anon_sym_return] = ACTIONS(2770),
    [anon_sym_break] = ACTIONS(2770),
    [anon_sym_continue] = ACTIONS(2770),
    [anon_sym_goto] = ACTIONS(2770),
    [anon_sym_DASH_DASH] = ACTIONS(2772),
    [anon_sym_PLUS_PLUS] = ACTIONS(2772),
    [anon_sym_sizeof] = ACTIONS(2770),
    [anon_sym___alignof__] = ACTIONS(2770),
    [anon_sym___alignof] = ACTIONS(2770),
    [anon_sym__alignof] = ACTIONS(2770),
    [anon_sym_alignof] = ACTIONS(2770),
    [anon_sym__Alignof] = ACTIONS(2770),
    [anon_sym_offsetof] = ACTIONS(2770),
    [anon_sym__Generic] = ACTIONS(2770),
    [anon_sym_asm] = ACTIONS(2770),
    [anon_sym___asm__] = ACTIONS(2770),
    [anon_sym___asm] = ACTIONS(2770),
    [sym_number_literal] = ACTIONS(2772),
    [anon_sym_L_SQUOTE] = ACTIONS(2772),
    [anon_sym_u_SQUOTE] = ACTIONS(2772),
    [anon_sym_U_SQUOTE] = ACTIONS(2772),
    [anon_sym_u8_SQUOTE] = ACTIONS(2772),
    [anon_sym_SQUOTE] = ACTIONS(2772),
    [anon_sym_AT] = ACTIONS(2770),
    [anon_sym_DQUOTE] = ACTIONS(2772),
    [anon_sym_L_DQUOTE] = ACTIONS(2772),
    [anon_sym_u_DQUOTE] = ACTIONS(2772),
    [anon_sym_U_DQUOTE] = ACTIONS(2772),
    [anon_sym_u8_DQUOTE] = ACTIONS(2772),
    [sym_true] = ACTIONS(2770),
    [sym_false] = ACTIONS(2770),
    [anon_sym_NULL] = ACTIONS(2770),
    [anon_sym_nullptr] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2770),
    [anon_sym___typeof] = ACTIONS(2770),
    [anon_sym_typeof] = ACTIONS(2770),
    [anon_sym_ATimport] = ACTIONS(2772),
    [aux_sym_preproc_undef_token1] = ACTIONS(2770),
    [anon_sym_POUND] = ACTIONS(2770),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2770),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2770),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2770),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2770),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2770),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2770),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2770),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2770),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2770),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_API_AVAILABLE] = ACTIONS(2770),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_API_DEPRECATED] = ACTIONS(2770),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2770),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2770),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2770),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2770),
    [anon_sym___deprecated_msg] = ACTIONS(2770),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2770),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2770),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2770),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2770),
    [anon_sym_ATprotocol] = ACTIONS(2772),
    [anon_sym_ATinterface] = ACTIONS(2772),
    [anon_sym_ATimplementation] = ACTIONS(2772),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2772),
    [anon_sym_ATsynthesize] = ACTIONS(2772),
    [anon_sym_ATdynamic] = ACTIONS(2772),
    [anon_sym_ATtry] = ACTIONS(2772),
    [anon_sym___try] = ACTIONS(2770),
    [anon_sym_ATthrow] = ACTIONS(2772),
    [anon_sym_ATselector] = ACTIONS(2772),
    [anon_sym_ATavailable] = ACTIONS(2772),
    [anon_sym___builtin_available] = ACTIONS(2770),
    [anon_sym_va_arg] = ACTIONS(2770),
    [anon_sym_ATencode] = ACTIONS(2772),
    [anon_sym_ATsynchronized] = ACTIONS(2772),
    [anon_sym_BOOL] = ACTIONS(2770),
    [anon_sym_IMP] = ACTIONS(2770),
    [anon_sym_SEL] = ACTIONS(2770),
    [anon_sym_Class] = ACTIONS(2770),
    [anon_sym_id] = ACTIONS(2770),
  },
  [528] = {
    [sym_else_clause] = STATE(587),
    [sym_identifier] = ACTIONS(2402),
    [aux_sym_preproc_include_token1] = ACTIONS(2402),
    [aux_sym_preproc_include_token2] = ACTIONS(2402),
    [aux_sym_preproc_def_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token2] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2402),
    [sym_preproc_directive] = ACTIONS(2402),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_BANG] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_DASH] = ACTIONS(2402),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_CARET] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(2404),
    [anon_sym___extension__] = ACTIONS(2402),
    [anon_sym_typedef] = ACTIONS(2402),
    [anon_sym_extern] = ACTIONS(2402),
    [anon_sym___attribute__] = ACTIONS(2402),
    [anon_sym___attribute] = ACTIONS(2402),
    [anon_sym_noreturn] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2404),
    [anon_sym___declspec] = ACTIONS(2402),
    [anon_sym___cdecl] = ACTIONS(2402),
    [anon_sym___clrcall] = ACTIONS(2402),
    [anon_sym___stdcall] = ACTIONS(2402),
    [anon_sym___fastcall] = ACTIONS(2402),
    [anon_sym___thiscall] = ACTIONS(2402),
    [anon_sym___vectorcall] = ACTIONS(2402),
    [anon_sym_LBRACE] = ACTIONS(2404),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_ATautoreleasepool] = ACTIONS(2404),
    [anon_sym_auto] = ACTIONS(2402),
    [anon_sym_register] = ACTIONS(2402),
    [anon_sym_inline] = ACTIONS(2402),
    [anon_sym___inline] = ACTIONS(2402),
    [anon_sym___inline__] = ACTIONS(2402),
    [anon_sym___forceinline] = ACTIONS(2402),
    [anon_sym_thread_local] = ACTIONS(2402),
    [anon_sym___thread] = ACTIONS(2402),
    [anon_sym_CG_EXTERN] = ACTIONS(2402),
    [anon_sym_CG_INLINE] = ACTIONS(2402),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2402),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2402),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2402),
    [anon_sym_IBOutlet] = ACTIONS(2402),
    [anon_sym_IBInspectable] = ACTIONS(2402),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2402),
    [anon_sym_NS_INLINE] = ACTIONS(2402),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2402),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2402),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2402),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_constexpr] = ACTIONS(2402),
    [anon_sym_volatile] = ACTIONS(2402),
    [anon_sym_restrict] = ACTIONS(2402),
    [anon_sym___restrict__] = ACTIONS(2402),
    [anon_sym__Atomic] = ACTIONS(2402),
    [anon_sym__Noreturn] = ACTIONS(2402),
    [anon_sym__Nonnull] = ACTIONS(2402),
    [anon_sym_nullable] = ACTIONS(2402),
    [anon_sym__Complex] = ACTIONS(2402),
    [anon_sym__Nullable] = ACTIONS(2402),
    [anon_sym__Nullable_result] = ACTIONS(2402),
    [anon_sym__Null_unspecified] = ACTIONS(2402),
    [anon_sym___autoreleasing] = ACTIONS(2402),
    [anon_sym___block] = ACTIONS(2402),
    [anon_sym___bridge] = ACTIONS(2402),
    [anon_sym___bridge_retained] = ACTIONS(2402),
    [anon_sym___bridge_transfer] = ACTIONS(2402),
    [anon_sym___complex] = ACTIONS(2402),
    [anon_sym___const] = ACTIONS(2402),
    [anon_sym___imag] = ACTIONS(2402),
    [anon_sym___kindof] = ACTIONS(2402),
    [anon_sym___nonnull] = ACTIONS(2402),
    [anon_sym___nullable] = ACTIONS(2402),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2402),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2402),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2402),
    [anon_sym___real] = ACTIONS(2402),
    [anon_sym___strong] = ACTIONS(2402),
    [anon_sym___unsafe_unretained] = ACTIONS(2402),
    [anon_sym___unused] = ACTIONS(2402),
    [anon_sym___weak] = ACTIONS(2402),
    [anon_sym_alignas] = ACTIONS(2402),
    [anon_sym__Alignas] = ACTIONS(2402),
    [sym_primitive_type] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [anon_sym_struct] = ACTIONS(2402),
    [anon_sym_union] = ACTIONS(2402),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_else] = ACTIONS(2876),
    [anon_sym_switch] = ACTIONS(2402),
    [anon_sym_case] = ACTIONS(2402),
    [anon_sym_default] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2402),
    [anon_sym_do] = ACTIONS(2402),
    [anon_sym_for] = ACTIONS(2402),
    [anon_sym_in] = ACTIONS(2402),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_break] = ACTIONS(2402),
    [anon_sym_continue] = ACTIONS(2402),
    [anon_sym_goto] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2404),
    [anon_sym_PLUS_PLUS] = ACTIONS(2404),
    [anon_sym_sizeof] = ACTIONS(2402),
    [anon_sym___alignof__] = ACTIONS(2402),
    [anon_sym___alignof] = ACTIONS(2402),
    [anon_sym__alignof] = ACTIONS(2402),
    [anon_sym_alignof] = ACTIONS(2402),
    [anon_sym__Alignof] = ACTIONS(2402),
    [anon_sym_offsetof] = ACTIONS(2402),
    [anon_sym__Generic] = ACTIONS(2402),
    [anon_sym_asm] = ACTIONS(2402),
    [anon_sym___asm__] = ACTIONS(2402),
    [anon_sym___asm] = ACTIONS(2402),
    [sym_number_literal] = ACTIONS(2404),
    [anon_sym_L_SQUOTE] = ACTIONS(2404),
    [anon_sym_u_SQUOTE] = ACTIONS(2404),
    [anon_sym_U_SQUOTE] = ACTIONS(2404),
    [anon_sym_u8_SQUOTE] = ACTIONS(2404),
    [anon_sym_SQUOTE] = ACTIONS(2404),
    [anon_sym_AT] = ACTIONS(2402),
    [anon_sym_DQUOTE] = ACTIONS(2404),
    [anon_sym_L_DQUOTE] = ACTIONS(2404),
    [anon_sym_u_DQUOTE] = ACTIONS(2404),
    [anon_sym_U_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8_DQUOTE] = ACTIONS(2404),
    [sym_true] = ACTIONS(2402),
    [sym_false] = ACTIONS(2402),
    [anon_sym_NULL] = ACTIONS(2402),
    [anon_sym_nullptr] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2402),
    [anon_sym___typeof] = ACTIONS(2402),
    [anon_sym_typeof] = ACTIONS(2402),
    [anon_sym_ATimport] = ACTIONS(2404),
    [aux_sym_preproc_undef_token1] = ACTIONS(2402),
    [anon_sym_POUND] = ACTIONS(2402),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2402),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2402),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2402),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2402),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2402),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2402),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2402),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2402),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2402),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_API_AVAILABLE] = ACTIONS(2402),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_API_DEPRECATED] = ACTIONS(2402),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2402),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2402),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2402),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2402),
    [anon_sym___deprecated_msg] = ACTIONS(2402),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2402),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2402),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2402),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2402),
    [anon_sym_ATprotocol] = ACTIONS(2404),
    [anon_sym_ATinterface] = ACTIONS(2404),
    [anon_sym_ATimplementation] = ACTIONS(2404),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2404),
    [anon_sym_ATsynthesize] = ACTIONS(2404),
    [anon_sym_ATdynamic] = ACTIONS(2404),
    [anon_sym_ATtry] = ACTIONS(2404),
    [anon_sym___try] = ACTIONS(2402),
    [anon_sym_ATthrow] = ACTIONS(2404),
    [anon_sym_ATselector] = ACTIONS(2404),
    [anon_sym_ATavailable] = ACTIONS(2404),
    [anon_sym___builtin_available] = ACTIONS(2402),
    [anon_sym_va_arg] = ACTIONS(2402),
    [anon_sym_ATencode] = ACTIONS(2404),
    [anon_sym_ATsynchronized] = ACTIONS(2404),
    [anon_sym_BOOL] = ACTIONS(2402),
    [anon_sym_IMP] = ACTIONS(2402),
    [anon_sym_SEL] = ACTIONS(2402),
    [anon_sym_Class] = ACTIONS(2402),
    [anon_sym_id] = ACTIONS(2402),
  },
  [529] = {
    [sym_identifier] = ACTIONS(2622),
    [aux_sym_preproc_include_token1] = ACTIONS(2622),
    [aux_sym_preproc_include_token2] = ACTIONS(2622),
    [aux_sym_preproc_def_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token2] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2622),
    [aux_sym_preproc_else_token1] = ACTIONS(2622),
    [aux_sym_preproc_elif_token1] = ACTIONS(2622),
    [sym_preproc_directive] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_CARET] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym___extension__] = ACTIONS(2622),
    [anon_sym_typedef] = ACTIONS(2622),
    [anon_sym_extern] = ACTIONS(2622),
    [anon_sym___attribute__] = ACTIONS(2622),
    [anon_sym___attribute] = ACTIONS(2622),
    [anon_sym_noreturn] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym___declspec] = ACTIONS(2622),
    [anon_sym___cdecl] = ACTIONS(2622),
    [anon_sym___clrcall] = ACTIONS(2622),
    [anon_sym___stdcall] = ACTIONS(2622),
    [anon_sym___fastcall] = ACTIONS(2622),
    [anon_sym___thiscall] = ACTIONS(2622),
    [anon_sym___vectorcall] = ACTIONS(2622),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_signed] = ACTIONS(2622),
    [anon_sym_unsigned] = ACTIONS(2622),
    [anon_sym_long] = ACTIONS(2622),
    [anon_sym_short] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_ATautoreleasepool] = ACTIONS(2624),
    [anon_sym_auto] = ACTIONS(2622),
    [anon_sym_register] = ACTIONS(2622),
    [anon_sym_inline] = ACTIONS(2622),
    [anon_sym___inline] = ACTIONS(2622),
    [anon_sym___inline__] = ACTIONS(2622),
    [anon_sym___forceinline] = ACTIONS(2622),
    [anon_sym_thread_local] = ACTIONS(2622),
    [anon_sym___thread] = ACTIONS(2622),
    [anon_sym_CG_EXTERN] = ACTIONS(2622),
    [anon_sym_CG_INLINE] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2622),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2622),
    [anon_sym_IBOutlet] = ACTIONS(2622),
    [anon_sym_IBInspectable] = ACTIONS(2622),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2622),
    [anon_sym_NS_INLINE] = ACTIONS(2622),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2622),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2622),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_constexpr] = ACTIONS(2622),
    [anon_sym_volatile] = ACTIONS(2622),
    [anon_sym_restrict] = ACTIONS(2622),
    [anon_sym___restrict__] = ACTIONS(2622),
    [anon_sym__Atomic] = ACTIONS(2622),
    [anon_sym__Noreturn] = ACTIONS(2622),
    [anon_sym__Nonnull] = ACTIONS(2622),
    [anon_sym_nullable] = ACTIONS(2622),
    [anon_sym__Complex] = ACTIONS(2622),
    [anon_sym__Nullable] = ACTIONS(2622),
    [anon_sym__Nullable_result] = ACTIONS(2622),
    [anon_sym__Null_unspecified] = ACTIONS(2622),
    [anon_sym___autoreleasing] = ACTIONS(2622),
    [anon_sym___block] = ACTIONS(2622),
    [anon_sym___bridge] = ACTIONS(2622),
    [anon_sym___bridge_retained] = ACTIONS(2622),
    [anon_sym___bridge_transfer] = ACTIONS(2622),
    [anon_sym___complex] = ACTIONS(2622),
    [anon_sym___const] = ACTIONS(2622),
    [anon_sym___imag] = ACTIONS(2622),
    [anon_sym___kindof] = ACTIONS(2622),
    [anon_sym___nonnull] = ACTIONS(2622),
    [anon_sym___nullable] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2622),
    [anon_sym___real] = ACTIONS(2622),
    [anon_sym___strong] = ACTIONS(2622),
    [anon_sym___unsafe_unretained] = ACTIONS(2622),
    [anon_sym___unused] = ACTIONS(2622),
    [anon_sym___weak] = ACTIONS(2622),
    [anon_sym_alignas] = ACTIONS(2622),
    [anon_sym__Alignas] = ACTIONS(2622),
    [sym_primitive_type] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [anon_sym_struct] = ACTIONS(2622),
    [anon_sym_union] = ACTIONS(2622),
    [anon_sym_if] = ACTIONS(2622),
    [anon_sym_switch] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2622),
    [anon_sym_default] = ACTIONS(2622),
    [anon_sym_while] = ACTIONS(2622),
    [anon_sym_do] = ACTIONS(2622),
    [anon_sym_for] = ACTIONS(2622),
    [anon_sym_in] = ACTIONS(2622),
    [anon_sym_return] = ACTIONS(2622),
    [anon_sym_break] = ACTIONS(2622),
    [anon_sym_continue] = ACTIONS(2622),
    [anon_sym_goto] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_sizeof] = ACTIONS(2622),
    [anon_sym___alignof__] = ACTIONS(2622),
    [anon_sym___alignof] = ACTIONS(2622),
    [anon_sym__alignof] = ACTIONS(2622),
    [anon_sym_alignof] = ACTIONS(2622),
    [anon_sym__Alignof] = ACTIONS(2622),
    [anon_sym_offsetof] = ACTIONS(2622),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2622),
    [anon_sym___asm__] = ACTIONS(2622),
    [anon_sym___asm] = ACTIONS(2622),
    [sym_number_literal] = ACTIONS(2624),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2624),
    [anon_sym_u_DQUOTE] = ACTIONS(2624),
    [anon_sym_U_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8_DQUOTE] = ACTIONS(2624),
    [sym_true] = ACTIONS(2622),
    [sym_false] = ACTIONS(2622),
    [anon_sym_NULL] = ACTIONS(2622),
    [anon_sym_nullptr] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2622),
    [anon_sym___typeof] = ACTIONS(2622),
    [anon_sym_typeof] = ACTIONS(2622),
    [anon_sym_ATimport] = ACTIONS(2624),
    [aux_sym_preproc_undef_token1] = ACTIONS(2622),
    [anon_sym_POUND] = ACTIONS(2622),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2622),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2622),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2622),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_API_AVAILABLE] = ACTIONS(2622),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_API_DEPRECATED] = ACTIONS(2622),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym___deprecated_msg] = ACTIONS(2622),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2622),
    [anon_sym_ATprotocol] = ACTIONS(2624),
    [anon_sym_ATinterface] = ACTIONS(2624),
    [anon_sym_ATimplementation] = ACTIONS(2624),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2624),
    [anon_sym_ATsynthesize] = ACTIONS(2624),
    [anon_sym_ATdynamic] = ACTIONS(2624),
    [anon_sym_ATtry] = ACTIONS(2624),
    [anon_sym___try] = ACTIONS(2622),
    [anon_sym_ATthrow] = ACTIONS(2624),
    [anon_sym_ATselector] = ACTIONS(2624),
    [anon_sym_ATavailable] = ACTIONS(2624),
    [anon_sym___builtin_available] = ACTIONS(2622),
    [anon_sym_va_arg] = ACTIONS(2622),
    [anon_sym_ATencode] = ACTIONS(2624),
    [anon_sym_ATsynchronized] = ACTIONS(2624),
    [anon_sym_BOOL] = ACTIONS(2622),
    [anon_sym_IMP] = ACTIONS(2622),
    [anon_sym_SEL] = ACTIONS(2622),
    [anon_sym_Class] = ACTIONS(2622),
    [anon_sym_id] = ACTIONS(2622),
  },
  [530] = {
    [sym_catch_clause] = STATE(548),
    [sym_finally_clause] = STATE(945),
    [aux_sym_try_statement_repeat1] = STATE(548),
    [ts_builtin_sym_end] = ACTIONS(2308),
    [sym_identifier] = ACTIONS(2306),
    [aux_sym_preproc_include_token1] = ACTIONS(2306),
    [aux_sym_preproc_include_token2] = ACTIONS(2306),
    [aux_sym_preproc_def_token1] = ACTIONS(2306),
    [aux_sym_preproc_if_token1] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2306),
    [sym_preproc_directive] = ACTIONS(2306),
    [anon_sym_LPAREN2] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_CARET] = ACTIONS(2308),
    [anon_sym_AMP] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2308),
    [anon_sym___extension__] = ACTIONS(2306),
    [anon_sym_typedef] = ACTIONS(2306),
    [anon_sym_extern] = ACTIONS(2306),
    [anon_sym___attribute__] = ACTIONS(2306),
    [anon_sym___attribute] = ACTIONS(2306),
    [anon_sym_noreturn] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym___declspec] = ACTIONS(2306),
    [anon_sym___cdecl] = ACTIONS(2306),
    [anon_sym___clrcall] = ACTIONS(2306),
    [anon_sym___stdcall] = ACTIONS(2306),
    [anon_sym___fastcall] = ACTIONS(2306),
    [anon_sym___thiscall] = ACTIONS(2306),
    [anon_sym___vectorcall] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2308),
    [anon_sym_signed] = ACTIONS(2306),
    [anon_sym_unsigned] = ACTIONS(2306),
    [anon_sym_long] = ACTIONS(2306),
    [anon_sym_short] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_ATautoreleasepool] = ACTIONS(2308),
    [anon_sym_auto] = ACTIONS(2306),
    [anon_sym_register] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(2306),
    [anon_sym___inline] = ACTIONS(2306),
    [anon_sym___inline__] = ACTIONS(2306),
    [anon_sym___forceinline] = ACTIONS(2306),
    [anon_sym_thread_local] = ACTIONS(2306),
    [anon_sym___thread] = ACTIONS(2306),
    [anon_sym_CG_EXTERN] = ACTIONS(2306),
    [anon_sym_CG_INLINE] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2306),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2306),
    [anon_sym_IBOutlet] = ACTIONS(2306),
    [anon_sym_IBInspectable] = ACTIONS(2306),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2306),
    [anon_sym_NS_INLINE] = ACTIONS(2306),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2306),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2306),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_constexpr] = ACTIONS(2306),
    [anon_sym_volatile] = ACTIONS(2306),
    [anon_sym_restrict] = ACTIONS(2306),
    [anon_sym___restrict__] = ACTIONS(2306),
    [anon_sym__Atomic] = ACTIONS(2306),
    [anon_sym__Noreturn] = ACTIONS(2306),
    [anon_sym__Nonnull] = ACTIONS(2306),
    [anon_sym_nullable] = ACTIONS(2306),
    [anon_sym__Complex] = ACTIONS(2306),
    [anon_sym__Nullable] = ACTIONS(2306),
    [anon_sym__Nullable_result] = ACTIONS(2306),
    [anon_sym__Null_unspecified] = ACTIONS(2306),
    [anon_sym___autoreleasing] = ACTIONS(2306),
    [anon_sym___block] = ACTIONS(2306),
    [anon_sym___bridge] = ACTIONS(2306),
    [anon_sym___bridge_retained] = ACTIONS(2306),
    [anon_sym___bridge_transfer] = ACTIONS(2306),
    [anon_sym___complex] = ACTIONS(2306),
    [anon_sym___const] = ACTIONS(2306),
    [anon_sym___imag] = ACTIONS(2306),
    [anon_sym___kindof] = ACTIONS(2306),
    [anon_sym___nonnull] = ACTIONS(2306),
    [anon_sym___nullable] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2306),
    [anon_sym___real] = ACTIONS(2306),
    [anon_sym___strong] = ACTIONS(2306),
    [anon_sym___unsafe_unretained] = ACTIONS(2306),
    [anon_sym___unused] = ACTIONS(2306),
    [anon_sym___weak] = ACTIONS(2306),
    [anon_sym_alignas] = ACTIONS(2306),
    [anon_sym__Alignas] = ACTIONS(2306),
    [sym_primitive_type] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [anon_sym_struct] = ACTIONS(2306),
    [anon_sym_union] = ACTIONS(2306),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_else] = ACTIONS(2306),
    [anon_sym_switch] = ACTIONS(2306),
    [anon_sym_case] = ACTIONS(2306),
    [anon_sym_default] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2306),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2306),
    [anon_sym_continue] = ACTIONS(2306),
    [anon_sym_goto] = ACTIONS(2306),
    [anon_sym_DASH_DASH] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(2308),
    [anon_sym_sizeof] = ACTIONS(2306),
    [anon_sym___alignof__] = ACTIONS(2306),
    [anon_sym___alignof] = ACTIONS(2306),
    [anon_sym__alignof] = ACTIONS(2306),
    [anon_sym_alignof] = ACTIONS(2306),
    [anon_sym__Alignof] = ACTIONS(2306),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2306),
    [anon_sym_asm] = ACTIONS(2306),
    [anon_sym___asm__] = ACTIONS(2306),
    [anon_sym___asm] = ACTIONS(2306),
    [sym_number_literal] = ACTIONS(2308),
    [anon_sym_L_SQUOTE] = ACTIONS(2308),
    [anon_sym_u_SQUOTE] = ACTIONS(2308),
    [anon_sym_U_SQUOTE] = ACTIONS(2308),
    [anon_sym_u8_SQUOTE] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [anon_sym_AT] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2308),
    [anon_sym_L_DQUOTE] = ACTIONS(2308),
    [anon_sym_u_DQUOTE] = ACTIONS(2308),
    [anon_sym_U_DQUOTE] = ACTIONS(2308),
    [anon_sym_u8_DQUOTE] = ACTIONS(2308),
    [sym_true] = ACTIONS(2306),
    [sym_false] = ACTIONS(2306),
    [anon_sym_NULL] = ACTIONS(2306),
    [anon_sym_nullptr] = ACTIONS(2306),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2306),
    [anon_sym___typeof] = ACTIONS(2306),
    [anon_sym_typeof] = ACTIONS(2306),
    [anon_sym_ATimport] = ACTIONS(2308),
    [aux_sym_preproc_undef_token1] = ACTIONS(2306),
    [anon_sym_POUND] = ACTIONS(2306),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2306),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2306),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2306),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_API_AVAILABLE] = ACTIONS(2306),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_API_DEPRECATED] = ACTIONS(2306),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym___deprecated_msg] = ACTIONS(2306),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2306),
    [anon_sym_ATprotocol] = ACTIONS(2308),
    [anon_sym_ATinterface] = ACTIONS(2308),
    [anon_sym_ATimplementation] = ACTIONS(2308),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2308),
    [anon_sym_ATcatch] = ACTIONS(2878),
    [anon_sym___catch] = ACTIONS(2880),
    [anon_sym_ATfinally] = ACTIONS(2882),
    [anon_sym___finally] = ACTIONS(2884),
    [anon_sym_ATselector] = ACTIONS(2308),
    [anon_sym_ATavailable] = ACTIONS(2308),
    [anon_sym___builtin_available] = ACTIONS(2306),
    [anon_sym_va_arg] = ACTIONS(2306),
    [anon_sym_ATencode] = ACTIONS(2308),
    [anon_sym_BOOL] = ACTIONS(2306),
    [anon_sym_IMP] = ACTIONS(2306),
    [anon_sym_SEL] = ACTIONS(2306),
    [anon_sym_Class] = ACTIONS(2306),
    [anon_sym_id] = ACTIONS(2306),
  },
  [531] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [532] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [533] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [534] = {
    [sym_identifier] = ACTIONS(2346),
    [aux_sym_preproc_include_token1] = ACTIONS(2346),
    [aux_sym_preproc_include_token2] = ACTIONS(2346),
    [aux_sym_preproc_def_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token2] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2346),
    [sym_preproc_directive] = ACTIONS(2346),
    [anon_sym_LPAREN2] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_CARET] = ACTIONS(2348),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym___extension__] = ACTIONS(2346),
    [anon_sym_typedef] = ACTIONS(2346),
    [anon_sym_extern] = ACTIONS(2346),
    [anon_sym___attribute__] = ACTIONS(2346),
    [anon_sym___attribute] = ACTIONS(2346),
    [anon_sym_noreturn] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym___declspec] = ACTIONS(2346),
    [anon_sym___cdecl] = ACTIONS(2346),
    [anon_sym___clrcall] = ACTIONS(2346),
    [anon_sym___stdcall] = ACTIONS(2346),
    [anon_sym___fastcall] = ACTIONS(2346),
    [anon_sym___thiscall] = ACTIONS(2346),
    [anon_sym___vectorcall] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_signed] = ACTIONS(2346),
    [anon_sym_unsigned] = ACTIONS(2346),
    [anon_sym_long] = ACTIONS(2346),
    [anon_sym_short] = ACTIONS(2346),
    [anon_sym_static] = ACTIONS(2346),
    [anon_sym_ATautoreleasepool] = ACTIONS(2348),
    [anon_sym_auto] = ACTIONS(2346),
    [anon_sym_register] = ACTIONS(2346),
    [anon_sym_inline] = ACTIONS(2346),
    [anon_sym___inline] = ACTIONS(2346),
    [anon_sym___inline__] = ACTIONS(2346),
    [anon_sym___forceinline] = ACTIONS(2346),
    [anon_sym_thread_local] = ACTIONS(2346),
    [anon_sym___thread] = ACTIONS(2346),
    [anon_sym_CG_EXTERN] = ACTIONS(2346),
    [anon_sym_CG_INLINE] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2346),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2346),
    [anon_sym_IBOutlet] = ACTIONS(2346),
    [anon_sym_IBInspectable] = ACTIONS(2346),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2346),
    [anon_sym_NS_INLINE] = ACTIONS(2346),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2346),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2346),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2346),
    [anon_sym_const] = ACTIONS(2346),
    [anon_sym_constexpr] = ACTIONS(2346),
    [anon_sym_volatile] = ACTIONS(2346),
    [anon_sym_restrict] = ACTIONS(2346),
    [anon_sym___restrict__] = ACTIONS(2346),
    [anon_sym__Atomic] = ACTIONS(2346),
    [anon_sym__Noreturn] = ACTIONS(2346),
    [anon_sym__Nonnull] = ACTIONS(2346),
    [anon_sym_nullable] = ACTIONS(2346),
    [anon_sym__Complex] = ACTIONS(2346),
    [anon_sym__Nullable] = ACTIONS(2346),
    [anon_sym__Nullable_result] = ACTIONS(2346),
    [anon_sym__Null_unspecified] = ACTIONS(2346),
    [anon_sym___autoreleasing] = ACTIONS(2346),
    [anon_sym___block] = ACTIONS(2346),
    [anon_sym___bridge] = ACTIONS(2346),
    [anon_sym___bridge_retained] = ACTIONS(2346),
    [anon_sym___bridge_transfer] = ACTIONS(2346),
    [anon_sym___complex] = ACTIONS(2346),
    [anon_sym___const] = ACTIONS(2346),
    [anon_sym___imag] = ACTIONS(2346),
    [anon_sym___kindof] = ACTIONS(2346),
    [anon_sym___nonnull] = ACTIONS(2346),
    [anon_sym___nullable] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2346),
    [anon_sym___real] = ACTIONS(2346),
    [anon_sym___strong] = ACTIONS(2346),
    [anon_sym___unsafe_unretained] = ACTIONS(2346),
    [anon_sym___unused] = ACTIONS(2346),
    [anon_sym___weak] = ACTIONS(2346),
    [anon_sym_alignas] = ACTIONS(2346),
    [anon_sym__Alignas] = ACTIONS(2346),
    [sym_primitive_type] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2346),
    [anon_sym_struct] = ACTIONS(2346),
    [anon_sym_union] = ACTIONS(2346),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_else] = ACTIONS(2346),
    [anon_sym_switch] = ACTIONS(2346),
    [anon_sym_case] = ACTIONS(2346),
    [anon_sym_default] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2346),
    [anon_sym_for] = ACTIONS(2346),
    [anon_sym_in] = ACTIONS(2346),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_break] = ACTIONS(2346),
    [anon_sym_continue] = ACTIONS(2346),
    [anon_sym_goto] = ACTIONS(2346),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_sizeof] = ACTIONS(2346),
    [anon_sym___alignof__] = ACTIONS(2346),
    [anon_sym___alignof] = ACTIONS(2346),
    [anon_sym__alignof] = ACTIONS(2346),
    [anon_sym_alignof] = ACTIONS(2346),
    [anon_sym__Alignof] = ACTIONS(2346),
    [anon_sym_offsetof] = ACTIONS(2346),
    [anon_sym__Generic] = ACTIONS(2346),
    [anon_sym_asm] = ACTIONS(2346),
    [anon_sym___asm__] = ACTIONS(2346),
    [anon_sym___asm] = ACTIONS(2346),
    [sym_number_literal] = ACTIONS(2348),
    [anon_sym_L_SQUOTE] = ACTIONS(2348),
    [anon_sym_u_SQUOTE] = ACTIONS(2348),
    [anon_sym_U_SQUOTE] = ACTIONS(2348),
    [anon_sym_u8_SQUOTE] = ACTIONS(2348),
    [anon_sym_SQUOTE] = ACTIONS(2348),
    [anon_sym_AT] = ACTIONS(2346),
    [anon_sym_DQUOTE] = ACTIONS(2348),
    [anon_sym_L_DQUOTE] = ACTIONS(2348),
    [anon_sym_u_DQUOTE] = ACTIONS(2348),
    [anon_sym_U_DQUOTE] = ACTIONS(2348),
    [anon_sym_u8_DQUOTE] = ACTIONS(2348),
    [sym_true] = ACTIONS(2346),
    [sym_false] = ACTIONS(2346),
    [anon_sym_NULL] = ACTIONS(2346),
    [anon_sym_nullptr] = ACTIONS(2346),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2346),
    [anon_sym___typeof] = ACTIONS(2346),
    [anon_sym_typeof] = ACTIONS(2346),
    [anon_sym_ATimport] = ACTIONS(2348),
    [aux_sym_preproc_undef_token1] = ACTIONS(2346),
    [anon_sym_POUND] = ACTIONS(2346),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2346),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2346),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2346),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_API_AVAILABLE] = ACTIONS(2346),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_API_DEPRECATED] = ACTIONS(2346),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym___deprecated_msg] = ACTIONS(2346),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2346),
    [anon_sym_ATprotocol] = ACTIONS(2348),
    [anon_sym_ATinterface] = ACTIONS(2348),
    [anon_sym_ATimplementation] = ACTIONS(2348),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2348),
    [anon_sym_ATsynthesize] = ACTIONS(2348),
    [anon_sym_ATdynamic] = ACTIONS(2348),
    [anon_sym_ATtry] = ACTIONS(2348),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym_ATthrow] = ACTIONS(2348),
    [anon_sym_ATselector] = ACTIONS(2348),
    [anon_sym_ATavailable] = ACTIONS(2348),
    [anon_sym___builtin_available] = ACTIONS(2346),
    [anon_sym_va_arg] = ACTIONS(2346),
    [anon_sym_ATencode] = ACTIONS(2348),
    [anon_sym_ATsynchronized] = ACTIONS(2348),
    [anon_sym_BOOL] = ACTIONS(2346),
    [anon_sym_IMP] = ACTIONS(2346),
    [anon_sym_SEL] = ACTIONS(2346),
    [anon_sym_Class] = ACTIONS(2346),
    [anon_sym_id] = ACTIONS(2346),
  },
  [535] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [536] = {
    [sym_identifier] = ACTIONS(2436),
    [aux_sym_preproc_include_token1] = ACTIONS(2436),
    [aux_sym_preproc_include_token2] = ACTIONS(2436),
    [aux_sym_preproc_def_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token2] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2436),
    [sym_preproc_directive] = ACTIONS(2436),
    [anon_sym_LPAREN2] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_CARET] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym___attribute] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym___cdecl] = ACTIONS(2436),
    [anon_sym___clrcall] = ACTIONS(2436),
    [anon_sym___stdcall] = ACTIONS(2436),
    [anon_sym___fastcall] = ACTIONS(2436),
    [anon_sym___thiscall] = ACTIONS(2436),
    [anon_sym___vectorcall] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_ATautoreleasepool] = ACTIONS(2438),
    [anon_sym_auto] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_CG_EXTERN] = ACTIONS(2436),
    [anon_sym_CG_INLINE] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2436),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2436),
    [anon_sym_IBOutlet] = ACTIONS(2436),
    [anon_sym_IBInspectable] = ACTIONS(2436),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2436),
    [anon_sym_NS_INLINE] = ACTIONS(2436),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2436),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2436),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym__Nonnull] = ACTIONS(2436),
    [anon_sym_nullable] = ACTIONS(2436),
    [anon_sym__Complex] = ACTIONS(2436),
    [anon_sym__Nullable] = ACTIONS(2436),
    [anon_sym__Nullable_result] = ACTIONS(2436),
    [anon_sym__Null_unspecified] = ACTIONS(2436),
    [anon_sym___autoreleasing] = ACTIONS(2436),
    [anon_sym___block] = ACTIONS(2436),
    [anon_sym___bridge] = ACTIONS(2436),
    [anon_sym___bridge_retained] = ACTIONS(2436),
    [anon_sym___bridge_transfer] = ACTIONS(2436),
    [anon_sym___complex] = ACTIONS(2436),
    [anon_sym___const] = ACTIONS(2436),
    [anon_sym___imag] = ACTIONS(2436),
    [anon_sym___kindof] = ACTIONS(2436),
    [anon_sym___nonnull] = ACTIONS(2436),
    [anon_sym___nullable] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2436),
    [anon_sym___real] = ACTIONS(2436),
    [anon_sym___strong] = ACTIONS(2436),
    [anon_sym___unsafe_unretained] = ACTIONS(2436),
    [anon_sym___unused] = ACTIONS(2436),
    [anon_sym___weak] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym__Alignas] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_else] = ACTIONS(2436),
    [anon_sym_switch] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(2436),
    [anon_sym_default] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_in] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2436),
    [anon_sym_break] = ACTIONS(2436),
    [anon_sym_continue] = ACTIONS(2436),
    [anon_sym_goto] = ACTIONS(2436),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_sizeof] = ACTIONS(2436),
    [anon_sym___alignof__] = ACTIONS(2436),
    [anon_sym___alignof] = ACTIONS(2436),
    [anon_sym__alignof] = ACTIONS(2436),
    [anon_sym_alignof] = ACTIONS(2436),
    [anon_sym__Alignof] = ACTIONS(2436),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2436),
    [anon_sym_asm] = ACTIONS(2436),
    [anon_sym___asm__] = ACTIONS(2436),
    [anon_sym___asm] = ACTIONS(2436),
    [sym_number_literal] = ACTIONS(2438),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_AT] = ACTIONS(2436),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2438),
    [anon_sym_u_DQUOTE] = ACTIONS(2438),
    [anon_sym_U_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8_DQUOTE] = ACTIONS(2438),
    [sym_true] = ACTIONS(2436),
    [sym_false] = ACTIONS(2436),
    [anon_sym_NULL] = ACTIONS(2436),
    [anon_sym_nullptr] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2436),
    [anon_sym___typeof] = ACTIONS(2436),
    [anon_sym_typeof] = ACTIONS(2436),
    [anon_sym_ATimport] = ACTIONS(2438),
    [aux_sym_preproc_undef_token1] = ACTIONS(2436),
    [anon_sym_POUND] = ACTIONS(2436),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2436),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2436),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2436),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_API_AVAILABLE] = ACTIONS(2436),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_API_DEPRECATED] = ACTIONS(2436),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym___deprecated_msg] = ACTIONS(2436),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2436),
    [anon_sym_ATprotocol] = ACTIONS(2438),
    [anon_sym_ATinterface] = ACTIONS(2438),
    [anon_sym_ATimplementation] = ACTIONS(2438),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2438),
    [anon_sym_ATsynthesize] = ACTIONS(2438),
    [anon_sym_ATdynamic] = ACTIONS(2438),
    [anon_sym_ATtry] = ACTIONS(2438),
    [anon_sym___try] = ACTIONS(2436),
    [anon_sym_ATthrow] = ACTIONS(2438),
    [anon_sym_ATselector] = ACTIONS(2438),
    [anon_sym_ATavailable] = ACTIONS(2438),
    [anon_sym___builtin_available] = ACTIONS(2436),
    [anon_sym_va_arg] = ACTIONS(2436),
    [anon_sym_ATencode] = ACTIONS(2438),
    [anon_sym_ATsynchronized] = ACTIONS(2438),
    [anon_sym_BOOL] = ACTIONS(2436),
    [anon_sym_IMP] = ACTIONS(2436),
    [anon_sym_SEL] = ACTIONS(2436),
    [anon_sym_Class] = ACTIONS(2436),
    [anon_sym_id] = ACTIONS(2436),
  },
  [537] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_include_token1] = ACTIONS(2448),
    [aux_sym_preproc_include_token2] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token2] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym___attribute] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___cdecl] = ACTIONS(2448),
    [anon_sym___clrcall] = ACTIONS(2448),
    [anon_sym___stdcall] = ACTIONS(2448),
    [anon_sym___fastcall] = ACTIONS(2448),
    [anon_sym___thiscall] = ACTIONS(2448),
    [anon_sym___vectorcall] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_ATautoreleasepool] = ACTIONS(2450),
    [anon_sym_auto] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_CG_EXTERN] = ACTIONS(2448),
    [anon_sym_CG_INLINE] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2448),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2448),
    [anon_sym_IBOutlet] = ACTIONS(2448),
    [anon_sym_IBInspectable] = ACTIONS(2448),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2448),
    [anon_sym_NS_INLINE] = ACTIONS(2448),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2448),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2448),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym__Nonnull] = ACTIONS(2448),
    [anon_sym_nullable] = ACTIONS(2448),
    [anon_sym__Complex] = ACTIONS(2448),
    [anon_sym__Nullable] = ACTIONS(2448),
    [anon_sym__Nullable_result] = ACTIONS(2448),
    [anon_sym__Null_unspecified] = ACTIONS(2448),
    [anon_sym___autoreleasing] = ACTIONS(2448),
    [anon_sym___block] = ACTIONS(2448),
    [anon_sym___bridge] = ACTIONS(2448),
    [anon_sym___bridge_retained] = ACTIONS(2448),
    [anon_sym___bridge_transfer] = ACTIONS(2448),
    [anon_sym___complex] = ACTIONS(2448),
    [anon_sym___const] = ACTIONS(2448),
    [anon_sym___imag] = ACTIONS(2448),
    [anon_sym___kindof] = ACTIONS(2448),
    [anon_sym___nonnull] = ACTIONS(2448),
    [anon_sym___nullable] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2448),
    [anon_sym___real] = ACTIONS(2448),
    [anon_sym___strong] = ACTIONS(2448),
    [anon_sym___unsafe_unretained] = ACTIONS(2448),
    [anon_sym___unused] = ACTIONS(2448),
    [anon_sym___weak] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym__Alignas] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_switch] = ACTIONS(2448),
    [anon_sym_case] = ACTIONS(2448),
    [anon_sym_default] = ACTIONS(2448),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_do] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_break] = ACTIONS(2448),
    [anon_sym_continue] = ACTIONS(2448),
    [anon_sym_goto] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_sizeof] = ACTIONS(2448),
    [anon_sym___alignof__] = ACTIONS(2448),
    [anon_sym___alignof] = ACTIONS(2448),
    [anon_sym__alignof] = ACTIONS(2448),
    [anon_sym_alignof] = ACTIONS(2448),
    [anon_sym__Alignof] = ACTIONS(2448),
    [anon_sym_offsetof] = ACTIONS(2448),
    [anon_sym__Generic] = ACTIONS(2448),
    [anon_sym_asm] = ACTIONS(2448),
    [anon_sym___asm__] = ACTIONS(2448),
    [anon_sym___asm] = ACTIONS(2448),
    [sym_number_literal] = ACTIONS(2450),
    [anon_sym_L_SQUOTE] = ACTIONS(2450),
    [anon_sym_u_SQUOTE] = ACTIONS(2450),
    [anon_sym_U_SQUOTE] = ACTIONS(2450),
    [anon_sym_u8_SQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_AT] = ACTIONS(2448),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_L_DQUOTE] = ACTIONS(2450),
    [anon_sym_u_DQUOTE] = ACTIONS(2450),
    [anon_sym_U_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8_DQUOTE] = ACTIONS(2450),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2448),
    [anon_sym_nullptr] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2448),
    [anon_sym___typeof] = ACTIONS(2448),
    [anon_sym_typeof] = ACTIONS(2448),
    [anon_sym_ATimport] = ACTIONS(2450),
    [aux_sym_preproc_undef_token1] = ACTIONS(2448),
    [anon_sym_POUND] = ACTIONS(2448),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2448),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2448),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2448),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_API_AVAILABLE] = ACTIONS(2448),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_API_DEPRECATED] = ACTIONS(2448),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym___deprecated_msg] = ACTIONS(2448),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2448),
    [anon_sym_ATprotocol] = ACTIONS(2450),
    [anon_sym_ATinterface] = ACTIONS(2450),
    [anon_sym_ATimplementation] = ACTIONS(2450),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2450),
    [anon_sym_ATsynthesize] = ACTIONS(2450),
    [anon_sym_ATdynamic] = ACTIONS(2450),
    [anon_sym_ATtry] = ACTIONS(2450),
    [anon_sym___try] = ACTIONS(2448),
    [anon_sym_ATthrow] = ACTIONS(2450),
    [anon_sym_ATselector] = ACTIONS(2450),
    [anon_sym_ATavailable] = ACTIONS(2450),
    [anon_sym___builtin_available] = ACTIONS(2448),
    [anon_sym_va_arg] = ACTIONS(2448),
    [anon_sym_ATencode] = ACTIONS(2450),
    [anon_sym_ATsynchronized] = ACTIONS(2450),
    [anon_sym_BOOL] = ACTIONS(2448),
    [anon_sym_IMP] = ACTIONS(2448),
    [anon_sym_SEL] = ACTIONS(2448),
    [anon_sym_Class] = ACTIONS(2448),
    [anon_sym_id] = ACTIONS(2448),
  },
  [538] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [539] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [540] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [541] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [542] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [543] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [544] = {
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_include_token1] = ACTIONS(2452),
    [aux_sym_preproc_include_token2] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token2] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_BANG] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym___attribute] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_ATautoreleasepool] = ACTIONS(2454),
    [anon_sym_auto] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_CG_EXTERN] = ACTIONS(2452),
    [anon_sym_CG_INLINE] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2452),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2452),
    [anon_sym_IBOutlet] = ACTIONS(2452),
    [anon_sym_IBInspectable] = ACTIONS(2452),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2452),
    [anon_sym_NS_INLINE] = ACTIONS(2452),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2452),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2452),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym__Nonnull] = ACTIONS(2452),
    [anon_sym_nullable] = ACTIONS(2452),
    [anon_sym__Complex] = ACTIONS(2452),
    [anon_sym__Nullable] = ACTIONS(2452),
    [anon_sym__Nullable_result] = ACTIONS(2452),
    [anon_sym__Null_unspecified] = ACTIONS(2452),
    [anon_sym___autoreleasing] = ACTIONS(2452),
    [anon_sym___block] = ACTIONS(2452),
    [anon_sym___bridge] = ACTIONS(2452),
    [anon_sym___bridge_retained] = ACTIONS(2452),
    [anon_sym___bridge_transfer] = ACTIONS(2452),
    [anon_sym___complex] = ACTIONS(2452),
    [anon_sym___const] = ACTIONS(2452),
    [anon_sym___imag] = ACTIONS(2452),
    [anon_sym___kindof] = ACTIONS(2452),
    [anon_sym___nonnull] = ACTIONS(2452),
    [anon_sym___nullable] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2452),
    [anon_sym___real] = ACTIONS(2452),
    [anon_sym___strong] = ACTIONS(2452),
    [anon_sym___unsafe_unretained] = ACTIONS(2452),
    [anon_sym___unused] = ACTIONS(2452),
    [anon_sym___weak] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym__Alignas] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(2452),
    [anon_sym_case] = ACTIONS(2452),
    [anon_sym_default] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_do] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_break] = ACTIONS(2452),
    [anon_sym_continue] = ACTIONS(2452),
    [anon_sym_goto] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(2454),
    [anon_sym_sizeof] = ACTIONS(2452),
    [anon_sym___alignof__] = ACTIONS(2452),
    [anon_sym___alignof] = ACTIONS(2452),
    [anon_sym__alignof] = ACTIONS(2452),
    [anon_sym_alignof] = ACTIONS(2452),
    [anon_sym__Alignof] = ACTIONS(2452),
    [anon_sym_offsetof] = ACTIONS(2452),
    [anon_sym__Generic] = ACTIONS(2452),
    [anon_sym_asm] = ACTIONS(2452),
    [anon_sym___asm__] = ACTIONS(2452),
    [anon_sym___asm] = ACTIONS(2452),
    [sym_number_literal] = ACTIONS(2454),
    [anon_sym_L_SQUOTE] = ACTIONS(2454),
    [anon_sym_u_SQUOTE] = ACTIONS(2454),
    [anon_sym_U_SQUOTE] = ACTIONS(2454),
    [anon_sym_u8_SQUOTE] = ACTIONS(2454),
    [anon_sym_SQUOTE] = ACTIONS(2454),
    [anon_sym_AT] = ACTIONS(2452),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_L_DQUOTE] = ACTIONS(2454),
    [anon_sym_u_DQUOTE] = ACTIONS(2454),
    [anon_sym_U_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8_DQUOTE] = ACTIONS(2454),
    [sym_true] = ACTIONS(2452),
    [sym_false] = ACTIONS(2452),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2452),
    [anon_sym___typeof] = ACTIONS(2452),
    [anon_sym_typeof] = ACTIONS(2452),
    [anon_sym_ATimport] = ACTIONS(2454),
    [aux_sym_preproc_undef_token1] = ACTIONS(2452),
    [anon_sym_POUND] = ACTIONS(2452),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2452),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2452),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2452),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_API_AVAILABLE] = ACTIONS(2452),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_API_DEPRECATED] = ACTIONS(2452),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym___deprecated_msg] = ACTIONS(2452),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2452),
    [anon_sym_ATprotocol] = ACTIONS(2454),
    [anon_sym_ATinterface] = ACTIONS(2454),
    [anon_sym_ATimplementation] = ACTIONS(2454),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2454),
    [anon_sym_ATsynthesize] = ACTIONS(2454),
    [anon_sym_ATdynamic] = ACTIONS(2454),
    [anon_sym_ATtry] = ACTIONS(2454),
    [anon_sym___try] = ACTIONS(2452),
    [anon_sym_ATthrow] = ACTIONS(2454),
    [anon_sym_ATselector] = ACTIONS(2454),
    [anon_sym_ATavailable] = ACTIONS(2454),
    [anon_sym___builtin_available] = ACTIONS(2452),
    [anon_sym_va_arg] = ACTIONS(2452),
    [anon_sym_ATencode] = ACTIONS(2454),
    [anon_sym_ATsynchronized] = ACTIONS(2454),
    [anon_sym_BOOL] = ACTIONS(2452),
    [anon_sym_IMP] = ACTIONS(2452),
    [anon_sym_SEL] = ACTIONS(2452),
    [anon_sym_Class] = ACTIONS(2452),
    [anon_sym_id] = ACTIONS(2452),
  },
  [545] = {
    [sym_identifier] = ACTIONS(2436),
    [aux_sym_preproc_include_token1] = ACTIONS(2436),
    [aux_sym_preproc_include_token2] = ACTIONS(2436),
    [aux_sym_preproc_def_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token2] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2436),
    [sym_preproc_directive] = ACTIONS(2436),
    [anon_sym_LPAREN2] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_CARET] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym___attribute] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym___cdecl] = ACTIONS(2436),
    [anon_sym___clrcall] = ACTIONS(2436),
    [anon_sym___stdcall] = ACTIONS(2436),
    [anon_sym___fastcall] = ACTIONS(2436),
    [anon_sym___thiscall] = ACTIONS(2436),
    [anon_sym___vectorcall] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_ATautoreleasepool] = ACTIONS(2438),
    [anon_sym_auto] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_CG_EXTERN] = ACTIONS(2436),
    [anon_sym_CG_INLINE] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2436),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2436),
    [anon_sym_IBOutlet] = ACTIONS(2436),
    [anon_sym_IBInspectable] = ACTIONS(2436),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2436),
    [anon_sym_NS_INLINE] = ACTIONS(2436),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2436),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2436),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym__Nonnull] = ACTIONS(2436),
    [anon_sym_nullable] = ACTIONS(2436),
    [anon_sym__Complex] = ACTIONS(2436),
    [anon_sym__Nullable] = ACTIONS(2436),
    [anon_sym__Nullable_result] = ACTIONS(2436),
    [anon_sym__Null_unspecified] = ACTIONS(2436),
    [anon_sym___autoreleasing] = ACTIONS(2436),
    [anon_sym___block] = ACTIONS(2436),
    [anon_sym___bridge] = ACTIONS(2436),
    [anon_sym___bridge_retained] = ACTIONS(2436),
    [anon_sym___bridge_transfer] = ACTIONS(2436),
    [anon_sym___complex] = ACTIONS(2436),
    [anon_sym___const] = ACTIONS(2436),
    [anon_sym___imag] = ACTIONS(2436),
    [anon_sym___kindof] = ACTIONS(2436),
    [anon_sym___nonnull] = ACTIONS(2436),
    [anon_sym___nullable] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2436),
    [anon_sym___real] = ACTIONS(2436),
    [anon_sym___strong] = ACTIONS(2436),
    [anon_sym___unsafe_unretained] = ACTIONS(2436),
    [anon_sym___unused] = ACTIONS(2436),
    [anon_sym___weak] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym__Alignas] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_else] = ACTIONS(2436),
    [anon_sym_switch] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(2436),
    [anon_sym_default] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_in] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2436),
    [anon_sym_break] = ACTIONS(2436),
    [anon_sym_continue] = ACTIONS(2436),
    [anon_sym_goto] = ACTIONS(2436),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_sizeof] = ACTIONS(2436),
    [anon_sym___alignof__] = ACTIONS(2436),
    [anon_sym___alignof] = ACTIONS(2436),
    [anon_sym__alignof] = ACTIONS(2436),
    [anon_sym_alignof] = ACTIONS(2436),
    [anon_sym__Alignof] = ACTIONS(2436),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2436),
    [anon_sym_asm] = ACTIONS(2436),
    [anon_sym___asm__] = ACTIONS(2436),
    [anon_sym___asm] = ACTIONS(2436),
    [sym_number_literal] = ACTIONS(2438),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_AT] = ACTIONS(2436),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2438),
    [anon_sym_u_DQUOTE] = ACTIONS(2438),
    [anon_sym_U_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8_DQUOTE] = ACTIONS(2438),
    [sym_true] = ACTIONS(2436),
    [sym_false] = ACTIONS(2436),
    [anon_sym_NULL] = ACTIONS(2436),
    [anon_sym_nullptr] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2436),
    [anon_sym___typeof] = ACTIONS(2436),
    [anon_sym_typeof] = ACTIONS(2436),
    [anon_sym_ATimport] = ACTIONS(2438),
    [aux_sym_preproc_undef_token1] = ACTIONS(2436),
    [anon_sym_POUND] = ACTIONS(2436),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2436),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2436),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2436),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_API_AVAILABLE] = ACTIONS(2436),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_API_DEPRECATED] = ACTIONS(2436),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym___deprecated_msg] = ACTIONS(2436),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2436),
    [anon_sym_ATprotocol] = ACTIONS(2438),
    [anon_sym_ATinterface] = ACTIONS(2438),
    [anon_sym_ATimplementation] = ACTIONS(2438),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2438),
    [anon_sym_ATsynthesize] = ACTIONS(2438),
    [anon_sym_ATdynamic] = ACTIONS(2438),
    [anon_sym_ATtry] = ACTIONS(2438),
    [anon_sym___try] = ACTIONS(2436),
    [anon_sym_ATthrow] = ACTIONS(2438),
    [anon_sym_ATselector] = ACTIONS(2438),
    [anon_sym_ATavailable] = ACTIONS(2438),
    [anon_sym___builtin_available] = ACTIONS(2436),
    [anon_sym_va_arg] = ACTIONS(2436),
    [anon_sym_ATencode] = ACTIONS(2438),
    [anon_sym_ATsynchronized] = ACTIONS(2438),
    [anon_sym_BOOL] = ACTIONS(2436),
    [anon_sym_IMP] = ACTIONS(2436),
    [anon_sym_SEL] = ACTIONS(2436),
    [anon_sym_Class] = ACTIONS(2436),
    [anon_sym_id] = ACTIONS(2436),
  },
  [546] = {
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_include_token1] = ACTIONS(2452),
    [aux_sym_preproc_include_token2] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token2] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_BANG] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym___attribute] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_ATautoreleasepool] = ACTIONS(2454),
    [anon_sym_auto] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_CG_EXTERN] = ACTIONS(2452),
    [anon_sym_CG_INLINE] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2452),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2452),
    [anon_sym_IBOutlet] = ACTIONS(2452),
    [anon_sym_IBInspectable] = ACTIONS(2452),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2452),
    [anon_sym_NS_INLINE] = ACTIONS(2452),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2452),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2452),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym__Nonnull] = ACTIONS(2452),
    [anon_sym_nullable] = ACTIONS(2452),
    [anon_sym__Complex] = ACTIONS(2452),
    [anon_sym__Nullable] = ACTIONS(2452),
    [anon_sym__Nullable_result] = ACTIONS(2452),
    [anon_sym__Null_unspecified] = ACTIONS(2452),
    [anon_sym___autoreleasing] = ACTIONS(2452),
    [anon_sym___block] = ACTIONS(2452),
    [anon_sym___bridge] = ACTIONS(2452),
    [anon_sym___bridge_retained] = ACTIONS(2452),
    [anon_sym___bridge_transfer] = ACTIONS(2452),
    [anon_sym___complex] = ACTIONS(2452),
    [anon_sym___const] = ACTIONS(2452),
    [anon_sym___imag] = ACTIONS(2452),
    [anon_sym___kindof] = ACTIONS(2452),
    [anon_sym___nonnull] = ACTIONS(2452),
    [anon_sym___nullable] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2452),
    [anon_sym___real] = ACTIONS(2452),
    [anon_sym___strong] = ACTIONS(2452),
    [anon_sym___unsafe_unretained] = ACTIONS(2452),
    [anon_sym___unused] = ACTIONS(2452),
    [anon_sym___weak] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym__Alignas] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(2452),
    [anon_sym_case] = ACTIONS(2452),
    [anon_sym_default] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_do] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_break] = ACTIONS(2452),
    [anon_sym_continue] = ACTIONS(2452),
    [anon_sym_goto] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(2454),
    [anon_sym_sizeof] = ACTIONS(2452),
    [anon_sym___alignof__] = ACTIONS(2452),
    [anon_sym___alignof] = ACTIONS(2452),
    [anon_sym__alignof] = ACTIONS(2452),
    [anon_sym_alignof] = ACTIONS(2452),
    [anon_sym__Alignof] = ACTIONS(2452),
    [anon_sym_offsetof] = ACTIONS(2452),
    [anon_sym__Generic] = ACTIONS(2452),
    [anon_sym_asm] = ACTIONS(2452),
    [anon_sym___asm__] = ACTIONS(2452),
    [anon_sym___asm] = ACTIONS(2452),
    [sym_number_literal] = ACTIONS(2454),
    [anon_sym_L_SQUOTE] = ACTIONS(2454),
    [anon_sym_u_SQUOTE] = ACTIONS(2454),
    [anon_sym_U_SQUOTE] = ACTIONS(2454),
    [anon_sym_u8_SQUOTE] = ACTIONS(2454),
    [anon_sym_SQUOTE] = ACTIONS(2454),
    [anon_sym_AT] = ACTIONS(2452),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_L_DQUOTE] = ACTIONS(2454),
    [anon_sym_u_DQUOTE] = ACTIONS(2454),
    [anon_sym_U_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8_DQUOTE] = ACTIONS(2454),
    [sym_true] = ACTIONS(2452),
    [sym_false] = ACTIONS(2452),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2452),
    [anon_sym___typeof] = ACTIONS(2452),
    [anon_sym_typeof] = ACTIONS(2452),
    [anon_sym_ATimport] = ACTIONS(2454),
    [aux_sym_preproc_undef_token1] = ACTIONS(2452),
    [anon_sym_POUND] = ACTIONS(2452),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2452),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2452),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2452),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_API_AVAILABLE] = ACTIONS(2452),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_API_DEPRECATED] = ACTIONS(2452),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym___deprecated_msg] = ACTIONS(2452),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2452),
    [anon_sym_ATprotocol] = ACTIONS(2454),
    [anon_sym_ATinterface] = ACTIONS(2454),
    [anon_sym_ATimplementation] = ACTIONS(2454),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2454),
    [anon_sym_ATsynthesize] = ACTIONS(2454),
    [anon_sym_ATdynamic] = ACTIONS(2454),
    [anon_sym_ATtry] = ACTIONS(2454),
    [anon_sym___try] = ACTIONS(2452),
    [anon_sym_ATthrow] = ACTIONS(2454),
    [anon_sym_ATselector] = ACTIONS(2454),
    [anon_sym_ATavailable] = ACTIONS(2454),
    [anon_sym___builtin_available] = ACTIONS(2452),
    [anon_sym_va_arg] = ACTIONS(2452),
    [anon_sym_ATencode] = ACTIONS(2454),
    [anon_sym_ATsynchronized] = ACTIONS(2454),
    [anon_sym_BOOL] = ACTIONS(2452),
    [anon_sym_IMP] = ACTIONS(2452),
    [anon_sym_SEL] = ACTIONS(2452),
    [anon_sym_Class] = ACTIONS(2452),
    [anon_sym_id] = ACTIONS(2452),
  },
  [547] = {
    [sym_expression] = STATE(1636),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1984),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1984),
    [sym_call_expression] = STATE(1984),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1984),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1984),
    [sym_initializer_list] = STATE(1676),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2220),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2222),
    [anon_sym_COMMA] = ACTIONS(2222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2222),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2222),
    [anon_sym_LPAREN2] = ACTIONS(2222),
    [anon_sym_BANG] = ACTIONS(2886),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2220),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_STAR] = ACTIONS(2222),
    [anon_sym_SLASH] = ACTIONS(2220),
    [anon_sym_PERCENT] = ACTIONS(2222),
    [anon_sym_PIPE_PIPE] = ACTIONS(2222),
    [anon_sym_AMP_AMP] = ACTIONS(2222),
    [anon_sym_PIPE] = ACTIONS(2220),
    [anon_sym_CARET] = ACTIONS(2222),
    [anon_sym_AMP] = ACTIONS(2220),
    [anon_sym_EQ_EQ] = ACTIONS(2222),
    [anon_sym_BANG_EQ] = ACTIONS(2222),
    [anon_sym_GT] = ACTIONS(2220),
    [anon_sym_GT_EQ] = ACTIONS(2222),
    [anon_sym_LT_EQ] = ACTIONS(2222),
    [anon_sym_LT] = ACTIONS(2220),
    [anon_sym_LT_LT] = ACTIONS(2222),
    [anon_sym_GT_GT] = ACTIONS(2222),
    [anon_sym___extension__] = ACTIONS(2220),
    [anon_sym_extern] = ACTIONS(2220),
    [anon_sym___attribute__] = ACTIONS(2220),
    [anon_sym___attribute] = ACTIONS(2220),
    [anon_sym_noreturn] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2222),
    [anon_sym___declspec] = ACTIONS(2220),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_RBRACE] = ACTIONS(2222),
    [anon_sym_static] = ACTIONS(2220),
    [anon_sym_auto] = ACTIONS(2220),
    [anon_sym_register] = ACTIONS(2220),
    [anon_sym_inline] = ACTIONS(2220),
    [anon_sym___inline] = ACTIONS(2220),
    [anon_sym___inline__] = ACTIONS(2220),
    [anon_sym___forceinline] = ACTIONS(2220),
    [anon_sym_thread_local] = ACTIONS(2220),
    [anon_sym___thread] = ACTIONS(2220),
    [anon_sym_CG_EXTERN] = ACTIONS(2220),
    [anon_sym_CG_INLINE] = ACTIONS(2220),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2220),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2220),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2220),
    [anon_sym_IBOutlet] = ACTIONS(2220),
    [anon_sym_IBInspectable] = ACTIONS(2220),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2220),
    [anon_sym_NS_INLINE] = ACTIONS(2220),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2220),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2220),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2220),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2220),
    [anon_sym_const] = ACTIONS(2220),
    [anon_sym_constexpr] = ACTIONS(2220),
    [anon_sym_volatile] = ACTIONS(2220),
    [anon_sym_restrict] = ACTIONS(2220),
    [anon_sym___restrict__] = ACTIONS(2220),
    [anon_sym__Atomic] = ACTIONS(2220),
    [anon_sym__Noreturn] = ACTIONS(2220),
    [anon_sym__Nonnull] = ACTIONS(2220),
    [anon_sym_nullable] = ACTIONS(2220),
    [anon_sym__Complex] = ACTIONS(2220),
    [anon_sym__Nullable] = ACTIONS(2220),
    [anon_sym__Nullable_result] = ACTIONS(2220),
    [anon_sym__Null_unspecified] = ACTIONS(2220),
    [anon_sym___autoreleasing] = ACTIONS(2220),
    [anon_sym___block] = ACTIONS(2220),
    [anon_sym___bridge] = ACTIONS(2220),
    [anon_sym___bridge_retained] = ACTIONS(2220),
    [anon_sym___bridge_transfer] = ACTIONS(2220),
    [anon_sym___complex] = ACTIONS(2220),
    [anon_sym___const] = ACTIONS(2220),
    [anon_sym___imag] = ACTIONS(2220),
    [anon_sym___kindof] = ACTIONS(2220),
    [anon_sym___nonnull] = ACTIONS(2220),
    [anon_sym___nullable] = ACTIONS(2220),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2220),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2220),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2220),
    [anon_sym___real] = ACTIONS(2220),
    [anon_sym___strong] = ACTIONS(2220),
    [anon_sym___unsafe_unretained] = ACTIONS(2220),
    [anon_sym___unused] = ACTIONS(2220),
    [anon_sym___weak] = ACTIONS(2220),
    [anon_sym_alignas] = ACTIONS(2220),
    [anon_sym__Alignas] = ACTIONS(2220),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(2222),
    [anon_sym_DASH_DASH] = ACTIONS(2222),
    [anon_sym_PLUS_PLUS] = ACTIONS(2222),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [anon_sym_DOT] = ACTIONS(2220),
    [anon_sym_DASH_GT] = ACTIONS(2222),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2220),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2220),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2220),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2220),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2220),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2220),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2220),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2220),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2220),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2220),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2220),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2220),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2220),
    [anon_sym_API_AVAILABLE] = ACTIONS(2220),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2220),
    [anon_sym_API_DEPRECATED] = ACTIONS(2220),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2220),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2220),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2220),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2220),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2220),
    [anon_sym___deprecated_msg] = ACTIONS(2220),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2220),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2220),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2220),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2220),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2220),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2220),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2220),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [548] = {
    [sym_catch_clause] = STATE(548),
    [aux_sym_try_statement_repeat1] = STATE(548),
    [ts_builtin_sym_end] = ACTIONS(2320),
    [sym_identifier] = ACTIONS(2318),
    [aux_sym_preproc_include_token1] = ACTIONS(2318),
    [aux_sym_preproc_include_token2] = ACTIONS(2318),
    [aux_sym_preproc_def_token1] = ACTIONS(2318),
    [aux_sym_preproc_if_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2318),
    [sym_preproc_directive] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_BANG] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_SEMI] = ACTIONS(2320),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_typedef] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym___attribute] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym___cdecl] = ACTIONS(2318),
    [anon_sym___clrcall] = ACTIONS(2318),
    [anon_sym___stdcall] = ACTIONS(2318),
    [anon_sym___fastcall] = ACTIONS(2318),
    [anon_sym___thiscall] = ACTIONS(2318),
    [anon_sym___vectorcall] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_ATautoreleasepool] = ACTIONS(2320),
    [anon_sym_auto] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_CG_EXTERN] = ACTIONS(2318),
    [anon_sym_CG_INLINE] = ACTIONS(2318),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2318),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2318),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2318),
    [anon_sym_IBOutlet] = ACTIONS(2318),
    [anon_sym_IBInspectable] = ACTIONS(2318),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2318),
    [anon_sym_NS_INLINE] = ACTIONS(2318),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2318),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2318),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2318),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym__Nonnull] = ACTIONS(2318),
    [anon_sym_nullable] = ACTIONS(2318),
    [anon_sym__Complex] = ACTIONS(2318),
    [anon_sym__Nullable] = ACTIONS(2318),
    [anon_sym__Nullable_result] = ACTIONS(2318),
    [anon_sym__Null_unspecified] = ACTIONS(2318),
    [anon_sym___autoreleasing] = ACTIONS(2318),
    [anon_sym___block] = ACTIONS(2318),
    [anon_sym___bridge] = ACTIONS(2318),
    [anon_sym___bridge_retained] = ACTIONS(2318),
    [anon_sym___bridge_transfer] = ACTIONS(2318),
    [anon_sym___complex] = ACTIONS(2318),
    [anon_sym___const] = ACTIONS(2318),
    [anon_sym___imag] = ACTIONS(2318),
    [anon_sym___kindof] = ACTIONS(2318),
    [anon_sym___nonnull] = ACTIONS(2318),
    [anon_sym___nullable] = ACTIONS(2318),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2318),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2318),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2318),
    [anon_sym___real] = ACTIONS(2318),
    [anon_sym___strong] = ACTIONS(2318),
    [anon_sym___unsafe_unretained] = ACTIONS(2318),
    [anon_sym___unused] = ACTIONS(2318),
    [anon_sym___weak] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym__Alignas] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_else] = ACTIONS(2318),
    [anon_sym_switch] = ACTIONS(2318),
    [anon_sym_case] = ACTIONS(2318),
    [anon_sym_default] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_do] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_break] = ACTIONS(2318),
    [anon_sym_continue] = ACTIONS(2318),
    [anon_sym_goto] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2320),
    [anon_sym_sizeof] = ACTIONS(2318),
    [anon_sym___alignof__] = ACTIONS(2318),
    [anon_sym___alignof] = ACTIONS(2318),
    [anon_sym__alignof] = ACTIONS(2318),
    [anon_sym_alignof] = ACTIONS(2318),
    [anon_sym__Alignof] = ACTIONS(2318),
    [anon_sym_offsetof] = ACTIONS(2318),
    [anon_sym__Generic] = ACTIONS(2318),
    [anon_sym_asm] = ACTIONS(2318),
    [anon_sym___asm__] = ACTIONS(2318),
    [anon_sym___asm] = ACTIONS(2318),
    [sym_number_literal] = ACTIONS(2320),
    [anon_sym_L_SQUOTE] = ACTIONS(2320),
    [anon_sym_u_SQUOTE] = ACTIONS(2320),
    [anon_sym_U_SQUOTE] = ACTIONS(2320),
    [anon_sym_u8_SQUOTE] = ACTIONS(2320),
    [anon_sym_SQUOTE] = ACTIONS(2320),
    [anon_sym_AT] = ACTIONS(2318),
    [anon_sym_DQUOTE] = ACTIONS(2320),
    [anon_sym_L_DQUOTE] = ACTIONS(2320),
    [anon_sym_u_DQUOTE] = ACTIONS(2320),
    [anon_sym_U_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8_DQUOTE] = ACTIONS(2320),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2318),
    [anon_sym_nullptr] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2318),
    [anon_sym___typeof] = ACTIONS(2318),
    [anon_sym_typeof] = ACTIONS(2318),
    [anon_sym_ATimport] = ACTIONS(2320),
    [aux_sym_preproc_undef_token1] = ACTIONS(2318),
    [anon_sym_POUND] = ACTIONS(2318),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2318),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2318),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2318),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2318),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2318),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2318),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2318),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2318),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2318),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_API_AVAILABLE] = ACTIONS(2318),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_API_DEPRECATED] = ACTIONS(2318),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2318),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2318),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2318),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2318),
    [anon_sym___deprecated_msg] = ACTIONS(2318),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2318),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2318),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2318),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2318),
    [anon_sym_ATprotocol] = ACTIONS(2320),
    [anon_sym_ATinterface] = ACTIONS(2320),
    [anon_sym_ATimplementation] = ACTIONS(2320),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2320),
    [anon_sym_ATcatch] = ACTIONS(2896),
    [anon_sym___catch] = ACTIONS(2899),
    [anon_sym_ATfinally] = ACTIONS(2320),
    [anon_sym___finally] = ACTIONS(2318),
    [anon_sym_ATselector] = ACTIONS(2320),
    [anon_sym_ATavailable] = ACTIONS(2320),
    [anon_sym___builtin_available] = ACTIONS(2318),
    [anon_sym_va_arg] = ACTIONS(2318),
    [anon_sym_ATencode] = ACTIONS(2320),
    [anon_sym_BOOL] = ACTIONS(2318),
    [anon_sym_IMP] = ACTIONS(2318),
    [anon_sym_SEL] = ACTIONS(2318),
    [anon_sym_Class] = ACTIONS(2318),
    [anon_sym_id] = ACTIONS(2318),
  },
  [549] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_include_token1] = ACTIONS(2448),
    [aux_sym_preproc_include_token2] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token2] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym___attribute] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___cdecl] = ACTIONS(2448),
    [anon_sym___clrcall] = ACTIONS(2448),
    [anon_sym___stdcall] = ACTIONS(2448),
    [anon_sym___fastcall] = ACTIONS(2448),
    [anon_sym___thiscall] = ACTIONS(2448),
    [anon_sym___vectorcall] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_ATautoreleasepool] = ACTIONS(2450),
    [anon_sym_auto] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_CG_EXTERN] = ACTIONS(2448),
    [anon_sym_CG_INLINE] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2448),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2448),
    [anon_sym_IBOutlet] = ACTIONS(2448),
    [anon_sym_IBInspectable] = ACTIONS(2448),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2448),
    [anon_sym_NS_INLINE] = ACTIONS(2448),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2448),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2448),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym__Nonnull] = ACTIONS(2448),
    [anon_sym_nullable] = ACTIONS(2448),
    [anon_sym__Complex] = ACTIONS(2448),
    [anon_sym__Nullable] = ACTIONS(2448),
    [anon_sym__Nullable_result] = ACTIONS(2448),
    [anon_sym__Null_unspecified] = ACTIONS(2448),
    [anon_sym___autoreleasing] = ACTIONS(2448),
    [anon_sym___block] = ACTIONS(2448),
    [anon_sym___bridge] = ACTIONS(2448),
    [anon_sym___bridge_retained] = ACTIONS(2448),
    [anon_sym___bridge_transfer] = ACTIONS(2448),
    [anon_sym___complex] = ACTIONS(2448),
    [anon_sym___const] = ACTIONS(2448),
    [anon_sym___imag] = ACTIONS(2448),
    [anon_sym___kindof] = ACTIONS(2448),
    [anon_sym___nonnull] = ACTIONS(2448),
    [anon_sym___nullable] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2448),
    [anon_sym___real] = ACTIONS(2448),
    [anon_sym___strong] = ACTIONS(2448),
    [anon_sym___unsafe_unretained] = ACTIONS(2448),
    [anon_sym___unused] = ACTIONS(2448),
    [anon_sym___weak] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym__Alignas] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_switch] = ACTIONS(2448),
    [anon_sym_case] = ACTIONS(2448),
    [anon_sym_default] = ACTIONS(2448),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_do] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_break] = ACTIONS(2448),
    [anon_sym_continue] = ACTIONS(2448),
    [anon_sym_goto] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_sizeof] = ACTIONS(2448),
    [anon_sym___alignof__] = ACTIONS(2448),
    [anon_sym___alignof] = ACTIONS(2448),
    [anon_sym__alignof] = ACTIONS(2448),
    [anon_sym_alignof] = ACTIONS(2448),
    [anon_sym__Alignof] = ACTIONS(2448),
    [anon_sym_offsetof] = ACTIONS(2448),
    [anon_sym__Generic] = ACTIONS(2448),
    [anon_sym_asm] = ACTIONS(2448),
    [anon_sym___asm__] = ACTIONS(2448),
    [anon_sym___asm] = ACTIONS(2448),
    [sym_number_literal] = ACTIONS(2450),
    [anon_sym_L_SQUOTE] = ACTIONS(2450),
    [anon_sym_u_SQUOTE] = ACTIONS(2450),
    [anon_sym_U_SQUOTE] = ACTIONS(2450),
    [anon_sym_u8_SQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_AT] = ACTIONS(2448),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_L_DQUOTE] = ACTIONS(2450),
    [anon_sym_u_DQUOTE] = ACTIONS(2450),
    [anon_sym_U_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8_DQUOTE] = ACTIONS(2450),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2448),
    [anon_sym_nullptr] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2448),
    [anon_sym___typeof] = ACTIONS(2448),
    [anon_sym_typeof] = ACTIONS(2448),
    [anon_sym_ATimport] = ACTIONS(2450),
    [aux_sym_preproc_undef_token1] = ACTIONS(2448),
    [anon_sym_POUND] = ACTIONS(2448),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2448),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2448),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2448),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_API_AVAILABLE] = ACTIONS(2448),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_API_DEPRECATED] = ACTIONS(2448),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym___deprecated_msg] = ACTIONS(2448),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2448),
    [anon_sym_ATprotocol] = ACTIONS(2450),
    [anon_sym_ATinterface] = ACTIONS(2450),
    [anon_sym_ATimplementation] = ACTIONS(2450),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2450),
    [anon_sym_ATsynthesize] = ACTIONS(2450),
    [anon_sym_ATdynamic] = ACTIONS(2450),
    [anon_sym_ATtry] = ACTIONS(2450),
    [anon_sym___try] = ACTIONS(2448),
    [anon_sym_ATthrow] = ACTIONS(2450),
    [anon_sym_ATselector] = ACTIONS(2450),
    [anon_sym_ATavailable] = ACTIONS(2450),
    [anon_sym___builtin_available] = ACTIONS(2448),
    [anon_sym_va_arg] = ACTIONS(2448),
    [anon_sym_ATencode] = ACTIONS(2450),
    [anon_sym_ATsynchronized] = ACTIONS(2450),
    [anon_sym_BOOL] = ACTIONS(2448),
    [anon_sym_IMP] = ACTIONS(2448),
    [anon_sym_SEL] = ACTIONS(2448),
    [anon_sym_Class] = ACTIONS(2448),
    [anon_sym_id] = ACTIONS(2448),
  },
  [550] = {
    [sym_identifier] = ACTIONS(2512),
    [aux_sym_preproc_include_token1] = ACTIONS(2512),
    [aux_sym_preproc_include_token2] = ACTIONS(2512),
    [aux_sym_preproc_def_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token2] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2512),
    [sym_preproc_directive] = ACTIONS(2512),
    [anon_sym_LPAREN2] = ACTIONS(2514),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_CARET] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_typedef] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym___attribute] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym___cdecl] = ACTIONS(2512),
    [anon_sym___clrcall] = ACTIONS(2512),
    [anon_sym___stdcall] = ACTIONS(2512),
    [anon_sym___fastcall] = ACTIONS(2512),
    [anon_sym___thiscall] = ACTIONS(2512),
    [anon_sym___vectorcall] = ACTIONS(2512),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_ATautoreleasepool] = ACTIONS(2514),
    [anon_sym_auto] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_CG_EXTERN] = ACTIONS(2512),
    [anon_sym_CG_INLINE] = ACTIONS(2512),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2512),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2512),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2512),
    [anon_sym_IBOutlet] = ACTIONS(2512),
    [anon_sym_IBInspectable] = ACTIONS(2512),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2512),
    [anon_sym_NS_INLINE] = ACTIONS(2512),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2512),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2512),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2512),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym__Nonnull] = ACTIONS(2512),
    [anon_sym_nullable] = ACTIONS(2512),
    [anon_sym__Complex] = ACTIONS(2512),
    [anon_sym__Nullable] = ACTIONS(2512),
    [anon_sym__Nullable_result] = ACTIONS(2512),
    [anon_sym__Null_unspecified] = ACTIONS(2512),
    [anon_sym___autoreleasing] = ACTIONS(2512),
    [anon_sym___block] = ACTIONS(2512),
    [anon_sym___bridge] = ACTIONS(2512),
    [anon_sym___bridge_retained] = ACTIONS(2512),
    [anon_sym___bridge_transfer] = ACTIONS(2512),
    [anon_sym___complex] = ACTIONS(2512),
    [anon_sym___const] = ACTIONS(2512),
    [anon_sym___imag] = ACTIONS(2512),
    [anon_sym___kindof] = ACTIONS(2512),
    [anon_sym___nonnull] = ACTIONS(2512),
    [anon_sym___nullable] = ACTIONS(2512),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2512),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2512),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2512),
    [anon_sym___real] = ACTIONS(2512),
    [anon_sym___strong] = ACTIONS(2512),
    [anon_sym___unsafe_unretained] = ACTIONS(2512),
    [anon_sym___unused] = ACTIONS(2512),
    [anon_sym___weak] = ACTIONS(2512),
    [anon_sym_alignas] = ACTIONS(2512),
    [anon_sym__Alignas] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(2512),
    [anon_sym_else] = ACTIONS(2512),
    [anon_sym_switch] = ACTIONS(2512),
    [anon_sym_case] = ACTIONS(2512),
    [anon_sym_default] = ACTIONS(2512),
    [anon_sym_while] = ACTIONS(2512),
    [anon_sym_do] = ACTIONS(2512),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_in] = ACTIONS(2512),
    [anon_sym_return] = ACTIONS(2512),
    [anon_sym_break] = ACTIONS(2512),
    [anon_sym_continue] = ACTIONS(2512),
    [anon_sym_goto] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_sizeof] = ACTIONS(2512),
    [anon_sym___alignof__] = ACTIONS(2512),
    [anon_sym___alignof] = ACTIONS(2512),
    [anon_sym__alignof] = ACTIONS(2512),
    [anon_sym_alignof] = ACTIONS(2512),
    [anon_sym__Alignof] = ACTIONS(2512),
    [anon_sym_offsetof] = ACTIONS(2512),
    [anon_sym__Generic] = ACTIONS(2512),
    [anon_sym_asm] = ACTIONS(2512),
    [anon_sym___asm__] = ACTIONS(2512),
    [anon_sym___asm] = ACTIONS(2512),
    [sym_number_literal] = ACTIONS(2514),
    [anon_sym_L_SQUOTE] = ACTIONS(2514),
    [anon_sym_u_SQUOTE] = ACTIONS(2514),
    [anon_sym_U_SQUOTE] = ACTIONS(2514),
    [anon_sym_u8_SQUOTE] = ACTIONS(2514),
    [anon_sym_SQUOTE] = ACTIONS(2514),
    [anon_sym_AT] = ACTIONS(2512),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_L_DQUOTE] = ACTIONS(2514),
    [anon_sym_u_DQUOTE] = ACTIONS(2514),
    [anon_sym_U_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8_DQUOTE] = ACTIONS(2514),
    [sym_true] = ACTIONS(2512),
    [sym_false] = ACTIONS(2512),
    [anon_sym_NULL] = ACTIONS(2512),
    [anon_sym_nullptr] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2512),
    [anon_sym___typeof] = ACTIONS(2512),
    [anon_sym_typeof] = ACTIONS(2512),
    [anon_sym_ATimport] = ACTIONS(2514),
    [aux_sym_preproc_undef_token1] = ACTIONS(2512),
    [anon_sym_POUND] = ACTIONS(2512),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2512),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2512),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2512),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2512),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2512),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2512),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2512),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2512),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2512),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_API_AVAILABLE] = ACTIONS(2512),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_API_DEPRECATED] = ACTIONS(2512),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2512),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2512),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2512),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2512),
    [anon_sym___deprecated_msg] = ACTIONS(2512),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2512),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2512),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2512),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2512),
    [anon_sym_ATprotocol] = ACTIONS(2514),
    [anon_sym_ATinterface] = ACTIONS(2514),
    [anon_sym_ATimplementation] = ACTIONS(2514),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2514),
    [anon_sym_ATsynthesize] = ACTIONS(2514),
    [anon_sym_ATdynamic] = ACTIONS(2514),
    [anon_sym_ATtry] = ACTIONS(2514),
    [anon_sym___try] = ACTIONS(2512),
    [anon_sym_ATthrow] = ACTIONS(2514),
    [anon_sym_ATselector] = ACTIONS(2514),
    [anon_sym_ATavailable] = ACTIONS(2514),
    [anon_sym___builtin_available] = ACTIONS(2512),
    [anon_sym_va_arg] = ACTIONS(2512),
    [anon_sym_ATencode] = ACTIONS(2514),
    [anon_sym_ATsynchronized] = ACTIONS(2514),
    [anon_sym_BOOL] = ACTIONS(2512),
    [anon_sym_IMP] = ACTIONS(2512),
    [anon_sym_SEL] = ACTIONS(2512),
    [anon_sym_Class] = ACTIONS(2512),
    [anon_sym_id] = ACTIONS(2512),
  },
  [551] = {
    [sym_identifier] = ACTIONS(2470),
    [aux_sym_preproc_include_token1] = ACTIONS(2470),
    [aux_sym_preproc_include_token2] = ACTIONS(2470),
    [aux_sym_preproc_def_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token2] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2470),
    [sym_preproc_directive] = ACTIONS(2470),
    [anon_sym_LPAREN2] = ACTIONS(2472),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_CARET] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2470),
    [anon_sym_extern] = ACTIONS(2470),
    [anon_sym___attribute__] = ACTIONS(2470),
    [anon_sym___attribute] = ACTIONS(2470),
    [anon_sym_noreturn] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym___declspec] = ACTIONS(2470),
    [anon_sym___cdecl] = ACTIONS(2470),
    [anon_sym___clrcall] = ACTIONS(2470),
    [anon_sym___stdcall] = ACTIONS(2470),
    [anon_sym___fastcall] = ACTIONS(2470),
    [anon_sym___thiscall] = ACTIONS(2470),
    [anon_sym___vectorcall] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_signed] = ACTIONS(2470),
    [anon_sym_unsigned] = ACTIONS(2470),
    [anon_sym_long] = ACTIONS(2470),
    [anon_sym_short] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_ATautoreleasepool] = ACTIONS(2472),
    [anon_sym_auto] = ACTIONS(2470),
    [anon_sym_register] = ACTIONS(2470),
    [anon_sym_inline] = ACTIONS(2470),
    [anon_sym___inline] = ACTIONS(2470),
    [anon_sym___inline__] = ACTIONS(2470),
    [anon_sym___forceinline] = ACTIONS(2470),
    [anon_sym_thread_local] = ACTIONS(2470),
    [anon_sym___thread] = ACTIONS(2470),
    [anon_sym_CG_EXTERN] = ACTIONS(2470),
    [anon_sym_CG_INLINE] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2470),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2470),
    [anon_sym_IBOutlet] = ACTIONS(2470),
    [anon_sym_IBInspectable] = ACTIONS(2470),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2470),
    [anon_sym_NS_INLINE] = ACTIONS(2470),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2470),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2470),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2470),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_constexpr] = ACTIONS(2470),
    [anon_sym_volatile] = ACTIONS(2470),
    [anon_sym_restrict] = ACTIONS(2470),
    [anon_sym___restrict__] = ACTIONS(2470),
    [anon_sym__Atomic] = ACTIONS(2470),
    [anon_sym__Noreturn] = ACTIONS(2470),
    [anon_sym__Nonnull] = ACTIONS(2470),
    [anon_sym_nullable] = ACTIONS(2470),
    [anon_sym__Complex] = ACTIONS(2470),
    [anon_sym__Nullable] = ACTIONS(2470),
    [anon_sym__Nullable_result] = ACTIONS(2470),
    [anon_sym__Null_unspecified] = ACTIONS(2470),
    [anon_sym___autoreleasing] = ACTIONS(2470),
    [anon_sym___block] = ACTIONS(2470),
    [anon_sym___bridge] = ACTIONS(2470),
    [anon_sym___bridge_retained] = ACTIONS(2470),
    [anon_sym___bridge_transfer] = ACTIONS(2470),
    [anon_sym___complex] = ACTIONS(2470),
    [anon_sym___const] = ACTIONS(2470),
    [anon_sym___imag] = ACTIONS(2470),
    [anon_sym___kindof] = ACTIONS(2470),
    [anon_sym___nonnull] = ACTIONS(2470),
    [anon_sym___nullable] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2470),
    [anon_sym___real] = ACTIONS(2470),
    [anon_sym___strong] = ACTIONS(2470),
    [anon_sym___unsafe_unretained] = ACTIONS(2470),
    [anon_sym___unused] = ACTIONS(2470),
    [anon_sym___weak] = ACTIONS(2470),
    [anon_sym_alignas] = ACTIONS(2470),
    [anon_sym__Alignas] = ACTIONS(2470),
    [sym_primitive_type] = ACTIONS(2470),
    [anon_sym_enum] = ACTIONS(2470),
    [anon_sym_struct] = ACTIONS(2470),
    [anon_sym_union] = ACTIONS(2470),
    [anon_sym_if] = ACTIONS(2470),
    [anon_sym_else] = ACTIONS(2470),
    [anon_sym_switch] = ACTIONS(2470),
    [anon_sym_case] = ACTIONS(2470),
    [anon_sym_default] = ACTIONS(2470),
    [anon_sym_while] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_in] = ACTIONS(2470),
    [anon_sym_return] = ACTIONS(2470),
    [anon_sym_break] = ACTIONS(2470),
    [anon_sym_continue] = ACTIONS(2470),
    [anon_sym_goto] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_PLUS] = ACTIONS(2472),
    [anon_sym_sizeof] = ACTIONS(2470),
    [anon_sym___alignof__] = ACTIONS(2470),
    [anon_sym___alignof] = ACTIONS(2470),
    [anon_sym__alignof] = ACTIONS(2470),
    [anon_sym_alignof] = ACTIONS(2470),
    [anon_sym__Alignof] = ACTIONS(2470),
    [anon_sym_offsetof] = ACTIONS(2470),
    [anon_sym__Generic] = ACTIONS(2470),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2472),
    [anon_sym_u_SQUOTE] = ACTIONS(2472),
    [anon_sym_U_SQUOTE] = ACTIONS(2472),
    [anon_sym_u8_SQUOTE] = ACTIONS(2472),
    [anon_sym_SQUOTE] = ACTIONS(2472),
    [anon_sym_AT] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2470),
    [sym_false] = ACTIONS(2470),
    [anon_sym_NULL] = ACTIONS(2470),
    [anon_sym_nullptr] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2470),
    [anon_sym___typeof] = ACTIONS(2470),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_ATimport] = ACTIONS(2472),
    [aux_sym_preproc_undef_token1] = ACTIONS(2470),
    [anon_sym_POUND] = ACTIONS(2470),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2470),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2470),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2470),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_API_AVAILABLE] = ACTIONS(2470),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_API_DEPRECATED] = ACTIONS(2470),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym___deprecated_msg] = ACTIONS(2470),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2470),
    [anon_sym_ATprotocol] = ACTIONS(2472),
    [anon_sym_ATinterface] = ACTIONS(2472),
    [anon_sym_ATimplementation] = ACTIONS(2472),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2472),
    [anon_sym_ATsynthesize] = ACTIONS(2472),
    [anon_sym_ATdynamic] = ACTIONS(2472),
    [anon_sym_ATtry] = ACTIONS(2472),
    [anon_sym___try] = ACTIONS(2470),
    [anon_sym_ATthrow] = ACTIONS(2472),
    [anon_sym_ATselector] = ACTIONS(2472),
    [anon_sym_ATavailable] = ACTIONS(2472),
    [anon_sym___builtin_available] = ACTIONS(2470),
    [anon_sym_va_arg] = ACTIONS(2470),
    [anon_sym_ATencode] = ACTIONS(2472),
    [anon_sym_ATsynchronized] = ACTIONS(2472),
    [anon_sym_BOOL] = ACTIONS(2470),
    [anon_sym_IMP] = ACTIONS(2470),
    [anon_sym_SEL] = ACTIONS(2470),
    [anon_sym_Class] = ACTIONS(2470),
    [anon_sym_id] = ACTIONS(2470),
  },
  [552] = {
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_include_token1] = ACTIONS(2474),
    [aux_sym_preproc_include_token2] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token2] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_BANG] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym___attribute] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_ATautoreleasepool] = ACTIONS(2476),
    [anon_sym_auto] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_CG_EXTERN] = ACTIONS(2474),
    [anon_sym_CG_INLINE] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2474),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2474),
    [anon_sym_IBOutlet] = ACTIONS(2474),
    [anon_sym_IBInspectable] = ACTIONS(2474),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2474),
    [anon_sym_NS_INLINE] = ACTIONS(2474),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2474),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2474),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym__Nonnull] = ACTIONS(2474),
    [anon_sym_nullable] = ACTIONS(2474),
    [anon_sym__Complex] = ACTIONS(2474),
    [anon_sym__Nullable] = ACTIONS(2474),
    [anon_sym__Nullable_result] = ACTIONS(2474),
    [anon_sym__Null_unspecified] = ACTIONS(2474),
    [anon_sym___autoreleasing] = ACTIONS(2474),
    [anon_sym___block] = ACTIONS(2474),
    [anon_sym___bridge] = ACTIONS(2474),
    [anon_sym___bridge_retained] = ACTIONS(2474),
    [anon_sym___bridge_transfer] = ACTIONS(2474),
    [anon_sym___complex] = ACTIONS(2474),
    [anon_sym___const] = ACTIONS(2474),
    [anon_sym___imag] = ACTIONS(2474),
    [anon_sym___kindof] = ACTIONS(2474),
    [anon_sym___nonnull] = ACTIONS(2474),
    [anon_sym___nullable] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2474),
    [anon_sym___real] = ACTIONS(2474),
    [anon_sym___strong] = ACTIONS(2474),
    [anon_sym___unsafe_unretained] = ACTIONS(2474),
    [anon_sym___unused] = ACTIONS(2474),
    [anon_sym___weak] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_else] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_goto] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_PLUS] = ACTIONS(2476),
    [anon_sym_sizeof] = ACTIONS(2474),
    [anon_sym___alignof__] = ACTIONS(2474),
    [anon_sym___alignof] = ACTIONS(2474),
    [anon_sym__alignof] = ACTIONS(2474),
    [anon_sym_alignof] = ACTIONS(2474),
    [anon_sym__Alignof] = ACTIONS(2474),
    [anon_sym_offsetof] = ACTIONS(2474),
    [anon_sym__Generic] = ACTIONS(2474),
    [anon_sym_asm] = ACTIONS(2474),
    [anon_sym___asm__] = ACTIONS(2474),
    [anon_sym___asm] = ACTIONS(2474),
    [sym_number_literal] = ACTIONS(2476),
    [anon_sym_L_SQUOTE] = ACTIONS(2476),
    [anon_sym_u_SQUOTE] = ACTIONS(2476),
    [anon_sym_U_SQUOTE] = ACTIONS(2476),
    [anon_sym_u8_SQUOTE] = ACTIONS(2476),
    [anon_sym_SQUOTE] = ACTIONS(2476),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2474),
    [anon_sym_nullptr] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2474),
    [anon_sym___typeof] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [anon_sym_ATimport] = ACTIONS(2476),
    [aux_sym_preproc_undef_token1] = ACTIONS(2474),
    [anon_sym_POUND] = ACTIONS(2474),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2474),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2474),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2474),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_API_AVAILABLE] = ACTIONS(2474),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_API_DEPRECATED] = ACTIONS(2474),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym___deprecated_msg] = ACTIONS(2474),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2474),
    [anon_sym_ATprotocol] = ACTIONS(2476),
    [anon_sym_ATinterface] = ACTIONS(2476),
    [anon_sym_ATimplementation] = ACTIONS(2476),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2476),
    [anon_sym_ATsynthesize] = ACTIONS(2476),
    [anon_sym_ATdynamic] = ACTIONS(2476),
    [anon_sym_ATtry] = ACTIONS(2476),
    [anon_sym___try] = ACTIONS(2474),
    [anon_sym_ATthrow] = ACTIONS(2476),
    [anon_sym_ATselector] = ACTIONS(2476),
    [anon_sym_ATavailable] = ACTIONS(2476),
    [anon_sym___builtin_available] = ACTIONS(2474),
    [anon_sym_va_arg] = ACTIONS(2474),
    [anon_sym_ATencode] = ACTIONS(2476),
    [anon_sym_ATsynchronized] = ACTIONS(2476),
    [anon_sym_BOOL] = ACTIONS(2474),
    [anon_sym_IMP] = ACTIONS(2474),
    [anon_sym_SEL] = ACTIONS(2474),
    [anon_sym_Class] = ACTIONS(2474),
    [anon_sym_id] = ACTIONS(2474),
  },
  [553] = {
    [sym_identifier] = ACTIONS(2486),
    [aux_sym_preproc_include_token1] = ACTIONS(2486),
    [aux_sym_preproc_include_token2] = ACTIONS(2486),
    [aux_sym_preproc_def_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token2] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2486),
    [sym_preproc_directive] = ACTIONS(2486),
    [anon_sym_LPAREN2] = ACTIONS(2488),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_CARET] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2488),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym___attribute] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym___cdecl] = ACTIONS(2486),
    [anon_sym___clrcall] = ACTIONS(2486),
    [anon_sym___stdcall] = ACTIONS(2486),
    [anon_sym___fastcall] = ACTIONS(2486),
    [anon_sym___thiscall] = ACTIONS(2486),
    [anon_sym___vectorcall] = ACTIONS(2486),
    [anon_sym_LBRACE] = ACTIONS(2488),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_ATautoreleasepool] = ACTIONS(2488),
    [anon_sym_auto] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_CG_EXTERN] = ACTIONS(2486),
    [anon_sym_CG_INLINE] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2486),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2486),
    [anon_sym_IBOutlet] = ACTIONS(2486),
    [anon_sym_IBInspectable] = ACTIONS(2486),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2486),
    [anon_sym_NS_INLINE] = ACTIONS(2486),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2486),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2486),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym__Nonnull] = ACTIONS(2486),
    [anon_sym_nullable] = ACTIONS(2486),
    [anon_sym__Complex] = ACTIONS(2486),
    [anon_sym__Nullable] = ACTIONS(2486),
    [anon_sym__Nullable_result] = ACTIONS(2486),
    [anon_sym__Null_unspecified] = ACTIONS(2486),
    [anon_sym___autoreleasing] = ACTIONS(2486),
    [anon_sym___block] = ACTIONS(2486),
    [anon_sym___bridge] = ACTIONS(2486),
    [anon_sym___bridge_retained] = ACTIONS(2486),
    [anon_sym___bridge_transfer] = ACTIONS(2486),
    [anon_sym___complex] = ACTIONS(2486),
    [anon_sym___const] = ACTIONS(2486),
    [anon_sym___imag] = ACTIONS(2486),
    [anon_sym___kindof] = ACTIONS(2486),
    [anon_sym___nonnull] = ACTIONS(2486),
    [anon_sym___nullable] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2486),
    [anon_sym___real] = ACTIONS(2486),
    [anon_sym___strong] = ACTIONS(2486),
    [anon_sym___unsafe_unretained] = ACTIONS(2486),
    [anon_sym___unused] = ACTIONS(2486),
    [anon_sym___weak] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym__Alignas] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_else] = ACTIONS(2486),
    [anon_sym_switch] = ACTIONS(2486),
    [anon_sym_case] = ACTIONS(2486),
    [anon_sym_default] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2486),
    [anon_sym_do] = ACTIONS(2486),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_in] = ACTIONS(2486),
    [anon_sym_return] = ACTIONS(2486),
    [anon_sym_break] = ACTIONS(2486),
    [anon_sym_continue] = ACTIONS(2486),
    [anon_sym_goto] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2488),
    [anon_sym_PLUS_PLUS] = ACTIONS(2488),
    [anon_sym_sizeof] = ACTIONS(2486),
    [anon_sym___alignof__] = ACTIONS(2486),
    [anon_sym___alignof] = ACTIONS(2486),
    [anon_sym__alignof] = ACTIONS(2486),
    [anon_sym_alignof] = ACTIONS(2486),
    [anon_sym__Alignof] = ACTIONS(2486),
    [anon_sym_offsetof] = ACTIONS(2486),
    [anon_sym__Generic] = ACTIONS(2486),
    [anon_sym_asm] = ACTIONS(2486),
    [anon_sym___asm__] = ACTIONS(2486),
    [anon_sym___asm] = ACTIONS(2486),
    [sym_number_literal] = ACTIONS(2488),
    [anon_sym_L_SQUOTE] = ACTIONS(2488),
    [anon_sym_u_SQUOTE] = ACTIONS(2488),
    [anon_sym_U_SQUOTE] = ACTIONS(2488),
    [anon_sym_u8_SQUOTE] = ACTIONS(2488),
    [anon_sym_SQUOTE] = ACTIONS(2488),
    [anon_sym_AT] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2488),
    [anon_sym_L_DQUOTE] = ACTIONS(2488),
    [anon_sym_u_DQUOTE] = ACTIONS(2488),
    [anon_sym_U_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8_DQUOTE] = ACTIONS(2488),
    [sym_true] = ACTIONS(2486),
    [sym_false] = ACTIONS(2486),
    [anon_sym_NULL] = ACTIONS(2486),
    [anon_sym_nullptr] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2486),
    [anon_sym___typeof] = ACTIONS(2486),
    [anon_sym_typeof] = ACTIONS(2486),
    [anon_sym_ATimport] = ACTIONS(2488),
    [aux_sym_preproc_undef_token1] = ACTIONS(2486),
    [anon_sym_POUND] = ACTIONS(2486),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2486),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2486),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2486),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_API_AVAILABLE] = ACTIONS(2486),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_API_DEPRECATED] = ACTIONS(2486),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym___deprecated_msg] = ACTIONS(2486),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2486),
    [anon_sym_ATprotocol] = ACTIONS(2488),
    [anon_sym_ATinterface] = ACTIONS(2488),
    [anon_sym_ATimplementation] = ACTIONS(2488),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2488),
    [anon_sym_ATsynthesize] = ACTIONS(2488),
    [anon_sym_ATdynamic] = ACTIONS(2488),
    [anon_sym_ATtry] = ACTIONS(2488),
    [anon_sym___try] = ACTIONS(2486),
    [anon_sym_ATthrow] = ACTIONS(2488),
    [anon_sym_ATselector] = ACTIONS(2488),
    [anon_sym_ATavailable] = ACTIONS(2488),
    [anon_sym___builtin_available] = ACTIONS(2486),
    [anon_sym_va_arg] = ACTIONS(2486),
    [anon_sym_ATencode] = ACTIONS(2488),
    [anon_sym_ATsynchronized] = ACTIONS(2488),
    [anon_sym_BOOL] = ACTIONS(2486),
    [anon_sym_IMP] = ACTIONS(2486),
    [anon_sym_SEL] = ACTIONS(2486),
    [anon_sym_Class] = ACTIONS(2486),
    [anon_sym_id] = ACTIONS(2486),
  },
  [554] = {
    [sym_identifier] = ACTIONS(2486),
    [aux_sym_preproc_include_token1] = ACTIONS(2486),
    [aux_sym_preproc_include_token2] = ACTIONS(2486),
    [aux_sym_preproc_def_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token2] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2486),
    [sym_preproc_directive] = ACTIONS(2486),
    [anon_sym_LPAREN2] = ACTIONS(2488),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_CARET] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2488),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym___attribute] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym___cdecl] = ACTIONS(2486),
    [anon_sym___clrcall] = ACTIONS(2486),
    [anon_sym___stdcall] = ACTIONS(2486),
    [anon_sym___fastcall] = ACTIONS(2486),
    [anon_sym___thiscall] = ACTIONS(2486),
    [anon_sym___vectorcall] = ACTIONS(2486),
    [anon_sym_LBRACE] = ACTIONS(2488),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_ATautoreleasepool] = ACTIONS(2488),
    [anon_sym_auto] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_CG_EXTERN] = ACTIONS(2486),
    [anon_sym_CG_INLINE] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2486),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2486),
    [anon_sym_IBOutlet] = ACTIONS(2486),
    [anon_sym_IBInspectable] = ACTIONS(2486),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2486),
    [anon_sym_NS_INLINE] = ACTIONS(2486),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2486),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2486),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym__Nonnull] = ACTIONS(2486),
    [anon_sym_nullable] = ACTIONS(2486),
    [anon_sym__Complex] = ACTIONS(2486),
    [anon_sym__Nullable] = ACTIONS(2486),
    [anon_sym__Nullable_result] = ACTIONS(2486),
    [anon_sym__Null_unspecified] = ACTIONS(2486),
    [anon_sym___autoreleasing] = ACTIONS(2486),
    [anon_sym___block] = ACTIONS(2486),
    [anon_sym___bridge] = ACTIONS(2486),
    [anon_sym___bridge_retained] = ACTIONS(2486),
    [anon_sym___bridge_transfer] = ACTIONS(2486),
    [anon_sym___complex] = ACTIONS(2486),
    [anon_sym___const] = ACTIONS(2486),
    [anon_sym___imag] = ACTIONS(2486),
    [anon_sym___kindof] = ACTIONS(2486),
    [anon_sym___nonnull] = ACTIONS(2486),
    [anon_sym___nullable] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2486),
    [anon_sym___real] = ACTIONS(2486),
    [anon_sym___strong] = ACTIONS(2486),
    [anon_sym___unsafe_unretained] = ACTIONS(2486),
    [anon_sym___unused] = ACTIONS(2486),
    [anon_sym___weak] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym__Alignas] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_else] = ACTIONS(2486),
    [anon_sym_switch] = ACTIONS(2486),
    [anon_sym_case] = ACTIONS(2486),
    [anon_sym_default] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2486),
    [anon_sym_do] = ACTIONS(2486),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_in] = ACTIONS(2486),
    [anon_sym_return] = ACTIONS(2486),
    [anon_sym_break] = ACTIONS(2486),
    [anon_sym_continue] = ACTIONS(2486),
    [anon_sym_goto] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2488),
    [anon_sym_PLUS_PLUS] = ACTIONS(2488),
    [anon_sym_sizeof] = ACTIONS(2486),
    [anon_sym___alignof__] = ACTIONS(2486),
    [anon_sym___alignof] = ACTIONS(2486),
    [anon_sym__alignof] = ACTIONS(2486),
    [anon_sym_alignof] = ACTIONS(2486),
    [anon_sym__Alignof] = ACTIONS(2486),
    [anon_sym_offsetof] = ACTIONS(2486),
    [anon_sym__Generic] = ACTIONS(2486),
    [anon_sym_asm] = ACTIONS(2486),
    [anon_sym___asm__] = ACTIONS(2486),
    [anon_sym___asm] = ACTIONS(2486),
    [sym_number_literal] = ACTIONS(2488),
    [anon_sym_L_SQUOTE] = ACTIONS(2488),
    [anon_sym_u_SQUOTE] = ACTIONS(2488),
    [anon_sym_U_SQUOTE] = ACTIONS(2488),
    [anon_sym_u8_SQUOTE] = ACTIONS(2488),
    [anon_sym_SQUOTE] = ACTIONS(2488),
    [anon_sym_AT] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2488),
    [anon_sym_L_DQUOTE] = ACTIONS(2488),
    [anon_sym_u_DQUOTE] = ACTIONS(2488),
    [anon_sym_U_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8_DQUOTE] = ACTIONS(2488),
    [sym_true] = ACTIONS(2486),
    [sym_false] = ACTIONS(2486),
    [anon_sym_NULL] = ACTIONS(2486),
    [anon_sym_nullptr] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2486),
    [anon_sym___typeof] = ACTIONS(2486),
    [anon_sym_typeof] = ACTIONS(2486),
    [anon_sym_ATimport] = ACTIONS(2488),
    [aux_sym_preproc_undef_token1] = ACTIONS(2486),
    [anon_sym_POUND] = ACTIONS(2486),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2486),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2486),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2486),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_API_AVAILABLE] = ACTIONS(2486),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_API_DEPRECATED] = ACTIONS(2486),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym___deprecated_msg] = ACTIONS(2486),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2486),
    [anon_sym_ATprotocol] = ACTIONS(2488),
    [anon_sym_ATinterface] = ACTIONS(2488),
    [anon_sym_ATimplementation] = ACTIONS(2488),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2488),
    [anon_sym_ATsynthesize] = ACTIONS(2488),
    [anon_sym_ATdynamic] = ACTIONS(2488),
    [anon_sym_ATtry] = ACTIONS(2488),
    [anon_sym___try] = ACTIONS(2486),
    [anon_sym_ATthrow] = ACTIONS(2488),
    [anon_sym_ATselector] = ACTIONS(2488),
    [anon_sym_ATavailable] = ACTIONS(2488),
    [anon_sym___builtin_available] = ACTIONS(2486),
    [anon_sym_va_arg] = ACTIONS(2486),
    [anon_sym_ATencode] = ACTIONS(2488),
    [anon_sym_ATsynchronized] = ACTIONS(2488),
    [anon_sym_BOOL] = ACTIONS(2486),
    [anon_sym_IMP] = ACTIONS(2486),
    [anon_sym_SEL] = ACTIONS(2486),
    [anon_sym_Class] = ACTIONS(2486),
    [anon_sym_id] = ACTIONS(2486),
  },
  [555] = {
    [sym_identifier] = ACTIONS(2470),
    [aux_sym_preproc_include_token1] = ACTIONS(2470),
    [aux_sym_preproc_include_token2] = ACTIONS(2470),
    [aux_sym_preproc_def_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token2] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2470),
    [sym_preproc_directive] = ACTIONS(2470),
    [anon_sym_LPAREN2] = ACTIONS(2472),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_CARET] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2470),
    [anon_sym_extern] = ACTIONS(2470),
    [anon_sym___attribute__] = ACTIONS(2470),
    [anon_sym___attribute] = ACTIONS(2470),
    [anon_sym_noreturn] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym___declspec] = ACTIONS(2470),
    [anon_sym___cdecl] = ACTIONS(2470),
    [anon_sym___clrcall] = ACTIONS(2470),
    [anon_sym___stdcall] = ACTIONS(2470),
    [anon_sym___fastcall] = ACTIONS(2470),
    [anon_sym___thiscall] = ACTIONS(2470),
    [anon_sym___vectorcall] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_signed] = ACTIONS(2470),
    [anon_sym_unsigned] = ACTIONS(2470),
    [anon_sym_long] = ACTIONS(2470),
    [anon_sym_short] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_ATautoreleasepool] = ACTIONS(2472),
    [anon_sym_auto] = ACTIONS(2470),
    [anon_sym_register] = ACTIONS(2470),
    [anon_sym_inline] = ACTIONS(2470),
    [anon_sym___inline] = ACTIONS(2470),
    [anon_sym___inline__] = ACTIONS(2470),
    [anon_sym___forceinline] = ACTIONS(2470),
    [anon_sym_thread_local] = ACTIONS(2470),
    [anon_sym___thread] = ACTIONS(2470),
    [anon_sym_CG_EXTERN] = ACTIONS(2470),
    [anon_sym_CG_INLINE] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2470),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2470),
    [anon_sym_IBOutlet] = ACTIONS(2470),
    [anon_sym_IBInspectable] = ACTIONS(2470),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2470),
    [anon_sym_NS_INLINE] = ACTIONS(2470),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2470),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2470),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2470),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_constexpr] = ACTIONS(2470),
    [anon_sym_volatile] = ACTIONS(2470),
    [anon_sym_restrict] = ACTIONS(2470),
    [anon_sym___restrict__] = ACTIONS(2470),
    [anon_sym__Atomic] = ACTIONS(2470),
    [anon_sym__Noreturn] = ACTIONS(2470),
    [anon_sym__Nonnull] = ACTIONS(2470),
    [anon_sym_nullable] = ACTIONS(2470),
    [anon_sym__Complex] = ACTIONS(2470),
    [anon_sym__Nullable] = ACTIONS(2470),
    [anon_sym__Nullable_result] = ACTIONS(2470),
    [anon_sym__Null_unspecified] = ACTIONS(2470),
    [anon_sym___autoreleasing] = ACTIONS(2470),
    [anon_sym___block] = ACTIONS(2470),
    [anon_sym___bridge] = ACTIONS(2470),
    [anon_sym___bridge_retained] = ACTIONS(2470),
    [anon_sym___bridge_transfer] = ACTIONS(2470),
    [anon_sym___complex] = ACTIONS(2470),
    [anon_sym___const] = ACTIONS(2470),
    [anon_sym___imag] = ACTIONS(2470),
    [anon_sym___kindof] = ACTIONS(2470),
    [anon_sym___nonnull] = ACTIONS(2470),
    [anon_sym___nullable] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2470),
    [anon_sym___real] = ACTIONS(2470),
    [anon_sym___strong] = ACTIONS(2470),
    [anon_sym___unsafe_unretained] = ACTIONS(2470),
    [anon_sym___unused] = ACTIONS(2470),
    [anon_sym___weak] = ACTIONS(2470),
    [anon_sym_alignas] = ACTIONS(2470),
    [anon_sym__Alignas] = ACTIONS(2470),
    [sym_primitive_type] = ACTIONS(2470),
    [anon_sym_enum] = ACTIONS(2470),
    [anon_sym_struct] = ACTIONS(2470),
    [anon_sym_union] = ACTIONS(2470),
    [anon_sym_if] = ACTIONS(2470),
    [anon_sym_else] = ACTIONS(2470),
    [anon_sym_switch] = ACTIONS(2470),
    [anon_sym_case] = ACTIONS(2470),
    [anon_sym_default] = ACTIONS(2470),
    [anon_sym_while] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_in] = ACTIONS(2470),
    [anon_sym_return] = ACTIONS(2470),
    [anon_sym_break] = ACTIONS(2470),
    [anon_sym_continue] = ACTIONS(2470),
    [anon_sym_goto] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_PLUS] = ACTIONS(2472),
    [anon_sym_sizeof] = ACTIONS(2470),
    [anon_sym___alignof__] = ACTIONS(2470),
    [anon_sym___alignof] = ACTIONS(2470),
    [anon_sym__alignof] = ACTIONS(2470),
    [anon_sym_alignof] = ACTIONS(2470),
    [anon_sym__Alignof] = ACTIONS(2470),
    [anon_sym_offsetof] = ACTIONS(2470),
    [anon_sym__Generic] = ACTIONS(2470),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2472),
    [anon_sym_u_SQUOTE] = ACTIONS(2472),
    [anon_sym_U_SQUOTE] = ACTIONS(2472),
    [anon_sym_u8_SQUOTE] = ACTIONS(2472),
    [anon_sym_SQUOTE] = ACTIONS(2472),
    [anon_sym_AT] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2470),
    [sym_false] = ACTIONS(2470),
    [anon_sym_NULL] = ACTIONS(2470),
    [anon_sym_nullptr] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2470),
    [anon_sym___typeof] = ACTIONS(2470),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_ATimport] = ACTIONS(2472),
    [aux_sym_preproc_undef_token1] = ACTIONS(2470),
    [anon_sym_POUND] = ACTIONS(2470),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2470),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2470),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2470),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_API_AVAILABLE] = ACTIONS(2470),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_API_DEPRECATED] = ACTIONS(2470),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym___deprecated_msg] = ACTIONS(2470),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2470),
    [anon_sym_ATprotocol] = ACTIONS(2472),
    [anon_sym_ATinterface] = ACTIONS(2472),
    [anon_sym_ATimplementation] = ACTIONS(2472),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2472),
    [anon_sym_ATsynthesize] = ACTIONS(2472),
    [anon_sym_ATdynamic] = ACTIONS(2472),
    [anon_sym_ATtry] = ACTIONS(2472),
    [anon_sym___try] = ACTIONS(2470),
    [anon_sym_ATthrow] = ACTIONS(2472),
    [anon_sym_ATselector] = ACTIONS(2472),
    [anon_sym_ATavailable] = ACTIONS(2472),
    [anon_sym___builtin_available] = ACTIONS(2470),
    [anon_sym_va_arg] = ACTIONS(2470),
    [anon_sym_ATencode] = ACTIONS(2472),
    [anon_sym_ATsynchronized] = ACTIONS(2472),
    [anon_sym_BOOL] = ACTIONS(2470),
    [anon_sym_IMP] = ACTIONS(2470),
    [anon_sym_SEL] = ACTIONS(2470),
    [anon_sym_Class] = ACTIONS(2470),
    [anon_sym_id] = ACTIONS(2470),
  },
  [556] = {
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_include_token1] = ACTIONS(2474),
    [aux_sym_preproc_include_token2] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token2] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_BANG] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym___attribute] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_ATautoreleasepool] = ACTIONS(2476),
    [anon_sym_auto] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_CG_EXTERN] = ACTIONS(2474),
    [anon_sym_CG_INLINE] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2474),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2474),
    [anon_sym_IBOutlet] = ACTIONS(2474),
    [anon_sym_IBInspectable] = ACTIONS(2474),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2474),
    [anon_sym_NS_INLINE] = ACTIONS(2474),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2474),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2474),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym__Nonnull] = ACTIONS(2474),
    [anon_sym_nullable] = ACTIONS(2474),
    [anon_sym__Complex] = ACTIONS(2474),
    [anon_sym__Nullable] = ACTIONS(2474),
    [anon_sym__Nullable_result] = ACTIONS(2474),
    [anon_sym__Null_unspecified] = ACTIONS(2474),
    [anon_sym___autoreleasing] = ACTIONS(2474),
    [anon_sym___block] = ACTIONS(2474),
    [anon_sym___bridge] = ACTIONS(2474),
    [anon_sym___bridge_retained] = ACTIONS(2474),
    [anon_sym___bridge_transfer] = ACTIONS(2474),
    [anon_sym___complex] = ACTIONS(2474),
    [anon_sym___const] = ACTIONS(2474),
    [anon_sym___imag] = ACTIONS(2474),
    [anon_sym___kindof] = ACTIONS(2474),
    [anon_sym___nonnull] = ACTIONS(2474),
    [anon_sym___nullable] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2474),
    [anon_sym___real] = ACTIONS(2474),
    [anon_sym___strong] = ACTIONS(2474),
    [anon_sym___unsafe_unretained] = ACTIONS(2474),
    [anon_sym___unused] = ACTIONS(2474),
    [anon_sym___weak] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_else] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_goto] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_PLUS] = ACTIONS(2476),
    [anon_sym_sizeof] = ACTIONS(2474),
    [anon_sym___alignof__] = ACTIONS(2474),
    [anon_sym___alignof] = ACTIONS(2474),
    [anon_sym__alignof] = ACTIONS(2474),
    [anon_sym_alignof] = ACTIONS(2474),
    [anon_sym__Alignof] = ACTIONS(2474),
    [anon_sym_offsetof] = ACTIONS(2474),
    [anon_sym__Generic] = ACTIONS(2474),
    [anon_sym_asm] = ACTIONS(2474),
    [anon_sym___asm__] = ACTIONS(2474),
    [anon_sym___asm] = ACTIONS(2474),
    [sym_number_literal] = ACTIONS(2476),
    [anon_sym_L_SQUOTE] = ACTIONS(2476),
    [anon_sym_u_SQUOTE] = ACTIONS(2476),
    [anon_sym_U_SQUOTE] = ACTIONS(2476),
    [anon_sym_u8_SQUOTE] = ACTIONS(2476),
    [anon_sym_SQUOTE] = ACTIONS(2476),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2474),
    [anon_sym_nullptr] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2474),
    [anon_sym___typeof] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [anon_sym_ATimport] = ACTIONS(2476),
    [aux_sym_preproc_undef_token1] = ACTIONS(2474),
    [anon_sym_POUND] = ACTIONS(2474),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2474),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2474),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2474),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_API_AVAILABLE] = ACTIONS(2474),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_API_DEPRECATED] = ACTIONS(2474),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym___deprecated_msg] = ACTIONS(2474),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2474),
    [anon_sym_ATprotocol] = ACTIONS(2476),
    [anon_sym_ATinterface] = ACTIONS(2476),
    [anon_sym_ATimplementation] = ACTIONS(2476),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2476),
    [anon_sym_ATsynthesize] = ACTIONS(2476),
    [anon_sym_ATdynamic] = ACTIONS(2476),
    [anon_sym_ATtry] = ACTIONS(2476),
    [anon_sym___try] = ACTIONS(2474),
    [anon_sym_ATthrow] = ACTIONS(2476),
    [anon_sym_ATselector] = ACTIONS(2476),
    [anon_sym_ATavailable] = ACTIONS(2476),
    [anon_sym___builtin_available] = ACTIONS(2474),
    [anon_sym_va_arg] = ACTIONS(2474),
    [anon_sym_ATencode] = ACTIONS(2476),
    [anon_sym_ATsynchronized] = ACTIONS(2476),
    [anon_sym_BOOL] = ACTIONS(2474),
    [anon_sym_IMP] = ACTIONS(2474),
    [anon_sym_SEL] = ACTIONS(2474),
    [anon_sym_Class] = ACTIONS(2474),
    [anon_sym_id] = ACTIONS(2474),
  },
  [557] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_include_token2] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token2] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym___attribute] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_ATautoreleasepool] = ACTIONS(2566),
    [anon_sym_auto] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_CG_EXTERN] = ACTIONS(2564),
    [anon_sym_CG_INLINE] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2564),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2564),
    [anon_sym_IBOutlet] = ACTIONS(2564),
    [anon_sym_IBInspectable] = ACTIONS(2564),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2564),
    [anon_sym_NS_INLINE] = ACTIONS(2564),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2564),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2564),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_nullable] = ACTIONS(2564),
    [anon_sym__Complex] = ACTIONS(2564),
    [anon_sym__Nullable] = ACTIONS(2564),
    [anon_sym__Nullable_result] = ACTIONS(2564),
    [anon_sym__Null_unspecified] = ACTIONS(2564),
    [anon_sym___autoreleasing] = ACTIONS(2564),
    [anon_sym___block] = ACTIONS(2564),
    [anon_sym___bridge] = ACTIONS(2564),
    [anon_sym___bridge_retained] = ACTIONS(2564),
    [anon_sym___bridge_transfer] = ACTIONS(2564),
    [anon_sym___complex] = ACTIONS(2564),
    [anon_sym___const] = ACTIONS(2564),
    [anon_sym___imag] = ACTIONS(2564),
    [anon_sym___kindof] = ACTIONS(2564),
    [anon_sym___nonnull] = ACTIONS(2564),
    [anon_sym___nullable] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2564),
    [anon_sym___real] = ACTIONS(2564),
    [anon_sym___strong] = ACTIONS(2564),
    [anon_sym___unsafe_unretained] = ACTIONS(2564),
    [anon_sym___unused] = ACTIONS(2564),
    [anon_sym___weak] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [anon_sym___asm] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_AT] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2564),
    [anon_sym___typeof] = ACTIONS(2564),
    [anon_sym_typeof] = ACTIONS(2564),
    [anon_sym_ATimport] = ACTIONS(2566),
    [aux_sym_preproc_undef_token1] = ACTIONS(2564),
    [anon_sym_POUND] = ACTIONS(2564),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2564),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2564),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2564),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_API_AVAILABLE] = ACTIONS(2564),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_API_DEPRECATED] = ACTIONS(2564),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym___deprecated_msg] = ACTIONS(2564),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2564),
    [anon_sym_ATprotocol] = ACTIONS(2566),
    [anon_sym_ATinterface] = ACTIONS(2566),
    [anon_sym_ATimplementation] = ACTIONS(2566),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2566),
    [anon_sym_ATsynthesize] = ACTIONS(2566),
    [anon_sym_ATdynamic] = ACTIONS(2566),
    [anon_sym_ATtry] = ACTIONS(2566),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym_ATthrow] = ACTIONS(2566),
    [anon_sym_ATselector] = ACTIONS(2566),
    [anon_sym_ATavailable] = ACTIONS(2566),
    [anon_sym___builtin_available] = ACTIONS(2564),
    [anon_sym_va_arg] = ACTIONS(2564),
    [anon_sym_ATencode] = ACTIONS(2566),
    [anon_sym_ATsynchronized] = ACTIONS(2566),
    [anon_sym_BOOL] = ACTIONS(2564),
    [anon_sym_IMP] = ACTIONS(2564),
    [anon_sym_SEL] = ACTIONS(2564),
    [anon_sym_Class] = ACTIONS(2564),
    [anon_sym_id] = ACTIONS(2564),
  },
  [558] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [559] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_include_token2] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token2] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym___attribute] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_ATautoreleasepool] = ACTIONS(2566),
    [anon_sym_auto] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_CG_EXTERN] = ACTIONS(2564),
    [anon_sym_CG_INLINE] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2564),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2564),
    [anon_sym_IBOutlet] = ACTIONS(2564),
    [anon_sym_IBInspectable] = ACTIONS(2564),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2564),
    [anon_sym_NS_INLINE] = ACTIONS(2564),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2564),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2564),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_nullable] = ACTIONS(2564),
    [anon_sym__Complex] = ACTIONS(2564),
    [anon_sym__Nullable] = ACTIONS(2564),
    [anon_sym__Nullable_result] = ACTIONS(2564),
    [anon_sym__Null_unspecified] = ACTIONS(2564),
    [anon_sym___autoreleasing] = ACTIONS(2564),
    [anon_sym___block] = ACTIONS(2564),
    [anon_sym___bridge] = ACTIONS(2564),
    [anon_sym___bridge_retained] = ACTIONS(2564),
    [anon_sym___bridge_transfer] = ACTIONS(2564),
    [anon_sym___complex] = ACTIONS(2564),
    [anon_sym___const] = ACTIONS(2564),
    [anon_sym___imag] = ACTIONS(2564),
    [anon_sym___kindof] = ACTIONS(2564),
    [anon_sym___nonnull] = ACTIONS(2564),
    [anon_sym___nullable] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2564),
    [anon_sym___real] = ACTIONS(2564),
    [anon_sym___strong] = ACTIONS(2564),
    [anon_sym___unsafe_unretained] = ACTIONS(2564),
    [anon_sym___unused] = ACTIONS(2564),
    [anon_sym___weak] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [anon_sym___asm] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_AT] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2564),
    [anon_sym___typeof] = ACTIONS(2564),
    [anon_sym_typeof] = ACTIONS(2564),
    [anon_sym_ATimport] = ACTIONS(2566),
    [aux_sym_preproc_undef_token1] = ACTIONS(2564),
    [anon_sym_POUND] = ACTIONS(2564),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2564),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2564),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2564),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_API_AVAILABLE] = ACTIONS(2564),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_API_DEPRECATED] = ACTIONS(2564),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym___deprecated_msg] = ACTIONS(2564),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2564),
    [anon_sym_ATprotocol] = ACTIONS(2566),
    [anon_sym_ATinterface] = ACTIONS(2566),
    [anon_sym_ATimplementation] = ACTIONS(2566),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2566),
    [anon_sym_ATsynthesize] = ACTIONS(2566),
    [anon_sym_ATdynamic] = ACTIONS(2566),
    [anon_sym_ATtry] = ACTIONS(2566),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym_ATthrow] = ACTIONS(2566),
    [anon_sym_ATselector] = ACTIONS(2566),
    [anon_sym_ATavailable] = ACTIONS(2566),
    [anon_sym___builtin_available] = ACTIONS(2564),
    [anon_sym_va_arg] = ACTIONS(2564),
    [anon_sym_ATencode] = ACTIONS(2566),
    [anon_sym_ATsynchronized] = ACTIONS(2566),
    [anon_sym_BOOL] = ACTIONS(2564),
    [anon_sym_IMP] = ACTIONS(2564),
    [anon_sym_SEL] = ACTIONS(2564),
    [anon_sym_Class] = ACTIONS(2564),
    [anon_sym_id] = ACTIONS(2564),
  },
  [560] = {
    [sym_identifier] = ACTIONS(2428),
    [aux_sym_preproc_include_token1] = ACTIONS(2428),
    [aux_sym_preproc_include_token2] = ACTIONS(2428),
    [aux_sym_preproc_def_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token2] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2428),
    [sym_preproc_directive] = ACTIONS(2428),
    [anon_sym_LPAREN2] = ACTIONS(2430),
    [anon_sym_BANG] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_CARET] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2430),
    [anon_sym_SEMI] = ACTIONS(2430),
    [anon_sym___extension__] = ACTIONS(2428),
    [anon_sym_typedef] = ACTIONS(2428),
    [anon_sym_extern] = ACTIONS(2428),
    [anon_sym___attribute__] = ACTIONS(2428),
    [anon_sym___attribute] = ACTIONS(2428),
    [anon_sym_noreturn] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2430),
    [anon_sym___declspec] = ACTIONS(2428),
    [anon_sym___cdecl] = ACTIONS(2428),
    [anon_sym___clrcall] = ACTIONS(2428),
    [anon_sym___stdcall] = ACTIONS(2428),
    [anon_sym___fastcall] = ACTIONS(2428),
    [anon_sym___thiscall] = ACTIONS(2428),
    [anon_sym___vectorcall] = ACTIONS(2428),
    [anon_sym_LBRACE] = ACTIONS(2430),
    [anon_sym_signed] = ACTIONS(2428),
    [anon_sym_unsigned] = ACTIONS(2428),
    [anon_sym_long] = ACTIONS(2428),
    [anon_sym_short] = ACTIONS(2428),
    [anon_sym_static] = ACTIONS(2428),
    [anon_sym_ATautoreleasepool] = ACTIONS(2430),
    [anon_sym_auto] = ACTIONS(2428),
    [anon_sym_register] = ACTIONS(2428),
    [anon_sym_inline] = ACTIONS(2428),
    [anon_sym___inline] = ACTIONS(2428),
    [anon_sym___inline__] = ACTIONS(2428),
    [anon_sym___forceinline] = ACTIONS(2428),
    [anon_sym_thread_local] = ACTIONS(2428),
    [anon_sym___thread] = ACTIONS(2428),
    [anon_sym_CG_EXTERN] = ACTIONS(2428),
    [anon_sym_CG_INLINE] = ACTIONS(2428),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2428),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2428),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2428),
    [anon_sym_IBOutlet] = ACTIONS(2428),
    [anon_sym_IBInspectable] = ACTIONS(2428),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2428),
    [anon_sym_NS_INLINE] = ACTIONS(2428),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2428),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2428),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2428),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2428),
    [anon_sym_const] = ACTIONS(2428),
    [anon_sym_constexpr] = ACTIONS(2428),
    [anon_sym_volatile] = ACTIONS(2428),
    [anon_sym_restrict] = ACTIONS(2428),
    [anon_sym___restrict__] = ACTIONS(2428),
    [anon_sym__Atomic] = ACTIONS(2428),
    [anon_sym__Noreturn] = ACTIONS(2428),
    [anon_sym__Nonnull] = ACTIONS(2428),
    [anon_sym_nullable] = ACTIONS(2428),
    [anon_sym__Complex] = ACTIONS(2428),
    [anon_sym__Nullable] = ACTIONS(2428),
    [anon_sym__Nullable_result] = ACTIONS(2428),
    [anon_sym__Null_unspecified] = ACTIONS(2428),
    [anon_sym___autoreleasing] = ACTIONS(2428),
    [anon_sym___block] = ACTIONS(2428),
    [anon_sym___bridge] = ACTIONS(2428),
    [anon_sym___bridge_retained] = ACTIONS(2428),
    [anon_sym___bridge_transfer] = ACTIONS(2428),
    [anon_sym___complex] = ACTIONS(2428),
    [anon_sym___const] = ACTIONS(2428),
    [anon_sym___imag] = ACTIONS(2428),
    [anon_sym___kindof] = ACTIONS(2428),
    [anon_sym___nonnull] = ACTIONS(2428),
    [anon_sym___nullable] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2428),
    [anon_sym___real] = ACTIONS(2428),
    [anon_sym___strong] = ACTIONS(2428),
    [anon_sym___unsafe_unretained] = ACTIONS(2428),
    [anon_sym___unused] = ACTIONS(2428),
    [anon_sym___weak] = ACTIONS(2428),
    [anon_sym_alignas] = ACTIONS(2428),
    [anon_sym__Alignas] = ACTIONS(2428),
    [sym_primitive_type] = ACTIONS(2428),
    [anon_sym_enum] = ACTIONS(2428),
    [anon_sym_struct] = ACTIONS(2428),
    [anon_sym_union] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_else] = ACTIONS(2428),
    [anon_sym_switch] = ACTIONS(2428),
    [anon_sym_case] = ACTIONS(2428),
    [anon_sym_default] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_in] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_break] = ACTIONS(2428),
    [anon_sym_continue] = ACTIONS(2428),
    [anon_sym_goto] = ACTIONS(2428),
    [anon_sym_DASH_DASH] = ACTIONS(2430),
    [anon_sym_PLUS_PLUS] = ACTIONS(2430),
    [anon_sym_sizeof] = ACTIONS(2428),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2428),
    [anon_sym__Generic] = ACTIONS(2428),
    [anon_sym_asm] = ACTIONS(2428),
    [anon_sym___asm__] = ACTIONS(2428),
    [anon_sym___asm] = ACTIONS(2428),
    [sym_number_literal] = ACTIONS(2430),
    [anon_sym_L_SQUOTE] = ACTIONS(2430),
    [anon_sym_u_SQUOTE] = ACTIONS(2430),
    [anon_sym_U_SQUOTE] = ACTIONS(2430),
    [anon_sym_u8_SQUOTE] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_AT] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2430),
    [anon_sym_L_DQUOTE] = ACTIONS(2430),
    [anon_sym_u_DQUOTE] = ACTIONS(2430),
    [anon_sym_U_DQUOTE] = ACTIONS(2430),
    [anon_sym_u8_DQUOTE] = ACTIONS(2430),
    [sym_true] = ACTIONS(2428),
    [sym_false] = ACTIONS(2428),
    [anon_sym_NULL] = ACTIONS(2428),
    [anon_sym_nullptr] = ACTIONS(2428),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2428),
    [anon_sym___typeof] = ACTIONS(2428),
    [anon_sym_typeof] = ACTIONS(2428),
    [anon_sym_ATimport] = ACTIONS(2430),
    [aux_sym_preproc_undef_token1] = ACTIONS(2428),
    [anon_sym_POUND] = ACTIONS(2428),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2428),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2428),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2428),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2428),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2428),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2428),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2428),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_API_AVAILABLE] = ACTIONS(2428),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_API_DEPRECATED] = ACTIONS(2428),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2428),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym___deprecated_msg] = ACTIONS(2428),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2428),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2428),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2428),
    [anon_sym_ATprotocol] = ACTIONS(2430),
    [anon_sym_ATinterface] = ACTIONS(2430),
    [anon_sym_ATimplementation] = ACTIONS(2430),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2430),
    [anon_sym_ATsynthesize] = ACTIONS(2430),
    [anon_sym_ATdynamic] = ACTIONS(2430),
    [anon_sym_ATtry] = ACTIONS(2430),
    [anon_sym___try] = ACTIONS(2428),
    [anon_sym_ATthrow] = ACTIONS(2430),
    [anon_sym_ATselector] = ACTIONS(2430),
    [anon_sym_ATavailable] = ACTIONS(2430),
    [anon_sym___builtin_available] = ACTIONS(2428),
    [anon_sym_va_arg] = ACTIONS(2428),
    [anon_sym_ATencode] = ACTIONS(2430),
    [anon_sym_ATsynchronized] = ACTIONS(2430),
    [anon_sym_BOOL] = ACTIONS(2428),
    [anon_sym_IMP] = ACTIONS(2428),
    [anon_sym_SEL] = ACTIONS(2428),
    [anon_sym_Class] = ACTIONS(2428),
    [anon_sym_id] = ACTIONS(2428),
  },
  [561] = {
    [sym_identifier] = ACTIONS(2356),
    [aux_sym_preproc_include_token1] = ACTIONS(2356),
    [aux_sym_preproc_include_token2] = ACTIONS(2356),
    [aux_sym_preproc_def_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token2] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2356),
    [sym_preproc_directive] = ACTIONS(2356),
    [anon_sym_LPAREN2] = ACTIONS(2358),
    [anon_sym_BANG] = ACTIONS(2358),
    [anon_sym_TILDE] = ACTIONS(2358),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2358),
    [anon_sym_CARET] = ACTIONS(2358),
    [anon_sym_AMP] = ACTIONS(2358),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2356),
    [anon_sym_typedef] = ACTIONS(2356),
    [anon_sym_extern] = ACTIONS(2356),
    [anon_sym___attribute__] = ACTIONS(2356),
    [anon_sym___attribute] = ACTIONS(2356),
    [anon_sym_noreturn] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2358),
    [anon_sym___declspec] = ACTIONS(2356),
    [anon_sym___cdecl] = ACTIONS(2356),
    [anon_sym___clrcall] = ACTIONS(2356),
    [anon_sym___stdcall] = ACTIONS(2356),
    [anon_sym___fastcall] = ACTIONS(2356),
    [anon_sym___thiscall] = ACTIONS(2356),
    [anon_sym___vectorcall] = ACTIONS(2356),
    [anon_sym_LBRACE] = ACTIONS(2358),
    [anon_sym_signed] = ACTIONS(2356),
    [anon_sym_unsigned] = ACTIONS(2356),
    [anon_sym_long] = ACTIONS(2356),
    [anon_sym_short] = ACTIONS(2356),
    [anon_sym_static] = ACTIONS(2356),
    [anon_sym_ATautoreleasepool] = ACTIONS(2358),
    [anon_sym_auto] = ACTIONS(2356),
    [anon_sym_register] = ACTIONS(2356),
    [anon_sym_inline] = ACTIONS(2356),
    [anon_sym___inline] = ACTIONS(2356),
    [anon_sym___inline__] = ACTIONS(2356),
    [anon_sym___forceinline] = ACTIONS(2356),
    [anon_sym_thread_local] = ACTIONS(2356),
    [anon_sym___thread] = ACTIONS(2356),
    [anon_sym_CG_EXTERN] = ACTIONS(2356),
    [anon_sym_CG_INLINE] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2356),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2356),
    [anon_sym_IBOutlet] = ACTIONS(2356),
    [anon_sym_IBInspectable] = ACTIONS(2356),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2356),
    [anon_sym_NS_INLINE] = ACTIONS(2356),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2356),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2356),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2356),
    [anon_sym_const] = ACTIONS(2356),
    [anon_sym_constexpr] = ACTIONS(2356),
    [anon_sym_volatile] = ACTIONS(2356),
    [anon_sym_restrict] = ACTIONS(2356),
    [anon_sym___restrict__] = ACTIONS(2356),
    [anon_sym__Atomic] = ACTIONS(2356),
    [anon_sym__Noreturn] = ACTIONS(2356),
    [anon_sym__Nonnull] = ACTIONS(2356),
    [anon_sym_nullable] = ACTIONS(2356),
    [anon_sym__Complex] = ACTIONS(2356),
    [anon_sym__Nullable] = ACTIONS(2356),
    [anon_sym__Nullable_result] = ACTIONS(2356),
    [anon_sym__Null_unspecified] = ACTIONS(2356),
    [anon_sym___autoreleasing] = ACTIONS(2356),
    [anon_sym___block] = ACTIONS(2356),
    [anon_sym___bridge] = ACTIONS(2356),
    [anon_sym___bridge_retained] = ACTIONS(2356),
    [anon_sym___bridge_transfer] = ACTIONS(2356),
    [anon_sym___complex] = ACTIONS(2356),
    [anon_sym___const] = ACTIONS(2356),
    [anon_sym___imag] = ACTIONS(2356),
    [anon_sym___kindof] = ACTIONS(2356),
    [anon_sym___nonnull] = ACTIONS(2356),
    [anon_sym___nullable] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2356),
    [anon_sym___real] = ACTIONS(2356),
    [anon_sym___strong] = ACTIONS(2356),
    [anon_sym___unsafe_unretained] = ACTIONS(2356),
    [anon_sym___unused] = ACTIONS(2356),
    [anon_sym___weak] = ACTIONS(2356),
    [anon_sym_alignas] = ACTIONS(2356),
    [anon_sym__Alignas] = ACTIONS(2356),
    [sym_primitive_type] = ACTIONS(2356),
    [anon_sym_enum] = ACTIONS(2356),
    [anon_sym_struct] = ACTIONS(2356),
    [anon_sym_union] = ACTIONS(2356),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_else] = ACTIONS(2356),
    [anon_sym_switch] = ACTIONS(2356),
    [anon_sym_case] = ACTIONS(2356),
    [anon_sym_default] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(2356),
    [anon_sym_for] = ACTIONS(2356),
    [anon_sym_in] = ACTIONS(2356),
    [anon_sym_return] = ACTIONS(2356),
    [anon_sym_break] = ACTIONS(2356),
    [anon_sym_continue] = ACTIONS(2356),
    [anon_sym_goto] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2358),
    [anon_sym_PLUS_PLUS] = ACTIONS(2358),
    [anon_sym_sizeof] = ACTIONS(2356),
    [anon_sym___alignof__] = ACTIONS(2356),
    [anon_sym___alignof] = ACTIONS(2356),
    [anon_sym__alignof] = ACTIONS(2356),
    [anon_sym_alignof] = ACTIONS(2356),
    [anon_sym__Alignof] = ACTIONS(2356),
    [anon_sym_offsetof] = ACTIONS(2356),
    [anon_sym__Generic] = ACTIONS(2356),
    [anon_sym_asm] = ACTIONS(2356),
    [anon_sym___asm__] = ACTIONS(2356),
    [anon_sym___asm] = ACTIONS(2356),
    [sym_number_literal] = ACTIONS(2358),
    [anon_sym_L_SQUOTE] = ACTIONS(2358),
    [anon_sym_u_SQUOTE] = ACTIONS(2358),
    [anon_sym_U_SQUOTE] = ACTIONS(2358),
    [anon_sym_u8_SQUOTE] = ACTIONS(2358),
    [anon_sym_SQUOTE] = ACTIONS(2358),
    [anon_sym_AT] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2358),
    [anon_sym_L_DQUOTE] = ACTIONS(2358),
    [anon_sym_u_DQUOTE] = ACTIONS(2358),
    [anon_sym_U_DQUOTE] = ACTIONS(2358),
    [anon_sym_u8_DQUOTE] = ACTIONS(2358),
    [sym_true] = ACTIONS(2356),
    [sym_false] = ACTIONS(2356),
    [anon_sym_NULL] = ACTIONS(2356),
    [anon_sym_nullptr] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2356),
    [anon_sym___typeof] = ACTIONS(2356),
    [anon_sym_typeof] = ACTIONS(2356),
    [anon_sym_ATimport] = ACTIONS(2358),
    [aux_sym_preproc_undef_token1] = ACTIONS(2356),
    [anon_sym_POUND] = ACTIONS(2356),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2356),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2356),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2356),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_API_AVAILABLE] = ACTIONS(2356),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_API_DEPRECATED] = ACTIONS(2356),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym___deprecated_msg] = ACTIONS(2356),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2356),
    [anon_sym_ATprotocol] = ACTIONS(2358),
    [anon_sym_ATinterface] = ACTIONS(2358),
    [anon_sym_ATimplementation] = ACTIONS(2358),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2358),
    [anon_sym_ATsynthesize] = ACTIONS(2358),
    [anon_sym_ATdynamic] = ACTIONS(2358),
    [anon_sym_ATtry] = ACTIONS(2358),
    [anon_sym___try] = ACTIONS(2356),
    [anon_sym_ATthrow] = ACTIONS(2358),
    [anon_sym_ATselector] = ACTIONS(2358),
    [anon_sym_ATavailable] = ACTIONS(2358),
    [anon_sym___builtin_available] = ACTIONS(2356),
    [anon_sym_va_arg] = ACTIONS(2356),
    [anon_sym_ATencode] = ACTIONS(2358),
    [anon_sym_ATsynchronized] = ACTIONS(2358),
    [anon_sym_BOOL] = ACTIONS(2356),
    [anon_sym_IMP] = ACTIONS(2356),
    [anon_sym_SEL] = ACTIONS(2356),
    [anon_sym_Class] = ACTIONS(2356),
    [anon_sym_id] = ACTIONS(2356),
  },
  [562] = {
    [sym_identifier] = ACTIONS(2420),
    [aux_sym_preproc_include_token1] = ACTIONS(2420),
    [aux_sym_preproc_include_token2] = ACTIONS(2420),
    [aux_sym_preproc_def_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token2] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2420),
    [sym_preproc_directive] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(2422),
    [anon_sym_BANG] = ACTIONS(2422),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_SEMI] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym___attribute] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym___cdecl] = ACTIONS(2420),
    [anon_sym___clrcall] = ACTIONS(2420),
    [anon_sym___stdcall] = ACTIONS(2420),
    [anon_sym___fastcall] = ACTIONS(2420),
    [anon_sym___thiscall] = ACTIONS(2420),
    [anon_sym___vectorcall] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_ATautoreleasepool] = ACTIONS(2422),
    [anon_sym_auto] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_CG_EXTERN] = ACTIONS(2420),
    [anon_sym_CG_INLINE] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2420),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2420),
    [anon_sym_IBOutlet] = ACTIONS(2420),
    [anon_sym_IBInspectable] = ACTIONS(2420),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2420),
    [anon_sym_NS_INLINE] = ACTIONS(2420),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2420),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2420),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym__Nonnull] = ACTIONS(2420),
    [anon_sym_nullable] = ACTIONS(2420),
    [anon_sym__Complex] = ACTIONS(2420),
    [anon_sym__Nullable] = ACTIONS(2420),
    [anon_sym__Nullable_result] = ACTIONS(2420),
    [anon_sym__Null_unspecified] = ACTIONS(2420),
    [anon_sym___autoreleasing] = ACTIONS(2420),
    [anon_sym___block] = ACTIONS(2420),
    [anon_sym___bridge] = ACTIONS(2420),
    [anon_sym___bridge_retained] = ACTIONS(2420),
    [anon_sym___bridge_transfer] = ACTIONS(2420),
    [anon_sym___complex] = ACTIONS(2420),
    [anon_sym___const] = ACTIONS(2420),
    [anon_sym___imag] = ACTIONS(2420),
    [anon_sym___kindof] = ACTIONS(2420),
    [anon_sym___nonnull] = ACTIONS(2420),
    [anon_sym___nullable] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2420),
    [anon_sym___real] = ACTIONS(2420),
    [anon_sym___strong] = ACTIONS(2420),
    [anon_sym___unsafe_unretained] = ACTIONS(2420),
    [anon_sym___unused] = ACTIONS(2420),
    [anon_sym___weak] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym__Alignas] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [anon_sym_if] = ACTIONS(2420),
    [anon_sym_else] = ACTIONS(2420),
    [anon_sym_switch] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(2420),
    [anon_sym_default] = ACTIONS(2420),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_in] = ACTIONS(2420),
    [anon_sym_return] = ACTIONS(2420),
    [anon_sym_break] = ACTIONS(2420),
    [anon_sym_continue] = ACTIONS(2420),
    [anon_sym_goto] = ACTIONS(2420),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2420),
    [anon_sym___alignof__] = ACTIONS(2420),
    [anon_sym___alignof] = ACTIONS(2420),
    [anon_sym__alignof] = ACTIONS(2420),
    [anon_sym_alignof] = ACTIONS(2420),
    [anon_sym__Alignof] = ACTIONS(2420),
    [anon_sym_offsetof] = ACTIONS(2420),
    [anon_sym__Generic] = ACTIONS(2420),
    [anon_sym_asm] = ACTIONS(2420),
    [anon_sym___asm__] = ACTIONS(2420),
    [anon_sym___asm] = ACTIONS(2420),
    [sym_number_literal] = ACTIONS(2422),
    [anon_sym_L_SQUOTE] = ACTIONS(2422),
    [anon_sym_u_SQUOTE] = ACTIONS(2422),
    [anon_sym_U_SQUOTE] = ACTIONS(2422),
    [anon_sym_u8_SQUOTE] = ACTIONS(2422),
    [anon_sym_SQUOTE] = ACTIONS(2422),
    [anon_sym_AT] = ACTIONS(2420),
    [anon_sym_DQUOTE] = ACTIONS(2422),
    [anon_sym_L_DQUOTE] = ACTIONS(2422),
    [anon_sym_u_DQUOTE] = ACTIONS(2422),
    [anon_sym_U_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8_DQUOTE] = ACTIONS(2422),
    [sym_true] = ACTIONS(2420),
    [sym_false] = ACTIONS(2420),
    [anon_sym_NULL] = ACTIONS(2420),
    [anon_sym_nullptr] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2420),
    [anon_sym___typeof] = ACTIONS(2420),
    [anon_sym_typeof] = ACTIONS(2420),
    [anon_sym_ATimport] = ACTIONS(2422),
    [aux_sym_preproc_undef_token1] = ACTIONS(2420),
    [anon_sym_POUND] = ACTIONS(2420),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2420),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2420),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2420),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_API_AVAILABLE] = ACTIONS(2420),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_API_DEPRECATED] = ACTIONS(2420),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym___deprecated_msg] = ACTIONS(2420),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2420),
    [anon_sym_ATprotocol] = ACTIONS(2422),
    [anon_sym_ATinterface] = ACTIONS(2422),
    [anon_sym_ATimplementation] = ACTIONS(2422),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2422),
    [anon_sym_ATsynthesize] = ACTIONS(2422),
    [anon_sym_ATdynamic] = ACTIONS(2422),
    [anon_sym_ATtry] = ACTIONS(2422),
    [anon_sym___try] = ACTIONS(2420),
    [anon_sym_ATthrow] = ACTIONS(2422),
    [anon_sym_ATselector] = ACTIONS(2422),
    [anon_sym_ATavailable] = ACTIONS(2422),
    [anon_sym___builtin_available] = ACTIONS(2420),
    [anon_sym_va_arg] = ACTIONS(2420),
    [anon_sym_ATencode] = ACTIONS(2422),
    [anon_sym_ATsynchronized] = ACTIONS(2422),
    [anon_sym_BOOL] = ACTIONS(2420),
    [anon_sym_IMP] = ACTIONS(2420),
    [anon_sym_SEL] = ACTIONS(2420),
    [anon_sym_Class] = ACTIONS(2420),
    [anon_sym_id] = ACTIONS(2420),
  },
  [563] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [564] = {
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_include_token1] = ACTIONS(2524),
    [aux_sym_preproc_include_token2] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token2] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_CARET] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym___attribute] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___cdecl] = ACTIONS(2524),
    [anon_sym___clrcall] = ACTIONS(2524),
    [anon_sym___stdcall] = ACTIONS(2524),
    [anon_sym___fastcall] = ACTIONS(2524),
    [anon_sym___thiscall] = ACTIONS(2524),
    [anon_sym___vectorcall] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_ATautoreleasepool] = ACTIONS(2526),
    [anon_sym_auto] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_CG_EXTERN] = ACTIONS(2524),
    [anon_sym_CG_INLINE] = ACTIONS(2524),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2524),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2524),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2524),
    [anon_sym_IBOutlet] = ACTIONS(2524),
    [anon_sym_IBInspectable] = ACTIONS(2524),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2524),
    [anon_sym_NS_INLINE] = ACTIONS(2524),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2524),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2524),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2524),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym__Nonnull] = ACTIONS(2524),
    [anon_sym_nullable] = ACTIONS(2524),
    [anon_sym__Complex] = ACTIONS(2524),
    [anon_sym__Nullable] = ACTIONS(2524),
    [anon_sym__Nullable_result] = ACTIONS(2524),
    [anon_sym__Null_unspecified] = ACTIONS(2524),
    [anon_sym___autoreleasing] = ACTIONS(2524),
    [anon_sym___block] = ACTIONS(2524),
    [anon_sym___bridge] = ACTIONS(2524),
    [anon_sym___bridge_retained] = ACTIONS(2524),
    [anon_sym___bridge_transfer] = ACTIONS(2524),
    [anon_sym___complex] = ACTIONS(2524),
    [anon_sym___const] = ACTIONS(2524),
    [anon_sym___imag] = ACTIONS(2524),
    [anon_sym___kindof] = ACTIONS(2524),
    [anon_sym___nonnull] = ACTIONS(2524),
    [anon_sym___nullable] = ACTIONS(2524),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2524),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2524),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2524),
    [anon_sym___real] = ACTIONS(2524),
    [anon_sym___strong] = ACTIONS(2524),
    [anon_sym___unsafe_unretained] = ACTIONS(2524),
    [anon_sym___unused] = ACTIONS(2524),
    [anon_sym___weak] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym__Alignas] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_case] = ACTIONS(2524),
    [anon_sym_default] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_goto] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_sizeof] = ACTIONS(2524),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2524),
    [anon_sym__Generic] = ACTIONS(2524),
    [anon_sym_asm] = ACTIONS(2524),
    [anon_sym___asm__] = ACTIONS(2524),
    [anon_sym___asm] = ACTIONS(2524),
    [sym_number_literal] = ACTIONS(2526),
    [anon_sym_L_SQUOTE] = ACTIONS(2526),
    [anon_sym_u_SQUOTE] = ACTIONS(2526),
    [anon_sym_U_SQUOTE] = ACTIONS(2526),
    [anon_sym_u8_SQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_AT] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [anon_sym_L_DQUOTE] = ACTIONS(2526),
    [anon_sym_u_DQUOTE] = ACTIONS(2526),
    [anon_sym_U_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8_DQUOTE] = ACTIONS(2526),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [anon_sym_NULL] = ACTIONS(2524),
    [anon_sym_nullptr] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2524),
    [anon_sym___typeof] = ACTIONS(2524),
    [anon_sym_typeof] = ACTIONS(2524),
    [anon_sym_ATimport] = ACTIONS(2526),
    [aux_sym_preproc_undef_token1] = ACTIONS(2524),
    [anon_sym_POUND] = ACTIONS(2524),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2524),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2524),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2524),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2524),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2524),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2524),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2524),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2524),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2524),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_API_AVAILABLE] = ACTIONS(2524),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_API_DEPRECATED] = ACTIONS(2524),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2524),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2524),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2524),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2524),
    [anon_sym___deprecated_msg] = ACTIONS(2524),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2524),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2524),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2524),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2524),
    [anon_sym_ATprotocol] = ACTIONS(2526),
    [anon_sym_ATinterface] = ACTIONS(2526),
    [anon_sym_ATimplementation] = ACTIONS(2526),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2526),
    [anon_sym_ATsynthesize] = ACTIONS(2526),
    [anon_sym_ATdynamic] = ACTIONS(2526),
    [anon_sym_ATtry] = ACTIONS(2526),
    [anon_sym___try] = ACTIONS(2524),
    [anon_sym_ATthrow] = ACTIONS(2526),
    [anon_sym_ATselector] = ACTIONS(2526),
    [anon_sym_ATavailable] = ACTIONS(2526),
    [anon_sym___builtin_available] = ACTIONS(2524),
    [anon_sym_va_arg] = ACTIONS(2524),
    [anon_sym_ATencode] = ACTIONS(2526),
    [anon_sym_ATsynchronized] = ACTIONS(2526),
    [anon_sym_BOOL] = ACTIONS(2524),
    [anon_sym_IMP] = ACTIONS(2524),
    [anon_sym_SEL] = ACTIONS(2524),
    [anon_sym_Class] = ACTIONS(2524),
    [anon_sym_id] = ACTIONS(2524),
  },
  [565] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [566] = {
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_include_token2] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token2] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_CARET] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym___attribute] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_ATautoreleasepool] = ACTIONS(2558),
    [anon_sym_auto] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_CG_EXTERN] = ACTIONS(2556),
    [anon_sym_CG_INLINE] = ACTIONS(2556),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2556),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2556),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2556),
    [anon_sym_IBOutlet] = ACTIONS(2556),
    [anon_sym_IBInspectable] = ACTIONS(2556),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2556),
    [anon_sym_NS_INLINE] = ACTIONS(2556),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2556),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2556),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2556),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym__Nonnull] = ACTIONS(2556),
    [anon_sym_nullable] = ACTIONS(2556),
    [anon_sym__Complex] = ACTIONS(2556),
    [anon_sym__Nullable] = ACTIONS(2556),
    [anon_sym__Nullable_result] = ACTIONS(2556),
    [anon_sym__Null_unspecified] = ACTIONS(2556),
    [anon_sym___autoreleasing] = ACTIONS(2556),
    [anon_sym___block] = ACTIONS(2556),
    [anon_sym___bridge] = ACTIONS(2556),
    [anon_sym___bridge_retained] = ACTIONS(2556),
    [anon_sym___bridge_transfer] = ACTIONS(2556),
    [anon_sym___complex] = ACTIONS(2556),
    [anon_sym___const] = ACTIONS(2556),
    [anon_sym___imag] = ACTIONS(2556),
    [anon_sym___kindof] = ACTIONS(2556),
    [anon_sym___nonnull] = ACTIONS(2556),
    [anon_sym___nullable] = ACTIONS(2556),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2556),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2556),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2556),
    [anon_sym___real] = ACTIONS(2556),
    [anon_sym___strong] = ACTIONS(2556),
    [anon_sym___unsafe_unretained] = ACTIONS(2556),
    [anon_sym___unused] = ACTIONS(2556),
    [anon_sym___weak] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_in] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [anon_sym___asm] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2556),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2556),
    [anon_sym___typeof] = ACTIONS(2556),
    [anon_sym_typeof] = ACTIONS(2556),
    [anon_sym_ATimport] = ACTIONS(2558),
    [aux_sym_preproc_undef_token1] = ACTIONS(2556),
    [anon_sym_POUND] = ACTIONS(2556),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2556),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2556),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2556),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2556),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2556),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2556),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2556),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2556),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2556),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_API_AVAILABLE] = ACTIONS(2556),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_API_DEPRECATED] = ACTIONS(2556),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2556),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2556),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2556),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2556),
    [anon_sym___deprecated_msg] = ACTIONS(2556),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2556),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2556),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2556),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2556),
    [anon_sym_ATprotocol] = ACTIONS(2558),
    [anon_sym_ATinterface] = ACTIONS(2558),
    [anon_sym_ATimplementation] = ACTIONS(2558),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2558),
    [anon_sym_ATsynthesize] = ACTIONS(2558),
    [anon_sym_ATdynamic] = ACTIONS(2558),
    [anon_sym_ATtry] = ACTIONS(2558),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym_ATthrow] = ACTIONS(2558),
    [anon_sym_ATselector] = ACTIONS(2558),
    [anon_sym_ATavailable] = ACTIONS(2558),
    [anon_sym___builtin_available] = ACTIONS(2556),
    [anon_sym_va_arg] = ACTIONS(2556),
    [anon_sym_ATencode] = ACTIONS(2558),
    [anon_sym_ATsynchronized] = ACTIONS(2558),
    [anon_sym_BOOL] = ACTIONS(2556),
    [anon_sym_IMP] = ACTIONS(2556),
    [anon_sym_SEL] = ACTIONS(2556),
    [anon_sym_Class] = ACTIONS(2556),
    [anon_sym_id] = ACTIONS(2556),
  },
  [567] = {
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_include_token1] = ACTIONS(2528),
    [aux_sym_preproc_include_token2] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token2] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_BANG] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_CARET] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym___attribute] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___cdecl] = ACTIONS(2528),
    [anon_sym___clrcall] = ACTIONS(2528),
    [anon_sym___stdcall] = ACTIONS(2528),
    [anon_sym___fastcall] = ACTIONS(2528),
    [anon_sym___thiscall] = ACTIONS(2528),
    [anon_sym___vectorcall] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2530),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_ATautoreleasepool] = ACTIONS(2530),
    [anon_sym_auto] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_CG_EXTERN] = ACTIONS(2528),
    [anon_sym_CG_INLINE] = ACTIONS(2528),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2528),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2528),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2528),
    [anon_sym_IBOutlet] = ACTIONS(2528),
    [anon_sym_IBInspectable] = ACTIONS(2528),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2528),
    [anon_sym_NS_INLINE] = ACTIONS(2528),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2528),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2528),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2528),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_nullable] = ACTIONS(2528),
    [anon_sym__Complex] = ACTIONS(2528),
    [anon_sym__Nullable] = ACTIONS(2528),
    [anon_sym__Nullable_result] = ACTIONS(2528),
    [anon_sym__Null_unspecified] = ACTIONS(2528),
    [anon_sym___autoreleasing] = ACTIONS(2528),
    [anon_sym___block] = ACTIONS(2528),
    [anon_sym___bridge] = ACTIONS(2528),
    [anon_sym___bridge_retained] = ACTIONS(2528),
    [anon_sym___bridge_transfer] = ACTIONS(2528),
    [anon_sym___complex] = ACTIONS(2528),
    [anon_sym___const] = ACTIONS(2528),
    [anon_sym___imag] = ACTIONS(2528),
    [anon_sym___kindof] = ACTIONS(2528),
    [anon_sym___nonnull] = ACTIONS(2528),
    [anon_sym___nullable] = ACTIONS(2528),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2528),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2528),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2528),
    [anon_sym___real] = ACTIONS(2528),
    [anon_sym___strong] = ACTIONS(2528),
    [anon_sym___unsafe_unretained] = ACTIONS(2528),
    [anon_sym___unused] = ACTIONS(2528),
    [anon_sym___weak] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_if] = ACTIONS(2528),
    [anon_sym_else] = ACTIONS(2528),
    [anon_sym_switch] = ACTIONS(2528),
    [anon_sym_case] = ACTIONS(2528),
    [anon_sym_default] = ACTIONS(2528),
    [anon_sym_while] = ACTIONS(2528),
    [anon_sym_do] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2528),
    [anon_sym_in] = ACTIONS(2528),
    [anon_sym_return] = ACTIONS(2528),
    [anon_sym_break] = ACTIONS(2528),
    [anon_sym_continue] = ACTIONS(2528),
    [anon_sym_goto] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2530),
    [anon_sym_sizeof] = ACTIONS(2528),
    [anon_sym___alignof__] = ACTIONS(2528),
    [anon_sym___alignof] = ACTIONS(2528),
    [anon_sym__alignof] = ACTIONS(2528),
    [anon_sym_alignof] = ACTIONS(2528),
    [anon_sym__Alignof] = ACTIONS(2528),
    [anon_sym_offsetof] = ACTIONS(2528),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2528),
    [anon_sym___asm__] = ACTIONS(2528),
    [anon_sym___asm] = ACTIONS(2528),
    [sym_number_literal] = ACTIONS(2530),
    [anon_sym_L_SQUOTE] = ACTIONS(2530),
    [anon_sym_u_SQUOTE] = ACTIONS(2530),
    [anon_sym_U_SQUOTE] = ACTIONS(2530),
    [anon_sym_u8_SQUOTE] = ACTIONS(2530),
    [anon_sym_SQUOTE] = ACTIONS(2530),
    [anon_sym_AT] = ACTIONS(2528),
    [anon_sym_DQUOTE] = ACTIONS(2530),
    [anon_sym_L_DQUOTE] = ACTIONS(2530),
    [anon_sym_u_DQUOTE] = ACTIONS(2530),
    [anon_sym_U_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8_DQUOTE] = ACTIONS(2530),
    [sym_true] = ACTIONS(2528),
    [sym_false] = ACTIONS(2528),
    [anon_sym_NULL] = ACTIONS(2528),
    [anon_sym_nullptr] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2528),
    [anon_sym___typeof] = ACTIONS(2528),
    [anon_sym_typeof] = ACTIONS(2528),
    [anon_sym_ATimport] = ACTIONS(2530),
    [aux_sym_preproc_undef_token1] = ACTIONS(2528),
    [anon_sym_POUND] = ACTIONS(2528),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2528),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2528),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2528),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2528),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2528),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2528),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2528),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2528),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2528),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_API_AVAILABLE] = ACTIONS(2528),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_API_DEPRECATED] = ACTIONS(2528),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2528),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2528),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2528),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2528),
    [anon_sym___deprecated_msg] = ACTIONS(2528),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2528),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2528),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2528),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2528),
    [anon_sym_ATprotocol] = ACTIONS(2530),
    [anon_sym_ATinterface] = ACTIONS(2530),
    [anon_sym_ATimplementation] = ACTIONS(2530),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2530),
    [anon_sym_ATsynthesize] = ACTIONS(2530),
    [anon_sym_ATdynamic] = ACTIONS(2530),
    [anon_sym_ATtry] = ACTIONS(2530),
    [anon_sym___try] = ACTIONS(2528),
    [anon_sym_ATthrow] = ACTIONS(2530),
    [anon_sym_ATselector] = ACTIONS(2530),
    [anon_sym_ATavailable] = ACTIONS(2530),
    [anon_sym___builtin_available] = ACTIONS(2528),
    [anon_sym_va_arg] = ACTIONS(2528),
    [anon_sym_ATencode] = ACTIONS(2530),
    [anon_sym_ATsynchronized] = ACTIONS(2530),
    [anon_sym_BOOL] = ACTIONS(2528),
    [anon_sym_IMP] = ACTIONS(2528),
    [anon_sym_SEL] = ACTIONS(2528),
    [anon_sym_Class] = ACTIONS(2528),
    [anon_sym_id] = ACTIONS(2528),
  },
  [568] = {
    [sym_identifier] = ACTIONS(2532),
    [aux_sym_preproc_include_token1] = ACTIONS(2532),
    [aux_sym_preproc_include_token2] = ACTIONS(2532),
    [aux_sym_preproc_def_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token2] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2532),
    [sym_preproc_directive] = ACTIONS(2532),
    [anon_sym_LPAREN2] = ACTIONS(2534),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_typedef] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym___cdecl] = ACTIONS(2532),
    [anon_sym___clrcall] = ACTIONS(2532),
    [anon_sym___stdcall] = ACTIONS(2532),
    [anon_sym___fastcall] = ACTIONS(2532),
    [anon_sym___thiscall] = ACTIONS(2532),
    [anon_sym___vectorcall] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_ATautoreleasepool] = ACTIONS(2534),
    [anon_sym_auto] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_CG_EXTERN] = ACTIONS(2532),
    [anon_sym_CG_INLINE] = ACTIONS(2532),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2532),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2532),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2532),
    [anon_sym_IBOutlet] = ACTIONS(2532),
    [anon_sym_IBInspectable] = ACTIONS(2532),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2532),
    [anon_sym_NS_INLINE] = ACTIONS(2532),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2532),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2532),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2532),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_nullable] = ACTIONS(2532),
    [anon_sym__Complex] = ACTIONS(2532),
    [anon_sym__Nullable] = ACTIONS(2532),
    [anon_sym__Nullable_result] = ACTIONS(2532),
    [anon_sym__Null_unspecified] = ACTIONS(2532),
    [anon_sym___autoreleasing] = ACTIONS(2532),
    [anon_sym___block] = ACTIONS(2532),
    [anon_sym___bridge] = ACTIONS(2532),
    [anon_sym___bridge_retained] = ACTIONS(2532),
    [anon_sym___bridge_transfer] = ACTIONS(2532),
    [anon_sym___complex] = ACTIONS(2532),
    [anon_sym___const] = ACTIONS(2532),
    [anon_sym___imag] = ACTIONS(2532),
    [anon_sym___kindof] = ACTIONS(2532),
    [anon_sym___nonnull] = ACTIONS(2532),
    [anon_sym___nullable] = ACTIONS(2532),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2532),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2532),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2532),
    [anon_sym___real] = ACTIONS(2532),
    [anon_sym___strong] = ACTIONS(2532),
    [anon_sym___unsafe_unretained] = ACTIONS(2532),
    [anon_sym___unused] = ACTIONS(2532),
    [anon_sym___weak] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2532),
    [anon_sym_else] = ACTIONS(2532),
    [anon_sym_switch] = ACTIONS(2532),
    [anon_sym_case] = ACTIONS(2532),
    [anon_sym_default] = ACTIONS(2532),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_do] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2532),
    [anon_sym_in] = ACTIONS(2532),
    [anon_sym_return] = ACTIONS(2532),
    [anon_sym_break] = ACTIONS(2532),
    [anon_sym_continue] = ACTIONS(2532),
    [anon_sym_goto] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2532),
    [anon_sym___alignof] = ACTIONS(2532),
    [anon_sym__alignof] = ACTIONS(2532),
    [anon_sym_alignof] = ACTIONS(2532),
    [anon_sym__Alignof] = ACTIONS(2532),
    [anon_sym_offsetof] = ACTIONS(2532),
    [anon_sym__Generic] = ACTIONS(2532),
    [anon_sym_asm] = ACTIONS(2532),
    [anon_sym___asm__] = ACTIONS(2532),
    [anon_sym___asm] = ACTIONS(2532),
    [sym_number_literal] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2534),
    [anon_sym_u_SQUOTE] = ACTIONS(2534),
    [anon_sym_U_SQUOTE] = ACTIONS(2534),
    [anon_sym_u8_SQUOTE] = ACTIONS(2534),
    [anon_sym_SQUOTE] = ACTIONS(2534),
    [anon_sym_AT] = ACTIONS(2532),
    [anon_sym_DQUOTE] = ACTIONS(2534),
    [anon_sym_L_DQUOTE] = ACTIONS(2534),
    [anon_sym_u_DQUOTE] = ACTIONS(2534),
    [anon_sym_U_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8_DQUOTE] = ACTIONS(2534),
    [sym_true] = ACTIONS(2532),
    [sym_false] = ACTIONS(2532),
    [anon_sym_NULL] = ACTIONS(2532),
    [anon_sym_nullptr] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2532),
    [anon_sym___typeof] = ACTIONS(2532),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_ATimport] = ACTIONS(2534),
    [aux_sym_preproc_undef_token1] = ACTIONS(2532),
    [anon_sym_POUND] = ACTIONS(2532),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2532),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2532),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2532),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2532),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2532),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2532),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2532),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2532),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2532),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_API_AVAILABLE] = ACTIONS(2532),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_API_DEPRECATED] = ACTIONS(2532),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2532),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2532),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2532),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2532),
    [anon_sym___deprecated_msg] = ACTIONS(2532),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2532),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2532),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2532),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2532),
    [anon_sym_ATprotocol] = ACTIONS(2534),
    [anon_sym_ATinterface] = ACTIONS(2534),
    [anon_sym_ATimplementation] = ACTIONS(2534),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2534),
    [anon_sym_ATsynthesize] = ACTIONS(2534),
    [anon_sym_ATdynamic] = ACTIONS(2534),
    [anon_sym_ATtry] = ACTIONS(2534),
    [anon_sym___try] = ACTIONS(2532),
    [anon_sym_ATthrow] = ACTIONS(2534),
    [anon_sym_ATselector] = ACTIONS(2534),
    [anon_sym_ATavailable] = ACTIONS(2534),
    [anon_sym___builtin_available] = ACTIONS(2532),
    [anon_sym_va_arg] = ACTIONS(2532),
    [anon_sym_ATencode] = ACTIONS(2534),
    [anon_sym_ATsynchronized] = ACTIONS(2534),
    [anon_sym_BOOL] = ACTIONS(2532),
    [anon_sym_IMP] = ACTIONS(2532),
    [anon_sym_SEL] = ACTIONS(2532),
    [anon_sym_Class] = ACTIONS(2532),
    [anon_sym_id] = ACTIONS(2532),
  },
  [569] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [570] = {
    [sym_identifier] = ACTIONS(2424),
    [aux_sym_preproc_include_token1] = ACTIONS(2424),
    [aux_sym_preproc_include_token2] = ACTIONS(2424),
    [aux_sym_preproc_def_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token2] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2424),
    [sym_preproc_directive] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_CARET] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym___extension__] = ACTIONS(2424),
    [anon_sym_typedef] = ACTIONS(2424),
    [anon_sym_extern] = ACTIONS(2424),
    [anon_sym___attribute__] = ACTIONS(2424),
    [anon_sym___attribute] = ACTIONS(2424),
    [anon_sym_noreturn] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym___declspec] = ACTIONS(2424),
    [anon_sym___cdecl] = ACTIONS(2424),
    [anon_sym___clrcall] = ACTIONS(2424),
    [anon_sym___stdcall] = ACTIONS(2424),
    [anon_sym___fastcall] = ACTIONS(2424),
    [anon_sym___thiscall] = ACTIONS(2424),
    [anon_sym___vectorcall] = ACTIONS(2424),
    [anon_sym_LBRACE] = ACTIONS(2426),
    [anon_sym_signed] = ACTIONS(2424),
    [anon_sym_unsigned] = ACTIONS(2424),
    [anon_sym_long] = ACTIONS(2424),
    [anon_sym_short] = ACTIONS(2424),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_ATautoreleasepool] = ACTIONS(2426),
    [anon_sym_auto] = ACTIONS(2424),
    [anon_sym_register] = ACTIONS(2424),
    [anon_sym_inline] = ACTIONS(2424),
    [anon_sym___inline] = ACTIONS(2424),
    [anon_sym___inline__] = ACTIONS(2424),
    [anon_sym___forceinline] = ACTIONS(2424),
    [anon_sym_thread_local] = ACTIONS(2424),
    [anon_sym___thread] = ACTIONS(2424),
    [anon_sym_CG_EXTERN] = ACTIONS(2424),
    [anon_sym_CG_INLINE] = ACTIONS(2424),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2424),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2424),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2424),
    [anon_sym_IBOutlet] = ACTIONS(2424),
    [anon_sym_IBInspectable] = ACTIONS(2424),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2424),
    [anon_sym_NS_INLINE] = ACTIONS(2424),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2424),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2424),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2424),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2424),
    [anon_sym_const] = ACTIONS(2424),
    [anon_sym_constexpr] = ACTIONS(2424),
    [anon_sym_volatile] = ACTIONS(2424),
    [anon_sym_restrict] = ACTIONS(2424),
    [anon_sym___restrict__] = ACTIONS(2424),
    [anon_sym__Atomic] = ACTIONS(2424),
    [anon_sym__Noreturn] = ACTIONS(2424),
    [anon_sym__Nonnull] = ACTIONS(2424),
    [anon_sym_nullable] = ACTIONS(2424),
    [anon_sym__Complex] = ACTIONS(2424),
    [anon_sym__Nullable] = ACTIONS(2424),
    [anon_sym__Nullable_result] = ACTIONS(2424),
    [anon_sym__Null_unspecified] = ACTIONS(2424),
    [anon_sym___autoreleasing] = ACTIONS(2424),
    [anon_sym___block] = ACTIONS(2424),
    [anon_sym___bridge] = ACTIONS(2424),
    [anon_sym___bridge_retained] = ACTIONS(2424),
    [anon_sym___bridge_transfer] = ACTIONS(2424),
    [anon_sym___complex] = ACTIONS(2424),
    [anon_sym___const] = ACTIONS(2424),
    [anon_sym___imag] = ACTIONS(2424),
    [anon_sym___kindof] = ACTIONS(2424),
    [anon_sym___nonnull] = ACTIONS(2424),
    [anon_sym___nullable] = ACTIONS(2424),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2424),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2424),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2424),
    [anon_sym___real] = ACTIONS(2424),
    [anon_sym___strong] = ACTIONS(2424),
    [anon_sym___unsafe_unretained] = ACTIONS(2424),
    [anon_sym___unused] = ACTIONS(2424),
    [anon_sym___weak] = ACTIONS(2424),
    [anon_sym_alignas] = ACTIONS(2424),
    [anon_sym__Alignas] = ACTIONS(2424),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_enum] = ACTIONS(2424),
    [anon_sym_struct] = ACTIONS(2424),
    [anon_sym_union] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_else] = ACTIONS(2424),
    [anon_sym_switch] = ACTIONS(2424),
    [anon_sym_case] = ACTIONS(2424),
    [anon_sym_default] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_in] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_break] = ACTIONS(2424),
    [anon_sym_continue] = ACTIONS(2424),
    [anon_sym_goto] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2426),
    [anon_sym_sizeof] = ACTIONS(2424),
    [anon_sym___alignof__] = ACTIONS(2424),
    [anon_sym___alignof] = ACTIONS(2424),
    [anon_sym__alignof] = ACTIONS(2424),
    [anon_sym_alignof] = ACTIONS(2424),
    [anon_sym__Alignof] = ACTIONS(2424),
    [anon_sym_offsetof] = ACTIONS(2424),
    [anon_sym__Generic] = ACTIONS(2424),
    [anon_sym_asm] = ACTIONS(2424),
    [anon_sym___asm__] = ACTIONS(2424),
    [anon_sym___asm] = ACTIONS(2424),
    [sym_number_literal] = ACTIONS(2426),
    [anon_sym_L_SQUOTE] = ACTIONS(2426),
    [anon_sym_u_SQUOTE] = ACTIONS(2426),
    [anon_sym_U_SQUOTE] = ACTIONS(2426),
    [anon_sym_u8_SQUOTE] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_AT] = ACTIONS(2424),
    [anon_sym_DQUOTE] = ACTIONS(2426),
    [anon_sym_L_DQUOTE] = ACTIONS(2426),
    [anon_sym_u_DQUOTE] = ACTIONS(2426),
    [anon_sym_U_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8_DQUOTE] = ACTIONS(2426),
    [sym_true] = ACTIONS(2424),
    [sym_false] = ACTIONS(2424),
    [anon_sym_NULL] = ACTIONS(2424),
    [anon_sym_nullptr] = ACTIONS(2424),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2424),
    [anon_sym___typeof] = ACTIONS(2424),
    [anon_sym_typeof] = ACTIONS(2424),
    [anon_sym_ATimport] = ACTIONS(2426),
    [aux_sym_preproc_undef_token1] = ACTIONS(2424),
    [anon_sym_POUND] = ACTIONS(2424),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2424),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2424),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2424),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2424),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2424),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2424),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2424),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2424),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2424),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_API_AVAILABLE] = ACTIONS(2424),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_API_DEPRECATED] = ACTIONS(2424),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2424),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2424),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2424),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2424),
    [anon_sym___deprecated_msg] = ACTIONS(2424),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2424),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2424),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2424),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2424),
    [anon_sym_ATprotocol] = ACTIONS(2426),
    [anon_sym_ATinterface] = ACTIONS(2426),
    [anon_sym_ATimplementation] = ACTIONS(2426),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2426),
    [anon_sym_ATsynthesize] = ACTIONS(2426),
    [anon_sym_ATdynamic] = ACTIONS(2426),
    [anon_sym_ATtry] = ACTIONS(2426),
    [anon_sym___try] = ACTIONS(2424),
    [anon_sym_ATthrow] = ACTIONS(2426),
    [anon_sym_ATselector] = ACTIONS(2426),
    [anon_sym_ATavailable] = ACTIONS(2426),
    [anon_sym___builtin_available] = ACTIONS(2424),
    [anon_sym_va_arg] = ACTIONS(2424),
    [anon_sym_ATencode] = ACTIONS(2426),
    [anon_sym_ATsynchronized] = ACTIONS(2426),
    [anon_sym_BOOL] = ACTIONS(2424),
    [anon_sym_IMP] = ACTIONS(2424),
    [anon_sym_SEL] = ACTIONS(2424),
    [anon_sym_Class] = ACTIONS(2424),
    [anon_sym_id] = ACTIONS(2424),
  },
  [571] = {
    [sym_identifier] = ACTIONS(2412),
    [aux_sym_preproc_include_token1] = ACTIONS(2412),
    [aux_sym_preproc_include_token2] = ACTIONS(2412),
    [aux_sym_preproc_def_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token2] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2412),
    [sym_preproc_directive] = ACTIONS(2412),
    [anon_sym_LPAREN2] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(2414),
    [anon_sym_TILDE] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_SEMI] = ACTIONS(2414),
    [anon_sym___extension__] = ACTIONS(2412),
    [anon_sym_typedef] = ACTIONS(2412),
    [anon_sym_extern] = ACTIONS(2412),
    [anon_sym___attribute__] = ACTIONS(2412),
    [anon_sym___attribute] = ACTIONS(2412),
    [anon_sym_noreturn] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2414),
    [anon_sym___declspec] = ACTIONS(2412),
    [anon_sym___cdecl] = ACTIONS(2412),
    [anon_sym___clrcall] = ACTIONS(2412),
    [anon_sym___stdcall] = ACTIONS(2412),
    [anon_sym___fastcall] = ACTIONS(2412),
    [anon_sym___thiscall] = ACTIONS(2412),
    [anon_sym___vectorcall] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2414),
    [anon_sym_signed] = ACTIONS(2412),
    [anon_sym_unsigned] = ACTIONS(2412),
    [anon_sym_long] = ACTIONS(2412),
    [anon_sym_short] = ACTIONS(2412),
    [anon_sym_static] = ACTIONS(2412),
    [anon_sym_ATautoreleasepool] = ACTIONS(2414),
    [anon_sym_auto] = ACTIONS(2412),
    [anon_sym_register] = ACTIONS(2412),
    [anon_sym_inline] = ACTIONS(2412),
    [anon_sym___inline] = ACTIONS(2412),
    [anon_sym___inline__] = ACTIONS(2412),
    [anon_sym___forceinline] = ACTIONS(2412),
    [anon_sym_thread_local] = ACTIONS(2412),
    [anon_sym___thread] = ACTIONS(2412),
    [anon_sym_CG_EXTERN] = ACTIONS(2412),
    [anon_sym_CG_INLINE] = ACTIONS(2412),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2412),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2412),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2412),
    [anon_sym_IBOutlet] = ACTIONS(2412),
    [anon_sym_IBInspectable] = ACTIONS(2412),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2412),
    [anon_sym_NS_INLINE] = ACTIONS(2412),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2412),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2412),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2412),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2412),
    [anon_sym_const] = ACTIONS(2412),
    [anon_sym_constexpr] = ACTIONS(2412),
    [anon_sym_volatile] = ACTIONS(2412),
    [anon_sym_restrict] = ACTIONS(2412),
    [anon_sym___restrict__] = ACTIONS(2412),
    [anon_sym__Atomic] = ACTIONS(2412),
    [anon_sym__Noreturn] = ACTIONS(2412),
    [anon_sym__Nonnull] = ACTIONS(2412),
    [anon_sym_nullable] = ACTIONS(2412),
    [anon_sym__Complex] = ACTIONS(2412),
    [anon_sym__Nullable] = ACTIONS(2412),
    [anon_sym__Nullable_result] = ACTIONS(2412),
    [anon_sym__Null_unspecified] = ACTIONS(2412),
    [anon_sym___autoreleasing] = ACTIONS(2412),
    [anon_sym___block] = ACTIONS(2412),
    [anon_sym___bridge] = ACTIONS(2412),
    [anon_sym___bridge_retained] = ACTIONS(2412),
    [anon_sym___bridge_transfer] = ACTIONS(2412),
    [anon_sym___complex] = ACTIONS(2412),
    [anon_sym___const] = ACTIONS(2412),
    [anon_sym___imag] = ACTIONS(2412),
    [anon_sym___kindof] = ACTIONS(2412),
    [anon_sym___nonnull] = ACTIONS(2412),
    [anon_sym___nullable] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2412),
    [anon_sym___real] = ACTIONS(2412),
    [anon_sym___strong] = ACTIONS(2412),
    [anon_sym___unsafe_unretained] = ACTIONS(2412),
    [anon_sym___unused] = ACTIONS(2412),
    [anon_sym___weak] = ACTIONS(2412),
    [anon_sym_alignas] = ACTIONS(2412),
    [anon_sym__Alignas] = ACTIONS(2412),
    [sym_primitive_type] = ACTIONS(2412),
    [anon_sym_enum] = ACTIONS(2412),
    [anon_sym_struct] = ACTIONS(2412),
    [anon_sym_union] = ACTIONS(2412),
    [anon_sym_if] = ACTIONS(2412),
    [anon_sym_else] = ACTIONS(2412),
    [anon_sym_switch] = ACTIONS(2412),
    [anon_sym_case] = ACTIONS(2412),
    [anon_sym_default] = ACTIONS(2412),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_do] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(2412),
    [anon_sym_return] = ACTIONS(2412),
    [anon_sym_break] = ACTIONS(2412),
    [anon_sym_continue] = ACTIONS(2412),
    [anon_sym_goto] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2414),
    [anon_sym_sizeof] = ACTIONS(2412),
    [anon_sym___alignof__] = ACTIONS(2412),
    [anon_sym___alignof] = ACTIONS(2412),
    [anon_sym__alignof] = ACTIONS(2412),
    [anon_sym_alignof] = ACTIONS(2412),
    [anon_sym__Alignof] = ACTIONS(2412),
    [anon_sym_offsetof] = ACTIONS(2412),
    [anon_sym__Generic] = ACTIONS(2412),
    [anon_sym_asm] = ACTIONS(2412),
    [anon_sym___asm__] = ACTIONS(2412),
    [anon_sym___asm] = ACTIONS(2412),
    [sym_number_literal] = ACTIONS(2414),
    [anon_sym_L_SQUOTE] = ACTIONS(2414),
    [anon_sym_u_SQUOTE] = ACTIONS(2414),
    [anon_sym_U_SQUOTE] = ACTIONS(2414),
    [anon_sym_u8_SQUOTE] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_AT] = ACTIONS(2412),
    [anon_sym_DQUOTE] = ACTIONS(2414),
    [anon_sym_L_DQUOTE] = ACTIONS(2414),
    [anon_sym_u_DQUOTE] = ACTIONS(2414),
    [anon_sym_U_DQUOTE] = ACTIONS(2414),
    [anon_sym_u8_DQUOTE] = ACTIONS(2414),
    [sym_true] = ACTIONS(2412),
    [sym_false] = ACTIONS(2412),
    [anon_sym_NULL] = ACTIONS(2412),
    [anon_sym_nullptr] = ACTIONS(2412),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2412),
    [anon_sym___typeof] = ACTIONS(2412),
    [anon_sym_typeof] = ACTIONS(2412),
    [anon_sym_ATimport] = ACTIONS(2414),
    [aux_sym_preproc_undef_token1] = ACTIONS(2412),
    [anon_sym_POUND] = ACTIONS(2412),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2412),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2412),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2412),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2412),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2412),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2412),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2412),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_API_AVAILABLE] = ACTIONS(2412),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_API_DEPRECATED] = ACTIONS(2412),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2412),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym___deprecated_msg] = ACTIONS(2412),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2412),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2412),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2412),
    [anon_sym_ATprotocol] = ACTIONS(2414),
    [anon_sym_ATinterface] = ACTIONS(2414),
    [anon_sym_ATimplementation] = ACTIONS(2414),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2414),
    [anon_sym_ATsynthesize] = ACTIONS(2414),
    [anon_sym_ATdynamic] = ACTIONS(2414),
    [anon_sym_ATtry] = ACTIONS(2414),
    [anon_sym___try] = ACTIONS(2412),
    [anon_sym_ATthrow] = ACTIONS(2414),
    [anon_sym_ATselector] = ACTIONS(2414),
    [anon_sym_ATavailable] = ACTIONS(2414),
    [anon_sym___builtin_available] = ACTIONS(2412),
    [anon_sym_va_arg] = ACTIONS(2412),
    [anon_sym_ATencode] = ACTIONS(2414),
    [anon_sym_ATsynchronized] = ACTIONS(2414),
    [anon_sym_BOOL] = ACTIONS(2412),
    [anon_sym_IMP] = ACTIONS(2412),
    [anon_sym_SEL] = ACTIONS(2412),
    [anon_sym_Class] = ACTIONS(2412),
    [anon_sym_id] = ACTIONS(2412),
  },
  [572] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_include_token2] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token2] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_CARET] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_ATautoreleasepool] = ACTIONS(2462),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_else] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [anon_sym___asm] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_AT] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [anon_sym_ATimport] = ACTIONS(2462),
    [aux_sym_preproc_undef_token1] = ACTIONS(2460),
    [anon_sym_POUND] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATprotocol] = ACTIONS(2462),
    [anon_sym_ATinterface] = ACTIONS(2462),
    [anon_sym_ATimplementation] = ACTIONS(2462),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2462),
    [anon_sym_ATsynthesize] = ACTIONS(2462),
    [anon_sym_ATdynamic] = ACTIONS(2462),
    [anon_sym_ATtry] = ACTIONS(2462),
    [anon_sym___try] = ACTIONS(2460),
    [anon_sym_ATthrow] = ACTIONS(2462),
    [anon_sym_ATselector] = ACTIONS(2462),
    [anon_sym_ATavailable] = ACTIONS(2462),
    [anon_sym___builtin_available] = ACTIONS(2460),
    [anon_sym_va_arg] = ACTIONS(2460),
    [anon_sym_ATencode] = ACTIONS(2462),
    [anon_sym_ATsynchronized] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [573] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_include_token1] = ACTIONS(2560),
    [aux_sym_preproc_include_token2] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token2] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_CARET] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym___attribute] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___cdecl] = ACTIONS(2560),
    [anon_sym___clrcall] = ACTIONS(2560),
    [anon_sym___stdcall] = ACTIONS(2560),
    [anon_sym___fastcall] = ACTIONS(2560),
    [anon_sym___thiscall] = ACTIONS(2560),
    [anon_sym___vectorcall] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_ATautoreleasepool] = ACTIONS(2562),
    [anon_sym_auto] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_CG_EXTERN] = ACTIONS(2560),
    [anon_sym_CG_INLINE] = ACTIONS(2560),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2560),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2560),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2560),
    [anon_sym_IBOutlet] = ACTIONS(2560),
    [anon_sym_IBInspectable] = ACTIONS(2560),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2560),
    [anon_sym_NS_INLINE] = ACTIONS(2560),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2560),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2560),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2560),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym__Nonnull] = ACTIONS(2560),
    [anon_sym_nullable] = ACTIONS(2560),
    [anon_sym__Complex] = ACTIONS(2560),
    [anon_sym__Nullable] = ACTIONS(2560),
    [anon_sym__Nullable_result] = ACTIONS(2560),
    [anon_sym__Null_unspecified] = ACTIONS(2560),
    [anon_sym___autoreleasing] = ACTIONS(2560),
    [anon_sym___block] = ACTIONS(2560),
    [anon_sym___bridge] = ACTIONS(2560),
    [anon_sym___bridge_retained] = ACTIONS(2560),
    [anon_sym___bridge_transfer] = ACTIONS(2560),
    [anon_sym___complex] = ACTIONS(2560),
    [anon_sym___const] = ACTIONS(2560),
    [anon_sym___imag] = ACTIONS(2560),
    [anon_sym___kindof] = ACTIONS(2560),
    [anon_sym___nonnull] = ACTIONS(2560),
    [anon_sym___nullable] = ACTIONS(2560),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2560),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2560),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2560),
    [anon_sym___real] = ACTIONS(2560),
    [anon_sym___strong] = ACTIONS(2560),
    [anon_sym___unsafe_unretained] = ACTIONS(2560),
    [anon_sym___unused] = ACTIONS(2560),
    [anon_sym___weak] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym__Alignas] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2560),
    [anon_sym_default] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [anon_sym___asm] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2560),
    [anon_sym___typeof] = ACTIONS(2560),
    [anon_sym_typeof] = ACTIONS(2560),
    [anon_sym_ATimport] = ACTIONS(2562),
    [aux_sym_preproc_undef_token1] = ACTIONS(2560),
    [anon_sym_POUND] = ACTIONS(2560),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2560),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2560),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2560),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2560),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2560),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2560),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2560),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2560),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2560),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_API_AVAILABLE] = ACTIONS(2560),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_API_DEPRECATED] = ACTIONS(2560),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2560),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2560),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2560),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2560),
    [anon_sym___deprecated_msg] = ACTIONS(2560),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2560),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2560),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2560),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2560),
    [anon_sym_ATprotocol] = ACTIONS(2562),
    [anon_sym_ATinterface] = ACTIONS(2562),
    [anon_sym_ATimplementation] = ACTIONS(2562),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2562),
    [anon_sym_ATsynthesize] = ACTIONS(2562),
    [anon_sym_ATdynamic] = ACTIONS(2562),
    [anon_sym_ATtry] = ACTIONS(2562),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym_ATthrow] = ACTIONS(2562),
    [anon_sym_ATselector] = ACTIONS(2562),
    [anon_sym_ATavailable] = ACTIONS(2562),
    [anon_sym___builtin_available] = ACTIONS(2560),
    [anon_sym_va_arg] = ACTIONS(2560),
    [anon_sym_ATencode] = ACTIONS(2562),
    [anon_sym_ATsynchronized] = ACTIONS(2562),
    [anon_sym_BOOL] = ACTIONS(2560),
    [anon_sym_IMP] = ACTIONS(2560),
    [anon_sym_SEL] = ACTIONS(2560),
    [anon_sym_Class] = ACTIONS(2560),
    [anon_sym_id] = ACTIONS(2560),
  },
  [574] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_include_token2] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token2] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_CARET] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_ATautoreleasepool] = ACTIONS(2462),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_else] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [anon_sym___asm] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_AT] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [anon_sym_ATimport] = ACTIONS(2462),
    [aux_sym_preproc_undef_token1] = ACTIONS(2460),
    [anon_sym_POUND] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATprotocol] = ACTIONS(2462),
    [anon_sym_ATinterface] = ACTIONS(2462),
    [anon_sym_ATimplementation] = ACTIONS(2462),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2462),
    [anon_sym_ATsynthesize] = ACTIONS(2462),
    [anon_sym_ATdynamic] = ACTIONS(2462),
    [anon_sym_ATtry] = ACTIONS(2462),
    [anon_sym___try] = ACTIONS(2460),
    [anon_sym_ATthrow] = ACTIONS(2462),
    [anon_sym_ATselector] = ACTIONS(2462),
    [anon_sym_ATavailable] = ACTIONS(2462),
    [anon_sym___builtin_available] = ACTIONS(2460),
    [anon_sym_va_arg] = ACTIONS(2460),
    [anon_sym_ATencode] = ACTIONS(2462),
    [anon_sym_ATsynchronized] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [575] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_include_token2] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token2] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_CARET] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_ATautoreleasepool] = ACTIONS(2462),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_else] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [anon_sym___asm] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_AT] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [anon_sym_ATimport] = ACTIONS(2462),
    [aux_sym_preproc_undef_token1] = ACTIONS(2460),
    [anon_sym_POUND] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATprotocol] = ACTIONS(2462),
    [anon_sym_ATinterface] = ACTIONS(2462),
    [anon_sym_ATimplementation] = ACTIONS(2462),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2462),
    [anon_sym_ATsynthesize] = ACTIONS(2462),
    [anon_sym_ATdynamic] = ACTIONS(2462),
    [anon_sym_ATtry] = ACTIONS(2462),
    [anon_sym___try] = ACTIONS(2460),
    [anon_sym_ATthrow] = ACTIONS(2462),
    [anon_sym_ATselector] = ACTIONS(2462),
    [anon_sym_ATavailable] = ACTIONS(2462),
    [anon_sym___builtin_available] = ACTIONS(2460),
    [anon_sym_va_arg] = ACTIONS(2460),
    [anon_sym_ATencode] = ACTIONS(2462),
    [anon_sym_ATsynchronized] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [576] = {
    [sym_identifier] = ACTIONS(2540),
    [aux_sym_preproc_include_token1] = ACTIONS(2540),
    [aux_sym_preproc_include_token2] = ACTIONS(2540),
    [aux_sym_preproc_def_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token2] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2540),
    [sym_preproc_directive] = ACTIONS(2540),
    [anon_sym_LPAREN2] = ACTIONS(2542),
    [anon_sym_BANG] = ACTIONS(2542),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_CARET] = ACTIONS(2542),
    [anon_sym_AMP] = ACTIONS(2542),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_typedef] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym___attribute] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym___cdecl] = ACTIONS(2540),
    [anon_sym___clrcall] = ACTIONS(2540),
    [anon_sym___stdcall] = ACTIONS(2540),
    [anon_sym___fastcall] = ACTIONS(2540),
    [anon_sym___thiscall] = ACTIONS(2540),
    [anon_sym___vectorcall] = ACTIONS(2540),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_ATautoreleasepool] = ACTIONS(2542),
    [anon_sym_auto] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_CG_EXTERN] = ACTIONS(2540),
    [anon_sym_CG_INLINE] = ACTIONS(2540),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2540),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2540),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2540),
    [anon_sym_IBOutlet] = ACTIONS(2540),
    [anon_sym_IBInspectable] = ACTIONS(2540),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2540),
    [anon_sym_NS_INLINE] = ACTIONS(2540),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2540),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2540),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2540),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym__Nonnull] = ACTIONS(2540),
    [anon_sym_nullable] = ACTIONS(2540),
    [anon_sym__Complex] = ACTIONS(2540),
    [anon_sym__Nullable] = ACTIONS(2540),
    [anon_sym__Nullable_result] = ACTIONS(2540),
    [anon_sym__Null_unspecified] = ACTIONS(2540),
    [anon_sym___autoreleasing] = ACTIONS(2540),
    [anon_sym___block] = ACTIONS(2540),
    [anon_sym___bridge] = ACTIONS(2540),
    [anon_sym___bridge_retained] = ACTIONS(2540),
    [anon_sym___bridge_transfer] = ACTIONS(2540),
    [anon_sym___complex] = ACTIONS(2540),
    [anon_sym___const] = ACTIONS(2540),
    [anon_sym___imag] = ACTIONS(2540),
    [anon_sym___kindof] = ACTIONS(2540),
    [anon_sym___nonnull] = ACTIONS(2540),
    [anon_sym___nullable] = ACTIONS(2540),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2540),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2540),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2540),
    [anon_sym___real] = ACTIONS(2540),
    [anon_sym___strong] = ACTIONS(2540),
    [anon_sym___unsafe_unretained] = ACTIONS(2540),
    [anon_sym___unused] = ACTIONS(2540),
    [anon_sym___weak] = ACTIONS(2540),
    [anon_sym_alignas] = ACTIONS(2540),
    [anon_sym__Alignas] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [anon_sym_if] = ACTIONS(2540),
    [anon_sym_else] = ACTIONS(2540),
    [anon_sym_switch] = ACTIONS(2540),
    [anon_sym_case] = ACTIONS(2540),
    [anon_sym_default] = ACTIONS(2540),
    [anon_sym_while] = ACTIONS(2540),
    [anon_sym_do] = ACTIONS(2540),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_in] = ACTIONS(2540),
    [anon_sym_return] = ACTIONS(2540),
    [anon_sym_break] = ACTIONS(2540),
    [anon_sym_continue] = ACTIONS(2540),
    [anon_sym_goto] = ACTIONS(2540),
    [anon_sym_DASH_DASH] = ACTIONS(2542),
    [anon_sym_PLUS_PLUS] = ACTIONS(2542),
    [anon_sym_sizeof] = ACTIONS(2540),
    [anon_sym___alignof__] = ACTIONS(2540),
    [anon_sym___alignof] = ACTIONS(2540),
    [anon_sym__alignof] = ACTIONS(2540),
    [anon_sym_alignof] = ACTIONS(2540),
    [anon_sym__Alignof] = ACTIONS(2540),
    [anon_sym_offsetof] = ACTIONS(2540),
    [anon_sym__Generic] = ACTIONS(2540),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [anon_sym___asm] = ACTIONS(2540),
    [sym_number_literal] = ACTIONS(2542),
    [anon_sym_L_SQUOTE] = ACTIONS(2542),
    [anon_sym_u_SQUOTE] = ACTIONS(2542),
    [anon_sym_U_SQUOTE] = ACTIONS(2542),
    [anon_sym_u8_SQUOTE] = ACTIONS(2542),
    [anon_sym_SQUOTE] = ACTIONS(2542),
    [anon_sym_AT] = ACTIONS(2540),
    [anon_sym_DQUOTE] = ACTIONS(2542),
    [anon_sym_L_DQUOTE] = ACTIONS(2542),
    [anon_sym_u_DQUOTE] = ACTIONS(2542),
    [anon_sym_U_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8_DQUOTE] = ACTIONS(2542),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2540),
    [anon_sym_nullptr] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2540),
    [anon_sym___typeof] = ACTIONS(2540),
    [anon_sym_typeof] = ACTIONS(2540),
    [anon_sym_ATimport] = ACTIONS(2542),
    [aux_sym_preproc_undef_token1] = ACTIONS(2540),
    [anon_sym_POUND] = ACTIONS(2540),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2540),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2540),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2540),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2540),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2540),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2540),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2540),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2540),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2540),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_API_AVAILABLE] = ACTIONS(2540),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_API_DEPRECATED] = ACTIONS(2540),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2540),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2540),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2540),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2540),
    [anon_sym___deprecated_msg] = ACTIONS(2540),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2540),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2540),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2540),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2540),
    [anon_sym_ATprotocol] = ACTIONS(2542),
    [anon_sym_ATinterface] = ACTIONS(2542),
    [anon_sym_ATimplementation] = ACTIONS(2542),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2542),
    [anon_sym_ATsynthesize] = ACTIONS(2542),
    [anon_sym_ATdynamic] = ACTIONS(2542),
    [anon_sym_ATtry] = ACTIONS(2542),
    [anon_sym___try] = ACTIONS(2540),
    [anon_sym_ATthrow] = ACTIONS(2542),
    [anon_sym_ATselector] = ACTIONS(2542),
    [anon_sym_ATavailable] = ACTIONS(2542),
    [anon_sym___builtin_available] = ACTIONS(2540),
    [anon_sym_va_arg] = ACTIONS(2540),
    [anon_sym_ATencode] = ACTIONS(2542),
    [anon_sym_ATsynchronized] = ACTIONS(2542),
    [anon_sym_BOOL] = ACTIONS(2540),
    [anon_sym_IMP] = ACTIONS(2540),
    [anon_sym_SEL] = ACTIONS(2540),
    [anon_sym_Class] = ACTIONS(2540),
    [anon_sym_id] = ACTIONS(2540),
  },
  [577] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_include_token2] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym___attribute] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_ATautoreleasepool] = ACTIONS(2546),
    [anon_sym_auto] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_CG_EXTERN] = ACTIONS(2544),
    [anon_sym_CG_INLINE] = ACTIONS(2544),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2544),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2544),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2544),
    [anon_sym_IBOutlet] = ACTIONS(2544),
    [anon_sym_IBInspectable] = ACTIONS(2544),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2544),
    [anon_sym_NS_INLINE] = ACTIONS(2544),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2544),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2544),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2544),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym__Nonnull] = ACTIONS(2544),
    [anon_sym_nullable] = ACTIONS(2544),
    [anon_sym__Complex] = ACTIONS(2544),
    [anon_sym__Nullable] = ACTIONS(2544),
    [anon_sym__Nullable_result] = ACTIONS(2544),
    [anon_sym__Null_unspecified] = ACTIONS(2544),
    [anon_sym___autoreleasing] = ACTIONS(2544),
    [anon_sym___block] = ACTIONS(2544),
    [anon_sym___bridge] = ACTIONS(2544),
    [anon_sym___bridge_retained] = ACTIONS(2544),
    [anon_sym___bridge_transfer] = ACTIONS(2544),
    [anon_sym___complex] = ACTIONS(2544),
    [anon_sym___const] = ACTIONS(2544),
    [anon_sym___imag] = ACTIONS(2544),
    [anon_sym___kindof] = ACTIONS(2544),
    [anon_sym___nonnull] = ACTIONS(2544),
    [anon_sym___nullable] = ACTIONS(2544),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2544),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2544),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2544),
    [anon_sym___real] = ACTIONS(2544),
    [anon_sym___strong] = ACTIONS(2544),
    [anon_sym___unsafe_unretained] = ACTIONS(2544),
    [anon_sym___unused] = ACTIONS(2544),
    [anon_sym___weak] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym__Alignas] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_in] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [anon_sym___asm] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_AT] = ACTIONS(2544),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2544),
    [anon_sym___typeof] = ACTIONS(2544),
    [anon_sym_typeof] = ACTIONS(2544),
    [anon_sym_ATimport] = ACTIONS(2546),
    [aux_sym_preproc_undef_token1] = ACTIONS(2544),
    [anon_sym_POUND] = ACTIONS(2544),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2544),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2544),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2544),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2544),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2544),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2544),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2544),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2544),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2544),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_API_AVAILABLE] = ACTIONS(2544),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_API_DEPRECATED] = ACTIONS(2544),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2544),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2544),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2544),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2544),
    [anon_sym___deprecated_msg] = ACTIONS(2544),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2544),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2544),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2544),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2544),
    [anon_sym_ATprotocol] = ACTIONS(2546),
    [anon_sym_ATinterface] = ACTIONS(2546),
    [anon_sym_ATimplementation] = ACTIONS(2546),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2546),
    [anon_sym_ATsynthesize] = ACTIONS(2546),
    [anon_sym_ATdynamic] = ACTIONS(2546),
    [anon_sym_ATtry] = ACTIONS(2546),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym_ATthrow] = ACTIONS(2546),
    [anon_sym_ATselector] = ACTIONS(2546),
    [anon_sym_ATavailable] = ACTIONS(2546),
    [anon_sym___builtin_available] = ACTIONS(2544),
    [anon_sym_va_arg] = ACTIONS(2544),
    [anon_sym_ATencode] = ACTIONS(2546),
    [anon_sym_ATsynchronized] = ACTIONS(2546),
    [anon_sym_BOOL] = ACTIONS(2544),
    [anon_sym_IMP] = ACTIONS(2544),
    [anon_sym_SEL] = ACTIONS(2544),
    [anon_sym_Class] = ACTIONS(2544),
    [anon_sym_id] = ACTIONS(2544),
  },
  [578] = {
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_include_token1] = ACTIONS(2548),
    [aux_sym_preproc_include_token2] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token2] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_CARET] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2550),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym___attribute] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___cdecl] = ACTIONS(2548),
    [anon_sym___clrcall] = ACTIONS(2548),
    [anon_sym___stdcall] = ACTIONS(2548),
    [anon_sym___fastcall] = ACTIONS(2548),
    [anon_sym___thiscall] = ACTIONS(2548),
    [anon_sym___vectorcall] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_ATautoreleasepool] = ACTIONS(2550),
    [anon_sym_auto] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_CG_EXTERN] = ACTIONS(2548),
    [anon_sym_CG_INLINE] = ACTIONS(2548),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2548),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2548),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2548),
    [anon_sym_IBOutlet] = ACTIONS(2548),
    [anon_sym_IBInspectable] = ACTIONS(2548),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2548),
    [anon_sym_NS_INLINE] = ACTIONS(2548),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2548),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2548),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2548),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym__Nonnull] = ACTIONS(2548),
    [anon_sym_nullable] = ACTIONS(2548),
    [anon_sym__Complex] = ACTIONS(2548),
    [anon_sym__Nullable] = ACTIONS(2548),
    [anon_sym__Nullable_result] = ACTIONS(2548),
    [anon_sym__Null_unspecified] = ACTIONS(2548),
    [anon_sym___autoreleasing] = ACTIONS(2548),
    [anon_sym___block] = ACTIONS(2548),
    [anon_sym___bridge] = ACTIONS(2548),
    [anon_sym___bridge_retained] = ACTIONS(2548),
    [anon_sym___bridge_transfer] = ACTIONS(2548),
    [anon_sym___complex] = ACTIONS(2548),
    [anon_sym___const] = ACTIONS(2548),
    [anon_sym___imag] = ACTIONS(2548),
    [anon_sym___kindof] = ACTIONS(2548),
    [anon_sym___nonnull] = ACTIONS(2548),
    [anon_sym___nullable] = ACTIONS(2548),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2548),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2548),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2548),
    [anon_sym___real] = ACTIONS(2548),
    [anon_sym___strong] = ACTIONS(2548),
    [anon_sym___unsafe_unretained] = ACTIONS(2548),
    [anon_sym___unused] = ACTIONS(2548),
    [anon_sym___weak] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_else] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_case] = ACTIONS(2548),
    [anon_sym_default] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_in] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [anon_sym___asm] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_AT] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2548),
    [anon_sym___typeof] = ACTIONS(2548),
    [anon_sym_typeof] = ACTIONS(2548),
    [anon_sym_ATimport] = ACTIONS(2550),
    [aux_sym_preproc_undef_token1] = ACTIONS(2548),
    [anon_sym_POUND] = ACTIONS(2548),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2548),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2548),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2548),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2548),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2548),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2548),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2548),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2548),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2548),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_API_AVAILABLE] = ACTIONS(2548),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_API_DEPRECATED] = ACTIONS(2548),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2548),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2548),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2548),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2548),
    [anon_sym___deprecated_msg] = ACTIONS(2548),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2548),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2548),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2548),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2548),
    [anon_sym_ATprotocol] = ACTIONS(2550),
    [anon_sym_ATinterface] = ACTIONS(2550),
    [anon_sym_ATimplementation] = ACTIONS(2550),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2550),
    [anon_sym_ATsynthesize] = ACTIONS(2550),
    [anon_sym_ATdynamic] = ACTIONS(2550),
    [anon_sym_ATtry] = ACTIONS(2550),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym_ATthrow] = ACTIONS(2550),
    [anon_sym_ATselector] = ACTIONS(2550),
    [anon_sym_ATavailable] = ACTIONS(2550),
    [anon_sym___builtin_available] = ACTIONS(2548),
    [anon_sym_va_arg] = ACTIONS(2548),
    [anon_sym_ATencode] = ACTIONS(2550),
    [anon_sym_ATsynchronized] = ACTIONS(2550),
    [anon_sym_BOOL] = ACTIONS(2548),
    [anon_sym_IMP] = ACTIONS(2548),
    [anon_sym_SEL] = ACTIONS(2548),
    [anon_sym_Class] = ACTIONS(2548),
    [anon_sym_id] = ACTIONS(2548),
  },
  [579] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [580] = {
    [sym_identifier] = ACTIONS(2306),
    [aux_sym_preproc_include_token1] = ACTIONS(2306),
    [aux_sym_preproc_include_token2] = ACTIONS(2306),
    [aux_sym_preproc_def_token1] = ACTIONS(2306),
    [aux_sym_preproc_if_token1] = ACTIONS(2306),
    [aux_sym_preproc_if_token2] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2306),
    [sym_preproc_directive] = ACTIONS(2306),
    [anon_sym_LPAREN2] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_CARET] = ACTIONS(2308),
    [anon_sym_AMP] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2308),
    [anon_sym___extension__] = ACTIONS(2306),
    [anon_sym_typedef] = ACTIONS(2306),
    [anon_sym_extern] = ACTIONS(2306),
    [anon_sym___attribute__] = ACTIONS(2306),
    [anon_sym___attribute] = ACTIONS(2306),
    [anon_sym_noreturn] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym___declspec] = ACTIONS(2306),
    [anon_sym___cdecl] = ACTIONS(2306),
    [anon_sym___clrcall] = ACTIONS(2306),
    [anon_sym___stdcall] = ACTIONS(2306),
    [anon_sym___fastcall] = ACTIONS(2306),
    [anon_sym___thiscall] = ACTIONS(2306),
    [anon_sym___vectorcall] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2308),
    [anon_sym_signed] = ACTIONS(2306),
    [anon_sym_unsigned] = ACTIONS(2306),
    [anon_sym_long] = ACTIONS(2306),
    [anon_sym_short] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_ATautoreleasepool] = ACTIONS(2308),
    [anon_sym_auto] = ACTIONS(2306),
    [anon_sym_register] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(2306),
    [anon_sym___inline] = ACTIONS(2306),
    [anon_sym___inline__] = ACTIONS(2306),
    [anon_sym___forceinline] = ACTIONS(2306),
    [anon_sym_thread_local] = ACTIONS(2306),
    [anon_sym___thread] = ACTIONS(2306),
    [anon_sym_CG_EXTERN] = ACTIONS(2306),
    [anon_sym_CG_INLINE] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2306),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2306),
    [anon_sym_IBOutlet] = ACTIONS(2306),
    [anon_sym_IBInspectable] = ACTIONS(2306),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2306),
    [anon_sym_NS_INLINE] = ACTIONS(2306),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2306),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2306),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_constexpr] = ACTIONS(2306),
    [anon_sym_volatile] = ACTIONS(2306),
    [anon_sym_restrict] = ACTIONS(2306),
    [anon_sym___restrict__] = ACTIONS(2306),
    [anon_sym__Atomic] = ACTIONS(2306),
    [anon_sym__Noreturn] = ACTIONS(2306),
    [anon_sym__Nonnull] = ACTIONS(2306),
    [anon_sym_nullable] = ACTIONS(2306),
    [anon_sym__Complex] = ACTIONS(2306),
    [anon_sym__Nullable] = ACTIONS(2306),
    [anon_sym__Nullable_result] = ACTIONS(2306),
    [anon_sym__Null_unspecified] = ACTIONS(2306),
    [anon_sym___autoreleasing] = ACTIONS(2306),
    [anon_sym___block] = ACTIONS(2306),
    [anon_sym___bridge] = ACTIONS(2306),
    [anon_sym___bridge_retained] = ACTIONS(2306),
    [anon_sym___bridge_transfer] = ACTIONS(2306),
    [anon_sym___complex] = ACTIONS(2306),
    [anon_sym___const] = ACTIONS(2306),
    [anon_sym___imag] = ACTIONS(2306),
    [anon_sym___kindof] = ACTIONS(2306),
    [anon_sym___nonnull] = ACTIONS(2306),
    [anon_sym___nullable] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2306),
    [anon_sym___real] = ACTIONS(2306),
    [anon_sym___strong] = ACTIONS(2306),
    [anon_sym___unsafe_unretained] = ACTIONS(2306),
    [anon_sym___unused] = ACTIONS(2306),
    [anon_sym___weak] = ACTIONS(2306),
    [anon_sym_alignas] = ACTIONS(2306),
    [anon_sym__Alignas] = ACTIONS(2306),
    [sym_primitive_type] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [anon_sym_struct] = ACTIONS(2306),
    [anon_sym_union] = ACTIONS(2306),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_else] = ACTIONS(2306),
    [anon_sym_switch] = ACTIONS(2306),
    [anon_sym_case] = ACTIONS(2306),
    [anon_sym_default] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2306),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2306),
    [anon_sym_continue] = ACTIONS(2306),
    [anon_sym_goto] = ACTIONS(2306),
    [anon_sym_DASH_DASH] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(2308),
    [anon_sym_sizeof] = ACTIONS(2306),
    [anon_sym___alignof__] = ACTIONS(2306),
    [anon_sym___alignof] = ACTIONS(2306),
    [anon_sym__alignof] = ACTIONS(2306),
    [anon_sym_alignof] = ACTIONS(2306),
    [anon_sym__Alignof] = ACTIONS(2306),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2306),
    [anon_sym_asm] = ACTIONS(2306),
    [anon_sym___asm__] = ACTIONS(2306),
    [anon_sym___asm] = ACTIONS(2306),
    [sym_number_literal] = ACTIONS(2308),
    [anon_sym_L_SQUOTE] = ACTIONS(2308),
    [anon_sym_u_SQUOTE] = ACTIONS(2308),
    [anon_sym_U_SQUOTE] = ACTIONS(2308),
    [anon_sym_u8_SQUOTE] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [anon_sym_AT] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2308),
    [anon_sym_L_DQUOTE] = ACTIONS(2308),
    [anon_sym_u_DQUOTE] = ACTIONS(2308),
    [anon_sym_U_DQUOTE] = ACTIONS(2308),
    [anon_sym_u8_DQUOTE] = ACTIONS(2308),
    [sym_true] = ACTIONS(2306),
    [sym_false] = ACTIONS(2306),
    [anon_sym_NULL] = ACTIONS(2306),
    [anon_sym_nullptr] = ACTIONS(2306),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2306),
    [anon_sym___typeof] = ACTIONS(2306),
    [anon_sym_typeof] = ACTIONS(2306),
    [anon_sym_ATimport] = ACTIONS(2308),
    [aux_sym_preproc_undef_token1] = ACTIONS(2306),
    [anon_sym_POUND] = ACTIONS(2306),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2306),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2306),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2306),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_API_AVAILABLE] = ACTIONS(2306),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_API_DEPRECATED] = ACTIONS(2306),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym___deprecated_msg] = ACTIONS(2306),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2306),
    [anon_sym_ATprotocol] = ACTIONS(2308),
    [anon_sym_ATinterface] = ACTIONS(2308),
    [anon_sym_ATimplementation] = ACTIONS(2308),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2308),
    [anon_sym_ATsynthesize] = ACTIONS(2308),
    [anon_sym_ATdynamic] = ACTIONS(2308),
    [anon_sym_ATtry] = ACTIONS(2308),
    [anon_sym___try] = ACTIONS(2306),
    [anon_sym_ATthrow] = ACTIONS(2308),
    [anon_sym_ATselector] = ACTIONS(2308),
    [anon_sym_ATavailable] = ACTIONS(2308),
    [anon_sym___builtin_available] = ACTIONS(2306),
    [anon_sym_va_arg] = ACTIONS(2306),
    [anon_sym_ATencode] = ACTIONS(2308),
    [anon_sym_ATsynchronized] = ACTIONS(2308),
    [anon_sym_BOOL] = ACTIONS(2306),
    [anon_sym_IMP] = ACTIONS(2306),
    [anon_sym_SEL] = ACTIONS(2306),
    [anon_sym_Class] = ACTIONS(2306),
    [anon_sym_id] = ACTIONS(2306),
  },
  [581] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [582] = {
    [sym_identifier] = ACTIONS(2516),
    [aux_sym_preproc_include_token1] = ACTIONS(2516),
    [aux_sym_preproc_include_token2] = ACTIONS(2516),
    [aux_sym_preproc_def_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token2] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2516),
    [sym_preproc_directive] = ACTIONS(2516),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_BANG] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_CARET] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_typedef] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym___attribute] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym___cdecl] = ACTIONS(2516),
    [anon_sym___clrcall] = ACTIONS(2516),
    [anon_sym___stdcall] = ACTIONS(2516),
    [anon_sym___fastcall] = ACTIONS(2516),
    [anon_sym___thiscall] = ACTIONS(2516),
    [anon_sym___vectorcall] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_ATautoreleasepool] = ACTIONS(2518),
    [anon_sym_auto] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_CG_EXTERN] = ACTIONS(2516),
    [anon_sym_CG_INLINE] = ACTIONS(2516),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2516),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2516),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2516),
    [anon_sym_IBOutlet] = ACTIONS(2516),
    [anon_sym_IBInspectable] = ACTIONS(2516),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2516),
    [anon_sym_NS_INLINE] = ACTIONS(2516),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2516),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2516),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2516),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym__Nonnull] = ACTIONS(2516),
    [anon_sym_nullable] = ACTIONS(2516),
    [anon_sym__Complex] = ACTIONS(2516),
    [anon_sym__Nullable] = ACTIONS(2516),
    [anon_sym__Nullable_result] = ACTIONS(2516),
    [anon_sym__Null_unspecified] = ACTIONS(2516),
    [anon_sym___autoreleasing] = ACTIONS(2516),
    [anon_sym___block] = ACTIONS(2516),
    [anon_sym___bridge] = ACTIONS(2516),
    [anon_sym___bridge_retained] = ACTIONS(2516),
    [anon_sym___bridge_transfer] = ACTIONS(2516),
    [anon_sym___complex] = ACTIONS(2516),
    [anon_sym___const] = ACTIONS(2516),
    [anon_sym___imag] = ACTIONS(2516),
    [anon_sym___kindof] = ACTIONS(2516),
    [anon_sym___nonnull] = ACTIONS(2516),
    [anon_sym___nullable] = ACTIONS(2516),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2516),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2516),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2516),
    [anon_sym___real] = ACTIONS(2516),
    [anon_sym___strong] = ACTIONS(2516),
    [anon_sym___unsafe_unretained] = ACTIONS(2516),
    [anon_sym___unused] = ACTIONS(2516),
    [anon_sym___weak] = ACTIONS(2516),
    [anon_sym_alignas] = ACTIONS(2516),
    [anon_sym__Alignas] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [anon_sym_if] = ACTIONS(2516),
    [anon_sym_else] = ACTIONS(2516),
    [anon_sym_switch] = ACTIONS(2516),
    [anon_sym_case] = ACTIONS(2516),
    [anon_sym_default] = ACTIONS(2516),
    [anon_sym_while] = ACTIONS(2516),
    [anon_sym_do] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2516),
    [anon_sym_in] = ACTIONS(2516),
    [anon_sym_return] = ACTIONS(2516),
    [anon_sym_break] = ACTIONS(2516),
    [anon_sym_continue] = ACTIONS(2516),
    [anon_sym_goto] = ACTIONS(2516),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_sizeof] = ACTIONS(2516),
    [anon_sym___alignof__] = ACTIONS(2516),
    [anon_sym___alignof] = ACTIONS(2516),
    [anon_sym__alignof] = ACTIONS(2516),
    [anon_sym_alignof] = ACTIONS(2516),
    [anon_sym__Alignof] = ACTIONS(2516),
    [anon_sym_offsetof] = ACTIONS(2516),
    [anon_sym__Generic] = ACTIONS(2516),
    [anon_sym_asm] = ACTIONS(2516),
    [anon_sym___asm__] = ACTIONS(2516),
    [anon_sym___asm] = ACTIONS(2516),
    [sym_number_literal] = ACTIONS(2518),
    [anon_sym_L_SQUOTE] = ACTIONS(2518),
    [anon_sym_u_SQUOTE] = ACTIONS(2518),
    [anon_sym_U_SQUOTE] = ACTIONS(2518),
    [anon_sym_u8_SQUOTE] = ACTIONS(2518),
    [anon_sym_SQUOTE] = ACTIONS(2518),
    [anon_sym_AT] = ACTIONS(2516),
    [anon_sym_DQUOTE] = ACTIONS(2518),
    [anon_sym_L_DQUOTE] = ACTIONS(2518),
    [anon_sym_u_DQUOTE] = ACTIONS(2518),
    [anon_sym_U_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8_DQUOTE] = ACTIONS(2518),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [anon_sym_NULL] = ACTIONS(2516),
    [anon_sym_nullptr] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2516),
    [anon_sym___typeof] = ACTIONS(2516),
    [anon_sym_typeof] = ACTIONS(2516),
    [anon_sym_ATimport] = ACTIONS(2518),
    [aux_sym_preproc_undef_token1] = ACTIONS(2516),
    [anon_sym_POUND] = ACTIONS(2516),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2516),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2516),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2516),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2516),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2516),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2516),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2516),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2516),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2516),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_API_AVAILABLE] = ACTIONS(2516),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_API_DEPRECATED] = ACTIONS(2516),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2516),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2516),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2516),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2516),
    [anon_sym___deprecated_msg] = ACTIONS(2516),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2516),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2516),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2516),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2516),
    [anon_sym_ATprotocol] = ACTIONS(2518),
    [anon_sym_ATinterface] = ACTIONS(2518),
    [anon_sym_ATimplementation] = ACTIONS(2518),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2518),
    [anon_sym_ATsynthesize] = ACTIONS(2518),
    [anon_sym_ATdynamic] = ACTIONS(2518),
    [anon_sym_ATtry] = ACTIONS(2518),
    [anon_sym___try] = ACTIONS(2516),
    [anon_sym_ATthrow] = ACTIONS(2518),
    [anon_sym_ATselector] = ACTIONS(2518),
    [anon_sym_ATavailable] = ACTIONS(2518),
    [anon_sym___builtin_available] = ACTIONS(2516),
    [anon_sym_va_arg] = ACTIONS(2516),
    [anon_sym_ATencode] = ACTIONS(2518),
    [anon_sym_ATsynchronized] = ACTIONS(2518),
    [anon_sym_BOOL] = ACTIONS(2516),
    [anon_sym_IMP] = ACTIONS(2516),
    [anon_sym_SEL] = ACTIONS(2516),
    [anon_sym_Class] = ACTIONS(2516),
    [anon_sym_id] = ACTIONS(2516),
  },
  [583] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_include_token2] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token2] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_CARET] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_ATautoreleasepool] = ACTIONS(2538),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [anon_sym___asm] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [anon_sym_ATimport] = ACTIONS(2538),
    [aux_sym_preproc_undef_token1] = ACTIONS(2536),
    [anon_sym_POUND] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATprotocol] = ACTIONS(2538),
    [anon_sym_ATinterface] = ACTIONS(2538),
    [anon_sym_ATimplementation] = ACTIONS(2538),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2538),
    [anon_sym_ATsynthesize] = ACTIONS(2538),
    [anon_sym_ATdynamic] = ACTIONS(2538),
    [anon_sym_ATtry] = ACTIONS(2538),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym_ATthrow] = ACTIONS(2538),
    [anon_sym_ATselector] = ACTIONS(2538),
    [anon_sym_ATavailable] = ACTIONS(2538),
    [anon_sym___builtin_available] = ACTIONS(2536),
    [anon_sym_va_arg] = ACTIONS(2536),
    [anon_sym_ATencode] = ACTIONS(2538),
    [anon_sym_ATsynchronized] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [584] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_include_token2] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token2] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_CARET] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_ATautoreleasepool] = ACTIONS(2538),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [anon_sym___asm] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [anon_sym_ATimport] = ACTIONS(2538),
    [aux_sym_preproc_undef_token1] = ACTIONS(2536),
    [anon_sym_POUND] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATprotocol] = ACTIONS(2538),
    [anon_sym_ATinterface] = ACTIONS(2538),
    [anon_sym_ATimplementation] = ACTIONS(2538),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2538),
    [anon_sym_ATsynthesize] = ACTIONS(2538),
    [anon_sym_ATdynamic] = ACTIONS(2538),
    [anon_sym_ATtry] = ACTIONS(2538),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym_ATthrow] = ACTIONS(2538),
    [anon_sym_ATselector] = ACTIONS(2538),
    [anon_sym_ATavailable] = ACTIONS(2538),
    [anon_sym___builtin_available] = ACTIONS(2536),
    [anon_sym_va_arg] = ACTIONS(2536),
    [anon_sym_ATencode] = ACTIONS(2538),
    [anon_sym_ATsynchronized] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [585] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_include_token2] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token2] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_CARET] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_ATautoreleasepool] = ACTIONS(2538),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [anon_sym___asm] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [anon_sym_ATimport] = ACTIONS(2538),
    [aux_sym_preproc_undef_token1] = ACTIONS(2536),
    [anon_sym_POUND] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATprotocol] = ACTIONS(2538),
    [anon_sym_ATinterface] = ACTIONS(2538),
    [anon_sym_ATimplementation] = ACTIONS(2538),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2538),
    [anon_sym_ATsynthesize] = ACTIONS(2538),
    [anon_sym_ATdynamic] = ACTIONS(2538),
    [anon_sym_ATtry] = ACTIONS(2538),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym_ATthrow] = ACTIONS(2538),
    [anon_sym_ATselector] = ACTIONS(2538),
    [anon_sym_ATavailable] = ACTIONS(2538),
    [anon_sym___builtin_available] = ACTIONS(2536),
    [anon_sym_va_arg] = ACTIONS(2536),
    [anon_sym_ATencode] = ACTIONS(2538),
    [anon_sym_ATsynchronized] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [586] = {
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_include_token1] = ACTIONS(2552),
    [aux_sym_preproc_include_token2] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token2] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_CARET] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym___attribute] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym___cdecl] = ACTIONS(2552),
    [anon_sym___clrcall] = ACTIONS(2552),
    [anon_sym___stdcall] = ACTIONS(2552),
    [anon_sym___fastcall] = ACTIONS(2552),
    [anon_sym___thiscall] = ACTIONS(2552),
    [anon_sym___vectorcall] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_ATautoreleasepool] = ACTIONS(2554),
    [anon_sym_auto] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_CG_EXTERN] = ACTIONS(2552),
    [anon_sym_CG_INLINE] = ACTIONS(2552),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2552),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2552),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2552),
    [anon_sym_IBOutlet] = ACTIONS(2552),
    [anon_sym_IBInspectable] = ACTIONS(2552),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2552),
    [anon_sym_NS_INLINE] = ACTIONS(2552),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2552),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2552),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2552),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym__Nonnull] = ACTIONS(2552),
    [anon_sym_nullable] = ACTIONS(2552),
    [anon_sym__Complex] = ACTIONS(2552),
    [anon_sym__Nullable] = ACTIONS(2552),
    [anon_sym__Nullable_result] = ACTIONS(2552),
    [anon_sym__Null_unspecified] = ACTIONS(2552),
    [anon_sym___autoreleasing] = ACTIONS(2552),
    [anon_sym___block] = ACTIONS(2552),
    [anon_sym___bridge] = ACTIONS(2552),
    [anon_sym___bridge_retained] = ACTIONS(2552),
    [anon_sym___bridge_transfer] = ACTIONS(2552),
    [anon_sym___complex] = ACTIONS(2552),
    [anon_sym___const] = ACTIONS(2552),
    [anon_sym___imag] = ACTIONS(2552),
    [anon_sym___kindof] = ACTIONS(2552),
    [anon_sym___nonnull] = ACTIONS(2552),
    [anon_sym___nullable] = ACTIONS(2552),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2552),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2552),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2552),
    [anon_sym___real] = ACTIONS(2552),
    [anon_sym___strong] = ACTIONS(2552),
    [anon_sym___unsafe_unretained] = ACTIONS(2552),
    [anon_sym___unused] = ACTIONS(2552),
    [anon_sym___weak] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym__Alignas] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_switch] = ACTIONS(2552),
    [anon_sym_case] = ACTIONS(2552),
    [anon_sym_default] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_do] = ACTIONS(2552),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_break] = ACTIONS(2552),
    [anon_sym_continue] = ACTIONS(2552),
    [anon_sym_goto] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_sizeof] = ACTIONS(2552),
    [anon_sym___alignof__] = ACTIONS(2552),
    [anon_sym___alignof] = ACTIONS(2552),
    [anon_sym__alignof] = ACTIONS(2552),
    [anon_sym_alignof] = ACTIONS(2552),
    [anon_sym__Alignof] = ACTIONS(2552),
    [anon_sym_offsetof] = ACTIONS(2552),
    [anon_sym__Generic] = ACTIONS(2552),
    [anon_sym_asm] = ACTIONS(2552),
    [anon_sym___asm__] = ACTIONS(2552),
    [anon_sym___asm] = ACTIONS(2552),
    [sym_number_literal] = ACTIONS(2554),
    [anon_sym_L_SQUOTE] = ACTIONS(2554),
    [anon_sym_u_SQUOTE] = ACTIONS(2554),
    [anon_sym_U_SQUOTE] = ACTIONS(2554),
    [anon_sym_u8_SQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [anon_sym_AT] = ACTIONS(2552),
    [anon_sym_DQUOTE] = ACTIONS(2554),
    [anon_sym_L_DQUOTE] = ACTIONS(2554),
    [anon_sym_u_DQUOTE] = ACTIONS(2554),
    [anon_sym_U_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8_DQUOTE] = ACTIONS(2554),
    [sym_true] = ACTIONS(2552),
    [sym_false] = ACTIONS(2552),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2552),
    [anon_sym___typeof] = ACTIONS(2552),
    [anon_sym_typeof] = ACTIONS(2552),
    [anon_sym_ATimport] = ACTIONS(2554),
    [aux_sym_preproc_undef_token1] = ACTIONS(2552),
    [anon_sym_POUND] = ACTIONS(2552),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2552),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2552),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2552),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2552),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2552),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2552),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2552),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2552),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2552),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_API_AVAILABLE] = ACTIONS(2552),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_API_DEPRECATED] = ACTIONS(2552),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2552),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2552),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2552),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2552),
    [anon_sym___deprecated_msg] = ACTIONS(2552),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2552),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2552),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2552),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2552),
    [anon_sym_ATprotocol] = ACTIONS(2554),
    [anon_sym_ATinterface] = ACTIONS(2554),
    [anon_sym_ATimplementation] = ACTIONS(2554),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2554),
    [anon_sym_ATsynthesize] = ACTIONS(2554),
    [anon_sym_ATdynamic] = ACTIONS(2554),
    [anon_sym_ATtry] = ACTIONS(2554),
    [anon_sym___try] = ACTIONS(2552),
    [anon_sym_ATthrow] = ACTIONS(2554),
    [anon_sym_ATselector] = ACTIONS(2554),
    [anon_sym_ATavailable] = ACTIONS(2554),
    [anon_sym___builtin_available] = ACTIONS(2552),
    [anon_sym_va_arg] = ACTIONS(2552),
    [anon_sym_ATencode] = ACTIONS(2554),
    [anon_sym_ATsynchronized] = ACTIONS(2554),
    [anon_sym_BOOL] = ACTIONS(2552),
    [anon_sym_IMP] = ACTIONS(2552),
    [anon_sym_SEL] = ACTIONS(2552),
    [anon_sym_Class] = ACTIONS(2552),
    [anon_sym_id] = ACTIONS(2552),
  },
  [587] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_include_token2] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_CARET] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym___attribute] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_ATautoreleasepool] = ACTIONS(2522),
    [anon_sym_auto] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_CG_EXTERN] = ACTIONS(2520),
    [anon_sym_CG_INLINE] = ACTIONS(2520),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2520),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2520),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2520),
    [anon_sym_IBOutlet] = ACTIONS(2520),
    [anon_sym_IBInspectable] = ACTIONS(2520),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2520),
    [anon_sym_NS_INLINE] = ACTIONS(2520),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2520),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2520),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2520),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym__Nonnull] = ACTIONS(2520),
    [anon_sym_nullable] = ACTIONS(2520),
    [anon_sym__Complex] = ACTIONS(2520),
    [anon_sym__Nullable] = ACTIONS(2520),
    [anon_sym__Nullable_result] = ACTIONS(2520),
    [anon_sym__Null_unspecified] = ACTIONS(2520),
    [anon_sym___autoreleasing] = ACTIONS(2520),
    [anon_sym___block] = ACTIONS(2520),
    [anon_sym___bridge] = ACTIONS(2520),
    [anon_sym___bridge_retained] = ACTIONS(2520),
    [anon_sym___bridge_transfer] = ACTIONS(2520),
    [anon_sym___complex] = ACTIONS(2520),
    [anon_sym___const] = ACTIONS(2520),
    [anon_sym___imag] = ACTIONS(2520),
    [anon_sym___kindof] = ACTIONS(2520),
    [anon_sym___nonnull] = ACTIONS(2520),
    [anon_sym___nullable] = ACTIONS(2520),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2520),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2520),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2520),
    [anon_sym___real] = ACTIONS(2520),
    [anon_sym___strong] = ACTIONS(2520),
    [anon_sym___unsafe_unretained] = ACTIONS(2520),
    [anon_sym___unused] = ACTIONS(2520),
    [anon_sym___weak] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym__Alignas] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_else] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [anon_sym___asm] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_AT] = ACTIONS(2520),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2520),
    [anon_sym___typeof] = ACTIONS(2520),
    [anon_sym_typeof] = ACTIONS(2520),
    [anon_sym_ATimport] = ACTIONS(2522),
    [aux_sym_preproc_undef_token1] = ACTIONS(2520),
    [anon_sym_POUND] = ACTIONS(2520),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2520),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2520),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2520),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2520),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2520),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2520),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2520),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2520),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2520),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_API_AVAILABLE] = ACTIONS(2520),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_API_DEPRECATED] = ACTIONS(2520),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2520),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2520),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2520),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2520),
    [anon_sym___deprecated_msg] = ACTIONS(2520),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2520),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2520),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2520),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2520),
    [anon_sym_ATprotocol] = ACTIONS(2522),
    [anon_sym_ATinterface] = ACTIONS(2522),
    [anon_sym_ATimplementation] = ACTIONS(2522),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2522),
    [anon_sym_ATsynthesize] = ACTIONS(2522),
    [anon_sym_ATdynamic] = ACTIONS(2522),
    [anon_sym_ATtry] = ACTIONS(2522),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym_ATthrow] = ACTIONS(2522),
    [anon_sym_ATselector] = ACTIONS(2522),
    [anon_sym_ATavailable] = ACTIONS(2522),
    [anon_sym___builtin_available] = ACTIONS(2520),
    [anon_sym_va_arg] = ACTIONS(2520),
    [anon_sym_ATencode] = ACTIONS(2522),
    [anon_sym_ATsynchronized] = ACTIONS(2522),
    [anon_sym_BOOL] = ACTIONS(2520),
    [anon_sym_IMP] = ACTIONS(2520),
    [anon_sym_SEL] = ACTIONS(2520),
    [anon_sym_Class] = ACTIONS(2520),
    [anon_sym_id] = ACTIONS(2520),
  },
  [588] = {
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_include_token1] = ACTIONS(2568),
    [aux_sym_preproc_include_token2] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token2] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym___attribute] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_ATautoreleasepool] = ACTIONS(2570),
    [anon_sym_auto] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_CG_EXTERN] = ACTIONS(2568),
    [anon_sym_CG_INLINE] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2568),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2568),
    [anon_sym_IBOutlet] = ACTIONS(2568),
    [anon_sym_IBInspectable] = ACTIONS(2568),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2568),
    [anon_sym_NS_INLINE] = ACTIONS(2568),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2568),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2568),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym__Nonnull] = ACTIONS(2568),
    [anon_sym_nullable] = ACTIONS(2568),
    [anon_sym__Complex] = ACTIONS(2568),
    [anon_sym__Nullable] = ACTIONS(2568),
    [anon_sym__Nullable_result] = ACTIONS(2568),
    [anon_sym__Null_unspecified] = ACTIONS(2568),
    [anon_sym___autoreleasing] = ACTIONS(2568),
    [anon_sym___block] = ACTIONS(2568),
    [anon_sym___bridge] = ACTIONS(2568),
    [anon_sym___bridge_retained] = ACTIONS(2568),
    [anon_sym___bridge_transfer] = ACTIONS(2568),
    [anon_sym___complex] = ACTIONS(2568),
    [anon_sym___const] = ACTIONS(2568),
    [anon_sym___imag] = ACTIONS(2568),
    [anon_sym___kindof] = ACTIONS(2568),
    [anon_sym___nonnull] = ACTIONS(2568),
    [anon_sym___nullable] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2568),
    [anon_sym___real] = ACTIONS(2568),
    [anon_sym___strong] = ACTIONS(2568),
    [anon_sym___unsafe_unretained] = ACTIONS(2568),
    [anon_sym___unused] = ACTIONS(2568),
    [anon_sym___weak] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_else] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_default] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_in] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [anon_sym___asm] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_AT] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2568),
    [anon_sym___typeof] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(2568),
    [anon_sym_ATimport] = ACTIONS(2570),
    [aux_sym_preproc_undef_token1] = ACTIONS(2568),
    [anon_sym_POUND] = ACTIONS(2568),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2568),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2568),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2568),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_API_AVAILABLE] = ACTIONS(2568),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_API_DEPRECATED] = ACTIONS(2568),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym___deprecated_msg] = ACTIONS(2568),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2568),
    [anon_sym_ATprotocol] = ACTIONS(2570),
    [anon_sym_ATinterface] = ACTIONS(2570),
    [anon_sym_ATimplementation] = ACTIONS(2570),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2570),
    [anon_sym_ATsynthesize] = ACTIONS(2570),
    [anon_sym_ATdynamic] = ACTIONS(2570),
    [anon_sym_ATtry] = ACTIONS(2570),
    [anon_sym___try] = ACTIONS(2568),
    [anon_sym_ATthrow] = ACTIONS(2570),
    [anon_sym_ATselector] = ACTIONS(2570),
    [anon_sym_ATavailable] = ACTIONS(2570),
    [anon_sym___builtin_available] = ACTIONS(2568),
    [anon_sym_va_arg] = ACTIONS(2568),
    [anon_sym_ATencode] = ACTIONS(2570),
    [anon_sym_ATsynchronized] = ACTIONS(2570),
    [anon_sym_BOOL] = ACTIONS(2568),
    [anon_sym_IMP] = ACTIONS(2568),
    [anon_sym_SEL] = ACTIONS(2568),
    [anon_sym_Class] = ACTIONS(2568),
    [anon_sym_id] = ACTIONS(2568),
  },
  [589] = {
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_include_token1] = ACTIONS(2568),
    [aux_sym_preproc_include_token2] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token2] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym___attribute] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_ATautoreleasepool] = ACTIONS(2570),
    [anon_sym_auto] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_CG_EXTERN] = ACTIONS(2568),
    [anon_sym_CG_INLINE] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2568),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2568),
    [anon_sym_IBOutlet] = ACTIONS(2568),
    [anon_sym_IBInspectable] = ACTIONS(2568),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2568),
    [anon_sym_NS_INLINE] = ACTIONS(2568),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2568),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2568),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym__Nonnull] = ACTIONS(2568),
    [anon_sym_nullable] = ACTIONS(2568),
    [anon_sym__Complex] = ACTIONS(2568),
    [anon_sym__Nullable] = ACTIONS(2568),
    [anon_sym__Nullable_result] = ACTIONS(2568),
    [anon_sym__Null_unspecified] = ACTIONS(2568),
    [anon_sym___autoreleasing] = ACTIONS(2568),
    [anon_sym___block] = ACTIONS(2568),
    [anon_sym___bridge] = ACTIONS(2568),
    [anon_sym___bridge_retained] = ACTIONS(2568),
    [anon_sym___bridge_transfer] = ACTIONS(2568),
    [anon_sym___complex] = ACTIONS(2568),
    [anon_sym___const] = ACTIONS(2568),
    [anon_sym___imag] = ACTIONS(2568),
    [anon_sym___kindof] = ACTIONS(2568),
    [anon_sym___nonnull] = ACTIONS(2568),
    [anon_sym___nullable] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2568),
    [anon_sym___real] = ACTIONS(2568),
    [anon_sym___strong] = ACTIONS(2568),
    [anon_sym___unsafe_unretained] = ACTIONS(2568),
    [anon_sym___unused] = ACTIONS(2568),
    [anon_sym___weak] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_else] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_default] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_in] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [anon_sym___asm] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_AT] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2568),
    [anon_sym___typeof] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(2568),
    [anon_sym_ATimport] = ACTIONS(2570),
    [aux_sym_preproc_undef_token1] = ACTIONS(2568),
    [anon_sym_POUND] = ACTIONS(2568),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2568),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2568),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2568),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_API_AVAILABLE] = ACTIONS(2568),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_API_DEPRECATED] = ACTIONS(2568),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym___deprecated_msg] = ACTIONS(2568),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2568),
    [anon_sym_ATprotocol] = ACTIONS(2570),
    [anon_sym_ATinterface] = ACTIONS(2570),
    [anon_sym_ATimplementation] = ACTIONS(2570),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2570),
    [anon_sym_ATsynthesize] = ACTIONS(2570),
    [anon_sym_ATdynamic] = ACTIONS(2570),
    [anon_sym_ATtry] = ACTIONS(2570),
    [anon_sym___try] = ACTIONS(2568),
    [anon_sym_ATthrow] = ACTIONS(2570),
    [anon_sym_ATselector] = ACTIONS(2570),
    [anon_sym_ATavailable] = ACTIONS(2570),
    [anon_sym___builtin_available] = ACTIONS(2568),
    [anon_sym_va_arg] = ACTIONS(2568),
    [anon_sym_ATencode] = ACTIONS(2570),
    [anon_sym_ATsynchronized] = ACTIONS(2570),
    [anon_sym_BOOL] = ACTIONS(2568),
    [anon_sym_IMP] = ACTIONS(2568),
    [anon_sym_SEL] = ACTIONS(2568),
    [anon_sym_Class] = ACTIONS(2568),
    [anon_sym_id] = ACTIONS(2568),
  },
  [590] = {
    [sym_identifier] = ACTIONS(2416),
    [aux_sym_preproc_include_token1] = ACTIONS(2416),
    [aux_sym_preproc_include_token2] = ACTIONS(2416),
    [aux_sym_preproc_def_token1] = ACTIONS(2416),
    [aux_sym_preproc_if_token1] = ACTIONS(2416),
    [aux_sym_preproc_if_token2] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2416),
    [sym_preproc_directive] = ACTIONS(2416),
    [anon_sym_LPAREN2] = ACTIONS(2418),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2418),
    [anon_sym_CARET] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym___extension__] = ACTIONS(2416),
    [anon_sym_typedef] = ACTIONS(2416),
    [anon_sym_extern] = ACTIONS(2416),
    [anon_sym___attribute__] = ACTIONS(2416),
    [anon_sym___attribute] = ACTIONS(2416),
    [anon_sym_noreturn] = ACTIONS(2416),
    [anon_sym_LBRACK] = ACTIONS(2418),
    [anon_sym___declspec] = ACTIONS(2416),
    [anon_sym___cdecl] = ACTIONS(2416),
    [anon_sym___clrcall] = ACTIONS(2416),
    [anon_sym___stdcall] = ACTIONS(2416),
    [anon_sym___fastcall] = ACTIONS(2416),
    [anon_sym___thiscall] = ACTIONS(2416),
    [anon_sym___vectorcall] = ACTIONS(2416),
    [anon_sym_LBRACE] = ACTIONS(2418),
    [anon_sym_signed] = ACTIONS(2416),
    [anon_sym_unsigned] = ACTIONS(2416),
    [anon_sym_long] = ACTIONS(2416),
    [anon_sym_short] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_ATautoreleasepool] = ACTIONS(2418),
    [anon_sym_auto] = ACTIONS(2416),
    [anon_sym_register] = ACTIONS(2416),
    [anon_sym_inline] = ACTIONS(2416),
    [anon_sym___inline] = ACTIONS(2416),
    [anon_sym___inline__] = ACTIONS(2416),
    [anon_sym___forceinline] = ACTIONS(2416),
    [anon_sym_thread_local] = ACTIONS(2416),
    [anon_sym___thread] = ACTIONS(2416),
    [anon_sym_CG_EXTERN] = ACTIONS(2416),
    [anon_sym_CG_INLINE] = ACTIONS(2416),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2416),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2416),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2416),
    [anon_sym_IBOutlet] = ACTIONS(2416),
    [anon_sym_IBInspectable] = ACTIONS(2416),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2416),
    [anon_sym_NS_INLINE] = ACTIONS(2416),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2416),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2416),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2416),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2416),
    [anon_sym_const] = ACTIONS(2416),
    [anon_sym_constexpr] = ACTIONS(2416),
    [anon_sym_volatile] = ACTIONS(2416),
    [anon_sym_restrict] = ACTIONS(2416),
    [anon_sym___restrict__] = ACTIONS(2416),
    [anon_sym__Atomic] = ACTIONS(2416),
    [anon_sym__Noreturn] = ACTIONS(2416),
    [anon_sym__Nonnull] = ACTIONS(2416),
    [anon_sym_nullable] = ACTIONS(2416),
    [anon_sym__Complex] = ACTIONS(2416),
    [anon_sym__Nullable] = ACTIONS(2416),
    [anon_sym__Nullable_result] = ACTIONS(2416),
    [anon_sym__Null_unspecified] = ACTIONS(2416),
    [anon_sym___autoreleasing] = ACTIONS(2416),
    [anon_sym___block] = ACTIONS(2416),
    [anon_sym___bridge] = ACTIONS(2416),
    [anon_sym___bridge_retained] = ACTIONS(2416),
    [anon_sym___bridge_transfer] = ACTIONS(2416),
    [anon_sym___complex] = ACTIONS(2416),
    [anon_sym___const] = ACTIONS(2416),
    [anon_sym___imag] = ACTIONS(2416),
    [anon_sym___kindof] = ACTIONS(2416),
    [anon_sym___nonnull] = ACTIONS(2416),
    [anon_sym___nullable] = ACTIONS(2416),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2416),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2416),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2416),
    [anon_sym___real] = ACTIONS(2416),
    [anon_sym___strong] = ACTIONS(2416),
    [anon_sym___unsafe_unretained] = ACTIONS(2416),
    [anon_sym___unused] = ACTIONS(2416),
    [anon_sym___weak] = ACTIONS(2416),
    [anon_sym_alignas] = ACTIONS(2416),
    [anon_sym__Alignas] = ACTIONS(2416),
    [sym_primitive_type] = ACTIONS(2416),
    [anon_sym_enum] = ACTIONS(2416),
    [anon_sym_struct] = ACTIONS(2416),
    [anon_sym_union] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(2416),
    [anon_sym_else] = ACTIONS(2416),
    [anon_sym_switch] = ACTIONS(2416),
    [anon_sym_case] = ACTIONS(2416),
    [anon_sym_default] = ACTIONS(2416),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(2416),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2416),
    [anon_sym_continue] = ACTIONS(2416),
    [anon_sym_goto] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_sizeof] = ACTIONS(2416),
    [anon_sym___alignof__] = ACTIONS(2416),
    [anon_sym___alignof] = ACTIONS(2416),
    [anon_sym__alignof] = ACTIONS(2416),
    [anon_sym_alignof] = ACTIONS(2416),
    [anon_sym__Alignof] = ACTIONS(2416),
    [anon_sym_offsetof] = ACTIONS(2416),
    [anon_sym__Generic] = ACTIONS(2416),
    [anon_sym_asm] = ACTIONS(2416),
    [anon_sym___asm__] = ACTIONS(2416),
    [anon_sym___asm] = ACTIONS(2416),
    [sym_number_literal] = ACTIONS(2418),
    [anon_sym_L_SQUOTE] = ACTIONS(2418),
    [anon_sym_u_SQUOTE] = ACTIONS(2418),
    [anon_sym_U_SQUOTE] = ACTIONS(2418),
    [anon_sym_u8_SQUOTE] = ACTIONS(2418),
    [anon_sym_SQUOTE] = ACTIONS(2418),
    [anon_sym_AT] = ACTIONS(2416),
    [anon_sym_DQUOTE] = ACTIONS(2418),
    [anon_sym_L_DQUOTE] = ACTIONS(2418),
    [anon_sym_u_DQUOTE] = ACTIONS(2418),
    [anon_sym_U_DQUOTE] = ACTIONS(2418),
    [anon_sym_u8_DQUOTE] = ACTIONS(2418),
    [sym_true] = ACTIONS(2416),
    [sym_false] = ACTIONS(2416),
    [anon_sym_NULL] = ACTIONS(2416),
    [anon_sym_nullptr] = ACTIONS(2416),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2416),
    [anon_sym___typeof] = ACTIONS(2416),
    [anon_sym_typeof] = ACTIONS(2416),
    [anon_sym_ATimport] = ACTIONS(2418),
    [aux_sym_preproc_undef_token1] = ACTIONS(2416),
    [anon_sym_POUND] = ACTIONS(2416),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2416),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2416),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2416),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2416),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2416),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2416),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2416),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2416),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2416),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_API_AVAILABLE] = ACTIONS(2416),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_API_DEPRECATED] = ACTIONS(2416),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2416),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2416),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2416),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2416),
    [anon_sym___deprecated_msg] = ACTIONS(2416),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2416),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2416),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2416),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2416),
    [anon_sym_ATprotocol] = ACTIONS(2418),
    [anon_sym_ATinterface] = ACTIONS(2418),
    [anon_sym_ATimplementation] = ACTIONS(2418),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2418),
    [anon_sym_ATsynthesize] = ACTIONS(2418),
    [anon_sym_ATdynamic] = ACTIONS(2418),
    [anon_sym_ATtry] = ACTIONS(2418),
    [anon_sym___try] = ACTIONS(2416),
    [anon_sym_ATthrow] = ACTIONS(2418),
    [anon_sym_ATselector] = ACTIONS(2418),
    [anon_sym_ATavailable] = ACTIONS(2418),
    [anon_sym___builtin_available] = ACTIONS(2416),
    [anon_sym_va_arg] = ACTIONS(2416),
    [anon_sym_ATencode] = ACTIONS(2418),
    [anon_sym_ATsynchronized] = ACTIONS(2418),
    [anon_sym_BOOL] = ACTIONS(2416),
    [anon_sym_IMP] = ACTIONS(2416),
    [anon_sym_SEL] = ACTIONS(2416),
    [anon_sym_Class] = ACTIONS(2416),
    [anon_sym_id] = ACTIONS(2416),
  },
  [591] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token2] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATsynthesize] = ACTIONS(2458),
    [anon_sym_ATdynamic] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [592] = {
    [sym_identifier] = ACTIONS(2432),
    [aux_sym_preproc_include_token1] = ACTIONS(2432),
    [aux_sym_preproc_include_token2] = ACTIONS(2432),
    [aux_sym_preproc_def_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token2] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2432),
    [sym_preproc_directive] = ACTIONS(2432),
    [anon_sym_LPAREN2] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_CARET] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym___extension__] = ACTIONS(2432),
    [anon_sym_typedef] = ACTIONS(2432),
    [anon_sym_extern] = ACTIONS(2432),
    [anon_sym___attribute__] = ACTIONS(2432),
    [anon_sym___attribute] = ACTIONS(2432),
    [anon_sym_noreturn] = ACTIONS(2432),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym___declspec] = ACTIONS(2432),
    [anon_sym___cdecl] = ACTIONS(2432),
    [anon_sym___clrcall] = ACTIONS(2432),
    [anon_sym___stdcall] = ACTIONS(2432),
    [anon_sym___fastcall] = ACTIONS(2432),
    [anon_sym___thiscall] = ACTIONS(2432),
    [anon_sym___vectorcall] = ACTIONS(2432),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_signed] = ACTIONS(2432),
    [anon_sym_unsigned] = ACTIONS(2432),
    [anon_sym_long] = ACTIONS(2432),
    [anon_sym_short] = ACTIONS(2432),
    [anon_sym_static] = ACTIONS(2432),
    [anon_sym_ATautoreleasepool] = ACTIONS(2434),
    [anon_sym_auto] = ACTIONS(2432),
    [anon_sym_register] = ACTIONS(2432),
    [anon_sym_inline] = ACTIONS(2432),
    [anon_sym___inline] = ACTIONS(2432),
    [anon_sym___inline__] = ACTIONS(2432),
    [anon_sym___forceinline] = ACTIONS(2432),
    [anon_sym_thread_local] = ACTIONS(2432),
    [anon_sym___thread] = ACTIONS(2432),
    [anon_sym_CG_EXTERN] = ACTIONS(2432),
    [anon_sym_CG_INLINE] = ACTIONS(2432),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2432),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2432),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2432),
    [anon_sym_IBOutlet] = ACTIONS(2432),
    [anon_sym_IBInspectable] = ACTIONS(2432),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2432),
    [anon_sym_NS_INLINE] = ACTIONS(2432),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2432),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2432),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2432),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2432),
    [anon_sym_const] = ACTIONS(2432),
    [anon_sym_constexpr] = ACTIONS(2432),
    [anon_sym_volatile] = ACTIONS(2432),
    [anon_sym_restrict] = ACTIONS(2432),
    [anon_sym___restrict__] = ACTIONS(2432),
    [anon_sym__Atomic] = ACTIONS(2432),
    [anon_sym__Noreturn] = ACTIONS(2432),
    [anon_sym__Nonnull] = ACTIONS(2432),
    [anon_sym_nullable] = ACTIONS(2432),
    [anon_sym__Complex] = ACTIONS(2432),
    [anon_sym__Nullable] = ACTIONS(2432),
    [anon_sym__Nullable_result] = ACTIONS(2432),
    [anon_sym__Null_unspecified] = ACTIONS(2432),
    [anon_sym___autoreleasing] = ACTIONS(2432),
    [anon_sym___block] = ACTIONS(2432),
    [anon_sym___bridge] = ACTIONS(2432),
    [anon_sym___bridge_retained] = ACTIONS(2432),
    [anon_sym___bridge_transfer] = ACTIONS(2432),
    [anon_sym___complex] = ACTIONS(2432),
    [anon_sym___const] = ACTIONS(2432),
    [anon_sym___imag] = ACTIONS(2432),
    [anon_sym___kindof] = ACTIONS(2432),
    [anon_sym___nonnull] = ACTIONS(2432),
    [anon_sym___nullable] = ACTIONS(2432),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2432),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2432),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2432),
    [anon_sym___real] = ACTIONS(2432),
    [anon_sym___strong] = ACTIONS(2432),
    [anon_sym___unsafe_unretained] = ACTIONS(2432),
    [anon_sym___unused] = ACTIONS(2432),
    [anon_sym___weak] = ACTIONS(2432),
    [anon_sym_alignas] = ACTIONS(2432),
    [anon_sym__Alignas] = ACTIONS(2432),
    [sym_primitive_type] = ACTIONS(2432),
    [anon_sym_enum] = ACTIONS(2432),
    [anon_sym_struct] = ACTIONS(2432),
    [anon_sym_union] = ACTIONS(2432),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_else] = ACTIONS(2432),
    [anon_sym_switch] = ACTIONS(2432),
    [anon_sym_case] = ACTIONS(2432),
    [anon_sym_default] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2432),
    [anon_sym_in] = ACTIONS(2432),
    [anon_sym_return] = ACTIONS(2432),
    [anon_sym_break] = ACTIONS(2432),
    [anon_sym_continue] = ACTIONS(2432),
    [anon_sym_goto] = ACTIONS(2432),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2432),
    [anon_sym___alignof] = ACTIONS(2432),
    [anon_sym__alignof] = ACTIONS(2432),
    [anon_sym_alignof] = ACTIONS(2432),
    [anon_sym__Alignof] = ACTIONS(2432),
    [anon_sym_offsetof] = ACTIONS(2432),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2432),
    [anon_sym___asm__] = ACTIONS(2432),
    [anon_sym___asm] = ACTIONS(2432),
    [sym_number_literal] = ACTIONS(2434),
    [anon_sym_L_SQUOTE] = ACTIONS(2434),
    [anon_sym_u_SQUOTE] = ACTIONS(2434),
    [anon_sym_U_SQUOTE] = ACTIONS(2434),
    [anon_sym_u8_SQUOTE] = ACTIONS(2434),
    [anon_sym_SQUOTE] = ACTIONS(2434),
    [anon_sym_AT] = ACTIONS(2432),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_L_DQUOTE] = ACTIONS(2434),
    [anon_sym_u_DQUOTE] = ACTIONS(2434),
    [anon_sym_U_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8_DQUOTE] = ACTIONS(2434),
    [sym_true] = ACTIONS(2432),
    [sym_false] = ACTIONS(2432),
    [anon_sym_NULL] = ACTIONS(2432),
    [anon_sym_nullptr] = ACTIONS(2432),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2432),
    [anon_sym___typeof] = ACTIONS(2432),
    [anon_sym_typeof] = ACTIONS(2432),
    [anon_sym_ATimport] = ACTIONS(2434),
    [aux_sym_preproc_undef_token1] = ACTIONS(2432),
    [anon_sym_POUND] = ACTIONS(2432),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2432),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2432),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2432),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2432),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2432),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2432),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2432),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2432),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2432),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_API_AVAILABLE] = ACTIONS(2432),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_API_DEPRECATED] = ACTIONS(2432),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2432),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2432),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2432),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2432),
    [anon_sym___deprecated_msg] = ACTIONS(2432),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2432),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2432),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2432),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2432),
    [anon_sym_ATprotocol] = ACTIONS(2434),
    [anon_sym_ATinterface] = ACTIONS(2434),
    [anon_sym_ATimplementation] = ACTIONS(2434),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2434),
    [anon_sym_ATsynthesize] = ACTIONS(2434),
    [anon_sym_ATdynamic] = ACTIONS(2434),
    [anon_sym_ATtry] = ACTIONS(2434),
    [anon_sym___try] = ACTIONS(2432),
    [anon_sym_ATthrow] = ACTIONS(2434),
    [anon_sym_ATselector] = ACTIONS(2434),
    [anon_sym_ATavailable] = ACTIONS(2434),
    [anon_sym___builtin_available] = ACTIONS(2432),
    [anon_sym_va_arg] = ACTIONS(2432),
    [anon_sym_ATencode] = ACTIONS(2434),
    [anon_sym_ATsynchronized] = ACTIONS(2434),
    [anon_sym_BOOL] = ACTIONS(2432),
    [anon_sym_IMP] = ACTIONS(2432),
    [anon_sym_SEL] = ACTIONS(2432),
    [anon_sym_Class] = ACTIONS(2432),
    [anon_sym_id] = ACTIONS(2432),
  },
  [593] = {
    [sym_identifier] = ACTIONS(2440),
    [aux_sym_preproc_include_token1] = ACTIONS(2440),
    [aux_sym_preproc_include_token2] = ACTIONS(2440),
    [aux_sym_preproc_def_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token2] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2440),
    [sym_preproc_directive] = ACTIONS(2440),
    [anon_sym_LPAREN2] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_CARET] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym___extension__] = ACTIONS(2440),
    [anon_sym_typedef] = ACTIONS(2440),
    [anon_sym_extern] = ACTIONS(2440),
    [anon_sym___attribute__] = ACTIONS(2440),
    [anon_sym___attribute] = ACTIONS(2440),
    [anon_sym_noreturn] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym___declspec] = ACTIONS(2440),
    [anon_sym___cdecl] = ACTIONS(2440),
    [anon_sym___clrcall] = ACTIONS(2440),
    [anon_sym___stdcall] = ACTIONS(2440),
    [anon_sym___fastcall] = ACTIONS(2440),
    [anon_sym___thiscall] = ACTIONS(2440),
    [anon_sym___vectorcall] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_signed] = ACTIONS(2440),
    [anon_sym_unsigned] = ACTIONS(2440),
    [anon_sym_long] = ACTIONS(2440),
    [anon_sym_short] = ACTIONS(2440),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_ATautoreleasepool] = ACTIONS(2442),
    [anon_sym_auto] = ACTIONS(2440),
    [anon_sym_register] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(2440),
    [anon_sym___inline] = ACTIONS(2440),
    [anon_sym___inline__] = ACTIONS(2440),
    [anon_sym___forceinline] = ACTIONS(2440),
    [anon_sym_thread_local] = ACTIONS(2440),
    [anon_sym___thread] = ACTIONS(2440),
    [anon_sym_CG_EXTERN] = ACTIONS(2440),
    [anon_sym_CG_INLINE] = ACTIONS(2440),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2440),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2440),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2440),
    [anon_sym_IBOutlet] = ACTIONS(2440),
    [anon_sym_IBInspectable] = ACTIONS(2440),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2440),
    [anon_sym_NS_INLINE] = ACTIONS(2440),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2440),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2440),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2440),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2440),
    [anon_sym_const] = ACTIONS(2440),
    [anon_sym_constexpr] = ACTIONS(2440),
    [anon_sym_volatile] = ACTIONS(2440),
    [anon_sym_restrict] = ACTIONS(2440),
    [anon_sym___restrict__] = ACTIONS(2440),
    [anon_sym__Atomic] = ACTIONS(2440),
    [anon_sym__Noreturn] = ACTIONS(2440),
    [anon_sym__Nonnull] = ACTIONS(2440),
    [anon_sym_nullable] = ACTIONS(2440),
    [anon_sym__Complex] = ACTIONS(2440),
    [anon_sym__Nullable] = ACTIONS(2440),
    [anon_sym__Nullable_result] = ACTIONS(2440),
    [anon_sym__Null_unspecified] = ACTIONS(2440),
    [anon_sym___autoreleasing] = ACTIONS(2440),
    [anon_sym___block] = ACTIONS(2440),
    [anon_sym___bridge] = ACTIONS(2440),
    [anon_sym___bridge_retained] = ACTIONS(2440),
    [anon_sym___bridge_transfer] = ACTIONS(2440),
    [anon_sym___complex] = ACTIONS(2440),
    [anon_sym___const] = ACTIONS(2440),
    [anon_sym___imag] = ACTIONS(2440),
    [anon_sym___kindof] = ACTIONS(2440),
    [anon_sym___nonnull] = ACTIONS(2440),
    [anon_sym___nullable] = ACTIONS(2440),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2440),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2440),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2440),
    [anon_sym___real] = ACTIONS(2440),
    [anon_sym___strong] = ACTIONS(2440),
    [anon_sym___unsafe_unretained] = ACTIONS(2440),
    [anon_sym___unused] = ACTIONS(2440),
    [anon_sym___weak] = ACTIONS(2440),
    [anon_sym_alignas] = ACTIONS(2440),
    [anon_sym__Alignas] = ACTIONS(2440),
    [sym_primitive_type] = ACTIONS(2440),
    [anon_sym_enum] = ACTIONS(2440),
    [anon_sym_struct] = ACTIONS(2440),
    [anon_sym_union] = ACTIONS(2440),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_else] = ACTIONS(2440),
    [anon_sym_switch] = ACTIONS(2440),
    [anon_sym_case] = ACTIONS(2440),
    [anon_sym_default] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2440),
    [anon_sym_do] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2440),
    [anon_sym_in] = ACTIONS(2440),
    [anon_sym_return] = ACTIONS(2440),
    [anon_sym_break] = ACTIONS(2440),
    [anon_sym_continue] = ACTIONS(2440),
    [anon_sym_goto] = ACTIONS(2440),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_sizeof] = ACTIONS(2440),
    [anon_sym___alignof__] = ACTIONS(2440),
    [anon_sym___alignof] = ACTIONS(2440),
    [anon_sym__alignof] = ACTIONS(2440),
    [anon_sym_alignof] = ACTIONS(2440),
    [anon_sym__Alignof] = ACTIONS(2440),
    [anon_sym_offsetof] = ACTIONS(2440),
    [anon_sym__Generic] = ACTIONS(2440),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [anon_sym___asm] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2442),
    [anon_sym_u_SQUOTE] = ACTIONS(2442),
    [anon_sym_U_SQUOTE] = ACTIONS(2442),
    [anon_sym_u8_SQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_AT] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_L_DQUOTE] = ACTIONS(2442),
    [anon_sym_u_DQUOTE] = ACTIONS(2442),
    [anon_sym_U_DQUOTE] = ACTIONS(2442),
    [anon_sym_u8_DQUOTE] = ACTIONS(2442),
    [sym_true] = ACTIONS(2440),
    [sym_false] = ACTIONS(2440),
    [anon_sym_NULL] = ACTIONS(2440),
    [anon_sym_nullptr] = ACTIONS(2440),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2440),
    [anon_sym___typeof] = ACTIONS(2440),
    [anon_sym_typeof] = ACTIONS(2440),
    [anon_sym_ATimport] = ACTIONS(2442),
    [aux_sym_preproc_undef_token1] = ACTIONS(2440),
    [anon_sym_POUND] = ACTIONS(2440),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2440),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2440),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2440),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2440),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2440),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2440),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2440),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2440),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2440),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_API_AVAILABLE] = ACTIONS(2440),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_API_DEPRECATED] = ACTIONS(2440),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2440),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2440),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2440),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2440),
    [anon_sym___deprecated_msg] = ACTIONS(2440),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2440),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2440),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2440),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2440),
    [anon_sym_ATprotocol] = ACTIONS(2442),
    [anon_sym_ATinterface] = ACTIONS(2442),
    [anon_sym_ATimplementation] = ACTIONS(2442),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2442),
    [anon_sym_ATsynthesize] = ACTIONS(2442),
    [anon_sym_ATdynamic] = ACTIONS(2442),
    [anon_sym_ATtry] = ACTIONS(2442),
    [anon_sym___try] = ACTIONS(2440),
    [anon_sym_ATthrow] = ACTIONS(2442),
    [anon_sym_ATselector] = ACTIONS(2442),
    [anon_sym_ATavailable] = ACTIONS(2442),
    [anon_sym___builtin_available] = ACTIONS(2440),
    [anon_sym_va_arg] = ACTIONS(2440),
    [anon_sym_ATencode] = ACTIONS(2442),
    [anon_sym_ATsynchronized] = ACTIONS(2442),
    [anon_sym_BOOL] = ACTIONS(2440),
    [anon_sym_IMP] = ACTIONS(2440),
    [anon_sym_SEL] = ACTIONS(2440),
    [anon_sym_Class] = ACTIONS(2440),
    [anon_sym_id] = ACTIONS(2440),
  },
  [594] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_include_token2] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token2] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym___attribute] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_ATautoreleasepool] = ACTIONS(2446),
    [anon_sym_auto] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_CG_EXTERN] = ACTIONS(2444),
    [anon_sym_CG_INLINE] = ACTIONS(2444),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2444),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2444),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2444),
    [anon_sym_IBOutlet] = ACTIONS(2444),
    [anon_sym_IBInspectable] = ACTIONS(2444),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2444),
    [anon_sym_NS_INLINE] = ACTIONS(2444),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2444),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2444),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2444),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym__Nonnull] = ACTIONS(2444),
    [anon_sym_nullable] = ACTIONS(2444),
    [anon_sym__Complex] = ACTIONS(2444),
    [anon_sym__Nullable] = ACTIONS(2444),
    [anon_sym__Nullable_result] = ACTIONS(2444),
    [anon_sym__Null_unspecified] = ACTIONS(2444),
    [anon_sym___autoreleasing] = ACTIONS(2444),
    [anon_sym___block] = ACTIONS(2444),
    [anon_sym___bridge] = ACTIONS(2444),
    [anon_sym___bridge_retained] = ACTIONS(2444),
    [anon_sym___bridge_transfer] = ACTIONS(2444),
    [anon_sym___complex] = ACTIONS(2444),
    [anon_sym___const] = ACTIONS(2444),
    [anon_sym___imag] = ACTIONS(2444),
    [anon_sym___kindof] = ACTIONS(2444),
    [anon_sym___nonnull] = ACTIONS(2444),
    [anon_sym___nullable] = ACTIONS(2444),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2444),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2444),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2444),
    [anon_sym___real] = ACTIONS(2444),
    [anon_sym___strong] = ACTIONS(2444),
    [anon_sym___unsafe_unretained] = ACTIONS(2444),
    [anon_sym___unused] = ACTIONS(2444),
    [anon_sym___weak] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym__Alignas] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [anon_sym___asm] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_AT] = ACTIONS(2444),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2444),
    [anon_sym___typeof] = ACTIONS(2444),
    [anon_sym_typeof] = ACTIONS(2444),
    [anon_sym_ATimport] = ACTIONS(2446),
    [aux_sym_preproc_undef_token1] = ACTIONS(2444),
    [anon_sym_POUND] = ACTIONS(2444),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2444),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2444),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2444),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2444),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2444),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2444),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2444),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2444),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2444),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_API_AVAILABLE] = ACTIONS(2444),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_API_DEPRECATED] = ACTIONS(2444),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2444),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2444),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2444),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2444),
    [anon_sym___deprecated_msg] = ACTIONS(2444),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2444),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2444),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2444),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2444),
    [anon_sym_ATprotocol] = ACTIONS(2446),
    [anon_sym_ATinterface] = ACTIONS(2446),
    [anon_sym_ATimplementation] = ACTIONS(2446),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2446),
    [anon_sym_ATsynthesize] = ACTIONS(2446),
    [anon_sym_ATdynamic] = ACTIONS(2446),
    [anon_sym_ATtry] = ACTIONS(2446),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym_ATthrow] = ACTIONS(2446),
    [anon_sym_ATselector] = ACTIONS(2446),
    [anon_sym_ATavailable] = ACTIONS(2446),
    [anon_sym___builtin_available] = ACTIONS(2444),
    [anon_sym_va_arg] = ACTIONS(2444),
    [anon_sym_ATencode] = ACTIONS(2446),
    [anon_sym_ATsynchronized] = ACTIONS(2446),
    [anon_sym_BOOL] = ACTIONS(2444),
    [anon_sym_IMP] = ACTIONS(2444),
    [anon_sym_SEL] = ACTIONS(2444),
    [anon_sym_Class] = ACTIONS(2444),
    [anon_sym_id] = ACTIONS(2444),
  },
  [595] = {
    [sym_identifier] = ACTIONS(2408),
    [aux_sym_preproc_include_token1] = ACTIONS(2408),
    [aux_sym_preproc_include_token2] = ACTIONS(2408),
    [aux_sym_preproc_def_token1] = ACTIONS(2408),
    [aux_sym_preproc_if_token1] = ACTIONS(2408),
    [aux_sym_preproc_if_token2] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2408),
    [sym_preproc_directive] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_CARET] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym___extension__] = ACTIONS(2408),
    [anon_sym_typedef] = ACTIONS(2408),
    [anon_sym_extern] = ACTIONS(2408),
    [anon_sym___attribute__] = ACTIONS(2408),
    [anon_sym___attribute] = ACTIONS(2408),
    [anon_sym_noreturn] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym___declspec] = ACTIONS(2408),
    [anon_sym___cdecl] = ACTIONS(2408),
    [anon_sym___clrcall] = ACTIONS(2408),
    [anon_sym___stdcall] = ACTIONS(2408),
    [anon_sym___fastcall] = ACTIONS(2408),
    [anon_sym___thiscall] = ACTIONS(2408),
    [anon_sym___vectorcall] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_signed] = ACTIONS(2408),
    [anon_sym_unsigned] = ACTIONS(2408),
    [anon_sym_long] = ACTIONS(2408),
    [anon_sym_short] = ACTIONS(2408),
    [anon_sym_static] = ACTIONS(2408),
    [anon_sym_ATautoreleasepool] = ACTIONS(2410),
    [anon_sym_auto] = ACTIONS(2408),
    [anon_sym_register] = ACTIONS(2408),
    [anon_sym_inline] = ACTIONS(2408),
    [anon_sym___inline] = ACTIONS(2408),
    [anon_sym___inline__] = ACTIONS(2408),
    [anon_sym___forceinline] = ACTIONS(2408),
    [anon_sym_thread_local] = ACTIONS(2408),
    [anon_sym___thread] = ACTIONS(2408),
    [anon_sym_CG_EXTERN] = ACTIONS(2408),
    [anon_sym_CG_INLINE] = ACTIONS(2408),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2408),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2408),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2408),
    [anon_sym_IBOutlet] = ACTIONS(2408),
    [anon_sym_IBInspectable] = ACTIONS(2408),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2408),
    [anon_sym_NS_INLINE] = ACTIONS(2408),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2408),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2408),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2408),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2408),
    [anon_sym_const] = ACTIONS(2408),
    [anon_sym_constexpr] = ACTIONS(2408),
    [anon_sym_volatile] = ACTIONS(2408),
    [anon_sym_restrict] = ACTIONS(2408),
    [anon_sym___restrict__] = ACTIONS(2408),
    [anon_sym__Atomic] = ACTIONS(2408),
    [anon_sym__Noreturn] = ACTIONS(2408),
    [anon_sym__Nonnull] = ACTIONS(2408),
    [anon_sym_nullable] = ACTIONS(2408),
    [anon_sym__Complex] = ACTIONS(2408),
    [anon_sym__Nullable] = ACTIONS(2408),
    [anon_sym__Nullable_result] = ACTIONS(2408),
    [anon_sym__Null_unspecified] = ACTIONS(2408),
    [anon_sym___autoreleasing] = ACTIONS(2408),
    [anon_sym___block] = ACTIONS(2408),
    [anon_sym___bridge] = ACTIONS(2408),
    [anon_sym___bridge_retained] = ACTIONS(2408),
    [anon_sym___bridge_transfer] = ACTIONS(2408),
    [anon_sym___complex] = ACTIONS(2408),
    [anon_sym___const] = ACTIONS(2408),
    [anon_sym___imag] = ACTIONS(2408),
    [anon_sym___kindof] = ACTIONS(2408),
    [anon_sym___nonnull] = ACTIONS(2408),
    [anon_sym___nullable] = ACTIONS(2408),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2408),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2408),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2408),
    [anon_sym___real] = ACTIONS(2408),
    [anon_sym___strong] = ACTIONS(2408),
    [anon_sym___unsafe_unretained] = ACTIONS(2408),
    [anon_sym___unused] = ACTIONS(2408),
    [anon_sym___weak] = ACTIONS(2408),
    [anon_sym_alignas] = ACTIONS(2408),
    [anon_sym__Alignas] = ACTIONS(2408),
    [sym_primitive_type] = ACTIONS(2408),
    [anon_sym_enum] = ACTIONS(2408),
    [anon_sym_struct] = ACTIONS(2408),
    [anon_sym_union] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_else] = ACTIONS(2408),
    [anon_sym_switch] = ACTIONS(2408),
    [anon_sym_case] = ACTIONS(2408),
    [anon_sym_default] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_break] = ACTIONS(2408),
    [anon_sym_continue] = ACTIONS(2408),
    [anon_sym_goto] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_PLUS] = ACTIONS(2410),
    [anon_sym_sizeof] = ACTIONS(2408),
    [anon_sym___alignof__] = ACTIONS(2408),
    [anon_sym___alignof] = ACTIONS(2408),
    [anon_sym__alignof] = ACTIONS(2408),
    [anon_sym_alignof] = ACTIONS(2408),
    [anon_sym__Alignof] = ACTIONS(2408),
    [anon_sym_offsetof] = ACTIONS(2408),
    [anon_sym__Generic] = ACTIONS(2408),
    [anon_sym_asm] = ACTIONS(2408),
    [anon_sym___asm__] = ACTIONS(2408),
    [anon_sym___asm] = ACTIONS(2408),
    [sym_number_literal] = ACTIONS(2410),
    [anon_sym_L_SQUOTE] = ACTIONS(2410),
    [anon_sym_u_SQUOTE] = ACTIONS(2410),
    [anon_sym_U_SQUOTE] = ACTIONS(2410),
    [anon_sym_u8_SQUOTE] = ACTIONS(2410),
    [anon_sym_SQUOTE] = ACTIONS(2410),
    [anon_sym_AT] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_L_DQUOTE] = ACTIONS(2410),
    [anon_sym_u_DQUOTE] = ACTIONS(2410),
    [anon_sym_U_DQUOTE] = ACTIONS(2410),
    [anon_sym_u8_DQUOTE] = ACTIONS(2410),
    [sym_true] = ACTIONS(2408),
    [sym_false] = ACTIONS(2408),
    [anon_sym_NULL] = ACTIONS(2408),
    [anon_sym_nullptr] = ACTIONS(2408),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2408),
    [anon_sym___typeof] = ACTIONS(2408),
    [anon_sym_typeof] = ACTIONS(2408),
    [anon_sym_ATimport] = ACTIONS(2410),
    [aux_sym_preproc_undef_token1] = ACTIONS(2408),
    [anon_sym_POUND] = ACTIONS(2408),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2408),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2408),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2408),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2408),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2408),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2408),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2408),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2408),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2408),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_API_AVAILABLE] = ACTIONS(2408),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_API_DEPRECATED] = ACTIONS(2408),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2408),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2408),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2408),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2408),
    [anon_sym___deprecated_msg] = ACTIONS(2408),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2408),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2408),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2408),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2408),
    [anon_sym_ATprotocol] = ACTIONS(2410),
    [anon_sym_ATinterface] = ACTIONS(2410),
    [anon_sym_ATimplementation] = ACTIONS(2410),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2410),
    [anon_sym_ATsynthesize] = ACTIONS(2410),
    [anon_sym_ATdynamic] = ACTIONS(2410),
    [anon_sym_ATtry] = ACTIONS(2410),
    [anon_sym___try] = ACTIONS(2408),
    [anon_sym_ATthrow] = ACTIONS(2410),
    [anon_sym_ATselector] = ACTIONS(2410),
    [anon_sym_ATavailable] = ACTIONS(2410),
    [anon_sym___builtin_available] = ACTIONS(2408),
    [anon_sym_va_arg] = ACTIONS(2408),
    [anon_sym_ATencode] = ACTIONS(2410),
    [anon_sym_ATsynchronized] = ACTIONS(2410),
    [anon_sym_BOOL] = ACTIONS(2408),
    [anon_sym_IMP] = ACTIONS(2408),
    [anon_sym_SEL] = ACTIONS(2408),
    [anon_sym_Class] = ACTIONS(2408),
    [anon_sym_id] = ACTIONS(2408),
  },
  [596] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_include_token2] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_CARET] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym___attribute] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_ATautoreleasepool] = ACTIONS(2506),
    [anon_sym_auto] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_CG_EXTERN] = ACTIONS(2504),
    [anon_sym_CG_INLINE] = ACTIONS(2504),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2504),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2504),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2504),
    [anon_sym_IBOutlet] = ACTIONS(2504),
    [anon_sym_IBInspectable] = ACTIONS(2504),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2504),
    [anon_sym_NS_INLINE] = ACTIONS(2504),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2504),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2504),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2504),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym__Nonnull] = ACTIONS(2504),
    [anon_sym_nullable] = ACTIONS(2504),
    [anon_sym__Complex] = ACTIONS(2504),
    [anon_sym__Nullable] = ACTIONS(2504),
    [anon_sym__Nullable_result] = ACTIONS(2504),
    [anon_sym__Null_unspecified] = ACTIONS(2504),
    [anon_sym___autoreleasing] = ACTIONS(2504),
    [anon_sym___block] = ACTIONS(2504),
    [anon_sym___bridge] = ACTIONS(2504),
    [anon_sym___bridge_retained] = ACTIONS(2504),
    [anon_sym___bridge_transfer] = ACTIONS(2504),
    [anon_sym___complex] = ACTIONS(2504),
    [anon_sym___const] = ACTIONS(2504),
    [anon_sym___imag] = ACTIONS(2504),
    [anon_sym___kindof] = ACTIONS(2504),
    [anon_sym___nonnull] = ACTIONS(2504),
    [anon_sym___nullable] = ACTIONS(2504),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2504),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2504),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2504),
    [anon_sym___real] = ACTIONS(2504),
    [anon_sym___strong] = ACTIONS(2504),
    [anon_sym___unsafe_unretained] = ACTIONS(2504),
    [anon_sym___unused] = ACTIONS(2504),
    [anon_sym___weak] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym__Alignas] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_in] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [anon_sym___asm] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_AT] = ACTIONS(2504),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2504),
    [anon_sym___typeof] = ACTIONS(2504),
    [anon_sym_typeof] = ACTIONS(2504),
    [anon_sym_ATimport] = ACTIONS(2506),
    [aux_sym_preproc_undef_token1] = ACTIONS(2504),
    [anon_sym_POUND] = ACTIONS(2504),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2504),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2504),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2504),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2504),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2504),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2504),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2504),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2504),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2504),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_API_AVAILABLE] = ACTIONS(2504),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_API_DEPRECATED] = ACTIONS(2504),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2504),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2504),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2504),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2504),
    [anon_sym___deprecated_msg] = ACTIONS(2504),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2504),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2504),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2504),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2504),
    [anon_sym_ATprotocol] = ACTIONS(2506),
    [anon_sym_ATinterface] = ACTIONS(2506),
    [anon_sym_ATimplementation] = ACTIONS(2506),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2506),
    [anon_sym_ATsynthesize] = ACTIONS(2506),
    [anon_sym_ATdynamic] = ACTIONS(2506),
    [anon_sym_ATtry] = ACTIONS(2506),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym_ATthrow] = ACTIONS(2506),
    [anon_sym_ATselector] = ACTIONS(2506),
    [anon_sym_ATavailable] = ACTIONS(2506),
    [anon_sym___builtin_available] = ACTIONS(2504),
    [anon_sym_va_arg] = ACTIONS(2504),
    [anon_sym_ATencode] = ACTIONS(2506),
    [anon_sym_ATsynchronized] = ACTIONS(2506),
    [anon_sym_BOOL] = ACTIONS(2504),
    [anon_sym_IMP] = ACTIONS(2504),
    [anon_sym_SEL] = ACTIONS(2504),
    [anon_sym_Class] = ACTIONS(2504),
    [anon_sym_id] = ACTIONS(2504),
  },
  [597] = {
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_include_token1] = ACTIONS(2478),
    [aux_sym_preproc_include_token2] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token2] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_BANG] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_CARET] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2480),
    [anon_sym_SEMI] = ACTIONS(2480),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym___attribute] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___cdecl] = ACTIONS(2478),
    [anon_sym___clrcall] = ACTIONS(2478),
    [anon_sym___stdcall] = ACTIONS(2478),
    [anon_sym___fastcall] = ACTIONS(2478),
    [anon_sym___thiscall] = ACTIONS(2478),
    [anon_sym___vectorcall] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2480),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_ATautoreleasepool] = ACTIONS(2480),
    [anon_sym_auto] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_CG_EXTERN] = ACTIONS(2478),
    [anon_sym_CG_INLINE] = ACTIONS(2478),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2478),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2478),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2478),
    [anon_sym_IBOutlet] = ACTIONS(2478),
    [anon_sym_IBInspectable] = ACTIONS(2478),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2478),
    [anon_sym_NS_INLINE] = ACTIONS(2478),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2478),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2478),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2478),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym__Nonnull] = ACTIONS(2478),
    [anon_sym_nullable] = ACTIONS(2478),
    [anon_sym__Complex] = ACTIONS(2478),
    [anon_sym__Nullable] = ACTIONS(2478),
    [anon_sym__Nullable_result] = ACTIONS(2478),
    [anon_sym__Null_unspecified] = ACTIONS(2478),
    [anon_sym___autoreleasing] = ACTIONS(2478),
    [anon_sym___block] = ACTIONS(2478),
    [anon_sym___bridge] = ACTIONS(2478),
    [anon_sym___bridge_retained] = ACTIONS(2478),
    [anon_sym___bridge_transfer] = ACTIONS(2478),
    [anon_sym___complex] = ACTIONS(2478),
    [anon_sym___const] = ACTIONS(2478),
    [anon_sym___imag] = ACTIONS(2478),
    [anon_sym___kindof] = ACTIONS(2478),
    [anon_sym___nonnull] = ACTIONS(2478),
    [anon_sym___nullable] = ACTIONS(2478),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2478),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2478),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2478),
    [anon_sym___real] = ACTIONS(2478),
    [anon_sym___strong] = ACTIONS(2478),
    [anon_sym___unsafe_unretained] = ACTIONS(2478),
    [anon_sym___unused] = ACTIONS(2478),
    [anon_sym___weak] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym__Alignas] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_else] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_case] = ACTIONS(2478),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_in] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_goto] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2480),
    [anon_sym_PLUS_PLUS] = ACTIONS(2480),
    [anon_sym_sizeof] = ACTIONS(2478),
    [anon_sym___alignof__] = ACTIONS(2478),
    [anon_sym___alignof] = ACTIONS(2478),
    [anon_sym__alignof] = ACTIONS(2478),
    [anon_sym_alignof] = ACTIONS(2478),
    [anon_sym__Alignof] = ACTIONS(2478),
    [anon_sym_offsetof] = ACTIONS(2478),
    [anon_sym__Generic] = ACTIONS(2478),
    [anon_sym_asm] = ACTIONS(2478),
    [anon_sym___asm__] = ACTIONS(2478),
    [anon_sym___asm] = ACTIONS(2478),
    [sym_number_literal] = ACTIONS(2480),
    [anon_sym_L_SQUOTE] = ACTIONS(2480),
    [anon_sym_u_SQUOTE] = ACTIONS(2480),
    [anon_sym_U_SQUOTE] = ACTIONS(2480),
    [anon_sym_u8_SQUOTE] = ACTIONS(2480),
    [anon_sym_SQUOTE] = ACTIONS(2480),
    [anon_sym_AT] = ACTIONS(2478),
    [anon_sym_DQUOTE] = ACTIONS(2480),
    [anon_sym_L_DQUOTE] = ACTIONS(2480),
    [anon_sym_u_DQUOTE] = ACTIONS(2480),
    [anon_sym_U_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8_DQUOTE] = ACTIONS(2480),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2478),
    [anon_sym_nullptr] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2478),
    [anon_sym___typeof] = ACTIONS(2478),
    [anon_sym_typeof] = ACTIONS(2478),
    [anon_sym_ATimport] = ACTIONS(2480),
    [aux_sym_preproc_undef_token1] = ACTIONS(2478),
    [anon_sym_POUND] = ACTIONS(2478),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2478),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2478),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2478),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2478),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2478),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2478),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2478),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2478),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2478),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_API_AVAILABLE] = ACTIONS(2478),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_API_DEPRECATED] = ACTIONS(2478),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2478),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2478),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2478),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2478),
    [anon_sym___deprecated_msg] = ACTIONS(2478),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2478),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2478),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2478),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2478),
    [anon_sym_ATprotocol] = ACTIONS(2480),
    [anon_sym_ATinterface] = ACTIONS(2480),
    [anon_sym_ATimplementation] = ACTIONS(2480),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2480),
    [anon_sym_ATsynthesize] = ACTIONS(2480),
    [anon_sym_ATdynamic] = ACTIONS(2480),
    [anon_sym_ATtry] = ACTIONS(2480),
    [anon_sym___try] = ACTIONS(2478),
    [anon_sym_ATthrow] = ACTIONS(2480),
    [anon_sym_ATselector] = ACTIONS(2480),
    [anon_sym_ATavailable] = ACTIONS(2480),
    [anon_sym___builtin_available] = ACTIONS(2478),
    [anon_sym_va_arg] = ACTIONS(2478),
    [anon_sym_ATencode] = ACTIONS(2480),
    [anon_sym_ATsynchronized] = ACTIONS(2480),
    [anon_sym_BOOL] = ACTIONS(2478),
    [anon_sym_IMP] = ACTIONS(2478),
    [anon_sym_SEL] = ACTIONS(2478),
    [anon_sym_Class] = ACTIONS(2478),
    [anon_sym_id] = ACTIONS(2478),
  },
  [598] = {
    [sym_identifier] = ACTIONS(2482),
    [aux_sym_preproc_include_token1] = ACTIONS(2482),
    [aux_sym_preproc_include_token2] = ACTIONS(2482),
    [aux_sym_preproc_def_token1] = ACTIONS(2482),
    [aux_sym_preproc_if_token1] = ACTIONS(2482),
    [aux_sym_preproc_if_token2] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2482),
    [sym_preproc_directive] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(2484),
    [anon_sym_BANG] = ACTIONS(2484),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_DASH] = ACTIONS(2482),
    [anon_sym_PLUS] = ACTIONS(2482),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_CARET] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_SEMI] = ACTIONS(2484),
    [anon_sym___extension__] = ACTIONS(2482),
    [anon_sym_typedef] = ACTIONS(2482),
    [anon_sym_extern] = ACTIONS(2482),
    [anon_sym___attribute__] = ACTIONS(2482),
    [anon_sym___attribute] = ACTIONS(2482),
    [anon_sym_noreturn] = ACTIONS(2482),
    [anon_sym_LBRACK] = ACTIONS(2484),
    [anon_sym___declspec] = ACTIONS(2482),
    [anon_sym___cdecl] = ACTIONS(2482),
    [anon_sym___clrcall] = ACTIONS(2482),
    [anon_sym___stdcall] = ACTIONS(2482),
    [anon_sym___fastcall] = ACTIONS(2482),
    [anon_sym___thiscall] = ACTIONS(2482),
    [anon_sym___vectorcall] = ACTIONS(2482),
    [anon_sym_LBRACE] = ACTIONS(2484),
    [anon_sym_signed] = ACTIONS(2482),
    [anon_sym_unsigned] = ACTIONS(2482),
    [anon_sym_long] = ACTIONS(2482),
    [anon_sym_short] = ACTIONS(2482),
    [anon_sym_static] = ACTIONS(2482),
    [anon_sym_ATautoreleasepool] = ACTIONS(2484),
    [anon_sym_auto] = ACTIONS(2482),
    [anon_sym_register] = ACTIONS(2482),
    [anon_sym_inline] = ACTIONS(2482),
    [anon_sym___inline] = ACTIONS(2482),
    [anon_sym___inline__] = ACTIONS(2482),
    [anon_sym___forceinline] = ACTIONS(2482),
    [anon_sym_thread_local] = ACTIONS(2482),
    [anon_sym___thread] = ACTIONS(2482),
    [anon_sym_CG_EXTERN] = ACTIONS(2482),
    [anon_sym_CG_INLINE] = ACTIONS(2482),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2482),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2482),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2482),
    [anon_sym_IBOutlet] = ACTIONS(2482),
    [anon_sym_IBInspectable] = ACTIONS(2482),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2482),
    [anon_sym_NS_INLINE] = ACTIONS(2482),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2482),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2482),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2482),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2482),
    [anon_sym_const] = ACTIONS(2482),
    [anon_sym_constexpr] = ACTIONS(2482),
    [anon_sym_volatile] = ACTIONS(2482),
    [anon_sym_restrict] = ACTIONS(2482),
    [anon_sym___restrict__] = ACTIONS(2482),
    [anon_sym__Atomic] = ACTIONS(2482),
    [anon_sym__Noreturn] = ACTIONS(2482),
    [anon_sym__Nonnull] = ACTIONS(2482),
    [anon_sym_nullable] = ACTIONS(2482),
    [anon_sym__Complex] = ACTIONS(2482),
    [anon_sym__Nullable] = ACTIONS(2482),
    [anon_sym__Nullable_result] = ACTIONS(2482),
    [anon_sym__Null_unspecified] = ACTIONS(2482),
    [anon_sym___autoreleasing] = ACTIONS(2482),
    [anon_sym___block] = ACTIONS(2482),
    [anon_sym___bridge] = ACTIONS(2482),
    [anon_sym___bridge_retained] = ACTIONS(2482),
    [anon_sym___bridge_transfer] = ACTIONS(2482),
    [anon_sym___complex] = ACTIONS(2482),
    [anon_sym___const] = ACTIONS(2482),
    [anon_sym___imag] = ACTIONS(2482),
    [anon_sym___kindof] = ACTIONS(2482),
    [anon_sym___nonnull] = ACTIONS(2482),
    [anon_sym___nullable] = ACTIONS(2482),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2482),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2482),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2482),
    [anon_sym___real] = ACTIONS(2482),
    [anon_sym___strong] = ACTIONS(2482),
    [anon_sym___unsafe_unretained] = ACTIONS(2482),
    [anon_sym___unused] = ACTIONS(2482),
    [anon_sym___weak] = ACTIONS(2482),
    [anon_sym_alignas] = ACTIONS(2482),
    [anon_sym__Alignas] = ACTIONS(2482),
    [sym_primitive_type] = ACTIONS(2482),
    [anon_sym_enum] = ACTIONS(2482),
    [anon_sym_struct] = ACTIONS(2482),
    [anon_sym_union] = ACTIONS(2482),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_else] = ACTIONS(2482),
    [anon_sym_switch] = ACTIONS(2482),
    [anon_sym_case] = ACTIONS(2482),
    [anon_sym_default] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2482),
    [anon_sym_do] = ACTIONS(2482),
    [anon_sym_for] = ACTIONS(2482),
    [anon_sym_in] = ACTIONS(2482),
    [anon_sym_return] = ACTIONS(2482),
    [anon_sym_break] = ACTIONS(2482),
    [anon_sym_continue] = ACTIONS(2482),
    [anon_sym_goto] = ACTIONS(2482),
    [anon_sym_DASH_DASH] = ACTIONS(2484),
    [anon_sym_PLUS_PLUS] = ACTIONS(2484),
    [anon_sym_sizeof] = ACTIONS(2482),
    [anon_sym___alignof__] = ACTIONS(2482),
    [anon_sym___alignof] = ACTIONS(2482),
    [anon_sym__alignof] = ACTIONS(2482),
    [anon_sym_alignof] = ACTIONS(2482),
    [anon_sym__Alignof] = ACTIONS(2482),
    [anon_sym_offsetof] = ACTIONS(2482),
    [anon_sym__Generic] = ACTIONS(2482),
    [anon_sym_asm] = ACTIONS(2482),
    [anon_sym___asm__] = ACTIONS(2482),
    [anon_sym___asm] = ACTIONS(2482),
    [sym_number_literal] = ACTIONS(2484),
    [anon_sym_L_SQUOTE] = ACTIONS(2484),
    [anon_sym_u_SQUOTE] = ACTIONS(2484),
    [anon_sym_U_SQUOTE] = ACTIONS(2484),
    [anon_sym_u8_SQUOTE] = ACTIONS(2484),
    [anon_sym_SQUOTE] = ACTIONS(2484),
    [anon_sym_AT] = ACTIONS(2482),
    [anon_sym_DQUOTE] = ACTIONS(2484),
    [anon_sym_L_DQUOTE] = ACTIONS(2484),
    [anon_sym_u_DQUOTE] = ACTIONS(2484),
    [anon_sym_U_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8_DQUOTE] = ACTIONS(2484),
    [sym_true] = ACTIONS(2482),
    [sym_false] = ACTIONS(2482),
    [anon_sym_NULL] = ACTIONS(2482),
    [anon_sym_nullptr] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2482),
    [anon_sym___typeof] = ACTIONS(2482),
    [anon_sym_typeof] = ACTIONS(2482),
    [anon_sym_ATimport] = ACTIONS(2484),
    [aux_sym_preproc_undef_token1] = ACTIONS(2482),
    [anon_sym_POUND] = ACTIONS(2482),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2482),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2482),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2482),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2482),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2482),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2482),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2482),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2482),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2482),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_API_AVAILABLE] = ACTIONS(2482),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_API_DEPRECATED] = ACTIONS(2482),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2482),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2482),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2482),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2482),
    [anon_sym___deprecated_msg] = ACTIONS(2482),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2482),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2482),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2482),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2482),
    [anon_sym_ATprotocol] = ACTIONS(2484),
    [anon_sym_ATinterface] = ACTIONS(2484),
    [anon_sym_ATimplementation] = ACTIONS(2484),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2484),
    [anon_sym_ATsynthesize] = ACTIONS(2484),
    [anon_sym_ATdynamic] = ACTIONS(2484),
    [anon_sym_ATtry] = ACTIONS(2484),
    [anon_sym___try] = ACTIONS(2482),
    [anon_sym_ATthrow] = ACTIONS(2484),
    [anon_sym_ATselector] = ACTIONS(2484),
    [anon_sym_ATavailable] = ACTIONS(2484),
    [anon_sym___builtin_available] = ACTIONS(2482),
    [anon_sym_va_arg] = ACTIONS(2482),
    [anon_sym_ATencode] = ACTIONS(2484),
    [anon_sym_ATsynchronized] = ACTIONS(2484),
    [anon_sym_BOOL] = ACTIONS(2482),
    [anon_sym_IMP] = ACTIONS(2482),
    [anon_sym_SEL] = ACTIONS(2482),
    [anon_sym_Class] = ACTIONS(2482),
    [anon_sym_id] = ACTIONS(2482),
  },
  [599] = {
    [sym_identifier] = ACTIONS(2500),
    [aux_sym_preproc_include_token1] = ACTIONS(2500),
    [aux_sym_preproc_include_token2] = ACTIONS(2500),
    [aux_sym_preproc_def_token1] = ACTIONS(2500),
    [aux_sym_preproc_if_token1] = ACTIONS(2500),
    [aux_sym_preproc_if_token2] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2500),
    [sym_preproc_directive] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(2502),
    [anon_sym_BANG] = ACTIONS(2502),
    [anon_sym_TILDE] = ACTIONS(2502),
    [anon_sym_DASH] = ACTIONS(2500),
    [anon_sym_PLUS] = ACTIONS(2500),
    [anon_sym_STAR] = ACTIONS(2502),
    [anon_sym_CARET] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2502),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(2500),
    [anon_sym_typedef] = ACTIONS(2500),
    [anon_sym_extern] = ACTIONS(2500),
    [anon_sym___attribute__] = ACTIONS(2500),
    [anon_sym___attribute] = ACTIONS(2500),
    [anon_sym_noreturn] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [anon_sym___declspec] = ACTIONS(2500),
    [anon_sym___cdecl] = ACTIONS(2500),
    [anon_sym___clrcall] = ACTIONS(2500),
    [anon_sym___stdcall] = ACTIONS(2500),
    [anon_sym___fastcall] = ACTIONS(2500),
    [anon_sym___thiscall] = ACTIONS(2500),
    [anon_sym___vectorcall] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_signed] = ACTIONS(2500),
    [anon_sym_unsigned] = ACTIONS(2500),
    [anon_sym_long] = ACTIONS(2500),
    [anon_sym_short] = ACTIONS(2500),
    [anon_sym_static] = ACTIONS(2500),
    [anon_sym_ATautoreleasepool] = ACTIONS(2502),
    [anon_sym_auto] = ACTIONS(2500),
    [anon_sym_register] = ACTIONS(2500),
    [anon_sym_inline] = ACTIONS(2500),
    [anon_sym___inline] = ACTIONS(2500),
    [anon_sym___inline__] = ACTIONS(2500),
    [anon_sym___forceinline] = ACTIONS(2500),
    [anon_sym_thread_local] = ACTIONS(2500),
    [anon_sym___thread] = ACTIONS(2500),
    [anon_sym_CG_EXTERN] = ACTIONS(2500),
    [anon_sym_CG_INLINE] = ACTIONS(2500),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2500),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2500),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2500),
    [anon_sym_IBOutlet] = ACTIONS(2500),
    [anon_sym_IBInspectable] = ACTIONS(2500),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2500),
    [anon_sym_NS_INLINE] = ACTIONS(2500),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2500),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2500),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2500),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2500),
    [anon_sym_const] = ACTIONS(2500),
    [anon_sym_constexpr] = ACTIONS(2500),
    [anon_sym_volatile] = ACTIONS(2500),
    [anon_sym_restrict] = ACTIONS(2500),
    [anon_sym___restrict__] = ACTIONS(2500),
    [anon_sym__Atomic] = ACTIONS(2500),
    [anon_sym__Noreturn] = ACTIONS(2500),
    [anon_sym__Nonnull] = ACTIONS(2500),
    [anon_sym_nullable] = ACTIONS(2500),
    [anon_sym__Complex] = ACTIONS(2500),
    [anon_sym__Nullable] = ACTIONS(2500),
    [anon_sym__Nullable_result] = ACTIONS(2500),
    [anon_sym__Null_unspecified] = ACTIONS(2500),
    [anon_sym___autoreleasing] = ACTIONS(2500),
    [anon_sym___block] = ACTIONS(2500),
    [anon_sym___bridge] = ACTIONS(2500),
    [anon_sym___bridge_retained] = ACTIONS(2500),
    [anon_sym___bridge_transfer] = ACTIONS(2500),
    [anon_sym___complex] = ACTIONS(2500),
    [anon_sym___const] = ACTIONS(2500),
    [anon_sym___imag] = ACTIONS(2500),
    [anon_sym___kindof] = ACTIONS(2500),
    [anon_sym___nonnull] = ACTIONS(2500),
    [anon_sym___nullable] = ACTIONS(2500),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2500),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2500),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2500),
    [anon_sym___real] = ACTIONS(2500),
    [anon_sym___strong] = ACTIONS(2500),
    [anon_sym___unsafe_unretained] = ACTIONS(2500),
    [anon_sym___unused] = ACTIONS(2500),
    [anon_sym___weak] = ACTIONS(2500),
    [anon_sym_alignas] = ACTIONS(2500),
    [anon_sym__Alignas] = ACTIONS(2500),
    [sym_primitive_type] = ACTIONS(2500),
    [anon_sym_enum] = ACTIONS(2500),
    [anon_sym_struct] = ACTIONS(2500),
    [anon_sym_union] = ACTIONS(2500),
    [anon_sym_if] = ACTIONS(2500),
    [anon_sym_else] = ACTIONS(2500),
    [anon_sym_switch] = ACTIONS(2500),
    [anon_sym_case] = ACTIONS(2500),
    [anon_sym_default] = ACTIONS(2500),
    [anon_sym_while] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2500),
    [anon_sym_for] = ACTIONS(2500),
    [anon_sym_in] = ACTIONS(2500),
    [anon_sym_return] = ACTIONS(2500),
    [anon_sym_break] = ACTIONS(2500),
    [anon_sym_continue] = ACTIONS(2500),
    [anon_sym_goto] = ACTIONS(2500),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(2500),
    [anon_sym___alignof] = ACTIONS(2500),
    [anon_sym__alignof] = ACTIONS(2500),
    [anon_sym_alignof] = ACTIONS(2500),
    [anon_sym__Alignof] = ACTIONS(2500),
    [anon_sym_offsetof] = ACTIONS(2500),
    [anon_sym__Generic] = ACTIONS(2500),
    [anon_sym_asm] = ACTIONS(2500),
    [anon_sym___asm__] = ACTIONS(2500),
    [anon_sym___asm] = ACTIONS(2500),
    [sym_number_literal] = ACTIONS(2502),
    [anon_sym_L_SQUOTE] = ACTIONS(2502),
    [anon_sym_u_SQUOTE] = ACTIONS(2502),
    [anon_sym_U_SQUOTE] = ACTIONS(2502),
    [anon_sym_u8_SQUOTE] = ACTIONS(2502),
    [anon_sym_SQUOTE] = ACTIONS(2502),
    [anon_sym_AT] = ACTIONS(2500),
    [anon_sym_DQUOTE] = ACTIONS(2502),
    [anon_sym_L_DQUOTE] = ACTIONS(2502),
    [anon_sym_u_DQUOTE] = ACTIONS(2502),
    [anon_sym_U_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8_DQUOTE] = ACTIONS(2502),
    [sym_true] = ACTIONS(2500),
    [sym_false] = ACTIONS(2500),
    [anon_sym_NULL] = ACTIONS(2500),
    [anon_sym_nullptr] = ACTIONS(2500),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2500),
    [anon_sym___typeof] = ACTIONS(2500),
    [anon_sym_typeof] = ACTIONS(2500),
    [anon_sym_ATimport] = ACTIONS(2502),
    [aux_sym_preproc_undef_token1] = ACTIONS(2500),
    [anon_sym_POUND] = ACTIONS(2500),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2500),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2500),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2500),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2500),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2500),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2500),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2500),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2500),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2500),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_API_AVAILABLE] = ACTIONS(2500),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_API_DEPRECATED] = ACTIONS(2500),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2500),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2500),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2500),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2500),
    [anon_sym___deprecated_msg] = ACTIONS(2500),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2500),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2500),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2500),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2500),
    [anon_sym_ATprotocol] = ACTIONS(2502),
    [anon_sym_ATinterface] = ACTIONS(2502),
    [anon_sym_ATimplementation] = ACTIONS(2502),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2502),
    [anon_sym_ATsynthesize] = ACTIONS(2502),
    [anon_sym_ATdynamic] = ACTIONS(2502),
    [anon_sym_ATtry] = ACTIONS(2502),
    [anon_sym___try] = ACTIONS(2500),
    [anon_sym_ATthrow] = ACTIONS(2502),
    [anon_sym_ATselector] = ACTIONS(2502),
    [anon_sym_ATavailable] = ACTIONS(2502),
    [anon_sym___builtin_available] = ACTIONS(2500),
    [anon_sym_va_arg] = ACTIONS(2500),
    [anon_sym_ATencode] = ACTIONS(2502),
    [anon_sym_ATsynchronized] = ACTIONS(2502),
    [anon_sym_BOOL] = ACTIONS(2500),
    [anon_sym_IMP] = ACTIONS(2500),
    [anon_sym_SEL] = ACTIONS(2500),
    [anon_sym_Class] = ACTIONS(2500),
    [anon_sym_id] = ACTIONS(2500),
  },
  [600] = {
    [sym_identifier] = ACTIONS(2490),
    [aux_sym_preproc_include_token1] = ACTIONS(2490),
    [aux_sym_preproc_include_token2] = ACTIONS(2490),
    [aux_sym_preproc_def_token1] = ACTIONS(2490),
    [aux_sym_preproc_if_token1] = ACTIONS(2490),
    [aux_sym_preproc_if_token2] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2490),
    [sym_preproc_directive] = ACTIONS(2490),
    [anon_sym_LPAREN2] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2492),
    [anon_sym_TILDE] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2490),
    [anon_sym_STAR] = ACTIONS(2492),
    [anon_sym_CARET] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2492),
    [anon_sym___extension__] = ACTIONS(2490),
    [anon_sym_typedef] = ACTIONS(2490),
    [anon_sym_extern] = ACTIONS(2490),
    [anon_sym___attribute__] = ACTIONS(2490),
    [anon_sym___attribute] = ACTIONS(2490),
    [anon_sym_noreturn] = ACTIONS(2490),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym___declspec] = ACTIONS(2490),
    [anon_sym___cdecl] = ACTIONS(2490),
    [anon_sym___clrcall] = ACTIONS(2490),
    [anon_sym___stdcall] = ACTIONS(2490),
    [anon_sym___fastcall] = ACTIONS(2490),
    [anon_sym___thiscall] = ACTIONS(2490),
    [anon_sym___vectorcall] = ACTIONS(2490),
    [anon_sym_LBRACE] = ACTIONS(2492),
    [anon_sym_signed] = ACTIONS(2490),
    [anon_sym_unsigned] = ACTIONS(2490),
    [anon_sym_long] = ACTIONS(2490),
    [anon_sym_short] = ACTIONS(2490),
    [anon_sym_static] = ACTIONS(2490),
    [anon_sym_ATautoreleasepool] = ACTIONS(2492),
    [anon_sym_auto] = ACTIONS(2490),
    [anon_sym_register] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2490),
    [anon_sym___inline] = ACTIONS(2490),
    [anon_sym___inline__] = ACTIONS(2490),
    [anon_sym___forceinline] = ACTIONS(2490),
    [anon_sym_thread_local] = ACTIONS(2490),
    [anon_sym___thread] = ACTIONS(2490),
    [anon_sym_CG_EXTERN] = ACTIONS(2490),
    [anon_sym_CG_INLINE] = ACTIONS(2490),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2490),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2490),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2490),
    [anon_sym_IBOutlet] = ACTIONS(2490),
    [anon_sym_IBInspectable] = ACTIONS(2490),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2490),
    [anon_sym_NS_INLINE] = ACTIONS(2490),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2490),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2490),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2490),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2490),
    [anon_sym_const] = ACTIONS(2490),
    [anon_sym_constexpr] = ACTIONS(2490),
    [anon_sym_volatile] = ACTIONS(2490),
    [anon_sym_restrict] = ACTIONS(2490),
    [anon_sym___restrict__] = ACTIONS(2490),
    [anon_sym__Atomic] = ACTIONS(2490),
    [anon_sym__Noreturn] = ACTIONS(2490),
    [anon_sym__Nonnull] = ACTIONS(2490),
    [anon_sym_nullable] = ACTIONS(2490),
    [anon_sym__Complex] = ACTIONS(2490),
    [anon_sym__Nullable] = ACTIONS(2490),
    [anon_sym__Nullable_result] = ACTIONS(2490),
    [anon_sym__Null_unspecified] = ACTIONS(2490),
    [anon_sym___autoreleasing] = ACTIONS(2490),
    [anon_sym___block] = ACTIONS(2490),
    [anon_sym___bridge] = ACTIONS(2490),
    [anon_sym___bridge_retained] = ACTIONS(2490),
    [anon_sym___bridge_transfer] = ACTIONS(2490),
    [anon_sym___complex] = ACTIONS(2490),
    [anon_sym___const] = ACTIONS(2490),
    [anon_sym___imag] = ACTIONS(2490),
    [anon_sym___kindof] = ACTIONS(2490),
    [anon_sym___nonnull] = ACTIONS(2490),
    [anon_sym___nullable] = ACTIONS(2490),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2490),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2490),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2490),
    [anon_sym___real] = ACTIONS(2490),
    [anon_sym___strong] = ACTIONS(2490),
    [anon_sym___unsafe_unretained] = ACTIONS(2490),
    [anon_sym___unused] = ACTIONS(2490),
    [anon_sym___weak] = ACTIONS(2490),
    [anon_sym_alignas] = ACTIONS(2490),
    [anon_sym__Alignas] = ACTIONS(2490),
    [sym_primitive_type] = ACTIONS(2490),
    [anon_sym_enum] = ACTIONS(2490),
    [anon_sym_struct] = ACTIONS(2490),
    [anon_sym_union] = ACTIONS(2490),
    [anon_sym_if] = ACTIONS(2490),
    [anon_sym_else] = ACTIONS(2490),
    [anon_sym_switch] = ACTIONS(2490),
    [anon_sym_case] = ACTIONS(2490),
    [anon_sym_default] = ACTIONS(2490),
    [anon_sym_while] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(2490),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_in] = ACTIONS(2490),
    [anon_sym_return] = ACTIONS(2490),
    [anon_sym_break] = ACTIONS(2490),
    [anon_sym_continue] = ACTIONS(2490),
    [anon_sym_goto] = ACTIONS(2490),
    [anon_sym_DASH_DASH] = ACTIONS(2492),
    [anon_sym_PLUS_PLUS] = ACTIONS(2492),
    [anon_sym_sizeof] = ACTIONS(2490),
    [anon_sym___alignof__] = ACTIONS(2490),
    [anon_sym___alignof] = ACTIONS(2490),
    [anon_sym__alignof] = ACTIONS(2490),
    [anon_sym_alignof] = ACTIONS(2490),
    [anon_sym__Alignof] = ACTIONS(2490),
    [anon_sym_offsetof] = ACTIONS(2490),
    [anon_sym__Generic] = ACTIONS(2490),
    [anon_sym_asm] = ACTIONS(2490),
    [anon_sym___asm__] = ACTIONS(2490),
    [anon_sym___asm] = ACTIONS(2490),
    [sym_number_literal] = ACTIONS(2492),
    [anon_sym_L_SQUOTE] = ACTIONS(2492),
    [anon_sym_u_SQUOTE] = ACTIONS(2492),
    [anon_sym_U_SQUOTE] = ACTIONS(2492),
    [anon_sym_u8_SQUOTE] = ACTIONS(2492),
    [anon_sym_SQUOTE] = ACTIONS(2492),
    [anon_sym_AT] = ACTIONS(2490),
    [anon_sym_DQUOTE] = ACTIONS(2492),
    [anon_sym_L_DQUOTE] = ACTIONS(2492),
    [anon_sym_u_DQUOTE] = ACTIONS(2492),
    [anon_sym_U_DQUOTE] = ACTIONS(2492),
    [anon_sym_u8_DQUOTE] = ACTIONS(2492),
    [sym_true] = ACTIONS(2490),
    [sym_false] = ACTIONS(2490),
    [anon_sym_NULL] = ACTIONS(2490),
    [anon_sym_nullptr] = ACTIONS(2490),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2490),
    [anon_sym___typeof] = ACTIONS(2490),
    [anon_sym_typeof] = ACTIONS(2490),
    [anon_sym_ATimport] = ACTIONS(2492),
    [aux_sym_preproc_undef_token1] = ACTIONS(2490),
    [anon_sym_POUND] = ACTIONS(2490),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2490),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2490),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2490),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2490),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2490),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2490),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2490),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2490),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2490),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_API_AVAILABLE] = ACTIONS(2490),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_API_DEPRECATED] = ACTIONS(2490),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2490),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2490),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2490),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2490),
    [anon_sym___deprecated_msg] = ACTIONS(2490),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2490),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2490),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2490),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2490),
    [anon_sym_ATprotocol] = ACTIONS(2492),
    [anon_sym_ATinterface] = ACTIONS(2492),
    [anon_sym_ATimplementation] = ACTIONS(2492),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2492),
    [anon_sym_ATsynthesize] = ACTIONS(2492),
    [anon_sym_ATdynamic] = ACTIONS(2492),
    [anon_sym_ATtry] = ACTIONS(2492),
    [anon_sym___try] = ACTIONS(2490),
    [anon_sym_ATthrow] = ACTIONS(2492),
    [anon_sym_ATselector] = ACTIONS(2492),
    [anon_sym_ATavailable] = ACTIONS(2492),
    [anon_sym___builtin_available] = ACTIONS(2490),
    [anon_sym_va_arg] = ACTIONS(2490),
    [anon_sym_ATencode] = ACTIONS(2492),
    [anon_sym_ATsynchronized] = ACTIONS(2492),
    [anon_sym_BOOL] = ACTIONS(2490),
    [anon_sym_IMP] = ACTIONS(2490),
    [anon_sym_SEL] = ACTIONS(2490),
    [anon_sym_Class] = ACTIONS(2490),
    [anon_sym_id] = ACTIONS(2490),
  },
  [601] = {
    [sym_identifier] = ACTIONS(2420),
    [aux_sym_preproc_include_token1] = ACTIONS(2420),
    [aux_sym_preproc_include_token2] = ACTIONS(2420),
    [aux_sym_preproc_def_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token2] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2420),
    [sym_preproc_directive] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(2422),
    [anon_sym_BANG] = ACTIONS(2422),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_SEMI] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym___attribute] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym___cdecl] = ACTIONS(2420),
    [anon_sym___clrcall] = ACTIONS(2420),
    [anon_sym___stdcall] = ACTIONS(2420),
    [anon_sym___fastcall] = ACTIONS(2420),
    [anon_sym___thiscall] = ACTIONS(2420),
    [anon_sym___vectorcall] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_ATautoreleasepool] = ACTIONS(2422),
    [anon_sym_auto] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_CG_EXTERN] = ACTIONS(2420),
    [anon_sym_CG_INLINE] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2420),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2420),
    [anon_sym_IBOutlet] = ACTIONS(2420),
    [anon_sym_IBInspectable] = ACTIONS(2420),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2420),
    [anon_sym_NS_INLINE] = ACTIONS(2420),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2420),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2420),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym__Nonnull] = ACTIONS(2420),
    [anon_sym_nullable] = ACTIONS(2420),
    [anon_sym__Complex] = ACTIONS(2420),
    [anon_sym__Nullable] = ACTIONS(2420),
    [anon_sym__Nullable_result] = ACTIONS(2420),
    [anon_sym__Null_unspecified] = ACTIONS(2420),
    [anon_sym___autoreleasing] = ACTIONS(2420),
    [anon_sym___block] = ACTIONS(2420),
    [anon_sym___bridge] = ACTIONS(2420),
    [anon_sym___bridge_retained] = ACTIONS(2420),
    [anon_sym___bridge_transfer] = ACTIONS(2420),
    [anon_sym___complex] = ACTIONS(2420),
    [anon_sym___const] = ACTIONS(2420),
    [anon_sym___imag] = ACTIONS(2420),
    [anon_sym___kindof] = ACTIONS(2420),
    [anon_sym___nonnull] = ACTIONS(2420),
    [anon_sym___nullable] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2420),
    [anon_sym___real] = ACTIONS(2420),
    [anon_sym___strong] = ACTIONS(2420),
    [anon_sym___unsafe_unretained] = ACTIONS(2420),
    [anon_sym___unused] = ACTIONS(2420),
    [anon_sym___weak] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym__Alignas] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [anon_sym_if] = ACTIONS(2420),
    [anon_sym_else] = ACTIONS(2420),
    [anon_sym_switch] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(2420),
    [anon_sym_default] = ACTIONS(2420),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_in] = ACTIONS(2420),
    [anon_sym_return] = ACTIONS(2420),
    [anon_sym_break] = ACTIONS(2420),
    [anon_sym_continue] = ACTIONS(2420),
    [anon_sym_goto] = ACTIONS(2420),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2420),
    [anon_sym___alignof__] = ACTIONS(2420),
    [anon_sym___alignof] = ACTIONS(2420),
    [anon_sym__alignof] = ACTIONS(2420),
    [anon_sym_alignof] = ACTIONS(2420),
    [anon_sym__Alignof] = ACTIONS(2420),
    [anon_sym_offsetof] = ACTIONS(2420),
    [anon_sym__Generic] = ACTIONS(2420),
    [anon_sym_asm] = ACTIONS(2420),
    [anon_sym___asm__] = ACTIONS(2420),
    [anon_sym___asm] = ACTIONS(2420),
    [sym_number_literal] = ACTIONS(2422),
    [anon_sym_L_SQUOTE] = ACTIONS(2422),
    [anon_sym_u_SQUOTE] = ACTIONS(2422),
    [anon_sym_U_SQUOTE] = ACTIONS(2422),
    [anon_sym_u8_SQUOTE] = ACTIONS(2422),
    [anon_sym_SQUOTE] = ACTIONS(2422),
    [anon_sym_AT] = ACTIONS(2420),
    [anon_sym_DQUOTE] = ACTIONS(2422),
    [anon_sym_L_DQUOTE] = ACTIONS(2422),
    [anon_sym_u_DQUOTE] = ACTIONS(2422),
    [anon_sym_U_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8_DQUOTE] = ACTIONS(2422),
    [sym_true] = ACTIONS(2420),
    [sym_false] = ACTIONS(2420),
    [anon_sym_NULL] = ACTIONS(2420),
    [anon_sym_nullptr] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2420),
    [anon_sym___typeof] = ACTIONS(2420),
    [anon_sym_typeof] = ACTIONS(2420),
    [anon_sym_ATimport] = ACTIONS(2422),
    [aux_sym_preproc_undef_token1] = ACTIONS(2420),
    [anon_sym_POUND] = ACTIONS(2420),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2420),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2420),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2420),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_API_AVAILABLE] = ACTIONS(2420),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_API_DEPRECATED] = ACTIONS(2420),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym___deprecated_msg] = ACTIONS(2420),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2420),
    [anon_sym_ATprotocol] = ACTIONS(2422),
    [anon_sym_ATinterface] = ACTIONS(2422),
    [anon_sym_ATimplementation] = ACTIONS(2422),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2422),
    [anon_sym_ATsynthesize] = ACTIONS(2422),
    [anon_sym_ATdynamic] = ACTIONS(2422),
    [anon_sym_ATtry] = ACTIONS(2422),
    [anon_sym___try] = ACTIONS(2420),
    [anon_sym_ATthrow] = ACTIONS(2422),
    [anon_sym_ATselector] = ACTIONS(2422),
    [anon_sym_ATavailable] = ACTIONS(2422),
    [anon_sym___builtin_available] = ACTIONS(2420),
    [anon_sym_va_arg] = ACTIONS(2420),
    [anon_sym_ATencode] = ACTIONS(2422),
    [anon_sym_ATsynchronized] = ACTIONS(2422),
    [anon_sym_BOOL] = ACTIONS(2420),
    [anon_sym_IMP] = ACTIONS(2420),
    [anon_sym_SEL] = ACTIONS(2420),
    [anon_sym_Class] = ACTIONS(2420),
    [anon_sym_id] = ACTIONS(2420),
  },
  [602] = {
    [sym_identifier] = ACTIONS(2368),
    [aux_sym_preproc_include_token1] = ACTIONS(2368),
    [aux_sym_preproc_include_token2] = ACTIONS(2368),
    [aux_sym_preproc_def_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token2] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2368),
    [sym_preproc_directive] = ACTIONS(2368),
    [anon_sym_LPAREN2] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_CARET] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym___extension__] = ACTIONS(2368),
    [anon_sym_typedef] = ACTIONS(2368),
    [anon_sym_extern] = ACTIONS(2368),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym___attribute] = ACTIONS(2368),
    [anon_sym_noreturn] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym___declspec] = ACTIONS(2368),
    [anon_sym___cdecl] = ACTIONS(2368),
    [anon_sym___clrcall] = ACTIONS(2368),
    [anon_sym___stdcall] = ACTIONS(2368),
    [anon_sym___fastcall] = ACTIONS(2368),
    [anon_sym___thiscall] = ACTIONS(2368),
    [anon_sym___vectorcall] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_signed] = ACTIONS(2368),
    [anon_sym_unsigned] = ACTIONS(2368),
    [anon_sym_long] = ACTIONS(2368),
    [anon_sym_short] = ACTIONS(2368),
    [anon_sym_static] = ACTIONS(2368),
    [anon_sym_ATautoreleasepool] = ACTIONS(2370),
    [anon_sym_auto] = ACTIONS(2368),
    [anon_sym_register] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(2368),
    [anon_sym___inline] = ACTIONS(2368),
    [anon_sym___inline__] = ACTIONS(2368),
    [anon_sym___forceinline] = ACTIONS(2368),
    [anon_sym_thread_local] = ACTIONS(2368),
    [anon_sym___thread] = ACTIONS(2368),
    [anon_sym_CG_EXTERN] = ACTIONS(2368),
    [anon_sym_CG_INLINE] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2368),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2368),
    [anon_sym_IBOutlet] = ACTIONS(2368),
    [anon_sym_IBInspectable] = ACTIONS(2368),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2368),
    [anon_sym_NS_INLINE] = ACTIONS(2368),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2368),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2368),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2368),
    [anon_sym_const] = ACTIONS(2368),
    [anon_sym_constexpr] = ACTIONS(2368),
    [anon_sym_volatile] = ACTIONS(2368),
    [anon_sym_restrict] = ACTIONS(2368),
    [anon_sym___restrict__] = ACTIONS(2368),
    [anon_sym__Atomic] = ACTIONS(2368),
    [anon_sym__Noreturn] = ACTIONS(2368),
    [anon_sym__Nonnull] = ACTIONS(2368),
    [anon_sym_nullable] = ACTIONS(2368),
    [anon_sym__Complex] = ACTIONS(2368),
    [anon_sym__Nullable] = ACTIONS(2368),
    [anon_sym__Nullable_result] = ACTIONS(2368),
    [anon_sym__Null_unspecified] = ACTIONS(2368),
    [anon_sym___autoreleasing] = ACTIONS(2368),
    [anon_sym___block] = ACTIONS(2368),
    [anon_sym___bridge] = ACTIONS(2368),
    [anon_sym___bridge_retained] = ACTIONS(2368),
    [anon_sym___bridge_transfer] = ACTIONS(2368),
    [anon_sym___complex] = ACTIONS(2368),
    [anon_sym___const] = ACTIONS(2368),
    [anon_sym___imag] = ACTIONS(2368),
    [anon_sym___kindof] = ACTIONS(2368),
    [anon_sym___nonnull] = ACTIONS(2368),
    [anon_sym___nullable] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2368),
    [anon_sym___real] = ACTIONS(2368),
    [anon_sym___strong] = ACTIONS(2368),
    [anon_sym___unsafe_unretained] = ACTIONS(2368),
    [anon_sym___unused] = ACTIONS(2368),
    [anon_sym___weak] = ACTIONS(2368),
    [anon_sym_alignas] = ACTIONS(2368),
    [anon_sym__Alignas] = ACTIONS(2368),
    [sym_primitive_type] = ACTIONS(2368),
    [anon_sym_enum] = ACTIONS(2368),
    [anon_sym_struct] = ACTIONS(2368),
    [anon_sym_union] = ACTIONS(2368),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_else] = ACTIONS(2368),
    [anon_sym_switch] = ACTIONS(2368),
    [anon_sym_case] = ACTIONS(2368),
    [anon_sym_default] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_do] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2368),
    [anon_sym_in] = ACTIONS(2368),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_break] = ACTIONS(2368),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_goto] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_sizeof] = ACTIONS(2368),
    [anon_sym___alignof__] = ACTIONS(2368),
    [anon_sym___alignof] = ACTIONS(2368),
    [anon_sym__alignof] = ACTIONS(2368),
    [anon_sym_alignof] = ACTIONS(2368),
    [anon_sym__Alignof] = ACTIONS(2368),
    [anon_sym_offsetof] = ACTIONS(2368),
    [anon_sym__Generic] = ACTIONS(2368),
    [anon_sym_asm] = ACTIONS(2368),
    [anon_sym___asm__] = ACTIONS(2368),
    [anon_sym___asm] = ACTIONS(2368),
    [sym_number_literal] = ACTIONS(2370),
    [anon_sym_L_SQUOTE] = ACTIONS(2370),
    [anon_sym_u_SQUOTE] = ACTIONS(2370),
    [anon_sym_U_SQUOTE] = ACTIONS(2370),
    [anon_sym_u8_SQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2368),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_L_DQUOTE] = ACTIONS(2370),
    [anon_sym_u_DQUOTE] = ACTIONS(2370),
    [anon_sym_U_DQUOTE] = ACTIONS(2370),
    [anon_sym_u8_DQUOTE] = ACTIONS(2370),
    [sym_true] = ACTIONS(2368),
    [sym_false] = ACTIONS(2368),
    [anon_sym_NULL] = ACTIONS(2368),
    [anon_sym_nullptr] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2368),
    [anon_sym___typeof] = ACTIONS(2368),
    [anon_sym_typeof] = ACTIONS(2368),
    [anon_sym_ATimport] = ACTIONS(2370),
    [aux_sym_preproc_undef_token1] = ACTIONS(2368),
    [anon_sym_POUND] = ACTIONS(2368),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2368),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2368),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2368),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_API_AVAILABLE] = ACTIONS(2368),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_API_DEPRECATED] = ACTIONS(2368),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym___deprecated_msg] = ACTIONS(2368),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2368),
    [anon_sym_ATprotocol] = ACTIONS(2370),
    [anon_sym_ATinterface] = ACTIONS(2370),
    [anon_sym_ATimplementation] = ACTIONS(2370),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2370),
    [anon_sym_ATsynthesize] = ACTIONS(2370),
    [anon_sym_ATdynamic] = ACTIONS(2370),
    [anon_sym_ATtry] = ACTIONS(2370),
    [anon_sym___try] = ACTIONS(2368),
    [anon_sym_ATthrow] = ACTIONS(2370),
    [anon_sym_ATselector] = ACTIONS(2370),
    [anon_sym_ATavailable] = ACTIONS(2370),
    [anon_sym___builtin_available] = ACTIONS(2368),
    [anon_sym_va_arg] = ACTIONS(2368),
    [anon_sym_ATencode] = ACTIONS(2370),
    [anon_sym_ATsynchronized] = ACTIONS(2370),
    [anon_sym_BOOL] = ACTIONS(2368),
    [anon_sym_IMP] = ACTIONS(2368),
    [anon_sym_SEL] = ACTIONS(2368),
    [anon_sym_Class] = ACTIONS(2368),
    [anon_sym_id] = ACTIONS(2368),
  },
  [603] = {
    [sym_identifier] = ACTIONS(2508),
    [aux_sym_preproc_include_token1] = ACTIONS(2508),
    [aux_sym_preproc_include_token2] = ACTIONS(2508),
    [aux_sym_preproc_def_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token2] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2508),
    [sym_preproc_directive] = ACTIONS(2508),
    [anon_sym_LPAREN2] = ACTIONS(2510),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2510),
    [anon_sym_CARET] = ACTIONS(2510),
    [anon_sym_AMP] = ACTIONS(2510),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym___extension__] = ACTIONS(2508),
    [anon_sym_typedef] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym___attribute__] = ACTIONS(2508),
    [anon_sym___attribute] = ACTIONS(2508),
    [anon_sym_noreturn] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [anon_sym___declspec] = ACTIONS(2508),
    [anon_sym___cdecl] = ACTIONS(2508),
    [anon_sym___clrcall] = ACTIONS(2508),
    [anon_sym___stdcall] = ACTIONS(2508),
    [anon_sym___fastcall] = ACTIONS(2508),
    [anon_sym___thiscall] = ACTIONS(2508),
    [anon_sym___vectorcall] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_signed] = ACTIONS(2508),
    [anon_sym_unsigned] = ACTIONS(2508),
    [anon_sym_long] = ACTIONS(2508),
    [anon_sym_short] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_ATautoreleasepool] = ACTIONS(2510),
    [anon_sym_auto] = ACTIONS(2508),
    [anon_sym_register] = ACTIONS(2508),
    [anon_sym_inline] = ACTIONS(2508),
    [anon_sym___inline] = ACTIONS(2508),
    [anon_sym___inline__] = ACTIONS(2508),
    [anon_sym___forceinline] = ACTIONS(2508),
    [anon_sym_thread_local] = ACTIONS(2508),
    [anon_sym___thread] = ACTIONS(2508),
    [anon_sym_CG_EXTERN] = ACTIONS(2508),
    [anon_sym_CG_INLINE] = ACTIONS(2508),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2508),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2508),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2508),
    [anon_sym_IBOutlet] = ACTIONS(2508),
    [anon_sym_IBInspectable] = ACTIONS(2508),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2508),
    [anon_sym_NS_INLINE] = ACTIONS(2508),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2508),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2508),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2508),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_constexpr] = ACTIONS(2508),
    [anon_sym_volatile] = ACTIONS(2508),
    [anon_sym_restrict] = ACTIONS(2508),
    [anon_sym___restrict__] = ACTIONS(2508),
    [anon_sym__Atomic] = ACTIONS(2508),
    [anon_sym__Noreturn] = ACTIONS(2508),
    [anon_sym__Nonnull] = ACTIONS(2508),
    [anon_sym_nullable] = ACTIONS(2508),
    [anon_sym__Complex] = ACTIONS(2508),
    [anon_sym__Nullable] = ACTIONS(2508),
    [anon_sym__Nullable_result] = ACTIONS(2508),
    [anon_sym__Null_unspecified] = ACTIONS(2508),
    [anon_sym___autoreleasing] = ACTIONS(2508),
    [anon_sym___block] = ACTIONS(2508),
    [anon_sym___bridge] = ACTIONS(2508),
    [anon_sym___bridge_retained] = ACTIONS(2508),
    [anon_sym___bridge_transfer] = ACTIONS(2508),
    [anon_sym___complex] = ACTIONS(2508),
    [anon_sym___const] = ACTIONS(2508),
    [anon_sym___imag] = ACTIONS(2508),
    [anon_sym___kindof] = ACTIONS(2508),
    [anon_sym___nonnull] = ACTIONS(2508),
    [anon_sym___nullable] = ACTIONS(2508),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2508),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2508),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2508),
    [anon_sym___real] = ACTIONS(2508),
    [anon_sym___strong] = ACTIONS(2508),
    [anon_sym___unsafe_unretained] = ACTIONS(2508),
    [anon_sym___unused] = ACTIONS(2508),
    [anon_sym___weak] = ACTIONS(2508),
    [anon_sym_alignas] = ACTIONS(2508),
    [anon_sym__Alignas] = ACTIONS(2508),
    [sym_primitive_type] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_else] = ACTIONS(2508),
    [anon_sym_switch] = ACTIONS(2508),
    [anon_sym_case] = ACTIONS(2508),
    [anon_sym_default] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2508),
    [anon_sym_do] = ACTIONS(2508),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_in] = ACTIONS(2508),
    [anon_sym_return] = ACTIONS(2508),
    [anon_sym_break] = ACTIONS(2508),
    [anon_sym_continue] = ACTIONS(2508),
    [anon_sym_goto] = ACTIONS(2508),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_sizeof] = ACTIONS(2508),
    [anon_sym___alignof__] = ACTIONS(2508),
    [anon_sym___alignof] = ACTIONS(2508),
    [anon_sym__alignof] = ACTIONS(2508),
    [anon_sym_alignof] = ACTIONS(2508),
    [anon_sym__Alignof] = ACTIONS(2508),
    [anon_sym_offsetof] = ACTIONS(2508),
    [anon_sym__Generic] = ACTIONS(2508),
    [anon_sym_asm] = ACTIONS(2508),
    [anon_sym___asm__] = ACTIONS(2508),
    [anon_sym___asm] = ACTIONS(2508),
    [sym_number_literal] = ACTIONS(2510),
    [anon_sym_L_SQUOTE] = ACTIONS(2510),
    [anon_sym_u_SQUOTE] = ACTIONS(2510),
    [anon_sym_U_SQUOTE] = ACTIONS(2510),
    [anon_sym_u8_SQUOTE] = ACTIONS(2510),
    [anon_sym_SQUOTE] = ACTIONS(2510),
    [anon_sym_AT] = ACTIONS(2508),
    [anon_sym_DQUOTE] = ACTIONS(2510),
    [anon_sym_L_DQUOTE] = ACTIONS(2510),
    [anon_sym_u_DQUOTE] = ACTIONS(2510),
    [anon_sym_U_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8_DQUOTE] = ACTIONS(2510),
    [sym_true] = ACTIONS(2508),
    [sym_false] = ACTIONS(2508),
    [anon_sym_NULL] = ACTIONS(2508),
    [anon_sym_nullptr] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2508),
    [anon_sym___typeof] = ACTIONS(2508),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_ATimport] = ACTIONS(2510),
    [aux_sym_preproc_undef_token1] = ACTIONS(2508),
    [anon_sym_POUND] = ACTIONS(2508),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2508),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2508),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2508),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2508),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2508),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2508),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2508),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2508),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2508),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_API_AVAILABLE] = ACTIONS(2508),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_API_DEPRECATED] = ACTIONS(2508),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2508),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2508),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2508),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2508),
    [anon_sym___deprecated_msg] = ACTIONS(2508),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2508),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2508),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2508),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2508),
    [anon_sym_ATprotocol] = ACTIONS(2510),
    [anon_sym_ATinterface] = ACTIONS(2510),
    [anon_sym_ATimplementation] = ACTIONS(2510),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2510),
    [anon_sym_ATsynthesize] = ACTIONS(2510),
    [anon_sym_ATdynamic] = ACTIONS(2510),
    [anon_sym_ATtry] = ACTIONS(2510),
    [anon_sym___try] = ACTIONS(2508),
    [anon_sym_ATthrow] = ACTIONS(2510),
    [anon_sym_ATselector] = ACTIONS(2510),
    [anon_sym_ATavailable] = ACTIONS(2510),
    [anon_sym___builtin_available] = ACTIONS(2508),
    [anon_sym_va_arg] = ACTIONS(2508),
    [anon_sym_ATencode] = ACTIONS(2510),
    [anon_sym_ATsynchronized] = ACTIONS(2510),
    [anon_sym_BOOL] = ACTIONS(2508),
    [anon_sym_IMP] = ACTIONS(2508),
    [anon_sym_SEL] = ACTIONS(2508),
    [anon_sym_Class] = ACTIONS(2508),
    [anon_sym_id] = ACTIONS(2508),
  },
  [604] = {
    [sym_identifier] = ACTIONS(2622),
    [aux_sym_preproc_include_token1] = ACTIONS(2622),
    [aux_sym_preproc_include_token2] = ACTIONS(2622),
    [aux_sym_preproc_def_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token2] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2622),
    [sym_preproc_directive] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_CARET] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym___extension__] = ACTIONS(2622),
    [anon_sym_typedef] = ACTIONS(2622),
    [anon_sym_extern] = ACTIONS(2622),
    [anon_sym___attribute__] = ACTIONS(2622),
    [anon_sym___attribute] = ACTIONS(2622),
    [anon_sym_noreturn] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym___declspec] = ACTIONS(2622),
    [anon_sym___cdecl] = ACTIONS(2622),
    [anon_sym___clrcall] = ACTIONS(2622),
    [anon_sym___stdcall] = ACTIONS(2622),
    [anon_sym___fastcall] = ACTIONS(2622),
    [anon_sym___thiscall] = ACTIONS(2622),
    [anon_sym___vectorcall] = ACTIONS(2622),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_signed] = ACTIONS(2622),
    [anon_sym_unsigned] = ACTIONS(2622),
    [anon_sym_long] = ACTIONS(2622),
    [anon_sym_short] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_ATautoreleasepool] = ACTIONS(2624),
    [anon_sym_auto] = ACTIONS(2622),
    [anon_sym_register] = ACTIONS(2622),
    [anon_sym_inline] = ACTIONS(2622),
    [anon_sym___inline] = ACTIONS(2622),
    [anon_sym___inline__] = ACTIONS(2622),
    [anon_sym___forceinline] = ACTIONS(2622),
    [anon_sym_thread_local] = ACTIONS(2622),
    [anon_sym___thread] = ACTIONS(2622),
    [anon_sym_CG_EXTERN] = ACTIONS(2622),
    [anon_sym_CG_INLINE] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2622),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2622),
    [anon_sym_IBOutlet] = ACTIONS(2622),
    [anon_sym_IBInspectable] = ACTIONS(2622),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2622),
    [anon_sym_NS_INLINE] = ACTIONS(2622),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2622),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2622),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_constexpr] = ACTIONS(2622),
    [anon_sym_volatile] = ACTIONS(2622),
    [anon_sym_restrict] = ACTIONS(2622),
    [anon_sym___restrict__] = ACTIONS(2622),
    [anon_sym__Atomic] = ACTIONS(2622),
    [anon_sym__Noreturn] = ACTIONS(2622),
    [anon_sym__Nonnull] = ACTIONS(2622),
    [anon_sym_nullable] = ACTIONS(2622),
    [anon_sym__Complex] = ACTIONS(2622),
    [anon_sym__Nullable] = ACTIONS(2622),
    [anon_sym__Nullable_result] = ACTIONS(2622),
    [anon_sym__Null_unspecified] = ACTIONS(2622),
    [anon_sym___autoreleasing] = ACTIONS(2622),
    [anon_sym___block] = ACTIONS(2622),
    [anon_sym___bridge] = ACTIONS(2622),
    [anon_sym___bridge_retained] = ACTIONS(2622),
    [anon_sym___bridge_transfer] = ACTIONS(2622),
    [anon_sym___complex] = ACTIONS(2622),
    [anon_sym___const] = ACTIONS(2622),
    [anon_sym___imag] = ACTIONS(2622),
    [anon_sym___kindof] = ACTIONS(2622),
    [anon_sym___nonnull] = ACTIONS(2622),
    [anon_sym___nullable] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2622),
    [anon_sym___real] = ACTIONS(2622),
    [anon_sym___strong] = ACTIONS(2622),
    [anon_sym___unsafe_unretained] = ACTIONS(2622),
    [anon_sym___unused] = ACTIONS(2622),
    [anon_sym___weak] = ACTIONS(2622),
    [anon_sym_alignas] = ACTIONS(2622),
    [anon_sym__Alignas] = ACTIONS(2622),
    [sym_primitive_type] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [anon_sym_struct] = ACTIONS(2622),
    [anon_sym_union] = ACTIONS(2622),
    [anon_sym_if] = ACTIONS(2622),
    [anon_sym_switch] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2622),
    [anon_sym_default] = ACTIONS(2622),
    [anon_sym_while] = ACTIONS(2622),
    [anon_sym_do] = ACTIONS(2622),
    [anon_sym_for] = ACTIONS(2622),
    [anon_sym_in] = ACTIONS(2622),
    [anon_sym_return] = ACTIONS(2622),
    [anon_sym_break] = ACTIONS(2622),
    [anon_sym_continue] = ACTIONS(2622),
    [anon_sym_goto] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_sizeof] = ACTIONS(2622),
    [anon_sym___alignof__] = ACTIONS(2622),
    [anon_sym___alignof] = ACTIONS(2622),
    [anon_sym__alignof] = ACTIONS(2622),
    [anon_sym_alignof] = ACTIONS(2622),
    [anon_sym__Alignof] = ACTIONS(2622),
    [anon_sym_offsetof] = ACTIONS(2622),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2622),
    [anon_sym___asm__] = ACTIONS(2622),
    [anon_sym___asm] = ACTIONS(2622),
    [sym_number_literal] = ACTIONS(2624),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2624),
    [anon_sym_u_DQUOTE] = ACTIONS(2624),
    [anon_sym_U_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8_DQUOTE] = ACTIONS(2624),
    [sym_true] = ACTIONS(2622),
    [sym_false] = ACTIONS(2622),
    [anon_sym_NULL] = ACTIONS(2622),
    [anon_sym_nullptr] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2622),
    [anon_sym___typeof] = ACTIONS(2622),
    [anon_sym_typeof] = ACTIONS(2622),
    [anon_sym_ATimport] = ACTIONS(2624),
    [aux_sym_preproc_undef_token1] = ACTIONS(2622),
    [anon_sym_POUND] = ACTIONS(2622),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2622),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2622),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2622),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_API_AVAILABLE] = ACTIONS(2622),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_API_DEPRECATED] = ACTIONS(2622),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym___deprecated_msg] = ACTIONS(2622),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2622),
    [anon_sym_ATprotocol] = ACTIONS(2624),
    [anon_sym_ATinterface] = ACTIONS(2624),
    [anon_sym_ATimplementation] = ACTIONS(2624),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2624),
    [anon_sym_ATsynthesize] = ACTIONS(2624),
    [anon_sym_ATdynamic] = ACTIONS(2624),
    [anon_sym_ATtry] = ACTIONS(2624),
    [anon_sym___try] = ACTIONS(2622),
    [anon_sym_ATthrow] = ACTIONS(2624),
    [anon_sym_ATselector] = ACTIONS(2624),
    [anon_sym_ATavailable] = ACTIONS(2624),
    [anon_sym___builtin_available] = ACTIONS(2622),
    [anon_sym_va_arg] = ACTIONS(2622),
    [anon_sym_ATencode] = ACTIONS(2624),
    [anon_sym_ATsynchronized] = ACTIONS(2624),
    [anon_sym_BOOL] = ACTIONS(2622),
    [anon_sym_IMP] = ACTIONS(2622),
    [anon_sym_SEL] = ACTIONS(2622),
    [anon_sym_Class] = ACTIONS(2622),
    [anon_sym_id] = ACTIONS(2622),
  },
  [605] = {
    [sym_identifier] = ACTIONS(2654),
    [aux_sym_preproc_include_token1] = ACTIONS(2654),
    [aux_sym_preproc_include_token2] = ACTIONS(2654),
    [aux_sym_preproc_def_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token2] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2654),
    [sym_preproc_directive] = ACTIONS(2654),
    [anon_sym_LPAREN2] = ACTIONS(2656),
    [anon_sym_BANG] = ACTIONS(2656),
    [anon_sym_TILDE] = ACTIONS(2656),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_STAR] = ACTIONS(2656),
    [anon_sym_CARET] = ACTIONS(2656),
    [anon_sym_AMP] = ACTIONS(2656),
    [anon_sym_SEMI] = ACTIONS(2656),
    [anon_sym___extension__] = ACTIONS(2654),
    [anon_sym_typedef] = ACTIONS(2654),
    [anon_sym_extern] = ACTIONS(2654),
    [anon_sym___attribute__] = ACTIONS(2654),
    [anon_sym___attribute] = ACTIONS(2654),
    [anon_sym_noreturn] = ACTIONS(2654),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym___declspec] = ACTIONS(2654),
    [anon_sym___cdecl] = ACTIONS(2654),
    [anon_sym___clrcall] = ACTIONS(2654),
    [anon_sym___stdcall] = ACTIONS(2654),
    [anon_sym___fastcall] = ACTIONS(2654),
    [anon_sym___thiscall] = ACTIONS(2654),
    [anon_sym___vectorcall] = ACTIONS(2654),
    [anon_sym_LBRACE] = ACTIONS(2656),
    [anon_sym_signed] = ACTIONS(2654),
    [anon_sym_unsigned] = ACTIONS(2654),
    [anon_sym_long] = ACTIONS(2654),
    [anon_sym_short] = ACTIONS(2654),
    [anon_sym_static] = ACTIONS(2654),
    [anon_sym_ATautoreleasepool] = ACTIONS(2656),
    [anon_sym_auto] = ACTIONS(2654),
    [anon_sym_register] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym___inline] = ACTIONS(2654),
    [anon_sym___inline__] = ACTIONS(2654),
    [anon_sym___forceinline] = ACTIONS(2654),
    [anon_sym_thread_local] = ACTIONS(2654),
    [anon_sym___thread] = ACTIONS(2654),
    [anon_sym_CG_EXTERN] = ACTIONS(2654),
    [anon_sym_CG_INLINE] = ACTIONS(2654),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2654),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2654),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2654),
    [anon_sym_IBOutlet] = ACTIONS(2654),
    [anon_sym_IBInspectable] = ACTIONS(2654),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2654),
    [anon_sym_NS_INLINE] = ACTIONS(2654),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2654),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2654),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2654),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_constexpr] = ACTIONS(2654),
    [anon_sym_volatile] = ACTIONS(2654),
    [anon_sym_restrict] = ACTIONS(2654),
    [anon_sym___restrict__] = ACTIONS(2654),
    [anon_sym__Atomic] = ACTIONS(2654),
    [anon_sym__Noreturn] = ACTIONS(2654),
    [anon_sym__Nonnull] = ACTIONS(2654),
    [anon_sym_nullable] = ACTIONS(2654),
    [anon_sym__Complex] = ACTIONS(2654),
    [anon_sym__Nullable] = ACTIONS(2654),
    [anon_sym__Nullable_result] = ACTIONS(2654),
    [anon_sym__Null_unspecified] = ACTIONS(2654),
    [anon_sym___autoreleasing] = ACTIONS(2654),
    [anon_sym___block] = ACTIONS(2654),
    [anon_sym___bridge] = ACTIONS(2654),
    [anon_sym___bridge_retained] = ACTIONS(2654),
    [anon_sym___bridge_transfer] = ACTIONS(2654),
    [anon_sym___complex] = ACTIONS(2654),
    [anon_sym___const] = ACTIONS(2654),
    [anon_sym___imag] = ACTIONS(2654),
    [anon_sym___kindof] = ACTIONS(2654),
    [anon_sym___nonnull] = ACTIONS(2654),
    [anon_sym___nullable] = ACTIONS(2654),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2654),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2654),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2654),
    [anon_sym___real] = ACTIONS(2654),
    [anon_sym___strong] = ACTIONS(2654),
    [anon_sym___unsafe_unretained] = ACTIONS(2654),
    [anon_sym___unused] = ACTIONS(2654),
    [anon_sym___weak] = ACTIONS(2654),
    [anon_sym_alignas] = ACTIONS(2654),
    [anon_sym__Alignas] = ACTIONS(2654),
    [sym_primitive_type] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_struct] = ACTIONS(2654),
    [anon_sym_union] = ACTIONS(2654),
    [anon_sym_if] = ACTIONS(2654),
    [anon_sym_switch] = ACTIONS(2654),
    [anon_sym_case] = ACTIONS(2654),
    [anon_sym_default] = ACTIONS(2654),
    [anon_sym_while] = ACTIONS(2654),
    [anon_sym_do] = ACTIONS(2654),
    [anon_sym_for] = ACTIONS(2654),
    [anon_sym_in] = ACTIONS(2654),
    [anon_sym_return] = ACTIONS(2654),
    [anon_sym_break] = ACTIONS(2654),
    [anon_sym_continue] = ACTIONS(2654),
    [anon_sym_goto] = ACTIONS(2654),
    [anon_sym_DASH_DASH] = ACTIONS(2656),
    [anon_sym_PLUS_PLUS] = ACTIONS(2656),
    [anon_sym_sizeof] = ACTIONS(2654),
    [anon_sym___alignof__] = ACTIONS(2654),
    [anon_sym___alignof] = ACTIONS(2654),
    [anon_sym__alignof] = ACTIONS(2654),
    [anon_sym_alignof] = ACTIONS(2654),
    [anon_sym__Alignof] = ACTIONS(2654),
    [anon_sym_offsetof] = ACTIONS(2654),
    [anon_sym__Generic] = ACTIONS(2654),
    [anon_sym_asm] = ACTIONS(2654),
    [anon_sym___asm__] = ACTIONS(2654),
    [anon_sym___asm] = ACTIONS(2654),
    [sym_number_literal] = ACTIONS(2656),
    [anon_sym_L_SQUOTE] = ACTIONS(2656),
    [anon_sym_u_SQUOTE] = ACTIONS(2656),
    [anon_sym_U_SQUOTE] = ACTIONS(2656),
    [anon_sym_u8_SQUOTE] = ACTIONS(2656),
    [anon_sym_SQUOTE] = ACTIONS(2656),
    [anon_sym_AT] = ACTIONS(2654),
    [anon_sym_DQUOTE] = ACTIONS(2656),
    [anon_sym_L_DQUOTE] = ACTIONS(2656),
    [anon_sym_u_DQUOTE] = ACTIONS(2656),
    [anon_sym_U_DQUOTE] = ACTIONS(2656),
    [anon_sym_u8_DQUOTE] = ACTIONS(2656),
    [sym_true] = ACTIONS(2654),
    [sym_false] = ACTIONS(2654),
    [anon_sym_NULL] = ACTIONS(2654),
    [anon_sym_nullptr] = ACTIONS(2654),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2654),
    [anon_sym___typeof] = ACTIONS(2654),
    [anon_sym_typeof] = ACTIONS(2654),
    [anon_sym_ATimport] = ACTIONS(2656),
    [aux_sym_preproc_undef_token1] = ACTIONS(2654),
    [anon_sym_POUND] = ACTIONS(2654),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2654),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2654),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2654),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2654),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2654),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2654),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2654),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2654),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2654),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2654),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2654),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2654),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2654),
    [anon_sym_API_AVAILABLE] = ACTIONS(2654),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2654),
    [anon_sym_API_DEPRECATED] = ACTIONS(2654),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2654),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2654),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2654),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2654),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2654),
    [anon_sym___deprecated_msg] = ACTIONS(2654),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2654),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2654),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2654),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2654),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2654),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2654),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2654),
    [anon_sym_ATprotocol] = ACTIONS(2656),
    [anon_sym_ATinterface] = ACTIONS(2656),
    [anon_sym_ATimplementation] = ACTIONS(2656),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2656),
    [anon_sym_ATsynthesize] = ACTIONS(2656),
    [anon_sym_ATdynamic] = ACTIONS(2656),
    [anon_sym_ATtry] = ACTIONS(2656),
    [anon_sym___try] = ACTIONS(2654),
    [anon_sym_ATthrow] = ACTIONS(2656),
    [anon_sym_ATselector] = ACTIONS(2656),
    [anon_sym_ATavailable] = ACTIONS(2656),
    [anon_sym___builtin_available] = ACTIONS(2654),
    [anon_sym_va_arg] = ACTIONS(2654),
    [anon_sym_ATencode] = ACTIONS(2656),
    [anon_sym_ATsynchronized] = ACTIONS(2656),
    [anon_sym_BOOL] = ACTIONS(2654),
    [anon_sym_IMP] = ACTIONS(2654),
    [anon_sym_SEL] = ACTIONS(2654),
    [anon_sym_Class] = ACTIONS(2654),
    [anon_sym_id] = ACTIONS(2654),
  },
  [606] = {
    [sym_identifier] = ACTIONS(2650),
    [aux_sym_preproc_include_token1] = ACTIONS(2650),
    [aux_sym_preproc_include_token2] = ACTIONS(2650),
    [aux_sym_preproc_def_token1] = ACTIONS(2650),
    [aux_sym_preproc_if_token1] = ACTIONS(2650),
    [aux_sym_preproc_if_token2] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2650),
    [sym_preproc_directive] = ACTIONS(2650),
    [anon_sym_LPAREN2] = ACTIONS(2652),
    [anon_sym_BANG] = ACTIONS(2652),
    [anon_sym_TILDE] = ACTIONS(2652),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_STAR] = ACTIONS(2652),
    [anon_sym_CARET] = ACTIONS(2652),
    [anon_sym_AMP] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym___extension__] = ACTIONS(2650),
    [anon_sym_typedef] = ACTIONS(2650),
    [anon_sym_extern] = ACTIONS(2650),
    [anon_sym___attribute__] = ACTIONS(2650),
    [anon_sym___attribute] = ACTIONS(2650),
    [anon_sym_noreturn] = ACTIONS(2650),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym___declspec] = ACTIONS(2650),
    [anon_sym___cdecl] = ACTIONS(2650),
    [anon_sym___clrcall] = ACTIONS(2650),
    [anon_sym___stdcall] = ACTIONS(2650),
    [anon_sym___fastcall] = ACTIONS(2650),
    [anon_sym___thiscall] = ACTIONS(2650),
    [anon_sym___vectorcall] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(2652),
    [anon_sym_signed] = ACTIONS(2650),
    [anon_sym_unsigned] = ACTIONS(2650),
    [anon_sym_long] = ACTIONS(2650),
    [anon_sym_short] = ACTIONS(2650),
    [anon_sym_static] = ACTIONS(2650),
    [anon_sym_ATautoreleasepool] = ACTIONS(2652),
    [anon_sym_auto] = ACTIONS(2650),
    [anon_sym_register] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym___inline] = ACTIONS(2650),
    [anon_sym___inline__] = ACTIONS(2650),
    [anon_sym___forceinline] = ACTIONS(2650),
    [anon_sym_thread_local] = ACTIONS(2650),
    [anon_sym___thread] = ACTIONS(2650),
    [anon_sym_CG_EXTERN] = ACTIONS(2650),
    [anon_sym_CG_INLINE] = ACTIONS(2650),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2650),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2650),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2650),
    [anon_sym_IBOutlet] = ACTIONS(2650),
    [anon_sym_IBInspectable] = ACTIONS(2650),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2650),
    [anon_sym_NS_INLINE] = ACTIONS(2650),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2650),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2650),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2650),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_constexpr] = ACTIONS(2650),
    [anon_sym_volatile] = ACTIONS(2650),
    [anon_sym_restrict] = ACTIONS(2650),
    [anon_sym___restrict__] = ACTIONS(2650),
    [anon_sym__Atomic] = ACTIONS(2650),
    [anon_sym__Noreturn] = ACTIONS(2650),
    [anon_sym__Nonnull] = ACTIONS(2650),
    [anon_sym_nullable] = ACTIONS(2650),
    [anon_sym__Complex] = ACTIONS(2650),
    [anon_sym__Nullable] = ACTIONS(2650),
    [anon_sym__Nullable_result] = ACTIONS(2650),
    [anon_sym__Null_unspecified] = ACTIONS(2650),
    [anon_sym___autoreleasing] = ACTIONS(2650),
    [anon_sym___block] = ACTIONS(2650),
    [anon_sym___bridge] = ACTIONS(2650),
    [anon_sym___bridge_retained] = ACTIONS(2650),
    [anon_sym___bridge_transfer] = ACTIONS(2650),
    [anon_sym___complex] = ACTIONS(2650),
    [anon_sym___const] = ACTIONS(2650),
    [anon_sym___imag] = ACTIONS(2650),
    [anon_sym___kindof] = ACTIONS(2650),
    [anon_sym___nonnull] = ACTIONS(2650),
    [anon_sym___nullable] = ACTIONS(2650),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2650),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2650),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2650),
    [anon_sym___real] = ACTIONS(2650),
    [anon_sym___strong] = ACTIONS(2650),
    [anon_sym___unsafe_unretained] = ACTIONS(2650),
    [anon_sym___unused] = ACTIONS(2650),
    [anon_sym___weak] = ACTIONS(2650),
    [anon_sym_alignas] = ACTIONS(2650),
    [anon_sym__Alignas] = ACTIONS(2650),
    [sym_primitive_type] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_struct] = ACTIONS(2650),
    [anon_sym_union] = ACTIONS(2650),
    [anon_sym_if] = ACTIONS(2650),
    [anon_sym_switch] = ACTIONS(2650),
    [anon_sym_case] = ACTIONS(2650),
    [anon_sym_default] = ACTIONS(2650),
    [anon_sym_while] = ACTIONS(2650),
    [anon_sym_do] = ACTIONS(2650),
    [anon_sym_for] = ACTIONS(2650),
    [anon_sym_in] = ACTIONS(2650),
    [anon_sym_return] = ACTIONS(2650),
    [anon_sym_break] = ACTIONS(2650),
    [anon_sym_continue] = ACTIONS(2650),
    [anon_sym_goto] = ACTIONS(2650),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_sizeof] = ACTIONS(2650),
    [anon_sym___alignof__] = ACTIONS(2650),
    [anon_sym___alignof] = ACTIONS(2650),
    [anon_sym__alignof] = ACTIONS(2650),
    [anon_sym_alignof] = ACTIONS(2650),
    [anon_sym__Alignof] = ACTIONS(2650),
    [anon_sym_offsetof] = ACTIONS(2650),
    [anon_sym__Generic] = ACTIONS(2650),
    [anon_sym_asm] = ACTIONS(2650),
    [anon_sym___asm__] = ACTIONS(2650),
    [anon_sym___asm] = ACTIONS(2650),
    [sym_number_literal] = ACTIONS(2652),
    [anon_sym_L_SQUOTE] = ACTIONS(2652),
    [anon_sym_u_SQUOTE] = ACTIONS(2652),
    [anon_sym_U_SQUOTE] = ACTIONS(2652),
    [anon_sym_u8_SQUOTE] = ACTIONS(2652),
    [anon_sym_SQUOTE] = ACTIONS(2652),
    [anon_sym_AT] = ACTIONS(2650),
    [anon_sym_DQUOTE] = ACTIONS(2652),
    [anon_sym_L_DQUOTE] = ACTIONS(2652),
    [anon_sym_u_DQUOTE] = ACTIONS(2652),
    [anon_sym_U_DQUOTE] = ACTIONS(2652),
    [anon_sym_u8_DQUOTE] = ACTIONS(2652),
    [sym_true] = ACTIONS(2650),
    [sym_false] = ACTIONS(2650),
    [anon_sym_NULL] = ACTIONS(2650),
    [anon_sym_nullptr] = ACTIONS(2650),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2650),
    [anon_sym___typeof] = ACTIONS(2650),
    [anon_sym_typeof] = ACTIONS(2650),
    [anon_sym_ATimport] = ACTIONS(2652),
    [aux_sym_preproc_undef_token1] = ACTIONS(2650),
    [anon_sym_POUND] = ACTIONS(2650),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2650),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2650),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2650),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2650),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2650),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2650),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2650),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2650),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2650),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2650),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2650),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2650),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2650),
    [anon_sym_API_AVAILABLE] = ACTIONS(2650),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2650),
    [anon_sym_API_DEPRECATED] = ACTIONS(2650),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2650),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2650),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2650),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2650),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2650),
    [anon_sym___deprecated_msg] = ACTIONS(2650),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2650),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2650),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2650),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2650),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2650),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2650),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2650),
    [anon_sym_ATprotocol] = ACTIONS(2652),
    [anon_sym_ATinterface] = ACTIONS(2652),
    [anon_sym_ATimplementation] = ACTIONS(2652),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2652),
    [anon_sym_ATsynthesize] = ACTIONS(2652),
    [anon_sym_ATdynamic] = ACTIONS(2652),
    [anon_sym_ATtry] = ACTIONS(2652),
    [anon_sym___try] = ACTIONS(2650),
    [anon_sym_ATthrow] = ACTIONS(2652),
    [anon_sym_ATselector] = ACTIONS(2652),
    [anon_sym_ATavailable] = ACTIONS(2652),
    [anon_sym___builtin_available] = ACTIONS(2650),
    [anon_sym_va_arg] = ACTIONS(2650),
    [anon_sym_ATencode] = ACTIONS(2652),
    [anon_sym_ATsynchronized] = ACTIONS(2652),
    [anon_sym_BOOL] = ACTIONS(2650),
    [anon_sym_IMP] = ACTIONS(2650),
    [anon_sym_SEL] = ACTIONS(2650),
    [anon_sym_Class] = ACTIONS(2650),
    [anon_sym_id] = ACTIONS(2650),
  },
  [607] = {
    [sym_else_clause] = STATE(716),
    [sym_identifier] = ACTIONS(2402),
    [aux_sym_preproc_include_token1] = ACTIONS(2402),
    [aux_sym_preproc_include_token2] = ACTIONS(2402),
    [aux_sym_preproc_def_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2402),
    [sym_preproc_directive] = ACTIONS(2402),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_BANG] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_DASH] = ACTIONS(2402),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_CARET] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(2404),
    [anon_sym___extension__] = ACTIONS(2402),
    [anon_sym_typedef] = ACTIONS(2402),
    [anon_sym_extern] = ACTIONS(2402),
    [anon_sym___attribute__] = ACTIONS(2402),
    [anon_sym___attribute] = ACTIONS(2402),
    [anon_sym_noreturn] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2404),
    [anon_sym___declspec] = ACTIONS(2402),
    [anon_sym___cdecl] = ACTIONS(2402),
    [anon_sym___clrcall] = ACTIONS(2402),
    [anon_sym___stdcall] = ACTIONS(2402),
    [anon_sym___fastcall] = ACTIONS(2402),
    [anon_sym___thiscall] = ACTIONS(2402),
    [anon_sym___vectorcall] = ACTIONS(2402),
    [anon_sym_LBRACE] = ACTIONS(2404),
    [anon_sym_RBRACE] = ACTIONS(2404),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_ATautoreleasepool] = ACTIONS(2404),
    [anon_sym_auto] = ACTIONS(2402),
    [anon_sym_register] = ACTIONS(2402),
    [anon_sym_inline] = ACTIONS(2402),
    [anon_sym___inline] = ACTIONS(2402),
    [anon_sym___inline__] = ACTIONS(2402),
    [anon_sym___forceinline] = ACTIONS(2402),
    [anon_sym_thread_local] = ACTIONS(2402),
    [anon_sym___thread] = ACTIONS(2402),
    [anon_sym_CG_EXTERN] = ACTIONS(2402),
    [anon_sym_CG_INLINE] = ACTIONS(2402),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2402),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2402),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2402),
    [anon_sym_IBOutlet] = ACTIONS(2402),
    [anon_sym_IBInspectable] = ACTIONS(2402),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2402),
    [anon_sym_NS_INLINE] = ACTIONS(2402),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2402),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2402),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2402),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_constexpr] = ACTIONS(2402),
    [anon_sym_volatile] = ACTIONS(2402),
    [anon_sym_restrict] = ACTIONS(2402),
    [anon_sym___restrict__] = ACTIONS(2402),
    [anon_sym__Atomic] = ACTIONS(2402),
    [anon_sym__Noreturn] = ACTIONS(2402),
    [anon_sym__Nonnull] = ACTIONS(2402),
    [anon_sym_nullable] = ACTIONS(2402),
    [anon_sym__Complex] = ACTIONS(2402),
    [anon_sym__Nullable] = ACTIONS(2402),
    [anon_sym__Nullable_result] = ACTIONS(2402),
    [anon_sym__Null_unspecified] = ACTIONS(2402),
    [anon_sym___autoreleasing] = ACTIONS(2402),
    [anon_sym___block] = ACTIONS(2402),
    [anon_sym___bridge] = ACTIONS(2402),
    [anon_sym___bridge_retained] = ACTIONS(2402),
    [anon_sym___bridge_transfer] = ACTIONS(2402),
    [anon_sym___complex] = ACTIONS(2402),
    [anon_sym___const] = ACTIONS(2402),
    [anon_sym___imag] = ACTIONS(2402),
    [anon_sym___kindof] = ACTIONS(2402),
    [anon_sym___nonnull] = ACTIONS(2402),
    [anon_sym___nullable] = ACTIONS(2402),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2402),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2402),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2402),
    [anon_sym___real] = ACTIONS(2402),
    [anon_sym___strong] = ACTIONS(2402),
    [anon_sym___unsafe_unretained] = ACTIONS(2402),
    [anon_sym___unused] = ACTIONS(2402),
    [anon_sym___weak] = ACTIONS(2402),
    [anon_sym_alignas] = ACTIONS(2402),
    [anon_sym__Alignas] = ACTIONS(2402),
    [sym_primitive_type] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [anon_sym_struct] = ACTIONS(2402),
    [anon_sym_union] = ACTIONS(2402),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_else] = ACTIONS(2902),
    [anon_sym_switch] = ACTIONS(2402),
    [anon_sym_case] = ACTIONS(2402),
    [anon_sym_default] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2402),
    [anon_sym_do] = ACTIONS(2402),
    [anon_sym_for] = ACTIONS(2402),
    [anon_sym_in] = ACTIONS(2402),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_break] = ACTIONS(2402),
    [anon_sym_continue] = ACTIONS(2402),
    [anon_sym_goto] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2404),
    [anon_sym_PLUS_PLUS] = ACTIONS(2404),
    [anon_sym_sizeof] = ACTIONS(2402),
    [anon_sym___alignof__] = ACTIONS(2402),
    [anon_sym___alignof] = ACTIONS(2402),
    [anon_sym__alignof] = ACTIONS(2402),
    [anon_sym_alignof] = ACTIONS(2402),
    [anon_sym__Alignof] = ACTIONS(2402),
    [anon_sym_offsetof] = ACTIONS(2402),
    [anon_sym__Generic] = ACTIONS(2402),
    [anon_sym_asm] = ACTIONS(2402),
    [anon_sym___asm__] = ACTIONS(2402),
    [anon_sym___asm] = ACTIONS(2402),
    [sym_number_literal] = ACTIONS(2404),
    [anon_sym_L_SQUOTE] = ACTIONS(2404),
    [anon_sym_u_SQUOTE] = ACTIONS(2404),
    [anon_sym_U_SQUOTE] = ACTIONS(2404),
    [anon_sym_u8_SQUOTE] = ACTIONS(2404),
    [anon_sym_SQUOTE] = ACTIONS(2404),
    [anon_sym_AT] = ACTIONS(2402),
    [anon_sym_DQUOTE] = ACTIONS(2404),
    [anon_sym_L_DQUOTE] = ACTIONS(2404),
    [anon_sym_u_DQUOTE] = ACTIONS(2404),
    [anon_sym_U_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8_DQUOTE] = ACTIONS(2404),
    [sym_true] = ACTIONS(2402),
    [sym_false] = ACTIONS(2402),
    [anon_sym_NULL] = ACTIONS(2402),
    [anon_sym_nullptr] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2402),
    [anon_sym___typeof] = ACTIONS(2402),
    [anon_sym_typeof] = ACTIONS(2402),
    [anon_sym_ATimport] = ACTIONS(2404),
    [aux_sym_preproc_undef_token1] = ACTIONS(2402),
    [anon_sym_POUND] = ACTIONS(2402),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2402),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2402),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2402),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2402),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2402),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2402),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2402),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2402),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2402),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_API_AVAILABLE] = ACTIONS(2402),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_API_DEPRECATED] = ACTIONS(2402),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2402),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2402),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2402),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2402),
    [anon_sym___deprecated_msg] = ACTIONS(2402),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2402),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2402),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2402),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2402),
    [anon_sym_ATprotocol] = ACTIONS(2404),
    [anon_sym_ATinterface] = ACTIONS(2404),
    [anon_sym_ATimplementation] = ACTIONS(2404),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2404),
    [anon_sym_ATtry] = ACTIONS(2404),
    [anon_sym___try] = ACTIONS(2402),
    [anon_sym_ATthrow] = ACTIONS(2404),
    [anon_sym_ATselector] = ACTIONS(2404),
    [anon_sym_ATavailable] = ACTIONS(2404),
    [anon_sym___builtin_available] = ACTIONS(2402),
    [anon_sym_va_arg] = ACTIONS(2402),
    [anon_sym_ATencode] = ACTIONS(2404),
    [anon_sym_ATsynchronized] = ACTIONS(2404),
    [anon_sym_BOOL] = ACTIONS(2402),
    [anon_sym_IMP] = ACTIONS(2402),
    [anon_sym_SEL] = ACTIONS(2402),
    [anon_sym_Class] = ACTIONS(2402),
    [anon_sym_id] = ACTIONS(2402),
  },
  [608] = {
    [sym_identifier] = ACTIONS(2806),
    [aux_sym_preproc_include_token1] = ACTIONS(2806),
    [aux_sym_preproc_include_token2] = ACTIONS(2806),
    [aux_sym_preproc_def_token1] = ACTIONS(2806),
    [aux_sym_preproc_if_token1] = ACTIONS(2806),
    [aux_sym_preproc_if_token2] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2806),
    [sym_preproc_directive] = ACTIONS(2806),
    [anon_sym_LPAREN2] = ACTIONS(2808),
    [anon_sym_BANG] = ACTIONS(2808),
    [anon_sym_TILDE] = ACTIONS(2808),
    [anon_sym_DASH] = ACTIONS(2806),
    [anon_sym_PLUS] = ACTIONS(2806),
    [anon_sym_STAR] = ACTIONS(2808),
    [anon_sym_CARET] = ACTIONS(2808),
    [anon_sym_AMP] = ACTIONS(2808),
    [anon_sym_SEMI] = ACTIONS(2808),
    [anon_sym___extension__] = ACTIONS(2806),
    [anon_sym_typedef] = ACTIONS(2806),
    [anon_sym_extern] = ACTIONS(2806),
    [anon_sym___attribute__] = ACTIONS(2806),
    [anon_sym___attribute] = ACTIONS(2806),
    [anon_sym_noreturn] = ACTIONS(2806),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym___declspec] = ACTIONS(2806),
    [anon_sym___cdecl] = ACTIONS(2806),
    [anon_sym___clrcall] = ACTIONS(2806),
    [anon_sym___stdcall] = ACTIONS(2806),
    [anon_sym___fastcall] = ACTIONS(2806),
    [anon_sym___thiscall] = ACTIONS(2806),
    [anon_sym___vectorcall] = ACTIONS(2806),
    [anon_sym_LBRACE] = ACTIONS(2808),
    [anon_sym_signed] = ACTIONS(2806),
    [anon_sym_unsigned] = ACTIONS(2806),
    [anon_sym_long] = ACTIONS(2806),
    [anon_sym_short] = ACTIONS(2806),
    [anon_sym_static] = ACTIONS(2806),
    [anon_sym_ATautoreleasepool] = ACTIONS(2808),
    [anon_sym_auto] = ACTIONS(2806),
    [anon_sym_register] = ACTIONS(2806),
    [anon_sym_inline] = ACTIONS(2806),
    [anon_sym___inline] = ACTIONS(2806),
    [anon_sym___inline__] = ACTIONS(2806),
    [anon_sym___forceinline] = ACTIONS(2806),
    [anon_sym_thread_local] = ACTIONS(2806),
    [anon_sym___thread] = ACTIONS(2806),
    [anon_sym_CG_EXTERN] = ACTIONS(2806),
    [anon_sym_CG_INLINE] = ACTIONS(2806),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2806),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2806),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2806),
    [anon_sym_IBOutlet] = ACTIONS(2806),
    [anon_sym_IBInspectable] = ACTIONS(2806),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2806),
    [anon_sym_NS_INLINE] = ACTIONS(2806),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2806),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2806),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2806),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2806),
    [anon_sym_const] = ACTIONS(2806),
    [anon_sym_constexpr] = ACTIONS(2806),
    [anon_sym_volatile] = ACTIONS(2806),
    [anon_sym_restrict] = ACTIONS(2806),
    [anon_sym___restrict__] = ACTIONS(2806),
    [anon_sym__Atomic] = ACTIONS(2806),
    [anon_sym__Noreturn] = ACTIONS(2806),
    [anon_sym__Nonnull] = ACTIONS(2806),
    [anon_sym_nullable] = ACTIONS(2806),
    [anon_sym__Complex] = ACTIONS(2806),
    [anon_sym__Nullable] = ACTIONS(2806),
    [anon_sym__Nullable_result] = ACTIONS(2806),
    [anon_sym__Null_unspecified] = ACTIONS(2806),
    [anon_sym___autoreleasing] = ACTIONS(2806),
    [anon_sym___block] = ACTIONS(2806),
    [anon_sym___bridge] = ACTIONS(2806),
    [anon_sym___bridge_retained] = ACTIONS(2806),
    [anon_sym___bridge_transfer] = ACTIONS(2806),
    [anon_sym___complex] = ACTIONS(2806),
    [anon_sym___const] = ACTIONS(2806),
    [anon_sym___imag] = ACTIONS(2806),
    [anon_sym___kindof] = ACTIONS(2806),
    [anon_sym___nonnull] = ACTIONS(2806),
    [anon_sym___nullable] = ACTIONS(2806),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2806),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2806),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2806),
    [anon_sym___real] = ACTIONS(2806),
    [anon_sym___strong] = ACTIONS(2806),
    [anon_sym___unsafe_unretained] = ACTIONS(2806),
    [anon_sym___unused] = ACTIONS(2806),
    [anon_sym___weak] = ACTIONS(2806),
    [anon_sym_alignas] = ACTIONS(2806),
    [anon_sym__Alignas] = ACTIONS(2806),
    [sym_primitive_type] = ACTIONS(2806),
    [anon_sym_enum] = ACTIONS(2806),
    [anon_sym_struct] = ACTIONS(2806),
    [anon_sym_union] = ACTIONS(2806),
    [anon_sym_if] = ACTIONS(2806),
    [anon_sym_switch] = ACTIONS(2806),
    [anon_sym_case] = ACTIONS(2806),
    [anon_sym_default] = ACTIONS(2806),
    [anon_sym_while] = ACTIONS(2806),
    [anon_sym_do] = ACTIONS(2806),
    [anon_sym_for] = ACTIONS(2806),
    [anon_sym_in] = ACTIONS(2806),
    [anon_sym_return] = ACTIONS(2806),
    [anon_sym_break] = ACTIONS(2806),
    [anon_sym_continue] = ACTIONS(2806),
    [anon_sym_goto] = ACTIONS(2806),
    [anon_sym_DASH_DASH] = ACTIONS(2808),
    [anon_sym_PLUS_PLUS] = ACTIONS(2808),
    [anon_sym_sizeof] = ACTIONS(2806),
    [anon_sym___alignof__] = ACTIONS(2806),
    [anon_sym___alignof] = ACTIONS(2806),
    [anon_sym__alignof] = ACTIONS(2806),
    [anon_sym_alignof] = ACTIONS(2806),
    [anon_sym__Alignof] = ACTIONS(2806),
    [anon_sym_offsetof] = ACTIONS(2806),
    [anon_sym__Generic] = ACTIONS(2806),
    [anon_sym_asm] = ACTIONS(2806),
    [anon_sym___asm__] = ACTIONS(2806),
    [anon_sym___asm] = ACTIONS(2806),
    [sym_number_literal] = ACTIONS(2808),
    [anon_sym_L_SQUOTE] = ACTIONS(2808),
    [anon_sym_u_SQUOTE] = ACTIONS(2808),
    [anon_sym_U_SQUOTE] = ACTIONS(2808),
    [anon_sym_u8_SQUOTE] = ACTIONS(2808),
    [anon_sym_SQUOTE] = ACTIONS(2808),
    [anon_sym_AT] = ACTIONS(2806),
    [anon_sym_DQUOTE] = ACTIONS(2808),
    [anon_sym_L_DQUOTE] = ACTIONS(2808),
    [anon_sym_u_DQUOTE] = ACTIONS(2808),
    [anon_sym_U_DQUOTE] = ACTIONS(2808),
    [anon_sym_u8_DQUOTE] = ACTIONS(2808),
    [sym_true] = ACTIONS(2806),
    [sym_false] = ACTIONS(2806),
    [anon_sym_NULL] = ACTIONS(2806),
    [anon_sym_nullptr] = ACTIONS(2806),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2806),
    [anon_sym___typeof] = ACTIONS(2806),
    [anon_sym_typeof] = ACTIONS(2806),
    [anon_sym_ATimport] = ACTIONS(2808),
    [aux_sym_preproc_undef_token1] = ACTIONS(2806),
    [anon_sym_POUND] = ACTIONS(2806),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2806),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2806),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2806),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2806),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2806),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2806),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2806),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2806),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2806),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2806),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2806),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2806),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2806),
    [anon_sym_API_AVAILABLE] = ACTIONS(2806),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2806),
    [anon_sym_API_DEPRECATED] = ACTIONS(2806),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2806),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2806),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2806),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2806),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2806),
    [anon_sym___deprecated_msg] = ACTIONS(2806),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2806),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2806),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2806),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2806),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2806),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2806),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2806),
    [anon_sym_ATprotocol] = ACTIONS(2808),
    [anon_sym_ATinterface] = ACTIONS(2808),
    [anon_sym_ATimplementation] = ACTIONS(2808),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2808),
    [anon_sym_ATsynthesize] = ACTIONS(2808),
    [anon_sym_ATdynamic] = ACTIONS(2808),
    [anon_sym_ATtry] = ACTIONS(2808),
    [anon_sym___try] = ACTIONS(2806),
    [anon_sym_ATthrow] = ACTIONS(2808),
    [anon_sym_ATselector] = ACTIONS(2808),
    [anon_sym_ATavailable] = ACTIONS(2808),
    [anon_sym___builtin_available] = ACTIONS(2806),
    [anon_sym_va_arg] = ACTIONS(2806),
    [anon_sym_ATencode] = ACTIONS(2808),
    [anon_sym_ATsynchronized] = ACTIONS(2808),
    [anon_sym_BOOL] = ACTIONS(2806),
    [anon_sym_IMP] = ACTIONS(2806),
    [anon_sym_SEL] = ACTIONS(2806),
    [anon_sym_Class] = ACTIONS(2806),
    [anon_sym_id] = ACTIONS(2806),
  },
  [609] = {
    [sym_identifier] = ACTIONS(2864),
    [aux_sym_preproc_include_token1] = ACTIONS(2864),
    [aux_sym_preproc_include_token2] = ACTIONS(2864),
    [aux_sym_preproc_def_token1] = ACTIONS(2864),
    [aux_sym_preproc_if_token1] = ACTIONS(2864),
    [aux_sym_preproc_if_token2] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2864),
    [sym_preproc_directive] = ACTIONS(2864),
    [anon_sym_LPAREN2] = ACTIONS(2866),
    [anon_sym_BANG] = ACTIONS(2866),
    [anon_sym_TILDE] = ACTIONS(2866),
    [anon_sym_DASH] = ACTIONS(2864),
    [anon_sym_PLUS] = ACTIONS(2864),
    [anon_sym_STAR] = ACTIONS(2866),
    [anon_sym_CARET] = ACTIONS(2866),
    [anon_sym_AMP] = ACTIONS(2866),
    [anon_sym_SEMI] = ACTIONS(2866),
    [anon_sym___extension__] = ACTIONS(2864),
    [anon_sym_typedef] = ACTIONS(2864),
    [anon_sym_extern] = ACTIONS(2864),
    [anon_sym___attribute__] = ACTIONS(2864),
    [anon_sym___attribute] = ACTIONS(2864),
    [anon_sym_noreturn] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym___declspec] = ACTIONS(2864),
    [anon_sym___cdecl] = ACTIONS(2864),
    [anon_sym___clrcall] = ACTIONS(2864),
    [anon_sym___stdcall] = ACTIONS(2864),
    [anon_sym___fastcall] = ACTIONS(2864),
    [anon_sym___thiscall] = ACTIONS(2864),
    [anon_sym___vectorcall] = ACTIONS(2864),
    [anon_sym_LBRACE] = ACTIONS(2866),
    [anon_sym_signed] = ACTIONS(2864),
    [anon_sym_unsigned] = ACTIONS(2864),
    [anon_sym_long] = ACTIONS(2864),
    [anon_sym_short] = ACTIONS(2864),
    [anon_sym_static] = ACTIONS(2864),
    [anon_sym_ATautoreleasepool] = ACTIONS(2866),
    [anon_sym_auto] = ACTIONS(2864),
    [anon_sym_register] = ACTIONS(2864),
    [anon_sym_inline] = ACTIONS(2864),
    [anon_sym___inline] = ACTIONS(2864),
    [anon_sym___inline__] = ACTIONS(2864),
    [anon_sym___forceinline] = ACTIONS(2864),
    [anon_sym_thread_local] = ACTIONS(2864),
    [anon_sym___thread] = ACTIONS(2864),
    [anon_sym_CG_EXTERN] = ACTIONS(2864),
    [anon_sym_CG_INLINE] = ACTIONS(2864),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2864),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2864),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2864),
    [anon_sym_IBOutlet] = ACTIONS(2864),
    [anon_sym_IBInspectable] = ACTIONS(2864),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2864),
    [anon_sym_NS_INLINE] = ACTIONS(2864),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2864),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2864),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2864),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2864),
    [anon_sym_const] = ACTIONS(2864),
    [anon_sym_constexpr] = ACTIONS(2864),
    [anon_sym_volatile] = ACTIONS(2864),
    [anon_sym_restrict] = ACTIONS(2864),
    [anon_sym___restrict__] = ACTIONS(2864),
    [anon_sym__Atomic] = ACTIONS(2864),
    [anon_sym__Noreturn] = ACTIONS(2864),
    [anon_sym__Nonnull] = ACTIONS(2864),
    [anon_sym_nullable] = ACTIONS(2864),
    [anon_sym__Complex] = ACTIONS(2864),
    [anon_sym__Nullable] = ACTIONS(2864),
    [anon_sym__Nullable_result] = ACTIONS(2864),
    [anon_sym__Null_unspecified] = ACTIONS(2864),
    [anon_sym___autoreleasing] = ACTIONS(2864),
    [anon_sym___block] = ACTIONS(2864),
    [anon_sym___bridge] = ACTIONS(2864),
    [anon_sym___bridge_retained] = ACTIONS(2864),
    [anon_sym___bridge_transfer] = ACTIONS(2864),
    [anon_sym___complex] = ACTIONS(2864),
    [anon_sym___const] = ACTIONS(2864),
    [anon_sym___imag] = ACTIONS(2864),
    [anon_sym___kindof] = ACTIONS(2864),
    [anon_sym___nonnull] = ACTIONS(2864),
    [anon_sym___nullable] = ACTIONS(2864),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2864),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2864),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2864),
    [anon_sym___real] = ACTIONS(2864),
    [anon_sym___strong] = ACTIONS(2864),
    [anon_sym___unsafe_unretained] = ACTIONS(2864),
    [anon_sym___unused] = ACTIONS(2864),
    [anon_sym___weak] = ACTIONS(2864),
    [anon_sym_alignas] = ACTIONS(2864),
    [anon_sym__Alignas] = ACTIONS(2864),
    [sym_primitive_type] = ACTIONS(2864),
    [anon_sym_enum] = ACTIONS(2864),
    [anon_sym_struct] = ACTIONS(2864),
    [anon_sym_union] = ACTIONS(2864),
    [anon_sym_if] = ACTIONS(2864),
    [anon_sym_switch] = ACTIONS(2864),
    [anon_sym_case] = ACTIONS(2864),
    [anon_sym_default] = ACTIONS(2864),
    [anon_sym_while] = ACTIONS(2864),
    [anon_sym_do] = ACTIONS(2864),
    [anon_sym_for] = ACTIONS(2864),
    [anon_sym_in] = ACTIONS(2864),
    [anon_sym_return] = ACTIONS(2864),
    [anon_sym_break] = ACTIONS(2864),
    [anon_sym_continue] = ACTIONS(2864),
    [anon_sym_goto] = ACTIONS(2864),
    [anon_sym_DASH_DASH] = ACTIONS(2866),
    [anon_sym_PLUS_PLUS] = ACTIONS(2866),
    [anon_sym_sizeof] = ACTIONS(2864),
    [anon_sym___alignof__] = ACTIONS(2864),
    [anon_sym___alignof] = ACTIONS(2864),
    [anon_sym__alignof] = ACTIONS(2864),
    [anon_sym_alignof] = ACTIONS(2864),
    [anon_sym__Alignof] = ACTIONS(2864),
    [anon_sym_offsetof] = ACTIONS(2864),
    [anon_sym__Generic] = ACTIONS(2864),
    [anon_sym_asm] = ACTIONS(2864),
    [anon_sym___asm__] = ACTIONS(2864),
    [anon_sym___asm] = ACTIONS(2864),
    [sym_number_literal] = ACTIONS(2866),
    [anon_sym_L_SQUOTE] = ACTIONS(2866),
    [anon_sym_u_SQUOTE] = ACTIONS(2866),
    [anon_sym_U_SQUOTE] = ACTIONS(2866),
    [anon_sym_u8_SQUOTE] = ACTIONS(2866),
    [anon_sym_SQUOTE] = ACTIONS(2866),
    [anon_sym_AT] = ACTIONS(2864),
    [anon_sym_DQUOTE] = ACTIONS(2866),
    [anon_sym_L_DQUOTE] = ACTIONS(2866),
    [anon_sym_u_DQUOTE] = ACTIONS(2866),
    [anon_sym_U_DQUOTE] = ACTIONS(2866),
    [anon_sym_u8_DQUOTE] = ACTIONS(2866),
    [sym_true] = ACTIONS(2864),
    [sym_false] = ACTIONS(2864),
    [anon_sym_NULL] = ACTIONS(2864),
    [anon_sym_nullptr] = ACTIONS(2864),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2864),
    [anon_sym___typeof] = ACTIONS(2864),
    [anon_sym_typeof] = ACTIONS(2864),
    [anon_sym_ATimport] = ACTIONS(2866),
    [aux_sym_preproc_undef_token1] = ACTIONS(2864),
    [anon_sym_POUND] = ACTIONS(2864),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2864),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2864),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2864),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2864),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2864),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2864),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2864),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2864),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2864),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2864),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2864),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2864),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2864),
    [anon_sym_API_AVAILABLE] = ACTIONS(2864),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2864),
    [anon_sym_API_DEPRECATED] = ACTIONS(2864),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2864),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2864),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2864),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2864),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2864),
    [anon_sym___deprecated_msg] = ACTIONS(2864),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2864),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2864),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2864),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2864),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2864),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2864),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2864),
    [anon_sym_ATprotocol] = ACTIONS(2866),
    [anon_sym_ATinterface] = ACTIONS(2866),
    [anon_sym_ATimplementation] = ACTIONS(2866),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2866),
    [anon_sym_ATsynthesize] = ACTIONS(2866),
    [anon_sym_ATdynamic] = ACTIONS(2866),
    [anon_sym_ATtry] = ACTIONS(2866),
    [anon_sym___try] = ACTIONS(2864),
    [anon_sym_ATthrow] = ACTIONS(2866),
    [anon_sym_ATselector] = ACTIONS(2866),
    [anon_sym_ATavailable] = ACTIONS(2866),
    [anon_sym___builtin_available] = ACTIONS(2864),
    [anon_sym_va_arg] = ACTIONS(2864),
    [anon_sym_ATencode] = ACTIONS(2866),
    [anon_sym_ATsynchronized] = ACTIONS(2866),
    [anon_sym_BOOL] = ACTIONS(2864),
    [anon_sym_IMP] = ACTIONS(2864),
    [anon_sym_SEL] = ACTIONS(2864),
    [anon_sym_Class] = ACTIONS(2864),
    [anon_sym_id] = ACTIONS(2864),
  },
  [610] = {
    [sym_identifier] = ACTIONS(2852),
    [aux_sym_preproc_include_token1] = ACTIONS(2852),
    [aux_sym_preproc_include_token2] = ACTIONS(2852),
    [aux_sym_preproc_def_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token2] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2852),
    [sym_preproc_directive] = ACTIONS(2852),
    [anon_sym_LPAREN2] = ACTIONS(2854),
    [anon_sym_BANG] = ACTIONS(2854),
    [anon_sym_TILDE] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2852),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_CARET] = ACTIONS(2854),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym_SEMI] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2852),
    [anon_sym_typedef] = ACTIONS(2852),
    [anon_sym_extern] = ACTIONS(2852),
    [anon_sym___attribute__] = ACTIONS(2852),
    [anon_sym___attribute] = ACTIONS(2852),
    [anon_sym_noreturn] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym___declspec] = ACTIONS(2852),
    [anon_sym___cdecl] = ACTIONS(2852),
    [anon_sym___clrcall] = ACTIONS(2852),
    [anon_sym___stdcall] = ACTIONS(2852),
    [anon_sym___fastcall] = ACTIONS(2852),
    [anon_sym___thiscall] = ACTIONS(2852),
    [anon_sym___vectorcall] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(2854),
    [anon_sym_signed] = ACTIONS(2852),
    [anon_sym_unsigned] = ACTIONS(2852),
    [anon_sym_long] = ACTIONS(2852),
    [anon_sym_short] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_ATautoreleasepool] = ACTIONS(2854),
    [anon_sym_auto] = ACTIONS(2852),
    [anon_sym_register] = ACTIONS(2852),
    [anon_sym_inline] = ACTIONS(2852),
    [anon_sym___inline] = ACTIONS(2852),
    [anon_sym___inline__] = ACTIONS(2852),
    [anon_sym___forceinline] = ACTIONS(2852),
    [anon_sym_thread_local] = ACTIONS(2852),
    [anon_sym___thread] = ACTIONS(2852),
    [anon_sym_CG_EXTERN] = ACTIONS(2852),
    [anon_sym_CG_INLINE] = ACTIONS(2852),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2852),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2852),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2852),
    [anon_sym_IBOutlet] = ACTIONS(2852),
    [anon_sym_IBInspectable] = ACTIONS(2852),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2852),
    [anon_sym_NS_INLINE] = ACTIONS(2852),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2852),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2852),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2852),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2852),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_constexpr] = ACTIONS(2852),
    [anon_sym_volatile] = ACTIONS(2852),
    [anon_sym_restrict] = ACTIONS(2852),
    [anon_sym___restrict__] = ACTIONS(2852),
    [anon_sym__Atomic] = ACTIONS(2852),
    [anon_sym__Noreturn] = ACTIONS(2852),
    [anon_sym__Nonnull] = ACTIONS(2852),
    [anon_sym_nullable] = ACTIONS(2852),
    [anon_sym__Complex] = ACTIONS(2852),
    [anon_sym__Nullable] = ACTIONS(2852),
    [anon_sym__Nullable_result] = ACTIONS(2852),
    [anon_sym__Null_unspecified] = ACTIONS(2852),
    [anon_sym___autoreleasing] = ACTIONS(2852),
    [anon_sym___block] = ACTIONS(2852),
    [anon_sym___bridge] = ACTIONS(2852),
    [anon_sym___bridge_retained] = ACTIONS(2852),
    [anon_sym___bridge_transfer] = ACTIONS(2852),
    [anon_sym___complex] = ACTIONS(2852),
    [anon_sym___const] = ACTIONS(2852),
    [anon_sym___imag] = ACTIONS(2852),
    [anon_sym___kindof] = ACTIONS(2852),
    [anon_sym___nonnull] = ACTIONS(2852),
    [anon_sym___nullable] = ACTIONS(2852),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2852),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2852),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2852),
    [anon_sym___real] = ACTIONS(2852),
    [anon_sym___strong] = ACTIONS(2852),
    [anon_sym___unsafe_unretained] = ACTIONS(2852),
    [anon_sym___unused] = ACTIONS(2852),
    [anon_sym___weak] = ACTIONS(2852),
    [anon_sym_alignas] = ACTIONS(2852),
    [anon_sym__Alignas] = ACTIONS(2852),
    [sym_primitive_type] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2852),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_switch] = ACTIONS(2852),
    [anon_sym_case] = ACTIONS(2852),
    [anon_sym_default] = ACTIONS(2852),
    [anon_sym_while] = ACTIONS(2852),
    [anon_sym_do] = ACTIONS(2852),
    [anon_sym_for] = ACTIONS(2852),
    [anon_sym_in] = ACTIONS(2852),
    [anon_sym_return] = ACTIONS(2852),
    [anon_sym_break] = ACTIONS(2852),
    [anon_sym_continue] = ACTIONS(2852),
    [anon_sym_goto] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2854),
    [anon_sym_sizeof] = ACTIONS(2852),
    [anon_sym___alignof__] = ACTIONS(2852),
    [anon_sym___alignof] = ACTIONS(2852),
    [anon_sym__alignof] = ACTIONS(2852),
    [anon_sym_alignof] = ACTIONS(2852),
    [anon_sym__Alignof] = ACTIONS(2852),
    [anon_sym_offsetof] = ACTIONS(2852),
    [anon_sym__Generic] = ACTIONS(2852),
    [anon_sym_asm] = ACTIONS(2852),
    [anon_sym___asm__] = ACTIONS(2852),
    [anon_sym___asm] = ACTIONS(2852),
    [sym_number_literal] = ACTIONS(2854),
    [anon_sym_L_SQUOTE] = ACTIONS(2854),
    [anon_sym_u_SQUOTE] = ACTIONS(2854),
    [anon_sym_U_SQUOTE] = ACTIONS(2854),
    [anon_sym_u8_SQUOTE] = ACTIONS(2854),
    [anon_sym_SQUOTE] = ACTIONS(2854),
    [anon_sym_AT] = ACTIONS(2852),
    [anon_sym_DQUOTE] = ACTIONS(2854),
    [anon_sym_L_DQUOTE] = ACTIONS(2854),
    [anon_sym_u_DQUOTE] = ACTIONS(2854),
    [anon_sym_U_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8_DQUOTE] = ACTIONS(2854),
    [sym_true] = ACTIONS(2852),
    [sym_false] = ACTIONS(2852),
    [anon_sym_NULL] = ACTIONS(2852),
    [anon_sym_nullptr] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2852),
    [anon_sym___typeof] = ACTIONS(2852),
    [anon_sym_typeof] = ACTIONS(2852),
    [anon_sym_ATimport] = ACTIONS(2854),
    [aux_sym_preproc_undef_token1] = ACTIONS(2852),
    [anon_sym_POUND] = ACTIONS(2852),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2852),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2852),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2852),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2852),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2852),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2852),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2852),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2852),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2852),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2852),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2852),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2852),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2852),
    [anon_sym_API_AVAILABLE] = ACTIONS(2852),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2852),
    [anon_sym_API_DEPRECATED] = ACTIONS(2852),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2852),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2852),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2852),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2852),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2852),
    [anon_sym___deprecated_msg] = ACTIONS(2852),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2852),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2852),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2852),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2852),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2852),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2852),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2852),
    [anon_sym_ATprotocol] = ACTIONS(2854),
    [anon_sym_ATinterface] = ACTIONS(2854),
    [anon_sym_ATimplementation] = ACTIONS(2854),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2854),
    [anon_sym_ATsynthesize] = ACTIONS(2854),
    [anon_sym_ATdynamic] = ACTIONS(2854),
    [anon_sym_ATtry] = ACTIONS(2854),
    [anon_sym___try] = ACTIONS(2852),
    [anon_sym_ATthrow] = ACTIONS(2854),
    [anon_sym_ATselector] = ACTIONS(2854),
    [anon_sym_ATavailable] = ACTIONS(2854),
    [anon_sym___builtin_available] = ACTIONS(2852),
    [anon_sym_va_arg] = ACTIONS(2852),
    [anon_sym_ATencode] = ACTIONS(2854),
    [anon_sym_ATsynchronized] = ACTIONS(2854),
    [anon_sym_BOOL] = ACTIONS(2852),
    [anon_sym_IMP] = ACTIONS(2852),
    [anon_sym_SEL] = ACTIONS(2852),
    [anon_sym_Class] = ACTIONS(2852),
    [anon_sym_id] = ACTIONS(2852),
  },
  [611] = {
    [sym_identifier] = ACTIONS(2666),
    [aux_sym_preproc_include_token1] = ACTIONS(2666),
    [aux_sym_preproc_include_token2] = ACTIONS(2666),
    [aux_sym_preproc_def_token1] = ACTIONS(2666),
    [aux_sym_preproc_if_token1] = ACTIONS(2666),
    [aux_sym_preproc_if_token2] = ACTIONS(2666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2666),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2666),
    [sym_preproc_directive] = ACTIONS(2666),
    [anon_sym_LPAREN2] = ACTIONS(2668),
    [anon_sym_BANG] = ACTIONS(2668),
    [anon_sym_TILDE] = ACTIONS(2668),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_STAR] = ACTIONS(2668),
    [anon_sym_CARET] = ACTIONS(2668),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2668),
    [anon_sym___extension__] = ACTIONS(2666),
    [anon_sym_typedef] = ACTIONS(2666),
    [anon_sym_extern] = ACTIONS(2666),
    [anon_sym___attribute__] = ACTIONS(2666),
    [anon_sym___attribute] = ACTIONS(2666),
    [anon_sym_noreturn] = ACTIONS(2666),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym___declspec] = ACTIONS(2666),
    [anon_sym___cdecl] = ACTIONS(2666),
    [anon_sym___clrcall] = ACTIONS(2666),
    [anon_sym___stdcall] = ACTIONS(2666),
    [anon_sym___fastcall] = ACTIONS(2666),
    [anon_sym___thiscall] = ACTIONS(2666),
    [anon_sym___vectorcall] = ACTIONS(2666),
    [anon_sym_LBRACE] = ACTIONS(2668),
    [anon_sym_signed] = ACTIONS(2666),
    [anon_sym_unsigned] = ACTIONS(2666),
    [anon_sym_long] = ACTIONS(2666),
    [anon_sym_short] = ACTIONS(2666),
    [anon_sym_static] = ACTIONS(2666),
    [anon_sym_ATautoreleasepool] = ACTIONS(2668),
    [anon_sym_auto] = ACTIONS(2666),
    [anon_sym_register] = ACTIONS(2666),
    [anon_sym_inline] = ACTIONS(2666),
    [anon_sym___inline] = ACTIONS(2666),
    [anon_sym___inline__] = ACTIONS(2666),
    [anon_sym___forceinline] = ACTIONS(2666),
    [anon_sym_thread_local] = ACTIONS(2666),
    [anon_sym___thread] = ACTIONS(2666),
    [anon_sym_CG_EXTERN] = ACTIONS(2666),
    [anon_sym_CG_INLINE] = ACTIONS(2666),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2666),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2666),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2666),
    [anon_sym_IBOutlet] = ACTIONS(2666),
    [anon_sym_IBInspectable] = ACTIONS(2666),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2666),
    [anon_sym_NS_INLINE] = ACTIONS(2666),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2666),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2666),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2666),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2666),
    [anon_sym_const] = ACTIONS(2666),
    [anon_sym_constexpr] = ACTIONS(2666),
    [anon_sym_volatile] = ACTIONS(2666),
    [anon_sym_restrict] = ACTIONS(2666),
    [anon_sym___restrict__] = ACTIONS(2666),
    [anon_sym__Atomic] = ACTIONS(2666),
    [anon_sym__Noreturn] = ACTIONS(2666),
    [anon_sym__Nonnull] = ACTIONS(2666),
    [anon_sym_nullable] = ACTIONS(2666),
    [anon_sym__Complex] = ACTIONS(2666),
    [anon_sym__Nullable] = ACTIONS(2666),
    [anon_sym__Nullable_result] = ACTIONS(2666),
    [anon_sym__Null_unspecified] = ACTIONS(2666),
    [anon_sym___autoreleasing] = ACTIONS(2666),
    [anon_sym___block] = ACTIONS(2666),
    [anon_sym___bridge] = ACTIONS(2666),
    [anon_sym___bridge_retained] = ACTIONS(2666),
    [anon_sym___bridge_transfer] = ACTIONS(2666),
    [anon_sym___complex] = ACTIONS(2666),
    [anon_sym___const] = ACTIONS(2666),
    [anon_sym___imag] = ACTIONS(2666),
    [anon_sym___kindof] = ACTIONS(2666),
    [anon_sym___nonnull] = ACTIONS(2666),
    [anon_sym___nullable] = ACTIONS(2666),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2666),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2666),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2666),
    [anon_sym___real] = ACTIONS(2666),
    [anon_sym___strong] = ACTIONS(2666),
    [anon_sym___unsafe_unretained] = ACTIONS(2666),
    [anon_sym___unused] = ACTIONS(2666),
    [anon_sym___weak] = ACTIONS(2666),
    [anon_sym_alignas] = ACTIONS(2666),
    [anon_sym__Alignas] = ACTIONS(2666),
    [sym_primitive_type] = ACTIONS(2666),
    [anon_sym_enum] = ACTIONS(2666),
    [anon_sym_struct] = ACTIONS(2666),
    [anon_sym_union] = ACTIONS(2666),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_switch] = ACTIONS(2666),
    [anon_sym_case] = ACTIONS(2666),
    [anon_sym_default] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2666),
    [anon_sym_do] = ACTIONS(2666),
    [anon_sym_for] = ACTIONS(2666),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_return] = ACTIONS(2666),
    [anon_sym_break] = ACTIONS(2666),
    [anon_sym_continue] = ACTIONS(2666),
    [anon_sym_goto] = ACTIONS(2666),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_sizeof] = ACTIONS(2666),
    [anon_sym___alignof__] = ACTIONS(2666),
    [anon_sym___alignof] = ACTIONS(2666),
    [anon_sym__alignof] = ACTIONS(2666),
    [anon_sym_alignof] = ACTIONS(2666),
    [anon_sym__Alignof] = ACTIONS(2666),
    [anon_sym_offsetof] = ACTIONS(2666),
    [anon_sym__Generic] = ACTIONS(2666),
    [anon_sym_asm] = ACTIONS(2666),
    [anon_sym___asm__] = ACTIONS(2666),
    [anon_sym___asm] = ACTIONS(2666),
    [sym_number_literal] = ACTIONS(2668),
    [anon_sym_L_SQUOTE] = ACTIONS(2668),
    [anon_sym_u_SQUOTE] = ACTIONS(2668),
    [anon_sym_U_SQUOTE] = ACTIONS(2668),
    [anon_sym_u8_SQUOTE] = ACTIONS(2668),
    [anon_sym_SQUOTE] = ACTIONS(2668),
    [anon_sym_AT] = ACTIONS(2666),
    [anon_sym_DQUOTE] = ACTIONS(2668),
    [anon_sym_L_DQUOTE] = ACTIONS(2668),
    [anon_sym_u_DQUOTE] = ACTIONS(2668),
    [anon_sym_U_DQUOTE] = ACTIONS(2668),
    [anon_sym_u8_DQUOTE] = ACTIONS(2668),
    [sym_true] = ACTIONS(2666),
    [sym_false] = ACTIONS(2666),
    [anon_sym_NULL] = ACTIONS(2666),
    [anon_sym_nullptr] = ACTIONS(2666),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2666),
    [anon_sym___typeof] = ACTIONS(2666),
    [anon_sym_typeof] = ACTIONS(2666),
    [anon_sym_ATimport] = ACTIONS(2668),
    [aux_sym_preproc_undef_token1] = ACTIONS(2666),
    [anon_sym_POUND] = ACTIONS(2666),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2666),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2666),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2666),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2666),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2666),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2666),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2666),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2666),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2666),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2666),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2666),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2666),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2666),
    [anon_sym_API_AVAILABLE] = ACTIONS(2666),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2666),
    [anon_sym_API_DEPRECATED] = ACTIONS(2666),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2666),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2666),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2666),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2666),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2666),
    [anon_sym___deprecated_msg] = ACTIONS(2666),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2666),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2666),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2666),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2666),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2666),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2666),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2666),
    [anon_sym_ATprotocol] = ACTIONS(2668),
    [anon_sym_ATinterface] = ACTIONS(2668),
    [anon_sym_ATimplementation] = ACTIONS(2668),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2668),
    [anon_sym_ATsynthesize] = ACTIONS(2668),
    [anon_sym_ATdynamic] = ACTIONS(2668),
    [anon_sym_ATtry] = ACTIONS(2668),
    [anon_sym___try] = ACTIONS(2666),
    [anon_sym_ATthrow] = ACTIONS(2668),
    [anon_sym_ATselector] = ACTIONS(2668),
    [anon_sym_ATavailable] = ACTIONS(2668),
    [anon_sym___builtin_available] = ACTIONS(2666),
    [anon_sym_va_arg] = ACTIONS(2666),
    [anon_sym_ATencode] = ACTIONS(2668),
    [anon_sym_ATsynchronized] = ACTIONS(2668),
    [anon_sym_BOOL] = ACTIONS(2666),
    [anon_sym_IMP] = ACTIONS(2666),
    [anon_sym_SEL] = ACTIONS(2666),
    [anon_sym_Class] = ACTIONS(2666),
    [anon_sym_id] = ACTIONS(2666),
  },
  [612] = {
    [sym_identifier] = ACTIONS(2670),
    [aux_sym_preproc_include_token1] = ACTIONS(2670),
    [aux_sym_preproc_include_token2] = ACTIONS(2670),
    [aux_sym_preproc_def_token1] = ACTIONS(2670),
    [aux_sym_preproc_if_token1] = ACTIONS(2670),
    [aux_sym_preproc_if_token2] = ACTIONS(2670),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2670),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2670),
    [sym_preproc_directive] = ACTIONS(2670),
    [anon_sym_LPAREN2] = ACTIONS(2672),
    [anon_sym_BANG] = ACTIONS(2672),
    [anon_sym_TILDE] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2670),
    [anon_sym_PLUS] = ACTIONS(2670),
    [anon_sym_STAR] = ACTIONS(2672),
    [anon_sym_CARET] = ACTIONS(2672),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym_SEMI] = ACTIONS(2672),
    [anon_sym___extension__] = ACTIONS(2670),
    [anon_sym_typedef] = ACTIONS(2670),
    [anon_sym_extern] = ACTIONS(2670),
    [anon_sym___attribute__] = ACTIONS(2670),
    [anon_sym___attribute] = ACTIONS(2670),
    [anon_sym_noreturn] = ACTIONS(2670),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym___declspec] = ACTIONS(2670),
    [anon_sym___cdecl] = ACTIONS(2670),
    [anon_sym___clrcall] = ACTIONS(2670),
    [anon_sym___stdcall] = ACTIONS(2670),
    [anon_sym___fastcall] = ACTIONS(2670),
    [anon_sym___thiscall] = ACTIONS(2670),
    [anon_sym___vectorcall] = ACTIONS(2670),
    [anon_sym_LBRACE] = ACTIONS(2672),
    [anon_sym_signed] = ACTIONS(2670),
    [anon_sym_unsigned] = ACTIONS(2670),
    [anon_sym_long] = ACTIONS(2670),
    [anon_sym_short] = ACTIONS(2670),
    [anon_sym_static] = ACTIONS(2670),
    [anon_sym_ATautoreleasepool] = ACTIONS(2672),
    [anon_sym_auto] = ACTIONS(2670),
    [anon_sym_register] = ACTIONS(2670),
    [anon_sym_inline] = ACTIONS(2670),
    [anon_sym___inline] = ACTIONS(2670),
    [anon_sym___inline__] = ACTIONS(2670),
    [anon_sym___forceinline] = ACTIONS(2670),
    [anon_sym_thread_local] = ACTIONS(2670),
    [anon_sym___thread] = ACTIONS(2670),
    [anon_sym_CG_EXTERN] = ACTIONS(2670),
    [anon_sym_CG_INLINE] = ACTIONS(2670),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2670),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2670),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2670),
    [anon_sym_IBOutlet] = ACTIONS(2670),
    [anon_sym_IBInspectable] = ACTIONS(2670),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2670),
    [anon_sym_NS_INLINE] = ACTIONS(2670),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2670),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2670),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2670),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2670),
    [anon_sym_const] = ACTIONS(2670),
    [anon_sym_constexpr] = ACTIONS(2670),
    [anon_sym_volatile] = ACTIONS(2670),
    [anon_sym_restrict] = ACTIONS(2670),
    [anon_sym___restrict__] = ACTIONS(2670),
    [anon_sym__Atomic] = ACTIONS(2670),
    [anon_sym__Noreturn] = ACTIONS(2670),
    [anon_sym__Nonnull] = ACTIONS(2670),
    [anon_sym_nullable] = ACTIONS(2670),
    [anon_sym__Complex] = ACTIONS(2670),
    [anon_sym__Nullable] = ACTIONS(2670),
    [anon_sym__Nullable_result] = ACTIONS(2670),
    [anon_sym__Null_unspecified] = ACTIONS(2670),
    [anon_sym___autoreleasing] = ACTIONS(2670),
    [anon_sym___block] = ACTIONS(2670),
    [anon_sym___bridge] = ACTIONS(2670),
    [anon_sym___bridge_retained] = ACTIONS(2670),
    [anon_sym___bridge_transfer] = ACTIONS(2670),
    [anon_sym___complex] = ACTIONS(2670),
    [anon_sym___const] = ACTIONS(2670),
    [anon_sym___imag] = ACTIONS(2670),
    [anon_sym___kindof] = ACTIONS(2670),
    [anon_sym___nonnull] = ACTIONS(2670),
    [anon_sym___nullable] = ACTIONS(2670),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2670),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2670),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2670),
    [anon_sym___real] = ACTIONS(2670),
    [anon_sym___strong] = ACTIONS(2670),
    [anon_sym___unsafe_unretained] = ACTIONS(2670),
    [anon_sym___unused] = ACTIONS(2670),
    [anon_sym___weak] = ACTIONS(2670),
    [anon_sym_alignas] = ACTIONS(2670),
    [anon_sym__Alignas] = ACTIONS(2670),
    [sym_primitive_type] = ACTIONS(2670),
    [anon_sym_enum] = ACTIONS(2670),
    [anon_sym_struct] = ACTIONS(2670),
    [anon_sym_union] = ACTIONS(2670),
    [anon_sym_if] = ACTIONS(2670),
    [anon_sym_switch] = ACTIONS(2670),
    [anon_sym_case] = ACTIONS(2670),
    [anon_sym_default] = ACTIONS(2670),
    [anon_sym_while] = ACTIONS(2670),
    [anon_sym_do] = ACTIONS(2670),
    [anon_sym_for] = ACTIONS(2670),
    [anon_sym_in] = ACTIONS(2670),
    [anon_sym_return] = ACTIONS(2670),
    [anon_sym_break] = ACTIONS(2670),
    [anon_sym_continue] = ACTIONS(2670),
    [anon_sym_goto] = ACTIONS(2670),
    [anon_sym_DASH_DASH] = ACTIONS(2672),
    [anon_sym_PLUS_PLUS] = ACTIONS(2672),
    [anon_sym_sizeof] = ACTIONS(2670),
    [anon_sym___alignof__] = ACTIONS(2670),
    [anon_sym___alignof] = ACTIONS(2670),
    [anon_sym__alignof] = ACTIONS(2670),
    [anon_sym_alignof] = ACTIONS(2670),
    [anon_sym__Alignof] = ACTIONS(2670),
    [anon_sym_offsetof] = ACTIONS(2670),
    [anon_sym__Generic] = ACTIONS(2670),
    [anon_sym_asm] = ACTIONS(2670),
    [anon_sym___asm__] = ACTIONS(2670),
    [anon_sym___asm] = ACTIONS(2670),
    [sym_number_literal] = ACTIONS(2672),
    [anon_sym_L_SQUOTE] = ACTIONS(2672),
    [anon_sym_u_SQUOTE] = ACTIONS(2672),
    [anon_sym_U_SQUOTE] = ACTIONS(2672),
    [anon_sym_u8_SQUOTE] = ACTIONS(2672),
    [anon_sym_SQUOTE] = ACTIONS(2672),
    [anon_sym_AT] = ACTIONS(2670),
    [anon_sym_DQUOTE] = ACTIONS(2672),
    [anon_sym_L_DQUOTE] = ACTIONS(2672),
    [anon_sym_u_DQUOTE] = ACTIONS(2672),
    [anon_sym_U_DQUOTE] = ACTIONS(2672),
    [anon_sym_u8_DQUOTE] = ACTIONS(2672),
    [sym_true] = ACTIONS(2670),
    [sym_false] = ACTIONS(2670),
    [anon_sym_NULL] = ACTIONS(2670),
    [anon_sym_nullptr] = ACTIONS(2670),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2670),
    [anon_sym___typeof] = ACTIONS(2670),
    [anon_sym_typeof] = ACTIONS(2670),
    [anon_sym_ATimport] = ACTIONS(2672),
    [aux_sym_preproc_undef_token1] = ACTIONS(2670),
    [anon_sym_POUND] = ACTIONS(2670),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2670),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2670),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2670),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2670),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2670),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2670),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2670),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2670),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2670),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2670),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2670),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2670),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2670),
    [anon_sym_API_AVAILABLE] = ACTIONS(2670),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2670),
    [anon_sym_API_DEPRECATED] = ACTIONS(2670),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2670),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2670),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2670),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2670),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2670),
    [anon_sym___deprecated_msg] = ACTIONS(2670),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2670),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2670),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2670),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2670),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2670),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2670),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2670),
    [anon_sym_ATprotocol] = ACTIONS(2672),
    [anon_sym_ATinterface] = ACTIONS(2672),
    [anon_sym_ATimplementation] = ACTIONS(2672),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2672),
    [anon_sym_ATsynthesize] = ACTIONS(2672),
    [anon_sym_ATdynamic] = ACTIONS(2672),
    [anon_sym_ATtry] = ACTIONS(2672),
    [anon_sym___try] = ACTIONS(2670),
    [anon_sym_ATthrow] = ACTIONS(2672),
    [anon_sym_ATselector] = ACTIONS(2672),
    [anon_sym_ATavailable] = ACTIONS(2672),
    [anon_sym___builtin_available] = ACTIONS(2670),
    [anon_sym_va_arg] = ACTIONS(2670),
    [anon_sym_ATencode] = ACTIONS(2672),
    [anon_sym_ATsynchronized] = ACTIONS(2672),
    [anon_sym_BOOL] = ACTIONS(2670),
    [anon_sym_IMP] = ACTIONS(2670),
    [anon_sym_SEL] = ACTIONS(2670),
    [anon_sym_Class] = ACTIONS(2670),
    [anon_sym_id] = ACTIONS(2670),
  },
  [613] = {
    [sym_identifier] = ACTIONS(2678),
    [aux_sym_preproc_include_token1] = ACTIONS(2678),
    [aux_sym_preproc_include_token2] = ACTIONS(2678),
    [aux_sym_preproc_def_token1] = ACTIONS(2678),
    [aux_sym_preproc_if_token1] = ACTIONS(2678),
    [aux_sym_preproc_if_token2] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2678),
    [sym_preproc_directive] = ACTIONS(2678),
    [anon_sym_LPAREN2] = ACTIONS(2680),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_CARET] = ACTIONS(2680),
    [anon_sym_AMP] = ACTIONS(2680),
    [anon_sym_SEMI] = ACTIONS(2680),
    [anon_sym___extension__] = ACTIONS(2678),
    [anon_sym_typedef] = ACTIONS(2678),
    [anon_sym_extern] = ACTIONS(2678),
    [anon_sym___attribute__] = ACTIONS(2678),
    [anon_sym___attribute] = ACTIONS(2678),
    [anon_sym_noreturn] = ACTIONS(2678),
    [anon_sym_LBRACK] = ACTIONS(2680),
    [anon_sym___declspec] = ACTIONS(2678),
    [anon_sym___cdecl] = ACTIONS(2678),
    [anon_sym___clrcall] = ACTIONS(2678),
    [anon_sym___stdcall] = ACTIONS(2678),
    [anon_sym___fastcall] = ACTIONS(2678),
    [anon_sym___thiscall] = ACTIONS(2678),
    [anon_sym___vectorcall] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_signed] = ACTIONS(2678),
    [anon_sym_unsigned] = ACTIONS(2678),
    [anon_sym_long] = ACTIONS(2678),
    [anon_sym_short] = ACTIONS(2678),
    [anon_sym_static] = ACTIONS(2678),
    [anon_sym_ATautoreleasepool] = ACTIONS(2680),
    [anon_sym_auto] = ACTIONS(2678),
    [anon_sym_register] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(2678),
    [anon_sym___inline] = ACTIONS(2678),
    [anon_sym___inline__] = ACTIONS(2678),
    [anon_sym___forceinline] = ACTIONS(2678),
    [anon_sym_thread_local] = ACTIONS(2678),
    [anon_sym___thread] = ACTIONS(2678),
    [anon_sym_CG_EXTERN] = ACTIONS(2678),
    [anon_sym_CG_INLINE] = ACTIONS(2678),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2678),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2678),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2678),
    [anon_sym_IBOutlet] = ACTIONS(2678),
    [anon_sym_IBInspectable] = ACTIONS(2678),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2678),
    [anon_sym_NS_INLINE] = ACTIONS(2678),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2678),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2678),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2678),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2678),
    [anon_sym_const] = ACTIONS(2678),
    [anon_sym_constexpr] = ACTIONS(2678),
    [anon_sym_volatile] = ACTIONS(2678),
    [anon_sym_restrict] = ACTIONS(2678),
    [anon_sym___restrict__] = ACTIONS(2678),
    [anon_sym__Atomic] = ACTIONS(2678),
    [anon_sym__Noreturn] = ACTIONS(2678),
    [anon_sym__Nonnull] = ACTIONS(2678),
    [anon_sym_nullable] = ACTIONS(2678),
    [anon_sym__Complex] = ACTIONS(2678),
    [anon_sym__Nullable] = ACTIONS(2678),
    [anon_sym__Nullable_result] = ACTIONS(2678),
    [anon_sym__Null_unspecified] = ACTIONS(2678),
    [anon_sym___autoreleasing] = ACTIONS(2678),
    [anon_sym___block] = ACTIONS(2678),
    [anon_sym___bridge] = ACTIONS(2678),
    [anon_sym___bridge_retained] = ACTIONS(2678),
    [anon_sym___bridge_transfer] = ACTIONS(2678),
    [anon_sym___complex] = ACTIONS(2678),
    [anon_sym___const] = ACTIONS(2678),
    [anon_sym___imag] = ACTIONS(2678),
    [anon_sym___kindof] = ACTIONS(2678),
    [anon_sym___nonnull] = ACTIONS(2678),
    [anon_sym___nullable] = ACTIONS(2678),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2678),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2678),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2678),
    [anon_sym___real] = ACTIONS(2678),
    [anon_sym___strong] = ACTIONS(2678),
    [anon_sym___unsafe_unretained] = ACTIONS(2678),
    [anon_sym___unused] = ACTIONS(2678),
    [anon_sym___weak] = ACTIONS(2678),
    [anon_sym_alignas] = ACTIONS(2678),
    [anon_sym__Alignas] = ACTIONS(2678),
    [sym_primitive_type] = ACTIONS(2678),
    [anon_sym_enum] = ACTIONS(2678),
    [anon_sym_struct] = ACTIONS(2678),
    [anon_sym_union] = ACTIONS(2678),
    [anon_sym_if] = ACTIONS(2678),
    [anon_sym_switch] = ACTIONS(2678),
    [anon_sym_case] = ACTIONS(2678),
    [anon_sym_default] = ACTIONS(2678),
    [anon_sym_while] = ACTIONS(2678),
    [anon_sym_do] = ACTIONS(2678),
    [anon_sym_for] = ACTIONS(2678),
    [anon_sym_in] = ACTIONS(2678),
    [anon_sym_return] = ACTIONS(2678),
    [anon_sym_break] = ACTIONS(2678),
    [anon_sym_continue] = ACTIONS(2678),
    [anon_sym_goto] = ACTIONS(2678),
    [anon_sym_DASH_DASH] = ACTIONS(2680),
    [anon_sym_PLUS_PLUS] = ACTIONS(2680),
    [anon_sym_sizeof] = ACTIONS(2678),
    [anon_sym___alignof__] = ACTIONS(2678),
    [anon_sym___alignof] = ACTIONS(2678),
    [anon_sym__alignof] = ACTIONS(2678),
    [anon_sym_alignof] = ACTIONS(2678),
    [anon_sym__Alignof] = ACTIONS(2678),
    [anon_sym_offsetof] = ACTIONS(2678),
    [anon_sym__Generic] = ACTIONS(2678),
    [anon_sym_asm] = ACTIONS(2678),
    [anon_sym___asm__] = ACTIONS(2678),
    [anon_sym___asm] = ACTIONS(2678),
    [sym_number_literal] = ACTIONS(2680),
    [anon_sym_L_SQUOTE] = ACTIONS(2680),
    [anon_sym_u_SQUOTE] = ACTIONS(2680),
    [anon_sym_U_SQUOTE] = ACTIONS(2680),
    [anon_sym_u8_SQUOTE] = ACTIONS(2680),
    [anon_sym_SQUOTE] = ACTIONS(2680),
    [anon_sym_AT] = ACTIONS(2678),
    [anon_sym_DQUOTE] = ACTIONS(2680),
    [anon_sym_L_DQUOTE] = ACTIONS(2680),
    [anon_sym_u_DQUOTE] = ACTIONS(2680),
    [anon_sym_U_DQUOTE] = ACTIONS(2680),
    [anon_sym_u8_DQUOTE] = ACTIONS(2680),
    [sym_true] = ACTIONS(2678),
    [sym_false] = ACTIONS(2678),
    [anon_sym_NULL] = ACTIONS(2678),
    [anon_sym_nullptr] = ACTIONS(2678),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2678),
    [anon_sym___typeof] = ACTIONS(2678),
    [anon_sym_typeof] = ACTIONS(2678),
    [anon_sym_ATimport] = ACTIONS(2680),
    [aux_sym_preproc_undef_token1] = ACTIONS(2678),
    [anon_sym_POUND] = ACTIONS(2678),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2678),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2678),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2678),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2678),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2678),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2678),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2678),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2678),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2678),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2678),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2678),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2678),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2678),
    [anon_sym_API_AVAILABLE] = ACTIONS(2678),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2678),
    [anon_sym_API_DEPRECATED] = ACTIONS(2678),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2678),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2678),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2678),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2678),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2678),
    [anon_sym___deprecated_msg] = ACTIONS(2678),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2678),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2678),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2678),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2678),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2678),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2678),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2678),
    [anon_sym_ATprotocol] = ACTIONS(2680),
    [anon_sym_ATinterface] = ACTIONS(2680),
    [anon_sym_ATimplementation] = ACTIONS(2680),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2680),
    [anon_sym_ATsynthesize] = ACTIONS(2680),
    [anon_sym_ATdynamic] = ACTIONS(2680),
    [anon_sym_ATtry] = ACTIONS(2680),
    [anon_sym___try] = ACTIONS(2678),
    [anon_sym_ATthrow] = ACTIONS(2680),
    [anon_sym_ATselector] = ACTIONS(2680),
    [anon_sym_ATavailable] = ACTIONS(2680),
    [anon_sym___builtin_available] = ACTIONS(2678),
    [anon_sym_va_arg] = ACTIONS(2678),
    [anon_sym_ATencode] = ACTIONS(2680),
    [anon_sym_ATsynchronized] = ACTIONS(2680),
    [anon_sym_BOOL] = ACTIONS(2678),
    [anon_sym_IMP] = ACTIONS(2678),
    [anon_sym_SEL] = ACTIONS(2678),
    [anon_sym_Class] = ACTIONS(2678),
    [anon_sym_id] = ACTIONS(2678),
  },
  [614] = {
    [sym_identifier] = ACTIONS(2734),
    [aux_sym_preproc_include_token1] = ACTIONS(2734),
    [aux_sym_preproc_include_token2] = ACTIONS(2734),
    [aux_sym_preproc_def_token1] = ACTIONS(2734),
    [aux_sym_preproc_if_token1] = ACTIONS(2734),
    [aux_sym_preproc_if_token2] = ACTIONS(2734),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2734),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2734),
    [sym_preproc_directive] = ACTIONS(2734),
    [anon_sym_LPAREN2] = ACTIONS(2736),
    [anon_sym_BANG] = ACTIONS(2736),
    [anon_sym_TILDE] = ACTIONS(2736),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_STAR] = ACTIONS(2736),
    [anon_sym_CARET] = ACTIONS(2736),
    [anon_sym_AMP] = ACTIONS(2736),
    [anon_sym_SEMI] = ACTIONS(2736),
    [anon_sym___extension__] = ACTIONS(2734),
    [anon_sym_typedef] = ACTIONS(2734),
    [anon_sym_extern] = ACTIONS(2734),
    [anon_sym___attribute__] = ACTIONS(2734),
    [anon_sym___attribute] = ACTIONS(2734),
    [anon_sym_noreturn] = ACTIONS(2734),
    [anon_sym_LBRACK] = ACTIONS(2736),
    [anon_sym___declspec] = ACTIONS(2734),
    [anon_sym___cdecl] = ACTIONS(2734),
    [anon_sym___clrcall] = ACTIONS(2734),
    [anon_sym___stdcall] = ACTIONS(2734),
    [anon_sym___fastcall] = ACTIONS(2734),
    [anon_sym___thiscall] = ACTIONS(2734),
    [anon_sym___vectorcall] = ACTIONS(2734),
    [anon_sym_LBRACE] = ACTIONS(2736),
    [anon_sym_signed] = ACTIONS(2734),
    [anon_sym_unsigned] = ACTIONS(2734),
    [anon_sym_long] = ACTIONS(2734),
    [anon_sym_short] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2734),
    [anon_sym_ATautoreleasepool] = ACTIONS(2736),
    [anon_sym_auto] = ACTIONS(2734),
    [anon_sym_register] = ACTIONS(2734),
    [anon_sym_inline] = ACTIONS(2734),
    [anon_sym___inline] = ACTIONS(2734),
    [anon_sym___inline__] = ACTIONS(2734),
    [anon_sym___forceinline] = ACTIONS(2734),
    [anon_sym_thread_local] = ACTIONS(2734),
    [anon_sym___thread] = ACTIONS(2734),
    [anon_sym_CG_EXTERN] = ACTIONS(2734),
    [anon_sym_CG_INLINE] = ACTIONS(2734),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2734),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2734),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2734),
    [anon_sym_IBOutlet] = ACTIONS(2734),
    [anon_sym_IBInspectable] = ACTIONS(2734),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2734),
    [anon_sym_NS_INLINE] = ACTIONS(2734),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2734),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2734),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2734),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2734),
    [anon_sym_const] = ACTIONS(2734),
    [anon_sym_constexpr] = ACTIONS(2734),
    [anon_sym_volatile] = ACTIONS(2734),
    [anon_sym_restrict] = ACTIONS(2734),
    [anon_sym___restrict__] = ACTIONS(2734),
    [anon_sym__Atomic] = ACTIONS(2734),
    [anon_sym__Noreturn] = ACTIONS(2734),
    [anon_sym__Nonnull] = ACTIONS(2734),
    [anon_sym_nullable] = ACTIONS(2734),
    [anon_sym__Complex] = ACTIONS(2734),
    [anon_sym__Nullable] = ACTIONS(2734),
    [anon_sym__Nullable_result] = ACTIONS(2734),
    [anon_sym__Null_unspecified] = ACTIONS(2734),
    [anon_sym___autoreleasing] = ACTIONS(2734),
    [anon_sym___block] = ACTIONS(2734),
    [anon_sym___bridge] = ACTIONS(2734),
    [anon_sym___bridge_retained] = ACTIONS(2734),
    [anon_sym___bridge_transfer] = ACTIONS(2734),
    [anon_sym___complex] = ACTIONS(2734),
    [anon_sym___const] = ACTIONS(2734),
    [anon_sym___imag] = ACTIONS(2734),
    [anon_sym___kindof] = ACTIONS(2734),
    [anon_sym___nonnull] = ACTIONS(2734),
    [anon_sym___nullable] = ACTIONS(2734),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2734),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2734),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2734),
    [anon_sym___real] = ACTIONS(2734),
    [anon_sym___strong] = ACTIONS(2734),
    [anon_sym___unsafe_unretained] = ACTIONS(2734),
    [anon_sym___unused] = ACTIONS(2734),
    [anon_sym___weak] = ACTIONS(2734),
    [anon_sym_alignas] = ACTIONS(2734),
    [anon_sym__Alignas] = ACTIONS(2734),
    [sym_primitive_type] = ACTIONS(2734),
    [anon_sym_enum] = ACTIONS(2734),
    [anon_sym_struct] = ACTIONS(2734),
    [anon_sym_union] = ACTIONS(2734),
    [anon_sym_if] = ACTIONS(2734),
    [anon_sym_switch] = ACTIONS(2734),
    [anon_sym_case] = ACTIONS(2734),
    [anon_sym_default] = ACTIONS(2734),
    [anon_sym_while] = ACTIONS(2734),
    [anon_sym_do] = ACTIONS(2734),
    [anon_sym_for] = ACTIONS(2734),
    [anon_sym_in] = ACTIONS(2734),
    [anon_sym_return] = ACTIONS(2734),
    [anon_sym_break] = ACTIONS(2734),
    [anon_sym_continue] = ACTIONS(2734),
    [anon_sym_goto] = ACTIONS(2734),
    [anon_sym_DASH_DASH] = ACTIONS(2736),
    [anon_sym_PLUS_PLUS] = ACTIONS(2736),
    [anon_sym_sizeof] = ACTIONS(2734),
    [anon_sym___alignof__] = ACTIONS(2734),
    [anon_sym___alignof] = ACTIONS(2734),
    [anon_sym__alignof] = ACTIONS(2734),
    [anon_sym_alignof] = ACTIONS(2734),
    [anon_sym__Alignof] = ACTIONS(2734),
    [anon_sym_offsetof] = ACTIONS(2734),
    [anon_sym__Generic] = ACTIONS(2734),
    [anon_sym_asm] = ACTIONS(2734),
    [anon_sym___asm__] = ACTIONS(2734),
    [anon_sym___asm] = ACTIONS(2734),
    [sym_number_literal] = ACTIONS(2736),
    [anon_sym_L_SQUOTE] = ACTIONS(2736),
    [anon_sym_u_SQUOTE] = ACTIONS(2736),
    [anon_sym_U_SQUOTE] = ACTIONS(2736),
    [anon_sym_u8_SQUOTE] = ACTIONS(2736),
    [anon_sym_SQUOTE] = ACTIONS(2736),
    [anon_sym_AT] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2736),
    [anon_sym_L_DQUOTE] = ACTIONS(2736),
    [anon_sym_u_DQUOTE] = ACTIONS(2736),
    [anon_sym_U_DQUOTE] = ACTIONS(2736),
    [anon_sym_u8_DQUOTE] = ACTIONS(2736),
    [sym_true] = ACTIONS(2734),
    [sym_false] = ACTIONS(2734),
    [anon_sym_NULL] = ACTIONS(2734),
    [anon_sym_nullptr] = ACTIONS(2734),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2734),
    [anon_sym___typeof] = ACTIONS(2734),
    [anon_sym_typeof] = ACTIONS(2734),
    [anon_sym_ATimport] = ACTIONS(2736),
    [aux_sym_preproc_undef_token1] = ACTIONS(2734),
    [anon_sym_POUND] = ACTIONS(2734),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2734),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2734),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2734),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2734),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2734),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2734),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2734),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2734),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2734),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2734),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2734),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2734),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2734),
    [anon_sym_API_AVAILABLE] = ACTIONS(2734),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2734),
    [anon_sym_API_DEPRECATED] = ACTIONS(2734),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2734),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2734),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2734),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2734),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2734),
    [anon_sym___deprecated_msg] = ACTIONS(2734),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2734),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2734),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2734),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2734),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2734),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2734),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2734),
    [anon_sym_ATprotocol] = ACTIONS(2736),
    [anon_sym_ATinterface] = ACTIONS(2736),
    [anon_sym_ATimplementation] = ACTIONS(2736),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2736),
    [anon_sym_ATsynthesize] = ACTIONS(2736),
    [anon_sym_ATdynamic] = ACTIONS(2736),
    [anon_sym_ATtry] = ACTIONS(2736),
    [anon_sym___try] = ACTIONS(2734),
    [anon_sym_ATthrow] = ACTIONS(2736),
    [anon_sym_ATselector] = ACTIONS(2736),
    [anon_sym_ATavailable] = ACTIONS(2736),
    [anon_sym___builtin_available] = ACTIONS(2734),
    [anon_sym_va_arg] = ACTIONS(2734),
    [anon_sym_ATencode] = ACTIONS(2736),
    [anon_sym_ATsynchronized] = ACTIONS(2736),
    [anon_sym_BOOL] = ACTIONS(2734),
    [anon_sym_IMP] = ACTIONS(2734),
    [anon_sym_SEL] = ACTIONS(2734),
    [anon_sym_Class] = ACTIONS(2734),
    [anon_sym_id] = ACTIONS(2734),
  },
  [615] = {
    [sym_identifier] = ACTIONS(2812),
    [aux_sym_preproc_include_token1] = ACTIONS(2812),
    [aux_sym_preproc_include_token2] = ACTIONS(2812),
    [aux_sym_preproc_def_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token2] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2812),
    [sym_preproc_directive] = ACTIONS(2812),
    [anon_sym_LPAREN2] = ACTIONS(2814),
    [anon_sym_BANG] = ACTIONS(2814),
    [anon_sym_TILDE] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2812),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_CARET] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2814),
    [anon_sym___extension__] = ACTIONS(2812),
    [anon_sym_typedef] = ACTIONS(2812),
    [anon_sym_extern] = ACTIONS(2812),
    [anon_sym___attribute__] = ACTIONS(2812),
    [anon_sym___attribute] = ACTIONS(2812),
    [anon_sym_noreturn] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym___declspec] = ACTIONS(2812),
    [anon_sym___cdecl] = ACTIONS(2812),
    [anon_sym___clrcall] = ACTIONS(2812),
    [anon_sym___stdcall] = ACTIONS(2812),
    [anon_sym___fastcall] = ACTIONS(2812),
    [anon_sym___thiscall] = ACTIONS(2812),
    [anon_sym___vectorcall] = ACTIONS(2812),
    [anon_sym_LBRACE] = ACTIONS(2814),
    [anon_sym_signed] = ACTIONS(2812),
    [anon_sym_unsigned] = ACTIONS(2812),
    [anon_sym_long] = ACTIONS(2812),
    [anon_sym_short] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2812),
    [anon_sym_ATautoreleasepool] = ACTIONS(2814),
    [anon_sym_auto] = ACTIONS(2812),
    [anon_sym_register] = ACTIONS(2812),
    [anon_sym_inline] = ACTIONS(2812),
    [anon_sym___inline] = ACTIONS(2812),
    [anon_sym___inline__] = ACTIONS(2812),
    [anon_sym___forceinline] = ACTIONS(2812),
    [anon_sym_thread_local] = ACTIONS(2812),
    [anon_sym___thread] = ACTIONS(2812),
    [anon_sym_CG_EXTERN] = ACTIONS(2812),
    [anon_sym_CG_INLINE] = ACTIONS(2812),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2812),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2812),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2812),
    [anon_sym_IBOutlet] = ACTIONS(2812),
    [anon_sym_IBInspectable] = ACTIONS(2812),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2812),
    [anon_sym_NS_INLINE] = ACTIONS(2812),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2812),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2812),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2812),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2812),
    [anon_sym_const] = ACTIONS(2812),
    [anon_sym_constexpr] = ACTIONS(2812),
    [anon_sym_volatile] = ACTIONS(2812),
    [anon_sym_restrict] = ACTIONS(2812),
    [anon_sym___restrict__] = ACTIONS(2812),
    [anon_sym__Atomic] = ACTIONS(2812),
    [anon_sym__Noreturn] = ACTIONS(2812),
    [anon_sym__Nonnull] = ACTIONS(2812),
    [anon_sym_nullable] = ACTIONS(2812),
    [anon_sym__Complex] = ACTIONS(2812),
    [anon_sym__Nullable] = ACTIONS(2812),
    [anon_sym__Nullable_result] = ACTIONS(2812),
    [anon_sym__Null_unspecified] = ACTIONS(2812),
    [anon_sym___autoreleasing] = ACTIONS(2812),
    [anon_sym___block] = ACTIONS(2812),
    [anon_sym___bridge] = ACTIONS(2812),
    [anon_sym___bridge_retained] = ACTIONS(2812),
    [anon_sym___bridge_transfer] = ACTIONS(2812),
    [anon_sym___complex] = ACTIONS(2812),
    [anon_sym___const] = ACTIONS(2812),
    [anon_sym___imag] = ACTIONS(2812),
    [anon_sym___kindof] = ACTIONS(2812),
    [anon_sym___nonnull] = ACTIONS(2812),
    [anon_sym___nullable] = ACTIONS(2812),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2812),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2812),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2812),
    [anon_sym___real] = ACTIONS(2812),
    [anon_sym___strong] = ACTIONS(2812),
    [anon_sym___unsafe_unretained] = ACTIONS(2812),
    [anon_sym___unused] = ACTIONS(2812),
    [anon_sym___weak] = ACTIONS(2812),
    [anon_sym_alignas] = ACTIONS(2812),
    [anon_sym__Alignas] = ACTIONS(2812),
    [sym_primitive_type] = ACTIONS(2812),
    [anon_sym_enum] = ACTIONS(2812),
    [anon_sym_struct] = ACTIONS(2812),
    [anon_sym_union] = ACTIONS(2812),
    [anon_sym_if] = ACTIONS(2812),
    [anon_sym_switch] = ACTIONS(2812),
    [anon_sym_case] = ACTIONS(2812),
    [anon_sym_default] = ACTIONS(2812),
    [anon_sym_while] = ACTIONS(2812),
    [anon_sym_do] = ACTIONS(2812),
    [anon_sym_for] = ACTIONS(2812),
    [anon_sym_in] = ACTIONS(2812),
    [anon_sym_return] = ACTIONS(2812),
    [anon_sym_break] = ACTIONS(2812),
    [anon_sym_continue] = ACTIONS(2812),
    [anon_sym_goto] = ACTIONS(2812),
    [anon_sym_DASH_DASH] = ACTIONS(2814),
    [anon_sym_PLUS_PLUS] = ACTIONS(2814),
    [anon_sym_sizeof] = ACTIONS(2812),
    [anon_sym___alignof__] = ACTIONS(2812),
    [anon_sym___alignof] = ACTIONS(2812),
    [anon_sym__alignof] = ACTIONS(2812),
    [anon_sym_alignof] = ACTIONS(2812),
    [anon_sym__Alignof] = ACTIONS(2812),
    [anon_sym_offsetof] = ACTIONS(2812),
    [anon_sym__Generic] = ACTIONS(2812),
    [anon_sym_asm] = ACTIONS(2812),
    [anon_sym___asm__] = ACTIONS(2812),
    [anon_sym___asm] = ACTIONS(2812),
    [sym_number_literal] = ACTIONS(2814),
    [anon_sym_L_SQUOTE] = ACTIONS(2814),
    [anon_sym_u_SQUOTE] = ACTIONS(2814),
    [anon_sym_U_SQUOTE] = ACTIONS(2814),
    [anon_sym_u8_SQUOTE] = ACTIONS(2814),
    [anon_sym_SQUOTE] = ACTIONS(2814),
    [anon_sym_AT] = ACTIONS(2812),
    [anon_sym_DQUOTE] = ACTIONS(2814),
    [anon_sym_L_DQUOTE] = ACTIONS(2814),
    [anon_sym_u_DQUOTE] = ACTIONS(2814),
    [anon_sym_U_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8_DQUOTE] = ACTIONS(2814),
    [sym_true] = ACTIONS(2812),
    [sym_false] = ACTIONS(2812),
    [anon_sym_NULL] = ACTIONS(2812),
    [anon_sym_nullptr] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2812),
    [anon_sym___typeof] = ACTIONS(2812),
    [anon_sym_typeof] = ACTIONS(2812),
    [anon_sym_ATimport] = ACTIONS(2814),
    [aux_sym_preproc_undef_token1] = ACTIONS(2812),
    [anon_sym_POUND] = ACTIONS(2812),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2812),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2812),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2812),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2812),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2812),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2812),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2812),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2812),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2812),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2812),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2812),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2812),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2812),
    [anon_sym_API_AVAILABLE] = ACTIONS(2812),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2812),
    [anon_sym_API_DEPRECATED] = ACTIONS(2812),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2812),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2812),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2812),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2812),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2812),
    [anon_sym___deprecated_msg] = ACTIONS(2812),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2812),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2812),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2812),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2812),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2812),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2812),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2812),
    [anon_sym_ATprotocol] = ACTIONS(2814),
    [anon_sym_ATinterface] = ACTIONS(2814),
    [anon_sym_ATimplementation] = ACTIONS(2814),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2814),
    [anon_sym_ATsynthesize] = ACTIONS(2814),
    [anon_sym_ATdynamic] = ACTIONS(2814),
    [anon_sym_ATtry] = ACTIONS(2814),
    [anon_sym___try] = ACTIONS(2812),
    [anon_sym_ATthrow] = ACTIONS(2814),
    [anon_sym_ATselector] = ACTIONS(2814),
    [anon_sym_ATavailable] = ACTIONS(2814),
    [anon_sym___builtin_available] = ACTIONS(2812),
    [anon_sym_va_arg] = ACTIONS(2812),
    [anon_sym_ATencode] = ACTIONS(2814),
    [anon_sym_ATsynchronized] = ACTIONS(2814),
    [anon_sym_BOOL] = ACTIONS(2812),
    [anon_sym_IMP] = ACTIONS(2812),
    [anon_sym_SEL] = ACTIONS(2812),
    [anon_sym_Class] = ACTIONS(2812),
    [anon_sym_id] = ACTIONS(2812),
  },
  [616] = {
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_include_token1] = ACTIONS(2816),
    [aux_sym_preproc_include_token2] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token2] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_SEMI] = ACTIONS(2818),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym___attribute] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___cdecl] = ACTIONS(2816),
    [anon_sym___clrcall] = ACTIONS(2816),
    [anon_sym___stdcall] = ACTIONS(2816),
    [anon_sym___fastcall] = ACTIONS(2816),
    [anon_sym___thiscall] = ACTIONS(2816),
    [anon_sym___vectorcall] = ACTIONS(2816),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_ATautoreleasepool] = ACTIONS(2818),
    [anon_sym_auto] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_CG_EXTERN] = ACTIONS(2816),
    [anon_sym_CG_INLINE] = ACTIONS(2816),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2816),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2816),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2816),
    [anon_sym_IBOutlet] = ACTIONS(2816),
    [anon_sym_IBInspectable] = ACTIONS(2816),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2816),
    [anon_sym_NS_INLINE] = ACTIONS(2816),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2816),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2816),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2816),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym__Nonnull] = ACTIONS(2816),
    [anon_sym_nullable] = ACTIONS(2816),
    [anon_sym__Complex] = ACTIONS(2816),
    [anon_sym__Nullable] = ACTIONS(2816),
    [anon_sym__Nullable_result] = ACTIONS(2816),
    [anon_sym__Null_unspecified] = ACTIONS(2816),
    [anon_sym___autoreleasing] = ACTIONS(2816),
    [anon_sym___block] = ACTIONS(2816),
    [anon_sym___bridge] = ACTIONS(2816),
    [anon_sym___bridge_retained] = ACTIONS(2816),
    [anon_sym___bridge_transfer] = ACTIONS(2816),
    [anon_sym___complex] = ACTIONS(2816),
    [anon_sym___const] = ACTIONS(2816),
    [anon_sym___imag] = ACTIONS(2816),
    [anon_sym___kindof] = ACTIONS(2816),
    [anon_sym___nonnull] = ACTIONS(2816),
    [anon_sym___nullable] = ACTIONS(2816),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2816),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2816),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2816),
    [anon_sym___real] = ACTIONS(2816),
    [anon_sym___strong] = ACTIONS(2816),
    [anon_sym___unsafe_unretained] = ACTIONS(2816),
    [anon_sym___unused] = ACTIONS(2816),
    [anon_sym___weak] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [anon_sym_if] = ACTIONS(2816),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_case] = ACTIONS(2816),
    [anon_sym_default] = ACTIONS(2816),
    [anon_sym_while] = ACTIONS(2816),
    [anon_sym_do] = ACTIONS(2816),
    [anon_sym_for] = ACTIONS(2816),
    [anon_sym_in] = ACTIONS(2816),
    [anon_sym_return] = ACTIONS(2816),
    [anon_sym_break] = ACTIONS(2816),
    [anon_sym_continue] = ACTIONS(2816),
    [anon_sym_goto] = ACTIONS(2816),
    [anon_sym_DASH_DASH] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2818),
    [anon_sym_sizeof] = ACTIONS(2816),
    [anon_sym___alignof__] = ACTIONS(2816),
    [anon_sym___alignof] = ACTIONS(2816),
    [anon_sym__alignof] = ACTIONS(2816),
    [anon_sym_alignof] = ACTIONS(2816),
    [anon_sym__Alignof] = ACTIONS(2816),
    [anon_sym_offsetof] = ACTIONS(2816),
    [anon_sym__Generic] = ACTIONS(2816),
    [anon_sym_asm] = ACTIONS(2816),
    [anon_sym___asm__] = ACTIONS(2816),
    [anon_sym___asm] = ACTIONS(2816),
    [sym_number_literal] = ACTIONS(2818),
    [anon_sym_L_SQUOTE] = ACTIONS(2818),
    [anon_sym_u_SQUOTE] = ACTIONS(2818),
    [anon_sym_U_SQUOTE] = ACTIONS(2818),
    [anon_sym_u8_SQUOTE] = ACTIONS(2818),
    [anon_sym_SQUOTE] = ACTIONS(2818),
    [anon_sym_AT] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2818),
    [anon_sym_L_DQUOTE] = ACTIONS(2818),
    [anon_sym_u_DQUOTE] = ACTIONS(2818),
    [anon_sym_U_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8_DQUOTE] = ACTIONS(2818),
    [sym_true] = ACTIONS(2816),
    [sym_false] = ACTIONS(2816),
    [anon_sym_NULL] = ACTIONS(2816),
    [anon_sym_nullptr] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2816),
    [anon_sym___typeof] = ACTIONS(2816),
    [anon_sym_typeof] = ACTIONS(2816),
    [anon_sym_ATimport] = ACTIONS(2818),
    [aux_sym_preproc_undef_token1] = ACTIONS(2816),
    [anon_sym_POUND] = ACTIONS(2816),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2816),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2816),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2816),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2816),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2816),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2816),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2816),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2816),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2816),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2816),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2816),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2816),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2816),
    [anon_sym_API_AVAILABLE] = ACTIONS(2816),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2816),
    [anon_sym_API_DEPRECATED] = ACTIONS(2816),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2816),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2816),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2816),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2816),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2816),
    [anon_sym___deprecated_msg] = ACTIONS(2816),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2816),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2816),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2816),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2816),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2816),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2816),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2816),
    [anon_sym_ATprotocol] = ACTIONS(2818),
    [anon_sym_ATinterface] = ACTIONS(2818),
    [anon_sym_ATimplementation] = ACTIONS(2818),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2818),
    [anon_sym_ATsynthesize] = ACTIONS(2818),
    [anon_sym_ATdynamic] = ACTIONS(2818),
    [anon_sym_ATtry] = ACTIONS(2818),
    [anon_sym___try] = ACTIONS(2816),
    [anon_sym_ATthrow] = ACTIONS(2818),
    [anon_sym_ATselector] = ACTIONS(2818),
    [anon_sym_ATavailable] = ACTIONS(2818),
    [anon_sym___builtin_available] = ACTIONS(2816),
    [anon_sym_va_arg] = ACTIONS(2816),
    [anon_sym_ATencode] = ACTIONS(2818),
    [anon_sym_ATsynchronized] = ACTIONS(2818),
    [anon_sym_BOOL] = ACTIONS(2816),
    [anon_sym_IMP] = ACTIONS(2816),
    [anon_sym_SEL] = ACTIONS(2816),
    [anon_sym_Class] = ACTIONS(2816),
    [anon_sym_id] = ACTIONS(2816),
  },
  [617] = {
    [sym_identifier] = ACTIONS(2820),
    [aux_sym_preproc_include_token1] = ACTIONS(2820),
    [aux_sym_preproc_include_token2] = ACTIONS(2820),
    [aux_sym_preproc_def_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token2] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2820),
    [sym_preproc_directive] = ACTIONS(2820),
    [anon_sym_LPAREN2] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2820),
    [anon_sym_PLUS] = ACTIONS(2820),
    [anon_sym_STAR] = ACTIONS(2822),
    [anon_sym_CARET] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2822),
    [anon_sym___extension__] = ACTIONS(2820),
    [anon_sym_typedef] = ACTIONS(2820),
    [anon_sym_extern] = ACTIONS(2820),
    [anon_sym___attribute__] = ACTIONS(2820),
    [anon_sym___attribute] = ACTIONS(2820),
    [anon_sym_noreturn] = ACTIONS(2820),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym___declspec] = ACTIONS(2820),
    [anon_sym___cdecl] = ACTIONS(2820),
    [anon_sym___clrcall] = ACTIONS(2820),
    [anon_sym___stdcall] = ACTIONS(2820),
    [anon_sym___fastcall] = ACTIONS(2820),
    [anon_sym___thiscall] = ACTIONS(2820),
    [anon_sym___vectorcall] = ACTIONS(2820),
    [anon_sym_LBRACE] = ACTIONS(2822),
    [anon_sym_signed] = ACTIONS(2820),
    [anon_sym_unsigned] = ACTIONS(2820),
    [anon_sym_long] = ACTIONS(2820),
    [anon_sym_short] = ACTIONS(2820),
    [anon_sym_static] = ACTIONS(2820),
    [anon_sym_ATautoreleasepool] = ACTIONS(2822),
    [anon_sym_auto] = ACTIONS(2820),
    [anon_sym_register] = ACTIONS(2820),
    [anon_sym_inline] = ACTIONS(2820),
    [anon_sym___inline] = ACTIONS(2820),
    [anon_sym___inline__] = ACTIONS(2820),
    [anon_sym___forceinline] = ACTIONS(2820),
    [anon_sym_thread_local] = ACTIONS(2820),
    [anon_sym___thread] = ACTIONS(2820),
    [anon_sym_CG_EXTERN] = ACTIONS(2820),
    [anon_sym_CG_INLINE] = ACTIONS(2820),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2820),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2820),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2820),
    [anon_sym_IBOutlet] = ACTIONS(2820),
    [anon_sym_IBInspectable] = ACTIONS(2820),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2820),
    [anon_sym_NS_INLINE] = ACTIONS(2820),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2820),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2820),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2820),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2820),
    [anon_sym_const] = ACTIONS(2820),
    [anon_sym_constexpr] = ACTIONS(2820),
    [anon_sym_volatile] = ACTIONS(2820),
    [anon_sym_restrict] = ACTIONS(2820),
    [anon_sym___restrict__] = ACTIONS(2820),
    [anon_sym__Atomic] = ACTIONS(2820),
    [anon_sym__Noreturn] = ACTIONS(2820),
    [anon_sym__Nonnull] = ACTIONS(2820),
    [anon_sym_nullable] = ACTIONS(2820),
    [anon_sym__Complex] = ACTIONS(2820),
    [anon_sym__Nullable] = ACTIONS(2820),
    [anon_sym__Nullable_result] = ACTIONS(2820),
    [anon_sym__Null_unspecified] = ACTIONS(2820),
    [anon_sym___autoreleasing] = ACTIONS(2820),
    [anon_sym___block] = ACTIONS(2820),
    [anon_sym___bridge] = ACTIONS(2820),
    [anon_sym___bridge_retained] = ACTIONS(2820),
    [anon_sym___bridge_transfer] = ACTIONS(2820),
    [anon_sym___complex] = ACTIONS(2820),
    [anon_sym___const] = ACTIONS(2820),
    [anon_sym___imag] = ACTIONS(2820),
    [anon_sym___kindof] = ACTIONS(2820),
    [anon_sym___nonnull] = ACTIONS(2820),
    [anon_sym___nullable] = ACTIONS(2820),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2820),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2820),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2820),
    [anon_sym___real] = ACTIONS(2820),
    [anon_sym___strong] = ACTIONS(2820),
    [anon_sym___unsafe_unretained] = ACTIONS(2820),
    [anon_sym___unused] = ACTIONS(2820),
    [anon_sym___weak] = ACTIONS(2820),
    [anon_sym_alignas] = ACTIONS(2820),
    [anon_sym__Alignas] = ACTIONS(2820),
    [sym_primitive_type] = ACTIONS(2820),
    [anon_sym_enum] = ACTIONS(2820),
    [anon_sym_struct] = ACTIONS(2820),
    [anon_sym_union] = ACTIONS(2820),
    [anon_sym_if] = ACTIONS(2820),
    [anon_sym_switch] = ACTIONS(2820),
    [anon_sym_case] = ACTIONS(2820),
    [anon_sym_default] = ACTIONS(2820),
    [anon_sym_while] = ACTIONS(2820),
    [anon_sym_do] = ACTIONS(2820),
    [anon_sym_for] = ACTIONS(2820),
    [anon_sym_in] = ACTIONS(2820),
    [anon_sym_return] = ACTIONS(2820),
    [anon_sym_break] = ACTIONS(2820),
    [anon_sym_continue] = ACTIONS(2820),
    [anon_sym_goto] = ACTIONS(2820),
    [anon_sym_DASH_DASH] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2822),
    [anon_sym_sizeof] = ACTIONS(2820),
    [anon_sym___alignof__] = ACTIONS(2820),
    [anon_sym___alignof] = ACTIONS(2820),
    [anon_sym__alignof] = ACTIONS(2820),
    [anon_sym_alignof] = ACTIONS(2820),
    [anon_sym__Alignof] = ACTIONS(2820),
    [anon_sym_offsetof] = ACTIONS(2820),
    [anon_sym__Generic] = ACTIONS(2820),
    [anon_sym_asm] = ACTIONS(2820),
    [anon_sym___asm__] = ACTIONS(2820),
    [anon_sym___asm] = ACTIONS(2820),
    [sym_number_literal] = ACTIONS(2822),
    [anon_sym_L_SQUOTE] = ACTIONS(2822),
    [anon_sym_u_SQUOTE] = ACTIONS(2822),
    [anon_sym_U_SQUOTE] = ACTIONS(2822),
    [anon_sym_u8_SQUOTE] = ACTIONS(2822),
    [anon_sym_SQUOTE] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2820),
    [anon_sym_DQUOTE] = ACTIONS(2822),
    [anon_sym_L_DQUOTE] = ACTIONS(2822),
    [anon_sym_u_DQUOTE] = ACTIONS(2822),
    [anon_sym_U_DQUOTE] = ACTIONS(2822),
    [anon_sym_u8_DQUOTE] = ACTIONS(2822),
    [sym_true] = ACTIONS(2820),
    [sym_false] = ACTIONS(2820),
    [anon_sym_NULL] = ACTIONS(2820),
    [anon_sym_nullptr] = ACTIONS(2820),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2820),
    [anon_sym___typeof] = ACTIONS(2820),
    [anon_sym_typeof] = ACTIONS(2820),
    [anon_sym_ATimport] = ACTIONS(2822),
    [aux_sym_preproc_undef_token1] = ACTIONS(2820),
    [anon_sym_POUND] = ACTIONS(2820),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2820),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2820),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2820),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2820),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2820),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2820),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2820),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2820),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2820),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2820),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2820),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2820),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2820),
    [anon_sym_API_AVAILABLE] = ACTIONS(2820),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2820),
    [anon_sym_API_DEPRECATED] = ACTIONS(2820),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2820),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2820),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2820),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2820),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2820),
    [anon_sym___deprecated_msg] = ACTIONS(2820),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2820),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2820),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2820),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2820),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2820),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2820),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2820),
    [anon_sym_ATprotocol] = ACTIONS(2822),
    [anon_sym_ATinterface] = ACTIONS(2822),
    [anon_sym_ATimplementation] = ACTIONS(2822),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2822),
    [anon_sym_ATsynthesize] = ACTIONS(2822),
    [anon_sym_ATdynamic] = ACTIONS(2822),
    [anon_sym_ATtry] = ACTIONS(2822),
    [anon_sym___try] = ACTIONS(2820),
    [anon_sym_ATthrow] = ACTIONS(2822),
    [anon_sym_ATselector] = ACTIONS(2822),
    [anon_sym_ATavailable] = ACTIONS(2822),
    [anon_sym___builtin_available] = ACTIONS(2820),
    [anon_sym_va_arg] = ACTIONS(2820),
    [anon_sym_ATencode] = ACTIONS(2822),
    [anon_sym_ATsynchronized] = ACTIONS(2822),
    [anon_sym_BOOL] = ACTIONS(2820),
    [anon_sym_IMP] = ACTIONS(2820),
    [anon_sym_SEL] = ACTIONS(2820),
    [anon_sym_Class] = ACTIONS(2820),
    [anon_sym_id] = ACTIONS(2820),
  },
  [618] = {
    [sym_identifier] = ACTIONS(2824),
    [aux_sym_preproc_include_token1] = ACTIONS(2824),
    [aux_sym_preproc_include_token2] = ACTIONS(2824),
    [aux_sym_preproc_def_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token2] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2824),
    [sym_preproc_directive] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2826),
    [anon_sym_BANG] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_DASH] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2824),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2826),
    [anon_sym___extension__] = ACTIONS(2824),
    [anon_sym_typedef] = ACTIONS(2824),
    [anon_sym_extern] = ACTIONS(2824),
    [anon_sym___attribute__] = ACTIONS(2824),
    [anon_sym___attribute] = ACTIONS(2824),
    [anon_sym_noreturn] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym___declspec] = ACTIONS(2824),
    [anon_sym___cdecl] = ACTIONS(2824),
    [anon_sym___clrcall] = ACTIONS(2824),
    [anon_sym___stdcall] = ACTIONS(2824),
    [anon_sym___fastcall] = ACTIONS(2824),
    [anon_sym___thiscall] = ACTIONS(2824),
    [anon_sym___vectorcall] = ACTIONS(2824),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_signed] = ACTIONS(2824),
    [anon_sym_unsigned] = ACTIONS(2824),
    [anon_sym_long] = ACTIONS(2824),
    [anon_sym_short] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_ATautoreleasepool] = ACTIONS(2826),
    [anon_sym_auto] = ACTIONS(2824),
    [anon_sym_register] = ACTIONS(2824),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym___inline] = ACTIONS(2824),
    [anon_sym___inline__] = ACTIONS(2824),
    [anon_sym___forceinline] = ACTIONS(2824),
    [anon_sym_thread_local] = ACTIONS(2824),
    [anon_sym___thread] = ACTIONS(2824),
    [anon_sym_CG_EXTERN] = ACTIONS(2824),
    [anon_sym_CG_INLINE] = ACTIONS(2824),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2824),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2824),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2824),
    [anon_sym_IBOutlet] = ACTIONS(2824),
    [anon_sym_IBInspectable] = ACTIONS(2824),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2824),
    [anon_sym_NS_INLINE] = ACTIONS(2824),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2824),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2824),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2824),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_constexpr] = ACTIONS(2824),
    [anon_sym_volatile] = ACTIONS(2824),
    [anon_sym_restrict] = ACTIONS(2824),
    [anon_sym___restrict__] = ACTIONS(2824),
    [anon_sym__Atomic] = ACTIONS(2824),
    [anon_sym__Noreturn] = ACTIONS(2824),
    [anon_sym__Nonnull] = ACTIONS(2824),
    [anon_sym_nullable] = ACTIONS(2824),
    [anon_sym__Complex] = ACTIONS(2824),
    [anon_sym__Nullable] = ACTIONS(2824),
    [anon_sym__Nullable_result] = ACTIONS(2824),
    [anon_sym__Null_unspecified] = ACTIONS(2824),
    [anon_sym___autoreleasing] = ACTIONS(2824),
    [anon_sym___block] = ACTIONS(2824),
    [anon_sym___bridge] = ACTIONS(2824),
    [anon_sym___bridge_retained] = ACTIONS(2824),
    [anon_sym___bridge_transfer] = ACTIONS(2824),
    [anon_sym___complex] = ACTIONS(2824),
    [anon_sym___const] = ACTIONS(2824),
    [anon_sym___imag] = ACTIONS(2824),
    [anon_sym___kindof] = ACTIONS(2824),
    [anon_sym___nonnull] = ACTIONS(2824),
    [anon_sym___nullable] = ACTIONS(2824),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2824),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2824),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2824),
    [anon_sym___real] = ACTIONS(2824),
    [anon_sym___strong] = ACTIONS(2824),
    [anon_sym___unsafe_unretained] = ACTIONS(2824),
    [anon_sym___unused] = ACTIONS(2824),
    [anon_sym___weak] = ACTIONS(2824),
    [anon_sym_alignas] = ACTIONS(2824),
    [anon_sym__Alignas] = ACTIONS(2824),
    [sym_primitive_type] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [anon_sym_struct] = ACTIONS(2824),
    [anon_sym_union] = ACTIONS(2824),
    [anon_sym_if] = ACTIONS(2824),
    [anon_sym_switch] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2824),
    [anon_sym_default] = ACTIONS(2824),
    [anon_sym_while] = ACTIONS(2824),
    [anon_sym_do] = ACTIONS(2824),
    [anon_sym_for] = ACTIONS(2824),
    [anon_sym_in] = ACTIONS(2824),
    [anon_sym_return] = ACTIONS(2824),
    [anon_sym_break] = ACTIONS(2824),
    [anon_sym_continue] = ACTIONS(2824),
    [anon_sym_goto] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_sizeof] = ACTIONS(2824),
    [anon_sym___alignof__] = ACTIONS(2824),
    [anon_sym___alignof] = ACTIONS(2824),
    [anon_sym__alignof] = ACTIONS(2824),
    [anon_sym_alignof] = ACTIONS(2824),
    [anon_sym__Alignof] = ACTIONS(2824),
    [anon_sym_offsetof] = ACTIONS(2824),
    [anon_sym__Generic] = ACTIONS(2824),
    [anon_sym_asm] = ACTIONS(2824),
    [anon_sym___asm__] = ACTIONS(2824),
    [anon_sym___asm] = ACTIONS(2824),
    [sym_number_literal] = ACTIONS(2826),
    [anon_sym_L_SQUOTE] = ACTIONS(2826),
    [anon_sym_u_SQUOTE] = ACTIONS(2826),
    [anon_sym_U_SQUOTE] = ACTIONS(2826),
    [anon_sym_u8_SQUOTE] = ACTIONS(2826),
    [anon_sym_SQUOTE] = ACTIONS(2826),
    [anon_sym_AT] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2826),
    [anon_sym_L_DQUOTE] = ACTIONS(2826),
    [anon_sym_u_DQUOTE] = ACTIONS(2826),
    [anon_sym_U_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8_DQUOTE] = ACTIONS(2826),
    [sym_true] = ACTIONS(2824),
    [sym_false] = ACTIONS(2824),
    [anon_sym_NULL] = ACTIONS(2824),
    [anon_sym_nullptr] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2824),
    [anon_sym___typeof] = ACTIONS(2824),
    [anon_sym_typeof] = ACTIONS(2824),
    [anon_sym_ATimport] = ACTIONS(2826),
    [aux_sym_preproc_undef_token1] = ACTIONS(2824),
    [anon_sym_POUND] = ACTIONS(2824),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2824),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2824),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2824),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2824),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2824),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2824),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2824),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2824),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2824),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2824),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2824),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2824),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2824),
    [anon_sym_API_AVAILABLE] = ACTIONS(2824),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2824),
    [anon_sym_API_DEPRECATED] = ACTIONS(2824),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2824),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2824),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2824),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2824),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2824),
    [anon_sym___deprecated_msg] = ACTIONS(2824),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2824),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2824),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2824),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2824),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2824),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2824),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2824),
    [anon_sym_ATprotocol] = ACTIONS(2826),
    [anon_sym_ATinterface] = ACTIONS(2826),
    [anon_sym_ATimplementation] = ACTIONS(2826),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2826),
    [anon_sym_ATsynthesize] = ACTIONS(2826),
    [anon_sym_ATdynamic] = ACTIONS(2826),
    [anon_sym_ATtry] = ACTIONS(2826),
    [anon_sym___try] = ACTIONS(2824),
    [anon_sym_ATthrow] = ACTIONS(2826),
    [anon_sym_ATselector] = ACTIONS(2826),
    [anon_sym_ATavailable] = ACTIONS(2826),
    [anon_sym___builtin_available] = ACTIONS(2824),
    [anon_sym_va_arg] = ACTIONS(2824),
    [anon_sym_ATencode] = ACTIONS(2826),
    [anon_sym_ATsynchronized] = ACTIONS(2826),
    [anon_sym_BOOL] = ACTIONS(2824),
    [anon_sym_IMP] = ACTIONS(2824),
    [anon_sym_SEL] = ACTIONS(2824),
    [anon_sym_Class] = ACTIONS(2824),
    [anon_sym_id] = ACTIONS(2824),
  },
  [619] = {
    [sym_identifier] = ACTIONS(2828),
    [aux_sym_preproc_include_token1] = ACTIONS(2828),
    [aux_sym_preproc_include_token2] = ACTIONS(2828),
    [aux_sym_preproc_def_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token2] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2828),
    [sym_preproc_directive] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2830),
    [anon_sym_BANG] = ACTIONS(2830),
    [anon_sym_TILDE] = ACTIONS(2830),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2830),
    [anon_sym_CARET] = ACTIONS(2830),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_SEMI] = ACTIONS(2830),
    [anon_sym___extension__] = ACTIONS(2828),
    [anon_sym_typedef] = ACTIONS(2828),
    [anon_sym_extern] = ACTIONS(2828),
    [anon_sym___attribute__] = ACTIONS(2828),
    [anon_sym___attribute] = ACTIONS(2828),
    [anon_sym_noreturn] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym___declspec] = ACTIONS(2828),
    [anon_sym___cdecl] = ACTIONS(2828),
    [anon_sym___clrcall] = ACTIONS(2828),
    [anon_sym___stdcall] = ACTIONS(2828),
    [anon_sym___fastcall] = ACTIONS(2828),
    [anon_sym___thiscall] = ACTIONS(2828),
    [anon_sym___vectorcall] = ACTIONS(2828),
    [anon_sym_LBRACE] = ACTIONS(2830),
    [anon_sym_signed] = ACTIONS(2828),
    [anon_sym_unsigned] = ACTIONS(2828),
    [anon_sym_long] = ACTIONS(2828),
    [anon_sym_short] = ACTIONS(2828),
    [anon_sym_static] = ACTIONS(2828),
    [anon_sym_ATautoreleasepool] = ACTIONS(2830),
    [anon_sym_auto] = ACTIONS(2828),
    [anon_sym_register] = ACTIONS(2828),
    [anon_sym_inline] = ACTIONS(2828),
    [anon_sym___inline] = ACTIONS(2828),
    [anon_sym___inline__] = ACTIONS(2828),
    [anon_sym___forceinline] = ACTIONS(2828),
    [anon_sym_thread_local] = ACTIONS(2828),
    [anon_sym___thread] = ACTIONS(2828),
    [anon_sym_CG_EXTERN] = ACTIONS(2828),
    [anon_sym_CG_INLINE] = ACTIONS(2828),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2828),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2828),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2828),
    [anon_sym_IBOutlet] = ACTIONS(2828),
    [anon_sym_IBInspectable] = ACTIONS(2828),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2828),
    [anon_sym_NS_INLINE] = ACTIONS(2828),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2828),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2828),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2828),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2828),
    [anon_sym_const] = ACTIONS(2828),
    [anon_sym_constexpr] = ACTIONS(2828),
    [anon_sym_volatile] = ACTIONS(2828),
    [anon_sym_restrict] = ACTIONS(2828),
    [anon_sym___restrict__] = ACTIONS(2828),
    [anon_sym__Atomic] = ACTIONS(2828),
    [anon_sym__Noreturn] = ACTIONS(2828),
    [anon_sym__Nonnull] = ACTIONS(2828),
    [anon_sym_nullable] = ACTIONS(2828),
    [anon_sym__Complex] = ACTIONS(2828),
    [anon_sym__Nullable] = ACTIONS(2828),
    [anon_sym__Nullable_result] = ACTIONS(2828),
    [anon_sym__Null_unspecified] = ACTIONS(2828),
    [anon_sym___autoreleasing] = ACTIONS(2828),
    [anon_sym___block] = ACTIONS(2828),
    [anon_sym___bridge] = ACTIONS(2828),
    [anon_sym___bridge_retained] = ACTIONS(2828),
    [anon_sym___bridge_transfer] = ACTIONS(2828),
    [anon_sym___complex] = ACTIONS(2828),
    [anon_sym___const] = ACTIONS(2828),
    [anon_sym___imag] = ACTIONS(2828),
    [anon_sym___kindof] = ACTIONS(2828),
    [anon_sym___nonnull] = ACTIONS(2828),
    [anon_sym___nullable] = ACTIONS(2828),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2828),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2828),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2828),
    [anon_sym___real] = ACTIONS(2828),
    [anon_sym___strong] = ACTIONS(2828),
    [anon_sym___unsafe_unretained] = ACTIONS(2828),
    [anon_sym___unused] = ACTIONS(2828),
    [anon_sym___weak] = ACTIONS(2828),
    [anon_sym_alignas] = ACTIONS(2828),
    [anon_sym__Alignas] = ACTIONS(2828),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_enum] = ACTIONS(2828),
    [anon_sym_struct] = ACTIONS(2828),
    [anon_sym_union] = ACTIONS(2828),
    [anon_sym_if] = ACTIONS(2828),
    [anon_sym_switch] = ACTIONS(2828),
    [anon_sym_case] = ACTIONS(2828),
    [anon_sym_default] = ACTIONS(2828),
    [anon_sym_while] = ACTIONS(2828),
    [anon_sym_do] = ACTIONS(2828),
    [anon_sym_for] = ACTIONS(2828),
    [anon_sym_in] = ACTIONS(2828),
    [anon_sym_return] = ACTIONS(2828),
    [anon_sym_break] = ACTIONS(2828),
    [anon_sym_continue] = ACTIONS(2828),
    [anon_sym_goto] = ACTIONS(2828),
    [anon_sym_DASH_DASH] = ACTIONS(2830),
    [anon_sym_PLUS_PLUS] = ACTIONS(2830),
    [anon_sym_sizeof] = ACTIONS(2828),
    [anon_sym___alignof__] = ACTIONS(2828),
    [anon_sym___alignof] = ACTIONS(2828),
    [anon_sym__alignof] = ACTIONS(2828),
    [anon_sym_alignof] = ACTIONS(2828),
    [anon_sym__Alignof] = ACTIONS(2828),
    [anon_sym_offsetof] = ACTIONS(2828),
    [anon_sym__Generic] = ACTIONS(2828),
    [anon_sym_asm] = ACTIONS(2828),
    [anon_sym___asm__] = ACTIONS(2828),
    [anon_sym___asm] = ACTIONS(2828),
    [sym_number_literal] = ACTIONS(2830),
    [anon_sym_L_SQUOTE] = ACTIONS(2830),
    [anon_sym_u_SQUOTE] = ACTIONS(2830),
    [anon_sym_U_SQUOTE] = ACTIONS(2830),
    [anon_sym_u8_SQUOTE] = ACTIONS(2830),
    [anon_sym_SQUOTE] = ACTIONS(2830),
    [anon_sym_AT] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2830),
    [anon_sym_L_DQUOTE] = ACTIONS(2830),
    [anon_sym_u_DQUOTE] = ACTIONS(2830),
    [anon_sym_U_DQUOTE] = ACTIONS(2830),
    [anon_sym_u8_DQUOTE] = ACTIONS(2830),
    [sym_true] = ACTIONS(2828),
    [sym_false] = ACTIONS(2828),
    [anon_sym_NULL] = ACTIONS(2828),
    [anon_sym_nullptr] = ACTIONS(2828),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2828),
    [anon_sym___typeof] = ACTIONS(2828),
    [anon_sym_typeof] = ACTIONS(2828),
    [anon_sym_ATimport] = ACTIONS(2830),
    [aux_sym_preproc_undef_token1] = ACTIONS(2828),
    [anon_sym_POUND] = ACTIONS(2828),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2828),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2828),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2828),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2828),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2828),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2828),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2828),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2828),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2828),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2828),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2828),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2828),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2828),
    [anon_sym_API_AVAILABLE] = ACTIONS(2828),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2828),
    [anon_sym_API_DEPRECATED] = ACTIONS(2828),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2828),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2828),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2828),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2828),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2828),
    [anon_sym___deprecated_msg] = ACTIONS(2828),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2828),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2828),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2828),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2828),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2828),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2828),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2828),
    [anon_sym_ATprotocol] = ACTIONS(2830),
    [anon_sym_ATinterface] = ACTIONS(2830),
    [anon_sym_ATimplementation] = ACTIONS(2830),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2830),
    [anon_sym_ATsynthesize] = ACTIONS(2830),
    [anon_sym_ATdynamic] = ACTIONS(2830),
    [anon_sym_ATtry] = ACTIONS(2830),
    [anon_sym___try] = ACTIONS(2828),
    [anon_sym_ATthrow] = ACTIONS(2830),
    [anon_sym_ATselector] = ACTIONS(2830),
    [anon_sym_ATavailable] = ACTIONS(2830),
    [anon_sym___builtin_available] = ACTIONS(2828),
    [anon_sym_va_arg] = ACTIONS(2828),
    [anon_sym_ATencode] = ACTIONS(2830),
    [anon_sym_ATsynchronized] = ACTIONS(2830),
    [anon_sym_BOOL] = ACTIONS(2828),
    [anon_sym_IMP] = ACTIONS(2828),
    [anon_sym_SEL] = ACTIONS(2828),
    [anon_sym_Class] = ACTIONS(2828),
    [anon_sym_id] = ACTIONS(2828),
  },
  [620] = {
    [sym_identifier] = ACTIONS(2832),
    [aux_sym_preproc_include_token1] = ACTIONS(2832),
    [aux_sym_preproc_include_token2] = ACTIONS(2832),
    [aux_sym_preproc_def_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token2] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2832),
    [sym_preproc_directive] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2834),
    [anon_sym_TILDE] = ACTIONS(2834),
    [anon_sym_DASH] = ACTIONS(2832),
    [anon_sym_PLUS] = ACTIONS(2832),
    [anon_sym_STAR] = ACTIONS(2834),
    [anon_sym_CARET] = ACTIONS(2834),
    [anon_sym_AMP] = ACTIONS(2834),
    [anon_sym_SEMI] = ACTIONS(2834),
    [anon_sym___extension__] = ACTIONS(2832),
    [anon_sym_typedef] = ACTIONS(2832),
    [anon_sym_extern] = ACTIONS(2832),
    [anon_sym___attribute__] = ACTIONS(2832),
    [anon_sym___attribute] = ACTIONS(2832),
    [anon_sym_noreturn] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2834),
    [anon_sym___declspec] = ACTIONS(2832),
    [anon_sym___cdecl] = ACTIONS(2832),
    [anon_sym___clrcall] = ACTIONS(2832),
    [anon_sym___stdcall] = ACTIONS(2832),
    [anon_sym___fastcall] = ACTIONS(2832),
    [anon_sym___thiscall] = ACTIONS(2832),
    [anon_sym___vectorcall] = ACTIONS(2832),
    [anon_sym_LBRACE] = ACTIONS(2834),
    [anon_sym_signed] = ACTIONS(2832),
    [anon_sym_unsigned] = ACTIONS(2832),
    [anon_sym_long] = ACTIONS(2832),
    [anon_sym_short] = ACTIONS(2832),
    [anon_sym_static] = ACTIONS(2832),
    [anon_sym_ATautoreleasepool] = ACTIONS(2834),
    [anon_sym_auto] = ACTIONS(2832),
    [anon_sym_register] = ACTIONS(2832),
    [anon_sym_inline] = ACTIONS(2832),
    [anon_sym___inline] = ACTIONS(2832),
    [anon_sym___inline__] = ACTIONS(2832),
    [anon_sym___forceinline] = ACTIONS(2832),
    [anon_sym_thread_local] = ACTIONS(2832),
    [anon_sym___thread] = ACTIONS(2832),
    [anon_sym_CG_EXTERN] = ACTIONS(2832),
    [anon_sym_CG_INLINE] = ACTIONS(2832),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2832),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2832),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2832),
    [anon_sym_IBOutlet] = ACTIONS(2832),
    [anon_sym_IBInspectable] = ACTIONS(2832),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2832),
    [anon_sym_NS_INLINE] = ACTIONS(2832),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2832),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2832),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2832),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2832),
    [anon_sym_const] = ACTIONS(2832),
    [anon_sym_constexpr] = ACTIONS(2832),
    [anon_sym_volatile] = ACTIONS(2832),
    [anon_sym_restrict] = ACTIONS(2832),
    [anon_sym___restrict__] = ACTIONS(2832),
    [anon_sym__Atomic] = ACTIONS(2832),
    [anon_sym__Noreturn] = ACTIONS(2832),
    [anon_sym__Nonnull] = ACTIONS(2832),
    [anon_sym_nullable] = ACTIONS(2832),
    [anon_sym__Complex] = ACTIONS(2832),
    [anon_sym__Nullable] = ACTIONS(2832),
    [anon_sym__Nullable_result] = ACTIONS(2832),
    [anon_sym__Null_unspecified] = ACTIONS(2832),
    [anon_sym___autoreleasing] = ACTIONS(2832),
    [anon_sym___block] = ACTIONS(2832),
    [anon_sym___bridge] = ACTIONS(2832),
    [anon_sym___bridge_retained] = ACTIONS(2832),
    [anon_sym___bridge_transfer] = ACTIONS(2832),
    [anon_sym___complex] = ACTIONS(2832),
    [anon_sym___const] = ACTIONS(2832),
    [anon_sym___imag] = ACTIONS(2832),
    [anon_sym___kindof] = ACTIONS(2832),
    [anon_sym___nonnull] = ACTIONS(2832),
    [anon_sym___nullable] = ACTIONS(2832),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2832),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2832),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2832),
    [anon_sym___real] = ACTIONS(2832),
    [anon_sym___strong] = ACTIONS(2832),
    [anon_sym___unsafe_unretained] = ACTIONS(2832),
    [anon_sym___unused] = ACTIONS(2832),
    [anon_sym___weak] = ACTIONS(2832),
    [anon_sym_alignas] = ACTIONS(2832),
    [anon_sym__Alignas] = ACTIONS(2832),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_enum] = ACTIONS(2832),
    [anon_sym_struct] = ACTIONS(2832),
    [anon_sym_union] = ACTIONS(2832),
    [anon_sym_if] = ACTIONS(2832),
    [anon_sym_switch] = ACTIONS(2832),
    [anon_sym_case] = ACTIONS(2832),
    [anon_sym_default] = ACTIONS(2832),
    [anon_sym_while] = ACTIONS(2832),
    [anon_sym_do] = ACTIONS(2832),
    [anon_sym_for] = ACTIONS(2832),
    [anon_sym_in] = ACTIONS(2832),
    [anon_sym_return] = ACTIONS(2832),
    [anon_sym_break] = ACTIONS(2832),
    [anon_sym_continue] = ACTIONS(2832),
    [anon_sym_goto] = ACTIONS(2832),
    [anon_sym_DASH_DASH] = ACTIONS(2834),
    [anon_sym_PLUS_PLUS] = ACTIONS(2834),
    [anon_sym_sizeof] = ACTIONS(2832),
    [anon_sym___alignof__] = ACTIONS(2832),
    [anon_sym___alignof] = ACTIONS(2832),
    [anon_sym__alignof] = ACTIONS(2832),
    [anon_sym_alignof] = ACTIONS(2832),
    [anon_sym__Alignof] = ACTIONS(2832),
    [anon_sym_offsetof] = ACTIONS(2832),
    [anon_sym__Generic] = ACTIONS(2832),
    [anon_sym_asm] = ACTIONS(2832),
    [anon_sym___asm__] = ACTIONS(2832),
    [anon_sym___asm] = ACTIONS(2832),
    [sym_number_literal] = ACTIONS(2834),
    [anon_sym_L_SQUOTE] = ACTIONS(2834),
    [anon_sym_u_SQUOTE] = ACTIONS(2834),
    [anon_sym_U_SQUOTE] = ACTIONS(2834),
    [anon_sym_u8_SQUOTE] = ACTIONS(2834),
    [anon_sym_SQUOTE] = ACTIONS(2834),
    [anon_sym_AT] = ACTIONS(2832),
    [anon_sym_DQUOTE] = ACTIONS(2834),
    [anon_sym_L_DQUOTE] = ACTIONS(2834),
    [anon_sym_u_DQUOTE] = ACTIONS(2834),
    [anon_sym_U_DQUOTE] = ACTIONS(2834),
    [anon_sym_u8_DQUOTE] = ACTIONS(2834),
    [sym_true] = ACTIONS(2832),
    [sym_false] = ACTIONS(2832),
    [anon_sym_NULL] = ACTIONS(2832),
    [anon_sym_nullptr] = ACTIONS(2832),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2832),
    [anon_sym___typeof] = ACTIONS(2832),
    [anon_sym_typeof] = ACTIONS(2832),
    [anon_sym_ATimport] = ACTIONS(2834),
    [aux_sym_preproc_undef_token1] = ACTIONS(2832),
    [anon_sym_POUND] = ACTIONS(2832),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2832),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2832),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2832),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2832),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2832),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2832),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2832),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2832),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2832),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2832),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2832),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2832),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2832),
    [anon_sym_API_AVAILABLE] = ACTIONS(2832),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2832),
    [anon_sym_API_DEPRECATED] = ACTIONS(2832),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2832),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2832),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2832),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2832),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2832),
    [anon_sym___deprecated_msg] = ACTIONS(2832),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2832),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2832),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2832),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2832),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2832),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2832),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2832),
    [anon_sym_ATprotocol] = ACTIONS(2834),
    [anon_sym_ATinterface] = ACTIONS(2834),
    [anon_sym_ATimplementation] = ACTIONS(2834),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2834),
    [anon_sym_ATsynthesize] = ACTIONS(2834),
    [anon_sym_ATdynamic] = ACTIONS(2834),
    [anon_sym_ATtry] = ACTIONS(2834),
    [anon_sym___try] = ACTIONS(2832),
    [anon_sym_ATthrow] = ACTIONS(2834),
    [anon_sym_ATselector] = ACTIONS(2834),
    [anon_sym_ATavailable] = ACTIONS(2834),
    [anon_sym___builtin_available] = ACTIONS(2832),
    [anon_sym_va_arg] = ACTIONS(2832),
    [anon_sym_ATencode] = ACTIONS(2834),
    [anon_sym_ATsynchronized] = ACTIONS(2834),
    [anon_sym_BOOL] = ACTIONS(2832),
    [anon_sym_IMP] = ACTIONS(2832),
    [anon_sym_SEL] = ACTIONS(2832),
    [anon_sym_Class] = ACTIONS(2832),
    [anon_sym_id] = ACTIONS(2832),
  },
  [621] = {
    [sym_identifier] = ACTIONS(2836),
    [aux_sym_preproc_include_token1] = ACTIONS(2836),
    [aux_sym_preproc_include_token2] = ACTIONS(2836),
    [aux_sym_preproc_def_token1] = ACTIONS(2836),
    [aux_sym_preproc_if_token1] = ACTIONS(2836),
    [aux_sym_preproc_if_token2] = ACTIONS(2836),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2836),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2836),
    [sym_preproc_directive] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2838),
    [anon_sym_TILDE] = ACTIONS(2838),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_STAR] = ACTIONS(2838),
    [anon_sym_CARET] = ACTIONS(2838),
    [anon_sym_AMP] = ACTIONS(2838),
    [anon_sym_SEMI] = ACTIONS(2838),
    [anon_sym___extension__] = ACTIONS(2836),
    [anon_sym_typedef] = ACTIONS(2836),
    [anon_sym_extern] = ACTIONS(2836),
    [anon_sym___attribute__] = ACTIONS(2836),
    [anon_sym___attribute] = ACTIONS(2836),
    [anon_sym_noreturn] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym___declspec] = ACTIONS(2836),
    [anon_sym___cdecl] = ACTIONS(2836),
    [anon_sym___clrcall] = ACTIONS(2836),
    [anon_sym___stdcall] = ACTIONS(2836),
    [anon_sym___fastcall] = ACTIONS(2836),
    [anon_sym___thiscall] = ACTIONS(2836),
    [anon_sym___vectorcall] = ACTIONS(2836),
    [anon_sym_LBRACE] = ACTIONS(2838),
    [anon_sym_signed] = ACTIONS(2836),
    [anon_sym_unsigned] = ACTIONS(2836),
    [anon_sym_long] = ACTIONS(2836),
    [anon_sym_short] = ACTIONS(2836),
    [anon_sym_static] = ACTIONS(2836),
    [anon_sym_ATautoreleasepool] = ACTIONS(2838),
    [anon_sym_auto] = ACTIONS(2836),
    [anon_sym_register] = ACTIONS(2836),
    [anon_sym_inline] = ACTIONS(2836),
    [anon_sym___inline] = ACTIONS(2836),
    [anon_sym___inline__] = ACTIONS(2836),
    [anon_sym___forceinline] = ACTIONS(2836),
    [anon_sym_thread_local] = ACTIONS(2836),
    [anon_sym___thread] = ACTIONS(2836),
    [anon_sym_CG_EXTERN] = ACTIONS(2836),
    [anon_sym_CG_INLINE] = ACTIONS(2836),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2836),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2836),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2836),
    [anon_sym_IBOutlet] = ACTIONS(2836),
    [anon_sym_IBInspectable] = ACTIONS(2836),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2836),
    [anon_sym_NS_INLINE] = ACTIONS(2836),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2836),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2836),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2836),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2836),
    [anon_sym_const] = ACTIONS(2836),
    [anon_sym_constexpr] = ACTIONS(2836),
    [anon_sym_volatile] = ACTIONS(2836),
    [anon_sym_restrict] = ACTIONS(2836),
    [anon_sym___restrict__] = ACTIONS(2836),
    [anon_sym__Atomic] = ACTIONS(2836),
    [anon_sym__Noreturn] = ACTIONS(2836),
    [anon_sym__Nonnull] = ACTIONS(2836),
    [anon_sym_nullable] = ACTIONS(2836),
    [anon_sym__Complex] = ACTIONS(2836),
    [anon_sym__Nullable] = ACTIONS(2836),
    [anon_sym__Nullable_result] = ACTIONS(2836),
    [anon_sym__Null_unspecified] = ACTIONS(2836),
    [anon_sym___autoreleasing] = ACTIONS(2836),
    [anon_sym___block] = ACTIONS(2836),
    [anon_sym___bridge] = ACTIONS(2836),
    [anon_sym___bridge_retained] = ACTIONS(2836),
    [anon_sym___bridge_transfer] = ACTIONS(2836),
    [anon_sym___complex] = ACTIONS(2836),
    [anon_sym___const] = ACTIONS(2836),
    [anon_sym___imag] = ACTIONS(2836),
    [anon_sym___kindof] = ACTIONS(2836),
    [anon_sym___nonnull] = ACTIONS(2836),
    [anon_sym___nullable] = ACTIONS(2836),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2836),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2836),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2836),
    [anon_sym___real] = ACTIONS(2836),
    [anon_sym___strong] = ACTIONS(2836),
    [anon_sym___unsafe_unretained] = ACTIONS(2836),
    [anon_sym___unused] = ACTIONS(2836),
    [anon_sym___weak] = ACTIONS(2836),
    [anon_sym_alignas] = ACTIONS(2836),
    [anon_sym__Alignas] = ACTIONS(2836),
    [sym_primitive_type] = ACTIONS(2836),
    [anon_sym_enum] = ACTIONS(2836),
    [anon_sym_struct] = ACTIONS(2836),
    [anon_sym_union] = ACTIONS(2836),
    [anon_sym_if] = ACTIONS(2836),
    [anon_sym_switch] = ACTIONS(2836),
    [anon_sym_case] = ACTIONS(2836),
    [anon_sym_default] = ACTIONS(2836),
    [anon_sym_while] = ACTIONS(2836),
    [anon_sym_do] = ACTIONS(2836),
    [anon_sym_for] = ACTIONS(2836),
    [anon_sym_in] = ACTIONS(2836),
    [anon_sym_return] = ACTIONS(2836),
    [anon_sym_break] = ACTIONS(2836),
    [anon_sym_continue] = ACTIONS(2836),
    [anon_sym_goto] = ACTIONS(2836),
    [anon_sym_DASH_DASH] = ACTIONS(2838),
    [anon_sym_PLUS_PLUS] = ACTIONS(2838),
    [anon_sym_sizeof] = ACTIONS(2836),
    [anon_sym___alignof__] = ACTIONS(2836),
    [anon_sym___alignof] = ACTIONS(2836),
    [anon_sym__alignof] = ACTIONS(2836),
    [anon_sym_alignof] = ACTIONS(2836),
    [anon_sym__Alignof] = ACTIONS(2836),
    [anon_sym_offsetof] = ACTIONS(2836),
    [anon_sym__Generic] = ACTIONS(2836),
    [anon_sym_asm] = ACTIONS(2836),
    [anon_sym___asm__] = ACTIONS(2836),
    [anon_sym___asm] = ACTIONS(2836),
    [sym_number_literal] = ACTIONS(2838),
    [anon_sym_L_SQUOTE] = ACTIONS(2838),
    [anon_sym_u_SQUOTE] = ACTIONS(2838),
    [anon_sym_U_SQUOTE] = ACTIONS(2838),
    [anon_sym_u8_SQUOTE] = ACTIONS(2838),
    [anon_sym_SQUOTE] = ACTIONS(2838),
    [anon_sym_AT] = ACTIONS(2836),
    [anon_sym_DQUOTE] = ACTIONS(2838),
    [anon_sym_L_DQUOTE] = ACTIONS(2838),
    [anon_sym_u_DQUOTE] = ACTIONS(2838),
    [anon_sym_U_DQUOTE] = ACTIONS(2838),
    [anon_sym_u8_DQUOTE] = ACTIONS(2838),
    [sym_true] = ACTIONS(2836),
    [sym_false] = ACTIONS(2836),
    [anon_sym_NULL] = ACTIONS(2836),
    [anon_sym_nullptr] = ACTIONS(2836),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2836),
    [anon_sym___typeof] = ACTIONS(2836),
    [anon_sym_typeof] = ACTIONS(2836),
    [anon_sym_ATimport] = ACTIONS(2838),
    [aux_sym_preproc_undef_token1] = ACTIONS(2836),
    [anon_sym_POUND] = ACTIONS(2836),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2836),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2836),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2836),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2836),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2836),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2836),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2836),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2836),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2836),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2836),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2836),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2836),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2836),
    [anon_sym_API_AVAILABLE] = ACTIONS(2836),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2836),
    [anon_sym_API_DEPRECATED] = ACTIONS(2836),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2836),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2836),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2836),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2836),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2836),
    [anon_sym___deprecated_msg] = ACTIONS(2836),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2836),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2836),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2836),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2836),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2836),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2836),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2836),
    [anon_sym_ATprotocol] = ACTIONS(2838),
    [anon_sym_ATinterface] = ACTIONS(2838),
    [anon_sym_ATimplementation] = ACTIONS(2838),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2838),
    [anon_sym_ATsynthesize] = ACTIONS(2838),
    [anon_sym_ATdynamic] = ACTIONS(2838),
    [anon_sym_ATtry] = ACTIONS(2838),
    [anon_sym___try] = ACTIONS(2836),
    [anon_sym_ATthrow] = ACTIONS(2838),
    [anon_sym_ATselector] = ACTIONS(2838),
    [anon_sym_ATavailable] = ACTIONS(2838),
    [anon_sym___builtin_available] = ACTIONS(2836),
    [anon_sym_va_arg] = ACTIONS(2836),
    [anon_sym_ATencode] = ACTIONS(2838),
    [anon_sym_ATsynchronized] = ACTIONS(2838),
    [anon_sym_BOOL] = ACTIONS(2836),
    [anon_sym_IMP] = ACTIONS(2836),
    [anon_sym_SEL] = ACTIONS(2836),
    [anon_sym_Class] = ACTIONS(2836),
    [anon_sym_id] = ACTIONS(2836),
  },
  [622] = {
    [sym_identifier] = ACTIONS(2840),
    [aux_sym_preproc_include_token1] = ACTIONS(2840),
    [aux_sym_preproc_include_token2] = ACTIONS(2840),
    [aux_sym_preproc_def_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token2] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2840),
    [sym_preproc_directive] = ACTIONS(2840),
    [anon_sym_LPAREN2] = ACTIONS(2842),
    [anon_sym_BANG] = ACTIONS(2842),
    [anon_sym_TILDE] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2840),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_CARET] = ACTIONS(2842),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym_SEMI] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2840),
    [anon_sym_typedef] = ACTIONS(2840),
    [anon_sym_extern] = ACTIONS(2840),
    [anon_sym___attribute__] = ACTIONS(2840),
    [anon_sym___attribute] = ACTIONS(2840),
    [anon_sym_noreturn] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym___declspec] = ACTIONS(2840),
    [anon_sym___cdecl] = ACTIONS(2840),
    [anon_sym___clrcall] = ACTIONS(2840),
    [anon_sym___stdcall] = ACTIONS(2840),
    [anon_sym___fastcall] = ACTIONS(2840),
    [anon_sym___thiscall] = ACTIONS(2840),
    [anon_sym___vectorcall] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2840),
    [anon_sym_unsigned] = ACTIONS(2840),
    [anon_sym_long] = ACTIONS(2840),
    [anon_sym_short] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_ATautoreleasepool] = ACTIONS(2842),
    [anon_sym_auto] = ACTIONS(2840),
    [anon_sym_register] = ACTIONS(2840),
    [anon_sym_inline] = ACTIONS(2840),
    [anon_sym___inline] = ACTIONS(2840),
    [anon_sym___inline__] = ACTIONS(2840),
    [anon_sym___forceinline] = ACTIONS(2840),
    [anon_sym_thread_local] = ACTIONS(2840),
    [anon_sym___thread] = ACTIONS(2840),
    [anon_sym_CG_EXTERN] = ACTIONS(2840),
    [anon_sym_CG_INLINE] = ACTIONS(2840),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2840),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2840),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2840),
    [anon_sym_IBOutlet] = ACTIONS(2840),
    [anon_sym_IBInspectable] = ACTIONS(2840),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2840),
    [anon_sym_NS_INLINE] = ACTIONS(2840),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2840),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2840),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2840),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_constexpr] = ACTIONS(2840),
    [anon_sym_volatile] = ACTIONS(2840),
    [anon_sym_restrict] = ACTIONS(2840),
    [anon_sym___restrict__] = ACTIONS(2840),
    [anon_sym__Atomic] = ACTIONS(2840),
    [anon_sym__Noreturn] = ACTIONS(2840),
    [anon_sym__Nonnull] = ACTIONS(2840),
    [anon_sym_nullable] = ACTIONS(2840),
    [anon_sym__Complex] = ACTIONS(2840),
    [anon_sym__Nullable] = ACTIONS(2840),
    [anon_sym__Nullable_result] = ACTIONS(2840),
    [anon_sym__Null_unspecified] = ACTIONS(2840),
    [anon_sym___autoreleasing] = ACTIONS(2840),
    [anon_sym___block] = ACTIONS(2840),
    [anon_sym___bridge] = ACTIONS(2840),
    [anon_sym___bridge_retained] = ACTIONS(2840),
    [anon_sym___bridge_transfer] = ACTIONS(2840),
    [anon_sym___complex] = ACTIONS(2840),
    [anon_sym___const] = ACTIONS(2840),
    [anon_sym___imag] = ACTIONS(2840),
    [anon_sym___kindof] = ACTIONS(2840),
    [anon_sym___nonnull] = ACTIONS(2840),
    [anon_sym___nullable] = ACTIONS(2840),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2840),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2840),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2840),
    [anon_sym___real] = ACTIONS(2840),
    [anon_sym___strong] = ACTIONS(2840),
    [anon_sym___unsafe_unretained] = ACTIONS(2840),
    [anon_sym___unused] = ACTIONS(2840),
    [anon_sym___weak] = ACTIONS(2840),
    [anon_sym_alignas] = ACTIONS(2840),
    [anon_sym__Alignas] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_union] = ACTIONS(2840),
    [anon_sym_if] = ACTIONS(2840),
    [anon_sym_switch] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_default] = ACTIONS(2840),
    [anon_sym_while] = ACTIONS(2840),
    [anon_sym_do] = ACTIONS(2840),
    [anon_sym_for] = ACTIONS(2840),
    [anon_sym_in] = ACTIONS(2840),
    [anon_sym_return] = ACTIONS(2840),
    [anon_sym_break] = ACTIONS(2840),
    [anon_sym_continue] = ACTIONS(2840),
    [anon_sym_goto] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2842),
    [anon_sym_sizeof] = ACTIONS(2840),
    [anon_sym___alignof__] = ACTIONS(2840),
    [anon_sym___alignof] = ACTIONS(2840),
    [anon_sym__alignof] = ACTIONS(2840),
    [anon_sym_alignof] = ACTIONS(2840),
    [anon_sym__Alignof] = ACTIONS(2840),
    [anon_sym_offsetof] = ACTIONS(2840),
    [anon_sym__Generic] = ACTIONS(2840),
    [anon_sym_asm] = ACTIONS(2840),
    [anon_sym___asm__] = ACTIONS(2840),
    [anon_sym___asm] = ACTIONS(2840),
    [sym_number_literal] = ACTIONS(2842),
    [anon_sym_L_SQUOTE] = ACTIONS(2842),
    [anon_sym_u_SQUOTE] = ACTIONS(2842),
    [anon_sym_U_SQUOTE] = ACTIONS(2842),
    [anon_sym_u8_SQUOTE] = ACTIONS(2842),
    [anon_sym_SQUOTE] = ACTIONS(2842),
    [anon_sym_AT] = ACTIONS(2840),
    [anon_sym_DQUOTE] = ACTIONS(2842),
    [anon_sym_L_DQUOTE] = ACTIONS(2842),
    [anon_sym_u_DQUOTE] = ACTIONS(2842),
    [anon_sym_U_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8_DQUOTE] = ACTIONS(2842),
    [sym_true] = ACTIONS(2840),
    [sym_false] = ACTIONS(2840),
    [anon_sym_NULL] = ACTIONS(2840),
    [anon_sym_nullptr] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2840),
    [anon_sym___typeof] = ACTIONS(2840),
    [anon_sym_typeof] = ACTIONS(2840),
    [anon_sym_ATimport] = ACTIONS(2842),
    [aux_sym_preproc_undef_token1] = ACTIONS(2840),
    [anon_sym_POUND] = ACTIONS(2840),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2840),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2840),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2840),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2840),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2840),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2840),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2840),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2840),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2840),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2840),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2840),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2840),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2840),
    [anon_sym_API_AVAILABLE] = ACTIONS(2840),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2840),
    [anon_sym_API_DEPRECATED] = ACTIONS(2840),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2840),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2840),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2840),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2840),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2840),
    [anon_sym___deprecated_msg] = ACTIONS(2840),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2840),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2840),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2840),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2840),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2840),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2840),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2840),
    [anon_sym_ATprotocol] = ACTIONS(2842),
    [anon_sym_ATinterface] = ACTIONS(2842),
    [anon_sym_ATimplementation] = ACTIONS(2842),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2842),
    [anon_sym_ATsynthesize] = ACTIONS(2842),
    [anon_sym_ATdynamic] = ACTIONS(2842),
    [anon_sym_ATtry] = ACTIONS(2842),
    [anon_sym___try] = ACTIONS(2840),
    [anon_sym_ATthrow] = ACTIONS(2842),
    [anon_sym_ATselector] = ACTIONS(2842),
    [anon_sym_ATavailable] = ACTIONS(2842),
    [anon_sym___builtin_available] = ACTIONS(2840),
    [anon_sym_va_arg] = ACTIONS(2840),
    [anon_sym_ATencode] = ACTIONS(2842),
    [anon_sym_ATsynchronized] = ACTIONS(2842),
    [anon_sym_BOOL] = ACTIONS(2840),
    [anon_sym_IMP] = ACTIONS(2840),
    [anon_sym_SEL] = ACTIONS(2840),
    [anon_sym_Class] = ACTIONS(2840),
    [anon_sym_id] = ACTIONS(2840),
  },
  [623] = {
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_include_token1] = ACTIONS(2844),
    [aux_sym_preproc_include_token2] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token2] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_CARET] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym___attribute] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___cdecl] = ACTIONS(2844),
    [anon_sym___clrcall] = ACTIONS(2844),
    [anon_sym___stdcall] = ACTIONS(2844),
    [anon_sym___fastcall] = ACTIONS(2844),
    [anon_sym___thiscall] = ACTIONS(2844),
    [anon_sym___vectorcall] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_ATautoreleasepool] = ACTIONS(2846),
    [anon_sym_auto] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_CG_EXTERN] = ACTIONS(2844),
    [anon_sym_CG_INLINE] = ACTIONS(2844),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2844),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2844),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2844),
    [anon_sym_IBOutlet] = ACTIONS(2844),
    [anon_sym_IBInspectable] = ACTIONS(2844),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2844),
    [anon_sym_NS_INLINE] = ACTIONS(2844),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2844),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2844),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2844),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym__Nonnull] = ACTIONS(2844),
    [anon_sym_nullable] = ACTIONS(2844),
    [anon_sym__Complex] = ACTIONS(2844),
    [anon_sym__Nullable] = ACTIONS(2844),
    [anon_sym__Nullable_result] = ACTIONS(2844),
    [anon_sym__Null_unspecified] = ACTIONS(2844),
    [anon_sym___autoreleasing] = ACTIONS(2844),
    [anon_sym___block] = ACTIONS(2844),
    [anon_sym___bridge] = ACTIONS(2844),
    [anon_sym___bridge_retained] = ACTIONS(2844),
    [anon_sym___bridge_transfer] = ACTIONS(2844),
    [anon_sym___complex] = ACTIONS(2844),
    [anon_sym___const] = ACTIONS(2844),
    [anon_sym___imag] = ACTIONS(2844),
    [anon_sym___kindof] = ACTIONS(2844),
    [anon_sym___nonnull] = ACTIONS(2844),
    [anon_sym___nullable] = ACTIONS(2844),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2844),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2844),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2844),
    [anon_sym___real] = ACTIONS(2844),
    [anon_sym___strong] = ACTIONS(2844),
    [anon_sym___unsafe_unretained] = ACTIONS(2844),
    [anon_sym___unused] = ACTIONS(2844),
    [anon_sym___weak] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_in] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_goto] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_sizeof] = ACTIONS(2844),
    [anon_sym___alignof__] = ACTIONS(2844),
    [anon_sym___alignof] = ACTIONS(2844),
    [anon_sym__alignof] = ACTIONS(2844),
    [anon_sym_alignof] = ACTIONS(2844),
    [anon_sym__Alignof] = ACTIONS(2844),
    [anon_sym_offsetof] = ACTIONS(2844),
    [anon_sym__Generic] = ACTIONS(2844),
    [anon_sym_asm] = ACTIONS(2844),
    [anon_sym___asm__] = ACTIONS(2844),
    [anon_sym___asm] = ACTIONS(2844),
    [sym_number_literal] = ACTIONS(2846),
    [anon_sym_L_SQUOTE] = ACTIONS(2846),
    [anon_sym_u_SQUOTE] = ACTIONS(2846),
    [anon_sym_U_SQUOTE] = ACTIONS(2846),
    [anon_sym_u8_SQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_AT] = ACTIONS(2844),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [anon_sym_L_DQUOTE] = ACTIONS(2846),
    [anon_sym_u_DQUOTE] = ACTIONS(2846),
    [anon_sym_U_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8_DQUOTE] = ACTIONS(2846),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [anon_sym_NULL] = ACTIONS(2844),
    [anon_sym_nullptr] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2844),
    [anon_sym___typeof] = ACTIONS(2844),
    [anon_sym_typeof] = ACTIONS(2844),
    [anon_sym_ATimport] = ACTIONS(2846),
    [aux_sym_preproc_undef_token1] = ACTIONS(2844),
    [anon_sym_POUND] = ACTIONS(2844),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2844),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2844),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2844),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2844),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2844),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2844),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2844),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2844),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2844),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2844),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2844),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2844),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2844),
    [anon_sym_API_AVAILABLE] = ACTIONS(2844),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2844),
    [anon_sym_API_DEPRECATED] = ACTIONS(2844),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2844),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2844),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2844),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2844),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2844),
    [anon_sym___deprecated_msg] = ACTIONS(2844),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2844),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2844),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2844),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2844),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2844),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2844),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2844),
    [anon_sym_ATprotocol] = ACTIONS(2846),
    [anon_sym_ATinterface] = ACTIONS(2846),
    [anon_sym_ATimplementation] = ACTIONS(2846),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2846),
    [anon_sym_ATsynthesize] = ACTIONS(2846),
    [anon_sym_ATdynamic] = ACTIONS(2846),
    [anon_sym_ATtry] = ACTIONS(2846),
    [anon_sym___try] = ACTIONS(2844),
    [anon_sym_ATthrow] = ACTIONS(2846),
    [anon_sym_ATselector] = ACTIONS(2846),
    [anon_sym_ATavailable] = ACTIONS(2846),
    [anon_sym___builtin_available] = ACTIONS(2844),
    [anon_sym_va_arg] = ACTIONS(2844),
    [anon_sym_ATencode] = ACTIONS(2846),
    [anon_sym_ATsynchronized] = ACTIONS(2846),
    [anon_sym_BOOL] = ACTIONS(2844),
    [anon_sym_IMP] = ACTIONS(2844),
    [anon_sym_SEL] = ACTIONS(2844),
    [anon_sym_Class] = ACTIONS(2844),
    [anon_sym_id] = ACTIONS(2844),
  },
  [624] = {
    [sym_identifier] = ACTIONS(2856),
    [aux_sym_preproc_include_token1] = ACTIONS(2856),
    [aux_sym_preproc_include_token2] = ACTIONS(2856),
    [aux_sym_preproc_def_token1] = ACTIONS(2856),
    [aux_sym_preproc_if_token1] = ACTIONS(2856),
    [aux_sym_preproc_if_token2] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2856),
    [sym_preproc_directive] = ACTIONS(2856),
    [anon_sym_LPAREN2] = ACTIONS(2858),
    [anon_sym_BANG] = ACTIONS(2858),
    [anon_sym_TILDE] = ACTIONS(2858),
    [anon_sym_DASH] = ACTIONS(2856),
    [anon_sym_PLUS] = ACTIONS(2856),
    [anon_sym_STAR] = ACTIONS(2858),
    [anon_sym_CARET] = ACTIONS(2858),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym_SEMI] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2856),
    [anon_sym_typedef] = ACTIONS(2856),
    [anon_sym_extern] = ACTIONS(2856),
    [anon_sym___attribute__] = ACTIONS(2856),
    [anon_sym___attribute] = ACTIONS(2856),
    [anon_sym_noreturn] = ACTIONS(2856),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym___declspec] = ACTIONS(2856),
    [anon_sym___cdecl] = ACTIONS(2856),
    [anon_sym___clrcall] = ACTIONS(2856),
    [anon_sym___stdcall] = ACTIONS(2856),
    [anon_sym___fastcall] = ACTIONS(2856),
    [anon_sym___thiscall] = ACTIONS(2856),
    [anon_sym___vectorcall] = ACTIONS(2856),
    [anon_sym_LBRACE] = ACTIONS(2858),
    [anon_sym_signed] = ACTIONS(2856),
    [anon_sym_unsigned] = ACTIONS(2856),
    [anon_sym_long] = ACTIONS(2856),
    [anon_sym_short] = ACTIONS(2856),
    [anon_sym_static] = ACTIONS(2856),
    [anon_sym_ATautoreleasepool] = ACTIONS(2858),
    [anon_sym_auto] = ACTIONS(2856),
    [anon_sym_register] = ACTIONS(2856),
    [anon_sym_inline] = ACTIONS(2856),
    [anon_sym___inline] = ACTIONS(2856),
    [anon_sym___inline__] = ACTIONS(2856),
    [anon_sym___forceinline] = ACTIONS(2856),
    [anon_sym_thread_local] = ACTIONS(2856),
    [anon_sym___thread] = ACTIONS(2856),
    [anon_sym_CG_EXTERN] = ACTIONS(2856),
    [anon_sym_CG_INLINE] = ACTIONS(2856),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2856),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2856),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2856),
    [anon_sym_IBOutlet] = ACTIONS(2856),
    [anon_sym_IBInspectable] = ACTIONS(2856),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2856),
    [anon_sym_NS_INLINE] = ACTIONS(2856),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2856),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2856),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2856),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2856),
    [anon_sym_const] = ACTIONS(2856),
    [anon_sym_constexpr] = ACTIONS(2856),
    [anon_sym_volatile] = ACTIONS(2856),
    [anon_sym_restrict] = ACTIONS(2856),
    [anon_sym___restrict__] = ACTIONS(2856),
    [anon_sym__Atomic] = ACTIONS(2856),
    [anon_sym__Noreturn] = ACTIONS(2856),
    [anon_sym__Nonnull] = ACTIONS(2856),
    [anon_sym_nullable] = ACTIONS(2856),
    [anon_sym__Complex] = ACTIONS(2856),
    [anon_sym__Nullable] = ACTIONS(2856),
    [anon_sym__Nullable_result] = ACTIONS(2856),
    [anon_sym__Null_unspecified] = ACTIONS(2856),
    [anon_sym___autoreleasing] = ACTIONS(2856),
    [anon_sym___block] = ACTIONS(2856),
    [anon_sym___bridge] = ACTIONS(2856),
    [anon_sym___bridge_retained] = ACTIONS(2856),
    [anon_sym___bridge_transfer] = ACTIONS(2856),
    [anon_sym___complex] = ACTIONS(2856),
    [anon_sym___const] = ACTIONS(2856),
    [anon_sym___imag] = ACTIONS(2856),
    [anon_sym___kindof] = ACTIONS(2856),
    [anon_sym___nonnull] = ACTIONS(2856),
    [anon_sym___nullable] = ACTIONS(2856),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2856),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2856),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2856),
    [anon_sym___real] = ACTIONS(2856),
    [anon_sym___strong] = ACTIONS(2856),
    [anon_sym___unsafe_unretained] = ACTIONS(2856),
    [anon_sym___unused] = ACTIONS(2856),
    [anon_sym___weak] = ACTIONS(2856),
    [anon_sym_alignas] = ACTIONS(2856),
    [anon_sym__Alignas] = ACTIONS(2856),
    [sym_primitive_type] = ACTIONS(2856),
    [anon_sym_enum] = ACTIONS(2856),
    [anon_sym_struct] = ACTIONS(2856),
    [anon_sym_union] = ACTIONS(2856),
    [anon_sym_if] = ACTIONS(2856),
    [anon_sym_switch] = ACTIONS(2856),
    [anon_sym_case] = ACTIONS(2856),
    [anon_sym_default] = ACTIONS(2856),
    [anon_sym_while] = ACTIONS(2856),
    [anon_sym_do] = ACTIONS(2856),
    [anon_sym_for] = ACTIONS(2856),
    [anon_sym_in] = ACTIONS(2856),
    [anon_sym_return] = ACTIONS(2856),
    [anon_sym_break] = ACTIONS(2856),
    [anon_sym_continue] = ACTIONS(2856),
    [anon_sym_goto] = ACTIONS(2856),
    [anon_sym_DASH_DASH] = ACTIONS(2858),
    [anon_sym_PLUS_PLUS] = ACTIONS(2858),
    [anon_sym_sizeof] = ACTIONS(2856),
    [anon_sym___alignof__] = ACTIONS(2856),
    [anon_sym___alignof] = ACTIONS(2856),
    [anon_sym__alignof] = ACTIONS(2856),
    [anon_sym_alignof] = ACTIONS(2856),
    [anon_sym__Alignof] = ACTIONS(2856),
    [anon_sym_offsetof] = ACTIONS(2856),
    [anon_sym__Generic] = ACTIONS(2856),
    [anon_sym_asm] = ACTIONS(2856),
    [anon_sym___asm__] = ACTIONS(2856),
    [anon_sym___asm] = ACTIONS(2856),
    [sym_number_literal] = ACTIONS(2858),
    [anon_sym_L_SQUOTE] = ACTIONS(2858),
    [anon_sym_u_SQUOTE] = ACTIONS(2858),
    [anon_sym_U_SQUOTE] = ACTIONS(2858),
    [anon_sym_u8_SQUOTE] = ACTIONS(2858),
    [anon_sym_SQUOTE] = ACTIONS(2858),
    [anon_sym_AT] = ACTIONS(2856),
    [anon_sym_DQUOTE] = ACTIONS(2858),
    [anon_sym_L_DQUOTE] = ACTIONS(2858),
    [anon_sym_u_DQUOTE] = ACTIONS(2858),
    [anon_sym_U_DQUOTE] = ACTIONS(2858),
    [anon_sym_u8_DQUOTE] = ACTIONS(2858),
    [sym_true] = ACTIONS(2856),
    [sym_false] = ACTIONS(2856),
    [anon_sym_NULL] = ACTIONS(2856),
    [anon_sym_nullptr] = ACTIONS(2856),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2856),
    [anon_sym___typeof] = ACTIONS(2856),
    [anon_sym_typeof] = ACTIONS(2856),
    [anon_sym_ATimport] = ACTIONS(2858),
    [aux_sym_preproc_undef_token1] = ACTIONS(2856),
    [anon_sym_POUND] = ACTIONS(2856),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2856),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2856),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2856),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2856),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2856),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2856),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2856),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2856),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2856),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2856),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2856),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2856),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2856),
    [anon_sym_API_AVAILABLE] = ACTIONS(2856),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2856),
    [anon_sym_API_DEPRECATED] = ACTIONS(2856),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2856),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2856),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2856),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2856),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2856),
    [anon_sym___deprecated_msg] = ACTIONS(2856),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2856),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2856),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2856),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2856),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2856),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2856),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2856),
    [anon_sym_ATprotocol] = ACTIONS(2858),
    [anon_sym_ATinterface] = ACTIONS(2858),
    [anon_sym_ATimplementation] = ACTIONS(2858),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2858),
    [anon_sym_ATsynthesize] = ACTIONS(2858),
    [anon_sym_ATdynamic] = ACTIONS(2858),
    [anon_sym_ATtry] = ACTIONS(2858),
    [anon_sym___try] = ACTIONS(2856),
    [anon_sym_ATthrow] = ACTIONS(2858),
    [anon_sym_ATselector] = ACTIONS(2858),
    [anon_sym_ATavailable] = ACTIONS(2858),
    [anon_sym___builtin_available] = ACTIONS(2856),
    [anon_sym_va_arg] = ACTIONS(2856),
    [anon_sym_ATencode] = ACTIONS(2858),
    [anon_sym_ATsynchronized] = ACTIONS(2858),
    [anon_sym_BOOL] = ACTIONS(2856),
    [anon_sym_IMP] = ACTIONS(2856),
    [anon_sym_SEL] = ACTIONS(2856),
    [anon_sym_Class] = ACTIONS(2856),
    [anon_sym_id] = ACTIONS(2856),
  },
  [625] = {
    [sym_identifier] = ACTIONS(2860),
    [aux_sym_preproc_include_token1] = ACTIONS(2860),
    [aux_sym_preproc_include_token2] = ACTIONS(2860),
    [aux_sym_preproc_def_token1] = ACTIONS(2860),
    [aux_sym_preproc_if_token1] = ACTIONS(2860),
    [aux_sym_preproc_if_token2] = ACTIONS(2860),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2860),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2860),
    [sym_preproc_directive] = ACTIONS(2860),
    [anon_sym_LPAREN2] = ACTIONS(2862),
    [anon_sym_BANG] = ACTIONS(2862),
    [anon_sym_TILDE] = ACTIONS(2862),
    [anon_sym_DASH] = ACTIONS(2860),
    [anon_sym_PLUS] = ACTIONS(2860),
    [anon_sym_STAR] = ACTIONS(2862),
    [anon_sym_CARET] = ACTIONS(2862),
    [anon_sym_AMP] = ACTIONS(2862),
    [anon_sym_SEMI] = ACTIONS(2862),
    [anon_sym___extension__] = ACTIONS(2860),
    [anon_sym_typedef] = ACTIONS(2860),
    [anon_sym_extern] = ACTIONS(2860),
    [anon_sym___attribute__] = ACTIONS(2860),
    [anon_sym___attribute] = ACTIONS(2860),
    [anon_sym_noreturn] = ACTIONS(2860),
    [anon_sym_LBRACK] = ACTIONS(2862),
    [anon_sym___declspec] = ACTIONS(2860),
    [anon_sym___cdecl] = ACTIONS(2860),
    [anon_sym___clrcall] = ACTIONS(2860),
    [anon_sym___stdcall] = ACTIONS(2860),
    [anon_sym___fastcall] = ACTIONS(2860),
    [anon_sym___thiscall] = ACTIONS(2860),
    [anon_sym___vectorcall] = ACTIONS(2860),
    [anon_sym_LBRACE] = ACTIONS(2862),
    [anon_sym_signed] = ACTIONS(2860),
    [anon_sym_unsigned] = ACTIONS(2860),
    [anon_sym_long] = ACTIONS(2860),
    [anon_sym_short] = ACTIONS(2860),
    [anon_sym_static] = ACTIONS(2860),
    [anon_sym_ATautoreleasepool] = ACTIONS(2862),
    [anon_sym_auto] = ACTIONS(2860),
    [anon_sym_register] = ACTIONS(2860),
    [anon_sym_inline] = ACTIONS(2860),
    [anon_sym___inline] = ACTIONS(2860),
    [anon_sym___inline__] = ACTIONS(2860),
    [anon_sym___forceinline] = ACTIONS(2860),
    [anon_sym_thread_local] = ACTIONS(2860),
    [anon_sym___thread] = ACTIONS(2860),
    [anon_sym_CG_EXTERN] = ACTIONS(2860),
    [anon_sym_CG_INLINE] = ACTIONS(2860),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2860),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2860),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2860),
    [anon_sym_IBOutlet] = ACTIONS(2860),
    [anon_sym_IBInspectable] = ACTIONS(2860),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2860),
    [anon_sym_NS_INLINE] = ACTIONS(2860),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2860),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2860),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2860),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2860),
    [anon_sym_const] = ACTIONS(2860),
    [anon_sym_constexpr] = ACTIONS(2860),
    [anon_sym_volatile] = ACTIONS(2860),
    [anon_sym_restrict] = ACTIONS(2860),
    [anon_sym___restrict__] = ACTIONS(2860),
    [anon_sym__Atomic] = ACTIONS(2860),
    [anon_sym__Noreturn] = ACTIONS(2860),
    [anon_sym__Nonnull] = ACTIONS(2860),
    [anon_sym_nullable] = ACTIONS(2860),
    [anon_sym__Complex] = ACTIONS(2860),
    [anon_sym__Nullable] = ACTIONS(2860),
    [anon_sym__Nullable_result] = ACTIONS(2860),
    [anon_sym__Null_unspecified] = ACTIONS(2860),
    [anon_sym___autoreleasing] = ACTIONS(2860),
    [anon_sym___block] = ACTIONS(2860),
    [anon_sym___bridge] = ACTIONS(2860),
    [anon_sym___bridge_retained] = ACTIONS(2860),
    [anon_sym___bridge_transfer] = ACTIONS(2860),
    [anon_sym___complex] = ACTIONS(2860),
    [anon_sym___const] = ACTIONS(2860),
    [anon_sym___imag] = ACTIONS(2860),
    [anon_sym___kindof] = ACTIONS(2860),
    [anon_sym___nonnull] = ACTIONS(2860),
    [anon_sym___nullable] = ACTIONS(2860),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2860),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2860),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2860),
    [anon_sym___real] = ACTIONS(2860),
    [anon_sym___strong] = ACTIONS(2860),
    [anon_sym___unsafe_unretained] = ACTIONS(2860),
    [anon_sym___unused] = ACTIONS(2860),
    [anon_sym___weak] = ACTIONS(2860),
    [anon_sym_alignas] = ACTIONS(2860),
    [anon_sym__Alignas] = ACTIONS(2860),
    [sym_primitive_type] = ACTIONS(2860),
    [anon_sym_enum] = ACTIONS(2860),
    [anon_sym_struct] = ACTIONS(2860),
    [anon_sym_union] = ACTIONS(2860),
    [anon_sym_if] = ACTIONS(2860),
    [anon_sym_switch] = ACTIONS(2860),
    [anon_sym_case] = ACTIONS(2860),
    [anon_sym_default] = ACTIONS(2860),
    [anon_sym_while] = ACTIONS(2860),
    [anon_sym_do] = ACTIONS(2860),
    [anon_sym_for] = ACTIONS(2860),
    [anon_sym_in] = ACTIONS(2860),
    [anon_sym_return] = ACTIONS(2860),
    [anon_sym_break] = ACTIONS(2860),
    [anon_sym_continue] = ACTIONS(2860),
    [anon_sym_goto] = ACTIONS(2860),
    [anon_sym_DASH_DASH] = ACTIONS(2862),
    [anon_sym_PLUS_PLUS] = ACTIONS(2862),
    [anon_sym_sizeof] = ACTIONS(2860),
    [anon_sym___alignof__] = ACTIONS(2860),
    [anon_sym___alignof] = ACTIONS(2860),
    [anon_sym__alignof] = ACTIONS(2860),
    [anon_sym_alignof] = ACTIONS(2860),
    [anon_sym__Alignof] = ACTIONS(2860),
    [anon_sym_offsetof] = ACTIONS(2860),
    [anon_sym__Generic] = ACTIONS(2860),
    [anon_sym_asm] = ACTIONS(2860),
    [anon_sym___asm__] = ACTIONS(2860),
    [anon_sym___asm] = ACTIONS(2860),
    [sym_number_literal] = ACTIONS(2862),
    [anon_sym_L_SQUOTE] = ACTIONS(2862),
    [anon_sym_u_SQUOTE] = ACTIONS(2862),
    [anon_sym_U_SQUOTE] = ACTIONS(2862),
    [anon_sym_u8_SQUOTE] = ACTIONS(2862),
    [anon_sym_SQUOTE] = ACTIONS(2862),
    [anon_sym_AT] = ACTIONS(2860),
    [anon_sym_DQUOTE] = ACTIONS(2862),
    [anon_sym_L_DQUOTE] = ACTIONS(2862),
    [anon_sym_u_DQUOTE] = ACTIONS(2862),
    [anon_sym_U_DQUOTE] = ACTIONS(2862),
    [anon_sym_u8_DQUOTE] = ACTIONS(2862),
    [sym_true] = ACTIONS(2860),
    [sym_false] = ACTIONS(2860),
    [anon_sym_NULL] = ACTIONS(2860),
    [anon_sym_nullptr] = ACTIONS(2860),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2860),
    [anon_sym___typeof] = ACTIONS(2860),
    [anon_sym_typeof] = ACTIONS(2860),
    [anon_sym_ATimport] = ACTIONS(2862),
    [aux_sym_preproc_undef_token1] = ACTIONS(2860),
    [anon_sym_POUND] = ACTIONS(2860),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2860),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2860),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2860),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2860),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2860),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2860),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2860),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2860),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2860),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2860),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2860),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2860),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2860),
    [anon_sym_API_AVAILABLE] = ACTIONS(2860),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2860),
    [anon_sym_API_DEPRECATED] = ACTIONS(2860),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2860),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2860),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2860),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2860),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2860),
    [anon_sym___deprecated_msg] = ACTIONS(2860),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2860),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2860),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2860),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2860),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2860),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2860),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2860),
    [anon_sym_ATprotocol] = ACTIONS(2862),
    [anon_sym_ATinterface] = ACTIONS(2862),
    [anon_sym_ATimplementation] = ACTIONS(2862),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2862),
    [anon_sym_ATsynthesize] = ACTIONS(2862),
    [anon_sym_ATdynamic] = ACTIONS(2862),
    [anon_sym_ATtry] = ACTIONS(2862),
    [anon_sym___try] = ACTIONS(2860),
    [anon_sym_ATthrow] = ACTIONS(2862),
    [anon_sym_ATselector] = ACTIONS(2862),
    [anon_sym_ATavailable] = ACTIONS(2862),
    [anon_sym___builtin_available] = ACTIONS(2860),
    [anon_sym_va_arg] = ACTIONS(2860),
    [anon_sym_ATencode] = ACTIONS(2862),
    [anon_sym_ATsynchronized] = ACTIONS(2862),
    [anon_sym_BOOL] = ACTIONS(2860),
    [anon_sym_IMP] = ACTIONS(2860),
    [anon_sym_SEL] = ACTIONS(2860),
    [anon_sym_Class] = ACTIONS(2860),
    [anon_sym_id] = ACTIONS(2860),
  },
  [626] = {
    [sym_identifier] = ACTIONS(2584),
    [aux_sym_preproc_include_token1] = ACTIONS(2584),
    [aux_sym_preproc_include_token2] = ACTIONS(2584),
    [aux_sym_preproc_def_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token2] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2584),
    [sym_preproc_directive] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2586),
    [anon_sym___extension__] = ACTIONS(2584),
    [anon_sym_typedef] = ACTIONS(2584),
    [anon_sym_extern] = ACTIONS(2584),
    [anon_sym___attribute__] = ACTIONS(2584),
    [anon_sym___attribute] = ACTIONS(2584),
    [anon_sym_noreturn] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2586),
    [anon_sym___declspec] = ACTIONS(2584),
    [anon_sym___cdecl] = ACTIONS(2584),
    [anon_sym___clrcall] = ACTIONS(2584),
    [anon_sym___stdcall] = ACTIONS(2584),
    [anon_sym___fastcall] = ACTIONS(2584),
    [anon_sym___thiscall] = ACTIONS(2584),
    [anon_sym___vectorcall] = ACTIONS(2584),
    [anon_sym_LBRACE] = ACTIONS(2586),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_ATautoreleasepool] = ACTIONS(2586),
    [anon_sym_auto] = ACTIONS(2584),
    [anon_sym_register] = ACTIONS(2584),
    [anon_sym_inline] = ACTIONS(2584),
    [anon_sym___inline] = ACTIONS(2584),
    [anon_sym___inline__] = ACTIONS(2584),
    [anon_sym___forceinline] = ACTIONS(2584),
    [anon_sym_thread_local] = ACTIONS(2584),
    [anon_sym___thread] = ACTIONS(2584),
    [anon_sym_CG_EXTERN] = ACTIONS(2584),
    [anon_sym_CG_INLINE] = ACTIONS(2584),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2584),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2584),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2584),
    [anon_sym_IBOutlet] = ACTIONS(2584),
    [anon_sym_IBInspectable] = ACTIONS(2584),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2584),
    [anon_sym_NS_INLINE] = ACTIONS(2584),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2584),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2584),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2584),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2584),
    [anon_sym_const] = ACTIONS(2584),
    [anon_sym_constexpr] = ACTIONS(2584),
    [anon_sym_volatile] = ACTIONS(2584),
    [anon_sym_restrict] = ACTIONS(2584),
    [anon_sym___restrict__] = ACTIONS(2584),
    [anon_sym__Atomic] = ACTIONS(2584),
    [anon_sym__Noreturn] = ACTIONS(2584),
    [anon_sym__Nonnull] = ACTIONS(2584),
    [anon_sym_nullable] = ACTIONS(2584),
    [anon_sym__Complex] = ACTIONS(2584),
    [anon_sym__Nullable] = ACTIONS(2584),
    [anon_sym__Nullable_result] = ACTIONS(2584),
    [anon_sym__Null_unspecified] = ACTIONS(2584),
    [anon_sym___autoreleasing] = ACTIONS(2584),
    [anon_sym___block] = ACTIONS(2584),
    [anon_sym___bridge] = ACTIONS(2584),
    [anon_sym___bridge_retained] = ACTIONS(2584),
    [anon_sym___bridge_transfer] = ACTIONS(2584),
    [anon_sym___complex] = ACTIONS(2584),
    [anon_sym___const] = ACTIONS(2584),
    [anon_sym___imag] = ACTIONS(2584),
    [anon_sym___kindof] = ACTIONS(2584),
    [anon_sym___nonnull] = ACTIONS(2584),
    [anon_sym___nullable] = ACTIONS(2584),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2584),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2584),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2584),
    [anon_sym___real] = ACTIONS(2584),
    [anon_sym___strong] = ACTIONS(2584),
    [anon_sym___unsafe_unretained] = ACTIONS(2584),
    [anon_sym___unused] = ACTIONS(2584),
    [anon_sym___weak] = ACTIONS(2584),
    [anon_sym_alignas] = ACTIONS(2584),
    [anon_sym__Alignas] = ACTIONS(2584),
    [sym_primitive_type] = ACTIONS(2584),
    [anon_sym_enum] = ACTIONS(2584),
    [anon_sym_struct] = ACTIONS(2584),
    [anon_sym_union] = ACTIONS(2584),
    [anon_sym_if] = ACTIONS(2584),
    [anon_sym_switch] = ACTIONS(2584),
    [anon_sym_case] = ACTIONS(2584),
    [anon_sym_default] = ACTIONS(2584),
    [anon_sym_while] = ACTIONS(2584),
    [anon_sym_do] = ACTIONS(2584),
    [anon_sym_for] = ACTIONS(2584),
    [anon_sym_in] = ACTIONS(2584),
    [anon_sym_return] = ACTIONS(2584),
    [anon_sym_break] = ACTIONS(2584),
    [anon_sym_continue] = ACTIONS(2584),
    [anon_sym_goto] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2584),
    [anon_sym___alignof__] = ACTIONS(2584),
    [anon_sym___alignof] = ACTIONS(2584),
    [anon_sym__alignof] = ACTIONS(2584),
    [anon_sym_alignof] = ACTIONS(2584),
    [anon_sym__Alignof] = ACTIONS(2584),
    [anon_sym_offsetof] = ACTIONS(2584),
    [anon_sym__Generic] = ACTIONS(2584),
    [anon_sym_asm] = ACTIONS(2584),
    [anon_sym___asm__] = ACTIONS(2584),
    [anon_sym___asm] = ACTIONS(2584),
    [sym_number_literal] = ACTIONS(2586),
    [anon_sym_L_SQUOTE] = ACTIONS(2586),
    [anon_sym_u_SQUOTE] = ACTIONS(2586),
    [anon_sym_U_SQUOTE] = ACTIONS(2586),
    [anon_sym_u8_SQUOTE] = ACTIONS(2586),
    [anon_sym_SQUOTE] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2584),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [anon_sym_L_DQUOTE] = ACTIONS(2586),
    [anon_sym_u_DQUOTE] = ACTIONS(2586),
    [anon_sym_U_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8_DQUOTE] = ACTIONS(2586),
    [sym_true] = ACTIONS(2584),
    [sym_false] = ACTIONS(2584),
    [anon_sym_NULL] = ACTIONS(2584),
    [anon_sym_nullptr] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2584),
    [anon_sym___typeof] = ACTIONS(2584),
    [anon_sym_typeof] = ACTIONS(2584),
    [anon_sym_ATimport] = ACTIONS(2586),
    [aux_sym_preproc_undef_token1] = ACTIONS(2584),
    [anon_sym_POUND] = ACTIONS(2584),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2584),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2584),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2584),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2584),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2584),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2584),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2584),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2584),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2584),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2584),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2584),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2584),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2584),
    [anon_sym_API_AVAILABLE] = ACTIONS(2584),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2584),
    [anon_sym_API_DEPRECATED] = ACTIONS(2584),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2584),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2584),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2584),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2584),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2584),
    [anon_sym___deprecated_msg] = ACTIONS(2584),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2584),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2584),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2584),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2584),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2584),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2584),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2584),
    [anon_sym_ATprotocol] = ACTIONS(2586),
    [anon_sym_ATinterface] = ACTIONS(2586),
    [anon_sym_ATimplementation] = ACTIONS(2586),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2586),
    [anon_sym_ATsynthesize] = ACTIONS(2586),
    [anon_sym_ATdynamic] = ACTIONS(2586),
    [anon_sym_ATtry] = ACTIONS(2586),
    [anon_sym___try] = ACTIONS(2584),
    [anon_sym_ATthrow] = ACTIONS(2586),
    [anon_sym_ATselector] = ACTIONS(2586),
    [anon_sym_ATavailable] = ACTIONS(2586),
    [anon_sym___builtin_available] = ACTIONS(2584),
    [anon_sym_va_arg] = ACTIONS(2584),
    [anon_sym_ATencode] = ACTIONS(2586),
    [anon_sym_ATsynchronized] = ACTIONS(2586),
    [anon_sym_BOOL] = ACTIONS(2584),
    [anon_sym_IMP] = ACTIONS(2584),
    [anon_sym_SEL] = ACTIONS(2584),
    [anon_sym_Class] = ACTIONS(2584),
    [anon_sym_id] = ACTIONS(2584),
  },
  [627] = {
    [sym_identifier] = ACTIONS(2588),
    [aux_sym_preproc_include_token1] = ACTIONS(2588),
    [aux_sym_preproc_include_token2] = ACTIONS(2588),
    [aux_sym_preproc_def_token1] = ACTIONS(2588),
    [aux_sym_preproc_if_token1] = ACTIONS(2588),
    [aux_sym_preproc_if_token2] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2588),
    [sym_preproc_directive] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2590),
    [anon_sym_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2590),
    [anon_sym___extension__] = ACTIONS(2588),
    [anon_sym_typedef] = ACTIONS(2588),
    [anon_sym_extern] = ACTIONS(2588),
    [anon_sym___attribute__] = ACTIONS(2588),
    [anon_sym___attribute] = ACTIONS(2588),
    [anon_sym_noreturn] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym___declspec] = ACTIONS(2588),
    [anon_sym___cdecl] = ACTIONS(2588),
    [anon_sym___clrcall] = ACTIONS(2588),
    [anon_sym___stdcall] = ACTIONS(2588),
    [anon_sym___fastcall] = ACTIONS(2588),
    [anon_sym___thiscall] = ACTIONS(2588),
    [anon_sym___vectorcall] = ACTIONS(2588),
    [anon_sym_LBRACE] = ACTIONS(2590),
    [anon_sym_signed] = ACTIONS(2588),
    [anon_sym_unsigned] = ACTIONS(2588),
    [anon_sym_long] = ACTIONS(2588),
    [anon_sym_short] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_ATautoreleasepool] = ACTIONS(2590),
    [anon_sym_auto] = ACTIONS(2588),
    [anon_sym_register] = ACTIONS(2588),
    [anon_sym_inline] = ACTIONS(2588),
    [anon_sym___inline] = ACTIONS(2588),
    [anon_sym___inline__] = ACTIONS(2588),
    [anon_sym___forceinline] = ACTIONS(2588),
    [anon_sym_thread_local] = ACTIONS(2588),
    [anon_sym___thread] = ACTIONS(2588),
    [anon_sym_CG_EXTERN] = ACTIONS(2588),
    [anon_sym_CG_INLINE] = ACTIONS(2588),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2588),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2588),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2588),
    [anon_sym_IBOutlet] = ACTIONS(2588),
    [anon_sym_IBInspectable] = ACTIONS(2588),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2588),
    [anon_sym_NS_INLINE] = ACTIONS(2588),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2588),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2588),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2588),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2588),
    [anon_sym_const] = ACTIONS(2588),
    [anon_sym_constexpr] = ACTIONS(2588),
    [anon_sym_volatile] = ACTIONS(2588),
    [anon_sym_restrict] = ACTIONS(2588),
    [anon_sym___restrict__] = ACTIONS(2588),
    [anon_sym__Atomic] = ACTIONS(2588),
    [anon_sym__Noreturn] = ACTIONS(2588),
    [anon_sym__Nonnull] = ACTIONS(2588),
    [anon_sym_nullable] = ACTIONS(2588),
    [anon_sym__Complex] = ACTIONS(2588),
    [anon_sym__Nullable] = ACTIONS(2588),
    [anon_sym__Nullable_result] = ACTIONS(2588),
    [anon_sym__Null_unspecified] = ACTIONS(2588),
    [anon_sym___autoreleasing] = ACTIONS(2588),
    [anon_sym___block] = ACTIONS(2588),
    [anon_sym___bridge] = ACTIONS(2588),
    [anon_sym___bridge_retained] = ACTIONS(2588),
    [anon_sym___bridge_transfer] = ACTIONS(2588),
    [anon_sym___complex] = ACTIONS(2588),
    [anon_sym___const] = ACTIONS(2588),
    [anon_sym___imag] = ACTIONS(2588),
    [anon_sym___kindof] = ACTIONS(2588),
    [anon_sym___nonnull] = ACTIONS(2588),
    [anon_sym___nullable] = ACTIONS(2588),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2588),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2588),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2588),
    [anon_sym___real] = ACTIONS(2588),
    [anon_sym___strong] = ACTIONS(2588),
    [anon_sym___unsafe_unretained] = ACTIONS(2588),
    [anon_sym___unused] = ACTIONS(2588),
    [anon_sym___weak] = ACTIONS(2588),
    [anon_sym_alignas] = ACTIONS(2588),
    [anon_sym__Alignas] = ACTIONS(2588),
    [sym_primitive_type] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_struct] = ACTIONS(2588),
    [anon_sym_union] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2588),
    [anon_sym_switch] = ACTIONS(2588),
    [anon_sym_case] = ACTIONS(2588),
    [anon_sym_default] = ACTIONS(2588),
    [anon_sym_while] = ACTIONS(2588),
    [anon_sym_do] = ACTIONS(2588),
    [anon_sym_for] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2588),
    [anon_sym_return] = ACTIONS(2588),
    [anon_sym_break] = ACTIONS(2588),
    [anon_sym_continue] = ACTIONS(2588),
    [anon_sym_goto] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2590),
    [anon_sym_sizeof] = ACTIONS(2588),
    [anon_sym___alignof__] = ACTIONS(2588),
    [anon_sym___alignof] = ACTIONS(2588),
    [anon_sym__alignof] = ACTIONS(2588),
    [anon_sym_alignof] = ACTIONS(2588),
    [anon_sym__Alignof] = ACTIONS(2588),
    [anon_sym_offsetof] = ACTIONS(2588),
    [anon_sym__Generic] = ACTIONS(2588),
    [anon_sym_asm] = ACTIONS(2588),
    [anon_sym___asm__] = ACTIONS(2588),
    [anon_sym___asm] = ACTIONS(2588),
    [sym_number_literal] = ACTIONS(2590),
    [anon_sym_L_SQUOTE] = ACTIONS(2590),
    [anon_sym_u_SQUOTE] = ACTIONS(2590),
    [anon_sym_U_SQUOTE] = ACTIONS(2590),
    [anon_sym_u8_SQUOTE] = ACTIONS(2590),
    [anon_sym_SQUOTE] = ACTIONS(2590),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2590),
    [anon_sym_L_DQUOTE] = ACTIONS(2590),
    [anon_sym_u_DQUOTE] = ACTIONS(2590),
    [anon_sym_U_DQUOTE] = ACTIONS(2590),
    [anon_sym_u8_DQUOTE] = ACTIONS(2590),
    [sym_true] = ACTIONS(2588),
    [sym_false] = ACTIONS(2588),
    [anon_sym_NULL] = ACTIONS(2588),
    [anon_sym_nullptr] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2588),
    [anon_sym___typeof] = ACTIONS(2588),
    [anon_sym_typeof] = ACTIONS(2588),
    [anon_sym_ATimport] = ACTIONS(2590),
    [aux_sym_preproc_undef_token1] = ACTIONS(2588),
    [anon_sym_POUND] = ACTIONS(2588),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2588),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2588),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2588),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2588),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2588),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2588),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2588),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2588),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2588),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2588),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2588),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2588),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2588),
    [anon_sym_API_AVAILABLE] = ACTIONS(2588),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2588),
    [anon_sym_API_DEPRECATED] = ACTIONS(2588),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2588),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2588),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2588),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2588),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2588),
    [anon_sym___deprecated_msg] = ACTIONS(2588),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2588),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2588),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2588),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2588),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2588),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2588),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2588),
    [anon_sym_ATprotocol] = ACTIONS(2590),
    [anon_sym_ATinterface] = ACTIONS(2590),
    [anon_sym_ATimplementation] = ACTIONS(2590),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2590),
    [anon_sym_ATsynthesize] = ACTIONS(2590),
    [anon_sym_ATdynamic] = ACTIONS(2590),
    [anon_sym_ATtry] = ACTIONS(2590),
    [anon_sym___try] = ACTIONS(2588),
    [anon_sym_ATthrow] = ACTIONS(2590),
    [anon_sym_ATselector] = ACTIONS(2590),
    [anon_sym_ATavailable] = ACTIONS(2590),
    [anon_sym___builtin_available] = ACTIONS(2588),
    [anon_sym_va_arg] = ACTIONS(2588),
    [anon_sym_ATencode] = ACTIONS(2590),
    [anon_sym_ATsynchronized] = ACTIONS(2590),
    [anon_sym_BOOL] = ACTIONS(2588),
    [anon_sym_IMP] = ACTIONS(2588),
    [anon_sym_SEL] = ACTIONS(2588),
    [anon_sym_Class] = ACTIONS(2588),
    [anon_sym_id] = ACTIONS(2588),
  },
  [628] = {
    [sym_identifier] = ACTIONS(2592),
    [aux_sym_preproc_include_token1] = ACTIONS(2592),
    [aux_sym_preproc_include_token2] = ACTIONS(2592),
    [aux_sym_preproc_def_token1] = ACTIONS(2592),
    [aux_sym_preproc_if_token1] = ACTIONS(2592),
    [aux_sym_preproc_if_token2] = ACTIONS(2592),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2592),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2592),
    [sym_preproc_directive] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2594),
    [anon_sym_BANG] = ACTIONS(2594),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_CARET] = ACTIONS(2594),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_SEMI] = ACTIONS(2594),
    [anon_sym___extension__] = ACTIONS(2592),
    [anon_sym_typedef] = ACTIONS(2592),
    [anon_sym_extern] = ACTIONS(2592),
    [anon_sym___attribute__] = ACTIONS(2592),
    [anon_sym___attribute] = ACTIONS(2592),
    [anon_sym_noreturn] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2594),
    [anon_sym___declspec] = ACTIONS(2592),
    [anon_sym___cdecl] = ACTIONS(2592),
    [anon_sym___clrcall] = ACTIONS(2592),
    [anon_sym___stdcall] = ACTIONS(2592),
    [anon_sym___fastcall] = ACTIONS(2592),
    [anon_sym___thiscall] = ACTIONS(2592),
    [anon_sym___vectorcall] = ACTIONS(2592),
    [anon_sym_LBRACE] = ACTIONS(2594),
    [anon_sym_signed] = ACTIONS(2592),
    [anon_sym_unsigned] = ACTIONS(2592),
    [anon_sym_long] = ACTIONS(2592),
    [anon_sym_short] = ACTIONS(2592),
    [anon_sym_static] = ACTIONS(2592),
    [anon_sym_ATautoreleasepool] = ACTIONS(2594),
    [anon_sym_auto] = ACTIONS(2592),
    [anon_sym_register] = ACTIONS(2592),
    [anon_sym_inline] = ACTIONS(2592),
    [anon_sym___inline] = ACTIONS(2592),
    [anon_sym___inline__] = ACTIONS(2592),
    [anon_sym___forceinline] = ACTIONS(2592),
    [anon_sym_thread_local] = ACTIONS(2592),
    [anon_sym___thread] = ACTIONS(2592),
    [anon_sym_CG_EXTERN] = ACTIONS(2592),
    [anon_sym_CG_INLINE] = ACTIONS(2592),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2592),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2592),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2592),
    [anon_sym_IBOutlet] = ACTIONS(2592),
    [anon_sym_IBInspectable] = ACTIONS(2592),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2592),
    [anon_sym_NS_INLINE] = ACTIONS(2592),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2592),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2592),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2592),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2592),
    [anon_sym_const] = ACTIONS(2592),
    [anon_sym_constexpr] = ACTIONS(2592),
    [anon_sym_volatile] = ACTIONS(2592),
    [anon_sym_restrict] = ACTIONS(2592),
    [anon_sym___restrict__] = ACTIONS(2592),
    [anon_sym__Atomic] = ACTIONS(2592),
    [anon_sym__Noreturn] = ACTIONS(2592),
    [anon_sym__Nonnull] = ACTIONS(2592),
    [anon_sym_nullable] = ACTIONS(2592),
    [anon_sym__Complex] = ACTIONS(2592),
    [anon_sym__Nullable] = ACTIONS(2592),
    [anon_sym__Nullable_result] = ACTIONS(2592),
    [anon_sym__Null_unspecified] = ACTIONS(2592),
    [anon_sym___autoreleasing] = ACTIONS(2592),
    [anon_sym___block] = ACTIONS(2592),
    [anon_sym___bridge] = ACTIONS(2592),
    [anon_sym___bridge_retained] = ACTIONS(2592),
    [anon_sym___bridge_transfer] = ACTIONS(2592),
    [anon_sym___complex] = ACTIONS(2592),
    [anon_sym___const] = ACTIONS(2592),
    [anon_sym___imag] = ACTIONS(2592),
    [anon_sym___kindof] = ACTIONS(2592),
    [anon_sym___nonnull] = ACTIONS(2592),
    [anon_sym___nullable] = ACTIONS(2592),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2592),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2592),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2592),
    [anon_sym___real] = ACTIONS(2592),
    [anon_sym___strong] = ACTIONS(2592),
    [anon_sym___unsafe_unretained] = ACTIONS(2592),
    [anon_sym___unused] = ACTIONS(2592),
    [anon_sym___weak] = ACTIONS(2592),
    [anon_sym_alignas] = ACTIONS(2592),
    [anon_sym__Alignas] = ACTIONS(2592),
    [sym_primitive_type] = ACTIONS(2592),
    [anon_sym_enum] = ACTIONS(2592),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2592),
    [anon_sym_if] = ACTIONS(2592),
    [anon_sym_switch] = ACTIONS(2592),
    [anon_sym_case] = ACTIONS(2592),
    [anon_sym_default] = ACTIONS(2592),
    [anon_sym_while] = ACTIONS(2592),
    [anon_sym_do] = ACTIONS(2592),
    [anon_sym_for] = ACTIONS(2592),
    [anon_sym_in] = ACTIONS(2592),
    [anon_sym_return] = ACTIONS(2592),
    [anon_sym_break] = ACTIONS(2592),
    [anon_sym_continue] = ACTIONS(2592),
    [anon_sym_goto] = ACTIONS(2592),
    [anon_sym_DASH_DASH] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2594),
    [anon_sym_sizeof] = ACTIONS(2592),
    [anon_sym___alignof__] = ACTIONS(2592),
    [anon_sym___alignof] = ACTIONS(2592),
    [anon_sym__alignof] = ACTIONS(2592),
    [anon_sym_alignof] = ACTIONS(2592),
    [anon_sym__Alignof] = ACTIONS(2592),
    [anon_sym_offsetof] = ACTIONS(2592),
    [anon_sym__Generic] = ACTIONS(2592),
    [anon_sym_asm] = ACTIONS(2592),
    [anon_sym___asm__] = ACTIONS(2592),
    [anon_sym___asm] = ACTIONS(2592),
    [sym_number_literal] = ACTIONS(2594),
    [anon_sym_L_SQUOTE] = ACTIONS(2594),
    [anon_sym_u_SQUOTE] = ACTIONS(2594),
    [anon_sym_U_SQUOTE] = ACTIONS(2594),
    [anon_sym_u8_SQUOTE] = ACTIONS(2594),
    [anon_sym_SQUOTE] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2592),
    [anon_sym_DQUOTE] = ACTIONS(2594),
    [anon_sym_L_DQUOTE] = ACTIONS(2594),
    [anon_sym_u_DQUOTE] = ACTIONS(2594),
    [anon_sym_U_DQUOTE] = ACTIONS(2594),
    [anon_sym_u8_DQUOTE] = ACTIONS(2594),
    [sym_true] = ACTIONS(2592),
    [sym_false] = ACTIONS(2592),
    [anon_sym_NULL] = ACTIONS(2592),
    [anon_sym_nullptr] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2592),
    [anon_sym___typeof] = ACTIONS(2592),
    [anon_sym_typeof] = ACTIONS(2592),
    [anon_sym_ATimport] = ACTIONS(2594),
    [aux_sym_preproc_undef_token1] = ACTIONS(2592),
    [anon_sym_POUND] = ACTIONS(2592),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2592),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2592),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2592),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2592),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2592),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2592),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2592),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2592),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2592),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2592),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2592),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2592),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2592),
    [anon_sym_API_AVAILABLE] = ACTIONS(2592),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2592),
    [anon_sym_API_DEPRECATED] = ACTIONS(2592),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2592),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2592),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2592),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2592),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2592),
    [anon_sym___deprecated_msg] = ACTIONS(2592),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2592),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2592),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2592),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2592),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2592),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2592),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2592),
    [anon_sym_ATprotocol] = ACTIONS(2594),
    [anon_sym_ATinterface] = ACTIONS(2594),
    [anon_sym_ATimplementation] = ACTIONS(2594),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2594),
    [anon_sym_ATsynthesize] = ACTIONS(2594),
    [anon_sym_ATdynamic] = ACTIONS(2594),
    [anon_sym_ATtry] = ACTIONS(2594),
    [anon_sym___try] = ACTIONS(2592),
    [anon_sym_ATthrow] = ACTIONS(2594),
    [anon_sym_ATselector] = ACTIONS(2594),
    [anon_sym_ATavailable] = ACTIONS(2594),
    [anon_sym___builtin_available] = ACTIONS(2592),
    [anon_sym_va_arg] = ACTIONS(2592),
    [anon_sym_ATencode] = ACTIONS(2594),
    [anon_sym_ATsynchronized] = ACTIONS(2594),
    [anon_sym_BOOL] = ACTIONS(2592),
    [anon_sym_IMP] = ACTIONS(2592),
    [anon_sym_SEL] = ACTIONS(2592),
    [anon_sym_Class] = ACTIONS(2592),
    [anon_sym_id] = ACTIONS(2592),
  },
  [629] = {
    [sym_identifier] = ACTIONS(2596),
    [aux_sym_preproc_include_token1] = ACTIONS(2596),
    [aux_sym_preproc_include_token2] = ACTIONS(2596),
    [aux_sym_preproc_def_token1] = ACTIONS(2596),
    [aux_sym_preproc_if_token1] = ACTIONS(2596),
    [aux_sym_preproc_if_token2] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2596),
    [sym_preproc_directive] = ACTIONS(2596),
    [anon_sym_LPAREN2] = ACTIONS(2598),
    [anon_sym_BANG] = ACTIONS(2598),
    [anon_sym_TILDE] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_CARET] = ACTIONS(2598),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_SEMI] = ACTIONS(2598),
    [anon_sym___extension__] = ACTIONS(2596),
    [anon_sym_typedef] = ACTIONS(2596),
    [anon_sym_extern] = ACTIONS(2596),
    [anon_sym___attribute__] = ACTIONS(2596),
    [anon_sym___attribute] = ACTIONS(2596),
    [anon_sym_noreturn] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2598),
    [anon_sym___declspec] = ACTIONS(2596),
    [anon_sym___cdecl] = ACTIONS(2596),
    [anon_sym___clrcall] = ACTIONS(2596),
    [anon_sym___stdcall] = ACTIONS(2596),
    [anon_sym___fastcall] = ACTIONS(2596),
    [anon_sym___thiscall] = ACTIONS(2596),
    [anon_sym___vectorcall] = ACTIONS(2596),
    [anon_sym_LBRACE] = ACTIONS(2598),
    [anon_sym_signed] = ACTIONS(2596),
    [anon_sym_unsigned] = ACTIONS(2596),
    [anon_sym_long] = ACTIONS(2596),
    [anon_sym_short] = ACTIONS(2596),
    [anon_sym_static] = ACTIONS(2596),
    [anon_sym_ATautoreleasepool] = ACTIONS(2598),
    [anon_sym_auto] = ACTIONS(2596),
    [anon_sym_register] = ACTIONS(2596),
    [anon_sym_inline] = ACTIONS(2596),
    [anon_sym___inline] = ACTIONS(2596),
    [anon_sym___inline__] = ACTIONS(2596),
    [anon_sym___forceinline] = ACTIONS(2596),
    [anon_sym_thread_local] = ACTIONS(2596),
    [anon_sym___thread] = ACTIONS(2596),
    [anon_sym_CG_EXTERN] = ACTIONS(2596),
    [anon_sym_CG_INLINE] = ACTIONS(2596),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2596),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2596),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2596),
    [anon_sym_IBOutlet] = ACTIONS(2596),
    [anon_sym_IBInspectable] = ACTIONS(2596),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2596),
    [anon_sym_NS_INLINE] = ACTIONS(2596),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2596),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2596),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2596),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2596),
    [anon_sym_const] = ACTIONS(2596),
    [anon_sym_constexpr] = ACTIONS(2596),
    [anon_sym_volatile] = ACTIONS(2596),
    [anon_sym_restrict] = ACTIONS(2596),
    [anon_sym___restrict__] = ACTIONS(2596),
    [anon_sym__Atomic] = ACTIONS(2596),
    [anon_sym__Noreturn] = ACTIONS(2596),
    [anon_sym__Nonnull] = ACTIONS(2596),
    [anon_sym_nullable] = ACTIONS(2596),
    [anon_sym__Complex] = ACTIONS(2596),
    [anon_sym__Nullable] = ACTIONS(2596),
    [anon_sym__Nullable_result] = ACTIONS(2596),
    [anon_sym__Null_unspecified] = ACTIONS(2596),
    [anon_sym___autoreleasing] = ACTIONS(2596),
    [anon_sym___block] = ACTIONS(2596),
    [anon_sym___bridge] = ACTIONS(2596),
    [anon_sym___bridge_retained] = ACTIONS(2596),
    [anon_sym___bridge_transfer] = ACTIONS(2596),
    [anon_sym___complex] = ACTIONS(2596),
    [anon_sym___const] = ACTIONS(2596),
    [anon_sym___imag] = ACTIONS(2596),
    [anon_sym___kindof] = ACTIONS(2596),
    [anon_sym___nonnull] = ACTIONS(2596),
    [anon_sym___nullable] = ACTIONS(2596),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2596),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2596),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2596),
    [anon_sym___real] = ACTIONS(2596),
    [anon_sym___strong] = ACTIONS(2596),
    [anon_sym___unsafe_unretained] = ACTIONS(2596),
    [anon_sym___unused] = ACTIONS(2596),
    [anon_sym___weak] = ACTIONS(2596),
    [anon_sym_alignas] = ACTIONS(2596),
    [anon_sym__Alignas] = ACTIONS(2596),
    [sym_primitive_type] = ACTIONS(2596),
    [anon_sym_enum] = ACTIONS(2596),
    [anon_sym_struct] = ACTIONS(2596),
    [anon_sym_union] = ACTIONS(2596),
    [anon_sym_if] = ACTIONS(2596),
    [anon_sym_switch] = ACTIONS(2596),
    [anon_sym_case] = ACTIONS(2596),
    [anon_sym_default] = ACTIONS(2596),
    [anon_sym_while] = ACTIONS(2596),
    [anon_sym_do] = ACTIONS(2596),
    [anon_sym_for] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2596),
    [anon_sym_return] = ACTIONS(2596),
    [anon_sym_break] = ACTIONS(2596),
    [anon_sym_continue] = ACTIONS(2596),
    [anon_sym_goto] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2598),
    [anon_sym_PLUS_PLUS] = ACTIONS(2598),
    [anon_sym_sizeof] = ACTIONS(2596),
    [anon_sym___alignof__] = ACTIONS(2596),
    [anon_sym___alignof] = ACTIONS(2596),
    [anon_sym__alignof] = ACTIONS(2596),
    [anon_sym_alignof] = ACTIONS(2596),
    [anon_sym__Alignof] = ACTIONS(2596),
    [anon_sym_offsetof] = ACTIONS(2596),
    [anon_sym__Generic] = ACTIONS(2596),
    [anon_sym_asm] = ACTIONS(2596),
    [anon_sym___asm__] = ACTIONS(2596),
    [anon_sym___asm] = ACTIONS(2596),
    [sym_number_literal] = ACTIONS(2598),
    [anon_sym_L_SQUOTE] = ACTIONS(2598),
    [anon_sym_u_SQUOTE] = ACTIONS(2598),
    [anon_sym_U_SQUOTE] = ACTIONS(2598),
    [anon_sym_u8_SQUOTE] = ACTIONS(2598),
    [anon_sym_SQUOTE] = ACTIONS(2598),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_DQUOTE] = ACTIONS(2598),
    [anon_sym_L_DQUOTE] = ACTIONS(2598),
    [anon_sym_u_DQUOTE] = ACTIONS(2598),
    [anon_sym_U_DQUOTE] = ACTIONS(2598),
    [anon_sym_u8_DQUOTE] = ACTIONS(2598),
    [sym_true] = ACTIONS(2596),
    [sym_false] = ACTIONS(2596),
    [anon_sym_NULL] = ACTIONS(2596),
    [anon_sym_nullptr] = ACTIONS(2596),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2596),
    [anon_sym___typeof] = ACTIONS(2596),
    [anon_sym_typeof] = ACTIONS(2596),
    [anon_sym_ATimport] = ACTIONS(2598),
    [aux_sym_preproc_undef_token1] = ACTIONS(2596),
    [anon_sym_POUND] = ACTIONS(2596),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2596),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2596),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2596),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2596),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2596),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2596),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2596),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2596),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2596),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2596),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2596),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2596),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2596),
    [anon_sym_API_AVAILABLE] = ACTIONS(2596),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2596),
    [anon_sym_API_DEPRECATED] = ACTIONS(2596),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2596),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2596),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2596),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2596),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2596),
    [anon_sym___deprecated_msg] = ACTIONS(2596),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2596),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2596),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2596),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2596),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2596),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2596),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2596),
    [anon_sym_ATprotocol] = ACTIONS(2598),
    [anon_sym_ATinterface] = ACTIONS(2598),
    [anon_sym_ATimplementation] = ACTIONS(2598),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2598),
    [anon_sym_ATsynthesize] = ACTIONS(2598),
    [anon_sym_ATdynamic] = ACTIONS(2598),
    [anon_sym_ATtry] = ACTIONS(2598),
    [anon_sym___try] = ACTIONS(2596),
    [anon_sym_ATthrow] = ACTIONS(2598),
    [anon_sym_ATselector] = ACTIONS(2598),
    [anon_sym_ATavailable] = ACTIONS(2598),
    [anon_sym___builtin_available] = ACTIONS(2596),
    [anon_sym_va_arg] = ACTIONS(2596),
    [anon_sym_ATencode] = ACTIONS(2598),
    [anon_sym_ATsynchronized] = ACTIONS(2598),
    [anon_sym_BOOL] = ACTIONS(2596),
    [anon_sym_IMP] = ACTIONS(2596),
    [anon_sym_SEL] = ACTIONS(2596),
    [anon_sym_Class] = ACTIONS(2596),
    [anon_sym_id] = ACTIONS(2596),
  },
  [630] = {
    [sym_identifier] = ACTIONS(2600),
    [aux_sym_preproc_include_token1] = ACTIONS(2600),
    [aux_sym_preproc_include_token2] = ACTIONS(2600),
    [aux_sym_preproc_def_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token2] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2600),
    [sym_preproc_directive] = ACTIONS(2600),
    [anon_sym_LPAREN2] = ACTIONS(2602),
    [anon_sym_BANG] = ACTIONS(2602),
    [anon_sym_TILDE] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_CARET] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2602),
    [anon_sym_SEMI] = ACTIONS(2602),
    [anon_sym___extension__] = ACTIONS(2600),
    [anon_sym_typedef] = ACTIONS(2600),
    [anon_sym_extern] = ACTIONS(2600),
    [anon_sym___attribute__] = ACTIONS(2600),
    [anon_sym___attribute] = ACTIONS(2600),
    [anon_sym_noreturn] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2602),
    [anon_sym___declspec] = ACTIONS(2600),
    [anon_sym___cdecl] = ACTIONS(2600),
    [anon_sym___clrcall] = ACTIONS(2600),
    [anon_sym___stdcall] = ACTIONS(2600),
    [anon_sym___fastcall] = ACTIONS(2600),
    [anon_sym___thiscall] = ACTIONS(2600),
    [anon_sym___vectorcall] = ACTIONS(2600),
    [anon_sym_LBRACE] = ACTIONS(2602),
    [anon_sym_signed] = ACTIONS(2600),
    [anon_sym_unsigned] = ACTIONS(2600),
    [anon_sym_long] = ACTIONS(2600),
    [anon_sym_short] = ACTIONS(2600),
    [anon_sym_static] = ACTIONS(2600),
    [anon_sym_ATautoreleasepool] = ACTIONS(2602),
    [anon_sym_auto] = ACTIONS(2600),
    [anon_sym_register] = ACTIONS(2600),
    [anon_sym_inline] = ACTIONS(2600),
    [anon_sym___inline] = ACTIONS(2600),
    [anon_sym___inline__] = ACTIONS(2600),
    [anon_sym___forceinline] = ACTIONS(2600),
    [anon_sym_thread_local] = ACTIONS(2600),
    [anon_sym___thread] = ACTIONS(2600),
    [anon_sym_CG_EXTERN] = ACTIONS(2600),
    [anon_sym_CG_INLINE] = ACTIONS(2600),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2600),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2600),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2600),
    [anon_sym_IBOutlet] = ACTIONS(2600),
    [anon_sym_IBInspectable] = ACTIONS(2600),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2600),
    [anon_sym_NS_INLINE] = ACTIONS(2600),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2600),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2600),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2600),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2600),
    [anon_sym_const] = ACTIONS(2600),
    [anon_sym_constexpr] = ACTIONS(2600),
    [anon_sym_volatile] = ACTIONS(2600),
    [anon_sym_restrict] = ACTIONS(2600),
    [anon_sym___restrict__] = ACTIONS(2600),
    [anon_sym__Atomic] = ACTIONS(2600),
    [anon_sym__Noreturn] = ACTIONS(2600),
    [anon_sym__Nonnull] = ACTIONS(2600),
    [anon_sym_nullable] = ACTIONS(2600),
    [anon_sym__Complex] = ACTIONS(2600),
    [anon_sym__Nullable] = ACTIONS(2600),
    [anon_sym__Nullable_result] = ACTIONS(2600),
    [anon_sym__Null_unspecified] = ACTIONS(2600),
    [anon_sym___autoreleasing] = ACTIONS(2600),
    [anon_sym___block] = ACTIONS(2600),
    [anon_sym___bridge] = ACTIONS(2600),
    [anon_sym___bridge_retained] = ACTIONS(2600),
    [anon_sym___bridge_transfer] = ACTIONS(2600),
    [anon_sym___complex] = ACTIONS(2600),
    [anon_sym___const] = ACTIONS(2600),
    [anon_sym___imag] = ACTIONS(2600),
    [anon_sym___kindof] = ACTIONS(2600),
    [anon_sym___nonnull] = ACTIONS(2600),
    [anon_sym___nullable] = ACTIONS(2600),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2600),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2600),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2600),
    [anon_sym___real] = ACTIONS(2600),
    [anon_sym___strong] = ACTIONS(2600),
    [anon_sym___unsafe_unretained] = ACTIONS(2600),
    [anon_sym___unused] = ACTIONS(2600),
    [anon_sym___weak] = ACTIONS(2600),
    [anon_sym_alignas] = ACTIONS(2600),
    [anon_sym__Alignas] = ACTIONS(2600),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2600),
    [anon_sym_struct] = ACTIONS(2600),
    [anon_sym_union] = ACTIONS(2600),
    [anon_sym_if] = ACTIONS(2600),
    [anon_sym_switch] = ACTIONS(2600),
    [anon_sym_case] = ACTIONS(2600),
    [anon_sym_default] = ACTIONS(2600),
    [anon_sym_while] = ACTIONS(2600),
    [anon_sym_do] = ACTIONS(2600),
    [anon_sym_for] = ACTIONS(2600),
    [anon_sym_in] = ACTIONS(2600),
    [anon_sym_return] = ACTIONS(2600),
    [anon_sym_break] = ACTIONS(2600),
    [anon_sym_continue] = ACTIONS(2600),
    [anon_sym_goto] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2602),
    [anon_sym_PLUS_PLUS] = ACTIONS(2602),
    [anon_sym_sizeof] = ACTIONS(2600),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2600),
    [anon_sym__Generic] = ACTIONS(2600),
    [anon_sym_asm] = ACTIONS(2600),
    [anon_sym___asm__] = ACTIONS(2600),
    [anon_sym___asm] = ACTIONS(2600),
    [sym_number_literal] = ACTIONS(2602),
    [anon_sym_L_SQUOTE] = ACTIONS(2602),
    [anon_sym_u_SQUOTE] = ACTIONS(2602),
    [anon_sym_U_SQUOTE] = ACTIONS(2602),
    [anon_sym_u8_SQUOTE] = ACTIONS(2602),
    [anon_sym_SQUOTE] = ACTIONS(2602),
    [anon_sym_AT] = ACTIONS(2600),
    [anon_sym_DQUOTE] = ACTIONS(2602),
    [anon_sym_L_DQUOTE] = ACTIONS(2602),
    [anon_sym_u_DQUOTE] = ACTIONS(2602),
    [anon_sym_U_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8_DQUOTE] = ACTIONS(2602),
    [sym_true] = ACTIONS(2600),
    [sym_false] = ACTIONS(2600),
    [anon_sym_NULL] = ACTIONS(2600),
    [anon_sym_nullptr] = ACTIONS(2600),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2600),
    [anon_sym___typeof] = ACTIONS(2600),
    [anon_sym_typeof] = ACTIONS(2600),
    [anon_sym_ATimport] = ACTIONS(2602),
    [aux_sym_preproc_undef_token1] = ACTIONS(2600),
    [anon_sym_POUND] = ACTIONS(2600),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2600),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2600),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2600),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2600),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2600),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2600),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2600),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2600),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2600),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2600),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2600),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2600),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2600),
    [anon_sym_API_AVAILABLE] = ACTIONS(2600),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2600),
    [anon_sym_API_DEPRECATED] = ACTIONS(2600),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2600),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2600),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2600),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2600),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2600),
    [anon_sym___deprecated_msg] = ACTIONS(2600),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2600),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2600),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2600),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2600),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2600),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2600),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2600),
    [anon_sym_ATprotocol] = ACTIONS(2602),
    [anon_sym_ATinterface] = ACTIONS(2602),
    [anon_sym_ATimplementation] = ACTIONS(2602),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2602),
    [anon_sym_ATsynthesize] = ACTIONS(2602),
    [anon_sym_ATdynamic] = ACTIONS(2602),
    [anon_sym_ATtry] = ACTIONS(2602),
    [anon_sym___try] = ACTIONS(2600),
    [anon_sym_ATthrow] = ACTIONS(2602),
    [anon_sym_ATselector] = ACTIONS(2602),
    [anon_sym_ATavailable] = ACTIONS(2602),
    [anon_sym___builtin_available] = ACTIONS(2600),
    [anon_sym_va_arg] = ACTIONS(2600),
    [anon_sym_ATencode] = ACTIONS(2602),
    [anon_sym_ATsynchronized] = ACTIONS(2602),
    [anon_sym_BOOL] = ACTIONS(2600),
    [anon_sym_IMP] = ACTIONS(2600),
    [anon_sym_SEL] = ACTIONS(2600),
    [anon_sym_Class] = ACTIONS(2600),
    [anon_sym_id] = ACTIONS(2600),
  },
  [631] = {
    [sym_identifier] = ACTIONS(2604),
    [aux_sym_preproc_include_token1] = ACTIONS(2604),
    [aux_sym_preproc_include_token2] = ACTIONS(2604),
    [aux_sym_preproc_def_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token2] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2604),
    [sym_preproc_directive] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2606),
    [anon_sym_BANG] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_DASH] = ACTIONS(2604),
    [anon_sym_PLUS] = ACTIONS(2604),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2606),
    [anon_sym_SEMI] = ACTIONS(2606),
    [anon_sym___extension__] = ACTIONS(2604),
    [anon_sym_typedef] = ACTIONS(2604),
    [anon_sym_extern] = ACTIONS(2604),
    [anon_sym___attribute__] = ACTIONS(2604),
    [anon_sym___attribute] = ACTIONS(2604),
    [anon_sym_noreturn] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2606),
    [anon_sym___declspec] = ACTIONS(2604),
    [anon_sym___cdecl] = ACTIONS(2604),
    [anon_sym___clrcall] = ACTIONS(2604),
    [anon_sym___stdcall] = ACTIONS(2604),
    [anon_sym___fastcall] = ACTIONS(2604),
    [anon_sym___thiscall] = ACTIONS(2604),
    [anon_sym___vectorcall] = ACTIONS(2604),
    [anon_sym_LBRACE] = ACTIONS(2606),
    [anon_sym_signed] = ACTIONS(2604),
    [anon_sym_unsigned] = ACTIONS(2604),
    [anon_sym_long] = ACTIONS(2604),
    [anon_sym_short] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_ATautoreleasepool] = ACTIONS(2606),
    [anon_sym_auto] = ACTIONS(2604),
    [anon_sym_register] = ACTIONS(2604),
    [anon_sym_inline] = ACTIONS(2604),
    [anon_sym___inline] = ACTIONS(2604),
    [anon_sym___inline__] = ACTIONS(2604),
    [anon_sym___forceinline] = ACTIONS(2604),
    [anon_sym_thread_local] = ACTIONS(2604),
    [anon_sym___thread] = ACTIONS(2604),
    [anon_sym_CG_EXTERN] = ACTIONS(2604),
    [anon_sym_CG_INLINE] = ACTIONS(2604),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2604),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2604),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2604),
    [anon_sym_IBOutlet] = ACTIONS(2604),
    [anon_sym_IBInspectable] = ACTIONS(2604),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2604),
    [anon_sym_NS_INLINE] = ACTIONS(2604),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2604),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2604),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2604),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_constexpr] = ACTIONS(2604),
    [anon_sym_volatile] = ACTIONS(2604),
    [anon_sym_restrict] = ACTIONS(2604),
    [anon_sym___restrict__] = ACTIONS(2604),
    [anon_sym__Atomic] = ACTIONS(2604),
    [anon_sym__Noreturn] = ACTIONS(2604),
    [anon_sym__Nonnull] = ACTIONS(2604),
    [anon_sym_nullable] = ACTIONS(2604),
    [anon_sym__Complex] = ACTIONS(2604),
    [anon_sym__Nullable] = ACTIONS(2604),
    [anon_sym__Nullable_result] = ACTIONS(2604),
    [anon_sym__Null_unspecified] = ACTIONS(2604),
    [anon_sym___autoreleasing] = ACTIONS(2604),
    [anon_sym___block] = ACTIONS(2604),
    [anon_sym___bridge] = ACTIONS(2604),
    [anon_sym___bridge_retained] = ACTIONS(2604),
    [anon_sym___bridge_transfer] = ACTIONS(2604),
    [anon_sym___complex] = ACTIONS(2604),
    [anon_sym___const] = ACTIONS(2604),
    [anon_sym___imag] = ACTIONS(2604),
    [anon_sym___kindof] = ACTIONS(2604),
    [anon_sym___nonnull] = ACTIONS(2604),
    [anon_sym___nullable] = ACTIONS(2604),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2604),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2604),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2604),
    [anon_sym___real] = ACTIONS(2604),
    [anon_sym___strong] = ACTIONS(2604),
    [anon_sym___unsafe_unretained] = ACTIONS(2604),
    [anon_sym___unused] = ACTIONS(2604),
    [anon_sym___weak] = ACTIONS(2604),
    [anon_sym_alignas] = ACTIONS(2604),
    [anon_sym__Alignas] = ACTIONS(2604),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2604),
    [anon_sym_union] = ACTIONS(2604),
    [anon_sym_if] = ACTIONS(2604),
    [anon_sym_switch] = ACTIONS(2604),
    [anon_sym_case] = ACTIONS(2604),
    [anon_sym_default] = ACTIONS(2604),
    [anon_sym_while] = ACTIONS(2604),
    [anon_sym_do] = ACTIONS(2604),
    [anon_sym_for] = ACTIONS(2604),
    [anon_sym_in] = ACTIONS(2604),
    [anon_sym_return] = ACTIONS(2604),
    [anon_sym_break] = ACTIONS(2604),
    [anon_sym_continue] = ACTIONS(2604),
    [anon_sym_goto] = ACTIONS(2604),
    [anon_sym_DASH_DASH] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2606),
    [anon_sym_sizeof] = ACTIONS(2604),
    [anon_sym___alignof__] = ACTIONS(2604),
    [anon_sym___alignof] = ACTIONS(2604),
    [anon_sym__alignof] = ACTIONS(2604),
    [anon_sym_alignof] = ACTIONS(2604),
    [anon_sym__Alignof] = ACTIONS(2604),
    [anon_sym_offsetof] = ACTIONS(2604),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2604),
    [anon_sym___asm__] = ACTIONS(2604),
    [anon_sym___asm] = ACTIONS(2604),
    [sym_number_literal] = ACTIONS(2606),
    [anon_sym_L_SQUOTE] = ACTIONS(2606),
    [anon_sym_u_SQUOTE] = ACTIONS(2606),
    [anon_sym_U_SQUOTE] = ACTIONS(2606),
    [anon_sym_u8_SQUOTE] = ACTIONS(2606),
    [anon_sym_SQUOTE] = ACTIONS(2606),
    [anon_sym_AT] = ACTIONS(2604),
    [anon_sym_DQUOTE] = ACTIONS(2606),
    [anon_sym_L_DQUOTE] = ACTIONS(2606),
    [anon_sym_u_DQUOTE] = ACTIONS(2606),
    [anon_sym_U_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8_DQUOTE] = ACTIONS(2606),
    [sym_true] = ACTIONS(2604),
    [sym_false] = ACTIONS(2604),
    [anon_sym_NULL] = ACTIONS(2604),
    [anon_sym_nullptr] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2604),
    [anon_sym___typeof] = ACTIONS(2604),
    [anon_sym_typeof] = ACTIONS(2604),
    [anon_sym_ATimport] = ACTIONS(2606),
    [aux_sym_preproc_undef_token1] = ACTIONS(2604),
    [anon_sym_POUND] = ACTIONS(2604),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2604),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2604),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2604),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2604),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2604),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2604),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2604),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2604),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2604),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2604),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2604),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2604),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2604),
    [anon_sym_API_AVAILABLE] = ACTIONS(2604),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2604),
    [anon_sym_API_DEPRECATED] = ACTIONS(2604),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2604),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2604),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2604),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2604),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2604),
    [anon_sym___deprecated_msg] = ACTIONS(2604),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2604),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2604),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2604),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2604),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2604),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2604),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2604),
    [anon_sym_ATprotocol] = ACTIONS(2606),
    [anon_sym_ATinterface] = ACTIONS(2606),
    [anon_sym_ATimplementation] = ACTIONS(2606),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2606),
    [anon_sym_ATsynthesize] = ACTIONS(2606),
    [anon_sym_ATdynamic] = ACTIONS(2606),
    [anon_sym_ATtry] = ACTIONS(2606),
    [anon_sym___try] = ACTIONS(2604),
    [anon_sym_ATthrow] = ACTIONS(2606),
    [anon_sym_ATselector] = ACTIONS(2606),
    [anon_sym_ATavailable] = ACTIONS(2606),
    [anon_sym___builtin_available] = ACTIONS(2604),
    [anon_sym_va_arg] = ACTIONS(2604),
    [anon_sym_ATencode] = ACTIONS(2606),
    [anon_sym_ATsynchronized] = ACTIONS(2606),
    [anon_sym_BOOL] = ACTIONS(2604),
    [anon_sym_IMP] = ACTIONS(2604),
    [anon_sym_SEL] = ACTIONS(2604),
    [anon_sym_Class] = ACTIONS(2604),
    [anon_sym_id] = ACTIONS(2604),
  },
  [632] = {
    [sym_identifier] = ACTIONS(2572),
    [aux_sym_preproc_include_token1] = ACTIONS(2572),
    [aux_sym_preproc_include_token2] = ACTIONS(2572),
    [aux_sym_preproc_def_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token2] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2572),
    [sym_preproc_directive] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_CARET] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym___extension__] = ACTIONS(2572),
    [anon_sym_typedef] = ACTIONS(2572),
    [anon_sym_extern] = ACTIONS(2572),
    [anon_sym___attribute__] = ACTIONS(2572),
    [anon_sym___attribute] = ACTIONS(2572),
    [anon_sym_noreturn] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym___declspec] = ACTIONS(2572),
    [anon_sym___cdecl] = ACTIONS(2572),
    [anon_sym___clrcall] = ACTIONS(2572),
    [anon_sym___stdcall] = ACTIONS(2572),
    [anon_sym___fastcall] = ACTIONS(2572),
    [anon_sym___thiscall] = ACTIONS(2572),
    [anon_sym___vectorcall] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2574),
    [anon_sym_signed] = ACTIONS(2572),
    [anon_sym_unsigned] = ACTIONS(2572),
    [anon_sym_long] = ACTIONS(2572),
    [anon_sym_short] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_ATautoreleasepool] = ACTIONS(2574),
    [anon_sym_auto] = ACTIONS(2572),
    [anon_sym_register] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym___inline] = ACTIONS(2572),
    [anon_sym___inline__] = ACTIONS(2572),
    [anon_sym___forceinline] = ACTIONS(2572),
    [anon_sym_thread_local] = ACTIONS(2572),
    [anon_sym___thread] = ACTIONS(2572),
    [anon_sym_CG_EXTERN] = ACTIONS(2572),
    [anon_sym_CG_INLINE] = ACTIONS(2572),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2572),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2572),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2572),
    [anon_sym_IBOutlet] = ACTIONS(2572),
    [anon_sym_IBInspectable] = ACTIONS(2572),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2572),
    [anon_sym_NS_INLINE] = ACTIONS(2572),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2572),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2572),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2572),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_constexpr] = ACTIONS(2572),
    [anon_sym_volatile] = ACTIONS(2572),
    [anon_sym_restrict] = ACTIONS(2572),
    [anon_sym___restrict__] = ACTIONS(2572),
    [anon_sym__Atomic] = ACTIONS(2572),
    [anon_sym__Noreturn] = ACTIONS(2572),
    [anon_sym__Nonnull] = ACTIONS(2572),
    [anon_sym_nullable] = ACTIONS(2572),
    [anon_sym__Complex] = ACTIONS(2572),
    [anon_sym__Nullable] = ACTIONS(2572),
    [anon_sym__Nullable_result] = ACTIONS(2572),
    [anon_sym__Null_unspecified] = ACTIONS(2572),
    [anon_sym___autoreleasing] = ACTIONS(2572),
    [anon_sym___block] = ACTIONS(2572),
    [anon_sym___bridge] = ACTIONS(2572),
    [anon_sym___bridge_retained] = ACTIONS(2572),
    [anon_sym___bridge_transfer] = ACTIONS(2572),
    [anon_sym___complex] = ACTIONS(2572),
    [anon_sym___const] = ACTIONS(2572),
    [anon_sym___imag] = ACTIONS(2572),
    [anon_sym___kindof] = ACTIONS(2572),
    [anon_sym___nonnull] = ACTIONS(2572),
    [anon_sym___nullable] = ACTIONS(2572),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2572),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2572),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2572),
    [anon_sym___real] = ACTIONS(2572),
    [anon_sym___strong] = ACTIONS(2572),
    [anon_sym___unsafe_unretained] = ACTIONS(2572),
    [anon_sym___unused] = ACTIONS(2572),
    [anon_sym___weak] = ACTIONS(2572),
    [anon_sym_alignas] = ACTIONS(2572),
    [anon_sym__Alignas] = ACTIONS(2572),
    [sym_primitive_type] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_struct] = ACTIONS(2572),
    [anon_sym_union] = ACTIONS(2572),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_switch] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_default] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_do] = ACTIONS(2572),
    [anon_sym_for] = ACTIONS(2572),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_break] = ACTIONS(2572),
    [anon_sym_continue] = ACTIONS(2572),
    [anon_sym_goto] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_sizeof] = ACTIONS(2572),
    [anon_sym___alignof__] = ACTIONS(2572),
    [anon_sym___alignof] = ACTIONS(2572),
    [anon_sym__alignof] = ACTIONS(2572),
    [anon_sym_alignof] = ACTIONS(2572),
    [anon_sym__Alignof] = ACTIONS(2572),
    [anon_sym_offsetof] = ACTIONS(2572),
    [anon_sym__Generic] = ACTIONS(2572),
    [anon_sym_asm] = ACTIONS(2572),
    [anon_sym___asm__] = ACTIONS(2572),
    [anon_sym___asm] = ACTIONS(2572),
    [sym_number_literal] = ACTIONS(2574),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_AT] = ACTIONS(2572),
    [anon_sym_DQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2574),
    [anon_sym_u_DQUOTE] = ACTIONS(2574),
    [anon_sym_U_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8_DQUOTE] = ACTIONS(2574),
    [sym_true] = ACTIONS(2572),
    [sym_false] = ACTIONS(2572),
    [anon_sym_NULL] = ACTIONS(2572),
    [anon_sym_nullptr] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2572),
    [anon_sym___typeof] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(2572),
    [anon_sym_ATimport] = ACTIONS(2574),
    [aux_sym_preproc_undef_token1] = ACTIONS(2572),
    [anon_sym_POUND] = ACTIONS(2572),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2572),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2572),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2572),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2572),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2572),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2572),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2572),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2572),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2572),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2572),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2572),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2572),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2572),
    [anon_sym_API_AVAILABLE] = ACTIONS(2572),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2572),
    [anon_sym_API_DEPRECATED] = ACTIONS(2572),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2572),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2572),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2572),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2572),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2572),
    [anon_sym___deprecated_msg] = ACTIONS(2572),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2572),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2572),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2572),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2572),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2572),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2572),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2572),
    [anon_sym_ATprotocol] = ACTIONS(2574),
    [anon_sym_ATinterface] = ACTIONS(2574),
    [anon_sym_ATimplementation] = ACTIONS(2574),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2574),
    [anon_sym_ATsynthesize] = ACTIONS(2574),
    [anon_sym_ATdynamic] = ACTIONS(2574),
    [anon_sym_ATtry] = ACTIONS(2574),
    [anon_sym___try] = ACTIONS(2572),
    [anon_sym_ATthrow] = ACTIONS(2574),
    [anon_sym_ATselector] = ACTIONS(2574),
    [anon_sym_ATavailable] = ACTIONS(2574),
    [anon_sym___builtin_available] = ACTIONS(2572),
    [anon_sym_va_arg] = ACTIONS(2572),
    [anon_sym_ATencode] = ACTIONS(2574),
    [anon_sym_ATsynchronized] = ACTIONS(2574),
    [anon_sym_BOOL] = ACTIONS(2572),
    [anon_sym_IMP] = ACTIONS(2572),
    [anon_sym_SEL] = ACTIONS(2572),
    [anon_sym_Class] = ACTIONS(2572),
    [anon_sym_id] = ACTIONS(2572),
  },
  [633] = {
    [sym_identifier] = ACTIONS(2614),
    [aux_sym_preproc_include_token1] = ACTIONS(2614),
    [aux_sym_preproc_include_token2] = ACTIONS(2614),
    [aux_sym_preproc_def_token1] = ACTIONS(2614),
    [aux_sym_preproc_if_token1] = ACTIONS(2614),
    [aux_sym_preproc_if_token2] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2614),
    [sym_preproc_directive] = ACTIONS(2614),
    [anon_sym_LPAREN2] = ACTIONS(2616),
    [anon_sym_BANG] = ACTIONS(2616),
    [anon_sym_TILDE] = ACTIONS(2616),
    [anon_sym_DASH] = ACTIONS(2614),
    [anon_sym_PLUS] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2616),
    [anon_sym_CARET] = ACTIONS(2616),
    [anon_sym_AMP] = ACTIONS(2616),
    [anon_sym_SEMI] = ACTIONS(2616),
    [anon_sym___extension__] = ACTIONS(2614),
    [anon_sym_typedef] = ACTIONS(2614),
    [anon_sym_extern] = ACTIONS(2614),
    [anon_sym___attribute__] = ACTIONS(2614),
    [anon_sym___attribute] = ACTIONS(2614),
    [anon_sym_noreturn] = ACTIONS(2614),
    [anon_sym_LBRACK] = ACTIONS(2616),
    [anon_sym___declspec] = ACTIONS(2614),
    [anon_sym___cdecl] = ACTIONS(2614),
    [anon_sym___clrcall] = ACTIONS(2614),
    [anon_sym___stdcall] = ACTIONS(2614),
    [anon_sym___fastcall] = ACTIONS(2614),
    [anon_sym___thiscall] = ACTIONS(2614),
    [anon_sym___vectorcall] = ACTIONS(2614),
    [anon_sym_LBRACE] = ACTIONS(2616),
    [anon_sym_signed] = ACTIONS(2614),
    [anon_sym_unsigned] = ACTIONS(2614),
    [anon_sym_long] = ACTIONS(2614),
    [anon_sym_short] = ACTIONS(2614),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_ATautoreleasepool] = ACTIONS(2616),
    [anon_sym_auto] = ACTIONS(2614),
    [anon_sym_register] = ACTIONS(2614),
    [anon_sym_inline] = ACTIONS(2614),
    [anon_sym___inline] = ACTIONS(2614),
    [anon_sym___inline__] = ACTIONS(2614),
    [anon_sym___forceinline] = ACTIONS(2614),
    [anon_sym_thread_local] = ACTIONS(2614),
    [anon_sym___thread] = ACTIONS(2614),
    [anon_sym_CG_EXTERN] = ACTIONS(2614),
    [anon_sym_CG_INLINE] = ACTIONS(2614),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2614),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2614),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2614),
    [anon_sym_IBOutlet] = ACTIONS(2614),
    [anon_sym_IBInspectable] = ACTIONS(2614),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2614),
    [anon_sym_NS_INLINE] = ACTIONS(2614),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2614),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2614),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2614),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2614),
    [anon_sym_const] = ACTIONS(2614),
    [anon_sym_constexpr] = ACTIONS(2614),
    [anon_sym_volatile] = ACTIONS(2614),
    [anon_sym_restrict] = ACTIONS(2614),
    [anon_sym___restrict__] = ACTIONS(2614),
    [anon_sym__Atomic] = ACTIONS(2614),
    [anon_sym__Noreturn] = ACTIONS(2614),
    [anon_sym__Nonnull] = ACTIONS(2614),
    [anon_sym_nullable] = ACTIONS(2614),
    [anon_sym__Complex] = ACTIONS(2614),
    [anon_sym__Nullable] = ACTIONS(2614),
    [anon_sym__Nullable_result] = ACTIONS(2614),
    [anon_sym__Null_unspecified] = ACTIONS(2614),
    [anon_sym___autoreleasing] = ACTIONS(2614),
    [anon_sym___block] = ACTIONS(2614),
    [anon_sym___bridge] = ACTIONS(2614),
    [anon_sym___bridge_retained] = ACTIONS(2614),
    [anon_sym___bridge_transfer] = ACTIONS(2614),
    [anon_sym___complex] = ACTIONS(2614),
    [anon_sym___const] = ACTIONS(2614),
    [anon_sym___imag] = ACTIONS(2614),
    [anon_sym___kindof] = ACTIONS(2614),
    [anon_sym___nonnull] = ACTIONS(2614),
    [anon_sym___nullable] = ACTIONS(2614),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2614),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2614),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2614),
    [anon_sym___real] = ACTIONS(2614),
    [anon_sym___strong] = ACTIONS(2614),
    [anon_sym___unsafe_unretained] = ACTIONS(2614),
    [anon_sym___unused] = ACTIONS(2614),
    [anon_sym___weak] = ACTIONS(2614),
    [anon_sym_alignas] = ACTIONS(2614),
    [anon_sym__Alignas] = ACTIONS(2614),
    [sym_primitive_type] = ACTIONS(2614),
    [anon_sym_enum] = ACTIONS(2614),
    [anon_sym_struct] = ACTIONS(2614),
    [anon_sym_union] = ACTIONS(2614),
    [anon_sym_if] = ACTIONS(2614),
    [anon_sym_switch] = ACTIONS(2614),
    [anon_sym_case] = ACTIONS(2614),
    [anon_sym_default] = ACTIONS(2614),
    [anon_sym_while] = ACTIONS(2614),
    [anon_sym_do] = ACTIONS(2614),
    [anon_sym_for] = ACTIONS(2614),
    [anon_sym_in] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2614),
    [anon_sym_break] = ACTIONS(2614),
    [anon_sym_continue] = ACTIONS(2614),
    [anon_sym_goto] = ACTIONS(2614),
    [anon_sym_DASH_DASH] = ACTIONS(2616),
    [anon_sym_PLUS_PLUS] = ACTIONS(2616),
    [anon_sym_sizeof] = ACTIONS(2614),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2614),
    [anon_sym__Generic] = ACTIONS(2614),
    [anon_sym_asm] = ACTIONS(2614),
    [anon_sym___asm__] = ACTIONS(2614),
    [anon_sym___asm] = ACTIONS(2614),
    [sym_number_literal] = ACTIONS(2616),
    [anon_sym_L_SQUOTE] = ACTIONS(2616),
    [anon_sym_u_SQUOTE] = ACTIONS(2616),
    [anon_sym_U_SQUOTE] = ACTIONS(2616),
    [anon_sym_u8_SQUOTE] = ACTIONS(2616),
    [anon_sym_SQUOTE] = ACTIONS(2616),
    [anon_sym_AT] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2616),
    [anon_sym_L_DQUOTE] = ACTIONS(2616),
    [anon_sym_u_DQUOTE] = ACTIONS(2616),
    [anon_sym_U_DQUOTE] = ACTIONS(2616),
    [anon_sym_u8_DQUOTE] = ACTIONS(2616),
    [sym_true] = ACTIONS(2614),
    [sym_false] = ACTIONS(2614),
    [anon_sym_NULL] = ACTIONS(2614),
    [anon_sym_nullptr] = ACTIONS(2614),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2614),
    [anon_sym___typeof] = ACTIONS(2614),
    [anon_sym_typeof] = ACTIONS(2614),
    [anon_sym_ATimport] = ACTIONS(2616),
    [aux_sym_preproc_undef_token1] = ACTIONS(2614),
    [anon_sym_POUND] = ACTIONS(2614),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2614),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2614),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2614),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2614),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2614),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2614),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2614),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2614),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2614),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2614),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2614),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2614),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2614),
    [anon_sym_API_AVAILABLE] = ACTIONS(2614),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2614),
    [anon_sym_API_DEPRECATED] = ACTIONS(2614),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2614),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2614),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2614),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2614),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2614),
    [anon_sym___deprecated_msg] = ACTIONS(2614),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2614),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2614),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2614),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2614),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2614),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2614),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2614),
    [anon_sym_ATprotocol] = ACTIONS(2616),
    [anon_sym_ATinterface] = ACTIONS(2616),
    [anon_sym_ATimplementation] = ACTIONS(2616),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2616),
    [anon_sym_ATsynthesize] = ACTIONS(2616),
    [anon_sym_ATdynamic] = ACTIONS(2616),
    [anon_sym_ATtry] = ACTIONS(2616),
    [anon_sym___try] = ACTIONS(2614),
    [anon_sym_ATthrow] = ACTIONS(2616),
    [anon_sym_ATselector] = ACTIONS(2616),
    [anon_sym_ATavailable] = ACTIONS(2616),
    [anon_sym___builtin_available] = ACTIONS(2614),
    [anon_sym_va_arg] = ACTIONS(2614),
    [anon_sym_ATencode] = ACTIONS(2616),
    [anon_sym_ATsynchronized] = ACTIONS(2616),
    [anon_sym_BOOL] = ACTIONS(2614),
    [anon_sym_IMP] = ACTIONS(2614),
    [anon_sym_SEL] = ACTIONS(2614),
    [anon_sym_Class] = ACTIONS(2614),
    [anon_sym_id] = ACTIONS(2614),
  },
  [634] = {
    [sym_identifier] = ACTIONS(2618),
    [aux_sym_preproc_include_token1] = ACTIONS(2618),
    [aux_sym_preproc_include_token2] = ACTIONS(2618),
    [aux_sym_preproc_def_token1] = ACTIONS(2618),
    [aux_sym_preproc_if_token1] = ACTIONS(2618),
    [aux_sym_preproc_if_token2] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2618),
    [sym_preproc_directive] = ACTIONS(2618),
    [anon_sym_LPAREN2] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2620),
    [anon_sym_CARET] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2620),
    [anon_sym___extension__] = ACTIONS(2618),
    [anon_sym_typedef] = ACTIONS(2618),
    [anon_sym_extern] = ACTIONS(2618),
    [anon_sym___attribute__] = ACTIONS(2618),
    [anon_sym___attribute] = ACTIONS(2618),
    [anon_sym_noreturn] = ACTIONS(2618),
    [anon_sym_LBRACK] = ACTIONS(2620),
    [anon_sym___declspec] = ACTIONS(2618),
    [anon_sym___cdecl] = ACTIONS(2618),
    [anon_sym___clrcall] = ACTIONS(2618),
    [anon_sym___stdcall] = ACTIONS(2618),
    [anon_sym___fastcall] = ACTIONS(2618),
    [anon_sym___thiscall] = ACTIONS(2618),
    [anon_sym___vectorcall] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2620),
    [anon_sym_signed] = ACTIONS(2618),
    [anon_sym_unsigned] = ACTIONS(2618),
    [anon_sym_long] = ACTIONS(2618),
    [anon_sym_short] = ACTIONS(2618),
    [anon_sym_static] = ACTIONS(2618),
    [anon_sym_ATautoreleasepool] = ACTIONS(2620),
    [anon_sym_auto] = ACTIONS(2618),
    [anon_sym_register] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym___inline] = ACTIONS(2618),
    [anon_sym___inline__] = ACTIONS(2618),
    [anon_sym___forceinline] = ACTIONS(2618),
    [anon_sym_thread_local] = ACTIONS(2618),
    [anon_sym___thread] = ACTIONS(2618),
    [anon_sym_CG_EXTERN] = ACTIONS(2618),
    [anon_sym_CG_INLINE] = ACTIONS(2618),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2618),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2618),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2618),
    [anon_sym_IBOutlet] = ACTIONS(2618),
    [anon_sym_IBInspectable] = ACTIONS(2618),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2618),
    [anon_sym_NS_INLINE] = ACTIONS(2618),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2618),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2618),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2618),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_constexpr] = ACTIONS(2618),
    [anon_sym_volatile] = ACTIONS(2618),
    [anon_sym_restrict] = ACTIONS(2618),
    [anon_sym___restrict__] = ACTIONS(2618),
    [anon_sym__Atomic] = ACTIONS(2618),
    [anon_sym__Noreturn] = ACTIONS(2618),
    [anon_sym__Nonnull] = ACTIONS(2618),
    [anon_sym_nullable] = ACTIONS(2618),
    [anon_sym__Complex] = ACTIONS(2618),
    [anon_sym__Nullable] = ACTIONS(2618),
    [anon_sym__Nullable_result] = ACTIONS(2618),
    [anon_sym__Null_unspecified] = ACTIONS(2618),
    [anon_sym___autoreleasing] = ACTIONS(2618),
    [anon_sym___block] = ACTIONS(2618),
    [anon_sym___bridge] = ACTIONS(2618),
    [anon_sym___bridge_retained] = ACTIONS(2618),
    [anon_sym___bridge_transfer] = ACTIONS(2618),
    [anon_sym___complex] = ACTIONS(2618),
    [anon_sym___const] = ACTIONS(2618),
    [anon_sym___imag] = ACTIONS(2618),
    [anon_sym___kindof] = ACTIONS(2618),
    [anon_sym___nonnull] = ACTIONS(2618),
    [anon_sym___nullable] = ACTIONS(2618),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2618),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2618),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2618),
    [anon_sym___real] = ACTIONS(2618),
    [anon_sym___strong] = ACTIONS(2618),
    [anon_sym___unsafe_unretained] = ACTIONS(2618),
    [anon_sym___unused] = ACTIONS(2618),
    [anon_sym___weak] = ACTIONS(2618),
    [anon_sym_alignas] = ACTIONS(2618),
    [anon_sym__Alignas] = ACTIONS(2618),
    [sym_primitive_type] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_struct] = ACTIONS(2618),
    [anon_sym_union] = ACTIONS(2618),
    [anon_sym_if] = ACTIONS(2618),
    [anon_sym_switch] = ACTIONS(2618),
    [anon_sym_case] = ACTIONS(2618),
    [anon_sym_default] = ACTIONS(2618),
    [anon_sym_while] = ACTIONS(2618),
    [anon_sym_do] = ACTIONS(2618),
    [anon_sym_for] = ACTIONS(2618),
    [anon_sym_in] = ACTIONS(2618),
    [anon_sym_return] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2618),
    [anon_sym_continue] = ACTIONS(2618),
    [anon_sym_goto] = ACTIONS(2618),
    [anon_sym_DASH_DASH] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2620),
    [anon_sym_sizeof] = ACTIONS(2618),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2618),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2618),
    [anon_sym___asm__] = ACTIONS(2618),
    [anon_sym___asm] = ACTIONS(2618),
    [sym_number_literal] = ACTIONS(2620),
    [anon_sym_L_SQUOTE] = ACTIONS(2620),
    [anon_sym_u_SQUOTE] = ACTIONS(2620),
    [anon_sym_U_SQUOTE] = ACTIONS(2620),
    [anon_sym_u8_SQUOTE] = ACTIONS(2620),
    [anon_sym_SQUOTE] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(2618),
    [anon_sym_DQUOTE] = ACTIONS(2620),
    [anon_sym_L_DQUOTE] = ACTIONS(2620),
    [anon_sym_u_DQUOTE] = ACTIONS(2620),
    [anon_sym_U_DQUOTE] = ACTIONS(2620),
    [anon_sym_u8_DQUOTE] = ACTIONS(2620),
    [sym_true] = ACTIONS(2618),
    [sym_false] = ACTIONS(2618),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2618),
    [anon_sym___typeof] = ACTIONS(2618),
    [anon_sym_typeof] = ACTIONS(2618),
    [anon_sym_ATimport] = ACTIONS(2620),
    [aux_sym_preproc_undef_token1] = ACTIONS(2618),
    [anon_sym_POUND] = ACTIONS(2618),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2618),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2618),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2618),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2618),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2618),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2618),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2618),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2618),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2618),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2618),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2618),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2618),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2618),
    [anon_sym_API_AVAILABLE] = ACTIONS(2618),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2618),
    [anon_sym_API_DEPRECATED] = ACTIONS(2618),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2618),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2618),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2618),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2618),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2618),
    [anon_sym___deprecated_msg] = ACTIONS(2618),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2618),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2618),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2618),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2618),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2618),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2618),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2618),
    [anon_sym_ATprotocol] = ACTIONS(2620),
    [anon_sym_ATinterface] = ACTIONS(2620),
    [anon_sym_ATimplementation] = ACTIONS(2620),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2620),
    [anon_sym_ATsynthesize] = ACTIONS(2620),
    [anon_sym_ATdynamic] = ACTIONS(2620),
    [anon_sym_ATtry] = ACTIONS(2620),
    [anon_sym___try] = ACTIONS(2618),
    [anon_sym_ATthrow] = ACTIONS(2620),
    [anon_sym_ATselector] = ACTIONS(2620),
    [anon_sym_ATavailable] = ACTIONS(2620),
    [anon_sym___builtin_available] = ACTIONS(2618),
    [anon_sym_va_arg] = ACTIONS(2618),
    [anon_sym_ATencode] = ACTIONS(2620),
    [anon_sym_ATsynchronized] = ACTIONS(2620),
    [anon_sym_BOOL] = ACTIONS(2618),
    [anon_sym_IMP] = ACTIONS(2618),
    [anon_sym_SEL] = ACTIONS(2618),
    [anon_sym_Class] = ACTIONS(2618),
    [anon_sym_id] = ACTIONS(2618),
  },
  [635] = {
    [sym_identifier] = ACTIONS(2622),
    [aux_sym_preproc_include_token1] = ACTIONS(2622),
    [aux_sym_preproc_include_token2] = ACTIONS(2622),
    [aux_sym_preproc_def_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token2] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2622),
    [sym_preproc_directive] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_CARET] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym___extension__] = ACTIONS(2622),
    [anon_sym_typedef] = ACTIONS(2622),
    [anon_sym_extern] = ACTIONS(2622),
    [anon_sym___attribute__] = ACTIONS(2622),
    [anon_sym___attribute] = ACTIONS(2622),
    [anon_sym_noreturn] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym___declspec] = ACTIONS(2622),
    [anon_sym___cdecl] = ACTIONS(2622),
    [anon_sym___clrcall] = ACTIONS(2622),
    [anon_sym___stdcall] = ACTIONS(2622),
    [anon_sym___fastcall] = ACTIONS(2622),
    [anon_sym___thiscall] = ACTIONS(2622),
    [anon_sym___vectorcall] = ACTIONS(2622),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_signed] = ACTIONS(2622),
    [anon_sym_unsigned] = ACTIONS(2622),
    [anon_sym_long] = ACTIONS(2622),
    [anon_sym_short] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_ATautoreleasepool] = ACTIONS(2624),
    [anon_sym_auto] = ACTIONS(2622),
    [anon_sym_register] = ACTIONS(2622),
    [anon_sym_inline] = ACTIONS(2622),
    [anon_sym___inline] = ACTIONS(2622),
    [anon_sym___inline__] = ACTIONS(2622),
    [anon_sym___forceinline] = ACTIONS(2622),
    [anon_sym_thread_local] = ACTIONS(2622),
    [anon_sym___thread] = ACTIONS(2622),
    [anon_sym_CG_EXTERN] = ACTIONS(2622),
    [anon_sym_CG_INLINE] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2622),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2622),
    [anon_sym_IBOutlet] = ACTIONS(2622),
    [anon_sym_IBInspectable] = ACTIONS(2622),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2622),
    [anon_sym_NS_INLINE] = ACTIONS(2622),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2622),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2622),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_constexpr] = ACTIONS(2622),
    [anon_sym_volatile] = ACTIONS(2622),
    [anon_sym_restrict] = ACTIONS(2622),
    [anon_sym___restrict__] = ACTIONS(2622),
    [anon_sym__Atomic] = ACTIONS(2622),
    [anon_sym__Noreturn] = ACTIONS(2622),
    [anon_sym__Nonnull] = ACTIONS(2622),
    [anon_sym_nullable] = ACTIONS(2622),
    [anon_sym__Complex] = ACTIONS(2622),
    [anon_sym__Nullable] = ACTIONS(2622),
    [anon_sym__Nullable_result] = ACTIONS(2622),
    [anon_sym__Null_unspecified] = ACTIONS(2622),
    [anon_sym___autoreleasing] = ACTIONS(2622),
    [anon_sym___block] = ACTIONS(2622),
    [anon_sym___bridge] = ACTIONS(2622),
    [anon_sym___bridge_retained] = ACTIONS(2622),
    [anon_sym___bridge_transfer] = ACTIONS(2622),
    [anon_sym___complex] = ACTIONS(2622),
    [anon_sym___const] = ACTIONS(2622),
    [anon_sym___imag] = ACTIONS(2622),
    [anon_sym___kindof] = ACTIONS(2622),
    [anon_sym___nonnull] = ACTIONS(2622),
    [anon_sym___nullable] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2622),
    [anon_sym___real] = ACTIONS(2622),
    [anon_sym___strong] = ACTIONS(2622),
    [anon_sym___unsafe_unretained] = ACTIONS(2622),
    [anon_sym___unused] = ACTIONS(2622),
    [anon_sym___weak] = ACTIONS(2622),
    [anon_sym_alignas] = ACTIONS(2622),
    [anon_sym__Alignas] = ACTIONS(2622),
    [sym_primitive_type] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [anon_sym_struct] = ACTIONS(2622),
    [anon_sym_union] = ACTIONS(2622),
    [anon_sym_if] = ACTIONS(2622),
    [anon_sym_switch] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2622),
    [anon_sym_default] = ACTIONS(2622),
    [anon_sym_while] = ACTIONS(2622),
    [anon_sym_do] = ACTIONS(2622),
    [anon_sym_for] = ACTIONS(2622),
    [anon_sym_in] = ACTIONS(2622),
    [anon_sym_return] = ACTIONS(2622),
    [anon_sym_break] = ACTIONS(2622),
    [anon_sym_continue] = ACTIONS(2622),
    [anon_sym_goto] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_sizeof] = ACTIONS(2622),
    [anon_sym___alignof__] = ACTIONS(2622),
    [anon_sym___alignof] = ACTIONS(2622),
    [anon_sym__alignof] = ACTIONS(2622),
    [anon_sym_alignof] = ACTIONS(2622),
    [anon_sym__Alignof] = ACTIONS(2622),
    [anon_sym_offsetof] = ACTIONS(2622),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2622),
    [anon_sym___asm__] = ACTIONS(2622),
    [anon_sym___asm] = ACTIONS(2622),
    [sym_number_literal] = ACTIONS(2624),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2624),
    [anon_sym_u_DQUOTE] = ACTIONS(2624),
    [anon_sym_U_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8_DQUOTE] = ACTIONS(2624),
    [sym_true] = ACTIONS(2622),
    [sym_false] = ACTIONS(2622),
    [anon_sym_NULL] = ACTIONS(2622),
    [anon_sym_nullptr] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2622),
    [anon_sym___typeof] = ACTIONS(2622),
    [anon_sym_typeof] = ACTIONS(2622),
    [anon_sym_ATimport] = ACTIONS(2624),
    [aux_sym_preproc_undef_token1] = ACTIONS(2622),
    [anon_sym_POUND] = ACTIONS(2622),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2622),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2622),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2622),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_API_AVAILABLE] = ACTIONS(2622),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_API_DEPRECATED] = ACTIONS(2622),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym___deprecated_msg] = ACTIONS(2622),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2622),
    [anon_sym_ATprotocol] = ACTIONS(2624),
    [anon_sym_ATinterface] = ACTIONS(2624),
    [anon_sym_ATimplementation] = ACTIONS(2624),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2624),
    [anon_sym_ATsynthesize] = ACTIONS(2624),
    [anon_sym_ATdynamic] = ACTIONS(2624),
    [anon_sym_ATtry] = ACTIONS(2624),
    [anon_sym___try] = ACTIONS(2622),
    [anon_sym_ATthrow] = ACTIONS(2624),
    [anon_sym_ATselector] = ACTIONS(2624),
    [anon_sym_ATavailable] = ACTIONS(2624),
    [anon_sym___builtin_available] = ACTIONS(2622),
    [anon_sym_va_arg] = ACTIONS(2622),
    [anon_sym_ATencode] = ACTIONS(2624),
    [anon_sym_ATsynchronized] = ACTIONS(2624),
    [anon_sym_BOOL] = ACTIONS(2622),
    [anon_sym_IMP] = ACTIONS(2622),
    [anon_sym_SEL] = ACTIONS(2622),
    [anon_sym_Class] = ACTIONS(2622),
    [anon_sym_id] = ACTIONS(2622),
  },
  [636] = {
    [sym_identifier] = ACTIONS(2622),
    [aux_sym_preproc_include_token1] = ACTIONS(2622),
    [aux_sym_preproc_include_token2] = ACTIONS(2622),
    [aux_sym_preproc_def_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token2] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2622),
    [sym_preproc_directive] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_CARET] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym___extension__] = ACTIONS(2622),
    [anon_sym_typedef] = ACTIONS(2622),
    [anon_sym_extern] = ACTIONS(2622),
    [anon_sym___attribute__] = ACTIONS(2622),
    [anon_sym___attribute] = ACTIONS(2622),
    [anon_sym_noreturn] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym___declspec] = ACTIONS(2622),
    [anon_sym___cdecl] = ACTIONS(2622),
    [anon_sym___clrcall] = ACTIONS(2622),
    [anon_sym___stdcall] = ACTIONS(2622),
    [anon_sym___fastcall] = ACTIONS(2622),
    [anon_sym___thiscall] = ACTIONS(2622),
    [anon_sym___vectorcall] = ACTIONS(2622),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_signed] = ACTIONS(2622),
    [anon_sym_unsigned] = ACTIONS(2622),
    [anon_sym_long] = ACTIONS(2622),
    [anon_sym_short] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_ATautoreleasepool] = ACTIONS(2624),
    [anon_sym_auto] = ACTIONS(2622),
    [anon_sym_register] = ACTIONS(2622),
    [anon_sym_inline] = ACTIONS(2622),
    [anon_sym___inline] = ACTIONS(2622),
    [anon_sym___inline__] = ACTIONS(2622),
    [anon_sym___forceinline] = ACTIONS(2622),
    [anon_sym_thread_local] = ACTIONS(2622),
    [anon_sym___thread] = ACTIONS(2622),
    [anon_sym_CG_EXTERN] = ACTIONS(2622),
    [anon_sym_CG_INLINE] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2622),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2622),
    [anon_sym_IBOutlet] = ACTIONS(2622),
    [anon_sym_IBInspectable] = ACTIONS(2622),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2622),
    [anon_sym_NS_INLINE] = ACTIONS(2622),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2622),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2622),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_constexpr] = ACTIONS(2622),
    [anon_sym_volatile] = ACTIONS(2622),
    [anon_sym_restrict] = ACTIONS(2622),
    [anon_sym___restrict__] = ACTIONS(2622),
    [anon_sym__Atomic] = ACTIONS(2622),
    [anon_sym__Noreturn] = ACTIONS(2622),
    [anon_sym__Nonnull] = ACTIONS(2622),
    [anon_sym_nullable] = ACTIONS(2622),
    [anon_sym__Complex] = ACTIONS(2622),
    [anon_sym__Nullable] = ACTIONS(2622),
    [anon_sym__Nullable_result] = ACTIONS(2622),
    [anon_sym__Null_unspecified] = ACTIONS(2622),
    [anon_sym___autoreleasing] = ACTIONS(2622),
    [anon_sym___block] = ACTIONS(2622),
    [anon_sym___bridge] = ACTIONS(2622),
    [anon_sym___bridge_retained] = ACTIONS(2622),
    [anon_sym___bridge_transfer] = ACTIONS(2622),
    [anon_sym___complex] = ACTIONS(2622),
    [anon_sym___const] = ACTIONS(2622),
    [anon_sym___imag] = ACTIONS(2622),
    [anon_sym___kindof] = ACTIONS(2622),
    [anon_sym___nonnull] = ACTIONS(2622),
    [anon_sym___nullable] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2622),
    [anon_sym___real] = ACTIONS(2622),
    [anon_sym___strong] = ACTIONS(2622),
    [anon_sym___unsafe_unretained] = ACTIONS(2622),
    [anon_sym___unused] = ACTIONS(2622),
    [anon_sym___weak] = ACTIONS(2622),
    [anon_sym_alignas] = ACTIONS(2622),
    [anon_sym__Alignas] = ACTIONS(2622),
    [sym_primitive_type] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [anon_sym_struct] = ACTIONS(2622),
    [anon_sym_union] = ACTIONS(2622),
    [anon_sym_if] = ACTIONS(2622),
    [anon_sym_switch] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2622),
    [anon_sym_default] = ACTIONS(2622),
    [anon_sym_while] = ACTIONS(2622),
    [anon_sym_do] = ACTIONS(2622),
    [anon_sym_for] = ACTIONS(2622),
    [anon_sym_in] = ACTIONS(2622),
    [anon_sym_return] = ACTIONS(2622),
    [anon_sym_break] = ACTIONS(2622),
    [anon_sym_continue] = ACTIONS(2622),
    [anon_sym_goto] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_sizeof] = ACTIONS(2622),
    [anon_sym___alignof__] = ACTIONS(2622),
    [anon_sym___alignof] = ACTIONS(2622),
    [anon_sym__alignof] = ACTIONS(2622),
    [anon_sym_alignof] = ACTIONS(2622),
    [anon_sym__Alignof] = ACTIONS(2622),
    [anon_sym_offsetof] = ACTIONS(2622),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2622),
    [anon_sym___asm__] = ACTIONS(2622),
    [anon_sym___asm] = ACTIONS(2622),
    [sym_number_literal] = ACTIONS(2624),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2624),
    [anon_sym_u_DQUOTE] = ACTIONS(2624),
    [anon_sym_U_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8_DQUOTE] = ACTIONS(2624),
    [sym_true] = ACTIONS(2622),
    [sym_false] = ACTIONS(2622),
    [anon_sym_NULL] = ACTIONS(2622),
    [anon_sym_nullptr] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2622),
    [anon_sym___typeof] = ACTIONS(2622),
    [anon_sym_typeof] = ACTIONS(2622),
    [anon_sym_ATimport] = ACTIONS(2624),
    [aux_sym_preproc_undef_token1] = ACTIONS(2622),
    [anon_sym_POUND] = ACTIONS(2622),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2622),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2622),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2622),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_API_AVAILABLE] = ACTIONS(2622),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_API_DEPRECATED] = ACTIONS(2622),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym___deprecated_msg] = ACTIONS(2622),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2622),
    [anon_sym_ATprotocol] = ACTIONS(2624),
    [anon_sym_ATinterface] = ACTIONS(2624),
    [anon_sym_ATimplementation] = ACTIONS(2624),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2624),
    [anon_sym_ATsynthesize] = ACTIONS(2624),
    [anon_sym_ATdynamic] = ACTIONS(2624),
    [anon_sym_ATtry] = ACTIONS(2624),
    [anon_sym___try] = ACTIONS(2622),
    [anon_sym_ATthrow] = ACTIONS(2624),
    [anon_sym_ATselector] = ACTIONS(2624),
    [anon_sym_ATavailable] = ACTIONS(2624),
    [anon_sym___builtin_available] = ACTIONS(2622),
    [anon_sym_va_arg] = ACTIONS(2622),
    [anon_sym_ATencode] = ACTIONS(2624),
    [anon_sym_ATsynchronized] = ACTIONS(2624),
    [anon_sym_BOOL] = ACTIONS(2622),
    [anon_sym_IMP] = ACTIONS(2622),
    [anon_sym_SEL] = ACTIONS(2622),
    [anon_sym_Class] = ACTIONS(2622),
    [anon_sym_id] = ACTIONS(2622),
  },
  [637] = {
    [sym_identifier] = ACTIONS(2626),
    [aux_sym_preproc_include_token1] = ACTIONS(2626),
    [aux_sym_preproc_include_token2] = ACTIONS(2626),
    [aux_sym_preproc_def_token1] = ACTIONS(2626),
    [aux_sym_preproc_if_token1] = ACTIONS(2626),
    [aux_sym_preproc_if_token2] = ACTIONS(2626),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2626),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2626),
    [sym_preproc_directive] = ACTIONS(2626),
    [anon_sym_LPAREN2] = ACTIONS(2628),
    [anon_sym_BANG] = ACTIONS(2628),
    [anon_sym_TILDE] = ACTIONS(2628),
    [anon_sym_DASH] = ACTIONS(2626),
    [anon_sym_PLUS] = ACTIONS(2626),
    [anon_sym_STAR] = ACTIONS(2628),
    [anon_sym_CARET] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2628),
    [anon_sym_SEMI] = ACTIONS(2628),
    [anon_sym___extension__] = ACTIONS(2626),
    [anon_sym_typedef] = ACTIONS(2626),
    [anon_sym_extern] = ACTIONS(2626),
    [anon_sym___attribute__] = ACTIONS(2626),
    [anon_sym___attribute] = ACTIONS(2626),
    [anon_sym_noreturn] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2628),
    [anon_sym___declspec] = ACTIONS(2626),
    [anon_sym___cdecl] = ACTIONS(2626),
    [anon_sym___clrcall] = ACTIONS(2626),
    [anon_sym___stdcall] = ACTIONS(2626),
    [anon_sym___fastcall] = ACTIONS(2626),
    [anon_sym___thiscall] = ACTIONS(2626),
    [anon_sym___vectorcall] = ACTIONS(2626),
    [anon_sym_LBRACE] = ACTIONS(2628),
    [anon_sym_signed] = ACTIONS(2626),
    [anon_sym_unsigned] = ACTIONS(2626),
    [anon_sym_long] = ACTIONS(2626),
    [anon_sym_short] = ACTIONS(2626),
    [anon_sym_static] = ACTIONS(2626),
    [anon_sym_ATautoreleasepool] = ACTIONS(2628),
    [anon_sym_auto] = ACTIONS(2626),
    [anon_sym_register] = ACTIONS(2626),
    [anon_sym_inline] = ACTIONS(2626),
    [anon_sym___inline] = ACTIONS(2626),
    [anon_sym___inline__] = ACTIONS(2626),
    [anon_sym___forceinline] = ACTIONS(2626),
    [anon_sym_thread_local] = ACTIONS(2626),
    [anon_sym___thread] = ACTIONS(2626),
    [anon_sym_CG_EXTERN] = ACTIONS(2626),
    [anon_sym_CG_INLINE] = ACTIONS(2626),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2626),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2626),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2626),
    [anon_sym_IBOutlet] = ACTIONS(2626),
    [anon_sym_IBInspectable] = ACTIONS(2626),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2626),
    [anon_sym_NS_INLINE] = ACTIONS(2626),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2626),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2626),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2626),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2626),
    [anon_sym_const] = ACTIONS(2626),
    [anon_sym_constexpr] = ACTIONS(2626),
    [anon_sym_volatile] = ACTIONS(2626),
    [anon_sym_restrict] = ACTIONS(2626),
    [anon_sym___restrict__] = ACTIONS(2626),
    [anon_sym__Atomic] = ACTIONS(2626),
    [anon_sym__Noreturn] = ACTIONS(2626),
    [anon_sym__Nonnull] = ACTIONS(2626),
    [anon_sym_nullable] = ACTIONS(2626),
    [anon_sym__Complex] = ACTIONS(2626),
    [anon_sym__Nullable] = ACTIONS(2626),
    [anon_sym__Nullable_result] = ACTIONS(2626),
    [anon_sym__Null_unspecified] = ACTIONS(2626),
    [anon_sym___autoreleasing] = ACTIONS(2626),
    [anon_sym___block] = ACTIONS(2626),
    [anon_sym___bridge] = ACTIONS(2626),
    [anon_sym___bridge_retained] = ACTIONS(2626),
    [anon_sym___bridge_transfer] = ACTIONS(2626),
    [anon_sym___complex] = ACTIONS(2626),
    [anon_sym___const] = ACTIONS(2626),
    [anon_sym___imag] = ACTIONS(2626),
    [anon_sym___kindof] = ACTIONS(2626),
    [anon_sym___nonnull] = ACTIONS(2626),
    [anon_sym___nullable] = ACTIONS(2626),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2626),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2626),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2626),
    [anon_sym___real] = ACTIONS(2626),
    [anon_sym___strong] = ACTIONS(2626),
    [anon_sym___unsafe_unretained] = ACTIONS(2626),
    [anon_sym___unused] = ACTIONS(2626),
    [anon_sym___weak] = ACTIONS(2626),
    [anon_sym_alignas] = ACTIONS(2626),
    [anon_sym__Alignas] = ACTIONS(2626),
    [sym_primitive_type] = ACTIONS(2626),
    [anon_sym_enum] = ACTIONS(2626),
    [anon_sym_struct] = ACTIONS(2626),
    [anon_sym_union] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2626),
    [anon_sym_switch] = ACTIONS(2626),
    [anon_sym_case] = ACTIONS(2626),
    [anon_sym_default] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2626),
    [anon_sym_do] = ACTIONS(2626),
    [anon_sym_for] = ACTIONS(2626),
    [anon_sym_in] = ACTIONS(2626),
    [anon_sym_return] = ACTIONS(2626),
    [anon_sym_break] = ACTIONS(2626),
    [anon_sym_continue] = ACTIONS(2626),
    [anon_sym_goto] = ACTIONS(2626),
    [anon_sym_DASH_DASH] = ACTIONS(2628),
    [anon_sym_PLUS_PLUS] = ACTIONS(2628),
    [anon_sym_sizeof] = ACTIONS(2626),
    [anon_sym___alignof__] = ACTIONS(2626),
    [anon_sym___alignof] = ACTIONS(2626),
    [anon_sym__alignof] = ACTIONS(2626),
    [anon_sym_alignof] = ACTIONS(2626),
    [anon_sym__Alignof] = ACTIONS(2626),
    [anon_sym_offsetof] = ACTIONS(2626),
    [anon_sym__Generic] = ACTIONS(2626),
    [anon_sym_asm] = ACTIONS(2626),
    [anon_sym___asm__] = ACTIONS(2626),
    [anon_sym___asm] = ACTIONS(2626),
    [sym_number_literal] = ACTIONS(2628),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_AT] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2628),
    [anon_sym_u_DQUOTE] = ACTIONS(2628),
    [anon_sym_U_DQUOTE] = ACTIONS(2628),
    [anon_sym_u8_DQUOTE] = ACTIONS(2628),
    [sym_true] = ACTIONS(2626),
    [sym_false] = ACTIONS(2626),
    [anon_sym_NULL] = ACTIONS(2626),
    [anon_sym_nullptr] = ACTIONS(2626),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2626),
    [anon_sym___typeof] = ACTIONS(2626),
    [anon_sym_typeof] = ACTIONS(2626),
    [anon_sym_ATimport] = ACTIONS(2628),
    [aux_sym_preproc_undef_token1] = ACTIONS(2626),
    [anon_sym_POUND] = ACTIONS(2626),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2626),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2626),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2626),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2626),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2626),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2626),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2626),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2626),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2626),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2626),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2626),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2626),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2626),
    [anon_sym_API_AVAILABLE] = ACTIONS(2626),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2626),
    [anon_sym_API_DEPRECATED] = ACTIONS(2626),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2626),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2626),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2626),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2626),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2626),
    [anon_sym___deprecated_msg] = ACTIONS(2626),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2626),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2626),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2626),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2626),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2626),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2626),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2626),
    [anon_sym_ATprotocol] = ACTIONS(2628),
    [anon_sym_ATinterface] = ACTIONS(2628),
    [anon_sym_ATimplementation] = ACTIONS(2628),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2628),
    [anon_sym_ATsynthesize] = ACTIONS(2628),
    [anon_sym_ATdynamic] = ACTIONS(2628),
    [anon_sym_ATtry] = ACTIONS(2628),
    [anon_sym___try] = ACTIONS(2626),
    [anon_sym_ATthrow] = ACTIONS(2628),
    [anon_sym_ATselector] = ACTIONS(2628),
    [anon_sym_ATavailable] = ACTIONS(2628),
    [anon_sym___builtin_available] = ACTIONS(2626),
    [anon_sym_va_arg] = ACTIONS(2626),
    [anon_sym_ATencode] = ACTIONS(2628),
    [anon_sym_ATsynchronized] = ACTIONS(2628),
    [anon_sym_BOOL] = ACTIONS(2626),
    [anon_sym_IMP] = ACTIONS(2626),
    [anon_sym_SEL] = ACTIONS(2626),
    [anon_sym_Class] = ACTIONS(2626),
    [anon_sym_id] = ACTIONS(2626),
  },
  [638] = {
    [sym_identifier] = ACTIONS(2630),
    [aux_sym_preproc_include_token1] = ACTIONS(2630),
    [aux_sym_preproc_include_token2] = ACTIONS(2630),
    [aux_sym_preproc_def_token1] = ACTIONS(2630),
    [aux_sym_preproc_if_token1] = ACTIONS(2630),
    [aux_sym_preproc_if_token2] = ACTIONS(2630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2630),
    [sym_preproc_directive] = ACTIONS(2630),
    [anon_sym_LPAREN2] = ACTIONS(2632),
    [anon_sym_BANG] = ACTIONS(2632),
    [anon_sym_TILDE] = ACTIONS(2632),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2632),
    [anon_sym_CARET] = ACTIONS(2632),
    [anon_sym_AMP] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2632),
    [anon_sym___extension__] = ACTIONS(2630),
    [anon_sym_typedef] = ACTIONS(2630),
    [anon_sym_extern] = ACTIONS(2630),
    [anon_sym___attribute__] = ACTIONS(2630),
    [anon_sym___attribute] = ACTIONS(2630),
    [anon_sym_noreturn] = ACTIONS(2630),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym___declspec] = ACTIONS(2630),
    [anon_sym___cdecl] = ACTIONS(2630),
    [anon_sym___clrcall] = ACTIONS(2630),
    [anon_sym___stdcall] = ACTIONS(2630),
    [anon_sym___fastcall] = ACTIONS(2630),
    [anon_sym___thiscall] = ACTIONS(2630),
    [anon_sym___vectorcall] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_signed] = ACTIONS(2630),
    [anon_sym_unsigned] = ACTIONS(2630),
    [anon_sym_long] = ACTIONS(2630),
    [anon_sym_short] = ACTIONS(2630),
    [anon_sym_static] = ACTIONS(2630),
    [anon_sym_ATautoreleasepool] = ACTIONS(2632),
    [anon_sym_auto] = ACTIONS(2630),
    [anon_sym_register] = ACTIONS(2630),
    [anon_sym_inline] = ACTIONS(2630),
    [anon_sym___inline] = ACTIONS(2630),
    [anon_sym___inline__] = ACTIONS(2630),
    [anon_sym___forceinline] = ACTIONS(2630),
    [anon_sym_thread_local] = ACTIONS(2630),
    [anon_sym___thread] = ACTIONS(2630),
    [anon_sym_CG_EXTERN] = ACTIONS(2630),
    [anon_sym_CG_INLINE] = ACTIONS(2630),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2630),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2630),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2630),
    [anon_sym_IBOutlet] = ACTIONS(2630),
    [anon_sym_IBInspectable] = ACTIONS(2630),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2630),
    [anon_sym_NS_INLINE] = ACTIONS(2630),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2630),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2630),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2630),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2630),
    [anon_sym_const] = ACTIONS(2630),
    [anon_sym_constexpr] = ACTIONS(2630),
    [anon_sym_volatile] = ACTIONS(2630),
    [anon_sym_restrict] = ACTIONS(2630),
    [anon_sym___restrict__] = ACTIONS(2630),
    [anon_sym__Atomic] = ACTIONS(2630),
    [anon_sym__Noreturn] = ACTIONS(2630),
    [anon_sym__Nonnull] = ACTIONS(2630),
    [anon_sym_nullable] = ACTIONS(2630),
    [anon_sym__Complex] = ACTIONS(2630),
    [anon_sym__Nullable] = ACTIONS(2630),
    [anon_sym__Nullable_result] = ACTIONS(2630),
    [anon_sym__Null_unspecified] = ACTIONS(2630),
    [anon_sym___autoreleasing] = ACTIONS(2630),
    [anon_sym___block] = ACTIONS(2630),
    [anon_sym___bridge] = ACTIONS(2630),
    [anon_sym___bridge_retained] = ACTIONS(2630),
    [anon_sym___bridge_transfer] = ACTIONS(2630),
    [anon_sym___complex] = ACTIONS(2630),
    [anon_sym___const] = ACTIONS(2630),
    [anon_sym___imag] = ACTIONS(2630),
    [anon_sym___kindof] = ACTIONS(2630),
    [anon_sym___nonnull] = ACTIONS(2630),
    [anon_sym___nullable] = ACTIONS(2630),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2630),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2630),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2630),
    [anon_sym___real] = ACTIONS(2630),
    [anon_sym___strong] = ACTIONS(2630),
    [anon_sym___unsafe_unretained] = ACTIONS(2630),
    [anon_sym___unused] = ACTIONS(2630),
    [anon_sym___weak] = ACTIONS(2630),
    [anon_sym_alignas] = ACTIONS(2630),
    [anon_sym__Alignas] = ACTIONS(2630),
    [sym_primitive_type] = ACTIONS(2630),
    [anon_sym_enum] = ACTIONS(2630),
    [anon_sym_struct] = ACTIONS(2630),
    [anon_sym_union] = ACTIONS(2630),
    [anon_sym_if] = ACTIONS(2630),
    [anon_sym_switch] = ACTIONS(2630),
    [anon_sym_case] = ACTIONS(2630),
    [anon_sym_default] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2630),
    [anon_sym_do] = ACTIONS(2630),
    [anon_sym_for] = ACTIONS(2630),
    [anon_sym_in] = ACTIONS(2630),
    [anon_sym_return] = ACTIONS(2630),
    [anon_sym_break] = ACTIONS(2630),
    [anon_sym_continue] = ACTIONS(2630),
    [anon_sym_goto] = ACTIONS(2630),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_sizeof] = ACTIONS(2630),
    [anon_sym___alignof__] = ACTIONS(2630),
    [anon_sym___alignof] = ACTIONS(2630),
    [anon_sym__alignof] = ACTIONS(2630),
    [anon_sym_alignof] = ACTIONS(2630),
    [anon_sym__Alignof] = ACTIONS(2630),
    [anon_sym_offsetof] = ACTIONS(2630),
    [anon_sym__Generic] = ACTIONS(2630),
    [anon_sym_asm] = ACTIONS(2630),
    [anon_sym___asm__] = ACTIONS(2630),
    [anon_sym___asm] = ACTIONS(2630),
    [sym_number_literal] = ACTIONS(2632),
    [anon_sym_L_SQUOTE] = ACTIONS(2632),
    [anon_sym_u_SQUOTE] = ACTIONS(2632),
    [anon_sym_U_SQUOTE] = ACTIONS(2632),
    [anon_sym_u8_SQUOTE] = ACTIONS(2632),
    [anon_sym_SQUOTE] = ACTIONS(2632),
    [anon_sym_AT] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2632),
    [anon_sym_L_DQUOTE] = ACTIONS(2632),
    [anon_sym_u_DQUOTE] = ACTIONS(2632),
    [anon_sym_U_DQUOTE] = ACTIONS(2632),
    [anon_sym_u8_DQUOTE] = ACTIONS(2632),
    [sym_true] = ACTIONS(2630),
    [sym_false] = ACTIONS(2630),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2630),
    [anon_sym___typeof] = ACTIONS(2630),
    [anon_sym_typeof] = ACTIONS(2630),
    [anon_sym_ATimport] = ACTIONS(2632),
    [aux_sym_preproc_undef_token1] = ACTIONS(2630),
    [anon_sym_POUND] = ACTIONS(2630),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2630),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2630),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2630),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2630),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2630),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2630),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2630),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2630),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2630),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2630),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2630),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2630),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2630),
    [anon_sym_API_AVAILABLE] = ACTIONS(2630),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2630),
    [anon_sym_API_DEPRECATED] = ACTIONS(2630),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2630),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2630),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2630),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2630),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2630),
    [anon_sym___deprecated_msg] = ACTIONS(2630),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2630),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2630),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2630),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2630),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2630),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2630),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2630),
    [anon_sym_ATprotocol] = ACTIONS(2632),
    [anon_sym_ATinterface] = ACTIONS(2632),
    [anon_sym_ATimplementation] = ACTIONS(2632),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2632),
    [anon_sym_ATsynthesize] = ACTIONS(2632),
    [anon_sym_ATdynamic] = ACTIONS(2632),
    [anon_sym_ATtry] = ACTIONS(2632),
    [anon_sym___try] = ACTIONS(2630),
    [anon_sym_ATthrow] = ACTIONS(2632),
    [anon_sym_ATselector] = ACTIONS(2632),
    [anon_sym_ATavailable] = ACTIONS(2632),
    [anon_sym___builtin_available] = ACTIONS(2630),
    [anon_sym_va_arg] = ACTIONS(2630),
    [anon_sym_ATencode] = ACTIONS(2632),
    [anon_sym_ATsynchronized] = ACTIONS(2632),
    [anon_sym_BOOL] = ACTIONS(2630),
    [anon_sym_IMP] = ACTIONS(2630),
    [anon_sym_SEL] = ACTIONS(2630),
    [anon_sym_Class] = ACTIONS(2630),
    [anon_sym_id] = ACTIONS(2630),
  },
  [639] = {
    [sym_identifier] = ACTIONS(2634),
    [aux_sym_preproc_include_token1] = ACTIONS(2634),
    [aux_sym_preproc_include_token2] = ACTIONS(2634),
    [aux_sym_preproc_def_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token2] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2634),
    [sym_preproc_directive] = ACTIONS(2634),
    [anon_sym_LPAREN2] = ACTIONS(2636),
    [anon_sym_BANG] = ACTIONS(2636),
    [anon_sym_TILDE] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_CARET] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym___extension__] = ACTIONS(2634),
    [anon_sym_typedef] = ACTIONS(2634),
    [anon_sym_extern] = ACTIONS(2634),
    [anon_sym___attribute__] = ACTIONS(2634),
    [anon_sym___attribute] = ACTIONS(2634),
    [anon_sym_noreturn] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym___declspec] = ACTIONS(2634),
    [anon_sym___cdecl] = ACTIONS(2634),
    [anon_sym___clrcall] = ACTIONS(2634),
    [anon_sym___stdcall] = ACTIONS(2634),
    [anon_sym___fastcall] = ACTIONS(2634),
    [anon_sym___thiscall] = ACTIONS(2634),
    [anon_sym___vectorcall] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_signed] = ACTIONS(2634),
    [anon_sym_unsigned] = ACTIONS(2634),
    [anon_sym_long] = ACTIONS(2634),
    [anon_sym_short] = ACTIONS(2634),
    [anon_sym_static] = ACTIONS(2634),
    [anon_sym_ATautoreleasepool] = ACTIONS(2636),
    [anon_sym_auto] = ACTIONS(2634),
    [anon_sym_register] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym___inline] = ACTIONS(2634),
    [anon_sym___inline__] = ACTIONS(2634),
    [anon_sym___forceinline] = ACTIONS(2634),
    [anon_sym_thread_local] = ACTIONS(2634),
    [anon_sym___thread] = ACTIONS(2634),
    [anon_sym_CG_EXTERN] = ACTIONS(2634),
    [anon_sym_CG_INLINE] = ACTIONS(2634),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2634),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2634),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2634),
    [anon_sym_IBOutlet] = ACTIONS(2634),
    [anon_sym_IBInspectable] = ACTIONS(2634),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2634),
    [anon_sym_NS_INLINE] = ACTIONS(2634),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2634),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2634),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2634),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_constexpr] = ACTIONS(2634),
    [anon_sym_volatile] = ACTIONS(2634),
    [anon_sym_restrict] = ACTIONS(2634),
    [anon_sym___restrict__] = ACTIONS(2634),
    [anon_sym__Atomic] = ACTIONS(2634),
    [anon_sym__Noreturn] = ACTIONS(2634),
    [anon_sym__Nonnull] = ACTIONS(2634),
    [anon_sym_nullable] = ACTIONS(2634),
    [anon_sym__Complex] = ACTIONS(2634),
    [anon_sym__Nullable] = ACTIONS(2634),
    [anon_sym__Nullable_result] = ACTIONS(2634),
    [anon_sym__Null_unspecified] = ACTIONS(2634),
    [anon_sym___autoreleasing] = ACTIONS(2634),
    [anon_sym___block] = ACTIONS(2634),
    [anon_sym___bridge] = ACTIONS(2634),
    [anon_sym___bridge_retained] = ACTIONS(2634),
    [anon_sym___bridge_transfer] = ACTIONS(2634),
    [anon_sym___complex] = ACTIONS(2634),
    [anon_sym___const] = ACTIONS(2634),
    [anon_sym___imag] = ACTIONS(2634),
    [anon_sym___kindof] = ACTIONS(2634),
    [anon_sym___nonnull] = ACTIONS(2634),
    [anon_sym___nullable] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2634),
    [anon_sym___real] = ACTIONS(2634),
    [anon_sym___strong] = ACTIONS(2634),
    [anon_sym___unsafe_unretained] = ACTIONS(2634),
    [anon_sym___unused] = ACTIONS(2634),
    [anon_sym___weak] = ACTIONS(2634),
    [anon_sym_alignas] = ACTIONS(2634),
    [anon_sym__Alignas] = ACTIONS(2634),
    [sym_primitive_type] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_struct] = ACTIONS(2634),
    [anon_sym_union] = ACTIONS(2634),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_switch] = ACTIONS(2634),
    [anon_sym_case] = ACTIONS(2634),
    [anon_sym_default] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_do] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2634),
    [anon_sym_in] = ACTIONS(2634),
    [anon_sym_return] = ACTIONS(2634),
    [anon_sym_break] = ACTIONS(2634),
    [anon_sym_continue] = ACTIONS(2634),
    [anon_sym_goto] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_sizeof] = ACTIONS(2634),
    [anon_sym___alignof__] = ACTIONS(2634),
    [anon_sym___alignof] = ACTIONS(2634),
    [anon_sym__alignof] = ACTIONS(2634),
    [anon_sym_alignof] = ACTIONS(2634),
    [anon_sym__Alignof] = ACTIONS(2634),
    [anon_sym_offsetof] = ACTIONS(2634),
    [anon_sym__Generic] = ACTIONS(2634),
    [anon_sym_asm] = ACTIONS(2634),
    [anon_sym___asm__] = ACTIONS(2634),
    [anon_sym___asm] = ACTIONS(2634),
    [sym_number_literal] = ACTIONS(2636),
    [anon_sym_L_SQUOTE] = ACTIONS(2636),
    [anon_sym_u_SQUOTE] = ACTIONS(2636),
    [anon_sym_U_SQUOTE] = ACTIONS(2636),
    [anon_sym_u8_SQUOTE] = ACTIONS(2636),
    [anon_sym_SQUOTE] = ACTIONS(2636),
    [anon_sym_AT] = ACTIONS(2634),
    [anon_sym_DQUOTE] = ACTIONS(2636),
    [anon_sym_L_DQUOTE] = ACTIONS(2636),
    [anon_sym_u_DQUOTE] = ACTIONS(2636),
    [anon_sym_U_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8_DQUOTE] = ACTIONS(2636),
    [sym_true] = ACTIONS(2634),
    [sym_false] = ACTIONS(2634),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2634),
    [anon_sym___typeof] = ACTIONS(2634),
    [anon_sym_typeof] = ACTIONS(2634),
    [anon_sym_ATimport] = ACTIONS(2636),
    [aux_sym_preproc_undef_token1] = ACTIONS(2634),
    [anon_sym_POUND] = ACTIONS(2634),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2634),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2634),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2634),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2634),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2634),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2634),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2634),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_API_AVAILABLE] = ACTIONS(2634),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_API_DEPRECATED] = ACTIONS(2634),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2634),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym___deprecated_msg] = ACTIONS(2634),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2634),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2634),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2634),
    [anon_sym_ATprotocol] = ACTIONS(2636),
    [anon_sym_ATinterface] = ACTIONS(2636),
    [anon_sym_ATimplementation] = ACTIONS(2636),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2636),
    [anon_sym_ATsynthesize] = ACTIONS(2636),
    [anon_sym_ATdynamic] = ACTIONS(2636),
    [anon_sym_ATtry] = ACTIONS(2636),
    [anon_sym___try] = ACTIONS(2634),
    [anon_sym_ATthrow] = ACTIONS(2636),
    [anon_sym_ATselector] = ACTIONS(2636),
    [anon_sym_ATavailable] = ACTIONS(2636),
    [anon_sym___builtin_available] = ACTIONS(2634),
    [anon_sym_va_arg] = ACTIONS(2634),
    [anon_sym_ATencode] = ACTIONS(2636),
    [anon_sym_ATsynchronized] = ACTIONS(2636),
    [anon_sym_BOOL] = ACTIONS(2634),
    [anon_sym_IMP] = ACTIONS(2634),
    [anon_sym_SEL] = ACTIONS(2634),
    [anon_sym_Class] = ACTIONS(2634),
    [anon_sym_id] = ACTIONS(2634),
  },
  [640] = {
    [sym_identifier] = ACTIONS(2634),
    [aux_sym_preproc_include_token1] = ACTIONS(2634),
    [aux_sym_preproc_include_token2] = ACTIONS(2634),
    [aux_sym_preproc_def_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token2] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2634),
    [sym_preproc_directive] = ACTIONS(2634),
    [anon_sym_LPAREN2] = ACTIONS(2636),
    [anon_sym_BANG] = ACTIONS(2636),
    [anon_sym_TILDE] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_CARET] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym___extension__] = ACTIONS(2634),
    [anon_sym_typedef] = ACTIONS(2634),
    [anon_sym_extern] = ACTIONS(2634),
    [anon_sym___attribute__] = ACTIONS(2634),
    [anon_sym___attribute] = ACTIONS(2634),
    [anon_sym_noreturn] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym___declspec] = ACTIONS(2634),
    [anon_sym___cdecl] = ACTIONS(2634),
    [anon_sym___clrcall] = ACTIONS(2634),
    [anon_sym___stdcall] = ACTIONS(2634),
    [anon_sym___fastcall] = ACTIONS(2634),
    [anon_sym___thiscall] = ACTIONS(2634),
    [anon_sym___vectorcall] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_signed] = ACTIONS(2634),
    [anon_sym_unsigned] = ACTIONS(2634),
    [anon_sym_long] = ACTIONS(2634),
    [anon_sym_short] = ACTIONS(2634),
    [anon_sym_static] = ACTIONS(2634),
    [anon_sym_ATautoreleasepool] = ACTIONS(2636),
    [anon_sym_auto] = ACTIONS(2634),
    [anon_sym_register] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym___inline] = ACTIONS(2634),
    [anon_sym___inline__] = ACTIONS(2634),
    [anon_sym___forceinline] = ACTIONS(2634),
    [anon_sym_thread_local] = ACTIONS(2634),
    [anon_sym___thread] = ACTIONS(2634),
    [anon_sym_CG_EXTERN] = ACTIONS(2634),
    [anon_sym_CG_INLINE] = ACTIONS(2634),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2634),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2634),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2634),
    [anon_sym_IBOutlet] = ACTIONS(2634),
    [anon_sym_IBInspectable] = ACTIONS(2634),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2634),
    [anon_sym_NS_INLINE] = ACTIONS(2634),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2634),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2634),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2634),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_constexpr] = ACTIONS(2634),
    [anon_sym_volatile] = ACTIONS(2634),
    [anon_sym_restrict] = ACTIONS(2634),
    [anon_sym___restrict__] = ACTIONS(2634),
    [anon_sym__Atomic] = ACTIONS(2634),
    [anon_sym__Noreturn] = ACTIONS(2634),
    [anon_sym__Nonnull] = ACTIONS(2634),
    [anon_sym_nullable] = ACTIONS(2634),
    [anon_sym__Complex] = ACTIONS(2634),
    [anon_sym__Nullable] = ACTIONS(2634),
    [anon_sym__Nullable_result] = ACTIONS(2634),
    [anon_sym__Null_unspecified] = ACTIONS(2634),
    [anon_sym___autoreleasing] = ACTIONS(2634),
    [anon_sym___block] = ACTIONS(2634),
    [anon_sym___bridge] = ACTIONS(2634),
    [anon_sym___bridge_retained] = ACTIONS(2634),
    [anon_sym___bridge_transfer] = ACTIONS(2634),
    [anon_sym___complex] = ACTIONS(2634),
    [anon_sym___const] = ACTIONS(2634),
    [anon_sym___imag] = ACTIONS(2634),
    [anon_sym___kindof] = ACTIONS(2634),
    [anon_sym___nonnull] = ACTIONS(2634),
    [anon_sym___nullable] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2634),
    [anon_sym___real] = ACTIONS(2634),
    [anon_sym___strong] = ACTIONS(2634),
    [anon_sym___unsafe_unretained] = ACTIONS(2634),
    [anon_sym___unused] = ACTIONS(2634),
    [anon_sym___weak] = ACTIONS(2634),
    [anon_sym_alignas] = ACTIONS(2634),
    [anon_sym__Alignas] = ACTIONS(2634),
    [sym_primitive_type] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_struct] = ACTIONS(2634),
    [anon_sym_union] = ACTIONS(2634),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_switch] = ACTIONS(2634),
    [anon_sym_case] = ACTIONS(2634),
    [anon_sym_default] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_do] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2634),
    [anon_sym_in] = ACTIONS(2634),
    [anon_sym_return] = ACTIONS(2634),
    [anon_sym_break] = ACTIONS(2634),
    [anon_sym_continue] = ACTIONS(2634),
    [anon_sym_goto] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_sizeof] = ACTIONS(2634),
    [anon_sym___alignof__] = ACTIONS(2634),
    [anon_sym___alignof] = ACTIONS(2634),
    [anon_sym__alignof] = ACTIONS(2634),
    [anon_sym_alignof] = ACTIONS(2634),
    [anon_sym__Alignof] = ACTIONS(2634),
    [anon_sym_offsetof] = ACTIONS(2634),
    [anon_sym__Generic] = ACTIONS(2634),
    [anon_sym_asm] = ACTIONS(2634),
    [anon_sym___asm__] = ACTIONS(2634),
    [anon_sym___asm] = ACTIONS(2634),
    [sym_number_literal] = ACTIONS(2636),
    [anon_sym_L_SQUOTE] = ACTIONS(2636),
    [anon_sym_u_SQUOTE] = ACTIONS(2636),
    [anon_sym_U_SQUOTE] = ACTIONS(2636),
    [anon_sym_u8_SQUOTE] = ACTIONS(2636),
    [anon_sym_SQUOTE] = ACTIONS(2636),
    [anon_sym_AT] = ACTIONS(2634),
    [anon_sym_DQUOTE] = ACTIONS(2636),
    [anon_sym_L_DQUOTE] = ACTIONS(2636),
    [anon_sym_u_DQUOTE] = ACTIONS(2636),
    [anon_sym_U_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8_DQUOTE] = ACTIONS(2636),
    [sym_true] = ACTIONS(2634),
    [sym_false] = ACTIONS(2634),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2634),
    [anon_sym___typeof] = ACTIONS(2634),
    [anon_sym_typeof] = ACTIONS(2634),
    [anon_sym_ATimport] = ACTIONS(2636),
    [aux_sym_preproc_undef_token1] = ACTIONS(2634),
    [anon_sym_POUND] = ACTIONS(2634),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2634),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2634),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2634),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2634),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2634),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2634),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2634),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_API_AVAILABLE] = ACTIONS(2634),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_API_DEPRECATED] = ACTIONS(2634),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2634),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym___deprecated_msg] = ACTIONS(2634),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2634),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2634),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2634),
    [anon_sym_ATprotocol] = ACTIONS(2636),
    [anon_sym_ATinterface] = ACTIONS(2636),
    [anon_sym_ATimplementation] = ACTIONS(2636),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2636),
    [anon_sym_ATsynthesize] = ACTIONS(2636),
    [anon_sym_ATdynamic] = ACTIONS(2636),
    [anon_sym_ATtry] = ACTIONS(2636),
    [anon_sym___try] = ACTIONS(2634),
    [anon_sym_ATthrow] = ACTIONS(2636),
    [anon_sym_ATselector] = ACTIONS(2636),
    [anon_sym_ATavailable] = ACTIONS(2636),
    [anon_sym___builtin_available] = ACTIONS(2634),
    [anon_sym_va_arg] = ACTIONS(2634),
    [anon_sym_ATencode] = ACTIONS(2636),
    [anon_sym_ATsynchronized] = ACTIONS(2636),
    [anon_sym_BOOL] = ACTIONS(2634),
    [anon_sym_IMP] = ACTIONS(2634),
    [anon_sym_SEL] = ACTIONS(2634),
    [anon_sym_Class] = ACTIONS(2634),
    [anon_sym_id] = ACTIONS(2634),
  },
  [641] = {
    [sym_identifier] = ACTIONS(2646),
    [aux_sym_preproc_include_token1] = ACTIONS(2646),
    [aux_sym_preproc_include_token2] = ACTIONS(2646),
    [aux_sym_preproc_def_token1] = ACTIONS(2646),
    [aux_sym_preproc_if_token1] = ACTIONS(2646),
    [aux_sym_preproc_if_token2] = ACTIONS(2646),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2646),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2646),
    [sym_preproc_directive] = ACTIONS(2646),
    [anon_sym_LPAREN2] = ACTIONS(2648),
    [anon_sym_BANG] = ACTIONS(2648),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_DASH] = ACTIONS(2646),
    [anon_sym_PLUS] = ACTIONS(2646),
    [anon_sym_STAR] = ACTIONS(2648),
    [anon_sym_CARET] = ACTIONS(2648),
    [anon_sym_AMP] = ACTIONS(2648),
    [anon_sym_SEMI] = ACTIONS(2648),
    [anon_sym___extension__] = ACTIONS(2646),
    [anon_sym_typedef] = ACTIONS(2646),
    [anon_sym_extern] = ACTIONS(2646),
    [anon_sym___attribute__] = ACTIONS(2646),
    [anon_sym___attribute] = ACTIONS(2646),
    [anon_sym_noreturn] = ACTIONS(2646),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym___declspec] = ACTIONS(2646),
    [anon_sym___cdecl] = ACTIONS(2646),
    [anon_sym___clrcall] = ACTIONS(2646),
    [anon_sym___stdcall] = ACTIONS(2646),
    [anon_sym___fastcall] = ACTIONS(2646),
    [anon_sym___thiscall] = ACTIONS(2646),
    [anon_sym___vectorcall] = ACTIONS(2646),
    [anon_sym_LBRACE] = ACTIONS(2648),
    [anon_sym_signed] = ACTIONS(2646),
    [anon_sym_unsigned] = ACTIONS(2646),
    [anon_sym_long] = ACTIONS(2646),
    [anon_sym_short] = ACTIONS(2646),
    [anon_sym_static] = ACTIONS(2646),
    [anon_sym_ATautoreleasepool] = ACTIONS(2648),
    [anon_sym_auto] = ACTIONS(2646),
    [anon_sym_register] = ACTIONS(2646),
    [anon_sym_inline] = ACTIONS(2646),
    [anon_sym___inline] = ACTIONS(2646),
    [anon_sym___inline__] = ACTIONS(2646),
    [anon_sym___forceinline] = ACTIONS(2646),
    [anon_sym_thread_local] = ACTIONS(2646),
    [anon_sym___thread] = ACTIONS(2646),
    [anon_sym_CG_EXTERN] = ACTIONS(2646),
    [anon_sym_CG_INLINE] = ACTIONS(2646),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2646),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2646),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2646),
    [anon_sym_IBOutlet] = ACTIONS(2646),
    [anon_sym_IBInspectable] = ACTIONS(2646),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2646),
    [anon_sym_NS_INLINE] = ACTIONS(2646),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2646),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2646),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2646),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2646),
    [anon_sym_const] = ACTIONS(2646),
    [anon_sym_constexpr] = ACTIONS(2646),
    [anon_sym_volatile] = ACTIONS(2646),
    [anon_sym_restrict] = ACTIONS(2646),
    [anon_sym___restrict__] = ACTIONS(2646),
    [anon_sym__Atomic] = ACTIONS(2646),
    [anon_sym__Noreturn] = ACTIONS(2646),
    [anon_sym__Nonnull] = ACTIONS(2646),
    [anon_sym_nullable] = ACTIONS(2646),
    [anon_sym__Complex] = ACTIONS(2646),
    [anon_sym__Nullable] = ACTIONS(2646),
    [anon_sym__Nullable_result] = ACTIONS(2646),
    [anon_sym__Null_unspecified] = ACTIONS(2646),
    [anon_sym___autoreleasing] = ACTIONS(2646),
    [anon_sym___block] = ACTIONS(2646),
    [anon_sym___bridge] = ACTIONS(2646),
    [anon_sym___bridge_retained] = ACTIONS(2646),
    [anon_sym___bridge_transfer] = ACTIONS(2646),
    [anon_sym___complex] = ACTIONS(2646),
    [anon_sym___const] = ACTIONS(2646),
    [anon_sym___imag] = ACTIONS(2646),
    [anon_sym___kindof] = ACTIONS(2646),
    [anon_sym___nonnull] = ACTIONS(2646),
    [anon_sym___nullable] = ACTIONS(2646),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2646),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2646),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2646),
    [anon_sym___real] = ACTIONS(2646),
    [anon_sym___strong] = ACTIONS(2646),
    [anon_sym___unsafe_unretained] = ACTIONS(2646),
    [anon_sym___unused] = ACTIONS(2646),
    [anon_sym___weak] = ACTIONS(2646),
    [anon_sym_alignas] = ACTIONS(2646),
    [anon_sym__Alignas] = ACTIONS(2646),
    [sym_primitive_type] = ACTIONS(2646),
    [anon_sym_enum] = ACTIONS(2646),
    [anon_sym_struct] = ACTIONS(2646),
    [anon_sym_union] = ACTIONS(2646),
    [anon_sym_if] = ACTIONS(2646),
    [anon_sym_switch] = ACTIONS(2646),
    [anon_sym_case] = ACTIONS(2646),
    [anon_sym_default] = ACTIONS(2646),
    [anon_sym_while] = ACTIONS(2646),
    [anon_sym_do] = ACTIONS(2646),
    [anon_sym_for] = ACTIONS(2646),
    [anon_sym_in] = ACTIONS(2646),
    [anon_sym_return] = ACTIONS(2646),
    [anon_sym_break] = ACTIONS(2646),
    [anon_sym_continue] = ACTIONS(2646),
    [anon_sym_goto] = ACTIONS(2646),
    [anon_sym_DASH_DASH] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(2648),
    [anon_sym_sizeof] = ACTIONS(2646),
    [anon_sym___alignof__] = ACTIONS(2646),
    [anon_sym___alignof] = ACTIONS(2646),
    [anon_sym__alignof] = ACTIONS(2646),
    [anon_sym_alignof] = ACTIONS(2646),
    [anon_sym__Alignof] = ACTIONS(2646),
    [anon_sym_offsetof] = ACTIONS(2646),
    [anon_sym__Generic] = ACTIONS(2646),
    [anon_sym_asm] = ACTIONS(2646),
    [anon_sym___asm__] = ACTIONS(2646),
    [anon_sym___asm] = ACTIONS(2646),
    [sym_number_literal] = ACTIONS(2648),
    [anon_sym_L_SQUOTE] = ACTIONS(2648),
    [anon_sym_u_SQUOTE] = ACTIONS(2648),
    [anon_sym_U_SQUOTE] = ACTIONS(2648),
    [anon_sym_u8_SQUOTE] = ACTIONS(2648),
    [anon_sym_SQUOTE] = ACTIONS(2648),
    [anon_sym_AT] = ACTIONS(2646),
    [anon_sym_DQUOTE] = ACTIONS(2648),
    [anon_sym_L_DQUOTE] = ACTIONS(2648),
    [anon_sym_u_DQUOTE] = ACTIONS(2648),
    [anon_sym_U_DQUOTE] = ACTIONS(2648),
    [anon_sym_u8_DQUOTE] = ACTIONS(2648),
    [sym_true] = ACTIONS(2646),
    [sym_false] = ACTIONS(2646),
    [anon_sym_NULL] = ACTIONS(2646),
    [anon_sym_nullptr] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2646),
    [anon_sym___typeof] = ACTIONS(2646),
    [anon_sym_typeof] = ACTIONS(2646),
    [anon_sym_ATimport] = ACTIONS(2648),
    [aux_sym_preproc_undef_token1] = ACTIONS(2646),
    [anon_sym_POUND] = ACTIONS(2646),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2646),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2646),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2646),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2646),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2646),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2646),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2646),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2646),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2646),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2646),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2646),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2646),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2646),
    [anon_sym_API_AVAILABLE] = ACTIONS(2646),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2646),
    [anon_sym_API_DEPRECATED] = ACTIONS(2646),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2646),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2646),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2646),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2646),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2646),
    [anon_sym___deprecated_msg] = ACTIONS(2646),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2646),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2646),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2646),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2646),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2646),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2646),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2646),
    [anon_sym_ATprotocol] = ACTIONS(2648),
    [anon_sym_ATinterface] = ACTIONS(2648),
    [anon_sym_ATimplementation] = ACTIONS(2648),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2648),
    [anon_sym_ATsynthesize] = ACTIONS(2648),
    [anon_sym_ATdynamic] = ACTIONS(2648),
    [anon_sym_ATtry] = ACTIONS(2648),
    [anon_sym___try] = ACTIONS(2646),
    [anon_sym_ATthrow] = ACTIONS(2648),
    [anon_sym_ATselector] = ACTIONS(2648),
    [anon_sym_ATavailable] = ACTIONS(2648),
    [anon_sym___builtin_available] = ACTIONS(2646),
    [anon_sym_va_arg] = ACTIONS(2646),
    [anon_sym_ATencode] = ACTIONS(2648),
    [anon_sym_ATsynchronized] = ACTIONS(2648),
    [anon_sym_BOOL] = ACTIONS(2646),
    [anon_sym_IMP] = ACTIONS(2646),
    [anon_sym_SEL] = ACTIONS(2646),
    [anon_sym_Class] = ACTIONS(2646),
    [anon_sym_id] = ACTIONS(2646),
  },
  [642] = {
    [sym_identifier] = ACTIONS(2682),
    [aux_sym_preproc_include_token1] = ACTIONS(2682),
    [aux_sym_preproc_include_token2] = ACTIONS(2682),
    [aux_sym_preproc_def_token1] = ACTIONS(2682),
    [aux_sym_preproc_if_token1] = ACTIONS(2682),
    [aux_sym_preproc_if_token2] = ACTIONS(2682),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2682),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2682),
    [sym_preproc_directive] = ACTIONS(2682),
    [anon_sym_LPAREN2] = ACTIONS(2684),
    [anon_sym_BANG] = ACTIONS(2684),
    [anon_sym_TILDE] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_CARET] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_SEMI] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(2682),
    [anon_sym_typedef] = ACTIONS(2682),
    [anon_sym_extern] = ACTIONS(2682),
    [anon_sym___attribute__] = ACTIONS(2682),
    [anon_sym___attribute] = ACTIONS(2682),
    [anon_sym_noreturn] = ACTIONS(2682),
    [anon_sym_LBRACK] = ACTIONS(2684),
    [anon_sym___declspec] = ACTIONS(2682),
    [anon_sym___cdecl] = ACTIONS(2682),
    [anon_sym___clrcall] = ACTIONS(2682),
    [anon_sym___stdcall] = ACTIONS(2682),
    [anon_sym___fastcall] = ACTIONS(2682),
    [anon_sym___thiscall] = ACTIONS(2682),
    [anon_sym___vectorcall] = ACTIONS(2682),
    [anon_sym_LBRACE] = ACTIONS(2684),
    [anon_sym_signed] = ACTIONS(2682),
    [anon_sym_unsigned] = ACTIONS(2682),
    [anon_sym_long] = ACTIONS(2682),
    [anon_sym_short] = ACTIONS(2682),
    [anon_sym_static] = ACTIONS(2682),
    [anon_sym_ATautoreleasepool] = ACTIONS(2684),
    [anon_sym_auto] = ACTIONS(2682),
    [anon_sym_register] = ACTIONS(2682),
    [anon_sym_inline] = ACTIONS(2682),
    [anon_sym___inline] = ACTIONS(2682),
    [anon_sym___inline__] = ACTIONS(2682),
    [anon_sym___forceinline] = ACTIONS(2682),
    [anon_sym_thread_local] = ACTIONS(2682),
    [anon_sym___thread] = ACTIONS(2682),
    [anon_sym_CG_EXTERN] = ACTIONS(2682),
    [anon_sym_CG_INLINE] = ACTIONS(2682),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2682),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2682),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2682),
    [anon_sym_IBOutlet] = ACTIONS(2682),
    [anon_sym_IBInspectable] = ACTIONS(2682),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2682),
    [anon_sym_NS_INLINE] = ACTIONS(2682),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2682),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2682),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2682),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2682),
    [anon_sym_const] = ACTIONS(2682),
    [anon_sym_constexpr] = ACTIONS(2682),
    [anon_sym_volatile] = ACTIONS(2682),
    [anon_sym_restrict] = ACTIONS(2682),
    [anon_sym___restrict__] = ACTIONS(2682),
    [anon_sym__Atomic] = ACTIONS(2682),
    [anon_sym__Noreturn] = ACTIONS(2682),
    [anon_sym__Nonnull] = ACTIONS(2682),
    [anon_sym_nullable] = ACTIONS(2682),
    [anon_sym__Complex] = ACTIONS(2682),
    [anon_sym__Nullable] = ACTIONS(2682),
    [anon_sym__Nullable_result] = ACTIONS(2682),
    [anon_sym__Null_unspecified] = ACTIONS(2682),
    [anon_sym___autoreleasing] = ACTIONS(2682),
    [anon_sym___block] = ACTIONS(2682),
    [anon_sym___bridge] = ACTIONS(2682),
    [anon_sym___bridge_retained] = ACTIONS(2682),
    [anon_sym___bridge_transfer] = ACTIONS(2682),
    [anon_sym___complex] = ACTIONS(2682),
    [anon_sym___const] = ACTIONS(2682),
    [anon_sym___imag] = ACTIONS(2682),
    [anon_sym___kindof] = ACTIONS(2682),
    [anon_sym___nonnull] = ACTIONS(2682),
    [anon_sym___nullable] = ACTIONS(2682),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2682),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2682),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2682),
    [anon_sym___real] = ACTIONS(2682),
    [anon_sym___strong] = ACTIONS(2682),
    [anon_sym___unsafe_unretained] = ACTIONS(2682),
    [anon_sym___unused] = ACTIONS(2682),
    [anon_sym___weak] = ACTIONS(2682),
    [anon_sym_alignas] = ACTIONS(2682),
    [anon_sym__Alignas] = ACTIONS(2682),
    [sym_primitive_type] = ACTIONS(2682),
    [anon_sym_enum] = ACTIONS(2682),
    [anon_sym_struct] = ACTIONS(2682),
    [anon_sym_union] = ACTIONS(2682),
    [anon_sym_if] = ACTIONS(2682),
    [anon_sym_switch] = ACTIONS(2682),
    [anon_sym_case] = ACTIONS(2682),
    [anon_sym_default] = ACTIONS(2682),
    [anon_sym_while] = ACTIONS(2682),
    [anon_sym_do] = ACTIONS(2682),
    [anon_sym_for] = ACTIONS(2682),
    [anon_sym_in] = ACTIONS(2682),
    [anon_sym_return] = ACTIONS(2682),
    [anon_sym_break] = ACTIONS(2682),
    [anon_sym_continue] = ACTIONS(2682),
    [anon_sym_goto] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2684),
    [anon_sym_PLUS_PLUS] = ACTIONS(2684),
    [anon_sym_sizeof] = ACTIONS(2682),
    [anon_sym___alignof__] = ACTIONS(2682),
    [anon_sym___alignof] = ACTIONS(2682),
    [anon_sym__alignof] = ACTIONS(2682),
    [anon_sym_alignof] = ACTIONS(2682),
    [anon_sym__Alignof] = ACTIONS(2682),
    [anon_sym_offsetof] = ACTIONS(2682),
    [anon_sym__Generic] = ACTIONS(2682),
    [anon_sym_asm] = ACTIONS(2682),
    [anon_sym___asm__] = ACTIONS(2682),
    [anon_sym___asm] = ACTIONS(2682),
    [sym_number_literal] = ACTIONS(2684),
    [anon_sym_L_SQUOTE] = ACTIONS(2684),
    [anon_sym_u_SQUOTE] = ACTIONS(2684),
    [anon_sym_U_SQUOTE] = ACTIONS(2684),
    [anon_sym_u8_SQUOTE] = ACTIONS(2684),
    [anon_sym_SQUOTE] = ACTIONS(2684),
    [anon_sym_AT] = ACTIONS(2682),
    [anon_sym_DQUOTE] = ACTIONS(2684),
    [anon_sym_L_DQUOTE] = ACTIONS(2684),
    [anon_sym_u_DQUOTE] = ACTIONS(2684),
    [anon_sym_U_DQUOTE] = ACTIONS(2684),
    [anon_sym_u8_DQUOTE] = ACTIONS(2684),
    [sym_true] = ACTIONS(2682),
    [sym_false] = ACTIONS(2682),
    [anon_sym_NULL] = ACTIONS(2682),
    [anon_sym_nullptr] = ACTIONS(2682),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2682),
    [anon_sym___typeof] = ACTIONS(2682),
    [anon_sym_typeof] = ACTIONS(2682),
    [anon_sym_ATimport] = ACTIONS(2684),
    [aux_sym_preproc_undef_token1] = ACTIONS(2682),
    [anon_sym_POUND] = ACTIONS(2682),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2682),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2682),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2682),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2682),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2682),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2682),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2682),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2682),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2682),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2682),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2682),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2682),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2682),
    [anon_sym_API_AVAILABLE] = ACTIONS(2682),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2682),
    [anon_sym_API_DEPRECATED] = ACTIONS(2682),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2682),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2682),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2682),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2682),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2682),
    [anon_sym___deprecated_msg] = ACTIONS(2682),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2682),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2682),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2682),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2682),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2682),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2682),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2682),
    [anon_sym_ATprotocol] = ACTIONS(2684),
    [anon_sym_ATinterface] = ACTIONS(2684),
    [anon_sym_ATimplementation] = ACTIONS(2684),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2684),
    [anon_sym_ATsynthesize] = ACTIONS(2684),
    [anon_sym_ATdynamic] = ACTIONS(2684),
    [anon_sym_ATtry] = ACTIONS(2684),
    [anon_sym___try] = ACTIONS(2682),
    [anon_sym_ATthrow] = ACTIONS(2684),
    [anon_sym_ATselector] = ACTIONS(2684),
    [anon_sym_ATavailable] = ACTIONS(2684),
    [anon_sym___builtin_available] = ACTIONS(2682),
    [anon_sym_va_arg] = ACTIONS(2682),
    [anon_sym_ATencode] = ACTIONS(2684),
    [anon_sym_ATsynchronized] = ACTIONS(2684),
    [anon_sym_BOOL] = ACTIONS(2682),
    [anon_sym_IMP] = ACTIONS(2682),
    [anon_sym_SEL] = ACTIONS(2682),
    [anon_sym_Class] = ACTIONS(2682),
    [anon_sym_id] = ACTIONS(2682),
  },
  [643] = {
    [sym_identifier] = ACTIONS(2686),
    [aux_sym_preproc_include_token1] = ACTIONS(2686),
    [aux_sym_preproc_include_token2] = ACTIONS(2686),
    [aux_sym_preproc_def_token1] = ACTIONS(2686),
    [aux_sym_preproc_if_token1] = ACTIONS(2686),
    [aux_sym_preproc_if_token2] = ACTIONS(2686),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2686),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2686),
    [sym_preproc_directive] = ACTIONS(2686),
    [anon_sym_LPAREN2] = ACTIONS(2688),
    [anon_sym_BANG] = ACTIONS(2688),
    [anon_sym_TILDE] = ACTIONS(2688),
    [anon_sym_DASH] = ACTIONS(2686),
    [anon_sym_PLUS] = ACTIONS(2686),
    [anon_sym_STAR] = ACTIONS(2688),
    [anon_sym_CARET] = ACTIONS(2688),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_SEMI] = ACTIONS(2688),
    [anon_sym___extension__] = ACTIONS(2686),
    [anon_sym_typedef] = ACTIONS(2686),
    [anon_sym_extern] = ACTIONS(2686),
    [anon_sym___attribute__] = ACTIONS(2686),
    [anon_sym___attribute] = ACTIONS(2686),
    [anon_sym_noreturn] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym___declspec] = ACTIONS(2686),
    [anon_sym___cdecl] = ACTIONS(2686),
    [anon_sym___clrcall] = ACTIONS(2686),
    [anon_sym___stdcall] = ACTIONS(2686),
    [anon_sym___fastcall] = ACTIONS(2686),
    [anon_sym___thiscall] = ACTIONS(2686),
    [anon_sym___vectorcall] = ACTIONS(2686),
    [anon_sym_LBRACE] = ACTIONS(2688),
    [anon_sym_signed] = ACTIONS(2686),
    [anon_sym_unsigned] = ACTIONS(2686),
    [anon_sym_long] = ACTIONS(2686),
    [anon_sym_short] = ACTIONS(2686),
    [anon_sym_static] = ACTIONS(2686),
    [anon_sym_ATautoreleasepool] = ACTIONS(2688),
    [anon_sym_auto] = ACTIONS(2686),
    [anon_sym_register] = ACTIONS(2686),
    [anon_sym_inline] = ACTIONS(2686),
    [anon_sym___inline] = ACTIONS(2686),
    [anon_sym___inline__] = ACTIONS(2686),
    [anon_sym___forceinline] = ACTIONS(2686),
    [anon_sym_thread_local] = ACTIONS(2686),
    [anon_sym___thread] = ACTIONS(2686),
    [anon_sym_CG_EXTERN] = ACTIONS(2686),
    [anon_sym_CG_INLINE] = ACTIONS(2686),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2686),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2686),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2686),
    [anon_sym_IBOutlet] = ACTIONS(2686),
    [anon_sym_IBInspectable] = ACTIONS(2686),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2686),
    [anon_sym_NS_INLINE] = ACTIONS(2686),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2686),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2686),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2686),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2686),
    [anon_sym_const] = ACTIONS(2686),
    [anon_sym_constexpr] = ACTIONS(2686),
    [anon_sym_volatile] = ACTIONS(2686),
    [anon_sym_restrict] = ACTIONS(2686),
    [anon_sym___restrict__] = ACTIONS(2686),
    [anon_sym__Atomic] = ACTIONS(2686),
    [anon_sym__Noreturn] = ACTIONS(2686),
    [anon_sym__Nonnull] = ACTIONS(2686),
    [anon_sym_nullable] = ACTIONS(2686),
    [anon_sym__Complex] = ACTIONS(2686),
    [anon_sym__Nullable] = ACTIONS(2686),
    [anon_sym__Nullable_result] = ACTIONS(2686),
    [anon_sym__Null_unspecified] = ACTIONS(2686),
    [anon_sym___autoreleasing] = ACTIONS(2686),
    [anon_sym___block] = ACTIONS(2686),
    [anon_sym___bridge] = ACTIONS(2686),
    [anon_sym___bridge_retained] = ACTIONS(2686),
    [anon_sym___bridge_transfer] = ACTIONS(2686),
    [anon_sym___complex] = ACTIONS(2686),
    [anon_sym___const] = ACTIONS(2686),
    [anon_sym___imag] = ACTIONS(2686),
    [anon_sym___kindof] = ACTIONS(2686),
    [anon_sym___nonnull] = ACTIONS(2686),
    [anon_sym___nullable] = ACTIONS(2686),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2686),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2686),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2686),
    [anon_sym___real] = ACTIONS(2686),
    [anon_sym___strong] = ACTIONS(2686),
    [anon_sym___unsafe_unretained] = ACTIONS(2686),
    [anon_sym___unused] = ACTIONS(2686),
    [anon_sym___weak] = ACTIONS(2686),
    [anon_sym_alignas] = ACTIONS(2686),
    [anon_sym__Alignas] = ACTIONS(2686),
    [sym_primitive_type] = ACTIONS(2686),
    [anon_sym_enum] = ACTIONS(2686),
    [anon_sym_struct] = ACTIONS(2686),
    [anon_sym_union] = ACTIONS(2686),
    [anon_sym_if] = ACTIONS(2686),
    [anon_sym_switch] = ACTIONS(2686),
    [anon_sym_case] = ACTIONS(2686),
    [anon_sym_default] = ACTIONS(2686),
    [anon_sym_while] = ACTIONS(2686),
    [anon_sym_do] = ACTIONS(2686),
    [anon_sym_for] = ACTIONS(2686),
    [anon_sym_in] = ACTIONS(2686),
    [anon_sym_return] = ACTIONS(2686),
    [anon_sym_break] = ACTIONS(2686),
    [anon_sym_continue] = ACTIONS(2686),
    [anon_sym_goto] = ACTIONS(2686),
    [anon_sym_DASH_DASH] = ACTIONS(2688),
    [anon_sym_PLUS_PLUS] = ACTIONS(2688),
    [anon_sym_sizeof] = ACTIONS(2686),
    [anon_sym___alignof__] = ACTIONS(2686),
    [anon_sym___alignof] = ACTIONS(2686),
    [anon_sym__alignof] = ACTIONS(2686),
    [anon_sym_alignof] = ACTIONS(2686),
    [anon_sym__Alignof] = ACTIONS(2686),
    [anon_sym_offsetof] = ACTIONS(2686),
    [anon_sym__Generic] = ACTIONS(2686),
    [anon_sym_asm] = ACTIONS(2686),
    [anon_sym___asm__] = ACTIONS(2686),
    [anon_sym___asm] = ACTIONS(2686),
    [sym_number_literal] = ACTIONS(2688),
    [anon_sym_L_SQUOTE] = ACTIONS(2688),
    [anon_sym_u_SQUOTE] = ACTIONS(2688),
    [anon_sym_U_SQUOTE] = ACTIONS(2688),
    [anon_sym_u8_SQUOTE] = ACTIONS(2688),
    [anon_sym_SQUOTE] = ACTIONS(2688),
    [anon_sym_AT] = ACTIONS(2686),
    [anon_sym_DQUOTE] = ACTIONS(2688),
    [anon_sym_L_DQUOTE] = ACTIONS(2688),
    [anon_sym_u_DQUOTE] = ACTIONS(2688),
    [anon_sym_U_DQUOTE] = ACTIONS(2688),
    [anon_sym_u8_DQUOTE] = ACTIONS(2688),
    [sym_true] = ACTIONS(2686),
    [sym_false] = ACTIONS(2686),
    [anon_sym_NULL] = ACTIONS(2686),
    [anon_sym_nullptr] = ACTIONS(2686),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2686),
    [anon_sym___typeof] = ACTIONS(2686),
    [anon_sym_typeof] = ACTIONS(2686),
    [anon_sym_ATimport] = ACTIONS(2688),
    [aux_sym_preproc_undef_token1] = ACTIONS(2686),
    [anon_sym_POUND] = ACTIONS(2686),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2686),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2686),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2686),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2686),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2686),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2686),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2686),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2686),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2686),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2686),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2686),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2686),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2686),
    [anon_sym_API_AVAILABLE] = ACTIONS(2686),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2686),
    [anon_sym_API_DEPRECATED] = ACTIONS(2686),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2686),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2686),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2686),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2686),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2686),
    [anon_sym___deprecated_msg] = ACTIONS(2686),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2686),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2686),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2686),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2686),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2686),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2686),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2686),
    [anon_sym_ATprotocol] = ACTIONS(2688),
    [anon_sym_ATinterface] = ACTIONS(2688),
    [anon_sym_ATimplementation] = ACTIONS(2688),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2688),
    [anon_sym_ATsynthesize] = ACTIONS(2688),
    [anon_sym_ATdynamic] = ACTIONS(2688),
    [anon_sym_ATtry] = ACTIONS(2688),
    [anon_sym___try] = ACTIONS(2686),
    [anon_sym_ATthrow] = ACTIONS(2688),
    [anon_sym_ATselector] = ACTIONS(2688),
    [anon_sym_ATavailable] = ACTIONS(2688),
    [anon_sym___builtin_available] = ACTIONS(2686),
    [anon_sym_va_arg] = ACTIONS(2686),
    [anon_sym_ATencode] = ACTIONS(2688),
    [anon_sym_ATsynchronized] = ACTIONS(2688),
    [anon_sym_BOOL] = ACTIONS(2686),
    [anon_sym_IMP] = ACTIONS(2686),
    [anon_sym_SEL] = ACTIONS(2686),
    [anon_sym_Class] = ACTIONS(2686),
    [anon_sym_id] = ACTIONS(2686),
  },
  [644] = {
    [sym_identifier] = ACTIONS(2690),
    [aux_sym_preproc_include_token1] = ACTIONS(2690),
    [aux_sym_preproc_include_token2] = ACTIONS(2690),
    [aux_sym_preproc_def_token1] = ACTIONS(2690),
    [aux_sym_preproc_if_token1] = ACTIONS(2690),
    [aux_sym_preproc_if_token2] = ACTIONS(2690),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2690),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2690),
    [sym_preproc_directive] = ACTIONS(2690),
    [anon_sym_LPAREN2] = ACTIONS(2692),
    [anon_sym_BANG] = ACTIONS(2692),
    [anon_sym_TILDE] = ACTIONS(2692),
    [anon_sym_DASH] = ACTIONS(2690),
    [anon_sym_PLUS] = ACTIONS(2690),
    [anon_sym_STAR] = ACTIONS(2692),
    [anon_sym_CARET] = ACTIONS(2692),
    [anon_sym_AMP] = ACTIONS(2692),
    [anon_sym_SEMI] = ACTIONS(2692),
    [anon_sym___extension__] = ACTIONS(2690),
    [anon_sym_typedef] = ACTIONS(2690),
    [anon_sym_extern] = ACTIONS(2690),
    [anon_sym___attribute__] = ACTIONS(2690),
    [anon_sym___attribute] = ACTIONS(2690),
    [anon_sym_noreturn] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym___declspec] = ACTIONS(2690),
    [anon_sym___cdecl] = ACTIONS(2690),
    [anon_sym___clrcall] = ACTIONS(2690),
    [anon_sym___stdcall] = ACTIONS(2690),
    [anon_sym___fastcall] = ACTIONS(2690),
    [anon_sym___thiscall] = ACTIONS(2690),
    [anon_sym___vectorcall] = ACTIONS(2690),
    [anon_sym_LBRACE] = ACTIONS(2692),
    [anon_sym_signed] = ACTIONS(2690),
    [anon_sym_unsigned] = ACTIONS(2690),
    [anon_sym_long] = ACTIONS(2690),
    [anon_sym_short] = ACTIONS(2690),
    [anon_sym_static] = ACTIONS(2690),
    [anon_sym_ATautoreleasepool] = ACTIONS(2692),
    [anon_sym_auto] = ACTIONS(2690),
    [anon_sym_register] = ACTIONS(2690),
    [anon_sym_inline] = ACTIONS(2690),
    [anon_sym___inline] = ACTIONS(2690),
    [anon_sym___inline__] = ACTIONS(2690),
    [anon_sym___forceinline] = ACTIONS(2690),
    [anon_sym_thread_local] = ACTIONS(2690),
    [anon_sym___thread] = ACTIONS(2690),
    [anon_sym_CG_EXTERN] = ACTIONS(2690),
    [anon_sym_CG_INLINE] = ACTIONS(2690),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2690),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2690),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2690),
    [anon_sym_IBOutlet] = ACTIONS(2690),
    [anon_sym_IBInspectable] = ACTIONS(2690),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2690),
    [anon_sym_NS_INLINE] = ACTIONS(2690),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2690),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2690),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2690),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2690),
    [anon_sym_const] = ACTIONS(2690),
    [anon_sym_constexpr] = ACTIONS(2690),
    [anon_sym_volatile] = ACTIONS(2690),
    [anon_sym_restrict] = ACTIONS(2690),
    [anon_sym___restrict__] = ACTIONS(2690),
    [anon_sym__Atomic] = ACTIONS(2690),
    [anon_sym__Noreturn] = ACTIONS(2690),
    [anon_sym__Nonnull] = ACTIONS(2690),
    [anon_sym_nullable] = ACTIONS(2690),
    [anon_sym__Complex] = ACTIONS(2690),
    [anon_sym__Nullable] = ACTIONS(2690),
    [anon_sym__Nullable_result] = ACTIONS(2690),
    [anon_sym__Null_unspecified] = ACTIONS(2690),
    [anon_sym___autoreleasing] = ACTIONS(2690),
    [anon_sym___block] = ACTIONS(2690),
    [anon_sym___bridge] = ACTIONS(2690),
    [anon_sym___bridge_retained] = ACTIONS(2690),
    [anon_sym___bridge_transfer] = ACTIONS(2690),
    [anon_sym___complex] = ACTIONS(2690),
    [anon_sym___const] = ACTIONS(2690),
    [anon_sym___imag] = ACTIONS(2690),
    [anon_sym___kindof] = ACTIONS(2690),
    [anon_sym___nonnull] = ACTIONS(2690),
    [anon_sym___nullable] = ACTIONS(2690),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2690),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2690),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2690),
    [anon_sym___real] = ACTIONS(2690),
    [anon_sym___strong] = ACTIONS(2690),
    [anon_sym___unsafe_unretained] = ACTIONS(2690),
    [anon_sym___unused] = ACTIONS(2690),
    [anon_sym___weak] = ACTIONS(2690),
    [anon_sym_alignas] = ACTIONS(2690),
    [anon_sym__Alignas] = ACTIONS(2690),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2690),
    [anon_sym_struct] = ACTIONS(2690),
    [anon_sym_union] = ACTIONS(2690),
    [anon_sym_if] = ACTIONS(2690),
    [anon_sym_switch] = ACTIONS(2690),
    [anon_sym_case] = ACTIONS(2690),
    [anon_sym_default] = ACTIONS(2690),
    [anon_sym_while] = ACTIONS(2690),
    [anon_sym_do] = ACTIONS(2690),
    [anon_sym_for] = ACTIONS(2690),
    [anon_sym_in] = ACTIONS(2690),
    [anon_sym_return] = ACTIONS(2690),
    [anon_sym_break] = ACTIONS(2690),
    [anon_sym_continue] = ACTIONS(2690),
    [anon_sym_goto] = ACTIONS(2690),
    [anon_sym_DASH_DASH] = ACTIONS(2692),
    [anon_sym_PLUS_PLUS] = ACTIONS(2692),
    [anon_sym_sizeof] = ACTIONS(2690),
    [anon_sym___alignof__] = ACTIONS(2690),
    [anon_sym___alignof] = ACTIONS(2690),
    [anon_sym__alignof] = ACTIONS(2690),
    [anon_sym_alignof] = ACTIONS(2690),
    [anon_sym__Alignof] = ACTIONS(2690),
    [anon_sym_offsetof] = ACTIONS(2690),
    [anon_sym__Generic] = ACTIONS(2690),
    [anon_sym_asm] = ACTIONS(2690),
    [anon_sym___asm__] = ACTIONS(2690),
    [anon_sym___asm] = ACTIONS(2690),
    [sym_number_literal] = ACTIONS(2692),
    [anon_sym_L_SQUOTE] = ACTIONS(2692),
    [anon_sym_u_SQUOTE] = ACTIONS(2692),
    [anon_sym_U_SQUOTE] = ACTIONS(2692),
    [anon_sym_u8_SQUOTE] = ACTIONS(2692),
    [anon_sym_SQUOTE] = ACTIONS(2692),
    [anon_sym_AT] = ACTIONS(2690),
    [anon_sym_DQUOTE] = ACTIONS(2692),
    [anon_sym_L_DQUOTE] = ACTIONS(2692),
    [anon_sym_u_DQUOTE] = ACTIONS(2692),
    [anon_sym_U_DQUOTE] = ACTIONS(2692),
    [anon_sym_u8_DQUOTE] = ACTIONS(2692),
    [sym_true] = ACTIONS(2690),
    [sym_false] = ACTIONS(2690),
    [anon_sym_NULL] = ACTIONS(2690),
    [anon_sym_nullptr] = ACTIONS(2690),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2690),
    [anon_sym___typeof] = ACTIONS(2690),
    [anon_sym_typeof] = ACTIONS(2690),
    [anon_sym_ATimport] = ACTIONS(2692),
    [aux_sym_preproc_undef_token1] = ACTIONS(2690),
    [anon_sym_POUND] = ACTIONS(2690),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2690),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2690),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2690),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2690),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2690),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2690),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2690),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2690),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2690),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2690),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2690),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2690),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2690),
    [anon_sym_API_AVAILABLE] = ACTIONS(2690),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2690),
    [anon_sym_API_DEPRECATED] = ACTIONS(2690),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2690),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2690),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2690),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2690),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2690),
    [anon_sym___deprecated_msg] = ACTIONS(2690),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2690),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2690),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2690),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2690),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2690),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2690),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2690),
    [anon_sym_ATprotocol] = ACTIONS(2692),
    [anon_sym_ATinterface] = ACTIONS(2692),
    [anon_sym_ATimplementation] = ACTIONS(2692),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2692),
    [anon_sym_ATsynthesize] = ACTIONS(2692),
    [anon_sym_ATdynamic] = ACTIONS(2692),
    [anon_sym_ATtry] = ACTIONS(2692),
    [anon_sym___try] = ACTIONS(2690),
    [anon_sym_ATthrow] = ACTIONS(2692),
    [anon_sym_ATselector] = ACTIONS(2692),
    [anon_sym_ATavailable] = ACTIONS(2692),
    [anon_sym___builtin_available] = ACTIONS(2690),
    [anon_sym_va_arg] = ACTIONS(2690),
    [anon_sym_ATencode] = ACTIONS(2692),
    [anon_sym_ATsynchronized] = ACTIONS(2692),
    [anon_sym_BOOL] = ACTIONS(2690),
    [anon_sym_IMP] = ACTIONS(2690),
    [anon_sym_SEL] = ACTIONS(2690),
    [anon_sym_Class] = ACTIONS(2690),
    [anon_sym_id] = ACTIONS(2690),
  },
  [645] = {
    [sym_identifier] = ACTIONS(2694),
    [aux_sym_preproc_include_token1] = ACTIONS(2694),
    [aux_sym_preproc_include_token2] = ACTIONS(2694),
    [aux_sym_preproc_def_token1] = ACTIONS(2694),
    [aux_sym_preproc_if_token1] = ACTIONS(2694),
    [aux_sym_preproc_if_token2] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2694),
    [sym_preproc_directive] = ACTIONS(2694),
    [anon_sym_LPAREN2] = ACTIONS(2696),
    [anon_sym_BANG] = ACTIONS(2696),
    [anon_sym_TILDE] = ACTIONS(2696),
    [anon_sym_DASH] = ACTIONS(2694),
    [anon_sym_PLUS] = ACTIONS(2694),
    [anon_sym_STAR] = ACTIONS(2696),
    [anon_sym_CARET] = ACTIONS(2696),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2696),
    [anon_sym___extension__] = ACTIONS(2694),
    [anon_sym_typedef] = ACTIONS(2694),
    [anon_sym_extern] = ACTIONS(2694),
    [anon_sym___attribute__] = ACTIONS(2694),
    [anon_sym___attribute] = ACTIONS(2694),
    [anon_sym_noreturn] = ACTIONS(2694),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym___declspec] = ACTIONS(2694),
    [anon_sym___cdecl] = ACTIONS(2694),
    [anon_sym___clrcall] = ACTIONS(2694),
    [anon_sym___stdcall] = ACTIONS(2694),
    [anon_sym___fastcall] = ACTIONS(2694),
    [anon_sym___thiscall] = ACTIONS(2694),
    [anon_sym___vectorcall] = ACTIONS(2694),
    [anon_sym_LBRACE] = ACTIONS(2696),
    [anon_sym_signed] = ACTIONS(2694),
    [anon_sym_unsigned] = ACTIONS(2694),
    [anon_sym_long] = ACTIONS(2694),
    [anon_sym_short] = ACTIONS(2694),
    [anon_sym_static] = ACTIONS(2694),
    [anon_sym_ATautoreleasepool] = ACTIONS(2696),
    [anon_sym_auto] = ACTIONS(2694),
    [anon_sym_register] = ACTIONS(2694),
    [anon_sym_inline] = ACTIONS(2694),
    [anon_sym___inline] = ACTIONS(2694),
    [anon_sym___inline__] = ACTIONS(2694),
    [anon_sym___forceinline] = ACTIONS(2694),
    [anon_sym_thread_local] = ACTIONS(2694),
    [anon_sym___thread] = ACTIONS(2694),
    [anon_sym_CG_EXTERN] = ACTIONS(2694),
    [anon_sym_CG_INLINE] = ACTIONS(2694),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2694),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2694),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2694),
    [anon_sym_IBOutlet] = ACTIONS(2694),
    [anon_sym_IBInspectable] = ACTIONS(2694),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2694),
    [anon_sym_NS_INLINE] = ACTIONS(2694),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2694),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2694),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2694),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2694),
    [anon_sym_const] = ACTIONS(2694),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(2694),
    [anon_sym_restrict] = ACTIONS(2694),
    [anon_sym___restrict__] = ACTIONS(2694),
    [anon_sym__Atomic] = ACTIONS(2694),
    [anon_sym__Noreturn] = ACTIONS(2694),
    [anon_sym__Nonnull] = ACTIONS(2694),
    [anon_sym_nullable] = ACTIONS(2694),
    [anon_sym__Complex] = ACTIONS(2694),
    [anon_sym__Nullable] = ACTIONS(2694),
    [anon_sym__Nullable_result] = ACTIONS(2694),
    [anon_sym__Null_unspecified] = ACTIONS(2694),
    [anon_sym___autoreleasing] = ACTIONS(2694),
    [anon_sym___block] = ACTIONS(2694),
    [anon_sym___bridge] = ACTIONS(2694),
    [anon_sym___bridge_retained] = ACTIONS(2694),
    [anon_sym___bridge_transfer] = ACTIONS(2694),
    [anon_sym___complex] = ACTIONS(2694),
    [anon_sym___const] = ACTIONS(2694),
    [anon_sym___imag] = ACTIONS(2694),
    [anon_sym___kindof] = ACTIONS(2694),
    [anon_sym___nonnull] = ACTIONS(2694),
    [anon_sym___nullable] = ACTIONS(2694),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2694),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2694),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2694),
    [anon_sym___real] = ACTIONS(2694),
    [anon_sym___strong] = ACTIONS(2694),
    [anon_sym___unsafe_unretained] = ACTIONS(2694),
    [anon_sym___unused] = ACTIONS(2694),
    [anon_sym___weak] = ACTIONS(2694),
    [anon_sym_alignas] = ACTIONS(2694),
    [anon_sym__Alignas] = ACTIONS(2694),
    [sym_primitive_type] = ACTIONS(2694),
    [anon_sym_enum] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2694),
    [anon_sym_union] = ACTIONS(2694),
    [anon_sym_if] = ACTIONS(2694),
    [anon_sym_switch] = ACTIONS(2694),
    [anon_sym_case] = ACTIONS(2694),
    [anon_sym_default] = ACTIONS(2694),
    [anon_sym_while] = ACTIONS(2694),
    [anon_sym_do] = ACTIONS(2694),
    [anon_sym_for] = ACTIONS(2694),
    [anon_sym_in] = ACTIONS(2694),
    [anon_sym_return] = ACTIONS(2694),
    [anon_sym_break] = ACTIONS(2694),
    [anon_sym_continue] = ACTIONS(2694),
    [anon_sym_goto] = ACTIONS(2694),
    [anon_sym_DASH_DASH] = ACTIONS(2696),
    [anon_sym_PLUS_PLUS] = ACTIONS(2696),
    [anon_sym_sizeof] = ACTIONS(2694),
    [anon_sym___alignof__] = ACTIONS(2694),
    [anon_sym___alignof] = ACTIONS(2694),
    [anon_sym__alignof] = ACTIONS(2694),
    [anon_sym_alignof] = ACTIONS(2694),
    [anon_sym__Alignof] = ACTIONS(2694),
    [anon_sym_offsetof] = ACTIONS(2694),
    [anon_sym__Generic] = ACTIONS(2694),
    [anon_sym_asm] = ACTIONS(2694),
    [anon_sym___asm__] = ACTIONS(2694),
    [anon_sym___asm] = ACTIONS(2694),
    [sym_number_literal] = ACTIONS(2696),
    [anon_sym_L_SQUOTE] = ACTIONS(2696),
    [anon_sym_u_SQUOTE] = ACTIONS(2696),
    [anon_sym_U_SQUOTE] = ACTIONS(2696),
    [anon_sym_u8_SQUOTE] = ACTIONS(2696),
    [anon_sym_SQUOTE] = ACTIONS(2696),
    [anon_sym_AT] = ACTIONS(2694),
    [anon_sym_DQUOTE] = ACTIONS(2696),
    [anon_sym_L_DQUOTE] = ACTIONS(2696),
    [anon_sym_u_DQUOTE] = ACTIONS(2696),
    [anon_sym_U_DQUOTE] = ACTIONS(2696),
    [anon_sym_u8_DQUOTE] = ACTIONS(2696),
    [sym_true] = ACTIONS(2694),
    [sym_false] = ACTIONS(2694),
    [anon_sym_NULL] = ACTIONS(2694),
    [anon_sym_nullptr] = ACTIONS(2694),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2694),
    [anon_sym___typeof] = ACTIONS(2694),
    [anon_sym_typeof] = ACTIONS(2694),
    [anon_sym_ATimport] = ACTIONS(2696),
    [aux_sym_preproc_undef_token1] = ACTIONS(2694),
    [anon_sym_POUND] = ACTIONS(2694),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2694),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2694),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2694),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2694),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2694),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2694),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2694),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2694),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2694),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2694),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2694),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2694),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2694),
    [anon_sym_API_AVAILABLE] = ACTIONS(2694),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2694),
    [anon_sym_API_DEPRECATED] = ACTIONS(2694),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2694),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2694),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2694),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2694),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2694),
    [anon_sym___deprecated_msg] = ACTIONS(2694),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2694),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2694),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2694),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2694),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2694),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2694),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2694),
    [anon_sym_ATprotocol] = ACTIONS(2696),
    [anon_sym_ATinterface] = ACTIONS(2696),
    [anon_sym_ATimplementation] = ACTIONS(2696),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2696),
    [anon_sym_ATsynthesize] = ACTIONS(2696),
    [anon_sym_ATdynamic] = ACTIONS(2696),
    [anon_sym_ATtry] = ACTIONS(2696),
    [anon_sym___try] = ACTIONS(2694),
    [anon_sym_ATthrow] = ACTIONS(2696),
    [anon_sym_ATselector] = ACTIONS(2696),
    [anon_sym_ATavailable] = ACTIONS(2696),
    [anon_sym___builtin_available] = ACTIONS(2694),
    [anon_sym_va_arg] = ACTIONS(2694),
    [anon_sym_ATencode] = ACTIONS(2696),
    [anon_sym_ATsynchronized] = ACTIONS(2696),
    [anon_sym_BOOL] = ACTIONS(2694),
    [anon_sym_IMP] = ACTIONS(2694),
    [anon_sym_SEL] = ACTIONS(2694),
    [anon_sym_Class] = ACTIONS(2694),
    [anon_sym_id] = ACTIONS(2694),
  },
  [646] = {
    [sym_identifier] = ACTIONS(2698),
    [aux_sym_preproc_include_token1] = ACTIONS(2698),
    [aux_sym_preproc_include_token2] = ACTIONS(2698),
    [aux_sym_preproc_def_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token2] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2698),
    [sym_preproc_directive] = ACTIONS(2698),
    [anon_sym_LPAREN2] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2698),
    [anon_sym_PLUS] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_CARET] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2700),
    [anon_sym___extension__] = ACTIONS(2698),
    [anon_sym_typedef] = ACTIONS(2698),
    [anon_sym_extern] = ACTIONS(2698),
    [anon_sym___attribute__] = ACTIONS(2698),
    [anon_sym___attribute] = ACTIONS(2698),
    [anon_sym_noreturn] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym___declspec] = ACTIONS(2698),
    [anon_sym___cdecl] = ACTIONS(2698),
    [anon_sym___clrcall] = ACTIONS(2698),
    [anon_sym___stdcall] = ACTIONS(2698),
    [anon_sym___fastcall] = ACTIONS(2698),
    [anon_sym___thiscall] = ACTIONS(2698),
    [anon_sym___vectorcall] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_signed] = ACTIONS(2698),
    [anon_sym_unsigned] = ACTIONS(2698),
    [anon_sym_long] = ACTIONS(2698),
    [anon_sym_short] = ACTIONS(2698),
    [anon_sym_static] = ACTIONS(2698),
    [anon_sym_ATautoreleasepool] = ACTIONS(2700),
    [anon_sym_auto] = ACTIONS(2698),
    [anon_sym_register] = ACTIONS(2698),
    [anon_sym_inline] = ACTIONS(2698),
    [anon_sym___inline] = ACTIONS(2698),
    [anon_sym___inline__] = ACTIONS(2698),
    [anon_sym___forceinline] = ACTIONS(2698),
    [anon_sym_thread_local] = ACTIONS(2698),
    [anon_sym___thread] = ACTIONS(2698),
    [anon_sym_CG_EXTERN] = ACTIONS(2698),
    [anon_sym_CG_INLINE] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2698),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2698),
    [anon_sym_IBOutlet] = ACTIONS(2698),
    [anon_sym_IBInspectable] = ACTIONS(2698),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2698),
    [anon_sym_NS_INLINE] = ACTIONS(2698),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2698),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2698),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2698),
    [anon_sym_const] = ACTIONS(2698),
    [anon_sym_constexpr] = ACTIONS(2698),
    [anon_sym_volatile] = ACTIONS(2698),
    [anon_sym_restrict] = ACTIONS(2698),
    [anon_sym___restrict__] = ACTIONS(2698),
    [anon_sym__Atomic] = ACTIONS(2698),
    [anon_sym__Noreturn] = ACTIONS(2698),
    [anon_sym__Nonnull] = ACTIONS(2698),
    [anon_sym_nullable] = ACTIONS(2698),
    [anon_sym__Complex] = ACTIONS(2698),
    [anon_sym__Nullable] = ACTIONS(2698),
    [anon_sym__Nullable_result] = ACTIONS(2698),
    [anon_sym__Null_unspecified] = ACTIONS(2698),
    [anon_sym___autoreleasing] = ACTIONS(2698),
    [anon_sym___block] = ACTIONS(2698),
    [anon_sym___bridge] = ACTIONS(2698),
    [anon_sym___bridge_retained] = ACTIONS(2698),
    [anon_sym___bridge_transfer] = ACTIONS(2698),
    [anon_sym___complex] = ACTIONS(2698),
    [anon_sym___const] = ACTIONS(2698),
    [anon_sym___imag] = ACTIONS(2698),
    [anon_sym___kindof] = ACTIONS(2698),
    [anon_sym___nonnull] = ACTIONS(2698),
    [anon_sym___nullable] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2698),
    [anon_sym___real] = ACTIONS(2698),
    [anon_sym___strong] = ACTIONS(2698),
    [anon_sym___unsafe_unretained] = ACTIONS(2698),
    [anon_sym___unused] = ACTIONS(2698),
    [anon_sym___weak] = ACTIONS(2698),
    [anon_sym_alignas] = ACTIONS(2698),
    [anon_sym__Alignas] = ACTIONS(2698),
    [sym_primitive_type] = ACTIONS(2698),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_struct] = ACTIONS(2698),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_if] = ACTIONS(2698),
    [anon_sym_switch] = ACTIONS(2698),
    [anon_sym_case] = ACTIONS(2698),
    [anon_sym_default] = ACTIONS(2698),
    [anon_sym_while] = ACTIONS(2698),
    [anon_sym_do] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2698),
    [anon_sym_in] = ACTIONS(2698),
    [anon_sym_return] = ACTIONS(2698),
    [anon_sym_break] = ACTIONS(2698),
    [anon_sym_continue] = ACTIONS(2698),
    [anon_sym_goto] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2698),
    [anon_sym___alignof__] = ACTIONS(2698),
    [anon_sym___alignof] = ACTIONS(2698),
    [anon_sym__alignof] = ACTIONS(2698),
    [anon_sym_alignof] = ACTIONS(2698),
    [anon_sym__Alignof] = ACTIONS(2698),
    [anon_sym_offsetof] = ACTIONS(2698),
    [anon_sym__Generic] = ACTIONS(2698),
    [anon_sym_asm] = ACTIONS(2698),
    [anon_sym___asm__] = ACTIONS(2698),
    [anon_sym___asm] = ACTIONS(2698),
    [sym_number_literal] = ACTIONS(2700),
    [anon_sym_L_SQUOTE] = ACTIONS(2700),
    [anon_sym_u_SQUOTE] = ACTIONS(2700),
    [anon_sym_U_SQUOTE] = ACTIONS(2700),
    [anon_sym_u8_SQUOTE] = ACTIONS(2700),
    [anon_sym_SQUOTE] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_L_DQUOTE] = ACTIONS(2700),
    [anon_sym_u_DQUOTE] = ACTIONS(2700),
    [anon_sym_U_DQUOTE] = ACTIONS(2700),
    [anon_sym_u8_DQUOTE] = ACTIONS(2700),
    [sym_true] = ACTIONS(2698),
    [sym_false] = ACTIONS(2698),
    [anon_sym_NULL] = ACTIONS(2698),
    [anon_sym_nullptr] = ACTIONS(2698),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2698),
    [anon_sym___typeof] = ACTIONS(2698),
    [anon_sym_typeof] = ACTIONS(2698),
    [anon_sym_ATimport] = ACTIONS(2700),
    [aux_sym_preproc_undef_token1] = ACTIONS(2698),
    [anon_sym_POUND] = ACTIONS(2698),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2698),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2698),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2698),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_API_AVAILABLE] = ACTIONS(2698),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_API_DEPRECATED] = ACTIONS(2698),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym___deprecated_msg] = ACTIONS(2698),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2698),
    [anon_sym_ATprotocol] = ACTIONS(2700),
    [anon_sym_ATinterface] = ACTIONS(2700),
    [anon_sym_ATimplementation] = ACTIONS(2700),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2700),
    [anon_sym_ATsynthesize] = ACTIONS(2700),
    [anon_sym_ATdynamic] = ACTIONS(2700),
    [anon_sym_ATtry] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2698),
    [anon_sym_ATthrow] = ACTIONS(2700),
    [anon_sym_ATselector] = ACTIONS(2700),
    [anon_sym_ATavailable] = ACTIONS(2700),
    [anon_sym___builtin_available] = ACTIONS(2698),
    [anon_sym_va_arg] = ACTIONS(2698),
    [anon_sym_ATencode] = ACTIONS(2700),
    [anon_sym_ATsynchronized] = ACTIONS(2700),
    [anon_sym_BOOL] = ACTIONS(2698),
    [anon_sym_IMP] = ACTIONS(2698),
    [anon_sym_SEL] = ACTIONS(2698),
    [anon_sym_Class] = ACTIONS(2698),
    [anon_sym_id] = ACTIONS(2698),
  },
  [647] = {
    [sym_identifier] = ACTIONS(2698),
    [aux_sym_preproc_include_token1] = ACTIONS(2698),
    [aux_sym_preproc_include_token2] = ACTIONS(2698),
    [aux_sym_preproc_def_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token2] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2698),
    [sym_preproc_directive] = ACTIONS(2698),
    [anon_sym_LPAREN2] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2698),
    [anon_sym_PLUS] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_CARET] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2700),
    [anon_sym___extension__] = ACTIONS(2698),
    [anon_sym_typedef] = ACTIONS(2698),
    [anon_sym_extern] = ACTIONS(2698),
    [anon_sym___attribute__] = ACTIONS(2698),
    [anon_sym___attribute] = ACTIONS(2698),
    [anon_sym_noreturn] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym___declspec] = ACTIONS(2698),
    [anon_sym___cdecl] = ACTIONS(2698),
    [anon_sym___clrcall] = ACTIONS(2698),
    [anon_sym___stdcall] = ACTIONS(2698),
    [anon_sym___fastcall] = ACTIONS(2698),
    [anon_sym___thiscall] = ACTIONS(2698),
    [anon_sym___vectorcall] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_signed] = ACTIONS(2698),
    [anon_sym_unsigned] = ACTIONS(2698),
    [anon_sym_long] = ACTIONS(2698),
    [anon_sym_short] = ACTIONS(2698),
    [anon_sym_static] = ACTIONS(2698),
    [anon_sym_ATautoreleasepool] = ACTIONS(2700),
    [anon_sym_auto] = ACTIONS(2698),
    [anon_sym_register] = ACTIONS(2698),
    [anon_sym_inline] = ACTIONS(2698),
    [anon_sym___inline] = ACTIONS(2698),
    [anon_sym___inline__] = ACTIONS(2698),
    [anon_sym___forceinline] = ACTIONS(2698),
    [anon_sym_thread_local] = ACTIONS(2698),
    [anon_sym___thread] = ACTIONS(2698),
    [anon_sym_CG_EXTERN] = ACTIONS(2698),
    [anon_sym_CG_INLINE] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2698),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2698),
    [anon_sym_IBOutlet] = ACTIONS(2698),
    [anon_sym_IBInspectable] = ACTIONS(2698),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2698),
    [anon_sym_NS_INLINE] = ACTIONS(2698),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2698),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2698),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2698),
    [anon_sym_const] = ACTIONS(2698),
    [anon_sym_constexpr] = ACTIONS(2698),
    [anon_sym_volatile] = ACTIONS(2698),
    [anon_sym_restrict] = ACTIONS(2698),
    [anon_sym___restrict__] = ACTIONS(2698),
    [anon_sym__Atomic] = ACTIONS(2698),
    [anon_sym__Noreturn] = ACTIONS(2698),
    [anon_sym__Nonnull] = ACTIONS(2698),
    [anon_sym_nullable] = ACTIONS(2698),
    [anon_sym__Complex] = ACTIONS(2698),
    [anon_sym__Nullable] = ACTIONS(2698),
    [anon_sym__Nullable_result] = ACTIONS(2698),
    [anon_sym__Null_unspecified] = ACTIONS(2698),
    [anon_sym___autoreleasing] = ACTIONS(2698),
    [anon_sym___block] = ACTIONS(2698),
    [anon_sym___bridge] = ACTIONS(2698),
    [anon_sym___bridge_retained] = ACTIONS(2698),
    [anon_sym___bridge_transfer] = ACTIONS(2698),
    [anon_sym___complex] = ACTIONS(2698),
    [anon_sym___const] = ACTIONS(2698),
    [anon_sym___imag] = ACTIONS(2698),
    [anon_sym___kindof] = ACTIONS(2698),
    [anon_sym___nonnull] = ACTIONS(2698),
    [anon_sym___nullable] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2698),
    [anon_sym___real] = ACTIONS(2698),
    [anon_sym___strong] = ACTIONS(2698),
    [anon_sym___unsafe_unretained] = ACTIONS(2698),
    [anon_sym___unused] = ACTIONS(2698),
    [anon_sym___weak] = ACTIONS(2698),
    [anon_sym_alignas] = ACTIONS(2698),
    [anon_sym__Alignas] = ACTIONS(2698),
    [sym_primitive_type] = ACTIONS(2698),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_struct] = ACTIONS(2698),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_if] = ACTIONS(2698),
    [anon_sym_switch] = ACTIONS(2698),
    [anon_sym_case] = ACTIONS(2698),
    [anon_sym_default] = ACTIONS(2698),
    [anon_sym_while] = ACTIONS(2698),
    [anon_sym_do] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2698),
    [anon_sym_in] = ACTIONS(2698),
    [anon_sym_return] = ACTIONS(2698),
    [anon_sym_break] = ACTIONS(2698),
    [anon_sym_continue] = ACTIONS(2698),
    [anon_sym_goto] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2698),
    [anon_sym___alignof__] = ACTIONS(2698),
    [anon_sym___alignof] = ACTIONS(2698),
    [anon_sym__alignof] = ACTIONS(2698),
    [anon_sym_alignof] = ACTIONS(2698),
    [anon_sym__Alignof] = ACTIONS(2698),
    [anon_sym_offsetof] = ACTIONS(2698),
    [anon_sym__Generic] = ACTIONS(2698),
    [anon_sym_asm] = ACTIONS(2698),
    [anon_sym___asm__] = ACTIONS(2698),
    [anon_sym___asm] = ACTIONS(2698),
    [sym_number_literal] = ACTIONS(2700),
    [anon_sym_L_SQUOTE] = ACTIONS(2700),
    [anon_sym_u_SQUOTE] = ACTIONS(2700),
    [anon_sym_U_SQUOTE] = ACTIONS(2700),
    [anon_sym_u8_SQUOTE] = ACTIONS(2700),
    [anon_sym_SQUOTE] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_L_DQUOTE] = ACTIONS(2700),
    [anon_sym_u_DQUOTE] = ACTIONS(2700),
    [anon_sym_U_DQUOTE] = ACTIONS(2700),
    [anon_sym_u8_DQUOTE] = ACTIONS(2700),
    [sym_true] = ACTIONS(2698),
    [sym_false] = ACTIONS(2698),
    [anon_sym_NULL] = ACTIONS(2698),
    [anon_sym_nullptr] = ACTIONS(2698),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2698),
    [anon_sym___typeof] = ACTIONS(2698),
    [anon_sym_typeof] = ACTIONS(2698),
    [anon_sym_ATimport] = ACTIONS(2700),
    [aux_sym_preproc_undef_token1] = ACTIONS(2698),
    [anon_sym_POUND] = ACTIONS(2698),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2698),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2698),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2698),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_API_AVAILABLE] = ACTIONS(2698),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_API_DEPRECATED] = ACTIONS(2698),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym___deprecated_msg] = ACTIONS(2698),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2698),
    [anon_sym_ATprotocol] = ACTIONS(2700),
    [anon_sym_ATinterface] = ACTIONS(2700),
    [anon_sym_ATimplementation] = ACTIONS(2700),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2700),
    [anon_sym_ATsynthesize] = ACTIONS(2700),
    [anon_sym_ATdynamic] = ACTIONS(2700),
    [anon_sym_ATtry] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2698),
    [anon_sym_ATthrow] = ACTIONS(2700),
    [anon_sym_ATselector] = ACTIONS(2700),
    [anon_sym_ATavailable] = ACTIONS(2700),
    [anon_sym___builtin_available] = ACTIONS(2698),
    [anon_sym_va_arg] = ACTIONS(2698),
    [anon_sym_ATencode] = ACTIONS(2700),
    [anon_sym_ATsynchronized] = ACTIONS(2700),
    [anon_sym_BOOL] = ACTIONS(2698),
    [anon_sym_IMP] = ACTIONS(2698),
    [anon_sym_SEL] = ACTIONS(2698),
    [anon_sym_Class] = ACTIONS(2698),
    [anon_sym_id] = ACTIONS(2698),
  },
  [648] = {
    [sym_identifier] = ACTIONS(2698),
    [aux_sym_preproc_include_token1] = ACTIONS(2698),
    [aux_sym_preproc_include_token2] = ACTIONS(2698),
    [aux_sym_preproc_def_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token2] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2698),
    [sym_preproc_directive] = ACTIONS(2698),
    [anon_sym_LPAREN2] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2698),
    [anon_sym_PLUS] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_CARET] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2700),
    [anon_sym___extension__] = ACTIONS(2698),
    [anon_sym_typedef] = ACTIONS(2698),
    [anon_sym_extern] = ACTIONS(2698),
    [anon_sym___attribute__] = ACTIONS(2698),
    [anon_sym___attribute] = ACTIONS(2698),
    [anon_sym_noreturn] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym___declspec] = ACTIONS(2698),
    [anon_sym___cdecl] = ACTIONS(2698),
    [anon_sym___clrcall] = ACTIONS(2698),
    [anon_sym___stdcall] = ACTIONS(2698),
    [anon_sym___fastcall] = ACTIONS(2698),
    [anon_sym___thiscall] = ACTIONS(2698),
    [anon_sym___vectorcall] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_signed] = ACTIONS(2698),
    [anon_sym_unsigned] = ACTIONS(2698),
    [anon_sym_long] = ACTIONS(2698),
    [anon_sym_short] = ACTIONS(2698),
    [anon_sym_static] = ACTIONS(2698),
    [anon_sym_ATautoreleasepool] = ACTIONS(2700),
    [anon_sym_auto] = ACTIONS(2698),
    [anon_sym_register] = ACTIONS(2698),
    [anon_sym_inline] = ACTIONS(2698),
    [anon_sym___inline] = ACTIONS(2698),
    [anon_sym___inline__] = ACTIONS(2698),
    [anon_sym___forceinline] = ACTIONS(2698),
    [anon_sym_thread_local] = ACTIONS(2698),
    [anon_sym___thread] = ACTIONS(2698),
    [anon_sym_CG_EXTERN] = ACTIONS(2698),
    [anon_sym_CG_INLINE] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2698),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2698),
    [anon_sym_IBOutlet] = ACTIONS(2698),
    [anon_sym_IBInspectable] = ACTIONS(2698),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2698),
    [anon_sym_NS_INLINE] = ACTIONS(2698),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2698),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2698),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2698),
    [anon_sym_const] = ACTIONS(2698),
    [anon_sym_constexpr] = ACTIONS(2698),
    [anon_sym_volatile] = ACTIONS(2698),
    [anon_sym_restrict] = ACTIONS(2698),
    [anon_sym___restrict__] = ACTIONS(2698),
    [anon_sym__Atomic] = ACTIONS(2698),
    [anon_sym__Noreturn] = ACTIONS(2698),
    [anon_sym__Nonnull] = ACTIONS(2698),
    [anon_sym_nullable] = ACTIONS(2698),
    [anon_sym__Complex] = ACTIONS(2698),
    [anon_sym__Nullable] = ACTIONS(2698),
    [anon_sym__Nullable_result] = ACTIONS(2698),
    [anon_sym__Null_unspecified] = ACTIONS(2698),
    [anon_sym___autoreleasing] = ACTIONS(2698),
    [anon_sym___block] = ACTIONS(2698),
    [anon_sym___bridge] = ACTIONS(2698),
    [anon_sym___bridge_retained] = ACTIONS(2698),
    [anon_sym___bridge_transfer] = ACTIONS(2698),
    [anon_sym___complex] = ACTIONS(2698),
    [anon_sym___const] = ACTIONS(2698),
    [anon_sym___imag] = ACTIONS(2698),
    [anon_sym___kindof] = ACTIONS(2698),
    [anon_sym___nonnull] = ACTIONS(2698),
    [anon_sym___nullable] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2698),
    [anon_sym___real] = ACTIONS(2698),
    [anon_sym___strong] = ACTIONS(2698),
    [anon_sym___unsafe_unretained] = ACTIONS(2698),
    [anon_sym___unused] = ACTIONS(2698),
    [anon_sym___weak] = ACTIONS(2698),
    [anon_sym_alignas] = ACTIONS(2698),
    [anon_sym__Alignas] = ACTIONS(2698),
    [sym_primitive_type] = ACTIONS(2698),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_struct] = ACTIONS(2698),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_if] = ACTIONS(2698),
    [anon_sym_switch] = ACTIONS(2698),
    [anon_sym_case] = ACTIONS(2698),
    [anon_sym_default] = ACTIONS(2698),
    [anon_sym_while] = ACTIONS(2698),
    [anon_sym_do] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2698),
    [anon_sym_in] = ACTIONS(2698),
    [anon_sym_return] = ACTIONS(2698),
    [anon_sym_break] = ACTIONS(2698),
    [anon_sym_continue] = ACTIONS(2698),
    [anon_sym_goto] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2698),
    [anon_sym___alignof__] = ACTIONS(2698),
    [anon_sym___alignof] = ACTIONS(2698),
    [anon_sym__alignof] = ACTIONS(2698),
    [anon_sym_alignof] = ACTIONS(2698),
    [anon_sym__Alignof] = ACTIONS(2698),
    [anon_sym_offsetof] = ACTIONS(2698),
    [anon_sym__Generic] = ACTIONS(2698),
    [anon_sym_asm] = ACTIONS(2698),
    [anon_sym___asm__] = ACTIONS(2698),
    [anon_sym___asm] = ACTIONS(2698),
    [sym_number_literal] = ACTIONS(2700),
    [anon_sym_L_SQUOTE] = ACTIONS(2700),
    [anon_sym_u_SQUOTE] = ACTIONS(2700),
    [anon_sym_U_SQUOTE] = ACTIONS(2700),
    [anon_sym_u8_SQUOTE] = ACTIONS(2700),
    [anon_sym_SQUOTE] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_L_DQUOTE] = ACTIONS(2700),
    [anon_sym_u_DQUOTE] = ACTIONS(2700),
    [anon_sym_U_DQUOTE] = ACTIONS(2700),
    [anon_sym_u8_DQUOTE] = ACTIONS(2700),
    [sym_true] = ACTIONS(2698),
    [sym_false] = ACTIONS(2698),
    [anon_sym_NULL] = ACTIONS(2698),
    [anon_sym_nullptr] = ACTIONS(2698),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2698),
    [anon_sym___typeof] = ACTIONS(2698),
    [anon_sym_typeof] = ACTIONS(2698),
    [anon_sym_ATimport] = ACTIONS(2700),
    [aux_sym_preproc_undef_token1] = ACTIONS(2698),
    [anon_sym_POUND] = ACTIONS(2698),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2698),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2698),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2698),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_API_AVAILABLE] = ACTIONS(2698),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_API_DEPRECATED] = ACTIONS(2698),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym___deprecated_msg] = ACTIONS(2698),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2698),
    [anon_sym_ATprotocol] = ACTIONS(2700),
    [anon_sym_ATinterface] = ACTIONS(2700),
    [anon_sym_ATimplementation] = ACTIONS(2700),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2700),
    [anon_sym_ATsynthesize] = ACTIONS(2700),
    [anon_sym_ATdynamic] = ACTIONS(2700),
    [anon_sym_ATtry] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2698),
    [anon_sym_ATthrow] = ACTIONS(2700),
    [anon_sym_ATselector] = ACTIONS(2700),
    [anon_sym_ATavailable] = ACTIONS(2700),
    [anon_sym___builtin_available] = ACTIONS(2698),
    [anon_sym_va_arg] = ACTIONS(2698),
    [anon_sym_ATencode] = ACTIONS(2700),
    [anon_sym_ATsynchronized] = ACTIONS(2700),
    [anon_sym_BOOL] = ACTIONS(2698),
    [anon_sym_IMP] = ACTIONS(2698),
    [anon_sym_SEL] = ACTIONS(2698),
    [anon_sym_Class] = ACTIONS(2698),
    [anon_sym_id] = ACTIONS(2698),
  },
  [649] = {
    [sym_identifier] = ACTIONS(2702),
    [aux_sym_preproc_include_token1] = ACTIONS(2702),
    [aux_sym_preproc_include_token2] = ACTIONS(2702),
    [aux_sym_preproc_def_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token2] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2702),
    [sym_preproc_directive] = ACTIONS(2702),
    [anon_sym_LPAREN2] = ACTIONS(2704),
    [anon_sym_BANG] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2702),
    [anon_sym_STAR] = ACTIONS(2704),
    [anon_sym_CARET] = ACTIONS(2704),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym___extension__] = ACTIONS(2702),
    [anon_sym_typedef] = ACTIONS(2702),
    [anon_sym_extern] = ACTIONS(2702),
    [anon_sym___attribute__] = ACTIONS(2702),
    [anon_sym___attribute] = ACTIONS(2702),
    [anon_sym_noreturn] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym___declspec] = ACTIONS(2702),
    [anon_sym___cdecl] = ACTIONS(2702),
    [anon_sym___clrcall] = ACTIONS(2702),
    [anon_sym___stdcall] = ACTIONS(2702),
    [anon_sym___fastcall] = ACTIONS(2702),
    [anon_sym___thiscall] = ACTIONS(2702),
    [anon_sym___vectorcall] = ACTIONS(2702),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_signed] = ACTIONS(2702),
    [anon_sym_unsigned] = ACTIONS(2702),
    [anon_sym_long] = ACTIONS(2702),
    [anon_sym_short] = ACTIONS(2702),
    [anon_sym_static] = ACTIONS(2702),
    [anon_sym_ATautoreleasepool] = ACTIONS(2704),
    [anon_sym_auto] = ACTIONS(2702),
    [anon_sym_register] = ACTIONS(2702),
    [anon_sym_inline] = ACTIONS(2702),
    [anon_sym___inline] = ACTIONS(2702),
    [anon_sym___inline__] = ACTIONS(2702),
    [anon_sym___forceinline] = ACTIONS(2702),
    [anon_sym_thread_local] = ACTIONS(2702),
    [anon_sym___thread] = ACTIONS(2702),
    [anon_sym_CG_EXTERN] = ACTIONS(2702),
    [anon_sym_CG_INLINE] = ACTIONS(2702),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2702),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2702),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2702),
    [anon_sym_IBOutlet] = ACTIONS(2702),
    [anon_sym_IBInspectable] = ACTIONS(2702),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2702),
    [anon_sym_NS_INLINE] = ACTIONS(2702),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2702),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2702),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2702),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2702),
    [anon_sym_const] = ACTIONS(2702),
    [anon_sym_constexpr] = ACTIONS(2702),
    [anon_sym_volatile] = ACTIONS(2702),
    [anon_sym_restrict] = ACTIONS(2702),
    [anon_sym___restrict__] = ACTIONS(2702),
    [anon_sym__Atomic] = ACTIONS(2702),
    [anon_sym__Noreturn] = ACTIONS(2702),
    [anon_sym__Nonnull] = ACTIONS(2702),
    [anon_sym_nullable] = ACTIONS(2702),
    [anon_sym__Complex] = ACTIONS(2702),
    [anon_sym__Nullable] = ACTIONS(2702),
    [anon_sym__Nullable_result] = ACTIONS(2702),
    [anon_sym__Null_unspecified] = ACTIONS(2702),
    [anon_sym___autoreleasing] = ACTIONS(2702),
    [anon_sym___block] = ACTIONS(2702),
    [anon_sym___bridge] = ACTIONS(2702),
    [anon_sym___bridge_retained] = ACTIONS(2702),
    [anon_sym___bridge_transfer] = ACTIONS(2702),
    [anon_sym___complex] = ACTIONS(2702),
    [anon_sym___const] = ACTIONS(2702),
    [anon_sym___imag] = ACTIONS(2702),
    [anon_sym___kindof] = ACTIONS(2702),
    [anon_sym___nonnull] = ACTIONS(2702),
    [anon_sym___nullable] = ACTIONS(2702),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2702),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2702),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2702),
    [anon_sym___real] = ACTIONS(2702),
    [anon_sym___strong] = ACTIONS(2702),
    [anon_sym___unsafe_unretained] = ACTIONS(2702),
    [anon_sym___unused] = ACTIONS(2702),
    [anon_sym___weak] = ACTIONS(2702),
    [anon_sym_alignas] = ACTIONS(2702),
    [anon_sym__Alignas] = ACTIONS(2702),
    [sym_primitive_type] = ACTIONS(2702),
    [anon_sym_enum] = ACTIONS(2702),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2702),
    [anon_sym_if] = ACTIONS(2702),
    [anon_sym_switch] = ACTIONS(2702),
    [anon_sym_case] = ACTIONS(2702),
    [anon_sym_default] = ACTIONS(2702),
    [anon_sym_while] = ACTIONS(2702),
    [anon_sym_do] = ACTIONS(2702),
    [anon_sym_for] = ACTIONS(2702),
    [anon_sym_in] = ACTIONS(2702),
    [anon_sym_return] = ACTIONS(2702),
    [anon_sym_break] = ACTIONS(2702),
    [anon_sym_continue] = ACTIONS(2702),
    [anon_sym_goto] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2702),
    [anon_sym___alignof] = ACTIONS(2702),
    [anon_sym__alignof] = ACTIONS(2702),
    [anon_sym_alignof] = ACTIONS(2702),
    [anon_sym__Alignof] = ACTIONS(2702),
    [anon_sym_offsetof] = ACTIONS(2702),
    [anon_sym__Generic] = ACTIONS(2702),
    [anon_sym_asm] = ACTIONS(2702),
    [anon_sym___asm__] = ACTIONS(2702),
    [anon_sym___asm] = ACTIONS(2702),
    [sym_number_literal] = ACTIONS(2704),
    [anon_sym_L_SQUOTE] = ACTIONS(2704),
    [anon_sym_u_SQUOTE] = ACTIONS(2704),
    [anon_sym_U_SQUOTE] = ACTIONS(2704),
    [anon_sym_u8_SQUOTE] = ACTIONS(2704),
    [anon_sym_SQUOTE] = ACTIONS(2704),
    [anon_sym_AT] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [anon_sym_L_DQUOTE] = ACTIONS(2704),
    [anon_sym_u_DQUOTE] = ACTIONS(2704),
    [anon_sym_U_DQUOTE] = ACTIONS(2704),
    [anon_sym_u8_DQUOTE] = ACTIONS(2704),
    [sym_true] = ACTIONS(2702),
    [sym_false] = ACTIONS(2702),
    [anon_sym_NULL] = ACTIONS(2702),
    [anon_sym_nullptr] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2702),
    [anon_sym___typeof] = ACTIONS(2702),
    [anon_sym_typeof] = ACTIONS(2702),
    [anon_sym_ATimport] = ACTIONS(2704),
    [aux_sym_preproc_undef_token1] = ACTIONS(2702),
    [anon_sym_POUND] = ACTIONS(2702),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2702),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2702),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2702),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2702),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2702),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2702),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2702),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2702),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2702),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2702),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2702),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2702),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2702),
    [anon_sym_API_AVAILABLE] = ACTIONS(2702),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2702),
    [anon_sym_API_DEPRECATED] = ACTIONS(2702),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2702),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2702),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2702),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2702),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2702),
    [anon_sym___deprecated_msg] = ACTIONS(2702),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2702),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2702),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2702),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2702),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2702),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2702),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2702),
    [anon_sym_ATprotocol] = ACTIONS(2704),
    [anon_sym_ATinterface] = ACTIONS(2704),
    [anon_sym_ATimplementation] = ACTIONS(2704),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2704),
    [anon_sym_ATsynthesize] = ACTIONS(2704),
    [anon_sym_ATdynamic] = ACTIONS(2704),
    [anon_sym_ATtry] = ACTIONS(2704),
    [anon_sym___try] = ACTIONS(2702),
    [anon_sym_ATthrow] = ACTIONS(2704),
    [anon_sym_ATselector] = ACTIONS(2704),
    [anon_sym_ATavailable] = ACTIONS(2704),
    [anon_sym___builtin_available] = ACTIONS(2702),
    [anon_sym_va_arg] = ACTIONS(2702),
    [anon_sym_ATencode] = ACTIONS(2704),
    [anon_sym_ATsynchronized] = ACTIONS(2704),
    [anon_sym_BOOL] = ACTIONS(2702),
    [anon_sym_IMP] = ACTIONS(2702),
    [anon_sym_SEL] = ACTIONS(2702),
    [anon_sym_Class] = ACTIONS(2702),
    [anon_sym_id] = ACTIONS(2702),
  },
  [650] = {
    [sym_identifier] = ACTIONS(2706),
    [aux_sym_preproc_include_token1] = ACTIONS(2706),
    [aux_sym_preproc_include_token2] = ACTIONS(2706),
    [aux_sym_preproc_def_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token2] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2706),
    [sym_preproc_directive] = ACTIONS(2706),
    [anon_sym_LPAREN2] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2708),
    [anon_sym_CARET] = ACTIONS(2708),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_SEMI] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2706),
    [anon_sym_typedef] = ACTIONS(2706),
    [anon_sym_extern] = ACTIONS(2706),
    [anon_sym___attribute__] = ACTIONS(2706),
    [anon_sym___attribute] = ACTIONS(2706),
    [anon_sym_noreturn] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym___declspec] = ACTIONS(2706),
    [anon_sym___cdecl] = ACTIONS(2706),
    [anon_sym___clrcall] = ACTIONS(2706),
    [anon_sym___stdcall] = ACTIONS(2706),
    [anon_sym___fastcall] = ACTIONS(2706),
    [anon_sym___thiscall] = ACTIONS(2706),
    [anon_sym___vectorcall] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_signed] = ACTIONS(2706),
    [anon_sym_unsigned] = ACTIONS(2706),
    [anon_sym_long] = ACTIONS(2706),
    [anon_sym_short] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_ATautoreleasepool] = ACTIONS(2708),
    [anon_sym_auto] = ACTIONS(2706),
    [anon_sym_register] = ACTIONS(2706),
    [anon_sym_inline] = ACTIONS(2706),
    [anon_sym___inline] = ACTIONS(2706),
    [anon_sym___inline__] = ACTIONS(2706),
    [anon_sym___forceinline] = ACTIONS(2706),
    [anon_sym_thread_local] = ACTIONS(2706),
    [anon_sym___thread] = ACTIONS(2706),
    [anon_sym_CG_EXTERN] = ACTIONS(2706),
    [anon_sym_CG_INLINE] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2706),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2706),
    [anon_sym_IBOutlet] = ACTIONS(2706),
    [anon_sym_IBInspectable] = ACTIONS(2706),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2706),
    [anon_sym_NS_INLINE] = ACTIONS(2706),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2706),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2706),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_constexpr] = ACTIONS(2706),
    [anon_sym_volatile] = ACTIONS(2706),
    [anon_sym_restrict] = ACTIONS(2706),
    [anon_sym___restrict__] = ACTIONS(2706),
    [anon_sym__Atomic] = ACTIONS(2706),
    [anon_sym__Noreturn] = ACTIONS(2706),
    [anon_sym__Nonnull] = ACTIONS(2706),
    [anon_sym_nullable] = ACTIONS(2706),
    [anon_sym__Complex] = ACTIONS(2706),
    [anon_sym__Nullable] = ACTIONS(2706),
    [anon_sym__Nullable_result] = ACTIONS(2706),
    [anon_sym__Null_unspecified] = ACTIONS(2706),
    [anon_sym___autoreleasing] = ACTIONS(2706),
    [anon_sym___block] = ACTIONS(2706),
    [anon_sym___bridge] = ACTIONS(2706),
    [anon_sym___bridge_retained] = ACTIONS(2706),
    [anon_sym___bridge_transfer] = ACTIONS(2706),
    [anon_sym___complex] = ACTIONS(2706),
    [anon_sym___const] = ACTIONS(2706),
    [anon_sym___imag] = ACTIONS(2706),
    [anon_sym___kindof] = ACTIONS(2706),
    [anon_sym___nonnull] = ACTIONS(2706),
    [anon_sym___nullable] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2706),
    [anon_sym___real] = ACTIONS(2706),
    [anon_sym___strong] = ACTIONS(2706),
    [anon_sym___unsafe_unretained] = ACTIONS(2706),
    [anon_sym___unused] = ACTIONS(2706),
    [anon_sym___weak] = ACTIONS(2706),
    [anon_sym_alignas] = ACTIONS(2706),
    [anon_sym__Alignas] = ACTIONS(2706),
    [sym_primitive_type] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [anon_sym_struct] = ACTIONS(2706),
    [anon_sym_union] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2706),
    [anon_sym_default] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_in] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_goto] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_sizeof] = ACTIONS(2706),
    [anon_sym___alignof__] = ACTIONS(2706),
    [anon_sym___alignof] = ACTIONS(2706),
    [anon_sym__alignof] = ACTIONS(2706),
    [anon_sym_alignof] = ACTIONS(2706),
    [anon_sym__Alignof] = ACTIONS(2706),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2706),
    [anon_sym_asm] = ACTIONS(2706),
    [anon_sym___asm__] = ACTIONS(2706),
    [anon_sym___asm] = ACTIONS(2706),
    [sym_number_literal] = ACTIONS(2708),
    [anon_sym_L_SQUOTE] = ACTIONS(2708),
    [anon_sym_u_SQUOTE] = ACTIONS(2708),
    [anon_sym_U_SQUOTE] = ACTIONS(2708),
    [anon_sym_u8_SQUOTE] = ACTIONS(2708),
    [anon_sym_SQUOTE] = ACTIONS(2708),
    [anon_sym_AT] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [anon_sym_L_DQUOTE] = ACTIONS(2708),
    [anon_sym_u_DQUOTE] = ACTIONS(2708),
    [anon_sym_U_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8_DQUOTE] = ACTIONS(2708),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [anon_sym_NULL] = ACTIONS(2706),
    [anon_sym_nullptr] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2706),
    [anon_sym___typeof] = ACTIONS(2706),
    [anon_sym_typeof] = ACTIONS(2706),
    [anon_sym_ATimport] = ACTIONS(2708),
    [aux_sym_preproc_undef_token1] = ACTIONS(2706),
    [anon_sym_POUND] = ACTIONS(2706),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2706),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2706),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2706),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_API_AVAILABLE] = ACTIONS(2706),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_API_DEPRECATED] = ACTIONS(2706),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym___deprecated_msg] = ACTIONS(2706),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2706),
    [anon_sym_ATprotocol] = ACTIONS(2708),
    [anon_sym_ATinterface] = ACTIONS(2708),
    [anon_sym_ATimplementation] = ACTIONS(2708),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2708),
    [anon_sym_ATsynthesize] = ACTIONS(2708),
    [anon_sym_ATdynamic] = ACTIONS(2708),
    [anon_sym_ATtry] = ACTIONS(2708),
    [anon_sym___try] = ACTIONS(2706),
    [anon_sym_ATthrow] = ACTIONS(2708),
    [anon_sym_ATselector] = ACTIONS(2708),
    [anon_sym_ATavailable] = ACTIONS(2708),
    [anon_sym___builtin_available] = ACTIONS(2706),
    [anon_sym_va_arg] = ACTIONS(2706),
    [anon_sym_ATencode] = ACTIONS(2708),
    [anon_sym_ATsynchronized] = ACTIONS(2708),
    [anon_sym_BOOL] = ACTIONS(2706),
    [anon_sym_IMP] = ACTIONS(2706),
    [anon_sym_SEL] = ACTIONS(2706),
    [anon_sym_Class] = ACTIONS(2706),
    [anon_sym_id] = ACTIONS(2706),
  },
  [651] = {
    [sym_identifier] = ACTIONS(2706),
    [aux_sym_preproc_include_token1] = ACTIONS(2706),
    [aux_sym_preproc_include_token2] = ACTIONS(2706),
    [aux_sym_preproc_def_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token2] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2706),
    [sym_preproc_directive] = ACTIONS(2706),
    [anon_sym_LPAREN2] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2708),
    [anon_sym_CARET] = ACTIONS(2708),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_SEMI] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2706),
    [anon_sym_typedef] = ACTIONS(2706),
    [anon_sym_extern] = ACTIONS(2706),
    [anon_sym___attribute__] = ACTIONS(2706),
    [anon_sym___attribute] = ACTIONS(2706),
    [anon_sym_noreturn] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym___declspec] = ACTIONS(2706),
    [anon_sym___cdecl] = ACTIONS(2706),
    [anon_sym___clrcall] = ACTIONS(2706),
    [anon_sym___stdcall] = ACTIONS(2706),
    [anon_sym___fastcall] = ACTIONS(2706),
    [anon_sym___thiscall] = ACTIONS(2706),
    [anon_sym___vectorcall] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_signed] = ACTIONS(2706),
    [anon_sym_unsigned] = ACTIONS(2706),
    [anon_sym_long] = ACTIONS(2706),
    [anon_sym_short] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_ATautoreleasepool] = ACTIONS(2708),
    [anon_sym_auto] = ACTIONS(2706),
    [anon_sym_register] = ACTIONS(2706),
    [anon_sym_inline] = ACTIONS(2706),
    [anon_sym___inline] = ACTIONS(2706),
    [anon_sym___inline__] = ACTIONS(2706),
    [anon_sym___forceinline] = ACTIONS(2706),
    [anon_sym_thread_local] = ACTIONS(2706),
    [anon_sym___thread] = ACTIONS(2706),
    [anon_sym_CG_EXTERN] = ACTIONS(2706),
    [anon_sym_CG_INLINE] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2706),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2706),
    [anon_sym_IBOutlet] = ACTIONS(2706),
    [anon_sym_IBInspectable] = ACTIONS(2706),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2706),
    [anon_sym_NS_INLINE] = ACTIONS(2706),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2706),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2706),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_constexpr] = ACTIONS(2706),
    [anon_sym_volatile] = ACTIONS(2706),
    [anon_sym_restrict] = ACTIONS(2706),
    [anon_sym___restrict__] = ACTIONS(2706),
    [anon_sym__Atomic] = ACTIONS(2706),
    [anon_sym__Noreturn] = ACTIONS(2706),
    [anon_sym__Nonnull] = ACTIONS(2706),
    [anon_sym_nullable] = ACTIONS(2706),
    [anon_sym__Complex] = ACTIONS(2706),
    [anon_sym__Nullable] = ACTIONS(2706),
    [anon_sym__Nullable_result] = ACTIONS(2706),
    [anon_sym__Null_unspecified] = ACTIONS(2706),
    [anon_sym___autoreleasing] = ACTIONS(2706),
    [anon_sym___block] = ACTIONS(2706),
    [anon_sym___bridge] = ACTIONS(2706),
    [anon_sym___bridge_retained] = ACTIONS(2706),
    [anon_sym___bridge_transfer] = ACTIONS(2706),
    [anon_sym___complex] = ACTIONS(2706),
    [anon_sym___const] = ACTIONS(2706),
    [anon_sym___imag] = ACTIONS(2706),
    [anon_sym___kindof] = ACTIONS(2706),
    [anon_sym___nonnull] = ACTIONS(2706),
    [anon_sym___nullable] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2706),
    [anon_sym___real] = ACTIONS(2706),
    [anon_sym___strong] = ACTIONS(2706),
    [anon_sym___unsafe_unretained] = ACTIONS(2706),
    [anon_sym___unused] = ACTIONS(2706),
    [anon_sym___weak] = ACTIONS(2706),
    [anon_sym_alignas] = ACTIONS(2706),
    [anon_sym__Alignas] = ACTIONS(2706),
    [sym_primitive_type] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [anon_sym_struct] = ACTIONS(2706),
    [anon_sym_union] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2706),
    [anon_sym_default] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_in] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_goto] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_sizeof] = ACTIONS(2706),
    [anon_sym___alignof__] = ACTIONS(2706),
    [anon_sym___alignof] = ACTIONS(2706),
    [anon_sym__alignof] = ACTIONS(2706),
    [anon_sym_alignof] = ACTIONS(2706),
    [anon_sym__Alignof] = ACTIONS(2706),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2706),
    [anon_sym_asm] = ACTIONS(2706),
    [anon_sym___asm__] = ACTIONS(2706),
    [anon_sym___asm] = ACTIONS(2706),
    [sym_number_literal] = ACTIONS(2708),
    [anon_sym_L_SQUOTE] = ACTIONS(2708),
    [anon_sym_u_SQUOTE] = ACTIONS(2708),
    [anon_sym_U_SQUOTE] = ACTIONS(2708),
    [anon_sym_u8_SQUOTE] = ACTIONS(2708),
    [anon_sym_SQUOTE] = ACTIONS(2708),
    [anon_sym_AT] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [anon_sym_L_DQUOTE] = ACTIONS(2708),
    [anon_sym_u_DQUOTE] = ACTIONS(2708),
    [anon_sym_U_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8_DQUOTE] = ACTIONS(2708),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [anon_sym_NULL] = ACTIONS(2706),
    [anon_sym_nullptr] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2706),
    [anon_sym___typeof] = ACTIONS(2706),
    [anon_sym_typeof] = ACTIONS(2706),
    [anon_sym_ATimport] = ACTIONS(2708),
    [aux_sym_preproc_undef_token1] = ACTIONS(2706),
    [anon_sym_POUND] = ACTIONS(2706),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2706),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2706),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2706),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_API_AVAILABLE] = ACTIONS(2706),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_API_DEPRECATED] = ACTIONS(2706),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym___deprecated_msg] = ACTIONS(2706),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2706),
    [anon_sym_ATprotocol] = ACTIONS(2708),
    [anon_sym_ATinterface] = ACTIONS(2708),
    [anon_sym_ATimplementation] = ACTIONS(2708),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2708),
    [anon_sym_ATsynthesize] = ACTIONS(2708),
    [anon_sym_ATdynamic] = ACTIONS(2708),
    [anon_sym_ATtry] = ACTIONS(2708),
    [anon_sym___try] = ACTIONS(2706),
    [anon_sym_ATthrow] = ACTIONS(2708),
    [anon_sym_ATselector] = ACTIONS(2708),
    [anon_sym_ATavailable] = ACTIONS(2708),
    [anon_sym___builtin_available] = ACTIONS(2706),
    [anon_sym_va_arg] = ACTIONS(2706),
    [anon_sym_ATencode] = ACTIONS(2708),
    [anon_sym_ATsynchronized] = ACTIONS(2708),
    [anon_sym_BOOL] = ACTIONS(2706),
    [anon_sym_IMP] = ACTIONS(2706),
    [anon_sym_SEL] = ACTIONS(2706),
    [anon_sym_Class] = ACTIONS(2706),
    [anon_sym_id] = ACTIONS(2706),
  },
  [652] = {
    [sym_identifier] = ACTIONS(2710),
    [aux_sym_preproc_include_token1] = ACTIONS(2710),
    [aux_sym_preproc_include_token2] = ACTIONS(2710),
    [aux_sym_preproc_def_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token2] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2710),
    [sym_preproc_directive] = ACTIONS(2710),
    [anon_sym_LPAREN2] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2710),
    [anon_sym_PLUS] = ACTIONS(2710),
    [anon_sym_STAR] = ACTIONS(2712),
    [anon_sym_CARET] = ACTIONS(2712),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_SEMI] = ACTIONS(2712),
    [anon_sym___extension__] = ACTIONS(2710),
    [anon_sym_typedef] = ACTIONS(2710),
    [anon_sym_extern] = ACTIONS(2710),
    [anon_sym___attribute__] = ACTIONS(2710),
    [anon_sym___attribute] = ACTIONS(2710),
    [anon_sym_noreturn] = ACTIONS(2710),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym___declspec] = ACTIONS(2710),
    [anon_sym___cdecl] = ACTIONS(2710),
    [anon_sym___clrcall] = ACTIONS(2710),
    [anon_sym___stdcall] = ACTIONS(2710),
    [anon_sym___fastcall] = ACTIONS(2710),
    [anon_sym___thiscall] = ACTIONS(2710),
    [anon_sym___vectorcall] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_signed] = ACTIONS(2710),
    [anon_sym_unsigned] = ACTIONS(2710),
    [anon_sym_long] = ACTIONS(2710),
    [anon_sym_short] = ACTIONS(2710),
    [anon_sym_static] = ACTIONS(2710),
    [anon_sym_ATautoreleasepool] = ACTIONS(2712),
    [anon_sym_auto] = ACTIONS(2710),
    [anon_sym_register] = ACTIONS(2710),
    [anon_sym_inline] = ACTIONS(2710),
    [anon_sym___inline] = ACTIONS(2710),
    [anon_sym___inline__] = ACTIONS(2710),
    [anon_sym___forceinline] = ACTIONS(2710),
    [anon_sym_thread_local] = ACTIONS(2710),
    [anon_sym___thread] = ACTIONS(2710),
    [anon_sym_CG_EXTERN] = ACTIONS(2710),
    [anon_sym_CG_INLINE] = ACTIONS(2710),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2710),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2710),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2710),
    [anon_sym_IBOutlet] = ACTIONS(2710),
    [anon_sym_IBInspectable] = ACTIONS(2710),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2710),
    [anon_sym_NS_INLINE] = ACTIONS(2710),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2710),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2710),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2710),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2710),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_constexpr] = ACTIONS(2710),
    [anon_sym_volatile] = ACTIONS(2710),
    [anon_sym_restrict] = ACTIONS(2710),
    [anon_sym___restrict__] = ACTIONS(2710),
    [anon_sym__Atomic] = ACTIONS(2710),
    [anon_sym__Noreturn] = ACTIONS(2710),
    [anon_sym__Nonnull] = ACTIONS(2710),
    [anon_sym_nullable] = ACTIONS(2710),
    [anon_sym__Complex] = ACTIONS(2710),
    [anon_sym__Nullable] = ACTIONS(2710),
    [anon_sym__Nullable_result] = ACTIONS(2710),
    [anon_sym__Null_unspecified] = ACTIONS(2710),
    [anon_sym___autoreleasing] = ACTIONS(2710),
    [anon_sym___block] = ACTIONS(2710),
    [anon_sym___bridge] = ACTIONS(2710),
    [anon_sym___bridge_retained] = ACTIONS(2710),
    [anon_sym___bridge_transfer] = ACTIONS(2710),
    [anon_sym___complex] = ACTIONS(2710),
    [anon_sym___const] = ACTIONS(2710),
    [anon_sym___imag] = ACTIONS(2710),
    [anon_sym___kindof] = ACTIONS(2710),
    [anon_sym___nonnull] = ACTIONS(2710),
    [anon_sym___nullable] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2710),
    [anon_sym___real] = ACTIONS(2710),
    [anon_sym___strong] = ACTIONS(2710),
    [anon_sym___unsafe_unretained] = ACTIONS(2710),
    [anon_sym___unused] = ACTIONS(2710),
    [anon_sym___weak] = ACTIONS(2710),
    [anon_sym_alignas] = ACTIONS(2710),
    [anon_sym__Alignas] = ACTIONS(2710),
    [sym_primitive_type] = ACTIONS(2710),
    [anon_sym_enum] = ACTIONS(2710),
    [anon_sym_struct] = ACTIONS(2710),
    [anon_sym_union] = ACTIONS(2710),
    [anon_sym_if] = ACTIONS(2710),
    [anon_sym_switch] = ACTIONS(2710),
    [anon_sym_case] = ACTIONS(2710),
    [anon_sym_default] = ACTIONS(2710),
    [anon_sym_while] = ACTIONS(2710),
    [anon_sym_do] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2710),
    [anon_sym_in] = ACTIONS(2710),
    [anon_sym_return] = ACTIONS(2710),
    [anon_sym_break] = ACTIONS(2710),
    [anon_sym_continue] = ACTIONS(2710),
    [anon_sym_goto] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_sizeof] = ACTIONS(2710),
    [anon_sym___alignof__] = ACTIONS(2710),
    [anon_sym___alignof] = ACTIONS(2710),
    [anon_sym__alignof] = ACTIONS(2710),
    [anon_sym_alignof] = ACTIONS(2710),
    [anon_sym__Alignof] = ACTIONS(2710),
    [anon_sym_offsetof] = ACTIONS(2710),
    [anon_sym__Generic] = ACTIONS(2710),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [anon_sym___asm] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2712),
    [anon_sym_u_SQUOTE] = ACTIONS(2712),
    [anon_sym_U_SQUOTE] = ACTIONS(2712),
    [anon_sym_u8_SQUOTE] = ACTIONS(2712),
    [anon_sym_SQUOTE] = ACTIONS(2712),
    [anon_sym_AT] = ACTIONS(2710),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [anon_sym_L_DQUOTE] = ACTIONS(2712),
    [anon_sym_u_DQUOTE] = ACTIONS(2712),
    [anon_sym_U_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8_DQUOTE] = ACTIONS(2712),
    [sym_true] = ACTIONS(2710),
    [sym_false] = ACTIONS(2710),
    [anon_sym_NULL] = ACTIONS(2710),
    [anon_sym_nullptr] = ACTIONS(2710),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2710),
    [anon_sym___typeof] = ACTIONS(2710),
    [anon_sym_typeof] = ACTIONS(2710),
    [anon_sym_ATimport] = ACTIONS(2712),
    [aux_sym_preproc_undef_token1] = ACTIONS(2710),
    [anon_sym_POUND] = ACTIONS(2710),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2710),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2710),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2710),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2710),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2710),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2710),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2710),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_API_AVAILABLE] = ACTIONS(2710),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_API_DEPRECATED] = ACTIONS(2710),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2710),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym___deprecated_msg] = ACTIONS(2710),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2710),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2710),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2710),
    [anon_sym_ATprotocol] = ACTIONS(2712),
    [anon_sym_ATinterface] = ACTIONS(2712),
    [anon_sym_ATimplementation] = ACTIONS(2712),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2712),
    [anon_sym_ATsynthesize] = ACTIONS(2712),
    [anon_sym_ATdynamic] = ACTIONS(2712),
    [anon_sym_ATtry] = ACTIONS(2712),
    [anon_sym___try] = ACTIONS(2710),
    [anon_sym_ATthrow] = ACTIONS(2712),
    [anon_sym_ATselector] = ACTIONS(2712),
    [anon_sym_ATavailable] = ACTIONS(2712),
    [anon_sym___builtin_available] = ACTIONS(2710),
    [anon_sym_va_arg] = ACTIONS(2710),
    [anon_sym_ATencode] = ACTIONS(2712),
    [anon_sym_ATsynchronized] = ACTIONS(2712),
    [anon_sym_BOOL] = ACTIONS(2710),
    [anon_sym_IMP] = ACTIONS(2710),
    [anon_sym_SEL] = ACTIONS(2710),
    [anon_sym_Class] = ACTIONS(2710),
    [anon_sym_id] = ACTIONS(2710),
  },
  [653] = {
    [sym_identifier] = ACTIONS(2710),
    [aux_sym_preproc_include_token1] = ACTIONS(2710),
    [aux_sym_preproc_include_token2] = ACTIONS(2710),
    [aux_sym_preproc_def_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token2] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2710),
    [sym_preproc_directive] = ACTIONS(2710),
    [anon_sym_LPAREN2] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2710),
    [anon_sym_PLUS] = ACTIONS(2710),
    [anon_sym_STAR] = ACTIONS(2712),
    [anon_sym_CARET] = ACTIONS(2712),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_SEMI] = ACTIONS(2712),
    [anon_sym___extension__] = ACTIONS(2710),
    [anon_sym_typedef] = ACTIONS(2710),
    [anon_sym_extern] = ACTIONS(2710),
    [anon_sym___attribute__] = ACTIONS(2710),
    [anon_sym___attribute] = ACTIONS(2710),
    [anon_sym_noreturn] = ACTIONS(2710),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym___declspec] = ACTIONS(2710),
    [anon_sym___cdecl] = ACTIONS(2710),
    [anon_sym___clrcall] = ACTIONS(2710),
    [anon_sym___stdcall] = ACTIONS(2710),
    [anon_sym___fastcall] = ACTIONS(2710),
    [anon_sym___thiscall] = ACTIONS(2710),
    [anon_sym___vectorcall] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_signed] = ACTIONS(2710),
    [anon_sym_unsigned] = ACTIONS(2710),
    [anon_sym_long] = ACTIONS(2710),
    [anon_sym_short] = ACTIONS(2710),
    [anon_sym_static] = ACTIONS(2710),
    [anon_sym_ATautoreleasepool] = ACTIONS(2712),
    [anon_sym_auto] = ACTIONS(2710),
    [anon_sym_register] = ACTIONS(2710),
    [anon_sym_inline] = ACTIONS(2710),
    [anon_sym___inline] = ACTIONS(2710),
    [anon_sym___inline__] = ACTIONS(2710),
    [anon_sym___forceinline] = ACTIONS(2710),
    [anon_sym_thread_local] = ACTIONS(2710),
    [anon_sym___thread] = ACTIONS(2710),
    [anon_sym_CG_EXTERN] = ACTIONS(2710),
    [anon_sym_CG_INLINE] = ACTIONS(2710),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2710),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2710),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2710),
    [anon_sym_IBOutlet] = ACTIONS(2710),
    [anon_sym_IBInspectable] = ACTIONS(2710),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2710),
    [anon_sym_NS_INLINE] = ACTIONS(2710),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2710),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2710),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2710),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2710),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_constexpr] = ACTIONS(2710),
    [anon_sym_volatile] = ACTIONS(2710),
    [anon_sym_restrict] = ACTIONS(2710),
    [anon_sym___restrict__] = ACTIONS(2710),
    [anon_sym__Atomic] = ACTIONS(2710),
    [anon_sym__Noreturn] = ACTIONS(2710),
    [anon_sym__Nonnull] = ACTIONS(2710),
    [anon_sym_nullable] = ACTIONS(2710),
    [anon_sym__Complex] = ACTIONS(2710),
    [anon_sym__Nullable] = ACTIONS(2710),
    [anon_sym__Nullable_result] = ACTIONS(2710),
    [anon_sym__Null_unspecified] = ACTIONS(2710),
    [anon_sym___autoreleasing] = ACTIONS(2710),
    [anon_sym___block] = ACTIONS(2710),
    [anon_sym___bridge] = ACTIONS(2710),
    [anon_sym___bridge_retained] = ACTIONS(2710),
    [anon_sym___bridge_transfer] = ACTIONS(2710),
    [anon_sym___complex] = ACTIONS(2710),
    [anon_sym___const] = ACTIONS(2710),
    [anon_sym___imag] = ACTIONS(2710),
    [anon_sym___kindof] = ACTIONS(2710),
    [anon_sym___nonnull] = ACTIONS(2710),
    [anon_sym___nullable] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2710),
    [anon_sym___real] = ACTIONS(2710),
    [anon_sym___strong] = ACTIONS(2710),
    [anon_sym___unsafe_unretained] = ACTIONS(2710),
    [anon_sym___unused] = ACTIONS(2710),
    [anon_sym___weak] = ACTIONS(2710),
    [anon_sym_alignas] = ACTIONS(2710),
    [anon_sym__Alignas] = ACTIONS(2710),
    [sym_primitive_type] = ACTIONS(2710),
    [anon_sym_enum] = ACTIONS(2710),
    [anon_sym_struct] = ACTIONS(2710),
    [anon_sym_union] = ACTIONS(2710),
    [anon_sym_if] = ACTIONS(2710),
    [anon_sym_switch] = ACTIONS(2710),
    [anon_sym_case] = ACTIONS(2710),
    [anon_sym_default] = ACTIONS(2710),
    [anon_sym_while] = ACTIONS(2710),
    [anon_sym_do] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2710),
    [anon_sym_in] = ACTIONS(2710),
    [anon_sym_return] = ACTIONS(2710),
    [anon_sym_break] = ACTIONS(2710),
    [anon_sym_continue] = ACTIONS(2710),
    [anon_sym_goto] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_sizeof] = ACTIONS(2710),
    [anon_sym___alignof__] = ACTIONS(2710),
    [anon_sym___alignof] = ACTIONS(2710),
    [anon_sym__alignof] = ACTIONS(2710),
    [anon_sym_alignof] = ACTIONS(2710),
    [anon_sym__Alignof] = ACTIONS(2710),
    [anon_sym_offsetof] = ACTIONS(2710),
    [anon_sym__Generic] = ACTIONS(2710),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [anon_sym___asm] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2712),
    [anon_sym_u_SQUOTE] = ACTIONS(2712),
    [anon_sym_U_SQUOTE] = ACTIONS(2712),
    [anon_sym_u8_SQUOTE] = ACTIONS(2712),
    [anon_sym_SQUOTE] = ACTIONS(2712),
    [anon_sym_AT] = ACTIONS(2710),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [anon_sym_L_DQUOTE] = ACTIONS(2712),
    [anon_sym_u_DQUOTE] = ACTIONS(2712),
    [anon_sym_U_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8_DQUOTE] = ACTIONS(2712),
    [sym_true] = ACTIONS(2710),
    [sym_false] = ACTIONS(2710),
    [anon_sym_NULL] = ACTIONS(2710),
    [anon_sym_nullptr] = ACTIONS(2710),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2710),
    [anon_sym___typeof] = ACTIONS(2710),
    [anon_sym_typeof] = ACTIONS(2710),
    [anon_sym_ATimport] = ACTIONS(2712),
    [aux_sym_preproc_undef_token1] = ACTIONS(2710),
    [anon_sym_POUND] = ACTIONS(2710),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2710),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2710),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2710),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2710),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2710),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2710),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2710),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_API_AVAILABLE] = ACTIONS(2710),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_API_DEPRECATED] = ACTIONS(2710),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2710),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym___deprecated_msg] = ACTIONS(2710),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2710),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2710),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2710),
    [anon_sym_ATprotocol] = ACTIONS(2712),
    [anon_sym_ATinterface] = ACTIONS(2712),
    [anon_sym_ATimplementation] = ACTIONS(2712),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2712),
    [anon_sym_ATsynthesize] = ACTIONS(2712),
    [anon_sym_ATdynamic] = ACTIONS(2712),
    [anon_sym_ATtry] = ACTIONS(2712),
    [anon_sym___try] = ACTIONS(2710),
    [anon_sym_ATthrow] = ACTIONS(2712),
    [anon_sym_ATselector] = ACTIONS(2712),
    [anon_sym_ATavailable] = ACTIONS(2712),
    [anon_sym___builtin_available] = ACTIONS(2710),
    [anon_sym_va_arg] = ACTIONS(2710),
    [anon_sym_ATencode] = ACTIONS(2712),
    [anon_sym_ATsynchronized] = ACTIONS(2712),
    [anon_sym_BOOL] = ACTIONS(2710),
    [anon_sym_IMP] = ACTIONS(2710),
    [anon_sym_SEL] = ACTIONS(2710),
    [anon_sym_Class] = ACTIONS(2710),
    [anon_sym_id] = ACTIONS(2710),
  },
  [654] = {
    [sym_identifier] = ACTIONS(2714),
    [aux_sym_preproc_include_token1] = ACTIONS(2714),
    [aux_sym_preproc_include_token2] = ACTIONS(2714),
    [aux_sym_preproc_def_token1] = ACTIONS(2714),
    [aux_sym_preproc_if_token1] = ACTIONS(2714),
    [aux_sym_preproc_if_token2] = ACTIONS(2714),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2714),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2714),
    [sym_preproc_directive] = ACTIONS(2714),
    [anon_sym_LPAREN2] = ACTIONS(2716),
    [anon_sym_BANG] = ACTIONS(2716),
    [anon_sym_TILDE] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2714),
    [anon_sym_PLUS] = ACTIONS(2714),
    [anon_sym_STAR] = ACTIONS(2716),
    [anon_sym_CARET] = ACTIONS(2716),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_SEMI] = ACTIONS(2716),
    [anon_sym___extension__] = ACTIONS(2714),
    [anon_sym_typedef] = ACTIONS(2714),
    [anon_sym_extern] = ACTIONS(2714),
    [anon_sym___attribute__] = ACTIONS(2714),
    [anon_sym___attribute] = ACTIONS(2714),
    [anon_sym_noreturn] = ACTIONS(2714),
    [anon_sym_LBRACK] = ACTIONS(2716),
    [anon_sym___declspec] = ACTIONS(2714),
    [anon_sym___cdecl] = ACTIONS(2714),
    [anon_sym___clrcall] = ACTIONS(2714),
    [anon_sym___stdcall] = ACTIONS(2714),
    [anon_sym___fastcall] = ACTIONS(2714),
    [anon_sym___thiscall] = ACTIONS(2714),
    [anon_sym___vectorcall] = ACTIONS(2714),
    [anon_sym_LBRACE] = ACTIONS(2716),
    [anon_sym_signed] = ACTIONS(2714),
    [anon_sym_unsigned] = ACTIONS(2714),
    [anon_sym_long] = ACTIONS(2714),
    [anon_sym_short] = ACTIONS(2714),
    [anon_sym_static] = ACTIONS(2714),
    [anon_sym_ATautoreleasepool] = ACTIONS(2716),
    [anon_sym_auto] = ACTIONS(2714),
    [anon_sym_register] = ACTIONS(2714),
    [anon_sym_inline] = ACTIONS(2714),
    [anon_sym___inline] = ACTIONS(2714),
    [anon_sym___inline__] = ACTIONS(2714),
    [anon_sym___forceinline] = ACTIONS(2714),
    [anon_sym_thread_local] = ACTIONS(2714),
    [anon_sym___thread] = ACTIONS(2714),
    [anon_sym_CG_EXTERN] = ACTIONS(2714),
    [anon_sym_CG_INLINE] = ACTIONS(2714),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2714),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2714),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2714),
    [anon_sym_IBOutlet] = ACTIONS(2714),
    [anon_sym_IBInspectable] = ACTIONS(2714),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2714),
    [anon_sym_NS_INLINE] = ACTIONS(2714),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2714),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2714),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2714),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2714),
    [anon_sym_const] = ACTIONS(2714),
    [anon_sym_constexpr] = ACTIONS(2714),
    [anon_sym_volatile] = ACTIONS(2714),
    [anon_sym_restrict] = ACTIONS(2714),
    [anon_sym___restrict__] = ACTIONS(2714),
    [anon_sym__Atomic] = ACTIONS(2714),
    [anon_sym__Noreturn] = ACTIONS(2714),
    [anon_sym__Nonnull] = ACTIONS(2714),
    [anon_sym_nullable] = ACTIONS(2714),
    [anon_sym__Complex] = ACTIONS(2714),
    [anon_sym__Nullable] = ACTIONS(2714),
    [anon_sym__Nullable_result] = ACTIONS(2714),
    [anon_sym__Null_unspecified] = ACTIONS(2714),
    [anon_sym___autoreleasing] = ACTIONS(2714),
    [anon_sym___block] = ACTIONS(2714),
    [anon_sym___bridge] = ACTIONS(2714),
    [anon_sym___bridge_retained] = ACTIONS(2714),
    [anon_sym___bridge_transfer] = ACTIONS(2714),
    [anon_sym___complex] = ACTIONS(2714),
    [anon_sym___const] = ACTIONS(2714),
    [anon_sym___imag] = ACTIONS(2714),
    [anon_sym___kindof] = ACTIONS(2714),
    [anon_sym___nonnull] = ACTIONS(2714),
    [anon_sym___nullable] = ACTIONS(2714),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2714),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2714),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2714),
    [anon_sym___real] = ACTIONS(2714),
    [anon_sym___strong] = ACTIONS(2714),
    [anon_sym___unsafe_unretained] = ACTIONS(2714),
    [anon_sym___unused] = ACTIONS(2714),
    [anon_sym___weak] = ACTIONS(2714),
    [anon_sym_alignas] = ACTIONS(2714),
    [anon_sym__Alignas] = ACTIONS(2714),
    [sym_primitive_type] = ACTIONS(2714),
    [anon_sym_enum] = ACTIONS(2714),
    [anon_sym_struct] = ACTIONS(2714),
    [anon_sym_union] = ACTIONS(2714),
    [anon_sym_if] = ACTIONS(2714),
    [anon_sym_switch] = ACTIONS(2714),
    [anon_sym_case] = ACTIONS(2714),
    [anon_sym_default] = ACTIONS(2714),
    [anon_sym_while] = ACTIONS(2714),
    [anon_sym_do] = ACTIONS(2714),
    [anon_sym_for] = ACTIONS(2714),
    [anon_sym_in] = ACTIONS(2714),
    [anon_sym_return] = ACTIONS(2714),
    [anon_sym_break] = ACTIONS(2714),
    [anon_sym_continue] = ACTIONS(2714),
    [anon_sym_goto] = ACTIONS(2714),
    [anon_sym_DASH_DASH] = ACTIONS(2716),
    [anon_sym_PLUS_PLUS] = ACTIONS(2716),
    [anon_sym_sizeof] = ACTIONS(2714),
    [anon_sym___alignof__] = ACTIONS(2714),
    [anon_sym___alignof] = ACTIONS(2714),
    [anon_sym__alignof] = ACTIONS(2714),
    [anon_sym_alignof] = ACTIONS(2714),
    [anon_sym__Alignof] = ACTIONS(2714),
    [anon_sym_offsetof] = ACTIONS(2714),
    [anon_sym__Generic] = ACTIONS(2714),
    [anon_sym_asm] = ACTIONS(2714),
    [anon_sym___asm__] = ACTIONS(2714),
    [anon_sym___asm] = ACTIONS(2714),
    [sym_number_literal] = ACTIONS(2716),
    [anon_sym_L_SQUOTE] = ACTIONS(2716),
    [anon_sym_u_SQUOTE] = ACTIONS(2716),
    [anon_sym_U_SQUOTE] = ACTIONS(2716),
    [anon_sym_u8_SQUOTE] = ACTIONS(2716),
    [anon_sym_SQUOTE] = ACTIONS(2716),
    [anon_sym_AT] = ACTIONS(2714),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2714),
    [sym_false] = ACTIONS(2714),
    [anon_sym_NULL] = ACTIONS(2714),
    [anon_sym_nullptr] = ACTIONS(2714),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2714),
    [anon_sym___typeof] = ACTIONS(2714),
    [anon_sym_typeof] = ACTIONS(2714),
    [anon_sym_ATimport] = ACTIONS(2716),
    [aux_sym_preproc_undef_token1] = ACTIONS(2714),
    [anon_sym_POUND] = ACTIONS(2714),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2714),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2714),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2714),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2714),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2714),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2714),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2714),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2714),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2714),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2714),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2714),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2714),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2714),
    [anon_sym_API_AVAILABLE] = ACTIONS(2714),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2714),
    [anon_sym_API_DEPRECATED] = ACTIONS(2714),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2714),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2714),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2714),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2714),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2714),
    [anon_sym___deprecated_msg] = ACTIONS(2714),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2714),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2714),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2714),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2714),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2714),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2714),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2714),
    [anon_sym_ATprotocol] = ACTIONS(2716),
    [anon_sym_ATinterface] = ACTIONS(2716),
    [anon_sym_ATimplementation] = ACTIONS(2716),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2716),
    [anon_sym_ATsynthesize] = ACTIONS(2716),
    [anon_sym_ATdynamic] = ACTIONS(2716),
    [anon_sym_ATtry] = ACTIONS(2716),
    [anon_sym___try] = ACTIONS(2714),
    [anon_sym_ATthrow] = ACTIONS(2716),
    [anon_sym_ATselector] = ACTIONS(2716),
    [anon_sym_ATavailable] = ACTIONS(2716),
    [anon_sym___builtin_available] = ACTIONS(2714),
    [anon_sym_va_arg] = ACTIONS(2714),
    [anon_sym_ATencode] = ACTIONS(2716),
    [anon_sym_ATsynchronized] = ACTIONS(2716),
    [anon_sym_BOOL] = ACTIONS(2714),
    [anon_sym_IMP] = ACTIONS(2714),
    [anon_sym_SEL] = ACTIONS(2714),
    [anon_sym_Class] = ACTIONS(2714),
    [anon_sym_id] = ACTIONS(2714),
  },
  [655] = {
    [sym_identifier] = ACTIONS(2872),
    [aux_sym_preproc_include_token1] = ACTIONS(2872),
    [aux_sym_preproc_include_token2] = ACTIONS(2872),
    [aux_sym_preproc_def_token1] = ACTIONS(2872),
    [aux_sym_preproc_if_token1] = ACTIONS(2872),
    [aux_sym_preproc_if_token2] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2872),
    [sym_preproc_directive] = ACTIONS(2872),
    [anon_sym_LPAREN2] = ACTIONS(2874),
    [anon_sym_BANG] = ACTIONS(2874),
    [anon_sym_TILDE] = ACTIONS(2874),
    [anon_sym_DASH] = ACTIONS(2872),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_STAR] = ACTIONS(2874),
    [anon_sym_CARET] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(2874),
    [anon_sym_SEMI] = ACTIONS(2874),
    [anon_sym___extension__] = ACTIONS(2872),
    [anon_sym_typedef] = ACTIONS(2872),
    [anon_sym_extern] = ACTIONS(2872),
    [anon_sym___attribute__] = ACTIONS(2872),
    [anon_sym___attribute] = ACTIONS(2872),
    [anon_sym_noreturn] = ACTIONS(2872),
    [anon_sym_LBRACK] = ACTIONS(2874),
    [anon_sym___declspec] = ACTIONS(2872),
    [anon_sym___cdecl] = ACTIONS(2872),
    [anon_sym___clrcall] = ACTIONS(2872),
    [anon_sym___stdcall] = ACTIONS(2872),
    [anon_sym___fastcall] = ACTIONS(2872),
    [anon_sym___thiscall] = ACTIONS(2872),
    [anon_sym___vectorcall] = ACTIONS(2872),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_signed] = ACTIONS(2872),
    [anon_sym_unsigned] = ACTIONS(2872),
    [anon_sym_long] = ACTIONS(2872),
    [anon_sym_short] = ACTIONS(2872),
    [anon_sym_static] = ACTIONS(2872),
    [anon_sym_ATautoreleasepool] = ACTIONS(2874),
    [anon_sym_auto] = ACTIONS(2872),
    [anon_sym_register] = ACTIONS(2872),
    [anon_sym_inline] = ACTIONS(2872),
    [anon_sym___inline] = ACTIONS(2872),
    [anon_sym___inline__] = ACTIONS(2872),
    [anon_sym___forceinline] = ACTIONS(2872),
    [anon_sym_thread_local] = ACTIONS(2872),
    [anon_sym___thread] = ACTIONS(2872),
    [anon_sym_CG_EXTERN] = ACTIONS(2872),
    [anon_sym_CG_INLINE] = ACTIONS(2872),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2872),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2872),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2872),
    [anon_sym_IBOutlet] = ACTIONS(2872),
    [anon_sym_IBInspectable] = ACTIONS(2872),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2872),
    [anon_sym_NS_INLINE] = ACTIONS(2872),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2872),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2872),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2872),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2872),
    [anon_sym_const] = ACTIONS(2872),
    [anon_sym_constexpr] = ACTIONS(2872),
    [anon_sym_volatile] = ACTIONS(2872),
    [anon_sym_restrict] = ACTIONS(2872),
    [anon_sym___restrict__] = ACTIONS(2872),
    [anon_sym__Atomic] = ACTIONS(2872),
    [anon_sym__Noreturn] = ACTIONS(2872),
    [anon_sym__Nonnull] = ACTIONS(2872),
    [anon_sym_nullable] = ACTIONS(2872),
    [anon_sym__Complex] = ACTIONS(2872),
    [anon_sym__Nullable] = ACTIONS(2872),
    [anon_sym__Nullable_result] = ACTIONS(2872),
    [anon_sym__Null_unspecified] = ACTIONS(2872),
    [anon_sym___autoreleasing] = ACTIONS(2872),
    [anon_sym___block] = ACTIONS(2872),
    [anon_sym___bridge] = ACTIONS(2872),
    [anon_sym___bridge_retained] = ACTIONS(2872),
    [anon_sym___bridge_transfer] = ACTIONS(2872),
    [anon_sym___complex] = ACTIONS(2872),
    [anon_sym___const] = ACTIONS(2872),
    [anon_sym___imag] = ACTIONS(2872),
    [anon_sym___kindof] = ACTIONS(2872),
    [anon_sym___nonnull] = ACTIONS(2872),
    [anon_sym___nullable] = ACTIONS(2872),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2872),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2872),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2872),
    [anon_sym___real] = ACTIONS(2872),
    [anon_sym___strong] = ACTIONS(2872),
    [anon_sym___unsafe_unretained] = ACTIONS(2872),
    [anon_sym___unused] = ACTIONS(2872),
    [anon_sym___weak] = ACTIONS(2872),
    [anon_sym_alignas] = ACTIONS(2872),
    [anon_sym__Alignas] = ACTIONS(2872),
    [sym_primitive_type] = ACTIONS(2872),
    [anon_sym_enum] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2872),
    [anon_sym_union] = ACTIONS(2872),
    [anon_sym_if] = ACTIONS(2872),
    [anon_sym_switch] = ACTIONS(2872),
    [anon_sym_case] = ACTIONS(2872),
    [anon_sym_default] = ACTIONS(2872),
    [anon_sym_while] = ACTIONS(2872),
    [anon_sym_do] = ACTIONS(2872),
    [anon_sym_for] = ACTIONS(2872),
    [anon_sym_in] = ACTIONS(2872),
    [anon_sym_return] = ACTIONS(2872),
    [anon_sym_break] = ACTIONS(2872),
    [anon_sym_continue] = ACTIONS(2872),
    [anon_sym_goto] = ACTIONS(2872),
    [anon_sym_DASH_DASH] = ACTIONS(2874),
    [anon_sym_PLUS_PLUS] = ACTIONS(2874),
    [anon_sym_sizeof] = ACTIONS(2872),
    [anon_sym___alignof__] = ACTIONS(2872),
    [anon_sym___alignof] = ACTIONS(2872),
    [anon_sym__alignof] = ACTIONS(2872),
    [anon_sym_alignof] = ACTIONS(2872),
    [anon_sym__Alignof] = ACTIONS(2872),
    [anon_sym_offsetof] = ACTIONS(2872),
    [anon_sym__Generic] = ACTIONS(2872),
    [anon_sym_asm] = ACTIONS(2872),
    [anon_sym___asm__] = ACTIONS(2872),
    [anon_sym___asm] = ACTIONS(2872),
    [sym_number_literal] = ACTIONS(2874),
    [anon_sym_L_SQUOTE] = ACTIONS(2874),
    [anon_sym_u_SQUOTE] = ACTIONS(2874),
    [anon_sym_U_SQUOTE] = ACTIONS(2874),
    [anon_sym_u8_SQUOTE] = ACTIONS(2874),
    [anon_sym_SQUOTE] = ACTIONS(2874),
    [anon_sym_AT] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2874),
    [anon_sym_L_DQUOTE] = ACTIONS(2874),
    [anon_sym_u_DQUOTE] = ACTIONS(2874),
    [anon_sym_U_DQUOTE] = ACTIONS(2874),
    [anon_sym_u8_DQUOTE] = ACTIONS(2874),
    [sym_true] = ACTIONS(2872),
    [sym_false] = ACTIONS(2872),
    [anon_sym_NULL] = ACTIONS(2872),
    [anon_sym_nullptr] = ACTIONS(2872),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2872),
    [anon_sym___typeof] = ACTIONS(2872),
    [anon_sym_typeof] = ACTIONS(2872),
    [anon_sym_ATimport] = ACTIONS(2874),
    [aux_sym_preproc_undef_token1] = ACTIONS(2872),
    [anon_sym_POUND] = ACTIONS(2872),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2872),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2872),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2872),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2872),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2872),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2872),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2872),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2872),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2872),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2872),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2872),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2872),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2872),
    [anon_sym_API_AVAILABLE] = ACTIONS(2872),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2872),
    [anon_sym_API_DEPRECATED] = ACTIONS(2872),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2872),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2872),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2872),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2872),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2872),
    [anon_sym___deprecated_msg] = ACTIONS(2872),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2872),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2872),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2872),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2872),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2872),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2872),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2872),
    [anon_sym_ATprotocol] = ACTIONS(2874),
    [anon_sym_ATinterface] = ACTIONS(2874),
    [anon_sym_ATimplementation] = ACTIONS(2874),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2874),
    [anon_sym_ATsynthesize] = ACTIONS(2874),
    [anon_sym_ATdynamic] = ACTIONS(2874),
    [anon_sym_ATtry] = ACTIONS(2874),
    [anon_sym___try] = ACTIONS(2872),
    [anon_sym_ATthrow] = ACTIONS(2874),
    [anon_sym_ATselector] = ACTIONS(2874),
    [anon_sym_ATavailable] = ACTIONS(2874),
    [anon_sym___builtin_available] = ACTIONS(2872),
    [anon_sym_va_arg] = ACTIONS(2872),
    [anon_sym_ATencode] = ACTIONS(2874),
    [anon_sym_ATsynchronized] = ACTIONS(2874),
    [anon_sym_BOOL] = ACTIONS(2872),
    [anon_sym_IMP] = ACTIONS(2872),
    [anon_sym_SEL] = ACTIONS(2872),
    [anon_sym_Class] = ACTIONS(2872),
    [anon_sym_id] = ACTIONS(2872),
  },
  [656] = {
    [sym_identifier] = ACTIONS(2722),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_include_token2] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2722),
    [aux_sym_preproc_if_token1] = ACTIONS(2722),
    [aux_sym_preproc_if_token2] = ACTIONS(2722),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2722),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2722),
    [sym_preproc_directive] = ACTIONS(2722),
    [anon_sym_LPAREN2] = ACTIONS(2724),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2722),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_CARET] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_SEMI] = ACTIONS(2724),
    [anon_sym___extension__] = ACTIONS(2722),
    [anon_sym_typedef] = ACTIONS(2722),
    [anon_sym_extern] = ACTIONS(2722),
    [anon_sym___attribute__] = ACTIONS(2722),
    [anon_sym___attribute] = ACTIONS(2722),
    [anon_sym_noreturn] = ACTIONS(2722),
    [anon_sym_LBRACK] = ACTIONS(2724),
    [anon_sym___declspec] = ACTIONS(2722),
    [anon_sym___cdecl] = ACTIONS(2722),
    [anon_sym___clrcall] = ACTIONS(2722),
    [anon_sym___stdcall] = ACTIONS(2722),
    [anon_sym___fastcall] = ACTIONS(2722),
    [anon_sym___thiscall] = ACTIONS(2722),
    [anon_sym___vectorcall] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [anon_sym_signed] = ACTIONS(2722),
    [anon_sym_unsigned] = ACTIONS(2722),
    [anon_sym_long] = ACTIONS(2722),
    [anon_sym_short] = ACTIONS(2722),
    [anon_sym_static] = ACTIONS(2722),
    [anon_sym_ATautoreleasepool] = ACTIONS(2724),
    [anon_sym_auto] = ACTIONS(2722),
    [anon_sym_register] = ACTIONS(2722),
    [anon_sym_inline] = ACTIONS(2722),
    [anon_sym___inline] = ACTIONS(2722),
    [anon_sym___inline__] = ACTIONS(2722),
    [anon_sym___forceinline] = ACTIONS(2722),
    [anon_sym_thread_local] = ACTIONS(2722),
    [anon_sym___thread] = ACTIONS(2722),
    [anon_sym_CG_EXTERN] = ACTIONS(2722),
    [anon_sym_CG_INLINE] = ACTIONS(2722),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2722),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2722),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2722),
    [anon_sym_IBOutlet] = ACTIONS(2722),
    [anon_sym_IBInspectable] = ACTIONS(2722),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2722),
    [anon_sym_NS_INLINE] = ACTIONS(2722),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2722),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2722),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2722),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2722),
    [anon_sym_const] = ACTIONS(2722),
    [anon_sym_constexpr] = ACTIONS(2722),
    [anon_sym_volatile] = ACTIONS(2722),
    [anon_sym_restrict] = ACTIONS(2722),
    [anon_sym___restrict__] = ACTIONS(2722),
    [anon_sym__Atomic] = ACTIONS(2722),
    [anon_sym__Noreturn] = ACTIONS(2722),
    [anon_sym__Nonnull] = ACTIONS(2722),
    [anon_sym_nullable] = ACTIONS(2722),
    [anon_sym__Complex] = ACTIONS(2722),
    [anon_sym__Nullable] = ACTIONS(2722),
    [anon_sym__Nullable_result] = ACTIONS(2722),
    [anon_sym__Null_unspecified] = ACTIONS(2722),
    [anon_sym___autoreleasing] = ACTIONS(2722),
    [anon_sym___block] = ACTIONS(2722),
    [anon_sym___bridge] = ACTIONS(2722),
    [anon_sym___bridge_retained] = ACTIONS(2722),
    [anon_sym___bridge_transfer] = ACTIONS(2722),
    [anon_sym___complex] = ACTIONS(2722),
    [anon_sym___const] = ACTIONS(2722),
    [anon_sym___imag] = ACTIONS(2722),
    [anon_sym___kindof] = ACTIONS(2722),
    [anon_sym___nonnull] = ACTIONS(2722),
    [anon_sym___nullable] = ACTIONS(2722),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2722),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2722),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2722),
    [anon_sym___real] = ACTIONS(2722),
    [anon_sym___strong] = ACTIONS(2722),
    [anon_sym___unsafe_unretained] = ACTIONS(2722),
    [anon_sym___unused] = ACTIONS(2722),
    [anon_sym___weak] = ACTIONS(2722),
    [anon_sym_alignas] = ACTIONS(2722),
    [anon_sym__Alignas] = ACTIONS(2722),
    [sym_primitive_type] = ACTIONS(2722),
    [anon_sym_enum] = ACTIONS(2722),
    [anon_sym_struct] = ACTIONS(2722),
    [anon_sym_union] = ACTIONS(2722),
    [anon_sym_if] = ACTIONS(2722),
    [anon_sym_switch] = ACTIONS(2722),
    [anon_sym_case] = ACTIONS(2722),
    [anon_sym_default] = ACTIONS(2722),
    [anon_sym_while] = ACTIONS(2722),
    [anon_sym_do] = ACTIONS(2722),
    [anon_sym_for] = ACTIONS(2722),
    [anon_sym_in] = ACTIONS(2722),
    [anon_sym_return] = ACTIONS(2722),
    [anon_sym_break] = ACTIONS(2722),
    [anon_sym_continue] = ACTIONS(2722),
    [anon_sym_goto] = ACTIONS(2722),
    [anon_sym_DASH_DASH] = ACTIONS(2724),
    [anon_sym_PLUS_PLUS] = ACTIONS(2724),
    [anon_sym_sizeof] = ACTIONS(2722),
    [anon_sym___alignof__] = ACTIONS(2722),
    [anon_sym___alignof] = ACTIONS(2722),
    [anon_sym__alignof] = ACTIONS(2722),
    [anon_sym_alignof] = ACTIONS(2722),
    [anon_sym__Alignof] = ACTIONS(2722),
    [anon_sym_offsetof] = ACTIONS(2722),
    [anon_sym__Generic] = ACTIONS(2722),
    [anon_sym_asm] = ACTIONS(2722),
    [anon_sym___asm__] = ACTIONS(2722),
    [anon_sym___asm] = ACTIONS(2722),
    [sym_number_literal] = ACTIONS(2724),
    [anon_sym_L_SQUOTE] = ACTIONS(2724),
    [anon_sym_u_SQUOTE] = ACTIONS(2724),
    [anon_sym_U_SQUOTE] = ACTIONS(2724),
    [anon_sym_u8_SQUOTE] = ACTIONS(2724),
    [anon_sym_SQUOTE] = ACTIONS(2724),
    [anon_sym_AT] = ACTIONS(2722),
    [anon_sym_DQUOTE] = ACTIONS(2724),
    [anon_sym_L_DQUOTE] = ACTIONS(2724),
    [anon_sym_u_DQUOTE] = ACTIONS(2724),
    [anon_sym_U_DQUOTE] = ACTIONS(2724),
    [anon_sym_u8_DQUOTE] = ACTIONS(2724),
    [sym_true] = ACTIONS(2722),
    [sym_false] = ACTIONS(2722),
    [anon_sym_NULL] = ACTIONS(2722),
    [anon_sym_nullptr] = ACTIONS(2722),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2722),
    [anon_sym___typeof] = ACTIONS(2722),
    [anon_sym_typeof] = ACTIONS(2722),
    [anon_sym_ATimport] = ACTIONS(2724),
    [aux_sym_preproc_undef_token1] = ACTIONS(2722),
    [anon_sym_POUND] = ACTIONS(2722),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2722),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2722),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2722),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2722),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2722),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2722),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2722),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2722),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2722),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2722),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2722),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2722),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2722),
    [anon_sym_API_AVAILABLE] = ACTIONS(2722),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2722),
    [anon_sym_API_DEPRECATED] = ACTIONS(2722),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2722),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2722),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2722),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2722),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2722),
    [anon_sym___deprecated_msg] = ACTIONS(2722),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2722),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2722),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2722),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2722),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2722),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2722),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2722),
    [anon_sym_ATprotocol] = ACTIONS(2724),
    [anon_sym_ATinterface] = ACTIONS(2724),
    [anon_sym_ATimplementation] = ACTIONS(2724),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2724),
    [anon_sym_ATsynthesize] = ACTIONS(2724),
    [anon_sym_ATdynamic] = ACTIONS(2724),
    [anon_sym_ATtry] = ACTIONS(2724),
    [anon_sym___try] = ACTIONS(2722),
    [anon_sym_ATthrow] = ACTIONS(2724),
    [anon_sym_ATselector] = ACTIONS(2724),
    [anon_sym_ATavailable] = ACTIONS(2724),
    [anon_sym___builtin_available] = ACTIONS(2722),
    [anon_sym_va_arg] = ACTIONS(2722),
    [anon_sym_ATencode] = ACTIONS(2724),
    [anon_sym_ATsynchronized] = ACTIONS(2724),
    [anon_sym_BOOL] = ACTIONS(2722),
    [anon_sym_IMP] = ACTIONS(2722),
    [anon_sym_SEL] = ACTIONS(2722),
    [anon_sym_Class] = ACTIONS(2722),
    [anon_sym_id] = ACTIONS(2722),
  },
  [657] = {
    [sym_identifier] = ACTIONS(2730),
    [aux_sym_preproc_include_token1] = ACTIONS(2730),
    [aux_sym_preproc_include_token2] = ACTIONS(2730),
    [aux_sym_preproc_def_token1] = ACTIONS(2730),
    [aux_sym_preproc_if_token1] = ACTIONS(2730),
    [aux_sym_preproc_if_token2] = ACTIONS(2730),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2730),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2730),
    [sym_preproc_directive] = ACTIONS(2730),
    [anon_sym_LPAREN2] = ACTIONS(2732),
    [anon_sym_BANG] = ACTIONS(2732),
    [anon_sym_TILDE] = ACTIONS(2732),
    [anon_sym_DASH] = ACTIONS(2730),
    [anon_sym_PLUS] = ACTIONS(2730),
    [anon_sym_STAR] = ACTIONS(2732),
    [anon_sym_CARET] = ACTIONS(2732),
    [anon_sym_AMP] = ACTIONS(2732),
    [anon_sym_SEMI] = ACTIONS(2732),
    [anon_sym___extension__] = ACTIONS(2730),
    [anon_sym_typedef] = ACTIONS(2730),
    [anon_sym_extern] = ACTIONS(2730),
    [anon_sym___attribute__] = ACTIONS(2730),
    [anon_sym___attribute] = ACTIONS(2730),
    [anon_sym_noreturn] = ACTIONS(2730),
    [anon_sym_LBRACK] = ACTIONS(2732),
    [anon_sym___declspec] = ACTIONS(2730),
    [anon_sym___cdecl] = ACTIONS(2730),
    [anon_sym___clrcall] = ACTIONS(2730),
    [anon_sym___stdcall] = ACTIONS(2730),
    [anon_sym___fastcall] = ACTIONS(2730),
    [anon_sym___thiscall] = ACTIONS(2730),
    [anon_sym___vectorcall] = ACTIONS(2730),
    [anon_sym_LBRACE] = ACTIONS(2732),
    [anon_sym_signed] = ACTIONS(2730),
    [anon_sym_unsigned] = ACTIONS(2730),
    [anon_sym_long] = ACTIONS(2730),
    [anon_sym_short] = ACTIONS(2730),
    [anon_sym_static] = ACTIONS(2730),
    [anon_sym_ATautoreleasepool] = ACTIONS(2732),
    [anon_sym_auto] = ACTIONS(2730),
    [anon_sym_register] = ACTIONS(2730),
    [anon_sym_inline] = ACTIONS(2730),
    [anon_sym___inline] = ACTIONS(2730),
    [anon_sym___inline__] = ACTIONS(2730),
    [anon_sym___forceinline] = ACTIONS(2730),
    [anon_sym_thread_local] = ACTIONS(2730),
    [anon_sym___thread] = ACTIONS(2730),
    [anon_sym_CG_EXTERN] = ACTIONS(2730),
    [anon_sym_CG_INLINE] = ACTIONS(2730),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2730),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2730),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2730),
    [anon_sym_IBOutlet] = ACTIONS(2730),
    [anon_sym_IBInspectable] = ACTIONS(2730),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2730),
    [anon_sym_NS_INLINE] = ACTIONS(2730),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2730),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2730),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2730),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2730),
    [anon_sym_const] = ACTIONS(2730),
    [anon_sym_constexpr] = ACTIONS(2730),
    [anon_sym_volatile] = ACTIONS(2730),
    [anon_sym_restrict] = ACTIONS(2730),
    [anon_sym___restrict__] = ACTIONS(2730),
    [anon_sym__Atomic] = ACTIONS(2730),
    [anon_sym__Noreturn] = ACTIONS(2730),
    [anon_sym__Nonnull] = ACTIONS(2730),
    [anon_sym_nullable] = ACTIONS(2730),
    [anon_sym__Complex] = ACTIONS(2730),
    [anon_sym__Nullable] = ACTIONS(2730),
    [anon_sym__Nullable_result] = ACTIONS(2730),
    [anon_sym__Null_unspecified] = ACTIONS(2730),
    [anon_sym___autoreleasing] = ACTIONS(2730),
    [anon_sym___block] = ACTIONS(2730),
    [anon_sym___bridge] = ACTIONS(2730),
    [anon_sym___bridge_retained] = ACTIONS(2730),
    [anon_sym___bridge_transfer] = ACTIONS(2730),
    [anon_sym___complex] = ACTIONS(2730),
    [anon_sym___const] = ACTIONS(2730),
    [anon_sym___imag] = ACTIONS(2730),
    [anon_sym___kindof] = ACTIONS(2730),
    [anon_sym___nonnull] = ACTIONS(2730),
    [anon_sym___nullable] = ACTIONS(2730),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2730),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2730),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2730),
    [anon_sym___real] = ACTIONS(2730),
    [anon_sym___strong] = ACTIONS(2730),
    [anon_sym___unsafe_unretained] = ACTIONS(2730),
    [anon_sym___unused] = ACTIONS(2730),
    [anon_sym___weak] = ACTIONS(2730),
    [anon_sym_alignas] = ACTIONS(2730),
    [anon_sym__Alignas] = ACTIONS(2730),
    [sym_primitive_type] = ACTIONS(2730),
    [anon_sym_enum] = ACTIONS(2730),
    [anon_sym_struct] = ACTIONS(2730),
    [anon_sym_union] = ACTIONS(2730),
    [anon_sym_if] = ACTIONS(2730),
    [anon_sym_switch] = ACTIONS(2730),
    [anon_sym_case] = ACTIONS(2730),
    [anon_sym_default] = ACTIONS(2730),
    [anon_sym_while] = ACTIONS(2730),
    [anon_sym_do] = ACTIONS(2730),
    [anon_sym_for] = ACTIONS(2730),
    [anon_sym_in] = ACTIONS(2730),
    [anon_sym_return] = ACTIONS(2730),
    [anon_sym_break] = ACTIONS(2730),
    [anon_sym_continue] = ACTIONS(2730),
    [anon_sym_goto] = ACTIONS(2730),
    [anon_sym_DASH_DASH] = ACTIONS(2732),
    [anon_sym_PLUS_PLUS] = ACTIONS(2732),
    [anon_sym_sizeof] = ACTIONS(2730),
    [anon_sym___alignof__] = ACTIONS(2730),
    [anon_sym___alignof] = ACTIONS(2730),
    [anon_sym__alignof] = ACTIONS(2730),
    [anon_sym_alignof] = ACTIONS(2730),
    [anon_sym__Alignof] = ACTIONS(2730),
    [anon_sym_offsetof] = ACTIONS(2730),
    [anon_sym__Generic] = ACTIONS(2730),
    [anon_sym_asm] = ACTIONS(2730),
    [anon_sym___asm__] = ACTIONS(2730),
    [anon_sym___asm] = ACTIONS(2730),
    [sym_number_literal] = ACTIONS(2732),
    [anon_sym_L_SQUOTE] = ACTIONS(2732),
    [anon_sym_u_SQUOTE] = ACTIONS(2732),
    [anon_sym_U_SQUOTE] = ACTIONS(2732),
    [anon_sym_u8_SQUOTE] = ACTIONS(2732),
    [anon_sym_SQUOTE] = ACTIONS(2732),
    [anon_sym_AT] = ACTIONS(2730),
    [anon_sym_DQUOTE] = ACTIONS(2732),
    [anon_sym_L_DQUOTE] = ACTIONS(2732),
    [anon_sym_u_DQUOTE] = ACTIONS(2732),
    [anon_sym_U_DQUOTE] = ACTIONS(2732),
    [anon_sym_u8_DQUOTE] = ACTIONS(2732),
    [sym_true] = ACTIONS(2730),
    [sym_false] = ACTIONS(2730),
    [anon_sym_NULL] = ACTIONS(2730),
    [anon_sym_nullptr] = ACTIONS(2730),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2730),
    [anon_sym___typeof] = ACTIONS(2730),
    [anon_sym_typeof] = ACTIONS(2730),
    [anon_sym_ATimport] = ACTIONS(2732),
    [aux_sym_preproc_undef_token1] = ACTIONS(2730),
    [anon_sym_POUND] = ACTIONS(2730),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2730),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2730),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2730),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2730),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2730),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2730),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2730),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2730),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2730),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2730),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2730),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2730),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2730),
    [anon_sym_API_AVAILABLE] = ACTIONS(2730),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2730),
    [anon_sym_API_DEPRECATED] = ACTIONS(2730),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2730),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2730),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2730),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2730),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2730),
    [anon_sym___deprecated_msg] = ACTIONS(2730),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2730),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2730),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2730),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2730),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2730),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2730),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2730),
    [anon_sym_ATprotocol] = ACTIONS(2732),
    [anon_sym_ATinterface] = ACTIONS(2732),
    [anon_sym_ATimplementation] = ACTIONS(2732),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2732),
    [anon_sym_ATsynthesize] = ACTIONS(2732),
    [anon_sym_ATdynamic] = ACTIONS(2732),
    [anon_sym_ATtry] = ACTIONS(2732),
    [anon_sym___try] = ACTIONS(2730),
    [anon_sym_ATthrow] = ACTIONS(2732),
    [anon_sym_ATselector] = ACTIONS(2732),
    [anon_sym_ATavailable] = ACTIONS(2732),
    [anon_sym___builtin_available] = ACTIONS(2730),
    [anon_sym_va_arg] = ACTIONS(2730),
    [anon_sym_ATencode] = ACTIONS(2732),
    [anon_sym_ATsynchronized] = ACTIONS(2732),
    [anon_sym_BOOL] = ACTIONS(2730),
    [anon_sym_IMP] = ACTIONS(2730),
    [anon_sym_SEL] = ACTIONS(2730),
    [anon_sym_Class] = ACTIONS(2730),
    [anon_sym_id] = ACTIONS(2730),
  },
  [658] = {
    [sym_identifier] = ACTIONS(2738),
    [aux_sym_preproc_include_token1] = ACTIONS(2738),
    [aux_sym_preproc_include_token2] = ACTIONS(2738),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token2] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2738),
    [sym_preproc_directive] = ACTIONS(2738),
    [anon_sym_LPAREN2] = ACTIONS(2740),
    [anon_sym_BANG] = ACTIONS(2740),
    [anon_sym_TILDE] = ACTIONS(2740),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_STAR] = ACTIONS(2740),
    [anon_sym_CARET] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym_SEMI] = ACTIONS(2740),
    [anon_sym___extension__] = ACTIONS(2738),
    [anon_sym_typedef] = ACTIONS(2738),
    [anon_sym_extern] = ACTIONS(2738),
    [anon_sym___attribute__] = ACTIONS(2738),
    [anon_sym___attribute] = ACTIONS(2738),
    [anon_sym_noreturn] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym___declspec] = ACTIONS(2738),
    [anon_sym___cdecl] = ACTIONS(2738),
    [anon_sym___clrcall] = ACTIONS(2738),
    [anon_sym___stdcall] = ACTIONS(2738),
    [anon_sym___fastcall] = ACTIONS(2738),
    [anon_sym___thiscall] = ACTIONS(2738),
    [anon_sym___vectorcall] = ACTIONS(2738),
    [anon_sym_LBRACE] = ACTIONS(2740),
    [anon_sym_signed] = ACTIONS(2738),
    [anon_sym_unsigned] = ACTIONS(2738),
    [anon_sym_long] = ACTIONS(2738),
    [anon_sym_short] = ACTIONS(2738),
    [anon_sym_static] = ACTIONS(2738),
    [anon_sym_ATautoreleasepool] = ACTIONS(2740),
    [anon_sym_auto] = ACTIONS(2738),
    [anon_sym_register] = ACTIONS(2738),
    [anon_sym_inline] = ACTIONS(2738),
    [anon_sym___inline] = ACTIONS(2738),
    [anon_sym___inline__] = ACTIONS(2738),
    [anon_sym___forceinline] = ACTIONS(2738),
    [anon_sym_thread_local] = ACTIONS(2738),
    [anon_sym___thread] = ACTIONS(2738),
    [anon_sym_CG_EXTERN] = ACTIONS(2738),
    [anon_sym_CG_INLINE] = ACTIONS(2738),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2738),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2738),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2738),
    [anon_sym_IBOutlet] = ACTIONS(2738),
    [anon_sym_IBInspectable] = ACTIONS(2738),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2738),
    [anon_sym_NS_INLINE] = ACTIONS(2738),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2738),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2738),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2738),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2738),
    [anon_sym_constexpr] = ACTIONS(2738),
    [anon_sym_volatile] = ACTIONS(2738),
    [anon_sym_restrict] = ACTIONS(2738),
    [anon_sym___restrict__] = ACTIONS(2738),
    [anon_sym__Atomic] = ACTIONS(2738),
    [anon_sym__Noreturn] = ACTIONS(2738),
    [anon_sym__Nonnull] = ACTIONS(2738),
    [anon_sym_nullable] = ACTIONS(2738),
    [anon_sym__Complex] = ACTIONS(2738),
    [anon_sym__Nullable] = ACTIONS(2738),
    [anon_sym__Nullable_result] = ACTIONS(2738),
    [anon_sym__Null_unspecified] = ACTIONS(2738),
    [anon_sym___autoreleasing] = ACTIONS(2738),
    [anon_sym___block] = ACTIONS(2738),
    [anon_sym___bridge] = ACTIONS(2738),
    [anon_sym___bridge_retained] = ACTIONS(2738),
    [anon_sym___bridge_transfer] = ACTIONS(2738),
    [anon_sym___complex] = ACTIONS(2738),
    [anon_sym___const] = ACTIONS(2738),
    [anon_sym___imag] = ACTIONS(2738),
    [anon_sym___kindof] = ACTIONS(2738),
    [anon_sym___nonnull] = ACTIONS(2738),
    [anon_sym___nullable] = ACTIONS(2738),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2738),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2738),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2738),
    [anon_sym___real] = ACTIONS(2738),
    [anon_sym___strong] = ACTIONS(2738),
    [anon_sym___unsafe_unretained] = ACTIONS(2738),
    [anon_sym___unused] = ACTIONS(2738),
    [anon_sym___weak] = ACTIONS(2738),
    [anon_sym_alignas] = ACTIONS(2738),
    [anon_sym__Alignas] = ACTIONS(2738),
    [sym_primitive_type] = ACTIONS(2738),
    [anon_sym_enum] = ACTIONS(2738),
    [anon_sym_struct] = ACTIONS(2738),
    [anon_sym_union] = ACTIONS(2738),
    [anon_sym_if] = ACTIONS(2738),
    [anon_sym_switch] = ACTIONS(2738),
    [anon_sym_case] = ACTIONS(2738),
    [anon_sym_default] = ACTIONS(2738),
    [anon_sym_while] = ACTIONS(2738),
    [anon_sym_do] = ACTIONS(2738),
    [anon_sym_for] = ACTIONS(2738),
    [anon_sym_in] = ACTIONS(2738),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_break] = ACTIONS(2738),
    [anon_sym_continue] = ACTIONS(2738),
    [anon_sym_goto] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2740),
    [anon_sym_PLUS_PLUS] = ACTIONS(2740),
    [anon_sym_sizeof] = ACTIONS(2738),
    [anon_sym___alignof__] = ACTIONS(2738),
    [anon_sym___alignof] = ACTIONS(2738),
    [anon_sym__alignof] = ACTIONS(2738),
    [anon_sym_alignof] = ACTIONS(2738),
    [anon_sym__Alignof] = ACTIONS(2738),
    [anon_sym_offsetof] = ACTIONS(2738),
    [anon_sym__Generic] = ACTIONS(2738),
    [anon_sym_asm] = ACTIONS(2738),
    [anon_sym___asm__] = ACTIONS(2738),
    [anon_sym___asm] = ACTIONS(2738),
    [sym_number_literal] = ACTIONS(2740),
    [anon_sym_L_SQUOTE] = ACTIONS(2740),
    [anon_sym_u_SQUOTE] = ACTIONS(2740),
    [anon_sym_U_SQUOTE] = ACTIONS(2740),
    [anon_sym_u8_SQUOTE] = ACTIONS(2740),
    [anon_sym_SQUOTE] = ACTIONS(2740),
    [anon_sym_AT] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2740),
    [anon_sym_L_DQUOTE] = ACTIONS(2740),
    [anon_sym_u_DQUOTE] = ACTIONS(2740),
    [anon_sym_U_DQUOTE] = ACTIONS(2740),
    [anon_sym_u8_DQUOTE] = ACTIONS(2740),
    [sym_true] = ACTIONS(2738),
    [sym_false] = ACTIONS(2738),
    [anon_sym_NULL] = ACTIONS(2738),
    [anon_sym_nullptr] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2738),
    [anon_sym___typeof] = ACTIONS(2738),
    [anon_sym_typeof] = ACTIONS(2738),
    [anon_sym_ATimport] = ACTIONS(2740),
    [aux_sym_preproc_undef_token1] = ACTIONS(2738),
    [anon_sym_POUND] = ACTIONS(2738),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2738),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2738),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2738),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2738),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2738),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2738),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2738),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2738),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2738),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2738),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2738),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2738),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2738),
    [anon_sym_API_AVAILABLE] = ACTIONS(2738),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2738),
    [anon_sym_API_DEPRECATED] = ACTIONS(2738),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2738),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2738),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2738),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2738),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2738),
    [anon_sym___deprecated_msg] = ACTIONS(2738),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2738),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2738),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2738),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2738),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2738),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2738),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2738),
    [anon_sym_ATprotocol] = ACTIONS(2740),
    [anon_sym_ATinterface] = ACTIONS(2740),
    [anon_sym_ATimplementation] = ACTIONS(2740),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2740),
    [anon_sym_ATsynthesize] = ACTIONS(2740),
    [anon_sym_ATdynamic] = ACTIONS(2740),
    [anon_sym_ATtry] = ACTIONS(2740),
    [anon_sym___try] = ACTIONS(2738),
    [anon_sym_ATthrow] = ACTIONS(2740),
    [anon_sym_ATselector] = ACTIONS(2740),
    [anon_sym_ATavailable] = ACTIONS(2740),
    [anon_sym___builtin_available] = ACTIONS(2738),
    [anon_sym_va_arg] = ACTIONS(2738),
    [anon_sym_ATencode] = ACTIONS(2740),
    [anon_sym_ATsynchronized] = ACTIONS(2740),
    [anon_sym_BOOL] = ACTIONS(2738),
    [anon_sym_IMP] = ACTIONS(2738),
    [anon_sym_SEL] = ACTIONS(2738),
    [anon_sym_Class] = ACTIONS(2738),
    [anon_sym_id] = ACTIONS(2738),
  },
  [659] = {
    [sym_identifier] = ACTIONS(2742),
    [aux_sym_preproc_include_token1] = ACTIONS(2742),
    [aux_sym_preproc_include_token2] = ACTIONS(2742),
    [aux_sym_preproc_def_token1] = ACTIONS(2742),
    [aux_sym_preproc_if_token1] = ACTIONS(2742),
    [aux_sym_preproc_if_token2] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2742),
    [anon_sym_LPAREN2] = ACTIONS(2744),
    [anon_sym_BANG] = ACTIONS(2744),
    [anon_sym_TILDE] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_CARET] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2744),
    [anon_sym___extension__] = ACTIONS(2742),
    [anon_sym_typedef] = ACTIONS(2742),
    [anon_sym_extern] = ACTIONS(2742),
    [anon_sym___attribute__] = ACTIONS(2742),
    [anon_sym___attribute] = ACTIONS(2742),
    [anon_sym_noreturn] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym___declspec] = ACTIONS(2742),
    [anon_sym___cdecl] = ACTIONS(2742),
    [anon_sym___clrcall] = ACTIONS(2742),
    [anon_sym___stdcall] = ACTIONS(2742),
    [anon_sym___fastcall] = ACTIONS(2742),
    [anon_sym___thiscall] = ACTIONS(2742),
    [anon_sym___vectorcall] = ACTIONS(2742),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [anon_sym_signed] = ACTIONS(2742),
    [anon_sym_unsigned] = ACTIONS(2742),
    [anon_sym_long] = ACTIONS(2742),
    [anon_sym_short] = ACTIONS(2742),
    [anon_sym_static] = ACTIONS(2742),
    [anon_sym_ATautoreleasepool] = ACTIONS(2744),
    [anon_sym_auto] = ACTIONS(2742),
    [anon_sym_register] = ACTIONS(2742),
    [anon_sym_inline] = ACTIONS(2742),
    [anon_sym___inline] = ACTIONS(2742),
    [anon_sym___inline__] = ACTIONS(2742),
    [anon_sym___forceinline] = ACTIONS(2742),
    [anon_sym_thread_local] = ACTIONS(2742),
    [anon_sym___thread] = ACTIONS(2742),
    [anon_sym_CG_EXTERN] = ACTIONS(2742),
    [anon_sym_CG_INLINE] = ACTIONS(2742),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2742),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2742),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2742),
    [anon_sym_IBOutlet] = ACTIONS(2742),
    [anon_sym_IBInspectable] = ACTIONS(2742),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2742),
    [anon_sym_NS_INLINE] = ACTIONS(2742),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2742),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2742),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2742),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2742),
    [anon_sym_const] = ACTIONS(2742),
    [anon_sym_constexpr] = ACTIONS(2742),
    [anon_sym_volatile] = ACTIONS(2742),
    [anon_sym_restrict] = ACTIONS(2742),
    [anon_sym___restrict__] = ACTIONS(2742),
    [anon_sym__Atomic] = ACTIONS(2742),
    [anon_sym__Noreturn] = ACTIONS(2742),
    [anon_sym__Nonnull] = ACTIONS(2742),
    [anon_sym_nullable] = ACTIONS(2742),
    [anon_sym__Complex] = ACTIONS(2742),
    [anon_sym__Nullable] = ACTIONS(2742),
    [anon_sym__Nullable_result] = ACTIONS(2742),
    [anon_sym__Null_unspecified] = ACTIONS(2742),
    [anon_sym___autoreleasing] = ACTIONS(2742),
    [anon_sym___block] = ACTIONS(2742),
    [anon_sym___bridge] = ACTIONS(2742),
    [anon_sym___bridge_retained] = ACTIONS(2742),
    [anon_sym___bridge_transfer] = ACTIONS(2742),
    [anon_sym___complex] = ACTIONS(2742),
    [anon_sym___const] = ACTIONS(2742),
    [anon_sym___imag] = ACTIONS(2742),
    [anon_sym___kindof] = ACTIONS(2742),
    [anon_sym___nonnull] = ACTIONS(2742),
    [anon_sym___nullable] = ACTIONS(2742),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2742),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2742),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2742),
    [anon_sym___real] = ACTIONS(2742),
    [anon_sym___strong] = ACTIONS(2742),
    [anon_sym___unsafe_unretained] = ACTIONS(2742),
    [anon_sym___unused] = ACTIONS(2742),
    [anon_sym___weak] = ACTIONS(2742),
    [anon_sym_alignas] = ACTIONS(2742),
    [anon_sym__Alignas] = ACTIONS(2742),
    [sym_primitive_type] = ACTIONS(2742),
    [anon_sym_enum] = ACTIONS(2742),
    [anon_sym_struct] = ACTIONS(2742),
    [anon_sym_union] = ACTIONS(2742),
    [anon_sym_if] = ACTIONS(2742),
    [anon_sym_switch] = ACTIONS(2742),
    [anon_sym_case] = ACTIONS(2742),
    [anon_sym_default] = ACTIONS(2742),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_do] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2742),
    [anon_sym_in] = ACTIONS(2742),
    [anon_sym_return] = ACTIONS(2742),
    [anon_sym_break] = ACTIONS(2742),
    [anon_sym_continue] = ACTIONS(2742),
    [anon_sym_goto] = ACTIONS(2742),
    [anon_sym_DASH_DASH] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2744),
    [anon_sym_sizeof] = ACTIONS(2742),
    [anon_sym___alignof__] = ACTIONS(2742),
    [anon_sym___alignof] = ACTIONS(2742),
    [anon_sym__alignof] = ACTIONS(2742),
    [anon_sym_alignof] = ACTIONS(2742),
    [anon_sym__Alignof] = ACTIONS(2742),
    [anon_sym_offsetof] = ACTIONS(2742),
    [anon_sym__Generic] = ACTIONS(2742),
    [anon_sym_asm] = ACTIONS(2742),
    [anon_sym___asm__] = ACTIONS(2742),
    [anon_sym___asm] = ACTIONS(2742),
    [sym_number_literal] = ACTIONS(2744),
    [anon_sym_L_SQUOTE] = ACTIONS(2744),
    [anon_sym_u_SQUOTE] = ACTIONS(2744),
    [anon_sym_U_SQUOTE] = ACTIONS(2744),
    [anon_sym_u8_SQUOTE] = ACTIONS(2744),
    [anon_sym_SQUOTE] = ACTIONS(2744),
    [anon_sym_AT] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2744),
    [anon_sym_L_DQUOTE] = ACTIONS(2744),
    [anon_sym_u_DQUOTE] = ACTIONS(2744),
    [anon_sym_U_DQUOTE] = ACTIONS(2744),
    [anon_sym_u8_DQUOTE] = ACTIONS(2744),
    [sym_true] = ACTIONS(2742),
    [sym_false] = ACTIONS(2742),
    [anon_sym_NULL] = ACTIONS(2742),
    [anon_sym_nullptr] = ACTIONS(2742),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2742),
    [anon_sym___typeof] = ACTIONS(2742),
    [anon_sym_typeof] = ACTIONS(2742),
    [anon_sym_ATimport] = ACTIONS(2744),
    [aux_sym_preproc_undef_token1] = ACTIONS(2742),
    [anon_sym_POUND] = ACTIONS(2742),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2742),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2742),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2742),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2742),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2742),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2742),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2742),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2742),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2742),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2742),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2742),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2742),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2742),
    [anon_sym_API_AVAILABLE] = ACTIONS(2742),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2742),
    [anon_sym_API_DEPRECATED] = ACTIONS(2742),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2742),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2742),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2742),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2742),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2742),
    [anon_sym___deprecated_msg] = ACTIONS(2742),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2742),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2742),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2742),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2742),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2742),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2742),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2742),
    [anon_sym_ATprotocol] = ACTIONS(2744),
    [anon_sym_ATinterface] = ACTIONS(2744),
    [anon_sym_ATimplementation] = ACTIONS(2744),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2744),
    [anon_sym_ATsynthesize] = ACTIONS(2744),
    [anon_sym_ATdynamic] = ACTIONS(2744),
    [anon_sym_ATtry] = ACTIONS(2744),
    [anon_sym___try] = ACTIONS(2742),
    [anon_sym_ATthrow] = ACTIONS(2744),
    [anon_sym_ATselector] = ACTIONS(2744),
    [anon_sym_ATavailable] = ACTIONS(2744),
    [anon_sym___builtin_available] = ACTIONS(2742),
    [anon_sym_va_arg] = ACTIONS(2742),
    [anon_sym_ATencode] = ACTIONS(2744),
    [anon_sym_ATsynchronized] = ACTIONS(2744),
    [anon_sym_BOOL] = ACTIONS(2742),
    [anon_sym_IMP] = ACTIONS(2742),
    [anon_sym_SEL] = ACTIONS(2742),
    [anon_sym_Class] = ACTIONS(2742),
    [anon_sym_id] = ACTIONS(2742),
  },
  [660] = {
    [sym_identifier] = ACTIONS(2746),
    [aux_sym_preproc_include_token1] = ACTIONS(2746),
    [aux_sym_preproc_include_token2] = ACTIONS(2746),
    [aux_sym_preproc_def_token1] = ACTIONS(2746),
    [aux_sym_preproc_if_token1] = ACTIONS(2746),
    [aux_sym_preproc_if_token2] = ACTIONS(2746),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2746),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2746),
    [sym_preproc_directive] = ACTIONS(2746),
    [anon_sym_LPAREN2] = ACTIONS(2748),
    [anon_sym_BANG] = ACTIONS(2748),
    [anon_sym_TILDE] = ACTIONS(2748),
    [anon_sym_DASH] = ACTIONS(2746),
    [anon_sym_PLUS] = ACTIONS(2746),
    [anon_sym_STAR] = ACTIONS(2748),
    [anon_sym_CARET] = ACTIONS(2748),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_SEMI] = ACTIONS(2748),
    [anon_sym___extension__] = ACTIONS(2746),
    [anon_sym_typedef] = ACTIONS(2746),
    [anon_sym_extern] = ACTIONS(2746),
    [anon_sym___attribute__] = ACTIONS(2746),
    [anon_sym___attribute] = ACTIONS(2746),
    [anon_sym_noreturn] = ACTIONS(2746),
    [anon_sym_LBRACK] = ACTIONS(2748),
    [anon_sym___declspec] = ACTIONS(2746),
    [anon_sym___cdecl] = ACTIONS(2746),
    [anon_sym___clrcall] = ACTIONS(2746),
    [anon_sym___stdcall] = ACTIONS(2746),
    [anon_sym___fastcall] = ACTIONS(2746),
    [anon_sym___thiscall] = ACTIONS(2746),
    [anon_sym___vectorcall] = ACTIONS(2746),
    [anon_sym_LBRACE] = ACTIONS(2748),
    [anon_sym_signed] = ACTIONS(2746),
    [anon_sym_unsigned] = ACTIONS(2746),
    [anon_sym_long] = ACTIONS(2746),
    [anon_sym_short] = ACTIONS(2746),
    [anon_sym_static] = ACTIONS(2746),
    [anon_sym_ATautoreleasepool] = ACTIONS(2748),
    [anon_sym_auto] = ACTIONS(2746),
    [anon_sym_register] = ACTIONS(2746),
    [anon_sym_inline] = ACTIONS(2746),
    [anon_sym___inline] = ACTIONS(2746),
    [anon_sym___inline__] = ACTIONS(2746),
    [anon_sym___forceinline] = ACTIONS(2746),
    [anon_sym_thread_local] = ACTIONS(2746),
    [anon_sym___thread] = ACTIONS(2746),
    [anon_sym_CG_EXTERN] = ACTIONS(2746),
    [anon_sym_CG_INLINE] = ACTIONS(2746),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2746),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2746),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2746),
    [anon_sym_IBOutlet] = ACTIONS(2746),
    [anon_sym_IBInspectable] = ACTIONS(2746),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2746),
    [anon_sym_NS_INLINE] = ACTIONS(2746),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2746),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2746),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2746),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2746),
    [anon_sym_const] = ACTIONS(2746),
    [anon_sym_constexpr] = ACTIONS(2746),
    [anon_sym_volatile] = ACTIONS(2746),
    [anon_sym_restrict] = ACTIONS(2746),
    [anon_sym___restrict__] = ACTIONS(2746),
    [anon_sym__Atomic] = ACTIONS(2746),
    [anon_sym__Noreturn] = ACTIONS(2746),
    [anon_sym__Nonnull] = ACTIONS(2746),
    [anon_sym_nullable] = ACTIONS(2746),
    [anon_sym__Complex] = ACTIONS(2746),
    [anon_sym__Nullable] = ACTIONS(2746),
    [anon_sym__Nullable_result] = ACTIONS(2746),
    [anon_sym__Null_unspecified] = ACTIONS(2746),
    [anon_sym___autoreleasing] = ACTIONS(2746),
    [anon_sym___block] = ACTIONS(2746),
    [anon_sym___bridge] = ACTIONS(2746),
    [anon_sym___bridge_retained] = ACTIONS(2746),
    [anon_sym___bridge_transfer] = ACTIONS(2746),
    [anon_sym___complex] = ACTIONS(2746),
    [anon_sym___const] = ACTIONS(2746),
    [anon_sym___imag] = ACTIONS(2746),
    [anon_sym___kindof] = ACTIONS(2746),
    [anon_sym___nonnull] = ACTIONS(2746),
    [anon_sym___nullable] = ACTIONS(2746),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2746),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2746),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2746),
    [anon_sym___real] = ACTIONS(2746),
    [anon_sym___strong] = ACTIONS(2746),
    [anon_sym___unsafe_unretained] = ACTIONS(2746),
    [anon_sym___unused] = ACTIONS(2746),
    [anon_sym___weak] = ACTIONS(2746),
    [anon_sym_alignas] = ACTIONS(2746),
    [anon_sym__Alignas] = ACTIONS(2746),
    [sym_primitive_type] = ACTIONS(2746),
    [anon_sym_enum] = ACTIONS(2746),
    [anon_sym_struct] = ACTIONS(2746),
    [anon_sym_union] = ACTIONS(2746),
    [anon_sym_if] = ACTIONS(2746),
    [anon_sym_switch] = ACTIONS(2746),
    [anon_sym_case] = ACTIONS(2746),
    [anon_sym_default] = ACTIONS(2746),
    [anon_sym_while] = ACTIONS(2746),
    [anon_sym_do] = ACTIONS(2746),
    [anon_sym_for] = ACTIONS(2746),
    [anon_sym_in] = ACTIONS(2746),
    [anon_sym_return] = ACTIONS(2746),
    [anon_sym_break] = ACTIONS(2746),
    [anon_sym_continue] = ACTIONS(2746),
    [anon_sym_goto] = ACTIONS(2746),
    [anon_sym_DASH_DASH] = ACTIONS(2748),
    [anon_sym_PLUS_PLUS] = ACTIONS(2748),
    [anon_sym_sizeof] = ACTIONS(2746),
    [anon_sym___alignof__] = ACTIONS(2746),
    [anon_sym___alignof] = ACTIONS(2746),
    [anon_sym__alignof] = ACTIONS(2746),
    [anon_sym_alignof] = ACTIONS(2746),
    [anon_sym__Alignof] = ACTIONS(2746),
    [anon_sym_offsetof] = ACTIONS(2746),
    [anon_sym__Generic] = ACTIONS(2746),
    [anon_sym_asm] = ACTIONS(2746),
    [anon_sym___asm__] = ACTIONS(2746),
    [anon_sym___asm] = ACTIONS(2746),
    [sym_number_literal] = ACTIONS(2748),
    [anon_sym_L_SQUOTE] = ACTIONS(2748),
    [anon_sym_u_SQUOTE] = ACTIONS(2748),
    [anon_sym_U_SQUOTE] = ACTIONS(2748),
    [anon_sym_u8_SQUOTE] = ACTIONS(2748),
    [anon_sym_SQUOTE] = ACTIONS(2748),
    [anon_sym_AT] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2748),
    [anon_sym_L_DQUOTE] = ACTIONS(2748),
    [anon_sym_u_DQUOTE] = ACTIONS(2748),
    [anon_sym_U_DQUOTE] = ACTIONS(2748),
    [anon_sym_u8_DQUOTE] = ACTIONS(2748),
    [sym_true] = ACTIONS(2746),
    [sym_false] = ACTIONS(2746),
    [anon_sym_NULL] = ACTIONS(2746),
    [anon_sym_nullptr] = ACTIONS(2746),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2746),
    [anon_sym___typeof] = ACTIONS(2746),
    [anon_sym_typeof] = ACTIONS(2746),
    [anon_sym_ATimport] = ACTIONS(2748),
    [aux_sym_preproc_undef_token1] = ACTIONS(2746),
    [anon_sym_POUND] = ACTIONS(2746),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2746),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2746),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2746),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2746),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2746),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2746),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2746),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2746),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2746),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2746),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2746),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2746),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2746),
    [anon_sym_API_AVAILABLE] = ACTIONS(2746),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2746),
    [anon_sym_API_DEPRECATED] = ACTIONS(2746),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2746),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2746),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2746),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2746),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2746),
    [anon_sym___deprecated_msg] = ACTIONS(2746),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2746),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2746),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2746),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2746),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2746),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2746),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2746),
    [anon_sym_ATprotocol] = ACTIONS(2748),
    [anon_sym_ATinterface] = ACTIONS(2748),
    [anon_sym_ATimplementation] = ACTIONS(2748),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2748),
    [anon_sym_ATsynthesize] = ACTIONS(2748),
    [anon_sym_ATdynamic] = ACTIONS(2748),
    [anon_sym_ATtry] = ACTIONS(2748),
    [anon_sym___try] = ACTIONS(2746),
    [anon_sym_ATthrow] = ACTIONS(2748),
    [anon_sym_ATselector] = ACTIONS(2748),
    [anon_sym_ATavailable] = ACTIONS(2748),
    [anon_sym___builtin_available] = ACTIONS(2746),
    [anon_sym_va_arg] = ACTIONS(2746),
    [anon_sym_ATencode] = ACTIONS(2748),
    [anon_sym_ATsynchronized] = ACTIONS(2748),
    [anon_sym_BOOL] = ACTIONS(2746),
    [anon_sym_IMP] = ACTIONS(2746),
    [anon_sym_SEL] = ACTIONS(2746),
    [anon_sym_Class] = ACTIONS(2746),
    [anon_sym_id] = ACTIONS(2746),
  },
  [661] = {
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_include_token2] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token2] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_CARET] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym___attribute] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___cdecl] = ACTIONS(2750),
    [anon_sym___clrcall] = ACTIONS(2750),
    [anon_sym___stdcall] = ACTIONS(2750),
    [anon_sym___fastcall] = ACTIONS(2750),
    [anon_sym___thiscall] = ACTIONS(2750),
    [anon_sym___vectorcall] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_ATautoreleasepool] = ACTIONS(2752),
    [anon_sym_auto] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_CG_EXTERN] = ACTIONS(2750),
    [anon_sym_CG_INLINE] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2750),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2750),
    [anon_sym_IBOutlet] = ACTIONS(2750),
    [anon_sym_IBInspectable] = ACTIONS(2750),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2750),
    [anon_sym_NS_INLINE] = ACTIONS(2750),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2750),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2750),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym__Nonnull] = ACTIONS(2750),
    [anon_sym_nullable] = ACTIONS(2750),
    [anon_sym__Complex] = ACTIONS(2750),
    [anon_sym__Nullable] = ACTIONS(2750),
    [anon_sym__Nullable_result] = ACTIONS(2750),
    [anon_sym__Null_unspecified] = ACTIONS(2750),
    [anon_sym___autoreleasing] = ACTIONS(2750),
    [anon_sym___block] = ACTIONS(2750),
    [anon_sym___bridge] = ACTIONS(2750),
    [anon_sym___bridge_retained] = ACTIONS(2750),
    [anon_sym___bridge_transfer] = ACTIONS(2750),
    [anon_sym___complex] = ACTIONS(2750),
    [anon_sym___const] = ACTIONS(2750),
    [anon_sym___imag] = ACTIONS(2750),
    [anon_sym___kindof] = ACTIONS(2750),
    [anon_sym___nonnull] = ACTIONS(2750),
    [anon_sym___nullable] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2750),
    [anon_sym___real] = ACTIONS(2750),
    [anon_sym___strong] = ACTIONS(2750),
    [anon_sym___unsafe_unretained] = ACTIONS(2750),
    [anon_sym___unused] = ACTIONS(2750),
    [anon_sym___weak] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_in] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [anon_sym___asm] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_AT] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2750),
    [anon_sym___typeof] = ACTIONS(2750),
    [anon_sym_typeof] = ACTIONS(2750),
    [anon_sym_ATimport] = ACTIONS(2752),
    [aux_sym_preproc_undef_token1] = ACTIONS(2750),
    [anon_sym_POUND] = ACTIONS(2750),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2750),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2750),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2750),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_API_AVAILABLE] = ACTIONS(2750),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_API_DEPRECATED] = ACTIONS(2750),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym___deprecated_msg] = ACTIONS(2750),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2750),
    [anon_sym_ATprotocol] = ACTIONS(2752),
    [anon_sym_ATinterface] = ACTIONS(2752),
    [anon_sym_ATimplementation] = ACTIONS(2752),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2752),
    [anon_sym_ATsynthesize] = ACTIONS(2752),
    [anon_sym_ATdynamic] = ACTIONS(2752),
    [anon_sym_ATtry] = ACTIONS(2752),
    [anon_sym___try] = ACTIONS(2750),
    [anon_sym_ATthrow] = ACTIONS(2752),
    [anon_sym_ATselector] = ACTIONS(2752),
    [anon_sym_ATavailable] = ACTIONS(2752),
    [anon_sym___builtin_available] = ACTIONS(2750),
    [anon_sym_va_arg] = ACTIONS(2750),
    [anon_sym_ATencode] = ACTIONS(2752),
    [anon_sym_ATsynchronized] = ACTIONS(2752),
    [anon_sym_BOOL] = ACTIONS(2750),
    [anon_sym_IMP] = ACTIONS(2750),
    [anon_sym_SEL] = ACTIONS(2750),
    [anon_sym_Class] = ACTIONS(2750),
    [anon_sym_id] = ACTIONS(2750),
  },
  [662] = {
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_include_token2] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token2] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_CARET] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym___attribute] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___cdecl] = ACTIONS(2750),
    [anon_sym___clrcall] = ACTIONS(2750),
    [anon_sym___stdcall] = ACTIONS(2750),
    [anon_sym___fastcall] = ACTIONS(2750),
    [anon_sym___thiscall] = ACTIONS(2750),
    [anon_sym___vectorcall] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_ATautoreleasepool] = ACTIONS(2752),
    [anon_sym_auto] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_CG_EXTERN] = ACTIONS(2750),
    [anon_sym_CG_INLINE] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2750),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2750),
    [anon_sym_IBOutlet] = ACTIONS(2750),
    [anon_sym_IBInspectable] = ACTIONS(2750),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2750),
    [anon_sym_NS_INLINE] = ACTIONS(2750),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2750),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2750),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym__Nonnull] = ACTIONS(2750),
    [anon_sym_nullable] = ACTIONS(2750),
    [anon_sym__Complex] = ACTIONS(2750),
    [anon_sym__Nullable] = ACTIONS(2750),
    [anon_sym__Nullable_result] = ACTIONS(2750),
    [anon_sym__Null_unspecified] = ACTIONS(2750),
    [anon_sym___autoreleasing] = ACTIONS(2750),
    [anon_sym___block] = ACTIONS(2750),
    [anon_sym___bridge] = ACTIONS(2750),
    [anon_sym___bridge_retained] = ACTIONS(2750),
    [anon_sym___bridge_transfer] = ACTIONS(2750),
    [anon_sym___complex] = ACTIONS(2750),
    [anon_sym___const] = ACTIONS(2750),
    [anon_sym___imag] = ACTIONS(2750),
    [anon_sym___kindof] = ACTIONS(2750),
    [anon_sym___nonnull] = ACTIONS(2750),
    [anon_sym___nullable] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2750),
    [anon_sym___real] = ACTIONS(2750),
    [anon_sym___strong] = ACTIONS(2750),
    [anon_sym___unsafe_unretained] = ACTIONS(2750),
    [anon_sym___unused] = ACTIONS(2750),
    [anon_sym___weak] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_in] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [anon_sym___asm] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_AT] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2750),
    [anon_sym___typeof] = ACTIONS(2750),
    [anon_sym_typeof] = ACTIONS(2750),
    [anon_sym_ATimport] = ACTIONS(2752),
    [aux_sym_preproc_undef_token1] = ACTIONS(2750),
    [anon_sym_POUND] = ACTIONS(2750),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2750),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2750),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2750),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_API_AVAILABLE] = ACTIONS(2750),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_API_DEPRECATED] = ACTIONS(2750),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym___deprecated_msg] = ACTIONS(2750),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2750),
    [anon_sym_ATprotocol] = ACTIONS(2752),
    [anon_sym_ATinterface] = ACTIONS(2752),
    [anon_sym_ATimplementation] = ACTIONS(2752),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2752),
    [anon_sym_ATsynthesize] = ACTIONS(2752),
    [anon_sym_ATdynamic] = ACTIONS(2752),
    [anon_sym_ATtry] = ACTIONS(2752),
    [anon_sym___try] = ACTIONS(2750),
    [anon_sym_ATthrow] = ACTIONS(2752),
    [anon_sym_ATselector] = ACTIONS(2752),
    [anon_sym_ATavailable] = ACTIONS(2752),
    [anon_sym___builtin_available] = ACTIONS(2750),
    [anon_sym_va_arg] = ACTIONS(2750),
    [anon_sym_ATencode] = ACTIONS(2752),
    [anon_sym_ATsynchronized] = ACTIONS(2752),
    [anon_sym_BOOL] = ACTIONS(2750),
    [anon_sym_IMP] = ACTIONS(2750),
    [anon_sym_SEL] = ACTIONS(2750),
    [anon_sym_Class] = ACTIONS(2750),
    [anon_sym_id] = ACTIONS(2750),
  },
  [663] = {
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_include_token2] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token2] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_CARET] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym___attribute] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___cdecl] = ACTIONS(2750),
    [anon_sym___clrcall] = ACTIONS(2750),
    [anon_sym___stdcall] = ACTIONS(2750),
    [anon_sym___fastcall] = ACTIONS(2750),
    [anon_sym___thiscall] = ACTIONS(2750),
    [anon_sym___vectorcall] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_ATautoreleasepool] = ACTIONS(2752),
    [anon_sym_auto] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_CG_EXTERN] = ACTIONS(2750),
    [anon_sym_CG_INLINE] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2750),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2750),
    [anon_sym_IBOutlet] = ACTIONS(2750),
    [anon_sym_IBInspectable] = ACTIONS(2750),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2750),
    [anon_sym_NS_INLINE] = ACTIONS(2750),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2750),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2750),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym__Nonnull] = ACTIONS(2750),
    [anon_sym_nullable] = ACTIONS(2750),
    [anon_sym__Complex] = ACTIONS(2750),
    [anon_sym__Nullable] = ACTIONS(2750),
    [anon_sym__Nullable_result] = ACTIONS(2750),
    [anon_sym__Null_unspecified] = ACTIONS(2750),
    [anon_sym___autoreleasing] = ACTIONS(2750),
    [anon_sym___block] = ACTIONS(2750),
    [anon_sym___bridge] = ACTIONS(2750),
    [anon_sym___bridge_retained] = ACTIONS(2750),
    [anon_sym___bridge_transfer] = ACTIONS(2750),
    [anon_sym___complex] = ACTIONS(2750),
    [anon_sym___const] = ACTIONS(2750),
    [anon_sym___imag] = ACTIONS(2750),
    [anon_sym___kindof] = ACTIONS(2750),
    [anon_sym___nonnull] = ACTIONS(2750),
    [anon_sym___nullable] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2750),
    [anon_sym___real] = ACTIONS(2750),
    [anon_sym___strong] = ACTIONS(2750),
    [anon_sym___unsafe_unretained] = ACTIONS(2750),
    [anon_sym___unused] = ACTIONS(2750),
    [anon_sym___weak] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_in] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [anon_sym___asm] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_AT] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2750),
    [anon_sym___typeof] = ACTIONS(2750),
    [anon_sym_typeof] = ACTIONS(2750),
    [anon_sym_ATimport] = ACTIONS(2752),
    [aux_sym_preproc_undef_token1] = ACTIONS(2750),
    [anon_sym_POUND] = ACTIONS(2750),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2750),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2750),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2750),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_API_AVAILABLE] = ACTIONS(2750),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_API_DEPRECATED] = ACTIONS(2750),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym___deprecated_msg] = ACTIONS(2750),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2750),
    [anon_sym_ATprotocol] = ACTIONS(2752),
    [anon_sym_ATinterface] = ACTIONS(2752),
    [anon_sym_ATimplementation] = ACTIONS(2752),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2752),
    [anon_sym_ATsynthesize] = ACTIONS(2752),
    [anon_sym_ATdynamic] = ACTIONS(2752),
    [anon_sym_ATtry] = ACTIONS(2752),
    [anon_sym___try] = ACTIONS(2750),
    [anon_sym_ATthrow] = ACTIONS(2752),
    [anon_sym_ATselector] = ACTIONS(2752),
    [anon_sym_ATavailable] = ACTIONS(2752),
    [anon_sym___builtin_available] = ACTIONS(2750),
    [anon_sym_va_arg] = ACTIONS(2750),
    [anon_sym_ATencode] = ACTIONS(2752),
    [anon_sym_ATsynchronized] = ACTIONS(2752),
    [anon_sym_BOOL] = ACTIONS(2750),
    [anon_sym_IMP] = ACTIONS(2750),
    [anon_sym_SEL] = ACTIONS(2750),
    [anon_sym_Class] = ACTIONS(2750),
    [anon_sym_id] = ACTIONS(2750),
  },
  [664] = {
    [sym_identifier] = ACTIONS(2754),
    [aux_sym_preproc_include_token1] = ACTIONS(2754),
    [aux_sym_preproc_include_token2] = ACTIONS(2754),
    [aux_sym_preproc_def_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token2] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2754),
    [sym_preproc_directive] = ACTIONS(2754),
    [anon_sym_LPAREN2] = ACTIONS(2756),
    [anon_sym_BANG] = ACTIONS(2756),
    [anon_sym_TILDE] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2754),
    [anon_sym_PLUS] = ACTIONS(2754),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_CARET] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2756),
    [anon_sym_SEMI] = ACTIONS(2756),
    [anon_sym___extension__] = ACTIONS(2754),
    [anon_sym_typedef] = ACTIONS(2754),
    [anon_sym_extern] = ACTIONS(2754),
    [anon_sym___attribute__] = ACTIONS(2754),
    [anon_sym___attribute] = ACTIONS(2754),
    [anon_sym_noreturn] = ACTIONS(2754),
    [anon_sym_LBRACK] = ACTIONS(2756),
    [anon_sym___declspec] = ACTIONS(2754),
    [anon_sym___cdecl] = ACTIONS(2754),
    [anon_sym___clrcall] = ACTIONS(2754),
    [anon_sym___stdcall] = ACTIONS(2754),
    [anon_sym___fastcall] = ACTIONS(2754),
    [anon_sym___thiscall] = ACTIONS(2754),
    [anon_sym___vectorcall] = ACTIONS(2754),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_signed] = ACTIONS(2754),
    [anon_sym_unsigned] = ACTIONS(2754),
    [anon_sym_long] = ACTIONS(2754),
    [anon_sym_short] = ACTIONS(2754),
    [anon_sym_static] = ACTIONS(2754),
    [anon_sym_ATautoreleasepool] = ACTIONS(2756),
    [anon_sym_auto] = ACTIONS(2754),
    [anon_sym_register] = ACTIONS(2754),
    [anon_sym_inline] = ACTIONS(2754),
    [anon_sym___inline] = ACTIONS(2754),
    [anon_sym___inline__] = ACTIONS(2754),
    [anon_sym___forceinline] = ACTIONS(2754),
    [anon_sym_thread_local] = ACTIONS(2754),
    [anon_sym___thread] = ACTIONS(2754),
    [anon_sym_CG_EXTERN] = ACTIONS(2754),
    [anon_sym_CG_INLINE] = ACTIONS(2754),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2754),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2754),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2754),
    [anon_sym_IBOutlet] = ACTIONS(2754),
    [anon_sym_IBInspectable] = ACTIONS(2754),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2754),
    [anon_sym_NS_INLINE] = ACTIONS(2754),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2754),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2754),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2754),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2754),
    [anon_sym_const] = ACTIONS(2754),
    [anon_sym_constexpr] = ACTIONS(2754),
    [anon_sym_volatile] = ACTIONS(2754),
    [anon_sym_restrict] = ACTIONS(2754),
    [anon_sym___restrict__] = ACTIONS(2754),
    [anon_sym__Atomic] = ACTIONS(2754),
    [anon_sym__Noreturn] = ACTIONS(2754),
    [anon_sym__Nonnull] = ACTIONS(2754),
    [anon_sym_nullable] = ACTIONS(2754),
    [anon_sym__Complex] = ACTIONS(2754),
    [anon_sym__Nullable] = ACTIONS(2754),
    [anon_sym__Nullable_result] = ACTIONS(2754),
    [anon_sym__Null_unspecified] = ACTIONS(2754),
    [anon_sym___autoreleasing] = ACTIONS(2754),
    [anon_sym___block] = ACTIONS(2754),
    [anon_sym___bridge] = ACTIONS(2754),
    [anon_sym___bridge_retained] = ACTIONS(2754),
    [anon_sym___bridge_transfer] = ACTIONS(2754),
    [anon_sym___complex] = ACTIONS(2754),
    [anon_sym___const] = ACTIONS(2754),
    [anon_sym___imag] = ACTIONS(2754),
    [anon_sym___kindof] = ACTIONS(2754),
    [anon_sym___nonnull] = ACTIONS(2754),
    [anon_sym___nullable] = ACTIONS(2754),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2754),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2754),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2754),
    [anon_sym___real] = ACTIONS(2754),
    [anon_sym___strong] = ACTIONS(2754),
    [anon_sym___unsafe_unretained] = ACTIONS(2754),
    [anon_sym___unused] = ACTIONS(2754),
    [anon_sym___weak] = ACTIONS(2754),
    [anon_sym_alignas] = ACTIONS(2754),
    [anon_sym__Alignas] = ACTIONS(2754),
    [sym_primitive_type] = ACTIONS(2754),
    [anon_sym_enum] = ACTIONS(2754),
    [anon_sym_struct] = ACTIONS(2754),
    [anon_sym_union] = ACTIONS(2754),
    [anon_sym_if] = ACTIONS(2754),
    [anon_sym_switch] = ACTIONS(2754),
    [anon_sym_case] = ACTIONS(2754),
    [anon_sym_default] = ACTIONS(2754),
    [anon_sym_while] = ACTIONS(2754),
    [anon_sym_do] = ACTIONS(2754),
    [anon_sym_for] = ACTIONS(2754),
    [anon_sym_in] = ACTIONS(2754),
    [anon_sym_return] = ACTIONS(2754),
    [anon_sym_break] = ACTIONS(2754),
    [anon_sym_continue] = ACTIONS(2754),
    [anon_sym_goto] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2756),
    [anon_sym_sizeof] = ACTIONS(2754),
    [anon_sym___alignof__] = ACTIONS(2754),
    [anon_sym___alignof] = ACTIONS(2754),
    [anon_sym__alignof] = ACTIONS(2754),
    [anon_sym_alignof] = ACTIONS(2754),
    [anon_sym__Alignof] = ACTIONS(2754),
    [anon_sym_offsetof] = ACTIONS(2754),
    [anon_sym__Generic] = ACTIONS(2754),
    [anon_sym_asm] = ACTIONS(2754),
    [anon_sym___asm__] = ACTIONS(2754),
    [anon_sym___asm] = ACTIONS(2754),
    [sym_number_literal] = ACTIONS(2756),
    [anon_sym_L_SQUOTE] = ACTIONS(2756),
    [anon_sym_u_SQUOTE] = ACTIONS(2756),
    [anon_sym_U_SQUOTE] = ACTIONS(2756),
    [anon_sym_u8_SQUOTE] = ACTIONS(2756),
    [anon_sym_SQUOTE] = ACTIONS(2756),
    [anon_sym_AT] = ACTIONS(2754),
    [anon_sym_DQUOTE] = ACTIONS(2756),
    [anon_sym_L_DQUOTE] = ACTIONS(2756),
    [anon_sym_u_DQUOTE] = ACTIONS(2756),
    [anon_sym_U_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8_DQUOTE] = ACTIONS(2756),
    [sym_true] = ACTIONS(2754),
    [sym_false] = ACTIONS(2754),
    [anon_sym_NULL] = ACTIONS(2754),
    [anon_sym_nullptr] = ACTIONS(2754),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2754),
    [anon_sym___typeof] = ACTIONS(2754),
    [anon_sym_typeof] = ACTIONS(2754),
    [anon_sym_ATimport] = ACTIONS(2756),
    [aux_sym_preproc_undef_token1] = ACTIONS(2754),
    [anon_sym_POUND] = ACTIONS(2754),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2754),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2754),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2754),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2754),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2754),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2754),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2754),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2754),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2754),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2754),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2754),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2754),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2754),
    [anon_sym_API_AVAILABLE] = ACTIONS(2754),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2754),
    [anon_sym_API_DEPRECATED] = ACTIONS(2754),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2754),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2754),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2754),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2754),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2754),
    [anon_sym___deprecated_msg] = ACTIONS(2754),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2754),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2754),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2754),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2754),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2754),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2754),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2754),
    [anon_sym_ATprotocol] = ACTIONS(2756),
    [anon_sym_ATinterface] = ACTIONS(2756),
    [anon_sym_ATimplementation] = ACTIONS(2756),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2756),
    [anon_sym_ATsynthesize] = ACTIONS(2756),
    [anon_sym_ATdynamic] = ACTIONS(2756),
    [anon_sym_ATtry] = ACTIONS(2756),
    [anon_sym___try] = ACTIONS(2754),
    [anon_sym_ATthrow] = ACTIONS(2756),
    [anon_sym_ATselector] = ACTIONS(2756),
    [anon_sym_ATavailable] = ACTIONS(2756),
    [anon_sym___builtin_available] = ACTIONS(2754),
    [anon_sym_va_arg] = ACTIONS(2754),
    [anon_sym_ATencode] = ACTIONS(2756),
    [anon_sym_ATsynchronized] = ACTIONS(2756),
    [anon_sym_BOOL] = ACTIONS(2754),
    [anon_sym_IMP] = ACTIONS(2754),
    [anon_sym_SEL] = ACTIONS(2754),
    [anon_sym_Class] = ACTIONS(2754),
    [anon_sym_id] = ACTIONS(2754),
  },
  [665] = {
    [sym_identifier] = ACTIONS(2758),
    [aux_sym_preproc_include_token1] = ACTIONS(2758),
    [aux_sym_preproc_include_token2] = ACTIONS(2758),
    [aux_sym_preproc_def_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token2] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2758),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(2760),
    [anon_sym_BANG] = ACTIONS(2760),
    [anon_sym_TILDE] = ACTIONS(2760),
    [anon_sym_DASH] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2758),
    [anon_sym_STAR] = ACTIONS(2760),
    [anon_sym_CARET] = ACTIONS(2760),
    [anon_sym_AMP] = ACTIONS(2760),
    [anon_sym_SEMI] = ACTIONS(2760),
    [anon_sym___extension__] = ACTIONS(2758),
    [anon_sym_typedef] = ACTIONS(2758),
    [anon_sym_extern] = ACTIONS(2758),
    [anon_sym___attribute__] = ACTIONS(2758),
    [anon_sym___attribute] = ACTIONS(2758),
    [anon_sym_noreturn] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(2760),
    [anon_sym___declspec] = ACTIONS(2758),
    [anon_sym___cdecl] = ACTIONS(2758),
    [anon_sym___clrcall] = ACTIONS(2758),
    [anon_sym___stdcall] = ACTIONS(2758),
    [anon_sym___fastcall] = ACTIONS(2758),
    [anon_sym___thiscall] = ACTIONS(2758),
    [anon_sym___vectorcall] = ACTIONS(2758),
    [anon_sym_LBRACE] = ACTIONS(2760),
    [anon_sym_signed] = ACTIONS(2758),
    [anon_sym_unsigned] = ACTIONS(2758),
    [anon_sym_long] = ACTIONS(2758),
    [anon_sym_short] = ACTIONS(2758),
    [anon_sym_static] = ACTIONS(2758),
    [anon_sym_ATautoreleasepool] = ACTIONS(2760),
    [anon_sym_auto] = ACTIONS(2758),
    [anon_sym_register] = ACTIONS(2758),
    [anon_sym_inline] = ACTIONS(2758),
    [anon_sym___inline] = ACTIONS(2758),
    [anon_sym___inline__] = ACTIONS(2758),
    [anon_sym___forceinline] = ACTIONS(2758),
    [anon_sym_thread_local] = ACTIONS(2758),
    [anon_sym___thread] = ACTIONS(2758),
    [anon_sym_CG_EXTERN] = ACTIONS(2758),
    [anon_sym_CG_INLINE] = ACTIONS(2758),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2758),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2758),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2758),
    [anon_sym_IBOutlet] = ACTIONS(2758),
    [anon_sym_IBInspectable] = ACTIONS(2758),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2758),
    [anon_sym_NS_INLINE] = ACTIONS(2758),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2758),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2758),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2758),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2758),
    [anon_sym_const] = ACTIONS(2758),
    [anon_sym_constexpr] = ACTIONS(2758),
    [anon_sym_volatile] = ACTIONS(2758),
    [anon_sym_restrict] = ACTIONS(2758),
    [anon_sym___restrict__] = ACTIONS(2758),
    [anon_sym__Atomic] = ACTIONS(2758),
    [anon_sym__Noreturn] = ACTIONS(2758),
    [anon_sym__Nonnull] = ACTIONS(2758),
    [anon_sym_nullable] = ACTIONS(2758),
    [anon_sym__Complex] = ACTIONS(2758),
    [anon_sym__Nullable] = ACTIONS(2758),
    [anon_sym__Nullable_result] = ACTIONS(2758),
    [anon_sym__Null_unspecified] = ACTIONS(2758),
    [anon_sym___autoreleasing] = ACTIONS(2758),
    [anon_sym___block] = ACTIONS(2758),
    [anon_sym___bridge] = ACTIONS(2758),
    [anon_sym___bridge_retained] = ACTIONS(2758),
    [anon_sym___bridge_transfer] = ACTIONS(2758),
    [anon_sym___complex] = ACTIONS(2758),
    [anon_sym___const] = ACTIONS(2758),
    [anon_sym___imag] = ACTIONS(2758),
    [anon_sym___kindof] = ACTIONS(2758),
    [anon_sym___nonnull] = ACTIONS(2758),
    [anon_sym___nullable] = ACTIONS(2758),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2758),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2758),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2758),
    [anon_sym___real] = ACTIONS(2758),
    [anon_sym___strong] = ACTIONS(2758),
    [anon_sym___unsafe_unretained] = ACTIONS(2758),
    [anon_sym___unused] = ACTIONS(2758),
    [anon_sym___weak] = ACTIONS(2758),
    [anon_sym_alignas] = ACTIONS(2758),
    [anon_sym__Alignas] = ACTIONS(2758),
    [sym_primitive_type] = ACTIONS(2758),
    [anon_sym_enum] = ACTIONS(2758),
    [anon_sym_struct] = ACTIONS(2758),
    [anon_sym_union] = ACTIONS(2758),
    [anon_sym_if] = ACTIONS(2758),
    [anon_sym_switch] = ACTIONS(2758),
    [anon_sym_case] = ACTIONS(2758),
    [anon_sym_default] = ACTIONS(2758),
    [anon_sym_while] = ACTIONS(2758),
    [anon_sym_do] = ACTIONS(2758),
    [anon_sym_for] = ACTIONS(2758),
    [anon_sym_in] = ACTIONS(2758),
    [anon_sym_return] = ACTIONS(2758),
    [anon_sym_break] = ACTIONS(2758),
    [anon_sym_continue] = ACTIONS(2758),
    [anon_sym_goto] = ACTIONS(2758),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(2758),
    [anon_sym___alignof__] = ACTIONS(2758),
    [anon_sym___alignof] = ACTIONS(2758),
    [anon_sym__alignof] = ACTIONS(2758),
    [anon_sym_alignof] = ACTIONS(2758),
    [anon_sym__Alignof] = ACTIONS(2758),
    [anon_sym_offsetof] = ACTIONS(2758),
    [anon_sym__Generic] = ACTIONS(2758),
    [anon_sym_asm] = ACTIONS(2758),
    [anon_sym___asm__] = ACTIONS(2758),
    [anon_sym___asm] = ACTIONS(2758),
    [sym_number_literal] = ACTIONS(2760),
    [anon_sym_L_SQUOTE] = ACTIONS(2760),
    [anon_sym_u_SQUOTE] = ACTIONS(2760),
    [anon_sym_U_SQUOTE] = ACTIONS(2760),
    [anon_sym_u8_SQUOTE] = ACTIONS(2760),
    [anon_sym_SQUOTE] = ACTIONS(2760),
    [anon_sym_AT] = ACTIONS(2758),
    [anon_sym_DQUOTE] = ACTIONS(2760),
    [anon_sym_L_DQUOTE] = ACTIONS(2760),
    [anon_sym_u_DQUOTE] = ACTIONS(2760),
    [anon_sym_U_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8_DQUOTE] = ACTIONS(2760),
    [sym_true] = ACTIONS(2758),
    [sym_false] = ACTIONS(2758),
    [anon_sym_NULL] = ACTIONS(2758),
    [anon_sym_nullptr] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2758),
    [anon_sym___typeof] = ACTIONS(2758),
    [anon_sym_typeof] = ACTIONS(2758),
    [anon_sym_ATimport] = ACTIONS(2760),
    [aux_sym_preproc_undef_token1] = ACTIONS(2758),
    [anon_sym_POUND] = ACTIONS(2758),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2758),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2758),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2758),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2758),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2758),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2758),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2758),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2758),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2758),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2758),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2758),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2758),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2758),
    [anon_sym_API_AVAILABLE] = ACTIONS(2758),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2758),
    [anon_sym_API_DEPRECATED] = ACTIONS(2758),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2758),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2758),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2758),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2758),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2758),
    [anon_sym___deprecated_msg] = ACTIONS(2758),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2758),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2758),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2758),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2758),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2758),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2758),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2758),
    [anon_sym_ATprotocol] = ACTIONS(2760),
    [anon_sym_ATinterface] = ACTIONS(2760),
    [anon_sym_ATimplementation] = ACTIONS(2760),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2760),
    [anon_sym_ATsynthesize] = ACTIONS(2760),
    [anon_sym_ATdynamic] = ACTIONS(2760),
    [anon_sym_ATtry] = ACTIONS(2760),
    [anon_sym___try] = ACTIONS(2758),
    [anon_sym_ATthrow] = ACTIONS(2760),
    [anon_sym_ATselector] = ACTIONS(2760),
    [anon_sym_ATavailable] = ACTIONS(2760),
    [anon_sym___builtin_available] = ACTIONS(2758),
    [anon_sym_va_arg] = ACTIONS(2758),
    [anon_sym_ATencode] = ACTIONS(2760),
    [anon_sym_ATsynchronized] = ACTIONS(2760),
    [anon_sym_BOOL] = ACTIONS(2758),
    [anon_sym_IMP] = ACTIONS(2758),
    [anon_sym_SEL] = ACTIONS(2758),
    [anon_sym_Class] = ACTIONS(2758),
    [anon_sym_id] = ACTIONS(2758),
  },
  [666] = {
    [sym_identifier] = ACTIONS(2762),
    [aux_sym_preproc_include_token1] = ACTIONS(2762),
    [aux_sym_preproc_include_token2] = ACTIONS(2762),
    [aux_sym_preproc_def_token1] = ACTIONS(2762),
    [aux_sym_preproc_if_token1] = ACTIONS(2762),
    [aux_sym_preproc_if_token2] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2762),
    [sym_preproc_directive] = ACTIONS(2762),
    [anon_sym_LPAREN2] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(2764),
    [anon_sym_TILDE] = ACTIONS(2764),
    [anon_sym_DASH] = ACTIONS(2762),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_STAR] = ACTIONS(2764),
    [anon_sym_CARET] = ACTIONS(2764),
    [anon_sym_AMP] = ACTIONS(2764),
    [anon_sym_SEMI] = ACTIONS(2764),
    [anon_sym___extension__] = ACTIONS(2762),
    [anon_sym_typedef] = ACTIONS(2762),
    [anon_sym_extern] = ACTIONS(2762),
    [anon_sym___attribute__] = ACTIONS(2762),
    [anon_sym___attribute] = ACTIONS(2762),
    [anon_sym_noreturn] = ACTIONS(2762),
    [anon_sym_LBRACK] = ACTIONS(2764),
    [anon_sym___declspec] = ACTIONS(2762),
    [anon_sym___cdecl] = ACTIONS(2762),
    [anon_sym___clrcall] = ACTIONS(2762),
    [anon_sym___stdcall] = ACTIONS(2762),
    [anon_sym___fastcall] = ACTIONS(2762),
    [anon_sym___thiscall] = ACTIONS(2762),
    [anon_sym___vectorcall] = ACTIONS(2762),
    [anon_sym_LBRACE] = ACTIONS(2764),
    [anon_sym_signed] = ACTIONS(2762),
    [anon_sym_unsigned] = ACTIONS(2762),
    [anon_sym_long] = ACTIONS(2762),
    [anon_sym_short] = ACTIONS(2762),
    [anon_sym_static] = ACTIONS(2762),
    [anon_sym_ATautoreleasepool] = ACTIONS(2764),
    [anon_sym_auto] = ACTIONS(2762),
    [anon_sym_register] = ACTIONS(2762),
    [anon_sym_inline] = ACTIONS(2762),
    [anon_sym___inline] = ACTIONS(2762),
    [anon_sym___inline__] = ACTIONS(2762),
    [anon_sym___forceinline] = ACTIONS(2762),
    [anon_sym_thread_local] = ACTIONS(2762),
    [anon_sym___thread] = ACTIONS(2762),
    [anon_sym_CG_EXTERN] = ACTIONS(2762),
    [anon_sym_CG_INLINE] = ACTIONS(2762),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2762),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2762),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2762),
    [anon_sym_IBOutlet] = ACTIONS(2762),
    [anon_sym_IBInspectable] = ACTIONS(2762),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2762),
    [anon_sym_NS_INLINE] = ACTIONS(2762),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2762),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2762),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2762),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2762),
    [anon_sym_constexpr] = ACTIONS(2762),
    [anon_sym_volatile] = ACTIONS(2762),
    [anon_sym_restrict] = ACTIONS(2762),
    [anon_sym___restrict__] = ACTIONS(2762),
    [anon_sym__Atomic] = ACTIONS(2762),
    [anon_sym__Noreturn] = ACTIONS(2762),
    [anon_sym__Nonnull] = ACTIONS(2762),
    [anon_sym_nullable] = ACTIONS(2762),
    [anon_sym__Complex] = ACTIONS(2762),
    [anon_sym__Nullable] = ACTIONS(2762),
    [anon_sym__Nullable_result] = ACTIONS(2762),
    [anon_sym__Null_unspecified] = ACTIONS(2762),
    [anon_sym___autoreleasing] = ACTIONS(2762),
    [anon_sym___block] = ACTIONS(2762),
    [anon_sym___bridge] = ACTIONS(2762),
    [anon_sym___bridge_retained] = ACTIONS(2762),
    [anon_sym___bridge_transfer] = ACTIONS(2762),
    [anon_sym___complex] = ACTIONS(2762),
    [anon_sym___const] = ACTIONS(2762),
    [anon_sym___imag] = ACTIONS(2762),
    [anon_sym___kindof] = ACTIONS(2762),
    [anon_sym___nonnull] = ACTIONS(2762),
    [anon_sym___nullable] = ACTIONS(2762),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2762),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2762),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2762),
    [anon_sym___real] = ACTIONS(2762),
    [anon_sym___strong] = ACTIONS(2762),
    [anon_sym___unsafe_unretained] = ACTIONS(2762),
    [anon_sym___unused] = ACTIONS(2762),
    [anon_sym___weak] = ACTIONS(2762),
    [anon_sym_alignas] = ACTIONS(2762),
    [anon_sym__Alignas] = ACTIONS(2762),
    [sym_primitive_type] = ACTIONS(2762),
    [anon_sym_enum] = ACTIONS(2762),
    [anon_sym_struct] = ACTIONS(2762),
    [anon_sym_union] = ACTIONS(2762),
    [anon_sym_if] = ACTIONS(2762),
    [anon_sym_switch] = ACTIONS(2762),
    [anon_sym_case] = ACTIONS(2762),
    [anon_sym_default] = ACTIONS(2762),
    [anon_sym_while] = ACTIONS(2762),
    [anon_sym_do] = ACTIONS(2762),
    [anon_sym_for] = ACTIONS(2762),
    [anon_sym_in] = ACTIONS(2762),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_break] = ACTIONS(2762),
    [anon_sym_continue] = ACTIONS(2762),
    [anon_sym_goto] = ACTIONS(2762),
    [anon_sym_DASH_DASH] = ACTIONS(2764),
    [anon_sym_PLUS_PLUS] = ACTIONS(2764),
    [anon_sym_sizeof] = ACTIONS(2762),
    [anon_sym___alignof__] = ACTIONS(2762),
    [anon_sym___alignof] = ACTIONS(2762),
    [anon_sym__alignof] = ACTIONS(2762),
    [anon_sym_alignof] = ACTIONS(2762),
    [anon_sym__Alignof] = ACTIONS(2762),
    [anon_sym_offsetof] = ACTIONS(2762),
    [anon_sym__Generic] = ACTIONS(2762),
    [anon_sym_asm] = ACTIONS(2762),
    [anon_sym___asm__] = ACTIONS(2762),
    [anon_sym___asm] = ACTIONS(2762),
    [sym_number_literal] = ACTIONS(2764),
    [anon_sym_L_SQUOTE] = ACTIONS(2764),
    [anon_sym_u_SQUOTE] = ACTIONS(2764),
    [anon_sym_U_SQUOTE] = ACTIONS(2764),
    [anon_sym_u8_SQUOTE] = ACTIONS(2764),
    [anon_sym_SQUOTE] = ACTIONS(2764),
    [anon_sym_AT] = ACTIONS(2762),
    [anon_sym_DQUOTE] = ACTIONS(2764),
    [anon_sym_L_DQUOTE] = ACTIONS(2764),
    [anon_sym_u_DQUOTE] = ACTIONS(2764),
    [anon_sym_U_DQUOTE] = ACTIONS(2764),
    [anon_sym_u8_DQUOTE] = ACTIONS(2764),
    [sym_true] = ACTIONS(2762),
    [sym_false] = ACTIONS(2762),
    [anon_sym_NULL] = ACTIONS(2762),
    [anon_sym_nullptr] = ACTIONS(2762),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2762),
    [anon_sym___typeof] = ACTIONS(2762),
    [anon_sym_typeof] = ACTIONS(2762),
    [anon_sym_ATimport] = ACTIONS(2764),
    [aux_sym_preproc_undef_token1] = ACTIONS(2762),
    [anon_sym_POUND] = ACTIONS(2762),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2762),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2762),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2762),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2762),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2762),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2762),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2762),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2762),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2762),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2762),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2762),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2762),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2762),
    [anon_sym_API_AVAILABLE] = ACTIONS(2762),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2762),
    [anon_sym_API_DEPRECATED] = ACTIONS(2762),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2762),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2762),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2762),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2762),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2762),
    [anon_sym___deprecated_msg] = ACTIONS(2762),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2762),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2762),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2762),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2762),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2762),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2762),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2762),
    [anon_sym_ATprotocol] = ACTIONS(2764),
    [anon_sym_ATinterface] = ACTIONS(2764),
    [anon_sym_ATimplementation] = ACTIONS(2764),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2764),
    [anon_sym_ATsynthesize] = ACTIONS(2764),
    [anon_sym_ATdynamic] = ACTIONS(2764),
    [anon_sym_ATtry] = ACTIONS(2764),
    [anon_sym___try] = ACTIONS(2762),
    [anon_sym_ATthrow] = ACTIONS(2764),
    [anon_sym_ATselector] = ACTIONS(2764),
    [anon_sym_ATavailable] = ACTIONS(2764),
    [anon_sym___builtin_available] = ACTIONS(2762),
    [anon_sym_va_arg] = ACTIONS(2762),
    [anon_sym_ATencode] = ACTIONS(2764),
    [anon_sym_ATsynchronized] = ACTIONS(2764),
    [anon_sym_BOOL] = ACTIONS(2762),
    [anon_sym_IMP] = ACTIONS(2762),
    [anon_sym_SEL] = ACTIONS(2762),
    [anon_sym_Class] = ACTIONS(2762),
    [anon_sym_id] = ACTIONS(2762),
  },
  [667] = {
    [sym_identifier] = ACTIONS(2766),
    [aux_sym_preproc_include_token1] = ACTIONS(2766),
    [aux_sym_preproc_include_token2] = ACTIONS(2766),
    [aux_sym_preproc_def_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token1] = ACTIONS(2766),
    [aux_sym_preproc_if_token2] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2766),
    [sym_preproc_directive] = ACTIONS(2766),
    [anon_sym_LPAREN2] = ACTIONS(2768),
    [anon_sym_BANG] = ACTIONS(2768),
    [anon_sym_TILDE] = ACTIONS(2768),
    [anon_sym_DASH] = ACTIONS(2766),
    [anon_sym_PLUS] = ACTIONS(2766),
    [anon_sym_STAR] = ACTIONS(2768),
    [anon_sym_CARET] = ACTIONS(2768),
    [anon_sym_AMP] = ACTIONS(2768),
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym___extension__] = ACTIONS(2766),
    [anon_sym_typedef] = ACTIONS(2766),
    [anon_sym_extern] = ACTIONS(2766),
    [anon_sym___attribute__] = ACTIONS(2766),
    [anon_sym___attribute] = ACTIONS(2766),
    [anon_sym_noreturn] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2768),
    [anon_sym___declspec] = ACTIONS(2766),
    [anon_sym___cdecl] = ACTIONS(2766),
    [anon_sym___clrcall] = ACTIONS(2766),
    [anon_sym___stdcall] = ACTIONS(2766),
    [anon_sym___fastcall] = ACTIONS(2766),
    [anon_sym___thiscall] = ACTIONS(2766),
    [anon_sym___vectorcall] = ACTIONS(2766),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_signed] = ACTIONS(2766),
    [anon_sym_unsigned] = ACTIONS(2766),
    [anon_sym_long] = ACTIONS(2766),
    [anon_sym_short] = ACTIONS(2766),
    [anon_sym_static] = ACTIONS(2766),
    [anon_sym_ATautoreleasepool] = ACTIONS(2768),
    [anon_sym_auto] = ACTIONS(2766),
    [anon_sym_register] = ACTIONS(2766),
    [anon_sym_inline] = ACTIONS(2766),
    [anon_sym___inline] = ACTIONS(2766),
    [anon_sym___inline__] = ACTIONS(2766),
    [anon_sym___forceinline] = ACTIONS(2766),
    [anon_sym_thread_local] = ACTIONS(2766),
    [anon_sym___thread] = ACTIONS(2766),
    [anon_sym_CG_EXTERN] = ACTIONS(2766),
    [anon_sym_CG_INLINE] = ACTIONS(2766),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2766),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2766),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2766),
    [anon_sym_IBOutlet] = ACTIONS(2766),
    [anon_sym_IBInspectable] = ACTIONS(2766),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2766),
    [anon_sym_NS_INLINE] = ACTIONS(2766),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2766),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2766),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2766),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2766),
    [anon_sym_const] = ACTIONS(2766),
    [anon_sym_constexpr] = ACTIONS(2766),
    [anon_sym_volatile] = ACTIONS(2766),
    [anon_sym_restrict] = ACTIONS(2766),
    [anon_sym___restrict__] = ACTIONS(2766),
    [anon_sym__Atomic] = ACTIONS(2766),
    [anon_sym__Noreturn] = ACTIONS(2766),
    [anon_sym__Nonnull] = ACTIONS(2766),
    [anon_sym_nullable] = ACTIONS(2766),
    [anon_sym__Complex] = ACTIONS(2766),
    [anon_sym__Nullable] = ACTIONS(2766),
    [anon_sym__Nullable_result] = ACTIONS(2766),
    [anon_sym__Null_unspecified] = ACTIONS(2766),
    [anon_sym___autoreleasing] = ACTIONS(2766),
    [anon_sym___block] = ACTIONS(2766),
    [anon_sym___bridge] = ACTIONS(2766),
    [anon_sym___bridge_retained] = ACTIONS(2766),
    [anon_sym___bridge_transfer] = ACTIONS(2766),
    [anon_sym___complex] = ACTIONS(2766),
    [anon_sym___const] = ACTIONS(2766),
    [anon_sym___imag] = ACTIONS(2766),
    [anon_sym___kindof] = ACTIONS(2766),
    [anon_sym___nonnull] = ACTIONS(2766),
    [anon_sym___nullable] = ACTIONS(2766),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2766),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2766),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2766),
    [anon_sym___real] = ACTIONS(2766),
    [anon_sym___strong] = ACTIONS(2766),
    [anon_sym___unsafe_unretained] = ACTIONS(2766),
    [anon_sym___unused] = ACTIONS(2766),
    [anon_sym___weak] = ACTIONS(2766),
    [anon_sym_alignas] = ACTIONS(2766),
    [anon_sym__Alignas] = ACTIONS(2766),
    [sym_primitive_type] = ACTIONS(2766),
    [anon_sym_enum] = ACTIONS(2766),
    [anon_sym_struct] = ACTIONS(2766),
    [anon_sym_union] = ACTIONS(2766),
    [anon_sym_if] = ACTIONS(2766),
    [anon_sym_switch] = ACTIONS(2766),
    [anon_sym_case] = ACTIONS(2766),
    [anon_sym_default] = ACTIONS(2766),
    [anon_sym_while] = ACTIONS(2766),
    [anon_sym_do] = ACTIONS(2766),
    [anon_sym_for] = ACTIONS(2766),
    [anon_sym_in] = ACTIONS(2766),
    [anon_sym_return] = ACTIONS(2766),
    [anon_sym_break] = ACTIONS(2766),
    [anon_sym_continue] = ACTIONS(2766),
    [anon_sym_goto] = ACTIONS(2766),
    [anon_sym_DASH_DASH] = ACTIONS(2768),
    [anon_sym_PLUS_PLUS] = ACTIONS(2768),
    [anon_sym_sizeof] = ACTIONS(2766),
    [anon_sym___alignof__] = ACTIONS(2766),
    [anon_sym___alignof] = ACTIONS(2766),
    [anon_sym__alignof] = ACTIONS(2766),
    [anon_sym_alignof] = ACTIONS(2766),
    [anon_sym__Alignof] = ACTIONS(2766),
    [anon_sym_offsetof] = ACTIONS(2766),
    [anon_sym__Generic] = ACTIONS(2766),
    [anon_sym_asm] = ACTIONS(2766),
    [anon_sym___asm__] = ACTIONS(2766),
    [anon_sym___asm] = ACTIONS(2766),
    [sym_number_literal] = ACTIONS(2768),
    [anon_sym_L_SQUOTE] = ACTIONS(2768),
    [anon_sym_u_SQUOTE] = ACTIONS(2768),
    [anon_sym_U_SQUOTE] = ACTIONS(2768),
    [anon_sym_u8_SQUOTE] = ACTIONS(2768),
    [anon_sym_SQUOTE] = ACTIONS(2768),
    [anon_sym_AT] = ACTIONS(2766),
    [anon_sym_DQUOTE] = ACTIONS(2768),
    [anon_sym_L_DQUOTE] = ACTIONS(2768),
    [anon_sym_u_DQUOTE] = ACTIONS(2768),
    [anon_sym_U_DQUOTE] = ACTIONS(2768),
    [anon_sym_u8_DQUOTE] = ACTIONS(2768),
    [sym_true] = ACTIONS(2766),
    [sym_false] = ACTIONS(2766),
    [anon_sym_NULL] = ACTIONS(2766),
    [anon_sym_nullptr] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2766),
    [anon_sym___typeof] = ACTIONS(2766),
    [anon_sym_typeof] = ACTIONS(2766),
    [anon_sym_ATimport] = ACTIONS(2768),
    [aux_sym_preproc_undef_token1] = ACTIONS(2766),
    [anon_sym_POUND] = ACTIONS(2766),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2766),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2766),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2766),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2766),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2766),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2766),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2766),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2766),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2766),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2766),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2766),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2766),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2766),
    [anon_sym_API_AVAILABLE] = ACTIONS(2766),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2766),
    [anon_sym_API_DEPRECATED] = ACTIONS(2766),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2766),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2766),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2766),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2766),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2766),
    [anon_sym___deprecated_msg] = ACTIONS(2766),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2766),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2766),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2766),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2766),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2766),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2766),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2766),
    [anon_sym_ATprotocol] = ACTIONS(2768),
    [anon_sym_ATinterface] = ACTIONS(2768),
    [anon_sym_ATimplementation] = ACTIONS(2768),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2768),
    [anon_sym_ATsynthesize] = ACTIONS(2768),
    [anon_sym_ATdynamic] = ACTIONS(2768),
    [anon_sym_ATtry] = ACTIONS(2768),
    [anon_sym___try] = ACTIONS(2766),
    [anon_sym_ATthrow] = ACTIONS(2768),
    [anon_sym_ATselector] = ACTIONS(2768),
    [anon_sym_ATavailable] = ACTIONS(2768),
    [anon_sym___builtin_available] = ACTIONS(2766),
    [anon_sym_va_arg] = ACTIONS(2766),
    [anon_sym_ATencode] = ACTIONS(2768),
    [anon_sym_ATsynchronized] = ACTIONS(2768),
    [anon_sym_BOOL] = ACTIONS(2766),
    [anon_sym_IMP] = ACTIONS(2766),
    [anon_sym_SEL] = ACTIONS(2766),
    [anon_sym_Class] = ACTIONS(2766),
    [anon_sym_id] = ACTIONS(2766),
  },
  [668] = {
    [sym_identifier] = ACTIONS(2778),
    [aux_sym_preproc_include_token1] = ACTIONS(2778),
    [aux_sym_preproc_include_token2] = ACTIONS(2778),
    [aux_sym_preproc_def_token1] = ACTIONS(2778),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_if_token2] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2778),
    [sym_preproc_directive] = ACTIONS(2778),
    [anon_sym_LPAREN2] = ACTIONS(2780),
    [anon_sym_BANG] = ACTIONS(2780),
    [anon_sym_TILDE] = ACTIONS(2780),
    [anon_sym_DASH] = ACTIONS(2778),
    [anon_sym_PLUS] = ACTIONS(2778),
    [anon_sym_STAR] = ACTIONS(2780),
    [anon_sym_CARET] = ACTIONS(2780),
    [anon_sym_AMP] = ACTIONS(2780),
    [anon_sym_SEMI] = ACTIONS(2780),
    [anon_sym___extension__] = ACTIONS(2778),
    [anon_sym_typedef] = ACTIONS(2778),
    [anon_sym_extern] = ACTIONS(2778),
    [anon_sym___attribute__] = ACTIONS(2778),
    [anon_sym___attribute] = ACTIONS(2778),
    [anon_sym_noreturn] = ACTIONS(2778),
    [anon_sym_LBRACK] = ACTIONS(2780),
    [anon_sym___declspec] = ACTIONS(2778),
    [anon_sym___cdecl] = ACTIONS(2778),
    [anon_sym___clrcall] = ACTIONS(2778),
    [anon_sym___stdcall] = ACTIONS(2778),
    [anon_sym___fastcall] = ACTIONS(2778),
    [anon_sym___thiscall] = ACTIONS(2778),
    [anon_sym___vectorcall] = ACTIONS(2778),
    [anon_sym_LBRACE] = ACTIONS(2780),
    [anon_sym_signed] = ACTIONS(2778),
    [anon_sym_unsigned] = ACTIONS(2778),
    [anon_sym_long] = ACTIONS(2778),
    [anon_sym_short] = ACTIONS(2778),
    [anon_sym_static] = ACTIONS(2778),
    [anon_sym_ATautoreleasepool] = ACTIONS(2780),
    [anon_sym_auto] = ACTIONS(2778),
    [anon_sym_register] = ACTIONS(2778),
    [anon_sym_inline] = ACTIONS(2778),
    [anon_sym___inline] = ACTIONS(2778),
    [anon_sym___inline__] = ACTIONS(2778),
    [anon_sym___forceinline] = ACTIONS(2778),
    [anon_sym_thread_local] = ACTIONS(2778),
    [anon_sym___thread] = ACTIONS(2778),
    [anon_sym_CG_EXTERN] = ACTIONS(2778),
    [anon_sym_CG_INLINE] = ACTIONS(2778),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2778),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2778),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2778),
    [anon_sym_IBOutlet] = ACTIONS(2778),
    [anon_sym_IBInspectable] = ACTIONS(2778),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2778),
    [anon_sym_NS_INLINE] = ACTIONS(2778),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2778),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2778),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2778),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2778),
    [anon_sym_const] = ACTIONS(2778),
    [anon_sym_constexpr] = ACTIONS(2778),
    [anon_sym_volatile] = ACTIONS(2778),
    [anon_sym_restrict] = ACTIONS(2778),
    [anon_sym___restrict__] = ACTIONS(2778),
    [anon_sym__Atomic] = ACTIONS(2778),
    [anon_sym__Noreturn] = ACTIONS(2778),
    [anon_sym__Nonnull] = ACTIONS(2778),
    [anon_sym_nullable] = ACTIONS(2778),
    [anon_sym__Complex] = ACTIONS(2778),
    [anon_sym__Nullable] = ACTIONS(2778),
    [anon_sym__Nullable_result] = ACTIONS(2778),
    [anon_sym__Null_unspecified] = ACTIONS(2778),
    [anon_sym___autoreleasing] = ACTIONS(2778),
    [anon_sym___block] = ACTIONS(2778),
    [anon_sym___bridge] = ACTIONS(2778),
    [anon_sym___bridge_retained] = ACTIONS(2778),
    [anon_sym___bridge_transfer] = ACTIONS(2778),
    [anon_sym___complex] = ACTIONS(2778),
    [anon_sym___const] = ACTIONS(2778),
    [anon_sym___imag] = ACTIONS(2778),
    [anon_sym___kindof] = ACTIONS(2778),
    [anon_sym___nonnull] = ACTIONS(2778),
    [anon_sym___nullable] = ACTIONS(2778),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2778),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2778),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2778),
    [anon_sym___real] = ACTIONS(2778),
    [anon_sym___strong] = ACTIONS(2778),
    [anon_sym___unsafe_unretained] = ACTIONS(2778),
    [anon_sym___unused] = ACTIONS(2778),
    [anon_sym___weak] = ACTIONS(2778),
    [anon_sym_alignas] = ACTIONS(2778),
    [anon_sym__Alignas] = ACTIONS(2778),
    [sym_primitive_type] = ACTIONS(2778),
    [anon_sym_enum] = ACTIONS(2778),
    [anon_sym_struct] = ACTIONS(2778),
    [anon_sym_union] = ACTIONS(2778),
    [anon_sym_if] = ACTIONS(2778),
    [anon_sym_switch] = ACTIONS(2778),
    [anon_sym_case] = ACTIONS(2778),
    [anon_sym_default] = ACTIONS(2778),
    [anon_sym_while] = ACTIONS(2778),
    [anon_sym_do] = ACTIONS(2778),
    [anon_sym_for] = ACTIONS(2778),
    [anon_sym_in] = ACTIONS(2778),
    [anon_sym_return] = ACTIONS(2778),
    [anon_sym_break] = ACTIONS(2778),
    [anon_sym_continue] = ACTIONS(2778),
    [anon_sym_goto] = ACTIONS(2778),
    [anon_sym_DASH_DASH] = ACTIONS(2780),
    [anon_sym_PLUS_PLUS] = ACTIONS(2780),
    [anon_sym_sizeof] = ACTIONS(2778),
    [anon_sym___alignof__] = ACTIONS(2778),
    [anon_sym___alignof] = ACTIONS(2778),
    [anon_sym__alignof] = ACTIONS(2778),
    [anon_sym_alignof] = ACTIONS(2778),
    [anon_sym__Alignof] = ACTIONS(2778),
    [anon_sym_offsetof] = ACTIONS(2778),
    [anon_sym__Generic] = ACTIONS(2778),
    [anon_sym_asm] = ACTIONS(2778),
    [anon_sym___asm__] = ACTIONS(2778),
    [anon_sym___asm] = ACTIONS(2778),
    [sym_number_literal] = ACTIONS(2780),
    [anon_sym_L_SQUOTE] = ACTIONS(2780),
    [anon_sym_u_SQUOTE] = ACTIONS(2780),
    [anon_sym_U_SQUOTE] = ACTIONS(2780),
    [anon_sym_u8_SQUOTE] = ACTIONS(2780),
    [anon_sym_SQUOTE] = ACTIONS(2780),
    [anon_sym_AT] = ACTIONS(2778),
    [anon_sym_DQUOTE] = ACTIONS(2780),
    [anon_sym_L_DQUOTE] = ACTIONS(2780),
    [anon_sym_u_DQUOTE] = ACTIONS(2780),
    [anon_sym_U_DQUOTE] = ACTIONS(2780),
    [anon_sym_u8_DQUOTE] = ACTIONS(2780),
    [sym_true] = ACTIONS(2778),
    [sym_false] = ACTIONS(2778),
    [anon_sym_NULL] = ACTIONS(2778),
    [anon_sym_nullptr] = ACTIONS(2778),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2778),
    [anon_sym___typeof] = ACTIONS(2778),
    [anon_sym_typeof] = ACTIONS(2778),
    [anon_sym_ATimport] = ACTIONS(2780),
    [aux_sym_preproc_undef_token1] = ACTIONS(2778),
    [anon_sym_POUND] = ACTIONS(2778),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2778),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2778),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2778),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2778),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2778),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2778),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2778),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2778),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2778),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2778),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2778),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2778),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2778),
    [anon_sym_API_AVAILABLE] = ACTIONS(2778),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2778),
    [anon_sym_API_DEPRECATED] = ACTIONS(2778),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2778),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2778),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2778),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2778),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2778),
    [anon_sym___deprecated_msg] = ACTIONS(2778),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2778),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2778),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2778),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2778),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2778),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2778),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2778),
    [anon_sym_ATprotocol] = ACTIONS(2780),
    [anon_sym_ATinterface] = ACTIONS(2780),
    [anon_sym_ATimplementation] = ACTIONS(2780),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2780),
    [anon_sym_ATsynthesize] = ACTIONS(2780),
    [anon_sym_ATdynamic] = ACTIONS(2780),
    [anon_sym_ATtry] = ACTIONS(2780),
    [anon_sym___try] = ACTIONS(2778),
    [anon_sym_ATthrow] = ACTIONS(2780),
    [anon_sym_ATselector] = ACTIONS(2780),
    [anon_sym_ATavailable] = ACTIONS(2780),
    [anon_sym___builtin_available] = ACTIONS(2778),
    [anon_sym_va_arg] = ACTIONS(2778),
    [anon_sym_ATencode] = ACTIONS(2780),
    [anon_sym_ATsynchronized] = ACTIONS(2780),
    [anon_sym_BOOL] = ACTIONS(2778),
    [anon_sym_IMP] = ACTIONS(2778),
    [anon_sym_SEL] = ACTIONS(2778),
    [anon_sym_Class] = ACTIONS(2778),
    [anon_sym_id] = ACTIONS(2778),
  },
  [669] = {
    [sym_identifier] = ACTIONS(2782),
    [aux_sym_preproc_include_token1] = ACTIONS(2782),
    [aux_sym_preproc_include_token2] = ACTIONS(2782),
    [aux_sym_preproc_def_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token2] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2782),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(2784),
    [anon_sym_BANG] = ACTIONS(2784),
    [anon_sym_TILDE] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2782),
    [anon_sym_PLUS] = ACTIONS(2782),
    [anon_sym_STAR] = ACTIONS(2784),
    [anon_sym_CARET] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(2784),
    [anon_sym_SEMI] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(2782),
    [anon_sym_typedef] = ACTIONS(2782),
    [anon_sym_extern] = ACTIONS(2782),
    [anon_sym___attribute__] = ACTIONS(2782),
    [anon_sym___attribute] = ACTIONS(2782),
    [anon_sym_noreturn] = ACTIONS(2782),
    [anon_sym_LBRACK] = ACTIONS(2784),
    [anon_sym___declspec] = ACTIONS(2782),
    [anon_sym___cdecl] = ACTIONS(2782),
    [anon_sym___clrcall] = ACTIONS(2782),
    [anon_sym___stdcall] = ACTIONS(2782),
    [anon_sym___fastcall] = ACTIONS(2782),
    [anon_sym___thiscall] = ACTIONS(2782),
    [anon_sym___vectorcall] = ACTIONS(2782),
    [anon_sym_LBRACE] = ACTIONS(2784),
    [anon_sym_signed] = ACTIONS(2782),
    [anon_sym_unsigned] = ACTIONS(2782),
    [anon_sym_long] = ACTIONS(2782),
    [anon_sym_short] = ACTIONS(2782),
    [anon_sym_static] = ACTIONS(2782),
    [anon_sym_ATautoreleasepool] = ACTIONS(2784),
    [anon_sym_auto] = ACTIONS(2782),
    [anon_sym_register] = ACTIONS(2782),
    [anon_sym_inline] = ACTIONS(2782),
    [anon_sym___inline] = ACTIONS(2782),
    [anon_sym___inline__] = ACTIONS(2782),
    [anon_sym___forceinline] = ACTIONS(2782),
    [anon_sym_thread_local] = ACTIONS(2782),
    [anon_sym___thread] = ACTIONS(2782),
    [anon_sym_CG_EXTERN] = ACTIONS(2782),
    [anon_sym_CG_INLINE] = ACTIONS(2782),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2782),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2782),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2782),
    [anon_sym_IBOutlet] = ACTIONS(2782),
    [anon_sym_IBInspectable] = ACTIONS(2782),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2782),
    [anon_sym_NS_INLINE] = ACTIONS(2782),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2782),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2782),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2782),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2782),
    [anon_sym_const] = ACTIONS(2782),
    [anon_sym_constexpr] = ACTIONS(2782),
    [anon_sym_volatile] = ACTIONS(2782),
    [anon_sym_restrict] = ACTIONS(2782),
    [anon_sym___restrict__] = ACTIONS(2782),
    [anon_sym__Atomic] = ACTIONS(2782),
    [anon_sym__Noreturn] = ACTIONS(2782),
    [anon_sym__Nonnull] = ACTIONS(2782),
    [anon_sym_nullable] = ACTIONS(2782),
    [anon_sym__Complex] = ACTIONS(2782),
    [anon_sym__Nullable] = ACTIONS(2782),
    [anon_sym__Nullable_result] = ACTIONS(2782),
    [anon_sym__Null_unspecified] = ACTIONS(2782),
    [anon_sym___autoreleasing] = ACTIONS(2782),
    [anon_sym___block] = ACTIONS(2782),
    [anon_sym___bridge] = ACTIONS(2782),
    [anon_sym___bridge_retained] = ACTIONS(2782),
    [anon_sym___bridge_transfer] = ACTIONS(2782),
    [anon_sym___complex] = ACTIONS(2782),
    [anon_sym___const] = ACTIONS(2782),
    [anon_sym___imag] = ACTIONS(2782),
    [anon_sym___kindof] = ACTIONS(2782),
    [anon_sym___nonnull] = ACTIONS(2782),
    [anon_sym___nullable] = ACTIONS(2782),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2782),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2782),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2782),
    [anon_sym___real] = ACTIONS(2782),
    [anon_sym___strong] = ACTIONS(2782),
    [anon_sym___unsafe_unretained] = ACTIONS(2782),
    [anon_sym___unused] = ACTIONS(2782),
    [anon_sym___weak] = ACTIONS(2782),
    [anon_sym_alignas] = ACTIONS(2782),
    [anon_sym__Alignas] = ACTIONS(2782),
    [sym_primitive_type] = ACTIONS(2782),
    [anon_sym_enum] = ACTIONS(2782),
    [anon_sym_struct] = ACTIONS(2782),
    [anon_sym_union] = ACTIONS(2782),
    [anon_sym_if] = ACTIONS(2782),
    [anon_sym_switch] = ACTIONS(2782),
    [anon_sym_case] = ACTIONS(2782),
    [anon_sym_default] = ACTIONS(2782),
    [anon_sym_while] = ACTIONS(2782),
    [anon_sym_do] = ACTIONS(2782),
    [anon_sym_for] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(2782),
    [anon_sym_return] = ACTIONS(2782),
    [anon_sym_break] = ACTIONS(2782),
    [anon_sym_continue] = ACTIONS(2782),
    [anon_sym_goto] = ACTIONS(2782),
    [anon_sym_DASH_DASH] = ACTIONS(2784),
    [anon_sym_PLUS_PLUS] = ACTIONS(2784),
    [anon_sym_sizeof] = ACTIONS(2782),
    [anon_sym___alignof__] = ACTIONS(2782),
    [anon_sym___alignof] = ACTIONS(2782),
    [anon_sym__alignof] = ACTIONS(2782),
    [anon_sym_alignof] = ACTIONS(2782),
    [anon_sym__Alignof] = ACTIONS(2782),
    [anon_sym_offsetof] = ACTIONS(2782),
    [anon_sym__Generic] = ACTIONS(2782),
    [anon_sym_asm] = ACTIONS(2782),
    [anon_sym___asm__] = ACTIONS(2782),
    [anon_sym___asm] = ACTIONS(2782),
    [sym_number_literal] = ACTIONS(2784),
    [anon_sym_L_SQUOTE] = ACTIONS(2784),
    [anon_sym_u_SQUOTE] = ACTIONS(2784),
    [anon_sym_U_SQUOTE] = ACTIONS(2784),
    [anon_sym_u8_SQUOTE] = ACTIONS(2784),
    [anon_sym_SQUOTE] = ACTIONS(2784),
    [anon_sym_AT] = ACTIONS(2782),
    [anon_sym_DQUOTE] = ACTIONS(2784),
    [anon_sym_L_DQUOTE] = ACTIONS(2784),
    [anon_sym_u_DQUOTE] = ACTIONS(2784),
    [anon_sym_U_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8_DQUOTE] = ACTIONS(2784),
    [sym_true] = ACTIONS(2782),
    [sym_false] = ACTIONS(2782),
    [anon_sym_NULL] = ACTIONS(2782),
    [anon_sym_nullptr] = ACTIONS(2782),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2782),
    [anon_sym___typeof] = ACTIONS(2782),
    [anon_sym_typeof] = ACTIONS(2782),
    [anon_sym_ATimport] = ACTIONS(2784),
    [aux_sym_preproc_undef_token1] = ACTIONS(2782),
    [anon_sym_POUND] = ACTIONS(2782),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2782),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2782),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2782),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2782),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2782),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2782),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2782),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2782),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2782),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2782),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2782),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2782),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2782),
    [anon_sym_API_AVAILABLE] = ACTIONS(2782),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2782),
    [anon_sym_API_DEPRECATED] = ACTIONS(2782),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2782),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2782),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2782),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2782),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2782),
    [anon_sym___deprecated_msg] = ACTIONS(2782),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2782),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2782),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2782),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2782),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2782),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2782),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2782),
    [anon_sym_ATprotocol] = ACTIONS(2784),
    [anon_sym_ATinterface] = ACTIONS(2784),
    [anon_sym_ATimplementation] = ACTIONS(2784),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2784),
    [anon_sym_ATsynthesize] = ACTIONS(2784),
    [anon_sym_ATdynamic] = ACTIONS(2784),
    [anon_sym_ATtry] = ACTIONS(2784),
    [anon_sym___try] = ACTIONS(2782),
    [anon_sym_ATthrow] = ACTIONS(2784),
    [anon_sym_ATselector] = ACTIONS(2784),
    [anon_sym_ATavailable] = ACTIONS(2784),
    [anon_sym___builtin_available] = ACTIONS(2782),
    [anon_sym_va_arg] = ACTIONS(2782),
    [anon_sym_ATencode] = ACTIONS(2784),
    [anon_sym_ATsynchronized] = ACTIONS(2784),
    [anon_sym_BOOL] = ACTIONS(2782),
    [anon_sym_IMP] = ACTIONS(2782),
    [anon_sym_SEL] = ACTIONS(2782),
    [anon_sym_Class] = ACTIONS(2782),
    [anon_sym_id] = ACTIONS(2782),
  },
  [670] = {
    [sym_identifier] = ACTIONS(2718),
    [aux_sym_preproc_include_token1] = ACTIONS(2718),
    [aux_sym_preproc_include_token2] = ACTIONS(2718),
    [aux_sym_preproc_def_token1] = ACTIONS(2718),
    [aux_sym_preproc_if_token1] = ACTIONS(2718),
    [aux_sym_preproc_if_token2] = ACTIONS(2718),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2718),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2718),
    [sym_preproc_directive] = ACTIONS(2718),
    [anon_sym_LPAREN2] = ACTIONS(2720),
    [anon_sym_BANG] = ACTIONS(2720),
    [anon_sym_TILDE] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2718),
    [anon_sym_PLUS] = ACTIONS(2718),
    [anon_sym_STAR] = ACTIONS(2720),
    [anon_sym_CARET] = ACTIONS(2720),
    [anon_sym_AMP] = ACTIONS(2720),
    [anon_sym_SEMI] = ACTIONS(2720),
    [anon_sym___extension__] = ACTIONS(2718),
    [anon_sym_typedef] = ACTIONS(2718),
    [anon_sym_extern] = ACTIONS(2718),
    [anon_sym___attribute__] = ACTIONS(2718),
    [anon_sym___attribute] = ACTIONS(2718),
    [anon_sym_noreturn] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [anon_sym___declspec] = ACTIONS(2718),
    [anon_sym___cdecl] = ACTIONS(2718),
    [anon_sym___clrcall] = ACTIONS(2718),
    [anon_sym___stdcall] = ACTIONS(2718),
    [anon_sym___fastcall] = ACTIONS(2718),
    [anon_sym___thiscall] = ACTIONS(2718),
    [anon_sym___vectorcall] = ACTIONS(2718),
    [anon_sym_LBRACE] = ACTIONS(2720),
    [anon_sym_signed] = ACTIONS(2718),
    [anon_sym_unsigned] = ACTIONS(2718),
    [anon_sym_long] = ACTIONS(2718),
    [anon_sym_short] = ACTIONS(2718),
    [anon_sym_static] = ACTIONS(2718),
    [anon_sym_ATautoreleasepool] = ACTIONS(2720),
    [anon_sym_auto] = ACTIONS(2718),
    [anon_sym_register] = ACTIONS(2718),
    [anon_sym_inline] = ACTIONS(2718),
    [anon_sym___inline] = ACTIONS(2718),
    [anon_sym___inline__] = ACTIONS(2718),
    [anon_sym___forceinline] = ACTIONS(2718),
    [anon_sym_thread_local] = ACTIONS(2718),
    [anon_sym___thread] = ACTIONS(2718),
    [anon_sym_CG_EXTERN] = ACTIONS(2718),
    [anon_sym_CG_INLINE] = ACTIONS(2718),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2718),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2718),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2718),
    [anon_sym_IBOutlet] = ACTIONS(2718),
    [anon_sym_IBInspectable] = ACTIONS(2718),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2718),
    [anon_sym_NS_INLINE] = ACTIONS(2718),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2718),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2718),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2718),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2718),
    [anon_sym_const] = ACTIONS(2718),
    [anon_sym_constexpr] = ACTIONS(2718),
    [anon_sym_volatile] = ACTIONS(2718),
    [anon_sym_restrict] = ACTIONS(2718),
    [anon_sym___restrict__] = ACTIONS(2718),
    [anon_sym__Atomic] = ACTIONS(2718),
    [anon_sym__Noreturn] = ACTIONS(2718),
    [anon_sym__Nonnull] = ACTIONS(2718),
    [anon_sym_nullable] = ACTIONS(2718),
    [anon_sym__Complex] = ACTIONS(2718),
    [anon_sym__Nullable] = ACTIONS(2718),
    [anon_sym__Nullable_result] = ACTIONS(2718),
    [anon_sym__Null_unspecified] = ACTIONS(2718),
    [anon_sym___autoreleasing] = ACTIONS(2718),
    [anon_sym___block] = ACTIONS(2718),
    [anon_sym___bridge] = ACTIONS(2718),
    [anon_sym___bridge_retained] = ACTIONS(2718),
    [anon_sym___bridge_transfer] = ACTIONS(2718),
    [anon_sym___complex] = ACTIONS(2718),
    [anon_sym___const] = ACTIONS(2718),
    [anon_sym___imag] = ACTIONS(2718),
    [anon_sym___kindof] = ACTIONS(2718),
    [anon_sym___nonnull] = ACTIONS(2718),
    [anon_sym___nullable] = ACTIONS(2718),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2718),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2718),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2718),
    [anon_sym___real] = ACTIONS(2718),
    [anon_sym___strong] = ACTIONS(2718),
    [anon_sym___unsafe_unretained] = ACTIONS(2718),
    [anon_sym___unused] = ACTIONS(2718),
    [anon_sym___weak] = ACTIONS(2718),
    [anon_sym_alignas] = ACTIONS(2718),
    [anon_sym__Alignas] = ACTIONS(2718),
    [sym_primitive_type] = ACTIONS(2718),
    [anon_sym_enum] = ACTIONS(2718),
    [anon_sym_struct] = ACTIONS(2718),
    [anon_sym_union] = ACTIONS(2718),
    [anon_sym_if] = ACTIONS(2718),
    [anon_sym_switch] = ACTIONS(2718),
    [anon_sym_case] = ACTIONS(2718),
    [anon_sym_default] = ACTIONS(2718),
    [anon_sym_while] = ACTIONS(2718),
    [anon_sym_do] = ACTIONS(2718),
    [anon_sym_for] = ACTIONS(2718),
    [anon_sym_in] = ACTIONS(2718),
    [anon_sym_return] = ACTIONS(2718),
    [anon_sym_break] = ACTIONS(2718),
    [anon_sym_continue] = ACTIONS(2718),
    [anon_sym_goto] = ACTIONS(2718),
    [anon_sym_DASH_DASH] = ACTIONS(2720),
    [anon_sym_PLUS_PLUS] = ACTIONS(2720),
    [anon_sym_sizeof] = ACTIONS(2718),
    [anon_sym___alignof__] = ACTIONS(2718),
    [anon_sym___alignof] = ACTIONS(2718),
    [anon_sym__alignof] = ACTIONS(2718),
    [anon_sym_alignof] = ACTIONS(2718),
    [anon_sym__Alignof] = ACTIONS(2718),
    [anon_sym_offsetof] = ACTIONS(2718),
    [anon_sym__Generic] = ACTIONS(2718),
    [anon_sym_asm] = ACTIONS(2718),
    [anon_sym___asm__] = ACTIONS(2718),
    [anon_sym___asm] = ACTIONS(2718),
    [sym_number_literal] = ACTIONS(2720),
    [anon_sym_L_SQUOTE] = ACTIONS(2720),
    [anon_sym_u_SQUOTE] = ACTIONS(2720),
    [anon_sym_U_SQUOTE] = ACTIONS(2720),
    [anon_sym_u8_SQUOTE] = ACTIONS(2720),
    [anon_sym_SQUOTE] = ACTIONS(2720),
    [anon_sym_AT] = ACTIONS(2718),
    [anon_sym_DQUOTE] = ACTIONS(2720),
    [anon_sym_L_DQUOTE] = ACTIONS(2720),
    [anon_sym_u_DQUOTE] = ACTIONS(2720),
    [anon_sym_U_DQUOTE] = ACTIONS(2720),
    [anon_sym_u8_DQUOTE] = ACTIONS(2720),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2718),
    [anon_sym_nullptr] = ACTIONS(2718),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2718),
    [anon_sym___typeof] = ACTIONS(2718),
    [anon_sym_typeof] = ACTIONS(2718),
    [anon_sym_ATimport] = ACTIONS(2720),
    [aux_sym_preproc_undef_token1] = ACTIONS(2718),
    [anon_sym_POUND] = ACTIONS(2718),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2718),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2718),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2718),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2718),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2718),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2718),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2718),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2718),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2718),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_API_AVAILABLE] = ACTIONS(2718),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_API_DEPRECATED] = ACTIONS(2718),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2718),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2718),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2718),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2718),
    [anon_sym___deprecated_msg] = ACTIONS(2718),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2718),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2718),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2718),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2718),
    [anon_sym_ATprotocol] = ACTIONS(2720),
    [anon_sym_ATinterface] = ACTIONS(2720),
    [anon_sym_ATimplementation] = ACTIONS(2720),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2720),
    [anon_sym_ATsynthesize] = ACTIONS(2720),
    [anon_sym_ATdynamic] = ACTIONS(2720),
    [anon_sym_ATtry] = ACTIONS(2720),
    [anon_sym___try] = ACTIONS(2718),
    [anon_sym_ATthrow] = ACTIONS(2720),
    [anon_sym_ATselector] = ACTIONS(2720),
    [anon_sym_ATavailable] = ACTIONS(2720),
    [anon_sym___builtin_available] = ACTIONS(2718),
    [anon_sym_va_arg] = ACTIONS(2718),
    [anon_sym_ATencode] = ACTIONS(2720),
    [anon_sym_ATsynchronized] = ACTIONS(2720),
    [anon_sym_BOOL] = ACTIONS(2718),
    [anon_sym_IMP] = ACTIONS(2718),
    [anon_sym_SEL] = ACTIONS(2718),
    [anon_sym_Class] = ACTIONS(2718),
    [anon_sym_id] = ACTIONS(2718),
  },
  [671] = {
    [sym_identifier] = ACTIONS(2662),
    [aux_sym_preproc_include_token1] = ACTIONS(2662),
    [aux_sym_preproc_include_token2] = ACTIONS(2662),
    [aux_sym_preproc_def_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2662),
    [sym_preproc_directive] = ACTIONS(2662),
    [anon_sym_LPAREN2] = ACTIONS(2664),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2664),
    [anon_sym_CARET] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym___extension__] = ACTIONS(2662),
    [anon_sym_typedef] = ACTIONS(2662),
    [anon_sym_extern] = ACTIONS(2662),
    [anon_sym___attribute__] = ACTIONS(2662),
    [anon_sym___attribute] = ACTIONS(2662),
    [anon_sym_noreturn] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym___declspec] = ACTIONS(2662),
    [anon_sym___cdecl] = ACTIONS(2662),
    [anon_sym___clrcall] = ACTIONS(2662),
    [anon_sym___stdcall] = ACTIONS(2662),
    [anon_sym___fastcall] = ACTIONS(2662),
    [anon_sym___thiscall] = ACTIONS(2662),
    [anon_sym___vectorcall] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_signed] = ACTIONS(2662),
    [anon_sym_unsigned] = ACTIONS(2662),
    [anon_sym_long] = ACTIONS(2662),
    [anon_sym_short] = ACTIONS(2662),
    [anon_sym_static] = ACTIONS(2662),
    [anon_sym_ATautoreleasepool] = ACTIONS(2664),
    [anon_sym_auto] = ACTIONS(2662),
    [anon_sym_register] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym___inline] = ACTIONS(2662),
    [anon_sym___inline__] = ACTIONS(2662),
    [anon_sym___forceinline] = ACTIONS(2662),
    [anon_sym_thread_local] = ACTIONS(2662),
    [anon_sym___thread] = ACTIONS(2662),
    [anon_sym_CG_EXTERN] = ACTIONS(2662),
    [anon_sym_CG_INLINE] = ACTIONS(2662),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2662),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2662),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2662),
    [anon_sym_IBOutlet] = ACTIONS(2662),
    [anon_sym_IBInspectable] = ACTIONS(2662),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2662),
    [anon_sym_NS_INLINE] = ACTIONS(2662),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2662),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2662),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2662),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_constexpr] = ACTIONS(2662),
    [anon_sym_volatile] = ACTIONS(2662),
    [anon_sym_restrict] = ACTIONS(2662),
    [anon_sym___restrict__] = ACTIONS(2662),
    [anon_sym__Atomic] = ACTIONS(2662),
    [anon_sym__Noreturn] = ACTIONS(2662),
    [anon_sym__Nonnull] = ACTIONS(2662),
    [anon_sym_nullable] = ACTIONS(2662),
    [anon_sym__Complex] = ACTIONS(2662),
    [anon_sym__Nullable] = ACTIONS(2662),
    [anon_sym__Nullable_result] = ACTIONS(2662),
    [anon_sym__Null_unspecified] = ACTIONS(2662),
    [anon_sym___autoreleasing] = ACTIONS(2662),
    [anon_sym___block] = ACTIONS(2662),
    [anon_sym___bridge] = ACTIONS(2662),
    [anon_sym___bridge_retained] = ACTIONS(2662),
    [anon_sym___bridge_transfer] = ACTIONS(2662),
    [anon_sym___complex] = ACTIONS(2662),
    [anon_sym___const] = ACTIONS(2662),
    [anon_sym___imag] = ACTIONS(2662),
    [anon_sym___kindof] = ACTIONS(2662),
    [anon_sym___nonnull] = ACTIONS(2662),
    [anon_sym___nullable] = ACTIONS(2662),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2662),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2662),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2662),
    [anon_sym___real] = ACTIONS(2662),
    [anon_sym___strong] = ACTIONS(2662),
    [anon_sym___unsafe_unretained] = ACTIONS(2662),
    [anon_sym___unused] = ACTIONS(2662),
    [anon_sym___weak] = ACTIONS(2662),
    [anon_sym_alignas] = ACTIONS(2662),
    [anon_sym__Alignas] = ACTIONS(2662),
    [sym_primitive_type] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_struct] = ACTIONS(2662),
    [anon_sym_union] = ACTIONS(2662),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_switch] = ACTIONS(2662),
    [anon_sym_case] = ACTIONS(2662),
    [anon_sym_default] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_in] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_break] = ACTIONS(2662),
    [anon_sym_continue] = ACTIONS(2662),
    [anon_sym_goto] = ACTIONS(2662),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_sizeof] = ACTIONS(2662),
    [anon_sym___alignof__] = ACTIONS(2662),
    [anon_sym___alignof] = ACTIONS(2662),
    [anon_sym__alignof] = ACTIONS(2662),
    [anon_sym_alignof] = ACTIONS(2662),
    [anon_sym__Alignof] = ACTIONS(2662),
    [anon_sym_offsetof] = ACTIONS(2662),
    [anon_sym__Generic] = ACTIONS(2662),
    [anon_sym_asm] = ACTIONS(2662),
    [anon_sym___asm__] = ACTIONS(2662),
    [anon_sym___asm] = ACTIONS(2662),
    [sym_number_literal] = ACTIONS(2664),
    [anon_sym_L_SQUOTE] = ACTIONS(2664),
    [anon_sym_u_SQUOTE] = ACTIONS(2664),
    [anon_sym_U_SQUOTE] = ACTIONS(2664),
    [anon_sym_u8_SQUOTE] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [anon_sym_AT] = ACTIONS(2662),
    [anon_sym_DQUOTE] = ACTIONS(2664),
    [anon_sym_L_DQUOTE] = ACTIONS(2664),
    [anon_sym_u_DQUOTE] = ACTIONS(2664),
    [anon_sym_U_DQUOTE] = ACTIONS(2664),
    [anon_sym_u8_DQUOTE] = ACTIONS(2664),
    [sym_true] = ACTIONS(2662),
    [sym_false] = ACTIONS(2662),
    [anon_sym_NULL] = ACTIONS(2662),
    [anon_sym_nullptr] = ACTIONS(2662),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2662),
    [anon_sym___typeof] = ACTIONS(2662),
    [anon_sym_typeof] = ACTIONS(2662),
    [anon_sym_ATimport] = ACTIONS(2664),
    [aux_sym_preproc_undef_token1] = ACTIONS(2662),
    [anon_sym_POUND] = ACTIONS(2662),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2662),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2662),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2662),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2662),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2662),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2662),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2662),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2662),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2662),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_API_AVAILABLE] = ACTIONS(2662),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_API_DEPRECATED] = ACTIONS(2662),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2662),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2662),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2662),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2662),
    [anon_sym___deprecated_msg] = ACTIONS(2662),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2662),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2662),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2662),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2662),
    [anon_sym_ATprotocol] = ACTIONS(2664),
    [anon_sym_ATinterface] = ACTIONS(2664),
    [anon_sym_ATimplementation] = ACTIONS(2664),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2664),
    [anon_sym_ATsynthesize] = ACTIONS(2664),
    [anon_sym_ATdynamic] = ACTIONS(2664),
    [anon_sym_ATtry] = ACTIONS(2664),
    [anon_sym___try] = ACTIONS(2662),
    [anon_sym_ATthrow] = ACTIONS(2664),
    [anon_sym_ATselector] = ACTIONS(2664),
    [anon_sym_ATavailable] = ACTIONS(2664),
    [anon_sym___builtin_available] = ACTIONS(2662),
    [anon_sym_va_arg] = ACTIONS(2662),
    [anon_sym_ATencode] = ACTIONS(2664),
    [anon_sym_ATsynchronized] = ACTIONS(2664),
    [anon_sym_BOOL] = ACTIONS(2662),
    [anon_sym_IMP] = ACTIONS(2662),
    [anon_sym_SEL] = ACTIONS(2662),
    [anon_sym_Class] = ACTIONS(2662),
    [anon_sym_id] = ACTIONS(2662),
  },
  [672] = {
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_include_token1] = ACTIONS(2576),
    [aux_sym_preproc_include_token2] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token2] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym___attribute] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_ATautoreleasepool] = ACTIONS(2578),
    [anon_sym_auto] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_CG_EXTERN] = ACTIONS(2576),
    [anon_sym_CG_INLINE] = ACTIONS(2576),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2576),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2576),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2576),
    [anon_sym_IBOutlet] = ACTIONS(2576),
    [anon_sym_IBInspectable] = ACTIONS(2576),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2576),
    [anon_sym_NS_INLINE] = ACTIONS(2576),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2576),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2576),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2576),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym__Nonnull] = ACTIONS(2576),
    [anon_sym_nullable] = ACTIONS(2576),
    [anon_sym__Complex] = ACTIONS(2576),
    [anon_sym__Nullable] = ACTIONS(2576),
    [anon_sym__Nullable_result] = ACTIONS(2576),
    [anon_sym__Null_unspecified] = ACTIONS(2576),
    [anon_sym___autoreleasing] = ACTIONS(2576),
    [anon_sym___block] = ACTIONS(2576),
    [anon_sym___bridge] = ACTIONS(2576),
    [anon_sym___bridge_retained] = ACTIONS(2576),
    [anon_sym___bridge_transfer] = ACTIONS(2576),
    [anon_sym___complex] = ACTIONS(2576),
    [anon_sym___const] = ACTIONS(2576),
    [anon_sym___imag] = ACTIONS(2576),
    [anon_sym___kindof] = ACTIONS(2576),
    [anon_sym___nonnull] = ACTIONS(2576),
    [anon_sym___nullable] = ACTIONS(2576),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2576),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2576),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2576),
    [anon_sym___real] = ACTIONS(2576),
    [anon_sym___strong] = ACTIONS(2576),
    [anon_sym___unsafe_unretained] = ACTIONS(2576),
    [anon_sym___unused] = ACTIONS(2576),
    [anon_sym___weak] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_default] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_in] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [anon_sym___asm] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_AT] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2576),
    [anon_sym___typeof] = ACTIONS(2576),
    [anon_sym_typeof] = ACTIONS(2576),
    [anon_sym_ATimport] = ACTIONS(2578),
    [aux_sym_preproc_undef_token1] = ACTIONS(2576),
    [anon_sym_POUND] = ACTIONS(2576),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2576),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2576),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2576),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2576),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2576),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2576),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2576),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2576),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2576),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_API_AVAILABLE] = ACTIONS(2576),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_API_DEPRECATED] = ACTIONS(2576),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2576),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2576),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2576),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2576),
    [anon_sym___deprecated_msg] = ACTIONS(2576),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2576),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2576),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2576),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2576),
    [anon_sym_ATprotocol] = ACTIONS(2578),
    [anon_sym_ATinterface] = ACTIONS(2578),
    [anon_sym_ATimplementation] = ACTIONS(2578),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2578),
    [anon_sym_ATsynthesize] = ACTIONS(2578),
    [anon_sym_ATdynamic] = ACTIONS(2578),
    [anon_sym_ATtry] = ACTIONS(2578),
    [anon_sym___try] = ACTIONS(2576),
    [anon_sym_ATthrow] = ACTIONS(2578),
    [anon_sym_ATselector] = ACTIONS(2578),
    [anon_sym_ATavailable] = ACTIONS(2578),
    [anon_sym___builtin_available] = ACTIONS(2576),
    [anon_sym_va_arg] = ACTIONS(2576),
    [anon_sym_ATencode] = ACTIONS(2578),
    [anon_sym_ATsynchronized] = ACTIONS(2578),
    [anon_sym_BOOL] = ACTIONS(2576),
    [anon_sym_IMP] = ACTIONS(2576),
    [anon_sym_SEL] = ACTIONS(2576),
    [anon_sym_Class] = ACTIONS(2576),
    [anon_sym_id] = ACTIONS(2576),
  },
  [673] = {
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_include_token1] = ACTIONS(2658),
    [aux_sym_preproc_include_token2] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token2] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2658),
    [sym_preproc_directive] = ACTIONS(2658),
    [anon_sym_LPAREN2] = ACTIONS(2660),
    [anon_sym_BANG] = ACTIONS(2660),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2660),
    [anon_sym_CARET] = ACTIONS(2660),
    [anon_sym_AMP] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2658),
    [anon_sym_typedef] = ACTIONS(2658),
    [anon_sym_extern] = ACTIONS(2658),
    [anon_sym___attribute__] = ACTIONS(2658),
    [anon_sym___attribute] = ACTIONS(2658),
    [anon_sym_noreturn] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym___declspec] = ACTIONS(2658),
    [anon_sym___cdecl] = ACTIONS(2658),
    [anon_sym___clrcall] = ACTIONS(2658),
    [anon_sym___stdcall] = ACTIONS(2658),
    [anon_sym___fastcall] = ACTIONS(2658),
    [anon_sym___thiscall] = ACTIONS(2658),
    [anon_sym___vectorcall] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_signed] = ACTIONS(2658),
    [anon_sym_unsigned] = ACTIONS(2658),
    [anon_sym_long] = ACTIONS(2658),
    [anon_sym_short] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2658),
    [anon_sym_ATautoreleasepool] = ACTIONS(2660),
    [anon_sym_auto] = ACTIONS(2658),
    [anon_sym_register] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym___inline] = ACTIONS(2658),
    [anon_sym___inline__] = ACTIONS(2658),
    [anon_sym___forceinline] = ACTIONS(2658),
    [anon_sym_thread_local] = ACTIONS(2658),
    [anon_sym___thread] = ACTIONS(2658),
    [anon_sym_CG_EXTERN] = ACTIONS(2658),
    [anon_sym_CG_INLINE] = ACTIONS(2658),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2658),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2658),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2658),
    [anon_sym_IBOutlet] = ACTIONS(2658),
    [anon_sym_IBInspectable] = ACTIONS(2658),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2658),
    [anon_sym_NS_INLINE] = ACTIONS(2658),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2658),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2658),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2658),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_constexpr] = ACTIONS(2658),
    [anon_sym_volatile] = ACTIONS(2658),
    [anon_sym_restrict] = ACTIONS(2658),
    [anon_sym___restrict__] = ACTIONS(2658),
    [anon_sym__Atomic] = ACTIONS(2658),
    [anon_sym__Noreturn] = ACTIONS(2658),
    [anon_sym__Nonnull] = ACTIONS(2658),
    [anon_sym_nullable] = ACTIONS(2658),
    [anon_sym__Complex] = ACTIONS(2658),
    [anon_sym__Nullable] = ACTIONS(2658),
    [anon_sym__Nullable_result] = ACTIONS(2658),
    [anon_sym__Null_unspecified] = ACTIONS(2658),
    [anon_sym___autoreleasing] = ACTIONS(2658),
    [anon_sym___block] = ACTIONS(2658),
    [anon_sym___bridge] = ACTIONS(2658),
    [anon_sym___bridge_retained] = ACTIONS(2658),
    [anon_sym___bridge_transfer] = ACTIONS(2658),
    [anon_sym___complex] = ACTIONS(2658),
    [anon_sym___const] = ACTIONS(2658),
    [anon_sym___imag] = ACTIONS(2658),
    [anon_sym___kindof] = ACTIONS(2658),
    [anon_sym___nonnull] = ACTIONS(2658),
    [anon_sym___nullable] = ACTIONS(2658),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2658),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2658),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2658),
    [anon_sym___real] = ACTIONS(2658),
    [anon_sym___strong] = ACTIONS(2658),
    [anon_sym___unsafe_unretained] = ACTIONS(2658),
    [anon_sym___unused] = ACTIONS(2658),
    [anon_sym___weak] = ACTIONS(2658),
    [anon_sym_alignas] = ACTIONS(2658),
    [anon_sym__Alignas] = ACTIONS(2658),
    [sym_primitive_type] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_struct] = ACTIONS(2658),
    [anon_sym_union] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_case] = ACTIONS(2658),
    [anon_sym_default] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_in] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_goto] = ACTIONS(2658),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_sizeof] = ACTIONS(2658),
    [anon_sym___alignof__] = ACTIONS(2658),
    [anon_sym___alignof] = ACTIONS(2658),
    [anon_sym__alignof] = ACTIONS(2658),
    [anon_sym_alignof] = ACTIONS(2658),
    [anon_sym__Alignof] = ACTIONS(2658),
    [anon_sym_offsetof] = ACTIONS(2658),
    [anon_sym__Generic] = ACTIONS(2658),
    [anon_sym_asm] = ACTIONS(2658),
    [anon_sym___asm__] = ACTIONS(2658),
    [anon_sym___asm] = ACTIONS(2658),
    [sym_number_literal] = ACTIONS(2660),
    [anon_sym_L_SQUOTE] = ACTIONS(2660),
    [anon_sym_u_SQUOTE] = ACTIONS(2660),
    [anon_sym_U_SQUOTE] = ACTIONS(2660),
    [anon_sym_u8_SQUOTE] = ACTIONS(2660),
    [anon_sym_SQUOTE] = ACTIONS(2660),
    [anon_sym_AT] = ACTIONS(2658),
    [anon_sym_DQUOTE] = ACTIONS(2660),
    [anon_sym_L_DQUOTE] = ACTIONS(2660),
    [anon_sym_u_DQUOTE] = ACTIONS(2660),
    [anon_sym_U_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8_DQUOTE] = ACTIONS(2660),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [anon_sym_NULL] = ACTIONS(2658),
    [anon_sym_nullptr] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2658),
    [anon_sym___typeof] = ACTIONS(2658),
    [anon_sym_typeof] = ACTIONS(2658),
    [anon_sym_ATimport] = ACTIONS(2660),
    [aux_sym_preproc_undef_token1] = ACTIONS(2658),
    [anon_sym_POUND] = ACTIONS(2658),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2658),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2658),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2658),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2658),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2658),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2658),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2658),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2658),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2658),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_API_AVAILABLE] = ACTIONS(2658),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_API_DEPRECATED] = ACTIONS(2658),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2658),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2658),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2658),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2658),
    [anon_sym___deprecated_msg] = ACTIONS(2658),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2658),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2658),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2658),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2658),
    [anon_sym_ATprotocol] = ACTIONS(2660),
    [anon_sym_ATinterface] = ACTIONS(2660),
    [anon_sym_ATimplementation] = ACTIONS(2660),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2660),
    [anon_sym_ATsynthesize] = ACTIONS(2660),
    [anon_sym_ATdynamic] = ACTIONS(2660),
    [anon_sym_ATtry] = ACTIONS(2660),
    [anon_sym___try] = ACTIONS(2658),
    [anon_sym_ATthrow] = ACTIONS(2660),
    [anon_sym_ATselector] = ACTIONS(2660),
    [anon_sym_ATavailable] = ACTIONS(2660),
    [anon_sym___builtin_available] = ACTIONS(2658),
    [anon_sym_va_arg] = ACTIONS(2658),
    [anon_sym_ATencode] = ACTIONS(2660),
    [anon_sym_ATsynchronized] = ACTIONS(2660),
    [anon_sym_BOOL] = ACTIONS(2658),
    [anon_sym_IMP] = ACTIONS(2658),
    [anon_sym_SEL] = ACTIONS(2658),
    [anon_sym_Class] = ACTIONS(2658),
    [anon_sym_id] = ACTIONS(2658),
  },
  [674] = {
    [sym_identifier] = ACTIONS(2674),
    [aux_sym_preproc_include_token1] = ACTIONS(2674),
    [aux_sym_preproc_include_token2] = ACTIONS(2674),
    [aux_sym_preproc_def_token1] = ACTIONS(2674),
    [aux_sym_preproc_if_token1] = ACTIONS(2674),
    [aux_sym_preproc_if_token2] = ACTIONS(2674),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2674),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2674),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_BANG] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_CARET] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_SEMI] = ACTIONS(2676),
    [anon_sym___extension__] = ACTIONS(2674),
    [anon_sym_typedef] = ACTIONS(2674),
    [anon_sym_extern] = ACTIONS(2674),
    [anon_sym___attribute__] = ACTIONS(2674),
    [anon_sym___attribute] = ACTIONS(2674),
    [anon_sym_noreturn] = ACTIONS(2674),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym___declspec] = ACTIONS(2674),
    [anon_sym___cdecl] = ACTIONS(2674),
    [anon_sym___clrcall] = ACTIONS(2674),
    [anon_sym___stdcall] = ACTIONS(2674),
    [anon_sym___fastcall] = ACTIONS(2674),
    [anon_sym___thiscall] = ACTIONS(2674),
    [anon_sym___vectorcall] = ACTIONS(2674),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_signed] = ACTIONS(2674),
    [anon_sym_unsigned] = ACTIONS(2674),
    [anon_sym_long] = ACTIONS(2674),
    [anon_sym_short] = ACTIONS(2674),
    [anon_sym_static] = ACTIONS(2674),
    [anon_sym_ATautoreleasepool] = ACTIONS(2676),
    [anon_sym_auto] = ACTIONS(2674),
    [anon_sym_register] = ACTIONS(2674),
    [anon_sym_inline] = ACTIONS(2674),
    [anon_sym___inline] = ACTIONS(2674),
    [anon_sym___inline__] = ACTIONS(2674),
    [anon_sym___forceinline] = ACTIONS(2674),
    [anon_sym_thread_local] = ACTIONS(2674),
    [anon_sym___thread] = ACTIONS(2674),
    [anon_sym_CG_EXTERN] = ACTIONS(2674),
    [anon_sym_CG_INLINE] = ACTIONS(2674),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2674),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2674),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2674),
    [anon_sym_IBOutlet] = ACTIONS(2674),
    [anon_sym_IBInspectable] = ACTIONS(2674),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2674),
    [anon_sym_NS_INLINE] = ACTIONS(2674),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2674),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2674),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2674),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2674),
    [anon_sym_const] = ACTIONS(2674),
    [anon_sym_constexpr] = ACTIONS(2674),
    [anon_sym_volatile] = ACTIONS(2674),
    [anon_sym_restrict] = ACTIONS(2674),
    [anon_sym___restrict__] = ACTIONS(2674),
    [anon_sym__Atomic] = ACTIONS(2674),
    [anon_sym__Noreturn] = ACTIONS(2674),
    [anon_sym__Nonnull] = ACTIONS(2674),
    [anon_sym_nullable] = ACTIONS(2674),
    [anon_sym__Complex] = ACTIONS(2674),
    [anon_sym__Nullable] = ACTIONS(2674),
    [anon_sym__Nullable_result] = ACTIONS(2674),
    [anon_sym__Null_unspecified] = ACTIONS(2674),
    [anon_sym___autoreleasing] = ACTIONS(2674),
    [anon_sym___block] = ACTIONS(2674),
    [anon_sym___bridge] = ACTIONS(2674),
    [anon_sym___bridge_retained] = ACTIONS(2674),
    [anon_sym___bridge_transfer] = ACTIONS(2674),
    [anon_sym___complex] = ACTIONS(2674),
    [anon_sym___const] = ACTIONS(2674),
    [anon_sym___imag] = ACTIONS(2674),
    [anon_sym___kindof] = ACTIONS(2674),
    [anon_sym___nonnull] = ACTIONS(2674),
    [anon_sym___nullable] = ACTIONS(2674),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2674),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2674),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2674),
    [anon_sym___real] = ACTIONS(2674),
    [anon_sym___strong] = ACTIONS(2674),
    [anon_sym___unsafe_unretained] = ACTIONS(2674),
    [anon_sym___unused] = ACTIONS(2674),
    [anon_sym___weak] = ACTIONS(2674),
    [anon_sym_alignas] = ACTIONS(2674),
    [anon_sym__Alignas] = ACTIONS(2674),
    [sym_primitive_type] = ACTIONS(2674),
    [anon_sym_enum] = ACTIONS(2674),
    [anon_sym_struct] = ACTIONS(2674),
    [anon_sym_union] = ACTIONS(2674),
    [anon_sym_if] = ACTIONS(2674),
    [anon_sym_switch] = ACTIONS(2674),
    [anon_sym_case] = ACTIONS(2674),
    [anon_sym_default] = ACTIONS(2674),
    [anon_sym_while] = ACTIONS(2674),
    [anon_sym_do] = ACTIONS(2674),
    [anon_sym_for] = ACTIONS(2674),
    [anon_sym_in] = ACTIONS(2674),
    [anon_sym_return] = ACTIONS(2674),
    [anon_sym_break] = ACTIONS(2674),
    [anon_sym_continue] = ACTIONS(2674),
    [anon_sym_goto] = ACTIONS(2674),
    [anon_sym_DASH_DASH] = ACTIONS(2676),
    [anon_sym_PLUS_PLUS] = ACTIONS(2676),
    [anon_sym_sizeof] = ACTIONS(2674),
    [anon_sym___alignof__] = ACTIONS(2674),
    [anon_sym___alignof] = ACTIONS(2674),
    [anon_sym__alignof] = ACTIONS(2674),
    [anon_sym_alignof] = ACTIONS(2674),
    [anon_sym__Alignof] = ACTIONS(2674),
    [anon_sym_offsetof] = ACTIONS(2674),
    [anon_sym__Generic] = ACTIONS(2674),
    [anon_sym_asm] = ACTIONS(2674),
    [anon_sym___asm__] = ACTIONS(2674),
    [anon_sym___asm] = ACTIONS(2674),
    [sym_number_literal] = ACTIONS(2676),
    [anon_sym_L_SQUOTE] = ACTIONS(2676),
    [anon_sym_u_SQUOTE] = ACTIONS(2676),
    [anon_sym_U_SQUOTE] = ACTIONS(2676),
    [anon_sym_u8_SQUOTE] = ACTIONS(2676),
    [anon_sym_SQUOTE] = ACTIONS(2676),
    [anon_sym_AT] = ACTIONS(2674),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [anon_sym_L_DQUOTE] = ACTIONS(2676),
    [anon_sym_u_DQUOTE] = ACTIONS(2676),
    [anon_sym_U_DQUOTE] = ACTIONS(2676),
    [anon_sym_u8_DQUOTE] = ACTIONS(2676),
    [sym_true] = ACTIONS(2674),
    [sym_false] = ACTIONS(2674),
    [anon_sym_NULL] = ACTIONS(2674),
    [anon_sym_nullptr] = ACTIONS(2674),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2674),
    [anon_sym___typeof] = ACTIONS(2674),
    [anon_sym_typeof] = ACTIONS(2674),
    [anon_sym_ATimport] = ACTIONS(2676),
    [aux_sym_preproc_undef_token1] = ACTIONS(2674),
    [anon_sym_POUND] = ACTIONS(2674),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2674),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2674),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2674),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2674),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2674),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2674),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2674),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2674),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2674),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_API_AVAILABLE] = ACTIONS(2674),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_API_DEPRECATED] = ACTIONS(2674),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2674),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2674),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2674),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2674),
    [anon_sym___deprecated_msg] = ACTIONS(2674),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2674),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2674),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2674),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2674),
    [anon_sym_ATprotocol] = ACTIONS(2676),
    [anon_sym_ATinterface] = ACTIONS(2676),
    [anon_sym_ATimplementation] = ACTIONS(2676),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2676),
    [anon_sym_ATsynthesize] = ACTIONS(2676),
    [anon_sym_ATdynamic] = ACTIONS(2676),
    [anon_sym_ATtry] = ACTIONS(2676),
    [anon_sym___try] = ACTIONS(2674),
    [anon_sym_ATthrow] = ACTIONS(2676),
    [anon_sym_ATselector] = ACTIONS(2676),
    [anon_sym_ATavailable] = ACTIONS(2676),
    [anon_sym___builtin_available] = ACTIONS(2674),
    [anon_sym_va_arg] = ACTIONS(2674),
    [anon_sym_ATencode] = ACTIONS(2676),
    [anon_sym_ATsynchronized] = ACTIONS(2676),
    [anon_sym_BOOL] = ACTIONS(2674),
    [anon_sym_IMP] = ACTIONS(2674),
    [anon_sym_SEL] = ACTIONS(2674),
    [anon_sym_Class] = ACTIONS(2674),
    [anon_sym_id] = ACTIONS(2674),
  },
  [675] = {
    [sym_identifier] = ACTIONS(2774),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_include_token2] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token2] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2774),
    [sym_preproc_directive] = ACTIONS(2774),
    [anon_sym_LPAREN2] = ACTIONS(2776),
    [anon_sym_BANG] = ACTIONS(2776),
    [anon_sym_TILDE] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2774),
    [anon_sym_PLUS] = ACTIONS(2774),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_CARET] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2776),
    [anon_sym_SEMI] = ACTIONS(2776),
    [anon_sym___extension__] = ACTIONS(2774),
    [anon_sym_typedef] = ACTIONS(2774),
    [anon_sym_extern] = ACTIONS(2774),
    [anon_sym___attribute__] = ACTIONS(2774),
    [anon_sym___attribute] = ACTIONS(2774),
    [anon_sym_noreturn] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2776),
    [anon_sym___declspec] = ACTIONS(2774),
    [anon_sym___cdecl] = ACTIONS(2774),
    [anon_sym___clrcall] = ACTIONS(2774),
    [anon_sym___stdcall] = ACTIONS(2774),
    [anon_sym___fastcall] = ACTIONS(2774),
    [anon_sym___thiscall] = ACTIONS(2774),
    [anon_sym___vectorcall] = ACTIONS(2774),
    [anon_sym_LBRACE] = ACTIONS(2776),
    [anon_sym_signed] = ACTIONS(2774),
    [anon_sym_unsigned] = ACTIONS(2774),
    [anon_sym_long] = ACTIONS(2774),
    [anon_sym_short] = ACTIONS(2774),
    [anon_sym_static] = ACTIONS(2774),
    [anon_sym_ATautoreleasepool] = ACTIONS(2776),
    [anon_sym_auto] = ACTIONS(2774),
    [anon_sym_register] = ACTIONS(2774),
    [anon_sym_inline] = ACTIONS(2774),
    [anon_sym___inline] = ACTIONS(2774),
    [anon_sym___inline__] = ACTIONS(2774),
    [anon_sym___forceinline] = ACTIONS(2774),
    [anon_sym_thread_local] = ACTIONS(2774),
    [anon_sym___thread] = ACTIONS(2774),
    [anon_sym_CG_EXTERN] = ACTIONS(2774),
    [anon_sym_CG_INLINE] = ACTIONS(2774),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2774),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2774),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2774),
    [anon_sym_IBOutlet] = ACTIONS(2774),
    [anon_sym_IBInspectable] = ACTIONS(2774),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2774),
    [anon_sym_NS_INLINE] = ACTIONS(2774),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2774),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2774),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2774),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2774),
    [anon_sym_const] = ACTIONS(2774),
    [anon_sym_constexpr] = ACTIONS(2774),
    [anon_sym_volatile] = ACTIONS(2774),
    [anon_sym_restrict] = ACTIONS(2774),
    [anon_sym___restrict__] = ACTIONS(2774),
    [anon_sym__Atomic] = ACTIONS(2774),
    [anon_sym__Noreturn] = ACTIONS(2774),
    [anon_sym__Nonnull] = ACTIONS(2774),
    [anon_sym_nullable] = ACTIONS(2774),
    [anon_sym__Complex] = ACTIONS(2774),
    [anon_sym__Nullable] = ACTIONS(2774),
    [anon_sym__Nullable_result] = ACTIONS(2774),
    [anon_sym__Null_unspecified] = ACTIONS(2774),
    [anon_sym___autoreleasing] = ACTIONS(2774),
    [anon_sym___block] = ACTIONS(2774),
    [anon_sym___bridge] = ACTIONS(2774),
    [anon_sym___bridge_retained] = ACTIONS(2774),
    [anon_sym___bridge_transfer] = ACTIONS(2774),
    [anon_sym___complex] = ACTIONS(2774),
    [anon_sym___const] = ACTIONS(2774),
    [anon_sym___imag] = ACTIONS(2774),
    [anon_sym___kindof] = ACTIONS(2774),
    [anon_sym___nonnull] = ACTIONS(2774),
    [anon_sym___nullable] = ACTIONS(2774),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2774),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2774),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2774),
    [anon_sym___real] = ACTIONS(2774),
    [anon_sym___strong] = ACTIONS(2774),
    [anon_sym___unsafe_unretained] = ACTIONS(2774),
    [anon_sym___unused] = ACTIONS(2774),
    [anon_sym___weak] = ACTIONS(2774),
    [anon_sym_alignas] = ACTIONS(2774),
    [anon_sym__Alignas] = ACTIONS(2774),
    [sym_primitive_type] = ACTIONS(2774),
    [anon_sym_enum] = ACTIONS(2774),
    [anon_sym_struct] = ACTIONS(2774),
    [anon_sym_union] = ACTIONS(2774),
    [anon_sym_if] = ACTIONS(2774),
    [anon_sym_switch] = ACTIONS(2774),
    [anon_sym_case] = ACTIONS(2774),
    [anon_sym_default] = ACTIONS(2774),
    [anon_sym_while] = ACTIONS(2774),
    [anon_sym_do] = ACTIONS(2774),
    [anon_sym_for] = ACTIONS(2774),
    [anon_sym_in] = ACTIONS(2774),
    [anon_sym_return] = ACTIONS(2774),
    [anon_sym_break] = ACTIONS(2774),
    [anon_sym_continue] = ACTIONS(2774),
    [anon_sym_goto] = ACTIONS(2774),
    [anon_sym_DASH_DASH] = ACTIONS(2776),
    [anon_sym_PLUS_PLUS] = ACTIONS(2776),
    [anon_sym_sizeof] = ACTIONS(2774),
    [anon_sym___alignof__] = ACTIONS(2774),
    [anon_sym___alignof] = ACTIONS(2774),
    [anon_sym__alignof] = ACTIONS(2774),
    [anon_sym_alignof] = ACTIONS(2774),
    [anon_sym__Alignof] = ACTIONS(2774),
    [anon_sym_offsetof] = ACTIONS(2774),
    [anon_sym__Generic] = ACTIONS(2774),
    [anon_sym_asm] = ACTIONS(2774),
    [anon_sym___asm__] = ACTIONS(2774),
    [anon_sym___asm] = ACTIONS(2774),
    [sym_number_literal] = ACTIONS(2776),
    [anon_sym_L_SQUOTE] = ACTIONS(2776),
    [anon_sym_u_SQUOTE] = ACTIONS(2776),
    [anon_sym_U_SQUOTE] = ACTIONS(2776),
    [anon_sym_u8_SQUOTE] = ACTIONS(2776),
    [anon_sym_SQUOTE] = ACTIONS(2776),
    [anon_sym_AT] = ACTIONS(2774),
    [anon_sym_DQUOTE] = ACTIONS(2776),
    [anon_sym_L_DQUOTE] = ACTIONS(2776),
    [anon_sym_u_DQUOTE] = ACTIONS(2776),
    [anon_sym_U_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8_DQUOTE] = ACTIONS(2776),
    [sym_true] = ACTIONS(2774),
    [sym_false] = ACTIONS(2774),
    [anon_sym_NULL] = ACTIONS(2774),
    [anon_sym_nullptr] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2774),
    [anon_sym___typeof] = ACTIONS(2774),
    [anon_sym_typeof] = ACTIONS(2774),
    [anon_sym_ATimport] = ACTIONS(2776),
    [aux_sym_preproc_undef_token1] = ACTIONS(2774),
    [anon_sym_POUND] = ACTIONS(2774),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2774),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2774),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2774),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2774),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2774),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2774),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2774),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2774),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2774),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_API_AVAILABLE] = ACTIONS(2774),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_API_DEPRECATED] = ACTIONS(2774),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2774),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2774),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2774),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2774),
    [anon_sym___deprecated_msg] = ACTIONS(2774),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2774),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2774),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2774),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2774),
    [anon_sym_ATprotocol] = ACTIONS(2776),
    [anon_sym_ATinterface] = ACTIONS(2776),
    [anon_sym_ATimplementation] = ACTIONS(2776),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2776),
    [anon_sym_ATsynthesize] = ACTIONS(2776),
    [anon_sym_ATdynamic] = ACTIONS(2776),
    [anon_sym_ATtry] = ACTIONS(2776),
    [anon_sym___try] = ACTIONS(2774),
    [anon_sym_ATthrow] = ACTIONS(2776),
    [anon_sym_ATselector] = ACTIONS(2776),
    [anon_sym_ATavailable] = ACTIONS(2776),
    [anon_sym___builtin_available] = ACTIONS(2774),
    [anon_sym_va_arg] = ACTIONS(2774),
    [anon_sym_ATencode] = ACTIONS(2776),
    [anon_sym_ATsynchronized] = ACTIONS(2776),
    [anon_sym_BOOL] = ACTIONS(2774),
    [anon_sym_IMP] = ACTIONS(2774),
    [anon_sym_SEL] = ACTIONS(2774),
    [anon_sym_Class] = ACTIONS(2774),
    [anon_sym_id] = ACTIONS(2774),
  },
  [676] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_include_token1] = ACTIONS(2798),
    [aux_sym_preproc_include_token2] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token2] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_CARET] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2800),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym___attribute] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_ATautoreleasepool] = ACTIONS(2800),
    [anon_sym_auto] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_CG_EXTERN] = ACTIONS(2798),
    [anon_sym_CG_INLINE] = ACTIONS(2798),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2798),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2798),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2798),
    [anon_sym_IBOutlet] = ACTIONS(2798),
    [anon_sym_IBInspectable] = ACTIONS(2798),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2798),
    [anon_sym_NS_INLINE] = ACTIONS(2798),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2798),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2798),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2798),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_nullable] = ACTIONS(2798),
    [anon_sym__Complex] = ACTIONS(2798),
    [anon_sym__Nullable] = ACTIONS(2798),
    [anon_sym__Nullable_result] = ACTIONS(2798),
    [anon_sym__Null_unspecified] = ACTIONS(2798),
    [anon_sym___autoreleasing] = ACTIONS(2798),
    [anon_sym___block] = ACTIONS(2798),
    [anon_sym___bridge] = ACTIONS(2798),
    [anon_sym___bridge_retained] = ACTIONS(2798),
    [anon_sym___bridge_transfer] = ACTIONS(2798),
    [anon_sym___complex] = ACTIONS(2798),
    [anon_sym___const] = ACTIONS(2798),
    [anon_sym___imag] = ACTIONS(2798),
    [anon_sym___kindof] = ACTIONS(2798),
    [anon_sym___nonnull] = ACTIONS(2798),
    [anon_sym___nullable] = ACTIONS(2798),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2798),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2798),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2798),
    [anon_sym___real] = ACTIONS(2798),
    [anon_sym___strong] = ACTIONS(2798),
    [anon_sym___unsafe_unretained] = ACTIONS(2798),
    [anon_sym___unused] = ACTIONS(2798),
    [anon_sym___weak] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_default] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_in] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [anon_sym___asm] = ACTIONS(2798),
    [sym_number_literal] = ACTIONS(2800),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_AT] = ACTIONS(2798),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2798),
    [anon_sym___typeof] = ACTIONS(2798),
    [anon_sym_typeof] = ACTIONS(2798),
    [anon_sym_ATimport] = ACTIONS(2800),
    [aux_sym_preproc_undef_token1] = ACTIONS(2798),
    [anon_sym_POUND] = ACTIONS(2798),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2798),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2798),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2798),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2798),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2798),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2798),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2798),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2798),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_API_AVAILABLE] = ACTIONS(2798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_API_DEPRECATED] = ACTIONS(2798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2798),
    [anon_sym___deprecated_msg] = ACTIONS(2798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2798),
    [anon_sym_ATprotocol] = ACTIONS(2800),
    [anon_sym_ATinterface] = ACTIONS(2800),
    [anon_sym_ATimplementation] = ACTIONS(2800),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2800),
    [anon_sym_ATsynthesize] = ACTIONS(2800),
    [anon_sym_ATdynamic] = ACTIONS(2800),
    [anon_sym_ATtry] = ACTIONS(2800),
    [anon_sym___try] = ACTIONS(2798),
    [anon_sym_ATthrow] = ACTIONS(2800),
    [anon_sym_ATselector] = ACTIONS(2800),
    [anon_sym_ATavailable] = ACTIONS(2800),
    [anon_sym___builtin_available] = ACTIONS(2798),
    [anon_sym_va_arg] = ACTIONS(2798),
    [anon_sym_ATencode] = ACTIONS(2800),
    [anon_sym_ATsynchronized] = ACTIONS(2800),
    [anon_sym_BOOL] = ACTIONS(2798),
    [anon_sym_IMP] = ACTIONS(2798),
    [anon_sym_SEL] = ACTIONS(2798),
    [anon_sym_Class] = ACTIONS(2798),
    [anon_sym_id] = ACTIONS(2798),
  },
  [677] = {
    [sym_identifier] = ACTIONS(2848),
    [aux_sym_preproc_include_token1] = ACTIONS(2848),
    [aux_sym_preproc_include_token2] = ACTIONS(2848),
    [aux_sym_preproc_def_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token2] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2848),
    [sym_preproc_directive] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(2850),
    [anon_sym_BANG] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_DASH] = ACTIONS(2848),
    [anon_sym_PLUS] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_CARET] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym_SEMI] = ACTIONS(2850),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym_typedef] = ACTIONS(2848),
    [anon_sym_extern] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym___attribute] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym___declspec] = ACTIONS(2848),
    [anon_sym___cdecl] = ACTIONS(2848),
    [anon_sym___clrcall] = ACTIONS(2848),
    [anon_sym___stdcall] = ACTIONS(2848),
    [anon_sym___fastcall] = ACTIONS(2848),
    [anon_sym___thiscall] = ACTIONS(2848),
    [anon_sym___vectorcall] = ACTIONS(2848),
    [anon_sym_LBRACE] = ACTIONS(2850),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_ATautoreleasepool] = ACTIONS(2850),
    [anon_sym_auto] = ACTIONS(2848),
    [anon_sym_register] = ACTIONS(2848),
    [anon_sym_inline] = ACTIONS(2848),
    [anon_sym___inline] = ACTIONS(2848),
    [anon_sym___inline__] = ACTIONS(2848),
    [anon_sym___forceinline] = ACTIONS(2848),
    [anon_sym_thread_local] = ACTIONS(2848),
    [anon_sym___thread] = ACTIONS(2848),
    [anon_sym_CG_EXTERN] = ACTIONS(2848),
    [anon_sym_CG_INLINE] = ACTIONS(2848),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2848),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2848),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2848),
    [anon_sym_IBOutlet] = ACTIONS(2848),
    [anon_sym_IBInspectable] = ACTIONS(2848),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2848),
    [anon_sym_NS_INLINE] = ACTIONS(2848),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2848),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2848),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2848),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym__Nonnull] = ACTIONS(2848),
    [anon_sym_nullable] = ACTIONS(2848),
    [anon_sym__Complex] = ACTIONS(2848),
    [anon_sym__Nullable] = ACTIONS(2848),
    [anon_sym__Nullable_result] = ACTIONS(2848),
    [anon_sym__Null_unspecified] = ACTIONS(2848),
    [anon_sym___autoreleasing] = ACTIONS(2848),
    [anon_sym___block] = ACTIONS(2848),
    [anon_sym___bridge] = ACTIONS(2848),
    [anon_sym___bridge_retained] = ACTIONS(2848),
    [anon_sym___bridge_transfer] = ACTIONS(2848),
    [anon_sym___complex] = ACTIONS(2848),
    [anon_sym___const] = ACTIONS(2848),
    [anon_sym___imag] = ACTIONS(2848),
    [anon_sym___kindof] = ACTIONS(2848),
    [anon_sym___nonnull] = ACTIONS(2848),
    [anon_sym___nullable] = ACTIONS(2848),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2848),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2848),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2848),
    [anon_sym___real] = ACTIONS(2848),
    [anon_sym___strong] = ACTIONS(2848),
    [anon_sym___unsafe_unretained] = ACTIONS(2848),
    [anon_sym___unused] = ACTIONS(2848),
    [anon_sym___weak] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym__Alignas] = ACTIONS(2848),
    [sym_primitive_type] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [anon_sym_if] = ACTIONS(2848),
    [anon_sym_switch] = ACTIONS(2848),
    [anon_sym_case] = ACTIONS(2848),
    [anon_sym_default] = ACTIONS(2848),
    [anon_sym_while] = ACTIONS(2848),
    [anon_sym_do] = ACTIONS(2848),
    [anon_sym_for] = ACTIONS(2848),
    [anon_sym_in] = ACTIONS(2848),
    [anon_sym_return] = ACTIONS(2848),
    [anon_sym_break] = ACTIONS(2848),
    [anon_sym_continue] = ACTIONS(2848),
    [anon_sym_goto] = ACTIONS(2848),
    [anon_sym_DASH_DASH] = ACTIONS(2850),
    [anon_sym_PLUS_PLUS] = ACTIONS(2850),
    [anon_sym_sizeof] = ACTIONS(2848),
    [anon_sym___alignof__] = ACTIONS(2848),
    [anon_sym___alignof] = ACTIONS(2848),
    [anon_sym__alignof] = ACTIONS(2848),
    [anon_sym_alignof] = ACTIONS(2848),
    [anon_sym__Alignof] = ACTIONS(2848),
    [anon_sym_offsetof] = ACTIONS(2848),
    [anon_sym__Generic] = ACTIONS(2848),
    [anon_sym_asm] = ACTIONS(2848),
    [anon_sym___asm__] = ACTIONS(2848),
    [anon_sym___asm] = ACTIONS(2848),
    [sym_number_literal] = ACTIONS(2850),
    [anon_sym_L_SQUOTE] = ACTIONS(2850),
    [anon_sym_u_SQUOTE] = ACTIONS(2850),
    [anon_sym_U_SQUOTE] = ACTIONS(2850),
    [anon_sym_u8_SQUOTE] = ACTIONS(2850),
    [anon_sym_SQUOTE] = ACTIONS(2850),
    [anon_sym_AT] = ACTIONS(2848),
    [anon_sym_DQUOTE] = ACTIONS(2850),
    [anon_sym_L_DQUOTE] = ACTIONS(2850),
    [anon_sym_u_DQUOTE] = ACTIONS(2850),
    [anon_sym_U_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8_DQUOTE] = ACTIONS(2850),
    [sym_true] = ACTIONS(2848),
    [sym_false] = ACTIONS(2848),
    [anon_sym_NULL] = ACTIONS(2848),
    [anon_sym_nullptr] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2848),
    [anon_sym___typeof] = ACTIONS(2848),
    [anon_sym_typeof] = ACTIONS(2848),
    [anon_sym_ATimport] = ACTIONS(2850),
    [aux_sym_preproc_undef_token1] = ACTIONS(2848),
    [anon_sym_POUND] = ACTIONS(2848),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2848),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2848),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2848),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2848),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2848),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2848),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2848),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2848),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2848),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2848),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2848),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2848),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2848),
    [anon_sym_API_AVAILABLE] = ACTIONS(2848),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2848),
    [anon_sym_API_DEPRECATED] = ACTIONS(2848),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2848),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2848),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2848),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2848),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2848),
    [anon_sym___deprecated_msg] = ACTIONS(2848),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2848),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2848),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2848),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2848),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2848),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2848),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2848),
    [anon_sym_ATprotocol] = ACTIONS(2850),
    [anon_sym_ATinterface] = ACTIONS(2850),
    [anon_sym_ATimplementation] = ACTIONS(2850),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2850),
    [anon_sym_ATsynthesize] = ACTIONS(2850),
    [anon_sym_ATdynamic] = ACTIONS(2850),
    [anon_sym_ATtry] = ACTIONS(2850),
    [anon_sym___try] = ACTIONS(2848),
    [anon_sym_ATthrow] = ACTIONS(2850),
    [anon_sym_ATselector] = ACTIONS(2850),
    [anon_sym_ATavailable] = ACTIONS(2850),
    [anon_sym___builtin_available] = ACTIONS(2848),
    [anon_sym_va_arg] = ACTIONS(2848),
    [anon_sym_ATencode] = ACTIONS(2850),
    [anon_sym_ATsynchronized] = ACTIONS(2850),
    [anon_sym_BOOL] = ACTIONS(2848),
    [anon_sym_IMP] = ACTIONS(2848),
    [anon_sym_SEL] = ACTIONS(2848),
    [anon_sym_Class] = ACTIONS(2848),
    [anon_sym_id] = ACTIONS(2848),
  },
  [678] = {
    [sym_identifier] = ACTIONS(2786),
    [aux_sym_preproc_include_token1] = ACTIONS(2786),
    [aux_sym_preproc_include_token2] = ACTIONS(2786),
    [aux_sym_preproc_def_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token2] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2786),
    [sym_preproc_directive] = ACTIONS(2786),
    [anon_sym_LPAREN2] = ACTIONS(2788),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_TILDE] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_CARET] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2788),
    [anon_sym_SEMI] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym___attribute] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym___cdecl] = ACTIONS(2786),
    [anon_sym___clrcall] = ACTIONS(2786),
    [anon_sym___stdcall] = ACTIONS(2786),
    [anon_sym___fastcall] = ACTIONS(2786),
    [anon_sym___thiscall] = ACTIONS(2786),
    [anon_sym___vectorcall] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2788),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_ATautoreleasepool] = ACTIONS(2788),
    [anon_sym_auto] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_CG_EXTERN] = ACTIONS(2786),
    [anon_sym_CG_INLINE] = ACTIONS(2786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2786),
    [anon_sym_IBOutlet] = ACTIONS(2786),
    [anon_sym_IBInspectable] = ACTIONS(2786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2786),
    [anon_sym_NS_INLINE] = ACTIONS(2786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym__Nonnull] = ACTIONS(2786),
    [anon_sym_nullable] = ACTIONS(2786),
    [anon_sym__Complex] = ACTIONS(2786),
    [anon_sym__Nullable] = ACTIONS(2786),
    [anon_sym__Nullable_result] = ACTIONS(2786),
    [anon_sym__Null_unspecified] = ACTIONS(2786),
    [anon_sym___autoreleasing] = ACTIONS(2786),
    [anon_sym___block] = ACTIONS(2786),
    [anon_sym___bridge] = ACTIONS(2786),
    [anon_sym___bridge_retained] = ACTIONS(2786),
    [anon_sym___bridge_transfer] = ACTIONS(2786),
    [anon_sym___complex] = ACTIONS(2786),
    [anon_sym___const] = ACTIONS(2786),
    [anon_sym___imag] = ACTIONS(2786),
    [anon_sym___kindof] = ACTIONS(2786),
    [anon_sym___nonnull] = ACTIONS(2786),
    [anon_sym___nullable] = ACTIONS(2786),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2786),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2786),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2786),
    [anon_sym___real] = ACTIONS(2786),
    [anon_sym___strong] = ACTIONS(2786),
    [anon_sym___unsafe_unretained] = ACTIONS(2786),
    [anon_sym___unused] = ACTIONS(2786),
    [anon_sym___weak] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym__Alignas] = ACTIONS(2786),
    [sym_primitive_type] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [anon_sym_if] = ACTIONS(2786),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_case] = ACTIONS(2786),
    [anon_sym_default] = ACTIONS(2786),
    [anon_sym_while] = ACTIONS(2786),
    [anon_sym_do] = ACTIONS(2786),
    [anon_sym_for] = ACTIONS(2786),
    [anon_sym_in] = ACTIONS(2786),
    [anon_sym_return] = ACTIONS(2786),
    [anon_sym_break] = ACTIONS(2786),
    [anon_sym_continue] = ACTIONS(2786),
    [anon_sym_goto] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2788),
    [anon_sym_sizeof] = ACTIONS(2786),
    [anon_sym___alignof__] = ACTIONS(2786),
    [anon_sym___alignof] = ACTIONS(2786),
    [anon_sym__alignof] = ACTIONS(2786),
    [anon_sym_alignof] = ACTIONS(2786),
    [anon_sym__Alignof] = ACTIONS(2786),
    [anon_sym_offsetof] = ACTIONS(2786),
    [anon_sym__Generic] = ACTIONS(2786),
    [anon_sym_asm] = ACTIONS(2786),
    [anon_sym___asm__] = ACTIONS(2786),
    [anon_sym___asm] = ACTIONS(2786),
    [sym_number_literal] = ACTIONS(2788),
    [anon_sym_L_SQUOTE] = ACTIONS(2788),
    [anon_sym_u_SQUOTE] = ACTIONS(2788),
    [anon_sym_U_SQUOTE] = ACTIONS(2788),
    [anon_sym_u8_SQUOTE] = ACTIONS(2788),
    [anon_sym_SQUOTE] = ACTIONS(2788),
    [anon_sym_AT] = ACTIONS(2786),
    [anon_sym_DQUOTE] = ACTIONS(2788),
    [anon_sym_L_DQUOTE] = ACTIONS(2788),
    [anon_sym_u_DQUOTE] = ACTIONS(2788),
    [anon_sym_U_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8_DQUOTE] = ACTIONS(2788),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [anon_sym_NULL] = ACTIONS(2786),
    [anon_sym_nullptr] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2786),
    [anon_sym___typeof] = ACTIONS(2786),
    [anon_sym_typeof] = ACTIONS(2786),
    [anon_sym_ATimport] = ACTIONS(2788),
    [aux_sym_preproc_undef_token1] = ACTIONS(2786),
    [anon_sym_POUND] = ACTIONS(2786),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2786),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2786),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2786),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2786),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2786),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2786),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2786),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2786),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2786),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_API_AVAILABLE] = ACTIONS(2786),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_API_DEPRECATED] = ACTIONS(2786),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2786),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2786),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2786),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2786),
    [anon_sym___deprecated_msg] = ACTIONS(2786),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2786),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2786),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2786),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2786),
    [anon_sym_ATprotocol] = ACTIONS(2788),
    [anon_sym_ATinterface] = ACTIONS(2788),
    [anon_sym_ATimplementation] = ACTIONS(2788),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2788),
    [anon_sym_ATsynthesize] = ACTIONS(2788),
    [anon_sym_ATdynamic] = ACTIONS(2788),
    [anon_sym_ATtry] = ACTIONS(2788),
    [anon_sym___try] = ACTIONS(2786),
    [anon_sym_ATthrow] = ACTIONS(2788),
    [anon_sym_ATselector] = ACTIONS(2788),
    [anon_sym_ATavailable] = ACTIONS(2788),
    [anon_sym___builtin_available] = ACTIONS(2786),
    [anon_sym_va_arg] = ACTIONS(2786),
    [anon_sym_ATencode] = ACTIONS(2788),
    [anon_sym_ATsynchronized] = ACTIONS(2788),
    [anon_sym_BOOL] = ACTIONS(2786),
    [anon_sym_IMP] = ACTIONS(2786),
    [anon_sym_SEL] = ACTIONS(2786),
    [anon_sym_Class] = ACTIONS(2786),
    [anon_sym_id] = ACTIONS(2786),
  },
  [679] = {
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_include_token1] = ACTIONS(2790),
    [aux_sym_preproc_include_token2] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token2] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2790),
    [anon_sym_PLUS] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_CARET] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2792),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym___attribute] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___cdecl] = ACTIONS(2790),
    [anon_sym___clrcall] = ACTIONS(2790),
    [anon_sym___stdcall] = ACTIONS(2790),
    [anon_sym___fastcall] = ACTIONS(2790),
    [anon_sym___thiscall] = ACTIONS(2790),
    [anon_sym___vectorcall] = ACTIONS(2790),
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_ATautoreleasepool] = ACTIONS(2792),
    [anon_sym_auto] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_CG_EXTERN] = ACTIONS(2790),
    [anon_sym_CG_INLINE] = ACTIONS(2790),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2790),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2790),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2790),
    [anon_sym_IBOutlet] = ACTIONS(2790),
    [anon_sym_IBInspectable] = ACTIONS(2790),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2790),
    [anon_sym_NS_INLINE] = ACTIONS(2790),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2790),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2790),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2790),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_nullable] = ACTIONS(2790),
    [anon_sym__Complex] = ACTIONS(2790),
    [anon_sym__Nullable] = ACTIONS(2790),
    [anon_sym__Nullable_result] = ACTIONS(2790),
    [anon_sym__Null_unspecified] = ACTIONS(2790),
    [anon_sym___autoreleasing] = ACTIONS(2790),
    [anon_sym___block] = ACTIONS(2790),
    [anon_sym___bridge] = ACTIONS(2790),
    [anon_sym___bridge_retained] = ACTIONS(2790),
    [anon_sym___bridge_transfer] = ACTIONS(2790),
    [anon_sym___complex] = ACTIONS(2790),
    [anon_sym___const] = ACTIONS(2790),
    [anon_sym___imag] = ACTIONS(2790),
    [anon_sym___kindof] = ACTIONS(2790),
    [anon_sym___nonnull] = ACTIONS(2790),
    [anon_sym___nullable] = ACTIONS(2790),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2790),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2790),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2790),
    [anon_sym___real] = ACTIONS(2790),
    [anon_sym___strong] = ACTIONS(2790),
    [anon_sym___unsafe_unretained] = ACTIONS(2790),
    [anon_sym___unused] = ACTIONS(2790),
    [anon_sym___weak] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [sym_primitive_type] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [anon_sym_if] = ACTIONS(2790),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_case] = ACTIONS(2790),
    [anon_sym_default] = ACTIONS(2790),
    [anon_sym_while] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_for] = ACTIONS(2790),
    [anon_sym_in] = ACTIONS(2790),
    [anon_sym_return] = ACTIONS(2790),
    [anon_sym_break] = ACTIONS(2790),
    [anon_sym_continue] = ACTIONS(2790),
    [anon_sym_goto] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2792),
    [anon_sym_sizeof] = ACTIONS(2790),
    [anon_sym___alignof__] = ACTIONS(2790),
    [anon_sym___alignof] = ACTIONS(2790),
    [anon_sym__alignof] = ACTIONS(2790),
    [anon_sym_alignof] = ACTIONS(2790),
    [anon_sym__Alignof] = ACTIONS(2790),
    [anon_sym_offsetof] = ACTIONS(2790),
    [anon_sym__Generic] = ACTIONS(2790),
    [anon_sym_asm] = ACTIONS(2790),
    [anon_sym___asm__] = ACTIONS(2790),
    [anon_sym___asm] = ACTIONS(2790),
    [sym_number_literal] = ACTIONS(2792),
    [anon_sym_L_SQUOTE] = ACTIONS(2792),
    [anon_sym_u_SQUOTE] = ACTIONS(2792),
    [anon_sym_U_SQUOTE] = ACTIONS(2792),
    [anon_sym_u8_SQUOTE] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2792),
    [anon_sym_AT] = ACTIONS(2790),
    [anon_sym_DQUOTE] = ACTIONS(2792),
    [anon_sym_L_DQUOTE] = ACTIONS(2792),
    [anon_sym_u_DQUOTE] = ACTIONS(2792),
    [anon_sym_U_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8_DQUOTE] = ACTIONS(2792),
    [sym_true] = ACTIONS(2790),
    [sym_false] = ACTIONS(2790),
    [anon_sym_NULL] = ACTIONS(2790),
    [anon_sym_nullptr] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2790),
    [anon_sym___typeof] = ACTIONS(2790),
    [anon_sym_typeof] = ACTIONS(2790),
    [anon_sym_ATimport] = ACTIONS(2792),
    [aux_sym_preproc_undef_token1] = ACTIONS(2790),
    [anon_sym_POUND] = ACTIONS(2790),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2790),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2790),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2790),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2790),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2790),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2790),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2790),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2790),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2790),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_API_AVAILABLE] = ACTIONS(2790),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_API_DEPRECATED] = ACTIONS(2790),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2790),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2790),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2790),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2790),
    [anon_sym___deprecated_msg] = ACTIONS(2790),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2790),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2790),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2790),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2790),
    [anon_sym_ATprotocol] = ACTIONS(2792),
    [anon_sym_ATinterface] = ACTIONS(2792),
    [anon_sym_ATimplementation] = ACTIONS(2792),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2792),
    [anon_sym_ATsynthesize] = ACTIONS(2792),
    [anon_sym_ATdynamic] = ACTIONS(2792),
    [anon_sym_ATtry] = ACTIONS(2792),
    [anon_sym___try] = ACTIONS(2790),
    [anon_sym_ATthrow] = ACTIONS(2792),
    [anon_sym_ATselector] = ACTIONS(2792),
    [anon_sym_ATavailable] = ACTIONS(2792),
    [anon_sym___builtin_available] = ACTIONS(2790),
    [anon_sym_va_arg] = ACTIONS(2790),
    [anon_sym_ATencode] = ACTIONS(2792),
    [anon_sym_ATsynchronized] = ACTIONS(2792),
    [anon_sym_BOOL] = ACTIONS(2790),
    [anon_sym_IMP] = ACTIONS(2790),
    [anon_sym_SEL] = ACTIONS(2790),
    [anon_sym_Class] = ACTIONS(2790),
    [anon_sym_id] = ACTIONS(2790),
  },
  [680] = {
    [sym_identifier] = ACTIONS(2638),
    [aux_sym_preproc_include_token1] = ACTIONS(2638),
    [aux_sym_preproc_include_token2] = ACTIONS(2638),
    [aux_sym_preproc_def_token1] = ACTIONS(2638),
    [aux_sym_preproc_if_token1] = ACTIONS(2638),
    [aux_sym_preproc_if_token2] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2638),
    [sym_preproc_directive] = ACTIONS(2638),
    [anon_sym_LPAREN2] = ACTIONS(2640),
    [anon_sym_BANG] = ACTIONS(2640),
    [anon_sym_TILDE] = ACTIONS(2640),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2640),
    [anon_sym_CARET] = ACTIONS(2640),
    [anon_sym_AMP] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym___extension__] = ACTIONS(2638),
    [anon_sym_typedef] = ACTIONS(2638),
    [anon_sym_extern] = ACTIONS(2638),
    [anon_sym___attribute__] = ACTIONS(2638),
    [anon_sym___attribute] = ACTIONS(2638),
    [anon_sym_noreturn] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym___declspec] = ACTIONS(2638),
    [anon_sym___cdecl] = ACTIONS(2638),
    [anon_sym___clrcall] = ACTIONS(2638),
    [anon_sym___stdcall] = ACTIONS(2638),
    [anon_sym___fastcall] = ACTIONS(2638),
    [anon_sym___thiscall] = ACTIONS(2638),
    [anon_sym___vectorcall] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_signed] = ACTIONS(2638),
    [anon_sym_unsigned] = ACTIONS(2638),
    [anon_sym_long] = ACTIONS(2638),
    [anon_sym_short] = ACTIONS(2638),
    [anon_sym_static] = ACTIONS(2638),
    [anon_sym_ATautoreleasepool] = ACTIONS(2640),
    [anon_sym_auto] = ACTIONS(2638),
    [anon_sym_register] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym___inline] = ACTIONS(2638),
    [anon_sym___inline__] = ACTIONS(2638),
    [anon_sym___forceinline] = ACTIONS(2638),
    [anon_sym_thread_local] = ACTIONS(2638),
    [anon_sym___thread] = ACTIONS(2638),
    [anon_sym_CG_EXTERN] = ACTIONS(2638),
    [anon_sym_CG_INLINE] = ACTIONS(2638),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2638),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2638),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2638),
    [anon_sym_IBOutlet] = ACTIONS(2638),
    [anon_sym_IBInspectable] = ACTIONS(2638),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2638),
    [anon_sym_NS_INLINE] = ACTIONS(2638),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2638),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2638),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2638),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_constexpr] = ACTIONS(2638),
    [anon_sym_volatile] = ACTIONS(2638),
    [anon_sym_restrict] = ACTIONS(2638),
    [anon_sym___restrict__] = ACTIONS(2638),
    [anon_sym__Atomic] = ACTIONS(2638),
    [anon_sym__Noreturn] = ACTIONS(2638),
    [anon_sym__Nonnull] = ACTIONS(2638),
    [anon_sym_nullable] = ACTIONS(2638),
    [anon_sym__Complex] = ACTIONS(2638),
    [anon_sym__Nullable] = ACTIONS(2638),
    [anon_sym__Nullable_result] = ACTIONS(2638),
    [anon_sym__Null_unspecified] = ACTIONS(2638),
    [anon_sym___autoreleasing] = ACTIONS(2638),
    [anon_sym___block] = ACTIONS(2638),
    [anon_sym___bridge] = ACTIONS(2638),
    [anon_sym___bridge_retained] = ACTIONS(2638),
    [anon_sym___bridge_transfer] = ACTIONS(2638),
    [anon_sym___complex] = ACTIONS(2638),
    [anon_sym___const] = ACTIONS(2638),
    [anon_sym___imag] = ACTIONS(2638),
    [anon_sym___kindof] = ACTIONS(2638),
    [anon_sym___nonnull] = ACTIONS(2638),
    [anon_sym___nullable] = ACTIONS(2638),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2638),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2638),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2638),
    [anon_sym___real] = ACTIONS(2638),
    [anon_sym___strong] = ACTIONS(2638),
    [anon_sym___unsafe_unretained] = ACTIONS(2638),
    [anon_sym___unused] = ACTIONS(2638),
    [anon_sym___weak] = ACTIONS(2638),
    [anon_sym_alignas] = ACTIONS(2638),
    [anon_sym__Alignas] = ACTIONS(2638),
    [sym_primitive_type] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_struct] = ACTIONS(2638),
    [anon_sym_union] = ACTIONS(2638),
    [anon_sym_if] = ACTIONS(2638),
    [anon_sym_switch] = ACTIONS(2638),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_default] = ACTIONS(2638),
    [anon_sym_while] = ACTIONS(2638),
    [anon_sym_do] = ACTIONS(2638),
    [anon_sym_for] = ACTIONS(2638),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_return] = ACTIONS(2638),
    [anon_sym_break] = ACTIONS(2638),
    [anon_sym_continue] = ACTIONS(2638),
    [anon_sym_goto] = ACTIONS(2638),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_sizeof] = ACTIONS(2638),
    [anon_sym___alignof__] = ACTIONS(2638),
    [anon_sym___alignof] = ACTIONS(2638),
    [anon_sym__alignof] = ACTIONS(2638),
    [anon_sym_alignof] = ACTIONS(2638),
    [anon_sym__Alignof] = ACTIONS(2638),
    [anon_sym_offsetof] = ACTIONS(2638),
    [anon_sym__Generic] = ACTIONS(2638),
    [anon_sym_asm] = ACTIONS(2638),
    [anon_sym___asm__] = ACTIONS(2638),
    [anon_sym___asm] = ACTIONS(2638),
    [sym_number_literal] = ACTIONS(2640),
    [anon_sym_L_SQUOTE] = ACTIONS(2640),
    [anon_sym_u_SQUOTE] = ACTIONS(2640),
    [anon_sym_U_SQUOTE] = ACTIONS(2640),
    [anon_sym_u8_SQUOTE] = ACTIONS(2640),
    [anon_sym_SQUOTE] = ACTIONS(2640),
    [anon_sym_AT] = ACTIONS(2638),
    [anon_sym_DQUOTE] = ACTIONS(2640),
    [anon_sym_L_DQUOTE] = ACTIONS(2640),
    [anon_sym_u_DQUOTE] = ACTIONS(2640),
    [anon_sym_U_DQUOTE] = ACTIONS(2640),
    [anon_sym_u8_DQUOTE] = ACTIONS(2640),
    [sym_true] = ACTIONS(2638),
    [sym_false] = ACTIONS(2638),
    [anon_sym_NULL] = ACTIONS(2638),
    [anon_sym_nullptr] = ACTIONS(2638),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2638),
    [anon_sym___typeof] = ACTIONS(2638),
    [anon_sym_typeof] = ACTIONS(2638),
    [anon_sym_ATimport] = ACTIONS(2640),
    [aux_sym_preproc_undef_token1] = ACTIONS(2638),
    [anon_sym_POUND] = ACTIONS(2638),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2638),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2638),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2638),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2638),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2638),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2638),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2638),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2638),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2638),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2638),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2638),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2638),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2638),
    [anon_sym_API_AVAILABLE] = ACTIONS(2638),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2638),
    [anon_sym_API_DEPRECATED] = ACTIONS(2638),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2638),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2638),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2638),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2638),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2638),
    [anon_sym___deprecated_msg] = ACTIONS(2638),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2638),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2638),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2638),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2638),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2638),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2638),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2638),
    [anon_sym_ATprotocol] = ACTIONS(2640),
    [anon_sym_ATinterface] = ACTIONS(2640),
    [anon_sym_ATimplementation] = ACTIONS(2640),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2640),
    [anon_sym_ATsynthesize] = ACTIONS(2640),
    [anon_sym_ATdynamic] = ACTIONS(2640),
    [anon_sym_ATtry] = ACTIONS(2640),
    [anon_sym___try] = ACTIONS(2638),
    [anon_sym_ATthrow] = ACTIONS(2640),
    [anon_sym_ATselector] = ACTIONS(2640),
    [anon_sym_ATavailable] = ACTIONS(2640),
    [anon_sym___builtin_available] = ACTIONS(2638),
    [anon_sym_va_arg] = ACTIONS(2638),
    [anon_sym_ATencode] = ACTIONS(2640),
    [anon_sym_ATsynchronized] = ACTIONS(2640),
    [anon_sym_BOOL] = ACTIONS(2638),
    [anon_sym_IMP] = ACTIONS(2638),
    [anon_sym_SEL] = ACTIONS(2638),
    [anon_sym_Class] = ACTIONS(2638),
    [anon_sym_id] = ACTIONS(2638),
  },
  [681] = {
    [sym_identifier] = ACTIONS(2642),
    [aux_sym_preproc_include_token1] = ACTIONS(2642),
    [aux_sym_preproc_include_token2] = ACTIONS(2642),
    [aux_sym_preproc_def_token1] = ACTIONS(2642),
    [aux_sym_preproc_if_token1] = ACTIONS(2642),
    [aux_sym_preproc_if_token2] = ACTIONS(2642),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2642),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2642),
    [sym_preproc_directive] = ACTIONS(2642),
    [anon_sym_LPAREN2] = ACTIONS(2644),
    [anon_sym_BANG] = ACTIONS(2644),
    [anon_sym_TILDE] = ACTIONS(2644),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2644),
    [anon_sym_CARET] = ACTIONS(2644),
    [anon_sym_AMP] = ACTIONS(2644),
    [anon_sym_SEMI] = ACTIONS(2644),
    [anon_sym___extension__] = ACTIONS(2642),
    [anon_sym_typedef] = ACTIONS(2642),
    [anon_sym_extern] = ACTIONS(2642),
    [anon_sym___attribute__] = ACTIONS(2642),
    [anon_sym___attribute] = ACTIONS(2642),
    [anon_sym_noreturn] = ACTIONS(2642),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym___declspec] = ACTIONS(2642),
    [anon_sym___cdecl] = ACTIONS(2642),
    [anon_sym___clrcall] = ACTIONS(2642),
    [anon_sym___stdcall] = ACTIONS(2642),
    [anon_sym___fastcall] = ACTIONS(2642),
    [anon_sym___thiscall] = ACTIONS(2642),
    [anon_sym___vectorcall] = ACTIONS(2642),
    [anon_sym_LBRACE] = ACTIONS(2644),
    [anon_sym_signed] = ACTIONS(2642),
    [anon_sym_unsigned] = ACTIONS(2642),
    [anon_sym_long] = ACTIONS(2642),
    [anon_sym_short] = ACTIONS(2642),
    [anon_sym_static] = ACTIONS(2642),
    [anon_sym_ATautoreleasepool] = ACTIONS(2644),
    [anon_sym_auto] = ACTIONS(2642),
    [anon_sym_register] = ACTIONS(2642),
    [anon_sym_inline] = ACTIONS(2642),
    [anon_sym___inline] = ACTIONS(2642),
    [anon_sym___inline__] = ACTIONS(2642),
    [anon_sym___forceinline] = ACTIONS(2642),
    [anon_sym_thread_local] = ACTIONS(2642),
    [anon_sym___thread] = ACTIONS(2642),
    [anon_sym_CG_EXTERN] = ACTIONS(2642),
    [anon_sym_CG_INLINE] = ACTIONS(2642),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2642),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2642),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2642),
    [anon_sym_IBOutlet] = ACTIONS(2642),
    [anon_sym_IBInspectable] = ACTIONS(2642),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2642),
    [anon_sym_NS_INLINE] = ACTIONS(2642),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2642),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2642),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2642),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2642),
    [anon_sym_const] = ACTIONS(2642),
    [anon_sym_constexpr] = ACTIONS(2642),
    [anon_sym_volatile] = ACTIONS(2642),
    [anon_sym_restrict] = ACTIONS(2642),
    [anon_sym___restrict__] = ACTIONS(2642),
    [anon_sym__Atomic] = ACTIONS(2642),
    [anon_sym__Noreturn] = ACTIONS(2642),
    [anon_sym__Nonnull] = ACTIONS(2642),
    [anon_sym_nullable] = ACTIONS(2642),
    [anon_sym__Complex] = ACTIONS(2642),
    [anon_sym__Nullable] = ACTIONS(2642),
    [anon_sym__Nullable_result] = ACTIONS(2642),
    [anon_sym__Null_unspecified] = ACTIONS(2642),
    [anon_sym___autoreleasing] = ACTIONS(2642),
    [anon_sym___block] = ACTIONS(2642),
    [anon_sym___bridge] = ACTIONS(2642),
    [anon_sym___bridge_retained] = ACTIONS(2642),
    [anon_sym___bridge_transfer] = ACTIONS(2642),
    [anon_sym___complex] = ACTIONS(2642),
    [anon_sym___const] = ACTIONS(2642),
    [anon_sym___imag] = ACTIONS(2642),
    [anon_sym___kindof] = ACTIONS(2642),
    [anon_sym___nonnull] = ACTIONS(2642),
    [anon_sym___nullable] = ACTIONS(2642),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2642),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2642),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2642),
    [anon_sym___real] = ACTIONS(2642),
    [anon_sym___strong] = ACTIONS(2642),
    [anon_sym___unsafe_unretained] = ACTIONS(2642),
    [anon_sym___unused] = ACTIONS(2642),
    [anon_sym___weak] = ACTIONS(2642),
    [anon_sym_alignas] = ACTIONS(2642),
    [anon_sym__Alignas] = ACTIONS(2642),
    [sym_primitive_type] = ACTIONS(2642),
    [anon_sym_enum] = ACTIONS(2642),
    [anon_sym_struct] = ACTIONS(2642),
    [anon_sym_union] = ACTIONS(2642),
    [anon_sym_if] = ACTIONS(2642),
    [anon_sym_switch] = ACTIONS(2642),
    [anon_sym_case] = ACTIONS(2642),
    [anon_sym_default] = ACTIONS(2642),
    [anon_sym_while] = ACTIONS(2642),
    [anon_sym_do] = ACTIONS(2642),
    [anon_sym_for] = ACTIONS(2642),
    [anon_sym_in] = ACTIONS(2642),
    [anon_sym_return] = ACTIONS(2642),
    [anon_sym_break] = ACTIONS(2642),
    [anon_sym_continue] = ACTIONS(2642),
    [anon_sym_goto] = ACTIONS(2642),
    [anon_sym_DASH_DASH] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2644),
    [anon_sym_sizeof] = ACTIONS(2642),
    [anon_sym___alignof__] = ACTIONS(2642),
    [anon_sym___alignof] = ACTIONS(2642),
    [anon_sym__alignof] = ACTIONS(2642),
    [anon_sym_alignof] = ACTIONS(2642),
    [anon_sym__Alignof] = ACTIONS(2642),
    [anon_sym_offsetof] = ACTIONS(2642),
    [anon_sym__Generic] = ACTIONS(2642),
    [anon_sym_asm] = ACTIONS(2642),
    [anon_sym___asm__] = ACTIONS(2642),
    [anon_sym___asm] = ACTIONS(2642),
    [sym_number_literal] = ACTIONS(2644),
    [anon_sym_L_SQUOTE] = ACTIONS(2644),
    [anon_sym_u_SQUOTE] = ACTIONS(2644),
    [anon_sym_U_SQUOTE] = ACTIONS(2644),
    [anon_sym_u8_SQUOTE] = ACTIONS(2644),
    [anon_sym_SQUOTE] = ACTIONS(2644),
    [anon_sym_AT] = ACTIONS(2642),
    [anon_sym_DQUOTE] = ACTIONS(2644),
    [anon_sym_L_DQUOTE] = ACTIONS(2644),
    [anon_sym_u_DQUOTE] = ACTIONS(2644),
    [anon_sym_U_DQUOTE] = ACTIONS(2644),
    [anon_sym_u8_DQUOTE] = ACTIONS(2644),
    [sym_true] = ACTIONS(2642),
    [sym_false] = ACTIONS(2642),
    [anon_sym_NULL] = ACTIONS(2642),
    [anon_sym_nullptr] = ACTIONS(2642),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2642),
    [anon_sym___typeof] = ACTIONS(2642),
    [anon_sym_typeof] = ACTIONS(2642),
    [anon_sym_ATimport] = ACTIONS(2644),
    [aux_sym_preproc_undef_token1] = ACTIONS(2642),
    [anon_sym_POUND] = ACTIONS(2642),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2642),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2642),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2642),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2642),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2642),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2642),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2642),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2642),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2642),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2642),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2642),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2642),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2642),
    [anon_sym_API_AVAILABLE] = ACTIONS(2642),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2642),
    [anon_sym_API_DEPRECATED] = ACTIONS(2642),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2642),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2642),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2642),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2642),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2642),
    [anon_sym___deprecated_msg] = ACTIONS(2642),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2642),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2642),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2642),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2642),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2642),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2642),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2642),
    [anon_sym_ATprotocol] = ACTIONS(2644),
    [anon_sym_ATinterface] = ACTIONS(2644),
    [anon_sym_ATimplementation] = ACTIONS(2644),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2644),
    [anon_sym_ATsynthesize] = ACTIONS(2644),
    [anon_sym_ATdynamic] = ACTIONS(2644),
    [anon_sym_ATtry] = ACTIONS(2644),
    [anon_sym___try] = ACTIONS(2642),
    [anon_sym_ATthrow] = ACTIONS(2644),
    [anon_sym_ATselector] = ACTIONS(2644),
    [anon_sym_ATavailable] = ACTIONS(2644),
    [anon_sym___builtin_available] = ACTIONS(2642),
    [anon_sym_va_arg] = ACTIONS(2642),
    [anon_sym_ATencode] = ACTIONS(2644),
    [anon_sym_ATsynchronized] = ACTIONS(2644),
    [anon_sym_BOOL] = ACTIONS(2642),
    [anon_sym_IMP] = ACTIONS(2642),
    [anon_sym_SEL] = ACTIONS(2642),
    [anon_sym_Class] = ACTIONS(2642),
    [anon_sym_id] = ACTIONS(2642),
  },
  [682] = {
    [sym_identifier] = ACTIONS(2726),
    [aux_sym_preproc_include_token1] = ACTIONS(2726),
    [aux_sym_preproc_include_token2] = ACTIONS(2726),
    [aux_sym_preproc_def_token1] = ACTIONS(2726),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_if_token2] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2726),
    [sym_preproc_directive] = ACTIONS(2726),
    [anon_sym_LPAREN2] = ACTIONS(2728),
    [anon_sym_BANG] = ACTIONS(2728),
    [anon_sym_TILDE] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2726),
    [anon_sym_STAR] = ACTIONS(2728),
    [anon_sym_CARET] = ACTIONS(2728),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_SEMI] = ACTIONS(2728),
    [anon_sym___extension__] = ACTIONS(2726),
    [anon_sym_typedef] = ACTIONS(2726),
    [anon_sym_extern] = ACTIONS(2726),
    [anon_sym___attribute__] = ACTIONS(2726),
    [anon_sym___attribute] = ACTIONS(2726),
    [anon_sym_noreturn] = ACTIONS(2726),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym___declspec] = ACTIONS(2726),
    [anon_sym___cdecl] = ACTIONS(2726),
    [anon_sym___clrcall] = ACTIONS(2726),
    [anon_sym___stdcall] = ACTIONS(2726),
    [anon_sym___fastcall] = ACTIONS(2726),
    [anon_sym___thiscall] = ACTIONS(2726),
    [anon_sym___vectorcall] = ACTIONS(2726),
    [anon_sym_LBRACE] = ACTIONS(2728),
    [anon_sym_signed] = ACTIONS(2726),
    [anon_sym_unsigned] = ACTIONS(2726),
    [anon_sym_long] = ACTIONS(2726),
    [anon_sym_short] = ACTIONS(2726),
    [anon_sym_static] = ACTIONS(2726),
    [anon_sym_ATautoreleasepool] = ACTIONS(2728),
    [anon_sym_auto] = ACTIONS(2726),
    [anon_sym_register] = ACTIONS(2726),
    [anon_sym_inline] = ACTIONS(2726),
    [anon_sym___inline] = ACTIONS(2726),
    [anon_sym___inline__] = ACTIONS(2726),
    [anon_sym___forceinline] = ACTIONS(2726),
    [anon_sym_thread_local] = ACTIONS(2726),
    [anon_sym___thread] = ACTIONS(2726),
    [anon_sym_CG_EXTERN] = ACTIONS(2726),
    [anon_sym_CG_INLINE] = ACTIONS(2726),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2726),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2726),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2726),
    [anon_sym_IBOutlet] = ACTIONS(2726),
    [anon_sym_IBInspectable] = ACTIONS(2726),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2726),
    [anon_sym_NS_INLINE] = ACTIONS(2726),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2726),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2726),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2726),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2726),
    [anon_sym_const] = ACTIONS(2726),
    [anon_sym_constexpr] = ACTIONS(2726),
    [anon_sym_volatile] = ACTIONS(2726),
    [anon_sym_restrict] = ACTIONS(2726),
    [anon_sym___restrict__] = ACTIONS(2726),
    [anon_sym__Atomic] = ACTIONS(2726),
    [anon_sym__Noreturn] = ACTIONS(2726),
    [anon_sym__Nonnull] = ACTIONS(2726),
    [anon_sym_nullable] = ACTIONS(2726),
    [anon_sym__Complex] = ACTIONS(2726),
    [anon_sym__Nullable] = ACTIONS(2726),
    [anon_sym__Nullable_result] = ACTIONS(2726),
    [anon_sym__Null_unspecified] = ACTIONS(2726),
    [anon_sym___autoreleasing] = ACTIONS(2726),
    [anon_sym___block] = ACTIONS(2726),
    [anon_sym___bridge] = ACTIONS(2726),
    [anon_sym___bridge_retained] = ACTIONS(2726),
    [anon_sym___bridge_transfer] = ACTIONS(2726),
    [anon_sym___complex] = ACTIONS(2726),
    [anon_sym___const] = ACTIONS(2726),
    [anon_sym___imag] = ACTIONS(2726),
    [anon_sym___kindof] = ACTIONS(2726),
    [anon_sym___nonnull] = ACTIONS(2726),
    [anon_sym___nullable] = ACTIONS(2726),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2726),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2726),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2726),
    [anon_sym___real] = ACTIONS(2726),
    [anon_sym___strong] = ACTIONS(2726),
    [anon_sym___unsafe_unretained] = ACTIONS(2726),
    [anon_sym___unused] = ACTIONS(2726),
    [anon_sym___weak] = ACTIONS(2726),
    [anon_sym_alignas] = ACTIONS(2726),
    [anon_sym__Alignas] = ACTIONS(2726),
    [sym_primitive_type] = ACTIONS(2726),
    [anon_sym_enum] = ACTIONS(2726),
    [anon_sym_struct] = ACTIONS(2726),
    [anon_sym_union] = ACTIONS(2726),
    [anon_sym_if] = ACTIONS(2726),
    [anon_sym_switch] = ACTIONS(2726),
    [anon_sym_case] = ACTIONS(2726),
    [anon_sym_default] = ACTIONS(2726),
    [anon_sym_while] = ACTIONS(2726),
    [anon_sym_do] = ACTIONS(2726),
    [anon_sym_for] = ACTIONS(2726),
    [anon_sym_in] = ACTIONS(2726),
    [anon_sym_return] = ACTIONS(2726),
    [anon_sym_break] = ACTIONS(2726),
    [anon_sym_continue] = ACTIONS(2726),
    [anon_sym_goto] = ACTIONS(2726),
    [anon_sym_DASH_DASH] = ACTIONS(2728),
    [anon_sym_PLUS_PLUS] = ACTIONS(2728),
    [anon_sym_sizeof] = ACTIONS(2726),
    [anon_sym___alignof__] = ACTIONS(2726),
    [anon_sym___alignof] = ACTIONS(2726),
    [anon_sym__alignof] = ACTIONS(2726),
    [anon_sym_alignof] = ACTIONS(2726),
    [anon_sym__Alignof] = ACTIONS(2726),
    [anon_sym_offsetof] = ACTIONS(2726),
    [anon_sym__Generic] = ACTIONS(2726),
    [anon_sym_asm] = ACTIONS(2726),
    [anon_sym___asm__] = ACTIONS(2726),
    [anon_sym___asm] = ACTIONS(2726),
    [sym_number_literal] = ACTIONS(2728),
    [anon_sym_L_SQUOTE] = ACTIONS(2728),
    [anon_sym_u_SQUOTE] = ACTIONS(2728),
    [anon_sym_U_SQUOTE] = ACTIONS(2728),
    [anon_sym_u8_SQUOTE] = ACTIONS(2728),
    [anon_sym_SQUOTE] = ACTIONS(2728),
    [anon_sym_AT] = ACTIONS(2726),
    [anon_sym_DQUOTE] = ACTIONS(2728),
    [anon_sym_L_DQUOTE] = ACTIONS(2728),
    [anon_sym_u_DQUOTE] = ACTIONS(2728),
    [anon_sym_U_DQUOTE] = ACTIONS(2728),
    [anon_sym_u8_DQUOTE] = ACTIONS(2728),
    [sym_true] = ACTIONS(2726),
    [sym_false] = ACTIONS(2726),
    [anon_sym_NULL] = ACTIONS(2726),
    [anon_sym_nullptr] = ACTIONS(2726),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2726),
    [anon_sym___typeof] = ACTIONS(2726),
    [anon_sym_typeof] = ACTIONS(2726),
    [anon_sym_ATimport] = ACTIONS(2728),
    [aux_sym_preproc_undef_token1] = ACTIONS(2726),
    [anon_sym_POUND] = ACTIONS(2726),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2726),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2726),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2726),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2726),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2726),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2726),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2726),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2726),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2726),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2726),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2726),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2726),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2726),
    [anon_sym_API_AVAILABLE] = ACTIONS(2726),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2726),
    [anon_sym_API_DEPRECATED] = ACTIONS(2726),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2726),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2726),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2726),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2726),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2726),
    [anon_sym___deprecated_msg] = ACTIONS(2726),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2726),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2726),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2726),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2726),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2726),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2726),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2726),
    [anon_sym_ATprotocol] = ACTIONS(2728),
    [anon_sym_ATinterface] = ACTIONS(2728),
    [anon_sym_ATimplementation] = ACTIONS(2728),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2728),
    [anon_sym_ATsynthesize] = ACTIONS(2728),
    [anon_sym_ATdynamic] = ACTIONS(2728),
    [anon_sym_ATtry] = ACTIONS(2728),
    [anon_sym___try] = ACTIONS(2726),
    [anon_sym_ATthrow] = ACTIONS(2728),
    [anon_sym_ATselector] = ACTIONS(2728),
    [anon_sym_ATavailable] = ACTIONS(2728),
    [anon_sym___builtin_available] = ACTIONS(2726),
    [anon_sym_va_arg] = ACTIONS(2726),
    [anon_sym_ATencode] = ACTIONS(2728),
    [anon_sym_ATsynchronized] = ACTIONS(2728),
    [anon_sym_BOOL] = ACTIONS(2726),
    [anon_sym_IMP] = ACTIONS(2726),
    [anon_sym_SEL] = ACTIONS(2726),
    [anon_sym_Class] = ACTIONS(2726),
    [anon_sym_id] = ACTIONS(2726),
  },
  [683] = {
    [sym_identifier] = ACTIONS(2770),
    [aux_sym_preproc_include_token1] = ACTIONS(2770),
    [aux_sym_preproc_include_token2] = ACTIONS(2770),
    [aux_sym_preproc_def_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token2] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2770),
    [sym_preproc_directive] = ACTIONS(2770),
    [anon_sym_LPAREN2] = ACTIONS(2772),
    [anon_sym_BANG] = ACTIONS(2772),
    [anon_sym_TILDE] = ACTIONS(2772),
    [anon_sym_DASH] = ACTIONS(2770),
    [anon_sym_PLUS] = ACTIONS(2770),
    [anon_sym_STAR] = ACTIONS(2772),
    [anon_sym_CARET] = ACTIONS(2772),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_SEMI] = ACTIONS(2772),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym_typedef] = ACTIONS(2770),
    [anon_sym_extern] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym___attribute] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2772),
    [anon_sym___declspec] = ACTIONS(2770),
    [anon_sym___cdecl] = ACTIONS(2770),
    [anon_sym___clrcall] = ACTIONS(2770),
    [anon_sym___stdcall] = ACTIONS(2770),
    [anon_sym___fastcall] = ACTIONS(2770),
    [anon_sym___thiscall] = ACTIONS(2770),
    [anon_sym___vectorcall] = ACTIONS(2770),
    [anon_sym_LBRACE] = ACTIONS(2772),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_ATautoreleasepool] = ACTIONS(2772),
    [anon_sym_auto] = ACTIONS(2770),
    [anon_sym_register] = ACTIONS(2770),
    [anon_sym_inline] = ACTIONS(2770),
    [anon_sym___inline] = ACTIONS(2770),
    [anon_sym___inline__] = ACTIONS(2770),
    [anon_sym___forceinline] = ACTIONS(2770),
    [anon_sym_thread_local] = ACTIONS(2770),
    [anon_sym___thread] = ACTIONS(2770),
    [anon_sym_CG_EXTERN] = ACTIONS(2770),
    [anon_sym_CG_INLINE] = ACTIONS(2770),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2770),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2770),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2770),
    [anon_sym_IBOutlet] = ACTIONS(2770),
    [anon_sym_IBInspectable] = ACTIONS(2770),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2770),
    [anon_sym_NS_INLINE] = ACTIONS(2770),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2770),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2770),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2770),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym__Nonnull] = ACTIONS(2770),
    [anon_sym_nullable] = ACTIONS(2770),
    [anon_sym__Complex] = ACTIONS(2770),
    [anon_sym__Nullable] = ACTIONS(2770),
    [anon_sym__Nullable_result] = ACTIONS(2770),
    [anon_sym__Null_unspecified] = ACTIONS(2770),
    [anon_sym___autoreleasing] = ACTIONS(2770),
    [anon_sym___block] = ACTIONS(2770),
    [anon_sym___bridge] = ACTIONS(2770),
    [anon_sym___bridge_retained] = ACTIONS(2770),
    [anon_sym___bridge_transfer] = ACTIONS(2770),
    [anon_sym___complex] = ACTIONS(2770),
    [anon_sym___const] = ACTIONS(2770),
    [anon_sym___imag] = ACTIONS(2770),
    [anon_sym___kindof] = ACTIONS(2770),
    [anon_sym___nonnull] = ACTIONS(2770),
    [anon_sym___nullable] = ACTIONS(2770),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2770),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2770),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2770),
    [anon_sym___real] = ACTIONS(2770),
    [anon_sym___strong] = ACTIONS(2770),
    [anon_sym___unsafe_unretained] = ACTIONS(2770),
    [anon_sym___unused] = ACTIONS(2770),
    [anon_sym___weak] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym__Alignas] = ACTIONS(2770),
    [sym_primitive_type] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [anon_sym_if] = ACTIONS(2770),
    [anon_sym_switch] = ACTIONS(2770),
    [anon_sym_case] = ACTIONS(2770),
    [anon_sym_default] = ACTIONS(2770),
    [anon_sym_while] = ACTIONS(2770),
    [anon_sym_do] = ACTIONS(2770),
    [anon_sym_for] = ACTIONS(2770),
    [anon_sym_in] = ACTIONS(2770),
    [anon_sym_return] = ACTIONS(2770),
    [anon_sym_break] = ACTIONS(2770),
    [anon_sym_continue] = ACTIONS(2770),
    [anon_sym_goto] = ACTIONS(2770),
    [anon_sym_DASH_DASH] = ACTIONS(2772),
    [anon_sym_PLUS_PLUS] = ACTIONS(2772),
    [anon_sym_sizeof] = ACTIONS(2770),
    [anon_sym___alignof__] = ACTIONS(2770),
    [anon_sym___alignof] = ACTIONS(2770),
    [anon_sym__alignof] = ACTIONS(2770),
    [anon_sym_alignof] = ACTIONS(2770),
    [anon_sym__Alignof] = ACTIONS(2770),
    [anon_sym_offsetof] = ACTIONS(2770),
    [anon_sym__Generic] = ACTIONS(2770),
    [anon_sym_asm] = ACTIONS(2770),
    [anon_sym___asm__] = ACTIONS(2770),
    [anon_sym___asm] = ACTIONS(2770),
    [sym_number_literal] = ACTIONS(2772),
    [anon_sym_L_SQUOTE] = ACTIONS(2772),
    [anon_sym_u_SQUOTE] = ACTIONS(2772),
    [anon_sym_U_SQUOTE] = ACTIONS(2772),
    [anon_sym_u8_SQUOTE] = ACTIONS(2772),
    [anon_sym_SQUOTE] = ACTIONS(2772),
    [anon_sym_AT] = ACTIONS(2770),
    [anon_sym_DQUOTE] = ACTIONS(2772),
    [anon_sym_L_DQUOTE] = ACTIONS(2772),
    [anon_sym_u_DQUOTE] = ACTIONS(2772),
    [anon_sym_U_DQUOTE] = ACTIONS(2772),
    [anon_sym_u8_DQUOTE] = ACTIONS(2772),
    [sym_true] = ACTIONS(2770),
    [sym_false] = ACTIONS(2770),
    [anon_sym_NULL] = ACTIONS(2770),
    [anon_sym_nullptr] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2770),
    [anon_sym___typeof] = ACTIONS(2770),
    [anon_sym_typeof] = ACTIONS(2770),
    [anon_sym_ATimport] = ACTIONS(2772),
    [aux_sym_preproc_undef_token1] = ACTIONS(2770),
    [anon_sym_POUND] = ACTIONS(2770),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2770),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2770),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2770),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2770),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2770),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2770),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2770),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2770),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2770),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_API_AVAILABLE] = ACTIONS(2770),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_API_DEPRECATED] = ACTIONS(2770),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2770),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2770),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2770),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2770),
    [anon_sym___deprecated_msg] = ACTIONS(2770),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2770),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2770),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2770),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2770),
    [anon_sym_ATprotocol] = ACTIONS(2772),
    [anon_sym_ATinterface] = ACTIONS(2772),
    [anon_sym_ATimplementation] = ACTIONS(2772),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2772),
    [anon_sym_ATsynthesize] = ACTIONS(2772),
    [anon_sym_ATdynamic] = ACTIONS(2772),
    [anon_sym_ATtry] = ACTIONS(2772),
    [anon_sym___try] = ACTIONS(2770),
    [anon_sym_ATthrow] = ACTIONS(2772),
    [anon_sym_ATselector] = ACTIONS(2772),
    [anon_sym_ATavailable] = ACTIONS(2772),
    [anon_sym___builtin_available] = ACTIONS(2770),
    [anon_sym_va_arg] = ACTIONS(2770),
    [anon_sym_ATencode] = ACTIONS(2772),
    [anon_sym_ATsynchronized] = ACTIONS(2772),
    [anon_sym_BOOL] = ACTIONS(2770),
    [anon_sym_IMP] = ACTIONS(2770),
    [anon_sym_SEL] = ACTIONS(2770),
    [anon_sym_Class] = ACTIONS(2770),
    [anon_sym_id] = ACTIONS(2770),
  },
  [684] = {
    [sym_identifier] = ACTIONS(2802),
    [aux_sym_preproc_include_token1] = ACTIONS(2802),
    [aux_sym_preproc_include_token2] = ACTIONS(2802),
    [aux_sym_preproc_def_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token2] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2802),
    [sym_preproc_directive] = ACTIONS(2802),
    [anon_sym_LPAREN2] = ACTIONS(2804),
    [anon_sym_BANG] = ACTIONS(2804),
    [anon_sym_TILDE] = ACTIONS(2804),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_PLUS] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_CARET] = ACTIONS(2804),
    [anon_sym_AMP] = ACTIONS(2804),
    [anon_sym_SEMI] = ACTIONS(2804),
    [anon_sym___extension__] = ACTIONS(2802),
    [anon_sym_typedef] = ACTIONS(2802),
    [anon_sym_extern] = ACTIONS(2802),
    [anon_sym___attribute__] = ACTIONS(2802),
    [anon_sym___attribute] = ACTIONS(2802),
    [anon_sym_noreturn] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(2804),
    [anon_sym___declspec] = ACTIONS(2802),
    [anon_sym___cdecl] = ACTIONS(2802),
    [anon_sym___clrcall] = ACTIONS(2802),
    [anon_sym___stdcall] = ACTIONS(2802),
    [anon_sym___fastcall] = ACTIONS(2802),
    [anon_sym___thiscall] = ACTIONS(2802),
    [anon_sym___vectorcall] = ACTIONS(2802),
    [anon_sym_LBRACE] = ACTIONS(2804),
    [anon_sym_signed] = ACTIONS(2802),
    [anon_sym_unsigned] = ACTIONS(2802),
    [anon_sym_long] = ACTIONS(2802),
    [anon_sym_short] = ACTIONS(2802),
    [anon_sym_static] = ACTIONS(2802),
    [anon_sym_ATautoreleasepool] = ACTIONS(2804),
    [anon_sym_auto] = ACTIONS(2802),
    [anon_sym_register] = ACTIONS(2802),
    [anon_sym_inline] = ACTIONS(2802),
    [anon_sym___inline] = ACTIONS(2802),
    [anon_sym___inline__] = ACTIONS(2802),
    [anon_sym___forceinline] = ACTIONS(2802),
    [anon_sym_thread_local] = ACTIONS(2802),
    [anon_sym___thread] = ACTIONS(2802),
    [anon_sym_CG_EXTERN] = ACTIONS(2802),
    [anon_sym_CG_INLINE] = ACTIONS(2802),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2802),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2802),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2802),
    [anon_sym_IBOutlet] = ACTIONS(2802),
    [anon_sym_IBInspectable] = ACTIONS(2802),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2802),
    [anon_sym_NS_INLINE] = ACTIONS(2802),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2802),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2802),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2802),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2802),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_constexpr] = ACTIONS(2802),
    [anon_sym_volatile] = ACTIONS(2802),
    [anon_sym_restrict] = ACTIONS(2802),
    [anon_sym___restrict__] = ACTIONS(2802),
    [anon_sym__Atomic] = ACTIONS(2802),
    [anon_sym__Noreturn] = ACTIONS(2802),
    [anon_sym__Nonnull] = ACTIONS(2802),
    [anon_sym_nullable] = ACTIONS(2802),
    [anon_sym__Complex] = ACTIONS(2802),
    [anon_sym__Nullable] = ACTIONS(2802),
    [anon_sym__Nullable_result] = ACTIONS(2802),
    [anon_sym__Null_unspecified] = ACTIONS(2802),
    [anon_sym___autoreleasing] = ACTIONS(2802),
    [anon_sym___block] = ACTIONS(2802),
    [anon_sym___bridge] = ACTIONS(2802),
    [anon_sym___bridge_retained] = ACTIONS(2802),
    [anon_sym___bridge_transfer] = ACTIONS(2802),
    [anon_sym___complex] = ACTIONS(2802),
    [anon_sym___const] = ACTIONS(2802),
    [anon_sym___imag] = ACTIONS(2802),
    [anon_sym___kindof] = ACTIONS(2802),
    [anon_sym___nonnull] = ACTIONS(2802),
    [anon_sym___nullable] = ACTIONS(2802),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2802),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2802),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2802),
    [anon_sym___real] = ACTIONS(2802),
    [anon_sym___strong] = ACTIONS(2802),
    [anon_sym___unsafe_unretained] = ACTIONS(2802),
    [anon_sym___unused] = ACTIONS(2802),
    [anon_sym___weak] = ACTIONS(2802),
    [anon_sym_alignas] = ACTIONS(2802),
    [anon_sym__Alignas] = ACTIONS(2802),
    [sym_primitive_type] = ACTIONS(2802),
    [anon_sym_enum] = ACTIONS(2802),
    [anon_sym_struct] = ACTIONS(2802),
    [anon_sym_union] = ACTIONS(2802),
    [anon_sym_if] = ACTIONS(2802),
    [anon_sym_switch] = ACTIONS(2802),
    [anon_sym_case] = ACTIONS(2802),
    [anon_sym_default] = ACTIONS(2802),
    [anon_sym_while] = ACTIONS(2802),
    [anon_sym_do] = ACTIONS(2802),
    [anon_sym_for] = ACTIONS(2802),
    [anon_sym_in] = ACTIONS(2802),
    [anon_sym_return] = ACTIONS(2802),
    [anon_sym_break] = ACTIONS(2802),
    [anon_sym_continue] = ACTIONS(2802),
    [anon_sym_goto] = ACTIONS(2802),
    [anon_sym_DASH_DASH] = ACTIONS(2804),
    [anon_sym_PLUS_PLUS] = ACTIONS(2804),
    [anon_sym_sizeof] = ACTIONS(2802),
    [anon_sym___alignof__] = ACTIONS(2802),
    [anon_sym___alignof] = ACTIONS(2802),
    [anon_sym__alignof] = ACTIONS(2802),
    [anon_sym_alignof] = ACTIONS(2802),
    [anon_sym__Alignof] = ACTIONS(2802),
    [anon_sym_offsetof] = ACTIONS(2802),
    [anon_sym__Generic] = ACTIONS(2802),
    [anon_sym_asm] = ACTIONS(2802),
    [anon_sym___asm__] = ACTIONS(2802),
    [anon_sym___asm] = ACTIONS(2802),
    [sym_number_literal] = ACTIONS(2804),
    [anon_sym_L_SQUOTE] = ACTIONS(2804),
    [anon_sym_u_SQUOTE] = ACTIONS(2804),
    [anon_sym_U_SQUOTE] = ACTIONS(2804),
    [anon_sym_u8_SQUOTE] = ACTIONS(2804),
    [anon_sym_SQUOTE] = ACTIONS(2804),
    [anon_sym_AT] = ACTIONS(2802),
    [anon_sym_DQUOTE] = ACTIONS(2804),
    [anon_sym_L_DQUOTE] = ACTIONS(2804),
    [anon_sym_u_DQUOTE] = ACTIONS(2804),
    [anon_sym_U_DQUOTE] = ACTIONS(2804),
    [anon_sym_u8_DQUOTE] = ACTIONS(2804),
    [sym_true] = ACTIONS(2802),
    [sym_false] = ACTIONS(2802),
    [anon_sym_NULL] = ACTIONS(2802),
    [anon_sym_nullptr] = ACTIONS(2802),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2802),
    [anon_sym___typeof] = ACTIONS(2802),
    [anon_sym_typeof] = ACTIONS(2802),
    [anon_sym_ATimport] = ACTIONS(2804),
    [aux_sym_preproc_undef_token1] = ACTIONS(2802),
    [anon_sym_POUND] = ACTIONS(2802),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2802),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2802),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2802),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2802),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2802),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2802),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2802),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2802),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2802),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_API_AVAILABLE] = ACTIONS(2802),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_API_DEPRECATED] = ACTIONS(2802),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2802),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2802),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2802),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2802),
    [anon_sym___deprecated_msg] = ACTIONS(2802),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2802),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2802),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2802),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2802),
    [anon_sym_ATprotocol] = ACTIONS(2804),
    [anon_sym_ATinterface] = ACTIONS(2804),
    [anon_sym_ATimplementation] = ACTIONS(2804),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2804),
    [anon_sym_ATsynthesize] = ACTIONS(2804),
    [anon_sym_ATdynamic] = ACTIONS(2804),
    [anon_sym_ATtry] = ACTIONS(2804),
    [anon_sym___try] = ACTIONS(2802),
    [anon_sym_ATthrow] = ACTIONS(2804),
    [anon_sym_ATselector] = ACTIONS(2804),
    [anon_sym_ATavailable] = ACTIONS(2804),
    [anon_sym___builtin_available] = ACTIONS(2802),
    [anon_sym_va_arg] = ACTIONS(2802),
    [anon_sym_ATencode] = ACTIONS(2804),
    [anon_sym_ATsynchronized] = ACTIONS(2804),
    [anon_sym_BOOL] = ACTIONS(2802),
    [anon_sym_IMP] = ACTIONS(2802),
    [anon_sym_SEL] = ACTIONS(2802),
    [anon_sym_Class] = ACTIONS(2802),
    [anon_sym_id] = ACTIONS(2802),
  },
  [685] = {
    [sym_identifier] = ACTIONS(2868),
    [aux_sym_preproc_include_token1] = ACTIONS(2868),
    [aux_sym_preproc_include_token2] = ACTIONS(2868),
    [aux_sym_preproc_def_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token2] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2868),
    [sym_preproc_directive] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_BANG] = ACTIONS(2870),
    [anon_sym_TILDE] = ACTIONS(2870),
    [anon_sym_DASH] = ACTIONS(2868),
    [anon_sym_PLUS] = ACTIONS(2868),
    [anon_sym_STAR] = ACTIONS(2870),
    [anon_sym_CARET] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2870),
    [anon_sym_SEMI] = ACTIONS(2870),
    [anon_sym___extension__] = ACTIONS(2868),
    [anon_sym_typedef] = ACTIONS(2868),
    [anon_sym_extern] = ACTIONS(2868),
    [anon_sym___attribute__] = ACTIONS(2868),
    [anon_sym___attribute] = ACTIONS(2868),
    [anon_sym_noreturn] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2870),
    [anon_sym___declspec] = ACTIONS(2868),
    [anon_sym___cdecl] = ACTIONS(2868),
    [anon_sym___clrcall] = ACTIONS(2868),
    [anon_sym___stdcall] = ACTIONS(2868),
    [anon_sym___fastcall] = ACTIONS(2868),
    [anon_sym___thiscall] = ACTIONS(2868),
    [anon_sym___vectorcall] = ACTIONS(2868),
    [anon_sym_LBRACE] = ACTIONS(2870),
    [anon_sym_signed] = ACTIONS(2868),
    [anon_sym_unsigned] = ACTIONS(2868),
    [anon_sym_long] = ACTIONS(2868),
    [anon_sym_short] = ACTIONS(2868),
    [anon_sym_static] = ACTIONS(2868),
    [anon_sym_ATautoreleasepool] = ACTIONS(2870),
    [anon_sym_auto] = ACTIONS(2868),
    [anon_sym_register] = ACTIONS(2868),
    [anon_sym_inline] = ACTIONS(2868),
    [anon_sym___inline] = ACTIONS(2868),
    [anon_sym___inline__] = ACTIONS(2868),
    [anon_sym___forceinline] = ACTIONS(2868),
    [anon_sym_thread_local] = ACTIONS(2868),
    [anon_sym___thread] = ACTIONS(2868),
    [anon_sym_CG_EXTERN] = ACTIONS(2868),
    [anon_sym_CG_INLINE] = ACTIONS(2868),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2868),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2868),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2868),
    [anon_sym_IBOutlet] = ACTIONS(2868),
    [anon_sym_IBInspectable] = ACTIONS(2868),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2868),
    [anon_sym_NS_INLINE] = ACTIONS(2868),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2868),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2868),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2868),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2868),
    [anon_sym_const] = ACTIONS(2868),
    [anon_sym_constexpr] = ACTIONS(2868),
    [anon_sym_volatile] = ACTIONS(2868),
    [anon_sym_restrict] = ACTIONS(2868),
    [anon_sym___restrict__] = ACTIONS(2868),
    [anon_sym__Atomic] = ACTIONS(2868),
    [anon_sym__Noreturn] = ACTIONS(2868),
    [anon_sym__Nonnull] = ACTIONS(2868),
    [anon_sym_nullable] = ACTIONS(2868),
    [anon_sym__Complex] = ACTIONS(2868),
    [anon_sym__Nullable] = ACTIONS(2868),
    [anon_sym__Nullable_result] = ACTIONS(2868),
    [anon_sym__Null_unspecified] = ACTIONS(2868),
    [anon_sym___autoreleasing] = ACTIONS(2868),
    [anon_sym___block] = ACTIONS(2868),
    [anon_sym___bridge] = ACTIONS(2868),
    [anon_sym___bridge_retained] = ACTIONS(2868),
    [anon_sym___bridge_transfer] = ACTIONS(2868),
    [anon_sym___complex] = ACTIONS(2868),
    [anon_sym___const] = ACTIONS(2868),
    [anon_sym___imag] = ACTIONS(2868),
    [anon_sym___kindof] = ACTIONS(2868),
    [anon_sym___nonnull] = ACTIONS(2868),
    [anon_sym___nullable] = ACTIONS(2868),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2868),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2868),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2868),
    [anon_sym___real] = ACTIONS(2868),
    [anon_sym___strong] = ACTIONS(2868),
    [anon_sym___unsafe_unretained] = ACTIONS(2868),
    [anon_sym___unused] = ACTIONS(2868),
    [anon_sym___weak] = ACTIONS(2868),
    [anon_sym_alignas] = ACTIONS(2868),
    [anon_sym__Alignas] = ACTIONS(2868),
    [sym_primitive_type] = ACTIONS(2868),
    [anon_sym_enum] = ACTIONS(2868),
    [anon_sym_struct] = ACTIONS(2868),
    [anon_sym_union] = ACTIONS(2868),
    [anon_sym_if] = ACTIONS(2868),
    [anon_sym_switch] = ACTIONS(2868),
    [anon_sym_case] = ACTIONS(2868),
    [anon_sym_default] = ACTIONS(2868),
    [anon_sym_while] = ACTIONS(2868),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_for] = ACTIONS(2868),
    [anon_sym_in] = ACTIONS(2868),
    [anon_sym_return] = ACTIONS(2868),
    [anon_sym_break] = ACTIONS(2868),
    [anon_sym_continue] = ACTIONS(2868),
    [anon_sym_goto] = ACTIONS(2868),
    [anon_sym_DASH_DASH] = ACTIONS(2870),
    [anon_sym_PLUS_PLUS] = ACTIONS(2870),
    [anon_sym_sizeof] = ACTIONS(2868),
    [anon_sym___alignof__] = ACTIONS(2868),
    [anon_sym___alignof] = ACTIONS(2868),
    [anon_sym__alignof] = ACTIONS(2868),
    [anon_sym_alignof] = ACTIONS(2868),
    [anon_sym__Alignof] = ACTIONS(2868),
    [anon_sym_offsetof] = ACTIONS(2868),
    [anon_sym__Generic] = ACTIONS(2868),
    [anon_sym_asm] = ACTIONS(2868),
    [anon_sym___asm__] = ACTIONS(2868),
    [anon_sym___asm] = ACTIONS(2868),
    [sym_number_literal] = ACTIONS(2870),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_AT] = ACTIONS(2868),
    [anon_sym_DQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2870),
    [anon_sym_u_DQUOTE] = ACTIONS(2870),
    [anon_sym_U_DQUOTE] = ACTIONS(2870),
    [anon_sym_u8_DQUOTE] = ACTIONS(2870),
    [sym_true] = ACTIONS(2868),
    [sym_false] = ACTIONS(2868),
    [anon_sym_NULL] = ACTIONS(2868),
    [anon_sym_nullptr] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2868),
    [anon_sym___typeof] = ACTIONS(2868),
    [anon_sym_typeof] = ACTIONS(2868),
    [anon_sym_ATimport] = ACTIONS(2870),
    [aux_sym_preproc_undef_token1] = ACTIONS(2868),
    [anon_sym_POUND] = ACTIONS(2868),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2868),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2868),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2868),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2868),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2868),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2868),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2868),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2868),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2868),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_API_AVAILABLE] = ACTIONS(2868),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_API_DEPRECATED] = ACTIONS(2868),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2868),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2868),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2868),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2868),
    [anon_sym___deprecated_msg] = ACTIONS(2868),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2868),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2868),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2868),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2868),
    [anon_sym_ATprotocol] = ACTIONS(2870),
    [anon_sym_ATinterface] = ACTIONS(2870),
    [anon_sym_ATimplementation] = ACTIONS(2870),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2870),
    [anon_sym_ATsynthesize] = ACTIONS(2870),
    [anon_sym_ATdynamic] = ACTIONS(2870),
    [anon_sym_ATtry] = ACTIONS(2870),
    [anon_sym___try] = ACTIONS(2868),
    [anon_sym_ATthrow] = ACTIONS(2870),
    [anon_sym_ATselector] = ACTIONS(2870),
    [anon_sym_ATavailable] = ACTIONS(2870),
    [anon_sym___builtin_available] = ACTIONS(2868),
    [anon_sym_va_arg] = ACTIONS(2868),
    [anon_sym_ATencode] = ACTIONS(2870),
    [anon_sym_ATsynchronized] = ACTIONS(2870),
    [anon_sym_BOOL] = ACTIONS(2868),
    [anon_sym_IMP] = ACTIONS(2868),
    [anon_sym_SEL] = ACTIONS(2868),
    [anon_sym_Class] = ACTIONS(2868),
    [anon_sym_id] = ACTIONS(2868),
  },
  [686] = {
    [sym_identifier] = ACTIONS(2794),
    [aux_sym_preproc_include_token1] = ACTIONS(2794),
    [aux_sym_preproc_include_token2] = ACTIONS(2794),
    [aux_sym_preproc_def_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token2] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2794),
    [sym_preproc_directive] = ACTIONS(2794),
    [anon_sym_LPAREN2] = ACTIONS(2796),
    [anon_sym_BANG] = ACTIONS(2796),
    [anon_sym_TILDE] = ACTIONS(2796),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2796),
    [anon_sym_CARET] = ACTIONS(2796),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_SEMI] = ACTIONS(2796),
    [anon_sym___extension__] = ACTIONS(2794),
    [anon_sym_typedef] = ACTIONS(2794),
    [anon_sym_extern] = ACTIONS(2794),
    [anon_sym___attribute__] = ACTIONS(2794),
    [anon_sym___attribute] = ACTIONS(2794),
    [anon_sym_noreturn] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2796),
    [anon_sym___declspec] = ACTIONS(2794),
    [anon_sym___cdecl] = ACTIONS(2794),
    [anon_sym___clrcall] = ACTIONS(2794),
    [anon_sym___stdcall] = ACTIONS(2794),
    [anon_sym___fastcall] = ACTIONS(2794),
    [anon_sym___thiscall] = ACTIONS(2794),
    [anon_sym___vectorcall] = ACTIONS(2794),
    [anon_sym_LBRACE] = ACTIONS(2796),
    [anon_sym_signed] = ACTIONS(2794),
    [anon_sym_unsigned] = ACTIONS(2794),
    [anon_sym_long] = ACTIONS(2794),
    [anon_sym_short] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_ATautoreleasepool] = ACTIONS(2796),
    [anon_sym_auto] = ACTIONS(2794),
    [anon_sym_register] = ACTIONS(2794),
    [anon_sym_inline] = ACTIONS(2794),
    [anon_sym___inline] = ACTIONS(2794),
    [anon_sym___inline__] = ACTIONS(2794),
    [anon_sym___forceinline] = ACTIONS(2794),
    [anon_sym_thread_local] = ACTIONS(2794),
    [anon_sym___thread] = ACTIONS(2794),
    [anon_sym_CG_EXTERN] = ACTIONS(2794),
    [anon_sym_CG_INLINE] = ACTIONS(2794),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2794),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2794),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2794),
    [anon_sym_IBOutlet] = ACTIONS(2794),
    [anon_sym_IBInspectable] = ACTIONS(2794),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2794),
    [anon_sym_NS_INLINE] = ACTIONS(2794),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2794),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2794),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2794),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2794),
    [anon_sym_const] = ACTIONS(2794),
    [anon_sym_constexpr] = ACTIONS(2794),
    [anon_sym_volatile] = ACTIONS(2794),
    [anon_sym_restrict] = ACTIONS(2794),
    [anon_sym___restrict__] = ACTIONS(2794),
    [anon_sym__Atomic] = ACTIONS(2794),
    [anon_sym__Noreturn] = ACTIONS(2794),
    [anon_sym__Nonnull] = ACTIONS(2794),
    [anon_sym_nullable] = ACTIONS(2794),
    [anon_sym__Complex] = ACTIONS(2794),
    [anon_sym__Nullable] = ACTIONS(2794),
    [anon_sym__Nullable_result] = ACTIONS(2794),
    [anon_sym__Null_unspecified] = ACTIONS(2794),
    [anon_sym___autoreleasing] = ACTIONS(2794),
    [anon_sym___block] = ACTIONS(2794),
    [anon_sym___bridge] = ACTIONS(2794),
    [anon_sym___bridge_retained] = ACTIONS(2794),
    [anon_sym___bridge_transfer] = ACTIONS(2794),
    [anon_sym___complex] = ACTIONS(2794),
    [anon_sym___const] = ACTIONS(2794),
    [anon_sym___imag] = ACTIONS(2794),
    [anon_sym___kindof] = ACTIONS(2794),
    [anon_sym___nonnull] = ACTIONS(2794),
    [anon_sym___nullable] = ACTIONS(2794),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2794),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2794),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2794),
    [anon_sym___real] = ACTIONS(2794),
    [anon_sym___strong] = ACTIONS(2794),
    [anon_sym___unsafe_unretained] = ACTIONS(2794),
    [anon_sym___unused] = ACTIONS(2794),
    [anon_sym___weak] = ACTIONS(2794),
    [anon_sym_alignas] = ACTIONS(2794),
    [anon_sym__Alignas] = ACTIONS(2794),
    [sym_primitive_type] = ACTIONS(2794),
    [anon_sym_enum] = ACTIONS(2794),
    [anon_sym_struct] = ACTIONS(2794),
    [anon_sym_union] = ACTIONS(2794),
    [anon_sym_if] = ACTIONS(2794),
    [anon_sym_switch] = ACTIONS(2794),
    [anon_sym_case] = ACTIONS(2794),
    [anon_sym_default] = ACTIONS(2794),
    [anon_sym_while] = ACTIONS(2794),
    [anon_sym_do] = ACTIONS(2794),
    [anon_sym_for] = ACTIONS(2794),
    [anon_sym_in] = ACTIONS(2794),
    [anon_sym_return] = ACTIONS(2794),
    [anon_sym_break] = ACTIONS(2794),
    [anon_sym_continue] = ACTIONS(2794),
    [anon_sym_goto] = ACTIONS(2794),
    [anon_sym_DASH_DASH] = ACTIONS(2796),
    [anon_sym_PLUS_PLUS] = ACTIONS(2796),
    [anon_sym_sizeof] = ACTIONS(2794),
    [anon_sym___alignof__] = ACTIONS(2794),
    [anon_sym___alignof] = ACTIONS(2794),
    [anon_sym__alignof] = ACTIONS(2794),
    [anon_sym_alignof] = ACTIONS(2794),
    [anon_sym__Alignof] = ACTIONS(2794),
    [anon_sym_offsetof] = ACTIONS(2794),
    [anon_sym__Generic] = ACTIONS(2794),
    [anon_sym_asm] = ACTIONS(2794),
    [anon_sym___asm__] = ACTIONS(2794),
    [anon_sym___asm] = ACTIONS(2794),
    [sym_number_literal] = ACTIONS(2796),
    [anon_sym_L_SQUOTE] = ACTIONS(2796),
    [anon_sym_u_SQUOTE] = ACTIONS(2796),
    [anon_sym_U_SQUOTE] = ACTIONS(2796),
    [anon_sym_u8_SQUOTE] = ACTIONS(2796),
    [anon_sym_SQUOTE] = ACTIONS(2796),
    [anon_sym_AT] = ACTIONS(2794),
    [anon_sym_DQUOTE] = ACTIONS(2796),
    [anon_sym_L_DQUOTE] = ACTIONS(2796),
    [anon_sym_u_DQUOTE] = ACTIONS(2796),
    [anon_sym_U_DQUOTE] = ACTIONS(2796),
    [anon_sym_u8_DQUOTE] = ACTIONS(2796),
    [sym_true] = ACTIONS(2794),
    [sym_false] = ACTIONS(2794),
    [anon_sym_NULL] = ACTIONS(2794),
    [anon_sym_nullptr] = ACTIONS(2794),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2794),
    [anon_sym___typeof] = ACTIONS(2794),
    [anon_sym_typeof] = ACTIONS(2794),
    [anon_sym_ATimport] = ACTIONS(2796),
    [aux_sym_preproc_undef_token1] = ACTIONS(2794),
    [anon_sym_POUND] = ACTIONS(2794),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2794),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2794),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2794),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2794),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2794),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2794),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2794),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2794),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2794),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_API_AVAILABLE] = ACTIONS(2794),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_API_DEPRECATED] = ACTIONS(2794),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2794),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2794),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2794),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2794),
    [anon_sym___deprecated_msg] = ACTIONS(2794),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2794),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2794),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2794),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2794),
    [anon_sym_ATprotocol] = ACTIONS(2796),
    [anon_sym_ATinterface] = ACTIONS(2796),
    [anon_sym_ATimplementation] = ACTIONS(2796),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2796),
    [anon_sym_ATsynthesize] = ACTIONS(2796),
    [anon_sym_ATdynamic] = ACTIONS(2796),
    [anon_sym_ATtry] = ACTIONS(2796),
    [anon_sym___try] = ACTIONS(2794),
    [anon_sym_ATthrow] = ACTIONS(2796),
    [anon_sym_ATselector] = ACTIONS(2796),
    [anon_sym_ATavailable] = ACTIONS(2796),
    [anon_sym___builtin_available] = ACTIONS(2794),
    [anon_sym_va_arg] = ACTIONS(2794),
    [anon_sym_ATencode] = ACTIONS(2796),
    [anon_sym_ATsynchronized] = ACTIONS(2796),
    [anon_sym_BOOL] = ACTIONS(2794),
    [anon_sym_IMP] = ACTIONS(2794),
    [anon_sym_SEL] = ACTIONS(2794),
    [anon_sym_Class] = ACTIONS(2794),
    [anon_sym_id] = ACTIONS(2794),
  },
  [687] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_include_token2] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token2] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym___attribute] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_ATautoreleasepool] = ACTIONS(2582),
    [anon_sym_auto] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_CG_EXTERN] = ACTIONS(2580),
    [anon_sym_CG_INLINE] = ACTIONS(2580),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2580),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2580),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2580),
    [anon_sym_IBOutlet] = ACTIONS(2580),
    [anon_sym_IBInspectable] = ACTIONS(2580),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2580),
    [anon_sym_NS_INLINE] = ACTIONS(2580),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2580),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2580),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2580),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym__Nonnull] = ACTIONS(2580),
    [anon_sym_nullable] = ACTIONS(2580),
    [anon_sym__Complex] = ACTIONS(2580),
    [anon_sym__Nullable] = ACTIONS(2580),
    [anon_sym__Nullable_result] = ACTIONS(2580),
    [anon_sym__Null_unspecified] = ACTIONS(2580),
    [anon_sym___autoreleasing] = ACTIONS(2580),
    [anon_sym___block] = ACTIONS(2580),
    [anon_sym___bridge] = ACTIONS(2580),
    [anon_sym___bridge_retained] = ACTIONS(2580),
    [anon_sym___bridge_transfer] = ACTIONS(2580),
    [anon_sym___complex] = ACTIONS(2580),
    [anon_sym___const] = ACTIONS(2580),
    [anon_sym___imag] = ACTIONS(2580),
    [anon_sym___kindof] = ACTIONS(2580),
    [anon_sym___nonnull] = ACTIONS(2580),
    [anon_sym___nullable] = ACTIONS(2580),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2580),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2580),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2580),
    [anon_sym___real] = ACTIONS(2580),
    [anon_sym___strong] = ACTIONS(2580),
    [anon_sym___unsafe_unretained] = ACTIONS(2580),
    [anon_sym___unused] = ACTIONS(2580),
    [anon_sym___weak] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_in] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [anon_sym___asm] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_AT] = ACTIONS(2580),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2580),
    [anon_sym___typeof] = ACTIONS(2580),
    [anon_sym_typeof] = ACTIONS(2580),
    [anon_sym_ATimport] = ACTIONS(2582),
    [aux_sym_preproc_undef_token1] = ACTIONS(2580),
    [anon_sym_POUND] = ACTIONS(2580),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2580),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2580),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2580),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2580),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2580),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2580),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2580),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2580),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2580),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2580),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2580),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2580),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2580),
    [anon_sym_API_AVAILABLE] = ACTIONS(2580),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2580),
    [anon_sym_API_DEPRECATED] = ACTIONS(2580),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2580),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2580),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2580),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2580),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2580),
    [anon_sym___deprecated_msg] = ACTIONS(2580),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2580),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2580),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2580),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2580),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2580),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2580),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2580),
    [anon_sym_ATprotocol] = ACTIONS(2582),
    [anon_sym_ATinterface] = ACTIONS(2582),
    [anon_sym_ATimplementation] = ACTIONS(2582),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2582),
    [anon_sym_ATsynthesize] = ACTIONS(2582),
    [anon_sym_ATdynamic] = ACTIONS(2582),
    [anon_sym_ATtry] = ACTIONS(2582),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym_ATthrow] = ACTIONS(2582),
    [anon_sym_ATselector] = ACTIONS(2582),
    [anon_sym_ATavailable] = ACTIONS(2582),
    [anon_sym___builtin_available] = ACTIONS(2580),
    [anon_sym_va_arg] = ACTIONS(2580),
    [anon_sym_ATencode] = ACTIONS(2582),
    [anon_sym_ATsynchronized] = ACTIONS(2582),
    [anon_sym_BOOL] = ACTIONS(2580),
    [anon_sym_IMP] = ACTIONS(2580),
    [anon_sym_SEL] = ACTIONS(2580),
    [anon_sym_Class] = ACTIONS(2580),
    [anon_sym_id] = ACTIONS(2580),
  },
  [688] = {
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_include_token1] = ACTIONS(2608),
    [aux_sym_preproc_include_token2] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token2] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2611),
    [anon_sym_BANG] = ACTIONS(2611),
    [anon_sym_TILDE] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_STAR] = ACTIONS(2611),
    [anon_sym_CARET] = ACTIONS(2611),
    [anon_sym_AMP] = ACTIONS(2611),
    [anon_sym_SEMI] = ACTIONS(2611),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym___attribute] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___cdecl] = ACTIONS(2608),
    [anon_sym___clrcall] = ACTIONS(2608),
    [anon_sym___stdcall] = ACTIONS(2608),
    [anon_sym___fastcall] = ACTIONS(2608),
    [anon_sym___thiscall] = ACTIONS(2608),
    [anon_sym___vectorcall] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_ATautoreleasepool] = ACTIONS(2611),
    [anon_sym_auto] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_CG_EXTERN] = ACTIONS(2608),
    [anon_sym_CG_INLINE] = ACTIONS(2608),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2608),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2608),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2608),
    [anon_sym_IBOutlet] = ACTIONS(2608),
    [anon_sym_IBInspectable] = ACTIONS(2608),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2608),
    [anon_sym_NS_INLINE] = ACTIONS(2608),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2608),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2608),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2608),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym__Nonnull] = ACTIONS(2608),
    [anon_sym_nullable] = ACTIONS(2608),
    [anon_sym__Complex] = ACTIONS(2608),
    [anon_sym__Nullable] = ACTIONS(2608),
    [anon_sym__Nullable_result] = ACTIONS(2608),
    [anon_sym__Null_unspecified] = ACTIONS(2608),
    [anon_sym___autoreleasing] = ACTIONS(2608),
    [anon_sym___block] = ACTIONS(2608),
    [anon_sym___bridge] = ACTIONS(2608),
    [anon_sym___bridge_retained] = ACTIONS(2608),
    [anon_sym___bridge_transfer] = ACTIONS(2608),
    [anon_sym___complex] = ACTIONS(2608),
    [anon_sym___const] = ACTIONS(2608),
    [anon_sym___imag] = ACTIONS(2608),
    [anon_sym___kindof] = ACTIONS(2608),
    [anon_sym___nonnull] = ACTIONS(2608),
    [anon_sym___nullable] = ACTIONS(2608),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2608),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2608),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2608),
    [anon_sym___real] = ACTIONS(2608),
    [anon_sym___strong] = ACTIONS(2608),
    [anon_sym___unsafe_unretained] = ACTIONS(2608),
    [anon_sym___unused] = ACTIONS(2608),
    [anon_sym___weak] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym__Alignas] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_if] = ACTIONS(2608),
    [anon_sym_switch] = ACTIONS(2608),
    [anon_sym_case] = ACTIONS(2608),
    [anon_sym_default] = ACTIONS(2608),
    [anon_sym_while] = ACTIONS(2608),
    [anon_sym_do] = ACTIONS(2608),
    [anon_sym_for] = ACTIONS(2608),
    [anon_sym_in] = ACTIONS(2608),
    [anon_sym_return] = ACTIONS(2608),
    [anon_sym_break] = ACTIONS(2608),
    [anon_sym_continue] = ACTIONS(2608),
    [anon_sym_goto] = ACTIONS(2608),
    [anon_sym_DASH_DASH] = ACTIONS(2611),
    [anon_sym_PLUS_PLUS] = ACTIONS(2611),
    [anon_sym_sizeof] = ACTIONS(2608),
    [anon_sym___alignof__] = ACTIONS(2608),
    [anon_sym___alignof] = ACTIONS(2608),
    [anon_sym__alignof] = ACTIONS(2608),
    [anon_sym_alignof] = ACTIONS(2608),
    [anon_sym__Alignof] = ACTIONS(2608),
    [anon_sym_offsetof] = ACTIONS(2608),
    [anon_sym__Generic] = ACTIONS(2608),
    [anon_sym_asm] = ACTIONS(2608),
    [anon_sym___asm__] = ACTIONS(2608),
    [anon_sym___asm] = ACTIONS(2608),
    [sym_number_literal] = ACTIONS(2611),
    [anon_sym_L_SQUOTE] = ACTIONS(2611),
    [anon_sym_u_SQUOTE] = ACTIONS(2611),
    [anon_sym_U_SQUOTE] = ACTIONS(2611),
    [anon_sym_u8_SQUOTE] = ACTIONS(2611),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_AT] = ACTIONS(2608),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [anon_sym_L_DQUOTE] = ACTIONS(2611),
    [anon_sym_u_DQUOTE] = ACTIONS(2611),
    [anon_sym_U_DQUOTE] = ACTIONS(2611),
    [anon_sym_u8_DQUOTE] = ACTIONS(2611),
    [sym_true] = ACTIONS(2608),
    [sym_false] = ACTIONS(2608),
    [anon_sym_NULL] = ACTIONS(2608),
    [anon_sym_nullptr] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2608),
    [anon_sym___typeof] = ACTIONS(2608),
    [anon_sym_typeof] = ACTIONS(2608),
    [anon_sym_ATimport] = ACTIONS(2611),
    [aux_sym_preproc_undef_token1] = ACTIONS(2608),
    [anon_sym_POUND] = ACTIONS(2608),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2608),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2608),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2608),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2608),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2608),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2608),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2608),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2608),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2608),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2608),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2608),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2608),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2608),
    [anon_sym_API_AVAILABLE] = ACTIONS(2608),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2608),
    [anon_sym_API_DEPRECATED] = ACTIONS(2608),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2608),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2608),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2608),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2608),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2608),
    [anon_sym___deprecated_msg] = ACTIONS(2608),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2608),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2608),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2608),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2608),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2608),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2608),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2608),
    [anon_sym_ATprotocol] = ACTIONS(2611),
    [anon_sym_ATinterface] = ACTIONS(2611),
    [anon_sym_ATimplementation] = ACTIONS(2611),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2611),
    [anon_sym_ATsynthesize] = ACTIONS(2611),
    [anon_sym_ATdynamic] = ACTIONS(2611),
    [anon_sym_ATtry] = ACTIONS(2611),
    [anon_sym___try] = ACTIONS(2608),
    [anon_sym_ATthrow] = ACTIONS(2611),
    [anon_sym_ATselector] = ACTIONS(2611),
    [anon_sym_ATavailable] = ACTIONS(2611),
    [anon_sym___builtin_available] = ACTIONS(2608),
    [anon_sym_va_arg] = ACTIONS(2608),
    [anon_sym_ATencode] = ACTIONS(2611),
    [anon_sym_ATsynchronized] = ACTIONS(2611),
    [anon_sym_BOOL] = ACTIONS(2608),
    [anon_sym_IMP] = ACTIONS(2608),
    [anon_sym_SEL] = ACTIONS(2608),
    [anon_sym_Class] = ACTIONS(2608),
    [anon_sym_id] = ACTIONS(2608),
  },
  [689] = {
    [sym_else_clause] = STATE(837),
    [ts_builtin_sym_end] = ACTIONS(2404),
    [sym_identifier] = ACTIONS(2402),
    [aux_sym_preproc_include_token1] = ACTIONS(2402),
    [aux_sym_preproc_include_token2] = ACTIONS(2402),
    [aux_sym_preproc_def_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2402),
    [sym_preproc_directive] = ACTIONS(2402),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_BANG] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_DASH] = ACTIONS(2402),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_CARET] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(2404),
    [anon_sym___extension__] = ACTIONS(2402),
    [anon_sym_typedef] = ACTIONS(2402),
    [anon_sym_extern] = ACTIONS(2402),
    [anon_sym___attribute__] = ACTIONS(2402),
    [anon_sym___attribute] = ACTIONS(2402),
    [anon_sym_noreturn] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2404),
    [anon_sym___declspec] = ACTIONS(2402),
    [anon_sym___cdecl] = ACTIONS(2402),
    [anon_sym___clrcall] = ACTIONS(2402),
    [anon_sym___stdcall] = ACTIONS(2402),
    [anon_sym___fastcall] = ACTIONS(2402),
    [anon_sym___thiscall] = ACTIONS(2402),
    [anon_sym___vectorcall] = ACTIONS(2402),
    [anon_sym_LBRACE] = ACTIONS(2404),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_ATautoreleasepool] = ACTIONS(2404),
    [anon_sym_auto] = ACTIONS(2402),
    [anon_sym_register] = ACTIONS(2402),
    [anon_sym_inline] = ACTIONS(2402),
    [anon_sym___inline] = ACTIONS(2402),
    [anon_sym___inline__] = ACTIONS(2402),
    [anon_sym___forceinline] = ACTIONS(2402),
    [anon_sym_thread_local] = ACTIONS(2402),
    [anon_sym___thread] = ACTIONS(2402),
    [anon_sym_CG_EXTERN] = ACTIONS(2402),
    [anon_sym_CG_INLINE] = ACTIONS(2402),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2402),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2402),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2402),
    [anon_sym_IBOutlet] = ACTIONS(2402),
    [anon_sym_IBInspectable] = ACTIONS(2402),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2402),
    [anon_sym_NS_INLINE] = ACTIONS(2402),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2402),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2402),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2402),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_constexpr] = ACTIONS(2402),
    [anon_sym_volatile] = ACTIONS(2402),
    [anon_sym_restrict] = ACTIONS(2402),
    [anon_sym___restrict__] = ACTIONS(2402),
    [anon_sym__Atomic] = ACTIONS(2402),
    [anon_sym__Noreturn] = ACTIONS(2402),
    [anon_sym__Nonnull] = ACTIONS(2402),
    [anon_sym_nullable] = ACTIONS(2402),
    [anon_sym__Complex] = ACTIONS(2402),
    [anon_sym__Nullable] = ACTIONS(2402),
    [anon_sym__Nullable_result] = ACTIONS(2402),
    [anon_sym__Null_unspecified] = ACTIONS(2402),
    [anon_sym___autoreleasing] = ACTIONS(2402),
    [anon_sym___block] = ACTIONS(2402),
    [anon_sym___bridge] = ACTIONS(2402),
    [anon_sym___bridge_retained] = ACTIONS(2402),
    [anon_sym___bridge_transfer] = ACTIONS(2402),
    [anon_sym___complex] = ACTIONS(2402),
    [anon_sym___const] = ACTIONS(2402),
    [anon_sym___imag] = ACTIONS(2402),
    [anon_sym___kindof] = ACTIONS(2402),
    [anon_sym___nonnull] = ACTIONS(2402),
    [anon_sym___nullable] = ACTIONS(2402),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2402),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2402),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2402),
    [anon_sym___real] = ACTIONS(2402),
    [anon_sym___strong] = ACTIONS(2402),
    [anon_sym___unsafe_unretained] = ACTIONS(2402),
    [anon_sym___unused] = ACTIONS(2402),
    [anon_sym___weak] = ACTIONS(2402),
    [anon_sym_alignas] = ACTIONS(2402),
    [anon_sym__Alignas] = ACTIONS(2402),
    [sym_primitive_type] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [anon_sym_struct] = ACTIONS(2402),
    [anon_sym_union] = ACTIONS(2402),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_else] = ACTIONS(2904),
    [anon_sym_switch] = ACTIONS(2402),
    [anon_sym_case] = ACTIONS(2402),
    [anon_sym_default] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2402),
    [anon_sym_do] = ACTIONS(2402),
    [anon_sym_for] = ACTIONS(2402),
    [anon_sym_in] = ACTIONS(2402),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_break] = ACTIONS(2402),
    [anon_sym_continue] = ACTIONS(2402),
    [anon_sym_goto] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2404),
    [anon_sym_PLUS_PLUS] = ACTIONS(2404),
    [anon_sym_sizeof] = ACTIONS(2402),
    [anon_sym___alignof__] = ACTIONS(2402),
    [anon_sym___alignof] = ACTIONS(2402),
    [anon_sym__alignof] = ACTIONS(2402),
    [anon_sym_alignof] = ACTIONS(2402),
    [anon_sym__Alignof] = ACTIONS(2402),
    [anon_sym_offsetof] = ACTIONS(2402),
    [anon_sym__Generic] = ACTIONS(2402),
    [anon_sym_asm] = ACTIONS(2402),
    [anon_sym___asm__] = ACTIONS(2402),
    [anon_sym___asm] = ACTIONS(2402),
    [sym_number_literal] = ACTIONS(2404),
    [anon_sym_L_SQUOTE] = ACTIONS(2404),
    [anon_sym_u_SQUOTE] = ACTIONS(2404),
    [anon_sym_U_SQUOTE] = ACTIONS(2404),
    [anon_sym_u8_SQUOTE] = ACTIONS(2404),
    [anon_sym_SQUOTE] = ACTIONS(2404),
    [anon_sym_AT] = ACTIONS(2402),
    [anon_sym_DQUOTE] = ACTIONS(2404),
    [anon_sym_L_DQUOTE] = ACTIONS(2404),
    [anon_sym_u_DQUOTE] = ACTIONS(2404),
    [anon_sym_U_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8_DQUOTE] = ACTIONS(2404),
    [sym_true] = ACTIONS(2402),
    [sym_false] = ACTIONS(2402),
    [anon_sym_NULL] = ACTIONS(2402),
    [anon_sym_nullptr] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2402),
    [anon_sym___typeof] = ACTIONS(2402),
    [anon_sym_typeof] = ACTIONS(2402),
    [anon_sym_ATimport] = ACTIONS(2404),
    [aux_sym_preproc_undef_token1] = ACTIONS(2402),
    [anon_sym_POUND] = ACTIONS(2402),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2402),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2402),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2402),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2402),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2402),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2402),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2402),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2402),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2402),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_API_AVAILABLE] = ACTIONS(2402),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_API_DEPRECATED] = ACTIONS(2402),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2402),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2402),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2402),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2402),
    [anon_sym___deprecated_msg] = ACTIONS(2402),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2402),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2402),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2402),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2402),
    [anon_sym_ATprotocol] = ACTIONS(2404),
    [anon_sym_ATinterface] = ACTIONS(2404),
    [anon_sym_ATimplementation] = ACTIONS(2404),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2404),
    [anon_sym_ATtry] = ACTIONS(2404),
    [anon_sym___try] = ACTIONS(2402),
    [anon_sym_ATthrow] = ACTIONS(2404),
    [anon_sym_ATselector] = ACTIONS(2404),
    [anon_sym_ATavailable] = ACTIONS(2404),
    [anon_sym___builtin_available] = ACTIONS(2402),
    [anon_sym_va_arg] = ACTIONS(2402),
    [anon_sym_ATencode] = ACTIONS(2404),
    [anon_sym_ATsynchronized] = ACTIONS(2404),
    [anon_sym_BOOL] = ACTIONS(2402),
    [anon_sym_IMP] = ACTIONS(2402),
    [anon_sym_SEL] = ACTIONS(2402),
    [anon_sym_Class] = ACTIONS(2402),
    [anon_sym_id] = ACTIONS(2402),
  },
  [690] = {
    [sym_identifier] = ACTIONS(2706),
    [aux_sym_preproc_include_token1] = ACTIONS(2706),
    [aux_sym_preproc_include_token2] = ACTIONS(2706),
    [aux_sym_preproc_def_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token2] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2706),
    [sym_preproc_directive] = ACTIONS(2706),
    [anon_sym_LPAREN2] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2708),
    [anon_sym_CARET] = ACTIONS(2708),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_SEMI] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2706),
    [anon_sym_typedef] = ACTIONS(2706),
    [anon_sym_extern] = ACTIONS(2706),
    [anon_sym___attribute__] = ACTIONS(2706),
    [anon_sym___attribute] = ACTIONS(2706),
    [anon_sym_noreturn] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym___declspec] = ACTIONS(2706),
    [anon_sym___cdecl] = ACTIONS(2706),
    [anon_sym___clrcall] = ACTIONS(2706),
    [anon_sym___stdcall] = ACTIONS(2706),
    [anon_sym___fastcall] = ACTIONS(2706),
    [anon_sym___thiscall] = ACTIONS(2706),
    [anon_sym___vectorcall] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_signed] = ACTIONS(2706),
    [anon_sym_unsigned] = ACTIONS(2706),
    [anon_sym_long] = ACTIONS(2706),
    [anon_sym_short] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_ATautoreleasepool] = ACTIONS(2708),
    [anon_sym_auto] = ACTIONS(2706),
    [anon_sym_register] = ACTIONS(2706),
    [anon_sym_inline] = ACTIONS(2706),
    [anon_sym___inline] = ACTIONS(2706),
    [anon_sym___inline__] = ACTIONS(2706),
    [anon_sym___forceinline] = ACTIONS(2706),
    [anon_sym_thread_local] = ACTIONS(2706),
    [anon_sym___thread] = ACTIONS(2706),
    [anon_sym_CG_EXTERN] = ACTIONS(2706),
    [anon_sym_CG_INLINE] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2706),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2706),
    [anon_sym_IBOutlet] = ACTIONS(2706),
    [anon_sym_IBInspectable] = ACTIONS(2706),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2706),
    [anon_sym_NS_INLINE] = ACTIONS(2706),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2706),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2706),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_constexpr] = ACTIONS(2706),
    [anon_sym_volatile] = ACTIONS(2706),
    [anon_sym_restrict] = ACTIONS(2706),
    [anon_sym___restrict__] = ACTIONS(2706),
    [anon_sym__Atomic] = ACTIONS(2706),
    [anon_sym__Noreturn] = ACTIONS(2706),
    [anon_sym__Nonnull] = ACTIONS(2706),
    [anon_sym_nullable] = ACTIONS(2706),
    [anon_sym__Complex] = ACTIONS(2706),
    [anon_sym__Nullable] = ACTIONS(2706),
    [anon_sym__Nullable_result] = ACTIONS(2706),
    [anon_sym__Null_unspecified] = ACTIONS(2706),
    [anon_sym___autoreleasing] = ACTIONS(2706),
    [anon_sym___block] = ACTIONS(2706),
    [anon_sym___bridge] = ACTIONS(2706),
    [anon_sym___bridge_retained] = ACTIONS(2706),
    [anon_sym___bridge_transfer] = ACTIONS(2706),
    [anon_sym___complex] = ACTIONS(2706),
    [anon_sym___const] = ACTIONS(2706),
    [anon_sym___imag] = ACTIONS(2706),
    [anon_sym___kindof] = ACTIONS(2706),
    [anon_sym___nonnull] = ACTIONS(2706),
    [anon_sym___nullable] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2706),
    [anon_sym___real] = ACTIONS(2706),
    [anon_sym___strong] = ACTIONS(2706),
    [anon_sym___unsafe_unretained] = ACTIONS(2706),
    [anon_sym___unused] = ACTIONS(2706),
    [anon_sym___weak] = ACTIONS(2706),
    [anon_sym_alignas] = ACTIONS(2706),
    [anon_sym__Alignas] = ACTIONS(2706),
    [sym_primitive_type] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [anon_sym_struct] = ACTIONS(2706),
    [anon_sym_union] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2706),
    [anon_sym_default] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_in] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_goto] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_sizeof] = ACTIONS(2706),
    [anon_sym___alignof__] = ACTIONS(2706),
    [anon_sym___alignof] = ACTIONS(2706),
    [anon_sym__alignof] = ACTIONS(2706),
    [anon_sym_alignof] = ACTIONS(2706),
    [anon_sym__Alignof] = ACTIONS(2706),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2706),
    [anon_sym_asm] = ACTIONS(2706),
    [anon_sym___asm__] = ACTIONS(2706),
    [anon_sym___asm] = ACTIONS(2706),
    [sym_number_literal] = ACTIONS(2708),
    [anon_sym_L_SQUOTE] = ACTIONS(2708),
    [anon_sym_u_SQUOTE] = ACTIONS(2708),
    [anon_sym_U_SQUOTE] = ACTIONS(2708),
    [anon_sym_u8_SQUOTE] = ACTIONS(2708),
    [anon_sym_SQUOTE] = ACTIONS(2708),
    [anon_sym_AT] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [anon_sym_L_DQUOTE] = ACTIONS(2708),
    [anon_sym_u_DQUOTE] = ACTIONS(2708),
    [anon_sym_U_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8_DQUOTE] = ACTIONS(2708),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [anon_sym_NULL] = ACTIONS(2706),
    [anon_sym_nullptr] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2706),
    [anon_sym___typeof] = ACTIONS(2706),
    [anon_sym_typeof] = ACTIONS(2706),
    [anon_sym_ATimport] = ACTIONS(2708),
    [aux_sym_preproc_undef_token1] = ACTIONS(2706),
    [anon_sym_POUND] = ACTIONS(2706),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2706),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2706),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2706),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_API_AVAILABLE] = ACTIONS(2706),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_API_DEPRECATED] = ACTIONS(2706),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym___deprecated_msg] = ACTIONS(2706),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2706),
    [anon_sym_ATprotocol] = ACTIONS(2708),
    [anon_sym_ATinterface] = ACTIONS(2708),
    [anon_sym_ATimplementation] = ACTIONS(2708),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2708),
    [anon_sym_ATsynthesize] = ACTIONS(2708),
    [anon_sym_ATdynamic] = ACTIONS(2708),
    [anon_sym_ATtry] = ACTIONS(2708),
    [anon_sym___try] = ACTIONS(2706),
    [anon_sym_ATthrow] = ACTIONS(2708),
    [anon_sym_ATselector] = ACTIONS(2708),
    [anon_sym_ATavailable] = ACTIONS(2708),
    [anon_sym___builtin_available] = ACTIONS(2706),
    [anon_sym_va_arg] = ACTIONS(2706),
    [anon_sym_ATencode] = ACTIONS(2708),
    [anon_sym_ATsynchronized] = ACTIONS(2708),
    [anon_sym_BOOL] = ACTIONS(2706),
    [anon_sym_IMP] = ACTIONS(2706),
    [anon_sym_SEL] = ACTIONS(2706),
    [anon_sym_Class] = ACTIONS(2706),
    [anon_sym_id] = ACTIONS(2706),
  },
  [691] = {
    [ts_builtin_sym_end] = ACTIONS(2534),
    [sym_identifier] = ACTIONS(2532),
    [aux_sym_preproc_include_token1] = ACTIONS(2532),
    [aux_sym_preproc_include_token2] = ACTIONS(2532),
    [aux_sym_preproc_def_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2532),
    [sym_preproc_directive] = ACTIONS(2532),
    [anon_sym_LPAREN2] = ACTIONS(2534),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_typedef] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym___cdecl] = ACTIONS(2532),
    [anon_sym___clrcall] = ACTIONS(2532),
    [anon_sym___stdcall] = ACTIONS(2532),
    [anon_sym___fastcall] = ACTIONS(2532),
    [anon_sym___thiscall] = ACTIONS(2532),
    [anon_sym___vectorcall] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_ATautoreleasepool] = ACTIONS(2534),
    [anon_sym_auto] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_CG_EXTERN] = ACTIONS(2532),
    [anon_sym_CG_INLINE] = ACTIONS(2532),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2532),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2532),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2532),
    [anon_sym_IBOutlet] = ACTIONS(2532),
    [anon_sym_IBInspectable] = ACTIONS(2532),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2532),
    [anon_sym_NS_INLINE] = ACTIONS(2532),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2532),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2532),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2532),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_nullable] = ACTIONS(2532),
    [anon_sym__Complex] = ACTIONS(2532),
    [anon_sym__Nullable] = ACTIONS(2532),
    [anon_sym__Nullable_result] = ACTIONS(2532),
    [anon_sym__Null_unspecified] = ACTIONS(2532),
    [anon_sym___autoreleasing] = ACTIONS(2532),
    [anon_sym___block] = ACTIONS(2532),
    [anon_sym___bridge] = ACTIONS(2532),
    [anon_sym___bridge_retained] = ACTIONS(2532),
    [anon_sym___bridge_transfer] = ACTIONS(2532),
    [anon_sym___complex] = ACTIONS(2532),
    [anon_sym___const] = ACTIONS(2532),
    [anon_sym___imag] = ACTIONS(2532),
    [anon_sym___kindof] = ACTIONS(2532),
    [anon_sym___nonnull] = ACTIONS(2532),
    [anon_sym___nullable] = ACTIONS(2532),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2532),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2532),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2532),
    [anon_sym___real] = ACTIONS(2532),
    [anon_sym___strong] = ACTIONS(2532),
    [anon_sym___unsafe_unretained] = ACTIONS(2532),
    [anon_sym___unused] = ACTIONS(2532),
    [anon_sym___weak] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2532),
    [anon_sym_else] = ACTIONS(2532),
    [anon_sym_switch] = ACTIONS(2532),
    [anon_sym_case] = ACTIONS(2532),
    [anon_sym_default] = ACTIONS(2532),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_do] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2532),
    [anon_sym_in] = ACTIONS(2532),
    [anon_sym_return] = ACTIONS(2532),
    [anon_sym_break] = ACTIONS(2532),
    [anon_sym_continue] = ACTIONS(2532),
    [anon_sym_goto] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2532),
    [anon_sym___alignof] = ACTIONS(2532),
    [anon_sym__alignof] = ACTIONS(2532),
    [anon_sym_alignof] = ACTIONS(2532),
    [anon_sym__Alignof] = ACTIONS(2532),
    [anon_sym_offsetof] = ACTIONS(2532),
    [anon_sym__Generic] = ACTIONS(2532),
    [anon_sym_asm] = ACTIONS(2532),
    [anon_sym___asm__] = ACTIONS(2532),
    [anon_sym___asm] = ACTIONS(2532),
    [sym_number_literal] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2534),
    [anon_sym_u_SQUOTE] = ACTIONS(2534),
    [anon_sym_U_SQUOTE] = ACTIONS(2534),
    [anon_sym_u8_SQUOTE] = ACTIONS(2534),
    [anon_sym_SQUOTE] = ACTIONS(2534),
    [anon_sym_AT] = ACTIONS(2532),
    [anon_sym_DQUOTE] = ACTIONS(2534),
    [anon_sym_L_DQUOTE] = ACTIONS(2534),
    [anon_sym_u_DQUOTE] = ACTIONS(2534),
    [anon_sym_U_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8_DQUOTE] = ACTIONS(2534),
    [sym_true] = ACTIONS(2532),
    [sym_false] = ACTIONS(2532),
    [anon_sym_NULL] = ACTIONS(2532),
    [anon_sym_nullptr] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2532),
    [anon_sym___typeof] = ACTIONS(2532),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_ATimport] = ACTIONS(2534),
    [aux_sym_preproc_undef_token1] = ACTIONS(2532),
    [anon_sym_POUND] = ACTIONS(2532),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2532),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2532),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2532),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2532),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2532),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2532),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2532),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2532),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2532),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_API_AVAILABLE] = ACTIONS(2532),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_API_DEPRECATED] = ACTIONS(2532),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2532),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2532),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2532),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2532),
    [anon_sym___deprecated_msg] = ACTIONS(2532),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2532),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2532),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2532),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2532),
    [anon_sym_ATprotocol] = ACTIONS(2534),
    [anon_sym_ATinterface] = ACTIONS(2534),
    [anon_sym_ATimplementation] = ACTIONS(2534),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2534),
    [anon_sym_ATtry] = ACTIONS(2534),
    [anon_sym___try] = ACTIONS(2532),
    [anon_sym_ATthrow] = ACTIONS(2534),
    [anon_sym_ATselector] = ACTIONS(2534),
    [anon_sym_ATavailable] = ACTIONS(2534),
    [anon_sym___builtin_available] = ACTIONS(2532),
    [anon_sym_va_arg] = ACTIONS(2532),
    [anon_sym_ATencode] = ACTIONS(2534),
    [anon_sym_ATsynchronized] = ACTIONS(2534),
    [anon_sym_BOOL] = ACTIONS(2532),
    [anon_sym_IMP] = ACTIONS(2532),
    [anon_sym_SEL] = ACTIONS(2532),
    [anon_sym_Class] = ACTIONS(2532),
    [anon_sym_id] = ACTIONS(2532),
  },
  [692] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [693] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [694] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [695] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [696] = {
    [ts_builtin_sym_end] = ACTIONS(2462),
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_include_token2] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_CARET] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_ATautoreleasepool] = ACTIONS(2462),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_else] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [anon_sym___asm] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_AT] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [anon_sym_ATimport] = ACTIONS(2462),
    [aux_sym_preproc_undef_token1] = ACTIONS(2460),
    [anon_sym_POUND] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATprotocol] = ACTIONS(2462),
    [anon_sym_ATinterface] = ACTIONS(2462),
    [anon_sym_ATimplementation] = ACTIONS(2462),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2462),
    [anon_sym_ATtry] = ACTIONS(2462),
    [anon_sym___try] = ACTIONS(2460),
    [anon_sym_ATthrow] = ACTIONS(2462),
    [anon_sym_ATselector] = ACTIONS(2462),
    [anon_sym_ATavailable] = ACTIONS(2462),
    [anon_sym___builtin_available] = ACTIONS(2460),
    [anon_sym_va_arg] = ACTIONS(2460),
    [anon_sym_ATencode] = ACTIONS(2462),
    [anon_sym_ATsynchronized] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [697] = {
    [ts_builtin_sym_end] = ACTIONS(2462),
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_include_token2] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_CARET] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_ATautoreleasepool] = ACTIONS(2462),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_else] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [anon_sym___asm] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_AT] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [anon_sym_ATimport] = ACTIONS(2462),
    [aux_sym_preproc_undef_token1] = ACTIONS(2460),
    [anon_sym_POUND] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATprotocol] = ACTIONS(2462),
    [anon_sym_ATinterface] = ACTIONS(2462),
    [anon_sym_ATimplementation] = ACTIONS(2462),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2462),
    [anon_sym_ATtry] = ACTIONS(2462),
    [anon_sym___try] = ACTIONS(2460),
    [anon_sym_ATthrow] = ACTIONS(2462),
    [anon_sym_ATselector] = ACTIONS(2462),
    [anon_sym_ATavailable] = ACTIONS(2462),
    [anon_sym___builtin_available] = ACTIONS(2460),
    [anon_sym_va_arg] = ACTIONS(2460),
    [anon_sym_ATencode] = ACTIONS(2462),
    [anon_sym_ATsynchronized] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [698] = {
    [ts_builtin_sym_end] = ACTIONS(2462),
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_include_token2] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_CARET] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_ATautoreleasepool] = ACTIONS(2462),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_else] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [anon_sym___asm] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_AT] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [anon_sym_ATimport] = ACTIONS(2462),
    [aux_sym_preproc_undef_token1] = ACTIONS(2460),
    [anon_sym_POUND] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATprotocol] = ACTIONS(2462),
    [anon_sym_ATinterface] = ACTIONS(2462),
    [anon_sym_ATimplementation] = ACTIONS(2462),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2462),
    [anon_sym_ATtry] = ACTIONS(2462),
    [anon_sym___try] = ACTIONS(2460),
    [anon_sym_ATthrow] = ACTIONS(2462),
    [anon_sym_ATselector] = ACTIONS(2462),
    [anon_sym_ATavailable] = ACTIONS(2462),
    [anon_sym___builtin_available] = ACTIONS(2460),
    [anon_sym_va_arg] = ACTIONS(2460),
    [anon_sym_ATencode] = ACTIONS(2462),
    [anon_sym_ATsynchronized] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [699] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [700] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_include_token2] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_CARET] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_RBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_ATautoreleasepool] = ACTIONS(2462),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_else] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [anon_sym___asm] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_AT] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [anon_sym_ATimport] = ACTIONS(2462),
    [aux_sym_preproc_undef_token1] = ACTIONS(2460),
    [anon_sym_POUND] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATprotocol] = ACTIONS(2462),
    [anon_sym_ATinterface] = ACTIONS(2462),
    [anon_sym_ATimplementation] = ACTIONS(2462),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2462),
    [anon_sym_ATtry] = ACTIONS(2462),
    [anon_sym___try] = ACTIONS(2460),
    [anon_sym_ATthrow] = ACTIONS(2462),
    [anon_sym_ATselector] = ACTIONS(2462),
    [anon_sym_ATavailable] = ACTIONS(2462),
    [anon_sym___builtin_available] = ACTIONS(2460),
    [anon_sym_va_arg] = ACTIONS(2460),
    [anon_sym_ATencode] = ACTIONS(2462),
    [anon_sym_ATsynchronized] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [701] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_include_token2] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_CARET] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_RBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_ATautoreleasepool] = ACTIONS(2462),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_else] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [anon_sym___asm] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_AT] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [anon_sym_ATimport] = ACTIONS(2462),
    [aux_sym_preproc_undef_token1] = ACTIONS(2460),
    [anon_sym_POUND] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATprotocol] = ACTIONS(2462),
    [anon_sym_ATinterface] = ACTIONS(2462),
    [anon_sym_ATimplementation] = ACTIONS(2462),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2462),
    [anon_sym_ATtry] = ACTIONS(2462),
    [anon_sym___try] = ACTIONS(2460),
    [anon_sym_ATthrow] = ACTIONS(2462),
    [anon_sym_ATselector] = ACTIONS(2462),
    [anon_sym_ATavailable] = ACTIONS(2462),
    [anon_sym___builtin_available] = ACTIONS(2460),
    [anon_sym_va_arg] = ACTIONS(2460),
    [anon_sym_ATencode] = ACTIONS(2462),
    [anon_sym_ATsynchronized] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [702] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_include_token2] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_CARET] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_RBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_ATautoreleasepool] = ACTIONS(2462),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_else] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [anon_sym___asm] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_AT] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [anon_sym_ATimport] = ACTIONS(2462),
    [aux_sym_preproc_undef_token1] = ACTIONS(2460),
    [anon_sym_POUND] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATprotocol] = ACTIONS(2462),
    [anon_sym_ATinterface] = ACTIONS(2462),
    [anon_sym_ATimplementation] = ACTIONS(2462),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2462),
    [anon_sym_ATtry] = ACTIONS(2462),
    [anon_sym___try] = ACTIONS(2460),
    [anon_sym_ATthrow] = ACTIONS(2462),
    [anon_sym_ATselector] = ACTIONS(2462),
    [anon_sym_ATavailable] = ACTIONS(2462),
    [anon_sym___builtin_available] = ACTIONS(2460),
    [anon_sym_va_arg] = ACTIONS(2460),
    [anon_sym_ATencode] = ACTIONS(2462),
    [anon_sym_ATsynchronized] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [703] = {
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym_identifier] = ACTIONS(2364),
    [aux_sym_preproc_include_token1] = ACTIONS(2364),
    [aux_sym_preproc_include_token2] = ACTIONS(2364),
    [aux_sym_preproc_def_token1] = ACTIONS(2364),
    [aux_sym_preproc_if_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2364),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2364),
    [sym_preproc_directive] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_CARET] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym___attribute] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym___cdecl] = ACTIONS(2364),
    [anon_sym___clrcall] = ACTIONS(2364),
    [anon_sym___stdcall] = ACTIONS(2364),
    [anon_sym___fastcall] = ACTIONS(2364),
    [anon_sym___thiscall] = ACTIONS(2364),
    [anon_sym___vectorcall] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_ATautoreleasepool] = ACTIONS(2366),
    [anon_sym_auto] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_CG_EXTERN] = ACTIONS(2364),
    [anon_sym_CG_INLINE] = ACTIONS(2364),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2364),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2364),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2364),
    [anon_sym_IBOutlet] = ACTIONS(2364),
    [anon_sym_IBInspectable] = ACTIONS(2364),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2364),
    [anon_sym_NS_INLINE] = ACTIONS(2364),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2364),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2364),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2364),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym__Nonnull] = ACTIONS(2364),
    [anon_sym_nullable] = ACTIONS(2364),
    [anon_sym__Complex] = ACTIONS(2364),
    [anon_sym__Nullable] = ACTIONS(2364),
    [anon_sym__Nullable_result] = ACTIONS(2364),
    [anon_sym__Null_unspecified] = ACTIONS(2364),
    [anon_sym___autoreleasing] = ACTIONS(2364),
    [anon_sym___block] = ACTIONS(2364),
    [anon_sym___bridge] = ACTIONS(2364),
    [anon_sym___bridge_retained] = ACTIONS(2364),
    [anon_sym___bridge_transfer] = ACTIONS(2364),
    [anon_sym___complex] = ACTIONS(2364),
    [anon_sym___const] = ACTIONS(2364),
    [anon_sym___imag] = ACTIONS(2364),
    [anon_sym___kindof] = ACTIONS(2364),
    [anon_sym___nonnull] = ACTIONS(2364),
    [anon_sym___nullable] = ACTIONS(2364),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2364),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2364),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2364),
    [anon_sym___real] = ACTIONS(2364),
    [anon_sym___strong] = ACTIONS(2364),
    [anon_sym___unsafe_unretained] = ACTIONS(2364),
    [anon_sym___unused] = ACTIONS(2364),
    [anon_sym___weak] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym__Alignas] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2364),
    [anon_sym_default] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [anon_sym___asm] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_AT] = ACTIONS(2364),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2364),
    [anon_sym___typeof] = ACTIONS(2364),
    [anon_sym_typeof] = ACTIONS(2364),
    [anon_sym_ATimport] = ACTIONS(2366),
    [aux_sym_preproc_undef_token1] = ACTIONS(2364),
    [anon_sym_POUND] = ACTIONS(2364),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2364),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2364),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2364),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2364),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2364),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2364),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2364),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2364),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2364),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_API_AVAILABLE] = ACTIONS(2364),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_API_DEPRECATED] = ACTIONS(2364),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2364),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2364),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2364),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2364),
    [anon_sym___deprecated_msg] = ACTIONS(2364),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2364),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2364),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2364),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2364),
    [anon_sym_ATprotocol] = ACTIONS(2366),
    [anon_sym_ATinterface] = ACTIONS(2366),
    [anon_sym_ATimplementation] = ACTIONS(2366),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2366),
    [anon_sym_ATcatch] = ACTIONS(2366),
    [anon_sym___catch] = ACTIONS(2364),
    [anon_sym_ATfinally] = ACTIONS(2366),
    [anon_sym___finally] = ACTIONS(2364),
    [anon_sym_ATselector] = ACTIONS(2366),
    [anon_sym_ATavailable] = ACTIONS(2366),
    [anon_sym___builtin_available] = ACTIONS(2364),
    [anon_sym_va_arg] = ACTIONS(2364),
    [anon_sym_ATencode] = ACTIONS(2366),
    [anon_sym_BOOL] = ACTIONS(2364),
    [anon_sym_IMP] = ACTIONS(2364),
    [anon_sym_SEL] = ACTIONS(2364),
    [anon_sym_Class] = ACTIONS(2364),
    [anon_sym_id] = ACTIONS(2364),
  },
  [704] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [705] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [706] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [707] = {
    [ts_builtin_sym_end] = ACTIONS(2472),
    [sym_identifier] = ACTIONS(2470),
    [aux_sym_preproc_include_token1] = ACTIONS(2470),
    [aux_sym_preproc_include_token2] = ACTIONS(2470),
    [aux_sym_preproc_def_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2470),
    [sym_preproc_directive] = ACTIONS(2470),
    [anon_sym_LPAREN2] = ACTIONS(2472),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_CARET] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2470),
    [anon_sym_extern] = ACTIONS(2470),
    [anon_sym___attribute__] = ACTIONS(2470),
    [anon_sym___attribute] = ACTIONS(2470),
    [anon_sym_noreturn] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym___declspec] = ACTIONS(2470),
    [anon_sym___cdecl] = ACTIONS(2470),
    [anon_sym___clrcall] = ACTIONS(2470),
    [anon_sym___stdcall] = ACTIONS(2470),
    [anon_sym___fastcall] = ACTIONS(2470),
    [anon_sym___thiscall] = ACTIONS(2470),
    [anon_sym___vectorcall] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_signed] = ACTIONS(2470),
    [anon_sym_unsigned] = ACTIONS(2470),
    [anon_sym_long] = ACTIONS(2470),
    [anon_sym_short] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_ATautoreleasepool] = ACTIONS(2472),
    [anon_sym_auto] = ACTIONS(2470),
    [anon_sym_register] = ACTIONS(2470),
    [anon_sym_inline] = ACTIONS(2470),
    [anon_sym___inline] = ACTIONS(2470),
    [anon_sym___inline__] = ACTIONS(2470),
    [anon_sym___forceinline] = ACTIONS(2470),
    [anon_sym_thread_local] = ACTIONS(2470),
    [anon_sym___thread] = ACTIONS(2470),
    [anon_sym_CG_EXTERN] = ACTIONS(2470),
    [anon_sym_CG_INLINE] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2470),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2470),
    [anon_sym_IBOutlet] = ACTIONS(2470),
    [anon_sym_IBInspectable] = ACTIONS(2470),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2470),
    [anon_sym_NS_INLINE] = ACTIONS(2470),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2470),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2470),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2470),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_constexpr] = ACTIONS(2470),
    [anon_sym_volatile] = ACTIONS(2470),
    [anon_sym_restrict] = ACTIONS(2470),
    [anon_sym___restrict__] = ACTIONS(2470),
    [anon_sym__Atomic] = ACTIONS(2470),
    [anon_sym__Noreturn] = ACTIONS(2470),
    [anon_sym__Nonnull] = ACTIONS(2470),
    [anon_sym_nullable] = ACTIONS(2470),
    [anon_sym__Complex] = ACTIONS(2470),
    [anon_sym__Nullable] = ACTIONS(2470),
    [anon_sym__Nullable_result] = ACTIONS(2470),
    [anon_sym__Null_unspecified] = ACTIONS(2470),
    [anon_sym___autoreleasing] = ACTIONS(2470),
    [anon_sym___block] = ACTIONS(2470),
    [anon_sym___bridge] = ACTIONS(2470),
    [anon_sym___bridge_retained] = ACTIONS(2470),
    [anon_sym___bridge_transfer] = ACTIONS(2470),
    [anon_sym___complex] = ACTIONS(2470),
    [anon_sym___const] = ACTIONS(2470),
    [anon_sym___imag] = ACTIONS(2470),
    [anon_sym___kindof] = ACTIONS(2470),
    [anon_sym___nonnull] = ACTIONS(2470),
    [anon_sym___nullable] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2470),
    [anon_sym___real] = ACTIONS(2470),
    [anon_sym___strong] = ACTIONS(2470),
    [anon_sym___unsafe_unretained] = ACTIONS(2470),
    [anon_sym___unused] = ACTIONS(2470),
    [anon_sym___weak] = ACTIONS(2470),
    [anon_sym_alignas] = ACTIONS(2470),
    [anon_sym__Alignas] = ACTIONS(2470),
    [sym_primitive_type] = ACTIONS(2470),
    [anon_sym_enum] = ACTIONS(2470),
    [anon_sym_struct] = ACTIONS(2470),
    [anon_sym_union] = ACTIONS(2470),
    [anon_sym_if] = ACTIONS(2470),
    [anon_sym_else] = ACTIONS(2470),
    [anon_sym_switch] = ACTIONS(2470),
    [anon_sym_case] = ACTIONS(2470),
    [anon_sym_default] = ACTIONS(2470),
    [anon_sym_while] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_in] = ACTIONS(2470),
    [anon_sym_return] = ACTIONS(2470),
    [anon_sym_break] = ACTIONS(2470),
    [anon_sym_continue] = ACTIONS(2470),
    [anon_sym_goto] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_PLUS] = ACTIONS(2472),
    [anon_sym_sizeof] = ACTIONS(2470),
    [anon_sym___alignof__] = ACTIONS(2470),
    [anon_sym___alignof] = ACTIONS(2470),
    [anon_sym__alignof] = ACTIONS(2470),
    [anon_sym_alignof] = ACTIONS(2470),
    [anon_sym__Alignof] = ACTIONS(2470),
    [anon_sym_offsetof] = ACTIONS(2470),
    [anon_sym__Generic] = ACTIONS(2470),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2472),
    [anon_sym_u_SQUOTE] = ACTIONS(2472),
    [anon_sym_U_SQUOTE] = ACTIONS(2472),
    [anon_sym_u8_SQUOTE] = ACTIONS(2472),
    [anon_sym_SQUOTE] = ACTIONS(2472),
    [anon_sym_AT] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2470),
    [sym_false] = ACTIONS(2470),
    [anon_sym_NULL] = ACTIONS(2470),
    [anon_sym_nullptr] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2470),
    [anon_sym___typeof] = ACTIONS(2470),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_ATimport] = ACTIONS(2472),
    [aux_sym_preproc_undef_token1] = ACTIONS(2470),
    [anon_sym_POUND] = ACTIONS(2470),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2470),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2470),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2470),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_API_AVAILABLE] = ACTIONS(2470),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_API_DEPRECATED] = ACTIONS(2470),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym___deprecated_msg] = ACTIONS(2470),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2470),
    [anon_sym_ATprotocol] = ACTIONS(2472),
    [anon_sym_ATinterface] = ACTIONS(2472),
    [anon_sym_ATimplementation] = ACTIONS(2472),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2472),
    [anon_sym_ATtry] = ACTIONS(2472),
    [anon_sym___try] = ACTIONS(2470),
    [anon_sym_ATthrow] = ACTIONS(2472),
    [anon_sym_ATselector] = ACTIONS(2472),
    [anon_sym_ATavailable] = ACTIONS(2472),
    [anon_sym___builtin_available] = ACTIONS(2470),
    [anon_sym_va_arg] = ACTIONS(2470),
    [anon_sym_ATencode] = ACTIONS(2472),
    [anon_sym_ATsynchronized] = ACTIONS(2472),
    [anon_sym_BOOL] = ACTIONS(2470),
    [anon_sym_IMP] = ACTIONS(2470),
    [anon_sym_SEL] = ACTIONS(2470),
    [anon_sym_Class] = ACTIONS(2470),
    [anon_sym_id] = ACTIONS(2470),
  },
  [708] = {
    [ts_builtin_sym_end] = ACTIONS(2476),
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_include_token1] = ACTIONS(2474),
    [aux_sym_preproc_include_token2] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_BANG] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym___attribute] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_ATautoreleasepool] = ACTIONS(2476),
    [anon_sym_auto] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_CG_EXTERN] = ACTIONS(2474),
    [anon_sym_CG_INLINE] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2474),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2474),
    [anon_sym_IBOutlet] = ACTIONS(2474),
    [anon_sym_IBInspectable] = ACTIONS(2474),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2474),
    [anon_sym_NS_INLINE] = ACTIONS(2474),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2474),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2474),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym__Nonnull] = ACTIONS(2474),
    [anon_sym_nullable] = ACTIONS(2474),
    [anon_sym__Complex] = ACTIONS(2474),
    [anon_sym__Nullable] = ACTIONS(2474),
    [anon_sym__Nullable_result] = ACTIONS(2474),
    [anon_sym__Null_unspecified] = ACTIONS(2474),
    [anon_sym___autoreleasing] = ACTIONS(2474),
    [anon_sym___block] = ACTIONS(2474),
    [anon_sym___bridge] = ACTIONS(2474),
    [anon_sym___bridge_retained] = ACTIONS(2474),
    [anon_sym___bridge_transfer] = ACTIONS(2474),
    [anon_sym___complex] = ACTIONS(2474),
    [anon_sym___const] = ACTIONS(2474),
    [anon_sym___imag] = ACTIONS(2474),
    [anon_sym___kindof] = ACTIONS(2474),
    [anon_sym___nonnull] = ACTIONS(2474),
    [anon_sym___nullable] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2474),
    [anon_sym___real] = ACTIONS(2474),
    [anon_sym___strong] = ACTIONS(2474),
    [anon_sym___unsafe_unretained] = ACTIONS(2474),
    [anon_sym___unused] = ACTIONS(2474),
    [anon_sym___weak] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_else] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_goto] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_PLUS] = ACTIONS(2476),
    [anon_sym_sizeof] = ACTIONS(2474),
    [anon_sym___alignof__] = ACTIONS(2474),
    [anon_sym___alignof] = ACTIONS(2474),
    [anon_sym__alignof] = ACTIONS(2474),
    [anon_sym_alignof] = ACTIONS(2474),
    [anon_sym__Alignof] = ACTIONS(2474),
    [anon_sym_offsetof] = ACTIONS(2474),
    [anon_sym__Generic] = ACTIONS(2474),
    [anon_sym_asm] = ACTIONS(2474),
    [anon_sym___asm__] = ACTIONS(2474),
    [anon_sym___asm] = ACTIONS(2474),
    [sym_number_literal] = ACTIONS(2476),
    [anon_sym_L_SQUOTE] = ACTIONS(2476),
    [anon_sym_u_SQUOTE] = ACTIONS(2476),
    [anon_sym_U_SQUOTE] = ACTIONS(2476),
    [anon_sym_u8_SQUOTE] = ACTIONS(2476),
    [anon_sym_SQUOTE] = ACTIONS(2476),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2474),
    [anon_sym_nullptr] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2474),
    [anon_sym___typeof] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [anon_sym_ATimport] = ACTIONS(2476),
    [aux_sym_preproc_undef_token1] = ACTIONS(2474),
    [anon_sym_POUND] = ACTIONS(2474),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2474),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2474),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2474),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_API_AVAILABLE] = ACTIONS(2474),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_API_DEPRECATED] = ACTIONS(2474),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym___deprecated_msg] = ACTIONS(2474),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2474),
    [anon_sym_ATprotocol] = ACTIONS(2476),
    [anon_sym_ATinterface] = ACTIONS(2476),
    [anon_sym_ATimplementation] = ACTIONS(2476),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2476),
    [anon_sym_ATtry] = ACTIONS(2476),
    [anon_sym___try] = ACTIONS(2474),
    [anon_sym_ATthrow] = ACTIONS(2476),
    [anon_sym_ATselector] = ACTIONS(2476),
    [anon_sym_ATavailable] = ACTIONS(2476),
    [anon_sym___builtin_available] = ACTIONS(2474),
    [anon_sym_va_arg] = ACTIONS(2474),
    [anon_sym_ATencode] = ACTIONS(2476),
    [anon_sym_ATsynchronized] = ACTIONS(2476),
    [anon_sym_BOOL] = ACTIONS(2474),
    [anon_sym_IMP] = ACTIONS(2474),
    [anon_sym_SEL] = ACTIONS(2474),
    [anon_sym_Class] = ACTIONS(2474),
    [anon_sym_id] = ACTIONS(2474),
  },
  [709] = {
    [ts_builtin_sym_end] = ACTIONS(2488),
    [sym_identifier] = ACTIONS(2486),
    [aux_sym_preproc_include_token1] = ACTIONS(2486),
    [aux_sym_preproc_include_token2] = ACTIONS(2486),
    [aux_sym_preproc_def_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2486),
    [sym_preproc_directive] = ACTIONS(2486),
    [anon_sym_LPAREN2] = ACTIONS(2488),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_CARET] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2488),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym___attribute] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym___cdecl] = ACTIONS(2486),
    [anon_sym___clrcall] = ACTIONS(2486),
    [anon_sym___stdcall] = ACTIONS(2486),
    [anon_sym___fastcall] = ACTIONS(2486),
    [anon_sym___thiscall] = ACTIONS(2486),
    [anon_sym___vectorcall] = ACTIONS(2486),
    [anon_sym_LBRACE] = ACTIONS(2488),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_ATautoreleasepool] = ACTIONS(2488),
    [anon_sym_auto] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_CG_EXTERN] = ACTIONS(2486),
    [anon_sym_CG_INLINE] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2486),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2486),
    [anon_sym_IBOutlet] = ACTIONS(2486),
    [anon_sym_IBInspectable] = ACTIONS(2486),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2486),
    [anon_sym_NS_INLINE] = ACTIONS(2486),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2486),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2486),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym__Nonnull] = ACTIONS(2486),
    [anon_sym_nullable] = ACTIONS(2486),
    [anon_sym__Complex] = ACTIONS(2486),
    [anon_sym__Nullable] = ACTIONS(2486),
    [anon_sym__Nullable_result] = ACTIONS(2486),
    [anon_sym__Null_unspecified] = ACTIONS(2486),
    [anon_sym___autoreleasing] = ACTIONS(2486),
    [anon_sym___block] = ACTIONS(2486),
    [anon_sym___bridge] = ACTIONS(2486),
    [anon_sym___bridge_retained] = ACTIONS(2486),
    [anon_sym___bridge_transfer] = ACTIONS(2486),
    [anon_sym___complex] = ACTIONS(2486),
    [anon_sym___const] = ACTIONS(2486),
    [anon_sym___imag] = ACTIONS(2486),
    [anon_sym___kindof] = ACTIONS(2486),
    [anon_sym___nonnull] = ACTIONS(2486),
    [anon_sym___nullable] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2486),
    [anon_sym___real] = ACTIONS(2486),
    [anon_sym___strong] = ACTIONS(2486),
    [anon_sym___unsafe_unretained] = ACTIONS(2486),
    [anon_sym___unused] = ACTIONS(2486),
    [anon_sym___weak] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym__Alignas] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_else] = ACTIONS(2486),
    [anon_sym_switch] = ACTIONS(2486),
    [anon_sym_case] = ACTIONS(2486),
    [anon_sym_default] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2486),
    [anon_sym_do] = ACTIONS(2486),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_in] = ACTIONS(2486),
    [anon_sym_return] = ACTIONS(2486),
    [anon_sym_break] = ACTIONS(2486),
    [anon_sym_continue] = ACTIONS(2486),
    [anon_sym_goto] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2488),
    [anon_sym_PLUS_PLUS] = ACTIONS(2488),
    [anon_sym_sizeof] = ACTIONS(2486),
    [anon_sym___alignof__] = ACTIONS(2486),
    [anon_sym___alignof] = ACTIONS(2486),
    [anon_sym__alignof] = ACTIONS(2486),
    [anon_sym_alignof] = ACTIONS(2486),
    [anon_sym__Alignof] = ACTIONS(2486),
    [anon_sym_offsetof] = ACTIONS(2486),
    [anon_sym__Generic] = ACTIONS(2486),
    [anon_sym_asm] = ACTIONS(2486),
    [anon_sym___asm__] = ACTIONS(2486),
    [anon_sym___asm] = ACTIONS(2486),
    [sym_number_literal] = ACTIONS(2488),
    [anon_sym_L_SQUOTE] = ACTIONS(2488),
    [anon_sym_u_SQUOTE] = ACTIONS(2488),
    [anon_sym_U_SQUOTE] = ACTIONS(2488),
    [anon_sym_u8_SQUOTE] = ACTIONS(2488),
    [anon_sym_SQUOTE] = ACTIONS(2488),
    [anon_sym_AT] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2488),
    [anon_sym_L_DQUOTE] = ACTIONS(2488),
    [anon_sym_u_DQUOTE] = ACTIONS(2488),
    [anon_sym_U_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8_DQUOTE] = ACTIONS(2488),
    [sym_true] = ACTIONS(2486),
    [sym_false] = ACTIONS(2486),
    [anon_sym_NULL] = ACTIONS(2486),
    [anon_sym_nullptr] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2486),
    [anon_sym___typeof] = ACTIONS(2486),
    [anon_sym_typeof] = ACTIONS(2486),
    [anon_sym_ATimport] = ACTIONS(2488),
    [aux_sym_preproc_undef_token1] = ACTIONS(2486),
    [anon_sym_POUND] = ACTIONS(2486),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2486),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2486),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2486),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_API_AVAILABLE] = ACTIONS(2486),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_API_DEPRECATED] = ACTIONS(2486),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym___deprecated_msg] = ACTIONS(2486),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2486),
    [anon_sym_ATprotocol] = ACTIONS(2488),
    [anon_sym_ATinterface] = ACTIONS(2488),
    [anon_sym_ATimplementation] = ACTIONS(2488),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2488),
    [anon_sym_ATtry] = ACTIONS(2488),
    [anon_sym___try] = ACTIONS(2486),
    [anon_sym_ATthrow] = ACTIONS(2488),
    [anon_sym_ATselector] = ACTIONS(2488),
    [anon_sym_ATavailable] = ACTIONS(2488),
    [anon_sym___builtin_available] = ACTIONS(2486),
    [anon_sym_va_arg] = ACTIONS(2486),
    [anon_sym_ATencode] = ACTIONS(2488),
    [anon_sym_ATsynchronized] = ACTIONS(2488),
    [anon_sym_BOOL] = ACTIONS(2486),
    [anon_sym_IMP] = ACTIONS(2486),
    [anon_sym_SEL] = ACTIONS(2486),
    [anon_sym_Class] = ACTIONS(2486),
    [anon_sym_id] = ACTIONS(2486),
  },
  [710] = {
    [ts_builtin_sym_end] = ACTIONS(2488),
    [sym_identifier] = ACTIONS(2486),
    [aux_sym_preproc_include_token1] = ACTIONS(2486),
    [aux_sym_preproc_include_token2] = ACTIONS(2486),
    [aux_sym_preproc_def_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2486),
    [sym_preproc_directive] = ACTIONS(2486),
    [anon_sym_LPAREN2] = ACTIONS(2488),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_CARET] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2488),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym___attribute] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym___cdecl] = ACTIONS(2486),
    [anon_sym___clrcall] = ACTIONS(2486),
    [anon_sym___stdcall] = ACTIONS(2486),
    [anon_sym___fastcall] = ACTIONS(2486),
    [anon_sym___thiscall] = ACTIONS(2486),
    [anon_sym___vectorcall] = ACTIONS(2486),
    [anon_sym_LBRACE] = ACTIONS(2488),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_ATautoreleasepool] = ACTIONS(2488),
    [anon_sym_auto] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_CG_EXTERN] = ACTIONS(2486),
    [anon_sym_CG_INLINE] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2486),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2486),
    [anon_sym_IBOutlet] = ACTIONS(2486),
    [anon_sym_IBInspectable] = ACTIONS(2486),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2486),
    [anon_sym_NS_INLINE] = ACTIONS(2486),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2486),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2486),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym__Nonnull] = ACTIONS(2486),
    [anon_sym_nullable] = ACTIONS(2486),
    [anon_sym__Complex] = ACTIONS(2486),
    [anon_sym__Nullable] = ACTIONS(2486),
    [anon_sym__Nullable_result] = ACTIONS(2486),
    [anon_sym__Null_unspecified] = ACTIONS(2486),
    [anon_sym___autoreleasing] = ACTIONS(2486),
    [anon_sym___block] = ACTIONS(2486),
    [anon_sym___bridge] = ACTIONS(2486),
    [anon_sym___bridge_retained] = ACTIONS(2486),
    [anon_sym___bridge_transfer] = ACTIONS(2486),
    [anon_sym___complex] = ACTIONS(2486),
    [anon_sym___const] = ACTIONS(2486),
    [anon_sym___imag] = ACTIONS(2486),
    [anon_sym___kindof] = ACTIONS(2486),
    [anon_sym___nonnull] = ACTIONS(2486),
    [anon_sym___nullable] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2486),
    [anon_sym___real] = ACTIONS(2486),
    [anon_sym___strong] = ACTIONS(2486),
    [anon_sym___unsafe_unretained] = ACTIONS(2486),
    [anon_sym___unused] = ACTIONS(2486),
    [anon_sym___weak] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym__Alignas] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_else] = ACTIONS(2486),
    [anon_sym_switch] = ACTIONS(2486),
    [anon_sym_case] = ACTIONS(2486),
    [anon_sym_default] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2486),
    [anon_sym_do] = ACTIONS(2486),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_in] = ACTIONS(2486),
    [anon_sym_return] = ACTIONS(2486),
    [anon_sym_break] = ACTIONS(2486),
    [anon_sym_continue] = ACTIONS(2486),
    [anon_sym_goto] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2488),
    [anon_sym_PLUS_PLUS] = ACTIONS(2488),
    [anon_sym_sizeof] = ACTIONS(2486),
    [anon_sym___alignof__] = ACTIONS(2486),
    [anon_sym___alignof] = ACTIONS(2486),
    [anon_sym__alignof] = ACTIONS(2486),
    [anon_sym_alignof] = ACTIONS(2486),
    [anon_sym__Alignof] = ACTIONS(2486),
    [anon_sym_offsetof] = ACTIONS(2486),
    [anon_sym__Generic] = ACTIONS(2486),
    [anon_sym_asm] = ACTIONS(2486),
    [anon_sym___asm__] = ACTIONS(2486),
    [anon_sym___asm] = ACTIONS(2486),
    [sym_number_literal] = ACTIONS(2488),
    [anon_sym_L_SQUOTE] = ACTIONS(2488),
    [anon_sym_u_SQUOTE] = ACTIONS(2488),
    [anon_sym_U_SQUOTE] = ACTIONS(2488),
    [anon_sym_u8_SQUOTE] = ACTIONS(2488),
    [anon_sym_SQUOTE] = ACTIONS(2488),
    [anon_sym_AT] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2488),
    [anon_sym_L_DQUOTE] = ACTIONS(2488),
    [anon_sym_u_DQUOTE] = ACTIONS(2488),
    [anon_sym_U_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8_DQUOTE] = ACTIONS(2488),
    [sym_true] = ACTIONS(2486),
    [sym_false] = ACTIONS(2486),
    [anon_sym_NULL] = ACTIONS(2486),
    [anon_sym_nullptr] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2486),
    [anon_sym___typeof] = ACTIONS(2486),
    [anon_sym_typeof] = ACTIONS(2486),
    [anon_sym_ATimport] = ACTIONS(2488),
    [aux_sym_preproc_undef_token1] = ACTIONS(2486),
    [anon_sym_POUND] = ACTIONS(2486),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2486),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2486),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2486),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_API_AVAILABLE] = ACTIONS(2486),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_API_DEPRECATED] = ACTIONS(2486),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym___deprecated_msg] = ACTIONS(2486),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2486),
    [anon_sym_ATprotocol] = ACTIONS(2488),
    [anon_sym_ATinterface] = ACTIONS(2488),
    [anon_sym_ATimplementation] = ACTIONS(2488),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2488),
    [anon_sym_ATtry] = ACTIONS(2488),
    [anon_sym___try] = ACTIONS(2486),
    [anon_sym_ATthrow] = ACTIONS(2488),
    [anon_sym_ATselector] = ACTIONS(2488),
    [anon_sym_ATavailable] = ACTIONS(2488),
    [anon_sym___builtin_available] = ACTIONS(2486),
    [anon_sym_va_arg] = ACTIONS(2486),
    [anon_sym_ATencode] = ACTIONS(2488),
    [anon_sym_ATsynchronized] = ACTIONS(2488),
    [anon_sym_BOOL] = ACTIONS(2486),
    [anon_sym_IMP] = ACTIONS(2486),
    [anon_sym_SEL] = ACTIONS(2486),
    [anon_sym_Class] = ACTIONS(2486),
    [anon_sym_id] = ACTIONS(2486),
  },
  [711] = {
    [ts_builtin_sym_end] = ACTIONS(2472),
    [sym_identifier] = ACTIONS(2470),
    [aux_sym_preproc_include_token1] = ACTIONS(2470),
    [aux_sym_preproc_include_token2] = ACTIONS(2470),
    [aux_sym_preproc_def_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2470),
    [sym_preproc_directive] = ACTIONS(2470),
    [anon_sym_LPAREN2] = ACTIONS(2472),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_CARET] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2470),
    [anon_sym_extern] = ACTIONS(2470),
    [anon_sym___attribute__] = ACTIONS(2470),
    [anon_sym___attribute] = ACTIONS(2470),
    [anon_sym_noreturn] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym___declspec] = ACTIONS(2470),
    [anon_sym___cdecl] = ACTIONS(2470),
    [anon_sym___clrcall] = ACTIONS(2470),
    [anon_sym___stdcall] = ACTIONS(2470),
    [anon_sym___fastcall] = ACTIONS(2470),
    [anon_sym___thiscall] = ACTIONS(2470),
    [anon_sym___vectorcall] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_signed] = ACTIONS(2470),
    [anon_sym_unsigned] = ACTIONS(2470),
    [anon_sym_long] = ACTIONS(2470),
    [anon_sym_short] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_ATautoreleasepool] = ACTIONS(2472),
    [anon_sym_auto] = ACTIONS(2470),
    [anon_sym_register] = ACTIONS(2470),
    [anon_sym_inline] = ACTIONS(2470),
    [anon_sym___inline] = ACTIONS(2470),
    [anon_sym___inline__] = ACTIONS(2470),
    [anon_sym___forceinline] = ACTIONS(2470),
    [anon_sym_thread_local] = ACTIONS(2470),
    [anon_sym___thread] = ACTIONS(2470),
    [anon_sym_CG_EXTERN] = ACTIONS(2470),
    [anon_sym_CG_INLINE] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2470),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2470),
    [anon_sym_IBOutlet] = ACTIONS(2470),
    [anon_sym_IBInspectable] = ACTIONS(2470),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2470),
    [anon_sym_NS_INLINE] = ACTIONS(2470),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2470),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2470),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2470),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_constexpr] = ACTIONS(2470),
    [anon_sym_volatile] = ACTIONS(2470),
    [anon_sym_restrict] = ACTIONS(2470),
    [anon_sym___restrict__] = ACTIONS(2470),
    [anon_sym__Atomic] = ACTIONS(2470),
    [anon_sym__Noreturn] = ACTIONS(2470),
    [anon_sym__Nonnull] = ACTIONS(2470),
    [anon_sym_nullable] = ACTIONS(2470),
    [anon_sym__Complex] = ACTIONS(2470),
    [anon_sym__Nullable] = ACTIONS(2470),
    [anon_sym__Nullable_result] = ACTIONS(2470),
    [anon_sym__Null_unspecified] = ACTIONS(2470),
    [anon_sym___autoreleasing] = ACTIONS(2470),
    [anon_sym___block] = ACTIONS(2470),
    [anon_sym___bridge] = ACTIONS(2470),
    [anon_sym___bridge_retained] = ACTIONS(2470),
    [anon_sym___bridge_transfer] = ACTIONS(2470),
    [anon_sym___complex] = ACTIONS(2470),
    [anon_sym___const] = ACTIONS(2470),
    [anon_sym___imag] = ACTIONS(2470),
    [anon_sym___kindof] = ACTIONS(2470),
    [anon_sym___nonnull] = ACTIONS(2470),
    [anon_sym___nullable] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2470),
    [anon_sym___real] = ACTIONS(2470),
    [anon_sym___strong] = ACTIONS(2470),
    [anon_sym___unsafe_unretained] = ACTIONS(2470),
    [anon_sym___unused] = ACTIONS(2470),
    [anon_sym___weak] = ACTIONS(2470),
    [anon_sym_alignas] = ACTIONS(2470),
    [anon_sym__Alignas] = ACTIONS(2470),
    [sym_primitive_type] = ACTIONS(2470),
    [anon_sym_enum] = ACTIONS(2470),
    [anon_sym_struct] = ACTIONS(2470),
    [anon_sym_union] = ACTIONS(2470),
    [anon_sym_if] = ACTIONS(2470),
    [anon_sym_else] = ACTIONS(2470),
    [anon_sym_switch] = ACTIONS(2470),
    [anon_sym_case] = ACTIONS(2470),
    [anon_sym_default] = ACTIONS(2470),
    [anon_sym_while] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_in] = ACTIONS(2470),
    [anon_sym_return] = ACTIONS(2470),
    [anon_sym_break] = ACTIONS(2470),
    [anon_sym_continue] = ACTIONS(2470),
    [anon_sym_goto] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_PLUS] = ACTIONS(2472),
    [anon_sym_sizeof] = ACTIONS(2470),
    [anon_sym___alignof__] = ACTIONS(2470),
    [anon_sym___alignof] = ACTIONS(2470),
    [anon_sym__alignof] = ACTIONS(2470),
    [anon_sym_alignof] = ACTIONS(2470),
    [anon_sym__Alignof] = ACTIONS(2470),
    [anon_sym_offsetof] = ACTIONS(2470),
    [anon_sym__Generic] = ACTIONS(2470),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2472),
    [anon_sym_u_SQUOTE] = ACTIONS(2472),
    [anon_sym_U_SQUOTE] = ACTIONS(2472),
    [anon_sym_u8_SQUOTE] = ACTIONS(2472),
    [anon_sym_SQUOTE] = ACTIONS(2472),
    [anon_sym_AT] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2470),
    [sym_false] = ACTIONS(2470),
    [anon_sym_NULL] = ACTIONS(2470),
    [anon_sym_nullptr] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2470),
    [anon_sym___typeof] = ACTIONS(2470),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_ATimport] = ACTIONS(2472),
    [aux_sym_preproc_undef_token1] = ACTIONS(2470),
    [anon_sym_POUND] = ACTIONS(2470),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2470),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2470),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2470),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_API_AVAILABLE] = ACTIONS(2470),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_API_DEPRECATED] = ACTIONS(2470),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym___deprecated_msg] = ACTIONS(2470),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2470),
    [anon_sym_ATprotocol] = ACTIONS(2472),
    [anon_sym_ATinterface] = ACTIONS(2472),
    [anon_sym_ATimplementation] = ACTIONS(2472),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2472),
    [anon_sym_ATtry] = ACTIONS(2472),
    [anon_sym___try] = ACTIONS(2470),
    [anon_sym_ATthrow] = ACTIONS(2472),
    [anon_sym_ATselector] = ACTIONS(2472),
    [anon_sym_ATavailable] = ACTIONS(2472),
    [anon_sym___builtin_available] = ACTIONS(2470),
    [anon_sym_va_arg] = ACTIONS(2470),
    [anon_sym_ATencode] = ACTIONS(2472),
    [anon_sym_ATsynchronized] = ACTIONS(2472),
    [anon_sym_BOOL] = ACTIONS(2470),
    [anon_sym_IMP] = ACTIONS(2470),
    [anon_sym_SEL] = ACTIONS(2470),
    [anon_sym_Class] = ACTIONS(2470),
    [anon_sym_id] = ACTIONS(2470),
  },
  [712] = {
    [ts_builtin_sym_end] = ACTIONS(2476),
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_include_token1] = ACTIONS(2474),
    [aux_sym_preproc_include_token2] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_BANG] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym___attribute] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_ATautoreleasepool] = ACTIONS(2476),
    [anon_sym_auto] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_CG_EXTERN] = ACTIONS(2474),
    [anon_sym_CG_INLINE] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2474),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2474),
    [anon_sym_IBOutlet] = ACTIONS(2474),
    [anon_sym_IBInspectable] = ACTIONS(2474),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2474),
    [anon_sym_NS_INLINE] = ACTIONS(2474),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2474),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2474),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym__Nonnull] = ACTIONS(2474),
    [anon_sym_nullable] = ACTIONS(2474),
    [anon_sym__Complex] = ACTIONS(2474),
    [anon_sym__Nullable] = ACTIONS(2474),
    [anon_sym__Nullable_result] = ACTIONS(2474),
    [anon_sym__Null_unspecified] = ACTIONS(2474),
    [anon_sym___autoreleasing] = ACTIONS(2474),
    [anon_sym___block] = ACTIONS(2474),
    [anon_sym___bridge] = ACTIONS(2474),
    [anon_sym___bridge_retained] = ACTIONS(2474),
    [anon_sym___bridge_transfer] = ACTIONS(2474),
    [anon_sym___complex] = ACTIONS(2474),
    [anon_sym___const] = ACTIONS(2474),
    [anon_sym___imag] = ACTIONS(2474),
    [anon_sym___kindof] = ACTIONS(2474),
    [anon_sym___nonnull] = ACTIONS(2474),
    [anon_sym___nullable] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2474),
    [anon_sym___real] = ACTIONS(2474),
    [anon_sym___strong] = ACTIONS(2474),
    [anon_sym___unsafe_unretained] = ACTIONS(2474),
    [anon_sym___unused] = ACTIONS(2474),
    [anon_sym___weak] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_else] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_goto] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_PLUS] = ACTIONS(2476),
    [anon_sym_sizeof] = ACTIONS(2474),
    [anon_sym___alignof__] = ACTIONS(2474),
    [anon_sym___alignof] = ACTIONS(2474),
    [anon_sym__alignof] = ACTIONS(2474),
    [anon_sym_alignof] = ACTIONS(2474),
    [anon_sym__Alignof] = ACTIONS(2474),
    [anon_sym_offsetof] = ACTIONS(2474),
    [anon_sym__Generic] = ACTIONS(2474),
    [anon_sym_asm] = ACTIONS(2474),
    [anon_sym___asm__] = ACTIONS(2474),
    [anon_sym___asm] = ACTIONS(2474),
    [sym_number_literal] = ACTIONS(2476),
    [anon_sym_L_SQUOTE] = ACTIONS(2476),
    [anon_sym_u_SQUOTE] = ACTIONS(2476),
    [anon_sym_U_SQUOTE] = ACTIONS(2476),
    [anon_sym_u8_SQUOTE] = ACTIONS(2476),
    [anon_sym_SQUOTE] = ACTIONS(2476),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2474),
    [anon_sym_nullptr] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2474),
    [anon_sym___typeof] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [anon_sym_ATimport] = ACTIONS(2476),
    [aux_sym_preproc_undef_token1] = ACTIONS(2474),
    [anon_sym_POUND] = ACTIONS(2474),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2474),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2474),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2474),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_API_AVAILABLE] = ACTIONS(2474),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_API_DEPRECATED] = ACTIONS(2474),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym___deprecated_msg] = ACTIONS(2474),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2474),
    [anon_sym_ATprotocol] = ACTIONS(2476),
    [anon_sym_ATinterface] = ACTIONS(2476),
    [anon_sym_ATimplementation] = ACTIONS(2476),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2476),
    [anon_sym_ATtry] = ACTIONS(2476),
    [anon_sym___try] = ACTIONS(2474),
    [anon_sym_ATthrow] = ACTIONS(2476),
    [anon_sym_ATselector] = ACTIONS(2476),
    [anon_sym_ATavailable] = ACTIONS(2476),
    [anon_sym___builtin_available] = ACTIONS(2474),
    [anon_sym_va_arg] = ACTIONS(2474),
    [anon_sym_ATencode] = ACTIONS(2476),
    [anon_sym_ATsynchronized] = ACTIONS(2476),
    [anon_sym_BOOL] = ACTIONS(2474),
    [anon_sym_IMP] = ACTIONS(2474),
    [anon_sym_SEL] = ACTIONS(2474),
    [anon_sym_Class] = ACTIONS(2474),
    [anon_sym_id] = ACTIONS(2474),
  },
  [713] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [714] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [715] = {
    [sym_identifier] = ACTIONS(2428),
    [aux_sym_preproc_include_token1] = ACTIONS(2428),
    [aux_sym_preproc_include_token2] = ACTIONS(2428),
    [aux_sym_preproc_def_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token1] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2428),
    [sym_preproc_directive] = ACTIONS(2428),
    [anon_sym_LPAREN2] = ACTIONS(2430),
    [anon_sym_BANG] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_CARET] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2430),
    [anon_sym_SEMI] = ACTIONS(2430),
    [anon_sym___extension__] = ACTIONS(2428),
    [anon_sym_typedef] = ACTIONS(2428),
    [anon_sym_extern] = ACTIONS(2428),
    [anon_sym___attribute__] = ACTIONS(2428),
    [anon_sym___attribute] = ACTIONS(2428),
    [anon_sym_noreturn] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2430),
    [anon_sym___declspec] = ACTIONS(2428),
    [anon_sym___cdecl] = ACTIONS(2428),
    [anon_sym___clrcall] = ACTIONS(2428),
    [anon_sym___stdcall] = ACTIONS(2428),
    [anon_sym___fastcall] = ACTIONS(2428),
    [anon_sym___thiscall] = ACTIONS(2428),
    [anon_sym___vectorcall] = ACTIONS(2428),
    [anon_sym_LBRACE] = ACTIONS(2430),
    [anon_sym_RBRACE] = ACTIONS(2430),
    [anon_sym_signed] = ACTIONS(2428),
    [anon_sym_unsigned] = ACTIONS(2428),
    [anon_sym_long] = ACTIONS(2428),
    [anon_sym_short] = ACTIONS(2428),
    [anon_sym_static] = ACTIONS(2428),
    [anon_sym_ATautoreleasepool] = ACTIONS(2430),
    [anon_sym_auto] = ACTIONS(2428),
    [anon_sym_register] = ACTIONS(2428),
    [anon_sym_inline] = ACTIONS(2428),
    [anon_sym___inline] = ACTIONS(2428),
    [anon_sym___inline__] = ACTIONS(2428),
    [anon_sym___forceinline] = ACTIONS(2428),
    [anon_sym_thread_local] = ACTIONS(2428),
    [anon_sym___thread] = ACTIONS(2428),
    [anon_sym_CG_EXTERN] = ACTIONS(2428),
    [anon_sym_CG_INLINE] = ACTIONS(2428),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2428),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2428),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2428),
    [anon_sym_IBOutlet] = ACTIONS(2428),
    [anon_sym_IBInspectable] = ACTIONS(2428),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2428),
    [anon_sym_NS_INLINE] = ACTIONS(2428),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2428),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2428),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2428),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2428),
    [anon_sym_const] = ACTIONS(2428),
    [anon_sym_constexpr] = ACTIONS(2428),
    [anon_sym_volatile] = ACTIONS(2428),
    [anon_sym_restrict] = ACTIONS(2428),
    [anon_sym___restrict__] = ACTIONS(2428),
    [anon_sym__Atomic] = ACTIONS(2428),
    [anon_sym__Noreturn] = ACTIONS(2428),
    [anon_sym__Nonnull] = ACTIONS(2428),
    [anon_sym_nullable] = ACTIONS(2428),
    [anon_sym__Complex] = ACTIONS(2428),
    [anon_sym__Nullable] = ACTIONS(2428),
    [anon_sym__Nullable_result] = ACTIONS(2428),
    [anon_sym__Null_unspecified] = ACTIONS(2428),
    [anon_sym___autoreleasing] = ACTIONS(2428),
    [anon_sym___block] = ACTIONS(2428),
    [anon_sym___bridge] = ACTIONS(2428),
    [anon_sym___bridge_retained] = ACTIONS(2428),
    [anon_sym___bridge_transfer] = ACTIONS(2428),
    [anon_sym___complex] = ACTIONS(2428),
    [anon_sym___const] = ACTIONS(2428),
    [anon_sym___imag] = ACTIONS(2428),
    [anon_sym___kindof] = ACTIONS(2428),
    [anon_sym___nonnull] = ACTIONS(2428),
    [anon_sym___nullable] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2428),
    [anon_sym___real] = ACTIONS(2428),
    [anon_sym___strong] = ACTIONS(2428),
    [anon_sym___unsafe_unretained] = ACTIONS(2428),
    [anon_sym___unused] = ACTIONS(2428),
    [anon_sym___weak] = ACTIONS(2428),
    [anon_sym_alignas] = ACTIONS(2428),
    [anon_sym__Alignas] = ACTIONS(2428),
    [sym_primitive_type] = ACTIONS(2428),
    [anon_sym_enum] = ACTIONS(2428),
    [anon_sym_struct] = ACTIONS(2428),
    [anon_sym_union] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_else] = ACTIONS(2428),
    [anon_sym_switch] = ACTIONS(2428),
    [anon_sym_case] = ACTIONS(2428),
    [anon_sym_default] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_in] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_break] = ACTIONS(2428),
    [anon_sym_continue] = ACTIONS(2428),
    [anon_sym_goto] = ACTIONS(2428),
    [anon_sym_DASH_DASH] = ACTIONS(2430),
    [anon_sym_PLUS_PLUS] = ACTIONS(2430),
    [anon_sym_sizeof] = ACTIONS(2428),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2428),
    [anon_sym__Generic] = ACTIONS(2428),
    [anon_sym_asm] = ACTIONS(2428),
    [anon_sym___asm__] = ACTIONS(2428),
    [anon_sym___asm] = ACTIONS(2428),
    [sym_number_literal] = ACTIONS(2430),
    [anon_sym_L_SQUOTE] = ACTIONS(2430),
    [anon_sym_u_SQUOTE] = ACTIONS(2430),
    [anon_sym_U_SQUOTE] = ACTIONS(2430),
    [anon_sym_u8_SQUOTE] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_AT] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2430),
    [anon_sym_L_DQUOTE] = ACTIONS(2430),
    [anon_sym_u_DQUOTE] = ACTIONS(2430),
    [anon_sym_U_DQUOTE] = ACTIONS(2430),
    [anon_sym_u8_DQUOTE] = ACTIONS(2430),
    [sym_true] = ACTIONS(2428),
    [sym_false] = ACTIONS(2428),
    [anon_sym_NULL] = ACTIONS(2428),
    [anon_sym_nullptr] = ACTIONS(2428),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2428),
    [anon_sym___typeof] = ACTIONS(2428),
    [anon_sym_typeof] = ACTIONS(2428),
    [anon_sym_ATimport] = ACTIONS(2430),
    [aux_sym_preproc_undef_token1] = ACTIONS(2428),
    [anon_sym_POUND] = ACTIONS(2428),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2428),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2428),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2428),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2428),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2428),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2428),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2428),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_API_AVAILABLE] = ACTIONS(2428),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_API_DEPRECATED] = ACTIONS(2428),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2428),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym___deprecated_msg] = ACTIONS(2428),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2428),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2428),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2428),
    [anon_sym_ATprotocol] = ACTIONS(2430),
    [anon_sym_ATinterface] = ACTIONS(2430),
    [anon_sym_ATimplementation] = ACTIONS(2430),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2430),
    [anon_sym_ATtry] = ACTIONS(2430),
    [anon_sym___try] = ACTIONS(2428),
    [anon_sym_ATthrow] = ACTIONS(2430),
    [anon_sym_ATselector] = ACTIONS(2430),
    [anon_sym_ATavailable] = ACTIONS(2430),
    [anon_sym___builtin_available] = ACTIONS(2428),
    [anon_sym_va_arg] = ACTIONS(2428),
    [anon_sym_ATencode] = ACTIONS(2430),
    [anon_sym_ATsynchronized] = ACTIONS(2430),
    [anon_sym_BOOL] = ACTIONS(2428),
    [anon_sym_IMP] = ACTIONS(2428),
    [anon_sym_SEL] = ACTIONS(2428),
    [anon_sym_Class] = ACTIONS(2428),
    [anon_sym_id] = ACTIONS(2428),
  },
  [716] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_include_token2] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_CARET] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym___attribute] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_RBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_ATautoreleasepool] = ACTIONS(2522),
    [anon_sym_auto] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_CG_EXTERN] = ACTIONS(2520),
    [anon_sym_CG_INLINE] = ACTIONS(2520),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2520),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2520),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2520),
    [anon_sym_IBOutlet] = ACTIONS(2520),
    [anon_sym_IBInspectable] = ACTIONS(2520),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2520),
    [anon_sym_NS_INLINE] = ACTIONS(2520),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2520),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2520),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2520),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym__Nonnull] = ACTIONS(2520),
    [anon_sym_nullable] = ACTIONS(2520),
    [anon_sym__Complex] = ACTIONS(2520),
    [anon_sym__Nullable] = ACTIONS(2520),
    [anon_sym__Nullable_result] = ACTIONS(2520),
    [anon_sym__Null_unspecified] = ACTIONS(2520),
    [anon_sym___autoreleasing] = ACTIONS(2520),
    [anon_sym___block] = ACTIONS(2520),
    [anon_sym___bridge] = ACTIONS(2520),
    [anon_sym___bridge_retained] = ACTIONS(2520),
    [anon_sym___bridge_transfer] = ACTIONS(2520),
    [anon_sym___complex] = ACTIONS(2520),
    [anon_sym___const] = ACTIONS(2520),
    [anon_sym___imag] = ACTIONS(2520),
    [anon_sym___kindof] = ACTIONS(2520),
    [anon_sym___nonnull] = ACTIONS(2520),
    [anon_sym___nullable] = ACTIONS(2520),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2520),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2520),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2520),
    [anon_sym___real] = ACTIONS(2520),
    [anon_sym___strong] = ACTIONS(2520),
    [anon_sym___unsafe_unretained] = ACTIONS(2520),
    [anon_sym___unused] = ACTIONS(2520),
    [anon_sym___weak] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym__Alignas] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_else] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [anon_sym___asm] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_AT] = ACTIONS(2520),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2520),
    [anon_sym___typeof] = ACTIONS(2520),
    [anon_sym_typeof] = ACTIONS(2520),
    [anon_sym_ATimport] = ACTIONS(2522),
    [aux_sym_preproc_undef_token1] = ACTIONS(2520),
    [anon_sym_POUND] = ACTIONS(2520),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2520),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2520),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2520),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2520),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2520),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2520),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2520),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2520),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2520),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_API_AVAILABLE] = ACTIONS(2520),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_API_DEPRECATED] = ACTIONS(2520),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2520),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2520),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2520),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2520),
    [anon_sym___deprecated_msg] = ACTIONS(2520),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2520),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2520),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2520),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2520),
    [anon_sym_ATprotocol] = ACTIONS(2522),
    [anon_sym_ATinterface] = ACTIONS(2522),
    [anon_sym_ATimplementation] = ACTIONS(2522),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2522),
    [anon_sym_ATtry] = ACTIONS(2522),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym_ATthrow] = ACTIONS(2522),
    [anon_sym_ATselector] = ACTIONS(2522),
    [anon_sym_ATavailable] = ACTIONS(2522),
    [anon_sym___builtin_available] = ACTIONS(2520),
    [anon_sym_va_arg] = ACTIONS(2520),
    [anon_sym_ATencode] = ACTIONS(2522),
    [anon_sym_ATsynchronized] = ACTIONS(2522),
    [anon_sym_BOOL] = ACTIONS(2520),
    [anon_sym_IMP] = ACTIONS(2520),
    [anon_sym_SEL] = ACTIONS(2520),
    [anon_sym_Class] = ACTIONS(2520),
    [anon_sym_id] = ACTIONS(2520),
  },
  [717] = {
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_include_token2] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym___attribute] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_ATautoreleasepool] = ACTIONS(2546),
    [anon_sym_auto] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_CG_EXTERN] = ACTIONS(2544),
    [anon_sym_CG_INLINE] = ACTIONS(2544),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2544),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2544),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2544),
    [anon_sym_IBOutlet] = ACTIONS(2544),
    [anon_sym_IBInspectable] = ACTIONS(2544),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2544),
    [anon_sym_NS_INLINE] = ACTIONS(2544),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2544),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2544),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2544),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym__Nonnull] = ACTIONS(2544),
    [anon_sym_nullable] = ACTIONS(2544),
    [anon_sym__Complex] = ACTIONS(2544),
    [anon_sym__Nullable] = ACTIONS(2544),
    [anon_sym__Nullable_result] = ACTIONS(2544),
    [anon_sym__Null_unspecified] = ACTIONS(2544),
    [anon_sym___autoreleasing] = ACTIONS(2544),
    [anon_sym___block] = ACTIONS(2544),
    [anon_sym___bridge] = ACTIONS(2544),
    [anon_sym___bridge_retained] = ACTIONS(2544),
    [anon_sym___bridge_transfer] = ACTIONS(2544),
    [anon_sym___complex] = ACTIONS(2544),
    [anon_sym___const] = ACTIONS(2544),
    [anon_sym___imag] = ACTIONS(2544),
    [anon_sym___kindof] = ACTIONS(2544),
    [anon_sym___nonnull] = ACTIONS(2544),
    [anon_sym___nullable] = ACTIONS(2544),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2544),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2544),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2544),
    [anon_sym___real] = ACTIONS(2544),
    [anon_sym___strong] = ACTIONS(2544),
    [anon_sym___unsafe_unretained] = ACTIONS(2544),
    [anon_sym___unused] = ACTIONS(2544),
    [anon_sym___weak] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym__Alignas] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_in] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [anon_sym___asm] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_AT] = ACTIONS(2544),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2544),
    [anon_sym___typeof] = ACTIONS(2544),
    [anon_sym_typeof] = ACTIONS(2544),
    [anon_sym_ATimport] = ACTIONS(2546),
    [aux_sym_preproc_undef_token1] = ACTIONS(2544),
    [anon_sym_POUND] = ACTIONS(2544),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2544),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2544),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2544),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2544),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2544),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2544),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2544),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2544),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2544),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_API_AVAILABLE] = ACTIONS(2544),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_API_DEPRECATED] = ACTIONS(2544),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2544),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2544),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2544),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2544),
    [anon_sym___deprecated_msg] = ACTIONS(2544),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2544),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2544),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2544),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2544),
    [anon_sym_ATprotocol] = ACTIONS(2546),
    [anon_sym_ATinterface] = ACTIONS(2546),
    [anon_sym_ATimplementation] = ACTIONS(2546),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2546),
    [anon_sym_ATtry] = ACTIONS(2546),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym_ATthrow] = ACTIONS(2546),
    [anon_sym_ATselector] = ACTIONS(2546),
    [anon_sym_ATavailable] = ACTIONS(2546),
    [anon_sym___builtin_available] = ACTIONS(2544),
    [anon_sym_va_arg] = ACTIONS(2544),
    [anon_sym_ATencode] = ACTIONS(2546),
    [anon_sym_ATsynchronized] = ACTIONS(2546),
    [anon_sym_BOOL] = ACTIONS(2544),
    [anon_sym_IMP] = ACTIONS(2544),
    [anon_sym_SEL] = ACTIONS(2544),
    [anon_sym_Class] = ACTIONS(2544),
    [anon_sym_id] = ACTIONS(2544),
  },
  [718] = {
    [ts_builtin_sym_end] = ACTIONS(2550),
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_include_token1] = ACTIONS(2548),
    [aux_sym_preproc_include_token2] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_CARET] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2550),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym___attribute] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___cdecl] = ACTIONS(2548),
    [anon_sym___clrcall] = ACTIONS(2548),
    [anon_sym___stdcall] = ACTIONS(2548),
    [anon_sym___fastcall] = ACTIONS(2548),
    [anon_sym___thiscall] = ACTIONS(2548),
    [anon_sym___vectorcall] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_ATautoreleasepool] = ACTIONS(2550),
    [anon_sym_auto] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_CG_EXTERN] = ACTIONS(2548),
    [anon_sym_CG_INLINE] = ACTIONS(2548),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2548),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2548),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2548),
    [anon_sym_IBOutlet] = ACTIONS(2548),
    [anon_sym_IBInspectable] = ACTIONS(2548),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2548),
    [anon_sym_NS_INLINE] = ACTIONS(2548),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2548),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2548),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2548),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym__Nonnull] = ACTIONS(2548),
    [anon_sym_nullable] = ACTIONS(2548),
    [anon_sym__Complex] = ACTIONS(2548),
    [anon_sym__Nullable] = ACTIONS(2548),
    [anon_sym__Nullable_result] = ACTIONS(2548),
    [anon_sym__Null_unspecified] = ACTIONS(2548),
    [anon_sym___autoreleasing] = ACTIONS(2548),
    [anon_sym___block] = ACTIONS(2548),
    [anon_sym___bridge] = ACTIONS(2548),
    [anon_sym___bridge_retained] = ACTIONS(2548),
    [anon_sym___bridge_transfer] = ACTIONS(2548),
    [anon_sym___complex] = ACTIONS(2548),
    [anon_sym___const] = ACTIONS(2548),
    [anon_sym___imag] = ACTIONS(2548),
    [anon_sym___kindof] = ACTIONS(2548),
    [anon_sym___nonnull] = ACTIONS(2548),
    [anon_sym___nullable] = ACTIONS(2548),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2548),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2548),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2548),
    [anon_sym___real] = ACTIONS(2548),
    [anon_sym___strong] = ACTIONS(2548),
    [anon_sym___unsafe_unretained] = ACTIONS(2548),
    [anon_sym___unused] = ACTIONS(2548),
    [anon_sym___weak] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_else] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_case] = ACTIONS(2548),
    [anon_sym_default] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_in] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [anon_sym___asm] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_AT] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2548),
    [anon_sym___typeof] = ACTIONS(2548),
    [anon_sym_typeof] = ACTIONS(2548),
    [anon_sym_ATimport] = ACTIONS(2550),
    [aux_sym_preproc_undef_token1] = ACTIONS(2548),
    [anon_sym_POUND] = ACTIONS(2548),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2548),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2548),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2548),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2548),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2548),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2548),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2548),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2548),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2548),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_API_AVAILABLE] = ACTIONS(2548),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_API_DEPRECATED] = ACTIONS(2548),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2548),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2548),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2548),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2548),
    [anon_sym___deprecated_msg] = ACTIONS(2548),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2548),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2548),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2548),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2548),
    [anon_sym_ATprotocol] = ACTIONS(2550),
    [anon_sym_ATinterface] = ACTIONS(2550),
    [anon_sym_ATimplementation] = ACTIONS(2550),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2550),
    [anon_sym_ATtry] = ACTIONS(2550),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym_ATthrow] = ACTIONS(2550),
    [anon_sym_ATselector] = ACTIONS(2550),
    [anon_sym_ATavailable] = ACTIONS(2550),
    [anon_sym___builtin_available] = ACTIONS(2548),
    [anon_sym_va_arg] = ACTIONS(2548),
    [anon_sym_ATencode] = ACTIONS(2550),
    [anon_sym_ATsynchronized] = ACTIONS(2550),
    [anon_sym_BOOL] = ACTIONS(2548),
    [anon_sym_IMP] = ACTIONS(2548),
    [anon_sym_SEL] = ACTIONS(2548),
    [anon_sym_Class] = ACTIONS(2548),
    [anon_sym_id] = ACTIONS(2548),
  },
  [719] = {
    [sym_identifier] = ACTIONS(2432),
    [aux_sym_preproc_include_token1] = ACTIONS(2432),
    [aux_sym_preproc_include_token2] = ACTIONS(2432),
    [aux_sym_preproc_def_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token1] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2432),
    [sym_preproc_directive] = ACTIONS(2432),
    [anon_sym_LPAREN2] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_CARET] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym___extension__] = ACTIONS(2432),
    [anon_sym_typedef] = ACTIONS(2432),
    [anon_sym_extern] = ACTIONS(2432),
    [anon_sym___attribute__] = ACTIONS(2432),
    [anon_sym___attribute] = ACTIONS(2432),
    [anon_sym_noreturn] = ACTIONS(2432),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym___declspec] = ACTIONS(2432),
    [anon_sym___cdecl] = ACTIONS(2432),
    [anon_sym___clrcall] = ACTIONS(2432),
    [anon_sym___stdcall] = ACTIONS(2432),
    [anon_sym___fastcall] = ACTIONS(2432),
    [anon_sym___thiscall] = ACTIONS(2432),
    [anon_sym___vectorcall] = ACTIONS(2432),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_RBRACE] = ACTIONS(2434),
    [anon_sym_signed] = ACTIONS(2432),
    [anon_sym_unsigned] = ACTIONS(2432),
    [anon_sym_long] = ACTIONS(2432),
    [anon_sym_short] = ACTIONS(2432),
    [anon_sym_static] = ACTIONS(2432),
    [anon_sym_ATautoreleasepool] = ACTIONS(2434),
    [anon_sym_auto] = ACTIONS(2432),
    [anon_sym_register] = ACTIONS(2432),
    [anon_sym_inline] = ACTIONS(2432),
    [anon_sym___inline] = ACTIONS(2432),
    [anon_sym___inline__] = ACTIONS(2432),
    [anon_sym___forceinline] = ACTIONS(2432),
    [anon_sym_thread_local] = ACTIONS(2432),
    [anon_sym___thread] = ACTIONS(2432),
    [anon_sym_CG_EXTERN] = ACTIONS(2432),
    [anon_sym_CG_INLINE] = ACTIONS(2432),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2432),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2432),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2432),
    [anon_sym_IBOutlet] = ACTIONS(2432),
    [anon_sym_IBInspectable] = ACTIONS(2432),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2432),
    [anon_sym_NS_INLINE] = ACTIONS(2432),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2432),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2432),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2432),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2432),
    [anon_sym_const] = ACTIONS(2432),
    [anon_sym_constexpr] = ACTIONS(2432),
    [anon_sym_volatile] = ACTIONS(2432),
    [anon_sym_restrict] = ACTIONS(2432),
    [anon_sym___restrict__] = ACTIONS(2432),
    [anon_sym__Atomic] = ACTIONS(2432),
    [anon_sym__Noreturn] = ACTIONS(2432),
    [anon_sym__Nonnull] = ACTIONS(2432),
    [anon_sym_nullable] = ACTIONS(2432),
    [anon_sym__Complex] = ACTIONS(2432),
    [anon_sym__Nullable] = ACTIONS(2432),
    [anon_sym__Nullable_result] = ACTIONS(2432),
    [anon_sym__Null_unspecified] = ACTIONS(2432),
    [anon_sym___autoreleasing] = ACTIONS(2432),
    [anon_sym___block] = ACTIONS(2432),
    [anon_sym___bridge] = ACTIONS(2432),
    [anon_sym___bridge_retained] = ACTIONS(2432),
    [anon_sym___bridge_transfer] = ACTIONS(2432),
    [anon_sym___complex] = ACTIONS(2432),
    [anon_sym___const] = ACTIONS(2432),
    [anon_sym___imag] = ACTIONS(2432),
    [anon_sym___kindof] = ACTIONS(2432),
    [anon_sym___nonnull] = ACTIONS(2432),
    [anon_sym___nullable] = ACTIONS(2432),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2432),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2432),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2432),
    [anon_sym___real] = ACTIONS(2432),
    [anon_sym___strong] = ACTIONS(2432),
    [anon_sym___unsafe_unretained] = ACTIONS(2432),
    [anon_sym___unused] = ACTIONS(2432),
    [anon_sym___weak] = ACTIONS(2432),
    [anon_sym_alignas] = ACTIONS(2432),
    [anon_sym__Alignas] = ACTIONS(2432),
    [sym_primitive_type] = ACTIONS(2432),
    [anon_sym_enum] = ACTIONS(2432),
    [anon_sym_struct] = ACTIONS(2432),
    [anon_sym_union] = ACTIONS(2432),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_else] = ACTIONS(2432),
    [anon_sym_switch] = ACTIONS(2432),
    [anon_sym_case] = ACTIONS(2432),
    [anon_sym_default] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2432),
    [anon_sym_in] = ACTIONS(2432),
    [anon_sym_return] = ACTIONS(2432),
    [anon_sym_break] = ACTIONS(2432),
    [anon_sym_continue] = ACTIONS(2432),
    [anon_sym_goto] = ACTIONS(2432),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2432),
    [anon_sym___alignof] = ACTIONS(2432),
    [anon_sym__alignof] = ACTIONS(2432),
    [anon_sym_alignof] = ACTIONS(2432),
    [anon_sym__Alignof] = ACTIONS(2432),
    [anon_sym_offsetof] = ACTIONS(2432),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2432),
    [anon_sym___asm__] = ACTIONS(2432),
    [anon_sym___asm] = ACTIONS(2432),
    [sym_number_literal] = ACTIONS(2434),
    [anon_sym_L_SQUOTE] = ACTIONS(2434),
    [anon_sym_u_SQUOTE] = ACTIONS(2434),
    [anon_sym_U_SQUOTE] = ACTIONS(2434),
    [anon_sym_u8_SQUOTE] = ACTIONS(2434),
    [anon_sym_SQUOTE] = ACTIONS(2434),
    [anon_sym_AT] = ACTIONS(2432),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_L_DQUOTE] = ACTIONS(2434),
    [anon_sym_u_DQUOTE] = ACTIONS(2434),
    [anon_sym_U_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8_DQUOTE] = ACTIONS(2434),
    [sym_true] = ACTIONS(2432),
    [sym_false] = ACTIONS(2432),
    [anon_sym_NULL] = ACTIONS(2432),
    [anon_sym_nullptr] = ACTIONS(2432),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2432),
    [anon_sym___typeof] = ACTIONS(2432),
    [anon_sym_typeof] = ACTIONS(2432),
    [anon_sym_ATimport] = ACTIONS(2434),
    [aux_sym_preproc_undef_token1] = ACTIONS(2432),
    [anon_sym_POUND] = ACTIONS(2432),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2432),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2432),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2432),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2432),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2432),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2432),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2432),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2432),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2432),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_API_AVAILABLE] = ACTIONS(2432),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_API_DEPRECATED] = ACTIONS(2432),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2432),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2432),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2432),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2432),
    [anon_sym___deprecated_msg] = ACTIONS(2432),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2432),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2432),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2432),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2432),
    [anon_sym_ATprotocol] = ACTIONS(2434),
    [anon_sym_ATinterface] = ACTIONS(2434),
    [anon_sym_ATimplementation] = ACTIONS(2434),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2434),
    [anon_sym_ATtry] = ACTIONS(2434),
    [anon_sym___try] = ACTIONS(2432),
    [anon_sym_ATthrow] = ACTIONS(2434),
    [anon_sym_ATselector] = ACTIONS(2434),
    [anon_sym_ATavailable] = ACTIONS(2434),
    [anon_sym___builtin_available] = ACTIONS(2432),
    [anon_sym_va_arg] = ACTIONS(2432),
    [anon_sym_ATencode] = ACTIONS(2434),
    [anon_sym_ATsynchronized] = ACTIONS(2434),
    [anon_sym_BOOL] = ACTIONS(2432),
    [anon_sym_IMP] = ACTIONS(2432),
    [anon_sym_SEL] = ACTIONS(2432),
    [anon_sym_Class] = ACTIONS(2432),
    [anon_sym_id] = ACTIONS(2432),
  },
  [720] = {
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_include_token2] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_CARET] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym___attribute] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_RBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_ATautoreleasepool] = ACTIONS(2558),
    [anon_sym_auto] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_CG_EXTERN] = ACTIONS(2556),
    [anon_sym_CG_INLINE] = ACTIONS(2556),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2556),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2556),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2556),
    [anon_sym_IBOutlet] = ACTIONS(2556),
    [anon_sym_IBInspectable] = ACTIONS(2556),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2556),
    [anon_sym_NS_INLINE] = ACTIONS(2556),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2556),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2556),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2556),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym__Nonnull] = ACTIONS(2556),
    [anon_sym_nullable] = ACTIONS(2556),
    [anon_sym__Complex] = ACTIONS(2556),
    [anon_sym__Nullable] = ACTIONS(2556),
    [anon_sym__Nullable_result] = ACTIONS(2556),
    [anon_sym__Null_unspecified] = ACTIONS(2556),
    [anon_sym___autoreleasing] = ACTIONS(2556),
    [anon_sym___block] = ACTIONS(2556),
    [anon_sym___bridge] = ACTIONS(2556),
    [anon_sym___bridge_retained] = ACTIONS(2556),
    [anon_sym___bridge_transfer] = ACTIONS(2556),
    [anon_sym___complex] = ACTIONS(2556),
    [anon_sym___const] = ACTIONS(2556),
    [anon_sym___imag] = ACTIONS(2556),
    [anon_sym___kindof] = ACTIONS(2556),
    [anon_sym___nonnull] = ACTIONS(2556),
    [anon_sym___nullable] = ACTIONS(2556),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2556),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2556),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2556),
    [anon_sym___real] = ACTIONS(2556),
    [anon_sym___strong] = ACTIONS(2556),
    [anon_sym___unsafe_unretained] = ACTIONS(2556),
    [anon_sym___unused] = ACTIONS(2556),
    [anon_sym___weak] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_in] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [anon_sym___asm] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2556),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2556),
    [anon_sym___typeof] = ACTIONS(2556),
    [anon_sym_typeof] = ACTIONS(2556),
    [anon_sym_ATimport] = ACTIONS(2558),
    [aux_sym_preproc_undef_token1] = ACTIONS(2556),
    [anon_sym_POUND] = ACTIONS(2556),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2556),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2556),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2556),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2556),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2556),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2556),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2556),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2556),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2556),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_API_AVAILABLE] = ACTIONS(2556),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_API_DEPRECATED] = ACTIONS(2556),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2556),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2556),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2556),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2556),
    [anon_sym___deprecated_msg] = ACTIONS(2556),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2556),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2556),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2556),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2556),
    [anon_sym_ATprotocol] = ACTIONS(2558),
    [anon_sym_ATinterface] = ACTIONS(2558),
    [anon_sym_ATimplementation] = ACTIONS(2558),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2558),
    [anon_sym_ATtry] = ACTIONS(2558),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym_ATthrow] = ACTIONS(2558),
    [anon_sym_ATselector] = ACTIONS(2558),
    [anon_sym_ATavailable] = ACTIONS(2558),
    [anon_sym___builtin_available] = ACTIONS(2556),
    [anon_sym_va_arg] = ACTIONS(2556),
    [anon_sym_ATencode] = ACTIONS(2558),
    [anon_sym_ATsynchronized] = ACTIONS(2558),
    [anon_sym_BOOL] = ACTIONS(2556),
    [anon_sym_IMP] = ACTIONS(2556),
    [anon_sym_SEL] = ACTIONS(2556),
    [anon_sym_Class] = ACTIONS(2556),
    [anon_sym_id] = ACTIONS(2556),
  },
  [721] = {
    [sym_identifier] = ACTIONS(2440),
    [aux_sym_preproc_include_token1] = ACTIONS(2440),
    [aux_sym_preproc_include_token2] = ACTIONS(2440),
    [aux_sym_preproc_def_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token1] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2440),
    [sym_preproc_directive] = ACTIONS(2440),
    [anon_sym_LPAREN2] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_CARET] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym___extension__] = ACTIONS(2440),
    [anon_sym_typedef] = ACTIONS(2440),
    [anon_sym_extern] = ACTIONS(2440),
    [anon_sym___attribute__] = ACTIONS(2440),
    [anon_sym___attribute] = ACTIONS(2440),
    [anon_sym_noreturn] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym___declspec] = ACTIONS(2440),
    [anon_sym___cdecl] = ACTIONS(2440),
    [anon_sym___clrcall] = ACTIONS(2440),
    [anon_sym___stdcall] = ACTIONS(2440),
    [anon_sym___fastcall] = ACTIONS(2440),
    [anon_sym___thiscall] = ACTIONS(2440),
    [anon_sym___vectorcall] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_RBRACE] = ACTIONS(2442),
    [anon_sym_signed] = ACTIONS(2440),
    [anon_sym_unsigned] = ACTIONS(2440),
    [anon_sym_long] = ACTIONS(2440),
    [anon_sym_short] = ACTIONS(2440),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_ATautoreleasepool] = ACTIONS(2442),
    [anon_sym_auto] = ACTIONS(2440),
    [anon_sym_register] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(2440),
    [anon_sym___inline] = ACTIONS(2440),
    [anon_sym___inline__] = ACTIONS(2440),
    [anon_sym___forceinline] = ACTIONS(2440),
    [anon_sym_thread_local] = ACTIONS(2440),
    [anon_sym___thread] = ACTIONS(2440),
    [anon_sym_CG_EXTERN] = ACTIONS(2440),
    [anon_sym_CG_INLINE] = ACTIONS(2440),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2440),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2440),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2440),
    [anon_sym_IBOutlet] = ACTIONS(2440),
    [anon_sym_IBInspectable] = ACTIONS(2440),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2440),
    [anon_sym_NS_INLINE] = ACTIONS(2440),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2440),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2440),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2440),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2440),
    [anon_sym_const] = ACTIONS(2440),
    [anon_sym_constexpr] = ACTIONS(2440),
    [anon_sym_volatile] = ACTIONS(2440),
    [anon_sym_restrict] = ACTIONS(2440),
    [anon_sym___restrict__] = ACTIONS(2440),
    [anon_sym__Atomic] = ACTIONS(2440),
    [anon_sym__Noreturn] = ACTIONS(2440),
    [anon_sym__Nonnull] = ACTIONS(2440),
    [anon_sym_nullable] = ACTIONS(2440),
    [anon_sym__Complex] = ACTIONS(2440),
    [anon_sym__Nullable] = ACTIONS(2440),
    [anon_sym__Nullable_result] = ACTIONS(2440),
    [anon_sym__Null_unspecified] = ACTIONS(2440),
    [anon_sym___autoreleasing] = ACTIONS(2440),
    [anon_sym___block] = ACTIONS(2440),
    [anon_sym___bridge] = ACTIONS(2440),
    [anon_sym___bridge_retained] = ACTIONS(2440),
    [anon_sym___bridge_transfer] = ACTIONS(2440),
    [anon_sym___complex] = ACTIONS(2440),
    [anon_sym___const] = ACTIONS(2440),
    [anon_sym___imag] = ACTIONS(2440),
    [anon_sym___kindof] = ACTIONS(2440),
    [anon_sym___nonnull] = ACTIONS(2440),
    [anon_sym___nullable] = ACTIONS(2440),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2440),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2440),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2440),
    [anon_sym___real] = ACTIONS(2440),
    [anon_sym___strong] = ACTIONS(2440),
    [anon_sym___unsafe_unretained] = ACTIONS(2440),
    [anon_sym___unused] = ACTIONS(2440),
    [anon_sym___weak] = ACTIONS(2440),
    [anon_sym_alignas] = ACTIONS(2440),
    [anon_sym__Alignas] = ACTIONS(2440),
    [sym_primitive_type] = ACTIONS(2440),
    [anon_sym_enum] = ACTIONS(2440),
    [anon_sym_struct] = ACTIONS(2440),
    [anon_sym_union] = ACTIONS(2440),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_else] = ACTIONS(2440),
    [anon_sym_switch] = ACTIONS(2440),
    [anon_sym_case] = ACTIONS(2440),
    [anon_sym_default] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2440),
    [anon_sym_do] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2440),
    [anon_sym_in] = ACTIONS(2440),
    [anon_sym_return] = ACTIONS(2440),
    [anon_sym_break] = ACTIONS(2440),
    [anon_sym_continue] = ACTIONS(2440),
    [anon_sym_goto] = ACTIONS(2440),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_sizeof] = ACTIONS(2440),
    [anon_sym___alignof__] = ACTIONS(2440),
    [anon_sym___alignof] = ACTIONS(2440),
    [anon_sym__alignof] = ACTIONS(2440),
    [anon_sym_alignof] = ACTIONS(2440),
    [anon_sym__Alignof] = ACTIONS(2440),
    [anon_sym_offsetof] = ACTIONS(2440),
    [anon_sym__Generic] = ACTIONS(2440),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [anon_sym___asm] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2442),
    [anon_sym_u_SQUOTE] = ACTIONS(2442),
    [anon_sym_U_SQUOTE] = ACTIONS(2442),
    [anon_sym_u8_SQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_AT] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_L_DQUOTE] = ACTIONS(2442),
    [anon_sym_u_DQUOTE] = ACTIONS(2442),
    [anon_sym_U_DQUOTE] = ACTIONS(2442),
    [anon_sym_u8_DQUOTE] = ACTIONS(2442),
    [sym_true] = ACTIONS(2440),
    [sym_false] = ACTIONS(2440),
    [anon_sym_NULL] = ACTIONS(2440),
    [anon_sym_nullptr] = ACTIONS(2440),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2440),
    [anon_sym___typeof] = ACTIONS(2440),
    [anon_sym_typeof] = ACTIONS(2440),
    [anon_sym_ATimport] = ACTIONS(2442),
    [aux_sym_preproc_undef_token1] = ACTIONS(2440),
    [anon_sym_POUND] = ACTIONS(2440),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2440),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2440),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2440),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2440),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2440),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2440),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2440),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2440),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2440),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_API_AVAILABLE] = ACTIONS(2440),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_API_DEPRECATED] = ACTIONS(2440),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2440),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2440),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2440),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2440),
    [anon_sym___deprecated_msg] = ACTIONS(2440),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2440),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2440),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2440),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2440),
    [anon_sym_ATprotocol] = ACTIONS(2442),
    [anon_sym_ATinterface] = ACTIONS(2442),
    [anon_sym_ATimplementation] = ACTIONS(2442),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2442),
    [anon_sym_ATtry] = ACTIONS(2442),
    [anon_sym___try] = ACTIONS(2440),
    [anon_sym_ATthrow] = ACTIONS(2442),
    [anon_sym_ATselector] = ACTIONS(2442),
    [anon_sym_ATavailable] = ACTIONS(2442),
    [anon_sym___builtin_available] = ACTIONS(2440),
    [anon_sym_va_arg] = ACTIONS(2440),
    [anon_sym_ATencode] = ACTIONS(2442),
    [anon_sym_ATsynchronized] = ACTIONS(2442),
    [anon_sym_BOOL] = ACTIONS(2440),
    [anon_sym_IMP] = ACTIONS(2440),
    [anon_sym_SEL] = ACTIONS(2440),
    [anon_sym_Class] = ACTIONS(2440),
    [anon_sym_id] = ACTIONS(2440),
  },
  [722] = {
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_include_token2] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym___attribute] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_ATautoreleasepool] = ACTIONS(2446),
    [anon_sym_auto] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_CG_EXTERN] = ACTIONS(2444),
    [anon_sym_CG_INLINE] = ACTIONS(2444),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2444),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2444),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2444),
    [anon_sym_IBOutlet] = ACTIONS(2444),
    [anon_sym_IBInspectable] = ACTIONS(2444),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2444),
    [anon_sym_NS_INLINE] = ACTIONS(2444),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2444),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2444),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2444),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym__Nonnull] = ACTIONS(2444),
    [anon_sym_nullable] = ACTIONS(2444),
    [anon_sym__Complex] = ACTIONS(2444),
    [anon_sym__Nullable] = ACTIONS(2444),
    [anon_sym__Nullable_result] = ACTIONS(2444),
    [anon_sym__Null_unspecified] = ACTIONS(2444),
    [anon_sym___autoreleasing] = ACTIONS(2444),
    [anon_sym___block] = ACTIONS(2444),
    [anon_sym___bridge] = ACTIONS(2444),
    [anon_sym___bridge_retained] = ACTIONS(2444),
    [anon_sym___bridge_transfer] = ACTIONS(2444),
    [anon_sym___complex] = ACTIONS(2444),
    [anon_sym___const] = ACTIONS(2444),
    [anon_sym___imag] = ACTIONS(2444),
    [anon_sym___kindof] = ACTIONS(2444),
    [anon_sym___nonnull] = ACTIONS(2444),
    [anon_sym___nullable] = ACTIONS(2444),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2444),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2444),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2444),
    [anon_sym___real] = ACTIONS(2444),
    [anon_sym___strong] = ACTIONS(2444),
    [anon_sym___unsafe_unretained] = ACTIONS(2444),
    [anon_sym___unused] = ACTIONS(2444),
    [anon_sym___weak] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym__Alignas] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [anon_sym___asm] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_AT] = ACTIONS(2444),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2444),
    [anon_sym___typeof] = ACTIONS(2444),
    [anon_sym_typeof] = ACTIONS(2444),
    [anon_sym_ATimport] = ACTIONS(2446),
    [aux_sym_preproc_undef_token1] = ACTIONS(2444),
    [anon_sym_POUND] = ACTIONS(2444),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2444),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2444),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2444),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2444),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2444),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2444),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2444),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2444),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2444),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_API_AVAILABLE] = ACTIONS(2444),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_API_DEPRECATED] = ACTIONS(2444),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2444),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2444),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2444),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2444),
    [anon_sym___deprecated_msg] = ACTIONS(2444),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2444),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2444),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2444),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2444),
    [anon_sym_ATprotocol] = ACTIONS(2446),
    [anon_sym_ATinterface] = ACTIONS(2446),
    [anon_sym_ATimplementation] = ACTIONS(2446),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2446),
    [anon_sym_ATtry] = ACTIONS(2446),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym_ATthrow] = ACTIONS(2446),
    [anon_sym_ATselector] = ACTIONS(2446),
    [anon_sym_ATavailable] = ACTIONS(2446),
    [anon_sym___builtin_available] = ACTIONS(2444),
    [anon_sym_va_arg] = ACTIONS(2444),
    [anon_sym_ATencode] = ACTIONS(2446),
    [anon_sym_ATsynchronized] = ACTIONS(2446),
    [anon_sym_BOOL] = ACTIONS(2444),
    [anon_sym_IMP] = ACTIONS(2444),
    [anon_sym_SEL] = ACTIONS(2444),
    [anon_sym_Class] = ACTIONS(2444),
    [anon_sym_id] = ACTIONS(2444),
  },
  [723] = {
    [sym_identifier] = ACTIONS(2436),
    [aux_sym_preproc_include_token1] = ACTIONS(2436),
    [aux_sym_preproc_include_token2] = ACTIONS(2436),
    [aux_sym_preproc_def_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2436),
    [sym_preproc_directive] = ACTIONS(2436),
    [anon_sym_LPAREN2] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_CARET] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym___attribute] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym___cdecl] = ACTIONS(2436),
    [anon_sym___clrcall] = ACTIONS(2436),
    [anon_sym___stdcall] = ACTIONS(2436),
    [anon_sym___fastcall] = ACTIONS(2436),
    [anon_sym___thiscall] = ACTIONS(2436),
    [anon_sym___vectorcall] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_RBRACE] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_ATautoreleasepool] = ACTIONS(2438),
    [anon_sym_auto] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_CG_EXTERN] = ACTIONS(2436),
    [anon_sym_CG_INLINE] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2436),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2436),
    [anon_sym_IBOutlet] = ACTIONS(2436),
    [anon_sym_IBInspectable] = ACTIONS(2436),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2436),
    [anon_sym_NS_INLINE] = ACTIONS(2436),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2436),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2436),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym__Nonnull] = ACTIONS(2436),
    [anon_sym_nullable] = ACTIONS(2436),
    [anon_sym__Complex] = ACTIONS(2436),
    [anon_sym__Nullable] = ACTIONS(2436),
    [anon_sym__Nullable_result] = ACTIONS(2436),
    [anon_sym__Null_unspecified] = ACTIONS(2436),
    [anon_sym___autoreleasing] = ACTIONS(2436),
    [anon_sym___block] = ACTIONS(2436),
    [anon_sym___bridge] = ACTIONS(2436),
    [anon_sym___bridge_retained] = ACTIONS(2436),
    [anon_sym___bridge_transfer] = ACTIONS(2436),
    [anon_sym___complex] = ACTIONS(2436),
    [anon_sym___const] = ACTIONS(2436),
    [anon_sym___imag] = ACTIONS(2436),
    [anon_sym___kindof] = ACTIONS(2436),
    [anon_sym___nonnull] = ACTIONS(2436),
    [anon_sym___nullable] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2436),
    [anon_sym___real] = ACTIONS(2436),
    [anon_sym___strong] = ACTIONS(2436),
    [anon_sym___unsafe_unretained] = ACTIONS(2436),
    [anon_sym___unused] = ACTIONS(2436),
    [anon_sym___weak] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym__Alignas] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_else] = ACTIONS(2436),
    [anon_sym_switch] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(2436),
    [anon_sym_default] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_in] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2436),
    [anon_sym_break] = ACTIONS(2436),
    [anon_sym_continue] = ACTIONS(2436),
    [anon_sym_goto] = ACTIONS(2436),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_sizeof] = ACTIONS(2436),
    [anon_sym___alignof__] = ACTIONS(2436),
    [anon_sym___alignof] = ACTIONS(2436),
    [anon_sym__alignof] = ACTIONS(2436),
    [anon_sym_alignof] = ACTIONS(2436),
    [anon_sym__Alignof] = ACTIONS(2436),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2436),
    [anon_sym_asm] = ACTIONS(2436),
    [anon_sym___asm__] = ACTIONS(2436),
    [anon_sym___asm] = ACTIONS(2436),
    [sym_number_literal] = ACTIONS(2438),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_AT] = ACTIONS(2436),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2438),
    [anon_sym_u_DQUOTE] = ACTIONS(2438),
    [anon_sym_U_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8_DQUOTE] = ACTIONS(2438),
    [sym_true] = ACTIONS(2436),
    [sym_false] = ACTIONS(2436),
    [anon_sym_NULL] = ACTIONS(2436),
    [anon_sym_nullptr] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2436),
    [anon_sym___typeof] = ACTIONS(2436),
    [anon_sym_typeof] = ACTIONS(2436),
    [anon_sym_ATimport] = ACTIONS(2438),
    [aux_sym_preproc_undef_token1] = ACTIONS(2436),
    [anon_sym_POUND] = ACTIONS(2436),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2436),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2436),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2436),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_API_AVAILABLE] = ACTIONS(2436),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_API_DEPRECATED] = ACTIONS(2436),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym___deprecated_msg] = ACTIONS(2436),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2436),
    [anon_sym_ATprotocol] = ACTIONS(2438),
    [anon_sym_ATinterface] = ACTIONS(2438),
    [anon_sym_ATimplementation] = ACTIONS(2438),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2438),
    [anon_sym_ATtry] = ACTIONS(2438),
    [anon_sym___try] = ACTIONS(2436),
    [anon_sym_ATthrow] = ACTIONS(2438),
    [anon_sym_ATselector] = ACTIONS(2438),
    [anon_sym_ATavailable] = ACTIONS(2438),
    [anon_sym___builtin_available] = ACTIONS(2436),
    [anon_sym_va_arg] = ACTIONS(2436),
    [anon_sym_ATencode] = ACTIONS(2438),
    [anon_sym_ATsynchronized] = ACTIONS(2438),
    [anon_sym_BOOL] = ACTIONS(2436),
    [anon_sym_IMP] = ACTIONS(2436),
    [anon_sym_SEL] = ACTIONS(2436),
    [anon_sym_Class] = ACTIONS(2436),
    [anon_sym_id] = ACTIONS(2436),
  },
  [724] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_include_token1] = ACTIONS(2448),
    [aux_sym_preproc_include_token2] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym___attribute] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___cdecl] = ACTIONS(2448),
    [anon_sym___clrcall] = ACTIONS(2448),
    [anon_sym___stdcall] = ACTIONS(2448),
    [anon_sym___fastcall] = ACTIONS(2448),
    [anon_sym___thiscall] = ACTIONS(2448),
    [anon_sym___vectorcall] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_ATautoreleasepool] = ACTIONS(2450),
    [anon_sym_auto] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_CG_EXTERN] = ACTIONS(2448),
    [anon_sym_CG_INLINE] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2448),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2448),
    [anon_sym_IBOutlet] = ACTIONS(2448),
    [anon_sym_IBInspectable] = ACTIONS(2448),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2448),
    [anon_sym_NS_INLINE] = ACTIONS(2448),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2448),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2448),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym__Nonnull] = ACTIONS(2448),
    [anon_sym_nullable] = ACTIONS(2448),
    [anon_sym__Complex] = ACTIONS(2448),
    [anon_sym__Nullable] = ACTIONS(2448),
    [anon_sym__Nullable_result] = ACTIONS(2448),
    [anon_sym__Null_unspecified] = ACTIONS(2448),
    [anon_sym___autoreleasing] = ACTIONS(2448),
    [anon_sym___block] = ACTIONS(2448),
    [anon_sym___bridge] = ACTIONS(2448),
    [anon_sym___bridge_retained] = ACTIONS(2448),
    [anon_sym___bridge_transfer] = ACTIONS(2448),
    [anon_sym___complex] = ACTIONS(2448),
    [anon_sym___const] = ACTIONS(2448),
    [anon_sym___imag] = ACTIONS(2448),
    [anon_sym___kindof] = ACTIONS(2448),
    [anon_sym___nonnull] = ACTIONS(2448),
    [anon_sym___nullable] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2448),
    [anon_sym___real] = ACTIONS(2448),
    [anon_sym___strong] = ACTIONS(2448),
    [anon_sym___unsafe_unretained] = ACTIONS(2448),
    [anon_sym___unused] = ACTIONS(2448),
    [anon_sym___weak] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym__Alignas] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_switch] = ACTIONS(2448),
    [anon_sym_case] = ACTIONS(2448),
    [anon_sym_default] = ACTIONS(2448),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_do] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_break] = ACTIONS(2448),
    [anon_sym_continue] = ACTIONS(2448),
    [anon_sym_goto] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_sizeof] = ACTIONS(2448),
    [anon_sym___alignof__] = ACTIONS(2448),
    [anon_sym___alignof] = ACTIONS(2448),
    [anon_sym__alignof] = ACTIONS(2448),
    [anon_sym_alignof] = ACTIONS(2448),
    [anon_sym__Alignof] = ACTIONS(2448),
    [anon_sym_offsetof] = ACTIONS(2448),
    [anon_sym__Generic] = ACTIONS(2448),
    [anon_sym_asm] = ACTIONS(2448),
    [anon_sym___asm__] = ACTIONS(2448),
    [anon_sym___asm] = ACTIONS(2448),
    [sym_number_literal] = ACTIONS(2450),
    [anon_sym_L_SQUOTE] = ACTIONS(2450),
    [anon_sym_u_SQUOTE] = ACTIONS(2450),
    [anon_sym_U_SQUOTE] = ACTIONS(2450),
    [anon_sym_u8_SQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_AT] = ACTIONS(2448),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_L_DQUOTE] = ACTIONS(2450),
    [anon_sym_u_DQUOTE] = ACTIONS(2450),
    [anon_sym_U_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8_DQUOTE] = ACTIONS(2450),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2448),
    [anon_sym_nullptr] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2448),
    [anon_sym___typeof] = ACTIONS(2448),
    [anon_sym_typeof] = ACTIONS(2448),
    [anon_sym_ATimport] = ACTIONS(2450),
    [aux_sym_preproc_undef_token1] = ACTIONS(2448),
    [anon_sym_POUND] = ACTIONS(2448),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2448),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2448),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2448),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_API_AVAILABLE] = ACTIONS(2448),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_API_DEPRECATED] = ACTIONS(2448),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym___deprecated_msg] = ACTIONS(2448),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2448),
    [anon_sym_ATprotocol] = ACTIONS(2450),
    [anon_sym_ATinterface] = ACTIONS(2450),
    [anon_sym_ATimplementation] = ACTIONS(2450),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2450),
    [anon_sym_ATtry] = ACTIONS(2450),
    [anon_sym___try] = ACTIONS(2448),
    [anon_sym_ATthrow] = ACTIONS(2450),
    [anon_sym_ATselector] = ACTIONS(2450),
    [anon_sym_ATavailable] = ACTIONS(2450),
    [anon_sym___builtin_available] = ACTIONS(2448),
    [anon_sym_va_arg] = ACTIONS(2448),
    [anon_sym_ATencode] = ACTIONS(2450),
    [anon_sym_ATsynchronized] = ACTIONS(2450),
    [anon_sym_BOOL] = ACTIONS(2448),
    [anon_sym_IMP] = ACTIONS(2448),
    [anon_sym_SEL] = ACTIONS(2448),
    [anon_sym_Class] = ACTIONS(2448),
    [anon_sym_id] = ACTIONS(2448),
  },
  [725] = {
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_include_token1] = ACTIONS(2452),
    [aux_sym_preproc_include_token2] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_BANG] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym___attribute] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_RBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_ATautoreleasepool] = ACTIONS(2454),
    [anon_sym_auto] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_CG_EXTERN] = ACTIONS(2452),
    [anon_sym_CG_INLINE] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2452),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2452),
    [anon_sym_IBOutlet] = ACTIONS(2452),
    [anon_sym_IBInspectable] = ACTIONS(2452),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2452),
    [anon_sym_NS_INLINE] = ACTIONS(2452),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2452),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2452),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym__Nonnull] = ACTIONS(2452),
    [anon_sym_nullable] = ACTIONS(2452),
    [anon_sym__Complex] = ACTIONS(2452),
    [anon_sym__Nullable] = ACTIONS(2452),
    [anon_sym__Nullable_result] = ACTIONS(2452),
    [anon_sym__Null_unspecified] = ACTIONS(2452),
    [anon_sym___autoreleasing] = ACTIONS(2452),
    [anon_sym___block] = ACTIONS(2452),
    [anon_sym___bridge] = ACTIONS(2452),
    [anon_sym___bridge_retained] = ACTIONS(2452),
    [anon_sym___bridge_transfer] = ACTIONS(2452),
    [anon_sym___complex] = ACTIONS(2452),
    [anon_sym___const] = ACTIONS(2452),
    [anon_sym___imag] = ACTIONS(2452),
    [anon_sym___kindof] = ACTIONS(2452),
    [anon_sym___nonnull] = ACTIONS(2452),
    [anon_sym___nullable] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2452),
    [anon_sym___real] = ACTIONS(2452),
    [anon_sym___strong] = ACTIONS(2452),
    [anon_sym___unsafe_unretained] = ACTIONS(2452),
    [anon_sym___unused] = ACTIONS(2452),
    [anon_sym___weak] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym__Alignas] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(2452),
    [anon_sym_case] = ACTIONS(2452),
    [anon_sym_default] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_do] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_break] = ACTIONS(2452),
    [anon_sym_continue] = ACTIONS(2452),
    [anon_sym_goto] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(2454),
    [anon_sym_sizeof] = ACTIONS(2452),
    [anon_sym___alignof__] = ACTIONS(2452),
    [anon_sym___alignof] = ACTIONS(2452),
    [anon_sym__alignof] = ACTIONS(2452),
    [anon_sym_alignof] = ACTIONS(2452),
    [anon_sym__Alignof] = ACTIONS(2452),
    [anon_sym_offsetof] = ACTIONS(2452),
    [anon_sym__Generic] = ACTIONS(2452),
    [anon_sym_asm] = ACTIONS(2452),
    [anon_sym___asm__] = ACTIONS(2452),
    [anon_sym___asm] = ACTIONS(2452),
    [sym_number_literal] = ACTIONS(2454),
    [anon_sym_L_SQUOTE] = ACTIONS(2454),
    [anon_sym_u_SQUOTE] = ACTIONS(2454),
    [anon_sym_U_SQUOTE] = ACTIONS(2454),
    [anon_sym_u8_SQUOTE] = ACTIONS(2454),
    [anon_sym_SQUOTE] = ACTIONS(2454),
    [anon_sym_AT] = ACTIONS(2452),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_L_DQUOTE] = ACTIONS(2454),
    [anon_sym_u_DQUOTE] = ACTIONS(2454),
    [anon_sym_U_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8_DQUOTE] = ACTIONS(2454),
    [sym_true] = ACTIONS(2452),
    [sym_false] = ACTIONS(2452),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2452),
    [anon_sym___typeof] = ACTIONS(2452),
    [anon_sym_typeof] = ACTIONS(2452),
    [anon_sym_ATimport] = ACTIONS(2454),
    [aux_sym_preproc_undef_token1] = ACTIONS(2452),
    [anon_sym_POUND] = ACTIONS(2452),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2452),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2452),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2452),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_API_AVAILABLE] = ACTIONS(2452),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_API_DEPRECATED] = ACTIONS(2452),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym___deprecated_msg] = ACTIONS(2452),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2452),
    [anon_sym_ATprotocol] = ACTIONS(2454),
    [anon_sym_ATinterface] = ACTIONS(2454),
    [anon_sym_ATimplementation] = ACTIONS(2454),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2454),
    [anon_sym_ATtry] = ACTIONS(2454),
    [anon_sym___try] = ACTIONS(2452),
    [anon_sym_ATthrow] = ACTIONS(2454),
    [anon_sym_ATselector] = ACTIONS(2454),
    [anon_sym_ATavailable] = ACTIONS(2454),
    [anon_sym___builtin_available] = ACTIONS(2452),
    [anon_sym_va_arg] = ACTIONS(2452),
    [anon_sym_ATencode] = ACTIONS(2454),
    [anon_sym_ATsynchronized] = ACTIONS(2454),
    [anon_sym_BOOL] = ACTIONS(2452),
    [anon_sym_IMP] = ACTIONS(2452),
    [anon_sym_SEL] = ACTIONS(2452),
    [anon_sym_Class] = ACTIONS(2452),
    [anon_sym_id] = ACTIONS(2452),
  },
  [726] = {
    [ts_builtin_sym_end] = ACTIONS(2538),
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_include_token2] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_CARET] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_ATautoreleasepool] = ACTIONS(2538),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [anon_sym___asm] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [anon_sym_ATimport] = ACTIONS(2538),
    [aux_sym_preproc_undef_token1] = ACTIONS(2536),
    [anon_sym_POUND] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATprotocol] = ACTIONS(2538),
    [anon_sym_ATinterface] = ACTIONS(2538),
    [anon_sym_ATimplementation] = ACTIONS(2538),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2538),
    [anon_sym_ATtry] = ACTIONS(2538),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym_ATthrow] = ACTIONS(2538),
    [anon_sym_ATselector] = ACTIONS(2538),
    [anon_sym_ATavailable] = ACTIONS(2538),
    [anon_sym___builtin_available] = ACTIONS(2536),
    [anon_sym_va_arg] = ACTIONS(2536),
    [anon_sym_ATencode] = ACTIONS(2538),
    [anon_sym_ATsynchronized] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [727] = {
    [ts_builtin_sym_end] = ACTIONS(2538),
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_include_token2] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_CARET] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_ATautoreleasepool] = ACTIONS(2538),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [anon_sym___asm] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [anon_sym_ATimport] = ACTIONS(2538),
    [aux_sym_preproc_undef_token1] = ACTIONS(2536),
    [anon_sym_POUND] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATprotocol] = ACTIONS(2538),
    [anon_sym_ATinterface] = ACTIONS(2538),
    [anon_sym_ATimplementation] = ACTIONS(2538),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2538),
    [anon_sym_ATtry] = ACTIONS(2538),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym_ATthrow] = ACTIONS(2538),
    [anon_sym_ATselector] = ACTIONS(2538),
    [anon_sym_ATavailable] = ACTIONS(2538),
    [anon_sym___builtin_available] = ACTIONS(2536),
    [anon_sym_va_arg] = ACTIONS(2536),
    [anon_sym_ATencode] = ACTIONS(2538),
    [anon_sym_ATsynchronized] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [728] = {
    [ts_builtin_sym_end] = ACTIONS(2538),
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_include_token2] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_CARET] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_ATautoreleasepool] = ACTIONS(2538),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [anon_sym___asm] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [anon_sym_ATimport] = ACTIONS(2538),
    [aux_sym_preproc_undef_token1] = ACTIONS(2536),
    [anon_sym_POUND] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATprotocol] = ACTIONS(2538),
    [anon_sym_ATinterface] = ACTIONS(2538),
    [anon_sym_ATimplementation] = ACTIONS(2538),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2538),
    [anon_sym_ATtry] = ACTIONS(2538),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym_ATthrow] = ACTIONS(2538),
    [anon_sym_ATselector] = ACTIONS(2538),
    [anon_sym_ATavailable] = ACTIONS(2538),
    [anon_sym___builtin_available] = ACTIONS(2536),
    [anon_sym_va_arg] = ACTIONS(2536),
    [anon_sym_ATencode] = ACTIONS(2538),
    [anon_sym_ATsynchronized] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [729] = {
    [sym_identifier] = ACTIONS(2436),
    [aux_sym_preproc_include_token1] = ACTIONS(2436),
    [aux_sym_preproc_include_token2] = ACTIONS(2436),
    [aux_sym_preproc_def_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2436),
    [sym_preproc_directive] = ACTIONS(2436),
    [anon_sym_LPAREN2] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_CARET] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym___attribute] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym___cdecl] = ACTIONS(2436),
    [anon_sym___clrcall] = ACTIONS(2436),
    [anon_sym___stdcall] = ACTIONS(2436),
    [anon_sym___fastcall] = ACTIONS(2436),
    [anon_sym___thiscall] = ACTIONS(2436),
    [anon_sym___vectorcall] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_RBRACE] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_ATautoreleasepool] = ACTIONS(2438),
    [anon_sym_auto] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_CG_EXTERN] = ACTIONS(2436),
    [anon_sym_CG_INLINE] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2436),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2436),
    [anon_sym_IBOutlet] = ACTIONS(2436),
    [anon_sym_IBInspectable] = ACTIONS(2436),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2436),
    [anon_sym_NS_INLINE] = ACTIONS(2436),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2436),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2436),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym__Nonnull] = ACTIONS(2436),
    [anon_sym_nullable] = ACTIONS(2436),
    [anon_sym__Complex] = ACTIONS(2436),
    [anon_sym__Nullable] = ACTIONS(2436),
    [anon_sym__Nullable_result] = ACTIONS(2436),
    [anon_sym__Null_unspecified] = ACTIONS(2436),
    [anon_sym___autoreleasing] = ACTIONS(2436),
    [anon_sym___block] = ACTIONS(2436),
    [anon_sym___bridge] = ACTIONS(2436),
    [anon_sym___bridge_retained] = ACTIONS(2436),
    [anon_sym___bridge_transfer] = ACTIONS(2436),
    [anon_sym___complex] = ACTIONS(2436),
    [anon_sym___const] = ACTIONS(2436),
    [anon_sym___imag] = ACTIONS(2436),
    [anon_sym___kindof] = ACTIONS(2436),
    [anon_sym___nonnull] = ACTIONS(2436),
    [anon_sym___nullable] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2436),
    [anon_sym___real] = ACTIONS(2436),
    [anon_sym___strong] = ACTIONS(2436),
    [anon_sym___unsafe_unretained] = ACTIONS(2436),
    [anon_sym___unused] = ACTIONS(2436),
    [anon_sym___weak] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym__Alignas] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_else] = ACTIONS(2436),
    [anon_sym_switch] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(2436),
    [anon_sym_default] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_in] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2436),
    [anon_sym_break] = ACTIONS(2436),
    [anon_sym_continue] = ACTIONS(2436),
    [anon_sym_goto] = ACTIONS(2436),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_sizeof] = ACTIONS(2436),
    [anon_sym___alignof__] = ACTIONS(2436),
    [anon_sym___alignof] = ACTIONS(2436),
    [anon_sym__alignof] = ACTIONS(2436),
    [anon_sym_alignof] = ACTIONS(2436),
    [anon_sym__Alignof] = ACTIONS(2436),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2436),
    [anon_sym_asm] = ACTIONS(2436),
    [anon_sym___asm__] = ACTIONS(2436),
    [anon_sym___asm] = ACTIONS(2436),
    [sym_number_literal] = ACTIONS(2438),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_AT] = ACTIONS(2436),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2438),
    [anon_sym_u_DQUOTE] = ACTIONS(2438),
    [anon_sym_U_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8_DQUOTE] = ACTIONS(2438),
    [sym_true] = ACTIONS(2436),
    [sym_false] = ACTIONS(2436),
    [anon_sym_NULL] = ACTIONS(2436),
    [anon_sym_nullptr] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2436),
    [anon_sym___typeof] = ACTIONS(2436),
    [anon_sym_typeof] = ACTIONS(2436),
    [anon_sym_ATimport] = ACTIONS(2438),
    [aux_sym_preproc_undef_token1] = ACTIONS(2436),
    [anon_sym_POUND] = ACTIONS(2436),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2436),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2436),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2436),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_API_AVAILABLE] = ACTIONS(2436),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_API_DEPRECATED] = ACTIONS(2436),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym___deprecated_msg] = ACTIONS(2436),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2436),
    [anon_sym_ATprotocol] = ACTIONS(2438),
    [anon_sym_ATinterface] = ACTIONS(2438),
    [anon_sym_ATimplementation] = ACTIONS(2438),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2438),
    [anon_sym_ATtry] = ACTIONS(2438),
    [anon_sym___try] = ACTIONS(2436),
    [anon_sym_ATthrow] = ACTIONS(2438),
    [anon_sym_ATselector] = ACTIONS(2438),
    [anon_sym_ATavailable] = ACTIONS(2438),
    [anon_sym___builtin_available] = ACTIONS(2436),
    [anon_sym_va_arg] = ACTIONS(2436),
    [anon_sym_ATencode] = ACTIONS(2438),
    [anon_sym_ATsynchronized] = ACTIONS(2438),
    [anon_sym_BOOL] = ACTIONS(2436),
    [anon_sym_IMP] = ACTIONS(2436),
    [anon_sym_SEL] = ACTIONS(2436),
    [anon_sym_Class] = ACTIONS(2436),
    [anon_sym_id] = ACTIONS(2436),
  },
  [730] = {
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_include_token1] = ACTIONS(2452),
    [aux_sym_preproc_include_token2] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_BANG] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym___attribute] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_RBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_ATautoreleasepool] = ACTIONS(2454),
    [anon_sym_auto] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_CG_EXTERN] = ACTIONS(2452),
    [anon_sym_CG_INLINE] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2452),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2452),
    [anon_sym_IBOutlet] = ACTIONS(2452),
    [anon_sym_IBInspectable] = ACTIONS(2452),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2452),
    [anon_sym_NS_INLINE] = ACTIONS(2452),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2452),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2452),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym__Nonnull] = ACTIONS(2452),
    [anon_sym_nullable] = ACTIONS(2452),
    [anon_sym__Complex] = ACTIONS(2452),
    [anon_sym__Nullable] = ACTIONS(2452),
    [anon_sym__Nullable_result] = ACTIONS(2452),
    [anon_sym__Null_unspecified] = ACTIONS(2452),
    [anon_sym___autoreleasing] = ACTIONS(2452),
    [anon_sym___block] = ACTIONS(2452),
    [anon_sym___bridge] = ACTIONS(2452),
    [anon_sym___bridge_retained] = ACTIONS(2452),
    [anon_sym___bridge_transfer] = ACTIONS(2452),
    [anon_sym___complex] = ACTIONS(2452),
    [anon_sym___const] = ACTIONS(2452),
    [anon_sym___imag] = ACTIONS(2452),
    [anon_sym___kindof] = ACTIONS(2452),
    [anon_sym___nonnull] = ACTIONS(2452),
    [anon_sym___nullable] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2452),
    [anon_sym___real] = ACTIONS(2452),
    [anon_sym___strong] = ACTIONS(2452),
    [anon_sym___unsafe_unretained] = ACTIONS(2452),
    [anon_sym___unused] = ACTIONS(2452),
    [anon_sym___weak] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym__Alignas] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(2452),
    [anon_sym_case] = ACTIONS(2452),
    [anon_sym_default] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_do] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_break] = ACTIONS(2452),
    [anon_sym_continue] = ACTIONS(2452),
    [anon_sym_goto] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(2454),
    [anon_sym_sizeof] = ACTIONS(2452),
    [anon_sym___alignof__] = ACTIONS(2452),
    [anon_sym___alignof] = ACTIONS(2452),
    [anon_sym__alignof] = ACTIONS(2452),
    [anon_sym_alignof] = ACTIONS(2452),
    [anon_sym__Alignof] = ACTIONS(2452),
    [anon_sym_offsetof] = ACTIONS(2452),
    [anon_sym__Generic] = ACTIONS(2452),
    [anon_sym_asm] = ACTIONS(2452),
    [anon_sym___asm__] = ACTIONS(2452),
    [anon_sym___asm] = ACTIONS(2452),
    [sym_number_literal] = ACTIONS(2454),
    [anon_sym_L_SQUOTE] = ACTIONS(2454),
    [anon_sym_u_SQUOTE] = ACTIONS(2454),
    [anon_sym_U_SQUOTE] = ACTIONS(2454),
    [anon_sym_u8_SQUOTE] = ACTIONS(2454),
    [anon_sym_SQUOTE] = ACTIONS(2454),
    [anon_sym_AT] = ACTIONS(2452),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_L_DQUOTE] = ACTIONS(2454),
    [anon_sym_u_DQUOTE] = ACTIONS(2454),
    [anon_sym_U_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8_DQUOTE] = ACTIONS(2454),
    [sym_true] = ACTIONS(2452),
    [sym_false] = ACTIONS(2452),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2452),
    [anon_sym___typeof] = ACTIONS(2452),
    [anon_sym_typeof] = ACTIONS(2452),
    [anon_sym_ATimport] = ACTIONS(2454),
    [aux_sym_preproc_undef_token1] = ACTIONS(2452),
    [anon_sym_POUND] = ACTIONS(2452),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2452),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2452),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2452),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_API_AVAILABLE] = ACTIONS(2452),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_API_DEPRECATED] = ACTIONS(2452),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym___deprecated_msg] = ACTIONS(2452),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2452),
    [anon_sym_ATprotocol] = ACTIONS(2454),
    [anon_sym_ATinterface] = ACTIONS(2454),
    [anon_sym_ATimplementation] = ACTIONS(2454),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2454),
    [anon_sym_ATtry] = ACTIONS(2454),
    [anon_sym___try] = ACTIONS(2452),
    [anon_sym_ATthrow] = ACTIONS(2454),
    [anon_sym_ATselector] = ACTIONS(2454),
    [anon_sym_ATavailable] = ACTIONS(2454),
    [anon_sym___builtin_available] = ACTIONS(2452),
    [anon_sym_va_arg] = ACTIONS(2452),
    [anon_sym_ATencode] = ACTIONS(2454),
    [anon_sym_ATsynchronized] = ACTIONS(2454),
    [anon_sym_BOOL] = ACTIONS(2452),
    [anon_sym_IMP] = ACTIONS(2452),
    [anon_sym_SEL] = ACTIONS(2452),
    [anon_sym_Class] = ACTIONS(2452),
    [anon_sym_id] = ACTIONS(2452),
  },
  [731] = {
    [sym_identifier] = ACTIONS(2408),
    [aux_sym_preproc_include_token1] = ACTIONS(2408),
    [aux_sym_preproc_include_token2] = ACTIONS(2408),
    [aux_sym_preproc_def_token1] = ACTIONS(2408),
    [aux_sym_preproc_if_token1] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2408),
    [sym_preproc_directive] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_CARET] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym___extension__] = ACTIONS(2408),
    [anon_sym_typedef] = ACTIONS(2408),
    [anon_sym_extern] = ACTIONS(2408),
    [anon_sym___attribute__] = ACTIONS(2408),
    [anon_sym___attribute] = ACTIONS(2408),
    [anon_sym_noreturn] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym___declspec] = ACTIONS(2408),
    [anon_sym___cdecl] = ACTIONS(2408),
    [anon_sym___clrcall] = ACTIONS(2408),
    [anon_sym___stdcall] = ACTIONS(2408),
    [anon_sym___fastcall] = ACTIONS(2408),
    [anon_sym___thiscall] = ACTIONS(2408),
    [anon_sym___vectorcall] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_RBRACE] = ACTIONS(2410),
    [anon_sym_signed] = ACTIONS(2408),
    [anon_sym_unsigned] = ACTIONS(2408),
    [anon_sym_long] = ACTIONS(2408),
    [anon_sym_short] = ACTIONS(2408),
    [anon_sym_static] = ACTIONS(2408),
    [anon_sym_ATautoreleasepool] = ACTIONS(2410),
    [anon_sym_auto] = ACTIONS(2408),
    [anon_sym_register] = ACTIONS(2408),
    [anon_sym_inline] = ACTIONS(2408),
    [anon_sym___inline] = ACTIONS(2408),
    [anon_sym___inline__] = ACTIONS(2408),
    [anon_sym___forceinline] = ACTIONS(2408),
    [anon_sym_thread_local] = ACTIONS(2408),
    [anon_sym___thread] = ACTIONS(2408),
    [anon_sym_CG_EXTERN] = ACTIONS(2408),
    [anon_sym_CG_INLINE] = ACTIONS(2408),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2408),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2408),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2408),
    [anon_sym_IBOutlet] = ACTIONS(2408),
    [anon_sym_IBInspectable] = ACTIONS(2408),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2408),
    [anon_sym_NS_INLINE] = ACTIONS(2408),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2408),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2408),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2408),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2408),
    [anon_sym_const] = ACTIONS(2408),
    [anon_sym_constexpr] = ACTIONS(2408),
    [anon_sym_volatile] = ACTIONS(2408),
    [anon_sym_restrict] = ACTIONS(2408),
    [anon_sym___restrict__] = ACTIONS(2408),
    [anon_sym__Atomic] = ACTIONS(2408),
    [anon_sym__Noreturn] = ACTIONS(2408),
    [anon_sym__Nonnull] = ACTIONS(2408),
    [anon_sym_nullable] = ACTIONS(2408),
    [anon_sym__Complex] = ACTIONS(2408),
    [anon_sym__Nullable] = ACTIONS(2408),
    [anon_sym__Nullable_result] = ACTIONS(2408),
    [anon_sym__Null_unspecified] = ACTIONS(2408),
    [anon_sym___autoreleasing] = ACTIONS(2408),
    [anon_sym___block] = ACTIONS(2408),
    [anon_sym___bridge] = ACTIONS(2408),
    [anon_sym___bridge_retained] = ACTIONS(2408),
    [anon_sym___bridge_transfer] = ACTIONS(2408),
    [anon_sym___complex] = ACTIONS(2408),
    [anon_sym___const] = ACTIONS(2408),
    [anon_sym___imag] = ACTIONS(2408),
    [anon_sym___kindof] = ACTIONS(2408),
    [anon_sym___nonnull] = ACTIONS(2408),
    [anon_sym___nullable] = ACTIONS(2408),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2408),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2408),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2408),
    [anon_sym___real] = ACTIONS(2408),
    [anon_sym___strong] = ACTIONS(2408),
    [anon_sym___unsafe_unretained] = ACTIONS(2408),
    [anon_sym___unused] = ACTIONS(2408),
    [anon_sym___weak] = ACTIONS(2408),
    [anon_sym_alignas] = ACTIONS(2408),
    [anon_sym__Alignas] = ACTIONS(2408),
    [sym_primitive_type] = ACTIONS(2408),
    [anon_sym_enum] = ACTIONS(2408),
    [anon_sym_struct] = ACTIONS(2408),
    [anon_sym_union] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_else] = ACTIONS(2408),
    [anon_sym_switch] = ACTIONS(2408),
    [anon_sym_case] = ACTIONS(2408),
    [anon_sym_default] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_break] = ACTIONS(2408),
    [anon_sym_continue] = ACTIONS(2408),
    [anon_sym_goto] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_PLUS] = ACTIONS(2410),
    [anon_sym_sizeof] = ACTIONS(2408),
    [anon_sym___alignof__] = ACTIONS(2408),
    [anon_sym___alignof] = ACTIONS(2408),
    [anon_sym__alignof] = ACTIONS(2408),
    [anon_sym_alignof] = ACTIONS(2408),
    [anon_sym__Alignof] = ACTIONS(2408),
    [anon_sym_offsetof] = ACTIONS(2408),
    [anon_sym__Generic] = ACTIONS(2408),
    [anon_sym_asm] = ACTIONS(2408),
    [anon_sym___asm__] = ACTIONS(2408),
    [anon_sym___asm] = ACTIONS(2408),
    [sym_number_literal] = ACTIONS(2410),
    [anon_sym_L_SQUOTE] = ACTIONS(2410),
    [anon_sym_u_SQUOTE] = ACTIONS(2410),
    [anon_sym_U_SQUOTE] = ACTIONS(2410),
    [anon_sym_u8_SQUOTE] = ACTIONS(2410),
    [anon_sym_SQUOTE] = ACTIONS(2410),
    [anon_sym_AT] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_L_DQUOTE] = ACTIONS(2410),
    [anon_sym_u_DQUOTE] = ACTIONS(2410),
    [anon_sym_U_DQUOTE] = ACTIONS(2410),
    [anon_sym_u8_DQUOTE] = ACTIONS(2410),
    [sym_true] = ACTIONS(2408),
    [sym_false] = ACTIONS(2408),
    [anon_sym_NULL] = ACTIONS(2408),
    [anon_sym_nullptr] = ACTIONS(2408),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2408),
    [anon_sym___typeof] = ACTIONS(2408),
    [anon_sym_typeof] = ACTIONS(2408),
    [anon_sym_ATimport] = ACTIONS(2410),
    [aux_sym_preproc_undef_token1] = ACTIONS(2408),
    [anon_sym_POUND] = ACTIONS(2408),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2408),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2408),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2408),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2408),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2408),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2408),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2408),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2408),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2408),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_API_AVAILABLE] = ACTIONS(2408),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_API_DEPRECATED] = ACTIONS(2408),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2408),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2408),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2408),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2408),
    [anon_sym___deprecated_msg] = ACTIONS(2408),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2408),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2408),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2408),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2408),
    [anon_sym_ATprotocol] = ACTIONS(2410),
    [anon_sym_ATinterface] = ACTIONS(2410),
    [anon_sym_ATimplementation] = ACTIONS(2410),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2410),
    [anon_sym_ATtry] = ACTIONS(2410),
    [anon_sym___try] = ACTIONS(2408),
    [anon_sym_ATthrow] = ACTIONS(2410),
    [anon_sym_ATselector] = ACTIONS(2410),
    [anon_sym_ATavailable] = ACTIONS(2410),
    [anon_sym___builtin_available] = ACTIONS(2408),
    [anon_sym_va_arg] = ACTIONS(2408),
    [anon_sym_ATencode] = ACTIONS(2410),
    [anon_sym_ATsynchronized] = ACTIONS(2410),
    [anon_sym_BOOL] = ACTIONS(2408),
    [anon_sym_IMP] = ACTIONS(2408),
    [anon_sym_SEL] = ACTIONS(2408),
    [anon_sym_Class] = ACTIONS(2408),
    [anon_sym_id] = ACTIONS(2408),
  },
  [732] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_include_token1] = ACTIONS(2448),
    [aux_sym_preproc_include_token2] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym___attribute] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___cdecl] = ACTIONS(2448),
    [anon_sym___clrcall] = ACTIONS(2448),
    [anon_sym___stdcall] = ACTIONS(2448),
    [anon_sym___fastcall] = ACTIONS(2448),
    [anon_sym___thiscall] = ACTIONS(2448),
    [anon_sym___vectorcall] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_ATautoreleasepool] = ACTIONS(2450),
    [anon_sym_auto] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_CG_EXTERN] = ACTIONS(2448),
    [anon_sym_CG_INLINE] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2448),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2448),
    [anon_sym_IBOutlet] = ACTIONS(2448),
    [anon_sym_IBInspectable] = ACTIONS(2448),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2448),
    [anon_sym_NS_INLINE] = ACTIONS(2448),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2448),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2448),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym__Nonnull] = ACTIONS(2448),
    [anon_sym_nullable] = ACTIONS(2448),
    [anon_sym__Complex] = ACTIONS(2448),
    [anon_sym__Nullable] = ACTIONS(2448),
    [anon_sym__Nullable_result] = ACTIONS(2448),
    [anon_sym__Null_unspecified] = ACTIONS(2448),
    [anon_sym___autoreleasing] = ACTIONS(2448),
    [anon_sym___block] = ACTIONS(2448),
    [anon_sym___bridge] = ACTIONS(2448),
    [anon_sym___bridge_retained] = ACTIONS(2448),
    [anon_sym___bridge_transfer] = ACTIONS(2448),
    [anon_sym___complex] = ACTIONS(2448),
    [anon_sym___const] = ACTIONS(2448),
    [anon_sym___imag] = ACTIONS(2448),
    [anon_sym___kindof] = ACTIONS(2448),
    [anon_sym___nonnull] = ACTIONS(2448),
    [anon_sym___nullable] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2448),
    [anon_sym___real] = ACTIONS(2448),
    [anon_sym___strong] = ACTIONS(2448),
    [anon_sym___unsafe_unretained] = ACTIONS(2448),
    [anon_sym___unused] = ACTIONS(2448),
    [anon_sym___weak] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym__Alignas] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_switch] = ACTIONS(2448),
    [anon_sym_case] = ACTIONS(2448),
    [anon_sym_default] = ACTIONS(2448),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_do] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_break] = ACTIONS(2448),
    [anon_sym_continue] = ACTIONS(2448),
    [anon_sym_goto] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_sizeof] = ACTIONS(2448),
    [anon_sym___alignof__] = ACTIONS(2448),
    [anon_sym___alignof] = ACTIONS(2448),
    [anon_sym__alignof] = ACTIONS(2448),
    [anon_sym_alignof] = ACTIONS(2448),
    [anon_sym__Alignof] = ACTIONS(2448),
    [anon_sym_offsetof] = ACTIONS(2448),
    [anon_sym__Generic] = ACTIONS(2448),
    [anon_sym_asm] = ACTIONS(2448),
    [anon_sym___asm__] = ACTIONS(2448),
    [anon_sym___asm] = ACTIONS(2448),
    [sym_number_literal] = ACTIONS(2450),
    [anon_sym_L_SQUOTE] = ACTIONS(2450),
    [anon_sym_u_SQUOTE] = ACTIONS(2450),
    [anon_sym_U_SQUOTE] = ACTIONS(2450),
    [anon_sym_u8_SQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_AT] = ACTIONS(2448),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_L_DQUOTE] = ACTIONS(2450),
    [anon_sym_u_DQUOTE] = ACTIONS(2450),
    [anon_sym_U_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8_DQUOTE] = ACTIONS(2450),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2448),
    [anon_sym_nullptr] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2448),
    [anon_sym___typeof] = ACTIONS(2448),
    [anon_sym_typeof] = ACTIONS(2448),
    [anon_sym_ATimport] = ACTIONS(2450),
    [aux_sym_preproc_undef_token1] = ACTIONS(2448),
    [anon_sym_POUND] = ACTIONS(2448),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2448),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2448),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2448),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_API_AVAILABLE] = ACTIONS(2448),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_API_DEPRECATED] = ACTIONS(2448),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym___deprecated_msg] = ACTIONS(2448),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2448),
    [anon_sym_ATprotocol] = ACTIONS(2450),
    [anon_sym_ATinterface] = ACTIONS(2450),
    [anon_sym_ATimplementation] = ACTIONS(2450),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2450),
    [anon_sym_ATtry] = ACTIONS(2450),
    [anon_sym___try] = ACTIONS(2448),
    [anon_sym_ATthrow] = ACTIONS(2450),
    [anon_sym_ATselector] = ACTIONS(2450),
    [anon_sym_ATavailable] = ACTIONS(2450),
    [anon_sym___builtin_available] = ACTIONS(2448),
    [anon_sym_va_arg] = ACTIONS(2448),
    [anon_sym_ATencode] = ACTIONS(2450),
    [anon_sym_ATsynchronized] = ACTIONS(2450),
    [anon_sym_BOOL] = ACTIONS(2448),
    [anon_sym_IMP] = ACTIONS(2448),
    [anon_sym_SEL] = ACTIONS(2448),
    [anon_sym_Class] = ACTIONS(2448),
    [anon_sym_id] = ACTIONS(2448),
  },
  [733] = {
    [ts_builtin_sym_end] = ACTIONS(2566),
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_include_token2] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym___attribute] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_ATautoreleasepool] = ACTIONS(2566),
    [anon_sym_auto] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_CG_EXTERN] = ACTIONS(2564),
    [anon_sym_CG_INLINE] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2564),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2564),
    [anon_sym_IBOutlet] = ACTIONS(2564),
    [anon_sym_IBInspectable] = ACTIONS(2564),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2564),
    [anon_sym_NS_INLINE] = ACTIONS(2564),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2564),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2564),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_nullable] = ACTIONS(2564),
    [anon_sym__Complex] = ACTIONS(2564),
    [anon_sym__Nullable] = ACTIONS(2564),
    [anon_sym__Nullable_result] = ACTIONS(2564),
    [anon_sym__Null_unspecified] = ACTIONS(2564),
    [anon_sym___autoreleasing] = ACTIONS(2564),
    [anon_sym___block] = ACTIONS(2564),
    [anon_sym___bridge] = ACTIONS(2564),
    [anon_sym___bridge_retained] = ACTIONS(2564),
    [anon_sym___bridge_transfer] = ACTIONS(2564),
    [anon_sym___complex] = ACTIONS(2564),
    [anon_sym___const] = ACTIONS(2564),
    [anon_sym___imag] = ACTIONS(2564),
    [anon_sym___kindof] = ACTIONS(2564),
    [anon_sym___nonnull] = ACTIONS(2564),
    [anon_sym___nullable] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2564),
    [anon_sym___real] = ACTIONS(2564),
    [anon_sym___strong] = ACTIONS(2564),
    [anon_sym___unsafe_unretained] = ACTIONS(2564),
    [anon_sym___unused] = ACTIONS(2564),
    [anon_sym___weak] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [anon_sym___asm] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_AT] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2564),
    [anon_sym___typeof] = ACTIONS(2564),
    [anon_sym_typeof] = ACTIONS(2564),
    [anon_sym_ATimport] = ACTIONS(2566),
    [aux_sym_preproc_undef_token1] = ACTIONS(2564),
    [anon_sym_POUND] = ACTIONS(2564),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2564),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2564),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2564),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_API_AVAILABLE] = ACTIONS(2564),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_API_DEPRECATED] = ACTIONS(2564),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym___deprecated_msg] = ACTIONS(2564),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2564),
    [anon_sym_ATprotocol] = ACTIONS(2566),
    [anon_sym_ATinterface] = ACTIONS(2566),
    [anon_sym_ATimplementation] = ACTIONS(2566),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2566),
    [anon_sym_ATtry] = ACTIONS(2566),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym_ATthrow] = ACTIONS(2566),
    [anon_sym_ATselector] = ACTIONS(2566),
    [anon_sym_ATavailable] = ACTIONS(2566),
    [anon_sym___builtin_available] = ACTIONS(2564),
    [anon_sym_va_arg] = ACTIONS(2564),
    [anon_sym_ATencode] = ACTIONS(2566),
    [anon_sym_ATsynchronized] = ACTIONS(2566),
    [anon_sym_BOOL] = ACTIONS(2564),
    [anon_sym_IMP] = ACTIONS(2564),
    [anon_sym_SEL] = ACTIONS(2564),
    [anon_sym_Class] = ACTIONS(2564),
    [anon_sym_id] = ACTIONS(2564),
  },
  [734] = {
    [ts_builtin_sym_end] = ACTIONS(2566),
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_include_token2] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym___attribute] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_ATautoreleasepool] = ACTIONS(2566),
    [anon_sym_auto] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_CG_EXTERN] = ACTIONS(2564),
    [anon_sym_CG_INLINE] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2564),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2564),
    [anon_sym_IBOutlet] = ACTIONS(2564),
    [anon_sym_IBInspectable] = ACTIONS(2564),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2564),
    [anon_sym_NS_INLINE] = ACTIONS(2564),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2564),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2564),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_nullable] = ACTIONS(2564),
    [anon_sym__Complex] = ACTIONS(2564),
    [anon_sym__Nullable] = ACTIONS(2564),
    [anon_sym__Nullable_result] = ACTIONS(2564),
    [anon_sym__Null_unspecified] = ACTIONS(2564),
    [anon_sym___autoreleasing] = ACTIONS(2564),
    [anon_sym___block] = ACTIONS(2564),
    [anon_sym___bridge] = ACTIONS(2564),
    [anon_sym___bridge_retained] = ACTIONS(2564),
    [anon_sym___bridge_transfer] = ACTIONS(2564),
    [anon_sym___complex] = ACTIONS(2564),
    [anon_sym___const] = ACTIONS(2564),
    [anon_sym___imag] = ACTIONS(2564),
    [anon_sym___kindof] = ACTIONS(2564),
    [anon_sym___nonnull] = ACTIONS(2564),
    [anon_sym___nullable] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2564),
    [anon_sym___real] = ACTIONS(2564),
    [anon_sym___strong] = ACTIONS(2564),
    [anon_sym___unsafe_unretained] = ACTIONS(2564),
    [anon_sym___unused] = ACTIONS(2564),
    [anon_sym___weak] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [anon_sym___asm] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_AT] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2564),
    [anon_sym___typeof] = ACTIONS(2564),
    [anon_sym_typeof] = ACTIONS(2564),
    [anon_sym_ATimport] = ACTIONS(2566),
    [aux_sym_preproc_undef_token1] = ACTIONS(2564),
    [anon_sym_POUND] = ACTIONS(2564),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2564),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2564),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2564),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_API_AVAILABLE] = ACTIONS(2564),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_API_DEPRECATED] = ACTIONS(2564),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym___deprecated_msg] = ACTIONS(2564),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2564),
    [anon_sym_ATprotocol] = ACTIONS(2566),
    [anon_sym_ATinterface] = ACTIONS(2566),
    [anon_sym_ATimplementation] = ACTIONS(2566),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2566),
    [anon_sym_ATtry] = ACTIONS(2566),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym_ATthrow] = ACTIONS(2566),
    [anon_sym_ATselector] = ACTIONS(2566),
    [anon_sym_ATavailable] = ACTIONS(2566),
    [anon_sym___builtin_available] = ACTIONS(2564),
    [anon_sym_va_arg] = ACTIONS(2564),
    [anon_sym_ATencode] = ACTIONS(2566),
    [anon_sym_ATsynchronized] = ACTIONS(2566),
    [anon_sym_BOOL] = ACTIONS(2564),
    [anon_sym_IMP] = ACTIONS(2564),
    [anon_sym_SEL] = ACTIONS(2564),
    [anon_sym_Class] = ACTIONS(2564),
    [anon_sym_id] = ACTIONS(2564),
  },
  [735] = {
    [ts_builtin_sym_end] = ACTIONS(2526),
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_include_token1] = ACTIONS(2524),
    [aux_sym_preproc_include_token2] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_CARET] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym___attribute] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___cdecl] = ACTIONS(2524),
    [anon_sym___clrcall] = ACTIONS(2524),
    [anon_sym___stdcall] = ACTIONS(2524),
    [anon_sym___fastcall] = ACTIONS(2524),
    [anon_sym___thiscall] = ACTIONS(2524),
    [anon_sym___vectorcall] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_ATautoreleasepool] = ACTIONS(2526),
    [anon_sym_auto] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_CG_EXTERN] = ACTIONS(2524),
    [anon_sym_CG_INLINE] = ACTIONS(2524),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2524),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2524),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2524),
    [anon_sym_IBOutlet] = ACTIONS(2524),
    [anon_sym_IBInspectable] = ACTIONS(2524),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2524),
    [anon_sym_NS_INLINE] = ACTIONS(2524),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2524),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2524),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2524),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym__Nonnull] = ACTIONS(2524),
    [anon_sym_nullable] = ACTIONS(2524),
    [anon_sym__Complex] = ACTIONS(2524),
    [anon_sym__Nullable] = ACTIONS(2524),
    [anon_sym__Nullable_result] = ACTIONS(2524),
    [anon_sym__Null_unspecified] = ACTIONS(2524),
    [anon_sym___autoreleasing] = ACTIONS(2524),
    [anon_sym___block] = ACTIONS(2524),
    [anon_sym___bridge] = ACTIONS(2524),
    [anon_sym___bridge_retained] = ACTIONS(2524),
    [anon_sym___bridge_transfer] = ACTIONS(2524),
    [anon_sym___complex] = ACTIONS(2524),
    [anon_sym___const] = ACTIONS(2524),
    [anon_sym___imag] = ACTIONS(2524),
    [anon_sym___kindof] = ACTIONS(2524),
    [anon_sym___nonnull] = ACTIONS(2524),
    [anon_sym___nullable] = ACTIONS(2524),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2524),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2524),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2524),
    [anon_sym___real] = ACTIONS(2524),
    [anon_sym___strong] = ACTIONS(2524),
    [anon_sym___unsafe_unretained] = ACTIONS(2524),
    [anon_sym___unused] = ACTIONS(2524),
    [anon_sym___weak] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym__Alignas] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_case] = ACTIONS(2524),
    [anon_sym_default] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_goto] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_sizeof] = ACTIONS(2524),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2524),
    [anon_sym__Generic] = ACTIONS(2524),
    [anon_sym_asm] = ACTIONS(2524),
    [anon_sym___asm__] = ACTIONS(2524),
    [anon_sym___asm] = ACTIONS(2524),
    [sym_number_literal] = ACTIONS(2526),
    [anon_sym_L_SQUOTE] = ACTIONS(2526),
    [anon_sym_u_SQUOTE] = ACTIONS(2526),
    [anon_sym_U_SQUOTE] = ACTIONS(2526),
    [anon_sym_u8_SQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_AT] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [anon_sym_L_DQUOTE] = ACTIONS(2526),
    [anon_sym_u_DQUOTE] = ACTIONS(2526),
    [anon_sym_U_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8_DQUOTE] = ACTIONS(2526),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [anon_sym_NULL] = ACTIONS(2524),
    [anon_sym_nullptr] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2524),
    [anon_sym___typeof] = ACTIONS(2524),
    [anon_sym_typeof] = ACTIONS(2524),
    [anon_sym_ATimport] = ACTIONS(2526),
    [aux_sym_preproc_undef_token1] = ACTIONS(2524),
    [anon_sym_POUND] = ACTIONS(2524),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2524),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2524),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2524),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2524),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2524),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2524),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2524),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2524),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2524),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_API_AVAILABLE] = ACTIONS(2524),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_API_DEPRECATED] = ACTIONS(2524),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2524),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2524),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2524),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2524),
    [anon_sym___deprecated_msg] = ACTIONS(2524),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2524),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2524),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2524),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2524),
    [anon_sym_ATprotocol] = ACTIONS(2526),
    [anon_sym_ATinterface] = ACTIONS(2526),
    [anon_sym_ATimplementation] = ACTIONS(2526),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2526),
    [anon_sym_ATtry] = ACTIONS(2526),
    [anon_sym___try] = ACTIONS(2524),
    [anon_sym_ATthrow] = ACTIONS(2526),
    [anon_sym_ATselector] = ACTIONS(2526),
    [anon_sym_ATavailable] = ACTIONS(2526),
    [anon_sym___builtin_available] = ACTIONS(2524),
    [anon_sym_va_arg] = ACTIONS(2524),
    [anon_sym_ATencode] = ACTIONS(2526),
    [anon_sym_ATsynchronized] = ACTIONS(2526),
    [anon_sym_BOOL] = ACTIONS(2524),
    [anon_sym_IMP] = ACTIONS(2524),
    [anon_sym_SEL] = ACTIONS(2524),
    [anon_sym_Class] = ACTIONS(2524),
    [anon_sym_id] = ACTIONS(2524),
  },
  [736] = {
    [ts_builtin_sym_end] = ACTIONS(2530),
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_include_token1] = ACTIONS(2528),
    [aux_sym_preproc_include_token2] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_BANG] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_CARET] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym___attribute] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___cdecl] = ACTIONS(2528),
    [anon_sym___clrcall] = ACTIONS(2528),
    [anon_sym___stdcall] = ACTIONS(2528),
    [anon_sym___fastcall] = ACTIONS(2528),
    [anon_sym___thiscall] = ACTIONS(2528),
    [anon_sym___vectorcall] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2530),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_ATautoreleasepool] = ACTIONS(2530),
    [anon_sym_auto] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_CG_EXTERN] = ACTIONS(2528),
    [anon_sym_CG_INLINE] = ACTIONS(2528),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2528),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2528),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2528),
    [anon_sym_IBOutlet] = ACTIONS(2528),
    [anon_sym_IBInspectable] = ACTIONS(2528),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2528),
    [anon_sym_NS_INLINE] = ACTIONS(2528),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2528),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2528),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2528),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_nullable] = ACTIONS(2528),
    [anon_sym__Complex] = ACTIONS(2528),
    [anon_sym__Nullable] = ACTIONS(2528),
    [anon_sym__Nullable_result] = ACTIONS(2528),
    [anon_sym__Null_unspecified] = ACTIONS(2528),
    [anon_sym___autoreleasing] = ACTIONS(2528),
    [anon_sym___block] = ACTIONS(2528),
    [anon_sym___bridge] = ACTIONS(2528),
    [anon_sym___bridge_retained] = ACTIONS(2528),
    [anon_sym___bridge_transfer] = ACTIONS(2528),
    [anon_sym___complex] = ACTIONS(2528),
    [anon_sym___const] = ACTIONS(2528),
    [anon_sym___imag] = ACTIONS(2528),
    [anon_sym___kindof] = ACTIONS(2528),
    [anon_sym___nonnull] = ACTIONS(2528),
    [anon_sym___nullable] = ACTIONS(2528),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2528),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2528),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2528),
    [anon_sym___real] = ACTIONS(2528),
    [anon_sym___strong] = ACTIONS(2528),
    [anon_sym___unsafe_unretained] = ACTIONS(2528),
    [anon_sym___unused] = ACTIONS(2528),
    [anon_sym___weak] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_if] = ACTIONS(2528),
    [anon_sym_else] = ACTIONS(2528),
    [anon_sym_switch] = ACTIONS(2528),
    [anon_sym_case] = ACTIONS(2528),
    [anon_sym_default] = ACTIONS(2528),
    [anon_sym_while] = ACTIONS(2528),
    [anon_sym_do] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2528),
    [anon_sym_in] = ACTIONS(2528),
    [anon_sym_return] = ACTIONS(2528),
    [anon_sym_break] = ACTIONS(2528),
    [anon_sym_continue] = ACTIONS(2528),
    [anon_sym_goto] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2530),
    [anon_sym_sizeof] = ACTIONS(2528),
    [anon_sym___alignof__] = ACTIONS(2528),
    [anon_sym___alignof] = ACTIONS(2528),
    [anon_sym__alignof] = ACTIONS(2528),
    [anon_sym_alignof] = ACTIONS(2528),
    [anon_sym__Alignof] = ACTIONS(2528),
    [anon_sym_offsetof] = ACTIONS(2528),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2528),
    [anon_sym___asm__] = ACTIONS(2528),
    [anon_sym___asm] = ACTIONS(2528),
    [sym_number_literal] = ACTIONS(2530),
    [anon_sym_L_SQUOTE] = ACTIONS(2530),
    [anon_sym_u_SQUOTE] = ACTIONS(2530),
    [anon_sym_U_SQUOTE] = ACTIONS(2530),
    [anon_sym_u8_SQUOTE] = ACTIONS(2530),
    [anon_sym_SQUOTE] = ACTIONS(2530),
    [anon_sym_AT] = ACTIONS(2528),
    [anon_sym_DQUOTE] = ACTIONS(2530),
    [anon_sym_L_DQUOTE] = ACTIONS(2530),
    [anon_sym_u_DQUOTE] = ACTIONS(2530),
    [anon_sym_U_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8_DQUOTE] = ACTIONS(2530),
    [sym_true] = ACTIONS(2528),
    [sym_false] = ACTIONS(2528),
    [anon_sym_NULL] = ACTIONS(2528),
    [anon_sym_nullptr] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2528),
    [anon_sym___typeof] = ACTIONS(2528),
    [anon_sym_typeof] = ACTIONS(2528),
    [anon_sym_ATimport] = ACTIONS(2530),
    [aux_sym_preproc_undef_token1] = ACTIONS(2528),
    [anon_sym_POUND] = ACTIONS(2528),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2528),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2528),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2528),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2528),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2528),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2528),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2528),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2528),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2528),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_API_AVAILABLE] = ACTIONS(2528),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_API_DEPRECATED] = ACTIONS(2528),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2528),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2528),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2528),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2528),
    [anon_sym___deprecated_msg] = ACTIONS(2528),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2528),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2528),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2528),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2528),
    [anon_sym_ATprotocol] = ACTIONS(2530),
    [anon_sym_ATinterface] = ACTIONS(2530),
    [anon_sym_ATimplementation] = ACTIONS(2530),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2530),
    [anon_sym_ATtry] = ACTIONS(2530),
    [anon_sym___try] = ACTIONS(2528),
    [anon_sym_ATthrow] = ACTIONS(2530),
    [anon_sym_ATselector] = ACTIONS(2530),
    [anon_sym_ATavailable] = ACTIONS(2530),
    [anon_sym___builtin_available] = ACTIONS(2528),
    [anon_sym_va_arg] = ACTIONS(2528),
    [anon_sym_ATencode] = ACTIONS(2530),
    [anon_sym_ATsynchronized] = ACTIONS(2530),
    [anon_sym_BOOL] = ACTIONS(2528),
    [anon_sym_IMP] = ACTIONS(2528),
    [anon_sym_SEL] = ACTIONS(2528),
    [anon_sym_Class] = ACTIONS(2528),
    [anon_sym_id] = ACTIONS(2528),
  },
  [737] = {
    [sym_identifier] = ACTIONS(2490),
    [aux_sym_preproc_include_token1] = ACTIONS(2490),
    [aux_sym_preproc_include_token2] = ACTIONS(2490),
    [aux_sym_preproc_def_token1] = ACTIONS(2490),
    [aux_sym_preproc_if_token1] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2490),
    [sym_preproc_directive] = ACTIONS(2490),
    [anon_sym_LPAREN2] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2492),
    [anon_sym_TILDE] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2490),
    [anon_sym_STAR] = ACTIONS(2492),
    [anon_sym_CARET] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2492),
    [anon_sym___extension__] = ACTIONS(2490),
    [anon_sym_typedef] = ACTIONS(2490),
    [anon_sym_extern] = ACTIONS(2490),
    [anon_sym___attribute__] = ACTIONS(2490),
    [anon_sym___attribute] = ACTIONS(2490),
    [anon_sym_noreturn] = ACTIONS(2490),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym___declspec] = ACTIONS(2490),
    [anon_sym___cdecl] = ACTIONS(2490),
    [anon_sym___clrcall] = ACTIONS(2490),
    [anon_sym___stdcall] = ACTIONS(2490),
    [anon_sym___fastcall] = ACTIONS(2490),
    [anon_sym___thiscall] = ACTIONS(2490),
    [anon_sym___vectorcall] = ACTIONS(2490),
    [anon_sym_LBRACE] = ACTIONS(2492),
    [anon_sym_RBRACE] = ACTIONS(2492),
    [anon_sym_signed] = ACTIONS(2490),
    [anon_sym_unsigned] = ACTIONS(2490),
    [anon_sym_long] = ACTIONS(2490),
    [anon_sym_short] = ACTIONS(2490),
    [anon_sym_static] = ACTIONS(2490),
    [anon_sym_ATautoreleasepool] = ACTIONS(2492),
    [anon_sym_auto] = ACTIONS(2490),
    [anon_sym_register] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2490),
    [anon_sym___inline] = ACTIONS(2490),
    [anon_sym___inline__] = ACTIONS(2490),
    [anon_sym___forceinline] = ACTIONS(2490),
    [anon_sym_thread_local] = ACTIONS(2490),
    [anon_sym___thread] = ACTIONS(2490),
    [anon_sym_CG_EXTERN] = ACTIONS(2490),
    [anon_sym_CG_INLINE] = ACTIONS(2490),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2490),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2490),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2490),
    [anon_sym_IBOutlet] = ACTIONS(2490),
    [anon_sym_IBInspectable] = ACTIONS(2490),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2490),
    [anon_sym_NS_INLINE] = ACTIONS(2490),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2490),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2490),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2490),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2490),
    [anon_sym_const] = ACTIONS(2490),
    [anon_sym_constexpr] = ACTIONS(2490),
    [anon_sym_volatile] = ACTIONS(2490),
    [anon_sym_restrict] = ACTIONS(2490),
    [anon_sym___restrict__] = ACTIONS(2490),
    [anon_sym__Atomic] = ACTIONS(2490),
    [anon_sym__Noreturn] = ACTIONS(2490),
    [anon_sym__Nonnull] = ACTIONS(2490),
    [anon_sym_nullable] = ACTIONS(2490),
    [anon_sym__Complex] = ACTIONS(2490),
    [anon_sym__Nullable] = ACTIONS(2490),
    [anon_sym__Nullable_result] = ACTIONS(2490),
    [anon_sym__Null_unspecified] = ACTIONS(2490),
    [anon_sym___autoreleasing] = ACTIONS(2490),
    [anon_sym___block] = ACTIONS(2490),
    [anon_sym___bridge] = ACTIONS(2490),
    [anon_sym___bridge_retained] = ACTIONS(2490),
    [anon_sym___bridge_transfer] = ACTIONS(2490),
    [anon_sym___complex] = ACTIONS(2490),
    [anon_sym___const] = ACTIONS(2490),
    [anon_sym___imag] = ACTIONS(2490),
    [anon_sym___kindof] = ACTIONS(2490),
    [anon_sym___nonnull] = ACTIONS(2490),
    [anon_sym___nullable] = ACTIONS(2490),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2490),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2490),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2490),
    [anon_sym___real] = ACTIONS(2490),
    [anon_sym___strong] = ACTIONS(2490),
    [anon_sym___unsafe_unretained] = ACTIONS(2490),
    [anon_sym___unused] = ACTIONS(2490),
    [anon_sym___weak] = ACTIONS(2490),
    [anon_sym_alignas] = ACTIONS(2490),
    [anon_sym__Alignas] = ACTIONS(2490),
    [sym_primitive_type] = ACTIONS(2490),
    [anon_sym_enum] = ACTIONS(2490),
    [anon_sym_struct] = ACTIONS(2490),
    [anon_sym_union] = ACTIONS(2490),
    [anon_sym_if] = ACTIONS(2490),
    [anon_sym_else] = ACTIONS(2490),
    [anon_sym_switch] = ACTIONS(2490),
    [anon_sym_case] = ACTIONS(2490),
    [anon_sym_default] = ACTIONS(2490),
    [anon_sym_while] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(2490),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_in] = ACTIONS(2490),
    [anon_sym_return] = ACTIONS(2490),
    [anon_sym_break] = ACTIONS(2490),
    [anon_sym_continue] = ACTIONS(2490),
    [anon_sym_goto] = ACTIONS(2490),
    [anon_sym_DASH_DASH] = ACTIONS(2492),
    [anon_sym_PLUS_PLUS] = ACTIONS(2492),
    [anon_sym_sizeof] = ACTIONS(2490),
    [anon_sym___alignof__] = ACTIONS(2490),
    [anon_sym___alignof] = ACTIONS(2490),
    [anon_sym__alignof] = ACTIONS(2490),
    [anon_sym_alignof] = ACTIONS(2490),
    [anon_sym__Alignof] = ACTIONS(2490),
    [anon_sym_offsetof] = ACTIONS(2490),
    [anon_sym__Generic] = ACTIONS(2490),
    [anon_sym_asm] = ACTIONS(2490),
    [anon_sym___asm__] = ACTIONS(2490),
    [anon_sym___asm] = ACTIONS(2490),
    [sym_number_literal] = ACTIONS(2492),
    [anon_sym_L_SQUOTE] = ACTIONS(2492),
    [anon_sym_u_SQUOTE] = ACTIONS(2492),
    [anon_sym_U_SQUOTE] = ACTIONS(2492),
    [anon_sym_u8_SQUOTE] = ACTIONS(2492),
    [anon_sym_SQUOTE] = ACTIONS(2492),
    [anon_sym_AT] = ACTIONS(2490),
    [anon_sym_DQUOTE] = ACTIONS(2492),
    [anon_sym_L_DQUOTE] = ACTIONS(2492),
    [anon_sym_u_DQUOTE] = ACTIONS(2492),
    [anon_sym_U_DQUOTE] = ACTIONS(2492),
    [anon_sym_u8_DQUOTE] = ACTIONS(2492),
    [sym_true] = ACTIONS(2490),
    [sym_false] = ACTIONS(2490),
    [anon_sym_NULL] = ACTIONS(2490),
    [anon_sym_nullptr] = ACTIONS(2490),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2490),
    [anon_sym___typeof] = ACTIONS(2490),
    [anon_sym_typeof] = ACTIONS(2490),
    [anon_sym_ATimport] = ACTIONS(2492),
    [aux_sym_preproc_undef_token1] = ACTIONS(2490),
    [anon_sym_POUND] = ACTIONS(2490),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2490),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2490),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2490),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2490),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2490),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2490),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2490),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2490),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2490),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_API_AVAILABLE] = ACTIONS(2490),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_API_DEPRECATED] = ACTIONS(2490),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2490),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2490),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2490),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2490),
    [anon_sym___deprecated_msg] = ACTIONS(2490),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2490),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2490),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2490),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2490),
    [anon_sym_ATprotocol] = ACTIONS(2492),
    [anon_sym_ATinterface] = ACTIONS(2492),
    [anon_sym_ATimplementation] = ACTIONS(2492),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2492),
    [anon_sym_ATtry] = ACTIONS(2492),
    [anon_sym___try] = ACTIONS(2490),
    [anon_sym_ATthrow] = ACTIONS(2492),
    [anon_sym_ATselector] = ACTIONS(2492),
    [anon_sym_ATavailable] = ACTIONS(2492),
    [anon_sym___builtin_available] = ACTIONS(2490),
    [anon_sym_va_arg] = ACTIONS(2490),
    [anon_sym_ATencode] = ACTIONS(2492),
    [anon_sym_ATsynchronized] = ACTIONS(2492),
    [anon_sym_BOOL] = ACTIONS(2490),
    [anon_sym_IMP] = ACTIONS(2490),
    [anon_sym_SEL] = ACTIONS(2490),
    [anon_sym_Class] = ACTIONS(2490),
    [anon_sym_id] = ACTIONS(2490),
  },
  [738] = {
    [ts_builtin_sym_end] = ACTIONS(2422),
    [sym_identifier] = ACTIONS(2420),
    [aux_sym_preproc_include_token1] = ACTIONS(2420),
    [aux_sym_preproc_include_token2] = ACTIONS(2420),
    [aux_sym_preproc_def_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2420),
    [sym_preproc_directive] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(2422),
    [anon_sym_BANG] = ACTIONS(2422),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_SEMI] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym___attribute] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym___cdecl] = ACTIONS(2420),
    [anon_sym___clrcall] = ACTIONS(2420),
    [anon_sym___stdcall] = ACTIONS(2420),
    [anon_sym___fastcall] = ACTIONS(2420),
    [anon_sym___thiscall] = ACTIONS(2420),
    [anon_sym___vectorcall] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_ATautoreleasepool] = ACTIONS(2422),
    [anon_sym_auto] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_CG_EXTERN] = ACTIONS(2420),
    [anon_sym_CG_INLINE] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2420),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2420),
    [anon_sym_IBOutlet] = ACTIONS(2420),
    [anon_sym_IBInspectable] = ACTIONS(2420),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2420),
    [anon_sym_NS_INLINE] = ACTIONS(2420),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2420),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2420),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym__Nonnull] = ACTIONS(2420),
    [anon_sym_nullable] = ACTIONS(2420),
    [anon_sym__Complex] = ACTIONS(2420),
    [anon_sym__Nullable] = ACTIONS(2420),
    [anon_sym__Nullable_result] = ACTIONS(2420),
    [anon_sym__Null_unspecified] = ACTIONS(2420),
    [anon_sym___autoreleasing] = ACTIONS(2420),
    [anon_sym___block] = ACTIONS(2420),
    [anon_sym___bridge] = ACTIONS(2420),
    [anon_sym___bridge_retained] = ACTIONS(2420),
    [anon_sym___bridge_transfer] = ACTIONS(2420),
    [anon_sym___complex] = ACTIONS(2420),
    [anon_sym___const] = ACTIONS(2420),
    [anon_sym___imag] = ACTIONS(2420),
    [anon_sym___kindof] = ACTIONS(2420),
    [anon_sym___nonnull] = ACTIONS(2420),
    [anon_sym___nullable] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2420),
    [anon_sym___real] = ACTIONS(2420),
    [anon_sym___strong] = ACTIONS(2420),
    [anon_sym___unsafe_unretained] = ACTIONS(2420),
    [anon_sym___unused] = ACTIONS(2420),
    [anon_sym___weak] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym__Alignas] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [anon_sym_if] = ACTIONS(2420),
    [anon_sym_else] = ACTIONS(2420),
    [anon_sym_switch] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(2420),
    [anon_sym_default] = ACTIONS(2420),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_in] = ACTIONS(2420),
    [anon_sym_return] = ACTIONS(2420),
    [anon_sym_break] = ACTIONS(2420),
    [anon_sym_continue] = ACTIONS(2420),
    [anon_sym_goto] = ACTIONS(2420),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2420),
    [anon_sym___alignof__] = ACTIONS(2420),
    [anon_sym___alignof] = ACTIONS(2420),
    [anon_sym__alignof] = ACTIONS(2420),
    [anon_sym_alignof] = ACTIONS(2420),
    [anon_sym__Alignof] = ACTIONS(2420),
    [anon_sym_offsetof] = ACTIONS(2420),
    [anon_sym__Generic] = ACTIONS(2420),
    [anon_sym_asm] = ACTIONS(2420),
    [anon_sym___asm__] = ACTIONS(2420),
    [anon_sym___asm] = ACTIONS(2420),
    [sym_number_literal] = ACTIONS(2422),
    [anon_sym_L_SQUOTE] = ACTIONS(2422),
    [anon_sym_u_SQUOTE] = ACTIONS(2422),
    [anon_sym_U_SQUOTE] = ACTIONS(2422),
    [anon_sym_u8_SQUOTE] = ACTIONS(2422),
    [anon_sym_SQUOTE] = ACTIONS(2422),
    [anon_sym_AT] = ACTIONS(2420),
    [anon_sym_DQUOTE] = ACTIONS(2422),
    [anon_sym_L_DQUOTE] = ACTIONS(2422),
    [anon_sym_u_DQUOTE] = ACTIONS(2422),
    [anon_sym_U_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8_DQUOTE] = ACTIONS(2422),
    [sym_true] = ACTIONS(2420),
    [sym_false] = ACTIONS(2420),
    [anon_sym_NULL] = ACTIONS(2420),
    [anon_sym_nullptr] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2420),
    [anon_sym___typeof] = ACTIONS(2420),
    [anon_sym_typeof] = ACTIONS(2420),
    [anon_sym_ATimport] = ACTIONS(2422),
    [aux_sym_preproc_undef_token1] = ACTIONS(2420),
    [anon_sym_POUND] = ACTIONS(2420),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2420),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2420),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2420),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_API_AVAILABLE] = ACTIONS(2420),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_API_DEPRECATED] = ACTIONS(2420),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym___deprecated_msg] = ACTIONS(2420),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2420),
    [anon_sym_ATprotocol] = ACTIONS(2422),
    [anon_sym_ATinterface] = ACTIONS(2422),
    [anon_sym_ATimplementation] = ACTIONS(2422),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2422),
    [anon_sym_ATtry] = ACTIONS(2422),
    [anon_sym___try] = ACTIONS(2420),
    [anon_sym_ATthrow] = ACTIONS(2422),
    [anon_sym_ATselector] = ACTIONS(2422),
    [anon_sym_ATavailable] = ACTIONS(2422),
    [anon_sym___builtin_available] = ACTIONS(2420),
    [anon_sym_va_arg] = ACTIONS(2420),
    [anon_sym_ATencode] = ACTIONS(2422),
    [anon_sym_ATsynchronized] = ACTIONS(2422),
    [anon_sym_BOOL] = ACTIONS(2420),
    [anon_sym_IMP] = ACTIONS(2420),
    [anon_sym_SEL] = ACTIONS(2420),
    [anon_sym_Class] = ACTIONS(2420),
    [anon_sym_id] = ACTIONS(2420),
  },
  [739] = {
    [sym_identifier] = ACTIONS(2500),
    [aux_sym_preproc_include_token1] = ACTIONS(2500),
    [aux_sym_preproc_include_token2] = ACTIONS(2500),
    [aux_sym_preproc_def_token1] = ACTIONS(2500),
    [aux_sym_preproc_if_token1] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2500),
    [sym_preproc_directive] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(2502),
    [anon_sym_BANG] = ACTIONS(2502),
    [anon_sym_TILDE] = ACTIONS(2502),
    [anon_sym_DASH] = ACTIONS(2500),
    [anon_sym_PLUS] = ACTIONS(2500),
    [anon_sym_STAR] = ACTIONS(2502),
    [anon_sym_CARET] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2502),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(2500),
    [anon_sym_typedef] = ACTIONS(2500),
    [anon_sym_extern] = ACTIONS(2500),
    [anon_sym___attribute__] = ACTIONS(2500),
    [anon_sym___attribute] = ACTIONS(2500),
    [anon_sym_noreturn] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [anon_sym___declspec] = ACTIONS(2500),
    [anon_sym___cdecl] = ACTIONS(2500),
    [anon_sym___clrcall] = ACTIONS(2500),
    [anon_sym___stdcall] = ACTIONS(2500),
    [anon_sym___fastcall] = ACTIONS(2500),
    [anon_sym___thiscall] = ACTIONS(2500),
    [anon_sym___vectorcall] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_RBRACE] = ACTIONS(2502),
    [anon_sym_signed] = ACTIONS(2500),
    [anon_sym_unsigned] = ACTIONS(2500),
    [anon_sym_long] = ACTIONS(2500),
    [anon_sym_short] = ACTIONS(2500),
    [anon_sym_static] = ACTIONS(2500),
    [anon_sym_ATautoreleasepool] = ACTIONS(2502),
    [anon_sym_auto] = ACTIONS(2500),
    [anon_sym_register] = ACTIONS(2500),
    [anon_sym_inline] = ACTIONS(2500),
    [anon_sym___inline] = ACTIONS(2500),
    [anon_sym___inline__] = ACTIONS(2500),
    [anon_sym___forceinline] = ACTIONS(2500),
    [anon_sym_thread_local] = ACTIONS(2500),
    [anon_sym___thread] = ACTIONS(2500),
    [anon_sym_CG_EXTERN] = ACTIONS(2500),
    [anon_sym_CG_INLINE] = ACTIONS(2500),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2500),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2500),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2500),
    [anon_sym_IBOutlet] = ACTIONS(2500),
    [anon_sym_IBInspectable] = ACTIONS(2500),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2500),
    [anon_sym_NS_INLINE] = ACTIONS(2500),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2500),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2500),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2500),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2500),
    [anon_sym_const] = ACTIONS(2500),
    [anon_sym_constexpr] = ACTIONS(2500),
    [anon_sym_volatile] = ACTIONS(2500),
    [anon_sym_restrict] = ACTIONS(2500),
    [anon_sym___restrict__] = ACTIONS(2500),
    [anon_sym__Atomic] = ACTIONS(2500),
    [anon_sym__Noreturn] = ACTIONS(2500),
    [anon_sym__Nonnull] = ACTIONS(2500),
    [anon_sym_nullable] = ACTIONS(2500),
    [anon_sym__Complex] = ACTIONS(2500),
    [anon_sym__Nullable] = ACTIONS(2500),
    [anon_sym__Nullable_result] = ACTIONS(2500),
    [anon_sym__Null_unspecified] = ACTIONS(2500),
    [anon_sym___autoreleasing] = ACTIONS(2500),
    [anon_sym___block] = ACTIONS(2500),
    [anon_sym___bridge] = ACTIONS(2500),
    [anon_sym___bridge_retained] = ACTIONS(2500),
    [anon_sym___bridge_transfer] = ACTIONS(2500),
    [anon_sym___complex] = ACTIONS(2500),
    [anon_sym___const] = ACTIONS(2500),
    [anon_sym___imag] = ACTIONS(2500),
    [anon_sym___kindof] = ACTIONS(2500),
    [anon_sym___nonnull] = ACTIONS(2500),
    [anon_sym___nullable] = ACTIONS(2500),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2500),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2500),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2500),
    [anon_sym___real] = ACTIONS(2500),
    [anon_sym___strong] = ACTIONS(2500),
    [anon_sym___unsafe_unretained] = ACTIONS(2500),
    [anon_sym___unused] = ACTIONS(2500),
    [anon_sym___weak] = ACTIONS(2500),
    [anon_sym_alignas] = ACTIONS(2500),
    [anon_sym__Alignas] = ACTIONS(2500),
    [sym_primitive_type] = ACTIONS(2500),
    [anon_sym_enum] = ACTIONS(2500),
    [anon_sym_struct] = ACTIONS(2500),
    [anon_sym_union] = ACTIONS(2500),
    [anon_sym_if] = ACTIONS(2500),
    [anon_sym_else] = ACTIONS(2500),
    [anon_sym_switch] = ACTIONS(2500),
    [anon_sym_case] = ACTIONS(2500),
    [anon_sym_default] = ACTIONS(2500),
    [anon_sym_while] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2500),
    [anon_sym_for] = ACTIONS(2500),
    [anon_sym_in] = ACTIONS(2500),
    [anon_sym_return] = ACTIONS(2500),
    [anon_sym_break] = ACTIONS(2500),
    [anon_sym_continue] = ACTIONS(2500),
    [anon_sym_goto] = ACTIONS(2500),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(2500),
    [anon_sym___alignof] = ACTIONS(2500),
    [anon_sym__alignof] = ACTIONS(2500),
    [anon_sym_alignof] = ACTIONS(2500),
    [anon_sym__Alignof] = ACTIONS(2500),
    [anon_sym_offsetof] = ACTIONS(2500),
    [anon_sym__Generic] = ACTIONS(2500),
    [anon_sym_asm] = ACTIONS(2500),
    [anon_sym___asm__] = ACTIONS(2500),
    [anon_sym___asm] = ACTIONS(2500),
    [sym_number_literal] = ACTIONS(2502),
    [anon_sym_L_SQUOTE] = ACTIONS(2502),
    [anon_sym_u_SQUOTE] = ACTIONS(2502),
    [anon_sym_U_SQUOTE] = ACTIONS(2502),
    [anon_sym_u8_SQUOTE] = ACTIONS(2502),
    [anon_sym_SQUOTE] = ACTIONS(2502),
    [anon_sym_AT] = ACTIONS(2500),
    [anon_sym_DQUOTE] = ACTIONS(2502),
    [anon_sym_L_DQUOTE] = ACTIONS(2502),
    [anon_sym_u_DQUOTE] = ACTIONS(2502),
    [anon_sym_U_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8_DQUOTE] = ACTIONS(2502),
    [sym_true] = ACTIONS(2500),
    [sym_false] = ACTIONS(2500),
    [anon_sym_NULL] = ACTIONS(2500),
    [anon_sym_nullptr] = ACTIONS(2500),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2500),
    [anon_sym___typeof] = ACTIONS(2500),
    [anon_sym_typeof] = ACTIONS(2500),
    [anon_sym_ATimport] = ACTIONS(2502),
    [aux_sym_preproc_undef_token1] = ACTIONS(2500),
    [anon_sym_POUND] = ACTIONS(2500),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2500),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2500),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2500),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2500),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2500),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2500),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2500),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2500),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2500),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_API_AVAILABLE] = ACTIONS(2500),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_API_DEPRECATED] = ACTIONS(2500),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2500),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2500),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2500),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2500),
    [anon_sym___deprecated_msg] = ACTIONS(2500),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2500),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2500),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2500),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2500),
    [anon_sym_ATprotocol] = ACTIONS(2502),
    [anon_sym_ATinterface] = ACTIONS(2502),
    [anon_sym_ATimplementation] = ACTIONS(2502),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2502),
    [anon_sym_ATtry] = ACTIONS(2502),
    [anon_sym___try] = ACTIONS(2500),
    [anon_sym_ATthrow] = ACTIONS(2502),
    [anon_sym_ATselector] = ACTIONS(2502),
    [anon_sym_ATavailable] = ACTIONS(2502),
    [anon_sym___builtin_available] = ACTIONS(2500),
    [anon_sym_va_arg] = ACTIONS(2500),
    [anon_sym_ATencode] = ACTIONS(2502),
    [anon_sym_ATsynchronized] = ACTIONS(2502),
    [anon_sym_BOOL] = ACTIONS(2500),
    [anon_sym_IMP] = ACTIONS(2500),
    [anon_sym_SEL] = ACTIONS(2500),
    [anon_sym_Class] = ACTIONS(2500),
    [anon_sym_id] = ACTIONS(2500),
  },
  [740] = {
    [ts_builtin_sym_end] = ACTIONS(2422),
    [sym_identifier] = ACTIONS(2420),
    [aux_sym_preproc_include_token1] = ACTIONS(2420),
    [aux_sym_preproc_include_token2] = ACTIONS(2420),
    [aux_sym_preproc_def_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2420),
    [sym_preproc_directive] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(2422),
    [anon_sym_BANG] = ACTIONS(2422),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_SEMI] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym___attribute] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym___cdecl] = ACTIONS(2420),
    [anon_sym___clrcall] = ACTIONS(2420),
    [anon_sym___stdcall] = ACTIONS(2420),
    [anon_sym___fastcall] = ACTIONS(2420),
    [anon_sym___thiscall] = ACTIONS(2420),
    [anon_sym___vectorcall] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_ATautoreleasepool] = ACTIONS(2422),
    [anon_sym_auto] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_CG_EXTERN] = ACTIONS(2420),
    [anon_sym_CG_INLINE] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2420),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2420),
    [anon_sym_IBOutlet] = ACTIONS(2420),
    [anon_sym_IBInspectable] = ACTIONS(2420),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2420),
    [anon_sym_NS_INLINE] = ACTIONS(2420),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2420),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2420),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym__Nonnull] = ACTIONS(2420),
    [anon_sym_nullable] = ACTIONS(2420),
    [anon_sym__Complex] = ACTIONS(2420),
    [anon_sym__Nullable] = ACTIONS(2420),
    [anon_sym__Nullable_result] = ACTIONS(2420),
    [anon_sym__Null_unspecified] = ACTIONS(2420),
    [anon_sym___autoreleasing] = ACTIONS(2420),
    [anon_sym___block] = ACTIONS(2420),
    [anon_sym___bridge] = ACTIONS(2420),
    [anon_sym___bridge_retained] = ACTIONS(2420),
    [anon_sym___bridge_transfer] = ACTIONS(2420),
    [anon_sym___complex] = ACTIONS(2420),
    [anon_sym___const] = ACTIONS(2420),
    [anon_sym___imag] = ACTIONS(2420),
    [anon_sym___kindof] = ACTIONS(2420),
    [anon_sym___nonnull] = ACTIONS(2420),
    [anon_sym___nullable] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2420),
    [anon_sym___real] = ACTIONS(2420),
    [anon_sym___strong] = ACTIONS(2420),
    [anon_sym___unsafe_unretained] = ACTIONS(2420),
    [anon_sym___unused] = ACTIONS(2420),
    [anon_sym___weak] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym__Alignas] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [anon_sym_if] = ACTIONS(2420),
    [anon_sym_else] = ACTIONS(2420),
    [anon_sym_switch] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(2420),
    [anon_sym_default] = ACTIONS(2420),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_in] = ACTIONS(2420),
    [anon_sym_return] = ACTIONS(2420),
    [anon_sym_break] = ACTIONS(2420),
    [anon_sym_continue] = ACTIONS(2420),
    [anon_sym_goto] = ACTIONS(2420),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2420),
    [anon_sym___alignof__] = ACTIONS(2420),
    [anon_sym___alignof] = ACTIONS(2420),
    [anon_sym__alignof] = ACTIONS(2420),
    [anon_sym_alignof] = ACTIONS(2420),
    [anon_sym__Alignof] = ACTIONS(2420),
    [anon_sym_offsetof] = ACTIONS(2420),
    [anon_sym__Generic] = ACTIONS(2420),
    [anon_sym_asm] = ACTIONS(2420),
    [anon_sym___asm__] = ACTIONS(2420),
    [anon_sym___asm] = ACTIONS(2420),
    [sym_number_literal] = ACTIONS(2422),
    [anon_sym_L_SQUOTE] = ACTIONS(2422),
    [anon_sym_u_SQUOTE] = ACTIONS(2422),
    [anon_sym_U_SQUOTE] = ACTIONS(2422),
    [anon_sym_u8_SQUOTE] = ACTIONS(2422),
    [anon_sym_SQUOTE] = ACTIONS(2422),
    [anon_sym_AT] = ACTIONS(2420),
    [anon_sym_DQUOTE] = ACTIONS(2422),
    [anon_sym_L_DQUOTE] = ACTIONS(2422),
    [anon_sym_u_DQUOTE] = ACTIONS(2422),
    [anon_sym_U_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8_DQUOTE] = ACTIONS(2422),
    [sym_true] = ACTIONS(2420),
    [sym_false] = ACTIONS(2420),
    [anon_sym_NULL] = ACTIONS(2420),
    [anon_sym_nullptr] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2420),
    [anon_sym___typeof] = ACTIONS(2420),
    [anon_sym_typeof] = ACTIONS(2420),
    [anon_sym_ATimport] = ACTIONS(2422),
    [aux_sym_preproc_undef_token1] = ACTIONS(2420),
    [anon_sym_POUND] = ACTIONS(2420),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2420),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2420),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2420),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_API_AVAILABLE] = ACTIONS(2420),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_API_DEPRECATED] = ACTIONS(2420),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym___deprecated_msg] = ACTIONS(2420),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2420),
    [anon_sym_ATprotocol] = ACTIONS(2422),
    [anon_sym_ATinterface] = ACTIONS(2422),
    [anon_sym_ATimplementation] = ACTIONS(2422),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2422),
    [anon_sym_ATtry] = ACTIONS(2422),
    [anon_sym___try] = ACTIONS(2420),
    [anon_sym_ATthrow] = ACTIONS(2422),
    [anon_sym_ATselector] = ACTIONS(2422),
    [anon_sym_ATavailable] = ACTIONS(2422),
    [anon_sym___builtin_available] = ACTIONS(2420),
    [anon_sym_va_arg] = ACTIONS(2420),
    [anon_sym_ATencode] = ACTIONS(2422),
    [anon_sym_ATsynchronized] = ACTIONS(2422),
    [anon_sym_BOOL] = ACTIONS(2420),
    [anon_sym_IMP] = ACTIONS(2420),
    [anon_sym_SEL] = ACTIONS(2420),
    [anon_sym_Class] = ACTIONS(2420),
    [anon_sym_id] = ACTIONS(2420),
  },
  [741] = {
    [ts_builtin_sym_end] = ACTIONS(2570),
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_include_token1] = ACTIONS(2568),
    [aux_sym_preproc_include_token2] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym___attribute] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_ATautoreleasepool] = ACTIONS(2570),
    [anon_sym_auto] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_CG_EXTERN] = ACTIONS(2568),
    [anon_sym_CG_INLINE] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2568),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2568),
    [anon_sym_IBOutlet] = ACTIONS(2568),
    [anon_sym_IBInspectable] = ACTIONS(2568),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2568),
    [anon_sym_NS_INLINE] = ACTIONS(2568),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2568),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2568),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym__Nonnull] = ACTIONS(2568),
    [anon_sym_nullable] = ACTIONS(2568),
    [anon_sym__Complex] = ACTIONS(2568),
    [anon_sym__Nullable] = ACTIONS(2568),
    [anon_sym__Nullable_result] = ACTIONS(2568),
    [anon_sym__Null_unspecified] = ACTIONS(2568),
    [anon_sym___autoreleasing] = ACTIONS(2568),
    [anon_sym___block] = ACTIONS(2568),
    [anon_sym___bridge] = ACTIONS(2568),
    [anon_sym___bridge_retained] = ACTIONS(2568),
    [anon_sym___bridge_transfer] = ACTIONS(2568),
    [anon_sym___complex] = ACTIONS(2568),
    [anon_sym___const] = ACTIONS(2568),
    [anon_sym___imag] = ACTIONS(2568),
    [anon_sym___kindof] = ACTIONS(2568),
    [anon_sym___nonnull] = ACTIONS(2568),
    [anon_sym___nullable] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2568),
    [anon_sym___real] = ACTIONS(2568),
    [anon_sym___strong] = ACTIONS(2568),
    [anon_sym___unsafe_unretained] = ACTIONS(2568),
    [anon_sym___unused] = ACTIONS(2568),
    [anon_sym___weak] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_else] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_default] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_in] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [anon_sym___asm] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_AT] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2568),
    [anon_sym___typeof] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(2568),
    [anon_sym_ATimport] = ACTIONS(2570),
    [aux_sym_preproc_undef_token1] = ACTIONS(2568),
    [anon_sym_POUND] = ACTIONS(2568),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2568),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2568),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2568),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_API_AVAILABLE] = ACTIONS(2568),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_API_DEPRECATED] = ACTIONS(2568),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym___deprecated_msg] = ACTIONS(2568),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2568),
    [anon_sym_ATprotocol] = ACTIONS(2570),
    [anon_sym_ATinterface] = ACTIONS(2570),
    [anon_sym_ATimplementation] = ACTIONS(2570),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2570),
    [anon_sym_ATtry] = ACTIONS(2570),
    [anon_sym___try] = ACTIONS(2568),
    [anon_sym_ATthrow] = ACTIONS(2570),
    [anon_sym_ATselector] = ACTIONS(2570),
    [anon_sym_ATavailable] = ACTIONS(2570),
    [anon_sym___builtin_available] = ACTIONS(2568),
    [anon_sym_va_arg] = ACTIONS(2568),
    [anon_sym_ATencode] = ACTIONS(2570),
    [anon_sym_ATsynchronized] = ACTIONS(2570),
    [anon_sym_BOOL] = ACTIONS(2568),
    [anon_sym_IMP] = ACTIONS(2568),
    [anon_sym_SEL] = ACTIONS(2568),
    [anon_sym_Class] = ACTIONS(2568),
    [anon_sym_id] = ACTIONS(2568),
  },
  [742] = {
    [ts_builtin_sym_end] = ACTIONS(2570),
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_include_token1] = ACTIONS(2568),
    [aux_sym_preproc_include_token2] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym___attribute] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_ATautoreleasepool] = ACTIONS(2570),
    [anon_sym_auto] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_CG_EXTERN] = ACTIONS(2568),
    [anon_sym_CG_INLINE] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2568),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2568),
    [anon_sym_IBOutlet] = ACTIONS(2568),
    [anon_sym_IBInspectable] = ACTIONS(2568),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2568),
    [anon_sym_NS_INLINE] = ACTIONS(2568),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2568),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2568),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym__Nonnull] = ACTIONS(2568),
    [anon_sym_nullable] = ACTIONS(2568),
    [anon_sym__Complex] = ACTIONS(2568),
    [anon_sym__Nullable] = ACTIONS(2568),
    [anon_sym__Nullable_result] = ACTIONS(2568),
    [anon_sym__Null_unspecified] = ACTIONS(2568),
    [anon_sym___autoreleasing] = ACTIONS(2568),
    [anon_sym___block] = ACTIONS(2568),
    [anon_sym___bridge] = ACTIONS(2568),
    [anon_sym___bridge_retained] = ACTIONS(2568),
    [anon_sym___bridge_transfer] = ACTIONS(2568),
    [anon_sym___complex] = ACTIONS(2568),
    [anon_sym___const] = ACTIONS(2568),
    [anon_sym___imag] = ACTIONS(2568),
    [anon_sym___kindof] = ACTIONS(2568),
    [anon_sym___nonnull] = ACTIONS(2568),
    [anon_sym___nullable] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2568),
    [anon_sym___real] = ACTIONS(2568),
    [anon_sym___strong] = ACTIONS(2568),
    [anon_sym___unsafe_unretained] = ACTIONS(2568),
    [anon_sym___unused] = ACTIONS(2568),
    [anon_sym___weak] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_else] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_default] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_in] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [anon_sym___asm] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_AT] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2568),
    [anon_sym___typeof] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(2568),
    [anon_sym_ATimport] = ACTIONS(2570),
    [aux_sym_preproc_undef_token1] = ACTIONS(2568),
    [anon_sym_POUND] = ACTIONS(2568),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2568),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2568),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2568),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_API_AVAILABLE] = ACTIONS(2568),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_API_DEPRECATED] = ACTIONS(2568),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym___deprecated_msg] = ACTIONS(2568),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2568),
    [anon_sym_ATprotocol] = ACTIONS(2570),
    [anon_sym_ATinterface] = ACTIONS(2570),
    [anon_sym_ATimplementation] = ACTIONS(2570),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2570),
    [anon_sym_ATtry] = ACTIONS(2570),
    [anon_sym___try] = ACTIONS(2568),
    [anon_sym_ATthrow] = ACTIONS(2570),
    [anon_sym_ATselector] = ACTIONS(2570),
    [anon_sym_ATavailable] = ACTIONS(2570),
    [anon_sym___builtin_available] = ACTIONS(2568),
    [anon_sym_va_arg] = ACTIONS(2568),
    [anon_sym_ATencode] = ACTIONS(2570),
    [anon_sym_ATsynchronized] = ACTIONS(2570),
    [anon_sym_BOOL] = ACTIONS(2568),
    [anon_sym_IMP] = ACTIONS(2568),
    [anon_sym_SEL] = ACTIONS(2568),
    [anon_sym_Class] = ACTIONS(2568),
    [anon_sym_id] = ACTIONS(2568),
  },
  [743] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_include_token2] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_CARET] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym___attribute] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_ATautoreleasepool] = ACTIONS(2506),
    [anon_sym_auto] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_CG_EXTERN] = ACTIONS(2504),
    [anon_sym_CG_INLINE] = ACTIONS(2504),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2504),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2504),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2504),
    [anon_sym_IBOutlet] = ACTIONS(2504),
    [anon_sym_IBInspectable] = ACTIONS(2504),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2504),
    [anon_sym_NS_INLINE] = ACTIONS(2504),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2504),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2504),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2504),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym__Nonnull] = ACTIONS(2504),
    [anon_sym_nullable] = ACTIONS(2504),
    [anon_sym__Complex] = ACTIONS(2504),
    [anon_sym__Nullable] = ACTIONS(2504),
    [anon_sym__Nullable_result] = ACTIONS(2504),
    [anon_sym__Null_unspecified] = ACTIONS(2504),
    [anon_sym___autoreleasing] = ACTIONS(2504),
    [anon_sym___block] = ACTIONS(2504),
    [anon_sym___bridge] = ACTIONS(2504),
    [anon_sym___bridge_retained] = ACTIONS(2504),
    [anon_sym___bridge_transfer] = ACTIONS(2504),
    [anon_sym___complex] = ACTIONS(2504),
    [anon_sym___const] = ACTIONS(2504),
    [anon_sym___imag] = ACTIONS(2504),
    [anon_sym___kindof] = ACTIONS(2504),
    [anon_sym___nonnull] = ACTIONS(2504),
    [anon_sym___nullable] = ACTIONS(2504),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2504),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2504),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2504),
    [anon_sym___real] = ACTIONS(2504),
    [anon_sym___strong] = ACTIONS(2504),
    [anon_sym___unsafe_unretained] = ACTIONS(2504),
    [anon_sym___unused] = ACTIONS(2504),
    [anon_sym___weak] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym__Alignas] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_in] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [anon_sym___asm] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_AT] = ACTIONS(2504),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2504),
    [anon_sym___typeof] = ACTIONS(2504),
    [anon_sym_typeof] = ACTIONS(2504),
    [anon_sym_ATimport] = ACTIONS(2506),
    [aux_sym_preproc_undef_token1] = ACTIONS(2504),
    [anon_sym_POUND] = ACTIONS(2504),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2504),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2504),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2504),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2504),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2504),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2504),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2504),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2504),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2504),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_API_AVAILABLE] = ACTIONS(2504),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_API_DEPRECATED] = ACTIONS(2504),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2504),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2504),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2504),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2504),
    [anon_sym___deprecated_msg] = ACTIONS(2504),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2504),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2504),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2504),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2504),
    [anon_sym_ATprotocol] = ACTIONS(2506),
    [anon_sym_ATinterface] = ACTIONS(2506),
    [anon_sym_ATimplementation] = ACTIONS(2506),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2506),
    [anon_sym_ATtry] = ACTIONS(2506),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym_ATthrow] = ACTIONS(2506),
    [anon_sym_ATselector] = ACTIONS(2506),
    [anon_sym_ATavailable] = ACTIONS(2506),
    [anon_sym___builtin_available] = ACTIONS(2504),
    [anon_sym_va_arg] = ACTIONS(2504),
    [anon_sym_ATencode] = ACTIONS(2506),
    [anon_sym_ATsynchronized] = ACTIONS(2506),
    [anon_sym_BOOL] = ACTIONS(2504),
    [anon_sym_IMP] = ACTIONS(2504),
    [anon_sym_SEL] = ACTIONS(2504),
    [anon_sym_Class] = ACTIONS(2504),
    [anon_sym_id] = ACTIONS(2504),
  },
  [744] = {
    [sym_identifier] = ACTIONS(2416),
    [aux_sym_preproc_include_token1] = ACTIONS(2416),
    [aux_sym_preproc_include_token2] = ACTIONS(2416),
    [aux_sym_preproc_def_token1] = ACTIONS(2416),
    [aux_sym_preproc_if_token1] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2416),
    [sym_preproc_directive] = ACTIONS(2416),
    [anon_sym_LPAREN2] = ACTIONS(2418),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2418),
    [anon_sym_CARET] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym___extension__] = ACTIONS(2416),
    [anon_sym_typedef] = ACTIONS(2416),
    [anon_sym_extern] = ACTIONS(2416),
    [anon_sym___attribute__] = ACTIONS(2416),
    [anon_sym___attribute] = ACTIONS(2416),
    [anon_sym_noreturn] = ACTIONS(2416),
    [anon_sym_LBRACK] = ACTIONS(2418),
    [anon_sym___declspec] = ACTIONS(2416),
    [anon_sym___cdecl] = ACTIONS(2416),
    [anon_sym___clrcall] = ACTIONS(2416),
    [anon_sym___stdcall] = ACTIONS(2416),
    [anon_sym___fastcall] = ACTIONS(2416),
    [anon_sym___thiscall] = ACTIONS(2416),
    [anon_sym___vectorcall] = ACTIONS(2416),
    [anon_sym_LBRACE] = ACTIONS(2418),
    [anon_sym_RBRACE] = ACTIONS(2418),
    [anon_sym_signed] = ACTIONS(2416),
    [anon_sym_unsigned] = ACTIONS(2416),
    [anon_sym_long] = ACTIONS(2416),
    [anon_sym_short] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_ATautoreleasepool] = ACTIONS(2418),
    [anon_sym_auto] = ACTIONS(2416),
    [anon_sym_register] = ACTIONS(2416),
    [anon_sym_inline] = ACTIONS(2416),
    [anon_sym___inline] = ACTIONS(2416),
    [anon_sym___inline__] = ACTIONS(2416),
    [anon_sym___forceinline] = ACTIONS(2416),
    [anon_sym_thread_local] = ACTIONS(2416),
    [anon_sym___thread] = ACTIONS(2416),
    [anon_sym_CG_EXTERN] = ACTIONS(2416),
    [anon_sym_CG_INLINE] = ACTIONS(2416),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2416),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2416),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2416),
    [anon_sym_IBOutlet] = ACTIONS(2416),
    [anon_sym_IBInspectable] = ACTIONS(2416),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2416),
    [anon_sym_NS_INLINE] = ACTIONS(2416),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2416),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2416),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2416),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2416),
    [anon_sym_const] = ACTIONS(2416),
    [anon_sym_constexpr] = ACTIONS(2416),
    [anon_sym_volatile] = ACTIONS(2416),
    [anon_sym_restrict] = ACTIONS(2416),
    [anon_sym___restrict__] = ACTIONS(2416),
    [anon_sym__Atomic] = ACTIONS(2416),
    [anon_sym__Noreturn] = ACTIONS(2416),
    [anon_sym__Nonnull] = ACTIONS(2416),
    [anon_sym_nullable] = ACTIONS(2416),
    [anon_sym__Complex] = ACTIONS(2416),
    [anon_sym__Nullable] = ACTIONS(2416),
    [anon_sym__Nullable_result] = ACTIONS(2416),
    [anon_sym__Null_unspecified] = ACTIONS(2416),
    [anon_sym___autoreleasing] = ACTIONS(2416),
    [anon_sym___block] = ACTIONS(2416),
    [anon_sym___bridge] = ACTIONS(2416),
    [anon_sym___bridge_retained] = ACTIONS(2416),
    [anon_sym___bridge_transfer] = ACTIONS(2416),
    [anon_sym___complex] = ACTIONS(2416),
    [anon_sym___const] = ACTIONS(2416),
    [anon_sym___imag] = ACTIONS(2416),
    [anon_sym___kindof] = ACTIONS(2416),
    [anon_sym___nonnull] = ACTIONS(2416),
    [anon_sym___nullable] = ACTIONS(2416),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2416),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2416),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2416),
    [anon_sym___real] = ACTIONS(2416),
    [anon_sym___strong] = ACTIONS(2416),
    [anon_sym___unsafe_unretained] = ACTIONS(2416),
    [anon_sym___unused] = ACTIONS(2416),
    [anon_sym___weak] = ACTIONS(2416),
    [anon_sym_alignas] = ACTIONS(2416),
    [anon_sym__Alignas] = ACTIONS(2416),
    [sym_primitive_type] = ACTIONS(2416),
    [anon_sym_enum] = ACTIONS(2416),
    [anon_sym_struct] = ACTIONS(2416),
    [anon_sym_union] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(2416),
    [anon_sym_else] = ACTIONS(2416),
    [anon_sym_switch] = ACTIONS(2416),
    [anon_sym_case] = ACTIONS(2416),
    [anon_sym_default] = ACTIONS(2416),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(2416),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2416),
    [anon_sym_continue] = ACTIONS(2416),
    [anon_sym_goto] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_sizeof] = ACTIONS(2416),
    [anon_sym___alignof__] = ACTIONS(2416),
    [anon_sym___alignof] = ACTIONS(2416),
    [anon_sym__alignof] = ACTIONS(2416),
    [anon_sym_alignof] = ACTIONS(2416),
    [anon_sym__Alignof] = ACTIONS(2416),
    [anon_sym_offsetof] = ACTIONS(2416),
    [anon_sym__Generic] = ACTIONS(2416),
    [anon_sym_asm] = ACTIONS(2416),
    [anon_sym___asm__] = ACTIONS(2416),
    [anon_sym___asm] = ACTIONS(2416),
    [sym_number_literal] = ACTIONS(2418),
    [anon_sym_L_SQUOTE] = ACTIONS(2418),
    [anon_sym_u_SQUOTE] = ACTIONS(2418),
    [anon_sym_U_SQUOTE] = ACTIONS(2418),
    [anon_sym_u8_SQUOTE] = ACTIONS(2418),
    [anon_sym_SQUOTE] = ACTIONS(2418),
    [anon_sym_AT] = ACTIONS(2416),
    [anon_sym_DQUOTE] = ACTIONS(2418),
    [anon_sym_L_DQUOTE] = ACTIONS(2418),
    [anon_sym_u_DQUOTE] = ACTIONS(2418),
    [anon_sym_U_DQUOTE] = ACTIONS(2418),
    [anon_sym_u8_DQUOTE] = ACTIONS(2418),
    [sym_true] = ACTIONS(2416),
    [sym_false] = ACTIONS(2416),
    [anon_sym_NULL] = ACTIONS(2416),
    [anon_sym_nullptr] = ACTIONS(2416),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2416),
    [anon_sym___typeof] = ACTIONS(2416),
    [anon_sym_typeof] = ACTIONS(2416),
    [anon_sym_ATimport] = ACTIONS(2418),
    [aux_sym_preproc_undef_token1] = ACTIONS(2416),
    [anon_sym_POUND] = ACTIONS(2416),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2416),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2416),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2416),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2416),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2416),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2416),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2416),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2416),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2416),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_API_AVAILABLE] = ACTIONS(2416),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_API_DEPRECATED] = ACTIONS(2416),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2416),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2416),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2416),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2416),
    [anon_sym___deprecated_msg] = ACTIONS(2416),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2416),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2416),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2416),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2416),
    [anon_sym_ATprotocol] = ACTIONS(2418),
    [anon_sym_ATinterface] = ACTIONS(2418),
    [anon_sym_ATimplementation] = ACTIONS(2418),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2418),
    [anon_sym_ATtry] = ACTIONS(2418),
    [anon_sym___try] = ACTIONS(2416),
    [anon_sym_ATthrow] = ACTIONS(2418),
    [anon_sym_ATselector] = ACTIONS(2418),
    [anon_sym_ATavailable] = ACTIONS(2418),
    [anon_sym___builtin_available] = ACTIONS(2416),
    [anon_sym_va_arg] = ACTIONS(2416),
    [anon_sym_ATencode] = ACTIONS(2418),
    [anon_sym_ATsynchronized] = ACTIONS(2418),
    [anon_sym_BOOL] = ACTIONS(2416),
    [anon_sym_IMP] = ACTIONS(2416),
    [anon_sym_SEL] = ACTIONS(2416),
    [anon_sym_Class] = ACTIONS(2416),
    [anon_sym_id] = ACTIONS(2416),
  },
  [745] = {
    [sym_identifier] = ACTIONS(2540),
    [aux_sym_preproc_include_token1] = ACTIONS(2540),
    [aux_sym_preproc_include_token2] = ACTIONS(2540),
    [aux_sym_preproc_def_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2540),
    [sym_preproc_directive] = ACTIONS(2540),
    [anon_sym_LPAREN2] = ACTIONS(2542),
    [anon_sym_BANG] = ACTIONS(2542),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_CARET] = ACTIONS(2542),
    [anon_sym_AMP] = ACTIONS(2542),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_typedef] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym___attribute] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym___cdecl] = ACTIONS(2540),
    [anon_sym___clrcall] = ACTIONS(2540),
    [anon_sym___stdcall] = ACTIONS(2540),
    [anon_sym___fastcall] = ACTIONS(2540),
    [anon_sym___thiscall] = ACTIONS(2540),
    [anon_sym___vectorcall] = ACTIONS(2540),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_RBRACE] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_ATautoreleasepool] = ACTIONS(2542),
    [anon_sym_auto] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_CG_EXTERN] = ACTIONS(2540),
    [anon_sym_CG_INLINE] = ACTIONS(2540),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2540),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2540),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2540),
    [anon_sym_IBOutlet] = ACTIONS(2540),
    [anon_sym_IBInspectable] = ACTIONS(2540),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2540),
    [anon_sym_NS_INLINE] = ACTIONS(2540),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2540),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2540),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2540),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym__Nonnull] = ACTIONS(2540),
    [anon_sym_nullable] = ACTIONS(2540),
    [anon_sym__Complex] = ACTIONS(2540),
    [anon_sym__Nullable] = ACTIONS(2540),
    [anon_sym__Nullable_result] = ACTIONS(2540),
    [anon_sym__Null_unspecified] = ACTIONS(2540),
    [anon_sym___autoreleasing] = ACTIONS(2540),
    [anon_sym___block] = ACTIONS(2540),
    [anon_sym___bridge] = ACTIONS(2540),
    [anon_sym___bridge_retained] = ACTIONS(2540),
    [anon_sym___bridge_transfer] = ACTIONS(2540),
    [anon_sym___complex] = ACTIONS(2540),
    [anon_sym___const] = ACTIONS(2540),
    [anon_sym___imag] = ACTIONS(2540),
    [anon_sym___kindof] = ACTIONS(2540),
    [anon_sym___nonnull] = ACTIONS(2540),
    [anon_sym___nullable] = ACTIONS(2540),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2540),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2540),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2540),
    [anon_sym___real] = ACTIONS(2540),
    [anon_sym___strong] = ACTIONS(2540),
    [anon_sym___unsafe_unretained] = ACTIONS(2540),
    [anon_sym___unused] = ACTIONS(2540),
    [anon_sym___weak] = ACTIONS(2540),
    [anon_sym_alignas] = ACTIONS(2540),
    [anon_sym__Alignas] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [anon_sym_if] = ACTIONS(2540),
    [anon_sym_else] = ACTIONS(2540),
    [anon_sym_switch] = ACTIONS(2540),
    [anon_sym_case] = ACTIONS(2540),
    [anon_sym_default] = ACTIONS(2540),
    [anon_sym_while] = ACTIONS(2540),
    [anon_sym_do] = ACTIONS(2540),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_in] = ACTIONS(2540),
    [anon_sym_return] = ACTIONS(2540),
    [anon_sym_break] = ACTIONS(2540),
    [anon_sym_continue] = ACTIONS(2540),
    [anon_sym_goto] = ACTIONS(2540),
    [anon_sym_DASH_DASH] = ACTIONS(2542),
    [anon_sym_PLUS_PLUS] = ACTIONS(2542),
    [anon_sym_sizeof] = ACTIONS(2540),
    [anon_sym___alignof__] = ACTIONS(2540),
    [anon_sym___alignof] = ACTIONS(2540),
    [anon_sym__alignof] = ACTIONS(2540),
    [anon_sym_alignof] = ACTIONS(2540),
    [anon_sym__Alignof] = ACTIONS(2540),
    [anon_sym_offsetof] = ACTIONS(2540),
    [anon_sym__Generic] = ACTIONS(2540),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [anon_sym___asm] = ACTIONS(2540),
    [sym_number_literal] = ACTIONS(2542),
    [anon_sym_L_SQUOTE] = ACTIONS(2542),
    [anon_sym_u_SQUOTE] = ACTIONS(2542),
    [anon_sym_U_SQUOTE] = ACTIONS(2542),
    [anon_sym_u8_SQUOTE] = ACTIONS(2542),
    [anon_sym_SQUOTE] = ACTIONS(2542),
    [anon_sym_AT] = ACTIONS(2540),
    [anon_sym_DQUOTE] = ACTIONS(2542),
    [anon_sym_L_DQUOTE] = ACTIONS(2542),
    [anon_sym_u_DQUOTE] = ACTIONS(2542),
    [anon_sym_U_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8_DQUOTE] = ACTIONS(2542),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2540),
    [anon_sym_nullptr] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2540),
    [anon_sym___typeof] = ACTIONS(2540),
    [anon_sym_typeof] = ACTIONS(2540),
    [anon_sym_ATimport] = ACTIONS(2542),
    [aux_sym_preproc_undef_token1] = ACTIONS(2540),
    [anon_sym_POUND] = ACTIONS(2540),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2540),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2540),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2540),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2540),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2540),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2540),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2540),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2540),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2540),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_API_AVAILABLE] = ACTIONS(2540),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_API_DEPRECATED] = ACTIONS(2540),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2540),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2540),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2540),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2540),
    [anon_sym___deprecated_msg] = ACTIONS(2540),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2540),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2540),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2540),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2540),
    [anon_sym_ATprotocol] = ACTIONS(2542),
    [anon_sym_ATinterface] = ACTIONS(2542),
    [anon_sym_ATimplementation] = ACTIONS(2542),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2542),
    [anon_sym_ATtry] = ACTIONS(2542),
    [anon_sym___try] = ACTIONS(2540),
    [anon_sym_ATthrow] = ACTIONS(2542),
    [anon_sym_ATselector] = ACTIONS(2542),
    [anon_sym_ATavailable] = ACTIONS(2542),
    [anon_sym___builtin_available] = ACTIONS(2540),
    [anon_sym_va_arg] = ACTIONS(2540),
    [anon_sym_ATencode] = ACTIONS(2542),
    [anon_sym_ATsynchronized] = ACTIONS(2542),
    [anon_sym_BOOL] = ACTIONS(2540),
    [anon_sym_IMP] = ACTIONS(2540),
    [anon_sym_SEL] = ACTIONS(2540),
    [anon_sym_Class] = ACTIONS(2540),
    [anon_sym_id] = ACTIONS(2540),
  },
  [746] = {
    [sym_identifier] = ACTIONS(2508),
    [aux_sym_preproc_include_token1] = ACTIONS(2508),
    [aux_sym_preproc_include_token2] = ACTIONS(2508),
    [aux_sym_preproc_def_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2508),
    [sym_preproc_directive] = ACTIONS(2508),
    [anon_sym_LPAREN2] = ACTIONS(2510),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2510),
    [anon_sym_CARET] = ACTIONS(2510),
    [anon_sym_AMP] = ACTIONS(2510),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym___extension__] = ACTIONS(2508),
    [anon_sym_typedef] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym___attribute__] = ACTIONS(2508),
    [anon_sym___attribute] = ACTIONS(2508),
    [anon_sym_noreturn] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [anon_sym___declspec] = ACTIONS(2508),
    [anon_sym___cdecl] = ACTIONS(2508),
    [anon_sym___clrcall] = ACTIONS(2508),
    [anon_sym___stdcall] = ACTIONS(2508),
    [anon_sym___fastcall] = ACTIONS(2508),
    [anon_sym___thiscall] = ACTIONS(2508),
    [anon_sym___vectorcall] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_RBRACE] = ACTIONS(2510),
    [anon_sym_signed] = ACTIONS(2508),
    [anon_sym_unsigned] = ACTIONS(2508),
    [anon_sym_long] = ACTIONS(2508),
    [anon_sym_short] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_ATautoreleasepool] = ACTIONS(2510),
    [anon_sym_auto] = ACTIONS(2508),
    [anon_sym_register] = ACTIONS(2508),
    [anon_sym_inline] = ACTIONS(2508),
    [anon_sym___inline] = ACTIONS(2508),
    [anon_sym___inline__] = ACTIONS(2508),
    [anon_sym___forceinline] = ACTIONS(2508),
    [anon_sym_thread_local] = ACTIONS(2508),
    [anon_sym___thread] = ACTIONS(2508),
    [anon_sym_CG_EXTERN] = ACTIONS(2508),
    [anon_sym_CG_INLINE] = ACTIONS(2508),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2508),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2508),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2508),
    [anon_sym_IBOutlet] = ACTIONS(2508),
    [anon_sym_IBInspectable] = ACTIONS(2508),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2508),
    [anon_sym_NS_INLINE] = ACTIONS(2508),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2508),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2508),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2508),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_constexpr] = ACTIONS(2508),
    [anon_sym_volatile] = ACTIONS(2508),
    [anon_sym_restrict] = ACTIONS(2508),
    [anon_sym___restrict__] = ACTIONS(2508),
    [anon_sym__Atomic] = ACTIONS(2508),
    [anon_sym__Noreturn] = ACTIONS(2508),
    [anon_sym__Nonnull] = ACTIONS(2508),
    [anon_sym_nullable] = ACTIONS(2508),
    [anon_sym__Complex] = ACTIONS(2508),
    [anon_sym__Nullable] = ACTIONS(2508),
    [anon_sym__Nullable_result] = ACTIONS(2508),
    [anon_sym__Null_unspecified] = ACTIONS(2508),
    [anon_sym___autoreleasing] = ACTIONS(2508),
    [anon_sym___block] = ACTIONS(2508),
    [anon_sym___bridge] = ACTIONS(2508),
    [anon_sym___bridge_retained] = ACTIONS(2508),
    [anon_sym___bridge_transfer] = ACTIONS(2508),
    [anon_sym___complex] = ACTIONS(2508),
    [anon_sym___const] = ACTIONS(2508),
    [anon_sym___imag] = ACTIONS(2508),
    [anon_sym___kindof] = ACTIONS(2508),
    [anon_sym___nonnull] = ACTIONS(2508),
    [anon_sym___nullable] = ACTIONS(2508),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2508),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2508),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2508),
    [anon_sym___real] = ACTIONS(2508),
    [anon_sym___strong] = ACTIONS(2508),
    [anon_sym___unsafe_unretained] = ACTIONS(2508),
    [anon_sym___unused] = ACTIONS(2508),
    [anon_sym___weak] = ACTIONS(2508),
    [anon_sym_alignas] = ACTIONS(2508),
    [anon_sym__Alignas] = ACTIONS(2508),
    [sym_primitive_type] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_else] = ACTIONS(2508),
    [anon_sym_switch] = ACTIONS(2508),
    [anon_sym_case] = ACTIONS(2508),
    [anon_sym_default] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2508),
    [anon_sym_do] = ACTIONS(2508),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_in] = ACTIONS(2508),
    [anon_sym_return] = ACTIONS(2508),
    [anon_sym_break] = ACTIONS(2508),
    [anon_sym_continue] = ACTIONS(2508),
    [anon_sym_goto] = ACTIONS(2508),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_sizeof] = ACTIONS(2508),
    [anon_sym___alignof__] = ACTIONS(2508),
    [anon_sym___alignof] = ACTIONS(2508),
    [anon_sym__alignof] = ACTIONS(2508),
    [anon_sym_alignof] = ACTIONS(2508),
    [anon_sym__Alignof] = ACTIONS(2508),
    [anon_sym_offsetof] = ACTIONS(2508),
    [anon_sym__Generic] = ACTIONS(2508),
    [anon_sym_asm] = ACTIONS(2508),
    [anon_sym___asm__] = ACTIONS(2508),
    [anon_sym___asm] = ACTIONS(2508),
    [sym_number_literal] = ACTIONS(2510),
    [anon_sym_L_SQUOTE] = ACTIONS(2510),
    [anon_sym_u_SQUOTE] = ACTIONS(2510),
    [anon_sym_U_SQUOTE] = ACTIONS(2510),
    [anon_sym_u8_SQUOTE] = ACTIONS(2510),
    [anon_sym_SQUOTE] = ACTIONS(2510),
    [anon_sym_AT] = ACTIONS(2508),
    [anon_sym_DQUOTE] = ACTIONS(2510),
    [anon_sym_L_DQUOTE] = ACTIONS(2510),
    [anon_sym_u_DQUOTE] = ACTIONS(2510),
    [anon_sym_U_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8_DQUOTE] = ACTIONS(2510),
    [sym_true] = ACTIONS(2508),
    [sym_false] = ACTIONS(2508),
    [anon_sym_NULL] = ACTIONS(2508),
    [anon_sym_nullptr] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2508),
    [anon_sym___typeof] = ACTIONS(2508),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_ATimport] = ACTIONS(2510),
    [aux_sym_preproc_undef_token1] = ACTIONS(2508),
    [anon_sym_POUND] = ACTIONS(2508),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2508),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2508),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2508),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2508),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2508),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2508),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2508),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2508),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2508),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_API_AVAILABLE] = ACTIONS(2508),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_API_DEPRECATED] = ACTIONS(2508),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2508),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2508),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2508),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2508),
    [anon_sym___deprecated_msg] = ACTIONS(2508),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2508),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2508),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2508),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2508),
    [anon_sym_ATprotocol] = ACTIONS(2510),
    [anon_sym_ATinterface] = ACTIONS(2510),
    [anon_sym_ATimplementation] = ACTIONS(2510),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2510),
    [anon_sym_ATtry] = ACTIONS(2510),
    [anon_sym___try] = ACTIONS(2508),
    [anon_sym_ATthrow] = ACTIONS(2510),
    [anon_sym_ATselector] = ACTIONS(2510),
    [anon_sym_ATavailable] = ACTIONS(2510),
    [anon_sym___builtin_available] = ACTIONS(2508),
    [anon_sym_va_arg] = ACTIONS(2508),
    [anon_sym_ATencode] = ACTIONS(2510),
    [anon_sym_ATsynchronized] = ACTIONS(2510),
    [anon_sym_BOOL] = ACTIONS(2508),
    [anon_sym_IMP] = ACTIONS(2508),
    [anon_sym_SEL] = ACTIONS(2508),
    [anon_sym_Class] = ACTIONS(2508),
    [anon_sym_id] = ACTIONS(2508),
  },
  [747] = {
    [sym_identifier] = ACTIONS(2512),
    [aux_sym_preproc_include_token1] = ACTIONS(2512),
    [aux_sym_preproc_include_token2] = ACTIONS(2512),
    [aux_sym_preproc_def_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2512),
    [sym_preproc_directive] = ACTIONS(2512),
    [anon_sym_LPAREN2] = ACTIONS(2514),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_CARET] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_typedef] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym___attribute] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym___cdecl] = ACTIONS(2512),
    [anon_sym___clrcall] = ACTIONS(2512),
    [anon_sym___stdcall] = ACTIONS(2512),
    [anon_sym___fastcall] = ACTIONS(2512),
    [anon_sym___thiscall] = ACTIONS(2512),
    [anon_sym___vectorcall] = ACTIONS(2512),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_RBRACE] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_ATautoreleasepool] = ACTIONS(2514),
    [anon_sym_auto] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_CG_EXTERN] = ACTIONS(2512),
    [anon_sym_CG_INLINE] = ACTIONS(2512),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2512),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2512),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2512),
    [anon_sym_IBOutlet] = ACTIONS(2512),
    [anon_sym_IBInspectable] = ACTIONS(2512),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2512),
    [anon_sym_NS_INLINE] = ACTIONS(2512),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2512),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2512),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2512),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym__Nonnull] = ACTIONS(2512),
    [anon_sym_nullable] = ACTIONS(2512),
    [anon_sym__Complex] = ACTIONS(2512),
    [anon_sym__Nullable] = ACTIONS(2512),
    [anon_sym__Nullable_result] = ACTIONS(2512),
    [anon_sym__Null_unspecified] = ACTIONS(2512),
    [anon_sym___autoreleasing] = ACTIONS(2512),
    [anon_sym___block] = ACTIONS(2512),
    [anon_sym___bridge] = ACTIONS(2512),
    [anon_sym___bridge_retained] = ACTIONS(2512),
    [anon_sym___bridge_transfer] = ACTIONS(2512),
    [anon_sym___complex] = ACTIONS(2512),
    [anon_sym___const] = ACTIONS(2512),
    [anon_sym___imag] = ACTIONS(2512),
    [anon_sym___kindof] = ACTIONS(2512),
    [anon_sym___nonnull] = ACTIONS(2512),
    [anon_sym___nullable] = ACTIONS(2512),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2512),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2512),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2512),
    [anon_sym___real] = ACTIONS(2512),
    [anon_sym___strong] = ACTIONS(2512),
    [anon_sym___unsafe_unretained] = ACTIONS(2512),
    [anon_sym___unused] = ACTIONS(2512),
    [anon_sym___weak] = ACTIONS(2512),
    [anon_sym_alignas] = ACTIONS(2512),
    [anon_sym__Alignas] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(2512),
    [anon_sym_else] = ACTIONS(2512),
    [anon_sym_switch] = ACTIONS(2512),
    [anon_sym_case] = ACTIONS(2512),
    [anon_sym_default] = ACTIONS(2512),
    [anon_sym_while] = ACTIONS(2512),
    [anon_sym_do] = ACTIONS(2512),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_in] = ACTIONS(2512),
    [anon_sym_return] = ACTIONS(2512),
    [anon_sym_break] = ACTIONS(2512),
    [anon_sym_continue] = ACTIONS(2512),
    [anon_sym_goto] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_sizeof] = ACTIONS(2512),
    [anon_sym___alignof__] = ACTIONS(2512),
    [anon_sym___alignof] = ACTIONS(2512),
    [anon_sym__alignof] = ACTIONS(2512),
    [anon_sym_alignof] = ACTIONS(2512),
    [anon_sym__Alignof] = ACTIONS(2512),
    [anon_sym_offsetof] = ACTIONS(2512),
    [anon_sym__Generic] = ACTIONS(2512),
    [anon_sym_asm] = ACTIONS(2512),
    [anon_sym___asm__] = ACTIONS(2512),
    [anon_sym___asm] = ACTIONS(2512),
    [sym_number_literal] = ACTIONS(2514),
    [anon_sym_L_SQUOTE] = ACTIONS(2514),
    [anon_sym_u_SQUOTE] = ACTIONS(2514),
    [anon_sym_U_SQUOTE] = ACTIONS(2514),
    [anon_sym_u8_SQUOTE] = ACTIONS(2514),
    [anon_sym_SQUOTE] = ACTIONS(2514),
    [anon_sym_AT] = ACTIONS(2512),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_L_DQUOTE] = ACTIONS(2514),
    [anon_sym_u_DQUOTE] = ACTIONS(2514),
    [anon_sym_U_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8_DQUOTE] = ACTIONS(2514),
    [sym_true] = ACTIONS(2512),
    [sym_false] = ACTIONS(2512),
    [anon_sym_NULL] = ACTIONS(2512),
    [anon_sym_nullptr] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2512),
    [anon_sym___typeof] = ACTIONS(2512),
    [anon_sym_typeof] = ACTIONS(2512),
    [anon_sym_ATimport] = ACTIONS(2514),
    [aux_sym_preproc_undef_token1] = ACTIONS(2512),
    [anon_sym_POUND] = ACTIONS(2512),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2512),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2512),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2512),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2512),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2512),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2512),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2512),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2512),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2512),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_API_AVAILABLE] = ACTIONS(2512),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_API_DEPRECATED] = ACTIONS(2512),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2512),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2512),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2512),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2512),
    [anon_sym___deprecated_msg] = ACTIONS(2512),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2512),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2512),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2512),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2512),
    [anon_sym_ATprotocol] = ACTIONS(2514),
    [anon_sym_ATinterface] = ACTIONS(2514),
    [anon_sym_ATimplementation] = ACTIONS(2514),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2514),
    [anon_sym_ATtry] = ACTIONS(2514),
    [anon_sym___try] = ACTIONS(2512),
    [anon_sym_ATthrow] = ACTIONS(2514),
    [anon_sym_ATselector] = ACTIONS(2514),
    [anon_sym_ATavailable] = ACTIONS(2514),
    [anon_sym___builtin_available] = ACTIONS(2512),
    [anon_sym_va_arg] = ACTIONS(2512),
    [anon_sym_ATencode] = ACTIONS(2514),
    [anon_sym_ATsynchronized] = ACTIONS(2514),
    [anon_sym_BOOL] = ACTIONS(2512),
    [anon_sym_IMP] = ACTIONS(2512),
    [anon_sym_SEL] = ACTIONS(2512),
    [anon_sym_Class] = ACTIONS(2512),
    [anon_sym_id] = ACTIONS(2512),
  },
  [748] = {
    [ts_builtin_sym_end] = ACTIONS(2414),
    [sym_identifier] = ACTIONS(2412),
    [aux_sym_preproc_include_token1] = ACTIONS(2412),
    [aux_sym_preproc_include_token2] = ACTIONS(2412),
    [aux_sym_preproc_def_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token1] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2412),
    [sym_preproc_directive] = ACTIONS(2412),
    [anon_sym_LPAREN2] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(2414),
    [anon_sym_TILDE] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_SEMI] = ACTIONS(2414),
    [anon_sym___extension__] = ACTIONS(2412),
    [anon_sym_typedef] = ACTIONS(2412),
    [anon_sym_extern] = ACTIONS(2412),
    [anon_sym___attribute__] = ACTIONS(2412),
    [anon_sym___attribute] = ACTIONS(2412),
    [anon_sym_noreturn] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2414),
    [anon_sym___declspec] = ACTIONS(2412),
    [anon_sym___cdecl] = ACTIONS(2412),
    [anon_sym___clrcall] = ACTIONS(2412),
    [anon_sym___stdcall] = ACTIONS(2412),
    [anon_sym___fastcall] = ACTIONS(2412),
    [anon_sym___thiscall] = ACTIONS(2412),
    [anon_sym___vectorcall] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2414),
    [anon_sym_signed] = ACTIONS(2412),
    [anon_sym_unsigned] = ACTIONS(2412),
    [anon_sym_long] = ACTIONS(2412),
    [anon_sym_short] = ACTIONS(2412),
    [anon_sym_static] = ACTIONS(2412),
    [anon_sym_ATautoreleasepool] = ACTIONS(2414),
    [anon_sym_auto] = ACTIONS(2412),
    [anon_sym_register] = ACTIONS(2412),
    [anon_sym_inline] = ACTIONS(2412),
    [anon_sym___inline] = ACTIONS(2412),
    [anon_sym___inline__] = ACTIONS(2412),
    [anon_sym___forceinline] = ACTIONS(2412),
    [anon_sym_thread_local] = ACTIONS(2412),
    [anon_sym___thread] = ACTIONS(2412),
    [anon_sym_CG_EXTERN] = ACTIONS(2412),
    [anon_sym_CG_INLINE] = ACTIONS(2412),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2412),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2412),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2412),
    [anon_sym_IBOutlet] = ACTIONS(2412),
    [anon_sym_IBInspectable] = ACTIONS(2412),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2412),
    [anon_sym_NS_INLINE] = ACTIONS(2412),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2412),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2412),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2412),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2412),
    [anon_sym_const] = ACTIONS(2412),
    [anon_sym_constexpr] = ACTIONS(2412),
    [anon_sym_volatile] = ACTIONS(2412),
    [anon_sym_restrict] = ACTIONS(2412),
    [anon_sym___restrict__] = ACTIONS(2412),
    [anon_sym__Atomic] = ACTIONS(2412),
    [anon_sym__Noreturn] = ACTIONS(2412),
    [anon_sym__Nonnull] = ACTIONS(2412),
    [anon_sym_nullable] = ACTIONS(2412),
    [anon_sym__Complex] = ACTIONS(2412),
    [anon_sym__Nullable] = ACTIONS(2412),
    [anon_sym__Nullable_result] = ACTIONS(2412),
    [anon_sym__Null_unspecified] = ACTIONS(2412),
    [anon_sym___autoreleasing] = ACTIONS(2412),
    [anon_sym___block] = ACTIONS(2412),
    [anon_sym___bridge] = ACTIONS(2412),
    [anon_sym___bridge_retained] = ACTIONS(2412),
    [anon_sym___bridge_transfer] = ACTIONS(2412),
    [anon_sym___complex] = ACTIONS(2412),
    [anon_sym___const] = ACTIONS(2412),
    [anon_sym___imag] = ACTIONS(2412),
    [anon_sym___kindof] = ACTIONS(2412),
    [anon_sym___nonnull] = ACTIONS(2412),
    [anon_sym___nullable] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2412),
    [anon_sym___real] = ACTIONS(2412),
    [anon_sym___strong] = ACTIONS(2412),
    [anon_sym___unsafe_unretained] = ACTIONS(2412),
    [anon_sym___unused] = ACTIONS(2412),
    [anon_sym___weak] = ACTIONS(2412),
    [anon_sym_alignas] = ACTIONS(2412),
    [anon_sym__Alignas] = ACTIONS(2412),
    [sym_primitive_type] = ACTIONS(2412),
    [anon_sym_enum] = ACTIONS(2412),
    [anon_sym_struct] = ACTIONS(2412),
    [anon_sym_union] = ACTIONS(2412),
    [anon_sym_if] = ACTIONS(2412),
    [anon_sym_else] = ACTIONS(2412),
    [anon_sym_switch] = ACTIONS(2412),
    [anon_sym_case] = ACTIONS(2412),
    [anon_sym_default] = ACTIONS(2412),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_do] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(2412),
    [anon_sym_return] = ACTIONS(2412),
    [anon_sym_break] = ACTIONS(2412),
    [anon_sym_continue] = ACTIONS(2412),
    [anon_sym_goto] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2414),
    [anon_sym_sizeof] = ACTIONS(2412),
    [anon_sym___alignof__] = ACTIONS(2412),
    [anon_sym___alignof] = ACTIONS(2412),
    [anon_sym__alignof] = ACTIONS(2412),
    [anon_sym_alignof] = ACTIONS(2412),
    [anon_sym__Alignof] = ACTIONS(2412),
    [anon_sym_offsetof] = ACTIONS(2412),
    [anon_sym__Generic] = ACTIONS(2412),
    [anon_sym_asm] = ACTIONS(2412),
    [anon_sym___asm__] = ACTIONS(2412),
    [anon_sym___asm] = ACTIONS(2412),
    [sym_number_literal] = ACTIONS(2414),
    [anon_sym_L_SQUOTE] = ACTIONS(2414),
    [anon_sym_u_SQUOTE] = ACTIONS(2414),
    [anon_sym_U_SQUOTE] = ACTIONS(2414),
    [anon_sym_u8_SQUOTE] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_AT] = ACTIONS(2412),
    [anon_sym_DQUOTE] = ACTIONS(2414),
    [anon_sym_L_DQUOTE] = ACTIONS(2414),
    [anon_sym_u_DQUOTE] = ACTIONS(2414),
    [anon_sym_U_DQUOTE] = ACTIONS(2414),
    [anon_sym_u8_DQUOTE] = ACTIONS(2414),
    [sym_true] = ACTIONS(2412),
    [sym_false] = ACTIONS(2412),
    [anon_sym_NULL] = ACTIONS(2412),
    [anon_sym_nullptr] = ACTIONS(2412),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2412),
    [anon_sym___typeof] = ACTIONS(2412),
    [anon_sym_typeof] = ACTIONS(2412),
    [anon_sym_ATimport] = ACTIONS(2414),
    [aux_sym_preproc_undef_token1] = ACTIONS(2412),
    [anon_sym_POUND] = ACTIONS(2412),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2412),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2412),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2412),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2412),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2412),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2412),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2412),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_API_AVAILABLE] = ACTIONS(2412),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_API_DEPRECATED] = ACTIONS(2412),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2412),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym___deprecated_msg] = ACTIONS(2412),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2412),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2412),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2412),
    [anon_sym_ATprotocol] = ACTIONS(2414),
    [anon_sym_ATinterface] = ACTIONS(2414),
    [anon_sym_ATimplementation] = ACTIONS(2414),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2414),
    [anon_sym_ATtry] = ACTIONS(2414),
    [anon_sym___try] = ACTIONS(2412),
    [anon_sym_ATthrow] = ACTIONS(2414),
    [anon_sym_ATselector] = ACTIONS(2414),
    [anon_sym_ATavailable] = ACTIONS(2414),
    [anon_sym___builtin_available] = ACTIONS(2412),
    [anon_sym_va_arg] = ACTIONS(2412),
    [anon_sym_ATencode] = ACTIONS(2414),
    [anon_sym_ATsynchronized] = ACTIONS(2414),
    [anon_sym_BOOL] = ACTIONS(2412),
    [anon_sym_IMP] = ACTIONS(2412),
    [anon_sym_SEL] = ACTIONS(2412),
    [anon_sym_Class] = ACTIONS(2412),
    [anon_sym_id] = ACTIONS(2412),
  },
  [749] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_include_token2] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym___attribute] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_ATautoreleasepool] = ACTIONS(2546),
    [anon_sym_auto] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_CG_EXTERN] = ACTIONS(2544),
    [anon_sym_CG_INLINE] = ACTIONS(2544),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2544),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2544),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2544),
    [anon_sym_IBOutlet] = ACTIONS(2544),
    [anon_sym_IBInspectable] = ACTIONS(2544),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2544),
    [anon_sym_NS_INLINE] = ACTIONS(2544),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2544),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2544),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2544),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym__Nonnull] = ACTIONS(2544),
    [anon_sym_nullable] = ACTIONS(2544),
    [anon_sym__Complex] = ACTIONS(2544),
    [anon_sym__Nullable] = ACTIONS(2544),
    [anon_sym__Nullable_result] = ACTIONS(2544),
    [anon_sym__Null_unspecified] = ACTIONS(2544),
    [anon_sym___autoreleasing] = ACTIONS(2544),
    [anon_sym___block] = ACTIONS(2544),
    [anon_sym___bridge] = ACTIONS(2544),
    [anon_sym___bridge_retained] = ACTIONS(2544),
    [anon_sym___bridge_transfer] = ACTIONS(2544),
    [anon_sym___complex] = ACTIONS(2544),
    [anon_sym___const] = ACTIONS(2544),
    [anon_sym___imag] = ACTIONS(2544),
    [anon_sym___kindof] = ACTIONS(2544),
    [anon_sym___nonnull] = ACTIONS(2544),
    [anon_sym___nullable] = ACTIONS(2544),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2544),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2544),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2544),
    [anon_sym___real] = ACTIONS(2544),
    [anon_sym___strong] = ACTIONS(2544),
    [anon_sym___unsafe_unretained] = ACTIONS(2544),
    [anon_sym___unused] = ACTIONS(2544),
    [anon_sym___weak] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym__Alignas] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_in] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [anon_sym___asm] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_AT] = ACTIONS(2544),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2544),
    [anon_sym___typeof] = ACTIONS(2544),
    [anon_sym_typeof] = ACTIONS(2544),
    [anon_sym_ATimport] = ACTIONS(2546),
    [aux_sym_preproc_undef_token1] = ACTIONS(2544),
    [anon_sym_POUND] = ACTIONS(2544),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2544),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2544),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2544),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2544),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2544),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2544),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2544),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2544),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2544),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_API_AVAILABLE] = ACTIONS(2544),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_API_DEPRECATED] = ACTIONS(2544),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2544),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2544),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2544),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2544),
    [anon_sym___deprecated_msg] = ACTIONS(2544),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2544),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2544),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2544),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2544),
    [anon_sym_ATprotocol] = ACTIONS(2546),
    [anon_sym_ATinterface] = ACTIONS(2546),
    [anon_sym_ATimplementation] = ACTIONS(2546),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2546),
    [anon_sym_ATtry] = ACTIONS(2546),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym_ATthrow] = ACTIONS(2546),
    [anon_sym_ATselector] = ACTIONS(2546),
    [anon_sym_ATavailable] = ACTIONS(2546),
    [anon_sym___builtin_available] = ACTIONS(2544),
    [anon_sym_va_arg] = ACTIONS(2544),
    [anon_sym_ATencode] = ACTIONS(2546),
    [anon_sym_ATsynchronized] = ACTIONS(2546),
    [anon_sym_BOOL] = ACTIONS(2544),
    [anon_sym_IMP] = ACTIONS(2544),
    [anon_sym_SEL] = ACTIONS(2544),
    [anon_sym_Class] = ACTIONS(2544),
    [anon_sym_id] = ACTIONS(2544),
  },
  [750] = {
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_include_token1] = ACTIONS(2548),
    [aux_sym_preproc_include_token2] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_CARET] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2550),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym___attribute] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___cdecl] = ACTIONS(2548),
    [anon_sym___clrcall] = ACTIONS(2548),
    [anon_sym___stdcall] = ACTIONS(2548),
    [anon_sym___fastcall] = ACTIONS(2548),
    [anon_sym___thiscall] = ACTIONS(2548),
    [anon_sym___vectorcall] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_RBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_ATautoreleasepool] = ACTIONS(2550),
    [anon_sym_auto] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_CG_EXTERN] = ACTIONS(2548),
    [anon_sym_CG_INLINE] = ACTIONS(2548),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2548),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2548),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2548),
    [anon_sym_IBOutlet] = ACTIONS(2548),
    [anon_sym_IBInspectable] = ACTIONS(2548),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2548),
    [anon_sym_NS_INLINE] = ACTIONS(2548),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2548),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2548),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2548),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym__Nonnull] = ACTIONS(2548),
    [anon_sym_nullable] = ACTIONS(2548),
    [anon_sym__Complex] = ACTIONS(2548),
    [anon_sym__Nullable] = ACTIONS(2548),
    [anon_sym__Nullable_result] = ACTIONS(2548),
    [anon_sym__Null_unspecified] = ACTIONS(2548),
    [anon_sym___autoreleasing] = ACTIONS(2548),
    [anon_sym___block] = ACTIONS(2548),
    [anon_sym___bridge] = ACTIONS(2548),
    [anon_sym___bridge_retained] = ACTIONS(2548),
    [anon_sym___bridge_transfer] = ACTIONS(2548),
    [anon_sym___complex] = ACTIONS(2548),
    [anon_sym___const] = ACTIONS(2548),
    [anon_sym___imag] = ACTIONS(2548),
    [anon_sym___kindof] = ACTIONS(2548),
    [anon_sym___nonnull] = ACTIONS(2548),
    [anon_sym___nullable] = ACTIONS(2548),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2548),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2548),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2548),
    [anon_sym___real] = ACTIONS(2548),
    [anon_sym___strong] = ACTIONS(2548),
    [anon_sym___unsafe_unretained] = ACTIONS(2548),
    [anon_sym___unused] = ACTIONS(2548),
    [anon_sym___weak] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_else] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_case] = ACTIONS(2548),
    [anon_sym_default] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_in] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [anon_sym___asm] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_AT] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2548),
    [anon_sym___typeof] = ACTIONS(2548),
    [anon_sym_typeof] = ACTIONS(2548),
    [anon_sym_ATimport] = ACTIONS(2550),
    [aux_sym_preproc_undef_token1] = ACTIONS(2548),
    [anon_sym_POUND] = ACTIONS(2548),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2548),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2548),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2548),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2548),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2548),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2548),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2548),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2548),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2548),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_API_AVAILABLE] = ACTIONS(2548),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_API_DEPRECATED] = ACTIONS(2548),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2548),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2548),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2548),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2548),
    [anon_sym___deprecated_msg] = ACTIONS(2548),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2548),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2548),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2548),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2548),
    [anon_sym_ATprotocol] = ACTIONS(2550),
    [anon_sym_ATinterface] = ACTIONS(2550),
    [anon_sym_ATimplementation] = ACTIONS(2550),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2550),
    [anon_sym_ATtry] = ACTIONS(2550),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym_ATthrow] = ACTIONS(2550),
    [anon_sym_ATselector] = ACTIONS(2550),
    [anon_sym_ATavailable] = ACTIONS(2550),
    [anon_sym___builtin_available] = ACTIONS(2548),
    [anon_sym_va_arg] = ACTIONS(2548),
    [anon_sym_ATencode] = ACTIONS(2550),
    [anon_sym_ATsynchronized] = ACTIONS(2550),
    [anon_sym_BOOL] = ACTIONS(2548),
    [anon_sym_IMP] = ACTIONS(2548),
    [anon_sym_SEL] = ACTIONS(2548),
    [anon_sym_Class] = ACTIONS(2548),
    [anon_sym_id] = ACTIONS(2548),
  },
  [751] = {
    [sym_identifier] = ACTIONS(2470),
    [aux_sym_preproc_include_token1] = ACTIONS(2470),
    [aux_sym_preproc_include_token2] = ACTIONS(2470),
    [aux_sym_preproc_def_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2470),
    [sym_preproc_directive] = ACTIONS(2470),
    [anon_sym_LPAREN2] = ACTIONS(2472),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_CARET] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2470),
    [anon_sym_extern] = ACTIONS(2470),
    [anon_sym___attribute__] = ACTIONS(2470),
    [anon_sym___attribute] = ACTIONS(2470),
    [anon_sym_noreturn] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym___declspec] = ACTIONS(2470),
    [anon_sym___cdecl] = ACTIONS(2470),
    [anon_sym___clrcall] = ACTIONS(2470),
    [anon_sym___stdcall] = ACTIONS(2470),
    [anon_sym___fastcall] = ACTIONS(2470),
    [anon_sym___thiscall] = ACTIONS(2470),
    [anon_sym___vectorcall] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_RBRACE] = ACTIONS(2472),
    [anon_sym_signed] = ACTIONS(2470),
    [anon_sym_unsigned] = ACTIONS(2470),
    [anon_sym_long] = ACTIONS(2470),
    [anon_sym_short] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_ATautoreleasepool] = ACTIONS(2472),
    [anon_sym_auto] = ACTIONS(2470),
    [anon_sym_register] = ACTIONS(2470),
    [anon_sym_inline] = ACTIONS(2470),
    [anon_sym___inline] = ACTIONS(2470),
    [anon_sym___inline__] = ACTIONS(2470),
    [anon_sym___forceinline] = ACTIONS(2470),
    [anon_sym_thread_local] = ACTIONS(2470),
    [anon_sym___thread] = ACTIONS(2470),
    [anon_sym_CG_EXTERN] = ACTIONS(2470),
    [anon_sym_CG_INLINE] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2470),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2470),
    [anon_sym_IBOutlet] = ACTIONS(2470),
    [anon_sym_IBInspectable] = ACTIONS(2470),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2470),
    [anon_sym_NS_INLINE] = ACTIONS(2470),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2470),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2470),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2470),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_constexpr] = ACTIONS(2470),
    [anon_sym_volatile] = ACTIONS(2470),
    [anon_sym_restrict] = ACTIONS(2470),
    [anon_sym___restrict__] = ACTIONS(2470),
    [anon_sym__Atomic] = ACTIONS(2470),
    [anon_sym__Noreturn] = ACTIONS(2470),
    [anon_sym__Nonnull] = ACTIONS(2470),
    [anon_sym_nullable] = ACTIONS(2470),
    [anon_sym__Complex] = ACTIONS(2470),
    [anon_sym__Nullable] = ACTIONS(2470),
    [anon_sym__Nullable_result] = ACTIONS(2470),
    [anon_sym__Null_unspecified] = ACTIONS(2470),
    [anon_sym___autoreleasing] = ACTIONS(2470),
    [anon_sym___block] = ACTIONS(2470),
    [anon_sym___bridge] = ACTIONS(2470),
    [anon_sym___bridge_retained] = ACTIONS(2470),
    [anon_sym___bridge_transfer] = ACTIONS(2470),
    [anon_sym___complex] = ACTIONS(2470),
    [anon_sym___const] = ACTIONS(2470),
    [anon_sym___imag] = ACTIONS(2470),
    [anon_sym___kindof] = ACTIONS(2470),
    [anon_sym___nonnull] = ACTIONS(2470),
    [anon_sym___nullable] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2470),
    [anon_sym___real] = ACTIONS(2470),
    [anon_sym___strong] = ACTIONS(2470),
    [anon_sym___unsafe_unretained] = ACTIONS(2470),
    [anon_sym___unused] = ACTIONS(2470),
    [anon_sym___weak] = ACTIONS(2470),
    [anon_sym_alignas] = ACTIONS(2470),
    [anon_sym__Alignas] = ACTIONS(2470),
    [sym_primitive_type] = ACTIONS(2470),
    [anon_sym_enum] = ACTIONS(2470),
    [anon_sym_struct] = ACTIONS(2470),
    [anon_sym_union] = ACTIONS(2470),
    [anon_sym_if] = ACTIONS(2470),
    [anon_sym_else] = ACTIONS(2470),
    [anon_sym_switch] = ACTIONS(2470),
    [anon_sym_case] = ACTIONS(2470),
    [anon_sym_default] = ACTIONS(2470),
    [anon_sym_while] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_in] = ACTIONS(2470),
    [anon_sym_return] = ACTIONS(2470),
    [anon_sym_break] = ACTIONS(2470),
    [anon_sym_continue] = ACTIONS(2470),
    [anon_sym_goto] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_PLUS] = ACTIONS(2472),
    [anon_sym_sizeof] = ACTIONS(2470),
    [anon_sym___alignof__] = ACTIONS(2470),
    [anon_sym___alignof] = ACTIONS(2470),
    [anon_sym__alignof] = ACTIONS(2470),
    [anon_sym_alignof] = ACTIONS(2470),
    [anon_sym__Alignof] = ACTIONS(2470),
    [anon_sym_offsetof] = ACTIONS(2470),
    [anon_sym__Generic] = ACTIONS(2470),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2472),
    [anon_sym_u_SQUOTE] = ACTIONS(2472),
    [anon_sym_U_SQUOTE] = ACTIONS(2472),
    [anon_sym_u8_SQUOTE] = ACTIONS(2472),
    [anon_sym_SQUOTE] = ACTIONS(2472),
    [anon_sym_AT] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2470),
    [sym_false] = ACTIONS(2470),
    [anon_sym_NULL] = ACTIONS(2470),
    [anon_sym_nullptr] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2470),
    [anon_sym___typeof] = ACTIONS(2470),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_ATimport] = ACTIONS(2472),
    [aux_sym_preproc_undef_token1] = ACTIONS(2470),
    [anon_sym_POUND] = ACTIONS(2470),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2470),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2470),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2470),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_API_AVAILABLE] = ACTIONS(2470),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_API_DEPRECATED] = ACTIONS(2470),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym___deprecated_msg] = ACTIONS(2470),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2470),
    [anon_sym_ATprotocol] = ACTIONS(2472),
    [anon_sym_ATinterface] = ACTIONS(2472),
    [anon_sym_ATimplementation] = ACTIONS(2472),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2472),
    [anon_sym_ATtry] = ACTIONS(2472),
    [anon_sym___try] = ACTIONS(2470),
    [anon_sym_ATthrow] = ACTIONS(2472),
    [anon_sym_ATselector] = ACTIONS(2472),
    [anon_sym_ATavailable] = ACTIONS(2472),
    [anon_sym___builtin_available] = ACTIONS(2470),
    [anon_sym_va_arg] = ACTIONS(2470),
    [anon_sym_ATencode] = ACTIONS(2472),
    [anon_sym_ATsynchronized] = ACTIONS(2472),
    [anon_sym_BOOL] = ACTIONS(2470),
    [anon_sym_IMP] = ACTIONS(2470),
    [anon_sym_SEL] = ACTIONS(2470),
    [anon_sym_Class] = ACTIONS(2470),
    [anon_sym_id] = ACTIONS(2470),
  },
  [752] = {
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_include_token1] = ACTIONS(2474),
    [aux_sym_preproc_include_token2] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_BANG] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym___attribute] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_RBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_ATautoreleasepool] = ACTIONS(2476),
    [anon_sym_auto] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_CG_EXTERN] = ACTIONS(2474),
    [anon_sym_CG_INLINE] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2474),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2474),
    [anon_sym_IBOutlet] = ACTIONS(2474),
    [anon_sym_IBInspectable] = ACTIONS(2474),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2474),
    [anon_sym_NS_INLINE] = ACTIONS(2474),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2474),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2474),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym__Nonnull] = ACTIONS(2474),
    [anon_sym_nullable] = ACTIONS(2474),
    [anon_sym__Complex] = ACTIONS(2474),
    [anon_sym__Nullable] = ACTIONS(2474),
    [anon_sym__Nullable_result] = ACTIONS(2474),
    [anon_sym__Null_unspecified] = ACTIONS(2474),
    [anon_sym___autoreleasing] = ACTIONS(2474),
    [anon_sym___block] = ACTIONS(2474),
    [anon_sym___bridge] = ACTIONS(2474),
    [anon_sym___bridge_retained] = ACTIONS(2474),
    [anon_sym___bridge_transfer] = ACTIONS(2474),
    [anon_sym___complex] = ACTIONS(2474),
    [anon_sym___const] = ACTIONS(2474),
    [anon_sym___imag] = ACTIONS(2474),
    [anon_sym___kindof] = ACTIONS(2474),
    [anon_sym___nonnull] = ACTIONS(2474),
    [anon_sym___nullable] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2474),
    [anon_sym___real] = ACTIONS(2474),
    [anon_sym___strong] = ACTIONS(2474),
    [anon_sym___unsafe_unretained] = ACTIONS(2474),
    [anon_sym___unused] = ACTIONS(2474),
    [anon_sym___weak] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_else] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_goto] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_PLUS] = ACTIONS(2476),
    [anon_sym_sizeof] = ACTIONS(2474),
    [anon_sym___alignof__] = ACTIONS(2474),
    [anon_sym___alignof] = ACTIONS(2474),
    [anon_sym__alignof] = ACTIONS(2474),
    [anon_sym_alignof] = ACTIONS(2474),
    [anon_sym__Alignof] = ACTIONS(2474),
    [anon_sym_offsetof] = ACTIONS(2474),
    [anon_sym__Generic] = ACTIONS(2474),
    [anon_sym_asm] = ACTIONS(2474),
    [anon_sym___asm__] = ACTIONS(2474),
    [anon_sym___asm] = ACTIONS(2474),
    [sym_number_literal] = ACTIONS(2476),
    [anon_sym_L_SQUOTE] = ACTIONS(2476),
    [anon_sym_u_SQUOTE] = ACTIONS(2476),
    [anon_sym_U_SQUOTE] = ACTIONS(2476),
    [anon_sym_u8_SQUOTE] = ACTIONS(2476),
    [anon_sym_SQUOTE] = ACTIONS(2476),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2474),
    [anon_sym_nullptr] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2474),
    [anon_sym___typeof] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [anon_sym_ATimport] = ACTIONS(2476),
    [aux_sym_preproc_undef_token1] = ACTIONS(2474),
    [anon_sym_POUND] = ACTIONS(2474),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2474),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2474),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2474),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_API_AVAILABLE] = ACTIONS(2474),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_API_DEPRECATED] = ACTIONS(2474),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym___deprecated_msg] = ACTIONS(2474),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2474),
    [anon_sym_ATprotocol] = ACTIONS(2476),
    [anon_sym_ATinterface] = ACTIONS(2476),
    [anon_sym_ATimplementation] = ACTIONS(2476),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2476),
    [anon_sym_ATtry] = ACTIONS(2476),
    [anon_sym___try] = ACTIONS(2474),
    [anon_sym_ATthrow] = ACTIONS(2476),
    [anon_sym_ATselector] = ACTIONS(2476),
    [anon_sym_ATavailable] = ACTIONS(2476),
    [anon_sym___builtin_available] = ACTIONS(2474),
    [anon_sym_va_arg] = ACTIONS(2474),
    [anon_sym_ATencode] = ACTIONS(2476),
    [anon_sym_ATsynchronized] = ACTIONS(2476),
    [anon_sym_BOOL] = ACTIONS(2474),
    [anon_sym_IMP] = ACTIONS(2474),
    [anon_sym_SEL] = ACTIONS(2474),
    [anon_sym_Class] = ACTIONS(2474),
    [anon_sym_id] = ACTIONS(2474),
  },
  [753] = {
    [sym_identifier] = ACTIONS(2486),
    [aux_sym_preproc_include_token1] = ACTIONS(2486),
    [aux_sym_preproc_include_token2] = ACTIONS(2486),
    [aux_sym_preproc_def_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2486),
    [sym_preproc_directive] = ACTIONS(2486),
    [anon_sym_LPAREN2] = ACTIONS(2488),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_CARET] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2488),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym___attribute] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym___cdecl] = ACTIONS(2486),
    [anon_sym___clrcall] = ACTIONS(2486),
    [anon_sym___stdcall] = ACTIONS(2486),
    [anon_sym___fastcall] = ACTIONS(2486),
    [anon_sym___thiscall] = ACTIONS(2486),
    [anon_sym___vectorcall] = ACTIONS(2486),
    [anon_sym_LBRACE] = ACTIONS(2488),
    [anon_sym_RBRACE] = ACTIONS(2488),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_ATautoreleasepool] = ACTIONS(2488),
    [anon_sym_auto] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_CG_EXTERN] = ACTIONS(2486),
    [anon_sym_CG_INLINE] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2486),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2486),
    [anon_sym_IBOutlet] = ACTIONS(2486),
    [anon_sym_IBInspectable] = ACTIONS(2486),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2486),
    [anon_sym_NS_INLINE] = ACTIONS(2486),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2486),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2486),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym__Nonnull] = ACTIONS(2486),
    [anon_sym_nullable] = ACTIONS(2486),
    [anon_sym__Complex] = ACTIONS(2486),
    [anon_sym__Nullable] = ACTIONS(2486),
    [anon_sym__Nullable_result] = ACTIONS(2486),
    [anon_sym__Null_unspecified] = ACTIONS(2486),
    [anon_sym___autoreleasing] = ACTIONS(2486),
    [anon_sym___block] = ACTIONS(2486),
    [anon_sym___bridge] = ACTIONS(2486),
    [anon_sym___bridge_retained] = ACTIONS(2486),
    [anon_sym___bridge_transfer] = ACTIONS(2486),
    [anon_sym___complex] = ACTIONS(2486),
    [anon_sym___const] = ACTIONS(2486),
    [anon_sym___imag] = ACTIONS(2486),
    [anon_sym___kindof] = ACTIONS(2486),
    [anon_sym___nonnull] = ACTIONS(2486),
    [anon_sym___nullable] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2486),
    [anon_sym___real] = ACTIONS(2486),
    [anon_sym___strong] = ACTIONS(2486),
    [anon_sym___unsafe_unretained] = ACTIONS(2486),
    [anon_sym___unused] = ACTIONS(2486),
    [anon_sym___weak] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym__Alignas] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_else] = ACTIONS(2486),
    [anon_sym_switch] = ACTIONS(2486),
    [anon_sym_case] = ACTIONS(2486),
    [anon_sym_default] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2486),
    [anon_sym_do] = ACTIONS(2486),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_in] = ACTIONS(2486),
    [anon_sym_return] = ACTIONS(2486),
    [anon_sym_break] = ACTIONS(2486),
    [anon_sym_continue] = ACTIONS(2486),
    [anon_sym_goto] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2488),
    [anon_sym_PLUS_PLUS] = ACTIONS(2488),
    [anon_sym_sizeof] = ACTIONS(2486),
    [anon_sym___alignof__] = ACTIONS(2486),
    [anon_sym___alignof] = ACTIONS(2486),
    [anon_sym__alignof] = ACTIONS(2486),
    [anon_sym_alignof] = ACTIONS(2486),
    [anon_sym__Alignof] = ACTIONS(2486),
    [anon_sym_offsetof] = ACTIONS(2486),
    [anon_sym__Generic] = ACTIONS(2486),
    [anon_sym_asm] = ACTIONS(2486),
    [anon_sym___asm__] = ACTIONS(2486),
    [anon_sym___asm] = ACTIONS(2486),
    [sym_number_literal] = ACTIONS(2488),
    [anon_sym_L_SQUOTE] = ACTIONS(2488),
    [anon_sym_u_SQUOTE] = ACTIONS(2488),
    [anon_sym_U_SQUOTE] = ACTIONS(2488),
    [anon_sym_u8_SQUOTE] = ACTIONS(2488),
    [anon_sym_SQUOTE] = ACTIONS(2488),
    [anon_sym_AT] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2488),
    [anon_sym_L_DQUOTE] = ACTIONS(2488),
    [anon_sym_u_DQUOTE] = ACTIONS(2488),
    [anon_sym_U_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8_DQUOTE] = ACTIONS(2488),
    [sym_true] = ACTIONS(2486),
    [sym_false] = ACTIONS(2486),
    [anon_sym_NULL] = ACTIONS(2486),
    [anon_sym_nullptr] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2486),
    [anon_sym___typeof] = ACTIONS(2486),
    [anon_sym_typeof] = ACTIONS(2486),
    [anon_sym_ATimport] = ACTIONS(2488),
    [aux_sym_preproc_undef_token1] = ACTIONS(2486),
    [anon_sym_POUND] = ACTIONS(2486),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2486),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2486),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2486),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_API_AVAILABLE] = ACTIONS(2486),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_API_DEPRECATED] = ACTIONS(2486),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym___deprecated_msg] = ACTIONS(2486),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2486),
    [anon_sym_ATprotocol] = ACTIONS(2488),
    [anon_sym_ATinterface] = ACTIONS(2488),
    [anon_sym_ATimplementation] = ACTIONS(2488),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2488),
    [anon_sym_ATtry] = ACTIONS(2488),
    [anon_sym___try] = ACTIONS(2486),
    [anon_sym_ATthrow] = ACTIONS(2488),
    [anon_sym_ATselector] = ACTIONS(2488),
    [anon_sym_ATavailable] = ACTIONS(2488),
    [anon_sym___builtin_available] = ACTIONS(2486),
    [anon_sym_va_arg] = ACTIONS(2486),
    [anon_sym_ATencode] = ACTIONS(2488),
    [anon_sym_ATsynchronized] = ACTIONS(2488),
    [anon_sym_BOOL] = ACTIONS(2486),
    [anon_sym_IMP] = ACTIONS(2486),
    [anon_sym_SEL] = ACTIONS(2486),
    [anon_sym_Class] = ACTIONS(2486),
    [anon_sym_id] = ACTIONS(2486),
  },
  [754] = {
    [sym_identifier] = ACTIONS(2486),
    [aux_sym_preproc_include_token1] = ACTIONS(2486),
    [aux_sym_preproc_include_token2] = ACTIONS(2486),
    [aux_sym_preproc_def_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2486),
    [sym_preproc_directive] = ACTIONS(2486),
    [anon_sym_LPAREN2] = ACTIONS(2488),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_CARET] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2488),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym___attribute] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym___cdecl] = ACTIONS(2486),
    [anon_sym___clrcall] = ACTIONS(2486),
    [anon_sym___stdcall] = ACTIONS(2486),
    [anon_sym___fastcall] = ACTIONS(2486),
    [anon_sym___thiscall] = ACTIONS(2486),
    [anon_sym___vectorcall] = ACTIONS(2486),
    [anon_sym_LBRACE] = ACTIONS(2488),
    [anon_sym_RBRACE] = ACTIONS(2488),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_ATautoreleasepool] = ACTIONS(2488),
    [anon_sym_auto] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_CG_EXTERN] = ACTIONS(2486),
    [anon_sym_CG_INLINE] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2486),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2486),
    [anon_sym_IBOutlet] = ACTIONS(2486),
    [anon_sym_IBInspectable] = ACTIONS(2486),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2486),
    [anon_sym_NS_INLINE] = ACTIONS(2486),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2486),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2486),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym__Nonnull] = ACTIONS(2486),
    [anon_sym_nullable] = ACTIONS(2486),
    [anon_sym__Complex] = ACTIONS(2486),
    [anon_sym__Nullable] = ACTIONS(2486),
    [anon_sym__Nullable_result] = ACTIONS(2486),
    [anon_sym__Null_unspecified] = ACTIONS(2486),
    [anon_sym___autoreleasing] = ACTIONS(2486),
    [anon_sym___block] = ACTIONS(2486),
    [anon_sym___bridge] = ACTIONS(2486),
    [anon_sym___bridge_retained] = ACTIONS(2486),
    [anon_sym___bridge_transfer] = ACTIONS(2486),
    [anon_sym___complex] = ACTIONS(2486),
    [anon_sym___const] = ACTIONS(2486),
    [anon_sym___imag] = ACTIONS(2486),
    [anon_sym___kindof] = ACTIONS(2486),
    [anon_sym___nonnull] = ACTIONS(2486),
    [anon_sym___nullable] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2486),
    [anon_sym___real] = ACTIONS(2486),
    [anon_sym___strong] = ACTIONS(2486),
    [anon_sym___unsafe_unretained] = ACTIONS(2486),
    [anon_sym___unused] = ACTIONS(2486),
    [anon_sym___weak] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym__Alignas] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_else] = ACTIONS(2486),
    [anon_sym_switch] = ACTIONS(2486),
    [anon_sym_case] = ACTIONS(2486),
    [anon_sym_default] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2486),
    [anon_sym_do] = ACTIONS(2486),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_in] = ACTIONS(2486),
    [anon_sym_return] = ACTIONS(2486),
    [anon_sym_break] = ACTIONS(2486),
    [anon_sym_continue] = ACTIONS(2486),
    [anon_sym_goto] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2488),
    [anon_sym_PLUS_PLUS] = ACTIONS(2488),
    [anon_sym_sizeof] = ACTIONS(2486),
    [anon_sym___alignof__] = ACTIONS(2486),
    [anon_sym___alignof] = ACTIONS(2486),
    [anon_sym__alignof] = ACTIONS(2486),
    [anon_sym_alignof] = ACTIONS(2486),
    [anon_sym__Alignof] = ACTIONS(2486),
    [anon_sym_offsetof] = ACTIONS(2486),
    [anon_sym__Generic] = ACTIONS(2486),
    [anon_sym_asm] = ACTIONS(2486),
    [anon_sym___asm__] = ACTIONS(2486),
    [anon_sym___asm] = ACTIONS(2486),
    [sym_number_literal] = ACTIONS(2488),
    [anon_sym_L_SQUOTE] = ACTIONS(2488),
    [anon_sym_u_SQUOTE] = ACTIONS(2488),
    [anon_sym_U_SQUOTE] = ACTIONS(2488),
    [anon_sym_u8_SQUOTE] = ACTIONS(2488),
    [anon_sym_SQUOTE] = ACTIONS(2488),
    [anon_sym_AT] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2488),
    [anon_sym_L_DQUOTE] = ACTIONS(2488),
    [anon_sym_u_DQUOTE] = ACTIONS(2488),
    [anon_sym_U_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8_DQUOTE] = ACTIONS(2488),
    [sym_true] = ACTIONS(2486),
    [sym_false] = ACTIONS(2486),
    [anon_sym_NULL] = ACTIONS(2486),
    [anon_sym_nullptr] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2486),
    [anon_sym___typeof] = ACTIONS(2486),
    [anon_sym_typeof] = ACTIONS(2486),
    [anon_sym_ATimport] = ACTIONS(2488),
    [aux_sym_preproc_undef_token1] = ACTIONS(2486),
    [anon_sym_POUND] = ACTIONS(2486),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2486),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2486),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2486),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_API_AVAILABLE] = ACTIONS(2486),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_API_DEPRECATED] = ACTIONS(2486),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym___deprecated_msg] = ACTIONS(2486),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2486),
    [anon_sym_ATprotocol] = ACTIONS(2488),
    [anon_sym_ATinterface] = ACTIONS(2488),
    [anon_sym_ATimplementation] = ACTIONS(2488),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2488),
    [anon_sym_ATtry] = ACTIONS(2488),
    [anon_sym___try] = ACTIONS(2486),
    [anon_sym_ATthrow] = ACTIONS(2488),
    [anon_sym_ATselector] = ACTIONS(2488),
    [anon_sym_ATavailable] = ACTIONS(2488),
    [anon_sym___builtin_available] = ACTIONS(2486),
    [anon_sym_va_arg] = ACTIONS(2486),
    [anon_sym_ATencode] = ACTIONS(2488),
    [anon_sym_ATsynchronized] = ACTIONS(2488),
    [anon_sym_BOOL] = ACTIONS(2486),
    [anon_sym_IMP] = ACTIONS(2486),
    [anon_sym_SEL] = ACTIONS(2486),
    [anon_sym_Class] = ACTIONS(2486),
    [anon_sym_id] = ACTIONS(2486),
  },
  [755] = {
    [sym_identifier] = ACTIONS(2470),
    [aux_sym_preproc_include_token1] = ACTIONS(2470),
    [aux_sym_preproc_include_token2] = ACTIONS(2470),
    [aux_sym_preproc_def_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2470),
    [sym_preproc_directive] = ACTIONS(2470),
    [anon_sym_LPAREN2] = ACTIONS(2472),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_CARET] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2470),
    [anon_sym_extern] = ACTIONS(2470),
    [anon_sym___attribute__] = ACTIONS(2470),
    [anon_sym___attribute] = ACTIONS(2470),
    [anon_sym_noreturn] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym___declspec] = ACTIONS(2470),
    [anon_sym___cdecl] = ACTIONS(2470),
    [anon_sym___clrcall] = ACTIONS(2470),
    [anon_sym___stdcall] = ACTIONS(2470),
    [anon_sym___fastcall] = ACTIONS(2470),
    [anon_sym___thiscall] = ACTIONS(2470),
    [anon_sym___vectorcall] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_RBRACE] = ACTIONS(2472),
    [anon_sym_signed] = ACTIONS(2470),
    [anon_sym_unsigned] = ACTIONS(2470),
    [anon_sym_long] = ACTIONS(2470),
    [anon_sym_short] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_ATautoreleasepool] = ACTIONS(2472),
    [anon_sym_auto] = ACTIONS(2470),
    [anon_sym_register] = ACTIONS(2470),
    [anon_sym_inline] = ACTIONS(2470),
    [anon_sym___inline] = ACTIONS(2470),
    [anon_sym___inline__] = ACTIONS(2470),
    [anon_sym___forceinline] = ACTIONS(2470),
    [anon_sym_thread_local] = ACTIONS(2470),
    [anon_sym___thread] = ACTIONS(2470),
    [anon_sym_CG_EXTERN] = ACTIONS(2470),
    [anon_sym_CG_INLINE] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2470),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2470),
    [anon_sym_IBOutlet] = ACTIONS(2470),
    [anon_sym_IBInspectable] = ACTIONS(2470),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2470),
    [anon_sym_NS_INLINE] = ACTIONS(2470),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2470),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2470),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2470),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_constexpr] = ACTIONS(2470),
    [anon_sym_volatile] = ACTIONS(2470),
    [anon_sym_restrict] = ACTIONS(2470),
    [anon_sym___restrict__] = ACTIONS(2470),
    [anon_sym__Atomic] = ACTIONS(2470),
    [anon_sym__Noreturn] = ACTIONS(2470),
    [anon_sym__Nonnull] = ACTIONS(2470),
    [anon_sym_nullable] = ACTIONS(2470),
    [anon_sym__Complex] = ACTIONS(2470),
    [anon_sym__Nullable] = ACTIONS(2470),
    [anon_sym__Nullable_result] = ACTIONS(2470),
    [anon_sym__Null_unspecified] = ACTIONS(2470),
    [anon_sym___autoreleasing] = ACTIONS(2470),
    [anon_sym___block] = ACTIONS(2470),
    [anon_sym___bridge] = ACTIONS(2470),
    [anon_sym___bridge_retained] = ACTIONS(2470),
    [anon_sym___bridge_transfer] = ACTIONS(2470),
    [anon_sym___complex] = ACTIONS(2470),
    [anon_sym___const] = ACTIONS(2470),
    [anon_sym___imag] = ACTIONS(2470),
    [anon_sym___kindof] = ACTIONS(2470),
    [anon_sym___nonnull] = ACTIONS(2470),
    [anon_sym___nullable] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2470),
    [anon_sym___real] = ACTIONS(2470),
    [anon_sym___strong] = ACTIONS(2470),
    [anon_sym___unsafe_unretained] = ACTIONS(2470),
    [anon_sym___unused] = ACTIONS(2470),
    [anon_sym___weak] = ACTIONS(2470),
    [anon_sym_alignas] = ACTIONS(2470),
    [anon_sym__Alignas] = ACTIONS(2470),
    [sym_primitive_type] = ACTIONS(2470),
    [anon_sym_enum] = ACTIONS(2470),
    [anon_sym_struct] = ACTIONS(2470),
    [anon_sym_union] = ACTIONS(2470),
    [anon_sym_if] = ACTIONS(2470),
    [anon_sym_else] = ACTIONS(2470),
    [anon_sym_switch] = ACTIONS(2470),
    [anon_sym_case] = ACTIONS(2470),
    [anon_sym_default] = ACTIONS(2470),
    [anon_sym_while] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_in] = ACTIONS(2470),
    [anon_sym_return] = ACTIONS(2470),
    [anon_sym_break] = ACTIONS(2470),
    [anon_sym_continue] = ACTIONS(2470),
    [anon_sym_goto] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_PLUS] = ACTIONS(2472),
    [anon_sym_sizeof] = ACTIONS(2470),
    [anon_sym___alignof__] = ACTIONS(2470),
    [anon_sym___alignof] = ACTIONS(2470),
    [anon_sym__alignof] = ACTIONS(2470),
    [anon_sym_alignof] = ACTIONS(2470),
    [anon_sym__Alignof] = ACTIONS(2470),
    [anon_sym_offsetof] = ACTIONS(2470),
    [anon_sym__Generic] = ACTIONS(2470),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2472),
    [anon_sym_u_SQUOTE] = ACTIONS(2472),
    [anon_sym_U_SQUOTE] = ACTIONS(2472),
    [anon_sym_u8_SQUOTE] = ACTIONS(2472),
    [anon_sym_SQUOTE] = ACTIONS(2472),
    [anon_sym_AT] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2470),
    [sym_false] = ACTIONS(2470),
    [anon_sym_NULL] = ACTIONS(2470),
    [anon_sym_nullptr] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2470),
    [anon_sym___typeof] = ACTIONS(2470),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_ATimport] = ACTIONS(2472),
    [aux_sym_preproc_undef_token1] = ACTIONS(2470),
    [anon_sym_POUND] = ACTIONS(2470),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2470),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2470),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2470),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_API_AVAILABLE] = ACTIONS(2470),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_API_DEPRECATED] = ACTIONS(2470),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym___deprecated_msg] = ACTIONS(2470),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2470),
    [anon_sym_ATprotocol] = ACTIONS(2472),
    [anon_sym_ATinterface] = ACTIONS(2472),
    [anon_sym_ATimplementation] = ACTIONS(2472),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2472),
    [anon_sym_ATtry] = ACTIONS(2472),
    [anon_sym___try] = ACTIONS(2470),
    [anon_sym_ATthrow] = ACTIONS(2472),
    [anon_sym_ATselector] = ACTIONS(2472),
    [anon_sym_ATavailable] = ACTIONS(2472),
    [anon_sym___builtin_available] = ACTIONS(2470),
    [anon_sym_va_arg] = ACTIONS(2470),
    [anon_sym_ATencode] = ACTIONS(2472),
    [anon_sym_ATsynchronized] = ACTIONS(2472),
    [anon_sym_BOOL] = ACTIONS(2470),
    [anon_sym_IMP] = ACTIONS(2470),
    [anon_sym_SEL] = ACTIONS(2470),
    [anon_sym_Class] = ACTIONS(2470),
    [anon_sym_id] = ACTIONS(2470),
  },
  [756] = {
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_include_token1] = ACTIONS(2474),
    [aux_sym_preproc_include_token2] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_BANG] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym___attribute] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_RBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_ATautoreleasepool] = ACTIONS(2476),
    [anon_sym_auto] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_CG_EXTERN] = ACTIONS(2474),
    [anon_sym_CG_INLINE] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2474),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2474),
    [anon_sym_IBOutlet] = ACTIONS(2474),
    [anon_sym_IBInspectable] = ACTIONS(2474),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2474),
    [anon_sym_NS_INLINE] = ACTIONS(2474),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2474),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2474),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym__Nonnull] = ACTIONS(2474),
    [anon_sym_nullable] = ACTIONS(2474),
    [anon_sym__Complex] = ACTIONS(2474),
    [anon_sym__Nullable] = ACTIONS(2474),
    [anon_sym__Nullable_result] = ACTIONS(2474),
    [anon_sym__Null_unspecified] = ACTIONS(2474),
    [anon_sym___autoreleasing] = ACTIONS(2474),
    [anon_sym___block] = ACTIONS(2474),
    [anon_sym___bridge] = ACTIONS(2474),
    [anon_sym___bridge_retained] = ACTIONS(2474),
    [anon_sym___bridge_transfer] = ACTIONS(2474),
    [anon_sym___complex] = ACTIONS(2474),
    [anon_sym___const] = ACTIONS(2474),
    [anon_sym___imag] = ACTIONS(2474),
    [anon_sym___kindof] = ACTIONS(2474),
    [anon_sym___nonnull] = ACTIONS(2474),
    [anon_sym___nullable] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2474),
    [anon_sym___real] = ACTIONS(2474),
    [anon_sym___strong] = ACTIONS(2474),
    [anon_sym___unsafe_unretained] = ACTIONS(2474),
    [anon_sym___unused] = ACTIONS(2474),
    [anon_sym___weak] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_else] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_goto] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_PLUS] = ACTIONS(2476),
    [anon_sym_sizeof] = ACTIONS(2474),
    [anon_sym___alignof__] = ACTIONS(2474),
    [anon_sym___alignof] = ACTIONS(2474),
    [anon_sym__alignof] = ACTIONS(2474),
    [anon_sym_alignof] = ACTIONS(2474),
    [anon_sym__Alignof] = ACTIONS(2474),
    [anon_sym_offsetof] = ACTIONS(2474),
    [anon_sym__Generic] = ACTIONS(2474),
    [anon_sym_asm] = ACTIONS(2474),
    [anon_sym___asm__] = ACTIONS(2474),
    [anon_sym___asm] = ACTIONS(2474),
    [sym_number_literal] = ACTIONS(2476),
    [anon_sym_L_SQUOTE] = ACTIONS(2476),
    [anon_sym_u_SQUOTE] = ACTIONS(2476),
    [anon_sym_U_SQUOTE] = ACTIONS(2476),
    [anon_sym_u8_SQUOTE] = ACTIONS(2476),
    [anon_sym_SQUOTE] = ACTIONS(2476),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2474),
    [anon_sym_nullptr] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2474),
    [anon_sym___typeof] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [anon_sym_ATimport] = ACTIONS(2476),
    [aux_sym_preproc_undef_token1] = ACTIONS(2474),
    [anon_sym_POUND] = ACTIONS(2474),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2474),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2474),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2474),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_API_AVAILABLE] = ACTIONS(2474),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_API_DEPRECATED] = ACTIONS(2474),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym___deprecated_msg] = ACTIONS(2474),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2474),
    [anon_sym_ATprotocol] = ACTIONS(2476),
    [anon_sym_ATinterface] = ACTIONS(2476),
    [anon_sym_ATimplementation] = ACTIONS(2476),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2476),
    [anon_sym_ATtry] = ACTIONS(2476),
    [anon_sym___try] = ACTIONS(2474),
    [anon_sym_ATthrow] = ACTIONS(2476),
    [anon_sym_ATselector] = ACTIONS(2476),
    [anon_sym_ATavailable] = ACTIONS(2476),
    [anon_sym___builtin_available] = ACTIONS(2474),
    [anon_sym_va_arg] = ACTIONS(2474),
    [anon_sym_ATencode] = ACTIONS(2476),
    [anon_sym_ATsynchronized] = ACTIONS(2476),
    [anon_sym_BOOL] = ACTIONS(2474),
    [anon_sym_IMP] = ACTIONS(2474),
    [anon_sym_SEL] = ACTIONS(2474),
    [anon_sym_Class] = ACTIONS(2474),
    [anon_sym_id] = ACTIONS(2474),
  },
  [757] = {
    [ts_builtin_sym_end] = ACTIONS(2554),
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_include_token1] = ACTIONS(2552),
    [aux_sym_preproc_include_token2] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_CARET] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym___attribute] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym___cdecl] = ACTIONS(2552),
    [anon_sym___clrcall] = ACTIONS(2552),
    [anon_sym___stdcall] = ACTIONS(2552),
    [anon_sym___fastcall] = ACTIONS(2552),
    [anon_sym___thiscall] = ACTIONS(2552),
    [anon_sym___vectorcall] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_ATautoreleasepool] = ACTIONS(2554),
    [anon_sym_auto] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_CG_EXTERN] = ACTIONS(2552),
    [anon_sym_CG_INLINE] = ACTIONS(2552),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2552),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2552),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2552),
    [anon_sym_IBOutlet] = ACTIONS(2552),
    [anon_sym_IBInspectable] = ACTIONS(2552),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2552),
    [anon_sym_NS_INLINE] = ACTIONS(2552),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2552),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2552),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2552),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym__Nonnull] = ACTIONS(2552),
    [anon_sym_nullable] = ACTIONS(2552),
    [anon_sym__Complex] = ACTIONS(2552),
    [anon_sym__Nullable] = ACTIONS(2552),
    [anon_sym__Nullable_result] = ACTIONS(2552),
    [anon_sym__Null_unspecified] = ACTIONS(2552),
    [anon_sym___autoreleasing] = ACTIONS(2552),
    [anon_sym___block] = ACTIONS(2552),
    [anon_sym___bridge] = ACTIONS(2552),
    [anon_sym___bridge_retained] = ACTIONS(2552),
    [anon_sym___bridge_transfer] = ACTIONS(2552),
    [anon_sym___complex] = ACTIONS(2552),
    [anon_sym___const] = ACTIONS(2552),
    [anon_sym___imag] = ACTIONS(2552),
    [anon_sym___kindof] = ACTIONS(2552),
    [anon_sym___nonnull] = ACTIONS(2552),
    [anon_sym___nullable] = ACTIONS(2552),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2552),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2552),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2552),
    [anon_sym___real] = ACTIONS(2552),
    [anon_sym___strong] = ACTIONS(2552),
    [anon_sym___unsafe_unretained] = ACTIONS(2552),
    [anon_sym___unused] = ACTIONS(2552),
    [anon_sym___weak] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym__Alignas] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_switch] = ACTIONS(2552),
    [anon_sym_case] = ACTIONS(2552),
    [anon_sym_default] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_do] = ACTIONS(2552),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_break] = ACTIONS(2552),
    [anon_sym_continue] = ACTIONS(2552),
    [anon_sym_goto] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_sizeof] = ACTIONS(2552),
    [anon_sym___alignof__] = ACTIONS(2552),
    [anon_sym___alignof] = ACTIONS(2552),
    [anon_sym__alignof] = ACTIONS(2552),
    [anon_sym_alignof] = ACTIONS(2552),
    [anon_sym__Alignof] = ACTIONS(2552),
    [anon_sym_offsetof] = ACTIONS(2552),
    [anon_sym__Generic] = ACTIONS(2552),
    [anon_sym_asm] = ACTIONS(2552),
    [anon_sym___asm__] = ACTIONS(2552),
    [anon_sym___asm] = ACTIONS(2552),
    [sym_number_literal] = ACTIONS(2554),
    [anon_sym_L_SQUOTE] = ACTIONS(2554),
    [anon_sym_u_SQUOTE] = ACTIONS(2554),
    [anon_sym_U_SQUOTE] = ACTIONS(2554),
    [anon_sym_u8_SQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [anon_sym_AT] = ACTIONS(2552),
    [anon_sym_DQUOTE] = ACTIONS(2554),
    [anon_sym_L_DQUOTE] = ACTIONS(2554),
    [anon_sym_u_DQUOTE] = ACTIONS(2554),
    [anon_sym_U_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8_DQUOTE] = ACTIONS(2554),
    [sym_true] = ACTIONS(2552),
    [sym_false] = ACTIONS(2552),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2552),
    [anon_sym___typeof] = ACTIONS(2552),
    [anon_sym_typeof] = ACTIONS(2552),
    [anon_sym_ATimport] = ACTIONS(2554),
    [aux_sym_preproc_undef_token1] = ACTIONS(2552),
    [anon_sym_POUND] = ACTIONS(2552),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2552),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2552),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2552),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2552),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2552),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2552),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2552),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2552),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2552),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_API_AVAILABLE] = ACTIONS(2552),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_API_DEPRECATED] = ACTIONS(2552),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2552),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2552),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2552),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2552),
    [anon_sym___deprecated_msg] = ACTIONS(2552),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2552),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2552),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2552),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2552),
    [anon_sym_ATprotocol] = ACTIONS(2554),
    [anon_sym_ATinterface] = ACTIONS(2554),
    [anon_sym_ATimplementation] = ACTIONS(2554),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2554),
    [anon_sym_ATtry] = ACTIONS(2554),
    [anon_sym___try] = ACTIONS(2552),
    [anon_sym_ATthrow] = ACTIONS(2554),
    [anon_sym_ATselector] = ACTIONS(2554),
    [anon_sym_ATavailable] = ACTIONS(2554),
    [anon_sym___builtin_available] = ACTIONS(2552),
    [anon_sym_va_arg] = ACTIONS(2552),
    [anon_sym_ATencode] = ACTIONS(2554),
    [anon_sym_ATsynchronized] = ACTIONS(2554),
    [anon_sym_BOOL] = ACTIONS(2552),
    [anon_sym_IMP] = ACTIONS(2552),
    [anon_sym_SEL] = ACTIONS(2552),
    [anon_sym_Class] = ACTIONS(2552),
    [anon_sym_id] = ACTIONS(2552),
  },
  [758] = {
    [ts_builtin_sym_end] = ACTIONS(2348),
    [sym_identifier] = ACTIONS(2346),
    [aux_sym_preproc_include_token1] = ACTIONS(2346),
    [aux_sym_preproc_include_token2] = ACTIONS(2346),
    [aux_sym_preproc_def_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2346),
    [sym_preproc_directive] = ACTIONS(2346),
    [anon_sym_LPAREN2] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_CARET] = ACTIONS(2348),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym___extension__] = ACTIONS(2346),
    [anon_sym_typedef] = ACTIONS(2346),
    [anon_sym_extern] = ACTIONS(2346),
    [anon_sym___attribute__] = ACTIONS(2346),
    [anon_sym___attribute] = ACTIONS(2346),
    [anon_sym_noreturn] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym___declspec] = ACTIONS(2346),
    [anon_sym___cdecl] = ACTIONS(2346),
    [anon_sym___clrcall] = ACTIONS(2346),
    [anon_sym___stdcall] = ACTIONS(2346),
    [anon_sym___fastcall] = ACTIONS(2346),
    [anon_sym___thiscall] = ACTIONS(2346),
    [anon_sym___vectorcall] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_signed] = ACTIONS(2346),
    [anon_sym_unsigned] = ACTIONS(2346),
    [anon_sym_long] = ACTIONS(2346),
    [anon_sym_short] = ACTIONS(2346),
    [anon_sym_static] = ACTIONS(2346),
    [anon_sym_ATautoreleasepool] = ACTIONS(2348),
    [anon_sym_auto] = ACTIONS(2346),
    [anon_sym_register] = ACTIONS(2346),
    [anon_sym_inline] = ACTIONS(2346),
    [anon_sym___inline] = ACTIONS(2346),
    [anon_sym___inline__] = ACTIONS(2346),
    [anon_sym___forceinline] = ACTIONS(2346),
    [anon_sym_thread_local] = ACTIONS(2346),
    [anon_sym___thread] = ACTIONS(2346),
    [anon_sym_CG_EXTERN] = ACTIONS(2346),
    [anon_sym_CG_INLINE] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2346),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2346),
    [anon_sym_IBOutlet] = ACTIONS(2346),
    [anon_sym_IBInspectable] = ACTIONS(2346),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2346),
    [anon_sym_NS_INLINE] = ACTIONS(2346),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2346),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2346),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2346),
    [anon_sym_const] = ACTIONS(2346),
    [anon_sym_constexpr] = ACTIONS(2346),
    [anon_sym_volatile] = ACTIONS(2346),
    [anon_sym_restrict] = ACTIONS(2346),
    [anon_sym___restrict__] = ACTIONS(2346),
    [anon_sym__Atomic] = ACTIONS(2346),
    [anon_sym__Noreturn] = ACTIONS(2346),
    [anon_sym__Nonnull] = ACTIONS(2346),
    [anon_sym_nullable] = ACTIONS(2346),
    [anon_sym__Complex] = ACTIONS(2346),
    [anon_sym__Nullable] = ACTIONS(2346),
    [anon_sym__Nullable_result] = ACTIONS(2346),
    [anon_sym__Null_unspecified] = ACTIONS(2346),
    [anon_sym___autoreleasing] = ACTIONS(2346),
    [anon_sym___block] = ACTIONS(2346),
    [anon_sym___bridge] = ACTIONS(2346),
    [anon_sym___bridge_retained] = ACTIONS(2346),
    [anon_sym___bridge_transfer] = ACTIONS(2346),
    [anon_sym___complex] = ACTIONS(2346),
    [anon_sym___const] = ACTIONS(2346),
    [anon_sym___imag] = ACTIONS(2346),
    [anon_sym___kindof] = ACTIONS(2346),
    [anon_sym___nonnull] = ACTIONS(2346),
    [anon_sym___nullable] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2346),
    [anon_sym___real] = ACTIONS(2346),
    [anon_sym___strong] = ACTIONS(2346),
    [anon_sym___unsafe_unretained] = ACTIONS(2346),
    [anon_sym___unused] = ACTIONS(2346),
    [anon_sym___weak] = ACTIONS(2346),
    [anon_sym_alignas] = ACTIONS(2346),
    [anon_sym__Alignas] = ACTIONS(2346),
    [sym_primitive_type] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2346),
    [anon_sym_struct] = ACTIONS(2346),
    [anon_sym_union] = ACTIONS(2346),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_else] = ACTIONS(2346),
    [anon_sym_switch] = ACTIONS(2346),
    [anon_sym_case] = ACTIONS(2346),
    [anon_sym_default] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2346),
    [anon_sym_for] = ACTIONS(2346),
    [anon_sym_in] = ACTIONS(2346),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_break] = ACTIONS(2346),
    [anon_sym_continue] = ACTIONS(2346),
    [anon_sym_goto] = ACTIONS(2346),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_sizeof] = ACTIONS(2346),
    [anon_sym___alignof__] = ACTIONS(2346),
    [anon_sym___alignof] = ACTIONS(2346),
    [anon_sym__alignof] = ACTIONS(2346),
    [anon_sym_alignof] = ACTIONS(2346),
    [anon_sym__Alignof] = ACTIONS(2346),
    [anon_sym_offsetof] = ACTIONS(2346),
    [anon_sym__Generic] = ACTIONS(2346),
    [anon_sym_asm] = ACTIONS(2346),
    [anon_sym___asm__] = ACTIONS(2346),
    [anon_sym___asm] = ACTIONS(2346),
    [sym_number_literal] = ACTIONS(2348),
    [anon_sym_L_SQUOTE] = ACTIONS(2348),
    [anon_sym_u_SQUOTE] = ACTIONS(2348),
    [anon_sym_U_SQUOTE] = ACTIONS(2348),
    [anon_sym_u8_SQUOTE] = ACTIONS(2348),
    [anon_sym_SQUOTE] = ACTIONS(2348),
    [anon_sym_AT] = ACTIONS(2346),
    [anon_sym_DQUOTE] = ACTIONS(2348),
    [anon_sym_L_DQUOTE] = ACTIONS(2348),
    [anon_sym_u_DQUOTE] = ACTIONS(2348),
    [anon_sym_U_DQUOTE] = ACTIONS(2348),
    [anon_sym_u8_DQUOTE] = ACTIONS(2348),
    [sym_true] = ACTIONS(2346),
    [sym_false] = ACTIONS(2346),
    [anon_sym_NULL] = ACTIONS(2346),
    [anon_sym_nullptr] = ACTIONS(2346),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2346),
    [anon_sym___typeof] = ACTIONS(2346),
    [anon_sym_typeof] = ACTIONS(2346),
    [anon_sym_ATimport] = ACTIONS(2348),
    [aux_sym_preproc_undef_token1] = ACTIONS(2346),
    [anon_sym_POUND] = ACTIONS(2346),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2346),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2346),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2346),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_API_AVAILABLE] = ACTIONS(2346),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_API_DEPRECATED] = ACTIONS(2346),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym___deprecated_msg] = ACTIONS(2346),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2346),
    [anon_sym_ATprotocol] = ACTIONS(2348),
    [anon_sym_ATinterface] = ACTIONS(2348),
    [anon_sym_ATimplementation] = ACTIONS(2348),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2348),
    [anon_sym_ATtry] = ACTIONS(2348),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym_ATthrow] = ACTIONS(2348),
    [anon_sym_ATselector] = ACTIONS(2348),
    [anon_sym_ATavailable] = ACTIONS(2348),
    [anon_sym___builtin_available] = ACTIONS(2346),
    [anon_sym_va_arg] = ACTIONS(2346),
    [anon_sym_ATencode] = ACTIONS(2348),
    [anon_sym_ATsynchronized] = ACTIONS(2348),
    [anon_sym_BOOL] = ACTIONS(2346),
    [anon_sym_IMP] = ACTIONS(2346),
    [anon_sym_SEL] = ACTIONS(2346),
    [anon_sym_Class] = ACTIONS(2346),
    [anon_sym_id] = ACTIONS(2346),
  },
  [759] = {
    [ts_builtin_sym_end] = ACTIONS(2426),
    [sym_identifier] = ACTIONS(2424),
    [aux_sym_preproc_include_token1] = ACTIONS(2424),
    [aux_sym_preproc_include_token2] = ACTIONS(2424),
    [aux_sym_preproc_def_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token1] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2424),
    [sym_preproc_directive] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_CARET] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym___extension__] = ACTIONS(2424),
    [anon_sym_typedef] = ACTIONS(2424),
    [anon_sym_extern] = ACTIONS(2424),
    [anon_sym___attribute__] = ACTIONS(2424),
    [anon_sym___attribute] = ACTIONS(2424),
    [anon_sym_noreturn] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym___declspec] = ACTIONS(2424),
    [anon_sym___cdecl] = ACTIONS(2424),
    [anon_sym___clrcall] = ACTIONS(2424),
    [anon_sym___stdcall] = ACTIONS(2424),
    [anon_sym___fastcall] = ACTIONS(2424),
    [anon_sym___thiscall] = ACTIONS(2424),
    [anon_sym___vectorcall] = ACTIONS(2424),
    [anon_sym_LBRACE] = ACTIONS(2426),
    [anon_sym_signed] = ACTIONS(2424),
    [anon_sym_unsigned] = ACTIONS(2424),
    [anon_sym_long] = ACTIONS(2424),
    [anon_sym_short] = ACTIONS(2424),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_ATautoreleasepool] = ACTIONS(2426),
    [anon_sym_auto] = ACTIONS(2424),
    [anon_sym_register] = ACTIONS(2424),
    [anon_sym_inline] = ACTIONS(2424),
    [anon_sym___inline] = ACTIONS(2424),
    [anon_sym___inline__] = ACTIONS(2424),
    [anon_sym___forceinline] = ACTIONS(2424),
    [anon_sym_thread_local] = ACTIONS(2424),
    [anon_sym___thread] = ACTIONS(2424),
    [anon_sym_CG_EXTERN] = ACTIONS(2424),
    [anon_sym_CG_INLINE] = ACTIONS(2424),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2424),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2424),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2424),
    [anon_sym_IBOutlet] = ACTIONS(2424),
    [anon_sym_IBInspectable] = ACTIONS(2424),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2424),
    [anon_sym_NS_INLINE] = ACTIONS(2424),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2424),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2424),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2424),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2424),
    [anon_sym_const] = ACTIONS(2424),
    [anon_sym_constexpr] = ACTIONS(2424),
    [anon_sym_volatile] = ACTIONS(2424),
    [anon_sym_restrict] = ACTIONS(2424),
    [anon_sym___restrict__] = ACTIONS(2424),
    [anon_sym__Atomic] = ACTIONS(2424),
    [anon_sym__Noreturn] = ACTIONS(2424),
    [anon_sym__Nonnull] = ACTIONS(2424),
    [anon_sym_nullable] = ACTIONS(2424),
    [anon_sym__Complex] = ACTIONS(2424),
    [anon_sym__Nullable] = ACTIONS(2424),
    [anon_sym__Nullable_result] = ACTIONS(2424),
    [anon_sym__Null_unspecified] = ACTIONS(2424),
    [anon_sym___autoreleasing] = ACTIONS(2424),
    [anon_sym___block] = ACTIONS(2424),
    [anon_sym___bridge] = ACTIONS(2424),
    [anon_sym___bridge_retained] = ACTIONS(2424),
    [anon_sym___bridge_transfer] = ACTIONS(2424),
    [anon_sym___complex] = ACTIONS(2424),
    [anon_sym___const] = ACTIONS(2424),
    [anon_sym___imag] = ACTIONS(2424),
    [anon_sym___kindof] = ACTIONS(2424),
    [anon_sym___nonnull] = ACTIONS(2424),
    [anon_sym___nullable] = ACTIONS(2424),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2424),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2424),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2424),
    [anon_sym___real] = ACTIONS(2424),
    [anon_sym___strong] = ACTIONS(2424),
    [anon_sym___unsafe_unretained] = ACTIONS(2424),
    [anon_sym___unused] = ACTIONS(2424),
    [anon_sym___weak] = ACTIONS(2424),
    [anon_sym_alignas] = ACTIONS(2424),
    [anon_sym__Alignas] = ACTIONS(2424),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_enum] = ACTIONS(2424),
    [anon_sym_struct] = ACTIONS(2424),
    [anon_sym_union] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_else] = ACTIONS(2424),
    [anon_sym_switch] = ACTIONS(2424),
    [anon_sym_case] = ACTIONS(2424),
    [anon_sym_default] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_in] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_break] = ACTIONS(2424),
    [anon_sym_continue] = ACTIONS(2424),
    [anon_sym_goto] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2426),
    [anon_sym_sizeof] = ACTIONS(2424),
    [anon_sym___alignof__] = ACTIONS(2424),
    [anon_sym___alignof] = ACTIONS(2424),
    [anon_sym__alignof] = ACTIONS(2424),
    [anon_sym_alignof] = ACTIONS(2424),
    [anon_sym__Alignof] = ACTIONS(2424),
    [anon_sym_offsetof] = ACTIONS(2424),
    [anon_sym__Generic] = ACTIONS(2424),
    [anon_sym_asm] = ACTIONS(2424),
    [anon_sym___asm__] = ACTIONS(2424),
    [anon_sym___asm] = ACTIONS(2424),
    [sym_number_literal] = ACTIONS(2426),
    [anon_sym_L_SQUOTE] = ACTIONS(2426),
    [anon_sym_u_SQUOTE] = ACTIONS(2426),
    [anon_sym_U_SQUOTE] = ACTIONS(2426),
    [anon_sym_u8_SQUOTE] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_AT] = ACTIONS(2424),
    [anon_sym_DQUOTE] = ACTIONS(2426),
    [anon_sym_L_DQUOTE] = ACTIONS(2426),
    [anon_sym_u_DQUOTE] = ACTIONS(2426),
    [anon_sym_U_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8_DQUOTE] = ACTIONS(2426),
    [sym_true] = ACTIONS(2424),
    [sym_false] = ACTIONS(2424),
    [anon_sym_NULL] = ACTIONS(2424),
    [anon_sym_nullptr] = ACTIONS(2424),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2424),
    [anon_sym___typeof] = ACTIONS(2424),
    [anon_sym_typeof] = ACTIONS(2424),
    [anon_sym_ATimport] = ACTIONS(2426),
    [aux_sym_preproc_undef_token1] = ACTIONS(2424),
    [anon_sym_POUND] = ACTIONS(2424),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2424),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2424),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2424),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2424),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2424),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2424),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2424),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2424),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2424),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_API_AVAILABLE] = ACTIONS(2424),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_API_DEPRECATED] = ACTIONS(2424),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2424),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2424),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2424),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2424),
    [anon_sym___deprecated_msg] = ACTIONS(2424),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2424),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2424),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2424),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2424),
    [anon_sym_ATprotocol] = ACTIONS(2426),
    [anon_sym_ATinterface] = ACTIONS(2426),
    [anon_sym_ATimplementation] = ACTIONS(2426),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2426),
    [anon_sym_ATtry] = ACTIONS(2426),
    [anon_sym___try] = ACTIONS(2424),
    [anon_sym_ATthrow] = ACTIONS(2426),
    [anon_sym_ATselector] = ACTIONS(2426),
    [anon_sym_ATavailable] = ACTIONS(2426),
    [anon_sym___builtin_available] = ACTIONS(2424),
    [anon_sym_va_arg] = ACTIONS(2424),
    [anon_sym_ATencode] = ACTIONS(2426),
    [anon_sym_ATsynchronized] = ACTIONS(2426),
    [anon_sym_BOOL] = ACTIONS(2424),
    [anon_sym_IMP] = ACTIONS(2424),
    [anon_sym_SEL] = ACTIONS(2424),
    [anon_sym_Class] = ACTIONS(2424),
    [anon_sym_id] = ACTIONS(2424),
  },
  [760] = {
    [ts_builtin_sym_end] = ACTIONS(2430),
    [sym_identifier] = ACTIONS(2428),
    [aux_sym_preproc_include_token1] = ACTIONS(2428),
    [aux_sym_preproc_include_token2] = ACTIONS(2428),
    [aux_sym_preproc_def_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token1] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2428),
    [sym_preproc_directive] = ACTIONS(2428),
    [anon_sym_LPAREN2] = ACTIONS(2430),
    [anon_sym_BANG] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_CARET] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2430),
    [anon_sym_SEMI] = ACTIONS(2430),
    [anon_sym___extension__] = ACTIONS(2428),
    [anon_sym_typedef] = ACTIONS(2428),
    [anon_sym_extern] = ACTIONS(2428),
    [anon_sym___attribute__] = ACTIONS(2428),
    [anon_sym___attribute] = ACTIONS(2428),
    [anon_sym_noreturn] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2430),
    [anon_sym___declspec] = ACTIONS(2428),
    [anon_sym___cdecl] = ACTIONS(2428),
    [anon_sym___clrcall] = ACTIONS(2428),
    [anon_sym___stdcall] = ACTIONS(2428),
    [anon_sym___fastcall] = ACTIONS(2428),
    [anon_sym___thiscall] = ACTIONS(2428),
    [anon_sym___vectorcall] = ACTIONS(2428),
    [anon_sym_LBRACE] = ACTIONS(2430),
    [anon_sym_signed] = ACTIONS(2428),
    [anon_sym_unsigned] = ACTIONS(2428),
    [anon_sym_long] = ACTIONS(2428),
    [anon_sym_short] = ACTIONS(2428),
    [anon_sym_static] = ACTIONS(2428),
    [anon_sym_ATautoreleasepool] = ACTIONS(2430),
    [anon_sym_auto] = ACTIONS(2428),
    [anon_sym_register] = ACTIONS(2428),
    [anon_sym_inline] = ACTIONS(2428),
    [anon_sym___inline] = ACTIONS(2428),
    [anon_sym___inline__] = ACTIONS(2428),
    [anon_sym___forceinline] = ACTIONS(2428),
    [anon_sym_thread_local] = ACTIONS(2428),
    [anon_sym___thread] = ACTIONS(2428),
    [anon_sym_CG_EXTERN] = ACTIONS(2428),
    [anon_sym_CG_INLINE] = ACTIONS(2428),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2428),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2428),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2428),
    [anon_sym_IBOutlet] = ACTIONS(2428),
    [anon_sym_IBInspectable] = ACTIONS(2428),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2428),
    [anon_sym_NS_INLINE] = ACTIONS(2428),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2428),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2428),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2428),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2428),
    [anon_sym_const] = ACTIONS(2428),
    [anon_sym_constexpr] = ACTIONS(2428),
    [anon_sym_volatile] = ACTIONS(2428),
    [anon_sym_restrict] = ACTIONS(2428),
    [anon_sym___restrict__] = ACTIONS(2428),
    [anon_sym__Atomic] = ACTIONS(2428),
    [anon_sym__Noreturn] = ACTIONS(2428),
    [anon_sym__Nonnull] = ACTIONS(2428),
    [anon_sym_nullable] = ACTIONS(2428),
    [anon_sym__Complex] = ACTIONS(2428),
    [anon_sym__Nullable] = ACTIONS(2428),
    [anon_sym__Nullable_result] = ACTIONS(2428),
    [anon_sym__Null_unspecified] = ACTIONS(2428),
    [anon_sym___autoreleasing] = ACTIONS(2428),
    [anon_sym___block] = ACTIONS(2428),
    [anon_sym___bridge] = ACTIONS(2428),
    [anon_sym___bridge_retained] = ACTIONS(2428),
    [anon_sym___bridge_transfer] = ACTIONS(2428),
    [anon_sym___complex] = ACTIONS(2428),
    [anon_sym___const] = ACTIONS(2428),
    [anon_sym___imag] = ACTIONS(2428),
    [anon_sym___kindof] = ACTIONS(2428),
    [anon_sym___nonnull] = ACTIONS(2428),
    [anon_sym___nullable] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2428),
    [anon_sym___real] = ACTIONS(2428),
    [anon_sym___strong] = ACTIONS(2428),
    [anon_sym___unsafe_unretained] = ACTIONS(2428),
    [anon_sym___unused] = ACTIONS(2428),
    [anon_sym___weak] = ACTIONS(2428),
    [anon_sym_alignas] = ACTIONS(2428),
    [anon_sym__Alignas] = ACTIONS(2428),
    [sym_primitive_type] = ACTIONS(2428),
    [anon_sym_enum] = ACTIONS(2428),
    [anon_sym_struct] = ACTIONS(2428),
    [anon_sym_union] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_else] = ACTIONS(2428),
    [anon_sym_switch] = ACTIONS(2428),
    [anon_sym_case] = ACTIONS(2428),
    [anon_sym_default] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_in] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_break] = ACTIONS(2428),
    [anon_sym_continue] = ACTIONS(2428),
    [anon_sym_goto] = ACTIONS(2428),
    [anon_sym_DASH_DASH] = ACTIONS(2430),
    [anon_sym_PLUS_PLUS] = ACTIONS(2430),
    [anon_sym_sizeof] = ACTIONS(2428),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2428),
    [anon_sym__Generic] = ACTIONS(2428),
    [anon_sym_asm] = ACTIONS(2428),
    [anon_sym___asm__] = ACTIONS(2428),
    [anon_sym___asm] = ACTIONS(2428),
    [sym_number_literal] = ACTIONS(2430),
    [anon_sym_L_SQUOTE] = ACTIONS(2430),
    [anon_sym_u_SQUOTE] = ACTIONS(2430),
    [anon_sym_U_SQUOTE] = ACTIONS(2430),
    [anon_sym_u8_SQUOTE] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_AT] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2430),
    [anon_sym_L_DQUOTE] = ACTIONS(2430),
    [anon_sym_u_DQUOTE] = ACTIONS(2430),
    [anon_sym_U_DQUOTE] = ACTIONS(2430),
    [anon_sym_u8_DQUOTE] = ACTIONS(2430),
    [sym_true] = ACTIONS(2428),
    [sym_false] = ACTIONS(2428),
    [anon_sym_NULL] = ACTIONS(2428),
    [anon_sym_nullptr] = ACTIONS(2428),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2428),
    [anon_sym___typeof] = ACTIONS(2428),
    [anon_sym_typeof] = ACTIONS(2428),
    [anon_sym_ATimport] = ACTIONS(2430),
    [aux_sym_preproc_undef_token1] = ACTIONS(2428),
    [anon_sym_POUND] = ACTIONS(2428),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2428),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2428),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2428),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2428),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2428),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2428),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2428),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_API_AVAILABLE] = ACTIONS(2428),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_API_DEPRECATED] = ACTIONS(2428),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2428),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym___deprecated_msg] = ACTIONS(2428),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2428),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2428),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2428),
    [anon_sym_ATprotocol] = ACTIONS(2430),
    [anon_sym_ATinterface] = ACTIONS(2430),
    [anon_sym_ATimplementation] = ACTIONS(2430),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2430),
    [anon_sym_ATtry] = ACTIONS(2430),
    [anon_sym___try] = ACTIONS(2428),
    [anon_sym_ATthrow] = ACTIONS(2430),
    [anon_sym_ATselector] = ACTIONS(2430),
    [anon_sym_ATavailable] = ACTIONS(2430),
    [anon_sym___builtin_available] = ACTIONS(2428),
    [anon_sym_va_arg] = ACTIONS(2428),
    [anon_sym_ATencode] = ACTIONS(2430),
    [anon_sym_ATsynchronized] = ACTIONS(2430),
    [anon_sym_BOOL] = ACTIONS(2428),
    [anon_sym_IMP] = ACTIONS(2428),
    [anon_sym_SEL] = ACTIONS(2428),
    [anon_sym_Class] = ACTIONS(2428),
    [anon_sym_id] = ACTIONS(2428),
  },
  [761] = {
    [sym_identifier] = ACTIONS(2420),
    [aux_sym_preproc_include_token1] = ACTIONS(2420),
    [aux_sym_preproc_include_token2] = ACTIONS(2420),
    [aux_sym_preproc_def_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2420),
    [sym_preproc_directive] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(2422),
    [anon_sym_BANG] = ACTIONS(2422),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_SEMI] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym___attribute] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym___cdecl] = ACTIONS(2420),
    [anon_sym___clrcall] = ACTIONS(2420),
    [anon_sym___stdcall] = ACTIONS(2420),
    [anon_sym___fastcall] = ACTIONS(2420),
    [anon_sym___thiscall] = ACTIONS(2420),
    [anon_sym___vectorcall] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_RBRACE] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_ATautoreleasepool] = ACTIONS(2422),
    [anon_sym_auto] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_CG_EXTERN] = ACTIONS(2420),
    [anon_sym_CG_INLINE] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2420),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2420),
    [anon_sym_IBOutlet] = ACTIONS(2420),
    [anon_sym_IBInspectable] = ACTIONS(2420),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2420),
    [anon_sym_NS_INLINE] = ACTIONS(2420),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2420),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2420),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym__Nonnull] = ACTIONS(2420),
    [anon_sym_nullable] = ACTIONS(2420),
    [anon_sym__Complex] = ACTIONS(2420),
    [anon_sym__Nullable] = ACTIONS(2420),
    [anon_sym__Nullable_result] = ACTIONS(2420),
    [anon_sym__Null_unspecified] = ACTIONS(2420),
    [anon_sym___autoreleasing] = ACTIONS(2420),
    [anon_sym___block] = ACTIONS(2420),
    [anon_sym___bridge] = ACTIONS(2420),
    [anon_sym___bridge_retained] = ACTIONS(2420),
    [anon_sym___bridge_transfer] = ACTIONS(2420),
    [anon_sym___complex] = ACTIONS(2420),
    [anon_sym___const] = ACTIONS(2420),
    [anon_sym___imag] = ACTIONS(2420),
    [anon_sym___kindof] = ACTIONS(2420),
    [anon_sym___nonnull] = ACTIONS(2420),
    [anon_sym___nullable] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2420),
    [anon_sym___real] = ACTIONS(2420),
    [anon_sym___strong] = ACTIONS(2420),
    [anon_sym___unsafe_unretained] = ACTIONS(2420),
    [anon_sym___unused] = ACTIONS(2420),
    [anon_sym___weak] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym__Alignas] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [anon_sym_if] = ACTIONS(2420),
    [anon_sym_else] = ACTIONS(2420),
    [anon_sym_switch] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(2420),
    [anon_sym_default] = ACTIONS(2420),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_in] = ACTIONS(2420),
    [anon_sym_return] = ACTIONS(2420),
    [anon_sym_break] = ACTIONS(2420),
    [anon_sym_continue] = ACTIONS(2420),
    [anon_sym_goto] = ACTIONS(2420),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2420),
    [anon_sym___alignof__] = ACTIONS(2420),
    [anon_sym___alignof] = ACTIONS(2420),
    [anon_sym__alignof] = ACTIONS(2420),
    [anon_sym_alignof] = ACTIONS(2420),
    [anon_sym__Alignof] = ACTIONS(2420),
    [anon_sym_offsetof] = ACTIONS(2420),
    [anon_sym__Generic] = ACTIONS(2420),
    [anon_sym_asm] = ACTIONS(2420),
    [anon_sym___asm__] = ACTIONS(2420),
    [anon_sym___asm] = ACTIONS(2420),
    [sym_number_literal] = ACTIONS(2422),
    [anon_sym_L_SQUOTE] = ACTIONS(2422),
    [anon_sym_u_SQUOTE] = ACTIONS(2422),
    [anon_sym_U_SQUOTE] = ACTIONS(2422),
    [anon_sym_u8_SQUOTE] = ACTIONS(2422),
    [anon_sym_SQUOTE] = ACTIONS(2422),
    [anon_sym_AT] = ACTIONS(2420),
    [anon_sym_DQUOTE] = ACTIONS(2422),
    [anon_sym_L_DQUOTE] = ACTIONS(2422),
    [anon_sym_u_DQUOTE] = ACTIONS(2422),
    [anon_sym_U_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8_DQUOTE] = ACTIONS(2422),
    [sym_true] = ACTIONS(2420),
    [sym_false] = ACTIONS(2420),
    [anon_sym_NULL] = ACTIONS(2420),
    [anon_sym_nullptr] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2420),
    [anon_sym___typeof] = ACTIONS(2420),
    [anon_sym_typeof] = ACTIONS(2420),
    [anon_sym_ATimport] = ACTIONS(2422),
    [aux_sym_preproc_undef_token1] = ACTIONS(2420),
    [anon_sym_POUND] = ACTIONS(2420),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2420),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2420),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2420),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_API_AVAILABLE] = ACTIONS(2420),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_API_DEPRECATED] = ACTIONS(2420),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym___deprecated_msg] = ACTIONS(2420),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2420),
    [anon_sym_ATprotocol] = ACTIONS(2422),
    [anon_sym_ATinterface] = ACTIONS(2422),
    [anon_sym_ATimplementation] = ACTIONS(2422),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2422),
    [anon_sym_ATtry] = ACTIONS(2422),
    [anon_sym___try] = ACTIONS(2420),
    [anon_sym_ATthrow] = ACTIONS(2422),
    [anon_sym_ATselector] = ACTIONS(2422),
    [anon_sym_ATavailable] = ACTIONS(2422),
    [anon_sym___builtin_available] = ACTIONS(2420),
    [anon_sym_va_arg] = ACTIONS(2420),
    [anon_sym_ATencode] = ACTIONS(2422),
    [anon_sym_ATsynchronized] = ACTIONS(2422),
    [anon_sym_BOOL] = ACTIONS(2420),
    [anon_sym_IMP] = ACTIONS(2420),
    [anon_sym_SEL] = ACTIONS(2420),
    [anon_sym_Class] = ACTIONS(2420),
    [anon_sym_id] = ACTIONS(2420),
  },
  [762] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_include_token2] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_CARET] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_ATautoreleasepool] = ACTIONS(2538),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [anon_sym___asm] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [anon_sym_ATimport] = ACTIONS(2538),
    [aux_sym_preproc_undef_token1] = ACTIONS(2536),
    [anon_sym_POUND] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATprotocol] = ACTIONS(2538),
    [anon_sym_ATinterface] = ACTIONS(2538),
    [anon_sym_ATimplementation] = ACTIONS(2538),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2538),
    [anon_sym_ATtry] = ACTIONS(2538),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym_ATthrow] = ACTIONS(2538),
    [anon_sym_ATselector] = ACTIONS(2538),
    [anon_sym_ATavailable] = ACTIONS(2538),
    [anon_sym___builtin_available] = ACTIONS(2536),
    [anon_sym_va_arg] = ACTIONS(2536),
    [anon_sym_ATencode] = ACTIONS(2538),
    [anon_sym_ATsynchronized] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [763] = {
    [ts_builtin_sym_end] = ACTIONS(2358),
    [sym_identifier] = ACTIONS(2356),
    [aux_sym_preproc_include_token1] = ACTIONS(2356),
    [aux_sym_preproc_include_token2] = ACTIONS(2356),
    [aux_sym_preproc_def_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2356),
    [sym_preproc_directive] = ACTIONS(2356),
    [anon_sym_LPAREN2] = ACTIONS(2358),
    [anon_sym_BANG] = ACTIONS(2358),
    [anon_sym_TILDE] = ACTIONS(2358),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2358),
    [anon_sym_CARET] = ACTIONS(2358),
    [anon_sym_AMP] = ACTIONS(2358),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2356),
    [anon_sym_typedef] = ACTIONS(2356),
    [anon_sym_extern] = ACTIONS(2356),
    [anon_sym___attribute__] = ACTIONS(2356),
    [anon_sym___attribute] = ACTIONS(2356),
    [anon_sym_noreturn] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2358),
    [anon_sym___declspec] = ACTIONS(2356),
    [anon_sym___cdecl] = ACTIONS(2356),
    [anon_sym___clrcall] = ACTIONS(2356),
    [anon_sym___stdcall] = ACTIONS(2356),
    [anon_sym___fastcall] = ACTIONS(2356),
    [anon_sym___thiscall] = ACTIONS(2356),
    [anon_sym___vectorcall] = ACTIONS(2356),
    [anon_sym_LBRACE] = ACTIONS(2358),
    [anon_sym_signed] = ACTIONS(2356),
    [anon_sym_unsigned] = ACTIONS(2356),
    [anon_sym_long] = ACTIONS(2356),
    [anon_sym_short] = ACTIONS(2356),
    [anon_sym_static] = ACTIONS(2356),
    [anon_sym_ATautoreleasepool] = ACTIONS(2358),
    [anon_sym_auto] = ACTIONS(2356),
    [anon_sym_register] = ACTIONS(2356),
    [anon_sym_inline] = ACTIONS(2356),
    [anon_sym___inline] = ACTIONS(2356),
    [anon_sym___inline__] = ACTIONS(2356),
    [anon_sym___forceinline] = ACTIONS(2356),
    [anon_sym_thread_local] = ACTIONS(2356),
    [anon_sym___thread] = ACTIONS(2356),
    [anon_sym_CG_EXTERN] = ACTIONS(2356),
    [anon_sym_CG_INLINE] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2356),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2356),
    [anon_sym_IBOutlet] = ACTIONS(2356),
    [anon_sym_IBInspectable] = ACTIONS(2356),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2356),
    [anon_sym_NS_INLINE] = ACTIONS(2356),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2356),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2356),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2356),
    [anon_sym_const] = ACTIONS(2356),
    [anon_sym_constexpr] = ACTIONS(2356),
    [anon_sym_volatile] = ACTIONS(2356),
    [anon_sym_restrict] = ACTIONS(2356),
    [anon_sym___restrict__] = ACTIONS(2356),
    [anon_sym__Atomic] = ACTIONS(2356),
    [anon_sym__Noreturn] = ACTIONS(2356),
    [anon_sym__Nonnull] = ACTIONS(2356),
    [anon_sym_nullable] = ACTIONS(2356),
    [anon_sym__Complex] = ACTIONS(2356),
    [anon_sym__Nullable] = ACTIONS(2356),
    [anon_sym__Nullable_result] = ACTIONS(2356),
    [anon_sym__Null_unspecified] = ACTIONS(2356),
    [anon_sym___autoreleasing] = ACTIONS(2356),
    [anon_sym___block] = ACTIONS(2356),
    [anon_sym___bridge] = ACTIONS(2356),
    [anon_sym___bridge_retained] = ACTIONS(2356),
    [anon_sym___bridge_transfer] = ACTIONS(2356),
    [anon_sym___complex] = ACTIONS(2356),
    [anon_sym___const] = ACTIONS(2356),
    [anon_sym___imag] = ACTIONS(2356),
    [anon_sym___kindof] = ACTIONS(2356),
    [anon_sym___nonnull] = ACTIONS(2356),
    [anon_sym___nullable] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2356),
    [anon_sym___real] = ACTIONS(2356),
    [anon_sym___strong] = ACTIONS(2356),
    [anon_sym___unsafe_unretained] = ACTIONS(2356),
    [anon_sym___unused] = ACTIONS(2356),
    [anon_sym___weak] = ACTIONS(2356),
    [anon_sym_alignas] = ACTIONS(2356),
    [anon_sym__Alignas] = ACTIONS(2356),
    [sym_primitive_type] = ACTIONS(2356),
    [anon_sym_enum] = ACTIONS(2356),
    [anon_sym_struct] = ACTIONS(2356),
    [anon_sym_union] = ACTIONS(2356),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_else] = ACTIONS(2356),
    [anon_sym_switch] = ACTIONS(2356),
    [anon_sym_case] = ACTIONS(2356),
    [anon_sym_default] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(2356),
    [anon_sym_for] = ACTIONS(2356),
    [anon_sym_in] = ACTIONS(2356),
    [anon_sym_return] = ACTIONS(2356),
    [anon_sym_break] = ACTIONS(2356),
    [anon_sym_continue] = ACTIONS(2356),
    [anon_sym_goto] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2358),
    [anon_sym_PLUS_PLUS] = ACTIONS(2358),
    [anon_sym_sizeof] = ACTIONS(2356),
    [anon_sym___alignof__] = ACTIONS(2356),
    [anon_sym___alignof] = ACTIONS(2356),
    [anon_sym__alignof] = ACTIONS(2356),
    [anon_sym_alignof] = ACTIONS(2356),
    [anon_sym__Alignof] = ACTIONS(2356),
    [anon_sym_offsetof] = ACTIONS(2356),
    [anon_sym__Generic] = ACTIONS(2356),
    [anon_sym_asm] = ACTIONS(2356),
    [anon_sym___asm__] = ACTIONS(2356),
    [anon_sym___asm] = ACTIONS(2356),
    [sym_number_literal] = ACTIONS(2358),
    [anon_sym_L_SQUOTE] = ACTIONS(2358),
    [anon_sym_u_SQUOTE] = ACTIONS(2358),
    [anon_sym_U_SQUOTE] = ACTIONS(2358),
    [anon_sym_u8_SQUOTE] = ACTIONS(2358),
    [anon_sym_SQUOTE] = ACTIONS(2358),
    [anon_sym_AT] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2358),
    [anon_sym_L_DQUOTE] = ACTIONS(2358),
    [anon_sym_u_DQUOTE] = ACTIONS(2358),
    [anon_sym_U_DQUOTE] = ACTIONS(2358),
    [anon_sym_u8_DQUOTE] = ACTIONS(2358),
    [sym_true] = ACTIONS(2356),
    [sym_false] = ACTIONS(2356),
    [anon_sym_NULL] = ACTIONS(2356),
    [anon_sym_nullptr] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2356),
    [anon_sym___typeof] = ACTIONS(2356),
    [anon_sym_typeof] = ACTIONS(2356),
    [anon_sym_ATimport] = ACTIONS(2358),
    [aux_sym_preproc_undef_token1] = ACTIONS(2356),
    [anon_sym_POUND] = ACTIONS(2356),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2356),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2356),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2356),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_API_AVAILABLE] = ACTIONS(2356),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_API_DEPRECATED] = ACTIONS(2356),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym___deprecated_msg] = ACTIONS(2356),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2356),
    [anon_sym_ATprotocol] = ACTIONS(2358),
    [anon_sym_ATinterface] = ACTIONS(2358),
    [anon_sym_ATimplementation] = ACTIONS(2358),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2358),
    [anon_sym_ATtry] = ACTIONS(2358),
    [anon_sym___try] = ACTIONS(2356),
    [anon_sym_ATthrow] = ACTIONS(2358),
    [anon_sym_ATselector] = ACTIONS(2358),
    [anon_sym_ATavailable] = ACTIONS(2358),
    [anon_sym___builtin_available] = ACTIONS(2356),
    [anon_sym_va_arg] = ACTIONS(2356),
    [anon_sym_ATencode] = ACTIONS(2358),
    [anon_sym_ATsynchronized] = ACTIONS(2358),
    [anon_sym_BOOL] = ACTIONS(2356),
    [anon_sym_IMP] = ACTIONS(2356),
    [anon_sym_SEL] = ACTIONS(2356),
    [anon_sym_Class] = ACTIONS(2356),
    [anon_sym_id] = ACTIONS(2356),
  },
  [764] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_include_token2] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_CARET] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_ATautoreleasepool] = ACTIONS(2538),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [anon_sym___asm] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [anon_sym_ATimport] = ACTIONS(2538),
    [aux_sym_preproc_undef_token1] = ACTIONS(2536),
    [anon_sym_POUND] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATprotocol] = ACTIONS(2538),
    [anon_sym_ATinterface] = ACTIONS(2538),
    [anon_sym_ATimplementation] = ACTIONS(2538),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2538),
    [anon_sym_ATtry] = ACTIONS(2538),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym_ATthrow] = ACTIONS(2538),
    [anon_sym_ATselector] = ACTIONS(2538),
    [anon_sym_ATavailable] = ACTIONS(2538),
    [anon_sym___builtin_available] = ACTIONS(2536),
    [anon_sym_va_arg] = ACTIONS(2536),
    [anon_sym_ATencode] = ACTIONS(2538),
    [anon_sym_ATsynchronized] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [765] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_include_token2] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_CARET] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_ATautoreleasepool] = ACTIONS(2538),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [anon_sym___asm] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [anon_sym_ATimport] = ACTIONS(2538),
    [aux_sym_preproc_undef_token1] = ACTIONS(2536),
    [anon_sym_POUND] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATprotocol] = ACTIONS(2538),
    [anon_sym_ATinterface] = ACTIONS(2538),
    [anon_sym_ATimplementation] = ACTIONS(2538),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2538),
    [anon_sym_ATtry] = ACTIONS(2538),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym_ATthrow] = ACTIONS(2538),
    [anon_sym_ATselector] = ACTIONS(2538),
    [anon_sym_ATavailable] = ACTIONS(2538),
    [anon_sym___builtin_available] = ACTIONS(2536),
    [anon_sym_va_arg] = ACTIONS(2536),
    [anon_sym_ATencode] = ACTIONS(2538),
    [anon_sym_ATsynchronized] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [766] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_include_token2] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym___attribute] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_RBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_ATautoreleasepool] = ACTIONS(2566),
    [anon_sym_auto] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_CG_EXTERN] = ACTIONS(2564),
    [anon_sym_CG_INLINE] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2564),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2564),
    [anon_sym_IBOutlet] = ACTIONS(2564),
    [anon_sym_IBInspectable] = ACTIONS(2564),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2564),
    [anon_sym_NS_INLINE] = ACTIONS(2564),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2564),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2564),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_nullable] = ACTIONS(2564),
    [anon_sym__Complex] = ACTIONS(2564),
    [anon_sym__Nullable] = ACTIONS(2564),
    [anon_sym__Nullable_result] = ACTIONS(2564),
    [anon_sym__Null_unspecified] = ACTIONS(2564),
    [anon_sym___autoreleasing] = ACTIONS(2564),
    [anon_sym___block] = ACTIONS(2564),
    [anon_sym___bridge] = ACTIONS(2564),
    [anon_sym___bridge_retained] = ACTIONS(2564),
    [anon_sym___bridge_transfer] = ACTIONS(2564),
    [anon_sym___complex] = ACTIONS(2564),
    [anon_sym___const] = ACTIONS(2564),
    [anon_sym___imag] = ACTIONS(2564),
    [anon_sym___kindof] = ACTIONS(2564),
    [anon_sym___nonnull] = ACTIONS(2564),
    [anon_sym___nullable] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2564),
    [anon_sym___real] = ACTIONS(2564),
    [anon_sym___strong] = ACTIONS(2564),
    [anon_sym___unsafe_unretained] = ACTIONS(2564),
    [anon_sym___unused] = ACTIONS(2564),
    [anon_sym___weak] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [anon_sym___asm] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_AT] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2564),
    [anon_sym___typeof] = ACTIONS(2564),
    [anon_sym_typeof] = ACTIONS(2564),
    [anon_sym_ATimport] = ACTIONS(2566),
    [aux_sym_preproc_undef_token1] = ACTIONS(2564),
    [anon_sym_POUND] = ACTIONS(2564),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2564),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2564),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2564),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_API_AVAILABLE] = ACTIONS(2564),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_API_DEPRECATED] = ACTIONS(2564),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym___deprecated_msg] = ACTIONS(2564),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2564),
    [anon_sym_ATprotocol] = ACTIONS(2566),
    [anon_sym_ATinterface] = ACTIONS(2566),
    [anon_sym_ATimplementation] = ACTIONS(2566),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2566),
    [anon_sym_ATtry] = ACTIONS(2566),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym_ATthrow] = ACTIONS(2566),
    [anon_sym_ATselector] = ACTIONS(2566),
    [anon_sym_ATavailable] = ACTIONS(2566),
    [anon_sym___builtin_available] = ACTIONS(2564),
    [anon_sym_va_arg] = ACTIONS(2564),
    [anon_sym_ATencode] = ACTIONS(2566),
    [anon_sym_ATsynchronized] = ACTIONS(2566),
    [anon_sym_BOOL] = ACTIONS(2564),
    [anon_sym_IMP] = ACTIONS(2564),
    [anon_sym_SEL] = ACTIONS(2564),
    [anon_sym_Class] = ACTIONS(2564),
    [anon_sym_id] = ACTIONS(2564),
  },
  [767] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_include_token2] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym___attribute] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_RBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_ATautoreleasepool] = ACTIONS(2566),
    [anon_sym_auto] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_CG_EXTERN] = ACTIONS(2564),
    [anon_sym_CG_INLINE] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2564),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2564),
    [anon_sym_IBOutlet] = ACTIONS(2564),
    [anon_sym_IBInspectable] = ACTIONS(2564),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2564),
    [anon_sym_NS_INLINE] = ACTIONS(2564),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2564),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2564),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_nullable] = ACTIONS(2564),
    [anon_sym__Complex] = ACTIONS(2564),
    [anon_sym__Nullable] = ACTIONS(2564),
    [anon_sym__Nullable_result] = ACTIONS(2564),
    [anon_sym__Null_unspecified] = ACTIONS(2564),
    [anon_sym___autoreleasing] = ACTIONS(2564),
    [anon_sym___block] = ACTIONS(2564),
    [anon_sym___bridge] = ACTIONS(2564),
    [anon_sym___bridge_retained] = ACTIONS(2564),
    [anon_sym___bridge_transfer] = ACTIONS(2564),
    [anon_sym___complex] = ACTIONS(2564),
    [anon_sym___const] = ACTIONS(2564),
    [anon_sym___imag] = ACTIONS(2564),
    [anon_sym___kindof] = ACTIONS(2564),
    [anon_sym___nonnull] = ACTIONS(2564),
    [anon_sym___nullable] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2564),
    [anon_sym___real] = ACTIONS(2564),
    [anon_sym___strong] = ACTIONS(2564),
    [anon_sym___unsafe_unretained] = ACTIONS(2564),
    [anon_sym___unused] = ACTIONS(2564),
    [anon_sym___weak] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [anon_sym___asm] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_AT] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2564),
    [anon_sym___typeof] = ACTIONS(2564),
    [anon_sym_typeof] = ACTIONS(2564),
    [anon_sym_ATimport] = ACTIONS(2566),
    [aux_sym_preproc_undef_token1] = ACTIONS(2564),
    [anon_sym_POUND] = ACTIONS(2564),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2564),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2564),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2564),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_API_AVAILABLE] = ACTIONS(2564),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_API_DEPRECATED] = ACTIONS(2564),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym___deprecated_msg] = ACTIONS(2564),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2564),
    [anon_sym_ATprotocol] = ACTIONS(2566),
    [anon_sym_ATinterface] = ACTIONS(2566),
    [anon_sym_ATimplementation] = ACTIONS(2566),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2566),
    [anon_sym_ATtry] = ACTIONS(2566),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym_ATthrow] = ACTIONS(2566),
    [anon_sym_ATselector] = ACTIONS(2566),
    [anon_sym_ATavailable] = ACTIONS(2566),
    [anon_sym___builtin_available] = ACTIONS(2564),
    [anon_sym_va_arg] = ACTIONS(2564),
    [anon_sym_ATencode] = ACTIONS(2566),
    [anon_sym_ATsynchronized] = ACTIONS(2566),
    [anon_sym_BOOL] = ACTIONS(2564),
    [anon_sym_IMP] = ACTIONS(2564),
    [anon_sym_SEL] = ACTIONS(2564),
    [anon_sym_Class] = ACTIONS(2564),
    [anon_sym_id] = ACTIONS(2564),
  },
  [768] = {
    [sym_identifier] = ACTIONS(2420),
    [aux_sym_preproc_include_token1] = ACTIONS(2420),
    [aux_sym_preproc_include_token2] = ACTIONS(2420),
    [aux_sym_preproc_def_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2420),
    [sym_preproc_directive] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(2422),
    [anon_sym_BANG] = ACTIONS(2422),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_SEMI] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym___attribute] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym___cdecl] = ACTIONS(2420),
    [anon_sym___clrcall] = ACTIONS(2420),
    [anon_sym___stdcall] = ACTIONS(2420),
    [anon_sym___fastcall] = ACTIONS(2420),
    [anon_sym___thiscall] = ACTIONS(2420),
    [anon_sym___vectorcall] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_RBRACE] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_ATautoreleasepool] = ACTIONS(2422),
    [anon_sym_auto] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_CG_EXTERN] = ACTIONS(2420),
    [anon_sym_CG_INLINE] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2420),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2420),
    [anon_sym_IBOutlet] = ACTIONS(2420),
    [anon_sym_IBInspectable] = ACTIONS(2420),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2420),
    [anon_sym_NS_INLINE] = ACTIONS(2420),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2420),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2420),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym__Nonnull] = ACTIONS(2420),
    [anon_sym_nullable] = ACTIONS(2420),
    [anon_sym__Complex] = ACTIONS(2420),
    [anon_sym__Nullable] = ACTIONS(2420),
    [anon_sym__Nullable_result] = ACTIONS(2420),
    [anon_sym__Null_unspecified] = ACTIONS(2420),
    [anon_sym___autoreleasing] = ACTIONS(2420),
    [anon_sym___block] = ACTIONS(2420),
    [anon_sym___bridge] = ACTIONS(2420),
    [anon_sym___bridge_retained] = ACTIONS(2420),
    [anon_sym___bridge_transfer] = ACTIONS(2420),
    [anon_sym___complex] = ACTIONS(2420),
    [anon_sym___const] = ACTIONS(2420),
    [anon_sym___imag] = ACTIONS(2420),
    [anon_sym___kindof] = ACTIONS(2420),
    [anon_sym___nonnull] = ACTIONS(2420),
    [anon_sym___nullable] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2420),
    [anon_sym___real] = ACTIONS(2420),
    [anon_sym___strong] = ACTIONS(2420),
    [anon_sym___unsafe_unretained] = ACTIONS(2420),
    [anon_sym___unused] = ACTIONS(2420),
    [anon_sym___weak] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym__Alignas] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [anon_sym_if] = ACTIONS(2420),
    [anon_sym_else] = ACTIONS(2420),
    [anon_sym_switch] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(2420),
    [anon_sym_default] = ACTIONS(2420),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_in] = ACTIONS(2420),
    [anon_sym_return] = ACTIONS(2420),
    [anon_sym_break] = ACTIONS(2420),
    [anon_sym_continue] = ACTIONS(2420),
    [anon_sym_goto] = ACTIONS(2420),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2420),
    [anon_sym___alignof__] = ACTIONS(2420),
    [anon_sym___alignof] = ACTIONS(2420),
    [anon_sym__alignof] = ACTIONS(2420),
    [anon_sym_alignof] = ACTIONS(2420),
    [anon_sym__Alignof] = ACTIONS(2420),
    [anon_sym_offsetof] = ACTIONS(2420),
    [anon_sym__Generic] = ACTIONS(2420),
    [anon_sym_asm] = ACTIONS(2420),
    [anon_sym___asm__] = ACTIONS(2420),
    [anon_sym___asm] = ACTIONS(2420),
    [sym_number_literal] = ACTIONS(2422),
    [anon_sym_L_SQUOTE] = ACTIONS(2422),
    [anon_sym_u_SQUOTE] = ACTIONS(2422),
    [anon_sym_U_SQUOTE] = ACTIONS(2422),
    [anon_sym_u8_SQUOTE] = ACTIONS(2422),
    [anon_sym_SQUOTE] = ACTIONS(2422),
    [anon_sym_AT] = ACTIONS(2420),
    [anon_sym_DQUOTE] = ACTIONS(2422),
    [anon_sym_L_DQUOTE] = ACTIONS(2422),
    [anon_sym_u_DQUOTE] = ACTIONS(2422),
    [anon_sym_U_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8_DQUOTE] = ACTIONS(2422),
    [sym_true] = ACTIONS(2420),
    [sym_false] = ACTIONS(2420),
    [anon_sym_NULL] = ACTIONS(2420),
    [anon_sym_nullptr] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2420),
    [anon_sym___typeof] = ACTIONS(2420),
    [anon_sym_typeof] = ACTIONS(2420),
    [anon_sym_ATimport] = ACTIONS(2422),
    [aux_sym_preproc_undef_token1] = ACTIONS(2420),
    [anon_sym_POUND] = ACTIONS(2420),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2420),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2420),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2420),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_API_AVAILABLE] = ACTIONS(2420),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_API_DEPRECATED] = ACTIONS(2420),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym___deprecated_msg] = ACTIONS(2420),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2420),
    [anon_sym_ATprotocol] = ACTIONS(2422),
    [anon_sym_ATinterface] = ACTIONS(2422),
    [anon_sym_ATimplementation] = ACTIONS(2422),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2422),
    [anon_sym_ATtry] = ACTIONS(2422),
    [anon_sym___try] = ACTIONS(2420),
    [anon_sym_ATthrow] = ACTIONS(2422),
    [anon_sym_ATselector] = ACTIONS(2422),
    [anon_sym_ATavailable] = ACTIONS(2422),
    [anon_sym___builtin_available] = ACTIONS(2420),
    [anon_sym_va_arg] = ACTIONS(2420),
    [anon_sym_ATencode] = ACTIONS(2422),
    [anon_sym_ATsynchronized] = ACTIONS(2422),
    [anon_sym_BOOL] = ACTIONS(2420),
    [anon_sym_IMP] = ACTIONS(2420),
    [anon_sym_SEL] = ACTIONS(2420),
    [anon_sym_Class] = ACTIONS(2420),
    [anon_sym_id] = ACTIONS(2420),
  },
  [769] = {
    [sym_expression] = STATE(1636),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(2207),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(2207),
    [sym_call_expression] = STATE(2207),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(2207),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_initializer_list] = STATE(1676),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2222),
    [anon_sym_COMMA] = ACTIONS(2222),
    [anon_sym_LPAREN2] = ACTIONS(2222),
    [anon_sym_BANG] = ACTIONS(2908),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2220),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_STAR] = ACTIONS(2222),
    [anon_sym_SLASH] = ACTIONS(2220),
    [anon_sym_PERCENT] = ACTIONS(2222),
    [anon_sym_PIPE_PIPE] = ACTIONS(2222),
    [anon_sym_AMP_AMP] = ACTIONS(2222),
    [anon_sym_PIPE] = ACTIONS(2220),
    [anon_sym_CARET] = ACTIONS(2222),
    [anon_sym_AMP] = ACTIONS(2220),
    [anon_sym_EQ_EQ] = ACTIONS(2222),
    [anon_sym_BANG_EQ] = ACTIONS(2222),
    [anon_sym_GT] = ACTIONS(2220),
    [anon_sym_GT_EQ] = ACTIONS(2222),
    [anon_sym_LT_EQ] = ACTIONS(2222),
    [anon_sym_LT] = ACTIONS(2220),
    [anon_sym_LT_LT] = ACTIONS(2222),
    [anon_sym_GT_GT] = ACTIONS(2222),
    [anon_sym_SEMI] = ACTIONS(2222),
    [anon_sym___extension__] = ACTIONS(2220),
    [anon_sym_extern] = ACTIONS(2220),
    [anon_sym___attribute__] = ACTIONS(2220),
    [anon_sym___attribute] = ACTIONS(2220),
    [anon_sym_noreturn] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2222),
    [anon_sym___declspec] = ACTIONS(2220),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_static] = ACTIONS(2220),
    [anon_sym_auto] = ACTIONS(2220),
    [anon_sym_register] = ACTIONS(2220),
    [anon_sym_inline] = ACTIONS(2220),
    [anon_sym___inline] = ACTIONS(2220),
    [anon_sym___inline__] = ACTIONS(2220),
    [anon_sym___forceinline] = ACTIONS(2220),
    [anon_sym_thread_local] = ACTIONS(2220),
    [anon_sym___thread] = ACTIONS(2220),
    [anon_sym_CG_EXTERN] = ACTIONS(2220),
    [anon_sym_CG_INLINE] = ACTIONS(2220),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2220),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2220),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2220),
    [anon_sym_IBOutlet] = ACTIONS(2220),
    [anon_sym_IBInspectable] = ACTIONS(2220),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2220),
    [anon_sym_NS_INLINE] = ACTIONS(2220),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2220),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2220),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2220),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2220),
    [anon_sym_const] = ACTIONS(2220),
    [anon_sym_constexpr] = ACTIONS(2220),
    [anon_sym_volatile] = ACTIONS(2220),
    [anon_sym_restrict] = ACTIONS(2220),
    [anon_sym___restrict__] = ACTIONS(2220),
    [anon_sym__Atomic] = ACTIONS(2220),
    [anon_sym__Noreturn] = ACTIONS(2220),
    [anon_sym__Nonnull] = ACTIONS(2220),
    [anon_sym_nullable] = ACTIONS(2220),
    [anon_sym__Complex] = ACTIONS(2220),
    [anon_sym__Nullable] = ACTIONS(2220),
    [anon_sym__Nullable_result] = ACTIONS(2220),
    [anon_sym__Null_unspecified] = ACTIONS(2220),
    [anon_sym___autoreleasing] = ACTIONS(2220),
    [anon_sym___block] = ACTIONS(2220),
    [anon_sym___bridge] = ACTIONS(2220),
    [anon_sym___bridge_retained] = ACTIONS(2220),
    [anon_sym___bridge_transfer] = ACTIONS(2220),
    [anon_sym___complex] = ACTIONS(2220),
    [anon_sym___const] = ACTIONS(2220),
    [anon_sym___imag] = ACTIONS(2220),
    [anon_sym___kindof] = ACTIONS(2220),
    [anon_sym___nonnull] = ACTIONS(2220),
    [anon_sym___nullable] = ACTIONS(2220),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2220),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2220),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2220),
    [anon_sym___real] = ACTIONS(2220),
    [anon_sym___strong] = ACTIONS(2220),
    [anon_sym___unsafe_unretained] = ACTIONS(2220),
    [anon_sym___unused] = ACTIONS(2220),
    [anon_sym___weak] = ACTIONS(2220),
    [anon_sym_alignas] = ACTIONS(2220),
    [anon_sym__Alignas] = ACTIONS(2220),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(2222),
    [anon_sym_DASH_DASH] = ACTIONS(2222),
    [anon_sym_PLUS_PLUS] = ACTIONS(2222),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [anon_sym_DOT] = ACTIONS(2220),
    [anon_sym_DASH_GT] = ACTIONS(2222),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2220),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2220),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2220),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2220),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2220),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2220),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2220),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2220),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2220),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2220),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2220),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2220),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2220),
    [anon_sym_API_AVAILABLE] = ACTIONS(2220),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2220),
    [anon_sym_API_DEPRECATED] = ACTIONS(2220),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2220),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2220),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2220),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2220),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2220),
    [anon_sym___deprecated_msg] = ACTIONS(2220),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2220),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2220),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2220),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2220),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2220),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2220),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2220),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [770] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [771] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [772] = {
    [ts_builtin_sym_end] = ACTIONS(2562),
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_include_token1] = ACTIONS(2560),
    [aux_sym_preproc_include_token2] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_CARET] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym___attribute] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___cdecl] = ACTIONS(2560),
    [anon_sym___clrcall] = ACTIONS(2560),
    [anon_sym___stdcall] = ACTIONS(2560),
    [anon_sym___fastcall] = ACTIONS(2560),
    [anon_sym___thiscall] = ACTIONS(2560),
    [anon_sym___vectorcall] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_ATautoreleasepool] = ACTIONS(2562),
    [anon_sym_auto] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_CG_EXTERN] = ACTIONS(2560),
    [anon_sym_CG_INLINE] = ACTIONS(2560),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2560),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2560),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2560),
    [anon_sym_IBOutlet] = ACTIONS(2560),
    [anon_sym_IBInspectable] = ACTIONS(2560),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2560),
    [anon_sym_NS_INLINE] = ACTIONS(2560),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2560),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2560),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2560),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym__Nonnull] = ACTIONS(2560),
    [anon_sym_nullable] = ACTIONS(2560),
    [anon_sym__Complex] = ACTIONS(2560),
    [anon_sym__Nullable] = ACTIONS(2560),
    [anon_sym__Nullable_result] = ACTIONS(2560),
    [anon_sym__Null_unspecified] = ACTIONS(2560),
    [anon_sym___autoreleasing] = ACTIONS(2560),
    [anon_sym___block] = ACTIONS(2560),
    [anon_sym___bridge] = ACTIONS(2560),
    [anon_sym___bridge_retained] = ACTIONS(2560),
    [anon_sym___bridge_transfer] = ACTIONS(2560),
    [anon_sym___complex] = ACTIONS(2560),
    [anon_sym___const] = ACTIONS(2560),
    [anon_sym___imag] = ACTIONS(2560),
    [anon_sym___kindof] = ACTIONS(2560),
    [anon_sym___nonnull] = ACTIONS(2560),
    [anon_sym___nullable] = ACTIONS(2560),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2560),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2560),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2560),
    [anon_sym___real] = ACTIONS(2560),
    [anon_sym___strong] = ACTIONS(2560),
    [anon_sym___unsafe_unretained] = ACTIONS(2560),
    [anon_sym___unused] = ACTIONS(2560),
    [anon_sym___weak] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym__Alignas] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2560),
    [anon_sym_default] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [anon_sym___asm] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2560),
    [anon_sym___typeof] = ACTIONS(2560),
    [anon_sym_typeof] = ACTIONS(2560),
    [anon_sym_ATimport] = ACTIONS(2562),
    [aux_sym_preproc_undef_token1] = ACTIONS(2560),
    [anon_sym_POUND] = ACTIONS(2560),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2560),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2560),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2560),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2560),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2560),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2560),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2560),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2560),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2560),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_API_AVAILABLE] = ACTIONS(2560),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_API_DEPRECATED] = ACTIONS(2560),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2560),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2560),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2560),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2560),
    [anon_sym___deprecated_msg] = ACTIONS(2560),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2560),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2560),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2560),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2560),
    [anon_sym_ATprotocol] = ACTIONS(2562),
    [anon_sym_ATinterface] = ACTIONS(2562),
    [anon_sym_ATimplementation] = ACTIONS(2562),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2562),
    [anon_sym_ATtry] = ACTIONS(2562),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym_ATthrow] = ACTIONS(2562),
    [anon_sym_ATselector] = ACTIONS(2562),
    [anon_sym_ATavailable] = ACTIONS(2562),
    [anon_sym___builtin_available] = ACTIONS(2560),
    [anon_sym_va_arg] = ACTIONS(2560),
    [anon_sym_ATencode] = ACTIONS(2562),
    [anon_sym_ATsynchronized] = ACTIONS(2562),
    [anon_sym_BOOL] = ACTIONS(2560),
    [anon_sym_IMP] = ACTIONS(2560),
    [anon_sym_SEL] = ACTIONS(2560),
    [anon_sym_Class] = ACTIONS(2560),
    [anon_sym_id] = ACTIONS(2560),
  },
  [773] = {
    [ts_builtin_sym_end] = ACTIONS(2370),
    [sym_identifier] = ACTIONS(2368),
    [aux_sym_preproc_include_token1] = ACTIONS(2368),
    [aux_sym_preproc_include_token2] = ACTIONS(2368),
    [aux_sym_preproc_def_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2368),
    [sym_preproc_directive] = ACTIONS(2368),
    [anon_sym_LPAREN2] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_CARET] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym___extension__] = ACTIONS(2368),
    [anon_sym_typedef] = ACTIONS(2368),
    [anon_sym_extern] = ACTIONS(2368),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym___attribute] = ACTIONS(2368),
    [anon_sym_noreturn] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym___declspec] = ACTIONS(2368),
    [anon_sym___cdecl] = ACTIONS(2368),
    [anon_sym___clrcall] = ACTIONS(2368),
    [anon_sym___stdcall] = ACTIONS(2368),
    [anon_sym___fastcall] = ACTIONS(2368),
    [anon_sym___thiscall] = ACTIONS(2368),
    [anon_sym___vectorcall] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_signed] = ACTIONS(2368),
    [anon_sym_unsigned] = ACTIONS(2368),
    [anon_sym_long] = ACTIONS(2368),
    [anon_sym_short] = ACTIONS(2368),
    [anon_sym_static] = ACTIONS(2368),
    [anon_sym_ATautoreleasepool] = ACTIONS(2370),
    [anon_sym_auto] = ACTIONS(2368),
    [anon_sym_register] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(2368),
    [anon_sym___inline] = ACTIONS(2368),
    [anon_sym___inline__] = ACTIONS(2368),
    [anon_sym___forceinline] = ACTIONS(2368),
    [anon_sym_thread_local] = ACTIONS(2368),
    [anon_sym___thread] = ACTIONS(2368),
    [anon_sym_CG_EXTERN] = ACTIONS(2368),
    [anon_sym_CG_INLINE] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2368),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2368),
    [anon_sym_IBOutlet] = ACTIONS(2368),
    [anon_sym_IBInspectable] = ACTIONS(2368),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2368),
    [anon_sym_NS_INLINE] = ACTIONS(2368),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2368),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2368),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2368),
    [anon_sym_const] = ACTIONS(2368),
    [anon_sym_constexpr] = ACTIONS(2368),
    [anon_sym_volatile] = ACTIONS(2368),
    [anon_sym_restrict] = ACTIONS(2368),
    [anon_sym___restrict__] = ACTIONS(2368),
    [anon_sym__Atomic] = ACTIONS(2368),
    [anon_sym__Noreturn] = ACTIONS(2368),
    [anon_sym__Nonnull] = ACTIONS(2368),
    [anon_sym_nullable] = ACTIONS(2368),
    [anon_sym__Complex] = ACTIONS(2368),
    [anon_sym__Nullable] = ACTIONS(2368),
    [anon_sym__Nullable_result] = ACTIONS(2368),
    [anon_sym__Null_unspecified] = ACTIONS(2368),
    [anon_sym___autoreleasing] = ACTIONS(2368),
    [anon_sym___block] = ACTIONS(2368),
    [anon_sym___bridge] = ACTIONS(2368),
    [anon_sym___bridge_retained] = ACTIONS(2368),
    [anon_sym___bridge_transfer] = ACTIONS(2368),
    [anon_sym___complex] = ACTIONS(2368),
    [anon_sym___const] = ACTIONS(2368),
    [anon_sym___imag] = ACTIONS(2368),
    [anon_sym___kindof] = ACTIONS(2368),
    [anon_sym___nonnull] = ACTIONS(2368),
    [anon_sym___nullable] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2368),
    [anon_sym___real] = ACTIONS(2368),
    [anon_sym___strong] = ACTIONS(2368),
    [anon_sym___unsafe_unretained] = ACTIONS(2368),
    [anon_sym___unused] = ACTIONS(2368),
    [anon_sym___weak] = ACTIONS(2368),
    [anon_sym_alignas] = ACTIONS(2368),
    [anon_sym__Alignas] = ACTIONS(2368),
    [sym_primitive_type] = ACTIONS(2368),
    [anon_sym_enum] = ACTIONS(2368),
    [anon_sym_struct] = ACTIONS(2368),
    [anon_sym_union] = ACTIONS(2368),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_else] = ACTIONS(2368),
    [anon_sym_switch] = ACTIONS(2368),
    [anon_sym_case] = ACTIONS(2368),
    [anon_sym_default] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_do] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2368),
    [anon_sym_in] = ACTIONS(2368),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_break] = ACTIONS(2368),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_goto] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_sizeof] = ACTIONS(2368),
    [anon_sym___alignof__] = ACTIONS(2368),
    [anon_sym___alignof] = ACTIONS(2368),
    [anon_sym__alignof] = ACTIONS(2368),
    [anon_sym_alignof] = ACTIONS(2368),
    [anon_sym__Alignof] = ACTIONS(2368),
    [anon_sym_offsetof] = ACTIONS(2368),
    [anon_sym__Generic] = ACTIONS(2368),
    [anon_sym_asm] = ACTIONS(2368),
    [anon_sym___asm__] = ACTIONS(2368),
    [anon_sym___asm] = ACTIONS(2368),
    [sym_number_literal] = ACTIONS(2370),
    [anon_sym_L_SQUOTE] = ACTIONS(2370),
    [anon_sym_u_SQUOTE] = ACTIONS(2370),
    [anon_sym_U_SQUOTE] = ACTIONS(2370),
    [anon_sym_u8_SQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2368),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_L_DQUOTE] = ACTIONS(2370),
    [anon_sym_u_DQUOTE] = ACTIONS(2370),
    [anon_sym_U_DQUOTE] = ACTIONS(2370),
    [anon_sym_u8_DQUOTE] = ACTIONS(2370),
    [sym_true] = ACTIONS(2368),
    [sym_false] = ACTIONS(2368),
    [anon_sym_NULL] = ACTIONS(2368),
    [anon_sym_nullptr] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2368),
    [anon_sym___typeof] = ACTIONS(2368),
    [anon_sym_typeof] = ACTIONS(2368),
    [anon_sym_ATimport] = ACTIONS(2370),
    [aux_sym_preproc_undef_token1] = ACTIONS(2368),
    [anon_sym_POUND] = ACTIONS(2368),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2368),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2368),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2368),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_API_AVAILABLE] = ACTIONS(2368),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_API_DEPRECATED] = ACTIONS(2368),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym___deprecated_msg] = ACTIONS(2368),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2368),
    [anon_sym_ATprotocol] = ACTIONS(2370),
    [anon_sym_ATinterface] = ACTIONS(2370),
    [anon_sym_ATimplementation] = ACTIONS(2370),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2370),
    [anon_sym_ATtry] = ACTIONS(2370),
    [anon_sym___try] = ACTIONS(2368),
    [anon_sym_ATthrow] = ACTIONS(2370),
    [anon_sym_ATselector] = ACTIONS(2370),
    [anon_sym_ATavailable] = ACTIONS(2370),
    [anon_sym___builtin_available] = ACTIONS(2368),
    [anon_sym_va_arg] = ACTIONS(2368),
    [anon_sym_ATencode] = ACTIONS(2370),
    [anon_sym_ATsynchronized] = ACTIONS(2370),
    [anon_sym_BOOL] = ACTIONS(2368),
    [anon_sym_IMP] = ACTIONS(2368),
    [anon_sym_SEL] = ACTIONS(2368),
    [anon_sym_Class] = ACTIONS(2368),
    [anon_sym_id] = ACTIONS(2368),
  },
  [774] = {
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_include_token1] = ACTIONS(2568),
    [aux_sym_preproc_include_token2] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym___attribute] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_RBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_ATautoreleasepool] = ACTIONS(2570),
    [anon_sym_auto] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_CG_EXTERN] = ACTIONS(2568),
    [anon_sym_CG_INLINE] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2568),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2568),
    [anon_sym_IBOutlet] = ACTIONS(2568),
    [anon_sym_IBInspectable] = ACTIONS(2568),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2568),
    [anon_sym_NS_INLINE] = ACTIONS(2568),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2568),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2568),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym__Nonnull] = ACTIONS(2568),
    [anon_sym_nullable] = ACTIONS(2568),
    [anon_sym__Complex] = ACTIONS(2568),
    [anon_sym__Nullable] = ACTIONS(2568),
    [anon_sym__Nullable_result] = ACTIONS(2568),
    [anon_sym__Null_unspecified] = ACTIONS(2568),
    [anon_sym___autoreleasing] = ACTIONS(2568),
    [anon_sym___block] = ACTIONS(2568),
    [anon_sym___bridge] = ACTIONS(2568),
    [anon_sym___bridge_retained] = ACTIONS(2568),
    [anon_sym___bridge_transfer] = ACTIONS(2568),
    [anon_sym___complex] = ACTIONS(2568),
    [anon_sym___const] = ACTIONS(2568),
    [anon_sym___imag] = ACTIONS(2568),
    [anon_sym___kindof] = ACTIONS(2568),
    [anon_sym___nonnull] = ACTIONS(2568),
    [anon_sym___nullable] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2568),
    [anon_sym___real] = ACTIONS(2568),
    [anon_sym___strong] = ACTIONS(2568),
    [anon_sym___unsafe_unretained] = ACTIONS(2568),
    [anon_sym___unused] = ACTIONS(2568),
    [anon_sym___weak] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_else] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_default] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_in] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [anon_sym___asm] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_AT] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2568),
    [anon_sym___typeof] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(2568),
    [anon_sym_ATimport] = ACTIONS(2570),
    [aux_sym_preproc_undef_token1] = ACTIONS(2568),
    [anon_sym_POUND] = ACTIONS(2568),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2568),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2568),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2568),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_API_AVAILABLE] = ACTIONS(2568),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_API_DEPRECATED] = ACTIONS(2568),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym___deprecated_msg] = ACTIONS(2568),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2568),
    [anon_sym_ATprotocol] = ACTIONS(2570),
    [anon_sym_ATinterface] = ACTIONS(2570),
    [anon_sym_ATimplementation] = ACTIONS(2570),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2570),
    [anon_sym_ATtry] = ACTIONS(2570),
    [anon_sym___try] = ACTIONS(2568),
    [anon_sym_ATthrow] = ACTIONS(2570),
    [anon_sym_ATselector] = ACTIONS(2570),
    [anon_sym_ATavailable] = ACTIONS(2570),
    [anon_sym___builtin_available] = ACTIONS(2568),
    [anon_sym_va_arg] = ACTIONS(2568),
    [anon_sym_ATencode] = ACTIONS(2570),
    [anon_sym_ATsynchronized] = ACTIONS(2570),
    [anon_sym_BOOL] = ACTIONS(2568),
    [anon_sym_IMP] = ACTIONS(2568),
    [anon_sym_SEL] = ACTIONS(2568),
    [anon_sym_Class] = ACTIONS(2568),
    [anon_sym_id] = ACTIONS(2568),
  },
  [775] = {
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_include_token1] = ACTIONS(2568),
    [aux_sym_preproc_include_token2] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym___attribute] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_RBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_ATautoreleasepool] = ACTIONS(2570),
    [anon_sym_auto] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_CG_EXTERN] = ACTIONS(2568),
    [anon_sym_CG_INLINE] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2568),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2568),
    [anon_sym_IBOutlet] = ACTIONS(2568),
    [anon_sym_IBInspectable] = ACTIONS(2568),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2568),
    [anon_sym_NS_INLINE] = ACTIONS(2568),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2568),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2568),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym__Nonnull] = ACTIONS(2568),
    [anon_sym_nullable] = ACTIONS(2568),
    [anon_sym__Complex] = ACTIONS(2568),
    [anon_sym__Nullable] = ACTIONS(2568),
    [anon_sym__Nullable_result] = ACTIONS(2568),
    [anon_sym__Null_unspecified] = ACTIONS(2568),
    [anon_sym___autoreleasing] = ACTIONS(2568),
    [anon_sym___block] = ACTIONS(2568),
    [anon_sym___bridge] = ACTIONS(2568),
    [anon_sym___bridge_retained] = ACTIONS(2568),
    [anon_sym___bridge_transfer] = ACTIONS(2568),
    [anon_sym___complex] = ACTIONS(2568),
    [anon_sym___const] = ACTIONS(2568),
    [anon_sym___imag] = ACTIONS(2568),
    [anon_sym___kindof] = ACTIONS(2568),
    [anon_sym___nonnull] = ACTIONS(2568),
    [anon_sym___nullable] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2568),
    [anon_sym___real] = ACTIONS(2568),
    [anon_sym___strong] = ACTIONS(2568),
    [anon_sym___unsafe_unretained] = ACTIONS(2568),
    [anon_sym___unused] = ACTIONS(2568),
    [anon_sym___weak] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_else] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_default] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_in] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [anon_sym___asm] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_AT] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2568),
    [anon_sym___typeof] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(2568),
    [anon_sym_ATimport] = ACTIONS(2570),
    [aux_sym_preproc_undef_token1] = ACTIONS(2568),
    [anon_sym_POUND] = ACTIONS(2568),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2568),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2568),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2568),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_API_AVAILABLE] = ACTIONS(2568),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_API_DEPRECATED] = ACTIONS(2568),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym___deprecated_msg] = ACTIONS(2568),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2568),
    [anon_sym_ATprotocol] = ACTIONS(2570),
    [anon_sym_ATinterface] = ACTIONS(2570),
    [anon_sym_ATimplementation] = ACTIONS(2570),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2570),
    [anon_sym_ATtry] = ACTIONS(2570),
    [anon_sym___try] = ACTIONS(2568),
    [anon_sym_ATthrow] = ACTIONS(2570),
    [anon_sym_ATselector] = ACTIONS(2570),
    [anon_sym_ATavailable] = ACTIONS(2570),
    [anon_sym___builtin_available] = ACTIONS(2568),
    [anon_sym_va_arg] = ACTIONS(2568),
    [anon_sym_ATencode] = ACTIONS(2570),
    [anon_sym_ATsynchronized] = ACTIONS(2570),
    [anon_sym_BOOL] = ACTIONS(2568),
    [anon_sym_IMP] = ACTIONS(2568),
    [anon_sym_SEL] = ACTIONS(2568),
    [anon_sym_Class] = ACTIONS(2568),
    [anon_sym_id] = ACTIONS(2568),
  },
  [776] = {
    [ts_builtin_sym_end] = ACTIONS(2542),
    [sym_identifier] = ACTIONS(2540),
    [aux_sym_preproc_include_token1] = ACTIONS(2540),
    [aux_sym_preproc_include_token2] = ACTIONS(2540),
    [aux_sym_preproc_def_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2540),
    [sym_preproc_directive] = ACTIONS(2540),
    [anon_sym_LPAREN2] = ACTIONS(2542),
    [anon_sym_BANG] = ACTIONS(2542),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_CARET] = ACTIONS(2542),
    [anon_sym_AMP] = ACTIONS(2542),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_typedef] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym___attribute] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym___cdecl] = ACTIONS(2540),
    [anon_sym___clrcall] = ACTIONS(2540),
    [anon_sym___stdcall] = ACTIONS(2540),
    [anon_sym___fastcall] = ACTIONS(2540),
    [anon_sym___thiscall] = ACTIONS(2540),
    [anon_sym___vectorcall] = ACTIONS(2540),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_ATautoreleasepool] = ACTIONS(2542),
    [anon_sym_auto] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_CG_EXTERN] = ACTIONS(2540),
    [anon_sym_CG_INLINE] = ACTIONS(2540),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2540),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2540),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2540),
    [anon_sym_IBOutlet] = ACTIONS(2540),
    [anon_sym_IBInspectable] = ACTIONS(2540),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2540),
    [anon_sym_NS_INLINE] = ACTIONS(2540),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2540),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2540),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2540),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym__Nonnull] = ACTIONS(2540),
    [anon_sym_nullable] = ACTIONS(2540),
    [anon_sym__Complex] = ACTIONS(2540),
    [anon_sym__Nullable] = ACTIONS(2540),
    [anon_sym__Nullable_result] = ACTIONS(2540),
    [anon_sym__Null_unspecified] = ACTIONS(2540),
    [anon_sym___autoreleasing] = ACTIONS(2540),
    [anon_sym___block] = ACTIONS(2540),
    [anon_sym___bridge] = ACTIONS(2540),
    [anon_sym___bridge_retained] = ACTIONS(2540),
    [anon_sym___bridge_transfer] = ACTIONS(2540),
    [anon_sym___complex] = ACTIONS(2540),
    [anon_sym___const] = ACTIONS(2540),
    [anon_sym___imag] = ACTIONS(2540),
    [anon_sym___kindof] = ACTIONS(2540),
    [anon_sym___nonnull] = ACTIONS(2540),
    [anon_sym___nullable] = ACTIONS(2540),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2540),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2540),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2540),
    [anon_sym___real] = ACTIONS(2540),
    [anon_sym___strong] = ACTIONS(2540),
    [anon_sym___unsafe_unretained] = ACTIONS(2540),
    [anon_sym___unused] = ACTIONS(2540),
    [anon_sym___weak] = ACTIONS(2540),
    [anon_sym_alignas] = ACTIONS(2540),
    [anon_sym__Alignas] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [anon_sym_if] = ACTIONS(2540),
    [anon_sym_else] = ACTIONS(2540),
    [anon_sym_switch] = ACTIONS(2540),
    [anon_sym_case] = ACTIONS(2540),
    [anon_sym_default] = ACTIONS(2540),
    [anon_sym_while] = ACTIONS(2540),
    [anon_sym_do] = ACTIONS(2540),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_in] = ACTIONS(2540),
    [anon_sym_return] = ACTIONS(2540),
    [anon_sym_break] = ACTIONS(2540),
    [anon_sym_continue] = ACTIONS(2540),
    [anon_sym_goto] = ACTIONS(2540),
    [anon_sym_DASH_DASH] = ACTIONS(2542),
    [anon_sym_PLUS_PLUS] = ACTIONS(2542),
    [anon_sym_sizeof] = ACTIONS(2540),
    [anon_sym___alignof__] = ACTIONS(2540),
    [anon_sym___alignof] = ACTIONS(2540),
    [anon_sym__alignof] = ACTIONS(2540),
    [anon_sym_alignof] = ACTIONS(2540),
    [anon_sym__Alignof] = ACTIONS(2540),
    [anon_sym_offsetof] = ACTIONS(2540),
    [anon_sym__Generic] = ACTIONS(2540),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [anon_sym___asm] = ACTIONS(2540),
    [sym_number_literal] = ACTIONS(2542),
    [anon_sym_L_SQUOTE] = ACTIONS(2542),
    [anon_sym_u_SQUOTE] = ACTIONS(2542),
    [anon_sym_U_SQUOTE] = ACTIONS(2542),
    [anon_sym_u8_SQUOTE] = ACTIONS(2542),
    [anon_sym_SQUOTE] = ACTIONS(2542),
    [anon_sym_AT] = ACTIONS(2540),
    [anon_sym_DQUOTE] = ACTIONS(2542),
    [anon_sym_L_DQUOTE] = ACTIONS(2542),
    [anon_sym_u_DQUOTE] = ACTIONS(2542),
    [anon_sym_U_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8_DQUOTE] = ACTIONS(2542),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2540),
    [anon_sym_nullptr] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2540),
    [anon_sym___typeof] = ACTIONS(2540),
    [anon_sym_typeof] = ACTIONS(2540),
    [anon_sym_ATimport] = ACTIONS(2542),
    [aux_sym_preproc_undef_token1] = ACTIONS(2540),
    [anon_sym_POUND] = ACTIONS(2540),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2540),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2540),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2540),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2540),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2540),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2540),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2540),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2540),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2540),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_API_AVAILABLE] = ACTIONS(2540),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_API_DEPRECATED] = ACTIONS(2540),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2540),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2540),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2540),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2540),
    [anon_sym___deprecated_msg] = ACTIONS(2540),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2540),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2540),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2540),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2540),
    [anon_sym_ATprotocol] = ACTIONS(2542),
    [anon_sym_ATinterface] = ACTIONS(2542),
    [anon_sym_ATimplementation] = ACTIONS(2542),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2542),
    [anon_sym_ATtry] = ACTIONS(2542),
    [anon_sym___try] = ACTIONS(2540),
    [anon_sym_ATthrow] = ACTIONS(2542),
    [anon_sym_ATselector] = ACTIONS(2542),
    [anon_sym_ATavailable] = ACTIONS(2542),
    [anon_sym___builtin_available] = ACTIONS(2540),
    [anon_sym_va_arg] = ACTIONS(2540),
    [anon_sym_ATencode] = ACTIONS(2542),
    [anon_sym_ATsynchronized] = ACTIONS(2542),
    [anon_sym_BOOL] = ACTIONS(2540),
    [anon_sym_IMP] = ACTIONS(2540),
    [anon_sym_SEL] = ACTIONS(2540),
    [anon_sym_Class] = ACTIONS(2540),
    [anon_sym_id] = ACTIONS(2540),
  },
  [777] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [778] = {
    [ts_builtin_sym_end] = ACTIONS(2438),
    [sym_identifier] = ACTIONS(2436),
    [aux_sym_preproc_include_token1] = ACTIONS(2436),
    [aux_sym_preproc_include_token2] = ACTIONS(2436),
    [aux_sym_preproc_def_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2436),
    [sym_preproc_directive] = ACTIONS(2436),
    [anon_sym_LPAREN2] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_CARET] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym___attribute] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym___cdecl] = ACTIONS(2436),
    [anon_sym___clrcall] = ACTIONS(2436),
    [anon_sym___stdcall] = ACTIONS(2436),
    [anon_sym___fastcall] = ACTIONS(2436),
    [anon_sym___thiscall] = ACTIONS(2436),
    [anon_sym___vectorcall] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_ATautoreleasepool] = ACTIONS(2438),
    [anon_sym_auto] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_CG_EXTERN] = ACTIONS(2436),
    [anon_sym_CG_INLINE] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2436),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2436),
    [anon_sym_IBOutlet] = ACTIONS(2436),
    [anon_sym_IBInspectable] = ACTIONS(2436),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2436),
    [anon_sym_NS_INLINE] = ACTIONS(2436),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2436),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2436),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym__Nonnull] = ACTIONS(2436),
    [anon_sym_nullable] = ACTIONS(2436),
    [anon_sym__Complex] = ACTIONS(2436),
    [anon_sym__Nullable] = ACTIONS(2436),
    [anon_sym__Nullable_result] = ACTIONS(2436),
    [anon_sym__Null_unspecified] = ACTIONS(2436),
    [anon_sym___autoreleasing] = ACTIONS(2436),
    [anon_sym___block] = ACTIONS(2436),
    [anon_sym___bridge] = ACTIONS(2436),
    [anon_sym___bridge_retained] = ACTIONS(2436),
    [anon_sym___bridge_transfer] = ACTIONS(2436),
    [anon_sym___complex] = ACTIONS(2436),
    [anon_sym___const] = ACTIONS(2436),
    [anon_sym___imag] = ACTIONS(2436),
    [anon_sym___kindof] = ACTIONS(2436),
    [anon_sym___nonnull] = ACTIONS(2436),
    [anon_sym___nullable] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2436),
    [anon_sym___real] = ACTIONS(2436),
    [anon_sym___strong] = ACTIONS(2436),
    [anon_sym___unsafe_unretained] = ACTIONS(2436),
    [anon_sym___unused] = ACTIONS(2436),
    [anon_sym___weak] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym__Alignas] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_else] = ACTIONS(2436),
    [anon_sym_switch] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(2436),
    [anon_sym_default] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_in] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2436),
    [anon_sym_break] = ACTIONS(2436),
    [anon_sym_continue] = ACTIONS(2436),
    [anon_sym_goto] = ACTIONS(2436),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_sizeof] = ACTIONS(2436),
    [anon_sym___alignof__] = ACTIONS(2436),
    [anon_sym___alignof] = ACTIONS(2436),
    [anon_sym__alignof] = ACTIONS(2436),
    [anon_sym_alignof] = ACTIONS(2436),
    [anon_sym__Alignof] = ACTIONS(2436),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2436),
    [anon_sym_asm] = ACTIONS(2436),
    [anon_sym___asm__] = ACTIONS(2436),
    [anon_sym___asm] = ACTIONS(2436),
    [sym_number_literal] = ACTIONS(2438),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_AT] = ACTIONS(2436),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2438),
    [anon_sym_u_DQUOTE] = ACTIONS(2438),
    [anon_sym_U_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8_DQUOTE] = ACTIONS(2438),
    [sym_true] = ACTIONS(2436),
    [sym_false] = ACTIONS(2436),
    [anon_sym_NULL] = ACTIONS(2436),
    [anon_sym_nullptr] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2436),
    [anon_sym___typeof] = ACTIONS(2436),
    [anon_sym_typeof] = ACTIONS(2436),
    [anon_sym_ATimport] = ACTIONS(2438),
    [aux_sym_preproc_undef_token1] = ACTIONS(2436),
    [anon_sym_POUND] = ACTIONS(2436),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2436),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2436),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2436),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_API_AVAILABLE] = ACTIONS(2436),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_API_DEPRECATED] = ACTIONS(2436),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym___deprecated_msg] = ACTIONS(2436),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2436),
    [anon_sym_ATprotocol] = ACTIONS(2438),
    [anon_sym_ATinterface] = ACTIONS(2438),
    [anon_sym_ATimplementation] = ACTIONS(2438),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2438),
    [anon_sym_ATtry] = ACTIONS(2438),
    [anon_sym___try] = ACTIONS(2436),
    [anon_sym_ATthrow] = ACTIONS(2438),
    [anon_sym_ATselector] = ACTIONS(2438),
    [anon_sym_ATavailable] = ACTIONS(2438),
    [anon_sym___builtin_available] = ACTIONS(2436),
    [anon_sym_va_arg] = ACTIONS(2436),
    [anon_sym_ATencode] = ACTIONS(2438),
    [anon_sym_ATsynchronized] = ACTIONS(2438),
    [anon_sym_BOOL] = ACTIONS(2436),
    [anon_sym_IMP] = ACTIONS(2436),
    [anon_sym_SEL] = ACTIONS(2436),
    [anon_sym_Class] = ACTIONS(2436),
    [anon_sym_id] = ACTIONS(2436),
  },
  [779] = {
    [ts_builtin_sym_end] = ACTIONS(2450),
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_include_token1] = ACTIONS(2448),
    [aux_sym_preproc_include_token2] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym___attribute] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___cdecl] = ACTIONS(2448),
    [anon_sym___clrcall] = ACTIONS(2448),
    [anon_sym___stdcall] = ACTIONS(2448),
    [anon_sym___fastcall] = ACTIONS(2448),
    [anon_sym___thiscall] = ACTIONS(2448),
    [anon_sym___vectorcall] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_ATautoreleasepool] = ACTIONS(2450),
    [anon_sym_auto] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_CG_EXTERN] = ACTIONS(2448),
    [anon_sym_CG_INLINE] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2448),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2448),
    [anon_sym_IBOutlet] = ACTIONS(2448),
    [anon_sym_IBInspectable] = ACTIONS(2448),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2448),
    [anon_sym_NS_INLINE] = ACTIONS(2448),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2448),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2448),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym__Nonnull] = ACTIONS(2448),
    [anon_sym_nullable] = ACTIONS(2448),
    [anon_sym__Complex] = ACTIONS(2448),
    [anon_sym__Nullable] = ACTIONS(2448),
    [anon_sym__Nullable_result] = ACTIONS(2448),
    [anon_sym__Null_unspecified] = ACTIONS(2448),
    [anon_sym___autoreleasing] = ACTIONS(2448),
    [anon_sym___block] = ACTIONS(2448),
    [anon_sym___bridge] = ACTIONS(2448),
    [anon_sym___bridge_retained] = ACTIONS(2448),
    [anon_sym___bridge_transfer] = ACTIONS(2448),
    [anon_sym___complex] = ACTIONS(2448),
    [anon_sym___const] = ACTIONS(2448),
    [anon_sym___imag] = ACTIONS(2448),
    [anon_sym___kindof] = ACTIONS(2448),
    [anon_sym___nonnull] = ACTIONS(2448),
    [anon_sym___nullable] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2448),
    [anon_sym___real] = ACTIONS(2448),
    [anon_sym___strong] = ACTIONS(2448),
    [anon_sym___unsafe_unretained] = ACTIONS(2448),
    [anon_sym___unused] = ACTIONS(2448),
    [anon_sym___weak] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym__Alignas] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_switch] = ACTIONS(2448),
    [anon_sym_case] = ACTIONS(2448),
    [anon_sym_default] = ACTIONS(2448),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_do] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_break] = ACTIONS(2448),
    [anon_sym_continue] = ACTIONS(2448),
    [anon_sym_goto] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_sizeof] = ACTIONS(2448),
    [anon_sym___alignof__] = ACTIONS(2448),
    [anon_sym___alignof] = ACTIONS(2448),
    [anon_sym__alignof] = ACTIONS(2448),
    [anon_sym_alignof] = ACTIONS(2448),
    [anon_sym__Alignof] = ACTIONS(2448),
    [anon_sym_offsetof] = ACTIONS(2448),
    [anon_sym__Generic] = ACTIONS(2448),
    [anon_sym_asm] = ACTIONS(2448),
    [anon_sym___asm__] = ACTIONS(2448),
    [anon_sym___asm] = ACTIONS(2448),
    [sym_number_literal] = ACTIONS(2450),
    [anon_sym_L_SQUOTE] = ACTIONS(2450),
    [anon_sym_u_SQUOTE] = ACTIONS(2450),
    [anon_sym_U_SQUOTE] = ACTIONS(2450),
    [anon_sym_u8_SQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_AT] = ACTIONS(2448),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_L_DQUOTE] = ACTIONS(2450),
    [anon_sym_u_DQUOTE] = ACTIONS(2450),
    [anon_sym_U_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8_DQUOTE] = ACTIONS(2450),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2448),
    [anon_sym_nullptr] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2448),
    [anon_sym___typeof] = ACTIONS(2448),
    [anon_sym_typeof] = ACTIONS(2448),
    [anon_sym_ATimport] = ACTIONS(2450),
    [aux_sym_preproc_undef_token1] = ACTIONS(2448),
    [anon_sym_POUND] = ACTIONS(2448),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2448),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2448),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2448),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_API_AVAILABLE] = ACTIONS(2448),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_API_DEPRECATED] = ACTIONS(2448),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym___deprecated_msg] = ACTIONS(2448),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2448),
    [anon_sym_ATprotocol] = ACTIONS(2450),
    [anon_sym_ATinterface] = ACTIONS(2450),
    [anon_sym_ATimplementation] = ACTIONS(2450),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2450),
    [anon_sym_ATtry] = ACTIONS(2450),
    [anon_sym___try] = ACTIONS(2448),
    [anon_sym_ATthrow] = ACTIONS(2450),
    [anon_sym_ATselector] = ACTIONS(2450),
    [anon_sym_ATavailable] = ACTIONS(2450),
    [anon_sym___builtin_available] = ACTIONS(2448),
    [anon_sym_va_arg] = ACTIONS(2448),
    [anon_sym_ATencode] = ACTIONS(2450),
    [anon_sym_ATsynchronized] = ACTIONS(2450),
    [anon_sym_BOOL] = ACTIONS(2448),
    [anon_sym_IMP] = ACTIONS(2448),
    [anon_sym_SEL] = ACTIONS(2448),
    [anon_sym_Class] = ACTIONS(2448),
    [anon_sym_id] = ACTIONS(2448),
  },
  [780] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_include_token1] = ACTIONS(2560),
    [aux_sym_preproc_include_token2] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_CARET] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym___attribute] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___cdecl] = ACTIONS(2560),
    [anon_sym___clrcall] = ACTIONS(2560),
    [anon_sym___stdcall] = ACTIONS(2560),
    [anon_sym___fastcall] = ACTIONS(2560),
    [anon_sym___thiscall] = ACTIONS(2560),
    [anon_sym___vectorcall] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_RBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_ATautoreleasepool] = ACTIONS(2562),
    [anon_sym_auto] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_CG_EXTERN] = ACTIONS(2560),
    [anon_sym_CG_INLINE] = ACTIONS(2560),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2560),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2560),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2560),
    [anon_sym_IBOutlet] = ACTIONS(2560),
    [anon_sym_IBInspectable] = ACTIONS(2560),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2560),
    [anon_sym_NS_INLINE] = ACTIONS(2560),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2560),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2560),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2560),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym__Nonnull] = ACTIONS(2560),
    [anon_sym_nullable] = ACTIONS(2560),
    [anon_sym__Complex] = ACTIONS(2560),
    [anon_sym__Nullable] = ACTIONS(2560),
    [anon_sym__Nullable_result] = ACTIONS(2560),
    [anon_sym__Null_unspecified] = ACTIONS(2560),
    [anon_sym___autoreleasing] = ACTIONS(2560),
    [anon_sym___block] = ACTIONS(2560),
    [anon_sym___bridge] = ACTIONS(2560),
    [anon_sym___bridge_retained] = ACTIONS(2560),
    [anon_sym___bridge_transfer] = ACTIONS(2560),
    [anon_sym___complex] = ACTIONS(2560),
    [anon_sym___const] = ACTIONS(2560),
    [anon_sym___imag] = ACTIONS(2560),
    [anon_sym___kindof] = ACTIONS(2560),
    [anon_sym___nonnull] = ACTIONS(2560),
    [anon_sym___nullable] = ACTIONS(2560),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2560),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2560),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2560),
    [anon_sym___real] = ACTIONS(2560),
    [anon_sym___strong] = ACTIONS(2560),
    [anon_sym___unsafe_unretained] = ACTIONS(2560),
    [anon_sym___unused] = ACTIONS(2560),
    [anon_sym___weak] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym__Alignas] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2560),
    [anon_sym_default] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [anon_sym___asm] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2560),
    [anon_sym___typeof] = ACTIONS(2560),
    [anon_sym_typeof] = ACTIONS(2560),
    [anon_sym_ATimport] = ACTIONS(2562),
    [aux_sym_preproc_undef_token1] = ACTIONS(2560),
    [anon_sym_POUND] = ACTIONS(2560),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2560),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2560),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2560),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2560),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2560),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2560),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2560),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2560),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2560),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_API_AVAILABLE] = ACTIONS(2560),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_API_DEPRECATED] = ACTIONS(2560),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2560),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2560),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2560),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2560),
    [anon_sym___deprecated_msg] = ACTIONS(2560),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2560),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2560),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2560),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2560),
    [anon_sym_ATprotocol] = ACTIONS(2562),
    [anon_sym_ATinterface] = ACTIONS(2562),
    [anon_sym_ATimplementation] = ACTIONS(2562),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2562),
    [anon_sym_ATtry] = ACTIONS(2562),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym_ATthrow] = ACTIONS(2562),
    [anon_sym_ATselector] = ACTIONS(2562),
    [anon_sym_ATavailable] = ACTIONS(2562),
    [anon_sym___builtin_available] = ACTIONS(2560),
    [anon_sym_va_arg] = ACTIONS(2560),
    [anon_sym_ATencode] = ACTIONS(2562),
    [anon_sym_ATsynchronized] = ACTIONS(2562),
    [anon_sym_BOOL] = ACTIONS(2560),
    [anon_sym_IMP] = ACTIONS(2560),
    [anon_sym_SEL] = ACTIONS(2560),
    [anon_sym_Class] = ACTIONS(2560),
    [anon_sym_id] = ACTIONS(2560),
  },
  [781] = {
    [sym_identifier] = ACTIONS(2412),
    [aux_sym_preproc_include_token1] = ACTIONS(2412),
    [aux_sym_preproc_include_token2] = ACTIONS(2412),
    [aux_sym_preproc_def_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token1] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2412),
    [sym_preproc_directive] = ACTIONS(2412),
    [anon_sym_LPAREN2] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(2414),
    [anon_sym_TILDE] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_SEMI] = ACTIONS(2414),
    [anon_sym___extension__] = ACTIONS(2412),
    [anon_sym_typedef] = ACTIONS(2412),
    [anon_sym_extern] = ACTIONS(2412),
    [anon_sym___attribute__] = ACTIONS(2412),
    [anon_sym___attribute] = ACTIONS(2412),
    [anon_sym_noreturn] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2414),
    [anon_sym___declspec] = ACTIONS(2412),
    [anon_sym___cdecl] = ACTIONS(2412),
    [anon_sym___clrcall] = ACTIONS(2412),
    [anon_sym___stdcall] = ACTIONS(2412),
    [anon_sym___fastcall] = ACTIONS(2412),
    [anon_sym___thiscall] = ACTIONS(2412),
    [anon_sym___vectorcall] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2414),
    [anon_sym_RBRACE] = ACTIONS(2414),
    [anon_sym_signed] = ACTIONS(2412),
    [anon_sym_unsigned] = ACTIONS(2412),
    [anon_sym_long] = ACTIONS(2412),
    [anon_sym_short] = ACTIONS(2412),
    [anon_sym_static] = ACTIONS(2412),
    [anon_sym_ATautoreleasepool] = ACTIONS(2414),
    [anon_sym_auto] = ACTIONS(2412),
    [anon_sym_register] = ACTIONS(2412),
    [anon_sym_inline] = ACTIONS(2412),
    [anon_sym___inline] = ACTIONS(2412),
    [anon_sym___inline__] = ACTIONS(2412),
    [anon_sym___forceinline] = ACTIONS(2412),
    [anon_sym_thread_local] = ACTIONS(2412),
    [anon_sym___thread] = ACTIONS(2412),
    [anon_sym_CG_EXTERN] = ACTIONS(2412),
    [anon_sym_CG_INLINE] = ACTIONS(2412),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2412),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2412),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2412),
    [anon_sym_IBOutlet] = ACTIONS(2412),
    [anon_sym_IBInspectable] = ACTIONS(2412),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2412),
    [anon_sym_NS_INLINE] = ACTIONS(2412),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2412),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2412),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2412),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2412),
    [anon_sym_const] = ACTIONS(2412),
    [anon_sym_constexpr] = ACTIONS(2412),
    [anon_sym_volatile] = ACTIONS(2412),
    [anon_sym_restrict] = ACTIONS(2412),
    [anon_sym___restrict__] = ACTIONS(2412),
    [anon_sym__Atomic] = ACTIONS(2412),
    [anon_sym__Noreturn] = ACTIONS(2412),
    [anon_sym__Nonnull] = ACTIONS(2412),
    [anon_sym_nullable] = ACTIONS(2412),
    [anon_sym__Complex] = ACTIONS(2412),
    [anon_sym__Nullable] = ACTIONS(2412),
    [anon_sym__Nullable_result] = ACTIONS(2412),
    [anon_sym__Null_unspecified] = ACTIONS(2412),
    [anon_sym___autoreleasing] = ACTIONS(2412),
    [anon_sym___block] = ACTIONS(2412),
    [anon_sym___bridge] = ACTIONS(2412),
    [anon_sym___bridge_retained] = ACTIONS(2412),
    [anon_sym___bridge_transfer] = ACTIONS(2412),
    [anon_sym___complex] = ACTIONS(2412),
    [anon_sym___const] = ACTIONS(2412),
    [anon_sym___imag] = ACTIONS(2412),
    [anon_sym___kindof] = ACTIONS(2412),
    [anon_sym___nonnull] = ACTIONS(2412),
    [anon_sym___nullable] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2412),
    [anon_sym___real] = ACTIONS(2412),
    [anon_sym___strong] = ACTIONS(2412),
    [anon_sym___unsafe_unretained] = ACTIONS(2412),
    [anon_sym___unused] = ACTIONS(2412),
    [anon_sym___weak] = ACTIONS(2412),
    [anon_sym_alignas] = ACTIONS(2412),
    [anon_sym__Alignas] = ACTIONS(2412),
    [sym_primitive_type] = ACTIONS(2412),
    [anon_sym_enum] = ACTIONS(2412),
    [anon_sym_struct] = ACTIONS(2412),
    [anon_sym_union] = ACTIONS(2412),
    [anon_sym_if] = ACTIONS(2412),
    [anon_sym_else] = ACTIONS(2412),
    [anon_sym_switch] = ACTIONS(2412),
    [anon_sym_case] = ACTIONS(2412),
    [anon_sym_default] = ACTIONS(2412),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_do] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(2412),
    [anon_sym_return] = ACTIONS(2412),
    [anon_sym_break] = ACTIONS(2412),
    [anon_sym_continue] = ACTIONS(2412),
    [anon_sym_goto] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2414),
    [anon_sym_sizeof] = ACTIONS(2412),
    [anon_sym___alignof__] = ACTIONS(2412),
    [anon_sym___alignof] = ACTIONS(2412),
    [anon_sym__alignof] = ACTIONS(2412),
    [anon_sym_alignof] = ACTIONS(2412),
    [anon_sym__Alignof] = ACTIONS(2412),
    [anon_sym_offsetof] = ACTIONS(2412),
    [anon_sym__Generic] = ACTIONS(2412),
    [anon_sym_asm] = ACTIONS(2412),
    [anon_sym___asm__] = ACTIONS(2412),
    [anon_sym___asm] = ACTIONS(2412),
    [sym_number_literal] = ACTIONS(2414),
    [anon_sym_L_SQUOTE] = ACTIONS(2414),
    [anon_sym_u_SQUOTE] = ACTIONS(2414),
    [anon_sym_U_SQUOTE] = ACTIONS(2414),
    [anon_sym_u8_SQUOTE] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_AT] = ACTIONS(2412),
    [anon_sym_DQUOTE] = ACTIONS(2414),
    [anon_sym_L_DQUOTE] = ACTIONS(2414),
    [anon_sym_u_DQUOTE] = ACTIONS(2414),
    [anon_sym_U_DQUOTE] = ACTIONS(2414),
    [anon_sym_u8_DQUOTE] = ACTIONS(2414),
    [sym_true] = ACTIONS(2412),
    [sym_false] = ACTIONS(2412),
    [anon_sym_NULL] = ACTIONS(2412),
    [anon_sym_nullptr] = ACTIONS(2412),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2412),
    [anon_sym___typeof] = ACTIONS(2412),
    [anon_sym_typeof] = ACTIONS(2412),
    [anon_sym_ATimport] = ACTIONS(2414),
    [aux_sym_preproc_undef_token1] = ACTIONS(2412),
    [anon_sym_POUND] = ACTIONS(2412),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2412),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2412),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2412),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2412),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2412),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2412),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2412),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_API_AVAILABLE] = ACTIONS(2412),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_API_DEPRECATED] = ACTIONS(2412),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2412),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym___deprecated_msg] = ACTIONS(2412),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2412),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2412),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2412),
    [anon_sym_ATprotocol] = ACTIONS(2414),
    [anon_sym_ATinterface] = ACTIONS(2414),
    [anon_sym_ATimplementation] = ACTIONS(2414),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2414),
    [anon_sym_ATtry] = ACTIONS(2414),
    [anon_sym___try] = ACTIONS(2412),
    [anon_sym_ATthrow] = ACTIONS(2414),
    [anon_sym_ATselector] = ACTIONS(2414),
    [anon_sym_ATavailable] = ACTIONS(2414),
    [anon_sym___builtin_available] = ACTIONS(2412),
    [anon_sym_va_arg] = ACTIONS(2412),
    [anon_sym_ATencode] = ACTIONS(2414),
    [anon_sym_ATsynchronized] = ACTIONS(2414),
    [anon_sym_BOOL] = ACTIONS(2412),
    [anon_sym_IMP] = ACTIONS(2412),
    [anon_sym_SEL] = ACTIONS(2412),
    [anon_sym_Class] = ACTIONS(2412),
    [anon_sym_id] = ACTIONS(2412),
  },
  [782] = {
    [ts_builtin_sym_end] = ACTIONS(2362),
    [sym_identifier] = ACTIONS(2360),
    [aux_sym_preproc_include_token1] = ACTIONS(2360),
    [aux_sym_preproc_include_token2] = ACTIONS(2360),
    [aux_sym_preproc_def_token1] = ACTIONS(2360),
    [aux_sym_preproc_if_token1] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2360),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2360),
    [sym_preproc_directive] = ACTIONS(2360),
    [anon_sym_LPAREN2] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2362),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_CARET] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2362),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_typedef] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym___attribute] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2362),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym___cdecl] = ACTIONS(2360),
    [anon_sym___clrcall] = ACTIONS(2360),
    [anon_sym___stdcall] = ACTIONS(2360),
    [anon_sym___fastcall] = ACTIONS(2360),
    [anon_sym___thiscall] = ACTIONS(2360),
    [anon_sym___vectorcall] = ACTIONS(2360),
    [anon_sym_LBRACE] = ACTIONS(2362),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_ATautoreleasepool] = ACTIONS(2362),
    [anon_sym_auto] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_CG_EXTERN] = ACTIONS(2360),
    [anon_sym_CG_INLINE] = ACTIONS(2360),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2360),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2360),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2360),
    [anon_sym_IBOutlet] = ACTIONS(2360),
    [anon_sym_IBInspectable] = ACTIONS(2360),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2360),
    [anon_sym_NS_INLINE] = ACTIONS(2360),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2360),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2360),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2360),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym__Nonnull] = ACTIONS(2360),
    [anon_sym_nullable] = ACTIONS(2360),
    [anon_sym__Complex] = ACTIONS(2360),
    [anon_sym__Nullable] = ACTIONS(2360),
    [anon_sym__Nullable_result] = ACTIONS(2360),
    [anon_sym__Null_unspecified] = ACTIONS(2360),
    [anon_sym___autoreleasing] = ACTIONS(2360),
    [anon_sym___block] = ACTIONS(2360),
    [anon_sym___bridge] = ACTIONS(2360),
    [anon_sym___bridge_retained] = ACTIONS(2360),
    [anon_sym___bridge_transfer] = ACTIONS(2360),
    [anon_sym___complex] = ACTIONS(2360),
    [anon_sym___const] = ACTIONS(2360),
    [anon_sym___imag] = ACTIONS(2360),
    [anon_sym___kindof] = ACTIONS(2360),
    [anon_sym___nonnull] = ACTIONS(2360),
    [anon_sym___nullable] = ACTIONS(2360),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2360),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2360),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2360),
    [anon_sym___real] = ACTIONS(2360),
    [anon_sym___strong] = ACTIONS(2360),
    [anon_sym___unsafe_unretained] = ACTIONS(2360),
    [anon_sym___unused] = ACTIONS(2360),
    [anon_sym___weak] = ACTIONS(2360),
    [anon_sym_alignas] = ACTIONS(2360),
    [anon_sym__Alignas] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2360),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_else] = ACTIONS(2360),
    [anon_sym_switch] = ACTIONS(2360),
    [anon_sym_case] = ACTIONS(2360),
    [anon_sym_default] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2360),
    [anon_sym_do] = ACTIONS(2360),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_return] = ACTIONS(2360),
    [anon_sym_break] = ACTIONS(2360),
    [anon_sym_continue] = ACTIONS(2360),
    [anon_sym_goto] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2362),
    [anon_sym_PLUS_PLUS] = ACTIONS(2362),
    [anon_sym_sizeof] = ACTIONS(2360),
    [anon_sym___alignof__] = ACTIONS(2360),
    [anon_sym___alignof] = ACTIONS(2360),
    [anon_sym__alignof] = ACTIONS(2360),
    [anon_sym_alignof] = ACTIONS(2360),
    [anon_sym__Alignof] = ACTIONS(2360),
    [anon_sym_offsetof] = ACTIONS(2360),
    [anon_sym__Generic] = ACTIONS(2360),
    [anon_sym_asm] = ACTIONS(2360),
    [anon_sym___asm__] = ACTIONS(2360),
    [anon_sym___asm] = ACTIONS(2360),
    [sym_number_literal] = ACTIONS(2362),
    [anon_sym_L_SQUOTE] = ACTIONS(2362),
    [anon_sym_u_SQUOTE] = ACTIONS(2362),
    [anon_sym_U_SQUOTE] = ACTIONS(2362),
    [anon_sym_u8_SQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE] = ACTIONS(2362),
    [anon_sym_AT] = ACTIONS(2360),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [anon_sym_L_DQUOTE] = ACTIONS(2362),
    [anon_sym_u_DQUOTE] = ACTIONS(2362),
    [anon_sym_U_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8_DQUOTE] = ACTIONS(2362),
    [sym_true] = ACTIONS(2360),
    [sym_false] = ACTIONS(2360),
    [anon_sym_NULL] = ACTIONS(2360),
    [anon_sym_nullptr] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2360),
    [anon_sym___typeof] = ACTIONS(2360),
    [anon_sym_typeof] = ACTIONS(2360),
    [anon_sym_ATimport] = ACTIONS(2362),
    [aux_sym_preproc_undef_token1] = ACTIONS(2360),
    [anon_sym_POUND] = ACTIONS(2360),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2360),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2360),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2360),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2360),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2360),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2360),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2360),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2360),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2360),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_API_AVAILABLE] = ACTIONS(2360),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_API_DEPRECATED] = ACTIONS(2360),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2360),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2360),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2360),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2360),
    [anon_sym___deprecated_msg] = ACTIONS(2360),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2360),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2360),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2360),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2360),
    [anon_sym_ATprotocol] = ACTIONS(2362),
    [anon_sym_ATinterface] = ACTIONS(2362),
    [anon_sym_ATimplementation] = ACTIONS(2362),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2362),
    [anon_sym_ATcatch] = ACTIONS(2362),
    [anon_sym___catch] = ACTIONS(2360),
    [anon_sym_ATfinally] = ACTIONS(2362),
    [anon_sym___finally] = ACTIONS(2360),
    [anon_sym_ATselector] = ACTIONS(2362),
    [anon_sym_ATavailable] = ACTIONS(2362),
    [anon_sym___builtin_available] = ACTIONS(2360),
    [anon_sym_va_arg] = ACTIONS(2360),
    [anon_sym_ATencode] = ACTIONS(2362),
    [anon_sym_BOOL] = ACTIONS(2360),
    [anon_sym_IMP] = ACTIONS(2360),
    [anon_sym_SEL] = ACTIONS(2360),
    [anon_sym_Class] = ACTIONS(2360),
    [anon_sym_id] = ACTIONS(2360),
  },
  [783] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [784] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [785] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [786] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [787] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [788] = {
    [ts_builtin_sym_end] = ACTIONS(2454),
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_include_token1] = ACTIONS(2452),
    [aux_sym_preproc_include_token2] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_BANG] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym___attribute] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_ATautoreleasepool] = ACTIONS(2454),
    [anon_sym_auto] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_CG_EXTERN] = ACTIONS(2452),
    [anon_sym_CG_INLINE] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2452),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2452),
    [anon_sym_IBOutlet] = ACTIONS(2452),
    [anon_sym_IBInspectable] = ACTIONS(2452),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2452),
    [anon_sym_NS_INLINE] = ACTIONS(2452),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2452),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2452),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym__Nonnull] = ACTIONS(2452),
    [anon_sym_nullable] = ACTIONS(2452),
    [anon_sym__Complex] = ACTIONS(2452),
    [anon_sym__Nullable] = ACTIONS(2452),
    [anon_sym__Nullable_result] = ACTIONS(2452),
    [anon_sym__Null_unspecified] = ACTIONS(2452),
    [anon_sym___autoreleasing] = ACTIONS(2452),
    [anon_sym___block] = ACTIONS(2452),
    [anon_sym___bridge] = ACTIONS(2452),
    [anon_sym___bridge_retained] = ACTIONS(2452),
    [anon_sym___bridge_transfer] = ACTIONS(2452),
    [anon_sym___complex] = ACTIONS(2452),
    [anon_sym___const] = ACTIONS(2452),
    [anon_sym___imag] = ACTIONS(2452),
    [anon_sym___kindof] = ACTIONS(2452),
    [anon_sym___nonnull] = ACTIONS(2452),
    [anon_sym___nullable] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2452),
    [anon_sym___real] = ACTIONS(2452),
    [anon_sym___strong] = ACTIONS(2452),
    [anon_sym___unsafe_unretained] = ACTIONS(2452),
    [anon_sym___unused] = ACTIONS(2452),
    [anon_sym___weak] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym__Alignas] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(2452),
    [anon_sym_case] = ACTIONS(2452),
    [anon_sym_default] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_do] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_break] = ACTIONS(2452),
    [anon_sym_continue] = ACTIONS(2452),
    [anon_sym_goto] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(2454),
    [anon_sym_sizeof] = ACTIONS(2452),
    [anon_sym___alignof__] = ACTIONS(2452),
    [anon_sym___alignof] = ACTIONS(2452),
    [anon_sym__alignof] = ACTIONS(2452),
    [anon_sym_alignof] = ACTIONS(2452),
    [anon_sym__Alignof] = ACTIONS(2452),
    [anon_sym_offsetof] = ACTIONS(2452),
    [anon_sym__Generic] = ACTIONS(2452),
    [anon_sym_asm] = ACTIONS(2452),
    [anon_sym___asm__] = ACTIONS(2452),
    [anon_sym___asm] = ACTIONS(2452),
    [sym_number_literal] = ACTIONS(2454),
    [anon_sym_L_SQUOTE] = ACTIONS(2454),
    [anon_sym_u_SQUOTE] = ACTIONS(2454),
    [anon_sym_U_SQUOTE] = ACTIONS(2454),
    [anon_sym_u8_SQUOTE] = ACTIONS(2454),
    [anon_sym_SQUOTE] = ACTIONS(2454),
    [anon_sym_AT] = ACTIONS(2452),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_L_DQUOTE] = ACTIONS(2454),
    [anon_sym_u_DQUOTE] = ACTIONS(2454),
    [anon_sym_U_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8_DQUOTE] = ACTIONS(2454),
    [sym_true] = ACTIONS(2452),
    [sym_false] = ACTIONS(2452),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2452),
    [anon_sym___typeof] = ACTIONS(2452),
    [anon_sym_typeof] = ACTIONS(2452),
    [anon_sym_ATimport] = ACTIONS(2454),
    [aux_sym_preproc_undef_token1] = ACTIONS(2452),
    [anon_sym_POUND] = ACTIONS(2452),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2452),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2452),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2452),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_API_AVAILABLE] = ACTIONS(2452),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_API_DEPRECATED] = ACTIONS(2452),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym___deprecated_msg] = ACTIONS(2452),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2452),
    [anon_sym_ATprotocol] = ACTIONS(2454),
    [anon_sym_ATinterface] = ACTIONS(2454),
    [anon_sym_ATimplementation] = ACTIONS(2454),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2454),
    [anon_sym_ATtry] = ACTIONS(2454),
    [anon_sym___try] = ACTIONS(2452),
    [anon_sym_ATthrow] = ACTIONS(2454),
    [anon_sym_ATselector] = ACTIONS(2454),
    [anon_sym_ATavailable] = ACTIONS(2454),
    [anon_sym___builtin_available] = ACTIONS(2452),
    [anon_sym_va_arg] = ACTIONS(2452),
    [anon_sym_ATencode] = ACTIONS(2454),
    [anon_sym_ATsynchronized] = ACTIONS(2454),
    [anon_sym_BOOL] = ACTIONS(2452),
    [anon_sym_IMP] = ACTIONS(2452),
    [anon_sym_SEL] = ACTIONS(2452),
    [anon_sym_Class] = ACTIONS(2452),
    [anon_sym_id] = ACTIONS(2452),
  },
  [789] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [790] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [791] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [792] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [793] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [794] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [795] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [796] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [797] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [798] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [799] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [800] = {
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [801] = {
    [sym_identifier] = ACTIONS(2346),
    [aux_sym_preproc_include_token1] = ACTIONS(2346),
    [aux_sym_preproc_include_token2] = ACTIONS(2346),
    [aux_sym_preproc_def_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2346),
    [sym_preproc_directive] = ACTIONS(2346),
    [anon_sym_LPAREN2] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_CARET] = ACTIONS(2348),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym___extension__] = ACTIONS(2346),
    [anon_sym_typedef] = ACTIONS(2346),
    [anon_sym_extern] = ACTIONS(2346),
    [anon_sym___attribute__] = ACTIONS(2346),
    [anon_sym___attribute] = ACTIONS(2346),
    [anon_sym_noreturn] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym___declspec] = ACTIONS(2346),
    [anon_sym___cdecl] = ACTIONS(2346),
    [anon_sym___clrcall] = ACTIONS(2346),
    [anon_sym___stdcall] = ACTIONS(2346),
    [anon_sym___fastcall] = ACTIONS(2346),
    [anon_sym___thiscall] = ACTIONS(2346),
    [anon_sym___vectorcall] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_RBRACE] = ACTIONS(2348),
    [anon_sym_signed] = ACTIONS(2346),
    [anon_sym_unsigned] = ACTIONS(2346),
    [anon_sym_long] = ACTIONS(2346),
    [anon_sym_short] = ACTIONS(2346),
    [anon_sym_static] = ACTIONS(2346),
    [anon_sym_ATautoreleasepool] = ACTIONS(2348),
    [anon_sym_auto] = ACTIONS(2346),
    [anon_sym_register] = ACTIONS(2346),
    [anon_sym_inline] = ACTIONS(2346),
    [anon_sym___inline] = ACTIONS(2346),
    [anon_sym___inline__] = ACTIONS(2346),
    [anon_sym___forceinline] = ACTIONS(2346),
    [anon_sym_thread_local] = ACTIONS(2346),
    [anon_sym___thread] = ACTIONS(2346),
    [anon_sym_CG_EXTERN] = ACTIONS(2346),
    [anon_sym_CG_INLINE] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2346),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2346),
    [anon_sym_IBOutlet] = ACTIONS(2346),
    [anon_sym_IBInspectable] = ACTIONS(2346),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2346),
    [anon_sym_NS_INLINE] = ACTIONS(2346),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2346),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2346),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2346),
    [anon_sym_const] = ACTIONS(2346),
    [anon_sym_constexpr] = ACTIONS(2346),
    [anon_sym_volatile] = ACTIONS(2346),
    [anon_sym_restrict] = ACTIONS(2346),
    [anon_sym___restrict__] = ACTIONS(2346),
    [anon_sym__Atomic] = ACTIONS(2346),
    [anon_sym__Noreturn] = ACTIONS(2346),
    [anon_sym__Nonnull] = ACTIONS(2346),
    [anon_sym_nullable] = ACTIONS(2346),
    [anon_sym__Complex] = ACTIONS(2346),
    [anon_sym__Nullable] = ACTIONS(2346),
    [anon_sym__Nullable_result] = ACTIONS(2346),
    [anon_sym__Null_unspecified] = ACTIONS(2346),
    [anon_sym___autoreleasing] = ACTIONS(2346),
    [anon_sym___block] = ACTIONS(2346),
    [anon_sym___bridge] = ACTIONS(2346),
    [anon_sym___bridge_retained] = ACTIONS(2346),
    [anon_sym___bridge_transfer] = ACTIONS(2346),
    [anon_sym___complex] = ACTIONS(2346),
    [anon_sym___const] = ACTIONS(2346),
    [anon_sym___imag] = ACTIONS(2346),
    [anon_sym___kindof] = ACTIONS(2346),
    [anon_sym___nonnull] = ACTIONS(2346),
    [anon_sym___nullable] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2346),
    [anon_sym___real] = ACTIONS(2346),
    [anon_sym___strong] = ACTIONS(2346),
    [anon_sym___unsafe_unretained] = ACTIONS(2346),
    [anon_sym___unused] = ACTIONS(2346),
    [anon_sym___weak] = ACTIONS(2346),
    [anon_sym_alignas] = ACTIONS(2346),
    [anon_sym__Alignas] = ACTIONS(2346),
    [sym_primitive_type] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2346),
    [anon_sym_struct] = ACTIONS(2346),
    [anon_sym_union] = ACTIONS(2346),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_else] = ACTIONS(2346),
    [anon_sym_switch] = ACTIONS(2346),
    [anon_sym_case] = ACTIONS(2346),
    [anon_sym_default] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2346),
    [anon_sym_for] = ACTIONS(2346),
    [anon_sym_in] = ACTIONS(2346),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_break] = ACTIONS(2346),
    [anon_sym_continue] = ACTIONS(2346),
    [anon_sym_goto] = ACTIONS(2346),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_sizeof] = ACTIONS(2346),
    [anon_sym___alignof__] = ACTIONS(2346),
    [anon_sym___alignof] = ACTIONS(2346),
    [anon_sym__alignof] = ACTIONS(2346),
    [anon_sym_alignof] = ACTIONS(2346),
    [anon_sym__Alignof] = ACTIONS(2346),
    [anon_sym_offsetof] = ACTIONS(2346),
    [anon_sym__Generic] = ACTIONS(2346),
    [anon_sym_asm] = ACTIONS(2346),
    [anon_sym___asm__] = ACTIONS(2346),
    [anon_sym___asm] = ACTIONS(2346),
    [sym_number_literal] = ACTIONS(2348),
    [anon_sym_L_SQUOTE] = ACTIONS(2348),
    [anon_sym_u_SQUOTE] = ACTIONS(2348),
    [anon_sym_U_SQUOTE] = ACTIONS(2348),
    [anon_sym_u8_SQUOTE] = ACTIONS(2348),
    [anon_sym_SQUOTE] = ACTIONS(2348),
    [anon_sym_AT] = ACTIONS(2346),
    [anon_sym_DQUOTE] = ACTIONS(2348),
    [anon_sym_L_DQUOTE] = ACTIONS(2348),
    [anon_sym_u_DQUOTE] = ACTIONS(2348),
    [anon_sym_U_DQUOTE] = ACTIONS(2348),
    [anon_sym_u8_DQUOTE] = ACTIONS(2348),
    [sym_true] = ACTIONS(2346),
    [sym_false] = ACTIONS(2346),
    [anon_sym_NULL] = ACTIONS(2346),
    [anon_sym_nullptr] = ACTIONS(2346),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2346),
    [anon_sym___typeof] = ACTIONS(2346),
    [anon_sym_typeof] = ACTIONS(2346),
    [anon_sym_ATimport] = ACTIONS(2348),
    [aux_sym_preproc_undef_token1] = ACTIONS(2346),
    [anon_sym_POUND] = ACTIONS(2346),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2346),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2346),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2346),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_API_AVAILABLE] = ACTIONS(2346),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_API_DEPRECATED] = ACTIONS(2346),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym___deprecated_msg] = ACTIONS(2346),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2346),
    [anon_sym_ATprotocol] = ACTIONS(2348),
    [anon_sym_ATinterface] = ACTIONS(2348),
    [anon_sym_ATimplementation] = ACTIONS(2348),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2348),
    [anon_sym_ATtry] = ACTIONS(2348),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym_ATthrow] = ACTIONS(2348),
    [anon_sym_ATselector] = ACTIONS(2348),
    [anon_sym_ATavailable] = ACTIONS(2348),
    [anon_sym___builtin_available] = ACTIONS(2346),
    [anon_sym_va_arg] = ACTIONS(2346),
    [anon_sym_ATencode] = ACTIONS(2348),
    [anon_sym_ATsynchronized] = ACTIONS(2348),
    [anon_sym_BOOL] = ACTIONS(2346),
    [anon_sym_IMP] = ACTIONS(2346),
    [anon_sym_SEL] = ACTIONS(2346),
    [anon_sym_Class] = ACTIONS(2346),
    [anon_sym_id] = ACTIONS(2346),
  },
  [802] = {
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_include_token1] = ACTIONS(2478),
    [aux_sym_preproc_include_token2] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_BANG] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_CARET] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2480),
    [anon_sym_SEMI] = ACTIONS(2480),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym___attribute] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___cdecl] = ACTIONS(2478),
    [anon_sym___clrcall] = ACTIONS(2478),
    [anon_sym___stdcall] = ACTIONS(2478),
    [anon_sym___fastcall] = ACTIONS(2478),
    [anon_sym___thiscall] = ACTIONS(2478),
    [anon_sym___vectorcall] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2480),
    [anon_sym_RBRACE] = ACTIONS(2480),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_ATautoreleasepool] = ACTIONS(2480),
    [anon_sym_auto] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_CG_EXTERN] = ACTIONS(2478),
    [anon_sym_CG_INLINE] = ACTIONS(2478),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2478),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2478),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2478),
    [anon_sym_IBOutlet] = ACTIONS(2478),
    [anon_sym_IBInspectable] = ACTIONS(2478),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2478),
    [anon_sym_NS_INLINE] = ACTIONS(2478),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2478),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2478),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2478),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym__Nonnull] = ACTIONS(2478),
    [anon_sym_nullable] = ACTIONS(2478),
    [anon_sym__Complex] = ACTIONS(2478),
    [anon_sym__Nullable] = ACTIONS(2478),
    [anon_sym__Nullable_result] = ACTIONS(2478),
    [anon_sym__Null_unspecified] = ACTIONS(2478),
    [anon_sym___autoreleasing] = ACTIONS(2478),
    [anon_sym___block] = ACTIONS(2478),
    [anon_sym___bridge] = ACTIONS(2478),
    [anon_sym___bridge_retained] = ACTIONS(2478),
    [anon_sym___bridge_transfer] = ACTIONS(2478),
    [anon_sym___complex] = ACTIONS(2478),
    [anon_sym___const] = ACTIONS(2478),
    [anon_sym___imag] = ACTIONS(2478),
    [anon_sym___kindof] = ACTIONS(2478),
    [anon_sym___nonnull] = ACTIONS(2478),
    [anon_sym___nullable] = ACTIONS(2478),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2478),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2478),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2478),
    [anon_sym___real] = ACTIONS(2478),
    [anon_sym___strong] = ACTIONS(2478),
    [anon_sym___unsafe_unretained] = ACTIONS(2478),
    [anon_sym___unused] = ACTIONS(2478),
    [anon_sym___weak] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym__Alignas] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_else] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_case] = ACTIONS(2478),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_in] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_goto] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2480),
    [anon_sym_PLUS_PLUS] = ACTIONS(2480),
    [anon_sym_sizeof] = ACTIONS(2478),
    [anon_sym___alignof__] = ACTIONS(2478),
    [anon_sym___alignof] = ACTIONS(2478),
    [anon_sym__alignof] = ACTIONS(2478),
    [anon_sym_alignof] = ACTIONS(2478),
    [anon_sym__Alignof] = ACTIONS(2478),
    [anon_sym_offsetof] = ACTIONS(2478),
    [anon_sym__Generic] = ACTIONS(2478),
    [anon_sym_asm] = ACTIONS(2478),
    [anon_sym___asm__] = ACTIONS(2478),
    [anon_sym___asm] = ACTIONS(2478),
    [sym_number_literal] = ACTIONS(2480),
    [anon_sym_L_SQUOTE] = ACTIONS(2480),
    [anon_sym_u_SQUOTE] = ACTIONS(2480),
    [anon_sym_U_SQUOTE] = ACTIONS(2480),
    [anon_sym_u8_SQUOTE] = ACTIONS(2480),
    [anon_sym_SQUOTE] = ACTIONS(2480),
    [anon_sym_AT] = ACTIONS(2478),
    [anon_sym_DQUOTE] = ACTIONS(2480),
    [anon_sym_L_DQUOTE] = ACTIONS(2480),
    [anon_sym_u_DQUOTE] = ACTIONS(2480),
    [anon_sym_U_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8_DQUOTE] = ACTIONS(2480),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2478),
    [anon_sym_nullptr] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2478),
    [anon_sym___typeof] = ACTIONS(2478),
    [anon_sym_typeof] = ACTIONS(2478),
    [anon_sym_ATimport] = ACTIONS(2480),
    [aux_sym_preproc_undef_token1] = ACTIONS(2478),
    [anon_sym_POUND] = ACTIONS(2478),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2478),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2478),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2478),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2478),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2478),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2478),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2478),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2478),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2478),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_API_AVAILABLE] = ACTIONS(2478),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_API_DEPRECATED] = ACTIONS(2478),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2478),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2478),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2478),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2478),
    [anon_sym___deprecated_msg] = ACTIONS(2478),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2478),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2478),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2478),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2478),
    [anon_sym_ATprotocol] = ACTIONS(2480),
    [anon_sym_ATinterface] = ACTIONS(2480),
    [anon_sym_ATimplementation] = ACTIONS(2480),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2480),
    [anon_sym_ATtry] = ACTIONS(2480),
    [anon_sym___try] = ACTIONS(2478),
    [anon_sym_ATthrow] = ACTIONS(2480),
    [anon_sym_ATselector] = ACTIONS(2480),
    [anon_sym_ATavailable] = ACTIONS(2480),
    [anon_sym___builtin_available] = ACTIONS(2478),
    [anon_sym_va_arg] = ACTIONS(2478),
    [anon_sym_ATencode] = ACTIONS(2480),
    [anon_sym_ATsynchronized] = ACTIONS(2480),
    [anon_sym_BOOL] = ACTIONS(2478),
    [anon_sym_IMP] = ACTIONS(2478),
    [anon_sym_SEL] = ACTIONS(2478),
    [anon_sym_Class] = ACTIONS(2478),
    [anon_sym_id] = ACTIONS(2478),
  },
  [803] = {
    [sym_identifier] = ACTIONS(2482),
    [aux_sym_preproc_include_token1] = ACTIONS(2482),
    [aux_sym_preproc_include_token2] = ACTIONS(2482),
    [aux_sym_preproc_def_token1] = ACTIONS(2482),
    [aux_sym_preproc_if_token1] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2482),
    [sym_preproc_directive] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(2484),
    [anon_sym_BANG] = ACTIONS(2484),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_DASH] = ACTIONS(2482),
    [anon_sym_PLUS] = ACTIONS(2482),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_CARET] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_SEMI] = ACTIONS(2484),
    [anon_sym___extension__] = ACTIONS(2482),
    [anon_sym_typedef] = ACTIONS(2482),
    [anon_sym_extern] = ACTIONS(2482),
    [anon_sym___attribute__] = ACTIONS(2482),
    [anon_sym___attribute] = ACTIONS(2482),
    [anon_sym_noreturn] = ACTIONS(2482),
    [anon_sym_LBRACK] = ACTIONS(2484),
    [anon_sym___declspec] = ACTIONS(2482),
    [anon_sym___cdecl] = ACTIONS(2482),
    [anon_sym___clrcall] = ACTIONS(2482),
    [anon_sym___stdcall] = ACTIONS(2482),
    [anon_sym___fastcall] = ACTIONS(2482),
    [anon_sym___thiscall] = ACTIONS(2482),
    [anon_sym___vectorcall] = ACTIONS(2482),
    [anon_sym_LBRACE] = ACTIONS(2484),
    [anon_sym_RBRACE] = ACTIONS(2484),
    [anon_sym_signed] = ACTIONS(2482),
    [anon_sym_unsigned] = ACTIONS(2482),
    [anon_sym_long] = ACTIONS(2482),
    [anon_sym_short] = ACTIONS(2482),
    [anon_sym_static] = ACTIONS(2482),
    [anon_sym_ATautoreleasepool] = ACTIONS(2484),
    [anon_sym_auto] = ACTIONS(2482),
    [anon_sym_register] = ACTIONS(2482),
    [anon_sym_inline] = ACTIONS(2482),
    [anon_sym___inline] = ACTIONS(2482),
    [anon_sym___inline__] = ACTIONS(2482),
    [anon_sym___forceinline] = ACTIONS(2482),
    [anon_sym_thread_local] = ACTIONS(2482),
    [anon_sym___thread] = ACTIONS(2482),
    [anon_sym_CG_EXTERN] = ACTIONS(2482),
    [anon_sym_CG_INLINE] = ACTIONS(2482),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2482),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2482),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2482),
    [anon_sym_IBOutlet] = ACTIONS(2482),
    [anon_sym_IBInspectable] = ACTIONS(2482),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2482),
    [anon_sym_NS_INLINE] = ACTIONS(2482),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2482),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2482),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2482),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2482),
    [anon_sym_const] = ACTIONS(2482),
    [anon_sym_constexpr] = ACTIONS(2482),
    [anon_sym_volatile] = ACTIONS(2482),
    [anon_sym_restrict] = ACTIONS(2482),
    [anon_sym___restrict__] = ACTIONS(2482),
    [anon_sym__Atomic] = ACTIONS(2482),
    [anon_sym__Noreturn] = ACTIONS(2482),
    [anon_sym__Nonnull] = ACTIONS(2482),
    [anon_sym_nullable] = ACTIONS(2482),
    [anon_sym__Complex] = ACTIONS(2482),
    [anon_sym__Nullable] = ACTIONS(2482),
    [anon_sym__Nullable_result] = ACTIONS(2482),
    [anon_sym__Null_unspecified] = ACTIONS(2482),
    [anon_sym___autoreleasing] = ACTIONS(2482),
    [anon_sym___block] = ACTIONS(2482),
    [anon_sym___bridge] = ACTIONS(2482),
    [anon_sym___bridge_retained] = ACTIONS(2482),
    [anon_sym___bridge_transfer] = ACTIONS(2482),
    [anon_sym___complex] = ACTIONS(2482),
    [anon_sym___const] = ACTIONS(2482),
    [anon_sym___imag] = ACTIONS(2482),
    [anon_sym___kindof] = ACTIONS(2482),
    [anon_sym___nonnull] = ACTIONS(2482),
    [anon_sym___nullable] = ACTIONS(2482),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2482),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2482),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2482),
    [anon_sym___real] = ACTIONS(2482),
    [anon_sym___strong] = ACTIONS(2482),
    [anon_sym___unsafe_unretained] = ACTIONS(2482),
    [anon_sym___unused] = ACTIONS(2482),
    [anon_sym___weak] = ACTIONS(2482),
    [anon_sym_alignas] = ACTIONS(2482),
    [anon_sym__Alignas] = ACTIONS(2482),
    [sym_primitive_type] = ACTIONS(2482),
    [anon_sym_enum] = ACTIONS(2482),
    [anon_sym_struct] = ACTIONS(2482),
    [anon_sym_union] = ACTIONS(2482),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_else] = ACTIONS(2482),
    [anon_sym_switch] = ACTIONS(2482),
    [anon_sym_case] = ACTIONS(2482),
    [anon_sym_default] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2482),
    [anon_sym_do] = ACTIONS(2482),
    [anon_sym_for] = ACTIONS(2482),
    [anon_sym_in] = ACTIONS(2482),
    [anon_sym_return] = ACTIONS(2482),
    [anon_sym_break] = ACTIONS(2482),
    [anon_sym_continue] = ACTIONS(2482),
    [anon_sym_goto] = ACTIONS(2482),
    [anon_sym_DASH_DASH] = ACTIONS(2484),
    [anon_sym_PLUS_PLUS] = ACTIONS(2484),
    [anon_sym_sizeof] = ACTIONS(2482),
    [anon_sym___alignof__] = ACTIONS(2482),
    [anon_sym___alignof] = ACTIONS(2482),
    [anon_sym__alignof] = ACTIONS(2482),
    [anon_sym_alignof] = ACTIONS(2482),
    [anon_sym__Alignof] = ACTIONS(2482),
    [anon_sym_offsetof] = ACTIONS(2482),
    [anon_sym__Generic] = ACTIONS(2482),
    [anon_sym_asm] = ACTIONS(2482),
    [anon_sym___asm__] = ACTIONS(2482),
    [anon_sym___asm] = ACTIONS(2482),
    [sym_number_literal] = ACTIONS(2484),
    [anon_sym_L_SQUOTE] = ACTIONS(2484),
    [anon_sym_u_SQUOTE] = ACTIONS(2484),
    [anon_sym_U_SQUOTE] = ACTIONS(2484),
    [anon_sym_u8_SQUOTE] = ACTIONS(2484),
    [anon_sym_SQUOTE] = ACTIONS(2484),
    [anon_sym_AT] = ACTIONS(2482),
    [anon_sym_DQUOTE] = ACTIONS(2484),
    [anon_sym_L_DQUOTE] = ACTIONS(2484),
    [anon_sym_u_DQUOTE] = ACTIONS(2484),
    [anon_sym_U_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8_DQUOTE] = ACTIONS(2484),
    [sym_true] = ACTIONS(2482),
    [sym_false] = ACTIONS(2482),
    [anon_sym_NULL] = ACTIONS(2482),
    [anon_sym_nullptr] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2482),
    [anon_sym___typeof] = ACTIONS(2482),
    [anon_sym_typeof] = ACTIONS(2482),
    [anon_sym_ATimport] = ACTIONS(2484),
    [aux_sym_preproc_undef_token1] = ACTIONS(2482),
    [anon_sym_POUND] = ACTIONS(2482),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2482),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2482),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2482),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2482),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2482),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2482),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2482),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2482),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2482),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_API_AVAILABLE] = ACTIONS(2482),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_API_DEPRECATED] = ACTIONS(2482),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2482),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2482),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2482),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2482),
    [anon_sym___deprecated_msg] = ACTIONS(2482),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2482),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2482),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2482),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2482),
    [anon_sym_ATprotocol] = ACTIONS(2484),
    [anon_sym_ATinterface] = ACTIONS(2484),
    [anon_sym_ATimplementation] = ACTIONS(2484),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2484),
    [anon_sym_ATtry] = ACTIONS(2484),
    [anon_sym___try] = ACTIONS(2482),
    [anon_sym_ATthrow] = ACTIONS(2484),
    [anon_sym_ATselector] = ACTIONS(2484),
    [anon_sym_ATavailable] = ACTIONS(2484),
    [anon_sym___builtin_available] = ACTIONS(2482),
    [anon_sym_va_arg] = ACTIONS(2482),
    [anon_sym_ATencode] = ACTIONS(2484),
    [anon_sym_ATsynchronized] = ACTIONS(2484),
    [anon_sym_BOOL] = ACTIONS(2482),
    [anon_sym_IMP] = ACTIONS(2482),
    [anon_sym_SEL] = ACTIONS(2482),
    [anon_sym_Class] = ACTIONS(2482),
    [anon_sym_id] = ACTIONS(2482),
  },
  [804] = {
    [sym_identifier] = ACTIONS(2424),
    [aux_sym_preproc_include_token1] = ACTIONS(2424),
    [aux_sym_preproc_include_token2] = ACTIONS(2424),
    [aux_sym_preproc_def_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token1] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2424),
    [sym_preproc_directive] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_CARET] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym___extension__] = ACTIONS(2424),
    [anon_sym_typedef] = ACTIONS(2424),
    [anon_sym_extern] = ACTIONS(2424),
    [anon_sym___attribute__] = ACTIONS(2424),
    [anon_sym___attribute] = ACTIONS(2424),
    [anon_sym_noreturn] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym___declspec] = ACTIONS(2424),
    [anon_sym___cdecl] = ACTIONS(2424),
    [anon_sym___clrcall] = ACTIONS(2424),
    [anon_sym___stdcall] = ACTIONS(2424),
    [anon_sym___fastcall] = ACTIONS(2424),
    [anon_sym___thiscall] = ACTIONS(2424),
    [anon_sym___vectorcall] = ACTIONS(2424),
    [anon_sym_LBRACE] = ACTIONS(2426),
    [anon_sym_RBRACE] = ACTIONS(2426),
    [anon_sym_signed] = ACTIONS(2424),
    [anon_sym_unsigned] = ACTIONS(2424),
    [anon_sym_long] = ACTIONS(2424),
    [anon_sym_short] = ACTIONS(2424),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_ATautoreleasepool] = ACTIONS(2426),
    [anon_sym_auto] = ACTIONS(2424),
    [anon_sym_register] = ACTIONS(2424),
    [anon_sym_inline] = ACTIONS(2424),
    [anon_sym___inline] = ACTIONS(2424),
    [anon_sym___inline__] = ACTIONS(2424),
    [anon_sym___forceinline] = ACTIONS(2424),
    [anon_sym_thread_local] = ACTIONS(2424),
    [anon_sym___thread] = ACTIONS(2424),
    [anon_sym_CG_EXTERN] = ACTIONS(2424),
    [anon_sym_CG_INLINE] = ACTIONS(2424),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2424),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2424),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2424),
    [anon_sym_IBOutlet] = ACTIONS(2424),
    [anon_sym_IBInspectable] = ACTIONS(2424),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2424),
    [anon_sym_NS_INLINE] = ACTIONS(2424),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2424),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2424),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2424),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2424),
    [anon_sym_const] = ACTIONS(2424),
    [anon_sym_constexpr] = ACTIONS(2424),
    [anon_sym_volatile] = ACTIONS(2424),
    [anon_sym_restrict] = ACTIONS(2424),
    [anon_sym___restrict__] = ACTIONS(2424),
    [anon_sym__Atomic] = ACTIONS(2424),
    [anon_sym__Noreturn] = ACTIONS(2424),
    [anon_sym__Nonnull] = ACTIONS(2424),
    [anon_sym_nullable] = ACTIONS(2424),
    [anon_sym__Complex] = ACTIONS(2424),
    [anon_sym__Nullable] = ACTIONS(2424),
    [anon_sym__Nullable_result] = ACTIONS(2424),
    [anon_sym__Null_unspecified] = ACTIONS(2424),
    [anon_sym___autoreleasing] = ACTIONS(2424),
    [anon_sym___block] = ACTIONS(2424),
    [anon_sym___bridge] = ACTIONS(2424),
    [anon_sym___bridge_retained] = ACTIONS(2424),
    [anon_sym___bridge_transfer] = ACTIONS(2424),
    [anon_sym___complex] = ACTIONS(2424),
    [anon_sym___const] = ACTIONS(2424),
    [anon_sym___imag] = ACTIONS(2424),
    [anon_sym___kindof] = ACTIONS(2424),
    [anon_sym___nonnull] = ACTIONS(2424),
    [anon_sym___nullable] = ACTIONS(2424),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2424),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2424),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2424),
    [anon_sym___real] = ACTIONS(2424),
    [anon_sym___strong] = ACTIONS(2424),
    [anon_sym___unsafe_unretained] = ACTIONS(2424),
    [anon_sym___unused] = ACTIONS(2424),
    [anon_sym___weak] = ACTIONS(2424),
    [anon_sym_alignas] = ACTIONS(2424),
    [anon_sym__Alignas] = ACTIONS(2424),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_enum] = ACTIONS(2424),
    [anon_sym_struct] = ACTIONS(2424),
    [anon_sym_union] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_else] = ACTIONS(2424),
    [anon_sym_switch] = ACTIONS(2424),
    [anon_sym_case] = ACTIONS(2424),
    [anon_sym_default] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_in] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_break] = ACTIONS(2424),
    [anon_sym_continue] = ACTIONS(2424),
    [anon_sym_goto] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2426),
    [anon_sym_sizeof] = ACTIONS(2424),
    [anon_sym___alignof__] = ACTIONS(2424),
    [anon_sym___alignof] = ACTIONS(2424),
    [anon_sym__alignof] = ACTIONS(2424),
    [anon_sym_alignof] = ACTIONS(2424),
    [anon_sym__Alignof] = ACTIONS(2424),
    [anon_sym_offsetof] = ACTIONS(2424),
    [anon_sym__Generic] = ACTIONS(2424),
    [anon_sym_asm] = ACTIONS(2424),
    [anon_sym___asm__] = ACTIONS(2424),
    [anon_sym___asm] = ACTIONS(2424),
    [sym_number_literal] = ACTIONS(2426),
    [anon_sym_L_SQUOTE] = ACTIONS(2426),
    [anon_sym_u_SQUOTE] = ACTIONS(2426),
    [anon_sym_U_SQUOTE] = ACTIONS(2426),
    [anon_sym_u8_SQUOTE] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_AT] = ACTIONS(2424),
    [anon_sym_DQUOTE] = ACTIONS(2426),
    [anon_sym_L_DQUOTE] = ACTIONS(2426),
    [anon_sym_u_DQUOTE] = ACTIONS(2426),
    [anon_sym_U_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8_DQUOTE] = ACTIONS(2426),
    [sym_true] = ACTIONS(2424),
    [sym_false] = ACTIONS(2424),
    [anon_sym_NULL] = ACTIONS(2424),
    [anon_sym_nullptr] = ACTIONS(2424),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2424),
    [anon_sym___typeof] = ACTIONS(2424),
    [anon_sym_typeof] = ACTIONS(2424),
    [anon_sym_ATimport] = ACTIONS(2426),
    [aux_sym_preproc_undef_token1] = ACTIONS(2424),
    [anon_sym_POUND] = ACTIONS(2424),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2424),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2424),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2424),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2424),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2424),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2424),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2424),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2424),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2424),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_API_AVAILABLE] = ACTIONS(2424),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_API_DEPRECATED] = ACTIONS(2424),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2424),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2424),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2424),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2424),
    [anon_sym___deprecated_msg] = ACTIONS(2424),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2424),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2424),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2424),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2424),
    [anon_sym_ATprotocol] = ACTIONS(2426),
    [anon_sym_ATinterface] = ACTIONS(2426),
    [anon_sym_ATimplementation] = ACTIONS(2426),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2426),
    [anon_sym_ATtry] = ACTIONS(2426),
    [anon_sym___try] = ACTIONS(2424),
    [anon_sym_ATthrow] = ACTIONS(2426),
    [anon_sym_ATselector] = ACTIONS(2426),
    [anon_sym_ATavailable] = ACTIONS(2426),
    [anon_sym___builtin_available] = ACTIONS(2424),
    [anon_sym_va_arg] = ACTIONS(2424),
    [anon_sym_ATencode] = ACTIONS(2426),
    [anon_sym_ATsynchronized] = ACTIONS(2426),
    [anon_sym_BOOL] = ACTIONS(2424),
    [anon_sym_IMP] = ACTIONS(2424),
    [anon_sym_SEL] = ACTIONS(2424),
    [anon_sym_Class] = ACTIONS(2424),
    [anon_sym_id] = ACTIONS(2424),
  },
  [805] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [806] = {
    [sym_identifier] = ACTIONS(2356),
    [aux_sym_preproc_include_token1] = ACTIONS(2356),
    [aux_sym_preproc_include_token2] = ACTIONS(2356),
    [aux_sym_preproc_def_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2356),
    [sym_preproc_directive] = ACTIONS(2356),
    [anon_sym_LPAREN2] = ACTIONS(2358),
    [anon_sym_BANG] = ACTIONS(2358),
    [anon_sym_TILDE] = ACTIONS(2358),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2358),
    [anon_sym_CARET] = ACTIONS(2358),
    [anon_sym_AMP] = ACTIONS(2358),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2356),
    [anon_sym_typedef] = ACTIONS(2356),
    [anon_sym_extern] = ACTIONS(2356),
    [anon_sym___attribute__] = ACTIONS(2356),
    [anon_sym___attribute] = ACTIONS(2356),
    [anon_sym_noreturn] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2358),
    [anon_sym___declspec] = ACTIONS(2356),
    [anon_sym___cdecl] = ACTIONS(2356),
    [anon_sym___clrcall] = ACTIONS(2356),
    [anon_sym___stdcall] = ACTIONS(2356),
    [anon_sym___fastcall] = ACTIONS(2356),
    [anon_sym___thiscall] = ACTIONS(2356),
    [anon_sym___vectorcall] = ACTIONS(2356),
    [anon_sym_LBRACE] = ACTIONS(2358),
    [anon_sym_RBRACE] = ACTIONS(2358),
    [anon_sym_signed] = ACTIONS(2356),
    [anon_sym_unsigned] = ACTIONS(2356),
    [anon_sym_long] = ACTIONS(2356),
    [anon_sym_short] = ACTIONS(2356),
    [anon_sym_static] = ACTIONS(2356),
    [anon_sym_ATautoreleasepool] = ACTIONS(2358),
    [anon_sym_auto] = ACTIONS(2356),
    [anon_sym_register] = ACTIONS(2356),
    [anon_sym_inline] = ACTIONS(2356),
    [anon_sym___inline] = ACTIONS(2356),
    [anon_sym___inline__] = ACTIONS(2356),
    [anon_sym___forceinline] = ACTIONS(2356),
    [anon_sym_thread_local] = ACTIONS(2356),
    [anon_sym___thread] = ACTIONS(2356),
    [anon_sym_CG_EXTERN] = ACTIONS(2356),
    [anon_sym_CG_INLINE] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2356),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2356),
    [anon_sym_IBOutlet] = ACTIONS(2356),
    [anon_sym_IBInspectable] = ACTIONS(2356),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2356),
    [anon_sym_NS_INLINE] = ACTIONS(2356),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2356),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2356),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2356),
    [anon_sym_const] = ACTIONS(2356),
    [anon_sym_constexpr] = ACTIONS(2356),
    [anon_sym_volatile] = ACTIONS(2356),
    [anon_sym_restrict] = ACTIONS(2356),
    [anon_sym___restrict__] = ACTIONS(2356),
    [anon_sym__Atomic] = ACTIONS(2356),
    [anon_sym__Noreturn] = ACTIONS(2356),
    [anon_sym__Nonnull] = ACTIONS(2356),
    [anon_sym_nullable] = ACTIONS(2356),
    [anon_sym__Complex] = ACTIONS(2356),
    [anon_sym__Nullable] = ACTIONS(2356),
    [anon_sym__Nullable_result] = ACTIONS(2356),
    [anon_sym__Null_unspecified] = ACTIONS(2356),
    [anon_sym___autoreleasing] = ACTIONS(2356),
    [anon_sym___block] = ACTIONS(2356),
    [anon_sym___bridge] = ACTIONS(2356),
    [anon_sym___bridge_retained] = ACTIONS(2356),
    [anon_sym___bridge_transfer] = ACTIONS(2356),
    [anon_sym___complex] = ACTIONS(2356),
    [anon_sym___const] = ACTIONS(2356),
    [anon_sym___imag] = ACTIONS(2356),
    [anon_sym___kindof] = ACTIONS(2356),
    [anon_sym___nonnull] = ACTIONS(2356),
    [anon_sym___nullable] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2356),
    [anon_sym___real] = ACTIONS(2356),
    [anon_sym___strong] = ACTIONS(2356),
    [anon_sym___unsafe_unretained] = ACTIONS(2356),
    [anon_sym___unused] = ACTIONS(2356),
    [anon_sym___weak] = ACTIONS(2356),
    [anon_sym_alignas] = ACTIONS(2356),
    [anon_sym__Alignas] = ACTIONS(2356),
    [sym_primitive_type] = ACTIONS(2356),
    [anon_sym_enum] = ACTIONS(2356),
    [anon_sym_struct] = ACTIONS(2356),
    [anon_sym_union] = ACTIONS(2356),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_else] = ACTIONS(2356),
    [anon_sym_switch] = ACTIONS(2356),
    [anon_sym_case] = ACTIONS(2356),
    [anon_sym_default] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(2356),
    [anon_sym_for] = ACTIONS(2356),
    [anon_sym_in] = ACTIONS(2356),
    [anon_sym_return] = ACTIONS(2356),
    [anon_sym_break] = ACTIONS(2356),
    [anon_sym_continue] = ACTIONS(2356),
    [anon_sym_goto] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2358),
    [anon_sym_PLUS_PLUS] = ACTIONS(2358),
    [anon_sym_sizeof] = ACTIONS(2356),
    [anon_sym___alignof__] = ACTIONS(2356),
    [anon_sym___alignof] = ACTIONS(2356),
    [anon_sym__alignof] = ACTIONS(2356),
    [anon_sym_alignof] = ACTIONS(2356),
    [anon_sym__Alignof] = ACTIONS(2356),
    [anon_sym_offsetof] = ACTIONS(2356),
    [anon_sym__Generic] = ACTIONS(2356),
    [anon_sym_asm] = ACTIONS(2356),
    [anon_sym___asm__] = ACTIONS(2356),
    [anon_sym___asm] = ACTIONS(2356),
    [sym_number_literal] = ACTIONS(2358),
    [anon_sym_L_SQUOTE] = ACTIONS(2358),
    [anon_sym_u_SQUOTE] = ACTIONS(2358),
    [anon_sym_U_SQUOTE] = ACTIONS(2358),
    [anon_sym_u8_SQUOTE] = ACTIONS(2358),
    [anon_sym_SQUOTE] = ACTIONS(2358),
    [anon_sym_AT] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2358),
    [anon_sym_L_DQUOTE] = ACTIONS(2358),
    [anon_sym_u_DQUOTE] = ACTIONS(2358),
    [anon_sym_U_DQUOTE] = ACTIONS(2358),
    [anon_sym_u8_DQUOTE] = ACTIONS(2358),
    [sym_true] = ACTIONS(2356),
    [sym_false] = ACTIONS(2356),
    [anon_sym_NULL] = ACTIONS(2356),
    [anon_sym_nullptr] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2356),
    [anon_sym___typeof] = ACTIONS(2356),
    [anon_sym_typeof] = ACTIONS(2356),
    [anon_sym_ATimport] = ACTIONS(2358),
    [aux_sym_preproc_undef_token1] = ACTIONS(2356),
    [anon_sym_POUND] = ACTIONS(2356),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2356),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2356),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2356),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_API_AVAILABLE] = ACTIONS(2356),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_API_DEPRECATED] = ACTIONS(2356),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym___deprecated_msg] = ACTIONS(2356),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2356),
    [anon_sym_ATprotocol] = ACTIONS(2358),
    [anon_sym_ATinterface] = ACTIONS(2358),
    [anon_sym_ATimplementation] = ACTIONS(2358),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2358),
    [anon_sym_ATtry] = ACTIONS(2358),
    [anon_sym___try] = ACTIONS(2356),
    [anon_sym_ATthrow] = ACTIONS(2358),
    [anon_sym_ATselector] = ACTIONS(2358),
    [anon_sym_ATavailable] = ACTIONS(2358),
    [anon_sym___builtin_available] = ACTIONS(2356),
    [anon_sym_va_arg] = ACTIONS(2356),
    [anon_sym_ATencode] = ACTIONS(2358),
    [anon_sym_ATsynchronized] = ACTIONS(2358),
    [anon_sym_BOOL] = ACTIONS(2356),
    [anon_sym_IMP] = ACTIONS(2356),
    [anon_sym_SEL] = ACTIONS(2356),
    [anon_sym_Class] = ACTIONS(2356),
    [anon_sym_id] = ACTIONS(2356),
  },
  [807] = {
    [ts_builtin_sym_end] = ACTIONS(2438),
    [sym_identifier] = ACTIONS(2436),
    [aux_sym_preproc_include_token1] = ACTIONS(2436),
    [aux_sym_preproc_include_token2] = ACTIONS(2436),
    [aux_sym_preproc_def_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2436),
    [sym_preproc_directive] = ACTIONS(2436),
    [anon_sym_LPAREN2] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_CARET] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym___attribute] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym___cdecl] = ACTIONS(2436),
    [anon_sym___clrcall] = ACTIONS(2436),
    [anon_sym___stdcall] = ACTIONS(2436),
    [anon_sym___fastcall] = ACTIONS(2436),
    [anon_sym___thiscall] = ACTIONS(2436),
    [anon_sym___vectorcall] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_ATautoreleasepool] = ACTIONS(2438),
    [anon_sym_auto] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_CG_EXTERN] = ACTIONS(2436),
    [anon_sym_CG_INLINE] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2436),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2436),
    [anon_sym_IBOutlet] = ACTIONS(2436),
    [anon_sym_IBInspectable] = ACTIONS(2436),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2436),
    [anon_sym_NS_INLINE] = ACTIONS(2436),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2436),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2436),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym__Nonnull] = ACTIONS(2436),
    [anon_sym_nullable] = ACTIONS(2436),
    [anon_sym__Complex] = ACTIONS(2436),
    [anon_sym__Nullable] = ACTIONS(2436),
    [anon_sym__Nullable_result] = ACTIONS(2436),
    [anon_sym__Null_unspecified] = ACTIONS(2436),
    [anon_sym___autoreleasing] = ACTIONS(2436),
    [anon_sym___block] = ACTIONS(2436),
    [anon_sym___bridge] = ACTIONS(2436),
    [anon_sym___bridge_retained] = ACTIONS(2436),
    [anon_sym___bridge_transfer] = ACTIONS(2436),
    [anon_sym___complex] = ACTIONS(2436),
    [anon_sym___const] = ACTIONS(2436),
    [anon_sym___imag] = ACTIONS(2436),
    [anon_sym___kindof] = ACTIONS(2436),
    [anon_sym___nonnull] = ACTIONS(2436),
    [anon_sym___nullable] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2436),
    [anon_sym___real] = ACTIONS(2436),
    [anon_sym___strong] = ACTIONS(2436),
    [anon_sym___unsafe_unretained] = ACTIONS(2436),
    [anon_sym___unused] = ACTIONS(2436),
    [anon_sym___weak] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym__Alignas] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_else] = ACTIONS(2436),
    [anon_sym_switch] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(2436),
    [anon_sym_default] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_in] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2436),
    [anon_sym_break] = ACTIONS(2436),
    [anon_sym_continue] = ACTIONS(2436),
    [anon_sym_goto] = ACTIONS(2436),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_sizeof] = ACTIONS(2436),
    [anon_sym___alignof__] = ACTIONS(2436),
    [anon_sym___alignof] = ACTIONS(2436),
    [anon_sym__alignof] = ACTIONS(2436),
    [anon_sym_alignof] = ACTIONS(2436),
    [anon_sym__Alignof] = ACTIONS(2436),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2436),
    [anon_sym_asm] = ACTIONS(2436),
    [anon_sym___asm__] = ACTIONS(2436),
    [anon_sym___asm] = ACTIONS(2436),
    [sym_number_literal] = ACTIONS(2438),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_AT] = ACTIONS(2436),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2438),
    [anon_sym_u_DQUOTE] = ACTIONS(2438),
    [anon_sym_U_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8_DQUOTE] = ACTIONS(2438),
    [sym_true] = ACTIONS(2436),
    [sym_false] = ACTIONS(2436),
    [anon_sym_NULL] = ACTIONS(2436),
    [anon_sym_nullptr] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2436),
    [anon_sym___typeof] = ACTIONS(2436),
    [anon_sym_typeof] = ACTIONS(2436),
    [anon_sym_ATimport] = ACTIONS(2438),
    [aux_sym_preproc_undef_token1] = ACTIONS(2436),
    [anon_sym_POUND] = ACTIONS(2436),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2436),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2436),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2436),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_API_AVAILABLE] = ACTIONS(2436),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_API_DEPRECATED] = ACTIONS(2436),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym___deprecated_msg] = ACTIONS(2436),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2436),
    [anon_sym_ATprotocol] = ACTIONS(2438),
    [anon_sym_ATinterface] = ACTIONS(2438),
    [anon_sym_ATimplementation] = ACTIONS(2438),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2438),
    [anon_sym_ATtry] = ACTIONS(2438),
    [anon_sym___try] = ACTIONS(2436),
    [anon_sym_ATthrow] = ACTIONS(2438),
    [anon_sym_ATselector] = ACTIONS(2438),
    [anon_sym_ATavailable] = ACTIONS(2438),
    [anon_sym___builtin_available] = ACTIONS(2436),
    [anon_sym_va_arg] = ACTIONS(2436),
    [anon_sym_ATencode] = ACTIONS(2438),
    [anon_sym_ATsynchronized] = ACTIONS(2438),
    [anon_sym_BOOL] = ACTIONS(2436),
    [anon_sym_IMP] = ACTIONS(2436),
    [anon_sym_SEL] = ACTIONS(2436),
    [anon_sym_Class] = ACTIONS(2436),
    [anon_sym_id] = ACTIONS(2436),
  },
  [808] = {
    [ts_builtin_sym_end] = ACTIONS(2454),
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_include_token1] = ACTIONS(2452),
    [aux_sym_preproc_include_token2] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_BANG] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym___attribute] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_ATautoreleasepool] = ACTIONS(2454),
    [anon_sym_auto] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_CG_EXTERN] = ACTIONS(2452),
    [anon_sym_CG_INLINE] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2452),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2452),
    [anon_sym_IBOutlet] = ACTIONS(2452),
    [anon_sym_IBInspectable] = ACTIONS(2452),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2452),
    [anon_sym_NS_INLINE] = ACTIONS(2452),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2452),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2452),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym__Nonnull] = ACTIONS(2452),
    [anon_sym_nullable] = ACTIONS(2452),
    [anon_sym__Complex] = ACTIONS(2452),
    [anon_sym__Nullable] = ACTIONS(2452),
    [anon_sym__Nullable_result] = ACTIONS(2452),
    [anon_sym__Null_unspecified] = ACTIONS(2452),
    [anon_sym___autoreleasing] = ACTIONS(2452),
    [anon_sym___block] = ACTIONS(2452),
    [anon_sym___bridge] = ACTIONS(2452),
    [anon_sym___bridge_retained] = ACTIONS(2452),
    [anon_sym___bridge_transfer] = ACTIONS(2452),
    [anon_sym___complex] = ACTIONS(2452),
    [anon_sym___const] = ACTIONS(2452),
    [anon_sym___imag] = ACTIONS(2452),
    [anon_sym___kindof] = ACTIONS(2452),
    [anon_sym___nonnull] = ACTIONS(2452),
    [anon_sym___nullable] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2452),
    [anon_sym___real] = ACTIONS(2452),
    [anon_sym___strong] = ACTIONS(2452),
    [anon_sym___unsafe_unretained] = ACTIONS(2452),
    [anon_sym___unused] = ACTIONS(2452),
    [anon_sym___weak] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym__Alignas] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(2452),
    [anon_sym_case] = ACTIONS(2452),
    [anon_sym_default] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_do] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_break] = ACTIONS(2452),
    [anon_sym_continue] = ACTIONS(2452),
    [anon_sym_goto] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(2454),
    [anon_sym_sizeof] = ACTIONS(2452),
    [anon_sym___alignof__] = ACTIONS(2452),
    [anon_sym___alignof] = ACTIONS(2452),
    [anon_sym__alignof] = ACTIONS(2452),
    [anon_sym_alignof] = ACTIONS(2452),
    [anon_sym__Alignof] = ACTIONS(2452),
    [anon_sym_offsetof] = ACTIONS(2452),
    [anon_sym__Generic] = ACTIONS(2452),
    [anon_sym_asm] = ACTIONS(2452),
    [anon_sym___asm__] = ACTIONS(2452),
    [anon_sym___asm] = ACTIONS(2452),
    [sym_number_literal] = ACTIONS(2454),
    [anon_sym_L_SQUOTE] = ACTIONS(2454),
    [anon_sym_u_SQUOTE] = ACTIONS(2454),
    [anon_sym_U_SQUOTE] = ACTIONS(2454),
    [anon_sym_u8_SQUOTE] = ACTIONS(2454),
    [anon_sym_SQUOTE] = ACTIONS(2454),
    [anon_sym_AT] = ACTIONS(2452),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_L_DQUOTE] = ACTIONS(2454),
    [anon_sym_u_DQUOTE] = ACTIONS(2454),
    [anon_sym_U_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8_DQUOTE] = ACTIONS(2454),
    [sym_true] = ACTIONS(2452),
    [sym_false] = ACTIONS(2452),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2452),
    [anon_sym___typeof] = ACTIONS(2452),
    [anon_sym_typeof] = ACTIONS(2452),
    [anon_sym_ATimport] = ACTIONS(2454),
    [aux_sym_preproc_undef_token1] = ACTIONS(2452),
    [anon_sym_POUND] = ACTIONS(2452),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2452),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2452),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2452),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_API_AVAILABLE] = ACTIONS(2452),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_API_DEPRECATED] = ACTIONS(2452),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym___deprecated_msg] = ACTIONS(2452),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2452),
    [anon_sym_ATprotocol] = ACTIONS(2454),
    [anon_sym_ATinterface] = ACTIONS(2454),
    [anon_sym_ATimplementation] = ACTIONS(2454),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2454),
    [anon_sym_ATtry] = ACTIONS(2454),
    [anon_sym___try] = ACTIONS(2452),
    [anon_sym_ATthrow] = ACTIONS(2454),
    [anon_sym_ATselector] = ACTIONS(2454),
    [anon_sym_ATavailable] = ACTIONS(2454),
    [anon_sym___builtin_available] = ACTIONS(2452),
    [anon_sym_va_arg] = ACTIONS(2452),
    [anon_sym_ATencode] = ACTIONS(2454),
    [anon_sym_ATsynchronized] = ACTIONS(2454),
    [anon_sym_BOOL] = ACTIONS(2452),
    [anon_sym_IMP] = ACTIONS(2452),
    [anon_sym_SEL] = ACTIONS(2452),
    [anon_sym_Class] = ACTIONS(2452),
    [anon_sym_id] = ACTIONS(2452),
  },
  [809] = {
    [ts_builtin_sym_end] = ACTIONS(2450),
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_include_token1] = ACTIONS(2448),
    [aux_sym_preproc_include_token2] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym___attribute] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___cdecl] = ACTIONS(2448),
    [anon_sym___clrcall] = ACTIONS(2448),
    [anon_sym___stdcall] = ACTIONS(2448),
    [anon_sym___fastcall] = ACTIONS(2448),
    [anon_sym___thiscall] = ACTIONS(2448),
    [anon_sym___vectorcall] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_ATautoreleasepool] = ACTIONS(2450),
    [anon_sym_auto] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_CG_EXTERN] = ACTIONS(2448),
    [anon_sym_CG_INLINE] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2448),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2448),
    [anon_sym_IBOutlet] = ACTIONS(2448),
    [anon_sym_IBInspectable] = ACTIONS(2448),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2448),
    [anon_sym_NS_INLINE] = ACTIONS(2448),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2448),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2448),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym__Nonnull] = ACTIONS(2448),
    [anon_sym_nullable] = ACTIONS(2448),
    [anon_sym__Complex] = ACTIONS(2448),
    [anon_sym__Nullable] = ACTIONS(2448),
    [anon_sym__Nullable_result] = ACTIONS(2448),
    [anon_sym__Null_unspecified] = ACTIONS(2448),
    [anon_sym___autoreleasing] = ACTIONS(2448),
    [anon_sym___block] = ACTIONS(2448),
    [anon_sym___bridge] = ACTIONS(2448),
    [anon_sym___bridge_retained] = ACTIONS(2448),
    [anon_sym___bridge_transfer] = ACTIONS(2448),
    [anon_sym___complex] = ACTIONS(2448),
    [anon_sym___const] = ACTIONS(2448),
    [anon_sym___imag] = ACTIONS(2448),
    [anon_sym___kindof] = ACTIONS(2448),
    [anon_sym___nonnull] = ACTIONS(2448),
    [anon_sym___nullable] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2448),
    [anon_sym___real] = ACTIONS(2448),
    [anon_sym___strong] = ACTIONS(2448),
    [anon_sym___unsafe_unretained] = ACTIONS(2448),
    [anon_sym___unused] = ACTIONS(2448),
    [anon_sym___weak] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym__Alignas] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_switch] = ACTIONS(2448),
    [anon_sym_case] = ACTIONS(2448),
    [anon_sym_default] = ACTIONS(2448),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_do] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_break] = ACTIONS(2448),
    [anon_sym_continue] = ACTIONS(2448),
    [anon_sym_goto] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_sizeof] = ACTIONS(2448),
    [anon_sym___alignof__] = ACTIONS(2448),
    [anon_sym___alignof] = ACTIONS(2448),
    [anon_sym__alignof] = ACTIONS(2448),
    [anon_sym_alignof] = ACTIONS(2448),
    [anon_sym__Alignof] = ACTIONS(2448),
    [anon_sym_offsetof] = ACTIONS(2448),
    [anon_sym__Generic] = ACTIONS(2448),
    [anon_sym_asm] = ACTIONS(2448),
    [anon_sym___asm__] = ACTIONS(2448),
    [anon_sym___asm] = ACTIONS(2448),
    [sym_number_literal] = ACTIONS(2450),
    [anon_sym_L_SQUOTE] = ACTIONS(2450),
    [anon_sym_u_SQUOTE] = ACTIONS(2450),
    [anon_sym_U_SQUOTE] = ACTIONS(2450),
    [anon_sym_u8_SQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_AT] = ACTIONS(2448),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_L_DQUOTE] = ACTIONS(2450),
    [anon_sym_u_DQUOTE] = ACTIONS(2450),
    [anon_sym_U_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8_DQUOTE] = ACTIONS(2450),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2448),
    [anon_sym_nullptr] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2448),
    [anon_sym___typeof] = ACTIONS(2448),
    [anon_sym_typeof] = ACTIONS(2448),
    [anon_sym_ATimport] = ACTIONS(2450),
    [aux_sym_preproc_undef_token1] = ACTIONS(2448),
    [anon_sym_POUND] = ACTIONS(2448),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2448),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2448),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2448),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_API_AVAILABLE] = ACTIONS(2448),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_API_DEPRECATED] = ACTIONS(2448),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym___deprecated_msg] = ACTIONS(2448),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2448),
    [anon_sym_ATprotocol] = ACTIONS(2450),
    [anon_sym_ATinterface] = ACTIONS(2450),
    [anon_sym_ATimplementation] = ACTIONS(2450),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2450),
    [anon_sym_ATtry] = ACTIONS(2450),
    [anon_sym___try] = ACTIONS(2448),
    [anon_sym_ATthrow] = ACTIONS(2450),
    [anon_sym_ATselector] = ACTIONS(2450),
    [anon_sym_ATavailable] = ACTIONS(2450),
    [anon_sym___builtin_available] = ACTIONS(2448),
    [anon_sym_va_arg] = ACTIONS(2448),
    [anon_sym_ATencode] = ACTIONS(2450),
    [anon_sym_ATsynchronized] = ACTIONS(2450),
    [anon_sym_BOOL] = ACTIONS(2448),
    [anon_sym_IMP] = ACTIONS(2448),
    [anon_sym_SEL] = ACTIONS(2448),
    [anon_sym_Class] = ACTIONS(2448),
    [anon_sym_id] = ACTIONS(2448),
  },
  [810] = {
    [sym_identifier] = ACTIONS(2368),
    [aux_sym_preproc_include_token1] = ACTIONS(2368),
    [aux_sym_preproc_include_token2] = ACTIONS(2368),
    [aux_sym_preproc_def_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2368),
    [sym_preproc_directive] = ACTIONS(2368),
    [anon_sym_LPAREN2] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_CARET] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym___extension__] = ACTIONS(2368),
    [anon_sym_typedef] = ACTIONS(2368),
    [anon_sym_extern] = ACTIONS(2368),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym___attribute] = ACTIONS(2368),
    [anon_sym_noreturn] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym___declspec] = ACTIONS(2368),
    [anon_sym___cdecl] = ACTIONS(2368),
    [anon_sym___clrcall] = ACTIONS(2368),
    [anon_sym___stdcall] = ACTIONS(2368),
    [anon_sym___fastcall] = ACTIONS(2368),
    [anon_sym___thiscall] = ACTIONS(2368),
    [anon_sym___vectorcall] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [anon_sym_signed] = ACTIONS(2368),
    [anon_sym_unsigned] = ACTIONS(2368),
    [anon_sym_long] = ACTIONS(2368),
    [anon_sym_short] = ACTIONS(2368),
    [anon_sym_static] = ACTIONS(2368),
    [anon_sym_ATautoreleasepool] = ACTIONS(2370),
    [anon_sym_auto] = ACTIONS(2368),
    [anon_sym_register] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(2368),
    [anon_sym___inline] = ACTIONS(2368),
    [anon_sym___inline__] = ACTIONS(2368),
    [anon_sym___forceinline] = ACTIONS(2368),
    [anon_sym_thread_local] = ACTIONS(2368),
    [anon_sym___thread] = ACTIONS(2368),
    [anon_sym_CG_EXTERN] = ACTIONS(2368),
    [anon_sym_CG_INLINE] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2368),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2368),
    [anon_sym_IBOutlet] = ACTIONS(2368),
    [anon_sym_IBInspectable] = ACTIONS(2368),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2368),
    [anon_sym_NS_INLINE] = ACTIONS(2368),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2368),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2368),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2368),
    [anon_sym_const] = ACTIONS(2368),
    [anon_sym_constexpr] = ACTIONS(2368),
    [anon_sym_volatile] = ACTIONS(2368),
    [anon_sym_restrict] = ACTIONS(2368),
    [anon_sym___restrict__] = ACTIONS(2368),
    [anon_sym__Atomic] = ACTIONS(2368),
    [anon_sym__Noreturn] = ACTIONS(2368),
    [anon_sym__Nonnull] = ACTIONS(2368),
    [anon_sym_nullable] = ACTIONS(2368),
    [anon_sym__Complex] = ACTIONS(2368),
    [anon_sym__Nullable] = ACTIONS(2368),
    [anon_sym__Nullable_result] = ACTIONS(2368),
    [anon_sym__Null_unspecified] = ACTIONS(2368),
    [anon_sym___autoreleasing] = ACTIONS(2368),
    [anon_sym___block] = ACTIONS(2368),
    [anon_sym___bridge] = ACTIONS(2368),
    [anon_sym___bridge_retained] = ACTIONS(2368),
    [anon_sym___bridge_transfer] = ACTIONS(2368),
    [anon_sym___complex] = ACTIONS(2368),
    [anon_sym___const] = ACTIONS(2368),
    [anon_sym___imag] = ACTIONS(2368),
    [anon_sym___kindof] = ACTIONS(2368),
    [anon_sym___nonnull] = ACTIONS(2368),
    [anon_sym___nullable] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2368),
    [anon_sym___real] = ACTIONS(2368),
    [anon_sym___strong] = ACTIONS(2368),
    [anon_sym___unsafe_unretained] = ACTIONS(2368),
    [anon_sym___unused] = ACTIONS(2368),
    [anon_sym___weak] = ACTIONS(2368),
    [anon_sym_alignas] = ACTIONS(2368),
    [anon_sym__Alignas] = ACTIONS(2368),
    [sym_primitive_type] = ACTIONS(2368),
    [anon_sym_enum] = ACTIONS(2368),
    [anon_sym_struct] = ACTIONS(2368),
    [anon_sym_union] = ACTIONS(2368),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_else] = ACTIONS(2368),
    [anon_sym_switch] = ACTIONS(2368),
    [anon_sym_case] = ACTIONS(2368),
    [anon_sym_default] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_do] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2368),
    [anon_sym_in] = ACTIONS(2368),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_break] = ACTIONS(2368),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_goto] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_sizeof] = ACTIONS(2368),
    [anon_sym___alignof__] = ACTIONS(2368),
    [anon_sym___alignof] = ACTIONS(2368),
    [anon_sym__alignof] = ACTIONS(2368),
    [anon_sym_alignof] = ACTIONS(2368),
    [anon_sym__Alignof] = ACTIONS(2368),
    [anon_sym_offsetof] = ACTIONS(2368),
    [anon_sym__Generic] = ACTIONS(2368),
    [anon_sym_asm] = ACTIONS(2368),
    [anon_sym___asm__] = ACTIONS(2368),
    [anon_sym___asm] = ACTIONS(2368),
    [sym_number_literal] = ACTIONS(2370),
    [anon_sym_L_SQUOTE] = ACTIONS(2370),
    [anon_sym_u_SQUOTE] = ACTIONS(2370),
    [anon_sym_U_SQUOTE] = ACTIONS(2370),
    [anon_sym_u8_SQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2368),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_L_DQUOTE] = ACTIONS(2370),
    [anon_sym_u_DQUOTE] = ACTIONS(2370),
    [anon_sym_U_DQUOTE] = ACTIONS(2370),
    [anon_sym_u8_DQUOTE] = ACTIONS(2370),
    [sym_true] = ACTIONS(2368),
    [sym_false] = ACTIONS(2368),
    [anon_sym_NULL] = ACTIONS(2368),
    [anon_sym_nullptr] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2368),
    [anon_sym___typeof] = ACTIONS(2368),
    [anon_sym_typeof] = ACTIONS(2368),
    [anon_sym_ATimport] = ACTIONS(2370),
    [aux_sym_preproc_undef_token1] = ACTIONS(2368),
    [anon_sym_POUND] = ACTIONS(2368),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2368),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2368),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2368),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_API_AVAILABLE] = ACTIONS(2368),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_API_DEPRECATED] = ACTIONS(2368),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym___deprecated_msg] = ACTIONS(2368),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2368),
    [anon_sym_ATprotocol] = ACTIONS(2370),
    [anon_sym_ATinterface] = ACTIONS(2370),
    [anon_sym_ATimplementation] = ACTIONS(2370),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2370),
    [anon_sym_ATtry] = ACTIONS(2370),
    [anon_sym___try] = ACTIONS(2368),
    [anon_sym_ATthrow] = ACTIONS(2370),
    [anon_sym_ATselector] = ACTIONS(2370),
    [anon_sym_ATavailable] = ACTIONS(2370),
    [anon_sym___builtin_available] = ACTIONS(2368),
    [anon_sym_va_arg] = ACTIONS(2368),
    [anon_sym_ATencode] = ACTIONS(2370),
    [anon_sym_ATsynchronized] = ACTIONS(2370),
    [anon_sym_BOOL] = ACTIONS(2368),
    [anon_sym_IMP] = ACTIONS(2368),
    [anon_sym_SEL] = ACTIONS(2368),
    [anon_sym_Class] = ACTIONS(2368),
    [anon_sym_id] = ACTIONS(2368),
  },
  [811] = {
    [sym_identifier] = ACTIONS(2306),
    [aux_sym_preproc_include_token1] = ACTIONS(2306),
    [aux_sym_preproc_include_token2] = ACTIONS(2306),
    [aux_sym_preproc_def_token1] = ACTIONS(2306),
    [aux_sym_preproc_if_token1] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2306),
    [sym_preproc_directive] = ACTIONS(2306),
    [anon_sym_LPAREN2] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_CARET] = ACTIONS(2308),
    [anon_sym_AMP] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2308),
    [anon_sym___extension__] = ACTIONS(2306),
    [anon_sym_typedef] = ACTIONS(2306),
    [anon_sym_extern] = ACTIONS(2306),
    [anon_sym___attribute__] = ACTIONS(2306),
    [anon_sym___attribute] = ACTIONS(2306),
    [anon_sym_noreturn] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym___declspec] = ACTIONS(2306),
    [anon_sym___cdecl] = ACTIONS(2306),
    [anon_sym___clrcall] = ACTIONS(2306),
    [anon_sym___stdcall] = ACTIONS(2306),
    [anon_sym___fastcall] = ACTIONS(2306),
    [anon_sym___thiscall] = ACTIONS(2306),
    [anon_sym___vectorcall] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2308),
    [anon_sym_RBRACE] = ACTIONS(2308),
    [anon_sym_signed] = ACTIONS(2306),
    [anon_sym_unsigned] = ACTIONS(2306),
    [anon_sym_long] = ACTIONS(2306),
    [anon_sym_short] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_ATautoreleasepool] = ACTIONS(2308),
    [anon_sym_auto] = ACTIONS(2306),
    [anon_sym_register] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(2306),
    [anon_sym___inline] = ACTIONS(2306),
    [anon_sym___inline__] = ACTIONS(2306),
    [anon_sym___forceinline] = ACTIONS(2306),
    [anon_sym_thread_local] = ACTIONS(2306),
    [anon_sym___thread] = ACTIONS(2306),
    [anon_sym_CG_EXTERN] = ACTIONS(2306),
    [anon_sym_CG_INLINE] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2306),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2306),
    [anon_sym_IBOutlet] = ACTIONS(2306),
    [anon_sym_IBInspectable] = ACTIONS(2306),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2306),
    [anon_sym_NS_INLINE] = ACTIONS(2306),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2306),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2306),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_constexpr] = ACTIONS(2306),
    [anon_sym_volatile] = ACTIONS(2306),
    [anon_sym_restrict] = ACTIONS(2306),
    [anon_sym___restrict__] = ACTIONS(2306),
    [anon_sym__Atomic] = ACTIONS(2306),
    [anon_sym__Noreturn] = ACTIONS(2306),
    [anon_sym__Nonnull] = ACTIONS(2306),
    [anon_sym_nullable] = ACTIONS(2306),
    [anon_sym__Complex] = ACTIONS(2306),
    [anon_sym__Nullable] = ACTIONS(2306),
    [anon_sym__Nullable_result] = ACTIONS(2306),
    [anon_sym__Null_unspecified] = ACTIONS(2306),
    [anon_sym___autoreleasing] = ACTIONS(2306),
    [anon_sym___block] = ACTIONS(2306),
    [anon_sym___bridge] = ACTIONS(2306),
    [anon_sym___bridge_retained] = ACTIONS(2306),
    [anon_sym___bridge_transfer] = ACTIONS(2306),
    [anon_sym___complex] = ACTIONS(2306),
    [anon_sym___const] = ACTIONS(2306),
    [anon_sym___imag] = ACTIONS(2306),
    [anon_sym___kindof] = ACTIONS(2306),
    [anon_sym___nonnull] = ACTIONS(2306),
    [anon_sym___nullable] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2306),
    [anon_sym___real] = ACTIONS(2306),
    [anon_sym___strong] = ACTIONS(2306),
    [anon_sym___unsafe_unretained] = ACTIONS(2306),
    [anon_sym___unused] = ACTIONS(2306),
    [anon_sym___weak] = ACTIONS(2306),
    [anon_sym_alignas] = ACTIONS(2306),
    [anon_sym__Alignas] = ACTIONS(2306),
    [sym_primitive_type] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [anon_sym_struct] = ACTIONS(2306),
    [anon_sym_union] = ACTIONS(2306),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_else] = ACTIONS(2306),
    [anon_sym_switch] = ACTIONS(2306),
    [anon_sym_case] = ACTIONS(2306),
    [anon_sym_default] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2306),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2306),
    [anon_sym_continue] = ACTIONS(2306),
    [anon_sym_goto] = ACTIONS(2306),
    [anon_sym_DASH_DASH] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(2308),
    [anon_sym_sizeof] = ACTIONS(2306),
    [anon_sym___alignof__] = ACTIONS(2306),
    [anon_sym___alignof] = ACTIONS(2306),
    [anon_sym__alignof] = ACTIONS(2306),
    [anon_sym_alignof] = ACTIONS(2306),
    [anon_sym__Alignof] = ACTIONS(2306),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2306),
    [anon_sym_asm] = ACTIONS(2306),
    [anon_sym___asm__] = ACTIONS(2306),
    [anon_sym___asm] = ACTIONS(2306),
    [sym_number_literal] = ACTIONS(2308),
    [anon_sym_L_SQUOTE] = ACTIONS(2308),
    [anon_sym_u_SQUOTE] = ACTIONS(2308),
    [anon_sym_U_SQUOTE] = ACTIONS(2308),
    [anon_sym_u8_SQUOTE] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [anon_sym_AT] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2308),
    [anon_sym_L_DQUOTE] = ACTIONS(2308),
    [anon_sym_u_DQUOTE] = ACTIONS(2308),
    [anon_sym_U_DQUOTE] = ACTIONS(2308),
    [anon_sym_u8_DQUOTE] = ACTIONS(2308),
    [sym_true] = ACTIONS(2306),
    [sym_false] = ACTIONS(2306),
    [anon_sym_NULL] = ACTIONS(2306),
    [anon_sym_nullptr] = ACTIONS(2306),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2306),
    [anon_sym___typeof] = ACTIONS(2306),
    [anon_sym_typeof] = ACTIONS(2306),
    [anon_sym_ATimport] = ACTIONS(2308),
    [aux_sym_preproc_undef_token1] = ACTIONS(2306),
    [anon_sym_POUND] = ACTIONS(2306),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2306),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2306),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2306),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_API_AVAILABLE] = ACTIONS(2306),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_API_DEPRECATED] = ACTIONS(2306),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym___deprecated_msg] = ACTIONS(2306),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2306),
    [anon_sym_ATprotocol] = ACTIONS(2308),
    [anon_sym_ATinterface] = ACTIONS(2308),
    [anon_sym_ATimplementation] = ACTIONS(2308),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2308),
    [anon_sym_ATtry] = ACTIONS(2308),
    [anon_sym___try] = ACTIONS(2306),
    [anon_sym_ATthrow] = ACTIONS(2308),
    [anon_sym_ATselector] = ACTIONS(2308),
    [anon_sym_ATavailable] = ACTIONS(2308),
    [anon_sym___builtin_available] = ACTIONS(2306),
    [anon_sym_va_arg] = ACTIONS(2306),
    [anon_sym_ATencode] = ACTIONS(2308),
    [anon_sym_ATsynchronized] = ACTIONS(2308),
    [anon_sym_BOOL] = ACTIONS(2306),
    [anon_sym_IMP] = ACTIONS(2306),
    [anon_sym_SEL] = ACTIONS(2306),
    [anon_sym_Class] = ACTIONS(2306),
    [anon_sym_id] = ACTIONS(2306),
  },
  [812] = {
    [sym_identifier] = ACTIONS(2516),
    [aux_sym_preproc_include_token1] = ACTIONS(2516),
    [aux_sym_preproc_include_token2] = ACTIONS(2516),
    [aux_sym_preproc_def_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2516),
    [sym_preproc_directive] = ACTIONS(2516),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_BANG] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_CARET] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_typedef] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym___attribute] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym___cdecl] = ACTIONS(2516),
    [anon_sym___clrcall] = ACTIONS(2516),
    [anon_sym___stdcall] = ACTIONS(2516),
    [anon_sym___fastcall] = ACTIONS(2516),
    [anon_sym___thiscall] = ACTIONS(2516),
    [anon_sym___vectorcall] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_RBRACE] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_ATautoreleasepool] = ACTIONS(2518),
    [anon_sym_auto] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_CG_EXTERN] = ACTIONS(2516),
    [anon_sym_CG_INLINE] = ACTIONS(2516),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2516),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2516),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2516),
    [anon_sym_IBOutlet] = ACTIONS(2516),
    [anon_sym_IBInspectable] = ACTIONS(2516),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2516),
    [anon_sym_NS_INLINE] = ACTIONS(2516),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2516),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2516),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2516),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym__Nonnull] = ACTIONS(2516),
    [anon_sym_nullable] = ACTIONS(2516),
    [anon_sym__Complex] = ACTIONS(2516),
    [anon_sym__Nullable] = ACTIONS(2516),
    [anon_sym__Nullable_result] = ACTIONS(2516),
    [anon_sym__Null_unspecified] = ACTIONS(2516),
    [anon_sym___autoreleasing] = ACTIONS(2516),
    [anon_sym___block] = ACTIONS(2516),
    [anon_sym___bridge] = ACTIONS(2516),
    [anon_sym___bridge_retained] = ACTIONS(2516),
    [anon_sym___bridge_transfer] = ACTIONS(2516),
    [anon_sym___complex] = ACTIONS(2516),
    [anon_sym___const] = ACTIONS(2516),
    [anon_sym___imag] = ACTIONS(2516),
    [anon_sym___kindof] = ACTIONS(2516),
    [anon_sym___nonnull] = ACTIONS(2516),
    [anon_sym___nullable] = ACTIONS(2516),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2516),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2516),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2516),
    [anon_sym___real] = ACTIONS(2516),
    [anon_sym___strong] = ACTIONS(2516),
    [anon_sym___unsafe_unretained] = ACTIONS(2516),
    [anon_sym___unused] = ACTIONS(2516),
    [anon_sym___weak] = ACTIONS(2516),
    [anon_sym_alignas] = ACTIONS(2516),
    [anon_sym__Alignas] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [anon_sym_if] = ACTIONS(2516),
    [anon_sym_else] = ACTIONS(2516),
    [anon_sym_switch] = ACTIONS(2516),
    [anon_sym_case] = ACTIONS(2516),
    [anon_sym_default] = ACTIONS(2516),
    [anon_sym_while] = ACTIONS(2516),
    [anon_sym_do] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2516),
    [anon_sym_in] = ACTIONS(2516),
    [anon_sym_return] = ACTIONS(2516),
    [anon_sym_break] = ACTIONS(2516),
    [anon_sym_continue] = ACTIONS(2516),
    [anon_sym_goto] = ACTIONS(2516),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_sizeof] = ACTIONS(2516),
    [anon_sym___alignof__] = ACTIONS(2516),
    [anon_sym___alignof] = ACTIONS(2516),
    [anon_sym__alignof] = ACTIONS(2516),
    [anon_sym_alignof] = ACTIONS(2516),
    [anon_sym__Alignof] = ACTIONS(2516),
    [anon_sym_offsetof] = ACTIONS(2516),
    [anon_sym__Generic] = ACTIONS(2516),
    [anon_sym_asm] = ACTIONS(2516),
    [anon_sym___asm__] = ACTIONS(2516),
    [anon_sym___asm] = ACTIONS(2516),
    [sym_number_literal] = ACTIONS(2518),
    [anon_sym_L_SQUOTE] = ACTIONS(2518),
    [anon_sym_u_SQUOTE] = ACTIONS(2518),
    [anon_sym_U_SQUOTE] = ACTIONS(2518),
    [anon_sym_u8_SQUOTE] = ACTIONS(2518),
    [anon_sym_SQUOTE] = ACTIONS(2518),
    [anon_sym_AT] = ACTIONS(2516),
    [anon_sym_DQUOTE] = ACTIONS(2518),
    [anon_sym_L_DQUOTE] = ACTIONS(2518),
    [anon_sym_u_DQUOTE] = ACTIONS(2518),
    [anon_sym_U_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8_DQUOTE] = ACTIONS(2518),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [anon_sym_NULL] = ACTIONS(2516),
    [anon_sym_nullptr] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2516),
    [anon_sym___typeof] = ACTIONS(2516),
    [anon_sym_typeof] = ACTIONS(2516),
    [anon_sym_ATimport] = ACTIONS(2518),
    [aux_sym_preproc_undef_token1] = ACTIONS(2516),
    [anon_sym_POUND] = ACTIONS(2516),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2516),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2516),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2516),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2516),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2516),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2516),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2516),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2516),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2516),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_API_AVAILABLE] = ACTIONS(2516),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_API_DEPRECATED] = ACTIONS(2516),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2516),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2516),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2516),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2516),
    [anon_sym___deprecated_msg] = ACTIONS(2516),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2516),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2516),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2516),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2516),
    [anon_sym_ATprotocol] = ACTIONS(2518),
    [anon_sym_ATinterface] = ACTIONS(2518),
    [anon_sym_ATimplementation] = ACTIONS(2518),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2518),
    [anon_sym_ATtry] = ACTIONS(2518),
    [anon_sym___try] = ACTIONS(2516),
    [anon_sym_ATthrow] = ACTIONS(2518),
    [anon_sym_ATselector] = ACTIONS(2518),
    [anon_sym_ATavailable] = ACTIONS(2518),
    [anon_sym___builtin_available] = ACTIONS(2516),
    [anon_sym_va_arg] = ACTIONS(2516),
    [anon_sym_ATencode] = ACTIONS(2518),
    [anon_sym_ATsynchronized] = ACTIONS(2518),
    [anon_sym_BOOL] = ACTIONS(2516),
    [anon_sym_IMP] = ACTIONS(2516),
    [anon_sym_SEL] = ACTIONS(2516),
    [anon_sym_Class] = ACTIONS(2516),
    [anon_sym_id] = ACTIONS(2516),
  },
  [813] = {
    [ts_builtin_sym_end] = ACTIONS(2348),
    [sym_identifier] = ACTIONS(2346),
    [aux_sym_preproc_include_token1] = ACTIONS(2346),
    [aux_sym_preproc_include_token2] = ACTIONS(2346),
    [aux_sym_preproc_def_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2346),
    [sym_preproc_directive] = ACTIONS(2346),
    [anon_sym_LPAREN2] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_CARET] = ACTIONS(2348),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym___extension__] = ACTIONS(2346),
    [anon_sym_typedef] = ACTIONS(2346),
    [anon_sym_extern] = ACTIONS(2346),
    [anon_sym___attribute__] = ACTIONS(2346),
    [anon_sym___attribute] = ACTIONS(2346),
    [anon_sym_noreturn] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym___declspec] = ACTIONS(2346),
    [anon_sym___cdecl] = ACTIONS(2346),
    [anon_sym___clrcall] = ACTIONS(2346),
    [anon_sym___stdcall] = ACTIONS(2346),
    [anon_sym___fastcall] = ACTIONS(2346),
    [anon_sym___thiscall] = ACTIONS(2346),
    [anon_sym___vectorcall] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_signed] = ACTIONS(2346),
    [anon_sym_unsigned] = ACTIONS(2346),
    [anon_sym_long] = ACTIONS(2346),
    [anon_sym_short] = ACTIONS(2346),
    [anon_sym_static] = ACTIONS(2346),
    [anon_sym_ATautoreleasepool] = ACTIONS(2348),
    [anon_sym_auto] = ACTIONS(2346),
    [anon_sym_register] = ACTIONS(2346),
    [anon_sym_inline] = ACTIONS(2346),
    [anon_sym___inline] = ACTIONS(2346),
    [anon_sym___inline__] = ACTIONS(2346),
    [anon_sym___forceinline] = ACTIONS(2346),
    [anon_sym_thread_local] = ACTIONS(2346),
    [anon_sym___thread] = ACTIONS(2346),
    [anon_sym_CG_EXTERN] = ACTIONS(2346),
    [anon_sym_CG_INLINE] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2346),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2346),
    [anon_sym_IBOutlet] = ACTIONS(2346),
    [anon_sym_IBInspectable] = ACTIONS(2346),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2346),
    [anon_sym_NS_INLINE] = ACTIONS(2346),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2346),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2346),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2346),
    [anon_sym_const] = ACTIONS(2346),
    [anon_sym_constexpr] = ACTIONS(2346),
    [anon_sym_volatile] = ACTIONS(2346),
    [anon_sym_restrict] = ACTIONS(2346),
    [anon_sym___restrict__] = ACTIONS(2346),
    [anon_sym__Atomic] = ACTIONS(2346),
    [anon_sym__Noreturn] = ACTIONS(2346),
    [anon_sym__Nonnull] = ACTIONS(2346),
    [anon_sym_nullable] = ACTIONS(2346),
    [anon_sym__Complex] = ACTIONS(2346),
    [anon_sym__Nullable] = ACTIONS(2346),
    [anon_sym__Nullable_result] = ACTIONS(2346),
    [anon_sym__Null_unspecified] = ACTIONS(2346),
    [anon_sym___autoreleasing] = ACTIONS(2346),
    [anon_sym___block] = ACTIONS(2346),
    [anon_sym___bridge] = ACTIONS(2346),
    [anon_sym___bridge_retained] = ACTIONS(2346),
    [anon_sym___bridge_transfer] = ACTIONS(2346),
    [anon_sym___complex] = ACTIONS(2346),
    [anon_sym___const] = ACTIONS(2346),
    [anon_sym___imag] = ACTIONS(2346),
    [anon_sym___kindof] = ACTIONS(2346),
    [anon_sym___nonnull] = ACTIONS(2346),
    [anon_sym___nullable] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2346),
    [anon_sym___real] = ACTIONS(2346),
    [anon_sym___strong] = ACTIONS(2346),
    [anon_sym___unsafe_unretained] = ACTIONS(2346),
    [anon_sym___unused] = ACTIONS(2346),
    [anon_sym___weak] = ACTIONS(2346),
    [anon_sym_alignas] = ACTIONS(2346),
    [anon_sym__Alignas] = ACTIONS(2346),
    [sym_primitive_type] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2346),
    [anon_sym_struct] = ACTIONS(2346),
    [anon_sym_union] = ACTIONS(2346),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_else] = ACTIONS(2346),
    [anon_sym_switch] = ACTIONS(2346),
    [anon_sym_case] = ACTIONS(2346),
    [anon_sym_default] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2346),
    [anon_sym_for] = ACTIONS(2346),
    [anon_sym_in] = ACTIONS(2346),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_break] = ACTIONS(2346),
    [anon_sym_continue] = ACTIONS(2346),
    [anon_sym_goto] = ACTIONS(2346),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_sizeof] = ACTIONS(2346),
    [anon_sym___alignof__] = ACTIONS(2346),
    [anon_sym___alignof] = ACTIONS(2346),
    [anon_sym__alignof] = ACTIONS(2346),
    [anon_sym_alignof] = ACTIONS(2346),
    [anon_sym__Alignof] = ACTIONS(2346),
    [anon_sym_offsetof] = ACTIONS(2346),
    [anon_sym__Generic] = ACTIONS(2346),
    [anon_sym_asm] = ACTIONS(2346),
    [anon_sym___asm__] = ACTIONS(2346),
    [anon_sym___asm] = ACTIONS(2346),
    [sym_number_literal] = ACTIONS(2348),
    [anon_sym_L_SQUOTE] = ACTIONS(2348),
    [anon_sym_u_SQUOTE] = ACTIONS(2348),
    [anon_sym_U_SQUOTE] = ACTIONS(2348),
    [anon_sym_u8_SQUOTE] = ACTIONS(2348),
    [anon_sym_SQUOTE] = ACTIONS(2348),
    [anon_sym_AT] = ACTIONS(2346),
    [anon_sym_DQUOTE] = ACTIONS(2348),
    [anon_sym_L_DQUOTE] = ACTIONS(2348),
    [anon_sym_u_DQUOTE] = ACTIONS(2348),
    [anon_sym_U_DQUOTE] = ACTIONS(2348),
    [anon_sym_u8_DQUOTE] = ACTIONS(2348),
    [sym_true] = ACTIONS(2346),
    [sym_false] = ACTIONS(2346),
    [anon_sym_NULL] = ACTIONS(2346),
    [anon_sym_nullptr] = ACTIONS(2346),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2346),
    [anon_sym___typeof] = ACTIONS(2346),
    [anon_sym_typeof] = ACTIONS(2346),
    [anon_sym_ATimport] = ACTIONS(2348),
    [aux_sym_preproc_undef_token1] = ACTIONS(2346),
    [anon_sym_POUND] = ACTIONS(2346),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2346),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2346),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2346),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_API_AVAILABLE] = ACTIONS(2346),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_API_DEPRECATED] = ACTIONS(2346),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym___deprecated_msg] = ACTIONS(2346),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2346),
    [anon_sym_ATprotocol] = ACTIONS(2348),
    [anon_sym_ATinterface] = ACTIONS(2348),
    [anon_sym_ATimplementation] = ACTIONS(2348),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2348),
    [anon_sym_ATcatch] = ACTIONS(2348),
    [anon_sym___catch] = ACTIONS(2346),
    [anon_sym_ATfinally] = ACTIONS(2348),
    [anon_sym___finally] = ACTIONS(2346),
    [anon_sym_ATselector] = ACTIONS(2348),
    [anon_sym_ATavailable] = ACTIONS(2348),
    [anon_sym___builtin_available] = ACTIONS(2346),
    [anon_sym_va_arg] = ACTIONS(2346),
    [anon_sym_ATencode] = ACTIONS(2348),
    [anon_sym_BOOL] = ACTIONS(2346),
    [anon_sym_IMP] = ACTIONS(2346),
    [anon_sym_SEL] = ACTIONS(2346),
    [anon_sym_Class] = ACTIONS(2346),
    [anon_sym_id] = ACTIONS(2346),
  },
  [814] = {
    [ts_builtin_sym_end] = ACTIONS(2358),
    [sym_identifier] = ACTIONS(2356),
    [aux_sym_preproc_include_token1] = ACTIONS(2356),
    [aux_sym_preproc_include_token2] = ACTIONS(2356),
    [aux_sym_preproc_def_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2356),
    [sym_preproc_directive] = ACTIONS(2356),
    [anon_sym_LPAREN2] = ACTIONS(2358),
    [anon_sym_BANG] = ACTIONS(2358),
    [anon_sym_TILDE] = ACTIONS(2358),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2358),
    [anon_sym_CARET] = ACTIONS(2358),
    [anon_sym_AMP] = ACTIONS(2358),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2356),
    [anon_sym_typedef] = ACTIONS(2356),
    [anon_sym_extern] = ACTIONS(2356),
    [anon_sym___attribute__] = ACTIONS(2356),
    [anon_sym___attribute] = ACTIONS(2356),
    [anon_sym_noreturn] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2358),
    [anon_sym___declspec] = ACTIONS(2356),
    [anon_sym___cdecl] = ACTIONS(2356),
    [anon_sym___clrcall] = ACTIONS(2356),
    [anon_sym___stdcall] = ACTIONS(2356),
    [anon_sym___fastcall] = ACTIONS(2356),
    [anon_sym___thiscall] = ACTIONS(2356),
    [anon_sym___vectorcall] = ACTIONS(2356),
    [anon_sym_LBRACE] = ACTIONS(2358),
    [anon_sym_signed] = ACTIONS(2356),
    [anon_sym_unsigned] = ACTIONS(2356),
    [anon_sym_long] = ACTIONS(2356),
    [anon_sym_short] = ACTIONS(2356),
    [anon_sym_static] = ACTIONS(2356),
    [anon_sym_ATautoreleasepool] = ACTIONS(2358),
    [anon_sym_auto] = ACTIONS(2356),
    [anon_sym_register] = ACTIONS(2356),
    [anon_sym_inline] = ACTIONS(2356),
    [anon_sym___inline] = ACTIONS(2356),
    [anon_sym___inline__] = ACTIONS(2356),
    [anon_sym___forceinline] = ACTIONS(2356),
    [anon_sym_thread_local] = ACTIONS(2356),
    [anon_sym___thread] = ACTIONS(2356),
    [anon_sym_CG_EXTERN] = ACTIONS(2356),
    [anon_sym_CG_INLINE] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2356),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2356),
    [anon_sym_IBOutlet] = ACTIONS(2356),
    [anon_sym_IBInspectable] = ACTIONS(2356),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2356),
    [anon_sym_NS_INLINE] = ACTIONS(2356),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2356),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2356),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2356),
    [anon_sym_const] = ACTIONS(2356),
    [anon_sym_constexpr] = ACTIONS(2356),
    [anon_sym_volatile] = ACTIONS(2356),
    [anon_sym_restrict] = ACTIONS(2356),
    [anon_sym___restrict__] = ACTIONS(2356),
    [anon_sym__Atomic] = ACTIONS(2356),
    [anon_sym__Noreturn] = ACTIONS(2356),
    [anon_sym__Nonnull] = ACTIONS(2356),
    [anon_sym_nullable] = ACTIONS(2356),
    [anon_sym__Complex] = ACTIONS(2356),
    [anon_sym__Nullable] = ACTIONS(2356),
    [anon_sym__Nullable_result] = ACTIONS(2356),
    [anon_sym__Null_unspecified] = ACTIONS(2356),
    [anon_sym___autoreleasing] = ACTIONS(2356),
    [anon_sym___block] = ACTIONS(2356),
    [anon_sym___bridge] = ACTIONS(2356),
    [anon_sym___bridge_retained] = ACTIONS(2356),
    [anon_sym___bridge_transfer] = ACTIONS(2356),
    [anon_sym___complex] = ACTIONS(2356),
    [anon_sym___const] = ACTIONS(2356),
    [anon_sym___imag] = ACTIONS(2356),
    [anon_sym___kindof] = ACTIONS(2356),
    [anon_sym___nonnull] = ACTIONS(2356),
    [anon_sym___nullable] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2356),
    [anon_sym___real] = ACTIONS(2356),
    [anon_sym___strong] = ACTIONS(2356),
    [anon_sym___unsafe_unretained] = ACTIONS(2356),
    [anon_sym___unused] = ACTIONS(2356),
    [anon_sym___weak] = ACTIONS(2356),
    [anon_sym_alignas] = ACTIONS(2356),
    [anon_sym__Alignas] = ACTIONS(2356),
    [sym_primitive_type] = ACTIONS(2356),
    [anon_sym_enum] = ACTIONS(2356),
    [anon_sym_struct] = ACTIONS(2356),
    [anon_sym_union] = ACTIONS(2356),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_else] = ACTIONS(2356),
    [anon_sym_switch] = ACTIONS(2356),
    [anon_sym_case] = ACTIONS(2356),
    [anon_sym_default] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(2356),
    [anon_sym_for] = ACTIONS(2356),
    [anon_sym_in] = ACTIONS(2356),
    [anon_sym_return] = ACTIONS(2356),
    [anon_sym_break] = ACTIONS(2356),
    [anon_sym_continue] = ACTIONS(2356),
    [anon_sym_goto] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2358),
    [anon_sym_PLUS_PLUS] = ACTIONS(2358),
    [anon_sym_sizeof] = ACTIONS(2356),
    [anon_sym___alignof__] = ACTIONS(2356),
    [anon_sym___alignof] = ACTIONS(2356),
    [anon_sym__alignof] = ACTIONS(2356),
    [anon_sym_alignof] = ACTIONS(2356),
    [anon_sym__Alignof] = ACTIONS(2356),
    [anon_sym_offsetof] = ACTIONS(2356),
    [anon_sym__Generic] = ACTIONS(2356),
    [anon_sym_asm] = ACTIONS(2356),
    [anon_sym___asm__] = ACTIONS(2356),
    [anon_sym___asm] = ACTIONS(2356),
    [sym_number_literal] = ACTIONS(2358),
    [anon_sym_L_SQUOTE] = ACTIONS(2358),
    [anon_sym_u_SQUOTE] = ACTIONS(2358),
    [anon_sym_U_SQUOTE] = ACTIONS(2358),
    [anon_sym_u8_SQUOTE] = ACTIONS(2358),
    [anon_sym_SQUOTE] = ACTIONS(2358),
    [anon_sym_AT] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2358),
    [anon_sym_L_DQUOTE] = ACTIONS(2358),
    [anon_sym_u_DQUOTE] = ACTIONS(2358),
    [anon_sym_U_DQUOTE] = ACTIONS(2358),
    [anon_sym_u8_DQUOTE] = ACTIONS(2358),
    [sym_true] = ACTIONS(2356),
    [sym_false] = ACTIONS(2356),
    [anon_sym_NULL] = ACTIONS(2356),
    [anon_sym_nullptr] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2356),
    [anon_sym___typeof] = ACTIONS(2356),
    [anon_sym_typeof] = ACTIONS(2356),
    [anon_sym_ATimport] = ACTIONS(2358),
    [aux_sym_preproc_undef_token1] = ACTIONS(2356),
    [anon_sym_POUND] = ACTIONS(2356),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2356),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2356),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2356),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_API_AVAILABLE] = ACTIONS(2356),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_API_DEPRECATED] = ACTIONS(2356),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym___deprecated_msg] = ACTIONS(2356),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2356),
    [anon_sym_ATprotocol] = ACTIONS(2358),
    [anon_sym_ATinterface] = ACTIONS(2358),
    [anon_sym_ATimplementation] = ACTIONS(2358),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2358),
    [anon_sym_ATcatch] = ACTIONS(2358),
    [anon_sym___catch] = ACTIONS(2356),
    [anon_sym_ATfinally] = ACTIONS(2358),
    [anon_sym___finally] = ACTIONS(2356),
    [anon_sym_ATselector] = ACTIONS(2358),
    [anon_sym_ATavailable] = ACTIONS(2358),
    [anon_sym___builtin_available] = ACTIONS(2356),
    [anon_sym_va_arg] = ACTIONS(2356),
    [anon_sym_ATencode] = ACTIONS(2358),
    [anon_sym_BOOL] = ACTIONS(2356),
    [anon_sym_IMP] = ACTIONS(2356),
    [anon_sym_SEL] = ACTIONS(2356),
    [anon_sym_Class] = ACTIONS(2356),
    [anon_sym_id] = ACTIONS(2356),
  },
  [815] = {
    [ts_builtin_sym_end] = ACTIONS(2370),
    [sym_identifier] = ACTIONS(2368),
    [aux_sym_preproc_include_token1] = ACTIONS(2368),
    [aux_sym_preproc_include_token2] = ACTIONS(2368),
    [aux_sym_preproc_def_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2368),
    [sym_preproc_directive] = ACTIONS(2368),
    [anon_sym_LPAREN2] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_CARET] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym___extension__] = ACTIONS(2368),
    [anon_sym_typedef] = ACTIONS(2368),
    [anon_sym_extern] = ACTIONS(2368),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym___attribute] = ACTIONS(2368),
    [anon_sym_noreturn] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym___declspec] = ACTIONS(2368),
    [anon_sym___cdecl] = ACTIONS(2368),
    [anon_sym___clrcall] = ACTIONS(2368),
    [anon_sym___stdcall] = ACTIONS(2368),
    [anon_sym___fastcall] = ACTIONS(2368),
    [anon_sym___thiscall] = ACTIONS(2368),
    [anon_sym___vectorcall] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_signed] = ACTIONS(2368),
    [anon_sym_unsigned] = ACTIONS(2368),
    [anon_sym_long] = ACTIONS(2368),
    [anon_sym_short] = ACTIONS(2368),
    [anon_sym_static] = ACTIONS(2368),
    [anon_sym_ATautoreleasepool] = ACTIONS(2370),
    [anon_sym_auto] = ACTIONS(2368),
    [anon_sym_register] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(2368),
    [anon_sym___inline] = ACTIONS(2368),
    [anon_sym___inline__] = ACTIONS(2368),
    [anon_sym___forceinline] = ACTIONS(2368),
    [anon_sym_thread_local] = ACTIONS(2368),
    [anon_sym___thread] = ACTIONS(2368),
    [anon_sym_CG_EXTERN] = ACTIONS(2368),
    [anon_sym_CG_INLINE] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2368),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2368),
    [anon_sym_IBOutlet] = ACTIONS(2368),
    [anon_sym_IBInspectable] = ACTIONS(2368),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2368),
    [anon_sym_NS_INLINE] = ACTIONS(2368),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2368),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2368),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2368),
    [anon_sym_const] = ACTIONS(2368),
    [anon_sym_constexpr] = ACTIONS(2368),
    [anon_sym_volatile] = ACTIONS(2368),
    [anon_sym_restrict] = ACTIONS(2368),
    [anon_sym___restrict__] = ACTIONS(2368),
    [anon_sym__Atomic] = ACTIONS(2368),
    [anon_sym__Noreturn] = ACTIONS(2368),
    [anon_sym__Nonnull] = ACTIONS(2368),
    [anon_sym_nullable] = ACTIONS(2368),
    [anon_sym__Complex] = ACTIONS(2368),
    [anon_sym__Nullable] = ACTIONS(2368),
    [anon_sym__Nullable_result] = ACTIONS(2368),
    [anon_sym__Null_unspecified] = ACTIONS(2368),
    [anon_sym___autoreleasing] = ACTIONS(2368),
    [anon_sym___block] = ACTIONS(2368),
    [anon_sym___bridge] = ACTIONS(2368),
    [anon_sym___bridge_retained] = ACTIONS(2368),
    [anon_sym___bridge_transfer] = ACTIONS(2368),
    [anon_sym___complex] = ACTIONS(2368),
    [anon_sym___const] = ACTIONS(2368),
    [anon_sym___imag] = ACTIONS(2368),
    [anon_sym___kindof] = ACTIONS(2368),
    [anon_sym___nonnull] = ACTIONS(2368),
    [anon_sym___nullable] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2368),
    [anon_sym___real] = ACTIONS(2368),
    [anon_sym___strong] = ACTIONS(2368),
    [anon_sym___unsafe_unretained] = ACTIONS(2368),
    [anon_sym___unused] = ACTIONS(2368),
    [anon_sym___weak] = ACTIONS(2368),
    [anon_sym_alignas] = ACTIONS(2368),
    [anon_sym__Alignas] = ACTIONS(2368),
    [sym_primitive_type] = ACTIONS(2368),
    [anon_sym_enum] = ACTIONS(2368),
    [anon_sym_struct] = ACTIONS(2368),
    [anon_sym_union] = ACTIONS(2368),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_else] = ACTIONS(2368),
    [anon_sym_switch] = ACTIONS(2368),
    [anon_sym_case] = ACTIONS(2368),
    [anon_sym_default] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_do] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2368),
    [anon_sym_in] = ACTIONS(2368),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_break] = ACTIONS(2368),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_goto] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_sizeof] = ACTIONS(2368),
    [anon_sym___alignof__] = ACTIONS(2368),
    [anon_sym___alignof] = ACTIONS(2368),
    [anon_sym__alignof] = ACTIONS(2368),
    [anon_sym_alignof] = ACTIONS(2368),
    [anon_sym__Alignof] = ACTIONS(2368),
    [anon_sym_offsetof] = ACTIONS(2368),
    [anon_sym__Generic] = ACTIONS(2368),
    [anon_sym_asm] = ACTIONS(2368),
    [anon_sym___asm__] = ACTIONS(2368),
    [anon_sym___asm] = ACTIONS(2368),
    [sym_number_literal] = ACTIONS(2370),
    [anon_sym_L_SQUOTE] = ACTIONS(2370),
    [anon_sym_u_SQUOTE] = ACTIONS(2370),
    [anon_sym_U_SQUOTE] = ACTIONS(2370),
    [anon_sym_u8_SQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2368),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_L_DQUOTE] = ACTIONS(2370),
    [anon_sym_u_DQUOTE] = ACTIONS(2370),
    [anon_sym_U_DQUOTE] = ACTIONS(2370),
    [anon_sym_u8_DQUOTE] = ACTIONS(2370),
    [sym_true] = ACTIONS(2368),
    [sym_false] = ACTIONS(2368),
    [anon_sym_NULL] = ACTIONS(2368),
    [anon_sym_nullptr] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2368),
    [anon_sym___typeof] = ACTIONS(2368),
    [anon_sym_typeof] = ACTIONS(2368),
    [anon_sym_ATimport] = ACTIONS(2370),
    [aux_sym_preproc_undef_token1] = ACTIONS(2368),
    [anon_sym_POUND] = ACTIONS(2368),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2368),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2368),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2368),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_API_AVAILABLE] = ACTIONS(2368),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_API_DEPRECATED] = ACTIONS(2368),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym___deprecated_msg] = ACTIONS(2368),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2368),
    [anon_sym_ATprotocol] = ACTIONS(2370),
    [anon_sym_ATinterface] = ACTIONS(2370),
    [anon_sym_ATimplementation] = ACTIONS(2370),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2370),
    [anon_sym_ATcatch] = ACTIONS(2370),
    [anon_sym___catch] = ACTIONS(2368),
    [anon_sym_ATfinally] = ACTIONS(2370),
    [anon_sym___finally] = ACTIONS(2368),
    [anon_sym_ATselector] = ACTIONS(2370),
    [anon_sym_ATavailable] = ACTIONS(2370),
    [anon_sym___builtin_available] = ACTIONS(2368),
    [anon_sym_va_arg] = ACTIONS(2368),
    [anon_sym_ATencode] = ACTIONS(2370),
    [anon_sym_BOOL] = ACTIONS(2368),
    [anon_sym_IMP] = ACTIONS(2368),
    [anon_sym_SEL] = ACTIONS(2368),
    [anon_sym_Class] = ACTIONS(2368),
    [anon_sym_id] = ACTIONS(2368),
  },
  [816] = {
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_include_token1] = ACTIONS(2524),
    [aux_sym_preproc_include_token2] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_CARET] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym___attribute] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___cdecl] = ACTIONS(2524),
    [anon_sym___clrcall] = ACTIONS(2524),
    [anon_sym___stdcall] = ACTIONS(2524),
    [anon_sym___fastcall] = ACTIONS(2524),
    [anon_sym___thiscall] = ACTIONS(2524),
    [anon_sym___vectorcall] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_RBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_ATautoreleasepool] = ACTIONS(2526),
    [anon_sym_auto] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_CG_EXTERN] = ACTIONS(2524),
    [anon_sym_CG_INLINE] = ACTIONS(2524),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2524),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2524),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2524),
    [anon_sym_IBOutlet] = ACTIONS(2524),
    [anon_sym_IBInspectable] = ACTIONS(2524),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2524),
    [anon_sym_NS_INLINE] = ACTIONS(2524),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2524),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2524),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2524),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym__Nonnull] = ACTIONS(2524),
    [anon_sym_nullable] = ACTIONS(2524),
    [anon_sym__Complex] = ACTIONS(2524),
    [anon_sym__Nullable] = ACTIONS(2524),
    [anon_sym__Nullable_result] = ACTIONS(2524),
    [anon_sym__Null_unspecified] = ACTIONS(2524),
    [anon_sym___autoreleasing] = ACTIONS(2524),
    [anon_sym___block] = ACTIONS(2524),
    [anon_sym___bridge] = ACTIONS(2524),
    [anon_sym___bridge_retained] = ACTIONS(2524),
    [anon_sym___bridge_transfer] = ACTIONS(2524),
    [anon_sym___complex] = ACTIONS(2524),
    [anon_sym___const] = ACTIONS(2524),
    [anon_sym___imag] = ACTIONS(2524),
    [anon_sym___kindof] = ACTIONS(2524),
    [anon_sym___nonnull] = ACTIONS(2524),
    [anon_sym___nullable] = ACTIONS(2524),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2524),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2524),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2524),
    [anon_sym___real] = ACTIONS(2524),
    [anon_sym___strong] = ACTIONS(2524),
    [anon_sym___unsafe_unretained] = ACTIONS(2524),
    [anon_sym___unused] = ACTIONS(2524),
    [anon_sym___weak] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym__Alignas] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_case] = ACTIONS(2524),
    [anon_sym_default] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_goto] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_sizeof] = ACTIONS(2524),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2524),
    [anon_sym__Generic] = ACTIONS(2524),
    [anon_sym_asm] = ACTIONS(2524),
    [anon_sym___asm__] = ACTIONS(2524),
    [anon_sym___asm] = ACTIONS(2524),
    [sym_number_literal] = ACTIONS(2526),
    [anon_sym_L_SQUOTE] = ACTIONS(2526),
    [anon_sym_u_SQUOTE] = ACTIONS(2526),
    [anon_sym_U_SQUOTE] = ACTIONS(2526),
    [anon_sym_u8_SQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_AT] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [anon_sym_L_DQUOTE] = ACTIONS(2526),
    [anon_sym_u_DQUOTE] = ACTIONS(2526),
    [anon_sym_U_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8_DQUOTE] = ACTIONS(2526),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [anon_sym_NULL] = ACTIONS(2524),
    [anon_sym_nullptr] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2524),
    [anon_sym___typeof] = ACTIONS(2524),
    [anon_sym_typeof] = ACTIONS(2524),
    [anon_sym_ATimport] = ACTIONS(2526),
    [aux_sym_preproc_undef_token1] = ACTIONS(2524),
    [anon_sym_POUND] = ACTIONS(2524),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2524),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2524),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2524),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2524),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2524),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2524),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2524),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2524),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2524),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_API_AVAILABLE] = ACTIONS(2524),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_API_DEPRECATED] = ACTIONS(2524),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2524),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2524),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2524),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2524),
    [anon_sym___deprecated_msg] = ACTIONS(2524),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2524),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2524),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2524),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2524),
    [anon_sym_ATprotocol] = ACTIONS(2526),
    [anon_sym_ATinterface] = ACTIONS(2526),
    [anon_sym_ATimplementation] = ACTIONS(2526),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2526),
    [anon_sym_ATtry] = ACTIONS(2526),
    [anon_sym___try] = ACTIONS(2524),
    [anon_sym_ATthrow] = ACTIONS(2526),
    [anon_sym_ATselector] = ACTIONS(2526),
    [anon_sym_ATavailable] = ACTIONS(2526),
    [anon_sym___builtin_available] = ACTIONS(2524),
    [anon_sym_va_arg] = ACTIONS(2524),
    [anon_sym_ATencode] = ACTIONS(2526),
    [anon_sym_ATsynchronized] = ACTIONS(2526),
    [anon_sym_BOOL] = ACTIONS(2524),
    [anon_sym_IMP] = ACTIONS(2524),
    [anon_sym_SEL] = ACTIONS(2524),
    [anon_sym_Class] = ACTIONS(2524),
    [anon_sym_id] = ACTIONS(2524),
  },
  [817] = {
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_include_token1] = ACTIONS(2528),
    [aux_sym_preproc_include_token2] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_BANG] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_CARET] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym___attribute] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___cdecl] = ACTIONS(2528),
    [anon_sym___clrcall] = ACTIONS(2528),
    [anon_sym___stdcall] = ACTIONS(2528),
    [anon_sym___fastcall] = ACTIONS(2528),
    [anon_sym___thiscall] = ACTIONS(2528),
    [anon_sym___vectorcall] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2530),
    [anon_sym_RBRACE] = ACTIONS(2530),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_ATautoreleasepool] = ACTIONS(2530),
    [anon_sym_auto] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_CG_EXTERN] = ACTIONS(2528),
    [anon_sym_CG_INLINE] = ACTIONS(2528),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2528),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2528),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2528),
    [anon_sym_IBOutlet] = ACTIONS(2528),
    [anon_sym_IBInspectable] = ACTIONS(2528),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2528),
    [anon_sym_NS_INLINE] = ACTIONS(2528),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2528),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2528),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2528),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_nullable] = ACTIONS(2528),
    [anon_sym__Complex] = ACTIONS(2528),
    [anon_sym__Nullable] = ACTIONS(2528),
    [anon_sym__Nullable_result] = ACTIONS(2528),
    [anon_sym__Null_unspecified] = ACTIONS(2528),
    [anon_sym___autoreleasing] = ACTIONS(2528),
    [anon_sym___block] = ACTIONS(2528),
    [anon_sym___bridge] = ACTIONS(2528),
    [anon_sym___bridge_retained] = ACTIONS(2528),
    [anon_sym___bridge_transfer] = ACTIONS(2528),
    [anon_sym___complex] = ACTIONS(2528),
    [anon_sym___const] = ACTIONS(2528),
    [anon_sym___imag] = ACTIONS(2528),
    [anon_sym___kindof] = ACTIONS(2528),
    [anon_sym___nonnull] = ACTIONS(2528),
    [anon_sym___nullable] = ACTIONS(2528),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2528),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2528),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2528),
    [anon_sym___real] = ACTIONS(2528),
    [anon_sym___strong] = ACTIONS(2528),
    [anon_sym___unsafe_unretained] = ACTIONS(2528),
    [anon_sym___unused] = ACTIONS(2528),
    [anon_sym___weak] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_if] = ACTIONS(2528),
    [anon_sym_else] = ACTIONS(2528),
    [anon_sym_switch] = ACTIONS(2528),
    [anon_sym_case] = ACTIONS(2528),
    [anon_sym_default] = ACTIONS(2528),
    [anon_sym_while] = ACTIONS(2528),
    [anon_sym_do] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2528),
    [anon_sym_in] = ACTIONS(2528),
    [anon_sym_return] = ACTIONS(2528),
    [anon_sym_break] = ACTIONS(2528),
    [anon_sym_continue] = ACTIONS(2528),
    [anon_sym_goto] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2530),
    [anon_sym_sizeof] = ACTIONS(2528),
    [anon_sym___alignof__] = ACTIONS(2528),
    [anon_sym___alignof] = ACTIONS(2528),
    [anon_sym__alignof] = ACTIONS(2528),
    [anon_sym_alignof] = ACTIONS(2528),
    [anon_sym__Alignof] = ACTIONS(2528),
    [anon_sym_offsetof] = ACTIONS(2528),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2528),
    [anon_sym___asm__] = ACTIONS(2528),
    [anon_sym___asm] = ACTIONS(2528),
    [sym_number_literal] = ACTIONS(2530),
    [anon_sym_L_SQUOTE] = ACTIONS(2530),
    [anon_sym_u_SQUOTE] = ACTIONS(2530),
    [anon_sym_U_SQUOTE] = ACTIONS(2530),
    [anon_sym_u8_SQUOTE] = ACTIONS(2530),
    [anon_sym_SQUOTE] = ACTIONS(2530),
    [anon_sym_AT] = ACTIONS(2528),
    [anon_sym_DQUOTE] = ACTIONS(2530),
    [anon_sym_L_DQUOTE] = ACTIONS(2530),
    [anon_sym_u_DQUOTE] = ACTIONS(2530),
    [anon_sym_U_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8_DQUOTE] = ACTIONS(2530),
    [sym_true] = ACTIONS(2528),
    [sym_false] = ACTIONS(2528),
    [anon_sym_NULL] = ACTIONS(2528),
    [anon_sym_nullptr] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2528),
    [anon_sym___typeof] = ACTIONS(2528),
    [anon_sym_typeof] = ACTIONS(2528),
    [anon_sym_ATimport] = ACTIONS(2530),
    [aux_sym_preproc_undef_token1] = ACTIONS(2528),
    [anon_sym_POUND] = ACTIONS(2528),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2528),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2528),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2528),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2528),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2528),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2528),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2528),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2528),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2528),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_API_AVAILABLE] = ACTIONS(2528),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_API_DEPRECATED] = ACTIONS(2528),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2528),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2528),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2528),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2528),
    [anon_sym___deprecated_msg] = ACTIONS(2528),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2528),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2528),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2528),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2528),
    [anon_sym_ATprotocol] = ACTIONS(2530),
    [anon_sym_ATinterface] = ACTIONS(2530),
    [anon_sym_ATimplementation] = ACTIONS(2530),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2530),
    [anon_sym_ATtry] = ACTIONS(2530),
    [anon_sym___try] = ACTIONS(2528),
    [anon_sym_ATthrow] = ACTIONS(2530),
    [anon_sym_ATselector] = ACTIONS(2530),
    [anon_sym_ATavailable] = ACTIONS(2530),
    [anon_sym___builtin_available] = ACTIONS(2528),
    [anon_sym_va_arg] = ACTIONS(2528),
    [anon_sym_ATencode] = ACTIONS(2530),
    [anon_sym_ATsynchronized] = ACTIONS(2530),
    [anon_sym_BOOL] = ACTIONS(2528),
    [anon_sym_IMP] = ACTIONS(2528),
    [anon_sym_SEL] = ACTIONS(2528),
    [anon_sym_Class] = ACTIONS(2528),
    [anon_sym_id] = ACTIONS(2528),
  },
  [818] = {
    [sym_identifier] = ACTIONS(2532),
    [aux_sym_preproc_include_token1] = ACTIONS(2532),
    [aux_sym_preproc_include_token2] = ACTIONS(2532),
    [aux_sym_preproc_def_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2532),
    [sym_preproc_directive] = ACTIONS(2532),
    [anon_sym_LPAREN2] = ACTIONS(2534),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_typedef] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym___cdecl] = ACTIONS(2532),
    [anon_sym___clrcall] = ACTIONS(2532),
    [anon_sym___stdcall] = ACTIONS(2532),
    [anon_sym___fastcall] = ACTIONS(2532),
    [anon_sym___thiscall] = ACTIONS(2532),
    [anon_sym___vectorcall] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_RBRACE] = ACTIONS(2534),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_ATautoreleasepool] = ACTIONS(2534),
    [anon_sym_auto] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_CG_EXTERN] = ACTIONS(2532),
    [anon_sym_CG_INLINE] = ACTIONS(2532),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2532),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2532),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2532),
    [anon_sym_IBOutlet] = ACTIONS(2532),
    [anon_sym_IBInspectable] = ACTIONS(2532),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2532),
    [anon_sym_NS_INLINE] = ACTIONS(2532),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2532),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2532),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2532),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_nullable] = ACTIONS(2532),
    [anon_sym__Complex] = ACTIONS(2532),
    [anon_sym__Nullable] = ACTIONS(2532),
    [anon_sym__Nullable_result] = ACTIONS(2532),
    [anon_sym__Null_unspecified] = ACTIONS(2532),
    [anon_sym___autoreleasing] = ACTIONS(2532),
    [anon_sym___block] = ACTIONS(2532),
    [anon_sym___bridge] = ACTIONS(2532),
    [anon_sym___bridge_retained] = ACTIONS(2532),
    [anon_sym___bridge_transfer] = ACTIONS(2532),
    [anon_sym___complex] = ACTIONS(2532),
    [anon_sym___const] = ACTIONS(2532),
    [anon_sym___imag] = ACTIONS(2532),
    [anon_sym___kindof] = ACTIONS(2532),
    [anon_sym___nonnull] = ACTIONS(2532),
    [anon_sym___nullable] = ACTIONS(2532),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2532),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2532),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2532),
    [anon_sym___real] = ACTIONS(2532),
    [anon_sym___strong] = ACTIONS(2532),
    [anon_sym___unsafe_unretained] = ACTIONS(2532),
    [anon_sym___unused] = ACTIONS(2532),
    [anon_sym___weak] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2532),
    [anon_sym_else] = ACTIONS(2532),
    [anon_sym_switch] = ACTIONS(2532),
    [anon_sym_case] = ACTIONS(2532),
    [anon_sym_default] = ACTIONS(2532),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_do] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2532),
    [anon_sym_in] = ACTIONS(2532),
    [anon_sym_return] = ACTIONS(2532),
    [anon_sym_break] = ACTIONS(2532),
    [anon_sym_continue] = ACTIONS(2532),
    [anon_sym_goto] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2532),
    [anon_sym___alignof] = ACTIONS(2532),
    [anon_sym__alignof] = ACTIONS(2532),
    [anon_sym_alignof] = ACTIONS(2532),
    [anon_sym__Alignof] = ACTIONS(2532),
    [anon_sym_offsetof] = ACTIONS(2532),
    [anon_sym__Generic] = ACTIONS(2532),
    [anon_sym_asm] = ACTIONS(2532),
    [anon_sym___asm__] = ACTIONS(2532),
    [anon_sym___asm] = ACTIONS(2532),
    [sym_number_literal] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2534),
    [anon_sym_u_SQUOTE] = ACTIONS(2534),
    [anon_sym_U_SQUOTE] = ACTIONS(2534),
    [anon_sym_u8_SQUOTE] = ACTIONS(2534),
    [anon_sym_SQUOTE] = ACTIONS(2534),
    [anon_sym_AT] = ACTIONS(2532),
    [anon_sym_DQUOTE] = ACTIONS(2534),
    [anon_sym_L_DQUOTE] = ACTIONS(2534),
    [anon_sym_u_DQUOTE] = ACTIONS(2534),
    [anon_sym_U_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8_DQUOTE] = ACTIONS(2534),
    [sym_true] = ACTIONS(2532),
    [sym_false] = ACTIONS(2532),
    [anon_sym_NULL] = ACTIONS(2532),
    [anon_sym_nullptr] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2532),
    [anon_sym___typeof] = ACTIONS(2532),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_ATimport] = ACTIONS(2534),
    [aux_sym_preproc_undef_token1] = ACTIONS(2532),
    [anon_sym_POUND] = ACTIONS(2532),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2532),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2532),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2532),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2532),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2532),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2532),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2532),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2532),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2532),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_API_AVAILABLE] = ACTIONS(2532),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_API_DEPRECATED] = ACTIONS(2532),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2532),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2532),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2532),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2532),
    [anon_sym___deprecated_msg] = ACTIONS(2532),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2532),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2532),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2532),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2532),
    [anon_sym_ATprotocol] = ACTIONS(2534),
    [anon_sym_ATinterface] = ACTIONS(2534),
    [anon_sym_ATimplementation] = ACTIONS(2534),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2534),
    [anon_sym_ATtry] = ACTIONS(2534),
    [anon_sym___try] = ACTIONS(2532),
    [anon_sym_ATthrow] = ACTIONS(2534),
    [anon_sym_ATselector] = ACTIONS(2534),
    [anon_sym_ATavailable] = ACTIONS(2534),
    [anon_sym___builtin_available] = ACTIONS(2532),
    [anon_sym_va_arg] = ACTIONS(2532),
    [anon_sym_ATencode] = ACTIONS(2534),
    [anon_sym_ATsynchronized] = ACTIONS(2534),
    [anon_sym_BOOL] = ACTIONS(2532),
    [anon_sym_IMP] = ACTIONS(2532),
    [anon_sym_SEL] = ACTIONS(2532),
    [anon_sym_Class] = ACTIONS(2532),
    [anon_sym_id] = ACTIONS(2532),
  },
  [819] = {
    [ts_builtin_sym_end] = ACTIONS(2418),
    [sym_identifier] = ACTIONS(2416),
    [aux_sym_preproc_include_token1] = ACTIONS(2416),
    [aux_sym_preproc_include_token2] = ACTIONS(2416),
    [aux_sym_preproc_def_token1] = ACTIONS(2416),
    [aux_sym_preproc_if_token1] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2416),
    [sym_preproc_directive] = ACTIONS(2416),
    [anon_sym_LPAREN2] = ACTIONS(2418),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2418),
    [anon_sym_CARET] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym___extension__] = ACTIONS(2416),
    [anon_sym_typedef] = ACTIONS(2416),
    [anon_sym_extern] = ACTIONS(2416),
    [anon_sym___attribute__] = ACTIONS(2416),
    [anon_sym___attribute] = ACTIONS(2416),
    [anon_sym_noreturn] = ACTIONS(2416),
    [anon_sym_LBRACK] = ACTIONS(2418),
    [anon_sym___declspec] = ACTIONS(2416),
    [anon_sym___cdecl] = ACTIONS(2416),
    [anon_sym___clrcall] = ACTIONS(2416),
    [anon_sym___stdcall] = ACTIONS(2416),
    [anon_sym___fastcall] = ACTIONS(2416),
    [anon_sym___thiscall] = ACTIONS(2416),
    [anon_sym___vectorcall] = ACTIONS(2416),
    [anon_sym_LBRACE] = ACTIONS(2418),
    [anon_sym_signed] = ACTIONS(2416),
    [anon_sym_unsigned] = ACTIONS(2416),
    [anon_sym_long] = ACTIONS(2416),
    [anon_sym_short] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_ATautoreleasepool] = ACTIONS(2418),
    [anon_sym_auto] = ACTIONS(2416),
    [anon_sym_register] = ACTIONS(2416),
    [anon_sym_inline] = ACTIONS(2416),
    [anon_sym___inline] = ACTIONS(2416),
    [anon_sym___inline__] = ACTIONS(2416),
    [anon_sym___forceinline] = ACTIONS(2416),
    [anon_sym_thread_local] = ACTIONS(2416),
    [anon_sym___thread] = ACTIONS(2416),
    [anon_sym_CG_EXTERN] = ACTIONS(2416),
    [anon_sym_CG_INLINE] = ACTIONS(2416),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2416),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2416),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2416),
    [anon_sym_IBOutlet] = ACTIONS(2416),
    [anon_sym_IBInspectable] = ACTIONS(2416),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2416),
    [anon_sym_NS_INLINE] = ACTIONS(2416),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2416),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2416),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2416),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2416),
    [anon_sym_const] = ACTIONS(2416),
    [anon_sym_constexpr] = ACTIONS(2416),
    [anon_sym_volatile] = ACTIONS(2416),
    [anon_sym_restrict] = ACTIONS(2416),
    [anon_sym___restrict__] = ACTIONS(2416),
    [anon_sym__Atomic] = ACTIONS(2416),
    [anon_sym__Noreturn] = ACTIONS(2416),
    [anon_sym__Nonnull] = ACTIONS(2416),
    [anon_sym_nullable] = ACTIONS(2416),
    [anon_sym__Complex] = ACTIONS(2416),
    [anon_sym__Nullable] = ACTIONS(2416),
    [anon_sym__Nullable_result] = ACTIONS(2416),
    [anon_sym__Null_unspecified] = ACTIONS(2416),
    [anon_sym___autoreleasing] = ACTIONS(2416),
    [anon_sym___block] = ACTIONS(2416),
    [anon_sym___bridge] = ACTIONS(2416),
    [anon_sym___bridge_retained] = ACTIONS(2416),
    [anon_sym___bridge_transfer] = ACTIONS(2416),
    [anon_sym___complex] = ACTIONS(2416),
    [anon_sym___const] = ACTIONS(2416),
    [anon_sym___imag] = ACTIONS(2416),
    [anon_sym___kindof] = ACTIONS(2416),
    [anon_sym___nonnull] = ACTIONS(2416),
    [anon_sym___nullable] = ACTIONS(2416),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2416),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2416),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2416),
    [anon_sym___real] = ACTIONS(2416),
    [anon_sym___strong] = ACTIONS(2416),
    [anon_sym___unsafe_unretained] = ACTIONS(2416),
    [anon_sym___unused] = ACTIONS(2416),
    [anon_sym___weak] = ACTIONS(2416),
    [anon_sym_alignas] = ACTIONS(2416),
    [anon_sym__Alignas] = ACTIONS(2416),
    [sym_primitive_type] = ACTIONS(2416),
    [anon_sym_enum] = ACTIONS(2416),
    [anon_sym_struct] = ACTIONS(2416),
    [anon_sym_union] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(2416),
    [anon_sym_else] = ACTIONS(2416),
    [anon_sym_switch] = ACTIONS(2416),
    [anon_sym_case] = ACTIONS(2416),
    [anon_sym_default] = ACTIONS(2416),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(2416),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2416),
    [anon_sym_continue] = ACTIONS(2416),
    [anon_sym_goto] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_sizeof] = ACTIONS(2416),
    [anon_sym___alignof__] = ACTIONS(2416),
    [anon_sym___alignof] = ACTIONS(2416),
    [anon_sym__alignof] = ACTIONS(2416),
    [anon_sym_alignof] = ACTIONS(2416),
    [anon_sym__Alignof] = ACTIONS(2416),
    [anon_sym_offsetof] = ACTIONS(2416),
    [anon_sym__Generic] = ACTIONS(2416),
    [anon_sym_asm] = ACTIONS(2416),
    [anon_sym___asm__] = ACTIONS(2416),
    [anon_sym___asm] = ACTIONS(2416),
    [sym_number_literal] = ACTIONS(2418),
    [anon_sym_L_SQUOTE] = ACTIONS(2418),
    [anon_sym_u_SQUOTE] = ACTIONS(2418),
    [anon_sym_U_SQUOTE] = ACTIONS(2418),
    [anon_sym_u8_SQUOTE] = ACTIONS(2418),
    [anon_sym_SQUOTE] = ACTIONS(2418),
    [anon_sym_AT] = ACTIONS(2416),
    [anon_sym_DQUOTE] = ACTIONS(2418),
    [anon_sym_L_DQUOTE] = ACTIONS(2418),
    [anon_sym_u_DQUOTE] = ACTIONS(2418),
    [anon_sym_U_DQUOTE] = ACTIONS(2418),
    [anon_sym_u8_DQUOTE] = ACTIONS(2418),
    [sym_true] = ACTIONS(2416),
    [sym_false] = ACTIONS(2416),
    [anon_sym_NULL] = ACTIONS(2416),
    [anon_sym_nullptr] = ACTIONS(2416),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2416),
    [anon_sym___typeof] = ACTIONS(2416),
    [anon_sym_typeof] = ACTIONS(2416),
    [anon_sym_ATimport] = ACTIONS(2418),
    [aux_sym_preproc_undef_token1] = ACTIONS(2416),
    [anon_sym_POUND] = ACTIONS(2416),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2416),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2416),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2416),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2416),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2416),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2416),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2416),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2416),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2416),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_API_AVAILABLE] = ACTIONS(2416),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_API_DEPRECATED] = ACTIONS(2416),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2416),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2416),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2416),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2416),
    [anon_sym___deprecated_msg] = ACTIONS(2416),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2416),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2416),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2416),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2416),
    [anon_sym_ATprotocol] = ACTIONS(2418),
    [anon_sym_ATinterface] = ACTIONS(2418),
    [anon_sym_ATimplementation] = ACTIONS(2418),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2418),
    [anon_sym_ATtry] = ACTIONS(2418),
    [anon_sym___try] = ACTIONS(2416),
    [anon_sym_ATthrow] = ACTIONS(2418),
    [anon_sym_ATselector] = ACTIONS(2418),
    [anon_sym_ATavailable] = ACTIONS(2418),
    [anon_sym___builtin_available] = ACTIONS(2416),
    [anon_sym_va_arg] = ACTIONS(2416),
    [anon_sym_ATencode] = ACTIONS(2418),
    [anon_sym_ATsynchronized] = ACTIONS(2418),
    [anon_sym_BOOL] = ACTIONS(2416),
    [anon_sym_IMP] = ACTIONS(2416),
    [anon_sym_SEL] = ACTIONS(2416),
    [anon_sym_Class] = ACTIONS(2416),
    [anon_sym_id] = ACTIONS(2416),
  },
  [820] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [821] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [822] = {
    [ts_builtin_sym_end] = ACTIONS(2434),
    [sym_identifier] = ACTIONS(2432),
    [aux_sym_preproc_include_token1] = ACTIONS(2432),
    [aux_sym_preproc_include_token2] = ACTIONS(2432),
    [aux_sym_preproc_def_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token1] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2432),
    [sym_preproc_directive] = ACTIONS(2432),
    [anon_sym_LPAREN2] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_CARET] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym___extension__] = ACTIONS(2432),
    [anon_sym_typedef] = ACTIONS(2432),
    [anon_sym_extern] = ACTIONS(2432),
    [anon_sym___attribute__] = ACTIONS(2432),
    [anon_sym___attribute] = ACTIONS(2432),
    [anon_sym_noreturn] = ACTIONS(2432),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym___declspec] = ACTIONS(2432),
    [anon_sym___cdecl] = ACTIONS(2432),
    [anon_sym___clrcall] = ACTIONS(2432),
    [anon_sym___stdcall] = ACTIONS(2432),
    [anon_sym___fastcall] = ACTIONS(2432),
    [anon_sym___thiscall] = ACTIONS(2432),
    [anon_sym___vectorcall] = ACTIONS(2432),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_signed] = ACTIONS(2432),
    [anon_sym_unsigned] = ACTIONS(2432),
    [anon_sym_long] = ACTIONS(2432),
    [anon_sym_short] = ACTIONS(2432),
    [anon_sym_static] = ACTIONS(2432),
    [anon_sym_ATautoreleasepool] = ACTIONS(2434),
    [anon_sym_auto] = ACTIONS(2432),
    [anon_sym_register] = ACTIONS(2432),
    [anon_sym_inline] = ACTIONS(2432),
    [anon_sym___inline] = ACTIONS(2432),
    [anon_sym___inline__] = ACTIONS(2432),
    [anon_sym___forceinline] = ACTIONS(2432),
    [anon_sym_thread_local] = ACTIONS(2432),
    [anon_sym___thread] = ACTIONS(2432),
    [anon_sym_CG_EXTERN] = ACTIONS(2432),
    [anon_sym_CG_INLINE] = ACTIONS(2432),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2432),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2432),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2432),
    [anon_sym_IBOutlet] = ACTIONS(2432),
    [anon_sym_IBInspectable] = ACTIONS(2432),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2432),
    [anon_sym_NS_INLINE] = ACTIONS(2432),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2432),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2432),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2432),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2432),
    [anon_sym_const] = ACTIONS(2432),
    [anon_sym_constexpr] = ACTIONS(2432),
    [anon_sym_volatile] = ACTIONS(2432),
    [anon_sym_restrict] = ACTIONS(2432),
    [anon_sym___restrict__] = ACTIONS(2432),
    [anon_sym__Atomic] = ACTIONS(2432),
    [anon_sym__Noreturn] = ACTIONS(2432),
    [anon_sym__Nonnull] = ACTIONS(2432),
    [anon_sym_nullable] = ACTIONS(2432),
    [anon_sym__Complex] = ACTIONS(2432),
    [anon_sym__Nullable] = ACTIONS(2432),
    [anon_sym__Nullable_result] = ACTIONS(2432),
    [anon_sym__Null_unspecified] = ACTIONS(2432),
    [anon_sym___autoreleasing] = ACTIONS(2432),
    [anon_sym___block] = ACTIONS(2432),
    [anon_sym___bridge] = ACTIONS(2432),
    [anon_sym___bridge_retained] = ACTIONS(2432),
    [anon_sym___bridge_transfer] = ACTIONS(2432),
    [anon_sym___complex] = ACTIONS(2432),
    [anon_sym___const] = ACTIONS(2432),
    [anon_sym___imag] = ACTIONS(2432),
    [anon_sym___kindof] = ACTIONS(2432),
    [anon_sym___nonnull] = ACTIONS(2432),
    [anon_sym___nullable] = ACTIONS(2432),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2432),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2432),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2432),
    [anon_sym___real] = ACTIONS(2432),
    [anon_sym___strong] = ACTIONS(2432),
    [anon_sym___unsafe_unretained] = ACTIONS(2432),
    [anon_sym___unused] = ACTIONS(2432),
    [anon_sym___weak] = ACTIONS(2432),
    [anon_sym_alignas] = ACTIONS(2432),
    [anon_sym__Alignas] = ACTIONS(2432),
    [sym_primitive_type] = ACTIONS(2432),
    [anon_sym_enum] = ACTIONS(2432),
    [anon_sym_struct] = ACTIONS(2432),
    [anon_sym_union] = ACTIONS(2432),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_else] = ACTIONS(2432),
    [anon_sym_switch] = ACTIONS(2432),
    [anon_sym_case] = ACTIONS(2432),
    [anon_sym_default] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2432),
    [anon_sym_in] = ACTIONS(2432),
    [anon_sym_return] = ACTIONS(2432),
    [anon_sym_break] = ACTIONS(2432),
    [anon_sym_continue] = ACTIONS(2432),
    [anon_sym_goto] = ACTIONS(2432),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2432),
    [anon_sym___alignof] = ACTIONS(2432),
    [anon_sym__alignof] = ACTIONS(2432),
    [anon_sym_alignof] = ACTIONS(2432),
    [anon_sym__Alignof] = ACTIONS(2432),
    [anon_sym_offsetof] = ACTIONS(2432),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2432),
    [anon_sym___asm__] = ACTIONS(2432),
    [anon_sym___asm] = ACTIONS(2432),
    [sym_number_literal] = ACTIONS(2434),
    [anon_sym_L_SQUOTE] = ACTIONS(2434),
    [anon_sym_u_SQUOTE] = ACTIONS(2434),
    [anon_sym_U_SQUOTE] = ACTIONS(2434),
    [anon_sym_u8_SQUOTE] = ACTIONS(2434),
    [anon_sym_SQUOTE] = ACTIONS(2434),
    [anon_sym_AT] = ACTIONS(2432),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_L_DQUOTE] = ACTIONS(2434),
    [anon_sym_u_DQUOTE] = ACTIONS(2434),
    [anon_sym_U_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8_DQUOTE] = ACTIONS(2434),
    [sym_true] = ACTIONS(2432),
    [sym_false] = ACTIONS(2432),
    [anon_sym_NULL] = ACTIONS(2432),
    [anon_sym_nullptr] = ACTIONS(2432),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2432),
    [anon_sym___typeof] = ACTIONS(2432),
    [anon_sym_typeof] = ACTIONS(2432),
    [anon_sym_ATimport] = ACTIONS(2434),
    [aux_sym_preproc_undef_token1] = ACTIONS(2432),
    [anon_sym_POUND] = ACTIONS(2432),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2432),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2432),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2432),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2432),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2432),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2432),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2432),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2432),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2432),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_API_AVAILABLE] = ACTIONS(2432),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_API_DEPRECATED] = ACTIONS(2432),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2432),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2432),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2432),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2432),
    [anon_sym___deprecated_msg] = ACTIONS(2432),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2432),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2432),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2432),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2432),
    [anon_sym_ATprotocol] = ACTIONS(2434),
    [anon_sym_ATinterface] = ACTIONS(2434),
    [anon_sym_ATimplementation] = ACTIONS(2434),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2434),
    [anon_sym_ATtry] = ACTIONS(2434),
    [anon_sym___try] = ACTIONS(2432),
    [anon_sym_ATthrow] = ACTIONS(2434),
    [anon_sym_ATselector] = ACTIONS(2434),
    [anon_sym_ATavailable] = ACTIONS(2434),
    [anon_sym___builtin_available] = ACTIONS(2432),
    [anon_sym_va_arg] = ACTIONS(2432),
    [anon_sym_ATencode] = ACTIONS(2434),
    [anon_sym_ATsynchronized] = ACTIONS(2434),
    [anon_sym_BOOL] = ACTIONS(2432),
    [anon_sym_IMP] = ACTIONS(2432),
    [anon_sym_SEL] = ACTIONS(2432),
    [anon_sym_Class] = ACTIONS(2432),
    [anon_sym_id] = ACTIONS(2432),
  },
  [823] = {
    [ts_builtin_sym_end] = ACTIONS(2442),
    [sym_identifier] = ACTIONS(2440),
    [aux_sym_preproc_include_token1] = ACTIONS(2440),
    [aux_sym_preproc_include_token2] = ACTIONS(2440),
    [aux_sym_preproc_def_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token1] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2440),
    [sym_preproc_directive] = ACTIONS(2440),
    [anon_sym_LPAREN2] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_CARET] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym___extension__] = ACTIONS(2440),
    [anon_sym_typedef] = ACTIONS(2440),
    [anon_sym_extern] = ACTIONS(2440),
    [anon_sym___attribute__] = ACTIONS(2440),
    [anon_sym___attribute] = ACTIONS(2440),
    [anon_sym_noreturn] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym___declspec] = ACTIONS(2440),
    [anon_sym___cdecl] = ACTIONS(2440),
    [anon_sym___clrcall] = ACTIONS(2440),
    [anon_sym___stdcall] = ACTIONS(2440),
    [anon_sym___fastcall] = ACTIONS(2440),
    [anon_sym___thiscall] = ACTIONS(2440),
    [anon_sym___vectorcall] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_signed] = ACTIONS(2440),
    [anon_sym_unsigned] = ACTIONS(2440),
    [anon_sym_long] = ACTIONS(2440),
    [anon_sym_short] = ACTIONS(2440),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_ATautoreleasepool] = ACTIONS(2442),
    [anon_sym_auto] = ACTIONS(2440),
    [anon_sym_register] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(2440),
    [anon_sym___inline] = ACTIONS(2440),
    [anon_sym___inline__] = ACTIONS(2440),
    [anon_sym___forceinline] = ACTIONS(2440),
    [anon_sym_thread_local] = ACTIONS(2440),
    [anon_sym___thread] = ACTIONS(2440),
    [anon_sym_CG_EXTERN] = ACTIONS(2440),
    [anon_sym_CG_INLINE] = ACTIONS(2440),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2440),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2440),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2440),
    [anon_sym_IBOutlet] = ACTIONS(2440),
    [anon_sym_IBInspectable] = ACTIONS(2440),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2440),
    [anon_sym_NS_INLINE] = ACTIONS(2440),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2440),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2440),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2440),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2440),
    [anon_sym_const] = ACTIONS(2440),
    [anon_sym_constexpr] = ACTIONS(2440),
    [anon_sym_volatile] = ACTIONS(2440),
    [anon_sym_restrict] = ACTIONS(2440),
    [anon_sym___restrict__] = ACTIONS(2440),
    [anon_sym__Atomic] = ACTIONS(2440),
    [anon_sym__Noreturn] = ACTIONS(2440),
    [anon_sym__Nonnull] = ACTIONS(2440),
    [anon_sym_nullable] = ACTIONS(2440),
    [anon_sym__Complex] = ACTIONS(2440),
    [anon_sym__Nullable] = ACTIONS(2440),
    [anon_sym__Nullable_result] = ACTIONS(2440),
    [anon_sym__Null_unspecified] = ACTIONS(2440),
    [anon_sym___autoreleasing] = ACTIONS(2440),
    [anon_sym___block] = ACTIONS(2440),
    [anon_sym___bridge] = ACTIONS(2440),
    [anon_sym___bridge_retained] = ACTIONS(2440),
    [anon_sym___bridge_transfer] = ACTIONS(2440),
    [anon_sym___complex] = ACTIONS(2440),
    [anon_sym___const] = ACTIONS(2440),
    [anon_sym___imag] = ACTIONS(2440),
    [anon_sym___kindof] = ACTIONS(2440),
    [anon_sym___nonnull] = ACTIONS(2440),
    [anon_sym___nullable] = ACTIONS(2440),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2440),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2440),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2440),
    [anon_sym___real] = ACTIONS(2440),
    [anon_sym___strong] = ACTIONS(2440),
    [anon_sym___unsafe_unretained] = ACTIONS(2440),
    [anon_sym___unused] = ACTIONS(2440),
    [anon_sym___weak] = ACTIONS(2440),
    [anon_sym_alignas] = ACTIONS(2440),
    [anon_sym__Alignas] = ACTIONS(2440),
    [sym_primitive_type] = ACTIONS(2440),
    [anon_sym_enum] = ACTIONS(2440),
    [anon_sym_struct] = ACTIONS(2440),
    [anon_sym_union] = ACTIONS(2440),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_else] = ACTIONS(2440),
    [anon_sym_switch] = ACTIONS(2440),
    [anon_sym_case] = ACTIONS(2440),
    [anon_sym_default] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2440),
    [anon_sym_do] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2440),
    [anon_sym_in] = ACTIONS(2440),
    [anon_sym_return] = ACTIONS(2440),
    [anon_sym_break] = ACTIONS(2440),
    [anon_sym_continue] = ACTIONS(2440),
    [anon_sym_goto] = ACTIONS(2440),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_sizeof] = ACTIONS(2440),
    [anon_sym___alignof__] = ACTIONS(2440),
    [anon_sym___alignof] = ACTIONS(2440),
    [anon_sym__alignof] = ACTIONS(2440),
    [anon_sym_alignof] = ACTIONS(2440),
    [anon_sym__Alignof] = ACTIONS(2440),
    [anon_sym_offsetof] = ACTIONS(2440),
    [anon_sym__Generic] = ACTIONS(2440),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [anon_sym___asm] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2442),
    [anon_sym_u_SQUOTE] = ACTIONS(2442),
    [anon_sym_U_SQUOTE] = ACTIONS(2442),
    [anon_sym_u8_SQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_AT] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_L_DQUOTE] = ACTIONS(2442),
    [anon_sym_u_DQUOTE] = ACTIONS(2442),
    [anon_sym_U_DQUOTE] = ACTIONS(2442),
    [anon_sym_u8_DQUOTE] = ACTIONS(2442),
    [sym_true] = ACTIONS(2440),
    [sym_false] = ACTIONS(2440),
    [anon_sym_NULL] = ACTIONS(2440),
    [anon_sym_nullptr] = ACTIONS(2440),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2440),
    [anon_sym___typeof] = ACTIONS(2440),
    [anon_sym_typeof] = ACTIONS(2440),
    [anon_sym_ATimport] = ACTIONS(2442),
    [aux_sym_preproc_undef_token1] = ACTIONS(2440),
    [anon_sym_POUND] = ACTIONS(2440),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2440),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2440),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2440),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2440),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2440),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2440),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2440),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2440),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2440),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_API_AVAILABLE] = ACTIONS(2440),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_API_DEPRECATED] = ACTIONS(2440),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2440),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2440),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2440),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2440),
    [anon_sym___deprecated_msg] = ACTIONS(2440),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2440),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2440),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2440),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2440),
    [anon_sym_ATprotocol] = ACTIONS(2442),
    [anon_sym_ATinterface] = ACTIONS(2442),
    [anon_sym_ATimplementation] = ACTIONS(2442),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2442),
    [anon_sym_ATtry] = ACTIONS(2442),
    [anon_sym___try] = ACTIONS(2440),
    [anon_sym_ATthrow] = ACTIONS(2442),
    [anon_sym_ATselector] = ACTIONS(2442),
    [anon_sym_ATavailable] = ACTIONS(2442),
    [anon_sym___builtin_available] = ACTIONS(2440),
    [anon_sym_va_arg] = ACTIONS(2440),
    [anon_sym_ATencode] = ACTIONS(2442),
    [anon_sym_ATsynchronized] = ACTIONS(2442),
    [anon_sym_BOOL] = ACTIONS(2440),
    [anon_sym_IMP] = ACTIONS(2440),
    [anon_sym_SEL] = ACTIONS(2440),
    [anon_sym_Class] = ACTIONS(2440),
    [anon_sym_id] = ACTIONS(2440),
  },
  [824] = {
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_include_token2] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym___attribute] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_ATautoreleasepool] = ACTIONS(2446),
    [anon_sym_auto] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_CG_EXTERN] = ACTIONS(2444),
    [anon_sym_CG_INLINE] = ACTIONS(2444),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2444),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2444),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2444),
    [anon_sym_IBOutlet] = ACTIONS(2444),
    [anon_sym_IBInspectable] = ACTIONS(2444),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2444),
    [anon_sym_NS_INLINE] = ACTIONS(2444),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2444),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2444),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2444),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym__Nonnull] = ACTIONS(2444),
    [anon_sym_nullable] = ACTIONS(2444),
    [anon_sym__Complex] = ACTIONS(2444),
    [anon_sym__Nullable] = ACTIONS(2444),
    [anon_sym__Nullable_result] = ACTIONS(2444),
    [anon_sym__Null_unspecified] = ACTIONS(2444),
    [anon_sym___autoreleasing] = ACTIONS(2444),
    [anon_sym___block] = ACTIONS(2444),
    [anon_sym___bridge] = ACTIONS(2444),
    [anon_sym___bridge_retained] = ACTIONS(2444),
    [anon_sym___bridge_transfer] = ACTIONS(2444),
    [anon_sym___complex] = ACTIONS(2444),
    [anon_sym___const] = ACTIONS(2444),
    [anon_sym___imag] = ACTIONS(2444),
    [anon_sym___kindof] = ACTIONS(2444),
    [anon_sym___nonnull] = ACTIONS(2444),
    [anon_sym___nullable] = ACTIONS(2444),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2444),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2444),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2444),
    [anon_sym___real] = ACTIONS(2444),
    [anon_sym___strong] = ACTIONS(2444),
    [anon_sym___unsafe_unretained] = ACTIONS(2444),
    [anon_sym___unused] = ACTIONS(2444),
    [anon_sym___weak] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym__Alignas] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [anon_sym___asm] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_AT] = ACTIONS(2444),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2444),
    [anon_sym___typeof] = ACTIONS(2444),
    [anon_sym_typeof] = ACTIONS(2444),
    [anon_sym_ATimport] = ACTIONS(2446),
    [aux_sym_preproc_undef_token1] = ACTIONS(2444),
    [anon_sym_POUND] = ACTIONS(2444),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2444),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2444),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2444),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2444),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2444),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2444),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2444),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2444),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2444),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_API_AVAILABLE] = ACTIONS(2444),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_API_DEPRECATED] = ACTIONS(2444),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2444),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2444),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2444),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2444),
    [anon_sym___deprecated_msg] = ACTIONS(2444),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2444),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2444),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2444),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2444),
    [anon_sym_ATprotocol] = ACTIONS(2446),
    [anon_sym_ATinterface] = ACTIONS(2446),
    [anon_sym_ATimplementation] = ACTIONS(2446),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2446),
    [anon_sym_ATtry] = ACTIONS(2446),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym_ATthrow] = ACTIONS(2446),
    [anon_sym_ATselector] = ACTIONS(2446),
    [anon_sym_ATavailable] = ACTIONS(2446),
    [anon_sym___builtin_available] = ACTIONS(2444),
    [anon_sym_va_arg] = ACTIONS(2444),
    [anon_sym_ATencode] = ACTIONS(2446),
    [anon_sym_ATsynchronized] = ACTIONS(2446),
    [anon_sym_BOOL] = ACTIONS(2444),
    [anon_sym_IMP] = ACTIONS(2444),
    [anon_sym_SEL] = ACTIONS(2444),
    [anon_sym_Class] = ACTIONS(2444),
    [anon_sym_id] = ACTIONS(2444),
  },
  [825] = {
    [ts_builtin_sym_end] = ACTIONS(2410),
    [sym_identifier] = ACTIONS(2408),
    [aux_sym_preproc_include_token1] = ACTIONS(2408),
    [aux_sym_preproc_include_token2] = ACTIONS(2408),
    [aux_sym_preproc_def_token1] = ACTIONS(2408),
    [aux_sym_preproc_if_token1] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2408),
    [sym_preproc_directive] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_CARET] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym___extension__] = ACTIONS(2408),
    [anon_sym_typedef] = ACTIONS(2408),
    [anon_sym_extern] = ACTIONS(2408),
    [anon_sym___attribute__] = ACTIONS(2408),
    [anon_sym___attribute] = ACTIONS(2408),
    [anon_sym_noreturn] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym___declspec] = ACTIONS(2408),
    [anon_sym___cdecl] = ACTIONS(2408),
    [anon_sym___clrcall] = ACTIONS(2408),
    [anon_sym___stdcall] = ACTIONS(2408),
    [anon_sym___fastcall] = ACTIONS(2408),
    [anon_sym___thiscall] = ACTIONS(2408),
    [anon_sym___vectorcall] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_signed] = ACTIONS(2408),
    [anon_sym_unsigned] = ACTIONS(2408),
    [anon_sym_long] = ACTIONS(2408),
    [anon_sym_short] = ACTIONS(2408),
    [anon_sym_static] = ACTIONS(2408),
    [anon_sym_ATautoreleasepool] = ACTIONS(2410),
    [anon_sym_auto] = ACTIONS(2408),
    [anon_sym_register] = ACTIONS(2408),
    [anon_sym_inline] = ACTIONS(2408),
    [anon_sym___inline] = ACTIONS(2408),
    [anon_sym___inline__] = ACTIONS(2408),
    [anon_sym___forceinline] = ACTIONS(2408),
    [anon_sym_thread_local] = ACTIONS(2408),
    [anon_sym___thread] = ACTIONS(2408),
    [anon_sym_CG_EXTERN] = ACTIONS(2408),
    [anon_sym_CG_INLINE] = ACTIONS(2408),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2408),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2408),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2408),
    [anon_sym_IBOutlet] = ACTIONS(2408),
    [anon_sym_IBInspectable] = ACTIONS(2408),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2408),
    [anon_sym_NS_INLINE] = ACTIONS(2408),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2408),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2408),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2408),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2408),
    [anon_sym_const] = ACTIONS(2408),
    [anon_sym_constexpr] = ACTIONS(2408),
    [anon_sym_volatile] = ACTIONS(2408),
    [anon_sym_restrict] = ACTIONS(2408),
    [anon_sym___restrict__] = ACTIONS(2408),
    [anon_sym__Atomic] = ACTIONS(2408),
    [anon_sym__Noreturn] = ACTIONS(2408),
    [anon_sym__Nonnull] = ACTIONS(2408),
    [anon_sym_nullable] = ACTIONS(2408),
    [anon_sym__Complex] = ACTIONS(2408),
    [anon_sym__Nullable] = ACTIONS(2408),
    [anon_sym__Nullable_result] = ACTIONS(2408),
    [anon_sym__Null_unspecified] = ACTIONS(2408),
    [anon_sym___autoreleasing] = ACTIONS(2408),
    [anon_sym___block] = ACTIONS(2408),
    [anon_sym___bridge] = ACTIONS(2408),
    [anon_sym___bridge_retained] = ACTIONS(2408),
    [anon_sym___bridge_transfer] = ACTIONS(2408),
    [anon_sym___complex] = ACTIONS(2408),
    [anon_sym___const] = ACTIONS(2408),
    [anon_sym___imag] = ACTIONS(2408),
    [anon_sym___kindof] = ACTIONS(2408),
    [anon_sym___nonnull] = ACTIONS(2408),
    [anon_sym___nullable] = ACTIONS(2408),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2408),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2408),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2408),
    [anon_sym___real] = ACTIONS(2408),
    [anon_sym___strong] = ACTIONS(2408),
    [anon_sym___unsafe_unretained] = ACTIONS(2408),
    [anon_sym___unused] = ACTIONS(2408),
    [anon_sym___weak] = ACTIONS(2408),
    [anon_sym_alignas] = ACTIONS(2408),
    [anon_sym__Alignas] = ACTIONS(2408),
    [sym_primitive_type] = ACTIONS(2408),
    [anon_sym_enum] = ACTIONS(2408),
    [anon_sym_struct] = ACTIONS(2408),
    [anon_sym_union] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_else] = ACTIONS(2408),
    [anon_sym_switch] = ACTIONS(2408),
    [anon_sym_case] = ACTIONS(2408),
    [anon_sym_default] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_break] = ACTIONS(2408),
    [anon_sym_continue] = ACTIONS(2408),
    [anon_sym_goto] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_PLUS] = ACTIONS(2410),
    [anon_sym_sizeof] = ACTIONS(2408),
    [anon_sym___alignof__] = ACTIONS(2408),
    [anon_sym___alignof] = ACTIONS(2408),
    [anon_sym__alignof] = ACTIONS(2408),
    [anon_sym_alignof] = ACTIONS(2408),
    [anon_sym__Alignof] = ACTIONS(2408),
    [anon_sym_offsetof] = ACTIONS(2408),
    [anon_sym__Generic] = ACTIONS(2408),
    [anon_sym_asm] = ACTIONS(2408),
    [anon_sym___asm__] = ACTIONS(2408),
    [anon_sym___asm] = ACTIONS(2408),
    [sym_number_literal] = ACTIONS(2410),
    [anon_sym_L_SQUOTE] = ACTIONS(2410),
    [anon_sym_u_SQUOTE] = ACTIONS(2410),
    [anon_sym_U_SQUOTE] = ACTIONS(2410),
    [anon_sym_u8_SQUOTE] = ACTIONS(2410),
    [anon_sym_SQUOTE] = ACTIONS(2410),
    [anon_sym_AT] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_L_DQUOTE] = ACTIONS(2410),
    [anon_sym_u_DQUOTE] = ACTIONS(2410),
    [anon_sym_U_DQUOTE] = ACTIONS(2410),
    [anon_sym_u8_DQUOTE] = ACTIONS(2410),
    [sym_true] = ACTIONS(2408),
    [sym_false] = ACTIONS(2408),
    [anon_sym_NULL] = ACTIONS(2408),
    [anon_sym_nullptr] = ACTIONS(2408),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2408),
    [anon_sym___typeof] = ACTIONS(2408),
    [anon_sym_typeof] = ACTIONS(2408),
    [anon_sym_ATimport] = ACTIONS(2410),
    [aux_sym_preproc_undef_token1] = ACTIONS(2408),
    [anon_sym_POUND] = ACTIONS(2408),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2408),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2408),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2408),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2408),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2408),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2408),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2408),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2408),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2408),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_API_AVAILABLE] = ACTIONS(2408),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_API_DEPRECATED] = ACTIONS(2408),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2408),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2408),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2408),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2408),
    [anon_sym___deprecated_msg] = ACTIONS(2408),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2408),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2408),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2408),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2408),
    [anon_sym_ATprotocol] = ACTIONS(2410),
    [anon_sym_ATinterface] = ACTIONS(2410),
    [anon_sym_ATimplementation] = ACTIONS(2410),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2410),
    [anon_sym_ATtry] = ACTIONS(2410),
    [anon_sym___try] = ACTIONS(2408),
    [anon_sym_ATthrow] = ACTIONS(2410),
    [anon_sym_ATselector] = ACTIONS(2410),
    [anon_sym_ATavailable] = ACTIONS(2410),
    [anon_sym___builtin_available] = ACTIONS(2408),
    [anon_sym_va_arg] = ACTIONS(2408),
    [anon_sym_ATencode] = ACTIONS(2410),
    [anon_sym_ATsynchronized] = ACTIONS(2410),
    [anon_sym_BOOL] = ACTIONS(2408),
    [anon_sym_IMP] = ACTIONS(2408),
    [anon_sym_SEL] = ACTIONS(2408),
    [anon_sym_Class] = ACTIONS(2408),
    [anon_sym_id] = ACTIONS(2408),
  },
  [826] = {
    [ts_builtin_sym_end] = ACTIONS(2480),
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_include_token1] = ACTIONS(2478),
    [aux_sym_preproc_include_token2] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_BANG] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_CARET] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2480),
    [anon_sym_SEMI] = ACTIONS(2480),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym___attribute] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___cdecl] = ACTIONS(2478),
    [anon_sym___clrcall] = ACTIONS(2478),
    [anon_sym___stdcall] = ACTIONS(2478),
    [anon_sym___fastcall] = ACTIONS(2478),
    [anon_sym___thiscall] = ACTIONS(2478),
    [anon_sym___vectorcall] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2480),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_ATautoreleasepool] = ACTIONS(2480),
    [anon_sym_auto] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_CG_EXTERN] = ACTIONS(2478),
    [anon_sym_CG_INLINE] = ACTIONS(2478),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2478),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2478),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2478),
    [anon_sym_IBOutlet] = ACTIONS(2478),
    [anon_sym_IBInspectable] = ACTIONS(2478),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2478),
    [anon_sym_NS_INLINE] = ACTIONS(2478),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2478),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2478),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2478),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym__Nonnull] = ACTIONS(2478),
    [anon_sym_nullable] = ACTIONS(2478),
    [anon_sym__Complex] = ACTIONS(2478),
    [anon_sym__Nullable] = ACTIONS(2478),
    [anon_sym__Nullable_result] = ACTIONS(2478),
    [anon_sym__Null_unspecified] = ACTIONS(2478),
    [anon_sym___autoreleasing] = ACTIONS(2478),
    [anon_sym___block] = ACTIONS(2478),
    [anon_sym___bridge] = ACTIONS(2478),
    [anon_sym___bridge_retained] = ACTIONS(2478),
    [anon_sym___bridge_transfer] = ACTIONS(2478),
    [anon_sym___complex] = ACTIONS(2478),
    [anon_sym___const] = ACTIONS(2478),
    [anon_sym___imag] = ACTIONS(2478),
    [anon_sym___kindof] = ACTIONS(2478),
    [anon_sym___nonnull] = ACTIONS(2478),
    [anon_sym___nullable] = ACTIONS(2478),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2478),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2478),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2478),
    [anon_sym___real] = ACTIONS(2478),
    [anon_sym___strong] = ACTIONS(2478),
    [anon_sym___unsafe_unretained] = ACTIONS(2478),
    [anon_sym___unused] = ACTIONS(2478),
    [anon_sym___weak] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym__Alignas] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_else] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_case] = ACTIONS(2478),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_in] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_goto] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2480),
    [anon_sym_PLUS_PLUS] = ACTIONS(2480),
    [anon_sym_sizeof] = ACTIONS(2478),
    [anon_sym___alignof__] = ACTIONS(2478),
    [anon_sym___alignof] = ACTIONS(2478),
    [anon_sym__alignof] = ACTIONS(2478),
    [anon_sym_alignof] = ACTIONS(2478),
    [anon_sym__Alignof] = ACTIONS(2478),
    [anon_sym_offsetof] = ACTIONS(2478),
    [anon_sym__Generic] = ACTIONS(2478),
    [anon_sym_asm] = ACTIONS(2478),
    [anon_sym___asm__] = ACTIONS(2478),
    [anon_sym___asm] = ACTIONS(2478),
    [sym_number_literal] = ACTIONS(2480),
    [anon_sym_L_SQUOTE] = ACTIONS(2480),
    [anon_sym_u_SQUOTE] = ACTIONS(2480),
    [anon_sym_U_SQUOTE] = ACTIONS(2480),
    [anon_sym_u8_SQUOTE] = ACTIONS(2480),
    [anon_sym_SQUOTE] = ACTIONS(2480),
    [anon_sym_AT] = ACTIONS(2478),
    [anon_sym_DQUOTE] = ACTIONS(2480),
    [anon_sym_L_DQUOTE] = ACTIONS(2480),
    [anon_sym_u_DQUOTE] = ACTIONS(2480),
    [anon_sym_U_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8_DQUOTE] = ACTIONS(2480),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2478),
    [anon_sym_nullptr] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2478),
    [anon_sym___typeof] = ACTIONS(2478),
    [anon_sym_typeof] = ACTIONS(2478),
    [anon_sym_ATimport] = ACTIONS(2480),
    [aux_sym_preproc_undef_token1] = ACTIONS(2478),
    [anon_sym_POUND] = ACTIONS(2478),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2478),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2478),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2478),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2478),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2478),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2478),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2478),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2478),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2478),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_API_AVAILABLE] = ACTIONS(2478),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_API_DEPRECATED] = ACTIONS(2478),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2478),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2478),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2478),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2478),
    [anon_sym___deprecated_msg] = ACTIONS(2478),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2478),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2478),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2478),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2478),
    [anon_sym_ATprotocol] = ACTIONS(2480),
    [anon_sym_ATinterface] = ACTIONS(2480),
    [anon_sym_ATimplementation] = ACTIONS(2480),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2480),
    [anon_sym_ATtry] = ACTIONS(2480),
    [anon_sym___try] = ACTIONS(2478),
    [anon_sym_ATthrow] = ACTIONS(2480),
    [anon_sym_ATselector] = ACTIONS(2480),
    [anon_sym_ATavailable] = ACTIONS(2480),
    [anon_sym___builtin_available] = ACTIONS(2478),
    [anon_sym_va_arg] = ACTIONS(2478),
    [anon_sym_ATencode] = ACTIONS(2480),
    [anon_sym_ATsynchronized] = ACTIONS(2480),
    [anon_sym_BOOL] = ACTIONS(2478),
    [anon_sym_IMP] = ACTIONS(2478),
    [anon_sym_SEL] = ACTIONS(2478),
    [anon_sym_Class] = ACTIONS(2478),
    [anon_sym_id] = ACTIONS(2478),
  },
  [827] = {
    [ts_builtin_sym_end] = ACTIONS(2484),
    [sym_identifier] = ACTIONS(2482),
    [aux_sym_preproc_include_token1] = ACTIONS(2482),
    [aux_sym_preproc_include_token2] = ACTIONS(2482),
    [aux_sym_preproc_def_token1] = ACTIONS(2482),
    [aux_sym_preproc_if_token1] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2482),
    [sym_preproc_directive] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(2484),
    [anon_sym_BANG] = ACTIONS(2484),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_DASH] = ACTIONS(2482),
    [anon_sym_PLUS] = ACTIONS(2482),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_CARET] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_SEMI] = ACTIONS(2484),
    [anon_sym___extension__] = ACTIONS(2482),
    [anon_sym_typedef] = ACTIONS(2482),
    [anon_sym_extern] = ACTIONS(2482),
    [anon_sym___attribute__] = ACTIONS(2482),
    [anon_sym___attribute] = ACTIONS(2482),
    [anon_sym_noreturn] = ACTIONS(2482),
    [anon_sym_LBRACK] = ACTIONS(2484),
    [anon_sym___declspec] = ACTIONS(2482),
    [anon_sym___cdecl] = ACTIONS(2482),
    [anon_sym___clrcall] = ACTIONS(2482),
    [anon_sym___stdcall] = ACTIONS(2482),
    [anon_sym___fastcall] = ACTIONS(2482),
    [anon_sym___thiscall] = ACTIONS(2482),
    [anon_sym___vectorcall] = ACTIONS(2482),
    [anon_sym_LBRACE] = ACTIONS(2484),
    [anon_sym_signed] = ACTIONS(2482),
    [anon_sym_unsigned] = ACTIONS(2482),
    [anon_sym_long] = ACTIONS(2482),
    [anon_sym_short] = ACTIONS(2482),
    [anon_sym_static] = ACTIONS(2482),
    [anon_sym_ATautoreleasepool] = ACTIONS(2484),
    [anon_sym_auto] = ACTIONS(2482),
    [anon_sym_register] = ACTIONS(2482),
    [anon_sym_inline] = ACTIONS(2482),
    [anon_sym___inline] = ACTIONS(2482),
    [anon_sym___inline__] = ACTIONS(2482),
    [anon_sym___forceinline] = ACTIONS(2482),
    [anon_sym_thread_local] = ACTIONS(2482),
    [anon_sym___thread] = ACTIONS(2482),
    [anon_sym_CG_EXTERN] = ACTIONS(2482),
    [anon_sym_CG_INLINE] = ACTIONS(2482),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2482),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2482),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2482),
    [anon_sym_IBOutlet] = ACTIONS(2482),
    [anon_sym_IBInspectable] = ACTIONS(2482),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2482),
    [anon_sym_NS_INLINE] = ACTIONS(2482),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2482),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2482),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2482),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2482),
    [anon_sym_const] = ACTIONS(2482),
    [anon_sym_constexpr] = ACTIONS(2482),
    [anon_sym_volatile] = ACTIONS(2482),
    [anon_sym_restrict] = ACTIONS(2482),
    [anon_sym___restrict__] = ACTIONS(2482),
    [anon_sym__Atomic] = ACTIONS(2482),
    [anon_sym__Noreturn] = ACTIONS(2482),
    [anon_sym__Nonnull] = ACTIONS(2482),
    [anon_sym_nullable] = ACTIONS(2482),
    [anon_sym__Complex] = ACTIONS(2482),
    [anon_sym__Nullable] = ACTIONS(2482),
    [anon_sym__Nullable_result] = ACTIONS(2482),
    [anon_sym__Null_unspecified] = ACTIONS(2482),
    [anon_sym___autoreleasing] = ACTIONS(2482),
    [anon_sym___block] = ACTIONS(2482),
    [anon_sym___bridge] = ACTIONS(2482),
    [anon_sym___bridge_retained] = ACTIONS(2482),
    [anon_sym___bridge_transfer] = ACTIONS(2482),
    [anon_sym___complex] = ACTIONS(2482),
    [anon_sym___const] = ACTIONS(2482),
    [anon_sym___imag] = ACTIONS(2482),
    [anon_sym___kindof] = ACTIONS(2482),
    [anon_sym___nonnull] = ACTIONS(2482),
    [anon_sym___nullable] = ACTIONS(2482),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2482),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2482),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2482),
    [anon_sym___real] = ACTIONS(2482),
    [anon_sym___strong] = ACTIONS(2482),
    [anon_sym___unsafe_unretained] = ACTIONS(2482),
    [anon_sym___unused] = ACTIONS(2482),
    [anon_sym___weak] = ACTIONS(2482),
    [anon_sym_alignas] = ACTIONS(2482),
    [anon_sym__Alignas] = ACTIONS(2482),
    [sym_primitive_type] = ACTIONS(2482),
    [anon_sym_enum] = ACTIONS(2482),
    [anon_sym_struct] = ACTIONS(2482),
    [anon_sym_union] = ACTIONS(2482),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_else] = ACTIONS(2482),
    [anon_sym_switch] = ACTIONS(2482),
    [anon_sym_case] = ACTIONS(2482),
    [anon_sym_default] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2482),
    [anon_sym_do] = ACTIONS(2482),
    [anon_sym_for] = ACTIONS(2482),
    [anon_sym_in] = ACTIONS(2482),
    [anon_sym_return] = ACTIONS(2482),
    [anon_sym_break] = ACTIONS(2482),
    [anon_sym_continue] = ACTIONS(2482),
    [anon_sym_goto] = ACTIONS(2482),
    [anon_sym_DASH_DASH] = ACTIONS(2484),
    [anon_sym_PLUS_PLUS] = ACTIONS(2484),
    [anon_sym_sizeof] = ACTIONS(2482),
    [anon_sym___alignof__] = ACTIONS(2482),
    [anon_sym___alignof] = ACTIONS(2482),
    [anon_sym__alignof] = ACTIONS(2482),
    [anon_sym_alignof] = ACTIONS(2482),
    [anon_sym__Alignof] = ACTIONS(2482),
    [anon_sym_offsetof] = ACTIONS(2482),
    [anon_sym__Generic] = ACTIONS(2482),
    [anon_sym_asm] = ACTIONS(2482),
    [anon_sym___asm__] = ACTIONS(2482),
    [anon_sym___asm] = ACTIONS(2482),
    [sym_number_literal] = ACTIONS(2484),
    [anon_sym_L_SQUOTE] = ACTIONS(2484),
    [anon_sym_u_SQUOTE] = ACTIONS(2484),
    [anon_sym_U_SQUOTE] = ACTIONS(2484),
    [anon_sym_u8_SQUOTE] = ACTIONS(2484),
    [anon_sym_SQUOTE] = ACTIONS(2484),
    [anon_sym_AT] = ACTIONS(2482),
    [anon_sym_DQUOTE] = ACTIONS(2484),
    [anon_sym_L_DQUOTE] = ACTIONS(2484),
    [anon_sym_u_DQUOTE] = ACTIONS(2484),
    [anon_sym_U_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8_DQUOTE] = ACTIONS(2484),
    [sym_true] = ACTIONS(2482),
    [sym_false] = ACTIONS(2482),
    [anon_sym_NULL] = ACTIONS(2482),
    [anon_sym_nullptr] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2482),
    [anon_sym___typeof] = ACTIONS(2482),
    [anon_sym_typeof] = ACTIONS(2482),
    [anon_sym_ATimport] = ACTIONS(2484),
    [aux_sym_preproc_undef_token1] = ACTIONS(2482),
    [anon_sym_POUND] = ACTIONS(2482),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2482),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2482),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2482),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2482),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2482),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2482),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2482),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2482),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2482),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_API_AVAILABLE] = ACTIONS(2482),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_API_DEPRECATED] = ACTIONS(2482),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2482),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2482),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2482),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2482),
    [anon_sym___deprecated_msg] = ACTIONS(2482),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2482),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2482),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2482),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2482),
    [anon_sym_ATprotocol] = ACTIONS(2484),
    [anon_sym_ATinterface] = ACTIONS(2484),
    [anon_sym_ATimplementation] = ACTIONS(2484),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2484),
    [anon_sym_ATtry] = ACTIONS(2484),
    [anon_sym___try] = ACTIONS(2482),
    [anon_sym_ATthrow] = ACTIONS(2484),
    [anon_sym_ATselector] = ACTIONS(2484),
    [anon_sym_ATavailable] = ACTIONS(2484),
    [anon_sym___builtin_available] = ACTIONS(2482),
    [anon_sym_va_arg] = ACTIONS(2482),
    [anon_sym_ATencode] = ACTIONS(2484),
    [anon_sym_ATsynchronized] = ACTIONS(2484),
    [anon_sym_BOOL] = ACTIONS(2482),
    [anon_sym_IMP] = ACTIONS(2482),
    [anon_sym_SEL] = ACTIONS(2482),
    [anon_sym_Class] = ACTIONS(2482),
    [anon_sym_id] = ACTIONS(2482),
  },
  [828] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [829] = {
    [ts_builtin_sym_end] = ACTIONS(2492),
    [sym_identifier] = ACTIONS(2490),
    [aux_sym_preproc_include_token1] = ACTIONS(2490),
    [aux_sym_preproc_include_token2] = ACTIONS(2490),
    [aux_sym_preproc_def_token1] = ACTIONS(2490),
    [aux_sym_preproc_if_token1] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2490),
    [sym_preproc_directive] = ACTIONS(2490),
    [anon_sym_LPAREN2] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2492),
    [anon_sym_TILDE] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2490),
    [anon_sym_STAR] = ACTIONS(2492),
    [anon_sym_CARET] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2492),
    [anon_sym___extension__] = ACTIONS(2490),
    [anon_sym_typedef] = ACTIONS(2490),
    [anon_sym_extern] = ACTIONS(2490),
    [anon_sym___attribute__] = ACTIONS(2490),
    [anon_sym___attribute] = ACTIONS(2490),
    [anon_sym_noreturn] = ACTIONS(2490),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym___declspec] = ACTIONS(2490),
    [anon_sym___cdecl] = ACTIONS(2490),
    [anon_sym___clrcall] = ACTIONS(2490),
    [anon_sym___stdcall] = ACTIONS(2490),
    [anon_sym___fastcall] = ACTIONS(2490),
    [anon_sym___thiscall] = ACTIONS(2490),
    [anon_sym___vectorcall] = ACTIONS(2490),
    [anon_sym_LBRACE] = ACTIONS(2492),
    [anon_sym_signed] = ACTIONS(2490),
    [anon_sym_unsigned] = ACTIONS(2490),
    [anon_sym_long] = ACTIONS(2490),
    [anon_sym_short] = ACTIONS(2490),
    [anon_sym_static] = ACTIONS(2490),
    [anon_sym_ATautoreleasepool] = ACTIONS(2492),
    [anon_sym_auto] = ACTIONS(2490),
    [anon_sym_register] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2490),
    [anon_sym___inline] = ACTIONS(2490),
    [anon_sym___inline__] = ACTIONS(2490),
    [anon_sym___forceinline] = ACTIONS(2490),
    [anon_sym_thread_local] = ACTIONS(2490),
    [anon_sym___thread] = ACTIONS(2490),
    [anon_sym_CG_EXTERN] = ACTIONS(2490),
    [anon_sym_CG_INLINE] = ACTIONS(2490),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2490),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2490),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2490),
    [anon_sym_IBOutlet] = ACTIONS(2490),
    [anon_sym_IBInspectable] = ACTIONS(2490),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2490),
    [anon_sym_NS_INLINE] = ACTIONS(2490),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2490),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2490),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2490),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2490),
    [anon_sym_const] = ACTIONS(2490),
    [anon_sym_constexpr] = ACTIONS(2490),
    [anon_sym_volatile] = ACTIONS(2490),
    [anon_sym_restrict] = ACTIONS(2490),
    [anon_sym___restrict__] = ACTIONS(2490),
    [anon_sym__Atomic] = ACTIONS(2490),
    [anon_sym__Noreturn] = ACTIONS(2490),
    [anon_sym__Nonnull] = ACTIONS(2490),
    [anon_sym_nullable] = ACTIONS(2490),
    [anon_sym__Complex] = ACTIONS(2490),
    [anon_sym__Nullable] = ACTIONS(2490),
    [anon_sym__Nullable_result] = ACTIONS(2490),
    [anon_sym__Null_unspecified] = ACTIONS(2490),
    [anon_sym___autoreleasing] = ACTIONS(2490),
    [anon_sym___block] = ACTIONS(2490),
    [anon_sym___bridge] = ACTIONS(2490),
    [anon_sym___bridge_retained] = ACTIONS(2490),
    [anon_sym___bridge_transfer] = ACTIONS(2490),
    [anon_sym___complex] = ACTIONS(2490),
    [anon_sym___const] = ACTIONS(2490),
    [anon_sym___imag] = ACTIONS(2490),
    [anon_sym___kindof] = ACTIONS(2490),
    [anon_sym___nonnull] = ACTIONS(2490),
    [anon_sym___nullable] = ACTIONS(2490),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2490),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2490),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2490),
    [anon_sym___real] = ACTIONS(2490),
    [anon_sym___strong] = ACTIONS(2490),
    [anon_sym___unsafe_unretained] = ACTIONS(2490),
    [anon_sym___unused] = ACTIONS(2490),
    [anon_sym___weak] = ACTIONS(2490),
    [anon_sym_alignas] = ACTIONS(2490),
    [anon_sym__Alignas] = ACTIONS(2490),
    [sym_primitive_type] = ACTIONS(2490),
    [anon_sym_enum] = ACTIONS(2490),
    [anon_sym_struct] = ACTIONS(2490),
    [anon_sym_union] = ACTIONS(2490),
    [anon_sym_if] = ACTIONS(2490),
    [anon_sym_else] = ACTIONS(2490),
    [anon_sym_switch] = ACTIONS(2490),
    [anon_sym_case] = ACTIONS(2490),
    [anon_sym_default] = ACTIONS(2490),
    [anon_sym_while] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(2490),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_in] = ACTIONS(2490),
    [anon_sym_return] = ACTIONS(2490),
    [anon_sym_break] = ACTIONS(2490),
    [anon_sym_continue] = ACTIONS(2490),
    [anon_sym_goto] = ACTIONS(2490),
    [anon_sym_DASH_DASH] = ACTIONS(2492),
    [anon_sym_PLUS_PLUS] = ACTIONS(2492),
    [anon_sym_sizeof] = ACTIONS(2490),
    [anon_sym___alignof__] = ACTIONS(2490),
    [anon_sym___alignof] = ACTIONS(2490),
    [anon_sym__alignof] = ACTIONS(2490),
    [anon_sym_alignof] = ACTIONS(2490),
    [anon_sym__Alignof] = ACTIONS(2490),
    [anon_sym_offsetof] = ACTIONS(2490),
    [anon_sym__Generic] = ACTIONS(2490),
    [anon_sym_asm] = ACTIONS(2490),
    [anon_sym___asm__] = ACTIONS(2490),
    [anon_sym___asm] = ACTIONS(2490),
    [sym_number_literal] = ACTIONS(2492),
    [anon_sym_L_SQUOTE] = ACTIONS(2492),
    [anon_sym_u_SQUOTE] = ACTIONS(2492),
    [anon_sym_U_SQUOTE] = ACTIONS(2492),
    [anon_sym_u8_SQUOTE] = ACTIONS(2492),
    [anon_sym_SQUOTE] = ACTIONS(2492),
    [anon_sym_AT] = ACTIONS(2490),
    [anon_sym_DQUOTE] = ACTIONS(2492),
    [anon_sym_L_DQUOTE] = ACTIONS(2492),
    [anon_sym_u_DQUOTE] = ACTIONS(2492),
    [anon_sym_U_DQUOTE] = ACTIONS(2492),
    [anon_sym_u8_DQUOTE] = ACTIONS(2492),
    [sym_true] = ACTIONS(2490),
    [sym_false] = ACTIONS(2490),
    [anon_sym_NULL] = ACTIONS(2490),
    [anon_sym_nullptr] = ACTIONS(2490),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2490),
    [anon_sym___typeof] = ACTIONS(2490),
    [anon_sym_typeof] = ACTIONS(2490),
    [anon_sym_ATimport] = ACTIONS(2492),
    [aux_sym_preproc_undef_token1] = ACTIONS(2490),
    [anon_sym_POUND] = ACTIONS(2490),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2490),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2490),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2490),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2490),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2490),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2490),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2490),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2490),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2490),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_API_AVAILABLE] = ACTIONS(2490),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_API_DEPRECATED] = ACTIONS(2490),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2490),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2490),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2490),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2490),
    [anon_sym___deprecated_msg] = ACTIONS(2490),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2490),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2490),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2490),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2490),
    [anon_sym_ATprotocol] = ACTIONS(2492),
    [anon_sym_ATinterface] = ACTIONS(2492),
    [anon_sym_ATimplementation] = ACTIONS(2492),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2492),
    [anon_sym_ATtry] = ACTIONS(2492),
    [anon_sym___try] = ACTIONS(2490),
    [anon_sym_ATthrow] = ACTIONS(2492),
    [anon_sym_ATselector] = ACTIONS(2492),
    [anon_sym_ATavailable] = ACTIONS(2492),
    [anon_sym___builtin_available] = ACTIONS(2490),
    [anon_sym_va_arg] = ACTIONS(2490),
    [anon_sym_ATencode] = ACTIONS(2492),
    [anon_sym_ATsynchronized] = ACTIONS(2492),
    [anon_sym_BOOL] = ACTIONS(2490),
    [anon_sym_IMP] = ACTIONS(2490),
    [anon_sym_SEL] = ACTIONS(2490),
    [anon_sym_Class] = ACTIONS(2490),
    [anon_sym_id] = ACTIONS(2490),
  },
  [830] = {
    [ts_builtin_sym_end] = ACTIONS(2502),
    [sym_identifier] = ACTIONS(2500),
    [aux_sym_preproc_include_token1] = ACTIONS(2500),
    [aux_sym_preproc_include_token2] = ACTIONS(2500),
    [aux_sym_preproc_def_token1] = ACTIONS(2500),
    [aux_sym_preproc_if_token1] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2500),
    [sym_preproc_directive] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(2502),
    [anon_sym_BANG] = ACTIONS(2502),
    [anon_sym_TILDE] = ACTIONS(2502),
    [anon_sym_DASH] = ACTIONS(2500),
    [anon_sym_PLUS] = ACTIONS(2500),
    [anon_sym_STAR] = ACTIONS(2502),
    [anon_sym_CARET] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2502),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(2500),
    [anon_sym_typedef] = ACTIONS(2500),
    [anon_sym_extern] = ACTIONS(2500),
    [anon_sym___attribute__] = ACTIONS(2500),
    [anon_sym___attribute] = ACTIONS(2500),
    [anon_sym_noreturn] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [anon_sym___declspec] = ACTIONS(2500),
    [anon_sym___cdecl] = ACTIONS(2500),
    [anon_sym___clrcall] = ACTIONS(2500),
    [anon_sym___stdcall] = ACTIONS(2500),
    [anon_sym___fastcall] = ACTIONS(2500),
    [anon_sym___thiscall] = ACTIONS(2500),
    [anon_sym___vectorcall] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_signed] = ACTIONS(2500),
    [anon_sym_unsigned] = ACTIONS(2500),
    [anon_sym_long] = ACTIONS(2500),
    [anon_sym_short] = ACTIONS(2500),
    [anon_sym_static] = ACTIONS(2500),
    [anon_sym_ATautoreleasepool] = ACTIONS(2502),
    [anon_sym_auto] = ACTIONS(2500),
    [anon_sym_register] = ACTIONS(2500),
    [anon_sym_inline] = ACTIONS(2500),
    [anon_sym___inline] = ACTIONS(2500),
    [anon_sym___inline__] = ACTIONS(2500),
    [anon_sym___forceinline] = ACTIONS(2500),
    [anon_sym_thread_local] = ACTIONS(2500),
    [anon_sym___thread] = ACTIONS(2500),
    [anon_sym_CG_EXTERN] = ACTIONS(2500),
    [anon_sym_CG_INLINE] = ACTIONS(2500),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2500),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2500),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2500),
    [anon_sym_IBOutlet] = ACTIONS(2500),
    [anon_sym_IBInspectable] = ACTIONS(2500),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2500),
    [anon_sym_NS_INLINE] = ACTIONS(2500),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2500),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2500),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2500),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2500),
    [anon_sym_const] = ACTIONS(2500),
    [anon_sym_constexpr] = ACTIONS(2500),
    [anon_sym_volatile] = ACTIONS(2500),
    [anon_sym_restrict] = ACTIONS(2500),
    [anon_sym___restrict__] = ACTIONS(2500),
    [anon_sym__Atomic] = ACTIONS(2500),
    [anon_sym__Noreturn] = ACTIONS(2500),
    [anon_sym__Nonnull] = ACTIONS(2500),
    [anon_sym_nullable] = ACTIONS(2500),
    [anon_sym__Complex] = ACTIONS(2500),
    [anon_sym__Nullable] = ACTIONS(2500),
    [anon_sym__Nullable_result] = ACTIONS(2500),
    [anon_sym__Null_unspecified] = ACTIONS(2500),
    [anon_sym___autoreleasing] = ACTIONS(2500),
    [anon_sym___block] = ACTIONS(2500),
    [anon_sym___bridge] = ACTIONS(2500),
    [anon_sym___bridge_retained] = ACTIONS(2500),
    [anon_sym___bridge_transfer] = ACTIONS(2500),
    [anon_sym___complex] = ACTIONS(2500),
    [anon_sym___const] = ACTIONS(2500),
    [anon_sym___imag] = ACTIONS(2500),
    [anon_sym___kindof] = ACTIONS(2500),
    [anon_sym___nonnull] = ACTIONS(2500),
    [anon_sym___nullable] = ACTIONS(2500),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2500),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2500),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2500),
    [anon_sym___real] = ACTIONS(2500),
    [anon_sym___strong] = ACTIONS(2500),
    [anon_sym___unsafe_unretained] = ACTIONS(2500),
    [anon_sym___unused] = ACTIONS(2500),
    [anon_sym___weak] = ACTIONS(2500),
    [anon_sym_alignas] = ACTIONS(2500),
    [anon_sym__Alignas] = ACTIONS(2500),
    [sym_primitive_type] = ACTIONS(2500),
    [anon_sym_enum] = ACTIONS(2500),
    [anon_sym_struct] = ACTIONS(2500),
    [anon_sym_union] = ACTIONS(2500),
    [anon_sym_if] = ACTIONS(2500),
    [anon_sym_else] = ACTIONS(2500),
    [anon_sym_switch] = ACTIONS(2500),
    [anon_sym_case] = ACTIONS(2500),
    [anon_sym_default] = ACTIONS(2500),
    [anon_sym_while] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2500),
    [anon_sym_for] = ACTIONS(2500),
    [anon_sym_in] = ACTIONS(2500),
    [anon_sym_return] = ACTIONS(2500),
    [anon_sym_break] = ACTIONS(2500),
    [anon_sym_continue] = ACTIONS(2500),
    [anon_sym_goto] = ACTIONS(2500),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(2500),
    [anon_sym___alignof] = ACTIONS(2500),
    [anon_sym__alignof] = ACTIONS(2500),
    [anon_sym_alignof] = ACTIONS(2500),
    [anon_sym__Alignof] = ACTIONS(2500),
    [anon_sym_offsetof] = ACTIONS(2500),
    [anon_sym__Generic] = ACTIONS(2500),
    [anon_sym_asm] = ACTIONS(2500),
    [anon_sym___asm__] = ACTIONS(2500),
    [anon_sym___asm] = ACTIONS(2500),
    [sym_number_literal] = ACTIONS(2502),
    [anon_sym_L_SQUOTE] = ACTIONS(2502),
    [anon_sym_u_SQUOTE] = ACTIONS(2502),
    [anon_sym_U_SQUOTE] = ACTIONS(2502),
    [anon_sym_u8_SQUOTE] = ACTIONS(2502),
    [anon_sym_SQUOTE] = ACTIONS(2502),
    [anon_sym_AT] = ACTIONS(2500),
    [anon_sym_DQUOTE] = ACTIONS(2502),
    [anon_sym_L_DQUOTE] = ACTIONS(2502),
    [anon_sym_u_DQUOTE] = ACTIONS(2502),
    [anon_sym_U_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8_DQUOTE] = ACTIONS(2502),
    [sym_true] = ACTIONS(2500),
    [sym_false] = ACTIONS(2500),
    [anon_sym_NULL] = ACTIONS(2500),
    [anon_sym_nullptr] = ACTIONS(2500),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2500),
    [anon_sym___typeof] = ACTIONS(2500),
    [anon_sym_typeof] = ACTIONS(2500),
    [anon_sym_ATimport] = ACTIONS(2502),
    [aux_sym_preproc_undef_token1] = ACTIONS(2500),
    [anon_sym_POUND] = ACTIONS(2500),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2500),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2500),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2500),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2500),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2500),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2500),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2500),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2500),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2500),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_API_AVAILABLE] = ACTIONS(2500),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_API_DEPRECATED] = ACTIONS(2500),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2500),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2500),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2500),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2500),
    [anon_sym___deprecated_msg] = ACTIONS(2500),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2500),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2500),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2500),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2500),
    [anon_sym_ATprotocol] = ACTIONS(2502),
    [anon_sym_ATinterface] = ACTIONS(2502),
    [anon_sym_ATimplementation] = ACTIONS(2502),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2502),
    [anon_sym_ATtry] = ACTIONS(2502),
    [anon_sym___try] = ACTIONS(2500),
    [anon_sym_ATthrow] = ACTIONS(2502),
    [anon_sym_ATselector] = ACTIONS(2502),
    [anon_sym_ATavailable] = ACTIONS(2502),
    [anon_sym___builtin_available] = ACTIONS(2500),
    [anon_sym_va_arg] = ACTIONS(2500),
    [anon_sym_ATencode] = ACTIONS(2502),
    [anon_sym_ATsynchronized] = ACTIONS(2502),
    [anon_sym_BOOL] = ACTIONS(2500),
    [anon_sym_IMP] = ACTIONS(2500),
    [anon_sym_SEL] = ACTIONS(2500),
    [anon_sym_Class] = ACTIONS(2500),
    [anon_sym_id] = ACTIONS(2500),
  },
  [831] = {
    [ts_builtin_sym_end] = ACTIONS(2506),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_include_token2] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_CARET] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym___attribute] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_ATautoreleasepool] = ACTIONS(2506),
    [anon_sym_auto] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_CG_EXTERN] = ACTIONS(2504),
    [anon_sym_CG_INLINE] = ACTIONS(2504),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2504),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2504),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2504),
    [anon_sym_IBOutlet] = ACTIONS(2504),
    [anon_sym_IBInspectable] = ACTIONS(2504),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2504),
    [anon_sym_NS_INLINE] = ACTIONS(2504),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2504),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2504),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2504),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym__Nonnull] = ACTIONS(2504),
    [anon_sym_nullable] = ACTIONS(2504),
    [anon_sym__Complex] = ACTIONS(2504),
    [anon_sym__Nullable] = ACTIONS(2504),
    [anon_sym__Nullable_result] = ACTIONS(2504),
    [anon_sym__Null_unspecified] = ACTIONS(2504),
    [anon_sym___autoreleasing] = ACTIONS(2504),
    [anon_sym___block] = ACTIONS(2504),
    [anon_sym___bridge] = ACTIONS(2504),
    [anon_sym___bridge_retained] = ACTIONS(2504),
    [anon_sym___bridge_transfer] = ACTIONS(2504),
    [anon_sym___complex] = ACTIONS(2504),
    [anon_sym___const] = ACTIONS(2504),
    [anon_sym___imag] = ACTIONS(2504),
    [anon_sym___kindof] = ACTIONS(2504),
    [anon_sym___nonnull] = ACTIONS(2504),
    [anon_sym___nullable] = ACTIONS(2504),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2504),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2504),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2504),
    [anon_sym___real] = ACTIONS(2504),
    [anon_sym___strong] = ACTIONS(2504),
    [anon_sym___unsafe_unretained] = ACTIONS(2504),
    [anon_sym___unused] = ACTIONS(2504),
    [anon_sym___weak] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym__Alignas] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_in] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [anon_sym___asm] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_AT] = ACTIONS(2504),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2504),
    [anon_sym___typeof] = ACTIONS(2504),
    [anon_sym_typeof] = ACTIONS(2504),
    [anon_sym_ATimport] = ACTIONS(2506),
    [aux_sym_preproc_undef_token1] = ACTIONS(2504),
    [anon_sym_POUND] = ACTIONS(2504),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2504),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2504),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2504),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2504),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2504),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2504),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2504),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2504),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2504),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_API_AVAILABLE] = ACTIONS(2504),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_API_DEPRECATED] = ACTIONS(2504),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2504),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2504),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2504),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2504),
    [anon_sym___deprecated_msg] = ACTIONS(2504),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2504),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2504),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2504),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2504),
    [anon_sym_ATprotocol] = ACTIONS(2506),
    [anon_sym_ATinterface] = ACTIONS(2506),
    [anon_sym_ATimplementation] = ACTIONS(2506),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2506),
    [anon_sym_ATtry] = ACTIONS(2506),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym_ATthrow] = ACTIONS(2506),
    [anon_sym_ATselector] = ACTIONS(2506),
    [anon_sym_ATavailable] = ACTIONS(2506),
    [anon_sym___builtin_available] = ACTIONS(2504),
    [anon_sym_va_arg] = ACTIONS(2504),
    [anon_sym_ATencode] = ACTIONS(2506),
    [anon_sym_ATsynchronized] = ACTIONS(2506),
    [anon_sym_BOOL] = ACTIONS(2504),
    [anon_sym_IMP] = ACTIONS(2504),
    [anon_sym_SEL] = ACTIONS(2504),
    [anon_sym_Class] = ACTIONS(2504),
    [anon_sym_id] = ACTIONS(2504),
  },
  [832] = {
    [ts_builtin_sym_end] = ACTIONS(2510),
    [sym_identifier] = ACTIONS(2508),
    [aux_sym_preproc_include_token1] = ACTIONS(2508),
    [aux_sym_preproc_include_token2] = ACTIONS(2508),
    [aux_sym_preproc_def_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2508),
    [sym_preproc_directive] = ACTIONS(2508),
    [anon_sym_LPAREN2] = ACTIONS(2510),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2510),
    [anon_sym_CARET] = ACTIONS(2510),
    [anon_sym_AMP] = ACTIONS(2510),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym___extension__] = ACTIONS(2508),
    [anon_sym_typedef] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym___attribute__] = ACTIONS(2508),
    [anon_sym___attribute] = ACTIONS(2508),
    [anon_sym_noreturn] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [anon_sym___declspec] = ACTIONS(2508),
    [anon_sym___cdecl] = ACTIONS(2508),
    [anon_sym___clrcall] = ACTIONS(2508),
    [anon_sym___stdcall] = ACTIONS(2508),
    [anon_sym___fastcall] = ACTIONS(2508),
    [anon_sym___thiscall] = ACTIONS(2508),
    [anon_sym___vectorcall] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_signed] = ACTIONS(2508),
    [anon_sym_unsigned] = ACTIONS(2508),
    [anon_sym_long] = ACTIONS(2508),
    [anon_sym_short] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_ATautoreleasepool] = ACTIONS(2510),
    [anon_sym_auto] = ACTIONS(2508),
    [anon_sym_register] = ACTIONS(2508),
    [anon_sym_inline] = ACTIONS(2508),
    [anon_sym___inline] = ACTIONS(2508),
    [anon_sym___inline__] = ACTIONS(2508),
    [anon_sym___forceinline] = ACTIONS(2508),
    [anon_sym_thread_local] = ACTIONS(2508),
    [anon_sym___thread] = ACTIONS(2508),
    [anon_sym_CG_EXTERN] = ACTIONS(2508),
    [anon_sym_CG_INLINE] = ACTIONS(2508),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2508),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2508),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2508),
    [anon_sym_IBOutlet] = ACTIONS(2508),
    [anon_sym_IBInspectable] = ACTIONS(2508),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2508),
    [anon_sym_NS_INLINE] = ACTIONS(2508),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2508),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2508),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2508),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_constexpr] = ACTIONS(2508),
    [anon_sym_volatile] = ACTIONS(2508),
    [anon_sym_restrict] = ACTIONS(2508),
    [anon_sym___restrict__] = ACTIONS(2508),
    [anon_sym__Atomic] = ACTIONS(2508),
    [anon_sym__Noreturn] = ACTIONS(2508),
    [anon_sym__Nonnull] = ACTIONS(2508),
    [anon_sym_nullable] = ACTIONS(2508),
    [anon_sym__Complex] = ACTIONS(2508),
    [anon_sym__Nullable] = ACTIONS(2508),
    [anon_sym__Nullable_result] = ACTIONS(2508),
    [anon_sym__Null_unspecified] = ACTIONS(2508),
    [anon_sym___autoreleasing] = ACTIONS(2508),
    [anon_sym___block] = ACTIONS(2508),
    [anon_sym___bridge] = ACTIONS(2508),
    [anon_sym___bridge_retained] = ACTIONS(2508),
    [anon_sym___bridge_transfer] = ACTIONS(2508),
    [anon_sym___complex] = ACTIONS(2508),
    [anon_sym___const] = ACTIONS(2508),
    [anon_sym___imag] = ACTIONS(2508),
    [anon_sym___kindof] = ACTIONS(2508),
    [anon_sym___nonnull] = ACTIONS(2508),
    [anon_sym___nullable] = ACTIONS(2508),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2508),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2508),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2508),
    [anon_sym___real] = ACTIONS(2508),
    [anon_sym___strong] = ACTIONS(2508),
    [anon_sym___unsafe_unretained] = ACTIONS(2508),
    [anon_sym___unused] = ACTIONS(2508),
    [anon_sym___weak] = ACTIONS(2508),
    [anon_sym_alignas] = ACTIONS(2508),
    [anon_sym__Alignas] = ACTIONS(2508),
    [sym_primitive_type] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_else] = ACTIONS(2508),
    [anon_sym_switch] = ACTIONS(2508),
    [anon_sym_case] = ACTIONS(2508),
    [anon_sym_default] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2508),
    [anon_sym_do] = ACTIONS(2508),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_in] = ACTIONS(2508),
    [anon_sym_return] = ACTIONS(2508),
    [anon_sym_break] = ACTIONS(2508),
    [anon_sym_continue] = ACTIONS(2508),
    [anon_sym_goto] = ACTIONS(2508),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_sizeof] = ACTIONS(2508),
    [anon_sym___alignof__] = ACTIONS(2508),
    [anon_sym___alignof] = ACTIONS(2508),
    [anon_sym__alignof] = ACTIONS(2508),
    [anon_sym_alignof] = ACTIONS(2508),
    [anon_sym__Alignof] = ACTIONS(2508),
    [anon_sym_offsetof] = ACTIONS(2508),
    [anon_sym__Generic] = ACTIONS(2508),
    [anon_sym_asm] = ACTIONS(2508),
    [anon_sym___asm__] = ACTIONS(2508),
    [anon_sym___asm] = ACTIONS(2508),
    [sym_number_literal] = ACTIONS(2510),
    [anon_sym_L_SQUOTE] = ACTIONS(2510),
    [anon_sym_u_SQUOTE] = ACTIONS(2510),
    [anon_sym_U_SQUOTE] = ACTIONS(2510),
    [anon_sym_u8_SQUOTE] = ACTIONS(2510),
    [anon_sym_SQUOTE] = ACTIONS(2510),
    [anon_sym_AT] = ACTIONS(2508),
    [anon_sym_DQUOTE] = ACTIONS(2510),
    [anon_sym_L_DQUOTE] = ACTIONS(2510),
    [anon_sym_u_DQUOTE] = ACTIONS(2510),
    [anon_sym_U_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8_DQUOTE] = ACTIONS(2510),
    [sym_true] = ACTIONS(2508),
    [sym_false] = ACTIONS(2508),
    [anon_sym_NULL] = ACTIONS(2508),
    [anon_sym_nullptr] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2508),
    [anon_sym___typeof] = ACTIONS(2508),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_ATimport] = ACTIONS(2510),
    [aux_sym_preproc_undef_token1] = ACTIONS(2508),
    [anon_sym_POUND] = ACTIONS(2508),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2508),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2508),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2508),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2508),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2508),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2508),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2508),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2508),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2508),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_API_AVAILABLE] = ACTIONS(2508),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_API_DEPRECATED] = ACTIONS(2508),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2508),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2508),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2508),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2508),
    [anon_sym___deprecated_msg] = ACTIONS(2508),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2508),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2508),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2508),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2508),
    [anon_sym_ATprotocol] = ACTIONS(2510),
    [anon_sym_ATinterface] = ACTIONS(2510),
    [anon_sym_ATimplementation] = ACTIONS(2510),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2510),
    [anon_sym_ATtry] = ACTIONS(2510),
    [anon_sym___try] = ACTIONS(2508),
    [anon_sym_ATthrow] = ACTIONS(2510),
    [anon_sym_ATselector] = ACTIONS(2510),
    [anon_sym_ATavailable] = ACTIONS(2510),
    [anon_sym___builtin_available] = ACTIONS(2508),
    [anon_sym_va_arg] = ACTIONS(2508),
    [anon_sym_ATencode] = ACTIONS(2510),
    [anon_sym_ATsynchronized] = ACTIONS(2510),
    [anon_sym_BOOL] = ACTIONS(2508),
    [anon_sym_IMP] = ACTIONS(2508),
    [anon_sym_SEL] = ACTIONS(2508),
    [anon_sym_Class] = ACTIONS(2508),
    [anon_sym_id] = ACTIONS(2508),
  },
  [833] = {
    [ts_builtin_sym_end] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2512),
    [aux_sym_preproc_include_token1] = ACTIONS(2512),
    [aux_sym_preproc_include_token2] = ACTIONS(2512),
    [aux_sym_preproc_def_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2512),
    [sym_preproc_directive] = ACTIONS(2512),
    [anon_sym_LPAREN2] = ACTIONS(2514),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_CARET] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_typedef] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym___attribute] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym___cdecl] = ACTIONS(2512),
    [anon_sym___clrcall] = ACTIONS(2512),
    [anon_sym___stdcall] = ACTIONS(2512),
    [anon_sym___fastcall] = ACTIONS(2512),
    [anon_sym___thiscall] = ACTIONS(2512),
    [anon_sym___vectorcall] = ACTIONS(2512),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_ATautoreleasepool] = ACTIONS(2514),
    [anon_sym_auto] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_CG_EXTERN] = ACTIONS(2512),
    [anon_sym_CG_INLINE] = ACTIONS(2512),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2512),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2512),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2512),
    [anon_sym_IBOutlet] = ACTIONS(2512),
    [anon_sym_IBInspectable] = ACTIONS(2512),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2512),
    [anon_sym_NS_INLINE] = ACTIONS(2512),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2512),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2512),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2512),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym__Nonnull] = ACTIONS(2512),
    [anon_sym_nullable] = ACTIONS(2512),
    [anon_sym__Complex] = ACTIONS(2512),
    [anon_sym__Nullable] = ACTIONS(2512),
    [anon_sym__Nullable_result] = ACTIONS(2512),
    [anon_sym__Null_unspecified] = ACTIONS(2512),
    [anon_sym___autoreleasing] = ACTIONS(2512),
    [anon_sym___block] = ACTIONS(2512),
    [anon_sym___bridge] = ACTIONS(2512),
    [anon_sym___bridge_retained] = ACTIONS(2512),
    [anon_sym___bridge_transfer] = ACTIONS(2512),
    [anon_sym___complex] = ACTIONS(2512),
    [anon_sym___const] = ACTIONS(2512),
    [anon_sym___imag] = ACTIONS(2512),
    [anon_sym___kindof] = ACTIONS(2512),
    [anon_sym___nonnull] = ACTIONS(2512),
    [anon_sym___nullable] = ACTIONS(2512),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2512),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2512),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2512),
    [anon_sym___real] = ACTIONS(2512),
    [anon_sym___strong] = ACTIONS(2512),
    [anon_sym___unsafe_unretained] = ACTIONS(2512),
    [anon_sym___unused] = ACTIONS(2512),
    [anon_sym___weak] = ACTIONS(2512),
    [anon_sym_alignas] = ACTIONS(2512),
    [anon_sym__Alignas] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(2512),
    [anon_sym_else] = ACTIONS(2512),
    [anon_sym_switch] = ACTIONS(2512),
    [anon_sym_case] = ACTIONS(2512),
    [anon_sym_default] = ACTIONS(2512),
    [anon_sym_while] = ACTIONS(2512),
    [anon_sym_do] = ACTIONS(2512),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_in] = ACTIONS(2512),
    [anon_sym_return] = ACTIONS(2512),
    [anon_sym_break] = ACTIONS(2512),
    [anon_sym_continue] = ACTIONS(2512),
    [anon_sym_goto] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_sizeof] = ACTIONS(2512),
    [anon_sym___alignof__] = ACTIONS(2512),
    [anon_sym___alignof] = ACTIONS(2512),
    [anon_sym__alignof] = ACTIONS(2512),
    [anon_sym_alignof] = ACTIONS(2512),
    [anon_sym__Alignof] = ACTIONS(2512),
    [anon_sym_offsetof] = ACTIONS(2512),
    [anon_sym__Generic] = ACTIONS(2512),
    [anon_sym_asm] = ACTIONS(2512),
    [anon_sym___asm__] = ACTIONS(2512),
    [anon_sym___asm] = ACTIONS(2512),
    [sym_number_literal] = ACTIONS(2514),
    [anon_sym_L_SQUOTE] = ACTIONS(2514),
    [anon_sym_u_SQUOTE] = ACTIONS(2514),
    [anon_sym_U_SQUOTE] = ACTIONS(2514),
    [anon_sym_u8_SQUOTE] = ACTIONS(2514),
    [anon_sym_SQUOTE] = ACTIONS(2514),
    [anon_sym_AT] = ACTIONS(2512),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_L_DQUOTE] = ACTIONS(2514),
    [anon_sym_u_DQUOTE] = ACTIONS(2514),
    [anon_sym_U_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8_DQUOTE] = ACTIONS(2514),
    [sym_true] = ACTIONS(2512),
    [sym_false] = ACTIONS(2512),
    [anon_sym_NULL] = ACTIONS(2512),
    [anon_sym_nullptr] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2512),
    [anon_sym___typeof] = ACTIONS(2512),
    [anon_sym_typeof] = ACTIONS(2512),
    [anon_sym_ATimport] = ACTIONS(2514),
    [aux_sym_preproc_undef_token1] = ACTIONS(2512),
    [anon_sym_POUND] = ACTIONS(2512),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2512),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2512),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2512),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2512),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2512),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2512),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2512),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2512),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2512),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_API_AVAILABLE] = ACTIONS(2512),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_API_DEPRECATED] = ACTIONS(2512),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2512),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2512),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2512),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2512),
    [anon_sym___deprecated_msg] = ACTIONS(2512),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2512),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2512),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2512),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2512),
    [anon_sym_ATprotocol] = ACTIONS(2514),
    [anon_sym_ATinterface] = ACTIONS(2514),
    [anon_sym_ATimplementation] = ACTIONS(2514),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2514),
    [anon_sym_ATtry] = ACTIONS(2514),
    [anon_sym___try] = ACTIONS(2512),
    [anon_sym_ATthrow] = ACTIONS(2514),
    [anon_sym_ATselector] = ACTIONS(2514),
    [anon_sym_ATavailable] = ACTIONS(2514),
    [anon_sym___builtin_available] = ACTIONS(2512),
    [anon_sym_va_arg] = ACTIONS(2512),
    [anon_sym_ATencode] = ACTIONS(2514),
    [anon_sym_ATsynchronized] = ACTIONS(2514),
    [anon_sym_BOOL] = ACTIONS(2512),
    [anon_sym_IMP] = ACTIONS(2512),
    [anon_sym_SEL] = ACTIONS(2512),
    [anon_sym_Class] = ACTIONS(2512),
    [anon_sym_id] = ACTIONS(2512),
  },
  [834] = {
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_include_token1] = ACTIONS(2552),
    [aux_sym_preproc_include_token2] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_CARET] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym___attribute] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym___cdecl] = ACTIONS(2552),
    [anon_sym___clrcall] = ACTIONS(2552),
    [anon_sym___stdcall] = ACTIONS(2552),
    [anon_sym___fastcall] = ACTIONS(2552),
    [anon_sym___thiscall] = ACTIONS(2552),
    [anon_sym___vectorcall] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_RBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_ATautoreleasepool] = ACTIONS(2554),
    [anon_sym_auto] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_CG_EXTERN] = ACTIONS(2552),
    [anon_sym_CG_INLINE] = ACTIONS(2552),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2552),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2552),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2552),
    [anon_sym_IBOutlet] = ACTIONS(2552),
    [anon_sym_IBInspectable] = ACTIONS(2552),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2552),
    [anon_sym_NS_INLINE] = ACTIONS(2552),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2552),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2552),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2552),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym__Nonnull] = ACTIONS(2552),
    [anon_sym_nullable] = ACTIONS(2552),
    [anon_sym__Complex] = ACTIONS(2552),
    [anon_sym__Nullable] = ACTIONS(2552),
    [anon_sym__Nullable_result] = ACTIONS(2552),
    [anon_sym__Null_unspecified] = ACTIONS(2552),
    [anon_sym___autoreleasing] = ACTIONS(2552),
    [anon_sym___block] = ACTIONS(2552),
    [anon_sym___bridge] = ACTIONS(2552),
    [anon_sym___bridge_retained] = ACTIONS(2552),
    [anon_sym___bridge_transfer] = ACTIONS(2552),
    [anon_sym___complex] = ACTIONS(2552),
    [anon_sym___const] = ACTIONS(2552),
    [anon_sym___imag] = ACTIONS(2552),
    [anon_sym___kindof] = ACTIONS(2552),
    [anon_sym___nonnull] = ACTIONS(2552),
    [anon_sym___nullable] = ACTIONS(2552),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2552),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2552),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2552),
    [anon_sym___real] = ACTIONS(2552),
    [anon_sym___strong] = ACTIONS(2552),
    [anon_sym___unsafe_unretained] = ACTIONS(2552),
    [anon_sym___unused] = ACTIONS(2552),
    [anon_sym___weak] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym__Alignas] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_switch] = ACTIONS(2552),
    [anon_sym_case] = ACTIONS(2552),
    [anon_sym_default] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_do] = ACTIONS(2552),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_break] = ACTIONS(2552),
    [anon_sym_continue] = ACTIONS(2552),
    [anon_sym_goto] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_sizeof] = ACTIONS(2552),
    [anon_sym___alignof__] = ACTIONS(2552),
    [anon_sym___alignof] = ACTIONS(2552),
    [anon_sym__alignof] = ACTIONS(2552),
    [anon_sym_alignof] = ACTIONS(2552),
    [anon_sym__Alignof] = ACTIONS(2552),
    [anon_sym_offsetof] = ACTIONS(2552),
    [anon_sym__Generic] = ACTIONS(2552),
    [anon_sym_asm] = ACTIONS(2552),
    [anon_sym___asm__] = ACTIONS(2552),
    [anon_sym___asm] = ACTIONS(2552),
    [sym_number_literal] = ACTIONS(2554),
    [anon_sym_L_SQUOTE] = ACTIONS(2554),
    [anon_sym_u_SQUOTE] = ACTIONS(2554),
    [anon_sym_U_SQUOTE] = ACTIONS(2554),
    [anon_sym_u8_SQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [anon_sym_AT] = ACTIONS(2552),
    [anon_sym_DQUOTE] = ACTIONS(2554),
    [anon_sym_L_DQUOTE] = ACTIONS(2554),
    [anon_sym_u_DQUOTE] = ACTIONS(2554),
    [anon_sym_U_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8_DQUOTE] = ACTIONS(2554),
    [sym_true] = ACTIONS(2552),
    [sym_false] = ACTIONS(2552),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2552),
    [anon_sym___typeof] = ACTIONS(2552),
    [anon_sym_typeof] = ACTIONS(2552),
    [anon_sym_ATimport] = ACTIONS(2554),
    [aux_sym_preproc_undef_token1] = ACTIONS(2552),
    [anon_sym_POUND] = ACTIONS(2552),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2552),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2552),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2552),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2552),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2552),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2552),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2552),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2552),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2552),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_API_AVAILABLE] = ACTIONS(2552),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_API_DEPRECATED] = ACTIONS(2552),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2552),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2552),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2552),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2552),
    [anon_sym___deprecated_msg] = ACTIONS(2552),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2552),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2552),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2552),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2552),
    [anon_sym_ATprotocol] = ACTIONS(2554),
    [anon_sym_ATinterface] = ACTIONS(2554),
    [anon_sym_ATimplementation] = ACTIONS(2554),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2554),
    [anon_sym_ATtry] = ACTIONS(2554),
    [anon_sym___try] = ACTIONS(2552),
    [anon_sym_ATthrow] = ACTIONS(2554),
    [anon_sym_ATselector] = ACTIONS(2554),
    [anon_sym_ATavailable] = ACTIONS(2554),
    [anon_sym___builtin_available] = ACTIONS(2552),
    [anon_sym_va_arg] = ACTIONS(2552),
    [anon_sym_ATencode] = ACTIONS(2554),
    [anon_sym_ATsynchronized] = ACTIONS(2554),
    [anon_sym_BOOL] = ACTIONS(2552),
    [anon_sym_IMP] = ACTIONS(2552),
    [anon_sym_SEL] = ACTIONS(2552),
    [anon_sym_Class] = ACTIONS(2552),
    [anon_sym_id] = ACTIONS(2552),
  },
  [835] = {
    [ts_builtin_sym_end] = ACTIONS(2308),
    [sym_identifier] = ACTIONS(2306),
    [aux_sym_preproc_include_token1] = ACTIONS(2306),
    [aux_sym_preproc_include_token2] = ACTIONS(2306),
    [aux_sym_preproc_def_token1] = ACTIONS(2306),
    [aux_sym_preproc_if_token1] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2306),
    [sym_preproc_directive] = ACTIONS(2306),
    [anon_sym_LPAREN2] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_CARET] = ACTIONS(2308),
    [anon_sym_AMP] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2308),
    [anon_sym___extension__] = ACTIONS(2306),
    [anon_sym_typedef] = ACTIONS(2306),
    [anon_sym_extern] = ACTIONS(2306),
    [anon_sym___attribute__] = ACTIONS(2306),
    [anon_sym___attribute] = ACTIONS(2306),
    [anon_sym_noreturn] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym___declspec] = ACTIONS(2306),
    [anon_sym___cdecl] = ACTIONS(2306),
    [anon_sym___clrcall] = ACTIONS(2306),
    [anon_sym___stdcall] = ACTIONS(2306),
    [anon_sym___fastcall] = ACTIONS(2306),
    [anon_sym___thiscall] = ACTIONS(2306),
    [anon_sym___vectorcall] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2308),
    [anon_sym_signed] = ACTIONS(2306),
    [anon_sym_unsigned] = ACTIONS(2306),
    [anon_sym_long] = ACTIONS(2306),
    [anon_sym_short] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_ATautoreleasepool] = ACTIONS(2308),
    [anon_sym_auto] = ACTIONS(2306),
    [anon_sym_register] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(2306),
    [anon_sym___inline] = ACTIONS(2306),
    [anon_sym___inline__] = ACTIONS(2306),
    [anon_sym___forceinline] = ACTIONS(2306),
    [anon_sym_thread_local] = ACTIONS(2306),
    [anon_sym___thread] = ACTIONS(2306),
    [anon_sym_CG_EXTERN] = ACTIONS(2306),
    [anon_sym_CG_INLINE] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2306),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2306),
    [anon_sym_IBOutlet] = ACTIONS(2306),
    [anon_sym_IBInspectable] = ACTIONS(2306),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2306),
    [anon_sym_NS_INLINE] = ACTIONS(2306),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2306),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2306),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_constexpr] = ACTIONS(2306),
    [anon_sym_volatile] = ACTIONS(2306),
    [anon_sym_restrict] = ACTIONS(2306),
    [anon_sym___restrict__] = ACTIONS(2306),
    [anon_sym__Atomic] = ACTIONS(2306),
    [anon_sym__Noreturn] = ACTIONS(2306),
    [anon_sym__Nonnull] = ACTIONS(2306),
    [anon_sym_nullable] = ACTIONS(2306),
    [anon_sym__Complex] = ACTIONS(2306),
    [anon_sym__Nullable] = ACTIONS(2306),
    [anon_sym__Nullable_result] = ACTIONS(2306),
    [anon_sym__Null_unspecified] = ACTIONS(2306),
    [anon_sym___autoreleasing] = ACTIONS(2306),
    [anon_sym___block] = ACTIONS(2306),
    [anon_sym___bridge] = ACTIONS(2306),
    [anon_sym___bridge_retained] = ACTIONS(2306),
    [anon_sym___bridge_transfer] = ACTIONS(2306),
    [anon_sym___complex] = ACTIONS(2306),
    [anon_sym___const] = ACTIONS(2306),
    [anon_sym___imag] = ACTIONS(2306),
    [anon_sym___kindof] = ACTIONS(2306),
    [anon_sym___nonnull] = ACTIONS(2306),
    [anon_sym___nullable] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2306),
    [anon_sym___real] = ACTIONS(2306),
    [anon_sym___strong] = ACTIONS(2306),
    [anon_sym___unsafe_unretained] = ACTIONS(2306),
    [anon_sym___unused] = ACTIONS(2306),
    [anon_sym___weak] = ACTIONS(2306),
    [anon_sym_alignas] = ACTIONS(2306),
    [anon_sym__Alignas] = ACTIONS(2306),
    [sym_primitive_type] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [anon_sym_struct] = ACTIONS(2306),
    [anon_sym_union] = ACTIONS(2306),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_else] = ACTIONS(2306),
    [anon_sym_switch] = ACTIONS(2306),
    [anon_sym_case] = ACTIONS(2306),
    [anon_sym_default] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2306),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2306),
    [anon_sym_continue] = ACTIONS(2306),
    [anon_sym_goto] = ACTIONS(2306),
    [anon_sym_DASH_DASH] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(2308),
    [anon_sym_sizeof] = ACTIONS(2306),
    [anon_sym___alignof__] = ACTIONS(2306),
    [anon_sym___alignof] = ACTIONS(2306),
    [anon_sym__alignof] = ACTIONS(2306),
    [anon_sym_alignof] = ACTIONS(2306),
    [anon_sym__Alignof] = ACTIONS(2306),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2306),
    [anon_sym_asm] = ACTIONS(2306),
    [anon_sym___asm__] = ACTIONS(2306),
    [anon_sym___asm] = ACTIONS(2306),
    [sym_number_literal] = ACTIONS(2308),
    [anon_sym_L_SQUOTE] = ACTIONS(2308),
    [anon_sym_u_SQUOTE] = ACTIONS(2308),
    [anon_sym_U_SQUOTE] = ACTIONS(2308),
    [anon_sym_u8_SQUOTE] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [anon_sym_AT] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2308),
    [anon_sym_L_DQUOTE] = ACTIONS(2308),
    [anon_sym_u_DQUOTE] = ACTIONS(2308),
    [anon_sym_U_DQUOTE] = ACTIONS(2308),
    [anon_sym_u8_DQUOTE] = ACTIONS(2308),
    [sym_true] = ACTIONS(2306),
    [sym_false] = ACTIONS(2306),
    [anon_sym_NULL] = ACTIONS(2306),
    [anon_sym_nullptr] = ACTIONS(2306),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2306),
    [anon_sym___typeof] = ACTIONS(2306),
    [anon_sym_typeof] = ACTIONS(2306),
    [anon_sym_ATimport] = ACTIONS(2308),
    [aux_sym_preproc_undef_token1] = ACTIONS(2306),
    [anon_sym_POUND] = ACTIONS(2306),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2306),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2306),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2306),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_API_AVAILABLE] = ACTIONS(2306),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_API_DEPRECATED] = ACTIONS(2306),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym___deprecated_msg] = ACTIONS(2306),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2306),
    [anon_sym_ATprotocol] = ACTIONS(2308),
    [anon_sym_ATinterface] = ACTIONS(2308),
    [anon_sym_ATimplementation] = ACTIONS(2308),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2308),
    [anon_sym_ATtry] = ACTIONS(2308),
    [anon_sym___try] = ACTIONS(2306),
    [anon_sym_ATthrow] = ACTIONS(2308),
    [anon_sym_ATselector] = ACTIONS(2308),
    [anon_sym_ATavailable] = ACTIONS(2308),
    [anon_sym___builtin_available] = ACTIONS(2306),
    [anon_sym_va_arg] = ACTIONS(2306),
    [anon_sym_ATencode] = ACTIONS(2308),
    [anon_sym_ATsynchronized] = ACTIONS(2308),
    [anon_sym_BOOL] = ACTIONS(2306),
    [anon_sym_IMP] = ACTIONS(2306),
    [anon_sym_SEL] = ACTIONS(2306),
    [anon_sym_Class] = ACTIONS(2306),
    [anon_sym_id] = ACTIONS(2306),
  },
  [836] = {
    [ts_builtin_sym_end] = ACTIONS(2518),
    [sym_identifier] = ACTIONS(2516),
    [aux_sym_preproc_include_token1] = ACTIONS(2516),
    [aux_sym_preproc_include_token2] = ACTIONS(2516),
    [aux_sym_preproc_def_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2516),
    [sym_preproc_directive] = ACTIONS(2516),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_BANG] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_CARET] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_typedef] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym___attribute] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym___cdecl] = ACTIONS(2516),
    [anon_sym___clrcall] = ACTIONS(2516),
    [anon_sym___stdcall] = ACTIONS(2516),
    [anon_sym___fastcall] = ACTIONS(2516),
    [anon_sym___thiscall] = ACTIONS(2516),
    [anon_sym___vectorcall] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_ATautoreleasepool] = ACTIONS(2518),
    [anon_sym_auto] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_CG_EXTERN] = ACTIONS(2516),
    [anon_sym_CG_INLINE] = ACTIONS(2516),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2516),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2516),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2516),
    [anon_sym_IBOutlet] = ACTIONS(2516),
    [anon_sym_IBInspectable] = ACTIONS(2516),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2516),
    [anon_sym_NS_INLINE] = ACTIONS(2516),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2516),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2516),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2516),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym__Nonnull] = ACTIONS(2516),
    [anon_sym_nullable] = ACTIONS(2516),
    [anon_sym__Complex] = ACTIONS(2516),
    [anon_sym__Nullable] = ACTIONS(2516),
    [anon_sym__Nullable_result] = ACTIONS(2516),
    [anon_sym__Null_unspecified] = ACTIONS(2516),
    [anon_sym___autoreleasing] = ACTIONS(2516),
    [anon_sym___block] = ACTIONS(2516),
    [anon_sym___bridge] = ACTIONS(2516),
    [anon_sym___bridge_retained] = ACTIONS(2516),
    [anon_sym___bridge_transfer] = ACTIONS(2516),
    [anon_sym___complex] = ACTIONS(2516),
    [anon_sym___const] = ACTIONS(2516),
    [anon_sym___imag] = ACTIONS(2516),
    [anon_sym___kindof] = ACTIONS(2516),
    [anon_sym___nonnull] = ACTIONS(2516),
    [anon_sym___nullable] = ACTIONS(2516),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2516),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2516),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2516),
    [anon_sym___real] = ACTIONS(2516),
    [anon_sym___strong] = ACTIONS(2516),
    [anon_sym___unsafe_unretained] = ACTIONS(2516),
    [anon_sym___unused] = ACTIONS(2516),
    [anon_sym___weak] = ACTIONS(2516),
    [anon_sym_alignas] = ACTIONS(2516),
    [anon_sym__Alignas] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [anon_sym_if] = ACTIONS(2516),
    [anon_sym_else] = ACTIONS(2516),
    [anon_sym_switch] = ACTIONS(2516),
    [anon_sym_case] = ACTIONS(2516),
    [anon_sym_default] = ACTIONS(2516),
    [anon_sym_while] = ACTIONS(2516),
    [anon_sym_do] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2516),
    [anon_sym_in] = ACTIONS(2516),
    [anon_sym_return] = ACTIONS(2516),
    [anon_sym_break] = ACTIONS(2516),
    [anon_sym_continue] = ACTIONS(2516),
    [anon_sym_goto] = ACTIONS(2516),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_sizeof] = ACTIONS(2516),
    [anon_sym___alignof__] = ACTIONS(2516),
    [anon_sym___alignof] = ACTIONS(2516),
    [anon_sym__alignof] = ACTIONS(2516),
    [anon_sym_alignof] = ACTIONS(2516),
    [anon_sym__Alignof] = ACTIONS(2516),
    [anon_sym_offsetof] = ACTIONS(2516),
    [anon_sym__Generic] = ACTIONS(2516),
    [anon_sym_asm] = ACTIONS(2516),
    [anon_sym___asm__] = ACTIONS(2516),
    [anon_sym___asm] = ACTIONS(2516),
    [sym_number_literal] = ACTIONS(2518),
    [anon_sym_L_SQUOTE] = ACTIONS(2518),
    [anon_sym_u_SQUOTE] = ACTIONS(2518),
    [anon_sym_U_SQUOTE] = ACTIONS(2518),
    [anon_sym_u8_SQUOTE] = ACTIONS(2518),
    [anon_sym_SQUOTE] = ACTIONS(2518),
    [anon_sym_AT] = ACTIONS(2516),
    [anon_sym_DQUOTE] = ACTIONS(2518),
    [anon_sym_L_DQUOTE] = ACTIONS(2518),
    [anon_sym_u_DQUOTE] = ACTIONS(2518),
    [anon_sym_U_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8_DQUOTE] = ACTIONS(2518),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [anon_sym_NULL] = ACTIONS(2516),
    [anon_sym_nullptr] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2516),
    [anon_sym___typeof] = ACTIONS(2516),
    [anon_sym_typeof] = ACTIONS(2516),
    [anon_sym_ATimport] = ACTIONS(2518),
    [aux_sym_preproc_undef_token1] = ACTIONS(2516),
    [anon_sym_POUND] = ACTIONS(2516),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2516),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2516),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2516),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2516),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2516),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2516),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2516),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2516),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2516),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_API_AVAILABLE] = ACTIONS(2516),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_API_DEPRECATED] = ACTIONS(2516),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2516),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2516),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2516),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2516),
    [anon_sym___deprecated_msg] = ACTIONS(2516),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2516),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2516),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2516),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2516),
    [anon_sym_ATprotocol] = ACTIONS(2518),
    [anon_sym_ATinterface] = ACTIONS(2518),
    [anon_sym_ATimplementation] = ACTIONS(2518),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2518),
    [anon_sym_ATtry] = ACTIONS(2518),
    [anon_sym___try] = ACTIONS(2516),
    [anon_sym_ATthrow] = ACTIONS(2518),
    [anon_sym_ATselector] = ACTIONS(2518),
    [anon_sym_ATavailable] = ACTIONS(2518),
    [anon_sym___builtin_available] = ACTIONS(2516),
    [anon_sym_va_arg] = ACTIONS(2516),
    [anon_sym_ATencode] = ACTIONS(2518),
    [anon_sym_ATsynchronized] = ACTIONS(2518),
    [anon_sym_BOOL] = ACTIONS(2516),
    [anon_sym_IMP] = ACTIONS(2516),
    [anon_sym_SEL] = ACTIONS(2516),
    [anon_sym_Class] = ACTIONS(2516),
    [anon_sym_id] = ACTIONS(2516),
  },
  [837] = {
    [ts_builtin_sym_end] = ACTIONS(2522),
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_include_token2] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_CARET] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym___attribute] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_ATautoreleasepool] = ACTIONS(2522),
    [anon_sym_auto] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_CG_EXTERN] = ACTIONS(2520),
    [anon_sym_CG_INLINE] = ACTIONS(2520),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2520),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2520),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2520),
    [anon_sym_IBOutlet] = ACTIONS(2520),
    [anon_sym_IBInspectable] = ACTIONS(2520),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2520),
    [anon_sym_NS_INLINE] = ACTIONS(2520),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2520),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2520),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2520),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym__Nonnull] = ACTIONS(2520),
    [anon_sym_nullable] = ACTIONS(2520),
    [anon_sym__Complex] = ACTIONS(2520),
    [anon_sym__Nullable] = ACTIONS(2520),
    [anon_sym__Nullable_result] = ACTIONS(2520),
    [anon_sym__Null_unspecified] = ACTIONS(2520),
    [anon_sym___autoreleasing] = ACTIONS(2520),
    [anon_sym___block] = ACTIONS(2520),
    [anon_sym___bridge] = ACTIONS(2520),
    [anon_sym___bridge_retained] = ACTIONS(2520),
    [anon_sym___bridge_transfer] = ACTIONS(2520),
    [anon_sym___complex] = ACTIONS(2520),
    [anon_sym___const] = ACTIONS(2520),
    [anon_sym___imag] = ACTIONS(2520),
    [anon_sym___kindof] = ACTIONS(2520),
    [anon_sym___nonnull] = ACTIONS(2520),
    [anon_sym___nullable] = ACTIONS(2520),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2520),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2520),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2520),
    [anon_sym___real] = ACTIONS(2520),
    [anon_sym___strong] = ACTIONS(2520),
    [anon_sym___unsafe_unretained] = ACTIONS(2520),
    [anon_sym___unused] = ACTIONS(2520),
    [anon_sym___weak] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym__Alignas] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_else] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [anon_sym___asm] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_AT] = ACTIONS(2520),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2520),
    [anon_sym___typeof] = ACTIONS(2520),
    [anon_sym_typeof] = ACTIONS(2520),
    [anon_sym_ATimport] = ACTIONS(2522),
    [aux_sym_preproc_undef_token1] = ACTIONS(2520),
    [anon_sym_POUND] = ACTIONS(2520),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2520),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2520),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2520),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2520),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2520),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2520),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2520),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2520),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2520),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_API_AVAILABLE] = ACTIONS(2520),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_API_DEPRECATED] = ACTIONS(2520),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2520),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2520),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2520),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2520),
    [anon_sym___deprecated_msg] = ACTIONS(2520),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2520),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2520),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2520),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2520),
    [anon_sym_ATprotocol] = ACTIONS(2522),
    [anon_sym_ATinterface] = ACTIONS(2522),
    [anon_sym_ATimplementation] = ACTIONS(2522),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2522),
    [anon_sym_ATtry] = ACTIONS(2522),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym_ATthrow] = ACTIONS(2522),
    [anon_sym_ATselector] = ACTIONS(2522),
    [anon_sym_ATavailable] = ACTIONS(2522),
    [anon_sym___builtin_available] = ACTIONS(2520),
    [anon_sym_va_arg] = ACTIONS(2520),
    [anon_sym_ATencode] = ACTIONS(2522),
    [anon_sym_ATsynchronized] = ACTIONS(2522),
    [anon_sym_BOOL] = ACTIONS(2520),
    [anon_sym_IMP] = ACTIONS(2520),
    [anon_sym_SEL] = ACTIONS(2520),
    [anon_sym_Class] = ACTIONS(2520),
    [anon_sym_id] = ACTIONS(2520),
  },
  [838] = {
    [ts_builtin_sym_end] = ACTIONS(2558),
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_include_token2] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_CARET] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym___attribute] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_ATautoreleasepool] = ACTIONS(2558),
    [anon_sym_auto] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_CG_EXTERN] = ACTIONS(2556),
    [anon_sym_CG_INLINE] = ACTIONS(2556),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2556),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2556),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2556),
    [anon_sym_IBOutlet] = ACTIONS(2556),
    [anon_sym_IBInspectable] = ACTIONS(2556),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2556),
    [anon_sym_NS_INLINE] = ACTIONS(2556),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2556),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2556),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2556),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym__Nonnull] = ACTIONS(2556),
    [anon_sym_nullable] = ACTIONS(2556),
    [anon_sym__Complex] = ACTIONS(2556),
    [anon_sym__Nullable] = ACTIONS(2556),
    [anon_sym__Nullable_result] = ACTIONS(2556),
    [anon_sym__Null_unspecified] = ACTIONS(2556),
    [anon_sym___autoreleasing] = ACTIONS(2556),
    [anon_sym___block] = ACTIONS(2556),
    [anon_sym___bridge] = ACTIONS(2556),
    [anon_sym___bridge_retained] = ACTIONS(2556),
    [anon_sym___bridge_transfer] = ACTIONS(2556),
    [anon_sym___complex] = ACTIONS(2556),
    [anon_sym___const] = ACTIONS(2556),
    [anon_sym___imag] = ACTIONS(2556),
    [anon_sym___kindof] = ACTIONS(2556),
    [anon_sym___nonnull] = ACTIONS(2556),
    [anon_sym___nullable] = ACTIONS(2556),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2556),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2556),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2556),
    [anon_sym___real] = ACTIONS(2556),
    [anon_sym___strong] = ACTIONS(2556),
    [anon_sym___unsafe_unretained] = ACTIONS(2556),
    [anon_sym___unused] = ACTIONS(2556),
    [anon_sym___weak] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_in] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [anon_sym___asm] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2556),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2556),
    [anon_sym___typeof] = ACTIONS(2556),
    [anon_sym_typeof] = ACTIONS(2556),
    [anon_sym_ATimport] = ACTIONS(2558),
    [aux_sym_preproc_undef_token1] = ACTIONS(2556),
    [anon_sym_POUND] = ACTIONS(2556),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2556),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2556),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2556),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2556),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2556),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2556),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2556),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2556),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2556),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_API_AVAILABLE] = ACTIONS(2556),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_API_DEPRECATED] = ACTIONS(2556),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2556),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2556),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2556),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2556),
    [anon_sym___deprecated_msg] = ACTIONS(2556),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2556),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2556),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2556),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2556),
    [anon_sym_ATprotocol] = ACTIONS(2558),
    [anon_sym_ATinterface] = ACTIONS(2558),
    [anon_sym_ATimplementation] = ACTIONS(2558),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2558),
    [anon_sym_ATtry] = ACTIONS(2558),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym_ATthrow] = ACTIONS(2558),
    [anon_sym_ATselector] = ACTIONS(2558),
    [anon_sym_ATavailable] = ACTIONS(2558),
    [anon_sym___builtin_available] = ACTIONS(2556),
    [anon_sym_va_arg] = ACTIONS(2556),
    [anon_sym_ATencode] = ACTIONS(2558),
    [anon_sym_ATsynchronized] = ACTIONS(2558),
    [anon_sym_BOOL] = ACTIONS(2556),
    [anon_sym_IMP] = ACTIONS(2556),
    [anon_sym_SEL] = ACTIONS(2556),
    [anon_sym_Class] = ACTIONS(2556),
    [anon_sym_id] = ACTIONS(2556),
  },
  [839] = {
    [sym_identifier] = ACTIONS(2702),
    [aux_sym_preproc_include_token1] = ACTIONS(2702),
    [aux_sym_preproc_include_token2] = ACTIONS(2702),
    [aux_sym_preproc_def_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token1] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2702),
    [sym_preproc_directive] = ACTIONS(2702),
    [anon_sym_LPAREN2] = ACTIONS(2704),
    [anon_sym_BANG] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2702),
    [anon_sym_STAR] = ACTIONS(2704),
    [anon_sym_CARET] = ACTIONS(2704),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym___extension__] = ACTIONS(2702),
    [anon_sym_typedef] = ACTIONS(2702),
    [anon_sym_extern] = ACTIONS(2702),
    [anon_sym___attribute__] = ACTIONS(2702),
    [anon_sym___attribute] = ACTIONS(2702),
    [anon_sym_noreturn] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym___declspec] = ACTIONS(2702),
    [anon_sym___cdecl] = ACTIONS(2702),
    [anon_sym___clrcall] = ACTIONS(2702),
    [anon_sym___stdcall] = ACTIONS(2702),
    [anon_sym___fastcall] = ACTIONS(2702),
    [anon_sym___thiscall] = ACTIONS(2702),
    [anon_sym___vectorcall] = ACTIONS(2702),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_RBRACE] = ACTIONS(2704),
    [anon_sym_signed] = ACTIONS(2702),
    [anon_sym_unsigned] = ACTIONS(2702),
    [anon_sym_long] = ACTIONS(2702),
    [anon_sym_short] = ACTIONS(2702),
    [anon_sym_static] = ACTIONS(2702),
    [anon_sym_ATautoreleasepool] = ACTIONS(2704),
    [anon_sym_auto] = ACTIONS(2702),
    [anon_sym_register] = ACTIONS(2702),
    [anon_sym_inline] = ACTIONS(2702),
    [anon_sym___inline] = ACTIONS(2702),
    [anon_sym___inline__] = ACTIONS(2702),
    [anon_sym___forceinline] = ACTIONS(2702),
    [anon_sym_thread_local] = ACTIONS(2702),
    [anon_sym___thread] = ACTIONS(2702),
    [anon_sym_CG_EXTERN] = ACTIONS(2702),
    [anon_sym_CG_INLINE] = ACTIONS(2702),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2702),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2702),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2702),
    [anon_sym_IBOutlet] = ACTIONS(2702),
    [anon_sym_IBInspectable] = ACTIONS(2702),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2702),
    [anon_sym_NS_INLINE] = ACTIONS(2702),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2702),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2702),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2702),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2702),
    [anon_sym_const] = ACTIONS(2702),
    [anon_sym_constexpr] = ACTIONS(2702),
    [anon_sym_volatile] = ACTIONS(2702),
    [anon_sym_restrict] = ACTIONS(2702),
    [anon_sym___restrict__] = ACTIONS(2702),
    [anon_sym__Atomic] = ACTIONS(2702),
    [anon_sym__Noreturn] = ACTIONS(2702),
    [anon_sym__Nonnull] = ACTIONS(2702),
    [anon_sym_nullable] = ACTIONS(2702),
    [anon_sym__Complex] = ACTIONS(2702),
    [anon_sym__Nullable] = ACTIONS(2702),
    [anon_sym__Nullable_result] = ACTIONS(2702),
    [anon_sym__Null_unspecified] = ACTIONS(2702),
    [anon_sym___autoreleasing] = ACTIONS(2702),
    [anon_sym___block] = ACTIONS(2702),
    [anon_sym___bridge] = ACTIONS(2702),
    [anon_sym___bridge_retained] = ACTIONS(2702),
    [anon_sym___bridge_transfer] = ACTIONS(2702),
    [anon_sym___complex] = ACTIONS(2702),
    [anon_sym___const] = ACTIONS(2702),
    [anon_sym___imag] = ACTIONS(2702),
    [anon_sym___kindof] = ACTIONS(2702),
    [anon_sym___nonnull] = ACTIONS(2702),
    [anon_sym___nullable] = ACTIONS(2702),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2702),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2702),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2702),
    [anon_sym___real] = ACTIONS(2702),
    [anon_sym___strong] = ACTIONS(2702),
    [anon_sym___unsafe_unretained] = ACTIONS(2702),
    [anon_sym___unused] = ACTIONS(2702),
    [anon_sym___weak] = ACTIONS(2702),
    [anon_sym_alignas] = ACTIONS(2702),
    [anon_sym__Alignas] = ACTIONS(2702),
    [sym_primitive_type] = ACTIONS(2702),
    [anon_sym_enum] = ACTIONS(2702),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2702),
    [anon_sym_if] = ACTIONS(2702),
    [anon_sym_switch] = ACTIONS(2702),
    [anon_sym_case] = ACTIONS(2702),
    [anon_sym_default] = ACTIONS(2702),
    [anon_sym_while] = ACTIONS(2702),
    [anon_sym_do] = ACTIONS(2702),
    [anon_sym_for] = ACTIONS(2702),
    [anon_sym_in] = ACTIONS(2702),
    [anon_sym_return] = ACTIONS(2702),
    [anon_sym_break] = ACTIONS(2702),
    [anon_sym_continue] = ACTIONS(2702),
    [anon_sym_goto] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2702),
    [anon_sym___alignof] = ACTIONS(2702),
    [anon_sym__alignof] = ACTIONS(2702),
    [anon_sym_alignof] = ACTIONS(2702),
    [anon_sym__Alignof] = ACTIONS(2702),
    [anon_sym_offsetof] = ACTIONS(2702),
    [anon_sym__Generic] = ACTIONS(2702),
    [anon_sym_asm] = ACTIONS(2702),
    [anon_sym___asm__] = ACTIONS(2702),
    [anon_sym___asm] = ACTIONS(2702),
    [sym_number_literal] = ACTIONS(2704),
    [anon_sym_L_SQUOTE] = ACTIONS(2704),
    [anon_sym_u_SQUOTE] = ACTIONS(2704),
    [anon_sym_U_SQUOTE] = ACTIONS(2704),
    [anon_sym_u8_SQUOTE] = ACTIONS(2704),
    [anon_sym_SQUOTE] = ACTIONS(2704),
    [anon_sym_AT] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [anon_sym_L_DQUOTE] = ACTIONS(2704),
    [anon_sym_u_DQUOTE] = ACTIONS(2704),
    [anon_sym_U_DQUOTE] = ACTIONS(2704),
    [anon_sym_u8_DQUOTE] = ACTIONS(2704),
    [sym_true] = ACTIONS(2702),
    [sym_false] = ACTIONS(2702),
    [anon_sym_NULL] = ACTIONS(2702),
    [anon_sym_nullptr] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2702),
    [anon_sym___typeof] = ACTIONS(2702),
    [anon_sym_typeof] = ACTIONS(2702),
    [anon_sym_ATimport] = ACTIONS(2704),
    [aux_sym_preproc_undef_token1] = ACTIONS(2702),
    [anon_sym_POUND] = ACTIONS(2702),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2702),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2702),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2702),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2702),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2702),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2702),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2702),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2702),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2702),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2702),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2702),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2702),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2702),
    [anon_sym_API_AVAILABLE] = ACTIONS(2702),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2702),
    [anon_sym_API_DEPRECATED] = ACTIONS(2702),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2702),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2702),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2702),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2702),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2702),
    [anon_sym___deprecated_msg] = ACTIONS(2702),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2702),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2702),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2702),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2702),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2702),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2702),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2702),
    [anon_sym_ATprotocol] = ACTIONS(2704),
    [anon_sym_ATinterface] = ACTIONS(2704),
    [anon_sym_ATimplementation] = ACTIONS(2704),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2704),
    [anon_sym_ATtry] = ACTIONS(2704),
    [anon_sym___try] = ACTIONS(2702),
    [anon_sym_ATthrow] = ACTIONS(2704),
    [anon_sym_ATselector] = ACTIONS(2704),
    [anon_sym_ATavailable] = ACTIONS(2704),
    [anon_sym___builtin_available] = ACTIONS(2702),
    [anon_sym_va_arg] = ACTIONS(2702),
    [anon_sym_ATencode] = ACTIONS(2704),
    [anon_sym_ATsynchronized] = ACTIONS(2704),
    [anon_sym_BOOL] = ACTIONS(2702),
    [anon_sym_IMP] = ACTIONS(2702),
    [anon_sym_SEL] = ACTIONS(2702),
    [anon_sym_Class] = ACTIONS(2702),
    [anon_sym_id] = ACTIONS(2702),
  },
  [840] = {
    [sym_identifier] = ACTIONS(2646),
    [aux_sym_preproc_include_token1] = ACTIONS(2646),
    [aux_sym_preproc_include_token2] = ACTIONS(2646),
    [aux_sym_preproc_def_token1] = ACTIONS(2646),
    [aux_sym_preproc_if_token1] = ACTIONS(2646),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2646),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2646),
    [sym_preproc_directive] = ACTIONS(2646),
    [anon_sym_LPAREN2] = ACTIONS(2648),
    [anon_sym_BANG] = ACTIONS(2648),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_DASH] = ACTIONS(2646),
    [anon_sym_PLUS] = ACTIONS(2646),
    [anon_sym_STAR] = ACTIONS(2648),
    [anon_sym_CARET] = ACTIONS(2648),
    [anon_sym_AMP] = ACTIONS(2648),
    [anon_sym_SEMI] = ACTIONS(2648),
    [anon_sym___extension__] = ACTIONS(2646),
    [anon_sym_typedef] = ACTIONS(2646),
    [anon_sym_extern] = ACTIONS(2646),
    [anon_sym___attribute__] = ACTIONS(2646),
    [anon_sym___attribute] = ACTIONS(2646),
    [anon_sym_noreturn] = ACTIONS(2646),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym___declspec] = ACTIONS(2646),
    [anon_sym___cdecl] = ACTIONS(2646),
    [anon_sym___clrcall] = ACTIONS(2646),
    [anon_sym___stdcall] = ACTIONS(2646),
    [anon_sym___fastcall] = ACTIONS(2646),
    [anon_sym___thiscall] = ACTIONS(2646),
    [anon_sym___vectorcall] = ACTIONS(2646),
    [anon_sym_LBRACE] = ACTIONS(2648),
    [anon_sym_RBRACE] = ACTIONS(2648),
    [anon_sym_signed] = ACTIONS(2646),
    [anon_sym_unsigned] = ACTIONS(2646),
    [anon_sym_long] = ACTIONS(2646),
    [anon_sym_short] = ACTIONS(2646),
    [anon_sym_static] = ACTIONS(2646),
    [anon_sym_ATautoreleasepool] = ACTIONS(2648),
    [anon_sym_auto] = ACTIONS(2646),
    [anon_sym_register] = ACTIONS(2646),
    [anon_sym_inline] = ACTIONS(2646),
    [anon_sym___inline] = ACTIONS(2646),
    [anon_sym___inline__] = ACTIONS(2646),
    [anon_sym___forceinline] = ACTIONS(2646),
    [anon_sym_thread_local] = ACTIONS(2646),
    [anon_sym___thread] = ACTIONS(2646),
    [anon_sym_CG_EXTERN] = ACTIONS(2646),
    [anon_sym_CG_INLINE] = ACTIONS(2646),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2646),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2646),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2646),
    [anon_sym_IBOutlet] = ACTIONS(2646),
    [anon_sym_IBInspectable] = ACTIONS(2646),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2646),
    [anon_sym_NS_INLINE] = ACTIONS(2646),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2646),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2646),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2646),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2646),
    [anon_sym_const] = ACTIONS(2646),
    [anon_sym_constexpr] = ACTIONS(2646),
    [anon_sym_volatile] = ACTIONS(2646),
    [anon_sym_restrict] = ACTIONS(2646),
    [anon_sym___restrict__] = ACTIONS(2646),
    [anon_sym__Atomic] = ACTIONS(2646),
    [anon_sym__Noreturn] = ACTIONS(2646),
    [anon_sym__Nonnull] = ACTIONS(2646),
    [anon_sym_nullable] = ACTIONS(2646),
    [anon_sym__Complex] = ACTIONS(2646),
    [anon_sym__Nullable] = ACTIONS(2646),
    [anon_sym__Nullable_result] = ACTIONS(2646),
    [anon_sym__Null_unspecified] = ACTIONS(2646),
    [anon_sym___autoreleasing] = ACTIONS(2646),
    [anon_sym___block] = ACTIONS(2646),
    [anon_sym___bridge] = ACTIONS(2646),
    [anon_sym___bridge_retained] = ACTIONS(2646),
    [anon_sym___bridge_transfer] = ACTIONS(2646),
    [anon_sym___complex] = ACTIONS(2646),
    [anon_sym___const] = ACTIONS(2646),
    [anon_sym___imag] = ACTIONS(2646),
    [anon_sym___kindof] = ACTIONS(2646),
    [anon_sym___nonnull] = ACTIONS(2646),
    [anon_sym___nullable] = ACTIONS(2646),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2646),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2646),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2646),
    [anon_sym___real] = ACTIONS(2646),
    [anon_sym___strong] = ACTIONS(2646),
    [anon_sym___unsafe_unretained] = ACTIONS(2646),
    [anon_sym___unused] = ACTIONS(2646),
    [anon_sym___weak] = ACTIONS(2646),
    [anon_sym_alignas] = ACTIONS(2646),
    [anon_sym__Alignas] = ACTIONS(2646),
    [sym_primitive_type] = ACTIONS(2646),
    [anon_sym_enum] = ACTIONS(2646),
    [anon_sym_struct] = ACTIONS(2646),
    [anon_sym_union] = ACTIONS(2646),
    [anon_sym_if] = ACTIONS(2646),
    [anon_sym_switch] = ACTIONS(2646),
    [anon_sym_case] = ACTIONS(2646),
    [anon_sym_default] = ACTIONS(2646),
    [anon_sym_while] = ACTIONS(2646),
    [anon_sym_do] = ACTIONS(2646),
    [anon_sym_for] = ACTIONS(2646),
    [anon_sym_in] = ACTIONS(2646),
    [anon_sym_return] = ACTIONS(2646),
    [anon_sym_break] = ACTIONS(2646),
    [anon_sym_continue] = ACTIONS(2646),
    [anon_sym_goto] = ACTIONS(2646),
    [anon_sym_DASH_DASH] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(2648),
    [anon_sym_sizeof] = ACTIONS(2646),
    [anon_sym___alignof__] = ACTIONS(2646),
    [anon_sym___alignof] = ACTIONS(2646),
    [anon_sym__alignof] = ACTIONS(2646),
    [anon_sym_alignof] = ACTIONS(2646),
    [anon_sym__Alignof] = ACTIONS(2646),
    [anon_sym_offsetof] = ACTIONS(2646),
    [anon_sym__Generic] = ACTIONS(2646),
    [anon_sym_asm] = ACTIONS(2646),
    [anon_sym___asm__] = ACTIONS(2646),
    [anon_sym___asm] = ACTIONS(2646),
    [sym_number_literal] = ACTIONS(2648),
    [anon_sym_L_SQUOTE] = ACTIONS(2648),
    [anon_sym_u_SQUOTE] = ACTIONS(2648),
    [anon_sym_U_SQUOTE] = ACTIONS(2648),
    [anon_sym_u8_SQUOTE] = ACTIONS(2648),
    [anon_sym_SQUOTE] = ACTIONS(2648),
    [anon_sym_AT] = ACTIONS(2646),
    [anon_sym_DQUOTE] = ACTIONS(2648),
    [anon_sym_L_DQUOTE] = ACTIONS(2648),
    [anon_sym_u_DQUOTE] = ACTIONS(2648),
    [anon_sym_U_DQUOTE] = ACTIONS(2648),
    [anon_sym_u8_DQUOTE] = ACTIONS(2648),
    [sym_true] = ACTIONS(2646),
    [sym_false] = ACTIONS(2646),
    [anon_sym_NULL] = ACTIONS(2646),
    [anon_sym_nullptr] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2646),
    [anon_sym___typeof] = ACTIONS(2646),
    [anon_sym_typeof] = ACTIONS(2646),
    [anon_sym_ATimport] = ACTIONS(2648),
    [aux_sym_preproc_undef_token1] = ACTIONS(2646),
    [anon_sym_POUND] = ACTIONS(2646),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2646),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2646),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2646),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2646),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2646),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2646),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2646),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2646),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2646),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2646),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2646),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2646),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2646),
    [anon_sym_API_AVAILABLE] = ACTIONS(2646),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2646),
    [anon_sym_API_DEPRECATED] = ACTIONS(2646),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2646),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2646),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2646),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2646),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2646),
    [anon_sym___deprecated_msg] = ACTIONS(2646),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2646),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2646),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2646),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2646),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2646),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2646),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2646),
    [anon_sym_ATprotocol] = ACTIONS(2648),
    [anon_sym_ATinterface] = ACTIONS(2648),
    [anon_sym_ATimplementation] = ACTIONS(2648),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2648),
    [anon_sym_ATtry] = ACTIONS(2648),
    [anon_sym___try] = ACTIONS(2646),
    [anon_sym_ATthrow] = ACTIONS(2648),
    [anon_sym_ATselector] = ACTIONS(2648),
    [anon_sym_ATavailable] = ACTIONS(2648),
    [anon_sym___builtin_available] = ACTIONS(2646),
    [anon_sym_va_arg] = ACTIONS(2646),
    [anon_sym_ATencode] = ACTIONS(2648),
    [anon_sym_ATsynchronized] = ACTIONS(2648),
    [anon_sym_BOOL] = ACTIONS(2646),
    [anon_sym_IMP] = ACTIONS(2646),
    [anon_sym_SEL] = ACTIONS(2646),
    [anon_sym_Class] = ACTIONS(2646),
    [anon_sym_id] = ACTIONS(2646),
  },
  [841] = {
    [sym_identifier] = ACTIONS(2726),
    [aux_sym_preproc_include_token1] = ACTIONS(2726),
    [aux_sym_preproc_include_token2] = ACTIONS(2726),
    [aux_sym_preproc_def_token1] = ACTIONS(2726),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2726),
    [sym_preproc_directive] = ACTIONS(2726),
    [anon_sym_LPAREN2] = ACTIONS(2728),
    [anon_sym_BANG] = ACTIONS(2728),
    [anon_sym_TILDE] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2726),
    [anon_sym_STAR] = ACTIONS(2728),
    [anon_sym_CARET] = ACTIONS(2728),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_SEMI] = ACTIONS(2728),
    [anon_sym___extension__] = ACTIONS(2726),
    [anon_sym_typedef] = ACTIONS(2726),
    [anon_sym_extern] = ACTIONS(2726),
    [anon_sym___attribute__] = ACTIONS(2726),
    [anon_sym___attribute] = ACTIONS(2726),
    [anon_sym_noreturn] = ACTIONS(2726),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym___declspec] = ACTIONS(2726),
    [anon_sym___cdecl] = ACTIONS(2726),
    [anon_sym___clrcall] = ACTIONS(2726),
    [anon_sym___stdcall] = ACTIONS(2726),
    [anon_sym___fastcall] = ACTIONS(2726),
    [anon_sym___thiscall] = ACTIONS(2726),
    [anon_sym___vectorcall] = ACTIONS(2726),
    [anon_sym_LBRACE] = ACTIONS(2728),
    [anon_sym_RBRACE] = ACTIONS(2728),
    [anon_sym_signed] = ACTIONS(2726),
    [anon_sym_unsigned] = ACTIONS(2726),
    [anon_sym_long] = ACTIONS(2726),
    [anon_sym_short] = ACTIONS(2726),
    [anon_sym_static] = ACTIONS(2726),
    [anon_sym_ATautoreleasepool] = ACTIONS(2728),
    [anon_sym_auto] = ACTIONS(2726),
    [anon_sym_register] = ACTIONS(2726),
    [anon_sym_inline] = ACTIONS(2726),
    [anon_sym___inline] = ACTIONS(2726),
    [anon_sym___inline__] = ACTIONS(2726),
    [anon_sym___forceinline] = ACTIONS(2726),
    [anon_sym_thread_local] = ACTIONS(2726),
    [anon_sym___thread] = ACTIONS(2726),
    [anon_sym_CG_EXTERN] = ACTIONS(2726),
    [anon_sym_CG_INLINE] = ACTIONS(2726),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2726),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2726),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2726),
    [anon_sym_IBOutlet] = ACTIONS(2726),
    [anon_sym_IBInspectable] = ACTIONS(2726),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2726),
    [anon_sym_NS_INLINE] = ACTIONS(2726),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2726),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2726),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2726),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2726),
    [anon_sym_const] = ACTIONS(2726),
    [anon_sym_constexpr] = ACTIONS(2726),
    [anon_sym_volatile] = ACTIONS(2726),
    [anon_sym_restrict] = ACTIONS(2726),
    [anon_sym___restrict__] = ACTIONS(2726),
    [anon_sym__Atomic] = ACTIONS(2726),
    [anon_sym__Noreturn] = ACTIONS(2726),
    [anon_sym__Nonnull] = ACTIONS(2726),
    [anon_sym_nullable] = ACTIONS(2726),
    [anon_sym__Complex] = ACTIONS(2726),
    [anon_sym__Nullable] = ACTIONS(2726),
    [anon_sym__Nullable_result] = ACTIONS(2726),
    [anon_sym__Null_unspecified] = ACTIONS(2726),
    [anon_sym___autoreleasing] = ACTIONS(2726),
    [anon_sym___block] = ACTIONS(2726),
    [anon_sym___bridge] = ACTIONS(2726),
    [anon_sym___bridge_retained] = ACTIONS(2726),
    [anon_sym___bridge_transfer] = ACTIONS(2726),
    [anon_sym___complex] = ACTIONS(2726),
    [anon_sym___const] = ACTIONS(2726),
    [anon_sym___imag] = ACTIONS(2726),
    [anon_sym___kindof] = ACTIONS(2726),
    [anon_sym___nonnull] = ACTIONS(2726),
    [anon_sym___nullable] = ACTIONS(2726),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2726),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2726),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2726),
    [anon_sym___real] = ACTIONS(2726),
    [anon_sym___strong] = ACTIONS(2726),
    [anon_sym___unsafe_unretained] = ACTIONS(2726),
    [anon_sym___unused] = ACTIONS(2726),
    [anon_sym___weak] = ACTIONS(2726),
    [anon_sym_alignas] = ACTIONS(2726),
    [anon_sym__Alignas] = ACTIONS(2726),
    [sym_primitive_type] = ACTIONS(2726),
    [anon_sym_enum] = ACTIONS(2726),
    [anon_sym_struct] = ACTIONS(2726),
    [anon_sym_union] = ACTIONS(2726),
    [anon_sym_if] = ACTIONS(2726),
    [anon_sym_switch] = ACTIONS(2726),
    [anon_sym_case] = ACTIONS(2726),
    [anon_sym_default] = ACTIONS(2726),
    [anon_sym_while] = ACTIONS(2726),
    [anon_sym_do] = ACTIONS(2726),
    [anon_sym_for] = ACTIONS(2726),
    [anon_sym_in] = ACTIONS(2726),
    [anon_sym_return] = ACTIONS(2726),
    [anon_sym_break] = ACTIONS(2726),
    [anon_sym_continue] = ACTIONS(2726),
    [anon_sym_goto] = ACTIONS(2726),
    [anon_sym_DASH_DASH] = ACTIONS(2728),
    [anon_sym_PLUS_PLUS] = ACTIONS(2728),
    [anon_sym_sizeof] = ACTIONS(2726),
    [anon_sym___alignof__] = ACTIONS(2726),
    [anon_sym___alignof] = ACTIONS(2726),
    [anon_sym__alignof] = ACTIONS(2726),
    [anon_sym_alignof] = ACTIONS(2726),
    [anon_sym__Alignof] = ACTIONS(2726),
    [anon_sym_offsetof] = ACTIONS(2726),
    [anon_sym__Generic] = ACTIONS(2726),
    [anon_sym_asm] = ACTIONS(2726),
    [anon_sym___asm__] = ACTIONS(2726),
    [anon_sym___asm] = ACTIONS(2726),
    [sym_number_literal] = ACTIONS(2728),
    [anon_sym_L_SQUOTE] = ACTIONS(2728),
    [anon_sym_u_SQUOTE] = ACTIONS(2728),
    [anon_sym_U_SQUOTE] = ACTIONS(2728),
    [anon_sym_u8_SQUOTE] = ACTIONS(2728),
    [anon_sym_SQUOTE] = ACTIONS(2728),
    [anon_sym_AT] = ACTIONS(2726),
    [anon_sym_DQUOTE] = ACTIONS(2728),
    [anon_sym_L_DQUOTE] = ACTIONS(2728),
    [anon_sym_u_DQUOTE] = ACTIONS(2728),
    [anon_sym_U_DQUOTE] = ACTIONS(2728),
    [anon_sym_u8_DQUOTE] = ACTIONS(2728),
    [sym_true] = ACTIONS(2726),
    [sym_false] = ACTIONS(2726),
    [anon_sym_NULL] = ACTIONS(2726),
    [anon_sym_nullptr] = ACTIONS(2726),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2726),
    [anon_sym___typeof] = ACTIONS(2726),
    [anon_sym_typeof] = ACTIONS(2726),
    [anon_sym_ATimport] = ACTIONS(2728),
    [aux_sym_preproc_undef_token1] = ACTIONS(2726),
    [anon_sym_POUND] = ACTIONS(2726),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2726),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2726),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2726),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2726),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2726),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2726),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2726),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2726),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2726),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2726),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2726),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2726),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2726),
    [anon_sym_API_AVAILABLE] = ACTIONS(2726),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2726),
    [anon_sym_API_DEPRECATED] = ACTIONS(2726),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2726),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2726),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2726),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2726),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2726),
    [anon_sym___deprecated_msg] = ACTIONS(2726),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2726),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2726),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2726),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2726),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2726),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2726),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2726),
    [anon_sym_ATprotocol] = ACTIONS(2728),
    [anon_sym_ATinterface] = ACTIONS(2728),
    [anon_sym_ATimplementation] = ACTIONS(2728),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2728),
    [anon_sym_ATtry] = ACTIONS(2728),
    [anon_sym___try] = ACTIONS(2726),
    [anon_sym_ATthrow] = ACTIONS(2728),
    [anon_sym_ATselector] = ACTIONS(2728),
    [anon_sym_ATavailable] = ACTIONS(2728),
    [anon_sym___builtin_available] = ACTIONS(2726),
    [anon_sym_va_arg] = ACTIONS(2726),
    [anon_sym_ATencode] = ACTIONS(2728),
    [anon_sym_ATsynchronized] = ACTIONS(2728),
    [anon_sym_BOOL] = ACTIONS(2726),
    [anon_sym_IMP] = ACTIONS(2726),
    [anon_sym_SEL] = ACTIONS(2726),
    [anon_sym_Class] = ACTIONS(2726),
    [anon_sym_id] = ACTIONS(2726),
  },
  [842] = {
    [sym_identifier] = ACTIONS(2848),
    [aux_sym_preproc_include_token1] = ACTIONS(2848),
    [aux_sym_preproc_include_token2] = ACTIONS(2848),
    [aux_sym_preproc_def_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2848),
    [sym_preproc_directive] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(2850),
    [anon_sym_BANG] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_DASH] = ACTIONS(2848),
    [anon_sym_PLUS] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_CARET] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym_SEMI] = ACTIONS(2850),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym_typedef] = ACTIONS(2848),
    [anon_sym_extern] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym___attribute] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym___declspec] = ACTIONS(2848),
    [anon_sym___cdecl] = ACTIONS(2848),
    [anon_sym___clrcall] = ACTIONS(2848),
    [anon_sym___stdcall] = ACTIONS(2848),
    [anon_sym___fastcall] = ACTIONS(2848),
    [anon_sym___thiscall] = ACTIONS(2848),
    [anon_sym___vectorcall] = ACTIONS(2848),
    [anon_sym_LBRACE] = ACTIONS(2850),
    [anon_sym_RBRACE] = ACTIONS(2850),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_ATautoreleasepool] = ACTIONS(2850),
    [anon_sym_auto] = ACTIONS(2848),
    [anon_sym_register] = ACTIONS(2848),
    [anon_sym_inline] = ACTIONS(2848),
    [anon_sym___inline] = ACTIONS(2848),
    [anon_sym___inline__] = ACTIONS(2848),
    [anon_sym___forceinline] = ACTIONS(2848),
    [anon_sym_thread_local] = ACTIONS(2848),
    [anon_sym___thread] = ACTIONS(2848),
    [anon_sym_CG_EXTERN] = ACTIONS(2848),
    [anon_sym_CG_INLINE] = ACTIONS(2848),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2848),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2848),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2848),
    [anon_sym_IBOutlet] = ACTIONS(2848),
    [anon_sym_IBInspectable] = ACTIONS(2848),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2848),
    [anon_sym_NS_INLINE] = ACTIONS(2848),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2848),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2848),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2848),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym__Nonnull] = ACTIONS(2848),
    [anon_sym_nullable] = ACTIONS(2848),
    [anon_sym__Complex] = ACTIONS(2848),
    [anon_sym__Nullable] = ACTIONS(2848),
    [anon_sym__Nullable_result] = ACTIONS(2848),
    [anon_sym__Null_unspecified] = ACTIONS(2848),
    [anon_sym___autoreleasing] = ACTIONS(2848),
    [anon_sym___block] = ACTIONS(2848),
    [anon_sym___bridge] = ACTIONS(2848),
    [anon_sym___bridge_retained] = ACTIONS(2848),
    [anon_sym___bridge_transfer] = ACTIONS(2848),
    [anon_sym___complex] = ACTIONS(2848),
    [anon_sym___const] = ACTIONS(2848),
    [anon_sym___imag] = ACTIONS(2848),
    [anon_sym___kindof] = ACTIONS(2848),
    [anon_sym___nonnull] = ACTIONS(2848),
    [anon_sym___nullable] = ACTIONS(2848),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2848),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2848),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2848),
    [anon_sym___real] = ACTIONS(2848),
    [anon_sym___strong] = ACTIONS(2848),
    [anon_sym___unsafe_unretained] = ACTIONS(2848),
    [anon_sym___unused] = ACTIONS(2848),
    [anon_sym___weak] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym__Alignas] = ACTIONS(2848),
    [sym_primitive_type] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [anon_sym_if] = ACTIONS(2848),
    [anon_sym_switch] = ACTIONS(2848),
    [anon_sym_case] = ACTIONS(2848),
    [anon_sym_default] = ACTIONS(2848),
    [anon_sym_while] = ACTIONS(2848),
    [anon_sym_do] = ACTIONS(2848),
    [anon_sym_for] = ACTIONS(2848),
    [anon_sym_in] = ACTIONS(2848),
    [anon_sym_return] = ACTIONS(2848),
    [anon_sym_break] = ACTIONS(2848),
    [anon_sym_continue] = ACTIONS(2848),
    [anon_sym_goto] = ACTIONS(2848),
    [anon_sym_DASH_DASH] = ACTIONS(2850),
    [anon_sym_PLUS_PLUS] = ACTIONS(2850),
    [anon_sym_sizeof] = ACTIONS(2848),
    [anon_sym___alignof__] = ACTIONS(2848),
    [anon_sym___alignof] = ACTIONS(2848),
    [anon_sym__alignof] = ACTIONS(2848),
    [anon_sym_alignof] = ACTIONS(2848),
    [anon_sym__Alignof] = ACTIONS(2848),
    [anon_sym_offsetof] = ACTIONS(2848),
    [anon_sym__Generic] = ACTIONS(2848),
    [anon_sym_asm] = ACTIONS(2848),
    [anon_sym___asm__] = ACTIONS(2848),
    [anon_sym___asm] = ACTIONS(2848),
    [sym_number_literal] = ACTIONS(2850),
    [anon_sym_L_SQUOTE] = ACTIONS(2850),
    [anon_sym_u_SQUOTE] = ACTIONS(2850),
    [anon_sym_U_SQUOTE] = ACTIONS(2850),
    [anon_sym_u8_SQUOTE] = ACTIONS(2850),
    [anon_sym_SQUOTE] = ACTIONS(2850),
    [anon_sym_AT] = ACTIONS(2848),
    [anon_sym_DQUOTE] = ACTIONS(2850),
    [anon_sym_L_DQUOTE] = ACTIONS(2850),
    [anon_sym_u_DQUOTE] = ACTIONS(2850),
    [anon_sym_U_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8_DQUOTE] = ACTIONS(2850),
    [sym_true] = ACTIONS(2848),
    [sym_false] = ACTIONS(2848),
    [anon_sym_NULL] = ACTIONS(2848),
    [anon_sym_nullptr] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2848),
    [anon_sym___typeof] = ACTIONS(2848),
    [anon_sym_typeof] = ACTIONS(2848),
    [anon_sym_ATimport] = ACTIONS(2850),
    [aux_sym_preproc_undef_token1] = ACTIONS(2848),
    [anon_sym_POUND] = ACTIONS(2848),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2848),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2848),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2848),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2848),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2848),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2848),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2848),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2848),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2848),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2848),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2848),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2848),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2848),
    [anon_sym_API_AVAILABLE] = ACTIONS(2848),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2848),
    [anon_sym_API_DEPRECATED] = ACTIONS(2848),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2848),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2848),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2848),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2848),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2848),
    [anon_sym___deprecated_msg] = ACTIONS(2848),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2848),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2848),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2848),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2848),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2848),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2848),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2848),
    [anon_sym_ATprotocol] = ACTIONS(2850),
    [anon_sym_ATinterface] = ACTIONS(2850),
    [anon_sym_ATimplementation] = ACTIONS(2850),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2850),
    [anon_sym_ATtry] = ACTIONS(2850),
    [anon_sym___try] = ACTIONS(2848),
    [anon_sym_ATthrow] = ACTIONS(2850),
    [anon_sym_ATselector] = ACTIONS(2850),
    [anon_sym_ATavailable] = ACTIONS(2850),
    [anon_sym___builtin_available] = ACTIONS(2848),
    [anon_sym_va_arg] = ACTIONS(2848),
    [anon_sym_ATencode] = ACTIONS(2850),
    [anon_sym_ATsynchronized] = ACTIONS(2850),
    [anon_sym_BOOL] = ACTIONS(2848),
    [anon_sym_IMP] = ACTIONS(2848),
    [anon_sym_SEL] = ACTIONS(2848),
    [anon_sym_Class] = ACTIONS(2848),
    [anon_sym_id] = ACTIONS(2848),
  },
  [843] = {
    [sym_identifier] = ACTIONS(2802),
    [aux_sym_preproc_include_token1] = ACTIONS(2802),
    [aux_sym_preproc_include_token2] = ACTIONS(2802),
    [aux_sym_preproc_def_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2802),
    [sym_preproc_directive] = ACTIONS(2802),
    [anon_sym_LPAREN2] = ACTIONS(2804),
    [anon_sym_BANG] = ACTIONS(2804),
    [anon_sym_TILDE] = ACTIONS(2804),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_PLUS] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_CARET] = ACTIONS(2804),
    [anon_sym_AMP] = ACTIONS(2804),
    [anon_sym_SEMI] = ACTIONS(2804),
    [anon_sym___extension__] = ACTIONS(2802),
    [anon_sym_typedef] = ACTIONS(2802),
    [anon_sym_extern] = ACTIONS(2802),
    [anon_sym___attribute__] = ACTIONS(2802),
    [anon_sym___attribute] = ACTIONS(2802),
    [anon_sym_noreturn] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(2804),
    [anon_sym___declspec] = ACTIONS(2802),
    [anon_sym___cdecl] = ACTIONS(2802),
    [anon_sym___clrcall] = ACTIONS(2802),
    [anon_sym___stdcall] = ACTIONS(2802),
    [anon_sym___fastcall] = ACTIONS(2802),
    [anon_sym___thiscall] = ACTIONS(2802),
    [anon_sym___vectorcall] = ACTIONS(2802),
    [anon_sym_LBRACE] = ACTIONS(2804),
    [anon_sym_RBRACE] = ACTIONS(2804),
    [anon_sym_signed] = ACTIONS(2802),
    [anon_sym_unsigned] = ACTIONS(2802),
    [anon_sym_long] = ACTIONS(2802),
    [anon_sym_short] = ACTIONS(2802),
    [anon_sym_static] = ACTIONS(2802),
    [anon_sym_ATautoreleasepool] = ACTIONS(2804),
    [anon_sym_auto] = ACTIONS(2802),
    [anon_sym_register] = ACTIONS(2802),
    [anon_sym_inline] = ACTIONS(2802),
    [anon_sym___inline] = ACTIONS(2802),
    [anon_sym___inline__] = ACTIONS(2802),
    [anon_sym___forceinline] = ACTIONS(2802),
    [anon_sym_thread_local] = ACTIONS(2802),
    [anon_sym___thread] = ACTIONS(2802),
    [anon_sym_CG_EXTERN] = ACTIONS(2802),
    [anon_sym_CG_INLINE] = ACTIONS(2802),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2802),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2802),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2802),
    [anon_sym_IBOutlet] = ACTIONS(2802),
    [anon_sym_IBInspectable] = ACTIONS(2802),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2802),
    [anon_sym_NS_INLINE] = ACTIONS(2802),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2802),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2802),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2802),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2802),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_constexpr] = ACTIONS(2802),
    [anon_sym_volatile] = ACTIONS(2802),
    [anon_sym_restrict] = ACTIONS(2802),
    [anon_sym___restrict__] = ACTIONS(2802),
    [anon_sym__Atomic] = ACTIONS(2802),
    [anon_sym__Noreturn] = ACTIONS(2802),
    [anon_sym__Nonnull] = ACTIONS(2802),
    [anon_sym_nullable] = ACTIONS(2802),
    [anon_sym__Complex] = ACTIONS(2802),
    [anon_sym__Nullable] = ACTIONS(2802),
    [anon_sym__Nullable_result] = ACTIONS(2802),
    [anon_sym__Null_unspecified] = ACTIONS(2802),
    [anon_sym___autoreleasing] = ACTIONS(2802),
    [anon_sym___block] = ACTIONS(2802),
    [anon_sym___bridge] = ACTIONS(2802),
    [anon_sym___bridge_retained] = ACTIONS(2802),
    [anon_sym___bridge_transfer] = ACTIONS(2802),
    [anon_sym___complex] = ACTIONS(2802),
    [anon_sym___const] = ACTIONS(2802),
    [anon_sym___imag] = ACTIONS(2802),
    [anon_sym___kindof] = ACTIONS(2802),
    [anon_sym___nonnull] = ACTIONS(2802),
    [anon_sym___nullable] = ACTIONS(2802),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2802),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2802),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2802),
    [anon_sym___real] = ACTIONS(2802),
    [anon_sym___strong] = ACTIONS(2802),
    [anon_sym___unsafe_unretained] = ACTIONS(2802),
    [anon_sym___unused] = ACTIONS(2802),
    [anon_sym___weak] = ACTIONS(2802),
    [anon_sym_alignas] = ACTIONS(2802),
    [anon_sym__Alignas] = ACTIONS(2802),
    [sym_primitive_type] = ACTIONS(2802),
    [anon_sym_enum] = ACTIONS(2802),
    [anon_sym_struct] = ACTIONS(2802),
    [anon_sym_union] = ACTIONS(2802),
    [anon_sym_if] = ACTIONS(2802),
    [anon_sym_switch] = ACTIONS(2802),
    [anon_sym_case] = ACTIONS(2802),
    [anon_sym_default] = ACTIONS(2802),
    [anon_sym_while] = ACTIONS(2802),
    [anon_sym_do] = ACTIONS(2802),
    [anon_sym_for] = ACTIONS(2802),
    [anon_sym_in] = ACTIONS(2802),
    [anon_sym_return] = ACTIONS(2802),
    [anon_sym_break] = ACTIONS(2802),
    [anon_sym_continue] = ACTIONS(2802),
    [anon_sym_goto] = ACTIONS(2802),
    [anon_sym_DASH_DASH] = ACTIONS(2804),
    [anon_sym_PLUS_PLUS] = ACTIONS(2804),
    [anon_sym_sizeof] = ACTIONS(2802),
    [anon_sym___alignof__] = ACTIONS(2802),
    [anon_sym___alignof] = ACTIONS(2802),
    [anon_sym__alignof] = ACTIONS(2802),
    [anon_sym_alignof] = ACTIONS(2802),
    [anon_sym__Alignof] = ACTIONS(2802),
    [anon_sym_offsetof] = ACTIONS(2802),
    [anon_sym__Generic] = ACTIONS(2802),
    [anon_sym_asm] = ACTIONS(2802),
    [anon_sym___asm__] = ACTIONS(2802),
    [anon_sym___asm] = ACTIONS(2802),
    [sym_number_literal] = ACTIONS(2804),
    [anon_sym_L_SQUOTE] = ACTIONS(2804),
    [anon_sym_u_SQUOTE] = ACTIONS(2804),
    [anon_sym_U_SQUOTE] = ACTIONS(2804),
    [anon_sym_u8_SQUOTE] = ACTIONS(2804),
    [anon_sym_SQUOTE] = ACTIONS(2804),
    [anon_sym_AT] = ACTIONS(2802),
    [anon_sym_DQUOTE] = ACTIONS(2804),
    [anon_sym_L_DQUOTE] = ACTIONS(2804),
    [anon_sym_u_DQUOTE] = ACTIONS(2804),
    [anon_sym_U_DQUOTE] = ACTIONS(2804),
    [anon_sym_u8_DQUOTE] = ACTIONS(2804),
    [sym_true] = ACTIONS(2802),
    [sym_false] = ACTIONS(2802),
    [anon_sym_NULL] = ACTIONS(2802),
    [anon_sym_nullptr] = ACTIONS(2802),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2802),
    [anon_sym___typeof] = ACTIONS(2802),
    [anon_sym_typeof] = ACTIONS(2802),
    [anon_sym_ATimport] = ACTIONS(2804),
    [aux_sym_preproc_undef_token1] = ACTIONS(2802),
    [anon_sym_POUND] = ACTIONS(2802),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2802),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2802),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2802),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2802),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2802),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2802),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2802),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2802),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2802),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_API_AVAILABLE] = ACTIONS(2802),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_API_DEPRECATED] = ACTIONS(2802),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2802),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2802),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2802),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2802),
    [anon_sym___deprecated_msg] = ACTIONS(2802),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2802),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2802),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2802),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2802),
    [anon_sym_ATprotocol] = ACTIONS(2804),
    [anon_sym_ATinterface] = ACTIONS(2804),
    [anon_sym_ATimplementation] = ACTIONS(2804),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2804),
    [anon_sym_ATtry] = ACTIONS(2804),
    [anon_sym___try] = ACTIONS(2802),
    [anon_sym_ATthrow] = ACTIONS(2804),
    [anon_sym_ATselector] = ACTIONS(2804),
    [anon_sym_ATavailable] = ACTIONS(2804),
    [anon_sym___builtin_available] = ACTIONS(2802),
    [anon_sym_va_arg] = ACTIONS(2802),
    [anon_sym_ATencode] = ACTIONS(2804),
    [anon_sym_ATsynchronized] = ACTIONS(2804),
    [anon_sym_BOOL] = ACTIONS(2802),
    [anon_sym_IMP] = ACTIONS(2802),
    [anon_sym_SEL] = ACTIONS(2802),
    [anon_sym_Class] = ACTIONS(2802),
    [anon_sym_id] = ACTIONS(2802),
  },
  [844] = {
    [sym_identifier] = ACTIONS(2868),
    [aux_sym_preproc_include_token1] = ACTIONS(2868),
    [aux_sym_preproc_include_token2] = ACTIONS(2868),
    [aux_sym_preproc_def_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2868),
    [sym_preproc_directive] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_BANG] = ACTIONS(2870),
    [anon_sym_TILDE] = ACTIONS(2870),
    [anon_sym_DASH] = ACTIONS(2868),
    [anon_sym_PLUS] = ACTIONS(2868),
    [anon_sym_STAR] = ACTIONS(2870),
    [anon_sym_CARET] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2870),
    [anon_sym_SEMI] = ACTIONS(2870),
    [anon_sym___extension__] = ACTIONS(2868),
    [anon_sym_typedef] = ACTIONS(2868),
    [anon_sym_extern] = ACTIONS(2868),
    [anon_sym___attribute__] = ACTIONS(2868),
    [anon_sym___attribute] = ACTIONS(2868),
    [anon_sym_noreturn] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2870),
    [anon_sym___declspec] = ACTIONS(2868),
    [anon_sym___cdecl] = ACTIONS(2868),
    [anon_sym___clrcall] = ACTIONS(2868),
    [anon_sym___stdcall] = ACTIONS(2868),
    [anon_sym___fastcall] = ACTIONS(2868),
    [anon_sym___thiscall] = ACTIONS(2868),
    [anon_sym___vectorcall] = ACTIONS(2868),
    [anon_sym_LBRACE] = ACTIONS(2870),
    [anon_sym_RBRACE] = ACTIONS(2870),
    [anon_sym_signed] = ACTIONS(2868),
    [anon_sym_unsigned] = ACTIONS(2868),
    [anon_sym_long] = ACTIONS(2868),
    [anon_sym_short] = ACTIONS(2868),
    [anon_sym_static] = ACTIONS(2868),
    [anon_sym_ATautoreleasepool] = ACTIONS(2870),
    [anon_sym_auto] = ACTIONS(2868),
    [anon_sym_register] = ACTIONS(2868),
    [anon_sym_inline] = ACTIONS(2868),
    [anon_sym___inline] = ACTIONS(2868),
    [anon_sym___inline__] = ACTIONS(2868),
    [anon_sym___forceinline] = ACTIONS(2868),
    [anon_sym_thread_local] = ACTIONS(2868),
    [anon_sym___thread] = ACTIONS(2868),
    [anon_sym_CG_EXTERN] = ACTIONS(2868),
    [anon_sym_CG_INLINE] = ACTIONS(2868),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2868),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2868),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2868),
    [anon_sym_IBOutlet] = ACTIONS(2868),
    [anon_sym_IBInspectable] = ACTIONS(2868),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2868),
    [anon_sym_NS_INLINE] = ACTIONS(2868),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2868),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2868),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2868),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2868),
    [anon_sym_const] = ACTIONS(2868),
    [anon_sym_constexpr] = ACTIONS(2868),
    [anon_sym_volatile] = ACTIONS(2868),
    [anon_sym_restrict] = ACTIONS(2868),
    [anon_sym___restrict__] = ACTIONS(2868),
    [anon_sym__Atomic] = ACTIONS(2868),
    [anon_sym__Noreturn] = ACTIONS(2868),
    [anon_sym__Nonnull] = ACTIONS(2868),
    [anon_sym_nullable] = ACTIONS(2868),
    [anon_sym__Complex] = ACTIONS(2868),
    [anon_sym__Nullable] = ACTIONS(2868),
    [anon_sym__Nullable_result] = ACTIONS(2868),
    [anon_sym__Null_unspecified] = ACTIONS(2868),
    [anon_sym___autoreleasing] = ACTIONS(2868),
    [anon_sym___block] = ACTIONS(2868),
    [anon_sym___bridge] = ACTIONS(2868),
    [anon_sym___bridge_retained] = ACTIONS(2868),
    [anon_sym___bridge_transfer] = ACTIONS(2868),
    [anon_sym___complex] = ACTIONS(2868),
    [anon_sym___const] = ACTIONS(2868),
    [anon_sym___imag] = ACTIONS(2868),
    [anon_sym___kindof] = ACTIONS(2868),
    [anon_sym___nonnull] = ACTIONS(2868),
    [anon_sym___nullable] = ACTIONS(2868),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2868),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2868),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2868),
    [anon_sym___real] = ACTIONS(2868),
    [anon_sym___strong] = ACTIONS(2868),
    [anon_sym___unsafe_unretained] = ACTIONS(2868),
    [anon_sym___unused] = ACTIONS(2868),
    [anon_sym___weak] = ACTIONS(2868),
    [anon_sym_alignas] = ACTIONS(2868),
    [anon_sym__Alignas] = ACTIONS(2868),
    [sym_primitive_type] = ACTIONS(2868),
    [anon_sym_enum] = ACTIONS(2868),
    [anon_sym_struct] = ACTIONS(2868),
    [anon_sym_union] = ACTIONS(2868),
    [anon_sym_if] = ACTIONS(2868),
    [anon_sym_switch] = ACTIONS(2868),
    [anon_sym_case] = ACTIONS(2868),
    [anon_sym_default] = ACTIONS(2868),
    [anon_sym_while] = ACTIONS(2868),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_for] = ACTIONS(2868),
    [anon_sym_in] = ACTIONS(2868),
    [anon_sym_return] = ACTIONS(2868),
    [anon_sym_break] = ACTIONS(2868),
    [anon_sym_continue] = ACTIONS(2868),
    [anon_sym_goto] = ACTIONS(2868),
    [anon_sym_DASH_DASH] = ACTIONS(2870),
    [anon_sym_PLUS_PLUS] = ACTIONS(2870),
    [anon_sym_sizeof] = ACTIONS(2868),
    [anon_sym___alignof__] = ACTIONS(2868),
    [anon_sym___alignof] = ACTIONS(2868),
    [anon_sym__alignof] = ACTIONS(2868),
    [anon_sym_alignof] = ACTIONS(2868),
    [anon_sym__Alignof] = ACTIONS(2868),
    [anon_sym_offsetof] = ACTIONS(2868),
    [anon_sym__Generic] = ACTIONS(2868),
    [anon_sym_asm] = ACTIONS(2868),
    [anon_sym___asm__] = ACTIONS(2868),
    [anon_sym___asm] = ACTIONS(2868),
    [sym_number_literal] = ACTIONS(2870),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_AT] = ACTIONS(2868),
    [anon_sym_DQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2870),
    [anon_sym_u_DQUOTE] = ACTIONS(2870),
    [anon_sym_U_DQUOTE] = ACTIONS(2870),
    [anon_sym_u8_DQUOTE] = ACTIONS(2870),
    [sym_true] = ACTIONS(2868),
    [sym_false] = ACTIONS(2868),
    [anon_sym_NULL] = ACTIONS(2868),
    [anon_sym_nullptr] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2868),
    [anon_sym___typeof] = ACTIONS(2868),
    [anon_sym_typeof] = ACTIONS(2868),
    [anon_sym_ATimport] = ACTIONS(2870),
    [aux_sym_preproc_undef_token1] = ACTIONS(2868),
    [anon_sym_POUND] = ACTIONS(2868),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2868),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2868),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2868),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2868),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2868),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2868),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2868),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2868),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2868),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_API_AVAILABLE] = ACTIONS(2868),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_API_DEPRECATED] = ACTIONS(2868),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2868),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2868),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2868),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2868),
    [anon_sym___deprecated_msg] = ACTIONS(2868),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2868),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2868),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2868),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2868),
    [anon_sym_ATprotocol] = ACTIONS(2870),
    [anon_sym_ATinterface] = ACTIONS(2870),
    [anon_sym_ATimplementation] = ACTIONS(2870),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2870),
    [anon_sym_ATtry] = ACTIONS(2870),
    [anon_sym___try] = ACTIONS(2868),
    [anon_sym_ATthrow] = ACTIONS(2870),
    [anon_sym_ATselector] = ACTIONS(2870),
    [anon_sym_ATavailable] = ACTIONS(2870),
    [anon_sym___builtin_available] = ACTIONS(2868),
    [anon_sym_va_arg] = ACTIONS(2868),
    [anon_sym_ATencode] = ACTIONS(2870),
    [anon_sym_ATsynchronized] = ACTIONS(2870),
    [anon_sym_BOOL] = ACTIONS(2868),
    [anon_sym_IMP] = ACTIONS(2868),
    [anon_sym_SEL] = ACTIONS(2868),
    [anon_sym_Class] = ACTIONS(2868),
    [anon_sym_id] = ACTIONS(2868),
  },
  [845] = {
    [sym_identifier] = ACTIONS(2738),
    [aux_sym_preproc_include_token1] = ACTIONS(2738),
    [aux_sym_preproc_include_token2] = ACTIONS(2738),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2738),
    [sym_preproc_directive] = ACTIONS(2738),
    [anon_sym_LPAREN2] = ACTIONS(2740),
    [anon_sym_BANG] = ACTIONS(2740),
    [anon_sym_TILDE] = ACTIONS(2740),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_STAR] = ACTIONS(2740),
    [anon_sym_CARET] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym_SEMI] = ACTIONS(2740),
    [anon_sym___extension__] = ACTIONS(2738),
    [anon_sym_typedef] = ACTIONS(2738),
    [anon_sym_extern] = ACTIONS(2738),
    [anon_sym___attribute__] = ACTIONS(2738),
    [anon_sym___attribute] = ACTIONS(2738),
    [anon_sym_noreturn] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym___declspec] = ACTIONS(2738),
    [anon_sym___cdecl] = ACTIONS(2738),
    [anon_sym___clrcall] = ACTIONS(2738),
    [anon_sym___stdcall] = ACTIONS(2738),
    [anon_sym___fastcall] = ACTIONS(2738),
    [anon_sym___thiscall] = ACTIONS(2738),
    [anon_sym___vectorcall] = ACTIONS(2738),
    [anon_sym_LBRACE] = ACTIONS(2740),
    [anon_sym_RBRACE] = ACTIONS(2740),
    [anon_sym_signed] = ACTIONS(2738),
    [anon_sym_unsigned] = ACTIONS(2738),
    [anon_sym_long] = ACTIONS(2738),
    [anon_sym_short] = ACTIONS(2738),
    [anon_sym_static] = ACTIONS(2738),
    [anon_sym_ATautoreleasepool] = ACTIONS(2740),
    [anon_sym_auto] = ACTIONS(2738),
    [anon_sym_register] = ACTIONS(2738),
    [anon_sym_inline] = ACTIONS(2738),
    [anon_sym___inline] = ACTIONS(2738),
    [anon_sym___inline__] = ACTIONS(2738),
    [anon_sym___forceinline] = ACTIONS(2738),
    [anon_sym_thread_local] = ACTIONS(2738),
    [anon_sym___thread] = ACTIONS(2738),
    [anon_sym_CG_EXTERN] = ACTIONS(2738),
    [anon_sym_CG_INLINE] = ACTIONS(2738),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2738),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2738),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2738),
    [anon_sym_IBOutlet] = ACTIONS(2738),
    [anon_sym_IBInspectable] = ACTIONS(2738),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2738),
    [anon_sym_NS_INLINE] = ACTIONS(2738),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2738),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2738),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2738),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2738),
    [anon_sym_constexpr] = ACTIONS(2738),
    [anon_sym_volatile] = ACTIONS(2738),
    [anon_sym_restrict] = ACTIONS(2738),
    [anon_sym___restrict__] = ACTIONS(2738),
    [anon_sym__Atomic] = ACTIONS(2738),
    [anon_sym__Noreturn] = ACTIONS(2738),
    [anon_sym__Nonnull] = ACTIONS(2738),
    [anon_sym_nullable] = ACTIONS(2738),
    [anon_sym__Complex] = ACTIONS(2738),
    [anon_sym__Nullable] = ACTIONS(2738),
    [anon_sym__Nullable_result] = ACTIONS(2738),
    [anon_sym__Null_unspecified] = ACTIONS(2738),
    [anon_sym___autoreleasing] = ACTIONS(2738),
    [anon_sym___block] = ACTIONS(2738),
    [anon_sym___bridge] = ACTIONS(2738),
    [anon_sym___bridge_retained] = ACTIONS(2738),
    [anon_sym___bridge_transfer] = ACTIONS(2738),
    [anon_sym___complex] = ACTIONS(2738),
    [anon_sym___const] = ACTIONS(2738),
    [anon_sym___imag] = ACTIONS(2738),
    [anon_sym___kindof] = ACTIONS(2738),
    [anon_sym___nonnull] = ACTIONS(2738),
    [anon_sym___nullable] = ACTIONS(2738),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2738),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2738),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2738),
    [anon_sym___real] = ACTIONS(2738),
    [anon_sym___strong] = ACTIONS(2738),
    [anon_sym___unsafe_unretained] = ACTIONS(2738),
    [anon_sym___unused] = ACTIONS(2738),
    [anon_sym___weak] = ACTIONS(2738),
    [anon_sym_alignas] = ACTIONS(2738),
    [anon_sym__Alignas] = ACTIONS(2738),
    [sym_primitive_type] = ACTIONS(2738),
    [anon_sym_enum] = ACTIONS(2738),
    [anon_sym_struct] = ACTIONS(2738),
    [anon_sym_union] = ACTIONS(2738),
    [anon_sym_if] = ACTIONS(2738),
    [anon_sym_switch] = ACTIONS(2738),
    [anon_sym_case] = ACTIONS(2738),
    [anon_sym_default] = ACTIONS(2738),
    [anon_sym_while] = ACTIONS(2738),
    [anon_sym_do] = ACTIONS(2738),
    [anon_sym_for] = ACTIONS(2738),
    [anon_sym_in] = ACTIONS(2738),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_break] = ACTIONS(2738),
    [anon_sym_continue] = ACTIONS(2738),
    [anon_sym_goto] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2740),
    [anon_sym_PLUS_PLUS] = ACTIONS(2740),
    [anon_sym_sizeof] = ACTIONS(2738),
    [anon_sym___alignof__] = ACTIONS(2738),
    [anon_sym___alignof] = ACTIONS(2738),
    [anon_sym__alignof] = ACTIONS(2738),
    [anon_sym_alignof] = ACTIONS(2738),
    [anon_sym__Alignof] = ACTIONS(2738),
    [anon_sym_offsetof] = ACTIONS(2738),
    [anon_sym__Generic] = ACTIONS(2738),
    [anon_sym_asm] = ACTIONS(2738),
    [anon_sym___asm__] = ACTIONS(2738),
    [anon_sym___asm] = ACTIONS(2738),
    [sym_number_literal] = ACTIONS(2740),
    [anon_sym_L_SQUOTE] = ACTIONS(2740),
    [anon_sym_u_SQUOTE] = ACTIONS(2740),
    [anon_sym_U_SQUOTE] = ACTIONS(2740),
    [anon_sym_u8_SQUOTE] = ACTIONS(2740),
    [anon_sym_SQUOTE] = ACTIONS(2740),
    [anon_sym_AT] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2740),
    [anon_sym_L_DQUOTE] = ACTIONS(2740),
    [anon_sym_u_DQUOTE] = ACTIONS(2740),
    [anon_sym_U_DQUOTE] = ACTIONS(2740),
    [anon_sym_u8_DQUOTE] = ACTIONS(2740),
    [sym_true] = ACTIONS(2738),
    [sym_false] = ACTIONS(2738),
    [anon_sym_NULL] = ACTIONS(2738),
    [anon_sym_nullptr] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2738),
    [anon_sym___typeof] = ACTIONS(2738),
    [anon_sym_typeof] = ACTIONS(2738),
    [anon_sym_ATimport] = ACTIONS(2740),
    [aux_sym_preproc_undef_token1] = ACTIONS(2738),
    [anon_sym_POUND] = ACTIONS(2738),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2738),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2738),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2738),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2738),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2738),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2738),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2738),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2738),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2738),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2738),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2738),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2738),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2738),
    [anon_sym_API_AVAILABLE] = ACTIONS(2738),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2738),
    [anon_sym_API_DEPRECATED] = ACTIONS(2738),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2738),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2738),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2738),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2738),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2738),
    [anon_sym___deprecated_msg] = ACTIONS(2738),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2738),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2738),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2738),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2738),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2738),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2738),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2738),
    [anon_sym_ATprotocol] = ACTIONS(2740),
    [anon_sym_ATinterface] = ACTIONS(2740),
    [anon_sym_ATimplementation] = ACTIONS(2740),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2740),
    [anon_sym_ATtry] = ACTIONS(2740),
    [anon_sym___try] = ACTIONS(2738),
    [anon_sym_ATthrow] = ACTIONS(2740),
    [anon_sym_ATselector] = ACTIONS(2740),
    [anon_sym_ATavailable] = ACTIONS(2740),
    [anon_sym___builtin_available] = ACTIONS(2738),
    [anon_sym_va_arg] = ACTIONS(2738),
    [anon_sym_ATencode] = ACTIONS(2740),
    [anon_sym_ATsynchronized] = ACTIONS(2740),
    [anon_sym_BOOL] = ACTIONS(2738),
    [anon_sym_IMP] = ACTIONS(2738),
    [anon_sym_SEL] = ACTIONS(2738),
    [anon_sym_Class] = ACTIONS(2738),
    [anon_sym_id] = ACTIONS(2738),
  },
  [846] = {
    [sym_identifier] = ACTIONS(2742),
    [aux_sym_preproc_include_token1] = ACTIONS(2742),
    [aux_sym_preproc_include_token2] = ACTIONS(2742),
    [aux_sym_preproc_def_token1] = ACTIONS(2742),
    [aux_sym_preproc_if_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2742),
    [anon_sym_LPAREN2] = ACTIONS(2744),
    [anon_sym_BANG] = ACTIONS(2744),
    [anon_sym_TILDE] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_CARET] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2744),
    [anon_sym___extension__] = ACTIONS(2742),
    [anon_sym_typedef] = ACTIONS(2742),
    [anon_sym_extern] = ACTIONS(2742),
    [anon_sym___attribute__] = ACTIONS(2742),
    [anon_sym___attribute] = ACTIONS(2742),
    [anon_sym_noreturn] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym___declspec] = ACTIONS(2742),
    [anon_sym___cdecl] = ACTIONS(2742),
    [anon_sym___clrcall] = ACTIONS(2742),
    [anon_sym___stdcall] = ACTIONS(2742),
    [anon_sym___fastcall] = ACTIONS(2742),
    [anon_sym___thiscall] = ACTIONS(2742),
    [anon_sym___vectorcall] = ACTIONS(2742),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [anon_sym_RBRACE] = ACTIONS(2744),
    [anon_sym_signed] = ACTIONS(2742),
    [anon_sym_unsigned] = ACTIONS(2742),
    [anon_sym_long] = ACTIONS(2742),
    [anon_sym_short] = ACTIONS(2742),
    [anon_sym_static] = ACTIONS(2742),
    [anon_sym_ATautoreleasepool] = ACTIONS(2744),
    [anon_sym_auto] = ACTIONS(2742),
    [anon_sym_register] = ACTIONS(2742),
    [anon_sym_inline] = ACTIONS(2742),
    [anon_sym___inline] = ACTIONS(2742),
    [anon_sym___inline__] = ACTIONS(2742),
    [anon_sym___forceinline] = ACTIONS(2742),
    [anon_sym_thread_local] = ACTIONS(2742),
    [anon_sym___thread] = ACTIONS(2742),
    [anon_sym_CG_EXTERN] = ACTIONS(2742),
    [anon_sym_CG_INLINE] = ACTIONS(2742),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2742),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2742),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2742),
    [anon_sym_IBOutlet] = ACTIONS(2742),
    [anon_sym_IBInspectable] = ACTIONS(2742),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2742),
    [anon_sym_NS_INLINE] = ACTIONS(2742),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2742),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2742),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2742),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2742),
    [anon_sym_const] = ACTIONS(2742),
    [anon_sym_constexpr] = ACTIONS(2742),
    [anon_sym_volatile] = ACTIONS(2742),
    [anon_sym_restrict] = ACTIONS(2742),
    [anon_sym___restrict__] = ACTIONS(2742),
    [anon_sym__Atomic] = ACTIONS(2742),
    [anon_sym__Noreturn] = ACTIONS(2742),
    [anon_sym__Nonnull] = ACTIONS(2742),
    [anon_sym_nullable] = ACTIONS(2742),
    [anon_sym__Complex] = ACTIONS(2742),
    [anon_sym__Nullable] = ACTIONS(2742),
    [anon_sym__Nullable_result] = ACTIONS(2742),
    [anon_sym__Null_unspecified] = ACTIONS(2742),
    [anon_sym___autoreleasing] = ACTIONS(2742),
    [anon_sym___block] = ACTIONS(2742),
    [anon_sym___bridge] = ACTIONS(2742),
    [anon_sym___bridge_retained] = ACTIONS(2742),
    [anon_sym___bridge_transfer] = ACTIONS(2742),
    [anon_sym___complex] = ACTIONS(2742),
    [anon_sym___const] = ACTIONS(2742),
    [anon_sym___imag] = ACTIONS(2742),
    [anon_sym___kindof] = ACTIONS(2742),
    [anon_sym___nonnull] = ACTIONS(2742),
    [anon_sym___nullable] = ACTIONS(2742),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2742),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2742),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2742),
    [anon_sym___real] = ACTIONS(2742),
    [anon_sym___strong] = ACTIONS(2742),
    [anon_sym___unsafe_unretained] = ACTIONS(2742),
    [anon_sym___unused] = ACTIONS(2742),
    [anon_sym___weak] = ACTIONS(2742),
    [anon_sym_alignas] = ACTIONS(2742),
    [anon_sym__Alignas] = ACTIONS(2742),
    [sym_primitive_type] = ACTIONS(2742),
    [anon_sym_enum] = ACTIONS(2742),
    [anon_sym_struct] = ACTIONS(2742),
    [anon_sym_union] = ACTIONS(2742),
    [anon_sym_if] = ACTIONS(2742),
    [anon_sym_switch] = ACTIONS(2742),
    [anon_sym_case] = ACTIONS(2742),
    [anon_sym_default] = ACTIONS(2742),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_do] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2742),
    [anon_sym_in] = ACTIONS(2742),
    [anon_sym_return] = ACTIONS(2742),
    [anon_sym_break] = ACTIONS(2742),
    [anon_sym_continue] = ACTIONS(2742),
    [anon_sym_goto] = ACTIONS(2742),
    [anon_sym_DASH_DASH] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2744),
    [anon_sym_sizeof] = ACTIONS(2742),
    [anon_sym___alignof__] = ACTIONS(2742),
    [anon_sym___alignof] = ACTIONS(2742),
    [anon_sym__alignof] = ACTIONS(2742),
    [anon_sym_alignof] = ACTIONS(2742),
    [anon_sym__Alignof] = ACTIONS(2742),
    [anon_sym_offsetof] = ACTIONS(2742),
    [anon_sym__Generic] = ACTIONS(2742),
    [anon_sym_asm] = ACTIONS(2742),
    [anon_sym___asm__] = ACTIONS(2742),
    [anon_sym___asm] = ACTIONS(2742),
    [sym_number_literal] = ACTIONS(2744),
    [anon_sym_L_SQUOTE] = ACTIONS(2744),
    [anon_sym_u_SQUOTE] = ACTIONS(2744),
    [anon_sym_U_SQUOTE] = ACTIONS(2744),
    [anon_sym_u8_SQUOTE] = ACTIONS(2744),
    [anon_sym_SQUOTE] = ACTIONS(2744),
    [anon_sym_AT] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2744),
    [anon_sym_L_DQUOTE] = ACTIONS(2744),
    [anon_sym_u_DQUOTE] = ACTIONS(2744),
    [anon_sym_U_DQUOTE] = ACTIONS(2744),
    [anon_sym_u8_DQUOTE] = ACTIONS(2744),
    [sym_true] = ACTIONS(2742),
    [sym_false] = ACTIONS(2742),
    [anon_sym_NULL] = ACTIONS(2742),
    [anon_sym_nullptr] = ACTIONS(2742),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2742),
    [anon_sym___typeof] = ACTIONS(2742),
    [anon_sym_typeof] = ACTIONS(2742),
    [anon_sym_ATimport] = ACTIONS(2744),
    [aux_sym_preproc_undef_token1] = ACTIONS(2742),
    [anon_sym_POUND] = ACTIONS(2742),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2742),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2742),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2742),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2742),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2742),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2742),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2742),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2742),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2742),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2742),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2742),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2742),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2742),
    [anon_sym_API_AVAILABLE] = ACTIONS(2742),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2742),
    [anon_sym_API_DEPRECATED] = ACTIONS(2742),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2742),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2742),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2742),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2742),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2742),
    [anon_sym___deprecated_msg] = ACTIONS(2742),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2742),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2742),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2742),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2742),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2742),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2742),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2742),
    [anon_sym_ATprotocol] = ACTIONS(2744),
    [anon_sym_ATinterface] = ACTIONS(2744),
    [anon_sym_ATimplementation] = ACTIONS(2744),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2744),
    [anon_sym_ATtry] = ACTIONS(2744),
    [anon_sym___try] = ACTIONS(2742),
    [anon_sym_ATthrow] = ACTIONS(2744),
    [anon_sym_ATselector] = ACTIONS(2744),
    [anon_sym_ATavailable] = ACTIONS(2744),
    [anon_sym___builtin_available] = ACTIONS(2742),
    [anon_sym_va_arg] = ACTIONS(2742),
    [anon_sym_ATencode] = ACTIONS(2744),
    [anon_sym_ATsynchronized] = ACTIONS(2744),
    [anon_sym_BOOL] = ACTIONS(2742),
    [anon_sym_IMP] = ACTIONS(2742),
    [anon_sym_SEL] = ACTIONS(2742),
    [anon_sym_Class] = ACTIONS(2742),
    [anon_sym_id] = ACTIONS(2742),
  },
  [847] = {
    [sym_identifier] = ACTIONS(2746),
    [aux_sym_preproc_include_token1] = ACTIONS(2746),
    [aux_sym_preproc_include_token2] = ACTIONS(2746),
    [aux_sym_preproc_def_token1] = ACTIONS(2746),
    [aux_sym_preproc_if_token1] = ACTIONS(2746),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2746),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2746),
    [sym_preproc_directive] = ACTIONS(2746),
    [anon_sym_LPAREN2] = ACTIONS(2748),
    [anon_sym_BANG] = ACTIONS(2748),
    [anon_sym_TILDE] = ACTIONS(2748),
    [anon_sym_DASH] = ACTIONS(2746),
    [anon_sym_PLUS] = ACTIONS(2746),
    [anon_sym_STAR] = ACTIONS(2748),
    [anon_sym_CARET] = ACTIONS(2748),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_SEMI] = ACTIONS(2748),
    [anon_sym___extension__] = ACTIONS(2746),
    [anon_sym_typedef] = ACTIONS(2746),
    [anon_sym_extern] = ACTIONS(2746),
    [anon_sym___attribute__] = ACTIONS(2746),
    [anon_sym___attribute] = ACTIONS(2746),
    [anon_sym_noreturn] = ACTIONS(2746),
    [anon_sym_LBRACK] = ACTIONS(2748),
    [anon_sym___declspec] = ACTIONS(2746),
    [anon_sym___cdecl] = ACTIONS(2746),
    [anon_sym___clrcall] = ACTIONS(2746),
    [anon_sym___stdcall] = ACTIONS(2746),
    [anon_sym___fastcall] = ACTIONS(2746),
    [anon_sym___thiscall] = ACTIONS(2746),
    [anon_sym___vectorcall] = ACTIONS(2746),
    [anon_sym_LBRACE] = ACTIONS(2748),
    [anon_sym_RBRACE] = ACTIONS(2748),
    [anon_sym_signed] = ACTIONS(2746),
    [anon_sym_unsigned] = ACTIONS(2746),
    [anon_sym_long] = ACTIONS(2746),
    [anon_sym_short] = ACTIONS(2746),
    [anon_sym_static] = ACTIONS(2746),
    [anon_sym_ATautoreleasepool] = ACTIONS(2748),
    [anon_sym_auto] = ACTIONS(2746),
    [anon_sym_register] = ACTIONS(2746),
    [anon_sym_inline] = ACTIONS(2746),
    [anon_sym___inline] = ACTIONS(2746),
    [anon_sym___inline__] = ACTIONS(2746),
    [anon_sym___forceinline] = ACTIONS(2746),
    [anon_sym_thread_local] = ACTIONS(2746),
    [anon_sym___thread] = ACTIONS(2746),
    [anon_sym_CG_EXTERN] = ACTIONS(2746),
    [anon_sym_CG_INLINE] = ACTIONS(2746),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2746),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2746),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2746),
    [anon_sym_IBOutlet] = ACTIONS(2746),
    [anon_sym_IBInspectable] = ACTIONS(2746),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2746),
    [anon_sym_NS_INLINE] = ACTIONS(2746),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2746),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2746),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2746),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2746),
    [anon_sym_const] = ACTIONS(2746),
    [anon_sym_constexpr] = ACTIONS(2746),
    [anon_sym_volatile] = ACTIONS(2746),
    [anon_sym_restrict] = ACTIONS(2746),
    [anon_sym___restrict__] = ACTIONS(2746),
    [anon_sym__Atomic] = ACTIONS(2746),
    [anon_sym__Noreturn] = ACTIONS(2746),
    [anon_sym__Nonnull] = ACTIONS(2746),
    [anon_sym_nullable] = ACTIONS(2746),
    [anon_sym__Complex] = ACTIONS(2746),
    [anon_sym__Nullable] = ACTIONS(2746),
    [anon_sym__Nullable_result] = ACTIONS(2746),
    [anon_sym__Null_unspecified] = ACTIONS(2746),
    [anon_sym___autoreleasing] = ACTIONS(2746),
    [anon_sym___block] = ACTIONS(2746),
    [anon_sym___bridge] = ACTIONS(2746),
    [anon_sym___bridge_retained] = ACTIONS(2746),
    [anon_sym___bridge_transfer] = ACTIONS(2746),
    [anon_sym___complex] = ACTIONS(2746),
    [anon_sym___const] = ACTIONS(2746),
    [anon_sym___imag] = ACTIONS(2746),
    [anon_sym___kindof] = ACTIONS(2746),
    [anon_sym___nonnull] = ACTIONS(2746),
    [anon_sym___nullable] = ACTIONS(2746),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2746),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2746),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2746),
    [anon_sym___real] = ACTIONS(2746),
    [anon_sym___strong] = ACTIONS(2746),
    [anon_sym___unsafe_unretained] = ACTIONS(2746),
    [anon_sym___unused] = ACTIONS(2746),
    [anon_sym___weak] = ACTIONS(2746),
    [anon_sym_alignas] = ACTIONS(2746),
    [anon_sym__Alignas] = ACTIONS(2746),
    [sym_primitive_type] = ACTIONS(2746),
    [anon_sym_enum] = ACTIONS(2746),
    [anon_sym_struct] = ACTIONS(2746),
    [anon_sym_union] = ACTIONS(2746),
    [anon_sym_if] = ACTIONS(2746),
    [anon_sym_switch] = ACTIONS(2746),
    [anon_sym_case] = ACTIONS(2746),
    [anon_sym_default] = ACTIONS(2746),
    [anon_sym_while] = ACTIONS(2746),
    [anon_sym_do] = ACTIONS(2746),
    [anon_sym_for] = ACTIONS(2746),
    [anon_sym_in] = ACTIONS(2746),
    [anon_sym_return] = ACTIONS(2746),
    [anon_sym_break] = ACTIONS(2746),
    [anon_sym_continue] = ACTIONS(2746),
    [anon_sym_goto] = ACTIONS(2746),
    [anon_sym_DASH_DASH] = ACTIONS(2748),
    [anon_sym_PLUS_PLUS] = ACTIONS(2748),
    [anon_sym_sizeof] = ACTIONS(2746),
    [anon_sym___alignof__] = ACTIONS(2746),
    [anon_sym___alignof] = ACTIONS(2746),
    [anon_sym__alignof] = ACTIONS(2746),
    [anon_sym_alignof] = ACTIONS(2746),
    [anon_sym__Alignof] = ACTIONS(2746),
    [anon_sym_offsetof] = ACTIONS(2746),
    [anon_sym__Generic] = ACTIONS(2746),
    [anon_sym_asm] = ACTIONS(2746),
    [anon_sym___asm__] = ACTIONS(2746),
    [anon_sym___asm] = ACTIONS(2746),
    [sym_number_literal] = ACTIONS(2748),
    [anon_sym_L_SQUOTE] = ACTIONS(2748),
    [anon_sym_u_SQUOTE] = ACTIONS(2748),
    [anon_sym_U_SQUOTE] = ACTIONS(2748),
    [anon_sym_u8_SQUOTE] = ACTIONS(2748),
    [anon_sym_SQUOTE] = ACTIONS(2748),
    [anon_sym_AT] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2748),
    [anon_sym_L_DQUOTE] = ACTIONS(2748),
    [anon_sym_u_DQUOTE] = ACTIONS(2748),
    [anon_sym_U_DQUOTE] = ACTIONS(2748),
    [anon_sym_u8_DQUOTE] = ACTIONS(2748),
    [sym_true] = ACTIONS(2746),
    [sym_false] = ACTIONS(2746),
    [anon_sym_NULL] = ACTIONS(2746),
    [anon_sym_nullptr] = ACTIONS(2746),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2746),
    [anon_sym___typeof] = ACTIONS(2746),
    [anon_sym_typeof] = ACTIONS(2746),
    [anon_sym_ATimport] = ACTIONS(2748),
    [aux_sym_preproc_undef_token1] = ACTIONS(2746),
    [anon_sym_POUND] = ACTIONS(2746),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2746),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2746),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2746),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2746),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2746),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2746),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2746),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2746),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2746),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2746),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2746),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2746),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2746),
    [anon_sym_API_AVAILABLE] = ACTIONS(2746),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2746),
    [anon_sym_API_DEPRECATED] = ACTIONS(2746),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2746),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2746),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2746),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2746),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2746),
    [anon_sym___deprecated_msg] = ACTIONS(2746),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2746),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2746),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2746),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2746),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2746),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2746),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2746),
    [anon_sym_ATprotocol] = ACTIONS(2748),
    [anon_sym_ATinterface] = ACTIONS(2748),
    [anon_sym_ATimplementation] = ACTIONS(2748),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2748),
    [anon_sym_ATtry] = ACTIONS(2748),
    [anon_sym___try] = ACTIONS(2746),
    [anon_sym_ATthrow] = ACTIONS(2748),
    [anon_sym_ATselector] = ACTIONS(2748),
    [anon_sym_ATavailable] = ACTIONS(2748),
    [anon_sym___builtin_available] = ACTIONS(2746),
    [anon_sym_va_arg] = ACTIONS(2746),
    [anon_sym_ATencode] = ACTIONS(2748),
    [anon_sym_ATsynchronized] = ACTIONS(2748),
    [anon_sym_BOOL] = ACTIONS(2746),
    [anon_sym_IMP] = ACTIONS(2746),
    [anon_sym_SEL] = ACTIONS(2746),
    [anon_sym_Class] = ACTIONS(2746),
    [anon_sym_id] = ACTIONS(2746),
  },
  [848] = {
    [sym_identifier] = ACTIONS(2734),
    [aux_sym_preproc_include_token1] = ACTIONS(2734),
    [aux_sym_preproc_include_token2] = ACTIONS(2734),
    [aux_sym_preproc_def_token1] = ACTIONS(2734),
    [aux_sym_preproc_if_token1] = ACTIONS(2734),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2734),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2734),
    [sym_preproc_directive] = ACTIONS(2734),
    [anon_sym_LPAREN2] = ACTIONS(2736),
    [anon_sym_BANG] = ACTIONS(2736),
    [anon_sym_TILDE] = ACTIONS(2736),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_STAR] = ACTIONS(2736),
    [anon_sym_CARET] = ACTIONS(2736),
    [anon_sym_AMP] = ACTIONS(2736),
    [anon_sym_SEMI] = ACTIONS(2736),
    [anon_sym___extension__] = ACTIONS(2734),
    [anon_sym_typedef] = ACTIONS(2734),
    [anon_sym_extern] = ACTIONS(2734),
    [anon_sym___attribute__] = ACTIONS(2734),
    [anon_sym___attribute] = ACTIONS(2734),
    [anon_sym_noreturn] = ACTIONS(2734),
    [anon_sym_LBRACK] = ACTIONS(2736),
    [anon_sym___declspec] = ACTIONS(2734),
    [anon_sym___cdecl] = ACTIONS(2734),
    [anon_sym___clrcall] = ACTIONS(2734),
    [anon_sym___stdcall] = ACTIONS(2734),
    [anon_sym___fastcall] = ACTIONS(2734),
    [anon_sym___thiscall] = ACTIONS(2734),
    [anon_sym___vectorcall] = ACTIONS(2734),
    [anon_sym_LBRACE] = ACTIONS(2736),
    [anon_sym_RBRACE] = ACTIONS(2736),
    [anon_sym_signed] = ACTIONS(2734),
    [anon_sym_unsigned] = ACTIONS(2734),
    [anon_sym_long] = ACTIONS(2734),
    [anon_sym_short] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2734),
    [anon_sym_ATautoreleasepool] = ACTIONS(2736),
    [anon_sym_auto] = ACTIONS(2734),
    [anon_sym_register] = ACTIONS(2734),
    [anon_sym_inline] = ACTIONS(2734),
    [anon_sym___inline] = ACTIONS(2734),
    [anon_sym___inline__] = ACTIONS(2734),
    [anon_sym___forceinline] = ACTIONS(2734),
    [anon_sym_thread_local] = ACTIONS(2734),
    [anon_sym___thread] = ACTIONS(2734),
    [anon_sym_CG_EXTERN] = ACTIONS(2734),
    [anon_sym_CG_INLINE] = ACTIONS(2734),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2734),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2734),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2734),
    [anon_sym_IBOutlet] = ACTIONS(2734),
    [anon_sym_IBInspectable] = ACTIONS(2734),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2734),
    [anon_sym_NS_INLINE] = ACTIONS(2734),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2734),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2734),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2734),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2734),
    [anon_sym_const] = ACTIONS(2734),
    [anon_sym_constexpr] = ACTIONS(2734),
    [anon_sym_volatile] = ACTIONS(2734),
    [anon_sym_restrict] = ACTIONS(2734),
    [anon_sym___restrict__] = ACTIONS(2734),
    [anon_sym__Atomic] = ACTIONS(2734),
    [anon_sym__Noreturn] = ACTIONS(2734),
    [anon_sym__Nonnull] = ACTIONS(2734),
    [anon_sym_nullable] = ACTIONS(2734),
    [anon_sym__Complex] = ACTIONS(2734),
    [anon_sym__Nullable] = ACTIONS(2734),
    [anon_sym__Nullable_result] = ACTIONS(2734),
    [anon_sym__Null_unspecified] = ACTIONS(2734),
    [anon_sym___autoreleasing] = ACTIONS(2734),
    [anon_sym___block] = ACTIONS(2734),
    [anon_sym___bridge] = ACTIONS(2734),
    [anon_sym___bridge_retained] = ACTIONS(2734),
    [anon_sym___bridge_transfer] = ACTIONS(2734),
    [anon_sym___complex] = ACTIONS(2734),
    [anon_sym___const] = ACTIONS(2734),
    [anon_sym___imag] = ACTIONS(2734),
    [anon_sym___kindof] = ACTIONS(2734),
    [anon_sym___nonnull] = ACTIONS(2734),
    [anon_sym___nullable] = ACTIONS(2734),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2734),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2734),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2734),
    [anon_sym___real] = ACTIONS(2734),
    [anon_sym___strong] = ACTIONS(2734),
    [anon_sym___unsafe_unretained] = ACTIONS(2734),
    [anon_sym___unused] = ACTIONS(2734),
    [anon_sym___weak] = ACTIONS(2734),
    [anon_sym_alignas] = ACTIONS(2734),
    [anon_sym__Alignas] = ACTIONS(2734),
    [sym_primitive_type] = ACTIONS(2734),
    [anon_sym_enum] = ACTIONS(2734),
    [anon_sym_struct] = ACTIONS(2734),
    [anon_sym_union] = ACTIONS(2734),
    [anon_sym_if] = ACTIONS(2734),
    [anon_sym_switch] = ACTIONS(2734),
    [anon_sym_case] = ACTIONS(2734),
    [anon_sym_default] = ACTIONS(2734),
    [anon_sym_while] = ACTIONS(2734),
    [anon_sym_do] = ACTIONS(2734),
    [anon_sym_for] = ACTIONS(2734),
    [anon_sym_in] = ACTIONS(2734),
    [anon_sym_return] = ACTIONS(2734),
    [anon_sym_break] = ACTIONS(2734),
    [anon_sym_continue] = ACTIONS(2734),
    [anon_sym_goto] = ACTIONS(2734),
    [anon_sym_DASH_DASH] = ACTIONS(2736),
    [anon_sym_PLUS_PLUS] = ACTIONS(2736),
    [anon_sym_sizeof] = ACTIONS(2734),
    [anon_sym___alignof__] = ACTIONS(2734),
    [anon_sym___alignof] = ACTIONS(2734),
    [anon_sym__alignof] = ACTIONS(2734),
    [anon_sym_alignof] = ACTIONS(2734),
    [anon_sym__Alignof] = ACTIONS(2734),
    [anon_sym_offsetof] = ACTIONS(2734),
    [anon_sym__Generic] = ACTIONS(2734),
    [anon_sym_asm] = ACTIONS(2734),
    [anon_sym___asm__] = ACTIONS(2734),
    [anon_sym___asm] = ACTIONS(2734),
    [sym_number_literal] = ACTIONS(2736),
    [anon_sym_L_SQUOTE] = ACTIONS(2736),
    [anon_sym_u_SQUOTE] = ACTIONS(2736),
    [anon_sym_U_SQUOTE] = ACTIONS(2736),
    [anon_sym_u8_SQUOTE] = ACTIONS(2736),
    [anon_sym_SQUOTE] = ACTIONS(2736),
    [anon_sym_AT] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2736),
    [anon_sym_L_DQUOTE] = ACTIONS(2736),
    [anon_sym_u_DQUOTE] = ACTIONS(2736),
    [anon_sym_U_DQUOTE] = ACTIONS(2736),
    [anon_sym_u8_DQUOTE] = ACTIONS(2736),
    [sym_true] = ACTIONS(2734),
    [sym_false] = ACTIONS(2734),
    [anon_sym_NULL] = ACTIONS(2734),
    [anon_sym_nullptr] = ACTIONS(2734),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2734),
    [anon_sym___typeof] = ACTIONS(2734),
    [anon_sym_typeof] = ACTIONS(2734),
    [anon_sym_ATimport] = ACTIONS(2736),
    [aux_sym_preproc_undef_token1] = ACTIONS(2734),
    [anon_sym_POUND] = ACTIONS(2734),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2734),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2734),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2734),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2734),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2734),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2734),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2734),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2734),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2734),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2734),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2734),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2734),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2734),
    [anon_sym_API_AVAILABLE] = ACTIONS(2734),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2734),
    [anon_sym_API_DEPRECATED] = ACTIONS(2734),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2734),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2734),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2734),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2734),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2734),
    [anon_sym___deprecated_msg] = ACTIONS(2734),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2734),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2734),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2734),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2734),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2734),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2734),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2734),
    [anon_sym_ATprotocol] = ACTIONS(2736),
    [anon_sym_ATinterface] = ACTIONS(2736),
    [anon_sym_ATimplementation] = ACTIONS(2736),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2736),
    [anon_sym_ATtry] = ACTIONS(2736),
    [anon_sym___try] = ACTIONS(2734),
    [anon_sym_ATthrow] = ACTIONS(2736),
    [anon_sym_ATselector] = ACTIONS(2736),
    [anon_sym_ATavailable] = ACTIONS(2736),
    [anon_sym___builtin_available] = ACTIONS(2734),
    [anon_sym_va_arg] = ACTIONS(2734),
    [anon_sym_ATencode] = ACTIONS(2736),
    [anon_sym_ATsynchronized] = ACTIONS(2736),
    [anon_sym_BOOL] = ACTIONS(2734),
    [anon_sym_IMP] = ACTIONS(2734),
    [anon_sym_SEL] = ACTIONS(2734),
    [anon_sym_Class] = ACTIONS(2734),
    [anon_sym_id] = ACTIONS(2734),
  },
  [849] = {
    [sym_identifier] = ACTIONS(2786),
    [aux_sym_preproc_include_token1] = ACTIONS(2786),
    [aux_sym_preproc_include_token2] = ACTIONS(2786),
    [aux_sym_preproc_def_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2786),
    [sym_preproc_directive] = ACTIONS(2786),
    [anon_sym_LPAREN2] = ACTIONS(2788),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_TILDE] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_CARET] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2788),
    [anon_sym_SEMI] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym___attribute] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym___cdecl] = ACTIONS(2786),
    [anon_sym___clrcall] = ACTIONS(2786),
    [anon_sym___stdcall] = ACTIONS(2786),
    [anon_sym___fastcall] = ACTIONS(2786),
    [anon_sym___thiscall] = ACTIONS(2786),
    [anon_sym___vectorcall] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2788),
    [anon_sym_RBRACE] = ACTIONS(2788),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_ATautoreleasepool] = ACTIONS(2788),
    [anon_sym_auto] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_CG_EXTERN] = ACTIONS(2786),
    [anon_sym_CG_INLINE] = ACTIONS(2786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2786),
    [anon_sym_IBOutlet] = ACTIONS(2786),
    [anon_sym_IBInspectable] = ACTIONS(2786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2786),
    [anon_sym_NS_INLINE] = ACTIONS(2786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym__Nonnull] = ACTIONS(2786),
    [anon_sym_nullable] = ACTIONS(2786),
    [anon_sym__Complex] = ACTIONS(2786),
    [anon_sym__Nullable] = ACTIONS(2786),
    [anon_sym__Nullable_result] = ACTIONS(2786),
    [anon_sym__Null_unspecified] = ACTIONS(2786),
    [anon_sym___autoreleasing] = ACTIONS(2786),
    [anon_sym___block] = ACTIONS(2786),
    [anon_sym___bridge] = ACTIONS(2786),
    [anon_sym___bridge_retained] = ACTIONS(2786),
    [anon_sym___bridge_transfer] = ACTIONS(2786),
    [anon_sym___complex] = ACTIONS(2786),
    [anon_sym___const] = ACTIONS(2786),
    [anon_sym___imag] = ACTIONS(2786),
    [anon_sym___kindof] = ACTIONS(2786),
    [anon_sym___nonnull] = ACTIONS(2786),
    [anon_sym___nullable] = ACTIONS(2786),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2786),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2786),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2786),
    [anon_sym___real] = ACTIONS(2786),
    [anon_sym___strong] = ACTIONS(2786),
    [anon_sym___unsafe_unretained] = ACTIONS(2786),
    [anon_sym___unused] = ACTIONS(2786),
    [anon_sym___weak] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym__Alignas] = ACTIONS(2786),
    [sym_primitive_type] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [anon_sym_if] = ACTIONS(2786),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_case] = ACTIONS(2786),
    [anon_sym_default] = ACTIONS(2786),
    [anon_sym_while] = ACTIONS(2786),
    [anon_sym_do] = ACTIONS(2786),
    [anon_sym_for] = ACTIONS(2786),
    [anon_sym_in] = ACTIONS(2786),
    [anon_sym_return] = ACTIONS(2786),
    [anon_sym_break] = ACTIONS(2786),
    [anon_sym_continue] = ACTIONS(2786),
    [anon_sym_goto] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2788),
    [anon_sym_sizeof] = ACTIONS(2786),
    [anon_sym___alignof__] = ACTIONS(2786),
    [anon_sym___alignof] = ACTIONS(2786),
    [anon_sym__alignof] = ACTIONS(2786),
    [anon_sym_alignof] = ACTIONS(2786),
    [anon_sym__Alignof] = ACTIONS(2786),
    [anon_sym_offsetof] = ACTIONS(2786),
    [anon_sym__Generic] = ACTIONS(2786),
    [anon_sym_asm] = ACTIONS(2786),
    [anon_sym___asm__] = ACTIONS(2786),
    [anon_sym___asm] = ACTIONS(2786),
    [sym_number_literal] = ACTIONS(2788),
    [anon_sym_L_SQUOTE] = ACTIONS(2788),
    [anon_sym_u_SQUOTE] = ACTIONS(2788),
    [anon_sym_U_SQUOTE] = ACTIONS(2788),
    [anon_sym_u8_SQUOTE] = ACTIONS(2788),
    [anon_sym_SQUOTE] = ACTIONS(2788),
    [anon_sym_AT] = ACTIONS(2786),
    [anon_sym_DQUOTE] = ACTIONS(2788),
    [anon_sym_L_DQUOTE] = ACTIONS(2788),
    [anon_sym_u_DQUOTE] = ACTIONS(2788),
    [anon_sym_U_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8_DQUOTE] = ACTIONS(2788),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [anon_sym_NULL] = ACTIONS(2786),
    [anon_sym_nullptr] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2786),
    [anon_sym___typeof] = ACTIONS(2786),
    [anon_sym_typeof] = ACTIONS(2786),
    [anon_sym_ATimport] = ACTIONS(2788),
    [aux_sym_preproc_undef_token1] = ACTIONS(2786),
    [anon_sym_POUND] = ACTIONS(2786),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2786),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2786),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2786),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2786),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2786),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2786),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2786),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2786),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2786),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_API_AVAILABLE] = ACTIONS(2786),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_API_DEPRECATED] = ACTIONS(2786),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2786),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2786),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2786),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2786),
    [anon_sym___deprecated_msg] = ACTIONS(2786),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2786),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2786),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2786),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2786),
    [anon_sym_ATprotocol] = ACTIONS(2788),
    [anon_sym_ATinterface] = ACTIONS(2788),
    [anon_sym_ATimplementation] = ACTIONS(2788),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2788),
    [anon_sym_ATtry] = ACTIONS(2788),
    [anon_sym___try] = ACTIONS(2786),
    [anon_sym_ATthrow] = ACTIONS(2788),
    [anon_sym_ATselector] = ACTIONS(2788),
    [anon_sym_ATavailable] = ACTIONS(2788),
    [anon_sym___builtin_available] = ACTIONS(2786),
    [anon_sym_va_arg] = ACTIONS(2786),
    [anon_sym_ATencode] = ACTIONS(2788),
    [anon_sym_ATsynchronized] = ACTIONS(2788),
    [anon_sym_BOOL] = ACTIONS(2786),
    [anon_sym_IMP] = ACTIONS(2786),
    [anon_sym_SEL] = ACTIONS(2786),
    [anon_sym_Class] = ACTIONS(2786),
    [anon_sym_id] = ACTIONS(2786),
  },
  [850] = {
    [sym_identifier] = ACTIONS(2718),
    [aux_sym_preproc_include_token1] = ACTIONS(2718),
    [aux_sym_preproc_include_token2] = ACTIONS(2718),
    [aux_sym_preproc_def_token1] = ACTIONS(2718),
    [aux_sym_preproc_if_token1] = ACTIONS(2718),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2718),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2718),
    [sym_preproc_directive] = ACTIONS(2718),
    [anon_sym_LPAREN2] = ACTIONS(2720),
    [anon_sym_BANG] = ACTIONS(2720),
    [anon_sym_TILDE] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2718),
    [anon_sym_PLUS] = ACTIONS(2718),
    [anon_sym_STAR] = ACTIONS(2720),
    [anon_sym_CARET] = ACTIONS(2720),
    [anon_sym_AMP] = ACTIONS(2720),
    [anon_sym_SEMI] = ACTIONS(2720),
    [anon_sym___extension__] = ACTIONS(2718),
    [anon_sym_typedef] = ACTIONS(2718),
    [anon_sym_extern] = ACTIONS(2718),
    [anon_sym___attribute__] = ACTIONS(2718),
    [anon_sym___attribute] = ACTIONS(2718),
    [anon_sym_noreturn] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [anon_sym___declspec] = ACTIONS(2718),
    [anon_sym___cdecl] = ACTIONS(2718),
    [anon_sym___clrcall] = ACTIONS(2718),
    [anon_sym___stdcall] = ACTIONS(2718),
    [anon_sym___fastcall] = ACTIONS(2718),
    [anon_sym___thiscall] = ACTIONS(2718),
    [anon_sym___vectorcall] = ACTIONS(2718),
    [anon_sym_LBRACE] = ACTIONS(2720),
    [anon_sym_RBRACE] = ACTIONS(2720),
    [anon_sym_signed] = ACTIONS(2718),
    [anon_sym_unsigned] = ACTIONS(2718),
    [anon_sym_long] = ACTIONS(2718),
    [anon_sym_short] = ACTIONS(2718),
    [anon_sym_static] = ACTIONS(2718),
    [anon_sym_ATautoreleasepool] = ACTIONS(2720),
    [anon_sym_auto] = ACTIONS(2718),
    [anon_sym_register] = ACTIONS(2718),
    [anon_sym_inline] = ACTIONS(2718),
    [anon_sym___inline] = ACTIONS(2718),
    [anon_sym___inline__] = ACTIONS(2718),
    [anon_sym___forceinline] = ACTIONS(2718),
    [anon_sym_thread_local] = ACTIONS(2718),
    [anon_sym___thread] = ACTIONS(2718),
    [anon_sym_CG_EXTERN] = ACTIONS(2718),
    [anon_sym_CG_INLINE] = ACTIONS(2718),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2718),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2718),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2718),
    [anon_sym_IBOutlet] = ACTIONS(2718),
    [anon_sym_IBInspectable] = ACTIONS(2718),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2718),
    [anon_sym_NS_INLINE] = ACTIONS(2718),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2718),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2718),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2718),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2718),
    [anon_sym_const] = ACTIONS(2718),
    [anon_sym_constexpr] = ACTIONS(2718),
    [anon_sym_volatile] = ACTIONS(2718),
    [anon_sym_restrict] = ACTIONS(2718),
    [anon_sym___restrict__] = ACTIONS(2718),
    [anon_sym__Atomic] = ACTIONS(2718),
    [anon_sym__Noreturn] = ACTIONS(2718),
    [anon_sym__Nonnull] = ACTIONS(2718),
    [anon_sym_nullable] = ACTIONS(2718),
    [anon_sym__Complex] = ACTIONS(2718),
    [anon_sym__Nullable] = ACTIONS(2718),
    [anon_sym__Nullable_result] = ACTIONS(2718),
    [anon_sym__Null_unspecified] = ACTIONS(2718),
    [anon_sym___autoreleasing] = ACTIONS(2718),
    [anon_sym___block] = ACTIONS(2718),
    [anon_sym___bridge] = ACTIONS(2718),
    [anon_sym___bridge_retained] = ACTIONS(2718),
    [anon_sym___bridge_transfer] = ACTIONS(2718),
    [anon_sym___complex] = ACTIONS(2718),
    [anon_sym___const] = ACTIONS(2718),
    [anon_sym___imag] = ACTIONS(2718),
    [anon_sym___kindof] = ACTIONS(2718),
    [anon_sym___nonnull] = ACTIONS(2718),
    [anon_sym___nullable] = ACTIONS(2718),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2718),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2718),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2718),
    [anon_sym___real] = ACTIONS(2718),
    [anon_sym___strong] = ACTIONS(2718),
    [anon_sym___unsafe_unretained] = ACTIONS(2718),
    [anon_sym___unused] = ACTIONS(2718),
    [anon_sym___weak] = ACTIONS(2718),
    [anon_sym_alignas] = ACTIONS(2718),
    [anon_sym__Alignas] = ACTIONS(2718),
    [sym_primitive_type] = ACTIONS(2718),
    [anon_sym_enum] = ACTIONS(2718),
    [anon_sym_struct] = ACTIONS(2718),
    [anon_sym_union] = ACTIONS(2718),
    [anon_sym_if] = ACTIONS(2718),
    [anon_sym_switch] = ACTIONS(2718),
    [anon_sym_case] = ACTIONS(2718),
    [anon_sym_default] = ACTIONS(2718),
    [anon_sym_while] = ACTIONS(2718),
    [anon_sym_do] = ACTIONS(2718),
    [anon_sym_for] = ACTIONS(2718),
    [anon_sym_in] = ACTIONS(2718),
    [anon_sym_return] = ACTIONS(2718),
    [anon_sym_break] = ACTIONS(2718),
    [anon_sym_continue] = ACTIONS(2718),
    [anon_sym_goto] = ACTIONS(2718),
    [anon_sym_DASH_DASH] = ACTIONS(2720),
    [anon_sym_PLUS_PLUS] = ACTIONS(2720),
    [anon_sym_sizeof] = ACTIONS(2718),
    [anon_sym___alignof__] = ACTIONS(2718),
    [anon_sym___alignof] = ACTIONS(2718),
    [anon_sym__alignof] = ACTIONS(2718),
    [anon_sym_alignof] = ACTIONS(2718),
    [anon_sym__Alignof] = ACTIONS(2718),
    [anon_sym_offsetof] = ACTIONS(2718),
    [anon_sym__Generic] = ACTIONS(2718),
    [anon_sym_asm] = ACTIONS(2718),
    [anon_sym___asm__] = ACTIONS(2718),
    [anon_sym___asm] = ACTIONS(2718),
    [sym_number_literal] = ACTIONS(2720),
    [anon_sym_L_SQUOTE] = ACTIONS(2720),
    [anon_sym_u_SQUOTE] = ACTIONS(2720),
    [anon_sym_U_SQUOTE] = ACTIONS(2720),
    [anon_sym_u8_SQUOTE] = ACTIONS(2720),
    [anon_sym_SQUOTE] = ACTIONS(2720),
    [anon_sym_AT] = ACTIONS(2718),
    [anon_sym_DQUOTE] = ACTIONS(2720),
    [anon_sym_L_DQUOTE] = ACTIONS(2720),
    [anon_sym_u_DQUOTE] = ACTIONS(2720),
    [anon_sym_U_DQUOTE] = ACTIONS(2720),
    [anon_sym_u8_DQUOTE] = ACTIONS(2720),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2718),
    [anon_sym_nullptr] = ACTIONS(2718),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2718),
    [anon_sym___typeof] = ACTIONS(2718),
    [anon_sym_typeof] = ACTIONS(2718),
    [anon_sym_ATimport] = ACTIONS(2720),
    [aux_sym_preproc_undef_token1] = ACTIONS(2718),
    [anon_sym_POUND] = ACTIONS(2718),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2718),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2718),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2718),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2718),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2718),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2718),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2718),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2718),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2718),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_API_AVAILABLE] = ACTIONS(2718),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_API_DEPRECATED] = ACTIONS(2718),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2718),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2718),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2718),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2718),
    [anon_sym___deprecated_msg] = ACTIONS(2718),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2718),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2718),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2718),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2718),
    [anon_sym_ATprotocol] = ACTIONS(2720),
    [anon_sym_ATinterface] = ACTIONS(2720),
    [anon_sym_ATimplementation] = ACTIONS(2720),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2720),
    [anon_sym_ATtry] = ACTIONS(2720),
    [anon_sym___try] = ACTIONS(2718),
    [anon_sym_ATthrow] = ACTIONS(2720),
    [anon_sym_ATselector] = ACTIONS(2720),
    [anon_sym_ATavailable] = ACTIONS(2720),
    [anon_sym___builtin_available] = ACTIONS(2718),
    [anon_sym_va_arg] = ACTIONS(2718),
    [anon_sym_ATencode] = ACTIONS(2720),
    [anon_sym_ATsynchronized] = ACTIONS(2720),
    [anon_sym_BOOL] = ACTIONS(2718),
    [anon_sym_IMP] = ACTIONS(2718),
    [anon_sym_SEL] = ACTIONS(2718),
    [anon_sym_Class] = ACTIONS(2718),
    [anon_sym_id] = ACTIONS(2718),
  },
  [851] = {
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_include_token2] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_CARET] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym___attribute] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___cdecl] = ACTIONS(2750),
    [anon_sym___clrcall] = ACTIONS(2750),
    [anon_sym___stdcall] = ACTIONS(2750),
    [anon_sym___fastcall] = ACTIONS(2750),
    [anon_sym___thiscall] = ACTIONS(2750),
    [anon_sym___vectorcall] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_RBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_ATautoreleasepool] = ACTIONS(2752),
    [anon_sym_auto] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_CG_EXTERN] = ACTIONS(2750),
    [anon_sym_CG_INLINE] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2750),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2750),
    [anon_sym_IBOutlet] = ACTIONS(2750),
    [anon_sym_IBInspectable] = ACTIONS(2750),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2750),
    [anon_sym_NS_INLINE] = ACTIONS(2750),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2750),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2750),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym__Nonnull] = ACTIONS(2750),
    [anon_sym_nullable] = ACTIONS(2750),
    [anon_sym__Complex] = ACTIONS(2750),
    [anon_sym__Nullable] = ACTIONS(2750),
    [anon_sym__Nullable_result] = ACTIONS(2750),
    [anon_sym__Null_unspecified] = ACTIONS(2750),
    [anon_sym___autoreleasing] = ACTIONS(2750),
    [anon_sym___block] = ACTIONS(2750),
    [anon_sym___bridge] = ACTIONS(2750),
    [anon_sym___bridge_retained] = ACTIONS(2750),
    [anon_sym___bridge_transfer] = ACTIONS(2750),
    [anon_sym___complex] = ACTIONS(2750),
    [anon_sym___const] = ACTIONS(2750),
    [anon_sym___imag] = ACTIONS(2750),
    [anon_sym___kindof] = ACTIONS(2750),
    [anon_sym___nonnull] = ACTIONS(2750),
    [anon_sym___nullable] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2750),
    [anon_sym___real] = ACTIONS(2750),
    [anon_sym___strong] = ACTIONS(2750),
    [anon_sym___unsafe_unretained] = ACTIONS(2750),
    [anon_sym___unused] = ACTIONS(2750),
    [anon_sym___weak] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_in] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [anon_sym___asm] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_AT] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2750),
    [anon_sym___typeof] = ACTIONS(2750),
    [anon_sym_typeof] = ACTIONS(2750),
    [anon_sym_ATimport] = ACTIONS(2752),
    [aux_sym_preproc_undef_token1] = ACTIONS(2750),
    [anon_sym_POUND] = ACTIONS(2750),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2750),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2750),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2750),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_API_AVAILABLE] = ACTIONS(2750),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_API_DEPRECATED] = ACTIONS(2750),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym___deprecated_msg] = ACTIONS(2750),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2750),
    [anon_sym_ATprotocol] = ACTIONS(2752),
    [anon_sym_ATinterface] = ACTIONS(2752),
    [anon_sym_ATimplementation] = ACTIONS(2752),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2752),
    [anon_sym_ATtry] = ACTIONS(2752),
    [anon_sym___try] = ACTIONS(2750),
    [anon_sym_ATthrow] = ACTIONS(2752),
    [anon_sym_ATselector] = ACTIONS(2752),
    [anon_sym_ATavailable] = ACTIONS(2752),
    [anon_sym___builtin_available] = ACTIONS(2750),
    [anon_sym_va_arg] = ACTIONS(2750),
    [anon_sym_ATencode] = ACTIONS(2752),
    [anon_sym_ATsynchronized] = ACTIONS(2752),
    [anon_sym_BOOL] = ACTIONS(2750),
    [anon_sym_IMP] = ACTIONS(2750),
    [anon_sym_SEL] = ACTIONS(2750),
    [anon_sym_Class] = ACTIONS(2750),
    [anon_sym_id] = ACTIONS(2750),
  },
  [852] = {
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_include_token2] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_CARET] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym___attribute] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___cdecl] = ACTIONS(2750),
    [anon_sym___clrcall] = ACTIONS(2750),
    [anon_sym___stdcall] = ACTIONS(2750),
    [anon_sym___fastcall] = ACTIONS(2750),
    [anon_sym___thiscall] = ACTIONS(2750),
    [anon_sym___vectorcall] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_RBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_ATautoreleasepool] = ACTIONS(2752),
    [anon_sym_auto] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_CG_EXTERN] = ACTIONS(2750),
    [anon_sym_CG_INLINE] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2750),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2750),
    [anon_sym_IBOutlet] = ACTIONS(2750),
    [anon_sym_IBInspectable] = ACTIONS(2750),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2750),
    [anon_sym_NS_INLINE] = ACTIONS(2750),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2750),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2750),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym__Nonnull] = ACTIONS(2750),
    [anon_sym_nullable] = ACTIONS(2750),
    [anon_sym__Complex] = ACTIONS(2750),
    [anon_sym__Nullable] = ACTIONS(2750),
    [anon_sym__Nullable_result] = ACTIONS(2750),
    [anon_sym__Null_unspecified] = ACTIONS(2750),
    [anon_sym___autoreleasing] = ACTIONS(2750),
    [anon_sym___block] = ACTIONS(2750),
    [anon_sym___bridge] = ACTIONS(2750),
    [anon_sym___bridge_retained] = ACTIONS(2750),
    [anon_sym___bridge_transfer] = ACTIONS(2750),
    [anon_sym___complex] = ACTIONS(2750),
    [anon_sym___const] = ACTIONS(2750),
    [anon_sym___imag] = ACTIONS(2750),
    [anon_sym___kindof] = ACTIONS(2750),
    [anon_sym___nonnull] = ACTIONS(2750),
    [anon_sym___nullable] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2750),
    [anon_sym___real] = ACTIONS(2750),
    [anon_sym___strong] = ACTIONS(2750),
    [anon_sym___unsafe_unretained] = ACTIONS(2750),
    [anon_sym___unused] = ACTIONS(2750),
    [anon_sym___weak] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_in] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [anon_sym___asm] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_AT] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2750),
    [anon_sym___typeof] = ACTIONS(2750),
    [anon_sym_typeof] = ACTIONS(2750),
    [anon_sym_ATimport] = ACTIONS(2752),
    [aux_sym_preproc_undef_token1] = ACTIONS(2750),
    [anon_sym_POUND] = ACTIONS(2750),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2750),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2750),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2750),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_API_AVAILABLE] = ACTIONS(2750),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_API_DEPRECATED] = ACTIONS(2750),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym___deprecated_msg] = ACTIONS(2750),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2750),
    [anon_sym_ATprotocol] = ACTIONS(2752),
    [anon_sym_ATinterface] = ACTIONS(2752),
    [anon_sym_ATimplementation] = ACTIONS(2752),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2752),
    [anon_sym_ATtry] = ACTIONS(2752),
    [anon_sym___try] = ACTIONS(2750),
    [anon_sym_ATthrow] = ACTIONS(2752),
    [anon_sym_ATselector] = ACTIONS(2752),
    [anon_sym_ATavailable] = ACTIONS(2752),
    [anon_sym___builtin_available] = ACTIONS(2750),
    [anon_sym_va_arg] = ACTIONS(2750),
    [anon_sym_ATencode] = ACTIONS(2752),
    [anon_sym_ATsynchronized] = ACTIONS(2752),
    [anon_sym_BOOL] = ACTIONS(2750),
    [anon_sym_IMP] = ACTIONS(2750),
    [anon_sym_SEL] = ACTIONS(2750),
    [anon_sym_Class] = ACTIONS(2750),
    [anon_sym_id] = ACTIONS(2750),
  },
  [853] = {
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_include_token2] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_CARET] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym___attribute] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___cdecl] = ACTIONS(2750),
    [anon_sym___clrcall] = ACTIONS(2750),
    [anon_sym___stdcall] = ACTIONS(2750),
    [anon_sym___fastcall] = ACTIONS(2750),
    [anon_sym___thiscall] = ACTIONS(2750),
    [anon_sym___vectorcall] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_RBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_ATautoreleasepool] = ACTIONS(2752),
    [anon_sym_auto] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_CG_EXTERN] = ACTIONS(2750),
    [anon_sym_CG_INLINE] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2750),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2750),
    [anon_sym_IBOutlet] = ACTIONS(2750),
    [anon_sym_IBInspectable] = ACTIONS(2750),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2750),
    [anon_sym_NS_INLINE] = ACTIONS(2750),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2750),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2750),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym__Nonnull] = ACTIONS(2750),
    [anon_sym_nullable] = ACTIONS(2750),
    [anon_sym__Complex] = ACTIONS(2750),
    [anon_sym__Nullable] = ACTIONS(2750),
    [anon_sym__Nullable_result] = ACTIONS(2750),
    [anon_sym__Null_unspecified] = ACTIONS(2750),
    [anon_sym___autoreleasing] = ACTIONS(2750),
    [anon_sym___block] = ACTIONS(2750),
    [anon_sym___bridge] = ACTIONS(2750),
    [anon_sym___bridge_retained] = ACTIONS(2750),
    [anon_sym___bridge_transfer] = ACTIONS(2750),
    [anon_sym___complex] = ACTIONS(2750),
    [anon_sym___const] = ACTIONS(2750),
    [anon_sym___imag] = ACTIONS(2750),
    [anon_sym___kindof] = ACTIONS(2750),
    [anon_sym___nonnull] = ACTIONS(2750),
    [anon_sym___nullable] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2750),
    [anon_sym___real] = ACTIONS(2750),
    [anon_sym___strong] = ACTIONS(2750),
    [anon_sym___unsafe_unretained] = ACTIONS(2750),
    [anon_sym___unused] = ACTIONS(2750),
    [anon_sym___weak] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_in] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [anon_sym___asm] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_AT] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2750),
    [anon_sym___typeof] = ACTIONS(2750),
    [anon_sym_typeof] = ACTIONS(2750),
    [anon_sym_ATimport] = ACTIONS(2752),
    [aux_sym_preproc_undef_token1] = ACTIONS(2750),
    [anon_sym_POUND] = ACTIONS(2750),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2750),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2750),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2750),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_API_AVAILABLE] = ACTIONS(2750),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_API_DEPRECATED] = ACTIONS(2750),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym___deprecated_msg] = ACTIONS(2750),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2750),
    [anon_sym_ATprotocol] = ACTIONS(2752),
    [anon_sym_ATinterface] = ACTIONS(2752),
    [anon_sym_ATimplementation] = ACTIONS(2752),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2752),
    [anon_sym_ATtry] = ACTIONS(2752),
    [anon_sym___try] = ACTIONS(2750),
    [anon_sym_ATthrow] = ACTIONS(2752),
    [anon_sym_ATselector] = ACTIONS(2752),
    [anon_sym_ATavailable] = ACTIONS(2752),
    [anon_sym___builtin_available] = ACTIONS(2750),
    [anon_sym_va_arg] = ACTIONS(2750),
    [anon_sym_ATencode] = ACTIONS(2752),
    [anon_sym_ATsynchronized] = ACTIONS(2752),
    [anon_sym_BOOL] = ACTIONS(2750),
    [anon_sym_IMP] = ACTIONS(2750),
    [anon_sym_SEL] = ACTIONS(2750),
    [anon_sym_Class] = ACTIONS(2750),
    [anon_sym_id] = ACTIONS(2750),
  },
  [854] = {
    [sym_identifier] = ACTIONS(2754),
    [aux_sym_preproc_include_token1] = ACTIONS(2754),
    [aux_sym_preproc_include_token2] = ACTIONS(2754),
    [aux_sym_preproc_def_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2754),
    [sym_preproc_directive] = ACTIONS(2754),
    [anon_sym_LPAREN2] = ACTIONS(2756),
    [anon_sym_BANG] = ACTIONS(2756),
    [anon_sym_TILDE] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2754),
    [anon_sym_PLUS] = ACTIONS(2754),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_CARET] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2756),
    [anon_sym_SEMI] = ACTIONS(2756),
    [anon_sym___extension__] = ACTIONS(2754),
    [anon_sym_typedef] = ACTIONS(2754),
    [anon_sym_extern] = ACTIONS(2754),
    [anon_sym___attribute__] = ACTIONS(2754),
    [anon_sym___attribute] = ACTIONS(2754),
    [anon_sym_noreturn] = ACTIONS(2754),
    [anon_sym_LBRACK] = ACTIONS(2756),
    [anon_sym___declspec] = ACTIONS(2754),
    [anon_sym___cdecl] = ACTIONS(2754),
    [anon_sym___clrcall] = ACTIONS(2754),
    [anon_sym___stdcall] = ACTIONS(2754),
    [anon_sym___fastcall] = ACTIONS(2754),
    [anon_sym___thiscall] = ACTIONS(2754),
    [anon_sym___vectorcall] = ACTIONS(2754),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_RBRACE] = ACTIONS(2756),
    [anon_sym_signed] = ACTIONS(2754),
    [anon_sym_unsigned] = ACTIONS(2754),
    [anon_sym_long] = ACTIONS(2754),
    [anon_sym_short] = ACTIONS(2754),
    [anon_sym_static] = ACTIONS(2754),
    [anon_sym_ATautoreleasepool] = ACTIONS(2756),
    [anon_sym_auto] = ACTIONS(2754),
    [anon_sym_register] = ACTIONS(2754),
    [anon_sym_inline] = ACTIONS(2754),
    [anon_sym___inline] = ACTIONS(2754),
    [anon_sym___inline__] = ACTIONS(2754),
    [anon_sym___forceinline] = ACTIONS(2754),
    [anon_sym_thread_local] = ACTIONS(2754),
    [anon_sym___thread] = ACTIONS(2754),
    [anon_sym_CG_EXTERN] = ACTIONS(2754),
    [anon_sym_CG_INLINE] = ACTIONS(2754),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2754),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2754),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2754),
    [anon_sym_IBOutlet] = ACTIONS(2754),
    [anon_sym_IBInspectable] = ACTIONS(2754),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2754),
    [anon_sym_NS_INLINE] = ACTIONS(2754),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2754),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2754),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2754),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2754),
    [anon_sym_const] = ACTIONS(2754),
    [anon_sym_constexpr] = ACTIONS(2754),
    [anon_sym_volatile] = ACTIONS(2754),
    [anon_sym_restrict] = ACTIONS(2754),
    [anon_sym___restrict__] = ACTIONS(2754),
    [anon_sym__Atomic] = ACTIONS(2754),
    [anon_sym__Noreturn] = ACTIONS(2754),
    [anon_sym__Nonnull] = ACTIONS(2754),
    [anon_sym_nullable] = ACTIONS(2754),
    [anon_sym__Complex] = ACTIONS(2754),
    [anon_sym__Nullable] = ACTIONS(2754),
    [anon_sym__Nullable_result] = ACTIONS(2754),
    [anon_sym__Null_unspecified] = ACTIONS(2754),
    [anon_sym___autoreleasing] = ACTIONS(2754),
    [anon_sym___block] = ACTIONS(2754),
    [anon_sym___bridge] = ACTIONS(2754),
    [anon_sym___bridge_retained] = ACTIONS(2754),
    [anon_sym___bridge_transfer] = ACTIONS(2754),
    [anon_sym___complex] = ACTIONS(2754),
    [anon_sym___const] = ACTIONS(2754),
    [anon_sym___imag] = ACTIONS(2754),
    [anon_sym___kindof] = ACTIONS(2754),
    [anon_sym___nonnull] = ACTIONS(2754),
    [anon_sym___nullable] = ACTIONS(2754),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2754),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2754),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2754),
    [anon_sym___real] = ACTIONS(2754),
    [anon_sym___strong] = ACTIONS(2754),
    [anon_sym___unsafe_unretained] = ACTIONS(2754),
    [anon_sym___unused] = ACTIONS(2754),
    [anon_sym___weak] = ACTIONS(2754),
    [anon_sym_alignas] = ACTIONS(2754),
    [anon_sym__Alignas] = ACTIONS(2754),
    [sym_primitive_type] = ACTIONS(2754),
    [anon_sym_enum] = ACTIONS(2754),
    [anon_sym_struct] = ACTIONS(2754),
    [anon_sym_union] = ACTIONS(2754),
    [anon_sym_if] = ACTIONS(2754),
    [anon_sym_switch] = ACTIONS(2754),
    [anon_sym_case] = ACTIONS(2754),
    [anon_sym_default] = ACTIONS(2754),
    [anon_sym_while] = ACTIONS(2754),
    [anon_sym_do] = ACTIONS(2754),
    [anon_sym_for] = ACTIONS(2754),
    [anon_sym_in] = ACTIONS(2754),
    [anon_sym_return] = ACTIONS(2754),
    [anon_sym_break] = ACTIONS(2754),
    [anon_sym_continue] = ACTIONS(2754),
    [anon_sym_goto] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2756),
    [anon_sym_sizeof] = ACTIONS(2754),
    [anon_sym___alignof__] = ACTIONS(2754),
    [anon_sym___alignof] = ACTIONS(2754),
    [anon_sym__alignof] = ACTIONS(2754),
    [anon_sym_alignof] = ACTIONS(2754),
    [anon_sym__Alignof] = ACTIONS(2754),
    [anon_sym_offsetof] = ACTIONS(2754),
    [anon_sym__Generic] = ACTIONS(2754),
    [anon_sym_asm] = ACTIONS(2754),
    [anon_sym___asm__] = ACTIONS(2754),
    [anon_sym___asm] = ACTIONS(2754),
    [sym_number_literal] = ACTIONS(2756),
    [anon_sym_L_SQUOTE] = ACTIONS(2756),
    [anon_sym_u_SQUOTE] = ACTIONS(2756),
    [anon_sym_U_SQUOTE] = ACTIONS(2756),
    [anon_sym_u8_SQUOTE] = ACTIONS(2756),
    [anon_sym_SQUOTE] = ACTIONS(2756),
    [anon_sym_AT] = ACTIONS(2754),
    [anon_sym_DQUOTE] = ACTIONS(2756),
    [anon_sym_L_DQUOTE] = ACTIONS(2756),
    [anon_sym_u_DQUOTE] = ACTIONS(2756),
    [anon_sym_U_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8_DQUOTE] = ACTIONS(2756),
    [sym_true] = ACTIONS(2754),
    [sym_false] = ACTIONS(2754),
    [anon_sym_NULL] = ACTIONS(2754),
    [anon_sym_nullptr] = ACTIONS(2754),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2754),
    [anon_sym___typeof] = ACTIONS(2754),
    [anon_sym_typeof] = ACTIONS(2754),
    [anon_sym_ATimport] = ACTIONS(2756),
    [aux_sym_preproc_undef_token1] = ACTIONS(2754),
    [anon_sym_POUND] = ACTIONS(2754),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2754),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2754),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2754),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2754),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2754),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2754),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2754),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2754),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2754),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2754),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2754),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2754),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2754),
    [anon_sym_API_AVAILABLE] = ACTIONS(2754),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2754),
    [anon_sym_API_DEPRECATED] = ACTIONS(2754),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2754),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2754),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2754),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2754),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2754),
    [anon_sym___deprecated_msg] = ACTIONS(2754),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2754),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2754),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2754),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2754),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2754),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2754),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2754),
    [anon_sym_ATprotocol] = ACTIONS(2756),
    [anon_sym_ATinterface] = ACTIONS(2756),
    [anon_sym_ATimplementation] = ACTIONS(2756),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2756),
    [anon_sym_ATtry] = ACTIONS(2756),
    [anon_sym___try] = ACTIONS(2754),
    [anon_sym_ATthrow] = ACTIONS(2756),
    [anon_sym_ATselector] = ACTIONS(2756),
    [anon_sym_ATavailable] = ACTIONS(2756),
    [anon_sym___builtin_available] = ACTIONS(2754),
    [anon_sym_va_arg] = ACTIONS(2754),
    [anon_sym_ATencode] = ACTIONS(2756),
    [anon_sym_ATsynchronized] = ACTIONS(2756),
    [anon_sym_BOOL] = ACTIONS(2754),
    [anon_sym_IMP] = ACTIONS(2754),
    [anon_sym_SEL] = ACTIONS(2754),
    [anon_sym_Class] = ACTIONS(2754),
    [anon_sym_id] = ACTIONS(2754),
  },
  [855] = {
    [sym_identifier] = ACTIONS(2758),
    [aux_sym_preproc_include_token1] = ACTIONS(2758),
    [aux_sym_preproc_include_token2] = ACTIONS(2758),
    [aux_sym_preproc_def_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token1] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2758),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(2760),
    [anon_sym_BANG] = ACTIONS(2760),
    [anon_sym_TILDE] = ACTIONS(2760),
    [anon_sym_DASH] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2758),
    [anon_sym_STAR] = ACTIONS(2760),
    [anon_sym_CARET] = ACTIONS(2760),
    [anon_sym_AMP] = ACTIONS(2760),
    [anon_sym_SEMI] = ACTIONS(2760),
    [anon_sym___extension__] = ACTIONS(2758),
    [anon_sym_typedef] = ACTIONS(2758),
    [anon_sym_extern] = ACTIONS(2758),
    [anon_sym___attribute__] = ACTIONS(2758),
    [anon_sym___attribute] = ACTIONS(2758),
    [anon_sym_noreturn] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(2760),
    [anon_sym___declspec] = ACTIONS(2758),
    [anon_sym___cdecl] = ACTIONS(2758),
    [anon_sym___clrcall] = ACTIONS(2758),
    [anon_sym___stdcall] = ACTIONS(2758),
    [anon_sym___fastcall] = ACTIONS(2758),
    [anon_sym___thiscall] = ACTIONS(2758),
    [anon_sym___vectorcall] = ACTIONS(2758),
    [anon_sym_LBRACE] = ACTIONS(2760),
    [anon_sym_RBRACE] = ACTIONS(2760),
    [anon_sym_signed] = ACTIONS(2758),
    [anon_sym_unsigned] = ACTIONS(2758),
    [anon_sym_long] = ACTIONS(2758),
    [anon_sym_short] = ACTIONS(2758),
    [anon_sym_static] = ACTIONS(2758),
    [anon_sym_ATautoreleasepool] = ACTIONS(2760),
    [anon_sym_auto] = ACTIONS(2758),
    [anon_sym_register] = ACTIONS(2758),
    [anon_sym_inline] = ACTIONS(2758),
    [anon_sym___inline] = ACTIONS(2758),
    [anon_sym___inline__] = ACTIONS(2758),
    [anon_sym___forceinline] = ACTIONS(2758),
    [anon_sym_thread_local] = ACTIONS(2758),
    [anon_sym___thread] = ACTIONS(2758),
    [anon_sym_CG_EXTERN] = ACTIONS(2758),
    [anon_sym_CG_INLINE] = ACTIONS(2758),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2758),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2758),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2758),
    [anon_sym_IBOutlet] = ACTIONS(2758),
    [anon_sym_IBInspectable] = ACTIONS(2758),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2758),
    [anon_sym_NS_INLINE] = ACTIONS(2758),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2758),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2758),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2758),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2758),
    [anon_sym_const] = ACTIONS(2758),
    [anon_sym_constexpr] = ACTIONS(2758),
    [anon_sym_volatile] = ACTIONS(2758),
    [anon_sym_restrict] = ACTIONS(2758),
    [anon_sym___restrict__] = ACTIONS(2758),
    [anon_sym__Atomic] = ACTIONS(2758),
    [anon_sym__Noreturn] = ACTIONS(2758),
    [anon_sym__Nonnull] = ACTIONS(2758),
    [anon_sym_nullable] = ACTIONS(2758),
    [anon_sym__Complex] = ACTIONS(2758),
    [anon_sym__Nullable] = ACTIONS(2758),
    [anon_sym__Nullable_result] = ACTIONS(2758),
    [anon_sym__Null_unspecified] = ACTIONS(2758),
    [anon_sym___autoreleasing] = ACTIONS(2758),
    [anon_sym___block] = ACTIONS(2758),
    [anon_sym___bridge] = ACTIONS(2758),
    [anon_sym___bridge_retained] = ACTIONS(2758),
    [anon_sym___bridge_transfer] = ACTIONS(2758),
    [anon_sym___complex] = ACTIONS(2758),
    [anon_sym___const] = ACTIONS(2758),
    [anon_sym___imag] = ACTIONS(2758),
    [anon_sym___kindof] = ACTIONS(2758),
    [anon_sym___nonnull] = ACTIONS(2758),
    [anon_sym___nullable] = ACTIONS(2758),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2758),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2758),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2758),
    [anon_sym___real] = ACTIONS(2758),
    [anon_sym___strong] = ACTIONS(2758),
    [anon_sym___unsafe_unretained] = ACTIONS(2758),
    [anon_sym___unused] = ACTIONS(2758),
    [anon_sym___weak] = ACTIONS(2758),
    [anon_sym_alignas] = ACTIONS(2758),
    [anon_sym__Alignas] = ACTIONS(2758),
    [sym_primitive_type] = ACTIONS(2758),
    [anon_sym_enum] = ACTIONS(2758),
    [anon_sym_struct] = ACTIONS(2758),
    [anon_sym_union] = ACTIONS(2758),
    [anon_sym_if] = ACTIONS(2758),
    [anon_sym_switch] = ACTIONS(2758),
    [anon_sym_case] = ACTIONS(2758),
    [anon_sym_default] = ACTIONS(2758),
    [anon_sym_while] = ACTIONS(2758),
    [anon_sym_do] = ACTIONS(2758),
    [anon_sym_for] = ACTIONS(2758),
    [anon_sym_in] = ACTIONS(2758),
    [anon_sym_return] = ACTIONS(2758),
    [anon_sym_break] = ACTIONS(2758),
    [anon_sym_continue] = ACTIONS(2758),
    [anon_sym_goto] = ACTIONS(2758),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(2758),
    [anon_sym___alignof__] = ACTIONS(2758),
    [anon_sym___alignof] = ACTIONS(2758),
    [anon_sym__alignof] = ACTIONS(2758),
    [anon_sym_alignof] = ACTIONS(2758),
    [anon_sym__Alignof] = ACTIONS(2758),
    [anon_sym_offsetof] = ACTIONS(2758),
    [anon_sym__Generic] = ACTIONS(2758),
    [anon_sym_asm] = ACTIONS(2758),
    [anon_sym___asm__] = ACTIONS(2758),
    [anon_sym___asm] = ACTIONS(2758),
    [sym_number_literal] = ACTIONS(2760),
    [anon_sym_L_SQUOTE] = ACTIONS(2760),
    [anon_sym_u_SQUOTE] = ACTIONS(2760),
    [anon_sym_U_SQUOTE] = ACTIONS(2760),
    [anon_sym_u8_SQUOTE] = ACTIONS(2760),
    [anon_sym_SQUOTE] = ACTIONS(2760),
    [anon_sym_AT] = ACTIONS(2758),
    [anon_sym_DQUOTE] = ACTIONS(2760),
    [anon_sym_L_DQUOTE] = ACTIONS(2760),
    [anon_sym_u_DQUOTE] = ACTIONS(2760),
    [anon_sym_U_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8_DQUOTE] = ACTIONS(2760),
    [sym_true] = ACTIONS(2758),
    [sym_false] = ACTIONS(2758),
    [anon_sym_NULL] = ACTIONS(2758),
    [anon_sym_nullptr] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2758),
    [anon_sym___typeof] = ACTIONS(2758),
    [anon_sym_typeof] = ACTIONS(2758),
    [anon_sym_ATimport] = ACTIONS(2760),
    [aux_sym_preproc_undef_token1] = ACTIONS(2758),
    [anon_sym_POUND] = ACTIONS(2758),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2758),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2758),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2758),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2758),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2758),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2758),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2758),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2758),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2758),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2758),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2758),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2758),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2758),
    [anon_sym_API_AVAILABLE] = ACTIONS(2758),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2758),
    [anon_sym_API_DEPRECATED] = ACTIONS(2758),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2758),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2758),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2758),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2758),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2758),
    [anon_sym___deprecated_msg] = ACTIONS(2758),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2758),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2758),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2758),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2758),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2758),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2758),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2758),
    [anon_sym_ATprotocol] = ACTIONS(2760),
    [anon_sym_ATinterface] = ACTIONS(2760),
    [anon_sym_ATimplementation] = ACTIONS(2760),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2760),
    [anon_sym_ATtry] = ACTIONS(2760),
    [anon_sym___try] = ACTIONS(2758),
    [anon_sym_ATthrow] = ACTIONS(2760),
    [anon_sym_ATselector] = ACTIONS(2760),
    [anon_sym_ATavailable] = ACTIONS(2760),
    [anon_sym___builtin_available] = ACTIONS(2758),
    [anon_sym_va_arg] = ACTIONS(2758),
    [anon_sym_ATencode] = ACTIONS(2760),
    [anon_sym_ATsynchronized] = ACTIONS(2760),
    [anon_sym_BOOL] = ACTIONS(2758),
    [anon_sym_IMP] = ACTIONS(2758),
    [anon_sym_SEL] = ACTIONS(2758),
    [anon_sym_Class] = ACTIONS(2758),
    [anon_sym_id] = ACTIONS(2758),
  },
  [856] = {
    [sym_identifier] = ACTIONS(2762),
    [aux_sym_preproc_include_token1] = ACTIONS(2762),
    [aux_sym_preproc_include_token2] = ACTIONS(2762),
    [aux_sym_preproc_def_token1] = ACTIONS(2762),
    [aux_sym_preproc_if_token1] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2762),
    [sym_preproc_directive] = ACTIONS(2762),
    [anon_sym_LPAREN2] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(2764),
    [anon_sym_TILDE] = ACTIONS(2764),
    [anon_sym_DASH] = ACTIONS(2762),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_STAR] = ACTIONS(2764),
    [anon_sym_CARET] = ACTIONS(2764),
    [anon_sym_AMP] = ACTIONS(2764),
    [anon_sym_SEMI] = ACTIONS(2764),
    [anon_sym___extension__] = ACTIONS(2762),
    [anon_sym_typedef] = ACTIONS(2762),
    [anon_sym_extern] = ACTIONS(2762),
    [anon_sym___attribute__] = ACTIONS(2762),
    [anon_sym___attribute] = ACTIONS(2762),
    [anon_sym_noreturn] = ACTIONS(2762),
    [anon_sym_LBRACK] = ACTIONS(2764),
    [anon_sym___declspec] = ACTIONS(2762),
    [anon_sym___cdecl] = ACTIONS(2762),
    [anon_sym___clrcall] = ACTIONS(2762),
    [anon_sym___stdcall] = ACTIONS(2762),
    [anon_sym___fastcall] = ACTIONS(2762),
    [anon_sym___thiscall] = ACTIONS(2762),
    [anon_sym___vectorcall] = ACTIONS(2762),
    [anon_sym_LBRACE] = ACTIONS(2764),
    [anon_sym_RBRACE] = ACTIONS(2764),
    [anon_sym_signed] = ACTIONS(2762),
    [anon_sym_unsigned] = ACTIONS(2762),
    [anon_sym_long] = ACTIONS(2762),
    [anon_sym_short] = ACTIONS(2762),
    [anon_sym_static] = ACTIONS(2762),
    [anon_sym_ATautoreleasepool] = ACTIONS(2764),
    [anon_sym_auto] = ACTIONS(2762),
    [anon_sym_register] = ACTIONS(2762),
    [anon_sym_inline] = ACTIONS(2762),
    [anon_sym___inline] = ACTIONS(2762),
    [anon_sym___inline__] = ACTIONS(2762),
    [anon_sym___forceinline] = ACTIONS(2762),
    [anon_sym_thread_local] = ACTIONS(2762),
    [anon_sym___thread] = ACTIONS(2762),
    [anon_sym_CG_EXTERN] = ACTIONS(2762),
    [anon_sym_CG_INLINE] = ACTIONS(2762),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2762),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2762),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2762),
    [anon_sym_IBOutlet] = ACTIONS(2762),
    [anon_sym_IBInspectable] = ACTIONS(2762),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2762),
    [anon_sym_NS_INLINE] = ACTIONS(2762),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2762),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2762),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2762),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2762),
    [anon_sym_constexpr] = ACTIONS(2762),
    [anon_sym_volatile] = ACTIONS(2762),
    [anon_sym_restrict] = ACTIONS(2762),
    [anon_sym___restrict__] = ACTIONS(2762),
    [anon_sym__Atomic] = ACTIONS(2762),
    [anon_sym__Noreturn] = ACTIONS(2762),
    [anon_sym__Nonnull] = ACTIONS(2762),
    [anon_sym_nullable] = ACTIONS(2762),
    [anon_sym__Complex] = ACTIONS(2762),
    [anon_sym__Nullable] = ACTIONS(2762),
    [anon_sym__Nullable_result] = ACTIONS(2762),
    [anon_sym__Null_unspecified] = ACTIONS(2762),
    [anon_sym___autoreleasing] = ACTIONS(2762),
    [anon_sym___block] = ACTIONS(2762),
    [anon_sym___bridge] = ACTIONS(2762),
    [anon_sym___bridge_retained] = ACTIONS(2762),
    [anon_sym___bridge_transfer] = ACTIONS(2762),
    [anon_sym___complex] = ACTIONS(2762),
    [anon_sym___const] = ACTIONS(2762),
    [anon_sym___imag] = ACTIONS(2762),
    [anon_sym___kindof] = ACTIONS(2762),
    [anon_sym___nonnull] = ACTIONS(2762),
    [anon_sym___nullable] = ACTIONS(2762),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2762),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2762),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2762),
    [anon_sym___real] = ACTIONS(2762),
    [anon_sym___strong] = ACTIONS(2762),
    [anon_sym___unsafe_unretained] = ACTIONS(2762),
    [anon_sym___unused] = ACTIONS(2762),
    [anon_sym___weak] = ACTIONS(2762),
    [anon_sym_alignas] = ACTIONS(2762),
    [anon_sym__Alignas] = ACTIONS(2762),
    [sym_primitive_type] = ACTIONS(2762),
    [anon_sym_enum] = ACTIONS(2762),
    [anon_sym_struct] = ACTIONS(2762),
    [anon_sym_union] = ACTIONS(2762),
    [anon_sym_if] = ACTIONS(2762),
    [anon_sym_switch] = ACTIONS(2762),
    [anon_sym_case] = ACTIONS(2762),
    [anon_sym_default] = ACTIONS(2762),
    [anon_sym_while] = ACTIONS(2762),
    [anon_sym_do] = ACTIONS(2762),
    [anon_sym_for] = ACTIONS(2762),
    [anon_sym_in] = ACTIONS(2762),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_break] = ACTIONS(2762),
    [anon_sym_continue] = ACTIONS(2762),
    [anon_sym_goto] = ACTIONS(2762),
    [anon_sym_DASH_DASH] = ACTIONS(2764),
    [anon_sym_PLUS_PLUS] = ACTIONS(2764),
    [anon_sym_sizeof] = ACTIONS(2762),
    [anon_sym___alignof__] = ACTIONS(2762),
    [anon_sym___alignof] = ACTIONS(2762),
    [anon_sym__alignof] = ACTIONS(2762),
    [anon_sym_alignof] = ACTIONS(2762),
    [anon_sym__Alignof] = ACTIONS(2762),
    [anon_sym_offsetof] = ACTIONS(2762),
    [anon_sym__Generic] = ACTIONS(2762),
    [anon_sym_asm] = ACTIONS(2762),
    [anon_sym___asm__] = ACTIONS(2762),
    [anon_sym___asm] = ACTIONS(2762),
    [sym_number_literal] = ACTIONS(2764),
    [anon_sym_L_SQUOTE] = ACTIONS(2764),
    [anon_sym_u_SQUOTE] = ACTIONS(2764),
    [anon_sym_U_SQUOTE] = ACTIONS(2764),
    [anon_sym_u8_SQUOTE] = ACTIONS(2764),
    [anon_sym_SQUOTE] = ACTIONS(2764),
    [anon_sym_AT] = ACTIONS(2762),
    [anon_sym_DQUOTE] = ACTIONS(2764),
    [anon_sym_L_DQUOTE] = ACTIONS(2764),
    [anon_sym_u_DQUOTE] = ACTIONS(2764),
    [anon_sym_U_DQUOTE] = ACTIONS(2764),
    [anon_sym_u8_DQUOTE] = ACTIONS(2764),
    [sym_true] = ACTIONS(2762),
    [sym_false] = ACTIONS(2762),
    [anon_sym_NULL] = ACTIONS(2762),
    [anon_sym_nullptr] = ACTIONS(2762),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2762),
    [anon_sym___typeof] = ACTIONS(2762),
    [anon_sym_typeof] = ACTIONS(2762),
    [anon_sym_ATimport] = ACTIONS(2764),
    [aux_sym_preproc_undef_token1] = ACTIONS(2762),
    [anon_sym_POUND] = ACTIONS(2762),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2762),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2762),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2762),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2762),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2762),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2762),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2762),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2762),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2762),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2762),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2762),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2762),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2762),
    [anon_sym_API_AVAILABLE] = ACTIONS(2762),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2762),
    [anon_sym_API_DEPRECATED] = ACTIONS(2762),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2762),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2762),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2762),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2762),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2762),
    [anon_sym___deprecated_msg] = ACTIONS(2762),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2762),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2762),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2762),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2762),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2762),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2762),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2762),
    [anon_sym_ATprotocol] = ACTIONS(2764),
    [anon_sym_ATinterface] = ACTIONS(2764),
    [anon_sym_ATimplementation] = ACTIONS(2764),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2764),
    [anon_sym_ATtry] = ACTIONS(2764),
    [anon_sym___try] = ACTIONS(2762),
    [anon_sym_ATthrow] = ACTIONS(2764),
    [anon_sym_ATselector] = ACTIONS(2764),
    [anon_sym_ATavailable] = ACTIONS(2764),
    [anon_sym___builtin_available] = ACTIONS(2762),
    [anon_sym_va_arg] = ACTIONS(2762),
    [anon_sym_ATencode] = ACTIONS(2764),
    [anon_sym_ATsynchronized] = ACTIONS(2764),
    [anon_sym_BOOL] = ACTIONS(2762),
    [anon_sym_IMP] = ACTIONS(2762),
    [anon_sym_SEL] = ACTIONS(2762),
    [anon_sym_Class] = ACTIONS(2762),
    [anon_sym_id] = ACTIONS(2762),
  },
  [857] = {
    [sym_identifier] = ACTIONS(2572),
    [aux_sym_preproc_include_token1] = ACTIONS(2572),
    [aux_sym_preproc_include_token2] = ACTIONS(2572),
    [aux_sym_preproc_def_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2572),
    [sym_preproc_directive] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_CARET] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym___extension__] = ACTIONS(2572),
    [anon_sym_typedef] = ACTIONS(2572),
    [anon_sym_extern] = ACTIONS(2572),
    [anon_sym___attribute__] = ACTIONS(2572),
    [anon_sym___attribute] = ACTIONS(2572),
    [anon_sym_noreturn] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym___declspec] = ACTIONS(2572),
    [anon_sym___cdecl] = ACTIONS(2572),
    [anon_sym___clrcall] = ACTIONS(2572),
    [anon_sym___stdcall] = ACTIONS(2572),
    [anon_sym___fastcall] = ACTIONS(2572),
    [anon_sym___thiscall] = ACTIONS(2572),
    [anon_sym___vectorcall] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2574),
    [anon_sym_RBRACE] = ACTIONS(2574),
    [anon_sym_signed] = ACTIONS(2572),
    [anon_sym_unsigned] = ACTIONS(2572),
    [anon_sym_long] = ACTIONS(2572),
    [anon_sym_short] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_ATautoreleasepool] = ACTIONS(2574),
    [anon_sym_auto] = ACTIONS(2572),
    [anon_sym_register] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym___inline] = ACTIONS(2572),
    [anon_sym___inline__] = ACTIONS(2572),
    [anon_sym___forceinline] = ACTIONS(2572),
    [anon_sym_thread_local] = ACTIONS(2572),
    [anon_sym___thread] = ACTIONS(2572),
    [anon_sym_CG_EXTERN] = ACTIONS(2572),
    [anon_sym_CG_INLINE] = ACTIONS(2572),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2572),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2572),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2572),
    [anon_sym_IBOutlet] = ACTIONS(2572),
    [anon_sym_IBInspectable] = ACTIONS(2572),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2572),
    [anon_sym_NS_INLINE] = ACTIONS(2572),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2572),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2572),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2572),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_constexpr] = ACTIONS(2572),
    [anon_sym_volatile] = ACTIONS(2572),
    [anon_sym_restrict] = ACTIONS(2572),
    [anon_sym___restrict__] = ACTIONS(2572),
    [anon_sym__Atomic] = ACTIONS(2572),
    [anon_sym__Noreturn] = ACTIONS(2572),
    [anon_sym__Nonnull] = ACTIONS(2572),
    [anon_sym_nullable] = ACTIONS(2572),
    [anon_sym__Complex] = ACTIONS(2572),
    [anon_sym__Nullable] = ACTIONS(2572),
    [anon_sym__Nullable_result] = ACTIONS(2572),
    [anon_sym__Null_unspecified] = ACTIONS(2572),
    [anon_sym___autoreleasing] = ACTIONS(2572),
    [anon_sym___block] = ACTIONS(2572),
    [anon_sym___bridge] = ACTIONS(2572),
    [anon_sym___bridge_retained] = ACTIONS(2572),
    [anon_sym___bridge_transfer] = ACTIONS(2572),
    [anon_sym___complex] = ACTIONS(2572),
    [anon_sym___const] = ACTIONS(2572),
    [anon_sym___imag] = ACTIONS(2572),
    [anon_sym___kindof] = ACTIONS(2572),
    [anon_sym___nonnull] = ACTIONS(2572),
    [anon_sym___nullable] = ACTIONS(2572),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2572),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2572),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2572),
    [anon_sym___real] = ACTIONS(2572),
    [anon_sym___strong] = ACTIONS(2572),
    [anon_sym___unsafe_unretained] = ACTIONS(2572),
    [anon_sym___unused] = ACTIONS(2572),
    [anon_sym___weak] = ACTIONS(2572),
    [anon_sym_alignas] = ACTIONS(2572),
    [anon_sym__Alignas] = ACTIONS(2572),
    [sym_primitive_type] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_struct] = ACTIONS(2572),
    [anon_sym_union] = ACTIONS(2572),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_switch] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_default] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_do] = ACTIONS(2572),
    [anon_sym_for] = ACTIONS(2572),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_break] = ACTIONS(2572),
    [anon_sym_continue] = ACTIONS(2572),
    [anon_sym_goto] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_sizeof] = ACTIONS(2572),
    [anon_sym___alignof__] = ACTIONS(2572),
    [anon_sym___alignof] = ACTIONS(2572),
    [anon_sym__alignof] = ACTIONS(2572),
    [anon_sym_alignof] = ACTIONS(2572),
    [anon_sym__Alignof] = ACTIONS(2572),
    [anon_sym_offsetof] = ACTIONS(2572),
    [anon_sym__Generic] = ACTIONS(2572),
    [anon_sym_asm] = ACTIONS(2572),
    [anon_sym___asm__] = ACTIONS(2572),
    [anon_sym___asm] = ACTIONS(2572),
    [sym_number_literal] = ACTIONS(2574),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_AT] = ACTIONS(2572),
    [anon_sym_DQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2574),
    [anon_sym_u_DQUOTE] = ACTIONS(2574),
    [anon_sym_U_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8_DQUOTE] = ACTIONS(2574),
    [sym_true] = ACTIONS(2572),
    [sym_false] = ACTIONS(2572),
    [anon_sym_NULL] = ACTIONS(2572),
    [anon_sym_nullptr] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2572),
    [anon_sym___typeof] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(2572),
    [anon_sym_ATimport] = ACTIONS(2574),
    [aux_sym_preproc_undef_token1] = ACTIONS(2572),
    [anon_sym_POUND] = ACTIONS(2572),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2572),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2572),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2572),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2572),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2572),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2572),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2572),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2572),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2572),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2572),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2572),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2572),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2572),
    [anon_sym_API_AVAILABLE] = ACTIONS(2572),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2572),
    [anon_sym_API_DEPRECATED] = ACTIONS(2572),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2572),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2572),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2572),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2572),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2572),
    [anon_sym___deprecated_msg] = ACTIONS(2572),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2572),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2572),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2572),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2572),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2572),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2572),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2572),
    [anon_sym_ATprotocol] = ACTIONS(2574),
    [anon_sym_ATinterface] = ACTIONS(2574),
    [anon_sym_ATimplementation] = ACTIONS(2574),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2574),
    [anon_sym_ATtry] = ACTIONS(2574),
    [anon_sym___try] = ACTIONS(2572),
    [anon_sym_ATthrow] = ACTIONS(2574),
    [anon_sym_ATselector] = ACTIONS(2574),
    [anon_sym_ATavailable] = ACTIONS(2574),
    [anon_sym___builtin_available] = ACTIONS(2572),
    [anon_sym_va_arg] = ACTIONS(2572),
    [anon_sym_ATencode] = ACTIONS(2574),
    [anon_sym_ATsynchronized] = ACTIONS(2574),
    [anon_sym_BOOL] = ACTIONS(2572),
    [anon_sym_IMP] = ACTIONS(2572),
    [anon_sym_SEL] = ACTIONS(2572),
    [anon_sym_Class] = ACTIONS(2572),
    [anon_sym_id] = ACTIONS(2572),
  },
  [858] = {
    [sym_identifier] = ACTIONS(2614),
    [aux_sym_preproc_include_token1] = ACTIONS(2614),
    [aux_sym_preproc_include_token2] = ACTIONS(2614),
    [aux_sym_preproc_def_token1] = ACTIONS(2614),
    [aux_sym_preproc_if_token1] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2614),
    [sym_preproc_directive] = ACTIONS(2614),
    [anon_sym_LPAREN2] = ACTIONS(2616),
    [anon_sym_BANG] = ACTIONS(2616),
    [anon_sym_TILDE] = ACTIONS(2616),
    [anon_sym_DASH] = ACTIONS(2614),
    [anon_sym_PLUS] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2616),
    [anon_sym_CARET] = ACTIONS(2616),
    [anon_sym_AMP] = ACTIONS(2616),
    [anon_sym_SEMI] = ACTIONS(2616),
    [anon_sym___extension__] = ACTIONS(2614),
    [anon_sym_typedef] = ACTIONS(2614),
    [anon_sym_extern] = ACTIONS(2614),
    [anon_sym___attribute__] = ACTIONS(2614),
    [anon_sym___attribute] = ACTIONS(2614),
    [anon_sym_noreturn] = ACTIONS(2614),
    [anon_sym_LBRACK] = ACTIONS(2616),
    [anon_sym___declspec] = ACTIONS(2614),
    [anon_sym___cdecl] = ACTIONS(2614),
    [anon_sym___clrcall] = ACTIONS(2614),
    [anon_sym___stdcall] = ACTIONS(2614),
    [anon_sym___fastcall] = ACTIONS(2614),
    [anon_sym___thiscall] = ACTIONS(2614),
    [anon_sym___vectorcall] = ACTIONS(2614),
    [anon_sym_LBRACE] = ACTIONS(2616),
    [anon_sym_RBRACE] = ACTIONS(2616),
    [anon_sym_signed] = ACTIONS(2614),
    [anon_sym_unsigned] = ACTIONS(2614),
    [anon_sym_long] = ACTIONS(2614),
    [anon_sym_short] = ACTIONS(2614),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_ATautoreleasepool] = ACTIONS(2616),
    [anon_sym_auto] = ACTIONS(2614),
    [anon_sym_register] = ACTIONS(2614),
    [anon_sym_inline] = ACTIONS(2614),
    [anon_sym___inline] = ACTIONS(2614),
    [anon_sym___inline__] = ACTIONS(2614),
    [anon_sym___forceinline] = ACTIONS(2614),
    [anon_sym_thread_local] = ACTIONS(2614),
    [anon_sym___thread] = ACTIONS(2614),
    [anon_sym_CG_EXTERN] = ACTIONS(2614),
    [anon_sym_CG_INLINE] = ACTIONS(2614),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2614),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2614),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2614),
    [anon_sym_IBOutlet] = ACTIONS(2614),
    [anon_sym_IBInspectable] = ACTIONS(2614),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2614),
    [anon_sym_NS_INLINE] = ACTIONS(2614),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2614),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2614),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2614),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2614),
    [anon_sym_const] = ACTIONS(2614),
    [anon_sym_constexpr] = ACTIONS(2614),
    [anon_sym_volatile] = ACTIONS(2614),
    [anon_sym_restrict] = ACTIONS(2614),
    [anon_sym___restrict__] = ACTIONS(2614),
    [anon_sym__Atomic] = ACTIONS(2614),
    [anon_sym__Noreturn] = ACTIONS(2614),
    [anon_sym__Nonnull] = ACTIONS(2614),
    [anon_sym_nullable] = ACTIONS(2614),
    [anon_sym__Complex] = ACTIONS(2614),
    [anon_sym__Nullable] = ACTIONS(2614),
    [anon_sym__Nullable_result] = ACTIONS(2614),
    [anon_sym__Null_unspecified] = ACTIONS(2614),
    [anon_sym___autoreleasing] = ACTIONS(2614),
    [anon_sym___block] = ACTIONS(2614),
    [anon_sym___bridge] = ACTIONS(2614),
    [anon_sym___bridge_retained] = ACTIONS(2614),
    [anon_sym___bridge_transfer] = ACTIONS(2614),
    [anon_sym___complex] = ACTIONS(2614),
    [anon_sym___const] = ACTIONS(2614),
    [anon_sym___imag] = ACTIONS(2614),
    [anon_sym___kindof] = ACTIONS(2614),
    [anon_sym___nonnull] = ACTIONS(2614),
    [anon_sym___nullable] = ACTIONS(2614),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2614),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2614),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2614),
    [anon_sym___real] = ACTIONS(2614),
    [anon_sym___strong] = ACTIONS(2614),
    [anon_sym___unsafe_unretained] = ACTIONS(2614),
    [anon_sym___unused] = ACTIONS(2614),
    [anon_sym___weak] = ACTIONS(2614),
    [anon_sym_alignas] = ACTIONS(2614),
    [anon_sym__Alignas] = ACTIONS(2614),
    [sym_primitive_type] = ACTIONS(2614),
    [anon_sym_enum] = ACTIONS(2614),
    [anon_sym_struct] = ACTIONS(2614),
    [anon_sym_union] = ACTIONS(2614),
    [anon_sym_if] = ACTIONS(2614),
    [anon_sym_switch] = ACTIONS(2614),
    [anon_sym_case] = ACTIONS(2614),
    [anon_sym_default] = ACTIONS(2614),
    [anon_sym_while] = ACTIONS(2614),
    [anon_sym_do] = ACTIONS(2614),
    [anon_sym_for] = ACTIONS(2614),
    [anon_sym_in] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2614),
    [anon_sym_break] = ACTIONS(2614),
    [anon_sym_continue] = ACTIONS(2614),
    [anon_sym_goto] = ACTIONS(2614),
    [anon_sym_DASH_DASH] = ACTIONS(2616),
    [anon_sym_PLUS_PLUS] = ACTIONS(2616),
    [anon_sym_sizeof] = ACTIONS(2614),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2614),
    [anon_sym__Generic] = ACTIONS(2614),
    [anon_sym_asm] = ACTIONS(2614),
    [anon_sym___asm__] = ACTIONS(2614),
    [anon_sym___asm] = ACTIONS(2614),
    [sym_number_literal] = ACTIONS(2616),
    [anon_sym_L_SQUOTE] = ACTIONS(2616),
    [anon_sym_u_SQUOTE] = ACTIONS(2616),
    [anon_sym_U_SQUOTE] = ACTIONS(2616),
    [anon_sym_u8_SQUOTE] = ACTIONS(2616),
    [anon_sym_SQUOTE] = ACTIONS(2616),
    [anon_sym_AT] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2616),
    [anon_sym_L_DQUOTE] = ACTIONS(2616),
    [anon_sym_u_DQUOTE] = ACTIONS(2616),
    [anon_sym_U_DQUOTE] = ACTIONS(2616),
    [anon_sym_u8_DQUOTE] = ACTIONS(2616),
    [sym_true] = ACTIONS(2614),
    [sym_false] = ACTIONS(2614),
    [anon_sym_NULL] = ACTIONS(2614),
    [anon_sym_nullptr] = ACTIONS(2614),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2614),
    [anon_sym___typeof] = ACTIONS(2614),
    [anon_sym_typeof] = ACTIONS(2614),
    [anon_sym_ATimport] = ACTIONS(2616),
    [aux_sym_preproc_undef_token1] = ACTIONS(2614),
    [anon_sym_POUND] = ACTIONS(2614),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2614),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2614),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2614),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2614),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2614),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2614),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2614),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2614),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2614),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2614),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2614),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2614),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2614),
    [anon_sym_API_AVAILABLE] = ACTIONS(2614),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2614),
    [anon_sym_API_DEPRECATED] = ACTIONS(2614),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2614),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2614),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2614),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2614),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2614),
    [anon_sym___deprecated_msg] = ACTIONS(2614),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2614),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2614),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2614),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2614),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2614),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2614),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2614),
    [anon_sym_ATprotocol] = ACTIONS(2616),
    [anon_sym_ATinterface] = ACTIONS(2616),
    [anon_sym_ATimplementation] = ACTIONS(2616),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2616),
    [anon_sym_ATtry] = ACTIONS(2616),
    [anon_sym___try] = ACTIONS(2614),
    [anon_sym_ATthrow] = ACTIONS(2616),
    [anon_sym_ATselector] = ACTIONS(2616),
    [anon_sym_ATavailable] = ACTIONS(2616),
    [anon_sym___builtin_available] = ACTIONS(2614),
    [anon_sym_va_arg] = ACTIONS(2614),
    [anon_sym_ATencode] = ACTIONS(2616),
    [anon_sym_ATsynchronized] = ACTIONS(2616),
    [anon_sym_BOOL] = ACTIONS(2614),
    [anon_sym_IMP] = ACTIONS(2614),
    [anon_sym_SEL] = ACTIONS(2614),
    [anon_sym_Class] = ACTIONS(2614),
    [anon_sym_id] = ACTIONS(2614),
  },
  [859] = {
    [sym_identifier] = ACTIONS(2618),
    [aux_sym_preproc_include_token1] = ACTIONS(2618),
    [aux_sym_preproc_include_token2] = ACTIONS(2618),
    [aux_sym_preproc_def_token1] = ACTIONS(2618),
    [aux_sym_preproc_if_token1] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2618),
    [sym_preproc_directive] = ACTIONS(2618),
    [anon_sym_LPAREN2] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2620),
    [anon_sym_CARET] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2620),
    [anon_sym___extension__] = ACTIONS(2618),
    [anon_sym_typedef] = ACTIONS(2618),
    [anon_sym_extern] = ACTIONS(2618),
    [anon_sym___attribute__] = ACTIONS(2618),
    [anon_sym___attribute] = ACTIONS(2618),
    [anon_sym_noreturn] = ACTIONS(2618),
    [anon_sym_LBRACK] = ACTIONS(2620),
    [anon_sym___declspec] = ACTIONS(2618),
    [anon_sym___cdecl] = ACTIONS(2618),
    [anon_sym___clrcall] = ACTIONS(2618),
    [anon_sym___stdcall] = ACTIONS(2618),
    [anon_sym___fastcall] = ACTIONS(2618),
    [anon_sym___thiscall] = ACTIONS(2618),
    [anon_sym___vectorcall] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2620),
    [anon_sym_RBRACE] = ACTIONS(2620),
    [anon_sym_signed] = ACTIONS(2618),
    [anon_sym_unsigned] = ACTIONS(2618),
    [anon_sym_long] = ACTIONS(2618),
    [anon_sym_short] = ACTIONS(2618),
    [anon_sym_static] = ACTIONS(2618),
    [anon_sym_ATautoreleasepool] = ACTIONS(2620),
    [anon_sym_auto] = ACTIONS(2618),
    [anon_sym_register] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym___inline] = ACTIONS(2618),
    [anon_sym___inline__] = ACTIONS(2618),
    [anon_sym___forceinline] = ACTIONS(2618),
    [anon_sym_thread_local] = ACTIONS(2618),
    [anon_sym___thread] = ACTIONS(2618),
    [anon_sym_CG_EXTERN] = ACTIONS(2618),
    [anon_sym_CG_INLINE] = ACTIONS(2618),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2618),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2618),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2618),
    [anon_sym_IBOutlet] = ACTIONS(2618),
    [anon_sym_IBInspectable] = ACTIONS(2618),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2618),
    [anon_sym_NS_INLINE] = ACTIONS(2618),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2618),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2618),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2618),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_constexpr] = ACTIONS(2618),
    [anon_sym_volatile] = ACTIONS(2618),
    [anon_sym_restrict] = ACTIONS(2618),
    [anon_sym___restrict__] = ACTIONS(2618),
    [anon_sym__Atomic] = ACTIONS(2618),
    [anon_sym__Noreturn] = ACTIONS(2618),
    [anon_sym__Nonnull] = ACTIONS(2618),
    [anon_sym_nullable] = ACTIONS(2618),
    [anon_sym__Complex] = ACTIONS(2618),
    [anon_sym__Nullable] = ACTIONS(2618),
    [anon_sym__Nullable_result] = ACTIONS(2618),
    [anon_sym__Null_unspecified] = ACTIONS(2618),
    [anon_sym___autoreleasing] = ACTIONS(2618),
    [anon_sym___block] = ACTIONS(2618),
    [anon_sym___bridge] = ACTIONS(2618),
    [anon_sym___bridge_retained] = ACTIONS(2618),
    [anon_sym___bridge_transfer] = ACTIONS(2618),
    [anon_sym___complex] = ACTIONS(2618),
    [anon_sym___const] = ACTIONS(2618),
    [anon_sym___imag] = ACTIONS(2618),
    [anon_sym___kindof] = ACTIONS(2618),
    [anon_sym___nonnull] = ACTIONS(2618),
    [anon_sym___nullable] = ACTIONS(2618),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2618),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2618),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2618),
    [anon_sym___real] = ACTIONS(2618),
    [anon_sym___strong] = ACTIONS(2618),
    [anon_sym___unsafe_unretained] = ACTIONS(2618),
    [anon_sym___unused] = ACTIONS(2618),
    [anon_sym___weak] = ACTIONS(2618),
    [anon_sym_alignas] = ACTIONS(2618),
    [anon_sym__Alignas] = ACTIONS(2618),
    [sym_primitive_type] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_struct] = ACTIONS(2618),
    [anon_sym_union] = ACTIONS(2618),
    [anon_sym_if] = ACTIONS(2618),
    [anon_sym_switch] = ACTIONS(2618),
    [anon_sym_case] = ACTIONS(2618),
    [anon_sym_default] = ACTIONS(2618),
    [anon_sym_while] = ACTIONS(2618),
    [anon_sym_do] = ACTIONS(2618),
    [anon_sym_for] = ACTIONS(2618),
    [anon_sym_in] = ACTIONS(2618),
    [anon_sym_return] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2618),
    [anon_sym_continue] = ACTIONS(2618),
    [anon_sym_goto] = ACTIONS(2618),
    [anon_sym_DASH_DASH] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2620),
    [anon_sym_sizeof] = ACTIONS(2618),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2618),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2618),
    [anon_sym___asm__] = ACTIONS(2618),
    [anon_sym___asm] = ACTIONS(2618),
    [sym_number_literal] = ACTIONS(2620),
    [anon_sym_L_SQUOTE] = ACTIONS(2620),
    [anon_sym_u_SQUOTE] = ACTIONS(2620),
    [anon_sym_U_SQUOTE] = ACTIONS(2620),
    [anon_sym_u8_SQUOTE] = ACTIONS(2620),
    [anon_sym_SQUOTE] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(2618),
    [anon_sym_DQUOTE] = ACTIONS(2620),
    [anon_sym_L_DQUOTE] = ACTIONS(2620),
    [anon_sym_u_DQUOTE] = ACTIONS(2620),
    [anon_sym_U_DQUOTE] = ACTIONS(2620),
    [anon_sym_u8_DQUOTE] = ACTIONS(2620),
    [sym_true] = ACTIONS(2618),
    [sym_false] = ACTIONS(2618),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2618),
    [anon_sym___typeof] = ACTIONS(2618),
    [anon_sym_typeof] = ACTIONS(2618),
    [anon_sym_ATimport] = ACTIONS(2620),
    [aux_sym_preproc_undef_token1] = ACTIONS(2618),
    [anon_sym_POUND] = ACTIONS(2618),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2618),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2618),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2618),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2618),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2618),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2618),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2618),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2618),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2618),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2618),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2618),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2618),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2618),
    [anon_sym_API_AVAILABLE] = ACTIONS(2618),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2618),
    [anon_sym_API_DEPRECATED] = ACTIONS(2618),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2618),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2618),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2618),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2618),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2618),
    [anon_sym___deprecated_msg] = ACTIONS(2618),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2618),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2618),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2618),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2618),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2618),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2618),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2618),
    [anon_sym_ATprotocol] = ACTIONS(2620),
    [anon_sym_ATinterface] = ACTIONS(2620),
    [anon_sym_ATimplementation] = ACTIONS(2620),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2620),
    [anon_sym_ATtry] = ACTIONS(2620),
    [anon_sym___try] = ACTIONS(2618),
    [anon_sym_ATthrow] = ACTIONS(2620),
    [anon_sym_ATselector] = ACTIONS(2620),
    [anon_sym_ATavailable] = ACTIONS(2620),
    [anon_sym___builtin_available] = ACTIONS(2618),
    [anon_sym_va_arg] = ACTIONS(2618),
    [anon_sym_ATencode] = ACTIONS(2620),
    [anon_sym_ATsynchronized] = ACTIONS(2620),
    [anon_sym_BOOL] = ACTIONS(2618),
    [anon_sym_IMP] = ACTIONS(2618),
    [anon_sym_SEL] = ACTIONS(2618),
    [anon_sym_Class] = ACTIONS(2618),
    [anon_sym_id] = ACTIONS(2618),
  },
  [860] = {
    [sym_identifier] = ACTIONS(2852),
    [aux_sym_preproc_include_token1] = ACTIONS(2852),
    [aux_sym_preproc_include_token2] = ACTIONS(2852),
    [aux_sym_preproc_def_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2852),
    [sym_preproc_directive] = ACTIONS(2852),
    [anon_sym_LPAREN2] = ACTIONS(2854),
    [anon_sym_BANG] = ACTIONS(2854),
    [anon_sym_TILDE] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2852),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_CARET] = ACTIONS(2854),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym_SEMI] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2852),
    [anon_sym_typedef] = ACTIONS(2852),
    [anon_sym_extern] = ACTIONS(2852),
    [anon_sym___attribute__] = ACTIONS(2852),
    [anon_sym___attribute] = ACTIONS(2852),
    [anon_sym_noreturn] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym___declspec] = ACTIONS(2852),
    [anon_sym___cdecl] = ACTIONS(2852),
    [anon_sym___clrcall] = ACTIONS(2852),
    [anon_sym___stdcall] = ACTIONS(2852),
    [anon_sym___fastcall] = ACTIONS(2852),
    [anon_sym___thiscall] = ACTIONS(2852),
    [anon_sym___vectorcall] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(2854),
    [anon_sym_RBRACE] = ACTIONS(2854),
    [anon_sym_signed] = ACTIONS(2852),
    [anon_sym_unsigned] = ACTIONS(2852),
    [anon_sym_long] = ACTIONS(2852),
    [anon_sym_short] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_ATautoreleasepool] = ACTIONS(2854),
    [anon_sym_auto] = ACTIONS(2852),
    [anon_sym_register] = ACTIONS(2852),
    [anon_sym_inline] = ACTIONS(2852),
    [anon_sym___inline] = ACTIONS(2852),
    [anon_sym___inline__] = ACTIONS(2852),
    [anon_sym___forceinline] = ACTIONS(2852),
    [anon_sym_thread_local] = ACTIONS(2852),
    [anon_sym___thread] = ACTIONS(2852),
    [anon_sym_CG_EXTERN] = ACTIONS(2852),
    [anon_sym_CG_INLINE] = ACTIONS(2852),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2852),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2852),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2852),
    [anon_sym_IBOutlet] = ACTIONS(2852),
    [anon_sym_IBInspectable] = ACTIONS(2852),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2852),
    [anon_sym_NS_INLINE] = ACTIONS(2852),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2852),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2852),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2852),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2852),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_constexpr] = ACTIONS(2852),
    [anon_sym_volatile] = ACTIONS(2852),
    [anon_sym_restrict] = ACTIONS(2852),
    [anon_sym___restrict__] = ACTIONS(2852),
    [anon_sym__Atomic] = ACTIONS(2852),
    [anon_sym__Noreturn] = ACTIONS(2852),
    [anon_sym__Nonnull] = ACTIONS(2852),
    [anon_sym_nullable] = ACTIONS(2852),
    [anon_sym__Complex] = ACTIONS(2852),
    [anon_sym__Nullable] = ACTIONS(2852),
    [anon_sym__Nullable_result] = ACTIONS(2852),
    [anon_sym__Null_unspecified] = ACTIONS(2852),
    [anon_sym___autoreleasing] = ACTIONS(2852),
    [anon_sym___block] = ACTIONS(2852),
    [anon_sym___bridge] = ACTIONS(2852),
    [anon_sym___bridge_retained] = ACTIONS(2852),
    [anon_sym___bridge_transfer] = ACTIONS(2852),
    [anon_sym___complex] = ACTIONS(2852),
    [anon_sym___const] = ACTIONS(2852),
    [anon_sym___imag] = ACTIONS(2852),
    [anon_sym___kindof] = ACTIONS(2852),
    [anon_sym___nonnull] = ACTIONS(2852),
    [anon_sym___nullable] = ACTIONS(2852),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2852),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2852),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2852),
    [anon_sym___real] = ACTIONS(2852),
    [anon_sym___strong] = ACTIONS(2852),
    [anon_sym___unsafe_unretained] = ACTIONS(2852),
    [anon_sym___unused] = ACTIONS(2852),
    [anon_sym___weak] = ACTIONS(2852),
    [anon_sym_alignas] = ACTIONS(2852),
    [anon_sym__Alignas] = ACTIONS(2852),
    [sym_primitive_type] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2852),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_switch] = ACTIONS(2852),
    [anon_sym_case] = ACTIONS(2852),
    [anon_sym_default] = ACTIONS(2852),
    [anon_sym_while] = ACTIONS(2852),
    [anon_sym_do] = ACTIONS(2852),
    [anon_sym_for] = ACTIONS(2852),
    [anon_sym_in] = ACTIONS(2852),
    [anon_sym_return] = ACTIONS(2852),
    [anon_sym_break] = ACTIONS(2852),
    [anon_sym_continue] = ACTIONS(2852),
    [anon_sym_goto] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2854),
    [anon_sym_sizeof] = ACTIONS(2852),
    [anon_sym___alignof__] = ACTIONS(2852),
    [anon_sym___alignof] = ACTIONS(2852),
    [anon_sym__alignof] = ACTIONS(2852),
    [anon_sym_alignof] = ACTIONS(2852),
    [anon_sym__Alignof] = ACTIONS(2852),
    [anon_sym_offsetof] = ACTIONS(2852),
    [anon_sym__Generic] = ACTIONS(2852),
    [anon_sym_asm] = ACTIONS(2852),
    [anon_sym___asm__] = ACTIONS(2852),
    [anon_sym___asm] = ACTIONS(2852),
    [sym_number_literal] = ACTIONS(2854),
    [anon_sym_L_SQUOTE] = ACTIONS(2854),
    [anon_sym_u_SQUOTE] = ACTIONS(2854),
    [anon_sym_U_SQUOTE] = ACTIONS(2854),
    [anon_sym_u8_SQUOTE] = ACTIONS(2854),
    [anon_sym_SQUOTE] = ACTIONS(2854),
    [anon_sym_AT] = ACTIONS(2852),
    [anon_sym_DQUOTE] = ACTIONS(2854),
    [anon_sym_L_DQUOTE] = ACTIONS(2854),
    [anon_sym_u_DQUOTE] = ACTIONS(2854),
    [anon_sym_U_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8_DQUOTE] = ACTIONS(2854),
    [sym_true] = ACTIONS(2852),
    [sym_false] = ACTIONS(2852),
    [anon_sym_NULL] = ACTIONS(2852),
    [anon_sym_nullptr] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2852),
    [anon_sym___typeof] = ACTIONS(2852),
    [anon_sym_typeof] = ACTIONS(2852),
    [anon_sym_ATimport] = ACTIONS(2854),
    [aux_sym_preproc_undef_token1] = ACTIONS(2852),
    [anon_sym_POUND] = ACTIONS(2852),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2852),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2852),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2852),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2852),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2852),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2852),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2852),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2852),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2852),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2852),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2852),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2852),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2852),
    [anon_sym_API_AVAILABLE] = ACTIONS(2852),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2852),
    [anon_sym_API_DEPRECATED] = ACTIONS(2852),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2852),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2852),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2852),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2852),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2852),
    [anon_sym___deprecated_msg] = ACTIONS(2852),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2852),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2852),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2852),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2852),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2852),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2852),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2852),
    [anon_sym_ATprotocol] = ACTIONS(2854),
    [anon_sym_ATinterface] = ACTIONS(2854),
    [anon_sym_ATimplementation] = ACTIONS(2854),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2854),
    [anon_sym_ATtry] = ACTIONS(2854),
    [anon_sym___try] = ACTIONS(2852),
    [anon_sym_ATthrow] = ACTIONS(2854),
    [anon_sym_ATselector] = ACTIONS(2854),
    [anon_sym_ATavailable] = ACTIONS(2854),
    [anon_sym___builtin_available] = ACTIONS(2852),
    [anon_sym_va_arg] = ACTIONS(2852),
    [anon_sym_ATencode] = ACTIONS(2854),
    [anon_sym_ATsynchronized] = ACTIONS(2854),
    [anon_sym_BOOL] = ACTIONS(2852),
    [anon_sym_IMP] = ACTIONS(2852),
    [anon_sym_SEL] = ACTIONS(2852),
    [anon_sym_Class] = ACTIONS(2852),
    [anon_sym_id] = ACTIONS(2852),
  },
  [861] = {
    [sym_identifier] = ACTIONS(2666),
    [aux_sym_preproc_include_token1] = ACTIONS(2666),
    [aux_sym_preproc_include_token2] = ACTIONS(2666),
    [aux_sym_preproc_def_token1] = ACTIONS(2666),
    [aux_sym_preproc_if_token1] = ACTIONS(2666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2666),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2666),
    [sym_preproc_directive] = ACTIONS(2666),
    [anon_sym_LPAREN2] = ACTIONS(2668),
    [anon_sym_BANG] = ACTIONS(2668),
    [anon_sym_TILDE] = ACTIONS(2668),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_STAR] = ACTIONS(2668),
    [anon_sym_CARET] = ACTIONS(2668),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2668),
    [anon_sym___extension__] = ACTIONS(2666),
    [anon_sym_typedef] = ACTIONS(2666),
    [anon_sym_extern] = ACTIONS(2666),
    [anon_sym___attribute__] = ACTIONS(2666),
    [anon_sym___attribute] = ACTIONS(2666),
    [anon_sym_noreturn] = ACTIONS(2666),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym___declspec] = ACTIONS(2666),
    [anon_sym___cdecl] = ACTIONS(2666),
    [anon_sym___clrcall] = ACTIONS(2666),
    [anon_sym___stdcall] = ACTIONS(2666),
    [anon_sym___fastcall] = ACTIONS(2666),
    [anon_sym___thiscall] = ACTIONS(2666),
    [anon_sym___vectorcall] = ACTIONS(2666),
    [anon_sym_LBRACE] = ACTIONS(2668),
    [anon_sym_RBRACE] = ACTIONS(2668),
    [anon_sym_signed] = ACTIONS(2666),
    [anon_sym_unsigned] = ACTIONS(2666),
    [anon_sym_long] = ACTIONS(2666),
    [anon_sym_short] = ACTIONS(2666),
    [anon_sym_static] = ACTIONS(2666),
    [anon_sym_ATautoreleasepool] = ACTIONS(2668),
    [anon_sym_auto] = ACTIONS(2666),
    [anon_sym_register] = ACTIONS(2666),
    [anon_sym_inline] = ACTIONS(2666),
    [anon_sym___inline] = ACTIONS(2666),
    [anon_sym___inline__] = ACTIONS(2666),
    [anon_sym___forceinline] = ACTIONS(2666),
    [anon_sym_thread_local] = ACTIONS(2666),
    [anon_sym___thread] = ACTIONS(2666),
    [anon_sym_CG_EXTERN] = ACTIONS(2666),
    [anon_sym_CG_INLINE] = ACTIONS(2666),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2666),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2666),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2666),
    [anon_sym_IBOutlet] = ACTIONS(2666),
    [anon_sym_IBInspectable] = ACTIONS(2666),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2666),
    [anon_sym_NS_INLINE] = ACTIONS(2666),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2666),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2666),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2666),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2666),
    [anon_sym_const] = ACTIONS(2666),
    [anon_sym_constexpr] = ACTIONS(2666),
    [anon_sym_volatile] = ACTIONS(2666),
    [anon_sym_restrict] = ACTIONS(2666),
    [anon_sym___restrict__] = ACTIONS(2666),
    [anon_sym__Atomic] = ACTIONS(2666),
    [anon_sym__Noreturn] = ACTIONS(2666),
    [anon_sym__Nonnull] = ACTIONS(2666),
    [anon_sym_nullable] = ACTIONS(2666),
    [anon_sym__Complex] = ACTIONS(2666),
    [anon_sym__Nullable] = ACTIONS(2666),
    [anon_sym__Nullable_result] = ACTIONS(2666),
    [anon_sym__Null_unspecified] = ACTIONS(2666),
    [anon_sym___autoreleasing] = ACTIONS(2666),
    [anon_sym___block] = ACTIONS(2666),
    [anon_sym___bridge] = ACTIONS(2666),
    [anon_sym___bridge_retained] = ACTIONS(2666),
    [anon_sym___bridge_transfer] = ACTIONS(2666),
    [anon_sym___complex] = ACTIONS(2666),
    [anon_sym___const] = ACTIONS(2666),
    [anon_sym___imag] = ACTIONS(2666),
    [anon_sym___kindof] = ACTIONS(2666),
    [anon_sym___nonnull] = ACTIONS(2666),
    [anon_sym___nullable] = ACTIONS(2666),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2666),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2666),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2666),
    [anon_sym___real] = ACTIONS(2666),
    [anon_sym___strong] = ACTIONS(2666),
    [anon_sym___unsafe_unretained] = ACTIONS(2666),
    [anon_sym___unused] = ACTIONS(2666),
    [anon_sym___weak] = ACTIONS(2666),
    [anon_sym_alignas] = ACTIONS(2666),
    [anon_sym__Alignas] = ACTIONS(2666),
    [sym_primitive_type] = ACTIONS(2666),
    [anon_sym_enum] = ACTIONS(2666),
    [anon_sym_struct] = ACTIONS(2666),
    [anon_sym_union] = ACTIONS(2666),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_switch] = ACTIONS(2666),
    [anon_sym_case] = ACTIONS(2666),
    [anon_sym_default] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2666),
    [anon_sym_do] = ACTIONS(2666),
    [anon_sym_for] = ACTIONS(2666),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_return] = ACTIONS(2666),
    [anon_sym_break] = ACTIONS(2666),
    [anon_sym_continue] = ACTIONS(2666),
    [anon_sym_goto] = ACTIONS(2666),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_sizeof] = ACTIONS(2666),
    [anon_sym___alignof__] = ACTIONS(2666),
    [anon_sym___alignof] = ACTIONS(2666),
    [anon_sym__alignof] = ACTIONS(2666),
    [anon_sym_alignof] = ACTIONS(2666),
    [anon_sym__Alignof] = ACTIONS(2666),
    [anon_sym_offsetof] = ACTIONS(2666),
    [anon_sym__Generic] = ACTIONS(2666),
    [anon_sym_asm] = ACTIONS(2666),
    [anon_sym___asm__] = ACTIONS(2666),
    [anon_sym___asm] = ACTIONS(2666),
    [sym_number_literal] = ACTIONS(2668),
    [anon_sym_L_SQUOTE] = ACTIONS(2668),
    [anon_sym_u_SQUOTE] = ACTIONS(2668),
    [anon_sym_U_SQUOTE] = ACTIONS(2668),
    [anon_sym_u8_SQUOTE] = ACTIONS(2668),
    [anon_sym_SQUOTE] = ACTIONS(2668),
    [anon_sym_AT] = ACTIONS(2666),
    [anon_sym_DQUOTE] = ACTIONS(2668),
    [anon_sym_L_DQUOTE] = ACTIONS(2668),
    [anon_sym_u_DQUOTE] = ACTIONS(2668),
    [anon_sym_U_DQUOTE] = ACTIONS(2668),
    [anon_sym_u8_DQUOTE] = ACTIONS(2668),
    [sym_true] = ACTIONS(2666),
    [sym_false] = ACTIONS(2666),
    [anon_sym_NULL] = ACTIONS(2666),
    [anon_sym_nullptr] = ACTIONS(2666),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2666),
    [anon_sym___typeof] = ACTIONS(2666),
    [anon_sym_typeof] = ACTIONS(2666),
    [anon_sym_ATimport] = ACTIONS(2668),
    [aux_sym_preproc_undef_token1] = ACTIONS(2666),
    [anon_sym_POUND] = ACTIONS(2666),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2666),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2666),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2666),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2666),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2666),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2666),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2666),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2666),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2666),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2666),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2666),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2666),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2666),
    [anon_sym_API_AVAILABLE] = ACTIONS(2666),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2666),
    [anon_sym_API_DEPRECATED] = ACTIONS(2666),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2666),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2666),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2666),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2666),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2666),
    [anon_sym___deprecated_msg] = ACTIONS(2666),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2666),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2666),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2666),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2666),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2666),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2666),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2666),
    [anon_sym_ATprotocol] = ACTIONS(2668),
    [anon_sym_ATinterface] = ACTIONS(2668),
    [anon_sym_ATimplementation] = ACTIONS(2668),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2668),
    [anon_sym_ATtry] = ACTIONS(2668),
    [anon_sym___try] = ACTIONS(2666),
    [anon_sym_ATthrow] = ACTIONS(2668),
    [anon_sym_ATselector] = ACTIONS(2668),
    [anon_sym_ATavailable] = ACTIONS(2668),
    [anon_sym___builtin_available] = ACTIONS(2666),
    [anon_sym_va_arg] = ACTIONS(2666),
    [anon_sym_ATencode] = ACTIONS(2668),
    [anon_sym_ATsynchronized] = ACTIONS(2668),
    [anon_sym_BOOL] = ACTIONS(2666),
    [anon_sym_IMP] = ACTIONS(2666),
    [anon_sym_SEL] = ACTIONS(2666),
    [anon_sym_Class] = ACTIONS(2666),
    [anon_sym_id] = ACTIONS(2666),
  },
  [862] = {
    [sym_identifier] = ACTIONS(2778),
    [aux_sym_preproc_include_token1] = ACTIONS(2778),
    [aux_sym_preproc_include_token2] = ACTIONS(2778),
    [aux_sym_preproc_def_token1] = ACTIONS(2778),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2778),
    [sym_preproc_directive] = ACTIONS(2778),
    [anon_sym_LPAREN2] = ACTIONS(2780),
    [anon_sym_BANG] = ACTIONS(2780),
    [anon_sym_TILDE] = ACTIONS(2780),
    [anon_sym_DASH] = ACTIONS(2778),
    [anon_sym_PLUS] = ACTIONS(2778),
    [anon_sym_STAR] = ACTIONS(2780),
    [anon_sym_CARET] = ACTIONS(2780),
    [anon_sym_AMP] = ACTIONS(2780),
    [anon_sym_SEMI] = ACTIONS(2780),
    [anon_sym___extension__] = ACTIONS(2778),
    [anon_sym_typedef] = ACTIONS(2778),
    [anon_sym_extern] = ACTIONS(2778),
    [anon_sym___attribute__] = ACTIONS(2778),
    [anon_sym___attribute] = ACTIONS(2778),
    [anon_sym_noreturn] = ACTIONS(2778),
    [anon_sym_LBRACK] = ACTIONS(2780),
    [anon_sym___declspec] = ACTIONS(2778),
    [anon_sym___cdecl] = ACTIONS(2778),
    [anon_sym___clrcall] = ACTIONS(2778),
    [anon_sym___stdcall] = ACTIONS(2778),
    [anon_sym___fastcall] = ACTIONS(2778),
    [anon_sym___thiscall] = ACTIONS(2778),
    [anon_sym___vectorcall] = ACTIONS(2778),
    [anon_sym_LBRACE] = ACTIONS(2780),
    [anon_sym_RBRACE] = ACTIONS(2780),
    [anon_sym_signed] = ACTIONS(2778),
    [anon_sym_unsigned] = ACTIONS(2778),
    [anon_sym_long] = ACTIONS(2778),
    [anon_sym_short] = ACTIONS(2778),
    [anon_sym_static] = ACTIONS(2778),
    [anon_sym_ATautoreleasepool] = ACTIONS(2780),
    [anon_sym_auto] = ACTIONS(2778),
    [anon_sym_register] = ACTIONS(2778),
    [anon_sym_inline] = ACTIONS(2778),
    [anon_sym___inline] = ACTIONS(2778),
    [anon_sym___inline__] = ACTIONS(2778),
    [anon_sym___forceinline] = ACTIONS(2778),
    [anon_sym_thread_local] = ACTIONS(2778),
    [anon_sym___thread] = ACTIONS(2778),
    [anon_sym_CG_EXTERN] = ACTIONS(2778),
    [anon_sym_CG_INLINE] = ACTIONS(2778),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2778),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2778),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2778),
    [anon_sym_IBOutlet] = ACTIONS(2778),
    [anon_sym_IBInspectable] = ACTIONS(2778),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2778),
    [anon_sym_NS_INLINE] = ACTIONS(2778),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2778),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2778),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2778),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2778),
    [anon_sym_const] = ACTIONS(2778),
    [anon_sym_constexpr] = ACTIONS(2778),
    [anon_sym_volatile] = ACTIONS(2778),
    [anon_sym_restrict] = ACTIONS(2778),
    [anon_sym___restrict__] = ACTIONS(2778),
    [anon_sym__Atomic] = ACTIONS(2778),
    [anon_sym__Noreturn] = ACTIONS(2778),
    [anon_sym__Nonnull] = ACTIONS(2778),
    [anon_sym_nullable] = ACTIONS(2778),
    [anon_sym__Complex] = ACTIONS(2778),
    [anon_sym__Nullable] = ACTIONS(2778),
    [anon_sym__Nullable_result] = ACTIONS(2778),
    [anon_sym__Null_unspecified] = ACTIONS(2778),
    [anon_sym___autoreleasing] = ACTIONS(2778),
    [anon_sym___block] = ACTIONS(2778),
    [anon_sym___bridge] = ACTIONS(2778),
    [anon_sym___bridge_retained] = ACTIONS(2778),
    [anon_sym___bridge_transfer] = ACTIONS(2778),
    [anon_sym___complex] = ACTIONS(2778),
    [anon_sym___const] = ACTIONS(2778),
    [anon_sym___imag] = ACTIONS(2778),
    [anon_sym___kindof] = ACTIONS(2778),
    [anon_sym___nonnull] = ACTIONS(2778),
    [anon_sym___nullable] = ACTIONS(2778),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2778),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2778),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2778),
    [anon_sym___real] = ACTIONS(2778),
    [anon_sym___strong] = ACTIONS(2778),
    [anon_sym___unsafe_unretained] = ACTIONS(2778),
    [anon_sym___unused] = ACTIONS(2778),
    [anon_sym___weak] = ACTIONS(2778),
    [anon_sym_alignas] = ACTIONS(2778),
    [anon_sym__Alignas] = ACTIONS(2778),
    [sym_primitive_type] = ACTIONS(2778),
    [anon_sym_enum] = ACTIONS(2778),
    [anon_sym_struct] = ACTIONS(2778),
    [anon_sym_union] = ACTIONS(2778),
    [anon_sym_if] = ACTIONS(2778),
    [anon_sym_switch] = ACTIONS(2778),
    [anon_sym_case] = ACTIONS(2778),
    [anon_sym_default] = ACTIONS(2778),
    [anon_sym_while] = ACTIONS(2778),
    [anon_sym_do] = ACTIONS(2778),
    [anon_sym_for] = ACTIONS(2778),
    [anon_sym_in] = ACTIONS(2778),
    [anon_sym_return] = ACTIONS(2778),
    [anon_sym_break] = ACTIONS(2778),
    [anon_sym_continue] = ACTIONS(2778),
    [anon_sym_goto] = ACTIONS(2778),
    [anon_sym_DASH_DASH] = ACTIONS(2780),
    [anon_sym_PLUS_PLUS] = ACTIONS(2780),
    [anon_sym_sizeof] = ACTIONS(2778),
    [anon_sym___alignof__] = ACTIONS(2778),
    [anon_sym___alignof] = ACTIONS(2778),
    [anon_sym__alignof] = ACTIONS(2778),
    [anon_sym_alignof] = ACTIONS(2778),
    [anon_sym__Alignof] = ACTIONS(2778),
    [anon_sym_offsetof] = ACTIONS(2778),
    [anon_sym__Generic] = ACTIONS(2778),
    [anon_sym_asm] = ACTIONS(2778),
    [anon_sym___asm__] = ACTIONS(2778),
    [anon_sym___asm] = ACTIONS(2778),
    [sym_number_literal] = ACTIONS(2780),
    [anon_sym_L_SQUOTE] = ACTIONS(2780),
    [anon_sym_u_SQUOTE] = ACTIONS(2780),
    [anon_sym_U_SQUOTE] = ACTIONS(2780),
    [anon_sym_u8_SQUOTE] = ACTIONS(2780),
    [anon_sym_SQUOTE] = ACTIONS(2780),
    [anon_sym_AT] = ACTIONS(2778),
    [anon_sym_DQUOTE] = ACTIONS(2780),
    [anon_sym_L_DQUOTE] = ACTIONS(2780),
    [anon_sym_u_DQUOTE] = ACTIONS(2780),
    [anon_sym_U_DQUOTE] = ACTIONS(2780),
    [anon_sym_u8_DQUOTE] = ACTIONS(2780),
    [sym_true] = ACTIONS(2778),
    [sym_false] = ACTIONS(2778),
    [anon_sym_NULL] = ACTIONS(2778),
    [anon_sym_nullptr] = ACTIONS(2778),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2778),
    [anon_sym___typeof] = ACTIONS(2778),
    [anon_sym_typeof] = ACTIONS(2778),
    [anon_sym_ATimport] = ACTIONS(2780),
    [aux_sym_preproc_undef_token1] = ACTIONS(2778),
    [anon_sym_POUND] = ACTIONS(2778),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2778),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2778),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2778),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2778),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2778),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2778),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2778),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2778),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2778),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2778),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2778),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2778),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2778),
    [anon_sym_API_AVAILABLE] = ACTIONS(2778),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2778),
    [anon_sym_API_DEPRECATED] = ACTIONS(2778),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2778),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2778),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2778),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2778),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2778),
    [anon_sym___deprecated_msg] = ACTIONS(2778),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2778),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2778),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2778),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2778),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2778),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2778),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2778),
    [anon_sym_ATprotocol] = ACTIONS(2780),
    [anon_sym_ATinterface] = ACTIONS(2780),
    [anon_sym_ATimplementation] = ACTIONS(2780),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2780),
    [anon_sym_ATtry] = ACTIONS(2780),
    [anon_sym___try] = ACTIONS(2778),
    [anon_sym_ATthrow] = ACTIONS(2780),
    [anon_sym_ATselector] = ACTIONS(2780),
    [anon_sym_ATavailable] = ACTIONS(2780),
    [anon_sym___builtin_available] = ACTIONS(2778),
    [anon_sym_va_arg] = ACTIONS(2778),
    [anon_sym_ATencode] = ACTIONS(2780),
    [anon_sym_ATsynchronized] = ACTIONS(2780),
    [anon_sym_BOOL] = ACTIONS(2778),
    [anon_sym_IMP] = ACTIONS(2778),
    [anon_sym_SEL] = ACTIONS(2778),
    [anon_sym_Class] = ACTIONS(2778),
    [anon_sym_id] = ACTIONS(2778),
  },
  [863] = {
    [sym_identifier] = ACTIONS(2580),
    [aux_sym_preproc_include_token1] = ACTIONS(2580),
    [aux_sym_preproc_include_token2] = ACTIONS(2580),
    [aux_sym_preproc_def_token1] = ACTIONS(2580),
    [aux_sym_preproc_if_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2580),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2580),
    [sym_preproc_directive] = ACTIONS(2580),
    [anon_sym_LPAREN2] = ACTIONS(2582),
    [anon_sym_BANG] = ACTIONS(2582),
    [anon_sym_TILDE] = ACTIONS(2582),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_STAR] = ACTIONS(2582),
    [anon_sym_CARET] = ACTIONS(2582),
    [anon_sym_AMP] = ACTIONS(2582),
    [anon_sym_SEMI] = ACTIONS(2582),
    [anon_sym___extension__] = ACTIONS(2580),
    [anon_sym_typedef] = ACTIONS(2580),
    [anon_sym_extern] = ACTIONS(2580),
    [anon_sym___attribute__] = ACTIONS(2580),
    [anon_sym___attribute] = ACTIONS(2580),
    [anon_sym_noreturn] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [anon_sym___declspec] = ACTIONS(2580),
    [anon_sym___cdecl] = ACTIONS(2580),
    [anon_sym___clrcall] = ACTIONS(2580),
    [anon_sym___stdcall] = ACTIONS(2580),
    [anon_sym___fastcall] = ACTIONS(2580),
    [anon_sym___thiscall] = ACTIONS(2580),
    [anon_sym___vectorcall] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(2582),
    [anon_sym_RBRACE] = ACTIONS(2582),
    [anon_sym_signed] = ACTIONS(2580),
    [anon_sym_unsigned] = ACTIONS(2580),
    [anon_sym_long] = ACTIONS(2580),
    [anon_sym_short] = ACTIONS(2580),
    [anon_sym_static] = ACTIONS(2580),
    [anon_sym_ATautoreleasepool] = ACTIONS(2582),
    [anon_sym_auto] = ACTIONS(2580),
    [anon_sym_register] = ACTIONS(2580),
    [anon_sym_inline] = ACTIONS(2580),
    [anon_sym___inline] = ACTIONS(2580),
    [anon_sym___inline__] = ACTIONS(2580),
    [anon_sym___forceinline] = ACTIONS(2580),
    [anon_sym_thread_local] = ACTIONS(2580),
    [anon_sym___thread] = ACTIONS(2580),
    [anon_sym_CG_EXTERN] = ACTIONS(2580),
    [anon_sym_CG_INLINE] = ACTIONS(2580),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2580),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2580),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2580),
    [anon_sym_IBOutlet] = ACTIONS(2580),
    [anon_sym_IBInspectable] = ACTIONS(2580),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2580),
    [anon_sym_NS_INLINE] = ACTIONS(2580),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2580),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2580),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2580),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2580),
    [anon_sym_const] = ACTIONS(2580),
    [anon_sym_constexpr] = ACTIONS(2580),
    [anon_sym_volatile] = ACTIONS(2580),
    [anon_sym_restrict] = ACTIONS(2580),
    [anon_sym___restrict__] = ACTIONS(2580),
    [anon_sym__Atomic] = ACTIONS(2580),
    [anon_sym__Noreturn] = ACTIONS(2580),
    [anon_sym__Nonnull] = ACTIONS(2580),
    [anon_sym_nullable] = ACTIONS(2580),
    [anon_sym__Complex] = ACTIONS(2580),
    [anon_sym__Nullable] = ACTIONS(2580),
    [anon_sym__Nullable_result] = ACTIONS(2580),
    [anon_sym__Null_unspecified] = ACTIONS(2580),
    [anon_sym___autoreleasing] = ACTIONS(2580),
    [anon_sym___block] = ACTIONS(2580),
    [anon_sym___bridge] = ACTIONS(2580),
    [anon_sym___bridge_retained] = ACTIONS(2580),
    [anon_sym___bridge_transfer] = ACTIONS(2580),
    [anon_sym___complex] = ACTIONS(2580),
    [anon_sym___const] = ACTIONS(2580),
    [anon_sym___imag] = ACTIONS(2580),
    [anon_sym___kindof] = ACTIONS(2580),
    [anon_sym___nonnull] = ACTIONS(2580),
    [anon_sym___nullable] = ACTIONS(2580),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2580),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2580),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2580),
    [anon_sym___real] = ACTIONS(2580),
    [anon_sym___strong] = ACTIONS(2580),
    [anon_sym___unsafe_unretained] = ACTIONS(2580),
    [anon_sym___unused] = ACTIONS(2580),
    [anon_sym___weak] = ACTIONS(2580),
    [anon_sym_alignas] = ACTIONS(2580),
    [anon_sym__Alignas] = ACTIONS(2580),
    [sym_primitive_type] = ACTIONS(2580),
    [anon_sym_enum] = ACTIONS(2580),
    [anon_sym_struct] = ACTIONS(2580),
    [anon_sym_union] = ACTIONS(2580),
    [anon_sym_if] = ACTIONS(2580),
    [anon_sym_switch] = ACTIONS(2580),
    [anon_sym_case] = ACTIONS(2580),
    [anon_sym_default] = ACTIONS(2580),
    [anon_sym_while] = ACTIONS(2580),
    [anon_sym_do] = ACTIONS(2580),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_in] = ACTIONS(2580),
    [anon_sym_return] = ACTIONS(2580),
    [anon_sym_break] = ACTIONS(2580),
    [anon_sym_continue] = ACTIONS(2580),
    [anon_sym_goto] = ACTIONS(2580),
    [anon_sym_DASH_DASH] = ACTIONS(2582),
    [anon_sym_PLUS_PLUS] = ACTIONS(2582),
    [anon_sym_sizeof] = ACTIONS(2580),
    [anon_sym___alignof__] = ACTIONS(2580),
    [anon_sym___alignof] = ACTIONS(2580),
    [anon_sym__alignof] = ACTIONS(2580),
    [anon_sym_alignof] = ACTIONS(2580),
    [anon_sym__Alignof] = ACTIONS(2580),
    [anon_sym_offsetof] = ACTIONS(2580),
    [anon_sym__Generic] = ACTIONS(2580),
    [anon_sym_asm] = ACTIONS(2580),
    [anon_sym___asm__] = ACTIONS(2580),
    [anon_sym___asm] = ACTIONS(2580),
    [sym_number_literal] = ACTIONS(2582),
    [anon_sym_L_SQUOTE] = ACTIONS(2582),
    [anon_sym_u_SQUOTE] = ACTIONS(2582),
    [anon_sym_U_SQUOTE] = ACTIONS(2582),
    [anon_sym_u8_SQUOTE] = ACTIONS(2582),
    [anon_sym_SQUOTE] = ACTIONS(2582),
    [anon_sym_AT] = ACTIONS(2580),
    [anon_sym_DQUOTE] = ACTIONS(2582),
    [anon_sym_L_DQUOTE] = ACTIONS(2582),
    [anon_sym_u_DQUOTE] = ACTIONS(2582),
    [anon_sym_U_DQUOTE] = ACTIONS(2582),
    [anon_sym_u8_DQUOTE] = ACTIONS(2582),
    [sym_true] = ACTIONS(2580),
    [sym_false] = ACTIONS(2580),
    [anon_sym_NULL] = ACTIONS(2580),
    [anon_sym_nullptr] = ACTIONS(2580),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2580),
    [anon_sym___typeof] = ACTIONS(2580),
    [anon_sym_typeof] = ACTIONS(2580),
    [anon_sym_ATimport] = ACTIONS(2582),
    [aux_sym_preproc_undef_token1] = ACTIONS(2580),
    [anon_sym_POUND] = ACTIONS(2580),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2580),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2580),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2580),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2580),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2580),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2580),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2580),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2580),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2580),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2580),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2580),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2580),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2580),
    [anon_sym_API_AVAILABLE] = ACTIONS(2580),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2580),
    [anon_sym_API_DEPRECATED] = ACTIONS(2580),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2580),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2580),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2580),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2580),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2580),
    [anon_sym___deprecated_msg] = ACTIONS(2580),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2580),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2580),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2580),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2580),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2580),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2580),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2580),
    [anon_sym_ATprotocol] = ACTIONS(2582),
    [anon_sym_ATinterface] = ACTIONS(2582),
    [anon_sym_ATimplementation] = ACTIONS(2582),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2582),
    [anon_sym_ATtry] = ACTIONS(2582),
    [anon_sym___try] = ACTIONS(2580),
    [anon_sym_ATthrow] = ACTIONS(2582),
    [anon_sym_ATselector] = ACTIONS(2582),
    [anon_sym_ATavailable] = ACTIONS(2582),
    [anon_sym___builtin_available] = ACTIONS(2580),
    [anon_sym_va_arg] = ACTIONS(2580),
    [anon_sym_ATencode] = ACTIONS(2582),
    [anon_sym_ATsynchronized] = ACTIONS(2582),
    [anon_sym_BOOL] = ACTIONS(2580),
    [anon_sym_IMP] = ACTIONS(2580),
    [anon_sym_SEL] = ACTIONS(2580),
    [anon_sym_Class] = ACTIONS(2580),
    [anon_sym_id] = ACTIONS(2580),
  },
  [864] = {
    [sym_identifier] = ACTIONS(2782),
    [aux_sym_preproc_include_token1] = ACTIONS(2782),
    [aux_sym_preproc_include_token2] = ACTIONS(2782),
    [aux_sym_preproc_def_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token1] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2782),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(2784),
    [anon_sym_BANG] = ACTIONS(2784),
    [anon_sym_TILDE] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2782),
    [anon_sym_PLUS] = ACTIONS(2782),
    [anon_sym_STAR] = ACTIONS(2784),
    [anon_sym_CARET] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(2784),
    [anon_sym_SEMI] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(2782),
    [anon_sym_typedef] = ACTIONS(2782),
    [anon_sym_extern] = ACTIONS(2782),
    [anon_sym___attribute__] = ACTIONS(2782),
    [anon_sym___attribute] = ACTIONS(2782),
    [anon_sym_noreturn] = ACTIONS(2782),
    [anon_sym_LBRACK] = ACTIONS(2784),
    [anon_sym___declspec] = ACTIONS(2782),
    [anon_sym___cdecl] = ACTIONS(2782),
    [anon_sym___clrcall] = ACTIONS(2782),
    [anon_sym___stdcall] = ACTIONS(2782),
    [anon_sym___fastcall] = ACTIONS(2782),
    [anon_sym___thiscall] = ACTIONS(2782),
    [anon_sym___vectorcall] = ACTIONS(2782),
    [anon_sym_LBRACE] = ACTIONS(2784),
    [anon_sym_RBRACE] = ACTIONS(2784),
    [anon_sym_signed] = ACTIONS(2782),
    [anon_sym_unsigned] = ACTIONS(2782),
    [anon_sym_long] = ACTIONS(2782),
    [anon_sym_short] = ACTIONS(2782),
    [anon_sym_static] = ACTIONS(2782),
    [anon_sym_ATautoreleasepool] = ACTIONS(2784),
    [anon_sym_auto] = ACTIONS(2782),
    [anon_sym_register] = ACTIONS(2782),
    [anon_sym_inline] = ACTIONS(2782),
    [anon_sym___inline] = ACTIONS(2782),
    [anon_sym___inline__] = ACTIONS(2782),
    [anon_sym___forceinline] = ACTIONS(2782),
    [anon_sym_thread_local] = ACTIONS(2782),
    [anon_sym___thread] = ACTIONS(2782),
    [anon_sym_CG_EXTERN] = ACTIONS(2782),
    [anon_sym_CG_INLINE] = ACTIONS(2782),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2782),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2782),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2782),
    [anon_sym_IBOutlet] = ACTIONS(2782),
    [anon_sym_IBInspectable] = ACTIONS(2782),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2782),
    [anon_sym_NS_INLINE] = ACTIONS(2782),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2782),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2782),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2782),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2782),
    [anon_sym_const] = ACTIONS(2782),
    [anon_sym_constexpr] = ACTIONS(2782),
    [anon_sym_volatile] = ACTIONS(2782),
    [anon_sym_restrict] = ACTIONS(2782),
    [anon_sym___restrict__] = ACTIONS(2782),
    [anon_sym__Atomic] = ACTIONS(2782),
    [anon_sym__Noreturn] = ACTIONS(2782),
    [anon_sym__Nonnull] = ACTIONS(2782),
    [anon_sym_nullable] = ACTIONS(2782),
    [anon_sym__Complex] = ACTIONS(2782),
    [anon_sym__Nullable] = ACTIONS(2782),
    [anon_sym__Nullable_result] = ACTIONS(2782),
    [anon_sym__Null_unspecified] = ACTIONS(2782),
    [anon_sym___autoreleasing] = ACTIONS(2782),
    [anon_sym___block] = ACTIONS(2782),
    [anon_sym___bridge] = ACTIONS(2782),
    [anon_sym___bridge_retained] = ACTIONS(2782),
    [anon_sym___bridge_transfer] = ACTIONS(2782),
    [anon_sym___complex] = ACTIONS(2782),
    [anon_sym___const] = ACTIONS(2782),
    [anon_sym___imag] = ACTIONS(2782),
    [anon_sym___kindof] = ACTIONS(2782),
    [anon_sym___nonnull] = ACTIONS(2782),
    [anon_sym___nullable] = ACTIONS(2782),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2782),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2782),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2782),
    [anon_sym___real] = ACTIONS(2782),
    [anon_sym___strong] = ACTIONS(2782),
    [anon_sym___unsafe_unretained] = ACTIONS(2782),
    [anon_sym___unused] = ACTIONS(2782),
    [anon_sym___weak] = ACTIONS(2782),
    [anon_sym_alignas] = ACTIONS(2782),
    [anon_sym__Alignas] = ACTIONS(2782),
    [sym_primitive_type] = ACTIONS(2782),
    [anon_sym_enum] = ACTIONS(2782),
    [anon_sym_struct] = ACTIONS(2782),
    [anon_sym_union] = ACTIONS(2782),
    [anon_sym_if] = ACTIONS(2782),
    [anon_sym_switch] = ACTIONS(2782),
    [anon_sym_case] = ACTIONS(2782),
    [anon_sym_default] = ACTIONS(2782),
    [anon_sym_while] = ACTIONS(2782),
    [anon_sym_do] = ACTIONS(2782),
    [anon_sym_for] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(2782),
    [anon_sym_return] = ACTIONS(2782),
    [anon_sym_break] = ACTIONS(2782),
    [anon_sym_continue] = ACTIONS(2782),
    [anon_sym_goto] = ACTIONS(2782),
    [anon_sym_DASH_DASH] = ACTIONS(2784),
    [anon_sym_PLUS_PLUS] = ACTIONS(2784),
    [anon_sym_sizeof] = ACTIONS(2782),
    [anon_sym___alignof__] = ACTIONS(2782),
    [anon_sym___alignof] = ACTIONS(2782),
    [anon_sym__alignof] = ACTIONS(2782),
    [anon_sym_alignof] = ACTIONS(2782),
    [anon_sym__Alignof] = ACTIONS(2782),
    [anon_sym_offsetof] = ACTIONS(2782),
    [anon_sym__Generic] = ACTIONS(2782),
    [anon_sym_asm] = ACTIONS(2782),
    [anon_sym___asm__] = ACTIONS(2782),
    [anon_sym___asm] = ACTIONS(2782),
    [sym_number_literal] = ACTIONS(2784),
    [anon_sym_L_SQUOTE] = ACTIONS(2784),
    [anon_sym_u_SQUOTE] = ACTIONS(2784),
    [anon_sym_U_SQUOTE] = ACTIONS(2784),
    [anon_sym_u8_SQUOTE] = ACTIONS(2784),
    [anon_sym_SQUOTE] = ACTIONS(2784),
    [anon_sym_AT] = ACTIONS(2782),
    [anon_sym_DQUOTE] = ACTIONS(2784),
    [anon_sym_L_DQUOTE] = ACTIONS(2784),
    [anon_sym_u_DQUOTE] = ACTIONS(2784),
    [anon_sym_U_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8_DQUOTE] = ACTIONS(2784),
    [sym_true] = ACTIONS(2782),
    [sym_false] = ACTIONS(2782),
    [anon_sym_NULL] = ACTIONS(2782),
    [anon_sym_nullptr] = ACTIONS(2782),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2782),
    [anon_sym___typeof] = ACTIONS(2782),
    [anon_sym_typeof] = ACTIONS(2782),
    [anon_sym_ATimport] = ACTIONS(2784),
    [aux_sym_preproc_undef_token1] = ACTIONS(2782),
    [anon_sym_POUND] = ACTIONS(2782),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2782),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2782),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2782),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2782),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2782),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2782),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2782),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2782),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2782),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2782),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2782),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2782),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2782),
    [anon_sym_API_AVAILABLE] = ACTIONS(2782),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2782),
    [anon_sym_API_DEPRECATED] = ACTIONS(2782),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2782),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2782),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2782),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2782),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2782),
    [anon_sym___deprecated_msg] = ACTIONS(2782),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2782),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2782),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2782),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2782),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2782),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2782),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2782),
    [anon_sym_ATprotocol] = ACTIONS(2784),
    [anon_sym_ATinterface] = ACTIONS(2784),
    [anon_sym_ATimplementation] = ACTIONS(2784),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2784),
    [anon_sym_ATtry] = ACTIONS(2784),
    [anon_sym___try] = ACTIONS(2782),
    [anon_sym_ATthrow] = ACTIONS(2784),
    [anon_sym_ATselector] = ACTIONS(2784),
    [anon_sym_ATavailable] = ACTIONS(2784),
    [anon_sym___builtin_available] = ACTIONS(2782),
    [anon_sym_va_arg] = ACTIONS(2782),
    [anon_sym_ATencode] = ACTIONS(2784),
    [anon_sym_ATsynchronized] = ACTIONS(2784),
    [anon_sym_BOOL] = ACTIONS(2782),
    [anon_sym_IMP] = ACTIONS(2782),
    [anon_sym_SEL] = ACTIONS(2782),
    [anon_sym_Class] = ACTIONS(2782),
    [anon_sym_id] = ACTIONS(2782),
  },
  [865] = {
    [sym_identifier] = ACTIONS(2622),
    [aux_sym_preproc_include_token1] = ACTIONS(2622),
    [aux_sym_preproc_include_token2] = ACTIONS(2622),
    [aux_sym_preproc_def_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2622),
    [sym_preproc_directive] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_CARET] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym___extension__] = ACTIONS(2622),
    [anon_sym_typedef] = ACTIONS(2622),
    [anon_sym_extern] = ACTIONS(2622),
    [anon_sym___attribute__] = ACTIONS(2622),
    [anon_sym___attribute] = ACTIONS(2622),
    [anon_sym_noreturn] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym___declspec] = ACTIONS(2622),
    [anon_sym___cdecl] = ACTIONS(2622),
    [anon_sym___clrcall] = ACTIONS(2622),
    [anon_sym___stdcall] = ACTIONS(2622),
    [anon_sym___fastcall] = ACTIONS(2622),
    [anon_sym___thiscall] = ACTIONS(2622),
    [anon_sym___vectorcall] = ACTIONS(2622),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_RBRACE] = ACTIONS(2624),
    [anon_sym_signed] = ACTIONS(2622),
    [anon_sym_unsigned] = ACTIONS(2622),
    [anon_sym_long] = ACTIONS(2622),
    [anon_sym_short] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_ATautoreleasepool] = ACTIONS(2624),
    [anon_sym_auto] = ACTIONS(2622),
    [anon_sym_register] = ACTIONS(2622),
    [anon_sym_inline] = ACTIONS(2622),
    [anon_sym___inline] = ACTIONS(2622),
    [anon_sym___inline__] = ACTIONS(2622),
    [anon_sym___forceinline] = ACTIONS(2622),
    [anon_sym_thread_local] = ACTIONS(2622),
    [anon_sym___thread] = ACTIONS(2622),
    [anon_sym_CG_EXTERN] = ACTIONS(2622),
    [anon_sym_CG_INLINE] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2622),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2622),
    [anon_sym_IBOutlet] = ACTIONS(2622),
    [anon_sym_IBInspectable] = ACTIONS(2622),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2622),
    [anon_sym_NS_INLINE] = ACTIONS(2622),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2622),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2622),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_constexpr] = ACTIONS(2622),
    [anon_sym_volatile] = ACTIONS(2622),
    [anon_sym_restrict] = ACTIONS(2622),
    [anon_sym___restrict__] = ACTIONS(2622),
    [anon_sym__Atomic] = ACTIONS(2622),
    [anon_sym__Noreturn] = ACTIONS(2622),
    [anon_sym__Nonnull] = ACTIONS(2622),
    [anon_sym_nullable] = ACTIONS(2622),
    [anon_sym__Complex] = ACTIONS(2622),
    [anon_sym__Nullable] = ACTIONS(2622),
    [anon_sym__Nullable_result] = ACTIONS(2622),
    [anon_sym__Null_unspecified] = ACTIONS(2622),
    [anon_sym___autoreleasing] = ACTIONS(2622),
    [anon_sym___block] = ACTIONS(2622),
    [anon_sym___bridge] = ACTIONS(2622),
    [anon_sym___bridge_retained] = ACTIONS(2622),
    [anon_sym___bridge_transfer] = ACTIONS(2622),
    [anon_sym___complex] = ACTIONS(2622),
    [anon_sym___const] = ACTIONS(2622),
    [anon_sym___imag] = ACTIONS(2622),
    [anon_sym___kindof] = ACTIONS(2622),
    [anon_sym___nonnull] = ACTIONS(2622),
    [anon_sym___nullable] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2622),
    [anon_sym___real] = ACTIONS(2622),
    [anon_sym___strong] = ACTIONS(2622),
    [anon_sym___unsafe_unretained] = ACTIONS(2622),
    [anon_sym___unused] = ACTIONS(2622),
    [anon_sym___weak] = ACTIONS(2622),
    [anon_sym_alignas] = ACTIONS(2622),
    [anon_sym__Alignas] = ACTIONS(2622),
    [sym_primitive_type] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [anon_sym_struct] = ACTIONS(2622),
    [anon_sym_union] = ACTIONS(2622),
    [anon_sym_if] = ACTIONS(2622),
    [anon_sym_switch] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2622),
    [anon_sym_default] = ACTIONS(2622),
    [anon_sym_while] = ACTIONS(2622),
    [anon_sym_do] = ACTIONS(2622),
    [anon_sym_for] = ACTIONS(2622),
    [anon_sym_in] = ACTIONS(2622),
    [anon_sym_return] = ACTIONS(2622),
    [anon_sym_break] = ACTIONS(2622),
    [anon_sym_continue] = ACTIONS(2622),
    [anon_sym_goto] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_sizeof] = ACTIONS(2622),
    [anon_sym___alignof__] = ACTIONS(2622),
    [anon_sym___alignof] = ACTIONS(2622),
    [anon_sym__alignof] = ACTIONS(2622),
    [anon_sym_alignof] = ACTIONS(2622),
    [anon_sym__Alignof] = ACTIONS(2622),
    [anon_sym_offsetof] = ACTIONS(2622),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2622),
    [anon_sym___asm__] = ACTIONS(2622),
    [anon_sym___asm] = ACTIONS(2622),
    [sym_number_literal] = ACTIONS(2624),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2624),
    [anon_sym_u_DQUOTE] = ACTIONS(2624),
    [anon_sym_U_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8_DQUOTE] = ACTIONS(2624),
    [sym_true] = ACTIONS(2622),
    [sym_false] = ACTIONS(2622),
    [anon_sym_NULL] = ACTIONS(2622),
    [anon_sym_nullptr] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2622),
    [anon_sym___typeof] = ACTIONS(2622),
    [anon_sym_typeof] = ACTIONS(2622),
    [anon_sym_ATimport] = ACTIONS(2624),
    [aux_sym_preproc_undef_token1] = ACTIONS(2622),
    [anon_sym_POUND] = ACTIONS(2622),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2622),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2622),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2622),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_API_AVAILABLE] = ACTIONS(2622),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_API_DEPRECATED] = ACTIONS(2622),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym___deprecated_msg] = ACTIONS(2622),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2622),
    [anon_sym_ATprotocol] = ACTIONS(2624),
    [anon_sym_ATinterface] = ACTIONS(2624),
    [anon_sym_ATimplementation] = ACTIONS(2624),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2624),
    [anon_sym_ATtry] = ACTIONS(2624),
    [anon_sym___try] = ACTIONS(2622),
    [anon_sym_ATthrow] = ACTIONS(2624),
    [anon_sym_ATselector] = ACTIONS(2624),
    [anon_sym_ATavailable] = ACTIONS(2624),
    [anon_sym___builtin_available] = ACTIONS(2622),
    [anon_sym_va_arg] = ACTIONS(2622),
    [anon_sym_ATencode] = ACTIONS(2624),
    [anon_sym_ATsynchronized] = ACTIONS(2624),
    [anon_sym_BOOL] = ACTIONS(2622),
    [anon_sym_IMP] = ACTIONS(2622),
    [anon_sym_SEL] = ACTIONS(2622),
    [anon_sym_Class] = ACTIONS(2622),
    [anon_sym_id] = ACTIONS(2622),
  },
  [866] = {
    [sym_identifier] = ACTIONS(2622),
    [aux_sym_preproc_include_token1] = ACTIONS(2622),
    [aux_sym_preproc_include_token2] = ACTIONS(2622),
    [aux_sym_preproc_def_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2622),
    [sym_preproc_directive] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_CARET] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym___extension__] = ACTIONS(2622),
    [anon_sym_typedef] = ACTIONS(2622),
    [anon_sym_extern] = ACTIONS(2622),
    [anon_sym___attribute__] = ACTIONS(2622),
    [anon_sym___attribute] = ACTIONS(2622),
    [anon_sym_noreturn] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym___declspec] = ACTIONS(2622),
    [anon_sym___cdecl] = ACTIONS(2622),
    [anon_sym___clrcall] = ACTIONS(2622),
    [anon_sym___stdcall] = ACTIONS(2622),
    [anon_sym___fastcall] = ACTIONS(2622),
    [anon_sym___thiscall] = ACTIONS(2622),
    [anon_sym___vectorcall] = ACTIONS(2622),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_RBRACE] = ACTIONS(2624),
    [anon_sym_signed] = ACTIONS(2622),
    [anon_sym_unsigned] = ACTIONS(2622),
    [anon_sym_long] = ACTIONS(2622),
    [anon_sym_short] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_ATautoreleasepool] = ACTIONS(2624),
    [anon_sym_auto] = ACTIONS(2622),
    [anon_sym_register] = ACTIONS(2622),
    [anon_sym_inline] = ACTIONS(2622),
    [anon_sym___inline] = ACTIONS(2622),
    [anon_sym___inline__] = ACTIONS(2622),
    [anon_sym___forceinline] = ACTIONS(2622),
    [anon_sym_thread_local] = ACTIONS(2622),
    [anon_sym___thread] = ACTIONS(2622),
    [anon_sym_CG_EXTERN] = ACTIONS(2622),
    [anon_sym_CG_INLINE] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2622),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2622),
    [anon_sym_IBOutlet] = ACTIONS(2622),
    [anon_sym_IBInspectable] = ACTIONS(2622),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2622),
    [anon_sym_NS_INLINE] = ACTIONS(2622),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2622),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2622),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_constexpr] = ACTIONS(2622),
    [anon_sym_volatile] = ACTIONS(2622),
    [anon_sym_restrict] = ACTIONS(2622),
    [anon_sym___restrict__] = ACTIONS(2622),
    [anon_sym__Atomic] = ACTIONS(2622),
    [anon_sym__Noreturn] = ACTIONS(2622),
    [anon_sym__Nonnull] = ACTIONS(2622),
    [anon_sym_nullable] = ACTIONS(2622),
    [anon_sym__Complex] = ACTIONS(2622),
    [anon_sym__Nullable] = ACTIONS(2622),
    [anon_sym__Nullable_result] = ACTIONS(2622),
    [anon_sym__Null_unspecified] = ACTIONS(2622),
    [anon_sym___autoreleasing] = ACTIONS(2622),
    [anon_sym___block] = ACTIONS(2622),
    [anon_sym___bridge] = ACTIONS(2622),
    [anon_sym___bridge_retained] = ACTIONS(2622),
    [anon_sym___bridge_transfer] = ACTIONS(2622),
    [anon_sym___complex] = ACTIONS(2622),
    [anon_sym___const] = ACTIONS(2622),
    [anon_sym___imag] = ACTIONS(2622),
    [anon_sym___kindof] = ACTIONS(2622),
    [anon_sym___nonnull] = ACTIONS(2622),
    [anon_sym___nullable] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2622),
    [anon_sym___real] = ACTIONS(2622),
    [anon_sym___strong] = ACTIONS(2622),
    [anon_sym___unsafe_unretained] = ACTIONS(2622),
    [anon_sym___unused] = ACTIONS(2622),
    [anon_sym___weak] = ACTIONS(2622),
    [anon_sym_alignas] = ACTIONS(2622),
    [anon_sym__Alignas] = ACTIONS(2622),
    [sym_primitive_type] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [anon_sym_struct] = ACTIONS(2622),
    [anon_sym_union] = ACTIONS(2622),
    [anon_sym_if] = ACTIONS(2622),
    [anon_sym_switch] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2622),
    [anon_sym_default] = ACTIONS(2622),
    [anon_sym_while] = ACTIONS(2622),
    [anon_sym_do] = ACTIONS(2622),
    [anon_sym_for] = ACTIONS(2622),
    [anon_sym_in] = ACTIONS(2622),
    [anon_sym_return] = ACTIONS(2622),
    [anon_sym_break] = ACTIONS(2622),
    [anon_sym_continue] = ACTIONS(2622),
    [anon_sym_goto] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_sizeof] = ACTIONS(2622),
    [anon_sym___alignof__] = ACTIONS(2622),
    [anon_sym___alignof] = ACTIONS(2622),
    [anon_sym__alignof] = ACTIONS(2622),
    [anon_sym_alignof] = ACTIONS(2622),
    [anon_sym__Alignof] = ACTIONS(2622),
    [anon_sym_offsetof] = ACTIONS(2622),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2622),
    [anon_sym___asm__] = ACTIONS(2622),
    [anon_sym___asm] = ACTIONS(2622),
    [sym_number_literal] = ACTIONS(2624),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2624),
    [anon_sym_u_DQUOTE] = ACTIONS(2624),
    [anon_sym_U_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8_DQUOTE] = ACTIONS(2624),
    [sym_true] = ACTIONS(2622),
    [sym_false] = ACTIONS(2622),
    [anon_sym_NULL] = ACTIONS(2622),
    [anon_sym_nullptr] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2622),
    [anon_sym___typeof] = ACTIONS(2622),
    [anon_sym_typeof] = ACTIONS(2622),
    [anon_sym_ATimport] = ACTIONS(2624),
    [aux_sym_preproc_undef_token1] = ACTIONS(2622),
    [anon_sym_POUND] = ACTIONS(2622),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2622),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2622),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2622),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_API_AVAILABLE] = ACTIONS(2622),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_API_DEPRECATED] = ACTIONS(2622),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym___deprecated_msg] = ACTIONS(2622),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2622),
    [anon_sym_ATprotocol] = ACTIONS(2624),
    [anon_sym_ATinterface] = ACTIONS(2624),
    [anon_sym_ATimplementation] = ACTIONS(2624),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2624),
    [anon_sym_ATtry] = ACTIONS(2624),
    [anon_sym___try] = ACTIONS(2622),
    [anon_sym_ATthrow] = ACTIONS(2624),
    [anon_sym_ATselector] = ACTIONS(2624),
    [anon_sym_ATavailable] = ACTIONS(2624),
    [anon_sym___builtin_available] = ACTIONS(2622),
    [anon_sym_va_arg] = ACTIONS(2622),
    [anon_sym_ATencode] = ACTIONS(2624),
    [anon_sym_ATsynchronized] = ACTIONS(2624),
    [anon_sym_BOOL] = ACTIONS(2622),
    [anon_sym_IMP] = ACTIONS(2622),
    [anon_sym_SEL] = ACTIONS(2622),
    [anon_sym_Class] = ACTIONS(2622),
    [anon_sym_id] = ACTIONS(2622),
  },
  [867] = {
    [sym_identifier] = ACTIONS(2622),
    [aux_sym_preproc_include_token1] = ACTIONS(2622),
    [aux_sym_preproc_include_token2] = ACTIONS(2622),
    [aux_sym_preproc_def_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2622),
    [sym_preproc_directive] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_CARET] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym___extension__] = ACTIONS(2622),
    [anon_sym_typedef] = ACTIONS(2622),
    [anon_sym_extern] = ACTIONS(2622),
    [anon_sym___attribute__] = ACTIONS(2622),
    [anon_sym___attribute] = ACTIONS(2622),
    [anon_sym_noreturn] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym___declspec] = ACTIONS(2622),
    [anon_sym___cdecl] = ACTIONS(2622),
    [anon_sym___clrcall] = ACTIONS(2622),
    [anon_sym___stdcall] = ACTIONS(2622),
    [anon_sym___fastcall] = ACTIONS(2622),
    [anon_sym___thiscall] = ACTIONS(2622),
    [anon_sym___vectorcall] = ACTIONS(2622),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_RBRACE] = ACTIONS(2624),
    [anon_sym_signed] = ACTIONS(2622),
    [anon_sym_unsigned] = ACTIONS(2622),
    [anon_sym_long] = ACTIONS(2622),
    [anon_sym_short] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_ATautoreleasepool] = ACTIONS(2624),
    [anon_sym_auto] = ACTIONS(2622),
    [anon_sym_register] = ACTIONS(2622),
    [anon_sym_inline] = ACTIONS(2622),
    [anon_sym___inline] = ACTIONS(2622),
    [anon_sym___inline__] = ACTIONS(2622),
    [anon_sym___forceinline] = ACTIONS(2622),
    [anon_sym_thread_local] = ACTIONS(2622),
    [anon_sym___thread] = ACTIONS(2622),
    [anon_sym_CG_EXTERN] = ACTIONS(2622),
    [anon_sym_CG_INLINE] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2622),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2622),
    [anon_sym_IBOutlet] = ACTIONS(2622),
    [anon_sym_IBInspectable] = ACTIONS(2622),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2622),
    [anon_sym_NS_INLINE] = ACTIONS(2622),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2622),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2622),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_constexpr] = ACTIONS(2622),
    [anon_sym_volatile] = ACTIONS(2622),
    [anon_sym_restrict] = ACTIONS(2622),
    [anon_sym___restrict__] = ACTIONS(2622),
    [anon_sym__Atomic] = ACTIONS(2622),
    [anon_sym__Noreturn] = ACTIONS(2622),
    [anon_sym__Nonnull] = ACTIONS(2622),
    [anon_sym_nullable] = ACTIONS(2622),
    [anon_sym__Complex] = ACTIONS(2622),
    [anon_sym__Nullable] = ACTIONS(2622),
    [anon_sym__Nullable_result] = ACTIONS(2622),
    [anon_sym__Null_unspecified] = ACTIONS(2622),
    [anon_sym___autoreleasing] = ACTIONS(2622),
    [anon_sym___block] = ACTIONS(2622),
    [anon_sym___bridge] = ACTIONS(2622),
    [anon_sym___bridge_retained] = ACTIONS(2622),
    [anon_sym___bridge_transfer] = ACTIONS(2622),
    [anon_sym___complex] = ACTIONS(2622),
    [anon_sym___const] = ACTIONS(2622),
    [anon_sym___imag] = ACTIONS(2622),
    [anon_sym___kindof] = ACTIONS(2622),
    [anon_sym___nonnull] = ACTIONS(2622),
    [anon_sym___nullable] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2622),
    [anon_sym___real] = ACTIONS(2622),
    [anon_sym___strong] = ACTIONS(2622),
    [anon_sym___unsafe_unretained] = ACTIONS(2622),
    [anon_sym___unused] = ACTIONS(2622),
    [anon_sym___weak] = ACTIONS(2622),
    [anon_sym_alignas] = ACTIONS(2622),
    [anon_sym__Alignas] = ACTIONS(2622),
    [sym_primitive_type] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [anon_sym_struct] = ACTIONS(2622),
    [anon_sym_union] = ACTIONS(2622),
    [anon_sym_if] = ACTIONS(2622),
    [anon_sym_switch] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2622),
    [anon_sym_default] = ACTIONS(2622),
    [anon_sym_while] = ACTIONS(2622),
    [anon_sym_do] = ACTIONS(2622),
    [anon_sym_for] = ACTIONS(2622),
    [anon_sym_in] = ACTIONS(2622),
    [anon_sym_return] = ACTIONS(2622),
    [anon_sym_break] = ACTIONS(2622),
    [anon_sym_continue] = ACTIONS(2622),
    [anon_sym_goto] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_sizeof] = ACTIONS(2622),
    [anon_sym___alignof__] = ACTIONS(2622),
    [anon_sym___alignof] = ACTIONS(2622),
    [anon_sym__alignof] = ACTIONS(2622),
    [anon_sym_alignof] = ACTIONS(2622),
    [anon_sym__Alignof] = ACTIONS(2622),
    [anon_sym_offsetof] = ACTIONS(2622),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2622),
    [anon_sym___asm__] = ACTIONS(2622),
    [anon_sym___asm] = ACTIONS(2622),
    [sym_number_literal] = ACTIONS(2624),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2624),
    [anon_sym_u_DQUOTE] = ACTIONS(2624),
    [anon_sym_U_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8_DQUOTE] = ACTIONS(2624),
    [sym_true] = ACTIONS(2622),
    [sym_false] = ACTIONS(2622),
    [anon_sym_NULL] = ACTIONS(2622),
    [anon_sym_nullptr] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2622),
    [anon_sym___typeof] = ACTIONS(2622),
    [anon_sym_typeof] = ACTIONS(2622),
    [anon_sym_ATimport] = ACTIONS(2624),
    [aux_sym_preproc_undef_token1] = ACTIONS(2622),
    [anon_sym_POUND] = ACTIONS(2622),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2622),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2622),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2622),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_API_AVAILABLE] = ACTIONS(2622),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_API_DEPRECATED] = ACTIONS(2622),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym___deprecated_msg] = ACTIONS(2622),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2622),
    [anon_sym_ATprotocol] = ACTIONS(2624),
    [anon_sym_ATinterface] = ACTIONS(2624),
    [anon_sym_ATimplementation] = ACTIONS(2624),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2624),
    [anon_sym_ATtry] = ACTIONS(2624),
    [anon_sym___try] = ACTIONS(2622),
    [anon_sym_ATthrow] = ACTIONS(2624),
    [anon_sym_ATselector] = ACTIONS(2624),
    [anon_sym_ATavailable] = ACTIONS(2624),
    [anon_sym___builtin_available] = ACTIONS(2622),
    [anon_sym_va_arg] = ACTIONS(2622),
    [anon_sym_ATencode] = ACTIONS(2624),
    [anon_sym_ATsynchronized] = ACTIONS(2624),
    [anon_sym_BOOL] = ACTIONS(2622),
    [anon_sym_IMP] = ACTIONS(2622),
    [anon_sym_SEL] = ACTIONS(2622),
    [anon_sym_Class] = ACTIONS(2622),
    [anon_sym_id] = ACTIONS(2622),
  },
  [868] = {
    [sym_identifier] = ACTIONS(2626),
    [aux_sym_preproc_include_token1] = ACTIONS(2626),
    [aux_sym_preproc_include_token2] = ACTIONS(2626),
    [aux_sym_preproc_def_token1] = ACTIONS(2626),
    [aux_sym_preproc_if_token1] = ACTIONS(2626),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2626),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2626),
    [sym_preproc_directive] = ACTIONS(2626),
    [anon_sym_LPAREN2] = ACTIONS(2628),
    [anon_sym_BANG] = ACTIONS(2628),
    [anon_sym_TILDE] = ACTIONS(2628),
    [anon_sym_DASH] = ACTIONS(2626),
    [anon_sym_PLUS] = ACTIONS(2626),
    [anon_sym_STAR] = ACTIONS(2628),
    [anon_sym_CARET] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2628),
    [anon_sym_SEMI] = ACTIONS(2628),
    [anon_sym___extension__] = ACTIONS(2626),
    [anon_sym_typedef] = ACTIONS(2626),
    [anon_sym_extern] = ACTIONS(2626),
    [anon_sym___attribute__] = ACTIONS(2626),
    [anon_sym___attribute] = ACTIONS(2626),
    [anon_sym_noreturn] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2628),
    [anon_sym___declspec] = ACTIONS(2626),
    [anon_sym___cdecl] = ACTIONS(2626),
    [anon_sym___clrcall] = ACTIONS(2626),
    [anon_sym___stdcall] = ACTIONS(2626),
    [anon_sym___fastcall] = ACTIONS(2626),
    [anon_sym___thiscall] = ACTIONS(2626),
    [anon_sym___vectorcall] = ACTIONS(2626),
    [anon_sym_LBRACE] = ACTIONS(2628),
    [anon_sym_RBRACE] = ACTIONS(2628),
    [anon_sym_signed] = ACTIONS(2626),
    [anon_sym_unsigned] = ACTIONS(2626),
    [anon_sym_long] = ACTIONS(2626),
    [anon_sym_short] = ACTIONS(2626),
    [anon_sym_static] = ACTIONS(2626),
    [anon_sym_ATautoreleasepool] = ACTIONS(2628),
    [anon_sym_auto] = ACTIONS(2626),
    [anon_sym_register] = ACTIONS(2626),
    [anon_sym_inline] = ACTIONS(2626),
    [anon_sym___inline] = ACTIONS(2626),
    [anon_sym___inline__] = ACTIONS(2626),
    [anon_sym___forceinline] = ACTIONS(2626),
    [anon_sym_thread_local] = ACTIONS(2626),
    [anon_sym___thread] = ACTIONS(2626),
    [anon_sym_CG_EXTERN] = ACTIONS(2626),
    [anon_sym_CG_INLINE] = ACTIONS(2626),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2626),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2626),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2626),
    [anon_sym_IBOutlet] = ACTIONS(2626),
    [anon_sym_IBInspectable] = ACTIONS(2626),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2626),
    [anon_sym_NS_INLINE] = ACTIONS(2626),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2626),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2626),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2626),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2626),
    [anon_sym_const] = ACTIONS(2626),
    [anon_sym_constexpr] = ACTIONS(2626),
    [anon_sym_volatile] = ACTIONS(2626),
    [anon_sym_restrict] = ACTIONS(2626),
    [anon_sym___restrict__] = ACTIONS(2626),
    [anon_sym__Atomic] = ACTIONS(2626),
    [anon_sym__Noreturn] = ACTIONS(2626),
    [anon_sym__Nonnull] = ACTIONS(2626),
    [anon_sym_nullable] = ACTIONS(2626),
    [anon_sym__Complex] = ACTIONS(2626),
    [anon_sym__Nullable] = ACTIONS(2626),
    [anon_sym__Nullable_result] = ACTIONS(2626),
    [anon_sym__Null_unspecified] = ACTIONS(2626),
    [anon_sym___autoreleasing] = ACTIONS(2626),
    [anon_sym___block] = ACTIONS(2626),
    [anon_sym___bridge] = ACTIONS(2626),
    [anon_sym___bridge_retained] = ACTIONS(2626),
    [anon_sym___bridge_transfer] = ACTIONS(2626),
    [anon_sym___complex] = ACTIONS(2626),
    [anon_sym___const] = ACTIONS(2626),
    [anon_sym___imag] = ACTIONS(2626),
    [anon_sym___kindof] = ACTIONS(2626),
    [anon_sym___nonnull] = ACTIONS(2626),
    [anon_sym___nullable] = ACTIONS(2626),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2626),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2626),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2626),
    [anon_sym___real] = ACTIONS(2626),
    [anon_sym___strong] = ACTIONS(2626),
    [anon_sym___unsafe_unretained] = ACTIONS(2626),
    [anon_sym___unused] = ACTIONS(2626),
    [anon_sym___weak] = ACTIONS(2626),
    [anon_sym_alignas] = ACTIONS(2626),
    [anon_sym__Alignas] = ACTIONS(2626),
    [sym_primitive_type] = ACTIONS(2626),
    [anon_sym_enum] = ACTIONS(2626),
    [anon_sym_struct] = ACTIONS(2626),
    [anon_sym_union] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2626),
    [anon_sym_switch] = ACTIONS(2626),
    [anon_sym_case] = ACTIONS(2626),
    [anon_sym_default] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2626),
    [anon_sym_do] = ACTIONS(2626),
    [anon_sym_for] = ACTIONS(2626),
    [anon_sym_in] = ACTIONS(2626),
    [anon_sym_return] = ACTIONS(2626),
    [anon_sym_break] = ACTIONS(2626),
    [anon_sym_continue] = ACTIONS(2626),
    [anon_sym_goto] = ACTIONS(2626),
    [anon_sym_DASH_DASH] = ACTIONS(2628),
    [anon_sym_PLUS_PLUS] = ACTIONS(2628),
    [anon_sym_sizeof] = ACTIONS(2626),
    [anon_sym___alignof__] = ACTIONS(2626),
    [anon_sym___alignof] = ACTIONS(2626),
    [anon_sym__alignof] = ACTIONS(2626),
    [anon_sym_alignof] = ACTIONS(2626),
    [anon_sym__Alignof] = ACTIONS(2626),
    [anon_sym_offsetof] = ACTIONS(2626),
    [anon_sym__Generic] = ACTIONS(2626),
    [anon_sym_asm] = ACTIONS(2626),
    [anon_sym___asm__] = ACTIONS(2626),
    [anon_sym___asm] = ACTIONS(2626),
    [sym_number_literal] = ACTIONS(2628),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_AT] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2628),
    [anon_sym_u_DQUOTE] = ACTIONS(2628),
    [anon_sym_U_DQUOTE] = ACTIONS(2628),
    [anon_sym_u8_DQUOTE] = ACTIONS(2628),
    [sym_true] = ACTIONS(2626),
    [sym_false] = ACTIONS(2626),
    [anon_sym_NULL] = ACTIONS(2626),
    [anon_sym_nullptr] = ACTIONS(2626),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2626),
    [anon_sym___typeof] = ACTIONS(2626),
    [anon_sym_typeof] = ACTIONS(2626),
    [anon_sym_ATimport] = ACTIONS(2628),
    [aux_sym_preproc_undef_token1] = ACTIONS(2626),
    [anon_sym_POUND] = ACTIONS(2626),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2626),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2626),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2626),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2626),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2626),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2626),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2626),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2626),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2626),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2626),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2626),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2626),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2626),
    [anon_sym_API_AVAILABLE] = ACTIONS(2626),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2626),
    [anon_sym_API_DEPRECATED] = ACTIONS(2626),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2626),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2626),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2626),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2626),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2626),
    [anon_sym___deprecated_msg] = ACTIONS(2626),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2626),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2626),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2626),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2626),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2626),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2626),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2626),
    [anon_sym_ATprotocol] = ACTIONS(2628),
    [anon_sym_ATinterface] = ACTIONS(2628),
    [anon_sym_ATimplementation] = ACTIONS(2628),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2628),
    [anon_sym_ATtry] = ACTIONS(2628),
    [anon_sym___try] = ACTIONS(2626),
    [anon_sym_ATthrow] = ACTIONS(2628),
    [anon_sym_ATselector] = ACTIONS(2628),
    [anon_sym_ATavailable] = ACTIONS(2628),
    [anon_sym___builtin_available] = ACTIONS(2626),
    [anon_sym_va_arg] = ACTIONS(2626),
    [anon_sym_ATencode] = ACTIONS(2628),
    [anon_sym_ATsynchronized] = ACTIONS(2628),
    [anon_sym_BOOL] = ACTIONS(2626),
    [anon_sym_IMP] = ACTIONS(2626),
    [anon_sym_SEL] = ACTIONS(2626),
    [anon_sym_Class] = ACTIONS(2626),
    [anon_sym_id] = ACTIONS(2626),
  },
  [869] = {
    [sym_identifier] = ACTIONS(2630),
    [aux_sym_preproc_include_token1] = ACTIONS(2630),
    [aux_sym_preproc_include_token2] = ACTIONS(2630),
    [aux_sym_preproc_def_token1] = ACTIONS(2630),
    [aux_sym_preproc_if_token1] = ACTIONS(2630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2630),
    [sym_preproc_directive] = ACTIONS(2630),
    [anon_sym_LPAREN2] = ACTIONS(2632),
    [anon_sym_BANG] = ACTIONS(2632),
    [anon_sym_TILDE] = ACTIONS(2632),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2632),
    [anon_sym_CARET] = ACTIONS(2632),
    [anon_sym_AMP] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2632),
    [anon_sym___extension__] = ACTIONS(2630),
    [anon_sym_typedef] = ACTIONS(2630),
    [anon_sym_extern] = ACTIONS(2630),
    [anon_sym___attribute__] = ACTIONS(2630),
    [anon_sym___attribute] = ACTIONS(2630),
    [anon_sym_noreturn] = ACTIONS(2630),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym___declspec] = ACTIONS(2630),
    [anon_sym___cdecl] = ACTIONS(2630),
    [anon_sym___clrcall] = ACTIONS(2630),
    [anon_sym___stdcall] = ACTIONS(2630),
    [anon_sym___fastcall] = ACTIONS(2630),
    [anon_sym___thiscall] = ACTIONS(2630),
    [anon_sym___vectorcall] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_RBRACE] = ACTIONS(2632),
    [anon_sym_signed] = ACTIONS(2630),
    [anon_sym_unsigned] = ACTIONS(2630),
    [anon_sym_long] = ACTIONS(2630),
    [anon_sym_short] = ACTIONS(2630),
    [anon_sym_static] = ACTIONS(2630),
    [anon_sym_ATautoreleasepool] = ACTIONS(2632),
    [anon_sym_auto] = ACTIONS(2630),
    [anon_sym_register] = ACTIONS(2630),
    [anon_sym_inline] = ACTIONS(2630),
    [anon_sym___inline] = ACTIONS(2630),
    [anon_sym___inline__] = ACTIONS(2630),
    [anon_sym___forceinline] = ACTIONS(2630),
    [anon_sym_thread_local] = ACTIONS(2630),
    [anon_sym___thread] = ACTIONS(2630),
    [anon_sym_CG_EXTERN] = ACTIONS(2630),
    [anon_sym_CG_INLINE] = ACTIONS(2630),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2630),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2630),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2630),
    [anon_sym_IBOutlet] = ACTIONS(2630),
    [anon_sym_IBInspectable] = ACTIONS(2630),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2630),
    [anon_sym_NS_INLINE] = ACTIONS(2630),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2630),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2630),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2630),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2630),
    [anon_sym_const] = ACTIONS(2630),
    [anon_sym_constexpr] = ACTIONS(2630),
    [anon_sym_volatile] = ACTIONS(2630),
    [anon_sym_restrict] = ACTIONS(2630),
    [anon_sym___restrict__] = ACTIONS(2630),
    [anon_sym__Atomic] = ACTIONS(2630),
    [anon_sym__Noreturn] = ACTIONS(2630),
    [anon_sym__Nonnull] = ACTIONS(2630),
    [anon_sym_nullable] = ACTIONS(2630),
    [anon_sym__Complex] = ACTIONS(2630),
    [anon_sym__Nullable] = ACTIONS(2630),
    [anon_sym__Nullable_result] = ACTIONS(2630),
    [anon_sym__Null_unspecified] = ACTIONS(2630),
    [anon_sym___autoreleasing] = ACTIONS(2630),
    [anon_sym___block] = ACTIONS(2630),
    [anon_sym___bridge] = ACTIONS(2630),
    [anon_sym___bridge_retained] = ACTIONS(2630),
    [anon_sym___bridge_transfer] = ACTIONS(2630),
    [anon_sym___complex] = ACTIONS(2630),
    [anon_sym___const] = ACTIONS(2630),
    [anon_sym___imag] = ACTIONS(2630),
    [anon_sym___kindof] = ACTIONS(2630),
    [anon_sym___nonnull] = ACTIONS(2630),
    [anon_sym___nullable] = ACTIONS(2630),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2630),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2630),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2630),
    [anon_sym___real] = ACTIONS(2630),
    [anon_sym___strong] = ACTIONS(2630),
    [anon_sym___unsafe_unretained] = ACTIONS(2630),
    [anon_sym___unused] = ACTIONS(2630),
    [anon_sym___weak] = ACTIONS(2630),
    [anon_sym_alignas] = ACTIONS(2630),
    [anon_sym__Alignas] = ACTIONS(2630),
    [sym_primitive_type] = ACTIONS(2630),
    [anon_sym_enum] = ACTIONS(2630),
    [anon_sym_struct] = ACTIONS(2630),
    [anon_sym_union] = ACTIONS(2630),
    [anon_sym_if] = ACTIONS(2630),
    [anon_sym_switch] = ACTIONS(2630),
    [anon_sym_case] = ACTIONS(2630),
    [anon_sym_default] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2630),
    [anon_sym_do] = ACTIONS(2630),
    [anon_sym_for] = ACTIONS(2630),
    [anon_sym_in] = ACTIONS(2630),
    [anon_sym_return] = ACTIONS(2630),
    [anon_sym_break] = ACTIONS(2630),
    [anon_sym_continue] = ACTIONS(2630),
    [anon_sym_goto] = ACTIONS(2630),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_sizeof] = ACTIONS(2630),
    [anon_sym___alignof__] = ACTIONS(2630),
    [anon_sym___alignof] = ACTIONS(2630),
    [anon_sym__alignof] = ACTIONS(2630),
    [anon_sym_alignof] = ACTIONS(2630),
    [anon_sym__Alignof] = ACTIONS(2630),
    [anon_sym_offsetof] = ACTIONS(2630),
    [anon_sym__Generic] = ACTIONS(2630),
    [anon_sym_asm] = ACTIONS(2630),
    [anon_sym___asm__] = ACTIONS(2630),
    [anon_sym___asm] = ACTIONS(2630),
    [sym_number_literal] = ACTIONS(2632),
    [anon_sym_L_SQUOTE] = ACTIONS(2632),
    [anon_sym_u_SQUOTE] = ACTIONS(2632),
    [anon_sym_U_SQUOTE] = ACTIONS(2632),
    [anon_sym_u8_SQUOTE] = ACTIONS(2632),
    [anon_sym_SQUOTE] = ACTIONS(2632),
    [anon_sym_AT] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2632),
    [anon_sym_L_DQUOTE] = ACTIONS(2632),
    [anon_sym_u_DQUOTE] = ACTIONS(2632),
    [anon_sym_U_DQUOTE] = ACTIONS(2632),
    [anon_sym_u8_DQUOTE] = ACTIONS(2632),
    [sym_true] = ACTIONS(2630),
    [sym_false] = ACTIONS(2630),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2630),
    [anon_sym___typeof] = ACTIONS(2630),
    [anon_sym_typeof] = ACTIONS(2630),
    [anon_sym_ATimport] = ACTIONS(2632),
    [aux_sym_preproc_undef_token1] = ACTIONS(2630),
    [anon_sym_POUND] = ACTIONS(2630),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2630),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2630),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2630),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2630),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2630),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2630),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2630),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2630),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2630),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2630),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2630),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2630),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2630),
    [anon_sym_API_AVAILABLE] = ACTIONS(2630),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2630),
    [anon_sym_API_DEPRECATED] = ACTIONS(2630),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2630),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2630),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2630),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2630),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2630),
    [anon_sym___deprecated_msg] = ACTIONS(2630),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2630),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2630),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2630),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2630),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2630),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2630),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2630),
    [anon_sym_ATprotocol] = ACTIONS(2632),
    [anon_sym_ATinterface] = ACTIONS(2632),
    [anon_sym_ATimplementation] = ACTIONS(2632),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2632),
    [anon_sym_ATtry] = ACTIONS(2632),
    [anon_sym___try] = ACTIONS(2630),
    [anon_sym_ATthrow] = ACTIONS(2632),
    [anon_sym_ATselector] = ACTIONS(2632),
    [anon_sym_ATavailable] = ACTIONS(2632),
    [anon_sym___builtin_available] = ACTIONS(2630),
    [anon_sym_va_arg] = ACTIONS(2630),
    [anon_sym_ATencode] = ACTIONS(2632),
    [anon_sym_ATsynchronized] = ACTIONS(2632),
    [anon_sym_BOOL] = ACTIONS(2630),
    [anon_sym_IMP] = ACTIONS(2630),
    [anon_sym_SEL] = ACTIONS(2630),
    [anon_sym_Class] = ACTIONS(2630),
    [anon_sym_id] = ACTIONS(2630),
  },
  [870] = {
    [sym_identifier] = ACTIONS(2812),
    [aux_sym_preproc_include_token1] = ACTIONS(2812),
    [aux_sym_preproc_include_token2] = ACTIONS(2812),
    [aux_sym_preproc_def_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2812),
    [sym_preproc_directive] = ACTIONS(2812),
    [anon_sym_LPAREN2] = ACTIONS(2814),
    [anon_sym_BANG] = ACTIONS(2814),
    [anon_sym_TILDE] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2812),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_CARET] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2814),
    [anon_sym___extension__] = ACTIONS(2812),
    [anon_sym_typedef] = ACTIONS(2812),
    [anon_sym_extern] = ACTIONS(2812),
    [anon_sym___attribute__] = ACTIONS(2812),
    [anon_sym___attribute] = ACTIONS(2812),
    [anon_sym_noreturn] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym___declspec] = ACTIONS(2812),
    [anon_sym___cdecl] = ACTIONS(2812),
    [anon_sym___clrcall] = ACTIONS(2812),
    [anon_sym___stdcall] = ACTIONS(2812),
    [anon_sym___fastcall] = ACTIONS(2812),
    [anon_sym___thiscall] = ACTIONS(2812),
    [anon_sym___vectorcall] = ACTIONS(2812),
    [anon_sym_LBRACE] = ACTIONS(2814),
    [anon_sym_RBRACE] = ACTIONS(2814),
    [anon_sym_signed] = ACTIONS(2812),
    [anon_sym_unsigned] = ACTIONS(2812),
    [anon_sym_long] = ACTIONS(2812),
    [anon_sym_short] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2812),
    [anon_sym_ATautoreleasepool] = ACTIONS(2814),
    [anon_sym_auto] = ACTIONS(2812),
    [anon_sym_register] = ACTIONS(2812),
    [anon_sym_inline] = ACTIONS(2812),
    [anon_sym___inline] = ACTIONS(2812),
    [anon_sym___inline__] = ACTIONS(2812),
    [anon_sym___forceinline] = ACTIONS(2812),
    [anon_sym_thread_local] = ACTIONS(2812),
    [anon_sym___thread] = ACTIONS(2812),
    [anon_sym_CG_EXTERN] = ACTIONS(2812),
    [anon_sym_CG_INLINE] = ACTIONS(2812),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2812),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2812),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2812),
    [anon_sym_IBOutlet] = ACTIONS(2812),
    [anon_sym_IBInspectable] = ACTIONS(2812),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2812),
    [anon_sym_NS_INLINE] = ACTIONS(2812),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2812),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2812),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2812),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2812),
    [anon_sym_const] = ACTIONS(2812),
    [anon_sym_constexpr] = ACTIONS(2812),
    [anon_sym_volatile] = ACTIONS(2812),
    [anon_sym_restrict] = ACTIONS(2812),
    [anon_sym___restrict__] = ACTIONS(2812),
    [anon_sym__Atomic] = ACTIONS(2812),
    [anon_sym__Noreturn] = ACTIONS(2812),
    [anon_sym__Nonnull] = ACTIONS(2812),
    [anon_sym_nullable] = ACTIONS(2812),
    [anon_sym__Complex] = ACTIONS(2812),
    [anon_sym__Nullable] = ACTIONS(2812),
    [anon_sym__Nullable_result] = ACTIONS(2812),
    [anon_sym__Null_unspecified] = ACTIONS(2812),
    [anon_sym___autoreleasing] = ACTIONS(2812),
    [anon_sym___block] = ACTIONS(2812),
    [anon_sym___bridge] = ACTIONS(2812),
    [anon_sym___bridge_retained] = ACTIONS(2812),
    [anon_sym___bridge_transfer] = ACTIONS(2812),
    [anon_sym___complex] = ACTIONS(2812),
    [anon_sym___const] = ACTIONS(2812),
    [anon_sym___imag] = ACTIONS(2812),
    [anon_sym___kindof] = ACTIONS(2812),
    [anon_sym___nonnull] = ACTIONS(2812),
    [anon_sym___nullable] = ACTIONS(2812),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2812),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2812),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2812),
    [anon_sym___real] = ACTIONS(2812),
    [anon_sym___strong] = ACTIONS(2812),
    [anon_sym___unsafe_unretained] = ACTIONS(2812),
    [anon_sym___unused] = ACTIONS(2812),
    [anon_sym___weak] = ACTIONS(2812),
    [anon_sym_alignas] = ACTIONS(2812),
    [anon_sym__Alignas] = ACTIONS(2812),
    [sym_primitive_type] = ACTIONS(2812),
    [anon_sym_enum] = ACTIONS(2812),
    [anon_sym_struct] = ACTIONS(2812),
    [anon_sym_union] = ACTIONS(2812),
    [anon_sym_if] = ACTIONS(2812),
    [anon_sym_switch] = ACTIONS(2812),
    [anon_sym_case] = ACTIONS(2812),
    [anon_sym_default] = ACTIONS(2812),
    [anon_sym_while] = ACTIONS(2812),
    [anon_sym_do] = ACTIONS(2812),
    [anon_sym_for] = ACTIONS(2812),
    [anon_sym_in] = ACTIONS(2812),
    [anon_sym_return] = ACTIONS(2812),
    [anon_sym_break] = ACTIONS(2812),
    [anon_sym_continue] = ACTIONS(2812),
    [anon_sym_goto] = ACTIONS(2812),
    [anon_sym_DASH_DASH] = ACTIONS(2814),
    [anon_sym_PLUS_PLUS] = ACTIONS(2814),
    [anon_sym_sizeof] = ACTIONS(2812),
    [anon_sym___alignof__] = ACTIONS(2812),
    [anon_sym___alignof] = ACTIONS(2812),
    [anon_sym__alignof] = ACTIONS(2812),
    [anon_sym_alignof] = ACTIONS(2812),
    [anon_sym__Alignof] = ACTIONS(2812),
    [anon_sym_offsetof] = ACTIONS(2812),
    [anon_sym__Generic] = ACTIONS(2812),
    [anon_sym_asm] = ACTIONS(2812),
    [anon_sym___asm__] = ACTIONS(2812),
    [anon_sym___asm] = ACTIONS(2812),
    [sym_number_literal] = ACTIONS(2814),
    [anon_sym_L_SQUOTE] = ACTIONS(2814),
    [anon_sym_u_SQUOTE] = ACTIONS(2814),
    [anon_sym_U_SQUOTE] = ACTIONS(2814),
    [anon_sym_u8_SQUOTE] = ACTIONS(2814),
    [anon_sym_SQUOTE] = ACTIONS(2814),
    [anon_sym_AT] = ACTIONS(2812),
    [anon_sym_DQUOTE] = ACTIONS(2814),
    [anon_sym_L_DQUOTE] = ACTIONS(2814),
    [anon_sym_u_DQUOTE] = ACTIONS(2814),
    [anon_sym_U_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8_DQUOTE] = ACTIONS(2814),
    [sym_true] = ACTIONS(2812),
    [sym_false] = ACTIONS(2812),
    [anon_sym_NULL] = ACTIONS(2812),
    [anon_sym_nullptr] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2812),
    [anon_sym___typeof] = ACTIONS(2812),
    [anon_sym_typeof] = ACTIONS(2812),
    [anon_sym_ATimport] = ACTIONS(2814),
    [aux_sym_preproc_undef_token1] = ACTIONS(2812),
    [anon_sym_POUND] = ACTIONS(2812),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2812),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2812),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2812),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2812),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2812),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2812),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2812),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2812),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2812),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2812),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2812),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2812),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2812),
    [anon_sym_API_AVAILABLE] = ACTIONS(2812),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2812),
    [anon_sym_API_DEPRECATED] = ACTIONS(2812),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2812),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2812),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2812),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2812),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2812),
    [anon_sym___deprecated_msg] = ACTIONS(2812),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2812),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2812),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2812),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2812),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2812),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2812),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2812),
    [anon_sym_ATprotocol] = ACTIONS(2814),
    [anon_sym_ATinterface] = ACTIONS(2814),
    [anon_sym_ATimplementation] = ACTIONS(2814),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2814),
    [anon_sym_ATtry] = ACTIONS(2814),
    [anon_sym___try] = ACTIONS(2812),
    [anon_sym_ATthrow] = ACTIONS(2814),
    [anon_sym_ATselector] = ACTIONS(2814),
    [anon_sym_ATavailable] = ACTIONS(2814),
    [anon_sym___builtin_available] = ACTIONS(2812),
    [anon_sym_va_arg] = ACTIONS(2812),
    [anon_sym_ATencode] = ACTIONS(2814),
    [anon_sym_ATsynchronized] = ACTIONS(2814),
    [anon_sym_BOOL] = ACTIONS(2812),
    [anon_sym_IMP] = ACTIONS(2812),
    [anon_sym_SEL] = ACTIONS(2812),
    [anon_sym_Class] = ACTIONS(2812),
    [anon_sym_id] = ACTIONS(2812),
  },
  [871] = {
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_include_token1] = ACTIONS(2658),
    [aux_sym_preproc_include_token2] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2658),
    [sym_preproc_directive] = ACTIONS(2658),
    [anon_sym_LPAREN2] = ACTIONS(2660),
    [anon_sym_BANG] = ACTIONS(2660),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2660),
    [anon_sym_CARET] = ACTIONS(2660),
    [anon_sym_AMP] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2658),
    [anon_sym_typedef] = ACTIONS(2658),
    [anon_sym_extern] = ACTIONS(2658),
    [anon_sym___attribute__] = ACTIONS(2658),
    [anon_sym___attribute] = ACTIONS(2658),
    [anon_sym_noreturn] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym___declspec] = ACTIONS(2658),
    [anon_sym___cdecl] = ACTIONS(2658),
    [anon_sym___clrcall] = ACTIONS(2658),
    [anon_sym___stdcall] = ACTIONS(2658),
    [anon_sym___fastcall] = ACTIONS(2658),
    [anon_sym___thiscall] = ACTIONS(2658),
    [anon_sym___vectorcall] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_RBRACE] = ACTIONS(2660),
    [anon_sym_signed] = ACTIONS(2658),
    [anon_sym_unsigned] = ACTIONS(2658),
    [anon_sym_long] = ACTIONS(2658),
    [anon_sym_short] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2658),
    [anon_sym_ATautoreleasepool] = ACTIONS(2660),
    [anon_sym_auto] = ACTIONS(2658),
    [anon_sym_register] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym___inline] = ACTIONS(2658),
    [anon_sym___inline__] = ACTIONS(2658),
    [anon_sym___forceinline] = ACTIONS(2658),
    [anon_sym_thread_local] = ACTIONS(2658),
    [anon_sym___thread] = ACTIONS(2658),
    [anon_sym_CG_EXTERN] = ACTIONS(2658),
    [anon_sym_CG_INLINE] = ACTIONS(2658),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2658),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2658),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2658),
    [anon_sym_IBOutlet] = ACTIONS(2658),
    [anon_sym_IBInspectable] = ACTIONS(2658),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2658),
    [anon_sym_NS_INLINE] = ACTIONS(2658),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2658),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2658),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2658),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_constexpr] = ACTIONS(2658),
    [anon_sym_volatile] = ACTIONS(2658),
    [anon_sym_restrict] = ACTIONS(2658),
    [anon_sym___restrict__] = ACTIONS(2658),
    [anon_sym__Atomic] = ACTIONS(2658),
    [anon_sym__Noreturn] = ACTIONS(2658),
    [anon_sym__Nonnull] = ACTIONS(2658),
    [anon_sym_nullable] = ACTIONS(2658),
    [anon_sym__Complex] = ACTIONS(2658),
    [anon_sym__Nullable] = ACTIONS(2658),
    [anon_sym__Nullable_result] = ACTIONS(2658),
    [anon_sym__Null_unspecified] = ACTIONS(2658),
    [anon_sym___autoreleasing] = ACTIONS(2658),
    [anon_sym___block] = ACTIONS(2658),
    [anon_sym___bridge] = ACTIONS(2658),
    [anon_sym___bridge_retained] = ACTIONS(2658),
    [anon_sym___bridge_transfer] = ACTIONS(2658),
    [anon_sym___complex] = ACTIONS(2658),
    [anon_sym___const] = ACTIONS(2658),
    [anon_sym___imag] = ACTIONS(2658),
    [anon_sym___kindof] = ACTIONS(2658),
    [anon_sym___nonnull] = ACTIONS(2658),
    [anon_sym___nullable] = ACTIONS(2658),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2658),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2658),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2658),
    [anon_sym___real] = ACTIONS(2658),
    [anon_sym___strong] = ACTIONS(2658),
    [anon_sym___unsafe_unretained] = ACTIONS(2658),
    [anon_sym___unused] = ACTIONS(2658),
    [anon_sym___weak] = ACTIONS(2658),
    [anon_sym_alignas] = ACTIONS(2658),
    [anon_sym__Alignas] = ACTIONS(2658),
    [sym_primitive_type] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_struct] = ACTIONS(2658),
    [anon_sym_union] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_case] = ACTIONS(2658),
    [anon_sym_default] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_in] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_goto] = ACTIONS(2658),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_sizeof] = ACTIONS(2658),
    [anon_sym___alignof__] = ACTIONS(2658),
    [anon_sym___alignof] = ACTIONS(2658),
    [anon_sym__alignof] = ACTIONS(2658),
    [anon_sym_alignof] = ACTIONS(2658),
    [anon_sym__Alignof] = ACTIONS(2658),
    [anon_sym_offsetof] = ACTIONS(2658),
    [anon_sym__Generic] = ACTIONS(2658),
    [anon_sym_asm] = ACTIONS(2658),
    [anon_sym___asm__] = ACTIONS(2658),
    [anon_sym___asm] = ACTIONS(2658),
    [sym_number_literal] = ACTIONS(2660),
    [anon_sym_L_SQUOTE] = ACTIONS(2660),
    [anon_sym_u_SQUOTE] = ACTIONS(2660),
    [anon_sym_U_SQUOTE] = ACTIONS(2660),
    [anon_sym_u8_SQUOTE] = ACTIONS(2660),
    [anon_sym_SQUOTE] = ACTIONS(2660),
    [anon_sym_AT] = ACTIONS(2658),
    [anon_sym_DQUOTE] = ACTIONS(2660),
    [anon_sym_L_DQUOTE] = ACTIONS(2660),
    [anon_sym_u_DQUOTE] = ACTIONS(2660),
    [anon_sym_U_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8_DQUOTE] = ACTIONS(2660),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [anon_sym_NULL] = ACTIONS(2658),
    [anon_sym_nullptr] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2658),
    [anon_sym___typeof] = ACTIONS(2658),
    [anon_sym_typeof] = ACTIONS(2658),
    [anon_sym_ATimport] = ACTIONS(2660),
    [aux_sym_preproc_undef_token1] = ACTIONS(2658),
    [anon_sym_POUND] = ACTIONS(2658),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2658),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2658),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2658),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2658),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2658),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2658),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2658),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2658),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2658),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_API_AVAILABLE] = ACTIONS(2658),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_API_DEPRECATED] = ACTIONS(2658),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2658),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2658),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2658),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2658),
    [anon_sym___deprecated_msg] = ACTIONS(2658),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2658),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2658),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2658),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2658),
    [anon_sym_ATprotocol] = ACTIONS(2660),
    [anon_sym_ATinterface] = ACTIONS(2660),
    [anon_sym_ATimplementation] = ACTIONS(2660),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2660),
    [anon_sym_ATtry] = ACTIONS(2660),
    [anon_sym___try] = ACTIONS(2658),
    [anon_sym_ATthrow] = ACTIONS(2660),
    [anon_sym_ATselector] = ACTIONS(2660),
    [anon_sym_ATavailable] = ACTIONS(2660),
    [anon_sym___builtin_available] = ACTIONS(2658),
    [anon_sym_va_arg] = ACTIONS(2658),
    [anon_sym_ATencode] = ACTIONS(2660),
    [anon_sym_ATsynchronized] = ACTIONS(2660),
    [anon_sym_BOOL] = ACTIONS(2658),
    [anon_sym_IMP] = ACTIONS(2658),
    [anon_sym_SEL] = ACTIONS(2658),
    [anon_sym_Class] = ACTIONS(2658),
    [anon_sym_id] = ACTIONS(2658),
  },
  [872] = {
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_include_token1] = ACTIONS(2816),
    [aux_sym_preproc_include_token2] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_SEMI] = ACTIONS(2818),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym___attribute] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___cdecl] = ACTIONS(2816),
    [anon_sym___clrcall] = ACTIONS(2816),
    [anon_sym___stdcall] = ACTIONS(2816),
    [anon_sym___fastcall] = ACTIONS(2816),
    [anon_sym___thiscall] = ACTIONS(2816),
    [anon_sym___vectorcall] = ACTIONS(2816),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_RBRACE] = ACTIONS(2818),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_ATautoreleasepool] = ACTIONS(2818),
    [anon_sym_auto] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_CG_EXTERN] = ACTIONS(2816),
    [anon_sym_CG_INLINE] = ACTIONS(2816),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2816),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2816),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2816),
    [anon_sym_IBOutlet] = ACTIONS(2816),
    [anon_sym_IBInspectable] = ACTIONS(2816),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2816),
    [anon_sym_NS_INLINE] = ACTIONS(2816),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2816),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2816),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2816),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym__Nonnull] = ACTIONS(2816),
    [anon_sym_nullable] = ACTIONS(2816),
    [anon_sym__Complex] = ACTIONS(2816),
    [anon_sym__Nullable] = ACTIONS(2816),
    [anon_sym__Nullable_result] = ACTIONS(2816),
    [anon_sym__Null_unspecified] = ACTIONS(2816),
    [anon_sym___autoreleasing] = ACTIONS(2816),
    [anon_sym___block] = ACTIONS(2816),
    [anon_sym___bridge] = ACTIONS(2816),
    [anon_sym___bridge_retained] = ACTIONS(2816),
    [anon_sym___bridge_transfer] = ACTIONS(2816),
    [anon_sym___complex] = ACTIONS(2816),
    [anon_sym___const] = ACTIONS(2816),
    [anon_sym___imag] = ACTIONS(2816),
    [anon_sym___kindof] = ACTIONS(2816),
    [anon_sym___nonnull] = ACTIONS(2816),
    [anon_sym___nullable] = ACTIONS(2816),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2816),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2816),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2816),
    [anon_sym___real] = ACTIONS(2816),
    [anon_sym___strong] = ACTIONS(2816),
    [anon_sym___unsafe_unretained] = ACTIONS(2816),
    [anon_sym___unused] = ACTIONS(2816),
    [anon_sym___weak] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [anon_sym_if] = ACTIONS(2816),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_case] = ACTIONS(2816),
    [anon_sym_default] = ACTIONS(2816),
    [anon_sym_while] = ACTIONS(2816),
    [anon_sym_do] = ACTIONS(2816),
    [anon_sym_for] = ACTIONS(2816),
    [anon_sym_in] = ACTIONS(2816),
    [anon_sym_return] = ACTIONS(2816),
    [anon_sym_break] = ACTIONS(2816),
    [anon_sym_continue] = ACTIONS(2816),
    [anon_sym_goto] = ACTIONS(2816),
    [anon_sym_DASH_DASH] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2818),
    [anon_sym_sizeof] = ACTIONS(2816),
    [anon_sym___alignof__] = ACTIONS(2816),
    [anon_sym___alignof] = ACTIONS(2816),
    [anon_sym__alignof] = ACTIONS(2816),
    [anon_sym_alignof] = ACTIONS(2816),
    [anon_sym__Alignof] = ACTIONS(2816),
    [anon_sym_offsetof] = ACTIONS(2816),
    [anon_sym__Generic] = ACTIONS(2816),
    [anon_sym_asm] = ACTIONS(2816),
    [anon_sym___asm__] = ACTIONS(2816),
    [anon_sym___asm] = ACTIONS(2816),
    [sym_number_literal] = ACTIONS(2818),
    [anon_sym_L_SQUOTE] = ACTIONS(2818),
    [anon_sym_u_SQUOTE] = ACTIONS(2818),
    [anon_sym_U_SQUOTE] = ACTIONS(2818),
    [anon_sym_u8_SQUOTE] = ACTIONS(2818),
    [anon_sym_SQUOTE] = ACTIONS(2818),
    [anon_sym_AT] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2818),
    [anon_sym_L_DQUOTE] = ACTIONS(2818),
    [anon_sym_u_DQUOTE] = ACTIONS(2818),
    [anon_sym_U_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8_DQUOTE] = ACTIONS(2818),
    [sym_true] = ACTIONS(2816),
    [sym_false] = ACTIONS(2816),
    [anon_sym_NULL] = ACTIONS(2816),
    [anon_sym_nullptr] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2816),
    [anon_sym___typeof] = ACTIONS(2816),
    [anon_sym_typeof] = ACTIONS(2816),
    [anon_sym_ATimport] = ACTIONS(2818),
    [aux_sym_preproc_undef_token1] = ACTIONS(2816),
    [anon_sym_POUND] = ACTIONS(2816),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2816),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2816),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2816),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2816),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2816),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2816),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2816),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2816),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2816),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2816),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2816),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2816),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2816),
    [anon_sym_API_AVAILABLE] = ACTIONS(2816),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2816),
    [anon_sym_API_DEPRECATED] = ACTIONS(2816),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2816),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2816),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2816),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2816),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2816),
    [anon_sym___deprecated_msg] = ACTIONS(2816),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2816),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2816),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2816),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2816),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2816),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2816),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2816),
    [anon_sym_ATprotocol] = ACTIONS(2818),
    [anon_sym_ATinterface] = ACTIONS(2818),
    [anon_sym_ATimplementation] = ACTIONS(2818),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2818),
    [anon_sym_ATtry] = ACTIONS(2818),
    [anon_sym___try] = ACTIONS(2816),
    [anon_sym_ATthrow] = ACTIONS(2818),
    [anon_sym_ATselector] = ACTIONS(2818),
    [anon_sym_ATavailable] = ACTIONS(2818),
    [anon_sym___builtin_available] = ACTIONS(2816),
    [anon_sym_va_arg] = ACTIONS(2816),
    [anon_sym_ATencode] = ACTIONS(2818),
    [anon_sym_ATsynchronized] = ACTIONS(2818),
    [anon_sym_BOOL] = ACTIONS(2816),
    [anon_sym_IMP] = ACTIONS(2816),
    [anon_sym_SEL] = ACTIONS(2816),
    [anon_sym_Class] = ACTIONS(2816),
    [anon_sym_id] = ACTIONS(2816),
  },
  [873] = {
    [sym_identifier] = ACTIONS(2820),
    [aux_sym_preproc_include_token1] = ACTIONS(2820),
    [aux_sym_preproc_include_token2] = ACTIONS(2820),
    [aux_sym_preproc_def_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token1] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2820),
    [sym_preproc_directive] = ACTIONS(2820),
    [anon_sym_LPAREN2] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2820),
    [anon_sym_PLUS] = ACTIONS(2820),
    [anon_sym_STAR] = ACTIONS(2822),
    [anon_sym_CARET] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2822),
    [anon_sym___extension__] = ACTIONS(2820),
    [anon_sym_typedef] = ACTIONS(2820),
    [anon_sym_extern] = ACTIONS(2820),
    [anon_sym___attribute__] = ACTIONS(2820),
    [anon_sym___attribute] = ACTIONS(2820),
    [anon_sym_noreturn] = ACTIONS(2820),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym___declspec] = ACTIONS(2820),
    [anon_sym___cdecl] = ACTIONS(2820),
    [anon_sym___clrcall] = ACTIONS(2820),
    [anon_sym___stdcall] = ACTIONS(2820),
    [anon_sym___fastcall] = ACTIONS(2820),
    [anon_sym___thiscall] = ACTIONS(2820),
    [anon_sym___vectorcall] = ACTIONS(2820),
    [anon_sym_LBRACE] = ACTIONS(2822),
    [anon_sym_RBRACE] = ACTIONS(2822),
    [anon_sym_signed] = ACTIONS(2820),
    [anon_sym_unsigned] = ACTIONS(2820),
    [anon_sym_long] = ACTIONS(2820),
    [anon_sym_short] = ACTIONS(2820),
    [anon_sym_static] = ACTIONS(2820),
    [anon_sym_ATautoreleasepool] = ACTIONS(2822),
    [anon_sym_auto] = ACTIONS(2820),
    [anon_sym_register] = ACTIONS(2820),
    [anon_sym_inline] = ACTIONS(2820),
    [anon_sym___inline] = ACTIONS(2820),
    [anon_sym___inline__] = ACTIONS(2820),
    [anon_sym___forceinline] = ACTIONS(2820),
    [anon_sym_thread_local] = ACTIONS(2820),
    [anon_sym___thread] = ACTIONS(2820),
    [anon_sym_CG_EXTERN] = ACTIONS(2820),
    [anon_sym_CG_INLINE] = ACTIONS(2820),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2820),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2820),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2820),
    [anon_sym_IBOutlet] = ACTIONS(2820),
    [anon_sym_IBInspectable] = ACTIONS(2820),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2820),
    [anon_sym_NS_INLINE] = ACTIONS(2820),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2820),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2820),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2820),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2820),
    [anon_sym_const] = ACTIONS(2820),
    [anon_sym_constexpr] = ACTIONS(2820),
    [anon_sym_volatile] = ACTIONS(2820),
    [anon_sym_restrict] = ACTIONS(2820),
    [anon_sym___restrict__] = ACTIONS(2820),
    [anon_sym__Atomic] = ACTIONS(2820),
    [anon_sym__Noreturn] = ACTIONS(2820),
    [anon_sym__Nonnull] = ACTIONS(2820),
    [anon_sym_nullable] = ACTIONS(2820),
    [anon_sym__Complex] = ACTIONS(2820),
    [anon_sym__Nullable] = ACTIONS(2820),
    [anon_sym__Nullable_result] = ACTIONS(2820),
    [anon_sym__Null_unspecified] = ACTIONS(2820),
    [anon_sym___autoreleasing] = ACTIONS(2820),
    [anon_sym___block] = ACTIONS(2820),
    [anon_sym___bridge] = ACTIONS(2820),
    [anon_sym___bridge_retained] = ACTIONS(2820),
    [anon_sym___bridge_transfer] = ACTIONS(2820),
    [anon_sym___complex] = ACTIONS(2820),
    [anon_sym___const] = ACTIONS(2820),
    [anon_sym___imag] = ACTIONS(2820),
    [anon_sym___kindof] = ACTIONS(2820),
    [anon_sym___nonnull] = ACTIONS(2820),
    [anon_sym___nullable] = ACTIONS(2820),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2820),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2820),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2820),
    [anon_sym___real] = ACTIONS(2820),
    [anon_sym___strong] = ACTIONS(2820),
    [anon_sym___unsafe_unretained] = ACTIONS(2820),
    [anon_sym___unused] = ACTIONS(2820),
    [anon_sym___weak] = ACTIONS(2820),
    [anon_sym_alignas] = ACTIONS(2820),
    [anon_sym__Alignas] = ACTIONS(2820),
    [sym_primitive_type] = ACTIONS(2820),
    [anon_sym_enum] = ACTIONS(2820),
    [anon_sym_struct] = ACTIONS(2820),
    [anon_sym_union] = ACTIONS(2820),
    [anon_sym_if] = ACTIONS(2820),
    [anon_sym_switch] = ACTIONS(2820),
    [anon_sym_case] = ACTIONS(2820),
    [anon_sym_default] = ACTIONS(2820),
    [anon_sym_while] = ACTIONS(2820),
    [anon_sym_do] = ACTIONS(2820),
    [anon_sym_for] = ACTIONS(2820),
    [anon_sym_in] = ACTIONS(2820),
    [anon_sym_return] = ACTIONS(2820),
    [anon_sym_break] = ACTIONS(2820),
    [anon_sym_continue] = ACTIONS(2820),
    [anon_sym_goto] = ACTIONS(2820),
    [anon_sym_DASH_DASH] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2822),
    [anon_sym_sizeof] = ACTIONS(2820),
    [anon_sym___alignof__] = ACTIONS(2820),
    [anon_sym___alignof] = ACTIONS(2820),
    [anon_sym__alignof] = ACTIONS(2820),
    [anon_sym_alignof] = ACTIONS(2820),
    [anon_sym__Alignof] = ACTIONS(2820),
    [anon_sym_offsetof] = ACTIONS(2820),
    [anon_sym__Generic] = ACTIONS(2820),
    [anon_sym_asm] = ACTIONS(2820),
    [anon_sym___asm__] = ACTIONS(2820),
    [anon_sym___asm] = ACTIONS(2820),
    [sym_number_literal] = ACTIONS(2822),
    [anon_sym_L_SQUOTE] = ACTIONS(2822),
    [anon_sym_u_SQUOTE] = ACTIONS(2822),
    [anon_sym_U_SQUOTE] = ACTIONS(2822),
    [anon_sym_u8_SQUOTE] = ACTIONS(2822),
    [anon_sym_SQUOTE] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2820),
    [anon_sym_DQUOTE] = ACTIONS(2822),
    [anon_sym_L_DQUOTE] = ACTIONS(2822),
    [anon_sym_u_DQUOTE] = ACTIONS(2822),
    [anon_sym_U_DQUOTE] = ACTIONS(2822),
    [anon_sym_u8_DQUOTE] = ACTIONS(2822),
    [sym_true] = ACTIONS(2820),
    [sym_false] = ACTIONS(2820),
    [anon_sym_NULL] = ACTIONS(2820),
    [anon_sym_nullptr] = ACTIONS(2820),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2820),
    [anon_sym___typeof] = ACTIONS(2820),
    [anon_sym_typeof] = ACTIONS(2820),
    [anon_sym_ATimport] = ACTIONS(2822),
    [aux_sym_preproc_undef_token1] = ACTIONS(2820),
    [anon_sym_POUND] = ACTIONS(2820),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2820),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2820),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2820),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2820),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2820),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2820),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2820),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2820),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2820),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2820),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2820),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2820),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2820),
    [anon_sym_API_AVAILABLE] = ACTIONS(2820),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2820),
    [anon_sym_API_DEPRECATED] = ACTIONS(2820),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2820),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2820),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2820),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2820),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2820),
    [anon_sym___deprecated_msg] = ACTIONS(2820),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2820),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2820),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2820),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2820),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2820),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2820),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2820),
    [anon_sym_ATprotocol] = ACTIONS(2822),
    [anon_sym_ATinterface] = ACTIONS(2822),
    [anon_sym_ATimplementation] = ACTIONS(2822),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2822),
    [anon_sym_ATtry] = ACTIONS(2822),
    [anon_sym___try] = ACTIONS(2820),
    [anon_sym_ATthrow] = ACTIONS(2822),
    [anon_sym_ATselector] = ACTIONS(2822),
    [anon_sym_ATavailable] = ACTIONS(2822),
    [anon_sym___builtin_available] = ACTIONS(2820),
    [anon_sym_va_arg] = ACTIONS(2820),
    [anon_sym_ATencode] = ACTIONS(2822),
    [anon_sym_ATsynchronized] = ACTIONS(2822),
    [anon_sym_BOOL] = ACTIONS(2820),
    [anon_sym_IMP] = ACTIONS(2820),
    [anon_sym_SEL] = ACTIONS(2820),
    [anon_sym_Class] = ACTIONS(2820),
    [anon_sym_id] = ACTIONS(2820),
  },
  [874] = {
    [sym_identifier] = ACTIONS(2824),
    [aux_sym_preproc_include_token1] = ACTIONS(2824),
    [aux_sym_preproc_include_token2] = ACTIONS(2824),
    [aux_sym_preproc_def_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2824),
    [sym_preproc_directive] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2826),
    [anon_sym_BANG] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_DASH] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2824),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2826),
    [anon_sym___extension__] = ACTIONS(2824),
    [anon_sym_typedef] = ACTIONS(2824),
    [anon_sym_extern] = ACTIONS(2824),
    [anon_sym___attribute__] = ACTIONS(2824),
    [anon_sym___attribute] = ACTIONS(2824),
    [anon_sym_noreturn] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym___declspec] = ACTIONS(2824),
    [anon_sym___cdecl] = ACTIONS(2824),
    [anon_sym___clrcall] = ACTIONS(2824),
    [anon_sym___stdcall] = ACTIONS(2824),
    [anon_sym___fastcall] = ACTIONS(2824),
    [anon_sym___thiscall] = ACTIONS(2824),
    [anon_sym___vectorcall] = ACTIONS(2824),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_RBRACE] = ACTIONS(2826),
    [anon_sym_signed] = ACTIONS(2824),
    [anon_sym_unsigned] = ACTIONS(2824),
    [anon_sym_long] = ACTIONS(2824),
    [anon_sym_short] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_ATautoreleasepool] = ACTIONS(2826),
    [anon_sym_auto] = ACTIONS(2824),
    [anon_sym_register] = ACTIONS(2824),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym___inline] = ACTIONS(2824),
    [anon_sym___inline__] = ACTIONS(2824),
    [anon_sym___forceinline] = ACTIONS(2824),
    [anon_sym_thread_local] = ACTIONS(2824),
    [anon_sym___thread] = ACTIONS(2824),
    [anon_sym_CG_EXTERN] = ACTIONS(2824),
    [anon_sym_CG_INLINE] = ACTIONS(2824),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2824),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2824),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2824),
    [anon_sym_IBOutlet] = ACTIONS(2824),
    [anon_sym_IBInspectable] = ACTIONS(2824),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2824),
    [anon_sym_NS_INLINE] = ACTIONS(2824),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2824),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2824),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2824),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_constexpr] = ACTIONS(2824),
    [anon_sym_volatile] = ACTIONS(2824),
    [anon_sym_restrict] = ACTIONS(2824),
    [anon_sym___restrict__] = ACTIONS(2824),
    [anon_sym__Atomic] = ACTIONS(2824),
    [anon_sym__Noreturn] = ACTIONS(2824),
    [anon_sym__Nonnull] = ACTIONS(2824),
    [anon_sym_nullable] = ACTIONS(2824),
    [anon_sym__Complex] = ACTIONS(2824),
    [anon_sym__Nullable] = ACTIONS(2824),
    [anon_sym__Nullable_result] = ACTIONS(2824),
    [anon_sym__Null_unspecified] = ACTIONS(2824),
    [anon_sym___autoreleasing] = ACTIONS(2824),
    [anon_sym___block] = ACTIONS(2824),
    [anon_sym___bridge] = ACTIONS(2824),
    [anon_sym___bridge_retained] = ACTIONS(2824),
    [anon_sym___bridge_transfer] = ACTIONS(2824),
    [anon_sym___complex] = ACTIONS(2824),
    [anon_sym___const] = ACTIONS(2824),
    [anon_sym___imag] = ACTIONS(2824),
    [anon_sym___kindof] = ACTIONS(2824),
    [anon_sym___nonnull] = ACTIONS(2824),
    [anon_sym___nullable] = ACTIONS(2824),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2824),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2824),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2824),
    [anon_sym___real] = ACTIONS(2824),
    [anon_sym___strong] = ACTIONS(2824),
    [anon_sym___unsafe_unretained] = ACTIONS(2824),
    [anon_sym___unused] = ACTIONS(2824),
    [anon_sym___weak] = ACTIONS(2824),
    [anon_sym_alignas] = ACTIONS(2824),
    [anon_sym__Alignas] = ACTIONS(2824),
    [sym_primitive_type] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [anon_sym_struct] = ACTIONS(2824),
    [anon_sym_union] = ACTIONS(2824),
    [anon_sym_if] = ACTIONS(2824),
    [anon_sym_switch] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2824),
    [anon_sym_default] = ACTIONS(2824),
    [anon_sym_while] = ACTIONS(2824),
    [anon_sym_do] = ACTIONS(2824),
    [anon_sym_for] = ACTIONS(2824),
    [anon_sym_in] = ACTIONS(2824),
    [anon_sym_return] = ACTIONS(2824),
    [anon_sym_break] = ACTIONS(2824),
    [anon_sym_continue] = ACTIONS(2824),
    [anon_sym_goto] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_sizeof] = ACTIONS(2824),
    [anon_sym___alignof__] = ACTIONS(2824),
    [anon_sym___alignof] = ACTIONS(2824),
    [anon_sym__alignof] = ACTIONS(2824),
    [anon_sym_alignof] = ACTIONS(2824),
    [anon_sym__Alignof] = ACTIONS(2824),
    [anon_sym_offsetof] = ACTIONS(2824),
    [anon_sym__Generic] = ACTIONS(2824),
    [anon_sym_asm] = ACTIONS(2824),
    [anon_sym___asm__] = ACTIONS(2824),
    [anon_sym___asm] = ACTIONS(2824),
    [sym_number_literal] = ACTIONS(2826),
    [anon_sym_L_SQUOTE] = ACTIONS(2826),
    [anon_sym_u_SQUOTE] = ACTIONS(2826),
    [anon_sym_U_SQUOTE] = ACTIONS(2826),
    [anon_sym_u8_SQUOTE] = ACTIONS(2826),
    [anon_sym_SQUOTE] = ACTIONS(2826),
    [anon_sym_AT] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2826),
    [anon_sym_L_DQUOTE] = ACTIONS(2826),
    [anon_sym_u_DQUOTE] = ACTIONS(2826),
    [anon_sym_U_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8_DQUOTE] = ACTIONS(2826),
    [sym_true] = ACTIONS(2824),
    [sym_false] = ACTIONS(2824),
    [anon_sym_NULL] = ACTIONS(2824),
    [anon_sym_nullptr] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2824),
    [anon_sym___typeof] = ACTIONS(2824),
    [anon_sym_typeof] = ACTIONS(2824),
    [anon_sym_ATimport] = ACTIONS(2826),
    [aux_sym_preproc_undef_token1] = ACTIONS(2824),
    [anon_sym_POUND] = ACTIONS(2824),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2824),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2824),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2824),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2824),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2824),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2824),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2824),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2824),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2824),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2824),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2824),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2824),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2824),
    [anon_sym_API_AVAILABLE] = ACTIONS(2824),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2824),
    [anon_sym_API_DEPRECATED] = ACTIONS(2824),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2824),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2824),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2824),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2824),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2824),
    [anon_sym___deprecated_msg] = ACTIONS(2824),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2824),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2824),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2824),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2824),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2824),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2824),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2824),
    [anon_sym_ATprotocol] = ACTIONS(2826),
    [anon_sym_ATinterface] = ACTIONS(2826),
    [anon_sym_ATimplementation] = ACTIONS(2826),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2826),
    [anon_sym_ATtry] = ACTIONS(2826),
    [anon_sym___try] = ACTIONS(2824),
    [anon_sym_ATthrow] = ACTIONS(2826),
    [anon_sym_ATselector] = ACTIONS(2826),
    [anon_sym_ATavailable] = ACTIONS(2826),
    [anon_sym___builtin_available] = ACTIONS(2824),
    [anon_sym_va_arg] = ACTIONS(2824),
    [anon_sym_ATencode] = ACTIONS(2826),
    [anon_sym_ATsynchronized] = ACTIONS(2826),
    [anon_sym_BOOL] = ACTIONS(2824),
    [anon_sym_IMP] = ACTIONS(2824),
    [anon_sym_SEL] = ACTIONS(2824),
    [anon_sym_Class] = ACTIONS(2824),
    [anon_sym_id] = ACTIONS(2824),
  },
  [875] = {
    [sym_identifier] = ACTIONS(2670),
    [aux_sym_preproc_include_token1] = ACTIONS(2670),
    [aux_sym_preproc_include_token2] = ACTIONS(2670),
    [aux_sym_preproc_def_token1] = ACTIONS(2670),
    [aux_sym_preproc_if_token1] = ACTIONS(2670),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2670),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2670),
    [sym_preproc_directive] = ACTIONS(2670),
    [anon_sym_LPAREN2] = ACTIONS(2672),
    [anon_sym_BANG] = ACTIONS(2672),
    [anon_sym_TILDE] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2670),
    [anon_sym_PLUS] = ACTIONS(2670),
    [anon_sym_STAR] = ACTIONS(2672),
    [anon_sym_CARET] = ACTIONS(2672),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym_SEMI] = ACTIONS(2672),
    [anon_sym___extension__] = ACTIONS(2670),
    [anon_sym_typedef] = ACTIONS(2670),
    [anon_sym_extern] = ACTIONS(2670),
    [anon_sym___attribute__] = ACTIONS(2670),
    [anon_sym___attribute] = ACTIONS(2670),
    [anon_sym_noreturn] = ACTIONS(2670),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym___declspec] = ACTIONS(2670),
    [anon_sym___cdecl] = ACTIONS(2670),
    [anon_sym___clrcall] = ACTIONS(2670),
    [anon_sym___stdcall] = ACTIONS(2670),
    [anon_sym___fastcall] = ACTIONS(2670),
    [anon_sym___thiscall] = ACTIONS(2670),
    [anon_sym___vectorcall] = ACTIONS(2670),
    [anon_sym_LBRACE] = ACTIONS(2672),
    [anon_sym_RBRACE] = ACTIONS(2672),
    [anon_sym_signed] = ACTIONS(2670),
    [anon_sym_unsigned] = ACTIONS(2670),
    [anon_sym_long] = ACTIONS(2670),
    [anon_sym_short] = ACTIONS(2670),
    [anon_sym_static] = ACTIONS(2670),
    [anon_sym_ATautoreleasepool] = ACTIONS(2672),
    [anon_sym_auto] = ACTIONS(2670),
    [anon_sym_register] = ACTIONS(2670),
    [anon_sym_inline] = ACTIONS(2670),
    [anon_sym___inline] = ACTIONS(2670),
    [anon_sym___inline__] = ACTIONS(2670),
    [anon_sym___forceinline] = ACTIONS(2670),
    [anon_sym_thread_local] = ACTIONS(2670),
    [anon_sym___thread] = ACTIONS(2670),
    [anon_sym_CG_EXTERN] = ACTIONS(2670),
    [anon_sym_CG_INLINE] = ACTIONS(2670),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2670),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2670),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2670),
    [anon_sym_IBOutlet] = ACTIONS(2670),
    [anon_sym_IBInspectable] = ACTIONS(2670),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2670),
    [anon_sym_NS_INLINE] = ACTIONS(2670),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2670),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2670),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2670),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2670),
    [anon_sym_const] = ACTIONS(2670),
    [anon_sym_constexpr] = ACTIONS(2670),
    [anon_sym_volatile] = ACTIONS(2670),
    [anon_sym_restrict] = ACTIONS(2670),
    [anon_sym___restrict__] = ACTIONS(2670),
    [anon_sym__Atomic] = ACTIONS(2670),
    [anon_sym__Noreturn] = ACTIONS(2670),
    [anon_sym__Nonnull] = ACTIONS(2670),
    [anon_sym_nullable] = ACTIONS(2670),
    [anon_sym__Complex] = ACTIONS(2670),
    [anon_sym__Nullable] = ACTIONS(2670),
    [anon_sym__Nullable_result] = ACTIONS(2670),
    [anon_sym__Null_unspecified] = ACTIONS(2670),
    [anon_sym___autoreleasing] = ACTIONS(2670),
    [anon_sym___block] = ACTIONS(2670),
    [anon_sym___bridge] = ACTIONS(2670),
    [anon_sym___bridge_retained] = ACTIONS(2670),
    [anon_sym___bridge_transfer] = ACTIONS(2670),
    [anon_sym___complex] = ACTIONS(2670),
    [anon_sym___const] = ACTIONS(2670),
    [anon_sym___imag] = ACTIONS(2670),
    [anon_sym___kindof] = ACTIONS(2670),
    [anon_sym___nonnull] = ACTIONS(2670),
    [anon_sym___nullable] = ACTIONS(2670),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2670),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2670),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2670),
    [anon_sym___real] = ACTIONS(2670),
    [anon_sym___strong] = ACTIONS(2670),
    [anon_sym___unsafe_unretained] = ACTIONS(2670),
    [anon_sym___unused] = ACTIONS(2670),
    [anon_sym___weak] = ACTIONS(2670),
    [anon_sym_alignas] = ACTIONS(2670),
    [anon_sym__Alignas] = ACTIONS(2670),
    [sym_primitive_type] = ACTIONS(2670),
    [anon_sym_enum] = ACTIONS(2670),
    [anon_sym_struct] = ACTIONS(2670),
    [anon_sym_union] = ACTIONS(2670),
    [anon_sym_if] = ACTIONS(2670),
    [anon_sym_switch] = ACTIONS(2670),
    [anon_sym_case] = ACTIONS(2670),
    [anon_sym_default] = ACTIONS(2670),
    [anon_sym_while] = ACTIONS(2670),
    [anon_sym_do] = ACTIONS(2670),
    [anon_sym_for] = ACTIONS(2670),
    [anon_sym_in] = ACTIONS(2670),
    [anon_sym_return] = ACTIONS(2670),
    [anon_sym_break] = ACTIONS(2670),
    [anon_sym_continue] = ACTIONS(2670),
    [anon_sym_goto] = ACTIONS(2670),
    [anon_sym_DASH_DASH] = ACTIONS(2672),
    [anon_sym_PLUS_PLUS] = ACTIONS(2672),
    [anon_sym_sizeof] = ACTIONS(2670),
    [anon_sym___alignof__] = ACTIONS(2670),
    [anon_sym___alignof] = ACTIONS(2670),
    [anon_sym__alignof] = ACTIONS(2670),
    [anon_sym_alignof] = ACTIONS(2670),
    [anon_sym__Alignof] = ACTIONS(2670),
    [anon_sym_offsetof] = ACTIONS(2670),
    [anon_sym__Generic] = ACTIONS(2670),
    [anon_sym_asm] = ACTIONS(2670),
    [anon_sym___asm__] = ACTIONS(2670),
    [anon_sym___asm] = ACTIONS(2670),
    [sym_number_literal] = ACTIONS(2672),
    [anon_sym_L_SQUOTE] = ACTIONS(2672),
    [anon_sym_u_SQUOTE] = ACTIONS(2672),
    [anon_sym_U_SQUOTE] = ACTIONS(2672),
    [anon_sym_u8_SQUOTE] = ACTIONS(2672),
    [anon_sym_SQUOTE] = ACTIONS(2672),
    [anon_sym_AT] = ACTIONS(2670),
    [anon_sym_DQUOTE] = ACTIONS(2672),
    [anon_sym_L_DQUOTE] = ACTIONS(2672),
    [anon_sym_u_DQUOTE] = ACTIONS(2672),
    [anon_sym_U_DQUOTE] = ACTIONS(2672),
    [anon_sym_u8_DQUOTE] = ACTIONS(2672),
    [sym_true] = ACTIONS(2670),
    [sym_false] = ACTIONS(2670),
    [anon_sym_NULL] = ACTIONS(2670),
    [anon_sym_nullptr] = ACTIONS(2670),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2670),
    [anon_sym___typeof] = ACTIONS(2670),
    [anon_sym_typeof] = ACTIONS(2670),
    [anon_sym_ATimport] = ACTIONS(2672),
    [aux_sym_preproc_undef_token1] = ACTIONS(2670),
    [anon_sym_POUND] = ACTIONS(2670),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2670),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2670),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2670),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2670),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2670),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2670),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2670),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2670),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2670),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2670),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2670),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2670),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2670),
    [anon_sym_API_AVAILABLE] = ACTIONS(2670),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2670),
    [anon_sym_API_DEPRECATED] = ACTIONS(2670),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2670),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2670),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2670),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2670),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2670),
    [anon_sym___deprecated_msg] = ACTIONS(2670),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2670),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2670),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2670),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2670),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2670),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2670),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2670),
    [anon_sym_ATprotocol] = ACTIONS(2672),
    [anon_sym_ATinterface] = ACTIONS(2672),
    [anon_sym_ATimplementation] = ACTIONS(2672),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2672),
    [anon_sym_ATtry] = ACTIONS(2672),
    [anon_sym___try] = ACTIONS(2670),
    [anon_sym_ATthrow] = ACTIONS(2672),
    [anon_sym_ATselector] = ACTIONS(2672),
    [anon_sym_ATavailable] = ACTIONS(2672),
    [anon_sym___builtin_available] = ACTIONS(2670),
    [anon_sym_va_arg] = ACTIONS(2670),
    [anon_sym_ATencode] = ACTIONS(2672),
    [anon_sym_ATsynchronized] = ACTIONS(2672),
    [anon_sym_BOOL] = ACTIONS(2670),
    [anon_sym_IMP] = ACTIONS(2670),
    [anon_sym_SEL] = ACTIONS(2670),
    [anon_sym_Class] = ACTIONS(2670),
    [anon_sym_id] = ACTIONS(2670),
  },
  [876] = {
    [sym_identifier] = ACTIONS(2674),
    [aux_sym_preproc_include_token1] = ACTIONS(2674),
    [aux_sym_preproc_include_token2] = ACTIONS(2674),
    [aux_sym_preproc_def_token1] = ACTIONS(2674),
    [aux_sym_preproc_if_token1] = ACTIONS(2674),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2674),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2674),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_BANG] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_CARET] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_SEMI] = ACTIONS(2676),
    [anon_sym___extension__] = ACTIONS(2674),
    [anon_sym_typedef] = ACTIONS(2674),
    [anon_sym_extern] = ACTIONS(2674),
    [anon_sym___attribute__] = ACTIONS(2674),
    [anon_sym___attribute] = ACTIONS(2674),
    [anon_sym_noreturn] = ACTIONS(2674),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym___declspec] = ACTIONS(2674),
    [anon_sym___cdecl] = ACTIONS(2674),
    [anon_sym___clrcall] = ACTIONS(2674),
    [anon_sym___stdcall] = ACTIONS(2674),
    [anon_sym___fastcall] = ACTIONS(2674),
    [anon_sym___thiscall] = ACTIONS(2674),
    [anon_sym___vectorcall] = ACTIONS(2674),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_RBRACE] = ACTIONS(2676),
    [anon_sym_signed] = ACTIONS(2674),
    [anon_sym_unsigned] = ACTIONS(2674),
    [anon_sym_long] = ACTIONS(2674),
    [anon_sym_short] = ACTIONS(2674),
    [anon_sym_static] = ACTIONS(2674),
    [anon_sym_ATautoreleasepool] = ACTIONS(2676),
    [anon_sym_auto] = ACTIONS(2674),
    [anon_sym_register] = ACTIONS(2674),
    [anon_sym_inline] = ACTIONS(2674),
    [anon_sym___inline] = ACTIONS(2674),
    [anon_sym___inline__] = ACTIONS(2674),
    [anon_sym___forceinline] = ACTIONS(2674),
    [anon_sym_thread_local] = ACTIONS(2674),
    [anon_sym___thread] = ACTIONS(2674),
    [anon_sym_CG_EXTERN] = ACTIONS(2674),
    [anon_sym_CG_INLINE] = ACTIONS(2674),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2674),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2674),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2674),
    [anon_sym_IBOutlet] = ACTIONS(2674),
    [anon_sym_IBInspectable] = ACTIONS(2674),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2674),
    [anon_sym_NS_INLINE] = ACTIONS(2674),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2674),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2674),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2674),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2674),
    [anon_sym_const] = ACTIONS(2674),
    [anon_sym_constexpr] = ACTIONS(2674),
    [anon_sym_volatile] = ACTIONS(2674),
    [anon_sym_restrict] = ACTIONS(2674),
    [anon_sym___restrict__] = ACTIONS(2674),
    [anon_sym__Atomic] = ACTIONS(2674),
    [anon_sym__Noreturn] = ACTIONS(2674),
    [anon_sym__Nonnull] = ACTIONS(2674),
    [anon_sym_nullable] = ACTIONS(2674),
    [anon_sym__Complex] = ACTIONS(2674),
    [anon_sym__Nullable] = ACTIONS(2674),
    [anon_sym__Nullable_result] = ACTIONS(2674),
    [anon_sym__Null_unspecified] = ACTIONS(2674),
    [anon_sym___autoreleasing] = ACTIONS(2674),
    [anon_sym___block] = ACTIONS(2674),
    [anon_sym___bridge] = ACTIONS(2674),
    [anon_sym___bridge_retained] = ACTIONS(2674),
    [anon_sym___bridge_transfer] = ACTIONS(2674),
    [anon_sym___complex] = ACTIONS(2674),
    [anon_sym___const] = ACTIONS(2674),
    [anon_sym___imag] = ACTIONS(2674),
    [anon_sym___kindof] = ACTIONS(2674),
    [anon_sym___nonnull] = ACTIONS(2674),
    [anon_sym___nullable] = ACTIONS(2674),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2674),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2674),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2674),
    [anon_sym___real] = ACTIONS(2674),
    [anon_sym___strong] = ACTIONS(2674),
    [anon_sym___unsafe_unretained] = ACTIONS(2674),
    [anon_sym___unused] = ACTIONS(2674),
    [anon_sym___weak] = ACTIONS(2674),
    [anon_sym_alignas] = ACTIONS(2674),
    [anon_sym__Alignas] = ACTIONS(2674),
    [sym_primitive_type] = ACTIONS(2674),
    [anon_sym_enum] = ACTIONS(2674),
    [anon_sym_struct] = ACTIONS(2674),
    [anon_sym_union] = ACTIONS(2674),
    [anon_sym_if] = ACTIONS(2674),
    [anon_sym_switch] = ACTIONS(2674),
    [anon_sym_case] = ACTIONS(2674),
    [anon_sym_default] = ACTIONS(2674),
    [anon_sym_while] = ACTIONS(2674),
    [anon_sym_do] = ACTIONS(2674),
    [anon_sym_for] = ACTIONS(2674),
    [anon_sym_in] = ACTIONS(2674),
    [anon_sym_return] = ACTIONS(2674),
    [anon_sym_break] = ACTIONS(2674),
    [anon_sym_continue] = ACTIONS(2674),
    [anon_sym_goto] = ACTIONS(2674),
    [anon_sym_DASH_DASH] = ACTIONS(2676),
    [anon_sym_PLUS_PLUS] = ACTIONS(2676),
    [anon_sym_sizeof] = ACTIONS(2674),
    [anon_sym___alignof__] = ACTIONS(2674),
    [anon_sym___alignof] = ACTIONS(2674),
    [anon_sym__alignof] = ACTIONS(2674),
    [anon_sym_alignof] = ACTIONS(2674),
    [anon_sym__Alignof] = ACTIONS(2674),
    [anon_sym_offsetof] = ACTIONS(2674),
    [anon_sym__Generic] = ACTIONS(2674),
    [anon_sym_asm] = ACTIONS(2674),
    [anon_sym___asm__] = ACTIONS(2674),
    [anon_sym___asm] = ACTIONS(2674),
    [sym_number_literal] = ACTIONS(2676),
    [anon_sym_L_SQUOTE] = ACTIONS(2676),
    [anon_sym_u_SQUOTE] = ACTIONS(2676),
    [anon_sym_U_SQUOTE] = ACTIONS(2676),
    [anon_sym_u8_SQUOTE] = ACTIONS(2676),
    [anon_sym_SQUOTE] = ACTIONS(2676),
    [anon_sym_AT] = ACTIONS(2674),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [anon_sym_L_DQUOTE] = ACTIONS(2676),
    [anon_sym_u_DQUOTE] = ACTIONS(2676),
    [anon_sym_U_DQUOTE] = ACTIONS(2676),
    [anon_sym_u8_DQUOTE] = ACTIONS(2676),
    [sym_true] = ACTIONS(2674),
    [sym_false] = ACTIONS(2674),
    [anon_sym_NULL] = ACTIONS(2674),
    [anon_sym_nullptr] = ACTIONS(2674),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2674),
    [anon_sym___typeof] = ACTIONS(2674),
    [anon_sym_typeof] = ACTIONS(2674),
    [anon_sym_ATimport] = ACTIONS(2676),
    [aux_sym_preproc_undef_token1] = ACTIONS(2674),
    [anon_sym_POUND] = ACTIONS(2674),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2674),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2674),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2674),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2674),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2674),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2674),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2674),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2674),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2674),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_API_AVAILABLE] = ACTIONS(2674),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_API_DEPRECATED] = ACTIONS(2674),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2674),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2674),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2674),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2674),
    [anon_sym___deprecated_msg] = ACTIONS(2674),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2674),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2674),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2674),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2674),
    [anon_sym_ATprotocol] = ACTIONS(2676),
    [anon_sym_ATinterface] = ACTIONS(2676),
    [anon_sym_ATimplementation] = ACTIONS(2676),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2676),
    [anon_sym_ATtry] = ACTIONS(2676),
    [anon_sym___try] = ACTIONS(2674),
    [anon_sym_ATthrow] = ACTIONS(2676),
    [anon_sym_ATselector] = ACTIONS(2676),
    [anon_sym_ATavailable] = ACTIONS(2676),
    [anon_sym___builtin_available] = ACTIONS(2674),
    [anon_sym_va_arg] = ACTIONS(2674),
    [anon_sym_ATencode] = ACTIONS(2676),
    [anon_sym_ATsynchronized] = ACTIONS(2676),
    [anon_sym_BOOL] = ACTIONS(2674),
    [anon_sym_IMP] = ACTIONS(2674),
    [anon_sym_SEL] = ACTIONS(2674),
    [anon_sym_Class] = ACTIONS(2674),
    [anon_sym_id] = ACTIONS(2674),
  },
  [877] = {
    [sym_identifier] = ACTIONS(2856),
    [aux_sym_preproc_include_token1] = ACTIONS(2856),
    [aux_sym_preproc_include_token2] = ACTIONS(2856),
    [aux_sym_preproc_def_token1] = ACTIONS(2856),
    [aux_sym_preproc_if_token1] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2856),
    [sym_preproc_directive] = ACTIONS(2856),
    [anon_sym_LPAREN2] = ACTIONS(2858),
    [anon_sym_BANG] = ACTIONS(2858),
    [anon_sym_TILDE] = ACTIONS(2858),
    [anon_sym_DASH] = ACTIONS(2856),
    [anon_sym_PLUS] = ACTIONS(2856),
    [anon_sym_STAR] = ACTIONS(2858),
    [anon_sym_CARET] = ACTIONS(2858),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym_SEMI] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2856),
    [anon_sym_typedef] = ACTIONS(2856),
    [anon_sym_extern] = ACTIONS(2856),
    [anon_sym___attribute__] = ACTIONS(2856),
    [anon_sym___attribute] = ACTIONS(2856),
    [anon_sym_noreturn] = ACTIONS(2856),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym___declspec] = ACTIONS(2856),
    [anon_sym___cdecl] = ACTIONS(2856),
    [anon_sym___clrcall] = ACTIONS(2856),
    [anon_sym___stdcall] = ACTIONS(2856),
    [anon_sym___fastcall] = ACTIONS(2856),
    [anon_sym___thiscall] = ACTIONS(2856),
    [anon_sym___vectorcall] = ACTIONS(2856),
    [anon_sym_LBRACE] = ACTIONS(2858),
    [anon_sym_RBRACE] = ACTIONS(2858),
    [anon_sym_signed] = ACTIONS(2856),
    [anon_sym_unsigned] = ACTIONS(2856),
    [anon_sym_long] = ACTIONS(2856),
    [anon_sym_short] = ACTIONS(2856),
    [anon_sym_static] = ACTIONS(2856),
    [anon_sym_ATautoreleasepool] = ACTIONS(2858),
    [anon_sym_auto] = ACTIONS(2856),
    [anon_sym_register] = ACTIONS(2856),
    [anon_sym_inline] = ACTIONS(2856),
    [anon_sym___inline] = ACTIONS(2856),
    [anon_sym___inline__] = ACTIONS(2856),
    [anon_sym___forceinline] = ACTIONS(2856),
    [anon_sym_thread_local] = ACTIONS(2856),
    [anon_sym___thread] = ACTIONS(2856),
    [anon_sym_CG_EXTERN] = ACTIONS(2856),
    [anon_sym_CG_INLINE] = ACTIONS(2856),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2856),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2856),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2856),
    [anon_sym_IBOutlet] = ACTIONS(2856),
    [anon_sym_IBInspectable] = ACTIONS(2856),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2856),
    [anon_sym_NS_INLINE] = ACTIONS(2856),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2856),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2856),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2856),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2856),
    [anon_sym_const] = ACTIONS(2856),
    [anon_sym_constexpr] = ACTIONS(2856),
    [anon_sym_volatile] = ACTIONS(2856),
    [anon_sym_restrict] = ACTIONS(2856),
    [anon_sym___restrict__] = ACTIONS(2856),
    [anon_sym__Atomic] = ACTIONS(2856),
    [anon_sym__Noreturn] = ACTIONS(2856),
    [anon_sym__Nonnull] = ACTIONS(2856),
    [anon_sym_nullable] = ACTIONS(2856),
    [anon_sym__Complex] = ACTIONS(2856),
    [anon_sym__Nullable] = ACTIONS(2856),
    [anon_sym__Nullable_result] = ACTIONS(2856),
    [anon_sym__Null_unspecified] = ACTIONS(2856),
    [anon_sym___autoreleasing] = ACTIONS(2856),
    [anon_sym___block] = ACTIONS(2856),
    [anon_sym___bridge] = ACTIONS(2856),
    [anon_sym___bridge_retained] = ACTIONS(2856),
    [anon_sym___bridge_transfer] = ACTIONS(2856),
    [anon_sym___complex] = ACTIONS(2856),
    [anon_sym___const] = ACTIONS(2856),
    [anon_sym___imag] = ACTIONS(2856),
    [anon_sym___kindof] = ACTIONS(2856),
    [anon_sym___nonnull] = ACTIONS(2856),
    [anon_sym___nullable] = ACTIONS(2856),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2856),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2856),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2856),
    [anon_sym___real] = ACTIONS(2856),
    [anon_sym___strong] = ACTIONS(2856),
    [anon_sym___unsafe_unretained] = ACTIONS(2856),
    [anon_sym___unused] = ACTIONS(2856),
    [anon_sym___weak] = ACTIONS(2856),
    [anon_sym_alignas] = ACTIONS(2856),
    [anon_sym__Alignas] = ACTIONS(2856),
    [sym_primitive_type] = ACTIONS(2856),
    [anon_sym_enum] = ACTIONS(2856),
    [anon_sym_struct] = ACTIONS(2856),
    [anon_sym_union] = ACTIONS(2856),
    [anon_sym_if] = ACTIONS(2856),
    [anon_sym_switch] = ACTIONS(2856),
    [anon_sym_case] = ACTIONS(2856),
    [anon_sym_default] = ACTIONS(2856),
    [anon_sym_while] = ACTIONS(2856),
    [anon_sym_do] = ACTIONS(2856),
    [anon_sym_for] = ACTIONS(2856),
    [anon_sym_in] = ACTIONS(2856),
    [anon_sym_return] = ACTIONS(2856),
    [anon_sym_break] = ACTIONS(2856),
    [anon_sym_continue] = ACTIONS(2856),
    [anon_sym_goto] = ACTIONS(2856),
    [anon_sym_DASH_DASH] = ACTIONS(2858),
    [anon_sym_PLUS_PLUS] = ACTIONS(2858),
    [anon_sym_sizeof] = ACTIONS(2856),
    [anon_sym___alignof__] = ACTIONS(2856),
    [anon_sym___alignof] = ACTIONS(2856),
    [anon_sym__alignof] = ACTIONS(2856),
    [anon_sym_alignof] = ACTIONS(2856),
    [anon_sym__Alignof] = ACTIONS(2856),
    [anon_sym_offsetof] = ACTIONS(2856),
    [anon_sym__Generic] = ACTIONS(2856),
    [anon_sym_asm] = ACTIONS(2856),
    [anon_sym___asm__] = ACTIONS(2856),
    [anon_sym___asm] = ACTIONS(2856),
    [sym_number_literal] = ACTIONS(2858),
    [anon_sym_L_SQUOTE] = ACTIONS(2858),
    [anon_sym_u_SQUOTE] = ACTIONS(2858),
    [anon_sym_U_SQUOTE] = ACTIONS(2858),
    [anon_sym_u8_SQUOTE] = ACTIONS(2858),
    [anon_sym_SQUOTE] = ACTIONS(2858),
    [anon_sym_AT] = ACTIONS(2856),
    [anon_sym_DQUOTE] = ACTIONS(2858),
    [anon_sym_L_DQUOTE] = ACTIONS(2858),
    [anon_sym_u_DQUOTE] = ACTIONS(2858),
    [anon_sym_U_DQUOTE] = ACTIONS(2858),
    [anon_sym_u8_DQUOTE] = ACTIONS(2858),
    [sym_true] = ACTIONS(2856),
    [sym_false] = ACTIONS(2856),
    [anon_sym_NULL] = ACTIONS(2856),
    [anon_sym_nullptr] = ACTIONS(2856),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2856),
    [anon_sym___typeof] = ACTIONS(2856),
    [anon_sym_typeof] = ACTIONS(2856),
    [anon_sym_ATimport] = ACTIONS(2858),
    [aux_sym_preproc_undef_token1] = ACTIONS(2856),
    [anon_sym_POUND] = ACTIONS(2856),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2856),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2856),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2856),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2856),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2856),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2856),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2856),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2856),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2856),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2856),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2856),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2856),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2856),
    [anon_sym_API_AVAILABLE] = ACTIONS(2856),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2856),
    [anon_sym_API_DEPRECATED] = ACTIONS(2856),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2856),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2856),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2856),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2856),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2856),
    [anon_sym___deprecated_msg] = ACTIONS(2856),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2856),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2856),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2856),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2856),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2856),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2856),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2856),
    [anon_sym_ATprotocol] = ACTIONS(2858),
    [anon_sym_ATinterface] = ACTIONS(2858),
    [anon_sym_ATimplementation] = ACTIONS(2858),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2858),
    [anon_sym_ATtry] = ACTIONS(2858),
    [anon_sym___try] = ACTIONS(2856),
    [anon_sym_ATthrow] = ACTIONS(2858),
    [anon_sym_ATselector] = ACTIONS(2858),
    [anon_sym_ATavailable] = ACTIONS(2858),
    [anon_sym___builtin_available] = ACTIONS(2856),
    [anon_sym_va_arg] = ACTIONS(2856),
    [anon_sym_ATencode] = ACTIONS(2858),
    [anon_sym_ATsynchronized] = ACTIONS(2858),
    [anon_sym_BOOL] = ACTIONS(2856),
    [anon_sym_IMP] = ACTIONS(2856),
    [anon_sym_SEL] = ACTIONS(2856),
    [anon_sym_Class] = ACTIONS(2856),
    [anon_sym_id] = ACTIONS(2856),
  },
  [878] = {
    [sym_identifier] = ACTIONS(2828),
    [aux_sym_preproc_include_token1] = ACTIONS(2828),
    [aux_sym_preproc_include_token2] = ACTIONS(2828),
    [aux_sym_preproc_def_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2828),
    [sym_preproc_directive] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2830),
    [anon_sym_BANG] = ACTIONS(2830),
    [anon_sym_TILDE] = ACTIONS(2830),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2830),
    [anon_sym_CARET] = ACTIONS(2830),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_SEMI] = ACTIONS(2830),
    [anon_sym___extension__] = ACTIONS(2828),
    [anon_sym_typedef] = ACTIONS(2828),
    [anon_sym_extern] = ACTIONS(2828),
    [anon_sym___attribute__] = ACTIONS(2828),
    [anon_sym___attribute] = ACTIONS(2828),
    [anon_sym_noreturn] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym___declspec] = ACTIONS(2828),
    [anon_sym___cdecl] = ACTIONS(2828),
    [anon_sym___clrcall] = ACTIONS(2828),
    [anon_sym___stdcall] = ACTIONS(2828),
    [anon_sym___fastcall] = ACTIONS(2828),
    [anon_sym___thiscall] = ACTIONS(2828),
    [anon_sym___vectorcall] = ACTIONS(2828),
    [anon_sym_LBRACE] = ACTIONS(2830),
    [anon_sym_RBRACE] = ACTIONS(2830),
    [anon_sym_signed] = ACTIONS(2828),
    [anon_sym_unsigned] = ACTIONS(2828),
    [anon_sym_long] = ACTIONS(2828),
    [anon_sym_short] = ACTIONS(2828),
    [anon_sym_static] = ACTIONS(2828),
    [anon_sym_ATautoreleasepool] = ACTIONS(2830),
    [anon_sym_auto] = ACTIONS(2828),
    [anon_sym_register] = ACTIONS(2828),
    [anon_sym_inline] = ACTIONS(2828),
    [anon_sym___inline] = ACTIONS(2828),
    [anon_sym___inline__] = ACTIONS(2828),
    [anon_sym___forceinline] = ACTIONS(2828),
    [anon_sym_thread_local] = ACTIONS(2828),
    [anon_sym___thread] = ACTIONS(2828),
    [anon_sym_CG_EXTERN] = ACTIONS(2828),
    [anon_sym_CG_INLINE] = ACTIONS(2828),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2828),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2828),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2828),
    [anon_sym_IBOutlet] = ACTIONS(2828),
    [anon_sym_IBInspectable] = ACTIONS(2828),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2828),
    [anon_sym_NS_INLINE] = ACTIONS(2828),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2828),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2828),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2828),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2828),
    [anon_sym_const] = ACTIONS(2828),
    [anon_sym_constexpr] = ACTIONS(2828),
    [anon_sym_volatile] = ACTIONS(2828),
    [anon_sym_restrict] = ACTIONS(2828),
    [anon_sym___restrict__] = ACTIONS(2828),
    [anon_sym__Atomic] = ACTIONS(2828),
    [anon_sym__Noreturn] = ACTIONS(2828),
    [anon_sym__Nonnull] = ACTIONS(2828),
    [anon_sym_nullable] = ACTIONS(2828),
    [anon_sym__Complex] = ACTIONS(2828),
    [anon_sym__Nullable] = ACTIONS(2828),
    [anon_sym__Nullable_result] = ACTIONS(2828),
    [anon_sym__Null_unspecified] = ACTIONS(2828),
    [anon_sym___autoreleasing] = ACTIONS(2828),
    [anon_sym___block] = ACTIONS(2828),
    [anon_sym___bridge] = ACTIONS(2828),
    [anon_sym___bridge_retained] = ACTIONS(2828),
    [anon_sym___bridge_transfer] = ACTIONS(2828),
    [anon_sym___complex] = ACTIONS(2828),
    [anon_sym___const] = ACTIONS(2828),
    [anon_sym___imag] = ACTIONS(2828),
    [anon_sym___kindof] = ACTIONS(2828),
    [anon_sym___nonnull] = ACTIONS(2828),
    [anon_sym___nullable] = ACTIONS(2828),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2828),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2828),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2828),
    [anon_sym___real] = ACTIONS(2828),
    [anon_sym___strong] = ACTIONS(2828),
    [anon_sym___unsafe_unretained] = ACTIONS(2828),
    [anon_sym___unused] = ACTIONS(2828),
    [anon_sym___weak] = ACTIONS(2828),
    [anon_sym_alignas] = ACTIONS(2828),
    [anon_sym__Alignas] = ACTIONS(2828),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_enum] = ACTIONS(2828),
    [anon_sym_struct] = ACTIONS(2828),
    [anon_sym_union] = ACTIONS(2828),
    [anon_sym_if] = ACTIONS(2828),
    [anon_sym_switch] = ACTIONS(2828),
    [anon_sym_case] = ACTIONS(2828),
    [anon_sym_default] = ACTIONS(2828),
    [anon_sym_while] = ACTIONS(2828),
    [anon_sym_do] = ACTIONS(2828),
    [anon_sym_for] = ACTIONS(2828),
    [anon_sym_in] = ACTIONS(2828),
    [anon_sym_return] = ACTIONS(2828),
    [anon_sym_break] = ACTIONS(2828),
    [anon_sym_continue] = ACTIONS(2828),
    [anon_sym_goto] = ACTIONS(2828),
    [anon_sym_DASH_DASH] = ACTIONS(2830),
    [anon_sym_PLUS_PLUS] = ACTIONS(2830),
    [anon_sym_sizeof] = ACTIONS(2828),
    [anon_sym___alignof__] = ACTIONS(2828),
    [anon_sym___alignof] = ACTIONS(2828),
    [anon_sym__alignof] = ACTIONS(2828),
    [anon_sym_alignof] = ACTIONS(2828),
    [anon_sym__Alignof] = ACTIONS(2828),
    [anon_sym_offsetof] = ACTIONS(2828),
    [anon_sym__Generic] = ACTIONS(2828),
    [anon_sym_asm] = ACTIONS(2828),
    [anon_sym___asm__] = ACTIONS(2828),
    [anon_sym___asm] = ACTIONS(2828),
    [sym_number_literal] = ACTIONS(2830),
    [anon_sym_L_SQUOTE] = ACTIONS(2830),
    [anon_sym_u_SQUOTE] = ACTIONS(2830),
    [anon_sym_U_SQUOTE] = ACTIONS(2830),
    [anon_sym_u8_SQUOTE] = ACTIONS(2830),
    [anon_sym_SQUOTE] = ACTIONS(2830),
    [anon_sym_AT] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2830),
    [anon_sym_L_DQUOTE] = ACTIONS(2830),
    [anon_sym_u_DQUOTE] = ACTIONS(2830),
    [anon_sym_U_DQUOTE] = ACTIONS(2830),
    [anon_sym_u8_DQUOTE] = ACTIONS(2830),
    [sym_true] = ACTIONS(2828),
    [sym_false] = ACTIONS(2828),
    [anon_sym_NULL] = ACTIONS(2828),
    [anon_sym_nullptr] = ACTIONS(2828),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2828),
    [anon_sym___typeof] = ACTIONS(2828),
    [anon_sym_typeof] = ACTIONS(2828),
    [anon_sym_ATimport] = ACTIONS(2830),
    [aux_sym_preproc_undef_token1] = ACTIONS(2828),
    [anon_sym_POUND] = ACTIONS(2828),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2828),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2828),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2828),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2828),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2828),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2828),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2828),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2828),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2828),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2828),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2828),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2828),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2828),
    [anon_sym_API_AVAILABLE] = ACTIONS(2828),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2828),
    [anon_sym_API_DEPRECATED] = ACTIONS(2828),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2828),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2828),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2828),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2828),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2828),
    [anon_sym___deprecated_msg] = ACTIONS(2828),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2828),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2828),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2828),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2828),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2828),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2828),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2828),
    [anon_sym_ATprotocol] = ACTIONS(2830),
    [anon_sym_ATinterface] = ACTIONS(2830),
    [anon_sym_ATimplementation] = ACTIONS(2830),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2830),
    [anon_sym_ATtry] = ACTIONS(2830),
    [anon_sym___try] = ACTIONS(2828),
    [anon_sym_ATthrow] = ACTIONS(2830),
    [anon_sym_ATselector] = ACTIONS(2830),
    [anon_sym_ATavailable] = ACTIONS(2830),
    [anon_sym___builtin_available] = ACTIONS(2828),
    [anon_sym_va_arg] = ACTIONS(2828),
    [anon_sym_ATencode] = ACTIONS(2830),
    [anon_sym_ATsynchronized] = ACTIONS(2830),
    [anon_sym_BOOL] = ACTIONS(2828),
    [anon_sym_IMP] = ACTIONS(2828),
    [anon_sym_SEL] = ACTIONS(2828),
    [anon_sym_Class] = ACTIONS(2828),
    [anon_sym_id] = ACTIONS(2828),
  },
  [879] = {
    [sym_identifier] = ACTIONS(2634),
    [aux_sym_preproc_include_token1] = ACTIONS(2634),
    [aux_sym_preproc_include_token2] = ACTIONS(2634),
    [aux_sym_preproc_def_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2634),
    [sym_preproc_directive] = ACTIONS(2634),
    [anon_sym_LPAREN2] = ACTIONS(2636),
    [anon_sym_BANG] = ACTIONS(2636),
    [anon_sym_TILDE] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_CARET] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym___extension__] = ACTIONS(2634),
    [anon_sym_typedef] = ACTIONS(2634),
    [anon_sym_extern] = ACTIONS(2634),
    [anon_sym___attribute__] = ACTIONS(2634),
    [anon_sym___attribute] = ACTIONS(2634),
    [anon_sym_noreturn] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym___declspec] = ACTIONS(2634),
    [anon_sym___cdecl] = ACTIONS(2634),
    [anon_sym___clrcall] = ACTIONS(2634),
    [anon_sym___stdcall] = ACTIONS(2634),
    [anon_sym___fastcall] = ACTIONS(2634),
    [anon_sym___thiscall] = ACTIONS(2634),
    [anon_sym___vectorcall] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_RBRACE] = ACTIONS(2636),
    [anon_sym_signed] = ACTIONS(2634),
    [anon_sym_unsigned] = ACTIONS(2634),
    [anon_sym_long] = ACTIONS(2634),
    [anon_sym_short] = ACTIONS(2634),
    [anon_sym_static] = ACTIONS(2634),
    [anon_sym_ATautoreleasepool] = ACTIONS(2636),
    [anon_sym_auto] = ACTIONS(2634),
    [anon_sym_register] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym___inline] = ACTIONS(2634),
    [anon_sym___inline__] = ACTIONS(2634),
    [anon_sym___forceinline] = ACTIONS(2634),
    [anon_sym_thread_local] = ACTIONS(2634),
    [anon_sym___thread] = ACTIONS(2634),
    [anon_sym_CG_EXTERN] = ACTIONS(2634),
    [anon_sym_CG_INLINE] = ACTIONS(2634),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2634),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2634),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2634),
    [anon_sym_IBOutlet] = ACTIONS(2634),
    [anon_sym_IBInspectable] = ACTIONS(2634),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2634),
    [anon_sym_NS_INLINE] = ACTIONS(2634),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2634),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2634),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2634),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_constexpr] = ACTIONS(2634),
    [anon_sym_volatile] = ACTIONS(2634),
    [anon_sym_restrict] = ACTIONS(2634),
    [anon_sym___restrict__] = ACTIONS(2634),
    [anon_sym__Atomic] = ACTIONS(2634),
    [anon_sym__Noreturn] = ACTIONS(2634),
    [anon_sym__Nonnull] = ACTIONS(2634),
    [anon_sym_nullable] = ACTIONS(2634),
    [anon_sym__Complex] = ACTIONS(2634),
    [anon_sym__Nullable] = ACTIONS(2634),
    [anon_sym__Nullable_result] = ACTIONS(2634),
    [anon_sym__Null_unspecified] = ACTIONS(2634),
    [anon_sym___autoreleasing] = ACTIONS(2634),
    [anon_sym___block] = ACTIONS(2634),
    [anon_sym___bridge] = ACTIONS(2634),
    [anon_sym___bridge_retained] = ACTIONS(2634),
    [anon_sym___bridge_transfer] = ACTIONS(2634),
    [anon_sym___complex] = ACTIONS(2634),
    [anon_sym___const] = ACTIONS(2634),
    [anon_sym___imag] = ACTIONS(2634),
    [anon_sym___kindof] = ACTIONS(2634),
    [anon_sym___nonnull] = ACTIONS(2634),
    [anon_sym___nullable] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2634),
    [anon_sym___real] = ACTIONS(2634),
    [anon_sym___strong] = ACTIONS(2634),
    [anon_sym___unsafe_unretained] = ACTIONS(2634),
    [anon_sym___unused] = ACTIONS(2634),
    [anon_sym___weak] = ACTIONS(2634),
    [anon_sym_alignas] = ACTIONS(2634),
    [anon_sym__Alignas] = ACTIONS(2634),
    [sym_primitive_type] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_struct] = ACTIONS(2634),
    [anon_sym_union] = ACTIONS(2634),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_switch] = ACTIONS(2634),
    [anon_sym_case] = ACTIONS(2634),
    [anon_sym_default] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_do] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2634),
    [anon_sym_in] = ACTIONS(2634),
    [anon_sym_return] = ACTIONS(2634),
    [anon_sym_break] = ACTIONS(2634),
    [anon_sym_continue] = ACTIONS(2634),
    [anon_sym_goto] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_sizeof] = ACTIONS(2634),
    [anon_sym___alignof__] = ACTIONS(2634),
    [anon_sym___alignof] = ACTIONS(2634),
    [anon_sym__alignof] = ACTIONS(2634),
    [anon_sym_alignof] = ACTIONS(2634),
    [anon_sym__Alignof] = ACTIONS(2634),
    [anon_sym_offsetof] = ACTIONS(2634),
    [anon_sym__Generic] = ACTIONS(2634),
    [anon_sym_asm] = ACTIONS(2634),
    [anon_sym___asm__] = ACTIONS(2634),
    [anon_sym___asm] = ACTIONS(2634),
    [sym_number_literal] = ACTIONS(2636),
    [anon_sym_L_SQUOTE] = ACTIONS(2636),
    [anon_sym_u_SQUOTE] = ACTIONS(2636),
    [anon_sym_U_SQUOTE] = ACTIONS(2636),
    [anon_sym_u8_SQUOTE] = ACTIONS(2636),
    [anon_sym_SQUOTE] = ACTIONS(2636),
    [anon_sym_AT] = ACTIONS(2634),
    [anon_sym_DQUOTE] = ACTIONS(2636),
    [anon_sym_L_DQUOTE] = ACTIONS(2636),
    [anon_sym_u_DQUOTE] = ACTIONS(2636),
    [anon_sym_U_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8_DQUOTE] = ACTIONS(2636),
    [sym_true] = ACTIONS(2634),
    [sym_false] = ACTIONS(2634),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2634),
    [anon_sym___typeof] = ACTIONS(2634),
    [anon_sym_typeof] = ACTIONS(2634),
    [anon_sym_ATimport] = ACTIONS(2636),
    [aux_sym_preproc_undef_token1] = ACTIONS(2634),
    [anon_sym_POUND] = ACTIONS(2634),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2634),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2634),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2634),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2634),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2634),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2634),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2634),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_API_AVAILABLE] = ACTIONS(2634),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_API_DEPRECATED] = ACTIONS(2634),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2634),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym___deprecated_msg] = ACTIONS(2634),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2634),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2634),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2634),
    [anon_sym_ATprotocol] = ACTIONS(2636),
    [anon_sym_ATinterface] = ACTIONS(2636),
    [anon_sym_ATimplementation] = ACTIONS(2636),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2636),
    [anon_sym_ATtry] = ACTIONS(2636),
    [anon_sym___try] = ACTIONS(2634),
    [anon_sym_ATthrow] = ACTIONS(2636),
    [anon_sym_ATselector] = ACTIONS(2636),
    [anon_sym_ATavailable] = ACTIONS(2636),
    [anon_sym___builtin_available] = ACTIONS(2634),
    [anon_sym_va_arg] = ACTIONS(2634),
    [anon_sym_ATencode] = ACTIONS(2636),
    [anon_sym_ATsynchronized] = ACTIONS(2636),
    [anon_sym_BOOL] = ACTIONS(2634),
    [anon_sym_IMP] = ACTIONS(2634),
    [anon_sym_SEL] = ACTIONS(2634),
    [anon_sym_Class] = ACTIONS(2634),
    [anon_sym_id] = ACTIONS(2634),
  },
  [880] = {
    [sym_identifier] = ACTIONS(2832),
    [aux_sym_preproc_include_token1] = ACTIONS(2832),
    [aux_sym_preproc_include_token2] = ACTIONS(2832),
    [aux_sym_preproc_def_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token1] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2832),
    [sym_preproc_directive] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2834),
    [anon_sym_TILDE] = ACTIONS(2834),
    [anon_sym_DASH] = ACTIONS(2832),
    [anon_sym_PLUS] = ACTIONS(2832),
    [anon_sym_STAR] = ACTIONS(2834),
    [anon_sym_CARET] = ACTIONS(2834),
    [anon_sym_AMP] = ACTIONS(2834),
    [anon_sym_SEMI] = ACTIONS(2834),
    [anon_sym___extension__] = ACTIONS(2832),
    [anon_sym_typedef] = ACTIONS(2832),
    [anon_sym_extern] = ACTIONS(2832),
    [anon_sym___attribute__] = ACTIONS(2832),
    [anon_sym___attribute] = ACTIONS(2832),
    [anon_sym_noreturn] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2834),
    [anon_sym___declspec] = ACTIONS(2832),
    [anon_sym___cdecl] = ACTIONS(2832),
    [anon_sym___clrcall] = ACTIONS(2832),
    [anon_sym___stdcall] = ACTIONS(2832),
    [anon_sym___fastcall] = ACTIONS(2832),
    [anon_sym___thiscall] = ACTIONS(2832),
    [anon_sym___vectorcall] = ACTIONS(2832),
    [anon_sym_LBRACE] = ACTIONS(2834),
    [anon_sym_RBRACE] = ACTIONS(2834),
    [anon_sym_signed] = ACTIONS(2832),
    [anon_sym_unsigned] = ACTIONS(2832),
    [anon_sym_long] = ACTIONS(2832),
    [anon_sym_short] = ACTIONS(2832),
    [anon_sym_static] = ACTIONS(2832),
    [anon_sym_ATautoreleasepool] = ACTIONS(2834),
    [anon_sym_auto] = ACTIONS(2832),
    [anon_sym_register] = ACTIONS(2832),
    [anon_sym_inline] = ACTIONS(2832),
    [anon_sym___inline] = ACTIONS(2832),
    [anon_sym___inline__] = ACTIONS(2832),
    [anon_sym___forceinline] = ACTIONS(2832),
    [anon_sym_thread_local] = ACTIONS(2832),
    [anon_sym___thread] = ACTIONS(2832),
    [anon_sym_CG_EXTERN] = ACTIONS(2832),
    [anon_sym_CG_INLINE] = ACTIONS(2832),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2832),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2832),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2832),
    [anon_sym_IBOutlet] = ACTIONS(2832),
    [anon_sym_IBInspectable] = ACTIONS(2832),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2832),
    [anon_sym_NS_INLINE] = ACTIONS(2832),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2832),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2832),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2832),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2832),
    [anon_sym_const] = ACTIONS(2832),
    [anon_sym_constexpr] = ACTIONS(2832),
    [anon_sym_volatile] = ACTIONS(2832),
    [anon_sym_restrict] = ACTIONS(2832),
    [anon_sym___restrict__] = ACTIONS(2832),
    [anon_sym__Atomic] = ACTIONS(2832),
    [anon_sym__Noreturn] = ACTIONS(2832),
    [anon_sym__Nonnull] = ACTIONS(2832),
    [anon_sym_nullable] = ACTIONS(2832),
    [anon_sym__Complex] = ACTIONS(2832),
    [anon_sym__Nullable] = ACTIONS(2832),
    [anon_sym__Nullable_result] = ACTIONS(2832),
    [anon_sym__Null_unspecified] = ACTIONS(2832),
    [anon_sym___autoreleasing] = ACTIONS(2832),
    [anon_sym___block] = ACTIONS(2832),
    [anon_sym___bridge] = ACTIONS(2832),
    [anon_sym___bridge_retained] = ACTIONS(2832),
    [anon_sym___bridge_transfer] = ACTIONS(2832),
    [anon_sym___complex] = ACTIONS(2832),
    [anon_sym___const] = ACTIONS(2832),
    [anon_sym___imag] = ACTIONS(2832),
    [anon_sym___kindof] = ACTIONS(2832),
    [anon_sym___nonnull] = ACTIONS(2832),
    [anon_sym___nullable] = ACTIONS(2832),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2832),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2832),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2832),
    [anon_sym___real] = ACTIONS(2832),
    [anon_sym___strong] = ACTIONS(2832),
    [anon_sym___unsafe_unretained] = ACTIONS(2832),
    [anon_sym___unused] = ACTIONS(2832),
    [anon_sym___weak] = ACTIONS(2832),
    [anon_sym_alignas] = ACTIONS(2832),
    [anon_sym__Alignas] = ACTIONS(2832),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_enum] = ACTIONS(2832),
    [anon_sym_struct] = ACTIONS(2832),
    [anon_sym_union] = ACTIONS(2832),
    [anon_sym_if] = ACTIONS(2832),
    [anon_sym_switch] = ACTIONS(2832),
    [anon_sym_case] = ACTIONS(2832),
    [anon_sym_default] = ACTIONS(2832),
    [anon_sym_while] = ACTIONS(2832),
    [anon_sym_do] = ACTIONS(2832),
    [anon_sym_for] = ACTIONS(2832),
    [anon_sym_in] = ACTIONS(2832),
    [anon_sym_return] = ACTIONS(2832),
    [anon_sym_break] = ACTIONS(2832),
    [anon_sym_continue] = ACTIONS(2832),
    [anon_sym_goto] = ACTIONS(2832),
    [anon_sym_DASH_DASH] = ACTIONS(2834),
    [anon_sym_PLUS_PLUS] = ACTIONS(2834),
    [anon_sym_sizeof] = ACTIONS(2832),
    [anon_sym___alignof__] = ACTIONS(2832),
    [anon_sym___alignof] = ACTIONS(2832),
    [anon_sym__alignof] = ACTIONS(2832),
    [anon_sym_alignof] = ACTIONS(2832),
    [anon_sym__Alignof] = ACTIONS(2832),
    [anon_sym_offsetof] = ACTIONS(2832),
    [anon_sym__Generic] = ACTIONS(2832),
    [anon_sym_asm] = ACTIONS(2832),
    [anon_sym___asm__] = ACTIONS(2832),
    [anon_sym___asm] = ACTIONS(2832),
    [sym_number_literal] = ACTIONS(2834),
    [anon_sym_L_SQUOTE] = ACTIONS(2834),
    [anon_sym_u_SQUOTE] = ACTIONS(2834),
    [anon_sym_U_SQUOTE] = ACTIONS(2834),
    [anon_sym_u8_SQUOTE] = ACTIONS(2834),
    [anon_sym_SQUOTE] = ACTIONS(2834),
    [anon_sym_AT] = ACTIONS(2832),
    [anon_sym_DQUOTE] = ACTIONS(2834),
    [anon_sym_L_DQUOTE] = ACTIONS(2834),
    [anon_sym_u_DQUOTE] = ACTIONS(2834),
    [anon_sym_U_DQUOTE] = ACTIONS(2834),
    [anon_sym_u8_DQUOTE] = ACTIONS(2834),
    [sym_true] = ACTIONS(2832),
    [sym_false] = ACTIONS(2832),
    [anon_sym_NULL] = ACTIONS(2832),
    [anon_sym_nullptr] = ACTIONS(2832),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2832),
    [anon_sym___typeof] = ACTIONS(2832),
    [anon_sym_typeof] = ACTIONS(2832),
    [anon_sym_ATimport] = ACTIONS(2834),
    [aux_sym_preproc_undef_token1] = ACTIONS(2832),
    [anon_sym_POUND] = ACTIONS(2832),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2832),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2832),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2832),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2832),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2832),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2832),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2832),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2832),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2832),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2832),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2832),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2832),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2832),
    [anon_sym_API_AVAILABLE] = ACTIONS(2832),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2832),
    [anon_sym_API_DEPRECATED] = ACTIONS(2832),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2832),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2832),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2832),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2832),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2832),
    [anon_sym___deprecated_msg] = ACTIONS(2832),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2832),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2832),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2832),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2832),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2832),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2832),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2832),
    [anon_sym_ATprotocol] = ACTIONS(2834),
    [anon_sym_ATinterface] = ACTIONS(2834),
    [anon_sym_ATimplementation] = ACTIONS(2834),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2834),
    [anon_sym_ATtry] = ACTIONS(2834),
    [anon_sym___try] = ACTIONS(2832),
    [anon_sym_ATthrow] = ACTIONS(2834),
    [anon_sym_ATselector] = ACTIONS(2834),
    [anon_sym_ATavailable] = ACTIONS(2834),
    [anon_sym___builtin_available] = ACTIONS(2832),
    [anon_sym_va_arg] = ACTIONS(2832),
    [anon_sym_ATencode] = ACTIONS(2834),
    [anon_sym_ATsynchronized] = ACTIONS(2834),
    [anon_sym_BOOL] = ACTIONS(2832),
    [anon_sym_IMP] = ACTIONS(2832),
    [anon_sym_SEL] = ACTIONS(2832),
    [anon_sym_Class] = ACTIONS(2832),
    [anon_sym_id] = ACTIONS(2832),
  },
  [881] = {
    [sym_identifier] = ACTIONS(2678),
    [aux_sym_preproc_include_token1] = ACTIONS(2678),
    [aux_sym_preproc_include_token2] = ACTIONS(2678),
    [aux_sym_preproc_def_token1] = ACTIONS(2678),
    [aux_sym_preproc_if_token1] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2678),
    [sym_preproc_directive] = ACTIONS(2678),
    [anon_sym_LPAREN2] = ACTIONS(2680),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_CARET] = ACTIONS(2680),
    [anon_sym_AMP] = ACTIONS(2680),
    [anon_sym_SEMI] = ACTIONS(2680),
    [anon_sym___extension__] = ACTIONS(2678),
    [anon_sym_typedef] = ACTIONS(2678),
    [anon_sym_extern] = ACTIONS(2678),
    [anon_sym___attribute__] = ACTIONS(2678),
    [anon_sym___attribute] = ACTIONS(2678),
    [anon_sym_noreturn] = ACTIONS(2678),
    [anon_sym_LBRACK] = ACTIONS(2680),
    [anon_sym___declspec] = ACTIONS(2678),
    [anon_sym___cdecl] = ACTIONS(2678),
    [anon_sym___clrcall] = ACTIONS(2678),
    [anon_sym___stdcall] = ACTIONS(2678),
    [anon_sym___fastcall] = ACTIONS(2678),
    [anon_sym___thiscall] = ACTIONS(2678),
    [anon_sym___vectorcall] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_RBRACE] = ACTIONS(2680),
    [anon_sym_signed] = ACTIONS(2678),
    [anon_sym_unsigned] = ACTIONS(2678),
    [anon_sym_long] = ACTIONS(2678),
    [anon_sym_short] = ACTIONS(2678),
    [anon_sym_static] = ACTIONS(2678),
    [anon_sym_ATautoreleasepool] = ACTIONS(2680),
    [anon_sym_auto] = ACTIONS(2678),
    [anon_sym_register] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(2678),
    [anon_sym___inline] = ACTIONS(2678),
    [anon_sym___inline__] = ACTIONS(2678),
    [anon_sym___forceinline] = ACTIONS(2678),
    [anon_sym_thread_local] = ACTIONS(2678),
    [anon_sym___thread] = ACTIONS(2678),
    [anon_sym_CG_EXTERN] = ACTIONS(2678),
    [anon_sym_CG_INLINE] = ACTIONS(2678),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2678),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2678),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2678),
    [anon_sym_IBOutlet] = ACTIONS(2678),
    [anon_sym_IBInspectable] = ACTIONS(2678),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2678),
    [anon_sym_NS_INLINE] = ACTIONS(2678),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2678),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2678),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2678),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2678),
    [anon_sym_const] = ACTIONS(2678),
    [anon_sym_constexpr] = ACTIONS(2678),
    [anon_sym_volatile] = ACTIONS(2678),
    [anon_sym_restrict] = ACTIONS(2678),
    [anon_sym___restrict__] = ACTIONS(2678),
    [anon_sym__Atomic] = ACTIONS(2678),
    [anon_sym__Noreturn] = ACTIONS(2678),
    [anon_sym__Nonnull] = ACTIONS(2678),
    [anon_sym_nullable] = ACTIONS(2678),
    [anon_sym__Complex] = ACTIONS(2678),
    [anon_sym__Nullable] = ACTIONS(2678),
    [anon_sym__Nullable_result] = ACTIONS(2678),
    [anon_sym__Null_unspecified] = ACTIONS(2678),
    [anon_sym___autoreleasing] = ACTIONS(2678),
    [anon_sym___block] = ACTIONS(2678),
    [anon_sym___bridge] = ACTIONS(2678),
    [anon_sym___bridge_retained] = ACTIONS(2678),
    [anon_sym___bridge_transfer] = ACTIONS(2678),
    [anon_sym___complex] = ACTIONS(2678),
    [anon_sym___const] = ACTIONS(2678),
    [anon_sym___imag] = ACTIONS(2678),
    [anon_sym___kindof] = ACTIONS(2678),
    [anon_sym___nonnull] = ACTIONS(2678),
    [anon_sym___nullable] = ACTIONS(2678),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2678),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2678),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2678),
    [anon_sym___real] = ACTIONS(2678),
    [anon_sym___strong] = ACTIONS(2678),
    [anon_sym___unsafe_unretained] = ACTIONS(2678),
    [anon_sym___unused] = ACTIONS(2678),
    [anon_sym___weak] = ACTIONS(2678),
    [anon_sym_alignas] = ACTIONS(2678),
    [anon_sym__Alignas] = ACTIONS(2678),
    [sym_primitive_type] = ACTIONS(2678),
    [anon_sym_enum] = ACTIONS(2678),
    [anon_sym_struct] = ACTIONS(2678),
    [anon_sym_union] = ACTIONS(2678),
    [anon_sym_if] = ACTIONS(2678),
    [anon_sym_switch] = ACTIONS(2678),
    [anon_sym_case] = ACTIONS(2678),
    [anon_sym_default] = ACTIONS(2678),
    [anon_sym_while] = ACTIONS(2678),
    [anon_sym_do] = ACTIONS(2678),
    [anon_sym_for] = ACTIONS(2678),
    [anon_sym_in] = ACTIONS(2678),
    [anon_sym_return] = ACTIONS(2678),
    [anon_sym_break] = ACTIONS(2678),
    [anon_sym_continue] = ACTIONS(2678),
    [anon_sym_goto] = ACTIONS(2678),
    [anon_sym_DASH_DASH] = ACTIONS(2680),
    [anon_sym_PLUS_PLUS] = ACTIONS(2680),
    [anon_sym_sizeof] = ACTIONS(2678),
    [anon_sym___alignof__] = ACTIONS(2678),
    [anon_sym___alignof] = ACTIONS(2678),
    [anon_sym__alignof] = ACTIONS(2678),
    [anon_sym_alignof] = ACTIONS(2678),
    [anon_sym__Alignof] = ACTIONS(2678),
    [anon_sym_offsetof] = ACTIONS(2678),
    [anon_sym__Generic] = ACTIONS(2678),
    [anon_sym_asm] = ACTIONS(2678),
    [anon_sym___asm__] = ACTIONS(2678),
    [anon_sym___asm] = ACTIONS(2678),
    [sym_number_literal] = ACTIONS(2680),
    [anon_sym_L_SQUOTE] = ACTIONS(2680),
    [anon_sym_u_SQUOTE] = ACTIONS(2680),
    [anon_sym_U_SQUOTE] = ACTIONS(2680),
    [anon_sym_u8_SQUOTE] = ACTIONS(2680),
    [anon_sym_SQUOTE] = ACTIONS(2680),
    [anon_sym_AT] = ACTIONS(2678),
    [anon_sym_DQUOTE] = ACTIONS(2680),
    [anon_sym_L_DQUOTE] = ACTIONS(2680),
    [anon_sym_u_DQUOTE] = ACTIONS(2680),
    [anon_sym_U_DQUOTE] = ACTIONS(2680),
    [anon_sym_u8_DQUOTE] = ACTIONS(2680),
    [sym_true] = ACTIONS(2678),
    [sym_false] = ACTIONS(2678),
    [anon_sym_NULL] = ACTIONS(2678),
    [anon_sym_nullptr] = ACTIONS(2678),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2678),
    [anon_sym___typeof] = ACTIONS(2678),
    [anon_sym_typeof] = ACTIONS(2678),
    [anon_sym_ATimport] = ACTIONS(2680),
    [aux_sym_preproc_undef_token1] = ACTIONS(2678),
    [anon_sym_POUND] = ACTIONS(2678),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2678),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2678),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2678),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2678),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2678),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2678),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2678),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2678),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2678),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2678),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2678),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2678),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2678),
    [anon_sym_API_AVAILABLE] = ACTIONS(2678),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2678),
    [anon_sym_API_DEPRECATED] = ACTIONS(2678),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2678),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2678),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2678),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2678),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2678),
    [anon_sym___deprecated_msg] = ACTIONS(2678),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2678),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2678),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2678),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2678),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2678),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2678),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2678),
    [anon_sym_ATprotocol] = ACTIONS(2680),
    [anon_sym_ATinterface] = ACTIONS(2680),
    [anon_sym_ATimplementation] = ACTIONS(2680),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2680),
    [anon_sym_ATtry] = ACTIONS(2680),
    [anon_sym___try] = ACTIONS(2678),
    [anon_sym_ATthrow] = ACTIONS(2680),
    [anon_sym_ATselector] = ACTIONS(2680),
    [anon_sym_ATavailable] = ACTIONS(2680),
    [anon_sym___builtin_available] = ACTIONS(2678),
    [anon_sym_va_arg] = ACTIONS(2678),
    [anon_sym_ATencode] = ACTIONS(2680),
    [anon_sym_ATsynchronized] = ACTIONS(2680),
    [anon_sym_BOOL] = ACTIONS(2678),
    [anon_sym_IMP] = ACTIONS(2678),
    [anon_sym_SEL] = ACTIONS(2678),
    [anon_sym_Class] = ACTIONS(2678),
    [anon_sym_id] = ACTIONS(2678),
  },
  [882] = {
    [sym_identifier] = ACTIONS(2722),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_include_token2] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2722),
    [aux_sym_preproc_if_token1] = ACTIONS(2722),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2722),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2722),
    [sym_preproc_directive] = ACTIONS(2722),
    [anon_sym_LPAREN2] = ACTIONS(2724),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2722),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_CARET] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_SEMI] = ACTIONS(2724),
    [anon_sym___extension__] = ACTIONS(2722),
    [anon_sym_typedef] = ACTIONS(2722),
    [anon_sym_extern] = ACTIONS(2722),
    [anon_sym___attribute__] = ACTIONS(2722),
    [anon_sym___attribute] = ACTIONS(2722),
    [anon_sym_noreturn] = ACTIONS(2722),
    [anon_sym_LBRACK] = ACTIONS(2724),
    [anon_sym___declspec] = ACTIONS(2722),
    [anon_sym___cdecl] = ACTIONS(2722),
    [anon_sym___clrcall] = ACTIONS(2722),
    [anon_sym___stdcall] = ACTIONS(2722),
    [anon_sym___fastcall] = ACTIONS(2722),
    [anon_sym___thiscall] = ACTIONS(2722),
    [anon_sym___vectorcall] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [anon_sym_RBRACE] = ACTIONS(2724),
    [anon_sym_signed] = ACTIONS(2722),
    [anon_sym_unsigned] = ACTIONS(2722),
    [anon_sym_long] = ACTIONS(2722),
    [anon_sym_short] = ACTIONS(2722),
    [anon_sym_static] = ACTIONS(2722),
    [anon_sym_ATautoreleasepool] = ACTIONS(2724),
    [anon_sym_auto] = ACTIONS(2722),
    [anon_sym_register] = ACTIONS(2722),
    [anon_sym_inline] = ACTIONS(2722),
    [anon_sym___inline] = ACTIONS(2722),
    [anon_sym___inline__] = ACTIONS(2722),
    [anon_sym___forceinline] = ACTIONS(2722),
    [anon_sym_thread_local] = ACTIONS(2722),
    [anon_sym___thread] = ACTIONS(2722),
    [anon_sym_CG_EXTERN] = ACTIONS(2722),
    [anon_sym_CG_INLINE] = ACTIONS(2722),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2722),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2722),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2722),
    [anon_sym_IBOutlet] = ACTIONS(2722),
    [anon_sym_IBInspectable] = ACTIONS(2722),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2722),
    [anon_sym_NS_INLINE] = ACTIONS(2722),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2722),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2722),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2722),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2722),
    [anon_sym_const] = ACTIONS(2722),
    [anon_sym_constexpr] = ACTIONS(2722),
    [anon_sym_volatile] = ACTIONS(2722),
    [anon_sym_restrict] = ACTIONS(2722),
    [anon_sym___restrict__] = ACTIONS(2722),
    [anon_sym__Atomic] = ACTIONS(2722),
    [anon_sym__Noreturn] = ACTIONS(2722),
    [anon_sym__Nonnull] = ACTIONS(2722),
    [anon_sym_nullable] = ACTIONS(2722),
    [anon_sym__Complex] = ACTIONS(2722),
    [anon_sym__Nullable] = ACTIONS(2722),
    [anon_sym__Nullable_result] = ACTIONS(2722),
    [anon_sym__Null_unspecified] = ACTIONS(2722),
    [anon_sym___autoreleasing] = ACTIONS(2722),
    [anon_sym___block] = ACTIONS(2722),
    [anon_sym___bridge] = ACTIONS(2722),
    [anon_sym___bridge_retained] = ACTIONS(2722),
    [anon_sym___bridge_transfer] = ACTIONS(2722),
    [anon_sym___complex] = ACTIONS(2722),
    [anon_sym___const] = ACTIONS(2722),
    [anon_sym___imag] = ACTIONS(2722),
    [anon_sym___kindof] = ACTIONS(2722),
    [anon_sym___nonnull] = ACTIONS(2722),
    [anon_sym___nullable] = ACTIONS(2722),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2722),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2722),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2722),
    [anon_sym___real] = ACTIONS(2722),
    [anon_sym___strong] = ACTIONS(2722),
    [anon_sym___unsafe_unretained] = ACTIONS(2722),
    [anon_sym___unused] = ACTIONS(2722),
    [anon_sym___weak] = ACTIONS(2722),
    [anon_sym_alignas] = ACTIONS(2722),
    [anon_sym__Alignas] = ACTIONS(2722),
    [sym_primitive_type] = ACTIONS(2722),
    [anon_sym_enum] = ACTIONS(2722),
    [anon_sym_struct] = ACTIONS(2722),
    [anon_sym_union] = ACTIONS(2722),
    [anon_sym_if] = ACTIONS(2722),
    [anon_sym_switch] = ACTIONS(2722),
    [anon_sym_case] = ACTIONS(2722),
    [anon_sym_default] = ACTIONS(2722),
    [anon_sym_while] = ACTIONS(2722),
    [anon_sym_do] = ACTIONS(2722),
    [anon_sym_for] = ACTIONS(2722),
    [anon_sym_in] = ACTIONS(2722),
    [anon_sym_return] = ACTIONS(2722),
    [anon_sym_break] = ACTIONS(2722),
    [anon_sym_continue] = ACTIONS(2722),
    [anon_sym_goto] = ACTIONS(2722),
    [anon_sym_DASH_DASH] = ACTIONS(2724),
    [anon_sym_PLUS_PLUS] = ACTIONS(2724),
    [anon_sym_sizeof] = ACTIONS(2722),
    [anon_sym___alignof__] = ACTIONS(2722),
    [anon_sym___alignof] = ACTIONS(2722),
    [anon_sym__alignof] = ACTIONS(2722),
    [anon_sym_alignof] = ACTIONS(2722),
    [anon_sym__Alignof] = ACTIONS(2722),
    [anon_sym_offsetof] = ACTIONS(2722),
    [anon_sym__Generic] = ACTIONS(2722),
    [anon_sym_asm] = ACTIONS(2722),
    [anon_sym___asm__] = ACTIONS(2722),
    [anon_sym___asm] = ACTIONS(2722),
    [sym_number_literal] = ACTIONS(2724),
    [anon_sym_L_SQUOTE] = ACTIONS(2724),
    [anon_sym_u_SQUOTE] = ACTIONS(2724),
    [anon_sym_U_SQUOTE] = ACTIONS(2724),
    [anon_sym_u8_SQUOTE] = ACTIONS(2724),
    [anon_sym_SQUOTE] = ACTIONS(2724),
    [anon_sym_AT] = ACTIONS(2722),
    [anon_sym_DQUOTE] = ACTIONS(2724),
    [anon_sym_L_DQUOTE] = ACTIONS(2724),
    [anon_sym_u_DQUOTE] = ACTIONS(2724),
    [anon_sym_U_DQUOTE] = ACTIONS(2724),
    [anon_sym_u8_DQUOTE] = ACTIONS(2724),
    [sym_true] = ACTIONS(2722),
    [sym_false] = ACTIONS(2722),
    [anon_sym_NULL] = ACTIONS(2722),
    [anon_sym_nullptr] = ACTIONS(2722),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2722),
    [anon_sym___typeof] = ACTIONS(2722),
    [anon_sym_typeof] = ACTIONS(2722),
    [anon_sym_ATimport] = ACTIONS(2724),
    [aux_sym_preproc_undef_token1] = ACTIONS(2722),
    [anon_sym_POUND] = ACTIONS(2722),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2722),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2722),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2722),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2722),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2722),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2722),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2722),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2722),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2722),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2722),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2722),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2722),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2722),
    [anon_sym_API_AVAILABLE] = ACTIONS(2722),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2722),
    [anon_sym_API_DEPRECATED] = ACTIONS(2722),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2722),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2722),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2722),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2722),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2722),
    [anon_sym___deprecated_msg] = ACTIONS(2722),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2722),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2722),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2722),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2722),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2722),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2722),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2722),
    [anon_sym_ATprotocol] = ACTIONS(2724),
    [anon_sym_ATinterface] = ACTIONS(2724),
    [anon_sym_ATimplementation] = ACTIONS(2724),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2724),
    [anon_sym_ATtry] = ACTIONS(2724),
    [anon_sym___try] = ACTIONS(2722),
    [anon_sym_ATthrow] = ACTIONS(2724),
    [anon_sym_ATselector] = ACTIONS(2724),
    [anon_sym_ATavailable] = ACTIONS(2724),
    [anon_sym___builtin_available] = ACTIONS(2722),
    [anon_sym_va_arg] = ACTIONS(2722),
    [anon_sym_ATencode] = ACTIONS(2724),
    [anon_sym_ATsynchronized] = ACTIONS(2724),
    [anon_sym_BOOL] = ACTIONS(2722),
    [anon_sym_IMP] = ACTIONS(2722),
    [anon_sym_SEL] = ACTIONS(2722),
    [anon_sym_Class] = ACTIONS(2722),
    [anon_sym_id] = ACTIONS(2722),
  },
  [883] = {
    [sym_identifier] = ACTIONS(2608),
    [aux_sym_preproc_include_token1] = ACTIONS(2608),
    [aux_sym_preproc_include_token2] = ACTIONS(2608),
    [aux_sym_preproc_def_token1] = ACTIONS(2608),
    [aux_sym_preproc_if_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2608),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2608),
    [sym_preproc_directive] = ACTIONS(2608),
    [anon_sym_LPAREN2] = ACTIONS(2611),
    [anon_sym_BANG] = ACTIONS(2611),
    [anon_sym_TILDE] = ACTIONS(2611),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_STAR] = ACTIONS(2611),
    [anon_sym_CARET] = ACTIONS(2611),
    [anon_sym_AMP] = ACTIONS(2611),
    [anon_sym_SEMI] = ACTIONS(2611),
    [anon_sym___extension__] = ACTIONS(2608),
    [anon_sym_typedef] = ACTIONS(2608),
    [anon_sym_extern] = ACTIONS(2608),
    [anon_sym___attribute__] = ACTIONS(2608),
    [anon_sym___attribute] = ACTIONS(2608),
    [anon_sym_noreturn] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym___declspec] = ACTIONS(2608),
    [anon_sym___cdecl] = ACTIONS(2608),
    [anon_sym___clrcall] = ACTIONS(2608),
    [anon_sym___stdcall] = ACTIONS(2608),
    [anon_sym___fastcall] = ACTIONS(2608),
    [anon_sym___thiscall] = ACTIONS(2608),
    [anon_sym___vectorcall] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_RBRACE] = ACTIONS(2611),
    [anon_sym_signed] = ACTIONS(2608),
    [anon_sym_unsigned] = ACTIONS(2608),
    [anon_sym_long] = ACTIONS(2608),
    [anon_sym_short] = ACTIONS(2608),
    [anon_sym_static] = ACTIONS(2608),
    [anon_sym_ATautoreleasepool] = ACTIONS(2611),
    [anon_sym_auto] = ACTIONS(2608),
    [anon_sym_register] = ACTIONS(2608),
    [anon_sym_inline] = ACTIONS(2608),
    [anon_sym___inline] = ACTIONS(2608),
    [anon_sym___inline__] = ACTIONS(2608),
    [anon_sym___forceinline] = ACTIONS(2608),
    [anon_sym_thread_local] = ACTIONS(2608),
    [anon_sym___thread] = ACTIONS(2608),
    [anon_sym_CG_EXTERN] = ACTIONS(2608),
    [anon_sym_CG_INLINE] = ACTIONS(2608),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2608),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2608),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2608),
    [anon_sym_IBOutlet] = ACTIONS(2608),
    [anon_sym_IBInspectable] = ACTIONS(2608),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2608),
    [anon_sym_NS_INLINE] = ACTIONS(2608),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2608),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2608),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2608),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2608),
    [anon_sym_const] = ACTIONS(2608),
    [anon_sym_constexpr] = ACTIONS(2608),
    [anon_sym_volatile] = ACTIONS(2608),
    [anon_sym_restrict] = ACTIONS(2608),
    [anon_sym___restrict__] = ACTIONS(2608),
    [anon_sym__Atomic] = ACTIONS(2608),
    [anon_sym__Noreturn] = ACTIONS(2608),
    [anon_sym__Nonnull] = ACTIONS(2608),
    [anon_sym_nullable] = ACTIONS(2608),
    [anon_sym__Complex] = ACTIONS(2608),
    [anon_sym__Nullable] = ACTIONS(2608),
    [anon_sym__Nullable_result] = ACTIONS(2608),
    [anon_sym__Null_unspecified] = ACTIONS(2608),
    [anon_sym___autoreleasing] = ACTIONS(2608),
    [anon_sym___block] = ACTIONS(2608),
    [anon_sym___bridge] = ACTIONS(2608),
    [anon_sym___bridge_retained] = ACTIONS(2608),
    [anon_sym___bridge_transfer] = ACTIONS(2608),
    [anon_sym___complex] = ACTIONS(2608),
    [anon_sym___const] = ACTIONS(2608),
    [anon_sym___imag] = ACTIONS(2608),
    [anon_sym___kindof] = ACTIONS(2608),
    [anon_sym___nonnull] = ACTIONS(2608),
    [anon_sym___nullable] = ACTIONS(2608),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2608),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2608),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2608),
    [anon_sym___real] = ACTIONS(2608),
    [anon_sym___strong] = ACTIONS(2608),
    [anon_sym___unsafe_unretained] = ACTIONS(2608),
    [anon_sym___unused] = ACTIONS(2608),
    [anon_sym___weak] = ACTIONS(2608),
    [anon_sym_alignas] = ACTIONS(2608),
    [anon_sym__Alignas] = ACTIONS(2608),
    [sym_primitive_type] = ACTIONS(2608),
    [anon_sym_enum] = ACTIONS(2608),
    [anon_sym_struct] = ACTIONS(2608),
    [anon_sym_union] = ACTIONS(2608),
    [anon_sym_if] = ACTIONS(2608),
    [anon_sym_switch] = ACTIONS(2608),
    [anon_sym_case] = ACTIONS(2608),
    [anon_sym_default] = ACTIONS(2608),
    [anon_sym_while] = ACTIONS(2608),
    [anon_sym_do] = ACTIONS(2608),
    [anon_sym_for] = ACTIONS(2608),
    [anon_sym_in] = ACTIONS(2608),
    [anon_sym_return] = ACTIONS(2608),
    [anon_sym_break] = ACTIONS(2608),
    [anon_sym_continue] = ACTIONS(2608),
    [anon_sym_goto] = ACTIONS(2608),
    [anon_sym_DASH_DASH] = ACTIONS(2611),
    [anon_sym_PLUS_PLUS] = ACTIONS(2611),
    [anon_sym_sizeof] = ACTIONS(2608),
    [anon_sym___alignof__] = ACTIONS(2608),
    [anon_sym___alignof] = ACTIONS(2608),
    [anon_sym__alignof] = ACTIONS(2608),
    [anon_sym_alignof] = ACTIONS(2608),
    [anon_sym__Alignof] = ACTIONS(2608),
    [anon_sym_offsetof] = ACTIONS(2608),
    [anon_sym__Generic] = ACTIONS(2608),
    [anon_sym_asm] = ACTIONS(2608),
    [anon_sym___asm__] = ACTIONS(2608),
    [anon_sym___asm] = ACTIONS(2608),
    [sym_number_literal] = ACTIONS(2611),
    [anon_sym_L_SQUOTE] = ACTIONS(2611),
    [anon_sym_u_SQUOTE] = ACTIONS(2611),
    [anon_sym_U_SQUOTE] = ACTIONS(2611),
    [anon_sym_u8_SQUOTE] = ACTIONS(2611),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_AT] = ACTIONS(2608),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [anon_sym_L_DQUOTE] = ACTIONS(2611),
    [anon_sym_u_DQUOTE] = ACTIONS(2611),
    [anon_sym_U_DQUOTE] = ACTIONS(2611),
    [anon_sym_u8_DQUOTE] = ACTIONS(2611),
    [sym_true] = ACTIONS(2608),
    [sym_false] = ACTIONS(2608),
    [anon_sym_NULL] = ACTIONS(2608),
    [anon_sym_nullptr] = ACTIONS(2608),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2608),
    [anon_sym___typeof] = ACTIONS(2608),
    [anon_sym_typeof] = ACTIONS(2608),
    [anon_sym_ATimport] = ACTIONS(2611),
    [aux_sym_preproc_undef_token1] = ACTIONS(2608),
    [anon_sym_POUND] = ACTIONS(2608),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2608),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2608),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2608),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2608),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2608),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2608),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2608),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2608),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2608),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2608),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2608),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2608),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2608),
    [anon_sym_API_AVAILABLE] = ACTIONS(2608),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2608),
    [anon_sym_API_DEPRECATED] = ACTIONS(2608),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2608),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2608),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2608),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2608),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2608),
    [anon_sym___deprecated_msg] = ACTIONS(2608),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2608),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2608),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2608),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2608),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2608),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2608),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2608),
    [anon_sym_ATprotocol] = ACTIONS(2611),
    [anon_sym_ATinterface] = ACTIONS(2611),
    [anon_sym_ATimplementation] = ACTIONS(2611),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2611),
    [anon_sym_ATtry] = ACTIONS(2611),
    [anon_sym___try] = ACTIONS(2608),
    [anon_sym_ATthrow] = ACTIONS(2611),
    [anon_sym_ATselector] = ACTIONS(2611),
    [anon_sym_ATavailable] = ACTIONS(2611),
    [anon_sym___builtin_available] = ACTIONS(2608),
    [anon_sym_va_arg] = ACTIONS(2608),
    [anon_sym_ATencode] = ACTIONS(2611),
    [anon_sym_ATsynchronized] = ACTIONS(2611),
    [anon_sym_BOOL] = ACTIONS(2608),
    [anon_sym_IMP] = ACTIONS(2608),
    [anon_sym_SEL] = ACTIONS(2608),
    [anon_sym_Class] = ACTIONS(2608),
    [anon_sym_id] = ACTIONS(2608),
  },
  [884] = {
    [sym_identifier] = ACTIONS(2584),
    [aux_sym_preproc_include_token1] = ACTIONS(2584),
    [aux_sym_preproc_include_token2] = ACTIONS(2584),
    [aux_sym_preproc_def_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2584),
    [sym_preproc_directive] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2586),
    [anon_sym___extension__] = ACTIONS(2584),
    [anon_sym_typedef] = ACTIONS(2584),
    [anon_sym_extern] = ACTIONS(2584),
    [anon_sym___attribute__] = ACTIONS(2584),
    [anon_sym___attribute] = ACTIONS(2584),
    [anon_sym_noreturn] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2586),
    [anon_sym___declspec] = ACTIONS(2584),
    [anon_sym___cdecl] = ACTIONS(2584),
    [anon_sym___clrcall] = ACTIONS(2584),
    [anon_sym___stdcall] = ACTIONS(2584),
    [anon_sym___fastcall] = ACTIONS(2584),
    [anon_sym___thiscall] = ACTIONS(2584),
    [anon_sym___vectorcall] = ACTIONS(2584),
    [anon_sym_LBRACE] = ACTIONS(2586),
    [anon_sym_RBRACE] = ACTIONS(2586),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_ATautoreleasepool] = ACTIONS(2586),
    [anon_sym_auto] = ACTIONS(2584),
    [anon_sym_register] = ACTIONS(2584),
    [anon_sym_inline] = ACTIONS(2584),
    [anon_sym___inline] = ACTIONS(2584),
    [anon_sym___inline__] = ACTIONS(2584),
    [anon_sym___forceinline] = ACTIONS(2584),
    [anon_sym_thread_local] = ACTIONS(2584),
    [anon_sym___thread] = ACTIONS(2584),
    [anon_sym_CG_EXTERN] = ACTIONS(2584),
    [anon_sym_CG_INLINE] = ACTIONS(2584),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2584),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2584),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2584),
    [anon_sym_IBOutlet] = ACTIONS(2584),
    [anon_sym_IBInspectable] = ACTIONS(2584),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2584),
    [anon_sym_NS_INLINE] = ACTIONS(2584),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2584),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2584),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2584),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2584),
    [anon_sym_const] = ACTIONS(2584),
    [anon_sym_constexpr] = ACTIONS(2584),
    [anon_sym_volatile] = ACTIONS(2584),
    [anon_sym_restrict] = ACTIONS(2584),
    [anon_sym___restrict__] = ACTIONS(2584),
    [anon_sym__Atomic] = ACTIONS(2584),
    [anon_sym__Noreturn] = ACTIONS(2584),
    [anon_sym__Nonnull] = ACTIONS(2584),
    [anon_sym_nullable] = ACTIONS(2584),
    [anon_sym__Complex] = ACTIONS(2584),
    [anon_sym__Nullable] = ACTIONS(2584),
    [anon_sym__Nullable_result] = ACTIONS(2584),
    [anon_sym__Null_unspecified] = ACTIONS(2584),
    [anon_sym___autoreleasing] = ACTIONS(2584),
    [anon_sym___block] = ACTIONS(2584),
    [anon_sym___bridge] = ACTIONS(2584),
    [anon_sym___bridge_retained] = ACTIONS(2584),
    [anon_sym___bridge_transfer] = ACTIONS(2584),
    [anon_sym___complex] = ACTIONS(2584),
    [anon_sym___const] = ACTIONS(2584),
    [anon_sym___imag] = ACTIONS(2584),
    [anon_sym___kindof] = ACTIONS(2584),
    [anon_sym___nonnull] = ACTIONS(2584),
    [anon_sym___nullable] = ACTIONS(2584),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2584),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2584),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2584),
    [anon_sym___real] = ACTIONS(2584),
    [anon_sym___strong] = ACTIONS(2584),
    [anon_sym___unsafe_unretained] = ACTIONS(2584),
    [anon_sym___unused] = ACTIONS(2584),
    [anon_sym___weak] = ACTIONS(2584),
    [anon_sym_alignas] = ACTIONS(2584),
    [anon_sym__Alignas] = ACTIONS(2584),
    [sym_primitive_type] = ACTIONS(2584),
    [anon_sym_enum] = ACTIONS(2584),
    [anon_sym_struct] = ACTIONS(2584),
    [anon_sym_union] = ACTIONS(2584),
    [anon_sym_if] = ACTIONS(2584),
    [anon_sym_switch] = ACTIONS(2584),
    [anon_sym_case] = ACTIONS(2584),
    [anon_sym_default] = ACTIONS(2584),
    [anon_sym_while] = ACTIONS(2584),
    [anon_sym_do] = ACTIONS(2584),
    [anon_sym_for] = ACTIONS(2584),
    [anon_sym_in] = ACTIONS(2584),
    [anon_sym_return] = ACTIONS(2584),
    [anon_sym_break] = ACTIONS(2584),
    [anon_sym_continue] = ACTIONS(2584),
    [anon_sym_goto] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2584),
    [anon_sym___alignof__] = ACTIONS(2584),
    [anon_sym___alignof] = ACTIONS(2584),
    [anon_sym__alignof] = ACTIONS(2584),
    [anon_sym_alignof] = ACTIONS(2584),
    [anon_sym__Alignof] = ACTIONS(2584),
    [anon_sym_offsetof] = ACTIONS(2584),
    [anon_sym__Generic] = ACTIONS(2584),
    [anon_sym_asm] = ACTIONS(2584),
    [anon_sym___asm__] = ACTIONS(2584),
    [anon_sym___asm] = ACTIONS(2584),
    [sym_number_literal] = ACTIONS(2586),
    [anon_sym_L_SQUOTE] = ACTIONS(2586),
    [anon_sym_u_SQUOTE] = ACTIONS(2586),
    [anon_sym_U_SQUOTE] = ACTIONS(2586),
    [anon_sym_u8_SQUOTE] = ACTIONS(2586),
    [anon_sym_SQUOTE] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2584),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [anon_sym_L_DQUOTE] = ACTIONS(2586),
    [anon_sym_u_DQUOTE] = ACTIONS(2586),
    [anon_sym_U_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8_DQUOTE] = ACTIONS(2586),
    [sym_true] = ACTIONS(2584),
    [sym_false] = ACTIONS(2584),
    [anon_sym_NULL] = ACTIONS(2584),
    [anon_sym_nullptr] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2584),
    [anon_sym___typeof] = ACTIONS(2584),
    [anon_sym_typeof] = ACTIONS(2584),
    [anon_sym_ATimport] = ACTIONS(2586),
    [aux_sym_preproc_undef_token1] = ACTIONS(2584),
    [anon_sym_POUND] = ACTIONS(2584),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2584),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2584),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2584),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2584),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2584),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2584),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2584),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2584),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2584),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2584),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2584),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2584),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2584),
    [anon_sym_API_AVAILABLE] = ACTIONS(2584),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2584),
    [anon_sym_API_DEPRECATED] = ACTIONS(2584),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2584),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2584),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2584),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2584),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2584),
    [anon_sym___deprecated_msg] = ACTIONS(2584),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2584),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2584),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2584),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2584),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2584),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2584),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2584),
    [anon_sym_ATprotocol] = ACTIONS(2586),
    [anon_sym_ATinterface] = ACTIONS(2586),
    [anon_sym_ATimplementation] = ACTIONS(2586),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2586),
    [anon_sym_ATtry] = ACTIONS(2586),
    [anon_sym___try] = ACTIONS(2584),
    [anon_sym_ATthrow] = ACTIONS(2586),
    [anon_sym_ATselector] = ACTIONS(2586),
    [anon_sym_ATavailable] = ACTIONS(2586),
    [anon_sym___builtin_available] = ACTIONS(2584),
    [anon_sym_va_arg] = ACTIONS(2584),
    [anon_sym_ATencode] = ACTIONS(2586),
    [anon_sym_ATsynchronized] = ACTIONS(2586),
    [anon_sym_BOOL] = ACTIONS(2584),
    [anon_sym_IMP] = ACTIONS(2584),
    [anon_sym_SEL] = ACTIONS(2584),
    [anon_sym_Class] = ACTIONS(2584),
    [anon_sym_id] = ACTIONS(2584),
  },
  [885] = {
    [sym_identifier] = ACTIONS(2840),
    [aux_sym_preproc_include_token1] = ACTIONS(2840),
    [aux_sym_preproc_include_token2] = ACTIONS(2840),
    [aux_sym_preproc_def_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2840),
    [sym_preproc_directive] = ACTIONS(2840),
    [anon_sym_LPAREN2] = ACTIONS(2842),
    [anon_sym_BANG] = ACTIONS(2842),
    [anon_sym_TILDE] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2840),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_CARET] = ACTIONS(2842),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym_SEMI] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2840),
    [anon_sym_typedef] = ACTIONS(2840),
    [anon_sym_extern] = ACTIONS(2840),
    [anon_sym___attribute__] = ACTIONS(2840),
    [anon_sym___attribute] = ACTIONS(2840),
    [anon_sym_noreturn] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym___declspec] = ACTIONS(2840),
    [anon_sym___cdecl] = ACTIONS(2840),
    [anon_sym___clrcall] = ACTIONS(2840),
    [anon_sym___stdcall] = ACTIONS(2840),
    [anon_sym___fastcall] = ACTIONS(2840),
    [anon_sym___thiscall] = ACTIONS(2840),
    [anon_sym___vectorcall] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2842),
    [anon_sym_RBRACE] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2840),
    [anon_sym_unsigned] = ACTIONS(2840),
    [anon_sym_long] = ACTIONS(2840),
    [anon_sym_short] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_ATautoreleasepool] = ACTIONS(2842),
    [anon_sym_auto] = ACTIONS(2840),
    [anon_sym_register] = ACTIONS(2840),
    [anon_sym_inline] = ACTIONS(2840),
    [anon_sym___inline] = ACTIONS(2840),
    [anon_sym___inline__] = ACTIONS(2840),
    [anon_sym___forceinline] = ACTIONS(2840),
    [anon_sym_thread_local] = ACTIONS(2840),
    [anon_sym___thread] = ACTIONS(2840),
    [anon_sym_CG_EXTERN] = ACTIONS(2840),
    [anon_sym_CG_INLINE] = ACTIONS(2840),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2840),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2840),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2840),
    [anon_sym_IBOutlet] = ACTIONS(2840),
    [anon_sym_IBInspectable] = ACTIONS(2840),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2840),
    [anon_sym_NS_INLINE] = ACTIONS(2840),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2840),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2840),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2840),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_constexpr] = ACTIONS(2840),
    [anon_sym_volatile] = ACTIONS(2840),
    [anon_sym_restrict] = ACTIONS(2840),
    [anon_sym___restrict__] = ACTIONS(2840),
    [anon_sym__Atomic] = ACTIONS(2840),
    [anon_sym__Noreturn] = ACTIONS(2840),
    [anon_sym__Nonnull] = ACTIONS(2840),
    [anon_sym_nullable] = ACTIONS(2840),
    [anon_sym__Complex] = ACTIONS(2840),
    [anon_sym__Nullable] = ACTIONS(2840),
    [anon_sym__Nullable_result] = ACTIONS(2840),
    [anon_sym__Null_unspecified] = ACTIONS(2840),
    [anon_sym___autoreleasing] = ACTIONS(2840),
    [anon_sym___block] = ACTIONS(2840),
    [anon_sym___bridge] = ACTIONS(2840),
    [anon_sym___bridge_retained] = ACTIONS(2840),
    [anon_sym___bridge_transfer] = ACTIONS(2840),
    [anon_sym___complex] = ACTIONS(2840),
    [anon_sym___const] = ACTIONS(2840),
    [anon_sym___imag] = ACTIONS(2840),
    [anon_sym___kindof] = ACTIONS(2840),
    [anon_sym___nonnull] = ACTIONS(2840),
    [anon_sym___nullable] = ACTIONS(2840),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2840),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2840),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2840),
    [anon_sym___real] = ACTIONS(2840),
    [anon_sym___strong] = ACTIONS(2840),
    [anon_sym___unsafe_unretained] = ACTIONS(2840),
    [anon_sym___unused] = ACTIONS(2840),
    [anon_sym___weak] = ACTIONS(2840),
    [anon_sym_alignas] = ACTIONS(2840),
    [anon_sym__Alignas] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_union] = ACTIONS(2840),
    [anon_sym_if] = ACTIONS(2840),
    [anon_sym_switch] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_default] = ACTIONS(2840),
    [anon_sym_while] = ACTIONS(2840),
    [anon_sym_do] = ACTIONS(2840),
    [anon_sym_for] = ACTIONS(2840),
    [anon_sym_in] = ACTIONS(2840),
    [anon_sym_return] = ACTIONS(2840),
    [anon_sym_break] = ACTIONS(2840),
    [anon_sym_continue] = ACTIONS(2840),
    [anon_sym_goto] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2842),
    [anon_sym_sizeof] = ACTIONS(2840),
    [anon_sym___alignof__] = ACTIONS(2840),
    [anon_sym___alignof] = ACTIONS(2840),
    [anon_sym__alignof] = ACTIONS(2840),
    [anon_sym_alignof] = ACTIONS(2840),
    [anon_sym__Alignof] = ACTIONS(2840),
    [anon_sym_offsetof] = ACTIONS(2840),
    [anon_sym__Generic] = ACTIONS(2840),
    [anon_sym_asm] = ACTIONS(2840),
    [anon_sym___asm__] = ACTIONS(2840),
    [anon_sym___asm] = ACTIONS(2840),
    [sym_number_literal] = ACTIONS(2842),
    [anon_sym_L_SQUOTE] = ACTIONS(2842),
    [anon_sym_u_SQUOTE] = ACTIONS(2842),
    [anon_sym_U_SQUOTE] = ACTIONS(2842),
    [anon_sym_u8_SQUOTE] = ACTIONS(2842),
    [anon_sym_SQUOTE] = ACTIONS(2842),
    [anon_sym_AT] = ACTIONS(2840),
    [anon_sym_DQUOTE] = ACTIONS(2842),
    [anon_sym_L_DQUOTE] = ACTIONS(2842),
    [anon_sym_u_DQUOTE] = ACTIONS(2842),
    [anon_sym_U_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8_DQUOTE] = ACTIONS(2842),
    [sym_true] = ACTIONS(2840),
    [sym_false] = ACTIONS(2840),
    [anon_sym_NULL] = ACTIONS(2840),
    [anon_sym_nullptr] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2840),
    [anon_sym___typeof] = ACTIONS(2840),
    [anon_sym_typeof] = ACTIONS(2840),
    [anon_sym_ATimport] = ACTIONS(2842),
    [aux_sym_preproc_undef_token1] = ACTIONS(2840),
    [anon_sym_POUND] = ACTIONS(2840),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2840),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2840),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2840),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2840),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2840),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2840),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2840),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2840),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2840),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2840),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2840),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2840),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2840),
    [anon_sym_API_AVAILABLE] = ACTIONS(2840),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2840),
    [anon_sym_API_DEPRECATED] = ACTIONS(2840),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2840),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2840),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2840),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2840),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2840),
    [anon_sym___deprecated_msg] = ACTIONS(2840),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2840),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2840),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2840),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2840),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2840),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2840),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2840),
    [anon_sym_ATprotocol] = ACTIONS(2842),
    [anon_sym_ATinterface] = ACTIONS(2842),
    [anon_sym_ATimplementation] = ACTIONS(2842),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2842),
    [anon_sym_ATtry] = ACTIONS(2842),
    [anon_sym___try] = ACTIONS(2840),
    [anon_sym_ATthrow] = ACTIONS(2842),
    [anon_sym_ATselector] = ACTIONS(2842),
    [anon_sym_ATavailable] = ACTIONS(2842),
    [anon_sym___builtin_available] = ACTIONS(2840),
    [anon_sym_va_arg] = ACTIONS(2840),
    [anon_sym_ATencode] = ACTIONS(2842),
    [anon_sym_ATsynchronized] = ACTIONS(2842),
    [anon_sym_BOOL] = ACTIONS(2840),
    [anon_sym_IMP] = ACTIONS(2840),
    [anon_sym_SEL] = ACTIONS(2840),
    [anon_sym_Class] = ACTIONS(2840),
    [anon_sym_id] = ACTIONS(2840),
  },
  [886] = {
    [sym_identifier] = ACTIONS(2588),
    [aux_sym_preproc_include_token1] = ACTIONS(2588),
    [aux_sym_preproc_include_token2] = ACTIONS(2588),
    [aux_sym_preproc_def_token1] = ACTIONS(2588),
    [aux_sym_preproc_if_token1] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2588),
    [sym_preproc_directive] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2590),
    [anon_sym_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2590),
    [anon_sym___extension__] = ACTIONS(2588),
    [anon_sym_typedef] = ACTIONS(2588),
    [anon_sym_extern] = ACTIONS(2588),
    [anon_sym___attribute__] = ACTIONS(2588),
    [anon_sym___attribute] = ACTIONS(2588),
    [anon_sym_noreturn] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym___declspec] = ACTIONS(2588),
    [anon_sym___cdecl] = ACTIONS(2588),
    [anon_sym___clrcall] = ACTIONS(2588),
    [anon_sym___stdcall] = ACTIONS(2588),
    [anon_sym___fastcall] = ACTIONS(2588),
    [anon_sym___thiscall] = ACTIONS(2588),
    [anon_sym___vectorcall] = ACTIONS(2588),
    [anon_sym_LBRACE] = ACTIONS(2590),
    [anon_sym_RBRACE] = ACTIONS(2590),
    [anon_sym_signed] = ACTIONS(2588),
    [anon_sym_unsigned] = ACTIONS(2588),
    [anon_sym_long] = ACTIONS(2588),
    [anon_sym_short] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_ATautoreleasepool] = ACTIONS(2590),
    [anon_sym_auto] = ACTIONS(2588),
    [anon_sym_register] = ACTIONS(2588),
    [anon_sym_inline] = ACTIONS(2588),
    [anon_sym___inline] = ACTIONS(2588),
    [anon_sym___inline__] = ACTIONS(2588),
    [anon_sym___forceinline] = ACTIONS(2588),
    [anon_sym_thread_local] = ACTIONS(2588),
    [anon_sym___thread] = ACTIONS(2588),
    [anon_sym_CG_EXTERN] = ACTIONS(2588),
    [anon_sym_CG_INLINE] = ACTIONS(2588),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2588),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2588),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2588),
    [anon_sym_IBOutlet] = ACTIONS(2588),
    [anon_sym_IBInspectable] = ACTIONS(2588),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2588),
    [anon_sym_NS_INLINE] = ACTIONS(2588),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2588),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2588),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2588),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2588),
    [anon_sym_const] = ACTIONS(2588),
    [anon_sym_constexpr] = ACTIONS(2588),
    [anon_sym_volatile] = ACTIONS(2588),
    [anon_sym_restrict] = ACTIONS(2588),
    [anon_sym___restrict__] = ACTIONS(2588),
    [anon_sym__Atomic] = ACTIONS(2588),
    [anon_sym__Noreturn] = ACTIONS(2588),
    [anon_sym__Nonnull] = ACTIONS(2588),
    [anon_sym_nullable] = ACTIONS(2588),
    [anon_sym__Complex] = ACTIONS(2588),
    [anon_sym__Nullable] = ACTIONS(2588),
    [anon_sym__Nullable_result] = ACTIONS(2588),
    [anon_sym__Null_unspecified] = ACTIONS(2588),
    [anon_sym___autoreleasing] = ACTIONS(2588),
    [anon_sym___block] = ACTIONS(2588),
    [anon_sym___bridge] = ACTIONS(2588),
    [anon_sym___bridge_retained] = ACTIONS(2588),
    [anon_sym___bridge_transfer] = ACTIONS(2588),
    [anon_sym___complex] = ACTIONS(2588),
    [anon_sym___const] = ACTIONS(2588),
    [anon_sym___imag] = ACTIONS(2588),
    [anon_sym___kindof] = ACTIONS(2588),
    [anon_sym___nonnull] = ACTIONS(2588),
    [anon_sym___nullable] = ACTIONS(2588),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2588),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2588),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2588),
    [anon_sym___real] = ACTIONS(2588),
    [anon_sym___strong] = ACTIONS(2588),
    [anon_sym___unsafe_unretained] = ACTIONS(2588),
    [anon_sym___unused] = ACTIONS(2588),
    [anon_sym___weak] = ACTIONS(2588),
    [anon_sym_alignas] = ACTIONS(2588),
    [anon_sym__Alignas] = ACTIONS(2588),
    [sym_primitive_type] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_struct] = ACTIONS(2588),
    [anon_sym_union] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2588),
    [anon_sym_switch] = ACTIONS(2588),
    [anon_sym_case] = ACTIONS(2588),
    [anon_sym_default] = ACTIONS(2588),
    [anon_sym_while] = ACTIONS(2588),
    [anon_sym_do] = ACTIONS(2588),
    [anon_sym_for] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2588),
    [anon_sym_return] = ACTIONS(2588),
    [anon_sym_break] = ACTIONS(2588),
    [anon_sym_continue] = ACTIONS(2588),
    [anon_sym_goto] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2590),
    [anon_sym_sizeof] = ACTIONS(2588),
    [anon_sym___alignof__] = ACTIONS(2588),
    [anon_sym___alignof] = ACTIONS(2588),
    [anon_sym__alignof] = ACTIONS(2588),
    [anon_sym_alignof] = ACTIONS(2588),
    [anon_sym__Alignof] = ACTIONS(2588),
    [anon_sym_offsetof] = ACTIONS(2588),
    [anon_sym__Generic] = ACTIONS(2588),
    [anon_sym_asm] = ACTIONS(2588),
    [anon_sym___asm__] = ACTIONS(2588),
    [anon_sym___asm] = ACTIONS(2588),
    [sym_number_literal] = ACTIONS(2590),
    [anon_sym_L_SQUOTE] = ACTIONS(2590),
    [anon_sym_u_SQUOTE] = ACTIONS(2590),
    [anon_sym_U_SQUOTE] = ACTIONS(2590),
    [anon_sym_u8_SQUOTE] = ACTIONS(2590),
    [anon_sym_SQUOTE] = ACTIONS(2590),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2590),
    [anon_sym_L_DQUOTE] = ACTIONS(2590),
    [anon_sym_u_DQUOTE] = ACTIONS(2590),
    [anon_sym_U_DQUOTE] = ACTIONS(2590),
    [anon_sym_u8_DQUOTE] = ACTIONS(2590),
    [sym_true] = ACTIONS(2588),
    [sym_false] = ACTIONS(2588),
    [anon_sym_NULL] = ACTIONS(2588),
    [anon_sym_nullptr] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2588),
    [anon_sym___typeof] = ACTIONS(2588),
    [anon_sym_typeof] = ACTIONS(2588),
    [anon_sym_ATimport] = ACTIONS(2590),
    [aux_sym_preproc_undef_token1] = ACTIONS(2588),
    [anon_sym_POUND] = ACTIONS(2588),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2588),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2588),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2588),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2588),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2588),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2588),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2588),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2588),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2588),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2588),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2588),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2588),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2588),
    [anon_sym_API_AVAILABLE] = ACTIONS(2588),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2588),
    [anon_sym_API_DEPRECATED] = ACTIONS(2588),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2588),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2588),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2588),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2588),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2588),
    [anon_sym___deprecated_msg] = ACTIONS(2588),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2588),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2588),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2588),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2588),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2588),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2588),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2588),
    [anon_sym_ATprotocol] = ACTIONS(2590),
    [anon_sym_ATinterface] = ACTIONS(2590),
    [anon_sym_ATimplementation] = ACTIONS(2590),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2590),
    [anon_sym_ATtry] = ACTIONS(2590),
    [anon_sym___try] = ACTIONS(2588),
    [anon_sym_ATthrow] = ACTIONS(2590),
    [anon_sym_ATselector] = ACTIONS(2590),
    [anon_sym_ATavailable] = ACTIONS(2590),
    [anon_sym___builtin_available] = ACTIONS(2588),
    [anon_sym_va_arg] = ACTIONS(2588),
    [anon_sym_ATencode] = ACTIONS(2590),
    [anon_sym_ATsynchronized] = ACTIONS(2590),
    [anon_sym_BOOL] = ACTIONS(2588),
    [anon_sym_IMP] = ACTIONS(2588),
    [anon_sym_SEL] = ACTIONS(2588),
    [anon_sym_Class] = ACTIONS(2588),
    [anon_sym_id] = ACTIONS(2588),
  },
  [887] = {
    [sym_identifier] = ACTIONS(2592),
    [aux_sym_preproc_include_token1] = ACTIONS(2592),
    [aux_sym_preproc_include_token2] = ACTIONS(2592),
    [aux_sym_preproc_def_token1] = ACTIONS(2592),
    [aux_sym_preproc_if_token1] = ACTIONS(2592),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2592),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2592),
    [sym_preproc_directive] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2594),
    [anon_sym_BANG] = ACTIONS(2594),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_CARET] = ACTIONS(2594),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_SEMI] = ACTIONS(2594),
    [anon_sym___extension__] = ACTIONS(2592),
    [anon_sym_typedef] = ACTIONS(2592),
    [anon_sym_extern] = ACTIONS(2592),
    [anon_sym___attribute__] = ACTIONS(2592),
    [anon_sym___attribute] = ACTIONS(2592),
    [anon_sym_noreturn] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2594),
    [anon_sym___declspec] = ACTIONS(2592),
    [anon_sym___cdecl] = ACTIONS(2592),
    [anon_sym___clrcall] = ACTIONS(2592),
    [anon_sym___stdcall] = ACTIONS(2592),
    [anon_sym___fastcall] = ACTIONS(2592),
    [anon_sym___thiscall] = ACTIONS(2592),
    [anon_sym___vectorcall] = ACTIONS(2592),
    [anon_sym_LBRACE] = ACTIONS(2594),
    [anon_sym_RBRACE] = ACTIONS(2594),
    [anon_sym_signed] = ACTIONS(2592),
    [anon_sym_unsigned] = ACTIONS(2592),
    [anon_sym_long] = ACTIONS(2592),
    [anon_sym_short] = ACTIONS(2592),
    [anon_sym_static] = ACTIONS(2592),
    [anon_sym_ATautoreleasepool] = ACTIONS(2594),
    [anon_sym_auto] = ACTIONS(2592),
    [anon_sym_register] = ACTIONS(2592),
    [anon_sym_inline] = ACTIONS(2592),
    [anon_sym___inline] = ACTIONS(2592),
    [anon_sym___inline__] = ACTIONS(2592),
    [anon_sym___forceinline] = ACTIONS(2592),
    [anon_sym_thread_local] = ACTIONS(2592),
    [anon_sym___thread] = ACTIONS(2592),
    [anon_sym_CG_EXTERN] = ACTIONS(2592),
    [anon_sym_CG_INLINE] = ACTIONS(2592),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2592),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2592),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2592),
    [anon_sym_IBOutlet] = ACTIONS(2592),
    [anon_sym_IBInspectable] = ACTIONS(2592),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2592),
    [anon_sym_NS_INLINE] = ACTIONS(2592),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2592),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2592),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2592),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2592),
    [anon_sym_const] = ACTIONS(2592),
    [anon_sym_constexpr] = ACTIONS(2592),
    [anon_sym_volatile] = ACTIONS(2592),
    [anon_sym_restrict] = ACTIONS(2592),
    [anon_sym___restrict__] = ACTIONS(2592),
    [anon_sym__Atomic] = ACTIONS(2592),
    [anon_sym__Noreturn] = ACTIONS(2592),
    [anon_sym__Nonnull] = ACTIONS(2592),
    [anon_sym_nullable] = ACTIONS(2592),
    [anon_sym__Complex] = ACTIONS(2592),
    [anon_sym__Nullable] = ACTIONS(2592),
    [anon_sym__Nullable_result] = ACTIONS(2592),
    [anon_sym__Null_unspecified] = ACTIONS(2592),
    [anon_sym___autoreleasing] = ACTIONS(2592),
    [anon_sym___block] = ACTIONS(2592),
    [anon_sym___bridge] = ACTIONS(2592),
    [anon_sym___bridge_retained] = ACTIONS(2592),
    [anon_sym___bridge_transfer] = ACTIONS(2592),
    [anon_sym___complex] = ACTIONS(2592),
    [anon_sym___const] = ACTIONS(2592),
    [anon_sym___imag] = ACTIONS(2592),
    [anon_sym___kindof] = ACTIONS(2592),
    [anon_sym___nonnull] = ACTIONS(2592),
    [anon_sym___nullable] = ACTIONS(2592),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2592),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2592),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2592),
    [anon_sym___real] = ACTIONS(2592),
    [anon_sym___strong] = ACTIONS(2592),
    [anon_sym___unsafe_unretained] = ACTIONS(2592),
    [anon_sym___unused] = ACTIONS(2592),
    [anon_sym___weak] = ACTIONS(2592),
    [anon_sym_alignas] = ACTIONS(2592),
    [anon_sym__Alignas] = ACTIONS(2592),
    [sym_primitive_type] = ACTIONS(2592),
    [anon_sym_enum] = ACTIONS(2592),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2592),
    [anon_sym_if] = ACTIONS(2592),
    [anon_sym_switch] = ACTIONS(2592),
    [anon_sym_case] = ACTIONS(2592),
    [anon_sym_default] = ACTIONS(2592),
    [anon_sym_while] = ACTIONS(2592),
    [anon_sym_do] = ACTIONS(2592),
    [anon_sym_for] = ACTIONS(2592),
    [anon_sym_in] = ACTIONS(2592),
    [anon_sym_return] = ACTIONS(2592),
    [anon_sym_break] = ACTIONS(2592),
    [anon_sym_continue] = ACTIONS(2592),
    [anon_sym_goto] = ACTIONS(2592),
    [anon_sym_DASH_DASH] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2594),
    [anon_sym_sizeof] = ACTIONS(2592),
    [anon_sym___alignof__] = ACTIONS(2592),
    [anon_sym___alignof] = ACTIONS(2592),
    [anon_sym__alignof] = ACTIONS(2592),
    [anon_sym_alignof] = ACTIONS(2592),
    [anon_sym__Alignof] = ACTIONS(2592),
    [anon_sym_offsetof] = ACTIONS(2592),
    [anon_sym__Generic] = ACTIONS(2592),
    [anon_sym_asm] = ACTIONS(2592),
    [anon_sym___asm__] = ACTIONS(2592),
    [anon_sym___asm] = ACTIONS(2592),
    [sym_number_literal] = ACTIONS(2594),
    [anon_sym_L_SQUOTE] = ACTIONS(2594),
    [anon_sym_u_SQUOTE] = ACTIONS(2594),
    [anon_sym_U_SQUOTE] = ACTIONS(2594),
    [anon_sym_u8_SQUOTE] = ACTIONS(2594),
    [anon_sym_SQUOTE] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2592),
    [anon_sym_DQUOTE] = ACTIONS(2594),
    [anon_sym_L_DQUOTE] = ACTIONS(2594),
    [anon_sym_u_DQUOTE] = ACTIONS(2594),
    [anon_sym_U_DQUOTE] = ACTIONS(2594),
    [anon_sym_u8_DQUOTE] = ACTIONS(2594),
    [sym_true] = ACTIONS(2592),
    [sym_false] = ACTIONS(2592),
    [anon_sym_NULL] = ACTIONS(2592),
    [anon_sym_nullptr] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2592),
    [anon_sym___typeof] = ACTIONS(2592),
    [anon_sym_typeof] = ACTIONS(2592),
    [anon_sym_ATimport] = ACTIONS(2594),
    [aux_sym_preproc_undef_token1] = ACTIONS(2592),
    [anon_sym_POUND] = ACTIONS(2592),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2592),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2592),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2592),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2592),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2592),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2592),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2592),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2592),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2592),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2592),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2592),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2592),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2592),
    [anon_sym_API_AVAILABLE] = ACTIONS(2592),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2592),
    [anon_sym_API_DEPRECATED] = ACTIONS(2592),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2592),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2592),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2592),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2592),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2592),
    [anon_sym___deprecated_msg] = ACTIONS(2592),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2592),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2592),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2592),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2592),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2592),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2592),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2592),
    [anon_sym_ATprotocol] = ACTIONS(2594),
    [anon_sym_ATinterface] = ACTIONS(2594),
    [anon_sym_ATimplementation] = ACTIONS(2594),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2594),
    [anon_sym_ATtry] = ACTIONS(2594),
    [anon_sym___try] = ACTIONS(2592),
    [anon_sym_ATthrow] = ACTIONS(2594),
    [anon_sym_ATselector] = ACTIONS(2594),
    [anon_sym_ATavailable] = ACTIONS(2594),
    [anon_sym___builtin_available] = ACTIONS(2592),
    [anon_sym_va_arg] = ACTIONS(2592),
    [anon_sym_ATencode] = ACTIONS(2594),
    [anon_sym_ATsynchronized] = ACTIONS(2594),
    [anon_sym_BOOL] = ACTIONS(2592),
    [anon_sym_IMP] = ACTIONS(2592),
    [anon_sym_SEL] = ACTIONS(2592),
    [anon_sym_Class] = ACTIONS(2592),
    [anon_sym_id] = ACTIONS(2592),
  },
  [888] = {
    [sym_identifier] = ACTIONS(2596),
    [aux_sym_preproc_include_token1] = ACTIONS(2596),
    [aux_sym_preproc_include_token2] = ACTIONS(2596),
    [aux_sym_preproc_def_token1] = ACTIONS(2596),
    [aux_sym_preproc_if_token1] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2596),
    [sym_preproc_directive] = ACTIONS(2596),
    [anon_sym_LPAREN2] = ACTIONS(2598),
    [anon_sym_BANG] = ACTIONS(2598),
    [anon_sym_TILDE] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_CARET] = ACTIONS(2598),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_SEMI] = ACTIONS(2598),
    [anon_sym___extension__] = ACTIONS(2596),
    [anon_sym_typedef] = ACTIONS(2596),
    [anon_sym_extern] = ACTIONS(2596),
    [anon_sym___attribute__] = ACTIONS(2596),
    [anon_sym___attribute] = ACTIONS(2596),
    [anon_sym_noreturn] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2598),
    [anon_sym___declspec] = ACTIONS(2596),
    [anon_sym___cdecl] = ACTIONS(2596),
    [anon_sym___clrcall] = ACTIONS(2596),
    [anon_sym___stdcall] = ACTIONS(2596),
    [anon_sym___fastcall] = ACTIONS(2596),
    [anon_sym___thiscall] = ACTIONS(2596),
    [anon_sym___vectorcall] = ACTIONS(2596),
    [anon_sym_LBRACE] = ACTIONS(2598),
    [anon_sym_RBRACE] = ACTIONS(2598),
    [anon_sym_signed] = ACTIONS(2596),
    [anon_sym_unsigned] = ACTIONS(2596),
    [anon_sym_long] = ACTIONS(2596),
    [anon_sym_short] = ACTIONS(2596),
    [anon_sym_static] = ACTIONS(2596),
    [anon_sym_ATautoreleasepool] = ACTIONS(2598),
    [anon_sym_auto] = ACTIONS(2596),
    [anon_sym_register] = ACTIONS(2596),
    [anon_sym_inline] = ACTIONS(2596),
    [anon_sym___inline] = ACTIONS(2596),
    [anon_sym___inline__] = ACTIONS(2596),
    [anon_sym___forceinline] = ACTIONS(2596),
    [anon_sym_thread_local] = ACTIONS(2596),
    [anon_sym___thread] = ACTIONS(2596),
    [anon_sym_CG_EXTERN] = ACTIONS(2596),
    [anon_sym_CG_INLINE] = ACTIONS(2596),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2596),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2596),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2596),
    [anon_sym_IBOutlet] = ACTIONS(2596),
    [anon_sym_IBInspectable] = ACTIONS(2596),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2596),
    [anon_sym_NS_INLINE] = ACTIONS(2596),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2596),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2596),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2596),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2596),
    [anon_sym_const] = ACTIONS(2596),
    [anon_sym_constexpr] = ACTIONS(2596),
    [anon_sym_volatile] = ACTIONS(2596),
    [anon_sym_restrict] = ACTIONS(2596),
    [anon_sym___restrict__] = ACTIONS(2596),
    [anon_sym__Atomic] = ACTIONS(2596),
    [anon_sym__Noreturn] = ACTIONS(2596),
    [anon_sym__Nonnull] = ACTIONS(2596),
    [anon_sym_nullable] = ACTIONS(2596),
    [anon_sym__Complex] = ACTIONS(2596),
    [anon_sym__Nullable] = ACTIONS(2596),
    [anon_sym__Nullable_result] = ACTIONS(2596),
    [anon_sym__Null_unspecified] = ACTIONS(2596),
    [anon_sym___autoreleasing] = ACTIONS(2596),
    [anon_sym___block] = ACTIONS(2596),
    [anon_sym___bridge] = ACTIONS(2596),
    [anon_sym___bridge_retained] = ACTIONS(2596),
    [anon_sym___bridge_transfer] = ACTIONS(2596),
    [anon_sym___complex] = ACTIONS(2596),
    [anon_sym___const] = ACTIONS(2596),
    [anon_sym___imag] = ACTIONS(2596),
    [anon_sym___kindof] = ACTIONS(2596),
    [anon_sym___nonnull] = ACTIONS(2596),
    [anon_sym___nullable] = ACTIONS(2596),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2596),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2596),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2596),
    [anon_sym___real] = ACTIONS(2596),
    [anon_sym___strong] = ACTIONS(2596),
    [anon_sym___unsafe_unretained] = ACTIONS(2596),
    [anon_sym___unused] = ACTIONS(2596),
    [anon_sym___weak] = ACTIONS(2596),
    [anon_sym_alignas] = ACTIONS(2596),
    [anon_sym__Alignas] = ACTIONS(2596),
    [sym_primitive_type] = ACTIONS(2596),
    [anon_sym_enum] = ACTIONS(2596),
    [anon_sym_struct] = ACTIONS(2596),
    [anon_sym_union] = ACTIONS(2596),
    [anon_sym_if] = ACTIONS(2596),
    [anon_sym_switch] = ACTIONS(2596),
    [anon_sym_case] = ACTIONS(2596),
    [anon_sym_default] = ACTIONS(2596),
    [anon_sym_while] = ACTIONS(2596),
    [anon_sym_do] = ACTIONS(2596),
    [anon_sym_for] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2596),
    [anon_sym_return] = ACTIONS(2596),
    [anon_sym_break] = ACTIONS(2596),
    [anon_sym_continue] = ACTIONS(2596),
    [anon_sym_goto] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2598),
    [anon_sym_PLUS_PLUS] = ACTIONS(2598),
    [anon_sym_sizeof] = ACTIONS(2596),
    [anon_sym___alignof__] = ACTIONS(2596),
    [anon_sym___alignof] = ACTIONS(2596),
    [anon_sym__alignof] = ACTIONS(2596),
    [anon_sym_alignof] = ACTIONS(2596),
    [anon_sym__Alignof] = ACTIONS(2596),
    [anon_sym_offsetof] = ACTIONS(2596),
    [anon_sym__Generic] = ACTIONS(2596),
    [anon_sym_asm] = ACTIONS(2596),
    [anon_sym___asm__] = ACTIONS(2596),
    [anon_sym___asm] = ACTIONS(2596),
    [sym_number_literal] = ACTIONS(2598),
    [anon_sym_L_SQUOTE] = ACTIONS(2598),
    [anon_sym_u_SQUOTE] = ACTIONS(2598),
    [anon_sym_U_SQUOTE] = ACTIONS(2598),
    [anon_sym_u8_SQUOTE] = ACTIONS(2598),
    [anon_sym_SQUOTE] = ACTIONS(2598),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_DQUOTE] = ACTIONS(2598),
    [anon_sym_L_DQUOTE] = ACTIONS(2598),
    [anon_sym_u_DQUOTE] = ACTIONS(2598),
    [anon_sym_U_DQUOTE] = ACTIONS(2598),
    [anon_sym_u8_DQUOTE] = ACTIONS(2598),
    [sym_true] = ACTIONS(2596),
    [sym_false] = ACTIONS(2596),
    [anon_sym_NULL] = ACTIONS(2596),
    [anon_sym_nullptr] = ACTIONS(2596),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2596),
    [anon_sym___typeof] = ACTIONS(2596),
    [anon_sym_typeof] = ACTIONS(2596),
    [anon_sym_ATimport] = ACTIONS(2598),
    [aux_sym_preproc_undef_token1] = ACTIONS(2596),
    [anon_sym_POUND] = ACTIONS(2596),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2596),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2596),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2596),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2596),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2596),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2596),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2596),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2596),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2596),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2596),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2596),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2596),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2596),
    [anon_sym_API_AVAILABLE] = ACTIONS(2596),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2596),
    [anon_sym_API_DEPRECATED] = ACTIONS(2596),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2596),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2596),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2596),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2596),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2596),
    [anon_sym___deprecated_msg] = ACTIONS(2596),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2596),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2596),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2596),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2596),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2596),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2596),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2596),
    [anon_sym_ATprotocol] = ACTIONS(2598),
    [anon_sym_ATinterface] = ACTIONS(2598),
    [anon_sym_ATimplementation] = ACTIONS(2598),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2598),
    [anon_sym_ATtry] = ACTIONS(2598),
    [anon_sym___try] = ACTIONS(2596),
    [anon_sym_ATthrow] = ACTIONS(2598),
    [anon_sym_ATselector] = ACTIONS(2598),
    [anon_sym_ATavailable] = ACTIONS(2598),
    [anon_sym___builtin_available] = ACTIONS(2596),
    [anon_sym_va_arg] = ACTIONS(2596),
    [anon_sym_ATencode] = ACTIONS(2598),
    [anon_sym_ATsynchronized] = ACTIONS(2598),
    [anon_sym_BOOL] = ACTIONS(2596),
    [anon_sym_IMP] = ACTIONS(2596),
    [anon_sym_SEL] = ACTIONS(2596),
    [anon_sym_Class] = ACTIONS(2596),
    [anon_sym_id] = ACTIONS(2596),
  },
  [889] = {
    [sym_identifier] = ACTIONS(2600),
    [aux_sym_preproc_include_token1] = ACTIONS(2600),
    [aux_sym_preproc_include_token2] = ACTIONS(2600),
    [aux_sym_preproc_def_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2600),
    [sym_preproc_directive] = ACTIONS(2600),
    [anon_sym_LPAREN2] = ACTIONS(2602),
    [anon_sym_BANG] = ACTIONS(2602),
    [anon_sym_TILDE] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_CARET] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2602),
    [anon_sym_SEMI] = ACTIONS(2602),
    [anon_sym___extension__] = ACTIONS(2600),
    [anon_sym_typedef] = ACTIONS(2600),
    [anon_sym_extern] = ACTIONS(2600),
    [anon_sym___attribute__] = ACTIONS(2600),
    [anon_sym___attribute] = ACTIONS(2600),
    [anon_sym_noreturn] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2602),
    [anon_sym___declspec] = ACTIONS(2600),
    [anon_sym___cdecl] = ACTIONS(2600),
    [anon_sym___clrcall] = ACTIONS(2600),
    [anon_sym___stdcall] = ACTIONS(2600),
    [anon_sym___fastcall] = ACTIONS(2600),
    [anon_sym___thiscall] = ACTIONS(2600),
    [anon_sym___vectorcall] = ACTIONS(2600),
    [anon_sym_LBRACE] = ACTIONS(2602),
    [anon_sym_RBRACE] = ACTIONS(2602),
    [anon_sym_signed] = ACTIONS(2600),
    [anon_sym_unsigned] = ACTIONS(2600),
    [anon_sym_long] = ACTIONS(2600),
    [anon_sym_short] = ACTIONS(2600),
    [anon_sym_static] = ACTIONS(2600),
    [anon_sym_ATautoreleasepool] = ACTIONS(2602),
    [anon_sym_auto] = ACTIONS(2600),
    [anon_sym_register] = ACTIONS(2600),
    [anon_sym_inline] = ACTIONS(2600),
    [anon_sym___inline] = ACTIONS(2600),
    [anon_sym___inline__] = ACTIONS(2600),
    [anon_sym___forceinline] = ACTIONS(2600),
    [anon_sym_thread_local] = ACTIONS(2600),
    [anon_sym___thread] = ACTIONS(2600),
    [anon_sym_CG_EXTERN] = ACTIONS(2600),
    [anon_sym_CG_INLINE] = ACTIONS(2600),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2600),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2600),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2600),
    [anon_sym_IBOutlet] = ACTIONS(2600),
    [anon_sym_IBInspectable] = ACTIONS(2600),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2600),
    [anon_sym_NS_INLINE] = ACTIONS(2600),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2600),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2600),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2600),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2600),
    [anon_sym_const] = ACTIONS(2600),
    [anon_sym_constexpr] = ACTIONS(2600),
    [anon_sym_volatile] = ACTIONS(2600),
    [anon_sym_restrict] = ACTIONS(2600),
    [anon_sym___restrict__] = ACTIONS(2600),
    [anon_sym__Atomic] = ACTIONS(2600),
    [anon_sym__Noreturn] = ACTIONS(2600),
    [anon_sym__Nonnull] = ACTIONS(2600),
    [anon_sym_nullable] = ACTIONS(2600),
    [anon_sym__Complex] = ACTIONS(2600),
    [anon_sym__Nullable] = ACTIONS(2600),
    [anon_sym__Nullable_result] = ACTIONS(2600),
    [anon_sym__Null_unspecified] = ACTIONS(2600),
    [anon_sym___autoreleasing] = ACTIONS(2600),
    [anon_sym___block] = ACTIONS(2600),
    [anon_sym___bridge] = ACTIONS(2600),
    [anon_sym___bridge_retained] = ACTIONS(2600),
    [anon_sym___bridge_transfer] = ACTIONS(2600),
    [anon_sym___complex] = ACTIONS(2600),
    [anon_sym___const] = ACTIONS(2600),
    [anon_sym___imag] = ACTIONS(2600),
    [anon_sym___kindof] = ACTIONS(2600),
    [anon_sym___nonnull] = ACTIONS(2600),
    [anon_sym___nullable] = ACTIONS(2600),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2600),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2600),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2600),
    [anon_sym___real] = ACTIONS(2600),
    [anon_sym___strong] = ACTIONS(2600),
    [anon_sym___unsafe_unretained] = ACTIONS(2600),
    [anon_sym___unused] = ACTIONS(2600),
    [anon_sym___weak] = ACTIONS(2600),
    [anon_sym_alignas] = ACTIONS(2600),
    [anon_sym__Alignas] = ACTIONS(2600),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2600),
    [anon_sym_struct] = ACTIONS(2600),
    [anon_sym_union] = ACTIONS(2600),
    [anon_sym_if] = ACTIONS(2600),
    [anon_sym_switch] = ACTIONS(2600),
    [anon_sym_case] = ACTIONS(2600),
    [anon_sym_default] = ACTIONS(2600),
    [anon_sym_while] = ACTIONS(2600),
    [anon_sym_do] = ACTIONS(2600),
    [anon_sym_for] = ACTIONS(2600),
    [anon_sym_in] = ACTIONS(2600),
    [anon_sym_return] = ACTIONS(2600),
    [anon_sym_break] = ACTIONS(2600),
    [anon_sym_continue] = ACTIONS(2600),
    [anon_sym_goto] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2602),
    [anon_sym_PLUS_PLUS] = ACTIONS(2602),
    [anon_sym_sizeof] = ACTIONS(2600),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2600),
    [anon_sym__Generic] = ACTIONS(2600),
    [anon_sym_asm] = ACTIONS(2600),
    [anon_sym___asm__] = ACTIONS(2600),
    [anon_sym___asm] = ACTIONS(2600),
    [sym_number_literal] = ACTIONS(2602),
    [anon_sym_L_SQUOTE] = ACTIONS(2602),
    [anon_sym_u_SQUOTE] = ACTIONS(2602),
    [anon_sym_U_SQUOTE] = ACTIONS(2602),
    [anon_sym_u8_SQUOTE] = ACTIONS(2602),
    [anon_sym_SQUOTE] = ACTIONS(2602),
    [anon_sym_AT] = ACTIONS(2600),
    [anon_sym_DQUOTE] = ACTIONS(2602),
    [anon_sym_L_DQUOTE] = ACTIONS(2602),
    [anon_sym_u_DQUOTE] = ACTIONS(2602),
    [anon_sym_U_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8_DQUOTE] = ACTIONS(2602),
    [sym_true] = ACTIONS(2600),
    [sym_false] = ACTIONS(2600),
    [anon_sym_NULL] = ACTIONS(2600),
    [anon_sym_nullptr] = ACTIONS(2600),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2600),
    [anon_sym___typeof] = ACTIONS(2600),
    [anon_sym_typeof] = ACTIONS(2600),
    [anon_sym_ATimport] = ACTIONS(2602),
    [aux_sym_preproc_undef_token1] = ACTIONS(2600),
    [anon_sym_POUND] = ACTIONS(2600),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2600),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2600),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2600),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2600),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2600),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2600),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2600),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2600),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2600),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2600),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2600),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2600),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2600),
    [anon_sym_API_AVAILABLE] = ACTIONS(2600),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2600),
    [anon_sym_API_DEPRECATED] = ACTIONS(2600),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2600),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2600),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2600),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2600),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2600),
    [anon_sym___deprecated_msg] = ACTIONS(2600),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2600),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2600),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2600),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2600),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2600),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2600),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2600),
    [anon_sym_ATprotocol] = ACTIONS(2602),
    [anon_sym_ATinterface] = ACTIONS(2602),
    [anon_sym_ATimplementation] = ACTIONS(2602),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2602),
    [anon_sym_ATtry] = ACTIONS(2602),
    [anon_sym___try] = ACTIONS(2600),
    [anon_sym_ATthrow] = ACTIONS(2602),
    [anon_sym_ATselector] = ACTIONS(2602),
    [anon_sym_ATavailable] = ACTIONS(2602),
    [anon_sym___builtin_available] = ACTIONS(2600),
    [anon_sym_va_arg] = ACTIONS(2600),
    [anon_sym_ATencode] = ACTIONS(2602),
    [anon_sym_ATsynchronized] = ACTIONS(2602),
    [anon_sym_BOOL] = ACTIONS(2600),
    [anon_sym_IMP] = ACTIONS(2600),
    [anon_sym_SEL] = ACTIONS(2600),
    [anon_sym_Class] = ACTIONS(2600),
    [anon_sym_id] = ACTIONS(2600),
  },
  [890] = {
    [sym_identifier] = ACTIONS(2634),
    [aux_sym_preproc_include_token1] = ACTIONS(2634),
    [aux_sym_preproc_include_token2] = ACTIONS(2634),
    [aux_sym_preproc_def_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2634),
    [sym_preproc_directive] = ACTIONS(2634),
    [anon_sym_LPAREN2] = ACTIONS(2636),
    [anon_sym_BANG] = ACTIONS(2636),
    [anon_sym_TILDE] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_CARET] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym___extension__] = ACTIONS(2634),
    [anon_sym_typedef] = ACTIONS(2634),
    [anon_sym_extern] = ACTIONS(2634),
    [anon_sym___attribute__] = ACTIONS(2634),
    [anon_sym___attribute] = ACTIONS(2634),
    [anon_sym_noreturn] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym___declspec] = ACTIONS(2634),
    [anon_sym___cdecl] = ACTIONS(2634),
    [anon_sym___clrcall] = ACTIONS(2634),
    [anon_sym___stdcall] = ACTIONS(2634),
    [anon_sym___fastcall] = ACTIONS(2634),
    [anon_sym___thiscall] = ACTIONS(2634),
    [anon_sym___vectorcall] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_RBRACE] = ACTIONS(2636),
    [anon_sym_signed] = ACTIONS(2634),
    [anon_sym_unsigned] = ACTIONS(2634),
    [anon_sym_long] = ACTIONS(2634),
    [anon_sym_short] = ACTIONS(2634),
    [anon_sym_static] = ACTIONS(2634),
    [anon_sym_ATautoreleasepool] = ACTIONS(2636),
    [anon_sym_auto] = ACTIONS(2634),
    [anon_sym_register] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym___inline] = ACTIONS(2634),
    [anon_sym___inline__] = ACTIONS(2634),
    [anon_sym___forceinline] = ACTIONS(2634),
    [anon_sym_thread_local] = ACTIONS(2634),
    [anon_sym___thread] = ACTIONS(2634),
    [anon_sym_CG_EXTERN] = ACTIONS(2634),
    [anon_sym_CG_INLINE] = ACTIONS(2634),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2634),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2634),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2634),
    [anon_sym_IBOutlet] = ACTIONS(2634),
    [anon_sym_IBInspectable] = ACTIONS(2634),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2634),
    [anon_sym_NS_INLINE] = ACTIONS(2634),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2634),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2634),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2634),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_constexpr] = ACTIONS(2634),
    [anon_sym_volatile] = ACTIONS(2634),
    [anon_sym_restrict] = ACTIONS(2634),
    [anon_sym___restrict__] = ACTIONS(2634),
    [anon_sym__Atomic] = ACTIONS(2634),
    [anon_sym__Noreturn] = ACTIONS(2634),
    [anon_sym__Nonnull] = ACTIONS(2634),
    [anon_sym_nullable] = ACTIONS(2634),
    [anon_sym__Complex] = ACTIONS(2634),
    [anon_sym__Nullable] = ACTIONS(2634),
    [anon_sym__Nullable_result] = ACTIONS(2634),
    [anon_sym__Null_unspecified] = ACTIONS(2634),
    [anon_sym___autoreleasing] = ACTIONS(2634),
    [anon_sym___block] = ACTIONS(2634),
    [anon_sym___bridge] = ACTIONS(2634),
    [anon_sym___bridge_retained] = ACTIONS(2634),
    [anon_sym___bridge_transfer] = ACTIONS(2634),
    [anon_sym___complex] = ACTIONS(2634),
    [anon_sym___const] = ACTIONS(2634),
    [anon_sym___imag] = ACTIONS(2634),
    [anon_sym___kindof] = ACTIONS(2634),
    [anon_sym___nonnull] = ACTIONS(2634),
    [anon_sym___nullable] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2634),
    [anon_sym___real] = ACTIONS(2634),
    [anon_sym___strong] = ACTIONS(2634),
    [anon_sym___unsafe_unretained] = ACTIONS(2634),
    [anon_sym___unused] = ACTIONS(2634),
    [anon_sym___weak] = ACTIONS(2634),
    [anon_sym_alignas] = ACTIONS(2634),
    [anon_sym__Alignas] = ACTIONS(2634),
    [sym_primitive_type] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_struct] = ACTIONS(2634),
    [anon_sym_union] = ACTIONS(2634),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_switch] = ACTIONS(2634),
    [anon_sym_case] = ACTIONS(2634),
    [anon_sym_default] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_do] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2634),
    [anon_sym_in] = ACTIONS(2634),
    [anon_sym_return] = ACTIONS(2634),
    [anon_sym_break] = ACTIONS(2634),
    [anon_sym_continue] = ACTIONS(2634),
    [anon_sym_goto] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_sizeof] = ACTIONS(2634),
    [anon_sym___alignof__] = ACTIONS(2634),
    [anon_sym___alignof] = ACTIONS(2634),
    [anon_sym__alignof] = ACTIONS(2634),
    [anon_sym_alignof] = ACTIONS(2634),
    [anon_sym__Alignof] = ACTIONS(2634),
    [anon_sym_offsetof] = ACTIONS(2634),
    [anon_sym__Generic] = ACTIONS(2634),
    [anon_sym_asm] = ACTIONS(2634),
    [anon_sym___asm__] = ACTIONS(2634),
    [anon_sym___asm] = ACTIONS(2634),
    [sym_number_literal] = ACTIONS(2636),
    [anon_sym_L_SQUOTE] = ACTIONS(2636),
    [anon_sym_u_SQUOTE] = ACTIONS(2636),
    [anon_sym_U_SQUOTE] = ACTIONS(2636),
    [anon_sym_u8_SQUOTE] = ACTIONS(2636),
    [anon_sym_SQUOTE] = ACTIONS(2636),
    [anon_sym_AT] = ACTIONS(2634),
    [anon_sym_DQUOTE] = ACTIONS(2636),
    [anon_sym_L_DQUOTE] = ACTIONS(2636),
    [anon_sym_u_DQUOTE] = ACTIONS(2636),
    [anon_sym_U_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8_DQUOTE] = ACTIONS(2636),
    [sym_true] = ACTIONS(2634),
    [sym_false] = ACTIONS(2634),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2634),
    [anon_sym___typeof] = ACTIONS(2634),
    [anon_sym_typeof] = ACTIONS(2634),
    [anon_sym_ATimport] = ACTIONS(2636),
    [aux_sym_preproc_undef_token1] = ACTIONS(2634),
    [anon_sym_POUND] = ACTIONS(2634),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2634),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2634),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2634),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2634),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2634),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2634),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2634),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_API_AVAILABLE] = ACTIONS(2634),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_API_DEPRECATED] = ACTIONS(2634),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2634),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym___deprecated_msg] = ACTIONS(2634),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2634),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2634),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2634),
    [anon_sym_ATprotocol] = ACTIONS(2636),
    [anon_sym_ATinterface] = ACTIONS(2636),
    [anon_sym_ATimplementation] = ACTIONS(2636),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2636),
    [anon_sym_ATtry] = ACTIONS(2636),
    [anon_sym___try] = ACTIONS(2634),
    [anon_sym_ATthrow] = ACTIONS(2636),
    [anon_sym_ATselector] = ACTIONS(2636),
    [anon_sym_ATavailable] = ACTIONS(2636),
    [anon_sym___builtin_available] = ACTIONS(2634),
    [anon_sym_va_arg] = ACTIONS(2634),
    [anon_sym_ATencode] = ACTIONS(2636),
    [anon_sym_ATsynchronized] = ACTIONS(2636),
    [anon_sym_BOOL] = ACTIONS(2634),
    [anon_sym_IMP] = ACTIONS(2634),
    [anon_sym_SEL] = ACTIONS(2634),
    [anon_sym_Class] = ACTIONS(2634),
    [anon_sym_id] = ACTIONS(2634),
  },
  [891] = {
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_include_token1] = ACTIONS(2790),
    [aux_sym_preproc_include_token2] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2790),
    [anon_sym_PLUS] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_CARET] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2792),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym___attribute] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___cdecl] = ACTIONS(2790),
    [anon_sym___clrcall] = ACTIONS(2790),
    [anon_sym___stdcall] = ACTIONS(2790),
    [anon_sym___fastcall] = ACTIONS(2790),
    [anon_sym___thiscall] = ACTIONS(2790),
    [anon_sym___vectorcall] = ACTIONS(2790),
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_RBRACE] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_ATautoreleasepool] = ACTIONS(2792),
    [anon_sym_auto] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_CG_EXTERN] = ACTIONS(2790),
    [anon_sym_CG_INLINE] = ACTIONS(2790),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2790),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2790),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2790),
    [anon_sym_IBOutlet] = ACTIONS(2790),
    [anon_sym_IBInspectable] = ACTIONS(2790),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2790),
    [anon_sym_NS_INLINE] = ACTIONS(2790),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2790),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2790),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2790),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_nullable] = ACTIONS(2790),
    [anon_sym__Complex] = ACTIONS(2790),
    [anon_sym__Nullable] = ACTIONS(2790),
    [anon_sym__Nullable_result] = ACTIONS(2790),
    [anon_sym__Null_unspecified] = ACTIONS(2790),
    [anon_sym___autoreleasing] = ACTIONS(2790),
    [anon_sym___block] = ACTIONS(2790),
    [anon_sym___bridge] = ACTIONS(2790),
    [anon_sym___bridge_retained] = ACTIONS(2790),
    [anon_sym___bridge_transfer] = ACTIONS(2790),
    [anon_sym___complex] = ACTIONS(2790),
    [anon_sym___const] = ACTIONS(2790),
    [anon_sym___imag] = ACTIONS(2790),
    [anon_sym___kindof] = ACTIONS(2790),
    [anon_sym___nonnull] = ACTIONS(2790),
    [anon_sym___nullable] = ACTIONS(2790),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2790),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2790),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2790),
    [anon_sym___real] = ACTIONS(2790),
    [anon_sym___strong] = ACTIONS(2790),
    [anon_sym___unsafe_unretained] = ACTIONS(2790),
    [anon_sym___unused] = ACTIONS(2790),
    [anon_sym___weak] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [sym_primitive_type] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [anon_sym_if] = ACTIONS(2790),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_case] = ACTIONS(2790),
    [anon_sym_default] = ACTIONS(2790),
    [anon_sym_while] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_for] = ACTIONS(2790),
    [anon_sym_in] = ACTIONS(2790),
    [anon_sym_return] = ACTIONS(2790),
    [anon_sym_break] = ACTIONS(2790),
    [anon_sym_continue] = ACTIONS(2790),
    [anon_sym_goto] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2792),
    [anon_sym_sizeof] = ACTIONS(2790),
    [anon_sym___alignof__] = ACTIONS(2790),
    [anon_sym___alignof] = ACTIONS(2790),
    [anon_sym__alignof] = ACTIONS(2790),
    [anon_sym_alignof] = ACTIONS(2790),
    [anon_sym__Alignof] = ACTIONS(2790),
    [anon_sym_offsetof] = ACTIONS(2790),
    [anon_sym__Generic] = ACTIONS(2790),
    [anon_sym_asm] = ACTIONS(2790),
    [anon_sym___asm__] = ACTIONS(2790),
    [anon_sym___asm] = ACTIONS(2790),
    [sym_number_literal] = ACTIONS(2792),
    [anon_sym_L_SQUOTE] = ACTIONS(2792),
    [anon_sym_u_SQUOTE] = ACTIONS(2792),
    [anon_sym_U_SQUOTE] = ACTIONS(2792),
    [anon_sym_u8_SQUOTE] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2792),
    [anon_sym_AT] = ACTIONS(2790),
    [anon_sym_DQUOTE] = ACTIONS(2792),
    [anon_sym_L_DQUOTE] = ACTIONS(2792),
    [anon_sym_u_DQUOTE] = ACTIONS(2792),
    [anon_sym_U_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8_DQUOTE] = ACTIONS(2792),
    [sym_true] = ACTIONS(2790),
    [sym_false] = ACTIONS(2790),
    [anon_sym_NULL] = ACTIONS(2790),
    [anon_sym_nullptr] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2790),
    [anon_sym___typeof] = ACTIONS(2790),
    [anon_sym_typeof] = ACTIONS(2790),
    [anon_sym_ATimport] = ACTIONS(2792),
    [aux_sym_preproc_undef_token1] = ACTIONS(2790),
    [anon_sym_POUND] = ACTIONS(2790),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2790),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2790),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2790),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2790),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2790),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2790),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2790),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2790),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2790),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_API_AVAILABLE] = ACTIONS(2790),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_API_DEPRECATED] = ACTIONS(2790),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2790),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2790),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2790),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2790),
    [anon_sym___deprecated_msg] = ACTIONS(2790),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2790),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2790),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2790),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2790),
    [anon_sym_ATprotocol] = ACTIONS(2792),
    [anon_sym_ATinterface] = ACTIONS(2792),
    [anon_sym_ATimplementation] = ACTIONS(2792),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2792),
    [anon_sym_ATtry] = ACTIONS(2792),
    [anon_sym___try] = ACTIONS(2790),
    [anon_sym_ATthrow] = ACTIONS(2792),
    [anon_sym_ATselector] = ACTIONS(2792),
    [anon_sym_ATavailable] = ACTIONS(2792),
    [anon_sym___builtin_available] = ACTIONS(2790),
    [anon_sym_va_arg] = ACTIONS(2790),
    [anon_sym_ATencode] = ACTIONS(2792),
    [anon_sym_ATsynchronized] = ACTIONS(2792),
    [anon_sym_BOOL] = ACTIONS(2790),
    [anon_sym_IMP] = ACTIONS(2790),
    [anon_sym_SEL] = ACTIONS(2790),
    [anon_sym_Class] = ACTIONS(2790),
    [anon_sym_id] = ACTIONS(2790),
  },
  [892] = {
    [sym_identifier] = ACTIONS(2682),
    [aux_sym_preproc_include_token1] = ACTIONS(2682),
    [aux_sym_preproc_include_token2] = ACTIONS(2682),
    [aux_sym_preproc_def_token1] = ACTIONS(2682),
    [aux_sym_preproc_if_token1] = ACTIONS(2682),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2682),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2682),
    [sym_preproc_directive] = ACTIONS(2682),
    [anon_sym_LPAREN2] = ACTIONS(2684),
    [anon_sym_BANG] = ACTIONS(2684),
    [anon_sym_TILDE] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_CARET] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_SEMI] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(2682),
    [anon_sym_typedef] = ACTIONS(2682),
    [anon_sym_extern] = ACTIONS(2682),
    [anon_sym___attribute__] = ACTIONS(2682),
    [anon_sym___attribute] = ACTIONS(2682),
    [anon_sym_noreturn] = ACTIONS(2682),
    [anon_sym_LBRACK] = ACTIONS(2684),
    [anon_sym___declspec] = ACTIONS(2682),
    [anon_sym___cdecl] = ACTIONS(2682),
    [anon_sym___clrcall] = ACTIONS(2682),
    [anon_sym___stdcall] = ACTIONS(2682),
    [anon_sym___fastcall] = ACTIONS(2682),
    [anon_sym___thiscall] = ACTIONS(2682),
    [anon_sym___vectorcall] = ACTIONS(2682),
    [anon_sym_LBRACE] = ACTIONS(2684),
    [anon_sym_RBRACE] = ACTIONS(2684),
    [anon_sym_signed] = ACTIONS(2682),
    [anon_sym_unsigned] = ACTIONS(2682),
    [anon_sym_long] = ACTIONS(2682),
    [anon_sym_short] = ACTIONS(2682),
    [anon_sym_static] = ACTIONS(2682),
    [anon_sym_ATautoreleasepool] = ACTIONS(2684),
    [anon_sym_auto] = ACTIONS(2682),
    [anon_sym_register] = ACTIONS(2682),
    [anon_sym_inline] = ACTIONS(2682),
    [anon_sym___inline] = ACTIONS(2682),
    [anon_sym___inline__] = ACTIONS(2682),
    [anon_sym___forceinline] = ACTIONS(2682),
    [anon_sym_thread_local] = ACTIONS(2682),
    [anon_sym___thread] = ACTIONS(2682),
    [anon_sym_CG_EXTERN] = ACTIONS(2682),
    [anon_sym_CG_INLINE] = ACTIONS(2682),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2682),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2682),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2682),
    [anon_sym_IBOutlet] = ACTIONS(2682),
    [anon_sym_IBInspectable] = ACTIONS(2682),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2682),
    [anon_sym_NS_INLINE] = ACTIONS(2682),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2682),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2682),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2682),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2682),
    [anon_sym_const] = ACTIONS(2682),
    [anon_sym_constexpr] = ACTIONS(2682),
    [anon_sym_volatile] = ACTIONS(2682),
    [anon_sym_restrict] = ACTIONS(2682),
    [anon_sym___restrict__] = ACTIONS(2682),
    [anon_sym__Atomic] = ACTIONS(2682),
    [anon_sym__Noreturn] = ACTIONS(2682),
    [anon_sym__Nonnull] = ACTIONS(2682),
    [anon_sym_nullable] = ACTIONS(2682),
    [anon_sym__Complex] = ACTIONS(2682),
    [anon_sym__Nullable] = ACTIONS(2682),
    [anon_sym__Nullable_result] = ACTIONS(2682),
    [anon_sym__Null_unspecified] = ACTIONS(2682),
    [anon_sym___autoreleasing] = ACTIONS(2682),
    [anon_sym___block] = ACTIONS(2682),
    [anon_sym___bridge] = ACTIONS(2682),
    [anon_sym___bridge_retained] = ACTIONS(2682),
    [anon_sym___bridge_transfer] = ACTIONS(2682),
    [anon_sym___complex] = ACTIONS(2682),
    [anon_sym___const] = ACTIONS(2682),
    [anon_sym___imag] = ACTIONS(2682),
    [anon_sym___kindof] = ACTIONS(2682),
    [anon_sym___nonnull] = ACTIONS(2682),
    [anon_sym___nullable] = ACTIONS(2682),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2682),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2682),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2682),
    [anon_sym___real] = ACTIONS(2682),
    [anon_sym___strong] = ACTIONS(2682),
    [anon_sym___unsafe_unretained] = ACTIONS(2682),
    [anon_sym___unused] = ACTIONS(2682),
    [anon_sym___weak] = ACTIONS(2682),
    [anon_sym_alignas] = ACTIONS(2682),
    [anon_sym__Alignas] = ACTIONS(2682),
    [sym_primitive_type] = ACTIONS(2682),
    [anon_sym_enum] = ACTIONS(2682),
    [anon_sym_struct] = ACTIONS(2682),
    [anon_sym_union] = ACTIONS(2682),
    [anon_sym_if] = ACTIONS(2682),
    [anon_sym_switch] = ACTIONS(2682),
    [anon_sym_case] = ACTIONS(2682),
    [anon_sym_default] = ACTIONS(2682),
    [anon_sym_while] = ACTIONS(2682),
    [anon_sym_do] = ACTIONS(2682),
    [anon_sym_for] = ACTIONS(2682),
    [anon_sym_in] = ACTIONS(2682),
    [anon_sym_return] = ACTIONS(2682),
    [anon_sym_break] = ACTIONS(2682),
    [anon_sym_continue] = ACTIONS(2682),
    [anon_sym_goto] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2684),
    [anon_sym_PLUS_PLUS] = ACTIONS(2684),
    [anon_sym_sizeof] = ACTIONS(2682),
    [anon_sym___alignof__] = ACTIONS(2682),
    [anon_sym___alignof] = ACTIONS(2682),
    [anon_sym__alignof] = ACTIONS(2682),
    [anon_sym_alignof] = ACTIONS(2682),
    [anon_sym__Alignof] = ACTIONS(2682),
    [anon_sym_offsetof] = ACTIONS(2682),
    [anon_sym__Generic] = ACTIONS(2682),
    [anon_sym_asm] = ACTIONS(2682),
    [anon_sym___asm__] = ACTIONS(2682),
    [anon_sym___asm] = ACTIONS(2682),
    [sym_number_literal] = ACTIONS(2684),
    [anon_sym_L_SQUOTE] = ACTIONS(2684),
    [anon_sym_u_SQUOTE] = ACTIONS(2684),
    [anon_sym_U_SQUOTE] = ACTIONS(2684),
    [anon_sym_u8_SQUOTE] = ACTIONS(2684),
    [anon_sym_SQUOTE] = ACTIONS(2684),
    [anon_sym_AT] = ACTIONS(2682),
    [anon_sym_DQUOTE] = ACTIONS(2684),
    [anon_sym_L_DQUOTE] = ACTIONS(2684),
    [anon_sym_u_DQUOTE] = ACTIONS(2684),
    [anon_sym_U_DQUOTE] = ACTIONS(2684),
    [anon_sym_u8_DQUOTE] = ACTIONS(2684),
    [sym_true] = ACTIONS(2682),
    [sym_false] = ACTIONS(2682),
    [anon_sym_NULL] = ACTIONS(2682),
    [anon_sym_nullptr] = ACTIONS(2682),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2682),
    [anon_sym___typeof] = ACTIONS(2682),
    [anon_sym_typeof] = ACTIONS(2682),
    [anon_sym_ATimport] = ACTIONS(2684),
    [aux_sym_preproc_undef_token1] = ACTIONS(2682),
    [anon_sym_POUND] = ACTIONS(2682),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2682),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2682),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2682),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2682),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2682),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2682),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2682),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2682),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2682),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2682),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2682),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2682),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2682),
    [anon_sym_API_AVAILABLE] = ACTIONS(2682),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2682),
    [anon_sym_API_DEPRECATED] = ACTIONS(2682),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2682),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2682),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2682),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2682),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2682),
    [anon_sym___deprecated_msg] = ACTIONS(2682),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2682),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2682),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2682),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2682),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2682),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2682),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2682),
    [anon_sym_ATprotocol] = ACTIONS(2684),
    [anon_sym_ATinterface] = ACTIONS(2684),
    [anon_sym_ATimplementation] = ACTIONS(2684),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2684),
    [anon_sym_ATtry] = ACTIONS(2684),
    [anon_sym___try] = ACTIONS(2682),
    [anon_sym_ATthrow] = ACTIONS(2684),
    [anon_sym_ATselector] = ACTIONS(2684),
    [anon_sym_ATavailable] = ACTIONS(2684),
    [anon_sym___builtin_available] = ACTIONS(2682),
    [anon_sym_va_arg] = ACTIONS(2682),
    [anon_sym_ATencode] = ACTIONS(2684),
    [anon_sym_ATsynchronized] = ACTIONS(2684),
    [anon_sym_BOOL] = ACTIONS(2682),
    [anon_sym_IMP] = ACTIONS(2682),
    [anon_sym_SEL] = ACTIONS(2682),
    [anon_sym_Class] = ACTIONS(2682),
    [anon_sym_id] = ACTIONS(2682),
  },
  [893] = {
    [sym_identifier] = ACTIONS(2686),
    [aux_sym_preproc_include_token1] = ACTIONS(2686),
    [aux_sym_preproc_include_token2] = ACTIONS(2686),
    [aux_sym_preproc_def_token1] = ACTIONS(2686),
    [aux_sym_preproc_if_token1] = ACTIONS(2686),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2686),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2686),
    [sym_preproc_directive] = ACTIONS(2686),
    [anon_sym_LPAREN2] = ACTIONS(2688),
    [anon_sym_BANG] = ACTIONS(2688),
    [anon_sym_TILDE] = ACTIONS(2688),
    [anon_sym_DASH] = ACTIONS(2686),
    [anon_sym_PLUS] = ACTIONS(2686),
    [anon_sym_STAR] = ACTIONS(2688),
    [anon_sym_CARET] = ACTIONS(2688),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_SEMI] = ACTIONS(2688),
    [anon_sym___extension__] = ACTIONS(2686),
    [anon_sym_typedef] = ACTIONS(2686),
    [anon_sym_extern] = ACTIONS(2686),
    [anon_sym___attribute__] = ACTIONS(2686),
    [anon_sym___attribute] = ACTIONS(2686),
    [anon_sym_noreturn] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym___declspec] = ACTIONS(2686),
    [anon_sym___cdecl] = ACTIONS(2686),
    [anon_sym___clrcall] = ACTIONS(2686),
    [anon_sym___stdcall] = ACTIONS(2686),
    [anon_sym___fastcall] = ACTIONS(2686),
    [anon_sym___thiscall] = ACTIONS(2686),
    [anon_sym___vectorcall] = ACTIONS(2686),
    [anon_sym_LBRACE] = ACTIONS(2688),
    [anon_sym_RBRACE] = ACTIONS(2688),
    [anon_sym_signed] = ACTIONS(2686),
    [anon_sym_unsigned] = ACTIONS(2686),
    [anon_sym_long] = ACTIONS(2686),
    [anon_sym_short] = ACTIONS(2686),
    [anon_sym_static] = ACTIONS(2686),
    [anon_sym_ATautoreleasepool] = ACTIONS(2688),
    [anon_sym_auto] = ACTIONS(2686),
    [anon_sym_register] = ACTIONS(2686),
    [anon_sym_inline] = ACTIONS(2686),
    [anon_sym___inline] = ACTIONS(2686),
    [anon_sym___inline__] = ACTIONS(2686),
    [anon_sym___forceinline] = ACTIONS(2686),
    [anon_sym_thread_local] = ACTIONS(2686),
    [anon_sym___thread] = ACTIONS(2686),
    [anon_sym_CG_EXTERN] = ACTIONS(2686),
    [anon_sym_CG_INLINE] = ACTIONS(2686),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2686),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2686),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2686),
    [anon_sym_IBOutlet] = ACTIONS(2686),
    [anon_sym_IBInspectable] = ACTIONS(2686),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2686),
    [anon_sym_NS_INLINE] = ACTIONS(2686),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2686),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2686),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2686),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2686),
    [anon_sym_const] = ACTIONS(2686),
    [anon_sym_constexpr] = ACTIONS(2686),
    [anon_sym_volatile] = ACTIONS(2686),
    [anon_sym_restrict] = ACTIONS(2686),
    [anon_sym___restrict__] = ACTIONS(2686),
    [anon_sym__Atomic] = ACTIONS(2686),
    [anon_sym__Noreturn] = ACTIONS(2686),
    [anon_sym__Nonnull] = ACTIONS(2686),
    [anon_sym_nullable] = ACTIONS(2686),
    [anon_sym__Complex] = ACTIONS(2686),
    [anon_sym__Nullable] = ACTIONS(2686),
    [anon_sym__Nullable_result] = ACTIONS(2686),
    [anon_sym__Null_unspecified] = ACTIONS(2686),
    [anon_sym___autoreleasing] = ACTIONS(2686),
    [anon_sym___block] = ACTIONS(2686),
    [anon_sym___bridge] = ACTIONS(2686),
    [anon_sym___bridge_retained] = ACTIONS(2686),
    [anon_sym___bridge_transfer] = ACTIONS(2686),
    [anon_sym___complex] = ACTIONS(2686),
    [anon_sym___const] = ACTIONS(2686),
    [anon_sym___imag] = ACTIONS(2686),
    [anon_sym___kindof] = ACTIONS(2686),
    [anon_sym___nonnull] = ACTIONS(2686),
    [anon_sym___nullable] = ACTIONS(2686),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2686),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2686),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2686),
    [anon_sym___real] = ACTIONS(2686),
    [anon_sym___strong] = ACTIONS(2686),
    [anon_sym___unsafe_unretained] = ACTIONS(2686),
    [anon_sym___unused] = ACTIONS(2686),
    [anon_sym___weak] = ACTIONS(2686),
    [anon_sym_alignas] = ACTIONS(2686),
    [anon_sym__Alignas] = ACTIONS(2686),
    [sym_primitive_type] = ACTIONS(2686),
    [anon_sym_enum] = ACTIONS(2686),
    [anon_sym_struct] = ACTIONS(2686),
    [anon_sym_union] = ACTIONS(2686),
    [anon_sym_if] = ACTIONS(2686),
    [anon_sym_switch] = ACTIONS(2686),
    [anon_sym_case] = ACTIONS(2686),
    [anon_sym_default] = ACTIONS(2686),
    [anon_sym_while] = ACTIONS(2686),
    [anon_sym_do] = ACTIONS(2686),
    [anon_sym_for] = ACTIONS(2686),
    [anon_sym_in] = ACTIONS(2686),
    [anon_sym_return] = ACTIONS(2686),
    [anon_sym_break] = ACTIONS(2686),
    [anon_sym_continue] = ACTIONS(2686),
    [anon_sym_goto] = ACTIONS(2686),
    [anon_sym_DASH_DASH] = ACTIONS(2688),
    [anon_sym_PLUS_PLUS] = ACTIONS(2688),
    [anon_sym_sizeof] = ACTIONS(2686),
    [anon_sym___alignof__] = ACTIONS(2686),
    [anon_sym___alignof] = ACTIONS(2686),
    [anon_sym__alignof] = ACTIONS(2686),
    [anon_sym_alignof] = ACTIONS(2686),
    [anon_sym__Alignof] = ACTIONS(2686),
    [anon_sym_offsetof] = ACTIONS(2686),
    [anon_sym__Generic] = ACTIONS(2686),
    [anon_sym_asm] = ACTIONS(2686),
    [anon_sym___asm__] = ACTIONS(2686),
    [anon_sym___asm] = ACTIONS(2686),
    [sym_number_literal] = ACTIONS(2688),
    [anon_sym_L_SQUOTE] = ACTIONS(2688),
    [anon_sym_u_SQUOTE] = ACTIONS(2688),
    [anon_sym_U_SQUOTE] = ACTIONS(2688),
    [anon_sym_u8_SQUOTE] = ACTIONS(2688),
    [anon_sym_SQUOTE] = ACTIONS(2688),
    [anon_sym_AT] = ACTIONS(2686),
    [anon_sym_DQUOTE] = ACTIONS(2688),
    [anon_sym_L_DQUOTE] = ACTIONS(2688),
    [anon_sym_u_DQUOTE] = ACTIONS(2688),
    [anon_sym_U_DQUOTE] = ACTIONS(2688),
    [anon_sym_u8_DQUOTE] = ACTIONS(2688),
    [sym_true] = ACTIONS(2686),
    [sym_false] = ACTIONS(2686),
    [anon_sym_NULL] = ACTIONS(2686),
    [anon_sym_nullptr] = ACTIONS(2686),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2686),
    [anon_sym___typeof] = ACTIONS(2686),
    [anon_sym_typeof] = ACTIONS(2686),
    [anon_sym_ATimport] = ACTIONS(2688),
    [aux_sym_preproc_undef_token1] = ACTIONS(2686),
    [anon_sym_POUND] = ACTIONS(2686),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2686),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2686),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2686),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2686),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2686),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2686),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2686),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2686),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2686),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2686),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2686),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2686),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2686),
    [anon_sym_API_AVAILABLE] = ACTIONS(2686),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2686),
    [anon_sym_API_DEPRECATED] = ACTIONS(2686),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2686),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2686),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2686),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2686),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2686),
    [anon_sym___deprecated_msg] = ACTIONS(2686),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2686),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2686),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2686),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2686),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2686),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2686),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2686),
    [anon_sym_ATprotocol] = ACTIONS(2688),
    [anon_sym_ATinterface] = ACTIONS(2688),
    [anon_sym_ATimplementation] = ACTIONS(2688),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2688),
    [anon_sym_ATtry] = ACTIONS(2688),
    [anon_sym___try] = ACTIONS(2686),
    [anon_sym_ATthrow] = ACTIONS(2688),
    [anon_sym_ATselector] = ACTIONS(2688),
    [anon_sym_ATavailable] = ACTIONS(2688),
    [anon_sym___builtin_available] = ACTIONS(2686),
    [anon_sym_va_arg] = ACTIONS(2686),
    [anon_sym_ATencode] = ACTIONS(2688),
    [anon_sym_ATsynchronized] = ACTIONS(2688),
    [anon_sym_BOOL] = ACTIONS(2686),
    [anon_sym_IMP] = ACTIONS(2686),
    [anon_sym_SEL] = ACTIONS(2686),
    [anon_sym_Class] = ACTIONS(2686),
    [anon_sym_id] = ACTIONS(2686),
  },
  [894] = {
    [sym_identifier] = ACTIONS(2690),
    [aux_sym_preproc_include_token1] = ACTIONS(2690),
    [aux_sym_preproc_include_token2] = ACTIONS(2690),
    [aux_sym_preproc_def_token1] = ACTIONS(2690),
    [aux_sym_preproc_if_token1] = ACTIONS(2690),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2690),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2690),
    [sym_preproc_directive] = ACTIONS(2690),
    [anon_sym_LPAREN2] = ACTIONS(2692),
    [anon_sym_BANG] = ACTIONS(2692),
    [anon_sym_TILDE] = ACTIONS(2692),
    [anon_sym_DASH] = ACTIONS(2690),
    [anon_sym_PLUS] = ACTIONS(2690),
    [anon_sym_STAR] = ACTIONS(2692),
    [anon_sym_CARET] = ACTIONS(2692),
    [anon_sym_AMP] = ACTIONS(2692),
    [anon_sym_SEMI] = ACTIONS(2692),
    [anon_sym___extension__] = ACTIONS(2690),
    [anon_sym_typedef] = ACTIONS(2690),
    [anon_sym_extern] = ACTIONS(2690),
    [anon_sym___attribute__] = ACTIONS(2690),
    [anon_sym___attribute] = ACTIONS(2690),
    [anon_sym_noreturn] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym___declspec] = ACTIONS(2690),
    [anon_sym___cdecl] = ACTIONS(2690),
    [anon_sym___clrcall] = ACTIONS(2690),
    [anon_sym___stdcall] = ACTIONS(2690),
    [anon_sym___fastcall] = ACTIONS(2690),
    [anon_sym___thiscall] = ACTIONS(2690),
    [anon_sym___vectorcall] = ACTIONS(2690),
    [anon_sym_LBRACE] = ACTIONS(2692),
    [anon_sym_RBRACE] = ACTIONS(2692),
    [anon_sym_signed] = ACTIONS(2690),
    [anon_sym_unsigned] = ACTIONS(2690),
    [anon_sym_long] = ACTIONS(2690),
    [anon_sym_short] = ACTIONS(2690),
    [anon_sym_static] = ACTIONS(2690),
    [anon_sym_ATautoreleasepool] = ACTIONS(2692),
    [anon_sym_auto] = ACTIONS(2690),
    [anon_sym_register] = ACTIONS(2690),
    [anon_sym_inline] = ACTIONS(2690),
    [anon_sym___inline] = ACTIONS(2690),
    [anon_sym___inline__] = ACTIONS(2690),
    [anon_sym___forceinline] = ACTIONS(2690),
    [anon_sym_thread_local] = ACTIONS(2690),
    [anon_sym___thread] = ACTIONS(2690),
    [anon_sym_CG_EXTERN] = ACTIONS(2690),
    [anon_sym_CG_INLINE] = ACTIONS(2690),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2690),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2690),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2690),
    [anon_sym_IBOutlet] = ACTIONS(2690),
    [anon_sym_IBInspectable] = ACTIONS(2690),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2690),
    [anon_sym_NS_INLINE] = ACTIONS(2690),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2690),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2690),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2690),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2690),
    [anon_sym_const] = ACTIONS(2690),
    [anon_sym_constexpr] = ACTIONS(2690),
    [anon_sym_volatile] = ACTIONS(2690),
    [anon_sym_restrict] = ACTIONS(2690),
    [anon_sym___restrict__] = ACTIONS(2690),
    [anon_sym__Atomic] = ACTIONS(2690),
    [anon_sym__Noreturn] = ACTIONS(2690),
    [anon_sym__Nonnull] = ACTIONS(2690),
    [anon_sym_nullable] = ACTIONS(2690),
    [anon_sym__Complex] = ACTIONS(2690),
    [anon_sym__Nullable] = ACTIONS(2690),
    [anon_sym__Nullable_result] = ACTIONS(2690),
    [anon_sym__Null_unspecified] = ACTIONS(2690),
    [anon_sym___autoreleasing] = ACTIONS(2690),
    [anon_sym___block] = ACTIONS(2690),
    [anon_sym___bridge] = ACTIONS(2690),
    [anon_sym___bridge_retained] = ACTIONS(2690),
    [anon_sym___bridge_transfer] = ACTIONS(2690),
    [anon_sym___complex] = ACTIONS(2690),
    [anon_sym___const] = ACTIONS(2690),
    [anon_sym___imag] = ACTIONS(2690),
    [anon_sym___kindof] = ACTIONS(2690),
    [anon_sym___nonnull] = ACTIONS(2690),
    [anon_sym___nullable] = ACTIONS(2690),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2690),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2690),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2690),
    [anon_sym___real] = ACTIONS(2690),
    [anon_sym___strong] = ACTIONS(2690),
    [anon_sym___unsafe_unretained] = ACTIONS(2690),
    [anon_sym___unused] = ACTIONS(2690),
    [anon_sym___weak] = ACTIONS(2690),
    [anon_sym_alignas] = ACTIONS(2690),
    [anon_sym__Alignas] = ACTIONS(2690),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2690),
    [anon_sym_struct] = ACTIONS(2690),
    [anon_sym_union] = ACTIONS(2690),
    [anon_sym_if] = ACTIONS(2690),
    [anon_sym_switch] = ACTIONS(2690),
    [anon_sym_case] = ACTIONS(2690),
    [anon_sym_default] = ACTIONS(2690),
    [anon_sym_while] = ACTIONS(2690),
    [anon_sym_do] = ACTIONS(2690),
    [anon_sym_for] = ACTIONS(2690),
    [anon_sym_in] = ACTIONS(2690),
    [anon_sym_return] = ACTIONS(2690),
    [anon_sym_break] = ACTIONS(2690),
    [anon_sym_continue] = ACTIONS(2690),
    [anon_sym_goto] = ACTIONS(2690),
    [anon_sym_DASH_DASH] = ACTIONS(2692),
    [anon_sym_PLUS_PLUS] = ACTIONS(2692),
    [anon_sym_sizeof] = ACTIONS(2690),
    [anon_sym___alignof__] = ACTIONS(2690),
    [anon_sym___alignof] = ACTIONS(2690),
    [anon_sym__alignof] = ACTIONS(2690),
    [anon_sym_alignof] = ACTIONS(2690),
    [anon_sym__Alignof] = ACTIONS(2690),
    [anon_sym_offsetof] = ACTIONS(2690),
    [anon_sym__Generic] = ACTIONS(2690),
    [anon_sym_asm] = ACTIONS(2690),
    [anon_sym___asm__] = ACTIONS(2690),
    [anon_sym___asm] = ACTIONS(2690),
    [sym_number_literal] = ACTIONS(2692),
    [anon_sym_L_SQUOTE] = ACTIONS(2692),
    [anon_sym_u_SQUOTE] = ACTIONS(2692),
    [anon_sym_U_SQUOTE] = ACTIONS(2692),
    [anon_sym_u8_SQUOTE] = ACTIONS(2692),
    [anon_sym_SQUOTE] = ACTIONS(2692),
    [anon_sym_AT] = ACTIONS(2690),
    [anon_sym_DQUOTE] = ACTIONS(2692),
    [anon_sym_L_DQUOTE] = ACTIONS(2692),
    [anon_sym_u_DQUOTE] = ACTIONS(2692),
    [anon_sym_U_DQUOTE] = ACTIONS(2692),
    [anon_sym_u8_DQUOTE] = ACTIONS(2692),
    [sym_true] = ACTIONS(2690),
    [sym_false] = ACTIONS(2690),
    [anon_sym_NULL] = ACTIONS(2690),
    [anon_sym_nullptr] = ACTIONS(2690),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2690),
    [anon_sym___typeof] = ACTIONS(2690),
    [anon_sym_typeof] = ACTIONS(2690),
    [anon_sym_ATimport] = ACTIONS(2692),
    [aux_sym_preproc_undef_token1] = ACTIONS(2690),
    [anon_sym_POUND] = ACTIONS(2690),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2690),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2690),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2690),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2690),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2690),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2690),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2690),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2690),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2690),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2690),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2690),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2690),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2690),
    [anon_sym_API_AVAILABLE] = ACTIONS(2690),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2690),
    [anon_sym_API_DEPRECATED] = ACTIONS(2690),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2690),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2690),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2690),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2690),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2690),
    [anon_sym___deprecated_msg] = ACTIONS(2690),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2690),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2690),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2690),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2690),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2690),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2690),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2690),
    [anon_sym_ATprotocol] = ACTIONS(2692),
    [anon_sym_ATinterface] = ACTIONS(2692),
    [anon_sym_ATimplementation] = ACTIONS(2692),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2692),
    [anon_sym_ATtry] = ACTIONS(2692),
    [anon_sym___try] = ACTIONS(2690),
    [anon_sym_ATthrow] = ACTIONS(2692),
    [anon_sym_ATselector] = ACTIONS(2692),
    [anon_sym_ATavailable] = ACTIONS(2692),
    [anon_sym___builtin_available] = ACTIONS(2690),
    [anon_sym_va_arg] = ACTIONS(2690),
    [anon_sym_ATencode] = ACTIONS(2692),
    [anon_sym_ATsynchronized] = ACTIONS(2692),
    [anon_sym_BOOL] = ACTIONS(2690),
    [anon_sym_IMP] = ACTIONS(2690),
    [anon_sym_SEL] = ACTIONS(2690),
    [anon_sym_Class] = ACTIONS(2690),
    [anon_sym_id] = ACTIONS(2690),
  },
  [895] = {
    [sym_identifier] = ACTIONS(2638),
    [aux_sym_preproc_include_token1] = ACTIONS(2638),
    [aux_sym_preproc_include_token2] = ACTIONS(2638),
    [aux_sym_preproc_def_token1] = ACTIONS(2638),
    [aux_sym_preproc_if_token1] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2638),
    [sym_preproc_directive] = ACTIONS(2638),
    [anon_sym_LPAREN2] = ACTIONS(2640),
    [anon_sym_BANG] = ACTIONS(2640),
    [anon_sym_TILDE] = ACTIONS(2640),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2640),
    [anon_sym_CARET] = ACTIONS(2640),
    [anon_sym_AMP] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym___extension__] = ACTIONS(2638),
    [anon_sym_typedef] = ACTIONS(2638),
    [anon_sym_extern] = ACTIONS(2638),
    [anon_sym___attribute__] = ACTIONS(2638),
    [anon_sym___attribute] = ACTIONS(2638),
    [anon_sym_noreturn] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym___declspec] = ACTIONS(2638),
    [anon_sym___cdecl] = ACTIONS(2638),
    [anon_sym___clrcall] = ACTIONS(2638),
    [anon_sym___stdcall] = ACTIONS(2638),
    [anon_sym___fastcall] = ACTIONS(2638),
    [anon_sym___thiscall] = ACTIONS(2638),
    [anon_sym___vectorcall] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_RBRACE] = ACTIONS(2640),
    [anon_sym_signed] = ACTIONS(2638),
    [anon_sym_unsigned] = ACTIONS(2638),
    [anon_sym_long] = ACTIONS(2638),
    [anon_sym_short] = ACTIONS(2638),
    [anon_sym_static] = ACTIONS(2638),
    [anon_sym_ATautoreleasepool] = ACTIONS(2640),
    [anon_sym_auto] = ACTIONS(2638),
    [anon_sym_register] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym___inline] = ACTIONS(2638),
    [anon_sym___inline__] = ACTIONS(2638),
    [anon_sym___forceinline] = ACTIONS(2638),
    [anon_sym_thread_local] = ACTIONS(2638),
    [anon_sym___thread] = ACTIONS(2638),
    [anon_sym_CG_EXTERN] = ACTIONS(2638),
    [anon_sym_CG_INLINE] = ACTIONS(2638),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2638),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2638),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2638),
    [anon_sym_IBOutlet] = ACTIONS(2638),
    [anon_sym_IBInspectable] = ACTIONS(2638),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2638),
    [anon_sym_NS_INLINE] = ACTIONS(2638),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2638),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2638),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2638),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_constexpr] = ACTIONS(2638),
    [anon_sym_volatile] = ACTIONS(2638),
    [anon_sym_restrict] = ACTIONS(2638),
    [anon_sym___restrict__] = ACTIONS(2638),
    [anon_sym__Atomic] = ACTIONS(2638),
    [anon_sym__Noreturn] = ACTIONS(2638),
    [anon_sym__Nonnull] = ACTIONS(2638),
    [anon_sym_nullable] = ACTIONS(2638),
    [anon_sym__Complex] = ACTIONS(2638),
    [anon_sym__Nullable] = ACTIONS(2638),
    [anon_sym__Nullable_result] = ACTIONS(2638),
    [anon_sym__Null_unspecified] = ACTIONS(2638),
    [anon_sym___autoreleasing] = ACTIONS(2638),
    [anon_sym___block] = ACTIONS(2638),
    [anon_sym___bridge] = ACTIONS(2638),
    [anon_sym___bridge_retained] = ACTIONS(2638),
    [anon_sym___bridge_transfer] = ACTIONS(2638),
    [anon_sym___complex] = ACTIONS(2638),
    [anon_sym___const] = ACTIONS(2638),
    [anon_sym___imag] = ACTIONS(2638),
    [anon_sym___kindof] = ACTIONS(2638),
    [anon_sym___nonnull] = ACTIONS(2638),
    [anon_sym___nullable] = ACTIONS(2638),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2638),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2638),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2638),
    [anon_sym___real] = ACTIONS(2638),
    [anon_sym___strong] = ACTIONS(2638),
    [anon_sym___unsafe_unretained] = ACTIONS(2638),
    [anon_sym___unused] = ACTIONS(2638),
    [anon_sym___weak] = ACTIONS(2638),
    [anon_sym_alignas] = ACTIONS(2638),
    [anon_sym__Alignas] = ACTIONS(2638),
    [sym_primitive_type] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_struct] = ACTIONS(2638),
    [anon_sym_union] = ACTIONS(2638),
    [anon_sym_if] = ACTIONS(2638),
    [anon_sym_switch] = ACTIONS(2638),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_default] = ACTIONS(2638),
    [anon_sym_while] = ACTIONS(2638),
    [anon_sym_do] = ACTIONS(2638),
    [anon_sym_for] = ACTIONS(2638),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_return] = ACTIONS(2638),
    [anon_sym_break] = ACTIONS(2638),
    [anon_sym_continue] = ACTIONS(2638),
    [anon_sym_goto] = ACTIONS(2638),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_sizeof] = ACTIONS(2638),
    [anon_sym___alignof__] = ACTIONS(2638),
    [anon_sym___alignof] = ACTIONS(2638),
    [anon_sym__alignof] = ACTIONS(2638),
    [anon_sym_alignof] = ACTIONS(2638),
    [anon_sym__Alignof] = ACTIONS(2638),
    [anon_sym_offsetof] = ACTIONS(2638),
    [anon_sym__Generic] = ACTIONS(2638),
    [anon_sym_asm] = ACTIONS(2638),
    [anon_sym___asm__] = ACTIONS(2638),
    [anon_sym___asm] = ACTIONS(2638),
    [sym_number_literal] = ACTIONS(2640),
    [anon_sym_L_SQUOTE] = ACTIONS(2640),
    [anon_sym_u_SQUOTE] = ACTIONS(2640),
    [anon_sym_U_SQUOTE] = ACTIONS(2640),
    [anon_sym_u8_SQUOTE] = ACTIONS(2640),
    [anon_sym_SQUOTE] = ACTIONS(2640),
    [anon_sym_AT] = ACTIONS(2638),
    [anon_sym_DQUOTE] = ACTIONS(2640),
    [anon_sym_L_DQUOTE] = ACTIONS(2640),
    [anon_sym_u_DQUOTE] = ACTIONS(2640),
    [anon_sym_U_DQUOTE] = ACTIONS(2640),
    [anon_sym_u8_DQUOTE] = ACTIONS(2640),
    [sym_true] = ACTIONS(2638),
    [sym_false] = ACTIONS(2638),
    [anon_sym_NULL] = ACTIONS(2638),
    [anon_sym_nullptr] = ACTIONS(2638),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2638),
    [anon_sym___typeof] = ACTIONS(2638),
    [anon_sym_typeof] = ACTIONS(2638),
    [anon_sym_ATimport] = ACTIONS(2640),
    [aux_sym_preproc_undef_token1] = ACTIONS(2638),
    [anon_sym_POUND] = ACTIONS(2638),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2638),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2638),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2638),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2638),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2638),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2638),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2638),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2638),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2638),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2638),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2638),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2638),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2638),
    [anon_sym_API_AVAILABLE] = ACTIONS(2638),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2638),
    [anon_sym_API_DEPRECATED] = ACTIONS(2638),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2638),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2638),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2638),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2638),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2638),
    [anon_sym___deprecated_msg] = ACTIONS(2638),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2638),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2638),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2638),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2638),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2638),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2638),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2638),
    [anon_sym_ATprotocol] = ACTIONS(2640),
    [anon_sym_ATinterface] = ACTIONS(2640),
    [anon_sym_ATimplementation] = ACTIONS(2640),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2640),
    [anon_sym_ATtry] = ACTIONS(2640),
    [anon_sym___try] = ACTIONS(2638),
    [anon_sym_ATthrow] = ACTIONS(2640),
    [anon_sym_ATselector] = ACTIONS(2640),
    [anon_sym_ATavailable] = ACTIONS(2640),
    [anon_sym___builtin_available] = ACTIONS(2638),
    [anon_sym_va_arg] = ACTIONS(2638),
    [anon_sym_ATencode] = ACTIONS(2640),
    [anon_sym_ATsynchronized] = ACTIONS(2640),
    [anon_sym_BOOL] = ACTIONS(2638),
    [anon_sym_IMP] = ACTIONS(2638),
    [anon_sym_SEL] = ACTIONS(2638),
    [anon_sym_Class] = ACTIONS(2638),
    [anon_sym_id] = ACTIONS(2638),
  },
  [896] = {
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_include_token1] = ACTIONS(2844),
    [aux_sym_preproc_include_token2] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_CARET] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym___attribute] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___cdecl] = ACTIONS(2844),
    [anon_sym___clrcall] = ACTIONS(2844),
    [anon_sym___stdcall] = ACTIONS(2844),
    [anon_sym___fastcall] = ACTIONS(2844),
    [anon_sym___thiscall] = ACTIONS(2844),
    [anon_sym___vectorcall] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_RBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_ATautoreleasepool] = ACTIONS(2846),
    [anon_sym_auto] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_CG_EXTERN] = ACTIONS(2844),
    [anon_sym_CG_INLINE] = ACTIONS(2844),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2844),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2844),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2844),
    [anon_sym_IBOutlet] = ACTIONS(2844),
    [anon_sym_IBInspectable] = ACTIONS(2844),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2844),
    [anon_sym_NS_INLINE] = ACTIONS(2844),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2844),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2844),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2844),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym__Nonnull] = ACTIONS(2844),
    [anon_sym_nullable] = ACTIONS(2844),
    [anon_sym__Complex] = ACTIONS(2844),
    [anon_sym__Nullable] = ACTIONS(2844),
    [anon_sym__Nullable_result] = ACTIONS(2844),
    [anon_sym__Null_unspecified] = ACTIONS(2844),
    [anon_sym___autoreleasing] = ACTIONS(2844),
    [anon_sym___block] = ACTIONS(2844),
    [anon_sym___bridge] = ACTIONS(2844),
    [anon_sym___bridge_retained] = ACTIONS(2844),
    [anon_sym___bridge_transfer] = ACTIONS(2844),
    [anon_sym___complex] = ACTIONS(2844),
    [anon_sym___const] = ACTIONS(2844),
    [anon_sym___imag] = ACTIONS(2844),
    [anon_sym___kindof] = ACTIONS(2844),
    [anon_sym___nonnull] = ACTIONS(2844),
    [anon_sym___nullable] = ACTIONS(2844),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2844),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2844),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2844),
    [anon_sym___real] = ACTIONS(2844),
    [anon_sym___strong] = ACTIONS(2844),
    [anon_sym___unsafe_unretained] = ACTIONS(2844),
    [anon_sym___unused] = ACTIONS(2844),
    [anon_sym___weak] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_in] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_goto] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_sizeof] = ACTIONS(2844),
    [anon_sym___alignof__] = ACTIONS(2844),
    [anon_sym___alignof] = ACTIONS(2844),
    [anon_sym__alignof] = ACTIONS(2844),
    [anon_sym_alignof] = ACTIONS(2844),
    [anon_sym__Alignof] = ACTIONS(2844),
    [anon_sym_offsetof] = ACTIONS(2844),
    [anon_sym__Generic] = ACTIONS(2844),
    [anon_sym_asm] = ACTIONS(2844),
    [anon_sym___asm__] = ACTIONS(2844),
    [anon_sym___asm] = ACTIONS(2844),
    [sym_number_literal] = ACTIONS(2846),
    [anon_sym_L_SQUOTE] = ACTIONS(2846),
    [anon_sym_u_SQUOTE] = ACTIONS(2846),
    [anon_sym_U_SQUOTE] = ACTIONS(2846),
    [anon_sym_u8_SQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_AT] = ACTIONS(2844),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [anon_sym_L_DQUOTE] = ACTIONS(2846),
    [anon_sym_u_DQUOTE] = ACTIONS(2846),
    [anon_sym_U_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8_DQUOTE] = ACTIONS(2846),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [anon_sym_NULL] = ACTIONS(2844),
    [anon_sym_nullptr] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2844),
    [anon_sym___typeof] = ACTIONS(2844),
    [anon_sym_typeof] = ACTIONS(2844),
    [anon_sym_ATimport] = ACTIONS(2846),
    [aux_sym_preproc_undef_token1] = ACTIONS(2844),
    [anon_sym_POUND] = ACTIONS(2844),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2844),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2844),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2844),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2844),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2844),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2844),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2844),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2844),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2844),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2844),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2844),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2844),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2844),
    [anon_sym_API_AVAILABLE] = ACTIONS(2844),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2844),
    [anon_sym_API_DEPRECATED] = ACTIONS(2844),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2844),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2844),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2844),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2844),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2844),
    [anon_sym___deprecated_msg] = ACTIONS(2844),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2844),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2844),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2844),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2844),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2844),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2844),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2844),
    [anon_sym_ATprotocol] = ACTIONS(2846),
    [anon_sym_ATinterface] = ACTIONS(2846),
    [anon_sym_ATimplementation] = ACTIONS(2846),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2846),
    [anon_sym_ATtry] = ACTIONS(2846),
    [anon_sym___try] = ACTIONS(2844),
    [anon_sym_ATthrow] = ACTIONS(2846),
    [anon_sym_ATselector] = ACTIONS(2846),
    [anon_sym_ATavailable] = ACTIONS(2846),
    [anon_sym___builtin_available] = ACTIONS(2844),
    [anon_sym_va_arg] = ACTIONS(2844),
    [anon_sym_ATencode] = ACTIONS(2846),
    [anon_sym_ATsynchronized] = ACTIONS(2846),
    [anon_sym_BOOL] = ACTIONS(2844),
    [anon_sym_IMP] = ACTIONS(2844),
    [anon_sym_SEL] = ACTIONS(2844),
    [anon_sym_Class] = ACTIONS(2844),
    [anon_sym_id] = ACTIONS(2844),
  },
  [897] = {
    [sym_identifier] = ACTIONS(2774),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_include_token2] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2774),
    [sym_preproc_directive] = ACTIONS(2774),
    [anon_sym_LPAREN2] = ACTIONS(2776),
    [anon_sym_BANG] = ACTIONS(2776),
    [anon_sym_TILDE] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2774),
    [anon_sym_PLUS] = ACTIONS(2774),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_CARET] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2776),
    [anon_sym_SEMI] = ACTIONS(2776),
    [anon_sym___extension__] = ACTIONS(2774),
    [anon_sym_typedef] = ACTIONS(2774),
    [anon_sym_extern] = ACTIONS(2774),
    [anon_sym___attribute__] = ACTIONS(2774),
    [anon_sym___attribute] = ACTIONS(2774),
    [anon_sym_noreturn] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2776),
    [anon_sym___declspec] = ACTIONS(2774),
    [anon_sym___cdecl] = ACTIONS(2774),
    [anon_sym___clrcall] = ACTIONS(2774),
    [anon_sym___stdcall] = ACTIONS(2774),
    [anon_sym___fastcall] = ACTIONS(2774),
    [anon_sym___thiscall] = ACTIONS(2774),
    [anon_sym___vectorcall] = ACTIONS(2774),
    [anon_sym_LBRACE] = ACTIONS(2776),
    [anon_sym_RBRACE] = ACTIONS(2776),
    [anon_sym_signed] = ACTIONS(2774),
    [anon_sym_unsigned] = ACTIONS(2774),
    [anon_sym_long] = ACTIONS(2774),
    [anon_sym_short] = ACTIONS(2774),
    [anon_sym_static] = ACTIONS(2774),
    [anon_sym_ATautoreleasepool] = ACTIONS(2776),
    [anon_sym_auto] = ACTIONS(2774),
    [anon_sym_register] = ACTIONS(2774),
    [anon_sym_inline] = ACTIONS(2774),
    [anon_sym___inline] = ACTIONS(2774),
    [anon_sym___inline__] = ACTIONS(2774),
    [anon_sym___forceinline] = ACTIONS(2774),
    [anon_sym_thread_local] = ACTIONS(2774),
    [anon_sym___thread] = ACTIONS(2774),
    [anon_sym_CG_EXTERN] = ACTIONS(2774),
    [anon_sym_CG_INLINE] = ACTIONS(2774),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2774),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2774),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2774),
    [anon_sym_IBOutlet] = ACTIONS(2774),
    [anon_sym_IBInspectable] = ACTIONS(2774),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2774),
    [anon_sym_NS_INLINE] = ACTIONS(2774),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2774),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2774),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2774),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2774),
    [anon_sym_const] = ACTIONS(2774),
    [anon_sym_constexpr] = ACTIONS(2774),
    [anon_sym_volatile] = ACTIONS(2774),
    [anon_sym_restrict] = ACTIONS(2774),
    [anon_sym___restrict__] = ACTIONS(2774),
    [anon_sym__Atomic] = ACTIONS(2774),
    [anon_sym__Noreturn] = ACTIONS(2774),
    [anon_sym__Nonnull] = ACTIONS(2774),
    [anon_sym_nullable] = ACTIONS(2774),
    [anon_sym__Complex] = ACTIONS(2774),
    [anon_sym__Nullable] = ACTIONS(2774),
    [anon_sym__Nullable_result] = ACTIONS(2774),
    [anon_sym__Null_unspecified] = ACTIONS(2774),
    [anon_sym___autoreleasing] = ACTIONS(2774),
    [anon_sym___block] = ACTIONS(2774),
    [anon_sym___bridge] = ACTIONS(2774),
    [anon_sym___bridge_retained] = ACTIONS(2774),
    [anon_sym___bridge_transfer] = ACTIONS(2774),
    [anon_sym___complex] = ACTIONS(2774),
    [anon_sym___const] = ACTIONS(2774),
    [anon_sym___imag] = ACTIONS(2774),
    [anon_sym___kindof] = ACTIONS(2774),
    [anon_sym___nonnull] = ACTIONS(2774),
    [anon_sym___nullable] = ACTIONS(2774),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2774),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2774),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2774),
    [anon_sym___real] = ACTIONS(2774),
    [anon_sym___strong] = ACTIONS(2774),
    [anon_sym___unsafe_unretained] = ACTIONS(2774),
    [anon_sym___unused] = ACTIONS(2774),
    [anon_sym___weak] = ACTIONS(2774),
    [anon_sym_alignas] = ACTIONS(2774),
    [anon_sym__Alignas] = ACTIONS(2774),
    [sym_primitive_type] = ACTIONS(2774),
    [anon_sym_enum] = ACTIONS(2774),
    [anon_sym_struct] = ACTIONS(2774),
    [anon_sym_union] = ACTIONS(2774),
    [anon_sym_if] = ACTIONS(2774),
    [anon_sym_switch] = ACTIONS(2774),
    [anon_sym_case] = ACTIONS(2774),
    [anon_sym_default] = ACTIONS(2774),
    [anon_sym_while] = ACTIONS(2774),
    [anon_sym_do] = ACTIONS(2774),
    [anon_sym_for] = ACTIONS(2774),
    [anon_sym_in] = ACTIONS(2774),
    [anon_sym_return] = ACTIONS(2774),
    [anon_sym_break] = ACTIONS(2774),
    [anon_sym_continue] = ACTIONS(2774),
    [anon_sym_goto] = ACTIONS(2774),
    [anon_sym_DASH_DASH] = ACTIONS(2776),
    [anon_sym_PLUS_PLUS] = ACTIONS(2776),
    [anon_sym_sizeof] = ACTIONS(2774),
    [anon_sym___alignof__] = ACTIONS(2774),
    [anon_sym___alignof] = ACTIONS(2774),
    [anon_sym__alignof] = ACTIONS(2774),
    [anon_sym_alignof] = ACTIONS(2774),
    [anon_sym__Alignof] = ACTIONS(2774),
    [anon_sym_offsetof] = ACTIONS(2774),
    [anon_sym__Generic] = ACTIONS(2774),
    [anon_sym_asm] = ACTIONS(2774),
    [anon_sym___asm__] = ACTIONS(2774),
    [anon_sym___asm] = ACTIONS(2774),
    [sym_number_literal] = ACTIONS(2776),
    [anon_sym_L_SQUOTE] = ACTIONS(2776),
    [anon_sym_u_SQUOTE] = ACTIONS(2776),
    [anon_sym_U_SQUOTE] = ACTIONS(2776),
    [anon_sym_u8_SQUOTE] = ACTIONS(2776),
    [anon_sym_SQUOTE] = ACTIONS(2776),
    [anon_sym_AT] = ACTIONS(2774),
    [anon_sym_DQUOTE] = ACTIONS(2776),
    [anon_sym_L_DQUOTE] = ACTIONS(2776),
    [anon_sym_u_DQUOTE] = ACTIONS(2776),
    [anon_sym_U_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8_DQUOTE] = ACTIONS(2776),
    [sym_true] = ACTIONS(2774),
    [sym_false] = ACTIONS(2774),
    [anon_sym_NULL] = ACTIONS(2774),
    [anon_sym_nullptr] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2774),
    [anon_sym___typeof] = ACTIONS(2774),
    [anon_sym_typeof] = ACTIONS(2774),
    [anon_sym_ATimport] = ACTIONS(2776),
    [aux_sym_preproc_undef_token1] = ACTIONS(2774),
    [anon_sym_POUND] = ACTIONS(2774),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2774),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2774),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2774),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2774),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2774),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2774),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2774),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2774),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2774),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_API_AVAILABLE] = ACTIONS(2774),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_API_DEPRECATED] = ACTIONS(2774),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2774),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2774),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2774),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2774),
    [anon_sym___deprecated_msg] = ACTIONS(2774),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2774),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2774),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2774),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2774),
    [anon_sym_ATprotocol] = ACTIONS(2776),
    [anon_sym_ATinterface] = ACTIONS(2776),
    [anon_sym_ATimplementation] = ACTIONS(2776),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2776),
    [anon_sym_ATtry] = ACTIONS(2776),
    [anon_sym___try] = ACTIONS(2774),
    [anon_sym_ATthrow] = ACTIONS(2776),
    [anon_sym_ATselector] = ACTIONS(2776),
    [anon_sym_ATavailable] = ACTIONS(2776),
    [anon_sym___builtin_available] = ACTIONS(2774),
    [anon_sym_va_arg] = ACTIONS(2774),
    [anon_sym_ATencode] = ACTIONS(2776),
    [anon_sym_ATsynchronized] = ACTIONS(2776),
    [anon_sym_BOOL] = ACTIONS(2774),
    [anon_sym_IMP] = ACTIONS(2774),
    [anon_sym_SEL] = ACTIONS(2774),
    [anon_sym_Class] = ACTIONS(2774),
    [anon_sym_id] = ACTIONS(2774),
  },
  [898] = {
    [sym_identifier] = ACTIONS(2662),
    [aux_sym_preproc_include_token1] = ACTIONS(2662),
    [aux_sym_preproc_include_token2] = ACTIONS(2662),
    [aux_sym_preproc_def_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2662),
    [sym_preproc_directive] = ACTIONS(2662),
    [anon_sym_LPAREN2] = ACTIONS(2664),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2664),
    [anon_sym_CARET] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym___extension__] = ACTIONS(2662),
    [anon_sym_typedef] = ACTIONS(2662),
    [anon_sym_extern] = ACTIONS(2662),
    [anon_sym___attribute__] = ACTIONS(2662),
    [anon_sym___attribute] = ACTIONS(2662),
    [anon_sym_noreturn] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym___declspec] = ACTIONS(2662),
    [anon_sym___cdecl] = ACTIONS(2662),
    [anon_sym___clrcall] = ACTIONS(2662),
    [anon_sym___stdcall] = ACTIONS(2662),
    [anon_sym___fastcall] = ACTIONS(2662),
    [anon_sym___thiscall] = ACTIONS(2662),
    [anon_sym___vectorcall] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_RBRACE] = ACTIONS(2664),
    [anon_sym_signed] = ACTIONS(2662),
    [anon_sym_unsigned] = ACTIONS(2662),
    [anon_sym_long] = ACTIONS(2662),
    [anon_sym_short] = ACTIONS(2662),
    [anon_sym_static] = ACTIONS(2662),
    [anon_sym_ATautoreleasepool] = ACTIONS(2664),
    [anon_sym_auto] = ACTIONS(2662),
    [anon_sym_register] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym___inline] = ACTIONS(2662),
    [anon_sym___inline__] = ACTIONS(2662),
    [anon_sym___forceinline] = ACTIONS(2662),
    [anon_sym_thread_local] = ACTIONS(2662),
    [anon_sym___thread] = ACTIONS(2662),
    [anon_sym_CG_EXTERN] = ACTIONS(2662),
    [anon_sym_CG_INLINE] = ACTIONS(2662),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2662),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2662),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2662),
    [anon_sym_IBOutlet] = ACTIONS(2662),
    [anon_sym_IBInspectable] = ACTIONS(2662),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2662),
    [anon_sym_NS_INLINE] = ACTIONS(2662),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2662),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2662),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2662),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_constexpr] = ACTIONS(2662),
    [anon_sym_volatile] = ACTIONS(2662),
    [anon_sym_restrict] = ACTIONS(2662),
    [anon_sym___restrict__] = ACTIONS(2662),
    [anon_sym__Atomic] = ACTIONS(2662),
    [anon_sym__Noreturn] = ACTIONS(2662),
    [anon_sym__Nonnull] = ACTIONS(2662),
    [anon_sym_nullable] = ACTIONS(2662),
    [anon_sym__Complex] = ACTIONS(2662),
    [anon_sym__Nullable] = ACTIONS(2662),
    [anon_sym__Nullable_result] = ACTIONS(2662),
    [anon_sym__Null_unspecified] = ACTIONS(2662),
    [anon_sym___autoreleasing] = ACTIONS(2662),
    [anon_sym___block] = ACTIONS(2662),
    [anon_sym___bridge] = ACTIONS(2662),
    [anon_sym___bridge_retained] = ACTIONS(2662),
    [anon_sym___bridge_transfer] = ACTIONS(2662),
    [anon_sym___complex] = ACTIONS(2662),
    [anon_sym___const] = ACTIONS(2662),
    [anon_sym___imag] = ACTIONS(2662),
    [anon_sym___kindof] = ACTIONS(2662),
    [anon_sym___nonnull] = ACTIONS(2662),
    [anon_sym___nullable] = ACTIONS(2662),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2662),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2662),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2662),
    [anon_sym___real] = ACTIONS(2662),
    [anon_sym___strong] = ACTIONS(2662),
    [anon_sym___unsafe_unretained] = ACTIONS(2662),
    [anon_sym___unused] = ACTIONS(2662),
    [anon_sym___weak] = ACTIONS(2662),
    [anon_sym_alignas] = ACTIONS(2662),
    [anon_sym__Alignas] = ACTIONS(2662),
    [sym_primitive_type] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_struct] = ACTIONS(2662),
    [anon_sym_union] = ACTIONS(2662),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_switch] = ACTIONS(2662),
    [anon_sym_case] = ACTIONS(2662),
    [anon_sym_default] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_in] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_break] = ACTIONS(2662),
    [anon_sym_continue] = ACTIONS(2662),
    [anon_sym_goto] = ACTIONS(2662),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_sizeof] = ACTIONS(2662),
    [anon_sym___alignof__] = ACTIONS(2662),
    [anon_sym___alignof] = ACTIONS(2662),
    [anon_sym__alignof] = ACTIONS(2662),
    [anon_sym_alignof] = ACTIONS(2662),
    [anon_sym__Alignof] = ACTIONS(2662),
    [anon_sym_offsetof] = ACTIONS(2662),
    [anon_sym__Generic] = ACTIONS(2662),
    [anon_sym_asm] = ACTIONS(2662),
    [anon_sym___asm__] = ACTIONS(2662),
    [anon_sym___asm] = ACTIONS(2662),
    [sym_number_literal] = ACTIONS(2664),
    [anon_sym_L_SQUOTE] = ACTIONS(2664),
    [anon_sym_u_SQUOTE] = ACTIONS(2664),
    [anon_sym_U_SQUOTE] = ACTIONS(2664),
    [anon_sym_u8_SQUOTE] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [anon_sym_AT] = ACTIONS(2662),
    [anon_sym_DQUOTE] = ACTIONS(2664),
    [anon_sym_L_DQUOTE] = ACTIONS(2664),
    [anon_sym_u_DQUOTE] = ACTIONS(2664),
    [anon_sym_U_DQUOTE] = ACTIONS(2664),
    [anon_sym_u8_DQUOTE] = ACTIONS(2664),
    [sym_true] = ACTIONS(2662),
    [sym_false] = ACTIONS(2662),
    [anon_sym_NULL] = ACTIONS(2662),
    [anon_sym_nullptr] = ACTIONS(2662),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2662),
    [anon_sym___typeof] = ACTIONS(2662),
    [anon_sym_typeof] = ACTIONS(2662),
    [anon_sym_ATimport] = ACTIONS(2664),
    [aux_sym_preproc_undef_token1] = ACTIONS(2662),
    [anon_sym_POUND] = ACTIONS(2662),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2662),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2662),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2662),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2662),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2662),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2662),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2662),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2662),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2662),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_API_AVAILABLE] = ACTIONS(2662),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_API_DEPRECATED] = ACTIONS(2662),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2662),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2662),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2662),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2662),
    [anon_sym___deprecated_msg] = ACTIONS(2662),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2662),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2662),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2662),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2662),
    [anon_sym_ATprotocol] = ACTIONS(2664),
    [anon_sym_ATinterface] = ACTIONS(2664),
    [anon_sym_ATimplementation] = ACTIONS(2664),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2664),
    [anon_sym_ATtry] = ACTIONS(2664),
    [anon_sym___try] = ACTIONS(2662),
    [anon_sym_ATthrow] = ACTIONS(2664),
    [anon_sym_ATselector] = ACTIONS(2664),
    [anon_sym_ATavailable] = ACTIONS(2664),
    [anon_sym___builtin_available] = ACTIONS(2662),
    [anon_sym_va_arg] = ACTIONS(2662),
    [anon_sym_ATencode] = ACTIONS(2664),
    [anon_sym_ATsynchronized] = ACTIONS(2664),
    [anon_sym_BOOL] = ACTIONS(2662),
    [anon_sym_IMP] = ACTIONS(2662),
    [anon_sym_SEL] = ACTIONS(2662),
    [anon_sym_Class] = ACTIONS(2662),
    [anon_sym_id] = ACTIONS(2662),
  },
  [899] = {
    [sym_identifier] = ACTIONS(2604),
    [aux_sym_preproc_include_token1] = ACTIONS(2604),
    [aux_sym_preproc_include_token2] = ACTIONS(2604),
    [aux_sym_preproc_def_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2604),
    [sym_preproc_directive] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2606),
    [anon_sym_BANG] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_DASH] = ACTIONS(2604),
    [anon_sym_PLUS] = ACTIONS(2604),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2606),
    [anon_sym_SEMI] = ACTIONS(2606),
    [anon_sym___extension__] = ACTIONS(2604),
    [anon_sym_typedef] = ACTIONS(2604),
    [anon_sym_extern] = ACTIONS(2604),
    [anon_sym___attribute__] = ACTIONS(2604),
    [anon_sym___attribute] = ACTIONS(2604),
    [anon_sym_noreturn] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2606),
    [anon_sym___declspec] = ACTIONS(2604),
    [anon_sym___cdecl] = ACTIONS(2604),
    [anon_sym___clrcall] = ACTIONS(2604),
    [anon_sym___stdcall] = ACTIONS(2604),
    [anon_sym___fastcall] = ACTIONS(2604),
    [anon_sym___thiscall] = ACTIONS(2604),
    [anon_sym___vectorcall] = ACTIONS(2604),
    [anon_sym_LBRACE] = ACTIONS(2606),
    [anon_sym_RBRACE] = ACTIONS(2606),
    [anon_sym_signed] = ACTIONS(2604),
    [anon_sym_unsigned] = ACTIONS(2604),
    [anon_sym_long] = ACTIONS(2604),
    [anon_sym_short] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_ATautoreleasepool] = ACTIONS(2606),
    [anon_sym_auto] = ACTIONS(2604),
    [anon_sym_register] = ACTIONS(2604),
    [anon_sym_inline] = ACTIONS(2604),
    [anon_sym___inline] = ACTIONS(2604),
    [anon_sym___inline__] = ACTIONS(2604),
    [anon_sym___forceinline] = ACTIONS(2604),
    [anon_sym_thread_local] = ACTIONS(2604),
    [anon_sym___thread] = ACTIONS(2604),
    [anon_sym_CG_EXTERN] = ACTIONS(2604),
    [anon_sym_CG_INLINE] = ACTIONS(2604),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2604),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2604),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2604),
    [anon_sym_IBOutlet] = ACTIONS(2604),
    [anon_sym_IBInspectable] = ACTIONS(2604),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2604),
    [anon_sym_NS_INLINE] = ACTIONS(2604),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2604),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2604),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2604),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_constexpr] = ACTIONS(2604),
    [anon_sym_volatile] = ACTIONS(2604),
    [anon_sym_restrict] = ACTIONS(2604),
    [anon_sym___restrict__] = ACTIONS(2604),
    [anon_sym__Atomic] = ACTIONS(2604),
    [anon_sym__Noreturn] = ACTIONS(2604),
    [anon_sym__Nonnull] = ACTIONS(2604),
    [anon_sym_nullable] = ACTIONS(2604),
    [anon_sym__Complex] = ACTIONS(2604),
    [anon_sym__Nullable] = ACTIONS(2604),
    [anon_sym__Nullable_result] = ACTIONS(2604),
    [anon_sym__Null_unspecified] = ACTIONS(2604),
    [anon_sym___autoreleasing] = ACTIONS(2604),
    [anon_sym___block] = ACTIONS(2604),
    [anon_sym___bridge] = ACTIONS(2604),
    [anon_sym___bridge_retained] = ACTIONS(2604),
    [anon_sym___bridge_transfer] = ACTIONS(2604),
    [anon_sym___complex] = ACTIONS(2604),
    [anon_sym___const] = ACTIONS(2604),
    [anon_sym___imag] = ACTIONS(2604),
    [anon_sym___kindof] = ACTIONS(2604),
    [anon_sym___nonnull] = ACTIONS(2604),
    [anon_sym___nullable] = ACTIONS(2604),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2604),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2604),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2604),
    [anon_sym___real] = ACTIONS(2604),
    [anon_sym___strong] = ACTIONS(2604),
    [anon_sym___unsafe_unretained] = ACTIONS(2604),
    [anon_sym___unused] = ACTIONS(2604),
    [anon_sym___weak] = ACTIONS(2604),
    [anon_sym_alignas] = ACTIONS(2604),
    [anon_sym__Alignas] = ACTIONS(2604),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2604),
    [anon_sym_union] = ACTIONS(2604),
    [anon_sym_if] = ACTIONS(2604),
    [anon_sym_switch] = ACTIONS(2604),
    [anon_sym_case] = ACTIONS(2604),
    [anon_sym_default] = ACTIONS(2604),
    [anon_sym_while] = ACTIONS(2604),
    [anon_sym_do] = ACTIONS(2604),
    [anon_sym_for] = ACTIONS(2604),
    [anon_sym_in] = ACTIONS(2604),
    [anon_sym_return] = ACTIONS(2604),
    [anon_sym_break] = ACTIONS(2604),
    [anon_sym_continue] = ACTIONS(2604),
    [anon_sym_goto] = ACTIONS(2604),
    [anon_sym_DASH_DASH] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2606),
    [anon_sym_sizeof] = ACTIONS(2604),
    [anon_sym___alignof__] = ACTIONS(2604),
    [anon_sym___alignof] = ACTIONS(2604),
    [anon_sym__alignof] = ACTIONS(2604),
    [anon_sym_alignof] = ACTIONS(2604),
    [anon_sym__Alignof] = ACTIONS(2604),
    [anon_sym_offsetof] = ACTIONS(2604),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2604),
    [anon_sym___asm__] = ACTIONS(2604),
    [anon_sym___asm] = ACTIONS(2604),
    [sym_number_literal] = ACTIONS(2606),
    [anon_sym_L_SQUOTE] = ACTIONS(2606),
    [anon_sym_u_SQUOTE] = ACTIONS(2606),
    [anon_sym_U_SQUOTE] = ACTIONS(2606),
    [anon_sym_u8_SQUOTE] = ACTIONS(2606),
    [anon_sym_SQUOTE] = ACTIONS(2606),
    [anon_sym_AT] = ACTIONS(2604),
    [anon_sym_DQUOTE] = ACTIONS(2606),
    [anon_sym_L_DQUOTE] = ACTIONS(2606),
    [anon_sym_u_DQUOTE] = ACTIONS(2606),
    [anon_sym_U_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8_DQUOTE] = ACTIONS(2606),
    [sym_true] = ACTIONS(2604),
    [sym_false] = ACTIONS(2604),
    [anon_sym_NULL] = ACTIONS(2604),
    [anon_sym_nullptr] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2604),
    [anon_sym___typeof] = ACTIONS(2604),
    [anon_sym_typeof] = ACTIONS(2604),
    [anon_sym_ATimport] = ACTIONS(2606),
    [aux_sym_preproc_undef_token1] = ACTIONS(2604),
    [anon_sym_POUND] = ACTIONS(2604),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2604),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2604),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2604),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2604),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2604),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2604),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2604),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2604),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2604),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2604),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2604),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2604),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2604),
    [anon_sym_API_AVAILABLE] = ACTIONS(2604),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2604),
    [anon_sym_API_DEPRECATED] = ACTIONS(2604),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2604),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2604),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2604),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2604),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2604),
    [anon_sym___deprecated_msg] = ACTIONS(2604),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2604),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2604),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2604),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2604),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2604),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2604),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2604),
    [anon_sym_ATprotocol] = ACTIONS(2606),
    [anon_sym_ATinterface] = ACTIONS(2606),
    [anon_sym_ATimplementation] = ACTIONS(2606),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2606),
    [anon_sym_ATtry] = ACTIONS(2606),
    [anon_sym___try] = ACTIONS(2604),
    [anon_sym_ATthrow] = ACTIONS(2606),
    [anon_sym_ATselector] = ACTIONS(2606),
    [anon_sym_ATavailable] = ACTIONS(2606),
    [anon_sym___builtin_available] = ACTIONS(2604),
    [anon_sym_va_arg] = ACTIONS(2604),
    [anon_sym_ATencode] = ACTIONS(2606),
    [anon_sym_ATsynchronized] = ACTIONS(2606),
    [anon_sym_BOOL] = ACTIONS(2604),
    [anon_sym_IMP] = ACTIONS(2604),
    [anon_sym_SEL] = ACTIONS(2604),
    [anon_sym_Class] = ACTIONS(2604),
    [anon_sym_id] = ACTIONS(2604),
  },
  [900] = {
    [sym_identifier] = ACTIONS(2642),
    [aux_sym_preproc_include_token1] = ACTIONS(2642),
    [aux_sym_preproc_include_token2] = ACTIONS(2642),
    [aux_sym_preproc_def_token1] = ACTIONS(2642),
    [aux_sym_preproc_if_token1] = ACTIONS(2642),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2642),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2642),
    [sym_preproc_directive] = ACTIONS(2642),
    [anon_sym_LPAREN2] = ACTIONS(2644),
    [anon_sym_BANG] = ACTIONS(2644),
    [anon_sym_TILDE] = ACTIONS(2644),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2644),
    [anon_sym_CARET] = ACTIONS(2644),
    [anon_sym_AMP] = ACTIONS(2644),
    [anon_sym_SEMI] = ACTIONS(2644),
    [anon_sym___extension__] = ACTIONS(2642),
    [anon_sym_typedef] = ACTIONS(2642),
    [anon_sym_extern] = ACTIONS(2642),
    [anon_sym___attribute__] = ACTIONS(2642),
    [anon_sym___attribute] = ACTIONS(2642),
    [anon_sym_noreturn] = ACTIONS(2642),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym___declspec] = ACTIONS(2642),
    [anon_sym___cdecl] = ACTIONS(2642),
    [anon_sym___clrcall] = ACTIONS(2642),
    [anon_sym___stdcall] = ACTIONS(2642),
    [anon_sym___fastcall] = ACTIONS(2642),
    [anon_sym___thiscall] = ACTIONS(2642),
    [anon_sym___vectorcall] = ACTIONS(2642),
    [anon_sym_LBRACE] = ACTIONS(2644),
    [anon_sym_RBRACE] = ACTIONS(2644),
    [anon_sym_signed] = ACTIONS(2642),
    [anon_sym_unsigned] = ACTIONS(2642),
    [anon_sym_long] = ACTIONS(2642),
    [anon_sym_short] = ACTIONS(2642),
    [anon_sym_static] = ACTIONS(2642),
    [anon_sym_ATautoreleasepool] = ACTIONS(2644),
    [anon_sym_auto] = ACTIONS(2642),
    [anon_sym_register] = ACTIONS(2642),
    [anon_sym_inline] = ACTIONS(2642),
    [anon_sym___inline] = ACTIONS(2642),
    [anon_sym___inline__] = ACTIONS(2642),
    [anon_sym___forceinline] = ACTIONS(2642),
    [anon_sym_thread_local] = ACTIONS(2642),
    [anon_sym___thread] = ACTIONS(2642),
    [anon_sym_CG_EXTERN] = ACTIONS(2642),
    [anon_sym_CG_INLINE] = ACTIONS(2642),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2642),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2642),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2642),
    [anon_sym_IBOutlet] = ACTIONS(2642),
    [anon_sym_IBInspectable] = ACTIONS(2642),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2642),
    [anon_sym_NS_INLINE] = ACTIONS(2642),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2642),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2642),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2642),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2642),
    [anon_sym_const] = ACTIONS(2642),
    [anon_sym_constexpr] = ACTIONS(2642),
    [anon_sym_volatile] = ACTIONS(2642),
    [anon_sym_restrict] = ACTIONS(2642),
    [anon_sym___restrict__] = ACTIONS(2642),
    [anon_sym__Atomic] = ACTIONS(2642),
    [anon_sym__Noreturn] = ACTIONS(2642),
    [anon_sym__Nonnull] = ACTIONS(2642),
    [anon_sym_nullable] = ACTIONS(2642),
    [anon_sym__Complex] = ACTIONS(2642),
    [anon_sym__Nullable] = ACTIONS(2642),
    [anon_sym__Nullable_result] = ACTIONS(2642),
    [anon_sym__Null_unspecified] = ACTIONS(2642),
    [anon_sym___autoreleasing] = ACTIONS(2642),
    [anon_sym___block] = ACTIONS(2642),
    [anon_sym___bridge] = ACTIONS(2642),
    [anon_sym___bridge_retained] = ACTIONS(2642),
    [anon_sym___bridge_transfer] = ACTIONS(2642),
    [anon_sym___complex] = ACTIONS(2642),
    [anon_sym___const] = ACTIONS(2642),
    [anon_sym___imag] = ACTIONS(2642),
    [anon_sym___kindof] = ACTIONS(2642),
    [anon_sym___nonnull] = ACTIONS(2642),
    [anon_sym___nullable] = ACTIONS(2642),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2642),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2642),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2642),
    [anon_sym___real] = ACTIONS(2642),
    [anon_sym___strong] = ACTIONS(2642),
    [anon_sym___unsafe_unretained] = ACTIONS(2642),
    [anon_sym___unused] = ACTIONS(2642),
    [anon_sym___weak] = ACTIONS(2642),
    [anon_sym_alignas] = ACTIONS(2642),
    [anon_sym__Alignas] = ACTIONS(2642),
    [sym_primitive_type] = ACTIONS(2642),
    [anon_sym_enum] = ACTIONS(2642),
    [anon_sym_struct] = ACTIONS(2642),
    [anon_sym_union] = ACTIONS(2642),
    [anon_sym_if] = ACTIONS(2642),
    [anon_sym_switch] = ACTIONS(2642),
    [anon_sym_case] = ACTIONS(2642),
    [anon_sym_default] = ACTIONS(2642),
    [anon_sym_while] = ACTIONS(2642),
    [anon_sym_do] = ACTIONS(2642),
    [anon_sym_for] = ACTIONS(2642),
    [anon_sym_in] = ACTIONS(2642),
    [anon_sym_return] = ACTIONS(2642),
    [anon_sym_break] = ACTIONS(2642),
    [anon_sym_continue] = ACTIONS(2642),
    [anon_sym_goto] = ACTIONS(2642),
    [anon_sym_DASH_DASH] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2644),
    [anon_sym_sizeof] = ACTIONS(2642),
    [anon_sym___alignof__] = ACTIONS(2642),
    [anon_sym___alignof] = ACTIONS(2642),
    [anon_sym__alignof] = ACTIONS(2642),
    [anon_sym_alignof] = ACTIONS(2642),
    [anon_sym__Alignof] = ACTIONS(2642),
    [anon_sym_offsetof] = ACTIONS(2642),
    [anon_sym__Generic] = ACTIONS(2642),
    [anon_sym_asm] = ACTIONS(2642),
    [anon_sym___asm__] = ACTIONS(2642),
    [anon_sym___asm] = ACTIONS(2642),
    [sym_number_literal] = ACTIONS(2644),
    [anon_sym_L_SQUOTE] = ACTIONS(2644),
    [anon_sym_u_SQUOTE] = ACTIONS(2644),
    [anon_sym_U_SQUOTE] = ACTIONS(2644),
    [anon_sym_u8_SQUOTE] = ACTIONS(2644),
    [anon_sym_SQUOTE] = ACTIONS(2644),
    [anon_sym_AT] = ACTIONS(2642),
    [anon_sym_DQUOTE] = ACTIONS(2644),
    [anon_sym_L_DQUOTE] = ACTIONS(2644),
    [anon_sym_u_DQUOTE] = ACTIONS(2644),
    [anon_sym_U_DQUOTE] = ACTIONS(2644),
    [anon_sym_u8_DQUOTE] = ACTIONS(2644),
    [sym_true] = ACTIONS(2642),
    [sym_false] = ACTIONS(2642),
    [anon_sym_NULL] = ACTIONS(2642),
    [anon_sym_nullptr] = ACTIONS(2642),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2642),
    [anon_sym___typeof] = ACTIONS(2642),
    [anon_sym_typeof] = ACTIONS(2642),
    [anon_sym_ATimport] = ACTIONS(2644),
    [aux_sym_preproc_undef_token1] = ACTIONS(2642),
    [anon_sym_POUND] = ACTIONS(2642),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2642),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2642),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2642),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2642),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2642),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2642),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2642),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2642),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2642),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2642),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2642),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2642),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2642),
    [anon_sym_API_AVAILABLE] = ACTIONS(2642),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2642),
    [anon_sym_API_DEPRECATED] = ACTIONS(2642),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2642),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2642),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2642),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2642),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2642),
    [anon_sym___deprecated_msg] = ACTIONS(2642),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2642),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2642),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2642),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2642),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2642),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2642),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2642),
    [anon_sym_ATprotocol] = ACTIONS(2644),
    [anon_sym_ATinterface] = ACTIONS(2644),
    [anon_sym_ATimplementation] = ACTIONS(2644),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2644),
    [anon_sym_ATtry] = ACTIONS(2644),
    [anon_sym___try] = ACTIONS(2642),
    [anon_sym_ATthrow] = ACTIONS(2644),
    [anon_sym_ATselector] = ACTIONS(2644),
    [anon_sym_ATavailable] = ACTIONS(2644),
    [anon_sym___builtin_available] = ACTIONS(2642),
    [anon_sym_va_arg] = ACTIONS(2642),
    [anon_sym_ATencode] = ACTIONS(2644),
    [anon_sym_ATsynchronized] = ACTIONS(2644),
    [anon_sym_BOOL] = ACTIONS(2642),
    [anon_sym_IMP] = ACTIONS(2642),
    [anon_sym_SEL] = ACTIONS(2642),
    [anon_sym_Class] = ACTIONS(2642),
    [anon_sym_id] = ACTIONS(2642),
  },
  [901] = {
    [sym_identifier] = ACTIONS(2694),
    [aux_sym_preproc_include_token1] = ACTIONS(2694),
    [aux_sym_preproc_include_token2] = ACTIONS(2694),
    [aux_sym_preproc_def_token1] = ACTIONS(2694),
    [aux_sym_preproc_if_token1] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2694),
    [sym_preproc_directive] = ACTIONS(2694),
    [anon_sym_LPAREN2] = ACTIONS(2696),
    [anon_sym_BANG] = ACTIONS(2696),
    [anon_sym_TILDE] = ACTIONS(2696),
    [anon_sym_DASH] = ACTIONS(2694),
    [anon_sym_PLUS] = ACTIONS(2694),
    [anon_sym_STAR] = ACTIONS(2696),
    [anon_sym_CARET] = ACTIONS(2696),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2696),
    [anon_sym___extension__] = ACTIONS(2694),
    [anon_sym_typedef] = ACTIONS(2694),
    [anon_sym_extern] = ACTIONS(2694),
    [anon_sym___attribute__] = ACTIONS(2694),
    [anon_sym___attribute] = ACTIONS(2694),
    [anon_sym_noreturn] = ACTIONS(2694),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym___declspec] = ACTIONS(2694),
    [anon_sym___cdecl] = ACTIONS(2694),
    [anon_sym___clrcall] = ACTIONS(2694),
    [anon_sym___stdcall] = ACTIONS(2694),
    [anon_sym___fastcall] = ACTIONS(2694),
    [anon_sym___thiscall] = ACTIONS(2694),
    [anon_sym___vectorcall] = ACTIONS(2694),
    [anon_sym_LBRACE] = ACTIONS(2696),
    [anon_sym_RBRACE] = ACTIONS(2696),
    [anon_sym_signed] = ACTIONS(2694),
    [anon_sym_unsigned] = ACTIONS(2694),
    [anon_sym_long] = ACTIONS(2694),
    [anon_sym_short] = ACTIONS(2694),
    [anon_sym_static] = ACTIONS(2694),
    [anon_sym_ATautoreleasepool] = ACTIONS(2696),
    [anon_sym_auto] = ACTIONS(2694),
    [anon_sym_register] = ACTIONS(2694),
    [anon_sym_inline] = ACTIONS(2694),
    [anon_sym___inline] = ACTIONS(2694),
    [anon_sym___inline__] = ACTIONS(2694),
    [anon_sym___forceinline] = ACTIONS(2694),
    [anon_sym_thread_local] = ACTIONS(2694),
    [anon_sym___thread] = ACTIONS(2694),
    [anon_sym_CG_EXTERN] = ACTIONS(2694),
    [anon_sym_CG_INLINE] = ACTIONS(2694),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2694),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2694),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2694),
    [anon_sym_IBOutlet] = ACTIONS(2694),
    [anon_sym_IBInspectable] = ACTIONS(2694),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2694),
    [anon_sym_NS_INLINE] = ACTIONS(2694),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2694),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2694),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2694),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2694),
    [anon_sym_const] = ACTIONS(2694),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(2694),
    [anon_sym_restrict] = ACTIONS(2694),
    [anon_sym___restrict__] = ACTIONS(2694),
    [anon_sym__Atomic] = ACTIONS(2694),
    [anon_sym__Noreturn] = ACTIONS(2694),
    [anon_sym__Nonnull] = ACTIONS(2694),
    [anon_sym_nullable] = ACTIONS(2694),
    [anon_sym__Complex] = ACTIONS(2694),
    [anon_sym__Nullable] = ACTIONS(2694),
    [anon_sym__Nullable_result] = ACTIONS(2694),
    [anon_sym__Null_unspecified] = ACTIONS(2694),
    [anon_sym___autoreleasing] = ACTIONS(2694),
    [anon_sym___block] = ACTIONS(2694),
    [anon_sym___bridge] = ACTIONS(2694),
    [anon_sym___bridge_retained] = ACTIONS(2694),
    [anon_sym___bridge_transfer] = ACTIONS(2694),
    [anon_sym___complex] = ACTIONS(2694),
    [anon_sym___const] = ACTIONS(2694),
    [anon_sym___imag] = ACTIONS(2694),
    [anon_sym___kindof] = ACTIONS(2694),
    [anon_sym___nonnull] = ACTIONS(2694),
    [anon_sym___nullable] = ACTIONS(2694),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2694),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2694),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2694),
    [anon_sym___real] = ACTIONS(2694),
    [anon_sym___strong] = ACTIONS(2694),
    [anon_sym___unsafe_unretained] = ACTIONS(2694),
    [anon_sym___unused] = ACTIONS(2694),
    [anon_sym___weak] = ACTIONS(2694),
    [anon_sym_alignas] = ACTIONS(2694),
    [anon_sym__Alignas] = ACTIONS(2694),
    [sym_primitive_type] = ACTIONS(2694),
    [anon_sym_enum] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2694),
    [anon_sym_union] = ACTIONS(2694),
    [anon_sym_if] = ACTIONS(2694),
    [anon_sym_switch] = ACTIONS(2694),
    [anon_sym_case] = ACTIONS(2694),
    [anon_sym_default] = ACTIONS(2694),
    [anon_sym_while] = ACTIONS(2694),
    [anon_sym_do] = ACTIONS(2694),
    [anon_sym_for] = ACTIONS(2694),
    [anon_sym_in] = ACTIONS(2694),
    [anon_sym_return] = ACTIONS(2694),
    [anon_sym_break] = ACTIONS(2694),
    [anon_sym_continue] = ACTIONS(2694),
    [anon_sym_goto] = ACTIONS(2694),
    [anon_sym_DASH_DASH] = ACTIONS(2696),
    [anon_sym_PLUS_PLUS] = ACTIONS(2696),
    [anon_sym_sizeof] = ACTIONS(2694),
    [anon_sym___alignof__] = ACTIONS(2694),
    [anon_sym___alignof] = ACTIONS(2694),
    [anon_sym__alignof] = ACTIONS(2694),
    [anon_sym_alignof] = ACTIONS(2694),
    [anon_sym__Alignof] = ACTIONS(2694),
    [anon_sym_offsetof] = ACTIONS(2694),
    [anon_sym__Generic] = ACTIONS(2694),
    [anon_sym_asm] = ACTIONS(2694),
    [anon_sym___asm__] = ACTIONS(2694),
    [anon_sym___asm] = ACTIONS(2694),
    [sym_number_literal] = ACTIONS(2696),
    [anon_sym_L_SQUOTE] = ACTIONS(2696),
    [anon_sym_u_SQUOTE] = ACTIONS(2696),
    [anon_sym_U_SQUOTE] = ACTIONS(2696),
    [anon_sym_u8_SQUOTE] = ACTIONS(2696),
    [anon_sym_SQUOTE] = ACTIONS(2696),
    [anon_sym_AT] = ACTIONS(2694),
    [anon_sym_DQUOTE] = ACTIONS(2696),
    [anon_sym_L_DQUOTE] = ACTIONS(2696),
    [anon_sym_u_DQUOTE] = ACTIONS(2696),
    [anon_sym_U_DQUOTE] = ACTIONS(2696),
    [anon_sym_u8_DQUOTE] = ACTIONS(2696),
    [sym_true] = ACTIONS(2694),
    [sym_false] = ACTIONS(2694),
    [anon_sym_NULL] = ACTIONS(2694),
    [anon_sym_nullptr] = ACTIONS(2694),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2694),
    [anon_sym___typeof] = ACTIONS(2694),
    [anon_sym_typeof] = ACTIONS(2694),
    [anon_sym_ATimport] = ACTIONS(2696),
    [aux_sym_preproc_undef_token1] = ACTIONS(2694),
    [anon_sym_POUND] = ACTIONS(2694),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2694),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2694),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2694),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2694),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2694),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2694),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2694),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2694),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2694),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2694),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2694),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2694),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2694),
    [anon_sym_API_AVAILABLE] = ACTIONS(2694),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2694),
    [anon_sym_API_DEPRECATED] = ACTIONS(2694),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2694),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2694),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2694),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2694),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2694),
    [anon_sym___deprecated_msg] = ACTIONS(2694),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2694),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2694),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2694),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2694),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2694),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2694),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2694),
    [anon_sym_ATprotocol] = ACTIONS(2696),
    [anon_sym_ATinterface] = ACTIONS(2696),
    [anon_sym_ATimplementation] = ACTIONS(2696),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2696),
    [anon_sym_ATtry] = ACTIONS(2696),
    [anon_sym___try] = ACTIONS(2694),
    [anon_sym_ATthrow] = ACTIONS(2696),
    [anon_sym_ATselector] = ACTIONS(2696),
    [anon_sym_ATavailable] = ACTIONS(2696),
    [anon_sym___builtin_available] = ACTIONS(2694),
    [anon_sym_va_arg] = ACTIONS(2694),
    [anon_sym_ATencode] = ACTIONS(2696),
    [anon_sym_ATsynchronized] = ACTIONS(2696),
    [anon_sym_BOOL] = ACTIONS(2694),
    [anon_sym_IMP] = ACTIONS(2694),
    [anon_sym_SEL] = ACTIONS(2694),
    [anon_sym_Class] = ACTIONS(2694),
    [anon_sym_id] = ACTIONS(2694),
  },
  [902] = {
    [sym_identifier] = ACTIONS(2698),
    [aux_sym_preproc_include_token1] = ACTIONS(2698),
    [aux_sym_preproc_include_token2] = ACTIONS(2698),
    [aux_sym_preproc_def_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2698),
    [sym_preproc_directive] = ACTIONS(2698),
    [anon_sym_LPAREN2] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2698),
    [anon_sym_PLUS] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_CARET] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2700),
    [anon_sym___extension__] = ACTIONS(2698),
    [anon_sym_typedef] = ACTIONS(2698),
    [anon_sym_extern] = ACTIONS(2698),
    [anon_sym___attribute__] = ACTIONS(2698),
    [anon_sym___attribute] = ACTIONS(2698),
    [anon_sym_noreturn] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym___declspec] = ACTIONS(2698),
    [anon_sym___cdecl] = ACTIONS(2698),
    [anon_sym___clrcall] = ACTIONS(2698),
    [anon_sym___stdcall] = ACTIONS(2698),
    [anon_sym___fastcall] = ACTIONS(2698),
    [anon_sym___thiscall] = ACTIONS(2698),
    [anon_sym___vectorcall] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_RBRACE] = ACTIONS(2700),
    [anon_sym_signed] = ACTIONS(2698),
    [anon_sym_unsigned] = ACTIONS(2698),
    [anon_sym_long] = ACTIONS(2698),
    [anon_sym_short] = ACTIONS(2698),
    [anon_sym_static] = ACTIONS(2698),
    [anon_sym_ATautoreleasepool] = ACTIONS(2700),
    [anon_sym_auto] = ACTIONS(2698),
    [anon_sym_register] = ACTIONS(2698),
    [anon_sym_inline] = ACTIONS(2698),
    [anon_sym___inline] = ACTIONS(2698),
    [anon_sym___inline__] = ACTIONS(2698),
    [anon_sym___forceinline] = ACTIONS(2698),
    [anon_sym_thread_local] = ACTIONS(2698),
    [anon_sym___thread] = ACTIONS(2698),
    [anon_sym_CG_EXTERN] = ACTIONS(2698),
    [anon_sym_CG_INLINE] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2698),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2698),
    [anon_sym_IBOutlet] = ACTIONS(2698),
    [anon_sym_IBInspectable] = ACTIONS(2698),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2698),
    [anon_sym_NS_INLINE] = ACTIONS(2698),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2698),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2698),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2698),
    [anon_sym_const] = ACTIONS(2698),
    [anon_sym_constexpr] = ACTIONS(2698),
    [anon_sym_volatile] = ACTIONS(2698),
    [anon_sym_restrict] = ACTIONS(2698),
    [anon_sym___restrict__] = ACTIONS(2698),
    [anon_sym__Atomic] = ACTIONS(2698),
    [anon_sym__Noreturn] = ACTIONS(2698),
    [anon_sym__Nonnull] = ACTIONS(2698),
    [anon_sym_nullable] = ACTIONS(2698),
    [anon_sym__Complex] = ACTIONS(2698),
    [anon_sym__Nullable] = ACTIONS(2698),
    [anon_sym__Nullable_result] = ACTIONS(2698),
    [anon_sym__Null_unspecified] = ACTIONS(2698),
    [anon_sym___autoreleasing] = ACTIONS(2698),
    [anon_sym___block] = ACTIONS(2698),
    [anon_sym___bridge] = ACTIONS(2698),
    [anon_sym___bridge_retained] = ACTIONS(2698),
    [anon_sym___bridge_transfer] = ACTIONS(2698),
    [anon_sym___complex] = ACTIONS(2698),
    [anon_sym___const] = ACTIONS(2698),
    [anon_sym___imag] = ACTIONS(2698),
    [anon_sym___kindof] = ACTIONS(2698),
    [anon_sym___nonnull] = ACTIONS(2698),
    [anon_sym___nullable] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2698),
    [anon_sym___real] = ACTIONS(2698),
    [anon_sym___strong] = ACTIONS(2698),
    [anon_sym___unsafe_unretained] = ACTIONS(2698),
    [anon_sym___unused] = ACTIONS(2698),
    [anon_sym___weak] = ACTIONS(2698),
    [anon_sym_alignas] = ACTIONS(2698),
    [anon_sym__Alignas] = ACTIONS(2698),
    [sym_primitive_type] = ACTIONS(2698),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_struct] = ACTIONS(2698),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_if] = ACTIONS(2698),
    [anon_sym_switch] = ACTIONS(2698),
    [anon_sym_case] = ACTIONS(2698),
    [anon_sym_default] = ACTIONS(2698),
    [anon_sym_while] = ACTIONS(2698),
    [anon_sym_do] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2698),
    [anon_sym_in] = ACTIONS(2698),
    [anon_sym_return] = ACTIONS(2698),
    [anon_sym_break] = ACTIONS(2698),
    [anon_sym_continue] = ACTIONS(2698),
    [anon_sym_goto] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2698),
    [anon_sym___alignof__] = ACTIONS(2698),
    [anon_sym___alignof] = ACTIONS(2698),
    [anon_sym__alignof] = ACTIONS(2698),
    [anon_sym_alignof] = ACTIONS(2698),
    [anon_sym__Alignof] = ACTIONS(2698),
    [anon_sym_offsetof] = ACTIONS(2698),
    [anon_sym__Generic] = ACTIONS(2698),
    [anon_sym_asm] = ACTIONS(2698),
    [anon_sym___asm__] = ACTIONS(2698),
    [anon_sym___asm] = ACTIONS(2698),
    [sym_number_literal] = ACTIONS(2700),
    [anon_sym_L_SQUOTE] = ACTIONS(2700),
    [anon_sym_u_SQUOTE] = ACTIONS(2700),
    [anon_sym_U_SQUOTE] = ACTIONS(2700),
    [anon_sym_u8_SQUOTE] = ACTIONS(2700),
    [anon_sym_SQUOTE] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_L_DQUOTE] = ACTIONS(2700),
    [anon_sym_u_DQUOTE] = ACTIONS(2700),
    [anon_sym_U_DQUOTE] = ACTIONS(2700),
    [anon_sym_u8_DQUOTE] = ACTIONS(2700),
    [sym_true] = ACTIONS(2698),
    [sym_false] = ACTIONS(2698),
    [anon_sym_NULL] = ACTIONS(2698),
    [anon_sym_nullptr] = ACTIONS(2698),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2698),
    [anon_sym___typeof] = ACTIONS(2698),
    [anon_sym_typeof] = ACTIONS(2698),
    [anon_sym_ATimport] = ACTIONS(2700),
    [aux_sym_preproc_undef_token1] = ACTIONS(2698),
    [anon_sym_POUND] = ACTIONS(2698),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2698),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2698),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2698),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_API_AVAILABLE] = ACTIONS(2698),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_API_DEPRECATED] = ACTIONS(2698),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym___deprecated_msg] = ACTIONS(2698),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2698),
    [anon_sym_ATprotocol] = ACTIONS(2700),
    [anon_sym_ATinterface] = ACTIONS(2700),
    [anon_sym_ATimplementation] = ACTIONS(2700),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2700),
    [anon_sym_ATtry] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2698),
    [anon_sym_ATthrow] = ACTIONS(2700),
    [anon_sym_ATselector] = ACTIONS(2700),
    [anon_sym_ATavailable] = ACTIONS(2700),
    [anon_sym___builtin_available] = ACTIONS(2698),
    [anon_sym_va_arg] = ACTIONS(2698),
    [anon_sym_ATencode] = ACTIONS(2700),
    [anon_sym_ATsynchronized] = ACTIONS(2700),
    [anon_sym_BOOL] = ACTIONS(2698),
    [anon_sym_IMP] = ACTIONS(2698),
    [anon_sym_SEL] = ACTIONS(2698),
    [anon_sym_Class] = ACTIONS(2698),
    [anon_sym_id] = ACTIONS(2698),
  },
  [903] = {
    [sym_identifier] = ACTIONS(2698),
    [aux_sym_preproc_include_token1] = ACTIONS(2698),
    [aux_sym_preproc_include_token2] = ACTIONS(2698),
    [aux_sym_preproc_def_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2698),
    [sym_preproc_directive] = ACTIONS(2698),
    [anon_sym_LPAREN2] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2698),
    [anon_sym_PLUS] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_CARET] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2700),
    [anon_sym___extension__] = ACTIONS(2698),
    [anon_sym_typedef] = ACTIONS(2698),
    [anon_sym_extern] = ACTIONS(2698),
    [anon_sym___attribute__] = ACTIONS(2698),
    [anon_sym___attribute] = ACTIONS(2698),
    [anon_sym_noreturn] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym___declspec] = ACTIONS(2698),
    [anon_sym___cdecl] = ACTIONS(2698),
    [anon_sym___clrcall] = ACTIONS(2698),
    [anon_sym___stdcall] = ACTIONS(2698),
    [anon_sym___fastcall] = ACTIONS(2698),
    [anon_sym___thiscall] = ACTIONS(2698),
    [anon_sym___vectorcall] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_RBRACE] = ACTIONS(2700),
    [anon_sym_signed] = ACTIONS(2698),
    [anon_sym_unsigned] = ACTIONS(2698),
    [anon_sym_long] = ACTIONS(2698),
    [anon_sym_short] = ACTIONS(2698),
    [anon_sym_static] = ACTIONS(2698),
    [anon_sym_ATautoreleasepool] = ACTIONS(2700),
    [anon_sym_auto] = ACTIONS(2698),
    [anon_sym_register] = ACTIONS(2698),
    [anon_sym_inline] = ACTIONS(2698),
    [anon_sym___inline] = ACTIONS(2698),
    [anon_sym___inline__] = ACTIONS(2698),
    [anon_sym___forceinline] = ACTIONS(2698),
    [anon_sym_thread_local] = ACTIONS(2698),
    [anon_sym___thread] = ACTIONS(2698),
    [anon_sym_CG_EXTERN] = ACTIONS(2698),
    [anon_sym_CG_INLINE] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2698),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2698),
    [anon_sym_IBOutlet] = ACTIONS(2698),
    [anon_sym_IBInspectable] = ACTIONS(2698),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2698),
    [anon_sym_NS_INLINE] = ACTIONS(2698),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2698),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2698),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2698),
    [anon_sym_const] = ACTIONS(2698),
    [anon_sym_constexpr] = ACTIONS(2698),
    [anon_sym_volatile] = ACTIONS(2698),
    [anon_sym_restrict] = ACTIONS(2698),
    [anon_sym___restrict__] = ACTIONS(2698),
    [anon_sym__Atomic] = ACTIONS(2698),
    [anon_sym__Noreturn] = ACTIONS(2698),
    [anon_sym__Nonnull] = ACTIONS(2698),
    [anon_sym_nullable] = ACTIONS(2698),
    [anon_sym__Complex] = ACTIONS(2698),
    [anon_sym__Nullable] = ACTIONS(2698),
    [anon_sym__Nullable_result] = ACTIONS(2698),
    [anon_sym__Null_unspecified] = ACTIONS(2698),
    [anon_sym___autoreleasing] = ACTIONS(2698),
    [anon_sym___block] = ACTIONS(2698),
    [anon_sym___bridge] = ACTIONS(2698),
    [anon_sym___bridge_retained] = ACTIONS(2698),
    [anon_sym___bridge_transfer] = ACTIONS(2698),
    [anon_sym___complex] = ACTIONS(2698),
    [anon_sym___const] = ACTIONS(2698),
    [anon_sym___imag] = ACTIONS(2698),
    [anon_sym___kindof] = ACTIONS(2698),
    [anon_sym___nonnull] = ACTIONS(2698),
    [anon_sym___nullable] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2698),
    [anon_sym___real] = ACTIONS(2698),
    [anon_sym___strong] = ACTIONS(2698),
    [anon_sym___unsafe_unretained] = ACTIONS(2698),
    [anon_sym___unused] = ACTIONS(2698),
    [anon_sym___weak] = ACTIONS(2698),
    [anon_sym_alignas] = ACTIONS(2698),
    [anon_sym__Alignas] = ACTIONS(2698),
    [sym_primitive_type] = ACTIONS(2698),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_struct] = ACTIONS(2698),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_if] = ACTIONS(2698),
    [anon_sym_switch] = ACTIONS(2698),
    [anon_sym_case] = ACTIONS(2698),
    [anon_sym_default] = ACTIONS(2698),
    [anon_sym_while] = ACTIONS(2698),
    [anon_sym_do] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2698),
    [anon_sym_in] = ACTIONS(2698),
    [anon_sym_return] = ACTIONS(2698),
    [anon_sym_break] = ACTIONS(2698),
    [anon_sym_continue] = ACTIONS(2698),
    [anon_sym_goto] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2698),
    [anon_sym___alignof__] = ACTIONS(2698),
    [anon_sym___alignof] = ACTIONS(2698),
    [anon_sym__alignof] = ACTIONS(2698),
    [anon_sym_alignof] = ACTIONS(2698),
    [anon_sym__Alignof] = ACTIONS(2698),
    [anon_sym_offsetof] = ACTIONS(2698),
    [anon_sym__Generic] = ACTIONS(2698),
    [anon_sym_asm] = ACTIONS(2698),
    [anon_sym___asm__] = ACTIONS(2698),
    [anon_sym___asm] = ACTIONS(2698),
    [sym_number_literal] = ACTIONS(2700),
    [anon_sym_L_SQUOTE] = ACTIONS(2700),
    [anon_sym_u_SQUOTE] = ACTIONS(2700),
    [anon_sym_U_SQUOTE] = ACTIONS(2700),
    [anon_sym_u8_SQUOTE] = ACTIONS(2700),
    [anon_sym_SQUOTE] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_L_DQUOTE] = ACTIONS(2700),
    [anon_sym_u_DQUOTE] = ACTIONS(2700),
    [anon_sym_U_DQUOTE] = ACTIONS(2700),
    [anon_sym_u8_DQUOTE] = ACTIONS(2700),
    [sym_true] = ACTIONS(2698),
    [sym_false] = ACTIONS(2698),
    [anon_sym_NULL] = ACTIONS(2698),
    [anon_sym_nullptr] = ACTIONS(2698),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2698),
    [anon_sym___typeof] = ACTIONS(2698),
    [anon_sym_typeof] = ACTIONS(2698),
    [anon_sym_ATimport] = ACTIONS(2700),
    [aux_sym_preproc_undef_token1] = ACTIONS(2698),
    [anon_sym_POUND] = ACTIONS(2698),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2698),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2698),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2698),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_API_AVAILABLE] = ACTIONS(2698),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_API_DEPRECATED] = ACTIONS(2698),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym___deprecated_msg] = ACTIONS(2698),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2698),
    [anon_sym_ATprotocol] = ACTIONS(2700),
    [anon_sym_ATinterface] = ACTIONS(2700),
    [anon_sym_ATimplementation] = ACTIONS(2700),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2700),
    [anon_sym_ATtry] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2698),
    [anon_sym_ATthrow] = ACTIONS(2700),
    [anon_sym_ATselector] = ACTIONS(2700),
    [anon_sym_ATavailable] = ACTIONS(2700),
    [anon_sym___builtin_available] = ACTIONS(2698),
    [anon_sym_va_arg] = ACTIONS(2698),
    [anon_sym_ATencode] = ACTIONS(2700),
    [anon_sym_ATsynchronized] = ACTIONS(2700),
    [anon_sym_BOOL] = ACTIONS(2698),
    [anon_sym_IMP] = ACTIONS(2698),
    [anon_sym_SEL] = ACTIONS(2698),
    [anon_sym_Class] = ACTIONS(2698),
    [anon_sym_id] = ACTIONS(2698),
  },
  [904] = {
    [sym_identifier] = ACTIONS(2698),
    [aux_sym_preproc_include_token1] = ACTIONS(2698),
    [aux_sym_preproc_include_token2] = ACTIONS(2698),
    [aux_sym_preproc_def_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2698),
    [sym_preproc_directive] = ACTIONS(2698),
    [anon_sym_LPAREN2] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2698),
    [anon_sym_PLUS] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_CARET] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2700),
    [anon_sym___extension__] = ACTIONS(2698),
    [anon_sym_typedef] = ACTIONS(2698),
    [anon_sym_extern] = ACTIONS(2698),
    [anon_sym___attribute__] = ACTIONS(2698),
    [anon_sym___attribute] = ACTIONS(2698),
    [anon_sym_noreturn] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym___declspec] = ACTIONS(2698),
    [anon_sym___cdecl] = ACTIONS(2698),
    [anon_sym___clrcall] = ACTIONS(2698),
    [anon_sym___stdcall] = ACTIONS(2698),
    [anon_sym___fastcall] = ACTIONS(2698),
    [anon_sym___thiscall] = ACTIONS(2698),
    [anon_sym___vectorcall] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_RBRACE] = ACTIONS(2700),
    [anon_sym_signed] = ACTIONS(2698),
    [anon_sym_unsigned] = ACTIONS(2698),
    [anon_sym_long] = ACTIONS(2698),
    [anon_sym_short] = ACTIONS(2698),
    [anon_sym_static] = ACTIONS(2698),
    [anon_sym_ATautoreleasepool] = ACTIONS(2700),
    [anon_sym_auto] = ACTIONS(2698),
    [anon_sym_register] = ACTIONS(2698),
    [anon_sym_inline] = ACTIONS(2698),
    [anon_sym___inline] = ACTIONS(2698),
    [anon_sym___inline__] = ACTIONS(2698),
    [anon_sym___forceinline] = ACTIONS(2698),
    [anon_sym_thread_local] = ACTIONS(2698),
    [anon_sym___thread] = ACTIONS(2698),
    [anon_sym_CG_EXTERN] = ACTIONS(2698),
    [anon_sym_CG_INLINE] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2698),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2698),
    [anon_sym_IBOutlet] = ACTIONS(2698),
    [anon_sym_IBInspectable] = ACTIONS(2698),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2698),
    [anon_sym_NS_INLINE] = ACTIONS(2698),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2698),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2698),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2698),
    [anon_sym_const] = ACTIONS(2698),
    [anon_sym_constexpr] = ACTIONS(2698),
    [anon_sym_volatile] = ACTIONS(2698),
    [anon_sym_restrict] = ACTIONS(2698),
    [anon_sym___restrict__] = ACTIONS(2698),
    [anon_sym__Atomic] = ACTIONS(2698),
    [anon_sym__Noreturn] = ACTIONS(2698),
    [anon_sym__Nonnull] = ACTIONS(2698),
    [anon_sym_nullable] = ACTIONS(2698),
    [anon_sym__Complex] = ACTIONS(2698),
    [anon_sym__Nullable] = ACTIONS(2698),
    [anon_sym__Nullable_result] = ACTIONS(2698),
    [anon_sym__Null_unspecified] = ACTIONS(2698),
    [anon_sym___autoreleasing] = ACTIONS(2698),
    [anon_sym___block] = ACTIONS(2698),
    [anon_sym___bridge] = ACTIONS(2698),
    [anon_sym___bridge_retained] = ACTIONS(2698),
    [anon_sym___bridge_transfer] = ACTIONS(2698),
    [anon_sym___complex] = ACTIONS(2698),
    [anon_sym___const] = ACTIONS(2698),
    [anon_sym___imag] = ACTIONS(2698),
    [anon_sym___kindof] = ACTIONS(2698),
    [anon_sym___nonnull] = ACTIONS(2698),
    [anon_sym___nullable] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2698),
    [anon_sym___real] = ACTIONS(2698),
    [anon_sym___strong] = ACTIONS(2698),
    [anon_sym___unsafe_unretained] = ACTIONS(2698),
    [anon_sym___unused] = ACTIONS(2698),
    [anon_sym___weak] = ACTIONS(2698),
    [anon_sym_alignas] = ACTIONS(2698),
    [anon_sym__Alignas] = ACTIONS(2698),
    [sym_primitive_type] = ACTIONS(2698),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_struct] = ACTIONS(2698),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_if] = ACTIONS(2698),
    [anon_sym_switch] = ACTIONS(2698),
    [anon_sym_case] = ACTIONS(2698),
    [anon_sym_default] = ACTIONS(2698),
    [anon_sym_while] = ACTIONS(2698),
    [anon_sym_do] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2698),
    [anon_sym_in] = ACTIONS(2698),
    [anon_sym_return] = ACTIONS(2698),
    [anon_sym_break] = ACTIONS(2698),
    [anon_sym_continue] = ACTIONS(2698),
    [anon_sym_goto] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2698),
    [anon_sym___alignof__] = ACTIONS(2698),
    [anon_sym___alignof] = ACTIONS(2698),
    [anon_sym__alignof] = ACTIONS(2698),
    [anon_sym_alignof] = ACTIONS(2698),
    [anon_sym__Alignof] = ACTIONS(2698),
    [anon_sym_offsetof] = ACTIONS(2698),
    [anon_sym__Generic] = ACTIONS(2698),
    [anon_sym_asm] = ACTIONS(2698),
    [anon_sym___asm__] = ACTIONS(2698),
    [anon_sym___asm] = ACTIONS(2698),
    [sym_number_literal] = ACTIONS(2700),
    [anon_sym_L_SQUOTE] = ACTIONS(2700),
    [anon_sym_u_SQUOTE] = ACTIONS(2700),
    [anon_sym_U_SQUOTE] = ACTIONS(2700),
    [anon_sym_u8_SQUOTE] = ACTIONS(2700),
    [anon_sym_SQUOTE] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_L_DQUOTE] = ACTIONS(2700),
    [anon_sym_u_DQUOTE] = ACTIONS(2700),
    [anon_sym_U_DQUOTE] = ACTIONS(2700),
    [anon_sym_u8_DQUOTE] = ACTIONS(2700),
    [sym_true] = ACTIONS(2698),
    [sym_false] = ACTIONS(2698),
    [anon_sym_NULL] = ACTIONS(2698),
    [anon_sym_nullptr] = ACTIONS(2698),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2698),
    [anon_sym___typeof] = ACTIONS(2698),
    [anon_sym_typeof] = ACTIONS(2698),
    [anon_sym_ATimport] = ACTIONS(2700),
    [aux_sym_preproc_undef_token1] = ACTIONS(2698),
    [anon_sym_POUND] = ACTIONS(2698),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2698),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2698),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2698),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_API_AVAILABLE] = ACTIONS(2698),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_API_DEPRECATED] = ACTIONS(2698),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym___deprecated_msg] = ACTIONS(2698),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2698),
    [anon_sym_ATprotocol] = ACTIONS(2700),
    [anon_sym_ATinterface] = ACTIONS(2700),
    [anon_sym_ATimplementation] = ACTIONS(2700),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2700),
    [anon_sym_ATtry] = ACTIONS(2700),
    [anon_sym___try] = ACTIONS(2698),
    [anon_sym_ATthrow] = ACTIONS(2700),
    [anon_sym_ATselector] = ACTIONS(2700),
    [anon_sym_ATavailable] = ACTIONS(2700),
    [anon_sym___builtin_available] = ACTIONS(2698),
    [anon_sym_va_arg] = ACTIONS(2698),
    [anon_sym_ATencode] = ACTIONS(2700),
    [anon_sym_ATsynchronized] = ACTIONS(2700),
    [anon_sym_BOOL] = ACTIONS(2698),
    [anon_sym_IMP] = ACTIONS(2698),
    [anon_sym_SEL] = ACTIONS(2698),
    [anon_sym_Class] = ACTIONS(2698),
    [anon_sym_id] = ACTIONS(2698),
  },
  [905] = {
    [sym_identifier] = ACTIONS(2706),
    [aux_sym_preproc_include_token1] = ACTIONS(2706),
    [aux_sym_preproc_include_token2] = ACTIONS(2706),
    [aux_sym_preproc_def_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2706),
    [sym_preproc_directive] = ACTIONS(2706),
    [anon_sym_LPAREN2] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2708),
    [anon_sym_CARET] = ACTIONS(2708),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_SEMI] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2706),
    [anon_sym_typedef] = ACTIONS(2706),
    [anon_sym_extern] = ACTIONS(2706),
    [anon_sym___attribute__] = ACTIONS(2706),
    [anon_sym___attribute] = ACTIONS(2706),
    [anon_sym_noreturn] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym___declspec] = ACTIONS(2706),
    [anon_sym___cdecl] = ACTIONS(2706),
    [anon_sym___clrcall] = ACTIONS(2706),
    [anon_sym___stdcall] = ACTIONS(2706),
    [anon_sym___fastcall] = ACTIONS(2706),
    [anon_sym___thiscall] = ACTIONS(2706),
    [anon_sym___vectorcall] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_RBRACE] = ACTIONS(2708),
    [anon_sym_signed] = ACTIONS(2706),
    [anon_sym_unsigned] = ACTIONS(2706),
    [anon_sym_long] = ACTIONS(2706),
    [anon_sym_short] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_ATautoreleasepool] = ACTIONS(2708),
    [anon_sym_auto] = ACTIONS(2706),
    [anon_sym_register] = ACTIONS(2706),
    [anon_sym_inline] = ACTIONS(2706),
    [anon_sym___inline] = ACTIONS(2706),
    [anon_sym___inline__] = ACTIONS(2706),
    [anon_sym___forceinline] = ACTIONS(2706),
    [anon_sym_thread_local] = ACTIONS(2706),
    [anon_sym___thread] = ACTIONS(2706),
    [anon_sym_CG_EXTERN] = ACTIONS(2706),
    [anon_sym_CG_INLINE] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2706),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2706),
    [anon_sym_IBOutlet] = ACTIONS(2706),
    [anon_sym_IBInspectable] = ACTIONS(2706),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2706),
    [anon_sym_NS_INLINE] = ACTIONS(2706),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2706),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2706),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_constexpr] = ACTIONS(2706),
    [anon_sym_volatile] = ACTIONS(2706),
    [anon_sym_restrict] = ACTIONS(2706),
    [anon_sym___restrict__] = ACTIONS(2706),
    [anon_sym__Atomic] = ACTIONS(2706),
    [anon_sym__Noreturn] = ACTIONS(2706),
    [anon_sym__Nonnull] = ACTIONS(2706),
    [anon_sym_nullable] = ACTIONS(2706),
    [anon_sym__Complex] = ACTIONS(2706),
    [anon_sym__Nullable] = ACTIONS(2706),
    [anon_sym__Nullable_result] = ACTIONS(2706),
    [anon_sym__Null_unspecified] = ACTIONS(2706),
    [anon_sym___autoreleasing] = ACTIONS(2706),
    [anon_sym___block] = ACTIONS(2706),
    [anon_sym___bridge] = ACTIONS(2706),
    [anon_sym___bridge_retained] = ACTIONS(2706),
    [anon_sym___bridge_transfer] = ACTIONS(2706),
    [anon_sym___complex] = ACTIONS(2706),
    [anon_sym___const] = ACTIONS(2706),
    [anon_sym___imag] = ACTIONS(2706),
    [anon_sym___kindof] = ACTIONS(2706),
    [anon_sym___nonnull] = ACTIONS(2706),
    [anon_sym___nullable] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2706),
    [anon_sym___real] = ACTIONS(2706),
    [anon_sym___strong] = ACTIONS(2706),
    [anon_sym___unsafe_unretained] = ACTIONS(2706),
    [anon_sym___unused] = ACTIONS(2706),
    [anon_sym___weak] = ACTIONS(2706),
    [anon_sym_alignas] = ACTIONS(2706),
    [anon_sym__Alignas] = ACTIONS(2706),
    [sym_primitive_type] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [anon_sym_struct] = ACTIONS(2706),
    [anon_sym_union] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2706),
    [anon_sym_default] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_in] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_goto] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_sizeof] = ACTIONS(2706),
    [anon_sym___alignof__] = ACTIONS(2706),
    [anon_sym___alignof] = ACTIONS(2706),
    [anon_sym__alignof] = ACTIONS(2706),
    [anon_sym_alignof] = ACTIONS(2706),
    [anon_sym__Alignof] = ACTIONS(2706),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2706),
    [anon_sym_asm] = ACTIONS(2706),
    [anon_sym___asm__] = ACTIONS(2706),
    [anon_sym___asm] = ACTIONS(2706),
    [sym_number_literal] = ACTIONS(2708),
    [anon_sym_L_SQUOTE] = ACTIONS(2708),
    [anon_sym_u_SQUOTE] = ACTIONS(2708),
    [anon_sym_U_SQUOTE] = ACTIONS(2708),
    [anon_sym_u8_SQUOTE] = ACTIONS(2708),
    [anon_sym_SQUOTE] = ACTIONS(2708),
    [anon_sym_AT] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [anon_sym_L_DQUOTE] = ACTIONS(2708),
    [anon_sym_u_DQUOTE] = ACTIONS(2708),
    [anon_sym_U_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8_DQUOTE] = ACTIONS(2708),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [anon_sym_NULL] = ACTIONS(2706),
    [anon_sym_nullptr] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2706),
    [anon_sym___typeof] = ACTIONS(2706),
    [anon_sym_typeof] = ACTIONS(2706),
    [anon_sym_ATimport] = ACTIONS(2708),
    [aux_sym_preproc_undef_token1] = ACTIONS(2706),
    [anon_sym_POUND] = ACTIONS(2706),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2706),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2706),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2706),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_API_AVAILABLE] = ACTIONS(2706),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_API_DEPRECATED] = ACTIONS(2706),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym___deprecated_msg] = ACTIONS(2706),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2706),
    [anon_sym_ATprotocol] = ACTIONS(2708),
    [anon_sym_ATinterface] = ACTIONS(2708),
    [anon_sym_ATimplementation] = ACTIONS(2708),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2708),
    [anon_sym_ATtry] = ACTIONS(2708),
    [anon_sym___try] = ACTIONS(2706),
    [anon_sym_ATthrow] = ACTIONS(2708),
    [anon_sym_ATselector] = ACTIONS(2708),
    [anon_sym_ATavailable] = ACTIONS(2708),
    [anon_sym___builtin_available] = ACTIONS(2706),
    [anon_sym_va_arg] = ACTIONS(2706),
    [anon_sym_ATencode] = ACTIONS(2708),
    [anon_sym_ATsynchronized] = ACTIONS(2708),
    [anon_sym_BOOL] = ACTIONS(2706),
    [anon_sym_IMP] = ACTIONS(2706),
    [anon_sym_SEL] = ACTIONS(2706),
    [anon_sym_Class] = ACTIONS(2706),
    [anon_sym_id] = ACTIONS(2706),
  },
  [906] = {
    [sym_identifier] = ACTIONS(2706),
    [aux_sym_preproc_include_token1] = ACTIONS(2706),
    [aux_sym_preproc_include_token2] = ACTIONS(2706),
    [aux_sym_preproc_def_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2706),
    [sym_preproc_directive] = ACTIONS(2706),
    [anon_sym_LPAREN2] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2708),
    [anon_sym_CARET] = ACTIONS(2708),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_SEMI] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2706),
    [anon_sym_typedef] = ACTIONS(2706),
    [anon_sym_extern] = ACTIONS(2706),
    [anon_sym___attribute__] = ACTIONS(2706),
    [anon_sym___attribute] = ACTIONS(2706),
    [anon_sym_noreturn] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym___declspec] = ACTIONS(2706),
    [anon_sym___cdecl] = ACTIONS(2706),
    [anon_sym___clrcall] = ACTIONS(2706),
    [anon_sym___stdcall] = ACTIONS(2706),
    [anon_sym___fastcall] = ACTIONS(2706),
    [anon_sym___thiscall] = ACTIONS(2706),
    [anon_sym___vectorcall] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_RBRACE] = ACTIONS(2708),
    [anon_sym_signed] = ACTIONS(2706),
    [anon_sym_unsigned] = ACTIONS(2706),
    [anon_sym_long] = ACTIONS(2706),
    [anon_sym_short] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_ATautoreleasepool] = ACTIONS(2708),
    [anon_sym_auto] = ACTIONS(2706),
    [anon_sym_register] = ACTIONS(2706),
    [anon_sym_inline] = ACTIONS(2706),
    [anon_sym___inline] = ACTIONS(2706),
    [anon_sym___inline__] = ACTIONS(2706),
    [anon_sym___forceinline] = ACTIONS(2706),
    [anon_sym_thread_local] = ACTIONS(2706),
    [anon_sym___thread] = ACTIONS(2706),
    [anon_sym_CG_EXTERN] = ACTIONS(2706),
    [anon_sym_CG_INLINE] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2706),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2706),
    [anon_sym_IBOutlet] = ACTIONS(2706),
    [anon_sym_IBInspectable] = ACTIONS(2706),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2706),
    [anon_sym_NS_INLINE] = ACTIONS(2706),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2706),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2706),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_constexpr] = ACTIONS(2706),
    [anon_sym_volatile] = ACTIONS(2706),
    [anon_sym_restrict] = ACTIONS(2706),
    [anon_sym___restrict__] = ACTIONS(2706),
    [anon_sym__Atomic] = ACTIONS(2706),
    [anon_sym__Noreturn] = ACTIONS(2706),
    [anon_sym__Nonnull] = ACTIONS(2706),
    [anon_sym_nullable] = ACTIONS(2706),
    [anon_sym__Complex] = ACTIONS(2706),
    [anon_sym__Nullable] = ACTIONS(2706),
    [anon_sym__Nullable_result] = ACTIONS(2706),
    [anon_sym__Null_unspecified] = ACTIONS(2706),
    [anon_sym___autoreleasing] = ACTIONS(2706),
    [anon_sym___block] = ACTIONS(2706),
    [anon_sym___bridge] = ACTIONS(2706),
    [anon_sym___bridge_retained] = ACTIONS(2706),
    [anon_sym___bridge_transfer] = ACTIONS(2706),
    [anon_sym___complex] = ACTIONS(2706),
    [anon_sym___const] = ACTIONS(2706),
    [anon_sym___imag] = ACTIONS(2706),
    [anon_sym___kindof] = ACTIONS(2706),
    [anon_sym___nonnull] = ACTIONS(2706),
    [anon_sym___nullable] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2706),
    [anon_sym___real] = ACTIONS(2706),
    [anon_sym___strong] = ACTIONS(2706),
    [anon_sym___unsafe_unretained] = ACTIONS(2706),
    [anon_sym___unused] = ACTIONS(2706),
    [anon_sym___weak] = ACTIONS(2706),
    [anon_sym_alignas] = ACTIONS(2706),
    [anon_sym__Alignas] = ACTIONS(2706),
    [sym_primitive_type] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [anon_sym_struct] = ACTIONS(2706),
    [anon_sym_union] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2706),
    [anon_sym_default] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_in] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_goto] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_sizeof] = ACTIONS(2706),
    [anon_sym___alignof__] = ACTIONS(2706),
    [anon_sym___alignof] = ACTIONS(2706),
    [anon_sym__alignof] = ACTIONS(2706),
    [anon_sym_alignof] = ACTIONS(2706),
    [anon_sym__Alignof] = ACTIONS(2706),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2706),
    [anon_sym_asm] = ACTIONS(2706),
    [anon_sym___asm__] = ACTIONS(2706),
    [anon_sym___asm] = ACTIONS(2706),
    [sym_number_literal] = ACTIONS(2708),
    [anon_sym_L_SQUOTE] = ACTIONS(2708),
    [anon_sym_u_SQUOTE] = ACTIONS(2708),
    [anon_sym_U_SQUOTE] = ACTIONS(2708),
    [anon_sym_u8_SQUOTE] = ACTIONS(2708),
    [anon_sym_SQUOTE] = ACTIONS(2708),
    [anon_sym_AT] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [anon_sym_L_DQUOTE] = ACTIONS(2708),
    [anon_sym_u_DQUOTE] = ACTIONS(2708),
    [anon_sym_U_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8_DQUOTE] = ACTIONS(2708),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [anon_sym_NULL] = ACTIONS(2706),
    [anon_sym_nullptr] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2706),
    [anon_sym___typeof] = ACTIONS(2706),
    [anon_sym_typeof] = ACTIONS(2706),
    [anon_sym_ATimport] = ACTIONS(2708),
    [aux_sym_preproc_undef_token1] = ACTIONS(2706),
    [anon_sym_POUND] = ACTIONS(2706),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2706),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2706),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2706),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_API_AVAILABLE] = ACTIONS(2706),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_API_DEPRECATED] = ACTIONS(2706),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym___deprecated_msg] = ACTIONS(2706),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2706),
    [anon_sym_ATprotocol] = ACTIONS(2708),
    [anon_sym_ATinterface] = ACTIONS(2708),
    [anon_sym_ATimplementation] = ACTIONS(2708),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2708),
    [anon_sym_ATtry] = ACTIONS(2708),
    [anon_sym___try] = ACTIONS(2706),
    [anon_sym_ATthrow] = ACTIONS(2708),
    [anon_sym_ATselector] = ACTIONS(2708),
    [anon_sym_ATavailable] = ACTIONS(2708),
    [anon_sym___builtin_available] = ACTIONS(2706),
    [anon_sym_va_arg] = ACTIONS(2706),
    [anon_sym_ATencode] = ACTIONS(2708),
    [anon_sym_ATsynchronized] = ACTIONS(2708),
    [anon_sym_BOOL] = ACTIONS(2706),
    [anon_sym_IMP] = ACTIONS(2706),
    [anon_sym_SEL] = ACTIONS(2706),
    [anon_sym_Class] = ACTIONS(2706),
    [anon_sym_id] = ACTIONS(2706),
  },
  [907] = {
    [sym_identifier] = ACTIONS(2794),
    [aux_sym_preproc_include_token1] = ACTIONS(2794),
    [aux_sym_preproc_include_token2] = ACTIONS(2794),
    [aux_sym_preproc_def_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2794),
    [sym_preproc_directive] = ACTIONS(2794),
    [anon_sym_LPAREN2] = ACTIONS(2796),
    [anon_sym_BANG] = ACTIONS(2796),
    [anon_sym_TILDE] = ACTIONS(2796),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2796),
    [anon_sym_CARET] = ACTIONS(2796),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_SEMI] = ACTIONS(2796),
    [anon_sym___extension__] = ACTIONS(2794),
    [anon_sym_typedef] = ACTIONS(2794),
    [anon_sym_extern] = ACTIONS(2794),
    [anon_sym___attribute__] = ACTIONS(2794),
    [anon_sym___attribute] = ACTIONS(2794),
    [anon_sym_noreturn] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2796),
    [anon_sym___declspec] = ACTIONS(2794),
    [anon_sym___cdecl] = ACTIONS(2794),
    [anon_sym___clrcall] = ACTIONS(2794),
    [anon_sym___stdcall] = ACTIONS(2794),
    [anon_sym___fastcall] = ACTIONS(2794),
    [anon_sym___thiscall] = ACTIONS(2794),
    [anon_sym___vectorcall] = ACTIONS(2794),
    [anon_sym_LBRACE] = ACTIONS(2796),
    [anon_sym_RBRACE] = ACTIONS(2796),
    [anon_sym_signed] = ACTIONS(2794),
    [anon_sym_unsigned] = ACTIONS(2794),
    [anon_sym_long] = ACTIONS(2794),
    [anon_sym_short] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_ATautoreleasepool] = ACTIONS(2796),
    [anon_sym_auto] = ACTIONS(2794),
    [anon_sym_register] = ACTIONS(2794),
    [anon_sym_inline] = ACTIONS(2794),
    [anon_sym___inline] = ACTIONS(2794),
    [anon_sym___inline__] = ACTIONS(2794),
    [anon_sym___forceinline] = ACTIONS(2794),
    [anon_sym_thread_local] = ACTIONS(2794),
    [anon_sym___thread] = ACTIONS(2794),
    [anon_sym_CG_EXTERN] = ACTIONS(2794),
    [anon_sym_CG_INLINE] = ACTIONS(2794),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2794),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2794),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2794),
    [anon_sym_IBOutlet] = ACTIONS(2794),
    [anon_sym_IBInspectable] = ACTIONS(2794),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2794),
    [anon_sym_NS_INLINE] = ACTIONS(2794),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2794),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2794),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2794),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2794),
    [anon_sym_const] = ACTIONS(2794),
    [anon_sym_constexpr] = ACTIONS(2794),
    [anon_sym_volatile] = ACTIONS(2794),
    [anon_sym_restrict] = ACTIONS(2794),
    [anon_sym___restrict__] = ACTIONS(2794),
    [anon_sym__Atomic] = ACTIONS(2794),
    [anon_sym__Noreturn] = ACTIONS(2794),
    [anon_sym__Nonnull] = ACTIONS(2794),
    [anon_sym_nullable] = ACTIONS(2794),
    [anon_sym__Complex] = ACTIONS(2794),
    [anon_sym__Nullable] = ACTIONS(2794),
    [anon_sym__Nullable_result] = ACTIONS(2794),
    [anon_sym__Null_unspecified] = ACTIONS(2794),
    [anon_sym___autoreleasing] = ACTIONS(2794),
    [anon_sym___block] = ACTIONS(2794),
    [anon_sym___bridge] = ACTIONS(2794),
    [anon_sym___bridge_retained] = ACTIONS(2794),
    [anon_sym___bridge_transfer] = ACTIONS(2794),
    [anon_sym___complex] = ACTIONS(2794),
    [anon_sym___const] = ACTIONS(2794),
    [anon_sym___imag] = ACTIONS(2794),
    [anon_sym___kindof] = ACTIONS(2794),
    [anon_sym___nonnull] = ACTIONS(2794),
    [anon_sym___nullable] = ACTIONS(2794),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2794),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2794),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2794),
    [anon_sym___real] = ACTIONS(2794),
    [anon_sym___strong] = ACTIONS(2794),
    [anon_sym___unsafe_unretained] = ACTIONS(2794),
    [anon_sym___unused] = ACTIONS(2794),
    [anon_sym___weak] = ACTIONS(2794),
    [anon_sym_alignas] = ACTIONS(2794),
    [anon_sym__Alignas] = ACTIONS(2794),
    [sym_primitive_type] = ACTIONS(2794),
    [anon_sym_enum] = ACTIONS(2794),
    [anon_sym_struct] = ACTIONS(2794),
    [anon_sym_union] = ACTIONS(2794),
    [anon_sym_if] = ACTIONS(2794),
    [anon_sym_switch] = ACTIONS(2794),
    [anon_sym_case] = ACTIONS(2794),
    [anon_sym_default] = ACTIONS(2794),
    [anon_sym_while] = ACTIONS(2794),
    [anon_sym_do] = ACTIONS(2794),
    [anon_sym_for] = ACTIONS(2794),
    [anon_sym_in] = ACTIONS(2794),
    [anon_sym_return] = ACTIONS(2794),
    [anon_sym_break] = ACTIONS(2794),
    [anon_sym_continue] = ACTIONS(2794),
    [anon_sym_goto] = ACTIONS(2794),
    [anon_sym_DASH_DASH] = ACTIONS(2796),
    [anon_sym_PLUS_PLUS] = ACTIONS(2796),
    [anon_sym_sizeof] = ACTIONS(2794),
    [anon_sym___alignof__] = ACTIONS(2794),
    [anon_sym___alignof] = ACTIONS(2794),
    [anon_sym__alignof] = ACTIONS(2794),
    [anon_sym_alignof] = ACTIONS(2794),
    [anon_sym__Alignof] = ACTIONS(2794),
    [anon_sym_offsetof] = ACTIONS(2794),
    [anon_sym__Generic] = ACTIONS(2794),
    [anon_sym_asm] = ACTIONS(2794),
    [anon_sym___asm__] = ACTIONS(2794),
    [anon_sym___asm] = ACTIONS(2794),
    [sym_number_literal] = ACTIONS(2796),
    [anon_sym_L_SQUOTE] = ACTIONS(2796),
    [anon_sym_u_SQUOTE] = ACTIONS(2796),
    [anon_sym_U_SQUOTE] = ACTIONS(2796),
    [anon_sym_u8_SQUOTE] = ACTIONS(2796),
    [anon_sym_SQUOTE] = ACTIONS(2796),
    [anon_sym_AT] = ACTIONS(2794),
    [anon_sym_DQUOTE] = ACTIONS(2796),
    [anon_sym_L_DQUOTE] = ACTIONS(2796),
    [anon_sym_u_DQUOTE] = ACTIONS(2796),
    [anon_sym_U_DQUOTE] = ACTIONS(2796),
    [anon_sym_u8_DQUOTE] = ACTIONS(2796),
    [sym_true] = ACTIONS(2794),
    [sym_false] = ACTIONS(2794),
    [anon_sym_NULL] = ACTIONS(2794),
    [anon_sym_nullptr] = ACTIONS(2794),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2794),
    [anon_sym___typeof] = ACTIONS(2794),
    [anon_sym_typeof] = ACTIONS(2794),
    [anon_sym_ATimport] = ACTIONS(2796),
    [aux_sym_preproc_undef_token1] = ACTIONS(2794),
    [anon_sym_POUND] = ACTIONS(2794),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2794),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2794),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2794),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2794),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2794),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2794),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2794),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2794),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2794),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_API_AVAILABLE] = ACTIONS(2794),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_API_DEPRECATED] = ACTIONS(2794),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2794),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2794),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2794),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2794),
    [anon_sym___deprecated_msg] = ACTIONS(2794),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2794),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2794),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2794),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2794),
    [anon_sym_ATprotocol] = ACTIONS(2796),
    [anon_sym_ATinterface] = ACTIONS(2796),
    [anon_sym_ATimplementation] = ACTIONS(2796),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2796),
    [anon_sym_ATtry] = ACTIONS(2796),
    [anon_sym___try] = ACTIONS(2794),
    [anon_sym_ATthrow] = ACTIONS(2796),
    [anon_sym_ATselector] = ACTIONS(2796),
    [anon_sym_ATavailable] = ACTIONS(2796),
    [anon_sym___builtin_available] = ACTIONS(2794),
    [anon_sym_va_arg] = ACTIONS(2794),
    [anon_sym_ATencode] = ACTIONS(2796),
    [anon_sym_ATsynchronized] = ACTIONS(2796),
    [anon_sym_BOOL] = ACTIONS(2794),
    [anon_sym_IMP] = ACTIONS(2794),
    [anon_sym_SEL] = ACTIONS(2794),
    [anon_sym_Class] = ACTIONS(2794),
    [anon_sym_id] = ACTIONS(2794),
  },
  [908] = {
    [sym_identifier] = ACTIONS(2706),
    [aux_sym_preproc_include_token1] = ACTIONS(2706),
    [aux_sym_preproc_include_token2] = ACTIONS(2706),
    [aux_sym_preproc_def_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2706),
    [sym_preproc_directive] = ACTIONS(2706),
    [anon_sym_LPAREN2] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2708),
    [anon_sym_CARET] = ACTIONS(2708),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_SEMI] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2706),
    [anon_sym_typedef] = ACTIONS(2706),
    [anon_sym_extern] = ACTIONS(2706),
    [anon_sym___attribute__] = ACTIONS(2706),
    [anon_sym___attribute] = ACTIONS(2706),
    [anon_sym_noreturn] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym___declspec] = ACTIONS(2706),
    [anon_sym___cdecl] = ACTIONS(2706),
    [anon_sym___clrcall] = ACTIONS(2706),
    [anon_sym___stdcall] = ACTIONS(2706),
    [anon_sym___fastcall] = ACTIONS(2706),
    [anon_sym___thiscall] = ACTIONS(2706),
    [anon_sym___vectorcall] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_RBRACE] = ACTIONS(2708),
    [anon_sym_signed] = ACTIONS(2706),
    [anon_sym_unsigned] = ACTIONS(2706),
    [anon_sym_long] = ACTIONS(2706),
    [anon_sym_short] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_ATautoreleasepool] = ACTIONS(2708),
    [anon_sym_auto] = ACTIONS(2706),
    [anon_sym_register] = ACTIONS(2706),
    [anon_sym_inline] = ACTIONS(2706),
    [anon_sym___inline] = ACTIONS(2706),
    [anon_sym___inline__] = ACTIONS(2706),
    [anon_sym___forceinline] = ACTIONS(2706),
    [anon_sym_thread_local] = ACTIONS(2706),
    [anon_sym___thread] = ACTIONS(2706),
    [anon_sym_CG_EXTERN] = ACTIONS(2706),
    [anon_sym_CG_INLINE] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2706),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2706),
    [anon_sym_IBOutlet] = ACTIONS(2706),
    [anon_sym_IBInspectable] = ACTIONS(2706),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2706),
    [anon_sym_NS_INLINE] = ACTIONS(2706),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2706),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2706),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_constexpr] = ACTIONS(2706),
    [anon_sym_volatile] = ACTIONS(2706),
    [anon_sym_restrict] = ACTIONS(2706),
    [anon_sym___restrict__] = ACTIONS(2706),
    [anon_sym__Atomic] = ACTIONS(2706),
    [anon_sym__Noreturn] = ACTIONS(2706),
    [anon_sym__Nonnull] = ACTIONS(2706),
    [anon_sym_nullable] = ACTIONS(2706),
    [anon_sym__Complex] = ACTIONS(2706),
    [anon_sym__Nullable] = ACTIONS(2706),
    [anon_sym__Nullable_result] = ACTIONS(2706),
    [anon_sym__Null_unspecified] = ACTIONS(2706),
    [anon_sym___autoreleasing] = ACTIONS(2706),
    [anon_sym___block] = ACTIONS(2706),
    [anon_sym___bridge] = ACTIONS(2706),
    [anon_sym___bridge_retained] = ACTIONS(2706),
    [anon_sym___bridge_transfer] = ACTIONS(2706),
    [anon_sym___complex] = ACTIONS(2706),
    [anon_sym___const] = ACTIONS(2706),
    [anon_sym___imag] = ACTIONS(2706),
    [anon_sym___kindof] = ACTIONS(2706),
    [anon_sym___nonnull] = ACTIONS(2706),
    [anon_sym___nullable] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2706),
    [anon_sym___real] = ACTIONS(2706),
    [anon_sym___strong] = ACTIONS(2706),
    [anon_sym___unsafe_unretained] = ACTIONS(2706),
    [anon_sym___unused] = ACTIONS(2706),
    [anon_sym___weak] = ACTIONS(2706),
    [anon_sym_alignas] = ACTIONS(2706),
    [anon_sym__Alignas] = ACTIONS(2706),
    [sym_primitive_type] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [anon_sym_struct] = ACTIONS(2706),
    [anon_sym_union] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2706),
    [anon_sym_default] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_in] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_goto] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_sizeof] = ACTIONS(2706),
    [anon_sym___alignof__] = ACTIONS(2706),
    [anon_sym___alignof] = ACTIONS(2706),
    [anon_sym__alignof] = ACTIONS(2706),
    [anon_sym_alignof] = ACTIONS(2706),
    [anon_sym__Alignof] = ACTIONS(2706),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2706),
    [anon_sym_asm] = ACTIONS(2706),
    [anon_sym___asm__] = ACTIONS(2706),
    [anon_sym___asm] = ACTIONS(2706),
    [sym_number_literal] = ACTIONS(2708),
    [anon_sym_L_SQUOTE] = ACTIONS(2708),
    [anon_sym_u_SQUOTE] = ACTIONS(2708),
    [anon_sym_U_SQUOTE] = ACTIONS(2708),
    [anon_sym_u8_SQUOTE] = ACTIONS(2708),
    [anon_sym_SQUOTE] = ACTIONS(2708),
    [anon_sym_AT] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [anon_sym_L_DQUOTE] = ACTIONS(2708),
    [anon_sym_u_DQUOTE] = ACTIONS(2708),
    [anon_sym_U_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8_DQUOTE] = ACTIONS(2708),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [anon_sym_NULL] = ACTIONS(2706),
    [anon_sym_nullptr] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2706),
    [anon_sym___typeof] = ACTIONS(2706),
    [anon_sym_typeof] = ACTIONS(2706),
    [anon_sym_ATimport] = ACTIONS(2708),
    [aux_sym_preproc_undef_token1] = ACTIONS(2706),
    [anon_sym_POUND] = ACTIONS(2706),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2706),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2706),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2706),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_API_AVAILABLE] = ACTIONS(2706),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_API_DEPRECATED] = ACTIONS(2706),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym___deprecated_msg] = ACTIONS(2706),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2706),
    [anon_sym_ATprotocol] = ACTIONS(2708),
    [anon_sym_ATinterface] = ACTIONS(2708),
    [anon_sym_ATimplementation] = ACTIONS(2708),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2708),
    [anon_sym_ATtry] = ACTIONS(2708),
    [anon_sym___try] = ACTIONS(2706),
    [anon_sym_ATthrow] = ACTIONS(2708),
    [anon_sym_ATselector] = ACTIONS(2708),
    [anon_sym_ATavailable] = ACTIONS(2708),
    [anon_sym___builtin_available] = ACTIONS(2706),
    [anon_sym_va_arg] = ACTIONS(2706),
    [anon_sym_ATencode] = ACTIONS(2708),
    [anon_sym_ATsynchronized] = ACTIONS(2708),
    [anon_sym_BOOL] = ACTIONS(2706),
    [anon_sym_IMP] = ACTIONS(2706),
    [anon_sym_SEL] = ACTIONS(2706),
    [anon_sym_Class] = ACTIONS(2706),
    [anon_sym_id] = ACTIONS(2706),
  },
  [909] = {
    [sym_identifier] = ACTIONS(2770),
    [aux_sym_preproc_include_token1] = ACTIONS(2770),
    [aux_sym_preproc_include_token2] = ACTIONS(2770),
    [aux_sym_preproc_def_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2770),
    [sym_preproc_directive] = ACTIONS(2770),
    [anon_sym_LPAREN2] = ACTIONS(2772),
    [anon_sym_BANG] = ACTIONS(2772),
    [anon_sym_TILDE] = ACTIONS(2772),
    [anon_sym_DASH] = ACTIONS(2770),
    [anon_sym_PLUS] = ACTIONS(2770),
    [anon_sym_STAR] = ACTIONS(2772),
    [anon_sym_CARET] = ACTIONS(2772),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_SEMI] = ACTIONS(2772),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym_typedef] = ACTIONS(2770),
    [anon_sym_extern] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym___attribute] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2772),
    [anon_sym___declspec] = ACTIONS(2770),
    [anon_sym___cdecl] = ACTIONS(2770),
    [anon_sym___clrcall] = ACTIONS(2770),
    [anon_sym___stdcall] = ACTIONS(2770),
    [anon_sym___fastcall] = ACTIONS(2770),
    [anon_sym___thiscall] = ACTIONS(2770),
    [anon_sym___vectorcall] = ACTIONS(2770),
    [anon_sym_LBRACE] = ACTIONS(2772),
    [anon_sym_RBRACE] = ACTIONS(2772),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_ATautoreleasepool] = ACTIONS(2772),
    [anon_sym_auto] = ACTIONS(2770),
    [anon_sym_register] = ACTIONS(2770),
    [anon_sym_inline] = ACTIONS(2770),
    [anon_sym___inline] = ACTIONS(2770),
    [anon_sym___inline__] = ACTIONS(2770),
    [anon_sym___forceinline] = ACTIONS(2770),
    [anon_sym_thread_local] = ACTIONS(2770),
    [anon_sym___thread] = ACTIONS(2770),
    [anon_sym_CG_EXTERN] = ACTIONS(2770),
    [anon_sym_CG_INLINE] = ACTIONS(2770),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2770),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2770),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2770),
    [anon_sym_IBOutlet] = ACTIONS(2770),
    [anon_sym_IBInspectable] = ACTIONS(2770),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2770),
    [anon_sym_NS_INLINE] = ACTIONS(2770),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2770),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2770),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2770),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym__Nonnull] = ACTIONS(2770),
    [anon_sym_nullable] = ACTIONS(2770),
    [anon_sym__Complex] = ACTIONS(2770),
    [anon_sym__Nullable] = ACTIONS(2770),
    [anon_sym__Nullable_result] = ACTIONS(2770),
    [anon_sym__Null_unspecified] = ACTIONS(2770),
    [anon_sym___autoreleasing] = ACTIONS(2770),
    [anon_sym___block] = ACTIONS(2770),
    [anon_sym___bridge] = ACTIONS(2770),
    [anon_sym___bridge_retained] = ACTIONS(2770),
    [anon_sym___bridge_transfer] = ACTIONS(2770),
    [anon_sym___complex] = ACTIONS(2770),
    [anon_sym___const] = ACTIONS(2770),
    [anon_sym___imag] = ACTIONS(2770),
    [anon_sym___kindof] = ACTIONS(2770),
    [anon_sym___nonnull] = ACTIONS(2770),
    [anon_sym___nullable] = ACTIONS(2770),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2770),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2770),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2770),
    [anon_sym___real] = ACTIONS(2770),
    [anon_sym___strong] = ACTIONS(2770),
    [anon_sym___unsafe_unretained] = ACTIONS(2770),
    [anon_sym___unused] = ACTIONS(2770),
    [anon_sym___weak] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym__Alignas] = ACTIONS(2770),
    [sym_primitive_type] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [anon_sym_if] = ACTIONS(2770),
    [anon_sym_switch] = ACTIONS(2770),
    [anon_sym_case] = ACTIONS(2770),
    [anon_sym_default] = ACTIONS(2770),
    [anon_sym_while] = ACTIONS(2770),
    [anon_sym_do] = ACTIONS(2770),
    [anon_sym_for] = ACTIONS(2770),
    [anon_sym_in] = ACTIONS(2770),
    [anon_sym_return] = ACTIONS(2770),
    [anon_sym_break] = ACTIONS(2770),
    [anon_sym_continue] = ACTIONS(2770),
    [anon_sym_goto] = ACTIONS(2770),
    [anon_sym_DASH_DASH] = ACTIONS(2772),
    [anon_sym_PLUS_PLUS] = ACTIONS(2772),
    [anon_sym_sizeof] = ACTIONS(2770),
    [anon_sym___alignof__] = ACTIONS(2770),
    [anon_sym___alignof] = ACTIONS(2770),
    [anon_sym__alignof] = ACTIONS(2770),
    [anon_sym_alignof] = ACTIONS(2770),
    [anon_sym__Alignof] = ACTIONS(2770),
    [anon_sym_offsetof] = ACTIONS(2770),
    [anon_sym__Generic] = ACTIONS(2770),
    [anon_sym_asm] = ACTIONS(2770),
    [anon_sym___asm__] = ACTIONS(2770),
    [anon_sym___asm] = ACTIONS(2770),
    [sym_number_literal] = ACTIONS(2772),
    [anon_sym_L_SQUOTE] = ACTIONS(2772),
    [anon_sym_u_SQUOTE] = ACTIONS(2772),
    [anon_sym_U_SQUOTE] = ACTIONS(2772),
    [anon_sym_u8_SQUOTE] = ACTIONS(2772),
    [anon_sym_SQUOTE] = ACTIONS(2772),
    [anon_sym_AT] = ACTIONS(2770),
    [anon_sym_DQUOTE] = ACTIONS(2772),
    [anon_sym_L_DQUOTE] = ACTIONS(2772),
    [anon_sym_u_DQUOTE] = ACTIONS(2772),
    [anon_sym_U_DQUOTE] = ACTIONS(2772),
    [anon_sym_u8_DQUOTE] = ACTIONS(2772),
    [sym_true] = ACTIONS(2770),
    [sym_false] = ACTIONS(2770),
    [anon_sym_NULL] = ACTIONS(2770),
    [anon_sym_nullptr] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2770),
    [anon_sym___typeof] = ACTIONS(2770),
    [anon_sym_typeof] = ACTIONS(2770),
    [anon_sym_ATimport] = ACTIONS(2772),
    [aux_sym_preproc_undef_token1] = ACTIONS(2770),
    [anon_sym_POUND] = ACTIONS(2770),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2770),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2770),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2770),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2770),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2770),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2770),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2770),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2770),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2770),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_API_AVAILABLE] = ACTIONS(2770),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_API_DEPRECATED] = ACTIONS(2770),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2770),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2770),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2770),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2770),
    [anon_sym___deprecated_msg] = ACTIONS(2770),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2770),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2770),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2770),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2770),
    [anon_sym_ATprotocol] = ACTIONS(2772),
    [anon_sym_ATinterface] = ACTIONS(2772),
    [anon_sym_ATimplementation] = ACTIONS(2772),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2772),
    [anon_sym_ATtry] = ACTIONS(2772),
    [anon_sym___try] = ACTIONS(2770),
    [anon_sym_ATthrow] = ACTIONS(2772),
    [anon_sym_ATselector] = ACTIONS(2772),
    [anon_sym_ATavailable] = ACTIONS(2772),
    [anon_sym___builtin_available] = ACTIONS(2770),
    [anon_sym_va_arg] = ACTIONS(2770),
    [anon_sym_ATencode] = ACTIONS(2772),
    [anon_sym_ATsynchronized] = ACTIONS(2772),
    [anon_sym_BOOL] = ACTIONS(2770),
    [anon_sym_IMP] = ACTIONS(2770),
    [anon_sym_SEL] = ACTIONS(2770),
    [anon_sym_Class] = ACTIONS(2770),
    [anon_sym_id] = ACTIONS(2770),
  },
  [910] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_include_token1] = ACTIONS(2798),
    [aux_sym_preproc_include_token2] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_CARET] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2800),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym___attribute] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_RBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_ATautoreleasepool] = ACTIONS(2800),
    [anon_sym_auto] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_CG_EXTERN] = ACTIONS(2798),
    [anon_sym_CG_INLINE] = ACTIONS(2798),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2798),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2798),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2798),
    [anon_sym_IBOutlet] = ACTIONS(2798),
    [anon_sym_IBInspectable] = ACTIONS(2798),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2798),
    [anon_sym_NS_INLINE] = ACTIONS(2798),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2798),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2798),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2798),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_nullable] = ACTIONS(2798),
    [anon_sym__Complex] = ACTIONS(2798),
    [anon_sym__Nullable] = ACTIONS(2798),
    [anon_sym__Nullable_result] = ACTIONS(2798),
    [anon_sym__Null_unspecified] = ACTIONS(2798),
    [anon_sym___autoreleasing] = ACTIONS(2798),
    [anon_sym___block] = ACTIONS(2798),
    [anon_sym___bridge] = ACTIONS(2798),
    [anon_sym___bridge_retained] = ACTIONS(2798),
    [anon_sym___bridge_transfer] = ACTIONS(2798),
    [anon_sym___complex] = ACTIONS(2798),
    [anon_sym___const] = ACTIONS(2798),
    [anon_sym___imag] = ACTIONS(2798),
    [anon_sym___kindof] = ACTIONS(2798),
    [anon_sym___nonnull] = ACTIONS(2798),
    [anon_sym___nullable] = ACTIONS(2798),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2798),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2798),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2798),
    [anon_sym___real] = ACTIONS(2798),
    [anon_sym___strong] = ACTIONS(2798),
    [anon_sym___unsafe_unretained] = ACTIONS(2798),
    [anon_sym___unused] = ACTIONS(2798),
    [anon_sym___weak] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_default] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_in] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [anon_sym___asm] = ACTIONS(2798),
    [sym_number_literal] = ACTIONS(2800),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_AT] = ACTIONS(2798),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2798),
    [anon_sym___typeof] = ACTIONS(2798),
    [anon_sym_typeof] = ACTIONS(2798),
    [anon_sym_ATimport] = ACTIONS(2800),
    [aux_sym_preproc_undef_token1] = ACTIONS(2798),
    [anon_sym_POUND] = ACTIONS(2798),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2798),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2798),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2798),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2798),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2798),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2798),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2798),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2798),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_API_AVAILABLE] = ACTIONS(2798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_API_DEPRECATED] = ACTIONS(2798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2798),
    [anon_sym___deprecated_msg] = ACTIONS(2798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2798),
    [anon_sym_ATprotocol] = ACTIONS(2800),
    [anon_sym_ATinterface] = ACTIONS(2800),
    [anon_sym_ATimplementation] = ACTIONS(2800),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2800),
    [anon_sym_ATtry] = ACTIONS(2800),
    [anon_sym___try] = ACTIONS(2798),
    [anon_sym_ATthrow] = ACTIONS(2800),
    [anon_sym_ATselector] = ACTIONS(2800),
    [anon_sym_ATavailable] = ACTIONS(2800),
    [anon_sym___builtin_available] = ACTIONS(2798),
    [anon_sym_va_arg] = ACTIONS(2798),
    [anon_sym_ATencode] = ACTIONS(2800),
    [anon_sym_ATsynchronized] = ACTIONS(2800),
    [anon_sym_BOOL] = ACTIONS(2798),
    [anon_sym_IMP] = ACTIONS(2798),
    [anon_sym_SEL] = ACTIONS(2798),
    [anon_sym_Class] = ACTIONS(2798),
    [anon_sym_id] = ACTIONS(2798),
  },
  [911] = {
    [sym_identifier] = ACTIONS(2710),
    [aux_sym_preproc_include_token1] = ACTIONS(2710),
    [aux_sym_preproc_include_token2] = ACTIONS(2710),
    [aux_sym_preproc_def_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token1] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2710),
    [sym_preproc_directive] = ACTIONS(2710),
    [anon_sym_LPAREN2] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2710),
    [anon_sym_PLUS] = ACTIONS(2710),
    [anon_sym_STAR] = ACTIONS(2712),
    [anon_sym_CARET] = ACTIONS(2712),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_SEMI] = ACTIONS(2712),
    [anon_sym___extension__] = ACTIONS(2710),
    [anon_sym_typedef] = ACTIONS(2710),
    [anon_sym_extern] = ACTIONS(2710),
    [anon_sym___attribute__] = ACTIONS(2710),
    [anon_sym___attribute] = ACTIONS(2710),
    [anon_sym_noreturn] = ACTIONS(2710),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym___declspec] = ACTIONS(2710),
    [anon_sym___cdecl] = ACTIONS(2710),
    [anon_sym___clrcall] = ACTIONS(2710),
    [anon_sym___stdcall] = ACTIONS(2710),
    [anon_sym___fastcall] = ACTIONS(2710),
    [anon_sym___thiscall] = ACTIONS(2710),
    [anon_sym___vectorcall] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_RBRACE] = ACTIONS(2712),
    [anon_sym_signed] = ACTIONS(2710),
    [anon_sym_unsigned] = ACTIONS(2710),
    [anon_sym_long] = ACTIONS(2710),
    [anon_sym_short] = ACTIONS(2710),
    [anon_sym_static] = ACTIONS(2710),
    [anon_sym_ATautoreleasepool] = ACTIONS(2712),
    [anon_sym_auto] = ACTIONS(2710),
    [anon_sym_register] = ACTIONS(2710),
    [anon_sym_inline] = ACTIONS(2710),
    [anon_sym___inline] = ACTIONS(2710),
    [anon_sym___inline__] = ACTIONS(2710),
    [anon_sym___forceinline] = ACTIONS(2710),
    [anon_sym_thread_local] = ACTIONS(2710),
    [anon_sym___thread] = ACTIONS(2710),
    [anon_sym_CG_EXTERN] = ACTIONS(2710),
    [anon_sym_CG_INLINE] = ACTIONS(2710),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2710),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2710),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2710),
    [anon_sym_IBOutlet] = ACTIONS(2710),
    [anon_sym_IBInspectable] = ACTIONS(2710),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2710),
    [anon_sym_NS_INLINE] = ACTIONS(2710),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2710),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2710),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2710),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2710),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_constexpr] = ACTIONS(2710),
    [anon_sym_volatile] = ACTIONS(2710),
    [anon_sym_restrict] = ACTIONS(2710),
    [anon_sym___restrict__] = ACTIONS(2710),
    [anon_sym__Atomic] = ACTIONS(2710),
    [anon_sym__Noreturn] = ACTIONS(2710),
    [anon_sym__Nonnull] = ACTIONS(2710),
    [anon_sym_nullable] = ACTIONS(2710),
    [anon_sym__Complex] = ACTIONS(2710),
    [anon_sym__Nullable] = ACTIONS(2710),
    [anon_sym__Nullable_result] = ACTIONS(2710),
    [anon_sym__Null_unspecified] = ACTIONS(2710),
    [anon_sym___autoreleasing] = ACTIONS(2710),
    [anon_sym___block] = ACTIONS(2710),
    [anon_sym___bridge] = ACTIONS(2710),
    [anon_sym___bridge_retained] = ACTIONS(2710),
    [anon_sym___bridge_transfer] = ACTIONS(2710),
    [anon_sym___complex] = ACTIONS(2710),
    [anon_sym___const] = ACTIONS(2710),
    [anon_sym___imag] = ACTIONS(2710),
    [anon_sym___kindof] = ACTIONS(2710),
    [anon_sym___nonnull] = ACTIONS(2710),
    [anon_sym___nullable] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2710),
    [anon_sym___real] = ACTIONS(2710),
    [anon_sym___strong] = ACTIONS(2710),
    [anon_sym___unsafe_unretained] = ACTIONS(2710),
    [anon_sym___unused] = ACTIONS(2710),
    [anon_sym___weak] = ACTIONS(2710),
    [anon_sym_alignas] = ACTIONS(2710),
    [anon_sym__Alignas] = ACTIONS(2710),
    [sym_primitive_type] = ACTIONS(2710),
    [anon_sym_enum] = ACTIONS(2710),
    [anon_sym_struct] = ACTIONS(2710),
    [anon_sym_union] = ACTIONS(2710),
    [anon_sym_if] = ACTIONS(2710),
    [anon_sym_switch] = ACTIONS(2710),
    [anon_sym_case] = ACTIONS(2710),
    [anon_sym_default] = ACTIONS(2710),
    [anon_sym_while] = ACTIONS(2710),
    [anon_sym_do] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2710),
    [anon_sym_in] = ACTIONS(2710),
    [anon_sym_return] = ACTIONS(2710),
    [anon_sym_break] = ACTIONS(2710),
    [anon_sym_continue] = ACTIONS(2710),
    [anon_sym_goto] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_sizeof] = ACTIONS(2710),
    [anon_sym___alignof__] = ACTIONS(2710),
    [anon_sym___alignof] = ACTIONS(2710),
    [anon_sym__alignof] = ACTIONS(2710),
    [anon_sym_alignof] = ACTIONS(2710),
    [anon_sym__Alignof] = ACTIONS(2710),
    [anon_sym_offsetof] = ACTIONS(2710),
    [anon_sym__Generic] = ACTIONS(2710),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [anon_sym___asm] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2712),
    [anon_sym_u_SQUOTE] = ACTIONS(2712),
    [anon_sym_U_SQUOTE] = ACTIONS(2712),
    [anon_sym_u8_SQUOTE] = ACTIONS(2712),
    [anon_sym_SQUOTE] = ACTIONS(2712),
    [anon_sym_AT] = ACTIONS(2710),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [anon_sym_L_DQUOTE] = ACTIONS(2712),
    [anon_sym_u_DQUOTE] = ACTIONS(2712),
    [anon_sym_U_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8_DQUOTE] = ACTIONS(2712),
    [sym_true] = ACTIONS(2710),
    [sym_false] = ACTIONS(2710),
    [anon_sym_NULL] = ACTIONS(2710),
    [anon_sym_nullptr] = ACTIONS(2710),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2710),
    [anon_sym___typeof] = ACTIONS(2710),
    [anon_sym_typeof] = ACTIONS(2710),
    [anon_sym_ATimport] = ACTIONS(2712),
    [aux_sym_preproc_undef_token1] = ACTIONS(2710),
    [anon_sym_POUND] = ACTIONS(2710),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2710),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2710),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2710),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2710),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2710),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2710),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2710),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_API_AVAILABLE] = ACTIONS(2710),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_API_DEPRECATED] = ACTIONS(2710),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2710),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym___deprecated_msg] = ACTIONS(2710),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2710),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2710),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2710),
    [anon_sym_ATprotocol] = ACTIONS(2712),
    [anon_sym_ATinterface] = ACTIONS(2712),
    [anon_sym_ATimplementation] = ACTIONS(2712),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2712),
    [anon_sym_ATtry] = ACTIONS(2712),
    [anon_sym___try] = ACTIONS(2710),
    [anon_sym_ATthrow] = ACTIONS(2712),
    [anon_sym_ATselector] = ACTIONS(2712),
    [anon_sym_ATavailable] = ACTIONS(2712),
    [anon_sym___builtin_available] = ACTIONS(2710),
    [anon_sym_va_arg] = ACTIONS(2710),
    [anon_sym_ATencode] = ACTIONS(2712),
    [anon_sym_ATsynchronized] = ACTIONS(2712),
    [anon_sym_BOOL] = ACTIONS(2710),
    [anon_sym_IMP] = ACTIONS(2710),
    [anon_sym_SEL] = ACTIONS(2710),
    [anon_sym_Class] = ACTIONS(2710),
    [anon_sym_id] = ACTIONS(2710),
  },
  [912] = {
    [sym_identifier] = ACTIONS(2710),
    [aux_sym_preproc_include_token1] = ACTIONS(2710),
    [aux_sym_preproc_include_token2] = ACTIONS(2710),
    [aux_sym_preproc_def_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token1] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2710),
    [sym_preproc_directive] = ACTIONS(2710),
    [anon_sym_LPAREN2] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2710),
    [anon_sym_PLUS] = ACTIONS(2710),
    [anon_sym_STAR] = ACTIONS(2712),
    [anon_sym_CARET] = ACTIONS(2712),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_SEMI] = ACTIONS(2712),
    [anon_sym___extension__] = ACTIONS(2710),
    [anon_sym_typedef] = ACTIONS(2710),
    [anon_sym_extern] = ACTIONS(2710),
    [anon_sym___attribute__] = ACTIONS(2710),
    [anon_sym___attribute] = ACTIONS(2710),
    [anon_sym_noreturn] = ACTIONS(2710),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym___declspec] = ACTIONS(2710),
    [anon_sym___cdecl] = ACTIONS(2710),
    [anon_sym___clrcall] = ACTIONS(2710),
    [anon_sym___stdcall] = ACTIONS(2710),
    [anon_sym___fastcall] = ACTIONS(2710),
    [anon_sym___thiscall] = ACTIONS(2710),
    [anon_sym___vectorcall] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_RBRACE] = ACTIONS(2712),
    [anon_sym_signed] = ACTIONS(2710),
    [anon_sym_unsigned] = ACTIONS(2710),
    [anon_sym_long] = ACTIONS(2710),
    [anon_sym_short] = ACTIONS(2710),
    [anon_sym_static] = ACTIONS(2710),
    [anon_sym_ATautoreleasepool] = ACTIONS(2712),
    [anon_sym_auto] = ACTIONS(2710),
    [anon_sym_register] = ACTIONS(2710),
    [anon_sym_inline] = ACTIONS(2710),
    [anon_sym___inline] = ACTIONS(2710),
    [anon_sym___inline__] = ACTIONS(2710),
    [anon_sym___forceinline] = ACTIONS(2710),
    [anon_sym_thread_local] = ACTIONS(2710),
    [anon_sym___thread] = ACTIONS(2710),
    [anon_sym_CG_EXTERN] = ACTIONS(2710),
    [anon_sym_CG_INLINE] = ACTIONS(2710),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2710),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2710),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2710),
    [anon_sym_IBOutlet] = ACTIONS(2710),
    [anon_sym_IBInspectable] = ACTIONS(2710),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2710),
    [anon_sym_NS_INLINE] = ACTIONS(2710),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2710),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2710),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2710),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2710),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_constexpr] = ACTIONS(2710),
    [anon_sym_volatile] = ACTIONS(2710),
    [anon_sym_restrict] = ACTIONS(2710),
    [anon_sym___restrict__] = ACTIONS(2710),
    [anon_sym__Atomic] = ACTIONS(2710),
    [anon_sym__Noreturn] = ACTIONS(2710),
    [anon_sym__Nonnull] = ACTIONS(2710),
    [anon_sym_nullable] = ACTIONS(2710),
    [anon_sym__Complex] = ACTIONS(2710),
    [anon_sym__Nullable] = ACTIONS(2710),
    [anon_sym__Nullable_result] = ACTIONS(2710),
    [anon_sym__Null_unspecified] = ACTIONS(2710),
    [anon_sym___autoreleasing] = ACTIONS(2710),
    [anon_sym___block] = ACTIONS(2710),
    [anon_sym___bridge] = ACTIONS(2710),
    [anon_sym___bridge_retained] = ACTIONS(2710),
    [anon_sym___bridge_transfer] = ACTIONS(2710),
    [anon_sym___complex] = ACTIONS(2710),
    [anon_sym___const] = ACTIONS(2710),
    [anon_sym___imag] = ACTIONS(2710),
    [anon_sym___kindof] = ACTIONS(2710),
    [anon_sym___nonnull] = ACTIONS(2710),
    [anon_sym___nullable] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2710),
    [anon_sym___real] = ACTIONS(2710),
    [anon_sym___strong] = ACTIONS(2710),
    [anon_sym___unsafe_unretained] = ACTIONS(2710),
    [anon_sym___unused] = ACTIONS(2710),
    [anon_sym___weak] = ACTIONS(2710),
    [anon_sym_alignas] = ACTIONS(2710),
    [anon_sym__Alignas] = ACTIONS(2710),
    [sym_primitive_type] = ACTIONS(2710),
    [anon_sym_enum] = ACTIONS(2710),
    [anon_sym_struct] = ACTIONS(2710),
    [anon_sym_union] = ACTIONS(2710),
    [anon_sym_if] = ACTIONS(2710),
    [anon_sym_switch] = ACTIONS(2710),
    [anon_sym_case] = ACTIONS(2710),
    [anon_sym_default] = ACTIONS(2710),
    [anon_sym_while] = ACTIONS(2710),
    [anon_sym_do] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2710),
    [anon_sym_in] = ACTIONS(2710),
    [anon_sym_return] = ACTIONS(2710),
    [anon_sym_break] = ACTIONS(2710),
    [anon_sym_continue] = ACTIONS(2710),
    [anon_sym_goto] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_sizeof] = ACTIONS(2710),
    [anon_sym___alignof__] = ACTIONS(2710),
    [anon_sym___alignof] = ACTIONS(2710),
    [anon_sym__alignof] = ACTIONS(2710),
    [anon_sym_alignof] = ACTIONS(2710),
    [anon_sym__Alignof] = ACTIONS(2710),
    [anon_sym_offsetof] = ACTIONS(2710),
    [anon_sym__Generic] = ACTIONS(2710),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [anon_sym___asm] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2712),
    [anon_sym_u_SQUOTE] = ACTIONS(2712),
    [anon_sym_U_SQUOTE] = ACTIONS(2712),
    [anon_sym_u8_SQUOTE] = ACTIONS(2712),
    [anon_sym_SQUOTE] = ACTIONS(2712),
    [anon_sym_AT] = ACTIONS(2710),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [anon_sym_L_DQUOTE] = ACTIONS(2712),
    [anon_sym_u_DQUOTE] = ACTIONS(2712),
    [anon_sym_U_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8_DQUOTE] = ACTIONS(2712),
    [sym_true] = ACTIONS(2710),
    [sym_false] = ACTIONS(2710),
    [anon_sym_NULL] = ACTIONS(2710),
    [anon_sym_nullptr] = ACTIONS(2710),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2710),
    [anon_sym___typeof] = ACTIONS(2710),
    [anon_sym_typeof] = ACTIONS(2710),
    [anon_sym_ATimport] = ACTIONS(2712),
    [aux_sym_preproc_undef_token1] = ACTIONS(2710),
    [anon_sym_POUND] = ACTIONS(2710),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2710),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2710),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2710),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2710),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2710),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2710),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2710),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_API_AVAILABLE] = ACTIONS(2710),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_API_DEPRECATED] = ACTIONS(2710),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2710),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym___deprecated_msg] = ACTIONS(2710),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2710),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2710),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2710),
    [anon_sym_ATprotocol] = ACTIONS(2712),
    [anon_sym_ATinterface] = ACTIONS(2712),
    [anon_sym_ATimplementation] = ACTIONS(2712),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2712),
    [anon_sym_ATtry] = ACTIONS(2712),
    [anon_sym___try] = ACTIONS(2710),
    [anon_sym_ATthrow] = ACTIONS(2712),
    [anon_sym_ATselector] = ACTIONS(2712),
    [anon_sym_ATavailable] = ACTIONS(2712),
    [anon_sym___builtin_available] = ACTIONS(2710),
    [anon_sym_va_arg] = ACTIONS(2710),
    [anon_sym_ATencode] = ACTIONS(2712),
    [anon_sym_ATsynchronized] = ACTIONS(2712),
    [anon_sym_BOOL] = ACTIONS(2710),
    [anon_sym_IMP] = ACTIONS(2710),
    [anon_sym_SEL] = ACTIONS(2710),
    [anon_sym_Class] = ACTIONS(2710),
    [anon_sym_id] = ACTIONS(2710),
  },
  [913] = {
    [sym_identifier] = ACTIONS(2714),
    [aux_sym_preproc_include_token1] = ACTIONS(2714),
    [aux_sym_preproc_include_token2] = ACTIONS(2714),
    [aux_sym_preproc_def_token1] = ACTIONS(2714),
    [aux_sym_preproc_if_token1] = ACTIONS(2714),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2714),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2714),
    [sym_preproc_directive] = ACTIONS(2714),
    [anon_sym_LPAREN2] = ACTIONS(2716),
    [anon_sym_BANG] = ACTIONS(2716),
    [anon_sym_TILDE] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2714),
    [anon_sym_PLUS] = ACTIONS(2714),
    [anon_sym_STAR] = ACTIONS(2716),
    [anon_sym_CARET] = ACTIONS(2716),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_SEMI] = ACTIONS(2716),
    [anon_sym___extension__] = ACTIONS(2714),
    [anon_sym_typedef] = ACTIONS(2714),
    [anon_sym_extern] = ACTIONS(2714),
    [anon_sym___attribute__] = ACTIONS(2714),
    [anon_sym___attribute] = ACTIONS(2714),
    [anon_sym_noreturn] = ACTIONS(2714),
    [anon_sym_LBRACK] = ACTIONS(2716),
    [anon_sym___declspec] = ACTIONS(2714),
    [anon_sym___cdecl] = ACTIONS(2714),
    [anon_sym___clrcall] = ACTIONS(2714),
    [anon_sym___stdcall] = ACTIONS(2714),
    [anon_sym___fastcall] = ACTIONS(2714),
    [anon_sym___thiscall] = ACTIONS(2714),
    [anon_sym___vectorcall] = ACTIONS(2714),
    [anon_sym_LBRACE] = ACTIONS(2716),
    [anon_sym_RBRACE] = ACTIONS(2716),
    [anon_sym_signed] = ACTIONS(2714),
    [anon_sym_unsigned] = ACTIONS(2714),
    [anon_sym_long] = ACTIONS(2714),
    [anon_sym_short] = ACTIONS(2714),
    [anon_sym_static] = ACTIONS(2714),
    [anon_sym_ATautoreleasepool] = ACTIONS(2716),
    [anon_sym_auto] = ACTIONS(2714),
    [anon_sym_register] = ACTIONS(2714),
    [anon_sym_inline] = ACTIONS(2714),
    [anon_sym___inline] = ACTIONS(2714),
    [anon_sym___inline__] = ACTIONS(2714),
    [anon_sym___forceinline] = ACTIONS(2714),
    [anon_sym_thread_local] = ACTIONS(2714),
    [anon_sym___thread] = ACTIONS(2714),
    [anon_sym_CG_EXTERN] = ACTIONS(2714),
    [anon_sym_CG_INLINE] = ACTIONS(2714),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2714),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2714),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2714),
    [anon_sym_IBOutlet] = ACTIONS(2714),
    [anon_sym_IBInspectable] = ACTIONS(2714),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2714),
    [anon_sym_NS_INLINE] = ACTIONS(2714),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2714),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2714),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2714),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2714),
    [anon_sym_const] = ACTIONS(2714),
    [anon_sym_constexpr] = ACTIONS(2714),
    [anon_sym_volatile] = ACTIONS(2714),
    [anon_sym_restrict] = ACTIONS(2714),
    [anon_sym___restrict__] = ACTIONS(2714),
    [anon_sym__Atomic] = ACTIONS(2714),
    [anon_sym__Noreturn] = ACTIONS(2714),
    [anon_sym__Nonnull] = ACTIONS(2714),
    [anon_sym_nullable] = ACTIONS(2714),
    [anon_sym__Complex] = ACTIONS(2714),
    [anon_sym__Nullable] = ACTIONS(2714),
    [anon_sym__Nullable_result] = ACTIONS(2714),
    [anon_sym__Null_unspecified] = ACTIONS(2714),
    [anon_sym___autoreleasing] = ACTIONS(2714),
    [anon_sym___block] = ACTIONS(2714),
    [anon_sym___bridge] = ACTIONS(2714),
    [anon_sym___bridge_retained] = ACTIONS(2714),
    [anon_sym___bridge_transfer] = ACTIONS(2714),
    [anon_sym___complex] = ACTIONS(2714),
    [anon_sym___const] = ACTIONS(2714),
    [anon_sym___imag] = ACTIONS(2714),
    [anon_sym___kindof] = ACTIONS(2714),
    [anon_sym___nonnull] = ACTIONS(2714),
    [anon_sym___nullable] = ACTIONS(2714),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2714),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2714),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2714),
    [anon_sym___real] = ACTIONS(2714),
    [anon_sym___strong] = ACTIONS(2714),
    [anon_sym___unsafe_unretained] = ACTIONS(2714),
    [anon_sym___unused] = ACTIONS(2714),
    [anon_sym___weak] = ACTIONS(2714),
    [anon_sym_alignas] = ACTIONS(2714),
    [anon_sym__Alignas] = ACTIONS(2714),
    [sym_primitive_type] = ACTIONS(2714),
    [anon_sym_enum] = ACTIONS(2714),
    [anon_sym_struct] = ACTIONS(2714),
    [anon_sym_union] = ACTIONS(2714),
    [anon_sym_if] = ACTIONS(2714),
    [anon_sym_switch] = ACTIONS(2714),
    [anon_sym_case] = ACTIONS(2714),
    [anon_sym_default] = ACTIONS(2714),
    [anon_sym_while] = ACTIONS(2714),
    [anon_sym_do] = ACTIONS(2714),
    [anon_sym_for] = ACTIONS(2714),
    [anon_sym_in] = ACTIONS(2714),
    [anon_sym_return] = ACTIONS(2714),
    [anon_sym_break] = ACTIONS(2714),
    [anon_sym_continue] = ACTIONS(2714),
    [anon_sym_goto] = ACTIONS(2714),
    [anon_sym_DASH_DASH] = ACTIONS(2716),
    [anon_sym_PLUS_PLUS] = ACTIONS(2716),
    [anon_sym_sizeof] = ACTIONS(2714),
    [anon_sym___alignof__] = ACTIONS(2714),
    [anon_sym___alignof] = ACTIONS(2714),
    [anon_sym__alignof] = ACTIONS(2714),
    [anon_sym_alignof] = ACTIONS(2714),
    [anon_sym__Alignof] = ACTIONS(2714),
    [anon_sym_offsetof] = ACTIONS(2714),
    [anon_sym__Generic] = ACTIONS(2714),
    [anon_sym_asm] = ACTIONS(2714),
    [anon_sym___asm__] = ACTIONS(2714),
    [anon_sym___asm] = ACTIONS(2714),
    [sym_number_literal] = ACTIONS(2716),
    [anon_sym_L_SQUOTE] = ACTIONS(2716),
    [anon_sym_u_SQUOTE] = ACTIONS(2716),
    [anon_sym_U_SQUOTE] = ACTIONS(2716),
    [anon_sym_u8_SQUOTE] = ACTIONS(2716),
    [anon_sym_SQUOTE] = ACTIONS(2716),
    [anon_sym_AT] = ACTIONS(2714),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2714),
    [sym_false] = ACTIONS(2714),
    [anon_sym_NULL] = ACTIONS(2714),
    [anon_sym_nullptr] = ACTIONS(2714),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2714),
    [anon_sym___typeof] = ACTIONS(2714),
    [anon_sym_typeof] = ACTIONS(2714),
    [anon_sym_ATimport] = ACTIONS(2716),
    [aux_sym_preproc_undef_token1] = ACTIONS(2714),
    [anon_sym_POUND] = ACTIONS(2714),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2714),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2714),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2714),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2714),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2714),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2714),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2714),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2714),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2714),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2714),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2714),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2714),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2714),
    [anon_sym_API_AVAILABLE] = ACTIONS(2714),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2714),
    [anon_sym_API_DEPRECATED] = ACTIONS(2714),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2714),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2714),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2714),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2714),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2714),
    [anon_sym___deprecated_msg] = ACTIONS(2714),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2714),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2714),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2714),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2714),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2714),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2714),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2714),
    [anon_sym_ATprotocol] = ACTIONS(2716),
    [anon_sym_ATinterface] = ACTIONS(2716),
    [anon_sym_ATimplementation] = ACTIONS(2716),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2716),
    [anon_sym_ATtry] = ACTIONS(2716),
    [anon_sym___try] = ACTIONS(2714),
    [anon_sym_ATthrow] = ACTIONS(2716),
    [anon_sym_ATselector] = ACTIONS(2716),
    [anon_sym_ATavailable] = ACTIONS(2716),
    [anon_sym___builtin_available] = ACTIONS(2714),
    [anon_sym_va_arg] = ACTIONS(2714),
    [anon_sym_ATencode] = ACTIONS(2716),
    [anon_sym_ATsynchronized] = ACTIONS(2716),
    [anon_sym_BOOL] = ACTIONS(2714),
    [anon_sym_IMP] = ACTIONS(2714),
    [anon_sym_SEL] = ACTIONS(2714),
    [anon_sym_Class] = ACTIONS(2714),
    [anon_sym_id] = ACTIONS(2714),
  },
  [914] = {
    [sym_identifier] = ACTIONS(2872),
    [aux_sym_preproc_include_token1] = ACTIONS(2872),
    [aux_sym_preproc_include_token2] = ACTIONS(2872),
    [aux_sym_preproc_def_token1] = ACTIONS(2872),
    [aux_sym_preproc_if_token1] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2872),
    [sym_preproc_directive] = ACTIONS(2872),
    [anon_sym_LPAREN2] = ACTIONS(2874),
    [anon_sym_BANG] = ACTIONS(2874),
    [anon_sym_TILDE] = ACTIONS(2874),
    [anon_sym_DASH] = ACTIONS(2872),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_STAR] = ACTIONS(2874),
    [anon_sym_CARET] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(2874),
    [anon_sym_SEMI] = ACTIONS(2874),
    [anon_sym___extension__] = ACTIONS(2872),
    [anon_sym_typedef] = ACTIONS(2872),
    [anon_sym_extern] = ACTIONS(2872),
    [anon_sym___attribute__] = ACTIONS(2872),
    [anon_sym___attribute] = ACTIONS(2872),
    [anon_sym_noreturn] = ACTIONS(2872),
    [anon_sym_LBRACK] = ACTIONS(2874),
    [anon_sym___declspec] = ACTIONS(2872),
    [anon_sym___cdecl] = ACTIONS(2872),
    [anon_sym___clrcall] = ACTIONS(2872),
    [anon_sym___stdcall] = ACTIONS(2872),
    [anon_sym___fastcall] = ACTIONS(2872),
    [anon_sym___thiscall] = ACTIONS(2872),
    [anon_sym___vectorcall] = ACTIONS(2872),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_RBRACE] = ACTIONS(2874),
    [anon_sym_signed] = ACTIONS(2872),
    [anon_sym_unsigned] = ACTIONS(2872),
    [anon_sym_long] = ACTIONS(2872),
    [anon_sym_short] = ACTIONS(2872),
    [anon_sym_static] = ACTIONS(2872),
    [anon_sym_ATautoreleasepool] = ACTIONS(2874),
    [anon_sym_auto] = ACTIONS(2872),
    [anon_sym_register] = ACTIONS(2872),
    [anon_sym_inline] = ACTIONS(2872),
    [anon_sym___inline] = ACTIONS(2872),
    [anon_sym___inline__] = ACTIONS(2872),
    [anon_sym___forceinline] = ACTIONS(2872),
    [anon_sym_thread_local] = ACTIONS(2872),
    [anon_sym___thread] = ACTIONS(2872),
    [anon_sym_CG_EXTERN] = ACTIONS(2872),
    [anon_sym_CG_INLINE] = ACTIONS(2872),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2872),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2872),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2872),
    [anon_sym_IBOutlet] = ACTIONS(2872),
    [anon_sym_IBInspectable] = ACTIONS(2872),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2872),
    [anon_sym_NS_INLINE] = ACTIONS(2872),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2872),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2872),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2872),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2872),
    [anon_sym_const] = ACTIONS(2872),
    [anon_sym_constexpr] = ACTIONS(2872),
    [anon_sym_volatile] = ACTIONS(2872),
    [anon_sym_restrict] = ACTIONS(2872),
    [anon_sym___restrict__] = ACTIONS(2872),
    [anon_sym__Atomic] = ACTIONS(2872),
    [anon_sym__Noreturn] = ACTIONS(2872),
    [anon_sym__Nonnull] = ACTIONS(2872),
    [anon_sym_nullable] = ACTIONS(2872),
    [anon_sym__Complex] = ACTIONS(2872),
    [anon_sym__Nullable] = ACTIONS(2872),
    [anon_sym__Nullable_result] = ACTIONS(2872),
    [anon_sym__Null_unspecified] = ACTIONS(2872),
    [anon_sym___autoreleasing] = ACTIONS(2872),
    [anon_sym___block] = ACTIONS(2872),
    [anon_sym___bridge] = ACTIONS(2872),
    [anon_sym___bridge_retained] = ACTIONS(2872),
    [anon_sym___bridge_transfer] = ACTIONS(2872),
    [anon_sym___complex] = ACTIONS(2872),
    [anon_sym___const] = ACTIONS(2872),
    [anon_sym___imag] = ACTIONS(2872),
    [anon_sym___kindof] = ACTIONS(2872),
    [anon_sym___nonnull] = ACTIONS(2872),
    [anon_sym___nullable] = ACTIONS(2872),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2872),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2872),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2872),
    [anon_sym___real] = ACTIONS(2872),
    [anon_sym___strong] = ACTIONS(2872),
    [anon_sym___unsafe_unretained] = ACTIONS(2872),
    [anon_sym___unused] = ACTIONS(2872),
    [anon_sym___weak] = ACTIONS(2872),
    [anon_sym_alignas] = ACTIONS(2872),
    [anon_sym__Alignas] = ACTIONS(2872),
    [sym_primitive_type] = ACTIONS(2872),
    [anon_sym_enum] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2872),
    [anon_sym_union] = ACTIONS(2872),
    [anon_sym_if] = ACTIONS(2872),
    [anon_sym_switch] = ACTIONS(2872),
    [anon_sym_case] = ACTIONS(2872),
    [anon_sym_default] = ACTIONS(2872),
    [anon_sym_while] = ACTIONS(2872),
    [anon_sym_do] = ACTIONS(2872),
    [anon_sym_for] = ACTIONS(2872),
    [anon_sym_in] = ACTIONS(2872),
    [anon_sym_return] = ACTIONS(2872),
    [anon_sym_break] = ACTIONS(2872),
    [anon_sym_continue] = ACTIONS(2872),
    [anon_sym_goto] = ACTIONS(2872),
    [anon_sym_DASH_DASH] = ACTIONS(2874),
    [anon_sym_PLUS_PLUS] = ACTIONS(2874),
    [anon_sym_sizeof] = ACTIONS(2872),
    [anon_sym___alignof__] = ACTIONS(2872),
    [anon_sym___alignof] = ACTIONS(2872),
    [anon_sym__alignof] = ACTIONS(2872),
    [anon_sym_alignof] = ACTIONS(2872),
    [anon_sym__Alignof] = ACTIONS(2872),
    [anon_sym_offsetof] = ACTIONS(2872),
    [anon_sym__Generic] = ACTIONS(2872),
    [anon_sym_asm] = ACTIONS(2872),
    [anon_sym___asm__] = ACTIONS(2872),
    [anon_sym___asm] = ACTIONS(2872),
    [sym_number_literal] = ACTIONS(2874),
    [anon_sym_L_SQUOTE] = ACTIONS(2874),
    [anon_sym_u_SQUOTE] = ACTIONS(2874),
    [anon_sym_U_SQUOTE] = ACTIONS(2874),
    [anon_sym_u8_SQUOTE] = ACTIONS(2874),
    [anon_sym_SQUOTE] = ACTIONS(2874),
    [anon_sym_AT] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2874),
    [anon_sym_L_DQUOTE] = ACTIONS(2874),
    [anon_sym_u_DQUOTE] = ACTIONS(2874),
    [anon_sym_U_DQUOTE] = ACTIONS(2874),
    [anon_sym_u8_DQUOTE] = ACTIONS(2874),
    [sym_true] = ACTIONS(2872),
    [sym_false] = ACTIONS(2872),
    [anon_sym_NULL] = ACTIONS(2872),
    [anon_sym_nullptr] = ACTIONS(2872),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2872),
    [anon_sym___typeof] = ACTIONS(2872),
    [anon_sym_typeof] = ACTIONS(2872),
    [anon_sym_ATimport] = ACTIONS(2874),
    [aux_sym_preproc_undef_token1] = ACTIONS(2872),
    [anon_sym_POUND] = ACTIONS(2872),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2872),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2872),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2872),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2872),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2872),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2872),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2872),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2872),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2872),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2872),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2872),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2872),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2872),
    [anon_sym_API_AVAILABLE] = ACTIONS(2872),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2872),
    [anon_sym_API_DEPRECATED] = ACTIONS(2872),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2872),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2872),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2872),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2872),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2872),
    [anon_sym___deprecated_msg] = ACTIONS(2872),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2872),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2872),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2872),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2872),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2872),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2872),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2872),
    [anon_sym_ATprotocol] = ACTIONS(2874),
    [anon_sym_ATinterface] = ACTIONS(2874),
    [anon_sym_ATimplementation] = ACTIONS(2874),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2874),
    [anon_sym_ATtry] = ACTIONS(2874),
    [anon_sym___try] = ACTIONS(2872),
    [anon_sym_ATthrow] = ACTIONS(2874),
    [anon_sym_ATselector] = ACTIONS(2874),
    [anon_sym_ATavailable] = ACTIONS(2874),
    [anon_sym___builtin_available] = ACTIONS(2872),
    [anon_sym_va_arg] = ACTIONS(2872),
    [anon_sym_ATencode] = ACTIONS(2874),
    [anon_sym_ATsynchronized] = ACTIONS(2874),
    [anon_sym_BOOL] = ACTIONS(2872),
    [anon_sym_IMP] = ACTIONS(2872),
    [anon_sym_SEL] = ACTIONS(2872),
    [anon_sym_Class] = ACTIONS(2872),
    [anon_sym_id] = ACTIONS(2872),
  },
  [915] = {
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_include_token1] = ACTIONS(2576),
    [aux_sym_preproc_include_token2] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym___attribute] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_RBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_ATautoreleasepool] = ACTIONS(2578),
    [anon_sym_auto] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_CG_EXTERN] = ACTIONS(2576),
    [anon_sym_CG_INLINE] = ACTIONS(2576),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2576),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2576),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2576),
    [anon_sym_IBOutlet] = ACTIONS(2576),
    [anon_sym_IBInspectable] = ACTIONS(2576),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2576),
    [anon_sym_NS_INLINE] = ACTIONS(2576),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2576),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2576),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2576),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym__Nonnull] = ACTIONS(2576),
    [anon_sym_nullable] = ACTIONS(2576),
    [anon_sym__Complex] = ACTIONS(2576),
    [anon_sym__Nullable] = ACTIONS(2576),
    [anon_sym__Nullable_result] = ACTIONS(2576),
    [anon_sym__Null_unspecified] = ACTIONS(2576),
    [anon_sym___autoreleasing] = ACTIONS(2576),
    [anon_sym___block] = ACTIONS(2576),
    [anon_sym___bridge] = ACTIONS(2576),
    [anon_sym___bridge_retained] = ACTIONS(2576),
    [anon_sym___bridge_transfer] = ACTIONS(2576),
    [anon_sym___complex] = ACTIONS(2576),
    [anon_sym___const] = ACTIONS(2576),
    [anon_sym___imag] = ACTIONS(2576),
    [anon_sym___kindof] = ACTIONS(2576),
    [anon_sym___nonnull] = ACTIONS(2576),
    [anon_sym___nullable] = ACTIONS(2576),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2576),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2576),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2576),
    [anon_sym___real] = ACTIONS(2576),
    [anon_sym___strong] = ACTIONS(2576),
    [anon_sym___unsafe_unretained] = ACTIONS(2576),
    [anon_sym___unused] = ACTIONS(2576),
    [anon_sym___weak] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_default] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_in] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [anon_sym___asm] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_AT] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2576),
    [anon_sym___typeof] = ACTIONS(2576),
    [anon_sym_typeof] = ACTIONS(2576),
    [anon_sym_ATimport] = ACTIONS(2578),
    [aux_sym_preproc_undef_token1] = ACTIONS(2576),
    [anon_sym_POUND] = ACTIONS(2576),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2576),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2576),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2576),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2576),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2576),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2576),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2576),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2576),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2576),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_API_AVAILABLE] = ACTIONS(2576),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_API_DEPRECATED] = ACTIONS(2576),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2576),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2576),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2576),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2576),
    [anon_sym___deprecated_msg] = ACTIONS(2576),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2576),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2576),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2576),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2576),
    [anon_sym_ATprotocol] = ACTIONS(2578),
    [anon_sym_ATinterface] = ACTIONS(2578),
    [anon_sym_ATimplementation] = ACTIONS(2578),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2578),
    [anon_sym_ATtry] = ACTIONS(2578),
    [anon_sym___try] = ACTIONS(2576),
    [anon_sym_ATthrow] = ACTIONS(2578),
    [anon_sym_ATselector] = ACTIONS(2578),
    [anon_sym_ATavailable] = ACTIONS(2578),
    [anon_sym___builtin_available] = ACTIONS(2576),
    [anon_sym_va_arg] = ACTIONS(2576),
    [anon_sym_ATencode] = ACTIONS(2578),
    [anon_sym_ATsynchronized] = ACTIONS(2578),
    [anon_sym_BOOL] = ACTIONS(2576),
    [anon_sym_IMP] = ACTIONS(2576),
    [anon_sym_SEL] = ACTIONS(2576),
    [anon_sym_Class] = ACTIONS(2576),
    [anon_sym_id] = ACTIONS(2576),
  },
  [916] = {
    [sym_identifier] = ACTIONS(2836),
    [aux_sym_preproc_include_token1] = ACTIONS(2836),
    [aux_sym_preproc_include_token2] = ACTIONS(2836),
    [aux_sym_preproc_def_token1] = ACTIONS(2836),
    [aux_sym_preproc_if_token1] = ACTIONS(2836),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2836),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2836),
    [sym_preproc_directive] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2838),
    [anon_sym_TILDE] = ACTIONS(2838),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_STAR] = ACTIONS(2838),
    [anon_sym_CARET] = ACTIONS(2838),
    [anon_sym_AMP] = ACTIONS(2838),
    [anon_sym_SEMI] = ACTIONS(2838),
    [anon_sym___extension__] = ACTIONS(2836),
    [anon_sym_typedef] = ACTIONS(2836),
    [anon_sym_extern] = ACTIONS(2836),
    [anon_sym___attribute__] = ACTIONS(2836),
    [anon_sym___attribute] = ACTIONS(2836),
    [anon_sym_noreturn] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym___declspec] = ACTIONS(2836),
    [anon_sym___cdecl] = ACTIONS(2836),
    [anon_sym___clrcall] = ACTIONS(2836),
    [anon_sym___stdcall] = ACTIONS(2836),
    [anon_sym___fastcall] = ACTIONS(2836),
    [anon_sym___thiscall] = ACTIONS(2836),
    [anon_sym___vectorcall] = ACTIONS(2836),
    [anon_sym_LBRACE] = ACTIONS(2838),
    [anon_sym_RBRACE] = ACTIONS(2838),
    [anon_sym_signed] = ACTIONS(2836),
    [anon_sym_unsigned] = ACTIONS(2836),
    [anon_sym_long] = ACTIONS(2836),
    [anon_sym_short] = ACTIONS(2836),
    [anon_sym_static] = ACTIONS(2836),
    [anon_sym_ATautoreleasepool] = ACTIONS(2838),
    [anon_sym_auto] = ACTIONS(2836),
    [anon_sym_register] = ACTIONS(2836),
    [anon_sym_inline] = ACTIONS(2836),
    [anon_sym___inline] = ACTIONS(2836),
    [anon_sym___inline__] = ACTIONS(2836),
    [anon_sym___forceinline] = ACTIONS(2836),
    [anon_sym_thread_local] = ACTIONS(2836),
    [anon_sym___thread] = ACTIONS(2836),
    [anon_sym_CG_EXTERN] = ACTIONS(2836),
    [anon_sym_CG_INLINE] = ACTIONS(2836),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2836),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2836),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2836),
    [anon_sym_IBOutlet] = ACTIONS(2836),
    [anon_sym_IBInspectable] = ACTIONS(2836),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2836),
    [anon_sym_NS_INLINE] = ACTIONS(2836),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2836),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2836),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2836),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2836),
    [anon_sym_const] = ACTIONS(2836),
    [anon_sym_constexpr] = ACTIONS(2836),
    [anon_sym_volatile] = ACTIONS(2836),
    [anon_sym_restrict] = ACTIONS(2836),
    [anon_sym___restrict__] = ACTIONS(2836),
    [anon_sym__Atomic] = ACTIONS(2836),
    [anon_sym__Noreturn] = ACTIONS(2836),
    [anon_sym__Nonnull] = ACTIONS(2836),
    [anon_sym_nullable] = ACTIONS(2836),
    [anon_sym__Complex] = ACTIONS(2836),
    [anon_sym__Nullable] = ACTIONS(2836),
    [anon_sym__Nullable_result] = ACTIONS(2836),
    [anon_sym__Null_unspecified] = ACTIONS(2836),
    [anon_sym___autoreleasing] = ACTIONS(2836),
    [anon_sym___block] = ACTIONS(2836),
    [anon_sym___bridge] = ACTIONS(2836),
    [anon_sym___bridge_retained] = ACTIONS(2836),
    [anon_sym___bridge_transfer] = ACTIONS(2836),
    [anon_sym___complex] = ACTIONS(2836),
    [anon_sym___const] = ACTIONS(2836),
    [anon_sym___imag] = ACTIONS(2836),
    [anon_sym___kindof] = ACTIONS(2836),
    [anon_sym___nonnull] = ACTIONS(2836),
    [anon_sym___nullable] = ACTIONS(2836),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2836),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2836),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2836),
    [anon_sym___real] = ACTIONS(2836),
    [anon_sym___strong] = ACTIONS(2836),
    [anon_sym___unsafe_unretained] = ACTIONS(2836),
    [anon_sym___unused] = ACTIONS(2836),
    [anon_sym___weak] = ACTIONS(2836),
    [anon_sym_alignas] = ACTIONS(2836),
    [anon_sym__Alignas] = ACTIONS(2836),
    [sym_primitive_type] = ACTIONS(2836),
    [anon_sym_enum] = ACTIONS(2836),
    [anon_sym_struct] = ACTIONS(2836),
    [anon_sym_union] = ACTIONS(2836),
    [anon_sym_if] = ACTIONS(2836),
    [anon_sym_switch] = ACTIONS(2836),
    [anon_sym_case] = ACTIONS(2836),
    [anon_sym_default] = ACTIONS(2836),
    [anon_sym_while] = ACTIONS(2836),
    [anon_sym_do] = ACTIONS(2836),
    [anon_sym_for] = ACTIONS(2836),
    [anon_sym_in] = ACTIONS(2836),
    [anon_sym_return] = ACTIONS(2836),
    [anon_sym_break] = ACTIONS(2836),
    [anon_sym_continue] = ACTIONS(2836),
    [anon_sym_goto] = ACTIONS(2836),
    [anon_sym_DASH_DASH] = ACTIONS(2838),
    [anon_sym_PLUS_PLUS] = ACTIONS(2838),
    [anon_sym_sizeof] = ACTIONS(2836),
    [anon_sym___alignof__] = ACTIONS(2836),
    [anon_sym___alignof] = ACTIONS(2836),
    [anon_sym__alignof] = ACTIONS(2836),
    [anon_sym_alignof] = ACTIONS(2836),
    [anon_sym__Alignof] = ACTIONS(2836),
    [anon_sym_offsetof] = ACTIONS(2836),
    [anon_sym__Generic] = ACTIONS(2836),
    [anon_sym_asm] = ACTIONS(2836),
    [anon_sym___asm__] = ACTIONS(2836),
    [anon_sym___asm] = ACTIONS(2836),
    [sym_number_literal] = ACTIONS(2838),
    [anon_sym_L_SQUOTE] = ACTIONS(2838),
    [anon_sym_u_SQUOTE] = ACTIONS(2838),
    [anon_sym_U_SQUOTE] = ACTIONS(2838),
    [anon_sym_u8_SQUOTE] = ACTIONS(2838),
    [anon_sym_SQUOTE] = ACTIONS(2838),
    [anon_sym_AT] = ACTIONS(2836),
    [anon_sym_DQUOTE] = ACTIONS(2838),
    [anon_sym_L_DQUOTE] = ACTIONS(2838),
    [anon_sym_u_DQUOTE] = ACTIONS(2838),
    [anon_sym_U_DQUOTE] = ACTIONS(2838),
    [anon_sym_u8_DQUOTE] = ACTIONS(2838),
    [sym_true] = ACTIONS(2836),
    [sym_false] = ACTIONS(2836),
    [anon_sym_NULL] = ACTIONS(2836),
    [anon_sym_nullptr] = ACTIONS(2836),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2836),
    [anon_sym___typeof] = ACTIONS(2836),
    [anon_sym_typeof] = ACTIONS(2836),
    [anon_sym_ATimport] = ACTIONS(2838),
    [aux_sym_preproc_undef_token1] = ACTIONS(2836),
    [anon_sym_POUND] = ACTIONS(2836),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2836),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2836),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2836),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2836),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2836),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2836),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2836),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2836),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2836),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2836),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2836),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2836),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2836),
    [anon_sym_API_AVAILABLE] = ACTIONS(2836),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2836),
    [anon_sym_API_DEPRECATED] = ACTIONS(2836),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2836),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2836),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2836),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2836),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2836),
    [anon_sym___deprecated_msg] = ACTIONS(2836),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2836),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2836),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2836),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2836),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2836),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2836),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2836),
    [anon_sym_ATprotocol] = ACTIONS(2838),
    [anon_sym_ATinterface] = ACTIONS(2838),
    [anon_sym_ATimplementation] = ACTIONS(2838),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2838),
    [anon_sym_ATtry] = ACTIONS(2838),
    [anon_sym___try] = ACTIONS(2836),
    [anon_sym_ATthrow] = ACTIONS(2838),
    [anon_sym_ATselector] = ACTIONS(2838),
    [anon_sym_ATavailable] = ACTIONS(2838),
    [anon_sym___builtin_available] = ACTIONS(2836),
    [anon_sym_va_arg] = ACTIONS(2836),
    [anon_sym_ATencode] = ACTIONS(2838),
    [anon_sym_ATsynchronized] = ACTIONS(2838),
    [anon_sym_BOOL] = ACTIONS(2836),
    [anon_sym_IMP] = ACTIONS(2836),
    [anon_sym_SEL] = ACTIONS(2836),
    [anon_sym_Class] = ACTIONS(2836),
    [anon_sym_id] = ACTIONS(2836),
  },
  [917] = {
    [sym_ms_declspec_modifier] = STATE(6516),
    [sym_expression] = STATE(4380),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_typedef] = ACTIONS(2920),
    [anon_sym_extern] = ACTIONS(2922),
    [anon_sym___attribute__] = ACTIONS(2922),
    [anon_sym___attribute] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_static] = ACTIONS(2922),
    [anon_sym_auto] = ACTIONS(2922),
    [anon_sym_register] = ACTIONS(2922),
    [anon_sym_inline] = ACTIONS(2922),
    [anon_sym___inline] = ACTIONS(2922),
    [anon_sym___inline__] = ACTIONS(2922),
    [anon_sym___forceinline] = ACTIONS(2922),
    [anon_sym_thread_local] = ACTIONS(2922),
    [anon_sym___thread] = ACTIONS(2922),
    [anon_sym_CG_EXTERN] = ACTIONS(2922),
    [anon_sym_CG_INLINE] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2922),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2922),
    [anon_sym_IBOutlet] = ACTIONS(2922),
    [anon_sym_IBInspectable] = ACTIONS(2922),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2922),
    [anon_sym_NS_INLINE] = ACTIONS(2922),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2922),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2922),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_union] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2922),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2922),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2922),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_API_AVAILABLE] = ACTIONS(2922),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_API_DEPRECATED] = ACTIONS(2922),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym___deprecated_msg] = ACTIONS(2922),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2922),
    [anon_sym_ATprotocol] = ACTIONS(2928),
    [anon_sym_ATinterface] = ACTIONS(2928),
    [anon_sym_ATimplementation] = ACTIONS(2928),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(203),
  },
  [918] = {
    [ts_builtin_sym_end] = ACTIONS(2370),
    [sym_identifier] = ACTIONS(2368),
    [aux_sym_preproc_include_token1] = ACTIONS(2368),
    [aux_sym_preproc_include_token2] = ACTIONS(2368),
    [aux_sym_preproc_def_token1] = ACTIONS(2368),
    [anon_sym_COMMA] = ACTIONS(2370),
    [anon_sym_RPAREN] = ACTIONS(2370),
    [aux_sym_preproc_if_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2368),
    [sym_preproc_directive] = ACTIONS(2368),
    [anon_sym_LPAREN2] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_CARET] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym___extension__] = ACTIONS(2368),
    [anon_sym_typedef] = ACTIONS(2368),
    [anon_sym_extern] = ACTIONS(2368),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym___attribute] = ACTIONS(2368),
    [anon_sym_noreturn] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym___declspec] = ACTIONS(2368),
    [anon_sym___cdecl] = ACTIONS(2368),
    [anon_sym___clrcall] = ACTIONS(2368),
    [anon_sym___stdcall] = ACTIONS(2368),
    [anon_sym___fastcall] = ACTIONS(2368),
    [anon_sym___thiscall] = ACTIONS(2368),
    [anon_sym___vectorcall] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_signed] = ACTIONS(2368),
    [anon_sym_unsigned] = ACTIONS(2368),
    [anon_sym_long] = ACTIONS(2368),
    [anon_sym_short] = ACTIONS(2368),
    [anon_sym_static] = ACTIONS(2368),
    [anon_sym_ATautoreleasepool] = ACTIONS(2370),
    [anon_sym_auto] = ACTIONS(2368),
    [anon_sym_register] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(2368),
    [anon_sym___inline] = ACTIONS(2368),
    [anon_sym___inline__] = ACTIONS(2368),
    [anon_sym___forceinline] = ACTIONS(2368),
    [anon_sym_thread_local] = ACTIONS(2368),
    [anon_sym___thread] = ACTIONS(2368),
    [anon_sym_CG_EXTERN] = ACTIONS(2368),
    [anon_sym_CG_INLINE] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2368),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2368),
    [anon_sym_IBOutlet] = ACTIONS(2368),
    [anon_sym_IBInspectable] = ACTIONS(2368),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2368),
    [anon_sym_NS_INLINE] = ACTIONS(2368),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2368),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2368),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2368),
    [anon_sym_const] = ACTIONS(2368),
    [anon_sym_constexpr] = ACTIONS(2368),
    [anon_sym_volatile] = ACTIONS(2368),
    [anon_sym_restrict] = ACTIONS(2368),
    [anon_sym___restrict__] = ACTIONS(2368),
    [anon_sym__Atomic] = ACTIONS(2368),
    [anon_sym__Noreturn] = ACTIONS(2368),
    [anon_sym__Nonnull] = ACTIONS(2368),
    [anon_sym_nullable] = ACTIONS(2368),
    [anon_sym__Complex] = ACTIONS(2368),
    [anon_sym__Nullable] = ACTIONS(2368),
    [anon_sym__Nullable_result] = ACTIONS(2368),
    [anon_sym__Null_unspecified] = ACTIONS(2368),
    [anon_sym___autoreleasing] = ACTIONS(2368),
    [anon_sym___block] = ACTIONS(2368),
    [anon_sym___bridge] = ACTIONS(2368),
    [anon_sym___bridge_retained] = ACTIONS(2368),
    [anon_sym___bridge_transfer] = ACTIONS(2368),
    [anon_sym___complex] = ACTIONS(2368),
    [anon_sym___const] = ACTIONS(2368),
    [anon_sym___imag] = ACTIONS(2368),
    [anon_sym___kindof] = ACTIONS(2368),
    [anon_sym___nonnull] = ACTIONS(2368),
    [anon_sym___nullable] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2368),
    [anon_sym___real] = ACTIONS(2368),
    [anon_sym___strong] = ACTIONS(2368),
    [anon_sym___unsafe_unretained] = ACTIONS(2368),
    [anon_sym___unused] = ACTIONS(2368),
    [anon_sym___weak] = ACTIONS(2368),
    [anon_sym_alignas] = ACTIONS(2368),
    [anon_sym__Alignas] = ACTIONS(2368),
    [sym_primitive_type] = ACTIONS(2368),
    [anon_sym_enum] = ACTIONS(2368),
    [anon_sym_struct] = ACTIONS(2368),
    [anon_sym_union] = ACTIONS(2368),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_else] = ACTIONS(2368),
    [anon_sym_switch] = ACTIONS(2368),
    [anon_sym_case] = ACTIONS(2368),
    [anon_sym_default] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_do] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2368),
    [anon_sym_in] = ACTIONS(2368),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_break] = ACTIONS(2368),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_goto] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_sizeof] = ACTIONS(2368),
    [anon_sym___alignof__] = ACTIONS(2368),
    [anon_sym___alignof] = ACTIONS(2368),
    [anon_sym__alignof] = ACTIONS(2368),
    [anon_sym_alignof] = ACTIONS(2368),
    [anon_sym__Alignof] = ACTIONS(2368),
    [anon_sym_offsetof] = ACTIONS(2368),
    [anon_sym__Generic] = ACTIONS(2368),
    [anon_sym_asm] = ACTIONS(2368),
    [anon_sym___asm__] = ACTIONS(2368),
    [anon_sym___asm] = ACTIONS(2368),
    [sym_number_literal] = ACTIONS(2370),
    [anon_sym_L_SQUOTE] = ACTIONS(2370),
    [anon_sym_u_SQUOTE] = ACTIONS(2370),
    [anon_sym_U_SQUOTE] = ACTIONS(2370),
    [anon_sym_u8_SQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2368),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_L_DQUOTE] = ACTIONS(2370),
    [anon_sym_u_DQUOTE] = ACTIONS(2370),
    [anon_sym_U_DQUOTE] = ACTIONS(2370),
    [anon_sym_u8_DQUOTE] = ACTIONS(2370),
    [sym_true] = ACTIONS(2368),
    [sym_false] = ACTIONS(2368),
    [anon_sym_NULL] = ACTIONS(2368),
    [anon_sym_nullptr] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2368),
    [anon_sym___typeof] = ACTIONS(2368),
    [anon_sym_typeof] = ACTIONS(2368),
    [anon_sym_ATimport] = ACTIONS(2370),
    [aux_sym_preproc_undef_token1] = ACTIONS(2368),
    [anon_sym_POUND] = ACTIONS(2368),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2368),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2368),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2368),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_API_AVAILABLE] = ACTIONS(2368),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_API_DEPRECATED] = ACTIONS(2368),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym___deprecated_msg] = ACTIONS(2368),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2368),
    [anon_sym_ATprotocol] = ACTIONS(2370),
    [anon_sym_ATinterface] = ACTIONS(2370),
    [anon_sym_ATimplementation] = ACTIONS(2370),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2370),
    [anon_sym_ATselector] = ACTIONS(2370),
    [anon_sym_ATavailable] = ACTIONS(2370),
    [anon_sym___builtin_available] = ACTIONS(2368),
    [anon_sym_va_arg] = ACTIONS(2368),
    [anon_sym_ATencode] = ACTIONS(2370),
    [anon_sym_BOOL] = ACTIONS(2368),
    [anon_sym_IMP] = ACTIONS(2368),
    [anon_sym_SEL] = ACTIONS(2368),
    [anon_sym_Class] = ACTIONS(2368),
    [anon_sym_id] = ACTIONS(2368),
  },
  [919] = {
    [ts_builtin_sym_end] = ACTIONS(2358),
    [sym_identifier] = ACTIONS(2356),
    [aux_sym_preproc_include_token1] = ACTIONS(2356),
    [aux_sym_preproc_include_token2] = ACTIONS(2356),
    [aux_sym_preproc_def_token1] = ACTIONS(2356),
    [anon_sym_COMMA] = ACTIONS(2358),
    [anon_sym_RPAREN] = ACTIONS(2358),
    [aux_sym_preproc_if_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2356),
    [sym_preproc_directive] = ACTIONS(2356),
    [anon_sym_LPAREN2] = ACTIONS(2358),
    [anon_sym_BANG] = ACTIONS(2358),
    [anon_sym_TILDE] = ACTIONS(2358),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2358),
    [anon_sym_CARET] = ACTIONS(2358),
    [anon_sym_AMP] = ACTIONS(2358),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2356),
    [anon_sym_typedef] = ACTIONS(2356),
    [anon_sym_extern] = ACTIONS(2356),
    [anon_sym___attribute__] = ACTIONS(2356),
    [anon_sym___attribute] = ACTIONS(2356),
    [anon_sym_noreturn] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2358),
    [anon_sym___declspec] = ACTIONS(2356),
    [anon_sym___cdecl] = ACTIONS(2356),
    [anon_sym___clrcall] = ACTIONS(2356),
    [anon_sym___stdcall] = ACTIONS(2356),
    [anon_sym___fastcall] = ACTIONS(2356),
    [anon_sym___thiscall] = ACTIONS(2356),
    [anon_sym___vectorcall] = ACTIONS(2356),
    [anon_sym_LBRACE] = ACTIONS(2358),
    [anon_sym_signed] = ACTIONS(2356),
    [anon_sym_unsigned] = ACTIONS(2356),
    [anon_sym_long] = ACTIONS(2356),
    [anon_sym_short] = ACTIONS(2356),
    [anon_sym_static] = ACTIONS(2356),
    [anon_sym_ATautoreleasepool] = ACTIONS(2358),
    [anon_sym_auto] = ACTIONS(2356),
    [anon_sym_register] = ACTIONS(2356),
    [anon_sym_inline] = ACTIONS(2356),
    [anon_sym___inline] = ACTIONS(2356),
    [anon_sym___inline__] = ACTIONS(2356),
    [anon_sym___forceinline] = ACTIONS(2356),
    [anon_sym_thread_local] = ACTIONS(2356),
    [anon_sym___thread] = ACTIONS(2356),
    [anon_sym_CG_EXTERN] = ACTIONS(2356),
    [anon_sym_CG_INLINE] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2356),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2356),
    [anon_sym_IBOutlet] = ACTIONS(2356),
    [anon_sym_IBInspectable] = ACTIONS(2356),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2356),
    [anon_sym_NS_INLINE] = ACTIONS(2356),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2356),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2356),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2356),
    [anon_sym_const] = ACTIONS(2356),
    [anon_sym_constexpr] = ACTIONS(2356),
    [anon_sym_volatile] = ACTIONS(2356),
    [anon_sym_restrict] = ACTIONS(2356),
    [anon_sym___restrict__] = ACTIONS(2356),
    [anon_sym__Atomic] = ACTIONS(2356),
    [anon_sym__Noreturn] = ACTIONS(2356),
    [anon_sym__Nonnull] = ACTIONS(2356),
    [anon_sym_nullable] = ACTIONS(2356),
    [anon_sym__Complex] = ACTIONS(2356),
    [anon_sym__Nullable] = ACTIONS(2356),
    [anon_sym__Nullable_result] = ACTIONS(2356),
    [anon_sym__Null_unspecified] = ACTIONS(2356),
    [anon_sym___autoreleasing] = ACTIONS(2356),
    [anon_sym___block] = ACTIONS(2356),
    [anon_sym___bridge] = ACTIONS(2356),
    [anon_sym___bridge_retained] = ACTIONS(2356),
    [anon_sym___bridge_transfer] = ACTIONS(2356),
    [anon_sym___complex] = ACTIONS(2356),
    [anon_sym___const] = ACTIONS(2356),
    [anon_sym___imag] = ACTIONS(2356),
    [anon_sym___kindof] = ACTIONS(2356),
    [anon_sym___nonnull] = ACTIONS(2356),
    [anon_sym___nullable] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2356),
    [anon_sym___real] = ACTIONS(2356),
    [anon_sym___strong] = ACTIONS(2356),
    [anon_sym___unsafe_unretained] = ACTIONS(2356),
    [anon_sym___unused] = ACTIONS(2356),
    [anon_sym___weak] = ACTIONS(2356),
    [anon_sym_alignas] = ACTIONS(2356),
    [anon_sym__Alignas] = ACTIONS(2356),
    [sym_primitive_type] = ACTIONS(2356),
    [anon_sym_enum] = ACTIONS(2356),
    [anon_sym_struct] = ACTIONS(2356),
    [anon_sym_union] = ACTIONS(2356),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_else] = ACTIONS(2356),
    [anon_sym_switch] = ACTIONS(2356),
    [anon_sym_case] = ACTIONS(2356),
    [anon_sym_default] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(2356),
    [anon_sym_for] = ACTIONS(2356),
    [anon_sym_in] = ACTIONS(2356),
    [anon_sym_return] = ACTIONS(2356),
    [anon_sym_break] = ACTIONS(2356),
    [anon_sym_continue] = ACTIONS(2356),
    [anon_sym_goto] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2358),
    [anon_sym_PLUS_PLUS] = ACTIONS(2358),
    [anon_sym_sizeof] = ACTIONS(2356),
    [anon_sym___alignof__] = ACTIONS(2356),
    [anon_sym___alignof] = ACTIONS(2356),
    [anon_sym__alignof] = ACTIONS(2356),
    [anon_sym_alignof] = ACTIONS(2356),
    [anon_sym__Alignof] = ACTIONS(2356),
    [anon_sym_offsetof] = ACTIONS(2356),
    [anon_sym__Generic] = ACTIONS(2356),
    [anon_sym_asm] = ACTIONS(2356),
    [anon_sym___asm__] = ACTIONS(2356),
    [anon_sym___asm] = ACTIONS(2356),
    [sym_number_literal] = ACTIONS(2358),
    [anon_sym_L_SQUOTE] = ACTIONS(2358),
    [anon_sym_u_SQUOTE] = ACTIONS(2358),
    [anon_sym_U_SQUOTE] = ACTIONS(2358),
    [anon_sym_u8_SQUOTE] = ACTIONS(2358),
    [anon_sym_SQUOTE] = ACTIONS(2358),
    [anon_sym_AT] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2358),
    [anon_sym_L_DQUOTE] = ACTIONS(2358),
    [anon_sym_u_DQUOTE] = ACTIONS(2358),
    [anon_sym_U_DQUOTE] = ACTIONS(2358),
    [anon_sym_u8_DQUOTE] = ACTIONS(2358),
    [sym_true] = ACTIONS(2356),
    [sym_false] = ACTIONS(2356),
    [anon_sym_NULL] = ACTIONS(2356),
    [anon_sym_nullptr] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2356),
    [anon_sym___typeof] = ACTIONS(2356),
    [anon_sym_typeof] = ACTIONS(2356),
    [anon_sym_ATimport] = ACTIONS(2358),
    [aux_sym_preproc_undef_token1] = ACTIONS(2356),
    [anon_sym_POUND] = ACTIONS(2356),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2356),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2356),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2356),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_API_AVAILABLE] = ACTIONS(2356),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_API_DEPRECATED] = ACTIONS(2356),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym___deprecated_msg] = ACTIONS(2356),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2356),
    [anon_sym_ATprotocol] = ACTIONS(2358),
    [anon_sym_ATinterface] = ACTIONS(2358),
    [anon_sym_ATimplementation] = ACTIONS(2358),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2358),
    [anon_sym_ATselector] = ACTIONS(2358),
    [anon_sym_ATavailable] = ACTIONS(2358),
    [anon_sym___builtin_available] = ACTIONS(2356),
    [anon_sym_va_arg] = ACTIONS(2356),
    [anon_sym_ATencode] = ACTIONS(2358),
    [anon_sym_BOOL] = ACTIONS(2356),
    [anon_sym_IMP] = ACTIONS(2356),
    [anon_sym_SEL] = ACTIONS(2356),
    [anon_sym_Class] = ACTIONS(2356),
    [anon_sym_id] = ACTIONS(2356),
  },
  [920] = {
    [ts_builtin_sym_end] = ACTIONS(2348),
    [sym_identifier] = ACTIONS(2346),
    [aux_sym_preproc_include_token1] = ACTIONS(2346),
    [aux_sym_preproc_include_token2] = ACTIONS(2346),
    [aux_sym_preproc_def_token1] = ACTIONS(2346),
    [anon_sym_COMMA] = ACTIONS(2348),
    [anon_sym_RPAREN] = ACTIONS(2348),
    [aux_sym_preproc_if_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2346),
    [sym_preproc_directive] = ACTIONS(2346),
    [anon_sym_LPAREN2] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_CARET] = ACTIONS(2348),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym___extension__] = ACTIONS(2346),
    [anon_sym_typedef] = ACTIONS(2346),
    [anon_sym_extern] = ACTIONS(2346),
    [anon_sym___attribute__] = ACTIONS(2346),
    [anon_sym___attribute] = ACTIONS(2346),
    [anon_sym_noreturn] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym___declspec] = ACTIONS(2346),
    [anon_sym___cdecl] = ACTIONS(2346),
    [anon_sym___clrcall] = ACTIONS(2346),
    [anon_sym___stdcall] = ACTIONS(2346),
    [anon_sym___fastcall] = ACTIONS(2346),
    [anon_sym___thiscall] = ACTIONS(2346),
    [anon_sym___vectorcall] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_signed] = ACTIONS(2346),
    [anon_sym_unsigned] = ACTIONS(2346),
    [anon_sym_long] = ACTIONS(2346),
    [anon_sym_short] = ACTIONS(2346),
    [anon_sym_static] = ACTIONS(2346),
    [anon_sym_ATautoreleasepool] = ACTIONS(2348),
    [anon_sym_auto] = ACTIONS(2346),
    [anon_sym_register] = ACTIONS(2346),
    [anon_sym_inline] = ACTIONS(2346),
    [anon_sym___inline] = ACTIONS(2346),
    [anon_sym___inline__] = ACTIONS(2346),
    [anon_sym___forceinline] = ACTIONS(2346),
    [anon_sym_thread_local] = ACTIONS(2346),
    [anon_sym___thread] = ACTIONS(2346),
    [anon_sym_CG_EXTERN] = ACTIONS(2346),
    [anon_sym_CG_INLINE] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2346),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2346),
    [anon_sym_IBOutlet] = ACTIONS(2346),
    [anon_sym_IBInspectable] = ACTIONS(2346),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2346),
    [anon_sym_NS_INLINE] = ACTIONS(2346),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2346),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2346),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2346),
    [anon_sym_const] = ACTIONS(2346),
    [anon_sym_constexpr] = ACTIONS(2346),
    [anon_sym_volatile] = ACTIONS(2346),
    [anon_sym_restrict] = ACTIONS(2346),
    [anon_sym___restrict__] = ACTIONS(2346),
    [anon_sym__Atomic] = ACTIONS(2346),
    [anon_sym__Noreturn] = ACTIONS(2346),
    [anon_sym__Nonnull] = ACTIONS(2346),
    [anon_sym_nullable] = ACTIONS(2346),
    [anon_sym__Complex] = ACTIONS(2346),
    [anon_sym__Nullable] = ACTIONS(2346),
    [anon_sym__Nullable_result] = ACTIONS(2346),
    [anon_sym__Null_unspecified] = ACTIONS(2346),
    [anon_sym___autoreleasing] = ACTIONS(2346),
    [anon_sym___block] = ACTIONS(2346),
    [anon_sym___bridge] = ACTIONS(2346),
    [anon_sym___bridge_retained] = ACTIONS(2346),
    [anon_sym___bridge_transfer] = ACTIONS(2346),
    [anon_sym___complex] = ACTIONS(2346),
    [anon_sym___const] = ACTIONS(2346),
    [anon_sym___imag] = ACTIONS(2346),
    [anon_sym___kindof] = ACTIONS(2346),
    [anon_sym___nonnull] = ACTIONS(2346),
    [anon_sym___nullable] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2346),
    [anon_sym___real] = ACTIONS(2346),
    [anon_sym___strong] = ACTIONS(2346),
    [anon_sym___unsafe_unretained] = ACTIONS(2346),
    [anon_sym___unused] = ACTIONS(2346),
    [anon_sym___weak] = ACTIONS(2346),
    [anon_sym_alignas] = ACTIONS(2346),
    [anon_sym__Alignas] = ACTIONS(2346),
    [sym_primitive_type] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2346),
    [anon_sym_struct] = ACTIONS(2346),
    [anon_sym_union] = ACTIONS(2346),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_else] = ACTIONS(2346),
    [anon_sym_switch] = ACTIONS(2346),
    [anon_sym_case] = ACTIONS(2346),
    [anon_sym_default] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2346),
    [anon_sym_for] = ACTIONS(2346),
    [anon_sym_in] = ACTIONS(2346),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_break] = ACTIONS(2346),
    [anon_sym_continue] = ACTIONS(2346),
    [anon_sym_goto] = ACTIONS(2346),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_sizeof] = ACTIONS(2346),
    [anon_sym___alignof__] = ACTIONS(2346),
    [anon_sym___alignof] = ACTIONS(2346),
    [anon_sym__alignof] = ACTIONS(2346),
    [anon_sym_alignof] = ACTIONS(2346),
    [anon_sym__Alignof] = ACTIONS(2346),
    [anon_sym_offsetof] = ACTIONS(2346),
    [anon_sym__Generic] = ACTIONS(2346),
    [anon_sym_asm] = ACTIONS(2346),
    [anon_sym___asm__] = ACTIONS(2346),
    [anon_sym___asm] = ACTIONS(2346),
    [sym_number_literal] = ACTIONS(2348),
    [anon_sym_L_SQUOTE] = ACTIONS(2348),
    [anon_sym_u_SQUOTE] = ACTIONS(2348),
    [anon_sym_U_SQUOTE] = ACTIONS(2348),
    [anon_sym_u8_SQUOTE] = ACTIONS(2348),
    [anon_sym_SQUOTE] = ACTIONS(2348),
    [anon_sym_AT] = ACTIONS(2346),
    [anon_sym_DQUOTE] = ACTIONS(2348),
    [anon_sym_L_DQUOTE] = ACTIONS(2348),
    [anon_sym_u_DQUOTE] = ACTIONS(2348),
    [anon_sym_U_DQUOTE] = ACTIONS(2348),
    [anon_sym_u8_DQUOTE] = ACTIONS(2348),
    [sym_true] = ACTIONS(2346),
    [sym_false] = ACTIONS(2346),
    [anon_sym_NULL] = ACTIONS(2346),
    [anon_sym_nullptr] = ACTIONS(2346),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2346),
    [anon_sym___typeof] = ACTIONS(2346),
    [anon_sym_typeof] = ACTIONS(2346),
    [anon_sym_ATimport] = ACTIONS(2348),
    [aux_sym_preproc_undef_token1] = ACTIONS(2346),
    [anon_sym_POUND] = ACTIONS(2346),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2346),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2346),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2346),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_API_AVAILABLE] = ACTIONS(2346),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_API_DEPRECATED] = ACTIONS(2346),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym___deprecated_msg] = ACTIONS(2346),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2346),
    [anon_sym_ATprotocol] = ACTIONS(2348),
    [anon_sym_ATinterface] = ACTIONS(2348),
    [anon_sym_ATimplementation] = ACTIONS(2348),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2348),
    [anon_sym_ATselector] = ACTIONS(2348),
    [anon_sym_ATavailable] = ACTIONS(2348),
    [anon_sym___builtin_available] = ACTIONS(2346),
    [anon_sym_va_arg] = ACTIONS(2346),
    [anon_sym_ATencode] = ACTIONS(2348),
    [anon_sym_BOOL] = ACTIONS(2346),
    [anon_sym_IMP] = ACTIONS(2346),
    [anon_sym_SEL] = ACTIONS(2346),
    [anon_sym_Class] = ACTIONS(2346),
    [anon_sym_id] = ACTIONS(2346),
  },
  [921] = {
    [sym_ms_declspec_modifier] = STATE(6770),
    [sym_expression] = STATE(4380),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_typedef] = ACTIONS(2930),
    [anon_sym_extern] = ACTIONS(2922),
    [anon_sym___attribute__] = ACTIONS(2922),
    [anon_sym___attribute] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_static] = ACTIONS(2922),
    [anon_sym_auto] = ACTIONS(2922),
    [anon_sym_register] = ACTIONS(2922),
    [anon_sym_inline] = ACTIONS(2922),
    [anon_sym___inline] = ACTIONS(2922),
    [anon_sym___inline__] = ACTIONS(2922),
    [anon_sym___forceinline] = ACTIONS(2922),
    [anon_sym_thread_local] = ACTIONS(2922),
    [anon_sym___thread] = ACTIONS(2922),
    [anon_sym_CG_EXTERN] = ACTIONS(2922),
    [anon_sym_CG_INLINE] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2922),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2922),
    [anon_sym_IBOutlet] = ACTIONS(2922),
    [anon_sym_IBInspectable] = ACTIONS(2922),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2922),
    [anon_sym_NS_INLINE] = ACTIONS(2922),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2922),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2922),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_union] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2922),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2922),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2922),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_API_AVAILABLE] = ACTIONS(2922),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_API_DEPRECATED] = ACTIONS(2922),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym___deprecated_msg] = ACTIONS(2922),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2922),
    [anon_sym_ATprotocol] = ACTIONS(2928),
    [anon_sym_ATinterface] = ACTIONS(2928),
    [anon_sym_ATimplementation] = ACTIONS(2928),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(203),
  },
  [922] = {
    [sym_ms_declspec_modifier] = STATE(6595),
    [sym_expression] = STATE(4380),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_typedef] = ACTIONS(2932),
    [anon_sym_extern] = ACTIONS(2922),
    [anon_sym___attribute__] = ACTIONS(2922),
    [anon_sym___attribute] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_static] = ACTIONS(2922),
    [anon_sym_auto] = ACTIONS(2922),
    [anon_sym_register] = ACTIONS(2922),
    [anon_sym_inline] = ACTIONS(2922),
    [anon_sym___inline] = ACTIONS(2922),
    [anon_sym___inline__] = ACTIONS(2922),
    [anon_sym___forceinline] = ACTIONS(2922),
    [anon_sym_thread_local] = ACTIONS(2922),
    [anon_sym___thread] = ACTIONS(2922),
    [anon_sym_CG_EXTERN] = ACTIONS(2922),
    [anon_sym_CG_INLINE] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2922),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2922),
    [anon_sym_IBOutlet] = ACTIONS(2922),
    [anon_sym_IBInspectable] = ACTIONS(2922),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2922),
    [anon_sym_NS_INLINE] = ACTIONS(2922),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2922),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2922),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_union] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2922),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2922),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2922),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_API_AVAILABLE] = ACTIONS(2922),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_API_DEPRECATED] = ACTIONS(2922),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym___deprecated_msg] = ACTIONS(2922),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2922),
    [anon_sym_ATprotocol] = ACTIONS(2928),
    [anon_sym_ATinterface] = ACTIONS(2928),
    [anon_sym_ATimplementation] = ACTIONS(2928),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(203),
  },
  [923] = {
    [sym_ms_declspec_modifier] = STATE(6745),
    [sym_expression] = STATE(4380),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_typedef] = ACTIONS(2934),
    [anon_sym_extern] = ACTIONS(2922),
    [anon_sym___attribute__] = ACTIONS(2922),
    [anon_sym___attribute] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_static] = ACTIONS(2922),
    [anon_sym_auto] = ACTIONS(2922),
    [anon_sym_register] = ACTIONS(2922),
    [anon_sym_inline] = ACTIONS(2922),
    [anon_sym___inline] = ACTIONS(2922),
    [anon_sym___inline__] = ACTIONS(2922),
    [anon_sym___forceinline] = ACTIONS(2922),
    [anon_sym_thread_local] = ACTIONS(2922),
    [anon_sym___thread] = ACTIONS(2922),
    [anon_sym_CG_EXTERN] = ACTIONS(2922),
    [anon_sym_CG_INLINE] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2922),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2922),
    [anon_sym_IBOutlet] = ACTIONS(2922),
    [anon_sym_IBInspectable] = ACTIONS(2922),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2922),
    [anon_sym_NS_INLINE] = ACTIONS(2922),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2922),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2922),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_union] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2922),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2922),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2922),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_API_AVAILABLE] = ACTIONS(2922),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_API_DEPRECATED] = ACTIONS(2922),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym___deprecated_msg] = ACTIONS(2922),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2922),
    [anon_sym_ATprotocol] = ACTIONS(2928),
    [anon_sym_ATinterface] = ACTIONS(2928),
    [anon_sym_ATimplementation] = ACTIONS(2928),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(203),
  },
  [924] = {
    [sym_ms_declspec_modifier] = STATE(6763),
    [sym_expression] = STATE(4380),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2922),
    [anon_sym___attribute__] = ACTIONS(2922),
    [anon_sym___attribute] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_static] = ACTIONS(2922),
    [anon_sym_auto] = ACTIONS(2922),
    [anon_sym_register] = ACTIONS(2922),
    [anon_sym_inline] = ACTIONS(2922),
    [anon_sym___inline] = ACTIONS(2922),
    [anon_sym___inline__] = ACTIONS(2922),
    [anon_sym___forceinline] = ACTIONS(2922),
    [anon_sym_thread_local] = ACTIONS(2922),
    [anon_sym___thread] = ACTIONS(2922),
    [anon_sym_CG_EXTERN] = ACTIONS(2922),
    [anon_sym_CG_INLINE] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2922),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2922),
    [anon_sym_IBOutlet] = ACTIONS(2922),
    [anon_sym_IBInspectable] = ACTIONS(2922),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2922),
    [anon_sym_NS_INLINE] = ACTIONS(2922),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2922),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2922),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_union] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2922),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2922),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2922),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_API_AVAILABLE] = ACTIONS(2922),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_API_DEPRECATED] = ACTIONS(2922),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym___deprecated_msg] = ACTIONS(2922),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2922),
    [anon_sym_ATprotocol] = ACTIONS(2928),
    [anon_sym_ATinterface] = ACTIONS(2928),
    [anon_sym_ATimplementation] = ACTIONS(2928),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(203),
  },
  [925] = {
    [sym_else_clause] = STATE(980),
    [ts_builtin_sym_end] = ACTIONS(2404),
    [sym_identifier] = ACTIONS(2402),
    [aux_sym_preproc_include_token1] = ACTIONS(2402),
    [aux_sym_preproc_include_token2] = ACTIONS(2402),
    [aux_sym_preproc_def_token1] = ACTIONS(2402),
    [aux_sym_preproc_if_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2402),
    [sym_preproc_directive] = ACTIONS(2402),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_BANG] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_DASH] = ACTIONS(2402),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_CARET] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(2404),
    [anon_sym___extension__] = ACTIONS(2402),
    [anon_sym_typedef] = ACTIONS(2402),
    [anon_sym_extern] = ACTIONS(2402),
    [anon_sym___attribute__] = ACTIONS(2402),
    [anon_sym___attribute] = ACTIONS(2402),
    [anon_sym_noreturn] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2404),
    [anon_sym___declspec] = ACTIONS(2402),
    [anon_sym___cdecl] = ACTIONS(2402),
    [anon_sym___clrcall] = ACTIONS(2402),
    [anon_sym___stdcall] = ACTIONS(2402),
    [anon_sym___fastcall] = ACTIONS(2402),
    [anon_sym___thiscall] = ACTIONS(2402),
    [anon_sym___vectorcall] = ACTIONS(2402),
    [anon_sym_LBRACE] = ACTIONS(2404),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_ATautoreleasepool] = ACTIONS(2404),
    [anon_sym_auto] = ACTIONS(2402),
    [anon_sym_register] = ACTIONS(2402),
    [anon_sym_inline] = ACTIONS(2402),
    [anon_sym___inline] = ACTIONS(2402),
    [anon_sym___inline__] = ACTIONS(2402),
    [anon_sym___forceinline] = ACTIONS(2402),
    [anon_sym_thread_local] = ACTIONS(2402),
    [anon_sym___thread] = ACTIONS(2402),
    [anon_sym_CG_EXTERN] = ACTIONS(2402),
    [anon_sym_CG_INLINE] = ACTIONS(2402),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2402),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2402),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2402),
    [anon_sym_IBOutlet] = ACTIONS(2402),
    [anon_sym_IBInspectable] = ACTIONS(2402),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2402),
    [anon_sym_NS_INLINE] = ACTIONS(2402),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2402),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2402),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2402),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_constexpr] = ACTIONS(2402),
    [anon_sym_volatile] = ACTIONS(2402),
    [anon_sym_restrict] = ACTIONS(2402),
    [anon_sym___restrict__] = ACTIONS(2402),
    [anon_sym__Atomic] = ACTIONS(2402),
    [anon_sym__Noreturn] = ACTIONS(2402),
    [anon_sym__Nonnull] = ACTIONS(2402),
    [anon_sym_nullable] = ACTIONS(2402),
    [anon_sym__Complex] = ACTIONS(2402),
    [anon_sym__Nullable] = ACTIONS(2402),
    [anon_sym__Nullable_result] = ACTIONS(2402),
    [anon_sym__Null_unspecified] = ACTIONS(2402),
    [anon_sym___autoreleasing] = ACTIONS(2402),
    [anon_sym___block] = ACTIONS(2402),
    [anon_sym___bridge] = ACTIONS(2402),
    [anon_sym___bridge_retained] = ACTIONS(2402),
    [anon_sym___bridge_transfer] = ACTIONS(2402),
    [anon_sym___complex] = ACTIONS(2402),
    [anon_sym___const] = ACTIONS(2402),
    [anon_sym___imag] = ACTIONS(2402),
    [anon_sym___kindof] = ACTIONS(2402),
    [anon_sym___nonnull] = ACTIONS(2402),
    [anon_sym___nullable] = ACTIONS(2402),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2402),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2402),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2402),
    [anon_sym___real] = ACTIONS(2402),
    [anon_sym___strong] = ACTIONS(2402),
    [anon_sym___unsafe_unretained] = ACTIONS(2402),
    [anon_sym___unused] = ACTIONS(2402),
    [anon_sym___weak] = ACTIONS(2402),
    [anon_sym_alignas] = ACTIONS(2402),
    [anon_sym__Alignas] = ACTIONS(2402),
    [sym_primitive_type] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [anon_sym_struct] = ACTIONS(2402),
    [anon_sym_union] = ACTIONS(2402),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_else] = ACTIONS(2938),
    [anon_sym_switch] = ACTIONS(2402),
    [anon_sym_case] = ACTIONS(2402),
    [anon_sym_default] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2402),
    [anon_sym_do] = ACTIONS(2402),
    [anon_sym_for] = ACTIONS(2402),
    [anon_sym_in] = ACTIONS(2402),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_break] = ACTIONS(2402),
    [anon_sym_continue] = ACTIONS(2402),
    [anon_sym_goto] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2404),
    [anon_sym_PLUS_PLUS] = ACTIONS(2404),
    [anon_sym_sizeof] = ACTIONS(2402),
    [anon_sym___alignof__] = ACTIONS(2402),
    [anon_sym___alignof] = ACTIONS(2402),
    [anon_sym__alignof] = ACTIONS(2402),
    [anon_sym_alignof] = ACTIONS(2402),
    [anon_sym__Alignof] = ACTIONS(2402),
    [anon_sym_offsetof] = ACTIONS(2402),
    [anon_sym__Generic] = ACTIONS(2402),
    [anon_sym_asm] = ACTIONS(2402),
    [anon_sym___asm__] = ACTIONS(2402),
    [anon_sym___asm] = ACTIONS(2402),
    [sym_number_literal] = ACTIONS(2404),
    [anon_sym_L_SQUOTE] = ACTIONS(2404),
    [anon_sym_u_SQUOTE] = ACTIONS(2404),
    [anon_sym_U_SQUOTE] = ACTIONS(2404),
    [anon_sym_u8_SQUOTE] = ACTIONS(2404),
    [anon_sym_SQUOTE] = ACTIONS(2404),
    [anon_sym_AT] = ACTIONS(2402),
    [anon_sym_DQUOTE] = ACTIONS(2404),
    [anon_sym_L_DQUOTE] = ACTIONS(2404),
    [anon_sym_u_DQUOTE] = ACTIONS(2404),
    [anon_sym_U_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8_DQUOTE] = ACTIONS(2404),
    [sym_true] = ACTIONS(2402),
    [sym_false] = ACTIONS(2402),
    [anon_sym_NULL] = ACTIONS(2402),
    [anon_sym_nullptr] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2402),
    [anon_sym___typeof] = ACTIONS(2402),
    [anon_sym_typeof] = ACTIONS(2402),
    [anon_sym_ATimport] = ACTIONS(2404),
    [aux_sym_preproc_undef_token1] = ACTIONS(2402),
    [anon_sym_POUND] = ACTIONS(2402),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2402),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2402),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2402),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2402),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2402),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2402),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2402),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2402),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2402),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_API_AVAILABLE] = ACTIONS(2402),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_API_DEPRECATED] = ACTIONS(2402),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2402),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2402),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2402),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2402),
    [anon_sym___deprecated_msg] = ACTIONS(2402),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2402),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2402),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2402),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2402),
    [anon_sym_ATprotocol] = ACTIONS(2404),
    [anon_sym_ATinterface] = ACTIONS(2404),
    [anon_sym_ATimplementation] = ACTIONS(2404),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2404),
    [anon_sym_ATselector] = ACTIONS(2404),
    [anon_sym_ATavailable] = ACTIONS(2404),
    [anon_sym___builtin_available] = ACTIONS(2402),
    [anon_sym_va_arg] = ACTIONS(2402),
    [anon_sym_ATencode] = ACTIONS(2404),
    [anon_sym_BOOL] = ACTIONS(2402),
    [anon_sym_IMP] = ACTIONS(2402),
    [anon_sym_SEL] = ACTIONS(2402),
    [anon_sym_Class] = ACTIONS(2402),
    [anon_sym_id] = ACTIONS(2402),
  },
  [926] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [927] = {
    [ts_builtin_sym_end] = ACTIONS(2438),
    [sym_identifier] = ACTIONS(2436),
    [aux_sym_preproc_include_token1] = ACTIONS(2436),
    [aux_sym_preproc_include_token2] = ACTIONS(2436),
    [aux_sym_preproc_def_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2436),
    [sym_preproc_directive] = ACTIONS(2436),
    [anon_sym_LPAREN2] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_CARET] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym___attribute] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym___cdecl] = ACTIONS(2436),
    [anon_sym___clrcall] = ACTIONS(2436),
    [anon_sym___stdcall] = ACTIONS(2436),
    [anon_sym___fastcall] = ACTIONS(2436),
    [anon_sym___thiscall] = ACTIONS(2436),
    [anon_sym___vectorcall] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_ATautoreleasepool] = ACTIONS(2438),
    [anon_sym_auto] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_CG_EXTERN] = ACTIONS(2436),
    [anon_sym_CG_INLINE] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2436),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2436),
    [anon_sym_IBOutlet] = ACTIONS(2436),
    [anon_sym_IBInspectable] = ACTIONS(2436),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2436),
    [anon_sym_NS_INLINE] = ACTIONS(2436),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2436),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2436),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym__Nonnull] = ACTIONS(2436),
    [anon_sym_nullable] = ACTIONS(2436),
    [anon_sym__Complex] = ACTIONS(2436),
    [anon_sym__Nullable] = ACTIONS(2436),
    [anon_sym__Nullable_result] = ACTIONS(2436),
    [anon_sym__Null_unspecified] = ACTIONS(2436),
    [anon_sym___autoreleasing] = ACTIONS(2436),
    [anon_sym___block] = ACTIONS(2436),
    [anon_sym___bridge] = ACTIONS(2436),
    [anon_sym___bridge_retained] = ACTIONS(2436),
    [anon_sym___bridge_transfer] = ACTIONS(2436),
    [anon_sym___complex] = ACTIONS(2436),
    [anon_sym___const] = ACTIONS(2436),
    [anon_sym___imag] = ACTIONS(2436),
    [anon_sym___kindof] = ACTIONS(2436),
    [anon_sym___nonnull] = ACTIONS(2436),
    [anon_sym___nullable] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2436),
    [anon_sym___real] = ACTIONS(2436),
    [anon_sym___strong] = ACTIONS(2436),
    [anon_sym___unsafe_unretained] = ACTIONS(2436),
    [anon_sym___unused] = ACTIONS(2436),
    [anon_sym___weak] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym__Alignas] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_else] = ACTIONS(2436),
    [anon_sym_switch] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(2436),
    [anon_sym_default] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_in] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2436),
    [anon_sym_break] = ACTIONS(2436),
    [anon_sym_continue] = ACTIONS(2436),
    [anon_sym_goto] = ACTIONS(2436),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_sizeof] = ACTIONS(2436),
    [anon_sym___alignof__] = ACTIONS(2436),
    [anon_sym___alignof] = ACTIONS(2436),
    [anon_sym__alignof] = ACTIONS(2436),
    [anon_sym_alignof] = ACTIONS(2436),
    [anon_sym__Alignof] = ACTIONS(2436),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2436),
    [anon_sym_asm] = ACTIONS(2436),
    [anon_sym___asm__] = ACTIONS(2436),
    [anon_sym___asm] = ACTIONS(2436),
    [sym_number_literal] = ACTIONS(2438),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_AT] = ACTIONS(2436),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2438),
    [anon_sym_u_DQUOTE] = ACTIONS(2438),
    [anon_sym_U_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8_DQUOTE] = ACTIONS(2438),
    [sym_true] = ACTIONS(2436),
    [sym_false] = ACTIONS(2436),
    [anon_sym_NULL] = ACTIONS(2436),
    [anon_sym_nullptr] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2436),
    [anon_sym___typeof] = ACTIONS(2436),
    [anon_sym_typeof] = ACTIONS(2436),
    [anon_sym_ATimport] = ACTIONS(2438),
    [aux_sym_preproc_undef_token1] = ACTIONS(2436),
    [anon_sym_POUND] = ACTIONS(2436),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2436),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2436),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2436),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_API_AVAILABLE] = ACTIONS(2436),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_API_DEPRECATED] = ACTIONS(2436),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym___deprecated_msg] = ACTIONS(2436),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2436),
    [anon_sym_ATprotocol] = ACTIONS(2438),
    [anon_sym_ATinterface] = ACTIONS(2438),
    [anon_sym_ATimplementation] = ACTIONS(2438),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2438),
    [anon_sym_ATselector] = ACTIONS(2438),
    [anon_sym_ATavailable] = ACTIONS(2438),
    [anon_sym___builtin_available] = ACTIONS(2436),
    [anon_sym_va_arg] = ACTIONS(2436),
    [anon_sym_ATencode] = ACTIONS(2438),
    [anon_sym_BOOL] = ACTIONS(2436),
    [anon_sym_IMP] = ACTIONS(2436),
    [anon_sym_SEL] = ACTIONS(2436),
    [anon_sym_Class] = ACTIONS(2436),
    [anon_sym_id] = ACTIONS(2436),
  },
  [928] = {
    [ts_builtin_sym_end] = ACTIONS(2450),
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_include_token1] = ACTIONS(2448),
    [aux_sym_preproc_include_token2] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym___attribute] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___cdecl] = ACTIONS(2448),
    [anon_sym___clrcall] = ACTIONS(2448),
    [anon_sym___stdcall] = ACTIONS(2448),
    [anon_sym___fastcall] = ACTIONS(2448),
    [anon_sym___thiscall] = ACTIONS(2448),
    [anon_sym___vectorcall] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_ATautoreleasepool] = ACTIONS(2450),
    [anon_sym_auto] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_CG_EXTERN] = ACTIONS(2448),
    [anon_sym_CG_INLINE] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2448),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2448),
    [anon_sym_IBOutlet] = ACTIONS(2448),
    [anon_sym_IBInspectable] = ACTIONS(2448),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2448),
    [anon_sym_NS_INLINE] = ACTIONS(2448),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2448),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2448),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym__Nonnull] = ACTIONS(2448),
    [anon_sym_nullable] = ACTIONS(2448),
    [anon_sym__Complex] = ACTIONS(2448),
    [anon_sym__Nullable] = ACTIONS(2448),
    [anon_sym__Nullable_result] = ACTIONS(2448),
    [anon_sym__Null_unspecified] = ACTIONS(2448),
    [anon_sym___autoreleasing] = ACTIONS(2448),
    [anon_sym___block] = ACTIONS(2448),
    [anon_sym___bridge] = ACTIONS(2448),
    [anon_sym___bridge_retained] = ACTIONS(2448),
    [anon_sym___bridge_transfer] = ACTIONS(2448),
    [anon_sym___complex] = ACTIONS(2448),
    [anon_sym___const] = ACTIONS(2448),
    [anon_sym___imag] = ACTIONS(2448),
    [anon_sym___kindof] = ACTIONS(2448),
    [anon_sym___nonnull] = ACTIONS(2448),
    [anon_sym___nullable] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2448),
    [anon_sym___real] = ACTIONS(2448),
    [anon_sym___strong] = ACTIONS(2448),
    [anon_sym___unsafe_unretained] = ACTIONS(2448),
    [anon_sym___unused] = ACTIONS(2448),
    [anon_sym___weak] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym__Alignas] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_switch] = ACTIONS(2448),
    [anon_sym_case] = ACTIONS(2448),
    [anon_sym_default] = ACTIONS(2448),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_do] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_break] = ACTIONS(2448),
    [anon_sym_continue] = ACTIONS(2448),
    [anon_sym_goto] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_sizeof] = ACTIONS(2448),
    [anon_sym___alignof__] = ACTIONS(2448),
    [anon_sym___alignof] = ACTIONS(2448),
    [anon_sym__alignof] = ACTIONS(2448),
    [anon_sym_alignof] = ACTIONS(2448),
    [anon_sym__Alignof] = ACTIONS(2448),
    [anon_sym_offsetof] = ACTIONS(2448),
    [anon_sym__Generic] = ACTIONS(2448),
    [anon_sym_asm] = ACTIONS(2448),
    [anon_sym___asm__] = ACTIONS(2448),
    [anon_sym___asm] = ACTIONS(2448),
    [sym_number_literal] = ACTIONS(2450),
    [anon_sym_L_SQUOTE] = ACTIONS(2450),
    [anon_sym_u_SQUOTE] = ACTIONS(2450),
    [anon_sym_U_SQUOTE] = ACTIONS(2450),
    [anon_sym_u8_SQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_AT] = ACTIONS(2448),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_L_DQUOTE] = ACTIONS(2450),
    [anon_sym_u_DQUOTE] = ACTIONS(2450),
    [anon_sym_U_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8_DQUOTE] = ACTIONS(2450),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2448),
    [anon_sym_nullptr] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2448),
    [anon_sym___typeof] = ACTIONS(2448),
    [anon_sym_typeof] = ACTIONS(2448),
    [anon_sym_ATimport] = ACTIONS(2450),
    [aux_sym_preproc_undef_token1] = ACTIONS(2448),
    [anon_sym_POUND] = ACTIONS(2448),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2448),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2448),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2448),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_API_AVAILABLE] = ACTIONS(2448),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_API_DEPRECATED] = ACTIONS(2448),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym___deprecated_msg] = ACTIONS(2448),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2448),
    [anon_sym_ATprotocol] = ACTIONS(2450),
    [anon_sym_ATinterface] = ACTIONS(2450),
    [anon_sym_ATimplementation] = ACTIONS(2450),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2450),
    [anon_sym_ATselector] = ACTIONS(2450),
    [anon_sym_ATavailable] = ACTIONS(2450),
    [anon_sym___builtin_available] = ACTIONS(2448),
    [anon_sym_va_arg] = ACTIONS(2448),
    [anon_sym_ATencode] = ACTIONS(2450),
    [anon_sym_BOOL] = ACTIONS(2448),
    [anon_sym_IMP] = ACTIONS(2448),
    [anon_sym_SEL] = ACTIONS(2448),
    [anon_sym_Class] = ACTIONS(2448),
    [anon_sym_id] = ACTIONS(2448),
  },
  [929] = {
    [ts_builtin_sym_end] = ACTIONS(2454),
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_include_token1] = ACTIONS(2452),
    [aux_sym_preproc_include_token2] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_BANG] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym___attribute] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_ATautoreleasepool] = ACTIONS(2454),
    [anon_sym_auto] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_CG_EXTERN] = ACTIONS(2452),
    [anon_sym_CG_INLINE] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2452),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2452),
    [anon_sym_IBOutlet] = ACTIONS(2452),
    [anon_sym_IBInspectable] = ACTIONS(2452),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2452),
    [anon_sym_NS_INLINE] = ACTIONS(2452),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2452),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2452),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym__Nonnull] = ACTIONS(2452),
    [anon_sym_nullable] = ACTIONS(2452),
    [anon_sym__Complex] = ACTIONS(2452),
    [anon_sym__Nullable] = ACTIONS(2452),
    [anon_sym__Nullable_result] = ACTIONS(2452),
    [anon_sym__Null_unspecified] = ACTIONS(2452),
    [anon_sym___autoreleasing] = ACTIONS(2452),
    [anon_sym___block] = ACTIONS(2452),
    [anon_sym___bridge] = ACTIONS(2452),
    [anon_sym___bridge_retained] = ACTIONS(2452),
    [anon_sym___bridge_transfer] = ACTIONS(2452),
    [anon_sym___complex] = ACTIONS(2452),
    [anon_sym___const] = ACTIONS(2452),
    [anon_sym___imag] = ACTIONS(2452),
    [anon_sym___kindof] = ACTIONS(2452),
    [anon_sym___nonnull] = ACTIONS(2452),
    [anon_sym___nullable] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2452),
    [anon_sym___real] = ACTIONS(2452),
    [anon_sym___strong] = ACTIONS(2452),
    [anon_sym___unsafe_unretained] = ACTIONS(2452),
    [anon_sym___unused] = ACTIONS(2452),
    [anon_sym___weak] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym__Alignas] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(2452),
    [anon_sym_case] = ACTIONS(2452),
    [anon_sym_default] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_do] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_break] = ACTIONS(2452),
    [anon_sym_continue] = ACTIONS(2452),
    [anon_sym_goto] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(2454),
    [anon_sym_sizeof] = ACTIONS(2452),
    [anon_sym___alignof__] = ACTIONS(2452),
    [anon_sym___alignof] = ACTIONS(2452),
    [anon_sym__alignof] = ACTIONS(2452),
    [anon_sym_alignof] = ACTIONS(2452),
    [anon_sym__Alignof] = ACTIONS(2452),
    [anon_sym_offsetof] = ACTIONS(2452),
    [anon_sym__Generic] = ACTIONS(2452),
    [anon_sym_asm] = ACTIONS(2452),
    [anon_sym___asm__] = ACTIONS(2452),
    [anon_sym___asm] = ACTIONS(2452),
    [sym_number_literal] = ACTIONS(2454),
    [anon_sym_L_SQUOTE] = ACTIONS(2454),
    [anon_sym_u_SQUOTE] = ACTIONS(2454),
    [anon_sym_U_SQUOTE] = ACTIONS(2454),
    [anon_sym_u8_SQUOTE] = ACTIONS(2454),
    [anon_sym_SQUOTE] = ACTIONS(2454),
    [anon_sym_AT] = ACTIONS(2452),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_L_DQUOTE] = ACTIONS(2454),
    [anon_sym_u_DQUOTE] = ACTIONS(2454),
    [anon_sym_U_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8_DQUOTE] = ACTIONS(2454),
    [sym_true] = ACTIONS(2452),
    [sym_false] = ACTIONS(2452),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2452),
    [anon_sym___typeof] = ACTIONS(2452),
    [anon_sym_typeof] = ACTIONS(2452),
    [anon_sym_ATimport] = ACTIONS(2454),
    [aux_sym_preproc_undef_token1] = ACTIONS(2452),
    [anon_sym_POUND] = ACTIONS(2452),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2452),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2452),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2452),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_API_AVAILABLE] = ACTIONS(2452),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_API_DEPRECATED] = ACTIONS(2452),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym___deprecated_msg] = ACTIONS(2452),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2452),
    [anon_sym_ATprotocol] = ACTIONS(2454),
    [anon_sym_ATinterface] = ACTIONS(2454),
    [anon_sym_ATimplementation] = ACTIONS(2454),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2454),
    [anon_sym_ATselector] = ACTIONS(2454),
    [anon_sym_ATavailable] = ACTIONS(2454),
    [anon_sym___builtin_available] = ACTIONS(2452),
    [anon_sym_va_arg] = ACTIONS(2452),
    [anon_sym_ATencode] = ACTIONS(2454),
    [anon_sym_BOOL] = ACTIONS(2452),
    [anon_sym_IMP] = ACTIONS(2452),
    [anon_sym_SEL] = ACTIONS(2452),
    [anon_sym_Class] = ACTIONS(2452),
    [anon_sym_id] = ACTIONS(2452),
  },
  [930] = {
    [ts_builtin_sym_end] = ACTIONS(2438),
    [sym_identifier] = ACTIONS(2436),
    [aux_sym_preproc_include_token1] = ACTIONS(2436),
    [aux_sym_preproc_include_token2] = ACTIONS(2436),
    [aux_sym_preproc_def_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2436),
    [sym_preproc_directive] = ACTIONS(2436),
    [anon_sym_LPAREN2] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_CARET] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym___attribute] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym___cdecl] = ACTIONS(2436),
    [anon_sym___clrcall] = ACTIONS(2436),
    [anon_sym___stdcall] = ACTIONS(2436),
    [anon_sym___fastcall] = ACTIONS(2436),
    [anon_sym___thiscall] = ACTIONS(2436),
    [anon_sym___vectorcall] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_ATautoreleasepool] = ACTIONS(2438),
    [anon_sym_auto] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_CG_EXTERN] = ACTIONS(2436),
    [anon_sym_CG_INLINE] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2436),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2436),
    [anon_sym_IBOutlet] = ACTIONS(2436),
    [anon_sym_IBInspectable] = ACTIONS(2436),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2436),
    [anon_sym_NS_INLINE] = ACTIONS(2436),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2436),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2436),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym__Nonnull] = ACTIONS(2436),
    [anon_sym_nullable] = ACTIONS(2436),
    [anon_sym__Complex] = ACTIONS(2436),
    [anon_sym__Nullable] = ACTIONS(2436),
    [anon_sym__Nullable_result] = ACTIONS(2436),
    [anon_sym__Null_unspecified] = ACTIONS(2436),
    [anon_sym___autoreleasing] = ACTIONS(2436),
    [anon_sym___block] = ACTIONS(2436),
    [anon_sym___bridge] = ACTIONS(2436),
    [anon_sym___bridge_retained] = ACTIONS(2436),
    [anon_sym___bridge_transfer] = ACTIONS(2436),
    [anon_sym___complex] = ACTIONS(2436),
    [anon_sym___const] = ACTIONS(2436),
    [anon_sym___imag] = ACTIONS(2436),
    [anon_sym___kindof] = ACTIONS(2436),
    [anon_sym___nonnull] = ACTIONS(2436),
    [anon_sym___nullable] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2436),
    [anon_sym___real] = ACTIONS(2436),
    [anon_sym___strong] = ACTIONS(2436),
    [anon_sym___unsafe_unretained] = ACTIONS(2436),
    [anon_sym___unused] = ACTIONS(2436),
    [anon_sym___weak] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym__Alignas] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_else] = ACTIONS(2436),
    [anon_sym_switch] = ACTIONS(2436),
    [anon_sym_case] = ACTIONS(2436),
    [anon_sym_default] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_in] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2436),
    [anon_sym_break] = ACTIONS(2436),
    [anon_sym_continue] = ACTIONS(2436),
    [anon_sym_goto] = ACTIONS(2436),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_sizeof] = ACTIONS(2436),
    [anon_sym___alignof__] = ACTIONS(2436),
    [anon_sym___alignof] = ACTIONS(2436),
    [anon_sym__alignof] = ACTIONS(2436),
    [anon_sym_alignof] = ACTIONS(2436),
    [anon_sym__Alignof] = ACTIONS(2436),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2436),
    [anon_sym_asm] = ACTIONS(2436),
    [anon_sym___asm__] = ACTIONS(2436),
    [anon_sym___asm] = ACTIONS(2436),
    [sym_number_literal] = ACTIONS(2438),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_AT] = ACTIONS(2436),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2438),
    [anon_sym_u_DQUOTE] = ACTIONS(2438),
    [anon_sym_U_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8_DQUOTE] = ACTIONS(2438),
    [sym_true] = ACTIONS(2436),
    [sym_false] = ACTIONS(2436),
    [anon_sym_NULL] = ACTIONS(2436),
    [anon_sym_nullptr] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2436),
    [anon_sym___typeof] = ACTIONS(2436),
    [anon_sym_typeof] = ACTIONS(2436),
    [anon_sym_ATimport] = ACTIONS(2438),
    [aux_sym_preproc_undef_token1] = ACTIONS(2436),
    [anon_sym_POUND] = ACTIONS(2436),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2436),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2436),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2436),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_API_AVAILABLE] = ACTIONS(2436),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_API_DEPRECATED] = ACTIONS(2436),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym___deprecated_msg] = ACTIONS(2436),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2436),
    [anon_sym_ATprotocol] = ACTIONS(2438),
    [anon_sym_ATinterface] = ACTIONS(2438),
    [anon_sym_ATimplementation] = ACTIONS(2438),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2438),
    [anon_sym_ATselector] = ACTIONS(2438),
    [anon_sym_ATavailable] = ACTIONS(2438),
    [anon_sym___builtin_available] = ACTIONS(2436),
    [anon_sym_va_arg] = ACTIONS(2436),
    [anon_sym_ATencode] = ACTIONS(2438),
    [anon_sym_BOOL] = ACTIONS(2436),
    [anon_sym_IMP] = ACTIONS(2436),
    [anon_sym_SEL] = ACTIONS(2436),
    [anon_sym_Class] = ACTIONS(2436),
    [anon_sym_id] = ACTIONS(2436),
  },
  [931] = {
    [ts_builtin_sym_end] = ACTIONS(2454),
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_include_token1] = ACTIONS(2452),
    [aux_sym_preproc_include_token2] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_BANG] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym___attribute] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_ATautoreleasepool] = ACTIONS(2454),
    [anon_sym_auto] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_CG_EXTERN] = ACTIONS(2452),
    [anon_sym_CG_INLINE] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2452),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2452),
    [anon_sym_IBOutlet] = ACTIONS(2452),
    [anon_sym_IBInspectable] = ACTIONS(2452),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2452),
    [anon_sym_NS_INLINE] = ACTIONS(2452),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2452),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2452),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym__Nonnull] = ACTIONS(2452),
    [anon_sym_nullable] = ACTIONS(2452),
    [anon_sym__Complex] = ACTIONS(2452),
    [anon_sym__Nullable] = ACTIONS(2452),
    [anon_sym__Nullable_result] = ACTIONS(2452),
    [anon_sym__Null_unspecified] = ACTIONS(2452),
    [anon_sym___autoreleasing] = ACTIONS(2452),
    [anon_sym___block] = ACTIONS(2452),
    [anon_sym___bridge] = ACTIONS(2452),
    [anon_sym___bridge_retained] = ACTIONS(2452),
    [anon_sym___bridge_transfer] = ACTIONS(2452),
    [anon_sym___complex] = ACTIONS(2452),
    [anon_sym___const] = ACTIONS(2452),
    [anon_sym___imag] = ACTIONS(2452),
    [anon_sym___kindof] = ACTIONS(2452),
    [anon_sym___nonnull] = ACTIONS(2452),
    [anon_sym___nullable] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2452),
    [anon_sym___real] = ACTIONS(2452),
    [anon_sym___strong] = ACTIONS(2452),
    [anon_sym___unsafe_unretained] = ACTIONS(2452),
    [anon_sym___unused] = ACTIONS(2452),
    [anon_sym___weak] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym__Alignas] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(2452),
    [anon_sym_case] = ACTIONS(2452),
    [anon_sym_default] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_do] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_break] = ACTIONS(2452),
    [anon_sym_continue] = ACTIONS(2452),
    [anon_sym_goto] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(2454),
    [anon_sym_sizeof] = ACTIONS(2452),
    [anon_sym___alignof__] = ACTIONS(2452),
    [anon_sym___alignof] = ACTIONS(2452),
    [anon_sym__alignof] = ACTIONS(2452),
    [anon_sym_alignof] = ACTIONS(2452),
    [anon_sym__Alignof] = ACTIONS(2452),
    [anon_sym_offsetof] = ACTIONS(2452),
    [anon_sym__Generic] = ACTIONS(2452),
    [anon_sym_asm] = ACTIONS(2452),
    [anon_sym___asm__] = ACTIONS(2452),
    [anon_sym___asm] = ACTIONS(2452),
    [sym_number_literal] = ACTIONS(2454),
    [anon_sym_L_SQUOTE] = ACTIONS(2454),
    [anon_sym_u_SQUOTE] = ACTIONS(2454),
    [anon_sym_U_SQUOTE] = ACTIONS(2454),
    [anon_sym_u8_SQUOTE] = ACTIONS(2454),
    [anon_sym_SQUOTE] = ACTIONS(2454),
    [anon_sym_AT] = ACTIONS(2452),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_L_DQUOTE] = ACTIONS(2454),
    [anon_sym_u_DQUOTE] = ACTIONS(2454),
    [anon_sym_U_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8_DQUOTE] = ACTIONS(2454),
    [sym_true] = ACTIONS(2452),
    [sym_false] = ACTIONS(2452),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2452),
    [anon_sym___typeof] = ACTIONS(2452),
    [anon_sym_typeof] = ACTIONS(2452),
    [anon_sym_ATimport] = ACTIONS(2454),
    [aux_sym_preproc_undef_token1] = ACTIONS(2452),
    [anon_sym_POUND] = ACTIONS(2452),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2452),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2452),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2452),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_API_AVAILABLE] = ACTIONS(2452),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_API_DEPRECATED] = ACTIONS(2452),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym___deprecated_msg] = ACTIONS(2452),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2452),
    [anon_sym_ATprotocol] = ACTIONS(2454),
    [anon_sym_ATinterface] = ACTIONS(2454),
    [anon_sym_ATimplementation] = ACTIONS(2454),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2454),
    [anon_sym_ATselector] = ACTIONS(2454),
    [anon_sym_ATavailable] = ACTIONS(2454),
    [anon_sym___builtin_available] = ACTIONS(2452),
    [anon_sym_va_arg] = ACTIONS(2452),
    [anon_sym_ATencode] = ACTIONS(2454),
    [anon_sym_BOOL] = ACTIONS(2452),
    [anon_sym_IMP] = ACTIONS(2452),
    [anon_sym_SEL] = ACTIONS(2452),
    [anon_sym_Class] = ACTIONS(2452),
    [anon_sym_id] = ACTIONS(2452),
  },
  [932] = {
    [ts_builtin_sym_end] = ACTIONS(2450),
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_include_token1] = ACTIONS(2448),
    [aux_sym_preproc_include_token2] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym___attribute] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___cdecl] = ACTIONS(2448),
    [anon_sym___clrcall] = ACTIONS(2448),
    [anon_sym___stdcall] = ACTIONS(2448),
    [anon_sym___fastcall] = ACTIONS(2448),
    [anon_sym___thiscall] = ACTIONS(2448),
    [anon_sym___vectorcall] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_ATautoreleasepool] = ACTIONS(2450),
    [anon_sym_auto] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_CG_EXTERN] = ACTIONS(2448),
    [anon_sym_CG_INLINE] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2448),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2448),
    [anon_sym_IBOutlet] = ACTIONS(2448),
    [anon_sym_IBInspectable] = ACTIONS(2448),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2448),
    [anon_sym_NS_INLINE] = ACTIONS(2448),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2448),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2448),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym__Nonnull] = ACTIONS(2448),
    [anon_sym_nullable] = ACTIONS(2448),
    [anon_sym__Complex] = ACTIONS(2448),
    [anon_sym__Nullable] = ACTIONS(2448),
    [anon_sym__Nullable_result] = ACTIONS(2448),
    [anon_sym__Null_unspecified] = ACTIONS(2448),
    [anon_sym___autoreleasing] = ACTIONS(2448),
    [anon_sym___block] = ACTIONS(2448),
    [anon_sym___bridge] = ACTIONS(2448),
    [anon_sym___bridge_retained] = ACTIONS(2448),
    [anon_sym___bridge_transfer] = ACTIONS(2448),
    [anon_sym___complex] = ACTIONS(2448),
    [anon_sym___const] = ACTIONS(2448),
    [anon_sym___imag] = ACTIONS(2448),
    [anon_sym___kindof] = ACTIONS(2448),
    [anon_sym___nonnull] = ACTIONS(2448),
    [anon_sym___nullable] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2448),
    [anon_sym___real] = ACTIONS(2448),
    [anon_sym___strong] = ACTIONS(2448),
    [anon_sym___unsafe_unretained] = ACTIONS(2448),
    [anon_sym___unused] = ACTIONS(2448),
    [anon_sym___weak] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym__Alignas] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_switch] = ACTIONS(2448),
    [anon_sym_case] = ACTIONS(2448),
    [anon_sym_default] = ACTIONS(2448),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_do] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_break] = ACTIONS(2448),
    [anon_sym_continue] = ACTIONS(2448),
    [anon_sym_goto] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_sizeof] = ACTIONS(2448),
    [anon_sym___alignof__] = ACTIONS(2448),
    [anon_sym___alignof] = ACTIONS(2448),
    [anon_sym__alignof] = ACTIONS(2448),
    [anon_sym_alignof] = ACTIONS(2448),
    [anon_sym__Alignof] = ACTIONS(2448),
    [anon_sym_offsetof] = ACTIONS(2448),
    [anon_sym__Generic] = ACTIONS(2448),
    [anon_sym_asm] = ACTIONS(2448),
    [anon_sym___asm__] = ACTIONS(2448),
    [anon_sym___asm] = ACTIONS(2448),
    [sym_number_literal] = ACTIONS(2450),
    [anon_sym_L_SQUOTE] = ACTIONS(2450),
    [anon_sym_u_SQUOTE] = ACTIONS(2450),
    [anon_sym_U_SQUOTE] = ACTIONS(2450),
    [anon_sym_u8_SQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_AT] = ACTIONS(2448),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_L_DQUOTE] = ACTIONS(2450),
    [anon_sym_u_DQUOTE] = ACTIONS(2450),
    [anon_sym_U_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8_DQUOTE] = ACTIONS(2450),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2448),
    [anon_sym_nullptr] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2448),
    [anon_sym___typeof] = ACTIONS(2448),
    [anon_sym_typeof] = ACTIONS(2448),
    [anon_sym_ATimport] = ACTIONS(2450),
    [aux_sym_preproc_undef_token1] = ACTIONS(2448),
    [anon_sym_POUND] = ACTIONS(2448),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2448),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2448),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2448),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_API_AVAILABLE] = ACTIONS(2448),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_API_DEPRECATED] = ACTIONS(2448),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym___deprecated_msg] = ACTIONS(2448),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2448),
    [anon_sym_ATprotocol] = ACTIONS(2450),
    [anon_sym_ATinterface] = ACTIONS(2450),
    [anon_sym_ATimplementation] = ACTIONS(2450),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2450),
    [anon_sym_ATselector] = ACTIONS(2450),
    [anon_sym_ATavailable] = ACTIONS(2450),
    [anon_sym___builtin_available] = ACTIONS(2448),
    [anon_sym_va_arg] = ACTIONS(2448),
    [anon_sym_ATencode] = ACTIONS(2450),
    [anon_sym_BOOL] = ACTIONS(2448),
    [anon_sym_IMP] = ACTIONS(2448),
    [anon_sym_SEL] = ACTIONS(2448),
    [anon_sym_Class] = ACTIONS(2448),
    [anon_sym_id] = ACTIONS(2448),
  },
  [933] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [934] = {
    [ts_builtin_sym_end] = ACTIONS(2418),
    [sym_identifier] = ACTIONS(2416),
    [aux_sym_preproc_include_token1] = ACTIONS(2416),
    [aux_sym_preproc_include_token2] = ACTIONS(2416),
    [aux_sym_preproc_def_token1] = ACTIONS(2416),
    [aux_sym_preproc_if_token1] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2416),
    [sym_preproc_directive] = ACTIONS(2416),
    [anon_sym_LPAREN2] = ACTIONS(2418),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2418),
    [anon_sym_CARET] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym___extension__] = ACTIONS(2416),
    [anon_sym_typedef] = ACTIONS(2416),
    [anon_sym_extern] = ACTIONS(2416),
    [anon_sym___attribute__] = ACTIONS(2416),
    [anon_sym___attribute] = ACTIONS(2416),
    [anon_sym_noreturn] = ACTIONS(2416),
    [anon_sym_LBRACK] = ACTIONS(2418),
    [anon_sym___declspec] = ACTIONS(2416),
    [anon_sym___cdecl] = ACTIONS(2416),
    [anon_sym___clrcall] = ACTIONS(2416),
    [anon_sym___stdcall] = ACTIONS(2416),
    [anon_sym___fastcall] = ACTIONS(2416),
    [anon_sym___thiscall] = ACTIONS(2416),
    [anon_sym___vectorcall] = ACTIONS(2416),
    [anon_sym_LBRACE] = ACTIONS(2418),
    [anon_sym_signed] = ACTIONS(2416),
    [anon_sym_unsigned] = ACTIONS(2416),
    [anon_sym_long] = ACTIONS(2416),
    [anon_sym_short] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_ATautoreleasepool] = ACTIONS(2418),
    [anon_sym_auto] = ACTIONS(2416),
    [anon_sym_register] = ACTIONS(2416),
    [anon_sym_inline] = ACTIONS(2416),
    [anon_sym___inline] = ACTIONS(2416),
    [anon_sym___inline__] = ACTIONS(2416),
    [anon_sym___forceinline] = ACTIONS(2416),
    [anon_sym_thread_local] = ACTIONS(2416),
    [anon_sym___thread] = ACTIONS(2416),
    [anon_sym_CG_EXTERN] = ACTIONS(2416),
    [anon_sym_CG_INLINE] = ACTIONS(2416),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2416),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2416),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2416),
    [anon_sym_IBOutlet] = ACTIONS(2416),
    [anon_sym_IBInspectable] = ACTIONS(2416),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2416),
    [anon_sym_NS_INLINE] = ACTIONS(2416),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2416),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2416),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2416),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2416),
    [anon_sym_const] = ACTIONS(2416),
    [anon_sym_constexpr] = ACTIONS(2416),
    [anon_sym_volatile] = ACTIONS(2416),
    [anon_sym_restrict] = ACTIONS(2416),
    [anon_sym___restrict__] = ACTIONS(2416),
    [anon_sym__Atomic] = ACTIONS(2416),
    [anon_sym__Noreturn] = ACTIONS(2416),
    [anon_sym__Nonnull] = ACTIONS(2416),
    [anon_sym_nullable] = ACTIONS(2416),
    [anon_sym__Complex] = ACTIONS(2416),
    [anon_sym__Nullable] = ACTIONS(2416),
    [anon_sym__Nullable_result] = ACTIONS(2416),
    [anon_sym__Null_unspecified] = ACTIONS(2416),
    [anon_sym___autoreleasing] = ACTIONS(2416),
    [anon_sym___block] = ACTIONS(2416),
    [anon_sym___bridge] = ACTIONS(2416),
    [anon_sym___bridge_retained] = ACTIONS(2416),
    [anon_sym___bridge_transfer] = ACTIONS(2416),
    [anon_sym___complex] = ACTIONS(2416),
    [anon_sym___const] = ACTIONS(2416),
    [anon_sym___imag] = ACTIONS(2416),
    [anon_sym___kindof] = ACTIONS(2416),
    [anon_sym___nonnull] = ACTIONS(2416),
    [anon_sym___nullable] = ACTIONS(2416),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2416),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2416),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2416),
    [anon_sym___real] = ACTIONS(2416),
    [anon_sym___strong] = ACTIONS(2416),
    [anon_sym___unsafe_unretained] = ACTIONS(2416),
    [anon_sym___unused] = ACTIONS(2416),
    [anon_sym___weak] = ACTIONS(2416),
    [anon_sym_alignas] = ACTIONS(2416),
    [anon_sym__Alignas] = ACTIONS(2416),
    [sym_primitive_type] = ACTIONS(2416),
    [anon_sym_enum] = ACTIONS(2416),
    [anon_sym_struct] = ACTIONS(2416),
    [anon_sym_union] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(2416),
    [anon_sym_else] = ACTIONS(2416),
    [anon_sym_switch] = ACTIONS(2416),
    [anon_sym_case] = ACTIONS(2416),
    [anon_sym_default] = ACTIONS(2416),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(2416),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2416),
    [anon_sym_continue] = ACTIONS(2416),
    [anon_sym_goto] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_sizeof] = ACTIONS(2416),
    [anon_sym___alignof__] = ACTIONS(2416),
    [anon_sym___alignof] = ACTIONS(2416),
    [anon_sym__alignof] = ACTIONS(2416),
    [anon_sym_alignof] = ACTIONS(2416),
    [anon_sym__Alignof] = ACTIONS(2416),
    [anon_sym_offsetof] = ACTIONS(2416),
    [anon_sym__Generic] = ACTIONS(2416),
    [anon_sym_asm] = ACTIONS(2416),
    [anon_sym___asm__] = ACTIONS(2416),
    [anon_sym___asm] = ACTIONS(2416),
    [sym_number_literal] = ACTIONS(2418),
    [anon_sym_L_SQUOTE] = ACTIONS(2418),
    [anon_sym_u_SQUOTE] = ACTIONS(2418),
    [anon_sym_U_SQUOTE] = ACTIONS(2418),
    [anon_sym_u8_SQUOTE] = ACTIONS(2418),
    [anon_sym_SQUOTE] = ACTIONS(2418),
    [anon_sym_AT] = ACTIONS(2416),
    [anon_sym_DQUOTE] = ACTIONS(2418),
    [anon_sym_L_DQUOTE] = ACTIONS(2418),
    [anon_sym_u_DQUOTE] = ACTIONS(2418),
    [anon_sym_U_DQUOTE] = ACTIONS(2418),
    [anon_sym_u8_DQUOTE] = ACTIONS(2418),
    [sym_true] = ACTIONS(2416),
    [sym_false] = ACTIONS(2416),
    [anon_sym_NULL] = ACTIONS(2416),
    [anon_sym_nullptr] = ACTIONS(2416),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2416),
    [anon_sym___typeof] = ACTIONS(2416),
    [anon_sym_typeof] = ACTIONS(2416),
    [anon_sym_ATimport] = ACTIONS(2418),
    [aux_sym_preproc_undef_token1] = ACTIONS(2416),
    [anon_sym_POUND] = ACTIONS(2416),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2416),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2416),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2416),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2416),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2416),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2416),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2416),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2416),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2416),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_API_AVAILABLE] = ACTIONS(2416),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_API_DEPRECATED] = ACTIONS(2416),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2416),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2416),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2416),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2416),
    [anon_sym___deprecated_msg] = ACTIONS(2416),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2416),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2416),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2416),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2416),
    [anon_sym_ATprotocol] = ACTIONS(2418),
    [anon_sym_ATinterface] = ACTIONS(2418),
    [anon_sym_ATimplementation] = ACTIONS(2418),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2418),
    [anon_sym_ATselector] = ACTIONS(2418),
    [anon_sym_ATavailable] = ACTIONS(2418),
    [anon_sym___builtin_available] = ACTIONS(2416),
    [anon_sym_va_arg] = ACTIONS(2416),
    [anon_sym_ATencode] = ACTIONS(2418),
    [anon_sym_BOOL] = ACTIONS(2416),
    [anon_sym_IMP] = ACTIONS(2416),
    [anon_sym_SEL] = ACTIONS(2416),
    [anon_sym_Class] = ACTIONS(2416),
    [anon_sym_id] = ACTIONS(2416),
  },
  [935] = {
    [ts_builtin_sym_end] = ACTIONS(2426),
    [sym_identifier] = ACTIONS(2424),
    [aux_sym_preproc_include_token1] = ACTIONS(2424),
    [aux_sym_preproc_include_token2] = ACTIONS(2424),
    [aux_sym_preproc_def_token1] = ACTIONS(2424),
    [aux_sym_preproc_if_token1] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2424),
    [sym_preproc_directive] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_CARET] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym___extension__] = ACTIONS(2424),
    [anon_sym_typedef] = ACTIONS(2424),
    [anon_sym_extern] = ACTIONS(2424),
    [anon_sym___attribute__] = ACTIONS(2424),
    [anon_sym___attribute] = ACTIONS(2424),
    [anon_sym_noreturn] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym___declspec] = ACTIONS(2424),
    [anon_sym___cdecl] = ACTIONS(2424),
    [anon_sym___clrcall] = ACTIONS(2424),
    [anon_sym___stdcall] = ACTIONS(2424),
    [anon_sym___fastcall] = ACTIONS(2424),
    [anon_sym___thiscall] = ACTIONS(2424),
    [anon_sym___vectorcall] = ACTIONS(2424),
    [anon_sym_LBRACE] = ACTIONS(2426),
    [anon_sym_signed] = ACTIONS(2424),
    [anon_sym_unsigned] = ACTIONS(2424),
    [anon_sym_long] = ACTIONS(2424),
    [anon_sym_short] = ACTIONS(2424),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_ATautoreleasepool] = ACTIONS(2426),
    [anon_sym_auto] = ACTIONS(2424),
    [anon_sym_register] = ACTIONS(2424),
    [anon_sym_inline] = ACTIONS(2424),
    [anon_sym___inline] = ACTIONS(2424),
    [anon_sym___inline__] = ACTIONS(2424),
    [anon_sym___forceinline] = ACTIONS(2424),
    [anon_sym_thread_local] = ACTIONS(2424),
    [anon_sym___thread] = ACTIONS(2424),
    [anon_sym_CG_EXTERN] = ACTIONS(2424),
    [anon_sym_CG_INLINE] = ACTIONS(2424),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2424),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2424),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2424),
    [anon_sym_IBOutlet] = ACTIONS(2424),
    [anon_sym_IBInspectable] = ACTIONS(2424),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2424),
    [anon_sym_NS_INLINE] = ACTIONS(2424),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2424),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2424),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2424),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2424),
    [anon_sym_const] = ACTIONS(2424),
    [anon_sym_constexpr] = ACTIONS(2424),
    [anon_sym_volatile] = ACTIONS(2424),
    [anon_sym_restrict] = ACTIONS(2424),
    [anon_sym___restrict__] = ACTIONS(2424),
    [anon_sym__Atomic] = ACTIONS(2424),
    [anon_sym__Noreturn] = ACTIONS(2424),
    [anon_sym__Nonnull] = ACTIONS(2424),
    [anon_sym_nullable] = ACTIONS(2424),
    [anon_sym__Complex] = ACTIONS(2424),
    [anon_sym__Nullable] = ACTIONS(2424),
    [anon_sym__Nullable_result] = ACTIONS(2424),
    [anon_sym__Null_unspecified] = ACTIONS(2424),
    [anon_sym___autoreleasing] = ACTIONS(2424),
    [anon_sym___block] = ACTIONS(2424),
    [anon_sym___bridge] = ACTIONS(2424),
    [anon_sym___bridge_retained] = ACTIONS(2424),
    [anon_sym___bridge_transfer] = ACTIONS(2424),
    [anon_sym___complex] = ACTIONS(2424),
    [anon_sym___const] = ACTIONS(2424),
    [anon_sym___imag] = ACTIONS(2424),
    [anon_sym___kindof] = ACTIONS(2424),
    [anon_sym___nonnull] = ACTIONS(2424),
    [anon_sym___nullable] = ACTIONS(2424),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2424),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2424),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2424),
    [anon_sym___real] = ACTIONS(2424),
    [anon_sym___strong] = ACTIONS(2424),
    [anon_sym___unsafe_unretained] = ACTIONS(2424),
    [anon_sym___unused] = ACTIONS(2424),
    [anon_sym___weak] = ACTIONS(2424),
    [anon_sym_alignas] = ACTIONS(2424),
    [anon_sym__Alignas] = ACTIONS(2424),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_enum] = ACTIONS(2424),
    [anon_sym_struct] = ACTIONS(2424),
    [anon_sym_union] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_else] = ACTIONS(2424),
    [anon_sym_switch] = ACTIONS(2424),
    [anon_sym_case] = ACTIONS(2424),
    [anon_sym_default] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_in] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_break] = ACTIONS(2424),
    [anon_sym_continue] = ACTIONS(2424),
    [anon_sym_goto] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2426),
    [anon_sym_sizeof] = ACTIONS(2424),
    [anon_sym___alignof__] = ACTIONS(2424),
    [anon_sym___alignof] = ACTIONS(2424),
    [anon_sym__alignof] = ACTIONS(2424),
    [anon_sym_alignof] = ACTIONS(2424),
    [anon_sym__Alignof] = ACTIONS(2424),
    [anon_sym_offsetof] = ACTIONS(2424),
    [anon_sym__Generic] = ACTIONS(2424),
    [anon_sym_asm] = ACTIONS(2424),
    [anon_sym___asm__] = ACTIONS(2424),
    [anon_sym___asm] = ACTIONS(2424),
    [sym_number_literal] = ACTIONS(2426),
    [anon_sym_L_SQUOTE] = ACTIONS(2426),
    [anon_sym_u_SQUOTE] = ACTIONS(2426),
    [anon_sym_U_SQUOTE] = ACTIONS(2426),
    [anon_sym_u8_SQUOTE] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_AT] = ACTIONS(2424),
    [anon_sym_DQUOTE] = ACTIONS(2426),
    [anon_sym_L_DQUOTE] = ACTIONS(2426),
    [anon_sym_u_DQUOTE] = ACTIONS(2426),
    [anon_sym_U_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8_DQUOTE] = ACTIONS(2426),
    [sym_true] = ACTIONS(2424),
    [sym_false] = ACTIONS(2424),
    [anon_sym_NULL] = ACTIONS(2424),
    [anon_sym_nullptr] = ACTIONS(2424),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2424),
    [anon_sym___typeof] = ACTIONS(2424),
    [anon_sym_typeof] = ACTIONS(2424),
    [anon_sym_ATimport] = ACTIONS(2426),
    [aux_sym_preproc_undef_token1] = ACTIONS(2424),
    [anon_sym_POUND] = ACTIONS(2424),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2424),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2424),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2424),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2424),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2424),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2424),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2424),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2424),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2424),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_API_AVAILABLE] = ACTIONS(2424),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_API_DEPRECATED] = ACTIONS(2424),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2424),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2424),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2424),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2424),
    [anon_sym___deprecated_msg] = ACTIONS(2424),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2424),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2424),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2424),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2424),
    [anon_sym_ATprotocol] = ACTIONS(2426),
    [anon_sym_ATinterface] = ACTIONS(2426),
    [anon_sym_ATimplementation] = ACTIONS(2426),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2426),
    [anon_sym_ATselector] = ACTIONS(2426),
    [anon_sym_ATavailable] = ACTIONS(2426),
    [anon_sym___builtin_available] = ACTIONS(2424),
    [anon_sym_va_arg] = ACTIONS(2424),
    [anon_sym_ATencode] = ACTIONS(2426),
    [anon_sym_BOOL] = ACTIONS(2424),
    [anon_sym_IMP] = ACTIONS(2424),
    [anon_sym_SEL] = ACTIONS(2424),
    [anon_sym_Class] = ACTIONS(2424),
    [anon_sym_id] = ACTIONS(2424),
  },
  [936] = {
    [ts_builtin_sym_end] = ACTIONS(2542),
    [sym_identifier] = ACTIONS(2540),
    [aux_sym_preproc_include_token1] = ACTIONS(2540),
    [aux_sym_preproc_include_token2] = ACTIONS(2540),
    [aux_sym_preproc_def_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2540),
    [sym_preproc_directive] = ACTIONS(2540),
    [anon_sym_LPAREN2] = ACTIONS(2542),
    [anon_sym_BANG] = ACTIONS(2542),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_CARET] = ACTIONS(2542),
    [anon_sym_AMP] = ACTIONS(2542),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_typedef] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym___attribute] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym___cdecl] = ACTIONS(2540),
    [anon_sym___clrcall] = ACTIONS(2540),
    [anon_sym___stdcall] = ACTIONS(2540),
    [anon_sym___fastcall] = ACTIONS(2540),
    [anon_sym___thiscall] = ACTIONS(2540),
    [anon_sym___vectorcall] = ACTIONS(2540),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_ATautoreleasepool] = ACTIONS(2542),
    [anon_sym_auto] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_CG_EXTERN] = ACTIONS(2540),
    [anon_sym_CG_INLINE] = ACTIONS(2540),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2540),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2540),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2540),
    [anon_sym_IBOutlet] = ACTIONS(2540),
    [anon_sym_IBInspectable] = ACTIONS(2540),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2540),
    [anon_sym_NS_INLINE] = ACTIONS(2540),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2540),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2540),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2540),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym__Nonnull] = ACTIONS(2540),
    [anon_sym_nullable] = ACTIONS(2540),
    [anon_sym__Complex] = ACTIONS(2540),
    [anon_sym__Nullable] = ACTIONS(2540),
    [anon_sym__Nullable_result] = ACTIONS(2540),
    [anon_sym__Null_unspecified] = ACTIONS(2540),
    [anon_sym___autoreleasing] = ACTIONS(2540),
    [anon_sym___block] = ACTIONS(2540),
    [anon_sym___bridge] = ACTIONS(2540),
    [anon_sym___bridge_retained] = ACTIONS(2540),
    [anon_sym___bridge_transfer] = ACTIONS(2540),
    [anon_sym___complex] = ACTIONS(2540),
    [anon_sym___const] = ACTIONS(2540),
    [anon_sym___imag] = ACTIONS(2540),
    [anon_sym___kindof] = ACTIONS(2540),
    [anon_sym___nonnull] = ACTIONS(2540),
    [anon_sym___nullable] = ACTIONS(2540),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2540),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2540),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2540),
    [anon_sym___real] = ACTIONS(2540),
    [anon_sym___strong] = ACTIONS(2540),
    [anon_sym___unsafe_unretained] = ACTIONS(2540),
    [anon_sym___unused] = ACTIONS(2540),
    [anon_sym___weak] = ACTIONS(2540),
    [anon_sym_alignas] = ACTIONS(2540),
    [anon_sym__Alignas] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [anon_sym_if] = ACTIONS(2540),
    [anon_sym_else] = ACTIONS(2540),
    [anon_sym_switch] = ACTIONS(2540),
    [anon_sym_case] = ACTIONS(2540),
    [anon_sym_default] = ACTIONS(2540),
    [anon_sym_while] = ACTIONS(2540),
    [anon_sym_do] = ACTIONS(2540),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_in] = ACTIONS(2540),
    [anon_sym_return] = ACTIONS(2540),
    [anon_sym_break] = ACTIONS(2540),
    [anon_sym_continue] = ACTIONS(2540),
    [anon_sym_goto] = ACTIONS(2540),
    [anon_sym_DASH_DASH] = ACTIONS(2542),
    [anon_sym_PLUS_PLUS] = ACTIONS(2542),
    [anon_sym_sizeof] = ACTIONS(2540),
    [anon_sym___alignof__] = ACTIONS(2540),
    [anon_sym___alignof] = ACTIONS(2540),
    [anon_sym__alignof] = ACTIONS(2540),
    [anon_sym_alignof] = ACTIONS(2540),
    [anon_sym__Alignof] = ACTIONS(2540),
    [anon_sym_offsetof] = ACTIONS(2540),
    [anon_sym__Generic] = ACTIONS(2540),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [anon_sym___asm] = ACTIONS(2540),
    [sym_number_literal] = ACTIONS(2542),
    [anon_sym_L_SQUOTE] = ACTIONS(2542),
    [anon_sym_u_SQUOTE] = ACTIONS(2542),
    [anon_sym_U_SQUOTE] = ACTIONS(2542),
    [anon_sym_u8_SQUOTE] = ACTIONS(2542),
    [anon_sym_SQUOTE] = ACTIONS(2542),
    [anon_sym_AT] = ACTIONS(2540),
    [anon_sym_DQUOTE] = ACTIONS(2542),
    [anon_sym_L_DQUOTE] = ACTIONS(2542),
    [anon_sym_u_DQUOTE] = ACTIONS(2542),
    [anon_sym_U_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8_DQUOTE] = ACTIONS(2542),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2540),
    [anon_sym_nullptr] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2540),
    [anon_sym___typeof] = ACTIONS(2540),
    [anon_sym_typeof] = ACTIONS(2540),
    [anon_sym_ATimport] = ACTIONS(2542),
    [aux_sym_preproc_undef_token1] = ACTIONS(2540),
    [anon_sym_POUND] = ACTIONS(2540),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2540),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2540),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2540),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2540),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2540),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2540),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2540),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2540),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2540),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_API_AVAILABLE] = ACTIONS(2540),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_API_DEPRECATED] = ACTIONS(2540),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2540),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2540),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2540),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2540),
    [anon_sym___deprecated_msg] = ACTIONS(2540),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2540),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2540),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2540),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2540),
    [anon_sym_ATprotocol] = ACTIONS(2542),
    [anon_sym_ATinterface] = ACTIONS(2542),
    [anon_sym_ATimplementation] = ACTIONS(2542),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2542),
    [anon_sym_ATselector] = ACTIONS(2542),
    [anon_sym_ATavailable] = ACTIONS(2542),
    [anon_sym___builtin_available] = ACTIONS(2540),
    [anon_sym_va_arg] = ACTIONS(2540),
    [anon_sym_ATencode] = ACTIONS(2542),
    [anon_sym_BOOL] = ACTIONS(2540),
    [anon_sym_IMP] = ACTIONS(2540),
    [anon_sym_SEL] = ACTIONS(2540),
    [anon_sym_Class] = ACTIONS(2540),
    [anon_sym_id] = ACTIONS(2540),
  },
  [937] = {
    [ts_builtin_sym_end] = ACTIONS(2546),
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_include_token1] = ACTIONS(2544),
    [aux_sym_preproc_include_token2] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym___attribute] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym___cdecl] = ACTIONS(2544),
    [anon_sym___clrcall] = ACTIONS(2544),
    [anon_sym___stdcall] = ACTIONS(2544),
    [anon_sym___fastcall] = ACTIONS(2544),
    [anon_sym___thiscall] = ACTIONS(2544),
    [anon_sym___vectorcall] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_ATautoreleasepool] = ACTIONS(2546),
    [anon_sym_auto] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_CG_EXTERN] = ACTIONS(2544),
    [anon_sym_CG_INLINE] = ACTIONS(2544),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2544),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2544),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2544),
    [anon_sym_IBOutlet] = ACTIONS(2544),
    [anon_sym_IBInspectable] = ACTIONS(2544),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2544),
    [anon_sym_NS_INLINE] = ACTIONS(2544),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2544),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2544),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2544),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym__Nonnull] = ACTIONS(2544),
    [anon_sym_nullable] = ACTIONS(2544),
    [anon_sym__Complex] = ACTIONS(2544),
    [anon_sym__Nullable] = ACTIONS(2544),
    [anon_sym__Nullable_result] = ACTIONS(2544),
    [anon_sym__Null_unspecified] = ACTIONS(2544),
    [anon_sym___autoreleasing] = ACTIONS(2544),
    [anon_sym___block] = ACTIONS(2544),
    [anon_sym___bridge] = ACTIONS(2544),
    [anon_sym___bridge_retained] = ACTIONS(2544),
    [anon_sym___bridge_transfer] = ACTIONS(2544),
    [anon_sym___complex] = ACTIONS(2544),
    [anon_sym___const] = ACTIONS(2544),
    [anon_sym___imag] = ACTIONS(2544),
    [anon_sym___kindof] = ACTIONS(2544),
    [anon_sym___nonnull] = ACTIONS(2544),
    [anon_sym___nullable] = ACTIONS(2544),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2544),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2544),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2544),
    [anon_sym___real] = ACTIONS(2544),
    [anon_sym___strong] = ACTIONS(2544),
    [anon_sym___unsafe_unretained] = ACTIONS(2544),
    [anon_sym___unused] = ACTIONS(2544),
    [anon_sym___weak] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym__Alignas] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_case] = ACTIONS(2544),
    [anon_sym_default] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_in] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [anon_sym___asm] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_AT] = ACTIONS(2544),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2544),
    [anon_sym___typeof] = ACTIONS(2544),
    [anon_sym_typeof] = ACTIONS(2544),
    [anon_sym_ATimport] = ACTIONS(2546),
    [aux_sym_preproc_undef_token1] = ACTIONS(2544),
    [anon_sym_POUND] = ACTIONS(2544),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2544),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2544),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2544),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2544),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2544),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2544),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2544),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2544),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2544),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_API_AVAILABLE] = ACTIONS(2544),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_API_DEPRECATED] = ACTIONS(2544),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2544),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2544),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2544),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2544),
    [anon_sym___deprecated_msg] = ACTIONS(2544),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2544),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2544),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2544),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2544),
    [anon_sym_ATprotocol] = ACTIONS(2546),
    [anon_sym_ATinterface] = ACTIONS(2546),
    [anon_sym_ATimplementation] = ACTIONS(2546),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2546),
    [anon_sym_ATselector] = ACTIONS(2546),
    [anon_sym_ATavailable] = ACTIONS(2546),
    [anon_sym___builtin_available] = ACTIONS(2544),
    [anon_sym_va_arg] = ACTIONS(2544),
    [anon_sym_ATencode] = ACTIONS(2546),
    [anon_sym_BOOL] = ACTIONS(2544),
    [anon_sym_IMP] = ACTIONS(2544),
    [anon_sym_SEL] = ACTIONS(2544),
    [anon_sym_Class] = ACTIONS(2544),
    [anon_sym_id] = ACTIONS(2544),
  },
  [938] = {
    [ts_builtin_sym_end] = ACTIONS(2550),
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_include_token1] = ACTIONS(2548),
    [aux_sym_preproc_include_token2] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_CARET] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2550),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym___attribute] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym___cdecl] = ACTIONS(2548),
    [anon_sym___clrcall] = ACTIONS(2548),
    [anon_sym___stdcall] = ACTIONS(2548),
    [anon_sym___fastcall] = ACTIONS(2548),
    [anon_sym___thiscall] = ACTIONS(2548),
    [anon_sym___vectorcall] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_ATautoreleasepool] = ACTIONS(2550),
    [anon_sym_auto] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_CG_EXTERN] = ACTIONS(2548),
    [anon_sym_CG_INLINE] = ACTIONS(2548),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2548),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2548),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2548),
    [anon_sym_IBOutlet] = ACTIONS(2548),
    [anon_sym_IBInspectable] = ACTIONS(2548),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2548),
    [anon_sym_NS_INLINE] = ACTIONS(2548),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2548),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2548),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2548),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym__Nonnull] = ACTIONS(2548),
    [anon_sym_nullable] = ACTIONS(2548),
    [anon_sym__Complex] = ACTIONS(2548),
    [anon_sym__Nullable] = ACTIONS(2548),
    [anon_sym__Nullable_result] = ACTIONS(2548),
    [anon_sym__Null_unspecified] = ACTIONS(2548),
    [anon_sym___autoreleasing] = ACTIONS(2548),
    [anon_sym___block] = ACTIONS(2548),
    [anon_sym___bridge] = ACTIONS(2548),
    [anon_sym___bridge_retained] = ACTIONS(2548),
    [anon_sym___bridge_transfer] = ACTIONS(2548),
    [anon_sym___complex] = ACTIONS(2548),
    [anon_sym___const] = ACTIONS(2548),
    [anon_sym___imag] = ACTIONS(2548),
    [anon_sym___kindof] = ACTIONS(2548),
    [anon_sym___nonnull] = ACTIONS(2548),
    [anon_sym___nullable] = ACTIONS(2548),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2548),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2548),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2548),
    [anon_sym___real] = ACTIONS(2548),
    [anon_sym___strong] = ACTIONS(2548),
    [anon_sym___unsafe_unretained] = ACTIONS(2548),
    [anon_sym___unused] = ACTIONS(2548),
    [anon_sym___weak] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_else] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_case] = ACTIONS(2548),
    [anon_sym_default] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_in] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [anon_sym___asm] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_AT] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2548),
    [anon_sym___typeof] = ACTIONS(2548),
    [anon_sym_typeof] = ACTIONS(2548),
    [anon_sym_ATimport] = ACTIONS(2550),
    [aux_sym_preproc_undef_token1] = ACTIONS(2548),
    [anon_sym_POUND] = ACTIONS(2548),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2548),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2548),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2548),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2548),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2548),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2548),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2548),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2548),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2548),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_API_AVAILABLE] = ACTIONS(2548),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_API_DEPRECATED] = ACTIONS(2548),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2548),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2548),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2548),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2548),
    [anon_sym___deprecated_msg] = ACTIONS(2548),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2548),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2548),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2548),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2548),
    [anon_sym_ATprotocol] = ACTIONS(2550),
    [anon_sym_ATinterface] = ACTIONS(2550),
    [anon_sym_ATimplementation] = ACTIONS(2550),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2550),
    [anon_sym_ATselector] = ACTIONS(2550),
    [anon_sym_ATavailable] = ACTIONS(2550),
    [anon_sym___builtin_available] = ACTIONS(2548),
    [anon_sym_va_arg] = ACTIONS(2548),
    [anon_sym_ATencode] = ACTIONS(2550),
    [anon_sym_BOOL] = ACTIONS(2548),
    [anon_sym_IMP] = ACTIONS(2548),
    [anon_sym_SEL] = ACTIONS(2548),
    [anon_sym_Class] = ACTIONS(2548),
    [anon_sym_id] = ACTIONS(2548),
  },
  [939] = {
    [ts_builtin_sym_end] = ACTIONS(2472),
    [sym_identifier] = ACTIONS(2470),
    [aux_sym_preproc_include_token1] = ACTIONS(2470),
    [aux_sym_preproc_include_token2] = ACTIONS(2470),
    [aux_sym_preproc_def_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2470),
    [sym_preproc_directive] = ACTIONS(2470),
    [anon_sym_LPAREN2] = ACTIONS(2472),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_CARET] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2470),
    [anon_sym_extern] = ACTIONS(2470),
    [anon_sym___attribute__] = ACTIONS(2470),
    [anon_sym___attribute] = ACTIONS(2470),
    [anon_sym_noreturn] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym___declspec] = ACTIONS(2470),
    [anon_sym___cdecl] = ACTIONS(2470),
    [anon_sym___clrcall] = ACTIONS(2470),
    [anon_sym___stdcall] = ACTIONS(2470),
    [anon_sym___fastcall] = ACTIONS(2470),
    [anon_sym___thiscall] = ACTIONS(2470),
    [anon_sym___vectorcall] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_signed] = ACTIONS(2470),
    [anon_sym_unsigned] = ACTIONS(2470),
    [anon_sym_long] = ACTIONS(2470),
    [anon_sym_short] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_ATautoreleasepool] = ACTIONS(2472),
    [anon_sym_auto] = ACTIONS(2470),
    [anon_sym_register] = ACTIONS(2470),
    [anon_sym_inline] = ACTIONS(2470),
    [anon_sym___inline] = ACTIONS(2470),
    [anon_sym___inline__] = ACTIONS(2470),
    [anon_sym___forceinline] = ACTIONS(2470),
    [anon_sym_thread_local] = ACTIONS(2470),
    [anon_sym___thread] = ACTIONS(2470),
    [anon_sym_CG_EXTERN] = ACTIONS(2470),
    [anon_sym_CG_INLINE] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2470),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2470),
    [anon_sym_IBOutlet] = ACTIONS(2470),
    [anon_sym_IBInspectable] = ACTIONS(2470),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2470),
    [anon_sym_NS_INLINE] = ACTIONS(2470),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2470),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2470),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2470),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_constexpr] = ACTIONS(2470),
    [anon_sym_volatile] = ACTIONS(2470),
    [anon_sym_restrict] = ACTIONS(2470),
    [anon_sym___restrict__] = ACTIONS(2470),
    [anon_sym__Atomic] = ACTIONS(2470),
    [anon_sym__Noreturn] = ACTIONS(2470),
    [anon_sym__Nonnull] = ACTIONS(2470),
    [anon_sym_nullable] = ACTIONS(2470),
    [anon_sym__Complex] = ACTIONS(2470),
    [anon_sym__Nullable] = ACTIONS(2470),
    [anon_sym__Nullable_result] = ACTIONS(2470),
    [anon_sym__Null_unspecified] = ACTIONS(2470),
    [anon_sym___autoreleasing] = ACTIONS(2470),
    [anon_sym___block] = ACTIONS(2470),
    [anon_sym___bridge] = ACTIONS(2470),
    [anon_sym___bridge_retained] = ACTIONS(2470),
    [anon_sym___bridge_transfer] = ACTIONS(2470),
    [anon_sym___complex] = ACTIONS(2470),
    [anon_sym___const] = ACTIONS(2470),
    [anon_sym___imag] = ACTIONS(2470),
    [anon_sym___kindof] = ACTIONS(2470),
    [anon_sym___nonnull] = ACTIONS(2470),
    [anon_sym___nullable] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2470),
    [anon_sym___real] = ACTIONS(2470),
    [anon_sym___strong] = ACTIONS(2470),
    [anon_sym___unsafe_unretained] = ACTIONS(2470),
    [anon_sym___unused] = ACTIONS(2470),
    [anon_sym___weak] = ACTIONS(2470),
    [anon_sym_alignas] = ACTIONS(2470),
    [anon_sym__Alignas] = ACTIONS(2470),
    [sym_primitive_type] = ACTIONS(2470),
    [anon_sym_enum] = ACTIONS(2470),
    [anon_sym_struct] = ACTIONS(2470),
    [anon_sym_union] = ACTIONS(2470),
    [anon_sym_if] = ACTIONS(2470),
    [anon_sym_else] = ACTIONS(2470),
    [anon_sym_switch] = ACTIONS(2470),
    [anon_sym_case] = ACTIONS(2470),
    [anon_sym_default] = ACTIONS(2470),
    [anon_sym_while] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_in] = ACTIONS(2470),
    [anon_sym_return] = ACTIONS(2470),
    [anon_sym_break] = ACTIONS(2470),
    [anon_sym_continue] = ACTIONS(2470),
    [anon_sym_goto] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_PLUS] = ACTIONS(2472),
    [anon_sym_sizeof] = ACTIONS(2470),
    [anon_sym___alignof__] = ACTIONS(2470),
    [anon_sym___alignof] = ACTIONS(2470),
    [anon_sym__alignof] = ACTIONS(2470),
    [anon_sym_alignof] = ACTIONS(2470),
    [anon_sym__Alignof] = ACTIONS(2470),
    [anon_sym_offsetof] = ACTIONS(2470),
    [anon_sym__Generic] = ACTIONS(2470),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2472),
    [anon_sym_u_SQUOTE] = ACTIONS(2472),
    [anon_sym_U_SQUOTE] = ACTIONS(2472),
    [anon_sym_u8_SQUOTE] = ACTIONS(2472),
    [anon_sym_SQUOTE] = ACTIONS(2472),
    [anon_sym_AT] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2470),
    [sym_false] = ACTIONS(2470),
    [anon_sym_NULL] = ACTIONS(2470),
    [anon_sym_nullptr] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2470),
    [anon_sym___typeof] = ACTIONS(2470),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_ATimport] = ACTIONS(2472),
    [aux_sym_preproc_undef_token1] = ACTIONS(2470),
    [anon_sym_POUND] = ACTIONS(2470),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2470),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2470),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2470),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_API_AVAILABLE] = ACTIONS(2470),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_API_DEPRECATED] = ACTIONS(2470),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym___deprecated_msg] = ACTIONS(2470),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2470),
    [anon_sym_ATprotocol] = ACTIONS(2472),
    [anon_sym_ATinterface] = ACTIONS(2472),
    [anon_sym_ATimplementation] = ACTIONS(2472),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2472),
    [anon_sym_ATselector] = ACTIONS(2472),
    [anon_sym_ATavailable] = ACTIONS(2472),
    [anon_sym___builtin_available] = ACTIONS(2470),
    [anon_sym_va_arg] = ACTIONS(2470),
    [anon_sym_ATencode] = ACTIONS(2472),
    [anon_sym_BOOL] = ACTIONS(2470),
    [anon_sym_IMP] = ACTIONS(2470),
    [anon_sym_SEL] = ACTIONS(2470),
    [anon_sym_Class] = ACTIONS(2470),
    [anon_sym_id] = ACTIONS(2470),
  },
  [940] = {
    [ts_builtin_sym_end] = ACTIONS(2476),
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_include_token1] = ACTIONS(2474),
    [aux_sym_preproc_include_token2] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_BANG] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym___attribute] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_ATautoreleasepool] = ACTIONS(2476),
    [anon_sym_auto] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_CG_EXTERN] = ACTIONS(2474),
    [anon_sym_CG_INLINE] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2474),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2474),
    [anon_sym_IBOutlet] = ACTIONS(2474),
    [anon_sym_IBInspectable] = ACTIONS(2474),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2474),
    [anon_sym_NS_INLINE] = ACTIONS(2474),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2474),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2474),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym__Nonnull] = ACTIONS(2474),
    [anon_sym_nullable] = ACTIONS(2474),
    [anon_sym__Complex] = ACTIONS(2474),
    [anon_sym__Nullable] = ACTIONS(2474),
    [anon_sym__Nullable_result] = ACTIONS(2474),
    [anon_sym__Null_unspecified] = ACTIONS(2474),
    [anon_sym___autoreleasing] = ACTIONS(2474),
    [anon_sym___block] = ACTIONS(2474),
    [anon_sym___bridge] = ACTIONS(2474),
    [anon_sym___bridge_retained] = ACTIONS(2474),
    [anon_sym___bridge_transfer] = ACTIONS(2474),
    [anon_sym___complex] = ACTIONS(2474),
    [anon_sym___const] = ACTIONS(2474),
    [anon_sym___imag] = ACTIONS(2474),
    [anon_sym___kindof] = ACTIONS(2474),
    [anon_sym___nonnull] = ACTIONS(2474),
    [anon_sym___nullable] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2474),
    [anon_sym___real] = ACTIONS(2474),
    [anon_sym___strong] = ACTIONS(2474),
    [anon_sym___unsafe_unretained] = ACTIONS(2474),
    [anon_sym___unused] = ACTIONS(2474),
    [anon_sym___weak] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_else] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_goto] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_PLUS] = ACTIONS(2476),
    [anon_sym_sizeof] = ACTIONS(2474),
    [anon_sym___alignof__] = ACTIONS(2474),
    [anon_sym___alignof] = ACTIONS(2474),
    [anon_sym__alignof] = ACTIONS(2474),
    [anon_sym_alignof] = ACTIONS(2474),
    [anon_sym__Alignof] = ACTIONS(2474),
    [anon_sym_offsetof] = ACTIONS(2474),
    [anon_sym__Generic] = ACTIONS(2474),
    [anon_sym_asm] = ACTIONS(2474),
    [anon_sym___asm__] = ACTIONS(2474),
    [anon_sym___asm] = ACTIONS(2474),
    [sym_number_literal] = ACTIONS(2476),
    [anon_sym_L_SQUOTE] = ACTIONS(2476),
    [anon_sym_u_SQUOTE] = ACTIONS(2476),
    [anon_sym_U_SQUOTE] = ACTIONS(2476),
    [anon_sym_u8_SQUOTE] = ACTIONS(2476),
    [anon_sym_SQUOTE] = ACTIONS(2476),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2474),
    [anon_sym_nullptr] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2474),
    [anon_sym___typeof] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [anon_sym_ATimport] = ACTIONS(2476),
    [aux_sym_preproc_undef_token1] = ACTIONS(2474),
    [anon_sym_POUND] = ACTIONS(2474),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2474),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2474),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2474),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_API_AVAILABLE] = ACTIONS(2474),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_API_DEPRECATED] = ACTIONS(2474),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym___deprecated_msg] = ACTIONS(2474),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2474),
    [anon_sym_ATprotocol] = ACTIONS(2476),
    [anon_sym_ATinterface] = ACTIONS(2476),
    [anon_sym_ATimplementation] = ACTIONS(2476),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2476),
    [anon_sym_ATselector] = ACTIONS(2476),
    [anon_sym_ATavailable] = ACTIONS(2476),
    [anon_sym___builtin_available] = ACTIONS(2474),
    [anon_sym_va_arg] = ACTIONS(2474),
    [anon_sym_ATencode] = ACTIONS(2476),
    [anon_sym_BOOL] = ACTIONS(2474),
    [anon_sym_IMP] = ACTIONS(2474),
    [anon_sym_SEL] = ACTIONS(2474),
    [anon_sym_Class] = ACTIONS(2474),
    [anon_sym_id] = ACTIONS(2474),
  },
  [941] = {
    [ts_builtin_sym_end] = ACTIONS(2488),
    [sym_identifier] = ACTIONS(2486),
    [aux_sym_preproc_include_token1] = ACTIONS(2486),
    [aux_sym_preproc_include_token2] = ACTIONS(2486),
    [aux_sym_preproc_def_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2486),
    [sym_preproc_directive] = ACTIONS(2486),
    [anon_sym_LPAREN2] = ACTIONS(2488),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_CARET] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2488),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym___attribute] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym___cdecl] = ACTIONS(2486),
    [anon_sym___clrcall] = ACTIONS(2486),
    [anon_sym___stdcall] = ACTIONS(2486),
    [anon_sym___fastcall] = ACTIONS(2486),
    [anon_sym___thiscall] = ACTIONS(2486),
    [anon_sym___vectorcall] = ACTIONS(2486),
    [anon_sym_LBRACE] = ACTIONS(2488),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_ATautoreleasepool] = ACTIONS(2488),
    [anon_sym_auto] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_CG_EXTERN] = ACTIONS(2486),
    [anon_sym_CG_INLINE] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2486),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2486),
    [anon_sym_IBOutlet] = ACTIONS(2486),
    [anon_sym_IBInspectable] = ACTIONS(2486),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2486),
    [anon_sym_NS_INLINE] = ACTIONS(2486),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2486),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2486),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym__Nonnull] = ACTIONS(2486),
    [anon_sym_nullable] = ACTIONS(2486),
    [anon_sym__Complex] = ACTIONS(2486),
    [anon_sym__Nullable] = ACTIONS(2486),
    [anon_sym__Nullable_result] = ACTIONS(2486),
    [anon_sym__Null_unspecified] = ACTIONS(2486),
    [anon_sym___autoreleasing] = ACTIONS(2486),
    [anon_sym___block] = ACTIONS(2486),
    [anon_sym___bridge] = ACTIONS(2486),
    [anon_sym___bridge_retained] = ACTIONS(2486),
    [anon_sym___bridge_transfer] = ACTIONS(2486),
    [anon_sym___complex] = ACTIONS(2486),
    [anon_sym___const] = ACTIONS(2486),
    [anon_sym___imag] = ACTIONS(2486),
    [anon_sym___kindof] = ACTIONS(2486),
    [anon_sym___nonnull] = ACTIONS(2486),
    [anon_sym___nullable] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2486),
    [anon_sym___real] = ACTIONS(2486),
    [anon_sym___strong] = ACTIONS(2486),
    [anon_sym___unsafe_unretained] = ACTIONS(2486),
    [anon_sym___unused] = ACTIONS(2486),
    [anon_sym___weak] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym__Alignas] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_else] = ACTIONS(2486),
    [anon_sym_switch] = ACTIONS(2486),
    [anon_sym_case] = ACTIONS(2486),
    [anon_sym_default] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2486),
    [anon_sym_do] = ACTIONS(2486),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_in] = ACTIONS(2486),
    [anon_sym_return] = ACTIONS(2486),
    [anon_sym_break] = ACTIONS(2486),
    [anon_sym_continue] = ACTIONS(2486),
    [anon_sym_goto] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2488),
    [anon_sym_PLUS_PLUS] = ACTIONS(2488),
    [anon_sym_sizeof] = ACTIONS(2486),
    [anon_sym___alignof__] = ACTIONS(2486),
    [anon_sym___alignof] = ACTIONS(2486),
    [anon_sym__alignof] = ACTIONS(2486),
    [anon_sym_alignof] = ACTIONS(2486),
    [anon_sym__Alignof] = ACTIONS(2486),
    [anon_sym_offsetof] = ACTIONS(2486),
    [anon_sym__Generic] = ACTIONS(2486),
    [anon_sym_asm] = ACTIONS(2486),
    [anon_sym___asm__] = ACTIONS(2486),
    [anon_sym___asm] = ACTIONS(2486),
    [sym_number_literal] = ACTIONS(2488),
    [anon_sym_L_SQUOTE] = ACTIONS(2488),
    [anon_sym_u_SQUOTE] = ACTIONS(2488),
    [anon_sym_U_SQUOTE] = ACTIONS(2488),
    [anon_sym_u8_SQUOTE] = ACTIONS(2488),
    [anon_sym_SQUOTE] = ACTIONS(2488),
    [anon_sym_AT] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2488),
    [anon_sym_L_DQUOTE] = ACTIONS(2488),
    [anon_sym_u_DQUOTE] = ACTIONS(2488),
    [anon_sym_U_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8_DQUOTE] = ACTIONS(2488),
    [sym_true] = ACTIONS(2486),
    [sym_false] = ACTIONS(2486),
    [anon_sym_NULL] = ACTIONS(2486),
    [anon_sym_nullptr] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2486),
    [anon_sym___typeof] = ACTIONS(2486),
    [anon_sym_typeof] = ACTIONS(2486),
    [anon_sym_ATimport] = ACTIONS(2488),
    [aux_sym_preproc_undef_token1] = ACTIONS(2486),
    [anon_sym_POUND] = ACTIONS(2486),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2486),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2486),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2486),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_API_AVAILABLE] = ACTIONS(2486),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_API_DEPRECATED] = ACTIONS(2486),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym___deprecated_msg] = ACTIONS(2486),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2486),
    [anon_sym_ATprotocol] = ACTIONS(2488),
    [anon_sym_ATinterface] = ACTIONS(2488),
    [anon_sym_ATimplementation] = ACTIONS(2488),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2488),
    [anon_sym_ATselector] = ACTIONS(2488),
    [anon_sym_ATavailable] = ACTIONS(2488),
    [anon_sym___builtin_available] = ACTIONS(2486),
    [anon_sym_va_arg] = ACTIONS(2486),
    [anon_sym_ATencode] = ACTIONS(2488),
    [anon_sym_BOOL] = ACTIONS(2486),
    [anon_sym_IMP] = ACTIONS(2486),
    [anon_sym_SEL] = ACTIONS(2486),
    [anon_sym_Class] = ACTIONS(2486),
    [anon_sym_id] = ACTIONS(2486),
  },
  [942] = {
    [ts_builtin_sym_end] = ACTIONS(2488),
    [sym_identifier] = ACTIONS(2486),
    [aux_sym_preproc_include_token1] = ACTIONS(2486),
    [aux_sym_preproc_include_token2] = ACTIONS(2486),
    [aux_sym_preproc_def_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2486),
    [sym_preproc_directive] = ACTIONS(2486),
    [anon_sym_LPAREN2] = ACTIONS(2488),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_CARET] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2488),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym___attribute] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym___cdecl] = ACTIONS(2486),
    [anon_sym___clrcall] = ACTIONS(2486),
    [anon_sym___stdcall] = ACTIONS(2486),
    [anon_sym___fastcall] = ACTIONS(2486),
    [anon_sym___thiscall] = ACTIONS(2486),
    [anon_sym___vectorcall] = ACTIONS(2486),
    [anon_sym_LBRACE] = ACTIONS(2488),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_ATautoreleasepool] = ACTIONS(2488),
    [anon_sym_auto] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_CG_EXTERN] = ACTIONS(2486),
    [anon_sym_CG_INLINE] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2486),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2486),
    [anon_sym_IBOutlet] = ACTIONS(2486),
    [anon_sym_IBInspectable] = ACTIONS(2486),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2486),
    [anon_sym_NS_INLINE] = ACTIONS(2486),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2486),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2486),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym__Nonnull] = ACTIONS(2486),
    [anon_sym_nullable] = ACTIONS(2486),
    [anon_sym__Complex] = ACTIONS(2486),
    [anon_sym__Nullable] = ACTIONS(2486),
    [anon_sym__Nullable_result] = ACTIONS(2486),
    [anon_sym__Null_unspecified] = ACTIONS(2486),
    [anon_sym___autoreleasing] = ACTIONS(2486),
    [anon_sym___block] = ACTIONS(2486),
    [anon_sym___bridge] = ACTIONS(2486),
    [anon_sym___bridge_retained] = ACTIONS(2486),
    [anon_sym___bridge_transfer] = ACTIONS(2486),
    [anon_sym___complex] = ACTIONS(2486),
    [anon_sym___const] = ACTIONS(2486),
    [anon_sym___imag] = ACTIONS(2486),
    [anon_sym___kindof] = ACTIONS(2486),
    [anon_sym___nonnull] = ACTIONS(2486),
    [anon_sym___nullable] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2486),
    [anon_sym___real] = ACTIONS(2486),
    [anon_sym___strong] = ACTIONS(2486),
    [anon_sym___unsafe_unretained] = ACTIONS(2486),
    [anon_sym___unused] = ACTIONS(2486),
    [anon_sym___weak] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym__Alignas] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_else] = ACTIONS(2486),
    [anon_sym_switch] = ACTIONS(2486),
    [anon_sym_case] = ACTIONS(2486),
    [anon_sym_default] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2486),
    [anon_sym_do] = ACTIONS(2486),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_in] = ACTIONS(2486),
    [anon_sym_return] = ACTIONS(2486),
    [anon_sym_break] = ACTIONS(2486),
    [anon_sym_continue] = ACTIONS(2486),
    [anon_sym_goto] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2488),
    [anon_sym_PLUS_PLUS] = ACTIONS(2488),
    [anon_sym_sizeof] = ACTIONS(2486),
    [anon_sym___alignof__] = ACTIONS(2486),
    [anon_sym___alignof] = ACTIONS(2486),
    [anon_sym__alignof] = ACTIONS(2486),
    [anon_sym_alignof] = ACTIONS(2486),
    [anon_sym__Alignof] = ACTIONS(2486),
    [anon_sym_offsetof] = ACTIONS(2486),
    [anon_sym__Generic] = ACTIONS(2486),
    [anon_sym_asm] = ACTIONS(2486),
    [anon_sym___asm__] = ACTIONS(2486),
    [anon_sym___asm] = ACTIONS(2486),
    [sym_number_literal] = ACTIONS(2488),
    [anon_sym_L_SQUOTE] = ACTIONS(2488),
    [anon_sym_u_SQUOTE] = ACTIONS(2488),
    [anon_sym_U_SQUOTE] = ACTIONS(2488),
    [anon_sym_u8_SQUOTE] = ACTIONS(2488),
    [anon_sym_SQUOTE] = ACTIONS(2488),
    [anon_sym_AT] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2488),
    [anon_sym_L_DQUOTE] = ACTIONS(2488),
    [anon_sym_u_DQUOTE] = ACTIONS(2488),
    [anon_sym_U_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8_DQUOTE] = ACTIONS(2488),
    [sym_true] = ACTIONS(2486),
    [sym_false] = ACTIONS(2486),
    [anon_sym_NULL] = ACTIONS(2486),
    [anon_sym_nullptr] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2486),
    [anon_sym___typeof] = ACTIONS(2486),
    [anon_sym_typeof] = ACTIONS(2486),
    [anon_sym_ATimport] = ACTIONS(2488),
    [aux_sym_preproc_undef_token1] = ACTIONS(2486),
    [anon_sym_POUND] = ACTIONS(2486),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2486),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2486),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2486),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_API_AVAILABLE] = ACTIONS(2486),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_API_DEPRECATED] = ACTIONS(2486),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym___deprecated_msg] = ACTIONS(2486),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2486),
    [anon_sym_ATprotocol] = ACTIONS(2488),
    [anon_sym_ATinterface] = ACTIONS(2488),
    [anon_sym_ATimplementation] = ACTIONS(2488),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2488),
    [anon_sym_ATselector] = ACTIONS(2488),
    [anon_sym_ATavailable] = ACTIONS(2488),
    [anon_sym___builtin_available] = ACTIONS(2486),
    [anon_sym_va_arg] = ACTIONS(2486),
    [anon_sym_ATencode] = ACTIONS(2488),
    [anon_sym_BOOL] = ACTIONS(2486),
    [anon_sym_IMP] = ACTIONS(2486),
    [anon_sym_SEL] = ACTIONS(2486),
    [anon_sym_Class] = ACTIONS(2486),
    [anon_sym_id] = ACTIONS(2486),
  },
  [943] = {
    [ts_builtin_sym_end] = ACTIONS(2472),
    [sym_identifier] = ACTIONS(2470),
    [aux_sym_preproc_include_token1] = ACTIONS(2470),
    [aux_sym_preproc_include_token2] = ACTIONS(2470),
    [aux_sym_preproc_def_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2470),
    [sym_preproc_directive] = ACTIONS(2470),
    [anon_sym_LPAREN2] = ACTIONS(2472),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_CARET] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2470),
    [anon_sym_extern] = ACTIONS(2470),
    [anon_sym___attribute__] = ACTIONS(2470),
    [anon_sym___attribute] = ACTIONS(2470),
    [anon_sym_noreturn] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym___declspec] = ACTIONS(2470),
    [anon_sym___cdecl] = ACTIONS(2470),
    [anon_sym___clrcall] = ACTIONS(2470),
    [anon_sym___stdcall] = ACTIONS(2470),
    [anon_sym___fastcall] = ACTIONS(2470),
    [anon_sym___thiscall] = ACTIONS(2470),
    [anon_sym___vectorcall] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_signed] = ACTIONS(2470),
    [anon_sym_unsigned] = ACTIONS(2470),
    [anon_sym_long] = ACTIONS(2470),
    [anon_sym_short] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_ATautoreleasepool] = ACTIONS(2472),
    [anon_sym_auto] = ACTIONS(2470),
    [anon_sym_register] = ACTIONS(2470),
    [anon_sym_inline] = ACTIONS(2470),
    [anon_sym___inline] = ACTIONS(2470),
    [anon_sym___inline__] = ACTIONS(2470),
    [anon_sym___forceinline] = ACTIONS(2470),
    [anon_sym_thread_local] = ACTIONS(2470),
    [anon_sym___thread] = ACTIONS(2470),
    [anon_sym_CG_EXTERN] = ACTIONS(2470),
    [anon_sym_CG_INLINE] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2470),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2470),
    [anon_sym_IBOutlet] = ACTIONS(2470),
    [anon_sym_IBInspectable] = ACTIONS(2470),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2470),
    [anon_sym_NS_INLINE] = ACTIONS(2470),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2470),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2470),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2470),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_constexpr] = ACTIONS(2470),
    [anon_sym_volatile] = ACTIONS(2470),
    [anon_sym_restrict] = ACTIONS(2470),
    [anon_sym___restrict__] = ACTIONS(2470),
    [anon_sym__Atomic] = ACTIONS(2470),
    [anon_sym__Noreturn] = ACTIONS(2470),
    [anon_sym__Nonnull] = ACTIONS(2470),
    [anon_sym_nullable] = ACTIONS(2470),
    [anon_sym__Complex] = ACTIONS(2470),
    [anon_sym__Nullable] = ACTIONS(2470),
    [anon_sym__Nullable_result] = ACTIONS(2470),
    [anon_sym__Null_unspecified] = ACTIONS(2470),
    [anon_sym___autoreleasing] = ACTIONS(2470),
    [anon_sym___block] = ACTIONS(2470),
    [anon_sym___bridge] = ACTIONS(2470),
    [anon_sym___bridge_retained] = ACTIONS(2470),
    [anon_sym___bridge_transfer] = ACTIONS(2470),
    [anon_sym___complex] = ACTIONS(2470),
    [anon_sym___const] = ACTIONS(2470),
    [anon_sym___imag] = ACTIONS(2470),
    [anon_sym___kindof] = ACTIONS(2470),
    [anon_sym___nonnull] = ACTIONS(2470),
    [anon_sym___nullable] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2470),
    [anon_sym___real] = ACTIONS(2470),
    [anon_sym___strong] = ACTIONS(2470),
    [anon_sym___unsafe_unretained] = ACTIONS(2470),
    [anon_sym___unused] = ACTIONS(2470),
    [anon_sym___weak] = ACTIONS(2470),
    [anon_sym_alignas] = ACTIONS(2470),
    [anon_sym__Alignas] = ACTIONS(2470),
    [sym_primitive_type] = ACTIONS(2470),
    [anon_sym_enum] = ACTIONS(2470),
    [anon_sym_struct] = ACTIONS(2470),
    [anon_sym_union] = ACTIONS(2470),
    [anon_sym_if] = ACTIONS(2470),
    [anon_sym_else] = ACTIONS(2470),
    [anon_sym_switch] = ACTIONS(2470),
    [anon_sym_case] = ACTIONS(2470),
    [anon_sym_default] = ACTIONS(2470),
    [anon_sym_while] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_in] = ACTIONS(2470),
    [anon_sym_return] = ACTIONS(2470),
    [anon_sym_break] = ACTIONS(2470),
    [anon_sym_continue] = ACTIONS(2470),
    [anon_sym_goto] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_PLUS] = ACTIONS(2472),
    [anon_sym_sizeof] = ACTIONS(2470),
    [anon_sym___alignof__] = ACTIONS(2470),
    [anon_sym___alignof] = ACTIONS(2470),
    [anon_sym__alignof] = ACTIONS(2470),
    [anon_sym_alignof] = ACTIONS(2470),
    [anon_sym__Alignof] = ACTIONS(2470),
    [anon_sym_offsetof] = ACTIONS(2470),
    [anon_sym__Generic] = ACTIONS(2470),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2472),
    [anon_sym_u_SQUOTE] = ACTIONS(2472),
    [anon_sym_U_SQUOTE] = ACTIONS(2472),
    [anon_sym_u8_SQUOTE] = ACTIONS(2472),
    [anon_sym_SQUOTE] = ACTIONS(2472),
    [anon_sym_AT] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2470),
    [sym_false] = ACTIONS(2470),
    [anon_sym_NULL] = ACTIONS(2470),
    [anon_sym_nullptr] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2470),
    [anon_sym___typeof] = ACTIONS(2470),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_ATimport] = ACTIONS(2472),
    [aux_sym_preproc_undef_token1] = ACTIONS(2470),
    [anon_sym_POUND] = ACTIONS(2470),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2470),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2470),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2470),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_API_AVAILABLE] = ACTIONS(2470),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_API_DEPRECATED] = ACTIONS(2470),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym___deprecated_msg] = ACTIONS(2470),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2470),
    [anon_sym_ATprotocol] = ACTIONS(2472),
    [anon_sym_ATinterface] = ACTIONS(2472),
    [anon_sym_ATimplementation] = ACTIONS(2472),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2472),
    [anon_sym_ATselector] = ACTIONS(2472),
    [anon_sym_ATavailable] = ACTIONS(2472),
    [anon_sym___builtin_available] = ACTIONS(2470),
    [anon_sym_va_arg] = ACTIONS(2470),
    [anon_sym_ATencode] = ACTIONS(2472),
    [anon_sym_BOOL] = ACTIONS(2470),
    [anon_sym_IMP] = ACTIONS(2470),
    [anon_sym_SEL] = ACTIONS(2470),
    [anon_sym_Class] = ACTIONS(2470),
    [anon_sym_id] = ACTIONS(2470),
  },
  [944] = {
    [ts_builtin_sym_end] = ACTIONS(2476),
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_include_token1] = ACTIONS(2474),
    [aux_sym_preproc_include_token2] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_BANG] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym___attribute] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_ATautoreleasepool] = ACTIONS(2476),
    [anon_sym_auto] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_CG_EXTERN] = ACTIONS(2474),
    [anon_sym_CG_INLINE] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2474),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2474),
    [anon_sym_IBOutlet] = ACTIONS(2474),
    [anon_sym_IBInspectable] = ACTIONS(2474),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2474),
    [anon_sym_NS_INLINE] = ACTIONS(2474),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2474),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2474),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym__Nonnull] = ACTIONS(2474),
    [anon_sym_nullable] = ACTIONS(2474),
    [anon_sym__Complex] = ACTIONS(2474),
    [anon_sym__Nullable] = ACTIONS(2474),
    [anon_sym__Nullable_result] = ACTIONS(2474),
    [anon_sym__Null_unspecified] = ACTIONS(2474),
    [anon_sym___autoreleasing] = ACTIONS(2474),
    [anon_sym___block] = ACTIONS(2474),
    [anon_sym___bridge] = ACTIONS(2474),
    [anon_sym___bridge_retained] = ACTIONS(2474),
    [anon_sym___bridge_transfer] = ACTIONS(2474),
    [anon_sym___complex] = ACTIONS(2474),
    [anon_sym___const] = ACTIONS(2474),
    [anon_sym___imag] = ACTIONS(2474),
    [anon_sym___kindof] = ACTIONS(2474),
    [anon_sym___nonnull] = ACTIONS(2474),
    [anon_sym___nullable] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2474),
    [anon_sym___real] = ACTIONS(2474),
    [anon_sym___strong] = ACTIONS(2474),
    [anon_sym___unsafe_unretained] = ACTIONS(2474),
    [anon_sym___unused] = ACTIONS(2474),
    [anon_sym___weak] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_else] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_case] = ACTIONS(2474),
    [anon_sym_default] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_goto] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_PLUS] = ACTIONS(2476),
    [anon_sym_sizeof] = ACTIONS(2474),
    [anon_sym___alignof__] = ACTIONS(2474),
    [anon_sym___alignof] = ACTIONS(2474),
    [anon_sym__alignof] = ACTIONS(2474),
    [anon_sym_alignof] = ACTIONS(2474),
    [anon_sym__Alignof] = ACTIONS(2474),
    [anon_sym_offsetof] = ACTIONS(2474),
    [anon_sym__Generic] = ACTIONS(2474),
    [anon_sym_asm] = ACTIONS(2474),
    [anon_sym___asm__] = ACTIONS(2474),
    [anon_sym___asm] = ACTIONS(2474),
    [sym_number_literal] = ACTIONS(2476),
    [anon_sym_L_SQUOTE] = ACTIONS(2476),
    [anon_sym_u_SQUOTE] = ACTIONS(2476),
    [anon_sym_U_SQUOTE] = ACTIONS(2476),
    [anon_sym_u8_SQUOTE] = ACTIONS(2476),
    [anon_sym_SQUOTE] = ACTIONS(2476),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2474),
    [anon_sym_nullptr] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2474),
    [anon_sym___typeof] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [anon_sym_ATimport] = ACTIONS(2476),
    [aux_sym_preproc_undef_token1] = ACTIONS(2474),
    [anon_sym_POUND] = ACTIONS(2474),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2474),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2474),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2474),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_API_AVAILABLE] = ACTIONS(2474),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_API_DEPRECATED] = ACTIONS(2474),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym___deprecated_msg] = ACTIONS(2474),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2474),
    [anon_sym_ATprotocol] = ACTIONS(2476),
    [anon_sym_ATinterface] = ACTIONS(2476),
    [anon_sym_ATimplementation] = ACTIONS(2476),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2476),
    [anon_sym_ATselector] = ACTIONS(2476),
    [anon_sym_ATavailable] = ACTIONS(2476),
    [anon_sym___builtin_available] = ACTIONS(2474),
    [anon_sym_va_arg] = ACTIONS(2474),
    [anon_sym_ATencode] = ACTIONS(2476),
    [anon_sym_BOOL] = ACTIONS(2474),
    [anon_sym_IMP] = ACTIONS(2474),
    [anon_sym_SEL] = ACTIONS(2474),
    [anon_sym_Class] = ACTIONS(2474),
    [anon_sym_id] = ACTIONS(2474),
  },
  [945] = {
    [ts_builtin_sym_end] = ACTIONS(2534),
    [sym_identifier] = ACTIONS(2532),
    [aux_sym_preproc_include_token1] = ACTIONS(2532),
    [aux_sym_preproc_include_token2] = ACTIONS(2532),
    [aux_sym_preproc_def_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2532),
    [sym_preproc_directive] = ACTIONS(2532),
    [anon_sym_LPAREN2] = ACTIONS(2534),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_typedef] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym___cdecl] = ACTIONS(2532),
    [anon_sym___clrcall] = ACTIONS(2532),
    [anon_sym___stdcall] = ACTIONS(2532),
    [anon_sym___fastcall] = ACTIONS(2532),
    [anon_sym___thiscall] = ACTIONS(2532),
    [anon_sym___vectorcall] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_ATautoreleasepool] = ACTIONS(2534),
    [anon_sym_auto] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_CG_EXTERN] = ACTIONS(2532),
    [anon_sym_CG_INLINE] = ACTIONS(2532),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2532),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2532),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2532),
    [anon_sym_IBOutlet] = ACTIONS(2532),
    [anon_sym_IBInspectable] = ACTIONS(2532),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2532),
    [anon_sym_NS_INLINE] = ACTIONS(2532),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2532),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2532),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2532),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_nullable] = ACTIONS(2532),
    [anon_sym__Complex] = ACTIONS(2532),
    [anon_sym__Nullable] = ACTIONS(2532),
    [anon_sym__Nullable_result] = ACTIONS(2532),
    [anon_sym__Null_unspecified] = ACTIONS(2532),
    [anon_sym___autoreleasing] = ACTIONS(2532),
    [anon_sym___block] = ACTIONS(2532),
    [anon_sym___bridge] = ACTIONS(2532),
    [anon_sym___bridge_retained] = ACTIONS(2532),
    [anon_sym___bridge_transfer] = ACTIONS(2532),
    [anon_sym___complex] = ACTIONS(2532),
    [anon_sym___const] = ACTIONS(2532),
    [anon_sym___imag] = ACTIONS(2532),
    [anon_sym___kindof] = ACTIONS(2532),
    [anon_sym___nonnull] = ACTIONS(2532),
    [anon_sym___nullable] = ACTIONS(2532),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2532),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2532),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2532),
    [anon_sym___real] = ACTIONS(2532),
    [anon_sym___strong] = ACTIONS(2532),
    [anon_sym___unsafe_unretained] = ACTIONS(2532),
    [anon_sym___unused] = ACTIONS(2532),
    [anon_sym___weak] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2532),
    [anon_sym_else] = ACTIONS(2532),
    [anon_sym_switch] = ACTIONS(2532),
    [anon_sym_case] = ACTIONS(2532),
    [anon_sym_default] = ACTIONS(2532),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_do] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2532),
    [anon_sym_in] = ACTIONS(2532),
    [anon_sym_return] = ACTIONS(2532),
    [anon_sym_break] = ACTIONS(2532),
    [anon_sym_continue] = ACTIONS(2532),
    [anon_sym_goto] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2532),
    [anon_sym___alignof] = ACTIONS(2532),
    [anon_sym__alignof] = ACTIONS(2532),
    [anon_sym_alignof] = ACTIONS(2532),
    [anon_sym__Alignof] = ACTIONS(2532),
    [anon_sym_offsetof] = ACTIONS(2532),
    [anon_sym__Generic] = ACTIONS(2532),
    [anon_sym_asm] = ACTIONS(2532),
    [anon_sym___asm__] = ACTIONS(2532),
    [anon_sym___asm] = ACTIONS(2532),
    [sym_number_literal] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2534),
    [anon_sym_u_SQUOTE] = ACTIONS(2534),
    [anon_sym_U_SQUOTE] = ACTIONS(2534),
    [anon_sym_u8_SQUOTE] = ACTIONS(2534),
    [anon_sym_SQUOTE] = ACTIONS(2534),
    [anon_sym_AT] = ACTIONS(2532),
    [anon_sym_DQUOTE] = ACTIONS(2534),
    [anon_sym_L_DQUOTE] = ACTIONS(2534),
    [anon_sym_u_DQUOTE] = ACTIONS(2534),
    [anon_sym_U_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8_DQUOTE] = ACTIONS(2534),
    [sym_true] = ACTIONS(2532),
    [sym_false] = ACTIONS(2532),
    [anon_sym_NULL] = ACTIONS(2532),
    [anon_sym_nullptr] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2532),
    [anon_sym___typeof] = ACTIONS(2532),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_ATimport] = ACTIONS(2534),
    [aux_sym_preproc_undef_token1] = ACTIONS(2532),
    [anon_sym_POUND] = ACTIONS(2532),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2532),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2532),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2532),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2532),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2532),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2532),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2532),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2532),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2532),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_API_AVAILABLE] = ACTIONS(2532),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_API_DEPRECATED] = ACTIONS(2532),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2532),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2532),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2532),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2532),
    [anon_sym___deprecated_msg] = ACTIONS(2532),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2532),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2532),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2532),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2532),
    [anon_sym_ATprotocol] = ACTIONS(2534),
    [anon_sym_ATinterface] = ACTIONS(2534),
    [anon_sym_ATimplementation] = ACTIONS(2534),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2534),
    [anon_sym_ATselector] = ACTIONS(2534),
    [anon_sym_ATavailable] = ACTIONS(2534),
    [anon_sym___builtin_available] = ACTIONS(2532),
    [anon_sym_va_arg] = ACTIONS(2532),
    [anon_sym_ATencode] = ACTIONS(2534),
    [anon_sym_BOOL] = ACTIONS(2532),
    [anon_sym_IMP] = ACTIONS(2532),
    [anon_sym_SEL] = ACTIONS(2532),
    [anon_sym_Class] = ACTIONS(2532),
    [anon_sym_id] = ACTIONS(2532),
  },
  [946] = {
    [ts_builtin_sym_end] = ACTIONS(2492),
    [sym_identifier] = ACTIONS(2490),
    [aux_sym_preproc_include_token1] = ACTIONS(2490),
    [aux_sym_preproc_include_token2] = ACTIONS(2490),
    [aux_sym_preproc_def_token1] = ACTIONS(2490),
    [aux_sym_preproc_if_token1] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2490),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2490),
    [sym_preproc_directive] = ACTIONS(2490),
    [anon_sym_LPAREN2] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2492),
    [anon_sym_TILDE] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2490),
    [anon_sym_STAR] = ACTIONS(2492),
    [anon_sym_CARET] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2492),
    [anon_sym___extension__] = ACTIONS(2490),
    [anon_sym_typedef] = ACTIONS(2490),
    [anon_sym_extern] = ACTIONS(2490),
    [anon_sym___attribute__] = ACTIONS(2490),
    [anon_sym___attribute] = ACTIONS(2490),
    [anon_sym_noreturn] = ACTIONS(2490),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym___declspec] = ACTIONS(2490),
    [anon_sym___cdecl] = ACTIONS(2490),
    [anon_sym___clrcall] = ACTIONS(2490),
    [anon_sym___stdcall] = ACTIONS(2490),
    [anon_sym___fastcall] = ACTIONS(2490),
    [anon_sym___thiscall] = ACTIONS(2490),
    [anon_sym___vectorcall] = ACTIONS(2490),
    [anon_sym_LBRACE] = ACTIONS(2492),
    [anon_sym_signed] = ACTIONS(2490),
    [anon_sym_unsigned] = ACTIONS(2490),
    [anon_sym_long] = ACTIONS(2490),
    [anon_sym_short] = ACTIONS(2490),
    [anon_sym_static] = ACTIONS(2490),
    [anon_sym_ATautoreleasepool] = ACTIONS(2492),
    [anon_sym_auto] = ACTIONS(2490),
    [anon_sym_register] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2490),
    [anon_sym___inline] = ACTIONS(2490),
    [anon_sym___inline__] = ACTIONS(2490),
    [anon_sym___forceinline] = ACTIONS(2490),
    [anon_sym_thread_local] = ACTIONS(2490),
    [anon_sym___thread] = ACTIONS(2490),
    [anon_sym_CG_EXTERN] = ACTIONS(2490),
    [anon_sym_CG_INLINE] = ACTIONS(2490),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2490),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2490),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2490),
    [anon_sym_IBOutlet] = ACTIONS(2490),
    [anon_sym_IBInspectable] = ACTIONS(2490),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2490),
    [anon_sym_NS_INLINE] = ACTIONS(2490),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2490),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2490),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2490),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2490),
    [anon_sym_const] = ACTIONS(2490),
    [anon_sym_constexpr] = ACTIONS(2490),
    [anon_sym_volatile] = ACTIONS(2490),
    [anon_sym_restrict] = ACTIONS(2490),
    [anon_sym___restrict__] = ACTIONS(2490),
    [anon_sym__Atomic] = ACTIONS(2490),
    [anon_sym__Noreturn] = ACTIONS(2490),
    [anon_sym__Nonnull] = ACTIONS(2490),
    [anon_sym_nullable] = ACTIONS(2490),
    [anon_sym__Complex] = ACTIONS(2490),
    [anon_sym__Nullable] = ACTIONS(2490),
    [anon_sym__Nullable_result] = ACTIONS(2490),
    [anon_sym__Null_unspecified] = ACTIONS(2490),
    [anon_sym___autoreleasing] = ACTIONS(2490),
    [anon_sym___block] = ACTIONS(2490),
    [anon_sym___bridge] = ACTIONS(2490),
    [anon_sym___bridge_retained] = ACTIONS(2490),
    [anon_sym___bridge_transfer] = ACTIONS(2490),
    [anon_sym___complex] = ACTIONS(2490),
    [anon_sym___const] = ACTIONS(2490),
    [anon_sym___imag] = ACTIONS(2490),
    [anon_sym___kindof] = ACTIONS(2490),
    [anon_sym___nonnull] = ACTIONS(2490),
    [anon_sym___nullable] = ACTIONS(2490),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2490),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2490),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2490),
    [anon_sym___real] = ACTIONS(2490),
    [anon_sym___strong] = ACTIONS(2490),
    [anon_sym___unsafe_unretained] = ACTIONS(2490),
    [anon_sym___unused] = ACTIONS(2490),
    [anon_sym___weak] = ACTIONS(2490),
    [anon_sym_alignas] = ACTIONS(2490),
    [anon_sym__Alignas] = ACTIONS(2490),
    [sym_primitive_type] = ACTIONS(2490),
    [anon_sym_enum] = ACTIONS(2490),
    [anon_sym_struct] = ACTIONS(2490),
    [anon_sym_union] = ACTIONS(2490),
    [anon_sym_if] = ACTIONS(2490),
    [anon_sym_else] = ACTIONS(2490),
    [anon_sym_switch] = ACTIONS(2490),
    [anon_sym_case] = ACTIONS(2490),
    [anon_sym_default] = ACTIONS(2490),
    [anon_sym_while] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(2490),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_in] = ACTIONS(2490),
    [anon_sym_return] = ACTIONS(2490),
    [anon_sym_break] = ACTIONS(2490),
    [anon_sym_continue] = ACTIONS(2490),
    [anon_sym_goto] = ACTIONS(2490),
    [anon_sym_DASH_DASH] = ACTIONS(2492),
    [anon_sym_PLUS_PLUS] = ACTIONS(2492),
    [anon_sym_sizeof] = ACTIONS(2490),
    [anon_sym___alignof__] = ACTIONS(2490),
    [anon_sym___alignof] = ACTIONS(2490),
    [anon_sym__alignof] = ACTIONS(2490),
    [anon_sym_alignof] = ACTIONS(2490),
    [anon_sym__Alignof] = ACTIONS(2490),
    [anon_sym_offsetof] = ACTIONS(2490),
    [anon_sym__Generic] = ACTIONS(2490),
    [anon_sym_asm] = ACTIONS(2490),
    [anon_sym___asm__] = ACTIONS(2490),
    [anon_sym___asm] = ACTIONS(2490),
    [sym_number_literal] = ACTIONS(2492),
    [anon_sym_L_SQUOTE] = ACTIONS(2492),
    [anon_sym_u_SQUOTE] = ACTIONS(2492),
    [anon_sym_U_SQUOTE] = ACTIONS(2492),
    [anon_sym_u8_SQUOTE] = ACTIONS(2492),
    [anon_sym_SQUOTE] = ACTIONS(2492),
    [anon_sym_AT] = ACTIONS(2490),
    [anon_sym_DQUOTE] = ACTIONS(2492),
    [anon_sym_L_DQUOTE] = ACTIONS(2492),
    [anon_sym_u_DQUOTE] = ACTIONS(2492),
    [anon_sym_U_DQUOTE] = ACTIONS(2492),
    [anon_sym_u8_DQUOTE] = ACTIONS(2492),
    [sym_true] = ACTIONS(2490),
    [sym_false] = ACTIONS(2490),
    [anon_sym_NULL] = ACTIONS(2490),
    [anon_sym_nullptr] = ACTIONS(2490),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2490),
    [anon_sym___typeof] = ACTIONS(2490),
    [anon_sym_typeof] = ACTIONS(2490),
    [anon_sym_ATimport] = ACTIONS(2492),
    [aux_sym_preproc_undef_token1] = ACTIONS(2490),
    [anon_sym_POUND] = ACTIONS(2490),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2490),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2490),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2490),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2490),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2490),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2490),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2490),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2490),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2490),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_API_AVAILABLE] = ACTIONS(2490),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_API_DEPRECATED] = ACTIONS(2490),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2490),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2490),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2490),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2490),
    [anon_sym___deprecated_msg] = ACTIONS(2490),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2490),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2490),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2490),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2490),
    [anon_sym_ATprotocol] = ACTIONS(2492),
    [anon_sym_ATinterface] = ACTIONS(2492),
    [anon_sym_ATimplementation] = ACTIONS(2492),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2492),
    [anon_sym_ATselector] = ACTIONS(2492),
    [anon_sym_ATavailable] = ACTIONS(2492),
    [anon_sym___builtin_available] = ACTIONS(2490),
    [anon_sym_va_arg] = ACTIONS(2490),
    [anon_sym_ATencode] = ACTIONS(2492),
    [anon_sym_BOOL] = ACTIONS(2490),
    [anon_sym_IMP] = ACTIONS(2490),
    [anon_sym_SEL] = ACTIONS(2490),
    [anon_sym_Class] = ACTIONS(2490),
    [anon_sym_id] = ACTIONS(2490),
  },
  [947] = {
    [ts_builtin_sym_end] = ACTIONS(2502),
    [sym_identifier] = ACTIONS(2500),
    [aux_sym_preproc_include_token1] = ACTIONS(2500),
    [aux_sym_preproc_include_token2] = ACTIONS(2500),
    [aux_sym_preproc_def_token1] = ACTIONS(2500),
    [aux_sym_preproc_if_token1] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2500),
    [sym_preproc_directive] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(2502),
    [anon_sym_BANG] = ACTIONS(2502),
    [anon_sym_TILDE] = ACTIONS(2502),
    [anon_sym_DASH] = ACTIONS(2500),
    [anon_sym_PLUS] = ACTIONS(2500),
    [anon_sym_STAR] = ACTIONS(2502),
    [anon_sym_CARET] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2502),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(2500),
    [anon_sym_typedef] = ACTIONS(2500),
    [anon_sym_extern] = ACTIONS(2500),
    [anon_sym___attribute__] = ACTIONS(2500),
    [anon_sym___attribute] = ACTIONS(2500),
    [anon_sym_noreturn] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [anon_sym___declspec] = ACTIONS(2500),
    [anon_sym___cdecl] = ACTIONS(2500),
    [anon_sym___clrcall] = ACTIONS(2500),
    [anon_sym___stdcall] = ACTIONS(2500),
    [anon_sym___fastcall] = ACTIONS(2500),
    [anon_sym___thiscall] = ACTIONS(2500),
    [anon_sym___vectorcall] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_signed] = ACTIONS(2500),
    [anon_sym_unsigned] = ACTIONS(2500),
    [anon_sym_long] = ACTIONS(2500),
    [anon_sym_short] = ACTIONS(2500),
    [anon_sym_static] = ACTIONS(2500),
    [anon_sym_ATautoreleasepool] = ACTIONS(2502),
    [anon_sym_auto] = ACTIONS(2500),
    [anon_sym_register] = ACTIONS(2500),
    [anon_sym_inline] = ACTIONS(2500),
    [anon_sym___inline] = ACTIONS(2500),
    [anon_sym___inline__] = ACTIONS(2500),
    [anon_sym___forceinline] = ACTIONS(2500),
    [anon_sym_thread_local] = ACTIONS(2500),
    [anon_sym___thread] = ACTIONS(2500),
    [anon_sym_CG_EXTERN] = ACTIONS(2500),
    [anon_sym_CG_INLINE] = ACTIONS(2500),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2500),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2500),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2500),
    [anon_sym_IBOutlet] = ACTIONS(2500),
    [anon_sym_IBInspectable] = ACTIONS(2500),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2500),
    [anon_sym_NS_INLINE] = ACTIONS(2500),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2500),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2500),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2500),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2500),
    [anon_sym_const] = ACTIONS(2500),
    [anon_sym_constexpr] = ACTIONS(2500),
    [anon_sym_volatile] = ACTIONS(2500),
    [anon_sym_restrict] = ACTIONS(2500),
    [anon_sym___restrict__] = ACTIONS(2500),
    [anon_sym__Atomic] = ACTIONS(2500),
    [anon_sym__Noreturn] = ACTIONS(2500),
    [anon_sym__Nonnull] = ACTIONS(2500),
    [anon_sym_nullable] = ACTIONS(2500),
    [anon_sym__Complex] = ACTIONS(2500),
    [anon_sym__Nullable] = ACTIONS(2500),
    [anon_sym__Nullable_result] = ACTIONS(2500),
    [anon_sym__Null_unspecified] = ACTIONS(2500),
    [anon_sym___autoreleasing] = ACTIONS(2500),
    [anon_sym___block] = ACTIONS(2500),
    [anon_sym___bridge] = ACTIONS(2500),
    [anon_sym___bridge_retained] = ACTIONS(2500),
    [anon_sym___bridge_transfer] = ACTIONS(2500),
    [anon_sym___complex] = ACTIONS(2500),
    [anon_sym___const] = ACTIONS(2500),
    [anon_sym___imag] = ACTIONS(2500),
    [anon_sym___kindof] = ACTIONS(2500),
    [anon_sym___nonnull] = ACTIONS(2500),
    [anon_sym___nullable] = ACTIONS(2500),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2500),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2500),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2500),
    [anon_sym___real] = ACTIONS(2500),
    [anon_sym___strong] = ACTIONS(2500),
    [anon_sym___unsafe_unretained] = ACTIONS(2500),
    [anon_sym___unused] = ACTIONS(2500),
    [anon_sym___weak] = ACTIONS(2500),
    [anon_sym_alignas] = ACTIONS(2500),
    [anon_sym__Alignas] = ACTIONS(2500),
    [sym_primitive_type] = ACTIONS(2500),
    [anon_sym_enum] = ACTIONS(2500),
    [anon_sym_struct] = ACTIONS(2500),
    [anon_sym_union] = ACTIONS(2500),
    [anon_sym_if] = ACTIONS(2500),
    [anon_sym_else] = ACTIONS(2500),
    [anon_sym_switch] = ACTIONS(2500),
    [anon_sym_case] = ACTIONS(2500),
    [anon_sym_default] = ACTIONS(2500),
    [anon_sym_while] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2500),
    [anon_sym_for] = ACTIONS(2500),
    [anon_sym_in] = ACTIONS(2500),
    [anon_sym_return] = ACTIONS(2500),
    [anon_sym_break] = ACTIONS(2500),
    [anon_sym_continue] = ACTIONS(2500),
    [anon_sym_goto] = ACTIONS(2500),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(2500),
    [anon_sym___alignof] = ACTIONS(2500),
    [anon_sym__alignof] = ACTIONS(2500),
    [anon_sym_alignof] = ACTIONS(2500),
    [anon_sym__Alignof] = ACTIONS(2500),
    [anon_sym_offsetof] = ACTIONS(2500),
    [anon_sym__Generic] = ACTIONS(2500),
    [anon_sym_asm] = ACTIONS(2500),
    [anon_sym___asm__] = ACTIONS(2500),
    [anon_sym___asm] = ACTIONS(2500),
    [sym_number_literal] = ACTIONS(2502),
    [anon_sym_L_SQUOTE] = ACTIONS(2502),
    [anon_sym_u_SQUOTE] = ACTIONS(2502),
    [anon_sym_U_SQUOTE] = ACTIONS(2502),
    [anon_sym_u8_SQUOTE] = ACTIONS(2502),
    [anon_sym_SQUOTE] = ACTIONS(2502),
    [anon_sym_AT] = ACTIONS(2500),
    [anon_sym_DQUOTE] = ACTIONS(2502),
    [anon_sym_L_DQUOTE] = ACTIONS(2502),
    [anon_sym_u_DQUOTE] = ACTIONS(2502),
    [anon_sym_U_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8_DQUOTE] = ACTIONS(2502),
    [sym_true] = ACTIONS(2500),
    [sym_false] = ACTIONS(2500),
    [anon_sym_NULL] = ACTIONS(2500),
    [anon_sym_nullptr] = ACTIONS(2500),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2500),
    [anon_sym___typeof] = ACTIONS(2500),
    [anon_sym_typeof] = ACTIONS(2500),
    [anon_sym_ATimport] = ACTIONS(2502),
    [aux_sym_preproc_undef_token1] = ACTIONS(2500),
    [anon_sym_POUND] = ACTIONS(2500),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2500),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2500),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2500),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2500),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2500),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2500),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2500),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2500),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2500),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_API_AVAILABLE] = ACTIONS(2500),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_API_DEPRECATED] = ACTIONS(2500),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2500),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2500),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2500),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2500),
    [anon_sym___deprecated_msg] = ACTIONS(2500),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2500),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2500),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2500),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2500),
    [anon_sym_ATprotocol] = ACTIONS(2502),
    [anon_sym_ATinterface] = ACTIONS(2502),
    [anon_sym_ATimplementation] = ACTIONS(2502),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2502),
    [anon_sym_ATselector] = ACTIONS(2502),
    [anon_sym_ATavailable] = ACTIONS(2502),
    [anon_sym___builtin_available] = ACTIONS(2500),
    [anon_sym_va_arg] = ACTIONS(2500),
    [anon_sym_ATencode] = ACTIONS(2502),
    [anon_sym_BOOL] = ACTIONS(2500),
    [anon_sym_IMP] = ACTIONS(2500),
    [anon_sym_SEL] = ACTIONS(2500),
    [anon_sym_Class] = ACTIONS(2500),
    [anon_sym_id] = ACTIONS(2500),
  },
  [948] = {
    [ts_builtin_sym_end] = ACTIONS(2506),
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_include_token1] = ACTIONS(2504),
    [aux_sym_preproc_include_token2] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_CARET] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym___attribute] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym___cdecl] = ACTIONS(2504),
    [anon_sym___clrcall] = ACTIONS(2504),
    [anon_sym___stdcall] = ACTIONS(2504),
    [anon_sym___fastcall] = ACTIONS(2504),
    [anon_sym___thiscall] = ACTIONS(2504),
    [anon_sym___vectorcall] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_ATautoreleasepool] = ACTIONS(2506),
    [anon_sym_auto] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_CG_EXTERN] = ACTIONS(2504),
    [anon_sym_CG_INLINE] = ACTIONS(2504),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2504),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2504),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2504),
    [anon_sym_IBOutlet] = ACTIONS(2504),
    [anon_sym_IBInspectable] = ACTIONS(2504),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2504),
    [anon_sym_NS_INLINE] = ACTIONS(2504),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2504),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2504),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2504),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym__Nonnull] = ACTIONS(2504),
    [anon_sym_nullable] = ACTIONS(2504),
    [anon_sym__Complex] = ACTIONS(2504),
    [anon_sym__Nullable] = ACTIONS(2504),
    [anon_sym__Nullable_result] = ACTIONS(2504),
    [anon_sym__Null_unspecified] = ACTIONS(2504),
    [anon_sym___autoreleasing] = ACTIONS(2504),
    [anon_sym___block] = ACTIONS(2504),
    [anon_sym___bridge] = ACTIONS(2504),
    [anon_sym___bridge_retained] = ACTIONS(2504),
    [anon_sym___bridge_transfer] = ACTIONS(2504),
    [anon_sym___complex] = ACTIONS(2504),
    [anon_sym___const] = ACTIONS(2504),
    [anon_sym___imag] = ACTIONS(2504),
    [anon_sym___kindof] = ACTIONS(2504),
    [anon_sym___nonnull] = ACTIONS(2504),
    [anon_sym___nullable] = ACTIONS(2504),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2504),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2504),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2504),
    [anon_sym___real] = ACTIONS(2504),
    [anon_sym___strong] = ACTIONS(2504),
    [anon_sym___unsafe_unretained] = ACTIONS(2504),
    [anon_sym___unused] = ACTIONS(2504),
    [anon_sym___weak] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym__Alignas] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_case] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_in] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [anon_sym___asm] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_AT] = ACTIONS(2504),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2504),
    [anon_sym___typeof] = ACTIONS(2504),
    [anon_sym_typeof] = ACTIONS(2504),
    [anon_sym_ATimport] = ACTIONS(2506),
    [aux_sym_preproc_undef_token1] = ACTIONS(2504),
    [anon_sym_POUND] = ACTIONS(2504),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2504),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2504),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2504),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2504),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2504),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2504),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2504),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2504),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2504),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_API_AVAILABLE] = ACTIONS(2504),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_API_DEPRECATED] = ACTIONS(2504),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2504),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2504),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2504),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2504),
    [anon_sym___deprecated_msg] = ACTIONS(2504),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2504),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2504),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2504),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2504),
    [anon_sym_ATprotocol] = ACTIONS(2506),
    [anon_sym_ATinterface] = ACTIONS(2506),
    [anon_sym_ATimplementation] = ACTIONS(2506),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2506),
    [anon_sym_ATselector] = ACTIONS(2506),
    [anon_sym_ATavailable] = ACTIONS(2506),
    [anon_sym___builtin_available] = ACTIONS(2504),
    [anon_sym_va_arg] = ACTIONS(2504),
    [anon_sym_ATencode] = ACTIONS(2506),
    [anon_sym_BOOL] = ACTIONS(2504),
    [anon_sym_IMP] = ACTIONS(2504),
    [anon_sym_SEL] = ACTIONS(2504),
    [anon_sym_Class] = ACTIONS(2504),
    [anon_sym_id] = ACTIONS(2504),
  },
  [949] = {
    [ts_builtin_sym_end] = ACTIONS(2510),
    [sym_identifier] = ACTIONS(2508),
    [aux_sym_preproc_include_token1] = ACTIONS(2508),
    [aux_sym_preproc_include_token2] = ACTIONS(2508),
    [aux_sym_preproc_def_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2508),
    [sym_preproc_directive] = ACTIONS(2508),
    [anon_sym_LPAREN2] = ACTIONS(2510),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2510),
    [anon_sym_CARET] = ACTIONS(2510),
    [anon_sym_AMP] = ACTIONS(2510),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym___extension__] = ACTIONS(2508),
    [anon_sym_typedef] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym___attribute__] = ACTIONS(2508),
    [anon_sym___attribute] = ACTIONS(2508),
    [anon_sym_noreturn] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [anon_sym___declspec] = ACTIONS(2508),
    [anon_sym___cdecl] = ACTIONS(2508),
    [anon_sym___clrcall] = ACTIONS(2508),
    [anon_sym___stdcall] = ACTIONS(2508),
    [anon_sym___fastcall] = ACTIONS(2508),
    [anon_sym___thiscall] = ACTIONS(2508),
    [anon_sym___vectorcall] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_signed] = ACTIONS(2508),
    [anon_sym_unsigned] = ACTIONS(2508),
    [anon_sym_long] = ACTIONS(2508),
    [anon_sym_short] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_ATautoreleasepool] = ACTIONS(2510),
    [anon_sym_auto] = ACTIONS(2508),
    [anon_sym_register] = ACTIONS(2508),
    [anon_sym_inline] = ACTIONS(2508),
    [anon_sym___inline] = ACTIONS(2508),
    [anon_sym___inline__] = ACTIONS(2508),
    [anon_sym___forceinline] = ACTIONS(2508),
    [anon_sym_thread_local] = ACTIONS(2508),
    [anon_sym___thread] = ACTIONS(2508),
    [anon_sym_CG_EXTERN] = ACTIONS(2508),
    [anon_sym_CG_INLINE] = ACTIONS(2508),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2508),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2508),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2508),
    [anon_sym_IBOutlet] = ACTIONS(2508),
    [anon_sym_IBInspectable] = ACTIONS(2508),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2508),
    [anon_sym_NS_INLINE] = ACTIONS(2508),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2508),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2508),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2508),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_constexpr] = ACTIONS(2508),
    [anon_sym_volatile] = ACTIONS(2508),
    [anon_sym_restrict] = ACTIONS(2508),
    [anon_sym___restrict__] = ACTIONS(2508),
    [anon_sym__Atomic] = ACTIONS(2508),
    [anon_sym__Noreturn] = ACTIONS(2508),
    [anon_sym__Nonnull] = ACTIONS(2508),
    [anon_sym_nullable] = ACTIONS(2508),
    [anon_sym__Complex] = ACTIONS(2508),
    [anon_sym__Nullable] = ACTIONS(2508),
    [anon_sym__Nullable_result] = ACTIONS(2508),
    [anon_sym__Null_unspecified] = ACTIONS(2508),
    [anon_sym___autoreleasing] = ACTIONS(2508),
    [anon_sym___block] = ACTIONS(2508),
    [anon_sym___bridge] = ACTIONS(2508),
    [anon_sym___bridge_retained] = ACTIONS(2508),
    [anon_sym___bridge_transfer] = ACTIONS(2508),
    [anon_sym___complex] = ACTIONS(2508),
    [anon_sym___const] = ACTIONS(2508),
    [anon_sym___imag] = ACTIONS(2508),
    [anon_sym___kindof] = ACTIONS(2508),
    [anon_sym___nonnull] = ACTIONS(2508),
    [anon_sym___nullable] = ACTIONS(2508),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2508),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2508),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2508),
    [anon_sym___real] = ACTIONS(2508),
    [anon_sym___strong] = ACTIONS(2508),
    [anon_sym___unsafe_unretained] = ACTIONS(2508),
    [anon_sym___unused] = ACTIONS(2508),
    [anon_sym___weak] = ACTIONS(2508),
    [anon_sym_alignas] = ACTIONS(2508),
    [anon_sym__Alignas] = ACTIONS(2508),
    [sym_primitive_type] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_else] = ACTIONS(2508),
    [anon_sym_switch] = ACTIONS(2508),
    [anon_sym_case] = ACTIONS(2508),
    [anon_sym_default] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2508),
    [anon_sym_do] = ACTIONS(2508),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_in] = ACTIONS(2508),
    [anon_sym_return] = ACTIONS(2508),
    [anon_sym_break] = ACTIONS(2508),
    [anon_sym_continue] = ACTIONS(2508),
    [anon_sym_goto] = ACTIONS(2508),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_sizeof] = ACTIONS(2508),
    [anon_sym___alignof__] = ACTIONS(2508),
    [anon_sym___alignof] = ACTIONS(2508),
    [anon_sym__alignof] = ACTIONS(2508),
    [anon_sym_alignof] = ACTIONS(2508),
    [anon_sym__Alignof] = ACTIONS(2508),
    [anon_sym_offsetof] = ACTIONS(2508),
    [anon_sym__Generic] = ACTIONS(2508),
    [anon_sym_asm] = ACTIONS(2508),
    [anon_sym___asm__] = ACTIONS(2508),
    [anon_sym___asm] = ACTIONS(2508),
    [sym_number_literal] = ACTIONS(2510),
    [anon_sym_L_SQUOTE] = ACTIONS(2510),
    [anon_sym_u_SQUOTE] = ACTIONS(2510),
    [anon_sym_U_SQUOTE] = ACTIONS(2510),
    [anon_sym_u8_SQUOTE] = ACTIONS(2510),
    [anon_sym_SQUOTE] = ACTIONS(2510),
    [anon_sym_AT] = ACTIONS(2508),
    [anon_sym_DQUOTE] = ACTIONS(2510),
    [anon_sym_L_DQUOTE] = ACTIONS(2510),
    [anon_sym_u_DQUOTE] = ACTIONS(2510),
    [anon_sym_U_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8_DQUOTE] = ACTIONS(2510),
    [sym_true] = ACTIONS(2508),
    [sym_false] = ACTIONS(2508),
    [anon_sym_NULL] = ACTIONS(2508),
    [anon_sym_nullptr] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2508),
    [anon_sym___typeof] = ACTIONS(2508),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_ATimport] = ACTIONS(2510),
    [aux_sym_preproc_undef_token1] = ACTIONS(2508),
    [anon_sym_POUND] = ACTIONS(2508),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2508),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2508),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2508),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2508),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2508),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2508),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2508),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2508),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2508),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_API_AVAILABLE] = ACTIONS(2508),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_API_DEPRECATED] = ACTIONS(2508),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2508),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2508),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2508),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2508),
    [anon_sym___deprecated_msg] = ACTIONS(2508),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2508),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2508),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2508),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2508),
    [anon_sym_ATprotocol] = ACTIONS(2510),
    [anon_sym_ATinterface] = ACTIONS(2510),
    [anon_sym_ATimplementation] = ACTIONS(2510),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2510),
    [anon_sym_ATselector] = ACTIONS(2510),
    [anon_sym_ATavailable] = ACTIONS(2510),
    [anon_sym___builtin_available] = ACTIONS(2508),
    [anon_sym_va_arg] = ACTIONS(2508),
    [anon_sym_ATencode] = ACTIONS(2510),
    [anon_sym_BOOL] = ACTIONS(2508),
    [anon_sym_IMP] = ACTIONS(2508),
    [anon_sym_SEL] = ACTIONS(2508),
    [anon_sym_Class] = ACTIONS(2508),
    [anon_sym_id] = ACTIONS(2508),
  },
  [950] = {
    [ts_builtin_sym_end] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2512),
    [aux_sym_preproc_include_token1] = ACTIONS(2512),
    [aux_sym_preproc_include_token2] = ACTIONS(2512),
    [aux_sym_preproc_def_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2512),
    [sym_preproc_directive] = ACTIONS(2512),
    [anon_sym_LPAREN2] = ACTIONS(2514),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_CARET] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_typedef] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym___attribute] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym___cdecl] = ACTIONS(2512),
    [anon_sym___clrcall] = ACTIONS(2512),
    [anon_sym___stdcall] = ACTIONS(2512),
    [anon_sym___fastcall] = ACTIONS(2512),
    [anon_sym___thiscall] = ACTIONS(2512),
    [anon_sym___vectorcall] = ACTIONS(2512),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_ATautoreleasepool] = ACTIONS(2514),
    [anon_sym_auto] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_CG_EXTERN] = ACTIONS(2512),
    [anon_sym_CG_INLINE] = ACTIONS(2512),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2512),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2512),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2512),
    [anon_sym_IBOutlet] = ACTIONS(2512),
    [anon_sym_IBInspectable] = ACTIONS(2512),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2512),
    [anon_sym_NS_INLINE] = ACTIONS(2512),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2512),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2512),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2512),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym__Nonnull] = ACTIONS(2512),
    [anon_sym_nullable] = ACTIONS(2512),
    [anon_sym__Complex] = ACTIONS(2512),
    [anon_sym__Nullable] = ACTIONS(2512),
    [anon_sym__Nullable_result] = ACTIONS(2512),
    [anon_sym__Null_unspecified] = ACTIONS(2512),
    [anon_sym___autoreleasing] = ACTIONS(2512),
    [anon_sym___block] = ACTIONS(2512),
    [anon_sym___bridge] = ACTIONS(2512),
    [anon_sym___bridge_retained] = ACTIONS(2512),
    [anon_sym___bridge_transfer] = ACTIONS(2512),
    [anon_sym___complex] = ACTIONS(2512),
    [anon_sym___const] = ACTIONS(2512),
    [anon_sym___imag] = ACTIONS(2512),
    [anon_sym___kindof] = ACTIONS(2512),
    [anon_sym___nonnull] = ACTIONS(2512),
    [anon_sym___nullable] = ACTIONS(2512),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2512),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2512),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2512),
    [anon_sym___real] = ACTIONS(2512),
    [anon_sym___strong] = ACTIONS(2512),
    [anon_sym___unsafe_unretained] = ACTIONS(2512),
    [anon_sym___unused] = ACTIONS(2512),
    [anon_sym___weak] = ACTIONS(2512),
    [anon_sym_alignas] = ACTIONS(2512),
    [anon_sym__Alignas] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(2512),
    [anon_sym_else] = ACTIONS(2512),
    [anon_sym_switch] = ACTIONS(2512),
    [anon_sym_case] = ACTIONS(2512),
    [anon_sym_default] = ACTIONS(2512),
    [anon_sym_while] = ACTIONS(2512),
    [anon_sym_do] = ACTIONS(2512),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_in] = ACTIONS(2512),
    [anon_sym_return] = ACTIONS(2512),
    [anon_sym_break] = ACTIONS(2512),
    [anon_sym_continue] = ACTIONS(2512),
    [anon_sym_goto] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_sizeof] = ACTIONS(2512),
    [anon_sym___alignof__] = ACTIONS(2512),
    [anon_sym___alignof] = ACTIONS(2512),
    [anon_sym__alignof] = ACTIONS(2512),
    [anon_sym_alignof] = ACTIONS(2512),
    [anon_sym__Alignof] = ACTIONS(2512),
    [anon_sym_offsetof] = ACTIONS(2512),
    [anon_sym__Generic] = ACTIONS(2512),
    [anon_sym_asm] = ACTIONS(2512),
    [anon_sym___asm__] = ACTIONS(2512),
    [anon_sym___asm] = ACTIONS(2512),
    [sym_number_literal] = ACTIONS(2514),
    [anon_sym_L_SQUOTE] = ACTIONS(2514),
    [anon_sym_u_SQUOTE] = ACTIONS(2514),
    [anon_sym_U_SQUOTE] = ACTIONS(2514),
    [anon_sym_u8_SQUOTE] = ACTIONS(2514),
    [anon_sym_SQUOTE] = ACTIONS(2514),
    [anon_sym_AT] = ACTIONS(2512),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_L_DQUOTE] = ACTIONS(2514),
    [anon_sym_u_DQUOTE] = ACTIONS(2514),
    [anon_sym_U_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8_DQUOTE] = ACTIONS(2514),
    [sym_true] = ACTIONS(2512),
    [sym_false] = ACTIONS(2512),
    [anon_sym_NULL] = ACTIONS(2512),
    [anon_sym_nullptr] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2512),
    [anon_sym___typeof] = ACTIONS(2512),
    [anon_sym_typeof] = ACTIONS(2512),
    [anon_sym_ATimport] = ACTIONS(2514),
    [aux_sym_preproc_undef_token1] = ACTIONS(2512),
    [anon_sym_POUND] = ACTIONS(2512),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2512),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2512),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2512),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2512),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2512),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2512),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2512),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2512),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2512),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_API_AVAILABLE] = ACTIONS(2512),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_API_DEPRECATED] = ACTIONS(2512),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2512),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2512),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2512),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2512),
    [anon_sym___deprecated_msg] = ACTIONS(2512),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2512),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2512),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2512),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2512),
    [anon_sym_ATprotocol] = ACTIONS(2514),
    [anon_sym_ATinterface] = ACTIONS(2514),
    [anon_sym_ATimplementation] = ACTIONS(2514),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2514),
    [anon_sym_ATselector] = ACTIONS(2514),
    [anon_sym_ATavailable] = ACTIONS(2514),
    [anon_sym___builtin_available] = ACTIONS(2512),
    [anon_sym_va_arg] = ACTIONS(2512),
    [anon_sym_ATencode] = ACTIONS(2514),
    [anon_sym_BOOL] = ACTIONS(2512),
    [anon_sym_IMP] = ACTIONS(2512),
    [anon_sym_SEL] = ACTIONS(2512),
    [anon_sym_Class] = ACTIONS(2512),
    [anon_sym_id] = ACTIONS(2512),
  },
  [951] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [952] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [953] = {
    [ts_builtin_sym_end] = ACTIONS(2480),
    [sym_identifier] = ACTIONS(2478),
    [aux_sym_preproc_include_token1] = ACTIONS(2478),
    [aux_sym_preproc_include_token2] = ACTIONS(2478),
    [aux_sym_preproc_def_token1] = ACTIONS(2478),
    [aux_sym_preproc_if_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2478),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2478),
    [sym_preproc_directive] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_BANG] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_CARET] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2480),
    [anon_sym_SEMI] = ACTIONS(2480),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym___attribute] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym___cdecl] = ACTIONS(2478),
    [anon_sym___clrcall] = ACTIONS(2478),
    [anon_sym___stdcall] = ACTIONS(2478),
    [anon_sym___fastcall] = ACTIONS(2478),
    [anon_sym___thiscall] = ACTIONS(2478),
    [anon_sym___vectorcall] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2480),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_ATautoreleasepool] = ACTIONS(2480),
    [anon_sym_auto] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_CG_EXTERN] = ACTIONS(2478),
    [anon_sym_CG_INLINE] = ACTIONS(2478),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2478),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2478),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2478),
    [anon_sym_IBOutlet] = ACTIONS(2478),
    [anon_sym_IBInspectable] = ACTIONS(2478),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2478),
    [anon_sym_NS_INLINE] = ACTIONS(2478),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2478),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2478),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2478),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym__Nonnull] = ACTIONS(2478),
    [anon_sym_nullable] = ACTIONS(2478),
    [anon_sym__Complex] = ACTIONS(2478),
    [anon_sym__Nullable] = ACTIONS(2478),
    [anon_sym__Nullable_result] = ACTIONS(2478),
    [anon_sym__Null_unspecified] = ACTIONS(2478),
    [anon_sym___autoreleasing] = ACTIONS(2478),
    [anon_sym___block] = ACTIONS(2478),
    [anon_sym___bridge] = ACTIONS(2478),
    [anon_sym___bridge_retained] = ACTIONS(2478),
    [anon_sym___bridge_transfer] = ACTIONS(2478),
    [anon_sym___complex] = ACTIONS(2478),
    [anon_sym___const] = ACTIONS(2478),
    [anon_sym___imag] = ACTIONS(2478),
    [anon_sym___kindof] = ACTIONS(2478),
    [anon_sym___nonnull] = ACTIONS(2478),
    [anon_sym___nullable] = ACTIONS(2478),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2478),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2478),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2478),
    [anon_sym___real] = ACTIONS(2478),
    [anon_sym___strong] = ACTIONS(2478),
    [anon_sym___unsafe_unretained] = ACTIONS(2478),
    [anon_sym___unused] = ACTIONS(2478),
    [anon_sym___weak] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym__Alignas] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_else] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_case] = ACTIONS(2478),
    [anon_sym_default] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_in] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_goto] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2480),
    [anon_sym_PLUS_PLUS] = ACTIONS(2480),
    [anon_sym_sizeof] = ACTIONS(2478),
    [anon_sym___alignof__] = ACTIONS(2478),
    [anon_sym___alignof] = ACTIONS(2478),
    [anon_sym__alignof] = ACTIONS(2478),
    [anon_sym_alignof] = ACTIONS(2478),
    [anon_sym__Alignof] = ACTIONS(2478),
    [anon_sym_offsetof] = ACTIONS(2478),
    [anon_sym__Generic] = ACTIONS(2478),
    [anon_sym_asm] = ACTIONS(2478),
    [anon_sym___asm__] = ACTIONS(2478),
    [anon_sym___asm] = ACTIONS(2478),
    [sym_number_literal] = ACTIONS(2480),
    [anon_sym_L_SQUOTE] = ACTIONS(2480),
    [anon_sym_u_SQUOTE] = ACTIONS(2480),
    [anon_sym_U_SQUOTE] = ACTIONS(2480),
    [anon_sym_u8_SQUOTE] = ACTIONS(2480),
    [anon_sym_SQUOTE] = ACTIONS(2480),
    [anon_sym_AT] = ACTIONS(2478),
    [anon_sym_DQUOTE] = ACTIONS(2480),
    [anon_sym_L_DQUOTE] = ACTIONS(2480),
    [anon_sym_u_DQUOTE] = ACTIONS(2480),
    [anon_sym_U_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8_DQUOTE] = ACTIONS(2480),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2478),
    [anon_sym_nullptr] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2478),
    [anon_sym___typeof] = ACTIONS(2478),
    [anon_sym_typeof] = ACTIONS(2478),
    [anon_sym_ATimport] = ACTIONS(2480),
    [aux_sym_preproc_undef_token1] = ACTIONS(2478),
    [anon_sym_POUND] = ACTIONS(2478),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2478),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2478),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2478),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2478),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2478),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2478),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2478),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2478),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2478),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_API_AVAILABLE] = ACTIONS(2478),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_API_DEPRECATED] = ACTIONS(2478),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2478),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2478),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2478),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2478),
    [anon_sym___deprecated_msg] = ACTIONS(2478),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2478),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2478),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2478),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2478),
    [anon_sym_ATprotocol] = ACTIONS(2480),
    [anon_sym_ATinterface] = ACTIONS(2480),
    [anon_sym_ATimplementation] = ACTIONS(2480),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2480),
    [anon_sym_ATselector] = ACTIONS(2480),
    [anon_sym_ATavailable] = ACTIONS(2480),
    [anon_sym___builtin_available] = ACTIONS(2478),
    [anon_sym_va_arg] = ACTIONS(2478),
    [anon_sym_ATencode] = ACTIONS(2480),
    [anon_sym_BOOL] = ACTIONS(2478),
    [anon_sym_IMP] = ACTIONS(2478),
    [anon_sym_SEL] = ACTIONS(2478),
    [anon_sym_Class] = ACTIONS(2478),
    [anon_sym_id] = ACTIONS(2478),
  },
  [954] = {
    [ts_builtin_sym_end] = ACTIONS(2558),
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_include_token1] = ACTIONS(2556),
    [aux_sym_preproc_include_token2] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_CARET] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym___attribute] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym___cdecl] = ACTIONS(2556),
    [anon_sym___clrcall] = ACTIONS(2556),
    [anon_sym___stdcall] = ACTIONS(2556),
    [anon_sym___fastcall] = ACTIONS(2556),
    [anon_sym___thiscall] = ACTIONS(2556),
    [anon_sym___vectorcall] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_ATautoreleasepool] = ACTIONS(2558),
    [anon_sym_auto] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_CG_EXTERN] = ACTIONS(2556),
    [anon_sym_CG_INLINE] = ACTIONS(2556),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2556),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2556),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2556),
    [anon_sym_IBOutlet] = ACTIONS(2556),
    [anon_sym_IBInspectable] = ACTIONS(2556),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2556),
    [anon_sym_NS_INLINE] = ACTIONS(2556),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2556),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2556),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2556),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym__Nonnull] = ACTIONS(2556),
    [anon_sym_nullable] = ACTIONS(2556),
    [anon_sym__Complex] = ACTIONS(2556),
    [anon_sym__Nullable] = ACTIONS(2556),
    [anon_sym__Nullable_result] = ACTIONS(2556),
    [anon_sym__Null_unspecified] = ACTIONS(2556),
    [anon_sym___autoreleasing] = ACTIONS(2556),
    [anon_sym___block] = ACTIONS(2556),
    [anon_sym___bridge] = ACTIONS(2556),
    [anon_sym___bridge_retained] = ACTIONS(2556),
    [anon_sym___bridge_transfer] = ACTIONS(2556),
    [anon_sym___complex] = ACTIONS(2556),
    [anon_sym___const] = ACTIONS(2556),
    [anon_sym___imag] = ACTIONS(2556),
    [anon_sym___kindof] = ACTIONS(2556),
    [anon_sym___nonnull] = ACTIONS(2556),
    [anon_sym___nullable] = ACTIONS(2556),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2556),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2556),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2556),
    [anon_sym___real] = ACTIONS(2556),
    [anon_sym___strong] = ACTIONS(2556),
    [anon_sym___unsafe_unretained] = ACTIONS(2556),
    [anon_sym___unused] = ACTIONS(2556),
    [anon_sym___weak] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_case] = ACTIONS(2556),
    [anon_sym_default] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_in] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [anon_sym___asm] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2556),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2556),
    [anon_sym___typeof] = ACTIONS(2556),
    [anon_sym_typeof] = ACTIONS(2556),
    [anon_sym_ATimport] = ACTIONS(2558),
    [aux_sym_preproc_undef_token1] = ACTIONS(2556),
    [anon_sym_POUND] = ACTIONS(2556),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2556),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2556),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2556),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2556),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2556),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2556),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2556),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2556),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2556),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_API_AVAILABLE] = ACTIONS(2556),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_API_DEPRECATED] = ACTIONS(2556),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2556),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2556),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2556),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2556),
    [anon_sym___deprecated_msg] = ACTIONS(2556),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2556),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2556),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2556),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2556),
    [anon_sym_ATprotocol] = ACTIONS(2558),
    [anon_sym_ATinterface] = ACTIONS(2558),
    [anon_sym_ATimplementation] = ACTIONS(2558),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2558),
    [anon_sym_ATselector] = ACTIONS(2558),
    [anon_sym_ATavailable] = ACTIONS(2558),
    [anon_sym___builtin_available] = ACTIONS(2556),
    [anon_sym_va_arg] = ACTIONS(2556),
    [anon_sym_ATencode] = ACTIONS(2558),
    [anon_sym_BOOL] = ACTIONS(2556),
    [anon_sym_IMP] = ACTIONS(2556),
    [anon_sym_SEL] = ACTIONS(2556),
    [anon_sym_Class] = ACTIONS(2556),
    [anon_sym_id] = ACTIONS(2556),
  },
  [955] = {
    [ts_builtin_sym_end] = ACTIONS(2526),
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_include_token1] = ACTIONS(2524),
    [aux_sym_preproc_include_token2] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_CARET] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym___attribute] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym___cdecl] = ACTIONS(2524),
    [anon_sym___clrcall] = ACTIONS(2524),
    [anon_sym___stdcall] = ACTIONS(2524),
    [anon_sym___fastcall] = ACTIONS(2524),
    [anon_sym___thiscall] = ACTIONS(2524),
    [anon_sym___vectorcall] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_ATautoreleasepool] = ACTIONS(2526),
    [anon_sym_auto] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_CG_EXTERN] = ACTIONS(2524),
    [anon_sym_CG_INLINE] = ACTIONS(2524),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2524),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2524),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2524),
    [anon_sym_IBOutlet] = ACTIONS(2524),
    [anon_sym_IBInspectable] = ACTIONS(2524),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2524),
    [anon_sym_NS_INLINE] = ACTIONS(2524),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2524),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2524),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2524),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym__Nonnull] = ACTIONS(2524),
    [anon_sym_nullable] = ACTIONS(2524),
    [anon_sym__Complex] = ACTIONS(2524),
    [anon_sym__Nullable] = ACTIONS(2524),
    [anon_sym__Nullable_result] = ACTIONS(2524),
    [anon_sym__Null_unspecified] = ACTIONS(2524),
    [anon_sym___autoreleasing] = ACTIONS(2524),
    [anon_sym___block] = ACTIONS(2524),
    [anon_sym___bridge] = ACTIONS(2524),
    [anon_sym___bridge_retained] = ACTIONS(2524),
    [anon_sym___bridge_transfer] = ACTIONS(2524),
    [anon_sym___complex] = ACTIONS(2524),
    [anon_sym___const] = ACTIONS(2524),
    [anon_sym___imag] = ACTIONS(2524),
    [anon_sym___kindof] = ACTIONS(2524),
    [anon_sym___nonnull] = ACTIONS(2524),
    [anon_sym___nullable] = ACTIONS(2524),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2524),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2524),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2524),
    [anon_sym___real] = ACTIONS(2524),
    [anon_sym___strong] = ACTIONS(2524),
    [anon_sym___unsafe_unretained] = ACTIONS(2524),
    [anon_sym___unused] = ACTIONS(2524),
    [anon_sym___weak] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym__Alignas] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_case] = ACTIONS(2524),
    [anon_sym_default] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_goto] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_sizeof] = ACTIONS(2524),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2524),
    [anon_sym__Generic] = ACTIONS(2524),
    [anon_sym_asm] = ACTIONS(2524),
    [anon_sym___asm__] = ACTIONS(2524),
    [anon_sym___asm] = ACTIONS(2524),
    [sym_number_literal] = ACTIONS(2526),
    [anon_sym_L_SQUOTE] = ACTIONS(2526),
    [anon_sym_u_SQUOTE] = ACTIONS(2526),
    [anon_sym_U_SQUOTE] = ACTIONS(2526),
    [anon_sym_u8_SQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_AT] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [anon_sym_L_DQUOTE] = ACTIONS(2526),
    [anon_sym_u_DQUOTE] = ACTIONS(2526),
    [anon_sym_U_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8_DQUOTE] = ACTIONS(2526),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [anon_sym_NULL] = ACTIONS(2524),
    [anon_sym_nullptr] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2524),
    [anon_sym___typeof] = ACTIONS(2524),
    [anon_sym_typeof] = ACTIONS(2524),
    [anon_sym_ATimport] = ACTIONS(2526),
    [aux_sym_preproc_undef_token1] = ACTIONS(2524),
    [anon_sym_POUND] = ACTIONS(2524),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2524),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2524),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2524),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2524),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2524),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2524),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2524),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2524),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2524),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_API_AVAILABLE] = ACTIONS(2524),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_API_DEPRECATED] = ACTIONS(2524),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2524),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2524),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2524),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2524),
    [anon_sym___deprecated_msg] = ACTIONS(2524),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2524),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2524),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2524),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2524),
    [anon_sym_ATprotocol] = ACTIONS(2526),
    [anon_sym_ATinterface] = ACTIONS(2526),
    [anon_sym_ATimplementation] = ACTIONS(2526),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2526),
    [anon_sym_ATselector] = ACTIONS(2526),
    [anon_sym_ATavailable] = ACTIONS(2526),
    [anon_sym___builtin_available] = ACTIONS(2524),
    [anon_sym_va_arg] = ACTIONS(2524),
    [anon_sym_ATencode] = ACTIONS(2526),
    [anon_sym_BOOL] = ACTIONS(2524),
    [anon_sym_IMP] = ACTIONS(2524),
    [anon_sym_SEL] = ACTIONS(2524),
    [anon_sym_Class] = ACTIONS(2524),
    [anon_sym_id] = ACTIONS(2524),
  },
  [956] = {
    [ts_builtin_sym_end] = ACTIONS(2422),
    [sym_identifier] = ACTIONS(2420),
    [aux_sym_preproc_include_token1] = ACTIONS(2420),
    [aux_sym_preproc_include_token2] = ACTIONS(2420),
    [aux_sym_preproc_def_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2420),
    [sym_preproc_directive] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(2422),
    [anon_sym_BANG] = ACTIONS(2422),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_SEMI] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym___attribute] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym___cdecl] = ACTIONS(2420),
    [anon_sym___clrcall] = ACTIONS(2420),
    [anon_sym___stdcall] = ACTIONS(2420),
    [anon_sym___fastcall] = ACTIONS(2420),
    [anon_sym___thiscall] = ACTIONS(2420),
    [anon_sym___vectorcall] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_ATautoreleasepool] = ACTIONS(2422),
    [anon_sym_auto] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_CG_EXTERN] = ACTIONS(2420),
    [anon_sym_CG_INLINE] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2420),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2420),
    [anon_sym_IBOutlet] = ACTIONS(2420),
    [anon_sym_IBInspectable] = ACTIONS(2420),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2420),
    [anon_sym_NS_INLINE] = ACTIONS(2420),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2420),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2420),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym__Nonnull] = ACTIONS(2420),
    [anon_sym_nullable] = ACTIONS(2420),
    [anon_sym__Complex] = ACTIONS(2420),
    [anon_sym__Nullable] = ACTIONS(2420),
    [anon_sym__Nullable_result] = ACTIONS(2420),
    [anon_sym__Null_unspecified] = ACTIONS(2420),
    [anon_sym___autoreleasing] = ACTIONS(2420),
    [anon_sym___block] = ACTIONS(2420),
    [anon_sym___bridge] = ACTIONS(2420),
    [anon_sym___bridge_retained] = ACTIONS(2420),
    [anon_sym___bridge_transfer] = ACTIONS(2420),
    [anon_sym___complex] = ACTIONS(2420),
    [anon_sym___const] = ACTIONS(2420),
    [anon_sym___imag] = ACTIONS(2420),
    [anon_sym___kindof] = ACTIONS(2420),
    [anon_sym___nonnull] = ACTIONS(2420),
    [anon_sym___nullable] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2420),
    [anon_sym___real] = ACTIONS(2420),
    [anon_sym___strong] = ACTIONS(2420),
    [anon_sym___unsafe_unretained] = ACTIONS(2420),
    [anon_sym___unused] = ACTIONS(2420),
    [anon_sym___weak] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym__Alignas] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [anon_sym_if] = ACTIONS(2420),
    [anon_sym_else] = ACTIONS(2420),
    [anon_sym_switch] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(2420),
    [anon_sym_default] = ACTIONS(2420),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_in] = ACTIONS(2420),
    [anon_sym_return] = ACTIONS(2420),
    [anon_sym_break] = ACTIONS(2420),
    [anon_sym_continue] = ACTIONS(2420),
    [anon_sym_goto] = ACTIONS(2420),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2420),
    [anon_sym___alignof__] = ACTIONS(2420),
    [anon_sym___alignof] = ACTIONS(2420),
    [anon_sym__alignof] = ACTIONS(2420),
    [anon_sym_alignof] = ACTIONS(2420),
    [anon_sym__Alignof] = ACTIONS(2420),
    [anon_sym_offsetof] = ACTIONS(2420),
    [anon_sym__Generic] = ACTIONS(2420),
    [anon_sym_asm] = ACTIONS(2420),
    [anon_sym___asm__] = ACTIONS(2420),
    [anon_sym___asm] = ACTIONS(2420),
    [sym_number_literal] = ACTIONS(2422),
    [anon_sym_L_SQUOTE] = ACTIONS(2422),
    [anon_sym_u_SQUOTE] = ACTIONS(2422),
    [anon_sym_U_SQUOTE] = ACTIONS(2422),
    [anon_sym_u8_SQUOTE] = ACTIONS(2422),
    [anon_sym_SQUOTE] = ACTIONS(2422),
    [anon_sym_AT] = ACTIONS(2420),
    [anon_sym_DQUOTE] = ACTIONS(2422),
    [anon_sym_L_DQUOTE] = ACTIONS(2422),
    [anon_sym_u_DQUOTE] = ACTIONS(2422),
    [anon_sym_U_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8_DQUOTE] = ACTIONS(2422),
    [sym_true] = ACTIONS(2420),
    [sym_false] = ACTIONS(2420),
    [anon_sym_NULL] = ACTIONS(2420),
    [anon_sym_nullptr] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2420),
    [anon_sym___typeof] = ACTIONS(2420),
    [anon_sym_typeof] = ACTIONS(2420),
    [anon_sym_ATimport] = ACTIONS(2422),
    [aux_sym_preproc_undef_token1] = ACTIONS(2420),
    [anon_sym_POUND] = ACTIONS(2420),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2420),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2420),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2420),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_API_AVAILABLE] = ACTIONS(2420),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_API_DEPRECATED] = ACTIONS(2420),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym___deprecated_msg] = ACTIONS(2420),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2420),
    [anon_sym_ATprotocol] = ACTIONS(2422),
    [anon_sym_ATinterface] = ACTIONS(2422),
    [anon_sym_ATimplementation] = ACTIONS(2422),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2422),
    [anon_sym_ATselector] = ACTIONS(2422),
    [anon_sym_ATavailable] = ACTIONS(2422),
    [anon_sym___builtin_available] = ACTIONS(2420),
    [anon_sym_va_arg] = ACTIONS(2420),
    [anon_sym_ATencode] = ACTIONS(2422),
    [anon_sym_BOOL] = ACTIONS(2420),
    [anon_sym_IMP] = ACTIONS(2420),
    [anon_sym_SEL] = ACTIONS(2420),
    [anon_sym_Class] = ACTIONS(2420),
    [anon_sym_id] = ACTIONS(2420),
  },
  [957] = {
    [ts_builtin_sym_end] = ACTIONS(2554),
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_include_token1] = ACTIONS(2552),
    [aux_sym_preproc_include_token2] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_CARET] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym___attribute] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym___cdecl] = ACTIONS(2552),
    [anon_sym___clrcall] = ACTIONS(2552),
    [anon_sym___stdcall] = ACTIONS(2552),
    [anon_sym___fastcall] = ACTIONS(2552),
    [anon_sym___thiscall] = ACTIONS(2552),
    [anon_sym___vectorcall] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_ATautoreleasepool] = ACTIONS(2554),
    [anon_sym_auto] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_CG_EXTERN] = ACTIONS(2552),
    [anon_sym_CG_INLINE] = ACTIONS(2552),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2552),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2552),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2552),
    [anon_sym_IBOutlet] = ACTIONS(2552),
    [anon_sym_IBInspectable] = ACTIONS(2552),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2552),
    [anon_sym_NS_INLINE] = ACTIONS(2552),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2552),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2552),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2552),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym__Nonnull] = ACTIONS(2552),
    [anon_sym_nullable] = ACTIONS(2552),
    [anon_sym__Complex] = ACTIONS(2552),
    [anon_sym__Nullable] = ACTIONS(2552),
    [anon_sym__Nullable_result] = ACTIONS(2552),
    [anon_sym__Null_unspecified] = ACTIONS(2552),
    [anon_sym___autoreleasing] = ACTIONS(2552),
    [anon_sym___block] = ACTIONS(2552),
    [anon_sym___bridge] = ACTIONS(2552),
    [anon_sym___bridge_retained] = ACTIONS(2552),
    [anon_sym___bridge_transfer] = ACTIONS(2552),
    [anon_sym___complex] = ACTIONS(2552),
    [anon_sym___const] = ACTIONS(2552),
    [anon_sym___imag] = ACTIONS(2552),
    [anon_sym___kindof] = ACTIONS(2552),
    [anon_sym___nonnull] = ACTIONS(2552),
    [anon_sym___nullable] = ACTIONS(2552),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2552),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2552),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2552),
    [anon_sym___real] = ACTIONS(2552),
    [anon_sym___strong] = ACTIONS(2552),
    [anon_sym___unsafe_unretained] = ACTIONS(2552),
    [anon_sym___unused] = ACTIONS(2552),
    [anon_sym___weak] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym__Alignas] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_switch] = ACTIONS(2552),
    [anon_sym_case] = ACTIONS(2552),
    [anon_sym_default] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_do] = ACTIONS(2552),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_break] = ACTIONS(2552),
    [anon_sym_continue] = ACTIONS(2552),
    [anon_sym_goto] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_sizeof] = ACTIONS(2552),
    [anon_sym___alignof__] = ACTIONS(2552),
    [anon_sym___alignof] = ACTIONS(2552),
    [anon_sym__alignof] = ACTIONS(2552),
    [anon_sym_alignof] = ACTIONS(2552),
    [anon_sym__Alignof] = ACTIONS(2552),
    [anon_sym_offsetof] = ACTIONS(2552),
    [anon_sym__Generic] = ACTIONS(2552),
    [anon_sym_asm] = ACTIONS(2552),
    [anon_sym___asm__] = ACTIONS(2552),
    [anon_sym___asm] = ACTIONS(2552),
    [sym_number_literal] = ACTIONS(2554),
    [anon_sym_L_SQUOTE] = ACTIONS(2554),
    [anon_sym_u_SQUOTE] = ACTIONS(2554),
    [anon_sym_U_SQUOTE] = ACTIONS(2554),
    [anon_sym_u8_SQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [anon_sym_AT] = ACTIONS(2552),
    [anon_sym_DQUOTE] = ACTIONS(2554),
    [anon_sym_L_DQUOTE] = ACTIONS(2554),
    [anon_sym_u_DQUOTE] = ACTIONS(2554),
    [anon_sym_U_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8_DQUOTE] = ACTIONS(2554),
    [sym_true] = ACTIONS(2552),
    [sym_false] = ACTIONS(2552),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2552),
    [anon_sym___typeof] = ACTIONS(2552),
    [anon_sym_typeof] = ACTIONS(2552),
    [anon_sym_ATimport] = ACTIONS(2554),
    [aux_sym_preproc_undef_token1] = ACTIONS(2552),
    [anon_sym_POUND] = ACTIONS(2552),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2552),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2552),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2552),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2552),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2552),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2552),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2552),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2552),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2552),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_API_AVAILABLE] = ACTIONS(2552),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_API_DEPRECATED] = ACTIONS(2552),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2552),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2552),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2552),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2552),
    [anon_sym___deprecated_msg] = ACTIONS(2552),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2552),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2552),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2552),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2552),
    [anon_sym_ATprotocol] = ACTIONS(2554),
    [anon_sym_ATinterface] = ACTIONS(2554),
    [anon_sym_ATimplementation] = ACTIONS(2554),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2554),
    [anon_sym_ATselector] = ACTIONS(2554),
    [anon_sym_ATavailable] = ACTIONS(2554),
    [anon_sym___builtin_available] = ACTIONS(2552),
    [anon_sym_va_arg] = ACTIONS(2552),
    [anon_sym_ATencode] = ACTIONS(2554),
    [anon_sym_BOOL] = ACTIONS(2552),
    [anon_sym_IMP] = ACTIONS(2552),
    [anon_sym_SEL] = ACTIONS(2552),
    [anon_sym_Class] = ACTIONS(2552),
    [anon_sym_id] = ACTIONS(2552),
  },
  [958] = {
    [ts_builtin_sym_end] = ACTIONS(2422),
    [sym_identifier] = ACTIONS(2420),
    [aux_sym_preproc_include_token1] = ACTIONS(2420),
    [aux_sym_preproc_include_token2] = ACTIONS(2420),
    [aux_sym_preproc_def_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2420),
    [sym_preproc_directive] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(2422),
    [anon_sym_BANG] = ACTIONS(2422),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_SEMI] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym___attribute] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym___cdecl] = ACTIONS(2420),
    [anon_sym___clrcall] = ACTIONS(2420),
    [anon_sym___stdcall] = ACTIONS(2420),
    [anon_sym___fastcall] = ACTIONS(2420),
    [anon_sym___thiscall] = ACTIONS(2420),
    [anon_sym___vectorcall] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_ATautoreleasepool] = ACTIONS(2422),
    [anon_sym_auto] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_CG_EXTERN] = ACTIONS(2420),
    [anon_sym_CG_INLINE] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2420),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2420),
    [anon_sym_IBOutlet] = ACTIONS(2420),
    [anon_sym_IBInspectable] = ACTIONS(2420),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2420),
    [anon_sym_NS_INLINE] = ACTIONS(2420),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2420),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2420),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym__Nonnull] = ACTIONS(2420),
    [anon_sym_nullable] = ACTIONS(2420),
    [anon_sym__Complex] = ACTIONS(2420),
    [anon_sym__Nullable] = ACTIONS(2420),
    [anon_sym__Nullable_result] = ACTIONS(2420),
    [anon_sym__Null_unspecified] = ACTIONS(2420),
    [anon_sym___autoreleasing] = ACTIONS(2420),
    [anon_sym___block] = ACTIONS(2420),
    [anon_sym___bridge] = ACTIONS(2420),
    [anon_sym___bridge_retained] = ACTIONS(2420),
    [anon_sym___bridge_transfer] = ACTIONS(2420),
    [anon_sym___complex] = ACTIONS(2420),
    [anon_sym___const] = ACTIONS(2420),
    [anon_sym___imag] = ACTIONS(2420),
    [anon_sym___kindof] = ACTIONS(2420),
    [anon_sym___nonnull] = ACTIONS(2420),
    [anon_sym___nullable] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2420),
    [anon_sym___real] = ACTIONS(2420),
    [anon_sym___strong] = ACTIONS(2420),
    [anon_sym___unsafe_unretained] = ACTIONS(2420),
    [anon_sym___unused] = ACTIONS(2420),
    [anon_sym___weak] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym__Alignas] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [anon_sym_if] = ACTIONS(2420),
    [anon_sym_else] = ACTIONS(2420),
    [anon_sym_switch] = ACTIONS(2420),
    [anon_sym_case] = ACTIONS(2420),
    [anon_sym_default] = ACTIONS(2420),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_in] = ACTIONS(2420),
    [anon_sym_return] = ACTIONS(2420),
    [anon_sym_break] = ACTIONS(2420),
    [anon_sym_continue] = ACTIONS(2420),
    [anon_sym_goto] = ACTIONS(2420),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2420),
    [anon_sym___alignof__] = ACTIONS(2420),
    [anon_sym___alignof] = ACTIONS(2420),
    [anon_sym__alignof] = ACTIONS(2420),
    [anon_sym_alignof] = ACTIONS(2420),
    [anon_sym__Alignof] = ACTIONS(2420),
    [anon_sym_offsetof] = ACTIONS(2420),
    [anon_sym__Generic] = ACTIONS(2420),
    [anon_sym_asm] = ACTIONS(2420),
    [anon_sym___asm__] = ACTIONS(2420),
    [anon_sym___asm] = ACTIONS(2420),
    [sym_number_literal] = ACTIONS(2422),
    [anon_sym_L_SQUOTE] = ACTIONS(2422),
    [anon_sym_u_SQUOTE] = ACTIONS(2422),
    [anon_sym_U_SQUOTE] = ACTIONS(2422),
    [anon_sym_u8_SQUOTE] = ACTIONS(2422),
    [anon_sym_SQUOTE] = ACTIONS(2422),
    [anon_sym_AT] = ACTIONS(2420),
    [anon_sym_DQUOTE] = ACTIONS(2422),
    [anon_sym_L_DQUOTE] = ACTIONS(2422),
    [anon_sym_u_DQUOTE] = ACTIONS(2422),
    [anon_sym_U_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8_DQUOTE] = ACTIONS(2422),
    [sym_true] = ACTIONS(2420),
    [sym_false] = ACTIONS(2420),
    [anon_sym_NULL] = ACTIONS(2420),
    [anon_sym_nullptr] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2420),
    [anon_sym___typeof] = ACTIONS(2420),
    [anon_sym_typeof] = ACTIONS(2420),
    [anon_sym_ATimport] = ACTIONS(2422),
    [aux_sym_preproc_undef_token1] = ACTIONS(2420),
    [anon_sym_POUND] = ACTIONS(2420),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2420),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2420),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2420),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_API_AVAILABLE] = ACTIONS(2420),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_API_DEPRECATED] = ACTIONS(2420),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym___deprecated_msg] = ACTIONS(2420),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2420),
    [anon_sym_ATprotocol] = ACTIONS(2422),
    [anon_sym_ATinterface] = ACTIONS(2422),
    [anon_sym_ATimplementation] = ACTIONS(2422),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2422),
    [anon_sym_ATselector] = ACTIONS(2422),
    [anon_sym_ATavailable] = ACTIONS(2422),
    [anon_sym___builtin_available] = ACTIONS(2420),
    [anon_sym_va_arg] = ACTIONS(2420),
    [anon_sym_ATencode] = ACTIONS(2422),
    [anon_sym_BOOL] = ACTIONS(2420),
    [anon_sym_IMP] = ACTIONS(2420),
    [anon_sym_SEL] = ACTIONS(2420),
    [anon_sym_Class] = ACTIONS(2420),
    [anon_sym_id] = ACTIONS(2420),
  },
  [959] = {
    [ts_builtin_sym_end] = ACTIONS(2308),
    [sym_identifier] = ACTIONS(2306),
    [aux_sym_preproc_include_token1] = ACTIONS(2306),
    [aux_sym_preproc_include_token2] = ACTIONS(2306),
    [aux_sym_preproc_def_token1] = ACTIONS(2306),
    [aux_sym_preproc_if_token1] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2306),
    [sym_preproc_directive] = ACTIONS(2306),
    [anon_sym_LPAREN2] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_CARET] = ACTIONS(2308),
    [anon_sym_AMP] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2308),
    [anon_sym___extension__] = ACTIONS(2306),
    [anon_sym_typedef] = ACTIONS(2306),
    [anon_sym_extern] = ACTIONS(2306),
    [anon_sym___attribute__] = ACTIONS(2306),
    [anon_sym___attribute] = ACTIONS(2306),
    [anon_sym_noreturn] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym___declspec] = ACTIONS(2306),
    [anon_sym___cdecl] = ACTIONS(2306),
    [anon_sym___clrcall] = ACTIONS(2306),
    [anon_sym___stdcall] = ACTIONS(2306),
    [anon_sym___fastcall] = ACTIONS(2306),
    [anon_sym___thiscall] = ACTIONS(2306),
    [anon_sym___vectorcall] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2308),
    [anon_sym_signed] = ACTIONS(2306),
    [anon_sym_unsigned] = ACTIONS(2306),
    [anon_sym_long] = ACTIONS(2306),
    [anon_sym_short] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_ATautoreleasepool] = ACTIONS(2308),
    [anon_sym_auto] = ACTIONS(2306),
    [anon_sym_register] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(2306),
    [anon_sym___inline] = ACTIONS(2306),
    [anon_sym___inline__] = ACTIONS(2306),
    [anon_sym___forceinline] = ACTIONS(2306),
    [anon_sym_thread_local] = ACTIONS(2306),
    [anon_sym___thread] = ACTIONS(2306),
    [anon_sym_CG_EXTERN] = ACTIONS(2306),
    [anon_sym_CG_INLINE] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2306),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2306),
    [anon_sym_IBOutlet] = ACTIONS(2306),
    [anon_sym_IBInspectable] = ACTIONS(2306),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2306),
    [anon_sym_NS_INLINE] = ACTIONS(2306),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2306),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2306),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_constexpr] = ACTIONS(2306),
    [anon_sym_volatile] = ACTIONS(2306),
    [anon_sym_restrict] = ACTIONS(2306),
    [anon_sym___restrict__] = ACTIONS(2306),
    [anon_sym__Atomic] = ACTIONS(2306),
    [anon_sym__Noreturn] = ACTIONS(2306),
    [anon_sym__Nonnull] = ACTIONS(2306),
    [anon_sym_nullable] = ACTIONS(2306),
    [anon_sym__Complex] = ACTIONS(2306),
    [anon_sym__Nullable] = ACTIONS(2306),
    [anon_sym__Nullable_result] = ACTIONS(2306),
    [anon_sym__Null_unspecified] = ACTIONS(2306),
    [anon_sym___autoreleasing] = ACTIONS(2306),
    [anon_sym___block] = ACTIONS(2306),
    [anon_sym___bridge] = ACTIONS(2306),
    [anon_sym___bridge_retained] = ACTIONS(2306),
    [anon_sym___bridge_transfer] = ACTIONS(2306),
    [anon_sym___complex] = ACTIONS(2306),
    [anon_sym___const] = ACTIONS(2306),
    [anon_sym___imag] = ACTIONS(2306),
    [anon_sym___kindof] = ACTIONS(2306),
    [anon_sym___nonnull] = ACTIONS(2306),
    [anon_sym___nullable] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2306),
    [anon_sym___real] = ACTIONS(2306),
    [anon_sym___strong] = ACTIONS(2306),
    [anon_sym___unsafe_unretained] = ACTIONS(2306),
    [anon_sym___unused] = ACTIONS(2306),
    [anon_sym___weak] = ACTIONS(2306),
    [anon_sym_alignas] = ACTIONS(2306),
    [anon_sym__Alignas] = ACTIONS(2306),
    [sym_primitive_type] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [anon_sym_struct] = ACTIONS(2306),
    [anon_sym_union] = ACTIONS(2306),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_else] = ACTIONS(2306),
    [anon_sym_switch] = ACTIONS(2306),
    [anon_sym_case] = ACTIONS(2306),
    [anon_sym_default] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2306),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2306),
    [anon_sym_continue] = ACTIONS(2306),
    [anon_sym_goto] = ACTIONS(2306),
    [anon_sym_DASH_DASH] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(2308),
    [anon_sym_sizeof] = ACTIONS(2306),
    [anon_sym___alignof__] = ACTIONS(2306),
    [anon_sym___alignof] = ACTIONS(2306),
    [anon_sym__alignof] = ACTIONS(2306),
    [anon_sym_alignof] = ACTIONS(2306),
    [anon_sym__Alignof] = ACTIONS(2306),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2306),
    [anon_sym_asm] = ACTIONS(2306),
    [anon_sym___asm__] = ACTIONS(2306),
    [anon_sym___asm] = ACTIONS(2306),
    [sym_number_literal] = ACTIONS(2308),
    [anon_sym_L_SQUOTE] = ACTIONS(2308),
    [anon_sym_u_SQUOTE] = ACTIONS(2308),
    [anon_sym_U_SQUOTE] = ACTIONS(2308),
    [anon_sym_u8_SQUOTE] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [anon_sym_AT] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2308),
    [anon_sym_L_DQUOTE] = ACTIONS(2308),
    [anon_sym_u_DQUOTE] = ACTIONS(2308),
    [anon_sym_U_DQUOTE] = ACTIONS(2308),
    [anon_sym_u8_DQUOTE] = ACTIONS(2308),
    [sym_true] = ACTIONS(2306),
    [sym_false] = ACTIONS(2306),
    [anon_sym_NULL] = ACTIONS(2306),
    [anon_sym_nullptr] = ACTIONS(2306),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2306),
    [anon_sym___typeof] = ACTIONS(2306),
    [anon_sym_typeof] = ACTIONS(2306),
    [anon_sym_ATimport] = ACTIONS(2308),
    [aux_sym_preproc_undef_token1] = ACTIONS(2306),
    [anon_sym_POUND] = ACTIONS(2306),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2306),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2306),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2306),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_API_AVAILABLE] = ACTIONS(2306),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_API_DEPRECATED] = ACTIONS(2306),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym___deprecated_msg] = ACTIONS(2306),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2306),
    [anon_sym_ATprotocol] = ACTIONS(2308),
    [anon_sym_ATinterface] = ACTIONS(2308),
    [anon_sym_ATimplementation] = ACTIONS(2308),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2308),
    [anon_sym_ATselector] = ACTIONS(2308),
    [anon_sym_ATavailable] = ACTIONS(2308),
    [anon_sym___builtin_available] = ACTIONS(2306),
    [anon_sym_va_arg] = ACTIONS(2306),
    [anon_sym_ATencode] = ACTIONS(2308),
    [anon_sym_BOOL] = ACTIONS(2306),
    [anon_sym_IMP] = ACTIONS(2306),
    [anon_sym_SEL] = ACTIONS(2306),
    [anon_sym_Class] = ACTIONS(2306),
    [anon_sym_id] = ACTIONS(2306),
  },
  [960] = {
    [ts_builtin_sym_end] = ACTIONS(2434),
    [sym_identifier] = ACTIONS(2432),
    [aux_sym_preproc_include_token1] = ACTIONS(2432),
    [aux_sym_preproc_include_token2] = ACTIONS(2432),
    [aux_sym_preproc_def_token1] = ACTIONS(2432),
    [aux_sym_preproc_if_token1] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2432),
    [sym_preproc_directive] = ACTIONS(2432),
    [anon_sym_LPAREN2] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_CARET] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym___extension__] = ACTIONS(2432),
    [anon_sym_typedef] = ACTIONS(2432),
    [anon_sym_extern] = ACTIONS(2432),
    [anon_sym___attribute__] = ACTIONS(2432),
    [anon_sym___attribute] = ACTIONS(2432),
    [anon_sym_noreturn] = ACTIONS(2432),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym___declspec] = ACTIONS(2432),
    [anon_sym___cdecl] = ACTIONS(2432),
    [anon_sym___clrcall] = ACTIONS(2432),
    [anon_sym___stdcall] = ACTIONS(2432),
    [anon_sym___fastcall] = ACTIONS(2432),
    [anon_sym___thiscall] = ACTIONS(2432),
    [anon_sym___vectorcall] = ACTIONS(2432),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_signed] = ACTIONS(2432),
    [anon_sym_unsigned] = ACTIONS(2432),
    [anon_sym_long] = ACTIONS(2432),
    [anon_sym_short] = ACTIONS(2432),
    [anon_sym_static] = ACTIONS(2432),
    [anon_sym_ATautoreleasepool] = ACTIONS(2434),
    [anon_sym_auto] = ACTIONS(2432),
    [anon_sym_register] = ACTIONS(2432),
    [anon_sym_inline] = ACTIONS(2432),
    [anon_sym___inline] = ACTIONS(2432),
    [anon_sym___inline__] = ACTIONS(2432),
    [anon_sym___forceinline] = ACTIONS(2432),
    [anon_sym_thread_local] = ACTIONS(2432),
    [anon_sym___thread] = ACTIONS(2432),
    [anon_sym_CG_EXTERN] = ACTIONS(2432),
    [anon_sym_CG_INLINE] = ACTIONS(2432),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2432),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2432),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2432),
    [anon_sym_IBOutlet] = ACTIONS(2432),
    [anon_sym_IBInspectable] = ACTIONS(2432),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2432),
    [anon_sym_NS_INLINE] = ACTIONS(2432),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2432),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2432),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2432),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2432),
    [anon_sym_const] = ACTIONS(2432),
    [anon_sym_constexpr] = ACTIONS(2432),
    [anon_sym_volatile] = ACTIONS(2432),
    [anon_sym_restrict] = ACTIONS(2432),
    [anon_sym___restrict__] = ACTIONS(2432),
    [anon_sym__Atomic] = ACTIONS(2432),
    [anon_sym__Noreturn] = ACTIONS(2432),
    [anon_sym__Nonnull] = ACTIONS(2432),
    [anon_sym_nullable] = ACTIONS(2432),
    [anon_sym__Complex] = ACTIONS(2432),
    [anon_sym__Nullable] = ACTIONS(2432),
    [anon_sym__Nullable_result] = ACTIONS(2432),
    [anon_sym__Null_unspecified] = ACTIONS(2432),
    [anon_sym___autoreleasing] = ACTIONS(2432),
    [anon_sym___block] = ACTIONS(2432),
    [anon_sym___bridge] = ACTIONS(2432),
    [anon_sym___bridge_retained] = ACTIONS(2432),
    [anon_sym___bridge_transfer] = ACTIONS(2432),
    [anon_sym___complex] = ACTIONS(2432),
    [anon_sym___const] = ACTIONS(2432),
    [anon_sym___imag] = ACTIONS(2432),
    [anon_sym___kindof] = ACTIONS(2432),
    [anon_sym___nonnull] = ACTIONS(2432),
    [anon_sym___nullable] = ACTIONS(2432),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2432),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2432),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2432),
    [anon_sym___real] = ACTIONS(2432),
    [anon_sym___strong] = ACTIONS(2432),
    [anon_sym___unsafe_unretained] = ACTIONS(2432),
    [anon_sym___unused] = ACTIONS(2432),
    [anon_sym___weak] = ACTIONS(2432),
    [anon_sym_alignas] = ACTIONS(2432),
    [anon_sym__Alignas] = ACTIONS(2432),
    [sym_primitive_type] = ACTIONS(2432),
    [anon_sym_enum] = ACTIONS(2432),
    [anon_sym_struct] = ACTIONS(2432),
    [anon_sym_union] = ACTIONS(2432),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_else] = ACTIONS(2432),
    [anon_sym_switch] = ACTIONS(2432),
    [anon_sym_case] = ACTIONS(2432),
    [anon_sym_default] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2432),
    [anon_sym_in] = ACTIONS(2432),
    [anon_sym_return] = ACTIONS(2432),
    [anon_sym_break] = ACTIONS(2432),
    [anon_sym_continue] = ACTIONS(2432),
    [anon_sym_goto] = ACTIONS(2432),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2432),
    [anon_sym___alignof] = ACTIONS(2432),
    [anon_sym__alignof] = ACTIONS(2432),
    [anon_sym_alignof] = ACTIONS(2432),
    [anon_sym__Alignof] = ACTIONS(2432),
    [anon_sym_offsetof] = ACTIONS(2432),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2432),
    [anon_sym___asm__] = ACTIONS(2432),
    [anon_sym___asm] = ACTIONS(2432),
    [sym_number_literal] = ACTIONS(2434),
    [anon_sym_L_SQUOTE] = ACTIONS(2434),
    [anon_sym_u_SQUOTE] = ACTIONS(2434),
    [anon_sym_U_SQUOTE] = ACTIONS(2434),
    [anon_sym_u8_SQUOTE] = ACTIONS(2434),
    [anon_sym_SQUOTE] = ACTIONS(2434),
    [anon_sym_AT] = ACTIONS(2432),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_L_DQUOTE] = ACTIONS(2434),
    [anon_sym_u_DQUOTE] = ACTIONS(2434),
    [anon_sym_U_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8_DQUOTE] = ACTIONS(2434),
    [sym_true] = ACTIONS(2432),
    [sym_false] = ACTIONS(2432),
    [anon_sym_NULL] = ACTIONS(2432),
    [anon_sym_nullptr] = ACTIONS(2432),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2432),
    [anon_sym___typeof] = ACTIONS(2432),
    [anon_sym_typeof] = ACTIONS(2432),
    [anon_sym_ATimport] = ACTIONS(2434),
    [aux_sym_preproc_undef_token1] = ACTIONS(2432),
    [anon_sym_POUND] = ACTIONS(2432),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2432),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2432),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2432),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2432),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2432),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2432),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2432),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2432),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2432),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_API_AVAILABLE] = ACTIONS(2432),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_API_DEPRECATED] = ACTIONS(2432),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2432),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2432),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2432),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2432),
    [anon_sym___deprecated_msg] = ACTIONS(2432),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2432),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2432),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2432),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2432),
    [anon_sym_ATprotocol] = ACTIONS(2434),
    [anon_sym_ATinterface] = ACTIONS(2434),
    [anon_sym_ATimplementation] = ACTIONS(2434),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2434),
    [anon_sym_ATselector] = ACTIONS(2434),
    [anon_sym_ATavailable] = ACTIONS(2434),
    [anon_sym___builtin_available] = ACTIONS(2432),
    [anon_sym_va_arg] = ACTIONS(2432),
    [anon_sym_ATencode] = ACTIONS(2434),
    [anon_sym_BOOL] = ACTIONS(2432),
    [anon_sym_IMP] = ACTIONS(2432),
    [anon_sym_SEL] = ACTIONS(2432),
    [anon_sym_Class] = ACTIONS(2432),
    [anon_sym_id] = ACTIONS(2432),
  },
  [961] = {
    [ts_builtin_sym_end] = ACTIONS(2442),
    [sym_identifier] = ACTIONS(2440),
    [aux_sym_preproc_include_token1] = ACTIONS(2440),
    [aux_sym_preproc_include_token2] = ACTIONS(2440),
    [aux_sym_preproc_def_token1] = ACTIONS(2440),
    [aux_sym_preproc_if_token1] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2440),
    [sym_preproc_directive] = ACTIONS(2440),
    [anon_sym_LPAREN2] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_CARET] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym___extension__] = ACTIONS(2440),
    [anon_sym_typedef] = ACTIONS(2440),
    [anon_sym_extern] = ACTIONS(2440),
    [anon_sym___attribute__] = ACTIONS(2440),
    [anon_sym___attribute] = ACTIONS(2440),
    [anon_sym_noreturn] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym___declspec] = ACTIONS(2440),
    [anon_sym___cdecl] = ACTIONS(2440),
    [anon_sym___clrcall] = ACTIONS(2440),
    [anon_sym___stdcall] = ACTIONS(2440),
    [anon_sym___fastcall] = ACTIONS(2440),
    [anon_sym___thiscall] = ACTIONS(2440),
    [anon_sym___vectorcall] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_signed] = ACTIONS(2440),
    [anon_sym_unsigned] = ACTIONS(2440),
    [anon_sym_long] = ACTIONS(2440),
    [anon_sym_short] = ACTIONS(2440),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_ATautoreleasepool] = ACTIONS(2442),
    [anon_sym_auto] = ACTIONS(2440),
    [anon_sym_register] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(2440),
    [anon_sym___inline] = ACTIONS(2440),
    [anon_sym___inline__] = ACTIONS(2440),
    [anon_sym___forceinline] = ACTIONS(2440),
    [anon_sym_thread_local] = ACTIONS(2440),
    [anon_sym___thread] = ACTIONS(2440),
    [anon_sym_CG_EXTERN] = ACTIONS(2440),
    [anon_sym_CG_INLINE] = ACTIONS(2440),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2440),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2440),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2440),
    [anon_sym_IBOutlet] = ACTIONS(2440),
    [anon_sym_IBInspectable] = ACTIONS(2440),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2440),
    [anon_sym_NS_INLINE] = ACTIONS(2440),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2440),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2440),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2440),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2440),
    [anon_sym_const] = ACTIONS(2440),
    [anon_sym_constexpr] = ACTIONS(2440),
    [anon_sym_volatile] = ACTIONS(2440),
    [anon_sym_restrict] = ACTIONS(2440),
    [anon_sym___restrict__] = ACTIONS(2440),
    [anon_sym__Atomic] = ACTIONS(2440),
    [anon_sym__Noreturn] = ACTIONS(2440),
    [anon_sym__Nonnull] = ACTIONS(2440),
    [anon_sym_nullable] = ACTIONS(2440),
    [anon_sym__Complex] = ACTIONS(2440),
    [anon_sym__Nullable] = ACTIONS(2440),
    [anon_sym__Nullable_result] = ACTIONS(2440),
    [anon_sym__Null_unspecified] = ACTIONS(2440),
    [anon_sym___autoreleasing] = ACTIONS(2440),
    [anon_sym___block] = ACTIONS(2440),
    [anon_sym___bridge] = ACTIONS(2440),
    [anon_sym___bridge_retained] = ACTIONS(2440),
    [anon_sym___bridge_transfer] = ACTIONS(2440),
    [anon_sym___complex] = ACTIONS(2440),
    [anon_sym___const] = ACTIONS(2440),
    [anon_sym___imag] = ACTIONS(2440),
    [anon_sym___kindof] = ACTIONS(2440),
    [anon_sym___nonnull] = ACTIONS(2440),
    [anon_sym___nullable] = ACTIONS(2440),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2440),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2440),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2440),
    [anon_sym___real] = ACTIONS(2440),
    [anon_sym___strong] = ACTIONS(2440),
    [anon_sym___unsafe_unretained] = ACTIONS(2440),
    [anon_sym___unused] = ACTIONS(2440),
    [anon_sym___weak] = ACTIONS(2440),
    [anon_sym_alignas] = ACTIONS(2440),
    [anon_sym__Alignas] = ACTIONS(2440),
    [sym_primitive_type] = ACTIONS(2440),
    [anon_sym_enum] = ACTIONS(2440),
    [anon_sym_struct] = ACTIONS(2440),
    [anon_sym_union] = ACTIONS(2440),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_else] = ACTIONS(2440),
    [anon_sym_switch] = ACTIONS(2440),
    [anon_sym_case] = ACTIONS(2440),
    [anon_sym_default] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2440),
    [anon_sym_do] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2440),
    [anon_sym_in] = ACTIONS(2440),
    [anon_sym_return] = ACTIONS(2440),
    [anon_sym_break] = ACTIONS(2440),
    [anon_sym_continue] = ACTIONS(2440),
    [anon_sym_goto] = ACTIONS(2440),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_sizeof] = ACTIONS(2440),
    [anon_sym___alignof__] = ACTIONS(2440),
    [anon_sym___alignof] = ACTIONS(2440),
    [anon_sym__alignof] = ACTIONS(2440),
    [anon_sym_alignof] = ACTIONS(2440),
    [anon_sym__Alignof] = ACTIONS(2440),
    [anon_sym_offsetof] = ACTIONS(2440),
    [anon_sym__Generic] = ACTIONS(2440),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [anon_sym___asm] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2442),
    [anon_sym_u_SQUOTE] = ACTIONS(2442),
    [anon_sym_U_SQUOTE] = ACTIONS(2442),
    [anon_sym_u8_SQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_AT] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_L_DQUOTE] = ACTIONS(2442),
    [anon_sym_u_DQUOTE] = ACTIONS(2442),
    [anon_sym_U_DQUOTE] = ACTIONS(2442),
    [anon_sym_u8_DQUOTE] = ACTIONS(2442),
    [sym_true] = ACTIONS(2440),
    [sym_false] = ACTIONS(2440),
    [anon_sym_NULL] = ACTIONS(2440),
    [anon_sym_nullptr] = ACTIONS(2440),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2440),
    [anon_sym___typeof] = ACTIONS(2440),
    [anon_sym_typeof] = ACTIONS(2440),
    [anon_sym_ATimport] = ACTIONS(2442),
    [aux_sym_preproc_undef_token1] = ACTIONS(2440),
    [anon_sym_POUND] = ACTIONS(2440),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2440),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2440),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2440),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2440),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2440),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2440),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2440),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2440),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2440),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_API_AVAILABLE] = ACTIONS(2440),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_API_DEPRECATED] = ACTIONS(2440),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2440),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2440),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2440),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2440),
    [anon_sym___deprecated_msg] = ACTIONS(2440),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2440),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2440),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2440),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2440),
    [anon_sym_ATprotocol] = ACTIONS(2442),
    [anon_sym_ATinterface] = ACTIONS(2442),
    [anon_sym_ATimplementation] = ACTIONS(2442),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2442),
    [anon_sym_ATselector] = ACTIONS(2442),
    [anon_sym_ATavailable] = ACTIONS(2442),
    [anon_sym___builtin_available] = ACTIONS(2440),
    [anon_sym_va_arg] = ACTIONS(2440),
    [anon_sym_ATencode] = ACTIONS(2442),
    [anon_sym_BOOL] = ACTIONS(2440),
    [anon_sym_IMP] = ACTIONS(2440),
    [anon_sym_SEL] = ACTIONS(2440),
    [anon_sym_Class] = ACTIONS(2440),
    [anon_sym_id] = ACTIONS(2440),
  },
  [962] = {
    [ts_builtin_sym_end] = ACTIONS(2566),
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_include_token2] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym___attribute] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_ATautoreleasepool] = ACTIONS(2566),
    [anon_sym_auto] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_CG_EXTERN] = ACTIONS(2564),
    [anon_sym_CG_INLINE] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2564),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2564),
    [anon_sym_IBOutlet] = ACTIONS(2564),
    [anon_sym_IBInspectable] = ACTIONS(2564),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2564),
    [anon_sym_NS_INLINE] = ACTIONS(2564),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2564),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2564),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_nullable] = ACTIONS(2564),
    [anon_sym__Complex] = ACTIONS(2564),
    [anon_sym__Nullable] = ACTIONS(2564),
    [anon_sym__Nullable_result] = ACTIONS(2564),
    [anon_sym__Null_unspecified] = ACTIONS(2564),
    [anon_sym___autoreleasing] = ACTIONS(2564),
    [anon_sym___block] = ACTIONS(2564),
    [anon_sym___bridge] = ACTIONS(2564),
    [anon_sym___bridge_retained] = ACTIONS(2564),
    [anon_sym___bridge_transfer] = ACTIONS(2564),
    [anon_sym___complex] = ACTIONS(2564),
    [anon_sym___const] = ACTIONS(2564),
    [anon_sym___imag] = ACTIONS(2564),
    [anon_sym___kindof] = ACTIONS(2564),
    [anon_sym___nonnull] = ACTIONS(2564),
    [anon_sym___nullable] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2564),
    [anon_sym___real] = ACTIONS(2564),
    [anon_sym___strong] = ACTIONS(2564),
    [anon_sym___unsafe_unretained] = ACTIONS(2564),
    [anon_sym___unused] = ACTIONS(2564),
    [anon_sym___weak] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [anon_sym___asm] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_AT] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2564),
    [anon_sym___typeof] = ACTIONS(2564),
    [anon_sym_typeof] = ACTIONS(2564),
    [anon_sym_ATimport] = ACTIONS(2566),
    [aux_sym_preproc_undef_token1] = ACTIONS(2564),
    [anon_sym_POUND] = ACTIONS(2564),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2564),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2564),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2564),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_API_AVAILABLE] = ACTIONS(2564),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_API_DEPRECATED] = ACTIONS(2564),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym___deprecated_msg] = ACTIONS(2564),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2564),
    [anon_sym_ATprotocol] = ACTIONS(2566),
    [anon_sym_ATinterface] = ACTIONS(2566),
    [anon_sym_ATimplementation] = ACTIONS(2566),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2566),
    [anon_sym_ATselector] = ACTIONS(2566),
    [anon_sym_ATavailable] = ACTIONS(2566),
    [anon_sym___builtin_available] = ACTIONS(2564),
    [anon_sym_va_arg] = ACTIONS(2564),
    [anon_sym_ATencode] = ACTIONS(2566),
    [anon_sym_BOOL] = ACTIONS(2564),
    [anon_sym_IMP] = ACTIONS(2564),
    [anon_sym_SEL] = ACTIONS(2564),
    [anon_sym_Class] = ACTIONS(2564),
    [anon_sym_id] = ACTIONS(2564),
  },
  [963] = {
    [ts_builtin_sym_end] = ACTIONS(2566),
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_include_token1] = ACTIONS(2564),
    [aux_sym_preproc_include_token2] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym___attribute] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_ATautoreleasepool] = ACTIONS(2566),
    [anon_sym_auto] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_CG_EXTERN] = ACTIONS(2564),
    [anon_sym_CG_INLINE] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2564),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2564),
    [anon_sym_IBOutlet] = ACTIONS(2564),
    [anon_sym_IBInspectable] = ACTIONS(2564),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2564),
    [anon_sym_NS_INLINE] = ACTIONS(2564),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2564),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2564),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_nullable] = ACTIONS(2564),
    [anon_sym__Complex] = ACTIONS(2564),
    [anon_sym__Nullable] = ACTIONS(2564),
    [anon_sym__Nullable_result] = ACTIONS(2564),
    [anon_sym__Null_unspecified] = ACTIONS(2564),
    [anon_sym___autoreleasing] = ACTIONS(2564),
    [anon_sym___block] = ACTIONS(2564),
    [anon_sym___bridge] = ACTIONS(2564),
    [anon_sym___bridge_retained] = ACTIONS(2564),
    [anon_sym___bridge_transfer] = ACTIONS(2564),
    [anon_sym___complex] = ACTIONS(2564),
    [anon_sym___const] = ACTIONS(2564),
    [anon_sym___imag] = ACTIONS(2564),
    [anon_sym___kindof] = ACTIONS(2564),
    [anon_sym___nonnull] = ACTIONS(2564),
    [anon_sym___nullable] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2564),
    [anon_sym___real] = ACTIONS(2564),
    [anon_sym___strong] = ACTIONS(2564),
    [anon_sym___unsafe_unretained] = ACTIONS(2564),
    [anon_sym___unused] = ACTIONS(2564),
    [anon_sym___weak] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_case] = ACTIONS(2564),
    [anon_sym_default] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [anon_sym___asm] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_AT] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2564),
    [anon_sym___typeof] = ACTIONS(2564),
    [anon_sym_typeof] = ACTIONS(2564),
    [anon_sym_ATimport] = ACTIONS(2566),
    [aux_sym_preproc_undef_token1] = ACTIONS(2564),
    [anon_sym_POUND] = ACTIONS(2564),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2564),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2564),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2564),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_API_AVAILABLE] = ACTIONS(2564),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_API_DEPRECATED] = ACTIONS(2564),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym___deprecated_msg] = ACTIONS(2564),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2564),
    [anon_sym_ATprotocol] = ACTIONS(2566),
    [anon_sym_ATinterface] = ACTIONS(2566),
    [anon_sym_ATimplementation] = ACTIONS(2566),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2566),
    [anon_sym_ATselector] = ACTIONS(2566),
    [anon_sym_ATavailable] = ACTIONS(2566),
    [anon_sym___builtin_available] = ACTIONS(2564),
    [anon_sym_va_arg] = ACTIONS(2564),
    [anon_sym_ATencode] = ACTIONS(2566),
    [anon_sym_BOOL] = ACTIONS(2564),
    [anon_sym_IMP] = ACTIONS(2564),
    [anon_sym_SEL] = ACTIONS(2564),
    [anon_sym_Class] = ACTIONS(2564),
    [anon_sym_id] = ACTIONS(2564),
  },
  [964] = {
    [ts_builtin_sym_end] = ACTIONS(2518),
    [sym_identifier] = ACTIONS(2516),
    [aux_sym_preproc_include_token1] = ACTIONS(2516),
    [aux_sym_preproc_include_token2] = ACTIONS(2516),
    [aux_sym_preproc_def_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2516),
    [sym_preproc_directive] = ACTIONS(2516),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_BANG] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_CARET] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_typedef] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym___attribute] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym___cdecl] = ACTIONS(2516),
    [anon_sym___clrcall] = ACTIONS(2516),
    [anon_sym___stdcall] = ACTIONS(2516),
    [anon_sym___fastcall] = ACTIONS(2516),
    [anon_sym___thiscall] = ACTIONS(2516),
    [anon_sym___vectorcall] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_ATautoreleasepool] = ACTIONS(2518),
    [anon_sym_auto] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_CG_EXTERN] = ACTIONS(2516),
    [anon_sym_CG_INLINE] = ACTIONS(2516),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2516),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2516),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2516),
    [anon_sym_IBOutlet] = ACTIONS(2516),
    [anon_sym_IBInspectable] = ACTIONS(2516),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2516),
    [anon_sym_NS_INLINE] = ACTIONS(2516),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2516),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2516),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2516),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym__Nonnull] = ACTIONS(2516),
    [anon_sym_nullable] = ACTIONS(2516),
    [anon_sym__Complex] = ACTIONS(2516),
    [anon_sym__Nullable] = ACTIONS(2516),
    [anon_sym__Nullable_result] = ACTIONS(2516),
    [anon_sym__Null_unspecified] = ACTIONS(2516),
    [anon_sym___autoreleasing] = ACTIONS(2516),
    [anon_sym___block] = ACTIONS(2516),
    [anon_sym___bridge] = ACTIONS(2516),
    [anon_sym___bridge_retained] = ACTIONS(2516),
    [anon_sym___bridge_transfer] = ACTIONS(2516),
    [anon_sym___complex] = ACTIONS(2516),
    [anon_sym___const] = ACTIONS(2516),
    [anon_sym___imag] = ACTIONS(2516),
    [anon_sym___kindof] = ACTIONS(2516),
    [anon_sym___nonnull] = ACTIONS(2516),
    [anon_sym___nullable] = ACTIONS(2516),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2516),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2516),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2516),
    [anon_sym___real] = ACTIONS(2516),
    [anon_sym___strong] = ACTIONS(2516),
    [anon_sym___unsafe_unretained] = ACTIONS(2516),
    [anon_sym___unused] = ACTIONS(2516),
    [anon_sym___weak] = ACTIONS(2516),
    [anon_sym_alignas] = ACTIONS(2516),
    [anon_sym__Alignas] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [anon_sym_if] = ACTIONS(2516),
    [anon_sym_else] = ACTIONS(2516),
    [anon_sym_switch] = ACTIONS(2516),
    [anon_sym_case] = ACTIONS(2516),
    [anon_sym_default] = ACTIONS(2516),
    [anon_sym_while] = ACTIONS(2516),
    [anon_sym_do] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2516),
    [anon_sym_in] = ACTIONS(2516),
    [anon_sym_return] = ACTIONS(2516),
    [anon_sym_break] = ACTIONS(2516),
    [anon_sym_continue] = ACTIONS(2516),
    [anon_sym_goto] = ACTIONS(2516),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_sizeof] = ACTIONS(2516),
    [anon_sym___alignof__] = ACTIONS(2516),
    [anon_sym___alignof] = ACTIONS(2516),
    [anon_sym__alignof] = ACTIONS(2516),
    [anon_sym_alignof] = ACTIONS(2516),
    [anon_sym__Alignof] = ACTIONS(2516),
    [anon_sym_offsetof] = ACTIONS(2516),
    [anon_sym__Generic] = ACTIONS(2516),
    [anon_sym_asm] = ACTIONS(2516),
    [anon_sym___asm__] = ACTIONS(2516),
    [anon_sym___asm] = ACTIONS(2516),
    [sym_number_literal] = ACTIONS(2518),
    [anon_sym_L_SQUOTE] = ACTIONS(2518),
    [anon_sym_u_SQUOTE] = ACTIONS(2518),
    [anon_sym_U_SQUOTE] = ACTIONS(2518),
    [anon_sym_u8_SQUOTE] = ACTIONS(2518),
    [anon_sym_SQUOTE] = ACTIONS(2518),
    [anon_sym_AT] = ACTIONS(2516),
    [anon_sym_DQUOTE] = ACTIONS(2518),
    [anon_sym_L_DQUOTE] = ACTIONS(2518),
    [anon_sym_u_DQUOTE] = ACTIONS(2518),
    [anon_sym_U_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8_DQUOTE] = ACTIONS(2518),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [anon_sym_NULL] = ACTIONS(2516),
    [anon_sym_nullptr] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2516),
    [anon_sym___typeof] = ACTIONS(2516),
    [anon_sym_typeof] = ACTIONS(2516),
    [anon_sym_ATimport] = ACTIONS(2518),
    [aux_sym_preproc_undef_token1] = ACTIONS(2516),
    [anon_sym_POUND] = ACTIONS(2516),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2516),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2516),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2516),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2516),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2516),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2516),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2516),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2516),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2516),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_API_AVAILABLE] = ACTIONS(2516),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_API_DEPRECATED] = ACTIONS(2516),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2516),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2516),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2516),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2516),
    [anon_sym___deprecated_msg] = ACTIONS(2516),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2516),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2516),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2516),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2516),
    [anon_sym_ATprotocol] = ACTIONS(2518),
    [anon_sym_ATinterface] = ACTIONS(2518),
    [anon_sym_ATimplementation] = ACTIONS(2518),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2518),
    [anon_sym_ATselector] = ACTIONS(2518),
    [anon_sym_ATavailable] = ACTIONS(2518),
    [anon_sym___builtin_available] = ACTIONS(2516),
    [anon_sym_va_arg] = ACTIONS(2516),
    [anon_sym_ATencode] = ACTIONS(2518),
    [anon_sym_BOOL] = ACTIONS(2516),
    [anon_sym_IMP] = ACTIONS(2516),
    [anon_sym_SEL] = ACTIONS(2516),
    [anon_sym_Class] = ACTIONS(2516),
    [anon_sym_id] = ACTIONS(2516),
  },
  [965] = {
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2444),
    [aux_sym_preproc_include_token1] = ACTIONS(2444),
    [aux_sym_preproc_include_token2] = ACTIONS(2444),
    [aux_sym_preproc_def_token1] = ACTIONS(2444),
    [aux_sym_preproc_if_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2444),
    [sym_preproc_directive] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym___attribute] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym___cdecl] = ACTIONS(2444),
    [anon_sym___clrcall] = ACTIONS(2444),
    [anon_sym___stdcall] = ACTIONS(2444),
    [anon_sym___fastcall] = ACTIONS(2444),
    [anon_sym___thiscall] = ACTIONS(2444),
    [anon_sym___vectorcall] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_ATautoreleasepool] = ACTIONS(2446),
    [anon_sym_auto] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_CG_EXTERN] = ACTIONS(2444),
    [anon_sym_CG_INLINE] = ACTIONS(2444),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2444),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2444),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2444),
    [anon_sym_IBOutlet] = ACTIONS(2444),
    [anon_sym_IBInspectable] = ACTIONS(2444),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2444),
    [anon_sym_NS_INLINE] = ACTIONS(2444),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2444),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2444),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2444),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym__Nonnull] = ACTIONS(2444),
    [anon_sym_nullable] = ACTIONS(2444),
    [anon_sym__Complex] = ACTIONS(2444),
    [anon_sym__Nullable] = ACTIONS(2444),
    [anon_sym__Nullable_result] = ACTIONS(2444),
    [anon_sym__Null_unspecified] = ACTIONS(2444),
    [anon_sym___autoreleasing] = ACTIONS(2444),
    [anon_sym___block] = ACTIONS(2444),
    [anon_sym___bridge] = ACTIONS(2444),
    [anon_sym___bridge_retained] = ACTIONS(2444),
    [anon_sym___bridge_transfer] = ACTIONS(2444),
    [anon_sym___complex] = ACTIONS(2444),
    [anon_sym___const] = ACTIONS(2444),
    [anon_sym___imag] = ACTIONS(2444),
    [anon_sym___kindof] = ACTIONS(2444),
    [anon_sym___nonnull] = ACTIONS(2444),
    [anon_sym___nullable] = ACTIONS(2444),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2444),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2444),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2444),
    [anon_sym___real] = ACTIONS(2444),
    [anon_sym___strong] = ACTIONS(2444),
    [anon_sym___unsafe_unretained] = ACTIONS(2444),
    [anon_sym___unused] = ACTIONS(2444),
    [anon_sym___weak] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym__Alignas] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_case] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [anon_sym___asm] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_AT] = ACTIONS(2444),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2444),
    [anon_sym___typeof] = ACTIONS(2444),
    [anon_sym_typeof] = ACTIONS(2444),
    [anon_sym_ATimport] = ACTIONS(2446),
    [aux_sym_preproc_undef_token1] = ACTIONS(2444),
    [anon_sym_POUND] = ACTIONS(2444),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2444),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2444),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2444),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2444),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2444),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2444),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2444),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2444),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2444),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_API_AVAILABLE] = ACTIONS(2444),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_API_DEPRECATED] = ACTIONS(2444),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2444),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2444),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2444),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2444),
    [anon_sym___deprecated_msg] = ACTIONS(2444),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2444),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2444),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2444),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2444),
    [anon_sym_ATprotocol] = ACTIONS(2446),
    [anon_sym_ATinterface] = ACTIONS(2446),
    [anon_sym_ATimplementation] = ACTIONS(2446),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2446),
    [anon_sym_ATselector] = ACTIONS(2446),
    [anon_sym_ATavailable] = ACTIONS(2446),
    [anon_sym___builtin_available] = ACTIONS(2444),
    [anon_sym_va_arg] = ACTIONS(2444),
    [anon_sym_ATencode] = ACTIONS(2446),
    [anon_sym_BOOL] = ACTIONS(2444),
    [anon_sym_IMP] = ACTIONS(2444),
    [anon_sym_SEL] = ACTIONS(2444),
    [anon_sym_Class] = ACTIONS(2444),
    [anon_sym_id] = ACTIONS(2444),
  },
  [966] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [967] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [968] = {
    [ts_builtin_sym_end] = ACTIONS(2562),
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_include_token1] = ACTIONS(2560),
    [aux_sym_preproc_include_token2] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_CARET] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym___attribute] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym___cdecl] = ACTIONS(2560),
    [anon_sym___clrcall] = ACTIONS(2560),
    [anon_sym___stdcall] = ACTIONS(2560),
    [anon_sym___fastcall] = ACTIONS(2560),
    [anon_sym___thiscall] = ACTIONS(2560),
    [anon_sym___vectorcall] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_ATautoreleasepool] = ACTIONS(2562),
    [anon_sym_auto] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_CG_EXTERN] = ACTIONS(2560),
    [anon_sym_CG_INLINE] = ACTIONS(2560),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2560),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2560),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2560),
    [anon_sym_IBOutlet] = ACTIONS(2560),
    [anon_sym_IBInspectable] = ACTIONS(2560),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2560),
    [anon_sym_NS_INLINE] = ACTIONS(2560),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2560),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2560),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2560),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym__Nonnull] = ACTIONS(2560),
    [anon_sym_nullable] = ACTIONS(2560),
    [anon_sym__Complex] = ACTIONS(2560),
    [anon_sym__Nullable] = ACTIONS(2560),
    [anon_sym__Nullable_result] = ACTIONS(2560),
    [anon_sym__Null_unspecified] = ACTIONS(2560),
    [anon_sym___autoreleasing] = ACTIONS(2560),
    [anon_sym___block] = ACTIONS(2560),
    [anon_sym___bridge] = ACTIONS(2560),
    [anon_sym___bridge_retained] = ACTIONS(2560),
    [anon_sym___bridge_transfer] = ACTIONS(2560),
    [anon_sym___complex] = ACTIONS(2560),
    [anon_sym___const] = ACTIONS(2560),
    [anon_sym___imag] = ACTIONS(2560),
    [anon_sym___kindof] = ACTIONS(2560),
    [anon_sym___nonnull] = ACTIONS(2560),
    [anon_sym___nullable] = ACTIONS(2560),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2560),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2560),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2560),
    [anon_sym___real] = ACTIONS(2560),
    [anon_sym___strong] = ACTIONS(2560),
    [anon_sym___unsafe_unretained] = ACTIONS(2560),
    [anon_sym___unused] = ACTIONS(2560),
    [anon_sym___weak] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym__Alignas] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_case] = ACTIONS(2560),
    [anon_sym_default] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [anon_sym___asm] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2560),
    [anon_sym___typeof] = ACTIONS(2560),
    [anon_sym_typeof] = ACTIONS(2560),
    [anon_sym_ATimport] = ACTIONS(2562),
    [aux_sym_preproc_undef_token1] = ACTIONS(2560),
    [anon_sym_POUND] = ACTIONS(2560),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2560),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2560),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2560),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2560),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2560),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2560),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2560),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2560),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2560),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_API_AVAILABLE] = ACTIONS(2560),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_API_DEPRECATED] = ACTIONS(2560),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2560),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2560),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2560),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2560),
    [anon_sym___deprecated_msg] = ACTIONS(2560),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2560),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2560),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2560),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2560),
    [anon_sym_ATprotocol] = ACTIONS(2562),
    [anon_sym_ATinterface] = ACTIONS(2562),
    [anon_sym_ATimplementation] = ACTIONS(2562),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2562),
    [anon_sym_ATselector] = ACTIONS(2562),
    [anon_sym_ATavailable] = ACTIONS(2562),
    [anon_sym___builtin_available] = ACTIONS(2560),
    [anon_sym_va_arg] = ACTIONS(2560),
    [anon_sym_ATencode] = ACTIONS(2562),
    [anon_sym_BOOL] = ACTIONS(2560),
    [anon_sym_IMP] = ACTIONS(2560),
    [anon_sym_SEL] = ACTIONS(2560),
    [anon_sym_Class] = ACTIONS(2560),
    [anon_sym_id] = ACTIONS(2560),
  },
  [969] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [970] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [971] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [972] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [973] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [974] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [975] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [976] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [977] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [978] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [979] = {
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2456),
    [aux_sym_preproc_include_token1] = ACTIONS(2456),
    [aux_sym_preproc_include_token2] = ACTIONS(2456),
    [aux_sym_preproc_def_token1] = ACTIONS(2456),
    [aux_sym_preproc_if_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2456),
    [sym_preproc_directive] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym___cdecl] = ACTIONS(2456),
    [anon_sym___clrcall] = ACTIONS(2456),
    [anon_sym___stdcall] = ACTIONS(2456),
    [anon_sym___fastcall] = ACTIONS(2456),
    [anon_sym___thiscall] = ACTIONS(2456),
    [anon_sym___vectorcall] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_case] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_ATimport] = ACTIONS(2458),
    [aux_sym_preproc_undef_token1] = ACTIONS(2456),
    [anon_sym_POUND] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATprotocol] = ACTIONS(2458),
    [anon_sym_ATinterface] = ACTIONS(2458),
    [anon_sym_ATimplementation] = ACTIONS(2458),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [980] = {
    [ts_builtin_sym_end] = ACTIONS(2522),
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_include_token1] = ACTIONS(2520),
    [aux_sym_preproc_include_token2] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_CARET] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym___attribute] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym___cdecl] = ACTIONS(2520),
    [anon_sym___clrcall] = ACTIONS(2520),
    [anon_sym___stdcall] = ACTIONS(2520),
    [anon_sym___fastcall] = ACTIONS(2520),
    [anon_sym___thiscall] = ACTIONS(2520),
    [anon_sym___vectorcall] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_ATautoreleasepool] = ACTIONS(2522),
    [anon_sym_auto] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_CG_EXTERN] = ACTIONS(2520),
    [anon_sym_CG_INLINE] = ACTIONS(2520),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2520),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2520),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2520),
    [anon_sym_IBOutlet] = ACTIONS(2520),
    [anon_sym_IBInspectable] = ACTIONS(2520),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2520),
    [anon_sym_NS_INLINE] = ACTIONS(2520),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2520),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2520),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2520),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym__Nonnull] = ACTIONS(2520),
    [anon_sym_nullable] = ACTIONS(2520),
    [anon_sym__Complex] = ACTIONS(2520),
    [anon_sym__Nullable] = ACTIONS(2520),
    [anon_sym__Nullable_result] = ACTIONS(2520),
    [anon_sym__Null_unspecified] = ACTIONS(2520),
    [anon_sym___autoreleasing] = ACTIONS(2520),
    [anon_sym___block] = ACTIONS(2520),
    [anon_sym___bridge] = ACTIONS(2520),
    [anon_sym___bridge_retained] = ACTIONS(2520),
    [anon_sym___bridge_transfer] = ACTIONS(2520),
    [anon_sym___complex] = ACTIONS(2520),
    [anon_sym___const] = ACTIONS(2520),
    [anon_sym___imag] = ACTIONS(2520),
    [anon_sym___kindof] = ACTIONS(2520),
    [anon_sym___nonnull] = ACTIONS(2520),
    [anon_sym___nullable] = ACTIONS(2520),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2520),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2520),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2520),
    [anon_sym___real] = ACTIONS(2520),
    [anon_sym___strong] = ACTIONS(2520),
    [anon_sym___unsafe_unretained] = ACTIONS(2520),
    [anon_sym___unused] = ACTIONS(2520),
    [anon_sym___weak] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym__Alignas] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_else] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_case] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [anon_sym___asm] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_AT] = ACTIONS(2520),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2520),
    [anon_sym___typeof] = ACTIONS(2520),
    [anon_sym_typeof] = ACTIONS(2520),
    [anon_sym_ATimport] = ACTIONS(2522),
    [aux_sym_preproc_undef_token1] = ACTIONS(2520),
    [anon_sym_POUND] = ACTIONS(2520),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2520),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2520),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2520),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2520),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2520),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2520),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2520),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2520),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2520),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_API_AVAILABLE] = ACTIONS(2520),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_API_DEPRECATED] = ACTIONS(2520),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2520),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2520),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2520),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2520),
    [anon_sym___deprecated_msg] = ACTIONS(2520),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2520),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2520),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2520),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2520),
    [anon_sym_ATprotocol] = ACTIONS(2522),
    [anon_sym_ATinterface] = ACTIONS(2522),
    [anon_sym_ATimplementation] = ACTIONS(2522),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2522),
    [anon_sym_ATselector] = ACTIONS(2522),
    [anon_sym_ATavailable] = ACTIONS(2522),
    [anon_sym___builtin_available] = ACTIONS(2520),
    [anon_sym_va_arg] = ACTIONS(2520),
    [anon_sym_ATencode] = ACTIONS(2522),
    [anon_sym_BOOL] = ACTIONS(2520),
    [anon_sym_IMP] = ACTIONS(2520),
    [anon_sym_SEL] = ACTIONS(2520),
    [anon_sym_Class] = ACTIONS(2520),
    [anon_sym_id] = ACTIONS(2520),
  },
  [981] = {
    [sym_expression] = STATE(1631),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_extern] = ACTIONS(2922),
    [anon_sym___attribute__] = ACTIONS(2922),
    [anon_sym___attribute] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym___declspec] = ACTIONS(2922),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_static] = ACTIONS(2922),
    [anon_sym_auto] = ACTIONS(2922),
    [anon_sym_register] = ACTIONS(2922),
    [anon_sym_inline] = ACTIONS(2922),
    [anon_sym___inline] = ACTIONS(2922),
    [anon_sym___inline__] = ACTIONS(2922),
    [anon_sym___forceinline] = ACTIONS(2922),
    [anon_sym_thread_local] = ACTIONS(2922),
    [anon_sym___thread] = ACTIONS(2922),
    [anon_sym_CG_EXTERN] = ACTIONS(2922),
    [anon_sym_CG_INLINE] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2922),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2922),
    [anon_sym_IBOutlet] = ACTIONS(2922),
    [anon_sym_IBInspectable] = ACTIONS(2922),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2922),
    [anon_sym_NS_INLINE] = ACTIONS(2922),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2922),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2922),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_union] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2922),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2922),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2922),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_API_AVAILABLE] = ACTIONS(2922),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_API_DEPRECATED] = ACTIONS(2922),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym___deprecated_msg] = ACTIONS(2922),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2922),
    [anon_sym_ATprotocol] = ACTIONS(2928),
    [anon_sym_ATinterface] = ACTIONS(2928),
    [anon_sym_ATimplementation] = ACTIONS(2928),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(203),
  },
  [982] = {
    [ts_builtin_sym_end] = ACTIONS(2484),
    [sym_identifier] = ACTIONS(2482),
    [aux_sym_preproc_include_token1] = ACTIONS(2482),
    [aux_sym_preproc_include_token2] = ACTIONS(2482),
    [aux_sym_preproc_def_token1] = ACTIONS(2482),
    [aux_sym_preproc_if_token1] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2482),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2482),
    [sym_preproc_directive] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(2484),
    [anon_sym_BANG] = ACTIONS(2484),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_DASH] = ACTIONS(2482),
    [anon_sym_PLUS] = ACTIONS(2482),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_CARET] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_SEMI] = ACTIONS(2484),
    [anon_sym___extension__] = ACTIONS(2482),
    [anon_sym_typedef] = ACTIONS(2482),
    [anon_sym_extern] = ACTIONS(2482),
    [anon_sym___attribute__] = ACTIONS(2482),
    [anon_sym___attribute] = ACTIONS(2482),
    [anon_sym_noreturn] = ACTIONS(2482),
    [anon_sym_LBRACK] = ACTIONS(2484),
    [anon_sym___declspec] = ACTIONS(2482),
    [anon_sym___cdecl] = ACTIONS(2482),
    [anon_sym___clrcall] = ACTIONS(2482),
    [anon_sym___stdcall] = ACTIONS(2482),
    [anon_sym___fastcall] = ACTIONS(2482),
    [anon_sym___thiscall] = ACTIONS(2482),
    [anon_sym___vectorcall] = ACTIONS(2482),
    [anon_sym_LBRACE] = ACTIONS(2484),
    [anon_sym_signed] = ACTIONS(2482),
    [anon_sym_unsigned] = ACTIONS(2482),
    [anon_sym_long] = ACTIONS(2482),
    [anon_sym_short] = ACTIONS(2482),
    [anon_sym_static] = ACTIONS(2482),
    [anon_sym_ATautoreleasepool] = ACTIONS(2484),
    [anon_sym_auto] = ACTIONS(2482),
    [anon_sym_register] = ACTIONS(2482),
    [anon_sym_inline] = ACTIONS(2482),
    [anon_sym___inline] = ACTIONS(2482),
    [anon_sym___inline__] = ACTIONS(2482),
    [anon_sym___forceinline] = ACTIONS(2482),
    [anon_sym_thread_local] = ACTIONS(2482),
    [anon_sym___thread] = ACTIONS(2482),
    [anon_sym_CG_EXTERN] = ACTIONS(2482),
    [anon_sym_CG_INLINE] = ACTIONS(2482),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2482),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2482),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2482),
    [anon_sym_IBOutlet] = ACTIONS(2482),
    [anon_sym_IBInspectable] = ACTIONS(2482),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2482),
    [anon_sym_NS_INLINE] = ACTIONS(2482),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2482),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2482),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2482),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2482),
    [anon_sym_const] = ACTIONS(2482),
    [anon_sym_constexpr] = ACTIONS(2482),
    [anon_sym_volatile] = ACTIONS(2482),
    [anon_sym_restrict] = ACTIONS(2482),
    [anon_sym___restrict__] = ACTIONS(2482),
    [anon_sym__Atomic] = ACTIONS(2482),
    [anon_sym__Noreturn] = ACTIONS(2482),
    [anon_sym__Nonnull] = ACTIONS(2482),
    [anon_sym_nullable] = ACTIONS(2482),
    [anon_sym__Complex] = ACTIONS(2482),
    [anon_sym__Nullable] = ACTIONS(2482),
    [anon_sym__Nullable_result] = ACTIONS(2482),
    [anon_sym__Null_unspecified] = ACTIONS(2482),
    [anon_sym___autoreleasing] = ACTIONS(2482),
    [anon_sym___block] = ACTIONS(2482),
    [anon_sym___bridge] = ACTIONS(2482),
    [anon_sym___bridge_retained] = ACTIONS(2482),
    [anon_sym___bridge_transfer] = ACTIONS(2482),
    [anon_sym___complex] = ACTIONS(2482),
    [anon_sym___const] = ACTIONS(2482),
    [anon_sym___imag] = ACTIONS(2482),
    [anon_sym___kindof] = ACTIONS(2482),
    [anon_sym___nonnull] = ACTIONS(2482),
    [anon_sym___nullable] = ACTIONS(2482),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2482),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2482),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2482),
    [anon_sym___real] = ACTIONS(2482),
    [anon_sym___strong] = ACTIONS(2482),
    [anon_sym___unsafe_unretained] = ACTIONS(2482),
    [anon_sym___unused] = ACTIONS(2482),
    [anon_sym___weak] = ACTIONS(2482),
    [anon_sym_alignas] = ACTIONS(2482),
    [anon_sym__Alignas] = ACTIONS(2482),
    [sym_primitive_type] = ACTIONS(2482),
    [anon_sym_enum] = ACTIONS(2482),
    [anon_sym_struct] = ACTIONS(2482),
    [anon_sym_union] = ACTIONS(2482),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_else] = ACTIONS(2482),
    [anon_sym_switch] = ACTIONS(2482),
    [anon_sym_case] = ACTIONS(2482),
    [anon_sym_default] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2482),
    [anon_sym_do] = ACTIONS(2482),
    [anon_sym_for] = ACTIONS(2482),
    [anon_sym_in] = ACTIONS(2482),
    [anon_sym_return] = ACTIONS(2482),
    [anon_sym_break] = ACTIONS(2482),
    [anon_sym_continue] = ACTIONS(2482),
    [anon_sym_goto] = ACTIONS(2482),
    [anon_sym_DASH_DASH] = ACTIONS(2484),
    [anon_sym_PLUS_PLUS] = ACTIONS(2484),
    [anon_sym_sizeof] = ACTIONS(2482),
    [anon_sym___alignof__] = ACTIONS(2482),
    [anon_sym___alignof] = ACTIONS(2482),
    [anon_sym__alignof] = ACTIONS(2482),
    [anon_sym_alignof] = ACTIONS(2482),
    [anon_sym__Alignof] = ACTIONS(2482),
    [anon_sym_offsetof] = ACTIONS(2482),
    [anon_sym__Generic] = ACTIONS(2482),
    [anon_sym_asm] = ACTIONS(2482),
    [anon_sym___asm__] = ACTIONS(2482),
    [anon_sym___asm] = ACTIONS(2482),
    [sym_number_literal] = ACTIONS(2484),
    [anon_sym_L_SQUOTE] = ACTIONS(2484),
    [anon_sym_u_SQUOTE] = ACTIONS(2484),
    [anon_sym_U_SQUOTE] = ACTIONS(2484),
    [anon_sym_u8_SQUOTE] = ACTIONS(2484),
    [anon_sym_SQUOTE] = ACTIONS(2484),
    [anon_sym_AT] = ACTIONS(2482),
    [anon_sym_DQUOTE] = ACTIONS(2484),
    [anon_sym_L_DQUOTE] = ACTIONS(2484),
    [anon_sym_u_DQUOTE] = ACTIONS(2484),
    [anon_sym_U_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8_DQUOTE] = ACTIONS(2484),
    [sym_true] = ACTIONS(2482),
    [sym_false] = ACTIONS(2482),
    [anon_sym_NULL] = ACTIONS(2482),
    [anon_sym_nullptr] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2482),
    [anon_sym___typeof] = ACTIONS(2482),
    [anon_sym_typeof] = ACTIONS(2482),
    [anon_sym_ATimport] = ACTIONS(2484),
    [aux_sym_preproc_undef_token1] = ACTIONS(2482),
    [anon_sym_POUND] = ACTIONS(2482),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2482),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2482),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2482),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2482),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2482),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2482),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2482),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2482),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2482),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_API_AVAILABLE] = ACTIONS(2482),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_API_DEPRECATED] = ACTIONS(2482),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2482),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2482),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2482),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2482),
    [anon_sym___deprecated_msg] = ACTIONS(2482),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2482),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2482),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2482),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2482),
    [anon_sym_ATprotocol] = ACTIONS(2484),
    [anon_sym_ATinterface] = ACTIONS(2484),
    [anon_sym_ATimplementation] = ACTIONS(2484),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2484),
    [anon_sym_ATselector] = ACTIONS(2484),
    [anon_sym_ATavailable] = ACTIONS(2484),
    [anon_sym___builtin_available] = ACTIONS(2482),
    [anon_sym_va_arg] = ACTIONS(2482),
    [anon_sym_ATencode] = ACTIONS(2484),
    [anon_sym_BOOL] = ACTIONS(2482),
    [anon_sym_IMP] = ACTIONS(2482),
    [anon_sym_SEL] = ACTIONS(2482),
    [anon_sym_Class] = ACTIONS(2482),
    [anon_sym_id] = ACTIONS(2482),
  },
  [983] = {
    [ts_builtin_sym_end] = ACTIONS(2530),
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_include_token1] = ACTIONS(2528),
    [aux_sym_preproc_include_token2] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_BANG] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_CARET] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym___attribute] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym___cdecl] = ACTIONS(2528),
    [anon_sym___clrcall] = ACTIONS(2528),
    [anon_sym___stdcall] = ACTIONS(2528),
    [anon_sym___fastcall] = ACTIONS(2528),
    [anon_sym___thiscall] = ACTIONS(2528),
    [anon_sym___vectorcall] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2530),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_ATautoreleasepool] = ACTIONS(2530),
    [anon_sym_auto] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_CG_EXTERN] = ACTIONS(2528),
    [anon_sym_CG_INLINE] = ACTIONS(2528),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2528),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2528),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2528),
    [anon_sym_IBOutlet] = ACTIONS(2528),
    [anon_sym_IBInspectable] = ACTIONS(2528),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2528),
    [anon_sym_NS_INLINE] = ACTIONS(2528),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2528),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2528),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2528),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_nullable] = ACTIONS(2528),
    [anon_sym__Complex] = ACTIONS(2528),
    [anon_sym__Nullable] = ACTIONS(2528),
    [anon_sym__Nullable_result] = ACTIONS(2528),
    [anon_sym__Null_unspecified] = ACTIONS(2528),
    [anon_sym___autoreleasing] = ACTIONS(2528),
    [anon_sym___block] = ACTIONS(2528),
    [anon_sym___bridge] = ACTIONS(2528),
    [anon_sym___bridge_retained] = ACTIONS(2528),
    [anon_sym___bridge_transfer] = ACTIONS(2528),
    [anon_sym___complex] = ACTIONS(2528),
    [anon_sym___const] = ACTIONS(2528),
    [anon_sym___imag] = ACTIONS(2528),
    [anon_sym___kindof] = ACTIONS(2528),
    [anon_sym___nonnull] = ACTIONS(2528),
    [anon_sym___nullable] = ACTIONS(2528),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2528),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2528),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2528),
    [anon_sym___real] = ACTIONS(2528),
    [anon_sym___strong] = ACTIONS(2528),
    [anon_sym___unsafe_unretained] = ACTIONS(2528),
    [anon_sym___unused] = ACTIONS(2528),
    [anon_sym___weak] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_if] = ACTIONS(2528),
    [anon_sym_else] = ACTIONS(2528),
    [anon_sym_switch] = ACTIONS(2528),
    [anon_sym_case] = ACTIONS(2528),
    [anon_sym_default] = ACTIONS(2528),
    [anon_sym_while] = ACTIONS(2528),
    [anon_sym_do] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2528),
    [anon_sym_in] = ACTIONS(2528),
    [anon_sym_return] = ACTIONS(2528),
    [anon_sym_break] = ACTIONS(2528),
    [anon_sym_continue] = ACTIONS(2528),
    [anon_sym_goto] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2530),
    [anon_sym_sizeof] = ACTIONS(2528),
    [anon_sym___alignof__] = ACTIONS(2528),
    [anon_sym___alignof] = ACTIONS(2528),
    [anon_sym__alignof] = ACTIONS(2528),
    [anon_sym_alignof] = ACTIONS(2528),
    [anon_sym__Alignof] = ACTIONS(2528),
    [anon_sym_offsetof] = ACTIONS(2528),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2528),
    [anon_sym___asm__] = ACTIONS(2528),
    [anon_sym___asm] = ACTIONS(2528),
    [sym_number_literal] = ACTIONS(2530),
    [anon_sym_L_SQUOTE] = ACTIONS(2530),
    [anon_sym_u_SQUOTE] = ACTIONS(2530),
    [anon_sym_U_SQUOTE] = ACTIONS(2530),
    [anon_sym_u8_SQUOTE] = ACTIONS(2530),
    [anon_sym_SQUOTE] = ACTIONS(2530),
    [anon_sym_AT] = ACTIONS(2528),
    [anon_sym_DQUOTE] = ACTIONS(2530),
    [anon_sym_L_DQUOTE] = ACTIONS(2530),
    [anon_sym_u_DQUOTE] = ACTIONS(2530),
    [anon_sym_U_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8_DQUOTE] = ACTIONS(2530),
    [sym_true] = ACTIONS(2528),
    [sym_false] = ACTIONS(2528),
    [anon_sym_NULL] = ACTIONS(2528),
    [anon_sym_nullptr] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2528),
    [anon_sym___typeof] = ACTIONS(2528),
    [anon_sym_typeof] = ACTIONS(2528),
    [anon_sym_ATimport] = ACTIONS(2530),
    [aux_sym_preproc_undef_token1] = ACTIONS(2528),
    [anon_sym_POUND] = ACTIONS(2528),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2528),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2528),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2528),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2528),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2528),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2528),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2528),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2528),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2528),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_API_AVAILABLE] = ACTIONS(2528),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_API_DEPRECATED] = ACTIONS(2528),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2528),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2528),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2528),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2528),
    [anon_sym___deprecated_msg] = ACTIONS(2528),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2528),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2528),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2528),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2528),
    [anon_sym_ATprotocol] = ACTIONS(2530),
    [anon_sym_ATinterface] = ACTIONS(2530),
    [anon_sym_ATimplementation] = ACTIONS(2530),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2530),
    [anon_sym_ATselector] = ACTIONS(2530),
    [anon_sym_ATavailable] = ACTIONS(2530),
    [anon_sym___builtin_available] = ACTIONS(2528),
    [anon_sym_va_arg] = ACTIONS(2528),
    [anon_sym_ATencode] = ACTIONS(2530),
    [anon_sym_BOOL] = ACTIONS(2528),
    [anon_sym_IMP] = ACTIONS(2528),
    [anon_sym_SEL] = ACTIONS(2528),
    [anon_sym_Class] = ACTIONS(2528),
    [anon_sym_id] = ACTIONS(2528),
  },
  [984] = {
    [ts_builtin_sym_end] = ACTIONS(2410),
    [sym_identifier] = ACTIONS(2408),
    [aux_sym_preproc_include_token1] = ACTIONS(2408),
    [aux_sym_preproc_include_token2] = ACTIONS(2408),
    [aux_sym_preproc_def_token1] = ACTIONS(2408),
    [aux_sym_preproc_if_token1] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2408),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2408),
    [sym_preproc_directive] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_CARET] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym___extension__] = ACTIONS(2408),
    [anon_sym_typedef] = ACTIONS(2408),
    [anon_sym_extern] = ACTIONS(2408),
    [anon_sym___attribute__] = ACTIONS(2408),
    [anon_sym___attribute] = ACTIONS(2408),
    [anon_sym_noreturn] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym___declspec] = ACTIONS(2408),
    [anon_sym___cdecl] = ACTIONS(2408),
    [anon_sym___clrcall] = ACTIONS(2408),
    [anon_sym___stdcall] = ACTIONS(2408),
    [anon_sym___fastcall] = ACTIONS(2408),
    [anon_sym___thiscall] = ACTIONS(2408),
    [anon_sym___vectorcall] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_signed] = ACTIONS(2408),
    [anon_sym_unsigned] = ACTIONS(2408),
    [anon_sym_long] = ACTIONS(2408),
    [anon_sym_short] = ACTIONS(2408),
    [anon_sym_static] = ACTIONS(2408),
    [anon_sym_ATautoreleasepool] = ACTIONS(2410),
    [anon_sym_auto] = ACTIONS(2408),
    [anon_sym_register] = ACTIONS(2408),
    [anon_sym_inline] = ACTIONS(2408),
    [anon_sym___inline] = ACTIONS(2408),
    [anon_sym___inline__] = ACTIONS(2408),
    [anon_sym___forceinline] = ACTIONS(2408),
    [anon_sym_thread_local] = ACTIONS(2408),
    [anon_sym___thread] = ACTIONS(2408),
    [anon_sym_CG_EXTERN] = ACTIONS(2408),
    [anon_sym_CG_INLINE] = ACTIONS(2408),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2408),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2408),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2408),
    [anon_sym_IBOutlet] = ACTIONS(2408),
    [anon_sym_IBInspectable] = ACTIONS(2408),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2408),
    [anon_sym_NS_INLINE] = ACTIONS(2408),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2408),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2408),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2408),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2408),
    [anon_sym_const] = ACTIONS(2408),
    [anon_sym_constexpr] = ACTIONS(2408),
    [anon_sym_volatile] = ACTIONS(2408),
    [anon_sym_restrict] = ACTIONS(2408),
    [anon_sym___restrict__] = ACTIONS(2408),
    [anon_sym__Atomic] = ACTIONS(2408),
    [anon_sym__Noreturn] = ACTIONS(2408),
    [anon_sym__Nonnull] = ACTIONS(2408),
    [anon_sym_nullable] = ACTIONS(2408),
    [anon_sym__Complex] = ACTIONS(2408),
    [anon_sym__Nullable] = ACTIONS(2408),
    [anon_sym__Nullable_result] = ACTIONS(2408),
    [anon_sym__Null_unspecified] = ACTIONS(2408),
    [anon_sym___autoreleasing] = ACTIONS(2408),
    [anon_sym___block] = ACTIONS(2408),
    [anon_sym___bridge] = ACTIONS(2408),
    [anon_sym___bridge_retained] = ACTIONS(2408),
    [anon_sym___bridge_transfer] = ACTIONS(2408),
    [anon_sym___complex] = ACTIONS(2408),
    [anon_sym___const] = ACTIONS(2408),
    [anon_sym___imag] = ACTIONS(2408),
    [anon_sym___kindof] = ACTIONS(2408),
    [anon_sym___nonnull] = ACTIONS(2408),
    [anon_sym___nullable] = ACTIONS(2408),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2408),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2408),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2408),
    [anon_sym___real] = ACTIONS(2408),
    [anon_sym___strong] = ACTIONS(2408),
    [anon_sym___unsafe_unretained] = ACTIONS(2408),
    [anon_sym___unused] = ACTIONS(2408),
    [anon_sym___weak] = ACTIONS(2408),
    [anon_sym_alignas] = ACTIONS(2408),
    [anon_sym__Alignas] = ACTIONS(2408),
    [sym_primitive_type] = ACTIONS(2408),
    [anon_sym_enum] = ACTIONS(2408),
    [anon_sym_struct] = ACTIONS(2408),
    [anon_sym_union] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_else] = ACTIONS(2408),
    [anon_sym_switch] = ACTIONS(2408),
    [anon_sym_case] = ACTIONS(2408),
    [anon_sym_default] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_break] = ACTIONS(2408),
    [anon_sym_continue] = ACTIONS(2408),
    [anon_sym_goto] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_PLUS] = ACTIONS(2410),
    [anon_sym_sizeof] = ACTIONS(2408),
    [anon_sym___alignof__] = ACTIONS(2408),
    [anon_sym___alignof] = ACTIONS(2408),
    [anon_sym__alignof] = ACTIONS(2408),
    [anon_sym_alignof] = ACTIONS(2408),
    [anon_sym__Alignof] = ACTIONS(2408),
    [anon_sym_offsetof] = ACTIONS(2408),
    [anon_sym__Generic] = ACTIONS(2408),
    [anon_sym_asm] = ACTIONS(2408),
    [anon_sym___asm__] = ACTIONS(2408),
    [anon_sym___asm] = ACTIONS(2408),
    [sym_number_literal] = ACTIONS(2410),
    [anon_sym_L_SQUOTE] = ACTIONS(2410),
    [anon_sym_u_SQUOTE] = ACTIONS(2410),
    [anon_sym_U_SQUOTE] = ACTIONS(2410),
    [anon_sym_u8_SQUOTE] = ACTIONS(2410),
    [anon_sym_SQUOTE] = ACTIONS(2410),
    [anon_sym_AT] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_L_DQUOTE] = ACTIONS(2410),
    [anon_sym_u_DQUOTE] = ACTIONS(2410),
    [anon_sym_U_DQUOTE] = ACTIONS(2410),
    [anon_sym_u8_DQUOTE] = ACTIONS(2410),
    [sym_true] = ACTIONS(2408),
    [sym_false] = ACTIONS(2408),
    [anon_sym_NULL] = ACTIONS(2408),
    [anon_sym_nullptr] = ACTIONS(2408),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2408),
    [anon_sym___typeof] = ACTIONS(2408),
    [anon_sym_typeof] = ACTIONS(2408),
    [anon_sym_ATimport] = ACTIONS(2410),
    [aux_sym_preproc_undef_token1] = ACTIONS(2408),
    [anon_sym_POUND] = ACTIONS(2408),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2408),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2408),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2408),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2408),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2408),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2408),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2408),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2408),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2408),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_API_AVAILABLE] = ACTIONS(2408),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_API_DEPRECATED] = ACTIONS(2408),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2408),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2408),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2408),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2408),
    [anon_sym___deprecated_msg] = ACTIONS(2408),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2408),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2408),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2408),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2408),
    [anon_sym_ATprotocol] = ACTIONS(2410),
    [anon_sym_ATinterface] = ACTIONS(2410),
    [anon_sym_ATimplementation] = ACTIONS(2410),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2410),
    [anon_sym_ATselector] = ACTIONS(2410),
    [anon_sym_ATavailable] = ACTIONS(2410),
    [anon_sym___builtin_available] = ACTIONS(2408),
    [anon_sym_va_arg] = ACTIONS(2408),
    [anon_sym_ATencode] = ACTIONS(2410),
    [anon_sym_BOOL] = ACTIONS(2408),
    [anon_sym_IMP] = ACTIONS(2408),
    [anon_sym_SEL] = ACTIONS(2408),
    [anon_sym_Class] = ACTIONS(2408),
    [anon_sym_id] = ACTIONS(2408),
  },
  [985] = {
    [ts_builtin_sym_end] = ACTIONS(2740),
    [sym_identifier] = ACTIONS(2738),
    [aux_sym_preproc_include_token1] = ACTIONS(2738),
    [aux_sym_preproc_include_token2] = ACTIONS(2738),
    [aux_sym_preproc_def_token1] = ACTIONS(2738),
    [aux_sym_preproc_if_token1] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2738),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2738),
    [sym_preproc_directive] = ACTIONS(2738),
    [anon_sym_LPAREN2] = ACTIONS(2740),
    [anon_sym_BANG] = ACTIONS(2740),
    [anon_sym_TILDE] = ACTIONS(2740),
    [anon_sym_DASH] = ACTIONS(2738),
    [anon_sym_PLUS] = ACTIONS(2738),
    [anon_sym_STAR] = ACTIONS(2740),
    [anon_sym_CARET] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym_SEMI] = ACTIONS(2740),
    [anon_sym___extension__] = ACTIONS(2738),
    [anon_sym_typedef] = ACTIONS(2738),
    [anon_sym_extern] = ACTIONS(2738),
    [anon_sym___attribute__] = ACTIONS(2738),
    [anon_sym___attribute] = ACTIONS(2738),
    [anon_sym_noreturn] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym___declspec] = ACTIONS(2738),
    [anon_sym___cdecl] = ACTIONS(2738),
    [anon_sym___clrcall] = ACTIONS(2738),
    [anon_sym___stdcall] = ACTIONS(2738),
    [anon_sym___fastcall] = ACTIONS(2738),
    [anon_sym___thiscall] = ACTIONS(2738),
    [anon_sym___vectorcall] = ACTIONS(2738),
    [anon_sym_LBRACE] = ACTIONS(2740),
    [anon_sym_signed] = ACTIONS(2738),
    [anon_sym_unsigned] = ACTIONS(2738),
    [anon_sym_long] = ACTIONS(2738),
    [anon_sym_short] = ACTIONS(2738),
    [anon_sym_static] = ACTIONS(2738),
    [anon_sym_ATautoreleasepool] = ACTIONS(2740),
    [anon_sym_auto] = ACTIONS(2738),
    [anon_sym_register] = ACTIONS(2738),
    [anon_sym_inline] = ACTIONS(2738),
    [anon_sym___inline] = ACTIONS(2738),
    [anon_sym___inline__] = ACTIONS(2738),
    [anon_sym___forceinline] = ACTIONS(2738),
    [anon_sym_thread_local] = ACTIONS(2738),
    [anon_sym___thread] = ACTIONS(2738),
    [anon_sym_CG_EXTERN] = ACTIONS(2738),
    [anon_sym_CG_INLINE] = ACTIONS(2738),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2738),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2738),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2738),
    [anon_sym_IBOutlet] = ACTIONS(2738),
    [anon_sym_IBInspectable] = ACTIONS(2738),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2738),
    [anon_sym_NS_INLINE] = ACTIONS(2738),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2738),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2738),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2738),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2738),
    [anon_sym_const] = ACTIONS(2738),
    [anon_sym_constexpr] = ACTIONS(2738),
    [anon_sym_volatile] = ACTIONS(2738),
    [anon_sym_restrict] = ACTIONS(2738),
    [anon_sym___restrict__] = ACTIONS(2738),
    [anon_sym__Atomic] = ACTIONS(2738),
    [anon_sym__Noreturn] = ACTIONS(2738),
    [anon_sym__Nonnull] = ACTIONS(2738),
    [anon_sym_nullable] = ACTIONS(2738),
    [anon_sym__Complex] = ACTIONS(2738),
    [anon_sym__Nullable] = ACTIONS(2738),
    [anon_sym__Nullable_result] = ACTIONS(2738),
    [anon_sym__Null_unspecified] = ACTIONS(2738),
    [anon_sym___autoreleasing] = ACTIONS(2738),
    [anon_sym___block] = ACTIONS(2738),
    [anon_sym___bridge] = ACTIONS(2738),
    [anon_sym___bridge_retained] = ACTIONS(2738),
    [anon_sym___bridge_transfer] = ACTIONS(2738),
    [anon_sym___complex] = ACTIONS(2738),
    [anon_sym___const] = ACTIONS(2738),
    [anon_sym___imag] = ACTIONS(2738),
    [anon_sym___kindof] = ACTIONS(2738),
    [anon_sym___nonnull] = ACTIONS(2738),
    [anon_sym___nullable] = ACTIONS(2738),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2738),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2738),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2738),
    [anon_sym___real] = ACTIONS(2738),
    [anon_sym___strong] = ACTIONS(2738),
    [anon_sym___unsafe_unretained] = ACTIONS(2738),
    [anon_sym___unused] = ACTIONS(2738),
    [anon_sym___weak] = ACTIONS(2738),
    [anon_sym_alignas] = ACTIONS(2738),
    [anon_sym__Alignas] = ACTIONS(2738),
    [sym_primitive_type] = ACTIONS(2738),
    [anon_sym_enum] = ACTIONS(2738),
    [anon_sym_struct] = ACTIONS(2738),
    [anon_sym_union] = ACTIONS(2738),
    [anon_sym_if] = ACTIONS(2738),
    [anon_sym_switch] = ACTIONS(2738),
    [anon_sym_case] = ACTIONS(2738),
    [anon_sym_default] = ACTIONS(2738),
    [anon_sym_while] = ACTIONS(2738),
    [anon_sym_do] = ACTIONS(2738),
    [anon_sym_for] = ACTIONS(2738),
    [anon_sym_in] = ACTIONS(2738),
    [anon_sym_return] = ACTIONS(2738),
    [anon_sym_break] = ACTIONS(2738),
    [anon_sym_continue] = ACTIONS(2738),
    [anon_sym_goto] = ACTIONS(2738),
    [anon_sym_DASH_DASH] = ACTIONS(2740),
    [anon_sym_PLUS_PLUS] = ACTIONS(2740),
    [anon_sym_sizeof] = ACTIONS(2738),
    [anon_sym___alignof__] = ACTIONS(2738),
    [anon_sym___alignof] = ACTIONS(2738),
    [anon_sym__alignof] = ACTIONS(2738),
    [anon_sym_alignof] = ACTIONS(2738),
    [anon_sym__Alignof] = ACTIONS(2738),
    [anon_sym_offsetof] = ACTIONS(2738),
    [anon_sym__Generic] = ACTIONS(2738),
    [anon_sym_asm] = ACTIONS(2738),
    [anon_sym___asm__] = ACTIONS(2738),
    [anon_sym___asm] = ACTIONS(2738),
    [sym_number_literal] = ACTIONS(2740),
    [anon_sym_L_SQUOTE] = ACTIONS(2740),
    [anon_sym_u_SQUOTE] = ACTIONS(2740),
    [anon_sym_U_SQUOTE] = ACTIONS(2740),
    [anon_sym_u8_SQUOTE] = ACTIONS(2740),
    [anon_sym_SQUOTE] = ACTIONS(2740),
    [anon_sym_AT] = ACTIONS(2738),
    [anon_sym_DQUOTE] = ACTIONS(2740),
    [anon_sym_L_DQUOTE] = ACTIONS(2740),
    [anon_sym_u_DQUOTE] = ACTIONS(2740),
    [anon_sym_U_DQUOTE] = ACTIONS(2740),
    [anon_sym_u8_DQUOTE] = ACTIONS(2740),
    [sym_true] = ACTIONS(2738),
    [sym_false] = ACTIONS(2738),
    [anon_sym_NULL] = ACTIONS(2738),
    [anon_sym_nullptr] = ACTIONS(2738),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2738),
    [anon_sym___typeof] = ACTIONS(2738),
    [anon_sym_typeof] = ACTIONS(2738),
    [anon_sym_ATimport] = ACTIONS(2740),
    [aux_sym_preproc_undef_token1] = ACTIONS(2738),
    [anon_sym_POUND] = ACTIONS(2738),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2738),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2738),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2738),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2738),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2738),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2738),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2738),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2738),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2738),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2738),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2738),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2738),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2738),
    [anon_sym_API_AVAILABLE] = ACTIONS(2738),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2738),
    [anon_sym_API_DEPRECATED] = ACTIONS(2738),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2738),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2738),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2738),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2738),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2738),
    [anon_sym___deprecated_msg] = ACTIONS(2738),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2738),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2738),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2738),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2738),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2738),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2738),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2738),
    [anon_sym_ATprotocol] = ACTIONS(2740),
    [anon_sym_ATinterface] = ACTIONS(2740),
    [anon_sym_ATimplementation] = ACTIONS(2740),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2740),
    [anon_sym_ATselector] = ACTIONS(2740),
    [anon_sym_ATavailable] = ACTIONS(2740),
    [anon_sym___builtin_available] = ACTIONS(2738),
    [anon_sym_va_arg] = ACTIONS(2738),
    [anon_sym_ATencode] = ACTIONS(2740),
    [anon_sym_BOOL] = ACTIONS(2738),
    [anon_sym_IMP] = ACTIONS(2738),
    [anon_sym_SEL] = ACTIONS(2738),
    [anon_sym_Class] = ACTIONS(2738),
    [anon_sym_id] = ACTIONS(2738),
  },
  [986] = {
    [sym_ms_declspec_modifier] = STATE(6770),
    [sym_expression] = STATE(4380),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_typedef] = ACTIONS(2930),
    [anon_sym_extern] = ACTIONS(2922),
    [anon_sym___attribute__] = ACTIONS(2922),
    [anon_sym___attribute] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_static] = ACTIONS(2922),
    [anon_sym_auto] = ACTIONS(2922),
    [anon_sym_register] = ACTIONS(2922),
    [anon_sym_inline] = ACTIONS(2922),
    [anon_sym___inline] = ACTIONS(2922),
    [anon_sym___inline__] = ACTIONS(2922),
    [anon_sym___forceinline] = ACTIONS(2922),
    [anon_sym_thread_local] = ACTIONS(2922),
    [anon_sym___thread] = ACTIONS(2922),
    [anon_sym_CG_EXTERN] = ACTIONS(2922),
    [anon_sym_CG_INLINE] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2922),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2922),
    [anon_sym_IBOutlet] = ACTIONS(2922),
    [anon_sym_IBInspectable] = ACTIONS(2922),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2922),
    [anon_sym_NS_INLINE] = ACTIONS(2922),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2922),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2922),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_union] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2922),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2922),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2922),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_API_AVAILABLE] = ACTIONS(2922),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_API_DEPRECATED] = ACTIONS(2922),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym___deprecated_msg] = ACTIONS(2922),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2922),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(203),
  },
  [987] = {
    [ts_builtin_sym_end] = ACTIONS(2776),
    [sym_identifier] = ACTIONS(2774),
    [aux_sym_preproc_include_token1] = ACTIONS(2774),
    [aux_sym_preproc_include_token2] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2774),
    [sym_preproc_directive] = ACTIONS(2774),
    [anon_sym_LPAREN2] = ACTIONS(2776),
    [anon_sym_BANG] = ACTIONS(2776),
    [anon_sym_TILDE] = ACTIONS(2776),
    [anon_sym_DASH] = ACTIONS(2774),
    [anon_sym_PLUS] = ACTIONS(2774),
    [anon_sym_STAR] = ACTIONS(2776),
    [anon_sym_CARET] = ACTIONS(2776),
    [anon_sym_AMP] = ACTIONS(2776),
    [anon_sym_SEMI] = ACTIONS(2776),
    [anon_sym___extension__] = ACTIONS(2774),
    [anon_sym_typedef] = ACTIONS(2774),
    [anon_sym_extern] = ACTIONS(2774),
    [anon_sym___attribute__] = ACTIONS(2774),
    [anon_sym___attribute] = ACTIONS(2774),
    [anon_sym_noreturn] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2776),
    [anon_sym___declspec] = ACTIONS(2774),
    [anon_sym___cdecl] = ACTIONS(2774),
    [anon_sym___clrcall] = ACTIONS(2774),
    [anon_sym___stdcall] = ACTIONS(2774),
    [anon_sym___fastcall] = ACTIONS(2774),
    [anon_sym___thiscall] = ACTIONS(2774),
    [anon_sym___vectorcall] = ACTIONS(2774),
    [anon_sym_LBRACE] = ACTIONS(2776),
    [anon_sym_signed] = ACTIONS(2774),
    [anon_sym_unsigned] = ACTIONS(2774),
    [anon_sym_long] = ACTIONS(2774),
    [anon_sym_short] = ACTIONS(2774),
    [anon_sym_static] = ACTIONS(2774),
    [anon_sym_ATautoreleasepool] = ACTIONS(2776),
    [anon_sym_auto] = ACTIONS(2774),
    [anon_sym_register] = ACTIONS(2774),
    [anon_sym_inline] = ACTIONS(2774),
    [anon_sym___inline] = ACTIONS(2774),
    [anon_sym___inline__] = ACTIONS(2774),
    [anon_sym___forceinline] = ACTIONS(2774),
    [anon_sym_thread_local] = ACTIONS(2774),
    [anon_sym___thread] = ACTIONS(2774),
    [anon_sym_CG_EXTERN] = ACTIONS(2774),
    [anon_sym_CG_INLINE] = ACTIONS(2774),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2774),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2774),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2774),
    [anon_sym_IBOutlet] = ACTIONS(2774),
    [anon_sym_IBInspectable] = ACTIONS(2774),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2774),
    [anon_sym_NS_INLINE] = ACTIONS(2774),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2774),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2774),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2774),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2774),
    [anon_sym_const] = ACTIONS(2774),
    [anon_sym_constexpr] = ACTIONS(2774),
    [anon_sym_volatile] = ACTIONS(2774),
    [anon_sym_restrict] = ACTIONS(2774),
    [anon_sym___restrict__] = ACTIONS(2774),
    [anon_sym__Atomic] = ACTIONS(2774),
    [anon_sym__Noreturn] = ACTIONS(2774),
    [anon_sym__Nonnull] = ACTIONS(2774),
    [anon_sym_nullable] = ACTIONS(2774),
    [anon_sym__Complex] = ACTIONS(2774),
    [anon_sym__Nullable] = ACTIONS(2774),
    [anon_sym__Nullable_result] = ACTIONS(2774),
    [anon_sym__Null_unspecified] = ACTIONS(2774),
    [anon_sym___autoreleasing] = ACTIONS(2774),
    [anon_sym___block] = ACTIONS(2774),
    [anon_sym___bridge] = ACTIONS(2774),
    [anon_sym___bridge_retained] = ACTIONS(2774),
    [anon_sym___bridge_transfer] = ACTIONS(2774),
    [anon_sym___complex] = ACTIONS(2774),
    [anon_sym___const] = ACTIONS(2774),
    [anon_sym___imag] = ACTIONS(2774),
    [anon_sym___kindof] = ACTIONS(2774),
    [anon_sym___nonnull] = ACTIONS(2774),
    [anon_sym___nullable] = ACTIONS(2774),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2774),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2774),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2774),
    [anon_sym___real] = ACTIONS(2774),
    [anon_sym___strong] = ACTIONS(2774),
    [anon_sym___unsafe_unretained] = ACTIONS(2774),
    [anon_sym___unused] = ACTIONS(2774),
    [anon_sym___weak] = ACTIONS(2774),
    [anon_sym_alignas] = ACTIONS(2774),
    [anon_sym__Alignas] = ACTIONS(2774),
    [sym_primitive_type] = ACTIONS(2774),
    [anon_sym_enum] = ACTIONS(2774),
    [anon_sym_struct] = ACTIONS(2774),
    [anon_sym_union] = ACTIONS(2774),
    [anon_sym_if] = ACTIONS(2774),
    [anon_sym_switch] = ACTIONS(2774),
    [anon_sym_case] = ACTIONS(2774),
    [anon_sym_default] = ACTIONS(2774),
    [anon_sym_while] = ACTIONS(2774),
    [anon_sym_do] = ACTIONS(2774),
    [anon_sym_for] = ACTIONS(2774),
    [anon_sym_in] = ACTIONS(2774),
    [anon_sym_return] = ACTIONS(2774),
    [anon_sym_break] = ACTIONS(2774),
    [anon_sym_continue] = ACTIONS(2774),
    [anon_sym_goto] = ACTIONS(2774),
    [anon_sym_DASH_DASH] = ACTIONS(2776),
    [anon_sym_PLUS_PLUS] = ACTIONS(2776),
    [anon_sym_sizeof] = ACTIONS(2774),
    [anon_sym___alignof__] = ACTIONS(2774),
    [anon_sym___alignof] = ACTIONS(2774),
    [anon_sym__alignof] = ACTIONS(2774),
    [anon_sym_alignof] = ACTIONS(2774),
    [anon_sym__Alignof] = ACTIONS(2774),
    [anon_sym_offsetof] = ACTIONS(2774),
    [anon_sym__Generic] = ACTIONS(2774),
    [anon_sym_asm] = ACTIONS(2774),
    [anon_sym___asm__] = ACTIONS(2774),
    [anon_sym___asm] = ACTIONS(2774),
    [sym_number_literal] = ACTIONS(2776),
    [anon_sym_L_SQUOTE] = ACTIONS(2776),
    [anon_sym_u_SQUOTE] = ACTIONS(2776),
    [anon_sym_U_SQUOTE] = ACTIONS(2776),
    [anon_sym_u8_SQUOTE] = ACTIONS(2776),
    [anon_sym_SQUOTE] = ACTIONS(2776),
    [anon_sym_AT] = ACTIONS(2774),
    [anon_sym_DQUOTE] = ACTIONS(2776),
    [anon_sym_L_DQUOTE] = ACTIONS(2776),
    [anon_sym_u_DQUOTE] = ACTIONS(2776),
    [anon_sym_U_DQUOTE] = ACTIONS(2776),
    [anon_sym_u8_DQUOTE] = ACTIONS(2776),
    [sym_true] = ACTIONS(2774),
    [sym_false] = ACTIONS(2774),
    [anon_sym_NULL] = ACTIONS(2774),
    [anon_sym_nullptr] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2774),
    [anon_sym___typeof] = ACTIONS(2774),
    [anon_sym_typeof] = ACTIONS(2774),
    [anon_sym_ATimport] = ACTIONS(2776),
    [aux_sym_preproc_undef_token1] = ACTIONS(2774),
    [anon_sym_POUND] = ACTIONS(2774),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2774),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2774),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2774),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2774),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2774),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2774),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2774),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2774),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2774),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_API_AVAILABLE] = ACTIONS(2774),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_API_DEPRECATED] = ACTIONS(2774),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2774),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2774),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2774),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2774),
    [anon_sym___deprecated_msg] = ACTIONS(2774),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2774),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2774),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2774),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2774),
    [anon_sym_ATprotocol] = ACTIONS(2776),
    [anon_sym_ATinterface] = ACTIONS(2776),
    [anon_sym_ATimplementation] = ACTIONS(2776),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2776),
    [anon_sym_ATselector] = ACTIONS(2776),
    [anon_sym_ATavailable] = ACTIONS(2776),
    [anon_sym___builtin_available] = ACTIONS(2774),
    [anon_sym_va_arg] = ACTIONS(2774),
    [anon_sym_ATencode] = ACTIONS(2776),
    [anon_sym_BOOL] = ACTIONS(2774),
    [anon_sym_IMP] = ACTIONS(2774),
    [anon_sym_SEL] = ACTIONS(2774),
    [anon_sym_Class] = ACTIONS(2774),
    [anon_sym_id] = ACTIONS(2774),
  },
  [988] = {
    [ts_builtin_sym_end] = ACTIONS(2800),
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_include_token1] = ACTIONS(2798),
    [aux_sym_preproc_include_token2] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_LPAREN2] = ACTIONS(2800),
    [anon_sym_BANG] = ACTIONS(2800),
    [anon_sym_TILDE] = ACTIONS(2800),
    [anon_sym_DASH] = ACTIONS(2798),
    [anon_sym_PLUS] = ACTIONS(2798),
    [anon_sym_STAR] = ACTIONS(2800),
    [anon_sym_CARET] = ACTIONS(2800),
    [anon_sym_AMP] = ACTIONS(2800),
    [anon_sym_SEMI] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym___attribute] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_LBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_ATautoreleasepool] = ACTIONS(2800),
    [anon_sym_auto] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_CG_EXTERN] = ACTIONS(2798),
    [anon_sym_CG_INLINE] = ACTIONS(2798),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2798),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2798),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2798),
    [anon_sym_IBOutlet] = ACTIONS(2798),
    [anon_sym_IBInspectable] = ACTIONS(2798),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2798),
    [anon_sym_NS_INLINE] = ACTIONS(2798),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2798),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2798),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2798),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_nullable] = ACTIONS(2798),
    [anon_sym__Complex] = ACTIONS(2798),
    [anon_sym__Nullable] = ACTIONS(2798),
    [anon_sym__Nullable_result] = ACTIONS(2798),
    [anon_sym__Null_unspecified] = ACTIONS(2798),
    [anon_sym___autoreleasing] = ACTIONS(2798),
    [anon_sym___block] = ACTIONS(2798),
    [anon_sym___bridge] = ACTIONS(2798),
    [anon_sym___bridge_retained] = ACTIONS(2798),
    [anon_sym___bridge_transfer] = ACTIONS(2798),
    [anon_sym___complex] = ACTIONS(2798),
    [anon_sym___const] = ACTIONS(2798),
    [anon_sym___imag] = ACTIONS(2798),
    [anon_sym___kindof] = ACTIONS(2798),
    [anon_sym___nonnull] = ACTIONS(2798),
    [anon_sym___nullable] = ACTIONS(2798),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2798),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2798),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2798),
    [anon_sym___real] = ACTIONS(2798),
    [anon_sym___strong] = ACTIONS(2798),
    [anon_sym___unsafe_unretained] = ACTIONS(2798),
    [anon_sym___unused] = ACTIONS(2798),
    [anon_sym___weak] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [anon_sym_if] = ACTIONS(2798),
    [anon_sym_switch] = ACTIONS(2798),
    [anon_sym_case] = ACTIONS(2798),
    [anon_sym_default] = ACTIONS(2798),
    [anon_sym_while] = ACTIONS(2798),
    [anon_sym_do] = ACTIONS(2798),
    [anon_sym_for] = ACTIONS(2798),
    [anon_sym_in] = ACTIONS(2798),
    [anon_sym_return] = ACTIONS(2798),
    [anon_sym_break] = ACTIONS(2798),
    [anon_sym_continue] = ACTIONS(2798),
    [anon_sym_goto] = ACTIONS(2798),
    [anon_sym_DASH_DASH] = ACTIONS(2800),
    [anon_sym_PLUS_PLUS] = ACTIONS(2800),
    [anon_sym_sizeof] = ACTIONS(2798),
    [anon_sym___alignof__] = ACTIONS(2798),
    [anon_sym___alignof] = ACTIONS(2798),
    [anon_sym__alignof] = ACTIONS(2798),
    [anon_sym_alignof] = ACTIONS(2798),
    [anon_sym__Alignof] = ACTIONS(2798),
    [anon_sym_offsetof] = ACTIONS(2798),
    [anon_sym__Generic] = ACTIONS(2798),
    [anon_sym_asm] = ACTIONS(2798),
    [anon_sym___asm__] = ACTIONS(2798),
    [anon_sym___asm] = ACTIONS(2798),
    [sym_number_literal] = ACTIONS(2800),
    [anon_sym_L_SQUOTE] = ACTIONS(2800),
    [anon_sym_u_SQUOTE] = ACTIONS(2800),
    [anon_sym_U_SQUOTE] = ACTIONS(2800),
    [anon_sym_u8_SQUOTE] = ACTIONS(2800),
    [anon_sym_SQUOTE] = ACTIONS(2800),
    [anon_sym_AT] = ACTIONS(2798),
    [anon_sym_DQUOTE] = ACTIONS(2800),
    [anon_sym_L_DQUOTE] = ACTIONS(2800),
    [anon_sym_u_DQUOTE] = ACTIONS(2800),
    [anon_sym_U_DQUOTE] = ACTIONS(2800),
    [anon_sym_u8_DQUOTE] = ACTIONS(2800),
    [sym_true] = ACTIONS(2798),
    [sym_false] = ACTIONS(2798),
    [anon_sym_NULL] = ACTIONS(2798),
    [anon_sym_nullptr] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2798),
    [anon_sym___typeof] = ACTIONS(2798),
    [anon_sym_typeof] = ACTIONS(2798),
    [anon_sym_ATimport] = ACTIONS(2800),
    [aux_sym_preproc_undef_token1] = ACTIONS(2798),
    [anon_sym_POUND] = ACTIONS(2798),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2798),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2798),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2798),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2798),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2798),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2798),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2798),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2798),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_API_AVAILABLE] = ACTIONS(2798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_API_DEPRECATED] = ACTIONS(2798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2798),
    [anon_sym___deprecated_msg] = ACTIONS(2798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2798),
    [anon_sym_ATprotocol] = ACTIONS(2800),
    [anon_sym_ATinterface] = ACTIONS(2800),
    [anon_sym_ATimplementation] = ACTIONS(2800),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2800),
    [anon_sym_ATselector] = ACTIONS(2800),
    [anon_sym_ATavailable] = ACTIONS(2800),
    [anon_sym___builtin_available] = ACTIONS(2798),
    [anon_sym_va_arg] = ACTIONS(2798),
    [anon_sym_ATencode] = ACTIONS(2800),
    [anon_sym_BOOL] = ACTIONS(2798),
    [anon_sym_IMP] = ACTIONS(2798),
    [anon_sym_SEL] = ACTIONS(2798),
    [anon_sym_Class] = ACTIONS(2798),
    [anon_sym_id] = ACTIONS(2798),
  },
  [989] = {
    [ts_builtin_sym_end] = ACTIONS(2850),
    [sym_identifier] = ACTIONS(2848),
    [aux_sym_preproc_include_token1] = ACTIONS(2848),
    [aux_sym_preproc_include_token2] = ACTIONS(2848),
    [aux_sym_preproc_def_token1] = ACTIONS(2848),
    [aux_sym_preproc_if_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2848),
    [sym_preproc_directive] = ACTIONS(2848),
    [anon_sym_LPAREN2] = ACTIONS(2850),
    [anon_sym_BANG] = ACTIONS(2850),
    [anon_sym_TILDE] = ACTIONS(2850),
    [anon_sym_DASH] = ACTIONS(2848),
    [anon_sym_PLUS] = ACTIONS(2848),
    [anon_sym_STAR] = ACTIONS(2850),
    [anon_sym_CARET] = ACTIONS(2850),
    [anon_sym_AMP] = ACTIONS(2850),
    [anon_sym_SEMI] = ACTIONS(2850),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym_typedef] = ACTIONS(2848),
    [anon_sym_extern] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym___attribute] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym___declspec] = ACTIONS(2848),
    [anon_sym___cdecl] = ACTIONS(2848),
    [anon_sym___clrcall] = ACTIONS(2848),
    [anon_sym___stdcall] = ACTIONS(2848),
    [anon_sym___fastcall] = ACTIONS(2848),
    [anon_sym___thiscall] = ACTIONS(2848),
    [anon_sym___vectorcall] = ACTIONS(2848),
    [anon_sym_LBRACE] = ACTIONS(2850),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_static] = ACTIONS(2848),
    [anon_sym_ATautoreleasepool] = ACTIONS(2850),
    [anon_sym_auto] = ACTIONS(2848),
    [anon_sym_register] = ACTIONS(2848),
    [anon_sym_inline] = ACTIONS(2848),
    [anon_sym___inline] = ACTIONS(2848),
    [anon_sym___inline__] = ACTIONS(2848),
    [anon_sym___forceinline] = ACTIONS(2848),
    [anon_sym_thread_local] = ACTIONS(2848),
    [anon_sym___thread] = ACTIONS(2848),
    [anon_sym_CG_EXTERN] = ACTIONS(2848),
    [anon_sym_CG_INLINE] = ACTIONS(2848),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2848),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2848),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2848),
    [anon_sym_IBOutlet] = ACTIONS(2848),
    [anon_sym_IBInspectable] = ACTIONS(2848),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2848),
    [anon_sym_NS_INLINE] = ACTIONS(2848),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2848),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2848),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2848),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym__Nonnull] = ACTIONS(2848),
    [anon_sym_nullable] = ACTIONS(2848),
    [anon_sym__Complex] = ACTIONS(2848),
    [anon_sym__Nullable] = ACTIONS(2848),
    [anon_sym__Nullable_result] = ACTIONS(2848),
    [anon_sym__Null_unspecified] = ACTIONS(2848),
    [anon_sym___autoreleasing] = ACTIONS(2848),
    [anon_sym___block] = ACTIONS(2848),
    [anon_sym___bridge] = ACTIONS(2848),
    [anon_sym___bridge_retained] = ACTIONS(2848),
    [anon_sym___bridge_transfer] = ACTIONS(2848),
    [anon_sym___complex] = ACTIONS(2848),
    [anon_sym___const] = ACTIONS(2848),
    [anon_sym___imag] = ACTIONS(2848),
    [anon_sym___kindof] = ACTIONS(2848),
    [anon_sym___nonnull] = ACTIONS(2848),
    [anon_sym___nullable] = ACTIONS(2848),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2848),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2848),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2848),
    [anon_sym___real] = ACTIONS(2848),
    [anon_sym___strong] = ACTIONS(2848),
    [anon_sym___unsafe_unretained] = ACTIONS(2848),
    [anon_sym___unused] = ACTIONS(2848),
    [anon_sym___weak] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym__Alignas] = ACTIONS(2848),
    [sym_primitive_type] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [anon_sym_if] = ACTIONS(2848),
    [anon_sym_switch] = ACTIONS(2848),
    [anon_sym_case] = ACTIONS(2848),
    [anon_sym_default] = ACTIONS(2848),
    [anon_sym_while] = ACTIONS(2848),
    [anon_sym_do] = ACTIONS(2848),
    [anon_sym_for] = ACTIONS(2848),
    [anon_sym_in] = ACTIONS(2848),
    [anon_sym_return] = ACTIONS(2848),
    [anon_sym_break] = ACTIONS(2848),
    [anon_sym_continue] = ACTIONS(2848),
    [anon_sym_goto] = ACTIONS(2848),
    [anon_sym_DASH_DASH] = ACTIONS(2850),
    [anon_sym_PLUS_PLUS] = ACTIONS(2850),
    [anon_sym_sizeof] = ACTIONS(2848),
    [anon_sym___alignof__] = ACTIONS(2848),
    [anon_sym___alignof] = ACTIONS(2848),
    [anon_sym__alignof] = ACTIONS(2848),
    [anon_sym_alignof] = ACTIONS(2848),
    [anon_sym__Alignof] = ACTIONS(2848),
    [anon_sym_offsetof] = ACTIONS(2848),
    [anon_sym__Generic] = ACTIONS(2848),
    [anon_sym_asm] = ACTIONS(2848),
    [anon_sym___asm__] = ACTIONS(2848),
    [anon_sym___asm] = ACTIONS(2848),
    [sym_number_literal] = ACTIONS(2850),
    [anon_sym_L_SQUOTE] = ACTIONS(2850),
    [anon_sym_u_SQUOTE] = ACTIONS(2850),
    [anon_sym_U_SQUOTE] = ACTIONS(2850),
    [anon_sym_u8_SQUOTE] = ACTIONS(2850),
    [anon_sym_SQUOTE] = ACTIONS(2850),
    [anon_sym_AT] = ACTIONS(2848),
    [anon_sym_DQUOTE] = ACTIONS(2850),
    [anon_sym_L_DQUOTE] = ACTIONS(2850),
    [anon_sym_u_DQUOTE] = ACTIONS(2850),
    [anon_sym_U_DQUOTE] = ACTIONS(2850),
    [anon_sym_u8_DQUOTE] = ACTIONS(2850),
    [sym_true] = ACTIONS(2848),
    [sym_false] = ACTIONS(2848),
    [anon_sym_NULL] = ACTIONS(2848),
    [anon_sym_nullptr] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2848),
    [anon_sym___typeof] = ACTIONS(2848),
    [anon_sym_typeof] = ACTIONS(2848),
    [anon_sym_ATimport] = ACTIONS(2850),
    [aux_sym_preproc_undef_token1] = ACTIONS(2848),
    [anon_sym_POUND] = ACTIONS(2848),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2848),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2848),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2848),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2848),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2848),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2848),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2848),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2848),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2848),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2848),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2848),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2848),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2848),
    [anon_sym_API_AVAILABLE] = ACTIONS(2848),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2848),
    [anon_sym_API_DEPRECATED] = ACTIONS(2848),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2848),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2848),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2848),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2848),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2848),
    [anon_sym___deprecated_msg] = ACTIONS(2848),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2848),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2848),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2848),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2848),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2848),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2848),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2848),
    [anon_sym_ATprotocol] = ACTIONS(2850),
    [anon_sym_ATinterface] = ACTIONS(2850),
    [anon_sym_ATimplementation] = ACTIONS(2850),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2850),
    [anon_sym_ATselector] = ACTIONS(2850),
    [anon_sym_ATavailable] = ACTIONS(2850),
    [anon_sym___builtin_available] = ACTIONS(2848),
    [anon_sym_va_arg] = ACTIONS(2848),
    [anon_sym_ATencode] = ACTIONS(2850),
    [anon_sym_BOOL] = ACTIONS(2848),
    [anon_sym_IMP] = ACTIONS(2848),
    [anon_sym_SEL] = ACTIONS(2848),
    [anon_sym_Class] = ACTIONS(2848),
    [anon_sym_id] = ACTIONS(2848),
  },
  [990] = {
    [ts_builtin_sym_end] = ACTIONS(2940),
    [sym_identifier] = ACTIONS(2942),
    [aux_sym_preproc_include_token1] = ACTIONS(2942),
    [aux_sym_preproc_include_token2] = ACTIONS(2942),
    [aux_sym_preproc_def_token1] = ACTIONS(2942),
    [aux_sym_preproc_if_token1] = ACTIONS(2942),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2942),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2942),
    [sym_preproc_directive] = ACTIONS(2942),
    [anon_sym_LPAREN2] = ACTIONS(2940),
    [anon_sym_BANG] = ACTIONS(2940),
    [anon_sym_TILDE] = ACTIONS(2940),
    [anon_sym_DASH] = ACTIONS(2942),
    [anon_sym_PLUS] = ACTIONS(2942),
    [anon_sym_STAR] = ACTIONS(2940),
    [anon_sym_CARET] = ACTIONS(2940),
    [anon_sym_AMP] = ACTIONS(2940),
    [anon_sym_SEMI] = ACTIONS(2940),
    [anon_sym___extension__] = ACTIONS(2942),
    [anon_sym_typedef] = ACTIONS(2942),
    [anon_sym_extern] = ACTIONS(2942),
    [anon_sym___attribute__] = ACTIONS(2942),
    [anon_sym___attribute] = ACTIONS(2942),
    [anon_sym_noreturn] = ACTIONS(2942),
    [anon_sym_LBRACK] = ACTIONS(2940),
    [anon_sym___declspec] = ACTIONS(2942),
    [anon_sym___cdecl] = ACTIONS(2942),
    [anon_sym___clrcall] = ACTIONS(2942),
    [anon_sym___stdcall] = ACTIONS(2942),
    [anon_sym___fastcall] = ACTIONS(2942),
    [anon_sym___thiscall] = ACTIONS(2942),
    [anon_sym___vectorcall] = ACTIONS(2942),
    [anon_sym_LBRACE] = ACTIONS(2940),
    [anon_sym_signed] = ACTIONS(2942),
    [anon_sym_unsigned] = ACTIONS(2942),
    [anon_sym_long] = ACTIONS(2942),
    [anon_sym_short] = ACTIONS(2942),
    [anon_sym_static] = ACTIONS(2942),
    [anon_sym_ATautoreleasepool] = ACTIONS(2940),
    [anon_sym_auto] = ACTIONS(2942),
    [anon_sym_register] = ACTIONS(2942),
    [anon_sym_inline] = ACTIONS(2942),
    [anon_sym___inline] = ACTIONS(2942),
    [anon_sym___inline__] = ACTIONS(2942),
    [anon_sym___forceinline] = ACTIONS(2942),
    [anon_sym_thread_local] = ACTIONS(2942),
    [anon_sym___thread] = ACTIONS(2942),
    [anon_sym_CG_EXTERN] = ACTIONS(2942),
    [anon_sym_CG_INLINE] = ACTIONS(2942),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2942),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2942),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2942),
    [anon_sym_IBOutlet] = ACTIONS(2942),
    [anon_sym_IBInspectable] = ACTIONS(2942),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2942),
    [anon_sym_NS_INLINE] = ACTIONS(2942),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2942),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2942),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2942),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2942),
    [anon_sym_const] = ACTIONS(2942),
    [anon_sym_constexpr] = ACTIONS(2942),
    [anon_sym_volatile] = ACTIONS(2942),
    [anon_sym_restrict] = ACTIONS(2942),
    [anon_sym___restrict__] = ACTIONS(2942),
    [anon_sym__Atomic] = ACTIONS(2942),
    [anon_sym__Noreturn] = ACTIONS(2942),
    [anon_sym__Nonnull] = ACTIONS(2942),
    [anon_sym_nullable] = ACTIONS(2942),
    [anon_sym__Complex] = ACTIONS(2942),
    [anon_sym__Nullable] = ACTIONS(2942),
    [anon_sym__Nullable_result] = ACTIONS(2942),
    [anon_sym__Null_unspecified] = ACTIONS(2942),
    [anon_sym___autoreleasing] = ACTIONS(2942),
    [anon_sym___block] = ACTIONS(2942),
    [anon_sym___bridge] = ACTIONS(2942),
    [anon_sym___bridge_retained] = ACTIONS(2942),
    [anon_sym___bridge_transfer] = ACTIONS(2942),
    [anon_sym___complex] = ACTIONS(2942),
    [anon_sym___const] = ACTIONS(2942),
    [anon_sym___imag] = ACTIONS(2942),
    [anon_sym___kindof] = ACTIONS(2942),
    [anon_sym___nonnull] = ACTIONS(2942),
    [anon_sym___nullable] = ACTIONS(2942),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2942),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2942),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2942),
    [anon_sym___real] = ACTIONS(2942),
    [anon_sym___strong] = ACTIONS(2942),
    [anon_sym___unsafe_unretained] = ACTIONS(2942),
    [anon_sym___unused] = ACTIONS(2942),
    [anon_sym___weak] = ACTIONS(2942),
    [anon_sym_alignas] = ACTIONS(2942),
    [anon_sym__Alignas] = ACTIONS(2942),
    [sym_primitive_type] = ACTIONS(2942),
    [anon_sym_enum] = ACTIONS(2942),
    [anon_sym_struct] = ACTIONS(2942),
    [anon_sym_union] = ACTIONS(2942),
    [anon_sym_if] = ACTIONS(2942),
    [anon_sym_switch] = ACTIONS(2942),
    [anon_sym_case] = ACTIONS(2942),
    [anon_sym_default] = ACTIONS(2942),
    [anon_sym_while] = ACTIONS(2942),
    [anon_sym_do] = ACTIONS(2942),
    [anon_sym_for] = ACTIONS(2942),
    [anon_sym_in] = ACTIONS(2942),
    [anon_sym_return] = ACTIONS(2942),
    [anon_sym_break] = ACTIONS(2942),
    [anon_sym_continue] = ACTIONS(2942),
    [anon_sym_goto] = ACTIONS(2942),
    [anon_sym_DASH_DASH] = ACTIONS(2940),
    [anon_sym_PLUS_PLUS] = ACTIONS(2940),
    [anon_sym_sizeof] = ACTIONS(2942),
    [anon_sym___alignof__] = ACTIONS(2942),
    [anon_sym___alignof] = ACTIONS(2942),
    [anon_sym__alignof] = ACTIONS(2942),
    [anon_sym_alignof] = ACTIONS(2942),
    [anon_sym__Alignof] = ACTIONS(2942),
    [anon_sym_offsetof] = ACTIONS(2942),
    [anon_sym__Generic] = ACTIONS(2942),
    [anon_sym_asm] = ACTIONS(2942),
    [anon_sym___asm__] = ACTIONS(2942),
    [anon_sym___asm] = ACTIONS(2942),
    [sym_number_literal] = ACTIONS(2940),
    [anon_sym_L_SQUOTE] = ACTIONS(2940),
    [anon_sym_u_SQUOTE] = ACTIONS(2940),
    [anon_sym_U_SQUOTE] = ACTIONS(2940),
    [anon_sym_u8_SQUOTE] = ACTIONS(2940),
    [anon_sym_SQUOTE] = ACTIONS(2940),
    [anon_sym_AT] = ACTIONS(2942),
    [anon_sym_DQUOTE] = ACTIONS(2940),
    [anon_sym_L_DQUOTE] = ACTIONS(2940),
    [anon_sym_u_DQUOTE] = ACTIONS(2940),
    [anon_sym_U_DQUOTE] = ACTIONS(2940),
    [anon_sym_u8_DQUOTE] = ACTIONS(2940),
    [sym_true] = ACTIONS(2942),
    [sym_false] = ACTIONS(2942),
    [anon_sym_NULL] = ACTIONS(2942),
    [anon_sym_nullptr] = ACTIONS(2942),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2942),
    [anon_sym___typeof] = ACTIONS(2942),
    [anon_sym_typeof] = ACTIONS(2942),
    [anon_sym_ATimport] = ACTIONS(2940),
    [aux_sym_preproc_undef_token1] = ACTIONS(2942),
    [anon_sym_POUND] = ACTIONS(2942),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2942),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2942),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2942),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2942),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2942),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2942),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2942),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2942),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2942),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2942),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2942),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2942),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2942),
    [anon_sym_API_AVAILABLE] = ACTIONS(2942),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2942),
    [anon_sym_API_DEPRECATED] = ACTIONS(2942),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2942),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2942),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2942),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2942),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2942),
    [anon_sym___deprecated_msg] = ACTIONS(2942),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2942),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2942),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2942),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2942),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2942),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2942),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2942),
    [anon_sym_ATprotocol] = ACTIONS(2940),
    [anon_sym_ATinterface] = ACTIONS(2940),
    [anon_sym_ATimplementation] = ACTIONS(2940),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2940),
    [anon_sym_ATselector] = ACTIONS(2940),
    [anon_sym_ATavailable] = ACTIONS(2940),
    [anon_sym___builtin_available] = ACTIONS(2942),
    [anon_sym_va_arg] = ACTIONS(2942),
    [anon_sym_ATencode] = ACTIONS(2940),
    [anon_sym_BOOL] = ACTIONS(2942),
    [anon_sym_IMP] = ACTIONS(2942),
    [anon_sym_SEL] = ACTIONS(2942),
    [anon_sym_Class] = ACTIONS(2942),
    [anon_sym_id] = ACTIONS(2942),
  },
  [991] = {
    [ts_builtin_sym_end] = ACTIONS(2804),
    [sym_identifier] = ACTIONS(2802),
    [aux_sym_preproc_include_token1] = ACTIONS(2802),
    [aux_sym_preproc_include_token2] = ACTIONS(2802),
    [aux_sym_preproc_def_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2802),
    [sym_preproc_directive] = ACTIONS(2802),
    [anon_sym_LPAREN2] = ACTIONS(2804),
    [anon_sym_BANG] = ACTIONS(2804),
    [anon_sym_TILDE] = ACTIONS(2804),
    [anon_sym_DASH] = ACTIONS(2802),
    [anon_sym_PLUS] = ACTIONS(2802),
    [anon_sym_STAR] = ACTIONS(2804),
    [anon_sym_CARET] = ACTIONS(2804),
    [anon_sym_AMP] = ACTIONS(2804),
    [anon_sym_SEMI] = ACTIONS(2804),
    [anon_sym___extension__] = ACTIONS(2802),
    [anon_sym_typedef] = ACTIONS(2802),
    [anon_sym_extern] = ACTIONS(2802),
    [anon_sym___attribute__] = ACTIONS(2802),
    [anon_sym___attribute] = ACTIONS(2802),
    [anon_sym_noreturn] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(2804),
    [anon_sym___declspec] = ACTIONS(2802),
    [anon_sym___cdecl] = ACTIONS(2802),
    [anon_sym___clrcall] = ACTIONS(2802),
    [anon_sym___stdcall] = ACTIONS(2802),
    [anon_sym___fastcall] = ACTIONS(2802),
    [anon_sym___thiscall] = ACTIONS(2802),
    [anon_sym___vectorcall] = ACTIONS(2802),
    [anon_sym_LBRACE] = ACTIONS(2804),
    [anon_sym_signed] = ACTIONS(2802),
    [anon_sym_unsigned] = ACTIONS(2802),
    [anon_sym_long] = ACTIONS(2802),
    [anon_sym_short] = ACTIONS(2802),
    [anon_sym_static] = ACTIONS(2802),
    [anon_sym_ATautoreleasepool] = ACTIONS(2804),
    [anon_sym_auto] = ACTIONS(2802),
    [anon_sym_register] = ACTIONS(2802),
    [anon_sym_inline] = ACTIONS(2802),
    [anon_sym___inline] = ACTIONS(2802),
    [anon_sym___inline__] = ACTIONS(2802),
    [anon_sym___forceinline] = ACTIONS(2802),
    [anon_sym_thread_local] = ACTIONS(2802),
    [anon_sym___thread] = ACTIONS(2802),
    [anon_sym_CG_EXTERN] = ACTIONS(2802),
    [anon_sym_CG_INLINE] = ACTIONS(2802),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2802),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2802),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2802),
    [anon_sym_IBOutlet] = ACTIONS(2802),
    [anon_sym_IBInspectable] = ACTIONS(2802),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2802),
    [anon_sym_NS_INLINE] = ACTIONS(2802),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2802),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2802),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2802),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2802),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_constexpr] = ACTIONS(2802),
    [anon_sym_volatile] = ACTIONS(2802),
    [anon_sym_restrict] = ACTIONS(2802),
    [anon_sym___restrict__] = ACTIONS(2802),
    [anon_sym__Atomic] = ACTIONS(2802),
    [anon_sym__Noreturn] = ACTIONS(2802),
    [anon_sym__Nonnull] = ACTIONS(2802),
    [anon_sym_nullable] = ACTIONS(2802),
    [anon_sym__Complex] = ACTIONS(2802),
    [anon_sym__Nullable] = ACTIONS(2802),
    [anon_sym__Nullable_result] = ACTIONS(2802),
    [anon_sym__Null_unspecified] = ACTIONS(2802),
    [anon_sym___autoreleasing] = ACTIONS(2802),
    [anon_sym___block] = ACTIONS(2802),
    [anon_sym___bridge] = ACTIONS(2802),
    [anon_sym___bridge_retained] = ACTIONS(2802),
    [anon_sym___bridge_transfer] = ACTIONS(2802),
    [anon_sym___complex] = ACTIONS(2802),
    [anon_sym___const] = ACTIONS(2802),
    [anon_sym___imag] = ACTIONS(2802),
    [anon_sym___kindof] = ACTIONS(2802),
    [anon_sym___nonnull] = ACTIONS(2802),
    [anon_sym___nullable] = ACTIONS(2802),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2802),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2802),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2802),
    [anon_sym___real] = ACTIONS(2802),
    [anon_sym___strong] = ACTIONS(2802),
    [anon_sym___unsafe_unretained] = ACTIONS(2802),
    [anon_sym___unused] = ACTIONS(2802),
    [anon_sym___weak] = ACTIONS(2802),
    [anon_sym_alignas] = ACTIONS(2802),
    [anon_sym__Alignas] = ACTIONS(2802),
    [sym_primitive_type] = ACTIONS(2802),
    [anon_sym_enum] = ACTIONS(2802),
    [anon_sym_struct] = ACTIONS(2802),
    [anon_sym_union] = ACTIONS(2802),
    [anon_sym_if] = ACTIONS(2802),
    [anon_sym_switch] = ACTIONS(2802),
    [anon_sym_case] = ACTIONS(2802),
    [anon_sym_default] = ACTIONS(2802),
    [anon_sym_while] = ACTIONS(2802),
    [anon_sym_do] = ACTIONS(2802),
    [anon_sym_for] = ACTIONS(2802),
    [anon_sym_in] = ACTIONS(2802),
    [anon_sym_return] = ACTIONS(2802),
    [anon_sym_break] = ACTIONS(2802),
    [anon_sym_continue] = ACTIONS(2802),
    [anon_sym_goto] = ACTIONS(2802),
    [anon_sym_DASH_DASH] = ACTIONS(2804),
    [anon_sym_PLUS_PLUS] = ACTIONS(2804),
    [anon_sym_sizeof] = ACTIONS(2802),
    [anon_sym___alignof__] = ACTIONS(2802),
    [anon_sym___alignof] = ACTIONS(2802),
    [anon_sym__alignof] = ACTIONS(2802),
    [anon_sym_alignof] = ACTIONS(2802),
    [anon_sym__Alignof] = ACTIONS(2802),
    [anon_sym_offsetof] = ACTIONS(2802),
    [anon_sym__Generic] = ACTIONS(2802),
    [anon_sym_asm] = ACTIONS(2802),
    [anon_sym___asm__] = ACTIONS(2802),
    [anon_sym___asm] = ACTIONS(2802),
    [sym_number_literal] = ACTIONS(2804),
    [anon_sym_L_SQUOTE] = ACTIONS(2804),
    [anon_sym_u_SQUOTE] = ACTIONS(2804),
    [anon_sym_U_SQUOTE] = ACTIONS(2804),
    [anon_sym_u8_SQUOTE] = ACTIONS(2804),
    [anon_sym_SQUOTE] = ACTIONS(2804),
    [anon_sym_AT] = ACTIONS(2802),
    [anon_sym_DQUOTE] = ACTIONS(2804),
    [anon_sym_L_DQUOTE] = ACTIONS(2804),
    [anon_sym_u_DQUOTE] = ACTIONS(2804),
    [anon_sym_U_DQUOTE] = ACTIONS(2804),
    [anon_sym_u8_DQUOTE] = ACTIONS(2804),
    [sym_true] = ACTIONS(2802),
    [sym_false] = ACTIONS(2802),
    [anon_sym_NULL] = ACTIONS(2802),
    [anon_sym_nullptr] = ACTIONS(2802),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2802),
    [anon_sym___typeof] = ACTIONS(2802),
    [anon_sym_typeof] = ACTIONS(2802),
    [anon_sym_ATimport] = ACTIONS(2804),
    [aux_sym_preproc_undef_token1] = ACTIONS(2802),
    [anon_sym_POUND] = ACTIONS(2802),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2802),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2802),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2802),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2802),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2802),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2802),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2802),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2802),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2802),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_API_AVAILABLE] = ACTIONS(2802),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_API_DEPRECATED] = ACTIONS(2802),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2802),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2802),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2802),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2802),
    [anon_sym___deprecated_msg] = ACTIONS(2802),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2802),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2802),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2802),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2802),
    [anon_sym_ATprotocol] = ACTIONS(2804),
    [anon_sym_ATinterface] = ACTIONS(2804),
    [anon_sym_ATimplementation] = ACTIONS(2804),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2804),
    [anon_sym_ATselector] = ACTIONS(2804),
    [anon_sym_ATavailable] = ACTIONS(2804),
    [anon_sym___builtin_available] = ACTIONS(2802),
    [anon_sym_va_arg] = ACTIONS(2802),
    [anon_sym_ATencode] = ACTIONS(2804),
    [anon_sym_BOOL] = ACTIONS(2802),
    [anon_sym_IMP] = ACTIONS(2802),
    [anon_sym_SEL] = ACTIONS(2802),
    [anon_sym_Class] = ACTIONS(2802),
    [anon_sym_id] = ACTIONS(2802),
  },
  [992] = {
    [ts_builtin_sym_end] = ACTIONS(2870),
    [sym_identifier] = ACTIONS(2868),
    [aux_sym_preproc_include_token1] = ACTIONS(2868),
    [aux_sym_preproc_include_token2] = ACTIONS(2868),
    [aux_sym_preproc_def_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2868),
    [sym_preproc_directive] = ACTIONS(2868),
    [anon_sym_LPAREN2] = ACTIONS(2870),
    [anon_sym_BANG] = ACTIONS(2870),
    [anon_sym_TILDE] = ACTIONS(2870),
    [anon_sym_DASH] = ACTIONS(2868),
    [anon_sym_PLUS] = ACTIONS(2868),
    [anon_sym_STAR] = ACTIONS(2870),
    [anon_sym_CARET] = ACTIONS(2870),
    [anon_sym_AMP] = ACTIONS(2870),
    [anon_sym_SEMI] = ACTIONS(2870),
    [anon_sym___extension__] = ACTIONS(2868),
    [anon_sym_typedef] = ACTIONS(2868),
    [anon_sym_extern] = ACTIONS(2868),
    [anon_sym___attribute__] = ACTIONS(2868),
    [anon_sym___attribute] = ACTIONS(2868),
    [anon_sym_noreturn] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2870),
    [anon_sym___declspec] = ACTIONS(2868),
    [anon_sym___cdecl] = ACTIONS(2868),
    [anon_sym___clrcall] = ACTIONS(2868),
    [anon_sym___stdcall] = ACTIONS(2868),
    [anon_sym___fastcall] = ACTIONS(2868),
    [anon_sym___thiscall] = ACTIONS(2868),
    [anon_sym___vectorcall] = ACTIONS(2868),
    [anon_sym_LBRACE] = ACTIONS(2870),
    [anon_sym_signed] = ACTIONS(2868),
    [anon_sym_unsigned] = ACTIONS(2868),
    [anon_sym_long] = ACTIONS(2868),
    [anon_sym_short] = ACTIONS(2868),
    [anon_sym_static] = ACTIONS(2868),
    [anon_sym_ATautoreleasepool] = ACTIONS(2870),
    [anon_sym_auto] = ACTIONS(2868),
    [anon_sym_register] = ACTIONS(2868),
    [anon_sym_inline] = ACTIONS(2868),
    [anon_sym___inline] = ACTIONS(2868),
    [anon_sym___inline__] = ACTIONS(2868),
    [anon_sym___forceinline] = ACTIONS(2868),
    [anon_sym_thread_local] = ACTIONS(2868),
    [anon_sym___thread] = ACTIONS(2868),
    [anon_sym_CG_EXTERN] = ACTIONS(2868),
    [anon_sym_CG_INLINE] = ACTIONS(2868),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2868),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2868),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2868),
    [anon_sym_IBOutlet] = ACTIONS(2868),
    [anon_sym_IBInspectable] = ACTIONS(2868),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2868),
    [anon_sym_NS_INLINE] = ACTIONS(2868),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2868),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2868),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2868),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2868),
    [anon_sym_const] = ACTIONS(2868),
    [anon_sym_constexpr] = ACTIONS(2868),
    [anon_sym_volatile] = ACTIONS(2868),
    [anon_sym_restrict] = ACTIONS(2868),
    [anon_sym___restrict__] = ACTIONS(2868),
    [anon_sym__Atomic] = ACTIONS(2868),
    [anon_sym__Noreturn] = ACTIONS(2868),
    [anon_sym__Nonnull] = ACTIONS(2868),
    [anon_sym_nullable] = ACTIONS(2868),
    [anon_sym__Complex] = ACTIONS(2868),
    [anon_sym__Nullable] = ACTIONS(2868),
    [anon_sym__Nullable_result] = ACTIONS(2868),
    [anon_sym__Null_unspecified] = ACTIONS(2868),
    [anon_sym___autoreleasing] = ACTIONS(2868),
    [anon_sym___block] = ACTIONS(2868),
    [anon_sym___bridge] = ACTIONS(2868),
    [anon_sym___bridge_retained] = ACTIONS(2868),
    [anon_sym___bridge_transfer] = ACTIONS(2868),
    [anon_sym___complex] = ACTIONS(2868),
    [anon_sym___const] = ACTIONS(2868),
    [anon_sym___imag] = ACTIONS(2868),
    [anon_sym___kindof] = ACTIONS(2868),
    [anon_sym___nonnull] = ACTIONS(2868),
    [anon_sym___nullable] = ACTIONS(2868),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2868),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2868),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2868),
    [anon_sym___real] = ACTIONS(2868),
    [anon_sym___strong] = ACTIONS(2868),
    [anon_sym___unsafe_unretained] = ACTIONS(2868),
    [anon_sym___unused] = ACTIONS(2868),
    [anon_sym___weak] = ACTIONS(2868),
    [anon_sym_alignas] = ACTIONS(2868),
    [anon_sym__Alignas] = ACTIONS(2868),
    [sym_primitive_type] = ACTIONS(2868),
    [anon_sym_enum] = ACTIONS(2868),
    [anon_sym_struct] = ACTIONS(2868),
    [anon_sym_union] = ACTIONS(2868),
    [anon_sym_if] = ACTIONS(2868),
    [anon_sym_switch] = ACTIONS(2868),
    [anon_sym_case] = ACTIONS(2868),
    [anon_sym_default] = ACTIONS(2868),
    [anon_sym_while] = ACTIONS(2868),
    [anon_sym_do] = ACTIONS(2868),
    [anon_sym_for] = ACTIONS(2868),
    [anon_sym_in] = ACTIONS(2868),
    [anon_sym_return] = ACTIONS(2868),
    [anon_sym_break] = ACTIONS(2868),
    [anon_sym_continue] = ACTIONS(2868),
    [anon_sym_goto] = ACTIONS(2868),
    [anon_sym_DASH_DASH] = ACTIONS(2870),
    [anon_sym_PLUS_PLUS] = ACTIONS(2870),
    [anon_sym_sizeof] = ACTIONS(2868),
    [anon_sym___alignof__] = ACTIONS(2868),
    [anon_sym___alignof] = ACTIONS(2868),
    [anon_sym__alignof] = ACTIONS(2868),
    [anon_sym_alignof] = ACTIONS(2868),
    [anon_sym__Alignof] = ACTIONS(2868),
    [anon_sym_offsetof] = ACTIONS(2868),
    [anon_sym__Generic] = ACTIONS(2868),
    [anon_sym_asm] = ACTIONS(2868),
    [anon_sym___asm__] = ACTIONS(2868),
    [anon_sym___asm] = ACTIONS(2868),
    [sym_number_literal] = ACTIONS(2870),
    [anon_sym_L_SQUOTE] = ACTIONS(2870),
    [anon_sym_u_SQUOTE] = ACTIONS(2870),
    [anon_sym_U_SQUOTE] = ACTIONS(2870),
    [anon_sym_u8_SQUOTE] = ACTIONS(2870),
    [anon_sym_SQUOTE] = ACTIONS(2870),
    [anon_sym_AT] = ACTIONS(2868),
    [anon_sym_DQUOTE] = ACTIONS(2870),
    [anon_sym_L_DQUOTE] = ACTIONS(2870),
    [anon_sym_u_DQUOTE] = ACTIONS(2870),
    [anon_sym_U_DQUOTE] = ACTIONS(2870),
    [anon_sym_u8_DQUOTE] = ACTIONS(2870),
    [sym_true] = ACTIONS(2868),
    [sym_false] = ACTIONS(2868),
    [anon_sym_NULL] = ACTIONS(2868),
    [anon_sym_nullptr] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2868),
    [anon_sym___typeof] = ACTIONS(2868),
    [anon_sym_typeof] = ACTIONS(2868),
    [anon_sym_ATimport] = ACTIONS(2870),
    [aux_sym_preproc_undef_token1] = ACTIONS(2868),
    [anon_sym_POUND] = ACTIONS(2868),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2868),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2868),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2868),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2868),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2868),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2868),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2868),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2868),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2868),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_API_AVAILABLE] = ACTIONS(2868),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_API_DEPRECATED] = ACTIONS(2868),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2868),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2868),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2868),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2868),
    [anon_sym___deprecated_msg] = ACTIONS(2868),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2868),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2868),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2868),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2868),
    [anon_sym_ATprotocol] = ACTIONS(2870),
    [anon_sym_ATinterface] = ACTIONS(2870),
    [anon_sym_ATimplementation] = ACTIONS(2870),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2870),
    [anon_sym_ATselector] = ACTIONS(2870),
    [anon_sym_ATavailable] = ACTIONS(2870),
    [anon_sym___builtin_available] = ACTIONS(2868),
    [anon_sym_va_arg] = ACTIONS(2868),
    [anon_sym_ATencode] = ACTIONS(2870),
    [anon_sym_BOOL] = ACTIONS(2868),
    [anon_sym_IMP] = ACTIONS(2868),
    [anon_sym_SEL] = ACTIONS(2868),
    [anon_sym_Class] = ACTIONS(2868),
    [anon_sym_id] = ACTIONS(2868),
  },
  [993] = {
    [ts_builtin_sym_end] = ACTIONS(2430),
    [sym_identifier] = ACTIONS(2428),
    [aux_sym_preproc_include_token1] = ACTIONS(2428),
    [aux_sym_preproc_include_token2] = ACTIONS(2428),
    [aux_sym_preproc_def_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token1] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2428),
    [sym_preproc_directive] = ACTIONS(2428),
    [anon_sym_LPAREN2] = ACTIONS(2430),
    [anon_sym_BANG] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_CARET] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2430),
    [anon_sym_SEMI] = ACTIONS(2430),
    [anon_sym___extension__] = ACTIONS(2428),
    [anon_sym_typedef] = ACTIONS(2428),
    [anon_sym_extern] = ACTIONS(2428),
    [anon_sym___attribute__] = ACTIONS(2428),
    [anon_sym___attribute] = ACTIONS(2428),
    [anon_sym_noreturn] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2430),
    [anon_sym___declspec] = ACTIONS(2428),
    [anon_sym___cdecl] = ACTIONS(2428),
    [anon_sym___clrcall] = ACTIONS(2428),
    [anon_sym___stdcall] = ACTIONS(2428),
    [anon_sym___fastcall] = ACTIONS(2428),
    [anon_sym___thiscall] = ACTIONS(2428),
    [anon_sym___vectorcall] = ACTIONS(2428),
    [anon_sym_LBRACE] = ACTIONS(2430),
    [anon_sym_signed] = ACTIONS(2428),
    [anon_sym_unsigned] = ACTIONS(2428),
    [anon_sym_long] = ACTIONS(2428),
    [anon_sym_short] = ACTIONS(2428),
    [anon_sym_static] = ACTIONS(2428),
    [anon_sym_ATautoreleasepool] = ACTIONS(2430),
    [anon_sym_auto] = ACTIONS(2428),
    [anon_sym_register] = ACTIONS(2428),
    [anon_sym_inline] = ACTIONS(2428),
    [anon_sym___inline] = ACTIONS(2428),
    [anon_sym___inline__] = ACTIONS(2428),
    [anon_sym___forceinline] = ACTIONS(2428),
    [anon_sym_thread_local] = ACTIONS(2428),
    [anon_sym___thread] = ACTIONS(2428),
    [anon_sym_CG_EXTERN] = ACTIONS(2428),
    [anon_sym_CG_INLINE] = ACTIONS(2428),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2428),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2428),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2428),
    [anon_sym_IBOutlet] = ACTIONS(2428),
    [anon_sym_IBInspectable] = ACTIONS(2428),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2428),
    [anon_sym_NS_INLINE] = ACTIONS(2428),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2428),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2428),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2428),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2428),
    [anon_sym_const] = ACTIONS(2428),
    [anon_sym_constexpr] = ACTIONS(2428),
    [anon_sym_volatile] = ACTIONS(2428),
    [anon_sym_restrict] = ACTIONS(2428),
    [anon_sym___restrict__] = ACTIONS(2428),
    [anon_sym__Atomic] = ACTIONS(2428),
    [anon_sym__Noreturn] = ACTIONS(2428),
    [anon_sym__Nonnull] = ACTIONS(2428),
    [anon_sym_nullable] = ACTIONS(2428),
    [anon_sym__Complex] = ACTIONS(2428),
    [anon_sym__Nullable] = ACTIONS(2428),
    [anon_sym__Nullable_result] = ACTIONS(2428),
    [anon_sym__Null_unspecified] = ACTIONS(2428),
    [anon_sym___autoreleasing] = ACTIONS(2428),
    [anon_sym___block] = ACTIONS(2428),
    [anon_sym___bridge] = ACTIONS(2428),
    [anon_sym___bridge_retained] = ACTIONS(2428),
    [anon_sym___bridge_transfer] = ACTIONS(2428),
    [anon_sym___complex] = ACTIONS(2428),
    [anon_sym___const] = ACTIONS(2428),
    [anon_sym___imag] = ACTIONS(2428),
    [anon_sym___kindof] = ACTIONS(2428),
    [anon_sym___nonnull] = ACTIONS(2428),
    [anon_sym___nullable] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2428),
    [anon_sym___real] = ACTIONS(2428),
    [anon_sym___strong] = ACTIONS(2428),
    [anon_sym___unsafe_unretained] = ACTIONS(2428),
    [anon_sym___unused] = ACTIONS(2428),
    [anon_sym___weak] = ACTIONS(2428),
    [anon_sym_alignas] = ACTIONS(2428),
    [anon_sym__Alignas] = ACTIONS(2428),
    [sym_primitive_type] = ACTIONS(2428),
    [anon_sym_enum] = ACTIONS(2428),
    [anon_sym_struct] = ACTIONS(2428),
    [anon_sym_union] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_switch] = ACTIONS(2428),
    [anon_sym_case] = ACTIONS(2428),
    [anon_sym_default] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_in] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_break] = ACTIONS(2428),
    [anon_sym_continue] = ACTIONS(2428),
    [anon_sym_goto] = ACTIONS(2428),
    [anon_sym_DASH_DASH] = ACTIONS(2430),
    [anon_sym_PLUS_PLUS] = ACTIONS(2430),
    [anon_sym_sizeof] = ACTIONS(2428),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2428),
    [anon_sym__Generic] = ACTIONS(2428),
    [anon_sym_asm] = ACTIONS(2428),
    [anon_sym___asm__] = ACTIONS(2428),
    [anon_sym___asm] = ACTIONS(2428),
    [sym_number_literal] = ACTIONS(2430),
    [anon_sym_L_SQUOTE] = ACTIONS(2430),
    [anon_sym_u_SQUOTE] = ACTIONS(2430),
    [anon_sym_U_SQUOTE] = ACTIONS(2430),
    [anon_sym_u8_SQUOTE] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_AT] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2430),
    [anon_sym_L_DQUOTE] = ACTIONS(2430),
    [anon_sym_u_DQUOTE] = ACTIONS(2430),
    [anon_sym_U_DQUOTE] = ACTIONS(2430),
    [anon_sym_u8_DQUOTE] = ACTIONS(2430),
    [sym_true] = ACTIONS(2428),
    [sym_false] = ACTIONS(2428),
    [anon_sym_NULL] = ACTIONS(2428),
    [anon_sym_nullptr] = ACTIONS(2428),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2428),
    [anon_sym___typeof] = ACTIONS(2428),
    [anon_sym_typeof] = ACTIONS(2428),
    [anon_sym_ATimport] = ACTIONS(2430),
    [aux_sym_preproc_undef_token1] = ACTIONS(2428),
    [anon_sym_POUND] = ACTIONS(2428),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2428),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2428),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2428),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2428),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2428),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2428),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2428),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_API_AVAILABLE] = ACTIONS(2428),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_API_DEPRECATED] = ACTIONS(2428),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2428),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym___deprecated_msg] = ACTIONS(2428),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2428),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2428),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2428),
    [anon_sym_ATprotocol] = ACTIONS(2430),
    [anon_sym_ATinterface] = ACTIONS(2430),
    [anon_sym_ATimplementation] = ACTIONS(2430),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2430),
    [anon_sym_ATselector] = ACTIONS(2430),
    [anon_sym_ATavailable] = ACTIONS(2430),
    [anon_sym___builtin_available] = ACTIONS(2428),
    [anon_sym_va_arg] = ACTIONS(2428),
    [anon_sym_ATencode] = ACTIONS(2430),
    [anon_sym_BOOL] = ACTIONS(2428),
    [anon_sym_IMP] = ACTIONS(2428),
    [anon_sym_SEL] = ACTIONS(2428),
    [anon_sym_Class] = ACTIONS(2428),
    [anon_sym_id] = ACTIONS(2428),
  },
  [994] = {
    [ts_builtin_sym_end] = ACTIONS(2858),
    [sym_identifier] = ACTIONS(2856),
    [aux_sym_preproc_include_token1] = ACTIONS(2856),
    [aux_sym_preproc_include_token2] = ACTIONS(2856),
    [aux_sym_preproc_def_token1] = ACTIONS(2856),
    [aux_sym_preproc_if_token1] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2856),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2856),
    [sym_preproc_directive] = ACTIONS(2856),
    [anon_sym_LPAREN2] = ACTIONS(2858),
    [anon_sym_BANG] = ACTIONS(2858),
    [anon_sym_TILDE] = ACTIONS(2858),
    [anon_sym_DASH] = ACTIONS(2856),
    [anon_sym_PLUS] = ACTIONS(2856),
    [anon_sym_STAR] = ACTIONS(2858),
    [anon_sym_CARET] = ACTIONS(2858),
    [anon_sym_AMP] = ACTIONS(2858),
    [anon_sym_SEMI] = ACTIONS(2858),
    [anon_sym___extension__] = ACTIONS(2856),
    [anon_sym_typedef] = ACTIONS(2856),
    [anon_sym_extern] = ACTIONS(2856),
    [anon_sym___attribute__] = ACTIONS(2856),
    [anon_sym___attribute] = ACTIONS(2856),
    [anon_sym_noreturn] = ACTIONS(2856),
    [anon_sym_LBRACK] = ACTIONS(2858),
    [anon_sym___declspec] = ACTIONS(2856),
    [anon_sym___cdecl] = ACTIONS(2856),
    [anon_sym___clrcall] = ACTIONS(2856),
    [anon_sym___stdcall] = ACTIONS(2856),
    [anon_sym___fastcall] = ACTIONS(2856),
    [anon_sym___thiscall] = ACTIONS(2856),
    [anon_sym___vectorcall] = ACTIONS(2856),
    [anon_sym_LBRACE] = ACTIONS(2858),
    [anon_sym_signed] = ACTIONS(2856),
    [anon_sym_unsigned] = ACTIONS(2856),
    [anon_sym_long] = ACTIONS(2856),
    [anon_sym_short] = ACTIONS(2856),
    [anon_sym_static] = ACTIONS(2856),
    [anon_sym_ATautoreleasepool] = ACTIONS(2858),
    [anon_sym_auto] = ACTIONS(2856),
    [anon_sym_register] = ACTIONS(2856),
    [anon_sym_inline] = ACTIONS(2856),
    [anon_sym___inline] = ACTIONS(2856),
    [anon_sym___inline__] = ACTIONS(2856),
    [anon_sym___forceinline] = ACTIONS(2856),
    [anon_sym_thread_local] = ACTIONS(2856),
    [anon_sym___thread] = ACTIONS(2856),
    [anon_sym_CG_EXTERN] = ACTIONS(2856),
    [anon_sym_CG_INLINE] = ACTIONS(2856),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2856),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2856),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2856),
    [anon_sym_IBOutlet] = ACTIONS(2856),
    [anon_sym_IBInspectable] = ACTIONS(2856),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2856),
    [anon_sym_NS_INLINE] = ACTIONS(2856),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2856),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2856),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2856),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2856),
    [anon_sym_const] = ACTIONS(2856),
    [anon_sym_constexpr] = ACTIONS(2856),
    [anon_sym_volatile] = ACTIONS(2856),
    [anon_sym_restrict] = ACTIONS(2856),
    [anon_sym___restrict__] = ACTIONS(2856),
    [anon_sym__Atomic] = ACTIONS(2856),
    [anon_sym__Noreturn] = ACTIONS(2856),
    [anon_sym__Nonnull] = ACTIONS(2856),
    [anon_sym_nullable] = ACTIONS(2856),
    [anon_sym__Complex] = ACTIONS(2856),
    [anon_sym__Nullable] = ACTIONS(2856),
    [anon_sym__Nullable_result] = ACTIONS(2856),
    [anon_sym__Null_unspecified] = ACTIONS(2856),
    [anon_sym___autoreleasing] = ACTIONS(2856),
    [anon_sym___block] = ACTIONS(2856),
    [anon_sym___bridge] = ACTIONS(2856),
    [anon_sym___bridge_retained] = ACTIONS(2856),
    [anon_sym___bridge_transfer] = ACTIONS(2856),
    [anon_sym___complex] = ACTIONS(2856),
    [anon_sym___const] = ACTIONS(2856),
    [anon_sym___imag] = ACTIONS(2856),
    [anon_sym___kindof] = ACTIONS(2856),
    [anon_sym___nonnull] = ACTIONS(2856),
    [anon_sym___nullable] = ACTIONS(2856),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2856),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2856),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2856),
    [anon_sym___real] = ACTIONS(2856),
    [anon_sym___strong] = ACTIONS(2856),
    [anon_sym___unsafe_unretained] = ACTIONS(2856),
    [anon_sym___unused] = ACTIONS(2856),
    [anon_sym___weak] = ACTIONS(2856),
    [anon_sym_alignas] = ACTIONS(2856),
    [anon_sym__Alignas] = ACTIONS(2856),
    [sym_primitive_type] = ACTIONS(2856),
    [anon_sym_enum] = ACTIONS(2856),
    [anon_sym_struct] = ACTIONS(2856),
    [anon_sym_union] = ACTIONS(2856),
    [anon_sym_if] = ACTIONS(2856),
    [anon_sym_switch] = ACTIONS(2856),
    [anon_sym_case] = ACTIONS(2856),
    [anon_sym_default] = ACTIONS(2856),
    [anon_sym_while] = ACTIONS(2856),
    [anon_sym_do] = ACTIONS(2856),
    [anon_sym_for] = ACTIONS(2856),
    [anon_sym_in] = ACTIONS(2856),
    [anon_sym_return] = ACTIONS(2856),
    [anon_sym_break] = ACTIONS(2856),
    [anon_sym_continue] = ACTIONS(2856),
    [anon_sym_goto] = ACTIONS(2856),
    [anon_sym_DASH_DASH] = ACTIONS(2858),
    [anon_sym_PLUS_PLUS] = ACTIONS(2858),
    [anon_sym_sizeof] = ACTIONS(2856),
    [anon_sym___alignof__] = ACTIONS(2856),
    [anon_sym___alignof] = ACTIONS(2856),
    [anon_sym__alignof] = ACTIONS(2856),
    [anon_sym_alignof] = ACTIONS(2856),
    [anon_sym__Alignof] = ACTIONS(2856),
    [anon_sym_offsetof] = ACTIONS(2856),
    [anon_sym__Generic] = ACTIONS(2856),
    [anon_sym_asm] = ACTIONS(2856),
    [anon_sym___asm__] = ACTIONS(2856),
    [anon_sym___asm] = ACTIONS(2856),
    [sym_number_literal] = ACTIONS(2858),
    [anon_sym_L_SQUOTE] = ACTIONS(2858),
    [anon_sym_u_SQUOTE] = ACTIONS(2858),
    [anon_sym_U_SQUOTE] = ACTIONS(2858),
    [anon_sym_u8_SQUOTE] = ACTIONS(2858),
    [anon_sym_SQUOTE] = ACTIONS(2858),
    [anon_sym_AT] = ACTIONS(2856),
    [anon_sym_DQUOTE] = ACTIONS(2858),
    [anon_sym_L_DQUOTE] = ACTIONS(2858),
    [anon_sym_u_DQUOTE] = ACTIONS(2858),
    [anon_sym_U_DQUOTE] = ACTIONS(2858),
    [anon_sym_u8_DQUOTE] = ACTIONS(2858),
    [sym_true] = ACTIONS(2856),
    [sym_false] = ACTIONS(2856),
    [anon_sym_NULL] = ACTIONS(2856),
    [anon_sym_nullptr] = ACTIONS(2856),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2856),
    [anon_sym___typeof] = ACTIONS(2856),
    [anon_sym_typeof] = ACTIONS(2856),
    [anon_sym_ATimport] = ACTIONS(2858),
    [aux_sym_preproc_undef_token1] = ACTIONS(2856),
    [anon_sym_POUND] = ACTIONS(2856),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2856),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2856),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2856),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2856),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2856),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2856),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2856),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2856),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2856),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2856),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2856),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2856),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2856),
    [anon_sym_API_AVAILABLE] = ACTIONS(2856),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2856),
    [anon_sym_API_DEPRECATED] = ACTIONS(2856),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2856),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2856),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2856),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2856),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2856),
    [anon_sym___deprecated_msg] = ACTIONS(2856),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2856),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2856),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2856),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2856),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2856),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2856),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2856),
    [anon_sym_ATprotocol] = ACTIONS(2858),
    [anon_sym_ATinterface] = ACTIONS(2858),
    [anon_sym_ATimplementation] = ACTIONS(2858),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2858),
    [anon_sym_ATselector] = ACTIONS(2858),
    [anon_sym_ATavailable] = ACTIONS(2858),
    [anon_sym___builtin_available] = ACTIONS(2856),
    [anon_sym_va_arg] = ACTIONS(2856),
    [anon_sym_ATencode] = ACTIONS(2858),
    [anon_sym_BOOL] = ACTIONS(2856),
    [anon_sym_IMP] = ACTIONS(2856),
    [anon_sym_SEL] = ACTIONS(2856),
    [anon_sym_Class] = ACTIONS(2856),
    [anon_sym_id] = ACTIONS(2856),
  },
  [995] = {
    [ts_builtin_sym_end] = ACTIONS(2736),
    [sym_identifier] = ACTIONS(2734),
    [aux_sym_preproc_include_token1] = ACTIONS(2734),
    [aux_sym_preproc_include_token2] = ACTIONS(2734),
    [aux_sym_preproc_def_token1] = ACTIONS(2734),
    [aux_sym_preproc_if_token1] = ACTIONS(2734),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2734),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2734),
    [sym_preproc_directive] = ACTIONS(2734),
    [anon_sym_LPAREN2] = ACTIONS(2736),
    [anon_sym_BANG] = ACTIONS(2736),
    [anon_sym_TILDE] = ACTIONS(2736),
    [anon_sym_DASH] = ACTIONS(2734),
    [anon_sym_PLUS] = ACTIONS(2734),
    [anon_sym_STAR] = ACTIONS(2736),
    [anon_sym_CARET] = ACTIONS(2736),
    [anon_sym_AMP] = ACTIONS(2736),
    [anon_sym_SEMI] = ACTIONS(2736),
    [anon_sym___extension__] = ACTIONS(2734),
    [anon_sym_typedef] = ACTIONS(2734),
    [anon_sym_extern] = ACTIONS(2734),
    [anon_sym___attribute__] = ACTIONS(2734),
    [anon_sym___attribute] = ACTIONS(2734),
    [anon_sym_noreturn] = ACTIONS(2734),
    [anon_sym_LBRACK] = ACTIONS(2736),
    [anon_sym___declspec] = ACTIONS(2734),
    [anon_sym___cdecl] = ACTIONS(2734),
    [anon_sym___clrcall] = ACTIONS(2734),
    [anon_sym___stdcall] = ACTIONS(2734),
    [anon_sym___fastcall] = ACTIONS(2734),
    [anon_sym___thiscall] = ACTIONS(2734),
    [anon_sym___vectorcall] = ACTIONS(2734),
    [anon_sym_LBRACE] = ACTIONS(2736),
    [anon_sym_signed] = ACTIONS(2734),
    [anon_sym_unsigned] = ACTIONS(2734),
    [anon_sym_long] = ACTIONS(2734),
    [anon_sym_short] = ACTIONS(2734),
    [anon_sym_static] = ACTIONS(2734),
    [anon_sym_ATautoreleasepool] = ACTIONS(2736),
    [anon_sym_auto] = ACTIONS(2734),
    [anon_sym_register] = ACTIONS(2734),
    [anon_sym_inline] = ACTIONS(2734),
    [anon_sym___inline] = ACTIONS(2734),
    [anon_sym___inline__] = ACTIONS(2734),
    [anon_sym___forceinline] = ACTIONS(2734),
    [anon_sym_thread_local] = ACTIONS(2734),
    [anon_sym___thread] = ACTIONS(2734),
    [anon_sym_CG_EXTERN] = ACTIONS(2734),
    [anon_sym_CG_INLINE] = ACTIONS(2734),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2734),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2734),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2734),
    [anon_sym_IBOutlet] = ACTIONS(2734),
    [anon_sym_IBInspectable] = ACTIONS(2734),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2734),
    [anon_sym_NS_INLINE] = ACTIONS(2734),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2734),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2734),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2734),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2734),
    [anon_sym_const] = ACTIONS(2734),
    [anon_sym_constexpr] = ACTIONS(2734),
    [anon_sym_volatile] = ACTIONS(2734),
    [anon_sym_restrict] = ACTIONS(2734),
    [anon_sym___restrict__] = ACTIONS(2734),
    [anon_sym__Atomic] = ACTIONS(2734),
    [anon_sym__Noreturn] = ACTIONS(2734),
    [anon_sym__Nonnull] = ACTIONS(2734),
    [anon_sym_nullable] = ACTIONS(2734),
    [anon_sym__Complex] = ACTIONS(2734),
    [anon_sym__Nullable] = ACTIONS(2734),
    [anon_sym__Nullable_result] = ACTIONS(2734),
    [anon_sym__Null_unspecified] = ACTIONS(2734),
    [anon_sym___autoreleasing] = ACTIONS(2734),
    [anon_sym___block] = ACTIONS(2734),
    [anon_sym___bridge] = ACTIONS(2734),
    [anon_sym___bridge_retained] = ACTIONS(2734),
    [anon_sym___bridge_transfer] = ACTIONS(2734),
    [anon_sym___complex] = ACTIONS(2734),
    [anon_sym___const] = ACTIONS(2734),
    [anon_sym___imag] = ACTIONS(2734),
    [anon_sym___kindof] = ACTIONS(2734),
    [anon_sym___nonnull] = ACTIONS(2734),
    [anon_sym___nullable] = ACTIONS(2734),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2734),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2734),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2734),
    [anon_sym___real] = ACTIONS(2734),
    [anon_sym___strong] = ACTIONS(2734),
    [anon_sym___unsafe_unretained] = ACTIONS(2734),
    [anon_sym___unused] = ACTIONS(2734),
    [anon_sym___weak] = ACTIONS(2734),
    [anon_sym_alignas] = ACTIONS(2734),
    [anon_sym__Alignas] = ACTIONS(2734),
    [sym_primitive_type] = ACTIONS(2734),
    [anon_sym_enum] = ACTIONS(2734),
    [anon_sym_struct] = ACTIONS(2734),
    [anon_sym_union] = ACTIONS(2734),
    [anon_sym_if] = ACTIONS(2734),
    [anon_sym_switch] = ACTIONS(2734),
    [anon_sym_case] = ACTIONS(2734),
    [anon_sym_default] = ACTIONS(2734),
    [anon_sym_while] = ACTIONS(2734),
    [anon_sym_do] = ACTIONS(2734),
    [anon_sym_for] = ACTIONS(2734),
    [anon_sym_in] = ACTIONS(2734),
    [anon_sym_return] = ACTIONS(2734),
    [anon_sym_break] = ACTIONS(2734),
    [anon_sym_continue] = ACTIONS(2734),
    [anon_sym_goto] = ACTIONS(2734),
    [anon_sym_DASH_DASH] = ACTIONS(2736),
    [anon_sym_PLUS_PLUS] = ACTIONS(2736),
    [anon_sym_sizeof] = ACTIONS(2734),
    [anon_sym___alignof__] = ACTIONS(2734),
    [anon_sym___alignof] = ACTIONS(2734),
    [anon_sym__alignof] = ACTIONS(2734),
    [anon_sym_alignof] = ACTIONS(2734),
    [anon_sym__Alignof] = ACTIONS(2734),
    [anon_sym_offsetof] = ACTIONS(2734),
    [anon_sym__Generic] = ACTIONS(2734),
    [anon_sym_asm] = ACTIONS(2734),
    [anon_sym___asm__] = ACTIONS(2734),
    [anon_sym___asm] = ACTIONS(2734),
    [sym_number_literal] = ACTIONS(2736),
    [anon_sym_L_SQUOTE] = ACTIONS(2736),
    [anon_sym_u_SQUOTE] = ACTIONS(2736),
    [anon_sym_U_SQUOTE] = ACTIONS(2736),
    [anon_sym_u8_SQUOTE] = ACTIONS(2736),
    [anon_sym_SQUOTE] = ACTIONS(2736),
    [anon_sym_AT] = ACTIONS(2734),
    [anon_sym_DQUOTE] = ACTIONS(2736),
    [anon_sym_L_DQUOTE] = ACTIONS(2736),
    [anon_sym_u_DQUOTE] = ACTIONS(2736),
    [anon_sym_U_DQUOTE] = ACTIONS(2736),
    [anon_sym_u8_DQUOTE] = ACTIONS(2736),
    [sym_true] = ACTIONS(2734),
    [sym_false] = ACTIONS(2734),
    [anon_sym_NULL] = ACTIONS(2734),
    [anon_sym_nullptr] = ACTIONS(2734),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2734),
    [anon_sym___typeof] = ACTIONS(2734),
    [anon_sym_typeof] = ACTIONS(2734),
    [anon_sym_ATimport] = ACTIONS(2736),
    [aux_sym_preproc_undef_token1] = ACTIONS(2734),
    [anon_sym_POUND] = ACTIONS(2734),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2734),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2734),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2734),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2734),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2734),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2734),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2734),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2734),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2734),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2734),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2734),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2734),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2734),
    [anon_sym_API_AVAILABLE] = ACTIONS(2734),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2734),
    [anon_sym_API_DEPRECATED] = ACTIONS(2734),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2734),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2734),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2734),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2734),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2734),
    [anon_sym___deprecated_msg] = ACTIONS(2734),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2734),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2734),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2734),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2734),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2734),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2734),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2734),
    [anon_sym_ATprotocol] = ACTIONS(2736),
    [anon_sym_ATinterface] = ACTIONS(2736),
    [anon_sym_ATimplementation] = ACTIONS(2736),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2736),
    [anon_sym_ATselector] = ACTIONS(2736),
    [anon_sym_ATavailable] = ACTIONS(2736),
    [anon_sym___builtin_available] = ACTIONS(2734),
    [anon_sym_va_arg] = ACTIONS(2734),
    [anon_sym_ATencode] = ACTIONS(2736),
    [anon_sym_BOOL] = ACTIONS(2734),
    [anon_sym_IMP] = ACTIONS(2734),
    [anon_sym_SEL] = ACTIONS(2734),
    [anon_sym_Class] = ACTIONS(2734),
    [anon_sym_id] = ACTIONS(2734),
  },
  [996] = {
    [ts_builtin_sym_end] = ACTIONS(2944),
    [sym_identifier] = ACTIONS(2946),
    [aux_sym_preproc_include_token1] = ACTIONS(2946),
    [aux_sym_preproc_include_token2] = ACTIONS(2946),
    [aux_sym_preproc_def_token1] = ACTIONS(2946),
    [aux_sym_preproc_if_token1] = ACTIONS(2946),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2946),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2946),
    [sym_preproc_directive] = ACTIONS(2946),
    [anon_sym_LPAREN2] = ACTIONS(2944),
    [anon_sym_BANG] = ACTIONS(2944),
    [anon_sym_TILDE] = ACTIONS(2944),
    [anon_sym_DASH] = ACTIONS(2946),
    [anon_sym_PLUS] = ACTIONS(2946),
    [anon_sym_STAR] = ACTIONS(2944),
    [anon_sym_CARET] = ACTIONS(2944),
    [anon_sym_AMP] = ACTIONS(2944),
    [anon_sym_SEMI] = ACTIONS(2944),
    [anon_sym___extension__] = ACTIONS(2946),
    [anon_sym_typedef] = ACTIONS(2946),
    [anon_sym_extern] = ACTIONS(2946),
    [anon_sym___attribute__] = ACTIONS(2946),
    [anon_sym___attribute] = ACTIONS(2946),
    [anon_sym_noreturn] = ACTIONS(2946),
    [anon_sym_LBRACK] = ACTIONS(2944),
    [anon_sym___declspec] = ACTIONS(2946),
    [anon_sym___cdecl] = ACTIONS(2946),
    [anon_sym___clrcall] = ACTIONS(2946),
    [anon_sym___stdcall] = ACTIONS(2946),
    [anon_sym___fastcall] = ACTIONS(2946),
    [anon_sym___thiscall] = ACTIONS(2946),
    [anon_sym___vectorcall] = ACTIONS(2946),
    [anon_sym_LBRACE] = ACTIONS(2944),
    [anon_sym_signed] = ACTIONS(2946),
    [anon_sym_unsigned] = ACTIONS(2946),
    [anon_sym_long] = ACTIONS(2946),
    [anon_sym_short] = ACTIONS(2946),
    [anon_sym_static] = ACTIONS(2946),
    [anon_sym_ATautoreleasepool] = ACTIONS(2944),
    [anon_sym_auto] = ACTIONS(2946),
    [anon_sym_register] = ACTIONS(2946),
    [anon_sym_inline] = ACTIONS(2946),
    [anon_sym___inline] = ACTIONS(2946),
    [anon_sym___inline__] = ACTIONS(2946),
    [anon_sym___forceinline] = ACTIONS(2946),
    [anon_sym_thread_local] = ACTIONS(2946),
    [anon_sym___thread] = ACTIONS(2946),
    [anon_sym_CG_EXTERN] = ACTIONS(2946),
    [anon_sym_CG_INLINE] = ACTIONS(2946),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2946),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2946),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2946),
    [anon_sym_IBOutlet] = ACTIONS(2946),
    [anon_sym_IBInspectable] = ACTIONS(2946),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2946),
    [anon_sym_NS_INLINE] = ACTIONS(2946),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2946),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2946),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2946),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2946),
    [anon_sym_const] = ACTIONS(2946),
    [anon_sym_constexpr] = ACTIONS(2946),
    [anon_sym_volatile] = ACTIONS(2946),
    [anon_sym_restrict] = ACTIONS(2946),
    [anon_sym___restrict__] = ACTIONS(2946),
    [anon_sym__Atomic] = ACTIONS(2946),
    [anon_sym__Noreturn] = ACTIONS(2946),
    [anon_sym__Nonnull] = ACTIONS(2946),
    [anon_sym_nullable] = ACTIONS(2946),
    [anon_sym__Complex] = ACTIONS(2946),
    [anon_sym__Nullable] = ACTIONS(2946),
    [anon_sym__Nullable_result] = ACTIONS(2946),
    [anon_sym__Null_unspecified] = ACTIONS(2946),
    [anon_sym___autoreleasing] = ACTIONS(2946),
    [anon_sym___block] = ACTIONS(2946),
    [anon_sym___bridge] = ACTIONS(2946),
    [anon_sym___bridge_retained] = ACTIONS(2946),
    [anon_sym___bridge_transfer] = ACTIONS(2946),
    [anon_sym___complex] = ACTIONS(2946),
    [anon_sym___const] = ACTIONS(2946),
    [anon_sym___imag] = ACTIONS(2946),
    [anon_sym___kindof] = ACTIONS(2946),
    [anon_sym___nonnull] = ACTIONS(2946),
    [anon_sym___nullable] = ACTIONS(2946),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2946),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2946),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2946),
    [anon_sym___real] = ACTIONS(2946),
    [anon_sym___strong] = ACTIONS(2946),
    [anon_sym___unsafe_unretained] = ACTIONS(2946),
    [anon_sym___unused] = ACTIONS(2946),
    [anon_sym___weak] = ACTIONS(2946),
    [anon_sym_alignas] = ACTIONS(2946),
    [anon_sym__Alignas] = ACTIONS(2946),
    [sym_primitive_type] = ACTIONS(2946),
    [anon_sym_enum] = ACTIONS(2946),
    [anon_sym_struct] = ACTIONS(2946),
    [anon_sym_union] = ACTIONS(2946),
    [anon_sym_if] = ACTIONS(2946),
    [anon_sym_switch] = ACTIONS(2946),
    [anon_sym_case] = ACTIONS(2946),
    [anon_sym_default] = ACTIONS(2946),
    [anon_sym_while] = ACTIONS(2946),
    [anon_sym_do] = ACTIONS(2946),
    [anon_sym_for] = ACTIONS(2946),
    [anon_sym_in] = ACTIONS(2946),
    [anon_sym_return] = ACTIONS(2946),
    [anon_sym_break] = ACTIONS(2946),
    [anon_sym_continue] = ACTIONS(2946),
    [anon_sym_goto] = ACTIONS(2946),
    [anon_sym_DASH_DASH] = ACTIONS(2944),
    [anon_sym_PLUS_PLUS] = ACTIONS(2944),
    [anon_sym_sizeof] = ACTIONS(2946),
    [anon_sym___alignof__] = ACTIONS(2946),
    [anon_sym___alignof] = ACTIONS(2946),
    [anon_sym__alignof] = ACTIONS(2946),
    [anon_sym_alignof] = ACTIONS(2946),
    [anon_sym__Alignof] = ACTIONS(2946),
    [anon_sym_offsetof] = ACTIONS(2946),
    [anon_sym__Generic] = ACTIONS(2946),
    [anon_sym_asm] = ACTIONS(2946),
    [anon_sym___asm__] = ACTIONS(2946),
    [anon_sym___asm] = ACTIONS(2946),
    [sym_number_literal] = ACTIONS(2944),
    [anon_sym_L_SQUOTE] = ACTIONS(2944),
    [anon_sym_u_SQUOTE] = ACTIONS(2944),
    [anon_sym_U_SQUOTE] = ACTIONS(2944),
    [anon_sym_u8_SQUOTE] = ACTIONS(2944),
    [anon_sym_SQUOTE] = ACTIONS(2944),
    [anon_sym_AT] = ACTIONS(2946),
    [anon_sym_DQUOTE] = ACTIONS(2944),
    [anon_sym_L_DQUOTE] = ACTIONS(2944),
    [anon_sym_u_DQUOTE] = ACTIONS(2944),
    [anon_sym_U_DQUOTE] = ACTIONS(2944),
    [anon_sym_u8_DQUOTE] = ACTIONS(2944),
    [sym_true] = ACTIONS(2946),
    [sym_false] = ACTIONS(2946),
    [anon_sym_NULL] = ACTIONS(2946),
    [anon_sym_nullptr] = ACTIONS(2946),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2946),
    [anon_sym___typeof] = ACTIONS(2946),
    [anon_sym_typeof] = ACTIONS(2946),
    [anon_sym_ATimport] = ACTIONS(2944),
    [aux_sym_preproc_undef_token1] = ACTIONS(2946),
    [anon_sym_POUND] = ACTIONS(2946),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2946),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2946),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2946),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2946),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2946),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2946),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2946),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2946),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2946),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2946),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2946),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2946),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2946),
    [anon_sym_API_AVAILABLE] = ACTIONS(2946),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2946),
    [anon_sym_API_DEPRECATED] = ACTIONS(2946),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2946),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2946),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2946),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2946),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2946),
    [anon_sym___deprecated_msg] = ACTIONS(2946),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2946),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2946),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2946),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2946),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2946),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2946),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2946),
    [anon_sym_ATprotocol] = ACTIONS(2944),
    [anon_sym_ATinterface] = ACTIONS(2944),
    [anon_sym_ATimplementation] = ACTIONS(2944),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2944),
    [anon_sym_ATselector] = ACTIONS(2944),
    [anon_sym_ATavailable] = ACTIONS(2944),
    [anon_sym___builtin_available] = ACTIONS(2946),
    [anon_sym_va_arg] = ACTIONS(2946),
    [anon_sym_ATencode] = ACTIONS(2944),
    [anon_sym_BOOL] = ACTIONS(2946),
    [anon_sym_IMP] = ACTIONS(2946),
    [anon_sym_SEL] = ACTIONS(2946),
    [anon_sym_Class] = ACTIONS(2946),
    [anon_sym_id] = ACTIONS(2946),
  },
  [997] = {
    [ts_builtin_sym_end] = ACTIONS(2664),
    [sym_identifier] = ACTIONS(2662),
    [aux_sym_preproc_include_token1] = ACTIONS(2662),
    [aux_sym_preproc_include_token2] = ACTIONS(2662),
    [aux_sym_preproc_def_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2662),
    [sym_preproc_directive] = ACTIONS(2662),
    [anon_sym_LPAREN2] = ACTIONS(2664),
    [anon_sym_BANG] = ACTIONS(2664),
    [anon_sym_TILDE] = ACTIONS(2664),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_STAR] = ACTIONS(2664),
    [anon_sym_CARET] = ACTIONS(2664),
    [anon_sym_AMP] = ACTIONS(2664),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym___extension__] = ACTIONS(2662),
    [anon_sym_typedef] = ACTIONS(2662),
    [anon_sym_extern] = ACTIONS(2662),
    [anon_sym___attribute__] = ACTIONS(2662),
    [anon_sym___attribute] = ACTIONS(2662),
    [anon_sym_noreturn] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym___declspec] = ACTIONS(2662),
    [anon_sym___cdecl] = ACTIONS(2662),
    [anon_sym___clrcall] = ACTIONS(2662),
    [anon_sym___stdcall] = ACTIONS(2662),
    [anon_sym___fastcall] = ACTIONS(2662),
    [anon_sym___thiscall] = ACTIONS(2662),
    [anon_sym___vectorcall] = ACTIONS(2662),
    [anon_sym_LBRACE] = ACTIONS(2664),
    [anon_sym_signed] = ACTIONS(2662),
    [anon_sym_unsigned] = ACTIONS(2662),
    [anon_sym_long] = ACTIONS(2662),
    [anon_sym_short] = ACTIONS(2662),
    [anon_sym_static] = ACTIONS(2662),
    [anon_sym_ATautoreleasepool] = ACTIONS(2664),
    [anon_sym_auto] = ACTIONS(2662),
    [anon_sym_register] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym___inline] = ACTIONS(2662),
    [anon_sym___inline__] = ACTIONS(2662),
    [anon_sym___forceinline] = ACTIONS(2662),
    [anon_sym_thread_local] = ACTIONS(2662),
    [anon_sym___thread] = ACTIONS(2662),
    [anon_sym_CG_EXTERN] = ACTIONS(2662),
    [anon_sym_CG_INLINE] = ACTIONS(2662),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2662),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2662),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2662),
    [anon_sym_IBOutlet] = ACTIONS(2662),
    [anon_sym_IBInspectable] = ACTIONS(2662),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2662),
    [anon_sym_NS_INLINE] = ACTIONS(2662),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2662),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2662),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2662),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_constexpr] = ACTIONS(2662),
    [anon_sym_volatile] = ACTIONS(2662),
    [anon_sym_restrict] = ACTIONS(2662),
    [anon_sym___restrict__] = ACTIONS(2662),
    [anon_sym__Atomic] = ACTIONS(2662),
    [anon_sym__Noreturn] = ACTIONS(2662),
    [anon_sym__Nonnull] = ACTIONS(2662),
    [anon_sym_nullable] = ACTIONS(2662),
    [anon_sym__Complex] = ACTIONS(2662),
    [anon_sym__Nullable] = ACTIONS(2662),
    [anon_sym__Nullable_result] = ACTIONS(2662),
    [anon_sym__Null_unspecified] = ACTIONS(2662),
    [anon_sym___autoreleasing] = ACTIONS(2662),
    [anon_sym___block] = ACTIONS(2662),
    [anon_sym___bridge] = ACTIONS(2662),
    [anon_sym___bridge_retained] = ACTIONS(2662),
    [anon_sym___bridge_transfer] = ACTIONS(2662),
    [anon_sym___complex] = ACTIONS(2662),
    [anon_sym___const] = ACTIONS(2662),
    [anon_sym___imag] = ACTIONS(2662),
    [anon_sym___kindof] = ACTIONS(2662),
    [anon_sym___nonnull] = ACTIONS(2662),
    [anon_sym___nullable] = ACTIONS(2662),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2662),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2662),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2662),
    [anon_sym___real] = ACTIONS(2662),
    [anon_sym___strong] = ACTIONS(2662),
    [anon_sym___unsafe_unretained] = ACTIONS(2662),
    [anon_sym___unused] = ACTIONS(2662),
    [anon_sym___weak] = ACTIONS(2662),
    [anon_sym_alignas] = ACTIONS(2662),
    [anon_sym__Alignas] = ACTIONS(2662),
    [sym_primitive_type] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_struct] = ACTIONS(2662),
    [anon_sym_union] = ACTIONS(2662),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_switch] = ACTIONS(2662),
    [anon_sym_case] = ACTIONS(2662),
    [anon_sym_default] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2662),
    [anon_sym_do] = ACTIONS(2662),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_in] = ACTIONS(2662),
    [anon_sym_return] = ACTIONS(2662),
    [anon_sym_break] = ACTIONS(2662),
    [anon_sym_continue] = ACTIONS(2662),
    [anon_sym_goto] = ACTIONS(2662),
    [anon_sym_DASH_DASH] = ACTIONS(2664),
    [anon_sym_PLUS_PLUS] = ACTIONS(2664),
    [anon_sym_sizeof] = ACTIONS(2662),
    [anon_sym___alignof__] = ACTIONS(2662),
    [anon_sym___alignof] = ACTIONS(2662),
    [anon_sym__alignof] = ACTIONS(2662),
    [anon_sym_alignof] = ACTIONS(2662),
    [anon_sym__Alignof] = ACTIONS(2662),
    [anon_sym_offsetof] = ACTIONS(2662),
    [anon_sym__Generic] = ACTIONS(2662),
    [anon_sym_asm] = ACTIONS(2662),
    [anon_sym___asm__] = ACTIONS(2662),
    [anon_sym___asm] = ACTIONS(2662),
    [sym_number_literal] = ACTIONS(2664),
    [anon_sym_L_SQUOTE] = ACTIONS(2664),
    [anon_sym_u_SQUOTE] = ACTIONS(2664),
    [anon_sym_U_SQUOTE] = ACTIONS(2664),
    [anon_sym_u8_SQUOTE] = ACTIONS(2664),
    [anon_sym_SQUOTE] = ACTIONS(2664),
    [anon_sym_AT] = ACTIONS(2662),
    [anon_sym_DQUOTE] = ACTIONS(2664),
    [anon_sym_L_DQUOTE] = ACTIONS(2664),
    [anon_sym_u_DQUOTE] = ACTIONS(2664),
    [anon_sym_U_DQUOTE] = ACTIONS(2664),
    [anon_sym_u8_DQUOTE] = ACTIONS(2664),
    [sym_true] = ACTIONS(2662),
    [sym_false] = ACTIONS(2662),
    [anon_sym_NULL] = ACTIONS(2662),
    [anon_sym_nullptr] = ACTIONS(2662),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2662),
    [anon_sym___typeof] = ACTIONS(2662),
    [anon_sym_typeof] = ACTIONS(2662),
    [anon_sym_ATimport] = ACTIONS(2664),
    [aux_sym_preproc_undef_token1] = ACTIONS(2662),
    [anon_sym_POUND] = ACTIONS(2662),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2662),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2662),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2662),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2662),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2662),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2662),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2662),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2662),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2662),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_API_AVAILABLE] = ACTIONS(2662),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_API_DEPRECATED] = ACTIONS(2662),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2662),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2662),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2662),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2662),
    [anon_sym___deprecated_msg] = ACTIONS(2662),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2662),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2662),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2662),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2662),
    [anon_sym_ATprotocol] = ACTIONS(2664),
    [anon_sym_ATinterface] = ACTIONS(2664),
    [anon_sym_ATimplementation] = ACTIONS(2664),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2664),
    [anon_sym_ATselector] = ACTIONS(2664),
    [anon_sym_ATavailable] = ACTIONS(2664),
    [anon_sym___builtin_available] = ACTIONS(2662),
    [anon_sym_va_arg] = ACTIONS(2662),
    [anon_sym_ATencode] = ACTIONS(2664),
    [anon_sym_BOOL] = ACTIONS(2662),
    [anon_sym_IMP] = ACTIONS(2662),
    [anon_sym_SEL] = ACTIONS(2662),
    [anon_sym_Class] = ACTIONS(2662),
    [anon_sym_id] = ACTIONS(2662),
  },
  [998] = {
    [ts_builtin_sym_end] = ACTIONS(2948),
    [sym_identifier] = ACTIONS(2950),
    [aux_sym_preproc_include_token1] = ACTIONS(2950),
    [aux_sym_preproc_include_token2] = ACTIONS(2950),
    [aux_sym_preproc_def_token1] = ACTIONS(2950),
    [aux_sym_preproc_if_token1] = ACTIONS(2950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2950),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2950),
    [sym_preproc_directive] = ACTIONS(2950),
    [anon_sym_LPAREN2] = ACTIONS(2948),
    [anon_sym_BANG] = ACTIONS(2948),
    [anon_sym_TILDE] = ACTIONS(2948),
    [anon_sym_DASH] = ACTIONS(2950),
    [anon_sym_PLUS] = ACTIONS(2950),
    [anon_sym_STAR] = ACTIONS(2948),
    [anon_sym_CARET] = ACTIONS(2948),
    [anon_sym_AMP] = ACTIONS(2948),
    [anon_sym_SEMI] = ACTIONS(2948),
    [anon_sym___extension__] = ACTIONS(2950),
    [anon_sym_typedef] = ACTIONS(2950),
    [anon_sym_extern] = ACTIONS(2950),
    [anon_sym___attribute__] = ACTIONS(2950),
    [anon_sym___attribute] = ACTIONS(2950),
    [anon_sym_noreturn] = ACTIONS(2950),
    [anon_sym_LBRACK] = ACTIONS(2948),
    [anon_sym___declspec] = ACTIONS(2950),
    [anon_sym___cdecl] = ACTIONS(2950),
    [anon_sym___clrcall] = ACTIONS(2950),
    [anon_sym___stdcall] = ACTIONS(2950),
    [anon_sym___fastcall] = ACTIONS(2950),
    [anon_sym___thiscall] = ACTIONS(2950),
    [anon_sym___vectorcall] = ACTIONS(2950),
    [anon_sym_LBRACE] = ACTIONS(2948),
    [anon_sym_signed] = ACTIONS(2950),
    [anon_sym_unsigned] = ACTIONS(2950),
    [anon_sym_long] = ACTIONS(2950),
    [anon_sym_short] = ACTIONS(2950),
    [anon_sym_static] = ACTIONS(2950),
    [anon_sym_ATautoreleasepool] = ACTIONS(2948),
    [anon_sym_auto] = ACTIONS(2950),
    [anon_sym_register] = ACTIONS(2950),
    [anon_sym_inline] = ACTIONS(2950),
    [anon_sym___inline] = ACTIONS(2950),
    [anon_sym___inline__] = ACTIONS(2950),
    [anon_sym___forceinline] = ACTIONS(2950),
    [anon_sym_thread_local] = ACTIONS(2950),
    [anon_sym___thread] = ACTIONS(2950),
    [anon_sym_CG_EXTERN] = ACTIONS(2950),
    [anon_sym_CG_INLINE] = ACTIONS(2950),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2950),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2950),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2950),
    [anon_sym_IBOutlet] = ACTIONS(2950),
    [anon_sym_IBInspectable] = ACTIONS(2950),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2950),
    [anon_sym_NS_INLINE] = ACTIONS(2950),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2950),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2950),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2950),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2950),
    [anon_sym_const] = ACTIONS(2950),
    [anon_sym_constexpr] = ACTIONS(2950),
    [anon_sym_volatile] = ACTIONS(2950),
    [anon_sym_restrict] = ACTIONS(2950),
    [anon_sym___restrict__] = ACTIONS(2950),
    [anon_sym__Atomic] = ACTIONS(2950),
    [anon_sym__Noreturn] = ACTIONS(2950),
    [anon_sym__Nonnull] = ACTIONS(2950),
    [anon_sym_nullable] = ACTIONS(2950),
    [anon_sym__Complex] = ACTIONS(2950),
    [anon_sym__Nullable] = ACTIONS(2950),
    [anon_sym__Nullable_result] = ACTIONS(2950),
    [anon_sym__Null_unspecified] = ACTIONS(2950),
    [anon_sym___autoreleasing] = ACTIONS(2950),
    [anon_sym___block] = ACTIONS(2950),
    [anon_sym___bridge] = ACTIONS(2950),
    [anon_sym___bridge_retained] = ACTIONS(2950),
    [anon_sym___bridge_transfer] = ACTIONS(2950),
    [anon_sym___complex] = ACTIONS(2950),
    [anon_sym___const] = ACTIONS(2950),
    [anon_sym___imag] = ACTIONS(2950),
    [anon_sym___kindof] = ACTIONS(2950),
    [anon_sym___nonnull] = ACTIONS(2950),
    [anon_sym___nullable] = ACTIONS(2950),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2950),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2950),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2950),
    [anon_sym___real] = ACTIONS(2950),
    [anon_sym___strong] = ACTIONS(2950),
    [anon_sym___unsafe_unretained] = ACTIONS(2950),
    [anon_sym___unused] = ACTIONS(2950),
    [anon_sym___weak] = ACTIONS(2950),
    [anon_sym_alignas] = ACTIONS(2950),
    [anon_sym__Alignas] = ACTIONS(2950),
    [sym_primitive_type] = ACTIONS(2950),
    [anon_sym_enum] = ACTIONS(2950),
    [anon_sym_struct] = ACTIONS(2950),
    [anon_sym_union] = ACTIONS(2950),
    [anon_sym_if] = ACTIONS(2950),
    [anon_sym_switch] = ACTIONS(2950),
    [anon_sym_case] = ACTIONS(2950),
    [anon_sym_default] = ACTIONS(2950),
    [anon_sym_while] = ACTIONS(2950),
    [anon_sym_do] = ACTIONS(2950),
    [anon_sym_for] = ACTIONS(2950),
    [anon_sym_in] = ACTIONS(2950),
    [anon_sym_return] = ACTIONS(2950),
    [anon_sym_break] = ACTIONS(2950),
    [anon_sym_continue] = ACTIONS(2950),
    [anon_sym_goto] = ACTIONS(2950),
    [anon_sym_DASH_DASH] = ACTIONS(2948),
    [anon_sym_PLUS_PLUS] = ACTIONS(2948),
    [anon_sym_sizeof] = ACTIONS(2950),
    [anon_sym___alignof__] = ACTIONS(2950),
    [anon_sym___alignof] = ACTIONS(2950),
    [anon_sym__alignof] = ACTIONS(2950),
    [anon_sym_alignof] = ACTIONS(2950),
    [anon_sym__Alignof] = ACTIONS(2950),
    [anon_sym_offsetof] = ACTIONS(2950),
    [anon_sym__Generic] = ACTIONS(2950),
    [anon_sym_asm] = ACTIONS(2950),
    [anon_sym___asm__] = ACTIONS(2950),
    [anon_sym___asm] = ACTIONS(2950),
    [sym_number_literal] = ACTIONS(2948),
    [anon_sym_L_SQUOTE] = ACTIONS(2948),
    [anon_sym_u_SQUOTE] = ACTIONS(2948),
    [anon_sym_U_SQUOTE] = ACTIONS(2948),
    [anon_sym_u8_SQUOTE] = ACTIONS(2948),
    [anon_sym_SQUOTE] = ACTIONS(2948),
    [anon_sym_AT] = ACTIONS(2950),
    [anon_sym_DQUOTE] = ACTIONS(2948),
    [anon_sym_L_DQUOTE] = ACTIONS(2948),
    [anon_sym_u_DQUOTE] = ACTIONS(2948),
    [anon_sym_U_DQUOTE] = ACTIONS(2948),
    [anon_sym_u8_DQUOTE] = ACTIONS(2948),
    [sym_true] = ACTIONS(2950),
    [sym_false] = ACTIONS(2950),
    [anon_sym_NULL] = ACTIONS(2950),
    [anon_sym_nullptr] = ACTIONS(2950),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2950),
    [anon_sym___typeof] = ACTIONS(2950),
    [anon_sym_typeof] = ACTIONS(2950),
    [anon_sym_ATimport] = ACTIONS(2948),
    [aux_sym_preproc_undef_token1] = ACTIONS(2950),
    [anon_sym_POUND] = ACTIONS(2950),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2950),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2950),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2950),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2950),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2950),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2950),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2950),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2950),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2950),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2950),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2950),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2950),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2950),
    [anon_sym_API_AVAILABLE] = ACTIONS(2950),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2950),
    [anon_sym_API_DEPRECATED] = ACTIONS(2950),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2950),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2950),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2950),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2950),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2950),
    [anon_sym___deprecated_msg] = ACTIONS(2950),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2950),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2950),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2950),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2950),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2950),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2950),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2950),
    [anon_sym_ATprotocol] = ACTIONS(2948),
    [anon_sym_ATinterface] = ACTIONS(2948),
    [anon_sym_ATimplementation] = ACTIONS(2948),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2948),
    [anon_sym_ATselector] = ACTIONS(2948),
    [anon_sym_ATavailable] = ACTIONS(2948),
    [anon_sym___builtin_available] = ACTIONS(2950),
    [anon_sym_va_arg] = ACTIONS(2950),
    [anon_sym_ATencode] = ACTIONS(2948),
    [anon_sym_BOOL] = ACTIONS(2950),
    [anon_sym_IMP] = ACTIONS(2950),
    [anon_sym_SEL] = ACTIONS(2950),
    [anon_sym_Class] = ACTIONS(2950),
    [anon_sym_id] = ACTIONS(2950),
  },
  [999] = {
    [ts_builtin_sym_end] = ACTIONS(2586),
    [sym_identifier] = ACTIONS(2584),
    [aux_sym_preproc_include_token1] = ACTIONS(2584),
    [aux_sym_preproc_include_token2] = ACTIONS(2584),
    [aux_sym_preproc_def_token1] = ACTIONS(2584),
    [aux_sym_preproc_if_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2584),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2584),
    [sym_preproc_directive] = ACTIONS(2584),
    [anon_sym_LPAREN2] = ACTIONS(2586),
    [anon_sym_BANG] = ACTIONS(2586),
    [anon_sym_TILDE] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2584),
    [anon_sym_PLUS] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_SEMI] = ACTIONS(2586),
    [anon_sym___extension__] = ACTIONS(2584),
    [anon_sym_typedef] = ACTIONS(2584),
    [anon_sym_extern] = ACTIONS(2584),
    [anon_sym___attribute__] = ACTIONS(2584),
    [anon_sym___attribute] = ACTIONS(2584),
    [anon_sym_noreturn] = ACTIONS(2584),
    [anon_sym_LBRACK] = ACTIONS(2586),
    [anon_sym___declspec] = ACTIONS(2584),
    [anon_sym___cdecl] = ACTIONS(2584),
    [anon_sym___clrcall] = ACTIONS(2584),
    [anon_sym___stdcall] = ACTIONS(2584),
    [anon_sym___fastcall] = ACTIONS(2584),
    [anon_sym___thiscall] = ACTIONS(2584),
    [anon_sym___vectorcall] = ACTIONS(2584),
    [anon_sym_LBRACE] = ACTIONS(2586),
    [anon_sym_signed] = ACTIONS(2584),
    [anon_sym_unsigned] = ACTIONS(2584),
    [anon_sym_long] = ACTIONS(2584),
    [anon_sym_short] = ACTIONS(2584),
    [anon_sym_static] = ACTIONS(2584),
    [anon_sym_ATautoreleasepool] = ACTIONS(2586),
    [anon_sym_auto] = ACTIONS(2584),
    [anon_sym_register] = ACTIONS(2584),
    [anon_sym_inline] = ACTIONS(2584),
    [anon_sym___inline] = ACTIONS(2584),
    [anon_sym___inline__] = ACTIONS(2584),
    [anon_sym___forceinline] = ACTIONS(2584),
    [anon_sym_thread_local] = ACTIONS(2584),
    [anon_sym___thread] = ACTIONS(2584),
    [anon_sym_CG_EXTERN] = ACTIONS(2584),
    [anon_sym_CG_INLINE] = ACTIONS(2584),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2584),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2584),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2584),
    [anon_sym_IBOutlet] = ACTIONS(2584),
    [anon_sym_IBInspectable] = ACTIONS(2584),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2584),
    [anon_sym_NS_INLINE] = ACTIONS(2584),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2584),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2584),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2584),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2584),
    [anon_sym_const] = ACTIONS(2584),
    [anon_sym_constexpr] = ACTIONS(2584),
    [anon_sym_volatile] = ACTIONS(2584),
    [anon_sym_restrict] = ACTIONS(2584),
    [anon_sym___restrict__] = ACTIONS(2584),
    [anon_sym__Atomic] = ACTIONS(2584),
    [anon_sym__Noreturn] = ACTIONS(2584),
    [anon_sym__Nonnull] = ACTIONS(2584),
    [anon_sym_nullable] = ACTIONS(2584),
    [anon_sym__Complex] = ACTIONS(2584),
    [anon_sym__Nullable] = ACTIONS(2584),
    [anon_sym__Nullable_result] = ACTIONS(2584),
    [anon_sym__Null_unspecified] = ACTIONS(2584),
    [anon_sym___autoreleasing] = ACTIONS(2584),
    [anon_sym___block] = ACTIONS(2584),
    [anon_sym___bridge] = ACTIONS(2584),
    [anon_sym___bridge_retained] = ACTIONS(2584),
    [anon_sym___bridge_transfer] = ACTIONS(2584),
    [anon_sym___complex] = ACTIONS(2584),
    [anon_sym___const] = ACTIONS(2584),
    [anon_sym___imag] = ACTIONS(2584),
    [anon_sym___kindof] = ACTIONS(2584),
    [anon_sym___nonnull] = ACTIONS(2584),
    [anon_sym___nullable] = ACTIONS(2584),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2584),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2584),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2584),
    [anon_sym___real] = ACTIONS(2584),
    [anon_sym___strong] = ACTIONS(2584),
    [anon_sym___unsafe_unretained] = ACTIONS(2584),
    [anon_sym___unused] = ACTIONS(2584),
    [anon_sym___weak] = ACTIONS(2584),
    [anon_sym_alignas] = ACTIONS(2584),
    [anon_sym__Alignas] = ACTIONS(2584),
    [sym_primitive_type] = ACTIONS(2584),
    [anon_sym_enum] = ACTIONS(2584),
    [anon_sym_struct] = ACTIONS(2584),
    [anon_sym_union] = ACTIONS(2584),
    [anon_sym_if] = ACTIONS(2584),
    [anon_sym_switch] = ACTIONS(2584),
    [anon_sym_case] = ACTIONS(2584),
    [anon_sym_default] = ACTIONS(2584),
    [anon_sym_while] = ACTIONS(2584),
    [anon_sym_do] = ACTIONS(2584),
    [anon_sym_for] = ACTIONS(2584),
    [anon_sym_in] = ACTIONS(2584),
    [anon_sym_return] = ACTIONS(2584),
    [anon_sym_break] = ACTIONS(2584),
    [anon_sym_continue] = ACTIONS(2584),
    [anon_sym_goto] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2584),
    [anon_sym___alignof__] = ACTIONS(2584),
    [anon_sym___alignof] = ACTIONS(2584),
    [anon_sym__alignof] = ACTIONS(2584),
    [anon_sym_alignof] = ACTIONS(2584),
    [anon_sym__Alignof] = ACTIONS(2584),
    [anon_sym_offsetof] = ACTIONS(2584),
    [anon_sym__Generic] = ACTIONS(2584),
    [anon_sym_asm] = ACTIONS(2584),
    [anon_sym___asm__] = ACTIONS(2584),
    [anon_sym___asm] = ACTIONS(2584),
    [sym_number_literal] = ACTIONS(2586),
    [anon_sym_L_SQUOTE] = ACTIONS(2586),
    [anon_sym_u_SQUOTE] = ACTIONS(2586),
    [anon_sym_U_SQUOTE] = ACTIONS(2586),
    [anon_sym_u8_SQUOTE] = ACTIONS(2586),
    [anon_sym_SQUOTE] = ACTIONS(2586),
    [anon_sym_AT] = ACTIONS(2584),
    [anon_sym_DQUOTE] = ACTIONS(2586),
    [anon_sym_L_DQUOTE] = ACTIONS(2586),
    [anon_sym_u_DQUOTE] = ACTIONS(2586),
    [anon_sym_U_DQUOTE] = ACTIONS(2586),
    [anon_sym_u8_DQUOTE] = ACTIONS(2586),
    [sym_true] = ACTIONS(2584),
    [sym_false] = ACTIONS(2584),
    [anon_sym_NULL] = ACTIONS(2584),
    [anon_sym_nullptr] = ACTIONS(2584),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2584),
    [anon_sym___typeof] = ACTIONS(2584),
    [anon_sym_typeof] = ACTIONS(2584),
    [anon_sym_ATimport] = ACTIONS(2586),
    [aux_sym_preproc_undef_token1] = ACTIONS(2584),
    [anon_sym_POUND] = ACTIONS(2584),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2584),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2584),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2584),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2584),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2584),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2584),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2584),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2584),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2584),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2584),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2584),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2584),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2584),
    [anon_sym_API_AVAILABLE] = ACTIONS(2584),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2584),
    [anon_sym_API_DEPRECATED] = ACTIONS(2584),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2584),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2584),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2584),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2584),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2584),
    [anon_sym___deprecated_msg] = ACTIONS(2584),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2584),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2584),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2584),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2584),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2584),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2584),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2584),
    [anon_sym_ATprotocol] = ACTIONS(2586),
    [anon_sym_ATinterface] = ACTIONS(2586),
    [anon_sym_ATimplementation] = ACTIONS(2586),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2586),
    [anon_sym_ATselector] = ACTIONS(2586),
    [anon_sym_ATavailable] = ACTIONS(2586),
    [anon_sym___builtin_available] = ACTIONS(2584),
    [anon_sym_va_arg] = ACTIONS(2584),
    [anon_sym_ATencode] = ACTIONS(2586),
    [anon_sym_BOOL] = ACTIONS(2584),
    [anon_sym_IMP] = ACTIONS(2584),
    [anon_sym_SEL] = ACTIONS(2584),
    [anon_sym_Class] = ACTIONS(2584),
    [anon_sym_id] = ACTIONS(2584),
  },
  [1000] = {
    [ts_builtin_sym_end] = ACTIONS(2590),
    [sym_identifier] = ACTIONS(2588),
    [aux_sym_preproc_include_token1] = ACTIONS(2588),
    [aux_sym_preproc_include_token2] = ACTIONS(2588),
    [aux_sym_preproc_def_token1] = ACTIONS(2588),
    [aux_sym_preproc_if_token1] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2588),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2588),
    [sym_preproc_directive] = ACTIONS(2588),
    [anon_sym_LPAREN2] = ACTIONS(2590),
    [anon_sym_BANG] = ACTIONS(2590),
    [anon_sym_TILDE] = ACTIONS(2590),
    [anon_sym_DASH] = ACTIONS(2588),
    [anon_sym_PLUS] = ACTIONS(2588),
    [anon_sym_STAR] = ACTIONS(2590),
    [anon_sym_CARET] = ACTIONS(2590),
    [anon_sym_AMP] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2590),
    [anon_sym___extension__] = ACTIONS(2588),
    [anon_sym_typedef] = ACTIONS(2588),
    [anon_sym_extern] = ACTIONS(2588),
    [anon_sym___attribute__] = ACTIONS(2588),
    [anon_sym___attribute] = ACTIONS(2588),
    [anon_sym_noreturn] = ACTIONS(2588),
    [anon_sym_LBRACK] = ACTIONS(2590),
    [anon_sym___declspec] = ACTIONS(2588),
    [anon_sym___cdecl] = ACTIONS(2588),
    [anon_sym___clrcall] = ACTIONS(2588),
    [anon_sym___stdcall] = ACTIONS(2588),
    [anon_sym___fastcall] = ACTIONS(2588),
    [anon_sym___thiscall] = ACTIONS(2588),
    [anon_sym___vectorcall] = ACTIONS(2588),
    [anon_sym_LBRACE] = ACTIONS(2590),
    [anon_sym_signed] = ACTIONS(2588),
    [anon_sym_unsigned] = ACTIONS(2588),
    [anon_sym_long] = ACTIONS(2588),
    [anon_sym_short] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_ATautoreleasepool] = ACTIONS(2590),
    [anon_sym_auto] = ACTIONS(2588),
    [anon_sym_register] = ACTIONS(2588),
    [anon_sym_inline] = ACTIONS(2588),
    [anon_sym___inline] = ACTIONS(2588),
    [anon_sym___inline__] = ACTIONS(2588),
    [anon_sym___forceinline] = ACTIONS(2588),
    [anon_sym_thread_local] = ACTIONS(2588),
    [anon_sym___thread] = ACTIONS(2588),
    [anon_sym_CG_EXTERN] = ACTIONS(2588),
    [anon_sym_CG_INLINE] = ACTIONS(2588),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2588),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2588),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2588),
    [anon_sym_IBOutlet] = ACTIONS(2588),
    [anon_sym_IBInspectable] = ACTIONS(2588),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2588),
    [anon_sym_NS_INLINE] = ACTIONS(2588),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2588),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2588),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2588),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2588),
    [anon_sym_const] = ACTIONS(2588),
    [anon_sym_constexpr] = ACTIONS(2588),
    [anon_sym_volatile] = ACTIONS(2588),
    [anon_sym_restrict] = ACTIONS(2588),
    [anon_sym___restrict__] = ACTIONS(2588),
    [anon_sym__Atomic] = ACTIONS(2588),
    [anon_sym__Noreturn] = ACTIONS(2588),
    [anon_sym__Nonnull] = ACTIONS(2588),
    [anon_sym_nullable] = ACTIONS(2588),
    [anon_sym__Complex] = ACTIONS(2588),
    [anon_sym__Nullable] = ACTIONS(2588),
    [anon_sym__Nullable_result] = ACTIONS(2588),
    [anon_sym__Null_unspecified] = ACTIONS(2588),
    [anon_sym___autoreleasing] = ACTIONS(2588),
    [anon_sym___block] = ACTIONS(2588),
    [anon_sym___bridge] = ACTIONS(2588),
    [anon_sym___bridge_retained] = ACTIONS(2588),
    [anon_sym___bridge_transfer] = ACTIONS(2588),
    [anon_sym___complex] = ACTIONS(2588),
    [anon_sym___const] = ACTIONS(2588),
    [anon_sym___imag] = ACTIONS(2588),
    [anon_sym___kindof] = ACTIONS(2588),
    [anon_sym___nonnull] = ACTIONS(2588),
    [anon_sym___nullable] = ACTIONS(2588),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2588),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2588),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2588),
    [anon_sym___real] = ACTIONS(2588),
    [anon_sym___strong] = ACTIONS(2588),
    [anon_sym___unsafe_unretained] = ACTIONS(2588),
    [anon_sym___unused] = ACTIONS(2588),
    [anon_sym___weak] = ACTIONS(2588),
    [anon_sym_alignas] = ACTIONS(2588),
    [anon_sym__Alignas] = ACTIONS(2588),
    [sym_primitive_type] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_struct] = ACTIONS(2588),
    [anon_sym_union] = ACTIONS(2588),
    [anon_sym_if] = ACTIONS(2588),
    [anon_sym_switch] = ACTIONS(2588),
    [anon_sym_case] = ACTIONS(2588),
    [anon_sym_default] = ACTIONS(2588),
    [anon_sym_while] = ACTIONS(2588),
    [anon_sym_do] = ACTIONS(2588),
    [anon_sym_for] = ACTIONS(2588),
    [anon_sym_in] = ACTIONS(2588),
    [anon_sym_return] = ACTIONS(2588),
    [anon_sym_break] = ACTIONS(2588),
    [anon_sym_continue] = ACTIONS(2588),
    [anon_sym_goto] = ACTIONS(2588),
    [anon_sym_DASH_DASH] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2590),
    [anon_sym_sizeof] = ACTIONS(2588),
    [anon_sym___alignof__] = ACTIONS(2588),
    [anon_sym___alignof] = ACTIONS(2588),
    [anon_sym__alignof] = ACTIONS(2588),
    [anon_sym_alignof] = ACTIONS(2588),
    [anon_sym__Alignof] = ACTIONS(2588),
    [anon_sym_offsetof] = ACTIONS(2588),
    [anon_sym__Generic] = ACTIONS(2588),
    [anon_sym_asm] = ACTIONS(2588),
    [anon_sym___asm__] = ACTIONS(2588),
    [anon_sym___asm] = ACTIONS(2588),
    [sym_number_literal] = ACTIONS(2590),
    [anon_sym_L_SQUOTE] = ACTIONS(2590),
    [anon_sym_u_SQUOTE] = ACTIONS(2590),
    [anon_sym_U_SQUOTE] = ACTIONS(2590),
    [anon_sym_u8_SQUOTE] = ACTIONS(2590),
    [anon_sym_SQUOTE] = ACTIONS(2590),
    [anon_sym_AT] = ACTIONS(2588),
    [anon_sym_DQUOTE] = ACTIONS(2590),
    [anon_sym_L_DQUOTE] = ACTIONS(2590),
    [anon_sym_u_DQUOTE] = ACTIONS(2590),
    [anon_sym_U_DQUOTE] = ACTIONS(2590),
    [anon_sym_u8_DQUOTE] = ACTIONS(2590),
    [sym_true] = ACTIONS(2588),
    [sym_false] = ACTIONS(2588),
    [anon_sym_NULL] = ACTIONS(2588),
    [anon_sym_nullptr] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2588),
    [anon_sym___typeof] = ACTIONS(2588),
    [anon_sym_typeof] = ACTIONS(2588),
    [anon_sym_ATimport] = ACTIONS(2590),
    [aux_sym_preproc_undef_token1] = ACTIONS(2588),
    [anon_sym_POUND] = ACTIONS(2588),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2588),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2588),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2588),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2588),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2588),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2588),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2588),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2588),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2588),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2588),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2588),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2588),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2588),
    [anon_sym_API_AVAILABLE] = ACTIONS(2588),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2588),
    [anon_sym_API_DEPRECATED] = ACTIONS(2588),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2588),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2588),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2588),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2588),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2588),
    [anon_sym___deprecated_msg] = ACTIONS(2588),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2588),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2588),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2588),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2588),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2588),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2588),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2588),
    [anon_sym_ATprotocol] = ACTIONS(2590),
    [anon_sym_ATinterface] = ACTIONS(2590),
    [anon_sym_ATimplementation] = ACTIONS(2590),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2590),
    [anon_sym_ATselector] = ACTIONS(2590),
    [anon_sym_ATavailable] = ACTIONS(2590),
    [anon_sym___builtin_available] = ACTIONS(2588),
    [anon_sym_va_arg] = ACTIONS(2588),
    [anon_sym_ATencode] = ACTIONS(2590),
    [anon_sym_BOOL] = ACTIONS(2588),
    [anon_sym_IMP] = ACTIONS(2588),
    [anon_sym_SEL] = ACTIONS(2588),
    [anon_sym_Class] = ACTIONS(2588),
    [anon_sym_id] = ACTIONS(2588),
  },
  [1001] = {
    [ts_builtin_sym_end] = ACTIONS(2594),
    [sym_identifier] = ACTIONS(2592),
    [aux_sym_preproc_include_token1] = ACTIONS(2592),
    [aux_sym_preproc_include_token2] = ACTIONS(2592),
    [aux_sym_preproc_def_token1] = ACTIONS(2592),
    [aux_sym_preproc_if_token1] = ACTIONS(2592),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2592),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2592),
    [sym_preproc_directive] = ACTIONS(2592),
    [anon_sym_LPAREN2] = ACTIONS(2594),
    [anon_sym_BANG] = ACTIONS(2594),
    [anon_sym_TILDE] = ACTIONS(2594),
    [anon_sym_DASH] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_STAR] = ACTIONS(2594),
    [anon_sym_CARET] = ACTIONS(2594),
    [anon_sym_AMP] = ACTIONS(2594),
    [anon_sym_SEMI] = ACTIONS(2594),
    [anon_sym___extension__] = ACTIONS(2592),
    [anon_sym_typedef] = ACTIONS(2592),
    [anon_sym_extern] = ACTIONS(2592),
    [anon_sym___attribute__] = ACTIONS(2592),
    [anon_sym___attribute] = ACTIONS(2592),
    [anon_sym_noreturn] = ACTIONS(2592),
    [anon_sym_LBRACK] = ACTIONS(2594),
    [anon_sym___declspec] = ACTIONS(2592),
    [anon_sym___cdecl] = ACTIONS(2592),
    [anon_sym___clrcall] = ACTIONS(2592),
    [anon_sym___stdcall] = ACTIONS(2592),
    [anon_sym___fastcall] = ACTIONS(2592),
    [anon_sym___thiscall] = ACTIONS(2592),
    [anon_sym___vectorcall] = ACTIONS(2592),
    [anon_sym_LBRACE] = ACTIONS(2594),
    [anon_sym_signed] = ACTIONS(2592),
    [anon_sym_unsigned] = ACTIONS(2592),
    [anon_sym_long] = ACTIONS(2592),
    [anon_sym_short] = ACTIONS(2592),
    [anon_sym_static] = ACTIONS(2592),
    [anon_sym_ATautoreleasepool] = ACTIONS(2594),
    [anon_sym_auto] = ACTIONS(2592),
    [anon_sym_register] = ACTIONS(2592),
    [anon_sym_inline] = ACTIONS(2592),
    [anon_sym___inline] = ACTIONS(2592),
    [anon_sym___inline__] = ACTIONS(2592),
    [anon_sym___forceinline] = ACTIONS(2592),
    [anon_sym_thread_local] = ACTIONS(2592),
    [anon_sym___thread] = ACTIONS(2592),
    [anon_sym_CG_EXTERN] = ACTIONS(2592),
    [anon_sym_CG_INLINE] = ACTIONS(2592),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2592),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2592),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2592),
    [anon_sym_IBOutlet] = ACTIONS(2592),
    [anon_sym_IBInspectable] = ACTIONS(2592),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2592),
    [anon_sym_NS_INLINE] = ACTIONS(2592),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2592),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2592),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2592),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2592),
    [anon_sym_const] = ACTIONS(2592),
    [anon_sym_constexpr] = ACTIONS(2592),
    [anon_sym_volatile] = ACTIONS(2592),
    [anon_sym_restrict] = ACTIONS(2592),
    [anon_sym___restrict__] = ACTIONS(2592),
    [anon_sym__Atomic] = ACTIONS(2592),
    [anon_sym__Noreturn] = ACTIONS(2592),
    [anon_sym__Nonnull] = ACTIONS(2592),
    [anon_sym_nullable] = ACTIONS(2592),
    [anon_sym__Complex] = ACTIONS(2592),
    [anon_sym__Nullable] = ACTIONS(2592),
    [anon_sym__Nullable_result] = ACTIONS(2592),
    [anon_sym__Null_unspecified] = ACTIONS(2592),
    [anon_sym___autoreleasing] = ACTIONS(2592),
    [anon_sym___block] = ACTIONS(2592),
    [anon_sym___bridge] = ACTIONS(2592),
    [anon_sym___bridge_retained] = ACTIONS(2592),
    [anon_sym___bridge_transfer] = ACTIONS(2592),
    [anon_sym___complex] = ACTIONS(2592),
    [anon_sym___const] = ACTIONS(2592),
    [anon_sym___imag] = ACTIONS(2592),
    [anon_sym___kindof] = ACTIONS(2592),
    [anon_sym___nonnull] = ACTIONS(2592),
    [anon_sym___nullable] = ACTIONS(2592),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2592),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2592),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2592),
    [anon_sym___real] = ACTIONS(2592),
    [anon_sym___strong] = ACTIONS(2592),
    [anon_sym___unsafe_unretained] = ACTIONS(2592),
    [anon_sym___unused] = ACTIONS(2592),
    [anon_sym___weak] = ACTIONS(2592),
    [anon_sym_alignas] = ACTIONS(2592),
    [anon_sym__Alignas] = ACTIONS(2592),
    [sym_primitive_type] = ACTIONS(2592),
    [anon_sym_enum] = ACTIONS(2592),
    [anon_sym_struct] = ACTIONS(2592),
    [anon_sym_union] = ACTIONS(2592),
    [anon_sym_if] = ACTIONS(2592),
    [anon_sym_switch] = ACTIONS(2592),
    [anon_sym_case] = ACTIONS(2592),
    [anon_sym_default] = ACTIONS(2592),
    [anon_sym_while] = ACTIONS(2592),
    [anon_sym_do] = ACTIONS(2592),
    [anon_sym_for] = ACTIONS(2592),
    [anon_sym_in] = ACTIONS(2592),
    [anon_sym_return] = ACTIONS(2592),
    [anon_sym_break] = ACTIONS(2592),
    [anon_sym_continue] = ACTIONS(2592),
    [anon_sym_goto] = ACTIONS(2592),
    [anon_sym_DASH_DASH] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2594),
    [anon_sym_sizeof] = ACTIONS(2592),
    [anon_sym___alignof__] = ACTIONS(2592),
    [anon_sym___alignof] = ACTIONS(2592),
    [anon_sym__alignof] = ACTIONS(2592),
    [anon_sym_alignof] = ACTIONS(2592),
    [anon_sym__Alignof] = ACTIONS(2592),
    [anon_sym_offsetof] = ACTIONS(2592),
    [anon_sym__Generic] = ACTIONS(2592),
    [anon_sym_asm] = ACTIONS(2592),
    [anon_sym___asm__] = ACTIONS(2592),
    [anon_sym___asm] = ACTIONS(2592),
    [sym_number_literal] = ACTIONS(2594),
    [anon_sym_L_SQUOTE] = ACTIONS(2594),
    [anon_sym_u_SQUOTE] = ACTIONS(2594),
    [anon_sym_U_SQUOTE] = ACTIONS(2594),
    [anon_sym_u8_SQUOTE] = ACTIONS(2594),
    [anon_sym_SQUOTE] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2592),
    [anon_sym_DQUOTE] = ACTIONS(2594),
    [anon_sym_L_DQUOTE] = ACTIONS(2594),
    [anon_sym_u_DQUOTE] = ACTIONS(2594),
    [anon_sym_U_DQUOTE] = ACTIONS(2594),
    [anon_sym_u8_DQUOTE] = ACTIONS(2594),
    [sym_true] = ACTIONS(2592),
    [sym_false] = ACTIONS(2592),
    [anon_sym_NULL] = ACTIONS(2592),
    [anon_sym_nullptr] = ACTIONS(2592),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2592),
    [anon_sym___typeof] = ACTIONS(2592),
    [anon_sym_typeof] = ACTIONS(2592),
    [anon_sym_ATimport] = ACTIONS(2594),
    [aux_sym_preproc_undef_token1] = ACTIONS(2592),
    [anon_sym_POUND] = ACTIONS(2592),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2592),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2592),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2592),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2592),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2592),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2592),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2592),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2592),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2592),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2592),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2592),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2592),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2592),
    [anon_sym_API_AVAILABLE] = ACTIONS(2592),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2592),
    [anon_sym_API_DEPRECATED] = ACTIONS(2592),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2592),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2592),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2592),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2592),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2592),
    [anon_sym___deprecated_msg] = ACTIONS(2592),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2592),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2592),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2592),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2592),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2592),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2592),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2592),
    [anon_sym_ATprotocol] = ACTIONS(2594),
    [anon_sym_ATinterface] = ACTIONS(2594),
    [anon_sym_ATimplementation] = ACTIONS(2594),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2594),
    [anon_sym_ATselector] = ACTIONS(2594),
    [anon_sym_ATavailable] = ACTIONS(2594),
    [anon_sym___builtin_available] = ACTIONS(2592),
    [anon_sym_va_arg] = ACTIONS(2592),
    [anon_sym_ATencode] = ACTIONS(2594),
    [anon_sym_BOOL] = ACTIONS(2592),
    [anon_sym_IMP] = ACTIONS(2592),
    [anon_sym_SEL] = ACTIONS(2592),
    [anon_sym_Class] = ACTIONS(2592),
    [anon_sym_id] = ACTIONS(2592),
  },
  [1002] = {
    [ts_builtin_sym_end] = ACTIONS(2598),
    [sym_identifier] = ACTIONS(2596),
    [aux_sym_preproc_include_token1] = ACTIONS(2596),
    [aux_sym_preproc_include_token2] = ACTIONS(2596),
    [aux_sym_preproc_def_token1] = ACTIONS(2596),
    [aux_sym_preproc_if_token1] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2596),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2596),
    [sym_preproc_directive] = ACTIONS(2596),
    [anon_sym_LPAREN2] = ACTIONS(2598),
    [anon_sym_BANG] = ACTIONS(2598),
    [anon_sym_TILDE] = ACTIONS(2598),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_STAR] = ACTIONS(2598),
    [anon_sym_CARET] = ACTIONS(2598),
    [anon_sym_AMP] = ACTIONS(2598),
    [anon_sym_SEMI] = ACTIONS(2598),
    [anon_sym___extension__] = ACTIONS(2596),
    [anon_sym_typedef] = ACTIONS(2596),
    [anon_sym_extern] = ACTIONS(2596),
    [anon_sym___attribute__] = ACTIONS(2596),
    [anon_sym___attribute] = ACTIONS(2596),
    [anon_sym_noreturn] = ACTIONS(2596),
    [anon_sym_LBRACK] = ACTIONS(2598),
    [anon_sym___declspec] = ACTIONS(2596),
    [anon_sym___cdecl] = ACTIONS(2596),
    [anon_sym___clrcall] = ACTIONS(2596),
    [anon_sym___stdcall] = ACTIONS(2596),
    [anon_sym___fastcall] = ACTIONS(2596),
    [anon_sym___thiscall] = ACTIONS(2596),
    [anon_sym___vectorcall] = ACTIONS(2596),
    [anon_sym_LBRACE] = ACTIONS(2598),
    [anon_sym_signed] = ACTIONS(2596),
    [anon_sym_unsigned] = ACTIONS(2596),
    [anon_sym_long] = ACTIONS(2596),
    [anon_sym_short] = ACTIONS(2596),
    [anon_sym_static] = ACTIONS(2596),
    [anon_sym_ATautoreleasepool] = ACTIONS(2598),
    [anon_sym_auto] = ACTIONS(2596),
    [anon_sym_register] = ACTIONS(2596),
    [anon_sym_inline] = ACTIONS(2596),
    [anon_sym___inline] = ACTIONS(2596),
    [anon_sym___inline__] = ACTIONS(2596),
    [anon_sym___forceinline] = ACTIONS(2596),
    [anon_sym_thread_local] = ACTIONS(2596),
    [anon_sym___thread] = ACTIONS(2596),
    [anon_sym_CG_EXTERN] = ACTIONS(2596),
    [anon_sym_CG_INLINE] = ACTIONS(2596),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2596),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2596),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2596),
    [anon_sym_IBOutlet] = ACTIONS(2596),
    [anon_sym_IBInspectable] = ACTIONS(2596),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2596),
    [anon_sym_NS_INLINE] = ACTIONS(2596),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2596),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2596),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2596),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2596),
    [anon_sym_const] = ACTIONS(2596),
    [anon_sym_constexpr] = ACTIONS(2596),
    [anon_sym_volatile] = ACTIONS(2596),
    [anon_sym_restrict] = ACTIONS(2596),
    [anon_sym___restrict__] = ACTIONS(2596),
    [anon_sym__Atomic] = ACTIONS(2596),
    [anon_sym__Noreturn] = ACTIONS(2596),
    [anon_sym__Nonnull] = ACTIONS(2596),
    [anon_sym_nullable] = ACTIONS(2596),
    [anon_sym__Complex] = ACTIONS(2596),
    [anon_sym__Nullable] = ACTIONS(2596),
    [anon_sym__Nullable_result] = ACTIONS(2596),
    [anon_sym__Null_unspecified] = ACTIONS(2596),
    [anon_sym___autoreleasing] = ACTIONS(2596),
    [anon_sym___block] = ACTIONS(2596),
    [anon_sym___bridge] = ACTIONS(2596),
    [anon_sym___bridge_retained] = ACTIONS(2596),
    [anon_sym___bridge_transfer] = ACTIONS(2596),
    [anon_sym___complex] = ACTIONS(2596),
    [anon_sym___const] = ACTIONS(2596),
    [anon_sym___imag] = ACTIONS(2596),
    [anon_sym___kindof] = ACTIONS(2596),
    [anon_sym___nonnull] = ACTIONS(2596),
    [anon_sym___nullable] = ACTIONS(2596),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2596),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2596),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2596),
    [anon_sym___real] = ACTIONS(2596),
    [anon_sym___strong] = ACTIONS(2596),
    [anon_sym___unsafe_unretained] = ACTIONS(2596),
    [anon_sym___unused] = ACTIONS(2596),
    [anon_sym___weak] = ACTIONS(2596),
    [anon_sym_alignas] = ACTIONS(2596),
    [anon_sym__Alignas] = ACTIONS(2596),
    [sym_primitive_type] = ACTIONS(2596),
    [anon_sym_enum] = ACTIONS(2596),
    [anon_sym_struct] = ACTIONS(2596),
    [anon_sym_union] = ACTIONS(2596),
    [anon_sym_if] = ACTIONS(2596),
    [anon_sym_switch] = ACTIONS(2596),
    [anon_sym_case] = ACTIONS(2596),
    [anon_sym_default] = ACTIONS(2596),
    [anon_sym_while] = ACTIONS(2596),
    [anon_sym_do] = ACTIONS(2596),
    [anon_sym_for] = ACTIONS(2596),
    [anon_sym_in] = ACTIONS(2596),
    [anon_sym_return] = ACTIONS(2596),
    [anon_sym_break] = ACTIONS(2596),
    [anon_sym_continue] = ACTIONS(2596),
    [anon_sym_goto] = ACTIONS(2596),
    [anon_sym_DASH_DASH] = ACTIONS(2598),
    [anon_sym_PLUS_PLUS] = ACTIONS(2598),
    [anon_sym_sizeof] = ACTIONS(2596),
    [anon_sym___alignof__] = ACTIONS(2596),
    [anon_sym___alignof] = ACTIONS(2596),
    [anon_sym__alignof] = ACTIONS(2596),
    [anon_sym_alignof] = ACTIONS(2596),
    [anon_sym__Alignof] = ACTIONS(2596),
    [anon_sym_offsetof] = ACTIONS(2596),
    [anon_sym__Generic] = ACTIONS(2596),
    [anon_sym_asm] = ACTIONS(2596),
    [anon_sym___asm__] = ACTIONS(2596),
    [anon_sym___asm] = ACTIONS(2596),
    [sym_number_literal] = ACTIONS(2598),
    [anon_sym_L_SQUOTE] = ACTIONS(2598),
    [anon_sym_u_SQUOTE] = ACTIONS(2598),
    [anon_sym_U_SQUOTE] = ACTIONS(2598),
    [anon_sym_u8_SQUOTE] = ACTIONS(2598),
    [anon_sym_SQUOTE] = ACTIONS(2598),
    [anon_sym_AT] = ACTIONS(2596),
    [anon_sym_DQUOTE] = ACTIONS(2598),
    [anon_sym_L_DQUOTE] = ACTIONS(2598),
    [anon_sym_u_DQUOTE] = ACTIONS(2598),
    [anon_sym_U_DQUOTE] = ACTIONS(2598),
    [anon_sym_u8_DQUOTE] = ACTIONS(2598),
    [sym_true] = ACTIONS(2596),
    [sym_false] = ACTIONS(2596),
    [anon_sym_NULL] = ACTIONS(2596),
    [anon_sym_nullptr] = ACTIONS(2596),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2596),
    [anon_sym___typeof] = ACTIONS(2596),
    [anon_sym_typeof] = ACTIONS(2596),
    [anon_sym_ATimport] = ACTIONS(2598),
    [aux_sym_preproc_undef_token1] = ACTIONS(2596),
    [anon_sym_POUND] = ACTIONS(2596),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2596),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2596),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2596),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2596),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2596),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2596),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2596),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2596),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2596),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2596),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2596),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2596),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2596),
    [anon_sym_API_AVAILABLE] = ACTIONS(2596),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2596),
    [anon_sym_API_DEPRECATED] = ACTIONS(2596),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2596),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2596),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2596),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2596),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2596),
    [anon_sym___deprecated_msg] = ACTIONS(2596),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2596),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2596),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2596),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2596),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2596),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2596),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2596),
    [anon_sym_ATprotocol] = ACTIONS(2598),
    [anon_sym_ATinterface] = ACTIONS(2598),
    [anon_sym_ATimplementation] = ACTIONS(2598),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2598),
    [anon_sym_ATselector] = ACTIONS(2598),
    [anon_sym_ATavailable] = ACTIONS(2598),
    [anon_sym___builtin_available] = ACTIONS(2596),
    [anon_sym_va_arg] = ACTIONS(2596),
    [anon_sym_ATencode] = ACTIONS(2598),
    [anon_sym_BOOL] = ACTIONS(2596),
    [anon_sym_IMP] = ACTIONS(2596),
    [anon_sym_SEL] = ACTIONS(2596),
    [anon_sym_Class] = ACTIONS(2596),
    [anon_sym_id] = ACTIONS(2596),
  },
  [1003] = {
    [ts_builtin_sym_end] = ACTIONS(2720),
    [sym_identifier] = ACTIONS(2718),
    [aux_sym_preproc_include_token1] = ACTIONS(2718),
    [aux_sym_preproc_include_token2] = ACTIONS(2718),
    [aux_sym_preproc_def_token1] = ACTIONS(2718),
    [aux_sym_preproc_if_token1] = ACTIONS(2718),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2718),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2718),
    [sym_preproc_directive] = ACTIONS(2718),
    [anon_sym_LPAREN2] = ACTIONS(2720),
    [anon_sym_BANG] = ACTIONS(2720),
    [anon_sym_TILDE] = ACTIONS(2720),
    [anon_sym_DASH] = ACTIONS(2718),
    [anon_sym_PLUS] = ACTIONS(2718),
    [anon_sym_STAR] = ACTIONS(2720),
    [anon_sym_CARET] = ACTIONS(2720),
    [anon_sym_AMP] = ACTIONS(2720),
    [anon_sym_SEMI] = ACTIONS(2720),
    [anon_sym___extension__] = ACTIONS(2718),
    [anon_sym_typedef] = ACTIONS(2718),
    [anon_sym_extern] = ACTIONS(2718),
    [anon_sym___attribute__] = ACTIONS(2718),
    [anon_sym___attribute] = ACTIONS(2718),
    [anon_sym_noreturn] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [anon_sym___declspec] = ACTIONS(2718),
    [anon_sym___cdecl] = ACTIONS(2718),
    [anon_sym___clrcall] = ACTIONS(2718),
    [anon_sym___stdcall] = ACTIONS(2718),
    [anon_sym___fastcall] = ACTIONS(2718),
    [anon_sym___thiscall] = ACTIONS(2718),
    [anon_sym___vectorcall] = ACTIONS(2718),
    [anon_sym_LBRACE] = ACTIONS(2720),
    [anon_sym_signed] = ACTIONS(2718),
    [anon_sym_unsigned] = ACTIONS(2718),
    [anon_sym_long] = ACTIONS(2718),
    [anon_sym_short] = ACTIONS(2718),
    [anon_sym_static] = ACTIONS(2718),
    [anon_sym_ATautoreleasepool] = ACTIONS(2720),
    [anon_sym_auto] = ACTIONS(2718),
    [anon_sym_register] = ACTIONS(2718),
    [anon_sym_inline] = ACTIONS(2718),
    [anon_sym___inline] = ACTIONS(2718),
    [anon_sym___inline__] = ACTIONS(2718),
    [anon_sym___forceinline] = ACTIONS(2718),
    [anon_sym_thread_local] = ACTIONS(2718),
    [anon_sym___thread] = ACTIONS(2718),
    [anon_sym_CG_EXTERN] = ACTIONS(2718),
    [anon_sym_CG_INLINE] = ACTIONS(2718),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2718),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2718),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2718),
    [anon_sym_IBOutlet] = ACTIONS(2718),
    [anon_sym_IBInspectable] = ACTIONS(2718),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2718),
    [anon_sym_NS_INLINE] = ACTIONS(2718),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2718),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2718),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2718),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2718),
    [anon_sym_const] = ACTIONS(2718),
    [anon_sym_constexpr] = ACTIONS(2718),
    [anon_sym_volatile] = ACTIONS(2718),
    [anon_sym_restrict] = ACTIONS(2718),
    [anon_sym___restrict__] = ACTIONS(2718),
    [anon_sym__Atomic] = ACTIONS(2718),
    [anon_sym__Noreturn] = ACTIONS(2718),
    [anon_sym__Nonnull] = ACTIONS(2718),
    [anon_sym_nullable] = ACTIONS(2718),
    [anon_sym__Complex] = ACTIONS(2718),
    [anon_sym__Nullable] = ACTIONS(2718),
    [anon_sym__Nullable_result] = ACTIONS(2718),
    [anon_sym__Null_unspecified] = ACTIONS(2718),
    [anon_sym___autoreleasing] = ACTIONS(2718),
    [anon_sym___block] = ACTIONS(2718),
    [anon_sym___bridge] = ACTIONS(2718),
    [anon_sym___bridge_retained] = ACTIONS(2718),
    [anon_sym___bridge_transfer] = ACTIONS(2718),
    [anon_sym___complex] = ACTIONS(2718),
    [anon_sym___const] = ACTIONS(2718),
    [anon_sym___imag] = ACTIONS(2718),
    [anon_sym___kindof] = ACTIONS(2718),
    [anon_sym___nonnull] = ACTIONS(2718),
    [anon_sym___nullable] = ACTIONS(2718),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2718),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2718),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2718),
    [anon_sym___real] = ACTIONS(2718),
    [anon_sym___strong] = ACTIONS(2718),
    [anon_sym___unsafe_unretained] = ACTIONS(2718),
    [anon_sym___unused] = ACTIONS(2718),
    [anon_sym___weak] = ACTIONS(2718),
    [anon_sym_alignas] = ACTIONS(2718),
    [anon_sym__Alignas] = ACTIONS(2718),
    [sym_primitive_type] = ACTIONS(2718),
    [anon_sym_enum] = ACTIONS(2718),
    [anon_sym_struct] = ACTIONS(2718),
    [anon_sym_union] = ACTIONS(2718),
    [anon_sym_if] = ACTIONS(2718),
    [anon_sym_switch] = ACTIONS(2718),
    [anon_sym_case] = ACTIONS(2718),
    [anon_sym_default] = ACTIONS(2718),
    [anon_sym_while] = ACTIONS(2718),
    [anon_sym_do] = ACTIONS(2718),
    [anon_sym_for] = ACTIONS(2718),
    [anon_sym_in] = ACTIONS(2718),
    [anon_sym_return] = ACTIONS(2718),
    [anon_sym_break] = ACTIONS(2718),
    [anon_sym_continue] = ACTIONS(2718),
    [anon_sym_goto] = ACTIONS(2718),
    [anon_sym_DASH_DASH] = ACTIONS(2720),
    [anon_sym_PLUS_PLUS] = ACTIONS(2720),
    [anon_sym_sizeof] = ACTIONS(2718),
    [anon_sym___alignof__] = ACTIONS(2718),
    [anon_sym___alignof] = ACTIONS(2718),
    [anon_sym__alignof] = ACTIONS(2718),
    [anon_sym_alignof] = ACTIONS(2718),
    [anon_sym__Alignof] = ACTIONS(2718),
    [anon_sym_offsetof] = ACTIONS(2718),
    [anon_sym__Generic] = ACTIONS(2718),
    [anon_sym_asm] = ACTIONS(2718),
    [anon_sym___asm__] = ACTIONS(2718),
    [anon_sym___asm] = ACTIONS(2718),
    [sym_number_literal] = ACTIONS(2720),
    [anon_sym_L_SQUOTE] = ACTIONS(2720),
    [anon_sym_u_SQUOTE] = ACTIONS(2720),
    [anon_sym_U_SQUOTE] = ACTIONS(2720),
    [anon_sym_u8_SQUOTE] = ACTIONS(2720),
    [anon_sym_SQUOTE] = ACTIONS(2720),
    [anon_sym_AT] = ACTIONS(2718),
    [anon_sym_DQUOTE] = ACTIONS(2720),
    [anon_sym_L_DQUOTE] = ACTIONS(2720),
    [anon_sym_u_DQUOTE] = ACTIONS(2720),
    [anon_sym_U_DQUOTE] = ACTIONS(2720),
    [anon_sym_u8_DQUOTE] = ACTIONS(2720),
    [sym_true] = ACTIONS(2718),
    [sym_false] = ACTIONS(2718),
    [anon_sym_NULL] = ACTIONS(2718),
    [anon_sym_nullptr] = ACTIONS(2718),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2718),
    [anon_sym___typeof] = ACTIONS(2718),
    [anon_sym_typeof] = ACTIONS(2718),
    [anon_sym_ATimport] = ACTIONS(2720),
    [aux_sym_preproc_undef_token1] = ACTIONS(2718),
    [anon_sym_POUND] = ACTIONS(2718),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2718),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2718),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2718),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2718),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2718),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2718),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2718),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2718),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2718),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_API_AVAILABLE] = ACTIONS(2718),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_API_DEPRECATED] = ACTIONS(2718),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2718),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2718),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2718),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2718),
    [anon_sym___deprecated_msg] = ACTIONS(2718),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2718),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2718),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2718),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2718),
    [anon_sym_ATprotocol] = ACTIONS(2720),
    [anon_sym_ATinterface] = ACTIONS(2720),
    [anon_sym_ATimplementation] = ACTIONS(2720),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2720),
    [anon_sym_ATselector] = ACTIONS(2720),
    [anon_sym_ATavailable] = ACTIONS(2720),
    [anon_sym___builtin_available] = ACTIONS(2718),
    [anon_sym_va_arg] = ACTIONS(2718),
    [anon_sym_ATencode] = ACTIONS(2720),
    [anon_sym_BOOL] = ACTIONS(2718),
    [anon_sym_IMP] = ACTIONS(2718),
    [anon_sym_SEL] = ACTIONS(2718),
    [anon_sym_Class] = ACTIONS(2718),
    [anon_sym_id] = ACTIONS(2718),
  },
  [1004] = {
    [ts_builtin_sym_end] = ACTIONS(2578),
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_include_token1] = ACTIONS(2576),
    [aux_sym_preproc_include_token2] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_LPAREN2] = ACTIONS(2578),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_TILDE] = ACTIONS(2578),
    [anon_sym_DASH] = ACTIONS(2576),
    [anon_sym_PLUS] = ACTIONS(2576),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_CARET] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym___attribute] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_LBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_ATautoreleasepool] = ACTIONS(2578),
    [anon_sym_auto] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_CG_EXTERN] = ACTIONS(2576),
    [anon_sym_CG_INLINE] = ACTIONS(2576),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2576),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2576),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2576),
    [anon_sym_IBOutlet] = ACTIONS(2576),
    [anon_sym_IBInspectable] = ACTIONS(2576),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2576),
    [anon_sym_NS_INLINE] = ACTIONS(2576),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2576),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2576),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2576),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym__Nonnull] = ACTIONS(2576),
    [anon_sym_nullable] = ACTIONS(2576),
    [anon_sym__Complex] = ACTIONS(2576),
    [anon_sym__Nullable] = ACTIONS(2576),
    [anon_sym__Nullable_result] = ACTIONS(2576),
    [anon_sym__Null_unspecified] = ACTIONS(2576),
    [anon_sym___autoreleasing] = ACTIONS(2576),
    [anon_sym___block] = ACTIONS(2576),
    [anon_sym___bridge] = ACTIONS(2576),
    [anon_sym___bridge_retained] = ACTIONS(2576),
    [anon_sym___bridge_transfer] = ACTIONS(2576),
    [anon_sym___complex] = ACTIONS(2576),
    [anon_sym___const] = ACTIONS(2576),
    [anon_sym___imag] = ACTIONS(2576),
    [anon_sym___kindof] = ACTIONS(2576),
    [anon_sym___nonnull] = ACTIONS(2576),
    [anon_sym___nullable] = ACTIONS(2576),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2576),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2576),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2576),
    [anon_sym___real] = ACTIONS(2576),
    [anon_sym___strong] = ACTIONS(2576),
    [anon_sym___unsafe_unretained] = ACTIONS(2576),
    [anon_sym___unused] = ACTIONS(2576),
    [anon_sym___weak] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2576),
    [anon_sym_switch] = ACTIONS(2576),
    [anon_sym_case] = ACTIONS(2576),
    [anon_sym_default] = ACTIONS(2576),
    [anon_sym_while] = ACTIONS(2576),
    [anon_sym_do] = ACTIONS(2576),
    [anon_sym_for] = ACTIONS(2576),
    [anon_sym_in] = ACTIONS(2576),
    [anon_sym_return] = ACTIONS(2576),
    [anon_sym_break] = ACTIONS(2576),
    [anon_sym_continue] = ACTIONS(2576),
    [anon_sym_goto] = ACTIONS(2576),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_sizeof] = ACTIONS(2576),
    [anon_sym___alignof__] = ACTIONS(2576),
    [anon_sym___alignof] = ACTIONS(2576),
    [anon_sym__alignof] = ACTIONS(2576),
    [anon_sym_alignof] = ACTIONS(2576),
    [anon_sym__Alignof] = ACTIONS(2576),
    [anon_sym_offsetof] = ACTIONS(2576),
    [anon_sym__Generic] = ACTIONS(2576),
    [anon_sym_asm] = ACTIONS(2576),
    [anon_sym___asm__] = ACTIONS(2576),
    [anon_sym___asm] = ACTIONS(2576),
    [sym_number_literal] = ACTIONS(2578),
    [anon_sym_L_SQUOTE] = ACTIONS(2578),
    [anon_sym_u_SQUOTE] = ACTIONS(2578),
    [anon_sym_U_SQUOTE] = ACTIONS(2578),
    [anon_sym_u8_SQUOTE] = ACTIONS(2578),
    [anon_sym_SQUOTE] = ACTIONS(2578),
    [anon_sym_AT] = ACTIONS(2576),
    [anon_sym_DQUOTE] = ACTIONS(2578),
    [anon_sym_L_DQUOTE] = ACTIONS(2578),
    [anon_sym_u_DQUOTE] = ACTIONS(2578),
    [anon_sym_U_DQUOTE] = ACTIONS(2578),
    [anon_sym_u8_DQUOTE] = ACTIONS(2578),
    [sym_true] = ACTIONS(2576),
    [sym_false] = ACTIONS(2576),
    [anon_sym_NULL] = ACTIONS(2576),
    [anon_sym_nullptr] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2576),
    [anon_sym___typeof] = ACTIONS(2576),
    [anon_sym_typeof] = ACTIONS(2576),
    [anon_sym_ATimport] = ACTIONS(2578),
    [aux_sym_preproc_undef_token1] = ACTIONS(2576),
    [anon_sym_POUND] = ACTIONS(2576),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2576),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2576),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2576),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2576),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2576),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2576),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2576),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2576),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2576),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_API_AVAILABLE] = ACTIONS(2576),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_API_DEPRECATED] = ACTIONS(2576),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2576),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2576),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2576),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2576),
    [anon_sym___deprecated_msg] = ACTIONS(2576),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2576),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2576),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2576),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2576),
    [anon_sym_ATprotocol] = ACTIONS(2578),
    [anon_sym_ATinterface] = ACTIONS(2578),
    [anon_sym_ATimplementation] = ACTIONS(2578),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2578),
    [anon_sym_ATselector] = ACTIONS(2578),
    [anon_sym_ATavailable] = ACTIONS(2578),
    [anon_sym___builtin_available] = ACTIONS(2576),
    [anon_sym_va_arg] = ACTIONS(2576),
    [anon_sym_ATencode] = ACTIONS(2578),
    [anon_sym_BOOL] = ACTIONS(2576),
    [anon_sym_IMP] = ACTIONS(2576),
    [anon_sym_SEL] = ACTIONS(2576),
    [anon_sym_Class] = ACTIONS(2576),
    [anon_sym_id] = ACTIONS(2576),
  },
  [1005] = {
    [ts_builtin_sym_end] = ACTIONS(2602),
    [sym_identifier] = ACTIONS(2600),
    [aux_sym_preproc_include_token1] = ACTIONS(2600),
    [aux_sym_preproc_include_token2] = ACTIONS(2600),
    [aux_sym_preproc_def_token1] = ACTIONS(2600),
    [aux_sym_preproc_if_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2600),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2600),
    [sym_preproc_directive] = ACTIONS(2600),
    [anon_sym_LPAREN2] = ACTIONS(2602),
    [anon_sym_BANG] = ACTIONS(2602),
    [anon_sym_TILDE] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2600),
    [anon_sym_PLUS] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_CARET] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2602),
    [anon_sym_SEMI] = ACTIONS(2602),
    [anon_sym___extension__] = ACTIONS(2600),
    [anon_sym_typedef] = ACTIONS(2600),
    [anon_sym_extern] = ACTIONS(2600),
    [anon_sym___attribute__] = ACTIONS(2600),
    [anon_sym___attribute] = ACTIONS(2600),
    [anon_sym_noreturn] = ACTIONS(2600),
    [anon_sym_LBRACK] = ACTIONS(2602),
    [anon_sym___declspec] = ACTIONS(2600),
    [anon_sym___cdecl] = ACTIONS(2600),
    [anon_sym___clrcall] = ACTIONS(2600),
    [anon_sym___stdcall] = ACTIONS(2600),
    [anon_sym___fastcall] = ACTIONS(2600),
    [anon_sym___thiscall] = ACTIONS(2600),
    [anon_sym___vectorcall] = ACTIONS(2600),
    [anon_sym_LBRACE] = ACTIONS(2602),
    [anon_sym_signed] = ACTIONS(2600),
    [anon_sym_unsigned] = ACTIONS(2600),
    [anon_sym_long] = ACTIONS(2600),
    [anon_sym_short] = ACTIONS(2600),
    [anon_sym_static] = ACTIONS(2600),
    [anon_sym_ATautoreleasepool] = ACTIONS(2602),
    [anon_sym_auto] = ACTIONS(2600),
    [anon_sym_register] = ACTIONS(2600),
    [anon_sym_inline] = ACTIONS(2600),
    [anon_sym___inline] = ACTIONS(2600),
    [anon_sym___inline__] = ACTIONS(2600),
    [anon_sym___forceinline] = ACTIONS(2600),
    [anon_sym_thread_local] = ACTIONS(2600),
    [anon_sym___thread] = ACTIONS(2600),
    [anon_sym_CG_EXTERN] = ACTIONS(2600),
    [anon_sym_CG_INLINE] = ACTIONS(2600),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2600),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2600),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2600),
    [anon_sym_IBOutlet] = ACTIONS(2600),
    [anon_sym_IBInspectable] = ACTIONS(2600),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2600),
    [anon_sym_NS_INLINE] = ACTIONS(2600),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2600),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2600),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2600),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2600),
    [anon_sym_const] = ACTIONS(2600),
    [anon_sym_constexpr] = ACTIONS(2600),
    [anon_sym_volatile] = ACTIONS(2600),
    [anon_sym_restrict] = ACTIONS(2600),
    [anon_sym___restrict__] = ACTIONS(2600),
    [anon_sym__Atomic] = ACTIONS(2600),
    [anon_sym__Noreturn] = ACTIONS(2600),
    [anon_sym__Nonnull] = ACTIONS(2600),
    [anon_sym_nullable] = ACTIONS(2600),
    [anon_sym__Complex] = ACTIONS(2600),
    [anon_sym__Nullable] = ACTIONS(2600),
    [anon_sym__Nullable_result] = ACTIONS(2600),
    [anon_sym__Null_unspecified] = ACTIONS(2600),
    [anon_sym___autoreleasing] = ACTIONS(2600),
    [anon_sym___block] = ACTIONS(2600),
    [anon_sym___bridge] = ACTIONS(2600),
    [anon_sym___bridge_retained] = ACTIONS(2600),
    [anon_sym___bridge_transfer] = ACTIONS(2600),
    [anon_sym___complex] = ACTIONS(2600),
    [anon_sym___const] = ACTIONS(2600),
    [anon_sym___imag] = ACTIONS(2600),
    [anon_sym___kindof] = ACTIONS(2600),
    [anon_sym___nonnull] = ACTIONS(2600),
    [anon_sym___nullable] = ACTIONS(2600),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2600),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2600),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2600),
    [anon_sym___real] = ACTIONS(2600),
    [anon_sym___strong] = ACTIONS(2600),
    [anon_sym___unsafe_unretained] = ACTIONS(2600),
    [anon_sym___unused] = ACTIONS(2600),
    [anon_sym___weak] = ACTIONS(2600),
    [anon_sym_alignas] = ACTIONS(2600),
    [anon_sym__Alignas] = ACTIONS(2600),
    [sym_primitive_type] = ACTIONS(2600),
    [anon_sym_enum] = ACTIONS(2600),
    [anon_sym_struct] = ACTIONS(2600),
    [anon_sym_union] = ACTIONS(2600),
    [anon_sym_if] = ACTIONS(2600),
    [anon_sym_switch] = ACTIONS(2600),
    [anon_sym_case] = ACTIONS(2600),
    [anon_sym_default] = ACTIONS(2600),
    [anon_sym_while] = ACTIONS(2600),
    [anon_sym_do] = ACTIONS(2600),
    [anon_sym_for] = ACTIONS(2600),
    [anon_sym_in] = ACTIONS(2600),
    [anon_sym_return] = ACTIONS(2600),
    [anon_sym_break] = ACTIONS(2600),
    [anon_sym_continue] = ACTIONS(2600),
    [anon_sym_goto] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2602),
    [anon_sym_PLUS_PLUS] = ACTIONS(2602),
    [anon_sym_sizeof] = ACTIONS(2600),
    [anon_sym___alignof__] = ACTIONS(2600),
    [anon_sym___alignof] = ACTIONS(2600),
    [anon_sym__alignof] = ACTIONS(2600),
    [anon_sym_alignof] = ACTIONS(2600),
    [anon_sym__Alignof] = ACTIONS(2600),
    [anon_sym_offsetof] = ACTIONS(2600),
    [anon_sym__Generic] = ACTIONS(2600),
    [anon_sym_asm] = ACTIONS(2600),
    [anon_sym___asm__] = ACTIONS(2600),
    [anon_sym___asm] = ACTIONS(2600),
    [sym_number_literal] = ACTIONS(2602),
    [anon_sym_L_SQUOTE] = ACTIONS(2602),
    [anon_sym_u_SQUOTE] = ACTIONS(2602),
    [anon_sym_U_SQUOTE] = ACTIONS(2602),
    [anon_sym_u8_SQUOTE] = ACTIONS(2602),
    [anon_sym_SQUOTE] = ACTIONS(2602),
    [anon_sym_AT] = ACTIONS(2600),
    [anon_sym_DQUOTE] = ACTIONS(2602),
    [anon_sym_L_DQUOTE] = ACTIONS(2602),
    [anon_sym_u_DQUOTE] = ACTIONS(2602),
    [anon_sym_U_DQUOTE] = ACTIONS(2602),
    [anon_sym_u8_DQUOTE] = ACTIONS(2602),
    [sym_true] = ACTIONS(2600),
    [sym_false] = ACTIONS(2600),
    [anon_sym_NULL] = ACTIONS(2600),
    [anon_sym_nullptr] = ACTIONS(2600),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2600),
    [anon_sym___typeof] = ACTIONS(2600),
    [anon_sym_typeof] = ACTIONS(2600),
    [anon_sym_ATimport] = ACTIONS(2602),
    [aux_sym_preproc_undef_token1] = ACTIONS(2600),
    [anon_sym_POUND] = ACTIONS(2600),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2600),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2600),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2600),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2600),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2600),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2600),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2600),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2600),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2600),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2600),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2600),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2600),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2600),
    [anon_sym_API_AVAILABLE] = ACTIONS(2600),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2600),
    [anon_sym_API_DEPRECATED] = ACTIONS(2600),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2600),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2600),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2600),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2600),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2600),
    [anon_sym___deprecated_msg] = ACTIONS(2600),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2600),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2600),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2600),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2600),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2600),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2600),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2600),
    [anon_sym_ATprotocol] = ACTIONS(2602),
    [anon_sym_ATinterface] = ACTIONS(2602),
    [anon_sym_ATimplementation] = ACTIONS(2602),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2602),
    [anon_sym_ATselector] = ACTIONS(2602),
    [anon_sym_ATavailable] = ACTIONS(2602),
    [anon_sym___builtin_available] = ACTIONS(2600),
    [anon_sym_va_arg] = ACTIONS(2600),
    [anon_sym_ATencode] = ACTIONS(2602),
    [anon_sym_BOOL] = ACTIONS(2600),
    [anon_sym_IMP] = ACTIONS(2600),
    [anon_sym_SEL] = ACTIONS(2600),
    [anon_sym_Class] = ACTIONS(2600),
    [anon_sym_id] = ACTIONS(2600),
  },
  [1006] = {
    [ts_builtin_sym_end] = ACTIONS(2952),
    [sym_identifier] = ACTIONS(2955),
    [aux_sym_preproc_include_token1] = ACTIONS(2955),
    [aux_sym_preproc_include_token2] = ACTIONS(2955),
    [aux_sym_preproc_def_token1] = ACTIONS(2955),
    [aux_sym_preproc_if_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2955),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2955),
    [sym_preproc_directive] = ACTIONS(2955),
    [anon_sym_LPAREN2] = ACTIONS(2952),
    [anon_sym_BANG] = ACTIONS(2952),
    [anon_sym_TILDE] = ACTIONS(2952),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2952),
    [anon_sym_CARET] = ACTIONS(2952),
    [anon_sym_AMP] = ACTIONS(2952),
    [anon_sym_SEMI] = ACTIONS(2952),
    [anon_sym___extension__] = ACTIONS(2955),
    [anon_sym_typedef] = ACTIONS(2955),
    [anon_sym_extern] = ACTIONS(2955),
    [anon_sym___attribute__] = ACTIONS(2955),
    [anon_sym___attribute] = ACTIONS(2955),
    [anon_sym_noreturn] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2952),
    [anon_sym___declspec] = ACTIONS(2955),
    [anon_sym___cdecl] = ACTIONS(2955),
    [anon_sym___clrcall] = ACTIONS(2955),
    [anon_sym___stdcall] = ACTIONS(2955),
    [anon_sym___fastcall] = ACTIONS(2955),
    [anon_sym___thiscall] = ACTIONS(2955),
    [anon_sym___vectorcall] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2952),
    [anon_sym_signed] = ACTIONS(2955),
    [anon_sym_unsigned] = ACTIONS(2955),
    [anon_sym_long] = ACTIONS(2955),
    [anon_sym_short] = ACTIONS(2955),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_ATautoreleasepool] = ACTIONS(2952),
    [anon_sym_auto] = ACTIONS(2955),
    [anon_sym_register] = ACTIONS(2955),
    [anon_sym_inline] = ACTIONS(2955),
    [anon_sym___inline] = ACTIONS(2955),
    [anon_sym___inline__] = ACTIONS(2955),
    [anon_sym___forceinline] = ACTIONS(2955),
    [anon_sym_thread_local] = ACTIONS(2955),
    [anon_sym___thread] = ACTIONS(2955),
    [anon_sym_CG_EXTERN] = ACTIONS(2955),
    [anon_sym_CG_INLINE] = ACTIONS(2955),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2955),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2955),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2955),
    [anon_sym_IBOutlet] = ACTIONS(2955),
    [anon_sym_IBInspectable] = ACTIONS(2955),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2955),
    [anon_sym_NS_INLINE] = ACTIONS(2955),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2955),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2955),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2955),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_constexpr] = ACTIONS(2955),
    [anon_sym_volatile] = ACTIONS(2955),
    [anon_sym_restrict] = ACTIONS(2955),
    [anon_sym___restrict__] = ACTIONS(2955),
    [anon_sym__Atomic] = ACTIONS(2955),
    [anon_sym__Noreturn] = ACTIONS(2955),
    [anon_sym__Nonnull] = ACTIONS(2955),
    [anon_sym_nullable] = ACTIONS(2955),
    [anon_sym__Complex] = ACTIONS(2955),
    [anon_sym__Nullable] = ACTIONS(2955),
    [anon_sym__Nullable_result] = ACTIONS(2955),
    [anon_sym__Null_unspecified] = ACTIONS(2955),
    [anon_sym___autoreleasing] = ACTIONS(2955),
    [anon_sym___block] = ACTIONS(2955),
    [anon_sym___bridge] = ACTIONS(2955),
    [anon_sym___bridge_retained] = ACTIONS(2955),
    [anon_sym___bridge_transfer] = ACTIONS(2955),
    [anon_sym___complex] = ACTIONS(2955),
    [anon_sym___const] = ACTIONS(2955),
    [anon_sym___imag] = ACTIONS(2955),
    [anon_sym___kindof] = ACTIONS(2955),
    [anon_sym___nonnull] = ACTIONS(2955),
    [anon_sym___nullable] = ACTIONS(2955),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2955),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2955),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2955),
    [anon_sym___real] = ACTIONS(2955),
    [anon_sym___strong] = ACTIONS(2955),
    [anon_sym___unsafe_unretained] = ACTIONS(2955),
    [anon_sym___unused] = ACTIONS(2955),
    [anon_sym___weak] = ACTIONS(2955),
    [anon_sym_alignas] = ACTIONS(2955),
    [anon_sym__Alignas] = ACTIONS(2955),
    [sym_primitive_type] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [anon_sym_struct] = ACTIONS(2955),
    [anon_sym_union] = ACTIONS(2955),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_switch] = ACTIONS(2955),
    [anon_sym_case] = ACTIONS(2955),
    [anon_sym_default] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_for] = ACTIONS(2955),
    [anon_sym_in] = ACTIONS(2955),
    [anon_sym_return] = ACTIONS(2955),
    [anon_sym_break] = ACTIONS(2955),
    [anon_sym_continue] = ACTIONS(2955),
    [anon_sym_goto] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2952),
    [anon_sym_PLUS_PLUS] = ACTIONS(2952),
    [anon_sym_sizeof] = ACTIONS(2955),
    [anon_sym___alignof__] = ACTIONS(2955),
    [anon_sym___alignof] = ACTIONS(2955),
    [anon_sym__alignof] = ACTIONS(2955),
    [anon_sym_alignof] = ACTIONS(2955),
    [anon_sym__Alignof] = ACTIONS(2955),
    [anon_sym_offsetof] = ACTIONS(2955),
    [anon_sym__Generic] = ACTIONS(2955),
    [anon_sym_asm] = ACTIONS(2955),
    [anon_sym___asm__] = ACTIONS(2955),
    [anon_sym___asm] = ACTIONS(2955),
    [sym_number_literal] = ACTIONS(2952),
    [anon_sym_L_SQUOTE] = ACTIONS(2952),
    [anon_sym_u_SQUOTE] = ACTIONS(2952),
    [anon_sym_U_SQUOTE] = ACTIONS(2952),
    [anon_sym_u8_SQUOTE] = ACTIONS(2952),
    [anon_sym_SQUOTE] = ACTIONS(2952),
    [anon_sym_AT] = ACTIONS(2955),
    [anon_sym_DQUOTE] = ACTIONS(2952),
    [anon_sym_L_DQUOTE] = ACTIONS(2952),
    [anon_sym_u_DQUOTE] = ACTIONS(2952),
    [anon_sym_U_DQUOTE] = ACTIONS(2952),
    [anon_sym_u8_DQUOTE] = ACTIONS(2952),
    [sym_true] = ACTIONS(2955),
    [sym_false] = ACTIONS(2955),
    [anon_sym_NULL] = ACTIONS(2955),
    [anon_sym_nullptr] = ACTIONS(2955),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2955),
    [anon_sym___typeof] = ACTIONS(2955),
    [anon_sym_typeof] = ACTIONS(2955),
    [anon_sym_ATimport] = ACTIONS(2952),
    [aux_sym_preproc_undef_token1] = ACTIONS(2955),
    [anon_sym_POUND] = ACTIONS(2955),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2955),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2955),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2955),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2955),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2955),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2955),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2955),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2955),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2955),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2955),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2955),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2955),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2955),
    [anon_sym_API_AVAILABLE] = ACTIONS(2955),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2955),
    [anon_sym_API_DEPRECATED] = ACTIONS(2955),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2955),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2955),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2955),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2955),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2955),
    [anon_sym___deprecated_msg] = ACTIONS(2955),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2955),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2955),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2955),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2955),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2955),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2955),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2955),
    [anon_sym_ATprotocol] = ACTIONS(2952),
    [anon_sym_ATinterface] = ACTIONS(2952),
    [anon_sym_ATimplementation] = ACTIONS(2952),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2952),
    [anon_sym_ATselector] = ACTIONS(2952),
    [anon_sym_ATavailable] = ACTIONS(2952),
    [anon_sym___builtin_available] = ACTIONS(2955),
    [anon_sym_va_arg] = ACTIONS(2955),
    [anon_sym_ATencode] = ACTIONS(2952),
    [anon_sym_BOOL] = ACTIONS(2955),
    [anon_sym_IMP] = ACTIONS(2955),
    [anon_sym_SEL] = ACTIONS(2955),
    [anon_sym_Class] = ACTIONS(2955),
    [anon_sym_id] = ACTIONS(2955),
  },
  [1007] = {
    [ts_builtin_sym_end] = ACTIONS(2606),
    [sym_identifier] = ACTIONS(2604),
    [aux_sym_preproc_include_token1] = ACTIONS(2604),
    [aux_sym_preproc_include_token2] = ACTIONS(2604),
    [aux_sym_preproc_def_token1] = ACTIONS(2604),
    [aux_sym_preproc_if_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2604),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2604),
    [sym_preproc_directive] = ACTIONS(2604),
    [anon_sym_LPAREN2] = ACTIONS(2606),
    [anon_sym_BANG] = ACTIONS(2606),
    [anon_sym_TILDE] = ACTIONS(2606),
    [anon_sym_DASH] = ACTIONS(2604),
    [anon_sym_PLUS] = ACTIONS(2604),
    [anon_sym_STAR] = ACTIONS(2606),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_AMP] = ACTIONS(2606),
    [anon_sym_SEMI] = ACTIONS(2606),
    [anon_sym___extension__] = ACTIONS(2604),
    [anon_sym_typedef] = ACTIONS(2604),
    [anon_sym_extern] = ACTIONS(2604),
    [anon_sym___attribute__] = ACTIONS(2604),
    [anon_sym___attribute] = ACTIONS(2604),
    [anon_sym_noreturn] = ACTIONS(2604),
    [anon_sym_LBRACK] = ACTIONS(2606),
    [anon_sym___declspec] = ACTIONS(2604),
    [anon_sym___cdecl] = ACTIONS(2604),
    [anon_sym___clrcall] = ACTIONS(2604),
    [anon_sym___stdcall] = ACTIONS(2604),
    [anon_sym___fastcall] = ACTIONS(2604),
    [anon_sym___thiscall] = ACTIONS(2604),
    [anon_sym___vectorcall] = ACTIONS(2604),
    [anon_sym_LBRACE] = ACTIONS(2606),
    [anon_sym_signed] = ACTIONS(2604),
    [anon_sym_unsigned] = ACTIONS(2604),
    [anon_sym_long] = ACTIONS(2604),
    [anon_sym_short] = ACTIONS(2604),
    [anon_sym_static] = ACTIONS(2604),
    [anon_sym_ATautoreleasepool] = ACTIONS(2606),
    [anon_sym_auto] = ACTIONS(2604),
    [anon_sym_register] = ACTIONS(2604),
    [anon_sym_inline] = ACTIONS(2604),
    [anon_sym___inline] = ACTIONS(2604),
    [anon_sym___inline__] = ACTIONS(2604),
    [anon_sym___forceinline] = ACTIONS(2604),
    [anon_sym_thread_local] = ACTIONS(2604),
    [anon_sym___thread] = ACTIONS(2604),
    [anon_sym_CG_EXTERN] = ACTIONS(2604),
    [anon_sym_CG_INLINE] = ACTIONS(2604),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2604),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2604),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2604),
    [anon_sym_IBOutlet] = ACTIONS(2604),
    [anon_sym_IBInspectable] = ACTIONS(2604),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2604),
    [anon_sym_NS_INLINE] = ACTIONS(2604),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2604),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2604),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2604),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2604),
    [anon_sym_const] = ACTIONS(2604),
    [anon_sym_constexpr] = ACTIONS(2604),
    [anon_sym_volatile] = ACTIONS(2604),
    [anon_sym_restrict] = ACTIONS(2604),
    [anon_sym___restrict__] = ACTIONS(2604),
    [anon_sym__Atomic] = ACTIONS(2604),
    [anon_sym__Noreturn] = ACTIONS(2604),
    [anon_sym__Nonnull] = ACTIONS(2604),
    [anon_sym_nullable] = ACTIONS(2604),
    [anon_sym__Complex] = ACTIONS(2604),
    [anon_sym__Nullable] = ACTIONS(2604),
    [anon_sym__Nullable_result] = ACTIONS(2604),
    [anon_sym__Null_unspecified] = ACTIONS(2604),
    [anon_sym___autoreleasing] = ACTIONS(2604),
    [anon_sym___block] = ACTIONS(2604),
    [anon_sym___bridge] = ACTIONS(2604),
    [anon_sym___bridge_retained] = ACTIONS(2604),
    [anon_sym___bridge_transfer] = ACTIONS(2604),
    [anon_sym___complex] = ACTIONS(2604),
    [anon_sym___const] = ACTIONS(2604),
    [anon_sym___imag] = ACTIONS(2604),
    [anon_sym___kindof] = ACTIONS(2604),
    [anon_sym___nonnull] = ACTIONS(2604),
    [anon_sym___nullable] = ACTIONS(2604),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2604),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2604),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2604),
    [anon_sym___real] = ACTIONS(2604),
    [anon_sym___strong] = ACTIONS(2604),
    [anon_sym___unsafe_unretained] = ACTIONS(2604),
    [anon_sym___unused] = ACTIONS(2604),
    [anon_sym___weak] = ACTIONS(2604),
    [anon_sym_alignas] = ACTIONS(2604),
    [anon_sym__Alignas] = ACTIONS(2604),
    [sym_primitive_type] = ACTIONS(2604),
    [anon_sym_enum] = ACTIONS(2604),
    [anon_sym_struct] = ACTIONS(2604),
    [anon_sym_union] = ACTIONS(2604),
    [anon_sym_if] = ACTIONS(2604),
    [anon_sym_switch] = ACTIONS(2604),
    [anon_sym_case] = ACTIONS(2604),
    [anon_sym_default] = ACTIONS(2604),
    [anon_sym_while] = ACTIONS(2604),
    [anon_sym_do] = ACTIONS(2604),
    [anon_sym_for] = ACTIONS(2604),
    [anon_sym_in] = ACTIONS(2604),
    [anon_sym_return] = ACTIONS(2604),
    [anon_sym_break] = ACTIONS(2604),
    [anon_sym_continue] = ACTIONS(2604),
    [anon_sym_goto] = ACTIONS(2604),
    [anon_sym_DASH_DASH] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2606),
    [anon_sym_sizeof] = ACTIONS(2604),
    [anon_sym___alignof__] = ACTIONS(2604),
    [anon_sym___alignof] = ACTIONS(2604),
    [anon_sym__alignof] = ACTIONS(2604),
    [anon_sym_alignof] = ACTIONS(2604),
    [anon_sym__Alignof] = ACTIONS(2604),
    [anon_sym_offsetof] = ACTIONS(2604),
    [anon_sym__Generic] = ACTIONS(2604),
    [anon_sym_asm] = ACTIONS(2604),
    [anon_sym___asm__] = ACTIONS(2604),
    [anon_sym___asm] = ACTIONS(2604),
    [sym_number_literal] = ACTIONS(2606),
    [anon_sym_L_SQUOTE] = ACTIONS(2606),
    [anon_sym_u_SQUOTE] = ACTIONS(2606),
    [anon_sym_U_SQUOTE] = ACTIONS(2606),
    [anon_sym_u8_SQUOTE] = ACTIONS(2606),
    [anon_sym_SQUOTE] = ACTIONS(2606),
    [anon_sym_AT] = ACTIONS(2604),
    [anon_sym_DQUOTE] = ACTIONS(2606),
    [anon_sym_L_DQUOTE] = ACTIONS(2606),
    [anon_sym_u_DQUOTE] = ACTIONS(2606),
    [anon_sym_U_DQUOTE] = ACTIONS(2606),
    [anon_sym_u8_DQUOTE] = ACTIONS(2606),
    [sym_true] = ACTIONS(2604),
    [sym_false] = ACTIONS(2604),
    [anon_sym_NULL] = ACTIONS(2604),
    [anon_sym_nullptr] = ACTIONS(2604),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2604),
    [anon_sym___typeof] = ACTIONS(2604),
    [anon_sym_typeof] = ACTIONS(2604),
    [anon_sym_ATimport] = ACTIONS(2606),
    [aux_sym_preproc_undef_token1] = ACTIONS(2604),
    [anon_sym_POUND] = ACTIONS(2604),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2604),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2604),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2604),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2604),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2604),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2604),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2604),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2604),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2604),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2604),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2604),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2604),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2604),
    [anon_sym_API_AVAILABLE] = ACTIONS(2604),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2604),
    [anon_sym_API_DEPRECATED] = ACTIONS(2604),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2604),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2604),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2604),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2604),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2604),
    [anon_sym___deprecated_msg] = ACTIONS(2604),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2604),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2604),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2604),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2604),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2604),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2604),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2604),
    [anon_sym_ATprotocol] = ACTIONS(2606),
    [anon_sym_ATinterface] = ACTIONS(2606),
    [anon_sym_ATimplementation] = ACTIONS(2606),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2606),
    [anon_sym_ATselector] = ACTIONS(2606),
    [anon_sym_ATavailable] = ACTIONS(2606),
    [anon_sym___builtin_available] = ACTIONS(2604),
    [anon_sym_va_arg] = ACTIONS(2604),
    [anon_sym_ATencode] = ACTIONS(2606),
    [anon_sym_BOOL] = ACTIONS(2604),
    [anon_sym_IMP] = ACTIONS(2604),
    [anon_sym_SEL] = ACTIONS(2604),
    [anon_sym_Class] = ACTIONS(2604),
    [anon_sym_id] = ACTIONS(2604),
  },
  [1008] = {
    [ts_builtin_sym_end] = ACTIONS(2772),
    [sym_identifier] = ACTIONS(2770),
    [aux_sym_preproc_include_token1] = ACTIONS(2770),
    [aux_sym_preproc_include_token2] = ACTIONS(2770),
    [aux_sym_preproc_def_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2770),
    [sym_preproc_directive] = ACTIONS(2770),
    [anon_sym_LPAREN2] = ACTIONS(2772),
    [anon_sym_BANG] = ACTIONS(2772),
    [anon_sym_TILDE] = ACTIONS(2772),
    [anon_sym_DASH] = ACTIONS(2770),
    [anon_sym_PLUS] = ACTIONS(2770),
    [anon_sym_STAR] = ACTIONS(2772),
    [anon_sym_CARET] = ACTIONS(2772),
    [anon_sym_AMP] = ACTIONS(2772),
    [anon_sym_SEMI] = ACTIONS(2772),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym_typedef] = ACTIONS(2770),
    [anon_sym_extern] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym___attribute] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2772),
    [anon_sym___declspec] = ACTIONS(2770),
    [anon_sym___cdecl] = ACTIONS(2770),
    [anon_sym___clrcall] = ACTIONS(2770),
    [anon_sym___stdcall] = ACTIONS(2770),
    [anon_sym___fastcall] = ACTIONS(2770),
    [anon_sym___thiscall] = ACTIONS(2770),
    [anon_sym___vectorcall] = ACTIONS(2770),
    [anon_sym_LBRACE] = ACTIONS(2772),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_ATautoreleasepool] = ACTIONS(2772),
    [anon_sym_auto] = ACTIONS(2770),
    [anon_sym_register] = ACTIONS(2770),
    [anon_sym_inline] = ACTIONS(2770),
    [anon_sym___inline] = ACTIONS(2770),
    [anon_sym___inline__] = ACTIONS(2770),
    [anon_sym___forceinline] = ACTIONS(2770),
    [anon_sym_thread_local] = ACTIONS(2770),
    [anon_sym___thread] = ACTIONS(2770),
    [anon_sym_CG_EXTERN] = ACTIONS(2770),
    [anon_sym_CG_INLINE] = ACTIONS(2770),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2770),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2770),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2770),
    [anon_sym_IBOutlet] = ACTIONS(2770),
    [anon_sym_IBInspectable] = ACTIONS(2770),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2770),
    [anon_sym_NS_INLINE] = ACTIONS(2770),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2770),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2770),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2770),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym__Nonnull] = ACTIONS(2770),
    [anon_sym_nullable] = ACTIONS(2770),
    [anon_sym__Complex] = ACTIONS(2770),
    [anon_sym__Nullable] = ACTIONS(2770),
    [anon_sym__Nullable_result] = ACTIONS(2770),
    [anon_sym__Null_unspecified] = ACTIONS(2770),
    [anon_sym___autoreleasing] = ACTIONS(2770),
    [anon_sym___block] = ACTIONS(2770),
    [anon_sym___bridge] = ACTIONS(2770),
    [anon_sym___bridge_retained] = ACTIONS(2770),
    [anon_sym___bridge_transfer] = ACTIONS(2770),
    [anon_sym___complex] = ACTIONS(2770),
    [anon_sym___const] = ACTIONS(2770),
    [anon_sym___imag] = ACTIONS(2770),
    [anon_sym___kindof] = ACTIONS(2770),
    [anon_sym___nonnull] = ACTIONS(2770),
    [anon_sym___nullable] = ACTIONS(2770),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2770),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2770),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2770),
    [anon_sym___real] = ACTIONS(2770),
    [anon_sym___strong] = ACTIONS(2770),
    [anon_sym___unsafe_unretained] = ACTIONS(2770),
    [anon_sym___unused] = ACTIONS(2770),
    [anon_sym___weak] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym__Alignas] = ACTIONS(2770),
    [sym_primitive_type] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [anon_sym_if] = ACTIONS(2770),
    [anon_sym_switch] = ACTIONS(2770),
    [anon_sym_case] = ACTIONS(2770),
    [anon_sym_default] = ACTIONS(2770),
    [anon_sym_while] = ACTIONS(2770),
    [anon_sym_do] = ACTIONS(2770),
    [anon_sym_for] = ACTIONS(2770),
    [anon_sym_in] = ACTIONS(2770),
    [anon_sym_return] = ACTIONS(2770),
    [anon_sym_break] = ACTIONS(2770),
    [anon_sym_continue] = ACTIONS(2770),
    [anon_sym_goto] = ACTIONS(2770),
    [anon_sym_DASH_DASH] = ACTIONS(2772),
    [anon_sym_PLUS_PLUS] = ACTIONS(2772),
    [anon_sym_sizeof] = ACTIONS(2770),
    [anon_sym___alignof__] = ACTIONS(2770),
    [anon_sym___alignof] = ACTIONS(2770),
    [anon_sym__alignof] = ACTIONS(2770),
    [anon_sym_alignof] = ACTIONS(2770),
    [anon_sym__Alignof] = ACTIONS(2770),
    [anon_sym_offsetof] = ACTIONS(2770),
    [anon_sym__Generic] = ACTIONS(2770),
    [anon_sym_asm] = ACTIONS(2770),
    [anon_sym___asm__] = ACTIONS(2770),
    [anon_sym___asm] = ACTIONS(2770),
    [sym_number_literal] = ACTIONS(2772),
    [anon_sym_L_SQUOTE] = ACTIONS(2772),
    [anon_sym_u_SQUOTE] = ACTIONS(2772),
    [anon_sym_U_SQUOTE] = ACTIONS(2772),
    [anon_sym_u8_SQUOTE] = ACTIONS(2772),
    [anon_sym_SQUOTE] = ACTIONS(2772),
    [anon_sym_AT] = ACTIONS(2770),
    [anon_sym_DQUOTE] = ACTIONS(2772),
    [anon_sym_L_DQUOTE] = ACTIONS(2772),
    [anon_sym_u_DQUOTE] = ACTIONS(2772),
    [anon_sym_U_DQUOTE] = ACTIONS(2772),
    [anon_sym_u8_DQUOTE] = ACTIONS(2772),
    [sym_true] = ACTIONS(2770),
    [sym_false] = ACTIONS(2770),
    [anon_sym_NULL] = ACTIONS(2770),
    [anon_sym_nullptr] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2770),
    [anon_sym___typeof] = ACTIONS(2770),
    [anon_sym_typeof] = ACTIONS(2770),
    [anon_sym_ATimport] = ACTIONS(2772),
    [aux_sym_preproc_undef_token1] = ACTIONS(2770),
    [anon_sym_POUND] = ACTIONS(2770),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2770),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2770),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2770),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2770),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2770),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2770),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2770),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2770),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2770),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_API_AVAILABLE] = ACTIONS(2770),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_API_DEPRECATED] = ACTIONS(2770),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2770),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2770),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2770),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2770),
    [anon_sym___deprecated_msg] = ACTIONS(2770),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2770),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2770),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2770),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2770),
    [anon_sym_ATprotocol] = ACTIONS(2772),
    [anon_sym_ATinterface] = ACTIONS(2772),
    [anon_sym_ATimplementation] = ACTIONS(2772),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2772),
    [anon_sym_ATselector] = ACTIONS(2772),
    [anon_sym_ATavailable] = ACTIONS(2772),
    [anon_sym___builtin_available] = ACTIONS(2770),
    [anon_sym_va_arg] = ACTIONS(2770),
    [anon_sym_ATencode] = ACTIONS(2772),
    [anon_sym_BOOL] = ACTIONS(2770),
    [anon_sym_IMP] = ACTIONS(2770),
    [anon_sym_SEL] = ACTIONS(2770),
    [anon_sym_Class] = ACTIONS(2770),
    [anon_sym_id] = ACTIONS(2770),
  },
  [1009] = {
    [ts_builtin_sym_end] = ACTIONS(2672),
    [sym_identifier] = ACTIONS(2670),
    [aux_sym_preproc_include_token1] = ACTIONS(2670),
    [aux_sym_preproc_include_token2] = ACTIONS(2670),
    [aux_sym_preproc_def_token1] = ACTIONS(2670),
    [aux_sym_preproc_if_token1] = ACTIONS(2670),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2670),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2670),
    [sym_preproc_directive] = ACTIONS(2670),
    [anon_sym_LPAREN2] = ACTIONS(2672),
    [anon_sym_BANG] = ACTIONS(2672),
    [anon_sym_TILDE] = ACTIONS(2672),
    [anon_sym_DASH] = ACTIONS(2670),
    [anon_sym_PLUS] = ACTIONS(2670),
    [anon_sym_STAR] = ACTIONS(2672),
    [anon_sym_CARET] = ACTIONS(2672),
    [anon_sym_AMP] = ACTIONS(2672),
    [anon_sym_SEMI] = ACTIONS(2672),
    [anon_sym___extension__] = ACTIONS(2670),
    [anon_sym_typedef] = ACTIONS(2670),
    [anon_sym_extern] = ACTIONS(2670),
    [anon_sym___attribute__] = ACTIONS(2670),
    [anon_sym___attribute] = ACTIONS(2670),
    [anon_sym_noreturn] = ACTIONS(2670),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym___declspec] = ACTIONS(2670),
    [anon_sym___cdecl] = ACTIONS(2670),
    [anon_sym___clrcall] = ACTIONS(2670),
    [anon_sym___stdcall] = ACTIONS(2670),
    [anon_sym___fastcall] = ACTIONS(2670),
    [anon_sym___thiscall] = ACTIONS(2670),
    [anon_sym___vectorcall] = ACTIONS(2670),
    [anon_sym_LBRACE] = ACTIONS(2672),
    [anon_sym_signed] = ACTIONS(2670),
    [anon_sym_unsigned] = ACTIONS(2670),
    [anon_sym_long] = ACTIONS(2670),
    [anon_sym_short] = ACTIONS(2670),
    [anon_sym_static] = ACTIONS(2670),
    [anon_sym_ATautoreleasepool] = ACTIONS(2672),
    [anon_sym_auto] = ACTIONS(2670),
    [anon_sym_register] = ACTIONS(2670),
    [anon_sym_inline] = ACTIONS(2670),
    [anon_sym___inline] = ACTIONS(2670),
    [anon_sym___inline__] = ACTIONS(2670),
    [anon_sym___forceinline] = ACTIONS(2670),
    [anon_sym_thread_local] = ACTIONS(2670),
    [anon_sym___thread] = ACTIONS(2670),
    [anon_sym_CG_EXTERN] = ACTIONS(2670),
    [anon_sym_CG_INLINE] = ACTIONS(2670),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2670),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2670),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2670),
    [anon_sym_IBOutlet] = ACTIONS(2670),
    [anon_sym_IBInspectable] = ACTIONS(2670),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2670),
    [anon_sym_NS_INLINE] = ACTIONS(2670),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2670),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2670),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2670),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2670),
    [anon_sym_const] = ACTIONS(2670),
    [anon_sym_constexpr] = ACTIONS(2670),
    [anon_sym_volatile] = ACTIONS(2670),
    [anon_sym_restrict] = ACTIONS(2670),
    [anon_sym___restrict__] = ACTIONS(2670),
    [anon_sym__Atomic] = ACTIONS(2670),
    [anon_sym__Noreturn] = ACTIONS(2670),
    [anon_sym__Nonnull] = ACTIONS(2670),
    [anon_sym_nullable] = ACTIONS(2670),
    [anon_sym__Complex] = ACTIONS(2670),
    [anon_sym__Nullable] = ACTIONS(2670),
    [anon_sym__Nullable_result] = ACTIONS(2670),
    [anon_sym__Null_unspecified] = ACTIONS(2670),
    [anon_sym___autoreleasing] = ACTIONS(2670),
    [anon_sym___block] = ACTIONS(2670),
    [anon_sym___bridge] = ACTIONS(2670),
    [anon_sym___bridge_retained] = ACTIONS(2670),
    [anon_sym___bridge_transfer] = ACTIONS(2670),
    [anon_sym___complex] = ACTIONS(2670),
    [anon_sym___const] = ACTIONS(2670),
    [anon_sym___imag] = ACTIONS(2670),
    [anon_sym___kindof] = ACTIONS(2670),
    [anon_sym___nonnull] = ACTIONS(2670),
    [anon_sym___nullable] = ACTIONS(2670),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2670),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2670),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2670),
    [anon_sym___real] = ACTIONS(2670),
    [anon_sym___strong] = ACTIONS(2670),
    [anon_sym___unsafe_unretained] = ACTIONS(2670),
    [anon_sym___unused] = ACTIONS(2670),
    [anon_sym___weak] = ACTIONS(2670),
    [anon_sym_alignas] = ACTIONS(2670),
    [anon_sym__Alignas] = ACTIONS(2670),
    [sym_primitive_type] = ACTIONS(2670),
    [anon_sym_enum] = ACTIONS(2670),
    [anon_sym_struct] = ACTIONS(2670),
    [anon_sym_union] = ACTIONS(2670),
    [anon_sym_if] = ACTIONS(2670),
    [anon_sym_switch] = ACTIONS(2670),
    [anon_sym_case] = ACTIONS(2670),
    [anon_sym_default] = ACTIONS(2670),
    [anon_sym_while] = ACTIONS(2670),
    [anon_sym_do] = ACTIONS(2670),
    [anon_sym_for] = ACTIONS(2670),
    [anon_sym_in] = ACTIONS(2670),
    [anon_sym_return] = ACTIONS(2670),
    [anon_sym_break] = ACTIONS(2670),
    [anon_sym_continue] = ACTIONS(2670),
    [anon_sym_goto] = ACTIONS(2670),
    [anon_sym_DASH_DASH] = ACTIONS(2672),
    [anon_sym_PLUS_PLUS] = ACTIONS(2672),
    [anon_sym_sizeof] = ACTIONS(2670),
    [anon_sym___alignof__] = ACTIONS(2670),
    [anon_sym___alignof] = ACTIONS(2670),
    [anon_sym__alignof] = ACTIONS(2670),
    [anon_sym_alignof] = ACTIONS(2670),
    [anon_sym__Alignof] = ACTIONS(2670),
    [anon_sym_offsetof] = ACTIONS(2670),
    [anon_sym__Generic] = ACTIONS(2670),
    [anon_sym_asm] = ACTIONS(2670),
    [anon_sym___asm__] = ACTIONS(2670),
    [anon_sym___asm] = ACTIONS(2670),
    [sym_number_literal] = ACTIONS(2672),
    [anon_sym_L_SQUOTE] = ACTIONS(2672),
    [anon_sym_u_SQUOTE] = ACTIONS(2672),
    [anon_sym_U_SQUOTE] = ACTIONS(2672),
    [anon_sym_u8_SQUOTE] = ACTIONS(2672),
    [anon_sym_SQUOTE] = ACTIONS(2672),
    [anon_sym_AT] = ACTIONS(2670),
    [anon_sym_DQUOTE] = ACTIONS(2672),
    [anon_sym_L_DQUOTE] = ACTIONS(2672),
    [anon_sym_u_DQUOTE] = ACTIONS(2672),
    [anon_sym_U_DQUOTE] = ACTIONS(2672),
    [anon_sym_u8_DQUOTE] = ACTIONS(2672),
    [sym_true] = ACTIONS(2670),
    [sym_false] = ACTIONS(2670),
    [anon_sym_NULL] = ACTIONS(2670),
    [anon_sym_nullptr] = ACTIONS(2670),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2670),
    [anon_sym___typeof] = ACTIONS(2670),
    [anon_sym_typeof] = ACTIONS(2670),
    [anon_sym_ATimport] = ACTIONS(2672),
    [aux_sym_preproc_undef_token1] = ACTIONS(2670),
    [anon_sym_POUND] = ACTIONS(2670),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2670),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2670),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2670),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2670),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2670),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2670),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2670),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2670),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2670),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2670),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2670),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2670),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2670),
    [anon_sym_API_AVAILABLE] = ACTIONS(2670),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2670),
    [anon_sym_API_DEPRECATED] = ACTIONS(2670),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2670),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2670),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2670),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2670),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2670),
    [anon_sym___deprecated_msg] = ACTIONS(2670),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2670),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2670),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2670),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2670),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2670),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2670),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2670),
    [anon_sym_ATprotocol] = ACTIONS(2672),
    [anon_sym_ATinterface] = ACTIONS(2672),
    [anon_sym_ATimplementation] = ACTIONS(2672),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2672),
    [anon_sym_ATselector] = ACTIONS(2672),
    [anon_sym_ATavailable] = ACTIONS(2672),
    [anon_sym___builtin_available] = ACTIONS(2670),
    [anon_sym_va_arg] = ACTIONS(2670),
    [anon_sym_ATencode] = ACTIONS(2672),
    [anon_sym_BOOL] = ACTIONS(2670),
    [anon_sym_IMP] = ACTIONS(2670),
    [anon_sym_SEL] = ACTIONS(2670),
    [anon_sym_Class] = ACTIONS(2670),
    [anon_sym_id] = ACTIONS(2670),
  },
  [1010] = {
    [ts_builtin_sym_end] = ACTIONS(2788),
    [sym_identifier] = ACTIONS(2786),
    [aux_sym_preproc_include_token1] = ACTIONS(2786),
    [aux_sym_preproc_include_token2] = ACTIONS(2786),
    [aux_sym_preproc_def_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2786),
    [sym_preproc_directive] = ACTIONS(2786),
    [anon_sym_LPAREN2] = ACTIONS(2788),
    [anon_sym_BANG] = ACTIONS(2788),
    [anon_sym_TILDE] = ACTIONS(2788),
    [anon_sym_DASH] = ACTIONS(2786),
    [anon_sym_PLUS] = ACTIONS(2786),
    [anon_sym_STAR] = ACTIONS(2788),
    [anon_sym_CARET] = ACTIONS(2788),
    [anon_sym_AMP] = ACTIONS(2788),
    [anon_sym_SEMI] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym___attribute] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym___cdecl] = ACTIONS(2786),
    [anon_sym___clrcall] = ACTIONS(2786),
    [anon_sym___stdcall] = ACTIONS(2786),
    [anon_sym___fastcall] = ACTIONS(2786),
    [anon_sym___thiscall] = ACTIONS(2786),
    [anon_sym___vectorcall] = ACTIONS(2786),
    [anon_sym_LBRACE] = ACTIONS(2788),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_ATautoreleasepool] = ACTIONS(2788),
    [anon_sym_auto] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_CG_EXTERN] = ACTIONS(2786),
    [anon_sym_CG_INLINE] = ACTIONS(2786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2786),
    [anon_sym_IBOutlet] = ACTIONS(2786),
    [anon_sym_IBInspectable] = ACTIONS(2786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2786),
    [anon_sym_NS_INLINE] = ACTIONS(2786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym__Nonnull] = ACTIONS(2786),
    [anon_sym_nullable] = ACTIONS(2786),
    [anon_sym__Complex] = ACTIONS(2786),
    [anon_sym__Nullable] = ACTIONS(2786),
    [anon_sym__Nullable_result] = ACTIONS(2786),
    [anon_sym__Null_unspecified] = ACTIONS(2786),
    [anon_sym___autoreleasing] = ACTIONS(2786),
    [anon_sym___block] = ACTIONS(2786),
    [anon_sym___bridge] = ACTIONS(2786),
    [anon_sym___bridge_retained] = ACTIONS(2786),
    [anon_sym___bridge_transfer] = ACTIONS(2786),
    [anon_sym___complex] = ACTIONS(2786),
    [anon_sym___const] = ACTIONS(2786),
    [anon_sym___imag] = ACTIONS(2786),
    [anon_sym___kindof] = ACTIONS(2786),
    [anon_sym___nonnull] = ACTIONS(2786),
    [anon_sym___nullable] = ACTIONS(2786),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2786),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2786),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2786),
    [anon_sym___real] = ACTIONS(2786),
    [anon_sym___strong] = ACTIONS(2786),
    [anon_sym___unsafe_unretained] = ACTIONS(2786),
    [anon_sym___unused] = ACTIONS(2786),
    [anon_sym___weak] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym__Alignas] = ACTIONS(2786),
    [sym_primitive_type] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [anon_sym_if] = ACTIONS(2786),
    [anon_sym_switch] = ACTIONS(2786),
    [anon_sym_case] = ACTIONS(2786),
    [anon_sym_default] = ACTIONS(2786),
    [anon_sym_while] = ACTIONS(2786),
    [anon_sym_do] = ACTIONS(2786),
    [anon_sym_for] = ACTIONS(2786),
    [anon_sym_in] = ACTIONS(2786),
    [anon_sym_return] = ACTIONS(2786),
    [anon_sym_break] = ACTIONS(2786),
    [anon_sym_continue] = ACTIONS(2786),
    [anon_sym_goto] = ACTIONS(2786),
    [anon_sym_DASH_DASH] = ACTIONS(2788),
    [anon_sym_PLUS_PLUS] = ACTIONS(2788),
    [anon_sym_sizeof] = ACTIONS(2786),
    [anon_sym___alignof__] = ACTIONS(2786),
    [anon_sym___alignof] = ACTIONS(2786),
    [anon_sym__alignof] = ACTIONS(2786),
    [anon_sym_alignof] = ACTIONS(2786),
    [anon_sym__Alignof] = ACTIONS(2786),
    [anon_sym_offsetof] = ACTIONS(2786),
    [anon_sym__Generic] = ACTIONS(2786),
    [anon_sym_asm] = ACTIONS(2786),
    [anon_sym___asm__] = ACTIONS(2786),
    [anon_sym___asm] = ACTIONS(2786),
    [sym_number_literal] = ACTIONS(2788),
    [anon_sym_L_SQUOTE] = ACTIONS(2788),
    [anon_sym_u_SQUOTE] = ACTIONS(2788),
    [anon_sym_U_SQUOTE] = ACTIONS(2788),
    [anon_sym_u8_SQUOTE] = ACTIONS(2788),
    [anon_sym_SQUOTE] = ACTIONS(2788),
    [anon_sym_AT] = ACTIONS(2786),
    [anon_sym_DQUOTE] = ACTIONS(2788),
    [anon_sym_L_DQUOTE] = ACTIONS(2788),
    [anon_sym_u_DQUOTE] = ACTIONS(2788),
    [anon_sym_U_DQUOTE] = ACTIONS(2788),
    [anon_sym_u8_DQUOTE] = ACTIONS(2788),
    [sym_true] = ACTIONS(2786),
    [sym_false] = ACTIONS(2786),
    [anon_sym_NULL] = ACTIONS(2786),
    [anon_sym_nullptr] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2786),
    [anon_sym___typeof] = ACTIONS(2786),
    [anon_sym_typeof] = ACTIONS(2786),
    [anon_sym_ATimport] = ACTIONS(2788),
    [aux_sym_preproc_undef_token1] = ACTIONS(2786),
    [anon_sym_POUND] = ACTIONS(2786),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2786),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2786),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2786),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2786),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2786),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2786),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2786),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2786),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2786),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_API_AVAILABLE] = ACTIONS(2786),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_API_DEPRECATED] = ACTIONS(2786),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2786),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2786),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2786),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2786),
    [anon_sym___deprecated_msg] = ACTIONS(2786),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2786),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2786),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2786),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2786),
    [anon_sym_ATprotocol] = ACTIONS(2788),
    [anon_sym_ATinterface] = ACTIONS(2788),
    [anon_sym_ATimplementation] = ACTIONS(2788),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2788),
    [anon_sym_ATselector] = ACTIONS(2788),
    [anon_sym_ATavailable] = ACTIONS(2788),
    [anon_sym___builtin_available] = ACTIONS(2786),
    [anon_sym_va_arg] = ACTIONS(2786),
    [anon_sym_ATencode] = ACTIONS(2788),
    [anon_sym_BOOL] = ACTIONS(2786),
    [anon_sym_IMP] = ACTIONS(2786),
    [anon_sym_SEL] = ACTIONS(2786),
    [anon_sym_Class] = ACTIONS(2786),
    [anon_sym_id] = ACTIONS(2786),
  },
  [1011] = {
    [ts_builtin_sym_end] = ACTIONS(2574),
    [sym_identifier] = ACTIONS(2572),
    [aux_sym_preproc_include_token1] = ACTIONS(2572),
    [aux_sym_preproc_include_token2] = ACTIONS(2572),
    [aux_sym_preproc_def_token1] = ACTIONS(2572),
    [aux_sym_preproc_if_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2572),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2572),
    [sym_preproc_directive] = ACTIONS(2572),
    [anon_sym_LPAREN2] = ACTIONS(2574),
    [anon_sym_BANG] = ACTIONS(2574),
    [anon_sym_TILDE] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2572),
    [anon_sym_PLUS] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_CARET] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2574),
    [anon_sym_SEMI] = ACTIONS(2574),
    [anon_sym___extension__] = ACTIONS(2572),
    [anon_sym_typedef] = ACTIONS(2572),
    [anon_sym_extern] = ACTIONS(2572),
    [anon_sym___attribute__] = ACTIONS(2572),
    [anon_sym___attribute] = ACTIONS(2572),
    [anon_sym_noreturn] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2574),
    [anon_sym___declspec] = ACTIONS(2572),
    [anon_sym___cdecl] = ACTIONS(2572),
    [anon_sym___clrcall] = ACTIONS(2572),
    [anon_sym___stdcall] = ACTIONS(2572),
    [anon_sym___fastcall] = ACTIONS(2572),
    [anon_sym___thiscall] = ACTIONS(2572),
    [anon_sym___vectorcall] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2574),
    [anon_sym_signed] = ACTIONS(2572),
    [anon_sym_unsigned] = ACTIONS(2572),
    [anon_sym_long] = ACTIONS(2572),
    [anon_sym_short] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_ATautoreleasepool] = ACTIONS(2574),
    [anon_sym_auto] = ACTIONS(2572),
    [anon_sym_register] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym___inline] = ACTIONS(2572),
    [anon_sym___inline__] = ACTIONS(2572),
    [anon_sym___forceinline] = ACTIONS(2572),
    [anon_sym_thread_local] = ACTIONS(2572),
    [anon_sym___thread] = ACTIONS(2572),
    [anon_sym_CG_EXTERN] = ACTIONS(2572),
    [anon_sym_CG_INLINE] = ACTIONS(2572),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2572),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2572),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2572),
    [anon_sym_IBOutlet] = ACTIONS(2572),
    [anon_sym_IBInspectable] = ACTIONS(2572),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2572),
    [anon_sym_NS_INLINE] = ACTIONS(2572),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2572),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2572),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2572),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_constexpr] = ACTIONS(2572),
    [anon_sym_volatile] = ACTIONS(2572),
    [anon_sym_restrict] = ACTIONS(2572),
    [anon_sym___restrict__] = ACTIONS(2572),
    [anon_sym__Atomic] = ACTIONS(2572),
    [anon_sym__Noreturn] = ACTIONS(2572),
    [anon_sym__Nonnull] = ACTIONS(2572),
    [anon_sym_nullable] = ACTIONS(2572),
    [anon_sym__Complex] = ACTIONS(2572),
    [anon_sym__Nullable] = ACTIONS(2572),
    [anon_sym__Nullable_result] = ACTIONS(2572),
    [anon_sym__Null_unspecified] = ACTIONS(2572),
    [anon_sym___autoreleasing] = ACTIONS(2572),
    [anon_sym___block] = ACTIONS(2572),
    [anon_sym___bridge] = ACTIONS(2572),
    [anon_sym___bridge_retained] = ACTIONS(2572),
    [anon_sym___bridge_transfer] = ACTIONS(2572),
    [anon_sym___complex] = ACTIONS(2572),
    [anon_sym___const] = ACTIONS(2572),
    [anon_sym___imag] = ACTIONS(2572),
    [anon_sym___kindof] = ACTIONS(2572),
    [anon_sym___nonnull] = ACTIONS(2572),
    [anon_sym___nullable] = ACTIONS(2572),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2572),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2572),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2572),
    [anon_sym___real] = ACTIONS(2572),
    [anon_sym___strong] = ACTIONS(2572),
    [anon_sym___unsafe_unretained] = ACTIONS(2572),
    [anon_sym___unused] = ACTIONS(2572),
    [anon_sym___weak] = ACTIONS(2572),
    [anon_sym_alignas] = ACTIONS(2572),
    [anon_sym__Alignas] = ACTIONS(2572),
    [sym_primitive_type] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_struct] = ACTIONS(2572),
    [anon_sym_union] = ACTIONS(2572),
    [anon_sym_if] = ACTIONS(2572),
    [anon_sym_switch] = ACTIONS(2572),
    [anon_sym_case] = ACTIONS(2572),
    [anon_sym_default] = ACTIONS(2572),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_do] = ACTIONS(2572),
    [anon_sym_for] = ACTIONS(2572),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_return] = ACTIONS(2572),
    [anon_sym_break] = ACTIONS(2572),
    [anon_sym_continue] = ACTIONS(2572),
    [anon_sym_goto] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2574),
    [anon_sym_sizeof] = ACTIONS(2572),
    [anon_sym___alignof__] = ACTIONS(2572),
    [anon_sym___alignof] = ACTIONS(2572),
    [anon_sym__alignof] = ACTIONS(2572),
    [anon_sym_alignof] = ACTIONS(2572),
    [anon_sym__Alignof] = ACTIONS(2572),
    [anon_sym_offsetof] = ACTIONS(2572),
    [anon_sym__Generic] = ACTIONS(2572),
    [anon_sym_asm] = ACTIONS(2572),
    [anon_sym___asm__] = ACTIONS(2572),
    [anon_sym___asm] = ACTIONS(2572),
    [sym_number_literal] = ACTIONS(2574),
    [anon_sym_L_SQUOTE] = ACTIONS(2574),
    [anon_sym_u_SQUOTE] = ACTIONS(2574),
    [anon_sym_U_SQUOTE] = ACTIONS(2574),
    [anon_sym_u8_SQUOTE] = ACTIONS(2574),
    [anon_sym_SQUOTE] = ACTIONS(2574),
    [anon_sym_AT] = ACTIONS(2572),
    [anon_sym_DQUOTE] = ACTIONS(2574),
    [anon_sym_L_DQUOTE] = ACTIONS(2574),
    [anon_sym_u_DQUOTE] = ACTIONS(2574),
    [anon_sym_U_DQUOTE] = ACTIONS(2574),
    [anon_sym_u8_DQUOTE] = ACTIONS(2574),
    [sym_true] = ACTIONS(2572),
    [sym_false] = ACTIONS(2572),
    [anon_sym_NULL] = ACTIONS(2572),
    [anon_sym_nullptr] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2572),
    [anon_sym___typeof] = ACTIONS(2572),
    [anon_sym_typeof] = ACTIONS(2572),
    [anon_sym_ATimport] = ACTIONS(2574),
    [aux_sym_preproc_undef_token1] = ACTIONS(2572),
    [anon_sym_POUND] = ACTIONS(2572),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2572),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2572),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2572),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2572),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2572),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2572),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2572),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2572),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2572),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2572),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2572),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2572),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2572),
    [anon_sym_API_AVAILABLE] = ACTIONS(2572),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2572),
    [anon_sym_API_DEPRECATED] = ACTIONS(2572),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2572),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2572),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2572),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2572),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2572),
    [anon_sym___deprecated_msg] = ACTIONS(2572),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2572),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2572),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2572),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2572),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2572),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2572),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2572),
    [anon_sym_ATprotocol] = ACTIONS(2574),
    [anon_sym_ATinterface] = ACTIONS(2574),
    [anon_sym_ATimplementation] = ACTIONS(2574),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2574),
    [anon_sym_ATselector] = ACTIONS(2574),
    [anon_sym_ATavailable] = ACTIONS(2574),
    [anon_sym___builtin_available] = ACTIONS(2572),
    [anon_sym_va_arg] = ACTIONS(2572),
    [anon_sym_ATencode] = ACTIONS(2574),
    [anon_sym_BOOL] = ACTIONS(2572),
    [anon_sym_IMP] = ACTIONS(2572),
    [anon_sym_SEL] = ACTIONS(2572),
    [anon_sym_Class] = ACTIONS(2572),
    [anon_sym_id] = ACTIONS(2572),
  },
  [1012] = {
    [ts_builtin_sym_end] = ACTIONS(2616),
    [sym_identifier] = ACTIONS(2614),
    [aux_sym_preproc_include_token1] = ACTIONS(2614),
    [aux_sym_preproc_include_token2] = ACTIONS(2614),
    [aux_sym_preproc_def_token1] = ACTIONS(2614),
    [aux_sym_preproc_if_token1] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2614),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2614),
    [sym_preproc_directive] = ACTIONS(2614),
    [anon_sym_LPAREN2] = ACTIONS(2616),
    [anon_sym_BANG] = ACTIONS(2616),
    [anon_sym_TILDE] = ACTIONS(2616),
    [anon_sym_DASH] = ACTIONS(2614),
    [anon_sym_PLUS] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2616),
    [anon_sym_CARET] = ACTIONS(2616),
    [anon_sym_AMP] = ACTIONS(2616),
    [anon_sym_SEMI] = ACTIONS(2616),
    [anon_sym___extension__] = ACTIONS(2614),
    [anon_sym_typedef] = ACTIONS(2614),
    [anon_sym_extern] = ACTIONS(2614),
    [anon_sym___attribute__] = ACTIONS(2614),
    [anon_sym___attribute] = ACTIONS(2614),
    [anon_sym_noreturn] = ACTIONS(2614),
    [anon_sym_LBRACK] = ACTIONS(2616),
    [anon_sym___declspec] = ACTIONS(2614),
    [anon_sym___cdecl] = ACTIONS(2614),
    [anon_sym___clrcall] = ACTIONS(2614),
    [anon_sym___stdcall] = ACTIONS(2614),
    [anon_sym___fastcall] = ACTIONS(2614),
    [anon_sym___thiscall] = ACTIONS(2614),
    [anon_sym___vectorcall] = ACTIONS(2614),
    [anon_sym_LBRACE] = ACTIONS(2616),
    [anon_sym_signed] = ACTIONS(2614),
    [anon_sym_unsigned] = ACTIONS(2614),
    [anon_sym_long] = ACTIONS(2614),
    [anon_sym_short] = ACTIONS(2614),
    [anon_sym_static] = ACTIONS(2614),
    [anon_sym_ATautoreleasepool] = ACTIONS(2616),
    [anon_sym_auto] = ACTIONS(2614),
    [anon_sym_register] = ACTIONS(2614),
    [anon_sym_inline] = ACTIONS(2614),
    [anon_sym___inline] = ACTIONS(2614),
    [anon_sym___inline__] = ACTIONS(2614),
    [anon_sym___forceinline] = ACTIONS(2614),
    [anon_sym_thread_local] = ACTIONS(2614),
    [anon_sym___thread] = ACTIONS(2614),
    [anon_sym_CG_EXTERN] = ACTIONS(2614),
    [anon_sym_CG_INLINE] = ACTIONS(2614),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2614),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2614),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2614),
    [anon_sym_IBOutlet] = ACTIONS(2614),
    [anon_sym_IBInspectable] = ACTIONS(2614),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2614),
    [anon_sym_NS_INLINE] = ACTIONS(2614),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2614),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2614),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2614),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2614),
    [anon_sym_const] = ACTIONS(2614),
    [anon_sym_constexpr] = ACTIONS(2614),
    [anon_sym_volatile] = ACTIONS(2614),
    [anon_sym_restrict] = ACTIONS(2614),
    [anon_sym___restrict__] = ACTIONS(2614),
    [anon_sym__Atomic] = ACTIONS(2614),
    [anon_sym__Noreturn] = ACTIONS(2614),
    [anon_sym__Nonnull] = ACTIONS(2614),
    [anon_sym_nullable] = ACTIONS(2614),
    [anon_sym__Complex] = ACTIONS(2614),
    [anon_sym__Nullable] = ACTIONS(2614),
    [anon_sym__Nullable_result] = ACTIONS(2614),
    [anon_sym__Null_unspecified] = ACTIONS(2614),
    [anon_sym___autoreleasing] = ACTIONS(2614),
    [anon_sym___block] = ACTIONS(2614),
    [anon_sym___bridge] = ACTIONS(2614),
    [anon_sym___bridge_retained] = ACTIONS(2614),
    [anon_sym___bridge_transfer] = ACTIONS(2614),
    [anon_sym___complex] = ACTIONS(2614),
    [anon_sym___const] = ACTIONS(2614),
    [anon_sym___imag] = ACTIONS(2614),
    [anon_sym___kindof] = ACTIONS(2614),
    [anon_sym___nonnull] = ACTIONS(2614),
    [anon_sym___nullable] = ACTIONS(2614),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2614),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2614),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2614),
    [anon_sym___real] = ACTIONS(2614),
    [anon_sym___strong] = ACTIONS(2614),
    [anon_sym___unsafe_unretained] = ACTIONS(2614),
    [anon_sym___unused] = ACTIONS(2614),
    [anon_sym___weak] = ACTIONS(2614),
    [anon_sym_alignas] = ACTIONS(2614),
    [anon_sym__Alignas] = ACTIONS(2614),
    [sym_primitive_type] = ACTIONS(2614),
    [anon_sym_enum] = ACTIONS(2614),
    [anon_sym_struct] = ACTIONS(2614),
    [anon_sym_union] = ACTIONS(2614),
    [anon_sym_if] = ACTIONS(2614),
    [anon_sym_switch] = ACTIONS(2614),
    [anon_sym_case] = ACTIONS(2614),
    [anon_sym_default] = ACTIONS(2614),
    [anon_sym_while] = ACTIONS(2614),
    [anon_sym_do] = ACTIONS(2614),
    [anon_sym_for] = ACTIONS(2614),
    [anon_sym_in] = ACTIONS(2614),
    [anon_sym_return] = ACTIONS(2614),
    [anon_sym_break] = ACTIONS(2614),
    [anon_sym_continue] = ACTIONS(2614),
    [anon_sym_goto] = ACTIONS(2614),
    [anon_sym_DASH_DASH] = ACTIONS(2616),
    [anon_sym_PLUS_PLUS] = ACTIONS(2616),
    [anon_sym_sizeof] = ACTIONS(2614),
    [anon_sym___alignof__] = ACTIONS(2614),
    [anon_sym___alignof] = ACTIONS(2614),
    [anon_sym__alignof] = ACTIONS(2614),
    [anon_sym_alignof] = ACTIONS(2614),
    [anon_sym__Alignof] = ACTIONS(2614),
    [anon_sym_offsetof] = ACTIONS(2614),
    [anon_sym__Generic] = ACTIONS(2614),
    [anon_sym_asm] = ACTIONS(2614),
    [anon_sym___asm__] = ACTIONS(2614),
    [anon_sym___asm] = ACTIONS(2614),
    [sym_number_literal] = ACTIONS(2616),
    [anon_sym_L_SQUOTE] = ACTIONS(2616),
    [anon_sym_u_SQUOTE] = ACTIONS(2616),
    [anon_sym_U_SQUOTE] = ACTIONS(2616),
    [anon_sym_u8_SQUOTE] = ACTIONS(2616),
    [anon_sym_SQUOTE] = ACTIONS(2616),
    [anon_sym_AT] = ACTIONS(2614),
    [anon_sym_DQUOTE] = ACTIONS(2616),
    [anon_sym_L_DQUOTE] = ACTIONS(2616),
    [anon_sym_u_DQUOTE] = ACTIONS(2616),
    [anon_sym_U_DQUOTE] = ACTIONS(2616),
    [anon_sym_u8_DQUOTE] = ACTIONS(2616),
    [sym_true] = ACTIONS(2614),
    [sym_false] = ACTIONS(2614),
    [anon_sym_NULL] = ACTIONS(2614),
    [anon_sym_nullptr] = ACTIONS(2614),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2614),
    [anon_sym___typeof] = ACTIONS(2614),
    [anon_sym_typeof] = ACTIONS(2614),
    [anon_sym_ATimport] = ACTIONS(2616),
    [aux_sym_preproc_undef_token1] = ACTIONS(2614),
    [anon_sym_POUND] = ACTIONS(2614),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2614),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2614),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2614),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2614),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2614),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2614),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2614),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2614),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2614),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2614),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2614),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2614),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2614),
    [anon_sym_API_AVAILABLE] = ACTIONS(2614),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2614),
    [anon_sym_API_DEPRECATED] = ACTIONS(2614),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2614),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2614),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2614),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2614),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2614),
    [anon_sym___deprecated_msg] = ACTIONS(2614),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2614),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2614),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2614),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2614),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2614),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2614),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2614),
    [anon_sym_ATprotocol] = ACTIONS(2616),
    [anon_sym_ATinterface] = ACTIONS(2616),
    [anon_sym_ATimplementation] = ACTIONS(2616),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2616),
    [anon_sym_ATselector] = ACTIONS(2616),
    [anon_sym_ATavailable] = ACTIONS(2616),
    [anon_sym___builtin_available] = ACTIONS(2614),
    [anon_sym_va_arg] = ACTIONS(2614),
    [anon_sym_ATencode] = ACTIONS(2616),
    [anon_sym_BOOL] = ACTIONS(2614),
    [anon_sym_IMP] = ACTIONS(2614),
    [anon_sym_SEL] = ACTIONS(2614),
    [anon_sym_Class] = ACTIONS(2614),
    [anon_sym_id] = ACTIONS(2614),
  },
  [1013] = {
    [ts_builtin_sym_end] = ACTIONS(2620),
    [sym_identifier] = ACTIONS(2618),
    [aux_sym_preproc_include_token1] = ACTIONS(2618),
    [aux_sym_preproc_include_token2] = ACTIONS(2618),
    [aux_sym_preproc_def_token1] = ACTIONS(2618),
    [aux_sym_preproc_if_token1] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2618),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2618),
    [sym_preproc_directive] = ACTIONS(2618),
    [anon_sym_LPAREN2] = ACTIONS(2620),
    [anon_sym_BANG] = ACTIONS(2620),
    [anon_sym_TILDE] = ACTIONS(2620),
    [anon_sym_DASH] = ACTIONS(2618),
    [anon_sym_PLUS] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2620),
    [anon_sym_CARET] = ACTIONS(2620),
    [anon_sym_AMP] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2620),
    [anon_sym___extension__] = ACTIONS(2618),
    [anon_sym_typedef] = ACTIONS(2618),
    [anon_sym_extern] = ACTIONS(2618),
    [anon_sym___attribute__] = ACTIONS(2618),
    [anon_sym___attribute] = ACTIONS(2618),
    [anon_sym_noreturn] = ACTIONS(2618),
    [anon_sym_LBRACK] = ACTIONS(2620),
    [anon_sym___declspec] = ACTIONS(2618),
    [anon_sym___cdecl] = ACTIONS(2618),
    [anon_sym___clrcall] = ACTIONS(2618),
    [anon_sym___stdcall] = ACTIONS(2618),
    [anon_sym___fastcall] = ACTIONS(2618),
    [anon_sym___thiscall] = ACTIONS(2618),
    [anon_sym___vectorcall] = ACTIONS(2618),
    [anon_sym_LBRACE] = ACTIONS(2620),
    [anon_sym_signed] = ACTIONS(2618),
    [anon_sym_unsigned] = ACTIONS(2618),
    [anon_sym_long] = ACTIONS(2618),
    [anon_sym_short] = ACTIONS(2618),
    [anon_sym_static] = ACTIONS(2618),
    [anon_sym_ATautoreleasepool] = ACTIONS(2620),
    [anon_sym_auto] = ACTIONS(2618),
    [anon_sym_register] = ACTIONS(2618),
    [anon_sym_inline] = ACTIONS(2618),
    [anon_sym___inline] = ACTIONS(2618),
    [anon_sym___inline__] = ACTIONS(2618),
    [anon_sym___forceinline] = ACTIONS(2618),
    [anon_sym_thread_local] = ACTIONS(2618),
    [anon_sym___thread] = ACTIONS(2618),
    [anon_sym_CG_EXTERN] = ACTIONS(2618),
    [anon_sym_CG_INLINE] = ACTIONS(2618),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2618),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2618),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2618),
    [anon_sym_IBOutlet] = ACTIONS(2618),
    [anon_sym_IBInspectable] = ACTIONS(2618),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2618),
    [anon_sym_NS_INLINE] = ACTIONS(2618),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2618),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2618),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2618),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2618),
    [anon_sym_const] = ACTIONS(2618),
    [anon_sym_constexpr] = ACTIONS(2618),
    [anon_sym_volatile] = ACTIONS(2618),
    [anon_sym_restrict] = ACTIONS(2618),
    [anon_sym___restrict__] = ACTIONS(2618),
    [anon_sym__Atomic] = ACTIONS(2618),
    [anon_sym__Noreturn] = ACTIONS(2618),
    [anon_sym__Nonnull] = ACTIONS(2618),
    [anon_sym_nullable] = ACTIONS(2618),
    [anon_sym__Complex] = ACTIONS(2618),
    [anon_sym__Nullable] = ACTIONS(2618),
    [anon_sym__Nullable_result] = ACTIONS(2618),
    [anon_sym__Null_unspecified] = ACTIONS(2618),
    [anon_sym___autoreleasing] = ACTIONS(2618),
    [anon_sym___block] = ACTIONS(2618),
    [anon_sym___bridge] = ACTIONS(2618),
    [anon_sym___bridge_retained] = ACTIONS(2618),
    [anon_sym___bridge_transfer] = ACTIONS(2618),
    [anon_sym___complex] = ACTIONS(2618),
    [anon_sym___const] = ACTIONS(2618),
    [anon_sym___imag] = ACTIONS(2618),
    [anon_sym___kindof] = ACTIONS(2618),
    [anon_sym___nonnull] = ACTIONS(2618),
    [anon_sym___nullable] = ACTIONS(2618),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2618),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2618),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2618),
    [anon_sym___real] = ACTIONS(2618),
    [anon_sym___strong] = ACTIONS(2618),
    [anon_sym___unsafe_unretained] = ACTIONS(2618),
    [anon_sym___unused] = ACTIONS(2618),
    [anon_sym___weak] = ACTIONS(2618),
    [anon_sym_alignas] = ACTIONS(2618),
    [anon_sym__Alignas] = ACTIONS(2618),
    [sym_primitive_type] = ACTIONS(2618),
    [anon_sym_enum] = ACTIONS(2618),
    [anon_sym_struct] = ACTIONS(2618),
    [anon_sym_union] = ACTIONS(2618),
    [anon_sym_if] = ACTIONS(2618),
    [anon_sym_switch] = ACTIONS(2618),
    [anon_sym_case] = ACTIONS(2618),
    [anon_sym_default] = ACTIONS(2618),
    [anon_sym_while] = ACTIONS(2618),
    [anon_sym_do] = ACTIONS(2618),
    [anon_sym_for] = ACTIONS(2618),
    [anon_sym_in] = ACTIONS(2618),
    [anon_sym_return] = ACTIONS(2618),
    [anon_sym_break] = ACTIONS(2618),
    [anon_sym_continue] = ACTIONS(2618),
    [anon_sym_goto] = ACTIONS(2618),
    [anon_sym_DASH_DASH] = ACTIONS(2620),
    [anon_sym_PLUS_PLUS] = ACTIONS(2620),
    [anon_sym_sizeof] = ACTIONS(2618),
    [anon_sym___alignof__] = ACTIONS(2618),
    [anon_sym___alignof] = ACTIONS(2618),
    [anon_sym__alignof] = ACTIONS(2618),
    [anon_sym_alignof] = ACTIONS(2618),
    [anon_sym__Alignof] = ACTIONS(2618),
    [anon_sym_offsetof] = ACTIONS(2618),
    [anon_sym__Generic] = ACTIONS(2618),
    [anon_sym_asm] = ACTIONS(2618),
    [anon_sym___asm__] = ACTIONS(2618),
    [anon_sym___asm] = ACTIONS(2618),
    [sym_number_literal] = ACTIONS(2620),
    [anon_sym_L_SQUOTE] = ACTIONS(2620),
    [anon_sym_u_SQUOTE] = ACTIONS(2620),
    [anon_sym_U_SQUOTE] = ACTIONS(2620),
    [anon_sym_u8_SQUOTE] = ACTIONS(2620),
    [anon_sym_SQUOTE] = ACTIONS(2620),
    [anon_sym_AT] = ACTIONS(2618),
    [anon_sym_DQUOTE] = ACTIONS(2620),
    [anon_sym_L_DQUOTE] = ACTIONS(2620),
    [anon_sym_u_DQUOTE] = ACTIONS(2620),
    [anon_sym_U_DQUOTE] = ACTIONS(2620),
    [anon_sym_u8_DQUOTE] = ACTIONS(2620),
    [sym_true] = ACTIONS(2618),
    [sym_false] = ACTIONS(2618),
    [anon_sym_NULL] = ACTIONS(2618),
    [anon_sym_nullptr] = ACTIONS(2618),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2618),
    [anon_sym___typeof] = ACTIONS(2618),
    [anon_sym_typeof] = ACTIONS(2618),
    [anon_sym_ATimport] = ACTIONS(2620),
    [aux_sym_preproc_undef_token1] = ACTIONS(2618),
    [anon_sym_POUND] = ACTIONS(2618),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2618),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2618),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2618),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2618),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2618),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2618),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2618),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2618),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2618),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2618),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2618),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2618),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2618),
    [anon_sym_API_AVAILABLE] = ACTIONS(2618),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2618),
    [anon_sym_API_DEPRECATED] = ACTIONS(2618),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2618),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2618),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2618),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2618),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2618),
    [anon_sym___deprecated_msg] = ACTIONS(2618),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2618),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2618),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2618),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2618),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2618),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2618),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2618),
    [anon_sym_ATprotocol] = ACTIONS(2620),
    [anon_sym_ATinterface] = ACTIONS(2620),
    [anon_sym_ATimplementation] = ACTIONS(2620),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2620),
    [anon_sym_ATselector] = ACTIONS(2620),
    [anon_sym_ATavailable] = ACTIONS(2620),
    [anon_sym___builtin_available] = ACTIONS(2618),
    [anon_sym_va_arg] = ACTIONS(2618),
    [anon_sym_ATencode] = ACTIONS(2620),
    [anon_sym_BOOL] = ACTIONS(2618),
    [anon_sym_IMP] = ACTIONS(2618),
    [anon_sym_SEL] = ACTIONS(2618),
    [anon_sym_Class] = ACTIONS(2618),
    [anon_sym_id] = ACTIONS(2618),
  },
  [1014] = {
    [ts_builtin_sym_end] = ACTIONS(2624),
    [sym_identifier] = ACTIONS(2622),
    [aux_sym_preproc_include_token1] = ACTIONS(2622),
    [aux_sym_preproc_include_token2] = ACTIONS(2622),
    [aux_sym_preproc_def_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2622),
    [sym_preproc_directive] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_CARET] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym___extension__] = ACTIONS(2622),
    [anon_sym_typedef] = ACTIONS(2622),
    [anon_sym_extern] = ACTIONS(2622),
    [anon_sym___attribute__] = ACTIONS(2622),
    [anon_sym___attribute] = ACTIONS(2622),
    [anon_sym_noreturn] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym___declspec] = ACTIONS(2622),
    [anon_sym___cdecl] = ACTIONS(2622),
    [anon_sym___clrcall] = ACTIONS(2622),
    [anon_sym___stdcall] = ACTIONS(2622),
    [anon_sym___fastcall] = ACTIONS(2622),
    [anon_sym___thiscall] = ACTIONS(2622),
    [anon_sym___vectorcall] = ACTIONS(2622),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_signed] = ACTIONS(2622),
    [anon_sym_unsigned] = ACTIONS(2622),
    [anon_sym_long] = ACTIONS(2622),
    [anon_sym_short] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_ATautoreleasepool] = ACTIONS(2624),
    [anon_sym_auto] = ACTIONS(2622),
    [anon_sym_register] = ACTIONS(2622),
    [anon_sym_inline] = ACTIONS(2622),
    [anon_sym___inline] = ACTIONS(2622),
    [anon_sym___inline__] = ACTIONS(2622),
    [anon_sym___forceinline] = ACTIONS(2622),
    [anon_sym_thread_local] = ACTIONS(2622),
    [anon_sym___thread] = ACTIONS(2622),
    [anon_sym_CG_EXTERN] = ACTIONS(2622),
    [anon_sym_CG_INLINE] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2622),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2622),
    [anon_sym_IBOutlet] = ACTIONS(2622),
    [anon_sym_IBInspectable] = ACTIONS(2622),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2622),
    [anon_sym_NS_INLINE] = ACTIONS(2622),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2622),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2622),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_constexpr] = ACTIONS(2622),
    [anon_sym_volatile] = ACTIONS(2622),
    [anon_sym_restrict] = ACTIONS(2622),
    [anon_sym___restrict__] = ACTIONS(2622),
    [anon_sym__Atomic] = ACTIONS(2622),
    [anon_sym__Noreturn] = ACTIONS(2622),
    [anon_sym__Nonnull] = ACTIONS(2622),
    [anon_sym_nullable] = ACTIONS(2622),
    [anon_sym__Complex] = ACTIONS(2622),
    [anon_sym__Nullable] = ACTIONS(2622),
    [anon_sym__Nullable_result] = ACTIONS(2622),
    [anon_sym__Null_unspecified] = ACTIONS(2622),
    [anon_sym___autoreleasing] = ACTIONS(2622),
    [anon_sym___block] = ACTIONS(2622),
    [anon_sym___bridge] = ACTIONS(2622),
    [anon_sym___bridge_retained] = ACTIONS(2622),
    [anon_sym___bridge_transfer] = ACTIONS(2622),
    [anon_sym___complex] = ACTIONS(2622),
    [anon_sym___const] = ACTIONS(2622),
    [anon_sym___imag] = ACTIONS(2622),
    [anon_sym___kindof] = ACTIONS(2622),
    [anon_sym___nonnull] = ACTIONS(2622),
    [anon_sym___nullable] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2622),
    [anon_sym___real] = ACTIONS(2622),
    [anon_sym___strong] = ACTIONS(2622),
    [anon_sym___unsafe_unretained] = ACTIONS(2622),
    [anon_sym___unused] = ACTIONS(2622),
    [anon_sym___weak] = ACTIONS(2622),
    [anon_sym_alignas] = ACTIONS(2622),
    [anon_sym__Alignas] = ACTIONS(2622),
    [sym_primitive_type] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [anon_sym_struct] = ACTIONS(2622),
    [anon_sym_union] = ACTIONS(2622),
    [anon_sym_if] = ACTIONS(2622),
    [anon_sym_switch] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2622),
    [anon_sym_default] = ACTIONS(2622),
    [anon_sym_while] = ACTIONS(2622),
    [anon_sym_do] = ACTIONS(2622),
    [anon_sym_for] = ACTIONS(2622),
    [anon_sym_in] = ACTIONS(2622),
    [anon_sym_return] = ACTIONS(2622),
    [anon_sym_break] = ACTIONS(2622),
    [anon_sym_continue] = ACTIONS(2622),
    [anon_sym_goto] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_sizeof] = ACTIONS(2622),
    [anon_sym___alignof__] = ACTIONS(2622),
    [anon_sym___alignof] = ACTIONS(2622),
    [anon_sym__alignof] = ACTIONS(2622),
    [anon_sym_alignof] = ACTIONS(2622),
    [anon_sym__Alignof] = ACTIONS(2622),
    [anon_sym_offsetof] = ACTIONS(2622),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2622),
    [anon_sym___asm__] = ACTIONS(2622),
    [anon_sym___asm] = ACTIONS(2622),
    [sym_number_literal] = ACTIONS(2624),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2624),
    [anon_sym_u_DQUOTE] = ACTIONS(2624),
    [anon_sym_U_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8_DQUOTE] = ACTIONS(2624),
    [sym_true] = ACTIONS(2622),
    [sym_false] = ACTIONS(2622),
    [anon_sym_NULL] = ACTIONS(2622),
    [anon_sym_nullptr] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2622),
    [anon_sym___typeof] = ACTIONS(2622),
    [anon_sym_typeof] = ACTIONS(2622),
    [anon_sym_ATimport] = ACTIONS(2624),
    [aux_sym_preproc_undef_token1] = ACTIONS(2622),
    [anon_sym_POUND] = ACTIONS(2622),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2622),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2622),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2622),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_API_AVAILABLE] = ACTIONS(2622),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_API_DEPRECATED] = ACTIONS(2622),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym___deprecated_msg] = ACTIONS(2622),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2622),
    [anon_sym_ATprotocol] = ACTIONS(2624),
    [anon_sym_ATinterface] = ACTIONS(2624),
    [anon_sym_ATimplementation] = ACTIONS(2624),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2624),
    [anon_sym_ATselector] = ACTIONS(2624),
    [anon_sym_ATavailable] = ACTIONS(2624),
    [anon_sym___builtin_available] = ACTIONS(2622),
    [anon_sym_va_arg] = ACTIONS(2622),
    [anon_sym_ATencode] = ACTIONS(2624),
    [anon_sym_BOOL] = ACTIONS(2622),
    [anon_sym_IMP] = ACTIONS(2622),
    [anon_sym_SEL] = ACTIONS(2622),
    [anon_sym_Class] = ACTIONS(2622),
    [anon_sym_id] = ACTIONS(2622),
  },
  [1015] = {
    [ts_builtin_sym_end] = ACTIONS(2624),
    [sym_identifier] = ACTIONS(2622),
    [aux_sym_preproc_include_token1] = ACTIONS(2622),
    [aux_sym_preproc_include_token2] = ACTIONS(2622),
    [aux_sym_preproc_def_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2622),
    [sym_preproc_directive] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_CARET] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym___extension__] = ACTIONS(2622),
    [anon_sym_typedef] = ACTIONS(2622),
    [anon_sym_extern] = ACTIONS(2622),
    [anon_sym___attribute__] = ACTIONS(2622),
    [anon_sym___attribute] = ACTIONS(2622),
    [anon_sym_noreturn] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym___declspec] = ACTIONS(2622),
    [anon_sym___cdecl] = ACTIONS(2622),
    [anon_sym___clrcall] = ACTIONS(2622),
    [anon_sym___stdcall] = ACTIONS(2622),
    [anon_sym___fastcall] = ACTIONS(2622),
    [anon_sym___thiscall] = ACTIONS(2622),
    [anon_sym___vectorcall] = ACTIONS(2622),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_signed] = ACTIONS(2622),
    [anon_sym_unsigned] = ACTIONS(2622),
    [anon_sym_long] = ACTIONS(2622),
    [anon_sym_short] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_ATautoreleasepool] = ACTIONS(2624),
    [anon_sym_auto] = ACTIONS(2622),
    [anon_sym_register] = ACTIONS(2622),
    [anon_sym_inline] = ACTIONS(2622),
    [anon_sym___inline] = ACTIONS(2622),
    [anon_sym___inline__] = ACTIONS(2622),
    [anon_sym___forceinline] = ACTIONS(2622),
    [anon_sym_thread_local] = ACTIONS(2622),
    [anon_sym___thread] = ACTIONS(2622),
    [anon_sym_CG_EXTERN] = ACTIONS(2622),
    [anon_sym_CG_INLINE] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2622),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2622),
    [anon_sym_IBOutlet] = ACTIONS(2622),
    [anon_sym_IBInspectable] = ACTIONS(2622),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2622),
    [anon_sym_NS_INLINE] = ACTIONS(2622),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2622),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2622),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_constexpr] = ACTIONS(2622),
    [anon_sym_volatile] = ACTIONS(2622),
    [anon_sym_restrict] = ACTIONS(2622),
    [anon_sym___restrict__] = ACTIONS(2622),
    [anon_sym__Atomic] = ACTIONS(2622),
    [anon_sym__Noreturn] = ACTIONS(2622),
    [anon_sym__Nonnull] = ACTIONS(2622),
    [anon_sym_nullable] = ACTIONS(2622),
    [anon_sym__Complex] = ACTIONS(2622),
    [anon_sym__Nullable] = ACTIONS(2622),
    [anon_sym__Nullable_result] = ACTIONS(2622),
    [anon_sym__Null_unspecified] = ACTIONS(2622),
    [anon_sym___autoreleasing] = ACTIONS(2622),
    [anon_sym___block] = ACTIONS(2622),
    [anon_sym___bridge] = ACTIONS(2622),
    [anon_sym___bridge_retained] = ACTIONS(2622),
    [anon_sym___bridge_transfer] = ACTIONS(2622),
    [anon_sym___complex] = ACTIONS(2622),
    [anon_sym___const] = ACTIONS(2622),
    [anon_sym___imag] = ACTIONS(2622),
    [anon_sym___kindof] = ACTIONS(2622),
    [anon_sym___nonnull] = ACTIONS(2622),
    [anon_sym___nullable] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2622),
    [anon_sym___real] = ACTIONS(2622),
    [anon_sym___strong] = ACTIONS(2622),
    [anon_sym___unsafe_unretained] = ACTIONS(2622),
    [anon_sym___unused] = ACTIONS(2622),
    [anon_sym___weak] = ACTIONS(2622),
    [anon_sym_alignas] = ACTIONS(2622),
    [anon_sym__Alignas] = ACTIONS(2622),
    [sym_primitive_type] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [anon_sym_struct] = ACTIONS(2622),
    [anon_sym_union] = ACTIONS(2622),
    [anon_sym_if] = ACTIONS(2622),
    [anon_sym_switch] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2622),
    [anon_sym_default] = ACTIONS(2622),
    [anon_sym_while] = ACTIONS(2622),
    [anon_sym_do] = ACTIONS(2622),
    [anon_sym_for] = ACTIONS(2622),
    [anon_sym_in] = ACTIONS(2622),
    [anon_sym_return] = ACTIONS(2622),
    [anon_sym_break] = ACTIONS(2622),
    [anon_sym_continue] = ACTIONS(2622),
    [anon_sym_goto] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_sizeof] = ACTIONS(2622),
    [anon_sym___alignof__] = ACTIONS(2622),
    [anon_sym___alignof] = ACTIONS(2622),
    [anon_sym__alignof] = ACTIONS(2622),
    [anon_sym_alignof] = ACTIONS(2622),
    [anon_sym__Alignof] = ACTIONS(2622),
    [anon_sym_offsetof] = ACTIONS(2622),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2622),
    [anon_sym___asm__] = ACTIONS(2622),
    [anon_sym___asm] = ACTIONS(2622),
    [sym_number_literal] = ACTIONS(2624),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2624),
    [anon_sym_u_DQUOTE] = ACTIONS(2624),
    [anon_sym_U_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8_DQUOTE] = ACTIONS(2624),
    [sym_true] = ACTIONS(2622),
    [sym_false] = ACTIONS(2622),
    [anon_sym_NULL] = ACTIONS(2622),
    [anon_sym_nullptr] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2622),
    [anon_sym___typeof] = ACTIONS(2622),
    [anon_sym_typeof] = ACTIONS(2622),
    [anon_sym_ATimport] = ACTIONS(2624),
    [aux_sym_preproc_undef_token1] = ACTIONS(2622),
    [anon_sym_POUND] = ACTIONS(2622),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2622),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2622),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2622),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_API_AVAILABLE] = ACTIONS(2622),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_API_DEPRECATED] = ACTIONS(2622),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym___deprecated_msg] = ACTIONS(2622),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2622),
    [anon_sym_ATprotocol] = ACTIONS(2624),
    [anon_sym_ATinterface] = ACTIONS(2624),
    [anon_sym_ATimplementation] = ACTIONS(2624),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2624),
    [anon_sym_ATselector] = ACTIONS(2624),
    [anon_sym_ATavailable] = ACTIONS(2624),
    [anon_sym___builtin_available] = ACTIONS(2622),
    [anon_sym_va_arg] = ACTIONS(2622),
    [anon_sym_ATencode] = ACTIONS(2624),
    [anon_sym_BOOL] = ACTIONS(2622),
    [anon_sym_IMP] = ACTIONS(2622),
    [anon_sym_SEL] = ACTIONS(2622),
    [anon_sym_Class] = ACTIONS(2622),
    [anon_sym_id] = ACTIONS(2622),
  },
  [1016] = {
    [ts_builtin_sym_end] = ACTIONS(2624),
    [sym_identifier] = ACTIONS(2622),
    [aux_sym_preproc_include_token1] = ACTIONS(2622),
    [aux_sym_preproc_include_token2] = ACTIONS(2622),
    [aux_sym_preproc_def_token1] = ACTIONS(2622),
    [aux_sym_preproc_if_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2622),
    [sym_preproc_directive] = ACTIONS(2622),
    [anon_sym_LPAREN2] = ACTIONS(2624),
    [anon_sym_BANG] = ACTIONS(2624),
    [anon_sym_TILDE] = ACTIONS(2624),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_STAR] = ACTIONS(2624),
    [anon_sym_CARET] = ACTIONS(2624),
    [anon_sym_AMP] = ACTIONS(2624),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym___extension__] = ACTIONS(2622),
    [anon_sym_typedef] = ACTIONS(2622),
    [anon_sym_extern] = ACTIONS(2622),
    [anon_sym___attribute__] = ACTIONS(2622),
    [anon_sym___attribute] = ACTIONS(2622),
    [anon_sym_noreturn] = ACTIONS(2622),
    [anon_sym_LBRACK] = ACTIONS(2624),
    [anon_sym___declspec] = ACTIONS(2622),
    [anon_sym___cdecl] = ACTIONS(2622),
    [anon_sym___clrcall] = ACTIONS(2622),
    [anon_sym___stdcall] = ACTIONS(2622),
    [anon_sym___fastcall] = ACTIONS(2622),
    [anon_sym___thiscall] = ACTIONS(2622),
    [anon_sym___vectorcall] = ACTIONS(2622),
    [anon_sym_LBRACE] = ACTIONS(2624),
    [anon_sym_signed] = ACTIONS(2622),
    [anon_sym_unsigned] = ACTIONS(2622),
    [anon_sym_long] = ACTIONS(2622),
    [anon_sym_short] = ACTIONS(2622),
    [anon_sym_static] = ACTIONS(2622),
    [anon_sym_ATautoreleasepool] = ACTIONS(2624),
    [anon_sym_auto] = ACTIONS(2622),
    [anon_sym_register] = ACTIONS(2622),
    [anon_sym_inline] = ACTIONS(2622),
    [anon_sym___inline] = ACTIONS(2622),
    [anon_sym___inline__] = ACTIONS(2622),
    [anon_sym___forceinline] = ACTIONS(2622),
    [anon_sym_thread_local] = ACTIONS(2622),
    [anon_sym___thread] = ACTIONS(2622),
    [anon_sym_CG_EXTERN] = ACTIONS(2622),
    [anon_sym_CG_INLINE] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2622),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2622),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2622),
    [anon_sym_IBOutlet] = ACTIONS(2622),
    [anon_sym_IBInspectable] = ACTIONS(2622),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2622),
    [anon_sym_NS_INLINE] = ACTIONS(2622),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2622),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2622),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2622),
    [anon_sym_const] = ACTIONS(2622),
    [anon_sym_constexpr] = ACTIONS(2622),
    [anon_sym_volatile] = ACTIONS(2622),
    [anon_sym_restrict] = ACTIONS(2622),
    [anon_sym___restrict__] = ACTIONS(2622),
    [anon_sym__Atomic] = ACTIONS(2622),
    [anon_sym__Noreturn] = ACTIONS(2622),
    [anon_sym__Nonnull] = ACTIONS(2622),
    [anon_sym_nullable] = ACTIONS(2622),
    [anon_sym__Complex] = ACTIONS(2622),
    [anon_sym__Nullable] = ACTIONS(2622),
    [anon_sym__Nullable_result] = ACTIONS(2622),
    [anon_sym__Null_unspecified] = ACTIONS(2622),
    [anon_sym___autoreleasing] = ACTIONS(2622),
    [anon_sym___block] = ACTIONS(2622),
    [anon_sym___bridge] = ACTIONS(2622),
    [anon_sym___bridge_retained] = ACTIONS(2622),
    [anon_sym___bridge_transfer] = ACTIONS(2622),
    [anon_sym___complex] = ACTIONS(2622),
    [anon_sym___const] = ACTIONS(2622),
    [anon_sym___imag] = ACTIONS(2622),
    [anon_sym___kindof] = ACTIONS(2622),
    [anon_sym___nonnull] = ACTIONS(2622),
    [anon_sym___nullable] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2622),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2622),
    [anon_sym___real] = ACTIONS(2622),
    [anon_sym___strong] = ACTIONS(2622),
    [anon_sym___unsafe_unretained] = ACTIONS(2622),
    [anon_sym___unused] = ACTIONS(2622),
    [anon_sym___weak] = ACTIONS(2622),
    [anon_sym_alignas] = ACTIONS(2622),
    [anon_sym__Alignas] = ACTIONS(2622),
    [sym_primitive_type] = ACTIONS(2622),
    [anon_sym_enum] = ACTIONS(2622),
    [anon_sym_struct] = ACTIONS(2622),
    [anon_sym_union] = ACTIONS(2622),
    [anon_sym_if] = ACTIONS(2622),
    [anon_sym_switch] = ACTIONS(2622),
    [anon_sym_case] = ACTIONS(2622),
    [anon_sym_default] = ACTIONS(2622),
    [anon_sym_while] = ACTIONS(2622),
    [anon_sym_do] = ACTIONS(2622),
    [anon_sym_for] = ACTIONS(2622),
    [anon_sym_in] = ACTIONS(2622),
    [anon_sym_return] = ACTIONS(2622),
    [anon_sym_break] = ACTIONS(2622),
    [anon_sym_continue] = ACTIONS(2622),
    [anon_sym_goto] = ACTIONS(2622),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_sizeof] = ACTIONS(2622),
    [anon_sym___alignof__] = ACTIONS(2622),
    [anon_sym___alignof] = ACTIONS(2622),
    [anon_sym__alignof] = ACTIONS(2622),
    [anon_sym_alignof] = ACTIONS(2622),
    [anon_sym__Alignof] = ACTIONS(2622),
    [anon_sym_offsetof] = ACTIONS(2622),
    [anon_sym__Generic] = ACTIONS(2622),
    [anon_sym_asm] = ACTIONS(2622),
    [anon_sym___asm__] = ACTIONS(2622),
    [anon_sym___asm] = ACTIONS(2622),
    [sym_number_literal] = ACTIONS(2624),
    [anon_sym_L_SQUOTE] = ACTIONS(2624),
    [anon_sym_u_SQUOTE] = ACTIONS(2624),
    [anon_sym_U_SQUOTE] = ACTIONS(2624),
    [anon_sym_u8_SQUOTE] = ACTIONS(2624),
    [anon_sym_SQUOTE] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2622),
    [anon_sym_DQUOTE] = ACTIONS(2624),
    [anon_sym_L_DQUOTE] = ACTIONS(2624),
    [anon_sym_u_DQUOTE] = ACTIONS(2624),
    [anon_sym_U_DQUOTE] = ACTIONS(2624),
    [anon_sym_u8_DQUOTE] = ACTIONS(2624),
    [sym_true] = ACTIONS(2622),
    [sym_false] = ACTIONS(2622),
    [anon_sym_NULL] = ACTIONS(2622),
    [anon_sym_nullptr] = ACTIONS(2622),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2622),
    [anon_sym___typeof] = ACTIONS(2622),
    [anon_sym_typeof] = ACTIONS(2622),
    [anon_sym_ATimport] = ACTIONS(2624),
    [aux_sym_preproc_undef_token1] = ACTIONS(2622),
    [anon_sym_POUND] = ACTIONS(2622),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2622),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2622),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2622),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2622),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2622),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_API_AVAILABLE] = ACTIONS(2622),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_API_DEPRECATED] = ACTIONS(2622),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2622),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2622),
    [anon_sym___deprecated_msg] = ACTIONS(2622),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2622),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2622),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2622),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2622),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2622),
    [anon_sym_ATprotocol] = ACTIONS(2624),
    [anon_sym_ATinterface] = ACTIONS(2624),
    [anon_sym_ATimplementation] = ACTIONS(2624),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2624),
    [anon_sym_ATselector] = ACTIONS(2624),
    [anon_sym_ATavailable] = ACTIONS(2624),
    [anon_sym___builtin_available] = ACTIONS(2622),
    [anon_sym_va_arg] = ACTIONS(2622),
    [anon_sym_ATencode] = ACTIONS(2624),
    [anon_sym_BOOL] = ACTIONS(2622),
    [anon_sym_IMP] = ACTIONS(2622),
    [anon_sym_SEL] = ACTIONS(2622),
    [anon_sym_Class] = ACTIONS(2622),
    [anon_sym_id] = ACTIONS(2622),
  },
  [1017] = {
    [ts_builtin_sym_end] = ACTIONS(2628),
    [sym_identifier] = ACTIONS(2626),
    [aux_sym_preproc_include_token1] = ACTIONS(2626),
    [aux_sym_preproc_include_token2] = ACTIONS(2626),
    [aux_sym_preproc_def_token1] = ACTIONS(2626),
    [aux_sym_preproc_if_token1] = ACTIONS(2626),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2626),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2626),
    [sym_preproc_directive] = ACTIONS(2626),
    [anon_sym_LPAREN2] = ACTIONS(2628),
    [anon_sym_BANG] = ACTIONS(2628),
    [anon_sym_TILDE] = ACTIONS(2628),
    [anon_sym_DASH] = ACTIONS(2626),
    [anon_sym_PLUS] = ACTIONS(2626),
    [anon_sym_STAR] = ACTIONS(2628),
    [anon_sym_CARET] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2628),
    [anon_sym_SEMI] = ACTIONS(2628),
    [anon_sym___extension__] = ACTIONS(2626),
    [anon_sym_typedef] = ACTIONS(2626),
    [anon_sym_extern] = ACTIONS(2626),
    [anon_sym___attribute__] = ACTIONS(2626),
    [anon_sym___attribute] = ACTIONS(2626),
    [anon_sym_noreturn] = ACTIONS(2626),
    [anon_sym_LBRACK] = ACTIONS(2628),
    [anon_sym___declspec] = ACTIONS(2626),
    [anon_sym___cdecl] = ACTIONS(2626),
    [anon_sym___clrcall] = ACTIONS(2626),
    [anon_sym___stdcall] = ACTIONS(2626),
    [anon_sym___fastcall] = ACTIONS(2626),
    [anon_sym___thiscall] = ACTIONS(2626),
    [anon_sym___vectorcall] = ACTIONS(2626),
    [anon_sym_LBRACE] = ACTIONS(2628),
    [anon_sym_signed] = ACTIONS(2626),
    [anon_sym_unsigned] = ACTIONS(2626),
    [anon_sym_long] = ACTIONS(2626),
    [anon_sym_short] = ACTIONS(2626),
    [anon_sym_static] = ACTIONS(2626),
    [anon_sym_ATautoreleasepool] = ACTIONS(2628),
    [anon_sym_auto] = ACTIONS(2626),
    [anon_sym_register] = ACTIONS(2626),
    [anon_sym_inline] = ACTIONS(2626),
    [anon_sym___inline] = ACTIONS(2626),
    [anon_sym___inline__] = ACTIONS(2626),
    [anon_sym___forceinline] = ACTIONS(2626),
    [anon_sym_thread_local] = ACTIONS(2626),
    [anon_sym___thread] = ACTIONS(2626),
    [anon_sym_CG_EXTERN] = ACTIONS(2626),
    [anon_sym_CG_INLINE] = ACTIONS(2626),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2626),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2626),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2626),
    [anon_sym_IBOutlet] = ACTIONS(2626),
    [anon_sym_IBInspectable] = ACTIONS(2626),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2626),
    [anon_sym_NS_INLINE] = ACTIONS(2626),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2626),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2626),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2626),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2626),
    [anon_sym_const] = ACTIONS(2626),
    [anon_sym_constexpr] = ACTIONS(2626),
    [anon_sym_volatile] = ACTIONS(2626),
    [anon_sym_restrict] = ACTIONS(2626),
    [anon_sym___restrict__] = ACTIONS(2626),
    [anon_sym__Atomic] = ACTIONS(2626),
    [anon_sym__Noreturn] = ACTIONS(2626),
    [anon_sym__Nonnull] = ACTIONS(2626),
    [anon_sym_nullable] = ACTIONS(2626),
    [anon_sym__Complex] = ACTIONS(2626),
    [anon_sym__Nullable] = ACTIONS(2626),
    [anon_sym__Nullable_result] = ACTIONS(2626),
    [anon_sym__Null_unspecified] = ACTIONS(2626),
    [anon_sym___autoreleasing] = ACTIONS(2626),
    [anon_sym___block] = ACTIONS(2626),
    [anon_sym___bridge] = ACTIONS(2626),
    [anon_sym___bridge_retained] = ACTIONS(2626),
    [anon_sym___bridge_transfer] = ACTIONS(2626),
    [anon_sym___complex] = ACTIONS(2626),
    [anon_sym___const] = ACTIONS(2626),
    [anon_sym___imag] = ACTIONS(2626),
    [anon_sym___kindof] = ACTIONS(2626),
    [anon_sym___nonnull] = ACTIONS(2626),
    [anon_sym___nullable] = ACTIONS(2626),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2626),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2626),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2626),
    [anon_sym___real] = ACTIONS(2626),
    [anon_sym___strong] = ACTIONS(2626),
    [anon_sym___unsafe_unretained] = ACTIONS(2626),
    [anon_sym___unused] = ACTIONS(2626),
    [anon_sym___weak] = ACTIONS(2626),
    [anon_sym_alignas] = ACTIONS(2626),
    [anon_sym__Alignas] = ACTIONS(2626),
    [sym_primitive_type] = ACTIONS(2626),
    [anon_sym_enum] = ACTIONS(2626),
    [anon_sym_struct] = ACTIONS(2626),
    [anon_sym_union] = ACTIONS(2626),
    [anon_sym_if] = ACTIONS(2626),
    [anon_sym_switch] = ACTIONS(2626),
    [anon_sym_case] = ACTIONS(2626),
    [anon_sym_default] = ACTIONS(2626),
    [anon_sym_while] = ACTIONS(2626),
    [anon_sym_do] = ACTIONS(2626),
    [anon_sym_for] = ACTIONS(2626),
    [anon_sym_in] = ACTIONS(2626),
    [anon_sym_return] = ACTIONS(2626),
    [anon_sym_break] = ACTIONS(2626),
    [anon_sym_continue] = ACTIONS(2626),
    [anon_sym_goto] = ACTIONS(2626),
    [anon_sym_DASH_DASH] = ACTIONS(2628),
    [anon_sym_PLUS_PLUS] = ACTIONS(2628),
    [anon_sym_sizeof] = ACTIONS(2626),
    [anon_sym___alignof__] = ACTIONS(2626),
    [anon_sym___alignof] = ACTIONS(2626),
    [anon_sym__alignof] = ACTIONS(2626),
    [anon_sym_alignof] = ACTIONS(2626),
    [anon_sym__Alignof] = ACTIONS(2626),
    [anon_sym_offsetof] = ACTIONS(2626),
    [anon_sym__Generic] = ACTIONS(2626),
    [anon_sym_asm] = ACTIONS(2626),
    [anon_sym___asm__] = ACTIONS(2626),
    [anon_sym___asm] = ACTIONS(2626),
    [sym_number_literal] = ACTIONS(2628),
    [anon_sym_L_SQUOTE] = ACTIONS(2628),
    [anon_sym_u_SQUOTE] = ACTIONS(2628),
    [anon_sym_U_SQUOTE] = ACTIONS(2628),
    [anon_sym_u8_SQUOTE] = ACTIONS(2628),
    [anon_sym_SQUOTE] = ACTIONS(2628),
    [anon_sym_AT] = ACTIONS(2626),
    [anon_sym_DQUOTE] = ACTIONS(2628),
    [anon_sym_L_DQUOTE] = ACTIONS(2628),
    [anon_sym_u_DQUOTE] = ACTIONS(2628),
    [anon_sym_U_DQUOTE] = ACTIONS(2628),
    [anon_sym_u8_DQUOTE] = ACTIONS(2628),
    [sym_true] = ACTIONS(2626),
    [sym_false] = ACTIONS(2626),
    [anon_sym_NULL] = ACTIONS(2626),
    [anon_sym_nullptr] = ACTIONS(2626),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2626),
    [anon_sym___typeof] = ACTIONS(2626),
    [anon_sym_typeof] = ACTIONS(2626),
    [anon_sym_ATimport] = ACTIONS(2628),
    [aux_sym_preproc_undef_token1] = ACTIONS(2626),
    [anon_sym_POUND] = ACTIONS(2626),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2626),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2626),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2626),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2626),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2626),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2626),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2626),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2626),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2626),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2626),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2626),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2626),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2626),
    [anon_sym_API_AVAILABLE] = ACTIONS(2626),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2626),
    [anon_sym_API_DEPRECATED] = ACTIONS(2626),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2626),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2626),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2626),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2626),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2626),
    [anon_sym___deprecated_msg] = ACTIONS(2626),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2626),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2626),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2626),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2626),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2626),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2626),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2626),
    [anon_sym_ATprotocol] = ACTIONS(2628),
    [anon_sym_ATinterface] = ACTIONS(2628),
    [anon_sym_ATimplementation] = ACTIONS(2628),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2628),
    [anon_sym_ATselector] = ACTIONS(2628),
    [anon_sym_ATavailable] = ACTIONS(2628),
    [anon_sym___builtin_available] = ACTIONS(2626),
    [anon_sym_va_arg] = ACTIONS(2626),
    [anon_sym_ATencode] = ACTIONS(2628),
    [anon_sym_BOOL] = ACTIONS(2626),
    [anon_sym_IMP] = ACTIONS(2626),
    [anon_sym_SEL] = ACTIONS(2626),
    [anon_sym_Class] = ACTIONS(2626),
    [anon_sym_id] = ACTIONS(2626),
  },
  [1018] = {
    [ts_builtin_sym_end] = ACTIONS(2632),
    [sym_identifier] = ACTIONS(2630),
    [aux_sym_preproc_include_token1] = ACTIONS(2630),
    [aux_sym_preproc_include_token2] = ACTIONS(2630),
    [aux_sym_preproc_def_token1] = ACTIONS(2630),
    [aux_sym_preproc_if_token1] = ACTIONS(2630),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2630),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2630),
    [sym_preproc_directive] = ACTIONS(2630),
    [anon_sym_LPAREN2] = ACTIONS(2632),
    [anon_sym_BANG] = ACTIONS(2632),
    [anon_sym_TILDE] = ACTIONS(2632),
    [anon_sym_DASH] = ACTIONS(2630),
    [anon_sym_PLUS] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2632),
    [anon_sym_CARET] = ACTIONS(2632),
    [anon_sym_AMP] = ACTIONS(2632),
    [anon_sym_SEMI] = ACTIONS(2632),
    [anon_sym___extension__] = ACTIONS(2630),
    [anon_sym_typedef] = ACTIONS(2630),
    [anon_sym_extern] = ACTIONS(2630),
    [anon_sym___attribute__] = ACTIONS(2630),
    [anon_sym___attribute] = ACTIONS(2630),
    [anon_sym_noreturn] = ACTIONS(2630),
    [anon_sym_LBRACK] = ACTIONS(2632),
    [anon_sym___declspec] = ACTIONS(2630),
    [anon_sym___cdecl] = ACTIONS(2630),
    [anon_sym___clrcall] = ACTIONS(2630),
    [anon_sym___stdcall] = ACTIONS(2630),
    [anon_sym___fastcall] = ACTIONS(2630),
    [anon_sym___thiscall] = ACTIONS(2630),
    [anon_sym___vectorcall] = ACTIONS(2630),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_signed] = ACTIONS(2630),
    [anon_sym_unsigned] = ACTIONS(2630),
    [anon_sym_long] = ACTIONS(2630),
    [anon_sym_short] = ACTIONS(2630),
    [anon_sym_static] = ACTIONS(2630),
    [anon_sym_ATautoreleasepool] = ACTIONS(2632),
    [anon_sym_auto] = ACTIONS(2630),
    [anon_sym_register] = ACTIONS(2630),
    [anon_sym_inline] = ACTIONS(2630),
    [anon_sym___inline] = ACTIONS(2630),
    [anon_sym___inline__] = ACTIONS(2630),
    [anon_sym___forceinline] = ACTIONS(2630),
    [anon_sym_thread_local] = ACTIONS(2630),
    [anon_sym___thread] = ACTIONS(2630),
    [anon_sym_CG_EXTERN] = ACTIONS(2630),
    [anon_sym_CG_INLINE] = ACTIONS(2630),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2630),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2630),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2630),
    [anon_sym_IBOutlet] = ACTIONS(2630),
    [anon_sym_IBInspectable] = ACTIONS(2630),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2630),
    [anon_sym_NS_INLINE] = ACTIONS(2630),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2630),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2630),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2630),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2630),
    [anon_sym_const] = ACTIONS(2630),
    [anon_sym_constexpr] = ACTIONS(2630),
    [anon_sym_volatile] = ACTIONS(2630),
    [anon_sym_restrict] = ACTIONS(2630),
    [anon_sym___restrict__] = ACTIONS(2630),
    [anon_sym__Atomic] = ACTIONS(2630),
    [anon_sym__Noreturn] = ACTIONS(2630),
    [anon_sym__Nonnull] = ACTIONS(2630),
    [anon_sym_nullable] = ACTIONS(2630),
    [anon_sym__Complex] = ACTIONS(2630),
    [anon_sym__Nullable] = ACTIONS(2630),
    [anon_sym__Nullable_result] = ACTIONS(2630),
    [anon_sym__Null_unspecified] = ACTIONS(2630),
    [anon_sym___autoreleasing] = ACTIONS(2630),
    [anon_sym___block] = ACTIONS(2630),
    [anon_sym___bridge] = ACTIONS(2630),
    [anon_sym___bridge_retained] = ACTIONS(2630),
    [anon_sym___bridge_transfer] = ACTIONS(2630),
    [anon_sym___complex] = ACTIONS(2630),
    [anon_sym___const] = ACTIONS(2630),
    [anon_sym___imag] = ACTIONS(2630),
    [anon_sym___kindof] = ACTIONS(2630),
    [anon_sym___nonnull] = ACTIONS(2630),
    [anon_sym___nullable] = ACTIONS(2630),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2630),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2630),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2630),
    [anon_sym___real] = ACTIONS(2630),
    [anon_sym___strong] = ACTIONS(2630),
    [anon_sym___unsafe_unretained] = ACTIONS(2630),
    [anon_sym___unused] = ACTIONS(2630),
    [anon_sym___weak] = ACTIONS(2630),
    [anon_sym_alignas] = ACTIONS(2630),
    [anon_sym__Alignas] = ACTIONS(2630),
    [sym_primitive_type] = ACTIONS(2630),
    [anon_sym_enum] = ACTIONS(2630),
    [anon_sym_struct] = ACTIONS(2630),
    [anon_sym_union] = ACTIONS(2630),
    [anon_sym_if] = ACTIONS(2630),
    [anon_sym_switch] = ACTIONS(2630),
    [anon_sym_case] = ACTIONS(2630),
    [anon_sym_default] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2630),
    [anon_sym_do] = ACTIONS(2630),
    [anon_sym_for] = ACTIONS(2630),
    [anon_sym_in] = ACTIONS(2630),
    [anon_sym_return] = ACTIONS(2630),
    [anon_sym_break] = ACTIONS(2630),
    [anon_sym_continue] = ACTIONS(2630),
    [anon_sym_goto] = ACTIONS(2630),
    [anon_sym_DASH_DASH] = ACTIONS(2632),
    [anon_sym_PLUS_PLUS] = ACTIONS(2632),
    [anon_sym_sizeof] = ACTIONS(2630),
    [anon_sym___alignof__] = ACTIONS(2630),
    [anon_sym___alignof] = ACTIONS(2630),
    [anon_sym__alignof] = ACTIONS(2630),
    [anon_sym_alignof] = ACTIONS(2630),
    [anon_sym__Alignof] = ACTIONS(2630),
    [anon_sym_offsetof] = ACTIONS(2630),
    [anon_sym__Generic] = ACTIONS(2630),
    [anon_sym_asm] = ACTIONS(2630),
    [anon_sym___asm__] = ACTIONS(2630),
    [anon_sym___asm] = ACTIONS(2630),
    [sym_number_literal] = ACTIONS(2632),
    [anon_sym_L_SQUOTE] = ACTIONS(2632),
    [anon_sym_u_SQUOTE] = ACTIONS(2632),
    [anon_sym_U_SQUOTE] = ACTIONS(2632),
    [anon_sym_u8_SQUOTE] = ACTIONS(2632),
    [anon_sym_SQUOTE] = ACTIONS(2632),
    [anon_sym_AT] = ACTIONS(2630),
    [anon_sym_DQUOTE] = ACTIONS(2632),
    [anon_sym_L_DQUOTE] = ACTIONS(2632),
    [anon_sym_u_DQUOTE] = ACTIONS(2632),
    [anon_sym_U_DQUOTE] = ACTIONS(2632),
    [anon_sym_u8_DQUOTE] = ACTIONS(2632),
    [sym_true] = ACTIONS(2630),
    [sym_false] = ACTIONS(2630),
    [anon_sym_NULL] = ACTIONS(2630),
    [anon_sym_nullptr] = ACTIONS(2630),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2630),
    [anon_sym___typeof] = ACTIONS(2630),
    [anon_sym_typeof] = ACTIONS(2630),
    [anon_sym_ATimport] = ACTIONS(2632),
    [aux_sym_preproc_undef_token1] = ACTIONS(2630),
    [anon_sym_POUND] = ACTIONS(2630),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2630),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2630),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2630),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2630),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2630),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2630),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2630),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2630),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2630),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2630),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2630),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2630),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2630),
    [anon_sym_API_AVAILABLE] = ACTIONS(2630),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2630),
    [anon_sym_API_DEPRECATED] = ACTIONS(2630),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2630),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2630),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2630),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2630),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2630),
    [anon_sym___deprecated_msg] = ACTIONS(2630),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2630),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2630),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2630),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2630),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2630),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2630),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2630),
    [anon_sym_ATprotocol] = ACTIONS(2632),
    [anon_sym_ATinterface] = ACTIONS(2632),
    [anon_sym_ATimplementation] = ACTIONS(2632),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2632),
    [anon_sym_ATselector] = ACTIONS(2632),
    [anon_sym_ATavailable] = ACTIONS(2632),
    [anon_sym___builtin_available] = ACTIONS(2630),
    [anon_sym_va_arg] = ACTIONS(2630),
    [anon_sym_ATencode] = ACTIONS(2632),
    [anon_sym_BOOL] = ACTIONS(2630),
    [anon_sym_IMP] = ACTIONS(2630),
    [anon_sym_SEL] = ACTIONS(2630),
    [anon_sym_Class] = ACTIONS(2630),
    [anon_sym_id] = ACTIONS(2630),
  },
  [1019] = {
    [ts_builtin_sym_end] = ACTIONS(2636),
    [sym_identifier] = ACTIONS(2634),
    [aux_sym_preproc_include_token1] = ACTIONS(2634),
    [aux_sym_preproc_include_token2] = ACTIONS(2634),
    [aux_sym_preproc_def_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2634),
    [sym_preproc_directive] = ACTIONS(2634),
    [anon_sym_LPAREN2] = ACTIONS(2636),
    [anon_sym_BANG] = ACTIONS(2636),
    [anon_sym_TILDE] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_CARET] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym___extension__] = ACTIONS(2634),
    [anon_sym_typedef] = ACTIONS(2634),
    [anon_sym_extern] = ACTIONS(2634),
    [anon_sym___attribute__] = ACTIONS(2634),
    [anon_sym___attribute] = ACTIONS(2634),
    [anon_sym_noreturn] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym___declspec] = ACTIONS(2634),
    [anon_sym___cdecl] = ACTIONS(2634),
    [anon_sym___clrcall] = ACTIONS(2634),
    [anon_sym___stdcall] = ACTIONS(2634),
    [anon_sym___fastcall] = ACTIONS(2634),
    [anon_sym___thiscall] = ACTIONS(2634),
    [anon_sym___vectorcall] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_signed] = ACTIONS(2634),
    [anon_sym_unsigned] = ACTIONS(2634),
    [anon_sym_long] = ACTIONS(2634),
    [anon_sym_short] = ACTIONS(2634),
    [anon_sym_static] = ACTIONS(2634),
    [anon_sym_ATautoreleasepool] = ACTIONS(2636),
    [anon_sym_auto] = ACTIONS(2634),
    [anon_sym_register] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym___inline] = ACTIONS(2634),
    [anon_sym___inline__] = ACTIONS(2634),
    [anon_sym___forceinline] = ACTIONS(2634),
    [anon_sym_thread_local] = ACTIONS(2634),
    [anon_sym___thread] = ACTIONS(2634),
    [anon_sym_CG_EXTERN] = ACTIONS(2634),
    [anon_sym_CG_INLINE] = ACTIONS(2634),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2634),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2634),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2634),
    [anon_sym_IBOutlet] = ACTIONS(2634),
    [anon_sym_IBInspectable] = ACTIONS(2634),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2634),
    [anon_sym_NS_INLINE] = ACTIONS(2634),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2634),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2634),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2634),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_constexpr] = ACTIONS(2634),
    [anon_sym_volatile] = ACTIONS(2634),
    [anon_sym_restrict] = ACTIONS(2634),
    [anon_sym___restrict__] = ACTIONS(2634),
    [anon_sym__Atomic] = ACTIONS(2634),
    [anon_sym__Noreturn] = ACTIONS(2634),
    [anon_sym__Nonnull] = ACTIONS(2634),
    [anon_sym_nullable] = ACTIONS(2634),
    [anon_sym__Complex] = ACTIONS(2634),
    [anon_sym__Nullable] = ACTIONS(2634),
    [anon_sym__Nullable_result] = ACTIONS(2634),
    [anon_sym__Null_unspecified] = ACTIONS(2634),
    [anon_sym___autoreleasing] = ACTIONS(2634),
    [anon_sym___block] = ACTIONS(2634),
    [anon_sym___bridge] = ACTIONS(2634),
    [anon_sym___bridge_retained] = ACTIONS(2634),
    [anon_sym___bridge_transfer] = ACTIONS(2634),
    [anon_sym___complex] = ACTIONS(2634),
    [anon_sym___const] = ACTIONS(2634),
    [anon_sym___imag] = ACTIONS(2634),
    [anon_sym___kindof] = ACTIONS(2634),
    [anon_sym___nonnull] = ACTIONS(2634),
    [anon_sym___nullable] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2634),
    [anon_sym___real] = ACTIONS(2634),
    [anon_sym___strong] = ACTIONS(2634),
    [anon_sym___unsafe_unretained] = ACTIONS(2634),
    [anon_sym___unused] = ACTIONS(2634),
    [anon_sym___weak] = ACTIONS(2634),
    [anon_sym_alignas] = ACTIONS(2634),
    [anon_sym__Alignas] = ACTIONS(2634),
    [sym_primitive_type] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_struct] = ACTIONS(2634),
    [anon_sym_union] = ACTIONS(2634),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_switch] = ACTIONS(2634),
    [anon_sym_case] = ACTIONS(2634),
    [anon_sym_default] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_do] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2634),
    [anon_sym_in] = ACTIONS(2634),
    [anon_sym_return] = ACTIONS(2634),
    [anon_sym_break] = ACTIONS(2634),
    [anon_sym_continue] = ACTIONS(2634),
    [anon_sym_goto] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_sizeof] = ACTIONS(2634),
    [anon_sym___alignof__] = ACTIONS(2634),
    [anon_sym___alignof] = ACTIONS(2634),
    [anon_sym__alignof] = ACTIONS(2634),
    [anon_sym_alignof] = ACTIONS(2634),
    [anon_sym__Alignof] = ACTIONS(2634),
    [anon_sym_offsetof] = ACTIONS(2634),
    [anon_sym__Generic] = ACTIONS(2634),
    [anon_sym_asm] = ACTIONS(2634),
    [anon_sym___asm__] = ACTIONS(2634),
    [anon_sym___asm] = ACTIONS(2634),
    [sym_number_literal] = ACTIONS(2636),
    [anon_sym_L_SQUOTE] = ACTIONS(2636),
    [anon_sym_u_SQUOTE] = ACTIONS(2636),
    [anon_sym_U_SQUOTE] = ACTIONS(2636),
    [anon_sym_u8_SQUOTE] = ACTIONS(2636),
    [anon_sym_SQUOTE] = ACTIONS(2636),
    [anon_sym_AT] = ACTIONS(2634),
    [anon_sym_DQUOTE] = ACTIONS(2636),
    [anon_sym_L_DQUOTE] = ACTIONS(2636),
    [anon_sym_u_DQUOTE] = ACTIONS(2636),
    [anon_sym_U_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8_DQUOTE] = ACTIONS(2636),
    [sym_true] = ACTIONS(2634),
    [sym_false] = ACTIONS(2634),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2634),
    [anon_sym___typeof] = ACTIONS(2634),
    [anon_sym_typeof] = ACTIONS(2634),
    [anon_sym_ATimport] = ACTIONS(2636),
    [aux_sym_preproc_undef_token1] = ACTIONS(2634),
    [anon_sym_POUND] = ACTIONS(2634),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2634),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2634),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2634),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2634),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2634),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2634),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2634),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_API_AVAILABLE] = ACTIONS(2634),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_API_DEPRECATED] = ACTIONS(2634),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2634),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym___deprecated_msg] = ACTIONS(2634),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2634),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2634),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2634),
    [anon_sym_ATprotocol] = ACTIONS(2636),
    [anon_sym_ATinterface] = ACTIONS(2636),
    [anon_sym_ATimplementation] = ACTIONS(2636),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2636),
    [anon_sym_ATselector] = ACTIONS(2636),
    [anon_sym_ATavailable] = ACTIONS(2636),
    [anon_sym___builtin_available] = ACTIONS(2634),
    [anon_sym_va_arg] = ACTIONS(2634),
    [anon_sym_ATencode] = ACTIONS(2636),
    [anon_sym_BOOL] = ACTIONS(2634),
    [anon_sym_IMP] = ACTIONS(2634),
    [anon_sym_SEL] = ACTIONS(2634),
    [anon_sym_Class] = ACTIONS(2634),
    [anon_sym_id] = ACTIONS(2634),
  },
  [1020] = {
    [ts_builtin_sym_end] = ACTIONS(2636),
    [sym_identifier] = ACTIONS(2634),
    [aux_sym_preproc_include_token1] = ACTIONS(2634),
    [aux_sym_preproc_include_token2] = ACTIONS(2634),
    [aux_sym_preproc_def_token1] = ACTIONS(2634),
    [aux_sym_preproc_if_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2634),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2634),
    [sym_preproc_directive] = ACTIONS(2634),
    [anon_sym_LPAREN2] = ACTIONS(2636),
    [anon_sym_BANG] = ACTIONS(2636),
    [anon_sym_TILDE] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2634),
    [anon_sym_PLUS] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_CARET] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym___extension__] = ACTIONS(2634),
    [anon_sym_typedef] = ACTIONS(2634),
    [anon_sym_extern] = ACTIONS(2634),
    [anon_sym___attribute__] = ACTIONS(2634),
    [anon_sym___attribute] = ACTIONS(2634),
    [anon_sym_noreturn] = ACTIONS(2634),
    [anon_sym_LBRACK] = ACTIONS(2636),
    [anon_sym___declspec] = ACTIONS(2634),
    [anon_sym___cdecl] = ACTIONS(2634),
    [anon_sym___clrcall] = ACTIONS(2634),
    [anon_sym___stdcall] = ACTIONS(2634),
    [anon_sym___fastcall] = ACTIONS(2634),
    [anon_sym___thiscall] = ACTIONS(2634),
    [anon_sym___vectorcall] = ACTIONS(2634),
    [anon_sym_LBRACE] = ACTIONS(2636),
    [anon_sym_signed] = ACTIONS(2634),
    [anon_sym_unsigned] = ACTIONS(2634),
    [anon_sym_long] = ACTIONS(2634),
    [anon_sym_short] = ACTIONS(2634),
    [anon_sym_static] = ACTIONS(2634),
    [anon_sym_ATautoreleasepool] = ACTIONS(2636),
    [anon_sym_auto] = ACTIONS(2634),
    [anon_sym_register] = ACTIONS(2634),
    [anon_sym_inline] = ACTIONS(2634),
    [anon_sym___inline] = ACTIONS(2634),
    [anon_sym___inline__] = ACTIONS(2634),
    [anon_sym___forceinline] = ACTIONS(2634),
    [anon_sym_thread_local] = ACTIONS(2634),
    [anon_sym___thread] = ACTIONS(2634),
    [anon_sym_CG_EXTERN] = ACTIONS(2634),
    [anon_sym_CG_INLINE] = ACTIONS(2634),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2634),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2634),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2634),
    [anon_sym_IBOutlet] = ACTIONS(2634),
    [anon_sym_IBInspectable] = ACTIONS(2634),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2634),
    [anon_sym_NS_INLINE] = ACTIONS(2634),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2634),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2634),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2634),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2634),
    [anon_sym_const] = ACTIONS(2634),
    [anon_sym_constexpr] = ACTIONS(2634),
    [anon_sym_volatile] = ACTIONS(2634),
    [anon_sym_restrict] = ACTIONS(2634),
    [anon_sym___restrict__] = ACTIONS(2634),
    [anon_sym__Atomic] = ACTIONS(2634),
    [anon_sym__Noreturn] = ACTIONS(2634),
    [anon_sym__Nonnull] = ACTIONS(2634),
    [anon_sym_nullable] = ACTIONS(2634),
    [anon_sym__Complex] = ACTIONS(2634),
    [anon_sym__Nullable] = ACTIONS(2634),
    [anon_sym__Nullable_result] = ACTIONS(2634),
    [anon_sym__Null_unspecified] = ACTIONS(2634),
    [anon_sym___autoreleasing] = ACTIONS(2634),
    [anon_sym___block] = ACTIONS(2634),
    [anon_sym___bridge] = ACTIONS(2634),
    [anon_sym___bridge_retained] = ACTIONS(2634),
    [anon_sym___bridge_transfer] = ACTIONS(2634),
    [anon_sym___complex] = ACTIONS(2634),
    [anon_sym___const] = ACTIONS(2634),
    [anon_sym___imag] = ACTIONS(2634),
    [anon_sym___kindof] = ACTIONS(2634),
    [anon_sym___nonnull] = ACTIONS(2634),
    [anon_sym___nullable] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2634),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2634),
    [anon_sym___real] = ACTIONS(2634),
    [anon_sym___strong] = ACTIONS(2634),
    [anon_sym___unsafe_unretained] = ACTIONS(2634),
    [anon_sym___unused] = ACTIONS(2634),
    [anon_sym___weak] = ACTIONS(2634),
    [anon_sym_alignas] = ACTIONS(2634),
    [anon_sym__Alignas] = ACTIONS(2634),
    [sym_primitive_type] = ACTIONS(2634),
    [anon_sym_enum] = ACTIONS(2634),
    [anon_sym_struct] = ACTIONS(2634),
    [anon_sym_union] = ACTIONS(2634),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_switch] = ACTIONS(2634),
    [anon_sym_case] = ACTIONS(2634),
    [anon_sym_default] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_do] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2634),
    [anon_sym_in] = ACTIONS(2634),
    [anon_sym_return] = ACTIONS(2634),
    [anon_sym_break] = ACTIONS(2634),
    [anon_sym_continue] = ACTIONS(2634),
    [anon_sym_goto] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2636),
    [anon_sym_PLUS_PLUS] = ACTIONS(2636),
    [anon_sym_sizeof] = ACTIONS(2634),
    [anon_sym___alignof__] = ACTIONS(2634),
    [anon_sym___alignof] = ACTIONS(2634),
    [anon_sym__alignof] = ACTIONS(2634),
    [anon_sym_alignof] = ACTIONS(2634),
    [anon_sym__Alignof] = ACTIONS(2634),
    [anon_sym_offsetof] = ACTIONS(2634),
    [anon_sym__Generic] = ACTIONS(2634),
    [anon_sym_asm] = ACTIONS(2634),
    [anon_sym___asm__] = ACTIONS(2634),
    [anon_sym___asm] = ACTIONS(2634),
    [sym_number_literal] = ACTIONS(2636),
    [anon_sym_L_SQUOTE] = ACTIONS(2636),
    [anon_sym_u_SQUOTE] = ACTIONS(2636),
    [anon_sym_U_SQUOTE] = ACTIONS(2636),
    [anon_sym_u8_SQUOTE] = ACTIONS(2636),
    [anon_sym_SQUOTE] = ACTIONS(2636),
    [anon_sym_AT] = ACTIONS(2634),
    [anon_sym_DQUOTE] = ACTIONS(2636),
    [anon_sym_L_DQUOTE] = ACTIONS(2636),
    [anon_sym_u_DQUOTE] = ACTIONS(2636),
    [anon_sym_U_DQUOTE] = ACTIONS(2636),
    [anon_sym_u8_DQUOTE] = ACTIONS(2636),
    [sym_true] = ACTIONS(2634),
    [sym_false] = ACTIONS(2634),
    [anon_sym_NULL] = ACTIONS(2634),
    [anon_sym_nullptr] = ACTIONS(2634),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2634),
    [anon_sym___typeof] = ACTIONS(2634),
    [anon_sym_typeof] = ACTIONS(2634),
    [anon_sym_ATimport] = ACTIONS(2636),
    [aux_sym_preproc_undef_token1] = ACTIONS(2634),
    [anon_sym_POUND] = ACTIONS(2634),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2634),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2634),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2634),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2634),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2634),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2634),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2634),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_API_AVAILABLE] = ACTIONS(2634),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_API_DEPRECATED] = ACTIONS(2634),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2634),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2634),
    [anon_sym___deprecated_msg] = ACTIONS(2634),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2634),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2634),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2634),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2634),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2634),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2634),
    [anon_sym_ATprotocol] = ACTIONS(2636),
    [anon_sym_ATinterface] = ACTIONS(2636),
    [anon_sym_ATimplementation] = ACTIONS(2636),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2636),
    [anon_sym_ATselector] = ACTIONS(2636),
    [anon_sym_ATavailable] = ACTIONS(2636),
    [anon_sym___builtin_available] = ACTIONS(2634),
    [anon_sym_va_arg] = ACTIONS(2634),
    [anon_sym_ATencode] = ACTIONS(2636),
    [anon_sym_BOOL] = ACTIONS(2634),
    [anon_sym_IMP] = ACTIONS(2634),
    [anon_sym_SEL] = ACTIONS(2634),
    [anon_sym_Class] = ACTIONS(2634),
    [anon_sym_id] = ACTIONS(2634),
  },
  [1021] = {
    [ts_builtin_sym_end] = ACTIONS(2792),
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_include_token1] = ACTIONS(2790),
    [aux_sym_preproc_include_token2] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_LPAREN2] = ACTIONS(2792),
    [anon_sym_BANG] = ACTIONS(2792),
    [anon_sym_TILDE] = ACTIONS(2792),
    [anon_sym_DASH] = ACTIONS(2790),
    [anon_sym_PLUS] = ACTIONS(2790),
    [anon_sym_STAR] = ACTIONS(2792),
    [anon_sym_CARET] = ACTIONS(2792),
    [anon_sym_AMP] = ACTIONS(2792),
    [anon_sym_SEMI] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym___attribute] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___cdecl] = ACTIONS(2790),
    [anon_sym___clrcall] = ACTIONS(2790),
    [anon_sym___stdcall] = ACTIONS(2790),
    [anon_sym___fastcall] = ACTIONS(2790),
    [anon_sym___thiscall] = ACTIONS(2790),
    [anon_sym___vectorcall] = ACTIONS(2790),
    [anon_sym_LBRACE] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_ATautoreleasepool] = ACTIONS(2792),
    [anon_sym_auto] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_CG_EXTERN] = ACTIONS(2790),
    [anon_sym_CG_INLINE] = ACTIONS(2790),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2790),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2790),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2790),
    [anon_sym_IBOutlet] = ACTIONS(2790),
    [anon_sym_IBInspectable] = ACTIONS(2790),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2790),
    [anon_sym_NS_INLINE] = ACTIONS(2790),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2790),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2790),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2790),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_nullable] = ACTIONS(2790),
    [anon_sym__Complex] = ACTIONS(2790),
    [anon_sym__Nullable] = ACTIONS(2790),
    [anon_sym__Nullable_result] = ACTIONS(2790),
    [anon_sym__Null_unspecified] = ACTIONS(2790),
    [anon_sym___autoreleasing] = ACTIONS(2790),
    [anon_sym___block] = ACTIONS(2790),
    [anon_sym___bridge] = ACTIONS(2790),
    [anon_sym___bridge_retained] = ACTIONS(2790),
    [anon_sym___bridge_transfer] = ACTIONS(2790),
    [anon_sym___complex] = ACTIONS(2790),
    [anon_sym___const] = ACTIONS(2790),
    [anon_sym___imag] = ACTIONS(2790),
    [anon_sym___kindof] = ACTIONS(2790),
    [anon_sym___nonnull] = ACTIONS(2790),
    [anon_sym___nullable] = ACTIONS(2790),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2790),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2790),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2790),
    [anon_sym___real] = ACTIONS(2790),
    [anon_sym___strong] = ACTIONS(2790),
    [anon_sym___unsafe_unretained] = ACTIONS(2790),
    [anon_sym___unused] = ACTIONS(2790),
    [anon_sym___weak] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [sym_primitive_type] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [anon_sym_if] = ACTIONS(2790),
    [anon_sym_switch] = ACTIONS(2790),
    [anon_sym_case] = ACTIONS(2790),
    [anon_sym_default] = ACTIONS(2790),
    [anon_sym_while] = ACTIONS(2790),
    [anon_sym_do] = ACTIONS(2790),
    [anon_sym_for] = ACTIONS(2790),
    [anon_sym_in] = ACTIONS(2790),
    [anon_sym_return] = ACTIONS(2790),
    [anon_sym_break] = ACTIONS(2790),
    [anon_sym_continue] = ACTIONS(2790),
    [anon_sym_goto] = ACTIONS(2790),
    [anon_sym_DASH_DASH] = ACTIONS(2792),
    [anon_sym_PLUS_PLUS] = ACTIONS(2792),
    [anon_sym_sizeof] = ACTIONS(2790),
    [anon_sym___alignof__] = ACTIONS(2790),
    [anon_sym___alignof] = ACTIONS(2790),
    [anon_sym__alignof] = ACTIONS(2790),
    [anon_sym_alignof] = ACTIONS(2790),
    [anon_sym__Alignof] = ACTIONS(2790),
    [anon_sym_offsetof] = ACTIONS(2790),
    [anon_sym__Generic] = ACTIONS(2790),
    [anon_sym_asm] = ACTIONS(2790),
    [anon_sym___asm__] = ACTIONS(2790),
    [anon_sym___asm] = ACTIONS(2790),
    [sym_number_literal] = ACTIONS(2792),
    [anon_sym_L_SQUOTE] = ACTIONS(2792),
    [anon_sym_u_SQUOTE] = ACTIONS(2792),
    [anon_sym_U_SQUOTE] = ACTIONS(2792),
    [anon_sym_u8_SQUOTE] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2792),
    [anon_sym_AT] = ACTIONS(2790),
    [anon_sym_DQUOTE] = ACTIONS(2792),
    [anon_sym_L_DQUOTE] = ACTIONS(2792),
    [anon_sym_u_DQUOTE] = ACTIONS(2792),
    [anon_sym_U_DQUOTE] = ACTIONS(2792),
    [anon_sym_u8_DQUOTE] = ACTIONS(2792),
    [sym_true] = ACTIONS(2790),
    [sym_false] = ACTIONS(2790),
    [anon_sym_NULL] = ACTIONS(2790),
    [anon_sym_nullptr] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2790),
    [anon_sym___typeof] = ACTIONS(2790),
    [anon_sym_typeof] = ACTIONS(2790),
    [anon_sym_ATimport] = ACTIONS(2792),
    [aux_sym_preproc_undef_token1] = ACTIONS(2790),
    [anon_sym_POUND] = ACTIONS(2790),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2790),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2790),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2790),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2790),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2790),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2790),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2790),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2790),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2790),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_API_AVAILABLE] = ACTIONS(2790),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_API_DEPRECATED] = ACTIONS(2790),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2790),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2790),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2790),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2790),
    [anon_sym___deprecated_msg] = ACTIONS(2790),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2790),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2790),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2790),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2790),
    [anon_sym_ATprotocol] = ACTIONS(2792),
    [anon_sym_ATinterface] = ACTIONS(2792),
    [anon_sym_ATimplementation] = ACTIONS(2792),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2792),
    [anon_sym_ATselector] = ACTIONS(2792),
    [anon_sym_ATavailable] = ACTIONS(2792),
    [anon_sym___builtin_available] = ACTIONS(2790),
    [anon_sym_va_arg] = ACTIONS(2790),
    [anon_sym_ATencode] = ACTIONS(2792),
    [anon_sym_BOOL] = ACTIONS(2790),
    [anon_sym_IMP] = ACTIONS(2790),
    [anon_sym_SEL] = ACTIONS(2790),
    [anon_sym_Class] = ACTIONS(2790),
    [anon_sym_id] = ACTIONS(2790),
  },
  [1022] = {
    [ts_builtin_sym_end] = ACTIONS(2640),
    [sym_identifier] = ACTIONS(2638),
    [aux_sym_preproc_include_token1] = ACTIONS(2638),
    [aux_sym_preproc_include_token2] = ACTIONS(2638),
    [aux_sym_preproc_def_token1] = ACTIONS(2638),
    [aux_sym_preproc_if_token1] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2638),
    [sym_preproc_directive] = ACTIONS(2638),
    [anon_sym_LPAREN2] = ACTIONS(2640),
    [anon_sym_BANG] = ACTIONS(2640),
    [anon_sym_TILDE] = ACTIONS(2640),
    [anon_sym_DASH] = ACTIONS(2638),
    [anon_sym_PLUS] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2640),
    [anon_sym_CARET] = ACTIONS(2640),
    [anon_sym_AMP] = ACTIONS(2640),
    [anon_sym_SEMI] = ACTIONS(2640),
    [anon_sym___extension__] = ACTIONS(2638),
    [anon_sym_typedef] = ACTIONS(2638),
    [anon_sym_extern] = ACTIONS(2638),
    [anon_sym___attribute__] = ACTIONS(2638),
    [anon_sym___attribute] = ACTIONS(2638),
    [anon_sym_noreturn] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym___declspec] = ACTIONS(2638),
    [anon_sym___cdecl] = ACTIONS(2638),
    [anon_sym___clrcall] = ACTIONS(2638),
    [anon_sym___stdcall] = ACTIONS(2638),
    [anon_sym___fastcall] = ACTIONS(2638),
    [anon_sym___thiscall] = ACTIONS(2638),
    [anon_sym___vectorcall] = ACTIONS(2638),
    [anon_sym_LBRACE] = ACTIONS(2640),
    [anon_sym_signed] = ACTIONS(2638),
    [anon_sym_unsigned] = ACTIONS(2638),
    [anon_sym_long] = ACTIONS(2638),
    [anon_sym_short] = ACTIONS(2638),
    [anon_sym_static] = ACTIONS(2638),
    [anon_sym_ATautoreleasepool] = ACTIONS(2640),
    [anon_sym_auto] = ACTIONS(2638),
    [anon_sym_register] = ACTIONS(2638),
    [anon_sym_inline] = ACTIONS(2638),
    [anon_sym___inline] = ACTIONS(2638),
    [anon_sym___inline__] = ACTIONS(2638),
    [anon_sym___forceinline] = ACTIONS(2638),
    [anon_sym_thread_local] = ACTIONS(2638),
    [anon_sym___thread] = ACTIONS(2638),
    [anon_sym_CG_EXTERN] = ACTIONS(2638),
    [anon_sym_CG_INLINE] = ACTIONS(2638),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2638),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2638),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2638),
    [anon_sym_IBOutlet] = ACTIONS(2638),
    [anon_sym_IBInspectable] = ACTIONS(2638),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2638),
    [anon_sym_NS_INLINE] = ACTIONS(2638),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2638),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2638),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2638),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_constexpr] = ACTIONS(2638),
    [anon_sym_volatile] = ACTIONS(2638),
    [anon_sym_restrict] = ACTIONS(2638),
    [anon_sym___restrict__] = ACTIONS(2638),
    [anon_sym__Atomic] = ACTIONS(2638),
    [anon_sym__Noreturn] = ACTIONS(2638),
    [anon_sym__Nonnull] = ACTIONS(2638),
    [anon_sym_nullable] = ACTIONS(2638),
    [anon_sym__Complex] = ACTIONS(2638),
    [anon_sym__Nullable] = ACTIONS(2638),
    [anon_sym__Nullable_result] = ACTIONS(2638),
    [anon_sym__Null_unspecified] = ACTIONS(2638),
    [anon_sym___autoreleasing] = ACTIONS(2638),
    [anon_sym___block] = ACTIONS(2638),
    [anon_sym___bridge] = ACTIONS(2638),
    [anon_sym___bridge_retained] = ACTIONS(2638),
    [anon_sym___bridge_transfer] = ACTIONS(2638),
    [anon_sym___complex] = ACTIONS(2638),
    [anon_sym___const] = ACTIONS(2638),
    [anon_sym___imag] = ACTIONS(2638),
    [anon_sym___kindof] = ACTIONS(2638),
    [anon_sym___nonnull] = ACTIONS(2638),
    [anon_sym___nullable] = ACTIONS(2638),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2638),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2638),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2638),
    [anon_sym___real] = ACTIONS(2638),
    [anon_sym___strong] = ACTIONS(2638),
    [anon_sym___unsafe_unretained] = ACTIONS(2638),
    [anon_sym___unused] = ACTIONS(2638),
    [anon_sym___weak] = ACTIONS(2638),
    [anon_sym_alignas] = ACTIONS(2638),
    [anon_sym__Alignas] = ACTIONS(2638),
    [sym_primitive_type] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_struct] = ACTIONS(2638),
    [anon_sym_union] = ACTIONS(2638),
    [anon_sym_if] = ACTIONS(2638),
    [anon_sym_switch] = ACTIONS(2638),
    [anon_sym_case] = ACTIONS(2638),
    [anon_sym_default] = ACTIONS(2638),
    [anon_sym_while] = ACTIONS(2638),
    [anon_sym_do] = ACTIONS(2638),
    [anon_sym_for] = ACTIONS(2638),
    [anon_sym_in] = ACTIONS(2638),
    [anon_sym_return] = ACTIONS(2638),
    [anon_sym_break] = ACTIONS(2638),
    [anon_sym_continue] = ACTIONS(2638),
    [anon_sym_goto] = ACTIONS(2638),
    [anon_sym_DASH_DASH] = ACTIONS(2640),
    [anon_sym_PLUS_PLUS] = ACTIONS(2640),
    [anon_sym_sizeof] = ACTIONS(2638),
    [anon_sym___alignof__] = ACTIONS(2638),
    [anon_sym___alignof] = ACTIONS(2638),
    [anon_sym__alignof] = ACTIONS(2638),
    [anon_sym_alignof] = ACTIONS(2638),
    [anon_sym__Alignof] = ACTIONS(2638),
    [anon_sym_offsetof] = ACTIONS(2638),
    [anon_sym__Generic] = ACTIONS(2638),
    [anon_sym_asm] = ACTIONS(2638),
    [anon_sym___asm__] = ACTIONS(2638),
    [anon_sym___asm] = ACTIONS(2638),
    [sym_number_literal] = ACTIONS(2640),
    [anon_sym_L_SQUOTE] = ACTIONS(2640),
    [anon_sym_u_SQUOTE] = ACTIONS(2640),
    [anon_sym_U_SQUOTE] = ACTIONS(2640),
    [anon_sym_u8_SQUOTE] = ACTIONS(2640),
    [anon_sym_SQUOTE] = ACTIONS(2640),
    [anon_sym_AT] = ACTIONS(2638),
    [anon_sym_DQUOTE] = ACTIONS(2640),
    [anon_sym_L_DQUOTE] = ACTIONS(2640),
    [anon_sym_u_DQUOTE] = ACTIONS(2640),
    [anon_sym_U_DQUOTE] = ACTIONS(2640),
    [anon_sym_u8_DQUOTE] = ACTIONS(2640),
    [sym_true] = ACTIONS(2638),
    [sym_false] = ACTIONS(2638),
    [anon_sym_NULL] = ACTIONS(2638),
    [anon_sym_nullptr] = ACTIONS(2638),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2638),
    [anon_sym___typeof] = ACTIONS(2638),
    [anon_sym_typeof] = ACTIONS(2638),
    [anon_sym_ATimport] = ACTIONS(2640),
    [aux_sym_preproc_undef_token1] = ACTIONS(2638),
    [anon_sym_POUND] = ACTIONS(2638),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2638),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2638),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2638),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2638),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2638),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2638),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2638),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2638),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2638),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2638),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2638),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2638),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2638),
    [anon_sym_API_AVAILABLE] = ACTIONS(2638),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2638),
    [anon_sym_API_DEPRECATED] = ACTIONS(2638),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2638),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2638),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2638),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2638),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2638),
    [anon_sym___deprecated_msg] = ACTIONS(2638),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2638),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2638),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2638),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2638),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2638),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2638),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2638),
    [anon_sym_ATprotocol] = ACTIONS(2640),
    [anon_sym_ATinterface] = ACTIONS(2640),
    [anon_sym_ATimplementation] = ACTIONS(2640),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2640),
    [anon_sym_ATselector] = ACTIONS(2640),
    [anon_sym_ATavailable] = ACTIONS(2640),
    [anon_sym___builtin_available] = ACTIONS(2638),
    [anon_sym_va_arg] = ACTIONS(2638),
    [anon_sym_ATencode] = ACTIONS(2640),
    [anon_sym_BOOL] = ACTIONS(2638),
    [anon_sym_IMP] = ACTIONS(2638),
    [anon_sym_SEL] = ACTIONS(2638),
    [anon_sym_Class] = ACTIONS(2638),
    [anon_sym_id] = ACTIONS(2638),
  },
  [1023] = {
    [ts_builtin_sym_end] = ACTIONS(2644),
    [sym_identifier] = ACTIONS(2642),
    [aux_sym_preproc_include_token1] = ACTIONS(2642),
    [aux_sym_preproc_include_token2] = ACTIONS(2642),
    [aux_sym_preproc_def_token1] = ACTIONS(2642),
    [aux_sym_preproc_if_token1] = ACTIONS(2642),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2642),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2642),
    [sym_preproc_directive] = ACTIONS(2642),
    [anon_sym_LPAREN2] = ACTIONS(2644),
    [anon_sym_BANG] = ACTIONS(2644),
    [anon_sym_TILDE] = ACTIONS(2644),
    [anon_sym_DASH] = ACTIONS(2642),
    [anon_sym_PLUS] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2644),
    [anon_sym_CARET] = ACTIONS(2644),
    [anon_sym_AMP] = ACTIONS(2644),
    [anon_sym_SEMI] = ACTIONS(2644),
    [anon_sym___extension__] = ACTIONS(2642),
    [anon_sym_typedef] = ACTIONS(2642),
    [anon_sym_extern] = ACTIONS(2642),
    [anon_sym___attribute__] = ACTIONS(2642),
    [anon_sym___attribute] = ACTIONS(2642),
    [anon_sym_noreturn] = ACTIONS(2642),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym___declspec] = ACTIONS(2642),
    [anon_sym___cdecl] = ACTIONS(2642),
    [anon_sym___clrcall] = ACTIONS(2642),
    [anon_sym___stdcall] = ACTIONS(2642),
    [anon_sym___fastcall] = ACTIONS(2642),
    [anon_sym___thiscall] = ACTIONS(2642),
    [anon_sym___vectorcall] = ACTIONS(2642),
    [anon_sym_LBRACE] = ACTIONS(2644),
    [anon_sym_signed] = ACTIONS(2642),
    [anon_sym_unsigned] = ACTIONS(2642),
    [anon_sym_long] = ACTIONS(2642),
    [anon_sym_short] = ACTIONS(2642),
    [anon_sym_static] = ACTIONS(2642),
    [anon_sym_ATautoreleasepool] = ACTIONS(2644),
    [anon_sym_auto] = ACTIONS(2642),
    [anon_sym_register] = ACTIONS(2642),
    [anon_sym_inline] = ACTIONS(2642),
    [anon_sym___inline] = ACTIONS(2642),
    [anon_sym___inline__] = ACTIONS(2642),
    [anon_sym___forceinline] = ACTIONS(2642),
    [anon_sym_thread_local] = ACTIONS(2642),
    [anon_sym___thread] = ACTIONS(2642),
    [anon_sym_CG_EXTERN] = ACTIONS(2642),
    [anon_sym_CG_INLINE] = ACTIONS(2642),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2642),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2642),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2642),
    [anon_sym_IBOutlet] = ACTIONS(2642),
    [anon_sym_IBInspectable] = ACTIONS(2642),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2642),
    [anon_sym_NS_INLINE] = ACTIONS(2642),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2642),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2642),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2642),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2642),
    [anon_sym_const] = ACTIONS(2642),
    [anon_sym_constexpr] = ACTIONS(2642),
    [anon_sym_volatile] = ACTIONS(2642),
    [anon_sym_restrict] = ACTIONS(2642),
    [anon_sym___restrict__] = ACTIONS(2642),
    [anon_sym__Atomic] = ACTIONS(2642),
    [anon_sym__Noreturn] = ACTIONS(2642),
    [anon_sym__Nonnull] = ACTIONS(2642),
    [anon_sym_nullable] = ACTIONS(2642),
    [anon_sym__Complex] = ACTIONS(2642),
    [anon_sym__Nullable] = ACTIONS(2642),
    [anon_sym__Nullable_result] = ACTIONS(2642),
    [anon_sym__Null_unspecified] = ACTIONS(2642),
    [anon_sym___autoreleasing] = ACTIONS(2642),
    [anon_sym___block] = ACTIONS(2642),
    [anon_sym___bridge] = ACTIONS(2642),
    [anon_sym___bridge_retained] = ACTIONS(2642),
    [anon_sym___bridge_transfer] = ACTIONS(2642),
    [anon_sym___complex] = ACTIONS(2642),
    [anon_sym___const] = ACTIONS(2642),
    [anon_sym___imag] = ACTIONS(2642),
    [anon_sym___kindof] = ACTIONS(2642),
    [anon_sym___nonnull] = ACTIONS(2642),
    [anon_sym___nullable] = ACTIONS(2642),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2642),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2642),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2642),
    [anon_sym___real] = ACTIONS(2642),
    [anon_sym___strong] = ACTIONS(2642),
    [anon_sym___unsafe_unretained] = ACTIONS(2642),
    [anon_sym___unused] = ACTIONS(2642),
    [anon_sym___weak] = ACTIONS(2642),
    [anon_sym_alignas] = ACTIONS(2642),
    [anon_sym__Alignas] = ACTIONS(2642),
    [sym_primitive_type] = ACTIONS(2642),
    [anon_sym_enum] = ACTIONS(2642),
    [anon_sym_struct] = ACTIONS(2642),
    [anon_sym_union] = ACTIONS(2642),
    [anon_sym_if] = ACTIONS(2642),
    [anon_sym_switch] = ACTIONS(2642),
    [anon_sym_case] = ACTIONS(2642),
    [anon_sym_default] = ACTIONS(2642),
    [anon_sym_while] = ACTIONS(2642),
    [anon_sym_do] = ACTIONS(2642),
    [anon_sym_for] = ACTIONS(2642),
    [anon_sym_in] = ACTIONS(2642),
    [anon_sym_return] = ACTIONS(2642),
    [anon_sym_break] = ACTIONS(2642),
    [anon_sym_continue] = ACTIONS(2642),
    [anon_sym_goto] = ACTIONS(2642),
    [anon_sym_DASH_DASH] = ACTIONS(2644),
    [anon_sym_PLUS_PLUS] = ACTIONS(2644),
    [anon_sym_sizeof] = ACTIONS(2642),
    [anon_sym___alignof__] = ACTIONS(2642),
    [anon_sym___alignof] = ACTIONS(2642),
    [anon_sym__alignof] = ACTIONS(2642),
    [anon_sym_alignof] = ACTIONS(2642),
    [anon_sym__Alignof] = ACTIONS(2642),
    [anon_sym_offsetof] = ACTIONS(2642),
    [anon_sym__Generic] = ACTIONS(2642),
    [anon_sym_asm] = ACTIONS(2642),
    [anon_sym___asm__] = ACTIONS(2642),
    [anon_sym___asm] = ACTIONS(2642),
    [sym_number_literal] = ACTIONS(2644),
    [anon_sym_L_SQUOTE] = ACTIONS(2644),
    [anon_sym_u_SQUOTE] = ACTIONS(2644),
    [anon_sym_U_SQUOTE] = ACTIONS(2644),
    [anon_sym_u8_SQUOTE] = ACTIONS(2644),
    [anon_sym_SQUOTE] = ACTIONS(2644),
    [anon_sym_AT] = ACTIONS(2642),
    [anon_sym_DQUOTE] = ACTIONS(2644),
    [anon_sym_L_DQUOTE] = ACTIONS(2644),
    [anon_sym_u_DQUOTE] = ACTIONS(2644),
    [anon_sym_U_DQUOTE] = ACTIONS(2644),
    [anon_sym_u8_DQUOTE] = ACTIONS(2644),
    [sym_true] = ACTIONS(2642),
    [sym_false] = ACTIONS(2642),
    [anon_sym_NULL] = ACTIONS(2642),
    [anon_sym_nullptr] = ACTIONS(2642),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2642),
    [anon_sym___typeof] = ACTIONS(2642),
    [anon_sym_typeof] = ACTIONS(2642),
    [anon_sym_ATimport] = ACTIONS(2644),
    [aux_sym_preproc_undef_token1] = ACTIONS(2642),
    [anon_sym_POUND] = ACTIONS(2642),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2642),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2642),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2642),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2642),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2642),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2642),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2642),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2642),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2642),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2642),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2642),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2642),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2642),
    [anon_sym_API_AVAILABLE] = ACTIONS(2642),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2642),
    [anon_sym_API_DEPRECATED] = ACTIONS(2642),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2642),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2642),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2642),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2642),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2642),
    [anon_sym___deprecated_msg] = ACTIONS(2642),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2642),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2642),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2642),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2642),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2642),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2642),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2642),
    [anon_sym_ATprotocol] = ACTIONS(2644),
    [anon_sym_ATinterface] = ACTIONS(2644),
    [anon_sym_ATimplementation] = ACTIONS(2644),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2644),
    [anon_sym_ATselector] = ACTIONS(2644),
    [anon_sym_ATavailable] = ACTIONS(2644),
    [anon_sym___builtin_available] = ACTIONS(2642),
    [anon_sym_va_arg] = ACTIONS(2642),
    [anon_sym_ATencode] = ACTIONS(2644),
    [anon_sym_BOOL] = ACTIONS(2642),
    [anon_sym_IMP] = ACTIONS(2642),
    [anon_sym_SEL] = ACTIONS(2642),
    [anon_sym_Class] = ACTIONS(2642),
    [anon_sym_id] = ACTIONS(2642),
  },
  [1024] = {
    [ts_builtin_sym_end] = ACTIONS(2854),
    [sym_identifier] = ACTIONS(2852),
    [aux_sym_preproc_include_token1] = ACTIONS(2852),
    [aux_sym_preproc_include_token2] = ACTIONS(2852),
    [aux_sym_preproc_def_token1] = ACTIONS(2852),
    [aux_sym_preproc_if_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2852),
    [sym_preproc_directive] = ACTIONS(2852),
    [anon_sym_LPAREN2] = ACTIONS(2854),
    [anon_sym_BANG] = ACTIONS(2854),
    [anon_sym_TILDE] = ACTIONS(2854),
    [anon_sym_DASH] = ACTIONS(2852),
    [anon_sym_PLUS] = ACTIONS(2852),
    [anon_sym_STAR] = ACTIONS(2854),
    [anon_sym_CARET] = ACTIONS(2854),
    [anon_sym_AMP] = ACTIONS(2854),
    [anon_sym_SEMI] = ACTIONS(2854),
    [anon_sym___extension__] = ACTIONS(2852),
    [anon_sym_typedef] = ACTIONS(2852),
    [anon_sym_extern] = ACTIONS(2852),
    [anon_sym___attribute__] = ACTIONS(2852),
    [anon_sym___attribute] = ACTIONS(2852),
    [anon_sym_noreturn] = ACTIONS(2852),
    [anon_sym_LBRACK] = ACTIONS(2854),
    [anon_sym___declspec] = ACTIONS(2852),
    [anon_sym___cdecl] = ACTIONS(2852),
    [anon_sym___clrcall] = ACTIONS(2852),
    [anon_sym___stdcall] = ACTIONS(2852),
    [anon_sym___fastcall] = ACTIONS(2852),
    [anon_sym___thiscall] = ACTIONS(2852),
    [anon_sym___vectorcall] = ACTIONS(2852),
    [anon_sym_LBRACE] = ACTIONS(2854),
    [anon_sym_signed] = ACTIONS(2852),
    [anon_sym_unsigned] = ACTIONS(2852),
    [anon_sym_long] = ACTIONS(2852),
    [anon_sym_short] = ACTIONS(2852),
    [anon_sym_static] = ACTIONS(2852),
    [anon_sym_ATautoreleasepool] = ACTIONS(2854),
    [anon_sym_auto] = ACTIONS(2852),
    [anon_sym_register] = ACTIONS(2852),
    [anon_sym_inline] = ACTIONS(2852),
    [anon_sym___inline] = ACTIONS(2852),
    [anon_sym___inline__] = ACTIONS(2852),
    [anon_sym___forceinline] = ACTIONS(2852),
    [anon_sym_thread_local] = ACTIONS(2852),
    [anon_sym___thread] = ACTIONS(2852),
    [anon_sym_CG_EXTERN] = ACTIONS(2852),
    [anon_sym_CG_INLINE] = ACTIONS(2852),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2852),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2852),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2852),
    [anon_sym_IBOutlet] = ACTIONS(2852),
    [anon_sym_IBInspectable] = ACTIONS(2852),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2852),
    [anon_sym_NS_INLINE] = ACTIONS(2852),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2852),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2852),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2852),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2852),
    [anon_sym_const] = ACTIONS(2852),
    [anon_sym_constexpr] = ACTIONS(2852),
    [anon_sym_volatile] = ACTIONS(2852),
    [anon_sym_restrict] = ACTIONS(2852),
    [anon_sym___restrict__] = ACTIONS(2852),
    [anon_sym__Atomic] = ACTIONS(2852),
    [anon_sym__Noreturn] = ACTIONS(2852),
    [anon_sym__Nonnull] = ACTIONS(2852),
    [anon_sym_nullable] = ACTIONS(2852),
    [anon_sym__Complex] = ACTIONS(2852),
    [anon_sym__Nullable] = ACTIONS(2852),
    [anon_sym__Nullable_result] = ACTIONS(2852),
    [anon_sym__Null_unspecified] = ACTIONS(2852),
    [anon_sym___autoreleasing] = ACTIONS(2852),
    [anon_sym___block] = ACTIONS(2852),
    [anon_sym___bridge] = ACTIONS(2852),
    [anon_sym___bridge_retained] = ACTIONS(2852),
    [anon_sym___bridge_transfer] = ACTIONS(2852),
    [anon_sym___complex] = ACTIONS(2852),
    [anon_sym___const] = ACTIONS(2852),
    [anon_sym___imag] = ACTIONS(2852),
    [anon_sym___kindof] = ACTIONS(2852),
    [anon_sym___nonnull] = ACTIONS(2852),
    [anon_sym___nullable] = ACTIONS(2852),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2852),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2852),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2852),
    [anon_sym___real] = ACTIONS(2852),
    [anon_sym___strong] = ACTIONS(2852),
    [anon_sym___unsafe_unretained] = ACTIONS(2852),
    [anon_sym___unused] = ACTIONS(2852),
    [anon_sym___weak] = ACTIONS(2852),
    [anon_sym_alignas] = ACTIONS(2852),
    [anon_sym__Alignas] = ACTIONS(2852),
    [sym_primitive_type] = ACTIONS(2852),
    [anon_sym_enum] = ACTIONS(2852),
    [anon_sym_struct] = ACTIONS(2852),
    [anon_sym_union] = ACTIONS(2852),
    [anon_sym_if] = ACTIONS(2852),
    [anon_sym_switch] = ACTIONS(2852),
    [anon_sym_case] = ACTIONS(2852),
    [anon_sym_default] = ACTIONS(2852),
    [anon_sym_while] = ACTIONS(2852),
    [anon_sym_do] = ACTIONS(2852),
    [anon_sym_for] = ACTIONS(2852),
    [anon_sym_in] = ACTIONS(2852),
    [anon_sym_return] = ACTIONS(2852),
    [anon_sym_break] = ACTIONS(2852),
    [anon_sym_continue] = ACTIONS(2852),
    [anon_sym_goto] = ACTIONS(2852),
    [anon_sym_DASH_DASH] = ACTIONS(2854),
    [anon_sym_PLUS_PLUS] = ACTIONS(2854),
    [anon_sym_sizeof] = ACTIONS(2852),
    [anon_sym___alignof__] = ACTIONS(2852),
    [anon_sym___alignof] = ACTIONS(2852),
    [anon_sym__alignof] = ACTIONS(2852),
    [anon_sym_alignof] = ACTIONS(2852),
    [anon_sym__Alignof] = ACTIONS(2852),
    [anon_sym_offsetof] = ACTIONS(2852),
    [anon_sym__Generic] = ACTIONS(2852),
    [anon_sym_asm] = ACTIONS(2852),
    [anon_sym___asm__] = ACTIONS(2852),
    [anon_sym___asm] = ACTIONS(2852),
    [sym_number_literal] = ACTIONS(2854),
    [anon_sym_L_SQUOTE] = ACTIONS(2854),
    [anon_sym_u_SQUOTE] = ACTIONS(2854),
    [anon_sym_U_SQUOTE] = ACTIONS(2854),
    [anon_sym_u8_SQUOTE] = ACTIONS(2854),
    [anon_sym_SQUOTE] = ACTIONS(2854),
    [anon_sym_AT] = ACTIONS(2852),
    [anon_sym_DQUOTE] = ACTIONS(2854),
    [anon_sym_L_DQUOTE] = ACTIONS(2854),
    [anon_sym_u_DQUOTE] = ACTIONS(2854),
    [anon_sym_U_DQUOTE] = ACTIONS(2854),
    [anon_sym_u8_DQUOTE] = ACTIONS(2854),
    [sym_true] = ACTIONS(2852),
    [sym_false] = ACTIONS(2852),
    [anon_sym_NULL] = ACTIONS(2852),
    [anon_sym_nullptr] = ACTIONS(2852),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2852),
    [anon_sym___typeof] = ACTIONS(2852),
    [anon_sym_typeof] = ACTIONS(2852),
    [anon_sym_ATimport] = ACTIONS(2854),
    [aux_sym_preproc_undef_token1] = ACTIONS(2852),
    [anon_sym_POUND] = ACTIONS(2852),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2852),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2852),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2852),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2852),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2852),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2852),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2852),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2852),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2852),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2852),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2852),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2852),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2852),
    [anon_sym_API_AVAILABLE] = ACTIONS(2852),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2852),
    [anon_sym_API_DEPRECATED] = ACTIONS(2852),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2852),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2852),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2852),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2852),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2852),
    [anon_sym___deprecated_msg] = ACTIONS(2852),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2852),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2852),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2852),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2852),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2852),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2852),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2852),
    [anon_sym_ATprotocol] = ACTIONS(2854),
    [anon_sym_ATinterface] = ACTIONS(2854),
    [anon_sym_ATimplementation] = ACTIONS(2854),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2854),
    [anon_sym_ATselector] = ACTIONS(2854),
    [anon_sym_ATavailable] = ACTIONS(2854),
    [anon_sym___builtin_available] = ACTIONS(2852),
    [anon_sym_va_arg] = ACTIONS(2852),
    [anon_sym_ATencode] = ACTIONS(2854),
    [anon_sym_BOOL] = ACTIONS(2852),
    [anon_sym_IMP] = ACTIONS(2852),
    [anon_sym_SEL] = ACTIONS(2852),
    [anon_sym_Class] = ACTIONS(2852),
    [anon_sym_id] = ACTIONS(2852),
  },
  [1025] = {
    [ts_builtin_sym_end] = ACTIONS(2796),
    [sym_identifier] = ACTIONS(2794),
    [aux_sym_preproc_include_token1] = ACTIONS(2794),
    [aux_sym_preproc_include_token2] = ACTIONS(2794),
    [aux_sym_preproc_def_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2794),
    [sym_preproc_directive] = ACTIONS(2794),
    [anon_sym_LPAREN2] = ACTIONS(2796),
    [anon_sym_BANG] = ACTIONS(2796),
    [anon_sym_TILDE] = ACTIONS(2796),
    [anon_sym_DASH] = ACTIONS(2794),
    [anon_sym_PLUS] = ACTIONS(2794),
    [anon_sym_STAR] = ACTIONS(2796),
    [anon_sym_CARET] = ACTIONS(2796),
    [anon_sym_AMP] = ACTIONS(2796),
    [anon_sym_SEMI] = ACTIONS(2796),
    [anon_sym___extension__] = ACTIONS(2794),
    [anon_sym_typedef] = ACTIONS(2794),
    [anon_sym_extern] = ACTIONS(2794),
    [anon_sym___attribute__] = ACTIONS(2794),
    [anon_sym___attribute] = ACTIONS(2794),
    [anon_sym_noreturn] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2796),
    [anon_sym___declspec] = ACTIONS(2794),
    [anon_sym___cdecl] = ACTIONS(2794),
    [anon_sym___clrcall] = ACTIONS(2794),
    [anon_sym___stdcall] = ACTIONS(2794),
    [anon_sym___fastcall] = ACTIONS(2794),
    [anon_sym___thiscall] = ACTIONS(2794),
    [anon_sym___vectorcall] = ACTIONS(2794),
    [anon_sym_LBRACE] = ACTIONS(2796),
    [anon_sym_signed] = ACTIONS(2794),
    [anon_sym_unsigned] = ACTIONS(2794),
    [anon_sym_long] = ACTIONS(2794),
    [anon_sym_short] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_ATautoreleasepool] = ACTIONS(2796),
    [anon_sym_auto] = ACTIONS(2794),
    [anon_sym_register] = ACTIONS(2794),
    [anon_sym_inline] = ACTIONS(2794),
    [anon_sym___inline] = ACTIONS(2794),
    [anon_sym___inline__] = ACTIONS(2794),
    [anon_sym___forceinline] = ACTIONS(2794),
    [anon_sym_thread_local] = ACTIONS(2794),
    [anon_sym___thread] = ACTIONS(2794),
    [anon_sym_CG_EXTERN] = ACTIONS(2794),
    [anon_sym_CG_INLINE] = ACTIONS(2794),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2794),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2794),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2794),
    [anon_sym_IBOutlet] = ACTIONS(2794),
    [anon_sym_IBInspectable] = ACTIONS(2794),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2794),
    [anon_sym_NS_INLINE] = ACTIONS(2794),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2794),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2794),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2794),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2794),
    [anon_sym_const] = ACTIONS(2794),
    [anon_sym_constexpr] = ACTIONS(2794),
    [anon_sym_volatile] = ACTIONS(2794),
    [anon_sym_restrict] = ACTIONS(2794),
    [anon_sym___restrict__] = ACTIONS(2794),
    [anon_sym__Atomic] = ACTIONS(2794),
    [anon_sym__Noreturn] = ACTIONS(2794),
    [anon_sym__Nonnull] = ACTIONS(2794),
    [anon_sym_nullable] = ACTIONS(2794),
    [anon_sym__Complex] = ACTIONS(2794),
    [anon_sym__Nullable] = ACTIONS(2794),
    [anon_sym__Nullable_result] = ACTIONS(2794),
    [anon_sym__Null_unspecified] = ACTIONS(2794),
    [anon_sym___autoreleasing] = ACTIONS(2794),
    [anon_sym___block] = ACTIONS(2794),
    [anon_sym___bridge] = ACTIONS(2794),
    [anon_sym___bridge_retained] = ACTIONS(2794),
    [anon_sym___bridge_transfer] = ACTIONS(2794),
    [anon_sym___complex] = ACTIONS(2794),
    [anon_sym___const] = ACTIONS(2794),
    [anon_sym___imag] = ACTIONS(2794),
    [anon_sym___kindof] = ACTIONS(2794),
    [anon_sym___nonnull] = ACTIONS(2794),
    [anon_sym___nullable] = ACTIONS(2794),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2794),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2794),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2794),
    [anon_sym___real] = ACTIONS(2794),
    [anon_sym___strong] = ACTIONS(2794),
    [anon_sym___unsafe_unretained] = ACTIONS(2794),
    [anon_sym___unused] = ACTIONS(2794),
    [anon_sym___weak] = ACTIONS(2794),
    [anon_sym_alignas] = ACTIONS(2794),
    [anon_sym__Alignas] = ACTIONS(2794),
    [sym_primitive_type] = ACTIONS(2794),
    [anon_sym_enum] = ACTIONS(2794),
    [anon_sym_struct] = ACTIONS(2794),
    [anon_sym_union] = ACTIONS(2794),
    [anon_sym_if] = ACTIONS(2794),
    [anon_sym_switch] = ACTIONS(2794),
    [anon_sym_case] = ACTIONS(2794),
    [anon_sym_default] = ACTIONS(2794),
    [anon_sym_while] = ACTIONS(2794),
    [anon_sym_do] = ACTIONS(2794),
    [anon_sym_for] = ACTIONS(2794),
    [anon_sym_in] = ACTIONS(2794),
    [anon_sym_return] = ACTIONS(2794),
    [anon_sym_break] = ACTIONS(2794),
    [anon_sym_continue] = ACTIONS(2794),
    [anon_sym_goto] = ACTIONS(2794),
    [anon_sym_DASH_DASH] = ACTIONS(2796),
    [anon_sym_PLUS_PLUS] = ACTIONS(2796),
    [anon_sym_sizeof] = ACTIONS(2794),
    [anon_sym___alignof__] = ACTIONS(2794),
    [anon_sym___alignof] = ACTIONS(2794),
    [anon_sym__alignof] = ACTIONS(2794),
    [anon_sym_alignof] = ACTIONS(2794),
    [anon_sym__Alignof] = ACTIONS(2794),
    [anon_sym_offsetof] = ACTIONS(2794),
    [anon_sym__Generic] = ACTIONS(2794),
    [anon_sym_asm] = ACTIONS(2794),
    [anon_sym___asm__] = ACTIONS(2794),
    [anon_sym___asm] = ACTIONS(2794),
    [sym_number_literal] = ACTIONS(2796),
    [anon_sym_L_SQUOTE] = ACTIONS(2796),
    [anon_sym_u_SQUOTE] = ACTIONS(2796),
    [anon_sym_U_SQUOTE] = ACTIONS(2796),
    [anon_sym_u8_SQUOTE] = ACTIONS(2796),
    [anon_sym_SQUOTE] = ACTIONS(2796),
    [anon_sym_AT] = ACTIONS(2794),
    [anon_sym_DQUOTE] = ACTIONS(2796),
    [anon_sym_L_DQUOTE] = ACTIONS(2796),
    [anon_sym_u_DQUOTE] = ACTIONS(2796),
    [anon_sym_U_DQUOTE] = ACTIONS(2796),
    [anon_sym_u8_DQUOTE] = ACTIONS(2796),
    [sym_true] = ACTIONS(2794),
    [sym_false] = ACTIONS(2794),
    [anon_sym_NULL] = ACTIONS(2794),
    [anon_sym_nullptr] = ACTIONS(2794),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2794),
    [anon_sym___typeof] = ACTIONS(2794),
    [anon_sym_typeof] = ACTIONS(2794),
    [anon_sym_ATimport] = ACTIONS(2796),
    [aux_sym_preproc_undef_token1] = ACTIONS(2794),
    [anon_sym_POUND] = ACTIONS(2794),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2794),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2794),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2794),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2794),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2794),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2794),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2794),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2794),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2794),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_API_AVAILABLE] = ACTIONS(2794),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_API_DEPRECATED] = ACTIONS(2794),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2794),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2794),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2794),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2794),
    [anon_sym___deprecated_msg] = ACTIONS(2794),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2794),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2794),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2794),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2794),
    [anon_sym_ATprotocol] = ACTIONS(2796),
    [anon_sym_ATinterface] = ACTIONS(2796),
    [anon_sym_ATimplementation] = ACTIONS(2796),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2796),
    [anon_sym_ATselector] = ACTIONS(2796),
    [anon_sym_ATavailable] = ACTIONS(2796),
    [anon_sym___builtin_available] = ACTIONS(2794),
    [anon_sym_va_arg] = ACTIONS(2794),
    [anon_sym_ATencode] = ACTIONS(2796),
    [anon_sym_BOOL] = ACTIONS(2794),
    [anon_sym_IMP] = ACTIONS(2794),
    [anon_sym_SEL] = ACTIONS(2794),
    [anon_sym_Class] = ACTIONS(2794),
    [anon_sym_id] = ACTIONS(2794),
  },
  [1026] = {
    [ts_builtin_sym_end] = ACTIONS(2462),
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_include_token2] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_CARET] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_ATautoreleasepool] = ACTIONS(2462),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [anon_sym___asm] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_AT] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [anon_sym_ATimport] = ACTIONS(2462),
    [aux_sym_preproc_undef_token1] = ACTIONS(2460),
    [anon_sym_POUND] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATprotocol] = ACTIONS(2462),
    [anon_sym_ATinterface] = ACTIONS(2462),
    [anon_sym_ATimplementation] = ACTIONS(2462),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2462),
    [anon_sym_ATselector] = ACTIONS(2462),
    [anon_sym_ATavailable] = ACTIONS(2462),
    [anon_sym___builtin_available] = ACTIONS(2460),
    [anon_sym_va_arg] = ACTIONS(2460),
    [anon_sym_ATencode] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [1027] = {
    [ts_builtin_sym_end] = ACTIONS(2462),
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_include_token2] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_CARET] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_ATautoreleasepool] = ACTIONS(2462),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [anon_sym___asm] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_AT] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [anon_sym_ATimport] = ACTIONS(2462),
    [aux_sym_preproc_undef_token1] = ACTIONS(2460),
    [anon_sym_POUND] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATprotocol] = ACTIONS(2462),
    [anon_sym_ATinterface] = ACTIONS(2462),
    [anon_sym_ATimplementation] = ACTIONS(2462),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2462),
    [anon_sym_ATselector] = ACTIONS(2462),
    [anon_sym_ATavailable] = ACTIONS(2462),
    [anon_sym___builtin_available] = ACTIONS(2460),
    [anon_sym_va_arg] = ACTIONS(2460),
    [anon_sym_ATencode] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [1028] = {
    [ts_builtin_sym_end] = ACTIONS(2462),
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_include_token1] = ACTIONS(2460),
    [aux_sym_preproc_include_token2] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_CARET] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_ATautoreleasepool] = ACTIONS(2462),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_case] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [anon_sym___asm] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_AT] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [anon_sym_ATimport] = ACTIONS(2462),
    [aux_sym_preproc_undef_token1] = ACTIONS(2460),
    [anon_sym_POUND] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATprotocol] = ACTIONS(2462),
    [anon_sym_ATinterface] = ACTIONS(2462),
    [anon_sym_ATimplementation] = ACTIONS(2462),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2462),
    [anon_sym_ATselector] = ACTIONS(2462),
    [anon_sym_ATavailable] = ACTIONS(2462),
    [anon_sym___builtin_available] = ACTIONS(2460),
    [anon_sym_va_arg] = ACTIONS(2460),
    [anon_sym_ATencode] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [1029] = {
    [ts_builtin_sym_end] = ACTIONS(2648),
    [sym_identifier] = ACTIONS(2646),
    [aux_sym_preproc_include_token1] = ACTIONS(2646),
    [aux_sym_preproc_include_token2] = ACTIONS(2646),
    [aux_sym_preproc_def_token1] = ACTIONS(2646),
    [aux_sym_preproc_if_token1] = ACTIONS(2646),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2646),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2646),
    [sym_preproc_directive] = ACTIONS(2646),
    [anon_sym_LPAREN2] = ACTIONS(2648),
    [anon_sym_BANG] = ACTIONS(2648),
    [anon_sym_TILDE] = ACTIONS(2648),
    [anon_sym_DASH] = ACTIONS(2646),
    [anon_sym_PLUS] = ACTIONS(2646),
    [anon_sym_STAR] = ACTIONS(2648),
    [anon_sym_CARET] = ACTIONS(2648),
    [anon_sym_AMP] = ACTIONS(2648),
    [anon_sym_SEMI] = ACTIONS(2648),
    [anon_sym___extension__] = ACTIONS(2646),
    [anon_sym_typedef] = ACTIONS(2646),
    [anon_sym_extern] = ACTIONS(2646),
    [anon_sym___attribute__] = ACTIONS(2646),
    [anon_sym___attribute] = ACTIONS(2646),
    [anon_sym_noreturn] = ACTIONS(2646),
    [anon_sym_LBRACK] = ACTIONS(2648),
    [anon_sym___declspec] = ACTIONS(2646),
    [anon_sym___cdecl] = ACTIONS(2646),
    [anon_sym___clrcall] = ACTIONS(2646),
    [anon_sym___stdcall] = ACTIONS(2646),
    [anon_sym___fastcall] = ACTIONS(2646),
    [anon_sym___thiscall] = ACTIONS(2646),
    [anon_sym___vectorcall] = ACTIONS(2646),
    [anon_sym_LBRACE] = ACTIONS(2648),
    [anon_sym_signed] = ACTIONS(2646),
    [anon_sym_unsigned] = ACTIONS(2646),
    [anon_sym_long] = ACTIONS(2646),
    [anon_sym_short] = ACTIONS(2646),
    [anon_sym_static] = ACTIONS(2646),
    [anon_sym_ATautoreleasepool] = ACTIONS(2648),
    [anon_sym_auto] = ACTIONS(2646),
    [anon_sym_register] = ACTIONS(2646),
    [anon_sym_inline] = ACTIONS(2646),
    [anon_sym___inline] = ACTIONS(2646),
    [anon_sym___inline__] = ACTIONS(2646),
    [anon_sym___forceinline] = ACTIONS(2646),
    [anon_sym_thread_local] = ACTIONS(2646),
    [anon_sym___thread] = ACTIONS(2646),
    [anon_sym_CG_EXTERN] = ACTIONS(2646),
    [anon_sym_CG_INLINE] = ACTIONS(2646),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2646),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2646),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2646),
    [anon_sym_IBOutlet] = ACTIONS(2646),
    [anon_sym_IBInspectable] = ACTIONS(2646),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2646),
    [anon_sym_NS_INLINE] = ACTIONS(2646),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2646),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2646),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2646),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2646),
    [anon_sym_const] = ACTIONS(2646),
    [anon_sym_constexpr] = ACTIONS(2646),
    [anon_sym_volatile] = ACTIONS(2646),
    [anon_sym_restrict] = ACTIONS(2646),
    [anon_sym___restrict__] = ACTIONS(2646),
    [anon_sym__Atomic] = ACTIONS(2646),
    [anon_sym__Noreturn] = ACTIONS(2646),
    [anon_sym__Nonnull] = ACTIONS(2646),
    [anon_sym_nullable] = ACTIONS(2646),
    [anon_sym__Complex] = ACTIONS(2646),
    [anon_sym__Nullable] = ACTIONS(2646),
    [anon_sym__Nullable_result] = ACTIONS(2646),
    [anon_sym__Null_unspecified] = ACTIONS(2646),
    [anon_sym___autoreleasing] = ACTIONS(2646),
    [anon_sym___block] = ACTIONS(2646),
    [anon_sym___bridge] = ACTIONS(2646),
    [anon_sym___bridge_retained] = ACTIONS(2646),
    [anon_sym___bridge_transfer] = ACTIONS(2646),
    [anon_sym___complex] = ACTIONS(2646),
    [anon_sym___const] = ACTIONS(2646),
    [anon_sym___imag] = ACTIONS(2646),
    [anon_sym___kindof] = ACTIONS(2646),
    [anon_sym___nonnull] = ACTIONS(2646),
    [anon_sym___nullable] = ACTIONS(2646),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2646),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2646),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2646),
    [anon_sym___real] = ACTIONS(2646),
    [anon_sym___strong] = ACTIONS(2646),
    [anon_sym___unsafe_unretained] = ACTIONS(2646),
    [anon_sym___unused] = ACTIONS(2646),
    [anon_sym___weak] = ACTIONS(2646),
    [anon_sym_alignas] = ACTIONS(2646),
    [anon_sym__Alignas] = ACTIONS(2646),
    [sym_primitive_type] = ACTIONS(2646),
    [anon_sym_enum] = ACTIONS(2646),
    [anon_sym_struct] = ACTIONS(2646),
    [anon_sym_union] = ACTIONS(2646),
    [anon_sym_if] = ACTIONS(2646),
    [anon_sym_switch] = ACTIONS(2646),
    [anon_sym_case] = ACTIONS(2646),
    [anon_sym_default] = ACTIONS(2646),
    [anon_sym_while] = ACTIONS(2646),
    [anon_sym_do] = ACTIONS(2646),
    [anon_sym_for] = ACTIONS(2646),
    [anon_sym_in] = ACTIONS(2646),
    [anon_sym_return] = ACTIONS(2646),
    [anon_sym_break] = ACTIONS(2646),
    [anon_sym_continue] = ACTIONS(2646),
    [anon_sym_goto] = ACTIONS(2646),
    [anon_sym_DASH_DASH] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(2648),
    [anon_sym_sizeof] = ACTIONS(2646),
    [anon_sym___alignof__] = ACTIONS(2646),
    [anon_sym___alignof] = ACTIONS(2646),
    [anon_sym__alignof] = ACTIONS(2646),
    [anon_sym_alignof] = ACTIONS(2646),
    [anon_sym__Alignof] = ACTIONS(2646),
    [anon_sym_offsetof] = ACTIONS(2646),
    [anon_sym__Generic] = ACTIONS(2646),
    [anon_sym_asm] = ACTIONS(2646),
    [anon_sym___asm__] = ACTIONS(2646),
    [anon_sym___asm] = ACTIONS(2646),
    [sym_number_literal] = ACTIONS(2648),
    [anon_sym_L_SQUOTE] = ACTIONS(2648),
    [anon_sym_u_SQUOTE] = ACTIONS(2648),
    [anon_sym_U_SQUOTE] = ACTIONS(2648),
    [anon_sym_u8_SQUOTE] = ACTIONS(2648),
    [anon_sym_SQUOTE] = ACTIONS(2648),
    [anon_sym_AT] = ACTIONS(2646),
    [anon_sym_DQUOTE] = ACTIONS(2648),
    [anon_sym_L_DQUOTE] = ACTIONS(2648),
    [anon_sym_u_DQUOTE] = ACTIONS(2648),
    [anon_sym_U_DQUOTE] = ACTIONS(2648),
    [anon_sym_u8_DQUOTE] = ACTIONS(2648),
    [sym_true] = ACTIONS(2646),
    [sym_false] = ACTIONS(2646),
    [anon_sym_NULL] = ACTIONS(2646),
    [anon_sym_nullptr] = ACTIONS(2646),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2646),
    [anon_sym___typeof] = ACTIONS(2646),
    [anon_sym_typeof] = ACTIONS(2646),
    [anon_sym_ATimport] = ACTIONS(2648),
    [aux_sym_preproc_undef_token1] = ACTIONS(2646),
    [anon_sym_POUND] = ACTIONS(2646),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2646),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2646),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2646),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2646),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2646),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2646),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2646),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2646),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2646),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2646),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2646),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2646),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2646),
    [anon_sym_API_AVAILABLE] = ACTIONS(2646),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2646),
    [anon_sym_API_DEPRECATED] = ACTIONS(2646),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2646),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2646),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2646),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2646),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2646),
    [anon_sym___deprecated_msg] = ACTIONS(2646),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2646),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2646),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2646),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2646),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2646),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2646),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2646),
    [anon_sym_ATprotocol] = ACTIONS(2648),
    [anon_sym_ATinterface] = ACTIONS(2648),
    [anon_sym_ATimplementation] = ACTIONS(2648),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2648),
    [anon_sym_ATselector] = ACTIONS(2648),
    [anon_sym_ATavailable] = ACTIONS(2648),
    [anon_sym___builtin_available] = ACTIONS(2646),
    [anon_sym_va_arg] = ACTIONS(2646),
    [anon_sym_ATencode] = ACTIONS(2648),
    [anon_sym_BOOL] = ACTIONS(2646),
    [anon_sym_IMP] = ACTIONS(2646),
    [anon_sym_SEL] = ACTIONS(2646),
    [anon_sym_Class] = ACTIONS(2646),
    [anon_sym_id] = ACTIONS(2646),
  },
  [1030] = {
    [ts_builtin_sym_end] = ACTIONS(2668),
    [sym_identifier] = ACTIONS(2666),
    [aux_sym_preproc_include_token1] = ACTIONS(2666),
    [aux_sym_preproc_include_token2] = ACTIONS(2666),
    [aux_sym_preproc_def_token1] = ACTIONS(2666),
    [aux_sym_preproc_if_token1] = ACTIONS(2666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2666),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2666),
    [sym_preproc_directive] = ACTIONS(2666),
    [anon_sym_LPAREN2] = ACTIONS(2668),
    [anon_sym_BANG] = ACTIONS(2668),
    [anon_sym_TILDE] = ACTIONS(2668),
    [anon_sym_DASH] = ACTIONS(2666),
    [anon_sym_PLUS] = ACTIONS(2666),
    [anon_sym_STAR] = ACTIONS(2668),
    [anon_sym_CARET] = ACTIONS(2668),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym_SEMI] = ACTIONS(2668),
    [anon_sym___extension__] = ACTIONS(2666),
    [anon_sym_typedef] = ACTIONS(2666),
    [anon_sym_extern] = ACTIONS(2666),
    [anon_sym___attribute__] = ACTIONS(2666),
    [anon_sym___attribute] = ACTIONS(2666),
    [anon_sym_noreturn] = ACTIONS(2666),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym___declspec] = ACTIONS(2666),
    [anon_sym___cdecl] = ACTIONS(2666),
    [anon_sym___clrcall] = ACTIONS(2666),
    [anon_sym___stdcall] = ACTIONS(2666),
    [anon_sym___fastcall] = ACTIONS(2666),
    [anon_sym___thiscall] = ACTIONS(2666),
    [anon_sym___vectorcall] = ACTIONS(2666),
    [anon_sym_LBRACE] = ACTIONS(2668),
    [anon_sym_signed] = ACTIONS(2666),
    [anon_sym_unsigned] = ACTIONS(2666),
    [anon_sym_long] = ACTIONS(2666),
    [anon_sym_short] = ACTIONS(2666),
    [anon_sym_static] = ACTIONS(2666),
    [anon_sym_ATautoreleasepool] = ACTIONS(2668),
    [anon_sym_auto] = ACTIONS(2666),
    [anon_sym_register] = ACTIONS(2666),
    [anon_sym_inline] = ACTIONS(2666),
    [anon_sym___inline] = ACTIONS(2666),
    [anon_sym___inline__] = ACTIONS(2666),
    [anon_sym___forceinline] = ACTIONS(2666),
    [anon_sym_thread_local] = ACTIONS(2666),
    [anon_sym___thread] = ACTIONS(2666),
    [anon_sym_CG_EXTERN] = ACTIONS(2666),
    [anon_sym_CG_INLINE] = ACTIONS(2666),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2666),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2666),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2666),
    [anon_sym_IBOutlet] = ACTIONS(2666),
    [anon_sym_IBInspectable] = ACTIONS(2666),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2666),
    [anon_sym_NS_INLINE] = ACTIONS(2666),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2666),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2666),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2666),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2666),
    [anon_sym_const] = ACTIONS(2666),
    [anon_sym_constexpr] = ACTIONS(2666),
    [anon_sym_volatile] = ACTIONS(2666),
    [anon_sym_restrict] = ACTIONS(2666),
    [anon_sym___restrict__] = ACTIONS(2666),
    [anon_sym__Atomic] = ACTIONS(2666),
    [anon_sym__Noreturn] = ACTIONS(2666),
    [anon_sym__Nonnull] = ACTIONS(2666),
    [anon_sym_nullable] = ACTIONS(2666),
    [anon_sym__Complex] = ACTIONS(2666),
    [anon_sym__Nullable] = ACTIONS(2666),
    [anon_sym__Nullable_result] = ACTIONS(2666),
    [anon_sym__Null_unspecified] = ACTIONS(2666),
    [anon_sym___autoreleasing] = ACTIONS(2666),
    [anon_sym___block] = ACTIONS(2666),
    [anon_sym___bridge] = ACTIONS(2666),
    [anon_sym___bridge_retained] = ACTIONS(2666),
    [anon_sym___bridge_transfer] = ACTIONS(2666),
    [anon_sym___complex] = ACTIONS(2666),
    [anon_sym___const] = ACTIONS(2666),
    [anon_sym___imag] = ACTIONS(2666),
    [anon_sym___kindof] = ACTIONS(2666),
    [anon_sym___nonnull] = ACTIONS(2666),
    [anon_sym___nullable] = ACTIONS(2666),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2666),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2666),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2666),
    [anon_sym___real] = ACTIONS(2666),
    [anon_sym___strong] = ACTIONS(2666),
    [anon_sym___unsafe_unretained] = ACTIONS(2666),
    [anon_sym___unused] = ACTIONS(2666),
    [anon_sym___weak] = ACTIONS(2666),
    [anon_sym_alignas] = ACTIONS(2666),
    [anon_sym__Alignas] = ACTIONS(2666),
    [sym_primitive_type] = ACTIONS(2666),
    [anon_sym_enum] = ACTIONS(2666),
    [anon_sym_struct] = ACTIONS(2666),
    [anon_sym_union] = ACTIONS(2666),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_switch] = ACTIONS(2666),
    [anon_sym_case] = ACTIONS(2666),
    [anon_sym_default] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2666),
    [anon_sym_do] = ACTIONS(2666),
    [anon_sym_for] = ACTIONS(2666),
    [anon_sym_in] = ACTIONS(2666),
    [anon_sym_return] = ACTIONS(2666),
    [anon_sym_break] = ACTIONS(2666),
    [anon_sym_continue] = ACTIONS(2666),
    [anon_sym_goto] = ACTIONS(2666),
    [anon_sym_DASH_DASH] = ACTIONS(2668),
    [anon_sym_PLUS_PLUS] = ACTIONS(2668),
    [anon_sym_sizeof] = ACTIONS(2666),
    [anon_sym___alignof__] = ACTIONS(2666),
    [anon_sym___alignof] = ACTIONS(2666),
    [anon_sym__alignof] = ACTIONS(2666),
    [anon_sym_alignof] = ACTIONS(2666),
    [anon_sym__Alignof] = ACTIONS(2666),
    [anon_sym_offsetof] = ACTIONS(2666),
    [anon_sym__Generic] = ACTIONS(2666),
    [anon_sym_asm] = ACTIONS(2666),
    [anon_sym___asm__] = ACTIONS(2666),
    [anon_sym___asm] = ACTIONS(2666),
    [sym_number_literal] = ACTIONS(2668),
    [anon_sym_L_SQUOTE] = ACTIONS(2668),
    [anon_sym_u_SQUOTE] = ACTIONS(2668),
    [anon_sym_U_SQUOTE] = ACTIONS(2668),
    [anon_sym_u8_SQUOTE] = ACTIONS(2668),
    [anon_sym_SQUOTE] = ACTIONS(2668),
    [anon_sym_AT] = ACTIONS(2666),
    [anon_sym_DQUOTE] = ACTIONS(2668),
    [anon_sym_L_DQUOTE] = ACTIONS(2668),
    [anon_sym_u_DQUOTE] = ACTIONS(2668),
    [anon_sym_U_DQUOTE] = ACTIONS(2668),
    [anon_sym_u8_DQUOTE] = ACTIONS(2668),
    [sym_true] = ACTIONS(2666),
    [sym_false] = ACTIONS(2666),
    [anon_sym_NULL] = ACTIONS(2666),
    [anon_sym_nullptr] = ACTIONS(2666),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2666),
    [anon_sym___typeof] = ACTIONS(2666),
    [anon_sym_typeof] = ACTIONS(2666),
    [anon_sym_ATimport] = ACTIONS(2668),
    [aux_sym_preproc_undef_token1] = ACTIONS(2666),
    [anon_sym_POUND] = ACTIONS(2666),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2666),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2666),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2666),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2666),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2666),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2666),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2666),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2666),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2666),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2666),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2666),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2666),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2666),
    [anon_sym_API_AVAILABLE] = ACTIONS(2666),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2666),
    [anon_sym_API_DEPRECATED] = ACTIONS(2666),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2666),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2666),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2666),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2666),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2666),
    [anon_sym___deprecated_msg] = ACTIONS(2666),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2666),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2666),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2666),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2666),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2666),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2666),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2666),
    [anon_sym_ATprotocol] = ACTIONS(2668),
    [anon_sym_ATinterface] = ACTIONS(2668),
    [anon_sym_ATimplementation] = ACTIONS(2668),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2668),
    [anon_sym_ATselector] = ACTIONS(2668),
    [anon_sym_ATavailable] = ACTIONS(2668),
    [anon_sym___builtin_available] = ACTIONS(2666),
    [anon_sym_va_arg] = ACTIONS(2666),
    [anon_sym_ATencode] = ACTIONS(2668),
    [anon_sym_BOOL] = ACTIONS(2666),
    [anon_sym_IMP] = ACTIONS(2666),
    [anon_sym_SEL] = ACTIONS(2666),
    [anon_sym_Class] = ACTIONS(2666),
    [anon_sym_id] = ACTIONS(2666),
  },
  [1031] = {
    [ts_builtin_sym_end] = ACTIONS(2684),
    [sym_identifier] = ACTIONS(2682),
    [aux_sym_preproc_include_token1] = ACTIONS(2682),
    [aux_sym_preproc_include_token2] = ACTIONS(2682),
    [aux_sym_preproc_def_token1] = ACTIONS(2682),
    [aux_sym_preproc_if_token1] = ACTIONS(2682),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2682),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2682),
    [sym_preproc_directive] = ACTIONS(2682),
    [anon_sym_LPAREN2] = ACTIONS(2684),
    [anon_sym_BANG] = ACTIONS(2684),
    [anon_sym_TILDE] = ACTIONS(2684),
    [anon_sym_DASH] = ACTIONS(2682),
    [anon_sym_PLUS] = ACTIONS(2682),
    [anon_sym_STAR] = ACTIONS(2684),
    [anon_sym_CARET] = ACTIONS(2684),
    [anon_sym_AMP] = ACTIONS(2684),
    [anon_sym_SEMI] = ACTIONS(2684),
    [anon_sym___extension__] = ACTIONS(2682),
    [anon_sym_typedef] = ACTIONS(2682),
    [anon_sym_extern] = ACTIONS(2682),
    [anon_sym___attribute__] = ACTIONS(2682),
    [anon_sym___attribute] = ACTIONS(2682),
    [anon_sym_noreturn] = ACTIONS(2682),
    [anon_sym_LBRACK] = ACTIONS(2684),
    [anon_sym___declspec] = ACTIONS(2682),
    [anon_sym___cdecl] = ACTIONS(2682),
    [anon_sym___clrcall] = ACTIONS(2682),
    [anon_sym___stdcall] = ACTIONS(2682),
    [anon_sym___fastcall] = ACTIONS(2682),
    [anon_sym___thiscall] = ACTIONS(2682),
    [anon_sym___vectorcall] = ACTIONS(2682),
    [anon_sym_LBRACE] = ACTIONS(2684),
    [anon_sym_signed] = ACTIONS(2682),
    [anon_sym_unsigned] = ACTIONS(2682),
    [anon_sym_long] = ACTIONS(2682),
    [anon_sym_short] = ACTIONS(2682),
    [anon_sym_static] = ACTIONS(2682),
    [anon_sym_ATautoreleasepool] = ACTIONS(2684),
    [anon_sym_auto] = ACTIONS(2682),
    [anon_sym_register] = ACTIONS(2682),
    [anon_sym_inline] = ACTIONS(2682),
    [anon_sym___inline] = ACTIONS(2682),
    [anon_sym___inline__] = ACTIONS(2682),
    [anon_sym___forceinline] = ACTIONS(2682),
    [anon_sym_thread_local] = ACTIONS(2682),
    [anon_sym___thread] = ACTIONS(2682),
    [anon_sym_CG_EXTERN] = ACTIONS(2682),
    [anon_sym_CG_INLINE] = ACTIONS(2682),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2682),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2682),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2682),
    [anon_sym_IBOutlet] = ACTIONS(2682),
    [anon_sym_IBInspectable] = ACTIONS(2682),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2682),
    [anon_sym_NS_INLINE] = ACTIONS(2682),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2682),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2682),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2682),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2682),
    [anon_sym_const] = ACTIONS(2682),
    [anon_sym_constexpr] = ACTIONS(2682),
    [anon_sym_volatile] = ACTIONS(2682),
    [anon_sym_restrict] = ACTIONS(2682),
    [anon_sym___restrict__] = ACTIONS(2682),
    [anon_sym__Atomic] = ACTIONS(2682),
    [anon_sym__Noreturn] = ACTIONS(2682),
    [anon_sym__Nonnull] = ACTIONS(2682),
    [anon_sym_nullable] = ACTIONS(2682),
    [anon_sym__Complex] = ACTIONS(2682),
    [anon_sym__Nullable] = ACTIONS(2682),
    [anon_sym__Nullable_result] = ACTIONS(2682),
    [anon_sym__Null_unspecified] = ACTIONS(2682),
    [anon_sym___autoreleasing] = ACTIONS(2682),
    [anon_sym___block] = ACTIONS(2682),
    [anon_sym___bridge] = ACTIONS(2682),
    [anon_sym___bridge_retained] = ACTIONS(2682),
    [anon_sym___bridge_transfer] = ACTIONS(2682),
    [anon_sym___complex] = ACTIONS(2682),
    [anon_sym___const] = ACTIONS(2682),
    [anon_sym___imag] = ACTIONS(2682),
    [anon_sym___kindof] = ACTIONS(2682),
    [anon_sym___nonnull] = ACTIONS(2682),
    [anon_sym___nullable] = ACTIONS(2682),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2682),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2682),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2682),
    [anon_sym___real] = ACTIONS(2682),
    [anon_sym___strong] = ACTIONS(2682),
    [anon_sym___unsafe_unretained] = ACTIONS(2682),
    [anon_sym___unused] = ACTIONS(2682),
    [anon_sym___weak] = ACTIONS(2682),
    [anon_sym_alignas] = ACTIONS(2682),
    [anon_sym__Alignas] = ACTIONS(2682),
    [sym_primitive_type] = ACTIONS(2682),
    [anon_sym_enum] = ACTIONS(2682),
    [anon_sym_struct] = ACTIONS(2682),
    [anon_sym_union] = ACTIONS(2682),
    [anon_sym_if] = ACTIONS(2682),
    [anon_sym_switch] = ACTIONS(2682),
    [anon_sym_case] = ACTIONS(2682),
    [anon_sym_default] = ACTIONS(2682),
    [anon_sym_while] = ACTIONS(2682),
    [anon_sym_do] = ACTIONS(2682),
    [anon_sym_for] = ACTIONS(2682),
    [anon_sym_in] = ACTIONS(2682),
    [anon_sym_return] = ACTIONS(2682),
    [anon_sym_break] = ACTIONS(2682),
    [anon_sym_continue] = ACTIONS(2682),
    [anon_sym_goto] = ACTIONS(2682),
    [anon_sym_DASH_DASH] = ACTIONS(2684),
    [anon_sym_PLUS_PLUS] = ACTIONS(2684),
    [anon_sym_sizeof] = ACTIONS(2682),
    [anon_sym___alignof__] = ACTIONS(2682),
    [anon_sym___alignof] = ACTIONS(2682),
    [anon_sym__alignof] = ACTIONS(2682),
    [anon_sym_alignof] = ACTIONS(2682),
    [anon_sym__Alignof] = ACTIONS(2682),
    [anon_sym_offsetof] = ACTIONS(2682),
    [anon_sym__Generic] = ACTIONS(2682),
    [anon_sym_asm] = ACTIONS(2682),
    [anon_sym___asm__] = ACTIONS(2682),
    [anon_sym___asm] = ACTIONS(2682),
    [sym_number_literal] = ACTIONS(2684),
    [anon_sym_L_SQUOTE] = ACTIONS(2684),
    [anon_sym_u_SQUOTE] = ACTIONS(2684),
    [anon_sym_U_SQUOTE] = ACTIONS(2684),
    [anon_sym_u8_SQUOTE] = ACTIONS(2684),
    [anon_sym_SQUOTE] = ACTIONS(2684),
    [anon_sym_AT] = ACTIONS(2682),
    [anon_sym_DQUOTE] = ACTIONS(2684),
    [anon_sym_L_DQUOTE] = ACTIONS(2684),
    [anon_sym_u_DQUOTE] = ACTIONS(2684),
    [anon_sym_U_DQUOTE] = ACTIONS(2684),
    [anon_sym_u8_DQUOTE] = ACTIONS(2684),
    [sym_true] = ACTIONS(2682),
    [sym_false] = ACTIONS(2682),
    [anon_sym_NULL] = ACTIONS(2682),
    [anon_sym_nullptr] = ACTIONS(2682),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2682),
    [anon_sym___typeof] = ACTIONS(2682),
    [anon_sym_typeof] = ACTIONS(2682),
    [anon_sym_ATimport] = ACTIONS(2684),
    [aux_sym_preproc_undef_token1] = ACTIONS(2682),
    [anon_sym_POUND] = ACTIONS(2682),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2682),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2682),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2682),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2682),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2682),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2682),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2682),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2682),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2682),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2682),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2682),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2682),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2682),
    [anon_sym_API_AVAILABLE] = ACTIONS(2682),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2682),
    [anon_sym_API_DEPRECATED] = ACTIONS(2682),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2682),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2682),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2682),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2682),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2682),
    [anon_sym___deprecated_msg] = ACTIONS(2682),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2682),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2682),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2682),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2682),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2682),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2682),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2682),
    [anon_sym_ATprotocol] = ACTIONS(2684),
    [anon_sym_ATinterface] = ACTIONS(2684),
    [anon_sym_ATimplementation] = ACTIONS(2684),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2684),
    [anon_sym_ATselector] = ACTIONS(2684),
    [anon_sym_ATavailable] = ACTIONS(2684),
    [anon_sym___builtin_available] = ACTIONS(2682),
    [anon_sym_va_arg] = ACTIONS(2682),
    [anon_sym_ATencode] = ACTIONS(2684),
    [anon_sym_BOOL] = ACTIONS(2682),
    [anon_sym_IMP] = ACTIONS(2682),
    [anon_sym_SEL] = ACTIONS(2682),
    [anon_sym_Class] = ACTIONS(2682),
    [anon_sym_id] = ACTIONS(2682),
  },
  [1032] = {
    [ts_builtin_sym_end] = ACTIONS(2688),
    [sym_identifier] = ACTIONS(2686),
    [aux_sym_preproc_include_token1] = ACTIONS(2686),
    [aux_sym_preproc_include_token2] = ACTIONS(2686),
    [aux_sym_preproc_def_token1] = ACTIONS(2686),
    [aux_sym_preproc_if_token1] = ACTIONS(2686),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2686),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2686),
    [sym_preproc_directive] = ACTIONS(2686),
    [anon_sym_LPAREN2] = ACTIONS(2688),
    [anon_sym_BANG] = ACTIONS(2688),
    [anon_sym_TILDE] = ACTIONS(2688),
    [anon_sym_DASH] = ACTIONS(2686),
    [anon_sym_PLUS] = ACTIONS(2686),
    [anon_sym_STAR] = ACTIONS(2688),
    [anon_sym_CARET] = ACTIONS(2688),
    [anon_sym_AMP] = ACTIONS(2688),
    [anon_sym_SEMI] = ACTIONS(2688),
    [anon_sym___extension__] = ACTIONS(2686),
    [anon_sym_typedef] = ACTIONS(2686),
    [anon_sym_extern] = ACTIONS(2686),
    [anon_sym___attribute__] = ACTIONS(2686),
    [anon_sym___attribute] = ACTIONS(2686),
    [anon_sym_noreturn] = ACTIONS(2686),
    [anon_sym_LBRACK] = ACTIONS(2688),
    [anon_sym___declspec] = ACTIONS(2686),
    [anon_sym___cdecl] = ACTIONS(2686),
    [anon_sym___clrcall] = ACTIONS(2686),
    [anon_sym___stdcall] = ACTIONS(2686),
    [anon_sym___fastcall] = ACTIONS(2686),
    [anon_sym___thiscall] = ACTIONS(2686),
    [anon_sym___vectorcall] = ACTIONS(2686),
    [anon_sym_LBRACE] = ACTIONS(2688),
    [anon_sym_signed] = ACTIONS(2686),
    [anon_sym_unsigned] = ACTIONS(2686),
    [anon_sym_long] = ACTIONS(2686),
    [anon_sym_short] = ACTIONS(2686),
    [anon_sym_static] = ACTIONS(2686),
    [anon_sym_ATautoreleasepool] = ACTIONS(2688),
    [anon_sym_auto] = ACTIONS(2686),
    [anon_sym_register] = ACTIONS(2686),
    [anon_sym_inline] = ACTIONS(2686),
    [anon_sym___inline] = ACTIONS(2686),
    [anon_sym___inline__] = ACTIONS(2686),
    [anon_sym___forceinline] = ACTIONS(2686),
    [anon_sym_thread_local] = ACTIONS(2686),
    [anon_sym___thread] = ACTIONS(2686),
    [anon_sym_CG_EXTERN] = ACTIONS(2686),
    [anon_sym_CG_INLINE] = ACTIONS(2686),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2686),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2686),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2686),
    [anon_sym_IBOutlet] = ACTIONS(2686),
    [anon_sym_IBInspectable] = ACTIONS(2686),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2686),
    [anon_sym_NS_INLINE] = ACTIONS(2686),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2686),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2686),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2686),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2686),
    [anon_sym_const] = ACTIONS(2686),
    [anon_sym_constexpr] = ACTIONS(2686),
    [anon_sym_volatile] = ACTIONS(2686),
    [anon_sym_restrict] = ACTIONS(2686),
    [anon_sym___restrict__] = ACTIONS(2686),
    [anon_sym__Atomic] = ACTIONS(2686),
    [anon_sym__Noreturn] = ACTIONS(2686),
    [anon_sym__Nonnull] = ACTIONS(2686),
    [anon_sym_nullable] = ACTIONS(2686),
    [anon_sym__Complex] = ACTIONS(2686),
    [anon_sym__Nullable] = ACTIONS(2686),
    [anon_sym__Nullable_result] = ACTIONS(2686),
    [anon_sym__Null_unspecified] = ACTIONS(2686),
    [anon_sym___autoreleasing] = ACTIONS(2686),
    [anon_sym___block] = ACTIONS(2686),
    [anon_sym___bridge] = ACTIONS(2686),
    [anon_sym___bridge_retained] = ACTIONS(2686),
    [anon_sym___bridge_transfer] = ACTIONS(2686),
    [anon_sym___complex] = ACTIONS(2686),
    [anon_sym___const] = ACTIONS(2686),
    [anon_sym___imag] = ACTIONS(2686),
    [anon_sym___kindof] = ACTIONS(2686),
    [anon_sym___nonnull] = ACTIONS(2686),
    [anon_sym___nullable] = ACTIONS(2686),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2686),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2686),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2686),
    [anon_sym___real] = ACTIONS(2686),
    [anon_sym___strong] = ACTIONS(2686),
    [anon_sym___unsafe_unretained] = ACTIONS(2686),
    [anon_sym___unused] = ACTIONS(2686),
    [anon_sym___weak] = ACTIONS(2686),
    [anon_sym_alignas] = ACTIONS(2686),
    [anon_sym__Alignas] = ACTIONS(2686),
    [sym_primitive_type] = ACTIONS(2686),
    [anon_sym_enum] = ACTIONS(2686),
    [anon_sym_struct] = ACTIONS(2686),
    [anon_sym_union] = ACTIONS(2686),
    [anon_sym_if] = ACTIONS(2686),
    [anon_sym_switch] = ACTIONS(2686),
    [anon_sym_case] = ACTIONS(2686),
    [anon_sym_default] = ACTIONS(2686),
    [anon_sym_while] = ACTIONS(2686),
    [anon_sym_do] = ACTIONS(2686),
    [anon_sym_for] = ACTIONS(2686),
    [anon_sym_in] = ACTIONS(2686),
    [anon_sym_return] = ACTIONS(2686),
    [anon_sym_break] = ACTIONS(2686),
    [anon_sym_continue] = ACTIONS(2686),
    [anon_sym_goto] = ACTIONS(2686),
    [anon_sym_DASH_DASH] = ACTIONS(2688),
    [anon_sym_PLUS_PLUS] = ACTIONS(2688),
    [anon_sym_sizeof] = ACTIONS(2686),
    [anon_sym___alignof__] = ACTIONS(2686),
    [anon_sym___alignof] = ACTIONS(2686),
    [anon_sym__alignof] = ACTIONS(2686),
    [anon_sym_alignof] = ACTIONS(2686),
    [anon_sym__Alignof] = ACTIONS(2686),
    [anon_sym_offsetof] = ACTIONS(2686),
    [anon_sym__Generic] = ACTIONS(2686),
    [anon_sym_asm] = ACTIONS(2686),
    [anon_sym___asm__] = ACTIONS(2686),
    [anon_sym___asm] = ACTIONS(2686),
    [sym_number_literal] = ACTIONS(2688),
    [anon_sym_L_SQUOTE] = ACTIONS(2688),
    [anon_sym_u_SQUOTE] = ACTIONS(2688),
    [anon_sym_U_SQUOTE] = ACTIONS(2688),
    [anon_sym_u8_SQUOTE] = ACTIONS(2688),
    [anon_sym_SQUOTE] = ACTIONS(2688),
    [anon_sym_AT] = ACTIONS(2686),
    [anon_sym_DQUOTE] = ACTIONS(2688),
    [anon_sym_L_DQUOTE] = ACTIONS(2688),
    [anon_sym_u_DQUOTE] = ACTIONS(2688),
    [anon_sym_U_DQUOTE] = ACTIONS(2688),
    [anon_sym_u8_DQUOTE] = ACTIONS(2688),
    [sym_true] = ACTIONS(2686),
    [sym_false] = ACTIONS(2686),
    [anon_sym_NULL] = ACTIONS(2686),
    [anon_sym_nullptr] = ACTIONS(2686),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2686),
    [anon_sym___typeof] = ACTIONS(2686),
    [anon_sym_typeof] = ACTIONS(2686),
    [anon_sym_ATimport] = ACTIONS(2688),
    [aux_sym_preproc_undef_token1] = ACTIONS(2686),
    [anon_sym_POUND] = ACTIONS(2686),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2686),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2686),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2686),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2686),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2686),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2686),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2686),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2686),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2686),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2686),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2686),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2686),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2686),
    [anon_sym_API_AVAILABLE] = ACTIONS(2686),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2686),
    [anon_sym_API_DEPRECATED] = ACTIONS(2686),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2686),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2686),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2686),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2686),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2686),
    [anon_sym___deprecated_msg] = ACTIONS(2686),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2686),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2686),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2686),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2686),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2686),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2686),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2686),
    [anon_sym_ATprotocol] = ACTIONS(2688),
    [anon_sym_ATinterface] = ACTIONS(2688),
    [anon_sym_ATimplementation] = ACTIONS(2688),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2688),
    [anon_sym_ATselector] = ACTIONS(2688),
    [anon_sym_ATavailable] = ACTIONS(2688),
    [anon_sym___builtin_available] = ACTIONS(2686),
    [anon_sym_va_arg] = ACTIONS(2686),
    [anon_sym_ATencode] = ACTIONS(2688),
    [anon_sym_BOOL] = ACTIONS(2686),
    [anon_sym_IMP] = ACTIONS(2686),
    [anon_sym_SEL] = ACTIONS(2686),
    [anon_sym_Class] = ACTIONS(2686),
    [anon_sym_id] = ACTIONS(2686),
  },
  [1033] = {
    [ts_builtin_sym_end] = ACTIONS(2692),
    [sym_identifier] = ACTIONS(2690),
    [aux_sym_preproc_include_token1] = ACTIONS(2690),
    [aux_sym_preproc_include_token2] = ACTIONS(2690),
    [aux_sym_preproc_def_token1] = ACTIONS(2690),
    [aux_sym_preproc_if_token1] = ACTIONS(2690),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2690),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2690),
    [sym_preproc_directive] = ACTIONS(2690),
    [anon_sym_LPAREN2] = ACTIONS(2692),
    [anon_sym_BANG] = ACTIONS(2692),
    [anon_sym_TILDE] = ACTIONS(2692),
    [anon_sym_DASH] = ACTIONS(2690),
    [anon_sym_PLUS] = ACTIONS(2690),
    [anon_sym_STAR] = ACTIONS(2692),
    [anon_sym_CARET] = ACTIONS(2692),
    [anon_sym_AMP] = ACTIONS(2692),
    [anon_sym_SEMI] = ACTIONS(2692),
    [anon_sym___extension__] = ACTIONS(2690),
    [anon_sym_typedef] = ACTIONS(2690),
    [anon_sym_extern] = ACTIONS(2690),
    [anon_sym___attribute__] = ACTIONS(2690),
    [anon_sym___attribute] = ACTIONS(2690),
    [anon_sym_noreturn] = ACTIONS(2690),
    [anon_sym_LBRACK] = ACTIONS(2692),
    [anon_sym___declspec] = ACTIONS(2690),
    [anon_sym___cdecl] = ACTIONS(2690),
    [anon_sym___clrcall] = ACTIONS(2690),
    [anon_sym___stdcall] = ACTIONS(2690),
    [anon_sym___fastcall] = ACTIONS(2690),
    [anon_sym___thiscall] = ACTIONS(2690),
    [anon_sym___vectorcall] = ACTIONS(2690),
    [anon_sym_LBRACE] = ACTIONS(2692),
    [anon_sym_signed] = ACTIONS(2690),
    [anon_sym_unsigned] = ACTIONS(2690),
    [anon_sym_long] = ACTIONS(2690),
    [anon_sym_short] = ACTIONS(2690),
    [anon_sym_static] = ACTIONS(2690),
    [anon_sym_ATautoreleasepool] = ACTIONS(2692),
    [anon_sym_auto] = ACTIONS(2690),
    [anon_sym_register] = ACTIONS(2690),
    [anon_sym_inline] = ACTIONS(2690),
    [anon_sym___inline] = ACTIONS(2690),
    [anon_sym___inline__] = ACTIONS(2690),
    [anon_sym___forceinline] = ACTIONS(2690),
    [anon_sym_thread_local] = ACTIONS(2690),
    [anon_sym___thread] = ACTIONS(2690),
    [anon_sym_CG_EXTERN] = ACTIONS(2690),
    [anon_sym_CG_INLINE] = ACTIONS(2690),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2690),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2690),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2690),
    [anon_sym_IBOutlet] = ACTIONS(2690),
    [anon_sym_IBInspectable] = ACTIONS(2690),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2690),
    [anon_sym_NS_INLINE] = ACTIONS(2690),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2690),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2690),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2690),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2690),
    [anon_sym_const] = ACTIONS(2690),
    [anon_sym_constexpr] = ACTIONS(2690),
    [anon_sym_volatile] = ACTIONS(2690),
    [anon_sym_restrict] = ACTIONS(2690),
    [anon_sym___restrict__] = ACTIONS(2690),
    [anon_sym__Atomic] = ACTIONS(2690),
    [anon_sym__Noreturn] = ACTIONS(2690),
    [anon_sym__Nonnull] = ACTIONS(2690),
    [anon_sym_nullable] = ACTIONS(2690),
    [anon_sym__Complex] = ACTIONS(2690),
    [anon_sym__Nullable] = ACTIONS(2690),
    [anon_sym__Nullable_result] = ACTIONS(2690),
    [anon_sym__Null_unspecified] = ACTIONS(2690),
    [anon_sym___autoreleasing] = ACTIONS(2690),
    [anon_sym___block] = ACTIONS(2690),
    [anon_sym___bridge] = ACTIONS(2690),
    [anon_sym___bridge_retained] = ACTIONS(2690),
    [anon_sym___bridge_transfer] = ACTIONS(2690),
    [anon_sym___complex] = ACTIONS(2690),
    [anon_sym___const] = ACTIONS(2690),
    [anon_sym___imag] = ACTIONS(2690),
    [anon_sym___kindof] = ACTIONS(2690),
    [anon_sym___nonnull] = ACTIONS(2690),
    [anon_sym___nullable] = ACTIONS(2690),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2690),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2690),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2690),
    [anon_sym___real] = ACTIONS(2690),
    [anon_sym___strong] = ACTIONS(2690),
    [anon_sym___unsafe_unretained] = ACTIONS(2690),
    [anon_sym___unused] = ACTIONS(2690),
    [anon_sym___weak] = ACTIONS(2690),
    [anon_sym_alignas] = ACTIONS(2690),
    [anon_sym__Alignas] = ACTIONS(2690),
    [sym_primitive_type] = ACTIONS(2690),
    [anon_sym_enum] = ACTIONS(2690),
    [anon_sym_struct] = ACTIONS(2690),
    [anon_sym_union] = ACTIONS(2690),
    [anon_sym_if] = ACTIONS(2690),
    [anon_sym_switch] = ACTIONS(2690),
    [anon_sym_case] = ACTIONS(2690),
    [anon_sym_default] = ACTIONS(2690),
    [anon_sym_while] = ACTIONS(2690),
    [anon_sym_do] = ACTIONS(2690),
    [anon_sym_for] = ACTIONS(2690),
    [anon_sym_in] = ACTIONS(2690),
    [anon_sym_return] = ACTIONS(2690),
    [anon_sym_break] = ACTIONS(2690),
    [anon_sym_continue] = ACTIONS(2690),
    [anon_sym_goto] = ACTIONS(2690),
    [anon_sym_DASH_DASH] = ACTIONS(2692),
    [anon_sym_PLUS_PLUS] = ACTIONS(2692),
    [anon_sym_sizeof] = ACTIONS(2690),
    [anon_sym___alignof__] = ACTIONS(2690),
    [anon_sym___alignof] = ACTIONS(2690),
    [anon_sym__alignof] = ACTIONS(2690),
    [anon_sym_alignof] = ACTIONS(2690),
    [anon_sym__Alignof] = ACTIONS(2690),
    [anon_sym_offsetof] = ACTIONS(2690),
    [anon_sym__Generic] = ACTIONS(2690),
    [anon_sym_asm] = ACTIONS(2690),
    [anon_sym___asm__] = ACTIONS(2690),
    [anon_sym___asm] = ACTIONS(2690),
    [sym_number_literal] = ACTIONS(2692),
    [anon_sym_L_SQUOTE] = ACTIONS(2692),
    [anon_sym_u_SQUOTE] = ACTIONS(2692),
    [anon_sym_U_SQUOTE] = ACTIONS(2692),
    [anon_sym_u8_SQUOTE] = ACTIONS(2692),
    [anon_sym_SQUOTE] = ACTIONS(2692),
    [anon_sym_AT] = ACTIONS(2690),
    [anon_sym_DQUOTE] = ACTIONS(2692),
    [anon_sym_L_DQUOTE] = ACTIONS(2692),
    [anon_sym_u_DQUOTE] = ACTIONS(2692),
    [anon_sym_U_DQUOTE] = ACTIONS(2692),
    [anon_sym_u8_DQUOTE] = ACTIONS(2692),
    [sym_true] = ACTIONS(2690),
    [sym_false] = ACTIONS(2690),
    [anon_sym_NULL] = ACTIONS(2690),
    [anon_sym_nullptr] = ACTIONS(2690),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2690),
    [anon_sym___typeof] = ACTIONS(2690),
    [anon_sym_typeof] = ACTIONS(2690),
    [anon_sym_ATimport] = ACTIONS(2692),
    [aux_sym_preproc_undef_token1] = ACTIONS(2690),
    [anon_sym_POUND] = ACTIONS(2690),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2690),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2690),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2690),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2690),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2690),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2690),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2690),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2690),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2690),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2690),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2690),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2690),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2690),
    [anon_sym_API_AVAILABLE] = ACTIONS(2690),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2690),
    [anon_sym_API_DEPRECATED] = ACTIONS(2690),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2690),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2690),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2690),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2690),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2690),
    [anon_sym___deprecated_msg] = ACTIONS(2690),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2690),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2690),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2690),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2690),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2690),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2690),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2690),
    [anon_sym_ATprotocol] = ACTIONS(2692),
    [anon_sym_ATinterface] = ACTIONS(2692),
    [anon_sym_ATimplementation] = ACTIONS(2692),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2692),
    [anon_sym_ATselector] = ACTIONS(2692),
    [anon_sym_ATavailable] = ACTIONS(2692),
    [anon_sym___builtin_available] = ACTIONS(2690),
    [anon_sym_va_arg] = ACTIONS(2690),
    [anon_sym_ATencode] = ACTIONS(2692),
    [anon_sym_BOOL] = ACTIONS(2690),
    [anon_sym_IMP] = ACTIONS(2690),
    [anon_sym_SEL] = ACTIONS(2690),
    [anon_sym_Class] = ACTIONS(2690),
    [anon_sym_id] = ACTIONS(2690),
  },
  [1034] = {
    [ts_builtin_sym_end] = ACTIONS(2846),
    [sym_identifier] = ACTIONS(2844),
    [aux_sym_preproc_include_token1] = ACTIONS(2844),
    [aux_sym_preproc_include_token2] = ACTIONS(2844),
    [aux_sym_preproc_def_token1] = ACTIONS(2844),
    [aux_sym_preproc_if_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2844),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2844),
    [sym_preproc_directive] = ACTIONS(2844),
    [anon_sym_LPAREN2] = ACTIONS(2846),
    [anon_sym_BANG] = ACTIONS(2846),
    [anon_sym_TILDE] = ACTIONS(2846),
    [anon_sym_DASH] = ACTIONS(2844),
    [anon_sym_PLUS] = ACTIONS(2844),
    [anon_sym_STAR] = ACTIONS(2846),
    [anon_sym_CARET] = ACTIONS(2846),
    [anon_sym_AMP] = ACTIONS(2846),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym___extension__] = ACTIONS(2844),
    [anon_sym_typedef] = ACTIONS(2844),
    [anon_sym_extern] = ACTIONS(2844),
    [anon_sym___attribute__] = ACTIONS(2844),
    [anon_sym___attribute] = ACTIONS(2844),
    [anon_sym_noreturn] = ACTIONS(2844),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym___declspec] = ACTIONS(2844),
    [anon_sym___cdecl] = ACTIONS(2844),
    [anon_sym___clrcall] = ACTIONS(2844),
    [anon_sym___stdcall] = ACTIONS(2844),
    [anon_sym___fastcall] = ACTIONS(2844),
    [anon_sym___thiscall] = ACTIONS(2844),
    [anon_sym___vectorcall] = ACTIONS(2844),
    [anon_sym_LBRACE] = ACTIONS(2846),
    [anon_sym_signed] = ACTIONS(2844),
    [anon_sym_unsigned] = ACTIONS(2844),
    [anon_sym_long] = ACTIONS(2844),
    [anon_sym_short] = ACTIONS(2844),
    [anon_sym_static] = ACTIONS(2844),
    [anon_sym_ATautoreleasepool] = ACTIONS(2846),
    [anon_sym_auto] = ACTIONS(2844),
    [anon_sym_register] = ACTIONS(2844),
    [anon_sym_inline] = ACTIONS(2844),
    [anon_sym___inline] = ACTIONS(2844),
    [anon_sym___inline__] = ACTIONS(2844),
    [anon_sym___forceinline] = ACTIONS(2844),
    [anon_sym_thread_local] = ACTIONS(2844),
    [anon_sym___thread] = ACTIONS(2844),
    [anon_sym_CG_EXTERN] = ACTIONS(2844),
    [anon_sym_CG_INLINE] = ACTIONS(2844),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2844),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2844),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2844),
    [anon_sym_IBOutlet] = ACTIONS(2844),
    [anon_sym_IBInspectable] = ACTIONS(2844),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2844),
    [anon_sym_NS_INLINE] = ACTIONS(2844),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2844),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2844),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2844),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2844),
    [anon_sym_const] = ACTIONS(2844),
    [anon_sym_constexpr] = ACTIONS(2844),
    [anon_sym_volatile] = ACTIONS(2844),
    [anon_sym_restrict] = ACTIONS(2844),
    [anon_sym___restrict__] = ACTIONS(2844),
    [anon_sym__Atomic] = ACTIONS(2844),
    [anon_sym__Noreturn] = ACTIONS(2844),
    [anon_sym__Nonnull] = ACTIONS(2844),
    [anon_sym_nullable] = ACTIONS(2844),
    [anon_sym__Complex] = ACTIONS(2844),
    [anon_sym__Nullable] = ACTIONS(2844),
    [anon_sym__Nullable_result] = ACTIONS(2844),
    [anon_sym__Null_unspecified] = ACTIONS(2844),
    [anon_sym___autoreleasing] = ACTIONS(2844),
    [anon_sym___block] = ACTIONS(2844),
    [anon_sym___bridge] = ACTIONS(2844),
    [anon_sym___bridge_retained] = ACTIONS(2844),
    [anon_sym___bridge_transfer] = ACTIONS(2844),
    [anon_sym___complex] = ACTIONS(2844),
    [anon_sym___const] = ACTIONS(2844),
    [anon_sym___imag] = ACTIONS(2844),
    [anon_sym___kindof] = ACTIONS(2844),
    [anon_sym___nonnull] = ACTIONS(2844),
    [anon_sym___nullable] = ACTIONS(2844),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2844),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2844),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2844),
    [anon_sym___real] = ACTIONS(2844),
    [anon_sym___strong] = ACTIONS(2844),
    [anon_sym___unsafe_unretained] = ACTIONS(2844),
    [anon_sym___unused] = ACTIONS(2844),
    [anon_sym___weak] = ACTIONS(2844),
    [anon_sym_alignas] = ACTIONS(2844),
    [anon_sym__Alignas] = ACTIONS(2844),
    [sym_primitive_type] = ACTIONS(2844),
    [anon_sym_enum] = ACTIONS(2844),
    [anon_sym_struct] = ACTIONS(2844),
    [anon_sym_union] = ACTIONS(2844),
    [anon_sym_if] = ACTIONS(2844),
    [anon_sym_switch] = ACTIONS(2844),
    [anon_sym_case] = ACTIONS(2844),
    [anon_sym_default] = ACTIONS(2844),
    [anon_sym_while] = ACTIONS(2844),
    [anon_sym_do] = ACTIONS(2844),
    [anon_sym_for] = ACTIONS(2844),
    [anon_sym_in] = ACTIONS(2844),
    [anon_sym_return] = ACTIONS(2844),
    [anon_sym_break] = ACTIONS(2844),
    [anon_sym_continue] = ACTIONS(2844),
    [anon_sym_goto] = ACTIONS(2844),
    [anon_sym_DASH_DASH] = ACTIONS(2846),
    [anon_sym_PLUS_PLUS] = ACTIONS(2846),
    [anon_sym_sizeof] = ACTIONS(2844),
    [anon_sym___alignof__] = ACTIONS(2844),
    [anon_sym___alignof] = ACTIONS(2844),
    [anon_sym__alignof] = ACTIONS(2844),
    [anon_sym_alignof] = ACTIONS(2844),
    [anon_sym__Alignof] = ACTIONS(2844),
    [anon_sym_offsetof] = ACTIONS(2844),
    [anon_sym__Generic] = ACTIONS(2844),
    [anon_sym_asm] = ACTIONS(2844),
    [anon_sym___asm__] = ACTIONS(2844),
    [anon_sym___asm] = ACTIONS(2844),
    [sym_number_literal] = ACTIONS(2846),
    [anon_sym_L_SQUOTE] = ACTIONS(2846),
    [anon_sym_u_SQUOTE] = ACTIONS(2846),
    [anon_sym_U_SQUOTE] = ACTIONS(2846),
    [anon_sym_u8_SQUOTE] = ACTIONS(2846),
    [anon_sym_SQUOTE] = ACTIONS(2846),
    [anon_sym_AT] = ACTIONS(2844),
    [anon_sym_DQUOTE] = ACTIONS(2846),
    [anon_sym_L_DQUOTE] = ACTIONS(2846),
    [anon_sym_u_DQUOTE] = ACTIONS(2846),
    [anon_sym_U_DQUOTE] = ACTIONS(2846),
    [anon_sym_u8_DQUOTE] = ACTIONS(2846),
    [sym_true] = ACTIONS(2844),
    [sym_false] = ACTIONS(2844),
    [anon_sym_NULL] = ACTIONS(2844),
    [anon_sym_nullptr] = ACTIONS(2844),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2844),
    [anon_sym___typeof] = ACTIONS(2844),
    [anon_sym_typeof] = ACTIONS(2844),
    [anon_sym_ATimport] = ACTIONS(2846),
    [aux_sym_preproc_undef_token1] = ACTIONS(2844),
    [anon_sym_POUND] = ACTIONS(2844),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2844),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2844),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2844),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2844),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2844),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2844),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2844),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2844),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2844),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2844),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2844),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2844),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2844),
    [anon_sym_API_AVAILABLE] = ACTIONS(2844),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2844),
    [anon_sym_API_DEPRECATED] = ACTIONS(2844),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2844),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2844),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2844),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2844),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2844),
    [anon_sym___deprecated_msg] = ACTIONS(2844),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2844),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2844),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2844),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2844),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2844),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2844),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2844),
    [anon_sym_ATprotocol] = ACTIONS(2846),
    [anon_sym_ATinterface] = ACTIONS(2846),
    [anon_sym_ATimplementation] = ACTIONS(2846),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2846),
    [anon_sym_ATselector] = ACTIONS(2846),
    [anon_sym_ATavailable] = ACTIONS(2846),
    [anon_sym___builtin_available] = ACTIONS(2844),
    [anon_sym_va_arg] = ACTIONS(2844),
    [anon_sym_ATencode] = ACTIONS(2846),
    [anon_sym_BOOL] = ACTIONS(2844),
    [anon_sym_IMP] = ACTIONS(2844),
    [anon_sym_SEL] = ACTIONS(2844),
    [anon_sym_Class] = ACTIONS(2844),
    [anon_sym_id] = ACTIONS(2844),
  },
  [1035] = {
    [ts_builtin_sym_end] = ACTIONS(2696),
    [sym_identifier] = ACTIONS(2694),
    [aux_sym_preproc_include_token1] = ACTIONS(2694),
    [aux_sym_preproc_include_token2] = ACTIONS(2694),
    [aux_sym_preproc_def_token1] = ACTIONS(2694),
    [aux_sym_preproc_if_token1] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2694),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2694),
    [sym_preproc_directive] = ACTIONS(2694),
    [anon_sym_LPAREN2] = ACTIONS(2696),
    [anon_sym_BANG] = ACTIONS(2696),
    [anon_sym_TILDE] = ACTIONS(2696),
    [anon_sym_DASH] = ACTIONS(2694),
    [anon_sym_PLUS] = ACTIONS(2694),
    [anon_sym_STAR] = ACTIONS(2696),
    [anon_sym_CARET] = ACTIONS(2696),
    [anon_sym_AMP] = ACTIONS(2696),
    [anon_sym_SEMI] = ACTIONS(2696),
    [anon_sym___extension__] = ACTIONS(2694),
    [anon_sym_typedef] = ACTIONS(2694),
    [anon_sym_extern] = ACTIONS(2694),
    [anon_sym___attribute__] = ACTIONS(2694),
    [anon_sym___attribute] = ACTIONS(2694),
    [anon_sym_noreturn] = ACTIONS(2694),
    [anon_sym_LBRACK] = ACTIONS(2696),
    [anon_sym___declspec] = ACTIONS(2694),
    [anon_sym___cdecl] = ACTIONS(2694),
    [anon_sym___clrcall] = ACTIONS(2694),
    [anon_sym___stdcall] = ACTIONS(2694),
    [anon_sym___fastcall] = ACTIONS(2694),
    [anon_sym___thiscall] = ACTIONS(2694),
    [anon_sym___vectorcall] = ACTIONS(2694),
    [anon_sym_LBRACE] = ACTIONS(2696),
    [anon_sym_signed] = ACTIONS(2694),
    [anon_sym_unsigned] = ACTIONS(2694),
    [anon_sym_long] = ACTIONS(2694),
    [anon_sym_short] = ACTIONS(2694),
    [anon_sym_static] = ACTIONS(2694),
    [anon_sym_ATautoreleasepool] = ACTIONS(2696),
    [anon_sym_auto] = ACTIONS(2694),
    [anon_sym_register] = ACTIONS(2694),
    [anon_sym_inline] = ACTIONS(2694),
    [anon_sym___inline] = ACTIONS(2694),
    [anon_sym___inline__] = ACTIONS(2694),
    [anon_sym___forceinline] = ACTIONS(2694),
    [anon_sym_thread_local] = ACTIONS(2694),
    [anon_sym___thread] = ACTIONS(2694),
    [anon_sym_CG_EXTERN] = ACTIONS(2694),
    [anon_sym_CG_INLINE] = ACTIONS(2694),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2694),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2694),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2694),
    [anon_sym_IBOutlet] = ACTIONS(2694),
    [anon_sym_IBInspectable] = ACTIONS(2694),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2694),
    [anon_sym_NS_INLINE] = ACTIONS(2694),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2694),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2694),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2694),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2694),
    [anon_sym_const] = ACTIONS(2694),
    [anon_sym_constexpr] = ACTIONS(2694),
    [anon_sym_volatile] = ACTIONS(2694),
    [anon_sym_restrict] = ACTIONS(2694),
    [anon_sym___restrict__] = ACTIONS(2694),
    [anon_sym__Atomic] = ACTIONS(2694),
    [anon_sym__Noreturn] = ACTIONS(2694),
    [anon_sym__Nonnull] = ACTIONS(2694),
    [anon_sym_nullable] = ACTIONS(2694),
    [anon_sym__Complex] = ACTIONS(2694),
    [anon_sym__Nullable] = ACTIONS(2694),
    [anon_sym__Nullable_result] = ACTIONS(2694),
    [anon_sym__Null_unspecified] = ACTIONS(2694),
    [anon_sym___autoreleasing] = ACTIONS(2694),
    [anon_sym___block] = ACTIONS(2694),
    [anon_sym___bridge] = ACTIONS(2694),
    [anon_sym___bridge_retained] = ACTIONS(2694),
    [anon_sym___bridge_transfer] = ACTIONS(2694),
    [anon_sym___complex] = ACTIONS(2694),
    [anon_sym___const] = ACTIONS(2694),
    [anon_sym___imag] = ACTIONS(2694),
    [anon_sym___kindof] = ACTIONS(2694),
    [anon_sym___nonnull] = ACTIONS(2694),
    [anon_sym___nullable] = ACTIONS(2694),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2694),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2694),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2694),
    [anon_sym___real] = ACTIONS(2694),
    [anon_sym___strong] = ACTIONS(2694),
    [anon_sym___unsafe_unretained] = ACTIONS(2694),
    [anon_sym___unused] = ACTIONS(2694),
    [anon_sym___weak] = ACTIONS(2694),
    [anon_sym_alignas] = ACTIONS(2694),
    [anon_sym__Alignas] = ACTIONS(2694),
    [sym_primitive_type] = ACTIONS(2694),
    [anon_sym_enum] = ACTIONS(2694),
    [anon_sym_struct] = ACTIONS(2694),
    [anon_sym_union] = ACTIONS(2694),
    [anon_sym_if] = ACTIONS(2694),
    [anon_sym_switch] = ACTIONS(2694),
    [anon_sym_case] = ACTIONS(2694),
    [anon_sym_default] = ACTIONS(2694),
    [anon_sym_while] = ACTIONS(2694),
    [anon_sym_do] = ACTIONS(2694),
    [anon_sym_for] = ACTIONS(2694),
    [anon_sym_in] = ACTIONS(2694),
    [anon_sym_return] = ACTIONS(2694),
    [anon_sym_break] = ACTIONS(2694),
    [anon_sym_continue] = ACTIONS(2694),
    [anon_sym_goto] = ACTIONS(2694),
    [anon_sym_DASH_DASH] = ACTIONS(2696),
    [anon_sym_PLUS_PLUS] = ACTIONS(2696),
    [anon_sym_sizeof] = ACTIONS(2694),
    [anon_sym___alignof__] = ACTIONS(2694),
    [anon_sym___alignof] = ACTIONS(2694),
    [anon_sym__alignof] = ACTIONS(2694),
    [anon_sym_alignof] = ACTIONS(2694),
    [anon_sym__Alignof] = ACTIONS(2694),
    [anon_sym_offsetof] = ACTIONS(2694),
    [anon_sym__Generic] = ACTIONS(2694),
    [anon_sym_asm] = ACTIONS(2694),
    [anon_sym___asm__] = ACTIONS(2694),
    [anon_sym___asm] = ACTIONS(2694),
    [sym_number_literal] = ACTIONS(2696),
    [anon_sym_L_SQUOTE] = ACTIONS(2696),
    [anon_sym_u_SQUOTE] = ACTIONS(2696),
    [anon_sym_U_SQUOTE] = ACTIONS(2696),
    [anon_sym_u8_SQUOTE] = ACTIONS(2696),
    [anon_sym_SQUOTE] = ACTIONS(2696),
    [anon_sym_AT] = ACTIONS(2694),
    [anon_sym_DQUOTE] = ACTIONS(2696),
    [anon_sym_L_DQUOTE] = ACTIONS(2696),
    [anon_sym_u_DQUOTE] = ACTIONS(2696),
    [anon_sym_U_DQUOTE] = ACTIONS(2696),
    [anon_sym_u8_DQUOTE] = ACTIONS(2696),
    [sym_true] = ACTIONS(2694),
    [sym_false] = ACTIONS(2694),
    [anon_sym_NULL] = ACTIONS(2694),
    [anon_sym_nullptr] = ACTIONS(2694),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2694),
    [anon_sym___typeof] = ACTIONS(2694),
    [anon_sym_typeof] = ACTIONS(2694),
    [anon_sym_ATimport] = ACTIONS(2696),
    [aux_sym_preproc_undef_token1] = ACTIONS(2694),
    [anon_sym_POUND] = ACTIONS(2694),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2694),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2694),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2694),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2694),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2694),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2694),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2694),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2694),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2694),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2694),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2694),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2694),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2694),
    [anon_sym_API_AVAILABLE] = ACTIONS(2694),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2694),
    [anon_sym_API_DEPRECATED] = ACTIONS(2694),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2694),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2694),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2694),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2694),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2694),
    [anon_sym___deprecated_msg] = ACTIONS(2694),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2694),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2694),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2694),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2694),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2694),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2694),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2694),
    [anon_sym_ATprotocol] = ACTIONS(2696),
    [anon_sym_ATinterface] = ACTIONS(2696),
    [anon_sym_ATimplementation] = ACTIONS(2696),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2696),
    [anon_sym_ATselector] = ACTIONS(2696),
    [anon_sym_ATavailable] = ACTIONS(2696),
    [anon_sym___builtin_available] = ACTIONS(2694),
    [anon_sym_va_arg] = ACTIONS(2694),
    [anon_sym_ATencode] = ACTIONS(2696),
    [anon_sym_BOOL] = ACTIONS(2694),
    [anon_sym_IMP] = ACTIONS(2694),
    [anon_sym_SEL] = ACTIONS(2694),
    [anon_sym_Class] = ACTIONS(2694),
    [anon_sym_id] = ACTIONS(2694),
  },
  [1036] = {
    [ts_builtin_sym_end] = ACTIONS(2700),
    [sym_identifier] = ACTIONS(2698),
    [aux_sym_preproc_include_token1] = ACTIONS(2698),
    [aux_sym_preproc_include_token2] = ACTIONS(2698),
    [aux_sym_preproc_def_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2698),
    [sym_preproc_directive] = ACTIONS(2698),
    [anon_sym_LPAREN2] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2698),
    [anon_sym_PLUS] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_CARET] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2700),
    [anon_sym___extension__] = ACTIONS(2698),
    [anon_sym_typedef] = ACTIONS(2698),
    [anon_sym_extern] = ACTIONS(2698),
    [anon_sym___attribute__] = ACTIONS(2698),
    [anon_sym___attribute] = ACTIONS(2698),
    [anon_sym_noreturn] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym___declspec] = ACTIONS(2698),
    [anon_sym___cdecl] = ACTIONS(2698),
    [anon_sym___clrcall] = ACTIONS(2698),
    [anon_sym___stdcall] = ACTIONS(2698),
    [anon_sym___fastcall] = ACTIONS(2698),
    [anon_sym___thiscall] = ACTIONS(2698),
    [anon_sym___vectorcall] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_signed] = ACTIONS(2698),
    [anon_sym_unsigned] = ACTIONS(2698),
    [anon_sym_long] = ACTIONS(2698),
    [anon_sym_short] = ACTIONS(2698),
    [anon_sym_static] = ACTIONS(2698),
    [anon_sym_ATautoreleasepool] = ACTIONS(2700),
    [anon_sym_auto] = ACTIONS(2698),
    [anon_sym_register] = ACTIONS(2698),
    [anon_sym_inline] = ACTIONS(2698),
    [anon_sym___inline] = ACTIONS(2698),
    [anon_sym___inline__] = ACTIONS(2698),
    [anon_sym___forceinline] = ACTIONS(2698),
    [anon_sym_thread_local] = ACTIONS(2698),
    [anon_sym___thread] = ACTIONS(2698),
    [anon_sym_CG_EXTERN] = ACTIONS(2698),
    [anon_sym_CG_INLINE] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2698),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2698),
    [anon_sym_IBOutlet] = ACTIONS(2698),
    [anon_sym_IBInspectable] = ACTIONS(2698),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2698),
    [anon_sym_NS_INLINE] = ACTIONS(2698),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2698),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2698),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2698),
    [anon_sym_const] = ACTIONS(2698),
    [anon_sym_constexpr] = ACTIONS(2698),
    [anon_sym_volatile] = ACTIONS(2698),
    [anon_sym_restrict] = ACTIONS(2698),
    [anon_sym___restrict__] = ACTIONS(2698),
    [anon_sym__Atomic] = ACTIONS(2698),
    [anon_sym__Noreturn] = ACTIONS(2698),
    [anon_sym__Nonnull] = ACTIONS(2698),
    [anon_sym_nullable] = ACTIONS(2698),
    [anon_sym__Complex] = ACTIONS(2698),
    [anon_sym__Nullable] = ACTIONS(2698),
    [anon_sym__Nullable_result] = ACTIONS(2698),
    [anon_sym__Null_unspecified] = ACTIONS(2698),
    [anon_sym___autoreleasing] = ACTIONS(2698),
    [anon_sym___block] = ACTIONS(2698),
    [anon_sym___bridge] = ACTIONS(2698),
    [anon_sym___bridge_retained] = ACTIONS(2698),
    [anon_sym___bridge_transfer] = ACTIONS(2698),
    [anon_sym___complex] = ACTIONS(2698),
    [anon_sym___const] = ACTIONS(2698),
    [anon_sym___imag] = ACTIONS(2698),
    [anon_sym___kindof] = ACTIONS(2698),
    [anon_sym___nonnull] = ACTIONS(2698),
    [anon_sym___nullable] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2698),
    [anon_sym___real] = ACTIONS(2698),
    [anon_sym___strong] = ACTIONS(2698),
    [anon_sym___unsafe_unretained] = ACTIONS(2698),
    [anon_sym___unused] = ACTIONS(2698),
    [anon_sym___weak] = ACTIONS(2698),
    [anon_sym_alignas] = ACTIONS(2698),
    [anon_sym__Alignas] = ACTIONS(2698),
    [sym_primitive_type] = ACTIONS(2698),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_struct] = ACTIONS(2698),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_if] = ACTIONS(2698),
    [anon_sym_switch] = ACTIONS(2698),
    [anon_sym_case] = ACTIONS(2698),
    [anon_sym_default] = ACTIONS(2698),
    [anon_sym_while] = ACTIONS(2698),
    [anon_sym_do] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2698),
    [anon_sym_in] = ACTIONS(2698),
    [anon_sym_return] = ACTIONS(2698),
    [anon_sym_break] = ACTIONS(2698),
    [anon_sym_continue] = ACTIONS(2698),
    [anon_sym_goto] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2698),
    [anon_sym___alignof__] = ACTIONS(2698),
    [anon_sym___alignof] = ACTIONS(2698),
    [anon_sym__alignof] = ACTIONS(2698),
    [anon_sym_alignof] = ACTIONS(2698),
    [anon_sym__Alignof] = ACTIONS(2698),
    [anon_sym_offsetof] = ACTIONS(2698),
    [anon_sym__Generic] = ACTIONS(2698),
    [anon_sym_asm] = ACTIONS(2698),
    [anon_sym___asm__] = ACTIONS(2698),
    [anon_sym___asm] = ACTIONS(2698),
    [sym_number_literal] = ACTIONS(2700),
    [anon_sym_L_SQUOTE] = ACTIONS(2700),
    [anon_sym_u_SQUOTE] = ACTIONS(2700),
    [anon_sym_U_SQUOTE] = ACTIONS(2700),
    [anon_sym_u8_SQUOTE] = ACTIONS(2700),
    [anon_sym_SQUOTE] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_L_DQUOTE] = ACTIONS(2700),
    [anon_sym_u_DQUOTE] = ACTIONS(2700),
    [anon_sym_U_DQUOTE] = ACTIONS(2700),
    [anon_sym_u8_DQUOTE] = ACTIONS(2700),
    [sym_true] = ACTIONS(2698),
    [sym_false] = ACTIONS(2698),
    [anon_sym_NULL] = ACTIONS(2698),
    [anon_sym_nullptr] = ACTIONS(2698),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2698),
    [anon_sym___typeof] = ACTIONS(2698),
    [anon_sym_typeof] = ACTIONS(2698),
    [anon_sym_ATimport] = ACTIONS(2700),
    [aux_sym_preproc_undef_token1] = ACTIONS(2698),
    [anon_sym_POUND] = ACTIONS(2698),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2698),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2698),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2698),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_API_AVAILABLE] = ACTIONS(2698),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_API_DEPRECATED] = ACTIONS(2698),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym___deprecated_msg] = ACTIONS(2698),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2698),
    [anon_sym_ATprotocol] = ACTIONS(2700),
    [anon_sym_ATinterface] = ACTIONS(2700),
    [anon_sym_ATimplementation] = ACTIONS(2700),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2700),
    [anon_sym_ATselector] = ACTIONS(2700),
    [anon_sym_ATavailable] = ACTIONS(2700),
    [anon_sym___builtin_available] = ACTIONS(2698),
    [anon_sym_va_arg] = ACTIONS(2698),
    [anon_sym_ATencode] = ACTIONS(2700),
    [anon_sym_BOOL] = ACTIONS(2698),
    [anon_sym_IMP] = ACTIONS(2698),
    [anon_sym_SEL] = ACTIONS(2698),
    [anon_sym_Class] = ACTIONS(2698),
    [anon_sym_id] = ACTIONS(2698),
  },
  [1037] = {
    [ts_builtin_sym_end] = ACTIONS(2700),
    [sym_identifier] = ACTIONS(2698),
    [aux_sym_preproc_include_token1] = ACTIONS(2698),
    [aux_sym_preproc_include_token2] = ACTIONS(2698),
    [aux_sym_preproc_def_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2698),
    [sym_preproc_directive] = ACTIONS(2698),
    [anon_sym_LPAREN2] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2698),
    [anon_sym_PLUS] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_CARET] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2700),
    [anon_sym___extension__] = ACTIONS(2698),
    [anon_sym_typedef] = ACTIONS(2698),
    [anon_sym_extern] = ACTIONS(2698),
    [anon_sym___attribute__] = ACTIONS(2698),
    [anon_sym___attribute] = ACTIONS(2698),
    [anon_sym_noreturn] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym___declspec] = ACTIONS(2698),
    [anon_sym___cdecl] = ACTIONS(2698),
    [anon_sym___clrcall] = ACTIONS(2698),
    [anon_sym___stdcall] = ACTIONS(2698),
    [anon_sym___fastcall] = ACTIONS(2698),
    [anon_sym___thiscall] = ACTIONS(2698),
    [anon_sym___vectorcall] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_signed] = ACTIONS(2698),
    [anon_sym_unsigned] = ACTIONS(2698),
    [anon_sym_long] = ACTIONS(2698),
    [anon_sym_short] = ACTIONS(2698),
    [anon_sym_static] = ACTIONS(2698),
    [anon_sym_ATautoreleasepool] = ACTIONS(2700),
    [anon_sym_auto] = ACTIONS(2698),
    [anon_sym_register] = ACTIONS(2698),
    [anon_sym_inline] = ACTIONS(2698),
    [anon_sym___inline] = ACTIONS(2698),
    [anon_sym___inline__] = ACTIONS(2698),
    [anon_sym___forceinline] = ACTIONS(2698),
    [anon_sym_thread_local] = ACTIONS(2698),
    [anon_sym___thread] = ACTIONS(2698),
    [anon_sym_CG_EXTERN] = ACTIONS(2698),
    [anon_sym_CG_INLINE] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2698),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2698),
    [anon_sym_IBOutlet] = ACTIONS(2698),
    [anon_sym_IBInspectable] = ACTIONS(2698),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2698),
    [anon_sym_NS_INLINE] = ACTIONS(2698),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2698),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2698),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2698),
    [anon_sym_const] = ACTIONS(2698),
    [anon_sym_constexpr] = ACTIONS(2698),
    [anon_sym_volatile] = ACTIONS(2698),
    [anon_sym_restrict] = ACTIONS(2698),
    [anon_sym___restrict__] = ACTIONS(2698),
    [anon_sym__Atomic] = ACTIONS(2698),
    [anon_sym__Noreturn] = ACTIONS(2698),
    [anon_sym__Nonnull] = ACTIONS(2698),
    [anon_sym_nullable] = ACTIONS(2698),
    [anon_sym__Complex] = ACTIONS(2698),
    [anon_sym__Nullable] = ACTIONS(2698),
    [anon_sym__Nullable_result] = ACTIONS(2698),
    [anon_sym__Null_unspecified] = ACTIONS(2698),
    [anon_sym___autoreleasing] = ACTIONS(2698),
    [anon_sym___block] = ACTIONS(2698),
    [anon_sym___bridge] = ACTIONS(2698),
    [anon_sym___bridge_retained] = ACTIONS(2698),
    [anon_sym___bridge_transfer] = ACTIONS(2698),
    [anon_sym___complex] = ACTIONS(2698),
    [anon_sym___const] = ACTIONS(2698),
    [anon_sym___imag] = ACTIONS(2698),
    [anon_sym___kindof] = ACTIONS(2698),
    [anon_sym___nonnull] = ACTIONS(2698),
    [anon_sym___nullable] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2698),
    [anon_sym___real] = ACTIONS(2698),
    [anon_sym___strong] = ACTIONS(2698),
    [anon_sym___unsafe_unretained] = ACTIONS(2698),
    [anon_sym___unused] = ACTIONS(2698),
    [anon_sym___weak] = ACTIONS(2698),
    [anon_sym_alignas] = ACTIONS(2698),
    [anon_sym__Alignas] = ACTIONS(2698),
    [sym_primitive_type] = ACTIONS(2698),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_struct] = ACTIONS(2698),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_if] = ACTIONS(2698),
    [anon_sym_switch] = ACTIONS(2698),
    [anon_sym_case] = ACTIONS(2698),
    [anon_sym_default] = ACTIONS(2698),
    [anon_sym_while] = ACTIONS(2698),
    [anon_sym_do] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2698),
    [anon_sym_in] = ACTIONS(2698),
    [anon_sym_return] = ACTIONS(2698),
    [anon_sym_break] = ACTIONS(2698),
    [anon_sym_continue] = ACTIONS(2698),
    [anon_sym_goto] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2698),
    [anon_sym___alignof__] = ACTIONS(2698),
    [anon_sym___alignof] = ACTIONS(2698),
    [anon_sym__alignof] = ACTIONS(2698),
    [anon_sym_alignof] = ACTIONS(2698),
    [anon_sym__Alignof] = ACTIONS(2698),
    [anon_sym_offsetof] = ACTIONS(2698),
    [anon_sym__Generic] = ACTIONS(2698),
    [anon_sym_asm] = ACTIONS(2698),
    [anon_sym___asm__] = ACTIONS(2698),
    [anon_sym___asm] = ACTIONS(2698),
    [sym_number_literal] = ACTIONS(2700),
    [anon_sym_L_SQUOTE] = ACTIONS(2700),
    [anon_sym_u_SQUOTE] = ACTIONS(2700),
    [anon_sym_U_SQUOTE] = ACTIONS(2700),
    [anon_sym_u8_SQUOTE] = ACTIONS(2700),
    [anon_sym_SQUOTE] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_L_DQUOTE] = ACTIONS(2700),
    [anon_sym_u_DQUOTE] = ACTIONS(2700),
    [anon_sym_U_DQUOTE] = ACTIONS(2700),
    [anon_sym_u8_DQUOTE] = ACTIONS(2700),
    [sym_true] = ACTIONS(2698),
    [sym_false] = ACTIONS(2698),
    [anon_sym_NULL] = ACTIONS(2698),
    [anon_sym_nullptr] = ACTIONS(2698),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2698),
    [anon_sym___typeof] = ACTIONS(2698),
    [anon_sym_typeof] = ACTIONS(2698),
    [anon_sym_ATimport] = ACTIONS(2700),
    [aux_sym_preproc_undef_token1] = ACTIONS(2698),
    [anon_sym_POUND] = ACTIONS(2698),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2698),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2698),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2698),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_API_AVAILABLE] = ACTIONS(2698),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_API_DEPRECATED] = ACTIONS(2698),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym___deprecated_msg] = ACTIONS(2698),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2698),
    [anon_sym_ATprotocol] = ACTIONS(2700),
    [anon_sym_ATinterface] = ACTIONS(2700),
    [anon_sym_ATimplementation] = ACTIONS(2700),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2700),
    [anon_sym_ATselector] = ACTIONS(2700),
    [anon_sym_ATavailable] = ACTIONS(2700),
    [anon_sym___builtin_available] = ACTIONS(2698),
    [anon_sym_va_arg] = ACTIONS(2698),
    [anon_sym_ATencode] = ACTIONS(2700),
    [anon_sym_BOOL] = ACTIONS(2698),
    [anon_sym_IMP] = ACTIONS(2698),
    [anon_sym_SEL] = ACTIONS(2698),
    [anon_sym_Class] = ACTIONS(2698),
    [anon_sym_id] = ACTIONS(2698),
  },
  [1038] = {
    [ts_builtin_sym_end] = ACTIONS(2700),
    [sym_identifier] = ACTIONS(2698),
    [aux_sym_preproc_include_token1] = ACTIONS(2698),
    [aux_sym_preproc_include_token2] = ACTIONS(2698),
    [aux_sym_preproc_def_token1] = ACTIONS(2698),
    [aux_sym_preproc_if_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2698),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2698),
    [sym_preproc_directive] = ACTIONS(2698),
    [anon_sym_LPAREN2] = ACTIONS(2700),
    [anon_sym_BANG] = ACTIONS(2700),
    [anon_sym_TILDE] = ACTIONS(2700),
    [anon_sym_DASH] = ACTIONS(2698),
    [anon_sym_PLUS] = ACTIONS(2698),
    [anon_sym_STAR] = ACTIONS(2700),
    [anon_sym_CARET] = ACTIONS(2700),
    [anon_sym_AMP] = ACTIONS(2700),
    [anon_sym_SEMI] = ACTIONS(2700),
    [anon_sym___extension__] = ACTIONS(2698),
    [anon_sym_typedef] = ACTIONS(2698),
    [anon_sym_extern] = ACTIONS(2698),
    [anon_sym___attribute__] = ACTIONS(2698),
    [anon_sym___attribute] = ACTIONS(2698),
    [anon_sym_noreturn] = ACTIONS(2698),
    [anon_sym_LBRACK] = ACTIONS(2700),
    [anon_sym___declspec] = ACTIONS(2698),
    [anon_sym___cdecl] = ACTIONS(2698),
    [anon_sym___clrcall] = ACTIONS(2698),
    [anon_sym___stdcall] = ACTIONS(2698),
    [anon_sym___fastcall] = ACTIONS(2698),
    [anon_sym___thiscall] = ACTIONS(2698),
    [anon_sym___vectorcall] = ACTIONS(2698),
    [anon_sym_LBRACE] = ACTIONS(2700),
    [anon_sym_signed] = ACTIONS(2698),
    [anon_sym_unsigned] = ACTIONS(2698),
    [anon_sym_long] = ACTIONS(2698),
    [anon_sym_short] = ACTIONS(2698),
    [anon_sym_static] = ACTIONS(2698),
    [anon_sym_ATautoreleasepool] = ACTIONS(2700),
    [anon_sym_auto] = ACTIONS(2698),
    [anon_sym_register] = ACTIONS(2698),
    [anon_sym_inline] = ACTIONS(2698),
    [anon_sym___inline] = ACTIONS(2698),
    [anon_sym___inline__] = ACTIONS(2698),
    [anon_sym___forceinline] = ACTIONS(2698),
    [anon_sym_thread_local] = ACTIONS(2698),
    [anon_sym___thread] = ACTIONS(2698),
    [anon_sym_CG_EXTERN] = ACTIONS(2698),
    [anon_sym_CG_INLINE] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2698),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2698),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2698),
    [anon_sym_IBOutlet] = ACTIONS(2698),
    [anon_sym_IBInspectable] = ACTIONS(2698),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2698),
    [anon_sym_NS_INLINE] = ACTIONS(2698),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2698),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2698),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2698),
    [anon_sym_const] = ACTIONS(2698),
    [anon_sym_constexpr] = ACTIONS(2698),
    [anon_sym_volatile] = ACTIONS(2698),
    [anon_sym_restrict] = ACTIONS(2698),
    [anon_sym___restrict__] = ACTIONS(2698),
    [anon_sym__Atomic] = ACTIONS(2698),
    [anon_sym__Noreturn] = ACTIONS(2698),
    [anon_sym__Nonnull] = ACTIONS(2698),
    [anon_sym_nullable] = ACTIONS(2698),
    [anon_sym__Complex] = ACTIONS(2698),
    [anon_sym__Nullable] = ACTIONS(2698),
    [anon_sym__Nullable_result] = ACTIONS(2698),
    [anon_sym__Null_unspecified] = ACTIONS(2698),
    [anon_sym___autoreleasing] = ACTIONS(2698),
    [anon_sym___block] = ACTIONS(2698),
    [anon_sym___bridge] = ACTIONS(2698),
    [anon_sym___bridge_retained] = ACTIONS(2698),
    [anon_sym___bridge_transfer] = ACTIONS(2698),
    [anon_sym___complex] = ACTIONS(2698),
    [anon_sym___const] = ACTIONS(2698),
    [anon_sym___imag] = ACTIONS(2698),
    [anon_sym___kindof] = ACTIONS(2698),
    [anon_sym___nonnull] = ACTIONS(2698),
    [anon_sym___nullable] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2698),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2698),
    [anon_sym___real] = ACTIONS(2698),
    [anon_sym___strong] = ACTIONS(2698),
    [anon_sym___unsafe_unretained] = ACTIONS(2698),
    [anon_sym___unused] = ACTIONS(2698),
    [anon_sym___weak] = ACTIONS(2698),
    [anon_sym_alignas] = ACTIONS(2698),
    [anon_sym__Alignas] = ACTIONS(2698),
    [sym_primitive_type] = ACTIONS(2698),
    [anon_sym_enum] = ACTIONS(2698),
    [anon_sym_struct] = ACTIONS(2698),
    [anon_sym_union] = ACTIONS(2698),
    [anon_sym_if] = ACTIONS(2698),
    [anon_sym_switch] = ACTIONS(2698),
    [anon_sym_case] = ACTIONS(2698),
    [anon_sym_default] = ACTIONS(2698),
    [anon_sym_while] = ACTIONS(2698),
    [anon_sym_do] = ACTIONS(2698),
    [anon_sym_for] = ACTIONS(2698),
    [anon_sym_in] = ACTIONS(2698),
    [anon_sym_return] = ACTIONS(2698),
    [anon_sym_break] = ACTIONS(2698),
    [anon_sym_continue] = ACTIONS(2698),
    [anon_sym_goto] = ACTIONS(2698),
    [anon_sym_DASH_DASH] = ACTIONS(2700),
    [anon_sym_PLUS_PLUS] = ACTIONS(2700),
    [anon_sym_sizeof] = ACTIONS(2698),
    [anon_sym___alignof__] = ACTIONS(2698),
    [anon_sym___alignof] = ACTIONS(2698),
    [anon_sym__alignof] = ACTIONS(2698),
    [anon_sym_alignof] = ACTIONS(2698),
    [anon_sym__Alignof] = ACTIONS(2698),
    [anon_sym_offsetof] = ACTIONS(2698),
    [anon_sym__Generic] = ACTIONS(2698),
    [anon_sym_asm] = ACTIONS(2698),
    [anon_sym___asm__] = ACTIONS(2698),
    [anon_sym___asm] = ACTIONS(2698),
    [sym_number_literal] = ACTIONS(2700),
    [anon_sym_L_SQUOTE] = ACTIONS(2700),
    [anon_sym_u_SQUOTE] = ACTIONS(2700),
    [anon_sym_U_SQUOTE] = ACTIONS(2700),
    [anon_sym_u8_SQUOTE] = ACTIONS(2700),
    [anon_sym_SQUOTE] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(2698),
    [anon_sym_DQUOTE] = ACTIONS(2700),
    [anon_sym_L_DQUOTE] = ACTIONS(2700),
    [anon_sym_u_DQUOTE] = ACTIONS(2700),
    [anon_sym_U_DQUOTE] = ACTIONS(2700),
    [anon_sym_u8_DQUOTE] = ACTIONS(2700),
    [sym_true] = ACTIONS(2698),
    [sym_false] = ACTIONS(2698),
    [anon_sym_NULL] = ACTIONS(2698),
    [anon_sym_nullptr] = ACTIONS(2698),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2698),
    [anon_sym___typeof] = ACTIONS(2698),
    [anon_sym_typeof] = ACTIONS(2698),
    [anon_sym_ATimport] = ACTIONS(2700),
    [aux_sym_preproc_undef_token1] = ACTIONS(2698),
    [anon_sym_POUND] = ACTIONS(2698),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2698),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2698),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2698),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2698),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2698),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_API_AVAILABLE] = ACTIONS(2698),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_API_DEPRECATED] = ACTIONS(2698),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2698),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2698),
    [anon_sym___deprecated_msg] = ACTIONS(2698),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2698),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2698),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2698),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2698),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2698),
    [anon_sym_ATprotocol] = ACTIONS(2700),
    [anon_sym_ATinterface] = ACTIONS(2700),
    [anon_sym_ATimplementation] = ACTIONS(2700),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2700),
    [anon_sym_ATselector] = ACTIONS(2700),
    [anon_sym_ATavailable] = ACTIONS(2700),
    [anon_sym___builtin_available] = ACTIONS(2698),
    [anon_sym_va_arg] = ACTIONS(2698),
    [anon_sym_ATencode] = ACTIONS(2700),
    [anon_sym_BOOL] = ACTIONS(2698),
    [anon_sym_IMP] = ACTIONS(2698),
    [anon_sym_SEL] = ACTIONS(2698),
    [anon_sym_Class] = ACTIONS(2698),
    [anon_sym_id] = ACTIONS(2698),
  },
  [1039] = {
    [ts_builtin_sym_end] = ACTIONS(2704),
    [sym_identifier] = ACTIONS(2702),
    [aux_sym_preproc_include_token1] = ACTIONS(2702),
    [aux_sym_preproc_include_token2] = ACTIONS(2702),
    [aux_sym_preproc_def_token1] = ACTIONS(2702),
    [aux_sym_preproc_if_token1] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2702),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2702),
    [sym_preproc_directive] = ACTIONS(2702),
    [anon_sym_LPAREN2] = ACTIONS(2704),
    [anon_sym_BANG] = ACTIONS(2704),
    [anon_sym_TILDE] = ACTIONS(2704),
    [anon_sym_DASH] = ACTIONS(2702),
    [anon_sym_PLUS] = ACTIONS(2702),
    [anon_sym_STAR] = ACTIONS(2704),
    [anon_sym_CARET] = ACTIONS(2704),
    [anon_sym_AMP] = ACTIONS(2704),
    [anon_sym_SEMI] = ACTIONS(2704),
    [anon_sym___extension__] = ACTIONS(2702),
    [anon_sym_typedef] = ACTIONS(2702),
    [anon_sym_extern] = ACTIONS(2702),
    [anon_sym___attribute__] = ACTIONS(2702),
    [anon_sym___attribute] = ACTIONS(2702),
    [anon_sym_noreturn] = ACTIONS(2702),
    [anon_sym_LBRACK] = ACTIONS(2704),
    [anon_sym___declspec] = ACTIONS(2702),
    [anon_sym___cdecl] = ACTIONS(2702),
    [anon_sym___clrcall] = ACTIONS(2702),
    [anon_sym___stdcall] = ACTIONS(2702),
    [anon_sym___fastcall] = ACTIONS(2702),
    [anon_sym___thiscall] = ACTIONS(2702),
    [anon_sym___vectorcall] = ACTIONS(2702),
    [anon_sym_LBRACE] = ACTIONS(2704),
    [anon_sym_signed] = ACTIONS(2702),
    [anon_sym_unsigned] = ACTIONS(2702),
    [anon_sym_long] = ACTIONS(2702),
    [anon_sym_short] = ACTIONS(2702),
    [anon_sym_static] = ACTIONS(2702),
    [anon_sym_ATautoreleasepool] = ACTIONS(2704),
    [anon_sym_auto] = ACTIONS(2702),
    [anon_sym_register] = ACTIONS(2702),
    [anon_sym_inline] = ACTIONS(2702),
    [anon_sym___inline] = ACTIONS(2702),
    [anon_sym___inline__] = ACTIONS(2702),
    [anon_sym___forceinline] = ACTIONS(2702),
    [anon_sym_thread_local] = ACTIONS(2702),
    [anon_sym___thread] = ACTIONS(2702),
    [anon_sym_CG_EXTERN] = ACTIONS(2702),
    [anon_sym_CG_INLINE] = ACTIONS(2702),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2702),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2702),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2702),
    [anon_sym_IBOutlet] = ACTIONS(2702),
    [anon_sym_IBInspectable] = ACTIONS(2702),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2702),
    [anon_sym_NS_INLINE] = ACTIONS(2702),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2702),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2702),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2702),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2702),
    [anon_sym_const] = ACTIONS(2702),
    [anon_sym_constexpr] = ACTIONS(2702),
    [anon_sym_volatile] = ACTIONS(2702),
    [anon_sym_restrict] = ACTIONS(2702),
    [anon_sym___restrict__] = ACTIONS(2702),
    [anon_sym__Atomic] = ACTIONS(2702),
    [anon_sym__Noreturn] = ACTIONS(2702),
    [anon_sym__Nonnull] = ACTIONS(2702),
    [anon_sym_nullable] = ACTIONS(2702),
    [anon_sym__Complex] = ACTIONS(2702),
    [anon_sym__Nullable] = ACTIONS(2702),
    [anon_sym__Nullable_result] = ACTIONS(2702),
    [anon_sym__Null_unspecified] = ACTIONS(2702),
    [anon_sym___autoreleasing] = ACTIONS(2702),
    [anon_sym___block] = ACTIONS(2702),
    [anon_sym___bridge] = ACTIONS(2702),
    [anon_sym___bridge_retained] = ACTIONS(2702),
    [anon_sym___bridge_transfer] = ACTIONS(2702),
    [anon_sym___complex] = ACTIONS(2702),
    [anon_sym___const] = ACTIONS(2702),
    [anon_sym___imag] = ACTIONS(2702),
    [anon_sym___kindof] = ACTIONS(2702),
    [anon_sym___nonnull] = ACTIONS(2702),
    [anon_sym___nullable] = ACTIONS(2702),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2702),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2702),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2702),
    [anon_sym___real] = ACTIONS(2702),
    [anon_sym___strong] = ACTIONS(2702),
    [anon_sym___unsafe_unretained] = ACTIONS(2702),
    [anon_sym___unused] = ACTIONS(2702),
    [anon_sym___weak] = ACTIONS(2702),
    [anon_sym_alignas] = ACTIONS(2702),
    [anon_sym__Alignas] = ACTIONS(2702),
    [sym_primitive_type] = ACTIONS(2702),
    [anon_sym_enum] = ACTIONS(2702),
    [anon_sym_struct] = ACTIONS(2702),
    [anon_sym_union] = ACTIONS(2702),
    [anon_sym_if] = ACTIONS(2702),
    [anon_sym_switch] = ACTIONS(2702),
    [anon_sym_case] = ACTIONS(2702),
    [anon_sym_default] = ACTIONS(2702),
    [anon_sym_while] = ACTIONS(2702),
    [anon_sym_do] = ACTIONS(2702),
    [anon_sym_for] = ACTIONS(2702),
    [anon_sym_in] = ACTIONS(2702),
    [anon_sym_return] = ACTIONS(2702),
    [anon_sym_break] = ACTIONS(2702),
    [anon_sym_continue] = ACTIONS(2702),
    [anon_sym_goto] = ACTIONS(2702),
    [anon_sym_DASH_DASH] = ACTIONS(2704),
    [anon_sym_PLUS_PLUS] = ACTIONS(2704),
    [anon_sym_sizeof] = ACTIONS(2702),
    [anon_sym___alignof__] = ACTIONS(2702),
    [anon_sym___alignof] = ACTIONS(2702),
    [anon_sym__alignof] = ACTIONS(2702),
    [anon_sym_alignof] = ACTIONS(2702),
    [anon_sym__Alignof] = ACTIONS(2702),
    [anon_sym_offsetof] = ACTIONS(2702),
    [anon_sym__Generic] = ACTIONS(2702),
    [anon_sym_asm] = ACTIONS(2702),
    [anon_sym___asm__] = ACTIONS(2702),
    [anon_sym___asm] = ACTIONS(2702),
    [sym_number_literal] = ACTIONS(2704),
    [anon_sym_L_SQUOTE] = ACTIONS(2704),
    [anon_sym_u_SQUOTE] = ACTIONS(2704),
    [anon_sym_U_SQUOTE] = ACTIONS(2704),
    [anon_sym_u8_SQUOTE] = ACTIONS(2704),
    [anon_sym_SQUOTE] = ACTIONS(2704),
    [anon_sym_AT] = ACTIONS(2702),
    [anon_sym_DQUOTE] = ACTIONS(2704),
    [anon_sym_L_DQUOTE] = ACTIONS(2704),
    [anon_sym_u_DQUOTE] = ACTIONS(2704),
    [anon_sym_U_DQUOTE] = ACTIONS(2704),
    [anon_sym_u8_DQUOTE] = ACTIONS(2704),
    [sym_true] = ACTIONS(2702),
    [sym_false] = ACTIONS(2702),
    [anon_sym_NULL] = ACTIONS(2702),
    [anon_sym_nullptr] = ACTIONS(2702),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2702),
    [anon_sym___typeof] = ACTIONS(2702),
    [anon_sym_typeof] = ACTIONS(2702),
    [anon_sym_ATimport] = ACTIONS(2704),
    [aux_sym_preproc_undef_token1] = ACTIONS(2702),
    [anon_sym_POUND] = ACTIONS(2702),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2702),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2702),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2702),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2702),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2702),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2702),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2702),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2702),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2702),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2702),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2702),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2702),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2702),
    [anon_sym_API_AVAILABLE] = ACTIONS(2702),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2702),
    [anon_sym_API_DEPRECATED] = ACTIONS(2702),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2702),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2702),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2702),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2702),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2702),
    [anon_sym___deprecated_msg] = ACTIONS(2702),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2702),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2702),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2702),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2702),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2702),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2702),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2702),
    [anon_sym_ATprotocol] = ACTIONS(2704),
    [anon_sym_ATinterface] = ACTIONS(2704),
    [anon_sym_ATimplementation] = ACTIONS(2704),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2704),
    [anon_sym_ATselector] = ACTIONS(2704),
    [anon_sym_ATavailable] = ACTIONS(2704),
    [anon_sym___builtin_available] = ACTIONS(2702),
    [anon_sym_va_arg] = ACTIONS(2702),
    [anon_sym_ATencode] = ACTIONS(2704),
    [anon_sym_BOOL] = ACTIONS(2702),
    [anon_sym_IMP] = ACTIONS(2702),
    [anon_sym_SEL] = ACTIONS(2702),
    [anon_sym_Class] = ACTIONS(2702),
    [anon_sym_id] = ACTIONS(2702),
  },
  [1040] = {
    [ts_builtin_sym_end] = ACTIONS(2708),
    [sym_identifier] = ACTIONS(2706),
    [aux_sym_preproc_include_token1] = ACTIONS(2706),
    [aux_sym_preproc_include_token2] = ACTIONS(2706),
    [aux_sym_preproc_def_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2706),
    [sym_preproc_directive] = ACTIONS(2706),
    [anon_sym_LPAREN2] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2708),
    [anon_sym_CARET] = ACTIONS(2708),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_SEMI] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2706),
    [anon_sym_typedef] = ACTIONS(2706),
    [anon_sym_extern] = ACTIONS(2706),
    [anon_sym___attribute__] = ACTIONS(2706),
    [anon_sym___attribute] = ACTIONS(2706),
    [anon_sym_noreturn] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym___declspec] = ACTIONS(2706),
    [anon_sym___cdecl] = ACTIONS(2706),
    [anon_sym___clrcall] = ACTIONS(2706),
    [anon_sym___stdcall] = ACTIONS(2706),
    [anon_sym___fastcall] = ACTIONS(2706),
    [anon_sym___thiscall] = ACTIONS(2706),
    [anon_sym___vectorcall] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_signed] = ACTIONS(2706),
    [anon_sym_unsigned] = ACTIONS(2706),
    [anon_sym_long] = ACTIONS(2706),
    [anon_sym_short] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_ATautoreleasepool] = ACTIONS(2708),
    [anon_sym_auto] = ACTIONS(2706),
    [anon_sym_register] = ACTIONS(2706),
    [anon_sym_inline] = ACTIONS(2706),
    [anon_sym___inline] = ACTIONS(2706),
    [anon_sym___inline__] = ACTIONS(2706),
    [anon_sym___forceinline] = ACTIONS(2706),
    [anon_sym_thread_local] = ACTIONS(2706),
    [anon_sym___thread] = ACTIONS(2706),
    [anon_sym_CG_EXTERN] = ACTIONS(2706),
    [anon_sym_CG_INLINE] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2706),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2706),
    [anon_sym_IBOutlet] = ACTIONS(2706),
    [anon_sym_IBInspectable] = ACTIONS(2706),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2706),
    [anon_sym_NS_INLINE] = ACTIONS(2706),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2706),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2706),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_constexpr] = ACTIONS(2706),
    [anon_sym_volatile] = ACTIONS(2706),
    [anon_sym_restrict] = ACTIONS(2706),
    [anon_sym___restrict__] = ACTIONS(2706),
    [anon_sym__Atomic] = ACTIONS(2706),
    [anon_sym__Noreturn] = ACTIONS(2706),
    [anon_sym__Nonnull] = ACTIONS(2706),
    [anon_sym_nullable] = ACTIONS(2706),
    [anon_sym__Complex] = ACTIONS(2706),
    [anon_sym__Nullable] = ACTIONS(2706),
    [anon_sym__Nullable_result] = ACTIONS(2706),
    [anon_sym__Null_unspecified] = ACTIONS(2706),
    [anon_sym___autoreleasing] = ACTIONS(2706),
    [anon_sym___block] = ACTIONS(2706),
    [anon_sym___bridge] = ACTIONS(2706),
    [anon_sym___bridge_retained] = ACTIONS(2706),
    [anon_sym___bridge_transfer] = ACTIONS(2706),
    [anon_sym___complex] = ACTIONS(2706),
    [anon_sym___const] = ACTIONS(2706),
    [anon_sym___imag] = ACTIONS(2706),
    [anon_sym___kindof] = ACTIONS(2706),
    [anon_sym___nonnull] = ACTIONS(2706),
    [anon_sym___nullable] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2706),
    [anon_sym___real] = ACTIONS(2706),
    [anon_sym___strong] = ACTIONS(2706),
    [anon_sym___unsafe_unretained] = ACTIONS(2706),
    [anon_sym___unused] = ACTIONS(2706),
    [anon_sym___weak] = ACTIONS(2706),
    [anon_sym_alignas] = ACTIONS(2706),
    [anon_sym__Alignas] = ACTIONS(2706),
    [sym_primitive_type] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [anon_sym_struct] = ACTIONS(2706),
    [anon_sym_union] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2706),
    [anon_sym_default] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_in] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_goto] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_sizeof] = ACTIONS(2706),
    [anon_sym___alignof__] = ACTIONS(2706),
    [anon_sym___alignof] = ACTIONS(2706),
    [anon_sym__alignof] = ACTIONS(2706),
    [anon_sym_alignof] = ACTIONS(2706),
    [anon_sym__Alignof] = ACTIONS(2706),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2706),
    [anon_sym_asm] = ACTIONS(2706),
    [anon_sym___asm__] = ACTIONS(2706),
    [anon_sym___asm] = ACTIONS(2706),
    [sym_number_literal] = ACTIONS(2708),
    [anon_sym_L_SQUOTE] = ACTIONS(2708),
    [anon_sym_u_SQUOTE] = ACTIONS(2708),
    [anon_sym_U_SQUOTE] = ACTIONS(2708),
    [anon_sym_u8_SQUOTE] = ACTIONS(2708),
    [anon_sym_SQUOTE] = ACTIONS(2708),
    [anon_sym_AT] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [anon_sym_L_DQUOTE] = ACTIONS(2708),
    [anon_sym_u_DQUOTE] = ACTIONS(2708),
    [anon_sym_U_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8_DQUOTE] = ACTIONS(2708),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [anon_sym_NULL] = ACTIONS(2706),
    [anon_sym_nullptr] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2706),
    [anon_sym___typeof] = ACTIONS(2706),
    [anon_sym_typeof] = ACTIONS(2706),
    [anon_sym_ATimport] = ACTIONS(2708),
    [aux_sym_preproc_undef_token1] = ACTIONS(2706),
    [anon_sym_POUND] = ACTIONS(2706),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2706),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2706),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2706),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_API_AVAILABLE] = ACTIONS(2706),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_API_DEPRECATED] = ACTIONS(2706),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym___deprecated_msg] = ACTIONS(2706),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2706),
    [anon_sym_ATprotocol] = ACTIONS(2708),
    [anon_sym_ATinterface] = ACTIONS(2708),
    [anon_sym_ATimplementation] = ACTIONS(2708),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2708),
    [anon_sym_ATselector] = ACTIONS(2708),
    [anon_sym_ATavailable] = ACTIONS(2708),
    [anon_sym___builtin_available] = ACTIONS(2706),
    [anon_sym_va_arg] = ACTIONS(2706),
    [anon_sym_ATencode] = ACTIONS(2708),
    [anon_sym_BOOL] = ACTIONS(2706),
    [anon_sym_IMP] = ACTIONS(2706),
    [anon_sym_SEL] = ACTIONS(2706),
    [anon_sym_Class] = ACTIONS(2706),
    [anon_sym_id] = ACTIONS(2706),
  },
  [1041] = {
    [ts_builtin_sym_end] = ACTIONS(2708),
    [sym_identifier] = ACTIONS(2706),
    [aux_sym_preproc_include_token1] = ACTIONS(2706),
    [aux_sym_preproc_include_token2] = ACTIONS(2706),
    [aux_sym_preproc_def_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2706),
    [sym_preproc_directive] = ACTIONS(2706),
    [anon_sym_LPAREN2] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2708),
    [anon_sym_CARET] = ACTIONS(2708),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_SEMI] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2706),
    [anon_sym_typedef] = ACTIONS(2706),
    [anon_sym_extern] = ACTIONS(2706),
    [anon_sym___attribute__] = ACTIONS(2706),
    [anon_sym___attribute] = ACTIONS(2706),
    [anon_sym_noreturn] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym___declspec] = ACTIONS(2706),
    [anon_sym___cdecl] = ACTIONS(2706),
    [anon_sym___clrcall] = ACTIONS(2706),
    [anon_sym___stdcall] = ACTIONS(2706),
    [anon_sym___fastcall] = ACTIONS(2706),
    [anon_sym___thiscall] = ACTIONS(2706),
    [anon_sym___vectorcall] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_signed] = ACTIONS(2706),
    [anon_sym_unsigned] = ACTIONS(2706),
    [anon_sym_long] = ACTIONS(2706),
    [anon_sym_short] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_ATautoreleasepool] = ACTIONS(2708),
    [anon_sym_auto] = ACTIONS(2706),
    [anon_sym_register] = ACTIONS(2706),
    [anon_sym_inline] = ACTIONS(2706),
    [anon_sym___inline] = ACTIONS(2706),
    [anon_sym___inline__] = ACTIONS(2706),
    [anon_sym___forceinline] = ACTIONS(2706),
    [anon_sym_thread_local] = ACTIONS(2706),
    [anon_sym___thread] = ACTIONS(2706),
    [anon_sym_CG_EXTERN] = ACTIONS(2706),
    [anon_sym_CG_INLINE] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2706),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2706),
    [anon_sym_IBOutlet] = ACTIONS(2706),
    [anon_sym_IBInspectable] = ACTIONS(2706),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2706),
    [anon_sym_NS_INLINE] = ACTIONS(2706),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2706),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2706),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_constexpr] = ACTIONS(2706),
    [anon_sym_volatile] = ACTIONS(2706),
    [anon_sym_restrict] = ACTIONS(2706),
    [anon_sym___restrict__] = ACTIONS(2706),
    [anon_sym__Atomic] = ACTIONS(2706),
    [anon_sym__Noreturn] = ACTIONS(2706),
    [anon_sym__Nonnull] = ACTIONS(2706),
    [anon_sym_nullable] = ACTIONS(2706),
    [anon_sym__Complex] = ACTIONS(2706),
    [anon_sym__Nullable] = ACTIONS(2706),
    [anon_sym__Nullable_result] = ACTIONS(2706),
    [anon_sym__Null_unspecified] = ACTIONS(2706),
    [anon_sym___autoreleasing] = ACTIONS(2706),
    [anon_sym___block] = ACTIONS(2706),
    [anon_sym___bridge] = ACTIONS(2706),
    [anon_sym___bridge_retained] = ACTIONS(2706),
    [anon_sym___bridge_transfer] = ACTIONS(2706),
    [anon_sym___complex] = ACTIONS(2706),
    [anon_sym___const] = ACTIONS(2706),
    [anon_sym___imag] = ACTIONS(2706),
    [anon_sym___kindof] = ACTIONS(2706),
    [anon_sym___nonnull] = ACTIONS(2706),
    [anon_sym___nullable] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2706),
    [anon_sym___real] = ACTIONS(2706),
    [anon_sym___strong] = ACTIONS(2706),
    [anon_sym___unsafe_unretained] = ACTIONS(2706),
    [anon_sym___unused] = ACTIONS(2706),
    [anon_sym___weak] = ACTIONS(2706),
    [anon_sym_alignas] = ACTIONS(2706),
    [anon_sym__Alignas] = ACTIONS(2706),
    [sym_primitive_type] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [anon_sym_struct] = ACTIONS(2706),
    [anon_sym_union] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2706),
    [anon_sym_default] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_in] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_goto] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_sizeof] = ACTIONS(2706),
    [anon_sym___alignof__] = ACTIONS(2706),
    [anon_sym___alignof] = ACTIONS(2706),
    [anon_sym__alignof] = ACTIONS(2706),
    [anon_sym_alignof] = ACTIONS(2706),
    [anon_sym__Alignof] = ACTIONS(2706),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2706),
    [anon_sym_asm] = ACTIONS(2706),
    [anon_sym___asm__] = ACTIONS(2706),
    [anon_sym___asm] = ACTIONS(2706),
    [sym_number_literal] = ACTIONS(2708),
    [anon_sym_L_SQUOTE] = ACTIONS(2708),
    [anon_sym_u_SQUOTE] = ACTIONS(2708),
    [anon_sym_U_SQUOTE] = ACTIONS(2708),
    [anon_sym_u8_SQUOTE] = ACTIONS(2708),
    [anon_sym_SQUOTE] = ACTIONS(2708),
    [anon_sym_AT] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [anon_sym_L_DQUOTE] = ACTIONS(2708),
    [anon_sym_u_DQUOTE] = ACTIONS(2708),
    [anon_sym_U_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8_DQUOTE] = ACTIONS(2708),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [anon_sym_NULL] = ACTIONS(2706),
    [anon_sym_nullptr] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2706),
    [anon_sym___typeof] = ACTIONS(2706),
    [anon_sym_typeof] = ACTIONS(2706),
    [anon_sym_ATimport] = ACTIONS(2708),
    [aux_sym_preproc_undef_token1] = ACTIONS(2706),
    [anon_sym_POUND] = ACTIONS(2706),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2706),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2706),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2706),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_API_AVAILABLE] = ACTIONS(2706),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_API_DEPRECATED] = ACTIONS(2706),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym___deprecated_msg] = ACTIONS(2706),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2706),
    [anon_sym_ATprotocol] = ACTIONS(2708),
    [anon_sym_ATinterface] = ACTIONS(2708),
    [anon_sym_ATimplementation] = ACTIONS(2708),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2708),
    [anon_sym_ATselector] = ACTIONS(2708),
    [anon_sym_ATavailable] = ACTIONS(2708),
    [anon_sym___builtin_available] = ACTIONS(2706),
    [anon_sym_va_arg] = ACTIONS(2706),
    [anon_sym_ATencode] = ACTIONS(2708),
    [anon_sym_BOOL] = ACTIONS(2706),
    [anon_sym_IMP] = ACTIONS(2706),
    [anon_sym_SEL] = ACTIONS(2706),
    [anon_sym_Class] = ACTIONS(2706),
    [anon_sym_id] = ACTIONS(2706),
  },
  [1042] = {
    [ts_builtin_sym_end] = ACTIONS(2660),
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_include_token1] = ACTIONS(2658),
    [aux_sym_preproc_include_token2] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2658),
    [sym_preproc_directive] = ACTIONS(2658),
    [anon_sym_LPAREN2] = ACTIONS(2660),
    [anon_sym_BANG] = ACTIONS(2660),
    [anon_sym_TILDE] = ACTIONS(2660),
    [anon_sym_DASH] = ACTIONS(2658),
    [anon_sym_PLUS] = ACTIONS(2658),
    [anon_sym_STAR] = ACTIONS(2660),
    [anon_sym_CARET] = ACTIONS(2660),
    [anon_sym_AMP] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2658),
    [anon_sym_typedef] = ACTIONS(2658),
    [anon_sym_extern] = ACTIONS(2658),
    [anon_sym___attribute__] = ACTIONS(2658),
    [anon_sym___attribute] = ACTIONS(2658),
    [anon_sym_noreturn] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym___declspec] = ACTIONS(2658),
    [anon_sym___cdecl] = ACTIONS(2658),
    [anon_sym___clrcall] = ACTIONS(2658),
    [anon_sym___stdcall] = ACTIONS(2658),
    [anon_sym___fastcall] = ACTIONS(2658),
    [anon_sym___thiscall] = ACTIONS(2658),
    [anon_sym___vectorcall] = ACTIONS(2658),
    [anon_sym_LBRACE] = ACTIONS(2660),
    [anon_sym_signed] = ACTIONS(2658),
    [anon_sym_unsigned] = ACTIONS(2658),
    [anon_sym_long] = ACTIONS(2658),
    [anon_sym_short] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2658),
    [anon_sym_ATautoreleasepool] = ACTIONS(2660),
    [anon_sym_auto] = ACTIONS(2658),
    [anon_sym_register] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym___inline] = ACTIONS(2658),
    [anon_sym___inline__] = ACTIONS(2658),
    [anon_sym___forceinline] = ACTIONS(2658),
    [anon_sym_thread_local] = ACTIONS(2658),
    [anon_sym___thread] = ACTIONS(2658),
    [anon_sym_CG_EXTERN] = ACTIONS(2658),
    [anon_sym_CG_INLINE] = ACTIONS(2658),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2658),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2658),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2658),
    [anon_sym_IBOutlet] = ACTIONS(2658),
    [anon_sym_IBInspectable] = ACTIONS(2658),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2658),
    [anon_sym_NS_INLINE] = ACTIONS(2658),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2658),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2658),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2658),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_constexpr] = ACTIONS(2658),
    [anon_sym_volatile] = ACTIONS(2658),
    [anon_sym_restrict] = ACTIONS(2658),
    [anon_sym___restrict__] = ACTIONS(2658),
    [anon_sym__Atomic] = ACTIONS(2658),
    [anon_sym__Noreturn] = ACTIONS(2658),
    [anon_sym__Nonnull] = ACTIONS(2658),
    [anon_sym_nullable] = ACTIONS(2658),
    [anon_sym__Complex] = ACTIONS(2658),
    [anon_sym__Nullable] = ACTIONS(2658),
    [anon_sym__Nullable_result] = ACTIONS(2658),
    [anon_sym__Null_unspecified] = ACTIONS(2658),
    [anon_sym___autoreleasing] = ACTIONS(2658),
    [anon_sym___block] = ACTIONS(2658),
    [anon_sym___bridge] = ACTIONS(2658),
    [anon_sym___bridge_retained] = ACTIONS(2658),
    [anon_sym___bridge_transfer] = ACTIONS(2658),
    [anon_sym___complex] = ACTIONS(2658),
    [anon_sym___const] = ACTIONS(2658),
    [anon_sym___imag] = ACTIONS(2658),
    [anon_sym___kindof] = ACTIONS(2658),
    [anon_sym___nonnull] = ACTIONS(2658),
    [anon_sym___nullable] = ACTIONS(2658),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2658),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2658),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2658),
    [anon_sym___real] = ACTIONS(2658),
    [anon_sym___strong] = ACTIONS(2658),
    [anon_sym___unsafe_unretained] = ACTIONS(2658),
    [anon_sym___unused] = ACTIONS(2658),
    [anon_sym___weak] = ACTIONS(2658),
    [anon_sym_alignas] = ACTIONS(2658),
    [anon_sym__Alignas] = ACTIONS(2658),
    [sym_primitive_type] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_struct] = ACTIONS(2658),
    [anon_sym_union] = ACTIONS(2658),
    [anon_sym_if] = ACTIONS(2658),
    [anon_sym_switch] = ACTIONS(2658),
    [anon_sym_case] = ACTIONS(2658),
    [anon_sym_default] = ACTIONS(2658),
    [anon_sym_while] = ACTIONS(2658),
    [anon_sym_do] = ACTIONS(2658),
    [anon_sym_for] = ACTIONS(2658),
    [anon_sym_in] = ACTIONS(2658),
    [anon_sym_return] = ACTIONS(2658),
    [anon_sym_break] = ACTIONS(2658),
    [anon_sym_continue] = ACTIONS(2658),
    [anon_sym_goto] = ACTIONS(2658),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_sizeof] = ACTIONS(2658),
    [anon_sym___alignof__] = ACTIONS(2658),
    [anon_sym___alignof] = ACTIONS(2658),
    [anon_sym__alignof] = ACTIONS(2658),
    [anon_sym_alignof] = ACTIONS(2658),
    [anon_sym__Alignof] = ACTIONS(2658),
    [anon_sym_offsetof] = ACTIONS(2658),
    [anon_sym__Generic] = ACTIONS(2658),
    [anon_sym_asm] = ACTIONS(2658),
    [anon_sym___asm__] = ACTIONS(2658),
    [anon_sym___asm] = ACTIONS(2658),
    [sym_number_literal] = ACTIONS(2660),
    [anon_sym_L_SQUOTE] = ACTIONS(2660),
    [anon_sym_u_SQUOTE] = ACTIONS(2660),
    [anon_sym_U_SQUOTE] = ACTIONS(2660),
    [anon_sym_u8_SQUOTE] = ACTIONS(2660),
    [anon_sym_SQUOTE] = ACTIONS(2660),
    [anon_sym_AT] = ACTIONS(2658),
    [anon_sym_DQUOTE] = ACTIONS(2660),
    [anon_sym_L_DQUOTE] = ACTIONS(2660),
    [anon_sym_u_DQUOTE] = ACTIONS(2660),
    [anon_sym_U_DQUOTE] = ACTIONS(2660),
    [anon_sym_u8_DQUOTE] = ACTIONS(2660),
    [sym_true] = ACTIONS(2658),
    [sym_false] = ACTIONS(2658),
    [anon_sym_NULL] = ACTIONS(2658),
    [anon_sym_nullptr] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2658),
    [anon_sym___typeof] = ACTIONS(2658),
    [anon_sym_typeof] = ACTIONS(2658),
    [anon_sym_ATimport] = ACTIONS(2660),
    [aux_sym_preproc_undef_token1] = ACTIONS(2658),
    [anon_sym_POUND] = ACTIONS(2658),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2658),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2658),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2658),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2658),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2658),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2658),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2658),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2658),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2658),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_API_AVAILABLE] = ACTIONS(2658),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_API_DEPRECATED] = ACTIONS(2658),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2658),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2658),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2658),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2658),
    [anon_sym___deprecated_msg] = ACTIONS(2658),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2658),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2658),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2658),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2658),
    [anon_sym_ATprotocol] = ACTIONS(2660),
    [anon_sym_ATinterface] = ACTIONS(2660),
    [anon_sym_ATimplementation] = ACTIONS(2660),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2660),
    [anon_sym_ATselector] = ACTIONS(2660),
    [anon_sym_ATavailable] = ACTIONS(2660),
    [anon_sym___builtin_available] = ACTIONS(2658),
    [anon_sym_va_arg] = ACTIONS(2658),
    [anon_sym_ATencode] = ACTIONS(2660),
    [anon_sym_BOOL] = ACTIONS(2658),
    [anon_sym_IMP] = ACTIONS(2658),
    [anon_sym_SEL] = ACTIONS(2658),
    [anon_sym_Class] = ACTIONS(2658),
    [anon_sym_id] = ACTIONS(2658),
  },
  [1043] = {
    [ts_builtin_sym_end] = ACTIONS(2958),
    [sym_identifier] = ACTIONS(2960),
    [aux_sym_preproc_include_token1] = ACTIONS(2960),
    [aux_sym_preproc_include_token2] = ACTIONS(2960),
    [aux_sym_preproc_def_token1] = ACTIONS(2960),
    [aux_sym_preproc_if_token1] = ACTIONS(2960),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2960),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2960),
    [sym_preproc_directive] = ACTIONS(2960),
    [anon_sym_LPAREN2] = ACTIONS(2958),
    [anon_sym_BANG] = ACTIONS(2958),
    [anon_sym_TILDE] = ACTIONS(2958),
    [anon_sym_DASH] = ACTIONS(2960),
    [anon_sym_PLUS] = ACTIONS(2960),
    [anon_sym_STAR] = ACTIONS(2958),
    [anon_sym_CARET] = ACTIONS(2958),
    [anon_sym_AMP] = ACTIONS(2958),
    [anon_sym_SEMI] = ACTIONS(2958),
    [anon_sym___extension__] = ACTIONS(2960),
    [anon_sym_typedef] = ACTIONS(2960),
    [anon_sym_extern] = ACTIONS(2960),
    [anon_sym___attribute__] = ACTIONS(2960),
    [anon_sym___attribute] = ACTIONS(2960),
    [anon_sym_noreturn] = ACTIONS(2960),
    [anon_sym_LBRACK] = ACTIONS(2958),
    [anon_sym___declspec] = ACTIONS(2960),
    [anon_sym___cdecl] = ACTIONS(2960),
    [anon_sym___clrcall] = ACTIONS(2960),
    [anon_sym___stdcall] = ACTIONS(2960),
    [anon_sym___fastcall] = ACTIONS(2960),
    [anon_sym___thiscall] = ACTIONS(2960),
    [anon_sym___vectorcall] = ACTIONS(2960),
    [anon_sym_LBRACE] = ACTIONS(2958),
    [anon_sym_signed] = ACTIONS(2960),
    [anon_sym_unsigned] = ACTIONS(2960),
    [anon_sym_long] = ACTIONS(2960),
    [anon_sym_short] = ACTIONS(2960),
    [anon_sym_static] = ACTIONS(2960),
    [anon_sym_ATautoreleasepool] = ACTIONS(2958),
    [anon_sym_auto] = ACTIONS(2960),
    [anon_sym_register] = ACTIONS(2960),
    [anon_sym_inline] = ACTIONS(2960),
    [anon_sym___inline] = ACTIONS(2960),
    [anon_sym___inline__] = ACTIONS(2960),
    [anon_sym___forceinline] = ACTIONS(2960),
    [anon_sym_thread_local] = ACTIONS(2960),
    [anon_sym___thread] = ACTIONS(2960),
    [anon_sym_CG_EXTERN] = ACTIONS(2960),
    [anon_sym_CG_INLINE] = ACTIONS(2960),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2960),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2960),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2960),
    [anon_sym_IBOutlet] = ACTIONS(2960),
    [anon_sym_IBInspectable] = ACTIONS(2960),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2960),
    [anon_sym_NS_INLINE] = ACTIONS(2960),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2960),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2960),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2960),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2960),
    [anon_sym_const] = ACTIONS(2960),
    [anon_sym_constexpr] = ACTIONS(2960),
    [anon_sym_volatile] = ACTIONS(2960),
    [anon_sym_restrict] = ACTIONS(2960),
    [anon_sym___restrict__] = ACTIONS(2960),
    [anon_sym__Atomic] = ACTIONS(2960),
    [anon_sym__Noreturn] = ACTIONS(2960),
    [anon_sym__Nonnull] = ACTIONS(2960),
    [anon_sym_nullable] = ACTIONS(2960),
    [anon_sym__Complex] = ACTIONS(2960),
    [anon_sym__Nullable] = ACTIONS(2960),
    [anon_sym__Nullable_result] = ACTIONS(2960),
    [anon_sym__Null_unspecified] = ACTIONS(2960),
    [anon_sym___autoreleasing] = ACTIONS(2960),
    [anon_sym___block] = ACTIONS(2960),
    [anon_sym___bridge] = ACTIONS(2960),
    [anon_sym___bridge_retained] = ACTIONS(2960),
    [anon_sym___bridge_transfer] = ACTIONS(2960),
    [anon_sym___complex] = ACTIONS(2960),
    [anon_sym___const] = ACTIONS(2960),
    [anon_sym___imag] = ACTIONS(2960),
    [anon_sym___kindof] = ACTIONS(2960),
    [anon_sym___nonnull] = ACTIONS(2960),
    [anon_sym___nullable] = ACTIONS(2960),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2960),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2960),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2960),
    [anon_sym___real] = ACTIONS(2960),
    [anon_sym___strong] = ACTIONS(2960),
    [anon_sym___unsafe_unretained] = ACTIONS(2960),
    [anon_sym___unused] = ACTIONS(2960),
    [anon_sym___weak] = ACTIONS(2960),
    [anon_sym_alignas] = ACTIONS(2960),
    [anon_sym__Alignas] = ACTIONS(2960),
    [sym_primitive_type] = ACTIONS(2960),
    [anon_sym_enum] = ACTIONS(2960),
    [anon_sym_struct] = ACTIONS(2960),
    [anon_sym_union] = ACTIONS(2960),
    [anon_sym_if] = ACTIONS(2960),
    [anon_sym_switch] = ACTIONS(2960),
    [anon_sym_case] = ACTIONS(2960),
    [anon_sym_default] = ACTIONS(2960),
    [anon_sym_while] = ACTIONS(2960),
    [anon_sym_do] = ACTIONS(2960),
    [anon_sym_for] = ACTIONS(2960),
    [anon_sym_in] = ACTIONS(2960),
    [anon_sym_return] = ACTIONS(2960),
    [anon_sym_break] = ACTIONS(2960),
    [anon_sym_continue] = ACTIONS(2960),
    [anon_sym_goto] = ACTIONS(2960),
    [anon_sym_DASH_DASH] = ACTIONS(2958),
    [anon_sym_PLUS_PLUS] = ACTIONS(2958),
    [anon_sym_sizeof] = ACTIONS(2960),
    [anon_sym___alignof__] = ACTIONS(2960),
    [anon_sym___alignof] = ACTIONS(2960),
    [anon_sym__alignof] = ACTIONS(2960),
    [anon_sym_alignof] = ACTIONS(2960),
    [anon_sym__Alignof] = ACTIONS(2960),
    [anon_sym_offsetof] = ACTIONS(2960),
    [anon_sym__Generic] = ACTIONS(2960),
    [anon_sym_asm] = ACTIONS(2960),
    [anon_sym___asm__] = ACTIONS(2960),
    [anon_sym___asm] = ACTIONS(2960),
    [sym_number_literal] = ACTIONS(2958),
    [anon_sym_L_SQUOTE] = ACTIONS(2958),
    [anon_sym_u_SQUOTE] = ACTIONS(2958),
    [anon_sym_U_SQUOTE] = ACTIONS(2958),
    [anon_sym_u8_SQUOTE] = ACTIONS(2958),
    [anon_sym_SQUOTE] = ACTIONS(2958),
    [anon_sym_AT] = ACTIONS(2960),
    [anon_sym_DQUOTE] = ACTIONS(2958),
    [anon_sym_L_DQUOTE] = ACTIONS(2958),
    [anon_sym_u_DQUOTE] = ACTIONS(2958),
    [anon_sym_U_DQUOTE] = ACTIONS(2958),
    [anon_sym_u8_DQUOTE] = ACTIONS(2958),
    [sym_true] = ACTIONS(2960),
    [sym_false] = ACTIONS(2960),
    [anon_sym_NULL] = ACTIONS(2960),
    [anon_sym_nullptr] = ACTIONS(2960),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2960),
    [anon_sym___typeof] = ACTIONS(2960),
    [anon_sym_typeof] = ACTIONS(2960),
    [anon_sym_ATimport] = ACTIONS(2958),
    [aux_sym_preproc_undef_token1] = ACTIONS(2960),
    [anon_sym_POUND] = ACTIONS(2960),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2960),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2960),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2960),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2960),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2960),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2960),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2960),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2960),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2960),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2960),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2960),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2960),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2960),
    [anon_sym_API_AVAILABLE] = ACTIONS(2960),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2960),
    [anon_sym_API_DEPRECATED] = ACTIONS(2960),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2960),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2960),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2960),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2960),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2960),
    [anon_sym___deprecated_msg] = ACTIONS(2960),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2960),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2960),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2960),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2960),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2960),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2960),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2960),
    [anon_sym_ATprotocol] = ACTIONS(2958),
    [anon_sym_ATinterface] = ACTIONS(2958),
    [anon_sym_ATimplementation] = ACTIONS(2958),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2958),
    [anon_sym_ATselector] = ACTIONS(2958),
    [anon_sym_ATavailable] = ACTIONS(2958),
    [anon_sym___builtin_available] = ACTIONS(2960),
    [anon_sym_va_arg] = ACTIONS(2960),
    [anon_sym_ATencode] = ACTIONS(2958),
    [anon_sym_BOOL] = ACTIONS(2960),
    [anon_sym_IMP] = ACTIONS(2960),
    [anon_sym_SEL] = ACTIONS(2960),
    [anon_sym_Class] = ACTIONS(2960),
    [anon_sym_id] = ACTIONS(2960),
  },
  [1044] = {
    [ts_builtin_sym_end] = ACTIONS(2708),
    [sym_identifier] = ACTIONS(2706),
    [aux_sym_preproc_include_token1] = ACTIONS(2706),
    [aux_sym_preproc_include_token2] = ACTIONS(2706),
    [aux_sym_preproc_def_token1] = ACTIONS(2706),
    [aux_sym_preproc_if_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2706),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2706),
    [sym_preproc_directive] = ACTIONS(2706),
    [anon_sym_LPAREN2] = ACTIONS(2708),
    [anon_sym_BANG] = ACTIONS(2708),
    [anon_sym_TILDE] = ACTIONS(2708),
    [anon_sym_DASH] = ACTIONS(2706),
    [anon_sym_PLUS] = ACTIONS(2706),
    [anon_sym_STAR] = ACTIONS(2708),
    [anon_sym_CARET] = ACTIONS(2708),
    [anon_sym_AMP] = ACTIONS(2708),
    [anon_sym_SEMI] = ACTIONS(2708),
    [anon_sym___extension__] = ACTIONS(2706),
    [anon_sym_typedef] = ACTIONS(2706),
    [anon_sym_extern] = ACTIONS(2706),
    [anon_sym___attribute__] = ACTIONS(2706),
    [anon_sym___attribute] = ACTIONS(2706),
    [anon_sym_noreturn] = ACTIONS(2706),
    [anon_sym_LBRACK] = ACTIONS(2708),
    [anon_sym___declspec] = ACTIONS(2706),
    [anon_sym___cdecl] = ACTIONS(2706),
    [anon_sym___clrcall] = ACTIONS(2706),
    [anon_sym___stdcall] = ACTIONS(2706),
    [anon_sym___fastcall] = ACTIONS(2706),
    [anon_sym___thiscall] = ACTIONS(2706),
    [anon_sym___vectorcall] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(2708),
    [anon_sym_signed] = ACTIONS(2706),
    [anon_sym_unsigned] = ACTIONS(2706),
    [anon_sym_long] = ACTIONS(2706),
    [anon_sym_short] = ACTIONS(2706),
    [anon_sym_static] = ACTIONS(2706),
    [anon_sym_ATautoreleasepool] = ACTIONS(2708),
    [anon_sym_auto] = ACTIONS(2706),
    [anon_sym_register] = ACTIONS(2706),
    [anon_sym_inline] = ACTIONS(2706),
    [anon_sym___inline] = ACTIONS(2706),
    [anon_sym___inline__] = ACTIONS(2706),
    [anon_sym___forceinline] = ACTIONS(2706),
    [anon_sym_thread_local] = ACTIONS(2706),
    [anon_sym___thread] = ACTIONS(2706),
    [anon_sym_CG_EXTERN] = ACTIONS(2706),
    [anon_sym_CG_INLINE] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2706),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2706),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2706),
    [anon_sym_IBOutlet] = ACTIONS(2706),
    [anon_sym_IBInspectable] = ACTIONS(2706),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2706),
    [anon_sym_NS_INLINE] = ACTIONS(2706),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2706),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2706),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2706),
    [anon_sym_const] = ACTIONS(2706),
    [anon_sym_constexpr] = ACTIONS(2706),
    [anon_sym_volatile] = ACTIONS(2706),
    [anon_sym_restrict] = ACTIONS(2706),
    [anon_sym___restrict__] = ACTIONS(2706),
    [anon_sym__Atomic] = ACTIONS(2706),
    [anon_sym__Noreturn] = ACTIONS(2706),
    [anon_sym__Nonnull] = ACTIONS(2706),
    [anon_sym_nullable] = ACTIONS(2706),
    [anon_sym__Complex] = ACTIONS(2706),
    [anon_sym__Nullable] = ACTIONS(2706),
    [anon_sym__Nullable_result] = ACTIONS(2706),
    [anon_sym__Null_unspecified] = ACTIONS(2706),
    [anon_sym___autoreleasing] = ACTIONS(2706),
    [anon_sym___block] = ACTIONS(2706),
    [anon_sym___bridge] = ACTIONS(2706),
    [anon_sym___bridge_retained] = ACTIONS(2706),
    [anon_sym___bridge_transfer] = ACTIONS(2706),
    [anon_sym___complex] = ACTIONS(2706),
    [anon_sym___const] = ACTIONS(2706),
    [anon_sym___imag] = ACTIONS(2706),
    [anon_sym___kindof] = ACTIONS(2706),
    [anon_sym___nonnull] = ACTIONS(2706),
    [anon_sym___nullable] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2706),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2706),
    [anon_sym___real] = ACTIONS(2706),
    [anon_sym___strong] = ACTIONS(2706),
    [anon_sym___unsafe_unretained] = ACTIONS(2706),
    [anon_sym___unused] = ACTIONS(2706),
    [anon_sym___weak] = ACTIONS(2706),
    [anon_sym_alignas] = ACTIONS(2706),
    [anon_sym__Alignas] = ACTIONS(2706),
    [sym_primitive_type] = ACTIONS(2706),
    [anon_sym_enum] = ACTIONS(2706),
    [anon_sym_struct] = ACTIONS(2706),
    [anon_sym_union] = ACTIONS(2706),
    [anon_sym_if] = ACTIONS(2706),
    [anon_sym_switch] = ACTIONS(2706),
    [anon_sym_case] = ACTIONS(2706),
    [anon_sym_default] = ACTIONS(2706),
    [anon_sym_while] = ACTIONS(2706),
    [anon_sym_do] = ACTIONS(2706),
    [anon_sym_for] = ACTIONS(2706),
    [anon_sym_in] = ACTIONS(2706),
    [anon_sym_return] = ACTIONS(2706),
    [anon_sym_break] = ACTIONS(2706),
    [anon_sym_continue] = ACTIONS(2706),
    [anon_sym_goto] = ACTIONS(2706),
    [anon_sym_DASH_DASH] = ACTIONS(2708),
    [anon_sym_PLUS_PLUS] = ACTIONS(2708),
    [anon_sym_sizeof] = ACTIONS(2706),
    [anon_sym___alignof__] = ACTIONS(2706),
    [anon_sym___alignof] = ACTIONS(2706),
    [anon_sym__alignof] = ACTIONS(2706),
    [anon_sym_alignof] = ACTIONS(2706),
    [anon_sym__Alignof] = ACTIONS(2706),
    [anon_sym_offsetof] = ACTIONS(2706),
    [anon_sym__Generic] = ACTIONS(2706),
    [anon_sym_asm] = ACTIONS(2706),
    [anon_sym___asm__] = ACTIONS(2706),
    [anon_sym___asm] = ACTIONS(2706),
    [sym_number_literal] = ACTIONS(2708),
    [anon_sym_L_SQUOTE] = ACTIONS(2708),
    [anon_sym_u_SQUOTE] = ACTIONS(2708),
    [anon_sym_U_SQUOTE] = ACTIONS(2708),
    [anon_sym_u8_SQUOTE] = ACTIONS(2708),
    [anon_sym_SQUOTE] = ACTIONS(2708),
    [anon_sym_AT] = ACTIONS(2706),
    [anon_sym_DQUOTE] = ACTIONS(2708),
    [anon_sym_L_DQUOTE] = ACTIONS(2708),
    [anon_sym_u_DQUOTE] = ACTIONS(2708),
    [anon_sym_U_DQUOTE] = ACTIONS(2708),
    [anon_sym_u8_DQUOTE] = ACTIONS(2708),
    [sym_true] = ACTIONS(2706),
    [sym_false] = ACTIONS(2706),
    [anon_sym_NULL] = ACTIONS(2706),
    [anon_sym_nullptr] = ACTIONS(2706),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2706),
    [anon_sym___typeof] = ACTIONS(2706),
    [anon_sym_typeof] = ACTIONS(2706),
    [anon_sym_ATimport] = ACTIONS(2708),
    [aux_sym_preproc_undef_token1] = ACTIONS(2706),
    [anon_sym_POUND] = ACTIONS(2706),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2706),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2706),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2706),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2706),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2706),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_API_AVAILABLE] = ACTIONS(2706),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_API_DEPRECATED] = ACTIONS(2706),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2706),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2706),
    [anon_sym___deprecated_msg] = ACTIONS(2706),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2706),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2706),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2706),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2706),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2706),
    [anon_sym_ATprotocol] = ACTIONS(2708),
    [anon_sym_ATinterface] = ACTIONS(2708),
    [anon_sym_ATimplementation] = ACTIONS(2708),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2708),
    [anon_sym_ATselector] = ACTIONS(2708),
    [anon_sym_ATavailable] = ACTIONS(2708),
    [anon_sym___builtin_available] = ACTIONS(2706),
    [anon_sym_va_arg] = ACTIONS(2706),
    [anon_sym_ATencode] = ACTIONS(2708),
    [anon_sym_BOOL] = ACTIONS(2706),
    [anon_sym_IMP] = ACTIONS(2706),
    [anon_sym_SEL] = ACTIONS(2706),
    [anon_sym_Class] = ACTIONS(2706),
    [anon_sym_id] = ACTIONS(2706),
  },
  [1045] = {
    [ts_builtin_sym_end] = ACTIONS(2712),
    [sym_identifier] = ACTIONS(2710),
    [aux_sym_preproc_include_token1] = ACTIONS(2710),
    [aux_sym_preproc_include_token2] = ACTIONS(2710),
    [aux_sym_preproc_def_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token1] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2710),
    [sym_preproc_directive] = ACTIONS(2710),
    [anon_sym_LPAREN2] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2710),
    [anon_sym_PLUS] = ACTIONS(2710),
    [anon_sym_STAR] = ACTIONS(2712),
    [anon_sym_CARET] = ACTIONS(2712),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_SEMI] = ACTIONS(2712),
    [anon_sym___extension__] = ACTIONS(2710),
    [anon_sym_typedef] = ACTIONS(2710),
    [anon_sym_extern] = ACTIONS(2710),
    [anon_sym___attribute__] = ACTIONS(2710),
    [anon_sym___attribute] = ACTIONS(2710),
    [anon_sym_noreturn] = ACTIONS(2710),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym___declspec] = ACTIONS(2710),
    [anon_sym___cdecl] = ACTIONS(2710),
    [anon_sym___clrcall] = ACTIONS(2710),
    [anon_sym___stdcall] = ACTIONS(2710),
    [anon_sym___fastcall] = ACTIONS(2710),
    [anon_sym___thiscall] = ACTIONS(2710),
    [anon_sym___vectorcall] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_signed] = ACTIONS(2710),
    [anon_sym_unsigned] = ACTIONS(2710),
    [anon_sym_long] = ACTIONS(2710),
    [anon_sym_short] = ACTIONS(2710),
    [anon_sym_static] = ACTIONS(2710),
    [anon_sym_ATautoreleasepool] = ACTIONS(2712),
    [anon_sym_auto] = ACTIONS(2710),
    [anon_sym_register] = ACTIONS(2710),
    [anon_sym_inline] = ACTIONS(2710),
    [anon_sym___inline] = ACTIONS(2710),
    [anon_sym___inline__] = ACTIONS(2710),
    [anon_sym___forceinline] = ACTIONS(2710),
    [anon_sym_thread_local] = ACTIONS(2710),
    [anon_sym___thread] = ACTIONS(2710),
    [anon_sym_CG_EXTERN] = ACTIONS(2710),
    [anon_sym_CG_INLINE] = ACTIONS(2710),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2710),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2710),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2710),
    [anon_sym_IBOutlet] = ACTIONS(2710),
    [anon_sym_IBInspectable] = ACTIONS(2710),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2710),
    [anon_sym_NS_INLINE] = ACTIONS(2710),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2710),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2710),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2710),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2710),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_constexpr] = ACTIONS(2710),
    [anon_sym_volatile] = ACTIONS(2710),
    [anon_sym_restrict] = ACTIONS(2710),
    [anon_sym___restrict__] = ACTIONS(2710),
    [anon_sym__Atomic] = ACTIONS(2710),
    [anon_sym__Noreturn] = ACTIONS(2710),
    [anon_sym__Nonnull] = ACTIONS(2710),
    [anon_sym_nullable] = ACTIONS(2710),
    [anon_sym__Complex] = ACTIONS(2710),
    [anon_sym__Nullable] = ACTIONS(2710),
    [anon_sym__Nullable_result] = ACTIONS(2710),
    [anon_sym__Null_unspecified] = ACTIONS(2710),
    [anon_sym___autoreleasing] = ACTIONS(2710),
    [anon_sym___block] = ACTIONS(2710),
    [anon_sym___bridge] = ACTIONS(2710),
    [anon_sym___bridge_retained] = ACTIONS(2710),
    [anon_sym___bridge_transfer] = ACTIONS(2710),
    [anon_sym___complex] = ACTIONS(2710),
    [anon_sym___const] = ACTIONS(2710),
    [anon_sym___imag] = ACTIONS(2710),
    [anon_sym___kindof] = ACTIONS(2710),
    [anon_sym___nonnull] = ACTIONS(2710),
    [anon_sym___nullable] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2710),
    [anon_sym___real] = ACTIONS(2710),
    [anon_sym___strong] = ACTIONS(2710),
    [anon_sym___unsafe_unretained] = ACTIONS(2710),
    [anon_sym___unused] = ACTIONS(2710),
    [anon_sym___weak] = ACTIONS(2710),
    [anon_sym_alignas] = ACTIONS(2710),
    [anon_sym__Alignas] = ACTIONS(2710),
    [sym_primitive_type] = ACTIONS(2710),
    [anon_sym_enum] = ACTIONS(2710),
    [anon_sym_struct] = ACTIONS(2710),
    [anon_sym_union] = ACTIONS(2710),
    [anon_sym_if] = ACTIONS(2710),
    [anon_sym_switch] = ACTIONS(2710),
    [anon_sym_case] = ACTIONS(2710),
    [anon_sym_default] = ACTIONS(2710),
    [anon_sym_while] = ACTIONS(2710),
    [anon_sym_do] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2710),
    [anon_sym_in] = ACTIONS(2710),
    [anon_sym_return] = ACTIONS(2710),
    [anon_sym_break] = ACTIONS(2710),
    [anon_sym_continue] = ACTIONS(2710),
    [anon_sym_goto] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_sizeof] = ACTIONS(2710),
    [anon_sym___alignof__] = ACTIONS(2710),
    [anon_sym___alignof] = ACTIONS(2710),
    [anon_sym__alignof] = ACTIONS(2710),
    [anon_sym_alignof] = ACTIONS(2710),
    [anon_sym__Alignof] = ACTIONS(2710),
    [anon_sym_offsetof] = ACTIONS(2710),
    [anon_sym__Generic] = ACTIONS(2710),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [anon_sym___asm] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2712),
    [anon_sym_u_SQUOTE] = ACTIONS(2712),
    [anon_sym_U_SQUOTE] = ACTIONS(2712),
    [anon_sym_u8_SQUOTE] = ACTIONS(2712),
    [anon_sym_SQUOTE] = ACTIONS(2712),
    [anon_sym_AT] = ACTIONS(2710),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [anon_sym_L_DQUOTE] = ACTIONS(2712),
    [anon_sym_u_DQUOTE] = ACTIONS(2712),
    [anon_sym_U_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8_DQUOTE] = ACTIONS(2712),
    [sym_true] = ACTIONS(2710),
    [sym_false] = ACTIONS(2710),
    [anon_sym_NULL] = ACTIONS(2710),
    [anon_sym_nullptr] = ACTIONS(2710),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2710),
    [anon_sym___typeof] = ACTIONS(2710),
    [anon_sym_typeof] = ACTIONS(2710),
    [anon_sym_ATimport] = ACTIONS(2712),
    [aux_sym_preproc_undef_token1] = ACTIONS(2710),
    [anon_sym_POUND] = ACTIONS(2710),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2710),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2710),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2710),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2710),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2710),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2710),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2710),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_API_AVAILABLE] = ACTIONS(2710),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_API_DEPRECATED] = ACTIONS(2710),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2710),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym___deprecated_msg] = ACTIONS(2710),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2710),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2710),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2710),
    [anon_sym_ATprotocol] = ACTIONS(2712),
    [anon_sym_ATinterface] = ACTIONS(2712),
    [anon_sym_ATimplementation] = ACTIONS(2712),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2712),
    [anon_sym_ATselector] = ACTIONS(2712),
    [anon_sym_ATavailable] = ACTIONS(2712),
    [anon_sym___builtin_available] = ACTIONS(2710),
    [anon_sym_va_arg] = ACTIONS(2710),
    [anon_sym_ATencode] = ACTIONS(2712),
    [anon_sym_BOOL] = ACTIONS(2710),
    [anon_sym_IMP] = ACTIONS(2710),
    [anon_sym_SEL] = ACTIONS(2710),
    [anon_sym_Class] = ACTIONS(2710),
    [anon_sym_id] = ACTIONS(2710),
  },
  [1046] = {
    [ts_builtin_sym_end] = ACTIONS(2712),
    [sym_identifier] = ACTIONS(2710),
    [aux_sym_preproc_include_token1] = ACTIONS(2710),
    [aux_sym_preproc_include_token2] = ACTIONS(2710),
    [aux_sym_preproc_def_token1] = ACTIONS(2710),
    [aux_sym_preproc_if_token1] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2710),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2710),
    [sym_preproc_directive] = ACTIONS(2710),
    [anon_sym_LPAREN2] = ACTIONS(2712),
    [anon_sym_BANG] = ACTIONS(2712),
    [anon_sym_TILDE] = ACTIONS(2712),
    [anon_sym_DASH] = ACTIONS(2710),
    [anon_sym_PLUS] = ACTIONS(2710),
    [anon_sym_STAR] = ACTIONS(2712),
    [anon_sym_CARET] = ACTIONS(2712),
    [anon_sym_AMP] = ACTIONS(2712),
    [anon_sym_SEMI] = ACTIONS(2712),
    [anon_sym___extension__] = ACTIONS(2710),
    [anon_sym_typedef] = ACTIONS(2710),
    [anon_sym_extern] = ACTIONS(2710),
    [anon_sym___attribute__] = ACTIONS(2710),
    [anon_sym___attribute] = ACTIONS(2710),
    [anon_sym_noreturn] = ACTIONS(2710),
    [anon_sym_LBRACK] = ACTIONS(2712),
    [anon_sym___declspec] = ACTIONS(2710),
    [anon_sym___cdecl] = ACTIONS(2710),
    [anon_sym___clrcall] = ACTIONS(2710),
    [anon_sym___stdcall] = ACTIONS(2710),
    [anon_sym___fastcall] = ACTIONS(2710),
    [anon_sym___thiscall] = ACTIONS(2710),
    [anon_sym___vectorcall] = ACTIONS(2710),
    [anon_sym_LBRACE] = ACTIONS(2712),
    [anon_sym_signed] = ACTIONS(2710),
    [anon_sym_unsigned] = ACTIONS(2710),
    [anon_sym_long] = ACTIONS(2710),
    [anon_sym_short] = ACTIONS(2710),
    [anon_sym_static] = ACTIONS(2710),
    [anon_sym_ATautoreleasepool] = ACTIONS(2712),
    [anon_sym_auto] = ACTIONS(2710),
    [anon_sym_register] = ACTIONS(2710),
    [anon_sym_inline] = ACTIONS(2710),
    [anon_sym___inline] = ACTIONS(2710),
    [anon_sym___inline__] = ACTIONS(2710),
    [anon_sym___forceinline] = ACTIONS(2710),
    [anon_sym_thread_local] = ACTIONS(2710),
    [anon_sym___thread] = ACTIONS(2710),
    [anon_sym_CG_EXTERN] = ACTIONS(2710),
    [anon_sym_CG_INLINE] = ACTIONS(2710),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2710),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2710),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2710),
    [anon_sym_IBOutlet] = ACTIONS(2710),
    [anon_sym_IBInspectable] = ACTIONS(2710),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2710),
    [anon_sym_NS_INLINE] = ACTIONS(2710),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2710),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2710),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2710),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2710),
    [anon_sym_const] = ACTIONS(2710),
    [anon_sym_constexpr] = ACTIONS(2710),
    [anon_sym_volatile] = ACTIONS(2710),
    [anon_sym_restrict] = ACTIONS(2710),
    [anon_sym___restrict__] = ACTIONS(2710),
    [anon_sym__Atomic] = ACTIONS(2710),
    [anon_sym__Noreturn] = ACTIONS(2710),
    [anon_sym__Nonnull] = ACTIONS(2710),
    [anon_sym_nullable] = ACTIONS(2710),
    [anon_sym__Complex] = ACTIONS(2710),
    [anon_sym__Nullable] = ACTIONS(2710),
    [anon_sym__Nullable_result] = ACTIONS(2710),
    [anon_sym__Null_unspecified] = ACTIONS(2710),
    [anon_sym___autoreleasing] = ACTIONS(2710),
    [anon_sym___block] = ACTIONS(2710),
    [anon_sym___bridge] = ACTIONS(2710),
    [anon_sym___bridge_retained] = ACTIONS(2710),
    [anon_sym___bridge_transfer] = ACTIONS(2710),
    [anon_sym___complex] = ACTIONS(2710),
    [anon_sym___const] = ACTIONS(2710),
    [anon_sym___imag] = ACTIONS(2710),
    [anon_sym___kindof] = ACTIONS(2710),
    [anon_sym___nonnull] = ACTIONS(2710),
    [anon_sym___nullable] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2710),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2710),
    [anon_sym___real] = ACTIONS(2710),
    [anon_sym___strong] = ACTIONS(2710),
    [anon_sym___unsafe_unretained] = ACTIONS(2710),
    [anon_sym___unused] = ACTIONS(2710),
    [anon_sym___weak] = ACTIONS(2710),
    [anon_sym_alignas] = ACTIONS(2710),
    [anon_sym__Alignas] = ACTIONS(2710),
    [sym_primitive_type] = ACTIONS(2710),
    [anon_sym_enum] = ACTIONS(2710),
    [anon_sym_struct] = ACTIONS(2710),
    [anon_sym_union] = ACTIONS(2710),
    [anon_sym_if] = ACTIONS(2710),
    [anon_sym_switch] = ACTIONS(2710),
    [anon_sym_case] = ACTIONS(2710),
    [anon_sym_default] = ACTIONS(2710),
    [anon_sym_while] = ACTIONS(2710),
    [anon_sym_do] = ACTIONS(2710),
    [anon_sym_for] = ACTIONS(2710),
    [anon_sym_in] = ACTIONS(2710),
    [anon_sym_return] = ACTIONS(2710),
    [anon_sym_break] = ACTIONS(2710),
    [anon_sym_continue] = ACTIONS(2710),
    [anon_sym_goto] = ACTIONS(2710),
    [anon_sym_DASH_DASH] = ACTIONS(2712),
    [anon_sym_PLUS_PLUS] = ACTIONS(2712),
    [anon_sym_sizeof] = ACTIONS(2710),
    [anon_sym___alignof__] = ACTIONS(2710),
    [anon_sym___alignof] = ACTIONS(2710),
    [anon_sym__alignof] = ACTIONS(2710),
    [anon_sym_alignof] = ACTIONS(2710),
    [anon_sym__Alignof] = ACTIONS(2710),
    [anon_sym_offsetof] = ACTIONS(2710),
    [anon_sym__Generic] = ACTIONS(2710),
    [anon_sym_asm] = ACTIONS(2710),
    [anon_sym___asm__] = ACTIONS(2710),
    [anon_sym___asm] = ACTIONS(2710),
    [sym_number_literal] = ACTIONS(2712),
    [anon_sym_L_SQUOTE] = ACTIONS(2712),
    [anon_sym_u_SQUOTE] = ACTIONS(2712),
    [anon_sym_U_SQUOTE] = ACTIONS(2712),
    [anon_sym_u8_SQUOTE] = ACTIONS(2712),
    [anon_sym_SQUOTE] = ACTIONS(2712),
    [anon_sym_AT] = ACTIONS(2710),
    [anon_sym_DQUOTE] = ACTIONS(2712),
    [anon_sym_L_DQUOTE] = ACTIONS(2712),
    [anon_sym_u_DQUOTE] = ACTIONS(2712),
    [anon_sym_U_DQUOTE] = ACTIONS(2712),
    [anon_sym_u8_DQUOTE] = ACTIONS(2712),
    [sym_true] = ACTIONS(2710),
    [sym_false] = ACTIONS(2710),
    [anon_sym_NULL] = ACTIONS(2710),
    [anon_sym_nullptr] = ACTIONS(2710),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2710),
    [anon_sym___typeof] = ACTIONS(2710),
    [anon_sym_typeof] = ACTIONS(2710),
    [anon_sym_ATimport] = ACTIONS(2712),
    [aux_sym_preproc_undef_token1] = ACTIONS(2710),
    [anon_sym_POUND] = ACTIONS(2710),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2710),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2710),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2710),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2710),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2710),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2710),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2710),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_API_AVAILABLE] = ACTIONS(2710),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_API_DEPRECATED] = ACTIONS(2710),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2710),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2710),
    [anon_sym___deprecated_msg] = ACTIONS(2710),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2710),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2710),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2710),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2710),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2710),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2710),
    [anon_sym_ATprotocol] = ACTIONS(2712),
    [anon_sym_ATinterface] = ACTIONS(2712),
    [anon_sym_ATimplementation] = ACTIONS(2712),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2712),
    [anon_sym_ATselector] = ACTIONS(2712),
    [anon_sym_ATavailable] = ACTIONS(2712),
    [anon_sym___builtin_available] = ACTIONS(2710),
    [anon_sym_va_arg] = ACTIONS(2710),
    [anon_sym_ATencode] = ACTIONS(2712),
    [anon_sym_BOOL] = ACTIONS(2710),
    [anon_sym_IMP] = ACTIONS(2710),
    [anon_sym_SEL] = ACTIONS(2710),
    [anon_sym_Class] = ACTIONS(2710),
    [anon_sym_id] = ACTIONS(2710),
  },
  [1047] = {
    [ts_builtin_sym_end] = ACTIONS(2716),
    [sym_identifier] = ACTIONS(2714),
    [aux_sym_preproc_include_token1] = ACTIONS(2714),
    [aux_sym_preproc_include_token2] = ACTIONS(2714),
    [aux_sym_preproc_def_token1] = ACTIONS(2714),
    [aux_sym_preproc_if_token1] = ACTIONS(2714),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2714),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2714),
    [sym_preproc_directive] = ACTIONS(2714),
    [anon_sym_LPAREN2] = ACTIONS(2716),
    [anon_sym_BANG] = ACTIONS(2716),
    [anon_sym_TILDE] = ACTIONS(2716),
    [anon_sym_DASH] = ACTIONS(2714),
    [anon_sym_PLUS] = ACTIONS(2714),
    [anon_sym_STAR] = ACTIONS(2716),
    [anon_sym_CARET] = ACTIONS(2716),
    [anon_sym_AMP] = ACTIONS(2716),
    [anon_sym_SEMI] = ACTIONS(2716),
    [anon_sym___extension__] = ACTIONS(2714),
    [anon_sym_typedef] = ACTIONS(2714),
    [anon_sym_extern] = ACTIONS(2714),
    [anon_sym___attribute__] = ACTIONS(2714),
    [anon_sym___attribute] = ACTIONS(2714),
    [anon_sym_noreturn] = ACTIONS(2714),
    [anon_sym_LBRACK] = ACTIONS(2716),
    [anon_sym___declspec] = ACTIONS(2714),
    [anon_sym___cdecl] = ACTIONS(2714),
    [anon_sym___clrcall] = ACTIONS(2714),
    [anon_sym___stdcall] = ACTIONS(2714),
    [anon_sym___fastcall] = ACTIONS(2714),
    [anon_sym___thiscall] = ACTIONS(2714),
    [anon_sym___vectorcall] = ACTIONS(2714),
    [anon_sym_LBRACE] = ACTIONS(2716),
    [anon_sym_signed] = ACTIONS(2714),
    [anon_sym_unsigned] = ACTIONS(2714),
    [anon_sym_long] = ACTIONS(2714),
    [anon_sym_short] = ACTIONS(2714),
    [anon_sym_static] = ACTIONS(2714),
    [anon_sym_ATautoreleasepool] = ACTIONS(2716),
    [anon_sym_auto] = ACTIONS(2714),
    [anon_sym_register] = ACTIONS(2714),
    [anon_sym_inline] = ACTIONS(2714),
    [anon_sym___inline] = ACTIONS(2714),
    [anon_sym___inline__] = ACTIONS(2714),
    [anon_sym___forceinline] = ACTIONS(2714),
    [anon_sym_thread_local] = ACTIONS(2714),
    [anon_sym___thread] = ACTIONS(2714),
    [anon_sym_CG_EXTERN] = ACTIONS(2714),
    [anon_sym_CG_INLINE] = ACTIONS(2714),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2714),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2714),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2714),
    [anon_sym_IBOutlet] = ACTIONS(2714),
    [anon_sym_IBInspectable] = ACTIONS(2714),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2714),
    [anon_sym_NS_INLINE] = ACTIONS(2714),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2714),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2714),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2714),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2714),
    [anon_sym_const] = ACTIONS(2714),
    [anon_sym_constexpr] = ACTIONS(2714),
    [anon_sym_volatile] = ACTIONS(2714),
    [anon_sym_restrict] = ACTIONS(2714),
    [anon_sym___restrict__] = ACTIONS(2714),
    [anon_sym__Atomic] = ACTIONS(2714),
    [anon_sym__Noreturn] = ACTIONS(2714),
    [anon_sym__Nonnull] = ACTIONS(2714),
    [anon_sym_nullable] = ACTIONS(2714),
    [anon_sym__Complex] = ACTIONS(2714),
    [anon_sym__Nullable] = ACTIONS(2714),
    [anon_sym__Nullable_result] = ACTIONS(2714),
    [anon_sym__Null_unspecified] = ACTIONS(2714),
    [anon_sym___autoreleasing] = ACTIONS(2714),
    [anon_sym___block] = ACTIONS(2714),
    [anon_sym___bridge] = ACTIONS(2714),
    [anon_sym___bridge_retained] = ACTIONS(2714),
    [anon_sym___bridge_transfer] = ACTIONS(2714),
    [anon_sym___complex] = ACTIONS(2714),
    [anon_sym___const] = ACTIONS(2714),
    [anon_sym___imag] = ACTIONS(2714),
    [anon_sym___kindof] = ACTIONS(2714),
    [anon_sym___nonnull] = ACTIONS(2714),
    [anon_sym___nullable] = ACTIONS(2714),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2714),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2714),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2714),
    [anon_sym___real] = ACTIONS(2714),
    [anon_sym___strong] = ACTIONS(2714),
    [anon_sym___unsafe_unretained] = ACTIONS(2714),
    [anon_sym___unused] = ACTIONS(2714),
    [anon_sym___weak] = ACTIONS(2714),
    [anon_sym_alignas] = ACTIONS(2714),
    [anon_sym__Alignas] = ACTIONS(2714),
    [sym_primitive_type] = ACTIONS(2714),
    [anon_sym_enum] = ACTIONS(2714),
    [anon_sym_struct] = ACTIONS(2714),
    [anon_sym_union] = ACTIONS(2714),
    [anon_sym_if] = ACTIONS(2714),
    [anon_sym_switch] = ACTIONS(2714),
    [anon_sym_case] = ACTIONS(2714),
    [anon_sym_default] = ACTIONS(2714),
    [anon_sym_while] = ACTIONS(2714),
    [anon_sym_do] = ACTIONS(2714),
    [anon_sym_for] = ACTIONS(2714),
    [anon_sym_in] = ACTIONS(2714),
    [anon_sym_return] = ACTIONS(2714),
    [anon_sym_break] = ACTIONS(2714),
    [anon_sym_continue] = ACTIONS(2714),
    [anon_sym_goto] = ACTIONS(2714),
    [anon_sym_DASH_DASH] = ACTIONS(2716),
    [anon_sym_PLUS_PLUS] = ACTIONS(2716),
    [anon_sym_sizeof] = ACTIONS(2714),
    [anon_sym___alignof__] = ACTIONS(2714),
    [anon_sym___alignof] = ACTIONS(2714),
    [anon_sym__alignof] = ACTIONS(2714),
    [anon_sym_alignof] = ACTIONS(2714),
    [anon_sym__Alignof] = ACTIONS(2714),
    [anon_sym_offsetof] = ACTIONS(2714),
    [anon_sym__Generic] = ACTIONS(2714),
    [anon_sym_asm] = ACTIONS(2714),
    [anon_sym___asm__] = ACTIONS(2714),
    [anon_sym___asm] = ACTIONS(2714),
    [sym_number_literal] = ACTIONS(2716),
    [anon_sym_L_SQUOTE] = ACTIONS(2716),
    [anon_sym_u_SQUOTE] = ACTIONS(2716),
    [anon_sym_U_SQUOTE] = ACTIONS(2716),
    [anon_sym_u8_SQUOTE] = ACTIONS(2716),
    [anon_sym_SQUOTE] = ACTIONS(2716),
    [anon_sym_AT] = ACTIONS(2714),
    [anon_sym_DQUOTE] = ACTIONS(2716),
    [anon_sym_L_DQUOTE] = ACTIONS(2716),
    [anon_sym_u_DQUOTE] = ACTIONS(2716),
    [anon_sym_U_DQUOTE] = ACTIONS(2716),
    [anon_sym_u8_DQUOTE] = ACTIONS(2716),
    [sym_true] = ACTIONS(2714),
    [sym_false] = ACTIONS(2714),
    [anon_sym_NULL] = ACTIONS(2714),
    [anon_sym_nullptr] = ACTIONS(2714),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2714),
    [anon_sym___typeof] = ACTIONS(2714),
    [anon_sym_typeof] = ACTIONS(2714),
    [anon_sym_ATimport] = ACTIONS(2716),
    [aux_sym_preproc_undef_token1] = ACTIONS(2714),
    [anon_sym_POUND] = ACTIONS(2714),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2714),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2714),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2714),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2714),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2714),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2714),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2714),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2714),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2714),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2714),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2714),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2714),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2714),
    [anon_sym_API_AVAILABLE] = ACTIONS(2714),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2714),
    [anon_sym_API_DEPRECATED] = ACTIONS(2714),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2714),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2714),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2714),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2714),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2714),
    [anon_sym___deprecated_msg] = ACTIONS(2714),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2714),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2714),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2714),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2714),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2714),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2714),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2714),
    [anon_sym_ATprotocol] = ACTIONS(2716),
    [anon_sym_ATinterface] = ACTIONS(2716),
    [anon_sym_ATimplementation] = ACTIONS(2716),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2716),
    [anon_sym_ATselector] = ACTIONS(2716),
    [anon_sym_ATavailable] = ACTIONS(2716),
    [anon_sym___builtin_available] = ACTIONS(2714),
    [anon_sym_va_arg] = ACTIONS(2714),
    [anon_sym_ATencode] = ACTIONS(2716),
    [anon_sym_BOOL] = ACTIONS(2714),
    [anon_sym_IMP] = ACTIONS(2714),
    [anon_sym_SEL] = ACTIONS(2714),
    [anon_sym_Class] = ACTIONS(2714),
    [anon_sym_id] = ACTIONS(2714),
  },
  [1048] = {
    [ts_builtin_sym_end] = ACTIONS(2874),
    [sym_identifier] = ACTIONS(2872),
    [aux_sym_preproc_include_token1] = ACTIONS(2872),
    [aux_sym_preproc_include_token2] = ACTIONS(2872),
    [aux_sym_preproc_def_token1] = ACTIONS(2872),
    [aux_sym_preproc_if_token1] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2872),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2872),
    [sym_preproc_directive] = ACTIONS(2872),
    [anon_sym_LPAREN2] = ACTIONS(2874),
    [anon_sym_BANG] = ACTIONS(2874),
    [anon_sym_TILDE] = ACTIONS(2874),
    [anon_sym_DASH] = ACTIONS(2872),
    [anon_sym_PLUS] = ACTIONS(2872),
    [anon_sym_STAR] = ACTIONS(2874),
    [anon_sym_CARET] = ACTIONS(2874),
    [anon_sym_AMP] = ACTIONS(2874),
    [anon_sym_SEMI] = ACTIONS(2874),
    [anon_sym___extension__] = ACTIONS(2872),
    [anon_sym_typedef] = ACTIONS(2872),
    [anon_sym_extern] = ACTIONS(2872),
    [anon_sym___attribute__] = ACTIONS(2872),
    [anon_sym___attribute] = ACTIONS(2872),
    [anon_sym_noreturn] = ACTIONS(2872),
    [anon_sym_LBRACK] = ACTIONS(2874),
    [anon_sym___declspec] = ACTIONS(2872),
    [anon_sym___cdecl] = ACTIONS(2872),
    [anon_sym___clrcall] = ACTIONS(2872),
    [anon_sym___stdcall] = ACTIONS(2872),
    [anon_sym___fastcall] = ACTIONS(2872),
    [anon_sym___thiscall] = ACTIONS(2872),
    [anon_sym___vectorcall] = ACTIONS(2872),
    [anon_sym_LBRACE] = ACTIONS(2874),
    [anon_sym_signed] = ACTIONS(2872),
    [anon_sym_unsigned] = ACTIONS(2872),
    [anon_sym_long] = ACTIONS(2872),
    [anon_sym_short] = ACTIONS(2872),
    [anon_sym_static] = ACTIONS(2872),
    [anon_sym_ATautoreleasepool] = ACTIONS(2874),
    [anon_sym_auto] = ACTIONS(2872),
    [anon_sym_register] = ACTIONS(2872),
    [anon_sym_inline] = ACTIONS(2872),
    [anon_sym___inline] = ACTIONS(2872),
    [anon_sym___inline__] = ACTIONS(2872),
    [anon_sym___forceinline] = ACTIONS(2872),
    [anon_sym_thread_local] = ACTIONS(2872),
    [anon_sym___thread] = ACTIONS(2872),
    [anon_sym_CG_EXTERN] = ACTIONS(2872),
    [anon_sym_CG_INLINE] = ACTIONS(2872),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2872),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2872),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2872),
    [anon_sym_IBOutlet] = ACTIONS(2872),
    [anon_sym_IBInspectable] = ACTIONS(2872),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2872),
    [anon_sym_NS_INLINE] = ACTIONS(2872),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2872),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2872),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2872),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2872),
    [anon_sym_const] = ACTIONS(2872),
    [anon_sym_constexpr] = ACTIONS(2872),
    [anon_sym_volatile] = ACTIONS(2872),
    [anon_sym_restrict] = ACTIONS(2872),
    [anon_sym___restrict__] = ACTIONS(2872),
    [anon_sym__Atomic] = ACTIONS(2872),
    [anon_sym__Noreturn] = ACTIONS(2872),
    [anon_sym__Nonnull] = ACTIONS(2872),
    [anon_sym_nullable] = ACTIONS(2872),
    [anon_sym__Complex] = ACTIONS(2872),
    [anon_sym__Nullable] = ACTIONS(2872),
    [anon_sym__Nullable_result] = ACTIONS(2872),
    [anon_sym__Null_unspecified] = ACTIONS(2872),
    [anon_sym___autoreleasing] = ACTIONS(2872),
    [anon_sym___block] = ACTIONS(2872),
    [anon_sym___bridge] = ACTIONS(2872),
    [anon_sym___bridge_retained] = ACTIONS(2872),
    [anon_sym___bridge_transfer] = ACTIONS(2872),
    [anon_sym___complex] = ACTIONS(2872),
    [anon_sym___const] = ACTIONS(2872),
    [anon_sym___imag] = ACTIONS(2872),
    [anon_sym___kindof] = ACTIONS(2872),
    [anon_sym___nonnull] = ACTIONS(2872),
    [anon_sym___nullable] = ACTIONS(2872),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2872),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2872),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2872),
    [anon_sym___real] = ACTIONS(2872),
    [anon_sym___strong] = ACTIONS(2872),
    [anon_sym___unsafe_unretained] = ACTIONS(2872),
    [anon_sym___unused] = ACTIONS(2872),
    [anon_sym___weak] = ACTIONS(2872),
    [anon_sym_alignas] = ACTIONS(2872),
    [anon_sym__Alignas] = ACTIONS(2872),
    [sym_primitive_type] = ACTIONS(2872),
    [anon_sym_enum] = ACTIONS(2872),
    [anon_sym_struct] = ACTIONS(2872),
    [anon_sym_union] = ACTIONS(2872),
    [anon_sym_if] = ACTIONS(2872),
    [anon_sym_switch] = ACTIONS(2872),
    [anon_sym_case] = ACTIONS(2872),
    [anon_sym_default] = ACTIONS(2872),
    [anon_sym_while] = ACTIONS(2872),
    [anon_sym_do] = ACTIONS(2872),
    [anon_sym_for] = ACTIONS(2872),
    [anon_sym_in] = ACTIONS(2872),
    [anon_sym_return] = ACTIONS(2872),
    [anon_sym_break] = ACTIONS(2872),
    [anon_sym_continue] = ACTIONS(2872),
    [anon_sym_goto] = ACTIONS(2872),
    [anon_sym_DASH_DASH] = ACTIONS(2874),
    [anon_sym_PLUS_PLUS] = ACTIONS(2874),
    [anon_sym_sizeof] = ACTIONS(2872),
    [anon_sym___alignof__] = ACTIONS(2872),
    [anon_sym___alignof] = ACTIONS(2872),
    [anon_sym__alignof] = ACTIONS(2872),
    [anon_sym_alignof] = ACTIONS(2872),
    [anon_sym__Alignof] = ACTIONS(2872),
    [anon_sym_offsetof] = ACTIONS(2872),
    [anon_sym__Generic] = ACTIONS(2872),
    [anon_sym_asm] = ACTIONS(2872),
    [anon_sym___asm__] = ACTIONS(2872),
    [anon_sym___asm] = ACTIONS(2872),
    [sym_number_literal] = ACTIONS(2874),
    [anon_sym_L_SQUOTE] = ACTIONS(2874),
    [anon_sym_u_SQUOTE] = ACTIONS(2874),
    [anon_sym_U_SQUOTE] = ACTIONS(2874),
    [anon_sym_u8_SQUOTE] = ACTIONS(2874),
    [anon_sym_SQUOTE] = ACTIONS(2874),
    [anon_sym_AT] = ACTIONS(2872),
    [anon_sym_DQUOTE] = ACTIONS(2874),
    [anon_sym_L_DQUOTE] = ACTIONS(2874),
    [anon_sym_u_DQUOTE] = ACTIONS(2874),
    [anon_sym_U_DQUOTE] = ACTIONS(2874),
    [anon_sym_u8_DQUOTE] = ACTIONS(2874),
    [sym_true] = ACTIONS(2872),
    [sym_false] = ACTIONS(2872),
    [anon_sym_NULL] = ACTIONS(2872),
    [anon_sym_nullptr] = ACTIONS(2872),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2872),
    [anon_sym___typeof] = ACTIONS(2872),
    [anon_sym_typeof] = ACTIONS(2872),
    [anon_sym_ATimport] = ACTIONS(2874),
    [aux_sym_preproc_undef_token1] = ACTIONS(2872),
    [anon_sym_POUND] = ACTIONS(2872),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2872),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2872),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2872),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2872),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2872),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2872),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2872),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2872),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2872),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2872),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2872),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2872),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2872),
    [anon_sym_API_AVAILABLE] = ACTIONS(2872),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2872),
    [anon_sym_API_DEPRECATED] = ACTIONS(2872),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2872),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2872),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2872),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2872),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2872),
    [anon_sym___deprecated_msg] = ACTIONS(2872),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2872),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2872),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2872),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2872),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2872),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2872),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2872),
    [anon_sym_ATprotocol] = ACTIONS(2874),
    [anon_sym_ATinterface] = ACTIONS(2874),
    [anon_sym_ATimplementation] = ACTIONS(2874),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2874),
    [anon_sym_ATselector] = ACTIONS(2874),
    [anon_sym_ATavailable] = ACTIONS(2874),
    [anon_sym___builtin_available] = ACTIONS(2872),
    [anon_sym_va_arg] = ACTIONS(2872),
    [anon_sym_ATencode] = ACTIONS(2874),
    [anon_sym_BOOL] = ACTIONS(2872),
    [anon_sym_IMP] = ACTIONS(2872),
    [anon_sym_SEL] = ACTIONS(2872),
    [anon_sym_Class] = ACTIONS(2872),
    [anon_sym_id] = ACTIONS(2872),
  },
  [1049] = {
    [ts_builtin_sym_end] = ACTIONS(2818),
    [sym_identifier] = ACTIONS(2816),
    [aux_sym_preproc_include_token1] = ACTIONS(2816),
    [aux_sym_preproc_include_token2] = ACTIONS(2816),
    [aux_sym_preproc_def_token1] = ACTIONS(2816),
    [aux_sym_preproc_if_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2816),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2816),
    [sym_preproc_directive] = ACTIONS(2816),
    [anon_sym_LPAREN2] = ACTIONS(2818),
    [anon_sym_BANG] = ACTIONS(2818),
    [anon_sym_TILDE] = ACTIONS(2818),
    [anon_sym_DASH] = ACTIONS(2816),
    [anon_sym_PLUS] = ACTIONS(2816),
    [anon_sym_STAR] = ACTIONS(2818),
    [anon_sym_CARET] = ACTIONS(2818),
    [anon_sym_AMP] = ACTIONS(2818),
    [anon_sym_SEMI] = ACTIONS(2818),
    [anon_sym___extension__] = ACTIONS(2816),
    [anon_sym_typedef] = ACTIONS(2816),
    [anon_sym_extern] = ACTIONS(2816),
    [anon_sym___attribute__] = ACTIONS(2816),
    [anon_sym___attribute] = ACTIONS(2816),
    [anon_sym_noreturn] = ACTIONS(2816),
    [anon_sym_LBRACK] = ACTIONS(2818),
    [anon_sym___declspec] = ACTIONS(2816),
    [anon_sym___cdecl] = ACTIONS(2816),
    [anon_sym___clrcall] = ACTIONS(2816),
    [anon_sym___stdcall] = ACTIONS(2816),
    [anon_sym___fastcall] = ACTIONS(2816),
    [anon_sym___thiscall] = ACTIONS(2816),
    [anon_sym___vectorcall] = ACTIONS(2816),
    [anon_sym_LBRACE] = ACTIONS(2818),
    [anon_sym_signed] = ACTIONS(2816),
    [anon_sym_unsigned] = ACTIONS(2816),
    [anon_sym_long] = ACTIONS(2816),
    [anon_sym_short] = ACTIONS(2816),
    [anon_sym_static] = ACTIONS(2816),
    [anon_sym_ATautoreleasepool] = ACTIONS(2818),
    [anon_sym_auto] = ACTIONS(2816),
    [anon_sym_register] = ACTIONS(2816),
    [anon_sym_inline] = ACTIONS(2816),
    [anon_sym___inline] = ACTIONS(2816),
    [anon_sym___inline__] = ACTIONS(2816),
    [anon_sym___forceinline] = ACTIONS(2816),
    [anon_sym_thread_local] = ACTIONS(2816),
    [anon_sym___thread] = ACTIONS(2816),
    [anon_sym_CG_EXTERN] = ACTIONS(2816),
    [anon_sym_CG_INLINE] = ACTIONS(2816),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2816),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2816),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2816),
    [anon_sym_IBOutlet] = ACTIONS(2816),
    [anon_sym_IBInspectable] = ACTIONS(2816),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2816),
    [anon_sym_NS_INLINE] = ACTIONS(2816),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2816),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2816),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2816),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2816),
    [anon_sym_const] = ACTIONS(2816),
    [anon_sym_constexpr] = ACTIONS(2816),
    [anon_sym_volatile] = ACTIONS(2816),
    [anon_sym_restrict] = ACTIONS(2816),
    [anon_sym___restrict__] = ACTIONS(2816),
    [anon_sym__Atomic] = ACTIONS(2816),
    [anon_sym__Noreturn] = ACTIONS(2816),
    [anon_sym__Nonnull] = ACTIONS(2816),
    [anon_sym_nullable] = ACTIONS(2816),
    [anon_sym__Complex] = ACTIONS(2816),
    [anon_sym__Nullable] = ACTIONS(2816),
    [anon_sym__Nullable_result] = ACTIONS(2816),
    [anon_sym__Null_unspecified] = ACTIONS(2816),
    [anon_sym___autoreleasing] = ACTIONS(2816),
    [anon_sym___block] = ACTIONS(2816),
    [anon_sym___bridge] = ACTIONS(2816),
    [anon_sym___bridge_retained] = ACTIONS(2816),
    [anon_sym___bridge_transfer] = ACTIONS(2816),
    [anon_sym___complex] = ACTIONS(2816),
    [anon_sym___const] = ACTIONS(2816),
    [anon_sym___imag] = ACTIONS(2816),
    [anon_sym___kindof] = ACTIONS(2816),
    [anon_sym___nonnull] = ACTIONS(2816),
    [anon_sym___nullable] = ACTIONS(2816),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2816),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2816),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2816),
    [anon_sym___real] = ACTIONS(2816),
    [anon_sym___strong] = ACTIONS(2816),
    [anon_sym___unsafe_unretained] = ACTIONS(2816),
    [anon_sym___unused] = ACTIONS(2816),
    [anon_sym___weak] = ACTIONS(2816),
    [anon_sym_alignas] = ACTIONS(2816),
    [anon_sym__Alignas] = ACTIONS(2816),
    [sym_primitive_type] = ACTIONS(2816),
    [anon_sym_enum] = ACTIONS(2816),
    [anon_sym_struct] = ACTIONS(2816),
    [anon_sym_union] = ACTIONS(2816),
    [anon_sym_if] = ACTIONS(2816),
    [anon_sym_switch] = ACTIONS(2816),
    [anon_sym_case] = ACTIONS(2816),
    [anon_sym_default] = ACTIONS(2816),
    [anon_sym_while] = ACTIONS(2816),
    [anon_sym_do] = ACTIONS(2816),
    [anon_sym_for] = ACTIONS(2816),
    [anon_sym_in] = ACTIONS(2816),
    [anon_sym_return] = ACTIONS(2816),
    [anon_sym_break] = ACTIONS(2816),
    [anon_sym_continue] = ACTIONS(2816),
    [anon_sym_goto] = ACTIONS(2816),
    [anon_sym_DASH_DASH] = ACTIONS(2818),
    [anon_sym_PLUS_PLUS] = ACTIONS(2818),
    [anon_sym_sizeof] = ACTIONS(2816),
    [anon_sym___alignof__] = ACTIONS(2816),
    [anon_sym___alignof] = ACTIONS(2816),
    [anon_sym__alignof] = ACTIONS(2816),
    [anon_sym_alignof] = ACTIONS(2816),
    [anon_sym__Alignof] = ACTIONS(2816),
    [anon_sym_offsetof] = ACTIONS(2816),
    [anon_sym__Generic] = ACTIONS(2816),
    [anon_sym_asm] = ACTIONS(2816),
    [anon_sym___asm__] = ACTIONS(2816),
    [anon_sym___asm] = ACTIONS(2816),
    [sym_number_literal] = ACTIONS(2818),
    [anon_sym_L_SQUOTE] = ACTIONS(2818),
    [anon_sym_u_SQUOTE] = ACTIONS(2818),
    [anon_sym_U_SQUOTE] = ACTIONS(2818),
    [anon_sym_u8_SQUOTE] = ACTIONS(2818),
    [anon_sym_SQUOTE] = ACTIONS(2818),
    [anon_sym_AT] = ACTIONS(2816),
    [anon_sym_DQUOTE] = ACTIONS(2818),
    [anon_sym_L_DQUOTE] = ACTIONS(2818),
    [anon_sym_u_DQUOTE] = ACTIONS(2818),
    [anon_sym_U_DQUOTE] = ACTIONS(2818),
    [anon_sym_u8_DQUOTE] = ACTIONS(2818),
    [sym_true] = ACTIONS(2816),
    [sym_false] = ACTIONS(2816),
    [anon_sym_NULL] = ACTIONS(2816),
    [anon_sym_nullptr] = ACTIONS(2816),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2816),
    [anon_sym___typeof] = ACTIONS(2816),
    [anon_sym_typeof] = ACTIONS(2816),
    [anon_sym_ATimport] = ACTIONS(2818),
    [aux_sym_preproc_undef_token1] = ACTIONS(2816),
    [anon_sym_POUND] = ACTIONS(2816),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2816),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2816),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2816),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2816),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2816),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2816),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2816),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2816),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2816),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2816),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2816),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2816),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2816),
    [anon_sym_API_AVAILABLE] = ACTIONS(2816),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2816),
    [anon_sym_API_DEPRECATED] = ACTIONS(2816),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2816),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2816),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2816),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2816),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2816),
    [anon_sym___deprecated_msg] = ACTIONS(2816),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2816),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2816),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2816),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2816),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2816),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2816),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2816),
    [anon_sym_ATprotocol] = ACTIONS(2818),
    [anon_sym_ATinterface] = ACTIONS(2818),
    [anon_sym_ATimplementation] = ACTIONS(2818),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2818),
    [anon_sym_ATselector] = ACTIONS(2818),
    [anon_sym_ATavailable] = ACTIONS(2818),
    [anon_sym___builtin_available] = ACTIONS(2816),
    [anon_sym_va_arg] = ACTIONS(2816),
    [anon_sym_ATencode] = ACTIONS(2818),
    [anon_sym_BOOL] = ACTIONS(2816),
    [anon_sym_IMP] = ACTIONS(2816),
    [anon_sym_SEL] = ACTIONS(2816),
    [anon_sym_Class] = ACTIONS(2816),
    [anon_sym_id] = ACTIONS(2816),
  },
  [1050] = {
    [ts_builtin_sym_end] = ACTIONS(2724),
    [sym_identifier] = ACTIONS(2722),
    [aux_sym_preproc_include_token1] = ACTIONS(2722),
    [aux_sym_preproc_include_token2] = ACTIONS(2722),
    [aux_sym_preproc_def_token1] = ACTIONS(2722),
    [aux_sym_preproc_if_token1] = ACTIONS(2722),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2722),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2722),
    [sym_preproc_directive] = ACTIONS(2722),
    [anon_sym_LPAREN2] = ACTIONS(2724),
    [anon_sym_BANG] = ACTIONS(2724),
    [anon_sym_TILDE] = ACTIONS(2724),
    [anon_sym_DASH] = ACTIONS(2722),
    [anon_sym_PLUS] = ACTIONS(2722),
    [anon_sym_STAR] = ACTIONS(2724),
    [anon_sym_CARET] = ACTIONS(2724),
    [anon_sym_AMP] = ACTIONS(2724),
    [anon_sym_SEMI] = ACTIONS(2724),
    [anon_sym___extension__] = ACTIONS(2722),
    [anon_sym_typedef] = ACTIONS(2722),
    [anon_sym_extern] = ACTIONS(2722),
    [anon_sym___attribute__] = ACTIONS(2722),
    [anon_sym___attribute] = ACTIONS(2722),
    [anon_sym_noreturn] = ACTIONS(2722),
    [anon_sym_LBRACK] = ACTIONS(2724),
    [anon_sym___declspec] = ACTIONS(2722),
    [anon_sym___cdecl] = ACTIONS(2722),
    [anon_sym___clrcall] = ACTIONS(2722),
    [anon_sym___stdcall] = ACTIONS(2722),
    [anon_sym___fastcall] = ACTIONS(2722),
    [anon_sym___thiscall] = ACTIONS(2722),
    [anon_sym___vectorcall] = ACTIONS(2722),
    [anon_sym_LBRACE] = ACTIONS(2724),
    [anon_sym_signed] = ACTIONS(2722),
    [anon_sym_unsigned] = ACTIONS(2722),
    [anon_sym_long] = ACTIONS(2722),
    [anon_sym_short] = ACTIONS(2722),
    [anon_sym_static] = ACTIONS(2722),
    [anon_sym_ATautoreleasepool] = ACTIONS(2724),
    [anon_sym_auto] = ACTIONS(2722),
    [anon_sym_register] = ACTIONS(2722),
    [anon_sym_inline] = ACTIONS(2722),
    [anon_sym___inline] = ACTIONS(2722),
    [anon_sym___inline__] = ACTIONS(2722),
    [anon_sym___forceinline] = ACTIONS(2722),
    [anon_sym_thread_local] = ACTIONS(2722),
    [anon_sym___thread] = ACTIONS(2722),
    [anon_sym_CG_EXTERN] = ACTIONS(2722),
    [anon_sym_CG_INLINE] = ACTIONS(2722),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2722),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2722),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2722),
    [anon_sym_IBOutlet] = ACTIONS(2722),
    [anon_sym_IBInspectable] = ACTIONS(2722),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2722),
    [anon_sym_NS_INLINE] = ACTIONS(2722),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2722),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2722),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2722),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2722),
    [anon_sym_const] = ACTIONS(2722),
    [anon_sym_constexpr] = ACTIONS(2722),
    [anon_sym_volatile] = ACTIONS(2722),
    [anon_sym_restrict] = ACTIONS(2722),
    [anon_sym___restrict__] = ACTIONS(2722),
    [anon_sym__Atomic] = ACTIONS(2722),
    [anon_sym__Noreturn] = ACTIONS(2722),
    [anon_sym__Nonnull] = ACTIONS(2722),
    [anon_sym_nullable] = ACTIONS(2722),
    [anon_sym__Complex] = ACTIONS(2722),
    [anon_sym__Nullable] = ACTIONS(2722),
    [anon_sym__Nullable_result] = ACTIONS(2722),
    [anon_sym__Null_unspecified] = ACTIONS(2722),
    [anon_sym___autoreleasing] = ACTIONS(2722),
    [anon_sym___block] = ACTIONS(2722),
    [anon_sym___bridge] = ACTIONS(2722),
    [anon_sym___bridge_retained] = ACTIONS(2722),
    [anon_sym___bridge_transfer] = ACTIONS(2722),
    [anon_sym___complex] = ACTIONS(2722),
    [anon_sym___const] = ACTIONS(2722),
    [anon_sym___imag] = ACTIONS(2722),
    [anon_sym___kindof] = ACTIONS(2722),
    [anon_sym___nonnull] = ACTIONS(2722),
    [anon_sym___nullable] = ACTIONS(2722),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2722),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2722),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2722),
    [anon_sym___real] = ACTIONS(2722),
    [anon_sym___strong] = ACTIONS(2722),
    [anon_sym___unsafe_unretained] = ACTIONS(2722),
    [anon_sym___unused] = ACTIONS(2722),
    [anon_sym___weak] = ACTIONS(2722),
    [anon_sym_alignas] = ACTIONS(2722),
    [anon_sym__Alignas] = ACTIONS(2722),
    [sym_primitive_type] = ACTIONS(2722),
    [anon_sym_enum] = ACTIONS(2722),
    [anon_sym_struct] = ACTIONS(2722),
    [anon_sym_union] = ACTIONS(2722),
    [anon_sym_if] = ACTIONS(2722),
    [anon_sym_switch] = ACTIONS(2722),
    [anon_sym_case] = ACTIONS(2722),
    [anon_sym_default] = ACTIONS(2722),
    [anon_sym_while] = ACTIONS(2722),
    [anon_sym_do] = ACTIONS(2722),
    [anon_sym_for] = ACTIONS(2722),
    [anon_sym_in] = ACTIONS(2722),
    [anon_sym_return] = ACTIONS(2722),
    [anon_sym_break] = ACTIONS(2722),
    [anon_sym_continue] = ACTIONS(2722),
    [anon_sym_goto] = ACTIONS(2722),
    [anon_sym_DASH_DASH] = ACTIONS(2724),
    [anon_sym_PLUS_PLUS] = ACTIONS(2724),
    [anon_sym_sizeof] = ACTIONS(2722),
    [anon_sym___alignof__] = ACTIONS(2722),
    [anon_sym___alignof] = ACTIONS(2722),
    [anon_sym__alignof] = ACTIONS(2722),
    [anon_sym_alignof] = ACTIONS(2722),
    [anon_sym__Alignof] = ACTIONS(2722),
    [anon_sym_offsetof] = ACTIONS(2722),
    [anon_sym__Generic] = ACTIONS(2722),
    [anon_sym_asm] = ACTIONS(2722),
    [anon_sym___asm__] = ACTIONS(2722),
    [anon_sym___asm] = ACTIONS(2722),
    [sym_number_literal] = ACTIONS(2724),
    [anon_sym_L_SQUOTE] = ACTIONS(2724),
    [anon_sym_u_SQUOTE] = ACTIONS(2724),
    [anon_sym_U_SQUOTE] = ACTIONS(2724),
    [anon_sym_u8_SQUOTE] = ACTIONS(2724),
    [anon_sym_SQUOTE] = ACTIONS(2724),
    [anon_sym_AT] = ACTIONS(2722),
    [anon_sym_DQUOTE] = ACTIONS(2724),
    [anon_sym_L_DQUOTE] = ACTIONS(2724),
    [anon_sym_u_DQUOTE] = ACTIONS(2724),
    [anon_sym_U_DQUOTE] = ACTIONS(2724),
    [anon_sym_u8_DQUOTE] = ACTIONS(2724),
    [sym_true] = ACTIONS(2722),
    [sym_false] = ACTIONS(2722),
    [anon_sym_NULL] = ACTIONS(2722),
    [anon_sym_nullptr] = ACTIONS(2722),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2722),
    [anon_sym___typeof] = ACTIONS(2722),
    [anon_sym_typeof] = ACTIONS(2722),
    [anon_sym_ATimport] = ACTIONS(2724),
    [aux_sym_preproc_undef_token1] = ACTIONS(2722),
    [anon_sym_POUND] = ACTIONS(2722),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2722),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2722),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2722),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2722),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2722),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2722),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2722),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2722),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2722),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2722),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2722),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2722),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2722),
    [anon_sym_API_AVAILABLE] = ACTIONS(2722),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2722),
    [anon_sym_API_DEPRECATED] = ACTIONS(2722),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2722),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2722),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2722),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2722),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2722),
    [anon_sym___deprecated_msg] = ACTIONS(2722),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2722),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2722),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2722),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2722),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2722),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2722),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2722),
    [anon_sym_ATprotocol] = ACTIONS(2724),
    [anon_sym_ATinterface] = ACTIONS(2724),
    [anon_sym_ATimplementation] = ACTIONS(2724),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2724),
    [anon_sym_ATselector] = ACTIONS(2724),
    [anon_sym_ATavailable] = ACTIONS(2724),
    [anon_sym___builtin_available] = ACTIONS(2722),
    [anon_sym_va_arg] = ACTIONS(2722),
    [anon_sym_ATencode] = ACTIONS(2724),
    [anon_sym_BOOL] = ACTIONS(2722),
    [anon_sym_IMP] = ACTIONS(2722),
    [anon_sym_SEL] = ACTIONS(2722),
    [anon_sym_Class] = ACTIONS(2722),
    [anon_sym_id] = ACTIONS(2722),
  },
  [1051] = {
    [ts_builtin_sym_end] = ACTIONS(2728),
    [sym_identifier] = ACTIONS(2726),
    [aux_sym_preproc_include_token1] = ACTIONS(2726),
    [aux_sym_preproc_include_token2] = ACTIONS(2726),
    [aux_sym_preproc_def_token1] = ACTIONS(2726),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2726),
    [sym_preproc_directive] = ACTIONS(2726),
    [anon_sym_LPAREN2] = ACTIONS(2728),
    [anon_sym_BANG] = ACTIONS(2728),
    [anon_sym_TILDE] = ACTIONS(2728),
    [anon_sym_DASH] = ACTIONS(2726),
    [anon_sym_PLUS] = ACTIONS(2726),
    [anon_sym_STAR] = ACTIONS(2728),
    [anon_sym_CARET] = ACTIONS(2728),
    [anon_sym_AMP] = ACTIONS(2728),
    [anon_sym_SEMI] = ACTIONS(2728),
    [anon_sym___extension__] = ACTIONS(2726),
    [anon_sym_typedef] = ACTIONS(2726),
    [anon_sym_extern] = ACTIONS(2726),
    [anon_sym___attribute__] = ACTIONS(2726),
    [anon_sym___attribute] = ACTIONS(2726),
    [anon_sym_noreturn] = ACTIONS(2726),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym___declspec] = ACTIONS(2726),
    [anon_sym___cdecl] = ACTIONS(2726),
    [anon_sym___clrcall] = ACTIONS(2726),
    [anon_sym___stdcall] = ACTIONS(2726),
    [anon_sym___fastcall] = ACTIONS(2726),
    [anon_sym___thiscall] = ACTIONS(2726),
    [anon_sym___vectorcall] = ACTIONS(2726),
    [anon_sym_LBRACE] = ACTIONS(2728),
    [anon_sym_signed] = ACTIONS(2726),
    [anon_sym_unsigned] = ACTIONS(2726),
    [anon_sym_long] = ACTIONS(2726),
    [anon_sym_short] = ACTIONS(2726),
    [anon_sym_static] = ACTIONS(2726),
    [anon_sym_ATautoreleasepool] = ACTIONS(2728),
    [anon_sym_auto] = ACTIONS(2726),
    [anon_sym_register] = ACTIONS(2726),
    [anon_sym_inline] = ACTIONS(2726),
    [anon_sym___inline] = ACTIONS(2726),
    [anon_sym___inline__] = ACTIONS(2726),
    [anon_sym___forceinline] = ACTIONS(2726),
    [anon_sym_thread_local] = ACTIONS(2726),
    [anon_sym___thread] = ACTIONS(2726),
    [anon_sym_CG_EXTERN] = ACTIONS(2726),
    [anon_sym_CG_INLINE] = ACTIONS(2726),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2726),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2726),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2726),
    [anon_sym_IBOutlet] = ACTIONS(2726),
    [anon_sym_IBInspectable] = ACTIONS(2726),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2726),
    [anon_sym_NS_INLINE] = ACTIONS(2726),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2726),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2726),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2726),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2726),
    [anon_sym_const] = ACTIONS(2726),
    [anon_sym_constexpr] = ACTIONS(2726),
    [anon_sym_volatile] = ACTIONS(2726),
    [anon_sym_restrict] = ACTIONS(2726),
    [anon_sym___restrict__] = ACTIONS(2726),
    [anon_sym__Atomic] = ACTIONS(2726),
    [anon_sym__Noreturn] = ACTIONS(2726),
    [anon_sym__Nonnull] = ACTIONS(2726),
    [anon_sym_nullable] = ACTIONS(2726),
    [anon_sym__Complex] = ACTIONS(2726),
    [anon_sym__Nullable] = ACTIONS(2726),
    [anon_sym__Nullable_result] = ACTIONS(2726),
    [anon_sym__Null_unspecified] = ACTIONS(2726),
    [anon_sym___autoreleasing] = ACTIONS(2726),
    [anon_sym___block] = ACTIONS(2726),
    [anon_sym___bridge] = ACTIONS(2726),
    [anon_sym___bridge_retained] = ACTIONS(2726),
    [anon_sym___bridge_transfer] = ACTIONS(2726),
    [anon_sym___complex] = ACTIONS(2726),
    [anon_sym___const] = ACTIONS(2726),
    [anon_sym___imag] = ACTIONS(2726),
    [anon_sym___kindof] = ACTIONS(2726),
    [anon_sym___nonnull] = ACTIONS(2726),
    [anon_sym___nullable] = ACTIONS(2726),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2726),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2726),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2726),
    [anon_sym___real] = ACTIONS(2726),
    [anon_sym___strong] = ACTIONS(2726),
    [anon_sym___unsafe_unretained] = ACTIONS(2726),
    [anon_sym___unused] = ACTIONS(2726),
    [anon_sym___weak] = ACTIONS(2726),
    [anon_sym_alignas] = ACTIONS(2726),
    [anon_sym__Alignas] = ACTIONS(2726),
    [sym_primitive_type] = ACTIONS(2726),
    [anon_sym_enum] = ACTIONS(2726),
    [anon_sym_struct] = ACTIONS(2726),
    [anon_sym_union] = ACTIONS(2726),
    [anon_sym_if] = ACTIONS(2726),
    [anon_sym_switch] = ACTIONS(2726),
    [anon_sym_case] = ACTIONS(2726),
    [anon_sym_default] = ACTIONS(2726),
    [anon_sym_while] = ACTIONS(2726),
    [anon_sym_do] = ACTIONS(2726),
    [anon_sym_for] = ACTIONS(2726),
    [anon_sym_in] = ACTIONS(2726),
    [anon_sym_return] = ACTIONS(2726),
    [anon_sym_break] = ACTIONS(2726),
    [anon_sym_continue] = ACTIONS(2726),
    [anon_sym_goto] = ACTIONS(2726),
    [anon_sym_DASH_DASH] = ACTIONS(2728),
    [anon_sym_PLUS_PLUS] = ACTIONS(2728),
    [anon_sym_sizeof] = ACTIONS(2726),
    [anon_sym___alignof__] = ACTIONS(2726),
    [anon_sym___alignof] = ACTIONS(2726),
    [anon_sym__alignof] = ACTIONS(2726),
    [anon_sym_alignof] = ACTIONS(2726),
    [anon_sym__Alignof] = ACTIONS(2726),
    [anon_sym_offsetof] = ACTIONS(2726),
    [anon_sym__Generic] = ACTIONS(2726),
    [anon_sym_asm] = ACTIONS(2726),
    [anon_sym___asm__] = ACTIONS(2726),
    [anon_sym___asm] = ACTIONS(2726),
    [sym_number_literal] = ACTIONS(2728),
    [anon_sym_L_SQUOTE] = ACTIONS(2728),
    [anon_sym_u_SQUOTE] = ACTIONS(2728),
    [anon_sym_U_SQUOTE] = ACTIONS(2728),
    [anon_sym_u8_SQUOTE] = ACTIONS(2728),
    [anon_sym_SQUOTE] = ACTIONS(2728),
    [anon_sym_AT] = ACTIONS(2726),
    [anon_sym_DQUOTE] = ACTIONS(2728),
    [anon_sym_L_DQUOTE] = ACTIONS(2728),
    [anon_sym_u_DQUOTE] = ACTIONS(2728),
    [anon_sym_U_DQUOTE] = ACTIONS(2728),
    [anon_sym_u8_DQUOTE] = ACTIONS(2728),
    [sym_true] = ACTIONS(2726),
    [sym_false] = ACTIONS(2726),
    [anon_sym_NULL] = ACTIONS(2726),
    [anon_sym_nullptr] = ACTIONS(2726),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2726),
    [anon_sym___typeof] = ACTIONS(2726),
    [anon_sym_typeof] = ACTIONS(2726),
    [anon_sym_ATimport] = ACTIONS(2728),
    [aux_sym_preproc_undef_token1] = ACTIONS(2726),
    [anon_sym_POUND] = ACTIONS(2726),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2726),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2726),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2726),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2726),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2726),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2726),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2726),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2726),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2726),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2726),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2726),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2726),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2726),
    [anon_sym_API_AVAILABLE] = ACTIONS(2726),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2726),
    [anon_sym_API_DEPRECATED] = ACTIONS(2726),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2726),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2726),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2726),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2726),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2726),
    [anon_sym___deprecated_msg] = ACTIONS(2726),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2726),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2726),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2726),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2726),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2726),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2726),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2726),
    [anon_sym_ATprotocol] = ACTIONS(2728),
    [anon_sym_ATinterface] = ACTIONS(2728),
    [anon_sym_ATimplementation] = ACTIONS(2728),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2728),
    [anon_sym_ATselector] = ACTIONS(2728),
    [anon_sym_ATavailable] = ACTIONS(2728),
    [anon_sym___builtin_available] = ACTIONS(2726),
    [anon_sym_va_arg] = ACTIONS(2726),
    [anon_sym_ATencode] = ACTIONS(2728),
    [anon_sym_BOOL] = ACTIONS(2726),
    [anon_sym_IMP] = ACTIONS(2726),
    [anon_sym_SEL] = ACTIONS(2726),
    [anon_sym_Class] = ACTIONS(2726),
    [anon_sym_id] = ACTIONS(2726),
  },
  [1052] = {
    [ts_builtin_sym_end] = ACTIONS(2822),
    [sym_identifier] = ACTIONS(2820),
    [aux_sym_preproc_include_token1] = ACTIONS(2820),
    [aux_sym_preproc_include_token2] = ACTIONS(2820),
    [aux_sym_preproc_def_token1] = ACTIONS(2820),
    [aux_sym_preproc_if_token1] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2820),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2820),
    [sym_preproc_directive] = ACTIONS(2820),
    [anon_sym_LPAREN2] = ACTIONS(2822),
    [anon_sym_BANG] = ACTIONS(2822),
    [anon_sym_TILDE] = ACTIONS(2822),
    [anon_sym_DASH] = ACTIONS(2820),
    [anon_sym_PLUS] = ACTIONS(2820),
    [anon_sym_STAR] = ACTIONS(2822),
    [anon_sym_CARET] = ACTIONS(2822),
    [anon_sym_AMP] = ACTIONS(2822),
    [anon_sym_SEMI] = ACTIONS(2822),
    [anon_sym___extension__] = ACTIONS(2820),
    [anon_sym_typedef] = ACTIONS(2820),
    [anon_sym_extern] = ACTIONS(2820),
    [anon_sym___attribute__] = ACTIONS(2820),
    [anon_sym___attribute] = ACTIONS(2820),
    [anon_sym_noreturn] = ACTIONS(2820),
    [anon_sym_LBRACK] = ACTIONS(2822),
    [anon_sym___declspec] = ACTIONS(2820),
    [anon_sym___cdecl] = ACTIONS(2820),
    [anon_sym___clrcall] = ACTIONS(2820),
    [anon_sym___stdcall] = ACTIONS(2820),
    [anon_sym___fastcall] = ACTIONS(2820),
    [anon_sym___thiscall] = ACTIONS(2820),
    [anon_sym___vectorcall] = ACTIONS(2820),
    [anon_sym_LBRACE] = ACTIONS(2822),
    [anon_sym_signed] = ACTIONS(2820),
    [anon_sym_unsigned] = ACTIONS(2820),
    [anon_sym_long] = ACTIONS(2820),
    [anon_sym_short] = ACTIONS(2820),
    [anon_sym_static] = ACTIONS(2820),
    [anon_sym_ATautoreleasepool] = ACTIONS(2822),
    [anon_sym_auto] = ACTIONS(2820),
    [anon_sym_register] = ACTIONS(2820),
    [anon_sym_inline] = ACTIONS(2820),
    [anon_sym___inline] = ACTIONS(2820),
    [anon_sym___inline__] = ACTIONS(2820),
    [anon_sym___forceinline] = ACTIONS(2820),
    [anon_sym_thread_local] = ACTIONS(2820),
    [anon_sym___thread] = ACTIONS(2820),
    [anon_sym_CG_EXTERN] = ACTIONS(2820),
    [anon_sym_CG_INLINE] = ACTIONS(2820),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2820),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2820),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2820),
    [anon_sym_IBOutlet] = ACTIONS(2820),
    [anon_sym_IBInspectable] = ACTIONS(2820),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2820),
    [anon_sym_NS_INLINE] = ACTIONS(2820),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2820),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2820),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2820),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2820),
    [anon_sym_const] = ACTIONS(2820),
    [anon_sym_constexpr] = ACTIONS(2820),
    [anon_sym_volatile] = ACTIONS(2820),
    [anon_sym_restrict] = ACTIONS(2820),
    [anon_sym___restrict__] = ACTIONS(2820),
    [anon_sym__Atomic] = ACTIONS(2820),
    [anon_sym__Noreturn] = ACTIONS(2820),
    [anon_sym__Nonnull] = ACTIONS(2820),
    [anon_sym_nullable] = ACTIONS(2820),
    [anon_sym__Complex] = ACTIONS(2820),
    [anon_sym__Nullable] = ACTIONS(2820),
    [anon_sym__Nullable_result] = ACTIONS(2820),
    [anon_sym__Null_unspecified] = ACTIONS(2820),
    [anon_sym___autoreleasing] = ACTIONS(2820),
    [anon_sym___block] = ACTIONS(2820),
    [anon_sym___bridge] = ACTIONS(2820),
    [anon_sym___bridge_retained] = ACTIONS(2820),
    [anon_sym___bridge_transfer] = ACTIONS(2820),
    [anon_sym___complex] = ACTIONS(2820),
    [anon_sym___const] = ACTIONS(2820),
    [anon_sym___imag] = ACTIONS(2820),
    [anon_sym___kindof] = ACTIONS(2820),
    [anon_sym___nonnull] = ACTIONS(2820),
    [anon_sym___nullable] = ACTIONS(2820),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2820),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2820),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2820),
    [anon_sym___real] = ACTIONS(2820),
    [anon_sym___strong] = ACTIONS(2820),
    [anon_sym___unsafe_unretained] = ACTIONS(2820),
    [anon_sym___unused] = ACTIONS(2820),
    [anon_sym___weak] = ACTIONS(2820),
    [anon_sym_alignas] = ACTIONS(2820),
    [anon_sym__Alignas] = ACTIONS(2820),
    [sym_primitive_type] = ACTIONS(2820),
    [anon_sym_enum] = ACTIONS(2820),
    [anon_sym_struct] = ACTIONS(2820),
    [anon_sym_union] = ACTIONS(2820),
    [anon_sym_if] = ACTIONS(2820),
    [anon_sym_switch] = ACTIONS(2820),
    [anon_sym_case] = ACTIONS(2820),
    [anon_sym_default] = ACTIONS(2820),
    [anon_sym_while] = ACTIONS(2820),
    [anon_sym_do] = ACTIONS(2820),
    [anon_sym_for] = ACTIONS(2820),
    [anon_sym_in] = ACTIONS(2820),
    [anon_sym_return] = ACTIONS(2820),
    [anon_sym_break] = ACTIONS(2820),
    [anon_sym_continue] = ACTIONS(2820),
    [anon_sym_goto] = ACTIONS(2820),
    [anon_sym_DASH_DASH] = ACTIONS(2822),
    [anon_sym_PLUS_PLUS] = ACTIONS(2822),
    [anon_sym_sizeof] = ACTIONS(2820),
    [anon_sym___alignof__] = ACTIONS(2820),
    [anon_sym___alignof] = ACTIONS(2820),
    [anon_sym__alignof] = ACTIONS(2820),
    [anon_sym_alignof] = ACTIONS(2820),
    [anon_sym__Alignof] = ACTIONS(2820),
    [anon_sym_offsetof] = ACTIONS(2820),
    [anon_sym__Generic] = ACTIONS(2820),
    [anon_sym_asm] = ACTIONS(2820),
    [anon_sym___asm__] = ACTIONS(2820),
    [anon_sym___asm] = ACTIONS(2820),
    [sym_number_literal] = ACTIONS(2822),
    [anon_sym_L_SQUOTE] = ACTIONS(2822),
    [anon_sym_u_SQUOTE] = ACTIONS(2822),
    [anon_sym_U_SQUOTE] = ACTIONS(2822),
    [anon_sym_u8_SQUOTE] = ACTIONS(2822),
    [anon_sym_SQUOTE] = ACTIONS(2822),
    [anon_sym_AT] = ACTIONS(2820),
    [anon_sym_DQUOTE] = ACTIONS(2822),
    [anon_sym_L_DQUOTE] = ACTIONS(2822),
    [anon_sym_u_DQUOTE] = ACTIONS(2822),
    [anon_sym_U_DQUOTE] = ACTIONS(2822),
    [anon_sym_u8_DQUOTE] = ACTIONS(2822),
    [sym_true] = ACTIONS(2820),
    [sym_false] = ACTIONS(2820),
    [anon_sym_NULL] = ACTIONS(2820),
    [anon_sym_nullptr] = ACTIONS(2820),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2820),
    [anon_sym___typeof] = ACTIONS(2820),
    [anon_sym_typeof] = ACTIONS(2820),
    [anon_sym_ATimport] = ACTIONS(2822),
    [aux_sym_preproc_undef_token1] = ACTIONS(2820),
    [anon_sym_POUND] = ACTIONS(2820),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2820),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2820),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2820),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2820),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2820),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2820),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2820),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2820),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2820),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2820),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2820),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2820),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2820),
    [anon_sym_API_AVAILABLE] = ACTIONS(2820),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2820),
    [anon_sym_API_DEPRECATED] = ACTIONS(2820),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2820),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2820),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2820),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2820),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2820),
    [anon_sym___deprecated_msg] = ACTIONS(2820),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2820),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2820),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2820),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2820),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2820),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2820),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2820),
    [anon_sym_ATprotocol] = ACTIONS(2822),
    [anon_sym_ATinterface] = ACTIONS(2822),
    [anon_sym_ATimplementation] = ACTIONS(2822),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2822),
    [anon_sym_ATselector] = ACTIONS(2822),
    [anon_sym_ATavailable] = ACTIONS(2822),
    [anon_sym___builtin_available] = ACTIONS(2820),
    [anon_sym_va_arg] = ACTIONS(2820),
    [anon_sym_ATencode] = ACTIONS(2822),
    [anon_sym_BOOL] = ACTIONS(2820),
    [anon_sym_IMP] = ACTIONS(2820),
    [anon_sym_SEL] = ACTIONS(2820),
    [anon_sym_Class] = ACTIONS(2820),
    [anon_sym_id] = ACTIONS(2820),
  },
  [1053] = {
    [ts_builtin_sym_end] = ACTIONS(2538),
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_include_token2] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_CARET] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_ATautoreleasepool] = ACTIONS(2538),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [anon_sym___asm] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [anon_sym_ATimport] = ACTIONS(2538),
    [aux_sym_preproc_undef_token1] = ACTIONS(2536),
    [anon_sym_POUND] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATprotocol] = ACTIONS(2538),
    [anon_sym_ATinterface] = ACTIONS(2538),
    [anon_sym_ATimplementation] = ACTIONS(2538),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2538),
    [anon_sym_ATselector] = ACTIONS(2538),
    [anon_sym_ATavailable] = ACTIONS(2538),
    [anon_sym___builtin_available] = ACTIONS(2536),
    [anon_sym_va_arg] = ACTIONS(2536),
    [anon_sym_ATencode] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [1054] = {
    [ts_builtin_sym_end] = ACTIONS(2538),
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_include_token2] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_CARET] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_ATautoreleasepool] = ACTIONS(2538),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [anon_sym___asm] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [anon_sym_ATimport] = ACTIONS(2538),
    [aux_sym_preproc_undef_token1] = ACTIONS(2536),
    [anon_sym_POUND] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATprotocol] = ACTIONS(2538),
    [anon_sym_ATinterface] = ACTIONS(2538),
    [anon_sym_ATimplementation] = ACTIONS(2538),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2538),
    [anon_sym_ATselector] = ACTIONS(2538),
    [anon_sym_ATavailable] = ACTIONS(2538),
    [anon_sym___builtin_available] = ACTIONS(2536),
    [anon_sym_va_arg] = ACTIONS(2536),
    [anon_sym_ATencode] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [1055] = {
    [ts_builtin_sym_end] = ACTIONS(2538),
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_include_token1] = ACTIONS(2536),
    [aux_sym_preproc_include_token2] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_CARET] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_ATautoreleasepool] = ACTIONS(2538),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_case] = ACTIONS(2536),
    [anon_sym_default] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [anon_sym___asm] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [anon_sym_ATimport] = ACTIONS(2538),
    [aux_sym_preproc_undef_token1] = ACTIONS(2536),
    [anon_sym_POUND] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATprotocol] = ACTIONS(2538),
    [anon_sym_ATinterface] = ACTIONS(2538),
    [anon_sym_ATimplementation] = ACTIONS(2538),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2538),
    [anon_sym_ATselector] = ACTIONS(2538),
    [anon_sym_ATavailable] = ACTIONS(2538),
    [anon_sym___builtin_available] = ACTIONS(2536),
    [anon_sym_va_arg] = ACTIONS(2536),
    [anon_sym_ATencode] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [1056] = {
    [ts_builtin_sym_end] = ACTIONS(2826),
    [sym_identifier] = ACTIONS(2824),
    [aux_sym_preproc_include_token1] = ACTIONS(2824),
    [aux_sym_preproc_include_token2] = ACTIONS(2824),
    [aux_sym_preproc_def_token1] = ACTIONS(2824),
    [aux_sym_preproc_if_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2824),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2824),
    [sym_preproc_directive] = ACTIONS(2824),
    [anon_sym_LPAREN2] = ACTIONS(2826),
    [anon_sym_BANG] = ACTIONS(2826),
    [anon_sym_TILDE] = ACTIONS(2826),
    [anon_sym_DASH] = ACTIONS(2824),
    [anon_sym_PLUS] = ACTIONS(2824),
    [anon_sym_STAR] = ACTIONS(2826),
    [anon_sym_CARET] = ACTIONS(2826),
    [anon_sym_AMP] = ACTIONS(2826),
    [anon_sym_SEMI] = ACTIONS(2826),
    [anon_sym___extension__] = ACTIONS(2824),
    [anon_sym_typedef] = ACTIONS(2824),
    [anon_sym_extern] = ACTIONS(2824),
    [anon_sym___attribute__] = ACTIONS(2824),
    [anon_sym___attribute] = ACTIONS(2824),
    [anon_sym_noreturn] = ACTIONS(2824),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym___declspec] = ACTIONS(2824),
    [anon_sym___cdecl] = ACTIONS(2824),
    [anon_sym___clrcall] = ACTIONS(2824),
    [anon_sym___stdcall] = ACTIONS(2824),
    [anon_sym___fastcall] = ACTIONS(2824),
    [anon_sym___thiscall] = ACTIONS(2824),
    [anon_sym___vectorcall] = ACTIONS(2824),
    [anon_sym_LBRACE] = ACTIONS(2826),
    [anon_sym_signed] = ACTIONS(2824),
    [anon_sym_unsigned] = ACTIONS(2824),
    [anon_sym_long] = ACTIONS(2824),
    [anon_sym_short] = ACTIONS(2824),
    [anon_sym_static] = ACTIONS(2824),
    [anon_sym_ATautoreleasepool] = ACTIONS(2826),
    [anon_sym_auto] = ACTIONS(2824),
    [anon_sym_register] = ACTIONS(2824),
    [anon_sym_inline] = ACTIONS(2824),
    [anon_sym___inline] = ACTIONS(2824),
    [anon_sym___inline__] = ACTIONS(2824),
    [anon_sym___forceinline] = ACTIONS(2824),
    [anon_sym_thread_local] = ACTIONS(2824),
    [anon_sym___thread] = ACTIONS(2824),
    [anon_sym_CG_EXTERN] = ACTIONS(2824),
    [anon_sym_CG_INLINE] = ACTIONS(2824),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2824),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2824),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2824),
    [anon_sym_IBOutlet] = ACTIONS(2824),
    [anon_sym_IBInspectable] = ACTIONS(2824),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2824),
    [anon_sym_NS_INLINE] = ACTIONS(2824),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2824),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2824),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2824),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2824),
    [anon_sym_const] = ACTIONS(2824),
    [anon_sym_constexpr] = ACTIONS(2824),
    [anon_sym_volatile] = ACTIONS(2824),
    [anon_sym_restrict] = ACTIONS(2824),
    [anon_sym___restrict__] = ACTIONS(2824),
    [anon_sym__Atomic] = ACTIONS(2824),
    [anon_sym__Noreturn] = ACTIONS(2824),
    [anon_sym__Nonnull] = ACTIONS(2824),
    [anon_sym_nullable] = ACTIONS(2824),
    [anon_sym__Complex] = ACTIONS(2824),
    [anon_sym__Nullable] = ACTIONS(2824),
    [anon_sym__Nullable_result] = ACTIONS(2824),
    [anon_sym__Null_unspecified] = ACTIONS(2824),
    [anon_sym___autoreleasing] = ACTIONS(2824),
    [anon_sym___block] = ACTIONS(2824),
    [anon_sym___bridge] = ACTIONS(2824),
    [anon_sym___bridge_retained] = ACTIONS(2824),
    [anon_sym___bridge_transfer] = ACTIONS(2824),
    [anon_sym___complex] = ACTIONS(2824),
    [anon_sym___const] = ACTIONS(2824),
    [anon_sym___imag] = ACTIONS(2824),
    [anon_sym___kindof] = ACTIONS(2824),
    [anon_sym___nonnull] = ACTIONS(2824),
    [anon_sym___nullable] = ACTIONS(2824),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2824),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2824),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2824),
    [anon_sym___real] = ACTIONS(2824),
    [anon_sym___strong] = ACTIONS(2824),
    [anon_sym___unsafe_unretained] = ACTIONS(2824),
    [anon_sym___unused] = ACTIONS(2824),
    [anon_sym___weak] = ACTIONS(2824),
    [anon_sym_alignas] = ACTIONS(2824),
    [anon_sym__Alignas] = ACTIONS(2824),
    [sym_primitive_type] = ACTIONS(2824),
    [anon_sym_enum] = ACTIONS(2824),
    [anon_sym_struct] = ACTIONS(2824),
    [anon_sym_union] = ACTIONS(2824),
    [anon_sym_if] = ACTIONS(2824),
    [anon_sym_switch] = ACTIONS(2824),
    [anon_sym_case] = ACTIONS(2824),
    [anon_sym_default] = ACTIONS(2824),
    [anon_sym_while] = ACTIONS(2824),
    [anon_sym_do] = ACTIONS(2824),
    [anon_sym_for] = ACTIONS(2824),
    [anon_sym_in] = ACTIONS(2824),
    [anon_sym_return] = ACTIONS(2824),
    [anon_sym_break] = ACTIONS(2824),
    [anon_sym_continue] = ACTIONS(2824),
    [anon_sym_goto] = ACTIONS(2824),
    [anon_sym_DASH_DASH] = ACTIONS(2826),
    [anon_sym_PLUS_PLUS] = ACTIONS(2826),
    [anon_sym_sizeof] = ACTIONS(2824),
    [anon_sym___alignof__] = ACTIONS(2824),
    [anon_sym___alignof] = ACTIONS(2824),
    [anon_sym__alignof] = ACTIONS(2824),
    [anon_sym_alignof] = ACTIONS(2824),
    [anon_sym__Alignof] = ACTIONS(2824),
    [anon_sym_offsetof] = ACTIONS(2824),
    [anon_sym__Generic] = ACTIONS(2824),
    [anon_sym_asm] = ACTIONS(2824),
    [anon_sym___asm__] = ACTIONS(2824),
    [anon_sym___asm] = ACTIONS(2824),
    [sym_number_literal] = ACTIONS(2826),
    [anon_sym_L_SQUOTE] = ACTIONS(2826),
    [anon_sym_u_SQUOTE] = ACTIONS(2826),
    [anon_sym_U_SQUOTE] = ACTIONS(2826),
    [anon_sym_u8_SQUOTE] = ACTIONS(2826),
    [anon_sym_SQUOTE] = ACTIONS(2826),
    [anon_sym_AT] = ACTIONS(2824),
    [anon_sym_DQUOTE] = ACTIONS(2826),
    [anon_sym_L_DQUOTE] = ACTIONS(2826),
    [anon_sym_u_DQUOTE] = ACTIONS(2826),
    [anon_sym_U_DQUOTE] = ACTIONS(2826),
    [anon_sym_u8_DQUOTE] = ACTIONS(2826),
    [sym_true] = ACTIONS(2824),
    [sym_false] = ACTIONS(2824),
    [anon_sym_NULL] = ACTIONS(2824),
    [anon_sym_nullptr] = ACTIONS(2824),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2824),
    [anon_sym___typeof] = ACTIONS(2824),
    [anon_sym_typeof] = ACTIONS(2824),
    [anon_sym_ATimport] = ACTIONS(2826),
    [aux_sym_preproc_undef_token1] = ACTIONS(2824),
    [anon_sym_POUND] = ACTIONS(2824),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2824),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2824),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2824),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2824),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2824),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2824),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2824),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2824),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2824),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2824),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2824),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2824),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2824),
    [anon_sym_API_AVAILABLE] = ACTIONS(2824),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2824),
    [anon_sym_API_DEPRECATED] = ACTIONS(2824),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2824),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2824),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2824),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2824),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2824),
    [anon_sym___deprecated_msg] = ACTIONS(2824),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2824),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2824),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2824),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2824),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2824),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2824),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2824),
    [anon_sym_ATprotocol] = ACTIONS(2826),
    [anon_sym_ATinterface] = ACTIONS(2826),
    [anon_sym_ATimplementation] = ACTIONS(2826),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2826),
    [anon_sym_ATselector] = ACTIONS(2826),
    [anon_sym_ATavailable] = ACTIONS(2826),
    [anon_sym___builtin_available] = ACTIONS(2824),
    [anon_sym_va_arg] = ACTIONS(2824),
    [anon_sym_ATencode] = ACTIONS(2826),
    [anon_sym_BOOL] = ACTIONS(2824),
    [anon_sym_IMP] = ACTIONS(2824),
    [anon_sym_SEL] = ACTIONS(2824),
    [anon_sym_Class] = ACTIONS(2824),
    [anon_sym_id] = ACTIONS(2824),
  },
  [1057] = {
    [ts_builtin_sym_end] = ACTIONS(2744),
    [sym_identifier] = ACTIONS(2742),
    [aux_sym_preproc_include_token1] = ACTIONS(2742),
    [aux_sym_preproc_include_token2] = ACTIONS(2742),
    [aux_sym_preproc_def_token1] = ACTIONS(2742),
    [aux_sym_preproc_if_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2742),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2742),
    [sym_preproc_directive] = ACTIONS(2742),
    [anon_sym_LPAREN2] = ACTIONS(2744),
    [anon_sym_BANG] = ACTIONS(2744),
    [anon_sym_TILDE] = ACTIONS(2744),
    [anon_sym_DASH] = ACTIONS(2742),
    [anon_sym_PLUS] = ACTIONS(2742),
    [anon_sym_STAR] = ACTIONS(2744),
    [anon_sym_CARET] = ACTIONS(2744),
    [anon_sym_AMP] = ACTIONS(2744),
    [anon_sym_SEMI] = ACTIONS(2744),
    [anon_sym___extension__] = ACTIONS(2742),
    [anon_sym_typedef] = ACTIONS(2742),
    [anon_sym_extern] = ACTIONS(2742),
    [anon_sym___attribute__] = ACTIONS(2742),
    [anon_sym___attribute] = ACTIONS(2742),
    [anon_sym_noreturn] = ACTIONS(2742),
    [anon_sym_LBRACK] = ACTIONS(2744),
    [anon_sym___declspec] = ACTIONS(2742),
    [anon_sym___cdecl] = ACTIONS(2742),
    [anon_sym___clrcall] = ACTIONS(2742),
    [anon_sym___stdcall] = ACTIONS(2742),
    [anon_sym___fastcall] = ACTIONS(2742),
    [anon_sym___thiscall] = ACTIONS(2742),
    [anon_sym___vectorcall] = ACTIONS(2742),
    [anon_sym_LBRACE] = ACTIONS(2744),
    [anon_sym_signed] = ACTIONS(2742),
    [anon_sym_unsigned] = ACTIONS(2742),
    [anon_sym_long] = ACTIONS(2742),
    [anon_sym_short] = ACTIONS(2742),
    [anon_sym_static] = ACTIONS(2742),
    [anon_sym_ATautoreleasepool] = ACTIONS(2744),
    [anon_sym_auto] = ACTIONS(2742),
    [anon_sym_register] = ACTIONS(2742),
    [anon_sym_inline] = ACTIONS(2742),
    [anon_sym___inline] = ACTIONS(2742),
    [anon_sym___inline__] = ACTIONS(2742),
    [anon_sym___forceinline] = ACTIONS(2742),
    [anon_sym_thread_local] = ACTIONS(2742),
    [anon_sym___thread] = ACTIONS(2742),
    [anon_sym_CG_EXTERN] = ACTIONS(2742),
    [anon_sym_CG_INLINE] = ACTIONS(2742),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2742),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2742),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2742),
    [anon_sym_IBOutlet] = ACTIONS(2742),
    [anon_sym_IBInspectable] = ACTIONS(2742),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2742),
    [anon_sym_NS_INLINE] = ACTIONS(2742),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2742),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2742),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2742),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2742),
    [anon_sym_const] = ACTIONS(2742),
    [anon_sym_constexpr] = ACTIONS(2742),
    [anon_sym_volatile] = ACTIONS(2742),
    [anon_sym_restrict] = ACTIONS(2742),
    [anon_sym___restrict__] = ACTIONS(2742),
    [anon_sym__Atomic] = ACTIONS(2742),
    [anon_sym__Noreturn] = ACTIONS(2742),
    [anon_sym__Nonnull] = ACTIONS(2742),
    [anon_sym_nullable] = ACTIONS(2742),
    [anon_sym__Complex] = ACTIONS(2742),
    [anon_sym__Nullable] = ACTIONS(2742),
    [anon_sym__Nullable_result] = ACTIONS(2742),
    [anon_sym__Null_unspecified] = ACTIONS(2742),
    [anon_sym___autoreleasing] = ACTIONS(2742),
    [anon_sym___block] = ACTIONS(2742),
    [anon_sym___bridge] = ACTIONS(2742),
    [anon_sym___bridge_retained] = ACTIONS(2742),
    [anon_sym___bridge_transfer] = ACTIONS(2742),
    [anon_sym___complex] = ACTIONS(2742),
    [anon_sym___const] = ACTIONS(2742),
    [anon_sym___imag] = ACTIONS(2742),
    [anon_sym___kindof] = ACTIONS(2742),
    [anon_sym___nonnull] = ACTIONS(2742),
    [anon_sym___nullable] = ACTIONS(2742),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2742),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2742),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2742),
    [anon_sym___real] = ACTIONS(2742),
    [anon_sym___strong] = ACTIONS(2742),
    [anon_sym___unsafe_unretained] = ACTIONS(2742),
    [anon_sym___unused] = ACTIONS(2742),
    [anon_sym___weak] = ACTIONS(2742),
    [anon_sym_alignas] = ACTIONS(2742),
    [anon_sym__Alignas] = ACTIONS(2742),
    [sym_primitive_type] = ACTIONS(2742),
    [anon_sym_enum] = ACTIONS(2742),
    [anon_sym_struct] = ACTIONS(2742),
    [anon_sym_union] = ACTIONS(2742),
    [anon_sym_if] = ACTIONS(2742),
    [anon_sym_switch] = ACTIONS(2742),
    [anon_sym_case] = ACTIONS(2742),
    [anon_sym_default] = ACTIONS(2742),
    [anon_sym_while] = ACTIONS(2742),
    [anon_sym_do] = ACTIONS(2742),
    [anon_sym_for] = ACTIONS(2742),
    [anon_sym_in] = ACTIONS(2742),
    [anon_sym_return] = ACTIONS(2742),
    [anon_sym_break] = ACTIONS(2742),
    [anon_sym_continue] = ACTIONS(2742),
    [anon_sym_goto] = ACTIONS(2742),
    [anon_sym_DASH_DASH] = ACTIONS(2744),
    [anon_sym_PLUS_PLUS] = ACTIONS(2744),
    [anon_sym_sizeof] = ACTIONS(2742),
    [anon_sym___alignof__] = ACTIONS(2742),
    [anon_sym___alignof] = ACTIONS(2742),
    [anon_sym__alignof] = ACTIONS(2742),
    [anon_sym_alignof] = ACTIONS(2742),
    [anon_sym__Alignof] = ACTIONS(2742),
    [anon_sym_offsetof] = ACTIONS(2742),
    [anon_sym__Generic] = ACTIONS(2742),
    [anon_sym_asm] = ACTIONS(2742),
    [anon_sym___asm__] = ACTIONS(2742),
    [anon_sym___asm] = ACTIONS(2742),
    [sym_number_literal] = ACTIONS(2744),
    [anon_sym_L_SQUOTE] = ACTIONS(2744),
    [anon_sym_u_SQUOTE] = ACTIONS(2744),
    [anon_sym_U_SQUOTE] = ACTIONS(2744),
    [anon_sym_u8_SQUOTE] = ACTIONS(2744),
    [anon_sym_SQUOTE] = ACTIONS(2744),
    [anon_sym_AT] = ACTIONS(2742),
    [anon_sym_DQUOTE] = ACTIONS(2744),
    [anon_sym_L_DQUOTE] = ACTIONS(2744),
    [anon_sym_u_DQUOTE] = ACTIONS(2744),
    [anon_sym_U_DQUOTE] = ACTIONS(2744),
    [anon_sym_u8_DQUOTE] = ACTIONS(2744),
    [sym_true] = ACTIONS(2742),
    [sym_false] = ACTIONS(2742),
    [anon_sym_NULL] = ACTIONS(2742),
    [anon_sym_nullptr] = ACTIONS(2742),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2742),
    [anon_sym___typeof] = ACTIONS(2742),
    [anon_sym_typeof] = ACTIONS(2742),
    [anon_sym_ATimport] = ACTIONS(2744),
    [aux_sym_preproc_undef_token1] = ACTIONS(2742),
    [anon_sym_POUND] = ACTIONS(2742),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2742),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2742),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2742),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2742),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2742),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2742),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2742),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2742),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2742),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2742),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2742),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2742),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2742),
    [anon_sym_API_AVAILABLE] = ACTIONS(2742),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2742),
    [anon_sym_API_DEPRECATED] = ACTIONS(2742),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2742),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2742),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2742),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2742),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2742),
    [anon_sym___deprecated_msg] = ACTIONS(2742),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2742),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2742),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2742),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2742),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2742),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2742),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2742),
    [anon_sym_ATprotocol] = ACTIONS(2744),
    [anon_sym_ATinterface] = ACTIONS(2744),
    [anon_sym_ATimplementation] = ACTIONS(2744),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2744),
    [anon_sym_ATselector] = ACTIONS(2744),
    [anon_sym_ATavailable] = ACTIONS(2744),
    [anon_sym___builtin_available] = ACTIONS(2742),
    [anon_sym_va_arg] = ACTIONS(2742),
    [anon_sym_ATencode] = ACTIONS(2744),
    [anon_sym_BOOL] = ACTIONS(2742),
    [anon_sym_IMP] = ACTIONS(2742),
    [anon_sym_SEL] = ACTIONS(2742),
    [anon_sym_Class] = ACTIONS(2742),
    [anon_sym_id] = ACTIONS(2742),
  },
  [1058] = {
    [ts_builtin_sym_end] = ACTIONS(2748),
    [sym_identifier] = ACTIONS(2746),
    [aux_sym_preproc_include_token1] = ACTIONS(2746),
    [aux_sym_preproc_include_token2] = ACTIONS(2746),
    [aux_sym_preproc_def_token1] = ACTIONS(2746),
    [aux_sym_preproc_if_token1] = ACTIONS(2746),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2746),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2746),
    [sym_preproc_directive] = ACTIONS(2746),
    [anon_sym_LPAREN2] = ACTIONS(2748),
    [anon_sym_BANG] = ACTIONS(2748),
    [anon_sym_TILDE] = ACTIONS(2748),
    [anon_sym_DASH] = ACTIONS(2746),
    [anon_sym_PLUS] = ACTIONS(2746),
    [anon_sym_STAR] = ACTIONS(2748),
    [anon_sym_CARET] = ACTIONS(2748),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_SEMI] = ACTIONS(2748),
    [anon_sym___extension__] = ACTIONS(2746),
    [anon_sym_typedef] = ACTIONS(2746),
    [anon_sym_extern] = ACTIONS(2746),
    [anon_sym___attribute__] = ACTIONS(2746),
    [anon_sym___attribute] = ACTIONS(2746),
    [anon_sym_noreturn] = ACTIONS(2746),
    [anon_sym_LBRACK] = ACTIONS(2748),
    [anon_sym___declspec] = ACTIONS(2746),
    [anon_sym___cdecl] = ACTIONS(2746),
    [anon_sym___clrcall] = ACTIONS(2746),
    [anon_sym___stdcall] = ACTIONS(2746),
    [anon_sym___fastcall] = ACTIONS(2746),
    [anon_sym___thiscall] = ACTIONS(2746),
    [anon_sym___vectorcall] = ACTIONS(2746),
    [anon_sym_LBRACE] = ACTIONS(2748),
    [anon_sym_signed] = ACTIONS(2746),
    [anon_sym_unsigned] = ACTIONS(2746),
    [anon_sym_long] = ACTIONS(2746),
    [anon_sym_short] = ACTIONS(2746),
    [anon_sym_static] = ACTIONS(2746),
    [anon_sym_ATautoreleasepool] = ACTIONS(2748),
    [anon_sym_auto] = ACTIONS(2746),
    [anon_sym_register] = ACTIONS(2746),
    [anon_sym_inline] = ACTIONS(2746),
    [anon_sym___inline] = ACTIONS(2746),
    [anon_sym___inline__] = ACTIONS(2746),
    [anon_sym___forceinline] = ACTIONS(2746),
    [anon_sym_thread_local] = ACTIONS(2746),
    [anon_sym___thread] = ACTIONS(2746),
    [anon_sym_CG_EXTERN] = ACTIONS(2746),
    [anon_sym_CG_INLINE] = ACTIONS(2746),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2746),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2746),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2746),
    [anon_sym_IBOutlet] = ACTIONS(2746),
    [anon_sym_IBInspectable] = ACTIONS(2746),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2746),
    [anon_sym_NS_INLINE] = ACTIONS(2746),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2746),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2746),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2746),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2746),
    [anon_sym_const] = ACTIONS(2746),
    [anon_sym_constexpr] = ACTIONS(2746),
    [anon_sym_volatile] = ACTIONS(2746),
    [anon_sym_restrict] = ACTIONS(2746),
    [anon_sym___restrict__] = ACTIONS(2746),
    [anon_sym__Atomic] = ACTIONS(2746),
    [anon_sym__Noreturn] = ACTIONS(2746),
    [anon_sym__Nonnull] = ACTIONS(2746),
    [anon_sym_nullable] = ACTIONS(2746),
    [anon_sym__Complex] = ACTIONS(2746),
    [anon_sym__Nullable] = ACTIONS(2746),
    [anon_sym__Nullable_result] = ACTIONS(2746),
    [anon_sym__Null_unspecified] = ACTIONS(2746),
    [anon_sym___autoreleasing] = ACTIONS(2746),
    [anon_sym___block] = ACTIONS(2746),
    [anon_sym___bridge] = ACTIONS(2746),
    [anon_sym___bridge_retained] = ACTIONS(2746),
    [anon_sym___bridge_transfer] = ACTIONS(2746),
    [anon_sym___complex] = ACTIONS(2746),
    [anon_sym___const] = ACTIONS(2746),
    [anon_sym___imag] = ACTIONS(2746),
    [anon_sym___kindof] = ACTIONS(2746),
    [anon_sym___nonnull] = ACTIONS(2746),
    [anon_sym___nullable] = ACTIONS(2746),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2746),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2746),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2746),
    [anon_sym___real] = ACTIONS(2746),
    [anon_sym___strong] = ACTIONS(2746),
    [anon_sym___unsafe_unretained] = ACTIONS(2746),
    [anon_sym___unused] = ACTIONS(2746),
    [anon_sym___weak] = ACTIONS(2746),
    [anon_sym_alignas] = ACTIONS(2746),
    [anon_sym__Alignas] = ACTIONS(2746),
    [sym_primitive_type] = ACTIONS(2746),
    [anon_sym_enum] = ACTIONS(2746),
    [anon_sym_struct] = ACTIONS(2746),
    [anon_sym_union] = ACTIONS(2746),
    [anon_sym_if] = ACTIONS(2746),
    [anon_sym_switch] = ACTIONS(2746),
    [anon_sym_case] = ACTIONS(2746),
    [anon_sym_default] = ACTIONS(2746),
    [anon_sym_while] = ACTIONS(2746),
    [anon_sym_do] = ACTIONS(2746),
    [anon_sym_for] = ACTIONS(2746),
    [anon_sym_in] = ACTIONS(2746),
    [anon_sym_return] = ACTIONS(2746),
    [anon_sym_break] = ACTIONS(2746),
    [anon_sym_continue] = ACTIONS(2746),
    [anon_sym_goto] = ACTIONS(2746),
    [anon_sym_DASH_DASH] = ACTIONS(2748),
    [anon_sym_PLUS_PLUS] = ACTIONS(2748),
    [anon_sym_sizeof] = ACTIONS(2746),
    [anon_sym___alignof__] = ACTIONS(2746),
    [anon_sym___alignof] = ACTIONS(2746),
    [anon_sym__alignof] = ACTIONS(2746),
    [anon_sym_alignof] = ACTIONS(2746),
    [anon_sym__Alignof] = ACTIONS(2746),
    [anon_sym_offsetof] = ACTIONS(2746),
    [anon_sym__Generic] = ACTIONS(2746),
    [anon_sym_asm] = ACTIONS(2746),
    [anon_sym___asm__] = ACTIONS(2746),
    [anon_sym___asm] = ACTIONS(2746),
    [sym_number_literal] = ACTIONS(2748),
    [anon_sym_L_SQUOTE] = ACTIONS(2748),
    [anon_sym_u_SQUOTE] = ACTIONS(2748),
    [anon_sym_U_SQUOTE] = ACTIONS(2748),
    [anon_sym_u8_SQUOTE] = ACTIONS(2748),
    [anon_sym_SQUOTE] = ACTIONS(2748),
    [anon_sym_AT] = ACTIONS(2746),
    [anon_sym_DQUOTE] = ACTIONS(2748),
    [anon_sym_L_DQUOTE] = ACTIONS(2748),
    [anon_sym_u_DQUOTE] = ACTIONS(2748),
    [anon_sym_U_DQUOTE] = ACTIONS(2748),
    [anon_sym_u8_DQUOTE] = ACTIONS(2748),
    [sym_true] = ACTIONS(2746),
    [sym_false] = ACTIONS(2746),
    [anon_sym_NULL] = ACTIONS(2746),
    [anon_sym_nullptr] = ACTIONS(2746),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2746),
    [anon_sym___typeof] = ACTIONS(2746),
    [anon_sym_typeof] = ACTIONS(2746),
    [anon_sym_ATimport] = ACTIONS(2748),
    [aux_sym_preproc_undef_token1] = ACTIONS(2746),
    [anon_sym_POUND] = ACTIONS(2746),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2746),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2746),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2746),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2746),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2746),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2746),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2746),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2746),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2746),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2746),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2746),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2746),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2746),
    [anon_sym_API_AVAILABLE] = ACTIONS(2746),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2746),
    [anon_sym_API_DEPRECATED] = ACTIONS(2746),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2746),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2746),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2746),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2746),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2746),
    [anon_sym___deprecated_msg] = ACTIONS(2746),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2746),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2746),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2746),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2746),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2746),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2746),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2746),
    [anon_sym_ATprotocol] = ACTIONS(2748),
    [anon_sym_ATinterface] = ACTIONS(2748),
    [anon_sym_ATimplementation] = ACTIONS(2748),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2748),
    [anon_sym_ATselector] = ACTIONS(2748),
    [anon_sym_ATavailable] = ACTIONS(2748),
    [anon_sym___builtin_available] = ACTIONS(2746),
    [anon_sym_va_arg] = ACTIONS(2746),
    [anon_sym_ATencode] = ACTIONS(2748),
    [anon_sym_BOOL] = ACTIONS(2746),
    [anon_sym_IMP] = ACTIONS(2746),
    [anon_sym_SEL] = ACTIONS(2746),
    [anon_sym_Class] = ACTIONS(2746),
    [anon_sym_id] = ACTIONS(2746),
  },
  [1059] = {
    [ts_builtin_sym_end] = ACTIONS(2676),
    [sym_identifier] = ACTIONS(2674),
    [aux_sym_preproc_include_token1] = ACTIONS(2674),
    [aux_sym_preproc_include_token2] = ACTIONS(2674),
    [aux_sym_preproc_def_token1] = ACTIONS(2674),
    [aux_sym_preproc_if_token1] = ACTIONS(2674),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2674),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2674),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_LPAREN2] = ACTIONS(2676),
    [anon_sym_BANG] = ACTIONS(2676),
    [anon_sym_TILDE] = ACTIONS(2676),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_STAR] = ACTIONS(2676),
    [anon_sym_CARET] = ACTIONS(2676),
    [anon_sym_AMP] = ACTIONS(2676),
    [anon_sym_SEMI] = ACTIONS(2676),
    [anon_sym___extension__] = ACTIONS(2674),
    [anon_sym_typedef] = ACTIONS(2674),
    [anon_sym_extern] = ACTIONS(2674),
    [anon_sym___attribute__] = ACTIONS(2674),
    [anon_sym___attribute] = ACTIONS(2674),
    [anon_sym_noreturn] = ACTIONS(2674),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym___declspec] = ACTIONS(2674),
    [anon_sym___cdecl] = ACTIONS(2674),
    [anon_sym___clrcall] = ACTIONS(2674),
    [anon_sym___stdcall] = ACTIONS(2674),
    [anon_sym___fastcall] = ACTIONS(2674),
    [anon_sym___thiscall] = ACTIONS(2674),
    [anon_sym___vectorcall] = ACTIONS(2674),
    [anon_sym_LBRACE] = ACTIONS(2676),
    [anon_sym_signed] = ACTIONS(2674),
    [anon_sym_unsigned] = ACTIONS(2674),
    [anon_sym_long] = ACTIONS(2674),
    [anon_sym_short] = ACTIONS(2674),
    [anon_sym_static] = ACTIONS(2674),
    [anon_sym_ATautoreleasepool] = ACTIONS(2676),
    [anon_sym_auto] = ACTIONS(2674),
    [anon_sym_register] = ACTIONS(2674),
    [anon_sym_inline] = ACTIONS(2674),
    [anon_sym___inline] = ACTIONS(2674),
    [anon_sym___inline__] = ACTIONS(2674),
    [anon_sym___forceinline] = ACTIONS(2674),
    [anon_sym_thread_local] = ACTIONS(2674),
    [anon_sym___thread] = ACTIONS(2674),
    [anon_sym_CG_EXTERN] = ACTIONS(2674),
    [anon_sym_CG_INLINE] = ACTIONS(2674),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2674),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2674),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2674),
    [anon_sym_IBOutlet] = ACTIONS(2674),
    [anon_sym_IBInspectable] = ACTIONS(2674),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2674),
    [anon_sym_NS_INLINE] = ACTIONS(2674),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2674),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2674),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2674),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2674),
    [anon_sym_const] = ACTIONS(2674),
    [anon_sym_constexpr] = ACTIONS(2674),
    [anon_sym_volatile] = ACTIONS(2674),
    [anon_sym_restrict] = ACTIONS(2674),
    [anon_sym___restrict__] = ACTIONS(2674),
    [anon_sym__Atomic] = ACTIONS(2674),
    [anon_sym__Noreturn] = ACTIONS(2674),
    [anon_sym__Nonnull] = ACTIONS(2674),
    [anon_sym_nullable] = ACTIONS(2674),
    [anon_sym__Complex] = ACTIONS(2674),
    [anon_sym__Nullable] = ACTIONS(2674),
    [anon_sym__Nullable_result] = ACTIONS(2674),
    [anon_sym__Null_unspecified] = ACTIONS(2674),
    [anon_sym___autoreleasing] = ACTIONS(2674),
    [anon_sym___block] = ACTIONS(2674),
    [anon_sym___bridge] = ACTIONS(2674),
    [anon_sym___bridge_retained] = ACTIONS(2674),
    [anon_sym___bridge_transfer] = ACTIONS(2674),
    [anon_sym___complex] = ACTIONS(2674),
    [anon_sym___const] = ACTIONS(2674),
    [anon_sym___imag] = ACTIONS(2674),
    [anon_sym___kindof] = ACTIONS(2674),
    [anon_sym___nonnull] = ACTIONS(2674),
    [anon_sym___nullable] = ACTIONS(2674),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2674),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2674),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2674),
    [anon_sym___real] = ACTIONS(2674),
    [anon_sym___strong] = ACTIONS(2674),
    [anon_sym___unsafe_unretained] = ACTIONS(2674),
    [anon_sym___unused] = ACTIONS(2674),
    [anon_sym___weak] = ACTIONS(2674),
    [anon_sym_alignas] = ACTIONS(2674),
    [anon_sym__Alignas] = ACTIONS(2674),
    [sym_primitive_type] = ACTIONS(2674),
    [anon_sym_enum] = ACTIONS(2674),
    [anon_sym_struct] = ACTIONS(2674),
    [anon_sym_union] = ACTIONS(2674),
    [anon_sym_if] = ACTIONS(2674),
    [anon_sym_switch] = ACTIONS(2674),
    [anon_sym_case] = ACTIONS(2674),
    [anon_sym_default] = ACTIONS(2674),
    [anon_sym_while] = ACTIONS(2674),
    [anon_sym_do] = ACTIONS(2674),
    [anon_sym_for] = ACTIONS(2674),
    [anon_sym_in] = ACTIONS(2674),
    [anon_sym_return] = ACTIONS(2674),
    [anon_sym_break] = ACTIONS(2674),
    [anon_sym_continue] = ACTIONS(2674),
    [anon_sym_goto] = ACTIONS(2674),
    [anon_sym_DASH_DASH] = ACTIONS(2676),
    [anon_sym_PLUS_PLUS] = ACTIONS(2676),
    [anon_sym_sizeof] = ACTIONS(2674),
    [anon_sym___alignof__] = ACTIONS(2674),
    [anon_sym___alignof] = ACTIONS(2674),
    [anon_sym__alignof] = ACTIONS(2674),
    [anon_sym_alignof] = ACTIONS(2674),
    [anon_sym__Alignof] = ACTIONS(2674),
    [anon_sym_offsetof] = ACTIONS(2674),
    [anon_sym__Generic] = ACTIONS(2674),
    [anon_sym_asm] = ACTIONS(2674),
    [anon_sym___asm__] = ACTIONS(2674),
    [anon_sym___asm] = ACTIONS(2674),
    [sym_number_literal] = ACTIONS(2676),
    [anon_sym_L_SQUOTE] = ACTIONS(2676),
    [anon_sym_u_SQUOTE] = ACTIONS(2676),
    [anon_sym_U_SQUOTE] = ACTIONS(2676),
    [anon_sym_u8_SQUOTE] = ACTIONS(2676),
    [anon_sym_SQUOTE] = ACTIONS(2676),
    [anon_sym_AT] = ACTIONS(2674),
    [anon_sym_DQUOTE] = ACTIONS(2676),
    [anon_sym_L_DQUOTE] = ACTIONS(2676),
    [anon_sym_u_DQUOTE] = ACTIONS(2676),
    [anon_sym_U_DQUOTE] = ACTIONS(2676),
    [anon_sym_u8_DQUOTE] = ACTIONS(2676),
    [sym_true] = ACTIONS(2674),
    [sym_false] = ACTIONS(2674),
    [anon_sym_NULL] = ACTIONS(2674),
    [anon_sym_nullptr] = ACTIONS(2674),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2674),
    [anon_sym___typeof] = ACTIONS(2674),
    [anon_sym_typeof] = ACTIONS(2674),
    [anon_sym_ATimport] = ACTIONS(2676),
    [aux_sym_preproc_undef_token1] = ACTIONS(2674),
    [anon_sym_POUND] = ACTIONS(2674),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2674),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2674),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2674),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2674),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2674),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2674),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2674),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2674),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2674),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_API_AVAILABLE] = ACTIONS(2674),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_API_DEPRECATED] = ACTIONS(2674),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2674),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2674),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2674),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2674),
    [anon_sym___deprecated_msg] = ACTIONS(2674),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2674),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2674),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2674),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2674),
    [anon_sym_ATprotocol] = ACTIONS(2676),
    [anon_sym_ATinterface] = ACTIONS(2676),
    [anon_sym_ATimplementation] = ACTIONS(2676),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2676),
    [anon_sym_ATselector] = ACTIONS(2676),
    [anon_sym_ATavailable] = ACTIONS(2676),
    [anon_sym___builtin_available] = ACTIONS(2674),
    [anon_sym_va_arg] = ACTIONS(2674),
    [anon_sym_ATencode] = ACTIONS(2676),
    [anon_sym_BOOL] = ACTIONS(2674),
    [anon_sym_IMP] = ACTIONS(2674),
    [anon_sym_SEL] = ACTIONS(2674),
    [anon_sym_Class] = ACTIONS(2674),
    [anon_sym_id] = ACTIONS(2674),
  },
  [1060] = {
    [ts_builtin_sym_end] = ACTIONS(2752),
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_include_token2] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_CARET] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym___attribute] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___cdecl] = ACTIONS(2750),
    [anon_sym___clrcall] = ACTIONS(2750),
    [anon_sym___stdcall] = ACTIONS(2750),
    [anon_sym___fastcall] = ACTIONS(2750),
    [anon_sym___thiscall] = ACTIONS(2750),
    [anon_sym___vectorcall] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_ATautoreleasepool] = ACTIONS(2752),
    [anon_sym_auto] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_CG_EXTERN] = ACTIONS(2750),
    [anon_sym_CG_INLINE] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2750),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2750),
    [anon_sym_IBOutlet] = ACTIONS(2750),
    [anon_sym_IBInspectable] = ACTIONS(2750),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2750),
    [anon_sym_NS_INLINE] = ACTIONS(2750),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2750),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2750),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym__Nonnull] = ACTIONS(2750),
    [anon_sym_nullable] = ACTIONS(2750),
    [anon_sym__Complex] = ACTIONS(2750),
    [anon_sym__Nullable] = ACTIONS(2750),
    [anon_sym__Nullable_result] = ACTIONS(2750),
    [anon_sym__Null_unspecified] = ACTIONS(2750),
    [anon_sym___autoreleasing] = ACTIONS(2750),
    [anon_sym___block] = ACTIONS(2750),
    [anon_sym___bridge] = ACTIONS(2750),
    [anon_sym___bridge_retained] = ACTIONS(2750),
    [anon_sym___bridge_transfer] = ACTIONS(2750),
    [anon_sym___complex] = ACTIONS(2750),
    [anon_sym___const] = ACTIONS(2750),
    [anon_sym___imag] = ACTIONS(2750),
    [anon_sym___kindof] = ACTIONS(2750),
    [anon_sym___nonnull] = ACTIONS(2750),
    [anon_sym___nullable] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2750),
    [anon_sym___real] = ACTIONS(2750),
    [anon_sym___strong] = ACTIONS(2750),
    [anon_sym___unsafe_unretained] = ACTIONS(2750),
    [anon_sym___unused] = ACTIONS(2750),
    [anon_sym___weak] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_in] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [anon_sym___asm] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_AT] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2750),
    [anon_sym___typeof] = ACTIONS(2750),
    [anon_sym_typeof] = ACTIONS(2750),
    [anon_sym_ATimport] = ACTIONS(2752),
    [aux_sym_preproc_undef_token1] = ACTIONS(2750),
    [anon_sym_POUND] = ACTIONS(2750),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2750),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2750),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2750),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_API_AVAILABLE] = ACTIONS(2750),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_API_DEPRECATED] = ACTIONS(2750),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym___deprecated_msg] = ACTIONS(2750),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2750),
    [anon_sym_ATprotocol] = ACTIONS(2752),
    [anon_sym_ATinterface] = ACTIONS(2752),
    [anon_sym_ATimplementation] = ACTIONS(2752),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2752),
    [anon_sym_ATselector] = ACTIONS(2752),
    [anon_sym_ATavailable] = ACTIONS(2752),
    [anon_sym___builtin_available] = ACTIONS(2750),
    [anon_sym_va_arg] = ACTIONS(2750),
    [anon_sym_ATencode] = ACTIONS(2752),
    [anon_sym_BOOL] = ACTIONS(2750),
    [anon_sym_IMP] = ACTIONS(2750),
    [anon_sym_SEL] = ACTIONS(2750),
    [anon_sym_Class] = ACTIONS(2750),
    [anon_sym_id] = ACTIONS(2750),
  },
  [1061] = {
    [ts_builtin_sym_end] = ACTIONS(2752),
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_include_token2] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_CARET] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym___attribute] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___cdecl] = ACTIONS(2750),
    [anon_sym___clrcall] = ACTIONS(2750),
    [anon_sym___stdcall] = ACTIONS(2750),
    [anon_sym___fastcall] = ACTIONS(2750),
    [anon_sym___thiscall] = ACTIONS(2750),
    [anon_sym___vectorcall] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_ATautoreleasepool] = ACTIONS(2752),
    [anon_sym_auto] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_CG_EXTERN] = ACTIONS(2750),
    [anon_sym_CG_INLINE] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2750),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2750),
    [anon_sym_IBOutlet] = ACTIONS(2750),
    [anon_sym_IBInspectable] = ACTIONS(2750),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2750),
    [anon_sym_NS_INLINE] = ACTIONS(2750),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2750),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2750),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym__Nonnull] = ACTIONS(2750),
    [anon_sym_nullable] = ACTIONS(2750),
    [anon_sym__Complex] = ACTIONS(2750),
    [anon_sym__Nullable] = ACTIONS(2750),
    [anon_sym__Nullable_result] = ACTIONS(2750),
    [anon_sym__Null_unspecified] = ACTIONS(2750),
    [anon_sym___autoreleasing] = ACTIONS(2750),
    [anon_sym___block] = ACTIONS(2750),
    [anon_sym___bridge] = ACTIONS(2750),
    [anon_sym___bridge_retained] = ACTIONS(2750),
    [anon_sym___bridge_transfer] = ACTIONS(2750),
    [anon_sym___complex] = ACTIONS(2750),
    [anon_sym___const] = ACTIONS(2750),
    [anon_sym___imag] = ACTIONS(2750),
    [anon_sym___kindof] = ACTIONS(2750),
    [anon_sym___nonnull] = ACTIONS(2750),
    [anon_sym___nullable] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2750),
    [anon_sym___real] = ACTIONS(2750),
    [anon_sym___strong] = ACTIONS(2750),
    [anon_sym___unsafe_unretained] = ACTIONS(2750),
    [anon_sym___unused] = ACTIONS(2750),
    [anon_sym___weak] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_in] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [anon_sym___asm] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_AT] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2750),
    [anon_sym___typeof] = ACTIONS(2750),
    [anon_sym_typeof] = ACTIONS(2750),
    [anon_sym_ATimport] = ACTIONS(2752),
    [aux_sym_preproc_undef_token1] = ACTIONS(2750),
    [anon_sym_POUND] = ACTIONS(2750),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2750),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2750),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2750),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_API_AVAILABLE] = ACTIONS(2750),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_API_DEPRECATED] = ACTIONS(2750),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym___deprecated_msg] = ACTIONS(2750),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2750),
    [anon_sym_ATprotocol] = ACTIONS(2752),
    [anon_sym_ATinterface] = ACTIONS(2752),
    [anon_sym_ATimplementation] = ACTIONS(2752),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2752),
    [anon_sym_ATselector] = ACTIONS(2752),
    [anon_sym_ATavailable] = ACTIONS(2752),
    [anon_sym___builtin_available] = ACTIONS(2750),
    [anon_sym_va_arg] = ACTIONS(2750),
    [anon_sym_ATencode] = ACTIONS(2752),
    [anon_sym_BOOL] = ACTIONS(2750),
    [anon_sym_IMP] = ACTIONS(2750),
    [anon_sym_SEL] = ACTIONS(2750),
    [anon_sym_Class] = ACTIONS(2750),
    [anon_sym_id] = ACTIONS(2750),
  },
  [1062] = {
    [ts_builtin_sym_end] = ACTIONS(2752),
    [sym_identifier] = ACTIONS(2750),
    [aux_sym_preproc_include_token1] = ACTIONS(2750),
    [aux_sym_preproc_include_token2] = ACTIONS(2750),
    [aux_sym_preproc_def_token1] = ACTIONS(2750),
    [aux_sym_preproc_if_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2750),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2750),
    [sym_preproc_directive] = ACTIONS(2750),
    [anon_sym_LPAREN2] = ACTIONS(2752),
    [anon_sym_BANG] = ACTIONS(2752),
    [anon_sym_TILDE] = ACTIONS(2752),
    [anon_sym_DASH] = ACTIONS(2750),
    [anon_sym_PLUS] = ACTIONS(2750),
    [anon_sym_STAR] = ACTIONS(2752),
    [anon_sym_CARET] = ACTIONS(2752),
    [anon_sym_AMP] = ACTIONS(2752),
    [anon_sym_SEMI] = ACTIONS(2752),
    [anon_sym___extension__] = ACTIONS(2750),
    [anon_sym_typedef] = ACTIONS(2750),
    [anon_sym_extern] = ACTIONS(2750),
    [anon_sym___attribute__] = ACTIONS(2750),
    [anon_sym___attribute] = ACTIONS(2750),
    [anon_sym_noreturn] = ACTIONS(2750),
    [anon_sym_LBRACK] = ACTIONS(2752),
    [anon_sym___declspec] = ACTIONS(2750),
    [anon_sym___cdecl] = ACTIONS(2750),
    [anon_sym___clrcall] = ACTIONS(2750),
    [anon_sym___stdcall] = ACTIONS(2750),
    [anon_sym___fastcall] = ACTIONS(2750),
    [anon_sym___thiscall] = ACTIONS(2750),
    [anon_sym___vectorcall] = ACTIONS(2750),
    [anon_sym_LBRACE] = ACTIONS(2752),
    [anon_sym_signed] = ACTIONS(2750),
    [anon_sym_unsigned] = ACTIONS(2750),
    [anon_sym_long] = ACTIONS(2750),
    [anon_sym_short] = ACTIONS(2750),
    [anon_sym_static] = ACTIONS(2750),
    [anon_sym_ATautoreleasepool] = ACTIONS(2752),
    [anon_sym_auto] = ACTIONS(2750),
    [anon_sym_register] = ACTIONS(2750),
    [anon_sym_inline] = ACTIONS(2750),
    [anon_sym___inline] = ACTIONS(2750),
    [anon_sym___inline__] = ACTIONS(2750),
    [anon_sym___forceinline] = ACTIONS(2750),
    [anon_sym_thread_local] = ACTIONS(2750),
    [anon_sym___thread] = ACTIONS(2750),
    [anon_sym_CG_EXTERN] = ACTIONS(2750),
    [anon_sym_CG_INLINE] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2750),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2750),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2750),
    [anon_sym_IBOutlet] = ACTIONS(2750),
    [anon_sym_IBInspectable] = ACTIONS(2750),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2750),
    [anon_sym_NS_INLINE] = ACTIONS(2750),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2750),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2750),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2750),
    [anon_sym_const] = ACTIONS(2750),
    [anon_sym_constexpr] = ACTIONS(2750),
    [anon_sym_volatile] = ACTIONS(2750),
    [anon_sym_restrict] = ACTIONS(2750),
    [anon_sym___restrict__] = ACTIONS(2750),
    [anon_sym__Atomic] = ACTIONS(2750),
    [anon_sym__Noreturn] = ACTIONS(2750),
    [anon_sym__Nonnull] = ACTIONS(2750),
    [anon_sym_nullable] = ACTIONS(2750),
    [anon_sym__Complex] = ACTIONS(2750),
    [anon_sym__Nullable] = ACTIONS(2750),
    [anon_sym__Nullable_result] = ACTIONS(2750),
    [anon_sym__Null_unspecified] = ACTIONS(2750),
    [anon_sym___autoreleasing] = ACTIONS(2750),
    [anon_sym___block] = ACTIONS(2750),
    [anon_sym___bridge] = ACTIONS(2750),
    [anon_sym___bridge_retained] = ACTIONS(2750),
    [anon_sym___bridge_transfer] = ACTIONS(2750),
    [anon_sym___complex] = ACTIONS(2750),
    [anon_sym___const] = ACTIONS(2750),
    [anon_sym___imag] = ACTIONS(2750),
    [anon_sym___kindof] = ACTIONS(2750),
    [anon_sym___nonnull] = ACTIONS(2750),
    [anon_sym___nullable] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2750),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2750),
    [anon_sym___real] = ACTIONS(2750),
    [anon_sym___strong] = ACTIONS(2750),
    [anon_sym___unsafe_unretained] = ACTIONS(2750),
    [anon_sym___unused] = ACTIONS(2750),
    [anon_sym___weak] = ACTIONS(2750),
    [anon_sym_alignas] = ACTIONS(2750),
    [anon_sym__Alignas] = ACTIONS(2750),
    [sym_primitive_type] = ACTIONS(2750),
    [anon_sym_enum] = ACTIONS(2750),
    [anon_sym_struct] = ACTIONS(2750),
    [anon_sym_union] = ACTIONS(2750),
    [anon_sym_if] = ACTIONS(2750),
    [anon_sym_switch] = ACTIONS(2750),
    [anon_sym_case] = ACTIONS(2750),
    [anon_sym_default] = ACTIONS(2750),
    [anon_sym_while] = ACTIONS(2750),
    [anon_sym_do] = ACTIONS(2750),
    [anon_sym_for] = ACTIONS(2750),
    [anon_sym_in] = ACTIONS(2750),
    [anon_sym_return] = ACTIONS(2750),
    [anon_sym_break] = ACTIONS(2750),
    [anon_sym_continue] = ACTIONS(2750),
    [anon_sym_goto] = ACTIONS(2750),
    [anon_sym_DASH_DASH] = ACTIONS(2752),
    [anon_sym_PLUS_PLUS] = ACTIONS(2752),
    [anon_sym_sizeof] = ACTIONS(2750),
    [anon_sym___alignof__] = ACTIONS(2750),
    [anon_sym___alignof] = ACTIONS(2750),
    [anon_sym__alignof] = ACTIONS(2750),
    [anon_sym_alignof] = ACTIONS(2750),
    [anon_sym__Alignof] = ACTIONS(2750),
    [anon_sym_offsetof] = ACTIONS(2750),
    [anon_sym__Generic] = ACTIONS(2750),
    [anon_sym_asm] = ACTIONS(2750),
    [anon_sym___asm__] = ACTIONS(2750),
    [anon_sym___asm] = ACTIONS(2750),
    [sym_number_literal] = ACTIONS(2752),
    [anon_sym_L_SQUOTE] = ACTIONS(2752),
    [anon_sym_u_SQUOTE] = ACTIONS(2752),
    [anon_sym_U_SQUOTE] = ACTIONS(2752),
    [anon_sym_u8_SQUOTE] = ACTIONS(2752),
    [anon_sym_SQUOTE] = ACTIONS(2752),
    [anon_sym_AT] = ACTIONS(2750),
    [anon_sym_DQUOTE] = ACTIONS(2752),
    [anon_sym_L_DQUOTE] = ACTIONS(2752),
    [anon_sym_u_DQUOTE] = ACTIONS(2752),
    [anon_sym_U_DQUOTE] = ACTIONS(2752),
    [anon_sym_u8_DQUOTE] = ACTIONS(2752),
    [sym_true] = ACTIONS(2750),
    [sym_false] = ACTIONS(2750),
    [anon_sym_NULL] = ACTIONS(2750),
    [anon_sym_nullptr] = ACTIONS(2750),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2750),
    [anon_sym___typeof] = ACTIONS(2750),
    [anon_sym_typeof] = ACTIONS(2750),
    [anon_sym_ATimport] = ACTIONS(2752),
    [aux_sym_preproc_undef_token1] = ACTIONS(2750),
    [anon_sym_POUND] = ACTIONS(2750),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2750),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2750),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2750),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2750),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2750),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_API_AVAILABLE] = ACTIONS(2750),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_API_DEPRECATED] = ACTIONS(2750),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2750),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2750),
    [anon_sym___deprecated_msg] = ACTIONS(2750),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2750),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2750),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2750),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2750),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2750),
    [anon_sym_ATprotocol] = ACTIONS(2752),
    [anon_sym_ATinterface] = ACTIONS(2752),
    [anon_sym_ATimplementation] = ACTIONS(2752),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2752),
    [anon_sym_ATselector] = ACTIONS(2752),
    [anon_sym_ATavailable] = ACTIONS(2752),
    [anon_sym___builtin_available] = ACTIONS(2750),
    [anon_sym_va_arg] = ACTIONS(2750),
    [anon_sym_ATencode] = ACTIONS(2752),
    [anon_sym_BOOL] = ACTIONS(2750),
    [anon_sym_IMP] = ACTIONS(2750),
    [anon_sym_SEL] = ACTIONS(2750),
    [anon_sym_Class] = ACTIONS(2750),
    [anon_sym_id] = ACTIONS(2750),
  },
  [1063] = {
    [ts_builtin_sym_end] = ACTIONS(2756),
    [sym_identifier] = ACTIONS(2754),
    [aux_sym_preproc_include_token1] = ACTIONS(2754),
    [aux_sym_preproc_include_token2] = ACTIONS(2754),
    [aux_sym_preproc_def_token1] = ACTIONS(2754),
    [aux_sym_preproc_if_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2754),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2754),
    [sym_preproc_directive] = ACTIONS(2754),
    [anon_sym_LPAREN2] = ACTIONS(2756),
    [anon_sym_BANG] = ACTIONS(2756),
    [anon_sym_TILDE] = ACTIONS(2756),
    [anon_sym_DASH] = ACTIONS(2754),
    [anon_sym_PLUS] = ACTIONS(2754),
    [anon_sym_STAR] = ACTIONS(2756),
    [anon_sym_CARET] = ACTIONS(2756),
    [anon_sym_AMP] = ACTIONS(2756),
    [anon_sym_SEMI] = ACTIONS(2756),
    [anon_sym___extension__] = ACTIONS(2754),
    [anon_sym_typedef] = ACTIONS(2754),
    [anon_sym_extern] = ACTIONS(2754),
    [anon_sym___attribute__] = ACTIONS(2754),
    [anon_sym___attribute] = ACTIONS(2754),
    [anon_sym_noreturn] = ACTIONS(2754),
    [anon_sym_LBRACK] = ACTIONS(2756),
    [anon_sym___declspec] = ACTIONS(2754),
    [anon_sym___cdecl] = ACTIONS(2754),
    [anon_sym___clrcall] = ACTIONS(2754),
    [anon_sym___stdcall] = ACTIONS(2754),
    [anon_sym___fastcall] = ACTIONS(2754),
    [anon_sym___thiscall] = ACTIONS(2754),
    [anon_sym___vectorcall] = ACTIONS(2754),
    [anon_sym_LBRACE] = ACTIONS(2756),
    [anon_sym_signed] = ACTIONS(2754),
    [anon_sym_unsigned] = ACTIONS(2754),
    [anon_sym_long] = ACTIONS(2754),
    [anon_sym_short] = ACTIONS(2754),
    [anon_sym_static] = ACTIONS(2754),
    [anon_sym_ATautoreleasepool] = ACTIONS(2756),
    [anon_sym_auto] = ACTIONS(2754),
    [anon_sym_register] = ACTIONS(2754),
    [anon_sym_inline] = ACTIONS(2754),
    [anon_sym___inline] = ACTIONS(2754),
    [anon_sym___inline__] = ACTIONS(2754),
    [anon_sym___forceinline] = ACTIONS(2754),
    [anon_sym_thread_local] = ACTIONS(2754),
    [anon_sym___thread] = ACTIONS(2754),
    [anon_sym_CG_EXTERN] = ACTIONS(2754),
    [anon_sym_CG_INLINE] = ACTIONS(2754),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2754),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2754),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2754),
    [anon_sym_IBOutlet] = ACTIONS(2754),
    [anon_sym_IBInspectable] = ACTIONS(2754),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2754),
    [anon_sym_NS_INLINE] = ACTIONS(2754),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2754),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2754),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2754),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2754),
    [anon_sym_const] = ACTIONS(2754),
    [anon_sym_constexpr] = ACTIONS(2754),
    [anon_sym_volatile] = ACTIONS(2754),
    [anon_sym_restrict] = ACTIONS(2754),
    [anon_sym___restrict__] = ACTIONS(2754),
    [anon_sym__Atomic] = ACTIONS(2754),
    [anon_sym__Noreturn] = ACTIONS(2754),
    [anon_sym__Nonnull] = ACTIONS(2754),
    [anon_sym_nullable] = ACTIONS(2754),
    [anon_sym__Complex] = ACTIONS(2754),
    [anon_sym__Nullable] = ACTIONS(2754),
    [anon_sym__Nullable_result] = ACTIONS(2754),
    [anon_sym__Null_unspecified] = ACTIONS(2754),
    [anon_sym___autoreleasing] = ACTIONS(2754),
    [anon_sym___block] = ACTIONS(2754),
    [anon_sym___bridge] = ACTIONS(2754),
    [anon_sym___bridge_retained] = ACTIONS(2754),
    [anon_sym___bridge_transfer] = ACTIONS(2754),
    [anon_sym___complex] = ACTIONS(2754),
    [anon_sym___const] = ACTIONS(2754),
    [anon_sym___imag] = ACTIONS(2754),
    [anon_sym___kindof] = ACTIONS(2754),
    [anon_sym___nonnull] = ACTIONS(2754),
    [anon_sym___nullable] = ACTIONS(2754),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2754),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2754),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2754),
    [anon_sym___real] = ACTIONS(2754),
    [anon_sym___strong] = ACTIONS(2754),
    [anon_sym___unsafe_unretained] = ACTIONS(2754),
    [anon_sym___unused] = ACTIONS(2754),
    [anon_sym___weak] = ACTIONS(2754),
    [anon_sym_alignas] = ACTIONS(2754),
    [anon_sym__Alignas] = ACTIONS(2754),
    [sym_primitive_type] = ACTIONS(2754),
    [anon_sym_enum] = ACTIONS(2754),
    [anon_sym_struct] = ACTIONS(2754),
    [anon_sym_union] = ACTIONS(2754),
    [anon_sym_if] = ACTIONS(2754),
    [anon_sym_switch] = ACTIONS(2754),
    [anon_sym_case] = ACTIONS(2754),
    [anon_sym_default] = ACTIONS(2754),
    [anon_sym_while] = ACTIONS(2754),
    [anon_sym_do] = ACTIONS(2754),
    [anon_sym_for] = ACTIONS(2754),
    [anon_sym_in] = ACTIONS(2754),
    [anon_sym_return] = ACTIONS(2754),
    [anon_sym_break] = ACTIONS(2754),
    [anon_sym_continue] = ACTIONS(2754),
    [anon_sym_goto] = ACTIONS(2754),
    [anon_sym_DASH_DASH] = ACTIONS(2756),
    [anon_sym_PLUS_PLUS] = ACTIONS(2756),
    [anon_sym_sizeof] = ACTIONS(2754),
    [anon_sym___alignof__] = ACTIONS(2754),
    [anon_sym___alignof] = ACTIONS(2754),
    [anon_sym__alignof] = ACTIONS(2754),
    [anon_sym_alignof] = ACTIONS(2754),
    [anon_sym__Alignof] = ACTIONS(2754),
    [anon_sym_offsetof] = ACTIONS(2754),
    [anon_sym__Generic] = ACTIONS(2754),
    [anon_sym_asm] = ACTIONS(2754),
    [anon_sym___asm__] = ACTIONS(2754),
    [anon_sym___asm] = ACTIONS(2754),
    [sym_number_literal] = ACTIONS(2756),
    [anon_sym_L_SQUOTE] = ACTIONS(2756),
    [anon_sym_u_SQUOTE] = ACTIONS(2756),
    [anon_sym_U_SQUOTE] = ACTIONS(2756),
    [anon_sym_u8_SQUOTE] = ACTIONS(2756),
    [anon_sym_SQUOTE] = ACTIONS(2756),
    [anon_sym_AT] = ACTIONS(2754),
    [anon_sym_DQUOTE] = ACTIONS(2756),
    [anon_sym_L_DQUOTE] = ACTIONS(2756),
    [anon_sym_u_DQUOTE] = ACTIONS(2756),
    [anon_sym_U_DQUOTE] = ACTIONS(2756),
    [anon_sym_u8_DQUOTE] = ACTIONS(2756),
    [sym_true] = ACTIONS(2754),
    [sym_false] = ACTIONS(2754),
    [anon_sym_NULL] = ACTIONS(2754),
    [anon_sym_nullptr] = ACTIONS(2754),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2754),
    [anon_sym___typeof] = ACTIONS(2754),
    [anon_sym_typeof] = ACTIONS(2754),
    [anon_sym_ATimport] = ACTIONS(2756),
    [aux_sym_preproc_undef_token1] = ACTIONS(2754),
    [anon_sym_POUND] = ACTIONS(2754),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2754),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2754),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2754),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2754),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2754),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2754),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2754),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2754),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2754),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2754),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2754),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2754),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2754),
    [anon_sym_API_AVAILABLE] = ACTIONS(2754),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2754),
    [anon_sym_API_DEPRECATED] = ACTIONS(2754),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2754),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2754),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2754),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2754),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2754),
    [anon_sym___deprecated_msg] = ACTIONS(2754),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2754),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2754),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2754),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2754),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2754),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2754),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2754),
    [anon_sym_ATprotocol] = ACTIONS(2756),
    [anon_sym_ATinterface] = ACTIONS(2756),
    [anon_sym_ATimplementation] = ACTIONS(2756),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2756),
    [anon_sym_ATselector] = ACTIONS(2756),
    [anon_sym_ATavailable] = ACTIONS(2756),
    [anon_sym___builtin_available] = ACTIONS(2754),
    [anon_sym_va_arg] = ACTIONS(2754),
    [anon_sym_ATencode] = ACTIONS(2756),
    [anon_sym_BOOL] = ACTIONS(2754),
    [anon_sym_IMP] = ACTIONS(2754),
    [anon_sym_SEL] = ACTIONS(2754),
    [anon_sym_Class] = ACTIONS(2754),
    [anon_sym_id] = ACTIONS(2754),
  },
  [1064] = {
    [ts_builtin_sym_end] = ACTIONS(2760),
    [sym_identifier] = ACTIONS(2758),
    [aux_sym_preproc_include_token1] = ACTIONS(2758),
    [aux_sym_preproc_include_token2] = ACTIONS(2758),
    [aux_sym_preproc_def_token1] = ACTIONS(2758),
    [aux_sym_preproc_if_token1] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2758),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2758),
    [sym_preproc_directive] = ACTIONS(2758),
    [anon_sym_LPAREN2] = ACTIONS(2760),
    [anon_sym_BANG] = ACTIONS(2760),
    [anon_sym_TILDE] = ACTIONS(2760),
    [anon_sym_DASH] = ACTIONS(2758),
    [anon_sym_PLUS] = ACTIONS(2758),
    [anon_sym_STAR] = ACTIONS(2760),
    [anon_sym_CARET] = ACTIONS(2760),
    [anon_sym_AMP] = ACTIONS(2760),
    [anon_sym_SEMI] = ACTIONS(2760),
    [anon_sym___extension__] = ACTIONS(2758),
    [anon_sym_typedef] = ACTIONS(2758),
    [anon_sym_extern] = ACTIONS(2758),
    [anon_sym___attribute__] = ACTIONS(2758),
    [anon_sym___attribute] = ACTIONS(2758),
    [anon_sym_noreturn] = ACTIONS(2758),
    [anon_sym_LBRACK] = ACTIONS(2760),
    [anon_sym___declspec] = ACTIONS(2758),
    [anon_sym___cdecl] = ACTIONS(2758),
    [anon_sym___clrcall] = ACTIONS(2758),
    [anon_sym___stdcall] = ACTIONS(2758),
    [anon_sym___fastcall] = ACTIONS(2758),
    [anon_sym___thiscall] = ACTIONS(2758),
    [anon_sym___vectorcall] = ACTIONS(2758),
    [anon_sym_LBRACE] = ACTIONS(2760),
    [anon_sym_signed] = ACTIONS(2758),
    [anon_sym_unsigned] = ACTIONS(2758),
    [anon_sym_long] = ACTIONS(2758),
    [anon_sym_short] = ACTIONS(2758),
    [anon_sym_static] = ACTIONS(2758),
    [anon_sym_ATautoreleasepool] = ACTIONS(2760),
    [anon_sym_auto] = ACTIONS(2758),
    [anon_sym_register] = ACTIONS(2758),
    [anon_sym_inline] = ACTIONS(2758),
    [anon_sym___inline] = ACTIONS(2758),
    [anon_sym___inline__] = ACTIONS(2758),
    [anon_sym___forceinline] = ACTIONS(2758),
    [anon_sym_thread_local] = ACTIONS(2758),
    [anon_sym___thread] = ACTIONS(2758),
    [anon_sym_CG_EXTERN] = ACTIONS(2758),
    [anon_sym_CG_INLINE] = ACTIONS(2758),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2758),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2758),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2758),
    [anon_sym_IBOutlet] = ACTIONS(2758),
    [anon_sym_IBInspectable] = ACTIONS(2758),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2758),
    [anon_sym_NS_INLINE] = ACTIONS(2758),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2758),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2758),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2758),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2758),
    [anon_sym_const] = ACTIONS(2758),
    [anon_sym_constexpr] = ACTIONS(2758),
    [anon_sym_volatile] = ACTIONS(2758),
    [anon_sym_restrict] = ACTIONS(2758),
    [anon_sym___restrict__] = ACTIONS(2758),
    [anon_sym__Atomic] = ACTIONS(2758),
    [anon_sym__Noreturn] = ACTIONS(2758),
    [anon_sym__Nonnull] = ACTIONS(2758),
    [anon_sym_nullable] = ACTIONS(2758),
    [anon_sym__Complex] = ACTIONS(2758),
    [anon_sym__Nullable] = ACTIONS(2758),
    [anon_sym__Nullable_result] = ACTIONS(2758),
    [anon_sym__Null_unspecified] = ACTIONS(2758),
    [anon_sym___autoreleasing] = ACTIONS(2758),
    [anon_sym___block] = ACTIONS(2758),
    [anon_sym___bridge] = ACTIONS(2758),
    [anon_sym___bridge_retained] = ACTIONS(2758),
    [anon_sym___bridge_transfer] = ACTIONS(2758),
    [anon_sym___complex] = ACTIONS(2758),
    [anon_sym___const] = ACTIONS(2758),
    [anon_sym___imag] = ACTIONS(2758),
    [anon_sym___kindof] = ACTIONS(2758),
    [anon_sym___nonnull] = ACTIONS(2758),
    [anon_sym___nullable] = ACTIONS(2758),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2758),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2758),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2758),
    [anon_sym___real] = ACTIONS(2758),
    [anon_sym___strong] = ACTIONS(2758),
    [anon_sym___unsafe_unretained] = ACTIONS(2758),
    [anon_sym___unused] = ACTIONS(2758),
    [anon_sym___weak] = ACTIONS(2758),
    [anon_sym_alignas] = ACTIONS(2758),
    [anon_sym__Alignas] = ACTIONS(2758),
    [sym_primitive_type] = ACTIONS(2758),
    [anon_sym_enum] = ACTIONS(2758),
    [anon_sym_struct] = ACTIONS(2758),
    [anon_sym_union] = ACTIONS(2758),
    [anon_sym_if] = ACTIONS(2758),
    [anon_sym_switch] = ACTIONS(2758),
    [anon_sym_case] = ACTIONS(2758),
    [anon_sym_default] = ACTIONS(2758),
    [anon_sym_while] = ACTIONS(2758),
    [anon_sym_do] = ACTIONS(2758),
    [anon_sym_for] = ACTIONS(2758),
    [anon_sym_in] = ACTIONS(2758),
    [anon_sym_return] = ACTIONS(2758),
    [anon_sym_break] = ACTIONS(2758),
    [anon_sym_continue] = ACTIONS(2758),
    [anon_sym_goto] = ACTIONS(2758),
    [anon_sym_DASH_DASH] = ACTIONS(2760),
    [anon_sym_PLUS_PLUS] = ACTIONS(2760),
    [anon_sym_sizeof] = ACTIONS(2758),
    [anon_sym___alignof__] = ACTIONS(2758),
    [anon_sym___alignof] = ACTIONS(2758),
    [anon_sym__alignof] = ACTIONS(2758),
    [anon_sym_alignof] = ACTIONS(2758),
    [anon_sym__Alignof] = ACTIONS(2758),
    [anon_sym_offsetof] = ACTIONS(2758),
    [anon_sym__Generic] = ACTIONS(2758),
    [anon_sym_asm] = ACTIONS(2758),
    [anon_sym___asm__] = ACTIONS(2758),
    [anon_sym___asm] = ACTIONS(2758),
    [sym_number_literal] = ACTIONS(2760),
    [anon_sym_L_SQUOTE] = ACTIONS(2760),
    [anon_sym_u_SQUOTE] = ACTIONS(2760),
    [anon_sym_U_SQUOTE] = ACTIONS(2760),
    [anon_sym_u8_SQUOTE] = ACTIONS(2760),
    [anon_sym_SQUOTE] = ACTIONS(2760),
    [anon_sym_AT] = ACTIONS(2758),
    [anon_sym_DQUOTE] = ACTIONS(2760),
    [anon_sym_L_DQUOTE] = ACTIONS(2760),
    [anon_sym_u_DQUOTE] = ACTIONS(2760),
    [anon_sym_U_DQUOTE] = ACTIONS(2760),
    [anon_sym_u8_DQUOTE] = ACTIONS(2760),
    [sym_true] = ACTIONS(2758),
    [sym_false] = ACTIONS(2758),
    [anon_sym_NULL] = ACTIONS(2758),
    [anon_sym_nullptr] = ACTIONS(2758),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2758),
    [anon_sym___typeof] = ACTIONS(2758),
    [anon_sym_typeof] = ACTIONS(2758),
    [anon_sym_ATimport] = ACTIONS(2760),
    [aux_sym_preproc_undef_token1] = ACTIONS(2758),
    [anon_sym_POUND] = ACTIONS(2758),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2758),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2758),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2758),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2758),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2758),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2758),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2758),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2758),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2758),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2758),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2758),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2758),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2758),
    [anon_sym_API_AVAILABLE] = ACTIONS(2758),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2758),
    [anon_sym_API_DEPRECATED] = ACTIONS(2758),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2758),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2758),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2758),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2758),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2758),
    [anon_sym___deprecated_msg] = ACTIONS(2758),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2758),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2758),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2758),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2758),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2758),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2758),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2758),
    [anon_sym_ATprotocol] = ACTIONS(2760),
    [anon_sym_ATinterface] = ACTIONS(2760),
    [anon_sym_ATimplementation] = ACTIONS(2760),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2760),
    [anon_sym_ATselector] = ACTIONS(2760),
    [anon_sym_ATavailable] = ACTIONS(2760),
    [anon_sym___builtin_available] = ACTIONS(2758),
    [anon_sym_va_arg] = ACTIONS(2758),
    [anon_sym_ATencode] = ACTIONS(2760),
    [anon_sym_BOOL] = ACTIONS(2758),
    [anon_sym_IMP] = ACTIONS(2758),
    [anon_sym_SEL] = ACTIONS(2758),
    [anon_sym_Class] = ACTIONS(2758),
    [anon_sym_id] = ACTIONS(2758),
  },
  [1065] = {
    [ts_builtin_sym_end] = ACTIONS(2764),
    [sym_identifier] = ACTIONS(2762),
    [aux_sym_preproc_include_token1] = ACTIONS(2762),
    [aux_sym_preproc_include_token2] = ACTIONS(2762),
    [aux_sym_preproc_def_token1] = ACTIONS(2762),
    [aux_sym_preproc_if_token1] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2762),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2762),
    [sym_preproc_directive] = ACTIONS(2762),
    [anon_sym_LPAREN2] = ACTIONS(2764),
    [anon_sym_BANG] = ACTIONS(2764),
    [anon_sym_TILDE] = ACTIONS(2764),
    [anon_sym_DASH] = ACTIONS(2762),
    [anon_sym_PLUS] = ACTIONS(2762),
    [anon_sym_STAR] = ACTIONS(2764),
    [anon_sym_CARET] = ACTIONS(2764),
    [anon_sym_AMP] = ACTIONS(2764),
    [anon_sym_SEMI] = ACTIONS(2764),
    [anon_sym___extension__] = ACTIONS(2762),
    [anon_sym_typedef] = ACTIONS(2762),
    [anon_sym_extern] = ACTIONS(2762),
    [anon_sym___attribute__] = ACTIONS(2762),
    [anon_sym___attribute] = ACTIONS(2762),
    [anon_sym_noreturn] = ACTIONS(2762),
    [anon_sym_LBRACK] = ACTIONS(2764),
    [anon_sym___declspec] = ACTIONS(2762),
    [anon_sym___cdecl] = ACTIONS(2762),
    [anon_sym___clrcall] = ACTIONS(2762),
    [anon_sym___stdcall] = ACTIONS(2762),
    [anon_sym___fastcall] = ACTIONS(2762),
    [anon_sym___thiscall] = ACTIONS(2762),
    [anon_sym___vectorcall] = ACTIONS(2762),
    [anon_sym_LBRACE] = ACTIONS(2764),
    [anon_sym_signed] = ACTIONS(2762),
    [anon_sym_unsigned] = ACTIONS(2762),
    [anon_sym_long] = ACTIONS(2762),
    [anon_sym_short] = ACTIONS(2762),
    [anon_sym_static] = ACTIONS(2762),
    [anon_sym_ATautoreleasepool] = ACTIONS(2764),
    [anon_sym_auto] = ACTIONS(2762),
    [anon_sym_register] = ACTIONS(2762),
    [anon_sym_inline] = ACTIONS(2762),
    [anon_sym___inline] = ACTIONS(2762),
    [anon_sym___inline__] = ACTIONS(2762),
    [anon_sym___forceinline] = ACTIONS(2762),
    [anon_sym_thread_local] = ACTIONS(2762),
    [anon_sym___thread] = ACTIONS(2762),
    [anon_sym_CG_EXTERN] = ACTIONS(2762),
    [anon_sym_CG_INLINE] = ACTIONS(2762),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2762),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2762),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2762),
    [anon_sym_IBOutlet] = ACTIONS(2762),
    [anon_sym_IBInspectable] = ACTIONS(2762),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2762),
    [anon_sym_NS_INLINE] = ACTIONS(2762),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2762),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2762),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2762),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2762),
    [anon_sym_const] = ACTIONS(2762),
    [anon_sym_constexpr] = ACTIONS(2762),
    [anon_sym_volatile] = ACTIONS(2762),
    [anon_sym_restrict] = ACTIONS(2762),
    [anon_sym___restrict__] = ACTIONS(2762),
    [anon_sym__Atomic] = ACTIONS(2762),
    [anon_sym__Noreturn] = ACTIONS(2762),
    [anon_sym__Nonnull] = ACTIONS(2762),
    [anon_sym_nullable] = ACTIONS(2762),
    [anon_sym__Complex] = ACTIONS(2762),
    [anon_sym__Nullable] = ACTIONS(2762),
    [anon_sym__Nullable_result] = ACTIONS(2762),
    [anon_sym__Null_unspecified] = ACTIONS(2762),
    [anon_sym___autoreleasing] = ACTIONS(2762),
    [anon_sym___block] = ACTIONS(2762),
    [anon_sym___bridge] = ACTIONS(2762),
    [anon_sym___bridge_retained] = ACTIONS(2762),
    [anon_sym___bridge_transfer] = ACTIONS(2762),
    [anon_sym___complex] = ACTIONS(2762),
    [anon_sym___const] = ACTIONS(2762),
    [anon_sym___imag] = ACTIONS(2762),
    [anon_sym___kindof] = ACTIONS(2762),
    [anon_sym___nonnull] = ACTIONS(2762),
    [anon_sym___nullable] = ACTIONS(2762),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2762),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2762),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2762),
    [anon_sym___real] = ACTIONS(2762),
    [anon_sym___strong] = ACTIONS(2762),
    [anon_sym___unsafe_unretained] = ACTIONS(2762),
    [anon_sym___unused] = ACTIONS(2762),
    [anon_sym___weak] = ACTIONS(2762),
    [anon_sym_alignas] = ACTIONS(2762),
    [anon_sym__Alignas] = ACTIONS(2762),
    [sym_primitive_type] = ACTIONS(2762),
    [anon_sym_enum] = ACTIONS(2762),
    [anon_sym_struct] = ACTIONS(2762),
    [anon_sym_union] = ACTIONS(2762),
    [anon_sym_if] = ACTIONS(2762),
    [anon_sym_switch] = ACTIONS(2762),
    [anon_sym_case] = ACTIONS(2762),
    [anon_sym_default] = ACTIONS(2762),
    [anon_sym_while] = ACTIONS(2762),
    [anon_sym_do] = ACTIONS(2762),
    [anon_sym_for] = ACTIONS(2762),
    [anon_sym_in] = ACTIONS(2762),
    [anon_sym_return] = ACTIONS(2762),
    [anon_sym_break] = ACTIONS(2762),
    [anon_sym_continue] = ACTIONS(2762),
    [anon_sym_goto] = ACTIONS(2762),
    [anon_sym_DASH_DASH] = ACTIONS(2764),
    [anon_sym_PLUS_PLUS] = ACTIONS(2764),
    [anon_sym_sizeof] = ACTIONS(2762),
    [anon_sym___alignof__] = ACTIONS(2762),
    [anon_sym___alignof] = ACTIONS(2762),
    [anon_sym__alignof] = ACTIONS(2762),
    [anon_sym_alignof] = ACTIONS(2762),
    [anon_sym__Alignof] = ACTIONS(2762),
    [anon_sym_offsetof] = ACTIONS(2762),
    [anon_sym__Generic] = ACTIONS(2762),
    [anon_sym_asm] = ACTIONS(2762),
    [anon_sym___asm__] = ACTIONS(2762),
    [anon_sym___asm] = ACTIONS(2762),
    [sym_number_literal] = ACTIONS(2764),
    [anon_sym_L_SQUOTE] = ACTIONS(2764),
    [anon_sym_u_SQUOTE] = ACTIONS(2764),
    [anon_sym_U_SQUOTE] = ACTIONS(2764),
    [anon_sym_u8_SQUOTE] = ACTIONS(2764),
    [anon_sym_SQUOTE] = ACTIONS(2764),
    [anon_sym_AT] = ACTIONS(2762),
    [anon_sym_DQUOTE] = ACTIONS(2764),
    [anon_sym_L_DQUOTE] = ACTIONS(2764),
    [anon_sym_u_DQUOTE] = ACTIONS(2764),
    [anon_sym_U_DQUOTE] = ACTIONS(2764),
    [anon_sym_u8_DQUOTE] = ACTIONS(2764),
    [sym_true] = ACTIONS(2762),
    [sym_false] = ACTIONS(2762),
    [anon_sym_NULL] = ACTIONS(2762),
    [anon_sym_nullptr] = ACTIONS(2762),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2762),
    [anon_sym___typeof] = ACTIONS(2762),
    [anon_sym_typeof] = ACTIONS(2762),
    [anon_sym_ATimport] = ACTIONS(2764),
    [aux_sym_preproc_undef_token1] = ACTIONS(2762),
    [anon_sym_POUND] = ACTIONS(2762),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2762),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2762),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2762),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2762),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2762),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2762),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2762),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2762),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2762),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2762),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2762),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2762),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2762),
    [anon_sym_API_AVAILABLE] = ACTIONS(2762),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2762),
    [anon_sym_API_DEPRECATED] = ACTIONS(2762),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2762),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2762),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2762),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2762),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2762),
    [anon_sym___deprecated_msg] = ACTIONS(2762),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2762),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2762),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2762),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2762),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2762),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2762),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2762),
    [anon_sym_ATprotocol] = ACTIONS(2764),
    [anon_sym_ATinterface] = ACTIONS(2764),
    [anon_sym_ATimplementation] = ACTIONS(2764),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2764),
    [anon_sym_ATselector] = ACTIONS(2764),
    [anon_sym_ATavailable] = ACTIONS(2764),
    [anon_sym___builtin_available] = ACTIONS(2762),
    [anon_sym_va_arg] = ACTIONS(2762),
    [anon_sym_ATencode] = ACTIONS(2764),
    [anon_sym_BOOL] = ACTIONS(2762),
    [anon_sym_IMP] = ACTIONS(2762),
    [anon_sym_SEL] = ACTIONS(2762),
    [anon_sym_Class] = ACTIONS(2762),
    [anon_sym_id] = ACTIONS(2762),
  },
  [1066] = {
    [ts_builtin_sym_end] = ACTIONS(2830),
    [sym_identifier] = ACTIONS(2828),
    [aux_sym_preproc_include_token1] = ACTIONS(2828),
    [aux_sym_preproc_include_token2] = ACTIONS(2828),
    [aux_sym_preproc_def_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2828),
    [sym_preproc_directive] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2830),
    [anon_sym_BANG] = ACTIONS(2830),
    [anon_sym_TILDE] = ACTIONS(2830),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2830),
    [anon_sym_CARET] = ACTIONS(2830),
    [anon_sym_AMP] = ACTIONS(2830),
    [anon_sym_SEMI] = ACTIONS(2830),
    [anon_sym___extension__] = ACTIONS(2828),
    [anon_sym_typedef] = ACTIONS(2828),
    [anon_sym_extern] = ACTIONS(2828),
    [anon_sym___attribute__] = ACTIONS(2828),
    [anon_sym___attribute] = ACTIONS(2828),
    [anon_sym_noreturn] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2830),
    [anon_sym___declspec] = ACTIONS(2828),
    [anon_sym___cdecl] = ACTIONS(2828),
    [anon_sym___clrcall] = ACTIONS(2828),
    [anon_sym___stdcall] = ACTIONS(2828),
    [anon_sym___fastcall] = ACTIONS(2828),
    [anon_sym___thiscall] = ACTIONS(2828),
    [anon_sym___vectorcall] = ACTIONS(2828),
    [anon_sym_LBRACE] = ACTIONS(2830),
    [anon_sym_signed] = ACTIONS(2828),
    [anon_sym_unsigned] = ACTIONS(2828),
    [anon_sym_long] = ACTIONS(2828),
    [anon_sym_short] = ACTIONS(2828),
    [anon_sym_static] = ACTIONS(2828),
    [anon_sym_ATautoreleasepool] = ACTIONS(2830),
    [anon_sym_auto] = ACTIONS(2828),
    [anon_sym_register] = ACTIONS(2828),
    [anon_sym_inline] = ACTIONS(2828),
    [anon_sym___inline] = ACTIONS(2828),
    [anon_sym___inline__] = ACTIONS(2828),
    [anon_sym___forceinline] = ACTIONS(2828),
    [anon_sym_thread_local] = ACTIONS(2828),
    [anon_sym___thread] = ACTIONS(2828),
    [anon_sym_CG_EXTERN] = ACTIONS(2828),
    [anon_sym_CG_INLINE] = ACTIONS(2828),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2828),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2828),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2828),
    [anon_sym_IBOutlet] = ACTIONS(2828),
    [anon_sym_IBInspectable] = ACTIONS(2828),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2828),
    [anon_sym_NS_INLINE] = ACTIONS(2828),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2828),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2828),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2828),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2828),
    [anon_sym_const] = ACTIONS(2828),
    [anon_sym_constexpr] = ACTIONS(2828),
    [anon_sym_volatile] = ACTIONS(2828),
    [anon_sym_restrict] = ACTIONS(2828),
    [anon_sym___restrict__] = ACTIONS(2828),
    [anon_sym__Atomic] = ACTIONS(2828),
    [anon_sym__Noreturn] = ACTIONS(2828),
    [anon_sym__Nonnull] = ACTIONS(2828),
    [anon_sym_nullable] = ACTIONS(2828),
    [anon_sym__Complex] = ACTIONS(2828),
    [anon_sym__Nullable] = ACTIONS(2828),
    [anon_sym__Nullable_result] = ACTIONS(2828),
    [anon_sym__Null_unspecified] = ACTIONS(2828),
    [anon_sym___autoreleasing] = ACTIONS(2828),
    [anon_sym___block] = ACTIONS(2828),
    [anon_sym___bridge] = ACTIONS(2828),
    [anon_sym___bridge_retained] = ACTIONS(2828),
    [anon_sym___bridge_transfer] = ACTIONS(2828),
    [anon_sym___complex] = ACTIONS(2828),
    [anon_sym___const] = ACTIONS(2828),
    [anon_sym___imag] = ACTIONS(2828),
    [anon_sym___kindof] = ACTIONS(2828),
    [anon_sym___nonnull] = ACTIONS(2828),
    [anon_sym___nullable] = ACTIONS(2828),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2828),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2828),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2828),
    [anon_sym___real] = ACTIONS(2828),
    [anon_sym___strong] = ACTIONS(2828),
    [anon_sym___unsafe_unretained] = ACTIONS(2828),
    [anon_sym___unused] = ACTIONS(2828),
    [anon_sym___weak] = ACTIONS(2828),
    [anon_sym_alignas] = ACTIONS(2828),
    [anon_sym__Alignas] = ACTIONS(2828),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_enum] = ACTIONS(2828),
    [anon_sym_struct] = ACTIONS(2828),
    [anon_sym_union] = ACTIONS(2828),
    [anon_sym_if] = ACTIONS(2828),
    [anon_sym_switch] = ACTIONS(2828),
    [anon_sym_case] = ACTIONS(2828),
    [anon_sym_default] = ACTIONS(2828),
    [anon_sym_while] = ACTIONS(2828),
    [anon_sym_do] = ACTIONS(2828),
    [anon_sym_for] = ACTIONS(2828),
    [anon_sym_in] = ACTIONS(2828),
    [anon_sym_return] = ACTIONS(2828),
    [anon_sym_break] = ACTIONS(2828),
    [anon_sym_continue] = ACTIONS(2828),
    [anon_sym_goto] = ACTIONS(2828),
    [anon_sym_DASH_DASH] = ACTIONS(2830),
    [anon_sym_PLUS_PLUS] = ACTIONS(2830),
    [anon_sym_sizeof] = ACTIONS(2828),
    [anon_sym___alignof__] = ACTIONS(2828),
    [anon_sym___alignof] = ACTIONS(2828),
    [anon_sym__alignof] = ACTIONS(2828),
    [anon_sym_alignof] = ACTIONS(2828),
    [anon_sym__Alignof] = ACTIONS(2828),
    [anon_sym_offsetof] = ACTIONS(2828),
    [anon_sym__Generic] = ACTIONS(2828),
    [anon_sym_asm] = ACTIONS(2828),
    [anon_sym___asm__] = ACTIONS(2828),
    [anon_sym___asm] = ACTIONS(2828),
    [sym_number_literal] = ACTIONS(2830),
    [anon_sym_L_SQUOTE] = ACTIONS(2830),
    [anon_sym_u_SQUOTE] = ACTIONS(2830),
    [anon_sym_U_SQUOTE] = ACTIONS(2830),
    [anon_sym_u8_SQUOTE] = ACTIONS(2830),
    [anon_sym_SQUOTE] = ACTIONS(2830),
    [anon_sym_AT] = ACTIONS(2828),
    [anon_sym_DQUOTE] = ACTIONS(2830),
    [anon_sym_L_DQUOTE] = ACTIONS(2830),
    [anon_sym_u_DQUOTE] = ACTIONS(2830),
    [anon_sym_U_DQUOTE] = ACTIONS(2830),
    [anon_sym_u8_DQUOTE] = ACTIONS(2830),
    [sym_true] = ACTIONS(2828),
    [sym_false] = ACTIONS(2828),
    [anon_sym_NULL] = ACTIONS(2828),
    [anon_sym_nullptr] = ACTIONS(2828),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2828),
    [anon_sym___typeof] = ACTIONS(2828),
    [anon_sym_typeof] = ACTIONS(2828),
    [anon_sym_ATimport] = ACTIONS(2830),
    [aux_sym_preproc_undef_token1] = ACTIONS(2828),
    [anon_sym_POUND] = ACTIONS(2828),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2828),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2828),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2828),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2828),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2828),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2828),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2828),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2828),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2828),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2828),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2828),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2828),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2828),
    [anon_sym_API_AVAILABLE] = ACTIONS(2828),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2828),
    [anon_sym_API_DEPRECATED] = ACTIONS(2828),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2828),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2828),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2828),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2828),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2828),
    [anon_sym___deprecated_msg] = ACTIONS(2828),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2828),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2828),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2828),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2828),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2828),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2828),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2828),
    [anon_sym_ATprotocol] = ACTIONS(2830),
    [anon_sym_ATinterface] = ACTIONS(2830),
    [anon_sym_ATimplementation] = ACTIONS(2830),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2830),
    [anon_sym_ATselector] = ACTIONS(2830),
    [anon_sym_ATavailable] = ACTIONS(2830),
    [anon_sym___builtin_available] = ACTIONS(2828),
    [anon_sym_va_arg] = ACTIONS(2828),
    [anon_sym_ATencode] = ACTIONS(2830),
    [anon_sym_BOOL] = ACTIONS(2828),
    [anon_sym_IMP] = ACTIONS(2828),
    [anon_sym_SEL] = ACTIONS(2828),
    [anon_sym_Class] = ACTIONS(2828),
    [anon_sym_id] = ACTIONS(2828),
  },
  [1067] = {
    [ts_builtin_sym_end] = ACTIONS(2570),
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_include_token1] = ACTIONS(2568),
    [aux_sym_preproc_include_token2] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym___attribute] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_ATautoreleasepool] = ACTIONS(2570),
    [anon_sym_auto] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_CG_EXTERN] = ACTIONS(2568),
    [anon_sym_CG_INLINE] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2568),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2568),
    [anon_sym_IBOutlet] = ACTIONS(2568),
    [anon_sym_IBInspectable] = ACTIONS(2568),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2568),
    [anon_sym_NS_INLINE] = ACTIONS(2568),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2568),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2568),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym__Nonnull] = ACTIONS(2568),
    [anon_sym_nullable] = ACTIONS(2568),
    [anon_sym__Complex] = ACTIONS(2568),
    [anon_sym__Nullable] = ACTIONS(2568),
    [anon_sym__Nullable_result] = ACTIONS(2568),
    [anon_sym__Null_unspecified] = ACTIONS(2568),
    [anon_sym___autoreleasing] = ACTIONS(2568),
    [anon_sym___block] = ACTIONS(2568),
    [anon_sym___bridge] = ACTIONS(2568),
    [anon_sym___bridge_retained] = ACTIONS(2568),
    [anon_sym___bridge_transfer] = ACTIONS(2568),
    [anon_sym___complex] = ACTIONS(2568),
    [anon_sym___const] = ACTIONS(2568),
    [anon_sym___imag] = ACTIONS(2568),
    [anon_sym___kindof] = ACTIONS(2568),
    [anon_sym___nonnull] = ACTIONS(2568),
    [anon_sym___nullable] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2568),
    [anon_sym___real] = ACTIONS(2568),
    [anon_sym___strong] = ACTIONS(2568),
    [anon_sym___unsafe_unretained] = ACTIONS(2568),
    [anon_sym___unused] = ACTIONS(2568),
    [anon_sym___weak] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_default] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_in] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [anon_sym___asm] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_AT] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2568),
    [anon_sym___typeof] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(2568),
    [anon_sym_ATimport] = ACTIONS(2570),
    [aux_sym_preproc_undef_token1] = ACTIONS(2568),
    [anon_sym_POUND] = ACTIONS(2568),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2568),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2568),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2568),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_API_AVAILABLE] = ACTIONS(2568),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_API_DEPRECATED] = ACTIONS(2568),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym___deprecated_msg] = ACTIONS(2568),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2568),
    [anon_sym_ATprotocol] = ACTIONS(2570),
    [anon_sym_ATinterface] = ACTIONS(2570),
    [anon_sym_ATimplementation] = ACTIONS(2570),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2570),
    [anon_sym_ATselector] = ACTIONS(2570),
    [anon_sym_ATavailable] = ACTIONS(2570),
    [anon_sym___builtin_available] = ACTIONS(2568),
    [anon_sym_va_arg] = ACTIONS(2568),
    [anon_sym_ATencode] = ACTIONS(2570),
    [anon_sym_BOOL] = ACTIONS(2568),
    [anon_sym_IMP] = ACTIONS(2568),
    [anon_sym_SEL] = ACTIONS(2568),
    [anon_sym_Class] = ACTIONS(2568),
    [anon_sym_id] = ACTIONS(2568),
  },
  [1068] = {
    [ts_builtin_sym_end] = ACTIONS(2680),
    [sym_identifier] = ACTIONS(2678),
    [aux_sym_preproc_include_token1] = ACTIONS(2678),
    [aux_sym_preproc_include_token2] = ACTIONS(2678),
    [aux_sym_preproc_def_token1] = ACTIONS(2678),
    [aux_sym_preproc_if_token1] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2678),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2678),
    [sym_preproc_directive] = ACTIONS(2678),
    [anon_sym_LPAREN2] = ACTIONS(2680),
    [anon_sym_BANG] = ACTIONS(2680),
    [anon_sym_TILDE] = ACTIONS(2680),
    [anon_sym_DASH] = ACTIONS(2678),
    [anon_sym_PLUS] = ACTIONS(2678),
    [anon_sym_STAR] = ACTIONS(2680),
    [anon_sym_CARET] = ACTIONS(2680),
    [anon_sym_AMP] = ACTIONS(2680),
    [anon_sym_SEMI] = ACTIONS(2680),
    [anon_sym___extension__] = ACTIONS(2678),
    [anon_sym_typedef] = ACTIONS(2678),
    [anon_sym_extern] = ACTIONS(2678),
    [anon_sym___attribute__] = ACTIONS(2678),
    [anon_sym___attribute] = ACTIONS(2678),
    [anon_sym_noreturn] = ACTIONS(2678),
    [anon_sym_LBRACK] = ACTIONS(2680),
    [anon_sym___declspec] = ACTIONS(2678),
    [anon_sym___cdecl] = ACTIONS(2678),
    [anon_sym___clrcall] = ACTIONS(2678),
    [anon_sym___stdcall] = ACTIONS(2678),
    [anon_sym___fastcall] = ACTIONS(2678),
    [anon_sym___thiscall] = ACTIONS(2678),
    [anon_sym___vectorcall] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(2680),
    [anon_sym_signed] = ACTIONS(2678),
    [anon_sym_unsigned] = ACTIONS(2678),
    [anon_sym_long] = ACTIONS(2678),
    [anon_sym_short] = ACTIONS(2678),
    [anon_sym_static] = ACTIONS(2678),
    [anon_sym_ATautoreleasepool] = ACTIONS(2680),
    [anon_sym_auto] = ACTIONS(2678),
    [anon_sym_register] = ACTIONS(2678),
    [anon_sym_inline] = ACTIONS(2678),
    [anon_sym___inline] = ACTIONS(2678),
    [anon_sym___inline__] = ACTIONS(2678),
    [anon_sym___forceinline] = ACTIONS(2678),
    [anon_sym_thread_local] = ACTIONS(2678),
    [anon_sym___thread] = ACTIONS(2678),
    [anon_sym_CG_EXTERN] = ACTIONS(2678),
    [anon_sym_CG_INLINE] = ACTIONS(2678),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2678),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2678),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2678),
    [anon_sym_IBOutlet] = ACTIONS(2678),
    [anon_sym_IBInspectable] = ACTIONS(2678),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2678),
    [anon_sym_NS_INLINE] = ACTIONS(2678),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2678),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2678),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2678),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2678),
    [anon_sym_const] = ACTIONS(2678),
    [anon_sym_constexpr] = ACTIONS(2678),
    [anon_sym_volatile] = ACTIONS(2678),
    [anon_sym_restrict] = ACTIONS(2678),
    [anon_sym___restrict__] = ACTIONS(2678),
    [anon_sym__Atomic] = ACTIONS(2678),
    [anon_sym__Noreturn] = ACTIONS(2678),
    [anon_sym__Nonnull] = ACTIONS(2678),
    [anon_sym_nullable] = ACTIONS(2678),
    [anon_sym__Complex] = ACTIONS(2678),
    [anon_sym__Nullable] = ACTIONS(2678),
    [anon_sym__Nullable_result] = ACTIONS(2678),
    [anon_sym__Null_unspecified] = ACTIONS(2678),
    [anon_sym___autoreleasing] = ACTIONS(2678),
    [anon_sym___block] = ACTIONS(2678),
    [anon_sym___bridge] = ACTIONS(2678),
    [anon_sym___bridge_retained] = ACTIONS(2678),
    [anon_sym___bridge_transfer] = ACTIONS(2678),
    [anon_sym___complex] = ACTIONS(2678),
    [anon_sym___const] = ACTIONS(2678),
    [anon_sym___imag] = ACTIONS(2678),
    [anon_sym___kindof] = ACTIONS(2678),
    [anon_sym___nonnull] = ACTIONS(2678),
    [anon_sym___nullable] = ACTIONS(2678),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2678),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2678),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2678),
    [anon_sym___real] = ACTIONS(2678),
    [anon_sym___strong] = ACTIONS(2678),
    [anon_sym___unsafe_unretained] = ACTIONS(2678),
    [anon_sym___unused] = ACTIONS(2678),
    [anon_sym___weak] = ACTIONS(2678),
    [anon_sym_alignas] = ACTIONS(2678),
    [anon_sym__Alignas] = ACTIONS(2678),
    [sym_primitive_type] = ACTIONS(2678),
    [anon_sym_enum] = ACTIONS(2678),
    [anon_sym_struct] = ACTIONS(2678),
    [anon_sym_union] = ACTIONS(2678),
    [anon_sym_if] = ACTIONS(2678),
    [anon_sym_switch] = ACTIONS(2678),
    [anon_sym_case] = ACTIONS(2678),
    [anon_sym_default] = ACTIONS(2678),
    [anon_sym_while] = ACTIONS(2678),
    [anon_sym_do] = ACTIONS(2678),
    [anon_sym_for] = ACTIONS(2678),
    [anon_sym_in] = ACTIONS(2678),
    [anon_sym_return] = ACTIONS(2678),
    [anon_sym_break] = ACTIONS(2678),
    [anon_sym_continue] = ACTIONS(2678),
    [anon_sym_goto] = ACTIONS(2678),
    [anon_sym_DASH_DASH] = ACTIONS(2680),
    [anon_sym_PLUS_PLUS] = ACTIONS(2680),
    [anon_sym_sizeof] = ACTIONS(2678),
    [anon_sym___alignof__] = ACTIONS(2678),
    [anon_sym___alignof] = ACTIONS(2678),
    [anon_sym__alignof] = ACTIONS(2678),
    [anon_sym_alignof] = ACTIONS(2678),
    [anon_sym__Alignof] = ACTIONS(2678),
    [anon_sym_offsetof] = ACTIONS(2678),
    [anon_sym__Generic] = ACTIONS(2678),
    [anon_sym_asm] = ACTIONS(2678),
    [anon_sym___asm__] = ACTIONS(2678),
    [anon_sym___asm] = ACTIONS(2678),
    [sym_number_literal] = ACTIONS(2680),
    [anon_sym_L_SQUOTE] = ACTIONS(2680),
    [anon_sym_u_SQUOTE] = ACTIONS(2680),
    [anon_sym_U_SQUOTE] = ACTIONS(2680),
    [anon_sym_u8_SQUOTE] = ACTIONS(2680),
    [anon_sym_SQUOTE] = ACTIONS(2680),
    [anon_sym_AT] = ACTIONS(2678),
    [anon_sym_DQUOTE] = ACTIONS(2680),
    [anon_sym_L_DQUOTE] = ACTIONS(2680),
    [anon_sym_u_DQUOTE] = ACTIONS(2680),
    [anon_sym_U_DQUOTE] = ACTIONS(2680),
    [anon_sym_u8_DQUOTE] = ACTIONS(2680),
    [sym_true] = ACTIONS(2678),
    [sym_false] = ACTIONS(2678),
    [anon_sym_NULL] = ACTIONS(2678),
    [anon_sym_nullptr] = ACTIONS(2678),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2678),
    [anon_sym___typeof] = ACTIONS(2678),
    [anon_sym_typeof] = ACTIONS(2678),
    [anon_sym_ATimport] = ACTIONS(2680),
    [aux_sym_preproc_undef_token1] = ACTIONS(2678),
    [anon_sym_POUND] = ACTIONS(2678),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2678),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2678),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2678),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2678),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2678),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2678),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2678),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2678),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2678),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2678),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2678),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2678),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2678),
    [anon_sym_API_AVAILABLE] = ACTIONS(2678),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2678),
    [anon_sym_API_DEPRECATED] = ACTIONS(2678),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2678),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2678),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2678),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2678),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2678),
    [anon_sym___deprecated_msg] = ACTIONS(2678),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2678),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2678),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2678),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2678),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2678),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2678),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2678),
    [anon_sym_ATprotocol] = ACTIONS(2680),
    [anon_sym_ATinterface] = ACTIONS(2680),
    [anon_sym_ATimplementation] = ACTIONS(2680),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2680),
    [anon_sym_ATselector] = ACTIONS(2680),
    [anon_sym_ATavailable] = ACTIONS(2680),
    [anon_sym___builtin_available] = ACTIONS(2678),
    [anon_sym_va_arg] = ACTIONS(2678),
    [anon_sym_ATencode] = ACTIONS(2680),
    [anon_sym_BOOL] = ACTIONS(2678),
    [anon_sym_IMP] = ACTIONS(2678),
    [anon_sym_SEL] = ACTIONS(2678),
    [anon_sym_Class] = ACTIONS(2678),
    [anon_sym_id] = ACTIONS(2678),
  },
  [1069] = {
    [ts_builtin_sym_end] = ACTIONS(2570),
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_include_token1] = ACTIONS(2568),
    [aux_sym_preproc_include_token2] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym___attribute] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_ATautoreleasepool] = ACTIONS(2570),
    [anon_sym_auto] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_CG_EXTERN] = ACTIONS(2568),
    [anon_sym_CG_INLINE] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2568),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2568),
    [anon_sym_IBOutlet] = ACTIONS(2568),
    [anon_sym_IBInspectable] = ACTIONS(2568),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2568),
    [anon_sym_NS_INLINE] = ACTIONS(2568),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2568),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2568),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym__Nonnull] = ACTIONS(2568),
    [anon_sym_nullable] = ACTIONS(2568),
    [anon_sym__Complex] = ACTIONS(2568),
    [anon_sym__Nullable] = ACTIONS(2568),
    [anon_sym__Nullable_result] = ACTIONS(2568),
    [anon_sym__Null_unspecified] = ACTIONS(2568),
    [anon_sym___autoreleasing] = ACTIONS(2568),
    [anon_sym___block] = ACTIONS(2568),
    [anon_sym___bridge] = ACTIONS(2568),
    [anon_sym___bridge_retained] = ACTIONS(2568),
    [anon_sym___bridge_transfer] = ACTIONS(2568),
    [anon_sym___complex] = ACTIONS(2568),
    [anon_sym___const] = ACTIONS(2568),
    [anon_sym___imag] = ACTIONS(2568),
    [anon_sym___kindof] = ACTIONS(2568),
    [anon_sym___nonnull] = ACTIONS(2568),
    [anon_sym___nullable] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2568),
    [anon_sym___real] = ACTIONS(2568),
    [anon_sym___strong] = ACTIONS(2568),
    [anon_sym___unsafe_unretained] = ACTIONS(2568),
    [anon_sym___unused] = ACTIONS(2568),
    [anon_sym___weak] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_case] = ACTIONS(2568),
    [anon_sym_default] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_in] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [anon_sym___asm] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_AT] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2568),
    [anon_sym___typeof] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(2568),
    [anon_sym_ATimport] = ACTIONS(2570),
    [aux_sym_preproc_undef_token1] = ACTIONS(2568),
    [anon_sym_POUND] = ACTIONS(2568),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2568),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2568),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2568),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_API_AVAILABLE] = ACTIONS(2568),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_API_DEPRECATED] = ACTIONS(2568),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym___deprecated_msg] = ACTIONS(2568),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2568),
    [anon_sym_ATprotocol] = ACTIONS(2570),
    [anon_sym_ATinterface] = ACTIONS(2570),
    [anon_sym_ATimplementation] = ACTIONS(2570),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2570),
    [anon_sym_ATselector] = ACTIONS(2570),
    [anon_sym_ATavailable] = ACTIONS(2570),
    [anon_sym___builtin_available] = ACTIONS(2568),
    [anon_sym_va_arg] = ACTIONS(2568),
    [anon_sym_ATencode] = ACTIONS(2570),
    [anon_sym_BOOL] = ACTIONS(2568),
    [anon_sym_IMP] = ACTIONS(2568),
    [anon_sym_SEL] = ACTIONS(2568),
    [anon_sym_Class] = ACTIONS(2568),
    [anon_sym_id] = ACTIONS(2568),
  },
  [1070] = {
    [sym_ms_declspec_modifier] = STATE(6755),
    [sym_expression] = STATE(4380),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_typedef] = ACTIONS(2962),
    [anon_sym_extern] = ACTIONS(2922),
    [anon_sym___attribute__] = ACTIONS(2922),
    [anon_sym___attribute] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_static] = ACTIONS(2922),
    [anon_sym_auto] = ACTIONS(2922),
    [anon_sym_register] = ACTIONS(2922),
    [anon_sym_inline] = ACTIONS(2922),
    [anon_sym___inline] = ACTIONS(2922),
    [anon_sym___inline__] = ACTIONS(2922),
    [anon_sym___forceinline] = ACTIONS(2922),
    [anon_sym_thread_local] = ACTIONS(2922),
    [anon_sym___thread] = ACTIONS(2922),
    [anon_sym_CG_EXTERN] = ACTIONS(2922),
    [anon_sym_CG_INLINE] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2922),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2922),
    [anon_sym_IBOutlet] = ACTIONS(2922),
    [anon_sym_IBInspectable] = ACTIONS(2922),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2922),
    [anon_sym_NS_INLINE] = ACTIONS(2922),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2922),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2922),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_union] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2922),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2922),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2922),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_API_AVAILABLE] = ACTIONS(2922),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_API_DEPRECATED] = ACTIONS(2922),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym___deprecated_msg] = ACTIONS(2922),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2922),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(203),
  },
  [1071] = {
    [ts_builtin_sym_end] = ACTIONS(2834),
    [sym_identifier] = ACTIONS(2832),
    [aux_sym_preproc_include_token1] = ACTIONS(2832),
    [aux_sym_preproc_include_token2] = ACTIONS(2832),
    [aux_sym_preproc_def_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token1] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2832),
    [sym_preproc_directive] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2834),
    [anon_sym_TILDE] = ACTIONS(2834),
    [anon_sym_DASH] = ACTIONS(2832),
    [anon_sym_PLUS] = ACTIONS(2832),
    [anon_sym_STAR] = ACTIONS(2834),
    [anon_sym_CARET] = ACTIONS(2834),
    [anon_sym_AMP] = ACTIONS(2834),
    [anon_sym_SEMI] = ACTIONS(2834),
    [anon_sym___extension__] = ACTIONS(2832),
    [anon_sym_typedef] = ACTIONS(2832),
    [anon_sym_extern] = ACTIONS(2832),
    [anon_sym___attribute__] = ACTIONS(2832),
    [anon_sym___attribute] = ACTIONS(2832),
    [anon_sym_noreturn] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2834),
    [anon_sym___declspec] = ACTIONS(2832),
    [anon_sym___cdecl] = ACTIONS(2832),
    [anon_sym___clrcall] = ACTIONS(2832),
    [anon_sym___stdcall] = ACTIONS(2832),
    [anon_sym___fastcall] = ACTIONS(2832),
    [anon_sym___thiscall] = ACTIONS(2832),
    [anon_sym___vectorcall] = ACTIONS(2832),
    [anon_sym_LBRACE] = ACTIONS(2834),
    [anon_sym_signed] = ACTIONS(2832),
    [anon_sym_unsigned] = ACTIONS(2832),
    [anon_sym_long] = ACTIONS(2832),
    [anon_sym_short] = ACTIONS(2832),
    [anon_sym_static] = ACTIONS(2832),
    [anon_sym_ATautoreleasepool] = ACTIONS(2834),
    [anon_sym_auto] = ACTIONS(2832),
    [anon_sym_register] = ACTIONS(2832),
    [anon_sym_inline] = ACTIONS(2832),
    [anon_sym___inline] = ACTIONS(2832),
    [anon_sym___inline__] = ACTIONS(2832),
    [anon_sym___forceinline] = ACTIONS(2832),
    [anon_sym_thread_local] = ACTIONS(2832),
    [anon_sym___thread] = ACTIONS(2832),
    [anon_sym_CG_EXTERN] = ACTIONS(2832),
    [anon_sym_CG_INLINE] = ACTIONS(2832),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2832),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2832),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2832),
    [anon_sym_IBOutlet] = ACTIONS(2832),
    [anon_sym_IBInspectable] = ACTIONS(2832),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2832),
    [anon_sym_NS_INLINE] = ACTIONS(2832),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2832),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2832),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2832),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2832),
    [anon_sym_const] = ACTIONS(2832),
    [anon_sym_constexpr] = ACTIONS(2832),
    [anon_sym_volatile] = ACTIONS(2832),
    [anon_sym_restrict] = ACTIONS(2832),
    [anon_sym___restrict__] = ACTIONS(2832),
    [anon_sym__Atomic] = ACTIONS(2832),
    [anon_sym__Noreturn] = ACTIONS(2832),
    [anon_sym__Nonnull] = ACTIONS(2832),
    [anon_sym_nullable] = ACTIONS(2832),
    [anon_sym__Complex] = ACTIONS(2832),
    [anon_sym__Nullable] = ACTIONS(2832),
    [anon_sym__Nullable_result] = ACTIONS(2832),
    [anon_sym__Null_unspecified] = ACTIONS(2832),
    [anon_sym___autoreleasing] = ACTIONS(2832),
    [anon_sym___block] = ACTIONS(2832),
    [anon_sym___bridge] = ACTIONS(2832),
    [anon_sym___bridge_retained] = ACTIONS(2832),
    [anon_sym___bridge_transfer] = ACTIONS(2832),
    [anon_sym___complex] = ACTIONS(2832),
    [anon_sym___const] = ACTIONS(2832),
    [anon_sym___imag] = ACTIONS(2832),
    [anon_sym___kindof] = ACTIONS(2832),
    [anon_sym___nonnull] = ACTIONS(2832),
    [anon_sym___nullable] = ACTIONS(2832),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2832),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2832),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2832),
    [anon_sym___real] = ACTIONS(2832),
    [anon_sym___strong] = ACTIONS(2832),
    [anon_sym___unsafe_unretained] = ACTIONS(2832),
    [anon_sym___unused] = ACTIONS(2832),
    [anon_sym___weak] = ACTIONS(2832),
    [anon_sym_alignas] = ACTIONS(2832),
    [anon_sym__Alignas] = ACTIONS(2832),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_enum] = ACTIONS(2832),
    [anon_sym_struct] = ACTIONS(2832),
    [anon_sym_union] = ACTIONS(2832),
    [anon_sym_if] = ACTIONS(2832),
    [anon_sym_switch] = ACTIONS(2832),
    [anon_sym_case] = ACTIONS(2832),
    [anon_sym_default] = ACTIONS(2832),
    [anon_sym_while] = ACTIONS(2832),
    [anon_sym_do] = ACTIONS(2832),
    [anon_sym_for] = ACTIONS(2832),
    [anon_sym_in] = ACTIONS(2832),
    [anon_sym_return] = ACTIONS(2832),
    [anon_sym_break] = ACTIONS(2832),
    [anon_sym_continue] = ACTIONS(2832),
    [anon_sym_goto] = ACTIONS(2832),
    [anon_sym_DASH_DASH] = ACTIONS(2834),
    [anon_sym_PLUS_PLUS] = ACTIONS(2834),
    [anon_sym_sizeof] = ACTIONS(2832),
    [anon_sym___alignof__] = ACTIONS(2832),
    [anon_sym___alignof] = ACTIONS(2832),
    [anon_sym__alignof] = ACTIONS(2832),
    [anon_sym_alignof] = ACTIONS(2832),
    [anon_sym__Alignof] = ACTIONS(2832),
    [anon_sym_offsetof] = ACTIONS(2832),
    [anon_sym__Generic] = ACTIONS(2832),
    [anon_sym_asm] = ACTIONS(2832),
    [anon_sym___asm__] = ACTIONS(2832),
    [anon_sym___asm] = ACTIONS(2832),
    [sym_number_literal] = ACTIONS(2834),
    [anon_sym_L_SQUOTE] = ACTIONS(2834),
    [anon_sym_u_SQUOTE] = ACTIONS(2834),
    [anon_sym_U_SQUOTE] = ACTIONS(2834),
    [anon_sym_u8_SQUOTE] = ACTIONS(2834),
    [anon_sym_SQUOTE] = ACTIONS(2834),
    [anon_sym_AT] = ACTIONS(2832),
    [anon_sym_DQUOTE] = ACTIONS(2834),
    [anon_sym_L_DQUOTE] = ACTIONS(2834),
    [anon_sym_u_DQUOTE] = ACTIONS(2834),
    [anon_sym_U_DQUOTE] = ACTIONS(2834),
    [anon_sym_u8_DQUOTE] = ACTIONS(2834),
    [sym_true] = ACTIONS(2832),
    [sym_false] = ACTIONS(2832),
    [anon_sym_NULL] = ACTIONS(2832),
    [anon_sym_nullptr] = ACTIONS(2832),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2832),
    [anon_sym___typeof] = ACTIONS(2832),
    [anon_sym_typeof] = ACTIONS(2832),
    [anon_sym_ATimport] = ACTIONS(2834),
    [aux_sym_preproc_undef_token1] = ACTIONS(2832),
    [anon_sym_POUND] = ACTIONS(2832),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2832),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2832),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2832),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2832),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2832),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2832),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2832),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2832),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2832),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2832),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2832),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2832),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2832),
    [anon_sym_API_AVAILABLE] = ACTIONS(2832),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2832),
    [anon_sym_API_DEPRECATED] = ACTIONS(2832),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2832),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2832),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2832),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2832),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2832),
    [anon_sym___deprecated_msg] = ACTIONS(2832),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2832),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2832),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2832),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2832),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2832),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2832),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2832),
    [anon_sym_ATprotocol] = ACTIONS(2834),
    [anon_sym_ATinterface] = ACTIONS(2834),
    [anon_sym_ATimplementation] = ACTIONS(2834),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2834),
    [anon_sym_ATselector] = ACTIONS(2834),
    [anon_sym_ATavailable] = ACTIONS(2834),
    [anon_sym___builtin_available] = ACTIONS(2832),
    [anon_sym_va_arg] = ACTIONS(2832),
    [anon_sym_ATencode] = ACTIONS(2834),
    [anon_sym_BOOL] = ACTIONS(2832),
    [anon_sym_IMP] = ACTIONS(2832),
    [anon_sym_SEL] = ACTIONS(2832),
    [anon_sym_Class] = ACTIONS(2832),
    [anon_sym_id] = ACTIONS(2832),
  },
  [1072] = {
    [ts_builtin_sym_end] = ACTIONS(2780),
    [sym_identifier] = ACTIONS(2778),
    [aux_sym_preproc_include_token1] = ACTIONS(2778),
    [aux_sym_preproc_include_token2] = ACTIONS(2778),
    [aux_sym_preproc_def_token1] = ACTIONS(2778),
    [aux_sym_preproc_if_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2778),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2778),
    [sym_preproc_directive] = ACTIONS(2778),
    [anon_sym_LPAREN2] = ACTIONS(2780),
    [anon_sym_BANG] = ACTIONS(2780),
    [anon_sym_TILDE] = ACTIONS(2780),
    [anon_sym_DASH] = ACTIONS(2778),
    [anon_sym_PLUS] = ACTIONS(2778),
    [anon_sym_STAR] = ACTIONS(2780),
    [anon_sym_CARET] = ACTIONS(2780),
    [anon_sym_AMP] = ACTIONS(2780),
    [anon_sym_SEMI] = ACTIONS(2780),
    [anon_sym___extension__] = ACTIONS(2778),
    [anon_sym_typedef] = ACTIONS(2778),
    [anon_sym_extern] = ACTIONS(2778),
    [anon_sym___attribute__] = ACTIONS(2778),
    [anon_sym___attribute] = ACTIONS(2778),
    [anon_sym_noreturn] = ACTIONS(2778),
    [anon_sym_LBRACK] = ACTIONS(2780),
    [anon_sym___declspec] = ACTIONS(2778),
    [anon_sym___cdecl] = ACTIONS(2778),
    [anon_sym___clrcall] = ACTIONS(2778),
    [anon_sym___stdcall] = ACTIONS(2778),
    [anon_sym___fastcall] = ACTIONS(2778),
    [anon_sym___thiscall] = ACTIONS(2778),
    [anon_sym___vectorcall] = ACTIONS(2778),
    [anon_sym_LBRACE] = ACTIONS(2780),
    [anon_sym_signed] = ACTIONS(2778),
    [anon_sym_unsigned] = ACTIONS(2778),
    [anon_sym_long] = ACTIONS(2778),
    [anon_sym_short] = ACTIONS(2778),
    [anon_sym_static] = ACTIONS(2778),
    [anon_sym_ATautoreleasepool] = ACTIONS(2780),
    [anon_sym_auto] = ACTIONS(2778),
    [anon_sym_register] = ACTIONS(2778),
    [anon_sym_inline] = ACTIONS(2778),
    [anon_sym___inline] = ACTIONS(2778),
    [anon_sym___inline__] = ACTIONS(2778),
    [anon_sym___forceinline] = ACTIONS(2778),
    [anon_sym_thread_local] = ACTIONS(2778),
    [anon_sym___thread] = ACTIONS(2778),
    [anon_sym_CG_EXTERN] = ACTIONS(2778),
    [anon_sym_CG_INLINE] = ACTIONS(2778),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2778),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2778),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2778),
    [anon_sym_IBOutlet] = ACTIONS(2778),
    [anon_sym_IBInspectable] = ACTIONS(2778),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2778),
    [anon_sym_NS_INLINE] = ACTIONS(2778),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2778),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2778),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2778),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2778),
    [anon_sym_const] = ACTIONS(2778),
    [anon_sym_constexpr] = ACTIONS(2778),
    [anon_sym_volatile] = ACTIONS(2778),
    [anon_sym_restrict] = ACTIONS(2778),
    [anon_sym___restrict__] = ACTIONS(2778),
    [anon_sym__Atomic] = ACTIONS(2778),
    [anon_sym__Noreturn] = ACTIONS(2778),
    [anon_sym__Nonnull] = ACTIONS(2778),
    [anon_sym_nullable] = ACTIONS(2778),
    [anon_sym__Complex] = ACTIONS(2778),
    [anon_sym__Nullable] = ACTIONS(2778),
    [anon_sym__Nullable_result] = ACTIONS(2778),
    [anon_sym__Null_unspecified] = ACTIONS(2778),
    [anon_sym___autoreleasing] = ACTIONS(2778),
    [anon_sym___block] = ACTIONS(2778),
    [anon_sym___bridge] = ACTIONS(2778),
    [anon_sym___bridge_retained] = ACTIONS(2778),
    [anon_sym___bridge_transfer] = ACTIONS(2778),
    [anon_sym___complex] = ACTIONS(2778),
    [anon_sym___const] = ACTIONS(2778),
    [anon_sym___imag] = ACTIONS(2778),
    [anon_sym___kindof] = ACTIONS(2778),
    [anon_sym___nonnull] = ACTIONS(2778),
    [anon_sym___nullable] = ACTIONS(2778),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2778),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2778),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2778),
    [anon_sym___real] = ACTIONS(2778),
    [anon_sym___strong] = ACTIONS(2778),
    [anon_sym___unsafe_unretained] = ACTIONS(2778),
    [anon_sym___unused] = ACTIONS(2778),
    [anon_sym___weak] = ACTIONS(2778),
    [anon_sym_alignas] = ACTIONS(2778),
    [anon_sym__Alignas] = ACTIONS(2778),
    [sym_primitive_type] = ACTIONS(2778),
    [anon_sym_enum] = ACTIONS(2778),
    [anon_sym_struct] = ACTIONS(2778),
    [anon_sym_union] = ACTIONS(2778),
    [anon_sym_if] = ACTIONS(2778),
    [anon_sym_switch] = ACTIONS(2778),
    [anon_sym_case] = ACTIONS(2778),
    [anon_sym_default] = ACTIONS(2778),
    [anon_sym_while] = ACTIONS(2778),
    [anon_sym_do] = ACTIONS(2778),
    [anon_sym_for] = ACTIONS(2778),
    [anon_sym_in] = ACTIONS(2778),
    [anon_sym_return] = ACTIONS(2778),
    [anon_sym_break] = ACTIONS(2778),
    [anon_sym_continue] = ACTIONS(2778),
    [anon_sym_goto] = ACTIONS(2778),
    [anon_sym_DASH_DASH] = ACTIONS(2780),
    [anon_sym_PLUS_PLUS] = ACTIONS(2780),
    [anon_sym_sizeof] = ACTIONS(2778),
    [anon_sym___alignof__] = ACTIONS(2778),
    [anon_sym___alignof] = ACTIONS(2778),
    [anon_sym__alignof] = ACTIONS(2778),
    [anon_sym_alignof] = ACTIONS(2778),
    [anon_sym__Alignof] = ACTIONS(2778),
    [anon_sym_offsetof] = ACTIONS(2778),
    [anon_sym__Generic] = ACTIONS(2778),
    [anon_sym_asm] = ACTIONS(2778),
    [anon_sym___asm__] = ACTIONS(2778),
    [anon_sym___asm] = ACTIONS(2778),
    [sym_number_literal] = ACTIONS(2780),
    [anon_sym_L_SQUOTE] = ACTIONS(2780),
    [anon_sym_u_SQUOTE] = ACTIONS(2780),
    [anon_sym_U_SQUOTE] = ACTIONS(2780),
    [anon_sym_u8_SQUOTE] = ACTIONS(2780),
    [anon_sym_SQUOTE] = ACTIONS(2780),
    [anon_sym_AT] = ACTIONS(2778),
    [anon_sym_DQUOTE] = ACTIONS(2780),
    [anon_sym_L_DQUOTE] = ACTIONS(2780),
    [anon_sym_u_DQUOTE] = ACTIONS(2780),
    [anon_sym_U_DQUOTE] = ACTIONS(2780),
    [anon_sym_u8_DQUOTE] = ACTIONS(2780),
    [sym_true] = ACTIONS(2778),
    [sym_false] = ACTIONS(2778),
    [anon_sym_NULL] = ACTIONS(2778),
    [anon_sym_nullptr] = ACTIONS(2778),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2778),
    [anon_sym___typeof] = ACTIONS(2778),
    [anon_sym_typeof] = ACTIONS(2778),
    [anon_sym_ATimport] = ACTIONS(2780),
    [aux_sym_preproc_undef_token1] = ACTIONS(2778),
    [anon_sym_POUND] = ACTIONS(2778),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2778),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2778),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2778),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2778),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2778),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2778),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2778),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2778),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2778),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2778),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2778),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2778),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2778),
    [anon_sym_API_AVAILABLE] = ACTIONS(2778),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2778),
    [anon_sym_API_DEPRECATED] = ACTIONS(2778),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2778),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2778),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2778),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2778),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2778),
    [anon_sym___deprecated_msg] = ACTIONS(2778),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2778),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2778),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2778),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2778),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2778),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2778),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2778),
    [anon_sym_ATprotocol] = ACTIONS(2780),
    [anon_sym_ATinterface] = ACTIONS(2780),
    [anon_sym_ATimplementation] = ACTIONS(2780),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2780),
    [anon_sym_ATselector] = ACTIONS(2780),
    [anon_sym_ATavailable] = ACTIONS(2780),
    [anon_sym___builtin_available] = ACTIONS(2778),
    [anon_sym_va_arg] = ACTIONS(2778),
    [anon_sym_ATencode] = ACTIONS(2780),
    [anon_sym_BOOL] = ACTIONS(2778),
    [anon_sym_IMP] = ACTIONS(2778),
    [anon_sym_SEL] = ACTIONS(2778),
    [anon_sym_Class] = ACTIONS(2778),
    [anon_sym_id] = ACTIONS(2778),
  },
  [1073] = {
    [ts_builtin_sym_end] = ACTIONS(2784),
    [sym_identifier] = ACTIONS(2782),
    [aux_sym_preproc_include_token1] = ACTIONS(2782),
    [aux_sym_preproc_include_token2] = ACTIONS(2782),
    [aux_sym_preproc_def_token1] = ACTIONS(2782),
    [aux_sym_preproc_if_token1] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2782),
    [sym_preproc_directive] = ACTIONS(2782),
    [anon_sym_LPAREN2] = ACTIONS(2784),
    [anon_sym_BANG] = ACTIONS(2784),
    [anon_sym_TILDE] = ACTIONS(2784),
    [anon_sym_DASH] = ACTIONS(2782),
    [anon_sym_PLUS] = ACTIONS(2782),
    [anon_sym_STAR] = ACTIONS(2784),
    [anon_sym_CARET] = ACTIONS(2784),
    [anon_sym_AMP] = ACTIONS(2784),
    [anon_sym_SEMI] = ACTIONS(2784),
    [anon_sym___extension__] = ACTIONS(2782),
    [anon_sym_typedef] = ACTIONS(2782),
    [anon_sym_extern] = ACTIONS(2782),
    [anon_sym___attribute__] = ACTIONS(2782),
    [anon_sym___attribute] = ACTIONS(2782),
    [anon_sym_noreturn] = ACTIONS(2782),
    [anon_sym_LBRACK] = ACTIONS(2784),
    [anon_sym___declspec] = ACTIONS(2782),
    [anon_sym___cdecl] = ACTIONS(2782),
    [anon_sym___clrcall] = ACTIONS(2782),
    [anon_sym___stdcall] = ACTIONS(2782),
    [anon_sym___fastcall] = ACTIONS(2782),
    [anon_sym___thiscall] = ACTIONS(2782),
    [anon_sym___vectorcall] = ACTIONS(2782),
    [anon_sym_LBRACE] = ACTIONS(2784),
    [anon_sym_signed] = ACTIONS(2782),
    [anon_sym_unsigned] = ACTIONS(2782),
    [anon_sym_long] = ACTIONS(2782),
    [anon_sym_short] = ACTIONS(2782),
    [anon_sym_static] = ACTIONS(2782),
    [anon_sym_ATautoreleasepool] = ACTIONS(2784),
    [anon_sym_auto] = ACTIONS(2782),
    [anon_sym_register] = ACTIONS(2782),
    [anon_sym_inline] = ACTIONS(2782),
    [anon_sym___inline] = ACTIONS(2782),
    [anon_sym___inline__] = ACTIONS(2782),
    [anon_sym___forceinline] = ACTIONS(2782),
    [anon_sym_thread_local] = ACTIONS(2782),
    [anon_sym___thread] = ACTIONS(2782),
    [anon_sym_CG_EXTERN] = ACTIONS(2782),
    [anon_sym_CG_INLINE] = ACTIONS(2782),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2782),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2782),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2782),
    [anon_sym_IBOutlet] = ACTIONS(2782),
    [anon_sym_IBInspectable] = ACTIONS(2782),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2782),
    [anon_sym_NS_INLINE] = ACTIONS(2782),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2782),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2782),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2782),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2782),
    [anon_sym_const] = ACTIONS(2782),
    [anon_sym_constexpr] = ACTIONS(2782),
    [anon_sym_volatile] = ACTIONS(2782),
    [anon_sym_restrict] = ACTIONS(2782),
    [anon_sym___restrict__] = ACTIONS(2782),
    [anon_sym__Atomic] = ACTIONS(2782),
    [anon_sym__Noreturn] = ACTIONS(2782),
    [anon_sym__Nonnull] = ACTIONS(2782),
    [anon_sym_nullable] = ACTIONS(2782),
    [anon_sym__Complex] = ACTIONS(2782),
    [anon_sym__Nullable] = ACTIONS(2782),
    [anon_sym__Nullable_result] = ACTIONS(2782),
    [anon_sym__Null_unspecified] = ACTIONS(2782),
    [anon_sym___autoreleasing] = ACTIONS(2782),
    [anon_sym___block] = ACTIONS(2782),
    [anon_sym___bridge] = ACTIONS(2782),
    [anon_sym___bridge_retained] = ACTIONS(2782),
    [anon_sym___bridge_transfer] = ACTIONS(2782),
    [anon_sym___complex] = ACTIONS(2782),
    [anon_sym___const] = ACTIONS(2782),
    [anon_sym___imag] = ACTIONS(2782),
    [anon_sym___kindof] = ACTIONS(2782),
    [anon_sym___nonnull] = ACTIONS(2782),
    [anon_sym___nullable] = ACTIONS(2782),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2782),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2782),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2782),
    [anon_sym___real] = ACTIONS(2782),
    [anon_sym___strong] = ACTIONS(2782),
    [anon_sym___unsafe_unretained] = ACTIONS(2782),
    [anon_sym___unused] = ACTIONS(2782),
    [anon_sym___weak] = ACTIONS(2782),
    [anon_sym_alignas] = ACTIONS(2782),
    [anon_sym__Alignas] = ACTIONS(2782),
    [sym_primitive_type] = ACTIONS(2782),
    [anon_sym_enum] = ACTIONS(2782),
    [anon_sym_struct] = ACTIONS(2782),
    [anon_sym_union] = ACTIONS(2782),
    [anon_sym_if] = ACTIONS(2782),
    [anon_sym_switch] = ACTIONS(2782),
    [anon_sym_case] = ACTIONS(2782),
    [anon_sym_default] = ACTIONS(2782),
    [anon_sym_while] = ACTIONS(2782),
    [anon_sym_do] = ACTIONS(2782),
    [anon_sym_for] = ACTIONS(2782),
    [anon_sym_in] = ACTIONS(2782),
    [anon_sym_return] = ACTIONS(2782),
    [anon_sym_break] = ACTIONS(2782),
    [anon_sym_continue] = ACTIONS(2782),
    [anon_sym_goto] = ACTIONS(2782),
    [anon_sym_DASH_DASH] = ACTIONS(2784),
    [anon_sym_PLUS_PLUS] = ACTIONS(2784),
    [anon_sym_sizeof] = ACTIONS(2782),
    [anon_sym___alignof__] = ACTIONS(2782),
    [anon_sym___alignof] = ACTIONS(2782),
    [anon_sym__alignof] = ACTIONS(2782),
    [anon_sym_alignof] = ACTIONS(2782),
    [anon_sym__Alignof] = ACTIONS(2782),
    [anon_sym_offsetof] = ACTIONS(2782),
    [anon_sym__Generic] = ACTIONS(2782),
    [anon_sym_asm] = ACTIONS(2782),
    [anon_sym___asm__] = ACTIONS(2782),
    [anon_sym___asm] = ACTIONS(2782),
    [sym_number_literal] = ACTIONS(2784),
    [anon_sym_L_SQUOTE] = ACTIONS(2784),
    [anon_sym_u_SQUOTE] = ACTIONS(2784),
    [anon_sym_U_SQUOTE] = ACTIONS(2784),
    [anon_sym_u8_SQUOTE] = ACTIONS(2784),
    [anon_sym_SQUOTE] = ACTIONS(2784),
    [anon_sym_AT] = ACTIONS(2782),
    [anon_sym_DQUOTE] = ACTIONS(2784),
    [anon_sym_L_DQUOTE] = ACTIONS(2784),
    [anon_sym_u_DQUOTE] = ACTIONS(2784),
    [anon_sym_U_DQUOTE] = ACTIONS(2784),
    [anon_sym_u8_DQUOTE] = ACTIONS(2784),
    [sym_true] = ACTIONS(2782),
    [sym_false] = ACTIONS(2782),
    [anon_sym_NULL] = ACTIONS(2782),
    [anon_sym_nullptr] = ACTIONS(2782),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2782),
    [anon_sym___typeof] = ACTIONS(2782),
    [anon_sym_typeof] = ACTIONS(2782),
    [anon_sym_ATimport] = ACTIONS(2784),
    [aux_sym_preproc_undef_token1] = ACTIONS(2782),
    [anon_sym_POUND] = ACTIONS(2782),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2782),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2782),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2782),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2782),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2782),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2782),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2782),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2782),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2782),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2782),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2782),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2782),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2782),
    [anon_sym_API_AVAILABLE] = ACTIONS(2782),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2782),
    [anon_sym_API_DEPRECATED] = ACTIONS(2782),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2782),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2782),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2782),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2782),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2782),
    [anon_sym___deprecated_msg] = ACTIONS(2782),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2782),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2782),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2782),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2782),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2782),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2782),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2782),
    [anon_sym_ATprotocol] = ACTIONS(2784),
    [anon_sym_ATinterface] = ACTIONS(2784),
    [anon_sym_ATimplementation] = ACTIONS(2784),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2784),
    [anon_sym_ATselector] = ACTIONS(2784),
    [anon_sym_ATavailable] = ACTIONS(2784),
    [anon_sym___builtin_available] = ACTIONS(2782),
    [anon_sym_va_arg] = ACTIONS(2782),
    [anon_sym_ATencode] = ACTIONS(2784),
    [anon_sym_BOOL] = ACTIONS(2782),
    [anon_sym_IMP] = ACTIONS(2782),
    [anon_sym_SEL] = ACTIONS(2782),
    [anon_sym_Class] = ACTIONS(2782),
    [anon_sym_id] = ACTIONS(2782),
  },
  [1074] = {
    [ts_builtin_sym_end] = ACTIONS(2414),
    [sym_identifier] = ACTIONS(2412),
    [aux_sym_preproc_include_token1] = ACTIONS(2412),
    [aux_sym_preproc_include_token2] = ACTIONS(2412),
    [aux_sym_preproc_def_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token1] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2412),
    [sym_preproc_directive] = ACTIONS(2412),
    [anon_sym_LPAREN2] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(2414),
    [anon_sym_TILDE] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_SEMI] = ACTIONS(2414),
    [anon_sym___extension__] = ACTIONS(2412),
    [anon_sym_typedef] = ACTIONS(2412),
    [anon_sym_extern] = ACTIONS(2412),
    [anon_sym___attribute__] = ACTIONS(2412),
    [anon_sym___attribute] = ACTIONS(2412),
    [anon_sym_noreturn] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2414),
    [anon_sym___declspec] = ACTIONS(2412),
    [anon_sym___cdecl] = ACTIONS(2412),
    [anon_sym___clrcall] = ACTIONS(2412),
    [anon_sym___stdcall] = ACTIONS(2412),
    [anon_sym___fastcall] = ACTIONS(2412),
    [anon_sym___thiscall] = ACTIONS(2412),
    [anon_sym___vectorcall] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2414),
    [anon_sym_signed] = ACTIONS(2412),
    [anon_sym_unsigned] = ACTIONS(2412),
    [anon_sym_long] = ACTIONS(2412),
    [anon_sym_short] = ACTIONS(2412),
    [anon_sym_static] = ACTIONS(2412),
    [anon_sym_ATautoreleasepool] = ACTIONS(2414),
    [anon_sym_auto] = ACTIONS(2412),
    [anon_sym_register] = ACTIONS(2412),
    [anon_sym_inline] = ACTIONS(2412),
    [anon_sym___inline] = ACTIONS(2412),
    [anon_sym___inline__] = ACTIONS(2412),
    [anon_sym___forceinline] = ACTIONS(2412),
    [anon_sym_thread_local] = ACTIONS(2412),
    [anon_sym___thread] = ACTIONS(2412),
    [anon_sym_CG_EXTERN] = ACTIONS(2412),
    [anon_sym_CG_INLINE] = ACTIONS(2412),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2412),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2412),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2412),
    [anon_sym_IBOutlet] = ACTIONS(2412),
    [anon_sym_IBInspectable] = ACTIONS(2412),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2412),
    [anon_sym_NS_INLINE] = ACTIONS(2412),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2412),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2412),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2412),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2412),
    [anon_sym_const] = ACTIONS(2412),
    [anon_sym_constexpr] = ACTIONS(2412),
    [anon_sym_volatile] = ACTIONS(2412),
    [anon_sym_restrict] = ACTIONS(2412),
    [anon_sym___restrict__] = ACTIONS(2412),
    [anon_sym__Atomic] = ACTIONS(2412),
    [anon_sym__Noreturn] = ACTIONS(2412),
    [anon_sym__Nonnull] = ACTIONS(2412),
    [anon_sym_nullable] = ACTIONS(2412),
    [anon_sym__Complex] = ACTIONS(2412),
    [anon_sym__Nullable] = ACTIONS(2412),
    [anon_sym__Nullable_result] = ACTIONS(2412),
    [anon_sym__Null_unspecified] = ACTIONS(2412),
    [anon_sym___autoreleasing] = ACTIONS(2412),
    [anon_sym___block] = ACTIONS(2412),
    [anon_sym___bridge] = ACTIONS(2412),
    [anon_sym___bridge_retained] = ACTIONS(2412),
    [anon_sym___bridge_transfer] = ACTIONS(2412),
    [anon_sym___complex] = ACTIONS(2412),
    [anon_sym___const] = ACTIONS(2412),
    [anon_sym___imag] = ACTIONS(2412),
    [anon_sym___kindof] = ACTIONS(2412),
    [anon_sym___nonnull] = ACTIONS(2412),
    [anon_sym___nullable] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2412),
    [anon_sym___real] = ACTIONS(2412),
    [anon_sym___strong] = ACTIONS(2412),
    [anon_sym___unsafe_unretained] = ACTIONS(2412),
    [anon_sym___unused] = ACTIONS(2412),
    [anon_sym___weak] = ACTIONS(2412),
    [anon_sym_alignas] = ACTIONS(2412),
    [anon_sym__Alignas] = ACTIONS(2412),
    [sym_primitive_type] = ACTIONS(2412),
    [anon_sym_enum] = ACTIONS(2412),
    [anon_sym_struct] = ACTIONS(2412),
    [anon_sym_union] = ACTIONS(2412),
    [anon_sym_if] = ACTIONS(2412),
    [anon_sym_switch] = ACTIONS(2412),
    [anon_sym_case] = ACTIONS(2412),
    [anon_sym_default] = ACTIONS(2412),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_do] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(2412),
    [anon_sym_return] = ACTIONS(2412),
    [anon_sym_break] = ACTIONS(2412),
    [anon_sym_continue] = ACTIONS(2412),
    [anon_sym_goto] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2414),
    [anon_sym_sizeof] = ACTIONS(2412),
    [anon_sym___alignof__] = ACTIONS(2412),
    [anon_sym___alignof] = ACTIONS(2412),
    [anon_sym__alignof] = ACTIONS(2412),
    [anon_sym_alignof] = ACTIONS(2412),
    [anon_sym__Alignof] = ACTIONS(2412),
    [anon_sym_offsetof] = ACTIONS(2412),
    [anon_sym__Generic] = ACTIONS(2412),
    [anon_sym_asm] = ACTIONS(2412),
    [anon_sym___asm__] = ACTIONS(2412),
    [anon_sym___asm] = ACTIONS(2412),
    [sym_number_literal] = ACTIONS(2414),
    [anon_sym_L_SQUOTE] = ACTIONS(2414),
    [anon_sym_u_SQUOTE] = ACTIONS(2414),
    [anon_sym_U_SQUOTE] = ACTIONS(2414),
    [anon_sym_u8_SQUOTE] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_AT] = ACTIONS(2412),
    [anon_sym_DQUOTE] = ACTIONS(2414),
    [anon_sym_L_DQUOTE] = ACTIONS(2414),
    [anon_sym_u_DQUOTE] = ACTIONS(2414),
    [anon_sym_U_DQUOTE] = ACTIONS(2414),
    [anon_sym_u8_DQUOTE] = ACTIONS(2414),
    [sym_true] = ACTIONS(2412),
    [sym_false] = ACTIONS(2412),
    [anon_sym_NULL] = ACTIONS(2412),
    [anon_sym_nullptr] = ACTIONS(2412),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2412),
    [anon_sym___typeof] = ACTIONS(2412),
    [anon_sym_typeof] = ACTIONS(2412),
    [anon_sym_ATimport] = ACTIONS(2414),
    [aux_sym_preproc_undef_token1] = ACTIONS(2412),
    [anon_sym_POUND] = ACTIONS(2412),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2412),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2412),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2412),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2412),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2412),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2412),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2412),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_API_AVAILABLE] = ACTIONS(2412),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_API_DEPRECATED] = ACTIONS(2412),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2412),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym___deprecated_msg] = ACTIONS(2412),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2412),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2412),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2412),
    [anon_sym_ATprotocol] = ACTIONS(2414),
    [anon_sym_ATinterface] = ACTIONS(2414),
    [anon_sym_ATimplementation] = ACTIONS(2414),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2414),
    [anon_sym_ATselector] = ACTIONS(2414),
    [anon_sym_ATavailable] = ACTIONS(2414),
    [anon_sym___builtin_available] = ACTIONS(2412),
    [anon_sym_va_arg] = ACTIONS(2412),
    [anon_sym_ATencode] = ACTIONS(2414),
    [anon_sym_BOOL] = ACTIONS(2412),
    [anon_sym_IMP] = ACTIONS(2412),
    [anon_sym_SEL] = ACTIONS(2412),
    [anon_sym_Class] = ACTIONS(2412),
    [anon_sym_id] = ACTIONS(2412),
  },
  [1075] = {
    [ts_builtin_sym_end] = ACTIONS(2838),
    [sym_identifier] = ACTIONS(2836),
    [aux_sym_preproc_include_token1] = ACTIONS(2836),
    [aux_sym_preproc_include_token2] = ACTIONS(2836),
    [aux_sym_preproc_def_token1] = ACTIONS(2836),
    [aux_sym_preproc_if_token1] = ACTIONS(2836),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2836),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2836),
    [sym_preproc_directive] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2838),
    [anon_sym_BANG] = ACTIONS(2838),
    [anon_sym_TILDE] = ACTIONS(2838),
    [anon_sym_DASH] = ACTIONS(2836),
    [anon_sym_PLUS] = ACTIONS(2836),
    [anon_sym_STAR] = ACTIONS(2838),
    [anon_sym_CARET] = ACTIONS(2838),
    [anon_sym_AMP] = ACTIONS(2838),
    [anon_sym_SEMI] = ACTIONS(2838),
    [anon_sym___extension__] = ACTIONS(2836),
    [anon_sym_typedef] = ACTIONS(2836),
    [anon_sym_extern] = ACTIONS(2836),
    [anon_sym___attribute__] = ACTIONS(2836),
    [anon_sym___attribute] = ACTIONS(2836),
    [anon_sym_noreturn] = ACTIONS(2836),
    [anon_sym_LBRACK] = ACTIONS(2838),
    [anon_sym___declspec] = ACTIONS(2836),
    [anon_sym___cdecl] = ACTIONS(2836),
    [anon_sym___clrcall] = ACTIONS(2836),
    [anon_sym___stdcall] = ACTIONS(2836),
    [anon_sym___fastcall] = ACTIONS(2836),
    [anon_sym___thiscall] = ACTIONS(2836),
    [anon_sym___vectorcall] = ACTIONS(2836),
    [anon_sym_LBRACE] = ACTIONS(2838),
    [anon_sym_signed] = ACTIONS(2836),
    [anon_sym_unsigned] = ACTIONS(2836),
    [anon_sym_long] = ACTIONS(2836),
    [anon_sym_short] = ACTIONS(2836),
    [anon_sym_static] = ACTIONS(2836),
    [anon_sym_ATautoreleasepool] = ACTIONS(2838),
    [anon_sym_auto] = ACTIONS(2836),
    [anon_sym_register] = ACTIONS(2836),
    [anon_sym_inline] = ACTIONS(2836),
    [anon_sym___inline] = ACTIONS(2836),
    [anon_sym___inline__] = ACTIONS(2836),
    [anon_sym___forceinline] = ACTIONS(2836),
    [anon_sym_thread_local] = ACTIONS(2836),
    [anon_sym___thread] = ACTIONS(2836),
    [anon_sym_CG_EXTERN] = ACTIONS(2836),
    [anon_sym_CG_INLINE] = ACTIONS(2836),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2836),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2836),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2836),
    [anon_sym_IBOutlet] = ACTIONS(2836),
    [anon_sym_IBInspectable] = ACTIONS(2836),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2836),
    [anon_sym_NS_INLINE] = ACTIONS(2836),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2836),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2836),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2836),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2836),
    [anon_sym_const] = ACTIONS(2836),
    [anon_sym_constexpr] = ACTIONS(2836),
    [anon_sym_volatile] = ACTIONS(2836),
    [anon_sym_restrict] = ACTIONS(2836),
    [anon_sym___restrict__] = ACTIONS(2836),
    [anon_sym__Atomic] = ACTIONS(2836),
    [anon_sym__Noreturn] = ACTIONS(2836),
    [anon_sym__Nonnull] = ACTIONS(2836),
    [anon_sym_nullable] = ACTIONS(2836),
    [anon_sym__Complex] = ACTIONS(2836),
    [anon_sym__Nullable] = ACTIONS(2836),
    [anon_sym__Nullable_result] = ACTIONS(2836),
    [anon_sym__Null_unspecified] = ACTIONS(2836),
    [anon_sym___autoreleasing] = ACTIONS(2836),
    [anon_sym___block] = ACTIONS(2836),
    [anon_sym___bridge] = ACTIONS(2836),
    [anon_sym___bridge_retained] = ACTIONS(2836),
    [anon_sym___bridge_transfer] = ACTIONS(2836),
    [anon_sym___complex] = ACTIONS(2836),
    [anon_sym___const] = ACTIONS(2836),
    [anon_sym___imag] = ACTIONS(2836),
    [anon_sym___kindof] = ACTIONS(2836),
    [anon_sym___nonnull] = ACTIONS(2836),
    [anon_sym___nullable] = ACTIONS(2836),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2836),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2836),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2836),
    [anon_sym___real] = ACTIONS(2836),
    [anon_sym___strong] = ACTIONS(2836),
    [anon_sym___unsafe_unretained] = ACTIONS(2836),
    [anon_sym___unused] = ACTIONS(2836),
    [anon_sym___weak] = ACTIONS(2836),
    [anon_sym_alignas] = ACTIONS(2836),
    [anon_sym__Alignas] = ACTIONS(2836),
    [sym_primitive_type] = ACTIONS(2836),
    [anon_sym_enum] = ACTIONS(2836),
    [anon_sym_struct] = ACTIONS(2836),
    [anon_sym_union] = ACTIONS(2836),
    [anon_sym_if] = ACTIONS(2836),
    [anon_sym_switch] = ACTIONS(2836),
    [anon_sym_case] = ACTIONS(2836),
    [anon_sym_default] = ACTIONS(2836),
    [anon_sym_while] = ACTIONS(2836),
    [anon_sym_do] = ACTIONS(2836),
    [anon_sym_for] = ACTIONS(2836),
    [anon_sym_in] = ACTIONS(2836),
    [anon_sym_return] = ACTIONS(2836),
    [anon_sym_break] = ACTIONS(2836),
    [anon_sym_continue] = ACTIONS(2836),
    [anon_sym_goto] = ACTIONS(2836),
    [anon_sym_DASH_DASH] = ACTIONS(2838),
    [anon_sym_PLUS_PLUS] = ACTIONS(2838),
    [anon_sym_sizeof] = ACTIONS(2836),
    [anon_sym___alignof__] = ACTIONS(2836),
    [anon_sym___alignof] = ACTIONS(2836),
    [anon_sym__alignof] = ACTIONS(2836),
    [anon_sym_alignof] = ACTIONS(2836),
    [anon_sym__Alignof] = ACTIONS(2836),
    [anon_sym_offsetof] = ACTIONS(2836),
    [anon_sym__Generic] = ACTIONS(2836),
    [anon_sym_asm] = ACTIONS(2836),
    [anon_sym___asm__] = ACTIONS(2836),
    [anon_sym___asm] = ACTIONS(2836),
    [sym_number_literal] = ACTIONS(2838),
    [anon_sym_L_SQUOTE] = ACTIONS(2838),
    [anon_sym_u_SQUOTE] = ACTIONS(2838),
    [anon_sym_U_SQUOTE] = ACTIONS(2838),
    [anon_sym_u8_SQUOTE] = ACTIONS(2838),
    [anon_sym_SQUOTE] = ACTIONS(2838),
    [anon_sym_AT] = ACTIONS(2836),
    [anon_sym_DQUOTE] = ACTIONS(2838),
    [anon_sym_L_DQUOTE] = ACTIONS(2838),
    [anon_sym_u_DQUOTE] = ACTIONS(2838),
    [anon_sym_U_DQUOTE] = ACTIONS(2838),
    [anon_sym_u8_DQUOTE] = ACTIONS(2838),
    [sym_true] = ACTIONS(2836),
    [sym_false] = ACTIONS(2836),
    [anon_sym_NULL] = ACTIONS(2836),
    [anon_sym_nullptr] = ACTIONS(2836),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2836),
    [anon_sym___typeof] = ACTIONS(2836),
    [anon_sym_typeof] = ACTIONS(2836),
    [anon_sym_ATimport] = ACTIONS(2838),
    [aux_sym_preproc_undef_token1] = ACTIONS(2836),
    [anon_sym_POUND] = ACTIONS(2836),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2836),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2836),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2836),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2836),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2836),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2836),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2836),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2836),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2836),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2836),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2836),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2836),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2836),
    [anon_sym_API_AVAILABLE] = ACTIONS(2836),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2836),
    [anon_sym_API_DEPRECATED] = ACTIONS(2836),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2836),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2836),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2836),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2836),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2836),
    [anon_sym___deprecated_msg] = ACTIONS(2836),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2836),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2836),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2836),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2836),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2836),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2836),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2836),
    [anon_sym_ATprotocol] = ACTIONS(2838),
    [anon_sym_ATinterface] = ACTIONS(2838),
    [anon_sym_ATimplementation] = ACTIONS(2838),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2838),
    [anon_sym_ATselector] = ACTIONS(2838),
    [anon_sym_ATavailable] = ACTIONS(2838),
    [anon_sym___builtin_available] = ACTIONS(2836),
    [anon_sym_va_arg] = ACTIONS(2836),
    [anon_sym_ATencode] = ACTIONS(2838),
    [anon_sym_BOOL] = ACTIONS(2836),
    [anon_sym_IMP] = ACTIONS(2836),
    [anon_sym_SEL] = ACTIONS(2836),
    [anon_sym_Class] = ACTIONS(2836),
    [anon_sym_id] = ACTIONS(2836),
  },
  [1076] = {
    [sym_ms_declspec_modifier] = STATE(6595),
    [sym_expression] = STATE(4380),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_typedef] = ACTIONS(2932),
    [anon_sym_extern] = ACTIONS(2922),
    [anon_sym___attribute__] = ACTIONS(2922),
    [anon_sym___attribute] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_static] = ACTIONS(2922),
    [anon_sym_auto] = ACTIONS(2922),
    [anon_sym_register] = ACTIONS(2922),
    [anon_sym_inline] = ACTIONS(2922),
    [anon_sym___inline] = ACTIONS(2922),
    [anon_sym___inline__] = ACTIONS(2922),
    [anon_sym___forceinline] = ACTIONS(2922),
    [anon_sym_thread_local] = ACTIONS(2922),
    [anon_sym___thread] = ACTIONS(2922),
    [anon_sym_CG_EXTERN] = ACTIONS(2922),
    [anon_sym_CG_INLINE] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2922),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2922),
    [anon_sym_IBOutlet] = ACTIONS(2922),
    [anon_sym_IBInspectable] = ACTIONS(2922),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2922),
    [anon_sym_NS_INLINE] = ACTIONS(2922),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2922),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2922),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_union] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2922),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2922),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2922),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_API_AVAILABLE] = ACTIONS(2922),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_API_DEPRECATED] = ACTIONS(2922),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym___deprecated_msg] = ACTIONS(2922),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2922),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(203),
  },
  [1077] = {
    [ts_builtin_sym_end] = ACTIONS(2842),
    [sym_identifier] = ACTIONS(2840),
    [aux_sym_preproc_include_token1] = ACTIONS(2840),
    [aux_sym_preproc_include_token2] = ACTIONS(2840),
    [aux_sym_preproc_def_token1] = ACTIONS(2840),
    [aux_sym_preproc_if_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2840),
    [sym_preproc_directive] = ACTIONS(2840),
    [anon_sym_LPAREN2] = ACTIONS(2842),
    [anon_sym_BANG] = ACTIONS(2842),
    [anon_sym_TILDE] = ACTIONS(2842),
    [anon_sym_DASH] = ACTIONS(2840),
    [anon_sym_PLUS] = ACTIONS(2840),
    [anon_sym_STAR] = ACTIONS(2842),
    [anon_sym_CARET] = ACTIONS(2842),
    [anon_sym_AMP] = ACTIONS(2842),
    [anon_sym_SEMI] = ACTIONS(2842),
    [anon_sym___extension__] = ACTIONS(2840),
    [anon_sym_typedef] = ACTIONS(2840),
    [anon_sym_extern] = ACTIONS(2840),
    [anon_sym___attribute__] = ACTIONS(2840),
    [anon_sym___attribute] = ACTIONS(2840),
    [anon_sym_noreturn] = ACTIONS(2840),
    [anon_sym_LBRACK] = ACTIONS(2842),
    [anon_sym___declspec] = ACTIONS(2840),
    [anon_sym___cdecl] = ACTIONS(2840),
    [anon_sym___clrcall] = ACTIONS(2840),
    [anon_sym___stdcall] = ACTIONS(2840),
    [anon_sym___fastcall] = ACTIONS(2840),
    [anon_sym___thiscall] = ACTIONS(2840),
    [anon_sym___vectorcall] = ACTIONS(2840),
    [anon_sym_LBRACE] = ACTIONS(2842),
    [anon_sym_signed] = ACTIONS(2840),
    [anon_sym_unsigned] = ACTIONS(2840),
    [anon_sym_long] = ACTIONS(2840),
    [anon_sym_short] = ACTIONS(2840),
    [anon_sym_static] = ACTIONS(2840),
    [anon_sym_ATautoreleasepool] = ACTIONS(2842),
    [anon_sym_auto] = ACTIONS(2840),
    [anon_sym_register] = ACTIONS(2840),
    [anon_sym_inline] = ACTIONS(2840),
    [anon_sym___inline] = ACTIONS(2840),
    [anon_sym___inline__] = ACTIONS(2840),
    [anon_sym___forceinline] = ACTIONS(2840),
    [anon_sym_thread_local] = ACTIONS(2840),
    [anon_sym___thread] = ACTIONS(2840),
    [anon_sym_CG_EXTERN] = ACTIONS(2840),
    [anon_sym_CG_INLINE] = ACTIONS(2840),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2840),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2840),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2840),
    [anon_sym_IBOutlet] = ACTIONS(2840),
    [anon_sym_IBInspectable] = ACTIONS(2840),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2840),
    [anon_sym_NS_INLINE] = ACTIONS(2840),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2840),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2840),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2840),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2840),
    [anon_sym_const] = ACTIONS(2840),
    [anon_sym_constexpr] = ACTIONS(2840),
    [anon_sym_volatile] = ACTIONS(2840),
    [anon_sym_restrict] = ACTIONS(2840),
    [anon_sym___restrict__] = ACTIONS(2840),
    [anon_sym__Atomic] = ACTIONS(2840),
    [anon_sym__Noreturn] = ACTIONS(2840),
    [anon_sym__Nonnull] = ACTIONS(2840),
    [anon_sym_nullable] = ACTIONS(2840),
    [anon_sym__Complex] = ACTIONS(2840),
    [anon_sym__Nullable] = ACTIONS(2840),
    [anon_sym__Nullable_result] = ACTIONS(2840),
    [anon_sym__Null_unspecified] = ACTIONS(2840),
    [anon_sym___autoreleasing] = ACTIONS(2840),
    [anon_sym___block] = ACTIONS(2840),
    [anon_sym___bridge] = ACTIONS(2840),
    [anon_sym___bridge_retained] = ACTIONS(2840),
    [anon_sym___bridge_transfer] = ACTIONS(2840),
    [anon_sym___complex] = ACTIONS(2840),
    [anon_sym___const] = ACTIONS(2840),
    [anon_sym___imag] = ACTIONS(2840),
    [anon_sym___kindof] = ACTIONS(2840),
    [anon_sym___nonnull] = ACTIONS(2840),
    [anon_sym___nullable] = ACTIONS(2840),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2840),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2840),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2840),
    [anon_sym___real] = ACTIONS(2840),
    [anon_sym___strong] = ACTIONS(2840),
    [anon_sym___unsafe_unretained] = ACTIONS(2840),
    [anon_sym___unused] = ACTIONS(2840),
    [anon_sym___weak] = ACTIONS(2840),
    [anon_sym_alignas] = ACTIONS(2840),
    [anon_sym__Alignas] = ACTIONS(2840),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_enum] = ACTIONS(2840),
    [anon_sym_struct] = ACTIONS(2840),
    [anon_sym_union] = ACTIONS(2840),
    [anon_sym_if] = ACTIONS(2840),
    [anon_sym_switch] = ACTIONS(2840),
    [anon_sym_case] = ACTIONS(2840),
    [anon_sym_default] = ACTIONS(2840),
    [anon_sym_while] = ACTIONS(2840),
    [anon_sym_do] = ACTIONS(2840),
    [anon_sym_for] = ACTIONS(2840),
    [anon_sym_in] = ACTIONS(2840),
    [anon_sym_return] = ACTIONS(2840),
    [anon_sym_break] = ACTIONS(2840),
    [anon_sym_continue] = ACTIONS(2840),
    [anon_sym_goto] = ACTIONS(2840),
    [anon_sym_DASH_DASH] = ACTIONS(2842),
    [anon_sym_PLUS_PLUS] = ACTIONS(2842),
    [anon_sym_sizeof] = ACTIONS(2840),
    [anon_sym___alignof__] = ACTIONS(2840),
    [anon_sym___alignof] = ACTIONS(2840),
    [anon_sym__alignof] = ACTIONS(2840),
    [anon_sym_alignof] = ACTIONS(2840),
    [anon_sym__Alignof] = ACTIONS(2840),
    [anon_sym_offsetof] = ACTIONS(2840),
    [anon_sym__Generic] = ACTIONS(2840),
    [anon_sym_asm] = ACTIONS(2840),
    [anon_sym___asm__] = ACTIONS(2840),
    [anon_sym___asm] = ACTIONS(2840),
    [sym_number_literal] = ACTIONS(2842),
    [anon_sym_L_SQUOTE] = ACTIONS(2842),
    [anon_sym_u_SQUOTE] = ACTIONS(2842),
    [anon_sym_U_SQUOTE] = ACTIONS(2842),
    [anon_sym_u8_SQUOTE] = ACTIONS(2842),
    [anon_sym_SQUOTE] = ACTIONS(2842),
    [anon_sym_AT] = ACTIONS(2840),
    [anon_sym_DQUOTE] = ACTIONS(2842),
    [anon_sym_L_DQUOTE] = ACTIONS(2842),
    [anon_sym_u_DQUOTE] = ACTIONS(2842),
    [anon_sym_U_DQUOTE] = ACTIONS(2842),
    [anon_sym_u8_DQUOTE] = ACTIONS(2842),
    [sym_true] = ACTIONS(2840),
    [sym_false] = ACTIONS(2840),
    [anon_sym_NULL] = ACTIONS(2840),
    [anon_sym_nullptr] = ACTIONS(2840),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2840),
    [anon_sym___typeof] = ACTIONS(2840),
    [anon_sym_typeof] = ACTIONS(2840),
    [anon_sym_ATimport] = ACTIONS(2842),
    [aux_sym_preproc_undef_token1] = ACTIONS(2840),
    [anon_sym_POUND] = ACTIONS(2840),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2840),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2840),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2840),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2840),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2840),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2840),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2840),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2840),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2840),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2840),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2840),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2840),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2840),
    [anon_sym_API_AVAILABLE] = ACTIONS(2840),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2840),
    [anon_sym_API_DEPRECATED] = ACTIONS(2840),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2840),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2840),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2840),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2840),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2840),
    [anon_sym___deprecated_msg] = ACTIONS(2840),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2840),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2840),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2840),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2840),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2840),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2840),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2840),
    [anon_sym_ATprotocol] = ACTIONS(2842),
    [anon_sym_ATinterface] = ACTIONS(2842),
    [anon_sym_ATimplementation] = ACTIONS(2842),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2842),
    [anon_sym_ATselector] = ACTIONS(2842),
    [anon_sym_ATavailable] = ACTIONS(2842),
    [anon_sym___builtin_available] = ACTIONS(2840),
    [anon_sym_va_arg] = ACTIONS(2840),
    [anon_sym_ATencode] = ACTIONS(2842),
    [anon_sym_BOOL] = ACTIONS(2840),
    [anon_sym_IMP] = ACTIONS(2840),
    [anon_sym_SEL] = ACTIONS(2840),
    [anon_sym_Class] = ACTIONS(2840),
    [anon_sym_id] = ACTIONS(2840),
  },
  [1078] = {
    [sym_ms_declspec_modifier] = STATE(6773),
    [sym_expression] = STATE(4380),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_typedef] = ACTIONS(2964),
    [anon_sym_extern] = ACTIONS(2922),
    [anon_sym___attribute__] = ACTIONS(2922),
    [anon_sym___attribute] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_static] = ACTIONS(2922),
    [anon_sym_auto] = ACTIONS(2922),
    [anon_sym_register] = ACTIONS(2922),
    [anon_sym_inline] = ACTIONS(2922),
    [anon_sym___inline] = ACTIONS(2922),
    [anon_sym___inline__] = ACTIONS(2922),
    [anon_sym___forceinline] = ACTIONS(2922),
    [anon_sym_thread_local] = ACTIONS(2922),
    [anon_sym___thread] = ACTIONS(2922),
    [anon_sym_CG_EXTERN] = ACTIONS(2922),
    [anon_sym_CG_INLINE] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2922),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2922),
    [anon_sym_IBOutlet] = ACTIONS(2922),
    [anon_sym_IBInspectable] = ACTIONS(2922),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2922),
    [anon_sym_NS_INLINE] = ACTIONS(2922),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2922),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2922),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_union] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2922),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2922),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2922),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_API_AVAILABLE] = ACTIONS(2922),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_API_DEPRECATED] = ACTIONS(2922),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym___deprecated_msg] = ACTIONS(2922),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2922),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(203),
  },
  [1079] = {
    [sym_ms_declspec_modifier] = STATE(6745),
    [sym_expression] = STATE(4380),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_typedef] = ACTIONS(2934),
    [anon_sym_extern] = ACTIONS(2922),
    [anon_sym___attribute__] = ACTIONS(2922),
    [anon_sym___attribute] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_static] = ACTIONS(2922),
    [anon_sym_auto] = ACTIONS(2922),
    [anon_sym_register] = ACTIONS(2922),
    [anon_sym_inline] = ACTIONS(2922),
    [anon_sym___inline] = ACTIONS(2922),
    [anon_sym___inline__] = ACTIONS(2922),
    [anon_sym___forceinline] = ACTIONS(2922),
    [anon_sym_thread_local] = ACTIONS(2922),
    [anon_sym___thread] = ACTIONS(2922),
    [anon_sym_CG_EXTERN] = ACTIONS(2922),
    [anon_sym_CG_INLINE] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2922),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2922),
    [anon_sym_IBOutlet] = ACTIONS(2922),
    [anon_sym_IBInspectable] = ACTIONS(2922),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2922),
    [anon_sym_NS_INLINE] = ACTIONS(2922),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2922),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2922),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_union] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2922),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2922),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2922),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_API_AVAILABLE] = ACTIONS(2922),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_API_DEPRECATED] = ACTIONS(2922),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym___deprecated_msg] = ACTIONS(2922),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2922),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(203),
  },
  [1080] = {
    [sym_ms_declspec_modifier] = STATE(6763),
    [sym_expression] = STATE(4380),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2922),
    [anon_sym___attribute__] = ACTIONS(2922),
    [anon_sym___attribute] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_static] = ACTIONS(2922),
    [anon_sym_auto] = ACTIONS(2922),
    [anon_sym_register] = ACTIONS(2922),
    [anon_sym_inline] = ACTIONS(2922),
    [anon_sym___inline] = ACTIONS(2922),
    [anon_sym___inline__] = ACTIONS(2922),
    [anon_sym___forceinline] = ACTIONS(2922),
    [anon_sym_thread_local] = ACTIONS(2922),
    [anon_sym___thread] = ACTIONS(2922),
    [anon_sym_CG_EXTERN] = ACTIONS(2922),
    [anon_sym_CG_INLINE] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2922),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2922),
    [anon_sym_IBOutlet] = ACTIONS(2922),
    [anon_sym_IBInspectable] = ACTIONS(2922),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2922),
    [anon_sym_NS_INLINE] = ACTIONS(2922),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2922),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2922),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_union] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2922),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2922),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2922),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_API_AVAILABLE] = ACTIONS(2922),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_API_DEPRECATED] = ACTIONS(2922),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym___deprecated_msg] = ACTIONS(2922),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2922),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(203),
  },
  [1081] = {
    [ts_builtin_sym_end] = ACTIONS(2814),
    [sym_identifier] = ACTIONS(2812),
    [aux_sym_preproc_include_token1] = ACTIONS(2812),
    [aux_sym_preproc_include_token2] = ACTIONS(2812),
    [aux_sym_preproc_def_token1] = ACTIONS(2812),
    [aux_sym_preproc_if_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2812),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2812),
    [sym_preproc_directive] = ACTIONS(2812),
    [anon_sym_LPAREN2] = ACTIONS(2814),
    [anon_sym_BANG] = ACTIONS(2814),
    [anon_sym_TILDE] = ACTIONS(2814),
    [anon_sym_DASH] = ACTIONS(2812),
    [anon_sym_PLUS] = ACTIONS(2812),
    [anon_sym_STAR] = ACTIONS(2814),
    [anon_sym_CARET] = ACTIONS(2814),
    [anon_sym_AMP] = ACTIONS(2814),
    [anon_sym_SEMI] = ACTIONS(2814),
    [anon_sym___extension__] = ACTIONS(2812),
    [anon_sym_typedef] = ACTIONS(2812),
    [anon_sym_extern] = ACTIONS(2812),
    [anon_sym___attribute__] = ACTIONS(2812),
    [anon_sym___attribute] = ACTIONS(2812),
    [anon_sym_noreturn] = ACTIONS(2812),
    [anon_sym_LBRACK] = ACTIONS(2814),
    [anon_sym___declspec] = ACTIONS(2812),
    [anon_sym___cdecl] = ACTIONS(2812),
    [anon_sym___clrcall] = ACTIONS(2812),
    [anon_sym___stdcall] = ACTIONS(2812),
    [anon_sym___fastcall] = ACTIONS(2812),
    [anon_sym___thiscall] = ACTIONS(2812),
    [anon_sym___vectorcall] = ACTIONS(2812),
    [anon_sym_LBRACE] = ACTIONS(2814),
    [anon_sym_signed] = ACTIONS(2812),
    [anon_sym_unsigned] = ACTIONS(2812),
    [anon_sym_long] = ACTIONS(2812),
    [anon_sym_short] = ACTIONS(2812),
    [anon_sym_static] = ACTIONS(2812),
    [anon_sym_ATautoreleasepool] = ACTIONS(2814),
    [anon_sym_auto] = ACTIONS(2812),
    [anon_sym_register] = ACTIONS(2812),
    [anon_sym_inline] = ACTIONS(2812),
    [anon_sym___inline] = ACTIONS(2812),
    [anon_sym___inline__] = ACTIONS(2812),
    [anon_sym___forceinline] = ACTIONS(2812),
    [anon_sym_thread_local] = ACTIONS(2812),
    [anon_sym___thread] = ACTIONS(2812),
    [anon_sym_CG_EXTERN] = ACTIONS(2812),
    [anon_sym_CG_INLINE] = ACTIONS(2812),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2812),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2812),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2812),
    [anon_sym_IBOutlet] = ACTIONS(2812),
    [anon_sym_IBInspectable] = ACTIONS(2812),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2812),
    [anon_sym_NS_INLINE] = ACTIONS(2812),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2812),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2812),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2812),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2812),
    [anon_sym_const] = ACTIONS(2812),
    [anon_sym_constexpr] = ACTIONS(2812),
    [anon_sym_volatile] = ACTIONS(2812),
    [anon_sym_restrict] = ACTIONS(2812),
    [anon_sym___restrict__] = ACTIONS(2812),
    [anon_sym__Atomic] = ACTIONS(2812),
    [anon_sym__Noreturn] = ACTIONS(2812),
    [anon_sym__Nonnull] = ACTIONS(2812),
    [anon_sym_nullable] = ACTIONS(2812),
    [anon_sym__Complex] = ACTIONS(2812),
    [anon_sym__Nullable] = ACTIONS(2812),
    [anon_sym__Nullable_result] = ACTIONS(2812),
    [anon_sym__Null_unspecified] = ACTIONS(2812),
    [anon_sym___autoreleasing] = ACTIONS(2812),
    [anon_sym___block] = ACTIONS(2812),
    [anon_sym___bridge] = ACTIONS(2812),
    [anon_sym___bridge_retained] = ACTIONS(2812),
    [anon_sym___bridge_transfer] = ACTIONS(2812),
    [anon_sym___complex] = ACTIONS(2812),
    [anon_sym___const] = ACTIONS(2812),
    [anon_sym___imag] = ACTIONS(2812),
    [anon_sym___kindof] = ACTIONS(2812),
    [anon_sym___nonnull] = ACTIONS(2812),
    [anon_sym___nullable] = ACTIONS(2812),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2812),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2812),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2812),
    [anon_sym___real] = ACTIONS(2812),
    [anon_sym___strong] = ACTIONS(2812),
    [anon_sym___unsafe_unretained] = ACTIONS(2812),
    [anon_sym___unused] = ACTIONS(2812),
    [anon_sym___weak] = ACTIONS(2812),
    [anon_sym_alignas] = ACTIONS(2812),
    [anon_sym__Alignas] = ACTIONS(2812),
    [sym_primitive_type] = ACTIONS(2812),
    [anon_sym_enum] = ACTIONS(2812),
    [anon_sym_struct] = ACTIONS(2812),
    [anon_sym_union] = ACTIONS(2812),
    [anon_sym_if] = ACTIONS(2812),
    [anon_sym_switch] = ACTIONS(2812),
    [anon_sym_case] = ACTIONS(2812),
    [anon_sym_default] = ACTIONS(2812),
    [anon_sym_while] = ACTIONS(2812),
    [anon_sym_do] = ACTIONS(2812),
    [anon_sym_for] = ACTIONS(2812),
    [anon_sym_in] = ACTIONS(2812),
    [anon_sym_return] = ACTIONS(2812),
    [anon_sym_break] = ACTIONS(2812),
    [anon_sym_continue] = ACTIONS(2812),
    [anon_sym_goto] = ACTIONS(2812),
    [anon_sym_DASH_DASH] = ACTIONS(2814),
    [anon_sym_PLUS_PLUS] = ACTIONS(2814),
    [anon_sym_sizeof] = ACTIONS(2812),
    [anon_sym___alignof__] = ACTIONS(2812),
    [anon_sym___alignof] = ACTIONS(2812),
    [anon_sym__alignof] = ACTIONS(2812),
    [anon_sym_alignof] = ACTIONS(2812),
    [anon_sym__Alignof] = ACTIONS(2812),
    [anon_sym_offsetof] = ACTIONS(2812),
    [anon_sym__Generic] = ACTIONS(2812),
    [anon_sym_asm] = ACTIONS(2812),
    [anon_sym___asm__] = ACTIONS(2812),
    [anon_sym___asm] = ACTIONS(2812),
    [sym_number_literal] = ACTIONS(2814),
    [anon_sym_L_SQUOTE] = ACTIONS(2814),
    [anon_sym_u_SQUOTE] = ACTIONS(2814),
    [anon_sym_U_SQUOTE] = ACTIONS(2814),
    [anon_sym_u8_SQUOTE] = ACTIONS(2814),
    [anon_sym_SQUOTE] = ACTIONS(2814),
    [anon_sym_AT] = ACTIONS(2812),
    [anon_sym_DQUOTE] = ACTIONS(2814),
    [anon_sym_L_DQUOTE] = ACTIONS(2814),
    [anon_sym_u_DQUOTE] = ACTIONS(2814),
    [anon_sym_U_DQUOTE] = ACTIONS(2814),
    [anon_sym_u8_DQUOTE] = ACTIONS(2814),
    [sym_true] = ACTIONS(2812),
    [sym_false] = ACTIONS(2812),
    [anon_sym_NULL] = ACTIONS(2812),
    [anon_sym_nullptr] = ACTIONS(2812),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2812),
    [anon_sym___typeof] = ACTIONS(2812),
    [anon_sym_typeof] = ACTIONS(2812),
    [anon_sym_ATimport] = ACTIONS(2814),
    [aux_sym_preproc_undef_token1] = ACTIONS(2812),
    [anon_sym_POUND] = ACTIONS(2812),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2812),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2812),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2812),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2812),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2812),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2812),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2812),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2812),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2812),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2812),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2812),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2812),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2812),
    [anon_sym_API_AVAILABLE] = ACTIONS(2812),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2812),
    [anon_sym_API_DEPRECATED] = ACTIONS(2812),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2812),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2812),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2812),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2812),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2812),
    [anon_sym___deprecated_msg] = ACTIONS(2812),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2812),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2812),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2812),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2812),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2812),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2812),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2812),
    [anon_sym_ATprotocol] = ACTIONS(2814),
    [anon_sym_ATinterface] = ACTIONS(2814),
    [anon_sym_ATimplementation] = ACTIONS(2814),
    [anon_sym_ATcompatibility_alias] = ACTIONS(2814),
    [anon_sym_ATselector] = ACTIONS(2814),
    [anon_sym_ATavailable] = ACTIONS(2814),
    [anon_sym___builtin_available] = ACTIONS(2812),
    [anon_sym_va_arg] = ACTIONS(2812),
    [anon_sym_ATencode] = ACTIONS(2814),
    [anon_sym_BOOL] = ACTIONS(2812),
    [anon_sym_IMP] = ACTIONS(2812),
    [anon_sym_SEL] = ACTIONS(2812),
    [anon_sym_Class] = ACTIONS(2812),
    [anon_sym_id] = ACTIONS(2812),
  },
  [1082] = {
    [sym_expression] = STATE(4380),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_extern] = ACTIONS(2922),
    [anon_sym___attribute__] = ACTIONS(2922),
    [anon_sym___attribute] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym___declspec] = ACTIONS(2922),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_static] = ACTIONS(2922),
    [anon_sym_auto] = ACTIONS(2922),
    [anon_sym_register] = ACTIONS(2922),
    [anon_sym_inline] = ACTIONS(2922),
    [anon_sym___inline] = ACTIONS(2922),
    [anon_sym___inline__] = ACTIONS(2922),
    [anon_sym___forceinline] = ACTIONS(2922),
    [anon_sym_thread_local] = ACTIONS(2922),
    [anon_sym___thread] = ACTIONS(2922),
    [anon_sym_CG_EXTERN] = ACTIONS(2922),
    [anon_sym_CG_INLINE] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2922),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2922),
    [anon_sym_IBOutlet] = ACTIONS(2922),
    [anon_sym_IBInspectable] = ACTIONS(2922),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2922),
    [anon_sym_NS_INLINE] = ACTIONS(2922),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2922),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2922),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_union] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2922),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2922),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2922),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_API_AVAILABLE] = ACTIONS(2922),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_API_DEPRECATED] = ACTIONS(2922),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym___deprecated_msg] = ACTIONS(2922),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2922),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(203),
  },
  [1083] = {
    [sym_expression] = STATE(1631),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_extern] = ACTIONS(2922),
    [anon_sym___attribute__] = ACTIONS(2922),
    [anon_sym___attribute] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym___declspec] = ACTIONS(2922),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_static] = ACTIONS(2922),
    [anon_sym_auto] = ACTIONS(2922),
    [anon_sym_register] = ACTIONS(2922),
    [anon_sym_inline] = ACTIONS(2922),
    [anon_sym___inline] = ACTIONS(2922),
    [anon_sym___inline__] = ACTIONS(2922),
    [anon_sym___forceinline] = ACTIONS(2922),
    [anon_sym_thread_local] = ACTIONS(2922),
    [anon_sym___thread] = ACTIONS(2922),
    [anon_sym_CG_EXTERN] = ACTIONS(2922),
    [anon_sym_CG_INLINE] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2922),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2922),
    [anon_sym_IBOutlet] = ACTIONS(2922),
    [anon_sym_IBInspectable] = ACTIONS(2922),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2922),
    [anon_sym_NS_INLINE] = ACTIONS(2922),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2922),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2922),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_union] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2922),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2922),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2922),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_API_AVAILABLE] = ACTIONS(2922),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_API_DEPRECATED] = ACTIONS(2922),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym___deprecated_msg] = ACTIONS(2922),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2922),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(203),
  },
  [1084] = {
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_COMMA] = ACTIONS(2968),
    [anon_sym_RPAREN] = ACTIONS(2968),
    [anon_sym_LPAREN2] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(2968),
    [anon_sym_TILDE] = ACTIONS(2968),
    [anon_sym_DASH] = ACTIONS(2966),
    [anon_sym_PLUS] = ACTIONS(2966),
    [anon_sym_STAR] = ACTIONS(2968),
    [anon_sym_CARET] = ACTIONS(2968),
    [anon_sym_AMP] = ACTIONS(2968),
    [anon_sym_GT] = ACTIONS(2968),
    [anon_sym_SEMI] = ACTIONS(2968),
    [anon_sym___extension__] = ACTIONS(2966),
    [anon_sym_extern] = ACTIONS(2966),
    [anon_sym___attribute__] = ACTIONS(2966),
    [anon_sym___attribute] = ACTIONS(2966),
    [anon_sym_noreturn] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2968),
    [anon_sym___declspec] = ACTIONS(2966),
    [anon_sym_LBRACE] = ACTIONS(2968),
    [anon_sym_signed] = ACTIONS(2966),
    [anon_sym_unsigned] = ACTIONS(2966),
    [anon_sym_long] = ACTIONS(2966),
    [anon_sym_short] = ACTIONS(2966),
    [anon_sym_static] = ACTIONS(2966),
    [anon_sym_ATautoreleasepool] = ACTIONS(2968),
    [anon_sym_auto] = ACTIONS(2966),
    [anon_sym_register] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(2966),
    [anon_sym___inline] = ACTIONS(2966),
    [anon_sym___inline__] = ACTIONS(2966),
    [anon_sym___forceinline] = ACTIONS(2966),
    [anon_sym_thread_local] = ACTIONS(2966),
    [anon_sym___thread] = ACTIONS(2966),
    [anon_sym_CG_EXTERN] = ACTIONS(2966),
    [anon_sym_CG_INLINE] = ACTIONS(2966),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2966),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2966),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2966),
    [anon_sym_IBOutlet] = ACTIONS(2966),
    [anon_sym_IBInspectable] = ACTIONS(2966),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2966),
    [anon_sym_NS_INLINE] = ACTIONS(2966),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2966),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2966),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2966),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2966),
    [anon_sym_const] = ACTIONS(2966),
    [anon_sym_constexpr] = ACTIONS(2966),
    [anon_sym_volatile] = ACTIONS(2966),
    [anon_sym_restrict] = ACTIONS(2966),
    [anon_sym___restrict__] = ACTIONS(2966),
    [anon_sym__Atomic] = ACTIONS(2966),
    [anon_sym__Noreturn] = ACTIONS(2966),
    [anon_sym__Nonnull] = ACTIONS(2966),
    [anon_sym_nullable] = ACTIONS(2966),
    [anon_sym__Complex] = ACTIONS(2966),
    [anon_sym__Nullable] = ACTIONS(2966),
    [anon_sym__Nullable_result] = ACTIONS(2966),
    [anon_sym__Null_unspecified] = ACTIONS(2966),
    [anon_sym___autoreleasing] = ACTIONS(2966),
    [anon_sym___block] = ACTIONS(2966),
    [anon_sym___bridge] = ACTIONS(2966),
    [anon_sym___bridge_retained] = ACTIONS(2966),
    [anon_sym___bridge_transfer] = ACTIONS(2966),
    [anon_sym___complex] = ACTIONS(2966),
    [anon_sym___const] = ACTIONS(2966),
    [anon_sym___imag] = ACTIONS(2966),
    [anon_sym___kindof] = ACTIONS(2966),
    [anon_sym___nonnull] = ACTIONS(2966),
    [anon_sym___nullable] = ACTIONS(2966),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2966),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2966),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2966),
    [anon_sym___real] = ACTIONS(2966),
    [anon_sym___strong] = ACTIONS(2966),
    [anon_sym___unsafe_unretained] = ACTIONS(2966),
    [anon_sym___unused] = ACTIONS(2966),
    [anon_sym___weak] = ACTIONS(2966),
    [anon_sym_alignas] = ACTIONS(2966),
    [anon_sym__Alignas] = ACTIONS(2966),
    [sym_primitive_type] = ACTIONS(2966),
    [anon_sym_enum] = ACTIONS(2966),
    [anon_sym_COLON] = ACTIONS(2968),
    [anon_sym_struct] = ACTIONS(2966),
    [anon_sym_union] = ACTIONS(2966),
    [anon_sym_if] = ACTIONS(2966),
    [anon_sym_switch] = ACTIONS(2966),
    [anon_sym_case] = ACTIONS(2966),
    [anon_sym_default] = ACTIONS(2966),
    [anon_sym_while] = ACTIONS(2966),
    [anon_sym_do] = ACTIONS(2966),
    [anon_sym_for] = ACTIONS(2966),
    [anon_sym_in] = ACTIONS(2966),
    [anon_sym_return] = ACTIONS(2966),
    [anon_sym_break] = ACTIONS(2966),
    [anon_sym_continue] = ACTIONS(2966),
    [anon_sym_goto] = ACTIONS(2966),
    [anon_sym_DASH_DASH] = ACTIONS(2968),
    [anon_sym_PLUS_PLUS] = ACTIONS(2968),
    [anon_sym_sizeof] = ACTIONS(2966),
    [anon_sym___alignof__] = ACTIONS(2966),
    [anon_sym___alignof] = ACTIONS(2966),
    [anon_sym__alignof] = ACTIONS(2966),
    [anon_sym_alignof] = ACTIONS(2966),
    [anon_sym__Alignof] = ACTIONS(2966),
    [anon_sym_offsetof] = ACTIONS(2966),
    [anon_sym__Generic] = ACTIONS(2966),
    [anon_sym_asm] = ACTIONS(2966),
    [anon_sym___asm__] = ACTIONS(2966),
    [anon_sym___asm] = ACTIONS(2966),
    [sym_number_literal] = ACTIONS(2968),
    [anon_sym_L_SQUOTE] = ACTIONS(2968),
    [anon_sym_u_SQUOTE] = ACTIONS(2968),
    [anon_sym_U_SQUOTE] = ACTIONS(2968),
    [anon_sym_u8_SQUOTE] = ACTIONS(2968),
    [anon_sym_SQUOTE] = ACTIONS(2968),
    [anon_sym_AT] = ACTIONS(2966),
    [anon_sym_DQUOTE] = ACTIONS(2968),
    [anon_sym_L_DQUOTE] = ACTIONS(2968),
    [anon_sym_u_DQUOTE] = ACTIONS(2968),
    [anon_sym_U_DQUOTE] = ACTIONS(2968),
    [anon_sym_u8_DQUOTE] = ACTIONS(2968),
    [sym_true] = ACTIONS(2966),
    [sym_false] = ACTIONS(2966),
    [anon_sym_NULL] = ACTIONS(2966),
    [anon_sym_nullptr] = ACTIONS(2966),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2966),
    [anon_sym___typeof] = ACTIONS(2966),
    [anon_sym_typeof] = ACTIONS(2966),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2966),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2966),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2966),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2966),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2966),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2966),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2966),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2966),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2966),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2966),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2966),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2966),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2966),
    [anon_sym_API_AVAILABLE] = ACTIONS(2966),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2966),
    [anon_sym_API_DEPRECATED] = ACTIONS(2966),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2966),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2966),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2966),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2966),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2966),
    [anon_sym___deprecated_msg] = ACTIONS(2966),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2966),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2966),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2966),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2966),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2966),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2966),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2966),
    [anon_sym_ATprotocol] = ACTIONS(2968),
    [anon_sym_ATinterface] = ACTIONS(2968),
    [anon_sym_ATimplementation] = ACTIONS(2968),
    [anon_sym_ATtry] = ACTIONS(2968),
    [anon_sym___try] = ACTIONS(2966),
    [anon_sym_ATthrow] = ACTIONS(2968),
    [anon_sym_ATselector] = ACTIONS(2968),
    [anon_sym_ATavailable] = ACTIONS(2968),
    [anon_sym___builtin_available] = ACTIONS(2966),
    [anon_sym_va_arg] = ACTIONS(2966),
    [anon_sym_ATencode] = ACTIONS(2968),
    [anon_sym_ATsynchronized] = ACTIONS(2968),
    [anon_sym_BOOL] = ACTIONS(2966),
    [anon_sym_IMP] = ACTIONS(2966),
    [anon_sym_SEL] = ACTIONS(2966),
    [anon_sym_Class] = ACTIONS(2966),
    [anon_sym_id] = ACTIONS(2966),
  },
  [1085] = {
    [sym_identifier] = ACTIONS(2970),
    [anon_sym_COMMA] = ACTIONS(2972),
    [anon_sym_RPAREN] = ACTIONS(2972),
    [anon_sym_LPAREN2] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_TILDE] = ACTIONS(2972),
    [anon_sym_DASH] = ACTIONS(2970),
    [anon_sym_PLUS] = ACTIONS(2970),
    [anon_sym_STAR] = ACTIONS(2972),
    [anon_sym_CARET] = ACTIONS(2972),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_GT] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2972),
    [anon_sym___extension__] = ACTIONS(2970),
    [anon_sym_extern] = ACTIONS(2970),
    [anon_sym___attribute__] = ACTIONS(2970),
    [anon_sym___attribute] = ACTIONS(2970),
    [anon_sym_noreturn] = ACTIONS(2970),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [anon_sym___declspec] = ACTIONS(2970),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_signed] = ACTIONS(2970),
    [anon_sym_unsigned] = ACTIONS(2970),
    [anon_sym_long] = ACTIONS(2970),
    [anon_sym_short] = ACTIONS(2970),
    [anon_sym_static] = ACTIONS(2970),
    [anon_sym_ATautoreleasepool] = ACTIONS(2972),
    [anon_sym_auto] = ACTIONS(2970),
    [anon_sym_register] = ACTIONS(2970),
    [anon_sym_inline] = ACTIONS(2970),
    [anon_sym___inline] = ACTIONS(2970),
    [anon_sym___inline__] = ACTIONS(2970),
    [anon_sym___forceinline] = ACTIONS(2970),
    [anon_sym_thread_local] = ACTIONS(2970),
    [anon_sym___thread] = ACTIONS(2970),
    [anon_sym_CG_EXTERN] = ACTIONS(2970),
    [anon_sym_CG_INLINE] = ACTIONS(2970),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2970),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2970),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2970),
    [anon_sym_IBOutlet] = ACTIONS(2970),
    [anon_sym_IBInspectable] = ACTIONS(2970),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2970),
    [anon_sym_NS_INLINE] = ACTIONS(2970),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2970),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2970),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2970),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2970),
    [anon_sym_const] = ACTIONS(2970),
    [anon_sym_constexpr] = ACTIONS(2970),
    [anon_sym_volatile] = ACTIONS(2970),
    [anon_sym_restrict] = ACTIONS(2970),
    [anon_sym___restrict__] = ACTIONS(2970),
    [anon_sym__Atomic] = ACTIONS(2970),
    [anon_sym__Noreturn] = ACTIONS(2970),
    [anon_sym__Nonnull] = ACTIONS(2970),
    [anon_sym_nullable] = ACTIONS(2970),
    [anon_sym__Complex] = ACTIONS(2970),
    [anon_sym__Nullable] = ACTIONS(2970),
    [anon_sym__Nullable_result] = ACTIONS(2970),
    [anon_sym__Null_unspecified] = ACTIONS(2970),
    [anon_sym___autoreleasing] = ACTIONS(2970),
    [anon_sym___block] = ACTIONS(2970),
    [anon_sym___bridge] = ACTIONS(2970),
    [anon_sym___bridge_retained] = ACTIONS(2970),
    [anon_sym___bridge_transfer] = ACTIONS(2970),
    [anon_sym___complex] = ACTIONS(2970),
    [anon_sym___const] = ACTIONS(2970),
    [anon_sym___imag] = ACTIONS(2970),
    [anon_sym___kindof] = ACTIONS(2970),
    [anon_sym___nonnull] = ACTIONS(2970),
    [anon_sym___nullable] = ACTIONS(2970),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2970),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2970),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2970),
    [anon_sym___real] = ACTIONS(2970),
    [anon_sym___strong] = ACTIONS(2970),
    [anon_sym___unsafe_unretained] = ACTIONS(2970),
    [anon_sym___unused] = ACTIONS(2970),
    [anon_sym___weak] = ACTIONS(2970),
    [anon_sym_alignas] = ACTIONS(2970),
    [anon_sym__Alignas] = ACTIONS(2970),
    [sym_primitive_type] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2970),
    [anon_sym_COLON] = ACTIONS(2972),
    [anon_sym_struct] = ACTIONS(2970),
    [anon_sym_union] = ACTIONS(2970),
    [anon_sym_if] = ACTIONS(2970),
    [anon_sym_switch] = ACTIONS(2970),
    [anon_sym_case] = ACTIONS(2970),
    [anon_sym_default] = ACTIONS(2970),
    [anon_sym_while] = ACTIONS(2970),
    [anon_sym_do] = ACTIONS(2970),
    [anon_sym_for] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(2970),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_break] = ACTIONS(2970),
    [anon_sym_continue] = ACTIONS(2970),
    [anon_sym_goto] = ACTIONS(2970),
    [anon_sym_DASH_DASH] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2972),
    [anon_sym_sizeof] = ACTIONS(2970),
    [anon_sym___alignof__] = ACTIONS(2970),
    [anon_sym___alignof] = ACTIONS(2970),
    [anon_sym__alignof] = ACTIONS(2970),
    [anon_sym_alignof] = ACTIONS(2970),
    [anon_sym__Alignof] = ACTIONS(2970),
    [anon_sym_offsetof] = ACTIONS(2970),
    [anon_sym__Generic] = ACTIONS(2970),
    [anon_sym_asm] = ACTIONS(2970),
    [anon_sym___asm__] = ACTIONS(2970),
    [anon_sym___asm] = ACTIONS(2970),
    [sym_number_literal] = ACTIONS(2972),
    [anon_sym_L_SQUOTE] = ACTIONS(2972),
    [anon_sym_u_SQUOTE] = ACTIONS(2972),
    [anon_sym_U_SQUOTE] = ACTIONS(2972),
    [anon_sym_u8_SQUOTE] = ACTIONS(2972),
    [anon_sym_SQUOTE] = ACTIONS(2972),
    [anon_sym_AT] = ACTIONS(2970),
    [anon_sym_DQUOTE] = ACTIONS(2972),
    [anon_sym_L_DQUOTE] = ACTIONS(2972),
    [anon_sym_u_DQUOTE] = ACTIONS(2972),
    [anon_sym_U_DQUOTE] = ACTIONS(2972),
    [anon_sym_u8_DQUOTE] = ACTIONS(2972),
    [sym_true] = ACTIONS(2970),
    [sym_false] = ACTIONS(2970),
    [anon_sym_NULL] = ACTIONS(2970),
    [anon_sym_nullptr] = ACTIONS(2970),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2970),
    [anon_sym___typeof] = ACTIONS(2970),
    [anon_sym_typeof] = ACTIONS(2970),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2970),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2970),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2970),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2970),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2970),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2970),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2970),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2970),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2970),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2970),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2970),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2970),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2970),
    [anon_sym_API_AVAILABLE] = ACTIONS(2970),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2970),
    [anon_sym_API_DEPRECATED] = ACTIONS(2970),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2970),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2970),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2970),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2970),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2970),
    [anon_sym___deprecated_msg] = ACTIONS(2970),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2970),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2970),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2970),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2970),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2970),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2970),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2970),
    [anon_sym_ATprotocol] = ACTIONS(2972),
    [anon_sym_ATinterface] = ACTIONS(2972),
    [anon_sym_ATimplementation] = ACTIONS(2972),
    [anon_sym_ATtry] = ACTIONS(2972),
    [anon_sym___try] = ACTIONS(2970),
    [anon_sym_ATthrow] = ACTIONS(2972),
    [anon_sym_ATselector] = ACTIONS(2972),
    [anon_sym_ATavailable] = ACTIONS(2972),
    [anon_sym___builtin_available] = ACTIONS(2970),
    [anon_sym_va_arg] = ACTIONS(2970),
    [anon_sym_ATencode] = ACTIONS(2972),
    [anon_sym_ATsynchronized] = ACTIONS(2972),
    [anon_sym_BOOL] = ACTIONS(2970),
    [anon_sym_IMP] = ACTIONS(2970),
    [anon_sym_SEL] = ACTIONS(2970),
    [anon_sym_Class] = ACTIONS(2970),
    [anon_sym_id] = ACTIONS(2970),
  },
  [1086] = {
    [sym_catch_clause] = STATE(1087),
    [sym_finally_clause] = STATE(1170),
    [aux_sym_try_statement_repeat1] = STATE(1087),
    [sym_identifier] = ACTIONS(2306),
    [anon_sym_LPAREN2] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_CARET] = ACTIONS(2308),
    [anon_sym_AMP] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2308),
    [anon_sym___extension__] = ACTIONS(2306),
    [anon_sym_typedef] = ACTIONS(2306),
    [anon_sym_extern] = ACTIONS(2306),
    [anon_sym___attribute__] = ACTIONS(2306),
    [anon_sym___attribute] = ACTIONS(2306),
    [anon_sym_noreturn] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym___declspec] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2308),
    [anon_sym_signed] = ACTIONS(2306),
    [anon_sym_unsigned] = ACTIONS(2306),
    [anon_sym_long] = ACTIONS(2306),
    [anon_sym_short] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_ATautoreleasepool] = ACTIONS(2308),
    [anon_sym_auto] = ACTIONS(2306),
    [anon_sym_register] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(2306),
    [anon_sym___inline] = ACTIONS(2306),
    [anon_sym___inline__] = ACTIONS(2306),
    [anon_sym___forceinline] = ACTIONS(2306),
    [anon_sym_thread_local] = ACTIONS(2306),
    [anon_sym___thread] = ACTIONS(2306),
    [anon_sym_CG_EXTERN] = ACTIONS(2306),
    [anon_sym_CG_INLINE] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2306),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2306),
    [anon_sym_IBOutlet] = ACTIONS(2306),
    [anon_sym_IBInspectable] = ACTIONS(2306),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2306),
    [anon_sym_NS_INLINE] = ACTIONS(2306),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2306),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2306),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_constexpr] = ACTIONS(2306),
    [anon_sym_volatile] = ACTIONS(2306),
    [anon_sym_restrict] = ACTIONS(2306),
    [anon_sym___restrict__] = ACTIONS(2306),
    [anon_sym__Atomic] = ACTIONS(2306),
    [anon_sym__Noreturn] = ACTIONS(2306),
    [anon_sym__Nonnull] = ACTIONS(2306),
    [anon_sym_nullable] = ACTIONS(2306),
    [anon_sym__Complex] = ACTIONS(2306),
    [anon_sym__Nullable] = ACTIONS(2306),
    [anon_sym__Nullable_result] = ACTIONS(2306),
    [anon_sym__Null_unspecified] = ACTIONS(2306),
    [anon_sym___autoreleasing] = ACTIONS(2306),
    [anon_sym___block] = ACTIONS(2306),
    [anon_sym___bridge] = ACTIONS(2306),
    [anon_sym___bridge_retained] = ACTIONS(2306),
    [anon_sym___bridge_transfer] = ACTIONS(2306),
    [anon_sym___complex] = ACTIONS(2306),
    [anon_sym___const] = ACTIONS(2306),
    [anon_sym___imag] = ACTIONS(2306),
    [anon_sym___kindof] = ACTIONS(2306),
    [anon_sym___nonnull] = ACTIONS(2306),
    [anon_sym___nullable] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2306),
    [anon_sym___real] = ACTIONS(2306),
    [anon_sym___strong] = ACTIONS(2306),
    [anon_sym___unsafe_unretained] = ACTIONS(2306),
    [anon_sym___unused] = ACTIONS(2306),
    [anon_sym___weak] = ACTIONS(2306),
    [anon_sym_alignas] = ACTIONS(2306),
    [anon_sym__Alignas] = ACTIONS(2306),
    [sym_primitive_type] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [anon_sym_struct] = ACTIONS(2306),
    [anon_sym_union] = ACTIONS(2306),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_else] = ACTIONS(2306),
    [anon_sym_switch] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2306),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2306),
    [anon_sym_continue] = ACTIONS(2306),
    [anon_sym_goto] = ACTIONS(2306),
    [anon_sym_DASH_DASH] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(2308),
    [anon_sym_sizeof] = ACTIONS(2306),
    [anon_sym___alignof__] = ACTIONS(2306),
    [anon_sym___alignof] = ACTIONS(2306),
    [anon_sym__alignof] = ACTIONS(2306),
    [anon_sym_alignof] = ACTIONS(2306),
    [anon_sym__Alignof] = ACTIONS(2306),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2306),
    [anon_sym_asm] = ACTIONS(2306),
    [anon_sym___asm__] = ACTIONS(2306),
    [anon_sym___asm] = ACTIONS(2306),
    [sym_number_literal] = ACTIONS(2308),
    [anon_sym_L_SQUOTE] = ACTIONS(2308),
    [anon_sym_u_SQUOTE] = ACTIONS(2308),
    [anon_sym_U_SQUOTE] = ACTIONS(2308),
    [anon_sym_u8_SQUOTE] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [anon_sym_AT] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2308),
    [anon_sym_L_DQUOTE] = ACTIONS(2308),
    [anon_sym_u_DQUOTE] = ACTIONS(2308),
    [anon_sym_U_DQUOTE] = ACTIONS(2308),
    [anon_sym_u8_DQUOTE] = ACTIONS(2308),
    [sym_true] = ACTIONS(2306),
    [sym_false] = ACTIONS(2306),
    [anon_sym_NULL] = ACTIONS(2306),
    [anon_sym_nullptr] = ACTIONS(2306),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2306),
    [anon_sym___typeof] = ACTIONS(2306),
    [anon_sym_typeof] = ACTIONS(2306),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2306),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2306),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2306),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_API_AVAILABLE] = ACTIONS(2306),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_API_DEPRECATED] = ACTIONS(2306),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym___deprecated_msg] = ACTIONS(2306),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2306),
    [anon_sym_ATtry] = ACTIONS(2308),
    [anon_sym___try] = ACTIONS(2306),
    [anon_sym_ATcatch] = ACTIONS(2974),
    [anon_sym___catch] = ACTIONS(2976),
    [anon_sym_ATfinally] = ACTIONS(2978),
    [anon_sym___finally] = ACTIONS(2980),
    [anon_sym_ATthrow] = ACTIONS(2308),
    [anon_sym_ATselector] = ACTIONS(2308),
    [anon_sym_ATavailable] = ACTIONS(2308),
    [anon_sym___builtin_available] = ACTIONS(2306),
    [anon_sym_va_arg] = ACTIONS(2306),
    [anon_sym_ATencode] = ACTIONS(2308),
    [anon_sym_ATsynchronized] = ACTIONS(2308),
    [anon_sym_BOOL] = ACTIONS(2306),
    [anon_sym_IMP] = ACTIONS(2306),
    [anon_sym_SEL] = ACTIONS(2306),
    [anon_sym_Class] = ACTIONS(2306),
    [anon_sym_id] = ACTIONS(2306),
  },
  [1087] = {
    [sym_catch_clause] = STATE(1087),
    [aux_sym_try_statement_repeat1] = STATE(1087),
    [sym_identifier] = ACTIONS(2318),
    [anon_sym_LPAREN2] = ACTIONS(2320),
    [anon_sym_BANG] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_PLUS] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2320),
    [anon_sym_AMP] = ACTIONS(2320),
    [anon_sym_SEMI] = ACTIONS(2320),
    [anon_sym___extension__] = ACTIONS(2318),
    [anon_sym_typedef] = ACTIONS(2318),
    [anon_sym_extern] = ACTIONS(2318),
    [anon_sym___attribute__] = ACTIONS(2318),
    [anon_sym___attribute] = ACTIONS(2318),
    [anon_sym_noreturn] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2320),
    [anon_sym___declspec] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_signed] = ACTIONS(2318),
    [anon_sym_unsigned] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_ATautoreleasepool] = ACTIONS(2320),
    [anon_sym_auto] = ACTIONS(2318),
    [anon_sym_register] = ACTIONS(2318),
    [anon_sym_inline] = ACTIONS(2318),
    [anon_sym___inline] = ACTIONS(2318),
    [anon_sym___inline__] = ACTIONS(2318),
    [anon_sym___forceinline] = ACTIONS(2318),
    [anon_sym_thread_local] = ACTIONS(2318),
    [anon_sym___thread] = ACTIONS(2318),
    [anon_sym_CG_EXTERN] = ACTIONS(2318),
    [anon_sym_CG_INLINE] = ACTIONS(2318),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2318),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2318),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2318),
    [anon_sym_IBOutlet] = ACTIONS(2318),
    [anon_sym_IBInspectable] = ACTIONS(2318),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2318),
    [anon_sym_NS_INLINE] = ACTIONS(2318),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2318),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2318),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2318),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2318),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_constexpr] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_restrict] = ACTIONS(2318),
    [anon_sym___restrict__] = ACTIONS(2318),
    [anon_sym__Atomic] = ACTIONS(2318),
    [anon_sym__Noreturn] = ACTIONS(2318),
    [anon_sym__Nonnull] = ACTIONS(2318),
    [anon_sym_nullable] = ACTIONS(2318),
    [anon_sym__Complex] = ACTIONS(2318),
    [anon_sym__Nullable] = ACTIONS(2318),
    [anon_sym__Nullable_result] = ACTIONS(2318),
    [anon_sym__Null_unspecified] = ACTIONS(2318),
    [anon_sym___autoreleasing] = ACTIONS(2318),
    [anon_sym___block] = ACTIONS(2318),
    [anon_sym___bridge] = ACTIONS(2318),
    [anon_sym___bridge_retained] = ACTIONS(2318),
    [anon_sym___bridge_transfer] = ACTIONS(2318),
    [anon_sym___complex] = ACTIONS(2318),
    [anon_sym___const] = ACTIONS(2318),
    [anon_sym___imag] = ACTIONS(2318),
    [anon_sym___kindof] = ACTIONS(2318),
    [anon_sym___nonnull] = ACTIONS(2318),
    [anon_sym___nullable] = ACTIONS(2318),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2318),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2318),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2318),
    [anon_sym___real] = ACTIONS(2318),
    [anon_sym___strong] = ACTIONS(2318),
    [anon_sym___unsafe_unretained] = ACTIONS(2318),
    [anon_sym___unused] = ACTIONS(2318),
    [anon_sym___weak] = ACTIONS(2318),
    [anon_sym_alignas] = ACTIONS(2318),
    [anon_sym__Alignas] = ACTIONS(2318),
    [sym_primitive_type] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_struct] = ACTIONS(2318),
    [anon_sym_union] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_else] = ACTIONS(2318),
    [anon_sym_switch] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_do] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_in] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_break] = ACTIONS(2318),
    [anon_sym_continue] = ACTIONS(2318),
    [anon_sym_goto] = ACTIONS(2318),
    [anon_sym_DASH_DASH] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2320),
    [anon_sym_sizeof] = ACTIONS(2318),
    [anon_sym___alignof__] = ACTIONS(2318),
    [anon_sym___alignof] = ACTIONS(2318),
    [anon_sym__alignof] = ACTIONS(2318),
    [anon_sym_alignof] = ACTIONS(2318),
    [anon_sym__Alignof] = ACTIONS(2318),
    [anon_sym_offsetof] = ACTIONS(2318),
    [anon_sym__Generic] = ACTIONS(2318),
    [anon_sym_asm] = ACTIONS(2318),
    [anon_sym___asm__] = ACTIONS(2318),
    [anon_sym___asm] = ACTIONS(2318),
    [sym_number_literal] = ACTIONS(2320),
    [anon_sym_L_SQUOTE] = ACTIONS(2320),
    [anon_sym_u_SQUOTE] = ACTIONS(2320),
    [anon_sym_U_SQUOTE] = ACTIONS(2320),
    [anon_sym_u8_SQUOTE] = ACTIONS(2320),
    [anon_sym_SQUOTE] = ACTIONS(2320),
    [anon_sym_AT] = ACTIONS(2318),
    [anon_sym_DQUOTE] = ACTIONS(2320),
    [anon_sym_L_DQUOTE] = ACTIONS(2320),
    [anon_sym_u_DQUOTE] = ACTIONS(2320),
    [anon_sym_U_DQUOTE] = ACTIONS(2320),
    [anon_sym_u8_DQUOTE] = ACTIONS(2320),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [anon_sym_NULL] = ACTIONS(2318),
    [anon_sym_nullptr] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2318),
    [anon_sym___typeof] = ACTIONS(2318),
    [anon_sym_typeof] = ACTIONS(2318),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2318),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2318),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2318),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2318),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2318),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2318),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2318),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2318),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2318),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_API_AVAILABLE] = ACTIONS(2318),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_API_DEPRECATED] = ACTIONS(2318),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2318),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2318),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2318),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2318),
    [anon_sym___deprecated_msg] = ACTIONS(2318),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2318),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2318),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2318),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2318),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2318),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2318),
    [anon_sym_ATtry] = ACTIONS(2320),
    [anon_sym___try] = ACTIONS(2318),
    [anon_sym_ATcatch] = ACTIONS(2982),
    [anon_sym___catch] = ACTIONS(2985),
    [anon_sym_ATfinally] = ACTIONS(2320),
    [anon_sym___finally] = ACTIONS(2318),
    [anon_sym_ATthrow] = ACTIONS(2320),
    [anon_sym_ATselector] = ACTIONS(2320),
    [anon_sym_ATavailable] = ACTIONS(2320),
    [anon_sym___builtin_available] = ACTIONS(2318),
    [anon_sym_va_arg] = ACTIONS(2318),
    [anon_sym_ATencode] = ACTIONS(2320),
    [anon_sym_ATsynchronized] = ACTIONS(2320),
    [anon_sym_BOOL] = ACTIONS(2318),
    [anon_sym_IMP] = ACTIONS(2318),
    [anon_sym_SEL] = ACTIONS(2318),
    [anon_sym_Class] = ACTIONS(2318),
    [anon_sym_id] = ACTIONS(2318),
  },
  [1088] = {
    [sym_identifier] = ACTIONS(2346),
    [anon_sym_LPAREN2] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_CARET] = ACTIONS(2348),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym___extension__] = ACTIONS(2346),
    [anon_sym_typedef] = ACTIONS(2346),
    [anon_sym_extern] = ACTIONS(2346),
    [anon_sym___attribute__] = ACTIONS(2346),
    [anon_sym___attribute] = ACTIONS(2346),
    [anon_sym_noreturn] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym___declspec] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_signed] = ACTIONS(2346),
    [anon_sym_unsigned] = ACTIONS(2346),
    [anon_sym_long] = ACTIONS(2346),
    [anon_sym_short] = ACTIONS(2346),
    [anon_sym_static] = ACTIONS(2346),
    [anon_sym_ATautoreleasepool] = ACTIONS(2348),
    [anon_sym_auto] = ACTIONS(2346),
    [anon_sym_register] = ACTIONS(2346),
    [anon_sym_inline] = ACTIONS(2346),
    [anon_sym___inline] = ACTIONS(2346),
    [anon_sym___inline__] = ACTIONS(2346),
    [anon_sym___forceinline] = ACTIONS(2346),
    [anon_sym_thread_local] = ACTIONS(2346),
    [anon_sym___thread] = ACTIONS(2346),
    [anon_sym_CG_EXTERN] = ACTIONS(2346),
    [anon_sym_CG_INLINE] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2346),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2346),
    [anon_sym_IBOutlet] = ACTIONS(2346),
    [anon_sym_IBInspectable] = ACTIONS(2346),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2346),
    [anon_sym_NS_INLINE] = ACTIONS(2346),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2346),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2346),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2346),
    [anon_sym_const] = ACTIONS(2346),
    [anon_sym_constexpr] = ACTIONS(2346),
    [anon_sym_volatile] = ACTIONS(2346),
    [anon_sym_restrict] = ACTIONS(2346),
    [anon_sym___restrict__] = ACTIONS(2346),
    [anon_sym__Atomic] = ACTIONS(2346),
    [anon_sym__Noreturn] = ACTIONS(2346),
    [anon_sym__Nonnull] = ACTIONS(2346),
    [anon_sym_nullable] = ACTIONS(2346),
    [anon_sym__Complex] = ACTIONS(2346),
    [anon_sym__Nullable] = ACTIONS(2346),
    [anon_sym__Nullable_result] = ACTIONS(2346),
    [anon_sym__Null_unspecified] = ACTIONS(2346),
    [anon_sym___autoreleasing] = ACTIONS(2346),
    [anon_sym___block] = ACTIONS(2346),
    [anon_sym___bridge] = ACTIONS(2346),
    [anon_sym___bridge_retained] = ACTIONS(2346),
    [anon_sym___bridge_transfer] = ACTIONS(2346),
    [anon_sym___complex] = ACTIONS(2346),
    [anon_sym___const] = ACTIONS(2346),
    [anon_sym___imag] = ACTIONS(2346),
    [anon_sym___kindof] = ACTIONS(2346),
    [anon_sym___nonnull] = ACTIONS(2346),
    [anon_sym___nullable] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2346),
    [anon_sym___real] = ACTIONS(2346),
    [anon_sym___strong] = ACTIONS(2346),
    [anon_sym___unsafe_unretained] = ACTIONS(2346),
    [anon_sym___unused] = ACTIONS(2346),
    [anon_sym___weak] = ACTIONS(2346),
    [anon_sym_alignas] = ACTIONS(2346),
    [anon_sym__Alignas] = ACTIONS(2346),
    [sym_primitive_type] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2346),
    [anon_sym_struct] = ACTIONS(2346),
    [anon_sym_union] = ACTIONS(2346),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_else] = ACTIONS(2346),
    [anon_sym_switch] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2346),
    [anon_sym_for] = ACTIONS(2346),
    [anon_sym_in] = ACTIONS(2346),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_break] = ACTIONS(2346),
    [anon_sym_continue] = ACTIONS(2346),
    [anon_sym_goto] = ACTIONS(2346),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_sizeof] = ACTIONS(2346),
    [anon_sym___alignof__] = ACTIONS(2346),
    [anon_sym___alignof] = ACTIONS(2346),
    [anon_sym__alignof] = ACTIONS(2346),
    [anon_sym_alignof] = ACTIONS(2346),
    [anon_sym__Alignof] = ACTIONS(2346),
    [anon_sym_offsetof] = ACTIONS(2346),
    [anon_sym__Generic] = ACTIONS(2346),
    [anon_sym_asm] = ACTIONS(2346),
    [anon_sym___asm__] = ACTIONS(2346),
    [anon_sym___asm] = ACTIONS(2346),
    [sym_number_literal] = ACTIONS(2348),
    [anon_sym_L_SQUOTE] = ACTIONS(2348),
    [anon_sym_u_SQUOTE] = ACTIONS(2348),
    [anon_sym_U_SQUOTE] = ACTIONS(2348),
    [anon_sym_u8_SQUOTE] = ACTIONS(2348),
    [anon_sym_SQUOTE] = ACTIONS(2348),
    [anon_sym_AT] = ACTIONS(2346),
    [anon_sym_DQUOTE] = ACTIONS(2348),
    [anon_sym_L_DQUOTE] = ACTIONS(2348),
    [anon_sym_u_DQUOTE] = ACTIONS(2348),
    [anon_sym_U_DQUOTE] = ACTIONS(2348),
    [anon_sym_u8_DQUOTE] = ACTIONS(2348),
    [sym_true] = ACTIONS(2346),
    [sym_false] = ACTIONS(2346),
    [anon_sym_NULL] = ACTIONS(2346),
    [anon_sym_nullptr] = ACTIONS(2346),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2346),
    [anon_sym___typeof] = ACTIONS(2346),
    [anon_sym_typeof] = ACTIONS(2346),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2346),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2346),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2346),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_API_AVAILABLE] = ACTIONS(2346),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_API_DEPRECATED] = ACTIONS(2346),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym___deprecated_msg] = ACTIONS(2346),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2346),
    [anon_sym_ATtry] = ACTIONS(2348),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym_ATcatch] = ACTIONS(2348),
    [anon_sym___catch] = ACTIONS(2346),
    [anon_sym_ATfinally] = ACTIONS(2348),
    [anon_sym___finally] = ACTIONS(2346),
    [anon_sym_ATthrow] = ACTIONS(2348),
    [anon_sym_ATselector] = ACTIONS(2348),
    [anon_sym_ATavailable] = ACTIONS(2348),
    [anon_sym___builtin_available] = ACTIONS(2346),
    [anon_sym_va_arg] = ACTIONS(2346),
    [anon_sym_ATencode] = ACTIONS(2348),
    [anon_sym_ATsynchronized] = ACTIONS(2348),
    [anon_sym_BOOL] = ACTIONS(2346),
    [anon_sym_IMP] = ACTIONS(2346),
    [anon_sym_SEL] = ACTIONS(2346),
    [anon_sym_Class] = ACTIONS(2346),
    [anon_sym_id] = ACTIONS(2346),
  },
  [1089] = {
    [sym_identifier] = ACTIONS(2360),
    [anon_sym_LPAREN2] = ACTIONS(2362),
    [anon_sym_BANG] = ACTIONS(2362),
    [anon_sym_TILDE] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_STAR] = ACTIONS(2362),
    [anon_sym_CARET] = ACTIONS(2362),
    [anon_sym_AMP] = ACTIONS(2362),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_typedef] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym___attribute] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2362),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym_LBRACE] = ACTIONS(2362),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_ATautoreleasepool] = ACTIONS(2362),
    [anon_sym_auto] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_CG_EXTERN] = ACTIONS(2360),
    [anon_sym_CG_INLINE] = ACTIONS(2360),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2360),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2360),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2360),
    [anon_sym_IBOutlet] = ACTIONS(2360),
    [anon_sym_IBInspectable] = ACTIONS(2360),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2360),
    [anon_sym_NS_INLINE] = ACTIONS(2360),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2360),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2360),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2360),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym__Nonnull] = ACTIONS(2360),
    [anon_sym_nullable] = ACTIONS(2360),
    [anon_sym__Complex] = ACTIONS(2360),
    [anon_sym__Nullable] = ACTIONS(2360),
    [anon_sym__Nullable_result] = ACTIONS(2360),
    [anon_sym__Null_unspecified] = ACTIONS(2360),
    [anon_sym___autoreleasing] = ACTIONS(2360),
    [anon_sym___block] = ACTIONS(2360),
    [anon_sym___bridge] = ACTIONS(2360),
    [anon_sym___bridge_retained] = ACTIONS(2360),
    [anon_sym___bridge_transfer] = ACTIONS(2360),
    [anon_sym___complex] = ACTIONS(2360),
    [anon_sym___const] = ACTIONS(2360),
    [anon_sym___imag] = ACTIONS(2360),
    [anon_sym___kindof] = ACTIONS(2360),
    [anon_sym___nonnull] = ACTIONS(2360),
    [anon_sym___nullable] = ACTIONS(2360),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2360),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2360),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2360),
    [anon_sym___real] = ACTIONS(2360),
    [anon_sym___strong] = ACTIONS(2360),
    [anon_sym___unsafe_unretained] = ACTIONS(2360),
    [anon_sym___unused] = ACTIONS(2360),
    [anon_sym___weak] = ACTIONS(2360),
    [anon_sym_alignas] = ACTIONS(2360),
    [anon_sym__Alignas] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2360),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_else] = ACTIONS(2360),
    [anon_sym_switch] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2360),
    [anon_sym_do] = ACTIONS(2360),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_return] = ACTIONS(2360),
    [anon_sym_break] = ACTIONS(2360),
    [anon_sym_continue] = ACTIONS(2360),
    [anon_sym_goto] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2362),
    [anon_sym_PLUS_PLUS] = ACTIONS(2362),
    [anon_sym_sizeof] = ACTIONS(2360),
    [anon_sym___alignof__] = ACTIONS(2360),
    [anon_sym___alignof] = ACTIONS(2360),
    [anon_sym__alignof] = ACTIONS(2360),
    [anon_sym_alignof] = ACTIONS(2360),
    [anon_sym__Alignof] = ACTIONS(2360),
    [anon_sym_offsetof] = ACTIONS(2360),
    [anon_sym__Generic] = ACTIONS(2360),
    [anon_sym_asm] = ACTIONS(2360),
    [anon_sym___asm__] = ACTIONS(2360),
    [anon_sym___asm] = ACTIONS(2360),
    [sym_number_literal] = ACTIONS(2362),
    [anon_sym_L_SQUOTE] = ACTIONS(2362),
    [anon_sym_u_SQUOTE] = ACTIONS(2362),
    [anon_sym_U_SQUOTE] = ACTIONS(2362),
    [anon_sym_u8_SQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE] = ACTIONS(2362),
    [anon_sym_AT] = ACTIONS(2360),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [anon_sym_L_DQUOTE] = ACTIONS(2362),
    [anon_sym_u_DQUOTE] = ACTIONS(2362),
    [anon_sym_U_DQUOTE] = ACTIONS(2362),
    [anon_sym_u8_DQUOTE] = ACTIONS(2362),
    [sym_true] = ACTIONS(2360),
    [sym_false] = ACTIONS(2360),
    [anon_sym_NULL] = ACTIONS(2360),
    [anon_sym_nullptr] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2360),
    [anon_sym___typeof] = ACTIONS(2360),
    [anon_sym_typeof] = ACTIONS(2360),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2360),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2360),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2360),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2360),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2360),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2360),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2360),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2360),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2360),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_API_AVAILABLE] = ACTIONS(2360),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_API_DEPRECATED] = ACTIONS(2360),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2360),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2360),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2360),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2360),
    [anon_sym___deprecated_msg] = ACTIONS(2360),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2360),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2360),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2360),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2360),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2360),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2360),
    [anon_sym_ATtry] = ACTIONS(2362),
    [anon_sym___try] = ACTIONS(2360),
    [anon_sym_ATcatch] = ACTIONS(2362),
    [anon_sym___catch] = ACTIONS(2360),
    [anon_sym_ATfinally] = ACTIONS(2362),
    [anon_sym___finally] = ACTIONS(2360),
    [anon_sym_ATthrow] = ACTIONS(2362),
    [anon_sym_ATselector] = ACTIONS(2362),
    [anon_sym_ATavailable] = ACTIONS(2362),
    [anon_sym___builtin_available] = ACTIONS(2360),
    [anon_sym_va_arg] = ACTIONS(2360),
    [anon_sym_ATencode] = ACTIONS(2362),
    [anon_sym_ATsynchronized] = ACTIONS(2362),
    [anon_sym_BOOL] = ACTIONS(2360),
    [anon_sym_IMP] = ACTIONS(2360),
    [anon_sym_SEL] = ACTIONS(2360),
    [anon_sym_Class] = ACTIONS(2360),
    [anon_sym_id] = ACTIONS(2360),
  },
  [1090] = {
    [sym_identifier] = ACTIONS(2356),
    [anon_sym_LPAREN2] = ACTIONS(2358),
    [anon_sym_BANG] = ACTIONS(2358),
    [anon_sym_TILDE] = ACTIONS(2358),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2358),
    [anon_sym_CARET] = ACTIONS(2358),
    [anon_sym_AMP] = ACTIONS(2358),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2356),
    [anon_sym_typedef] = ACTIONS(2356),
    [anon_sym_extern] = ACTIONS(2356),
    [anon_sym___attribute__] = ACTIONS(2356),
    [anon_sym___attribute] = ACTIONS(2356),
    [anon_sym_noreturn] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2358),
    [anon_sym___declspec] = ACTIONS(2356),
    [anon_sym_LBRACE] = ACTIONS(2358),
    [anon_sym_signed] = ACTIONS(2356),
    [anon_sym_unsigned] = ACTIONS(2356),
    [anon_sym_long] = ACTIONS(2356),
    [anon_sym_short] = ACTIONS(2356),
    [anon_sym_static] = ACTIONS(2356),
    [anon_sym_ATautoreleasepool] = ACTIONS(2358),
    [anon_sym_auto] = ACTIONS(2356),
    [anon_sym_register] = ACTIONS(2356),
    [anon_sym_inline] = ACTIONS(2356),
    [anon_sym___inline] = ACTIONS(2356),
    [anon_sym___inline__] = ACTIONS(2356),
    [anon_sym___forceinline] = ACTIONS(2356),
    [anon_sym_thread_local] = ACTIONS(2356),
    [anon_sym___thread] = ACTIONS(2356),
    [anon_sym_CG_EXTERN] = ACTIONS(2356),
    [anon_sym_CG_INLINE] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2356),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2356),
    [anon_sym_IBOutlet] = ACTIONS(2356),
    [anon_sym_IBInspectable] = ACTIONS(2356),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2356),
    [anon_sym_NS_INLINE] = ACTIONS(2356),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2356),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2356),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2356),
    [anon_sym_const] = ACTIONS(2356),
    [anon_sym_constexpr] = ACTIONS(2356),
    [anon_sym_volatile] = ACTIONS(2356),
    [anon_sym_restrict] = ACTIONS(2356),
    [anon_sym___restrict__] = ACTIONS(2356),
    [anon_sym__Atomic] = ACTIONS(2356),
    [anon_sym__Noreturn] = ACTIONS(2356),
    [anon_sym__Nonnull] = ACTIONS(2356),
    [anon_sym_nullable] = ACTIONS(2356),
    [anon_sym__Complex] = ACTIONS(2356),
    [anon_sym__Nullable] = ACTIONS(2356),
    [anon_sym__Nullable_result] = ACTIONS(2356),
    [anon_sym__Null_unspecified] = ACTIONS(2356),
    [anon_sym___autoreleasing] = ACTIONS(2356),
    [anon_sym___block] = ACTIONS(2356),
    [anon_sym___bridge] = ACTIONS(2356),
    [anon_sym___bridge_retained] = ACTIONS(2356),
    [anon_sym___bridge_transfer] = ACTIONS(2356),
    [anon_sym___complex] = ACTIONS(2356),
    [anon_sym___const] = ACTIONS(2356),
    [anon_sym___imag] = ACTIONS(2356),
    [anon_sym___kindof] = ACTIONS(2356),
    [anon_sym___nonnull] = ACTIONS(2356),
    [anon_sym___nullable] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2356),
    [anon_sym___real] = ACTIONS(2356),
    [anon_sym___strong] = ACTIONS(2356),
    [anon_sym___unsafe_unretained] = ACTIONS(2356),
    [anon_sym___unused] = ACTIONS(2356),
    [anon_sym___weak] = ACTIONS(2356),
    [anon_sym_alignas] = ACTIONS(2356),
    [anon_sym__Alignas] = ACTIONS(2356),
    [sym_primitive_type] = ACTIONS(2356),
    [anon_sym_enum] = ACTIONS(2356),
    [anon_sym_struct] = ACTIONS(2356),
    [anon_sym_union] = ACTIONS(2356),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_else] = ACTIONS(2356),
    [anon_sym_switch] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(2356),
    [anon_sym_for] = ACTIONS(2356),
    [anon_sym_in] = ACTIONS(2356),
    [anon_sym_return] = ACTIONS(2356),
    [anon_sym_break] = ACTIONS(2356),
    [anon_sym_continue] = ACTIONS(2356),
    [anon_sym_goto] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2358),
    [anon_sym_PLUS_PLUS] = ACTIONS(2358),
    [anon_sym_sizeof] = ACTIONS(2356),
    [anon_sym___alignof__] = ACTIONS(2356),
    [anon_sym___alignof] = ACTIONS(2356),
    [anon_sym__alignof] = ACTIONS(2356),
    [anon_sym_alignof] = ACTIONS(2356),
    [anon_sym__Alignof] = ACTIONS(2356),
    [anon_sym_offsetof] = ACTIONS(2356),
    [anon_sym__Generic] = ACTIONS(2356),
    [anon_sym_asm] = ACTIONS(2356),
    [anon_sym___asm__] = ACTIONS(2356),
    [anon_sym___asm] = ACTIONS(2356),
    [sym_number_literal] = ACTIONS(2358),
    [anon_sym_L_SQUOTE] = ACTIONS(2358),
    [anon_sym_u_SQUOTE] = ACTIONS(2358),
    [anon_sym_U_SQUOTE] = ACTIONS(2358),
    [anon_sym_u8_SQUOTE] = ACTIONS(2358),
    [anon_sym_SQUOTE] = ACTIONS(2358),
    [anon_sym_AT] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2358),
    [anon_sym_L_DQUOTE] = ACTIONS(2358),
    [anon_sym_u_DQUOTE] = ACTIONS(2358),
    [anon_sym_U_DQUOTE] = ACTIONS(2358),
    [anon_sym_u8_DQUOTE] = ACTIONS(2358),
    [sym_true] = ACTIONS(2356),
    [sym_false] = ACTIONS(2356),
    [anon_sym_NULL] = ACTIONS(2356),
    [anon_sym_nullptr] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2356),
    [anon_sym___typeof] = ACTIONS(2356),
    [anon_sym_typeof] = ACTIONS(2356),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2356),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2356),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2356),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_API_AVAILABLE] = ACTIONS(2356),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_API_DEPRECATED] = ACTIONS(2356),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym___deprecated_msg] = ACTIONS(2356),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2356),
    [anon_sym_ATtry] = ACTIONS(2358),
    [anon_sym___try] = ACTIONS(2356),
    [anon_sym_ATcatch] = ACTIONS(2358),
    [anon_sym___catch] = ACTIONS(2356),
    [anon_sym_ATfinally] = ACTIONS(2358),
    [anon_sym___finally] = ACTIONS(2356),
    [anon_sym_ATthrow] = ACTIONS(2358),
    [anon_sym_ATselector] = ACTIONS(2358),
    [anon_sym_ATavailable] = ACTIONS(2358),
    [anon_sym___builtin_available] = ACTIONS(2356),
    [anon_sym_va_arg] = ACTIONS(2356),
    [anon_sym_ATencode] = ACTIONS(2358),
    [anon_sym_ATsynchronized] = ACTIONS(2358),
    [anon_sym_BOOL] = ACTIONS(2356),
    [anon_sym_IMP] = ACTIONS(2356),
    [anon_sym_SEL] = ACTIONS(2356),
    [anon_sym_Class] = ACTIONS(2356),
    [anon_sym_id] = ACTIONS(2356),
  },
  [1091] = {
    [sym_identifier] = ACTIONS(2368),
    [anon_sym_LPAREN2] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_CARET] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym___extension__] = ACTIONS(2368),
    [anon_sym_typedef] = ACTIONS(2368),
    [anon_sym_extern] = ACTIONS(2368),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym___attribute] = ACTIONS(2368),
    [anon_sym_noreturn] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym___declspec] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_signed] = ACTIONS(2368),
    [anon_sym_unsigned] = ACTIONS(2368),
    [anon_sym_long] = ACTIONS(2368),
    [anon_sym_short] = ACTIONS(2368),
    [anon_sym_static] = ACTIONS(2368),
    [anon_sym_ATautoreleasepool] = ACTIONS(2370),
    [anon_sym_auto] = ACTIONS(2368),
    [anon_sym_register] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(2368),
    [anon_sym___inline] = ACTIONS(2368),
    [anon_sym___inline__] = ACTIONS(2368),
    [anon_sym___forceinline] = ACTIONS(2368),
    [anon_sym_thread_local] = ACTIONS(2368),
    [anon_sym___thread] = ACTIONS(2368),
    [anon_sym_CG_EXTERN] = ACTIONS(2368),
    [anon_sym_CG_INLINE] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2368),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2368),
    [anon_sym_IBOutlet] = ACTIONS(2368),
    [anon_sym_IBInspectable] = ACTIONS(2368),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2368),
    [anon_sym_NS_INLINE] = ACTIONS(2368),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2368),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2368),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2368),
    [anon_sym_const] = ACTIONS(2368),
    [anon_sym_constexpr] = ACTIONS(2368),
    [anon_sym_volatile] = ACTIONS(2368),
    [anon_sym_restrict] = ACTIONS(2368),
    [anon_sym___restrict__] = ACTIONS(2368),
    [anon_sym__Atomic] = ACTIONS(2368),
    [anon_sym__Noreturn] = ACTIONS(2368),
    [anon_sym__Nonnull] = ACTIONS(2368),
    [anon_sym_nullable] = ACTIONS(2368),
    [anon_sym__Complex] = ACTIONS(2368),
    [anon_sym__Nullable] = ACTIONS(2368),
    [anon_sym__Nullable_result] = ACTIONS(2368),
    [anon_sym__Null_unspecified] = ACTIONS(2368),
    [anon_sym___autoreleasing] = ACTIONS(2368),
    [anon_sym___block] = ACTIONS(2368),
    [anon_sym___bridge] = ACTIONS(2368),
    [anon_sym___bridge_retained] = ACTIONS(2368),
    [anon_sym___bridge_transfer] = ACTIONS(2368),
    [anon_sym___complex] = ACTIONS(2368),
    [anon_sym___const] = ACTIONS(2368),
    [anon_sym___imag] = ACTIONS(2368),
    [anon_sym___kindof] = ACTIONS(2368),
    [anon_sym___nonnull] = ACTIONS(2368),
    [anon_sym___nullable] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2368),
    [anon_sym___real] = ACTIONS(2368),
    [anon_sym___strong] = ACTIONS(2368),
    [anon_sym___unsafe_unretained] = ACTIONS(2368),
    [anon_sym___unused] = ACTIONS(2368),
    [anon_sym___weak] = ACTIONS(2368),
    [anon_sym_alignas] = ACTIONS(2368),
    [anon_sym__Alignas] = ACTIONS(2368),
    [sym_primitive_type] = ACTIONS(2368),
    [anon_sym_enum] = ACTIONS(2368),
    [anon_sym_struct] = ACTIONS(2368),
    [anon_sym_union] = ACTIONS(2368),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_else] = ACTIONS(2368),
    [anon_sym_switch] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_do] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2368),
    [anon_sym_in] = ACTIONS(2368),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_break] = ACTIONS(2368),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_goto] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_sizeof] = ACTIONS(2368),
    [anon_sym___alignof__] = ACTIONS(2368),
    [anon_sym___alignof] = ACTIONS(2368),
    [anon_sym__alignof] = ACTIONS(2368),
    [anon_sym_alignof] = ACTIONS(2368),
    [anon_sym__Alignof] = ACTIONS(2368),
    [anon_sym_offsetof] = ACTIONS(2368),
    [anon_sym__Generic] = ACTIONS(2368),
    [anon_sym_asm] = ACTIONS(2368),
    [anon_sym___asm__] = ACTIONS(2368),
    [anon_sym___asm] = ACTIONS(2368),
    [sym_number_literal] = ACTIONS(2370),
    [anon_sym_L_SQUOTE] = ACTIONS(2370),
    [anon_sym_u_SQUOTE] = ACTIONS(2370),
    [anon_sym_U_SQUOTE] = ACTIONS(2370),
    [anon_sym_u8_SQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2368),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_L_DQUOTE] = ACTIONS(2370),
    [anon_sym_u_DQUOTE] = ACTIONS(2370),
    [anon_sym_U_DQUOTE] = ACTIONS(2370),
    [anon_sym_u8_DQUOTE] = ACTIONS(2370),
    [sym_true] = ACTIONS(2368),
    [sym_false] = ACTIONS(2368),
    [anon_sym_NULL] = ACTIONS(2368),
    [anon_sym_nullptr] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2368),
    [anon_sym___typeof] = ACTIONS(2368),
    [anon_sym_typeof] = ACTIONS(2368),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2368),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2368),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2368),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_API_AVAILABLE] = ACTIONS(2368),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_API_DEPRECATED] = ACTIONS(2368),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym___deprecated_msg] = ACTIONS(2368),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2368),
    [anon_sym_ATtry] = ACTIONS(2370),
    [anon_sym___try] = ACTIONS(2368),
    [anon_sym_ATcatch] = ACTIONS(2370),
    [anon_sym___catch] = ACTIONS(2368),
    [anon_sym_ATfinally] = ACTIONS(2370),
    [anon_sym___finally] = ACTIONS(2368),
    [anon_sym_ATthrow] = ACTIONS(2370),
    [anon_sym_ATselector] = ACTIONS(2370),
    [anon_sym_ATavailable] = ACTIONS(2370),
    [anon_sym___builtin_available] = ACTIONS(2368),
    [anon_sym_va_arg] = ACTIONS(2368),
    [anon_sym_ATencode] = ACTIONS(2370),
    [anon_sym_ATsynchronized] = ACTIONS(2370),
    [anon_sym_BOOL] = ACTIONS(2368),
    [anon_sym_IMP] = ACTIONS(2368),
    [anon_sym_SEL] = ACTIONS(2368),
    [anon_sym_Class] = ACTIONS(2368),
    [anon_sym_id] = ACTIONS(2368),
  },
  [1092] = {
    [sym_identifier] = ACTIONS(2364),
    [anon_sym_LPAREN2] = ACTIONS(2366),
    [anon_sym_BANG] = ACTIONS(2366),
    [anon_sym_TILDE] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2366),
    [anon_sym_CARET] = ACTIONS(2366),
    [anon_sym_AMP] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2366),
    [anon_sym___extension__] = ACTIONS(2364),
    [anon_sym_typedef] = ACTIONS(2364),
    [anon_sym_extern] = ACTIONS(2364),
    [anon_sym___attribute__] = ACTIONS(2364),
    [anon_sym___attribute] = ACTIONS(2364),
    [anon_sym_noreturn] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2366),
    [anon_sym___declspec] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2366),
    [anon_sym_signed] = ACTIONS(2364),
    [anon_sym_unsigned] = ACTIONS(2364),
    [anon_sym_long] = ACTIONS(2364),
    [anon_sym_short] = ACTIONS(2364),
    [anon_sym_static] = ACTIONS(2364),
    [anon_sym_ATautoreleasepool] = ACTIONS(2366),
    [anon_sym_auto] = ACTIONS(2364),
    [anon_sym_register] = ACTIONS(2364),
    [anon_sym_inline] = ACTIONS(2364),
    [anon_sym___inline] = ACTIONS(2364),
    [anon_sym___inline__] = ACTIONS(2364),
    [anon_sym___forceinline] = ACTIONS(2364),
    [anon_sym_thread_local] = ACTIONS(2364),
    [anon_sym___thread] = ACTIONS(2364),
    [anon_sym_CG_EXTERN] = ACTIONS(2364),
    [anon_sym_CG_INLINE] = ACTIONS(2364),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2364),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2364),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2364),
    [anon_sym_IBOutlet] = ACTIONS(2364),
    [anon_sym_IBInspectable] = ACTIONS(2364),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2364),
    [anon_sym_NS_INLINE] = ACTIONS(2364),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2364),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2364),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2364),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2364),
    [anon_sym_const] = ACTIONS(2364),
    [anon_sym_constexpr] = ACTIONS(2364),
    [anon_sym_volatile] = ACTIONS(2364),
    [anon_sym_restrict] = ACTIONS(2364),
    [anon_sym___restrict__] = ACTIONS(2364),
    [anon_sym__Atomic] = ACTIONS(2364),
    [anon_sym__Noreturn] = ACTIONS(2364),
    [anon_sym__Nonnull] = ACTIONS(2364),
    [anon_sym_nullable] = ACTIONS(2364),
    [anon_sym__Complex] = ACTIONS(2364),
    [anon_sym__Nullable] = ACTIONS(2364),
    [anon_sym__Nullable_result] = ACTIONS(2364),
    [anon_sym__Null_unspecified] = ACTIONS(2364),
    [anon_sym___autoreleasing] = ACTIONS(2364),
    [anon_sym___block] = ACTIONS(2364),
    [anon_sym___bridge] = ACTIONS(2364),
    [anon_sym___bridge_retained] = ACTIONS(2364),
    [anon_sym___bridge_transfer] = ACTIONS(2364),
    [anon_sym___complex] = ACTIONS(2364),
    [anon_sym___const] = ACTIONS(2364),
    [anon_sym___imag] = ACTIONS(2364),
    [anon_sym___kindof] = ACTIONS(2364),
    [anon_sym___nonnull] = ACTIONS(2364),
    [anon_sym___nullable] = ACTIONS(2364),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2364),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2364),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2364),
    [anon_sym___real] = ACTIONS(2364),
    [anon_sym___strong] = ACTIONS(2364),
    [anon_sym___unsafe_unretained] = ACTIONS(2364),
    [anon_sym___unused] = ACTIONS(2364),
    [anon_sym___weak] = ACTIONS(2364),
    [anon_sym_alignas] = ACTIONS(2364),
    [anon_sym__Alignas] = ACTIONS(2364),
    [sym_primitive_type] = ACTIONS(2364),
    [anon_sym_enum] = ACTIONS(2364),
    [anon_sym_struct] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_else] = ACTIONS(2364),
    [anon_sym_switch] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_in] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2366),
    [anon_sym_PLUS_PLUS] = ACTIONS(2366),
    [anon_sym_sizeof] = ACTIONS(2364),
    [anon_sym___alignof__] = ACTIONS(2364),
    [anon_sym___alignof] = ACTIONS(2364),
    [anon_sym__alignof] = ACTIONS(2364),
    [anon_sym_alignof] = ACTIONS(2364),
    [anon_sym__Alignof] = ACTIONS(2364),
    [anon_sym_offsetof] = ACTIONS(2364),
    [anon_sym__Generic] = ACTIONS(2364),
    [anon_sym_asm] = ACTIONS(2364),
    [anon_sym___asm__] = ACTIONS(2364),
    [anon_sym___asm] = ACTIONS(2364),
    [sym_number_literal] = ACTIONS(2366),
    [anon_sym_L_SQUOTE] = ACTIONS(2366),
    [anon_sym_u_SQUOTE] = ACTIONS(2366),
    [anon_sym_U_SQUOTE] = ACTIONS(2366),
    [anon_sym_u8_SQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE] = ACTIONS(2366),
    [anon_sym_AT] = ACTIONS(2364),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [anon_sym_L_DQUOTE] = ACTIONS(2366),
    [anon_sym_u_DQUOTE] = ACTIONS(2366),
    [anon_sym_U_DQUOTE] = ACTIONS(2366),
    [anon_sym_u8_DQUOTE] = ACTIONS(2366),
    [sym_true] = ACTIONS(2364),
    [sym_false] = ACTIONS(2364),
    [anon_sym_NULL] = ACTIONS(2364),
    [anon_sym_nullptr] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2364),
    [anon_sym___typeof] = ACTIONS(2364),
    [anon_sym_typeof] = ACTIONS(2364),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2364),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2364),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2364),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2364),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2364),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2364),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2364),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2364),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2364),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_API_AVAILABLE] = ACTIONS(2364),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_API_DEPRECATED] = ACTIONS(2364),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2364),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2364),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2364),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2364),
    [anon_sym___deprecated_msg] = ACTIONS(2364),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2364),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2364),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2364),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2364),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2364),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2364),
    [anon_sym_ATtry] = ACTIONS(2366),
    [anon_sym___try] = ACTIONS(2364),
    [anon_sym_ATcatch] = ACTIONS(2366),
    [anon_sym___catch] = ACTIONS(2364),
    [anon_sym_ATfinally] = ACTIONS(2366),
    [anon_sym___finally] = ACTIONS(2364),
    [anon_sym_ATthrow] = ACTIONS(2366),
    [anon_sym_ATselector] = ACTIONS(2366),
    [anon_sym_ATavailable] = ACTIONS(2366),
    [anon_sym___builtin_available] = ACTIONS(2364),
    [anon_sym_va_arg] = ACTIONS(2364),
    [anon_sym_ATencode] = ACTIONS(2366),
    [anon_sym_ATsynchronized] = ACTIONS(2366),
    [anon_sym_BOOL] = ACTIONS(2364),
    [anon_sym_IMP] = ACTIONS(2364),
    [anon_sym_SEL] = ACTIONS(2364),
    [anon_sym_Class] = ACTIONS(2364),
    [anon_sym_id] = ACTIONS(2364),
  },
  [1093] = {
    [sym_identifier] = ACTIONS(2988),
    [anon_sym_LPAREN2] = ACTIONS(2991),
    [anon_sym_BANG] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_CARET] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2988),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym___attribute] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2997),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_ATautoreleasepool] = ACTIONS(2991),
    [anon_sym_auto] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_CG_EXTERN] = ACTIONS(2995),
    [anon_sym_CG_INLINE] = ACTIONS(2995),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2995),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2995),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2995),
    [anon_sym_IBOutlet] = ACTIONS(2995),
    [anon_sym_IBInspectable] = ACTIONS(2995),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2995),
    [anon_sym_NS_INLINE] = ACTIONS(2995),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2995),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2995),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2995),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2988),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym__Nonnull] = ACTIONS(2995),
    [anon_sym_nullable] = ACTIONS(2995),
    [anon_sym__Complex] = ACTIONS(2995),
    [anon_sym__Nullable] = ACTIONS(2995),
    [anon_sym__Nullable_result] = ACTIONS(2995),
    [anon_sym__Null_unspecified] = ACTIONS(2995),
    [anon_sym___autoreleasing] = ACTIONS(2995),
    [anon_sym___block] = ACTIONS(2995),
    [anon_sym___bridge] = ACTIONS(2995),
    [anon_sym___bridge_retained] = ACTIONS(2995),
    [anon_sym___bridge_transfer] = ACTIONS(2995),
    [anon_sym___complex] = ACTIONS(2995),
    [anon_sym___const] = ACTIONS(2995),
    [anon_sym___imag] = ACTIONS(2988),
    [anon_sym___kindof] = ACTIONS(2995),
    [anon_sym___nonnull] = ACTIONS(2995),
    [anon_sym___nullable] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2995),
    [anon_sym___real] = ACTIONS(2988),
    [anon_sym___strong] = ACTIONS(2995),
    [anon_sym___unsafe_unretained] = ACTIONS(2995),
    [anon_sym___unused] = ACTIONS(2995),
    [anon_sym___weak] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym__Alignas] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2988),
    [anon_sym_union] = ACTIONS(2995),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2993),
    [anon_sym_case] = ACTIONS(2993),
    [anon_sym_default] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_do] = ACTIONS(2993),
    [anon_sym_for] = ACTIONS(2993),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_break] = ACTIONS(2993),
    [anon_sym_continue] = ACTIONS(2993),
    [anon_sym_goto] = ACTIONS(2993),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_sizeof] = ACTIONS(2993),
    [anon_sym___alignof__] = ACTIONS(2993),
    [anon_sym___alignof] = ACTIONS(2993),
    [anon_sym__alignof] = ACTIONS(2993),
    [anon_sym_alignof] = ACTIONS(2993),
    [anon_sym__Alignof] = ACTIONS(2993),
    [anon_sym_offsetof] = ACTIONS(2993),
    [anon_sym__Generic] = ACTIONS(2993),
    [anon_sym_asm] = ACTIONS(2993),
    [anon_sym___asm__] = ACTIONS(2993),
    [anon_sym___asm] = ACTIONS(2993),
    [sym_number_literal] = ACTIONS(2991),
    [anon_sym_L_SQUOTE] = ACTIONS(2991),
    [anon_sym_u_SQUOTE] = ACTIONS(2991),
    [anon_sym_U_SQUOTE] = ACTIONS(2991),
    [anon_sym_u8_SQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [anon_sym_AT] = ACTIONS(2993),
    [anon_sym_DQUOTE] = ACTIONS(2991),
    [anon_sym_L_DQUOTE] = ACTIONS(2991),
    [anon_sym_u_DQUOTE] = ACTIONS(2991),
    [anon_sym_U_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8_DQUOTE] = ACTIONS(2991),
    [sym_true] = ACTIONS(2993),
    [sym_false] = ACTIONS(2993),
    [anon_sym_NULL] = ACTIONS(2993),
    [anon_sym_nullptr] = ACTIONS(2993),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2995),
    [anon_sym___typeof] = ACTIONS(2995),
    [anon_sym_typeof] = ACTIONS(2995),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2995),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2995),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2995),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2995),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2995),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2995),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2995),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_API_AVAILABLE] = ACTIONS(2995),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_API_DEPRECATED] = ACTIONS(2995),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2995),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym___deprecated_msg] = ACTIONS(2995),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2995),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2995),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2995),
    [anon_sym_ATprotocol] = ACTIONS(3000),
    [anon_sym_ATinterface] = ACTIONS(3000),
    [anon_sym_ATimplementation] = ACTIONS(3000),
    [anon_sym_ATtry] = ACTIONS(2991),
    [anon_sym___try] = ACTIONS(2993),
    [anon_sym_ATthrow] = ACTIONS(2991),
    [anon_sym_ATselector] = ACTIONS(2991),
    [anon_sym_ATavailable] = ACTIONS(2991),
    [anon_sym___builtin_available] = ACTIONS(2993),
    [anon_sym_va_arg] = ACTIONS(2993),
    [anon_sym_ATencode] = ACTIONS(2991),
    [anon_sym_ATsynchronized] = ACTIONS(2991),
    [anon_sym_BOOL] = ACTIONS(2995),
    [anon_sym_IMP] = ACTIONS(2995),
    [anon_sym_SEL] = ACTIONS(2995),
    [anon_sym_Class] = ACTIONS(2995),
    [anon_sym_id] = ACTIONS(2988),
  },
  [1094] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym__type_params] = STATE(1191),
    [sym__class_implementation_inheritance] = STATE(1213),
    [sym_parameterized_arguments] = STATE(1191),
    [sym_generic_arguments] = STATE(1992),
    [sym_instance_variables] = STATE(1310),
    [sym_implementation_definition] = STATE(1320),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1320),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3012),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(3026),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3032),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1095] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym__type_params] = STATE(1193),
    [sym__class_implementation_inheritance] = STATE(1208),
    [sym_parameterized_arguments] = STATE(1193),
    [sym_generic_arguments] = STATE(1992),
    [sym_instance_variables] = STATE(1322),
    [sym_implementation_definition] = STATE(1323),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1323),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3012),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(3026),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3038),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1096] = {
    [sym_else_clause] = STATE(1153),
    [sym_identifier] = ACTIONS(2402),
    [anon_sym_LPAREN2] = ACTIONS(2404),
    [anon_sym_BANG] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_DASH] = ACTIONS(2402),
    [anon_sym_PLUS] = ACTIONS(2402),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_CARET] = ACTIONS(2404),
    [anon_sym_AMP] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(2404),
    [anon_sym___extension__] = ACTIONS(2402),
    [anon_sym_typedef] = ACTIONS(2402),
    [anon_sym_extern] = ACTIONS(2402),
    [anon_sym___attribute__] = ACTIONS(2402),
    [anon_sym___attribute] = ACTIONS(2402),
    [anon_sym_noreturn] = ACTIONS(2402),
    [anon_sym_LBRACK] = ACTIONS(2404),
    [anon_sym___declspec] = ACTIONS(2402),
    [anon_sym_LBRACE] = ACTIONS(2404),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_ATautoreleasepool] = ACTIONS(2404),
    [anon_sym_auto] = ACTIONS(2402),
    [anon_sym_register] = ACTIONS(2402),
    [anon_sym_inline] = ACTIONS(2402),
    [anon_sym___inline] = ACTIONS(2402),
    [anon_sym___inline__] = ACTIONS(2402),
    [anon_sym___forceinline] = ACTIONS(2402),
    [anon_sym_thread_local] = ACTIONS(2402),
    [anon_sym___thread] = ACTIONS(2402),
    [anon_sym_CG_EXTERN] = ACTIONS(2402),
    [anon_sym_CG_INLINE] = ACTIONS(2402),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2402),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2402),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2402),
    [anon_sym_IBOutlet] = ACTIONS(2402),
    [anon_sym_IBInspectable] = ACTIONS(2402),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2402),
    [anon_sym_NS_INLINE] = ACTIONS(2402),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2402),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2402),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2402),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_constexpr] = ACTIONS(2402),
    [anon_sym_volatile] = ACTIONS(2402),
    [anon_sym_restrict] = ACTIONS(2402),
    [anon_sym___restrict__] = ACTIONS(2402),
    [anon_sym__Atomic] = ACTIONS(2402),
    [anon_sym__Noreturn] = ACTIONS(2402),
    [anon_sym__Nonnull] = ACTIONS(2402),
    [anon_sym_nullable] = ACTIONS(2402),
    [anon_sym__Complex] = ACTIONS(2402),
    [anon_sym__Nullable] = ACTIONS(2402),
    [anon_sym__Nullable_result] = ACTIONS(2402),
    [anon_sym__Null_unspecified] = ACTIONS(2402),
    [anon_sym___autoreleasing] = ACTIONS(2402),
    [anon_sym___block] = ACTIONS(2402),
    [anon_sym___bridge] = ACTIONS(2402),
    [anon_sym___bridge_retained] = ACTIONS(2402),
    [anon_sym___bridge_transfer] = ACTIONS(2402),
    [anon_sym___complex] = ACTIONS(2402),
    [anon_sym___const] = ACTIONS(2402),
    [anon_sym___imag] = ACTIONS(2402),
    [anon_sym___kindof] = ACTIONS(2402),
    [anon_sym___nonnull] = ACTIONS(2402),
    [anon_sym___nullable] = ACTIONS(2402),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2402),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2402),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2402),
    [anon_sym___real] = ACTIONS(2402),
    [anon_sym___strong] = ACTIONS(2402),
    [anon_sym___unsafe_unretained] = ACTIONS(2402),
    [anon_sym___unused] = ACTIONS(2402),
    [anon_sym___weak] = ACTIONS(2402),
    [anon_sym_alignas] = ACTIONS(2402),
    [anon_sym__Alignas] = ACTIONS(2402),
    [sym_primitive_type] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [anon_sym_struct] = ACTIONS(2402),
    [anon_sym_union] = ACTIONS(2402),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_else] = ACTIONS(3040),
    [anon_sym_switch] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2402),
    [anon_sym_do] = ACTIONS(2402),
    [anon_sym_for] = ACTIONS(2402),
    [anon_sym_in] = ACTIONS(2402),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_break] = ACTIONS(2402),
    [anon_sym_continue] = ACTIONS(2402),
    [anon_sym_goto] = ACTIONS(2402),
    [anon_sym_DASH_DASH] = ACTIONS(2404),
    [anon_sym_PLUS_PLUS] = ACTIONS(2404),
    [anon_sym_sizeof] = ACTIONS(2402),
    [anon_sym___alignof__] = ACTIONS(2402),
    [anon_sym___alignof] = ACTIONS(2402),
    [anon_sym__alignof] = ACTIONS(2402),
    [anon_sym_alignof] = ACTIONS(2402),
    [anon_sym__Alignof] = ACTIONS(2402),
    [anon_sym_offsetof] = ACTIONS(2402),
    [anon_sym__Generic] = ACTIONS(2402),
    [anon_sym_asm] = ACTIONS(2402),
    [anon_sym___asm__] = ACTIONS(2402),
    [anon_sym___asm] = ACTIONS(2402),
    [sym_number_literal] = ACTIONS(2404),
    [anon_sym_L_SQUOTE] = ACTIONS(2404),
    [anon_sym_u_SQUOTE] = ACTIONS(2404),
    [anon_sym_U_SQUOTE] = ACTIONS(2404),
    [anon_sym_u8_SQUOTE] = ACTIONS(2404),
    [anon_sym_SQUOTE] = ACTIONS(2404),
    [anon_sym_AT] = ACTIONS(2402),
    [anon_sym_DQUOTE] = ACTIONS(2404),
    [anon_sym_L_DQUOTE] = ACTIONS(2404),
    [anon_sym_u_DQUOTE] = ACTIONS(2404),
    [anon_sym_U_DQUOTE] = ACTIONS(2404),
    [anon_sym_u8_DQUOTE] = ACTIONS(2404),
    [sym_true] = ACTIONS(2402),
    [sym_false] = ACTIONS(2402),
    [anon_sym_NULL] = ACTIONS(2402),
    [anon_sym_nullptr] = ACTIONS(2402),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2402),
    [anon_sym___typeof] = ACTIONS(2402),
    [anon_sym_typeof] = ACTIONS(2402),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2402),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2402),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2402),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2402),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2402),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2402),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2402),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2402),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2402),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_API_AVAILABLE] = ACTIONS(2402),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_API_DEPRECATED] = ACTIONS(2402),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2402),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2402),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2402),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2402),
    [anon_sym___deprecated_msg] = ACTIONS(2402),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2402),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2402),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2402),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2402),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2402),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2402),
    [anon_sym_ATtry] = ACTIONS(2404),
    [anon_sym___try] = ACTIONS(2402),
    [anon_sym_ATthrow] = ACTIONS(2404),
    [anon_sym_ATselector] = ACTIONS(2404),
    [anon_sym_ATavailable] = ACTIONS(2404),
    [anon_sym___builtin_available] = ACTIONS(2402),
    [anon_sym_va_arg] = ACTIONS(2402),
    [anon_sym_ATencode] = ACTIONS(2404),
    [anon_sym_ATsynchronized] = ACTIONS(2404),
    [anon_sym_BOOL] = ACTIONS(2402),
    [anon_sym_IMP] = ACTIONS(2402),
    [anon_sym_SEL] = ACTIONS(2402),
    [anon_sym_Class] = ACTIONS(2402),
    [anon_sym_id] = ACTIONS(2402),
  },
  [1097] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym__type_params] = STATE(1190),
    [sym__class_implementation_inheritance] = STATE(1209),
    [sym_parameterized_arguments] = STATE(1190),
    [sym_generic_arguments] = STATE(1992),
    [sym_instance_variables] = STATE(1281),
    [sym_implementation_definition] = STATE(1300),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1300),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3012),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(3026),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3042),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1098] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym__type_params] = STATE(1192),
    [sym__class_implementation_inheritance] = STATE(1211),
    [sym_parameterized_arguments] = STATE(1192),
    [sym_generic_arguments] = STATE(1992),
    [sym_instance_variables] = STATE(1291),
    [sym_implementation_definition] = STATE(1293),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1293),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3012),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(3026),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3044),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1099] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym__type_params] = STATE(1189),
    [sym__class_implementation_inheritance] = STATE(1218),
    [sym_parameterized_arguments] = STATE(1189),
    [sym_generic_arguments] = STATE(1992),
    [sym_instance_variables] = STATE(1303),
    [sym_implementation_definition] = STATE(1304),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1304),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3012),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(3026),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3046),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1100] = {
    [sym_identifier] = ACTIONS(2424),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_CARET] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym___extension__] = ACTIONS(2424),
    [anon_sym_typedef] = ACTIONS(2424),
    [anon_sym_extern] = ACTIONS(2424),
    [anon_sym___attribute__] = ACTIONS(2424),
    [anon_sym___attribute] = ACTIONS(2424),
    [anon_sym_noreturn] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym___declspec] = ACTIONS(2424),
    [anon_sym_LBRACE] = ACTIONS(2426),
    [anon_sym_signed] = ACTIONS(2424),
    [anon_sym_unsigned] = ACTIONS(2424),
    [anon_sym_long] = ACTIONS(2424),
    [anon_sym_short] = ACTIONS(2424),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_ATautoreleasepool] = ACTIONS(2426),
    [anon_sym_auto] = ACTIONS(2424),
    [anon_sym_register] = ACTIONS(2424),
    [anon_sym_inline] = ACTIONS(2424),
    [anon_sym___inline] = ACTIONS(2424),
    [anon_sym___inline__] = ACTIONS(2424),
    [anon_sym___forceinline] = ACTIONS(2424),
    [anon_sym_thread_local] = ACTIONS(2424),
    [anon_sym___thread] = ACTIONS(2424),
    [anon_sym_CG_EXTERN] = ACTIONS(2424),
    [anon_sym_CG_INLINE] = ACTIONS(2424),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2424),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2424),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2424),
    [anon_sym_IBOutlet] = ACTIONS(2424),
    [anon_sym_IBInspectable] = ACTIONS(2424),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2424),
    [anon_sym_NS_INLINE] = ACTIONS(2424),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2424),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2424),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2424),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2424),
    [anon_sym_const] = ACTIONS(2424),
    [anon_sym_constexpr] = ACTIONS(2424),
    [anon_sym_volatile] = ACTIONS(2424),
    [anon_sym_restrict] = ACTIONS(2424),
    [anon_sym___restrict__] = ACTIONS(2424),
    [anon_sym__Atomic] = ACTIONS(2424),
    [anon_sym__Noreturn] = ACTIONS(2424),
    [anon_sym__Nonnull] = ACTIONS(2424),
    [anon_sym_nullable] = ACTIONS(2424),
    [anon_sym__Complex] = ACTIONS(2424),
    [anon_sym__Nullable] = ACTIONS(2424),
    [anon_sym__Nullable_result] = ACTIONS(2424),
    [anon_sym__Null_unspecified] = ACTIONS(2424),
    [anon_sym___autoreleasing] = ACTIONS(2424),
    [anon_sym___block] = ACTIONS(2424),
    [anon_sym___bridge] = ACTIONS(2424),
    [anon_sym___bridge_retained] = ACTIONS(2424),
    [anon_sym___bridge_transfer] = ACTIONS(2424),
    [anon_sym___complex] = ACTIONS(2424),
    [anon_sym___const] = ACTIONS(2424),
    [anon_sym___imag] = ACTIONS(2424),
    [anon_sym___kindof] = ACTIONS(2424),
    [anon_sym___nonnull] = ACTIONS(2424),
    [anon_sym___nullable] = ACTIONS(2424),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2424),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2424),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2424),
    [anon_sym___real] = ACTIONS(2424),
    [anon_sym___strong] = ACTIONS(2424),
    [anon_sym___unsafe_unretained] = ACTIONS(2424),
    [anon_sym___unused] = ACTIONS(2424),
    [anon_sym___weak] = ACTIONS(2424),
    [anon_sym_alignas] = ACTIONS(2424),
    [anon_sym__Alignas] = ACTIONS(2424),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_enum] = ACTIONS(2424),
    [anon_sym_struct] = ACTIONS(2424),
    [anon_sym_union] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_else] = ACTIONS(2424),
    [anon_sym_switch] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_in] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_break] = ACTIONS(2424),
    [anon_sym_continue] = ACTIONS(2424),
    [anon_sym_goto] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2426),
    [anon_sym_sizeof] = ACTIONS(2424),
    [anon_sym___alignof__] = ACTIONS(2424),
    [anon_sym___alignof] = ACTIONS(2424),
    [anon_sym__alignof] = ACTIONS(2424),
    [anon_sym_alignof] = ACTIONS(2424),
    [anon_sym__Alignof] = ACTIONS(2424),
    [anon_sym_offsetof] = ACTIONS(2424),
    [anon_sym__Generic] = ACTIONS(2424),
    [anon_sym_asm] = ACTIONS(2424),
    [anon_sym___asm__] = ACTIONS(2424),
    [anon_sym___asm] = ACTIONS(2424),
    [sym_number_literal] = ACTIONS(2426),
    [anon_sym_L_SQUOTE] = ACTIONS(2426),
    [anon_sym_u_SQUOTE] = ACTIONS(2426),
    [anon_sym_U_SQUOTE] = ACTIONS(2426),
    [anon_sym_u8_SQUOTE] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_AT] = ACTIONS(2424),
    [anon_sym_DQUOTE] = ACTIONS(2426),
    [anon_sym_L_DQUOTE] = ACTIONS(2426),
    [anon_sym_u_DQUOTE] = ACTIONS(2426),
    [anon_sym_U_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8_DQUOTE] = ACTIONS(2426),
    [sym_true] = ACTIONS(2424),
    [sym_false] = ACTIONS(2424),
    [anon_sym_NULL] = ACTIONS(2424),
    [anon_sym_nullptr] = ACTIONS(2424),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2424),
    [anon_sym___typeof] = ACTIONS(2424),
    [anon_sym_typeof] = ACTIONS(2424),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2424),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2424),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2424),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2424),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2424),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2424),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2424),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2424),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2424),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_API_AVAILABLE] = ACTIONS(2424),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_API_DEPRECATED] = ACTIONS(2424),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2424),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2424),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2424),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2424),
    [anon_sym___deprecated_msg] = ACTIONS(2424),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2424),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2424),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2424),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2424),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2424),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2424),
    [anon_sym_ATtry] = ACTIONS(2426),
    [anon_sym___try] = ACTIONS(2424),
    [anon_sym_ATthrow] = ACTIONS(2426),
    [anon_sym_ATselector] = ACTIONS(2426),
    [anon_sym_ATavailable] = ACTIONS(2426),
    [anon_sym___builtin_available] = ACTIONS(2424),
    [anon_sym_va_arg] = ACTIONS(2424),
    [anon_sym_ATencode] = ACTIONS(2426),
    [anon_sym_ATsynchronized] = ACTIONS(2426),
    [anon_sym_BOOL] = ACTIONS(2424),
    [anon_sym_IMP] = ACTIONS(2424),
    [anon_sym_SEL] = ACTIONS(2424),
    [anon_sym_Class] = ACTIONS(2424),
    [anon_sym_id] = ACTIONS(2424),
  },
  [1101] = {
    [sym_identifier] = ACTIONS(2548),
    [anon_sym_LPAREN2] = ACTIONS(2550),
    [anon_sym_BANG] = ACTIONS(2550),
    [anon_sym_TILDE] = ACTIONS(2550),
    [anon_sym_DASH] = ACTIONS(2548),
    [anon_sym_PLUS] = ACTIONS(2548),
    [anon_sym_STAR] = ACTIONS(2550),
    [anon_sym_CARET] = ACTIONS(2550),
    [anon_sym_AMP] = ACTIONS(2550),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_typedef] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym___attribute] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [anon_sym_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym_LBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_ATautoreleasepool] = ACTIONS(2550),
    [anon_sym_auto] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_CG_EXTERN] = ACTIONS(2548),
    [anon_sym_CG_INLINE] = ACTIONS(2548),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2548),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2548),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2548),
    [anon_sym_IBOutlet] = ACTIONS(2548),
    [anon_sym_IBInspectable] = ACTIONS(2548),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2548),
    [anon_sym_NS_INLINE] = ACTIONS(2548),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2548),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2548),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2548),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym__Nonnull] = ACTIONS(2548),
    [anon_sym_nullable] = ACTIONS(2548),
    [anon_sym__Complex] = ACTIONS(2548),
    [anon_sym__Nullable] = ACTIONS(2548),
    [anon_sym__Nullable_result] = ACTIONS(2548),
    [anon_sym__Null_unspecified] = ACTIONS(2548),
    [anon_sym___autoreleasing] = ACTIONS(2548),
    [anon_sym___block] = ACTIONS(2548),
    [anon_sym___bridge] = ACTIONS(2548),
    [anon_sym___bridge_retained] = ACTIONS(2548),
    [anon_sym___bridge_transfer] = ACTIONS(2548),
    [anon_sym___complex] = ACTIONS(2548),
    [anon_sym___const] = ACTIONS(2548),
    [anon_sym___imag] = ACTIONS(2548),
    [anon_sym___kindof] = ACTIONS(2548),
    [anon_sym___nonnull] = ACTIONS(2548),
    [anon_sym___nullable] = ACTIONS(2548),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2548),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2548),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2548),
    [anon_sym___real] = ACTIONS(2548),
    [anon_sym___strong] = ACTIONS(2548),
    [anon_sym___unsafe_unretained] = ACTIONS(2548),
    [anon_sym___unused] = ACTIONS(2548),
    [anon_sym___weak] = ACTIONS(2548),
    [anon_sym_alignas] = ACTIONS(2548),
    [anon_sym__Alignas] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [anon_sym_if] = ACTIONS(2548),
    [anon_sym_else] = ACTIONS(2548),
    [anon_sym_switch] = ACTIONS(2548),
    [anon_sym_while] = ACTIONS(2548),
    [anon_sym_do] = ACTIONS(2548),
    [anon_sym_for] = ACTIONS(2548),
    [anon_sym_in] = ACTIONS(2548),
    [anon_sym_return] = ACTIONS(2548),
    [anon_sym_break] = ACTIONS(2548),
    [anon_sym_continue] = ACTIONS(2548),
    [anon_sym_goto] = ACTIONS(2548),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_sizeof] = ACTIONS(2548),
    [anon_sym___alignof__] = ACTIONS(2548),
    [anon_sym___alignof] = ACTIONS(2548),
    [anon_sym__alignof] = ACTIONS(2548),
    [anon_sym_alignof] = ACTIONS(2548),
    [anon_sym__Alignof] = ACTIONS(2548),
    [anon_sym_offsetof] = ACTIONS(2548),
    [anon_sym__Generic] = ACTIONS(2548),
    [anon_sym_asm] = ACTIONS(2548),
    [anon_sym___asm__] = ACTIONS(2548),
    [anon_sym___asm] = ACTIONS(2548),
    [sym_number_literal] = ACTIONS(2550),
    [anon_sym_L_SQUOTE] = ACTIONS(2550),
    [anon_sym_u_SQUOTE] = ACTIONS(2550),
    [anon_sym_U_SQUOTE] = ACTIONS(2550),
    [anon_sym_u8_SQUOTE] = ACTIONS(2550),
    [anon_sym_SQUOTE] = ACTIONS(2550),
    [anon_sym_AT] = ACTIONS(2548),
    [anon_sym_DQUOTE] = ACTIONS(2550),
    [anon_sym_L_DQUOTE] = ACTIONS(2550),
    [anon_sym_u_DQUOTE] = ACTIONS(2550),
    [anon_sym_U_DQUOTE] = ACTIONS(2550),
    [anon_sym_u8_DQUOTE] = ACTIONS(2550),
    [sym_true] = ACTIONS(2548),
    [sym_false] = ACTIONS(2548),
    [anon_sym_NULL] = ACTIONS(2548),
    [anon_sym_nullptr] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2548),
    [anon_sym___typeof] = ACTIONS(2548),
    [anon_sym_typeof] = ACTIONS(2548),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2548),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2548),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2548),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2548),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2548),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2548),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2548),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2548),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2548),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_API_AVAILABLE] = ACTIONS(2548),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_API_DEPRECATED] = ACTIONS(2548),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2548),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2548),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2548),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2548),
    [anon_sym___deprecated_msg] = ACTIONS(2548),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2548),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2548),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2548),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2548),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2548),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2548),
    [anon_sym_ATtry] = ACTIONS(2550),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym_ATthrow] = ACTIONS(2550),
    [anon_sym_ATselector] = ACTIONS(2550),
    [anon_sym_ATavailable] = ACTIONS(2550),
    [anon_sym___builtin_available] = ACTIONS(2548),
    [anon_sym_va_arg] = ACTIONS(2548),
    [anon_sym_ATencode] = ACTIONS(2550),
    [anon_sym_ATsynchronized] = ACTIONS(2550),
    [anon_sym_BOOL] = ACTIONS(2548),
    [anon_sym_IMP] = ACTIONS(2548),
    [anon_sym_SEL] = ACTIONS(2548),
    [anon_sym_Class] = ACTIONS(2548),
    [anon_sym_id] = ACTIONS(2548),
  },
  [1102] = {
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_CARET] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_ATautoreleasepool] = ACTIONS(2462),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_else] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [anon_sym___asm] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_AT] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATtry] = ACTIONS(2462),
    [anon_sym___try] = ACTIONS(2460),
    [anon_sym_ATthrow] = ACTIONS(2462),
    [anon_sym_ATselector] = ACTIONS(2462),
    [anon_sym_ATavailable] = ACTIONS(2462),
    [anon_sym___builtin_available] = ACTIONS(2460),
    [anon_sym_va_arg] = ACTIONS(2460),
    [anon_sym_ATencode] = ACTIONS(2462),
    [anon_sym_ATsynchronized] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [1103] = {
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_CARET] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_ATautoreleasepool] = ACTIONS(2462),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_else] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [anon_sym___asm] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_AT] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATtry] = ACTIONS(2462),
    [anon_sym___try] = ACTIONS(2460),
    [anon_sym_ATthrow] = ACTIONS(2462),
    [anon_sym_ATselector] = ACTIONS(2462),
    [anon_sym_ATavailable] = ACTIONS(2462),
    [anon_sym___builtin_available] = ACTIONS(2460),
    [anon_sym_va_arg] = ACTIONS(2460),
    [anon_sym_ATencode] = ACTIONS(2462),
    [anon_sym_ATsynchronized] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [1104] = {
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_LPAREN2] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_TILDE] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2460),
    [anon_sym_PLUS] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_CARET] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_ATautoreleasepool] = ACTIONS(2462),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_else] = ACTIONS(2460),
    [anon_sym_switch] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_do] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_in] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_goto] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2462),
    [anon_sym_PLUS_PLUS] = ACTIONS(2462),
    [anon_sym_sizeof] = ACTIONS(2460),
    [anon_sym___alignof__] = ACTIONS(2460),
    [anon_sym___alignof] = ACTIONS(2460),
    [anon_sym__alignof] = ACTIONS(2460),
    [anon_sym_alignof] = ACTIONS(2460),
    [anon_sym__Alignof] = ACTIONS(2460),
    [anon_sym_offsetof] = ACTIONS(2460),
    [anon_sym__Generic] = ACTIONS(2460),
    [anon_sym_asm] = ACTIONS(2460),
    [anon_sym___asm__] = ACTIONS(2460),
    [anon_sym___asm] = ACTIONS(2460),
    [sym_number_literal] = ACTIONS(2462),
    [anon_sym_L_SQUOTE] = ACTIONS(2462),
    [anon_sym_u_SQUOTE] = ACTIONS(2462),
    [anon_sym_U_SQUOTE] = ACTIONS(2462),
    [anon_sym_u8_SQUOTE] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2462),
    [anon_sym_AT] = ACTIONS(2460),
    [anon_sym_DQUOTE] = ACTIONS(2462),
    [anon_sym_L_DQUOTE] = ACTIONS(2462),
    [anon_sym_u_DQUOTE] = ACTIONS(2462),
    [anon_sym_U_DQUOTE] = ACTIONS(2462),
    [anon_sym_u8_DQUOTE] = ACTIONS(2462),
    [sym_true] = ACTIONS(2460),
    [sym_false] = ACTIONS(2460),
    [anon_sym_NULL] = ACTIONS(2460),
    [anon_sym_nullptr] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATtry] = ACTIONS(2462),
    [anon_sym___try] = ACTIONS(2460),
    [anon_sym_ATthrow] = ACTIONS(2462),
    [anon_sym_ATselector] = ACTIONS(2462),
    [anon_sym_ATavailable] = ACTIONS(2462),
    [anon_sym___builtin_available] = ACTIONS(2460),
    [anon_sym_va_arg] = ACTIONS(2460),
    [anon_sym_ATencode] = ACTIONS(2462),
    [anon_sym_ATsynchronized] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [1105] = {
    [sym_identifier] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [1106] = {
    [sym_identifier] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [1107] = {
    [sym_identifier] = ACTIONS(2988),
    [anon_sym_LPAREN2] = ACTIONS(2991),
    [anon_sym_BANG] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_DASH] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(2993),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_CARET] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2988),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym___attribute] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2997),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_ATautoreleasepool] = ACTIONS(2991),
    [anon_sym_auto] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_CG_EXTERN] = ACTIONS(2995),
    [anon_sym_CG_INLINE] = ACTIONS(2995),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2995),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2995),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2995),
    [anon_sym_IBOutlet] = ACTIONS(2995),
    [anon_sym_IBInspectable] = ACTIONS(2995),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2995),
    [anon_sym_NS_INLINE] = ACTIONS(2995),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2995),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2995),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2995),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2988),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym__Nonnull] = ACTIONS(2995),
    [anon_sym_nullable] = ACTIONS(2995),
    [anon_sym__Complex] = ACTIONS(2995),
    [anon_sym__Nullable] = ACTIONS(2995),
    [anon_sym__Nullable_result] = ACTIONS(2995),
    [anon_sym__Null_unspecified] = ACTIONS(2995),
    [anon_sym___autoreleasing] = ACTIONS(2995),
    [anon_sym___block] = ACTIONS(2995),
    [anon_sym___bridge] = ACTIONS(2995),
    [anon_sym___bridge_retained] = ACTIONS(2995),
    [anon_sym___bridge_transfer] = ACTIONS(2995),
    [anon_sym___complex] = ACTIONS(2995),
    [anon_sym___const] = ACTIONS(2995),
    [anon_sym___imag] = ACTIONS(2988),
    [anon_sym___kindof] = ACTIONS(2995),
    [anon_sym___nonnull] = ACTIONS(2995),
    [anon_sym___nullable] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2995),
    [anon_sym___real] = ACTIONS(2988),
    [anon_sym___strong] = ACTIONS(2995),
    [anon_sym___unsafe_unretained] = ACTIONS(2995),
    [anon_sym___unused] = ACTIONS(2995),
    [anon_sym___weak] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym__Alignas] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2988),
    [anon_sym_union] = ACTIONS(2995),
    [anon_sym_if] = ACTIONS(2993),
    [anon_sym_switch] = ACTIONS(2993),
    [anon_sym_case] = ACTIONS(2993),
    [anon_sym_default] = ACTIONS(2993),
    [anon_sym_while] = ACTIONS(2993),
    [anon_sym_do] = ACTIONS(2993),
    [anon_sym_for] = ACTIONS(2993),
    [anon_sym_in] = ACTIONS(2993),
    [anon_sym_return] = ACTIONS(2993),
    [anon_sym_break] = ACTIONS(2993),
    [anon_sym_continue] = ACTIONS(2993),
    [anon_sym_goto] = ACTIONS(2993),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_sizeof] = ACTIONS(2993),
    [anon_sym___alignof__] = ACTIONS(2993),
    [anon_sym___alignof] = ACTIONS(2993),
    [anon_sym__alignof] = ACTIONS(2993),
    [anon_sym_alignof] = ACTIONS(2993),
    [anon_sym__Alignof] = ACTIONS(2993),
    [anon_sym_offsetof] = ACTIONS(2993),
    [anon_sym__Generic] = ACTIONS(2993),
    [anon_sym_asm] = ACTIONS(2993),
    [anon_sym___asm__] = ACTIONS(2993),
    [anon_sym___asm] = ACTIONS(2993),
    [sym_number_literal] = ACTIONS(2991),
    [anon_sym_L_SQUOTE] = ACTIONS(2991),
    [anon_sym_u_SQUOTE] = ACTIONS(2991),
    [anon_sym_U_SQUOTE] = ACTIONS(2991),
    [anon_sym_u8_SQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [anon_sym_AT] = ACTIONS(2993),
    [anon_sym_DQUOTE] = ACTIONS(2991),
    [anon_sym_L_DQUOTE] = ACTIONS(2991),
    [anon_sym_u_DQUOTE] = ACTIONS(2991),
    [anon_sym_U_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8_DQUOTE] = ACTIONS(2991),
    [sym_true] = ACTIONS(2993),
    [sym_false] = ACTIONS(2993),
    [anon_sym_NULL] = ACTIONS(2993),
    [anon_sym_nullptr] = ACTIONS(2993),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2995),
    [anon_sym___typeof] = ACTIONS(2995),
    [anon_sym_typeof] = ACTIONS(2995),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2995),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2995),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2995),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2995),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2995),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2995),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2995),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_API_AVAILABLE] = ACTIONS(2995),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_API_DEPRECATED] = ACTIONS(2995),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2995),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym___deprecated_msg] = ACTIONS(2995),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2995),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2995),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2995),
    [anon_sym_ATtry] = ACTIONS(2991),
    [anon_sym___try] = ACTIONS(2993),
    [anon_sym_ATthrow] = ACTIONS(2991),
    [anon_sym_ATselector] = ACTIONS(2991),
    [anon_sym_ATavailable] = ACTIONS(2991),
    [anon_sym___builtin_available] = ACTIONS(2993),
    [anon_sym_va_arg] = ACTIONS(2993),
    [anon_sym_ATencode] = ACTIONS(2991),
    [anon_sym_ATsynchronized] = ACTIONS(2991),
    [anon_sym_BOOL] = ACTIONS(2995),
    [anon_sym_IMP] = ACTIONS(2995),
    [anon_sym_SEL] = ACTIONS(2995),
    [anon_sym_Class] = ACTIONS(2995),
    [anon_sym_id] = ACTIONS(2988),
  },
  [1108] = {
    [sym_identifier] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [1109] = {
    [sym_identifier] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_CARET] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_ATautoreleasepool] = ACTIONS(2538),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [anon_sym___asm] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATtry] = ACTIONS(2538),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym_ATthrow] = ACTIONS(2538),
    [anon_sym_ATselector] = ACTIONS(2538),
    [anon_sym_ATavailable] = ACTIONS(2538),
    [anon_sym___builtin_available] = ACTIONS(2536),
    [anon_sym_va_arg] = ACTIONS(2536),
    [anon_sym_ATencode] = ACTIONS(2538),
    [anon_sym_ATsynchronized] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [1110] = {
    [sym_identifier] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_CARET] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_ATautoreleasepool] = ACTIONS(2538),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [anon_sym___asm] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATtry] = ACTIONS(2538),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym_ATthrow] = ACTIONS(2538),
    [anon_sym_ATselector] = ACTIONS(2538),
    [anon_sym_ATavailable] = ACTIONS(2538),
    [anon_sym___builtin_available] = ACTIONS(2536),
    [anon_sym_va_arg] = ACTIONS(2536),
    [anon_sym_ATencode] = ACTIONS(2538),
    [anon_sym_ATsynchronized] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [1111] = {
    [sym_identifier] = ACTIONS(2536),
    [anon_sym_LPAREN2] = ACTIONS(2538),
    [anon_sym_BANG] = ACTIONS(2538),
    [anon_sym_TILDE] = ACTIONS(2538),
    [anon_sym_DASH] = ACTIONS(2536),
    [anon_sym_PLUS] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2538),
    [anon_sym_CARET] = ACTIONS(2538),
    [anon_sym_AMP] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym_LBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_ATautoreleasepool] = ACTIONS(2538),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2536),
    [anon_sym_else] = ACTIONS(2536),
    [anon_sym_switch] = ACTIONS(2536),
    [anon_sym_while] = ACTIONS(2536),
    [anon_sym_do] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2536),
    [anon_sym_continue] = ACTIONS(2536),
    [anon_sym_goto] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_sizeof] = ACTIONS(2536),
    [anon_sym___alignof__] = ACTIONS(2536),
    [anon_sym___alignof] = ACTIONS(2536),
    [anon_sym__alignof] = ACTIONS(2536),
    [anon_sym_alignof] = ACTIONS(2536),
    [anon_sym__Alignof] = ACTIONS(2536),
    [anon_sym_offsetof] = ACTIONS(2536),
    [anon_sym__Generic] = ACTIONS(2536),
    [anon_sym_asm] = ACTIONS(2536),
    [anon_sym___asm__] = ACTIONS(2536),
    [anon_sym___asm] = ACTIONS(2536),
    [sym_number_literal] = ACTIONS(2538),
    [anon_sym_L_SQUOTE] = ACTIONS(2538),
    [anon_sym_u_SQUOTE] = ACTIONS(2538),
    [anon_sym_U_SQUOTE] = ACTIONS(2538),
    [anon_sym_u8_SQUOTE] = ACTIONS(2538),
    [anon_sym_SQUOTE] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2536),
    [anon_sym_DQUOTE] = ACTIONS(2538),
    [anon_sym_L_DQUOTE] = ACTIONS(2538),
    [anon_sym_u_DQUOTE] = ACTIONS(2538),
    [anon_sym_U_DQUOTE] = ACTIONS(2538),
    [anon_sym_u8_DQUOTE] = ACTIONS(2538),
    [sym_true] = ACTIONS(2536),
    [sym_false] = ACTIONS(2536),
    [anon_sym_NULL] = ACTIONS(2536),
    [anon_sym_nullptr] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATtry] = ACTIONS(2538),
    [anon_sym___try] = ACTIONS(2536),
    [anon_sym_ATthrow] = ACTIONS(2538),
    [anon_sym_ATselector] = ACTIONS(2538),
    [anon_sym_ATavailable] = ACTIONS(2538),
    [anon_sym___builtin_available] = ACTIONS(2536),
    [anon_sym_va_arg] = ACTIONS(2536),
    [anon_sym_ATencode] = ACTIONS(2538),
    [anon_sym_ATsynchronized] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [1112] = {
    [sym_identifier] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [1113] = {
    [sym_identifier] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym___attribute] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_ATautoreleasepool] = ACTIONS(2570),
    [anon_sym_auto] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_CG_EXTERN] = ACTIONS(2568),
    [anon_sym_CG_INLINE] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2568),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2568),
    [anon_sym_IBOutlet] = ACTIONS(2568),
    [anon_sym_IBInspectable] = ACTIONS(2568),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2568),
    [anon_sym_NS_INLINE] = ACTIONS(2568),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2568),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2568),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym__Nonnull] = ACTIONS(2568),
    [anon_sym_nullable] = ACTIONS(2568),
    [anon_sym__Complex] = ACTIONS(2568),
    [anon_sym__Nullable] = ACTIONS(2568),
    [anon_sym__Nullable_result] = ACTIONS(2568),
    [anon_sym__Null_unspecified] = ACTIONS(2568),
    [anon_sym___autoreleasing] = ACTIONS(2568),
    [anon_sym___block] = ACTIONS(2568),
    [anon_sym___bridge] = ACTIONS(2568),
    [anon_sym___bridge_retained] = ACTIONS(2568),
    [anon_sym___bridge_transfer] = ACTIONS(2568),
    [anon_sym___complex] = ACTIONS(2568),
    [anon_sym___const] = ACTIONS(2568),
    [anon_sym___imag] = ACTIONS(2568),
    [anon_sym___kindof] = ACTIONS(2568),
    [anon_sym___nonnull] = ACTIONS(2568),
    [anon_sym___nullable] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2568),
    [anon_sym___real] = ACTIONS(2568),
    [anon_sym___strong] = ACTIONS(2568),
    [anon_sym___unsafe_unretained] = ACTIONS(2568),
    [anon_sym___unused] = ACTIONS(2568),
    [anon_sym___weak] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_else] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_in] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [anon_sym___asm] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_AT] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2568),
    [anon_sym___typeof] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(2568),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2568),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2568),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2568),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_API_AVAILABLE] = ACTIONS(2568),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_API_DEPRECATED] = ACTIONS(2568),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym___deprecated_msg] = ACTIONS(2568),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2568),
    [anon_sym_ATtry] = ACTIONS(2570),
    [anon_sym___try] = ACTIONS(2568),
    [anon_sym_ATthrow] = ACTIONS(2570),
    [anon_sym_ATselector] = ACTIONS(2570),
    [anon_sym_ATavailable] = ACTIONS(2570),
    [anon_sym___builtin_available] = ACTIONS(2568),
    [anon_sym_va_arg] = ACTIONS(2568),
    [anon_sym_ATencode] = ACTIONS(2570),
    [anon_sym_ATsynchronized] = ACTIONS(2570),
    [anon_sym_BOOL] = ACTIONS(2568),
    [anon_sym_IMP] = ACTIONS(2568),
    [anon_sym_SEL] = ACTIONS(2568),
    [anon_sym_Class] = ACTIONS(2568),
    [anon_sym_id] = ACTIONS(2568),
  },
  [1114] = {
    [sym_identifier] = ACTIONS(2568),
    [anon_sym_LPAREN2] = ACTIONS(2570),
    [anon_sym_BANG] = ACTIONS(2570),
    [anon_sym_TILDE] = ACTIONS(2570),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_STAR] = ACTIONS(2570),
    [anon_sym_CARET] = ACTIONS(2570),
    [anon_sym_AMP] = ACTIONS(2570),
    [anon_sym_SEMI] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym___attribute] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_ATautoreleasepool] = ACTIONS(2570),
    [anon_sym_auto] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_CG_EXTERN] = ACTIONS(2568),
    [anon_sym_CG_INLINE] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2568),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2568),
    [anon_sym_IBOutlet] = ACTIONS(2568),
    [anon_sym_IBInspectable] = ACTIONS(2568),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2568),
    [anon_sym_NS_INLINE] = ACTIONS(2568),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2568),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2568),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym__Nonnull] = ACTIONS(2568),
    [anon_sym_nullable] = ACTIONS(2568),
    [anon_sym__Complex] = ACTIONS(2568),
    [anon_sym__Nullable] = ACTIONS(2568),
    [anon_sym__Nullable_result] = ACTIONS(2568),
    [anon_sym__Null_unspecified] = ACTIONS(2568),
    [anon_sym___autoreleasing] = ACTIONS(2568),
    [anon_sym___block] = ACTIONS(2568),
    [anon_sym___bridge] = ACTIONS(2568),
    [anon_sym___bridge_retained] = ACTIONS(2568),
    [anon_sym___bridge_transfer] = ACTIONS(2568),
    [anon_sym___complex] = ACTIONS(2568),
    [anon_sym___const] = ACTIONS(2568),
    [anon_sym___imag] = ACTIONS(2568),
    [anon_sym___kindof] = ACTIONS(2568),
    [anon_sym___nonnull] = ACTIONS(2568),
    [anon_sym___nullable] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2568),
    [anon_sym___real] = ACTIONS(2568),
    [anon_sym___strong] = ACTIONS(2568),
    [anon_sym___unsafe_unretained] = ACTIONS(2568),
    [anon_sym___unused] = ACTIONS(2568),
    [anon_sym___weak] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [anon_sym_if] = ACTIONS(2568),
    [anon_sym_else] = ACTIONS(2568),
    [anon_sym_switch] = ACTIONS(2568),
    [anon_sym_while] = ACTIONS(2568),
    [anon_sym_do] = ACTIONS(2568),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_in] = ACTIONS(2568),
    [anon_sym_return] = ACTIONS(2568),
    [anon_sym_break] = ACTIONS(2568),
    [anon_sym_continue] = ACTIONS(2568),
    [anon_sym_goto] = ACTIONS(2568),
    [anon_sym_DASH_DASH] = ACTIONS(2570),
    [anon_sym_PLUS_PLUS] = ACTIONS(2570),
    [anon_sym_sizeof] = ACTIONS(2568),
    [anon_sym___alignof__] = ACTIONS(2568),
    [anon_sym___alignof] = ACTIONS(2568),
    [anon_sym__alignof] = ACTIONS(2568),
    [anon_sym_alignof] = ACTIONS(2568),
    [anon_sym__Alignof] = ACTIONS(2568),
    [anon_sym_offsetof] = ACTIONS(2568),
    [anon_sym__Generic] = ACTIONS(2568),
    [anon_sym_asm] = ACTIONS(2568),
    [anon_sym___asm__] = ACTIONS(2568),
    [anon_sym___asm] = ACTIONS(2568),
    [sym_number_literal] = ACTIONS(2570),
    [anon_sym_L_SQUOTE] = ACTIONS(2570),
    [anon_sym_u_SQUOTE] = ACTIONS(2570),
    [anon_sym_U_SQUOTE] = ACTIONS(2570),
    [anon_sym_u8_SQUOTE] = ACTIONS(2570),
    [anon_sym_SQUOTE] = ACTIONS(2570),
    [anon_sym_AT] = ACTIONS(2568),
    [anon_sym_DQUOTE] = ACTIONS(2570),
    [anon_sym_L_DQUOTE] = ACTIONS(2570),
    [anon_sym_u_DQUOTE] = ACTIONS(2570),
    [anon_sym_U_DQUOTE] = ACTIONS(2570),
    [anon_sym_u8_DQUOTE] = ACTIONS(2570),
    [sym_true] = ACTIONS(2568),
    [sym_false] = ACTIONS(2568),
    [anon_sym_NULL] = ACTIONS(2568),
    [anon_sym_nullptr] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2568),
    [anon_sym___typeof] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(2568),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2568),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2568),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2568),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_API_AVAILABLE] = ACTIONS(2568),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_API_DEPRECATED] = ACTIONS(2568),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym___deprecated_msg] = ACTIONS(2568),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2568),
    [anon_sym_ATtry] = ACTIONS(2570),
    [anon_sym___try] = ACTIONS(2568),
    [anon_sym_ATthrow] = ACTIONS(2570),
    [anon_sym_ATselector] = ACTIONS(2570),
    [anon_sym_ATavailable] = ACTIONS(2570),
    [anon_sym___builtin_available] = ACTIONS(2568),
    [anon_sym_va_arg] = ACTIONS(2568),
    [anon_sym_ATencode] = ACTIONS(2570),
    [anon_sym_ATsynchronized] = ACTIONS(2570),
    [anon_sym_BOOL] = ACTIONS(2568),
    [anon_sym_IMP] = ACTIONS(2568),
    [anon_sym_SEL] = ACTIONS(2568),
    [anon_sym_Class] = ACTIONS(2568),
    [anon_sym_id] = ACTIONS(2568),
  },
  [1115] = {
    [sym_identifier] = ACTIONS(2432),
    [anon_sym_LPAREN2] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_TILDE] = ACTIONS(2434),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_CARET] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym___extension__] = ACTIONS(2432),
    [anon_sym_typedef] = ACTIONS(2432),
    [anon_sym_extern] = ACTIONS(2432),
    [anon_sym___attribute__] = ACTIONS(2432),
    [anon_sym___attribute] = ACTIONS(2432),
    [anon_sym_noreturn] = ACTIONS(2432),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym___declspec] = ACTIONS(2432),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_signed] = ACTIONS(2432),
    [anon_sym_unsigned] = ACTIONS(2432),
    [anon_sym_long] = ACTIONS(2432),
    [anon_sym_short] = ACTIONS(2432),
    [anon_sym_static] = ACTIONS(2432),
    [anon_sym_ATautoreleasepool] = ACTIONS(2434),
    [anon_sym_auto] = ACTIONS(2432),
    [anon_sym_register] = ACTIONS(2432),
    [anon_sym_inline] = ACTIONS(2432),
    [anon_sym___inline] = ACTIONS(2432),
    [anon_sym___inline__] = ACTIONS(2432),
    [anon_sym___forceinline] = ACTIONS(2432),
    [anon_sym_thread_local] = ACTIONS(2432),
    [anon_sym___thread] = ACTIONS(2432),
    [anon_sym_CG_EXTERN] = ACTIONS(2432),
    [anon_sym_CG_INLINE] = ACTIONS(2432),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2432),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2432),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2432),
    [anon_sym_IBOutlet] = ACTIONS(2432),
    [anon_sym_IBInspectable] = ACTIONS(2432),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2432),
    [anon_sym_NS_INLINE] = ACTIONS(2432),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2432),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2432),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2432),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2432),
    [anon_sym_const] = ACTIONS(2432),
    [anon_sym_constexpr] = ACTIONS(2432),
    [anon_sym_volatile] = ACTIONS(2432),
    [anon_sym_restrict] = ACTIONS(2432),
    [anon_sym___restrict__] = ACTIONS(2432),
    [anon_sym__Atomic] = ACTIONS(2432),
    [anon_sym__Noreturn] = ACTIONS(2432),
    [anon_sym__Nonnull] = ACTIONS(2432),
    [anon_sym_nullable] = ACTIONS(2432),
    [anon_sym__Complex] = ACTIONS(2432),
    [anon_sym__Nullable] = ACTIONS(2432),
    [anon_sym__Nullable_result] = ACTIONS(2432),
    [anon_sym__Null_unspecified] = ACTIONS(2432),
    [anon_sym___autoreleasing] = ACTIONS(2432),
    [anon_sym___block] = ACTIONS(2432),
    [anon_sym___bridge] = ACTIONS(2432),
    [anon_sym___bridge_retained] = ACTIONS(2432),
    [anon_sym___bridge_transfer] = ACTIONS(2432),
    [anon_sym___complex] = ACTIONS(2432),
    [anon_sym___const] = ACTIONS(2432),
    [anon_sym___imag] = ACTIONS(2432),
    [anon_sym___kindof] = ACTIONS(2432),
    [anon_sym___nonnull] = ACTIONS(2432),
    [anon_sym___nullable] = ACTIONS(2432),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2432),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2432),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2432),
    [anon_sym___real] = ACTIONS(2432),
    [anon_sym___strong] = ACTIONS(2432),
    [anon_sym___unsafe_unretained] = ACTIONS(2432),
    [anon_sym___unused] = ACTIONS(2432),
    [anon_sym___weak] = ACTIONS(2432),
    [anon_sym_alignas] = ACTIONS(2432),
    [anon_sym__Alignas] = ACTIONS(2432),
    [sym_primitive_type] = ACTIONS(2432),
    [anon_sym_enum] = ACTIONS(2432),
    [anon_sym_struct] = ACTIONS(2432),
    [anon_sym_union] = ACTIONS(2432),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_else] = ACTIONS(2432),
    [anon_sym_switch] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_do] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2432),
    [anon_sym_in] = ACTIONS(2432),
    [anon_sym_return] = ACTIONS(2432),
    [anon_sym_break] = ACTIONS(2432),
    [anon_sym_continue] = ACTIONS(2432),
    [anon_sym_goto] = ACTIONS(2432),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(2432),
    [anon_sym___alignof] = ACTIONS(2432),
    [anon_sym__alignof] = ACTIONS(2432),
    [anon_sym_alignof] = ACTIONS(2432),
    [anon_sym__Alignof] = ACTIONS(2432),
    [anon_sym_offsetof] = ACTIONS(2432),
    [anon_sym__Generic] = ACTIONS(2432),
    [anon_sym_asm] = ACTIONS(2432),
    [anon_sym___asm__] = ACTIONS(2432),
    [anon_sym___asm] = ACTIONS(2432),
    [sym_number_literal] = ACTIONS(2434),
    [anon_sym_L_SQUOTE] = ACTIONS(2434),
    [anon_sym_u_SQUOTE] = ACTIONS(2434),
    [anon_sym_U_SQUOTE] = ACTIONS(2434),
    [anon_sym_u8_SQUOTE] = ACTIONS(2434),
    [anon_sym_SQUOTE] = ACTIONS(2434),
    [anon_sym_AT] = ACTIONS(2432),
    [anon_sym_DQUOTE] = ACTIONS(2434),
    [anon_sym_L_DQUOTE] = ACTIONS(2434),
    [anon_sym_u_DQUOTE] = ACTIONS(2434),
    [anon_sym_U_DQUOTE] = ACTIONS(2434),
    [anon_sym_u8_DQUOTE] = ACTIONS(2434),
    [sym_true] = ACTIONS(2432),
    [sym_false] = ACTIONS(2432),
    [anon_sym_NULL] = ACTIONS(2432),
    [anon_sym_nullptr] = ACTIONS(2432),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2432),
    [anon_sym___typeof] = ACTIONS(2432),
    [anon_sym_typeof] = ACTIONS(2432),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2432),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2432),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2432),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2432),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2432),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2432),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2432),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2432),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2432),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_API_AVAILABLE] = ACTIONS(2432),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_API_DEPRECATED] = ACTIONS(2432),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2432),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2432),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2432),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2432),
    [anon_sym___deprecated_msg] = ACTIONS(2432),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2432),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2432),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2432),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2432),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2432),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2432),
    [anon_sym_ATtry] = ACTIONS(2434),
    [anon_sym___try] = ACTIONS(2432),
    [anon_sym_ATthrow] = ACTIONS(2434),
    [anon_sym_ATselector] = ACTIONS(2434),
    [anon_sym_ATavailable] = ACTIONS(2434),
    [anon_sym___builtin_available] = ACTIONS(2432),
    [anon_sym_va_arg] = ACTIONS(2432),
    [anon_sym_ATencode] = ACTIONS(2434),
    [anon_sym_ATsynchronized] = ACTIONS(2434),
    [anon_sym_BOOL] = ACTIONS(2432),
    [anon_sym_IMP] = ACTIONS(2432),
    [anon_sym_SEL] = ACTIONS(2432),
    [anon_sym_Class] = ACTIONS(2432),
    [anon_sym_id] = ACTIONS(2432),
  },
  [1116] = {
    [sym_identifier] = ACTIONS(2440),
    [anon_sym_LPAREN2] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2440),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_CARET] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym___extension__] = ACTIONS(2440),
    [anon_sym_typedef] = ACTIONS(2440),
    [anon_sym_extern] = ACTIONS(2440),
    [anon_sym___attribute__] = ACTIONS(2440),
    [anon_sym___attribute] = ACTIONS(2440),
    [anon_sym_noreturn] = ACTIONS(2440),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym___declspec] = ACTIONS(2440),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_signed] = ACTIONS(2440),
    [anon_sym_unsigned] = ACTIONS(2440),
    [anon_sym_long] = ACTIONS(2440),
    [anon_sym_short] = ACTIONS(2440),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_ATautoreleasepool] = ACTIONS(2442),
    [anon_sym_auto] = ACTIONS(2440),
    [anon_sym_register] = ACTIONS(2440),
    [anon_sym_inline] = ACTIONS(2440),
    [anon_sym___inline] = ACTIONS(2440),
    [anon_sym___inline__] = ACTIONS(2440),
    [anon_sym___forceinline] = ACTIONS(2440),
    [anon_sym_thread_local] = ACTIONS(2440),
    [anon_sym___thread] = ACTIONS(2440),
    [anon_sym_CG_EXTERN] = ACTIONS(2440),
    [anon_sym_CG_INLINE] = ACTIONS(2440),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2440),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2440),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2440),
    [anon_sym_IBOutlet] = ACTIONS(2440),
    [anon_sym_IBInspectable] = ACTIONS(2440),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2440),
    [anon_sym_NS_INLINE] = ACTIONS(2440),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2440),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2440),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2440),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2440),
    [anon_sym_const] = ACTIONS(2440),
    [anon_sym_constexpr] = ACTIONS(2440),
    [anon_sym_volatile] = ACTIONS(2440),
    [anon_sym_restrict] = ACTIONS(2440),
    [anon_sym___restrict__] = ACTIONS(2440),
    [anon_sym__Atomic] = ACTIONS(2440),
    [anon_sym__Noreturn] = ACTIONS(2440),
    [anon_sym__Nonnull] = ACTIONS(2440),
    [anon_sym_nullable] = ACTIONS(2440),
    [anon_sym__Complex] = ACTIONS(2440),
    [anon_sym__Nullable] = ACTIONS(2440),
    [anon_sym__Nullable_result] = ACTIONS(2440),
    [anon_sym__Null_unspecified] = ACTIONS(2440),
    [anon_sym___autoreleasing] = ACTIONS(2440),
    [anon_sym___block] = ACTIONS(2440),
    [anon_sym___bridge] = ACTIONS(2440),
    [anon_sym___bridge_retained] = ACTIONS(2440),
    [anon_sym___bridge_transfer] = ACTIONS(2440),
    [anon_sym___complex] = ACTIONS(2440),
    [anon_sym___const] = ACTIONS(2440),
    [anon_sym___imag] = ACTIONS(2440),
    [anon_sym___kindof] = ACTIONS(2440),
    [anon_sym___nonnull] = ACTIONS(2440),
    [anon_sym___nullable] = ACTIONS(2440),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2440),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2440),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2440),
    [anon_sym___real] = ACTIONS(2440),
    [anon_sym___strong] = ACTIONS(2440),
    [anon_sym___unsafe_unretained] = ACTIONS(2440),
    [anon_sym___unused] = ACTIONS(2440),
    [anon_sym___weak] = ACTIONS(2440),
    [anon_sym_alignas] = ACTIONS(2440),
    [anon_sym__Alignas] = ACTIONS(2440),
    [sym_primitive_type] = ACTIONS(2440),
    [anon_sym_enum] = ACTIONS(2440),
    [anon_sym_struct] = ACTIONS(2440),
    [anon_sym_union] = ACTIONS(2440),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_else] = ACTIONS(2440),
    [anon_sym_switch] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2440),
    [anon_sym_do] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2440),
    [anon_sym_in] = ACTIONS(2440),
    [anon_sym_return] = ACTIONS(2440),
    [anon_sym_break] = ACTIONS(2440),
    [anon_sym_continue] = ACTIONS(2440),
    [anon_sym_goto] = ACTIONS(2440),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_sizeof] = ACTIONS(2440),
    [anon_sym___alignof__] = ACTIONS(2440),
    [anon_sym___alignof] = ACTIONS(2440),
    [anon_sym__alignof] = ACTIONS(2440),
    [anon_sym_alignof] = ACTIONS(2440),
    [anon_sym__Alignof] = ACTIONS(2440),
    [anon_sym_offsetof] = ACTIONS(2440),
    [anon_sym__Generic] = ACTIONS(2440),
    [anon_sym_asm] = ACTIONS(2440),
    [anon_sym___asm__] = ACTIONS(2440),
    [anon_sym___asm] = ACTIONS(2440),
    [sym_number_literal] = ACTIONS(2442),
    [anon_sym_L_SQUOTE] = ACTIONS(2442),
    [anon_sym_u_SQUOTE] = ACTIONS(2442),
    [anon_sym_U_SQUOTE] = ACTIONS(2442),
    [anon_sym_u8_SQUOTE] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2442),
    [anon_sym_AT] = ACTIONS(2440),
    [anon_sym_DQUOTE] = ACTIONS(2442),
    [anon_sym_L_DQUOTE] = ACTIONS(2442),
    [anon_sym_u_DQUOTE] = ACTIONS(2442),
    [anon_sym_U_DQUOTE] = ACTIONS(2442),
    [anon_sym_u8_DQUOTE] = ACTIONS(2442),
    [sym_true] = ACTIONS(2440),
    [sym_false] = ACTIONS(2440),
    [anon_sym_NULL] = ACTIONS(2440),
    [anon_sym_nullptr] = ACTIONS(2440),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2440),
    [anon_sym___typeof] = ACTIONS(2440),
    [anon_sym_typeof] = ACTIONS(2440),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2440),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2440),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2440),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2440),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2440),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2440),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2440),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2440),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2440),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_API_AVAILABLE] = ACTIONS(2440),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_API_DEPRECATED] = ACTIONS(2440),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2440),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2440),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2440),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2440),
    [anon_sym___deprecated_msg] = ACTIONS(2440),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2440),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2440),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2440),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2440),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2440),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2440),
    [anon_sym_ATtry] = ACTIONS(2442),
    [anon_sym___try] = ACTIONS(2440),
    [anon_sym_ATthrow] = ACTIONS(2442),
    [anon_sym_ATselector] = ACTIONS(2442),
    [anon_sym_ATavailable] = ACTIONS(2442),
    [anon_sym___builtin_available] = ACTIONS(2440),
    [anon_sym_va_arg] = ACTIONS(2440),
    [anon_sym_ATencode] = ACTIONS(2442),
    [anon_sym_ATsynchronized] = ACTIONS(2442),
    [anon_sym_BOOL] = ACTIONS(2440),
    [anon_sym_IMP] = ACTIONS(2440),
    [anon_sym_SEL] = ACTIONS(2440),
    [anon_sym_Class] = ACTIONS(2440),
    [anon_sym_id] = ACTIONS(2440),
  },
  [1117] = {
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_LPAREN2] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_TILDE] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym___extension__] = ACTIONS(2444),
    [anon_sym_typedef] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym___attribute__] = ACTIONS(2444),
    [anon_sym___attribute] = ACTIONS(2444),
    [anon_sym_noreturn] = ACTIONS(2444),
    [anon_sym_LBRACK] = ACTIONS(2446),
    [anon_sym___declspec] = ACTIONS(2444),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_signed] = ACTIONS(2444),
    [anon_sym_unsigned] = ACTIONS(2444),
    [anon_sym_long] = ACTIONS(2444),
    [anon_sym_short] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_ATautoreleasepool] = ACTIONS(2446),
    [anon_sym_auto] = ACTIONS(2444),
    [anon_sym_register] = ACTIONS(2444),
    [anon_sym_inline] = ACTIONS(2444),
    [anon_sym___inline] = ACTIONS(2444),
    [anon_sym___inline__] = ACTIONS(2444),
    [anon_sym___forceinline] = ACTIONS(2444),
    [anon_sym_thread_local] = ACTIONS(2444),
    [anon_sym___thread] = ACTIONS(2444),
    [anon_sym_CG_EXTERN] = ACTIONS(2444),
    [anon_sym_CG_INLINE] = ACTIONS(2444),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2444),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2444),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2444),
    [anon_sym_IBOutlet] = ACTIONS(2444),
    [anon_sym_IBInspectable] = ACTIONS(2444),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2444),
    [anon_sym_NS_INLINE] = ACTIONS(2444),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2444),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2444),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2444),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_constexpr] = ACTIONS(2444),
    [anon_sym_volatile] = ACTIONS(2444),
    [anon_sym_restrict] = ACTIONS(2444),
    [anon_sym___restrict__] = ACTIONS(2444),
    [anon_sym__Atomic] = ACTIONS(2444),
    [anon_sym__Noreturn] = ACTIONS(2444),
    [anon_sym__Nonnull] = ACTIONS(2444),
    [anon_sym_nullable] = ACTIONS(2444),
    [anon_sym__Complex] = ACTIONS(2444),
    [anon_sym__Nullable] = ACTIONS(2444),
    [anon_sym__Nullable_result] = ACTIONS(2444),
    [anon_sym__Null_unspecified] = ACTIONS(2444),
    [anon_sym___autoreleasing] = ACTIONS(2444),
    [anon_sym___block] = ACTIONS(2444),
    [anon_sym___bridge] = ACTIONS(2444),
    [anon_sym___bridge_retained] = ACTIONS(2444),
    [anon_sym___bridge_transfer] = ACTIONS(2444),
    [anon_sym___complex] = ACTIONS(2444),
    [anon_sym___const] = ACTIONS(2444),
    [anon_sym___imag] = ACTIONS(2444),
    [anon_sym___kindof] = ACTIONS(2444),
    [anon_sym___nonnull] = ACTIONS(2444),
    [anon_sym___nullable] = ACTIONS(2444),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2444),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2444),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2444),
    [anon_sym___real] = ACTIONS(2444),
    [anon_sym___strong] = ACTIONS(2444),
    [anon_sym___unsafe_unretained] = ACTIONS(2444),
    [anon_sym___unused] = ACTIONS(2444),
    [anon_sym___weak] = ACTIONS(2444),
    [anon_sym_alignas] = ACTIONS(2444),
    [anon_sym__Alignas] = ACTIONS(2444),
    [sym_primitive_type] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_else] = ACTIONS(2444),
    [anon_sym_switch] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_do] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_in] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_goto] = ACTIONS(2444),
    [anon_sym_DASH_DASH] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2446),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2444),
    [anon_sym___alignof] = ACTIONS(2444),
    [anon_sym__alignof] = ACTIONS(2444),
    [anon_sym_alignof] = ACTIONS(2444),
    [anon_sym__Alignof] = ACTIONS(2444),
    [anon_sym_offsetof] = ACTIONS(2444),
    [anon_sym__Generic] = ACTIONS(2444),
    [anon_sym_asm] = ACTIONS(2444),
    [anon_sym___asm__] = ACTIONS(2444),
    [anon_sym___asm] = ACTIONS(2444),
    [sym_number_literal] = ACTIONS(2446),
    [anon_sym_L_SQUOTE] = ACTIONS(2446),
    [anon_sym_u_SQUOTE] = ACTIONS(2446),
    [anon_sym_U_SQUOTE] = ACTIONS(2446),
    [anon_sym_u8_SQUOTE] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2446),
    [anon_sym_AT] = ACTIONS(2444),
    [anon_sym_DQUOTE] = ACTIONS(2446),
    [anon_sym_L_DQUOTE] = ACTIONS(2446),
    [anon_sym_u_DQUOTE] = ACTIONS(2446),
    [anon_sym_U_DQUOTE] = ACTIONS(2446),
    [anon_sym_u8_DQUOTE] = ACTIONS(2446),
    [sym_true] = ACTIONS(2444),
    [sym_false] = ACTIONS(2444),
    [anon_sym_NULL] = ACTIONS(2444),
    [anon_sym_nullptr] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2444),
    [anon_sym___typeof] = ACTIONS(2444),
    [anon_sym_typeof] = ACTIONS(2444),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2444),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2444),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2444),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2444),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2444),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2444),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2444),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2444),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2444),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_API_AVAILABLE] = ACTIONS(2444),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_API_DEPRECATED] = ACTIONS(2444),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2444),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2444),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2444),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2444),
    [anon_sym___deprecated_msg] = ACTIONS(2444),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2444),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2444),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2444),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2444),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2444),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2444),
    [anon_sym_ATtry] = ACTIONS(2446),
    [anon_sym___try] = ACTIONS(2444),
    [anon_sym_ATthrow] = ACTIONS(2446),
    [anon_sym_ATselector] = ACTIONS(2446),
    [anon_sym_ATavailable] = ACTIONS(2446),
    [anon_sym___builtin_available] = ACTIONS(2444),
    [anon_sym_va_arg] = ACTIONS(2444),
    [anon_sym_ATencode] = ACTIONS(2446),
    [anon_sym_ATsynchronized] = ACTIONS(2446),
    [anon_sym_BOOL] = ACTIONS(2444),
    [anon_sym_IMP] = ACTIONS(2444),
    [anon_sym_SEL] = ACTIONS(2444),
    [anon_sym_Class] = ACTIONS(2444),
    [anon_sym_id] = ACTIONS(2444),
  },
  [1118] = {
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_LPAREN2] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_TILDE] = ACTIONS(2410),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_CARET] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym___extension__] = ACTIONS(2408),
    [anon_sym_typedef] = ACTIONS(2408),
    [anon_sym_extern] = ACTIONS(2408),
    [anon_sym___attribute__] = ACTIONS(2408),
    [anon_sym___attribute] = ACTIONS(2408),
    [anon_sym_noreturn] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym___declspec] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_signed] = ACTIONS(2408),
    [anon_sym_unsigned] = ACTIONS(2408),
    [anon_sym_long] = ACTIONS(2408),
    [anon_sym_short] = ACTIONS(2408),
    [anon_sym_static] = ACTIONS(2408),
    [anon_sym_ATautoreleasepool] = ACTIONS(2410),
    [anon_sym_auto] = ACTIONS(2408),
    [anon_sym_register] = ACTIONS(2408),
    [anon_sym_inline] = ACTIONS(2408),
    [anon_sym___inline] = ACTIONS(2408),
    [anon_sym___inline__] = ACTIONS(2408),
    [anon_sym___forceinline] = ACTIONS(2408),
    [anon_sym_thread_local] = ACTIONS(2408),
    [anon_sym___thread] = ACTIONS(2408),
    [anon_sym_CG_EXTERN] = ACTIONS(2408),
    [anon_sym_CG_INLINE] = ACTIONS(2408),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2408),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2408),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2408),
    [anon_sym_IBOutlet] = ACTIONS(2408),
    [anon_sym_IBInspectable] = ACTIONS(2408),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2408),
    [anon_sym_NS_INLINE] = ACTIONS(2408),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2408),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2408),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2408),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2408),
    [anon_sym_const] = ACTIONS(2408),
    [anon_sym_constexpr] = ACTIONS(2408),
    [anon_sym_volatile] = ACTIONS(2408),
    [anon_sym_restrict] = ACTIONS(2408),
    [anon_sym___restrict__] = ACTIONS(2408),
    [anon_sym__Atomic] = ACTIONS(2408),
    [anon_sym__Noreturn] = ACTIONS(2408),
    [anon_sym__Nonnull] = ACTIONS(2408),
    [anon_sym_nullable] = ACTIONS(2408),
    [anon_sym__Complex] = ACTIONS(2408),
    [anon_sym__Nullable] = ACTIONS(2408),
    [anon_sym__Nullable_result] = ACTIONS(2408),
    [anon_sym__Null_unspecified] = ACTIONS(2408),
    [anon_sym___autoreleasing] = ACTIONS(2408),
    [anon_sym___block] = ACTIONS(2408),
    [anon_sym___bridge] = ACTIONS(2408),
    [anon_sym___bridge_retained] = ACTIONS(2408),
    [anon_sym___bridge_transfer] = ACTIONS(2408),
    [anon_sym___complex] = ACTIONS(2408),
    [anon_sym___const] = ACTIONS(2408),
    [anon_sym___imag] = ACTIONS(2408),
    [anon_sym___kindof] = ACTIONS(2408),
    [anon_sym___nonnull] = ACTIONS(2408),
    [anon_sym___nullable] = ACTIONS(2408),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2408),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2408),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2408),
    [anon_sym___real] = ACTIONS(2408),
    [anon_sym___strong] = ACTIONS(2408),
    [anon_sym___unsafe_unretained] = ACTIONS(2408),
    [anon_sym___unused] = ACTIONS(2408),
    [anon_sym___weak] = ACTIONS(2408),
    [anon_sym_alignas] = ACTIONS(2408),
    [anon_sym__Alignas] = ACTIONS(2408),
    [sym_primitive_type] = ACTIONS(2408),
    [anon_sym_enum] = ACTIONS(2408),
    [anon_sym_struct] = ACTIONS(2408),
    [anon_sym_union] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_else] = ACTIONS(2408),
    [anon_sym_switch] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_in] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_break] = ACTIONS(2408),
    [anon_sym_continue] = ACTIONS(2408),
    [anon_sym_goto] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2410),
    [anon_sym_PLUS_PLUS] = ACTIONS(2410),
    [anon_sym_sizeof] = ACTIONS(2408),
    [anon_sym___alignof__] = ACTIONS(2408),
    [anon_sym___alignof] = ACTIONS(2408),
    [anon_sym__alignof] = ACTIONS(2408),
    [anon_sym_alignof] = ACTIONS(2408),
    [anon_sym__Alignof] = ACTIONS(2408),
    [anon_sym_offsetof] = ACTIONS(2408),
    [anon_sym__Generic] = ACTIONS(2408),
    [anon_sym_asm] = ACTIONS(2408),
    [anon_sym___asm__] = ACTIONS(2408),
    [anon_sym___asm] = ACTIONS(2408),
    [sym_number_literal] = ACTIONS(2410),
    [anon_sym_L_SQUOTE] = ACTIONS(2410),
    [anon_sym_u_SQUOTE] = ACTIONS(2410),
    [anon_sym_U_SQUOTE] = ACTIONS(2410),
    [anon_sym_u8_SQUOTE] = ACTIONS(2410),
    [anon_sym_SQUOTE] = ACTIONS(2410),
    [anon_sym_AT] = ACTIONS(2408),
    [anon_sym_DQUOTE] = ACTIONS(2410),
    [anon_sym_L_DQUOTE] = ACTIONS(2410),
    [anon_sym_u_DQUOTE] = ACTIONS(2410),
    [anon_sym_U_DQUOTE] = ACTIONS(2410),
    [anon_sym_u8_DQUOTE] = ACTIONS(2410),
    [sym_true] = ACTIONS(2408),
    [sym_false] = ACTIONS(2408),
    [anon_sym_NULL] = ACTIONS(2408),
    [anon_sym_nullptr] = ACTIONS(2408),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2408),
    [anon_sym___typeof] = ACTIONS(2408),
    [anon_sym_typeof] = ACTIONS(2408),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2408),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2408),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2408),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2408),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2408),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2408),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2408),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2408),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2408),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_API_AVAILABLE] = ACTIONS(2408),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_API_DEPRECATED] = ACTIONS(2408),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2408),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2408),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2408),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2408),
    [anon_sym___deprecated_msg] = ACTIONS(2408),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2408),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2408),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2408),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2408),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2408),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2408),
    [anon_sym_ATtry] = ACTIONS(2410),
    [anon_sym___try] = ACTIONS(2408),
    [anon_sym_ATthrow] = ACTIONS(2410),
    [anon_sym_ATselector] = ACTIONS(2410),
    [anon_sym_ATavailable] = ACTIONS(2410),
    [anon_sym___builtin_available] = ACTIONS(2408),
    [anon_sym_va_arg] = ACTIONS(2408),
    [anon_sym_ATencode] = ACTIONS(2410),
    [anon_sym_ATsynchronized] = ACTIONS(2410),
    [anon_sym_BOOL] = ACTIONS(2408),
    [anon_sym_IMP] = ACTIONS(2408),
    [anon_sym_SEL] = ACTIONS(2408),
    [anon_sym_Class] = ACTIONS(2408),
    [anon_sym_id] = ACTIONS(2408),
  },
  [1119] = {
    [sym_identifier] = ACTIONS(2412),
    [anon_sym_LPAREN2] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(2414),
    [anon_sym_TILDE] = ACTIONS(2414),
    [anon_sym_DASH] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_SEMI] = ACTIONS(2414),
    [anon_sym___extension__] = ACTIONS(2412),
    [anon_sym_typedef] = ACTIONS(2412),
    [anon_sym_extern] = ACTIONS(2412),
    [anon_sym___attribute__] = ACTIONS(2412),
    [anon_sym___attribute] = ACTIONS(2412),
    [anon_sym_noreturn] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2414),
    [anon_sym___declspec] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2414),
    [anon_sym_signed] = ACTIONS(2412),
    [anon_sym_unsigned] = ACTIONS(2412),
    [anon_sym_long] = ACTIONS(2412),
    [anon_sym_short] = ACTIONS(2412),
    [anon_sym_static] = ACTIONS(2412),
    [anon_sym_ATautoreleasepool] = ACTIONS(2414),
    [anon_sym_auto] = ACTIONS(2412),
    [anon_sym_register] = ACTIONS(2412),
    [anon_sym_inline] = ACTIONS(2412),
    [anon_sym___inline] = ACTIONS(2412),
    [anon_sym___inline__] = ACTIONS(2412),
    [anon_sym___forceinline] = ACTIONS(2412),
    [anon_sym_thread_local] = ACTIONS(2412),
    [anon_sym___thread] = ACTIONS(2412),
    [anon_sym_CG_EXTERN] = ACTIONS(2412),
    [anon_sym_CG_INLINE] = ACTIONS(2412),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2412),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2412),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2412),
    [anon_sym_IBOutlet] = ACTIONS(2412),
    [anon_sym_IBInspectable] = ACTIONS(2412),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2412),
    [anon_sym_NS_INLINE] = ACTIONS(2412),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2412),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2412),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2412),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2412),
    [anon_sym_const] = ACTIONS(2412),
    [anon_sym_constexpr] = ACTIONS(2412),
    [anon_sym_volatile] = ACTIONS(2412),
    [anon_sym_restrict] = ACTIONS(2412),
    [anon_sym___restrict__] = ACTIONS(2412),
    [anon_sym__Atomic] = ACTIONS(2412),
    [anon_sym__Noreturn] = ACTIONS(2412),
    [anon_sym__Nonnull] = ACTIONS(2412),
    [anon_sym_nullable] = ACTIONS(2412),
    [anon_sym__Complex] = ACTIONS(2412),
    [anon_sym__Nullable] = ACTIONS(2412),
    [anon_sym__Nullable_result] = ACTIONS(2412),
    [anon_sym__Null_unspecified] = ACTIONS(2412),
    [anon_sym___autoreleasing] = ACTIONS(2412),
    [anon_sym___block] = ACTIONS(2412),
    [anon_sym___bridge] = ACTIONS(2412),
    [anon_sym___bridge_retained] = ACTIONS(2412),
    [anon_sym___bridge_transfer] = ACTIONS(2412),
    [anon_sym___complex] = ACTIONS(2412),
    [anon_sym___const] = ACTIONS(2412),
    [anon_sym___imag] = ACTIONS(2412),
    [anon_sym___kindof] = ACTIONS(2412),
    [anon_sym___nonnull] = ACTIONS(2412),
    [anon_sym___nullable] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2412),
    [anon_sym___real] = ACTIONS(2412),
    [anon_sym___strong] = ACTIONS(2412),
    [anon_sym___unsafe_unretained] = ACTIONS(2412),
    [anon_sym___unused] = ACTIONS(2412),
    [anon_sym___weak] = ACTIONS(2412),
    [anon_sym_alignas] = ACTIONS(2412),
    [anon_sym__Alignas] = ACTIONS(2412),
    [sym_primitive_type] = ACTIONS(2412),
    [anon_sym_enum] = ACTIONS(2412),
    [anon_sym_struct] = ACTIONS(2412),
    [anon_sym_union] = ACTIONS(2412),
    [anon_sym_if] = ACTIONS(2412),
    [anon_sym_else] = ACTIONS(2412),
    [anon_sym_switch] = ACTIONS(2412),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_do] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(2412),
    [anon_sym_return] = ACTIONS(2412),
    [anon_sym_break] = ACTIONS(2412),
    [anon_sym_continue] = ACTIONS(2412),
    [anon_sym_goto] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2414),
    [anon_sym_PLUS_PLUS] = ACTIONS(2414),
    [anon_sym_sizeof] = ACTIONS(2412),
    [anon_sym___alignof__] = ACTIONS(2412),
    [anon_sym___alignof] = ACTIONS(2412),
    [anon_sym__alignof] = ACTIONS(2412),
    [anon_sym_alignof] = ACTIONS(2412),
    [anon_sym__Alignof] = ACTIONS(2412),
    [anon_sym_offsetof] = ACTIONS(2412),
    [anon_sym__Generic] = ACTIONS(2412),
    [anon_sym_asm] = ACTIONS(2412),
    [anon_sym___asm__] = ACTIONS(2412),
    [anon_sym___asm] = ACTIONS(2412),
    [sym_number_literal] = ACTIONS(2414),
    [anon_sym_L_SQUOTE] = ACTIONS(2414),
    [anon_sym_u_SQUOTE] = ACTIONS(2414),
    [anon_sym_U_SQUOTE] = ACTIONS(2414),
    [anon_sym_u8_SQUOTE] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2414),
    [anon_sym_AT] = ACTIONS(2412),
    [anon_sym_DQUOTE] = ACTIONS(2414),
    [anon_sym_L_DQUOTE] = ACTIONS(2414),
    [anon_sym_u_DQUOTE] = ACTIONS(2414),
    [anon_sym_U_DQUOTE] = ACTIONS(2414),
    [anon_sym_u8_DQUOTE] = ACTIONS(2414),
    [sym_true] = ACTIONS(2412),
    [sym_false] = ACTIONS(2412),
    [anon_sym_NULL] = ACTIONS(2412),
    [anon_sym_nullptr] = ACTIONS(2412),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2412),
    [anon_sym___typeof] = ACTIONS(2412),
    [anon_sym_typeof] = ACTIONS(2412),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2412),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2412),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2412),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2412),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2412),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2412),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2412),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_API_AVAILABLE] = ACTIONS(2412),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_API_DEPRECATED] = ACTIONS(2412),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2412),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym___deprecated_msg] = ACTIONS(2412),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2412),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2412),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2412),
    [anon_sym_ATtry] = ACTIONS(2414),
    [anon_sym___try] = ACTIONS(2412),
    [anon_sym_ATthrow] = ACTIONS(2414),
    [anon_sym_ATselector] = ACTIONS(2414),
    [anon_sym_ATavailable] = ACTIONS(2414),
    [anon_sym___builtin_available] = ACTIONS(2412),
    [anon_sym_va_arg] = ACTIONS(2412),
    [anon_sym_ATencode] = ACTIONS(2414),
    [anon_sym_ATsynchronized] = ACTIONS(2414),
    [anon_sym_BOOL] = ACTIONS(2412),
    [anon_sym_IMP] = ACTIONS(2412),
    [anon_sym_SEL] = ACTIONS(2412),
    [anon_sym_Class] = ACTIONS(2412),
    [anon_sym_id] = ACTIONS(2412),
  },
  [1120] = {
    [sym_identifier] = ACTIONS(2346),
    [anon_sym_LPAREN2] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_CARET] = ACTIONS(2348),
    [anon_sym_AMP] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym___extension__] = ACTIONS(2346),
    [anon_sym_typedef] = ACTIONS(2346),
    [anon_sym_extern] = ACTIONS(2346),
    [anon_sym___attribute__] = ACTIONS(2346),
    [anon_sym___attribute] = ACTIONS(2346),
    [anon_sym_noreturn] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym___declspec] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_signed] = ACTIONS(2346),
    [anon_sym_unsigned] = ACTIONS(2346),
    [anon_sym_long] = ACTIONS(2346),
    [anon_sym_short] = ACTIONS(2346),
    [anon_sym_static] = ACTIONS(2346),
    [anon_sym_ATautoreleasepool] = ACTIONS(2348),
    [anon_sym_auto] = ACTIONS(2346),
    [anon_sym_register] = ACTIONS(2346),
    [anon_sym_inline] = ACTIONS(2346),
    [anon_sym___inline] = ACTIONS(2346),
    [anon_sym___inline__] = ACTIONS(2346),
    [anon_sym___forceinline] = ACTIONS(2346),
    [anon_sym_thread_local] = ACTIONS(2346),
    [anon_sym___thread] = ACTIONS(2346),
    [anon_sym_CG_EXTERN] = ACTIONS(2346),
    [anon_sym_CG_INLINE] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2346),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2346),
    [anon_sym_IBOutlet] = ACTIONS(2346),
    [anon_sym_IBInspectable] = ACTIONS(2346),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2346),
    [anon_sym_NS_INLINE] = ACTIONS(2346),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2346),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2346),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2346),
    [anon_sym_const] = ACTIONS(2346),
    [anon_sym_constexpr] = ACTIONS(2346),
    [anon_sym_volatile] = ACTIONS(2346),
    [anon_sym_restrict] = ACTIONS(2346),
    [anon_sym___restrict__] = ACTIONS(2346),
    [anon_sym__Atomic] = ACTIONS(2346),
    [anon_sym__Noreturn] = ACTIONS(2346),
    [anon_sym__Nonnull] = ACTIONS(2346),
    [anon_sym_nullable] = ACTIONS(2346),
    [anon_sym__Complex] = ACTIONS(2346),
    [anon_sym__Nullable] = ACTIONS(2346),
    [anon_sym__Nullable_result] = ACTIONS(2346),
    [anon_sym__Null_unspecified] = ACTIONS(2346),
    [anon_sym___autoreleasing] = ACTIONS(2346),
    [anon_sym___block] = ACTIONS(2346),
    [anon_sym___bridge] = ACTIONS(2346),
    [anon_sym___bridge_retained] = ACTIONS(2346),
    [anon_sym___bridge_transfer] = ACTIONS(2346),
    [anon_sym___complex] = ACTIONS(2346),
    [anon_sym___const] = ACTIONS(2346),
    [anon_sym___imag] = ACTIONS(2346),
    [anon_sym___kindof] = ACTIONS(2346),
    [anon_sym___nonnull] = ACTIONS(2346),
    [anon_sym___nullable] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2346),
    [anon_sym___real] = ACTIONS(2346),
    [anon_sym___strong] = ACTIONS(2346),
    [anon_sym___unsafe_unretained] = ACTIONS(2346),
    [anon_sym___unused] = ACTIONS(2346),
    [anon_sym___weak] = ACTIONS(2346),
    [anon_sym_alignas] = ACTIONS(2346),
    [anon_sym__Alignas] = ACTIONS(2346),
    [sym_primitive_type] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2346),
    [anon_sym_struct] = ACTIONS(2346),
    [anon_sym_union] = ACTIONS(2346),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_else] = ACTIONS(2346),
    [anon_sym_switch] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2346),
    [anon_sym_for] = ACTIONS(2346),
    [anon_sym_in] = ACTIONS(2346),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_break] = ACTIONS(2346),
    [anon_sym_continue] = ACTIONS(2346),
    [anon_sym_goto] = ACTIONS(2346),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_sizeof] = ACTIONS(2346),
    [anon_sym___alignof__] = ACTIONS(2346),
    [anon_sym___alignof] = ACTIONS(2346),
    [anon_sym__alignof] = ACTIONS(2346),
    [anon_sym_alignof] = ACTIONS(2346),
    [anon_sym__Alignof] = ACTIONS(2346),
    [anon_sym_offsetof] = ACTIONS(2346),
    [anon_sym__Generic] = ACTIONS(2346),
    [anon_sym_asm] = ACTIONS(2346),
    [anon_sym___asm__] = ACTIONS(2346),
    [anon_sym___asm] = ACTIONS(2346),
    [sym_number_literal] = ACTIONS(2348),
    [anon_sym_L_SQUOTE] = ACTIONS(2348),
    [anon_sym_u_SQUOTE] = ACTIONS(2348),
    [anon_sym_U_SQUOTE] = ACTIONS(2348),
    [anon_sym_u8_SQUOTE] = ACTIONS(2348),
    [anon_sym_SQUOTE] = ACTIONS(2348),
    [anon_sym_AT] = ACTIONS(2346),
    [anon_sym_DQUOTE] = ACTIONS(2348),
    [anon_sym_L_DQUOTE] = ACTIONS(2348),
    [anon_sym_u_DQUOTE] = ACTIONS(2348),
    [anon_sym_U_DQUOTE] = ACTIONS(2348),
    [anon_sym_u8_DQUOTE] = ACTIONS(2348),
    [sym_true] = ACTIONS(2346),
    [sym_false] = ACTIONS(2346),
    [anon_sym_NULL] = ACTIONS(2346),
    [anon_sym_nullptr] = ACTIONS(2346),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2346),
    [anon_sym___typeof] = ACTIONS(2346),
    [anon_sym_typeof] = ACTIONS(2346),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2346),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2346),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2346),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_API_AVAILABLE] = ACTIONS(2346),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_API_DEPRECATED] = ACTIONS(2346),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym___deprecated_msg] = ACTIONS(2346),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2346),
    [anon_sym_ATtry] = ACTIONS(2348),
    [anon_sym___try] = ACTIONS(2346),
    [anon_sym_ATthrow] = ACTIONS(2348),
    [anon_sym_ATselector] = ACTIONS(2348),
    [anon_sym_ATavailable] = ACTIONS(2348),
    [anon_sym___builtin_available] = ACTIONS(2346),
    [anon_sym_va_arg] = ACTIONS(2346),
    [anon_sym_ATencode] = ACTIONS(2348),
    [anon_sym_ATsynchronized] = ACTIONS(2348),
    [anon_sym_BOOL] = ACTIONS(2346),
    [anon_sym_IMP] = ACTIONS(2346),
    [anon_sym_SEL] = ACTIONS(2346),
    [anon_sym_Class] = ACTIONS(2346),
    [anon_sym_id] = ACTIONS(2346),
  },
  [1121] = {
    [sym_identifier] = ACTIONS(2356),
    [anon_sym_LPAREN2] = ACTIONS(2358),
    [anon_sym_BANG] = ACTIONS(2358),
    [anon_sym_TILDE] = ACTIONS(2358),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2358),
    [anon_sym_CARET] = ACTIONS(2358),
    [anon_sym_AMP] = ACTIONS(2358),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2356),
    [anon_sym_typedef] = ACTIONS(2356),
    [anon_sym_extern] = ACTIONS(2356),
    [anon_sym___attribute__] = ACTIONS(2356),
    [anon_sym___attribute] = ACTIONS(2356),
    [anon_sym_noreturn] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2358),
    [anon_sym___declspec] = ACTIONS(2356),
    [anon_sym_LBRACE] = ACTIONS(2358),
    [anon_sym_signed] = ACTIONS(2356),
    [anon_sym_unsigned] = ACTIONS(2356),
    [anon_sym_long] = ACTIONS(2356),
    [anon_sym_short] = ACTIONS(2356),
    [anon_sym_static] = ACTIONS(2356),
    [anon_sym_ATautoreleasepool] = ACTIONS(2358),
    [anon_sym_auto] = ACTIONS(2356),
    [anon_sym_register] = ACTIONS(2356),
    [anon_sym_inline] = ACTIONS(2356),
    [anon_sym___inline] = ACTIONS(2356),
    [anon_sym___inline__] = ACTIONS(2356),
    [anon_sym___forceinline] = ACTIONS(2356),
    [anon_sym_thread_local] = ACTIONS(2356),
    [anon_sym___thread] = ACTIONS(2356),
    [anon_sym_CG_EXTERN] = ACTIONS(2356),
    [anon_sym_CG_INLINE] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2356),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2356),
    [anon_sym_IBOutlet] = ACTIONS(2356),
    [anon_sym_IBInspectable] = ACTIONS(2356),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2356),
    [anon_sym_NS_INLINE] = ACTIONS(2356),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2356),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2356),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2356),
    [anon_sym_const] = ACTIONS(2356),
    [anon_sym_constexpr] = ACTIONS(2356),
    [anon_sym_volatile] = ACTIONS(2356),
    [anon_sym_restrict] = ACTIONS(2356),
    [anon_sym___restrict__] = ACTIONS(2356),
    [anon_sym__Atomic] = ACTIONS(2356),
    [anon_sym__Noreturn] = ACTIONS(2356),
    [anon_sym__Nonnull] = ACTIONS(2356),
    [anon_sym_nullable] = ACTIONS(2356),
    [anon_sym__Complex] = ACTIONS(2356),
    [anon_sym__Nullable] = ACTIONS(2356),
    [anon_sym__Nullable_result] = ACTIONS(2356),
    [anon_sym__Null_unspecified] = ACTIONS(2356),
    [anon_sym___autoreleasing] = ACTIONS(2356),
    [anon_sym___block] = ACTIONS(2356),
    [anon_sym___bridge] = ACTIONS(2356),
    [anon_sym___bridge_retained] = ACTIONS(2356),
    [anon_sym___bridge_transfer] = ACTIONS(2356),
    [anon_sym___complex] = ACTIONS(2356),
    [anon_sym___const] = ACTIONS(2356),
    [anon_sym___imag] = ACTIONS(2356),
    [anon_sym___kindof] = ACTIONS(2356),
    [anon_sym___nonnull] = ACTIONS(2356),
    [anon_sym___nullable] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2356),
    [anon_sym___real] = ACTIONS(2356),
    [anon_sym___strong] = ACTIONS(2356),
    [anon_sym___unsafe_unretained] = ACTIONS(2356),
    [anon_sym___unused] = ACTIONS(2356),
    [anon_sym___weak] = ACTIONS(2356),
    [anon_sym_alignas] = ACTIONS(2356),
    [anon_sym__Alignas] = ACTIONS(2356),
    [sym_primitive_type] = ACTIONS(2356),
    [anon_sym_enum] = ACTIONS(2356),
    [anon_sym_struct] = ACTIONS(2356),
    [anon_sym_union] = ACTIONS(2356),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_else] = ACTIONS(2356),
    [anon_sym_switch] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_do] = ACTIONS(2356),
    [anon_sym_for] = ACTIONS(2356),
    [anon_sym_in] = ACTIONS(2356),
    [anon_sym_return] = ACTIONS(2356),
    [anon_sym_break] = ACTIONS(2356),
    [anon_sym_continue] = ACTIONS(2356),
    [anon_sym_goto] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2358),
    [anon_sym_PLUS_PLUS] = ACTIONS(2358),
    [anon_sym_sizeof] = ACTIONS(2356),
    [anon_sym___alignof__] = ACTIONS(2356),
    [anon_sym___alignof] = ACTIONS(2356),
    [anon_sym__alignof] = ACTIONS(2356),
    [anon_sym_alignof] = ACTIONS(2356),
    [anon_sym__Alignof] = ACTIONS(2356),
    [anon_sym_offsetof] = ACTIONS(2356),
    [anon_sym__Generic] = ACTIONS(2356),
    [anon_sym_asm] = ACTIONS(2356),
    [anon_sym___asm__] = ACTIONS(2356),
    [anon_sym___asm] = ACTIONS(2356),
    [sym_number_literal] = ACTIONS(2358),
    [anon_sym_L_SQUOTE] = ACTIONS(2358),
    [anon_sym_u_SQUOTE] = ACTIONS(2358),
    [anon_sym_U_SQUOTE] = ACTIONS(2358),
    [anon_sym_u8_SQUOTE] = ACTIONS(2358),
    [anon_sym_SQUOTE] = ACTIONS(2358),
    [anon_sym_AT] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2358),
    [anon_sym_L_DQUOTE] = ACTIONS(2358),
    [anon_sym_u_DQUOTE] = ACTIONS(2358),
    [anon_sym_U_DQUOTE] = ACTIONS(2358),
    [anon_sym_u8_DQUOTE] = ACTIONS(2358),
    [sym_true] = ACTIONS(2356),
    [sym_false] = ACTIONS(2356),
    [anon_sym_NULL] = ACTIONS(2356),
    [anon_sym_nullptr] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2356),
    [anon_sym___typeof] = ACTIONS(2356),
    [anon_sym_typeof] = ACTIONS(2356),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2356),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2356),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2356),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_API_AVAILABLE] = ACTIONS(2356),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_API_DEPRECATED] = ACTIONS(2356),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym___deprecated_msg] = ACTIONS(2356),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2356),
    [anon_sym_ATtry] = ACTIONS(2358),
    [anon_sym___try] = ACTIONS(2356),
    [anon_sym_ATthrow] = ACTIONS(2358),
    [anon_sym_ATselector] = ACTIONS(2358),
    [anon_sym_ATavailable] = ACTIONS(2358),
    [anon_sym___builtin_available] = ACTIONS(2356),
    [anon_sym_va_arg] = ACTIONS(2356),
    [anon_sym_ATencode] = ACTIONS(2358),
    [anon_sym_ATsynchronized] = ACTIONS(2358),
    [anon_sym_BOOL] = ACTIONS(2356),
    [anon_sym_IMP] = ACTIONS(2356),
    [anon_sym_SEL] = ACTIONS(2356),
    [anon_sym_Class] = ACTIONS(2356),
    [anon_sym_id] = ACTIONS(2356),
  },
  [1122] = {
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(2422),
    [anon_sym_BANG] = ACTIONS(2422),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_SEMI] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym___attribute] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_ATautoreleasepool] = ACTIONS(2422),
    [anon_sym_auto] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_CG_EXTERN] = ACTIONS(2420),
    [anon_sym_CG_INLINE] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2420),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2420),
    [anon_sym_IBOutlet] = ACTIONS(2420),
    [anon_sym_IBInspectable] = ACTIONS(2420),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2420),
    [anon_sym_NS_INLINE] = ACTIONS(2420),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2420),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2420),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym__Nonnull] = ACTIONS(2420),
    [anon_sym_nullable] = ACTIONS(2420),
    [anon_sym__Complex] = ACTIONS(2420),
    [anon_sym__Nullable] = ACTIONS(2420),
    [anon_sym__Nullable_result] = ACTIONS(2420),
    [anon_sym__Null_unspecified] = ACTIONS(2420),
    [anon_sym___autoreleasing] = ACTIONS(2420),
    [anon_sym___block] = ACTIONS(2420),
    [anon_sym___bridge] = ACTIONS(2420),
    [anon_sym___bridge_retained] = ACTIONS(2420),
    [anon_sym___bridge_transfer] = ACTIONS(2420),
    [anon_sym___complex] = ACTIONS(2420),
    [anon_sym___const] = ACTIONS(2420),
    [anon_sym___imag] = ACTIONS(2420),
    [anon_sym___kindof] = ACTIONS(2420),
    [anon_sym___nonnull] = ACTIONS(2420),
    [anon_sym___nullable] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2420),
    [anon_sym___real] = ACTIONS(2420),
    [anon_sym___strong] = ACTIONS(2420),
    [anon_sym___unsafe_unretained] = ACTIONS(2420),
    [anon_sym___unused] = ACTIONS(2420),
    [anon_sym___weak] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym__Alignas] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [anon_sym_if] = ACTIONS(2420),
    [anon_sym_else] = ACTIONS(2420),
    [anon_sym_switch] = ACTIONS(2420),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_in] = ACTIONS(2420),
    [anon_sym_return] = ACTIONS(2420),
    [anon_sym_break] = ACTIONS(2420),
    [anon_sym_continue] = ACTIONS(2420),
    [anon_sym_goto] = ACTIONS(2420),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2420),
    [anon_sym___alignof__] = ACTIONS(2420),
    [anon_sym___alignof] = ACTIONS(2420),
    [anon_sym__alignof] = ACTIONS(2420),
    [anon_sym_alignof] = ACTIONS(2420),
    [anon_sym__Alignof] = ACTIONS(2420),
    [anon_sym_offsetof] = ACTIONS(2420),
    [anon_sym__Generic] = ACTIONS(2420),
    [anon_sym_asm] = ACTIONS(2420),
    [anon_sym___asm__] = ACTIONS(2420),
    [anon_sym___asm] = ACTIONS(2420),
    [sym_number_literal] = ACTIONS(2422),
    [anon_sym_L_SQUOTE] = ACTIONS(2422),
    [anon_sym_u_SQUOTE] = ACTIONS(2422),
    [anon_sym_U_SQUOTE] = ACTIONS(2422),
    [anon_sym_u8_SQUOTE] = ACTIONS(2422),
    [anon_sym_SQUOTE] = ACTIONS(2422),
    [anon_sym_AT] = ACTIONS(2420),
    [anon_sym_DQUOTE] = ACTIONS(2422),
    [anon_sym_L_DQUOTE] = ACTIONS(2422),
    [anon_sym_u_DQUOTE] = ACTIONS(2422),
    [anon_sym_U_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8_DQUOTE] = ACTIONS(2422),
    [sym_true] = ACTIONS(2420),
    [sym_false] = ACTIONS(2420),
    [anon_sym_NULL] = ACTIONS(2420),
    [anon_sym_nullptr] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2420),
    [anon_sym___typeof] = ACTIONS(2420),
    [anon_sym_typeof] = ACTIONS(2420),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2420),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2420),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2420),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_API_AVAILABLE] = ACTIONS(2420),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_API_DEPRECATED] = ACTIONS(2420),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym___deprecated_msg] = ACTIONS(2420),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2420),
    [anon_sym_ATtry] = ACTIONS(2422),
    [anon_sym___try] = ACTIONS(2420),
    [anon_sym_ATthrow] = ACTIONS(2422),
    [anon_sym_ATselector] = ACTIONS(2422),
    [anon_sym_ATavailable] = ACTIONS(2422),
    [anon_sym___builtin_available] = ACTIONS(2420),
    [anon_sym_va_arg] = ACTIONS(2420),
    [anon_sym_ATencode] = ACTIONS(2422),
    [anon_sym_ATsynchronized] = ACTIONS(2422),
    [anon_sym_BOOL] = ACTIONS(2420),
    [anon_sym_IMP] = ACTIONS(2420),
    [anon_sym_SEL] = ACTIONS(2420),
    [anon_sym_Class] = ACTIONS(2420),
    [anon_sym_id] = ACTIONS(2420),
  },
  [1123] = {
    [sym_identifier] = ACTIONS(2478),
    [anon_sym_LPAREN2] = ACTIONS(2480),
    [anon_sym_BANG] = ACTIONS(2480),
    [anon_sym_TILDE] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2480),
    [anon_sym_CARET] = ACTIONS(2480),
    [anon_sym_AMP] = ACTIONS(2480),
    [anon_sym_SEMI] = ACTIONS(2480),
    [anon_sym___extension__] = ACTIONS(2478),
    [anon_sym_typedef] = ACTIONS(2478),
    [anon_sym_extern] = ACTIONS(2478),
    [anon_sym___attribute__] = ACTIONS(2478),
    [anon_sym___attribute] = ACTIONS(2478),
    [anon_sym_noreturn] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym___declspec] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2480),
    [anon_sym_signed] = ACTIONS(2478),
    [anon_sym_unsigned] = ACTIONS(2478),
    [anon_sym_long] = ACTIONS(2478),
    [anon_sym_short] = ACTIONS(2478),
    [anon_sym_static] = ACTIONS(2478),
    [anon_sym_ATautoreleasepool] = ACTIONS(2480),
    [anon_sym_auto] = ACTIONS(2478),
    [anon_sym_register] = ACTIONS(2478),
    [anon_sym_inline] = ACTIONS(2478),
    [anon_sym___inline] = ACTIONS(2478),
    [anon_sym___inline__] = ACTIONS(2478),
    [anon_sym___forceinline] = ACTIONS(2478),
    [anon_sym_thread_local] = ACTIONS(2478),
    [anon_sym___thread] = ACTIONS(2478),
    [anon_sym_CG_EXTERN] = ACTIONS(2478),
    [anon_sym_CG_INLINE] = ACTIONS(2478),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2478),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2478),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2478),
    [anon_sym_IBOutlet] = ACTIONS(2478),
    [anon_sym_IBInspectable] = ACTIONS(2478),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2478),
    [anon_sym_NS_INLINE] = ACTIONS(2478),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2478),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2478),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2478),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2478),
    [anon_sym_const] = ACTIONS(2478),
    [anon_sym_constexpr] = ACTIONS(2478),
    [anon_sym_volatile] = ACTIONS(2478),
    [anon_sym_restrict] = ACTIONS(2478),
    [anon_sym___restrict__] = ACTIONS(2478),
    [anon_sym__Atomic] = ACTIONS(2478),
    [anon_sym__Noreturn] = ACTIONS(2478),
    [anon_sym__Nonnull] = ACTIONS(2478),
    [anon_sym_nullable] = ACTIONS(2478),
    [anon_sym__Complex] = ACTIONS(2478),
    [anon_sym__Nullable] = ACTIONS(2478),
    [anon_sym__Nullable_result] = ACTIONS(2478),
    [anon_sym__Null_unspecified] = ACTIONS(2478),
    [anon_sym___autoreleasing] = ACTIONS(2478),
    [anon_sym___block] = ACTIONS(2478),
    [anon_sym___bridge] = ACTIONS(2478),
    [anon_sym___bridge_retained] = ACTIONS(2478),
    [anon_sym___bridge_transfer] = ACTIONS(2478),
    [anon_sym___complex] = ACTIONS(2478),
    [anon_sym___const] = ACTIONS(2478),
    [anon_sym___imag] = ACTIONS(2478),
    [anon_sym___kindof] = ACTIONS(2478),
    [anon_sym___nonnull] = ACTIONS(2478),
    [anon_sym___nullable] = ACTIONS(2478),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2478),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2478),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2478),
    [anon_sym___real] = ACTIONS(2478),
    [anon_sym___strong] = ACTIONS(2478),
    [anon_sym___unsafe_unretained] = ACTIONS(2478),
    [anon_sym___unused] = ACTIONS(2478),
    [anon_sym___weak] = ACTIONS(2478),
    [anon_sym_alignas] = ACTIONS(2478),
    [anon_sym__Alignas] = ACTIONS(2478),
    [sym_primitive_type] = ACTIONS(2478),
    [anon_sym_enum] = ACTIONS(2478),
    [anon_sym_struct] = ACTIONS(2478),
    [anon_sym_union] = ACTIONS(2478),
    [anon_sym_if] = ACTIONS(2478),
    [anon_sym_else] = ACTIONS(2478),
    [anon_sym_switch] = ACTIONS(2478),
    [anon_sym_while] = ACTIONS(2478),
    [anon_sym_do] = ACTIONS(2478),
    [anon_sym_for] = ACTIONS(2478),
    [anon_sym_in] = ACTIONS(2478),
    [anon_sym_return] = ACTIONS(2478),
    [anon_sym_break] = ACTIONS(2478),
    [anon_sym_continue] = ACTIONS(2478),
    [anon_sym_goto] = ACTIONS(2478),
    [anon_sym_DASH_DASH] = ACTIONS(2480),
    [anon_sym_PLUS_PLUS] = ACTIONS(2480),
    [anon_sym_sizeof] = ACTIONS(2478),
    [anon_sym___alignof__] = ACTIONS(2478),
    [anon_sym___alignof] = ACTIONS(2478),
    [anon_sym__alignof] = ACTIONS(2478),
    [anon_sym_alignof] = ACTIONS(2478),
    [anon_sym__Alignof] = ACTIONS(2478),
    [anon_sym_offsetof] = ACTIONS(2478),
    [anon_sym__Generic] = ACTIONS(2478),
    [anon_sym_asm] = ACTIONS(2478),
    [anon_sym___asm__] = ACTIONS(2478),
    [anon_sym___asm] = ACTIONS(2478),
    [sym_number_literal] = ACTIONS(2480),
    [anon_sym_L_SQUOTE] = ACTIONS(2480),
    [anon_sym_u_SQUOTE] = ACTIONS(2480),
    [anon_sym_U_SQUOTE] = ACTIONS(2480),
    [anon_sym_u8_SQUOTE] = ACTIONS(2480),
    [anon_sym_SQUOTE] = ACTIONS(2480),
    [anon_sym_AT] = ACTIONS(2478),
    [anon_sym_DQUOTE] = ACTIONS(2480),
    [anon_sym_L_DQUOTE] = ACTIONS(2480),
    [anon_sym_u_DQUOTE] = ACTIONS(2480),
    [anon_sym_U_DQUOTE] = ACTIONS(2480),
    [anon_sym_u8_DQUOTE] = ACTIONS(2480),
    [sym_true] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
    [anon_sym_NULL] = ACTIONS(2478),
    [anon_sym_nullptr] = ACTIONS(2478),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2478),
    [anon_sym___typeof] = ACTIONS(2478),
    [anon_sym_typeof] = ACTIONS(2478),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2478),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2478),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2478),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2478),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2478),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2478),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2478),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2478),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2478),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_API_AVAILABLE] = ACTIONS(2478),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_API_DEPRECATED] = ACTIONS(2478),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2478),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2478),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2478),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2478),
    [anon_sym___deprecated_msg] = ACTIONS(2478),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2478),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2478),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2478),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2478),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2478),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2478),
    [anon_sym_ATtry] = ACTIONS(2480),
    [anon_sym___try] = ACTIONS(2478),
    [anon_sym_ATthrow] = ACTIONS(2480),
    [anon_sym_ATselector] = ACTIONS(2480),
    [anon_sym_ATavailable] = ACTIONS(2480),
    [anon_sym___builtin_available] = ACTIONS(2478),
    [anon_sym_va_arg] = ACTIONS(2478),
    [anon_sym_ATencode] = ACTIONS(2480),
    [anon_sym_ATsynchronized] = ACTIONS(2480),
    [anon_sym_BOOL] = ACTIONS(2478),
    [anon_sym_IMP] = ACTIONS(2478),
    [anon_sym_SEL] = ACTIONS(2478),
    [anon_sym_Class] = ACTIONS(2478),
    [anon_sym_id] = ACTIONS(2478),
  },
  [1124] = {
    [sym_identifier] = ACTIONS(2482),
    [anon_sym_LPAREN2] = ACTIONS(2484),
    [anon_sym_BANG] = ACTIONS(2484),
    [anon_sym_TILDE] = ACTIONS(2484),
    [anon_sym_DASH] = ACTIONS(2482),
    [anon_sym_PLUS] = ACTIONS(2482),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_CARET] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_SEMI] = ACTIONS(2484),
    [anon_sym___extension__] = ACTIONS(2482),
    [anon_sym_typedef] = ACTIONS(2482),
    [anon_sym_extern] = ACTIONS(2482),
    [anon_sym___attribute__] = ACTIONS(2482),
    [anon_sym___attribute] = ACTIONS(2482),
    [anon_sym_noreturn] = ACTIONS(2482),
    [anon_sym_LBRACK] = ACTIONS(2484),
    [anon_sym___declspec] = ACTIONS(2482),
    [anon_sym_LBRACE] = ACTIONS(2484),
    [anon_sym_signed] = ACTIONS(2482),
    [anon_sym_unsigned] = ACTIONS(2482),
    [anon_sym_long] = ACTIONS(2482),
    [anon_sym_short] = ACTIONS(2482),
    [anon_sym_static] = ACTIONS(2482),
    [anon_sym_ATautoreleasepool] = ACTIONS(2484),
    [anon_sym_auto] = ACTIONS(2482),
    [anon_sym_register] = ACTIONS(2482),
    [anon_sym_inline] = ACTIONS(2482),
    [anon_sym___inline] = ACTIONS(2482),
    [anon_sym___inline__] = ACTIONS(2482),
    [anon_sym___forceinline] = ACTIONS(2482),
    [anon_sym_thread_local] = ACTIONS(2482),
    [anon_sym___thread] = ACTIONS(2482),
    [anon_sym_CG_EXTERN] = ACTIONS(2482),
    [anon_sym_CG_INLINE] = ACTIONS(2482),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2482),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2482),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2482),
    [anon_sym_IBOutlet] = ACTIONS(2482),
    [anon_sym_IBInspectable] = ACTIONS(2482),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2482),
    [anon_sym_NS_INLINE] = ACTIONS(2482),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2482),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2482),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2482),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2482),
    [anon_sym_const] = ACTIONS(2482),
    [anon_sym_constexpr] = ACTIONS(2482),
    [anon_sym_volatile] = ACTIONS(2482),
    [anon_sym_restrict] = ACTIONS(2482),
    [anon_sym___restrict__] = ACTIONS(2482),
    [anon_sym__Atomic] = ACTIONS(2482),
    [anon_sym__Noreturn] = ACTIONS(2482),
    [anon_sym__Nonnull] = ACTIONS(2482),
    [anon_sym_nullable] = ACTIONS(2482),
    [anon_sym__Complex] = ACTIONS(2482),
    [anon_sym__Nullable] = ACTIONS(2482),
    [anon_sym__Nullable_result] = ACTIONS(2482),
    [anon_sym__Null_unspecified] = ACTIONS(2482),
    [anon_sym___autoreleasing] = ACTIONS(2482),
    [anon_sym___block] = ACTIONS(2482),
    [anon_sym___bridge] = ACTIONS(2482),
    [anon_sym___bridge_retained] = ACTIONS(2482),
    [anon_sym___bridge_transfer] = ACTIONS(2482),
    [anon_sym___complex] = ACTIONS(2482),
    [anon_sym___const] = ACTIONS(2482),
    [anon_sym___imag] = ACTIONS(2482),
    [anon_sym___kindof] = ACTIONS(2482),
    [anon_sym___nonnull] = ACTIONS(2482),
    [anon_sym___nullable] = ACTIONS(2482),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2482),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2482),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2482),
    [anon_sym___real] = ACTIONS(2482),
    [anon_sym___strong] = ACTIONS(2482),
    [anon_sym___unsafe_unretained] = ACTIONS(2482),
    [anon_sym___unused] = ACTIONS(2482),
    [anon_sym___weak] = ACTIONS(2482),
    [anon_sym_alignas] = ACTIONS(2482),
    [anon_sym__Alignas] = ACTIONS(2482),
    [sym_primitive_type] = ACTIONS(2482),
    [anon_sym_enum] = ACTIONS(2482),
    [anon_sym_struct] = ACTIONS(2482),
    [anon_sym_union] = ACTIONS(2482),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_else] = ACTIONS(2482),
    [anon_sym_switch] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2482),
    [anon_sym_do] = ACTIONS(2482),
    [anon_sym_for] = ACTIONS(2482),
    [anon_sym_in] = ACTIONS(2482),
    [anon_sym_return] = ACTIONS(2482),
    [anon_sym_break] = ACTIONS(2482),
    [anon_sym_continue] = ACTIONS(2482),
    [anon_sym_goto] = ACTIONS(2482),
    [anon_sym_DASH_DASH] = ACTIONS(2484),
    [anon_sym_PLUS_PLUS] = ACTIONS(2484),
    [anon_sym_sizeof] = ACTIONS(2482),
    [anon_sym___alignof__] = ACTIONS(2482),
    [anon_sym___alignof] = ACTIONS(2482),
    [anon_sym__alignof] = ACTIONS(2482),
    [anon_sym_alignof] = ACTIONS(2482),
    [anon_sym__Alignof] = ACTIONS(2482),
    [anon_sym_offsetof] = ACTIONS(2482),
    [anon_sym__Generic] = ACTIONS(2482),
    [anon_sym_asm] = ACTIONS(2482),
    [anon_sym___asm__] = ACTIONS(2482),
    [anon_sym___asm] = ACTIONS(2482),
    [sym_number_literal] = ACTIONS(2484),
    [anon_sym_L_SQUOTE] = ACTIONS(2484),
    [anon_sym_u_SQUOTE] = ACTIONS(2484),
    [anon_sym_U_SQUOTE] = ACTIONS(2484),
    [anon_sym_u8_SQUOTE] = ACTIONS(2484),
    [anon_sym_SQUOTE] = ACTIONS(2484),
    [anon_sym_AT] = ACTIONS(2482),
    [anon_sym_DQUOTE] = ACTIONS(2484),
    [anon_sym_L_DQUOTE] = ACTIONS(2484),
    [anon_sym_u_DQUOTE] = ACTIONS(2484),
    [anon_sym_U_DQUOTE] = ACTIONS(2484),
    [anon_sym_u8_DQUOTE] = ACTIONS(2484),
    [sym_true] = ACTIONS(2482),
    [sym_false] = ACTIONS(2482),
    [anon_sym_NULL] = ACTIONS(2482),
    [anon_sym_nullptr] = ACTIONS(2482),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2482),
    [anon_sym___typeof] = ACTIONS(2482),
    [anon_sym_typeof] = ACTIONS(2482),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2482),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2482),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2482),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2482),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2482),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2482),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2482),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2482),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2482),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_API_AVAILABLE] = ACTIONS(2482),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_API_DEPRECATED] = ACTIONS(2482),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2482),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2482),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2482),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2482),
    [anon_sym___deprecated_msg] = ACTIONS(2482),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2482),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2482),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2482),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2482),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2482),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2482),
    [anon_sym_ATtry] = ACTIONS(2484),
    [anon_sym___try] = ACTIONS(2482),
    [anon_sym_ATthrow] = ACTIONS(2484),
    [anon_sym_ATselector] = ACTIONS(2484),
    [anon_sym_ATavailable] = ACTIONS(2484),
    [anon_sym___builtin_available] = ACTIONS(2482),
    [anon_sym_va_arg] = ACTIONS(2482),
    [anon_sym_ATencode] = ACTIONS(2484),
    [anon_sym_ATsynchronized] = ACTIONS(2484),
    [anon_sym_BOOL] = ACTIONS(2482),
    [anon_sym_IMP] = ACTIONS(2482),
    [anon_sym_SEL] = ACTIONS(2482),
    [anon_sym_Class] = ACTIONS(2482),
    [anon_sym_id] = ACTIONS(2482),
  },
  [1125] = {
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_LPAREN2] = ACTIONS(2422),
    [anon_sym_BANG] = ACTIONS(2422),
    [anon_sym_TILDE] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(2420),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_SEMI] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym___attribute] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_ATautoreleasepool] = ACTIONS(2422),
    [anon_sym_auto] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_CG_EXTERN] = ACTIONS(2420),
    [anon_sym_CG_INLINE] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2420),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2420),
    [anon_sym_IBOutlet] = ACTIONS(2420),
    [anon_sym_IBInspectable] = ACTIONS(2420),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2420),
    [anon_sym_NS_INLINE] = ACTIONS(2420),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2420),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2420),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym__Nonnull] = ACTIONS(2420),
    [anon_sym_nullable] = ACTIONS(2420),
    [anon_sym__Complex] = ACTIONS(2420),
    [anon_sym__Nullable] = ACTIONS(2420),
    [anon_sym__Nullable_result] = ACTIONS(2420),
    [anon_sym__Null_unspecified] = ACTIONS(2420),
    [anon_sym___autoreleasing] = ACTIONS(2420),
    [anon_sym___block] = ACTIONS(2420),
    [anon_sym___bridge] = ACTIONS(2420),
    [anon_sym___bridge_retained] = ACTIONS(2420),
    [anon_sym___bridge_transfer] = ACTIONS(2420),
    [anon_sym___complex] = ACTIONS(2420),
    [anon_sym___const] = ACTIONS(2420),
    [anon_sym___imag] = ACTIONS(2420),
    [anon_sym___kindof] = ACTIONS(2420),
    [anon_sym___nonnull] = ACTIONS(2420),
    [anon_sym___nullable] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2420),
    [anon_sym___real] = ACTIONS(2420),
    [anon_sym___strong] = ACTIONS(2420),
    [anon_sym___unsafe_unretained] = ACTIONS(2420),
    [anon_sym___unused] = ACTIONS(2420),
    [anon_sym___weak] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym__Alignas] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [anon_sym_if] = ACTIONS(2420),
    [anon_sym_else] = ACTIONS(2420),
    [anon_sym_switch] = ACTIONS(2420),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_do] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_in] = ACTIONS(2420),
    [anon_sym_return] = ACTIONS(2420),
    [anon_sym_break] = ACTIONS(2420),
    [anon_sym_continue] = ACTIONS(2420),
    [anon_sym_goto] = ACTIONS(2420),
    [anon_sym_DASH_DASH] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2422),
    [anon_sym_sizeof] = ACTIONS(2420),
    [anon_sym___alignof__] = ACTIONS(2420),
    [anon_sym___alignof] = ACTIONS(2420),
    [anon_sym__alignof] = ACTIONS(2420),
    [anon_sym_alignof] = ACTIONS(2420),
    [anon_sym__Alignof] = ACTIONS(2420),
    [anon_sym_offsetof] = ACTIONS(2420),
    [anon_sym__Generic] = ACTIONS(2420),
    [anon_sym_asm] = ACTIONS(2420),
    [anon_sym___asm__] = ACTIONS(2420),
    [anon_sym___asm] = ACTIONS(2420),
    [sym_number_literal] = ACTIONS(2422),
    [anon_sym_L_SQUOTE] = ACTIONS(2422),
    [anon_sym_u_SQUOTE] = ACTIONS(2422),
    [anon_sym_U_SQUOTE] = ACTIONS(2422),
    [anon_sym_u8_SQUOTE] = ACTIONS(2422),
    [anon_sym_SQUOTE] = ACTIONS(2422),
    [anon_sym_AT] = ACTIONS(2420),
    [anon_sym_DQUOTE] = ACTIONS(2422),
    [anon_sym_L_DQUOTE] = ACTIONS(2422),
    [anon_sym_u_DQUOTE] = ACTIONS(2422),
    [anon_sym_U_DQUOTE] = ACTIONS(2422),
    [anon_sym_u8_DQUOTE] = ACTIONS(2422),
    [sym_true] = ACTIONS(2420),
    [sym_false] = ACTIONS(2420),
    [anon_sym_NULL] = ACTIONS(2420),
    [anon_sym_nullptr] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2420),
    [anon_sym___typeof] = ACTIONS(2420),
    [anon_sym_typeof] = ACTIONS(2420),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2420),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2420),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2420),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_API_AVAILABLE] = ACTIONS(2420),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_API_DEPRECATED] = ACTIONS(2420),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym___deprecated_msg] = ACTIONS(2420),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2420),
    [anon_sym_ATtry] = ACTIONS(2422),
    [anon_sym___try] = ACTIONS(2420),
    [anon_sym_ATthrow] = ACTIONS(2422),
    [anon_sym_ATselector] = ACTIONS(2422),
    [anon_sym_ATavailable] = ACTIONS(2422),
    [anon_sym___builtin_available] = ACTIONS(2420),
    [anon_sym_va_arg] = ACTIONS(2420),
    [anon_sym_ATencode] = ACTIONS(2422),
    [anon_sym_ATsynchronized] = ACTIONS(2422),
    [anon_sym_BOOL] = ACTIONS(2420),
    [anon_sym_IMP] = ACTIONS(2420),
    [anon_sym_SEL] = ACTIONS(2420),
    [anon_sym_Class] = ACTIONS(2420),
    [anon_sym_id] = ACTIONS(2420),
  },
  [1126] = {
    [sym_identifier] = ACTIONS(2368),
    [anon_sym_LPAREN2] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_CARET] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym___extension__] = ACTIONS(2368),
    [anon_sym_typedef] = ACTIONS(2368),
    [anon_sym_extern] = ACTIONS(2368),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym___attribute] = ACTIONS(2368),
    [anon_sym_noreturn] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym___declspec] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_signed] = ACTIONS(2368),
    [anon_sym_unsigned] = ACTIONS(2368),
    [anon_sym_long] = ACTIONS(2368),
    [anon_sym_short] = ACTIONS(2368),
    [anon_sym_static] = ACTIONS(2368),
    [anon_sym_ATautoreleasepool] = ACTIONS(2370),
    [anon_sym_auto] = ACTIONS(2368),
    [anon_sym_register] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(2368),
    [anon_sym___inline] = ACTIONS(2368),
    [anon_sym___inline__] = ACTIONS(2368),
    [anon_sym___forceinline] = ACTIONS(2368),
    [anon_sym_thread_local] = ACTIONS(2368),
    [anon_sym___thread] = ACTIONS(2368),
    [anon_sym_CG_EXTERN] = ACTIONS(2368),
    [anon_sym_CG_INLINE] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2368),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2368),
    [anon_sym_IBOutlet] = ACTIONS(2368),
    [anon_sym_IBInspectable] = ACTIONS(2368),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2368),
    [anon_sym_NS_INLINE] = ACTIONS(2368),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2368),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2368),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2368),
    [anon_sym_const] = ACTIONS(2368),
    [anon_sym_constexpr] = ACTIONS(2368),
    [anon_sym_volatile] = ACTIONS(2368),
    [anon_sym_restrict] = ACTIONS(2368),
    [anon_sym___restrict__] = ACTIONS(2368),
    [anon_sym__Atomic] = ACTIONS(2368),
    [anon_sym__Noreturn] = ACTIONS(2368),
    [anon_sym__Nonnull] = ACTIONS(2368),
    [anon_sym_nullable] = ACTIONS(2368),
    [anon_sym__Complex] = ACTIONS(2368),
    [anon_sym__Nullable] = ACTIONS(2368),
    [anon_sym__Nullable_result] = ACTIONS(2368),
    [anon_sym__Null_unspecified] = ACTIONS(2368),
    [anon_sym___autoreleasing] = ACTIONS(2368),
    [anon_sym___block] = ACTIONS(2368),
    [anon_sym___bridge] = ACTIONS(2368),
    [anon_sym___bridge_retained] = ACTIONS(2368),
    [anon_sym___bridge_transfer] = ACTIONS(2368),
    [anon_sym___complex] = ACTIONS(2368),
    [anon_sym___const] = ACTIONS(2368),
    [anon_sym___imag] = ACTIONS(2368),
    [anon_sym___kindof] = ACTIONS(2368),
    [anon_sym___nonnull] = ACTIONS(2368),
    [anon_sym___nullable] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2368),
    [anon_sym___real] = ACTIONS(2368),
    [anon_sym___strong] = ACTIONS(2368),
    [anon_sym___unsafe_unretained] = ACTIONS(2368),
    [anon_sym___unused] = ACTIONS(2368),
    [anon_sym___weak] = ACTIONS(2368),
    [anon_sym_alignas] = ACTIONS(2368),
    [anon_sym__Alignas] = ACTIONS(2368),
    [sym_primitive_type] = ACTIONS(2368),
    [anon_sym_enum] = ACTIONS(2368),
    [anon_sym_struct] = ACTIONS(2368),
    [anon_sym_union] = ACTIONS(2368),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_else] = ACTIONS(2368),
    [anon_sym_switch] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_do] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2368),
    [anon_sym_in] = ACTIONS(2368),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_break] = ACTIONS(2368),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_goto] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_sizeof] = ACTIONS(2368),
    [anon_sym___alignof__] = ACTIONS(2368),
    [anon_sym___alignof] = ACTIONS(2368),
    [anon_sym__alignof] = ACTIONS(2368),
    [anon_sym_alignof] = ACTIONS(2368),
    [anon_sym__Alignof] = ACTIONS(2368),
    [anon_sym_offsetof] = ACTIONS(2368),
    [anon_sym__Generic] = ACTIONS(2368),
    [anon_sym_asm] = ACTIONS(2368),
    [anon_sym___asm__] = ACTIONS(2368),
    [anon_sym___asm] = ACTIONS(2368),
    [sym_number_literal] = ACTIONS(2370),
    [anon_sym_L_SQUOTE] = ACTIONS(2370),
    [anon_sym_u_SQUOTE] = ACTIONS(2370),
    [anon_sym_U_SQUOTE] = ACTIONS(2370),
    [anon_sym_u8_SQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2368),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_L_DQUOTE] = ACTIONS(2370),
    [anon_sym_u_DQUOTE] = ACTIONS(2370),
    [anon_sym_U_DQUOTE] = ACTIONS(2370),
    [anon_sym_u8_DQUOTE] = ACTIONS(2370),
    [sym_true] = ACTIONS(2368),
    [sym_false] = ACTIONS(2368),
    [anon_sym_NULL] = ACTIONS(2368),
    [anon_sym_nullptr] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2368),
    [anon_sym___typeof] = ACTIONS(2368),
    [anon_sym_typeof] = ACTIONS(2368),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2368),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2368),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2368),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_API_AVAILABLE] = ACTIONS(2368),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_API_DEPRECATED] = ACTIONS(2368),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym___deprecated_msg] = ACTIONS(2368),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2368),
    [anon_sym_ATtry] = ACTIONS(2370),
    [anon_sym___try] = ACTIONS(2368),
    [anon_sym_ATthrow] = ACTIONS(2370),
    [anon_sym_ATselector] = ACTIONS(2370),
    [anon_sym_ATavailable] = ACTIONS(2370),
    [anon_sym___builtin_available] = ACTIONS(2368),
    [anon_sym_va_arg] = ACTIONS(2368),
    [anon_sym_ATencode] = ACTIONS(2370),
    [anon_sym_ATsynchronized] = ACTIONS(2370),
    [anon_sym_BOOL] = ACTIONS(2368),
    [anon_sym_IMP] = ACTIONS(2368),
    [anon_sym_SEL] = ACTIONS(2368),
    [anon_sym_Class] = ACTIONS(2368),
    [anon_sym_id] = ACTIONS(2368),
  },
  [1127] = {
    [sym_identifier] = ACTIONS(2490),
    [anon_sym_LPAREN2] = ACTIONS(2492),
    [anon_sym_BANG] = ACTIONS(2492),
    [anon_sym_TILDE] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2490),
    [anon_sym_PLUS] = ACTIONS(2490),
    [anon_sym_STAR] = ACTIONS(2492),
    [anon_sym_CARET] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2492),
    [anon_sym___extension__] = ACTIONS(2490),
    [anon_sym_typedef] = ACTIONS(2490),
    [anon_sym_extern] = ACTIONS(2490),
    [anon_sym___attribute__] = ACTIONS(2490),
    [anon_sym___attribute] = ACTIONS(2490),
    [anon_sym_noreturn] = ACTIONS(2490),
    [anon_sym_LBRACK] = ACTIONS(2492),
    [anon_sym___declspec] = ACTIONS(2490),
    [anon_sym_LBRACE] = ACTIONS(2492),
    [anon_sym_signed] = ACTIONS(2490),
    [anon_sym_unsigned] = ACTIONS(2490),
    [anon_sym_long] = ACTIONS(2490),
    [anon_sym_short] = ACTIONS(2490),
    [anon_sym_static] = ACTIONS(2490),
    [anon_sym_ATautoreleasepool] = ACTIONS(2492),
    [anon_sym_auto] = ACTIONS(2490),
    [anon_sym_register] = ACTIONS(2490),
    [anon_sym_inline] = ACTIONS(2490),
    [anon_sym___inline] = ACTIONS(2490),
    [anon_sym___inline__] = ACTIONS(2490),
    [anon_sym___forceinline] = ACTIONS(2490),
    [anon_sym_thread_local] = ACTIONS(2490),
    [anon_sym___thread] = ACTIONS(2490),
    [anon_sym_CG_EXTERN] = ACTIONS(2490),
    [anon_sym_CG_INLINE] = ACTIONS(2490),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2490),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2490),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2490),
    [anon_sym_IBOutlet] = ACTIONS(2490),
    [anon_sym_IBInspectable] = ACTIONS(2490),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2490),
    [anon_sym_NS_INLINE] = ACTIONS(2490),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2490),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2490),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2490),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2490),
    [anon_sym_const] = ACTIONS(2490),
    [anon_sym_constexpr] = ACTIONS(2490),
    [anon_sym_volatile] = ACTIONS(2490),
    [anon_sym_restrict] = ACTIONS(2490),
    [anon_sym___restrict__] = ACTIONS(2490),
    [anon_sym__Atomic] = ACTIONS(2490),
    [anon_sym__Noreturn] = ACTIONS(2490),
    [anon_sym__Nonnull] = ACTIONS(2490),
    [anon_sym_nullable] = ACTIONS(2490),
    [anon_sym__Complex] = ACTIONS(2490),
    [anon_sym__Nullable] = ACTIONS(2490),
    [anon_sym__Nullable_result] = ACTIONS(2490),
    [anon_sym__Null_unspecified] = ACTIONS(2490),
    [anon_sym___autoreleasing] = ACTIONS(2490),
    [anon_sym___block] = ACTIONS(2490),
    [anon_sym___bridge] = ACTIONS(2490),
    [anon_sym___bridge_retained] = ACTIONS(2490),
    [anon_sym___bridge_transfer] = ACTIONS(2490),
    [anon_sym___complex] = ACTIONS(2490),
    [anon_sym___const] = ACTIONS(2490),
    [anon_sym___imag] = ACTIONS(2490),
    [anon_sym___kindof] = ACTIONS(2490),
    [anon_sym___nonnull] = ACTIONS(2490),
    [anon_sym___nullable] = ACTIONS(2490),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2490),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2490),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2490),
    [anon_sym___real] = ACTIONS(2490),
    [anon_sym___strong] = ACTIONS(2490),
    [anon_sym___unsafe_unretained] = ACTIONS(2490),
    [anon_sym___unused] = ACTIONS(2490),
    [anon_sym___weak] = ACTIONS(2490),
    [anon_sym_alignas] = ACTIONS(2490),
    [anon_sym__Alignas] = ACTIONS(2490),
    [sym_primitive_type] = ACTIONS(2490),
    [anon_sym_enum] = ACTIONS(2490),
    [anon_sym_struct] = ACTIONS(2490),
    [anon_sym_union] = ACTIONS(2490),
    [anon_sym_if] = ACTIONS(2490),
    [anon_sym_else] = ACTIONS(2490),
    [anon_sym_switch] = ACTIONS(2490),
    [anon_sym_while] = ACTIONS(2490),
    [anon_sym_do] = ACTIONS(2490),
    [anon_sym_for] = ACTIONS(2490),
    [anon_sym_in] = ACTIONS(2490),
    [anon_sym_return] = ACTIONS(2490),
    [anon_sym_break] = ACTIONS(2490),
    [anon_sym_continue] = ACTIONS(2490),
    [anon_sym_goto] = ACTIONS(2490),
    [anon_sym_DASH_DASH] = ACTIONS(2492),
    [anon_sym_PLUS_PLUS] = ACTIONS(2492),
    [anon_sym_sizeof] = ACTIONS(2490),
    [anon_sym___alignof__] = ACTIONS(2490),
    [anon_sym___alignof] = ACTIONS(2490),
    [anon_sym__alignof] = ACTIONS(2490),
    [anon_sym_alignof] = ACTIONS(2490),
    [anon_sym__Alignof] = ACTIONS(2490),
    [anon_sym_offsetof] = ACTIONS(2490),
    [anon_sym__Generic] = ACTIONS(2490),
    [anon_sym_asm] = ACTIONS(2490),
    [anon_sym___asm__] = ACTIONS(2490),
    [anon_sym___asm] = ACTIONS(2490),
    [sym_number_literal] = ACTIONS(2492),
    [anon_sym_L_SQUOTE] = ACTIONS(2492),
    [anon_sym_u_SQUOTE] = ACTIONS(2492),
    [anon_sym_U_SQUOTE] = ACTIONS(2492),
    [anon_sym_u8_SQUOTE] = ACTIONS(2492),
    [anon_sym_SQUOTE] = ACTIONS(2492),
    [anon_sym_AT] = ACTIONS(2490),
    [anon_sym_DQUOTE] = ACTIONS(2492),
    [anon_sym_L_DQUOTE] = ACTIONS(2492),
    [anon_sym_u_DQUOTE] = ACTIONS(2492),
    [anon_sym_U_DQUOTE] = ACTIONS(2492),
    [anon_sym_u8_DQUOTE] = ACTIONS(2492),
    [sym_true] = ACTIONS(2490),
    [sym_false] = ACTIONS(2490),
    [anon_sym_NULL] = ACTIONS(2490),
    [anon_sym_nullptr] = ACTIONS(2490),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2490),
    [anon_sym___typeof] = ACTIONS(2490),
    [anon_sym_typeof] = ACTIONS(2490),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2490),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2490),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2490),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2490),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2490),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2490),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2490),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2490),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2490),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_API_AVAILABLE] = ACTIONS(2490),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_API_DEPRECATED] = ACTIONS(2490),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2490),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2490),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2490),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2490),
    [anon_sym___deprecated_msg] = ACTIONS(2490),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2490),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2490),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2490),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2490),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2490),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2490),
    [anon_sym_ATtry] = ACTIONS(2492),
    [anon_sym___try] = ACTIONS(2490),
    [anon_sym_ATthrow] = ACTIONS(2492),
    [anon_sym_ATselector] = ACTIONS(2492),
    [anon_sym_ATavailable] = ACTIONS(2492),
    [anon_sym___builtin_available] = ACTIONS(2490),
    [anon_sym_va_arg] = ACTIONS(2490),
    [anon_sym_ATencode] = ACTIONS(2492),
    [anon_sym_ATsynchronized] = ACTIONS(2492),
    [anon_sym_BOOL] = ACTIONS(2490),
    [anon_sym_IMP] = ACTIONS(2490),
    [anon_sym_SEL] = ACTIONS(2490),
    [anon_sym_Class] = ACTIONS(2490),
    [anon_sym_id] = ACTIONS(2490),
  },
  [1128] = {
    [sym_identifier] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(2502),
    [anon_sym_BANG] = ACTIONS(2502),
    [anon_sym_TILDE] = ACTIONS(2502),
    [anon_sym_DASH] = ACTIONS(2500),
    [anon_sym_PLUS] = ACTIONS(2500),
    [anon_sym_STAR] = ACTIONS(2502),
    [anon_sym_CARET] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2502),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym___extension__] = ACTIONS(2500),
    [anon_sym_typedef] = ACTIONS(2500),
    [anon_sym_extern] = ACTIONS(2500),
    [anon_sym___attribute__] = ACTIONS(2500),
    [anon_sym___attribute] = ACTIONS(2500),
    [anon_sym_noreturn] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [anon_sym___declspec] = ACTIONS(2500),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_signed] = ACTIONS(2500),
    [anon_sym_unsigned] = ACTIONS(2500),
    [anon_sym_long] = ACTIONS(2500),
    [anon_sym_short] = ACTIONS(2500),
    [anon_sym_static] = ACTIONS(2500),
    [anon_sym_ATautoreleasepool] = ACTIONS(2502),
    [anon_sym_auto] = ACTIONS(2500),
    [anon_sym_register] = ACTIONS(2500),
    [anon_sym_inline] = ACTIONS(2500),
    [anon_sym___inline] = ACTIONS(2500),
    [anon_sym___inline__] = ACTIONS(2500),
    [anon_sym___forceinline] = ACTIONS(2500),
    [anon_sym_thread_local] = ACTIONS(2500),
    [anon_sym___thread] = ACTIONS(2500),
    [anon_sym_CG_EXTERN] = ACTIONS(2500),
    [anon_sym_CG_INLINE] = ACTIONS(2500),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2500),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2500),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2500),
    [anon_sym_IBOutlet] = ACTIONS(2500),
    [anon_sym_IBInspectable] = ACTIONS(2500),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2500),
    [anon_sym_NS_INLINE] = ACTIONS(2500),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2500),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2500),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2500),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2500),
    [anon_sym_const] = ACTIONS(2500),
    [anon_sym_constexpr] = ACTIONS(2500),
    [anon_sym_volatile] = ACTIONS(2500),
    [anon_sym_restrict] = ACTIONS(2500),
    [anon_sym___restrict__] = ACTIONS(2500),
    [anon_sym__Atomic] = ACTIONS(2500),
    [anon_sym__Noreturn] = ACTIONS(2500),
    [anon_sym__Nonnull] = ACTIONS(2500),
    [anon_sym_nullable] = ACTIONS(2500),
    [anon_sym__Complex] = ACTIONS(2500),
    [anon_sym__Nullable] = ACTIONS(2500),
    [anon_sym__Nullable_result] = ACTIONS(2500),
    [anon_sym__Null_unspecified] = ACTIONS(2500),
    [anon_sym___autoreleasing] = ACTIONS(2500),
    [anon_sym___block] = ACTIONS(2500),
    [anon_sym___bridge] = ACTIONS(2500),
    [anon_sym___bridge_retained] = ACTIONS(2500),
    [anon_sym___bridge_transfer] = ACTIONS(2500),
    [anon_sym___complex] = ACTIONS(2500),
    [anon_sym___const] = ACTIONS(2500),
    [anon_sym___imag] = ACTIONS(2500),
    [anon_sym___kindof] = ACTIONS(2500),
    [anon_sym___nonnull] = ACTIONS(2500),
    [anon_sym___nullable] = ACTIONS(2500),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2500),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2500),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2500),
    [anon_sym___real] = ACTIONS(2500),
    [anon_sym___strong] = ACTIONS(2500),
    [anon_sym___unsafe_unretained] = ACTIONS(2500),
    [anon_sym___unused] = ACTIONS(2500),
    [anon_sym___weak] = ACTIONS(2500),
    [anon_sym_alignas] = ACTIONS(2500),
    [anon_sym__Alignas] = ACTIONS(2500),
    [sym_primitive_type] = ACTIONS(2500),
    [anon_sym_enum] = ACTIONS(2500),
    [anon_sym_struct] = ACTIONS(2500),
    [anon_sym_union] = ACTIONS(2500),
    [anon_sym_if] = ACTIONS(2500),
    [anon_sym_else] = ACTIONS(2500),
    [anon_sym_switch] = ACTIONS(2500),
    [anon_sym_while] = ACTIONS(2500),
    [anon_sym_do] = ACTIONS(2500),
    [anon_sym_for] = ACTIONS(2500),
    [anon_sym_in] = ACTIONS(2500),
    [anon_sym_return] = ACTIONS(2500),
    [anon_sym_break] = ACTIONS(2500),
    [anon_sym_continue] = ACTIONS(2500),
    [anon_sym_goto] = ACTIONS(2500),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_sizeof] = ACTIONS(2500),
    [anon_sym___alignof__] = ACTIONS(2500),
    [anon_sym___alignof] = ACTIONS(2500),
    [anon_sym__alignof] = ACTIONS(2500),
    [anon_sym_alignof] = ACTIONS(2500),
    [anon_sym__Alignof] = ACTIONS(2500),
    [anon_sym_offsetof] = ACTIONS(2500),
    [anon_sym__Generic] = ACTIONS(2500),
    [anon_sym_asm] = ACTIONS(2500),
    [anon_sym___asm__] = ACTIONS(2500),
    [anon_sym___asm] = ACTIONS(2500),
    [sym_number_literal] = ACTIONS(2502),
    [anon_sym_L_SQUOTE] = ACTIONS(2502),
    [anon_sym_u_SQUOTE] = ACTIONS(2502),
    [anon_sym_U_SQUOTE] = ACTIONS(2502),
    [anon_sym_u8_SQUOTE] = ACTIONS(2502),
    [anon_sym_SQUOTE] = ACTIONS(2502),
    [anon_sym_AT] = ACTIONS(2500),
    [anon_sym_DQUOTE] = ACTIONS(2502),
    [anon_sym_L_DQUOTE] = ACTIONS(2502),
    [anon_sym_u_DQUOTE] = ACTIONS(2502),
    [anon_sym_U_DQUOTE] = ACTIONS(2502),
    [anon_sym_u8_DQUOTE] = ACTIONS(2502),
    [sym_true] = ACTIONS(2500),
    [sym_false] = ACTIONS(2500),
    [anon_sym_NULL] = ACTIONS(2500),
    [anon_sym_nullptr] = ACTIONS(2500),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2500),
    [anon_sym___typeof] = ACTIONS(2500),
    [anon_sym_typeof] = ACTIONS(2500),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2500),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2500),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2500),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2500),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2500),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2500),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2500),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2500),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2500),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_API_AVAILABLE] = ACTIONS(2500),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_API_DEPRECATED] = ACTIONS(2500),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2500),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2500),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2500),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2500),
    [anon_sym___deprecated_msg] = ACTIONS(2500),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2500),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2500),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2500),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2500),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2500),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2500),
    [anon_sym_ATtry] = ACTIONS(2502),
    [anon_sym___try] = ACTIONS(2500),
    [anon_sym_ATthrow] = ACTIONS(2502),
    [anon_sym_ATselector] = ACTIONS(2502),
    [anon_sym_ATavailable] = ACTIONS(2502),
    [anon_sym___builtin_available] = ACTIONS(2500),
    [anon_sym_va_arg] = ACTIONS(2500),
    [anon_sym_ATencode] = ACTIONS(2502),
    [anon_sym_ATsynchronized] = ACTIONS(2502),
    [anon_sym_BOOL] = ACTIONS(2500),
    [anon_sym_IMP] = ACTIONS(2500),
    [anon_sym_SEL] = ACTIONS(2500),
    [anon_sym_Class] = ACTIONS(2500),
    [anon_sym_id] = ACTIONS(2500),
  },
  [1129] = {
    [sym_identifier] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [1130] = {
    [sym_identifier] = ACTIONS(2436),
    [anon_sym_LPAREN2] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_CARET] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym___attribute] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_ATautoreleasepool] = ACTIONS(2438),
    [anon_sym_auto] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_CG_EXTERN] = ACTIONS(2436),
    [anon_sym_CG_INLINE] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2436),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2436),
    [anon_sym_IBOutlet] = ACTIONS(2436),
    [anon_sym_IBInspectable] = ACTIONS(2436),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2436),
    [anon_sym_NS_INLINE] = ACTIONS(2436),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2436),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2436),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym__Nonnull] = ACTIONS(2436),
    [anon_sym_nullable] = ACTIONS(2436),
    [anon_sym__Complex] = ACTIONS(2436),
    [anon_sym__Nullable] = ACTIONS(2436),
    [anon_sym__Nullable_result] = ACTIONS(2436),
    [anon_sym__Null_unspecified] = ACTIONS(2436),
    [anon_sym___autoreleasing] = ACTIONS(2436),
    [anon_sym___block] = ACTIONS(2436),
    [anon_sym___bridge] = ACTIONS(2436),
    [anon_sym___bridge_retained] = ACTIONS(2436),
    [anon_sym___bridge_transfer] = ACTIONS(2436),
    [anon_sym___complex] = ACTIONS(2436),
    [anon_sym___const] = ACTIONS(2436),
    [anon_sym___imag] = ACTIONS(2436),
    [anon_sym___kindof] = ACTIONS(2436),
    [anon_sym___nonnull] = ACTIONS(2436),
    [anon_sym___nullable] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2436),
    [anon_sym___real] = ACTIONS(2436),
    [anon_sym___strong] = ACTIONS(2436),
    [anon_sym___unsafe_unretained] = ACTIONS(2436),
    [anon_sym___unused] = ACTIONS(2436),
    [anon_sym___weak] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym__Alignas] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_else] = ACTIONS(2436),
    [anon_sym_switch] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_in] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2436),
    [anon_sym_break] = ACTIONS(2436),
    [anon_sym_continue] = ACTIONS(2436),
    [anon_sym_goto] = ACTIONS(2436),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_sizeof] = ACTIONS(2436),
    [anon_sym___alignof__] = ACTIONS(2436),
    [anon_sym___alignof] = ACTIONS(2436),
    [anon_sym__alignof] = ACTIONS(2436),
    [anon_sym_alignof] = ACTIONS(2436),
    [anon_sym__Alignof] = ACTIONS(2436),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2436),
    [anon_sym_asm] = ACTIONS(2436),
    [anon_sym___asm__] = ACTIONS(2436),
    [anon_sym___asm] = ACTIONS(2436),
    [sym_number_literal] = ACTIONS(2438),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_AT] = ACTIONS(2436),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2438),
    [anon_sym_u_DQUOTE] = ACTIONS(2438),
    [anon_sym_U_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8_DQUOTE] = ACTIONS(2438),
    [sym_true] = ACTIONS(2436),
    [sym_false] = ACTIONS(2436),
    [anon_sym_NULL] = ACTIONS(2436),
    [anon_sym_nullptr] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2436),
    [anon_sym___typeof] = ACTIONS(2436),
    [anon_sym_typeof] = ACTIONS(2436),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2436),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2436),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2436),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_API_AVAILABLE] = ACTIONS(2436),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_API_DEPRECATED] = ACTIONS(2436),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym___deprecated_msg] = ACTIONS(2436),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2436),
    [anon_sym_ATtry] = ACTIONS(2438),
    [anon_sym___try] = ACTIONS(2436),
    [anon_sym_ATthrow] = ACTIONS(2438),
    [anon_sym_ATselector] = ACTIONS(2438),
    [anon_sym_ATavailable] = ACTIONS(2438),
    [anon_sym___builtin_available] = ACTIONS(2436),
    [anon_sym_va_arg] = ACTIONS(2436),
    [anon_sym_ATencode] = ACTIONS(2438),
    [anon_sym_ATsynchronized] = ACTIONS(2438),
    [anon_sym_BOOL] = ACTIONS(2436),
    [anon_sym_IMP] = ACTIONS(2436),
    [anon_sym_SEL] = ACTIONS(2436),
    [anon_sym_Class] = ACTIONS(2436),
    [anon_sym_id] = ACTIONS(2436),
  },
  [1131] = {
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym___attribute] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_ATautoreleasepool] = ACTIONS(2450),
    [anon_sym_auto] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_CG_EXTERN] = ACTIONS(2448),
    [anon_sym_CG_INLINE] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2448),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2448),
    [anon_sym_IBOutlet] = ACTIONS(2448),
    [anon_sym_IBInspectable] = ACTIONS(2448),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2448),
    [anon_sym_NS_INLINE] = ACTIONS(2448),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2448),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2448),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym__Nonnull] = ACTIONS(2448),
    [anon_sym_nullable] = ACTIONS(2448),
    [anon_sym__Complex] = ACTIONS(2448),
    [anon_sym__Nullable] = ACTIONS(2448),
    [anon_sym__Nullable_result] = ACTIONS(2448),
    [anon_sym__Null_unspecified] = ACTIONS(2448),
    [anon_sym___autoreleasing] = ACTIONS(2448),
    [anon_sym___block] = ACTIONS(2448),
    [anon_sym___bridge] = ACTIONS(2448),
    [anon_sym___bridge_retained] = ACTIONS(2448),
    [anon_sym___bridge_transfer] = ACTIONS(2448),
    [anon_sym___complex] = ACTIONS(2448),
    [anon_sym___const] = ACTIONS(2448),
    [anon_sym___imag] = ACTIONS(2448),
    [anon_sym___kindof] = ACTIONS(2448),
    [anon_sym___nonnull] = ACTIONS(2448),
    [anon_sym___nullable] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2448),
    [anon_sym___real] = ACTIONS(2448),
    [anon_sym___strong] = ACTIONS(2448),
    [anon_sym___unsafe_unretained] = ACTIONS(2448),
    [anon_sym___unused] = ACTIONS(2448),
    [anon_sym___weak] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym__Alignas] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_switch] = ACTIONS(2448),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_do] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_break] = ACTIONS(2448),
    [anon_sym_continue] = ACTIONS(2448),
    [anon_sym_goto] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_sizeof] = ACTIONS(2448),
    [anon_sym___alignof__] = ACTIONS(2448),
    [anon_sym___alignof] = ACTIONS(2448),
    [anon_sym__alignof] = ACTIONS(2448),
    [anon_sym_alignof] = ACTIONS(2448),
    [anon_sym__Alignof] = ACTIONS(2448),
    [anon_sym_offsetof] = ACTIONS(2448),
    [anon_sym__Generic] = ACTIONS(2448),
    [anon_sym_asm] = ACTIONS(2448),
    [anon_sym___asm__] = ACTIONS(2448),
    [anon_sym___asm] = ACTIONS(2448),
    [sym_number_literal] = ACTIONS(2450),
    [anon_sym_L_SQUOTE] = ACTIONS(2450),
    [anon_sym_u_SQUOTE] = ACTIONS(2450),
    [anon_sym_U_SQUOTE] = ACTIONS(2450),
    [anon_sym_u8_SQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_AT] = ACTIONS(2448),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_L_DQUOTE] = ACTIONS(2450),
    [anon_sym_u_DQUOTE] = ACTIONS(2450),
    [anon_sym_U_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8_DQUOTE] = ACTIONS(2450),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2448),
    [anon_sym_nullptr] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2448),
    [anon_sym___typeof] = ACTIONS(2448),
    [anon_sym_typeof] = ACTIONS(2448),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2448),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2448),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2448),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_API_AVAILABLE] = ACTIONS(2448),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_API_DEPRECATED] = ACTIONS(2448),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym___deprecated_msg] = ACTIONS(2448),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2448),
    [anon_sym_ATtry] = ACTIONS(2450),
    [anon_sym___try] = ACTIONS(2448),
    [anon_sym_ATthrow] = ACTIONS(2450),
    [anon_sym_ATselector] = ACTIONS(2450),
    [anon_sym_ATavailable] = ACTIONS(2450),
    [anon_sym___builtin_available] = ACTIONS(2448),
    [anon_sym_va_arg] = ACTIONS(2448),
    [anon_sym_ATencode] = ACTIONS(2450),
    [anon_sym_ATsynchronized] = ACTIONS(2450),
    [anon_sym_BOOL] = ACTIONS(2448),
    [anon_sym_IMP] = ACTIONS(2448),
    [anon_sym_SEL] = ACTIONS(2448),
    [anon_sym_Class] = ACTIONS(2448),
    [anon_sym_id] = ACTIONS(2448),
  },
  [1132] = {
    [sym_identifier] = ACTIONS(2452),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_BANG] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym___attribute] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_ATautoreleasepool] = ACTIONS(2454),
    [anon_sym_auto] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_CG_EXTERN] = ACTIONS(2452),
    [anon_sym_CG_INLINE] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2452),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2452),
    [anon_sym_IBOutlet] = ACTIONS(2452),
    [anon_sym_IBInspectable] = ACTIONS(2452),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2452),
    [anon_sym_NS_INLINE] = ACTIONS(2452),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2452),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2452),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym__Nonnull] = ACTIONS(2452),
    [anon_sym_nullable] = ACTIONS(2452),
    [anon_sym__Complex] = ACTIONS(2452),
    [anon_sym__Nullable] = ACTIONS(2452),
    [anon_sym__Nullable_result] = ACTIONS(2452),
    [anon_sym__Null_unspecified] = ACTIONS(2452),
    [anon_sym___autoreleasing] = ACTIONS(2452),
    [anon_sym___block] = ACTIONS(2452),
    [anon_sym___bridge] = ACTIONS(2452),
    [anon_sym___bridge_retained] = ACTIONS(2452),
    [anon_sym___bridge_transfer] = ACTIONS(2452),
    [anon_sym___complex] = ACTIONS(2452),
    [anon_sym___const] = ACTIONS(2452),
    [anon_sym___imag] = ACTIONS(2452),
    [anon_sym___kindof] = ACTIONS(2452),
    [anon_sym___nonnull] = ACTIONS(2452),
    [anon_sym___nullable] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2452),
    [anon_sym___real] = ACTIONS(2452),
    [anon_sym___strong] = ACTIONS(2452),
    [anon_sym___unsafe_unretained] = ACTIONS(2452),
    [anon_sym___unused] = ACTIONS(2452),
    [anon_sym___weak] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym__Alignas] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_do] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_break] = ACTIONS(2452),
    [anon_sym_continue] = ACTIONS(2452),
    [anon_sym_goto] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(2454),
    [anon_sym_sizeof] = ACTIONS(2452),
    [anon_sym___alignof__] = ACTIONS(2452),
    [anon_sym___alignof] = ACTIONS(2452),
    [anon_sym__alignof] = ACTIONS(2452),
    [anon_sym_alignof] = ACTIONS(2452),
    [anon_sym__Alignof] = ACTIONS(2452),
    [anon_sym_offsetof] = ACTIONS(2452),
    [anon_sym__Generic] = ACTIONS(2452),
    [anon_sym_asm] = ACTIONS(2452),
    [anon_sym___asm__] = ACTIONS(2452),
    [anon_sym___asm] = ACTIONS(2452),
    [sym_number_literal] = ACTIONS(2454),
    [anon_sym_L_SQUOTE] = ACTIONS(2454),
    [anon_sym_u_SQUOTE] = ACTIONS(2454),
    [anon_sym_U_SQUOTE] = ACTIONS(2454),
    [anon_sym_u8_SQUOTE] = ACTIONS(2454),
    [anon_sym_SQUOTE] = ACTIONS(2454),
    [anon_sym_AT] = ACTIONS(2452),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_L_DQUOTE] = ACTIONS(2454),
    [anon_sym_u_DQUOTE] = ACTIONS(2454),
    [anon_sym_U_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8_DQUOTE] = ACTIONS(2454),
    [sym_true] = ACTIONS(2452),
    [sym_false] = ACTIONS(2452),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2452),
    [anon_sym___typeof] = ACTIONS(2452),
    [anon_sym_typeof] = ACTIONS(2452),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2452),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2452),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2452),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_API_AVAILABLE] = ACTIONS(2452),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_API_DEPRECATED] = ACTIONS(2452),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym___deprecated_msg] = ACTIONS(2452),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2452),
    [anon_sym_ATtry] = ACTIONS(2454),
    [anon_sym___try] = ACTIONS(2452),
    [anon_sym_ATthrow] = ACTIONS(2454),
    [anon_sym_ATselector] = ACTIONS(2454),
    [anon_sym_ATavailable] = ACTIONS(2454),
    [anon_sym___builtin_available] = ACTIONS(2452),
    [anon_sym_va_arg] = ACTIONS(2452),
    [anon_sym_ATencode] = ACTIONS(2454),
    [anon_sym_ATsynchronized] = ACTIONS(2454),
    [anon_sym_BOOL] = ACTIONS(2452),
    [anon_sym_IMP] = ACTIONS(2452),
    [anon_sym_SEL] = ACTIONS(2452),
    [anon_sym_Class] = ACTIONS(2452),
    [anon_sym_id] = ACTIONS(2452),
  },
  [1133] = {
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_TILDE] = ACTIONS(2506),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_CARET] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_typedef] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym___attribute] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_ATautoreleasepool] = ACTIONS(2506),
    [anon_sym_auto] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_CG_EXTERN] = ACTIONS(2504),
    [anon_sym_CG_INLINE] = ACTIONS(2504),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2504),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2504),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2504),
    [anon_sym_IBOutlet] = ACTIONS(2504),
    [anon_sym_IBInspectable] = ACTIONS(2504),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2504),
    [anon_sym_NS_INLINE] = ACTIONS(2504),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2504),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2504),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2504),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym__Nonnull] = ACTIONS(2504),
    [anon_sym_nullable] = ACTIONS(2504),
    [anon_sym__Complex] = ACTIONS(2504),
    [anon_sym__Nullable] = ACTIONS(2504),
    [anon_sym__Nullable_result] = ACTIONS(2504),
    [anon_sym__Null_unspecified] = ACTIONS(2504),
    [anon_sym___autoreleasing] = ACTIONS(2504),
    [anon_sym___block] = ACTIONS(2504),
    [anon_sym___bridge] = ACTIONS(2504),
    [anon_sym___bridge_retained] = ACTIONS(2504),
    [anon_sym___bridge_transfer] = ACTIONS(2504),
    [anon_sym___complex] = ACTIONS(2504),
    [anon_sym___const] = ACTIONS(2504),
    [anon_sym___imag] = ACTIONS(2504),
    [anon_sym___kindof] = ACTIONS(2504),
    [anon_sym___nonnull] = ACTIONS(2504),
    [anon_sym___nullable] = ACTIONS(2504),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2504),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2504),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2504),
    [anon_sym___real] = ACTIONS(2504),
    [anon_sym___strong] = ACTIONS(2504),
    [anon_sym___unsafe_unretained] = ACTIONS(2504),
    [anon_sym___unused] = ACTIONS(2504),
    [anon_sym___weak] = ACTIONS(2504),
    [anon_sym_alignas] = ACTIONS(2504),
    [anon_sym__Alignas] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_else] = ACTIONS(2504),
    [anon_sym_switch] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_do] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_in] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_goto] = ACTIONS(2504),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_sizeof] = ACTIONS(2504),
    [anon_sym___alignof__] = ACTIONS(2504),
    [anon_sym___alignof] = ACTIONS(2504),
    [anon_sym__alignof] = ACTIONS(2504),
    [anon_sym_alignof] = ACTIONS(2504),
    [anon_sym__Alignof] = ACTIONS(2504),
    [anon_sym_offsetof] = ACTIONS(2504),
    [anon_sym__Generic] = ACTIONS(2504),
    [anon_sym_asm] = ACTIONS(2504),
    [anon_sym___asm__] = ACTIONS(2504),
    [anon_sym___asm] = ACTIONS(2504),
    [sym_number_literal] = ACTIONS(2506),
    [anon_sym_L_SQUOTE] = ACTIONS(2506),
    [anon_sym_u_SQUOTE] = ACTIONS(2506),
    [anon_sym_U_SQUOTE] = ACTIONS(2506),
    [anon_sym_u8_SQUOTE] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2506),
    [anon_sym_AT] = ACTIONS(2504),
    [anon_sym_DQUOTE] = ACTIONS(2506),
    [anon_sym_L_DQUOTE] = ACTIONS(2506),
    [anon_sym_u_DQUOTE] = ACTIONS(2506),
    [anon_sym_U_DQUOTE] = ACTIONS(2506),
    [anon_sym_u8_DQUOTE] = ACTIONS(2506),
    [sym_true] = ACTIONS(2504),
    [sym_false] = ACTIONS(2504),
    [anon_sym_NULL] = ACTIONS(2504),
    [anon_sym_nullptr] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2504),
    [anon_sym___typeof] = ACTIONS(2504),
    [anon_sym_typeof] = ACTIONS(2504),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2504),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2504),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2504),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2504),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2504),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2504),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2504),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2504),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2504),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_API_AVAILABLE] = ACTIONS(2504),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_API_DEPRECATED] = ACTIONS(2504),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2504),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2504),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2504),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2504),
    [anon_sym___deprecated_msg] = ACTIONS(2504),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2504),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2504),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2504),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2504),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2504),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2504),
    [anon_sym_ATtry] = ACTIONS(2506),
    [anon_sym___try] = ACTIONS(2504),
    [anon_sym_ATthrow] = ACTIONS(2506),
    [anon_sym_ATselector] = ACTIONS(2506),
    [anon_sym_ATavailable] = ACTIONS(2506),
    [anon_sym___builtin_available] = ACTIONS(2504),
    [anon_sym_va_arg] = ACTIONS(2504),
    [anon_sym_ATencode] = ACTIONS(2506),
    [anon_sym_ATsynchronized] = ACTIONS(2506),
    [anon_sym_BOOL] = ACTIONS(2504),
    [anon_sym_IMP] = ACTIONS(2504),
    [anon_sym_SEL] = ACTIONS(2504),
    [anon_sym_Class] = ACTIONS(2504),
    [anon_sym_id] = ACTIONS(2504),
  },
  [1134] = {
    [sym_identifier] = ACTIONS(2436),
    [anon_sym_LPAREN2] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_TILDE] = ACTIONS(2438),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_CARET] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym___attribute] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_ATautoreleasepool] = ACTIONS(2438),
    [anon_sym_auto] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_CG_EXTERN] = ACTIONS(2436),
    [anon_sym_CG_INLINE] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2436),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2436),
    [anon_sym_IBOutlet] = ACTIONS(2436),
    [anon_sym_IBInspectable] = ACTIONS(2436),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2436),
    [anon_sym_NS_INLINE] = ACTIONS(2436),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2436),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2436),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym__Nonnull] = ACTIONS(2436),
    [anon_sym_nullable] = ACTIONS(2436),
    [anon_sym__Complex] = ACTIONS(2436),
    [anon_sym__Nullable] = ACTIONS(2436),
    [anon_sym__Nullable_result] = ACTIONS(2436),
    [anon_sym__Null_unspecified] = ACTIONS(2436),
    [anon_sym___autoreleasing] = ACTIONS(2436),
    [anon_sym___block] = ACTIONS(2436),
    [anon_sym___bridge] = ACTIONS(2436),
    [anon_sym___bridge_retained] = ACTIONS(2436),
    [anon_sym___bridge_transfer] = ACTIONS(2436),
    [anon_sym___complex] = ACTIONS(2436),
    [anon_sym___const] = ACTIONS(2436),
    [anon_sym___imag] = ACTIONS(2436),
    [anon_sym___kindof] = ACTIONS(2436),
    [anon_sym___nonnull] = ACTIONS(2436),
    [anon_sym___nullable] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2436),
    [anon_sym___real] = ACTIONS(2436),
    [anon_sym___strong] = ACTIONS(2436),
    [anon_sym___unsafe_unretained] = ACTIONS(2436),
    [anon_sym___unused] = ACTIONS(2436),
    [anon_sym___weak] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym__Alignas] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_else] = ACTIONS(2436),
    [anon_sym_switch] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_do] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_in] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2436),
    [anon_sym_break] = ACTIONS(2436),
    [anon_sym_continue] = ACTIONS(2436),
    [anon_sym_goto] = ACTIONS(2436),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_sizeof] = ACTIONS(2436),
    [anon_sym___alignof__] = ACTIONS(2436),
    [anon_sym___alignof] = ACTIONS(2436),
    [anon_sym__alignof] = ACTIONS(2436),
    [anon_sym_alignof] = ACTIONS(2436),
    [anon_sym__Alignof] = ACTIONS(2436),
    [anon_sym_offsetof] = ACTIONS(2436),
    [anon_sym__Generic] = ACTIONS(2436),
    [anon_sym_asm] = ACTIONS(2436),
    [anon_sym___asm__] = ACTIONS(2436),
    [anon_sym___asm] = ACTIONS(2436),
    [sym_number_literal] = ACTIONS(2438),
    [anon_sym_L_SQUOTE] = ACTIONS(2438),
    [anon_sym_u_SQUOTE] = ACTIONS(2438),
    [anon_sym_U_SQUOTE] = ACTIONS(2438),
    [anon_sym_u8_SQUOTE] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2438),
    [anon_sym_AT] = ACTIONS(2436),
    [anon_sym_DQUOTE] = ACTIONS(2438),
    [anon_sym_L_DQUOTE] = ACTIONS(2438),
    [anon_sym_u_DQUOTE] = ACTIONS(2438),
    [anon_sym_U_DQUOTE] = ACTIONS(2438),
    [anon_sym_u8_DQUOTE] = ACTIONS(2438),
    [sym_true] = ACTIONS(2436),
    [sym_false] = ACTIONS(2436),
    [anon_sym_NULL] = ACTIONS(2436),
    [anon_sym_nullptr] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2436),
    [anon_sym___typeof] = ACTIONS(2436),
    [anon_sym_typeof] = ACTIONS(2436),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2436),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2436),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2436),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_API_AVAILABLE] = ACTIONS(2436),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_API_DEPRECATED] = ACTIONS(2436),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym___deprecated_msg] = ACTIONS(2436),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2436),
    [anon_sym_ATtry] = ACTIONS(2438),
    [anon_sym___try] = ACTIONS(2436),
    [anon_sym_ATthrow] = ACTIONS(2438),
    [anon_sym_ATselector] = ACTIONS(2438),
    [anon_sym_ATavailable] = ACTIONS(2438),
    [anon_sym___builtin_available] = ACTIONS(2436),
    [anon_sym_va_arg] = ACTIONS(2436),
    [anon_sym_ATencode] = ACTIONS(2438),
    [anon_sym_ATsynchronized] = ACTIONS(2438),
    [anon_sym_BOOL] = ACTIONS(2436),
    [anon_sym_IMP] = ACTIONS(2436),
    [anon_sym_SEL] = ACTIONS(2436),
    [anon_sym_Class] = ACTIONS(2436),
    [anon_sym_id] = ACTIONS(2436),
  },
  [1135] = {
    [sym_identifier] = ACTIONS(2508),
    [anon_sym_LPAREN2] = ACTIONS(2510),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_TILDE] = ACTIONS(2510),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_STAR] = ACTIONS(2510),
    [anon_sym_CARET] = ACTIONS(2510),
    [anon_sym_AMP] = ACTIONS(2510),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym___extension__] = ACTIONS(2508),
    [anon_sym_typedef] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym___attribute__] = ACTIONS(2508),
    [anon_sym___attribute] = ACTIONS(2508),
    [anon_sym_noreturn] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [anon_sym___declspec] = ACTIONS(2508),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_signed] = ACTIONS(2508),
    [anon_sym_unsigned] = ACTIONS(2508),
    [anon_sym_long] = ACTIONS(2508),
    [anon_sym_short] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_ATautoreleasepool] = ACTIONS(2510),
    [anon_sym_auto] = ACTIONS(2508),
    [anon_sym_register] = ACTIONS(2508),
    [anon_sym_inline] = ACTIONS(2508),
    [anon_sym___inline] = ACTIONS(2508),
    [anon_sym___inline__] = ACTIONS(2508),
    [anon_sym___forceinline] = ACTIONS(2508),
    [anon_sym_thread_local] = ACTIONS(2508),
    [anon_sym___thread] = ACTIONS(2508),
    [anon_sym_CG_EXTERN] = ACTIONS(2508),
    [anon_sym_CG_INLINE] = ACTIONS(2508),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2508),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2508),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2508),
    [anon_sym_IBOutlet] = ACTIONS(2508),
    [anon_sym_IBInspectable] = ACTIONS(2508),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2508),
    [anon_sym_NS_INLINE] = ACTIONS(2508),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2508),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2508),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2508),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_constexpr] = ACTIONS(2508),
    [anon_sym_volatile] = ACTIONS(2508),
    [anon_sym_restrict] = ACTIONS(2508),
    [anon_sym___restrict__] = ACTIONS(2508),
    [anon_sym__Atomic] = ACTIONS(2508),
    [anon_sym__Noreturn] = ACTIONS(2508),
    [anon_sym__Nonnull] = ACTIONS(2508),
    [anon_sym_nullable] = ACTIONS(2508),
    [anon_sym__Complex] = ACTIONS(2508),
    [anon_sym__Nullable] = ACTIONS(2508),
    [anon_sym__Nullable_result] = ACTIONS(2508),
    [anon_sym__Null_unspecified] = ACTIONS(2508),
    [anon_sym___autoreleasing] = ACTIONS(2508),
    [anon_sym___block] = ACTIONS(2508),
    [anon_sym___bridge] = ACTIONS(2508),
    [anon_sym___bridge_retained] = ACTIONS(2508),
    [anon_sym___bridge_transfer] = ACTIONS(2508),
    [anon_sym___complex] = ACTIONS(2508),
    [anon_sym___const] = ACTIONS(2508),
    [anon_sym___imag] = ACTIONS(2508),
    [anon_sym___kindof] = ACTIONS(2508),
    [anon_sym___nonnull] = ACTIONS(2508),
    [anon_sym___nullable] = ACTIONS(2508),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2508),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2508),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2508),
    [anon_sym___real] = ACTIONS(2508),
    [anon_sym___strong] = ACTIONS(2508),
    [anon_sym___unsafe_unretained] = ACTIONS(2508),
    [anon_sym___unused] = ACTIONS(2508),
    [anon_sym___weak] = ACTIONS(2508),
    [anon_sym_alignas] = ACTIONS(2508),
    [anon_sym__Alignas] = ACTIONS(2508),
    [sym_primitive_type] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_else] = ACTIONS(2508),
    [anon_sym_switch] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2508),
    [anon_sym_do] = ACTIONS(2508),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_in] = ACTIONS(2508),
    [anon_sym_return] = ACTIONS(2508),
    [anon_sym_break] = ACTIONS(2508),
    [anon_sym_continue] = ACTIONS(2508),
    [anon_sym_goto] = ACTIONS(2508),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_sizeof] = ACTIONS(2508),
    [anon_sym___alignof__] = ACTIONS(2508),
    [anon_sym___alignof] = ACTIONS(2508),
    [anon_sym__alignof] = ACTIONS(2508),
    [anon_sym_alignof] = ACTIONS(2508),
    [anon_sym__Alignof] = ACTIONS(2508),
    [anon_sym_offsetof] = ACTIONS(2508),
    [anon_sym__Generic] = ACTIONS(2508),
    [anon_sym_asm] = ACTIONS(2508),
    [anon_sym___asm__] = ACTIONS(2508),
    [anon_sym___asm] = ACTIONS(2508),
    [sym_number_literal] = ACTIONS(2510),
    [anon_sym_L_SQUOTE] = ACTIONS(2510),
    [anon_sym_u_SQUOTE] = ACTIONS(2510),
    [anon_sym_U_SQUOTE] = ACTIONS(2510),
    [anon_sym_u8_SQUOTE] = ACTIONS(2510),
    [anon_sym_SQUOTE] = ACTIONS(2510),
    [anon_sym_AT] = ACTIONS(2508),
    [anon_sym_DQUOTE] = ACTIONS(2510),
    [anon_sym_L_DQUOTE] = ACTIONS(2510),
    [anon_sym_u_DQUOTE] = ACTIONS(2510),
    [anon_sym_U_DQUOTE] = ACTIONS(2510),
    [anon_sym_u8_DQUOTE] = ACTIONS(2510),
    [sym_true] = ACTIONS(2508),
    [sym_false] = ACTIONS(2508),
    [anon_sym_NULL] = ACTIONS(2508),
    [anon_sym_nullptr] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2508),
    [anon_sym___typeof] = ACTIONS(2508),
    [anon_sym_typeof] = ACTIONS(2508),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2508),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2508),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2508),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2508),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2508),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2508),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2508),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2508),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2508),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_API_AVAILABLE] = ACTIONS(2508),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_API_DEPRECATED] = ACTIONS(2508),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2508),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2508),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2508),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2508),
    [anon_sym___deprecated_msg] = ACTIONS(2508),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2508),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2508),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2508),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2508),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2508),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2508),
    [anon_sym_ATtry] = ACTIONS(2510),
    [anon_sym___try] = ACTIONS(2508),
    [anon_sym_ATthrow] = ACTIONS(2510),
    [anon_sym_ATselector] = ACTIONS(2510),
    [anon_sym_ATavailable] = ACTIONS(2510),
    [anon_sym___builtin_available] = ACTIONS(2508),
    [anon_sym_va_arg] = ACTIONS(2508),
    [anon_sym_ATencode] = ACTIONS(2510),
    [anon_sym_ATsynchronized] = ACTIONS(2510),
    [anon_sym_BOOL] = ACTIONS(2508),
    [anon_sym_IMP] = ACTIONS(2508),
    [anon_sym_SEL] = ACTIONS(2508),
    [anon_sym_Class] = ACTIONS(2508),
    [anon_sym_id] = ACTIONS(2508),
  },
  [1136] = {
    [sym_identifier] = ACTIONS(2452),
    [anon_sym_LPAREN2] = ACTIONS(2454),
    [anon_sym_BANG] = ACTIONS(2454),
    [anon_sym_TILDE] = ACTIONS(2454),
    [anon_sym_DASH] = ACTIONS(2452),
    [anon_sym_PLUS] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym___attribute] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_ATautoreleasepool] = ACTIONS(2454),
    [anon_sym_auto] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_CG_EXTERN] = ACTIONS(2452),
    [anon_sym_CG_INLINE] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2452),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2452),
    [anon_sym_IBOutlet] = ACTIONS(2452),
    [anon_sym_IBInspectable] = ACTIONS(2452),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2452),
    [anon_sym_NS_INLINE] = ACTIONS(2452),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2452),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2452),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym__Nonnull] = ACTIONS(2452),
    [anon_sym_nullable] = ACTIONS(2452),
    [anon_sym__Complex] = ACTIONS(2452),
    [anon_sym__Nullable] = ACTIONS(2452),
    [anon_sym__Nullable_result] = ACTIONS(2452),
    [anon_sym__Null_unspecified] = ACTIONS(2452),
    [anon_sym___autoreleasing] = ACTIONS(2452),
    [anon_sym___block] = ACTIONS(2452),
    [anon_sym___bridge] = ACTIONS(2452),
    [anon_sym___bridge_retained] = ACTIONS(2452),
    [anon_sym___bridge_transfer] = ACTIONS(2452),
    [anon_sym___complex] = ACTIONS(2452),
    [anon_sym___const] = ACTIONS(2452),
    [anon_sym___imag] = ACTIONS(2452),
    [anon_sym___kindof] = ACTIONS(2452),
    [anon_sym___nonnull] = ACTIONS(2452),
    [anon_sym___nullable] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2452),
    [anon_sym___real] = ACTIONS(2452),
    [anon_sym___strong] = ACTIONS(2452),
    [anon_sym___unsafe_unretained] = ACTIONS(2452),
    [anon_sym___unused] = ACTIONS(2452),
    [anon_sym___weak] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym__Alignas] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_else] = ACTIONS(2452),
    [anon_sym_switch] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_do] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2452),
    [anon_sym_in] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_break] = ACTIONS(2452),
    [anon_sym_continue] = ACTIONS(2452),
    [anon_sym_goto] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2454),
    [anon_sym_PLUS_PLUS] = ACTIONS(2454),
    [anon_sym_sizeof] = ACTIONS(2452),
    [anon_sym___alignof__] = ACTIONS(2452),
    [anon_sym___alignof] = ACTIONS(2452),
    [anon_sym__alignof] = ACTIONS(2452),
    [anon_sym_alignof] = ACTIONS(2452),
    [anon_sym__Alignof] = ACTIONS(2452),
    [anon_sym_offsetof] = ACTIONS(2452),
    [anon_sym__Generic] = ACTIONS(2452),
    [anon_sym_asm] = ACTIONS(2452),
    [anon_sym___asm__] = ACTIONS(2452),
    [anon_sym___asm] = ACTIONS(2452),
    [sym_number_literal] = ACTIONS(2454),
    [anon_sym_L_SQUOTE] = ACTIONS(2454),
    [anon_sym_u_SQUOTE] = ACTIONS(2454),
    [anon_sym_U_SQUOTE] = ACTIONS(2454),
    [anon_sym_u8_SQUOTE] = ACTIONS(2454),
    [anon_sym_SQUOTE] = ACTIONS(2454),
    [anon_sym_AT] = ACTIONS(2452),
    [anon_sym_DQUOTE] = ACTIONS(2454),
    [anon_sym_L_DQUOTE] = ACTIONS(2454),
    [anon_sym_u_DQUOTE] = ACTIONS(2454),
    [anon_sym_U_DQUOTE] = ACTIONS(2454),
    [anon_sym_u8_DQUOTE] = ACTIONS(2454),
    [sym_true] = ACTIONS(2452),
    [sym_false] = ACTIONS(2452),
    [anon_sym_NULL] = ACTIONS(2452),
    [anon_sym_nullptr] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2452),
    [anon_sym___typeof] = ACTIONS(2452),
    [anon_sym_typeof] = ACTIONS(2452),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2452),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2452),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2452),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_API_AVAILABLE] = ACTIONS(2452),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_API_DEPRECATED] = ACTIONS(2452),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym___deprecated_msg] = ACTIONS(2452),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2452),
    [anon_sym_ATtry] = ACTIONS(2454),
    [anon_sym___try] = ACTIONS(2452),
    [anon_sym_ATthrow] = ACTIONS(2454),
    [anon_sym_ATselector] = ACTIONS(2454),
    [anon_sym_ATavailable] = ACTIONS(2454),
    [anon_sym___builtin_available] = ACTIONS(2452),
    [anon_sym_va_arg] = ACTIONS(2452),
    [anon_sym_ATencode] = ACTIONS(2454),
    [anon_sym_ATsynchronized] = ACTIONS(2454),
    [anon_sym_BOOL] = ACTIONS(2452),
    [anon_sym_IMP] = ACTIONS(2452),
    [anon_sym_SEL] = ACTIONS(2452),
    [anon_sym_Class] = ACTIONS(2452),
    [anon_sym_id] = ACTIONS(2452),
  },
  [1137] = {
    [sym_identifier] = ACTIONS(2512),
    [anon_sym_LPAREN2] = ACTIONS(2514),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_TILDE] = ACTIONS(2514),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_CARET] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_typedef] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym___attribute] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_ATautoreleasepool] = ACTIONS(2514),
    [anon_sym_auto] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_CG_EXTERN] = ACTIONS(2512),
    [anon_sym_CG_INLINE] = ACTIONS(2512),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2512),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2512),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2512),
    [anon_sym_IBOutlet] = ACTIONS(2512),
    [anon_sym_IBInspectable] = ACTIONS(2512),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2512),
    [anon_sym_NS_INLINE] = ACTIONS(2512),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2512),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2512),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2512),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym__Nonnull] = ACTIONS(2512),
    [anon_sym_nullable] = ACTIONS(2512),
    [anon_sym__Complex] = ACTIONS(2512),
    [anon_sym__Nullable] = ACTIONS(2512),
    [anon_sym__Nullable_result] = ACTIONS(2512),
    [anon_sym__Null_unspecified] = ACTIONS(2512),
    [anon_sym___autoreleasing] = ACTIONS(2512),
    [anon_sym___block] = ACTIONS(2512),
    [anon_sym___bridge] = ACTIONS(2512),
    [anon_sym___bridge_retained] = ACTIONS(2512),
    [anon_sym___bridge_transfer] = ACTIONS(2512),
    [anon_sym___complex] = ACTIONS(2512),
    [anon_sym___const] = ACTIONS(2512),
    [anon_sym___imag] = ACTIONS(2512),
    [anon_sym___kindof] = ACTIONS(2512),
    [anon_sym___nonnull] = ACTIONS(2512),
    [anon_sym___nullable] = ACTIONS(2512),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2512),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2512),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2512),
    [anon_sym___real] = ACTIONS(2512),
    [anon_sym___strong] = ACTIONS(2512),
    [anon_sym___unsafe_unretained] = ACTIONS(2512),
    [anon_sym___unused] = ACTIONS(2512),
    [anon_sym___weak] = ACTIONS(2512),
    [anon_sym_alignas] = ACTIONS(2512),
    [anon_sym__Alignas] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(2512),
    [anon_sym_else] = ACTIONS(2512),
    [anon_sym_switch] = ACTIONS(2512),
    [anon_sym_while] = ACTIONS(2512),
    [anon_sym_do] = ACTIONS(2512),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_in] = ACTIONS(2512),
    [anon_sym_return] = ACTIONS(2512),
    [anon_sym_break] = ACTIONS(2512),
    [anon_sym_continue] = ACTIONS(2512),
    [anon_sym_goto] = ACTIONS(2512),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_sizeof] = ACTIONS(2512),
    [anon_sym___alignof__] = ACTIONS(2512),
    [anon_sym___alignof] = ACTIONS(2512),
    [anon_sym__alignof] = ACTIONS(2512),
    [anon_sym_alignof] = ACTIONS(2512),
    [anon_sym__Alignof] = ACTIONS(2512),
    [anon_sym_offsetof] = ACTIONS(2512),
    [anon_sym__Generic] = ACTIONS(2512),
    [anon_sym_asm] = ACTIONS(2512),
    [anon_sym___asm__] = ACTIONS(2512),
    [anon_sym___asm] = ACTIONS(2512),
    [sym_number_literal] = ACTIONS(2514),
    [anon_sym_L_SQUOTE] = ACTIONS(2514),
    [anon_sym_u_SQUOTE] = ACTIONS(2514),
    [anon_sym_U_SQUOTE] = ACTIONS(2514),
    [anon_sym_u8_SQUOTE] = ACTIONS(2514),
    [anon_sym_SQUOTE] = ACTIONS(2514),
    [anon_sym_AT] = ACTIONS(2512),
    [anon_sym_DQUOTE] = ACTIONS(2514),
    [anon_sym_L_DQUOTE] = ACTIONS(2514),
    [anon_sym_u_DQUOTE] = ACTIONS(2514),
    [anon_sym_U_DQUOTE] = ACTIONS(2514),
    [anon_sym_u8_DQUOTE] = ACTIONS(2514),
    [sym_true] = ACTIONS(2512),
    [sym_false] = ACTIONS(2512),
    [anon_sym_NULL] = ACTIONS(2512),
    [anon_sym_nullptr] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2512),
    [anon_sym___typeof] = ACTIONS(2512),
    [anon_sym_typeof] = ACTIONS(2512),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2512),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2512),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2512),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2512),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2512),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2512),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2512),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2512),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2512),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_API_AVAILABLE] = ACTIONS(2512),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_API_DEPRECATED] = ACTIONS(2512),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2512),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2512),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2512),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2512),
    [anon_sym___deprecated_msg] = ACTIONS(2512),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2512),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2512),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2512),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2512),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2512),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2512),
    [anon_sym_ATtry] = ACTIONS(2514),
    [anon_sym___try] = ACTIONS(2512),
    [anon_sym_ATthrow] = ACTIONS(2514),
    [anon_sym_ATselector] = ACTIONS(2514),
    [anon_sym_ATavailable] = ACTIONS(2514),
    [anon_sym___builtin_available] = ACTIONS(2512),
    [anon_sym_va_arg] = ACTIONS(2512),
    [anon_sym_ATencode] = ACTIONS(2514),
    [anon_sym_ATsynchronized] = ACTIONS(2514),
    [anon_sym_BOOL] = ACTIONS(2512),
    [anon_sym_IMP] = ACTIONS(2512),
    [anon_sym_SEL] = ACTIONS(2512),
    [anon_sym_Class] = ACTIONS(2512),
    [anon_sym_id] = ACTIONS(2512),
  },
  [1138] = {
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_TILDE] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym___attribute] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_ATautoreleasepool] = ACTIONS(2450),
    [anon_sym_auto] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_CG_EXTERN] = ACTIONS(2448),
    [anon_sym_CG_INLINE] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2448),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2448),
    [anon_sym_IBOutlet] = ACTIONS(2448),
    [anon_sym_IBInspectable] = ACTIONS(2448),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2448),
    [anon_sym_NS_INLINE] = ACTIONS(2448),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2448),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2448),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym__Nonnull] = ACTIONS(2448),
    [anon_sym_nullable] = ACTIONS(2448),
    [anon_sym__Complex] = ACTIONS(2448),
    [anon_sym__Nullable] = ACTIONS(2448),
    [anon_sym__Nullable_result] = ACTIONS(2448),
    [anon_sym__Null_unspecified] = ACTIONS(2448),
    [anon_sym___autoreleasing] = ACTIONS(2448),
    [anon_sym___block] = ACTIONS(2448),
    [anon_sym___bridge] = ACTIONS(2448),
    [anon_sym___bridge_retained] = ACTIONS(2448),
    [anon_sym___bridge_transfer] = ACTIONS(2448),
    [anon_sym___complex] = ACTIONS(2448),
    [anon_sym___const] = ACTIONS(2448),
    [anon_sym___imag] = ACTIONS(2448),
    [anon_sym___kindof] = ACTIONS(2448),
    [anon_sym___nonnull] = ACTIONS(2448),
    [anon_sym___nullable] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2448),
    [anon_sym___real] = ACTIONS(2448),
    [anon_sym___strong] = ACTIONS(2448),
    [anon_sym___unsafe_unretained] = ACTIONS(2448),
    [anon_sym___unused] = ACTIONS(2448),
    [anon_sym___weak] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym__Alignas] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_else] = ACTIONS(2448),
    [anon_sym_switch] = ACTIONS(2448),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_do] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2448),
    [anon_sym_in] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_break] = ACTIONS(2448),
    [anon_sym_continue] = ACTIONS(2448),
    [anon_sym_goto] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2450),
    [anon_sym_sizeof] = ACTIONS(2448),
    [anon_sym___alignof__] = ACTIONS(2448),
    [anon_sym___alignof] = ACTIONS(2448),
    [anon_sym__alignof] = ACTIONS(2448),
    [anon_sym_alignof] = ACTIONS(2448),
    [anon_sym__Alignof] = ACTIONS(2448),
    [anon_sym_offsetof] = ACTIONS(2448),
    [anon_sym__Generic] = ACTIONS(2448),
    [anon_sym_asm] = ACTIONS(2448),
    [anon_sym___asm__] = ACTIONS(2448),
    [anon_sym___asm] = ACTIONS(2448),
    [sym_number_literal] = ACTIONS(2450),
    [anon_sym_L_SQUOTE] = ACTIONS(2450),
    [anon_sym_u_SQUOTE] = ACTIONS(2450),
    [anon_sym_U_SQUOTE] = ACTIONS(2450),
    [anon_sym_u8_SQUOTE] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2450),
    [anon_sym_AT] = ACTIONS(2448),
    [anon_sym_DQUOTE] = ACTIONS(2450),
    [anon_sym_L_DQUOTE] = ACTIONS(2450),
    [anon_sym_u_DQUOTE] = ACTIONS(2450),
    [anon_sym_U_DQUOTE] = ACTIONS(2450),
    [anon_sym_u8_DQUOTE] = ACTIONS(2450),
    [sym_true] = ACTIONS(2448),
    [sym_false] = ACTIONS(2448),
    [anon_sym_NULL] = ACTIONS(2448),
    [anon_sym_nullptr] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2448),
    [anon_sym___typeof] = ACTIONS(2448),
    [anon_sym_typeof] = ACTIONS(2448),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2448),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2448),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2448),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_API_AVAILABLE] = ACTIONS(2448),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_API_DEPRECATED] = ACTIONS(2448),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym___deprecated_msg] = ACTIONS(2448),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2448),
    [anon_sym_ATtry] = ACTIONS(2450),
    [anon_sym___try] = ACTIONS(2448),
    [anon_sym_ATthrow] = ACTIONS(2450),
    [anon_sym_ATselector] = ACTIONS(2450),
    [anon_sym_ATavailable] = ACTIONS(2450),
    [anon_sym___builtin_available] = ACTIONS(2448),
    [anon_sym_va_arg] = ACTIONS(2448),
    [anon_sym_ATencode] = ACTIONS(2450),
    [anon_sym_ATsynchronized] = ACTIONS(2450),
    [anon_sym_BOOL] = ACTIONS(2448),
    [anon_sym_IMP] = ACTIONS(2448),
    [anon_sym_SEL] = ACTIONS(2448),
    [anon_sym_Class] = ACTIONS(2448),
    [anon_sym_id] = ACTIONS(2448),
  },
  [1139] = {
    [sym_identifier] = ACTIONS(2470),
    [anon_sym_LPAREN2] = ACTIONS(2472),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_CARET] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2470),
    [anon_sym_extern] = ACTIONS(2470),
    [anon_sym___attribute__] = ACTIONS(2470),
    [anon_sym___attribute] = ACTIONS(2470),
    [anon_sym_noreturn] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym___declspec] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_signed] = ACTIONS(2470),
    [anon_sym_unsigned] = ACTIONS(2470),
    [anon_sym_long] = ACTIONS(2470),
    [anon_sym_short] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_ATautoreleasepool] = ACTIONS(2472),
    [anon_sym_auto] = ACTIONS(2470),
    [anon_sym_register] = ACTIONS(2470),
    [anon_sym_inline] = ACTIONS(2470),
    [anon_sym___inline] = ACTIONS(2470),
    [anon_sym___inline__] = ACTIONS(2470),
    [anon_sym___forceinline] = ACTIONS(2470),
    [anon_sym_thread_local] = ACTIONS(2470),
    [anon_sym___thread] = ACTIONS(2470),
    [anon_sym_CG_EXTERN] = ACTIONS(2470),
    [anon_sym_CG_INLINE] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2470),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2470),
    [anon_sym_IBOutlet] = ACTIONS(2470),
    [anon_sym_IBInspectable] = ACTIONS(2470),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2470),
    [anon_sym_NS_INLINE] = ACTIONS(2470),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2470),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2470),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2470),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_constexpr] = ACTIONS(2470),
    [anon_sym_volatile] = ACTIONS(2470),
    [anon_sym_restrict] = ACTIONS(2470),
    [anon_sym___restrict__] = ACTIONS(2470),
    [anon_sym__Atomic] = ACTIONS(2470),
    [anon_sym__Noreturn] = ACTIONS(2470),
    [anon_sym__Nonnull] = ACTIONS(2470),
    [anon_sym_nullable] = ACTIONS(2470),
    [anon_sym__Complex] = ACTIONS(2470),
    [anon_sym__Nullable] = ACTIONS(2470),
    [anon_sym__Nullable_result] = ACTIONS(2470),
    [anon_sym__Null_unspecified] = ACTIONS(2470),
    [anon_sym___autoreleasing] = ACTIONS(2470),
    [anon_sym___block] = ACTIONS(2470),
    [anon_sym___bridge] = ACTIONS(2470),
    [anon_sym___bridge_retained] = ACTIONS(2470),
    [anon_sym___bridge_transfer] = ACTIONS(2470),
    [anon_sym___complex] = ACTIONS(2470),
    [anon_sym___const] = ACTIONS(2470),
    [anon_sym___imag] = ACTIONS(2470),
    [anon_sym___kindof] = ACTIONS(2470),
    [anon_sym___nonnull] = ACTIONS(2470),
    [anon_sym___nullable] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2470),
    [anon_sym___real] = ACTIONS(2470),
    [anon_sym___strong] = ACTIONS(2470),
    [anon_sym___unsafe_unretained] = ACTIONS(2470),
    [anon_sym___unused] = ACTIONS(2470),
    [anon_sym___weak] = ACTIONS(2470),
    [anon_sym_alignas] = ACTIONS(2470),
    [anon_sym__Alignas] = ACTIONS(2470),
    [sym_primitive_type] = ACTIONS(2470),
    [anon_sym_enum] = ACTIONS(2470),
    [anon_sym_struct] = ACTIONS(2470),
    [anon_sym_union] = ACTIONS(2470),
    [anon_sym_if] = ACTIONS(2470),
    [anon_sym_else] = ACTIONS(2470),
    [anon_sym_switch] = ACTIONS(2470),
    [anon_sym_while] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_in] = ACTIONS(2470),
    [anon_sym_return] = ACTIONS(2470),
    [anon_sym_break] = ACTIONS(2470),
    [anon_sym_continue] = ACTIONS(2470),
    [anon_sym_goto] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_PLUS] = ACTIONS(2472),
    [anon_sym_sizeof] = ACTIONS(2470),
    [anon_sym___alignof__] = ACTIONS(2470),
    [anon_sym___alignof] = ACTIONS(2470),
    [anon_sym__alignof] = ACTIONS(2470),
    [anon_sym_alignof] = ACTIONS(2470),
    [anon_sym__Alignof] = ACTIONS(2470),
    [anon_sym_offsetof] = ACTIONS(2470),
    [anon_sym__Generic] = ACTIONS(2470),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2472),
    [anon_sym_u_SQUOTE] = ACTIONS(2472),
    [anon_sym_U_SQUOTE] = ACTIONS(2472),
    [anon_sym_u8_SQUOTE] = ACTIONS(2472),
    [anon_sym_SQUOTE] = ACTIONS(2472),
    [anon_sym_AT] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2470),
    [sym_false] = ACTIONS(2470),
    [anon_sym_NULL] = ACTIONS(2470),
    [anon_sym_nullptr] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2470),
    [anon_sym___typeof] = ACTIONS(2470),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2470),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2470),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2470),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_API_AVAILABLE] = ACTIONS(2470),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_API_DEPRECATED] = ACTIONS(2470),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym___deprecated_msg] = ACTIONS(2470),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2470),
    [anon_sym_ATtry] = ACTIONS(2472),
    [anon_sym___try] = ACTIONS(2470),
    [anon_sym_ATthrow] = ACTIONS(2472),
    [anon_sym_ATselector] = ACTIONS(2472),
    [anon_sym_ATavailable] = ACTIONS(2472),
    [anon_sym___builtin_available] = ACTIONS(2470),
    [anon_sym_va_arg] = ACTIONS(2470),
    [anon_sym_ATencode] = ACTIONS(2472),
    [anon_sym_ATsynchronized] = ACTIONS(2472),
    [anon_sym_BOOL] = ACTIONS(2470),
    [anon_sym_IMP] = ACTIONS(2470),
    [anon_sym_SEL] = ACTIONS(2470),
    [anon_sym_Class] = ACTIONS(2470),
    [anon_sym_id] = ACTIONS(2470),
  },
  [1140] = {
    [sym_identifier] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_BANG] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym___attribute] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_ATautoreleasepool] = ACTIONS(2476),
    [anon_sym_auto] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_CG_EXTERN] = ACTIONS(2474),
    [anon_sym_CG_INLINE] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2474),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2474),
    [anon_sym_IBOutlet] = ACTIONS(2474),
    [anon_sym_IBInspectable] = ACTIONS(2474),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2474),
    [anon_sym_NS_INLINE] = ACTIONS(2474),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2474),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2474),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym__Nonnull] = ACTIONS(2474),
    [anon_sym_nullable] = ACTIONS(2474),
    [anon_sym__Complex] = ACTIONS(2474),
    [anon_sym__Nullable] = ACTIONS(2474),
    [anon_sym__Nullable_result] = ACTIONS(2474),
    [anon_sym__Null_unspecified] = ACTIONS(2474),
    [anon_sym___autoreleasing] = ACTIONS(2474),
    [anon_sym___block] = ACTIONS(2474),
    [anon_sym___bridge] = ACTIONS(2474),
    [anon_sym___bridge_retained] = ACTIONS(2474),
    [anon_sym___bridge_transfer] = ACTIONS(2474),
    [anon_sym___complex] = ACTIONS(2474),
    [anon_sym___const] = ACTIONS(2474),
    [anon_sym___imag] = ACTIONS(2474),
    [anon_sym___kindof] = ACTIONS(2474),
    [anon_sym___nonnull] = ACTIONS(2474),
    [anon_sym___nullable] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2474),
    [anon_sym___real] = ACTIONS(2474),
    [anon_sym___strong] = ACTIONS(2474),
    [anon_sym___unsafe_unretained] = ACTIONS(2474),
    [anon_sym___unused] = ACTIONS(2474),
    [anon_sym___weak] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_else] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_goto] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_PLUS] = ACTIONS(2476),
    [anon_sym_sizeof] = ACTIONS(2474),
    [anon_sym___alignof__] = ACTIONS(2474),
    [anon_sym___alignof] = ACTIONS(2474),
    [anon_sym__alignof] = ACTIONS(2474),
    [anon_sym_alignof] = ACTIONS(2474),
    [anon_sym__Alignof] = ACTIONS(2474),
    [anon_sym_offsetof] = ACTIONS(2474),
    [anon_sym__Generic] = ACTIONS(2474),
    [anon_sym_asm] = ACTIONS(2474),
    [anon_sym___asm__] = ACTIONS(2474),
    [anon_sym___asm] = ACTIONS(2474),
    [sym_number_literal] = ACTIONS(2476),
    [anon_sym_L_SQUOTE] = ACTIONS(2476),
    [anon_sym_u_SQUOTE] = ACTIONS(2476),
    [anon_sym_U_SQUOTE] = ACTIONS(2476),
    [anon_sym_u8_SQUOTE] = ACTIONS(2476),
    [anon_sym_SQUOTE] = ACTIONS(2476),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2474),
    [anon_sym_nullptr] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2474),
    [anon_sym___typeof] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2474),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2474),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2474),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_API_AVAILABLE] = ACTIONS(2474),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_API_DEPRECATED] = ACTIONS(2474),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym___deprecated_msg] = ACTIONS(2474),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2474),
    [anon_sym_ATtry] = ACTIONS(2476),
    [anon_sym___try] = ACTIONS(2474),
    [anon_sym_ATthrow] = ACTIONS(2476),
    [anon_sym_ATselector] = ACTIONS(2476),
    [anon_sym_ATavailable] = ACTIONS(2476),
    [anon_sym___builtin_available] = ACTIONS(2474),
    [anon_sym_va_arg] = ACTIONS(2474),
    [anon_sym_ATencode] = ACTIONS(2476),
    [anon_sym_ATsynchronized] = ACTIONS(2476),
    [anon_sym_BOOL] = ACTIONS(2474),
    [anon_sym_IMP] = ACTIONS(2474),
    [anon_sym_SEL] = ACTIONS(2474),
    [anon_sym_Class] = ACTIONS(2474),
    [anon_sym_id] = ACTIONS(2474),
  },
  [1141] = {
    [sym_identifier] = ACTIONS(2486),
    [anon_sym_LPAREN2] = ACTIONS(2488),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_CARET] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2488),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym___attribute] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym_LBRACE] = ACTIONS(2488),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_ATautoreleasepool] = ACTIONS(2488),
    [anon_sym_auto] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_CG_EXTERN] = ACTIONS(2486),
    [anon_sym_CG_INLINE] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2486),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2486),
    [anon_sym_IBOutlet] = ACTIONS(2486),
    [anon_sym_IBInspectable] = ACTIONS(2486),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2486),
    [anon_sym_NS_INLINE] = ACTIONS(2486),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2486),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2486),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym__Nonnull] = ACTIONS(2486),
    [anon_sym_nullable] = ACTIONS(2486),
    [anon_sym__Complex] = ACTIONS(2486),
    [anon_sym__Nullable] = ACTIONS(2486),
    [anon_sym__Nullable_result] = ACTIONS(2486),
    [anon_sym__Null_unspecified] = ACTIONS(2486),
    [anon_sym___autoreleasing] = ACTIONS(2486),
    [anon_sym___block] = ACTIONS(2486),
    [anon_sym___bridge] = ACTIONS(2486),
    [anon_sym___bridge_retained] = ACTIONS(2486),
    [anon_sym___bridge_transfer] = ACTIONS(2486),
    [anon_sym___complex] = ACTIONS(2486),
    [anon_sym___const] = ACTIONS(2486),
    [anon_sym___imag] = ACTIONS(2486),
    [anon_sym___kindof] = ACTIONS(2486),
    [anon_sym___nonnull] = ACTIONS(2486),
    [anon_sym___nullable] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2486),
    [anon_sym___real] = ACTIONS(2486),
    [anon_sym___strong] = ACTIONS(2486),
    [anon_sym___unsafe_unretained] = ACTIONS(2486),
    [anon_sym___unused] = ACTIONS(2486),
    [anon_sym___weak] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym__Alignas] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_else] = ACTIONS(2486),
    [anon_sym_switch] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2486),
    [anon_sym_do] = ACTIONS(2486),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_in] = ACTIONS(2486),
    [anon_sym_return] = ACTIONS(2486),
    [anon_sym_break] = ACTIONS(2486),
    [anon_sym_continue] = ACTIONS(2486),
    [anon_sym_goto] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2488),
    [anon_sym_PLUS_PLUS] = ACTIONS(2488),
    [anon_sym_sizeof] = ACTIONS(2486),
    [anon_sym___alignof__] = ACTIONS(2486),
    [anon_sym___alignof] = ACTIONS(2486),
    [anon_sym__alignof] = ACTIONS(2486),
    [anon_sym_alignof] = ACTIONS(2486),
    [anon_sym__Alignof] = ACTIONS(2486),
    [anon_sym_offsetof] = ACTIONS(2486),
    [anon_sym__Generic] = ACTIONS(2486),
    [anon_sym_asm] = ACTIONS(2486),
    [anon_sym___asm__] = ACTIONS(2486),
    [anon_sym___asm] = ACTIONS(2486),
    [sym_number_literal] = ACTIONS(2488),
    [anon_sym_L_SQUOTE] = ACTIONS(2488),
    [anon_sym_u_SQUOTE] = ACTIONS(2488),
    [anon_sym_U_SQUOTE] = ACTIONS(2488),
    [anon_sym_u8_SQUOTE] = ACTIONS(2488),
    [anon_sym_SQUOTE] = ACTIONS(2488),
    [anon_sym_AT] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2488),
    [anon_sym_L_DQUOTE] = ACTIONS(2488),
    [anon_sym_u_DQUOTE] = ACTIONS(2488),
    [anon_sym_U_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8_DQUOTE] = ACTIONS(2488),
    [sym_true] = ACTIONS(2486),
    [sym_false] = ACTIONS(2486),
    [anon_sym_NULL] = ACTIONS(2486),
    [anon_sym_nullptr] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2486),
    [anon_sym___typeof] = ACTIONS(2486),
    [anon_sym_typeof] = ACTIONS(2486),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2486),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2486),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2486),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_API_AVAILABLE] = ACTIONS(2486),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_API_DEPRECATED] = ACTIONS(2486),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym___deprecated_msg] = ACTIONS(2486),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2486),
    [anon_sym_ATtry] = ACTIONS(2488),
    [anon_sym___try] = ACTIONS(2486),
    [anon_sym_ATthrow] = ACTIONS(2488),
    [anon_sym_ATselector] = ACTIONS(2488),
    [anon_sym_ATavailable] = ACTIONS(2488),
    [anon_sym___builtin_available] = ACTIONS(2486),
    [anon_sym_va_arg] = ACTIONS(2486),
    [anon_sym_ATencode] = ACTIONS(2488),
    [anon_sym_ATsynchronized] = ACTIONS(2488),
    [anon_sym_BOOL] = ACTIONS(2486),
    [anon_sym_IMP] = ACTIONS(2486),
    [anon_sym_SEL] = ACTIONS(2486),
    [anon_sym_Class] = ACTIONS(2486),
    [anon_sym_id] = ACTIONS(2486),
  },
  [1142] = {
    [sym_identifier] = ACTIONS(2486),
    [anon_sym_LPAREN2] = ACTIONS(2488),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_CARET] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2488),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym___attribute] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym_LBRACE] = ACTIONS(2488),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_ATautoreleasepool] = ACTIONS(2488),
    [anon_sym_auto] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_CG_EXTERN] = ACTIONS(2486),
    [anon_sym_CG_INLINE] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2486),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2486),
    [anon_sym_IBOutlet] = ACTIONS(2486),
    [anon_sym_IBInspectable] = ACTIONS(2486),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2486),
    [anon_sym_NS_INLINE] = ACTIONS(2486),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2486),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2486),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym__Nonnull] = ACTIONS(2486),
    [anon_sym_nullable] = ACTIONS(2486),
    [anon_sym__Complex] = ACTIONS(2486),
    [anon_sym__Nullable] = ACTIONS(2486),
    [anon_sym__Nullable_result] = ACTIONS(2486),
    [anon_sym__Null_unspecified] = ACTIONS(2486),
    [anon_sym___autoreleasing] = ACTIONS(2486),
    [anon_sym___block] = ACTIONS(2486),
    [anon_sym___bridge] = ACTIONS(2486),
    [anon_sym___bridge_retained] = ACTIONS(2486),
    [anon_sym___bridge_transfer] = ACTIONS(2486),
    [anon_sym___complex] = ACTIONS(2486),
    [anon_sym___const] = ACTIONS(2486),
    [anon_sym___imag] = ACTIONS(2486),
    [anon_sym___kindof] = ACTIONS(2486),
    [anon_sym___nonnull] = ACTIONS(2486),
    [anon_sym___nullable] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2486),
    [anon_sym___real] = ACTIONS(2486),
    [anon_sym___strong] = ACTIONS(2486),
    [anon_sym___unsafe_unretained] = ACTIONS(2486),
    [anon_sym___unused] = ACTIONS(2486),
    [anon_sym___weak] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym__Alignas] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_else] = ACTIONS(2486),
    [anon_sym_switch] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2486),
    [anon_sym_do] = ACTIONS(2486),
    [anon_sym_for] = ACTIONS(2486),
    [anon_sym_in] = ACTIONS(2486),
    [anon_sym_return] = ACTIONS(2486),
    [anon_sym_break] = ACTIONS(2486),
    [anon_sym_continue] = ACTIONS(2486),
    [anon_sym_goto] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2488),
    [anon_sym_PLUS_PLUS] = ACTIONS(2488),
    [anon_sym_sizeof] = ACTIONS(2486),
    [anon_sym___alignof__] = ACTIONS(2486),
    [anon_sym___alignof] = ACTIONS(2486),
    [anon_sym__alignof] = ACTIONS(2486),
    [anon_sym_alignof] = ACTIONS(2486),
    [anon_sym__Alignof] = ACTIONS(2486),
    [anon_sym_offsetof] = ACTIONS(2486),
    [anon_sym__Generic] = ACTIONS(2486),
    [anon_sym_asm] = ACTIONS(2486),
    [anon_sym___asm__] = ACTIONS(2486),
    [anon_sym___asm] = ACTIONS(2486),
    [sym_number_literal] = ACTIONS(2488),
    [anon_sym_L_SQUOTE] = ACTIONS(2488),
    [anon_sym_u_SQUOTE] = ACTIONS(2488),
    [anon_sym_U_SQUOTE] = ACTIONS(2488),
    [anon_sym_u8_SQUOTE] = ACTIONS(2488),
    [anon_sym_SQUOTE] = ACTIONS(2488),
    [anon_sym_AT] = ACTIONS(2486),
    [anon_sym_DQUOTE] = ACTIONS(2488),
    [anon_sym_L_DQUOTE] = ACTIONS(2488),
    [anon_sym_u_DQUOTE] = ACTIONS(2488),
    [anon_sym_U_DQUOTE] = ACTIONS(2488),
    [anon_sym_u8_DQUOTE] = ACTIONS(2488),
    [sym_true] = ACTIONS(2486),
    [sym_false] = ACTIONS(2486),
    [anon_sym_NULL] = ACTIONS(2486),
    [anon_sym_nullptr] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2486),
    [anon_sym___typeof] = ACTIONS(2486),
    [anon_sym_typeof] = ACTIONS(2486),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2486),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2486),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2486),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_API_AVAILABLE] = ACTIONS(2486),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_API_DEPRECATED] = ACTIONS(2486),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym___deprecated_msg] = ACTIONS(2486),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2486),
    [anon_sym_ATtry] = ACTIONS(2488),
    [anon_sym___try] = ACTIONS(2486),
    [anon_sym_ATthrow] = ACTIONS(2488),
    [anon_sym_ATselector] = ACTIONS(2488),
    [anon_sym_ATavailable] = ACTIONS(2488),
    [anon_sym___builtin_available] = ACTIONS(2486),
    [anon_sym_va_arg] = ACTIONS(2486),
    [anon_sym_ATencode] = ACTIONS(2488),
    [anon_sym_ATsynchronized] = ACTIONS(2488),
    [anon_sym_BOOL] = ACTIONS(2486),
    [anon_sym_IMP] = ACTIONS(2486),
    [anon_sym_SEL] = ACTIONS(2486),
    [anon_sym_Class] = ACTIONS(2486),
    [anon_sym_id] = ACTIONS(2486),
  },
  [1143] = {
    [sym_identifier] = ACTIONS(2970),
    [anon_sym_LPAREN2] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_TILDE] = ACTIONS(2972),
    [anon_sym_DASH] = ACTIONS(2970),
    [anon_sym_PLUS] = ACTIONS(2970),
    [anon_sym_STAR] = ACTIONS(2972),
    [anon_sym_CARET] = ACTIONS(2972),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2972),
    [anon_sym___extension__] = ACTIONS(2970),
    [anon_sym_extern] = ACTIONS(2970),
    [anon_sym___attribute__] = ACTIONS(2970),
    [anon_sym___attribute] = ACTIONS(2970),
    [anon_sym_noreturn] = ACTIONS(2970),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [anon_sym___declspec] = ACTIONS(2970),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_signed] = ACTIONS(2970),
    [anon_sym_unsigned] = ACTIONS(2970),
    [anon_sym_long] = ACTIONS(2970),
    [anon_sym_short] = ACTIONS(2970),
    [anon_sym_static] = ACTIONS(2970),
    [anon_sym_ATautoreleasepool] = ACTIONS(2972),
    [anon_sym_auto] = ACTIONS(2970),
    [anon_sym_register] = ACTIONS(2970),
    [anon_sym_inline] = ACTIONS(2970),
    [anon_sym___inline] = ACTIONS(2970),
    [anon_sym___inline__] = ACTIONS(2970),
    [anon_sym___forceinline] = ACTIONS(2970),
    [anon_sym_thread_local] = ACTIONS(2970),
    [anon_sym___thread] = ACTIONS(2970),
    [anon_sym_CG_EXTERN] = ACTIONS(2970),
    [anon_sym_CG_INLINE] = ACTIONS(2970),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2970),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2970),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2970),
    [anon_sym_IBOutlet] = ACTIONS(2970),
    [anon_sym_IBInspectable] = ACTIONS(2970),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2970),
    [anon_sym_NS_INLINE] = ACTIONS(2970),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2970),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2970),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2970),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2970),
    [anon_sym_const] = ACTIONS(2970),
    [anon_sym_constexpr] = ACTIONS(2970),
    [anon_sym_volatile] = ACTIONS(2970),
    [anon_sym_restrict] = ACTIONS(2970),
    [anon_sym___restrict__] = ACTIONS(2970),
    [anon_sym__Atomic] = ACTIONS(2970),
    [anon_sym__Noreturn] = ACTIONS(2970),
    [anon_sym__Nonnull] = ACTIONS(2970),
    [anon_sym_nullable] = ACTIONS(2970),
    [anon_sym__Complex] = ACTIONS(2970),
    [anon_sym__Nullable] = ACTIONS(2970),
    [anon_sym__Nullable_result] = ACTIONS(2970),
    [anon_sym__Null_unspecified] = ACTIONS(2970),
    [anon_sym___autoreleasing] = ACTIONS(2970),
    [anon_sym___block] = ACTIONS(2970),
    [anon_sym___bridge] = ACTIONS(2970),
    [anon_sym___bridge_retained] = ACTIONS(2970),
    [anon_sym___bridge_transfer] = ACTIONS(2970),
    [anon_sym___complex] = ACTIONS(2970),
    [anon_sym___const] = ACTIONS(2970),
    [anon_sym___imag] = ACTIONS(2970),
    [anon_sym___kindof] = ACTIONS(2970),
    [anon_sym___nonnull] = ACTIONS(2970),
    [anon_sym___nullable] = ACTIONS(2970),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2970),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2970),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2970),
    [anon_sym___real] = ACTIONS(2970),
    [anon_sym___strong] = ACTIONS(2970),
    [anon_sym___unsafe_unretained] = ACTIONS(2970),
    [anon_sym___unused] = ACTIONS(2970),
    [anon_sym___weak] = ACTIONS(2970),
    [anon_sym_alignas] = ACTIONS(2970),
    [anon_sym__Alignas] = ACTIONS(2970),
    [sym_primitive_type] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2970),
    [anon_sym_struct] = ACTIONS(2970),
    [anon_sym_union] = ACTIONS(2970),
    [anon_sym_if] = ACTIONS(2970),
    [anon_sym_switch] = ACTIONS(2970),
    [anon_sym_case] = ACTIONS(2970),
    [anon_sym_default] = ACTIONS(2970),
    [anon_sym_while] = ACTIONS(2970),
    [anon_sym_do] = ACTIONS(2970),
    [anon_sym_for] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(2970),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_break] = ACTIONS(2970),
    [anon_sym_continue] = ACTIONS(2970),
    [anon_sym_goto] = ACTIONS(2970),
    [anon_sym_DASH_DASH] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2972),
    [anon_sym_sizeof] = ACTIONS(2970),
    [anon_sym___alignof__] = ACTIONS(2970),
    [anon_sym___alignof] = ACTIONS(2970),
    [anon_sym__alignof] = ACTIONS(2970),
    [anon_sym_alignof] = ACTIONS(2970),
    [anon_sym__Alignof] = ACTIONS(2970),
    [anon_sym_offsetof] = ACTIONS(2970),
    [anon_sym__Generic] = ACTIONS(2970),
    [anon_sym_asm] = ACTIONS(2970),
    [anon_sym___asm__] = ACTIONS(2970),
    [anon_sym___asm] = ACTIONS(2970),
    [sym_number_literal] = ACTIONS(2972),
    [anon_sym_L_SQUOTE] = ACTIONS(2972),
    [anon_sym_u_SQUOTE] = ACTIONS(2972),
    [anon_sym_U_SQUOTE] = ACTIONS(2972),
    [anon_sym_u8_SQUOTE] = ACTIONS(2972),
    [anon_sym_SQUOTE] = ACTIONS(2972),
    [anon_sym_AT] = ACTIONS(2970),
    [anon_sym_DQUOTE] = ACTIONS(2972),
    [anon_sym_L_DQUOTE] = ACTIONS(2972),
    [anon_sym_u_DQUOTE] = ACTIONS(2972),
    [anon_sym_U_DQUOTE] = ACTIONS(2972),
    [anon_sym_u8_DQUOTE] = ACTIONS(2972),
    [sym_true] = ACTIONS(2970),
    [sym_false] = ACTIONS(2970),
    [anon_sym_NULL] = ACTIONS(2970),
    [anon_sym_nullptr] = ACTIONS(2970),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2970),
    [anon_sym___typeof] = ACTIONS(2970),
    [anon_sym_typeof] = ACTIONS(2970),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2970),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2970),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2970),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2970),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2970),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2970),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2970),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2970),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2970),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2970),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2970),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2970),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2970),
    [anon_sym_API_AVAILABLE] = ACTIONS(2970),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2970),
    [anon_sym_API_DEPRECATED] = ACTIONS(2970),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2970),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2970),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2970),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2970),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2970),
    [anon_sym___deprecated_msg] = ACTIONS(2970),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2970),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2970),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2970),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2970),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2970),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2970),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2970),
    [anon_sym_ATtry] = ACTIONS(2972),
    [anon_sym___try] = ACTIONS(2970),
    [anon_sym_ATthrow] = ACTIONS(2972),
    [anon_sym_ATselector] = ACTIONS(2972),
    [anon_sym_ATavailable] = ACTIONS(2972),
    [anon_sym___builtin_available] = ACTIONS(2970),
    [anon_sym_va_arg] = ACTIONS(2970),
    [anon_sym_ATencode] = ACTIONS(2972),
    [anon_sym_ATsynchronized] = ACTIONS(2972),
    [anon_sym_BOOL] = ACTIONS(2970),
    [anon_sym_IMP] = ACTIONS(2970),
    [anon_sym_SEL] = ACTIONS(2970),
    [anon_sym_Class] = ACTIONS(2970),
    [anon_sym_id] = ACTIONS(2970),
  },
  [1144] = {
    [sym_identifier] = ACTIONS(2470),
    [anon_sym_LPAREN2] = ACTIONS(2472),
    [anon_sym_BANG] = ACTIONS(2472),
    [anon_sym_TILDE] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2472),
    [anon_sym_CARET] = ACTIONS(2472),
    [anon_sym_AMP] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2470),
    [anon_sym_extern] = ACTIONS(2470),
    [anon_sym___attribute__] = ACTIONS(2470),
    [anon_sym___attribute] = ACTIONS(2470),
    [anon_sym_noreturn] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym___declspec] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_signed] = ACTIONS(2470),
    [anon_sym_unsigned] = ACTIONS(2470),
    [anon_sym_long] = ACTIONS(2470),
    [anon_sym_short] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_ATautoreleasepool] = ACTIONS(2472),
    [anon_sym_auto] = ACTIONS(2470),
    [anon_sym_register] = ACTIONS(2470),
    [anon_sym_inline] = ACTIONS(2470),
    [anon_sym___inline] = ACTIONS(2470),
    [anon_sym___inline__] = ACTIONS(2470),
    [anon_sym___forceinline] = ACTIONS(2470),
    [anon_sym_thread_local] = ACTIONS(2470),
    [anon_sym___thread] = ACTIONS(2470),
    [anon_sym_CG_EXTERN] = ACTIONS(2470),
    [anon_sym_CG_INLINE] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2470),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2470),
    [anon_sym_IBOutlet] = ACTIONS(2470),
    [anon_sym_IBInspectable] = ACTIONS(2470),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2470),
    [anon_sym_NS_INLINE] = ACTIONS(2470),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2470),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2470),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2470),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_constexpr] = ACTIONS(2470),
    [anon_sym_volatile] = ACTIONS(2470),
    [anon_sym_restrict] = ACTIONS(2470),
    [anon_sym___restrict__] = ACTIONS(2470),
    [anon_sym__Atomic] = ACTIONS(2470),
    [anon_sym__Noreturn] = ACTIONS(2470),
    [anon_sym__Nonnull] = ACTIONS(2470),
    [anon_sym_nullable] = ACTIONS(2470),
    [anon_sym__Complex] = ACTIONS(2470),
    [anon_sym__Nullable] = ACTIONS(2470),
    [anon_sym__Nullable_result] = ACTIONS(2470),
    [anon_sym__Null_unspecified] = ACTIONS(2470),
    [anon_sym___autoreleasing] = ACTIONS(2470),
    [anon_sym___block] = ACTIONS(2470),
    [anon_sym___bridge] = ACTIONS(2470),
    [anon_sym___bridge_retained] = ACTIONS(2470),
    [anon_sym___bridge_transfer] = ACTIONS(2470),
    [anon_sym___complex] = ACTIONS(2470),
    [anon_sym___const] = ACTIONS(2470),
    [anon_sym___imag] = ACTIONS(2470),
    [anon_sym___kindof] = ACTIONS(2470),
    [anon_sym___nonnull] = ACTIONS(2470),
    [anon_sym___nullable] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2470),
    [anon_sym___real] = ACTIONS(2470),
    [anon_sym___strong] = ACTIONS(2470),
    [anon_sym___unsafe_unretained] = ACTIONS(2470),
    [anon_sym___unused] = ACTIONS(2470),
    [anon_sym___weak] = ACTIONS(2470),
    [anon_sym_alignas] = ACTIONS(2470),
    [anon_sym__Alignas] = ACTIONS(2470),
    [sym_primitive_type] = ACTIONS(2470),
    [anon_sym_enum] = ACTIONS(2470),
    [anon_sym_struct] = ACTIONS(2470),
    [anon_sym_union] = ACTIONS(2470),
    [anon_sym_if] = ACTIONS(2470),
    [anon_sym_else] = ACTIONS(2470),
    [anon_sym_switch] = ACTIONS(2470),
    [anon_sym_while] = ACTIONS(2470),
    [anon_sym_do] = ACTIONS(2470),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_in] = ACTIONS(2470),
    [anon_sym_return] = ACTIONS(2470),
    [anon_sym_break] = ACTIONS(2470),
    [anon_sym_continue] = ACTIONS(2470),
    [anon_sym_goto] = ACTIONS(2470),
    [anon_sym_DASH_DASH] = ACTIONS(2472),
    [anon_sym_PLUS_PLUS] = ACTIONS(2472),
    [anon_sym_sizeof] = ACTIONS(2470),
    [anon_sym___alignof__] = ACTIONS(2470),
    [anon_sym___alignof] = ACTIONS(2470),
    [anon_sym__alignof] = ACTIONS(2470),
    [anon_sym_alignof] = ACTIONS(2470),
    [anon_sym__Alignof] = ACTIONS(2470),
    [anon_sym_offsetof] = ACTIONS(2470),
    [anon_sym__Generic] = ACTIONS(2470),
    [anon_sym_asm] = ACTIONS(2470),
    [anon_sym___asm__] = ACTIONS(2470),
    [anon_sym___asm] = ACTIONS(2470),
    [sym_number_literal] = ACTIONS(2472),
    [anon_sym_L_SQUOTE] = ACTIONS(2472),
    [anon_sym_u_SQUOTE] = ACTIONS(2472),
    [anon_sym_U_SQUOTE] = ACTIONS(2472),
    [anon_sym_u8_SQUOTE] = ACTIONS(2472),
    [anon_sym_SQUOTE] = ACTIONS(2472),
    [anon_sym_AT] = ACTIONS(2470),
    [anon_sym_DQUOTE] = ACTIONS(2472),
    [anon_sym_L_DQUOTE] = ACTIONS(2472),
    [anon_sym_u_DQUOTE] = ACTIONS(2472),
    [anon_sym_U_DQUOTE] = ACTIONS(2472),
    [anon_sym_u8_DQUOTE] = ACTIONS(2472),
    [sym_true] = ACTIONS(2470),
    [sym_false] = ACTIONS(2470),
    [anon_sym_NULL] = ACTIONS(2470),
    [anon_sym_nullptr] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2470),
    [anon_sym___typeof] = ACTIONS(2470),
    [anon_sym_typeof] = ACTIONS(2470),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2470),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2470),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2470),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_API_AVAILABLE] = ACTIONS(2470),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_API_DEPRECATED] = ACTIONS(2470),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym___deprecated_msg] = ACTIONS(2470),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2470),
    [anon_sym_ATtry] = ACTIONS(2472),
    [anon_sym___try] = ACTIONS(2470),
    [anon_sym_ATthrow] = ACTIONS(2472),
    [anon_sym_ATselector] = ACTIONS(2472),
    [anon_sym_ATavailable] = ACTIONS(2472),
    [anon_sym___builtin_available] = ACTIONS(2470),
    [anon_sym_va_arg] = ACTIONS(2470),
    [anon_sym_ATencode] = ACTIONS(2472),
    [anon_sym_ATsynchronized] = ACTIONS(2472),
    [anon_sym_BOOL] = ACTIONS(2470),
    [anon_sym_IMP] = ACTIONS(2470),
    [anon_sym_SEL] = ACTIONS(2470),
    [anon_sym_Class] = ACTIONS(2470),
    [anon_sym_id] = ACTIONS(2470),
  },
  [1145] = {
    [sym_identifier] = ACTIONS(2474),
    [anon_sym_LPAREN2] = ACTIONS(2476),
    [anon_sym_BANG] = ACTIONS(2476),
    [anon_sym_TILDE] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym___attribute] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_ATautoreleasepool] = ACTIONS(2476),
    [anon_sym_auto] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_CG_EXTERN] = ACTIONS(2474),
    [anon_sym_CG_INLINE] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2474),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2474),
    [anon_sym_IBOutlet] = ACTIONS(2474),
    [anon_sym_IBInspectable] = ACTIONS(2474),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2474),
    [anon_sym_NS_INLINE] = ACTIONS(2474),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2474),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2474),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym__Nonnull] = ACTIONS(2474),
    [anon_sym_nullable] = ACTIONS(2474),
    [anon_sym__Complex] = ACTIONS(2474),
    [anon_sym__Nullable] = ACTIONS(2474),
    [anon_sym__Nullable_result] = ACTIONS(2474),
    [anon_sym__Null_unspecified] = ACTIONS(2474),
    [anon_sym___autoreleasing] = ACTIONS(2474),
    [anon_sym___block] = ACTIONS(2474),
    [anon_sym___bridge] = ACTIONS(2474),
    [anon_sym___bridge_retained] = ACTIONS(2474),
    [anon_sym___bridge_transfer] = ACTIONS(2474),
    [anon_sym___complex] = ACTIONS(2474),
    [anon_sym___const] = ACTIONS(2474),
    [anon_sym___imag] = ACTIONS(2474),
    [anon_sym___kindof] = ACTIONS(2474),
    [anon_sym___nonnull] = ACTIONS(2474),
    [anon_sym___nullable] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2474),
    [anon_sym___real] = ACTIONS(2474),
    [anon_sym___strong] = ACTIONS(2474),
    [anon_sym___unsafe_unretained] = ACTIONS(2474),
    [anon_sym___unused] = ACTIONS(2474),
    [anon_sym___weak] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_else] = ACTIONS(2474),
    [anon_sym_switch] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_do] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2474),
    [anon_sym_in] = ACTIONS(2474),
    [anon_sym_return] = ACTIONS(2474),
    [anon_sym_break] = ACTIONS(2474),
    [anon_sym_continue] = ACTIONS(2474),
    [anon_sym_goto] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2476),
    [anon_sym_PLUS_PLUS] = ACTIONS(2476),
    [anon_sym_sizeof] = ACTIONS(2474),
    [anon_sym___alignof__] = ACTIONS(2474),
    [anon_sym___alignof] = ACTIONS(2474),
    [anon_sym__alignof] = ACTIONS(2474),
    [anon_sym_alignof] = ACTIONS(2474),
    [anon_sym__Alignof] = ACTIONS(2474),
    [anon_sym_offsetof] = ACTIONS(2474),
    [anon_sym__Generic] = ACTIONS(2474),
    [anon_sym_asm] = ACTIONS(2474),
    [anon_sym___asm__] = ACTIONS(2474),
    [anon_sym___asm] = ACTIONS(2474),
    [sym_number_literal] = ACTIONS(2476),
    [anon_sym_L_SQUOTE] = ACTIONS(2476),
    [anon_sym_u_SQUOTE] = ACTIONS(2476),
    [anon_sym_U_SQUOTE] = ACTIONS(2476),
    [anon_sym_u8_SQUOTE] = ACTIONS(2476),
    [anon_sym_SQUOTE] = ACTIONS(2476),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_DQUOTE] = ACTIONS(2476),
    [anon_sym_L_DQUOTE] = ACTIONS(2476),
    [anon_sym_u_DQUOTE] = ACTIONS(2476),
    [anon_sym_U_DQUOTE] = ACTIONS(2476),
    [anon_sym_u8_DQUOTE] = ACTIONS(2476),
    [sym_true] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
    [anon_sym_NULL] = ACTIONS(2474),
    [anon_sym_nullptr] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2474),
    [anon_sym___typeof] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2474),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2474),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2474),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_API_AVAILABLE] = ACTIONS(2474),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_API_DEPRECATED] = ACTIONS(2474),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym___deprecated_msg] = ACTIONS(2474),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2474),
    [anon_sym_ATtry] = ACTIONS(2476),
    [anon_sym___try] = ACTIONS(2474),
    [anon_sym_ATthrow] = ACTIONS(2476),
    [anon_sym_ATselector] = ACTIONS(2476),
    [anon_sym_ATavailable] = ACTIONS(2476),
    [anon_sym___builtin_available] = ACTIONS(2474),
    [anon_sym_va_arg] = ACTIONS(2474),
    [anon_sym_ATencode] = ACTIONS(2476),
    [anon_sym_ATsynchronized] = ACTIONS(2476),
    [anon_sym_BOOL] = ACTIONS(2474),
    [anon_sym_IMP] = ACTIONS(2474),
    [anon_sym_SEL] = ACTIONS(2474),
    [anon_sym_Class] = ACTIONS(2474),
    [anon_sym_id] = ACTIONS(2474),
  },
  [1146] = {
    [sym_identifier] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym___attribute] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_ATautoreleasepool] = ACTIONS(2566),
    [anon_sym_auto] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_CG_EXTERN] = ACTIONS(2564),
    [anon_sym_CG_INLINE] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2564),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2564),
    [anon_sym_IBOutlet] = ACTIONS(2564),
    [anon_sym_IBInspectable] = ACTIONS(2564),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2564),
    [anon_sym_NS_INLINE] = ACTIONS(2564),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2564),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2564),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_nullable] = ACTIONS(2564),
    [anon_sym__Complex] = ACTIONS(2564),
    [anon_sym__Nullable] = ACTIONS(2564),
    [anon_sym__Nullable_result] = ACTIONS(2564),
    [anon_sym__Null_unspecified] = ACTIONS(2564),
    [anon_sym___autoreleasing] = ACTIONS(2564),
    [anon_sym___block] = ACTIONS(2564),
    [anon_sym___bridge] = ACTIONS(2564),
    [anon_sym___bridge_retained] = ACTIONS(2564),
    [anon_sym___bridge_transfer] = ACTIONS(2564),
    [anon_sym___complex] = ACTIONS(2564),
    [anon_sym___const] = ACTIONS(2564),
    [anon_sym___imag] = ACTIONS(2564),
    [anon_sym___kindof] = ACTIONS(2564),
    [anon_sym___nonnull] = ACTIONS(2564),
    [anon_sym___nullable] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2564),
    [anon_sym___real] = ACTIONS(2564),
    [anon_sym___strong] = ACTIONS(2564),
    [anon_sym___unsafe_unretained] = ACTIONS(2564),
    [anon_sym___unused] = ACTIONS(2564),
    [anon_sym___weak] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [anon_sym___asm] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_AT] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2564),
    [anon_sym___typeof] = ACTIONS(2564),
    [anon_sym_typeof] = ACTIONS(2564),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2564),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2564),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2564),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_API_AVAILABLE] = ACTIONS(2564),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_API_DEPRECATED] = ACTIONS(2564),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym___deprecated_msg] = ACTIONS(2564),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2564),
    [anon_sym_ATtry] = ACTIONS(2566),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym_ATthrow] = ACTIONS(2566),
    [anon_sym_ATselector] = ACTIONS(2566),
    [anon_sym_ATavailable] = ACTIONS(2566),
    [anon_sym___builtin_available] = ACTIONS(2564),
    [anon_sym_va_arg] = ACTIONS(2564),
    [anon_sym_ATencode] = ACTIONS(2566),
    [anon_sym_ATsynchronized] = ACTIONS(2566),
    [anon_sym_BOOL] = ACTIONS(2564),
    [anon_sym_IMP] = ACTIONS(2564),
    [anon_sym_SEL] = ACTIONS(2564),
    [anon_sym_Class] = ACTIONS(2564),
    [anon_sym_id] = ACTIONS(2564),
  },
  [1147] = {
    [sym_identifier] = ACTIONS(2564),
    [anon_sym_LPAREN2] = ACTIONS(2566),
    [anon_sym_BANG] = ACTIONS(2566),
    [anon_sym_TILDE] = ACTIONS(2566),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_STAR] = ACTIONS(2566),
    [anon_sym_CARET] = ACTIONS(2566),
    [anon_sym_AMP] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym___attribute] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_ATautoreleasepool] = ACTIONS(2566),
    [anon_sym_auto] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_CG_EXTERN] = ACTIONS(2564),
    [anon_sym_CG_INLINE] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2564),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2564),
    [anon_sym_IBOutlet] = ACTIONS(2564),
    [anon_sym_IBInspectable] = ACTIONS(2564),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2564),
    [anon_sym_NS_INLINE] = ACTIONS(2564),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2564),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2564),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_nullable] = ACTIONS(2564),
    [anon_sym__Complex] = ACTIONS(2564),
    [anon_sym__Nullable] = ACTIONS(2564),
    [anon_sym__Nullable_result] = ACTIONS(2564),
    [anon_sym__Null_unspecified] = ACTIONS(2564),
    [anon_sym___autoreleasing] = ACTIONS(2564),
    [anon_sym___block] = ACTIONS(2564),
    [anon_sym___bridge] = ACTIONS(2564),
    [anon_sym___bridge_retained] = ACTIONS(2564),
    [anon_sym___bridge_transfer] = ACTIONS(2564),
    [anon_sym___complex] = ACTIONS(2564),
    [anon_sym___const] = ACTIONS(2564),
    [anon_sym___imag] = ACTIONS(2564),
    [anon_sym___kindof] = ACTIONS(2564),
    [anon_sym___nonnull] = ACTIONS(2564),
    [anon_sym___nullable] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2564),
    [anon_sym___real] = ACTIONS(2564),
    [anon_sym___strong] = ACTIONS(2564),
    [anon_sym___unsafe_unretained] = ACTIONS(2564),
    [anon_sym___unused] = ACTIONS(2564),
    [anon_sym___weak] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [anon_sym_if] = ACTIONS(2564),
    [anon_sym_else] = ACTIONS(2564),
    [anon_sym_switch] = ACTIONS(2564),
    [anon_sym_while] = ACTIONS(2564),
    [anon_sym_do] = ACTIONS(2564),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_return] = ACTIONS(2564),
    [anon_sym_break] = ACTIONS(2564),
    [anon_sym_continue] = ACTIONS(2564),
    [anon_sym_goto] = ACTIONS(2564),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_sizeof] = ACTIONS(2564),
    [anon_sym___alignof__] = ACTIONS(2564),
    [anon_sym___alignof] = ACTIONS(2564),
    [anon_sym__alignof] = ACTIONS(2564),
    [anon_sym_alignof] = ACTIONS(2564),
    [anon_sym__Alignof] = ACTIONS(2564),
    [anon_sym_offsetof] = ACTIONS(2564),
    [anon_sym__Generic] = ACTIONS(2564),
    [anon_sym_asm] = ACTIONS(2564),
    [anon_sym___asm__] = ACTIONS(2564),
    [anon_sym___asm] = ACTIONS(2564),
    [sym_number_literal] = ACTIONS(2566),
    [anon_sym_L_SQUOTE] = ACTIONS(2566),
    [anon_sym_u_SQUOTE] = ACTIONS(2566),
    [anon_sym_U_SQUOTE] = ACTIONS(2566),
    [anon_sym_u8_SQUOTE] = ACTIONS(2566),
    [anon_sym_SQUOTE] = ACTIONS(2566),
    [anon_sym_AT] = ACTIONS(2564),
    [anon_sym_DQUOTE] = ACTIONS(2566),
    [anon_sym_L_DQUOTE] = ACTIONS(2566),
    [anon_sym_u_DQUOTE] = ACTIONS(2566),
    [anon_sym_U_DQUOTE] = ACTIONS(2566),
    [anon_sym_u8_DQUOTE] = ACTIONS(2566),
    [sym_true] = ACTIONS(2564),
    [sym_false] = ACTIONS(2564),
    [anon_sym_NULL] = ACTIONS(2564),
    [anon_sym_nullptr] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2564),
    [anon_sym___typeof] = ACTIONS(2564),
    [anon_sym_typeof] = ACTIONS(2564),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2564),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2564),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2564),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_API_AVAILABLE] = ACTIONS(2564),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_API_DEPRECATED] = ACTIONS(2564),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym___deprecated_msg] = ACTIONS(2564),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2564),
    [anon_sym_ATtry] = ACTIONS(2566),
    [anon_sym___try] = ACTIONS(2564),
    [anon_sym_ATthrow] = ACTIONS(2566),
    [anon_sym_ATselector] = ACTIONS(2566),
    [anon_sym_ATavailable] = ACTIONS(2566),
    [anon_sym___builtin_available] = ACTIONS(2564),
    [anon_sym_va_arg] = ACTIONS(2564),
    [anon_sym_ATencode] = ACTIONS(2566),
    [anon_sym_ATsynchronized] = ACTIONS(2566),
    [anon_sym_BOOL] = ACTIONS(2564),
    [anon_sym_IMP] = ACTIONS(2564),
    [anon_sym_SEL] = ACTIONS(2564),
    [anon_sym_Class] = ACTIONS(2564),
    [anon_sym_id] = ACTIONS(2564),
  },
  [1148] = {
    [sym_identifier] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [1149] = {
    [sym_identifier] = ACTIONS(2306),
    [anon_sym_LPAREN2] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_CARET] = ACTIONS(2308),
    [anon_sym_AMP] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2308),
    [anon_sym___extension__] = ACTIONS(2306),
    [anon_sym_typedef] = ACTIONS(2306),
    [anon_sym_extern] = ACTIONS(2306),
    [anon_sym___attribute__] = ACTIONS(2306),
    [anon_sym___attribute] = ACTIONS(2306),
    [anon_sym_noreturn] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym___declspec] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2308),
    [anon_sym_signed] = ACTIONS(2306),
    [anon_sym_unsigned] = ACTIONS(2306),
    [anon_sym_long] = ACTIONS(2306),
    [anon_sym_short] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_ATautoreleasepool] = ACTIONS(2308),
    [anon_sym_auto] = ACTIONS(2306),
    [anon_sym_register] = ACTIONS(2306),
    [anon_sym_inline] = ACTIONS(2306),
    [anon_sym___inline] = ACTIONS(2306),
    [anon_sym___inline__] = ACTIONS(2306),
    [anon_sym___forceinline] = ACTIONS(2306),
    [anon_sym_thread_local] = ACTIONS(2306),
    [anon_sym___thread] = ACTIONS(2306),
    [anon_sym_CG_EXTERN] = ACTIONS(2306),
    [anon_sym_CG_INLINE] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2306),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2306),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2306),
    [anon_sym_IBOutlet] = ACTIONS(2306),
    [anon_sym_IBInspectable] = ACTIONS(2306),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2306),
    [anon_sym_NS_INLINE] = ACTIONS(2306),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2306),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2306),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2306),
    [anon_sym_const] = ACTIONS(2306),
    [anon_sym_constexpr] = ACTIONS(2306),
    [anon_sym_volatile] = ACTIONS(2306),
    [anon_sym_restrict] = ACTIONS(2306),
    [anon_sym___restrict__] = ACTIONS(2306),
    [anon_sym__Atomic] = ACTIONS(2306),
    [anon_sym__Noreturn] = ACTIONS(2306),
    [anon_sym__Nonnull] = ACTIONS(2306),
    [anon_sym_nullable] = ACTIONS(2306),
    [anon_sym__Complex] = ACTIONS(2306),
    [anon_sym__Nullable] = ACTIONS(2306),
    [anon_sym__Nullable_result] = ACTIONS(2306),
    [anon_sym__Null_unspecified] = ACTIONS(2306),
    [anon_sym___autoreleasing] = ACTIONS(2306),
    [anon_sym___block] = ACTIONS(2306),
    [anon_sym___bridge] = ACTIONS(2306),
    [anon_sym___bridge_retained] = ACTIONS(2306),
    [anon_sym___bridge_transfer] = ACTIONS(2306),
    [anon_sym___complex] = ACTIONS(2306),
    [anon_sym___const] = ACTIONS(2306),
    [anon_sym___imag] = ACTIONS(2306),
    [anon_sym___kindof] = ACTIONS(2306),
    [anon_sym___nonnull] = ACTIONS(2306),
    [anon_sym___nullable] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2306),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2306),
    [anon_sym___real] = ACTIONS(2306),
    [anon_sym___strong] = ACTIONS(2306),
    [anon_sym___unsafe_unretained] = ACTIONS(2306),
    [anon_sym___unused] = ACTIONS(2306),
    [anon_sym___weak] = ACTIONS(2306),
    [anon_sym_alignas] = ACTIONS(2306),
    [anon_sym__Alignas] = ACTIONS(2306),
    [sym_primitive_type] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [anon_sym_struct] = ACTIONS(2306),
    [anon_sym_union] = ACTIONS(2306),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_else] = ACTIONS(2306),
    [anon_sym_switch] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2306),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_in] = ACTIONS(2306),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2306),
    [anon_sym_continue] = ACTIONS(2306),
    [anon_sym_goto] = ACTIONS(2306),
    [anon_sym_DASH_DASH] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(2308),
    [anon_sym_sizeof] = ACTIONS(2306),
    [anon_sym___alignof__] = ACTIONS(2306),
    [anon_sym___alignof] = ACTIONS(2306),
    [anon_sym__alignof] = ACTIONS(2306),
    [anon_sym_alignof] = ACTIONS(2306),
    [anon_sym__Alignof] = ACTIONS(2306),
    [anon_sym_offsetof] = ACTIONS(2306),
    [anon_sym__Generic] = ACTIONS(2306),
    [anon_sym_asm] = ACTIONS(2306),
    [anon_sym___asm__] = ACTIONS(2306),
    [anon_sym___asm] = ACTIONS(2306),
    [sym_number_literal] = ACTIONS(2308),
    [anon_sym_L_SQUOTE] = ACTIONS(2308),
    [anon_sym_u_SQUOTE] = ACTIONS(2308),
    [anon_sym_U_SQUOTE] = ACTIONS(2308),
    [anon_sym_u8_SQUOTE] = ACTIONS(2308),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [anon_sym_AT] = ACTIONS(2306),
    [anon_sym_DQUOTE] = ACTIONS(2308),
    [anon_sym_L_DQUOTE] = ACTIONS(2308),
    [anon_sym_u_DQUOTE] = ACTIONS(2308),
    [anon_sym_U_DQUOTE] = ACTIONS(2308),
    [anon_sym_u8_DQUOTE] = ACTIONS(2308),
    [sym_true] = ACTIONS(2306),
    [sym_false] = ACTIONS(2306),
    [anon_sym_NULL] = ACTIONS(2306),
    [anon_sym_nullptr] = ACTIONS(2306),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2306),
    [anon_sym___typeof] = ACTIONS(2306),
    [anon_sym_typeof] = ACTIONS(2306),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2306),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2306),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2306),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2306),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2306),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_API_AVAILABLE] = ACTIONS(2306),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_API_DEPRECATED] = ACTIONS(2306),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2306),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2306),
    [anon_sym___deprecated_msg] = ACTIONS(2306),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2306),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2306),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2306),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2306),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2306),
    [anon_sym_ATtry] = ACTIONS(2308),
    [anon_sym___try] = ACTIONS(2306),
    [anon_sym_ATthrow] = ACTIONS(2308),
    [anon_sym_ATselector] = ACTIONS(2308),
    [anon_sym_ATavailable] = ACTIONS(2308),
    [anon_sym___builtin_available] = ACTIONS(2306),
    [anon_sym_va_arg] = ACTIONS(2306),
    [anon_sym_ATencode] = ACTIONS(2308),
    [anon_sym_ATsynchronized] = ACTIONS(2308),
    [anon_sym_BOOL] = ACTIONS(2306),
    [anon_sym_IMP] = ACTIONS(2306),
    [anon_sym_SEL] = ACTIONS(2306),
    [anon_sym_Class] = ACTIONS(2306),
    [anon_sym_id] = ACTIONS(2306),
  },
  [1150] = {
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_LPAREN2] = ACTIONS(2518),
    [anon_sym_BANG] = ACTIONS(2518),
    [anon_sym_TILDE] = ACTIONS(2518),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_CARET] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_typedef] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym___attribute] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_ATautoreleasepool] = ACTIONS(2518),
    [anon_sym_auto] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_CG_EXTERN] = ACTIONS(2516),
    [anon_sym_CG_INLINE] = ACTIONS(2516),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2516),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2516),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2516),
    [anon_sym_IBOutlet] = ACTIONS(2516),
    [anon_sym_IBInspectable] = ACTIONS(2516),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2516),
    [anon_sym_NS_INLINE] = ACTIONS(2516),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2516),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2516),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2516),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym__Nonnull] = ACTIONS(2516),
    [anon_sym_nullable] = ACTIONS(2516),
    [anon_sym__Complex] = ACTIONS(2516),
    [anon_sym__Nullable] = ACTIONS(2516),
    [anon_sym__Nullable_result] = ACTIONS(2516),
    [anon_sym__Null_unspecified] = ACTIONS(2516),
    [anon_sym___autoreleasing] = ACTIONS(2516),
    [anon_sym___block] = ACTIONS(2516),
    [anon_sym___bridge] = ACTIONS(2516),
    [anon_sym___bridge_retained] = ACTIONS(2516),
    [anon_sym___bridge_transfer] = ACTIONS(2516),
    [anon_sym___complex] = ACTIONS(2516),
    [anon_sym___const] = ACTIONS(2516),
    [anon_sym___imag] = ACTIONS(2516),
    [anon_sym___kindof] = ACTIONS(2516),
    [anon_sym___nonnull] = ACTIONS(2516),
    [anon_sym___nullable] = ACTIONS(2516),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2516),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2516),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2516),
    [anon_sym___real] = ACTIONS(2516),
    [anon_sym___strong] = ACTIONS(2516),
    [anon_sym___unsafe_unretained] = ACTIONS(2516),
    [anon_sym___unused] = ACTIONS(2516),
    [anon_sym___weak] = ACTIONS(2516),
    [anon_sym_alignas] = ACTIONS(2516),
    [anon_sym__Alignas] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [anon_sym_if] = ACTIONS(2516),
    [anon_sym_else] = ACTIONS(2516),
    [anon_sym_switch] = ACTIONS(2516),
    [anon_sym_while] = ACTIONS(2516),
    [anon_sym_do] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2516),
    [anon_sym_in] = ACTIONS(2516),
    [anon_sym_return] = ACTIONS(2516),
    [anon_sym_break] = ACTIONS(2516),
    [anon_sym_continue] = ACTIONS(2516),
    [anon_sym_goto] = ACTIONS(2516),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_sizeof] = ACTIONS(2516),
    [anon_sym___alignof__] = ACTIONS(2516),
    [anon_sym___alignof] = ACTIONS(2516),
    [anon_sym__alignof] = ACTIONS(2516),
    [anon_sym_alignof] = ACTIONS(2516),
    [anon_sym__Alignof] = ACTIONS(2516),
    [anon_sym_offsetof] = ACTIONS(2516),
    [anon_sym__Generic] = ACTIONS(2516),
    [anon_sym_asm] = ACTIONS(2516),
    [anon_sym___asm__] = ACTIONS(2516),
    [anon_sym___asm] = ACTIONS(2516),
    [sym_number_literal] = ACTIONS(2518),
    [anon_sym_L_SQUOTE] = ACTIONS(2518),
    [anon_sym_u_SQUOTE] = ACTIONS(2518),
    [anon_sym_U_SQUOTE] = ACTIONS(2518),
    [anon_sym_u8_SQUOTE] = ACTIONS(2518),
    [anon_sym_SQUOTE] = ACTIONS(2518),
    [anon_sym_AT] = ACTIONS(2516),
    [anon_sym_DQUOTE] = ACTIONS(2518),
    [anon_sym_L_DQUOTE] = ACTIONS(2518),
    [anon_sym_u_DQUOTE] = ACTIONS(2518),
    [anon_sym_U_DQUOTE] = ACTIONS(2518),
    [anon_sym_u8_DQUOTE] = ACTIONS(2518),
    [sym_true] = ACTIONS(2516),
    [sym_false] = ACTIONS(2516),
    [anon_sym_NULL] = ACTIONS(2516),
    [anon_sym_nullptr] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2516),
    [anon_sym___typeof] = ACTIONS(2516),
    [anon_sym_typeof] = ACTIONS(2516),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2516),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2516),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2516),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2516),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2516),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2516),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2516),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2516),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2516),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_API_AVAILABLE] = ACTIONS(2516),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_API_DEPRECATED] = ACTIONS(2516),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2516),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2516),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2516),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2516),
    [anon_sym___deprecated_msg] = ACTIONS(2516),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2516),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2516),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2516),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2516),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2516),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2516),
    [anon_sym_ATtry] = ACTIONS(2518),
    [anon_sym___try] = ACTIONS(2516),
    [anon_sym_ATthrow] = ACTIONS(2518),
    [anon_sym_ATselector] = ACTIONS(2518),
    [anon_sym_ATavailable] = ACTIONS(2518),
    [anon_sym___builtin_available] = ACTIONS(2516),
    [anon_sym_va_arg] = ACTIONS(2516),
    [anon_sym_ATencode] = ACTIONS(2518),
    [anon_sym_ATsynchronized] = ACTIONS(2518),
    [anon_sym_BOOL] = ACTIONS(2516),
    [anon_sym_IMP] = ACTIONS(2516),
    [anon_sym_SEL] = ACTIONS(2516),
    [anon_sym_Class] = ACTIONS(2516),
    [anon_sym_id] = ACTIONS(2516),
  },
  [1151] = {
    [sym_identifier] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [1152] = {
    [sym_identifier] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [1153] = {
    [sym_identifier] = ACTIONS(2520),
    [anon_sym_LPAREN2] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_TILDE] = ACTIONS(2522),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_CARET] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_typedef] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym___attribute] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_ATautoreleasepool] = ACTIONS(2522),
    [anon_sym_auto] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_CG_EXTERN] = ACTIONS(2520),
    [anon_sym_CG_INLINE] = ACTIONS(2520),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2520),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2520),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2520),
    [anon_sym_IBOutlet] = ACTIONS(2520),
    [anon_sym_IBInspectable] = ACTIONS(2520),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2520),
    [anon_sym_NS_INLINE] = ACTIONS(2520),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2520),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2520),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2520),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym__Nonnull] = ACTIONS(2520),
    [anon_sym_nullable] = ACTIONS(2520),
    [anon_sym__Complex] = ACTIONS(2520),
    [anon_sym__Nullable] = ACTIONS(2520),
    [anon_sym__Nullable_result] = ACTIONS(2520),
    [anon_sym__Null_unspecified] = ACTIONS(2520),
    [anon_sym___autoreleasing] = ACTIONS(2520),
    [anon_sym___block] = ACTIONS(2520),
    [anon_sym___bridge] = ACTIONS(2520),
    [anon_sym___bridge_retained] = ACTIONS(2520),
    [anon_sym___bridge_transfer] = ACTIONS(2520),
    [anon_sym___complex] = ACTIONS(2520),
    [anon_sym___const] = ACTIONS(2520),
    [anon_sym___imag] = ACTIONS(2520),
    [anon_sym___kindof] = ACTIONS(2520),
    [anon_sym___nonnull] = ACTIONS(2520),
    [anon_sym___nullable] = ACTIONS(2520),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2520),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2520),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2520),
    [anon_sym___real] = ACTIONS(2520),
    [anon_sym___strong] = ACTIONS(2520),
    [anon_sym___unsafe_unretained] = ACTIONS(2520),
    [anon_sym___unused] = ACTIONS(2520),
    [anon_sym___weak] = ACTIONS(2520),
    [anon_sym_alignas] = ACTIONS(2520),
    [anon_sym__Alignas] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_else] = ACTIONS(2520),
    [anon_sym_switch] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_do] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_goto] = ACTIONS(2520),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_sizeof] = ACTIONS(2520),
    [anon_sym___alignof__] = ACTIONS(2520),
    [anon_sym___alignof] = ACTIONS(2520),
    [anon_sym__alignof] = ACTIONS(2520),
    [anon_sym_alignof] = ACTIONS(2520),
    [anon_sym__Alignof] = ACTIONS(2520),
    [anon_sym_offsetof] = ACTIONS(2520),
    [anon_sym__Generic] = ACTIONS(2520),
    [anon_sym_asm] = ACTIONS(2520),
    [anon_sym___asm__] = ACTIONS(2520),
    [anon_sym___asm] = ACTIONS(2520),
    [sym_number_literal] = ACTIONS(2522),
    [anon_sym_L_SQUOTE] = ACTIONS(2522),
    [anon_sym_u_SQUOTE] = ACTIONS(2522),
    [anon_sym_U_SQUOTE] = ACTIONS(2522),
    [anon_sym_u8_SQUOTE] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2522),
    [anon_sym_AT] = ACTIONS(2520),
    [anon_sym_DQUOTE] = ACTIONS(2522),
    [anon_sym_L_DQUOTE] = ACTIONS(2522),
    [anon_sym_u_DQUOTE] = ACTIONS(2522),
    [anon_sym_U_DQUOTE] = ACTIONS(2522),
    [anon_sym_u8_DQUOTE] = ACTIONS(2522),
    [sym_true] = ACTIONS(2520),
    [sym_false] = ACTIONS(2520),
    [anon_sym_NULL] = ACTIONS(2520),
    [anon_sym_nullptr] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2520),
    [anon_sym___typeof] = ACTIONS(2520),
    [anon_sym_typeof] = ACTIONS(2520),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2520),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2520),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2520),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2520),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2520),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2520),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2520),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2520),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2520),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_API_AVAILABLE] = ACTIONS(2520),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_API_DEPRECATED] = ACTIONS(2520),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2520),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2520),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2520),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2520),
    [anon_sym___deprecated_msg] = ACTIONS(2520),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2520),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2520),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2520),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2520),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2520),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2520),
    [anon_sym_ATtry] = ACTIONS(2522),
    [anon_sym___try] = ACTIONS(2520),
    [anon_sym_ATthrow] = ACTIONS(2522),
    [anon_sym_ATselector] = ACTIONS(2522),
    [anon_sym_ATavailable] = ACTIONS(2522),
    [anon_sym___builtin_available] = ACTIONS(2520),
    [anon_sym_va_arg] = ACTIONS(2520),
    [anon_sym_ATencode] = ACTIONS(2522),
    [anon_sym_ATsynchronized] = ACTIONS(2522),
    [anon_sym_BOOL] = ACTIONS(2520),
    [anon_sym_IMP] = ACTIONS(2520),
    [anon_sym_SEL] = ACTIONS(2520),
    [anon_sym_Class] = ACTIONS(2520),
    [anon_sym_id] = ACTIONS(2520),
  },
  [1154] = {
    [sym_identifier] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [1155] = {
    [sym_identifier] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [1156] = {
    [sym_identifier] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [1157] = {
    [sym_identifier] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [1158] = {
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_LPAREN2] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(2968),
    [anon_sym_TILDE] = ACTIONS(2968),
    [anon_sym_DASH] = ACTIONS(2966),
    [anon_sym_PLUS] = ACTIONS(2966),
    [anon_sym_STAR] = ACTIONS(2968),
    [anon_sym_CARET] = ACTIONS(2968),
    [anon_sym_AMP] = ACTIONS(2968),
    [anon_sym_SEMI] = ACTIONS(2968),
    [anon_sym___extension__] = ACTIONS(2966),
    [anon_sym_extern] = ACTIONS(2966),
    [anon_sym___attribute__] = ACTIONS(2966),
    [anon_sym___attribute] = ACTIONS(2966),
    [anon_sym_noreturn] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2968),
    [anon_sym___declspec] = ACTIONS(2966),
    [anon_sym_LBRACE] = ACTIONS(2968),
    [anon_sym_signed] = ACTIONS(2966),
    [anon_sym_unsigned] = ACTIONS(2966),
    [anon_sym_long] = ACTIONS(2966),
    [anon_sym_short] = ACTIONS(2966),
    [anon_sym_static] = ACTIONS(2966),
    [anon_sym_ATautoreleasepool] = ACTIONS(2968),
    [anon_sym_auto] = ACTIONS(2966),
    [anon_sym_register] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(2966),
    [anon_sym___inline] = ACTIONS(2966),
    [anon_sym___inline__] = ACTIONS(2966),
    [anon_sym___forceinline] = ACTIONS(2966),
    [anon_sym_thread_local] = ACTIONS(2966),
    [anon_sym___thread] = ACTIONS(2966),
    [anon_sym_CG_EXTERN] = ACTIONS(2966),
    [anon_sym_CG_INLINE] = ACTIONS(2966),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2966),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2966),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2966),
    [anon_sym_IBOutlet] = ACTIONS(2966),
    [anon_sym_IBInspectable] = ACTIONS(2966),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2966),
    [anon_sym_NS_INLINE] = ACTIONS(2966),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2966),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2966),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2966),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2966),
    [anon_sym_const] = ACTIONS(2966),
    [anon_sym_constexpr] = ACTIONS(2966),
    [anon_sym_volatile] = ACTIONS(2966),
    [anon_sym_restrict] = ACTIONS(2966),
    [anon_sym___restrict__] = ACTIONS(2966),
    [anon_sym__Atomic] = ACTIONS(2966),
    [anon_sym__Noreturn] = ACTIONS(2966),
    [anon_sym__Nonnull] = ACTIONS(2966),
    [anon_sym_nullable] = ACTIONS(2966),
    [anon_sym__Complex] = ACTIONS(2966),
    [anon_sym__Nullable] = ACTIONS(2966),
    [anon_sym__Nullable_result] = ACTIONS(2966),
    [anon_sym__Null_unspecified] = ACTIONS(2966),
    [anon_sym___autoreleasing] = ACTIONS(2966),
    [anon_sym___block] = ACTIONS(2966),
    [anon_sym___bridge] = ACTIONS(2966),
    [anon_sym___bridge_retained] = ACTIONS(2966),
    [anon_sym___bridge_transfer] = ACTIONS(2966),
    [anon_sym___complex] = ACTIONS(2966),
    [anon_sym___const] = ACTIONS(2966),
    [anon_sym___imag] = ACTIONS(2966),
    [anon_sym___kindof] = ACTIONS(2966),
    [anon_sym___nonnull] = ACTIONS(2966),
    [anon_sym___nullable] = ACTIONS(2966),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2966),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2966),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2966),
    [anon_sym___real] = ACTIONS(2966),
    [anon_sym___strong] = ACTIONS(2966),
    [anon_sym___unsafe_unretained] = ACTIONS(2966),
    [anon_sym___unused] = ACTIONS(2966),
    [anon_sym___weak] = ACTIONS(2966),
    [anon_sym_alignas] = ACTIONS(2966),
    [anon_sym__Alignas] = ACTIONS(2966),
    [sym_primitive_type] = ACTIONS(2966),
    [anon_sym_enum] = ACTIONS(2966),
    [anon_sym_struct] = ACTIONS(2966),
    [anon_sym_union] = ACTIONS(2966),
    [anon_sym_if] = ACTIONS(2966),
    [anon_sym_switch] = ACTIONS(2966),
    [anon_sym_case] = ACTIONS(2966),
    [anon_sym_default] = ACTIONS(2966),
    [anon_sym_while] = ACTIONS(2966),
    [anon_sym_do] = ACTIONS(2966),
    [anon_sym_for] = ACTIONS(2966),
    [anon_sym_in] = ACTIONS(2966),
    [anon_sym_return] = ACTIONS(2966),
    [anon_sym_break] = ACTIONS(2966),
    [anon_sym_continue] = ACTIONS(2966),
    [anon_sym_goto] = ACTIONS(2966),
    [anon_sym_DASH_DASH] = ACTIONS(2968),
    [anon_sym_PLUS_PLUS] = ACTIONS(2968),
    [anon_sym_sizeof] = ACTIONS(2966),
    [anon_sym___alignof__] = ACTIONS(2966),
    [anon_sym___alignof] = ACTIONS(2966),
    [anon_sym__alignof] = ACTIONS(2966),
    [anon_sym_alignof] = ACTIONS(2966),
    [anon_sym__Alignof] = ACTIONS(2966),
    [anon_sym_offsetof] = ACTIONS(2966),
    [anon_sym__Generic] = ACTIONS(2966),
    [anon_sym_asm] = ACTIONS(2966),
    [anon_sym___asm__] = ACTIONS(2966),
    [anon_sym___asm] = ACTIONS(2966),
    [sym_number_literal] = ACTIONS(2968),
    [anon_sym_L_SQUOTE] = ACTIONS(2968),
    [anon_sym_u_SQUOTE] = ACTIONS(2968),
    [anon_sym_U_SQUOTE] = ACTIONS(2968),
    [anon_sym_u8_SQUOTE] = ACTIONS(2968),
    [anon_sym_SQUOTE] = ACTIONS(2968),
    [anon_sym_AT] = ACTIONS(2966),
    [anon_sym_DQUOTE] = ACTIONS(2968),
    [anon_sym_L_DQUOTE] = ACTIONS(2968),
    [anon_sym_u_DQUOTE] = ACTIONS(2968),
    [anon_sym_U_DQUOTE] = ACTIONS(2968),
    [anon_sym_u8_DQUOTE] = ACTIONS(2968),
    [sym_true] = ACTIONS(2966),
    [sym_false] = ACTIONS(2966),
    [anon_sym_NULL] = ACTIONS(2966),
    [anon_sym_nullptr] = ACTIONS(2966),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2966),
    [anon_sym___typeof] = ACTIONS(2966),
    [anon_sym_typeof] = ACTIONS(2966),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2966),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2966),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2966),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2966),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2966),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2966),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2966),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2966),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2966),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2966),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2966),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2966),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2966),
    [anon_sym_API_AVAILABLE] = ACTIONS(2966),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2966),
    [anon_sym_API_DEPRECATED] = ACTIONS(2966),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2966),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2966),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2966),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2966),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2966),
    [anon_sym___deprecated_msg] = ACTIONS(2966),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2966),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2966),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2966),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2966),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2966),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2966),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2966),
    [anon_sym_ATtry] = ACTIONS(2968),
    [anon_sym___try] = ACTIONS(2966),
    [anon_sym_ATthrow] = ACTIONS(2968),
    [anon_sym_ATselector] = ACTIONS(2968),
    [anon_sym_ATavailable] = ACTIONS(2968),
    [anon_sym___builtin_available] = ACTIONS(2966),
    [anon_sym_va_arg] = ACTIONS(2966),
    [anon_sym_ATencode] = ACTIONS(2968),
    [anon_sym_ATsynchronized] = ACTIONS(2968),
    [anon_sym_BOOL] = ACTIONS(2966),
    [anon_sym_IMP] = ACTIONS(2966),
    [anon_sym_SEL] = ACTIONS(2966),
    [anon_sym_Class] = ACTIONS(2966),
    [anon_sym_id] = ACTIONS(2966),
  },
  [1159] = {
    [sym_identifier] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [1160] = {
    [sym_identifier] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [1161] = {
    [sym_identifier] = ACTIONS(2416),
    [anon_sym_LPAREN2] = ACTIONS(2418),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_TILDE] = ACTIONS(2418),
    [anon_sym_DASH] = ACTIONS(2416),
    [anon_sym_PLUS] = ACTIONS(2416),
    [anon_sym_STAR] = ACTIONS(2418),
    [anon_sym_CARET] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(2418),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym___extension__] = ACTIONS(2416),
    [anon_sym_typedef] = ACTIONS(2416),
    [anon_sym_extern] = ACTIONS(2416),
    [anon_sym___attribute__] = ACTIONS(2416),
    [anon_sym___attribute] = ACTIONS(2416),
    [anon_sym_noreturn] = ACTIONS(2416),
    [anon_sym_LBRACK] = ACTIONS(2418),
    [anon_sym___declspec] = ACTIONS(2416),
    [anon_sym_LBRACE] = ACTIONS(2418),
    [anon_sym_signed] = ACTIONS(2416),
    [anon_sym_unsigned] = ACTIONS(2416),
    [anon_sym_long] = ACTIONS(2416),
    [anon_sym_short] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_ATautoreleasepool] = ACTIONS(2418),
    [anon_sym_auto] = ACTIONS(2416),
    [anon_sym_register] = ACTIONS(2416),
    [anon_sym_inline] = ACTIONS(2416),
    [anon_sym___inline] = ACTIONS(2416),
    [anon_sym___inline__] = ACTIONS(2416),
    [anon_sym___forceinline] = ACTIONS(2416),
    [anon_sym_thread_local] = ACTIONS(2416),
    [anon_sym___thread] = ACTIONS(2416),
    [anon_sym_CG_EXTERN] = ACTIONS(2416),
    [anon_sym_CG_INLINE] = ACTIONS(2416),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2416),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2416),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2416),
    [anon_sym_IBOutlet] = ACTIONS(2416),
    [anon_sym_IBInspectable] = ACTIONS(2416),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2416),
    [anon_sym_NS_INLINE] = ACTIONS(2416),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2416),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2416),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2416),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2416),
    [anon_sym_const] = ACTIONS(2416),
    [anon_sym_constexpr] = ACTIONS(2416),
    [anon_sym_volatile] = ACTIONS(2416),
    [anon_sym_restrict] = ACTIONS(2416),
    [anon_sym___restrict__] = ACTIONS(2416),
    [anon_sym__Atomic] = ACTIONS(2416),
    [anon_sym__Noreturn] = ACTIONS(2416),
    [anon_sym__Nonnull] = ACTIONS(2416),
    [anon_sym_nullable] = ACTIONS(2416),
    [anon_sym__Complex] = ACTIONS(2416),
    [anon_sym__Nullable] = ACTIONS(2416),
    [anon_sym__Nullable_result] = ACTIONS(2416),
    [anon_sym__Null_unspecified] = ACTIONS(2416),
    [anon_sym___autoreleasing] = ACTIONS(2416),
    [anon_sym___block] = ACTIONS(2416),
    [anon_sym___bridge] = ACTIONS(2416),
    [anon_sym___bridge_retained] = ACTIONS(2416),
    [anon_sym___bridge_transfer] = ACTIONS(2416),
    [anon_sym___complex] = ACTIONS(2416),
    [anon_sym___const] = ACTIONS(2416),
    [anon_sym___imag] = ACTIONS(2416),
    [anon_sym___kindof] = ACTIONS(2416),
    [anon_sym___nonnull] = ACTIONS(2416),
    [anon_sym___nullable] = ACTIONS(2416),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2416),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2416),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2416),
    [anon_sym___real] = ACTIONS(2416),
    [anon_sym___strong] = ACTIONS(2416),
    [anon_sym___unsafe_unretained] = ACTIONS(2416),
    [anon_sym___unused] = ACTIONS(2416),
    [anon_sym___weak] = ACTIONS(2416),
    [anon_sym_alignas] = ACTIONS(2416),
    [anon_sym__Alignas] = ACTIONS(2416),
    [sym_primitive_type] = ACTIONS(2416),
    [anon_sym_enum] = ACTIONS(2416),
    [anon_sym_struct] = ACTIONS(2416),
    [anon_sym_union] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(2416),
    [anon_sym_else] = ACTIONS(2416),
    [anon_sym_switch] = ACTIONS(2416),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_do] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2416),
    [anon_sym_in] = ACTIONS(2416),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2416),
    [anon_sym_continue] = ACTIONS(2416),
    [anon_sym_goto] = ACTIONS(2416),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_sizeof] = ACTIONS(2416),
    [anon_sym___alignof__] = ACTIONS(2416),
    [anon_sym___alignof] = ACTIONS(2416),
    [anon_sym__alignof] = ACTIONS(2416),
    [anon_sym_alignof] = ACTIONS(2416),
    [anon_sym__Alignof] = ACTIONS(2416),
    [anon_sym_offsetof] = ACTIONS(2416),
    [anon_sym__Generic] = ACTIONS(2416),
    [anon_sym_asm] = ACTIONS(2416),
    [anon_sym___asm__] = ACTIONS(2416),
    [anon_sym___asm] = ACTIONS(2416),
    [sym_number_literal] = ACTIONS(2418),
    [anon_sym_L_SQUOTE] = ACTIONS(2418),
    [anon_sym_u_SQUOTE] = ACTIONS(2418),
    [anon_sym_U_SQUOTE] = ACTIONS(2418),
    [anon_sym_u8_SQUOTE] = ACTIONS(2418),
    [anon_sym_SQUOTE] = ACTIONS(2418),
    [anon_sym_AT] = ACTIONS(2416),
    [anon_sym_DQUOTE] = ACTIONS(2418),
    [anon_sym_L_DQUOTE] = ACTIONS(2418),
    [anon_sym_u_DQUOTE] = ACTIONS(2418),
    [anon_sym_U_DQUOTE] = ACTIONS(2418),
    [anon_sym_u8_DQUOTE] = ACTIONS(2418),
    [sym_true] = ACTIONS(2416),
    [sym_false] = ACTIONS(2416),
    [anon_sym_NULL] = ACTIONS(2416),
    [anon_sym_nullptr] = ACTIONS(2416),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2416),
    [anon_sym___typeof] = ACTIONS(2416),
    [anon_sym_typeof] = ACTIONS(2416),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2416),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2416),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2416),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2416),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2416),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2416),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2416),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2416),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2416),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_API_AVAILABLE] = ACTIONS(2416),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_API_DEPRECATED] = ACTIONS(2416),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2416),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2416),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2416),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2416),
    [anon_sym___deprecated_msg] = ACTIONS(2416),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2416),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2416),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2416),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2416),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2416),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2416),
    [anon_sym_ATtry] = ACTIONS(2418),
    [anon_sym___try] = ACTIONS(2416),
    [anon_sym_ATthrow] = ACTIONS(2418),
    [anon_sym_ATselector] = ACTIONS(2418),
    [anon_sym_ATavailable] = ACTIONS(2418),
    [anon_sym___builtin_available] = ACTIONS(2416),
    [anon_sym_va_arg] = ACTIONS(2416),
    [anon_sym_ATencode] = ACTIONS(2418),
    [anon_sym_ATsynchronized] = ACTIONS(2418),
    [anon_sym_BOOL] = ACTIONS(2416),
    [anon_sym_IMP] = ACTIONS(2416),
    [anon_sym_SEL] = ACTIONS(2416),
    [anon_sym_Class] = ACTIONS(2416),
    [anon_sym_id] = ACTIONS(2416),
  },
  [1162] = {
    [sym_identifier] = ACTIONS(2428),
    [anon_sym_LPAREN2] = ACTIONS(2430),
    [anon_sym_BANG] = ACTIONS(2430),
    [anon_sym_TILDE] = ACTIONS(2430),
    [anon_sym_DASH] = ACTIONS(2428),
    [anon_sym_PLUS] = ACTIONS(2428),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_CARET] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2430),
    [anon_sym_SEMI] = ACTIONS(2430),
    [anon_sym___extension__] = ACTIONS(2428),
    [anon_sym_typedef] = ACTIONS(2428),
    [anon_sym_extern] = ACTIONS(2428),
    [anon_sym___attribute__] = ACTIONS(2428),
    [anon_sym___attribute] = ACTIONS(2428),
    [anon_sym_noreturn] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2430),
    [anon_sym___declspec] = ACTIONS(2428),
    [anon_sym_LBRACE] = ACTIONS(2430),
    [anon_sym_signed] = ACTIONS(2428),
    [anon_sym_unsigned] = ACTIONS(2428),
    [anon_sym_long] = ACTIONS(2428),
    [anon_sym_short] = ACTIONS(2428),
    [anon_sym_static] = ACTIONS(2428),
    [anon_sym_ATautoreleasepool] = ACTIONS(2430),
    [anon_sym_auto] = ACTIONS(2428),
    [anon_sym_register] = ACTIONS(2428),
    [anon_sym_inline] = ACTIONS(2428),
    [anon_sym___inline] = ACTIONS(2428),
    [anon_sym___inline__] = ACTIONS(2428),
    [anon_sym___forceinline] = ACTIONS(2428),
    [anon_sym_thread_local] = ACTIONS(2428),
    [anon_sym___thread] = ACTIONS(2428),
    [anon_sym_CG_EXTERN] = ACTIONS(2428),
    [anon_sym_CG_INLINE] = ACTIONS(2428),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2428),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2428),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2428),
    [anon_sym_IBOutlet] = ACTIONS(2428),
    [anon_sym_IBInspectable] = ACTIONS(2428),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2428),
    [anon_sym_NS_INLINE] = ACTIONS(2428),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2428),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2428),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2428),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2428),
    [anon_sym_const] = ACTIONS(2428),
    [anon_sym_constexpr] = ACTIONS(2428),
    [anon_sym_volatile] = ACTIONS(2428),
    [anon_sym_restrict] = ACTIONS(2428),
    [anon_sym___restrict__] = ACTIONS(2428),
    [anon_sym__Atomic] = ACTIONS(2428),
    [anon_sym__Noreturn] = ACTIONS(2428),
    [anon_sym__Nonnull] = ACTIONS(2428),
    [anon_sym_nullable] = ACTIONS(2428),
    [anon_sym__Complex] = ACTIONS(2428),
    [anon_sym__Nullable] = ACTIONS(2428),
    [anon_sym__Nullable_result] = ACTIONS(2428),
    [anon_sym__Null_unspecified] = ACTIONS(2428),
    [anon_sym___autoreleasing] = ACTIONS(2428),
    [anon_sym___block] = ACTIONS(2428),
    [anon_sym___bridge] = ACTIONS(2428),
    [anon_sym___bridge_retained] = ACTIONS(2428),
    [anon_sym___bridge_transfer] = ACTIONS(2428),
    [anon_sym___complex] = ACTIONS(2428),
    [anon_sym___const] = ACTIONS(2428),
    [anon_sym___imag] = ACTIONS(2428),
    [anon_sym___kindof] = ACTIONS(2428),
    [anon_sym___nonnull] = ACTIONS(2428),
    [anon_sym___nullable] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2428),
    [anon_sym___real] = ACTIONS(2428),
    [anon_sym___strong] = ACTIONS(2428),
    [anon_sym___unsafe_unretained] = ACTIONS(2428),
    [anon_sym___unused] = ACTIONS(2428),
    [anon_sym___weak] = ACTIONS(2428),
    [anon_sym_alignas] = ACTIONS(2428),
    [anon_sym__Alignas] = ACTIONS(2428),
    [sym_primitive_type] = ACTIONS(2428),
    [anon_sym_enum] = ACTIONS(2428),
    [anon_sym_struct] = ACTIONS(2428),
    [anon_sym_union] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_else] = ACTIONS(2428),
    [anon_sym_switch] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_do] = ACTIONS(2428),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_in] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_break] = ACTIONS(2428),
    [anon_sym_continue] = ACTIONS(2428),
    [anon_sym_goto] = ACTIONS(2428),
    [anon_sym_DASH_DASH] = ACTIONS(2430),
    [anon_sym_PLUS_PLUS] = ACTIONS(2430),
    [anon_sym_sizeof] = ACTIONS(2428),
    [anon_sym___alignof__] = ACTIONS(2428),
    [anon_sym___alignof] = ACTIONS(2428),
    [anon_sym__alignof] = ACTIONS(2428),
    [anon_sym_alignof] = ACTIONS(2428),
    [anon_sym__Alignof] = ACTIONS(2428),
    [anon_sym_offsetof] = ACTIONS(2428),
    [anon_sym__Generic] = ACTIONS(2428),
    [anon_sym_asm] = ACTIONS(2428),
    [anon_sym___asm__] = ACTIONS(2428),
    [anon_sym___asm] = ACTIONS(2428),
    [sym_number_literal] = ACTIONS(2430),
    [anon_sym_L_SQUOTE] = ACTIONS(2430),
    [anon_sym_u_SQUOTE] = ACTIONS(2430),
    [anon_sym_U_SQUOTE] = ACTIONS(2430),
    [anon_sym_u8_SQUOTE] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2430),
    [anon_sym_AT] = ACTIONS(2428),
    [anon_sym_DQUOTE] = ACTIONS(2430),
    [anon_sym_L_DQUOTE] = ACTIONS(2430),
    [anon_sym_u_DQUOTE] = ACTIONS(2430),
    [anon_sym_U_DQUOTE] = ACTIONS(2430),
    [anon_sym_u8_DQUOTE] = ACTIONS(2430),
    [sym_true] = ACTIONS(2428),
    [sym_false] = ACTIONS(2428),
    [anon_sym_NULL] = ACTIONS(2428),
    [anon_sym_nullptr] = ACTIONS(2428),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2428),
    [anon_sym___typeof] = ACTIONS(2428),
    [anon_sym_typeof] = ACTIONS(2428),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2428),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2428),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2428),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2428),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2428),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2428),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2428),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_API_AVAILABLE] = ACTIONS(2428),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_API_DEPRECATED] = ACTIONS(2428),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2428),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym___deprecated_msg] = ACTIONS(2428),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2428),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2428),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2428),
    [anon_sym_ATtry] = ACTIONS(2430),
    [anon_sym___try] = ACTIONS(2428),
    [anon_sym_ATthrow] = ACTIONS(2430),
    [anon_sym_ATselector] = ACTIONS(2430),
    [anon_sym_ATavailable] = ACTIONS(2430),
    [anon_sym___builtin_available] = ACTIONS(2428),
    [anon_sym_va_arg] = ACTIONS(2428),
    [anon_sym_ATencode] = ACTIONS(2430),
    [anon_sym_ATsynchronized] = ACTIONS(2430),
    [anon_sym_BOOL] = ACTIONS(2428),
    [anon_sym_IMP] = ACTIONS(2428),
    [anon_sym_SEL] = ACTIONS(2428),
    [anon_sym_Class] = ACTIONS(2428),
    [anon_sym_id] = ACTIONS(2428),
  },
  [1163] = {
    [sym_identifier] = ACTIONS(2556),
    [anon_sym_LPAREN2] = ACTIONS(2558),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_TILDE] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2556),
    [anon_sym_PLUS] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_CARET] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_SEMI] = ACTIONS(2558),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_typedef] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym___attribute] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [anon_sym_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym_LBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_ATautoreleasepool] = ACTIONS(2558),
    [anon_sym_auto] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_CG_EXTERN] = ACTIONS(2556),
    [anon_sym_CG_INLINE] = ACTIONS(2556),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2556),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2556),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2556),
    [anon_sym_IBOutlet] = ACTIONS(2556),
    [anon_sym_IBInspectable] = ACTIONS(2556),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2556),
    [anon_sym_NS_INLINE] = ACTIONS(2556),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2556),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2556),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2556),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym__Nonnull] = ACTIONS(2556),
    [anon_sym_nullable] = ACTIONS(2556),
    [anon_sym__Complex] = ACTIONS(2556),
    [anon_sym__Nullable] = ACTIONS(2556),
    [anon_sym__Nullable_result] = ACTIONS(2556),
    [anon_sym__Null_unspecified] = ACTIONS(2556),
    [anon_sym___autoreleasing] = ACTIONS(2556),
    [anon_sym___block] = ACTIONS(2556),
    [anon_sym___bridge] = ACTIONS(2556),
    [anon_sym___bridge_retained] = ACTIONS(2556),
    [anon_sym___bridge_transfer] = ACTIONS(2556),
    [anon_sym___complex] = ACTIONS(2556),
    [anon_sym___const] = ACTIONS(2556),
    [anon_sym___imag] = ACTIONS(2556),
    [anon_sym___kindof] = ACTIONS(2556),
    [anon_sym___nonnull] = ACTIONS(2556),
    [anon_sym___nullable] = ACTIONS(2556),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2556),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2556),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2556),
    [anon_sym___real] = ACTIONS(2556),
    [anon_sym___strong] = ACTIONS(2556),
    [anon_sym___unsafe_unretained] = ACTIONS(2556),
    [anon_sym___unused] = ACTIONS(2556),
    [anon_sym___weak] = ACTIONS(2556),
    [anon_sym_alignas] = ACTIONS(2556),
    [anon_sym__Alignas] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_else] = ACTIONS(2556),
    [anon_sym_switch] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_do] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2556),
    [anon_sym_in] = ACTIONS(2556),
    [anon_sym_return] = ACTIONS(2556),
    [anon_sym_break] = ACTIONS(2556),
    [anon_sym_continue] = ACTIONS(2556),
    [anon_sym_goto] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2558),
    [anon_sym_PLUS_PLUS] = ACTIONS(2558),
    [anon_sym_sizeof] = ACTIONS(2556),
    [anon_sym___alignof__] = ACTIONS(2556),
    [anon_sym___alignof] = ACTIONS(2556),
    [anon_sym__alignof] = ACTIONS(2556),
    [anon_sym_alignof] = ACTIONS(2556),
    [anon_sym__Alignof] = ACTIONS(2556),
    [anon_sym_offsetof] = ACTIONS(2556),
    [anon_sym__Generic] = ACTIONS(2556),
    [anon_sym_asm] = ACTIONS(2556),
    [anon_sym___asm__] = ACTIONS(2556),
    [anon_sym___asm] = ACTIONS(2556),
    [sym_number_literal] = ACTIONS(2558),
    [anon_sym_L_SQUOTE] = ACTIONS(2558),
    [anon_sym_u_SQUOTE] = ACTIONS(2558),
    [anon_sym_U_SQUOTE] = ACTIONS(2558),
    [anon_sym_u8_SQUOTE] = ACTIONS(2558),
    [anon_sym_SQUOTE] = ACTIONS(2558),
    [anon_sym_AT] = ACTIONS(2556),
    [anon_sym_DQUOTE] = ACTIONS(2558),
    [anon_sym_L_DQUOTE] = ACTIONS(2558),
    [anon_sym_u_DQUOTE] = ACTIONS(2558),
    [anon_sym_U_DQUOTE] = ACTIONS(2558),
    [anon_sym_u8_DQUOTE] = ACTIONS(2558),
    [sym_true] = ACTIONS(2556),
    [sym_false] = ACTIONS(2556),
    [anon_sym_NULL] = ACTIONS(2556),
    [anon_sym_nullptr] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2556),
    [anon_sym___typeof] = ACTIONS(2556),
    [anon_sym_typeof] = ACTIONS(2556),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2556),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2556),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2556),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2556),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2556),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2556),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2556),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2556),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2556),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_API_AVAILABLE] = ACTIONS(2556),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_API_DEPRECATED] = ACTIONS(2556),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2556),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2556),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2556),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2556),
    [anon_sym___deprecated_msg] = ACTIONS(2556),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2556),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2556),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2556),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2556),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2556),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2556),
    [anon_sym_ATtry] = ACTIONS(2558),
    [anon_sym___try] = ACTIONS(2556),
    [anon_sym_ATthrow] = ACTIONS(2558),
    [anon_sym_ATselector] = ACTIONS(2558),
    [anon_sym_ATavailable] = ACTIONS(2558),
    [anon_sym___builtin_available] = ACTIONS(2556),
    [anon_sym_va_arg] = ACTIONS(2556),
    [anon_sym_ATencode] = ACTIONS(2558),
    [anon_sym_ATsynchronized] = ACTIONS(2558),
    [anon_sym_BOOL] = ACTIONS(2556),
    [anon_sym_IMP] = ACTIONS(2556),
    [anon_sym_SEL] = ACTIONS(2556),
    [anon_sym_Class] = ACTIONS(2556),
    [anon_sym_id] = ACTIONS(2556),
  },
  [1164] = {
    [sym_identifier] = ACTIONS(2560),
    [anon_sym_LPAREN2] = ACTIONS(2562),
    [anon_sym_BANG] = ACTIONS(2562),
    [anon_sym_TILDE] = ACTIONS(2562),
    [anon_sym_DASH] = ACTIONS(2560),
    [anon_sym_PLUS] = ACTIONS(2560),
    [anon_sym_STAR] = ACTIONS(2562),
    [anon_sym_CARET] = ACTIONS(2562),
    [anon_sym_AMP] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_typedef] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym___attribute] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [anon_sym_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym_LBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_ATautoreleasepool] = ACTIONS(2562),
    [anon_sym_auto] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_CG_EXTERN] = ACTIONS(2560),
    [anon_sym_CG_INLINE] = ACTIONS(2560),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2560),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2560),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2560),
    [anon_sym_IBOutlet] = ACTIONS(2560),
    [anon_sym_IBInspectable] = ACTIONS(2560),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2560),
    [anon_sym_NS_INLINE] = ACTIONS(2560),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2560),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2560),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2560),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym__Nonnull] = ACTIONS(2560),
    [anon_sym_nullable] = ACTIONS(2560),
    [anon_sym__Complex] = ACTIONS(2560),
    [anon_sym__Nullable] = ACTIONS(2560),
    [anon_sym__Nullable_result] = ACTIONS(2560),
    [anon_sym__Null_unspecified] = ACTIONS(2560),
    [anon_sym___autoreleasing] = ACTIONS(2560),
    [anon_sym___block] = ACTIONS(2560),
    [anon_sym___bridge] = ACTIONS(2560),
    [anon_sym___bridge_retained] = ACTIONS(2560),
    [anon_sym___bridge_transfer] = ACTIONS(2560),
    [anon_sym___complex] = ACTIONS(2560),
    [anon_sym___const] = ACTIONS(2560),
    [anon_sym___imag] = ACTIONS(2560),
    [anon_sym___kindof] = ACTIONS(2560),
    [anon_sym___nonnull] = ACTIONS(2560),
    [anon_sym___nullable] = ACTIONS(2560),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2560),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2560),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2560),
    [anon_sym___real] = ACTIONS(2560),
    [anon_sym___strong] = ACTIONS(2560),
    [anon_sym___unsafe_unretained] = ACTIONS(2560),
    [anon_sym___unused] = ACTIONS(2560),
    [anon_sym___weak] = ACTIONS(2560),
    [anon_sym_alignas] = ACTIONS(2560),
    [anon_sym__Alignas] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [anon_sym_if] = ACTIONS(2560),
    [anon_sym_else] = ACTIONS(2560),
    [anon_sym_switch] = ACTIONS(2560),
    [anon_sym_while] = ACTIONS(2560),
    [anon_sym_do] = ACTIONS(2560),
    [anon_sym_for] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2560),
    [anon_sym_return] = ACTIONS(2560),
    [anon_sym_break] = ACTIONS(2560),
    [anon_sym_continue] = ACTIONS(2560),
    [anon_sym_goto] = ACTIONS(2560),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_sizeof] = ACTIONS(2560),
    [anon_sym___alignof__] = ACTIONS(2560),
    [anon_sym___alignof] = ACTIONS(2560),
    [anon_sym__alignof] = ACTIONS(2560),
    [anon_sym_alignof] = ACTIONS(2560),
    [anon_sym__Alignof] = ACTIONS(2560),
    [anon_sym_offsetof] = ACTIONS(2560),
    [anon_sym__Generic] = ACTIONS(2560),
    [anon_sym_asm] = ACTIONS(2560),
    [anon_sym___asm__] = ACTIONS(2560),
    [anon_sym___asm] = ACTIONS(2560),
    [sym_number_literal] = ACTIONS(2562),
    [anon_sym_L_SQUOTE] = ACTIONS(2562),
    [anon_sym_u_SQUOTE] = ACTIONS(2562),
    [anon_sym_U_SQUOTE] = ACTIONS(2562),
    [anon_sym_u8_SQUOTE] = ACTIONS(2562),
    [anon_sym_SQUOTE] = ACTIONS(2562),
    [anon_sym_AT] = ACTIONS(2560),
    [anon_sym_DQUOTE] = ACTIONS(2562),
    [anon_sym_L_DQUOTE] = ACTIONS(2562),
    [anon_sym_u_DQUOTE] = ACTIONS(2562),
    [anon_sym_U_DQUOTE] = ACTIONS(2562),
    [anon_sym_u8_DQUOTE] = ACTIONS(2562),
    [sym_true] = ACTIONS(2560),
    [sym_false] = ACTIONS(2560),
    [anon_sym_NULL] = ACTIONS(2560),
    [anon_sym_nullptr] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2560),
    [anon_sym___typeof] = ACTIONS(2560),
    [anon_sym_typeof] = ACTIONS(2560),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2560),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2560),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2560),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2560),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2560),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2560),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2560),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2560),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2560),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_API_AVAILABLE] = ACTIONS(2560),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_API_DEPRECATED] = ACTIONS(2560),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2560),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2560),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2560),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2560),
    [anon_sym___deprecated_msg] = ACTIONS(2560),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2560),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2560),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2560),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2560),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2560),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2560),
    [anon_sym_ATtry] = ACTIONS(2562),
    [anon_sym___try] = ACTIONS(2560),
    [anon_sym_ATthrow] = ACTIONS(2562),
    [anon_sym_ATselector] = ACTIONS(2562),
    [anon_sym_ATavailable] = ACTIONS(2562),
    [anon_sym___builtin_available] = ACTIONS(2560),
    [anon_sym_va_arg] = ACTIONS(2560),
    [anon_sym_ATencode] = ACTIONS(2562),
    [anon_sym_ATsynchronized] = ACTIONS(2562),
    [anon_sym_BOOL] = ACTIONS(2560),
    [anon_sym_IMP] = ACTIONS(2560),
    [anon_sym_SEL] = ACTIONS(2560),
    [anon_sym_Class] = ACTIONS(2560),
    [anon_sym_id] = ACTIONS(2560),
  },
  [1165] = {
    [sym_identifier] = ACTIONS(2552),
    [anon_sym_LPAREN2] = ACTIONS(2554),
    [anon_sym_BANG] = ACTIONS(2554),
    [anon_sym_TILDE] = ACTIONS(2554),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_STAR] = ACTIONS(2554),
    [anon_sym_CARET] = ACTIONS(2554),
    [anon_sym_AMP] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(2554),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_typedef] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym___attribute] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_ATautoreleasepool] = ACTIONS(2554),
    [anon_sym_auto] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_CG_EXTERN] = ACTIONS(2552),
    [anon_sym_CG_INLINE] = ACTIONS(2552),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2552),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2552),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2552),
    [anon_sym_IBOutlet] = ACTIONS(2552),
    [anon_sym_IBInspectable] = ACTIONS(2552),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2552),
    [anon_sym_NS_INLINE] = ACTIONS(2552),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2552),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2552),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2552),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym__Nonnull] = ACTIONS(2552),
    [anon_sym_nullable] = ACTIONS(2552),
    [anon_sym__Complex] = ACTIONS(2552),
    [anon_sym__Nullable] = ACTIONS(2552),
    [anon_sym__Nullable_result] = ACTIONS(2552),
    [anon_sym__Null_unspecified] = ACTIONS(2552),
    [anon_sym___autoreleasing] = ACTIONS(2552),
    [anon_sym___block] = ACTIONS(2552),
    [anon_sym___bridge] = ACTIONS(2552),
    [anon_sym___bridge_retained] = ACTIONS(2552),
    [anon_sym___bridge_transfer] = ACTIONS(2552),
    [anon_sym___complex] = ACTIONS(2552),
    [anon_sym___const] = ACTIONS(2552),
    [anon_sym___imag] = ACTIONS(2552),
    [anon_sym___kindof] = ACTIONS(2552),
    [anon_sym___nonnull] = ACTIONS(2552),
    [anon_sym___nullable] = ACTIONS(2552),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2552),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2552),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2552),
    [anon_sym___real] = ACTIONS(2552),
    [anon_sym___strong] = ACTIONS(2552),
    [anon_sym___unsafe_unretained] = ACTIONS(2552),
    [anon_sym___unused] = ACTIONS(2552),
    [anon_sym___weak] = ACTIONS(2552),
    [anon_sym_alignas] = ACTIONS(2552),
    [anon_sym__Alignas] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [anon_sym_if] = ACTIONS(2552),
    [anon_sym_else] = ACTIONS(2552),
    [anon_sym_switch] = ACTIONS(2552),
    [anon_sym_while] = ACTIONS(2552),
    [anon_sym_do] = ACTIONS(2552),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_return] = ACTIONS(2552),
    [anon_sym_break] = ACTIONS(2552),
    [anon_sym_continue] = ACTIONS(2552),
    [anon_sym_goto] = ACTIONS(2552),
    [anon_sym_DASH_DASH] = ACTIONS(2554),
    [anon_sym_PLUS_PLUS] = ACTIONS(2554),
    [anon_sym_sizeof] = ACTIONS(2552),
    [anon_sym___alignof__] = ACTIONS(2552),
    [anon_sym___alignof] = ACTIONS(2552),
    [anon_sym__alignof] = ACTIONS(2552),
    [anon_sym_alignof] = ACTIONS(2552),
    [anon_sym__Alignof] = ACTIONS(2552),
    [anon_sym_offsetof] = ACTIONS(2552),
    [anon_sym__Generic] = ACTIONS(2552),
    [anon_sym_asm] = ACTIONS(2552),
    [anon_sym___asm__] = ACTIONS(2552),
    [anon_sym___asm] = ACTIONS(2552),
    [sym_number_literal] = ACTIONS(2554),
    [anon_sym_L_SQUOTE] = ACTIONS(2554),
    [anon_sym_u_SQUOTE] = ACTIONS(2554),
    [anon_sym_U_SQUOTE] = ACTIONS(2554),
    [anon_sym_u8_SQUOTE] = ACTIONS(2554),
    [anon_sym_SQUOTE] = ACTIONS(2554),
    [anon_sym_AT] = ACTIONS(2552),
    [anon_sym_DQUOTE] = ACTIONS(2554),
    [anon_sym_L_DQUOTE] = ACTIONS(2554),
    [anon_sym_u_DQUOTE] = ACTIONS(2554),
    [anon_sym_U_DQUOTE] = ACTIONS(2554),
    [anon_sym_u8_DQUOTE] = ACTIONS(2554),
    [sym_true] = ACTIONS(2552),
    [sym_false] = ACTIONS(2552),
    [anon_sym_NULL] = ACTIONS(2552),
    [anon_sym_nullptr] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2552),
    [anon_sym___typeof] = ACTIONS(2552),
    [anon_sym_typeof] = ACTIONS(2552),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2552),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2552),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2552),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2552),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2552),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2552),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2552),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2552),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2552),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_API_AVAILABLE] = ACTIONS(2552),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_API_DEPRECATED] = ACTIONS(2552),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2552),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2552),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2552),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2552),
    [anon_sym___deprecated_msg] = ACTIONS(2552),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2552),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2552),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2552),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2552),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2552),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2552),
    [anon_sym_ATtry] = ACTIONS(2554),
    [anon_sym___try] = ACTIONS(2552),
    [anon_sym_ATthrow] = ACTIONS(2554),
    [anon_sym_ATselector] = ACTIONS(2554),
    [anon_sym_ATavailable] = ACTIONS(2554),
    [anon_sym___builtin_available] = ACTIONS(2552),
    [anon_sym_va_arg] = ACTIONS(2552),
    [anon_sym_ATencode] = ACTIONS(2554),
    [anon_sym_ATsynchronized] = ACTIONS(2554),
    [anon_sym_BOOL] = ACTIONS(2552),
    [anon_sym_IMP] = ACTIONS(2552),
    [anon_sym_SEL] = ACTIONS(2552),
    [anon_sym_Class] = ACTIONS(2552),
    [anon_sym_id] = ACTIONS(2552),
  },
  [1166] = {
    [sym_identifier] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [1167] = {
    [sym_identifier] = ACTIONS(2524),
    [anon_sym_LPAREN2] = ACTIONS(2526),
    [anon_sym_BANG] = ACTIONS(2526),
    [anon_sym_TILDE] = ACTIONS(2526),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_STAR] = ACTIONS(2526),
    [anon_sym_CARET] = ACTIONS(2526),
    [anon_sym_AMP] = ACTIONS(2526),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_typedef] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym___attribute] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_ATautoreleasepool] = ACTIONS(2526),
    [anon_sym_auto] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_CG_EXTERN] = ACTIONS(2524),
    [anon_sym_CG_INLINE] = ACTIONS(2524),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2524),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2524),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2524),
    [anon_sym_IBOutlet] = ACTIONS(2524),
    [anon_sym_IBInspectable] = ACTIONS(2524),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2524),
    [anon_sym_NS_INLINE] = ACTIONS(2524),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2524),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2524),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2524),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym__Nonnull] = ACTIONS(2524),
    [anon_sym_nullable] = ACTIONS(2524),
    [anon_sym__Complex] = ACTIONS(2524),
    [anon_sym__Nullable] = ACTIONS(2524),
    [anon_sym__Nullable_result] = ACTIONS(2524),
    [anon_sym__Null_unspecified] = ACTIONS(2524),
    [anon_sym___autoreleasing] = ACTIONS(2524),
    [anon_sym___block] = ACTIONS(2524),
    [anon_sym___bridge] = ACTIONS(2524),
    [anon_sym___bridge_retained] = ACTIONS(2524),
    [anon_sym___bridge_transfer] = ACTIONS(2524),
    [anon_sym___complex] = ACTIONS(2524),
    [anon_sym___const] = ACTIONS(2524),
    [anon_sym___imag] = ACTIONS(2524),
    [anon_sym___kindof] = ACTIONS(2524),
    [anon_sym___nonnull] = ACTIONS(2524),
    [anon_sym___nullable] = ACTIONS(2524),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2524),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2524),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2524),
    [anon_sym___real] = ACTIONS(2524),
    [anon_sym___strong] = ACTIONS(2524),
    [anon_sym___unsafe_unretained] = ACTIONS(2524),
    [anon_sym___unused] = ACTIONS(2524),
    [anon_sym___weak] = ACTIONS(2524),
    [anon_sym_alignas] = ACTIONS(2524),
    [anon_sym__Alignas] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_else] = ACTIONS(2524),
    [anon_sym_switch] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_do] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_goto] = ACTIONS(2524),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_sizeof] = ACTIONS(2524),
    [anon_sym___alignof__] = ACTIONS(2524),
    [anon_sym___alignof] = ACTIONS(2524),
    [anon_sym__alignof] = ACTIONS(2524),
    [anon_sym_alignof] = ACTIONS(2524),
    [anon_sym__Alignof] = ACTIONS(2524),
    [anon_sym_offsetof] = ACTIONS(2524),
    [anon_sym__Generic] = ACTIONS(2524),
    [anon_sym_asm] = ACTIONS(2524),
    [anon_sym___asm__] = ACTIONS(2524),
    [anon_sym___asm] = ACTIONS(2524),
    [sym_number_literal] = ACTIONS(2526),
    [anon_sym_L_SQUOTE] = ACTIONS(2526),
    [anon_sym_u_SQUOTE] = ACTIONS(2526),
    [anon_sym_U_SQUOTE] = ACTIONS(2526),
    [anon_sym_u8_SQUOTE] = ACTIONS(2526),
    [anon_sym_SQUOTE] = ACTIONS(2526),
    [anon_sym_AT] = ACTIONS(2524),
    [anon_sym_DQUOTE] = ACTIONS(2526),
    [anon_sym_L_DQUOTE] = ACTIONS(2526),
    [anon_sym_u_DQUOTE] = ACTIONS(2526),
    [anon_sym_U_DQUOTE] = ACTIONS(2526),
    [anon_sym_u8_DQUOTE] = ACTIONS(2526),
    [sym_true] = ACTIONS(2524),
    [sym_false] = ACTIONS(2524),
    [anon_sym_NULL] = ACTIONS(2524),
    [anon_sym_nullptr] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2524),
    [anon_sym___typeof] = ACTIONS(2524),
    [anon_sym_typeof] = ACTIONS(2524),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2524),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2524),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2524),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2524),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2524),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2524),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2524),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2524),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2524),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_API_AVAILABLE] = ACTIONS(2524),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_API_DEPRECATED] = ACTIONS(2524),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2524),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2524),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2524),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2524),
    [anon_sym___deprecated_msg] = ACTIONS(2524),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2524),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2524),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2524),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2524),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2524),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2524),
    [anon_sym_ATtry] = ACTIONS(2526),
    [anon_sym___try] = ACTIONS(2524),
    [anon_sym_ATthrow] = ACTIONS(2526),
    [anon_sym_ATselector] = ACTIONS(2526),
    [anon_sym_ATavailable] = ACTIONS(2526),
    [anon_sym___builtin_available] = ACTIONS(2524),
    [anon_sym_va_arg] = ACTIONS(2524),
    [anon_sym_ATencode] = ACTIONS(2526),
    [anon_sym_ATsynchronized] = ACTIONS(2526),
    [anon_sym_BOOL] = ACTIONS(2524),
    [anon_sym_IMP] = ACTIONS(2524),
    [anon_sym_SEL] = ACTIONS(2524),
    [anon_sym_Class] = ACTIONS(2524),
    [anon_sym_id] = ACTIONS(2524),
  },
  [1168] = {
    [sym_identifier] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [1169] = {
    [sym_identifier] = ACTIONS(2528),
    [anon_sym_LPAREN2] = ACTIONS(2530),
    [anon_sym_BANG] = ACTIONS(2530),
    [anon_sym_TILDE] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_CARET] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2530),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_typedef] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym___attribute] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2530),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_ATautoreleasepool] = ACTIONS(2530),
    [anon_sym_auto] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_CG_EXTERN] = ACTIONS(2528),
    [anon_sym_CG_INLINE] = ACTIONS(2528),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2528),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2528),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2528),
    [anon_sym_IBOutlet] = ACTIONS(2528),
    [anon_sym_IBInspectable] = ACTIONS(2528),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2528),
    [anon_sym_NS_INLINE] = ACTIONS(2528),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2528),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2528),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2528),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym__Nonnull] = ACTIONS(2528),
    [anon_sym_nullable] = ACTIONS(2528),
    [anon_sym__Complex] = ACTIONS(2528),
    [anon_sym__Nullable] = ACTIONS(2528),
    [anon_sym__Nullable_result] = ACTIONS(2528),
    [anon_sym__Null_unspecified] = ACTIONS(2528),
    [anon_sym___autoreleasing] = ACTIONS(2528),
    [anon_sym___block] = ACTIONS(2528),
    [anon_sym___bridge] = ACTIONS(2528),
    [anon_sym___bridge_retained] = ACTIONS(2528),
    [anon_sym___bridge_transfer] = ACTIONS(2528),
    [anon_sym___complex] = ACTIONS(2528),
    [anon_sym___const] = ACTIONS(2528),
    [anon_sym___imag] = ACTIONS(2528),
    [anon_sym___kindof] = ACTIONS(2528),
    [anon_sym___nonnull] = ACTIONS(2528),
    [anon_sym___nullable] = ACTIONS(2528),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2528),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2528),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2528),
    [anon_sym___real] = ACTIONS(2528),
    [anon_sym___strong] = ACTIONS(2528),
    [anon_sym___unsafe_unretained] = ACTIONS(2528),
    [anon_sym___unused] = ACTIONS(2528),
    [anon_sym___weak] = ACTIONS(2528),
    [anon_sym_alignas] = ACTIONS(2528),
    [anon_sym__Alignas] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [anon_sym_if] = ACTIONS(2528),
    [anon_sym_else] = ACTIONS(2528),
    [anon_sym_switch] = ACTIONS(2528),
    [anon_sym_while] = ACTIONS(2528),
    [anon_sym_do] = ACTIONS(2528),
    [anon_sym_for] = ACTIONS(2528),
    [anon_sym_in] = ACTIONS(2528),
    [anon_sym_return] = ACTIONS(2528),
    [anon_sym_break] = ACTIONS(2528),
    [anon_sym_continue] = ACTIONS(2528),
    [anon_sym_goto] = ACTIONS(2528),
    [anon_sym_DASH_DASH] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2530),
    [anon_sym_sizeof] = ACTIONS(2528),
    [anon_sym___alignof__] = ACTIONS(2528),
    [anon_sym___alignof] = ACTIONS(2528),
    [anon_sym__alignof] = ACTIONS(2528),
    [anon_sym_alignof] = ACTIONS(2528),
    [anon_sym__Alignof] = ACTIONS(2528),
    [anon_sym_offsetof] = ACTIONS(2528),
    [anon_sym__Generic] = ACTIONS(2528),
    [anon_sym_asm] = ACTIONS(2528),
    [anon_sym___asm__] = ACTIONS(2528),
    [anon_sym___asm] = ACTIONS(2528),
    [sym_number_literal] = ACTIONS(2530),
    [anon_sym_L_SQUOTE] = ACTIONS(2530),
    [anon_sym_u_SQUOTE] = ACTIONS(2530),
    [anon_sym_U_SQUOTE] = ACTIONS(2530),
    [anon_sym_u8_SQUOTE] = ACTIONS(2530),
    [anon_sym_SQUOTE] = ACTIONS(2530),
    [anon_sym_AT] = ACTIONS(2528),
    [anon_sym_DQUOTE] = ACTIONS(2530),
    [anon_sym_L_DQUOTE] = ACTIONS(2530),
    [anon_sym_u_DQUOTE] = ACTIONS(2530),
    [anon_sym_U_DQUOTE] = ACTIONS(2530),
    [anon_sym_u8_DQUOTE] = ACTIONS(2530),
    [sym_true] = ACTIONS(2528),
    [sym_false] = ACTIONS(2528),
    [anon_sym_NULL] = ACTIONS(2528),
    [anon_sym_nullptr] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2528),
    [anon_sym___typeof] = ACTIONS(2528),
    [anon_sym_typeof] = ACTIONS(2528),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2528),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2528),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2528),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2528),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2528),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2528),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2528),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2528),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2528),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_API_AVAILABLE] = ACTIONS(2528),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_API_DEPRECATED] = ACTIONS(2528),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2528),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2528),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2528),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2528),
    [anon_sym___deprecated_msg] = ACTIONS(2528),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2528),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2528),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2528),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2528),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2528),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2528),
    [anon_sym_ATtry] = ACTIONS(2530),
    [anon_sym___try] = ACTIONS(2528),
    [anon_sym_ATthrow] = ACTIONS(2530),
    [anon_sym_ATselector] = ACTIONS(2530),
    [anon_sym_ATavailable] = ACTIONS(2530),
    [anon_sym___builtin_available] = ACTIONS(2528),
    [anon_sym_va_arg] = ACTIONS(2528),
    [anon_sym_ATencode] = ACTIONS(2530),
    [anon_sym_ATsynchronized] = ACTIONS(2530),
    [anon_sym_BOOL] = ACTIONS(2528),
    [anon_sym_IMP] = ACTIONS(2528),
    [anon_sym_SEL] = ACTIONS(2528),
    [anon_sym_Class] = ACTIONS(2528),
    [anon_sym_id] = ACTIONS(2528),
  },
  [1170] = {
    [sym_identifier] = ACTIONS(2532),
    [anon_sym_LPAREN2] = ACTIONS(2534),
    [anon_sym_BANG] = ACTIONS(2534),
    [anon_sym_TILDE] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2532),
    [anon_sym_PLUS] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2534),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_typedef] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym___attribute] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [anon_sym_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym_LBRACE] = ACTIONS(2534),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_ATautoreleasepool] = ACTIONS(2534),
    [anon_sym_auto] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_CG_EXTERN] = ACTIONS(2532),
    [anon_sym_CG_INLINE] = ACTIONS(2532),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2532),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2532),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2532),
    [anon_sym_IBOutlet] = ACTIONS(2532),
    [anon_sym_IBInspectable] = ACTIONS(2532),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2532),
    [anon_sym_NS_INLINE] = ACTIONS(2532),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2532),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2532),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2532),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym__Nonnull] = ACTIONS(2532),
    [anon_sym_nullable] = ACTIONS(2532),
    [anon_sym__Complex] = ACTIONS(2532),
    [anon_sym__Nullable] = ACTIONS(2532),
    [anon_sym__Nullable_result] = ACTIONS(2532),
    [anon_sym__Null_unspecified] = ACTIONS(2532),
    [anon_sym___autoreleasing] = ACTIONS(2532),
    [anon_sym___block] = ACTIONS(2532),
    [anon_sym___bridge] = ACTIONS(2532),
    [anon_sym___bridge_retained] = ACTIONS(2532),
    [anon_sym___bridge_transfer] = ACTIONS(2532),
    [anon_sym___complex] = ACTIONS(2532),
    [anon_sym___const] = ACTIONS(2532),
    [anon_sym___imag] = ACTIONS(2532),
    [anon_sym___kindof] = ACTIONS(2532),
    [anon_sym___nonnull] = ACTIONS(2532),
    [anon_sym___nullable] = ACTIONS(2532),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2532),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2532),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2532),
    [anon_sym___real] = ACTIONS(2532),
    [anon_sym___strong] = ACTIONS(2532),
    [anon_sym___unsafe_unretained] = ACTIONS(2532),
    [anon_sym___unused] = ACTIONS(2532),
    [anon_sym___weak] = ACTIONS(2532),
    [anon_sym_alignas] = ACTIONS(2532),
    [anon_sym__Alignas] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2532),
    [anon_sym_else] = ACTIONS(2532),
    [anon_sym_switch] = ACTIONS(2532),
    [anon_sym_while] = ACTIONS(2532),
    [anon_sym_do] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2532),
    [anon_sym_in] = ACTIONS(2532),
    [anon_sym_return] = ACTIONS(2532),
    [anon_sym_break] = ACTIONS(2532),
    [anon_sym_continue] = ACTIONS(2532),
    [anon_sym_goto] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2534),
    [anon_sym_sizeof] = ACTIONS(2532),
    [anon_sym___alignof__] = ACTIONS(2532),
    [anon_sym___alignof] = ACTIONS(2532),
    [anon_sym__alignof] = ACTIONS(2532),
    [anon_sym_alignof] = ACTIONS(2532),
    [anon_sym__Alignof] = ACTIONS(2532),
    [anon_sym_offsetof] = ACTIONS(2532),
    [anon_sym__Generic] = ACTIONS(2532),
    [anon_sym_asm] = ACTIONS(2532),
    [anon_sym___asm__] = ACTIONS(2532),
    [anon_sym___asm] = ACTIONS(2532),
    [sym_number_literal] = ACTIONS(2534),
    [anon_sym_L_SQUOTE] = ACTIONS(2534),
    [anon_sym_u_SQUOTE] = ACTIONS(2534),
    [anon_sym_U_SQUOTE] = ACTIONS(2534),
    [anon_sym_u8_SQUOTE] = ACTIONS(2534),
    [anon_sym_SQUOTE] = ACTIONS(2534),
    [anon_sym_AT] = ACTIONS(2532),
    [anon_sym_DQUOTE] = ACTIONS(2534),
    [anon_sym_L_DQUOTE] = ACTIONS(2534),
    [anon_sym_u_DQUOTE] = ACTIONS(2534),
    [anon_sym_U_DQUOTE] = ACTIONS(2534),
    [anon_sym_u8_DQUOTE] = ACTIONS(2534),
    [sym_true] = ACTIONS(2532),
    [sym_false] = ACTIONS(2532),
    [anon_sym_NULL] = ACTIONS(2532),
    [anon_sym_nullptr] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2532),
    [anon_sym___typeof] = ACTIONS(2532),
    [anon_sym_typeof] = ACTIONS(2532),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2532),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2532),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2532),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2532),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2532),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2532),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2532),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2532),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2532),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_API_AVAILABLE] = ACTIONS(2532),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_API_DEPRECATED] = ACTIONS(2532),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2532),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2532),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2532),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2532),
    [anon_sym___deprecated_msg] = ACTIONS(2532),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2532),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2532),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2532),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2532),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2532),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2532),
    [anon_sym_ATtry] = ACTIONS(2534),
    [anon_sym___try] = ACTIONS(2532),
    [anon_sym_ATthrow] = ACTIONS(2534),
    [anon_sym_ATselector] = ACTIONS(2534),
    [anon_sym_ATavailable] = ACTIONS(2534),
    [anon_sym___builtin_available] = ACTIONS(2532),
    [anon_sym_va_arg] = ACTIONS(2532),
    [anon_sym_ATencode] = ACTIONS(2534),
    [anon_sym_ATsynchronized] = ACTIONS(2534),
    [anon_sym_BOOL] = ACTIONS(2532),
    [anon_sym_IMP] = ACTIONS(2532),
    [anon_sym_SEL] = ACTIONS(2532),
    [anon_sym_Class] = ACTIONS(2532),
    [anon_sym_id] = ACTIONS(2532),
  },
  [1171] = {
    [sym_identifier] = ACTIONS(2540),
    [anon_sym_LPAREN2] = ACTIONS(2542),
    [anon_sym_BANG] = ACTIONS(2542),
    [anon_sym_TILDE] = ACTIONS(2542),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_STAR] = ACTIONS(2542),
    [anon_sym_CARET] = ACTIONS(2542),
    [anon_sym_AMP] = ACTIONS(2542),
    [anon_sym_SEMI] = ACTIONS(2542),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_typedef] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym___attribute] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_ATautoreleasepool] = ACTIONS(2542),
    [anon_sym_auto] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_CG_EXTERN] = ACTIONS(2540),
    [anon_sym_CG_INLINE] = ACTIONS(2540),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2540),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2540),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2540),
    [anon_sym_IBOutlet] = ACTIONS(2540),
    [anon_sym_IBInspectable] = ACTIONS(2540),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2540),
    [anon_sym_NS_INLINE] = ACTIONS(2540),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2540),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2540),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2540),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym__Nonnull] = ACTIONS(2540),
    [anon_sym_nullable] = ACTIONS(2540),
    [anon_sym__Complex] = ACTIONS(2540),
    [anon_sym__Nullable] = ACTIONS(2540),
    [anon_sym__Nullable_result] = ACTIONS(2540),
    [anon_sym__Null_unspecified] = ACTIONS(2540),
    [anon_sym___autoreleasing] = ACTIONS(2540),
    [anon_sym___block] = ACTIONS(2540),
    [anon_sym___bridge] = ACTIONS(2540),
    [anon_sym___bridge_retained] = ACTIONS(2540),
    [anon_sym___bridge_transfer] = ACTIONS(2540),
    [anon_sym___complex] = ACTIONS(2540),
    [anon_sym___const] = ACTIONS(2540),
    [anon_sym___imag] = ACTIONS(2540),
    [anon_sym___kindof] = ACTIONS(2540),
    [anon_sym___nonnull] = ACTIONS(2540),
    [anon_sym___nullable] = ACTIONS(2540),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2540),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2540),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2540),
    [anon_sym___real] = ACTIONS(2540),
    [anon_sym___strong] = ACTIONS(2540),
    [anon_sym___unsafe_unretained] = ACTIONS(2540),
    [anon_sym___unused] = ACTIONS(2540),
    [anon_sym___weak] = ACTIONS(2540),
    [anon_sym_alignas] = ACTIONS(2540),
    [anon_sym__Alignas] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [anon_sym_if] = ACTIONS(2540),
    [anon_sym_else] = ACTIONS(2540),
    [anon_sym_switch] = ACTIONS(2540),
    [anon_sym_while] = ACTIONS(2540),
    [anon_sym_do] = ACTIONS(2540),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_in] = ACTIONS(2540),
    [anon_sym_return] = ACTIONS(2540),
    [anon_sym_break] = ACTIONS(2540),
    [anon_sym_continue] = ACTIONS(2540),
    [anon_sym_goto] = ACTIONS(2540),
    [anon_sym_DASH_DASH] = ACTIONS(2542),
    [anon_sym_PLUS_PLUS] = ACTIONS(2542),
    [anon_sym_sizeof] = ACTIONS(2540),
    [anon_sym___alignof__] = ACTIONS(2540),
    [anon_sym___alignof] = ACTIONS(2540),
    [anon_sym__alignof] = ACTIONS(2540),
    [anon_sym_alignof] = ACTIONS(2540),
    [anon_sym__Alignof] = ACTIONS(2540),
    [anon_sym_offsetof] = ACTIONS(2540),
    [anon_sym__Generic] = ACTIONS(2540),
    [anon_sym_asm] = ACTIONS(2540),
    [anon_sym___asm__] = ACTIONS(2540),
    [anon_sym___asm] = ACTIONS(2540),
    [sym_number_literal] = ACTIONS(2542),
    [anon_sym_L_SQUOTE] = ACTIONS(2542),
    [anon_sym_u_SQUOTE] = ACTIONS(2542),
    [anon_sym_U_SQUOTE] = ACTIONS(2542),
    [anon_sym_u8_SQUOTE] = ACTIONS(2542),
    [anon_sym_SQUOTE] = ACTIONS(2542),
    [anon_sym_AT] = ACTIONS(2540),
    [anon_sym_DQUOTE] = ACTIONS(2542),
    [anon_sym_L_DQUOTE] = ACTIONS(2542),
    [anon_sym_u_DQUOTE] = ACTIONS(2542),
    [anon_sym_U_DQUOTE] = ACTIONS(2542),
    [anon_sym_u8_DQUOTE] = ACTIONS(2542),
    [sym_true] = ACTIONS(2540),
    [sym_false] = ACTIONS(2540),
    [anon_sym_NULL] = ACTIONS(2540),
    [anon_sym_nullptr] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2540),
    [anon_sym___typeof] = ACTIONS(2540),
    [anon_sym_typeof] = ACTIONS(2540),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2540),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2540),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2540),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2540),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2540),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2540),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2540),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2540),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2540),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_API_AVAILABLE] = ACTIONS(2540),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_API_DEPRECATED] = ACTIONS(2540),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2540),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2540),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2540),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2540),
    [anon_sym___deprecated_msg] = ACTIONS(2540),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2540),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2540),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2540),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2540),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2540),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2540),
    [anon_sym_ATtry] = ACTIONS(2542),
    [anon_sym___try] = ACTIONS(2540),
    [anon_sym_ATthrow] = ACTIONS(2542),
    [anon_sym_ATselector] = ACTIONS(2542),
    [anon_sym_ATavailable] = ACTIONS(2542),
    [anon_sym___builtin_available] = ACTIONS(2540),
    [anon_sym_va_arg] = ACTIONS(2540),
    [anon_sym_ATencode] = ACTIONS(2542),
    [anon_sym_ATsynchronized] = ACTIONS(2542),
    [anon_sym_BOOL] = ACTIONS(2540),
    [anon_sym_IMP] = ACTIONS(2540),
    [anon_sym_SEL] = ACTIONS(2540),
    [anon_sym_Class] = ACTIONS(2540),
    [anon_sym_id] = ACTIONS(2540),
  },
  [1172] = {
    [sym_identifier] = ACTIONS(2544),
    [anon_sym_LPAREN2] = ACTIONS(2546),
    [anon_sym_BANG] = ACTIONS(2546),
    [anon_sym_TILDE] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2544),
    [anon_sym_PLUS] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_SEMI] = ACTIONS(2546),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_typedef] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym___attribute] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_LBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_ATautoreleasepool] = ACTIONS(2546),
    [anon_sym_auto] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_CG_EXTERN] = ACTIONS(2544),
    [anon_sym_CG_INLINE] = ACTIONS(2544),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2544),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2544),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2544),
    [anon_sym_IBOutlet] = ACTIONS(2544),
    [anon_sym_IBInspectable] = ACTIONS(2544),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2544),
    [anon_sym_NS_INLINE] = ACTIONS(2544),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2544),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2544),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2544),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym__Nonnull] = ACTIONS(2544),
    [anon_sym_nullable] = ACTIONS(2544),
    [anon_sym__Complex] = ACTIONS(2544),
    [anon_sym__Nullable] = ACTIONS(2544),
    [anon_sym__Nullable_result] = ACTIONS(2544),
    [anon_sym__Null_unspecified] = ACTIONS(2544),
    [anon_sym___autoreleasing] = ACTIONS(2544),
    [anon_sym___block] = ACTIONS(2544),
    [anon_sym___bridge] = ACTIONS(2544),
    [anon_sym___bridge_retained] = ACTIONS(2544),
    [anon_sym___bridge_transfer] = ACTIONS(2544),
    [anon_sym___complex] = ACTIONS(2544),
    [anon_sym___const] = ACTIONS(2544),
    [anon_sym___imag] = ACTIONS(2544),
    [anon_sym___kindof] = ACTIONS(2544),
    [anon_sym___nonnull] = ACTIONS(2544),
    [anon_sym___nullable] = ACTIONS(2544),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2544),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2544),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2544),
    [anon_sym___real] = ACTIONS(2544),
    [anon_sym___strong] = ACTIONS(2544),
    [anon_sym___unsafe_unretained] = ACTIONS(2544),
    [anon_sym___unused] = ACTIONS(2544),
    [anon_sym___weak] = ACTIONS(2544),
    [anon_sym_alignas] = ACTIONS(2544),
    [anon_sym__Alignas] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_else] = ACTIONS(2544),
    [anon_sym_switch] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_do] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2544),
    [anon_sym_in] = ACTIONS(2544),
    [anon_sym_return] = ACTIONS(2544),
    [anon_sym_break] = ACTIONS(2544),
    [anon_sym_continue] = ACTIONS(2544),
    [anon_sym_goto] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2546),
    [anon_sym_PLUS_PLUS] = ACTIONS(2546),
    [anon_sym_sizeof] = ACTIONS(2544),
    [anon_sym___alignof__] = ACTIONS(2544),
    [anon_sym___alignof] = ACTIONS(2544),
    [anon_sym__alignof] = ACTIONS(2544),
    [anon_sym_alignof] = ACTIONS(2544),
    [anon_sym__Alignof] = ACTIONS(2544),
    [anon_sym_offsetof] = ACTIONS(2544),
    [anon_sym__Generic] = ACTIONS(2544),
    [anon_sym_asm] = ACTIONS(2544),
    [anon_sym___asm__] = ACTIONS(2544),
    [anon_sym___asm] = ACTIONS(2544),
    [sym_number_literal] = ACTIONS(2546),
    [anon_sym_L_SQUOTE] = ACTIONS(2546),
    [anon_sym_u_SQUOTE] = ACTIONS(2546),
    [anon_sym_U_SQUOTE] = ACTIONS(2546),
    [anon_sym_u8_SQUOTE] = ACTIONS(2546),
    [anon_sym_SQUOTE] = ACTIONS(2546),
    [anon_sym_AT] = ACTIONS(2544),
    [anon_sym_DQUOTE] = ACTIONS(2546),
    [anon_sym_L_DQUOTE] = ACTIONS(2546),
    [anon_sym_u_DQUOTE] = ACTIONS(2546),
    [anon_sym_U_DQUOTE] = ACTIONS(2546),
    [anon_sym_u8_DQUOTE] = ACTIONS(2546),
    [sym_true] = ACTIONS(2544),
    [sym_false] = ACTIONS(2544),
    [anon_sym_NULL] = ACTIONS(2544),
    [anon_sym_nullptr] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2544),
    [anon_sym___typeof] = ACTIONS(2544),
    [anon_sym_typeof] = ACTIONS(2544),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2544),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2544),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2544),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2544),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2544),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2544),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2544),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2544),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2544),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_API_AVAILABLE] = ACTIONS(2544),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_API_DEPRECATED] = ACTIONS(2544),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2544),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2544),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2544),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2544),
    [anon_sym___deprecated_msg] = ACTIONS(2544),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2544),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2544),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2544),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2544),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2544),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2544),
    [anon_sym_ATtry] = ACTIONS(2546),
    [anon_sym___try] = ACTIONS(2544),
    [anon_sym_ATthrow] = ACTIONS(2546),
    [anon_sym_ATselector] = ACTIONS(2546),
    [anon_sym_ATavailable] = ACTIONS(2546),
    [anon_sym___builtin_available] = ACTIONS(2544),
    [anon_sym_va_arg] = ACTIONS(2544),
    [anon_sym_ATencode] = ACTIONS(2546),
    [anon_sym_ATsynchronized] = ACTIONS(2546),
    [anon_sym_BOOL] = ACTIONS(2544),
    [anon_sym_IMP] = ACTIONS(2544),
    [anon_sym_SEL] = ACTIONS(2544),
    [anon_sym_Class] = ACTIONS(2544),
    [anon_sym_id] = ACTIONS(2544),
  },
  [1173] = {
    [sym_identifier] = ACTIONS(2456),
    [anon_sym_LPAREN2] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_TILDE] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2456),
    [anon_sym_PLUS] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym___extension__] = ACTIONS(2456),
    [anon_sym_typedef] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym___attribute__] = ACTIONS(2456),
    [anon_sym___attribute] = ACTIONS(2456),
    [anon_sym_noreturn] = ACTIONS(2456),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym___declspec] = ACTIONS(2456),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_signed] = ACTIONS(2456),
    [anon_sym_unsigned] = ACTIONS(2456),
    [anon_sym_long] = ACTIONS(2456),
    [anon_sym_short] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_ATautoreleasepool] = ACTIONS(2458),
    [anon_sym_auto] = ACTIONS(2456),
    [anon_sym_register] = ACTIONS(2456),
    [anon_sym_inline] = ACTIONS(2456),
    [anon_sym___inline] = ACTIONS(2456),
    [anon_sym___inline__] = ACTIONS(2456),
    [anon_sym___forceinline] = ACTIONS(2456),
    [anon_sym_thread_local] = ACTIONS(2456),
    [anon_sym___thread] = ACTIONS(2456),
    [anon_sym_CG_EXTERN] = ACTIONS(2456),
    [anon_sym_CG_INLINE] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2456),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2456),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2456),
    [anon_sym_IBOutlet] = ACTIONS(2456),
    [anon_sym_IBInspectable] = ACTIONS(2456),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2456),
    [anon_sym_NS_INLINE] = ACTIONS(2456),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2456),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2456),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_constexpr] = ACTIONS(2456),
    [anon_sym_volatile] = ACTIONS(2456),
    [anon_sym_restrict] = ACTIONS(2456),
    [anon_sym___restrict__] = ACTIONS(2456),
    [anon_sym__Atomic] = ACTIONS(2456),
    [anon_sym__Noreturn] = ACTIONS(2456),
    [anon_sym__Nonnull] = ACTIONS(2456),
    [anon_sym_nullable] = ACTIONS(2456),
    [anon_sym__Complex] = ACTIONS(2456),
    [anon_sym__Nullable] = ACTIONS(2456),
    [anon_sym__Nullable_result] = ACTIONS(2456),
    [anon_sym__Null_unspecified] = ACTIONS(2456),
    [anon_sym___autoreleasing] = ACTIONS(2456),
    [anon_sym___block] = ACTIONS(2456),
    [anon_sym___bridge] = ACTIONS(2456),
    [anon_sym___bridge_retained] = ACTIONS(2456),
    [anon_sym___bridge_transfer] = ACTIONS(2456),
    [anon_sym___complex] = ACTIONS(2456),
    [anon_sym___const] = ACTIONS(2456),
    [anon_sym___imag] = ACTIONS(2456),
    [anon_sym___kindof] = ACTIONS(2456),
    [anon_sym___nonnull] = ACTIONS(2456),
    [anon_sym___nullable] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2456),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2456),
    [anon_sym___real] = ACTIONS(2456),
    [anon_sym___strong] = ACTIONS(2456),
    [anon_sym___unsafe_unretained] = ACTIONS(2456),
    [anon_sym___unused] = ACTIONS(2456),
    [anon_sym___weak] = ACTIONS(2456),
    [anon_sym_alignas] = ACTIONS(2456),
    [anon_sym__Alignas] = ACTIONS(2456),
    [sym_primitive_type] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_else] = ACTIONS(2456),
    [anon_sym_switch] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_do] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_in] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_goto] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2458),
    [anon_sym_PLUS_PLUS] = ACTIONS(2458),
    [anon_sym_sizeof] = ACTIONS(2456),
    [anon_sym___alignof__] = ACTIONS(2456),
    [anon_sym___alignof] = ACTIONS(2456),
    [anon_sym__alignof] = ACTIONS(2456),
    [anon_sym_alignof] = ACTIONS(2456),
    [anon_sym__Alignof] = ACTIONS(2456),
    [anon_sym_offsetof] = ACTIONS(2456),
    [anon_sym__Generic] = ACTIONS(2456),
    [anon_sym_asm] = ACTIONS(2456),
    [anon_sym___asm__] = ACTIONS(2456),
    [anon_sym___asm] = ACTIONS(2456),
    [sym_number_literal] = ACTIONS(2458),
    [anon_sym_L_SQUOTE] = ACTIONS(2458),
    [anon_sym_u_SQUOTE] = ACTIONS(2458),
    [anon_sym_U_SQUOTE] = ACTIONS(2458),
    [anon_sym_u8_SQUOTE] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2458),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_DQUOTE] = ACTIONS(2458),
    [anon_sym_L_DQUOTE] = ACTIONS(2458),
    [anon_sym_u_DQUOTE] = ACTIONS(2458),
    [anon_sym_U_DQUOTE] = ACTIONS(2458),
    [anon_sym_u8_DQUOTE] = ACTIONS(2458),
    [sym_true] = ACTIONS(2456),
    [sym_false] = ACTIONS(2456),
    [anon_sym_NULL] = ACTIONS(2456),
    [anon_sym_nullptr] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2456),
    [anon_sym___typeof] = ACTIONS(2456),
    [anon_sym_typeof] = ACTIONS(2456),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2456),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2456),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2456),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2456),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2456),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_API_AVAILABLE] = ACTIONS(2456),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_API_DEPRECATED] = ACTIONS(2456),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2456),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2456),
    [anon_sym___deprecated_msg] = ACTIONS(2456),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2456),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2456),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2456),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2456),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2456),
    [anon_sym_ATtry] = ACTIONS(2458),
    [anon_sym___try] = ACTIONS(2456),
    [anon_sym_ATthrow] = ACTIONS(2458),
    [anon_sym_ATselector] = ACTIONS(2458),
    [anon_sym_ATavailable] = ACTIONS(2458),
    [anon_sym___builtin_available] = ACTIONS(2456),
    [anon_sym_va_arg] = ACTIONS(2456),
    [anon_sym_ATencode] = ACTIONS(2458),
    [anon_sym_ATsynchronized] = ACTIONS(2458),
    [anon_sym_BOOL] = ACTIONS(2456),
    [anon_sym_IMP] = ACTIONS(2456),
    [anon_sym_SEL] = ACTIONS(2456),
    [anon_sym_Class] = ACTIONS(2456),
    [anon_sym_id] = ACTIONS(2456),
  },
  [1174] = {
    [sym_preproc_def] = STATE(1356),
    [sym_preproc_call] = STATE(1356),
    [sym_preproc_ifdef] = STATE(1356),
    [sym_function_definition] = STATE(1356),
    [sym_declaration] = STATE(1356),
    [sym_type_definition] = STATE(1356),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1356),
    [sym_preproc_undef] = STATE(1356),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym__type_params] = STATE(1206),
    [sym__class_interface_inheritance] = STATE(1261),
    [sym_parameterized_arguments] = STATE(1221),
    [sym_generic_arguments] = STATE(1992),
    [sym_instance_variables] = STATE(1355),
    [sym_property_declaration] = STATE(1356),
    [sym_method_declaration] = STATE(1356),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1356),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3058),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1175] = {
    [sym_preproc_def] = STATE(1232),
    [sym_preproc_call] = STATE(1232),
    [sym_preproc_ifdef] = STATE(1232),
    [sym_function_definition] = STATE(1232),
    [sym_declaration] = STATE(1232),
    [sym_type_definition] = STATE(1232),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1232),
    [sym_preproc_undef] = STATE(1232),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_protocol_reference_list] = STATE(1234),
    [sym_qualified_protocol_interface_declaration] = STATE(5143),
    [sym_property_declaration] = STATE(1232),
    [sym_method_declaration] = STATE(1232),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_protocol_forward_declaration_repeat1] = STATE(5626),
    [aux_sym_class_interface_repeat1] = STATE(1232),
    [aux_sym_protocol_declaration_repeat1] = STATE(5143),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [anon_sym_COMMA] = ACTIONS(3062),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3068),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1176] = {
    [sym_preproc_def] = STATE(1419),
    [sym_preproc_call] = STATE(1419),
    [sym_preproc_ifdef] = STATE(1419),
    [sym_function_definition] = STATE(1419),
    [sym_declaration] = STATE(1419),
    [sym_type_definition] = STATE(1419),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1419),
    [sym_preproc_undef] = STATE(1419),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym__type_params] = STATE(1203),
    [sym__class_interface_inheritance] = STATE(1263),
    [sym_parameterized_arguments] = STATE(1212),
    [sym_generic_arguments] = STATE(1992),
    [sym_instance_variables] = STATE(1418),
    [sym_property_declaration] = STATE(1419),
    [sym_method_declaration] = STATE(1419),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1419),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3072),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1177] = {
    [sym_preproc_def] = STATE(1264),
    [sym_preproc_call] = STATE(1264),
    [sym_preproc_ifdef] = STATE(1264),
    [sym_function_definition] = STATE(1264),
    [sym_declaration] = STATE(1264),
    [sym_type_definition] = STATE(1264),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1264),
    [sym_preproc_undef] = STATE(1264),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_protocol_reference_list] = STATE(1252),
    [sym_qualified_protocol_interface_declaration] = STATE(5134),
    [sym_property_declaration] = STATE(1264),
    [sym_method_declaration] = STATE(1264),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_protocol_forward_declaration_repeat1] = STATE(5541),
    [aux_sym_class_interface_repeat1] = STATE(1264),
    [aux_sym_protocol_declaration_repeat1] = STATE(5134),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [anon_sym_COMMA] = ACTIONS(3062),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3076),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1178] = {
    [sym_preproc_def] = STATE(1235),
    [sym_preproc_call] = STATE(1235),
    [sym_preproc_ifdef] = STATE(1235),
    [sym_function_definition] = STATE(1235),
    [sym_declaration] = STATE(1235),
    [sym_type_definition] = STATE(1235),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1235),
    [sym_preproc_undef] = STATE(1235),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_protocol_reference_list] = STATE(1243),
    [sym_qualified_protocol_interface_declaration] = STATE(5110),
    [sym_property_declaration] = STATE(1235),
    [sym_method_declaration] = STATE(1235),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_protocol_forward_declaration_repeat1] = STATE(5487),
    [aux_sym_class_interface_repeat1] = STATE(1235),
    [aux_sym_protocol_declaration_repeat1] = STATE(5110),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [anon_sym_COMMA] = ACTIONS(3062),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3080),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1179] = {
    [sym_preproc_def] = STATE(1351),
    [sym_preproc_call] = STATE(1351),
    [sym_preproc_ifdef] = STATE(1351),
    [sym_function_definition] = STATE(1351),
    [sym_declaration] = STATE(1351),
    [sym_type_definition] = STATE(1351),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1351),
    [sym_preproc_undef] = STATE(1351),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym__type_params] = STATE(1196),
    [sym__class_interface_inheritance] = STATE(1240),
    [sym_parameterized_arguments] = STATE(1207),
    [sym_generic_arguments] = STATE(1992),
    [sym_instance_variables] = STATE(1350),
    [sym_property_declaration] = STATE(1351),
    [sym_method_declaration] = STATE(1351),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1351),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3082),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1180] = {
    [sym_preproc_def] = STATE(1401),
    [sym_preproc_call] = STATE(1401),
    [sym_preproc_ifdef] = STATE(1401),
    [sym_function_definition] = STATE(1401),
    [sym_declaration] = STATE(1401),
    [sym_type_definition] = STATE(1401),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1401),
    [sym_preproc_undef] = STATE(1401),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym__type_params] = STATE(1205),
    [sym__class_interface_inheritance] = STATE(1247),
    [sym_parameterized_arguments] = STATE(1216),
    [sym_generic_arguments] = STATE(1992),
    [sym_instance_variables] = STATE(1400),
    [sym_property_declaration] = STATE(1401),
    [sym_method_declaration] = STATE(1401),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1401),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3084),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1181] = {
    [sym_preproc_def] = STATE(1250),
    [sym_preproc_call] = STATE(1250),
    [sym_preproc_ifdef] = STATE(1250),
    [sym_function_definition] = STATE(1250),
    [sym_declaration] = STATE(1250),
    [sym_type_definition] = STATE(1250),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1250),
    [sym_preproc_undef] = STATE(1250),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_protocol_reference_list] = STATE(1241),
    [sym_qualified_protocol_interface_declaration] = STATE(5123),
    [sym_property_declaration] = STATE(1250),
    [sym_method_declaration] = STATE(1250),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_protocol_forward_declaration_repeat1] = STATE(5452),
    [aux_sym_class_interface_repeat1] = STATE(1250),
    [aux_sym_protocol_declaration_repeat1] = STATE(5123),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [anon_sym_COMMA] = ACTIONS(3062),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3088),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1182] = {
    [sym_preproc_def] = STATE(1259),
    [sym_preproc_call] = STATE(1259),
    [sym_preproc_ifdef] = STATE(1259),
    [sym_function_definition] = STATE(1259),
    [sym_declaration] = STATE(1259),
    [sym_type_definition] = STATE(1259),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1259),
    [sym_preproc_undef] = STATE(1259),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_protocol_reference_list] = STATE(1255),
    [sym_qualified_protocol_interface_declaration] = STATE(5147),
    [sym_property_declaration] = STATE(1259),
    [sym_method_declaration] = STATE(1259),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_protocol_forward_declaration_repeat1] = STATE(5329),
    [aux_sym_class_interface_repeat1] = STATE(1259),
    [aux_sym_protocol_declaration_repeat1] = STATE(5147),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [anon_sym_COMMA] = ACTIONS(3062),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3090),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3092),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1183] = {
    [sym_preproc_def] = STATE(1238),
    [sym_preproc_call] = STATE(1238),
    [sym_preproc_ifdef] = STATE(1238),
    [sym_function_definition] = STATE(1238),
    [sym_declaration] = STATE(1238),
    [sym_type_definition] = STATE(1238),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1238),
    [sym_preproc_undef] = STATE(1238),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_protocol_reference_list] = STATE(1260),
    [sym_qualified_protocol_interface_declaration] = STATE(5126),
    [sym_property_declaration] = STATE(1238),
    [sym_method_declaration] = STATE(1238),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_protocol_forward_declaration_repeat1] = STATE(5500),
    [aux_sym_class_interface_repeat1] = STATE(1238),
    [aux_sym_protocol_declaration_repeat1] = STATE(5126),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [anon_sym_COMMA] = ACTIONS(3062),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3094),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3096),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1184] = {
    [sym_preproc_def] = STATE(1265),
    [sym_preproc_call] = STATE(1265),
    [sym_preproc_ifdef] = STATE(1265),
    [sym_function_definition] = STATE(1265),
    [sym_declaration] = STATE(1265),
    [sym_type_definition] = STATE(1265),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1265),
    [sym_preproc_undef] = STATE(1265),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_protocol_reference_list] = STATE(1239),
    [sym_qualified_protocol_interface_declaration] = STATE(5116),
    [sym_property_declaration] = STATE(1265),
    [sym_method_declaration] = STATE(1265),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_protocol_forward_declaration_repeat1] = STATE(5457),
    [aux_sym_class_interface_repeat1] = STATE(1265),
    [aux_sym_protocol_declaration_repeat1] = STATE(5116),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [anon_sym_COMMA] = ACTIONS(3062),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3098),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3100),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1185] = {
    [sym_preproc_def] = STATE(1375),
    [sym_preproc_call] = STATE(1375),
    [sym_preproc_ifdef] = STATE(1375),
    [sym_function_definition] = STATE(1375),
    [sym_declaration] = STATE(1375),
    [sym_type_definition] = STATE(1375),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1375),
    [sym_preproc_undef] = STATE(1375),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym__type_params] = STATE(1200),
    [sym__class_interface_inheritance] = STATE(1248),
    [sym_parameterized_arguments] = STATE(1210),
    [sym_generic_arguments] = STATE(1992),
    [sym_instance_variables] = STATE(1374),
    [sym_property_declaration] = STATE(1375),
    [sym_method_declaration] = STATE(1375),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1375),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3102),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1186] = {
    [sym_preproc_def] = STATE(1245),
    [sym_preproc_call] = STATE(1245),
    [sym_preproc_ifdef] = STATE(1245),
    [sym_function_definition] = STATE(1245),
    [sym_declaration] = STATE(1245),
    [sym_type_definition] = STATE(1245),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1245),
    [sym_preproc_undef] = STATE(1245),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_protocol_reference_list] = STATE(1231),
    [sym_qualified_protocol_interface_declaration] = STATE(5145),
    [sym_property_declaration] = STATE(1245),
    [sym_method_declaration] = STATE(1245),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_protocol_forward_declaration_repeat1] = STATE(5604),
    [aux_sym_class_interface_repeat1] = STATE(1245),
    [aux_sym_protocol_declaration_repeat1] = STATE(5145),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [anon_sym_COMMA] = ACTIONS(3062),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3104),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3106),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1187] = {
    [sym_preproc_def] = STATE(1257),
    [sym_preproc_call] = STATE(1257),
    [sym_preproc_ifdef] = STATE(1257),
    [sym_function_definition] = STATE(1257),
    [sym_declaration] = STATE(1257),
    [sym_type_definition] = STATE(1257),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1257),
    [sym_preproc_undef] = STATE(1257),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_protocol_reference_list] = STATE(1256),
    [sym_qualified_protocol_interface_declaration] = STATE(5156),
    [sym_property_declaration] = STATE(1257),
    [sym_method_declaration] = STATE(1257),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_protocol_forward_declaration_repeat1] = STATE(5484),
    [aux_sym_class_interface_repeat1] = STATE(1257),
    [aux_sym_protocol_declaration_repeat1] = STATE(5156),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [anon_sym_COMMA] = ACTIONS(3062),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3108),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3110),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1188] = {
    [sym_preproc_def] = STATE(1226),
    [sym_preproc_call] = STATE(1226),
    [sym_preproc_ifdef] = STATE(1226),
    [sym_function_definition] = STATE(1226),
    [sym_declaration] = STATE(1226),
    [sym_type_definition] = STATE(1226),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1226),
    [sym_preproc_undef] = STATE(1226),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_protocol_reference_list] = STATE(1227),
    [sym_qualified_protocol_interface_declaration] = STATE(5150),
    [sym_property_declaration] = STATE(1226),
    [sym_method_declaration] = STATE(1226),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_protocol_forward_declaration_repeat1] = STATE(5408),
    [aux_sym_class_interface_repeat1] = STATE(1226),
    [aux_sym_protocol_declaration_repeat1] = STATE(5150),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [anon_sym_COMMA] = ACTIONS(3062),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(3112),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3114),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1189] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym__class_implementation_inheritance] = STATE(1220),
    [sym_instance_variables] = STATE(1311),
    [sym_implementation_definition] = STATE(1312),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1312),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(3026),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3118),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1190] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym__class_implementation_inheritance] = STATE(1222),
    [sym_instance_variables] = STATE(1321),
    [sym_implementation_definition] = STATE(1288),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1288),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(3026),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3120),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1191] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym__class_implementation_inheritance] = STATE(1214),
    [sym_instance_variables] = STATE(1286),
    [sym_implementation_definition] = STATE(1287),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1287),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(3026),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3122),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1192] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym__class_implementation_inheritance] = STATE(1215),
    [sym_instance_variables] = STATE(1315),
    [sym_implementation_definition] = STATE(1316),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1316),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(3026),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3124),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1193] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym__class_implementation_inheritance] = STATE(1219),
    [sym_instance_variables] = STATE(1318),
    [sym_implementation_definition] = STATE(1269),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1269),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(3026),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3126),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1194] = {
    [sym_preproc_def] = STATE(2240),
    [sym_preproc_function_def] = STATE(2240),
    [sym_preproc_call] = STATE(2240),
    [sym_preproc_ifdef] = STATE(2240),
    [sym_function_definition] = STATE(2240),
    [sym_declaration] = STATE(2240),
    [sym_type_definition] = STATE(2240),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4229),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2883),
    [sym_ms_call_modifier] = STATE(2203),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3244),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(1939),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2240),
    [sym_preproc_else_in_implementation_definition] = STATE(6406),
    [sym_preproc_elif_in_implementation_definition] = STATE(6406),
    [sym_preproc_undef] = STATE(2240),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1195),
    [sym_property_implementation] = STATE(2240),
    [sym_method_definition] = STATE(2240),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_preproc_if_in_implementation_definition_repeat1] = STATE(1195),
    [sym_identifier] = ACTIONS(3128),
    [aux_sym_preproc_def_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token2] = ACTIONS(3134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [aux_sym_preproc_else_token1] = ACTIONS(3138),
    [aux_sym_preproc_elif_token1] = ACTIONS(3140),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3148),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3150),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATsynthesize] = ACTIONS(3152),
    [anon_sym_ATdynamic] = ACTIONS(3154),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1195] = {
    [sym_preproc_def] = STATE(2240),
    [sym_preproc_function_def] = STATE(2240),
    [sym_preproc_call] = STATE(2240),
    [sym_preproc_ifdef] = STATE(2240),
    [sym_function_definition] = STATE(2240),
    [sym_declaration] = STATE(2240),
    [sym_type_definition] = STATE(2240),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4229),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2883),
    [sym_ms_call_modifier] = STATE(2203),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3244),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(1939),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2240),
    [sym_preproc_else_in_implementation_definition] = STATE(6608),
    [sym_preproc_elif_in_implementation_definition] = STATE(6608),
    [sym_preproc_undef] = STATE(2240),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1217),
    [sym_property_implementation] = STATE(2240),
    [sym_method_definition] = STATE(2240),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_preproc_if_in_implementation_definition_repeat1] = STATE(1217),
    [sym_identifier] = ACTIONS(3128),
    [aux_sym_preproc_def_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token2] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [aux_sym_preproc_else_token1] = ACTIONS(3138),
    [aux_sym_preproc_elif_token1] = ACTIONS(3140),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3148),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3150),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATsynthesize] = ACTIONS(3152),
    [anon_sym_ATdynamic] = ACTIONS(3154),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1196] = {
    [sym_preproc_def] = STATE(1438),
    [sym_preproc_call] = STATE(1438),
    [sym_preproc_ifdef] = STATE(1438),
    [sym_function_definition] = STATE(1438),
    [sym_declaration] = STATE(1438),
    [sym_type_definition] = STATE(1438),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1438),
    [sym_preproc_undef] = STATE(1438),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym__class_interface_inheritance] = STATE(1253),
    [sym_parameterized_arguments] = STATE(1332),
    [sym_instance_variables] = STATE(1436),
    [sym_property_declaration] = STATE(1438),
    [sym_method_declaration] = STATE(1438),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1438),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3160),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1197] = {
    [sym_preproc_def] = STATE(2240),
    [sym_preproc_function_def] = STATE(2240),
    [sym_preproc_call] = STATE(2240),
    [sym_preproc_ifdef] = STATE(2240),
    [sym_function_definition] = STATE(2240),
    [sym_declaration] = STATE(2240),
    [sym_type_definition] = STATE(2240),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4229),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2883),
    [sym_ms_call_modifier] = STATE(2203),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3244),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(1939),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2240),
    [sym_preproc_else_in_implementation_definition] = STATE(6530),
    [sym_preproc_elif_in_implementation_definition] = STATE(6530),
    [sym_preproc_undef] = STATE(2240),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1217),
    [sym_property_implementation] = STATE(2240),
    [sym_method_definition] = STATE(2240),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_preproc_if_in_implementation_definition_repeat1] = STATE(1217),
    [sym_identifier] = ACTIONS(3128),
    [aux_sym_preproc_def_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token2] = ACTIONS(3162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [aux_sym_preproc_else_token1] = ACTIONS(3138),
    [aux_sym_preproc_elif_token1] = ACTIONS(3140),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3148),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3150),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATsynthesize] = ACTIONS(3152),
    [anon_sym_ATdynamic] = ACTIONS(3154),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1198] = {
    [sym_preproc_def] = STATE(2240),
    [sym_preproc_function_def] = STATE(2240),
    [sym_preproc_call] = STATE(2240),
    [sym_preproc_ifdef] = STATE(2240),
    [sym_function_definition] = STATE(2240),
    [sym_declaration] = STATE(2240),
    [sym_type_definition] = STATE(2240),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4229),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2883),
    [sym_ms_call_modifier] = STATE(2203),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3244),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(1939),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2240),
    [sym_preproc_else_in_implementation_definition] = STATE(6601),
    [sym_preproc_elif_in_implementation_definition] = STATE(6601),
    [sym_preproc_undef] = STATE(2240),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1199),
    [sym_property_implementation] = STATE(2240),
    [sym_method_definition] = STATE(2240),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_preproc_if_in_implementation_definition_repeat1] = STATE(1199),
    [sym_identifier] = ACTIONS(3128),
    [aux_sym_preproc_def_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token2] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [aux_sym_preproc_else_token1] = ACTIONS(3138),
    [aux_sym_preproc_elif_token1] = ACTIONS(3140),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3148),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3150),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATsynthesize] = ACTIONS(3152),
    [anon_sym_ATdynamic] = ACTIONS(3154),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1199] = {
    [sym_preproc_def] = STATE(2240),
    [sym_preproc_function_def] = STATE(2240),
    [sym_preproc_call] = STATE(2240),
    [sym_preproc_ifdef] = STATE(2240),
    [sym_function_definition] = STATE(2240),
    [sym_declaration] = STATE(2240),
    [sym_type_definition] = STATE(2240),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4229),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2883),
    [sym_ms_call_modifier] = STATE(2203),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3244),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(1939),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2240),
    [sym_preproc_else_in_implementation_definition] = STATE(6658),
    [sym_preproc_elif_in_implementation_definition] = STATE(6658),
    [sym_preproc_undef] = STATE(2240),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1217),
    [sym_property_implementation] = STATE(2240),
    [sym_method_definition] = STATE(2240),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_preproc_if_in_implementation_definition_repeat1] = STATE(1217),
    [sym_identifier] = ACTIONS(3128),
    [aux_sym_preproc_def_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token2] = ACTIONS(3166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [aux_sym_preproc_else_token1] = ACTIONS(3138),
    [aux_sym_preproc_elif_token1] = ACTIONS(3140),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3148),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3150),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATsynthesize] = ACTIONS(3152),
    [anon_sym_ATdynamic] = ACTIONS(3154),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1200] = {
    [sym_preproc_def] = STATE(1381),
    [sym_preproc_call] = STATE(1381),
    [sym_preproc_ifdef] = STATE(1381),
    [sym_function_definition] = STATE(1381),
    [sym_declaration] = STATE(1381),
    [sym_type_definition] = STATE(1381),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1381),
    [sym_preproc_undef] = STATE(1381),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym__class_interface_inheritance] = STATE(1224),
    [sym_parameterized_arguments] = STATE(1342),
    [sym_instance_variables] = STATE(1380),
    [sym_property_declaration] = STATE(1381),
    [sym_method_declaration] = STATE(1381),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1381),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3168),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1201] = {
    [sym_preproc_def] = STATE(2240),
    [sym_preproc_function_def] = STATE(2240),
    [sym_preproc_call] = STATE(2240),
    [sym_preproc_ifdef] = STATE(2240),
    [sym_function_definition] = STATE(2240),
    [sym_declaration] = STATE(2240),
    [sym_type_definition] = STATE(2240),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4229),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2883),
    [sym_ms_call_modifier] = STATE(2203),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3244),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(1939),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2240),
    [sym_preproc_else_in_implementation_definition] = STATE(6127),
    [sym_preproc_elif_in_implementation_definition] = STATE(6127),
    [sym_preproc_undef] = STATE(2240),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1217),
    [sym_property_implementation] = STATE(2240),
    [sym_method_definition] = STATE(2240),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_preproc_if_in_implementation_definition_repeat1] = STATE(1217),
    [sym_identifier] = ACTIONS(3128),
    [aux_sym_preproc_def_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token2] = ACTIONS(3170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [aux_sym_preproc_else_token1] = ACTIONS(3138),
    [aux_sym_preproc_elif_token1] = ACTIONS(3140),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3148),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3150),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATsynthesize] = ACTIONS(3152),
    [anon_sym_ATdynamic] = ACTIONS(3154),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1202] = {
    [sym_preproc_def] = STATE(2240),
    [sym_preproc_function_def] = STATE(2240),
    [sym_preproc_call] = STATE(2240),
    [sym_preproc_ifdef] = STATE(2240),
    [sym_function_definition] = STATE(2240),
    [sym_declaration] = STATE(2240),
    [sym_type_definition] = STATE(2240),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4229),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2883),
    [sym_ms_call_modifier] = STATE(2203),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3244),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(1939),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2240),
    [sym_preproc_else_in_implementation_definition] = STATE(6380),
    [sym_preproc_elif_in_implementation_definition] = STATE(6380),
    [sym_preproc_undef] = STATE(2240),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1197),
    [sym_property_implementation] = STATE(2240),
    [sym_method_definition] = STATE(2240),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_preproc_if_in_implementation_definition_repeat1] = STATE(1197),
    [sym_identifier] = ACTIONS(3128),
    [aux_sym_preproc_def_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token2] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [aux_sym_preproc_else_token1] = ACTIONS(3138),
    [aux_sym_preproc_elif_token1] = ACTIONS(3140),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3148),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3150),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATsynthesize] = ACTIONS(3152),
    [anon_sym_ATdynamic] = ACTIONS(3154),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1203] = {
    [sym_preproc_def] = STATE(1421),
    [sym_preproc_call] = STATE(1421),
    [sym_preproc_ifdef] = STATE(1421),
    [sym_function_definition] = STATE(1421),
    [sym_declaration] = STATE(1421),
    [sym_type_definition] = STATE(1421),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1421),
    [sym_preproc_undef] = STATE(1421),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym__class_interface_inheritance] = STATE(1262),
    [sym_parameterized_arguments] = STATE(1333),
    [sym_instance_variables] = STATE(1420),
    [sym_property_declaration] = STATE(1421),
    [sym_method_declaration] = STATE(1421),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1421),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3174),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1204] = {
    [sym_preproc_def] = STATE(2240),
    [sym_preproc_function_def] = STATE(2240),
    [sym_preproc_call] = STATE(2240),
    [sym_preproc_ifdef] = STATE(2240),
    [sym_function_definition] = STATE(2240),
    [sym_declaration] = STATE(2240),
    [sym_type_definition] = STATE(2240),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4229),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2883),
    [sym_ms_call_modifier] = STATE(2203),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3244),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(1939),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2240),
    [sym_preproc_else_in_implementation_definition] = STATE(6027),
    [sym_preproc_elif_in_implementation_definition] = STATE(6027),
    [sym_preproc_undef] = STATE(2240),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1201),
    [sym_property_implementation] = STATE(2240),
    [sym_method_definition] = STATE(2240),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_preproc_if_in_implementation_definition_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(3128),
    [aux_sym_preproc_def_token1] = ACTIONS(3130),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token2] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [aux_sym_preproc_else_token1] = ACTIONS(3138),
    [aux_sym_preproc_elif_token1] = ACTIONS(3140),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3148),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3150),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATsynthesize] = ACTIONS(3152),
    [anon_sym_ATdynamic] = ACTIONS(3154),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1205] = {
    [sym_preproc_def] = STATE(1403),
    [sym_preproc_call] = STATE(1403),
    [sym_preproc_ifdef] = STATE(1403),
    [sym_function_definition] = STATE(1403),
    [sym_declaration] = STATE(1403),
    [sym_type_definition] = STATE(1403),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1403),
    [sym_preproc_undef] = STATE(1403),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym__class_interface_inheritance] = STATE(1258),
    [sym_parameterized_arguments] = STATE(1325),
    [sym_instance_variables] = STATE(1402),
    [sym_property_declaration] = STATE(1403),
    [sym_method_declaration] = STATE(1403),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1403),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3178),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1206] = {
    [sym_preproc_def] = STATE(1358),
    [sym_preproc_call] = STATE(1358),
    [sym_preproc_ifdef] = STATE(1358),
    [sym_function_definition] = STATE(1358),
    [sym_declaration] = STATE(1358),
    [sym_type_definition] = STATE(1358),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1358),
    [sym_preproc_undef] = STATE(1358),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym__class_interface_inheritance] = STATE(1251),
    [sym_parameterized_arguments] = STATE(1338),
    [sym_instance_variables] = STATE(1357),
    [sym_property_declaration] = STATE(1358),
    [sym_method_declaration] = STATE(1358),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1358),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(3056),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3180),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1207] = {
    [sym_preproc_def] = STATE(1438),
    [sym_preproc_call] = STATE(1438),
    [sym_preproc_ifdef] = STATE(1438),
    [sym_function_definition] = STATE(1438),
    [sym_declaration] = STATE(1438),
    [sym_type_definition] = STATE(1438),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1438),
    [sym_preproc_undef] = STATE(1438),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_instance_variables] = STATE(1436),
    [sym_property_declaration] = STATE(1438),
    [sym_method_declaration] = STATE(1438),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1438),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3182),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(3182),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3160),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1208] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_instance_variables] = STATE(1277),
    [sym_implementation_definition] = STATE(1282),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1282),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3184),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1209] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_instance_variables] = STATE(1295),
    [sym_implementation_definition] = STATE(1296),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1296),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3186),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1210] = {
    [sym_preproc_def] = STATE(1381),
    [sym_preproc_call] = STATE(1381),
    [sym_preproc_ifdef] = STATE(1381),
    [sym_function_definition] = STATE(1381),
    [sym_declaration] = STATE(1381),
    [sym_type_definition] = STATE(1381),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1381),
    [sym_preproc_undef] = STATE(1381),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_instance_variables] = STATE(1380),
    [sym_property_declaration] = STATE(1381),
    [sym_method_declaration] = STATE(1381),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1381),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3182),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(3182),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3168),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1211] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_instance_variables] = STATE(1317),
    [sym_implementation_definition] = STATE(1319),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1319),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3188),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1212] = {
    [sym_preproc_def] = STATE(1421),
    [sym_preproc_call] = STATE(1421),
    [sym_preproc_ifdef] = STATE(1421),
    [sym_function_definition] = STATE(1421),
    [sym_declaration] = STATE(1421),
    [sym_type_definition] = STATE(1421),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1421),
    [sym_preproc_undef] = STATE(1421),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_instance_variables] = STATE(1420),
    [sym_property_declaration] = STATE(1421),
    [sym_method_declaration] = STATE(1421),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1421),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3182),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(3182),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3174),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1213] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_instance_variables] = STATE(1289),
    [sym_implementation_definition] = STATE(1290),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1290),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3190),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1214] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_instance_variables] = STATE(1299),
    [sym_implementation_definition] = STATE(1301),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1301),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3192),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1215] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_instance_variables] = STATE(1272),
    [sym_implementation_definition] = STATE(1273),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1273),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3194),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1216] = {
    [sym_preproc_def] = STATE(1403),
    [sym_preproc_call] = STATE(1403),
    [sym_preproc_ifdef] = STATE(1403),
    [sym_function_definition] = STATE(1403),
    [sym_declaration] = STATE(1403),
    [sym_type_definition] = STATE(1403),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1403),
    [sym_preproc_undef] = STATE(1403),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_instance_variables] = STATE(1402),
    [sym_property_declaration] = STATE(1403),
    [sym_method_declaration] = STATE(1403),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1403),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3182),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(3182),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3178),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1217] = {
    [sym_preproc_def] = STATE(2240),
    [sym_preproc_function_def] = STATE(2240),
    [sym_preproc_call] = STATE(2240),
    [sym_preproc_ifdef] = STATE(2240),
    [sym_function_definition] = STATE(2240),
    [sym_declaration] = STATE(2240),
    [sym_type_definition] = STATE(2240),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4229),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2883),
    [sym_ms_call_modifier] = STATE(2203),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3244),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(1939),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2240),
    [sym_preproc_undef] = STATE(2240),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1217),
    [sym_property_implementation] = STATE(2240),
    [sym_method_definition] = STATE(2240),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_preproc_if_in_implementation_definition_repeat1] = STATE(1217),
    [sym_identifier] = ACTIONS(3196),
    [aux_sym_preproc_def_token1] = ACTIONS(3199),
    [aux_sym_preproc_if_token1] = ACTIONS(3202),
    [aux_sym_preproc_if_token2] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3207),
    [aux_sym_preproc_else_token1] = ACTIONS(3205),
    [aux_sym_preproc_elif_token1] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3210),
    [anon_sym_DASH] = ACTIONS(3213),
    [anon_sym_PLUS] = ACTIONS(3213),
    [anon_sym___extension__] = ACTIONS(3216),
    [anon_sym_typedef] = ACTIONS(3219),
    [anon_sym_extern] = ACTIONS(3222),
    [anon_sym___attribute__] = ACTIONS(3225),
    [anon_sym___attribute] = ACTIONS(3225),
    [anon_sym_noreturn] = ACTIONS(3228),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym___declspec] = ACTIONS(3234),
    [anon_sym___cdecl] = ACTIONS(3237),
    [anon_sym___clrcall] = ACTIONS(3237),
    [anon_sym___stdcall] = ACTIONS(3237),
    [anon_sym___fastcall] = ACTIONS(3237),
    [anon_sym___thiscall] = ACTIONS(3237),
    [anon_sym___vectorcall] = ACTIONS(3237),
    [anon_sym_signed] = ACTIONS(3240),
    [anon_sym_unsigned] = ACTIONS(3240),
    [anon_sym_long] = ACTIONS(3240),
    [anon_sym_short] = ACTIONS(3240),
    [anon_sym_static] = ACTIONS(3222),
    [anon_sym_auto] = ACTIONS(3222),
    [anon_sym_register] = ACTIONS(3222),
    [anon_sym_inline] = ACTIONS(3222),
    [anon_sym___inline] = ACTIONS(3222),
    [anon_sym___inline__] = ACTIONS(3222),
    [anon_sym___forceinline] = ACTIONS(3222),
    [anon_sym_thread_local] = ACTIONS(3222),
    [anon_sym___thread] = ACTIONS(3222),
    [anon_sym_CG_EXTERN] = ACTIONS(3222),
    [anon_sym_CG_INLINE] = ACTIONS(3222),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(3222),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(3222),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(3222),
    [anon_sym_IBOutlet] = ACTIONS(3222),
    [anon_sym_IBInspectable] = ACTIONS(3222),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(3222),
    [anon_sym_NS_INLINE] = ACTIONS(3222),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(3222),
    [anon_sym_OBJC_EXPORT] = ACTIONS(3222),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(3222),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3228),
    [anon_sym_constexpr] = ACTIONS(3228),
    [anon_sym_volatile] = ACTIONS(3228),
    [anon_sym_restrict] = ACTIONS(3228),
    [anon_sym___restrict__] = ACTIONS(3228),
    [anon_sym__Atomic] = ACTIONS(3228),
    [anon_sym__Noreturn] = ACTIONS(3228),
    [anon_sym__Nonnull] = ACTIONS(3228),
    [anon_sym_nullable] = ACTIONS(3228),
    [anon_sym__Complex] = ACTIONS(3228),
    [anon_sym__Nullable] = ACTIONS(3228),
    [anon_sym__Nullable_result] = ACTIONS(3228),
    [anon_sym__Null_unspecified] = ACTIONS(3228),
    [anon_sym___autoreleasing] = ACTIONS(3228),
    [anon_sym___block] = ACTIONS(3228),
    [anon_sym___bridge] = ACTIONS(3228),
    [anon_sym___bridge_retained] = ACTIONS(3228),
    [anon_sym___bridge_transfer] = ACTIONS(3228),
    [anon_sym___complex] = ACTIONS(3228),
    [anon_sym___const] = ACTIONS(3228),
    [anon_sym___imag] = ACTIONS(3228),
    [anon_sym___kindof] = ACTIONS(3228),
    [anon_sym___nonnull] = ACTIONS(3228),
    [anon_sym___nullable] = ACTIONS(3228),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(3228),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(3228),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(3228),
    [anon_sym___real] = ACTIONS(3228),
    [anon_sym___strong] = ACTIONS(3228),
    [anon_sym___unsafe_unretained] = ACTIONS(3228),
    [anon_sym___unused] = ACTIONS(3228),
    [anon_sym___weak] = ACTIONS(3228),
    [anon_sym_alignas] = ACTIONS(3243),
    [anon_sym__Alignas] = ACTIONS(3243),
    [sym_primitive_type] = ACTIONS(3246),
    [anon_sym_enum] = ACTIONS(3249),
    [anon_sym_struct] = ACTIONS(3252),
    [anon_sym_union] = ACTIONS(3255),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(3258),
    [anon_sym___typeof] = ACTIONS(3258),
    [anon_sym_typeof] = ACTIONS(3258),
    [aux_sym_preproc_undef_token1] = ACTIONS(3261),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(3264),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(3264),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(3264),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(3264),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(3264),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(3264),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(3264),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(3264),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(3264),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(3267),
    [anon_sym_NS_AVAILABLE] = ACTIONS(3267),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(3267),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(3267),
    [anon_sym_API_AVAILABLE] = ACTIONS(3267),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(3267),
    [anon_sym_API_DEPRECATED] = ACTIONS(3267),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(3267),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(3267),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(3267),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(3267),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(3267),
    [anon_sym___deprecated_msg] = ACTIONS(3267),
    [anon_sym___deprecated_enum_msg] = ACTIONS(3267),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(3267),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(3267),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(3267),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(3267),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(3267),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(3267),
    [anon_sym_ATsynthesize] = ACTIONS(3270),
    [anon_sym_ATdynamic] = ACTIONS(3273),
    [anon_sym_BOOL] = ACTIONS(3276),
    [anon_sym_IMP] = ACTIONS(3276),
    [anon_sym_SEL] = ACTIONS(3276),
    [anon_sym_Class] = ACTIONS(3276),
    [anon_sym_id] = ACTIONS(3276),
  },
  [1218] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_instance_variables] = STATE(1313),
    [sym_implementation_definition] = STATE(1314),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1314),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3279),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1219] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_instance_variables] = STATE(1271),
    [sym_implementation_definition] = STATE(1279),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1279),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3281),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1220] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_instance_variables] = STATE(1324),
    [sym_implementation_definition] = STATE(1309),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1309),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3283),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1221] = {
    [sym_preproc_def] = STATE(1358),
    [sym_preproc_call] = STATE(1358),
    [sym_preproc_ifdef] = STATE(1358),
    [sym_function_definition] = STATE(1358),
    [sym_declaration] = STATE(1358),
    [sym_type_definition] = STATE(1358),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1358),
    [sym_preproc_undef] = STATE(1358),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_instance_variables] = STATE(1357),
    [sym_property_declaration] = STATE(1358),
    [sym_method_declaration] = STATE(1358),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1358),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3182),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(3182),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3180),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1222] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_instance_variables] = STATE(1307),
    [sym_implementation_definition] = STATE(1267),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1267),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3285),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1223] = {
    [sym_preproc_def] = STATE(1327),
    [sym_preproc_call] = STATE(1327),
    [sym_preproc_ifdef] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_declaration] = STATE(1327),
    [sym_type_definition] = STATE(1327),
    [sym__declaration_modifiers] = STATE(2899),
    [sym__declaration_specifiers] = STATE(4229),
    [sym_attribute_specifier] = STATE(2899),
    [sym_attribute_declaration] = STATE(2899),
    [sym_ms_declspec_modifier] = STATE(2883),
    [sym_ms_call_modifier] = STATE(2203),
    [sym_storage_class_specifier] = STATE(2899),
    [sym_type_qualifier] = STATE(2899),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3243),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1327),
    [sym_preproc_else_in_interface_declaration] = STATE(6653),
    [sym_preproc_elif_in_interface_declaration] = STATE(6653),
    [sym_preproc_undef] = STATE(1327),
    [sym_availability_attribute_specifier] = STATE(2899),
    [sym_property_declaration] = STATE(1327),
    [sym_method_declaration] = STATE(1327),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_preproc_if_in_interface_declaration_repeat1] = STATE(1327),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3287),
    [aux_sym_preproc_if_token1] = ACTIONS(3289),
    [aux_sym_preproc_if_token2] = ACTIONS(3291),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [aux_sym_preproc_else_token1] = ACTIONS(3293),
    [aux_sym_preproc_elif_token1] = ACTIONS(3295),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3148),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3150),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATproperty] = ACTIONS(3299),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1224] = {
    [sym_preproc_def] = STATE(1388),
    [sym_preproc_call] = STATE(1388),
    [sym_preproc_ifdef] = STATE(1388),
    [sym_function_definition] = STATE(1388),
    [sym_declaration] = STATE(1388),
    [sym_type_definition] = STATE(1388),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1388),
    [sym_preproc_undef] = STATE(1388),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_parameterized_arguments] = STATE(1337),
    [sym_instance_variables] = STATE(1387),
    [sym_property_declaration] = STATE(1388),
    [sym_method_declaration] = STATE(1388),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1388),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3301),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1225] = {
    [sym_preproc_def] = STATE(1327),
    [sym_preproc_call] = STATE(1327),
    [sym_preproc_ifdef] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_declaration] = STATE(1327),
    [sym_type_definition] = STATE(1327),
    [sym__declaration_modifiers] = STATE(2899),
    [sym__declaration_specifiers] = STATE(4229),
    [sym_attribute_specifier] = STATE(2899),
    [sym_attribute_declaration] = STATE(2899),
    [sym_ms_declspec_modifier] = STATE(2883),
    [sym_ms_call_modifier] = STATE(2203),
    [sym_storage_class_specifier] = STATE(2899),
    [sym_type_qualifier] = STATE(2899),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3243),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1327),
    [sym_preproc_else_in_interface_declaration] = STATE(6505),
    [sym_preproc_elif_in_interface_declaration] = STATE(6505),
    [sym_preproc_undef] = STATE(1327),
    [sym_availability_attribute_specifier] = STATE(2899),
    [sym_property_declaration] = STATE(1327),
    [sym_method_declaration] = STATE(1327),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_preproc_if_in_interface_declaration_repeat1] = STATE(1327),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3287),
    [aux_sym_preproc_if_token1] = ACTIONS(3289),
    [aux_sym_preproc_if_token2] = ACTIONS(3303),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [aux_sym_preproc_else_token1] = ACTIONS(3293),
    [aux_sym_preproc_elif_token1] = ACTIONS(3295),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3148),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3150),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATproperty] = ACTIONS(3299),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1226] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_qualified_protocol_interface_declaration] = STATE(5162),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [aux_sym_protocol_declaration_repeat1] = STATE(5162),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3305),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1227] = {
    [sym_preproc_def] = STATE(1228),
    [sym_preproc_call] = STATE(1228),
    [sym_preproc_ifdef] = STATE(1228),
    [sym_function_definition] = STATE(1228),
    [sym_declaration] = STATE(1228),
    [sym_type_definition] = STATE(1228),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1228),
    [sym_preproc_undef] = STATE(1228),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_qualified_protocol_interface_declaration] = STATE(5162),
    [sym_property_declaration] = STATE(1228),
    [sym_method_declaration] = STATE(1228),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1228),
    [aux_sym_protocol_declaration_repeat1] = STATE(5162),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3305),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1228] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_qualified_protocol_interface_declaration] = STATE(5167),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [aux_sym_protocol_declaration_repeat1] = STATE(5167),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3307),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1229] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_qualified_protocol_interface_declaration] = STATE(5121),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [aux_sym_protocol_declaration_repeat1] = STATE(5121),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3309),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1230] = {
    [sym_preproc_def] = STATE(1242),
    [sym_preproc_call] = STATE(1242),
    [sym_preproc_ifdef] = STATE(1242),
    [sym_function_definition] = STATE(1242),
    [sym_declaration] = STATE(1242),
    [sym_type_definition] = STATE(1242),
    [sym__declaration_modifiers] = STATE(2899),
    [sym__declaration_specifiers] = STATE(4229),
    [sym_attribute_specifier] = STATE(2899),
    [sym_attribute_declaration] = STATE(2899),
    [sym_ms_declspec_modifier] = STATE(2883),
    [sym_ms_call_modifier] = STATE(2203),
    [sym_storage_class_specifier] = STATE(2899),
    [sym_type_qualifier] = STATE(2899),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3243),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1242),
    [sym_preproc_else_in_interface_declaration] = STATE(6322),
    [sym_preproc_elif_in_interface_declaration] = STATE(6322),
    [sym_preproc_undef] = STATE(1242),
    [sym_availability_attribute_specifier] = STATE(2899),
    [sym_property_declaration] = STATE(1242),
    [sym_method_declaration] = STATE(1242),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_preproc_if_in_interface_declaration_repeat1] = STATE(1242),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3287),
    [aux_sym_preproc_if_token1] = ACTIONS(3289),
    [aux_sym_preproc_if_token2] = ACTIONS(3311),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [aux_sym_preproc_else_token1] = ACTIONS(3293),
    [aux_sym_preproc_elif_token1] = ACTIONS(3295),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3148),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3150),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATproperty] = ACTIONS(3299),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1231] = {
    [sym_preproc_def] = STATE(1250),
    [sym_preproc_call] = STATE(1250),
    [sym_preproc_ifdef] = STATE(1250),
    [sym_function_definition] = STATE(1250),
    [sym_declaration] = STATE(1250),
    [sym_type_definition] = STATE(1250),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1250),
    [sym_preproc_undef] = STATE(1250),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_qualified_protocol_interface_declaration] = STATE(5123),
    [sym_property_declaration] = STATE(1250),
    [sym_method_declaration] = STATE(1250),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1250),
    [aux_sym_protocol_declaration_repeat1] = STATE(5123),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3088),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1232] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_qualified_protocol_interface_declaration] = STATE(5149),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [aux_sym_protocol_declaration_repeat1] = STATE(5149),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3313),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1233] = {
    [sym_preproc_def] = STATE(1223),
    [sym_preproc_call] = STATE(1223),
    [sym_preproc_ifdef] = STATE(1223),
    [sym_function_definition] = STATE(1223),
    [sym_declaration] = STATE(1223),
    [sym_type_definition] = STATE(1223),
    [sym__declaration_modifiers] = STATE(2899),
    [sym__declaration_specifiers] = STATE(4229),
    [sym_attribute_specifier] = STATE(2899),
    [sym_attribute_declaration] = STATE(2899),
    [sym_ms_declspec_modifier] = STATE(2883),
    [sym_ms_call_modifier] = STATE(2203),
    [sym_storage_class_specifier] = STATE(2899),
    [sym_type_qualifier] = STATE(2899),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3243),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1223),
    [sym_preproc_else_in_interface_declaration] = STATE(6577),
    [sym_preproc_elif_in_interface_declaration] = STATE(6577),
    [sym_preproc_undef] = STATE(1223),
    [sym_availability_attribute_specifier] = STATE(2899),
    [sym_property_declaration] = STATE(1223),
    [sym_method_declaration] = STATE(1223),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_preproc_if_in_interface_declaration_repeat1] = STATE(1223),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3287),
    [aux_sym_preproc_if_token1] = ACTIONS(3289),
    [aux_sym_preproc_if_token2] = ACTIONS(3315),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [aux_sym_preproc_else_token1] = ACTIONS(3293),
    [aux_sym_preproc_elif_token1] = ACTIONS(3295),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3148),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3150),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATproperty] = ACTIONS(3299),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1234] = {
    [sym_preproc_def] = STATE(1237),
    [sym_preproc_call] = STATE(1237),
    [sym_preproc_ifdef] = STATE(1237),
    [sym_function_definition] = STATE(1237),
    [sym_declaration] = STATE(1237),
    [sym_type_definition] = STATE(1237),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1237),
    [sym_preproc_undef] = STATE(1237),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_qualified_protocol_interface_declaration] = STATE(5149),
    [sym_property_declaration] = STATE(1237),
    [sym_method_declaration] = STATE(1237),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1237),
    [aux_sym_protocol_declaration_repeat1] = STATE(5149),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3313),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1235] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_qualified_protocol_interface_declaration] = STATE(5120),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [aux_sym_protocol_declaration_repeat1] = STATE(5120),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3317),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1236] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_qualified_protocol_interface_declaration] = STATE(5166),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [aux_sym_protocol_declaration_repeat1] = STATE(5166),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3319),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1237] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_qualified_protocol_interface_declaration] = STATE(5165),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [aux_sym_protocol_declaration_repeat1] = STATE(5165),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3321),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1238] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_qualified_protocol_interface_declaration] = STATE(5115),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [aux_sym_protocol_declaration_repeat1] = STATE(5115),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3323),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1239] = {
    [sym_preproc_def] = STATE(1238),
    [sym_preproc_call] = STATE(1238),
    [sym_preproc_ifdef] = STATE(1238),
    [sym_function_definition] = STATE(1238),
    [sym_declaration] = STATE(1238),
    [sym_type_definition] = STATE(1238),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1238),
    [sym_preproc_undef] = STATE(1238),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_qualified_protocol_interface_declaration] = STATE(5126),
    [sym_property_declaration] = STATE(1238),
    [sym_method_declaration] = STATE(1238),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1238),
    [aux_sym_protocol_declaration_repeat1] = STATE(5126),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3096),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1240] = {
    [sym_preproc_def] = STATE(1440),
    [sym_preproc_call] = STATE(1440),
    [sym_preproc_ifdef] = STATE(1440),
    [sym_function_definition] = STATE(1440),
    [sym_declaration] = STATE(1440),
    [sym_type_definition] = STATE(1440),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1440),
    [sym_preproc_undef] = STATE(1440),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_parameterized_arguments] = STATE(1334),
    [sym_instance_variables] = STATE(1439),
    [sym_property_declaration] = STATE(1440),
    [sym_method_declaration] = STATE(1440),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1440),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3325),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1241] = {
    [sym_preproc_def] = STATE(1246),
    [sym_preproc_call] = STATE(1246),
    [sym_preproc_ifdef] = STATE(1246),
    [sym_function_definition] = STATE(1246),
    [sym_declaration] = STATE(1246),
    [sym_type_definition] = STATE(1246),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1246),
    [sym_preproc_undef] = STATE(1246),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_qualified_protocol_interface_declaration] = STATE(5132),
    [sym_property_declaration] = STATE(1246),
    [sym_method_declaration] = STATE(1246),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1246),
    [aux_sym_protocol_declaration_repeat1] = STATE(5132),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3327),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1242] = {
    [sym_preproc_def] = STATE(1327),
    [sym_preproc_call] = STATE(1327),
    [sym_preproc_ifdef] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_declaration] = STATE(1327),
    [sym_type_definition] = STATE(1327),
    [sym__declaration_modifiers] = STATE(2899),
    [sym__declaration_specifiers] = STATE(4229),
    [sym_attribute_specifier] = STATE(2899),
    [sym_attribute_declaration] = STATE(2899),
    [sym_ms_declspec_modifier] = STATE(2883),
    [sym_ms_call_modifier] = STATE(2203),
    [sym_storage_class_specifier] = STATE(2899),
    [sym_type_qualifier] = STATE(2899),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3243),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1327),
    [sym_preproc_else_in_interface_declaration] = STATE(6592),
    [sym_preproc_elif_in_interface_declaration] = STATE(6592),
    [sym_preproc_undef] = STATE(1327),
    [sym_availability_attribute_specifier] = STATE(2899),
    [sym_property_declaration] = STATE(1327),
    [sym_method_declaration] = STATE(1327),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_preproc_if_in_interface_declaration_repeat1] = STATE(1327),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3287),
    [aux_sym_preproc_if_token1] = ACTIONS(3289),
    [aux_sym_preproc_if_token2] = ACTIONS(3329),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [aux_sym_preproc_else_token1] = ACTIONS(3293),
    [aux_sym_preproc_elif_token1] = ACTIONS(3295),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3148),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3150),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATproperty] = ACTIONS(3299),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1243] = {
    [sym_preproc_def] = STATE(1229),
    [sym_preproc_call] = STATE(1229),
    [sym_preproc_ifdef] = STATE(1229),
    [sym_function_definition] = STATE(1229),
    [sym_declaration] = STATE(1229),
    [sym_type_definition] = STATE(1229),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1229),
    [sym_preproc_undef] = STATE(1229),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_qualified_protocol_interface_declaration] = STATE(5120),
    [sym_property_declaration] = STATE(1229),
    [sym_method_declaration] = STATE(1229),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1229),
    [aux_sym_protocol_declaration_repeat1] = STATE(5120),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3317),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1244] = {
    [sym_preproc_def] = STATE(1327),
    [sym_preproc_call] = STATE(1327),
    [sym_preproc_ifdef] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_declaration] = STATE(1327),
    [sym_type_definition] = STATE(1327),
    [sym__declaration_modifiers] = STATE(2899),
    [sym__declaration_specifiers] = STATE(4229),
    [sym_attribute_specifier] = STATE(2899),
    [sym_attribute_declaration] = STATE(2899),
    [sym_ms_declspec_modifier] = STATE(2883),
    [sym_ms_call_modifier] = STATE(2203),
    [sym_storage_class_specifier] = STATE(2899),
    [sym_type_qualifier] = STATE(2899),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3243),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1327),
    [sym_preproc_else_in_interface_declaration] = STATE(6519),
    [sym_preproc_elif_in_interface_declaration] = STATE(6519),
    [sym_preproc_undef] = STATE(1327),
    [sym_availability_attribute_specifier] = STATE(2899),
    [sym_property_declaration] = STATE(1327),
    [sym_method_declaration] = STATE(1327),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_preproc_if_in_interface_declaration_repeat1] = STATE(1327),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3287),
    [aux_sym_preproc_if_token1] = ACTIONS(3289),
    [aux_sym_preproc_if_token2] = ACTIONS(3331),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [aux_sym_preproc_else_token1] = ACTIONS(3293),
    [aux_sym_preproc_elif_token1] = ACTIONS(3295),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3148),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3150),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATproperty] = ACTIONS(3299),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1245] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_qualified_protocol_interface_declaration] = STATE(5123),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [aux_sym_protocol_declaration_repeat1] = STATE(5123),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3088),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1246] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_qualified_protocol_interface_declaration] = STATE(5170),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [aux_sym_protocol_declaration_repeat1] = STATE(5170),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3333),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1247] = {
    [sym_preproc_def] = STATE(1405),
    [sym_preproc_call] = STATE(1405),
    [sym_preproc_ifdef] = STATE(1405),
    [sym_function_definition] = STATE(1405),
    [sym_declaration] = STATE(1405),
    [sym_type_definition] = STATE(1405),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1405),
    [sym_preproc_undef] = STATE(1405),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_parameterized_arguments] = STATE(1326),
    [sym_instance_variables] = STATE(1404),
    [sym_property_declaration] = STATE(1405),
    [sym_method_declaration] = STATE(1405),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1405),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3335),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1248] = {
    [sym_preproc_def] = STATE(1384),
    [sym_preproc_call] = STATE(1384),
    [sym_preproc_ifdef] = STATE(1384),
    [sym_function_definition] = STATE(1384),
    [sym_declaration] = STATE(1384),
    [sym_type_definition] = STATE(1384),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1384),
    [sym_preproc_undef] = STATE(1384),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_parameterized_arguments] = STATE(1343),
    [sym_instance_variables] = STATE(1383),
    [sym_property_declaration] = STATE(1384),
    [sym_method_declaration] = STATE(1384),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1384),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3337),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1249] = {
    [sym_preproc_def] = STATE(1225),
    [sym_preproc_call] = STATE(1225),
    [sym_preproc_ifdef] = STATE(1225),
    [sym_function_definition] = STATE(1225),
    [sym_declaration] = STATE(1225),
    [sym_type_definition] = STATE(1225),
    [sym__declaration_modifiers] = STATE(2899),
    [sym__declaration_specifiers] = STATE(4229),
    [sym_attribute_specifier] = STATE(2899),
    [sym_attribute_declaration] = STATE(2899),
    [sym_ms_declspec_modifier] = STATE(2883),
    [sym_ms_call_modifier] = STATE(2203),
    [sym_storage_class_specifier] = STATE(2899),
    [sym_type_qualifier] = STATE(2899),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3243),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1225),
    [sym_preproc_else_in_interface_declaration] = STATE(6420),
    [sym_preproc_elif_in_interface_declaration] = STATE(6420),
    [sym_preproc_undef] = STATE(1225),
    [sym_availability_attribute_specifier] = STATE(2899),
    [sym_property_declaration] = STATE(1225),
    [sym_method_declaration] = STATE(1225),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_preproc_if_in_interface_declaration_repeat1] = STATE(1225),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3287),
    [aux_sym_preproc_if_token1] = ACTIONS(3289),
    [aux_sym_preproc_if_token2] = ACTIONS(3339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [aux_sym_preproc_else_token1] = ACTIONS(3293),
    [aux_sym_preproc_elif_token1] = ACTIONS(3295),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3148),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3150),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATproperty] = ACTIONS(3299),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1250] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_qualified_protocol_interface_declaration] = STATE(5132),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [aux_sym_protocol_declaration_repeat1] = STATE(5132),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3327),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1251] = {
    [sym_preproc_def] = STATE(1362),
    [sym_preproc_call] = STATE(1362),
    [sym_preproc_ifdef] = STATE(1362),
    [sym_function_definition] = STATE(1362),
    [sym_declaration] = STATE(1362),
    [sym_type_definition] = STATE(1362),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1362),
    [sym_preproc_undef] = STATE(1362),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_parameterized_arguments] = STATE(1328),
    [sym_instance_variables] = STATE(1361),
    [sym_property_declaration] = STATE(1362),
    [sym_method_declaration] = STATE(1362),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1362),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3341),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1252] = {
    [sym_preproc_def] = STATE(1232),
    [sym_preproc_call] = STATE(1232),
    [sym_preproc_ifdef] = STATE(1232),
    [sym_function_definition] = STATE(1232),
    [sym_declaration] = STATE(1232),
    [sym_type_definition] = STATE(1232),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1232),
    [sym_preproc_undef] = STATE(1232),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_qualified_protocol_interface_declaration] = STATE(5143),
    [sym_property_declaration] = STATE(1232),
    [sym_method_declaration] = STATE(1232),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1232),
    [aux_sym_protocol_declaration_repeat1] = STATE(5143),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3068),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1253] = {
    [sym_preproc_def] = STATE(1377),
    [sym_preproc_call] = STATE(1377),
    [sym_preproc_ifdef] = STATE(1377),
    [sym_function_definition] = STATE(1377),
    [sym_declaration] = STATE(1377),
    [sym_type_definition] = STATE(1377),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1377),
    [sym_preproc_undef] = STATE(1377),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_parameterized_arguments] = STATE(1330),
    [sym_instance_variables] = STATE(1376),
    [sym_property_declaration] = STATE(1377),
    [sym_method_declaration] = STATE(1377),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1377),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3343),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1254] = {
    [sym_preproc_def] = STATE(1244),
    [sym_preproc_call] = STATE(1244),
    [sym_preproc_ifdef] = STATE(1244),
    [sym_function_definition] = STATE(1244),
    [sym_declaration] = STATE(1244),
    [sym_type_definition] = STATE(1244),
    [sym__declaration_modifiers] = STATE(2899),
    [sym__declaration_specifiers] = STATE(4229),
    [sym_attribute_specifier] = STATE(2899),
    [sym_attribute_declaration] = STATE(2899),
    [sym_ms_declspec_modifier] = STATE(2883),
    [sym_ms_call_modifier] = STATE(2203),
    [sym_storage_class_specifier] = STATE(2899),
    [sym_type_qualifier] = STATE(2899),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3243),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1244),
    [sym_preproc_else_in_interface_declaration] = STATE(6363),
    [sym_preproc_elif_in_interface_declaration] = STATE(6363),
    [sym_preproc_undef] = STATE(1244),
    [sym_availability_attribute_specifier] = STATE(2899),
    [sym_property_declaration] = STATE(1244),
    [sym_method_declaration] = STATE(1244),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_preproc_if_in_interface_declaration_repeat1] = STATE(1244),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3287),
    [aux_sym_preproc_if_token1] = ACTIONS(3289),
    [aux_sym_preproc_if_token2] = ACTIONS(3345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [aux_sym_preproc_else_token1] = ACTIONS(3293),
    [aux_sym_preproc_elif_token1] = ACTIONS(3295),
    [sym_preproc_directive] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3297),
    [anon_sym_PLUS] = ACTIONS(3297),
    [anon_sym___extension__] = ACTIONS(3146),
    [anon_sym_typedef] = ACTIONS(3148),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3150),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATproperty] = ACTIONS(3299),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1255] = {
    [sym_preproc_def] = STATE(1226),
    [sym_preproc_call] = STATE(1226),
    [sym_preproc_ifdef] = STATE(1226),
    [sym_function_definition] = STATE(1226),
    [sym_declaration] = STATE(1226),
    [sym_type_definition] = STATE(1226),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1226),
    [sym_preproc_undef] = STATE(1226),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_qualified_protocol_interface_declaration] = STATE(5150),
    [sym_property_declaration] = STATE(1226),
    [sym_method_declaration] = STATE(1226),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1226),
    [aux_sym_protocol_declaration_repeat1] = STATE(5150),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3114),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1256] = {
    [sym_preproc_def] = STATE(1235),
    [sym_preproc_call] = STATE(1235),
    [sym_preproc_ifdef] = STATE(1235),
    [sym_function_definition] = STATE(1235),
    [sym_declaration] = STATE(1235),
    [sym_type_definition] = STATE(1235),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1235),
    [sym_preproc_undef] = STATE(1235),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_qualified_protocol_interface_declaration] = STATE(5110),
    [sym_property_declaration] = STATE(1235),
    [sym_method_declaration] = STATE(1235),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1235),
    [aux_sym_protocol_declaration_repeat1] = STATE(5110),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3080),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1257] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_qualified_protocol_interface_declaration] = STATE(5110),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [aux_sym_protocol_declaration_repeat1] = STATE(5110),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3080),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1258] = {
    [sym_preproc_def] = STATE(1407),
    [sym_preproc_call] = STATE(1407),
    [sym_preproc_ifdef] = STATE(1407),
    [sym_function_definition] = STATE(1407),
    [sym_declaration] = STATE(1407),
    [sym_type_definition] = STATE(1407),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1407),
    [sym_preproc_undef] = STATE(1407),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_parameterized_arguments] = STATE(1331),
    [sym_instance_variables] = STATE(1406),
    [sym_property_declaration] = STATE(1407),
    [sym_method_declaration] = STATE(1407),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1407),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3347),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1259] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_qualified_protocol_interface_declaration] = STATE(5150),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [aux_sym_protocol_declaration_repeat1] = STATE(5150),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3114),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1260] = {
    [sym_preproc_def] = STATE(1236),
    [sym_preproc_call] = STATE(1236),
    [sym_preproc_ifdef] = STATE(1236),
    [sym_function_definition] = STATE(1236),
    [sym_declaration] = STATE(1236),
    [sym_type_definition] = STATE(1236),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1236),
    [sym_preproc_undef] = STATE(1236),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_qualified_protocol_interface_declaration] = STATE(5115),
    [sym_property_declaration] = STATE(1236),
    [sym_method_declaration] = STATE(1236),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1236),
    [aux_sym_protocol_declaration_repeat1] = STATE(5115),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3323),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1261] = {
    [sym_preproc_def] = STATE(1360),
    [sym_preproc_call] = STATE(1360),
    [sym_preproc_ifdef] = STATE(1360),
    [sym_function_definition] = STATE(1360),
    [sym_declaration] = STATE(1360),
    [sym_type_definition] = STATE(1360),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1360),
    [sym_preproc_undef] = STATE(1360),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_parameterized_arguments] = STATE(1339),
    [sym_instance_variables] = STATE(1359),
    [sym_property_declaration] = STATE(1360),
    [sym_method_declaration] = STATE(1360),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1360),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3349),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1262] = {
    [sym_preproc_def] = STATE(1425),
    [sym_preproc_call] = STATE(1425),
    [sym_preproc_ifdef] = STATE(1425),
    [sym_function_definition] = STATE(1425),
    [sym_declaration] = STATE(1425),
    [sym_type_definition] = STATE(1425),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1425),
    [sym_preproc_undef] = STATE(1425),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_parameterized_arguments] = STATE(1336),
    [sym_instance_variables] = STATE(1424),
    [sym_property_declaration] = STATE(1425),
    [sym_method_declaration] = STATE(1425),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1425),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3351),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1263] = {
    [sym_preproc_def] = STATE(1423),
    [sym_preproc_call] = STATE(1423),
    [sym_preproc_ifdef] = STATE(1423),
    [sym_function_definition] = STATE(1423),
    [sym_declaration] = STATE(1423),
    [sym_type_definition] = STATE(1423),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1423),
    [sym_preproc_undef] = STATE(1423),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_parameterized_arguments] = STATE(1329),
    [sym_instance_variables] = STATE(1422),
    [sym_property_declaration] = STATE(1423),
    [sym_method_declaration] = STATE(1423),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1423),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3353),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1264] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_qualified_protocol_interface_declaration] = STATE(5143),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [aux_sym_protocol_declaration_repeat1] = STATE(5143),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3068),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1265] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_qualified_protocol_interface_declaration] = STATE(5126),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [aux_sym_protocol_declaration_repeat1] = STATE(5126),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3096),
    [anon_sym_AToptional] = ACTIONS(3070),
    [anon_sym_ATrequired] = ACTIONS(3070),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1266] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3355),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1267] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3357),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1268] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3359),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1269] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3361),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1270] = {
    [sym_preproc_def] = STATE(2405),
    [sym_preproc_function_def] = STATE(2405),
    [sym_preproc_call] = STATE(2405),
    [sym_preproc_ifdef] = STATE(2405),
    [sym_function_definition] = STATE(2405),
    [sym_declaration] = STATE(2405),
    [sym_type_definition] = STATE(2405),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4240),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2884),
    [sym_ms_call_modifier] = STATE(2206),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3245),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2079),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2405),
    [sym_preproc_undef] = STATE(2405),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1298),
    [sym_property_implementation] = STATE(2405),
    [sym_method_definition] = STATE(2405),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_preproc_if_in_implementation_definition_repeat1] = STATE(1298),
    [sym_identifier] = ACTIONS(3363),
    [aux_sym_preproc_def_token1] = ACTIONS(3365),
    [aux_sym_preproc_if_token1] = ACTIONS(3367),
    [aux_sym_preproc_if_token2] = ACTIONS(3369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3371),
    [sym_preproc_directive] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3375),
    [anon_sym_PLUS] = ACTIONS(3375),
    [anon_sym___extension__] = ACTIONS(3377),
    [anon_sym_typedef] = ACTIONS(3379),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3381),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATsynthesize] = ACTIONS(3383),
    [anon_sym_ATdynamic] = ACTIONS(3385),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1271] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1292),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1292),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3387),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1272] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1266),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1266),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3389),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1273] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3391),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1274] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3393),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1275] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3395),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1276] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3397),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1277] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1284),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1284),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3399),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1278] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3401),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1279] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3403),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1280] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3405),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1281] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1288),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1288),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3120),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1282] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3407),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1283] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3409),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1284] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3411),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1285] = {
    [sym_preproc_def] = STATE(2405),
    [sym_preproc_function_def] = STATE(2405),
    [sym_preproc_call] = STATE(2405),
    [sym_preproc_ifdef] = STATE(2405),
    [sym_function_definition] = STATE(2405),
    [sym_declaration] = STATE(2405),
    [sym_type_definition] = STATE(2405),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4240),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2884),
    [sym_ms_call_modifier] = STATE(2206),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3245),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2079),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2405),
    [sym_preproc_undef] = STATE(2405),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1285),
    [sym_property_implementation] = STATE(2405),
    [sym_method_definition] = STATE(2405),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_preproc_if_in_implementation_definition_repeat1] = STATE(1285),
    [sym_identifier] = ACTIONS(3413),
    [aux_sym_preproc_def_token1] = ACTIONS(3416),
    [aux_sym_preproc_if_token1] = ACTIONS(3419),
    [aux_sym_preproc_if_token2] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3422),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3422),
    [sym_preproc_directive] = ACTIONS(3425),
    [anon_sym_DASH] = ACTIONS(3428),
    [anon_sym_PLUS] = ACTIONS(3428),
    [anon_sym___extension__] = ACTIONS(3431),
    [anon_sym_typedef] = ACTIONS(3434),
    [anon_sym_extern] = ACTIONS(3222),
    [anon_sym___attribute__] = ACTIONS(3225),
    [anon_sym___attribute] = ACTIONS(3225),
    [anon_sym_noreturn] = ACTIONS(3228),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym___declspec] = ACTIONS(3234),
    [anon_sym___cdecl] = ACTIONS(3237),
    [anon_sym___clrcall] = ACTIONS(3237),
    [anon_sym___stdcall] = ACTIONS(3237),
    [anon_sym___fastcall] = ACTIONS(3237),
    [anon_sym___thiscall] = ACTIONS(3237),
    [anon_sym___vectorcall] = ACTIONS(3237),
    [anon_sym_signed] = ACTIONS(3240),
    [anon_sym_unsigned] = ACTIONS(3240),
    [anon_sym_long] = ACTIONS(3240),
    [anon_sym_short] = ACTIONS(3240),
    [anon_sym_static] = ACTIONS(3222),
    [anon_sym_auto] = ACTIONS(3222),
    [anon_sym_register] = ACTIONS(3222),
    [anon_sym_inline] = ACTIONS(3222),
    [anon_sym___inline] = ACTIONS(3222),
    [anon_sym___inline__] = ACTIONS(3222),
    [anon_sym___forceinline] = ACTIONS(3222),
    [anon_sym_thread_local] = ACTIONS(3222),
    [anon_sym___thread] = ACTIONS(3222),
    [anon_sym_CG_EXTERN] = ACTIONS(3222),
    [anon_sym_CG_INLINE] = ACTIONS(3222),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(3222),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(3222),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(3222),
    [anon_sym_IBOutlet] = ACTIONS(3222),
    [anon_sym_IBInspectable] = ACTIONS(3222),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(3222),
    [anon_sym_NS_INLINE] = ACTIONS(3222),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(3222),
    [anon_sym_OBJC_EXPORT] = ACTIONS(3222),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(3222),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3228),
    [anon_sym_constexpr] = ACTIONS(3228),
    [anon_sym_volatile] = ACTIONS(3228),
    [anon_sym_restrict] = ACTIONS(3228),
    [anon_sym___restrict__] = ACTIONS(3228),
    [anon_sym__Atomic] = ACTIONS(3228),
    [anon_sym__Noreturn] = ACTIONS(3228),
    [anon_sym__Nonnull] = ACTIONS(3228),
    [anon_sym_nullable] = ACTIONS(3228),
    [anon_sym__Complex] = ACTIONS(3228),
    [anon_sym__Nullable] = ACTIONS(3228),
    [anon_sym__Nullable_result] = ACTIONS(3228),
    [anon_sym__Null_unspecified] = ACTIONS(3228),
    [anon_sym___autoreleasing] = ACTIONS(3228),
    [anon_sym___block] = ACTIONS(3228),
    [anon_sym___bridge] = ACTIONS(3228),
    [anon_sym___bridge_retained] = ACTIONS(3228),
    [anon_sym___bridge_transfer] = ACTIONS(3228),
    [anon_sym___complex] = ACTIONS(3228),
    [anon_sym___const] = ACTIONS(3228),
    [anon_sym___imag] = ACTIONS(3228),
    [anon_sym___kindof] = ACTIONS(3228),
    [anon_sym___nonnull] = ACTIONS(3228),
    [anon_sym___nullable] = ACTIONS(3228),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(3228),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(3228),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(3228),
    [anon_sym___real] = ACTIONS(3228),
    [anon_sym___strong] = ACTIONS(3228),
    [anon_sym___unsafe_unretained] = ACTIONS(3228),
    [anon_sym___unused] = ACTIONS(3228),
    [anon_sym___weak] = ACTIONS(3228),
    [anon_sym_alignas] = ACTIONS(3243),
    [anon_sym__Alignas] = ACTIONS(3243),
    [sym_primitive_type] = ACTIONS(3246),
    [anon_sym_enum] = ACTIONS(3249),
    [anon_sym_struct] = ACTIONS(3252),
    [anon_sym_union] = ACTIONS(3255),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(3258),
    [anon_sym___typeof] = ACTIONS(3258),
    [anon_sym_typeof] = ACTIONS(3258),
    [aux_sym_preproc_undef_token1] = ACTIONS(3437),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(3264),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(3264),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(3264),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(3264),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(3264),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(3264),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(3264),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(3264),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(3264),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(3267),
    [anon_sym_NS_AVAILABLE] = ACTIONS(3267),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(3267),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(3267),
    [anon_sym_API_AVAILABLE] = ACTIONS(3267),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(3267),
    [anon_sym_API_DEPRECATED] = ACTIONS(3267),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(3267),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(3267),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(3267),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(3267),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(3267),
    [anon_sym___deprecated_msg] = ACTIONS(3267),
    [anon_sym___deprecated_enum_msg] = ACTIONS(3267),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(3267),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(3267),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(3267),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(3267),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(3267),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(3267),
    [anon_sym_ATsynthesize] = ACTIONS(3440),
    [anon_sym_ATdynamic] = ACTIONS(3443),
    [anon_sym_BOOL] = ACTIONS(3276),
    [anon_sym_IMP] = ACTIONS(3276),
    [anon_sym_SEL] = ACTIONS(3276),
    [anon_sym_Class] = ACTIONS(3276),
    [anon_sym_id] = ACTIONS(3276),
  },
  [1286] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1302),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1302),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3446),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1287] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3446),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1288] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3448),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1289] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1306),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1306),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3450),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1290] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3452),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1291] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1316),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1316),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3124),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1292] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3454),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1293] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3124),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1294] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3456),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1295] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1305),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1305),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3458),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1296] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3460),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1297] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3462),
    [aux_sym_preproc_def_token1] = ACTIONS(3465),
    [aux_sym_preproc_if_token1] = ACTIONS(3468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3471),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3471),
    [sym_preproc_directive] = ACTIONS(3474),
    [anon_sym_DASH] = ACTIONS(3477),
    [anon_sym_PLUS] = ACTIONS(3477),
    [anon_sym___extension__] = ACTIONS(3480),
    [anon_sym_typedef] = ACTIONS(3483),
    [anon_sym_extern] = ACTIONS(3486),
    [anon_sym___attribute__] = ACTIONS(3489),
    [anon_sym___attribute] = ACTIONS(3489),
    [anon_sym_noreturn] = ACTIONS(3492),
    [anon_sym_LBRACK] = ACTIONS(3495),
    [anon_sym___declspec] = ACTIONS(3498),
    [anon_sym___cdecl] = ACTIONS(3501),
    [anon_sym___clrcall] = ACTIONS(3501),
    [anon_sym___stdcall] = ACTIONS(3501),
    [anon_sym___fastcall] = ACTIONS(3501),
    [anon_sym___thiscall] = ACTIONS(3501),
    [anon_sym___vectorcall] = ACTIONS(3501),
    [anon_sym_signed] = ACTIONS(3504),
    [anon_sym_unsigned] = ACTIONS(3504),
    [anon_sym_long] = ACTIONS(3504),
    [anon_sym_short] = ACTIONS(3504),
    [anon_sym_static] = ACTIONS(3486),
    [anon_sym_auto] = ACTIONS(3486),
    [anon_sym_register] = ACTIONS(3486),
    [anon_sym_inline] = ACTIONS(3486),
    [anon_sym___inline] = ACTIONS(3486),
    [anon_sym___inline__] = ACTIONS(3486),
    [anon_sym___forceinline] = ACTIONS(3486),
    [anon_sym_thread_local] = ACTIONS(3486),
    [anon_sym___thread] = ACTIONS(3486),
    [anon_sym_CG_EXTERN] = ACTIONS(3486),
    [anon_sym_CG_INLINE] = ACTIONS(3486),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(3486),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(3486),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(3486),
    [anon_sym_IBOutlet] = ACTIONS(3486),
    [anon_sym_IBInspectable] = ACTIONS(3486),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(3486),
    [anon_sym_NS_INLINE] = ACTIONS(3486),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(3486),
    [anon_sym_OBJC_EXPORT] = ACTIONS(3486),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(3486),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(3486),
    [anon_sym_const] = ACTIONS(3492),
    [anon_sym_constexpr] = ACTIONS(3492),
    [anon_sym_volatile] = ACTIONS(3492),
    [anon_sym_restrict] = ACTIONS(3492),
    [anon_sym___restrict__] = ACTIONS(3492),
    [anon_sym__Atomic] = ACTIONS(3492),
    [anon_sym__Noreturn] = ACTIONS(3492),
    [anon_sym__Nonnull] = ACTIONS(3492),
    [anon_sym_nullable] = ACTIONS(3492),
    [anon_sym__Complex] = ACTIONS(3492),
    [anon_sym__Nullable] = ACTIONS(3492),
    [anon_sym__Nullable_result] = ACTIONS(3492),
    [anon_sym__Null_unspecified] = ACTIONS(3492),
    [anon_sym___autoreleasing] = ACTIONS(3492),
    [anon_sym___block] = ACTIONS(3492),
    [anon_sym___bridge] = ACTIONS(3492),
    [anon_sym___bridge_retained] = ACTIONS(3492),
    [anon_sym___bridge_transfer] = ACTIONS(3492),
    [anon_sym___complex] = ACTIONS(3492),
    [anon_sym___const] = ACTIONS(3492),
    [anon_sym___imag] = ACTIONS(3492),
    [anon_sym___kindof] = ACTIONS(3492),
    [anon_sym___nonnull] = ACTIONS(3492),
    [anon_sym___nullable] = ACTIONS(3492),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(3492),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(3492),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(3492),
    [anon_sym___real] = ACTIONS(3492),
    [anon_sym___strong] = ACTIONS(3492),
    [anon_sym___unsafe_unretained] = ACTIONS(3492),
    [anon_sym___unused] = ACTIONS(3492),
    [anon_sym___weak] = ACTIONS(3492),
    [anon_sym_alignas] = ACTIONS(3507),
    [anon_sym__Alignas] = ACTIONS(3507),
    [sym_primitive_type] = ACTIONS(3510),
    [anon_sym_enum] = ACTIONS(3513),
    [anon_sym_struct] = ACTIONS(3516),
    [anon_sym_union] = ACTIONS(3519),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(3522),
    [anon_sym___typeof] = ACTIONS(3522),
    [anon_sym_typeof] = ACTIONS(3522),
    [aux_sym_preproc_undef_token1] = ACTIONS(3525),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(3528),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(3528),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(3528),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(3528),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(3528),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(3528),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(3528),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(3528),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(3528),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(3531),
    [anon_sym_NS_AVAILABLE] = ACTIONS(3531),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(3531),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(3531),
    [anon_sym_API_AVAILABLE] = ACTIONS(3531),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(3531),
    [anon_sym_API_DEPRECATED] = ACTIONS(3531),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(3531),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(3531),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(3531),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(3531),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(3531),
    [anon_sym___deprecated_msg] = ACTIONS(3531),
    [anon_sym___deprecated_enum_msg] = ACTIONS(3531),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(3531),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(3531),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(3531),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(3531),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(3531),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(3531),
    [anon_sym_ATend] = ACTIONS(3534),
    [anon_sym_ATsynthesize] = ACTIONS(3536),
    [anon_sym_ATdynamic] = ACTIONS(3539),
    [anon_sym_BOOL] = ACTIONS(3542),
    [anon_sym_IMP] = ACTIONS(3542),
    [anon_sym_SEL] = ACTIONS(3542),
    [anon_sym_Class] = ACTIONS(3542),
    [anon_sym_id] = ACTIONS(3542),
  },
  [1298] = {
    [sym_preproc_def] = STATE(2405),
    [sym_preproc_function_def] = STATE(2405),
    [sym_preproc_call] = STATE(2405),
    [sym_preproc_ifdef] = STATE(2405),
    [sym_function_definition] = STATE(2405),
    [sym_declaration] = STATE(2405),
    [sym_type_definition] = STATE(2405),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4240),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2884),
    [sym_ms_call_modifier] = STATE(2206),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3245),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2079),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2405),
    [sym_preproc_undef] = STATE(2405),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1285),
    [sym_property_implementation] = STATE(2405),
    [sym_method_definition] = STATE(2405),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_preproc_if_in_implementation_definition_repeat1] = STATE(1285),
    [sym_identifier] = ACTIONS(3363),
    [aux_sym_preproc_def_token1] = ACTIONS(3365),
    [aux_sym_preproc_if_token1] = ACTIONS(3367),
    [aux_sym_preproc_if_token2] = ACTIONS(3545),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3371),
    [sym_preproc_directive] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3375),
    [anon_sym_PLUS] = ACTIONS(3375),
    [anon_sym___extension__] = ACTIONS(3377),
    [anon_sym_typedef] = ACTIONS(3379),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3381),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATsynthesize] = ACTIONS(3383),
    [anon_sym_ATdynamic] = ACTIONS(3385),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1299] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1308),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1308),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3547),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1300] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3120),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1301] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3549),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1302] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3551),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1303] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1312),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1312),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3118),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1304] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3118),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1305] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3553),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1306] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3555),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1307] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1274),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1274),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3557),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1308] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3559),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1309] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3561),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1310] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1287),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1287),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3122),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1311] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1278),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3563),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1312] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3563),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1313] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1280),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1280),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3565),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1314] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3567),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1315] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1275),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1275),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3569),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1316] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3569),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1317] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1276),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1276),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3571),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1318] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1283),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1283),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3361),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1319] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3573),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1320] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3122),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1321] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1268),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1268),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3448),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1322] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1269),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1269),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3126),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1323] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1297),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1297),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3126),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1324] = {
    [sym_preproc_def] = STATE(2379),
    [sym_preproc_function_def] = STATE(2379),
    [sym_preproc_call] = STATE(2379),
    [sym_preproc_ifdef] = STATE(2379),
    [sym_function_definition] = STATE(2379),
    [sym_declaration] = STATE(2379),
    [sym_type_definition] = STATE(2379),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3236),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2074),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_implementation_definition] = STATE(2379),
    [sym_preproc_undef] = STATE(2379),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_implementation_definition] = STATE(1294),
    [sym_property_implementation] = STATE(2379),
    [sym_method_definition] = STATE(2379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_implementation_repeat1] = STATE(1294),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(3006),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3575),
    [anon_sym_ATsynthesize] = ACTIONS(3034),
    [anon_sym_ATdynamic] = ACTIONS(3036),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1325] = {
    [sym_preproc_def] = STATE(1409),
    [sym_preproc_call] = STATE(1409),
    [sym_preproc_ifdef] = STATE(1409),
    [sym_function_definition] = STATE(1409),
    [sym_declaration] = STATE(1409),
    [sym_type_definition] = STATE(1409),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1409),
    [sym_preproc_undef] = STATE(1409),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_instance_variables] = STATE(1408),
    [sym_property_declaration] = STATE(1409),
    [sym_method_declaration] = STATE(1409),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1409),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3577),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1326] = {
    [sym_preproc_def] = STATE(1411),
    [sym_preproc_call] = STATE(1411),
    [sym_preproc_ifdef] = STATE(1411),
    [sym_function_definition] = STATE(1411),
    [sym_declaration] = STATE(1411),
    [sym_type_definition] = STATE(1411),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1411),
    [sym_preproc_undef] = STATE(1411),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_instance_variables] = STATE(1410),
    [sym_property_declaration] = STATE(1411),
    [sym_method_declaration] = STATE(1411),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1411),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3579),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1327] = {
    [sym_preproc_def] = STATE(1327),
    [sym_preproc_call] = STATE(1327),
    [sym_preproc_ifdef] = STATE(1327),
    [sym_function_definition] = STATE(1327),
    [sym_declaration] = STATE(1327),
    [sym_type_definition] = STATE(1327),
    [sym__declaration_modifiers] = STATE(2899),
    [sym__declaration_specifiers] = STATE(4229),
    [sym_attribute_specifier] = STATE(2899),
    [sym_attribute_declaration] = STATE(2899),
    [sym_ms_declspec_modifier] = STATE(2883),
    [sym_ms_call_modifier] = STATE(2203),
    [sym_storage_class_specifier] = STATE(2899),
    [sym_type_qualifier] = STATE(2899),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3243),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1327),
    [sym_preproc_undef] = STATE(1327),
    [sym_availability_attribute_specifier] = STATE(2899),
    [sym_property_declaration] = STATE(1327),
    [sym_method_declaration] = STATE(1327),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_preproc_if_in_interface_declaration_repeat1] = STATE(1327),
    [sym_identifier] = ACTIONS(3581),
    [aux_sym_preproc_def_token1] = ACTIONS(3584),
    [aux_sym_preproc_if_token1] = ACTIONS(3587),
    [aux_sym_preproc_if_token2] = ACTIONS(3590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3592),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3592),
    [aux_sym_preproc_else_token1] = ACTIONS(3590),
    [aux_sym_preproc_elif_token1] = ACTIONS(3590),
    [sym_preproc_directive] = ACTIONS(3595),
    [anon_sym_DASH] = ACTIONS(3598),
    [anon_sym_PLUS] = ACTIONS(3598),
    [anon_sym___extension__] = ACTIONS(3601),
    [anon_sym_typedef] = ACTIONS(3604),
    [anon_sym_extern] = ACTIONS(3607),
    [anon_sym___attribute__] = ACTIONS(3610),
    [anon_sym___attribute] = ACTIONS(3610),
    [anon_sym_noreturn] = ACTIONS(3613),
    [anon_sym_LBRACK] = ACTIONS(3616),
    [anon_sym___declspec] = ACTIONS(3619),
    [anon_sym___cdecl] = ACTIONS(3622),
    [anon_sym___clrcall] = ACTIONS(3622),
    [anon_sym___stdcall] = ACTIONS(3622),
    [anon_sym___fastcall] = ACTIONS(3622),
    [anon_sym___thiscall] = ACTIONS(3622),
    [anon_sym___vectorcall] = ACTIONS(3622),
    [anon_sym_signed] = ACTIONS(3625),
    [anon_sym_unsigned] = ACTIONS(3625),
    [anon_sym_long] = ACTIONS(3625),
    [anon_sym_short] = ACTIONS(3625),
    [anon_sym_static] = ACTIONS(3607),
    [anon_sym_auto] = ACTIONS(3607),
    [anon_sym_register] = ACTIONS(3607),
    [anon_sym_inline] = ACTIONS(3607),
    [anon_sym___inline] = ACTIONS(3607),
    [anon_sym___inline__] = ACTIONS(3607),
    [anon_sym___forceinline] = ACTIONS(3607),
    [anon_sym_thread_local] = ACTIONS(3607),
    [anon_sym___thread] = ACTIONS(3607),
    [anon_sym_CG_EXTERN] = ACTIONS(3607),
    [anon_sym_CG_INLINE] = ACTIONS(3607),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(3607),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(3607),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(3607),
    [anon_sym_IBOutlet] = ACTIONS(3607),
    [anon_sym_IBInspectable] = ACTIONS(3607),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(3607),
    [anon_sym_NS_INLINE] = ACTIONS(3607),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(3607),
    [anon_sym_OBJC_EXPORT] = ACTIONS(3607),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(3607),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(3607),
    [anon_sym_const] = ACTIONS(3613),
    [anon_sym_constexpr] = ACTIONS(3613),
    [anon_sym_volatile] = ACTIONS(3613),
    [anon_sym_restrict] = ACTIONS(3613),
    [anon_sym___restrict__] = ACTIONS(3613),
    [anon_sym__Atomic] = ACTIONS(3613),
    [anon_sym__Noreturn] = ACTIONS(3613),
    [anon_sym__Nonnull] = ACTIONS(3613),
    [anon_sym_nullable] = ACTIONS(3613),
    [anon_sym__Complex] = ACTIONS(3613),
    [anon_sym__Nullable] = ACTIONS(3613),
    [anon_sym__Nullable_result] = ACTIONS(3613),
    [anon_sym__Null_unspecified] = ACTIONS(3613),
    [anon_sym___autoreleasing] = ACTIONS(3613),
    [anon_sym___block] = ACTIONS(3613),
    [anon_sym___bridge] = ACTIONS(3613),
    [anon_sym___bridge_retained] = ACTIONS(3613),
    [anon_sym___bridge_transfer] = ACTIONS(3613),
    [anon_sym___complex] = ACTIONS(3613),
    [anon_sym___const] = ACTIONS(3613),
    [anon_sym___imag] = ACTIONS(3613),
    [anon_sym___kindof] = ACTIONS(3613),
    [anon_sym___nonnull] = ACTIONS(3613),
    [anon_sym___nullable] = ACTIONS(3613),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(3613),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(3613),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(3613),
    [anon_sym___real] = ACTIONS(3613),
    [anon_sym___strong] = ACTIONS(3613),
    [anon_sym___unsafe_unretained] = ACTIONS(3613),
    [anon_sym___unused] = ACTIONS(3613),
    [anon_sym___weak] = ACTIONS(3613),
    [anon_sym_alignas] = ACTIONS(3628),
    [anon_sym__Alignas] = ACTIONS(3628),
    [sym_primitive_type] = ACTIONS(3631),
    [anon_sym_enum] = ACTIONS(3634),
    [anon_sym_struct] = ACTIONS(3637),
    [anon_sym_union] = ACTIONS(3640),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(3643),
    [anon_sym___typeof] = ACTIONS(3643),
    [anon_sym_typeof] = ACTIONS(3643),
    [aux_sym_preproc_undef_token1] = ACTIONS(3646),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(3649),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(3649),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(3649),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(3649),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(3649),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(3649),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(3649),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(3649),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(3649),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(3652),
    [anon_sym_NS_AVAILABLE] = ACTIONS(3652),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(3652),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(3652),
    [anon_sym_API_AVAILABLE] = ACTIONS(3652),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(3652),
    [anon_sym_API_DEPRECATED] = ACTIONS(3652),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(3652),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(3652),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(3652),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(3652),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(3652),
    [anon_sym___deprecated_msg] = ACTIONS(3652),
    [anon_sym___deprecated_enum_msg] = ACTIONS(3652),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(3652),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(3652),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(3652),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(3652),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(3652),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(3652),
    [anon_sym_ATproperty] = ACTIONS(3655),
    [anon_sym_BOOL] = ACTIONS(3658),
    [anon_sym_IMP] = ACTIONS(3658),
    [anon_sym_SEL] = ACTIONS(3658),
    [anon_sym_Class] = ACTIONS(3658),
    [anon_sym_id] = ACTIONS(3658),
  },
  [1328] = {
    [sym_preproc_def] = STATE(1369),
    [sym_preproc_call] = STATE(1369),
    [sym_preproc_ifdef] = STATE(1369),
    [sym_function_definition] = STATE(1369),
    [sym_declaration] = STATE(1369),
    [sym_type_definition] = STATE(1369),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1369),
    [sym_preproc_undef] = STATE(1369),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_instance_variables] = STATE(1368),
    [sym_property_declaration] = STATE(1369),
    [sym_method_declaration] = STATE(1369),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1369),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3661),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1329] = {
    [sym_preproc_def] = STATE(1429),
    [sym_preproc_call] = STATE(1429),
    [sym_preproc_ifdef] = STATE(1429),
    [sym_function_definition] = STATE(1429),
    [sym_declaration] = STATE(1429),
    [sym_type_definition] = STATE(1429),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1429),
    [sym_preproc_undef] = STATE(1429),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_instance_variables] = STATE(1428),
    [sym_property_declaration] = STATE(1429),
    [sym_method_declaration] = STATE(1429),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1429),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3663),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1330] = {
    [sym_preproc_def] = STATE(1347),
    [sym_preproc_call] = STATE(1347),
    [sym_preproc_ifdef] = STATE(1347),
    [sym_function_definition] = STATE(1347),
    [sym_declaration] = STATE(1347),
    [sym_type_definition] = STATE(1347),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1347),
    [sym_preproc_undef] = STATE(1347),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_instance_variables] = STATE(1346),
    [sym_property_declaration] = STATE(1347),
    [sym_method_declaration] = STATE(1347),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1347),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3665),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1331] = {
    [sym_preproc_def] = STATE(1414),
    [sym_preproc_call] = STATE(1414),
    [sym_preproc_ifdef] = STATE(1414),
    [sym_function_definition] = STATE(1414),
    [sym_declaration] = STATE(1414),
    [sym_type_definition] = STATE(1414),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1414),
    [sym_preproc_undef] = STATE(1414),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_instance_variables] = STATE(1413),
    [sym_property_declaration] = STATE(1414),
    [sym_method_declaration] = STATE(1414),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1414),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3667),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1332] = {
    [sym_preproc_def] = STATE(1379),
    [sym_preproc_call] = STATE(1379),
    [sym_preproc_ifdef] = STATE(1379),
    [sym_function_definition] = STATE(1379),
    [sym_declaration] = STATE(1379),
    [sym_type_definition] = STATE(1379),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1379),
    [sym_preproc_undef] = STATE(1379),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_instance_variables] = STATE(1378),
    [sym_property_declaration] = STATE(1379),
    [sym_method_declaration] = STATE(1379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1379),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3669),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1333] = {
    [sym_preproc_def] = STATE(1427),
    [sym_preproc_call] = STATE(1427),
    [sym_preproc_ifdef] = STATE(1427),
    [sym_function_definition] = STATE(1427),
    [sym_declaration] = STATE(1427),
    [sym_type_definition] = STATE(1427),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1427),
    [sym_preproc_undef] = STATE(1427),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_instance_variables] = STATE(1426),
    [sym_property_declaration] = STATE(1427),
    [sym_method_declaration] = STATE(1427),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1427),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3671),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1334] = {
    [sym_preproc_def] = STATE(1385),
    [sym_preproc_call] = STATE(1385),
    [sym_preproc_ifdef] = STATE(1385),
    [sym_function_definition] = STATE(1385),
    [sym_declaration] = STATE(1385),
    [sym_type_definition] = STATE(1385),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1385),
    [sym_preproc_undef] = STATE(1385),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_instance_variables] = STATE(1382),
    [sym_property_declaration] = STATE(1385),
    [sym_method_declaration] = STATE(1385),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1385),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3673),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1335] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3675),
    [aux_sym_preproc_def_token1] = ACTIONS(3678),
    [aux_sym_preproc_if_token1] = ACTIONS(3681),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3684),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3684),
    [sym_preproc_directive] = ACTIONS(3687),
    [anon_sym_DASH] = ACTIONS(3690),
    [anon_sym_PLUS] = ACTIONS(3690),
    [anon_sym___extension__] = ACTIONS(3693),
    [anon_sym_typedef] = ACTIONS(3696),
    [anon_sym_extern] = ACTIONS(3699),
    [anon_sym___attribute__] = ACTIONS(3702),
    [anon_sym___attribute] = ACTIONS(3702),
    [anon_sym_noreturn] = ACTIONS(3705),
    [anon_sym_LBRACK] = ACTIONS(3708),
    [anon_sym___declspec] = ACTIONS(3711),
    [anon_sym___cdecl] = ACTIONS(3714),
    [anon_sym___clrcall] = ACTIONS(3714),
    [anon_sym___stdcall] = ACTIONS(3714),
    [anon_sym___fastcall] = ACTIONS(3714),
    [anon_sym___thiscall] = ACTIONS(3714),
    [anon_sym___vectorcall] = ACTIONS(3714),
    [anon_sym_signed] = ACTIONS(3717),
    [anon_sym_unsigned] = ACTIONS(3717),
    [anon_sym_long] = ACTIONS(3717),
    [anon_sym_short] = ACTIONS(3717),
    [anon_sym_static] = ACTIONS(3699),
    [anon_sym_auto] = ACTIONS(3699),
    [anon_sym_register] = ACTIONS(3699),
    [anon_sym_inline] = ACTIONS(3699),
    [anon_sym___inline] = ACTIONS(3699),
    [anon_sym___inline__] = ACTIONS(3699),
    [anon_sym___forceinline] = ACTIONS(3699),
    [anon_sym_thread_local] = ACTIONS(3699),
    [anon_sym___thread] = ACTIONS(3699),
    [anon_sym_CG_EXTERN] = ACTIONS(3699),
    [anon_sym_CG_INLINE] = ACTIONS(3699),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(3699),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(3699),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(3699),
    [anon_sym_IBOutlet] = ACTIONS(3699),
    [anon_sym_IBInspectable] = ACTIONS(3699),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(3699),
    [anon_sym_NS_INLINE] = ACTIONS(3699),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(3699),
    [anon_sym_OBJC_EXPORT] = ACTIONS(3699),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(3699),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(3699),
    [anon_sym_const] = ACTIONS(3705),
    [anon_sym_constexpr] = ACTIONS(3705),
    [anon_sym_volatile] = ACTIONS(3705),
    [anon_sym_restrict] = ACTIONS(3705),
    [anon_sym___restrict__] = ACTIONS(3705),
    [anon_sym__Atomic] = ACTIONS(3705),
    [anon_sym__Noreturn] = ACTIONS(3705),
    [anon_sym__Nonnull] = ACTIONS(3705),
    [anon_sym_nullable] = ACTIONS(3705),
    [anon_sym__Complex] = ACTIONS(3705),
    [anon_sym__Nullable] = ACTIONS(3705),
    [anon_sym__Nullable_result] = ACTIONS(3705),
    [anon_sym__Null_unspecified] = ACTIONS(3705),
    [anon_sym___autoreleasing] = ACTIONS(3705),
    [anon_sym___block] = ACTIONS(3705),
    [anon_sym___bridge] = ACTIONS(3705),
    [anon_sym___bridge_retained] = ACTIONS(3705),
    [anon_sym___bridge_transfer] = ACTIONS(3705),
    [anon_sym___complex] = ACTIONS(3705),
    [anon_sym___const] = ACTIONS(3705),
    [anon_sym___imag] = ACTIONS(3705),
    [anon_sym___kindof] = ACTIONS(3705),
    [anon_sym___nonnull] = ACTIONS(3705),
    [anon_sym___nullable] = ACTIONS(3705),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(3705),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(3705),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(3705),
    [anon_sym___real] = ACTIONS(3705),
    [anon_sym___strong] = ACTIONS(3705),
    [anon_sym___unsafe_unretained] = ACTIONS(3705),
    [anon_sym___unused] = ACTIONS(3705),
    [anon_sym___weak] = ACTIONS(3705),
    [anon_sym_alignas] = ACTIONS(3720),
    [anon_sym__Alignas] = ACTIONS(3720),
    [sym_primitive_type] = ACTIONS(3723),
    [anon_sym_enum] = ACTIONS(3726),
    [anon_sym_struct] = ACTIONS(3729),
    [anon_sym_union] = ACTIONS(3732),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(3735),
    [anon_sym___typeof] = ACTIONS(3735),
    [anon_sym_typeof] = ACTIONS(3735),
    [aux_sym_preproc_undef_token1] = ACTIONS(3738),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(3741),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(3741),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(3741),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(3741),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(3741),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(3741),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(3741),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(3741),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(3741),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(3744),
    [anon_sym_NS_AVAILABLE] = ACTIONS(3744),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(3744),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(3744),
    [anon_sym_API_AVAILABLE] = ACTIONS(3744),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(3744),
    [anon_sym_API_DEPRECATED] = ACTIONS(3744),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(3744),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(3744),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(3744),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(3744),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(3744),
    [anon_sym___deprecated_msg] = ACTIONS(3744),
    [anon_sym___deprecated_enum_msg] = ACTIONS(3744),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(3744),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(3744),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(3744),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(3744),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(3744),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(3744),
    [anon_sym_ATend] = ACTIONS(3747),
    [anon_sym_AToptional] = ACTIONS(3747),
    [anon_sym_ATrequired] = ACTIONS(3747),
    [anon_sym_ATproperty] = ACTIONS(3749),
    [anon_sym_BOOL] = ACTIONS(3752),
    [anon_sym_IMP] = ACTIONS(3752),
    [anon_sym_SEL] = ACTIONS(3752),
    [anon_sym_Class] = ACTIONS(3752),
    [anon_sym_id] = ACTIONS(3752),
  },
  [1336] = {
    [sym_preproc_def] = STATE(1432),
    [sym_preproc_call] = STATE(1432),
    [sym_preproc_ifdef] = STATE(1432),
    [sym_function_definition] = STATE(1432),
    [sym_declaration] = STATE(1432),
    [sym_type_definition] = STATE(1432),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1432),
    [sym_preproc_undef] = STATE(1432),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_instance_variables] = STATE(1431),
    [sym_property_declaration] = STATE(1432),
    [sym_method_declaration] = STATE(1432),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1432),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3755),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1337] = {
    [sym_preproc_def] = STATE(1395),
    [sym_preproc_call] = STATE(1395),
    [sym_preproc_ifdef] = STATE(1395),
    [sym_function_definition] = STATE(1395),
    [sym_declaration] = STATE(1395),
    [sym_type_definition] = STATE(1395),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1395),
    [sym_preproc_undef] = STATE(1395),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_instance_variables] = STATE(1394),
    [sym_property_declaration] = STATE(1395),
    [sym_method_declaration] = STATE(1395),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1395),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3757),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1338] = {
    [sym_preproc_def] = STATE(1364),
    [sym_preproc_call] = STATE(1364),
    [sym_preproc_ifdef] = STATE(1364),
    [sym_function_definition] = STATE(1364),
    [sym_declaration] = STATE(1364),
    [sym_type_definition] = STATE(1364),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1364),
    [sym_preproc_undef] = STATE(1364),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_instance_variables] = STATE(1363),
    [sym_property_declaration] = STATE(1364),
    [sym_method_declaration] = STATE(1364),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1364),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3759),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1339] = {
    [sym_preproc_def] = STATE(1366),
    [sym_preproc_call] = STATE(1366),
    [sym_preproc_ifdef] = STATE(1366),
    [sym_function_definition] = STATE(1366),
    [sym_declaration] = STATE(1366),
    [sym_type_definition] = STATE(1366),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1366),
    [sym_preproc_undef] = STATE(1366),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_instance_variables] = STATE(1365),
    [sym_property_declaration] = STATE(1366),
    [sym_method_declaration] = STATE(1366),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1366),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3761),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1340] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3763),
    [anon_sym_AToptional] = ACTIONS(3763),
    [anon_sym_ATrequired] = ACTIONS(3763),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1341] = {
    [sym_preproc_def] = STATE(1340),
    [sym_preproc_call] = STATE(1340),
    [sym_preproc_ifdef] = STATE(1340),
    [sym_function_definition] = STATE(1340),
    [sym_declaration] = STATE(1340),
    [sym_type_definition] = STATE(1340),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1340),
    [sym_preproc_undef] = STATE(1340),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1340),
    [sym_method_declaration] = STATE(1340),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1340),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3765),
    [anon_sym_AToptional] = ACTIONS(3765),
    [anon_sym_ATrequired] = ACTIONS(3765),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1342] = {
    [sym_preproc_def] = STATE(1390),
    [sym_preproc_call] = STATE(1390),
    [sym_preproc_ifdef] = STATE(1390),
    [sym_function_definition] = STATE(1390),
    [sym_declaration] = STATE(1390),
    [sym_type_definition] = STATE(1390),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1390),
    [sym_preproc_undef] = STATE(1390),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_instance_variables] = STATE(1389),
    [sym_property_declaration] = STATE(1390),
    [sym_method_declaration] = STATE(1390),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1390),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3767),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1343] = {
    [sym_preproc_def] = STATE(1392),
    [sym_preproc_call] = STATE(1392),
    [sym_preproc_ifdef] = STATE(1392),
    [sym_function_definition] = STATE(1392),
    [sym_declaration] = STATE(1392),
    [sym_type_definition] = STATE(1392),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1392),
    [sym_preproc_undef] = STATE(1392),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_instance_variables] = STATE(1391),
    [sym_property_declaration] = STATE(1392),
    [sym_method_declaration] = STATE(1392),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1392),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(3024),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3769),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1344] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3771),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1345] = {
    [sym_preproc_def] = STATE(1352),
    [sym_preproc_call] = STATE(1352),
    [sym_preproc_ifdef] = STATE(1352),
    [sym_function_definition] = STATE(1352),
    [sym_declaration] = STATE(1352),
    [sym_type_definition] = STATE(1352),
    [sym__declaration_modifiers] = STATE(2913),
    [sym__declaration_specifiers] = STATE(4240),
    [sym_attribute_specifier] = STATE(2913),
    [sym_attribute_declaration] = STATE(2913),
    [sym_ms_declspec_modifier] = STATE(2884),
    [sym_ms_call_modifier] = STATE(2206),
    [sym_storage_class_specifier] = STATE(2913),
    [sym_type_qualifier] = STATE(2913),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3237),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1352),
    [sym_preproc_undef] = STATE(1352),
    [sym_availability_attribute_specifier] = STATE(2913),
    [sym_property_declaration] = STATE(1352),
    [sym_method_declaration] = STATE(1352),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_preproc_if_in_interface_declaration_repeat1] = STATE(1352),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3773),
    [aux_sym_preproc_if_token1] = ACTIONS(3775),
    [aux_sym_preproc_if_token2] = ACTIONS(3777),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3371),
    [sym_preproc_directive] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3779),
    [anon_sym_PLUS] = ACTIONS(3779),
    [anon_sym___extension__] = ACTIONS(3377),
    [anon_sym_typedef] = ACTIONS(3379),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3381),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATproperty] = ACTIONS(3781),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1346] = {
    [sym_preproc_def] = STATE(1353),
    [sym_preproc_call] = STATE(1353),
    [sym_preproc_ifdef] = STATE(1353),
    [sym_function_definition] = STATE(1353),
    [sym_declaration] = STATE(1353),
    [sym_type_definition] = STATE(1353),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1353),
    [sym_preproc_undef] = STATE(1353),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1353),
    [sym_method_declaration] = STATE(1353),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1353),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3783),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1347] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3785),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1348] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3787),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1349] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3789),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1350] = {
    [sym_preproc_def] = STATE(1438),
    [sym_preproc_call] = STATE(1438),
    [sym_preproc_ifdef] = STATE(1438),
    [sym_function_definition] = STATE(1438),
    [sym_declaration] = STATE(1438),
    [sym_type_definition] = STATE(1438),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1438),
    [sym_preproc_undef] = STATE(1438),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1438),
    [sym_method_declaration] = STATE(1438),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1438),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3160),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1351] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3160),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1352] = {
    [sym_preproc_def] = STATE(1354),
    [sym_preproc_call] = STATE(1354),
    [sym_preproc_ifdef] = STATE(1354),
    [sym_function_definition] = STATE(1354),
    [sym_declaration] = STATE(1354),
    [sym_type_definition] = STATE(1354),
    [sym__declaration_modifiers] = STATE(2913),
    [sym__declaration_specifiers] = STATE(4240),
    [sym_attribute_specifier] = STATE(2913),
    [sym_attribute_declaration] = STATE(2913),
    [sym_ms_declspec_modifier] = STATE(2884),
    [sym_ms_call_modifier] = STATE(2206),
    [sym_storage_class_specifier] = STATE(2913),
    [sym_type_qualifier] = STATE(2913),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3237),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1354),
    [sym_preproc_undef] = STATE(1354),
    [sym_availability_attribute_specifier] = STATE(2913),
    [sym_property_declaration] = STATE(1354),
    [sym_method_declaration] = STATE(1354),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_preproc_if_in_interface_declaration_repeat1] = STATE(1354),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3773),
    [aux_sym_preproc_if_token1] = ACTIONS(3775),
    [aux_sym_preproc_if_token2] = ACTIONS(3791),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3371),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3371),
    [sym_preproc_directive] = ACTIONS(3373),
    [anon_sym_DASH] = ACTIONS(3779),
    [anon_sym_PLUS] = ACTIONS(3779),
    [anon_sym___extension__] = ACTIONS(3377),
    [anon_sym_typedef] = ACTIONS(3379),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3381),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATproperty] = ACTIONS(3781),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1353] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3793),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1354] = {
    [sym_preproc_def] = STATE(1354),
    [sym_preproc_call] = STATE(1354),
    [sym_preproc_ifdef] = STATE(1354),
    [sym_function_definition] = STATE(1354),
    [sym_declaration] = STATE(1354),
    [sym_type_definition] = STATE(1354),
    [sym__declaration_modifiers] = STATE(2913),
    [sym__declaration_specifiers] = STATE(4240),
    [sym_attribute_specifier] = STATE(2913),
    [sym_attribute_declaration] = STATE(2913),
    [sym_ms_declspec_modifier] = STATE(2884),
    [sym_ms_call_modifier] = STATE(2206),
    [sym_storage_class_specifier] = STATE(2913),
    [sym_type_qualifier] = STATE(2913),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3237),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1354),
    [sym_preproc_undef] = STATE(1354),
    [sym_availability_attribute_specifier] = STATE(2913),
    [sym_property_declaration] = STATE(1354),
    [sym_method_declaration] = STATE(1354),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_preproc_if_in_interface_declaration_repeat1] = STATE(1354),
    [sym_identifier] = ACTIONS(3581),
    [aux_sym_preproc_def_token1] = ACTIONS(3795),
    [aux_sym_preproc_if_token1] = ACTIONS(3798),
    [aux_sym_preproc_if_token2] = ACTIONS(3590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3801),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3801),
    [sym_preproc_directive] = ACTIONS(3804),
    [anon_sym_DASH] = ACTIONS(3807),
    [anon_sym_PLUS] = ACTIONS(3807),
    [anon_sym___extension__] = ACTIONS(3810),
    [anon_sym_typedef] = ACTIONS(3813),
    [anon_sym_extern] = ACTIONS(3607),
    [anon_sym___attribute__] = ACTIONS(3610),
    [anon_sym___attribute] = ACTIONS(3610),
    [anon_sym_noreturn] = ACTIONS(3613),
    [anon_sym_LBRACK] = ACTIONS(3616),
    [anon_sym___declspec] = ACTIONS(3619),
    [anon_sym___cdecl] = ACTIONS(3622),
    [anon_sym___clrcall] = ACTIONS(3622),
    [anon_sym___stdcall] = ACTIONS(3622),
    [anon_sym___fastcall] = ACTIONS(3622),
    [anon_sym___thiscall] = ACTIONS(3622),
    [anon_sym___vectorcall] = ACTIONS(3622),
    [anon_sym_signed] = ACTIONS(3625),
    [anon_sym_unsigned] = ACTIONS(3625),
    [anon_sym_long] = ACTIONS(3625),
    [anon_sym_short] = ACTIONS(3625),
    [anon_sym_static] = ACTIONS(3607),
    [anon_sym_auto] = ACTIONS(3607),
    [anon_sym_register] = ACTIONS(3607),
    [anon_sym_inline] = ACTIONS(3607),
    [anon_sym___inline] = ACTIONS(3607),
    [anon_sym___inline__] = ACTIONS(3607),
    [anon_sym___forceinline] = ACTIONS(3607),
    [anon_sym_thread_local] = ACTIONS(3607),
    [anon_sym___thread] = ACTIONS(3607),
    [anon_sym_CG_EXTERN] = ACTIONS(3607),
    [anon_sym_CG_INLINE] = ACTIONS(3607),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(3607),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(3607),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(3607),
    [anon_sym_IBOutlet] = ACTIONS(3607),
    [anon_sym_IBInspectable] = ACTIONS(3607),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(3607),
    [anon_sym_NS_INLINE] = ACTIONS(3607),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(3607),
    [anon_sym_OBJC_EXPORT] = ACTIONS(3607),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(3607),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(3607),
    [anon_sym_const] = ACTIONS(3613),
    [anon_sym_constexpr] = ACTIONS(3613),
    [anon_sym_volatile] = ACTIONS(3613),
    [anon_sym_restrict] = ACTIONS(3613),
    [anon_sym___restrict__] = ACTIONS(3613),
    [anon_sym__Atomic] = ACTIONS(3613),
    [anon_sym__Noreturn] = ACTIONS(3613),
    [anon_sym__Nonnull] = ACTIONS(3613),
    [anon_sym_nullable] = ACTIONS(3613),
    [anon_sym__Complex] = ACTIONS(3613),
    [anon_sym__Nullable] = ACTIONS(3613),
    [anon_sym__Nullable_result] = ACTIONS(3613),
    [anon_sym__Null_unspecified] = ACTIONS(3613),
    [anon_sym___autoreleasing] = ACTIONS(3613),
    [anon_sym___block] = ACTIONS(3613),
    [anon_sym___bridge] = ACTIONS(3613),
    [anon_sym___bridge_retained] = ACTIONS(3613),
    [anon_sym___bridge_transfer] = ACTIONS(3613),
    [anon_sym___complex] = ACTIONS(3613),
    [anon_sym___const] = ACTIONS(3613),
    [anon_sym___imag] = ACTIONS(3613),
    [anon_sym___kindof] = ACTIONS(3613),
    [anon_sym___nonnull] = ACTIONS(3613),
    [anon_sym___nullable] = ACTIONS(3613),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(3613),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(3613),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(3613),
    [anon_sym___real] = ACTIONS(3613),
    [anon_sym___strong] = ACTIONS(3613),
    [anon_sym___unsafe_unretained] = ACTIONS(3613),
    [anon_sym___unused] = ACTIONS(3613),
    [anon_sym___weak] = ACTIONS(3613),
    [anon_sym_alignas] = ACTIONS(3628),
    [anon_sym__Alignas] = ACTIONS(3628),
    [sym_primitive_type] = ACTIONS(3631),
    [anon_sym_enum] = ACTIONS(3634),
    [anon_sym_struct] = ACTIONS(3637),
    [anon_sym_union] = ACTIONS(3640),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(3643),
    [anon_sym___typeof] = ACTIONS(3643),
    [anon_sym_typeof] = ACTIONS(3643),
    [aux_sym_preproc_undef_token1] = ACTIONS(3816),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(3649),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(3649),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(3649),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(3649),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(3649),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(3649),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(3649),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(3649),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(3649),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(3652),
    [anon_sym_NS_AVAILABLE] = ACTIONS(3652),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(3652),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(3652),
    [anon_sym_API_AVAILABLE] = ACTIONS(3652),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(3652),
    [anon_sym_API_DEPRECATED] = ACTIONS(3652),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(3652),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(3652),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(3652),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(3652),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(3652),
    [anon_sym___deprecated_msg] = ACTIONS(3652),
    [anon_sym___deprecated_enum_msg] = ACTIONS(3652),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(3652),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(3652),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(3652),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(3652),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(3652),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(3652),
    [anon_sym_ATproperty] = ACTIONS(3819),
    [anon_sym_BOOL] = ACTIONS(3658),
    [anon_sym_IMP] = ACTIONS(3658),
    [anon_sym_SEL] = ACTIONS(3658),
    [anon_sym_Class] = ACTIONS(3658),
    [anon_sym_id] = ACTIONS(3658),
  },
  [1355] = {
    [sym_preproc_def] = STATE(1358),
    [sym_preproc_call] = STATE(1358),
    [sym_preproc_ifdef] = STATE(1358),
    [sym_function_definition] = STATE(1358),
    [sym_declaration] = STATE(1358),
    [sym_type_definition] = STATE(1358),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1358),
    [sym_preproc_undef] = STATE(1358),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1358),
    [sym_method_declaration] = STATE(1358),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1358),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3180),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1356] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3180),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1357] = {
    [sym_preproc_def] = STATE(1364),
    [sym_preproc_call] = STATE(1364),
    [sym_preproc_ifdef] = STATE(1364),
    [sym_function_definition] = STATE(1364),
    [sym_declaration] = STATE(1364),
    [sym_type_definition] = STATE(1364),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1364),
    [sym_preproc_undef] = STATE(1364),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1364),
    [sym_method_declaration] = STATE(1364),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1364),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3759),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1358] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3759),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1359] = {
    [sym_preproc_def] = STATE(1367),
    [sym_preproc_call] = STATE(1367),
    [sym_preproc_ifdef] = STATE(1367),
    [sym_function_definition] = STATE(1367),
    [sym_declaration] = STATE(1367),
    [sym_type_definition] = STATE(1367),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1367),
    [sym_preproc_undef] = STATE(1367),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1367),
    [sym_method_declaration] = STATE(1367),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1367),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3822),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1360] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3824),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1361] = {
    [sym_preproc_def] = STATE(1370),
    [sym_preproc_call] = STATE(1370),
    [sym_preproc_ifdef] = STATE(1370),
    [sym_function_definition] = STATE(1370),
    [sym_declaration] = STATE(1370),
    [sym_type_definition] = STATE(1370),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1370),
    [sym_preproc_undef] = STATE(1370),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1370),
    [sym_method_declaration] = STATE(1370),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1370),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3826),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1362] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3828),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1363] = {
    [sym_preproc_def] = STATE(1371),
    [sym_preproc_call] = STATE(1371),
    [sym_preproc_ifdef] = STATE(1371),
    [sym_function_definition] = STATE(1371),
    [sym_declaration] = STATE(1371),
    [sym_type_definition] = STATE(1371),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1371),
    [sym_preproc_undef] = STATE(1371),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1371),
    [sym_method_declaration] = STATE(1371),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1371),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3830),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1364] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3830),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1365] = {
    [sym_preproc_def] = STATE(1372),
    [sym_preproc_call] = STATE(1372),
    [sym_preproc_ifdef] = STATE(1372),
    [sym_function_definition] = STATE(1372),
    [sym_declaration] = STATE(1372),
    [sym_type_definition] = STATE(1372),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1372),
    [sym_preproc_undef] = STATE(1372),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1372),
    [sym_method_declaration] = STATE(1372),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1372),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3832),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1366] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3834),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1367] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3836),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1368] = {
    [sym_preproc_def] = STATE(1373),
    [sym_preproc_call] = STATE(1373),
    [sym_preproc_ifdef] = STATE(1373),
    [sym_function_definition] = STATE(1373),
    [sym_declaration] = STATE(1373),
    [sym_type_definition] = STATE(1373),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1373),
    [sym_preproc_undef] = STATE(1373),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1373),
    [sym_method_declaration] = STATE(1373),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1373),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3838),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1369] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3840),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1370] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3842),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1371] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3844),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1372] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3846),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1373] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3848),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1374] = {
    [sym_preproc_def] = STATE(1381),
    [sym_preproc_call] = STATE(1381),
    [sym_preproc_ifdef] = STATE(1381),
    [sym_function_definition] = STATE(1381),
    [sym_declaration] = STATE(1381),
    [sym_type_definition] = STATE(1381),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1381),
    [sym_preproc_undef] = STATE(1381),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1381),
    [sym_method_declaration] = STATE(1381),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1381),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3168),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1375] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3168),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1376] = {
    [sym_preproc_def] = STATE(1441),
    [sym_preproc_call] = STATE(1441),
    [sym_preproc_ifdef] = STATE(1441),
    [sym_function_definition] = STATE(1441),
    [sym_declaration] = STATE(1441),
    [sym_type_definition] = STATE(1441),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1441),
    [sym_preproc_undef] = STATE(1441),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1441),
    [sym_method_declaration] = STATE(1441),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1441),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3850),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1377] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3852),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1378] = {
    [sym_preproc_def] = STATE(1348),
    [sym_preproc_call] = STATE(1348),
    [sym_preproc_ifdef] = STATE(1348),
    [sym_function_definition] = STATE(1348),
    [sym_declaration] = STATE(1348),
    [sym_type_definition] = STATE(1348),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1348),
    [sym_preproc_undef] = STATE(1348),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1348),
    [sym_method_declaration] = STATE(1348),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1348),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3854),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1379] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3854),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1380] = {
    [sym_preproc_def] = STATE(1390),
    [sym_preproc_call] = STATE(1390),
    [sym_preproc_ifdef] = STATE(1390),
    [sym_function_definition] = STATE(1390),
    [sym_declaration] = STATE(1390),
    [sym_type_definition] = STATE(1390),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1390),
    [sym_preproc_undef] = STATE(1390),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1390),
    [sym_method_declaration] = STATE(1390),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1390),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3767),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1381] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3767),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1382] = {
    [sym_preproc_def] = STATE(1349),
    [sym_preproc_call] = STATE(1349),
    [sym_preproc_ifdef] = STATE(1349),
    [sym_function_definition] = STATE(1349),
    [sym_declaration] = STATE(1349),
    [sym_type_definition] = STATE(1349),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1349),
    [sym_preproc_undef] = STATE(1349),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1349),
    [sym_method_declaration] = STATE(1349),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1349),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3856),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1383] = {
    [sym_preproc_def] = STATE(1393),
    [sym_preproc_call] = STATE(1393),
    [sym_preproc_ifdef] = STATE(1393),
    [sym_function_definition] = STATE(1393),
    [sym_declaration] = STATE(1393),
    [sym_type_definition] = STATE(1393),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1393),
    [sym_preproc_undef] = STATE(1393),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1393),
    [sym_method_declaration] = STATE(1393),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1393),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3858),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1384] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3860),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1385] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3862),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1386] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3864),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1387] = {
    [sym_preproc_def] = STATE(1396),
    [sym_preproc_call] = STATE(1396),
    [sym_preproc_ifdef] = STATE(1396),
    [sym_function_definition] = STATE(1396),
    [sym_declaration] = STATE(1396),
    [sym_type_definition] = STATE(1396),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1396),
    [sym_preproc_undef] = STATE(1396),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1396),
    [sym_method_declaration] = STATE(1396),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1396),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3866),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1388] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3868),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1389] = {
    [sym_preproc_def] = STATE(1397),
    [sym_preproc_call] = STATE(1397),
    [sym_preproc_ifdef] = STATE(1397),
    [sym_function_definition] = STATE(1397),
    [sym_declaration] = STATE(1397),
    [sym_type_definition] = STATE(1397),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1397),
    [sym_preproc_undef] = STATE(1397),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1397),
    [sym_method_declaration] = STATE(1397),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1397),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3870),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1390] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3870),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1391] = {
    [sym_preproc_def] = STATE(1398),
    [sym_preproc_call] = STATE(1398),
    [sym_preproc_ifdef] = STATE(1398),
    [sym_function_definition] = STATE(1398),
    [sym_declaration] = STATE(1398),
    [sym_type_definition] = STATE(1398),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1398),
    [sym_preproc_undef] = STATE(1398),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1398),
    [sym_method_declaration] = STATE(1398),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1398),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3872),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1392] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3874),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1393] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3876),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1394] = {
    [sym_preproc_def] = STATE(1399),
    [sym_preproc_call] = STATE(1399),
    [sym_preproc_ifdef] = STATE(1399),
    [sym_function_definition] = STATE(1399),
    [sym_declaration] = STATE(1399),
    [sym_type_definition] = STATE(1399),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1399),
    [sym_preproc_undef] = STATE(1399),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1399),
    [sym_method_declaration] = STATE(1399),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1399),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3878),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1395] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3880),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1396] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3882),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1397] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3884),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1398] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3886),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1399] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3888),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1400] = {
    [sym_preproc_def] = STATE(1403),
    [sym_preproc_call] = STATE(1403),
    [sym_preproc_ifdef] = STATE(1403),
    [sym_function_definition] = STATE(1403),
    [sym_declaration] = STATE(1403),
    [sym_type_definition] = STATE(1403),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1403),
    [sym_preproc_undef] = STATE(1403),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1403),
    [sym_method_declaration] = STATE(1403),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1403),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3178),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1401] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3178),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1402] = {
    [sym_preproc_def] = STATE(1409),
    [sym_preproc_call] = STATE(1409),
    [sym_preproc_ifdef] = STATE(1409),
    [sym_function_definition] = STATE(1409),
    [sym_declaration] = STATE(1409),
    [sym_type_definition] = STATE(1409),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1409),
    [sym_preproc_undef] = STATE(1409),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1409),
    [sym_method_declaration] = STATE(1409),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1409),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3577),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1403] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3577),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1404] = {
    [sym_preproc_def] = STATE(1412),
    [sym_preproc_call] = STATE(1412),
    [sym_preproc_ifdef] = STATE(1412),
    [sym_function_definition] = STATE(1412),
    [sym_declaration] = STATE(1412),
    [sym_type_definition] = STATE(1412),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1412),
    [sym_preproc_undef] = STATE(1412),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1412),
    [sym_method_declaration] = STATE(1412),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1412),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3890),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1405] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3892),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1406] = {
    [sym_preproc_def] = STATE(1415),
    [sym_preproc_call] = STATE(1415),
    [sym_preproc_ifdef] = STATE(1415),
    [sym_function_definition] = STATE(1415),
    [sym_declaration] = STATE(1415),
    [sym_type_definition] = STATE(1415),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1415),
    [sym_preproc_undef] = STATE(1415),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1415),
    [sym_method_declaration] = STATE(1415),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1415),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3894),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1407] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3896),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1408] = {
    [sym_preproc_def] = STATE(1416),
    [sym_preproc_call] = STATE(1416),
    [sym_preproc_ifdef] = STATE(1416),
    [sym_function_definition] = STATE(1416),
    [sym_declaration] = STATE(1416),
    [sym_type_definition] = STATE(1416),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1416),
    [sym_preproc_undef] = STATE(1416),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1416),
    [sym_method_declaration] = STATE(1416),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1416),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3898),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1409] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3898),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1410] = {
    [sym_preproc_def] = STATE(1417),
    [sym_preproc_call] = STATE(1417),
    [sym_preproc_ifdef] = STATE(1417),
    [sym_function_definition] = STATE(1417),
    [sym_declaration] = STATE(1417),
    [sym_type_definition] = STATE(1417),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1417),
    [sym_preproc_undef] = STATE(1417),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1417),
    [sym_method_declaration] = STATE(1417),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1417),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3900),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1411] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3902),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1412] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3904),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1413] = {
    [sym_preproc_def] = STATE(1344),
    [sym_preproc_call] = STATE(1344),
    [sym_preproc_ifdef] = STATE(1344),
    [sym_function_definition] = STATE(1344),
    [sym_declaration] = STATE(1344),
    [sym_type_definition] = STATE(1344),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1344),
    [sym_preproc_undef] = STATE(1344),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1344),
    [sym_method_declaration] = STATE(1344),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1344),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3906),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1414] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3908),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1415] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3910),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1416] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3912),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1417] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3914),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1418] = {
    [sym_preproc_def] = STATE(1421),
    [sym_preproc_call] = STATE(1421),
    [sym_preproc_ifdef] = STATE(1421),
    [sym_function_definition] = STATE(1421),
    [sym_declaration] = STATE(1421),
    [sym_type_definition] = STATE(1421),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1421),
    [sym_preproc_undef] = STATE(1421),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1421),
    [sym_method_declaration] = STATE(1421),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1421),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3174),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1419] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3174),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1420] = {
    [sym_preproc_def] = STATE(1427),
    [sym_preproc_call] = STATE(1427),
    [sym_preproc_ifdef] = STATE(1427),
    [sym_function_definition] = STATE(1427),
    [sym_declaration] = STATE(1427),
    [sym_type_definition] = STATE(1427),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1427),
    [sym_preproc_undef] = STATE(1427),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1427),
    [sym_method_declaration] = STATE(1427),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1427),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3671),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1421] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3671),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1422] = {
    [sym_preproc_def] = STATE(1430),
    [sym_preproc_call] = STATE(1430),
    [sym_preproc_ifdef] = STATE(1430),
    [sym_function_definition] = STATE(1430),
    [sym_declaration] = STATE(1430),
    [sym_type_definition] = STATE(1430),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1430),
    [sym_preproc_undef] = STATE(1430),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1430),
    [sym_method_declaration] = STATE(1430),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1430),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3916),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1423] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3918),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1424] = {
    [sym_preproc_def] = STATE(1433),
    [sym_preproc_call] = STATE(1433),
    [sym_preproc_ifdef] = STATE(1433),
    [sym_function_definition] = STATE(1433),
    [sym_declaration] = STATE(1433),
    [sym_type_definition] = STATE(1433),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1433),
    [sym_preproc_undef] = STATE(1433),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1433),
    [sym_method_declaration] = STATE(1433),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1433),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3920),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1425] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3922),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1426] = {
    [sym_preproc_def] = STATE(1434),
    [sym_preproc_call] = STATE(1434),
    [sym_preproc_ifdef] = STATE(1434),
    [sym_function_definition] = STATE(1434),
    [sym_declaration] = STATE(1434),
    [sym_type_definition] = STATE(1434),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1434),
    [sym_preproc_undef] = STATE(1434),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1434),
    [sym_method_declaration] = STATE(1434),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1434),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3924),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1427] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3924),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1428] = {
    [sym_preproc_def] = STATE(1435),
    [sym_preproc_call] = STATE(1435),
    [sym_preproc_ifdef] = STATE(1435),
    [sym_function_definition] = STATE(1435),
    [sym_declaration] = STATE(1435),
    [sym_type_definition] = STATE(1435),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1435),
    [sym_preproc_undef] = STATE(1435),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1435),
    [sym_method_declaration] = STATE(1435),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1435),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3926),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1429] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3928),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1430] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3930),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1431] = {
    [sym_preproc_def] = STATE(1437),
    [sym_preproc_call] = STATE(1437),
    [sym_preproc_ifdef] = STATE(1437),
    [sym_function_definition] = STATE(1437),
    [sym_declaration] = STATE(1437),
    [sym_type_definition] = STATE(1437),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1437),
    [sym_preproc_undef] = STATE(1437),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1437),
    [sym_method_declaration] = STATE(1437),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1437),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3932),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1432] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3934),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1433] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3936),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1434] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3938),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1435] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3940),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1436] = {
    [sym_preproc_def] = STATE(1379),
    [sym_preproc_call] = STATE(1379),
    [sym_preproc_ifdef] = STATE(1379),
    [sym_function_definition] = STATE(1379),
    [sym_declaration] = STATE(1379),
    [sym_type_definition] = STATE(1379),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1379),
    [sym_preproc_undef] = STATE(1379),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1379),
    [sym_method_declaration] = STATE(1379),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1379),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3669),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1437] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3942),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1438] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3669),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1439] = {
    [sym_preproc_def] = STATE(1386),
    [sym_preproc_call] = STATE(1386),
    [sym_preproc_ifdef] = STATE(1386),
    [sym_function_definition] = STATE(1386),
    [sym_declaration] = STATE(1386),
    [sym_type_definition] = STATE(1386),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1386),
    [sym_preproc_undef] = STATE(1386),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1386),
    [sym_method_declaration] = STATE(1386),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1386),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3944),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1440] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3946),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1441] = {
    [sym_preproc_def] = STATE(1335),
    [sym_preproc_call] = STATE(1335),
    [sym_preproc_ifdef] = STATE(1335),
    [sym_function_definition] = STATE(1335),
    [sym_declaration] = STATE(1335),
    [sym_type_definition] = STATE(1335),
    [sym__declaration_modifiers] = STATE(2896),
    [sym__declaration_specifiers] = STATE(4212),
    [sym_attribute_specifier] = STATE(2896),
    [sym_attribute_declaration] = STATE(2896),
    [sym_ms_declspec_modifier] = STATE(2879),
    [sym_ms_call_modifier] = STATE(2191),
    [sym_storage_class_specifier] = STATE(2896),
    [sym_type_qualifier] = STATE(2896),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(3239),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_preproc_if_in_interface_declaration] = STATE(1335),
    [sym_preproc_undef] = STATE(1335),
    [sym_availability_attribute_specifier] = STATE(2896),
    [sym_property_declaration] = STATE(1335),
    [sym_method_declaration] = STATE(1335),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_class_interface_repeat1] = STATE(1335),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3048),
    [aux_sym_preproc_if_token1] = ACTIONS(3050),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3008),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3008),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3054),
    [anon_sym_PLUS] = ACTIONS(3054),
    [anon_sym___extension__] = ACTIONS(3018),
    [anon_sym_typedef] = ACTIONS(3020),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [aux_sym_preproc_undef_token1] = ACTIONS(3030),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATend] = ACTIONS(3948),
    [anon_sym_ATproperty] = ACTIONS(3060),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1442] = {
    [sym_string_literal] = STATE(1443),
    [aux_sym_concatenated_string_repeat1] = STATE(1443),
    [sym_identifier] = ACTIONS(3950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3952),
    [anon_sym_COMMA] = ACTIONS(3952),
    [anon_sym_LPAREN2] = ACTIONS(3952),
    [anon_sym_DASH] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3954),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_SLASH] = ACTIONS(3954),
    [anon_sym_PERCENT] = ACTIONS(3954),
    [anon_sym_PIPE_PIPE] = ACTIONS(3952),
    [anon_sym_AMP_AMP] = ACTIONS(3952),
    [anon_sym_PIPE] = ACTIONS(3954),
    [anon_sym_CARET] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym_EQ_EQ] = ACTIONS(3952),
    [anon_sym_BANG_EQ] = ACTIONS(3952),
    [anon_sym_GT] = ACTIONS(3954),
    [anon_sym_GT_EQ] = ACTIONS(3952),
    [anon_sym_LT_EQ] = ACTIONS(3952),
    [anon_sym_LT] = ACTIONS(3954),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_GT_GT] = ACTIONS(3954),
    [anon_sym_SEMI] = ACTIONS(3952),
    [anon_sym___extension__] = ACTIONS(3954),
    [anon_sym_extern] = ACTIONS(3954),
    [anon_sym___attribute__] = ACTIONS(3954),
    [anon_sym___attribute] = ACTIONS(3954),
    [anon_sym_noreturn] = ACTIONS(3954),
    [anon_sym_LBRACK] = ACTIONS(3952),
    [anon_sym___declspec] = ACTIONS(3954),
    [anon_sym_LBRACE] = ACTIONS(3952),
    [anon_sym_signed] = ACTIONS(3954),
    [anon_sym_unsigned] = ACTIONS(3954),
    [anon_sym_long] = ACTIONS(3954),
    [anon_sym_short] = ACTIONS(3954),
    [anon_sym_static] = ACTIONS(3954),
    [anon_sym_EQ] = ACTIONS(3954),
    [anon_sym_ATautoreleasepool] = ACTIONS(3952),
    [anon_sym_auto] = ACTIONS(3954),
    [anon_sym_register] = ACTIONS(3954),
    [anon_sym_inline] = ACTIONS(3954),
    [anon_sym___inline] = ACTIONS(3954),
    [anon_sym___inline__] = ACTIONS(3954),
    [anon_sym___forceinline] = ACTIONS(3954),
    [anon_sym_thread_local] = ACTIONS(3954),
    [anon_sym___thread] = ACTIONS(3954),
    [anon_sym_CG_EXTERN] = ACTIONS(3954),
    [anon_sym_CG_INLINE] = ACTIONS(3954),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(3954),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(3954),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(3954),
    [anon_sym_IBOutlet] = ACTIONS(3954),
    [anon_sym_IBInspectable] = ACTIONS(3954),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(3954),
    [anon_sym_NS_INLINE] = ACTIONS(3954),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(3954),
    [anon_sym_OBJC_EXPORT] = ACTIONS(3954),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(3954),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(3954),
    [anon_sym_const] = ACTIONS(3954),
    [anon_sym_constexpr] = ACTIONS(3954),
    [anon_sym_volatile] = ACTIONS(3954),
    [anon_sym_restrict] = ACTIONS(3954),
    [anon_sym___restrict__] = ACTIONS(3954),
    [anon_sym__Atomic] = ACTIONS(3954),
    [anon_sym__Noreturn] = ACTIONS(3954),
    [anon_sym__Nonnull] = ACTIONS(3954),
    [anon_sym_nullable] = ACTIONS(3954),
    [anon_sym__Complex] = ACTIONS(3954),
    [anon_sym__Nullable] = ACTIONS(3954),
    [anon_sym__Nullable_result] = ACTIONS(3954),
    [anon_sym__Null_unspecified] = ACTIONS(3954),
    [anon_sym___autoreleasing] = ACTIONS(3954),
    [anon_sym___block] = ACTIONS(3954),
    [anon_sym___bridge] = ACTIONS(3954),
    [anon_sym___bridge_retained] = ACTIONS(3954),
    [anon_sym___bridge_transfer] = ACTIONS(3954),
    [anon_sym___complex] = ACTIONS(3954),
    [anon_sym___const] = ACTIONS(3954),
    [anon_sym___imag] = ACTIONS(3954),
    [anon_sym___kindof] = ACTIONS(3954),
    [anon_sym___nonnull] = ACTIONS(3954),
    [anon_sym___nullable] = ACTIONS(3954),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(3954),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(3954),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(3954),
    [anon_sym___real] = ACTIONS(3954),
    [anon_sym___strong] = ACTIONS(3954),
    [anon_sym___unsafe_unretained] = ACTIONS(3954),
    [anon_sym___unused] = ACTIONS(3954),
    [anon_sym___weak] = ACTIONS(3954),
    [anon_sym_alignas] = ACTIONS(3954),
    [anon_sym__Alignas] = ACTIONS(3954),
    [sym_primitive_type] = ACTIONS(3954),
    [anon_sym_enum] = ACTIONS(3954),
    [anon_sym_struct] = ACTIONS(3954),
    [anon_sym_union] = ACTIONS(3954),
    [anon_sym_QMARK] = ACTIONS(3952),
    [anon_sym_STAR_EQ] = ACTIONS(3952),
    [anon_sym_SLASH_EQ] = ACTIONS(3952),
    [anon_sym_PERCENT_EQ] = ACTIONS(3952),
    [anon_sym_PLUS_EQ] = ACTIONS(3952),
    [anon_sym_DASH_EQ] = ACTIONS(3952),
    [anon_sym_LT_LT_EQ] = ACTIONS(3952),
    [anon_sym_GT_GT_EQ] = ACTIONS(3952),
    [anon_sym_AMP_EQ] = ACTIONS(3952),
    [anon_sym_CARET_EQ] = ACTIONS(3952),
    [anon_sym_PIPE_EQ] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3952),
    [anon_sym_PLUS_PLUS] = ACTIONS(3952),
    [anon_sym_DOT] = ACTIONS(3954),
    [anon_sym_DASH_GT] = ACTIONS(3952),
    [anon_sym_AT] = ACTIONS(3956),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_L_DQUOTE] = ACTIONS(2246),
    [anon_sym_u_DQUOTE] = ACTIONS(2246),
    [anon_sym_U_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8_DQUOTE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(3954),
    [anon_sym___typeof] = ACTIONS(3954),
    [anon_sym_typeof] = ACTIONS(3954),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(3954),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(3954),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(3954),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(3954),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(3954),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(3954),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(3954),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(3954),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(3954),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(3954),
    [anon_sym_NS_AVAILABLE] = ACTIONS(3954),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(3954),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(3954),
    [anon_sym_API_AVAILABLE] = ACTIONS(3954),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(3954),
    [anon_sym_API_DEPRECATED] = ACTIONS(3954),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(3954),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(3954),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(3954),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(3954),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(3954),
    [anon_sym___deprecated_msg] = ACTIONS(3954),
    [anon_sym___deprecated_enum_msg] = ACTIONS(3954),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(3954),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(3954),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(3954),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(3954),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(3954),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(3954),
    [anon_sym_BOOL] = ACTIONS(3954),
    [anon_sym_IMP] = ACTIONS(3954),
    [anon_sym_SEL] = ACTIONS(3954),
    [anon_sym_Class] = ACTIONS(3954),
    [anon_sym_id] = ACTIONS(3954),
  },
  [1443] = {
    [sym_string_literal] = STATE(1444),
    [aux_sym_concatenated_string_repeat1] = STATE(1444),
    [sym_identifier] = ACTIONS(3958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3960),
    [anon_sym_COMMA] = ACTIONS(3960),
    [anon_sym_LPAREN2] = ACTIONS(3960),
    [anon_sym_DASH] = ACTIONS(3962),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_STAR] = ACTIONS(3962),
    [anon_sym_SLASH] = ACTIONS(3962),
    [anon_sym_PERCENT] = ACTIONS(3962),
    [anon_sym_PIPE_PIPE] = ACTIONS(3960),
    [anon_sym_AMP_AMP] = ACTIONS(3960),
    [anon_sym_PIPE] = ACTIONS(3962),
    [anon_sym_CARET] = ACTIONS(3962),
    [anon_sym_AMP] = ACTIONS(3962),
    [anon_sym_EQ_EQ] = ACTIONS(3960),
    [anon_sym_BANG_EQ] = ACTIONS(3960),
    [anon_sym_GT] = ACTIONS(3962),
    [anon_sym_GT_EQ] = ACTIONS(3960),
    [anon_sym_LT_EQ] = ACTIONS(3960),
    [anon_sym_LT] = ACTIONS(3962),
    [anon_sym_LT_LT] = ACTIONS(3962),
    [anon_sym_GT_GT] = ACTIONS(3962),
    [anon_sym_SEMI] = ACTIONS(3960),
    [anon_sym___extension__] = ACTIONS(3962),
    [anon_sym_extern] = ACTIONS(3962),
    [anon_sym___attribute__] = ACTIONS(3962),
    [anon_sym___attribute] = ACTIONS(3962),
    [anon_sym_noreturn] = ACTIONS(3962),
    [anon_sym_LBRACK] = ACTIONS(3960),
    [anon_sym___declspec] = ACTIONS(3962),
    [anon_sym_LBRACE] = ACTIONS(3960),
    [anon_sym_signed] = ACTIONS(3962),
    [anon_sym_unsigned] = ACTIONS(3962),
    [anon_sym_long] = ACTIONS(3962),
    [anon_sym_short] = ACTIONS(3962),
    [anon_sym_static] = ACTIONS(3962),
    [anon_sym_EQ] = ACTIONS(3962),
    [anon_sym_ATautoreleasepool] = ACTIONS(3960),
    [anon_sym_auto] = ACTIONS(3962),
    [anon_sym_register] = ACTIONS(3962),
    [anon_sym_inline] = ACTIONS(3962),
    [anon_sym___inline] = ACTIONS(3962),
    [anon_sym___inline__] = ACTIONS(3962),
    [anon_sym___forceinline] = ACTIONS(3962),
    [anon_sym_thread_local] = ACTIONS(3962),
    [anon_sym___thread] = ACTIONS(3962),
    [anon_sym_CG_EXTERN] = ACTIONS(3962),
    [anon_sym_CG_INLINE] = ACTIONS(3962),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(3962),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(3962),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(3962),
    [anon_sym_IBOutlet] = ACTIONS(3962),
    [anon_sym_IBInspectable] = ACTIONS(3962),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(3962),
    [anon_sym_NS_INLINE] = ACTIONS(3962),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(3962),
    [anon_sym_OBJC_EXPORT] = ACTIONS(3962),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(3962),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(3962),
    [anon_sym_const] = ACTIONS(3962),
    [anon_sym_constexpr] = ACTIONS(3962),
    [anon_sym_volatile] = ACTIONS(3962),
    [anon_sym_restrict] = ACTIONS(3962),
    [anon_sym___restrict__] = ACTIONS(3962),
    [anon_sym__Atomic] = ACTIONS(3962),
    [anon_sym__Noreturn] = ACTIONS(3962),
    [anon_sym__Nonnull] = ACTIONS(3962),
    [anon_sym_nullable] = ACTIONS(3962),
    [anon_sym__Complex] = ACTIONS(3962),
    [anon_sym__Nullable] = ACTIONS(3962),
    [anon_sym__Nullable_result] = ACTIONS(3962),
    [anon_sym__Null_unspecified] = ACTIONS(3962),
    [anon_sym___autoreleasing] = ACTIONS(3962),
    [anon_sym___block] = ACTIONS(3962),
    [anon_sym___bridge] = ACTIONS(3962),
    [anon_sym___bridge_retained] = ACTIONS(3962),
    [anon_sym___bridge_transfer] = ACTIONS(3962),
    [anon_sym___complex] = ACTIONS(3962),
    [anon_sym___const] = ACTIONS(3962),
    [anon_sym___imag] = ACTIONS(3962),
    [anon_sym___kindof] = ACTIONS(3962),
    [anon_sym___nonnull] = ACTIONS(3962),
    [anon_sym___nullable] = ACTIONS(3962),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(3962),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(3962),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(3962),
    [anon_sym___real] = ACTIONS(3962),
    [anon_sym___strong] = ACTIONS(3962),
    [anon_sym___unsafe_unretained] = ACTIONS(3962),
    [anon_sym___unused] = ACTIONS(3962),
    [anon_sym___weak] = ACTIONS(3962),
    [anon_sym_alignas] = ACTIONS(3962),
    [anon_sym__Alignas] = ACTIONS(3962),
    [sym_primitive_type] = ACTIONS(3962),
    [anon_sym_enum] = ACTIONS(3962),
    [anon_sym_struct] = ACTIONS(3962),
    [anon_sym_union] = ACTIONS(3962),
    [anon_sym_QMARK] = ACTIONS(3960),
    [anon_sym_STAR_EQ] = ACTIONS(3960),
    [anon_sym_SLASH_EQ] = ACTIONS(3960),
    [anon_sym_PERCENT_EQ] = ACTIONS(3960),
    [anon_sym_PLUS_EQ] = ACTIONS(3960),
    [anon_sym_DASH_EQ] = ACTIONS(3960),
    [anon_sym_LT_LT_EQ] = ACTIONS(3960),
    [anon_sym_GT_GT_EQ] = ACTIONS(3960),
    [anon_sym_AMP_EQ] = ACTIONS(3960),
    [anon_sym_CARET_EQ] = ACTIONS(3960),
    [anon_sym_PIPE_EQ] = ACTIONS(3960),
    [anon_sym_DASH_DASH] = ACTIONS(3960),
    [anon_sym_PLUS_PLUS] = ACTIONS(3960),
    [anon_sym_DOT] = ACTIONS(3962),
    [anon_sym_DASH_GT] = ACTIONS(3960),
    [anon_sym_AT] = ACTIONS(3956),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_L_DQUOTE] = ACTIONS(2246),
    [anon_sym_u_DQUOTE] = ACTIONS(2246),
    [anon_sym_U_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8_DQUOTE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(3962),
    [anon_sym___typeof] = ACTIONS(3962),
    [anon_sym_typeof] = ACTIONS(3962),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(3962),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(3962),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(3962),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(3962),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(3962),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(3962),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(3962),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(3962),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(3962),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(3962),
    [anon_sym_NS_AVAILABLE] = ACTIONS(3962),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(3962),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(3962),
    [anon_sym_API_AVAILABLE] = ACTIONS(3962),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(3962),
    [anon_sym_API_DEPRECATED] = ACTIONS(3962),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(3962),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(3962),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(3962),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(3962),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(3962),
    [anon_sym___deprecated_msg] = ACTIONS(3962),
    [anon_sym___deprecated_enum_msg] = ACTIONS(3962),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(3962),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(3962),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(3962),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(3962),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(3962),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(3962),
    [anon_sym_BOOL] = ACTIONS(3962),
    [anon_sym_IMP] = ACTIONS(3962),
    [anon_sym_SEL] = ACTIONS(3962),
    [anon_sym_Class] = ACTIONS(3962),
    [anon_sym_id] = ACTIONS(3962),
  },
  [1444] = {
    [sym_string_literal] = STATE(1444),
    [aux_sym_concatenated_string_repeat1] = STATE(1444),
    [sym_identifier] = ACTIONS(3964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3967),
    [anon_sym_COMMA] = ACTIONS(3967),
    [anon_sym_LPAREN2] = ACTIONS(3967),
    [anon_sym_DASH] = ACTIONS(3969),
    [anon_sym_PLUS] = ACTIONS(3969),
    [anon_sym_STAR] = ACTIONS(3969),
    [anon_sym_SLASH] = ACTIONS(3969),
    [anon_sym_PERCENT] = ACTIONS(3969),
    [anon_sym_PIPE_PIPE] = ACTIONS(3967),
    [anon_sym_AMP_AMP] = ACTIONS(3967),
    [anon_sym_PIPE] = ACTIONS(3969),
    [anon_sym_CARET] = ACTIONS(3969),
    [anon_sym_AMP] = ACTIONS(3969),
    [anon_sym_EQ_EQ] = ACTIONS(3967),
    [anon_sym_BANG_EQ] = ACTIONS(3967),
    [anon_sym_GT] = ACTIONS(3969),
    [anon_sym_GT_EQ] = ACTIONS(3967),
    [anon_sym_LT_EQ] = ACTIONS(3967),
    [anon_sym_LT] = ACTIONS(3969),
    [anon_sym_LT_LT] = ACTIONS(3969),
    [anon_sym_GT_GT] = ACTIONS(3969),
    [anon_sym_SEMI] = ACTIONS(3967),
    [anon_sym___extension__] = ACTIONS(3969),
    [anon_sym_extern] = ACTIONS(3969),
    [anon_sym___attribute__] = ACTIONS(3969),
    [anon_sym___attribute] = ACTIONS(3969),
    [anon_sym_noreturn] = ACTIONS(3969),
    [anon_sym_LBRACK] = ACTIONS(3967),
    [anon_sym___declspec] = ACTIONS(3969),
    [anon_sym_LBRACE] = ACTIONS(3967),
    [anon_sym_signed] = ACTIONS(3969),
    [anon_sym_unsigned] = ACTIONS(3969),
    [anon_sym_long] = ACTIONS(3969),
    [anon_sym_short] = ACTIONS(3969),
    [anon_sym_static] = ACTIONS(3969),
    [anon_sym_EQ] = ACTIONS(3969),
    [anon_sym_ATautoreleasepool] = ACTIONS(3967),
    [anon_sym_auto] = ACTIONS(3969),
    [anon_sym_register] = ACTIONS(3969),
    [anon_sym_inline] = ACTIONS(3969),
    [anon_sym___inline] = ACTIONS(3969),
    [anon_sym___inline__] = ACTIONS(3969),
    [anon_sym___forceinline] = ACTIONS(3969),
    [anon_sym_thread_local] = ACTIONS(3969),
    [anon_sym___thread] = ACTIONS(3969),
    [anon_sym_CG_EXTERN] = ACTIONS(3969),
    [anon_sym_CG_INLINE] = ACTIONS(3969),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(3969),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(3969),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(3969),
    [anon_sym_IBOutlet] = ACTIONS(3969),
    [anon_sym_IBInspectable] = ACTIONS(3969),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(3969),
    [anon_sym_NS_INLINE] = ACTIONS(3969),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(3969),
    [anon_sym_OBJC_EXPORT] = ACTIONS(3969),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(3969),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(3969),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_constexpr] = ACTIONS(3969),
    [anon_sym_volatile] = ACTIONS(3969),
    [anon_sym_restrict] = ACTIONS(3969),
    [anon_sym___restrict__] = ACTIONS(3969),
    [anon_sym__Atomic] = ACTIONS(3969),
    [anon_sym__Noreturn] = ACTIONS(3969),
    [anon_sym__Nonnull] = ACTIONS(3969),
    [anon_sym_nullable] = ACTIONS(3969),
    [anon_sym__Complex] = ACTIONS(3969),
    [anon_sym__Nullable] = ACTIONS(3969),
    [anon_sym__Nullable_result] = ACTIONS(3969),
    [anon_sym__Null_unspecified] = ACTIONS(3969),
    [anon_sym___autoreleasing] = ACTIONS(3969),
    [anon_sym___block] = ACTIONS(3969),
    [anon_sym___bridge] = ACTIONS(3969),
    [anon_sym___bridge_retained] = ACTIONS(3969),
    [anon_sym___bridge_transfer] = ACTIONS(3969),
    [anon_sym___complex] = ACTIONS(3969),
    [anon_sym___const] = ACTIONS(3969),
    [anon_sym___imag] = ACTIONS(3969),
    [anon_sym___kindof] = ACTIONS(3969),
    [anon_sym___nonnull] = ACTIONS(3969),
    [anon_sym___nullable] = ACTIONS(3969),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(3969),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(3969),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(3969),
    [anon_sym___real] = ACTIONS(3969),
    [anon_sym___strong] = ACTIONS(3969),
    [anon_sym___unsafe_unretained] = ACTIONS(3969),
    [anon_sym___unused] = ACTIONS(3969),
    [anon_sym___weak] = ACTIONS(3969),
    [anon_sym_alignas] = ACTIONS(3969),
    [anon_sym__Alignas] = ACTIONS(3969),
    [sym_primitive_type] = ACTIONS(3969),
    [anon_sym_enum] = ACTIONS(3969),
    [anon_sym_struct] = ACTIONS(3969),
    [anon_sym_union] = ACTIONS(3969),
    [anon_sym_QMARK] = ACTIONS(3967),
    [anon_sym_STAR_EQ] = ACTIONS(3967),
    [anon_sym_SLASH_EQ] = ACTIONS(3967),
    [anon_sym_PERCENT_EQ] = ACTIONS(3967),
    [anon_sym_PLUS_EQ] = ACTIONS(3967),
    [anon_sym_DASH_EQ] = ACTIONS(3967),
    [anon_sym_LT_LT_EQ] = ACTIONS(3967),
    [anon_sym_GT_GT_EQ] = ACTIONS(3967),
    [anon_sym_AMP_EQ] = ACTIONS(3967),
    [anon_sym_CARET_EQ] = ACTIONS(3967),
    [anon_sym_PIPE_EQ] = ACTIONS(3967),
    [anon_sym_DASH_DASH] = ACTIONS(3967),
    [anon_sym_PLUS_PLUS] = ACTIONS(3967),
    [anon_sym_DOT] = ACTIONS(3969),
    [anon_sym_DASH_GT] = ACTIONS(3967),
    [anon_sym_AT] = ACTIONS(3971),
    [anon_sym_DQUOTE] = ACTIONS(3974),
    [anon_sym_L_DQUOTE] = ACTIONS(3974),
    [anon_sym_u_DQUOTE] = ACTIONS(3974),
    [anon_sym_U_DQUOTE] = ACTIONS(3974),
    [anon_sym_u8_DQUOTE] = ACTIONS(3974),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(3969),
    [anon_sym___typeof] = ACTIONS(3969),
    [anon_sym_typeof] = ACTIONS(3969),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(3969),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(3969),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(3969),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(3969),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(3969),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(3969),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(3969),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(3969),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(3969),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(3969),
    [anon_sym_NS_AVAILABLE] = ACTIONS(3969),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(3969),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(3969),
    [anon_sym_API_AVAILABLE] = ACTIONS(3969),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(3969),
    [anon_sym_API_DEPRECATED] = ACTIONS(3969),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(3969),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(3969),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(3969),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(3969),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(3969),
    [anon_sym___deprecated_msg] = ACTIONS(3969),
    [anon_sym___deprecated_enum_msg] = ACTIONS(3969),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(3969),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(3969),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(3969),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(3969),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(3969),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(3969),
    [anon_sym_BOOL] = ACTIONS(3969),
    [anon_sym_IMP] = ACTIONS(3969),
    [anon_sym_SEL] = ACTIONS(3969),
    [anon_sym_Class] = ACTIONS(3969),
    [anon_sym_id] = ACTIONS(3969),
  },
  [1445] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(3977),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3979),
    [anon_sym_COMMA] = ACTIONS(3979),
    [anon_sym_RPAREN] = ACTIONS(3979),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3979),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3979),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(3977),
    [anon_sym_PLUS] = ACTIONS(3977),
    [anon_sym_STAR] = ACTIONS(3977),
    [anon_sym_SLASH] = ACTIONS(3977),
    [anon_sym_PERCENT] = ACTIONS(3977),
    [anon_sym_PIPE_PIPE] = ACTIONS(3979),
    [anon_sym_AMP_AMP] = ACTIONS(3979),
    [anon_sym_PIPE] = ACTIONS(3977),
    [anon_sym_CARET] = ACTIONS(3977),
    [anon_sym_AMP] = ACTIONS(3977),
    [anon_sym_EQ_EQ] = ACTIONS(3979),
    [anon_sym_BANG_EQ] = ACTIONS(3979),
    [anon_sym_GT] = ACTIONS(3977),
    [anon_sym_GT_EQ] = ACTIONS(3979),
    [anon_sym_LT_EQ] = ACTIONS(3979),
    [anon_sym_LT] = ACTIONS(3977),
    [anon_sym_LT_LT] = ACTIONS(3977),
    [anon_sym_GT_GT] = ACTIONS(3977),
    [anon_sym_SEMI] = ACTIONS(3979),
    [anon_sym___extension__] = ACTIONS(3977),
    [anon_sym_extern] = ACTIONS(3977),
    [anon_sym___attribute__] = ACTIONS(3977),
    [anon_sym___attribute] = ACTIONS(3977),
    [anon_sym_noreturn] = ACTIONS(3977),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_RBRACK] = ACTIONS(3979),
    [anon_sym___declspec] = ACTIONS(3977),
    [anon_sym_LBRACE] = ACTIONS(3979),
    [anon_sym_RBRACE] = ACTIONS(3979),
    [anon_sym_signed] = ACTIONS(3977),
    [anon_sym_unsigned] = ACTIONS(3977),
    [anon_sym_long] = ACTIONS(3977),
    [anon_sym_short] = ACTIONS(3977),
    [anon_sym_static] = ACTIONS(3977),
    [anon_sym_EQ] = ACTIONS(3977),
    [anon_sym_ATautoreleasepool] = ACTIONS(3979),
    [anon_sym_auto] = ACTIONS(3977),
    [anon_sym_register] = ACTIONS(3977),
    [anon_sym_inline] = ACTIONS(3977),
    [anon_sym___inline] = ACTIONS(3977),
    [anon_sym___inline__] = ACTIONS(3977),
    [anon_sym___forceinline] = ACTIONS(3977),
    [anon_sym_thread_local] = ACTIONS(3977),
    [anon_sym___thread] = ACTIONS(3977),
    [anon_sym_CG_EXTERN] = ACTIONS(3977),
    [anon_sym_CG_INLINE] = ACTIONS(3977),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(3977),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(3977),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(3977),
    [anon_sym_IBOutlet] = ACTIONS(3977),
    [anon_sym_IBInspectable] = ACTIONS(3977),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(3977),
    [anon_sym_NS_INLINE] = ACTIONS(3977),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(3977),
    [anon_sym_OBJC_EXPORT] = ACTIONS(3977),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(3977),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(3977),
    [anon_sym_const] = ACTIONS(3977),
    [anon_sym_constexpr] = ACTIONS(3977),
    [anon_sym_volatile] = ACTIONS(3977),
    [anon_sym_restrict] = ACTIONS(3977),
    [anon_sym___restrict__] = ACTIONS(3977),
    [anon_sym__Atomic] = ACTIONS(3977),
    [anon_sym__Noreturn] = ACTIONS(3977),
    [anon_sym__Nonnull] = ACTIONS(3977),
    [anon_sym_nullable] = ACTIONS(3977),
    [anon_sym__Complex] = ACTIONS(3977),
    [anon_sym__Nullable] = ACTIONS(3977),
    [anon_sym__Nullable_result] = ACTIONS(3977),
    [anon_sym__Null_unspecified] = ACTIONS(3977),
    [anon_sym___autoreleasing] = ACTIONS(3977),
    [anon_sym___block] = ACTIONS(3977),
    [anon_sym___bridge] = ACTIONS(3977),
    [anon_sym___bridge_retained] = ACTIONS(3977),
    [anon_sym___bridge_transfer] = ACTIONS(3977),
    [anon_sym___complex] = ACTIONS(3977),
    [anon_sym___const] = ACTIONS(3977),
    [anon_sym___imag] = ACTIONS(3977),
    [anon_sym___kindof] = ACTIONS(3977),
    [anon_sym___nonnull] = ACTIONS(3977),
    [anon_sym___nullable] = ACTIONS(3977),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(3977),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(3977),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(3977),
    [anon_sym___real] = ACTIONS(3977),
    [anon_sym___strong] = ACTIONS(3977),
    [anon_sym___unsafe_unretained] = ACTIONS(3977),
    [anon_sym___unused] = ACTIONS(3977),
    [anon_sym___weak] = ACTIONS(3977),
    [anon_sym_alignas] = ACTIONS(3977),
    [anon_sym__Alignas] = ACTIONS(3977),
    [sym_primitive_type] = ACTIONS(3977),
    [anon_sym_enum] = ACTIONS(3977),
    [anon_sym_COLON] = ACTIONS(3979),
    [anon_sym_struct] = ACTIONS(3977),
    [anon_sym_union] = ACTIONS(3977),
    [anon_sym_QMARK] = ACTIONS(3979),
    [anon_sym_STAR_EQ] = ACTIONS(3979),
    [anon_sym_SLASH_EQ] = ACTIONS(3979),
    [anon_sym_PERCENT_EQ] = ACTIONS(3979),
    [anon_sym_PLUS_EQ] = ACTIONS(3979),
    [anon_sym_DASH_EQ] = ACTIONS(3979),
    [anon_sym_LT_LT_EQ] = ACTIONS(3979),
    [anon_sym_GT_GT_EQ] = ACTIONS(3979),
    [anon_sym_AMP_EQ] = ACTIONS(3979),
    [anon_sym_CARET_EQ] = ACTIONS(3979),
    [anon_sym_PIPE_EQ] = ACTIONS(3979),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(3977),
    [anon_sym___typeof] = ACTIONS(3977),
    [anon_sym_typeof] = ACTIONS(3977),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(3977),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(3977),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(3977),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(3977),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(3977),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(3977),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(3977),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(3977),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(3977),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(3977),
    [anon_sym_NS_AVAILABLE] = ACTIONS(3977),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(3977),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(3977),
    [anon_sym_API_AVAILABLE] = ACTIONS(3977),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(3977),
    [anon_sym_API_DEPRECATED] = ACTIONS(3977),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(3977),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(3977),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(3977),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(3977),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(3977),
    [anon_sym___deprecated_msg] = ACTIONS(3977),
    [anon_sym___deprecated_enum_msg] = ACTIONS(3977),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(3977),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(3977),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(3977),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(3977),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(3977),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(3977),
    [anon_sym_BOOL] = ACTIONS(3977),
    [anon_sym_IMP] = ACTIONS(3977),
    [anon_sym_SEL] = ACTIONS(3977),
    [anon_sym_Class] = ACTIONS(3977),
    [anon_sym_id] = ACTIONS(3977),
  },
  [1446] = {
    [aux_sym_selector_expression_repeat2] = STATE(1454),
    [sym_identifier] = ACTIONS(3991),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3993),
    [anon_sym_COMMA] = ACTIONS(3993),
    [anon_sym_RPAREN] = ACTIONS(3995),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3993),
    [anon_sym_LPAREN2] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(3991),
    [anon_sym_SLASH] = ACTIONS(3991),
    [anon_sym_PERCENT] = ACTIONS(3991),
    [anon_sym_PIPE_PIPE] = ACTIONS(3993),
    [anon_sym_AMP_AMP] = ACTIONS(3993),
    [anon_sym_PIPE] = ACTIONS(3991),
    [anon_sym_CARET] = ACTIONS(3991),
    [anon_sym_AMP] = ACTIONS(3991),
    [anon_sym_EQ_EQ] = ACTIONS(3993),
    [anon_sym_BANG_EQ] = ACTIONS(3993),
    [anon_sym_GT] = ACTIONS(3991),
    [anon_sym_GT_EQ] = ACTIONS(3993),
    [anon_sym_LT_EQ] = ACTIONS(3993),
    [anon_sym_LT] = ACTIONS(3991),
    [anon_sym_LT_LT] = ACTIONS(3991),
    [anon_sym_GT_GT] = ACTIONS(3991),
    [anon_sym_SEMI] = ACTIONS(3993),
    [anon_sym___extension__] = ACTIONS(3991),
    [anon_sym_extern] = ACTIONS(3991),
    [anon_sym___attribute__] = ACTIONS(3991),
    [anon_sym___attribute] = ACTIONS(3991),
    [anon_sym_noreturn] = ACTIONS(3991),
    [anon_sym_LBRACK] = ACTIONS(3993),
    [anon_sym_RBRACK] = ACTIONS(3993),
    [anon_sym___declspec] = ACTIONS(3991),
    [anon_sym_LBRACE] = ACTIONS(3993),
    [anon_sym_RBRACE] = ACTIONS(3993),
    [anon_sym_signed] = ACTIONS(3991),
    [anon_sym_unsigned] = ACTIONS(3991),
    [anon_sym_long] = ACTIONS(3991),
    [anon_sym_short] = ACTIONS(3991),
    [anon_sym_static] = ACTIONS(3991),
    [anon_sym_EQ] = ACTIONS(3991),
    [anon_sym_ATautoreleasepool] = ACTIONS(3993),
    [anon_sym_auto] = ACTIONS(3991),
    [anon_sym_register] = ACTIONS(3991),
    [anon_sym_inline] = ACTIONS(3991),
    [anon_sym___inline] = ACTIONS(3991),
    [anon_sym___inline__] = ACTIONS(3991),
    [anon_sym___forceinline] = ACTIONS(3991),
    [anon_sym_thread_local] = ACTIONS(3991),
    [anon_sym___thread] = ACTIONS(3991),
    [anon_sym_CG_EXTERN] = ACTIONS(3991),
    [anon_sym_CG_INLINE] = ACTIONS(3991),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(3991),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(3991),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(3991),
    [anon_sym_IBOutlet] = ACTIONS(3991),
    [anon_sym_IBInspectable] = ACTIONS(3991),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(3991),
    [anon_sym_NS_INLINE] = ACTIONS(3991),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(3991),
    [anon_sym_OBJC_EXPORT] = ACTIONS(3991),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(3991),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(3991),
    [anon_sym_const] = ACTIONS(3991),
    [anon_sym_constexpr] = ACTIONS(3991),
    [anon_sym_volatile] = ACTIONS(3991),
    [anon_sym_restrict] = ACTIONS(3991),
    [anon_sym___restrict__] = ACTIONS(3991),
    [anon_sym__Atomic] = ACTIONS(3991),
    [anon_sym__Noreturn] = ACTIONS(3991),
    [anon_sym__Nonnull] = ACTIONS(3991),
    [anon_sym_nullable] = ACTIONS(3991),
    [anon_sym__Complex] = ACTIONS(3991),
    [anon_sym__Nullable] = ACTIONS(3991),
    [anon_sym__Nullable_result] = ACTIONS(3991),
    [anon_sym__Null_unspecified] = ACTIONS(3991),
    [anon_sym___autoreleasing] = ACTIONS(3991),
    [anon_sym___block] = ACTIONS(3991),
    [anon_sym___bridge] = ACTIONS(3991),
    [anon_sym___bridge_retained] = ACTIONS(3991),
    [anon_sym___bridge_transfer] = ACTIONS(3991),
    [anon_sym___complex] = ACTIONS(3991),
    [anon_sym___const] = ACTIONS(3991),
    [anon_sym___imag] = ACTIONS(3991),
    [anon_sym___kindof] = ACTIONS(3991),
    [anon_sym___nonnull] = ACTIONS(3991),
    [anon_sym___nullable] = ACTIONS(3991),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(3991),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(3991),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(3991),
    [anon_sym___real] = ACTIONS(3991),
    [anon_sym___strong] = ACTIONS(3991),
    [anon_sym___unsafe_unretained] = ACTIONS(3991),
    [anon_sym___unused] = ACTIONS(3991),
    [anon_sym___weak] = ACTIONS(3991),
    [anon_sym_alignas] = ACTIONS(3991),
    [anon_sym__Alignas] = ACTIONS(3991),
    [sym_primitive_type] = ACTIONS(3991),
    [anon_sym_enum] = ACTIONS(3991),
    [anon_sym_COLON] = ACTIONS(3993),
    [anon_sym_struct] = ACTIONS(3991),
    [anon_sym_union] = ACTIONS(3991),
    [anon_sym_QMARK] = ACTIONS(3993),
    [anon_sym_STAR_EQ] = ACTIONS(3993),
    [anon_sym_SLASH_EQ] = ACTIONS(3993),
    [anon_sym_PERCENT_EQ] = ACTIONS(3993),
    [anon_sym_PLUS_EQ] = ACTIONS(3993),
    [anon_sym_DASH_EQ] = ACTIONS(3993),
    [anon_sym_LT_LT_EQ] = ACTIONS(3993),
    [anon_sym_GT_GT_EQ] = ACTIONS(3993),
    [anon_sym_AMP_EQ] = ACTIONS(3993),
    [anon_sym_CARET_EQ] = ACTIONS(3993),
    [anon_sym_PIPE_EQ] = ACTIONS(3993),
    [anon_sym_DASH_DASH] = ACTIONS(3993),
    [anon_sym_PLUS_PLUS] = ACTIONS(3993),
    [anon_sym_DOT] = ACTIONS(3991),
    [anon_sym_DASH_GT] = ACTIONS(3993),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(3991),
    [anon_sym___typeof] = ACTIONS(3991),
    [anon_sym_typeof] = ACTIONS(3991),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(3991),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(3991),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(3991),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(3991),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(3991),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(3991),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(3991),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(3991),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(3991),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(3991),
    [anon_sym_NS_AVAILABLE] = ACTIONS(3991),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(3991),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(3991),
    [anon_sym_API_AVAILABLE] = ACTIONS(3991),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(3991),
    [anon_sym_API_DEPRECATED] = ACTIONS(3991),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(3991),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(3991),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(3991),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(3991),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(3991),
    [anon_sym___deprecated_msg] = ACTIONS(3991),
    [anon_sym___deprecated_enum_msg] = ACTIONS(3991),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(3991),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(3991),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(3991),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(3991),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(3991),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(3991),
    [anon_sym_BOOL] = ACTIONS(3991),
    [anon_sym_IMP] = ACTIONS(3991),
    [anon_sym_SEL] = ACTIONS(3991),
    [anon_sym_Class] = ACTIONS(3991),
    [anon_sym_id] = ACTIONS(3991),
  },
  [1447] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(3997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3999),
    [anon_sym_COMMA] = ACTIONS(3999),
    [anon_sym_RPAREN] = ACTIONS(3999),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3999),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3999),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3997),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3997),
    [anon_sym_PIPE_PIPE] = ACTIONS(3999),
    [anon_sym_AMP_AMP] = ACTIONS(3999),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3997),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3999),
    [anon_sym_BANG_EQ] = ACTIONS(3999),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_GT_EQ] = ACTIONS(3999),
    [anon_sym_LT_EQ] = ACTIONS(3999),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3997),
    [anon_sym_GT_GT] = ACTIONS(3997),
    [anon_sym_SEMI] = ACTIONS(3999),
    [anon_sym___extension__] = ACTIONS(3997),
    [anon_sym_extern] = ACTIONS(3997),
    [anon_sym___attribute__] = ACTIONS(3997),
    [anon_sym___attribute] = ACTIONS(3997),
    [anon_sym_noreturn] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_RBRACK] = ACTIONS(3999),
    [anon_sym___declspec] = ACTIONS(3997),
    [anon_sym_LBRACE] = ACTIONS(3999),
    [anon_sym_RBRACE] = ACTIONS(3999),
    [anon_sym_signed] = ACTIONS(3997),
    [anon_sym_unsigned] = ACTIONS(3997),
    [anon_sym_long] = ACTIONS(3997),
    [anon_sym_short] = ACTIONS(3997),
    [anon_sym_static] = ACTIONS(3997),
    [anon_sym_EQ] = ACTIONS(3997),
    [anon_sym_ATautoreleasepool] = ACTIONS(3999),
    [anon_sym_auto] = ACTIONS(3997),
    [anon_sym_register] = ACTIONS(3997),
    [anon_sym_inline] = ACTIONS(3997),
    [anon_sym___inline] = ACTIONS(3997),
    [anon_sym___inline__] = ACTIONS(3997),
    [anon_sym___forceinline] = ACTIONS(3997),
    [anon_sym_thread_local] = ACTIONS(3997),
    [anon_sym___thread] = ACTIONS(3997),
    [anon_sym_CG_EXTERN] = ACTIONS(3997),
    [anon_sym_CG_INLINE] = ACTIONS(3997),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(3997),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(3997),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(3997),
    [anon_sym_IBOutlet] = ACTIONS(3997),
    [anon_sym_IBInspectable] = ACTIONS(3997),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(3997),
    [anon_sym_NS_INLINE] = ACTIONS(3997),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(3997),
    [anon_sym_OBJC_EXPORT] = ACTIONS(3997),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(3997),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(3997),
    [anon_sym_const] = ACTIONS(3997),
    [anon_sym_constexpr] = ACTIONS(3997),
    [anon_sym_volatile] = ACTIONS(3997),
    [anon_sym_restrict] = ACTIONS(3997),
    [anon_sym___restrict__] = ACTIONS(3997),
    [anon_sym__Atomic] = ACTIONS(3997),
    [anon_sym__Noreturn] = ACTIONS(3997),
    [anon_sym__Nonnull] = ACTIONS(3997),
    [anon_sym_nullable] = ACTIONS(3997),
    [anon_sym__Complex] = ACTIONS(3997),
    [anon_sym__Nullable] = ACTIONS(3997),
    [anon_sym__Nullable_result] = ACTIONS(3997),
    [anon_sym__Null_unspecified] = ACTIONS(3997),
    [anon_sym___autoreleasing] = ACTIONS(3997),
    [anon_sym___block] = ACTIONS(3997),
    [anon_sym___bridge] = ACTIONS(3997),
    [anon_sym___bridge_retained] = ACTIONS(3997),
    [anon_sym___bridge_transfer] = ACTIONS(3997),
    [anon_sym___complex] = ACTIONS(3997),
    [anon_sym___const] = ACTIONS(3997),
    [anon_sym___imag] = ACTIONS(3997),
    [anon_sym___kindof] = ACTIONS(3997),
    [anon_sym___nonnull] = ACTIONS(3997),
    [anon_sym___nullable] = ACTIONS(3997),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(3997),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(3997),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(3997),
    [anon_sym___real] = ACTIONS(3997),
    [anon_sym___strong] = ACTIONS(3997),
    [anon_sym___unsafe_unretained] = ACTIONS(3997),
    [anon_sym___unused] = ACTIONS(3997),
    [anon_sym___weak] = ACTIONS(3997),
    [anon_sym_alignas] = ACTIONS(3997),
    [anon_sym__Alignas] = ACTIONS(3997),
    [sym_primitive_type] = ACTIONS(3997),
    [anon_sym_enum] = ACTIONS(3997),
    [anon_sym_COLON] = ACTIONS(3999),
    [anon_sym_struct] = ACTIONS(3997),
    [anon_sym_union] = ACTIONS(3997),
    [anon_sym_QMARK] = ACTIONS(3999),
    [anon_sym_STAR_EQ] = ACTIONS(3999),
    [anon_sym_SLASH_EQ] = ACTIONS(3999),
    [anon_sym_PERCENT_EQ] = ACTIONS(3999),
    [anon_sym_PLUS_EQ] = ACTIONS(3999),
    [anon_sym_DASH_EQ] = ACTIONS(3999),
    [anon_sym_LT_LT_EQ] = ACTIONS(3999),
    [anon_sym_GT_GT_EQ] = ACTIONS(3999),
    [anon_sym_AMP_EQ] = ACTIONS(3999),
    [anon_sym_CARET_EQ] = ACTIONS(3999),
    [anon_sym_PIPE_EQ] = ACTIONS(3999),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(3997),
    [anon_sym___typeof] = ACTIONS(3997),
    [anon_sym_typeof] = ACTIONS(3997),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(3997),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(3997),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(3997),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(3997),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(3997),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(3997),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(3997),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(3997),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(3997),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(3997),
    [anon_sym_NS_AVAILABLE] = ACTIONS(3997),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(3997),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(3997),
    [anon_sym_API_AVAILABLE] = ACTIONS(3997),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(3997),
    [anon_sym_API_DEPRECATED] = ACTIONS(3997),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(3997),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(3997),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(3997),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(3997),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(3997),
    [anon_sym___deprecated_msg] = ACTIONS(3997),
    [anon_sym___deprecated_enum_msg] = ACTIONS(3997),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(3997),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(3997),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(3997),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(3997),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(3997),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(3997),
    [anon_sym_BOOL] = ACTIONS(3997),
    [anon_sym_IMP] = ACTIONS(3997),
    [anon_sym_SEL] = ACTIONS(3997),
    [anon_sym_Class] = ACTIONS(3997),
    [anon_sym_id] = ACTIONS(3997),
  },
  [1448] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4003),
    [anon_sym_COMMA] = ACTIONS(4003),
    [anon_sym_RPAREN] = ACTIONS(4003),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4003),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4001),
    [anon_sym_PLUS] = ACTIONS(4001),
    [anon_sym_STAR] = ACTIONS(4001),
    [anon_sym_SLASH] = ACTIONS(4001),
    [anon_sym_PERCENT] = ACTIONS(4001),
    [anon_sym_PIPE_PIPE] = ACTIONS(4003),
    [anon_sym_AMP_AMP] = ACTIONS(4003),
    [anon_sym_PIPE] = ACTIONS(4001),
    [anon_sym_CARET] = ACTIONS(4001),
    [anon_sym_AMP] = ACTIONS(4001),
    [anon_sym_EQ_EQ] = ACTIONS(4003),
    [anon_sym_BANG_EQ] = ACTIONS(4003),
    [anon_sym_GT] = ACTIONS(4001),
    [anon_sym_GT_EQ] = ACTIONS(4003),
    [anon_sym_LT_EQ] = ACTIONS(4003),
    [anon_sym_LT] = ACTIONS(4001),
    [anon_sym_LT_LT] = ACTIONS(4001),
    [anon_sym_GT_GT] = ACTIONS(4001),
    [anon_sym_SEMI] = ACTIONS(4003),
    [anon_sym___extension__] = ACTIONS(4001),
    [anon_sym_extern] = ACTIONS(4001),
    [anon_sym___attribute__] = ACTIONS(4001),
    [anon_sym___attribute] = ACTIONS(4001),
    [anon_sym_noreturn] = ACTIONS(4001),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_RBRACK] = ACTIONS(4003),
    [anon_sym___declspec] = ACTIONS(4001),
    [anon_sym_LBRACE] = ACTIONS(4003),
    [anon_sym_RBRACE] = ACTIONS(4003),
    [anon_sym_signed] = ACTIONS(4001),
    [anon_sym_unsigned] = ACTIONS(4001),
    [anon_sym_long] = ACTIONS(4001),
    [anon_sym_short] = ACTIONS(4001),
    [anon_sym_static] = ACTIONS(4001),
    [anon_sym_EQ] = ACTIONS(4001),
    [anon_sym_ATautoreleasepool] = ACTIONS(4003),
    [anon_sym_auto] = ACTIONS(4001),
    [anon_sym_register] = ACTIONS(4001),
    [anon_sym_inline] = ACTIONS(4001),
    [anon_sym___inline] = ACTIONS(4001),
    [anon_sym___inline__] = ACTIONS(4001),
    [anon_sym___forceinline] = ACTIONS(4001),
    [anon_sym_thread_local] = ACTIONS(4001),
    [anon_sym___thread] = ACTIONS(4001),
    [anon_sym_CG_EXTERN] = ACTIONS(4001),
    [anon_sym_CG_INLINE] = ACTIONS(4001),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4001),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4001),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4001),
    [anon_sym_IBOutlet] = ACTIONS(4001),
    [anon_sym_IBInspectable] = ACTIONS(4001),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4001),
    [anon_sym_NS_INLINE] = ACTIONS(4001),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4001),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4001),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4001),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4001),
    [anon_sym_const] = ACTIONS(4001),
    [anon_sym_constexpr] = ACTIONS(4001),
    [anon_sym_volatile] = ACTIONS(4001),
    [anon_sym_restrict] = ACTIONS(4001),
    [anon_sym___restrict__] = ACTIONS(4001),
    [anon_sym__Atomic] = ACTIONS(4001),
    [anon_sym__Noreturn] = ACTIONS(4001),
    [anon_sym__Nonnull] = ACTIONS(4001),
    [anon_sym_nullable] = ACTIONS(4001),
    [anon_sym__Complex] = ACTIONS(4001),
    [anon_sym__Nullable] = ACTIONS(4001),
    [anon_sym__Nullable_result] = ACTIONS(4001),
    [anon_sym__Null_unspecified] = ACTIONS(4001),
    [anon_sym___autoreleasing] = ACTIONS(4001),
    [anon_sym___block] = ACTIONS(4001),
    [anon_sym___bridge] = ACTIONS(4001),
    [anon_sym___bridge_retained] = ACTIONS(4001),
    [anon_sym___bridge_transfer] = ACTIONS(4001),
    [anon_sym___complex] = ACTIONS(4001),
    [anon_sym___const] = ACTIONS(4001),
    [anon_sym___imag] = ACTIONS(4001),
    [anon_sym___kindof] = ACTIONS(4001),
    [anon_sym___nonnull] = ACTIONS(4001),
    [anon_sym___nullable] = ACTIONS(4001),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4001),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4001),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4001),
    [anon_sym___real] = ACTIONS(4001),
    [anon_sym___strong] = ACTIONS(4001),
    [anon_sym___unsafe_unretained] = ACTIONS(4001),
    [anon_sym___unused] = ACTIONS(4001),
    [anon_sym___weak] = ACTIONS(4001),
    [anon_sym_alignas] = ACTIONS(4001),
    [anon_sym__Alignas] = ACTIONS(4001),
    [sym_primitive_type] = ACTIONS(4001),
    [anon_sym_enum] = ACTIONS(4001),
    [anon_sym_COLON] = ACTIONS(4003),
    [anon_sym_struct] = ACTIONS(4001),
    [anon_sym_union] = ACTIONS(4001),
    [anon_sym_QMARK] = ACTIONS(4003),
    [anon_sym_STAR_EQ] = ACTIONS(4003),
    [anon_sym_SLASH_EQ] = ACTIONS(4003),
    [anon_sym_PERCENT_EQ] = ACTIONS(4003),
    [anon_sym_PLUS_EQ] = ACTIONS(4003),
    [anon_sym_DASH_EQ] = ACTIONS(4003),
    [anon_sym_LT_LT_EQ] = ACTIONS(4003),
    [anon_sym_GT_GT_EQ] = ACTIONS(4003),
    [anon_sym_AMP_EQ] = ACTIONS(4003),
    [anon_sym_CARET_EQ] = ACTIONS(4003),
    [anon_sym_PIPE_EQ] = ACTIONS(4003),
    [anon_sym_DASH_DASH] = ACTIONS(4003),
    [anon_sym_PLUS_PLUS] = ACTIONS(4003),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4001),
    [anon_sym___typeof] = ACTIONS(4001),
    [anon_sym_typeof] = ACTIONS(4001),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4001),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4001),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4001),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4001),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4001),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4001),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4001),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4001),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4001),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4001),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4001),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4001),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4001),
    [anon_sym_API_AVAILABLE] = ACTIONS(4001),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4001),
    [anon_sym_API_DEPRECATED] = ACTIONS(4001),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4001),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4001),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4001),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4001),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4001),
    [anon_sym___deprecated_msg] = ACTIONS(4001),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4001),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4001),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4001),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4001),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4001),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4001),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4001),
    [anon_sym_BOOL] = ACTIONS(4001),
    [anon_sym_IMP] = ACTIONS(4001),
    [anon_sym_SEL] = ACTIONS(4001),
    [anon_sym_Class] = ACTIONS(4001),
    [anon_sym_id] = ACTIONS(4001),
  },
  [1449] = {
    [sym_string_literal] = STATE(1603),
    [sym_identifier] = ACTIONS(4005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4007),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4005),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4005),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4005),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4007),
    [anon_sym___extension__] = ACTIONS(4005),
    [anon_sym_extern] = ACTIONS(4005),
    [anon_sym___attribute__] = ACTIONS(4005),
    [anon_sym___attribute] = ACTIONS(4005),
    [anon_sym_noreturn] = ACTIONS(4005),
    [anon_sym_LBRACK] = ACTIONS(4007),
    [anon_sym___declspec] = ACTIONS(4005),
    [anon_sym_LBRACE] = ACTIONS(4007),
    [anon_sym_signed] = ACTIONS(4005),
    [anon_sym_unsigned] = ACTIONS(4005),
    [anon_sym_long] = ACTIONS(4005),
    [anon_sym_short] = ACTIONS(4005),
    [anon_sym_static] = ACTIONS(4005),
    [anon_sym_EQ] = ACTIONS(4009),
    [anon_sym_ATautoreleasepool] = ACTIONS(4007),
    [anon_sym_auto] = ACTIONS(4005),
    [anon_sym_register] = ACTIONS(4005),
    [anon_sym_inline] = ACTIONS(4005),
    [anon_sym___inline] = ACTIONS(4005),
    [anon_sym___inline__] = ACTIONS(4005),
    [anon_sym___forceinline] = ACTIONS(4005),
    [anon_sym_thread_local] = ACTIONS(4005),
    [anon_sym___thread] = ACTIONS(4005),
    [anon_sym_CG_EXTERN] = ACTIONS(4005),
    [anon_sym_CG_INLINE] = ACTIONS(4005),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4005),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4005),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4005),
    [anon_sym_IBOutlet] = ACTIONS(4005),
    [anon_sym_IBInspectable] = ACTIONS(4005),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4005),
    [anon_sym_NS_INLINE] = ACTIONS(4005),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4005),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4005),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4005),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4005),
    [anon_sym_const] = ACTIONS(4005),
    [anon_sym_constexpr] = ACTIONS(4005),
    [anon_sym_volatile] = ACTIONS(4005),
    [anon_sym_restrict] = ACTIONS(4005),
    [anon_sym___restrict__] = ACTIONS(4005),
    [anon_sym__Atomic] = ACTIONS(4005),
    [anon_sym__Noreturn] = ACTIONS(4005),
    [anon_sym__Nonnull] = ACTIONS(4005),
    [anon_sym_nullable] = ACTIONS(4005),
    [anon_sym__Complex] = ACTIONS(4005),
    [anon_sym__Nullable] = ACTIONS(4005),
    [anon_sym__Nullable_result] = ACTIONS(4005),
    [anon_sym__Null_unspecified] = ACTIONS(4005),
    [anon_sym___autoreleasing] = ACTIONS(4005),
    [anon_sym___block] = ACTIONS(4005),
    [anon_sym___bridge] = ACTIONS(4005),
    [anon_sym___bridge_retained] = ACTIONS(4005),
    [anon_sym___bridge_transfer] = ACTIONS(4005),
    [anon_sym___complex] = ACTIONS(4005),
    [anon_sym___const] = ACTIONS(4005),
    [anon_sym___imag] = ACTIONS(4005),
    [anon_sym___kindof] = ACTIONS(4005),
    [anon_sym___nonnull] = ACTIONS(4005),
    [anon_sym___nullable] = ACTIONS(4005),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4005),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4005),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4005),
    [anon_sym___real] = ACTIONS(4005),
    [anon_sym___strong] = ACTIONS(4005),
    [anon_sym___unsafe_unretained] = ACTIONS(4005),
    [anon_sym___unused] = ACTIONS(4005),
    [anon_sym___weak] = ACTIONS(4005),
    [anon_sym_alignas] = ACTIONS(4005),
    [anon_sym__Alignas] = ACTIONS(4005),
    [sym_primitive_type] = ACTIONS(4005),
    [anon_sym_enum] = ACTIONS(4005),
    [anon_sym_struct] = ACTIONS(4005),
    [anon_sym_union] = ACTIONS(4005),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4011),
    [anon_sym_SLASH_EQ] = ACTIONS(4011),
    [anon_sym_PERCENT_EQ] = ACTIONS(4011),
    [anon_sym_PLUS_EQ] = ACTIONS(4011),
    [anon_sym_DASH_EQ] = ACTIONS(4011),
    [anon_sym_LT_LT_EQ] = ACTIONS(4011),
    [anon_sym_GT_GT_EQ] = ACTIONS(4011),
    [anon_sym_AMP_EQ] = ACTIONS(4011),
    [anon_sym_CARET_EQ] = ACTIONS(4011),
    [anon_sym_PIPE_EQ] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [anon_sym_AT] = ACTIONS(4013),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4005),
    [anon_sym___typeof] = ACTIONS(4005),
    [anon_sym_typeof] = ACTIONS(4005),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4005),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4005),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4005),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4005),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4005),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4005),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4005),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4005),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4005),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_API_AVAILABLE] = ACTIONS(4005),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_API_DEPRECATED] = ACTIONS(4005),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4005),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4005),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4005),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4005),
    [anon_sym___deprecated_msg] = ACTIONS(4005),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4005),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4005),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4005),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4005),
    [anon_sym_BOOL] = ACTIONS(4005),
    [anon_sym_IMP] = ACTIONS(4005),
    [anon_sym_SEL] = ACTIONS(4005),
    [anon_sym_Class] = ACTIONS(4005),
    [anon_sym_id] = ACTIONS(4005),
  },
  [1450] = {
    [sym_string_literal] = STATE(1442),
    [sym_identifier] = ACTIONS(4015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4017),
    [anon_sym_COMMA] = ACTIONS(4017),
    [anon_sym_LPAREN2] = ACTIONS(4017),
    [anon_sym_DASH] = ACTIONS(4015),
    [anon_sym_PLUS] = ACTIONS(4015),
    [anon_sym_STAR] = ACTIONS(4015),
    [anon_sym_SLASH] = ACTIONS(4015),
    [anon_sym_PERCENT] = ACTIONS(4015),
    [anon_sym_PIPE_PIPE] = ACTIONS(4017),
    [anon_sym_AMP_AMP] = ACTIONS(4017),
    [anon_sym_PIPE] = ACTIONS(4015),
    [anon_sym_CARET] = ACTIONS(4015),
    [anon_sym_AMP] = ACTIONS(4015),
    [anon_sym_EQ_EQ] = ACTIONS(4017),
    [anon_sym_BANG_EQ] = ACTIONS(4017),
    [anon_sym_GT] = ACTIONS(4015),
    [anon_sym_GT_EQ] = ACTIONS(4017),
    [anon_sym_LT_EQ] = ACTIONS(4017),
    [anon_sym_LT] = ACTIONS(4015),
    [anon_sym_LT_LT] = ACTIONS(4015),
    [anon_sym_GT_GT] = ACTIONS(4015),
    [anon_sym_SEMI] = ACTIONS(4017),
    [anon_sym___extension__] = ACTIONS(4015),
    [anon_sym_extern] = ACTIONS(4015),
    [anon_sym___attribute__] = ACTIONS(4015),
    [anon_sym___attribute] = ACTIONS(4015),
    [anon_sym_noreturn] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(4017),
    [anon_sym___declspec] = ACTIONS(4015),
    [anon_sym_LBRACE] = ACTIONS(4017),
    [anon_sym_signed] = ACTIONS(4015),
    [anon_sym_unsigned] = ACTIONS(4015),
    [anon_sym_long] = ACTIONS(4015),
    [anon_sym_short] = ACTIONS(4015),
    [anon_sym_static] = ACTIONS(4015),
    [anon_sym_EQ] = ACTIONS(4015),
    [anon_sym_ATautoreleasepool] = ACTIONS(4017),
    [anon_sym_auto] = ACTIONS(4015),
    [anon_sym_register] = ACTIONS(4015),
    [anon_sym_inline] = ACTIONS(4015),
    [anon_sym___inline] = ACTIONS(4015),
    [anon_sym___inline__] = ACTIONS(4015),
    [anon_sym___forceinline] = ACTIONS(4015),
    [anon_sym_thread_local] = ACTIONS(4015),
    [anon_sym___thread] = ACTIONS(4015),
    [anon_sym_CG_EXTERN] = ACTIONS(4015),
    [anon_sym_CG_INLINE] = ACTIONS(4015),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4015),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4015),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4015),
    [anon_sym_IBOutlet] = ACTIONS(4015),
    [anon_sym_IBInspectable] = ACTIONS(4015),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4015),
    [anon_sym_NS_INLINE] = ACTIONS(4015),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4015),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4015),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4015),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4015),
    [anon_sym_const] = ACTIONS(4015),
    [anon_sym_constexpr] = ACTIONS(4015),
    [anon_sym_volatile] = ACTIONS(4015),
    [anon_sym_restrict] = ACTIONS(4015),
    [anon_sym___restrict__] = ACTIONS(4015),
    [anon_sym__Atomic] = ACTIONS(4015),
    [anon_sym__Noreturn] = ACTIONS(4015),
    [anon_sym__Nonnull] = ACTIONS(4015),
    [anon_sym_nullable] = ACTIONS(4015),
    [anon_sym__Complex] = ACTIONS(4015),
    [anon_sym__Nullable] = ACTIONS(4015),
    [anon_sym__Nullable_result] = ACTIONS(4015),
    [anon_sym__Null_unspecified] = ACTIONS(4015),
    [anon_sym___autoreleasing] = ACTIONS(4015),
    [anon_sym___block] = ACTIONS(4015),
    [anon_sym___bridge] = ACTIONS(4015),
    [anon_sym___bridge_retained] = ACTIONS(4015),
    [anon_sym___bridge_transfer] = ACTIONS(4015),
    [anon_sym___complex] = ACTIONS(4015),
    [anon_sym___const] = ACTIONS(4015),
    [anon_sym___imag] = ACTIONS(4015),
    [anon_sym___kindof] = ACTIONS(4015),
    [anon_sym___nonnull] = ACTIONS(4015),
    [anon_sym___nullable] = ACTIONS(4015),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4015),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4015),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4015),
    [anon_sym___real] = ACTIONS(4015),
    [anon_sym___strong] = ACTIONS(4015),
    [anon_sym___unsafe_unretained] = ACTIONS(4015),
    [anon_sym___unused] = ACTIONS(4015),
    [anon_sym___weak] = ACTIONS(4015),
    [anon_sym_alignas] = ACTIONS(4015),
    [anon_sym__Alignas] = ACTIONS(4015),
    [sym_primitive_type] = ACTIONS(4015),
    [anon_sym_enum] = ACTIONS(4015),
    [anon_sym_struct] = ACTIONS(4015),
    [anon_sym_union] = ACTIONS(4015),
    [anon_sym_QMARK] = ACTIONS(4017),
    [anon_sym_STAR_EQ] = ACTIONS(4017),
    [anon_sym_SLASH_EQ] = ACTIONS(4017),
    [anon_sym_PERCENT_EQ] = ACTIONS(4017),
    [anon_sym_PLUS_EQ] = ACTIONS(4017),
    [anon_sym_DASH_EQ] = ACTIONS(4017),
    [anon_sym_LT_LT_EQ] = ACTIONS(4017),
    [anon_sym_GT_GT_EQ] = ACTIONS(4017),
    [anon_sym_AMP_EQ] = ACTIONS(4017),
    [anon_sym_CARET_EQ] = ACTIONS(4017),
    [anon_sym_PIPE_EQ] = ACTIONS(4017),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_DOT] = ACTIONS(4015),
    [anon_sym_DASH_GT] = ACTIONS(4017),
    [anon_sym_AT] = ACTIONS(3956),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_L_DQUOTE] = ACTIONS(2246),
    [anon_sym_u_DQUOTE] = ACTIONS(2246),
    [anon_sym_U_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8_DQUOTE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4015),
    [anon_sym___typeof] = ACTIONS(4015),
    [anon_sym_typeof] = ACTIONS(4015),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4015),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4015),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4015),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4015),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4015),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4015),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4015),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4015),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4015),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4015),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4015),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4015),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4015),
    [anon_sym_API_AVAILABLE] = ACTIONS(4015),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4015),
    [anon_sym_API_DEPRECATED] = ACTIONS(4015),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4015),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4015),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4015),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4015),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4015),
    [anon_sym___deprecated_msg] = ACTIONS(4015),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4015),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4015),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4015),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4015),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4015),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4015),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4015),
    [anon_sym_BOOL] = ACTIONS(4015),
    [anon_sym_IMP] = ACTIONS(4015),
    [anon_sym_SEL] = ACTIONS(4015),
    [anon_sym_Class] = ACTIONS(4015),
    [anon_sym_id] = ACTIONS(4015),
  },
  [1451] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4021),
    [anon_sym_COMMA] = ACTIONS(4021),
    [anon_sym_RPAREN] = ACTIONS(4021),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4021),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4021),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4019),
    [anon_sym_PLUS] = ACTIONS(4019),
    [anon_sym_STAR] = ACTIONS(4019),
    [anon_sym_SLASH] = ACTIONS(4019),
    [anon_sym_PERCENT] = ACTIONS(4019),
    [anon_sym_PIPE_PIPE] = ACTIONS(4021),
    [anon_sym_AMP_AMP] = ACTIONS(4021),
    [anon_sym_PIPE] = ACTIONS(4019),
    [anon_sym_CARET] = ACTIONS(4019),
    [anon_sym_AMP] = ACTIONS(4019),
    [anon_sym_EQ_EQ] = ACTIONS(4021),
    [anon_sym_BANG_EQ] = ACTIONS(4021),
    [anon_sym_GT] = ACTIONS(4019),
    [anon_sym_GT_EQ] = ACTIONS(4021),
    [anon_sym_LT_EQ] = ACTIONS(4021),
    [anon_sym_LT] = ACTIONS(4019),
    [anon_sym_LT_LT] = ACTIONS(4019),
    [anon_sym_GT_GT] = ACTIONS(4019),
    [anon_sym_SEMI] = ACTIONS(4021),
    [anon_sym___extension__] = ACTIONS(4019),
    [anon_sym_extern] = ACTIONS(4019),
    [anon_sym___attribute__] = ACTIONS(4019),
    [anon_sym___attribute] = ACTIONS(4019),
    [anon_sym_noreturn] = ACTIONS(4019),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_RBRACK] = ACTIONS(4021),
    [anon_sym___declspec] = ACTIONS(4019),
    [anon_sym_LBRACE] = ACTIONS(4021),
    [anon_sym_RBRACE] = ACTIONS(4021),
    [anon_sym_signed] = ACTIONS(4019),
    [anon_sym_unsigned] = ACTIONS(4019),
    [anon_sym_long] = ACTIONS(4019),
    [anon_sym_short] = ACTIONS(4019),
    [anon_sym_static] = ACTIONS(4019),
    [anon_sym_EQ] = ACTIONS(4019),
    [anon_sym_ATautoreleasepool] = ACTIONS(4021),
    [anon_sym_auto] = ACTIONS(4019),
    [anon_sym_register] = ACTIONS(4019),
    [anon_sym_inline] = ACTIONS(4019),
    [anon_sym___inline] = ACTIONS(4019),
    [anon_sym___inline__] = ACTIONS(4019),
    [anon_sym___forceinline] = ACTIONS(4019),
    [anon_sym_thread_local] = ACTIONS(4019),
    [anon_sym___thread] = ACTIONS(4019),
    [anon_sym_CG_EXTERN] = ACTIONS(4019),
    [anon_sym_CG_INLINE] = ACTIONS(4019),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4019),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4019),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4019),
    [anon_sym_IBOutlet] = ACTIONS(4019),
    [anon_sym_IBInspectable] = ACTIONS(4019),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4019),
    [anon_sym_NS_INLINE] = ACTIONS(4019),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4019),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4019),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4019),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4019),
    [anon_sym_const] = ACTIONS(4019),
    [anon_sym_constexpr] = ACTIONS(4019),
    [anon_sym_volatile] = ACTIONS(4019),
    [anon_sym_restrict] = ACTIONS(4019),
    [anon_sym___restrict__] = ACTIONS(4019),
    [anon_sym__Atomic] = ACTIONS(4019),
    [anon_sym__Noreturn] = ACTIONS(4019),
    [anon_sym__Nonnull] = ACTIONS(4019),
    [anon_sym_nullable] = ACTIONS(4019),
    [anon_sym__Complex] = ACTIONS(4019),
    [anon_sym__Nullable] = ACTIONS(4019),
    [anon_sym__Nullable_result] = ACTIONS(4019),
    [anon_sym__Null_unspecified] = ACTIONS(4019),
    [anon_sym___autoreleasing] = ACTIONS(4019),
    [anon_sym___block] = ACTIONS(4019),
    [anon_sym___bridge] = ACTIONS(4019),
    [anon_sym___bridge_retained] = ACTIONS(4019),
    [anon_sym___bridge_transfer] = ACTIONS(4019),
    [anon_sym___complex] = ACTIONS(4019),
    [anon_sym___const] = ACTIONS(4019),
    [anon_sym___imag] = ACTIONS(4019),
    [anon_sym___kindof] = ACTIONS(4019),
    [anon_sym___nonnull] = ACTIONS(4019),
    [anon_sym___nullable] = ACTIONS(4019),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4019),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4019),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4019),
    [anon_sym___real] = ACTIONS(4019),
    [anon_sym___strong] = ACTIONS(4019),
    [anon_sym___unsafe_unretained] = ACTIONS(4019),
    [anon_sym___unused] = ACTIONS(4019),
    [anon_sym___weak] = ACTIONS(4019),
    [anon_sym_alignas] = ACTIONS(4019),
    [anon_sym__Alignas] = ACTIONS(4019),
    [sym_primitive_type] = ACTIONS(4019),
    [anon_sym_enum] = ACTIONS(4019),
    [anon_sym_COLON] = ACTIONS(4021),
    [anon_sym_struct] = ACTIONS(4019),
    [anon_sym_union] = ACTIONS(4019),
    [anon_sym_QMARK] = ACTIONS(4021),
    [anon_sym_STAR_EQ] = ACTIONS(4021),
    [anon_sym_SLASH_EQ] = ACTIONS(4021),
    [anon_sym_PERCENT_EQ] = ACTIONS(4021),
    [anon_sym_PLUS_EQ] = ACTIONS(4021),
    [anon_sym_DASH_EQ] = ACTIONS(4021),
    [anon_sym_LT_LT_EQ] = ACTIONS(4021),
    [anon_sym_GT_GT_EQ] = ACTIONS(4021),
    [anon_sym_AMP_EQ] = ACTIONS(4021),
    [anon_sym_CARET_EQ] = ACTIONS(4021),
    [anon_sym_PIPE_EQ] = ACTIONS(4021),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4019),
    [anon_sym___typeof] = ACTIONS(4019),
    [anon_sym_typeof] = ACTIONS(4019),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4019),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4019),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4019),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4019),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4019),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4019),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4019),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4019),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4019),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4019),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4019),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4019),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4019),
    [anon_sym_API_AVAILABLE] = ACTIONS(4019),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4019),
    [anon_sym_API_DEPRECATED] = ACTIONS(4019),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4019),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4019),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4019),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4019),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4019),
    [anon_sym___deprecated_msg] = ACTIONS(4019),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4019),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4019),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4019),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4019),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4019),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4019),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4019),
    [anon_sym_BOOL] = ACTIONS(4019),
    [anon_sym_IMP] = ACTIONS(4019),
    [anon_sym_SEL] = ACTIONS(4019),
    [anon_sym_Class] = ACTIONS(4019),
    [anon_sym_id] = ACTIONS(4019),
  },
  [1452] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4023),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4025),
    [anon_sym_COMMA] = ACTIONS(4025),
    [anon_sym_RPAREN] = ACTIONS(4025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4025),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4023),
    [anon_sym_PLUS] = ACTIONS(4023),
    [anon_sym_STAR] = ACTIONS(4023),
    [anon_sym_SLASH] = ACTIONS(4023),
    [anon_sym_PERCENT] = ACTIONS(4023),
    [anon_sym_PIPE_PIPE] = ACTIONS(4025),
    [anon_sym_AMP_AMP] = ACTIONS(4025),
    [anon_sym_PIPE] = ACTIONS(4023),
    [anon_sym_CARET] = ACTIONS(4023),
    [anon_sym_AMP] = ACTIONS(4023),
    [anon_sym_EQ_EQ] = ACTIONS(4025),
    [anon_sym_BANG_EQ] = ACTIONS(4025),
    [anon_sym_GT] = ACTIONS(4023),
    [anon_sym_GT_EQ] = ACTIONS(4025),
    [anon_sym_LT_EQ] = ACTIONS(4025),
    [anon_sym_LT] = ACTIONS(4023),
    [anon_sym_LT_LT] = ACTIONS(4023),
    [anon_sym_GT_GT] = ACTIONS(4023),
    [anon_sym_SEMI] = ACTIONS(4025),
    [anon_sym___extension__] = ACTIONS(4023),
    [anon_sym_extern] = ACTIONS(4023),
    [anon_sym___attribute__] = ACTIONS(4023),
    [anon_sym___attribute] = ACTIONS(4023),
    [anon_sym_noreturn] = ACTIONS(4023),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_RBRACK] = ACTIONS(4025),
    [anon_sym___declspec] = ACTIONS(4023),
    [anon_sym_LBRACE] = ACTIONS(4025),
    [anon_sym_RBRACE] = ACTIONS(4025),
    [anon_sym_signed] = ACTIONS(4023),
    [anon_sym_unsigned] = ACTIONS(4023),
    [anon_sym_long] = ACTIONS(4023),
    [anon_sym_short] = ACTIONS(4023),
    [anon_sym_static] = ACTIONS(4023),
    [anon_sym_EQ] = ACTIONS(4023),
    [anon_sym_ATautoreleasepool] = ACTIONS(4025),
    [anon_sym_auto] = ACTIONS(4023),
    [anon_sym_register] = ACTIONS(4023),
    [anon_sym_inline] = ACTIONS(4023),
    [anon_sym___inline] = ACTIONS(4023),
    [anon_sym___inline__] = ACTIONS(4023),
    [anon_sym___forceinline] = ACTIONS(4023),
    [anon_sym_thread_local] = ACTIONS(4023),
    [anon_sym___thread] = ACTIONS(4023),
    [anon_sym_CG_EXTERN] = ACTIONS(4023),
    [anon_sym_CG_INLINE] = ACTIONS(4023),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4023),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4023),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4023),
    [anon_sym_IBOutlet] = ACTIONS(4023),
    [anon_sym_IBInspectable] = ACTIONS(4023),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4023),
    [anon_sym_NS_INLINE] = ACTIONS(4023),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4023),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4023),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4023),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4023),
    [anon_sym_const] = ACTIONS(4023),
    [anon_sym_constexpr] = ACTIONS(4023),
    [anon_sym_volatile] = ACTIONS(4023),
    [anon_sym_restrict] = ACTIONS(4023),
    [anon_sym___restrict__] = ACTIONS(4023),
    [anon_sym__Atomic] = ACTIONS(4023),
    [anon_sym__Noreturn] = ACTIONS(4023),
    [anon_sym__Nonnull] = ACTIONS(4023),
    [anon_sym_nullable] = ACTIONS(4023),
    [anon_sym__Complex] = ACTIONS(4023),
    [anon_sym__Nullable] = ACTIONS(4023),
    [anon_sym__Nullable_result] = ACTIONS(4023),
    [anon_sym__Null_unspecified] = ACTIONS(4023),
    [anon_sym___autoreleasing] = ACTIONS(4023),
    [anon_sym___block] = ACTIONS(4023),
    [anon_sym___bridge] = ACTIONS(4023),
    [anon_sym___bridge_retained] = ACTIONS(4023),
    [anon_sym___bridge_transfer] = ACTIONS(4023),
    [anon_sym___complex] = ACTIONS(4023),
    [anon_sym___const] = ACTIONS(4023),
    [anon_sym___imag] = ACTIONS(4023),
    [anon_sym___kindof] = ACTIONS(4023),
    [anon_sym___nonnull] = ACTIONS(4023),
    [anon_sym___nullable] = ACTIONS(4023),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4023),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4023),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4023),
    [anon_sym___real] = ACTIONS(4023),
    [anon_sym___strong] = ACTIONS(4023),
    [anon_sym___unsafe_unretained] = ACTIONS(4023),
    [anon_sym___unused] = ACTIONS(4023),
    [anon_sym___weak] = ACTIONS(4023),
    [anon_sym_alignas] = ACTIONS(4023),
    [anon_sym__Alignas] = ACTIONS(4023),
    [sym_primitive_type] = ACTIONS(4023),
    [anon_sym_enum] = ACTIONS(4023),
    [anon_sym_COLON] = ACTIONS(4025),
    [anon_sym_struct] = ACTIONS(4023),
    [anon_sym_union] = ACTIONS(4023),
    [anon_sym_QMARK] = ACTIONS(4025),
    [anon_sym_STAR_EQ] = ACTIONS(4025),
    [anon_sym_SLASH_EQ] = ACTIONS(4025),
    [anon_sym_PERCENT_EQ] = ACTIONS(4025),
    [anon_sym_PLUS_EQ] = ACTIONS(4025),
    [anon_sym_DASH_EQ] = ACTIONS(4025),
    [anon_sym_LT_LT_EQ] = ACTIONS(4025),
    [anon_sym_GT_GT_EQ] = ACTIONS(4025),
    [anon_sym_AMP_EQ] = ACTIONS(4025),
    [anon_sym_CARET_EQ] = ACTIONS(4025),
    [anon_sym_PIPE_EQ] = ACTIONS(4025),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4023),
    [anon_sym___typeof] = ACTIONS(4023),
    [anon_sym_typeof] = ACTIONS(4023),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4023),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4023),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4023),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4023),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4023),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4023),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4023),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4023),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4023),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4023),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4023),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4023),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4023),
    [anon_sym_API_AVAILABLE] = ACTIONS(4023),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4023),
    [anon_sym_API_DEPRECATED] = ACTIONS(4023),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4023),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4023),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4023),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4023),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4023),
    [anon_sym___deprecated_msg] = ACTIONS(4023),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4023),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4023),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4023),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4023),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4023),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4023),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4023),
    [anon_sym_BOOL] = ACTIONS(4023),
    [anon_sym_IMP] = ACTIONS(4023),
    [anon_sym_SEL] = ACTIONS(4023),
    [anon_sym_Class] = ACTIONS(4023),
    [anon_sym_id] = ACTIONS(4023),
  },
  [1453] = {
    [sym_string_literal] = STATE(1442),
    [sym_identifier] = ACTIONS(4005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4007),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4005),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4005),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4005),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4007),
    [anon_sym___extension__] = ACTIONS(4005),
    [anon_sym_extern] = ACTIONS(4005),
    [anon_sym___attribute__] = ACTIONS(4005),
    [anon_sym___attribute] = ACTIONS(4005),
    [anon_sym_noreturn] = ACTIONS(4005),
    [anon_sym_LBRACK] = ACTIONS(4007),
    [anon_sym___declspec] = ACTIONS(4005),
    [anon_sym_LBRACE] = ACTIONS(4007),
    [anon_sym_signed] = ACTIONS(4005),
    [anon_sym_unsigned] = ACTIONS(4005),
    [anon_sym_long] = ACTIONS(4005),
    [anon_sym_short] = ACTIONS(4005),
    [anon_sym_static] = ACTIONS(4005),
    [anon_sym_EQ] = ACTIONS(4005),
    [anon_sym_ATautoreleasepool] = ACTIONS(4007),
    [anon_sym_auto] = ACTIONS(4005),
    [anon_sym_register] = ACTIONS(4005),
    [anon_sym_inline] = ACTIONS(4005),
    [anon_sym___inline] = ACTIONS(4005),
    [anon_sym___inline__] = ACTIONS(4005),
    [anon_sym___forceinline] = ACTIONS(4005),
    [anon_sym_thread_local] = ACTIONS(4005),
    [anon_sym___thread] = ACTIONS(4005),
    [anon_sym_CG_EXTERN] = ACTIONS(4005),
    [anon_sym_CG_INLINE] = ACTIONS(4005),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4005),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4005),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4005),
    [anon_sym_IBOutlet] = ACTIONS(4005),
    [anon_sym_IBInspectable] = ACTIONS(4005),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4005),
    [anon_sym_NS_INLINE] = ACTIONS(4005),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4005),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4005),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4005),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4005),
    [anon_sym_const] = ACTIONS(4005),
    [anon_sym_constexpr] = ACTIONS(4005),
    [anon_sym_volatile] = ACTIONS(4005),
    [anon_sym_restrict] = ACTIONS(4005),
    [anon_sym___restrict__] = ACTIONS(4005),
    [anon_sym__Atomic] = ACTIONS(4005),
    [anon_sym__Noreturn] = ACTIONS(4005),
    [anon_sym__Nonnull] = ACTIONS(4005),
    [anon_sym_nullable] = ACTIONS(4005),
    [anon_sym__Complex] = ACTIONS(4005),
    [anon_sym__Nullable] = ACTIONS(4005),
    [anon_sym__Nullable_result] = ACTIONS(4005),
    [anon_sym__Null_unspecified] = ACTIONS(4005),
    [anon_sym___autoreleasing] = ACTIONS(4005),
    [anon_sym___block] = ACTIONS(4005),
    [anon_sym___bridge] = ACTIONS(4005),
    [anon_sym___bridge_retained] = ACTIONS(4005),
    [anon_sym___bridge_transfer] = ACTIONS(4005),
    [anon_sym___complex] = ACTIONS(4005),
    [anon_sym___const] = ACTIONS(4005),
    [anon_sym___imag] = ACTIONS(4005),
    [anon_sym___kindof] = ACTIONS(4005),
    [anon_sym___nonnull] = ACTIONS(4005),
    [anon_sym___nullable] = ACTIONS(4005),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4005),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4005),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4005),
    [anon_sym___real] = ACTIONS(4005),
    [anon_sym___strong] = ACTIONS(4005),
    [anon_sym___unsafe_unretained] = ACTIONS(4005),
    [anon_sym___unused] = ACTIONS(4005),
    [anon_sym___weak] = ACTIONS(4005),
    [anon_sym_alignas] = ACTIONS(4005),
    [anon_sym__Alignas] = ACTIONS(4005),
    [sym_primitive_type] = ACTIONS(4005),
    [anon_sym_enum] = ACTIONS(4005),
    [anon_sym_struct] = ACTIONS(4005),
    [anon_sym_union] = ACTIONS(4005),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4007),
    [anon_sym_SLASH_EQ] = ACTIONS(4007),
    [anon_sym_PERCENT_EQ] = ACTIONS(4007),
    [anon_sym_PLUS_EQ] = ACTIONS(4007),
    [anon_sym_DASH_EQ] = ACTIONS(4007),
    [anon_sym_LT_LT_EQ] = ACTIONS(4007),
    [anon_sym_GT_GT_EQ] = ACTIONS(4007),
    [anon_sym_AMP_EQ] = ACTIONS(4007),
    [anon_sym_CARET_EQ] = ACTIONS(4007),
    [anon_sym_PIPE_EQ] = ACTIONS(4007),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [anon_sym_AT] = ACTIONS(3956),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_L_DQUOTE] = ACTIONS(2246),
    [anon_sym_u_DQUOTE] = ACTIONS(2246),
    [anon_sym_U_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8_DQUOTE] = ACTIONS(2246),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4005),
    [anon_sym___typeof] = ACTIONS(4005),
    [anon_sym_typeof] = ACTIONS(4005),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4005),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4005),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4005),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4005),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4005),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4005),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4005),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4005),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4005),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_API_AVAILABLE] = ACTIONS(4005),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_API_DEPRECATED] = ACTIONS(4005),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4005),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4005),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4005),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4005),
    [anon_sym___deprecated_msg] = ACTIONS(4005),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4005),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4005),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4005),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4005),
    [anon_sym_BOOL] = ACTIONS(4005),
    [anon_sym_IMP] = ACTIONS(4005),
    [anon_sym_SEL] = ACTIONS(4005),
    [anon_sym_Class] = ACTIONS(4005),
    [anon_sym_id] = ACTIONS(4005),
  },
  [1454] = {
    [aux_sym_selector_expression_repeat2] = STATE(1454),
    [sym_identifier] = ACTIONS(4027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4029),
    [anon_sym_COMMA] = ACTIONS(4029),
    [anon_sym_RPAREN] = ACTIONS(4031),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4029),
    [anon_sym_LPAREN2] = ACTIONS(4029),
    [anon_sym_DASH] = ACTIONS(4027),
    [anon_sym_PLUS] = ACTIONS(4027),
    [anon_sym_STAR] = ACTIONS(4027),
    [anon_sym_SLASH] = ACTIONS(4027),
    [anon_sym_PERCENT] = ACTIONS(4027),
    [anon_sym_PIPE_PIPE] = ACTIONS(4029),
    [anon_sym_AMP_AMP] = ACTIONS(4029),
    [anon_sym_PIPE] = ACTIONS(4027),
    [anon_sym_CARET] = ACTIONS(4027),
    [anon_sym_AMP] = ACTIONS(4027),
    [anon_sym_EQ_EQ] = ACTIONS(4029),
    [anon_sym_BANG_EQ] = ACTIONS(4029),
    [anon_sym_GT] = ACTIONS(4027),
    [anon_sym_GT_EQ] = ACTIONS(4029),
    [anon_sym_LT_EQ] = ACTIONS(4029),
    [anon_sym_LT] = ACTIONS(4027),
    [anon_sym_LT_LT] = ACTIONS(4027),
    [anon_sym_GT_GT] = ACTIONS(4027),
    [anon_sym_SEMI] = ACTIONS(4029),
    [anon_sym___extension__] = ACTIONS(4027),
    [anon_sym_extern] = ACTIONS(4027),
    [anon_sym___attribute__] = ACTIONS(4027),
    [anon_sym___attribute] = ACTIONS(4027),
    [anon_sym_noreturn] = ACTIONS(4027),
    [anon_sym_LBRACK] = ACTIONS(4029),
    [anon_sym_RBRACK] = ACTIONS(4029),
    [anon_sym___declspec] = ACTIONS(4027),
    [anon_sym_LBRACE] = ACTIONS(4029),
    [anon_sym_RBRACE] = ACTIONS(4029),
    [anon_sym_signed] = ACTIONS(4027),
    [anon_sym_unsigned] = ACTIONS(4027),
    [anon_sym_long] = ACTIONS(4027),
    [anon_sym_short] = ACTIONS(4027),
    [anon_sym_static] = ACTIONS(4027),
    [anon_sym_EQ] = ACTIONS(4027),
    [anon_sym_ATautoreleasepool] = ACTIONS(4029),
    [anon_sym_auto] = ACTIONS(4027),
    [anon_sym_register] = ACTIONS(4027),
    [anon_sym_inline] = ACTIONS(4027),
    [anon_sym___inline] = ACTIONS(4027),
    [anon_sym___inline__] = ACTIONS(4027),
    [anon_sym___forceinline] = ACTIONS(4027),
    [anon_sym_thread_local] = ACTIONS(4027),
    [anon_sym___thread] = ACTIONS(4027),
    [anon_sym_CG_EXTERN] = ACTIONS(4027),
    [anon_sym_CG_INLINE] = ACTIONS(4027),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4027),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4027),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4027),
    [anon_sym_IBOutlet] = ACTIONS(4027),
    [anon_sym_IBInspectable] = ACTIONS(4027),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4027),
    [anon_sym_NS_INLINE] = ACTIONS(4027),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4027),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4027),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4027),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4027),
    [anon_sym_const] = ACTIONS(4027),
    [anon_sym_constexpr] = ACTIONS(4027),
    [anon_sym_volatile] = ACTIONS(4027),
    [anon_sym_restrict] = ACTIONS(4027),
    [anon_sym___restrict__] = ACTIONS(4027),
    [anon_sym__Atomic] = ACTIONS(4027),
    [anon_sym__Noreturn] = ACTIONS(4027),
    [anon_sym__Nonnull] = ACTIONS(4027),
    [anon_sym_nullable] = ACTIONS(4027),
    [anon_sym__Complex] = ACTIONS(4027),
    [anon_sym__Nullable] = ACTIONS(4027),
    [anon_sym__Nullable_result] = ACTIONS(4027),
    [anon_sym__Null_unspecified] = ACTIONS(4027),
    [anon_sym___autoreleasing] = ACTIONS(4027),
    [anon_sym___block] = ACTIONS(4027),
    [anon_sym___bridge] = ACTIONS(4027),
    [anon_sym___bridge_retained] = ACTIONS(4027),
    [anon_sym___bridge_transfer] = ACTIONS(4027),
    [anon_sym___complex] = ACTIONS(4027),
    [anon_sym___const] = ACTIONS(4027),
    [anon_sym___imag] = ACTIONS(4027),
    [anon_sym___kindof] = ACTIONS(4027),
    [anon_sym___nonnull] = ACTIONS(4027),
    [anon_sym___nullable] = ACTIONS(4027),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4027),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4027),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4027),
    [anon_sym___real] = ACTIONS(4027),
    [anon_sym___strong] = ACTIONS(4027),
    [anon_sym___unsafe_unretained] = ACTIONS(4027),
    [anon_sym___unused] = ACTIONS(4027),
    [anon_sym___weak] = ACTIONS(4027),
    [anon_sym_alignas] = ACTIONS(4027),
    [anon_sym__Alignas] = ACTIONS(4027),
    [sym_primitive_type] = ACTIONS(4027),
    [anon_sym_enum] = ACTIONS(4027),
    [anon_sym_COLON] = ACTIONS(4029),
    [anon_sym_struct] = ACTIONS(4027),
    [anon_sym_union] = ACTIONS(4027),
    [anon_sym_QMARK] = ACTIONS(4029),
    [anon_sym_STAR_EQ] = ACTIONS(4029),
    [anon_sym_SLASH_EQ] = ACTIONS(4029),
    [anon_sym_PERCENT_EQ] = ACTIONS(4029),
    [anon_sym_PLUS_EQ] = ACTIONS(4029),
    [anon_sym_DASH_EQ] = ACTIONS(4029),
    [anon_sym_LT_LT_EQ] = ACTIONS(4029),
    [anon_sym_GT_GT_EQ] = ACTIONS(4029),
    [anon_sym_AMP_EQ] = ACTIONS(4029),
    [anon_sym_CARET_EQ] = ACTIONS(4029),
    [anon_sym_PIPE_EQ] = ACTIONS(4029),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_DOT] = ACTIONS(4027),
    [anon_sym_DASH_GT] = ACTIONS(4029),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4027),
    [anon_sym___typeof] = ACTIONS(4027),
    [anon_sym_typeof] = ACTIONS(4027),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4027),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4027),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4027),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4027),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4027),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4027),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4027),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4027),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4027),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4027),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4027),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4027),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4027),
    [anon_sym_API_AVAILABLE] = ACTIONS(4027),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4027),
    [anon_sym_API_DEPRECATED] = ACTIONS(4027),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4027),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4027),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4027),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4027),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4027),
    [anon_sym___deprecated_msg] = ACTIONS(4027),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4027),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4027),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4027),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4027),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4027),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4027),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4027),
    [anon_sym_BOOL] = ACTIONS(4027),
    [anon_sym_IMP] = ACTIONS(4027),
    [anon_sym_SEL] = ACTIONS(4027),
    [anon_sym_Class] = ACTIONS(4027),
    [anon_sym_id] = ACTIONS(4027),
  },
  [1455] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_RPAREN] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4034),
    [anon_sym_PLUS] = ACTIONS(4034),
    [anon_sym_STAR] = ACTIONS(4034),
    [anon_sym_SLASH] = ACTIONS(4034),
    [anon_sym_PERCENT] = ACTIONS(4034),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4034),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(4034),
    [anon_sym_GT_EQ] = ACTIONS(4036),
    [anon_sym_LT_EQ] = ACTIONS(4036),
    [anon_sym_LT] = ACTIONS(4034),
    [anon_sym_LT_LT] = ACTIONS(4034),
    [anon_sym_GT_GT] = ACTIONS(4034),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_RBRACK] = ACTIONS(4036),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_LBRACE] = ACTIONS(4036),
    [anon_sym_RBRACE] = ACTIONS(4036),
    [anon_sym_signed] = ACTIONS(4034),
    [anon_sym_unsigned] = ACTIONS(4034),
    [anon_sym_long] = ACTIONS(4034),
    [anon_sym_short] = ACTIONS(4034),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_ATautoreleasepool] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [sym_primitive_type] = ACTIONS(4034),
    [anon_sym_enum] = ACTIONS(4034),
    [anon_sym_COLON] = ACTIONS(4036),
    [anon_sym_struct] = ACTIONS(4034),
    [anon_sym_union] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4034),
    [anon_sym___typeof] = ACTIONS(4034),
    [anon_sym_typeof] = ACTIONS(4034),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
    [anon_sym_BOOL] = ACTIONS(4034),
    [anon_sym_IMP] = ACTIONS(4034),
    [anon_sym_SEL] = ACTIONS(4034),
    [anon_sym_Class] = ACTIONS(4034),
    [anon_sym_id] = ACTIONS(4034),
  },
  [1456] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4040),
    [anon_sym_COMMA] = ACTIONS(4040),
    [anon_sym_RPAREN] = ACTIONS(4040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4040),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4038),
    [anon_sym_PLUS] = ACTIONS(4038),
    [anon_sym_STAR] = ACTIONS(4038),
    [anon_sym_SLASH] = ACTIONS(4038),
    [anon_sym_PERCENT] = ACTIONS(4038),
    [anon_sym_PIPE_PIPE] = ACTIONS(4040),
    [anon_sym_AMP_AMP] = ACTIONS(4040),
    [anon_sym_PIPE] = ACTIONS(4038),
    [anon_sym_CARET] = ACTIONS(4038),
    [anon_sym_AMP] = ACTIONS(4038),
    [anon_sym_EQ_EQ] = ACTIONS(4040),
    [anon_sym_BANG_EQ] = ACTIONS(4040),
    [anon_sym_GT] = ACTIONS(4038),
    [anon_sym_GT_EQ] = ACTIONS(4040),
    [anon_sym_LT_EQ] = ACTIONS(4040),
    [anon_sym_LT] = ACTIONS(4038),
    [anon_sym_LT_LT] = ACTIONS(4038),
    [anon_sym_GT_GT] = ACTIONS(4038),
    [anon_sym_SEMI] = ACTIONS(4040),
    [anon_sym___extension__] = ACTIONS(4038),
    [anon_sym_extern] = ACTIONS(4038),
    [anon_sym___attribute__] = ACTIONS(4038),
    [anon_sym___attribute] = ACTIONS(4038),
    [anon_sym_noreturn] = ACTIONS(4038),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_RBRACK] = ACTIONS(4040),
    [anon_sym___declspec] = ACTIONS(4038),
    [anon_sym_LBRACE] = ACTIONS(4040),
    [anon_sym_RBRACE] = ACTIONS(4040),
    [anon_sym_signed] = ACTIONS(4038),
    [anon_sym_unsigned] = ACTIONS(4038),
    [anon_sym_long] = ACTIONS(4038),
    [anon_sym_short] = ACTIONS(4038),
    [anon_sym_static] = ACTIONS(4038),
    [anon_sym_EQ] = ACTIONS(4038),
    [anon_sym_ATautoreleasepool] = ACTIONS(4040),
    [anon_sym_auto] = ACTIONS(4038),
    [anon_sym_register] = ACTIONS(4038),
    [anon_sym_inline] = ACTIONS(4038),
    [anon_sym___inline] = ACTIONS(4038),
    [anon_sym___inline__] = ACTIONS(4038),
    [anon_sym___forceinline] = ACTIONS(4038),
    [anon_sym_thread_local] = ACTIONS(4038),
    [anon_sym___thread] = ACTIONS(4038),
    [anon_sym_CG_EXTERN] = ACTIONS(4038),
    [anon_sym_CG_INLINE] = ACTIONS(4038),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4038),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4038),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4038),
    [anon_sym_IBOutlet] = ACTIONS(4038),
    [anon_sym_IBInspectable] = ACTIONS(4038),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4038),
    [anon_sym_NS_INLINE] = ACTIONS(4038),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4038),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4038),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4038),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4038),
    [anon_sym_const] = ACTIONS(4038),
    [anon_sym_constexpr] = ACTIONS(4038),
    [anon_sym_volatile] = ACTIONS(4038),
    [anon_sym_restrict] = ACTIONS(4038),
    [anon_sym___restrict__] = ACTIONS(4038),
    [anon_sym__Atomic] = ACTIONS(4038),
    [anon_sym__Noreturn] = ACTIONS(4038),
    [anon_sym__Nonnull] = ACTIONS(4038),
    [anon_sym_nullable] = ACTIONS(4038),
    [anon_sym__Complex] = ACTIONS(4038),
    [anon_sym__Nullable] = ACTIONS(4038),
    [anon_sym__Nullable_result] = ACTIONS(4038),
    [anon_sym__Null_unspecified] = ACTIONS(4038),
    [anon_sym___autoreleasing] = ACTIONS(4038),
    [anon_sym___block] = ACTIONS(4038),
    [anon_sym___bridge] = ACTIONS(4038),
    [anon_sym___bridge_retained] = ACTIONS(4038),
    [anon_sym___bridge_transfer] = ACTIONS(4038),
    [anon_sym___complex] = ACTIONS(4038),
    [anon_sym___const] = ACTIONS(4038),
    [anon_sym___imag] = ACTIONS(4038),
    [anon_sym___kindof] = ACTIONS(4038),
    [anon_sym___nonnull] = ACTIONS(4038),
    [anon_sym___nullable] = ACTIONS(4038),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4038),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4038),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4038),
    [anon_sym___real] = ACTIONS(4038),
    [anon_sym___strong] = ACTIONS(4038),
    [anon_sym___unsafe_unretained] = ACTIONS(4038),
    [anon_sym___unused] = ACTIONS(4038),
    [anon_sym___weak] = ACTIONS(4038),
    [anon_sym_alignas] = ACTIONS(4038),
    [anon_sym__Alignas] = ACTIONS(4038),
    [sym_primitive_type] = ACTIONS(4038),
    [anon_sym_enum] = ACTIONS(4038),
    [anon_sym_COLON] = ACTIONS(4040),
    [anon_sym_struct] = ACTIONS(4038),
    [anon_sym_union] = ACTIONS(4038),
    [anon_sym_QMARK] = ACTIONS(4040),
    [anon_sym_STAR_EQ] = ACTIONS(4040),
    [anon_sym_SLASH_EQ] = ACTIONS(4040),
    [anon_sym_PERCENT_EQ] = ACTIONS(4040),
    [anon_sym_PLUS_EQ] = ACTIONS(4040),
    [anon_sym_DASH_EQ] = ACTIONS(4040),
    [anon_sym_LT_LT_EQ] = ACTIONS(4040),
    [anon_sym_GT_GT_EQ] = ACTIONS(4040),
    [anon_sym_AMP_EQ] = ACTIONS(4040),
    [anon_sym_CARET_EQ] = ACTIONS(4040),
    [anon_sym_PIPE_EQ] = ACTIONS(4040),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4038),
    [anon_sym___typeof] = ACTIONS(4038),
    [anon_sym_typeof] = ACTIONS(4038),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4038),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4038),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4038),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4038),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4038),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4038),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4038),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4038),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4038),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4038),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4038),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4038),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4038),
    [anon_sym_API_AVAILABLE] = ACTIONS(4038),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4038),
    [anon_sym_API_DEPRECATED] = ACTIONS(4038),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4038),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4038),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4038),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4038),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4038),
    [anon_sym___deprecated_msg] = ACTIONS(4038),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4038),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4038),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4038),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4038),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4038),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4038),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4038),
    [anon_sym_BOOL] = ACTIONS(4038),
    [anon_sym_IMP] = ACTIONS(4038),
    [anon_sym_SEL] = ACTIONS(4038),
    [anon_sym_Class] = ACTIONS(4038),
    [anon_sym_id] = ACTIONS(4038),
  },
  [1457] = {
    [sym_identifier] = ACTIONS(4042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4044),
    [anon_sym_COMMA] = ACTIONS(4044),
    [anon_sym_RPAREN] = ACTIONS(4044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4044),
    [anon_sym_LPAREN2] = ACTIONS(4044),
    [anon_sym_DASH] = ACTIONS(4042),
    [anon_sym_PLUS] = ACTIONS(4042),
    [anon_sym_STAR] = ACTIONS(4042),
    [anon_sym_SLASH] = ACTIONS(4042),
    [anon_sym_PERCENT] = ACTIONS(4042),
    [anon_sym_PIPE_PIPE] = ACTIONS(4044),
    [anon_sym_AMP_AMP] = ACTIONS(4044),
    [anon_sym_PIPE] = ACTIONS(4042),
    [anon_sym_CARET] = ACTIONS(4042),
    [anon_sym_AMP] = ACTIONS(4042),
    [anon_sym_EQ_EQ] = ACTIONS(4044),
    [anon_sym_BANG_EQ] = ACTIONS(4044),
    [anon_sym_GT] = ACTIONS(4042),
    [anon_sym_GT_EQ] = ACTIONS(4044),
    [anon_sym_LT_EQ] = ACTIONS(4044),
    [anon_sym_LT] = ACTIONS(4042),
    [anon_sym_LT_LT] = ACTIONS(4042),
    [anon_sym_GT_GT] = ACTIONS(4042),
    [anon_sym_SEMI] = ACTIONS(4044),
    [anon_sym___extension__] = ACTIONS(4042),
    [anon_sym_extern] = ACTIONS(4042),
    [anon_sym___attribute__] = ACTIONS(4042),
    [anon_sym___attribute] = ACTIONS(4042),
    [anon_sym_noreturn] = ACTIONS(4042),
    [anon_sym_LBRACK] = ACTIONS(4044),
    [anon_sym_RBRACK] = ACTIONS(4044),
    [anon_sym___declspec] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4044),
    [anon_sym_RBRACE] = ACTIONS(4044),
    [anon_sym_signed] = ACTIONS(4042),
    [anon_sym_unsigned] = ACTIONS(4042),
    [anon_sym_long] = ACTIONS(4042),
    [anon_sym_short] = ACTIONS(4042),
    [anon_sym_static] = ACTIONS(4042),
    [anon_sym_EQ] = ACTIONS(4042),
    [anon_sym_ATautoreleasepool] = ACTIONS(4044),
    [anon_sym_auto] = ACTIONS(4042),
    [anon_sym_register] = ACTIONS(4042),
    [anon_sym_inline] = ACTIONS(4042),
    [anon_sym___inline] = ACTIONS(4042),
    [anon_sym___inline__] = ACTIONS(4042),
    [anon_sym___forceinline] = ACTIONS(4042),
    [anon_sym_thread_local] = ACTIONS(4042),
    [anon_sym___thread] = ACTIONS(4042),
    [anon_sym_CG_EXTERN] = ACTIONS(4042),
    [anon_sym_CG_INLINE] = ACTIONS(4042),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4042),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4042),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4042),
    [anon_sym_IBOutlet] = ACTIONS(4042),
    [anon_sym_IBInspectable] = ACTIONS(4042),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4042),
    [anon_sym_NS_INLINE] = ACTIONS(4042),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4042),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4042),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4042),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4042),
    [anon_sym_const] = ACTIONS(4042),
    [anon_sym_constexpr] = ACTIONS(4042),
    [anon_sym_volatile] = ACTIONS(4042),
    [anon_sym_restrict] = ACTIONS(4042),
    [anon_sym___restrict__] = ACTIONS(4042),
    [anon_sym__Atomic] = ACTIONS(4042),
    [anon_sym__Noreturn] = ACTIONS(4042),
    [anon_sym__Nonnull] = ACTIONS(4042),
    [anon_sym_nullable] = ACTIONS(4042),
    [anon_sym__Complex] = ACTIONS(4042),
    [anon_sym__Nullable] = ACTIONS(4042),
    [anon_sym__Nullable_result] = ACTIONS(4042),
    [anon_sym__Null_unspecified] = ACTIONS(4042),
    [anon_sym___autoreleasing] = ACTIONS(4042),
    [anon_sym___block] = ACTIONS(4042),
    [anon_sym___bridge] = ACTIONS(4042),
    [anon_sym___bridge_retained] = ACTIONS(4042),
    [anon_sym___bridge_transfer] = ACTIONS(4042),
    [anon_sym___complex] = ACTIONS(4042),
    [anon_sym___const] = ACTIONS(4042),
    [anon_sym___imag] = ACTIONS(4042),
    [anon_sym___kindof] = ACTIONS(4042),
    [anon_sym___nonnull] = ACTIONS(4042),
    [anon_sym___nullable] = ACTIONS(4042),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4042),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4042),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4042),
    [anon_sym___real] = ACTIONS(4042),
    [anon_sym___strong] = ACTIONS(4042),
    [anon_sym___unsafe_unretained] = ACTIONS(4042),
    [anon_sym___unused] = ACTIONS(4042),
    [anon_sym___weak] = ACTIONS(4042),
    [anon_sym_alignas] = ACTIONS(4042),
    [anon_sym__Alignas] = ACTIONS(4042),
    [sym_primitive_type] = ACTIONS(4042),
    [anon_sym_enum] = ACTIONS(4042),
    [anon_sym_COLON] = ACTIONS(4044),
    [anon_sym_struct] = ACTIONS(4042),
    [anon_sym_union] = ACTIONS(4042),
    [anon_sym_QMARK] = ACTIONS(4044),
    [anon_sym_STAR_EQ] = ACTIONS(4044),
    [anon_sym_SLASH_EQ] = ACTIONS(4044),
    [anon_sym_PERCENT_EQ] = ACTIONS(4044),
    [anon_sym_PLUS_EQ] = ACTIONS(4044),
    [anon_sym_DASH_EQ] = ACTIONS(4044),
    [anon_sym_LT_LT_EQ] = ACTIONS(4044),
    [anon_sym_GT_GT_EQ] = ACTIONS(4044),
    [anon_sym_AMP_EQ] = ACTIONS(4044),
    [anon_sym_CARET_EQ] = ACTIONS(4044),
    [anon_sym_PIPE_EQ] = ACTIONS(4044),
    [anon_sym_DASH_DASH] = ACTIONS(4044),
    [anon_sym_PLUS_PLUS] = ACTIONS(4044),
    [anon_sym_DOT] = ACTIONS(4042),
    [anon_sym_DASH_GT] = ACTIONS(4044),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4042),
    [anon_sym___typeof] = ACTIONS(4042),
    [anon_sym_typeof] = ACTIONS(4042),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4042),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4042),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4042),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4042),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4042),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4042),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4042),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4042),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4042),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4042),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4042),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4042),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4042),
    [anon_sym_API_AVAILABLE] = ACTIONS(4042),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4042),
    [anon_sym_API_DEPRECATED] = ACTIONS(4042),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4042),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4042),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4042),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4042),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4042),
    [anon_sym___deprecated_msg] = ACTIONS(4042),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4042),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4042),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4042),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4042),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4042),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4042),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4042),
    [anon_sym_BOOL] = ACTIONS(4042),
    [anon_sym_IMP] = ACTIONS(4042),
    [anon_sym_SEL] = ACTIONS(4042),
    [anon_sym_Class] = ACTIONS(4042),
    [anon_sym_id] = ACTIONS(4042),
  },
  [1458] = {
    [sym_identifier] = ACTIONS(4046),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4048),
    [anon_sym_COMMA] = ACTIONS(4048),
    [anon_sym_RPAREN] = ACTIONS(4048),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4048),
    [anon_sym_LPAREN2] = ACTIONS(4048),
    [anon_sym_DASH] = ACTIONS(4046),
    [anon_sym_PLUS] = ACTIONS(4046),
    [anon_sym_STAR] = ACTIONS(4046),
    [anon_sym_SLASH] = ACTIONS(4046),
    [anon_sym_PERCENT] = ACTIONS(4046),
    [anon_sym_PIPE_PIPE] = ACTIONS(4048),
    [anon_sym_AMP_AMP] = ACTIONS(4048),
    [anon_sym_PIPE] = ACTIONS(4046),
    [anon_sym_CARET] = ACTIONS(4046),
    [anon_sym_AMP] = ACTIONS(4046),
    [anon_sym_EQ_EQ] = ACTIONS(4048),
    [anon_sym_BANG_EQ] = ACTIONS(4048),
    [anon_sym_GT] = ACTIONS(4046),
    [anon_sym_GT_EQ] = ACTIONS(4048),
    [anon_sym_LT_EQ] = ACTIONS(4048),
    [anon_sym_LT] = ACTIONS(4046),
    [anon_sym_LT_LT] = ACTIONS(4046),
    [anon_sym_GT_GT] = ACTIONS(4046),
    [anon_sym_SEMI] = ACTIONS(4048),
    [anon_sym___extension__] = ACTIONS(4046),
    [anon_sym_extern] = ACTIONS(4046),
    [anon_sym___attribute__] = ACTIONS(4046),
    [anon_sym___attribute] = ACTIONS(4046),
    [anon_sym_noreturn] = ACTIONS(4046),
    [anon_sym_LBRACK] = ACTIONS(4048),
    [anon_sym_RBRACK] = ACTIONS(4048),
    [anon_sym___declspec] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(4048),
    [anon_sym_RBRACE] = ACTIONS(4048),
    [anon_sym_signed] = ACTIONS(4046),
    [anon_sym_unsigned] = ACTIONS(4046),
    [anon_sym_long] = ACTIONS(4046),
    [anon_sym_short] = ACTIONS(4046),
    [anon_sym_static] = ACTIONS(4046),
    [anon_sym_EQ] = ACTIONS(4046),
    [anon_sym_ATautoreleasepool] = ACTIONS(4048),
    [anon_sym_auto] = ACTIONS(4046),
    [anon_sym_register] = ACTIONS(4046),
    [anon_sym_inline] = ACTIONS(4046),
    [anon_sym___inline] = ACTIONS(4046),
    [anon_sym___inline__] = ACTIONS(4046),
    [anon_sym___forceinline] = ACTIONS(4046),
    [anon_sym_thread_local] = ACTIONS(4046),
    [anon_sym___thread] = ACTIONS(4046),
    [anon_sym_CG_EXTERN] = ACTIONS(4046),
    [anon_sym_CG_INLINE] = ACTIONS(4046),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4046),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4046),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4046),
    [anon_sym_IBOutlet] = ACTIONS(4046),
    [anon_sym_IBInspectable] = ACTIONS(4046),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4046),
    [anon_sym_NS_INLINE] = ACTIONS(4046),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4046),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4046),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4046),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4046),
    [anon_sym_const] = ACTIONS(4046),
    [anon_sym_constexpr] = ACTIONS(4046),
    [anon_sym_volatile] = ACTIONS(4046),
    [anon_sym_restrict] = ACTIONS(4046),
    [anon_sym___restrict__] = ACTIONS(4046),
    [anon_sym__Atomic] = ACTIONS(4046),
    [anon_sym__Noreturn] = ACTIONS(4046),
    [anon_sym__Nonnull] = ACTIONS(4046),
    [anon_sym_nullable] = ACTIONS(4046),
    [anon_sym__Complex] = ACTIONS(4046),
    [anon_sym__Nullable] = ACTIONS(4046),
    [anon_sym__Nullable_result] = ACTIONS(4046),
    [anon_sym__Null_unspecified] = ACTIONS(4046),
    [anon_sym___autoreleasing] = ACTIONS(4046),
    [anon_sym___block] = ACTIONS(4046),
    [anon_sym___bridge] = ACTIONS(4046),
    [anon_sym___bridge_retained] = ACTIONS(4046),
    [anon_sym___bridge_transfer] = ACTIONS(4046),
    [anon_sym___complex] = ACTIONS(4046),
    [anon_sym___const] = ACTIONS(4046),
    [anon_sym___imag] = ACTIONS(4046),
    [anon_sym___kindof] = ACTIONS(4046),
    [anon_sym___nonnull] = ACTIONS(4046),
    [anon_sym___nullable] = ACTIONS(4046),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4046),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4046),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4046),
    [anon_sym___real] = ACTIONS(4046),
    [anon_sym___strong] = ACTIONS(4046),
    [anon_sym___unsafe_unretained] = ACTIONS(4046),
    [anon_sym___unused] = ACTIONS(4046),
    [anon_sym___weak] = ACTIONS(4046),
    [anon_sym_alignas] = ACTIONS(4046),
    [anon_sym__Alignas] = ACTIONS(4046),
    [sym_primitive_type] = ACTIONS(4046),
    [anon_sym_enum] = ACTIONS(4046),
    [anon_sym_COLON] = ACTIONS(4048),
    [anon_sym_struct] = ACTIONS(4046),
    [anon_sym_union] = ACTIONS(4046),
    [anon_sym_QMARK] = ACTIONS(4048),
    [anon_sym_STAR_EQ] = ACTIONS(4048),
    [anon_sym_SLASH_EQ] = ACTIONS(4048),
    [anon_sym_PERCENT_EQ] = ACTIONS(4048),
    [anon_sym_PLUS_EQ] = ACTIONS(4048),
    [anon_sym_DASH_EQ] = ACTIONS(4048),
    [anon_sym_LT_LT_EQ] = ACTIONS(4048),
    [anon_sym_GT_GT_EQ] = ACTIONS(4048),
    [anon_sym_AMP_EQ] = ACTIONS(4048),
    [anon_sym_CARET_EQ] = ACTIONS(4048),
    [anon_sym_PIPE_EQ] = ACTIONS(4048),
    [anon_sym_DASH_DASH] = ACTIONS(4048),
    [anon_sym_PLUS_PLUS] = ACTIONS(4048),
    [anon_sym_DOT] = ACTIONS(4046),
    [anon_sym_DASH_GT] = ACTIONS(4048),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4046),
    [anon_sym___typeof] = ACTIONS(4046),
    [anon_sym_typeof] = ACTIONS(4046),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4046),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4046),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4046),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4046),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4046),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4046),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4046),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4046),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4046),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4046),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4046),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4046),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4046),
    [anon_sym_API_AVAILABLE] = ACTIONS(4046),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4046),
    [anon_sym_API_DEPRECATED] = ACTIONS(4046),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4046),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4046),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4046),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4046),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4046),
    [anon_sym___deprecated_msg] = ACTIONS(4046),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4046),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4046),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4046),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4046),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4046),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4046),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4046),
    [anon_sym_BOOL] = ACTIONS(4046),
    [anon_sym_IMP] = ACTIONS(4046),
    [anon_sym_SEL] = ACTIONS(4046),
    [anon_sym_Class] = ACTIONS(4046),
    [anon_sym_id] = ACTIONS(4046),
  },
  [1459] = {
    [sym_identifier] = ACTIONS(4050),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4052),
    [anon_sym_COMMA] = ACTIONS(4052),
    [anon_sym_RPAREN] = ACTIONS(4052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4052),
    [anon_sym_LPAREN2] = ACTIONS(4052),
    [anon_sym_DASH] = ACTIONS(4050),
    [anon_sym_PLUS] = ACTIONS(4050),
    [anon_sym_STAR] = ACTIONS(4050),
    [anon_sym_SLASH] = ACTIONS(4050),
    [anon_sym_PERCENT] = ACTIONS(4050),
    [anon_sym_PIPE_PIPE] = ACTIONS(4052),
    [anon_sym_AMP_AMP] = ACTIONS(4052),
    [anon_sym_PIPE] = ACTIONS(4050),
    [anon_sym_CARET] = ACTIONS(4050),
    [anon_sym_AMP] = ACTIONS(4050),
    [anon_sym_EQ_EQ] = ACTIONS(4052),
    [anon_sym_BANG_EQ] = ACTIONS(4052),
    [anon_sym_GT] = ACTIONS(4050),
    [anon_sym_GT_EQ] = ACTIONS(4052),
    [anon_sym_LT_EQ] = ACTIONS(4052),
    [anon_sym_LT] = ACTIONS(4050),
    [anon_sym_LT_LT] = ACTIONS(4050),
    [anon_sym_GT_GT] = ACTIONS(4050),
    [anon_sym_SEMI] = ACTIONS(4052),
    [anon_sym___extension__] = ACTIONS(4050),
    [anon_sym_extern] = ACTIONS(4050),
    [anon_sym___attribute__] = ACTIONS(4050),
    [anon_sym___attribute] = ACTIONS(4050),
    [anon_sym_noreturn] = ACTIONS(4050),
    [anon_sym_LBRACK] = ACTIONS(4052),
    [anon_sym_RBRACK] = ACTIONS(4052),
    [anon_sym___declspec] = ACTIONS(4050),
    [anon_sym_LBRACE] = ACTIONS(4052),
    [anon_sym_RBRACE] = ACTIONS(4052),
    [anon_sym_signed] = ACTIONS(4050),
    [anon_sym_unsigned] = ACTIONS(4050),
    [anon_sym_long] = ACTIONS(4050),
    [anon_sym_short] = ACTIONS(4050),
    [anon_sym_static] = ACTIONS(4050),
    [anon_sym_EQ] = ACTIONS(4050),
    [anon_sym_ATautoreleasepool] = ACTIONS(4052),
    [anon_sym_auto] = ACTIONS(4050),
    [anon_sym_register] = ACTIONS(4050),
    [anon_sym_inline] = ACTIONS(4050),
    [anon_sym___inline] = ACTIONS(4050),
    [anon_sym___inline__] = ACTIONS(4050),
    [anon_sym___forceinline] = ACTIONS(4050),
    [anon_sym_thread_local] = ACTIONS(4050),
    [anon_sym___thread] = ACTIONS(4050),
    [anon_sym_CG_EXTERN] = ACTIONS(4050),
    [anon_sym_CG_INLINE] = ACTIONS(4050),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4050),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4050),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4050),
    [anon_sym_IBOutlet] = ACTIONS(4050),
    [anon_sym_IBInspectable] = ACTIONS(4050),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4050),
    [anon_sym_NS_INLINE] = ACTIONS(4050),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4050),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4050),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4050),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4050),
    [anon_sym_const] = ACTIONS(4050),
    [anon_sym_constexpr] = ACTIONS(4050),
    [anon_sym_volatile] = ACTIONS(4050),
    [anon_sym_restrict] = ACTIONS(4050),
    [anon_sym___restrict__] = ACTIONS(4050),
    [anon_sym__Atomic] = ACTIONS(4050),
    [anon_sym__Noreturn] = ACTIONS(4050),
    [anon_sym__Nonnull] = ACTIONS(4050),
    [anon_sym_nullable] = ACTIONS(4050),
    [anon_sym__Complex] = ACTIONS(4050),
    [anon_sym__Nullable] = ACTIONS(4050),
    [anon_sym__Nullable_result] = ACTIONS(4050),
    [anon_sym__Null_unspecified] = ACTIONS(4050),
    [anon_sym___autoreleasing] = ACTIONS(4050),
    [anon_sym___block] = ACTIONS(4050),
    [anon_sym___bridge] = ACTIONS(4050),
    [anon_sym___bridge_retained] = ACTIONS(4050),
    [anon_sym___bridge_transfer] = ACTIONS(4050),
    [anon_sym___complex] = ACTIONS(4050),
    [anon_sym___const] = ACTIONS(4050),
    [anon_sym___imag] = ACTIONS(4050),
    [anon_sym___kindof] = ACTIONS(4050),
    [anon_sym___nonnull] = ACTIONS(4050),
    [anon_sym___nullable] = ACTIONS(4050),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4050),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4050),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4050),
    [anon_sym___real] = ACTIONS(4050),
    [anon_sym___strong] = ACTIONS(4050),
    [anon_sym___unsafe_unretained] = ACTIONS(4050),
    [anon_sym___unused] = ACTIONS(4050),
    [anon_sym___weak] = ACTIONS(4050),
    [anon_sym_alignas] = ACTIONS(4050),
    [anon_sym__Alignas] = ACTIONS(4050),
    [sym_primitive_type] = ACTIONS(4050),
    [anon_sym_enum] = ACTIONS(4050),
    [anon_sym_COLON] = ACTIONS(4052),
    [anon_sym_struct] = ACTIONS(4050),
    [anon_sym_union] = ACTIONS(4050),
    [anon_sym_QMARK] = ACTIONS(4052),
    [anon_sym_STAR_EQ] = ACTIONS(4052),
    [anon_sym_SLASH_EQ] = ACTIONS(4052),
    [anon_sym_PERCENT_EQ] = ACTIONS(4052),
    [anon_sym_PLUS_EQ] = ACTIONS(4052),
    [anon_sym_DASH_EQ] = ACTIONS(4052),
    [anon_sym_LT_LT_EQ] = ACTIONS(4052),
    [anon_sym_GT_GT_EQ] = ACTIONS(4052),
    [anon_sym_AMP_EQ] = ACTIONS(4052),
    [anon_sym_CARET_EQ] = ACTIONS(4052),
    [anon_sym_PIPE_EQ] = ACTIONS(4052),
    [anon_sym_DASH_DASH] = ACTIONS(4052),
    [anon_sym_PLUS_PLUS] = ACTIONS(4052),
    [anon_sym_DOT] = ACTIONS(4050),
    [anon_sym_DASH_GT] = ACTIONS(4052),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4050),
    [anon_sym___typeof] = ACTIONS(4050),
    [anon_sym_typeof] = ACTIONS(4050),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4050),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4050),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4050),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4050),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4050),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4050),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4050),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4050),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4050),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4050),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4050),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4050),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4050),
    [anon_sym_API_AVAILABLE] = ACTIONS(4050),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4050),
    [anon_sym_API_DEPRECATED] = ACTIONS(4050),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4050),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4050),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4050),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4050),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4050),
    [anon_sym___deprecated_msg] = ACTIONS(4050),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4050),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4050),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4050),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4050),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4050),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4050),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4050),
    [anon_sym_BOOL] = ACTIONS(4050),
    [anon_sym_IMP] = ACTIONS(4050),
    [anon_sym_SEL] = ACTIONS(4050),
    [anon_sym_Class] = ACTIONS(4050),
    [anon_sym_id] = ACTIONS(4050),
  },
  [1460] = {
    [sym_identifier] = ACTIONS(4054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4056),
    [anon_sym_COMMA] = ACTIONS(4056),
    [anon_sym_RPAREN] = ACTIONS(4056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4056),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4056),
    [anon_sym_LPAREN2] = ACTIONS(4056),
    [anon_sym_DASH] = ACTIONS(4054),
    [anon_sym_PLUS] = ACTIONS(4054),
    [anon_sym_STAR] = ACTIONS(4054),
    [anon_sym_SLASH] = ACTIONS(4054),
    [anon_sym_PERCENT] = ACTIONS(4054),
    [anon_sym_PIPE_PIPE] = ACTIONS(4056),
    [anon_sym_AMP_AMP] = ACTIONS(4056),
    [anon_sym_PIPE] = ACTIONS(4054),
    [anon_sym_CARET] = ACTIONS(4054),
    [anon_sym_AMP] = ACTIONS(4054),
    [anon_sym_EQ_EQ] = ACTIONS(4056),
    [anon_sym_BANG_EQ] = ACTIONS(4056),
    [anon_sym_GT] = ACTIONS(4054),
    [anon_sym_GT_EQ] = ACTIONS(4056),
    [anon_sym_LT_EQ] = ACTIONS(4056),
    [anon_sym_LT] = ACTIONS(4054),
    [anon_sym_LT_LT] = ACTIONS(4054),
    [anon_sym_GT_GT] = ACTIONS(4054),
    [anon_sym_SEMI] = ACTIONS(4056),
    [anon_sym___extension__] = ACTIONS(4054),
    [anon_sym_extern] = ACTIONS(4054),
    [anon_sym___attribute__] = ACTIONS(4054),
    [anon_sym___attribute] = ACTIONS(4054),
    [anon_sym_noreturn] = ACTIONS(4054),
    [anon_sym_LBRACK] = ACTIONS(4056),
    [anon_sym_RBRACK] = ACTIONS(4056),
    [anon_sym___declspec] = ACTIONS(4054),
    [anon_sym_LBRACE] = ACTIONS(4056),
    [anon_sym_RBRACE] = ACTIONS(4056),
    [anon_sym_signed] = ACTIONS(4054),
    [anon_sym_unsigned] = ACTIONS(4054),
    [anon_sym_long] = ACTIONS(4054),
    [anon_sym_short] = ACTIONS(4054),
    [anon_sym_static] = ACTIONS(4054),
    [anon_sym_EQ] = ACTIONS(4054),
    [anon_sym_ATautoreleasepool] = ACTIONS(4056),
    [anon_sym_auto] = ACTIONS(4054),
    [anon_sym_register] = ACTIONS(4054),
    [anon_sym_inline] = ACTIONS(4054),
    [anon_sym___inline] = ACTIONS(4054),
    [anon_sym___inline__] = ACTIONS(4054),
    [anon_sym___forceinline] = ACTIONS(4054),
    [anon_sym_thread_local] = ACTIONS(4054),
    [anon_sym___thread] = ACTIONS(4054),
    [anon_sym_CG_EXTERN] = ACTIONS(4054),
    [anon_sym_CG_INLINE] = ACTIONS(4054),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4054),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4054),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4054),
    [anon_sym_IBOutlet] = ACTIONS(4054),
    [anon_sym_IBInspectable] = ACTIONS(4054),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4054),
    [anon_sym_NS_INLINE] = ACTIONS(4054),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4054),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4054),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4054),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4054),
    [anon_sym_const] = ACTIONS(4054),
    [anon_sym_constexpr] = ACTIONS(4054),
    [anon_sym_volatile] = ACTIONS(4054),
    [anon_sym_restrict] = ACTIONS(4054),
    [anon_sym___restrict__] = ACTIONS(4054),
    [anon_sym__Atomic] = ACTIONS(4054),
    [anon_sym__Noreturn] = ACTIONS(4054),
    [anon_sym__Nonnull] = ACTIONS(4054),
    [anon_sym_nullable] = ACTIONS(4054),
    [anon_sym__Complex] = ACTIONS(4054),
    [anon_sym__Nullable] = ACTIONS(4054),
    [anon_sym__Nullable_result] = ACTIONS(4054),
    [anon_sym__Null_unspecified] = ACTIONS(4054),
    [anon_sym___autoreleasing] = ACTIONS(4054),
    [anon_sym___block] = ACTIONS(4054),
    [anon_sym___bridge] = ACTIONS(4054),
    [anon_sym___bridge_retained] = ACTIONS(4054),
    [anon_sym___bridge_transfer] = ACTIONS(4054),
    [anon_sym___complex] = ACTIONS(4054),
    [anon_sym___const] = ACTIONS(4054),
    [anon_sym___imag] = ACTIONS(4054),
    [anon_sym___kindof] = ACTIONS(4054),
    [anon_sym___nonnull] = ACTIONS(4054),
    [anon_sym___nullable] = ACTIONS(4054),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4054),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4054),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4054),
    [anon_sym___real] = ACTIONS(4054),
    [anon_sym___strong] = ACTIONS(4054),
    [anon_sym___unsafe_unretained] = ACTIONS(4054),
    [anon_sym___unused] = ACTIONS(4054),
    [anon_sym___weak] = ACTIONS(4054),
    [anon_sym_alignas] = ACTIONS(4054),
    [anon_sym__Alignas] = ACTIONS(4054),
    [sym_primitive_type] = ACTIONS(4054),
    [anon_sym_enum] = ACTIONS(4054),
    [anon_sym_COLON] = ACTIONS(4056),
    [anon_sym_struct] = ACTIONS(4054),
    [anon_sym_union] = ACTIONS(4054),
    [anon_sym_QMARK] = ACTIONS(4056),
    [anon_sym_STAR_EQ] = ACTIONS(4056),
    [anon_sym_SLASH_EQ] = ACTIONS(4056),
    [anon_sym_PERCENT_EQ] = ACTIONS(4056),
    [anon_sym_PLUS_EQ] = ACTIONS(4056),
    [anon_sym_DASH_EQ] = ACTIONS(4056),
    [anon_sym_LT_LT_EQ] = ACTIONS(4056),
    [anon_sym_GT_GT_EQ] = ACTIONS(4056),
    [anon_sym_AMP_EQ] = ACTIONS(4056),
    [anon_sym_CARET_EQ] = ACTIONS(4056),
    [anon_sym_PIPE_EQ] = ACTIONS(4056),
    [anon_sym_DASH_DASH] = ACTIONS(4056),
    [anon_sym_PLUS_PLUS] = ACTIONS(4056),
    [anon_sym_DOT] = ACTIONS(4054),
    [anon_sym_DASH_GT] = ACTIONS(4056),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4054),
    [anon_sym___typeof] = ACTIONS(4054),
    [anon_sym_typeof] = ACTIONS(4054),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4054),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4054),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4054),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4054),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4054),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4054),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4054),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4054),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4054),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4054),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4054),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4054),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4054),
    [anon_sym_API_AVAILABLE] = ACTIONS(4054),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4054),
    [anon_sym_API_DEPRECATED] = ACTIONS(4054),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4054),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4054),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4054),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4054),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4054),
    [anon_sym___deprecated_msg] = ACTIONS(4054),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4054),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4054),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4054),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4054),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4054),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4054),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4054),
    [anon_sym_BOOL] = ACTIONS(4054),
    [anon_sym_IMP] = ACTIONS(4054),
    [anon_sym_SEL] = ACTIONS(4054),
    [anon_sym_Class] = ACTIONS(4054),
    [anon_sym_id] = ACTIONS(4054),
  },
  [1461] = {
    [sym_identifier] = ACTIONS(2356),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2358),
    [anon_sym_COMMA] = ACTIONS(2358),
    [anon_sym_RPAREN] = ACTIONS(2358),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2358),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2358),
    [anon_sym_LPAREN2] = ACTIONS(2358),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_SLASH] = ACTIONS(2356),
    [anon_sym_PERCENT] = ACTIONS(2356),
    [anon_sym_PIPE_PIPE] = ACTIONS(2358),
    [anon_sym_AMP_AMP] = ACTIONS(2358),
    [anon_sym_PIPE] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2356),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_EQ_EQ] = ACTIONS(2358),
    [anon_sym_BANG_EQ] = ACTIONS(2358),
    [anon_sym_GT] = ACTIONS(2356),
    [anon_sym_GT_EQ] = ACTIONS(2358),
    [anon_sym_LT_EQ] = ACTIONS(2358),
    [anon_sym_LT] = ACTIONS(2356),
    [anon_sym_LT_LT] = ACTIONS(2356),
    [anon_sym_GT_GT] = ACTIONS(2356),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2356),
    [anon_sym_extern] = ACTIONS(2356),
    [anon_sym___attribute__] = ACTIONS(2356),
    [anon_sym___attribute] = ACTIONS(2356),
    [anon_sym_noreturn] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2358),
    [anon_sym_RBRACK] = ACTIONS(2358),
    [anon_sym___declspec] = ACTIONS(2356),
    [anon_sym_LBRACE] = ACTIONS(2358),
    [anon_sym_RBRACE] = ACTIONS(2358),
    [anon_sym_signed] = ACTIONS(2356),
    [anon_sym_unsigned] = ACTIONS(2356),
    [anon_sym_long] = ACTIONS(2356),
    [anon_sym_short] = ACTIONS(2356),
    [anon_sym_static] = ACTIONS(2356),
    [anon_sym_EQ] = ACTIONS(2356),
    [anon_sym_ATautoreleasepool] = ACTIONS(2358),
    [anon_sym_auto] = ACTIONS(2356),
    [anon_sym_register] = ACTIONS(2356),
    [anon_sym_inline] = ACTIONS(2356),
    [anon_sym___inline] = ACTIONS(2356),
    [anon_sym___inline__] = ACTIONS(2356),
    [anon_sym___forceinline] = ACTIONS(2356),
    [anon_sym_thread_local] = ACTIONS(2356),
    [anon_sym___thread] = ACTIONS(2356),
    [anon_sym_CG_EXTERN] = ACTIONS(2356),
    [anon_sym_CG_INLINE] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2356),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2356),
    [anon_sym_IBOutlet] = ACTIONS(2356),
    [anon_sym_IBInspectable] = ACTIONS(2356),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2356),
    [anon_sym_NS_INLINE] = ACTIONS(2356),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2356),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2356),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2356),
    [anon_sym_const] = ACTIONS(2356),
    [anon_sym_constexpr] = ACTIONS(2356),
    [anon_sym_volatile] = ACTIONS(2356),
    [anon_sym_restrict] = ACTIONS(2356),
    [anon_sym___restrict__] = ACTIONS(2356),
    [anon_sym__Atomic] = ACTIONS(2356),
    [anon_sym__Noreturn] = ACTIONS(2356),
    [anon_sym__Nonnull] = ACTIONS(2356),
    [anon_sym_nullable] = ACTIONS(2356),
    [anon_sym__Complex] = ACTIONS(2356),
    [anon_sym__Nullable] = ACTIONS(2356),
    [anon_sym__Nullable_result] = ACTIONS(2356),
    [anon_sym__Null_unspecified] = ACTIONS(2356),
    [anon_sym___autoreleasing] = ACTIONS(2356),
    [anon_sym___block] = ACTIONS(2356),
    [anon_sym___bridge] = ACTIONS(2356),
    [anon_sym___bridge_retained] = ACTIONS(2356),
    [anon_sym___bridge_transfer] = ACTIONS(2356),
    [anon_sym___complex] = ACTIONS(2356),
    [anon_sym___const] = ACTIONS(2356),
    [anon_sym___imag] = ACTIONS(2356),
    [anon_sym___kindof] = ACTIONS(2356),
    [anon_sym___nonnull] = ACTIONS(2356),
    [anon_sym___nullable] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2356),
    [anon_sym___real] = ACTIONS(2356),
    [anon_sym___strong] = ACTIONS(2356),
    [anon_sym___unsafe_unretained] = ACTIONS(2356),
    [anon_sym___unused] = ACTIONS(2356),
    [anon_sym___weak] = ACTIONS(2356),
    [anon_sym_alignas] = ACTIONS(2356),
    [anon_sym__Alignas] = ACTIONS(2356),
    [sym_primitive_type] = ACTIONS(2356),
    [anon_sym_enum] = ACTIONS(2356),
    [anon_sym_COLON] = ACTIONS(2358),
    [anon_sym_struct] = ACTIONS(2356),
    [anon_sym_union] = ACTIONS(2356),
    [anon_sym_QMARK] = ACTIONS(2358),
    [anon_sym_STAR_EQ] = ACTIONS(2358),
    [anon_sym_SLASH_EQ] = ACTIONS(2358),
    [anon_sym_PERCENT_EQ] = ACTIONS(2358),
    [anon_sym_PLUS_EQ] = ACTIONS(2358),
    [anon_sym_DASH_EQ] = ACTIONS(2358),
    [anon_sym_LT_LT_EQ] = ACTIONS(2358),
    [anon_sym_GT_GT_EQ] = ACTIONS(2358),
    [anon_sym_AMP_EQ] = ACTIONS(2358),
    [anon_sym_CARET_EQ] = ACTIONS(2358),
    [anon_sym_PIPE_EQ] = ACTIONS(2358),
    [anon_sym_DASH_DASH] = ACTIONS(2358),
    [anon_sym_PLUS_PLUS] = ACTIONS(2358),
    [anon_sym_DOT] = ACTIONS(2356),
    [anon_sym_DASH_GT] = ACTIONS(2358),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2356),
    [anon_sym___typeof] = ACTIONS(2356),
    [anon_sym_typeof] = ACTIONS(2356),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2356),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2356),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2356),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_API_AVAILABLE] = ACTIONS(2356),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_API_DEPRECATED] = ACTIONS(2356),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym___deprecated_msg] = ACTIONS(2356),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2356),
    [anon_sym_BOOL] = ACTIONS(2356),
    [anon_sym_IMP] = ACTIONS(2356),
    [anon_sym_SEL] = ACTIONS(2356),
    [anon_sym_Class] = ACTIONS(2356),
    [anon_sym_id] = ACTIONS(2356),
  },
  [1462] = {
    [sym_identifier] = ACTIONS(4058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4060),
    [anon_sym_COMMA] = ACTIONS(4060),
    [anon_sym_RPAREN] = ACTIONS(4060),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4060),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4060),
    [anon_sym_LPAREN2] = ACTIONS(4060),
    [anon_sym_DASH] = ACTIONS(4058),
    [anon_sym_PLUS] = ACTIONS(4058),
    [anon_sym_STAR] = ACTIONS(4058),
    [anon_sym_SLASH] = ACTIONS(4058),
    [anon_sym_PERCENT] = ACTIONS(4058),
    [anon_sym_PIPE_PIPE] = ACTIONS(4060),
    [anon_sym_AMP_AMP] = ACTIONS(4060),
    [anon_sym_PIPE] = ACTIONS(4058),
    [anon_sym_CARET] = ACTIONS(4058),
    [anon_sym_AMP] = ACTIONS(4058),
    [anon_sym_EQ_EQ] = ACTIONS(4060),
    [anon_sym_BANG_EQ] = ACTIONS(4060),
    [anon_sym_GT] = ACTIONS(4058),
    [anon_sym_GT_EQ] = ACTIONS(4060),
    [anon_sym_LT_EQ] = ACTIONS(4060),
    [anon_sym_LT] = ACTIONS(4058),
    [anon_sym_LT_LT] = ACTIONS(4058),
    [anon_sym_GT_GT] = ACTIONS(4058),
    [anon_sym_SEMI] = ACTIONS(4060),
    [anon_sym___extension__] = ACTIONS(4058),
    [anon_sym_extern] = ACTIONS(4058),
    [anon_sym___attribute__] = ACTIONS(4058),
    [anon_sym___attribute] = ACTIONS(4058),
    [anon_sym_noreturn] = ACTIONS(4058),
    [anon_sym_LBRACK] = ACTIONS(4060),
    [anon_sym_RBRACK] = ACTIONS(4060),
    [anon_sym___declspec] = ACTIONS(4058),
    [anon_sym_LBRACE] = ACTIONS(4060),
    [anon_sym_RBRACE] = ACTIONS(4060),
    [anon_sym_signed] = ACTIONS(4058),
    [anon_sym_unsigned] = ACTIONS(4058),
    [anon_sym_long] = ACTIONS(4058),
    [anon_sym_short] = ACTIONS(4058),
    [anon_sym_static] = ACTIONS(4058),
    [anon_sym_EQ] = ACTIONS(4058),
    [anon_sym_ATautoreleasepool] = ACTIONS(4060),
    [anon_sym_auto] = ACTIONS(4058),
    [anon_sym_register] = ACTIONS(4058),
    [anon_sym_inline] = ACTIONS(4058),
    [anon_sym___inline] = ACTIONS(4058),
    [anon_sym___inline__] = ACTIONS(4058),
    [anon_sym___forceinline] = ACTIONS(4058),
    [anon_sym_thread_local] = ACTIONS(4058),
    [anon_sym___thread] = ACTIONS(4058),
    [anon_sym_CG_EXTERN] = ACTIONS(4058),
    [anon_sym_CG_INLINE] = ACTIONS(4058),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4058),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4058),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4058),
    [anon_sym_IBOutlet] = ACTIONS(4058),
    [anon_sym_IBInspectable] = ACTIONS(4058),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4058),
    [anon_sym_NS_INLINE] = ACTIONS(4058),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4058),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4058),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4058),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4058),
    [anon_sym_const] = ACTIONS(4058),
    [anon_sym_constexpr] = ACTIONS(4058),
    [anon_sym_volatile] = ACTIONS(4058),
    [anon_sym_restrict] = ACTIONS(4058),
    [anon_sym___restrict__] = ACTIONS(4058),
    [anon_sym__Atomic] = ACTIONS(4058),
    [anon_sym__Noreturn] = ACTIONS(4058),
    [anon_sym__Nonnull] = ACTIONS(4058),
    [anon_sym_nullable] = ACTIONS(4058),
    [anon_sym__Complex] = ACTIONS(4058),
    [anon_sym__Nullable] = ACTIONS(4058),
    [anon_sym__Nullable_result] = ACTIONS(4058),
    [anon_sym__Null_unspecified] = ACTIONS(4058),
    [anon_sym___autoreleasing] = ACTIONS(4058),
    [anon_sym___block] = ACTIONS(4058),
    [anon_sym___bridge] = ACTIONS(4058),
    [anon_sym___bridge_retained] = ACTIONS(4058),
    [anon_sym___bridge_transfer] = ACTIONS(4058),
    [anon_sym___complex] = ACTIONS(4058),
    [anon_sym___const] = ACTIONS(4058),
    [anon_sym___imag] = ACTIONS(4058),
    [anon_sym___kindof] = ACTIONS(4058),
    [anon_sym___nonnull] = ACTIONS(4058),
    [anon_sym___nullable] = ACTIONS(4058),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4058),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4058),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4058),
    [anon_sym___real] = ACTIONS(4058),
    [anon_sym___strong] = ACTIONS(4058),
    [anon_sym___unsafe_unretained] = ACTIONS(4058),
    [anon_sym___unused] = ACTIONS(4058),
    [anon_sym___weak] = ACTIONS(4058),
    [anon_sym_alignas] = ACTIONS(4058),
    [anon_sym__Alignas] = ACTIONS(4058),
    [sym_primitive_type] = ACTIONS(4058),
    [anon_sym_enum] = ACTIONS(4058),
    [anon_sym_COLON] = ACTIONS(4060),
    [anon_sym_struct] = ACTIONS(4058),
    [anon_sym_union] = ACTIONS(4058),
    [anon_sym_QMARK] = ACTIONS(4060),
    [anon_sym_STAR_EQ] = ACTIONS(4060),
    [anon_sym_SLASH_EQ] = ACTIONS(4060),
    [anon_sym_PERCENT_EQ] = ACTIONS(4060),
    [anon_sym_PLUS_EQ] = ACTIONS(4060),
    [anon_sym_DASH_EQ] = ACTIONS(4060),
    [anon_sym_LT_LT_EQ] = ACTIONS(4060),
    [anon_sym_GT_GT_EQ] = ACTIONS(4060),
    [anon_sym_AMP_EQ] = ACTIONS(4060),
    [anon_sym_CARET_EQ] = ACTIONS(4060),
    [anon_sym_PIPE_EQ] = ACTIONS(4060),
    [anon_sym_DASH_DASH] = ACTIONS(4060),
    [anon_sym_PLUS_PLUS] = ACTIONS(4060),
    [anon_sym_DOT] = ACTIONS(4058),
    [anon_sym_DASH_GT] = ACTIONS(4060),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4058),
    [anon_sym___typeof] = ACTIONS(4058),
    [anon_sym_typeof] = ACTIONS(4058),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4058),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4058),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4058),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4058),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4058),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4058),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4058),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4058),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4058),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4058),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4058),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4058),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4058),
    [anon_sym_API_AVAILABLE] = ACTIONS(4058),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4058),
    [anon_sym_API_DEPRECATED] = ACTIONS(4058),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4058),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4058),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4058),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4058),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4058),
    [anon_sym___deprecated_msg] = ACTIONS(4058),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4058),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4058),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4058),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4058),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4058),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4058),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4058),
    [anon_sym_BOOL] = ACTIONS(4058),
    [anon_sym_IMP] = ACTIONS(4058),
    [anon_sym_SEL] = ACTIONS(4058),
    [anon_sym_Class] = ACTIONS(4058),
    [anon_sym_id] = ACTIONS(4058),
  },
  [1463] = {
    [sym_identifier] = ACTIONS(4062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4064),
    [anon_sym_COMMA] = ACTIONS(4064),
    [anon_sym_RPAREN] = ACTIONS(4064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4064),
    [anon_sym_LPAREN2] = ACTIONS(4064),
    [anon_sym_DASH] = ACTIONS(4062),
    [anon_sym_PLUS] = ACTIONS(4062),
    [anon_sym_STAR] = ACTIONS(4062),
    [anon_sym_SLASH] = ACTIONS(4062),
    [anon_sym_PERCENT] = ACTIONS(4062),
    [anon_sym_PIPE_PIPE] = ACTIONS(4064),
    [anon_sym_AMP_AMP] = ACTIONS(4064),
    [anon_sym_PIPE] = ACTIONS(4062),
    [anon_sym_CARET] = ACTIONS(4062),
    [anon_sym_AMP] = ACTIONS(4062),
    [anon_sym_EQ_EQ] = ACTIONS(4064),
    [anon_sym_BANG_EQ] = ACTIONS(4064),
    [anon_sym_GT] = ACTIONS(4062),
    [anon_sym_GT_EQ] = ACTIONS(4064),
    [anon_sym_LT_EQ] = ACTIONS(4064),
    [anon_sym_LT] = ACTIONS(4062),
    [anon_sym_LT_LT] = ACTIONS(4062),
    [anon_sym_GT_GT] = ACTIONS(4062),
    [anon_sym_SEMI] = ACTIONS(4064),
    [anon_sym___extension__] = ACTIONS(4062),
    [anon_sym_extern] = ACTIONS(4062),
    [anon_sym___attribute__] = ACTIONS(4062),
    [anon_sym___attribute] = ACTIONS(4062),
    [anon_sym_noreturn] = ACTIONS(4062),
    [anon_sym_LBRACK] = ACTIONS(4064),
    [anon_sym_RBRACK] = ACTIONS(4064),
    [anon_sym___declspec] = ACTIONS(4062),
    [anon_sym_LBRACE] = ACTIONS(4064),
    [anon_sym_RBRACE] = ACTIONS(4064),
    [anon_sym_signed] = ACTIONS(4062),
    [anon_sym_unsigned] = ACTIONS(4062),
    [anon_sym_long] = ACTIONS(4062),
    [anon_sym_short] = ACTIONS(4062),
    [anon_sym_static] = ACTIONS(4062),
    [anon_sym_EQ] = ACTIONS(4062),
    [anon_sym_ATautoreleasepool] = ACTIONS(4064),
    [anon_sym_auto] = ACTIONS(4062),
    [anon_sym_register] = ACTIONS(4062),
    [anon_sym_inline] = ACTIONS(4062),
    [anon_sym___inline] = ACTIONS(4062),
    [anon_sym___inline__] = ACTIONS(4062),
    [anon_sym___forceinline] = ACTIONS(4062),
    [anon_sym_thread_local] = ACTIONS(4062),
    [anon_sym___thread] = ACTIONS(4062),
    [anon_sym_CG_EXTERN] = ACTIONS(4062),
    [anon_sym_CG_INLINE] = ACTIONS(4062),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4062),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4062),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4062),
    [anon_sym_IBOutlet] = ACTIONS(4062),
    [anon_sym_IBInspectable] = ACTIONS(4062),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4062),
    [anon_sym_NS_INLINE] = ACTIONS(4062),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4062),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4062),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4062),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4062),
    [anon_sym_const] = ACTIONS(4062),
    [anon_sym_constexpr] = ACTIONS(4062),
    [anon_sym_volatile] = ACTIONS(4062),
    [anon_sym_restrict] = ACTIONS(4062),
    [anon_sym___restrict__] = ACTIONS(4062),
    [anon_sym__Atomic] = ACTIONS(4062),
    [anon_sym__Noreturn] = ACTIONS(4062),
    [anon_sym__Nonnull] = ACTIONS(4062),
    [anon_sym_nullable] = ACTIONS(4062),
    [anon_sym__Complex] = ACTIONS(4062),
    [anon_sym__Nullable] = ACTIONS(4062),
    [anon_sym__Nullable_result] = ACTIONS(4062),
    [anon_sym__Null_unspecified] = ACTIONS(4062),
    [anon_sym___autoreleasing] = ACTIONS(4062),
    [anon_sym___block] = ACTIONS(4062),
    [anon_sym___bridge] = ACTIONS(4062),
    [anon_sym___bridge_retained] = ACTIONS(4062),
    [anon_sym___bridge_transfer] = ACTIONS(4062),
    [anon_sym___complex] = ACTIONS(4062),
    [anon_sym___const] = ACTIONS(4062),
    [anon_sym___imag] = ACTIONS(4062),
    [anon_sym___kindof] = ACTIONS(4062),
    [anon_sym___nonnull] = ACTIONS(4062),
    [anon_sym___nullable] = ACTIONS(4062),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4062),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4062),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4062),
    [anon_sym___real] = ACTIONS(4062),
    [anon_sym___strong] = ACTIONS(4062),
    [anon_sym___unsafe_unretained] = ACTIONS(4062),
    [anon_sym___unused] = ACTIONS(4062),
    [anon_sym___weak] = ACTIONS(4062),
    [anon_sym_alignas] = ACTIONS(4062),
    [anon_sym__Alignas] = ACTIONS(4062),
    [sym_primitive_type] = ACTIONS(4062),
    [anon_sym_enum] = ACTIONS(4062),
    [anon_sym_COLON] = ACTIONS(4064),
    [anon_sym_struct] = ACTIONS(4062),
    [anon_sym_union] = ACTIONS(4062),
    [anon_sym_QMARK] = ACTIONS(4064),
    [anon_sym_STAR_EQ] = ACTIONS(4064),
    [anon_sym_SLASH_EQ] = ACTIONS(4064),
    [anon_sym_PERCENT_EQ] = ACTIONS(4064),
    [anon_sym_PLUS_EQ] = ACTIONS(4064),
    [anon_sym_DASH_EQ] = ACTIONS(4064),
    [anon_sym_LT_LT_EQ] = ACTIONS(4064),
    [anon_sym_GT_GT_EQ] = ACTIONS(4064),
    [anon_sym_AMP_EQ] = ACTIONS(4064),
    [anon_sym_CARET_EQ] = ACTIONS(4064),
    [anon_sym_PIPE_EQ] = ACTIONS(4064),
    [anon_sym_DASH_DASH] = ACTIONS(4064),
    [anon_sym_PLUS_PLUS] = ACTIONS(4064),
    [anon_sym_DOT] = ACTIONS(4062),
    [anon_sym_DASH_GT] = ACTIONS(4064),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4062),
    [anon_sym___typeof] = ACTIONS(4062),
    [anon_sym_typeof] = ACTIONS(4062),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4062),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4062),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4062),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4062),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4062),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4062),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4062),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4062),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4062),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4062),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4062),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4062),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4062),
    [anon_sym_API_AVAILABLE] = ACTIONS(4062),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4062),
    [anon_sym_API_DEPRECATED] = ACTIONS(4062),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4062),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4062),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4062),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4062),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4062),
    [anon_sym___deprecated_msg] = ACTIONS(4062),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4062),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4062),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4062),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4062),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4062),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4062),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4062),
    [anon_sym_BOOL] = ACTIONS(4062),
    [anon_sym_IMP] = ACTIONS(4062),
    [anon_sym_SEL] = ACTIONS(4062),
    [anon_sym_Class] = ACTIONS(4062),
    [anon_sym_id] = ACTIONS(4062),
  },
  [1464] = {
    [sym_identifier] = ACTIONS(4066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4068),
    [anon_sym_COMMA] = ACTIONS(4068),
    [anon_sym_RPAREN] = ACTIONS(4068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4068),
    [anon_sym_LPAREN2] = ACTIONS(4068),
    [anon_sym_DASH] = ACTIONS(4066),
    [anon_sym_PLUS] = ACTIONS(4066),
    [anon_sym_STAR] = ACTIONS(4066),
    [anon_sym_SLASH] = ACTIONS(4066),
    [anon_sym_PERCENT] = ACTIONS(4066),
    [anon_sym_PIPE_PIPE] = ACTIONS(4068),
    [anon_sym_AMP_AMP] = ACTIONS(4068),
    [anon_sym_PIPE] = ACTIONS(4066),
    [anon_sym_CARET] = ACTIONS(4066),
    [anon_sym_AMP] = ACTIONS(4066),
    [anon_sym_EQ_EQ] = ACTIONS(4068),
    [anon_sym_BANG_EQ] = ACTIONS(4068),
    [anon_sym_GT] = ACTIONS(4066),
    [anon_sym_GT_EQ] = ACTIONS(4068),
    [anon_sym_LT_EQ] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_LT_LT] = ACTIONS(4066),
    [anon_sym_GT_GT] = ACTIONS(4066),
    [anon_sym_SEMI] = ACTIONS(4068),
    [anon_sym___extension__] = ACTIONS(4066),
    [anon_sym_extern] = ACTIONS(4066),
    [anon_sym___attribute__] = ACTIONS(4066),
    [anon_sym___attribute] = ACTIONS(4066),
    [anon_sym_noreturn] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4068),
    [anon_sym_RBRACK] = ACTIONS(4068),
    [anon_sym___declspec] = ACTIONS(4066),
    [anon_sym_LBRACE] = ACTIONS(4068),
    [anon_sym_RBRACE] = ACTIONS(4068),
    [anon_sym_signed] = ACTIONS(4066),
    [anon_sym_unsigned] = ACTIONS(4066),
    [anon_sym_long] = ACTIONS(4066),
    [anon_sym_short] = ACTIONS(4066),
    [anon_sym_static] = ACTIONS(4066),
    [anon_sym_EQ] = ACTIONS(4066),
    [anon_sym_ATautoreleasepool] = ACTIONS(4068),
    [anon_sym_auto] = ACTIONS(4066),
    [anon_sym_register] = ACTIONS(4066),
    [anon_sym_inline] = ACTIONS(4066),
    [anon_sym___inline] = ACTIONS(4066),
    [anon_sym___inline__] = ACTIONS(4066),
    [anon_sym___forceinline] = ACTIONS(4066),
    [anon_sym_thread_local] = ACTIONS(4066),
    [anon_sym___thread] = ACTIONS(4066),
    [anon_sym_CG_EXTERN] = ACTIONS(4066),
    [anon_sym_CG_INLINE] = ACTIONS(4066),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4066),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4066),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4066),
    [anon_sym_IBOutlet] = ACTIONS(4066),
    [anon_sym_IBInspectable] = ACTIONS(4066),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4066),
    [anon_sym_NS_INLINE] = ACTIONS(4066),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4066),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4066),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4066),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4066),
    [anon_sym_const] = ACTIONS(4066),
    [anon_sym_constexpr] = ACTIONS(4066),
    [anon_sym_volatile] = ACTIONS(4066),
    [anon_sym_restrict] = ACTIONS(4066),
    [anon_sym___restrict__] = ACTIONS(4066),
    [anon_sym__Atomic] = ACTIONS(4066),
    [anon_sym__Noreturn] = ACTIONS(4066),
    [anon_sym__Nonnull] = ACTIONS(4066),
    [anon_sym_nullable] = ACTIONS(4066),
    [anon_sym__Complex] = ACTIONS(4066),
    [anon_sym__Nullable] = ACTIONS(4066),
    [anon_sym__Nullable_result] = ACTIONS(4066),
    [anon_sym__Null_unspecified] = ACTIONS(4066),
    [anon_sym___autoreleasing] = ACTIONS(4066),
    [anon_sym___block] = ACTIONS(4066),
    [anon_sym___bridge] = ACTIONS(4066),
    [anon_sym___bridge_retained] = ACTIONS(4066),
    [anon_sym___bridge_transfer] = ACTIONS(4066),
    [anon_sym___complex] = ACTIONS(4066),
    [anon_sym___const] = ACTIONS(4066),
    [anon_sym___imag] = ACTIONS(4066),
    [anon_sym___kindof] = ACTIONS(4066),
    [anon_sym___nonnull] = ACTIONS(4066),
    [anon_sym___nullable] = ACTIONS(4066),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4066),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4066),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4066),
    [anon_sym___real] = ACTIONS(4066),
    [anon_sym___strong] = ACTIONS(4066),
    [anon_sym___unsafe_unretained] = ACTIONS(4066),
    [anon_sym___unused] = ACTIONS(4066),
    [anon_sym___weak] = ACTIONS(4066),
    [anon_sym_alignas] = ACTIONS(4066),
    [anon_sym__Alignas] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(4066),
    [anon_sym_enum] = ACTIONS(4066),
    [anon_sym_COLON] = ACTIONS(4068),
    [anon_sym_struct] = ACTIONS(4066),
    [anon_sym_union] = ACTIONS(4066),
    [anon_sym_QMARK] = ACTIONS(4068),
    [anon_sym_STAR_EQ] = ACTIONS(4068),
    [anon_sym_SLASH_EQ] = ACTIONS(4068),
    [anon_sym_PERCENT_EQ] = ACTIONS(4068),
    [anon_sym_PLUS_EQ] = ACTIONS(4068),
    [anon_sym_DASH_EQ] = ACTIONS(4068),
    [anon_sym_LT_LT_EQ] = ACTIONS(4068),
    [anon_sym_GT_GT_EQ] = ACTIONS(4068),
    [anon_sym_AMP_EQ] = ACTIONS(4068),
    [anon_sym_CARET_EQ] = ACTIONS(4068),
    [anon_sym_PIPE_EQ] = ACTIONS(4068),
    [anon_sym_DASH_DASH] = ACTIONS(4068),
    [anon_sym_PLUS_PLUS] = ACTIONS(4068),
    [anon_sym_DOT] = ACTIONS(4066),
    [anon_sym_DASH_GT] = ACTIONS(4068),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4066),
    [anon_sym___typeof] = ACTIONS(4066),
    [anon_sym_typeof] = ACTIONS(4066),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4066),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4066),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4066),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4066),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4066),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4066),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4066),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4066),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4066),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4066),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4066),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4066),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4066),
    [anon_sym_API_AVAILABLE] = ACTIONS(4066),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4066),
    [anon_sym_API_DEPRECATED] = ACTIONS(4066),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4066),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4066),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4066),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4066),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4066),
    [anon_sym___deprecated_msg] = ACTIONS(4066),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4066),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4066),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4066),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4066),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4066),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4066),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4066),
    [anon_sym_BOOL] = ACTIONS(4066),
    [anon_sym_IMP] = ACTIONS(4066),
    [anon_sym_SEL] = ACTIONS(4066),
    [anon_sym_Class] = ACTIONS(4066),
    [anon_sym_id] = ACTIONS(4066),
  },
  [1465] = {
    [sym_identifier] = ACTIONS(4070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4072),
    [anon_sym_COMMA] = ACTIONS(4072),
    [anon_sym_RPAREN] = ACTIONS(4072),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4072),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4072),
    [anon_sym_LPAREN2] = ACTIONS(4072),
    [anon_sym_DASH] = ACTIONS(4070),
    [anon_sym_PLUS] = ACTIONS(4070),
    [anon_sym_STAR] = ACTIONS(4070),
    [anon_sym_SLASH] = ACTIONS(4070),
    [anon_sym_PERCENT] = ACTIONS(4070),
    [anon_sym_PIPE_PIPE] = ACTIONS(4072),
    [anon_sym_AMP_AMP] = ACTIONS(4072),
    [anon_sym_PIPE] = ACTIONS(4070),
    [anon_sym_CARET] = ACTIONS(4070),
    [anon_sym_AMP] = ACTIONS(4070),
    [anon_sym_EQ_EQ] = ACTIONS(4072),
    [anon_sym_BANG_EQ] = ACTIONS(4072),
    [anon_sym_GT] = ACTIONS(4070),
    [anon_sym_GT_EQ] = ACTIONS(4072),
    [anon_sym_LT_EQ] = ACTIONS(4072),
    [anon_sym_LT] = ACTIONS(4070),
    [anon_sym_LT_LT] = ACTIONS(4070),
    [anon_sym_GT_GT] = ACTIONS(4070),
    [anon_sym_SEMI] = ACTIONS(4072),
    [anon_sym___extension__] = ACTIONS(4070),
    [anon_sym_extern] = ACTIONS(4070),
    [anon_sym___attribute__] = ACTIONS(4070),
    [anon_sym___attribute] = ACTIONS(4070),
    [anon_sym_noreturn] = ACTIONS(4070),
    [anon_sym_LBRACK] = ACTIONS(4072),
    [anon_sym_RBRACK] = ACTIONS(4072),
    [anon_sym___declspec] = ACTIONS(4070),
    [anon_sym_LBRACE] = ACTIONS(4072),
    [anon_sym_RBRACE] = ACTIONS(4072),
    [anon_sym_signed] = ACTIONS(4070),
    [anon_sym_unsigned] = ACTIONS(4070),
    [anon_sym_long] = ACTIONS(4070),
    [anon_sym_short] = ACTIONS(4070),
    [anon_sym_static] = ACTIONS(4070),
    [anon_sym_EQ] = ACTIONS(4070),
    [anon_sym_ATautoreleasepool] = ACTIONS(4072),
    [anon_sym_auto] = ACTIONS(4070),
    [anon_sym_register] = ACTIONS(4070),
    [anon_sym_inline] = ACTIONS(4070),
    [anon_sym___inline] = ACTIONS(4070),
    [anon_sym___inline__] = ACTIONS(4070),
    [anon_sym___forceinline] = ACTIONS(4070),
    [anon_sym_thread_local] = ACTIONS(4070),
    [anon_sym___thread] = ACTIONS(4070),
    [anon_sym_CG_EXTERN] = ACTIONS(4070),
    [anon_sym_CG_INLINE] = ACTIONS(4070),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4070),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4070),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4070),
    [anon_sym_IBOutlet] = ACTIONS(4070),
    [anon_sym_IBInspectable] = ACTIONS(4070),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4070),
    [anon_sym_NS_INLINE] = ACTIONS(4070),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4070),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4070),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4070),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4070),
    [anon_sym_const] = ACTIONS(4070),
    [anon_sym_constexpr] = ACTIONS(4070),
    [anon_sym_volatile] = ACTIONS(4070),
    [anon_sym_restrict] = ACTIONS(4070),
    [anon_sym___restrict__] = ACTIONS(4070),
    [anon_sym__Atomic] = ACTIONS(4070),
    [anon_sym__Noreturn] = ACTIONS(4070),
    [anon_sym__Nonnull] = ACTIONS(4070),
    [anon_sym_nullable] = ACTIONS(4070),
    [anon_sym__Complex] = ACTIONS(4070),
    [anon_sym__Nullable] = ACTIONS(4070),
    [anon_sym__Nullable_result] = ACTIONS(4070),
    [anon_sym__Null_unspecified] = ACTIONS(4070),
    [anon_sym___autoreleasing] = ACTIONS(4070),
    [anon_sym___block] = ACTIONS(4070),
    [anon_sym___bridge] = ACTIONS(4070),
    [anon_sym___bridge_retained] = ACTIONS(4070),
    [anon_sym___bridge_transfer] = ACTIONS(4070),
    [anon_sym___complex] = ACTIONS(4070),
    [anon_sym___const] = ACTIONS(4070),
    [anon_sym___imag] = ACTIONS(4070),
    [anon_sym___kindof] = ACTIONS(4070),
    [anon_sym___nonnull] = ACTIONS(4070),
    [anon_sym___nullable] = ACTIONS(4070),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4070),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4070),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4070),
    [anon_sym___real] = ACTIONS(4070),
    [anon_sym___strong] = ACTIONS(4070),
    [anon_sym___unsafe_unretained] = ACTIONS(4070),
    [anon_sym___unused] = ACTIONS(4070),
    [anon_sym___weak] = ACTIONS(4070),
    [anon_sym_alignas] = ACTIONS(4070),
    [anon_sym__Alignas] = ACTIONS(4070),
    [sym_primitive_type] = ACTIONS(4070),
    [anon_sym_enum] = ACTIONS(4070),
    [anon_sym_COLON] = ACTIONS(4072),
    [anon_sym_struct] = ACTIONS(4070),
    [anon_sym_union] = ACTIONS(4070),
    [anon_sym_QMARK] = ACTIONS(4072),
    [anon_sym_STAR_EQ] = ACTIONS(4072),
    [anon_sym_SLASH_EQ] = ACTIONS(4072),
    [anon_sym_PERCENT_EQ] = ACTIONS(4072),
    [anon_sym_PLUS_EQ] = ACTIONS(4072),
    [anon_sym_DASH_EQ] = ACTIONS(4072),
    [anon_sym_LT_LT_EQ] = ACTIONS(4072),
    [anon_sym_GT_GT_EQ] = ACTIONS(4072),
    [anon_sym_AMP_EQ] = ACTIONS(4072),
    [anon_sym_CARET_EQ] = ACTIONS(4072),
    [anon_sym_PIPE_EQ] = ACTIONS(4072),
    [anon_sym_DASH_DASH] = ACTIONS(4072),
    [anon_sym_PLUS_PLUS] = ACTIONS(4072),
    [anon_sym_DOT] = ACTIONS(4070),
    [anon_sym_DASH_GT] = ACTIONS(4072),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4070),
    [anon_sym___typeof] = ACTIONS(4070),
    [anon_sym_typeof] = ACTIONS(4070),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4070),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4070),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4070),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4070),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4070),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4070),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4070),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4070),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4070),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4070),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4070),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4070),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4070),
    [anon_sym_API_AVAILABLE] = ACTIONS(4070),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4070),
    [anon_sym_API_DEPRECATED] = ACTIONS(4070),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4070),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4070),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4070),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4070),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4070),
    [anon_sym___deprecated_msg] = ACTIONS(4070),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4070),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4070),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4070),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4070),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4070),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4070),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4070),
    [anon_sym_BOOL] = ACTIONS(4070),
    [anon_sym_IMP] = ACTIONS(4070),
    [anon_sym_SEL] = ACTIONS(4070),
    [anon_sym_Class] = ACTIONS(4070),
    [anon_sym_id] = ACTIONS(4070),
  },
  [1466] = {
    [sym_identifier] = ACTIONS(4074),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4076),
    [anon_sym_COMMA] = ACTIONS(4076),
    [anon_sym_RPAREN] = ACTIONS(4076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4076),
    [anon_sym_LPAREN2] = ACTIONS(4076),
    [anon_sym_DASH] = ACTIONS(4074),
    [anon_sym_PLUS] = ACTIONS(4074),
    [anon_sym_STAR] = ACTIONS(4074),
    [anon_sym_SLASH] = ACTIONS(4074),
    [anon_sym_PERCENT] = ACTIONS(4074),
    [anon_sym_PIPE_PIPE] = ACTIONS(4076),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_PIPE] = ACTIONS(4074),
    [anon_sym_CARET] = ACTIONS(4074),
    [anon_sym_AMP] = ACTIONS(4074),
    [anon_sym_EQ_EQ] = ACTIONS(4076),
    [anon_sym_BANG_EQ] = ACTIONS(4076),
    [anon_sym_GT] = ACTIONS(4074),
    [anon_sym_GT_EQ] = ACTIONS(4076),
    [anon_sym_LT_EQ] = ACTIONS(4076),
    [anon_sym_LT] = ACTIONS(4074),
    [anon_sym_LT_LT] = ACTIONS(4074),
    [anon_sym_GT_GT] = ACTIONS(4074),
    [anon_sym_SEMI] = ACTIONS(4076),
    [anon_sym___extension__] = ACTIONS(4074),
    [anon_sym_extern] = ACTIONS(4074),
    [anon_sym___attribute__] = ACTIONS(4074),
    [anon_sym___attribute] = ACTIONS(4074),
    [anon_sym_noreturn] = ACTIONS(4074),
    [anon_sym_LBRACK] = ACTIONS(4076),
    [anon_sym_RBRACK] = ACTIONS(4076),
    [anon_sym___declspec] = ACTIONS(4074),
    [anon_sym_LBRACE] = ACTIONS(4076),
    [anon_sym_RBRACE] = ACTIONS(4076),
    [anon_sym_signed] = ACTIONS(4074),
    [anon_sym_unsigned] = ACTIONS(4074),
    [anon_sym_long] = ACTIONS(4074),
    [anon_sym_short] = ACTIONS(4074),
    [anon_sym_static] = ACTIONS(4074),
    [anon_sym_EQ] = ACTIONS(4074),
    [anon_sym_ATautoreleasepool] = ACTIONS(4076),
    [anon_sym_auto] = ACTIONS(4074),
    [anon_sym_register] = ACTIONS(4074),
    [anon_sym_inline] = ACTIONS(4074),
    [anon_sym___inline] = ACTIONS(4074),
    [anon_sym___inline__] = ACTIONS(4074),
    [anon_sym___forceinline] = ACTIONS(4074),
    [anon_sym_thread_local] = ACTIONS(4074),
    [anon_sym___thread] = ACTIONS(4074),
    [anon_sym_CG_EXTERN] = ACTIONS(4074),
    [anon_sym_CG_INLINE] = ACTIONS(4074),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4074),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4074),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4074),
    [anon_sym_IBOutlet] = ACTIONS(4074),
    [anon_sym_IBInspectable] = ACTIONS(4074),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4074),
    [anon_sym_NS_INLINE] = ACTIONS(4074),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4074),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4074),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4074),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4074),
    [anon_sym_const] = ACTIONS(4074),
    [anon_sym_constexpr] = ACTIONS(4074),
    [anon_sym_volatile] = ACTIONS(4074),
    [anon_sym_restrict] = ACTIONS(4074),
    [anon_sym___restrict__] = ACTIONS(4074),
    [anon_sym__Atomic] = ACTIONS(4074),
    [anon_sym__Noreturn] = ACTIONS(4074),
    [anon_sym__Nonnull] = ACTIONS(4074),
    [anon_sym_nullable] = ACTIONS(4074),
    [anon_sym__Complex] = ACTIONS(4074),
    [anon_sym__Nullable] = ACTIONS(4074),
    [anon_sym__Nullable_result] = ACTIONS(4074),
    [anon_sym__Null_unspecified] = ACTIONS(4074),
    [anon_sym___autoreleasing] = ACTIONS(4074),
    [anon_sym___block] = ACTIONS(4074),
    [anon_sym___bridge] = ACTIONS(4074),
    [anon_sym___bridge_retained] = ACTIONS(4074),
    [anon_sym___bridge_transfer] = ACTIONS(4074),
    [anon_sym___complex] = ACTIONS(4074),
    [anon_sym___const] = ACTIONS(4074),
    [anon_sym___imag] = ACTIONS(4074),
    [anon_sym___kindof] = ACTIONS(4074),
    [anon_sym___nonnull] = ACTIONS(4074),
    [anon_sym___nullable] = ACTIONS(4074),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4074),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4074),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4074),
    [anon_sym___real] = ACTIONS(4074),
    [anon_sym___strong] = ACTIONS(4074),
    [anon_sym___unsafe_unretained] = ACTIONS(4074),
    [anon_sym___unused] = ACTIONS(4074),
    [anon_sym___weak] = ACTIONS(4074),
    [anon_sym_alignas] = ACTIONS(4074),
    [anon_sym__Alignas] = ACTIONS(4074),
    [sym_primitive_type] = ACTIONS(4074),
    [anon_sym_enum] = ACTIONS(4074),
    [anon_sym_COLON] = ACTIONS(4076),
    [anon_sym_struct] = ACTIONS(4074),
    [anon_sym_union] = ACTIONS(4074),
    [anon_sym_QMARK] = ACTIONS(4076),
    [anon_sym_STAR_EQ] = ACTIONS(4076),
    [anon_sym_SLASH_EQ] = ACTIONS(4076),
    [anon_sym_PERCENT_EQ] = ACTIONS(4076),
    [anon_sym_PLUS_EQ] = ACTIONS(4076),
    [anon_sym_DASH_EQ] = ACTIONS(4076),
    [anon_sym_LT_LT_EQ] = ACTIONS(4076),
    [anon_sym_GT_GT_EQ] = ACTIONS(4076),
    [anon_sym_AMP_EQ] = ACTIONS(4076),
    [anon_sym_CARET_EQ] = ACTIONS(4076),
    [anon_sym_PIPE_EQ] = ACTIONS(4076),
    [anon_sym_DASH_DASH] = ACTIONS(4076),
    [anon_sym_PLUS_PLUS] = ACTIONS(4076),
    [anon_sym_DOT] = ACTIONS(4074),
    [anon_sym_DASH_GT] = ACTIONS(4076),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4074),
    [anon_sym___typeof] = ACTIONS(4074),
    [anon_sym_typeof] = ACTIONS(4074),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4074),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4074),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4074),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4074),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4074),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4074),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4074),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4074),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4074),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4074),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4074),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4074),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4074),
    [anon_sym_API_AVAILABLE] = ACTIONS(4074),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4074),
    [anon_sym_API_DEPRECATED] = ACTIONS(4074),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4074),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4074),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4074),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4074),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4074),
    [anon_sym___deprecated_msg] = ACTIONS(4074),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4074),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4074),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4074),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4074),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4074),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4074),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4074),
    [anon_sym_BOOL] = ACTIONS(4074),
    [anon_sym_IMP] = ACTIONS(4074),
    [anon_sym_SEL] = ACTIONS(4074),
    [anon_sym_Class] = ACTIONS(4074),
    [anon_sym_id] = ACTIONS(4074),
  },
  [1467] = {
    [sym_identifier] = ACTIONS(4078),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4080),
    [anon_sym_COMMA] = ACTIONS(4080),
    [anon_sym_RPAREN] = ACTIONS(4080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4080),
    [anon_sym_LPAREN2] = ACTIONS(4080),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4078),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4078),
    [anon_sym_PIPE_PIPE] = ACTIONS(4080),
    [anon_sym_AMP_AMP] = ACTIONS(4080),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4078),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4080),
    [anon_sym_BANG_EQ] = ACTIONS(4080),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4080),
    [anon_sym_LT_EQ] = ACTIONS(4080),
    [anon_sym_LT] = ACTIONS(4078),
    [anon_sym_LT_LT] = ACTIONS(4078),
    [anon_sym_GT_GT] = ACTIONS(4078),
    [anon_sym_SEMI] = ACTIONS(4080),
    [anon_sym___extension__] = ACTIONS(4078),
    [anon_sym_extern] = ACTIONS(4078),
    [anon_sym___attribute__] = ACTIONS(4078),
    [anon_sym___attribute] = ACTIONS(4078),
    [anon_sym_noreturn] = ACTIONS(4078),
    [anon_sym_LBRACK] = ACTIONS(4080),
    [anon_sym_RBRACK] = ACTIONS(4080),
    [anon_sym___declspec] = ACTIONS(4078),
    [anon_sym_LBRACE] = ACTIONS(4080),
    [anon_sym_RBRACE] = ACTIONS(4080),
    [anon_sym_signed] = ACTIONS(4078),
    [anon_sym_unsigned] = ACTIONS(4078),
    [anon_sym_long] = ACTIONS(4078),
    [anon_sym_short] = ACTIONS(4078),
    [anon_sym_static] = ACTIONS(4078),
    [anon_sym_EQ] = ACTIONS(4078),
    [anon_sym_ATautoreleasepool] = ACTIONS(4080),
    [anon_sym_auto] = ACTIONS(4078),
    [anon_sym_register] = ACTIONS(4078),
    [anon_sym_inline] = ACTIONS(4078),
    [anon_sym___inline] = ACTIONS(4078),
    [anon_sym___inline__] = ACTIONS(4078),
    [anon_sym___forceinline] = ACTIONS(4078),
    [anon_sym_thread_local] = ACTIONS(4078),
    [anon_sym___thread] = ACTIONS(4078),
    [anon_sym_CG_EXTERN] = ACTIONS(4078),
    [anon_sym_CG_INLINE] = ACTIONS(4078),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4078),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4078),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4078),
    [anon_sym_IBOutlet] = ACTIONS(4078),
    [anon_sym_IBInspectable] = ACTIONS(4078),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4078),
    [anon_sym_NS_INLINE] = ACTIONS(4078),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4078),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4078),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4078),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4078),
    [anon_sym_const] = ACTIONS(4078),
    [anon_sym_constexpr] = ACTIONS(4078),
    [anon_sym_volatile] = ACTIONS(4078),
    [anon_sym_restrict] = ACTIONS(4078),
    [anon_sym___restrict__] = ACTIONS(4078),
    [anon_sym__Atomic] = ACTIONS(4078),
    [anon_sym__Noreturn] = ACTIONS(4078),
    [anon_sym__Nonnull] = ACTIONS(4078),
    [anon_sym_nullable] = ACTIONS(4078),
    [anon_sym__Complex] = ACTIONS(4078),
    [anon_sym__Nullable] = ACTIONS(4078),
    [anon_sym__Nullable_result] = ACTIONS(4078),
    [anon_sym__Null_unspecified] = ACTIONS(4078),
    [anon_sym___autoreleasing] = ACTIONS(4078),
    [anon_sym___block] = ACTIONS(4078),
    [anon_sym___bridge] = ACTIONS(4078),
    [anon_sym___bridge_retained] = ACTIONS(4078),
    [anon_sym___bridge_transfer] = ACTIONS(4078),
    [anon_sym___complex] = ACTIONS(4078),
    [anon_sym___const] = ACTIONS(4078),
    [anon_sym___imag] = ACTIONS(4078),
    [anon_sym___kindof] = ACTIONS(4078),
    [anon_sym___nonnull] = ACTIONS(4078),
    [anon_sym___nullable] = ACTIONS(4078),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4078),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4078),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4078),
    [anon_sym___real] = ACTIONS(4078),
    [anon_sym___strong] = ACTIONS(4078),
    [anon_sym___unsafe_unretained] = ACTIONS(4078),
    [anon_sym___unused] = ACTIONS(4078),
    [anon_sym___weak] = ACTIONS(4078),
    [anon_sym_alignas] = ACTIONS(4078),
    [anon_sym__Alignas] = ACTIONS(4078),
    [sym_primitive_type] = ACTIONS(4078),
    [anon_sym_enum] = ACTIONS(4078),
    [anon_sym_COLON] = ACTIONS(4080),
    [anon_sym_struct] = ACTIONS(4078),
    [anon_sym_union] = ACTIONS(4078),
    [anon_sym_QMARK] = ACTIONS(4080),
    [anon_sym_STAR_EQ] = ACTIONS(4080),
    [anon_sym_SLASH_EQ] = ACTIONS(4080),
    [anon_sym_PERCENT_EQ] = ACTIONS(4080),
    [anon_sym_PLUS_EQ] = ACTIONS(4080),
    [anon_sym_DASH_EQ] = ACTIONS(4080),
    [anon_sym_LT_LT_EQ] = ACTIONS(4080),
    [anon_sym_GT_GT_EQ] = ACTIONS(4080),
    [anon_sym_AMP_EQ] = ACTIONS(4080),
    [anon_sym_CARET_EQ] = ACTIONS(4080),
    [anon_sym_PIPE_EQ] = ACTIONS(4080),
    [anon_sym_DASH_DASH] = ACTIONS(4080),
    [anon_sym_PLUS_PLUS] = ACTIONS(4080),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DASH_GT] = ACTIONS(4080),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4078),
    [anon_sym___typeof] = ACTIONS(4078),
    [anon_sym_typeof] = ACTIONS(4078),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4078),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4078),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4078),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4078),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4078),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4078),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4078),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4078),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4078),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4078),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4078),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4078),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4078),
    [anon_sym_API_AVAILABLE] = ACTIONS(4078),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4078),
    [anon_sym_API_DEPRECATED] = ACTIONS(4078),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4078),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4078),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4078),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4078),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4078),
    [anon_sym___deprecated_msg] = ACTIONS(4078),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4078),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4078),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4078),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4078),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4078),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4078),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4078),
    [anon_sym_BOOL] = ACTIONS(4078),
    [anon_sym_IMP] = ACTIONS(4078),
    [anon_sym_SEL] = ACTIONS(4078),
    [anon_sym_Class] = ACTIONS(4078),
    [anon_sym_id] = ACTIONS(4078),
  },
  [1468] = {
    [sym_identifier] = ACTIONS(4082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4084),
    [anon_sym_COMMA] = ACTIONS(4084),
    [anon_sym_RPAREN] = ACTIONS(4084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4084),
    [anon_sym_LPAREN2] = ACTIONS(4084),
    [anon_sym_DASH] = ACTIONS(4082),
    [anon_sym_PLUS] = ACTIONS(4082),
    [anon_sym_STAR] = ACTIONS(4082),
    [anon_sym_SLASH] = ACTIONS(4082),
    [anon_sym_PERCENT] = ACTIONS(4082),
    [anon_sym_PIPE_PIPE] = ACTIONS(4084),
    [anon_sym_AMP_AMP] = ACTIONS(4084),
    [anon_sym_PIPE] = ACTIONS(4082),
    [anon_sym_CARET] = ACTIONS(4082),
    [anon_sym_AMP] = ACTIONS(4082),
    [anon_sym_EQ_EQ] = ACTIONS(4084),
    [anon_sym_BANG_EQ] = ACTIONS(4084),
    [anon_sym_GT] = ACTIONS(4082),
    [anon_sym_GT_EQ] = ACTIONS(4084),
    [anon_sym_LT_EQ] = ACTIONS(4084),
    [anon_sym_LT] = ACTIONS(4082),
    [anon_sym_LT_LT] = ACTIONS(4082),
    [anon_sym_GT_GT] = ACTIONS(4082),
    [anon_sym_SEMI] = ACTIONS(4084),
    [anon_sym___extension__] = ACTIONS(4082),
    [anon_sym_extern] = ACTIONS(4082),
    [anon_sym___attribute__] = ACTIONS(4082),
    [anon_sym___attribute] = ACTIONS(4082),
    [anon_sym_noreturn] = ACTIONS(4082),
    [anon_sym_LBRACK] = ACTIONS(4084),
    [anon_sym_RBRACK] = ACTIONS(4084),
    [anon_sym___declspec] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4084),
    [anon_sym_RBRACE] = ACTIONS(4084),
    [anon_sym_signed] = ACTIONS(4082),
    [anon_sym_unsigned] = ACTIONS(4082),
    [anon_sym_long] = ACTIONS(4082),
    [anon_sym_short] = ACTIONS(4082),
    [anon_sym_static] = ACTIONS(4082),
    [anon_sym_EQ] = ACTIONS(4082),
    [anon_sym_ATautoreleasepool] = ACTIONS(4084),
    [anon_sym_auto] = ACTIONS(4082),
    [anon_sym_register] = ACTIONS(4082),
    [anon_sym_inline] = ACTIONS(4082),
    [anon_sym___inline] = ACTIONS(4082),
    [anon_sym___inline__] = ACTIONS(4082),
    [anon_sym___forceinline] = ACTIONS(4082),
    [anon_sym_thread_local] = ACTIONS(4082),
    [anon_sym___thread] = ACTIONS(4082),
    [anon_sym_CG_EXTERN] = ACTIONS(4082),
    [anon_sym_CG_INLINE] = ACTIONS(4082),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4082),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4082),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4082),
    [anon_sym_IBOutlet] = ACTIONS(4082),
    [anon_sym_IBInspectable] = ACTIONS(4082),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4082),
    [anon_sym_NS_INLINE] = ACTIONS(4082),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4082),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4082),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4082),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4082),
    [anon_sym_const] = ACTIONS(4082),
    [anon_sym_constexpr] = ACTIONS(4082),
    [anon_sym_volatile] = ACTIONS(4082),
    [anon_sym_restrict] = ACTIONS(4082),
    [anon_sym___restrict__] = ACTIONS(4082),
    [anon_sym__Atomic] = ACTIONS(4082),
    [anon_sym__Noreturn] = ACTIONS(4082),
    [anon_sym__Nonnull] = ACTIONS(4082),
    [anon_sym_nullable] = ACTIONS(4082),
    [anon_sym__Complex] = ACTIONS(4082),
    [anon_sym__Nullable] = ACTIONS(4082),
    [anon_sym__Nullable_result] = ACTIONS(4082),
    [anon_sym__Null_unspecified] = ACTIONS(4082),
    [anon_sym___autoreleasing] = ACTIONS(4082),
    [anon_sym___block] = ACTIONS(4082),
    [anon_sym___bridge] = ACTIONS(4082),
    [anon_sym___bridge_retained] = ACTIONS(4082),
    [anon_sym___bridge_transfer] = ACTIONS(4082),
    [anon_sym___complex] = ACTIONS(4082),
    [anon_sym___const] = ACTIONS(4082),
    [anon_sym___imag] = ACTIONS(4082),
    [anon_sym___kindof] = ACTIONS(4082),
    [anon_sym___nonnull] = ACTIONS(4082),
    [anon_sym___nullable] = ACTIONS(4082),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4082),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4082),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4082),
    [anon_sym___real] = ACTIONS(4082),
    [anon_sym___strong] = ACTIONS(4082),
    [anon_sym___unsafe_unretained] = ACTIONS(4082),
    [anon_sym___unused] = ACTIONS(4082),
    [anon_sym___weak] = ACTIONS(4082),
    [anon_sym_alignas] = ACTIONS(4082),
    [anon_sym__Alignas] = ACTIONS(4082),
    [sym_primitive_type] = ACTIONS(4082),
    [anon_sym_enum] = ACTIONS(4082),
    [anon_sym_COLON] = ACTIONS(4084),
    [anon_sym_struct] = ACTIONS(4082),
    [anon_sym_union] = ACTIONS(4082),
    [anon_sym_QMARK] = ACTIONS(4084),
    [anon_sym_STAR_EQ] = ACTIONS(4084),
    [anon_sym_SLASH_EQ] = ACTIONS(4084),
    [anon_sym_PERCENT_EQ] = ACTIONS(4084),
    [anon_sym_PLUS_EQ] = ACTIONS(4084),
    [anon_sym_DASH_EQ] = ACTIONS(4084),
    [anon_sym_LT_LT_EQ] = ACTIONS(4084),
    [anon_sym_GT_GT_EQ] = ACTIONS(4084),
    [anon_sym_AMP_EQ] = ACTIONS(4084),
    [anon_sym_CARET_EQ] = ACTIONS(4084),
    [anon_sym_PIPE_EQ] = ACTIONS(4084),
    [anon_sym_DASH_DASH] = ACTIONS(4084),
    [anon_sym_PLUS_PLUS] = ACTIONS(4084),
    [anon_sym_DOT] = ACTIONS(4082),
    [anon_sym_DASH_GT] = ACTIONS(4084),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4082),
    [anon_sym___typeof] = ACTIONS(4082),
    [anon_sym_typeof] = ACTIONS(4082),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4082),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4082),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4082),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4082),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4082),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4082),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4082),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4082),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4082),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4082),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4082),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4082),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4082),
    [anon_sym_API_AVAILABLE] = ACTIONS(4082),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4082),
    [anon_sym_API_DEPRECATED] = ACTIONS(4082),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4082),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4082),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4082),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4082),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4082),
    [anon_sym___deprecated_msg] = ACTIONS(4082),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4082),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4082),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4082),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4082),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4082),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4082),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4082),
    [anon_sym_BOOL] = ACTIONS(4082),
    [anon_sym_IMP] = ACTIONS(4082),
    [anon_sym_SEL] = ACTIONS(4082),
    [anon_sym_Class] = ACTIONS(4082),
    [anon_sym_id] = ACTIONS(4082),
  },
  [1469] = {
    [sym_identifier] = ACTIONS(4086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4089),
    [anon_sym_COMMA] = ACTIONS(4089),
    [anon_sym_LPAREN2] = ACTIONS(4089),
    [anon_sym_DASH] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4086),
    [anon_sym_STAR] = ACTIONS(4086),
    [anon_sym_SLASH] = ACTIONS(4086),
    [anon_sym_PERCENT] = ACTIONS(4086),
    [anon_sym_PIPE_PIPE] = ACTIONS(4089),
    [anon_sym_AMP_AMP] = ACTIONS(4089),
    [anon_sym_PIPE] = ACTIONS(4086),
    [anon_sym_CARET] = ACTIONS(4086),
    [anon_sym_AMP] = ACTIONS(4086),
    [anon_sym_EQ_EQ] = ACTIONS(4089),
    [anon_sym_BANG_EQ] = ACTIONS(4089),
    [anon_sym_GT] = ACTIONS(4086),
    [anon_sym_GT_EQ] = ACTIONS(4089),
    [anon_sym_LT_EQ] = ACTIONS(4089),
    [anon_sym_LT] = ACTIONS(4086),
    [anon_sym_LT_LT] = ACTIONS(4086),
    [anon_sym_GT_GT] = ACTIONS(4086),
    [anon_sym_SEMI] = ACTIONS(4089),
    [anon_sym___extension__] = ACTIONS(4086),
    [anon_sym_extern] = ACTIONS(4086),
    [anon_sym___attribute__] = ACTIONS(4086),
    [anon_sym___attribute] = ACTIONS(4086),
    [anon_sym_noreturn] = ACTIONS(4086),
    [anon_sym_LBRACK] = ACTIONS(4089),
    [anon_sym___declspec] = ACTIONS(4086),
    [anon_sym_LBRACE] = ACTIONS(4089),
    [anon_sym_signed] = ACTIONS(4086),
    [anon_sym_unsigned] = ACTIONS(4086),
    [anon_sym_long] = ACTIONS(4086),
    [anon_sym_short] = ACTIONS(4086),
    [anon_sym_static] = ACTIONS(4086),
    [anon_sym_EQ] = ACTIONS(4086),
    [anon_sym_ATautoreleasepool] = ACTIONS(4089),
    [anon_sym_auto] = ACTIONS(4086),
    [anon_sym_register] = ACTIONS(4086),
    [anon_sym_inline] = ACTIONS(4086),
    [anon_sym___inline] = ACTIONS(4086),
    [anon_sym___inline__] = ACTIONS(4086),
    [anon_sym___forceinline] = ACTIONS(4086),
    [anon_sym_thread_local] = ACTIONS(4086),
    [anon_sym___thread] = ACTIONS(4086),
    [anon_sym_CG_EXTERN] = ACTIONS(4086),
    [anon_sym_CG_INLINE] = ACTIONS(4086),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4086),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4086),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4086),
    [anon_sym_IBOutlet] = ACTIONS(4086),
    [anon_sym_IBInspectable] = ACTIONS(4086),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4086),
    [anon_sym_NS_INLINE] = ACTIONS(4086),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4086),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4086),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4086),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4086),
    [anon_sym_const] = ACTIONS(4086),
    [anon_sym_constexpr] = ACTIONS(4086),
    [anon_sym_volatile] = ACTIONS(4086),
    [anon_sym_restrict] = ACTIONS(4086),
    [anon_sym___restrict__] = ACTIONS(4086),
    [anon_sym__Atomic] = ACTIONS(4086),
    [anon_sym__Noreturn] = ACTIONS(4086),
    [anon_sym__Nonnull] = ACTIONS(4086),
    [anon_sym_nullable] = ACTIONS(4086),
    [anon_sym__Complex] = ACTIONS(4086),
    [anon_sym__Nullable] = ACTIONS(4086),
    [anon_sym__Nullable_result] = ACTIONS(4086),
    [anon_sym__Null_unspecified] = ACTIONS(4086),
    [anon_sym___autoreleasing] = ACTIONS(4086),
    [anon_sym___block] = ACTIONS(4086),
    [anon_sym___bridge] = ACTIONS(4086),
    [anon_sym___bridge_retained] = ACTIONS(4086),
    [anon_sym___bridge_transfer] = ACTIONS(4086),
    [anon_sym___complex] = ACTIONS(4086),
    [anon_sym___const] = ACTIONS(4086),
    [anon_sym___imag] = ACTIONS(4086),
    [anon_sym___kindof] = ACTIONS(4086),
    [anon_sym___nonnull] = ACTIONS(4086),
    [anon_sym___nullable] = ACTIONS(4086),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4086),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4086),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4086),
    [anon_sym___real] = ACTIONS(4086),
    [anon_sym___strong] = ACTIONS(4086),
    [anon_sym___unsafe_unretained] = ACTIONS(4086),
    [anon_sym___unused] = ACTIONS(4086),
    [anon_sym___weak] = ACTIONS(4086),
    [anon_sym_alignas] = ACTIONS(4086),
    [anon_sym__Alignas] = ACTIONS(4086),
    [sym_primitive_type] = ACTIONS(4086),
    [anon_sym_enum] = ACTIONS(4086),
    [anon_sym_struct] = ACTIONS(4086),
    [anon_sym_union] = ACTIONS(4086),
    [anon_sym_QMARK] = ACTIONS(4089),
    [anon_sym_STAR_EQ] = ACTIONS(4089),
    [anon_sym_SLASH_EQ] = ACTIONS(4089),
    [anon_sym_PERCENT_EQ] = ACTIONS(4089),
    [anon_sym_PLUS_EQ] = ACTIONS(4089),
    [anon_sym_DASH_EQ] = ACTIONS(4089),
    [anon_sym_LT_LT_EQ] = ACTIONS(4089),
    [anon_sym_GT_GT_EQ] = ACTIONS(4089),
    [anon_sym_AMP_EQ] = ACTIONS(4089),
    [anon_sym_CARET_EQ] = ACTIONS(4089),
    [anon_sym_PIPE_EQ] = ACTIONS(4089),
    [anon_sym_DASH_DASH] = ACTIONS(4089),
    [anon_sym_PLUS_PLUS] = ACTIONS(4089),
    [anon_sym_DOT] = ACTIONS(4086),
    [anon_sym_DASH_GT] = ACTIONS(4089),
    [anon_sym_AT] = ACTIONS(4086),
    [anon_sym_DQUOTE] = ACTIONS(4089),
    [anon_sym_L_DQUOTE] = ACTIONS(4089),
    [anon_sym_u_DQUOTE] = ACTIONS(4089),
    [anon_sym_U_DQUOTE] = ACTIONS(4089),
    [anon_sym_u8_DQUOTE] = ACTIONS(4089),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4086),
    [anon_sym___typeof] = ACTIONS(4086),
    [anon_sym_typeof] = ACTIONS(4086),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4086),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4086),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4086),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4086),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4086),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4086),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4086),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4086),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4086),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4086),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4086),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4086),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4086),
    [anon_sym_API_AVAILABLE] = ACTIONS(4086),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4086),
    [anon_sym_API_DEPRECATED] = ACTIONS(4086),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4086),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4086),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4086),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4086),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4086),
    [anon_sym___deprecated_msg] = ACTIONS(4086),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4086),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4086),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4086),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4086),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4086),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4086),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4086),
    [anon_sym_BOOL] = ACTIONS(4086),
    [anon_sym_IMP] = ACTIONS(4086),
    [anon_sym_SEL] = ACTIONS(4086),
    [anon_sym_Class] = ACTIONS(4086),
    [anon_sym_id] = ACTIONS(4086),
  },
  [1470] = {
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_RPAREN] = ACTIONS(4094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4094),
    [anon_sym_DASH] = ACTIONS(4092),
    [anon_sym_PLUS] = ACTIONS(4092),
    [anon_sym_STAR] = ACTIONS(4092),
    [anon_sym_SLASH] = ACTIONS(4092),
    [anon_sym_PERCENT] = ACTIONS(4092),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4094),
    [anon_sym_PIPE] = ACTIONS(4092),
    [anon_sym_CARET] = ACTIONS(4092),
    [anon_sym_AMP] = ACTIONS(4092),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4092),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4094),
    [anon_sym_LT] = ACTIONS(4092),
    [anon_sym_LT_LT] = ACTIONS(4092),
    [anon_sym_GT_GT] = ACTIONS(4092),
    [anon_sym_SEMI] = ACTIONS(4094),
    [anon_sym___extension__] = ACTIONS(4092),
    [anon_sym_extern] = ACTIONS(4092),
    [anon_sym___attribute__] = ACTIONS(4092),
    [anon_sym___attribute] = ACTIONS(4092),
    [anon_sym_noreturn] = ACTIONS(4092),
    [anon_sym_LBRACK] = ACTIONS(4094),
    [anon_sym_RBRACK] = ACTIONS(4094),
    [anon_sym___declspec] = ACTIONS(4092),
    [anon_sym_LBRACE] = ACTIONS(4094),
    [anon_sym_RBRACE] = ACTIONS(4094),
    [anon_sym_signed] = ACTIONS(4092),
    [anon_sym_unsigned] = ACTIONS(4092),
    [anon_sym_long] = ACTIONS(4092),
    [anon_sym_short] = ACTIONS(4092),
    [anon_sym_static] = ACTIONS(4092),
    [anon_sym_EQ] = ACTIONS(4092),
    [anon_sym_ATautoreleasepool] = ACTIONS(4094),
    [anon_sym_auto] = ACTIONS(4092),
    [anon_sym_register] = ACTIONS(4092),
    [anon_sym_inline] = ACTIONS(4092),
    [anon_sym___inline] = ACTIONS(4092),
    [anon_sym___inline__] = ACTIONS(4092),
    [anon_sym___forceinline] = ACTIONS(4092),
    [anon_sym_thread_local] = ACTIONS(4092),
    [anon_sym___thread] = ACTIONS(4092),
    [anon_sym_CG_EXTERN] = ACTIONS(4092),
    [anon_sym_CG_INLINE] = ACTIONS(4092),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4092),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4092),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4092),
    [anon_sym_IBOutlet] = ACTIONS(4092),
    [anon_sym_IBInspectable] = ACTIONS(4092),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4092),
    [anon_sym_NS_INLINE] = ACTIONS(4092),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4092),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4092),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4092),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4092),
    [anon_sym_const] = ACTIONS(4092),
    [anon_sym_constexpr] = ACTIONS(4092),
    [anon_sym_volatile] = ACTIONS(4092),
    [anon_sym_restrict] = ACTIONS(4092),
    [anon_sym___restrict__] = ACTIONS(4092),
    [anon_sym__Atomic] = ACTIONS(4092),
    [anon_sym__Noreturn] = ACTIONS(4092),
    [anon_sym__Nonnull] = ACTIONS(4092),
    [anon_sym_nullable] = ACTIONS(4092),
    [anon_sym__Complex] = ACTIONS(4092),
    [anon_sym__Nullable] = ACTIONS(4092),
    [anon_sym__Nullable_result] = ACTIONS(4092),
    [anon_sym__Null_unspecified] = ACTIONS(4092),
    [anon_sym___autoreleasing] = ACTIONS(4092),
    [anon_sym___block] = ACTIONS(4092),
    [anon_sym___bridge] = ACTIONS(4092),
    [anon_sym___bridge_retained] = ACTIONS(4092),
    [anon_sym___bridge_transfer] = ACTIONS(4092),
    [anon_sym___complex] = ACTIONS(4092),
    [anon_sym___const] = ACTIONS(4092),
    [anon_sym___imag] = ACTIONS(4092),
    [anon_sym___kindof] = ACTIONS(4092),
    [anon_sym___nonnull] = ACTIONS(4092),
    [anon_sym___nullable] = ACTIONS(4092),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4092),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4092),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4092),
    [anon_sym___real] = ACTIONS(4092),
    [anon_sym___strong] = ACTIONS(4092),
    [anon_sym___unsafe_unretained] = ACTIONS(4092),
    [anon_sym___unused] = ACTIONS(4092),
    [anon_sym___weak] = ACTIONS(4092),
    [anon_sym_alignas] = ACTIONS(4092),
    [anon_sym__Alignas] = ACTIONS(4092),
    [sym_primitive_type] = ACTIONS(4092),
    [anon_sym_enum] = ACTIONS(4092),
    [anon_sym_COLON] = ACTIONS(4094),
    [anon_sym_struct] = ACTIONS(4092),
    [anon_sym_union] = ACTIONS(4092),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_STAR_EQ] = ACTIONS(4094),
    [anon_sym_SLASH_EQ] = ACTIONS(4094),
    [anon_sym_PERCENT_EQ] = ACTIONS(4094),
    [anon_sym_PLUS_EQ] = ACTIONS(4094),
    [anon_sym_DASH_EQ] = ACTIONS(4094),
    [anon_sym_LT_LT_EQ] = ACTIONS(4094),
    [anon_sym_GT_GT_EQ] = ACTIONS(4094),
    [anon_sym_AMP_EQ] = ACTIONS(4094),
    [anon_sym_CARET_EQ] = ACTIONS(4094),
    [anon_sym_PIPE_EQ] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4092),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4092),
    [anon_sym___typeof] = ACTIONS(4092),
    [anon_sym_typeof] = ACTIONS(4092),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4092),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4092),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4092),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4092),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4092),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4092),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4092),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4092),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4092),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4092),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4092),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4092),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4092),
    [anon_sym_API_AVAILABLE] = ACTIONS(4092),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4092),
    [anon_sym_API_DEPRECATED] = ACTIONS(4092),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4092),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4092),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4092),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4092),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4092),
    [anon_sym___deprecated_msg] = ACTIONS(4092),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4092),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4092),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4092),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4092),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4092),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4092),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4092),
    [anon_sym_BOOL] = ACTIONS(4092),
    [anon_sym_IMP] = ACTIONS(4092),
    [anon_sym_SEL] = ACTIONS(4092),
    [anon_sym_Class] = ACTIONS(4092),
    [anon_sym_id] = ACTIONS(4092),
  },
  [1471] = {
    [sym_identifier] = ACTIONS(4096),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4098),
    [anon_sym_COMMA] = ACTIONS(4098),
    [anon_sym_RPAREN] = ACTIONS(4098),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4098),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4098),
    [anon_sym_LPAREN2] = ACTIONS(4098),
    [anon_sym_DASH] = ACTIONS(4096),
    [anon_sym_PLUS] = ACTIONS(4096),
    [anon_sym_STAR] = ACTIONS(4096),
    [anon_sym_SLASH] = ACTIONS(4096),
    [anon_sym_PERCENT] = ACTIONS(4096),
    [anon_sym_PIPE_PIPE] = ACTIONS(4098),
    [anon_sym_AMP_AMP] = ACTIONS(4098),
    [anon_sym_PIPE] = ACTIONS(4096),
    [anon_sym_CARET] = ACTIONS(4096),
    [anon_sym_AMP] = ACTIONS(4096),
    [anon_sym_EQ_EQ] = ACTIONS(4098),
    [anon_sym_BANG_EQ] = ACTIONS(4098),
    [anon_sym_GT] = ACTIONS(4096),
    [anon_sym_GT_EQ] = ACTIONS(4098),
    [anon_sym_LT_EQ] = ACTIONS(4098),
    [anon_sym_LT] = ACTIONS(4096),
    [anon_sym_LT_LT] = ACTIONS(4096),
    [anon_sym_GT_GT] = ACTIONS(4096),
    [anon_sym_SEMI] = ACTIONS(4098),
    [anon_sym___extension__] = ACTIONS(4096),
    [anon_sym_extern] = ACTIONS(4096),
    [anon_sym___attribute__] = ACTIONS(4096),
    [anon_sym___attribute] = ACTIONS(4096),
    [anon_sym_noreturn] = ACTIONS(4096),
    [anon_sym_LBRACK] = ACTIONS(4098),
    [anon_sym_RBRACK] = ACTIONS(4098),
    [anon_sym___declspec] = ACTIONS(4096),
    [anon_sym_LBRACE] = ACTIONS(4098),
    [anon_sym_RBRACE] = ACTIONS(4098),
    [anon_sym_signed] = ACTIONS(4096),
    [anon_sym_unsigned] = ACTIONS(4096),
    [anon_sym_long] = ACTIONS(4096),
    [anon_sym_short] = ACTIONS(4096),
    [anon_sym_static] = ACTIONS(4096),
    [anon_sym_EQ] = ACTIONS(4096),
    [anon_sym_ATautoreleasepool] = ACTIONS(4098),
    [anon_sym_auto] = ACTIONS(4096),
    [anon_sym_register] = ACTIONS(4096),
    [anon_sym_inline] = ACTIONS(4096),
    [anon_sym___inline] = ACTIONS(4096),
    [anon_sym___inline__] = ACTIONS(4096),
    [anon_sym___forceinline] = ACTIONS(4096),
    [anon_sym_thread_local] = ACTIONS(4096),
    [anon_sym___thread] = ACTIONS(4096),
    [anon_sym_CG_EXTERN] = ACTIONS(4096),
    [anon_sym_CG_INLINE] = ACTIONS(4096),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4096),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4096),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4096),
    [anon_sym_IBOutlet] = ACTIONS(4096),
    [anon_sym_IBInspectable] = ACTIONS(4096),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4096),
    [anon_sym_NS_INLINE] = ACTIONS(4096),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4096),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4096),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4096),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4096),
    [anon_sym_const] = ACTIONS(4096),
    [anon_sym_constexpr] = ACTIONS(4096),
    [anon_sym_volatile] = ACTIONS(4096),
    [anon_sym_restrict] = ACTIONS(4096),
    [anon_sym___restrict__] = ACTIONS(4096),
    [anon_sym__Atomic] = ACTIONS(4096),
    [anon_sym__Noreturn] = ACTIONS(4096),
    [anon_sym__Nonnull] = ACTIONS(4096),
    [anon_sym_nullable] = ACTIONS(4096),
    [anon_sym__Complex] = ACTIONS(4096),
    [anon_sym__Nullable] = ACTIONS(4096),
    [anon_sym__Nullable_result] = ACTIONS(4096),
    [anon_sym__Null_unspecified] = ACTIONS(4096),
    [anon_sym___autoreleasing] = ACTIONS(4096),
    [anon_sym___block] = ACTIONS(4096),
    [anon_sym___bridge] = ACTIONS(4096),
    [anon_sym___bridge_retained] = ACTIONS(4096),
    [anon_sym___bridge_transfer] = ACTIONS(4096),
    [anon_sym___complex] = ACTIONS(4096),
    [anon_sym___const] = ACTIONS(4096),
    [anon_sym___imag] = ACTIONS(4096),
    [anon_sym___kindof] = ACTIONS(4096),
    [anon_sym___nonnull] = ACTIONS(4096),
    [anon_sym___nullable] = ACTIONS(4096),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4096),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4096),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4096),
    [anon_sym___real] = ACTIONS(4096),
    [anon_sym___strong] = ACTIONS(4096),
    [anon_sym___unsafe_unretained] = ACTIONS(4096),
    [anon_sym___unused] = ACTIONS(4096),
    [anon_sym___weak] = ACTIONS(4096),
    [anon_sym_alignas] = ACTIONS(4096),
    [anon_sym__Alignas] = ACTIONS(4096),
    [sym_primitive_type] = ACTIONS(4096),
    [anon_sym_enum] = ACTIONS(4096),
    [anon_sym_COLON] = ACTIONS(4098),
    [anon_sym_struct] = ACTIONS(4096),
    [anon_sym_union] = ACTIONS(4096),
    [anon_sym_QMARK] = ACTIONS(4098),
    [anon_sym_STAR_EQ] = ACTIONS(4098),
    [anon_sym_SLASH_EQ] = ACTIONS(4098),
    [anon_sym_PERCENT_EQ] = ACTIONS(4098),
    [anon_sym_PLUS_EQ] = ACTIONS(4098),
    [anon_sym_DASH_EQ] = ACTIONS(4098),
    [anon_sym_LT_LT_EQ] = ACTIONS(4098),
    [anon_sym_GT_GT_EQ] = ACTIONS(4098),
    [anon_sym_AMP_EQ] = ACTIONS(4098),
    [anon_sym_CARET_EQ] = ACTIONS(4098),
    [anon_sym_PIPE_EQ] = ACTIONS(4098),
    [anon_sym_DASH_DASH] = ACTIONS(4098),
    [anon_sym_PLUS_PLUS] = ACTIONS(4098),
    [anon_sym_DOT] = ACTIONS(4096),
    [anon_sym_DASH_GT] = ACTIONS(4098),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4096),
    [anon_sym___typeof] = ACTIONS(4096),
    [anon_sym_typeof] = ACTIONS(4096),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4096),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4096),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4096),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4096),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4096),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4096),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4096),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4096),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4096),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4096),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4096),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4096),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4096),
    [anon_sym_API_AVAILABLE] = ACTIONS(4096),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4096),
    [anon_sym_API_DEPRECATED] = ACTIONS(4096),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4096),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4096),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4096),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4096),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4096),
    [anon_sym___deprecated_msg] = ACTIONS(4096),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4096),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4096),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4096),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4096),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4096),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4096),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4096),
    [anon_sym_BOOL] = ACTIONS(4096),
    [anon_sym_IMP] = ACTIONS(4096),
    [anon_sym_SEL] = ACTIONS(4096),
    [anon_sym_Class] = ACTIONS(4096),
    [anon_sym_id] = ACTIONS(4096),
  },
  [1472] = {
    [sym_identifier] = ACTIONS(4100),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4102),
    [anon_sym_COMMA] = ACTIONS(4102),
    [anon_sym_RPAREN] = ACTIONS(4102),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4102),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4102),
    [anon_sym_LPAREN2] = ACTIONS(4102),
    [anon_sym_DASH] = ACTIONS(4100),
    [anon_sym_PLUS] = ACTIONS(4100),
    [anon_sym_STAR] = ACTIONS(4100),
    [anon_sym_SLASH] = ACTIONS(4100),
    [anon_sym_PERCENT] = ACTIONS(4100),
    [anon_sym_PIPE_PIPE] = ACTIONS(4102),
    [anon_sym_AMP_AMP] = ACTIONS(4102),
    [anon_sym_PIPE] = ACTIONS(4100),
    [anon_sym_CARET] = ACTIONS(4100),
    [anon_sym_AMP] = ACTIONS(4100),
    [anon_sym_EQ_EQ] = ACTIONS(4102),
    [anon_sym_BANG_EQ] = ACTIONS(4102),
    [anon_sym_GT] = ACTIONS(4100),
    [anon_sym_GT_EQ] = ACTIONS(4102),
    [anon_sym_LT_EQ] = ACTIONS(4102),
    [anon_sym_LT] = ACTIONS(4100),
    [anon_sym_LT_LT] = ACTIONS(4100),
    [anon_sym_GT_GT] = ACTIONS(4100),
    [anon_sym_SEMI] = ACTIONS(4102),
    [anon_sym___extension__] = ACTIONS(4100),
    [anon_sym_extern] = ACTIONS(4100),
    [anon_sym___attribute__] = ACTIONS(4100),
    [anon_sym___attribute] = ACTIONS(4100),
    [anon_sym_noreturn] = ACTIONS(4100),
    [anon_sym_LBRACK] = ACTIONS(4102),
    [anon_sym_RBRACK] = ACTIONS(4102),
    [anon_sym___declspec] = ACTIONS(4100),
    [anon_sym_LBRACE] = ACTIONS(4102),
    [anon_sym_RBRACE] = ACTIONS(4102),
    [anon_sym_signed] = ACTIONS(4100),
    [anon_sym_unsigned] = ACTIONS(4100),
    [anon_sym_long] = ACTIONS(4100),
    [anon_sym_short] = ACTIONS(4100),
    [anon_sym_static] = ACTIONS(4100),
    [anon_sym_EQ] = ACTIONS(4100),
    [anon_sym_ATautoreleasepool] = ACTIONS(4102),
    [anon_sym_auto] = ACTIONS(4100),
    [anon_sym_register] = ACTIONS(4100),
    [anon_sym_inline] = ACTIONS(4100),
    [anon_sym___inline] = ACTIONS(4100),
    [anon_sym___inline__] = ACTIONS(4100),
    [anon_sym___forceinline] = ACTIONS(4100),
    [anon_sym_thread_local] = ACTIONS(4100),
    [anon_sym___thread] = ACTIONS(4100),
    [anon_sym_CG_EXTERN] = ACTIONS(4100),
    [anon_sym_CG_INLINE] = ACTIONS(4100),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4100),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4100),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4100),
    [anon_sym_IBOutlet] = ACTIONS(4100),
    [anon_sym_IBInspectable] = ACTIONS(4100),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4100),
    [anon_sym_NS_INLINE] = ACTIONS(4100),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4100),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4100),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4100),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4100),
    [anon_sym_const] = ACTIONS(4100),
    [anon_sym_constexpr] = ACTIONS(4100),
    [anon_sym_volatile] = ACTIONS(4100),
    [anon_sym_restrict] = ACTIONS(4100),
    [anon_sym___restrict__] = ACTIONS(4100),
    [anon_sym__Atomic] = ACTIONS(4100),
    [anon_sym__Noreturn] = ACTIONS(4100),
    [anon_sym__Nonnull] = ACTIONS(4100),
    [anon_sym_nullable] = ACTIONS(4100),
    [anon_sym__Complex] = ACTIONS(4100),
    [anon_sym__Nullable] = ACTIONS(4100),
    [anon_sym__Nullable_result] = ACTIONS(4100),
    [anon_sym__Null_unspecified] = ACTIONS(4100),
    [anon_sym___autoreleasing] = ACTIONS(4100),
    [anon_sym___block] = ACTIONS(4100),
    [anon_sym___bridge] = ACTIONS(4100),
    [anon_sym___bridge_retained] = ACTIONS(4100),
    [anon_sym___bridge_transfer] = ACTIONS(4100),
    [anon_sym___complex] = ACTIONS(4100),
    [anon_sym___const] = ACTIONS(4100),
    [anon_sym___imag] = ACTIONS(4100),
    [anon_sym___kindof] = ACTIONS(4100),
    [anon_sym___nonnull] = ACTIONS(4100),
    [anon_sym___nullable] = ACTIONS(4100),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4100),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4100),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4100),
    [anon_sym___real] = ACTIONS(4100),
    [anon_sym___strong] = ACTIONS(4100),
    [anon_sym___unsafe_unretained] = ACTIONS(4100),
    [anon_sym___unused] = ACTIONS(4100),
    [anon_sym___weak] = ACTIONS(4100),
    [anon_sym_alignas] = ACTIONS(4100),
    [anon_sym__Alignas] = ACTIONS(4100),
    [sym_primitive_type] = ACTIONS(4100),
    [anon_sym_enum] = ACTIONS(4100),
    [anon_sym_COLON] = ACTIONS(4102),
    [anon_sym_struct] = ACTIONS(4100),
    [anon_sym_union] = ACTIONS(4100),
    [anon_sym_QMARK] = ACTIONS(4102),
    [anon_sym_STAR_EQ] = ACTIONS(4102),
    [anon_sym_SLASH_EQ] = ACTIONS(4102),
    [anon_sym_PERCENT_EQ] = ACTIONS(4102),
    [anon_sym_PLUS_EQ] = ACTIONS(4102),
    [anon_sym_DASH_EQ] = ACTIONS(4102),
    [anon_sym_LT_LT_EQ] = ACTIONS(4102),
    [anon_sym_GT_GT_EQ] = ACTIONS(4102),
    [anon_sym_AMP_EQ] = ACTIONS(4102),
    [anon_sym_CARET_EQ] = ACTIONS(4102),
    [anon_sym_PIPE_EQ] = ACTIONS(4102),
    [anon_sym_DASH_DASH] = ACTIONS(4102),
    [anon_sym_PLUS_PLUS] = ACTIONS(4102),
    [anon_sym_DOT] = ACTIONS(4100),
    [anon_sym_DASH_GT] = ACTIONS(4102),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4100),
    [anon_sym___typeof] = ACTIONS(4100),
    [anon_sym_typeof] = ACTIONS(4100),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4100),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4100),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4100),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4100),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4100),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4100),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4100),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4100),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4100),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4100),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4100),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4100),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4100),
    [anon_sym_API_AVAILABLE] = ACTIONS(4100),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4100),
    [anon_sym_API_DEPRECATED] = ACTIONS(4100),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4100),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4100),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4100),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4100),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4100),
    [anon_sym___deprecated_msg] = ACTIONS(4100),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4100),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4100),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4100),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4100),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4100),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4100),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4100),
    [anon_sym_BOOL] = ACTIONS(4100),
    [anon_sym_IMP] = ACTIONS(4100),
    [anon_sym_SEL] = ACTIONS(4100),
    [anon_sym_Class] = ACTIONS(4100),
    [anon_sym_id] = ACTIONS(4100),
  },
  [1473] = {
    [sym_identifier] = ACTIONS(4104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4106),
    [anon_sym_COMMA] = ACTIONS(4106),
    [anon_sym_RPAREN] = ACTIONS(4106),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4106),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4106),
    [anon_sym_LPAREN2] = ACTIONS(4106),
    [anon_sym_DASH] = ACTIONS(4104),
    [anon_sym_PLUS] = ACTIONS(4104),
    [anon_sym_STAR] = ACTIONS(4104),
    [anon_sym_SLASH] = ACTIONS(4104),
    [anon_sym_PERCENT] = ACTIONS(4104),
    [anon_sym_PIPE_PIPE] = ACTIONS(4106),
    [anon_sym_AMP_AMP] = ACTIONS(4106),
    [anon_sym_PIPE] = ACTIONS(4104),
    [anon_sym_CARET] = ACTIONS(4104),
    [anon_sym_AMP] = ACTIONS(4104),
    [anon_sym_EQ_EQ] = ACTIONS(4106),
    [anon_sym_BANG_EQ] = ACTIONS(4106),
    [anon_sym_GT] = ACTIONS(4104),
    [anon_sym_GT_EQ] = ACTIONS(4106),
    [anon_sym_LT_EQ] = ACTIONS(4106),
    [anon_sym_LT] = ACTIONS(4104),
    [anon_sym_LT_LT] = ACTIONS(4104),
    [anon_sym_GT_GT] = ACTIONS(4104),
    [anon_sym_SEMI] = ACTIONS(4106),
    [anon_sym___extension__] = ACTIONS(4104),
    [anon_sym_extern] = ACTIONS(4104),
    [anon_sym___attribute__] = ACTIONS(4104),
    [anon_sym___attribute] = ACTIONS(4104),
    [anon_sym_noreturn] = ACTIONS(4104),
    [anon_sym_LBRACK] = ACTIONS(4106),
    [anon_sym_RBRACK] = ACTIONS(4106),
    [anon_sym___declspec] = ACTIONS(4104),
    [anon_sym_LBRACE] = ACTIONS(4106),
    [anon_sym_RBRACE] = ACTIONS(4106),
    [anon_sym_signed] = ACTIONS(4104),
    [anon_sym_unsigned] = ACTIONS(4104),
    [anon_sym_long] = ACTIONS(4104),
    [anon_sym_short] = ACTIONS(4104),
    [anon_sym_static] = ACTIONS(4104),
    [anon_sym_EQ] = ACTIONS(4104),
    [anon_sym_ATautoreleasepool] = ACTIONS(4106),
    [anon_sym_auto] = ACTIONS(4104),
    [anon_sym_register] = ACTIONS(4104),
    [anon_sym_inline] = ACTIONS(4104),
    [anon_sym___inline] = ACTIONS(4104),
    [anon_sym___inline__] = ACTIONS(4104),
    [anon_sym___forceinline] = ACTIONS(4104),
    [anon_sym_thread_local] = ACTIONS(4104),
    [anon_sym___thread] = ACTIONS(4104),
    [anon_sym_CG_EXTERN] = ACTIONS(4104),
    [anon_sym_CG_INLINE] = ACTIONS(4104),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4104),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4104),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4104),
    [anon_sym_IBOutlet] = ACTIONS(4104),
    [anon_sym_IBInspectable] = ACTIONS(4104),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4104),
    [anon_sym_NS_INLINE] = ACTIONS(4104),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4104),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4104),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4104),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4104),
    [anon_sym_const] = ACTIONS(4104),
    [anon_sym_constexpr] = ACTIONS(4104),
    [anon_sym_volatile] = ACTIONS(4104),
    [anon_sym_restrict] = ACTIONS(4104),
    [anon_sym___restrict__] = ACTIONS(4104),
    [anon_sym__Atomic] = ACTIONS(4104),
    [anon_sym__Noreturn] = ACTIONS(4104),
    [anon_sym__Nonnull] = ACTIONS(4104),
    [anon_sym_nullable] = ACTIONS(4104),
    [anon_sym__Complex] = ACTIONS(4104),
    [anon_sym__Nullable] = ACTIONS(4104),
    [anon_sym__Nullable_result] = ACTIONS(4104),
    [anon_sym__Null_unspecified] = ACTIONS(4104),
    [anon_sym___autoreleasing] = ACTIONS(4104),
    [anon_sym___block] = ACTIONS(4104),
    [anon_sym___bridge] = ACTIONS(4104),
    [anon_sym___bridge_retained] = ACTIONS(4104),
    [anon_sym___bridge_transfer] = ACTIONS(4104),
    [anon_sym___complex] = ACTIONS(4104),
    [anon_sym___const] = ACTIONS(4104),
    [anon_sym___imag] = ACTIONS(4104),
    [anon_sym___kindof] = ACTIONS(4104),
    [anon_sym___nonnull] = ACTIONS(4104),
    [anon_sym___nullable] = ACTIONS(4104),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4104),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4104),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4104),
    [anon_sym___real] = ACTIONS(4104),
    [anon_sym___strong] = ACTIONS(4104),
    [anon_sym___unsafe_unretained] = ACTIONS(4104),
    [anon_sym___unused] = ACTIONS(4104),
    [anon_sym___weak] = ACTIONS(4104),
    [anon_sym_alignas] = ACTIONS(4104),
    [anon_sym__Alignas] = ACTIONS(4104),
    [sym_primitive_type] = ACTIONS(4104),
    [anon_sym_enum] = ACTIONS(4104),
    [anon_sym_COLON] = ACTIONS(4106),
    [anon_sym_struct] = ACTIONS(4104),
    [anon_sym_union] = ACTIONS(4104),
    [anon_sym_QMARK] = ACTIONS(4106),
    [anon_sym_STAR_EQ] = ACTIONS(4106),
    [anon_sym_SLASH_EQ] = ACTIONS(4106),
    [anon_sym_PERCENT_EQ] = ACTIONS(4106),
    [anon_sym_PLUS_EQ] = ACTIONS(4106),
    [anon_sym_DASH_EQ] = ACTIONS(4106),
    [anon_sym_LT_LT_EQ] = ACTIONS(4106),
    [anon_sym_GT_GT_EQ] = ACTIONS(4106),
    [anon_sym_AMP_EQ] = ACTIONS(4106),
    [anon_sym_CARET_EQ] = ACTIONS(4106),
    [anon_sym_PIPE_EQ] = ACTIONS(4106),
    [anon_sym_DASH_DASH] = ACTIONS(4106),
    [anon_sym_PLUS_PLUS] = ACTIONS(4106),
    [anon_sym_DOT] = ACTIONS(4104),
    [anon_sym_DASH_GT] = ACTIONS(4106),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4104),
    [anon_sym___typeof] = ACTIONS(4104),
    [anon_sym_typeof] = ACTIONS(4104),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4104),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4104),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4104),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4104),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4104),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4104),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4104),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4104),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4104),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4104),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4104),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4104),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4104),
    [anon_sym_API_AVAILABLE] = ACTIONS(4104),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4104),
    [anon_sym_API_DEPRECATED] = ACTIONS(4104),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4104),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4104),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4104),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4104),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4104),
    [anon_sym___deprecated_msg] = ACTIONS(4104),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4104),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4104),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4104),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4104),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4104),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4104),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4104),
    [anon_sym_BOOL] = ACTIONS(4104),
    [anon_sym_IMP] = ACTIONS(4104),
    [anon_sym_SEL] = ACTIONS(4104),
    [anon_sym_Class] = ACTIONS(4104),
    [anon_sym_id] = ACTIONS(4104),
  },
  [1474] = {
    [sym_identifier] = ACTIONS(4108),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4110),
    [anon_sym_COMMA] = ACTIONS(4110),
    [anon_sym_RPAREN] = ACTIONS(4110),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4110),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4110),
    [anon_sym_LPAREN2] = ACTIONS(4110),
    [anon_sym_DASH] = ACTIONS(4108),
    [anon_sym_PLUS] = ACTIONS(4108),
    [anon_sym_STAR] = ACTIONS(4108),
    [anon_sym_SLASH] = ACTIONS(4108),
    [anon_sym_PERCENT] = ACTIONS(4108),
    [anon_sym_PIPE_PIPE] = ACTIONS(4110),
    [anon_sym_AMP_AMP] = ACTIONS(4110),
    [anon_sym_PIPE] = ACTIONS(4108),
    [anon_sym_CARET] = ACTIONS(4108),
    [anon_sym_AMP] = ACTIONS(4108),
    [anon_sym_EQ_EQ] = ACTIONS(4110),
    [anon_sym_BANG_EQ] = ACTIONS(4110),
    [anon_sym_GT] = ACTIONS(4108),
    [anon_sym_GT_EQ] = ACTIONS(4110),
    [anon_sym_LT_EQ] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4108),
    [anon_sym_LT_LT] = ACTIONS(4108),
    [anon_sym_GT_GT] = ACTIONS(4108),
    [anon_sym_SEMI] = ACTIONS(4110),
    [anon_sym___extension__] = ACTIONS(4108),
    [anon_sym_extern] = ACTIONS(4108),
    [anon_sym___attribute__] = ACTIONS(4108),
    [anon_sym___attribute] = ACTIONS(4108),
    [anon_sym_noreturn] = ACTIONS(4108),
    [anon_sym_LBRACK] = ACTIONS(4110),
    [anon_sym_RBRACK] = ACTIONS(4110),
    [anon_sym___declspec] = ACTIONS(4108),
    [anon_sym_LBRACE] = ACTIONS(4110),
    [anon_sym_RBRACE] = ACTIONS(4110),
    [anon_sym_signed] = ACTIONS(4108),
    [anon_sym_unsigned] = ACTIONS(4108),
    [anon_sym_long] = ACTIONS(4108),
    [anon_sym_short] = ACTIONS(4108),
    [anon_sym_static] = ACTIONS(4108),
    [anon_sym_EQ] = ACTIONS(4108),
    [anon_sym_ATautoreleasepool] = ACTIONS(4110),
    [anon_sym_auto] = ACTIONS(4108),
    [anon_sym_register] = ACTIONS(4108),
    [anon_sym_inline] = ACTIONS(4108),
    [anon_sym___inline] = ACTIONS(4108),
    [anon_sym___inline__] = ACTIONS(4108),
    [anon_sym___forceinline] = ACTIONS(4108),
    [anon_sym_thread_local] = ACTIONS(4108),
    [anon_sym___thread] = ACTIONS(4108),
    [anon_sym_CG_EXTERN] = ACTIONS(4108),
    [anon_sym_CG_INLINE] = ACTIONS(4108),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4108),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4108),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4108),
    [anon_sym_IBOutlet] = ACTIONS(4108),
    [anon_sym_IBInspectable] = ACTIONS(4108),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4108),
    [anon_sym_NS_INLINE] = ACTIONS(4108),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4108),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4108),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4108),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4108),
    [anon_sym_const] = ACTIONS(4108),
    [anon_sym_constexpr] = ACTIONS(4108),
    [anon_sym_volatile] = ACTIONS(4108),
    [anon_sym_restrict] = ACTIONS(4108),
    [anon_sym___restrict__] = ACTIONS(4108),
    [anon_sym__Atomic] = ACTIONS(4108),
    [anon_sym__Noreturn] = ACTIONS(4108),
    [anon_sym__Nonnull] = ACTIONS(4108),
    [anon_sym_nullable] = ACTIONS(4108),
    [anon_sym__Complex] = ACTIONS(4108),
    [anon_sym__Nullable] = ACTIONS(4108),
    [anon_sym__Nullable_result] = ACTIONS(4108),
    [anon_sym__Null_unspecified] = ACTIONS(4108),
    [anon_sym___autoreleasing] = ACTIONS(4108),
    [anon_sym___block] = ACTIONS(4108),
    [anon_sym___bridge] = ACTIONS(4108),
    [anon_sym___bridge_retained] = ACTIONS(4108),
    [anon_sym___bridge_transfer] = ACTIONS(4108),
    [anon_sym___complex] = ACTIONS(4108),
    [anon_sym___const] = ACTIONS(4108),
    [anon_sym___imag] = ACTIONS(4108),
    [anon_sym___kindof] = ACTIONS(4108),
    [anon_sym___nonnull] = ACTIONS(4108),
    [anon_sym___nullable] = ACTIONS(4108),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4108),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4108),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4108),
    [anon_sym___real] = ACTIONS(4108),
    [anon_sym___strong] = ACTIONS(4108),
    [anon_sym___unsafe_unretained] = ACTIONS(4108),
    [anon_sym___unused] = ACTIONS(4108),
    [anon_sym___weak] = ACTIONS(4108),
    [anon_sym_alignas] = ACTIONS(4108),
    [anon_sym__Alignas] = ACTIONS(4108),
    [sym_primitive_type] = ACTIONS(4108),
    [anon_sym_enum] = ACTIONS(4108),
    [anon_sym_COLON] = ACTIONS(4110),
    [anon_sym_struct] = ACTIONS(4108),
    [anon_sym_union] = ACTIONS(4108),
    [anon_sym_QMARK] = ACTIONS(4110),
    [anon_sym_STAR_EQ] = ACTIONS(4110),
    [anon_sym_SLASH_EQ] = ACTIONS(4110),
    [anon_sym_PERCENT_EQ] = ACTIONS(4110),
    [anon_sym_PLUS_EQ] = ACTIONS(4110),
    [anon_sym_DASH_EQ] = ACTIONS(4110),
    [anon_sym_LT_LT_EQ] = ACTIONS(4110),
    [anon_sym_GT_GT_EQ] = ACTIONS(4110),
    [anon_sym_AMP_EQ] = ACTIONS(4110),
    [anon_sym_CARET_EQ] = ACTIONS(4110),
    [anon_sym_PIPE_EQ] = ACTIONS(4110),
    [anon_sym_DASH_DASH] = ACTIONS(4110),
    [anon_sym_PLUS_PLUS] = ACTIONS(4110),
    [anon_sym_DOT] = ACTIONS(4108),
    [anon_sym_DASH_GT] = ACTIONS(4110),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4108),
    [anon_sym___typeof] = ACTIONS(4108),
    [anon_sym_typeof] = ACTIONS(4108),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4108),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4108),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4108),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4108),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4108),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4108),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4108),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4108),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4108),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4108),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4108),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4108),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4108),
    [anon_sym_API_AVAILABLE] = ACTIONS(4108),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4108),
    [anon_sym_API_DEPRECATED] = ACTIONS(4108),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4108),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4108),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4108),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4108),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4108),
    [anon_sym___deprecated_msg] = ACTIONS(4108),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4108),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4108),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4108),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4108),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4108),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4108),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4108),
    [anon_sym_BOOL] = ACTIONS(4108),
    [anon_sym_IMP] = ACTIONS(4108),
    [anon_sym_SEL] = ACTIONS(4108),
    [anon_sym_Class] = ACTIONS(4108),
    [anon_sym_id] = ACTIONS(4108),
  },
  [1475] = {
    [sym_identifier] = ACTIONS(4112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4114),
    [anon_sym_COMMA] = ACTIONS(4114),
    [anon_sym_RPAREN] = ACTIONS(4114),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4114),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4114),
    [anon_sym_LPAREN2] = ACTIONS(4114),
    [anon_sym_DASH] = ACTIONS(4112),
    [anon_sym_PLUS] = ACTIONS(4112),
    [anon_sym_STAR] = ACTIONS(4112),
    [anon_sym_SLASH] = ACTIONS(4112),
    [anon_sym_PERCENT] = ACTIONS(4112),
    [anon_sym_PIPE_PIPE] = ACTIONS(4114),
    [anon_sym_AMP_AMP] = ACTIONS(4114),
    [anon_sym_PIPE] = ACTIONS(4112),
    [anon_sym_CARET] = ACTIONS(4112),
    [anon_sym_AMP] = ACTIONS(4112),
    [anon_sym_EQ_EQ] = ACTIONS(4114),
    [anon_sym_BANG_EQ] = ACTIONS(4114),
    [anon_sym_GT] = ACTIONS(4112),
    [anon_sym_GT_EQ] = ACTIONS(4114),
    [anon_sym_LT_EQ] = ACTIONS(4114),
    [anon_sym_LT] = ACTIONS(4112),
    [anon_sym_LT_LT] = ACTIONS(4112),
    [anon_sym_GT_GT] = ACTIONS(4112),
    [anon_sym_SEMI] = ACTIONS(4114),
    [anon_sym___extension__] = ACTIONS(4112),
    [anon_sym_extern] = ACTIONS(4112),
    [anon_sym___attribute__] = ACTIONS(4112),
    [anon_sym___attribute] = ACTIONS(4112),
    [anon_sym_noreturn] = ACTIONS(4112),
    [anon_sym_LBRACK] = ACTIONS(4114),
    [anon_sym_RBRACK] = ACTIONS(4114),
    [anon_sym___declspec] = ACTIONS(4112),
    [anon_sym_LBRACE] = ACTIONS(4114),
    [anon_sym_RBRACE] = ACTIONS(4114),
    [anon_sym_signed] = ACTIONS(4112),
    [anon_sym_unsigned] = ACTIONS(4112),
    [anon_sym_long] = ACTIONS(4112),
    [anon_sym_short] = ACTIONS(4112),
    [anon_sym_static] = ACTIONS(4112),
    [anon_sym_EQ] = ACTIONS(4112),
    [anon_sym_ATautoreleasepool] = ACTIONS(4114),
    [anon_sym_auto] = ACTIONS(4112),
    [anon_sym_register] = ACTIONS(4112),
    [anon_sym_inline] = ACTIONS(4112),
    [anon_sym___inline] = ACTIONS(4112),
    [anon_sym___inline__] = ACTIONS(4112),
    [anon_sym___forceinline] = ACTIONS(4112),
    [anon_sym_thread_local] = ACTIONS(4112),
    [anon_sym___thread] = ACTIONS(4112),
    [anon_sym_CG_EXTERN] = ACTIONS(4112),
    [anon_sym_CG_INLINE] = ACTIONS(4112),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4112),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4112),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4112),
    [anon_sym_IBOutlet] = ACTIONS(4112),
    [anon_sym_IBInspectable] = ACTIONS(4112),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4112),
    [anon_sym_NS_INLINE] = ACTIONS(4112),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4112),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4112),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4112),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4112),
    [anon_sym_const] = ACTIONS(4112),
    [anon_sym_constexpr] = ACTIONS(4112),
    [anon_sym_volatile] = ACTIONS(4112),
    [anon_sym_restrict] = ACTIONS(4112),
    [anon_sym___restrict__] = ACTIONS(4112),
    [anon_sym__Atomic] = ACTIONS(4112),
    [anon_sym__Noreturn] = ACTIONS(4112),
    [anon_sym__Nonnull] = ACTIONS(4112),
    [anon_sym_nullable] = ACTIONS(4112),
    [anon_sym__Complex] = ACTIONS(4112),
    [anon_sym__Nullable] = ACTIONS(4112),
    [anon_sym__Nullable_result] = ACTIONS(4112),
    [anon_sym__Null_unspecified] = ACTIONS(4112),
    [anon_sym___autoreleasing] = ACTIONS(4112),
    [anon_sym___block] = ACTIONS(4112),
    [anon_sym___bridge] = ACTIONS(4112),
    [anon_sym___bridge_retained] = ACTIONS(4112),
    [anon_sym___bridge_transfer] = ACTIONS(4112),
    [anon_sym___complex] = ACTIONS(4112),
    [anon_sym___const] = ACTIONS(4112),
    [anon_sym___imag] = ACTIONS(4112),
    [anon_sym___kindof] = ACTIONS(4112),
    [anon_sym___nonnull] = ACTIONS(4112),
    [anon_sym___nullable] = ACTIONS(4112),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4112),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4112),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4112),
    [anon_sym___real] = ACTIONS(4112),
    [anon_sym___strong] = ACTIONS(4112),
    [anon_sym___unsafe_unretained] = ACTIONS(4112),
    [anon_sym___unused] = ACTIONS(4112),
    [anon_sym___weak] = ACTIONS(4112),
    [anon_sym_alignas] = ACTIONS(4112),
    [anon_sym__Alignas] = ACTIONS(4112),
    [sym_primitive_type] = ACTIONS(4112),
    [anon_sym_enum] = ACTIONS(4112),
    [anon_sym_COLON] = ACTIONS(4114),
    [anon_sym_struct] = ACTIONS(4112),
    [anon_sym_union] = ACTIONS(4112),
    [anon_sym_QMARK] = ACTIONS(4114),
    [anon_sym_STAR_EQ] = ACTIONS(4114),
    [anon_sym_SLASH_EQ] = ACTIONS(4114),
    [anon_sym_PERCENT_EQ] = ACTIONS(4114),
    [anon_sym_PLUS_EQ] = ACTIONS(4114),
    [anon_sym_DASH_EQ] = ACTIONS(4114),
    [anon_sym_LT_LT_EQ] = ACTIONS(4114),
    [anon_sym_GT_GT_EQ] = ACTIONS(4114),
    [anon_sym_AMP_EQ] = ACTIONS(4114),
    [anon_sym_CARET_EQ] = ACTIONS(4114),
    [anon_sym_PIPE_EQ] = ACTIONS(4114),
    [anon_sym_DASH_DASH] = ACTIONS(4114),
    [anon_sym_PLUS_PLUS] = ACTIONS(4114),
    [anon_sym_DOT] = ACTIONS(4112),
    [anon_sym_DASH_GT] = ACTIONS(4114),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4112),
    [anon_sym___typeof] = ACTIONS(4112),
    [anon_sym_typeof] = ACTIONS(4112),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4112),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4112),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4112),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4112),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4112),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4112),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4112),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4112),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4112),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4112),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4112),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4112),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4112),
    [anon_sym_API_AVAILABLE] = ACTIONS(4112),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4112),
    [anon_sym_API_DEPRECATED] = ACTIONS(4112),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4112),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4112),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4112),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4112),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4112),
    [anon_sym___deprecated_msg] = ACTIONS(4112),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4112),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4112),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4112),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4112),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4112),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4112),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4112),
    [anon_sym_BOOL] = ACTIONS(4112),
    [anon_sym_IMP] = ACTIONS(4112),
    [anon_sym_SEL] = ACTIONS(4112),
    [anon_sym_Class] = ACTIONS(4112),
    [anon_sym_id] = ACTIONS(4112),
  },
  [1476] = {
    [sym_identifier] = ACTIONS(4116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4118),
    [anon_sym_COMMA] = ACTIONS(4118),
    [anon_sym_RPAREN] = ACTIONS(4118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4118),
    [anon_sym_LPAREN2] = ACTIONS(4118),
    [anon_sym_DASH] = ACTIONS(4116),
    [anon_sym_PLUS] = ACTIONS(4116),
    [anon_sym_STAR] = ACTIONS(4116),
    [anon_sym_SLASH] = ACTIONS(4116),
    [anon_sym_PERCENT] = ACTIONS(4116),
    [anon_sym_PIPE_PIPE] = ACTIONS(4118),
    [anon_sym_AMP_AMP] = ACTIONS(4118),
    [anon_sym_PIPE] = ACTIONS(4116),
    [anon_sym_CARET] = ACTIONS(4116),
    [anon_sym_AMP] = ACTIONS(4116),
    [anon_sym_EQ_EQ] = ACTIONS(4118),
    [anon_sym_BANG_EQ] = ACTIONS(4118),
    [anon_sym_GT] = ACTIONS(4116),
    [anon_sym_GT_EQ] = ACTIONS(4118),
    [anon_sym_LT_EQ] = ACTIONS(4118),
    [anon_sym_LT] = ACTIONS(4116),
    [anon_sym_LT_LT] = ACTIONS(4116),
    [anon_sym_GT_GT] = ACTIONS(4116),
    [anon_sym_SEMI] = ACTIONS(4118),
    [anon_sym___extension__] = ACTIONS(4116),
    [anon_sym_extern] = ACTIONS(4116),
    [anon_sym___attribute__] = ACTIONS(4116),
    [anon_sym___attribute] = ACTIONS(4116),
    [anon_sym_noreturn] = ACTIONS(4116),
    [anon_sym_LBRACK] = ACTIONS(4118),
    [anon_sym_RBRACK] = ACTIONS(4118),
    [anon_sym___declspec] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_RBRACE] = ACTIONS(4118),
    [anon_sym_signed] = ACTIONS(4116),
    [anon_sym_unsigned] = ACTIONS(4116),
    [anon_sym_long] = ACTIONS(4116),
    [anon_sym_short] = ACTIONS(4116),
    [anon_sym_static] = ACTIONS(4116),
    [anon_sym_EQ] = ACTIONS(4116),
    [anon_sym_ATautoreleasepool] = ACTIONS(4118),
    [anon_sym_auto] = ACTIONS(4116),
    [anon_sym_register] = ACTIONS(4116),
    [anon_sym_inline] = ACTIONS(4116),
    [anon_sym___inline] = ACTIONS(4116),
    [anon_sym___inline__] = ACTIONS(4116),
    [anon_sym___forceinline] = ACTIONS(4116),
    [anon_sym_thread_local] = ACTIONS(4116),
    [anon_sym___thread] = ACTIONS(4116),
    [anon_sym_CG_EXTERN] = ACTIONS(4116),
    [anon_sym_CG_INLINE] = ACTIONS(4116),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4116),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4116),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4116),
    [anon_sym_IBOutlet] = ACTIONS(4116),
    [anon_sym_IBInspectable] = ACTIONS(4116),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4116),
    [anon_sym_NS_INLINE] = ACTIONS(4116),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4116),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4116),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4116),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4116),
    [anon_sym_const] = ACTIONS(4116),
    [anon_sym_constexpr] = ACTIONS(4116),
    [anon_sym_volatile] = ACTIONS(4116),
    [anon_sym_restrict] = ACTIONS(4116),
    [anon_sym___restrict__] = ACTIONS(4116),
    [anon_sym__Atomic] = ACTIONS(4116),
    [anon_sym__Noreturn] = ACTIONS(4116),
    [anon_sym__Nonnull] = ACTIONS(4116),
    [anon_sym_nullable] = ACTIONS(4116),
    [anon_sym__Complex] = ACTIONS(4116),
    [anon_sym__Nullable] = ACTIONS(4116),
    [anon_sym__Nullable_result] = ACTIONS(4116),
    [anon_sym__Null_unspecified] = ACTIONS(4116),
    [anon_sym___autoreleasing] = ACTIONS(4116),
    [anon_sym___block] = ACTIONS(4116),
    [anon_sym___bridge] = ACTIONS(4116),
    [anon_sym___bridge_retained] = ACTIONS(4116),
    [anon_sym___bridge_transfer] = ACTIONS(4116),
    [anon_sym___complex] = ACTIONS(4116),
    [anon_sym___const] = ACTIONS(4116),
    [anon_sym___imag] = ACTIONS(4116),
    [anon_sym___kindof] = ACTIONS(4116),
    [anon_sym___nonnull] = ACTIONS(4116),
    [anon_sym___nullable] = ACTIONS(4116),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4116),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4116),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4116),
    [anon_sym___real] = ACTIONS(4116),
    [anon_sym___strong] = ACTIONS(4116),
    [anon_sym___unsafe_unretained] = ACTIONS(4116),
    [anon_sym___unused] = ACTIONS(4116),
    [anon_sym___weak] = ACTIONS(4116),
    [anon_sym_alignas] = ACTIONS(4116),
    [anon_sym__Alignas] = ACTIONS(4116),
    [sym_primitive_type] = ACTIONS(4116),
    [anon_sym_enum] = ACTIONS(4116),
    [anon_sym_COLON] = ACTIONS(4118),
    [anon_sym_struct] = ACTIONS(4116),
    [anon_sym_union] = ACTIONS(4116),
    [anon_sym_QMARK] = ACTIONS(4118),
    [anon_sym_STAR_EQ] = ACTIONS(4118),
    [anon_sym_SLASH_EQ] = ACTIONS(4118),
    [anon_sym_PERCENT_EQ] = ACTIONS(4118),
    [anon_sym_PLUS_EQ] = ACTIONS(4118),
    [anon_sym_DASH_EQ] = ACTIONS(4118),
    [anon_sym_LT_LT_EQ] = ACTIONS(4118),
    [anon_sym_GT_GT_EQ] = ACTIONS(4118),
    [anon_sym_AMP_EQ] = ACTIONS(4118),
    [anon_sym_CARET_EQ] = ACTIONS(4118),
    [anon_sym_PIPE_EQ] = ACTIONS(4118),
    [anon_sym_DASH_DASH] = ACTIONS(4118),
    [anon_sym_PLUS_PLUS] = ACTIONS(4118),
    [anon_sym_DOT] = ACTIONS(4116),
    [anon_sym_DASH_GT] = ACTIONS(4118),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4116),
    [anon_sym___typeof] = ACTIONS(4116),
    [anon_sym_typeof] = ACTIONS(4116),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4116),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4116),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4116),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4116),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4116),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4116),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4116),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4116),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4116),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4116),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4116),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4116),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4116),
    [anon_sym_API_AVAILABLE] = ACTIONS(4116),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4116),
    [anon_sym_API_DEPRECATED] = ACTIONS(4116),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4116),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4116),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4116),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4116),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4116),
    [anon_sym___deprecated_msg] = ACTIONS(4116),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4116),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4116),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4116),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4116),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4116),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4116),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4116),
    [anon_sym_BOOL] = ACTIONS(4116),
    [anon_sym_IMP] = ACTIONS(4116),
    [anon_sym_SEL] = ACTIONS(4116),
    [anon_sym_Class] = ACTIONS(4116),
    [anon_sym_id] = ACTIONS(4116),
  },
  [1477] = {
    [sym_identifier] = ACTIONS(4120),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4122),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4122),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4122),
    [anon_sym_LPAREN2] = ACTIONS(4122),
    [anon_sym_DASH] = ACTIONS(4120),
    [anon_sym_PLUS] = ACTIONS(4120),
    [anon_sym_STAR] = ACTIONS(4120),
    [anon_sym_SLASH] = ACTIONS(4120),
    [anon_sym_PERCENT] = ACTIONS(4120),
    [anon_sym_PIPE_PIPE] = ACTIONS(4122),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4120),
    [anon_sym_CARET] = ACTIONS(4120),
    [anon_sym_AMP] = ACTIONS(4120),
    [anon_sym_EQ_EQ] = ACTIONS(4122),
    [anon_sym_BANG_EQ] = ACTIONS(4122),
    [anon_sym_GT] = ACTIONS(4120),
    [anon_sym_GT_EQ] = ACTIONS(4122),
    [anon_sym_LT_EQ] = ACTIONS(4122),
    [anon_sym_LT] = ACTIONS(4120),
    [anon_sym_LT_LT] = ACTIONS(4120),
    [anon_sym_GT_GT] = ACTIONS(4120),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym___extension__] = ACTIONS(4120),
    [anon_sym_extern] = ACTIONS(4120),
    [anon_sym___attribute__] = ACTIONS(4120),
    [anon_sym___attribute] = ACTIONS(4120),
    [anon_sym_noreturn] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_RBRACK] = ACTIONS(4122),
    [anon_sym___declspec] = ACTIONS(4120),
    [anon_sym_LBRACE] = ACTIONS(4122),
    [anon_sym_RBRACE] = ACTIONS(4122),
    [anon_sym_signed] = ACTIONS(4120),
    [anon_sym_unsigned] = ACTIONS(4120),
    [anon_sym_long] = ACTIONS(4120),
    [anon_sym_short] = ACTIONS(4120),
    [anon_sym_static] = ACTIONS(4120),
    [anon_sym_EQ] = ACTIONS(4120),
    [anon_sym_ATautoreleasepool] = ACTIONS(4122),
    [anon_sym_auto] = ACTIONS(4120),
    [anon_sym_register] = ACTIONS(4120),
    [anon_sym_inline] = ACTIONS(4120),
    [anon_sym___inline] = ACTIONS(4120),
    [anon_sym___inline__] = ACTIONS(4120),
    [anon_sym___forceinline] = ACTIONS(4120),
    [anon_sym_thread_local] = ACTIONS(4120),
    [anon_sym___thread] = ACTIONS(4120),
    [anon_sym_CG_EXTERN] = ACTIONS(4120),
    [anon_sym_CG_INLINE] = ACTIONS(4120),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4120),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4120),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4120),
    [anon_sym_IBOutlet] = ACTIONS(4120),
    [anon_sym_IBInspectable] = ACTIONS(4120),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4120),
    [anon_sym_NS_INLINE] = ACTIONS(4120),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4120),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4120),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4120),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4120),
    [anon_sym_const] = ACTIONS(4120),
    [anon_sym_constexpr] = ACTIONS(4120),
    [anon_sym_volatile] = ACTIONS(4120),
    [anon_sym_restrict] = ACTIONS(4120),
    [anon_sym___restrict__] = ACTIONS(4120),
    [anon_sym__Atomic] = ACTIONS(4120),
    [anon_sym__Noreturn] = ACTIONS(4120),
    [anon_sym__Nonnull] = ACTIONS(4120),
    [anon_sym_nullable] = ACTIONS(4120),
    [anon_sym__Complex] = ACTIONS(4120),
    [anon_sym__Nullable] = ACTIONS(4120),
    [anon_sym__Nullable_result] = ACTIONS(4120),
    [anon_sym__Null_unspecified] = ACTIONS(4120),
    [anon_sym___autoreleasing] = ACTIONS(4120),
    [anon_sym___block] = ACTIONS(4120),
    [anon_sym___bridge] = ACTIONS(4120),
    [anon_sym___bridge_retained] = ACTIONS(4120),
    [anon_sym___bridge_transfer] = ACTIONS(4120),
    [anon_sym___complex] = ACTIONS(4120),
    [anon_sym___const] = ACTIONS(4120),
    [anon_sym___imag] = ACTIONS(4120),
    [anon_sym___kindof] = ACTIONS(4120),
    [anon_sym___nonnull] = ACTIONS(4120),
    [anon_sym___nullable] = ACTIONS(4120),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4120),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4120),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4120),
    [anon_sym___real] = ACTIONS(4120),
    [anon_sym___strong] = ACTIONS(4120),
    [anon_sym___unsafe_unretained] = ACTIONS(4120),
    [anon_sym___unused] = ACTIONS(4120),
    [anon_sym___weak] = ACTIONS(4120),
    [anon_sym_alignas] = ACTIONS(4120),
    [anon_sym__Alignas] = ACTIONS(4120),
    [sym_primitive_type] = ACTIONS(4120),
    [anon_sym_enum] = ACTIONS(4120),
    [anon_sym_COLON] = ACTIONS(4122),
    [anon_sym_struct] = ACTIONS(4120),
    [anon_sym_union] = ACTIONS(4120),
    [anon_sym_QMARK] = ACTIONS(4122),
    [anon_sym_STAR_EQ] = ACTIONS(4122),
    [anon_sym_SLASH_EQ] = ACTIONS(4122),
    [anon_sym_PERCENT_EQ] = ACTIONS(4122),
    [anon_sym_PLUS_EQ] = ACTIONS(4122),
    [anon_sym_DASH_EQ] = ACTIONS(4122),
    [anon_sym_LT_LT_EQ] = ACTIONS(4122),
    [anon_sym_GT_GT_EQ] = ACTIONS(4122),
    [anon_sym_AMP_EQ] = ACTIONS(4122),
    [anon_sym_CARET_EQ] = ACTIONS(4122),
    [anon_sym_PIPE_EQ] = ACTIONS(4122),
    [anon_sym_DASH_DASH] = ACTIONS(4122),
    [anon_sym_PLUS_PLUS] = ACTIONS(4122),
    [anon_sym_DOT] = ACTIONS(4120),
    [anon_sym_DASH_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4120),
    [anon_sym___typeof] = ACTIONS(4120),
    [anon_sym_typeof] = ACTIONS(4120),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4120),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4120),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4120),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4120),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4120),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4120),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4120),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4120),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4120),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4120),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4120),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4120),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4120),
    [anon_sym_API_AVAILABLE] = ACTIONS(4120),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4120),
    [anon_sym_API_DEPRECATED] = ACTIONS(4120),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4120),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4120),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4120),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4120),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4120),
    [anon_sym___deprecated_msg] = ACTIONS(4120),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4120),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4120),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4120),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4120),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4120),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4120),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4120),
    [anon_sym_BOOL] = ACTIONS(4120),
    [anon_sym_IMP] = ACTIONS(4120),
    [anon_sym_SEL] = ACTIONS(4120),
    [anon_sym_Class] = ACTIONS(4120),
    [anon_sym_id] = ACTIONS(4120),
  },
  [1478] = {
    [sym_identifier] = ACTIONS(4124),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4126),
    [anon_sym_COMMA] = ACTIONS(4126),
    [anon_sym_RPAREN] = ACTIONS(4126),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4126),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4126),
    [anon_sym_LPAREN2] = ACTIONS(4126),
    [anon_sym_DASH] = ACTIONS(4124),
    [anon_sym_PLUS] = ACTIONS(4124),
    [anon_sym_STAR] = ACTIONS(4124),
    [anon_sym_SLASH] = ACTIONS(4124),
    [anon_sym_PERCENT] = ACTIONS(4124),
    [anon_sym_PIPE_PIPE] = ACTIONS(4126),
    [anon_sym_AMP_AMP] = ACTIONS(4126),
    [anon_sym_PIPE] = ACTIONS(4124),
    [anon_sym_CARET] = ACTIONS(4124),
    [anon_sym_AMP] = ACTIONS(4124),
    [anon_sym_EQ_EQ] = ACTIONS(4126),
    [anon_sym_BANG_EQ] = ACTIONS(4126),
    [anon_sym_GT] = ACTIONS(4124),
    [anon_sym_GT_EQ] = ACTIONS(4126),
    [anon_sym_LT_EQ] = ACTIONS(4126),
    [anon_sym_LT] = ACTIONS(4124),
    [anon_sym_LT_LT] = ACTIONS(4124),
    [anon_sym_GT_GT] = ACTIONS(4124),
    [anon_sym_SEMI] = ACTIONS(4126),
    [anon_sym___extension__] = ACTIONS(4124),
    [anon_sym_extern] = ACTIONS(4124),
    [anon_sym___attribute__] = ACTIONS(4124),
    [anon_sym___attribute] = ACTIONS(4124),
    [anon_sym_noreturn] = ACTIONS(4124),
    [anon_sym_LBRACK] = ACTIONS(4126),
    [anon_sym_RBRACK] = ACTIONS(4126),
    [anon_sym___declspec] = ACTIONS(4124),
    [anon_sym_LBRACE] = ACTIONS(4126),
    [anon_sym_RBRACE] = ACTIONS(4126),
    [anon_sym_signed] = ACTIONS(4124),
    [anon_sym_unsigned] = ACTIONS(4124),
    [anon_sym_long] = ACTIONS(4124),
    [anon_sym_short] = ACTIONS(4124),
    [anon_sym_static] = ACTIONS(4124),
    [anon_sym_EQ] = ACTIONS(4124),
    [anon_sym_ATautoreleasepool] = ACTIONS(4126),
    [anon_sym_auto] = ACTIONS(4124),
    [anon_sym_register] = ACTIONS(4124),
    [anon_sym_inline] = ACTIONS(4124),
    [anon_sym___inline] = ACTIONS(4124),
    [anon_sym___inline__] = ACTIONS(4124),
    [anon_sym___forceinline] = ACTIONS(4124),
    [anon_sym_thread_local] = ACTIONS(4124),
    [anon_sym___thread] = ACTIONS(4124),
    [anon_sym_CG_EXTERN] = ACTIONS(4124),
    [anon_sym_CG_INLINE] = ACTIONS(4124),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4124),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4124),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4124),
    [anon_sym_IBOutlet] = ACTIONS(4124),
    [anon_sym_IBInspectable] = ACTIONS(4124),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4124),
    [anon_sym_NS_INLINE] = ACTIONS(4124),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4124),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4124),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4124),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4124),
    [anon_sym_const] = ACTIONS(4124),
    [anon_sym_constexpr] = ACTIONS(4124),
    [anon_sym_volatile] = ACTIONS(4124),
    [anon_sym_restrict] = ACTIONS(4124),
    [anon_sym___restrict__] = ACTIONS(4124),
    [anon_sym__Atomic] = ACTIONS(4124),
    [anon_sym__Noreturn] = ACTIONS(4124),
    [anon_sym__Nonnull] = ACTIONS(4124),
    [anon_sym_nullable] = ACTIONS(4124),
    [anon_sym__Complex] = ACTIONS(4124),
    [anon_sym__Nullable] = ACTIONS(4124),
    [anon_sym__Nullable_result] = ACTIONS(4124),
    [anon_sym__Null_unspecified] = ACTIONS(4124),
    [anon_sym___autoreleasing] = ACTIONS(4124),
    [anon_sym___block] = ACTIONS(4124),
    [anon_sym___bridge] = ACTIONS(4124),
    [anon_sym___bridge_retained] = ACTIONS(4124),
    [anon_sym___bridge_transfer] = ACTIONS(4124),
    [anon_sym___complex] = ACTIONS(4124),
    [anon_sym___const] = ACTIONS(4124),
    [anon_sym___imag] = ACTIONS(4124),
    [anon_sym___kindof] = ACTIONS(4124),
    [anon_sym___nonnull] = ACTIONS(4124),
    [anon_sym___nullable] = ACTIONS(4124),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4124),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4124),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4124),
    [anon_sym___real] = ACTIONS(4124),
    [anon_sym___strong] = ACTIONS(4124),
    [anon_sym___unsafe_unretained] = ACTIONS(4124),
    [anon_sym___unused] = ACTIONS(4124),
    [anon_sym___weak] = ACTIONS(4124),
    [anon_sym_alignas] = ACTIONS(4124),
    [anon_sym__Alignas] = ACTIONS(4124),
    [sym_primitive_type] = ACTIONS(4124),
    [anon_sym_enum] = ACTIONS(4124),
    [anon_sym_COLON] = ACTIONS(4126),
    [anon_sym_struct] = ACTIONS(4124),
    [anon_sym_union] = ACTIONS(4124),
    [anon_sym_QMARK] = ACTIONS(4126),
    [anon_sym_STAR_EQ] = ACTIONS(4126),
    [anon_sym_SLASH_EQ] = ACTIONS(4126),
    [anon_sym_PERCENT_EQ] = ACTIONS(4126),
    [anon_sym_PLUS_EQ] = ACTIONS(4126),
    [anon_sym_DASH_EQ] = ACTIONS(4126),
    [anon_sym_LT_LT_EQ] = ACTIONS(4126),
    [anon_sym_GT_GT_EQ] = ACTIONS(4126),
    [anon_sym_AMP_EQ] = ACTIONS(4126),
    [anon_sym_CARET_EQ] = ACTIONS(4126),
    [anon_sym_PIPE_EQ] = ACTIONS(4126),
    [anon_sym_DASH_DASH] = ACTIONS(4126),
    [anon_sym_PLUS_PLUS] = ACTIONS(4126),
    [anon_sym_DOT] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4126),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4124),
    [anon_sym___typeof] = ACTIONS(4124),
    [anon_sym_typeof] = ACTIONS(4124),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4124),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4124),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4124),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4124),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4124),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4124),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4124),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4124),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4124),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4124),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4124),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4124),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4124),
    [anon_sym_API_AVAILABLE] = ACTIONS(4124),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4124),
    [anon_sym_API_DEPRECATED] = ACTIONS(4124),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4124),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4124),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4124),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4124),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4124),
    [anon_sym___deprecated_msg] = ACTIONS(4124),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4124),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4124),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4124),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4124),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4124),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4124),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4124),
    [anon_sym_BOOL] = ACTIONS(4124),
    [anon_sym_IMP] = ACTIONS(4124),
    [anon_sym_SEL] = ACTIONS(4124),
    [anon_sym_Class] = ACTIONS(4124),
    [anon_sym_id] = ACTIONS(4124),
  },
  [1479] = {
    [sym_identifier] = ACTIONS(4128),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4130),
    [anon_sym_COMMA] = ACTIONS(4130),
    [anon_sym_RPAREN] = ACTIONS(4130),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4130),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4130),
    [anon_sym_LPAREN2] = ACTIONS(4130),
    [anon_sym_DASH] = ACTIONS(4128),
    [anon_sym_PLUS] = ACTIONS(4128),
    [anon_sym_STAR] = ACTIONS(4128),
    [anon_sym_SLASH] = ACTIONS(4128),
    [anon_sym_PERCENT] = ACTIONS(4128),
    [anon_sym_PIPE_PIPE] = ACTIONS(4130),
    [anon_sym_AMP_AMP] = ACTIONS(4130),
    [anon_sym_PIPE] = ACTIONS(4128),
    [anon_sym_CARET] = ACTIONS(4128),
    [anon_sym_AMP] = ACTIONS(4128),
    [anon_sym_EQ_EQ] = ACTIONS(4130),
    [anon_sym_BANG_EQ] = ACTIONS(4130),
    [anon_sym_GT] = ACTIONS(4128),
    [anon_sym_GT_EQ] = ACTIONS(4130),
    [anon_sym_LT_EQ] = ACTIONS(4130),
    [anon_sym_LT] = ACTIONS(4128),
    [anon_sym_LT_LT] = ACTIONS(4128),
    [anon_sym_GT_GT] = ACTIONS(4128),
    [anon_sym_SEMI] = ACTIONS(4130),
    [anon_sym___extension__] = ACTIONS(4128),
    [anon_sym_extern] = ACTIONS(4128),
    [anon_sym___attribute__] = ACTIONS(4128),
    [anon_sym___attribute] = ACTIONS(4128),
    [anon_sym_noreturn] = ACTIONS(4128),
    [anon_sym_LBRACK] = ACTIONS(4130),
    [anon_sym_RBRACK] = ACTIONS(4130),
    [anon_sym___declspec] = ACTIONS(4128),
    [anon_sym_LBRACE] = ACTIONS(4130),
    [anon_sym_RBRACE] = ACTIONS(4130),
    [anon_sym_signed] = ACTIONS(4128),
    [anon_sym_unsigned] = ACTIONS(4128),
    [anon_sym_long] = ACTIONS(4128),
    [anon_sym_short] = ACTIONS(4128),
    [anon_sym_static] = ACTIONS(4128),
    [anon_sym_EQ] = ACTIONS(4128),
    [anon_sym_ATautoreleasepool] = ACTIONS(4130),
    [anon_sym_auto] = ACTIONS(4128),
    [anon_sym_register] = ACTIONS(4128),
    [anon_sym_inline] = ACTIONS(4128),
    [anon_sym___inline] = ACTIONS(4128),
    [anon_sym___inline__] = ACTIONS(4128),
    [anon_sym___forceinline] = ACTIONS(4128),
    [anon_sym_thread_local] = ACTIONS(4128),
    [anon_sym___thread] = ACTIONS(4128),
    [anon_sym_CG_EXTERN] = ACTIONS(4128),
    [anon_sym_CG_INLINE] = ACTIONS(4128),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4128),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4128),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4128),
    [anon_sym_IBOutlet] = ACTIONS(4128),
    [anon_sym_IBInspectable] = ACTIONS(4128),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4128),
    [anon_sym_NS_INLINE] = ACTIONS(4128),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4128),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4128),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4128),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4128),
    [anon_sym_const] = ACTIONS(4128),
    [anon_sym_constexpr] = ACTIONS(4128),
    [anon_sym_volatile] = ACTIONS(4128),
    [anon_sym_restrict] = ACTIONS(4128),
    [anon_sym___restrict__] = ACTIONS(4128),
    [anon_sym__Atomic] = ACTIONS(4128),
    [anon_sym__Noreturn] = ACTIONS(4128),
    [anon_sym__Nonnull] = ACTIONS(4128),
    [anon_sym_nullable] = ACTIONS(4128),
    [anon_sym__Complex] = ACTIONS(4128),
    [anon_sym__Nullable] = ACTIONS(4128),
    [anon_sym__Nullable_result] = ACTIONS(4128),
    [anon_sym__Null_unspecified] = ACTIONS(4128),
    [anon_sym___autoreleasing] = ACTIONS(4128),
    [anon_sym___block] = ACTIONS(4128),
    [anon_sym___bridge] = ACTIONS(4128),
    [anon_sym___bridge_retained] = ACTIONS(4128),
    [anon_sym___bridge_transfer] = ACTIONS(4128),
    [anon_sym___complex] = ACTIONS(4128),
    [anon_sym___const] = ACTIONS(4128),
    [anon_sym___imag] = ACTIONS(4128),
    [anon_sym___kindof] = ACTIONS(4128),
    [anon_sym___nonnull] = ACTIONS(4128),
    [anon_sym___nullable] = ACTIONS(4128),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4128),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4128),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4128),
    [anon_sym___real] = ACTIONS(4128),
    [anon_sym___strong] = ACTIONS(4128),
    [anon_sym___unsafe_unretained] = ACTIONS(4128),
    [anon_sym___unused] = ACTIONS(4128),
    [anon_sym___weak] = ACTIONS(4128),
    [anon_sym_alignas] = ACTIONS(4128),
    [anon_sym__Alignas] = ACTIONS(4128),
    [sym_primitive_type] = ACTIONS(4128),
    [anon_sym_enum] = ACTIONS(4128),
    [anon_sym_COLON] = ACTIONS(4130),
    [anon_sym_struct] = ACTIONS(4128),
    [anon_sym_union] = ACTIONS(4128),
    [anon_sym_QMARK] = ACTIONS(4130),
    [anon_sym_STAR_EQ] = ACTIONS(4130),
    [anon_sym_SLASH_EQ] = ACTIONS(4130),
    [anon_sym_PERCENT_EQ] = ACTIONS(4130),
    [anon_sym_PLUS_EQ] = ACTIONS(4130),
    [anon_sym_DASH_EQ] = ACTIONS(4130),
    [anon_sym_LT_LT_EQ] = ACTIONS(4130),
    [anon_sym_GT_GT_EQ] = ACTIONS(4130),
    [anon_sym_AMP_EQ] = ACTIONS(4130),
    [anon_sym_CARET_EQ] = ACTIONS(4130),
    [anon_sym_PIPE_EQ] = ACTIONS(4130),
    [anon_sym_DASH_DASH] = ACTIONS(4130),
    [anon_sym_PLUS_PLUS] = ACTIONS(4130),
    [anon_sym_DOT] = ACTIONS(4128),
    [anon_sym_DASH_GT] = ACTIONS(4130),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4128),
    [anon_sym___typeof] = ACTIONS(4128),
    [anon_sym_typeof] = ACTIONS(4128),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4128),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4128),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4128),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4128),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4128),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4128),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4128),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4128),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4128),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4128),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4128),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4128),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4128),
    [anon_sym_API_AVAILABLE] = ACTIONS(4128),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4128),
    [anon_sym_API_DEPRECATED] = ACTIONS(4128),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4128),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4128),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4128),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4128),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4128),
    [anon_sym___deprecated_msg] = ACTIONS(4128),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4128),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4128),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4128),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4128),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4128),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4128),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4128),
    [anon_sym_BOOL] = ACTIONS(4128),
    [anon_sym_IMP] = ACTIONS(4128),
    [anon_sym_SEL] = ACTIONS(4128),
    [anon_sym_Class] = ACTIONS(4128),
    [anon_sym_id] = ACTIONS(4128),
  },
  [1480] = {
    [sym_identifier] = ACTIONS(4005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_RPAREN] = ACTIONS(4007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4007),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4005),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4005),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4005),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4007),
    [anon_sym___extension__] = ACTIONS(4005),
    [anon_sym_extern] = ACTIONS(4005),
    [anon_sym___attribute__] = ACTIONS(4005),
    [anon_sym___attribute] = ACTIONS(4005),
    [anon_sym_noreturn] = ACTIONS(4005),
    [anon_sym_LBRACK] = ACTIONS(4007),
    [anon_sym_RBRACK] = ACTIONS(4007),
    [anon_sym___declspec] = ACTIONS(4005),
    [anon_sym_LBRACE] = ACTIONS(4007),
    [anon_sym_RBRACE] = ACTIONS(4007),
    [anon_sym_signed] = ACTIONS(4005),
    [anon_sym_unsigned] = ACTIONS(4005),
    [anon_sym_long] = ACTIONS(4005),
    [anon_sym_short] = ACTIONS(4005),
    [anon_sym_static] = ACTIONS(4005),
    [anon_sym_EQ] = ACTIONS(4005),
    [anon_sym_ATautoreleasepool] = ACTIONS(4007),
    [anon_sym_auto] = ACTIONS(4005),
    [anon_sym_register] = ACTIONS(4005),
    [anon_sym_inline] = ACTIONS(4005),
    [anon_sym___inline] = ACTIONS(4005),
    [anon_sym___inline__] = ACTIONS(4005),
    [anon_sym___forceinline] = ACTIONS(4005),
    [anon_sym_thread_local] = ACTIONS(4005),
    [anon_sym___thread] = ACTIONS(4005),
    [anon_sym_CG_EXTERN] = ACTIONS(4005),
    [anon_sym_CG_INLINE] = ACTIONS(4005),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4005),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4005),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4005),
    [anon_sym_IBOutlet] = ACTIONS(4005),
    [anon_sym_IBInspectable] = ACTIONS(4005),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4005),
    [anon_sym_NS_INLINE] = ACTIONS(4005),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4005),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4005),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4005),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4005),
    [anon_sym_const] = ACTIONS(4005),
    [anon_sym_constexpr] = ACTIONS(4005),
    [anon_sym_volatile] = ACTIONS(4005),
    [anon_sym_restrict] = ACTIONS(4005),
    [anon_sym___restrict__] = ACTIONS(4005),
    [anon_sym__Atomic] = ACTIONS(4005),
    [anon_sym__Noreturn] = ACTIONS(4005),
    [anon_sym__Nonnull] = ACTIONS(4005),
    [anon_sym_nullable] = ACTIONS(4005),
    [anon_sym__Complex] = ACTIONS(4005),
    [anon_sym__Nullable] = ACTIONS(4005),
    [anon_sym__Nullable_result] = ACTIONS(4005),
    [anon_sym__Null_unspecified] = ACTIONS(4005),
    [anon_sym___autoreleasing] = ACTIONS(4005),
    [anon_sym___block] = ACTIONS(4005),
    [anon_sym___bridge] = ACTIONS(4005),
    [anon_sym___bridge_retained] = ACTIONS(4005),
    [anon_sym___bridge_transfer] = ACTIONS(4005),
    [anon_sym___complex] = ACTIONS(4005),
    [anon_sym___const] = ACTIONS(4005),
    [anon_sym___imag] = ACTIONS(4005),
    [anon_sym___kindof] = ACTIONS(4005),
    [anon_sym___nonnull] = ACTIONS(4005),
    [anon_sym___nullable] = ACTIONS(4005),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4005),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4005),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4005),
    [anon_sym___real] = ACTIONS(4005),
    [anon_sym___strong] = ACTIONS(4005),
    [anon_sym___unsafe_unretained] = ACTIONS(4005),
    [anon_sym___unused] = ACTIONS(4005),
    [anon_sym___weak] = ACTIONS(4005),
    [anon_sym_alignas] = ACTIONS(4005),
    [anon_sym__Alignas] = ACTIONS(4005),
    [sym_primitive_type] = ACTIONS(4005),
    [anon_sym_enum] = ACTIONS(4005),
    [anon_sym_COLON] = ACTIONS(4007),
    [anon_sym_struct] = ACTIONS(4005),
    [anon_sym_union] = ACTIONS(4005),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4007),
    [anon_sym_SLASH_EQ] = ACTIONS(4007),
    [anon_sym_PERCENT_EQ] = ACTIONS(4007),
    [anon_sym_PLUS_EQ] = ACTIONS(4007),
    [anon_sym_DASH_EQ] = ACTIONS(4007),
    [anon_sym_LT_LT_EQ] = ACTIONS(4007),
    [anon_sym_GT_GT_EQ] = ACTIONS(4007),
    [anon_sym_AMP_EQ] = ACTIONS(4007),
    [anon_sym_CARET_EQ] = ACTIONS(4007),
    [anon_sym_PIPE_EQ] = ACTIONS(4007),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4005),
    [anon_sym___typeof] = ACTIONS(4005),
    [anon_sym_typeof] = ACTIONS(4005),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4005),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4005),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4005),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4005),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4005),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4005),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4005),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4005),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4005),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_API_AVAILABLE] = ACTIONS(4005),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_API_DEPRECATED] = ACTIONS(4005),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4005),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4005),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4005),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4005),
    [anon_sym___deprecated_msg] = ACTIONS(4005),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4005),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4005),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4005),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4005),
    [anon_sym_BOOL] = ACTIONS(4005),
    [anon_sym_IMP] = ACTIONS(4005),
    [anon_sym_SEL] = ACTIONS(4005),
    [anon_sym_Class] = ACTIONS(4005),
    [anon_sym_id] = ACTIONS(4005),
  },
  [1481] = {
    [sym_identifier] = ACTIONS(2368),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2370),
    [anon_sym_RPAREN] = ACTIONS(2370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2370),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_STAR] = ACTIONS(2368),
    [anon_sym_SLASH] = ACTIONS(2368),
    [anon_sym_PERCENT] = ACTIONS(2368),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_PIPE] = ACTIONS(2368),
    [anon_sym_CARET] = ACTIONS(2368),
    [anon_sym_AMP] = ACTIONS(2368),
    [anon_sym_EQ_EQ] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2370),
    [anon_sym_GT] = ACTIONS(2368),
    [anon_sym_GT_EQ] = ACTIONS(2370),
    [anon_sym_LT_EQ] = ACTIONS(2370),
    [anon_sym_LT] = ACTIONS(2368),
    [anon_sym_LT_LT] = ACTIONS(2368),
    [anon_sym_GT_GT] = ACTIONS(2368),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym___extension__] = ACTIONS(2368),
    [anon_sym_extern] = ACTIONS(2368),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym___attribute] = ACTIONS(2368),
    [anon_sym_noreturn] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_RBRACK] = ACTIONS(2370),
    [anon_sym___declspec] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [anon_sym_signed] = ACTIONS(2368),
    [anon_sym_unsigned] = ACTIONS(2368),
    [anon_sym_long] = ACTIONS(2368),
    [anon_sym_short] = ACTIONS(2368),
    [anon_sym_static] = ACTIONS(2368),
    [anon_sym_EQ] = ACTIONS(2368),
    [anon_sym_ATautoreleasepool] = ACTIONS(2370),
    [anon_sym_auto] = ACTIONS(2368),
    [anon_sym_register] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(2368),
    [anon_sym___inline] = ACTIONS(2368),
    [anon_sym___inline__] = ACTIONS(2368),
    [anon_sym___forceinline] = ACTIONS(2368),
    [anon_sym_thread_local] = ACTIONS(2368),
    [anon_sym___thread] = ACTIONS(2368),
    [anon_sym_CG_EXTERN] = ACTIONS(2368),
    [anon_sym_CG_INLINE] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2368),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2368),
    [anon_sym_IBOutlet] = ACTIONS(2368),
    [anon_sym_IBInspectable] = ACTIONS(2368),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2368),
    [anon_sym_NS_INLINE] = ACTIONS(2368),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2368),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2368),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2368),
    [anon_sym_const] = ACTIONS(2368),
    [anon_sym_constexpr] = ACTIONS(2368),
    [anon_sym_volatile] = ACTIONS(2368),
    [anon_sym_restrict] = ACTIONS(2368),
    [anon_sym___restrict__] = ACTIONS(2368),
    [anon_sym__Atomic] = ACTIONS(2368),
    [anon_sym__Noreturn] = ACTIONS(2368),
    [anon_sym__Nonnull] = ACTIONS(2368),
    [anon_sym_nullable] = ACTIONS(2368),
    [anon_sym__Complex] = ACTIONS(2368),
    [anon_sym__Nullable] = ACTIONS(2368),
    [anon_sym__Nullable_result] = ACTIONS(2368),
    [anon_sym__Null_unspecified] = ACTIONS(2368),
    [anon_sym___autoreleasing] = ACTIONS(2368),
    [anon_sym___block] = ACTIONS(2368),
    [anon_sym___bridge] = ACTIONS(2368),
    [anon_sym___bridge_retained] = ACTIONS(2368),
    [anon_sym___bridge_transfer] = ACTIONS(2368),
    [anon_sym___complex] = ACTIONS(2368),
    [anon_sym___const] = ACTIONS(2368),
    [anon_sym___imag] = ACTIONS(2368),
    [anon_sym___kindof] = ACTIONS(2368),
    [anon_sym___nonnull] = ACTIONS(2368),
    [anon_sym___nullable] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2368),
    [anon_sym___real] = ACTIONS(2368),
    [anon_sym___strong] = ACTIONS(2368),
    [anon_sym___unsafe_unretained] = ACTIONS(2368),
    [anon_sym___unused] = ACTIONS(2368),
    [anon_sym___weak] = ACTIONS(2368),
    [anon_sym_alignas] = ACTIONS(2368),
    [anon_sym__Alignas] = ACTIONS(2368),
    [sym_primitive_type] = ACTIONS(2368),
    [anon_sym_enum] = ACTIONS(2368),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_struct] = ACTIONS(2368),
    [anon_sym_union] = ACTIONS(2368),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_STAR_EQ] = ACTIONS(2370),
    [anon_sym_SLASH_EQ] = ACTIONS(2370),
    [anon_sym_PERCENT_EQ] = ACTIONS(2370),
    [anon_sym_PLUS_EQ] = ACTIONS(2370),
    [anon_sym_DASH_EQ] = ACTIONS(2370),
    [anon_sym_LT_LT_EQ] = ACTIONS(2370),
    [anon_sym_GT_GT_EQ] = ACTIONS(2370),
    [anon_sym_AMP_EQ] = ACTIONS(2370),
    [anon_sym_CARET_EQ] = ACTIONS(2370),
    [anon_sym_PIPE_EQ] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_DOT] = ACTIONS(2368),
    [anon_sym_DASH_GT] = ACTIONS(2370),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2368),
    [anon_sym___typeof] = ACTIONS(2368),
    [anon_sym_typeof] = ACTIONS(2368),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2368),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2368),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2368),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_API_AVAILABLE] = ACTIONS(2368),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_API_DEPRECATED] = ACTIONS(2368),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym___deprecated_msg] = ACTIONS(2368),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2368),
    [anon_sym_BOOL] = ACTIONS(2368),
    [anon_sym_IMP] = ACTIONS(2368),
    [anon_sym_SEL] = ACTIONS(2368),
    [anon_sym_Class] = ACTIONS(2368),
    [anon_sym_id] = ACTIONS(2368),
  },
  [1482] = {
    [sym_identifier] = ACTIONS(4132),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4134),
    [anon_sym_LPAREN2] = ACTIONS(4134),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4132),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4132),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4132),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_LT] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4132),
    [anon_sym_GT_GT] = ACTIONS(4132),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym___extension__] = ACTIONS(4132),
    [anon_sym_extern] = ACTIONS(4132),
    [anon_sym___attribute__] = ACTIONS(4132),
    [anon_sym___attribute] = ACTIONS(4132),
    [anon_sym_noreturn] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym___declspec] = ACTIONS(4132),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_signed] = ACTIONS(4132),
    [anon_sym_unsigned] = ACTIONS(4132),
    [anon_sym_long] = ACTIONS(4132),
    [anon_sym_short] = ACTIONS(4132),
    [anon_sym_static] = ACTIONS(4132),
    [anon_sym_EQ] = ACTIONS(4132),
    [anon_sym_ATautoreleasepool] = ACTIONS(4134),
    [anon_sym_auto] = ACTIONS(4132),
    [anon_sym_register] = ACTIONS(4132),
    [anon_sym_inline] = ACTIONS(4132),
    [anon_sym___inline] = ACTIONS(4132),
    [anon_sym___inline__] = ACTIONS(4132),
    [anon_sym___forceinline] = ACTIONS(4132),
    [anon_sym_thread_local] = ACTIONS(4132),
    [anon_sym___thread] = ACTIONS(4132),
    [anon_sym_CG_EXTERN] = ACTIONS(4132),
    [anon_sym_CG_INLINE] = ACTIONS(4132),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4132),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4132),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4132),
    [anon_sym_IBOutlet] = ACTIONS(4132),
    [anon_sym_IBInspectable] = ACTIONS(4132),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4132),
    [anon_sym_NS_INLINE] = ACTIONS(4132),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4132),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4132),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4132),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4132),
    [anon_sym_const] = ACTIONS(4132),
    [anon_sym_constexpr] = ACTIONS(4132),
    [anon_sym_volatile] = ACTIONS(4132),
    [anon_sym_restrict] = ACTIONS(4132),
    [anon_sym___restrict__] = ACTIONS(4132),
    [anon_sym__Atomic] = ACTIONS(4132),
    [anon_sym__Noreturn] = ACTIONS(4132),
    [anon_sym__Nonnull] = ACTIONS(4132),
    [anon_sym_nullable] = ACTIONS(4132),
    [anon_sym__Complex] = ACTIONS(4132),
    [anon_sym__Nullable] = ACTIONS(4132),
    [anon_sym__Nullable_result] = ACTIONS(4132),
    [anon_sym__Null_unspecified] = ACTIONS(4132),
    [anon_sym___autoreleasing] = ACTIONS(4132),
    [anon_sym___block] = ACTIONS(4132),
    [anon_sym___bridge] = ACTIONS(4132),
    [anon_sym___bridge_retained] = ACTIONS(4132),
    [anon_sym___bridge_transfer] = ACTIONS(4132),
    [anon_sym___complex] = ACTIONS(4132),
    [anon_sym___const] = ACTIONS(4132),
    [anon_sym___imag] = ACTIONS(4132),
    [anon_sym___kindof] = ACTIONS(4132),
    [anon_sym___nonnull] = ACTIONS(4132),
    [anon_sym___nullable] = ACTIONS(4132),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4132),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4132),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4132),
    [anon_sym___real] = ACTIONS(4132),
    [anon_sym___strong] = ACTIONS(4132),
    [anon_sym___unsafe_unretained] = ACTIONS(4132),
    [anon_sym___unused] = ACTIONS(4132),
    [anon_sym___weak] = ACTIONS(4132),
    [anon_sym_alignas] = ACTIONS(4132),
    [anon_sym__Alignas] = ACTIONS(4132),
    [sym_primitive_type] = ACTIONS(4132),
    [anon_sym_enum] = ACTIONS(4132),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_struct] = ACTIONS(4132),
    [anon_sym_union] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4134),
    [anon_sym_STAR_EQ] = ACTIONS(4134),
    [anon_sym_SLASH_EQ] = ACTIONS(4134),
    [anon_sym_PERCENT_EQ] = ACTIONS(4134),
    [anon_sym_PLUS_EQ] = ACTIONS(4134),
    [anon_sym_DASH_EQ] = ACTIONS(4134),
    [anon_sym_LT_LT_EQ] = ACTIONS(4134),
    [anon_sym_GT_GT_EQ] = ACTIONS(4134),
    [anon_sym_AMP_EQ] = ACTIONS(4134),
    [anon_sym_CARET_EQ] = ACTIONS(4134),
    [anon_sym_PIPE_EQ] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4132),
    [anon_sym___typeof] = ACTIONS(4132),
    [anon_sym_typeof] = ACTIONS(4132),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4132),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4132),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4132),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4132),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4132),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4132),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4132),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4132),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4132),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4132),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4132),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4132),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4132),
    [anon_sym_API_AVAILABLE] = ACTIONS(4132),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4132),
    [anon_sym_API_DEPRECATED] = ACTIONS(4132),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4132),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4132),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4132),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4132),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4132),
    [anon_sym___deprecated_msg] = ACTIONS(4132),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4132),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4132),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4132),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4132),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4132),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4132),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4132),
    [anon_sym_BOOL] = ACTIONS(4132),
    [anon_sym_IMP] = ACTIONS(4132),
    [anon_sym_SEL] = ACTIONS(4132),
    [anon_sym_Class] = ACTIONS(4132),
    [anon_sym_id] = ACTIONS(4132),
  },
  [1483] = {
    [sym_identifier] = ACTIONS(4136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4138),
    [anon_sym_COMMA] = ACTIONS(4138),
    [anon_sym_RPAREN] = ACTIONS(4138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4138),
    [anon_sym_LPAREN2] = ACTIONS(4138),
    [anon_sym_DASH] = ACTIONS(4136),
    [anon_sym_PLUS] = ACTIONS(4136),
    [anon_sym_STAR] = ACTIONS(4136),
    [anon_sym_SLASH] = ACTIONS(4136),
    [anon_sym_PERCENT] = ACTIONS(4136),
    [anon_sym_PIPE_PIPE] = ACTIONS(4138),
    [anon_sym_AMP_AMP] = ACTIONS(4138),
    [anon_sym_PIPE] = ACTIONS(4136),
    [anon_sym_CARET] = ACTIONS(4136),
    [anon_sym_AMP] = ACTIONS(4136),
    [anon_sym_EQ_EQ] = ACTIONS(4138),
    [anon_sym_BANG_EQ] = ACTIONS(4138),
    [anon_sym_GT] = ACTIONS(4136),
    [anon_sym_GT_EQ] = ACTIONS(4138),
    [anon_sym_LT_EQ] = ACTIONS(4138),
    [anon_sym_LT] = ACTIONS(4136),
    [anon_sym_LT_LT] = ACTIONS(4136),
    [anon_sym_GT_GT] = ACTIONS(4136),
    [anon_sym_SEMI] = ACTIONS(4138),
    [anon_sym___extension__] = ACTIONS(4136),
    [anon_sym_extern] = ACTIONS(4136),
    [anon_sym___attribute__] = ACTIONS(4136),
    [anon_sym___attribute] = ACTIONS(4136),
    [anon_sym_noreturn] = ACTIONS(4136),
    [anon_sym_LBRACK] = ACTIONS(4138),
    [anon_sym_RBRACK] = ACTIONS(4138),
    [anon_sym___declspec] = ACTIONS(4136),
    [anon_sym_LBRACE] = ACTIONS(4138),
    [anon_sym_RBRACE] = ACTIONS(4138),
    [anon_sym_signed] = ACTIONS(4136),
    [anon_sym_unsigned] = ACTIONS(4136),
    [anon_sym_long] = ACTIONS(4136),
    [anon_sym_short] = ACTIONS(4136),
    [anon_sym_static] = ACTIONS(4136),
    [anon_sym_EQ] = ACTIONS(4136),
    [anon_sym_ATautoreleasepool] = ACTIONS(4138),
    [anon_sym_auto] = ACTIONS(4136),
    [anon_sym_register] = ACTIONS(4136),
    [anon_sym_inline] = ACTIONS(4136),
    [anon_sym___inline] = ACTIONS(4136),
    [anon_sym___inline__] = ACTIONS(4136),
    [anon_sym___forceinline] = ACTIONS(4136),
    [anon_sym_thread_local] = ACTIONS(4136),
    [anon_sym___thread] = ACTIONS(4136),
    [anon_sym_CG_EXTERN] = ACTIONS(4136),
    [anon_sym_CG_INLINE] = ACTIONS(4136),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4136),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4136),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4136),
    [anon_sym_IBOutlet] = ACTIONS(4136),
    [anon_sym_IBInspectable] = ACTIONS(4136),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4136),
    [anon_sym_NS_INLINE] = ACTIONS(4136),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4136),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4136),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4136),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4136),
    [anon_sym_const] = ACTIONS(4136),
    [anon_sym_constexpr] = ACTIONS(4136),
    [anon_sym_volatile] = ACTIONS(4136),
    [anon_sym_restrict] = ACTIONS(4136),
    [anon_sym___restrict__] = ACTIONS(4136),
    [anon_sym__Atomic] = ACTIONS(4136),
    [anon_sym__Noreturn] = ACTIONS(4136),
    [anon_sym__Nonnull] = ACTIONS(4136),
    [anon_sym_nullable] = ACTIONS(4136),
    [anon_sym__Complex] = ACTIONS(4136),
    [anon_sym__Nullable] = ACTIONS(4136),
    [anon_sym__Nullable_result] = ACTIONS(4136),
    [anon_sym__Null_unspecified] = ACTIONS(4136),
    [anon_sym___autoreleasing] = ACTIONS(4136),
    [anon_sym___block] = ACTIONS(4136),
    [anon_sym___bridge] = ACTIONS(4136),
    [anon_sym___bridge_retained] = ACTIONS(4136),
    [anon_sym___bridge_transfer] = ACTIONS(4136),
    [anon_sym___complex] = ACTIONS(4136),
    [anon_sym___const] = ACTIONS(4136),
    [anon_sym___imag] = ACTIONS(4136),
    [anon_sym___kindof] = ACTIONS(4136),
    [anon_sym___nonnull] = ACTIONS(4136),
    [anon_sym___nullable] = ACTIONS(4136),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4136),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4136),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4136),
    [anon_sym___real] = ACTIONS(4136),
    [anon_sym___strong] = ACTIONS(4136),
    [anon_sym___unsafe_unretained] = ACTIONS(4136),
    [anon_sym___unused] = ACTIONS(4136),
    [anon_sym___weak] = ACTIONS(4136),
    [anon_sym_alignas] = ACTIONS(4136),
    [anon_sym__Alignas] = ACTIONS(4136),
    [sym_primitive_type] = ACTIONS(4136),
    [anon_sym_enum] = ACTIONS(4136),
    [anon_sym_COLON] = ACTIONS(4138),
    [anon_sym_struct] = ACTIONS(4136),
    [anon_sym_union] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [anon_sym_STAR_EQ] = ACTIONS(4138),
    [anon_sym_SLASH_EQ] = ACTIONS(4138),
    [anon_sym_PERCENT_EQ] = ACTIONS(4138),
    [anon_sym_PLUS_EQ] = ACTIONS(4138),
    [anon_sym_DASH_EQ] = ACTIONS(4138),
    [anon_sym_LT_LT_EQ] = ACTIONS(4138),
    [anon_sym_GT_GT_EQ] = ACTIONS(4138),
    [anon_sym_AMP_EQ] = ACTIONS(4138),
    [anon_sym_CARET_EQ] = ACTIONS(4138),
    [anon_sym_PIPE_EQ] = ACTIONS(4138),
    [anon_sym_DASH_DASH] = ACTIONS(4138),
    [anon_sym_PLUS_PLUS] = ACTIONS(4138),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_DASH_GT] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4136),
    [anon_sym___typeof] = ACTIONS(4136),
    [anon_sym_typeof] = ACTIONS(4136),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4136),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4136),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4136),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4136),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4136),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4136),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4136),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4136),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4136),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4136),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4136),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4136),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4136),
    [anon_sym_API_AVAILABLE] = ACTIONS(4136),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4136),
    [anon_sym_API_DEPRECATED] = ACTIONS(4136),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4136),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4136),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4136),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4136),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4136),
    [anon_sym___deprecated_msg] = ACTIONS(4136),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4136),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4136),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4136),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4136),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4136),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4136),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4136),
    [anon_sym_BOOL] = ACTIONS(4136),
    [anon_sym_IMP] = ACTIONS(4136),
    [anon_sym_SEL] = ACTIONS(4136),
    [anon_sym_Class] = ACTIONS(4136),
    [anon_sym_id] = ACTIONS(4136),
  },
  [1484] = {
    [sym_identifier] = ACTIONS(4005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_RPAREN] = ACTIONS(4007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4007),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4005),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4005),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4005),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4007),
    [anon_sym___extension__] = ACTIONS(4005),
    [anon_sym_extern] = ACTIONS(4005),
    [anon_sym___attribute__] = ACTIONS(4005),
    [anon_sym___attribute] = ACTIONS(4005),
    [anon_sym_noreturn] = ACTIONS(4005),
    [anon_sym_LBRACK] = ACTIONS(4007),
    [anon_sym_RBRACK] = ACTIONS(4007),
    [anon_sym___declspec] = ACTIONS(4005),
    [anon_sym_LBRACE] = ACTIONS(4007),
    [anon_sym_RBRACE] = ACTIONS(4007),
    [anon_sym_signed] = ACTIONS(4005),
    [anon_sym_unsigned] = ACTIONS(4005),
    [anon_sym_long] = ACTIONS(4005),
    [anon_sym_short] = ACTIONS(4005),
    [anon_sym_static] = ACTIONS(4005),
    [anon_sym_EQ] = ACTIONS(4005),
    [anon_sym_ATautoreleasepool] = ACTIONS(4007),
    [anon_sym_auto] = ACTIONS(4005),
    [anon_sym_register] = ACTIONS(4005),
    [anon_sym_inline] = ACTIONS(4005),
    [anon_sym___inline] = ACTIONS(4005),
    [anon_sym___inline__] = ACTIONS(4005),
    [anon_sym___forceinline] = ACTIONS(4005),
    [anon_sym_thread_local] = ACTIONS(4005),
    [anon_sym___thread] = ACTIONS(4005),
    [anon_sym_CG_EXTERN] = ACTIONS(4005),
    [anon_sym_CG_INLINE] = ACTIONS(4005),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4005),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4005),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4005),
    [anon_sym_IBOutlet] = ACTIONS(4005),
    [anon_sym_IBInspectable] = ACTIONS(4005),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4005),
    [anon_sym_NS_INLINE] = ACTIONS(4005),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4005),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4005),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4005),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4005),
    [anon_sym_const] = ACTIONS(4005),
    [anon_sym_constexpr] = ACTIONS(4005),
    [anon_sym_volatile] = ACTIONS(4005),
    [anon_sym_restrict] = ACTIONS(4005),
    [anon_sym___restrict__] = ACTIONS(4005),
    [anon_sym__Atomic] = ACTIONS(4005),
    [anon_sym__Noreturn] = ACTIONS(4005),
    [anon_sym__Nonnull] = ACTIONS(4005),
    [anon_sym_nullable] = ACTIONS(4005),
    [anon_sym__Complex] = ACTIONS(4005),
    [anon_sym__Nullable] = ACTIONS(4005),
    [anon_sym__Nullable_result] = ACTIONS(4005),
    [anon_sym__Null_unspecified] = ACTIONS(4005),
    [anon_sym___autoreleasing] = ACTIONS(4005),
    [anon_sym___block] = ACTIONS(4005),
    [anon_sym___bridge] = ACTIONS(4005),
    [anon_sym___bridge_retained] = ACTIONS(4005),
    [anon_sym___bridge_transfer] = ACTIONS(4005),
    [anon_sym___complex] = ACTIONS(4005),
    [anon_sym___const] = ACTIONS(4005),
    [anon_sym___imag] = ACTIONS(4005),
    [anon_sym___kindof] = ACTIONS(4005),
    [anon_sym___nonnull] = ACTIONS(4005),
    [anon_sym___nullable] = ACTIONS(4005),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4005),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4005),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4005),
    [anon_sym___real] = ACTIONS(4005),
    [anon_sym___strong] = ACTIONS(4005),
    [anon_sym___unsafe_unretained] = ACTIONS(4005),
    [anon_sym___unused] = ACTIONS(4005),
    [anon_sym___weak] = ACTIONS(4005),
    [anon_sym_alignas] = ACTIONS(4005),
    [anon_sym__Alignas] = ACTIONS(4005),
    [sym_primitive_type] = ACTIONS(4005),
    [anon_sym_enum] = ACTIONS(4005),
    [anon_sym_COLON] = ACTIONS(4007),
    [anon_sym_struct] = ACTIONS(4005),
    [anon_sym_union] = ACTIONS(4005),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4007),
    [anon_sym_SLASH_EQ] = ACTIONS(4007),
    [anon_sym_PERCENT_EQ] = ACTIONS(4007),
    [anon_sym_PLUS_EQ] = ACTIONS(4007),
    [anon_sym_DASH_EQ] = ACTIONS(4007),
    [anon_sym_LT_LT_EQ] = ACTIONS(4007),
    [anon_sym_GT_GT_EQ] = ACTIONS(4007),
    [anon_sym_AMP_EQ] = ACTIONS(4007),
    [anon_sym_CARET_EQ] = ACTIONS(4007),
    [anon_sym_PIPE_EQ] = ACTIONS(4007),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4005),
    [anon_sym___typeof] = ACTIONS(4005),
    [anon_sym_typeof] = ACTIONS(4005),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4005),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4005),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4005),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4005),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4005),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4005),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4005),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4005),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4005),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_API_AVAILABLE] = ACTIONS(4005),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_API_DEPRECATED] = ACTIONS(4005),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4005),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4005),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4005),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4005),
    [anon_sym___deprecated_msg] = ACTIONS(4005),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4005),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4005),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4005),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4005),
    [anon_sym_BOOL] = ACTIONS(4005),
    [anon_sym_IMP] = ACTIONS(4005),
    [anon_sym_SEL] = ACTIONS(4005),
    [anon_sym_Class] = ACTIONS(4005),
    [anon_sym_id] = ACTIONS(4005),
  },
  [1485] = {
    [sym_identifier] = ACTIONS(4140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4142),
    [anon_sym_COMMA] = ACTIONS(4142),
    [anon_sym_RPAREN] = ACTIONS(4142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4142),
    [anon_sym_LPAREN2] = ACTIONS(4142),
    [anon_sym_DASH] = ACTIONS(4140),
    [anon_sym_PLUS] = ACTIONS(4140),
    [anon_sym_STAR] = ACTIONS(4140),
    [anon_sym_SLASH] = ACTIONS(4140),
    [anon_sym_PERCENT] = ACTIONS(4140),
    [anon_sym_PIPE_PIPE] = ACTIONS(4142),
    [anon_sym_AMP_AMP] = ACTIONS(4142),
    [anon_sym_PIPE] = ACTIONS(4140),
    [anon_sym_CARET] = ACTIONS(4140),
    [anon_sym_AMP] = ACTIONS(4140),
    [anon_sym_EQ_EQ] = ACTIONS(4142),
    [anon_sym_BANG_EQ] = ACTIONS(4142),
    [anon_sym_GT] = ACTIONS(4140),
    [anon_sym_GT_EQ] = ACTIONS(4142),
    [anon_sym_LT_EQ] = ACTIONS(4142),
    [anon_sym_LT] = ACTIONS(4140),
    [anon_sym_LT_LT] = ACTIONS(4140),
    [anon_sym_GT_GT] = ACTIONS(4140),
    [anon_sym_SEMI] = ACTIONS(4142),
    [anon_sym___extension__] = ACTIONS(4140),
    [anon_sym_extern] = ACTIONS(4140),
    [anon_sym___attribute__] = ACTIONS(4140),
    [anon_sym___attribute] = ACTIONS(4140),
    [anon_sym_noreturn] = ACTIONS(4140),
    [anon_sym_LBRACK] = ACTIONS(4142),
    [anon_sym_RBRACK] = ACTIONS(4142),
    [anon_sym___declspec] = ACTIONS(4140),
    [anon_sym_LBRACE] = ACTIONS(4142),
    [anon_sym_RBRACE] = ACTIONS(4142),
    [anon_sym_signed] = ACTIONS(4140),
    [anon_sym_unsigned] = ACTIONS(4140),
    [anon_sym_long] = ACTIONS(4140),
    [anon_sym_short] = ACTIONS(4140),
    [anon_sym_static] = ACTIONS(4140),
    [anon_sym_EQ] = ACTIONS(4140),
    [anon_sym_ATautoreleasepool] = ACTIONS(4142),
    [anon_sym_auto] = ACTIONS(4140),
    [anon_sym_register] = ACTIONS(4140),
    [anon_sym_inline] = ACTIONS(4140),
    [anon_sym___inline] = ACTIONS(4140),
    [anon_sym___inline__] = ACTIONS(4140),
    [anon_sym___forceinline] = ACTIONS(4140),
    [anon_sym_thread_local] = ACTIONS(4140),
    [anon_sym___thread] = ACTIONS(4140),
    [anon_sym_CG_EXTERN] = ACTIONS(4140),
    [anon_sym_CG_INLINE] = ACTIONS(4140),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4140),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4140),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4140),
    [anon_sym_IBOutlet] = ACTIONS(4140),
    [anon_sym_IBInspectable] = ACTIONS(4140),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4140),
    [anon_sym_NS_INLINE] = ACTIONS(4140),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4140),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4140),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4140),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4140),
    [anon_sym_const] = ACTIONS(4140),
    [anon_sym_constexpr] = ACTIONS(4140),
    [anon_sym_volatile] = ACTIONS(4140),
    [anon_sym_restrict] = ACTIONS(4140),
    [anon_sym___restrict__] = ACTIONS(4140),
    [anon_sym__Atomic] = ACTIONS(4140),
    [anon_sym__Noreturn] = ACTIONS(4140),
    [anon_sym__Nonnull] = ACTIONS(4140),
    [anon_sym_nullable] = ACTIONS(4140),
    [anon_sym__Complex] = ACTIONS(4140),
    [anon_sym__Nullable] = ACTIONS(4140),
    [anon_sym__Nullable_result] = ACTIONS(4140),
    [anon_sym__Null_unspecified] = ACTIONS(4140),
    [anon_sym___autoreleasing] = ACTIONS(4140),
    [anon_sym___block] = ACTIONS(4140),
    [anon_sym___bridge] = ACTIONS(4140),
    [anon_sym___bridge_retained] = ACTIONS(4140),
    [anon_sym___bridge_transfer] = ACTIONS(4140),
    [anon_sym___complex] = ACTIONS(4140),
    [anon_sym___const] = ACTIONS(4140),
    [anon_sym___imag] = ACTIONS(4140),
    [anon_sym___kindof] = ACTIONS(4140),
    [anon_sym___nonnull] = ACTIONS(4140),
    [anon_sym___nullable] = ACTIONS(4140),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4140),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4140),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4140),
    [anon_sym___real] = ACTIONS(4140),
    [anon_sym___strong] = ACTIONS(4140),
    [anon_sym___unsafe_unretained] = ACTIONS(4140),
    [anon_sym___unused] = ACTIONS(4140),
    [anon_sym___weak] = ACTIONS(4140),
    [anon_sym_alignas] = ACTIONS(4140),
    [anon_sym__Alignas] = ACTIONS(4140),
    [sym_primitive_type] = ACTIONS(4140),
    [anon_sym_enum] = ACTIONS(4140),
    [anon_sym_COLON] = ACTIONS(4142),
    [anon_sym_struct] = ACTIONS(4140),
    [anon_sym_union] = ACTIONS(4140),
    [anon_sym_QMARK] = ACTIONS(4142),
    [anon_sym_STAR_EQ] = ACTIONS(4142),
    [anon_sym_SLASH_EQ] = ACTIONS(4142),
    [anon_sym_PERCENT_EQ] = ACTIONS(4142),
    [anon_sym_PLUS_EQ] = ACTIONS(4142),
    [anon_sym_DASH_EQ] = ACTIONS(4142),
    [anon_sym_LT_LT_EQ] = ACTIONS(4142),
    [anon_sym_GT_GT_EQ] = ACTIONS(4142),
    [anon_sym_AMP_EQ] = ACTIONS(4142),
    [anon_sym_CARET_EQ] = ACTIONS(4142),
    [anon_sym_PIPE_EQ] = ACTIONS(4142),
    [anon_sym_DASH_DASH] = ACTIONS(4142),
    [anon_sym_PLUS_PLUS] = ACTIONS(4142),
    [anon_sym_DOT] = ACTIONS(4140),
    [anon_sym_DASH_GT] = ACTIONS(4142),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4140),
    [anon_sym___typeof] = ACTIONS(4140),
    [anon_sym_typeof] = ACTIONS(4140),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4140),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4140),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4140),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4140),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4140),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4140),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4140),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4140),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4140),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4140),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4140),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4140),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4140),
    [anon_sym_API_AVAILABLE] = ACTIONS(4140),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4140),
    [anon_sym_API_DEPRECATED] = ACTIONS(4140),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4140),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4140),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4140),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4140),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4140),
    [anon_sym___deprecated_msg] = ACTIONS(4140),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4140),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4140),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4140),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4140),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4140),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4140),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4140),
    [anon_sym_BOOL] = ACTIONS(4140),
    [anon_sym_IMP] = ACTIONS(4140),
    [anon_sym_SEL] = ACTIONS(4140),
    [anon_sym_Class] = ACTIONS(4140),
    [anon_sym_id] = ACTIONS(4140),
  },
  [1486] = {
    [sym_identifier] = ACTIONS(4144),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4146),
    [anon_sym_COMMA] = ACTIONS(4146),
    [anon_sym_RPAREN] = ACTIONS(4146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4146),
    [anon_sym_LPAREN2] = ACTIONS(4146),
    [anon_sym_DASH] = ACTIONS(4144),
    [anon_sym_PLUS] = ACTIONS(4144),
    [anon_sym_STAR] = ACTIONS(4144),
    [anon_sym_SLASH] = ACTIONS(4144),
    [anon_sym_PERCENT] = ACTIONS(4144),
    [anon_sym_PIPE_PIPE] = ACTIONS(4146),
    [anon_sym_AMP_AMP] = ACTIONS(4146),
    [anon_sym_PIPE] = ACTIONS(4144),
    [anon_sym_CARET] = ACTIONS(4144),
    [anon_sym_AMP] = ACTIONS(4144),
    [anon_sym_EQ_EQ] = ACTIONS(4146),
    [anon_sym_BANG_EQ] = ACTIONS(4146),
    [anon_sym_GT] = ACTIONS(4144),
    [anon_sym_GT_EQ] = ACTIONS(4146),
    [anon_sym_LT_EQ] = ACTIONS(4146),
    [anon_sym_LT] = ACTIONS(4144),
    [anon_sym_LT_LT] = ACTIONS(4144),
    [anon_sym_GT_GT] = ACTIONS(4144),
    [anon_sym_SEMI] = ACTIONS(4146),
    [anon_sym___extension__] = ACTIONS(4144),
    [anon_sym_extern] = ACTIONS(4144),
    [anon_sym___attribute__] = ACTIONS(4144),
    [anon_sym___attribute] = ACTIONS(4144),
    [anon_sym_noreturn] = ACTIONS(4144),
    [anon_sym_LBRACK] = ACTIONS(4146),
    [anon_sym_RBRACK] = ACTIONS(4146),
    [anon_sym___declspec] = ACTIONS(4144),
    [anon_sym_LBRACE] = ACTIONS(4146),
    [anon_sym_RBRACE] = ACTIONS(4146),
    [anon_sym_signed] = ACTIONS(4144),
    [anon_sym_unsigned] = ACTIONS(4144),
    [anon_sym_long] = ACTIONS(4144),
    [anon_sym_short] = ACTIONS(4144),
    [anon_sym_static] = ACTIONS(4144),
    [anon_sym_EQ] = ACTIONS(4144),
    [anon_sym_ATautoreleasepool] = ACTIONS(4146),
    [anon_sym_auto] = ACTIONS(4144),
    [anon_sym_register] = ACTIONS(4144),
    [anon_sym_inline] = ACTIONS(4144),
    [anon_sym___inline] = ACTIONS(4144),
    [anon_sym___inline__] = ACTIONS(4144),
    [anon_sym___forceinline] = ACTIONS(4144),
    [anon_sym_thread_local] = ACTIONS(4144),
    [anon_sym___thread] = ACTIONS(4144),
    [anon_sym_CG_EXTERN] = ACTIONS(4144),
    [anon_sym_CG_INLINE] = ACTIONS(4144),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4144),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4144),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4144),
    [anon_sym_IBOutlet] = ACTIONS(4144),
    [anon_sym_IBInspectable] = ACTIONS(4144),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4144),
    [anon_sym_NS_INLINE] = ACTIONS(4144),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4144),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4144),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4144),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4144),
    [anon_sym_const] = ACTIONS(4144),
    [anon_sym_constexpr] = ACTIONS(4144),
    [anon_sym_volatile] = ACTIONS(4144),
    [anon_sym_restrict] = ACTIONS(4144),
    [anon_sym___restrict__] = ACTIONS(4144),
    [anon_sym__Atomic] = ACTIONS(4144),
    [anon_sym__Noreturn] = ACTIONS(4144),
    [anon_sym__Nonnull] = ACTIONS(4144),
    [anon_sym_nullable] = ACTIONS(4144),
    [anon_sym__Complex] = ACTIONS(4144),
    [anon_sym__Nullable] = ACTIONS(4144),
    [anon_sym__Nullable_result] = ACTIONS(4144),
    [anon_sym__Null_unspecified] = ACTIONS(4144),
    [anon_sym___autoreleasing] = ACTIONS(4144),
    [anon_sym___block] = ACTIONS(4144),
    [anon_sym___bridge] = ACTIONS(4144),
    [anon_sym___bridge_retained] = ACTIONS(4144),
    [anon_sym___bridge_transfer] = ACTIONS(4144),
    [anon_sym___complex] = ACTIONS(4144),
    [anon_sym___const] = ACTIONS(4144),
    [anon_sym___imag] = ACTIONS(4144),
    [anon_sym___kindof] = ACTIONS(4144),
    [anon_sym___nonnull] = ACTIONS(4144),
    [anon_sym___nullable] = ACTIONS(4144),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4144),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4144),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4144),
    [anon_sym___real] = ACTIONS(4144),
    [anon_sym___strong] = ACTIONS(4144),
    [anon_sym___unsafe_unretained] = ACTIONS(4144),
    [anon_sym___unused] = ACTIONS(4144),
    [anon_sym___weak] = ACTIONS(4144),
    [anon_sym_alignas] = ACTIONS(4144),
    [anon_sym__Alignas] = ACTIONS(4144),
    [sym_primitive_type] = ACTIONS(4144),
    [anon_sym_enum] = ACTIONS(4144),
    [anon_sym_COLON] = ACTIONS(4146),
    [anon_sym_struct] = ACTIONS(4144),
    [anon_sym_union] = ACTIONS(4144),
    [anon_sym_QMARK] = ACTIONS(4146),
    [anon_sym_STAR_EQ] = ACTIONS(4146),
    [anon_sym_SLASH_EQ] = ACTIONS(4146),
    [anon_sym_PERCENT_EQ] = ACTIONS(4146),
    [anon_sym_PLUS_EQ] = ACTIONS(4146),
    [anon_sym_DASH_EQ] = ACTIONS(4146),
    [anon_sym_LT_LT_EQ] = ACTIONS(4146),
    [anon_sym_GT_GT_EQ] = ACTIONS(4146),
    [anon_sym_AMP_EQ] = ACTIONS(4146),
    [anon_sym_CARET_EQ] = ACTIONS(4146),
    [anon_sym_PIPE_EQ] = ACTIONS(4146),
    [anon_sym_DASH_DASH] = ACTIONS(4146),
    [anon_sym_PLUS_PLUS] = ACTIONS(4146),
    [anon_sym_DOT] = ACTIONS(4144),
    [anon_sym_DASH_GT] = ACTIONS(4146),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4144),
    [anon_sym___typeof] = ACTIONS(4144),
    [anon_sym_typeof] = ACTIONS(4144),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4144),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4144),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4144),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4144),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4144),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4144),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4144),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4144),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4144),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4144),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4144),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4144),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4144),
    [anon_sym_API_AVAILABLE] = ACTIONS(4144),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4144),
    [anon_sym_API_DEPRECATED] = ACTIONS(4144),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4144),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4144),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4144),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4144),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4144),
    [anon_sym___deprecated_msg] = ACTIONS(4144),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4144),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4144),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4144),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4144),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4144),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4144),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4144),
    [anon_sym_BOOL] = ACTIONS(4144),
    [anon_sym_IMP] = ACTIONS(4144),
    [anon_sym_SEL] = ACTIONS(4144),
    [anon_sym_Class] = ACTIONS(4144),
    [anon_sym_id] = ACTIONS(4144),
  },
  [1487] = {
    [sym_identifier] = ACTIONS(4148),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4150),
    [anon_sym_COMMA] = ACTIONS(4150),
    [anon_sym_RPAREN] = ACTIONS(4150),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4150),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4150),
    [anon_sym_LPAREN2] = ACTIONS(4150),
    [anon_sym_DASH] = ACTIONS(4148),
    [anon_sym_PLUS] = ACTIONS(4148),
    [anon_sym_STAR] = ACTIONS(4148),
    [anon_sym_SLASH] = ACTIONS(4148),
    [anon_sym_PERCENT] = ACTIONS(4148),
    [anon_sym_PIPE_PIPE] = ACTIONS(4150),
    [anon_sym_AMP_AMP] = ACTIONS(4150),
    [anon_sym_PIPE] = ACTIONS(4148),
    [anon_sym_CARET] = ACTIONS(4148),
    [anon_sym_AMP] = ACTIONS(4148),
    [anon_sym_EQ_EQ] = ACTIONS(4150),
    [anon_sym_BANG_EQ] = ACTIONS(4150),
    [anon_sym_GT] = ACTIONS(4148),
    [anon_sym_GT_EQ] = ACTIONS(4150),
    [anon_sym_LT_EQ] = ACTIONS(4150),
    [anon_sym_LT] = ACTIONS(4148),
    [anon_sym_LT_LT] = ACTIONS(4148),
    [anon_sym_GT_GT] = ACTIONS(4148),
    [anon_sym_SEMI] = ACTIONS(4150),
    [anon_sym___extension__] = ACTIONS(4148),
    [anon_sym_extern] = ACTIONS(4148),
    [anon_sym___attribute__] = ACTIONS(4148),
    [anon_sym___attribute] = ACTIONS(4148),
    [anon_sym_noreturn] = ACTIONS(4148),
    [anon_sym_LBRACK] = ACTIONS(4150),
    [anon_sym_RBRACK] = ACTIONS(4150),
    [anon_sym___declspec] = ACTIONS(4148),
    [anon_sym_LBRACE] = ACTIONS(4150),
    [anon_sym_RBRACE] = ACTIONS(4150),
    [anon_sym_signed] = ACTIONS(4148),
    [anon_sym_unsigned] = ACTIONS(4148),
    [anon_sym_long] = ACTIONS(4148),
    [anon_sym_short] = ACTIONS(4148),
    [anon_sym_static] = ACTIONS(4148),
    [anon_sym_EQ] = ACTIONS(4148),
    [anon_sym_ATautoreleasepool] = ACTIONS(4150),
    [anon_sym_auto] = ACTIONS(4148),
    [anon_sym_register] = ACTIONS(4148),
    [anon_sym_inline] = ACTIONS(4148),
    [anon_sym___inline] = ACTIONS(4148),
    [anon_sym___inline__] = ACTIONS(4148),
    [anon_sym___forceinline] = ACTIONS(4148),
    [anon_sym_thread_local] = ACTIONS(4148),
    [anon_sym___thread] = ACTIONS(4148),
    [anon_sym_CG_EXTERN] = ACTIONS(4148),
    [anon_sym_CG_INLINE] = ACTIONS(4148),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4148),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4148),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4148),
    [anon_sym_IBOutlet] = ACTIONS(4148),
    [anon_sym_IBInspectable] = ACTIONS(4148),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4148),
    [anon_sym_NS_INLINE] = ACTIONS(4148),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4148),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4148),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4148),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4148),
    [anon_sym_const] = ACTIONS(4148),
    [anon_sym_constexpr] = ACTIONS(4148),
    [anon_sym_volatile] = ACTIONS(4148),
    [anon_sym_restrict] = ACTIONS(4148),
    [anon_sym___restrict__] = ACTIONS(4148),
    [anon_sym__Atomic] = ACTIONS(4148),
    [anon_sym__Noreturn] = ACTIONS(4148),
    [anon_sym__Nonnull] = ACTIONS(4148),
    [anon_sym_nullable] = ACTIONS(4148),
    [anon_sym__Complex] = ACTIONS(4148),
    [anon_sym__Nullable] = ACTIONS(4148),
    [anon_sym__Nullable_result] = ACTIONS(4148),
    [anon_sym__Null_unspecified] = ACTIONS(4148),
    [anon_sym___autoreleasing] = ACTIONS(4148),
    [anon_sym___block] = ACTIONS(4148),
    [anon_sym___bridge] = ACTIONS(4148),
    [anon_sym___bridge_retained] = ACTIONS(4148),
    [anon_sym___bridge_transfer] = ACTIONS(4148),
    [anon_sym___complex] = ACTIONS(4148),
    [anon_sym___const] = ACTIONS(4148),
    [anon_sym___imag] = ACTIONS(4148),
    [anon_sym___kindof] = ACTIONS(4148),
    [anon_sym___nonnull] = ACTIONS(4148),
    [anon_sym___nullable] = ACTIONS(4148),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4148),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4148),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4148),
    [anon_sym___real] = ACTIONS(4148),
    [anon_sym___strong] = ACTIONS(4148),
    [anon_sym___unsafe_unretained] = ACTIONS(4148),
    [anon_sym___unused] = ACTIONS(4148),
    [anon_sym___weak] = ACTIONS(4148),
    [anon_sym_alignas] = ACTIONS(4148),
    [anon_sym__Alignas] = ACTIONS(4148),
    [sym_primitive_type] = ACTIONS(4148),
    [anon_sym_enum] = ACTIONS(4148),
    [anon_sym_COLON] = ACTIONS(4150),
    [anon_sym_struct] = ACTIONS(4148),
    [anon_sym_union] = ACTIONS(4148),
    [anon_sym_QMARK] = ACTIONS(4150),
    [anon_sym_STAR_EQ] = ACTIONS(4150),
    [anon_sym_SLASH_EQ] = ACTIONS(4150),
    [anon_sym_PERCENT_EQ] = ACTIONS(4150),
    [anon_sym_PLUS_EQ] = ACTIONS(4150),
    [anon_sym_DASH_EQ] = ACTIONS(4150),
    [anon_sym_LT_LT_EQ] = ACTIONS(4150),
    [anon_sym_GT_GT_EQ] = ACTIONS(4150),
    [anon_sym_AMP_EQ] = ACTIONS(4150),
    [anon_sym_CARET_EQ] = ACTIONS(4150),
    [anon_sym_PIPE_EQ] = ACTIONS(4150),
    [anon_sym_DASH_DASH] = ACTIONS(4150),
    [anon_sym_PLUS_PLUS] = ACTIONS(4150),
    [anon_sym_DOT] = ACTIONS(4148),
    [anon_sym_DASH_GT] = ACTIONS(4150),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4148),
    [anon_sym___typeof] = ACTIONS(4148),
    [anon_sym_typeof] = ACTIONS(4148),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4148),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4148),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4148),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4148),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4148),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4148),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4148),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4148),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4148),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4148),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4148),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4148),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4148),
    [anon_sym_API_AVAILABLE] = ACTIONS(4148),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4148),
    [anon_sym_API_DEPRECATED] = ACTIONS(4148),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4148),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4148),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4148),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4148),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4148),
    [anon_sym___deprecated_msg] = ACTIONS(4148),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4148),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4148),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4148),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4148),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4148),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4148),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4148),
    [anon_sym_BOOL] = ACTIONS(4148),
    [anon_sym_IMP] = ACTIONS(4148),
    [anon_sym_SEL] = ACTIONS(4148),
    [anon_sym_Class] = ACTIONS(4148),
    [anon_sym_id] = ACTIONS(4148),
  },
  [1488] = {
    [sym_identifier] = ACTIONS(4152),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4154),
    [anon_sym_COMMA] = ACTIONS(4154),
    [anon_sym_RPAREN] = ACTIONS(4154),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4154),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4154),
    [anon_sym_LPAREN2] = ACTIONS(4154),
    [anon_sym_DASH] = ACTIONS(4152),
    [anon_sym_PLUS] = ACTIONS(4152),
    [anon_sym_STAR] = ACTIONS(4152),
    [anon_sym_SLASH] = ACTIONS(4152),
    [anon_sym_PERCENT] = ACTIONS(4152),
    [anon_sym_PIPE_PIPE] = ACTIONS(4154),
    [anon_sym_AMP_AMP] = ACTIONS(4154),
    [anon_sym_PIPE] = ACTIONS(4152),
    [anon_sym_CARET] = ACTIONS(4152),
    [anon_sym_AMP] = ACTIONS(4152),
    [anon_sym_EQ_EQ] = ACTIONS(4154),
    [anon_sym_BANG_EQ] = ACTIONS(4154),
    [anon_sym_GT] = ACTIONS(4152),
    [anon_sym_GT_EQ] = ACTIONS(4154),
    [anon_sym_LT_EQ] = ACTIONS(4154),
    [anon_sym_LT] = ACTIONS(4152),
    [anon_sym_LT_LT] = ACTIONS(4152),
    [anon_sym_GT_GT] = ACTIONS(4152),
    [anon_sym_SEMI] = ACTIONS(4154),
    [anon_sym___extension__] = ACTIONS(4152),
    [anon_sym_extern] = ACTIONS(4152),
    [anon_sym___attribute__] = ACTIONS(4152),
    [anon_sym___attribute] = ACTIONS(4152),
    [anon_sym_noreturn] = ACTIONS(4152),
    [anon_sym_LBRACK] = ACTIONS(4154),
    [anon_sym_RBRACK] = ACTIONS(4154),
    [anon_sym___declspec] = ACTIONS(4152),
    [anon_sym_LBRACE] = ACTIONS(4154),
    [anon_sym_RBRACE] = ACTIONS(4154),
    [anon_sym_signed] = ACTIONS(4152),
    [anon_sym_unsigned] = ACTIONS(4152),
    [anon_sym_long] = ACTIONS(4152),
    [anon_sym_short] = ACTIONS(4152),
    [anon_sym_static] = ACTIONS(4152),
    [anon_sym_EQ] = ACTIONS(4152),
    [anon_sym_ATautoreleasepool] = ACTIONS(4154),
    [anon_sym_auto] = ACTIONS(4152),
    [anon_sym_register] = ACTIONS(4152),
    [anon_sym_inline] = ACTIONS(4152),
    [anon_sym___inline] = ACTIONS(4152),
    [anon_sym___inline__] = ACTIONS(4152),
    [anon_sym___forceinline] = ACTIONS(4152),
    [anon_sym_thread_local] = ACTIONS(4152),
    [anon_sym___thread] = ACTIONS(4152),
    [anon_sym_CG_EXTERN] = ACTIONS(4152),
    [anon_sym_CG_INLINE] = ACTIONS(4152),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4152),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4152),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4152),
    [anon_sym_IBOutlet] = ACTIONS(4152),
    [anon_sym_IBInspectable] = ACTIONS(4152),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4152),
    [anon_sym_NS_INLINE] = ACTIONS(4152),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4152),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4152),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4152),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4152),
    [anon_sym_const] = ACTIONS(4152),
    [anon_sym_constexpr] = ACTIONS(4152),
    [anon_sym_volatile] = ACTIONS(4152),
    [anon_sym_restrict] = ACTIONS(4152),
    [anon_sym___restrict__] = ACTIONS(4152),
    [anon_sym__Atomic] = ACTIONS(4152),
    [anon_sym__Noreturn] = ACTIONS(4152),
    [anon_sym__Nonnull] = ACTIONS(4152),
    [anon_sym_nullable] = ACTIONS(4152),
    [anon_sym__Complex] = ACTIONS(4152),
    [anon_sym__Nullable] = ACTIONS(4152),
    [anon_sym__Nullable_result] = ACTIONS(4152),
    [anon_sym__Null_unspecified] = ACTIONS(4152),
    [anon_sym___autoreleasing] = ACTIONS(4152),
    [anon_sym___block] = ACTIONS(4152),
    [anon_sym___bridge] = ACTIONS(4152),
    [anon_sym___bridge_retained] = ACTIONS(4152),
    [anon_sym___bridge_transfer] = ACTIONS(4152),
    [anon_sym___complex] = ACTIONS(4152),
    [anon_sym___const] = ACTIONS(4152),
    [anon_sym___imag] = ACTIONS(4152),
    [anon_sym___kindof] = ACTIONS(4152),
    [anon_sym___nonnull] = ACTIONS(4152),
    [anon_sym___nullable] = ACTIONS(4152),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4152),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4152),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4152),
    [anon_sym___real] = ACTIONS(4152),
    [anon_sym___strong] = ACTIONS(4152),
    [anon_sym___unsafe_unretained] = ACTIONS(4152),
    [anon_sym___unused] = ACTIONS(4152),
    [anon_sym___weak] = ACTIONS(4152),
    [anon_sym_alignas] = ACTIONS(4152),
    [anon_sym__Alignas] = ACTIONS(4152),
    [sym_primitive_type] = ACTIONS(4152),
    [anon_sym_enum] = ACTIONS(4152),
    [anon_sym_COLON] = ACTIONS(4154),
    [anon_sym_struct] = ACTIONS(4152),
    [anon_sym_union] = ACTIONS(4152),
    [anon_sym_QMARK] = ACTIONS(4154),
    [anon_sym_STAR_EQ] = ACTIONS(4154),
    [anon_sym_SLASH_EQ] = ACTIONS(4154),
    [anon_sym_PERCENT_EQ] = ACTIONS(4154),
    [anon_sym_PLUS_EQ] = ACTIONS(4154),
    [anon_sym_DASH_EQ] = ACTIONS(4154),
    [anon_sym_LT_LT_EQ] = ACTIONS(4154),
    [anon_sym_GT_GT_EQ] = ACTIONS(4154),
    [anon_sym_AMP_EQ] = ACTIONS(4154),
    [anon_sym_CARET_EQ] = ACTIONS(4154),
    [anon_sym_PIPE_EQ] = ACTIONS(4154),
    [anon_sym_DASH_DASH] = ACTIONS(4154),
    [anon_sym_PLUS_PLUS] = ACTIONS(4154),
    [anon_sym_DOT] = ACTIONS(4152),
    [anon_sym_DASH_GT] = ACTIONS(4154),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4152),
    [anon_sym___typeof] = ACTIONS(4152),
    [anon_sym_typeof] = ACTIONS(4152),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4152),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4152),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4152),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4152),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4152),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4152),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4152),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4152),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4152),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4152),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4152),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4152),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4152),
    [anon_sym_API_AVAILABLE] = ACTIONS(4152),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4152),
    [anon_sym_API_DEPRECATED] = ACTIONS(4152),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4152),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4152),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4152),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4152),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4152),
    [anon_sym___deprecated_msg] = ACTIONS(4152),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4152),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4152),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4152),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4152),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4152),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4152),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4152),
    [anon_sym_BOOL] = ACTIONS(4152),
    [anon_sym_IMP] = ACTIONS(4152),
    [anon_sym_SEL] = ACTIONS(4152),
    [anon_sym_Class] = ACTIONS(4152),
    [anon_sym_id] = ACTIONS(4152),
  },
  [1489] = {
    [sym_identifier] = ACTIONS(4156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4158),
    [anon_sym_COMMA] = ACTIONS(4158),
    [anon_sym_RPAREN] = ACTIONS(4158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4158),
    [anon_sym_LPAREN2] = ACTIONS(4158),
    [anon_sym_DASH] = ACTIONS(4156),
    [anon_sym_PLUS] = ACTIONS(4156),
    [anon_sym_STAR] = ACTIONS(4156),
    [anon_sym_SLASH] = ACTIONS(4156),
    [anon_sym_PERCENT] = ACTIONS(4156),
    [anon_sym_PIPE_PIPE] = ACTIONS(4158),
    [anon_sym_AMP_AMP] = ACTIONS(4158),
    [anon_sym_PIPE] = ACTIONS(4156),
    [anon_sym_CARET] = ACTIONS(4156),
    [anon_sym_AMP] = ACTIONS(4156),
    [anon_sym_EQ_EQ] = ACTIONS(4158),
    [anon_sym_BANG_EQ] = ACTIONS(4158),
    [anon_sym_GT] = ACTIONS(4156),
    [anon_sym_GT_EQ] = ACTIONS(4158),
    [anon_sym_LT_EQ] = ACTIONS(4158),
    [anon_sym_LT] = ACTIONS(4156),
    [anon_sym_LT_LT] = ACTIONS(4156),
    [anon_sym_GT_GT] = ACTIONS(4156),
    [anon_sym_SEMI] = ACTIONS(4158),
    [anon_sym___extension__] = ACTIONS(4156),
    [anon_sym_extern] = ACTIONS(4156),
    [anon_sym___attribute__] = ACTIONS(4156),
    [anon_sym___attribute] = ACTIONS(4156),
    [anon_sym_noreturn] = ACTIONS(4156),
    [anon_sym_LBRACK] = ACTIONS(4158),
    [anon_sym_RBRACK] = ACTIONS(4158),
    [anon_sym___declspec] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_RBRACE] = ACTIONS(4158),
    [anon_sym_signed] = ACTIONS(4156),
    [anon_sym_unsigned] = ACTIONS(4156),
    [anon_sym_long] = ACTIONS(4156),
    [anon_sym_short] = ACTIONS(4156),
    [anon_sym_static] = ACTIONS(4156),
    [anon_sym_EQ] = ACTIONS(4156),
    [anon_sym_ATautoreleasepool] = ACTIONS(4158),
    [anon_sym_auto] = ACTIONS(4156),
    [anon_sym_register] = ACTIONS(4156),
    [anon_sym_inline] = ACTIONS(4156),
    [anon_sym___inline] = ACTIONS(4156),
    [anon_sym___inline__] = ACTIONS(4156),
    [anon_sym___forceinline] = ACTIONS(4156),
    [anon_sym_thread_local] = ACTIONS(4156),
    [anon_sym___thread] = ACTIONS(4156),
    [anon_sym_CG_EXTERN] = ACTIONS(4156),
    [anon_sym_CG_INLINE] = ACTIONS(4156),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4156),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4156),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4156),
    [anon_sym_IBOutlet] = ACTIONS(4156),
    [anon_sym_IBInspectable] = ACTIONS(4156),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4156),
    [anon_sym_NS_INLINE] = ACTIONS(4156),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4156),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4156),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4156),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4156),
    [anon_sym_const] = ACTIONS(4156),
    [anon_sym_constexpr] = ACTIONS(4156),
    [anon_sym_volatile] = ACTIONS(4156),
    [anon_sym_restrict] = ACTIONS(4156),
    [anon_sym___restrict__] = ACTIONS(4156),
    [anon_sym__Atomic] = ACTIONS(4156),
    [anon_sym__Noreturn] = ACTIONS(4156),
    [anon_sym__Nonnull] = ACTIONS(4156),
    [anon_sym_nullable] = ACTIONS(4156),
    [anon_sym__Complex] = ACTIONS(4156),
    [anon_sym__Nullable] = ACTIONS(4156),
    [anon_sym__Nullable_result] = ACTIONS(4156),
    [anon_sym__Null_unspecified] = ACTIONS(4156),
    [anon_sym___autoreleasing] = ACTIONS(4156),
    [anon_sym___block] = ACTIONS(4156),
    [anon_sym___bridge] = ACTIONS(4156),
    [anon_sym___bridge_retained] = ACTIONS(4156),
    [anon_sym___bridge_transfer] = ACTIONS(4156),
    [anon_sym___complex] = ACTIONS(4156),
    [anon_sym___const] = ACTIONS(4156),
    [anon_sym___imag] = ACTIONS(4156),
    [anon_sym___kindof] = ACTIONS(4156),
    [anon_sym___nonnull] = ACTIONS(4156),
    [anon_sym___nullable] = ACTIONS(4156),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4156),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4156),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4156),
    [anon_sym___real] = ACTIONS(4156),
    [anon_sym___strong] = ACTIONS(4156),
    [anon_sym___unsafe_unretained] = ACTIONS(4156),
    [anon_sym___unused] = ACTIONS(4156),
    [anon_sym___weak] = ACTIONS(4156),
    [anon_sym_alignas] = ACTIONS(4156),
    [anon_sym__Alignas] = ACTIONS(4156),
    [sym_primitive_type] = ACTIONS(4156),
    [anon_sym_enum] = ACTIONS(4156),
    [anon_sym_COLON] = ACTIONS(4158),
    [anon_sym_struct] = ACTIONS(4156),
    [anon_sym_union] = ACTIONS(4156),
    [anon_sym_QMARK] = ACTIONS(4158),
    [anon_sym_STAR_EQ] = ACTIONS(4158),
    [anon_sym_SLASH_EQ] = ACTIONS(4158),
    [anon_sym_PERCENT_EQ] = ACTIONS(4158),
    [anon_sym_PLUS_EQ] = ACTIONS(4158),
    [anon_sym_DASH_EQ] = ACTIONS(4158),
    [anon_sym_LT_LT_EQ] = ACTIONS(4158),
    [anon_sym_GT_GT_EQ] = ACTIONS(4158),
    [anon_sym_AMP_EQ] = ACTIONS(4158),
    [anon_sym_CARET_EQ] = ACTIONS(4158),
    [anon_sym_PIPE_EQ] = ACTIONS(4158),
    [anon_sym_DASH_DASH] = ACTIONS(4158),
    [anon_sym_PLUS_PLUS] = ACTIONS(4158),
    [anon_sym_DOT] = ACTIONS(4156),
    [anon_sym_DASH_GT] = ACTIONS(4158),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4156),
    [anon_sym___typeof] = ACTIONS(4156),
    [anon_sym_typeof] = ACTIONS(4156),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4156),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4156),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4156),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4156),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4156),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4156),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4156),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4156),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4156),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4156),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4156),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4156),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4156),
    [anon_sym_API_AVAILABLE] = ACTIONS(4156),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4156),
    [anon_sym_API_DEPRECATED] = ACTIONS(4156),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4156),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4156),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4156),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4156),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4156),
    [anon_sym___deprecated_msg] = ACTIONS(4156),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4156),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4156),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4156),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4156),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4156),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4156),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4156),
    [anon_sym_BOOL] = ACTIONS(4156),
    [anon_sym_IMP] = ACTIONS(4156),
    [anon_sym_SEL] = ACTIONS(4156),
    [anon_sym_Class] = ACTIONS(4156),
    [anon_sym_id] = ACTIONS(4156),
  },
  [1490] = {
    [sym_identifier] = ACTIONS(4160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4162),
    [anon_sym_COMMA] = ACTIONS(4162),
    [anon_sym_RPAREN] = ACTIONS(4162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4162),
    [anon_sym_LPAREN2] = ACTIONS(4162),
    [anon_sym_DASH] = ACTIONS(4160),
    [anon_sym_PLUS] = ACTIONS(4160),
    [anon_sym_STAR] = ACTIONS(4160),
    [anon_sym_SLASH] = ACTIONS(4160),
    [anon_sym_PERCENT] = ACTIONS(4160),
    [anon_sym_PIPE_PIPE] = ACTIONS(4162),
    [anon_sym_AMP_AMP] = ACTIONS(4162),
    [anon_sym_PIPE] = ACTIONS(4160),
    [anon_sym_CARET] = ACTIONS(4160),
    [anon_sym_AMP] = ACTIONS(4160),
    [anon_sym_EQ_EQ] = ACTIONS(4162),
    [anon_sym_BANG_EQ] = ACTIONS(4162),
    [anon_sym_GT] = ACTIONS(4160),
    [anon_sym_GT_EQ] = ACTIONS(4162),
    [anon_sym_LT_EQ] = ACTIONS(4162),
    [anon_sym_LT] = ACTIONS(4160),
    [anon_sym_LT_LT] = ACTIONS(4160),
    [anon_sym_GT_GT] = ACTIONS(4160),
    [anon_sym_SEMI] = ACTIONS(4162),
    [anon_sym___extension__] = ACTIONS(4160),
    [anon_sym_extern] = ACTIONS(4160),
    [anon_sym___attribute__] = ACTIONS(4160),
    [anon_sym___attribute] = ACTIONS(4160),
    [anon_sym_noreturn] = ACTIONS(4160),
    [anon_sym_LBRACK] = ACTIONS(4162),
    [anon_sym_RBRACK] = ACTIONS(4162),
    [anon_sym___declspec] = ACTIONS(4160),
    [anon_sym_LBRACE] = ACTIONS(4162),
    [anon_sym_RBRACE] = ACTIONS(4162),
    [anon_sym_signed] = ACTIONS(4160),
    [anon_sym_unsigned] = ACTIONS(4160),
    [anon_sym_long] = ACTIONS(4160),
    [anon_sym_short] = ACTIONS(4160),
    [anon_sym_static] = ACTIONS(4160),
    [anon_sym_EQ] = ACTIONS(4160),
    [anon_sym_ATautoreleasepool] = ACTIONS(4162),
    [anon_sym_auto] = ACTIONS(4160),
    [anon_sym_register] = ACTIONS(4160),
    [anon_sym_inline] = ACTIONS(4160),
    [anon_sym___inline] = ACTIONS(4160),
    [anon_sym___inline__] = ACTIONS(4160),
    [anon_sym___forceinline] = ACTIONS(4160),
    [anon_sym_thread_local] = ACTIONS(4160),
    [anon_sym___thread] = ACTIONS(4160),
    [anon_sym_CG_EXTERN] = ACTIONS(4160),
    [anon_sym_CG_INLINE] = ACTIONS(4160),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4160),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4160),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4160),
    [anon_sym_IBOutlet] = ACTIONS(4160),
    [anon_sym_IBInspectable] = ACTIONS(4160),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4160),
    [anon_sym_NS_INLINE] = ACTIONS(4160),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4160),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4160),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4160),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4160),
    [anon_sym_const] = ACTIONS(4160),
    [anon_sym_constexpr] = ACTIONS(4160),
    [anon_sym_volatile] = ACTIONS(4160),
    [anon_sym_restrict] = ACTIONS(4160),
    [anon_sym___restrict__] = ACTIONS(4160),
    [anon_sym__Atomic] = ACTIONS(4160),
    [anon_sym__Noreturn] = ACTIONS(4160),
    [anon_sym__Nonnull] = ACTIONS(4160),
    [anon_sym_nullable] = ACTIONS(4160),
    [anon_sym__Complex] = ACTIONS(4160),
    [anon_sym__Nullable] = ACTIONS(4160),
    [anon_sym__Nullable_result] = ACTIONS(4160),
    [anon_sym__Null_unspecified] = ACTIONS(4160),
    [anon_sym___autoreleasing] = ACTIONS(4160),
    [anon_sym___block] = ACTIONS(4160),
    [anon_sym___bridge] = ACTIONS(4160),
    [anon_sym___bridge_retained] = ACTIONS(4160),
    [anon_sym___bridge_transfer] = ACTIONS(4160),
    [anon_sym___complex] = ACTIONS(4160),
    [anon_sym___const] = ACTIONS(4160),
    [anon_sym___imag] = ACTIONS(4160),
    [anon_sym___kindof] = ACTIONS(4160),
    [anon_sym___nonnull] = ACTIONS(4160),
    [anon_sym___nullable] = ACTIONS(4160),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4160),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4160),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4160),
    [anon_sym___real] = ACTIONS(4160),
    [anon_sym___strong] = ACTIONS(4160),
    [anon_sym___unsafe_unretained] = ACTIONS(4160),
    [anon_sym___unused] = ACTIONS(4160),
    [anon_sym___weak] = ACTIONS(4160),
    [anon_sym_alignas] = ACTIONS(4160),
    [anon_sym__Alignas] = ACTIONS(4160),
    [sym_primitive_type] = ACTIONS(4160),
    [anon_sym_enum] = ACTIONS(4160),
    [anon_sym_COLON] = ACTIONS(4162),
    [anon_sym_struct] = ACTIONS(4160),
    [anon_sym_union] = ACTIONS(4160),
    [anon_sym_QMARK] = ACTIONS(4162),
    [anon_sym_STAR_EQ] = ACTIONS(4162),
    [anon_sym_SLASH_EQ] = ACTIONS(4162),
    [anon_sym_PERCENT_EQ] = ACTIONS(4162),
    [anon_sym_PLUS_EQ] = ACTIONS(4162),
    [anon_sym_DASH_EQ] = ACTIONS(4162),
    [anon_sym_LT_LT_EQ] = ACTIONS(4162),
    [anon_sym_GT_GT_EQ] = ACTIONS(4162),
    [anon_sym_AMP_EQ] = ACTIONS(4162),
    [anon_sym_CARET_EQ] = ACTIONS(4162),
    [anon_sym_PIPE_EQ] = ACTIONS(4162),
    [anon_sym_DASH_DASH] = ACTIONS(4162),
    [anon_sym_PLUS_PLUS] = ACTIONS(4162),
    [anon_sym_DOT] = ACTIONS(4160),
    [anon_sym_DASH_GT] = ACTIONS(4162),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4160),
    [anon_sym___typeof] = ACTIONS(4160),
    [anon_sym_typeof] = ACTIONS(4160),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4160),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4160),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4160),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4160),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4160),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4160),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4160),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4160),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4160),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4160),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4160),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4160),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4160),
    [anon_sym_API_AVAILABLE] = ACTIONS(4160),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4160),
    [anon_sym_API_DEPRECATED] = ACTIONS(4160),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4160),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4160),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4160),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4160),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4160),
    [anon_sym___deprecated_msg] = ACTIONS(4160),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4160),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4160),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4160),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4160),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4160),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4160),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4160),
    [anon_sym_BOOL] = ACTIONS(4160),
    [anon_sym_IMP] = ACTIONS(4160),
    [anon_sym_SEL] = ACTIONS(4160),
    [anon_sym_Class] = ACTIONS(4160),
    [anon_sym_id] = ACTIONS(4160),
  },
  [1491] = {
    [sym_identifier] = ACTIONS(4164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4166),
    [anon_sym_COMMA] = ACTIONS(4166),
    [anon_sym_RPAREN] = ACTIONS(4166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4166),
    [anon_sym_LPAREN2] = ACTIONS(4166),
    [anon_sym_DASH] = ACTIONS(4164),
    [anon_sym_PLUS] = ACTIONS(4164),
    [anon_sym_STAR] = ACTIONS(4164),
    [anon_sym_SLASH] = ACTIONS(4164),
    [anon_sym_PERCENT] = ACTIONS(4164),
    [anon_sym_PIPE_PIPE] = ACTIONS(4166),
    [anon_sym_AMP_AMP] = ACTIONS(4166),
    [anon_sym_PIPE] = ACTIONS(4164),
    [anon_sym_CARET] = ACTIONS(4164),
    [anon_sym_AMP] = ACTIONS(4164),
    [anon_sym_EQ_EQ] = ACTIONS(4166),
    [anon_sym_BANG_EQ] = ACTIONS(4166),
    [anon_sym_GT] = ACTIONS(4164),
    [anon_sym_GT_EQ] = ACTIONS(4166),
    [anon_sym_LT_EQ] = ACTIONS(4166),
    [anon_sym_LT] = ACTIONS(4164),
    [anon_sym_LT_LT] = ACTIONS(4164),
    [anon_sym_GT_GT] = ACTIONS(4164),
    [anon_sym_SEMI] = ACTIONS(4166),
    [anon_sym___extension__] = ACTIONS(4164),
    [anon_sym_extern] = ACTIONS(4164),
    [anon_sym___attribute__] = ACTIONS(4164),
    [anon_sym___attribute] = ACTIONS(4164),
    [anon_sym_noreturn] = ACTIONS(4164),
    [anon_sym_LBRACK] = ACTIONS(4166),
    [anon_sym_RBRACK] = ACTIONS(4166),
    [anon_sym___declspec] = ACTIONS(4164),
    [anon_sym_LBRACE] = ACTIONS(4166),
    [anon_sym_RBRACE] = ACTIONS(4166),
    [anon_sym_signed] = ACTIONS(4164),
    [anon_sym_unsigned] = ACTIONS(4164),
    [anon_sym_long] = ACTIONS(4164),
    [anon_sym_short] = ACTIONS(4164),
    [anon_sym_static] = ACTIONS(4164),
    [anon_sym_EQ] = ACTIONS(4164),
    [anon_sym_ATautoreleasepool] = ACTIONS(4166),
    [anon_sym_auto] = ACTIONS(4164),
    [anon_sym_register] = ACTIONS(4164),
    [anon_sym_inline] = ACTIONS(4164),
    [anon_sym___inline] = ACTIONS(4164),
    [anon_sym___inline__] = ACTIONS(4164),
    [anon_sym___forceinline] = ACTIONS(4164),
    [anon_sym_thread_local] = ACTIONS(4164),
    [anon_sym___thread] = ACTIONS(4164),
    [anon_sym_CG_EXTERN] = ACTIONS(4164),
    [anon_sym_CG_INLINE] = ACTIONS(4164),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4164),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4164),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4164),
    [anon_sym_IBOutlet] = ACTIONS(4164),
    [anon_sym_IBInspectable] = ACTIONS(4164),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4164),
    [anon_sym_NS_INLINE] = ACTIONS(4164),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4164),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4164),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4164),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4164),
    [anon_sym_const] = ACTIONS(4164),
    [anon_sym_constexpr] = ACTIONS(4164),
    [anon_sym_volatile] = ACTIONS(4164),
    [anon_sym_restrict] = ACTIONS(4164),
    [anon_sym___restrict__] = ACTIONS(4164),
    [anon_sym__Atomic] = ACTIONS(4164),
    [anon_sym__Noreturn] = ACTIONS(4164),
    [anon_sym__Nonnull] = ACTIONS(4164),
    [anon_sym_nullable] = ACTIONS(4164),
    [anon_sym__Complex] = ACTIONS(4164),
    [anon_sym__Nullable] = ACTIONS(4164),
    [anon_sym__Nullable_result] = ACTIONS(4164),
    [anon_sym__Null_unspecified] = ACTIONS(4164),
    [anon_sym___autoreleasing] = ACTIONS(4164),
    [anon_sym___block] = ACTIONS(4164),
    [anon_sym___bridge] = ACTIONS(4164),
    [anon_sym___bridge_retained] = ACTIONS(4164),
    [anon_sym___bridge_transfer] = ACTIONS(4164),
    [anon_sym___complex] = ACTIONS(4164),
    [anon_sym___const] = ACTIONS(4164),
    [anon_sym___imag] = ACTIONS(4164),
    [anon_sym___kindof] = ACTIONS(4164),
    [anon_sym___nonnull] = ACTIONS(4164),
    [anon_sym___nullable] = ACTIONS(4164),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4164),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4164),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4164),
    [anon_sym___real] = ACTIONS(4164),
    [anon_sym___strong] = ACTIONS(4164),
    [anon_sym___unsafe_unretained] = ACTIONS(4164),
    [anon_sym___unused] = ACTIONS(4164),
    [anon_sym___weak] = ACTIONS(4164),
    [anon_sym_alignas] = ACTIONS(4164),
    [anon_sym__Alignas] = ACTIONS(4164),
    [sym_primitive_type] = ACTIONS(4164),
    [anon_sym_enum] = ACTIONS(4164),
    [anon_sym_COLON] = ACTIONS(4166),
    [anon_sym_struct] = ACTIONS(4164),
    [anon_sym_union] = ACTIONS(4164),
    [anon_sym_QMARK] = ACTIONS(4166),
    [anon_sym_STAR_EQ] = ACTIONS(4166),
    [anon_sym_SLASH_EQ] = ACTIONS(4166),
    [anon_sym_PERCENT_EQ] = ACTIONS(4166),
    [anon_sym_PLUS_EQ] = ACTIONS(4166),
    [anon_sym_DASH_EQ] = ACTIONS(4166),
    [anon_sym_LT_LT_EQ] = ACTIONS(4166),
    [anon_sym_GT_GT_EQ] = ACTIONS(4166),
    [anon_sym_AMP_EQ] = ACTIONS(4166),
    [anon_sym_CARET_EQ] = ACTIONS(4166),
    [anon_sym_PIPE_EQ] = ACTIONS(4166),
    [anon_sym_DASH_DASH] = ACTIONS(4166),
    [anon_sym_PLUS_PLUS] = ACTIONS(4166),
    [anon_sym_DOT] = ACTIONS(4164),
    [anon_sym_DASH_GT] = ACTIONS(4166),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4164),
    [anon_sym___typeof] = ACTIONS(4164),
    [anon_sym_typeof] = ACTIONS(4164),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4164),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4164),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4164),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4164),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4164),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4164),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4164),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4164),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4164),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4164),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4164),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4164),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4164),
    [anon_sym_API_AVAILABLE] = ACTIONS(4164),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4164),
    [anon_sym_API_DEPRECATED] = ACTIONS(4164),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4164),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4164),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4164),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4164),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4164),
    [anon_sym___deprecated_msg] = ACTIONS(4164),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4164),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4164),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4164),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4164),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4164),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4164),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4164),
    [anon_sym_BOOL] = ACTIONS(4164),
    [anon_sym_IMP] = ACTIONS(4164),
    [anon_sym_SEL] = ACTIONS(4164),
    [anon_sym_Class] = ACTIONS(4164),
    [anon_sym_id] = ACTIONS(4164),
  },
  [1492] = {
    [sym_identifier] = ACTIONS(4168),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4170),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_RPAREN] = ACTIONS(4170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4170),
    [anon_sym_LPAREN2] = ACTIONS(4170),
    [anon_sym_DASH] = ACTIONS(4168),
    [anon_sym_PLUS] = ACTIONS(4168),
    [anon_sym_STAR] = ACTIONS(4168),
    [anon_sym_SLASH] = ACTIONS(4168),
    [anon_sym_PERCENT] = ACTIONS(4168),
    [anon_sym_PIPE_PIPE] = ACTIONS(4170),
    [anon_sym_AMP_AMP] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(4168),
    [anon_sym_CARET] = ACTIONS(4168),
    [anon_sym_AMP] = ACTIONS(4168),
    [anon_sym_EQ_EQ] = ACTIONS(4170),
    [anon_sym_BANG_EQ] = ACTIONS(4170),
    [anon_sym_GT] = ACTIONS(4168),
    [anon_sym_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_EQ] = ACTIONS(4170),
    [anon_sym_LT] = ACTIONS(4168),
    [anon_sym_LT_LT] = ACTIONS(4168),
    [anon_sym_GT_GT] = ACTIONS(4168),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym___extension__] = ACTIONS(4168),
    [anon_sym_extern] = ACTIONS(4168),
    [anon_sym___attribute__] = ACTIONS(4168),
    [anon_sym___attribute] = ACTIONS(4168),
    [anon_sym_noreturn] = ACTIONS(4168),
    [anon_sym_LBRACK] = ACTIONS(4170),
    [anon_sym_RBRACK] = ACTIONS(4170),
    [anon_sym___declspec] = ACTIONS(4168),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RBRACE] = ACTIONS(4170),
    [anon_sym_signed] = ACTIONS(4168),
    [anon_sym_unsigned] = ACTIONS(4168),
    [anon_sym_long] = ACTIONS(4168),
    [anon_sym_short] = ACTIONS(4168),
    [anon_sym_static] = ACTIONS(4168),
    [anon_sym_EQ] = ACTIONS(4168),
    [anon_sym_ATautoreleasepool] = ACTIONS(4170),
    [anon_sym_auto] = ACTIONS(4168),
    [anon_sym_register] = ACTIONS(4168),
    [anon_sym_inline] = ACTIONS(4168),
    [anon_sym___inline] = ACTIONS(4168),
    [anon_sym___inline__] = ACTIONS(4168),
    [anon_sym___forceinline] = ACTIONS(4168),
    [anon_sym_thread_local] = ACTIONS(4168),
    [anon_sym___thread] = ACTIONS(4168),
    [anon_sym_CG_EXTERN] = ACTIONS(4168),
    [anon_sym_CG_INLINE] = ACTIONS(4168),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4168),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4168),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4168),
    [anon_sym_IBOutlet] = ACTIONS(4168),
    [anon_sym_IBInspectable] = ACTIONS(4168),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4168),
    [anon_sym_NS_INLINE] = ACTIONS(4168),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4168),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4168),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4168),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4168),
    [anon_sym_const] = ACTIONS(4168),
    [anon_sym_constexpr] = ACTIONS(4168),
    [anon_sym_volatile] = ACTIONS(4168),
    [anon_sym_restrict] = ACTIONS(4168),
    [anon_sym___restrict__] = ACTIONS(4168),
    [anon_sym__Atomic] = ACTIONS(4168),
    [anon_sym__Noreturn] = ACTIONS(4168),
    [anon_sym__Nonnull] = ACTIONS(4168),
    [anon_sym_nullable] = ACTIONS(4168),
    [anon_sym__Complex] = ACTIONS(4168),
    [anon_sym__Nullable] = ACTIONS(4168),
    [anon_sym__Nullable_result] = ACTIONS(4168),
    [anon_sym__Null_unspecified] = ACTIONS(4168),
    [anon_sym___autoreleasing] = ACTIONS(4168),
    [anon_sym___block] = ACTIONS(4168),
    [anon_sym___bridge] = ACTIONS(4168),
    [anon_sym___bridge_retained] = ACTIONS(4168),
    [anon_sym___bridge_transfer] = ACTIONS(4168),
    [anon_sym___complex] = ACTIONS(4168),
    [anon_sym___const] = ACTIONS(4168),
    [anon_sym___imag] = ACTIONS(4168),
    [anon_sym___kindof] = ACTIONS(4168),
    [anon_sym___nonnull] = ACTIONS(4168),
    [anon_sym___nullable] = ACTIONS(4168),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4168),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4168),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4168),
    [anon_sym___real] = ACTIONS(4168),
    [anon_sym___strong] = ACTIONS(4168),
    [anon_sym___unsafe_unretained] = ACTIONS(4168),
    [anon_sym___unused] = ACTIONS(4168),
    [anon_sym___weak] = ACTIONS(4168),
    [anon_sym_alignas] = ACTIONS(4168),
    [anon_sym__Alignas] = ACTIONS(4168),
    [sym_primitive_type] = ACTIONS(4168),
    [anon_sym_enum] = ACTIONS(4168),
    [anon_sym_COLON] = ACTIONS(4170),
    [anon_sym_struct] = ACTIONS(4168),
    [anon_sym_union] = ACTIONS(4168),
    [anon_sym_QMARK] = ACTIONS(4170),
    [anon_sym_STAR_EQ] = ACTIONS(4170),
    [anon_sym_SLASH_EQ] = ACTIONS(4170),
    [anon_sym_PERCENT_EQ] = ACTIONS(4170),
    [anon_sym_PLUS_EQ] = ACTIONS(4170),
    [anon_sym_DASH_EQ] = ACTIONS(4170),
    [anon_sym_LT_LT_EQ] = ACTIONS(4170),
    [anon_sym_GT_GT_EQ] = ACTIONS(4170),
    [anon_sym_AMP_EQ] = ACTIONS(4170),
    [anon_sym_CARET_EQ] = ACTIONS(4170),
    [anon_sym_PIPE_EQ] = ACTIONS(4170),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4168),
    [anon_sym_DASH_GT] = ACTIONS(4170),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4168),
    [anon_sym___typeof] = ACTIONS(4168),
    [anon_sym_typeof] = ACTIONS(4168),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4168),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4168),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4168),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4168),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4168),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4168),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4168),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4168),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4168),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4168),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4168),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4168),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4168),
    [anon_sym_API_AVAILABLE] = ACTIONS(4168),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4168),
    [anon_sym_API_DEPRECATED] = ACTIONS(4168),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4168),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4168),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4168),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4168),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4168),
    [anon_sym___deprecated_msg] = ACTIONS(4168),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4168),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4168),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4168),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4168),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4168),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4168),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4168),
    [anon_sym_BOOL] = ACTIONS(4168),
    [anon_sym_IMP] = ACTIONS(4168),
    [anon_sym_SEL] = ACTIONS(4168),
    [anon_sym_Class] = ACTIONS(4168),
    [anon_sym_id] = ACTIONS(4168),
  },
  [1493] = {
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4174),
    [anon_sym_COMMA] = ACTIONS(4174),
    [anon_sym_RPAREN] = ACTIONS(4174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(4174),
    [anon_sym_DASH] = ACTIONS(4172),
    [anon_sym_PLUS] = ACTIONS(4172),
    [anon_sym_STAR] = ACTIONS(4172),
    [anon_sym_SLASH] = ACTIONS(4172),
    [anon_sym_PERCENT] = ACTIONS(4172),
    [anon_sym_PIPE_PIPE] = ACTIONS(4174),
    [anon_sym_AMP_AMP] = ACTIONS(4174),
    [anon_sym_PIPE] = ACTIONS(4172),
    [anon_sym_CARET] = ACTIONS(4172),
    [anon_sym_AMP] = ACTIONS(4172),
    [anon_sym_EQ_EQ] = ACTIONS(4174),
    [anon_sym_BANG_EQ] = ACTIONS(4174),
    [anon_sym_GT] = ACTIONS(4172),
    [anon_sym_GT_EQ] = ACTIONS(4174),
    [anon_sym_LT_EQ] = ACTIONS(4174),
    [anon_sym_LT] = ACTIONS(4172),
    [anon_sym_LT_LT] = ACTIONS(4172),
    [anon_sym_GT_GT] = ACTIONS(4172),
    [anon_sym_SEMI] = ACTIONS(4174),
    [anon_sym___extension__] = ACTIONS(4172),
    [anon_sym_extern] = ACTIONS(4172),
    [anon_sym___attribute__] = ACTIONS(4172),
    [anon_sym___attribute] = ACTIONS(4172),
    [anon_sym_noreturn] = ACTIONS(4172),
    [anon_sym_LBRACK] = ACTIONS(4174),
    [anon_sym_RBRACK] = ACTIONS(4174),
    [anon_sym___declspec] = ACTIONS(4172),
    [anon_sym_LBRACE] = ACTIONS(4174),
    [anon_sym_RBRACE] = ACTIONS(4174),
    [anon_sym_signed] = ACTIONS(4172),
    [anon_sym_unsigned] = ACTIONS(4172),
    [anon_sym_long] = ACTIONS(4172),
    [anon_sym_short] = ACTIONS(4172),
    [anon_sym_static] = ACTIONS(4172),
    [anon_sym_EQ] = ACTIONS(4172),
    [anon_sym_ATautoreleasepool] = ACTIONS(4174),
    [anon_sym_auto] = ACTIONS(4172),
    [anon_sym_register] = ACTIONS(4172),
    [anon_sym_inline] = ACTIONS(4172),
    [anon_sym___inline] = ACTIONS(4172),
    [anon_sym___inline__] = ACTIONS(4172),
    [anon_sym___forceinline] = ACTIONS(4172),
    [anon_sym_thread_local] = ACTIONS(4172),
    [anon_sym___thread] = ACTIONS(4172),
    [anon_sym_CG_EXTERN] = ACTIONS(4172),
    [anon_sym_CG_INLINE] = ACTIONS(4172),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4172),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4172),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4172),
    [anon_sym_IBOutlet] = ACTIONS(4172),
    [anon_sym_IBInspectable] = ACTIONS(4172),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4172),
    [anon_sym_NS_INLINE] = ACTIONS(4172),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4172),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4172),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4172),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4172),
    [anon_sym_const] = ACTIONS(4172),
    [anon_sym_constexpr] = ACTIONS(4172),
    [anon_sym_volatile] = ACTIONS(4172),
    [anon_sym_restrict] = ACTIONS(4172),
    [anon_sym___restrict__] = ACTIONS(4172),
    [anon_sym__Atomic] = ACTIONS(4172),
    [anon_sym__Noreturn] = ACTIONS(4172),
    [anon_sym__Nonnull] = ACTIONS(4172),
    [anon_sym_nullable] = ACTIONS(4172),
    [anon_sym__Complex] = ACTIONS(4172),
    [anon_sym__Nullable] = ACTIONS(4172),
    [anon_sym__Nullable_result] = ACTIONS(4172),
    [anon_sym__Null_unspecified] = ACTIONS(4172),
    [anon_sym___autoreleasing] = ACTIONS(4172),
    [anon_sym___block] = ACTIONS(4172),
    [anon_sym___bridge] = ACTIONS(4172),
    [anon_sym___bridge_retained] = ACTIONS(4172),
    [anon_sym___bridge_transfer] = ACTIONS(4172),
    [anon_sym___complex] = ACTIONS(4172),
    [anon_sym___const] = ACTIONS(4172),
    [anon_sym___imag] = ACTIONS(4172),
    [anon_sym___kindof] = ACTIONS(4172),
    [anon_sym___nonnull] = ACTIONS(4172),
    [anon_sym___nullable] = ACTIONS(4172),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4172),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4172),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4172),
    [anon_sym___real] = ACTIONS(4172),
    [anon_sym___strong] = ACTIONS(4172),
    [anon_sym___unsafe_unretained] = ACTIONS(4172),
    [anon_sym___unused] = ACTIONS(4172),
    [anon_sym___weak] = ACTIONS(4172),
    [anon_sym_alignas] = ACTIONS(4172),
    [anon_sym__Alignas] = ACTIONS(4172),
    [sym_primitive_type] = ACTIONS(4172),
    [anon_sym_enum] = ACTIONS(4172),
    [anon_sym_COLON] = ACTIONS(4174),
    [anon_sym_struct] = ACTIONS(4172),
    [anon_sym_union] = ACTIONS(4172),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_STAR_EQ] = ACTIONS(4174),
    [anon_sym_SLASH_EQ] = ACTIONS(4174),
    [anon_sym_PERCENT_EQ] = ACTIONS(4174),
    [anon_sym_PLUS_EQ] = ACTIONS(4174),
    [anon_sym_DASH_EQ] = ACTIONS(4174),
    [anon_sym_LT_LT_EQ] = ACTIONS(4174),
    [anon_sym_GT_GT_EQ] = ACTIONS(4174),
    [anon_sym_AMP_EQ] = ACTIONS(4174),
    [anon_sym_CARET_EQ] = ACTIONS(4174),
    [anon_sym_PIPE_EQ] = ACTIONS(4174),
    [anon_sym_DASH_DASH] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4174),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_DASH_GT] = ACTIONS(4174),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4172),
    [anon_sym___typeof] = ACTIONS(4172),
    [anon_sym_typeof] = ACTIONS(4172),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4172),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4172),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4172),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4172),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4172),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4172),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4172),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4172),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4172),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4172),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4172),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4172),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4172),
    [anon_sym_API_AVAILABLE] = ACTIONS(4172),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4172),
    [anon_sym_API_DEPRECATED] = ACTIONS(4172),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4172),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4172),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4172),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4172),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4172),
    [anon_sym___deprecated_msg] = ACTIONS(4172),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4172),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4172),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4172),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4172),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4172),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4172),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4172),
    [anon_sym_BOOL] = ACTIONS(4172),
    [anon_sym_IMP] = ACTIONS(4172),
    [anon_sym_SEL] = ACTIONS(4172),
    [anon_sym_Class] = ACTIONS(4172),
    [anon_sym_id] = ACTIONS(4172),
  },
  [1494] = {
    [sym_identifier] = ACTIONS(4176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4178),
    [anon_sym_COMMA] = ACTIONS(4178),
    [anon_sym_RPAREN] = ACTIONS(4178),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4178),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4178),
    [anon_sym_DASH] = ACTIONS(4176),
    [anon_sym_PLUS] = ACTIONS(4176),
    [anon_sym_STAR] = ACTIONS(4176),
    [anon_sym_SLASH] = ACTIONS(4176),
    [anon_sym_PERCENT] = ACTIONS(4176),
    [anon_sym_PIPE_PIPE] = ACTIONS(4178),
    [anon_sym_AMP_AMP] = ACTIONS(4178),
    [anon_sym_PIPE] = ACTIONS(4176),
    [anon_sym_CARET] = ACTIONS(4176),
    [anon_sym_AMP] = ACTIONS(4176),
    [anon_sym_EQ_EQ] = ACTIONS(4178),
    [anon_sym_BANG_EQ] = ACTIONS(4178),
    [anon_sym_GT] = ACTIONS(4176),
    [anon_sym_GT_EQ] = ACTIONS(4178),
    [anon_sym_LT_EQ] = ACTIONS(4178),
    [anon_sym_LT] = ACTIONS(4176),
    [anon_sym_LT_LT] = ACTIONS(4176),
    [anon_sym_GT_GT] = ACTIONS(4176),
    [anon_sym_SEMI] = ACTIONS(4178),
    [anon_sym___extension__] = ACTIONS(4176),
    [anon_sym_extern] = ACTIONS(4176),
    [anon_sym___attribute__] = ACTIONS(4176),
    [anon_sym___attribute] = ACTIONS(4176),
    [anon_sym_noreturn] = ACTIONS(4176),
    [anon_sym_LBRACK] = ACTIONS(4178),
    [anon_sym_RBRACK] = ACTIONS(4178),
    [anon_sym___declspec] = ACTIONS(4176),
    [anon_sym_LBRACE] = ACTIONS(4178),
    [anon_sym_RBRACE] = ACTIONS(4178),
    [anon_sym_signed] = ACTIONS(4176),
    [anon_sym_unsigned] = ACTIONS(4176),
    [anon_sym_long] = ACTIONS(4176),
    [anon_sym_short] = ACTIONS(4176),
    [anon_sym_static] = ACTIONS(4176),
    [anon_sym_EQ] = ACTIONS(4176),
    [anon_sym_ATautoreleasepool] = ACTIONS(4178),
    [anon_sym_auto] = ACTIONS(4176),
    [anon_sym_register] = ACTIONS(4176),
    [anon_sym_inline] = ACTIONS(4176),
    [anon_sym___inline] = ACTIONS(4176),
    [anon_sym___inline__] = ACTIONS(4176),
    [anon_sym___forceinline] = ACTIONS(4176),
    [anon_sym_thread_local] = ACTIONS(4176),
    [anon_sym___thread] = ACTIONS(4176),
    [anon_sym_CG_EXTERN] = ACTIONS(4176),
    [anon_sym_CG_INLINE] = ACTIONS(4176),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4176),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4176),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4176),
    [anon_sym_IBOutlet] = ACTIONS(4176),
    [anon_sym_IBInspectable] = ACTIONS(4176),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4176),
    [anon_sym_NS_INLINE] = ACTIONS(4176),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4176),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4176),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4176),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4176),
    [anon_sym_const] = ACTIONS(4176),
    [anon_sym_constexpr] = ACTIONS(4176),
    [anon_sym_volatile] = ACTIONS(4176),
    [anon_sym_restrict] = ACTIONS(4176),
    [anon_sym___restrict__] = ACTIONS(4176),
    [anon_sym__Atomic] = ACTIONS(4176),
    [anon_sym__Noreturn] = ACTIONS(4176),
    [anon_sym__Nonnull] = ACTIONS(4176),
    [anon_sym_nullable] = ACTIONS(4176),
    [anon_sym__Complex] = ACTIONS(4176),
    [anon_sym__Nullable] = ACTIONS(4176),
    [anon_sym__Nullable_result] = ACTIONS(4176),
    [anon_sym__Null_unspecified] = ACTIONS(4176),
    [anon_sym___autoreleasing] = ACTIONS(4176),
    [anon_sym___block] = ACTIONS(4176),
    [anon_sym___bridge] = ACTIONS(4176),
    [anon_sym___bridge_retained] = ACTIONS(4176),
    [anon_sym___bridge_transfer] = ACTIONS(4176),
    [anon_sym___complex] = ACTIONS(4176),
    [anon_sym___const] = ACTIONS(4176),
    [anon_sym___imag] = ACTIONS(4176),
    [anon_sym___kindof] = ACTIONS(4176),
    [anon_sym___nonnull] = ACTIONS(4176),
    [anon_sym___nullable] = ACTIONS(4176),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4176),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4176),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4176),
    [anon_sym___real] = ACTIONS(4176),
    [anon_sym___strong] = ACTIONS(4176),
    [anon_sym___unsafe_unretained] = ACTIONS(4176),
    [anon_sym___unused] = ACTIONS(4176),
    [anon_sym___weak] = ACTIONS(4176),
    [anon_sym_alignas] = ACTIONS(4176),
    [anon_sym__Alignas] = ACTIONS(4176),
    [sym_primitive_type] = ACTIONS(4176),
    [anon_sym_enum] = ACTIONS(4176),
    [anon_sym_COLON] = ACTIONS(4178),
    [anon_sym_struct] = ACTIONS(4176),
    [anon_sym_union] = ACTIONS(4176),
    [anon_sym_QMARK] = ACTIONS(4178),
    [anon_sym_STAR_EQ] = ACTIONS(4178),
    [anon_sym_SLASH_EQ] = ACTIONS(4178),
    [anon_sym_PERCENT_EQ] = ACTIONS(4178),
    [anon_sym_PLUS_EQ] = ACTIONS(4178),
    [anon_sym_DASH_EQ] = ACTIONS(4178),
    [anon_sym_LT_LT_EQ] = ACTIONS(4178),
    [anon_sym_GT_GT_EQ] = ACTIONS(4178),
    [anon_sym_AMP_EQ] = ACTIONS(4178),
    [anon_sym_CARET_EQ] = ACTIONS(4178),
    [anon_sym_PIPE_EQ] = ACTIONS(4178),
    [anon_sym_DASH_DASH] = ACTIONS(4178),
    [anon_sym_PLUS_PLUS] = ACTIONS(4178),
    [anon_sym_DOT] = ACTIONS(4176),
    [anon_sym_DASH_GT] = ACTIONS(4178),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4176),
    [anon_sym___typeof] = ACTIONS(4176),
    [anon_sym_typeof] = ACTIONS(4176),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4176),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4176),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4176),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4176),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4176),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4176),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4176),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4176),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4176),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4176),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4176),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4176),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4176),
    [anon_sym_API_AVAILABLE] = ACTIONS(4176),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4176),
    [anon_sym_API_DEPRECATED] = ACTIONS(4176),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4176),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4176),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4176),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4176),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4176),
    [anon_sym___deprecated_msg] = ACTIONS(4176),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4176),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4176),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4176),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4176),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4176),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4176),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4176),
    [anon_sym_BOOL] = ACTIONS(4176),
    [anon_sym_IMP] = ACTIONS(4176),
    [anon_sym_SEL] = ACTIONS(4176),
    [anon_sym_Class] = ACTIONS(4176),
    [anon_sym_id] = ACTIONS(4176),
  },
  [1495] = {
    [sym_identifier] = ACTIONS(4180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4182),
    [anon_sym_COMMA] = ACTIONS(4182),
    [anon_sym_RPAREN] = ACTIONS(4182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4180),
    [anon_sym_SLASH] = ACTIONS(4180),
    [anon_sym_PERCENT] = ACTIONS(4180),
    [anon_sym_PIPE_PIPE] = ACTIONS(4182),
    [anon_sym_AMP_AMP] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4180),
    [anon_sym_CARET] = ACTIONS(4180),
    [anon_sym_AMP] = ACTIONS(4180),
    [anon_sym_EQ_EQ] = ACTIONS(4182),
    [anon_sym_BANG_EQ] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4180),
    [anon_sym_GT_EQ] = ACTIONS(4182),
    [anon_sym_LT_EQ] = ACTIONS(4182),
    [anon_sym_LT] = ACTIONS(4180),
    [anon_sym_LT_LT] = ACTIONS(4180),
    [anon_sym_GT_GT] = ACTIONS(4180),
    [anon_sym_SEMI] = ACTIONS(4182),
    [anon_sym___extension__] = ACTIONS(4180),
    [anon_sym_extern] = ACTIONS(4180),
    [anon_sym___attribute__] = ACTIONS(4180),
    [anon_sym___attribute] = ACTIONS(4180),
    [anon_sym_noreturn] = ACTIONS(4180),
    [anon_sym_LBRACK] = ACTIONS(4182),
    [anon_sym_RBRACK] = ACTIONS(4182),
    [anon_sym___declspec] = ACTIONS(4180),
    [anon_sym_LBRACE] = ACTIONS(4182),
    [anon_sym_RBRACE] = ACTIONS(4182),
    [anon_sym_signed] = ACTIONS(4180),
    [anon_sym_unsigned] = ACTIONS(4180),
    [anon_sym_long] = ACTIONS(4180),
    [anon_sym_short] = ACTIONS(4180),
    [anon_sym_static] = ACTIONS(4180),
    [anon_sym_EQ] = ACTIONS(4180),
    [anon_sym_ATautoreleasepool] = ACTIONS(4182),
    [anon_sym_auto] = ACTIONS(4180),
    [anon_sym_register] = ACTIONS(4180),
    [anon_sym_inline] = ACTIONS(4180),
    [anon_sym___inline] = ACTIONS(4180),
    [anon_sym___inline__] = ACTIONS(4180),
    [anon_sym___forceinline] = ACTIONS(4180),
    [anon_sym_thread_local] = ACTIONS(4180),
    [anon_sym___thread] = ACTIONS(4180),
    [anon_sym_CG_EXTERN] = ACTIONS(4180),
    [anon_sym_CG_INLINE] = ACTIONS(4180),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4180),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4180),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4180),
    [anon_sym_IBOutlet] = ACTIONS(4180),
    [anon_sym_IBInspectable] = ACTIONS(4180),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4180),
    [anon_sym_NS_INLINE] = ACTIONS(4180),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4180),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4180),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4180),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4180),
    [anon_sym_const] = ACTIONS(4180),
    [anon_sym_constexpr] = ACTIONS(4180),
    [anon_sym_volatile] = ACTIONS(4180),
    [anon_sym_restrict] = ACTIONS(4180),
    [anon_sym___restrict__] = ACTIONS(4180),
    [anon_sym__Atomic] = ACTIONS(4180),
    [anon_sym__Noreturn] = ACTIONS(4180),
    [anon_sym__Nonnull] = ACTIONS(4180),
    [anon_sym_nullable] = ACTIONS(4180),
    [anon_sym__Complex] = ACTIONS(4180),
    [anon_sym__Nullable] = ACTIONS(4180),
    [anon_sym__Nullable_result] = ACTIONS(4180),
    [anon_sym__Null_unspecified] = ACTIONS(4180),
    [anon_sym___autoreleasing] = ACTIONS(4180),
    [anon_sym___block] = ACTIONS(4180),
    [anon_sym___bridge] = ACTIONS(4180),
    [anon_sym___bridge_retained] = ACTIONS(4180),
    [anon_sym___bridge_transfer] = ACTIONS(4180),
    [anon_sym___complex] = ACTIONS(4180),
    [anon_sym___const] = ACTIONS(4180),
    [anon_sym___imag] = ACTIONS(4180),
    [anon_sym___kindof] = ACTIONS(4180),
    [anon_sym___nonnull] = ACTIONS(4180),
    [anon_sym___nullable] = ACTIONS(4180),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4180),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4180),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4180),
    [anon_sym___real] = ACTIONS(4180),
    [anon_sym___strong] = ACTIONS(4180),
    [anon_sym___unsafe_unretained] = ACTIONS(4180),
    [anon_sym___unused] = ACTIONS(4180),
    [anon_sym___weak] = ACTIONS(4180),
    [anon_sym_alignas] = ACTIONS(4180),
    [anon_sym__Alignas] = ACTIONS(4180),
    [sym_primitive_type] = ACTIONS(4180),
    [anon_sym_enum] = ACTIONS(4180),
    [anon_sym_COLON] = ACTIONS(4182),
    [anon_sym_struct] = ACTIONS(4180),
    [anon_sym_union] = ACTIONS(4180),
    [anon_sym_QMARK] = ACTIONS(4182),
    [anon_sym_STAR_EQ] = ACTIONS(4182),
    [anon_sym_SLASH_EQ] = ACTIONS(4182),
    [anon_sym_PERCENT_EQ] = ACTIONS(4182),
    [anon_sym_PLUS_EQ] = ACTIONS(4182),
    [anon_sym_DASH_EQ] = ACTIONS(4182),
    [anon_sym_LT_LT_EQ] = ACTIONS(4182),
    [anon_sym_GT_GT_EQ] = ACTIONS(4182),
    [anon_sym_AMP_EQ] = ACTIONS(4182),
    [anon_sym_CARET_EQ] = ACTIONS(4182),
    [anon_sym_PIPE_EQ] = ACTIONS(4182),
    [anon_sym_DASH_DASH] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4182),
    [anon_sym_DOT] = ACTIONS(4180),
    [anon_sym_DASH_GT] = ACTIONS(4182),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4180),
    [anon_sym___typeof] = ACTIONS(4180),
    [anon_sym_typeof] = ACTIONS(4180),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4180),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4180),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4180),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4180),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4180),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4180),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4180),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4180),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4180),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4180),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4180),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4180),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4180),
    [anon_sym_API_AVAILABLE] = ACTIONS(4180),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4180),
    [anon_sym_API_DEPRECATED] = ACTIONS(4180),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4180),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4180),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4180),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4180),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4180),
    [anon_sym___deprecated_msg] = ACTIONS(4180),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4180),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4180),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4180),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4180),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4180),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4180),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4180),
    [anon_sym_BOOL] = ACTIONS(4180),
    [anon_sym_IMP] = ACTIONS(4180),
    [anon_sym_SEL] = ACTIONS(4180),
    [anon_sym_Class] = ACTIONS(4180),
    [anon_sym_id] = ACTIONS(4180),
  },
  [1496] = {
    [sym_identifier] = ACTIONS(4184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4186),
    [anon_sym_COMMA] = ACTIONS(4186),
    [anon_sym_RPAREN] = ACTIONS(4186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4186),
    [anon_sym_LPAREN2] = ACTIONS(4186),
    [anon_sym_DASH] = ACTIONS(4184),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_STAR] = ACTIONS(4184),
    [anon_sym_SLASH] = ACTIONS(4184),
    [anon_sym_PERCENT] = ACTIONS(4184),
    [anon_sym_PIPE_PIPE] = ACTIONS(4186),
    [anon_sym_AMP_AMP] = ACTIONS(4186),
    [anon_sym_PIPE] = ACTIONS(4184),
    [anon_sym_CARET] = ACTIONS(4184),
    [anon_sym_AMP] = ACTIONS(4184),
    [anon_sym_EQ_EQ] = ACTIONS(4186),
    [anon_sym_BANG_EQ] = ACTIONS(4186),
    [anon_sym_GT] = ACTIONS(4184),
    [anon_sym_GT_EQ] = ACTIONS(4186),
    [anon_sym_LT_EQ] = ACTIONS(4186),
    [anon_sym_LT] = ACTIONS(4184),
    [anon_sym_LT_LT] = ACTIONS(4184),
    [anon_sym_GT_GT] = ACTIONS(4184),
    [anon_sym_SEMI] = ACTIONS(4186),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_extern] = ACTIONS(4184),
    [anon_sym___attribute__] = ACTIONS(4184),
    [anon_sym___attribute] = ACTIONS(4184),
    [anon_sym_noreturn] = ACTIONS(4184),
    [anon_sym_LBRACK] = ACTIONS(4186),
    [anon_sym_RBRACK] = ACTIONS(4186),
    [anon_sym___declspec] = ACTIONS(4184),
    [anon_sym_LBRACE] = ACTIONS(4186),
    [anon_sym_RBRACE] = ACTIONS(4186),
    [anon_sym_signed] = ACTIONS(4184),
    [anon_sym_unsigned] = ACTIONS(4184),
    [anon_sym_long] = ACTIONS(4184),
    [anon_sym_short] = ACTIONS(4184),
    [anon_sym_static] = ACTIONS(4184),
    [anon_sym_EQ] = ACTIONS(4184),
    [anon_sym_ATautoreleasepool] = ACTIONS(4186),
    [anon_sym_auto] = ACTIONS(4184),
    [anon_sym_register] = ACTIONS(4184),
    [anon_sym_inline] = ACTIONS(4184),
    [anon_sym___inline] = ACTIONS(4184),
    [anon_sym___inline__] = ACTIONS(4184),
    [anon_sym___forceinline] = ACTIONS(4184),
    [anon_sym_thread_local] = ACTIONS(4184),
    [anon_sym___thread] = ACTIONS(4184),
    [anon_sym_CG_EXTERN] = ACTIONS(4184),
    [anon_sym_CG_INLINE] = ACTIONS(4184),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4184),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4184),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4184),
    [anon_sym_IBOutlet] = ACTIONS(4184),
    [anon_sym_IBInspectable] = ACTIONS(4184),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4184),
    [anon_sym_NS_INLINE] = ACTIONS(4184),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4184),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4184),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4184),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4184),
    [anon_sym_const] = ACTIONS(4184),
    [anon_sym_constexpr] = ACTIONS(4184),
    [anon_sym_volatile] = ACTIONS(4184),
    [anon_sym_restrict] = ACTIONS(4184),
    [anon_sym___restrict__] = ACTIONS(4184),
    [anon_sym__Atomic] = ACTIONS(4184),
    [anon_sym__Noreturn] = ACTIONS(4184),
    [anon_sym__Nonnull] = ACTIONS(4184),
    [anon_sym_nullable] = ACTIONS(4184),
    [anon_sym__Complex] = ACTIONS(4184),
    [anon_sym__Nullable] = ACTIONS(4184),
    [anon_sym__Nullable_result] = ACTIONS(4184),
    [anon_sym__Null_unspecified] = ACTIONS(4184),
    [anon_sym___autoreleasing] = ACTIONS(4184),
    [anon_sym___block] = ACTIONS(4184),
    [anon_sym___bridge] = ACTIONS(4184),
    [anon_sym___bridge_retained] = ACTIONS(4184),
    [anon_sym___bridge_transfer] = ACTIONS(4184),
    [anon_sym___complex] = ACTIONS(4184),
    [anon_sym___const] = ACTIONS(4184),
    [anon_sym___imag] = ACTIONS(4184),
    [anon_sym___kindof] = ACTIONS(4184),
    [anon_sym___nonnull] = ACTIONS(4184),
    [anon_sym___nullable] = ACTIONS(4184),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4184),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4184),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4184),
    [anon_sym___real] = ACTIONS(4184),
    [anon_sym___strong] = ACTIONS(4184),
    [anon_sym___unsafe_unretained] = ACTIONS(4184),
    [anon_sym___unused] = ACTIONS(4184),
    [anon_sym___weak] = ACTIONS(4184),
    [anon_sym_alignas] = ACTIONS(4184),
    [anon_sym__Alignas] = ACTIONS(4184),
    [sym_primitive_type] = ACTIONS(4184),
    [anon_sym_enum] = ACTIONS(4184),
    [anon_sym_COLON] = ACTIONS(4186),
    [anon_sym_struct] = ACTIONS(4184),
    [anon_sym_union] = ACTIONS(4184),
    [anon_sym_QMARK] = ACTIONS(4186),
    [anon_sym_STAR_EQ] = ACTIONS(4186),
    [anon_sym_SLASH_EQ] = ACTIONS(4186),
    [anon_sym_PERCENT_EQ] = ACTIONS(4186),
    [anon_sym_PLUS_EQ] = ACTIONS(4186),
    [anon_sym_DASH_EQ] = ACTIONS(4186),
    [anon_sym_LT_LT_EQ] = ACTIONS(4186),
    [anon_sym_GT_GT_EQ] = ACTIONS(4186),
    [anon_sym_AMP_EQ] = ACTIONS(4186),
    [anon_sym_CARET_EQ] = ACTIONS(4186),
    [anon_sym_PIPE_EQ] = ACTIONS(4186),
    [anon_sym_DASH_DASH] = ACTIONS(4186),
    [anon_sym_PLUS_PLUS] = ACTIONS(4186),
    [anon_sym_DOT] = ACTIONS(4184),
    [anon_sym_DASH_GT] = ACTIONS(4186),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4184),
    [anon_sym___typeof] = ACTIONS(4184),
    [anon_sym_typeof] = ACTIONS(4184),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4184),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4184),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4184),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4184),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4184),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4184),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4184),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4184),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4184),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4184),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4184),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4184),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4184),
    [anon_sym_API_AVAILABLE] = ACTIONS(4184),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4184),
    [anon_sym_API_DEPRECATED] = ACTIONS(4184),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4184),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4184),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4184),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4184),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4184),
    [anon_sym___deprecated_msg] = ACTIONS(4184),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4184),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4184),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4184),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4184),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4184),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4184),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4184),
    [anon_sym_BOOL] = ACTIONS(4184),
    [anon_sym_IMP] = ACTIONS(4184),
    [anon_sym_SEL] = ACTIONS(4184),
    [anon_sym_Class] = ACTIONS(4184),
    [anon_sym_id] = ACTIONS(4184),
  },
  [1497] = {
    [sym_identifier] = ACTIONS(2346),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2348),
    [anon_sym_COMMA] = ACTIONS(2348),
    [anon_sym_RPAREN] = ACTIONS(2348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2348),
    [anon_sym_LPAREN2] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_PERCENT] = ACTIONS(2346),
    [anon_sym_PIPE_PIPE] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2348),
    [anon_sym_PIPE] = ACTIONS(2346),
    [anon_sym_CARET] = ACTIONS(2346),
    [anon_sym_AMP] = ACTIONS(2346),
    [anon_sym_EQ_EQ] = ACTIONS(2348),
    [anon_sym_BANG_EQ] = ACTIONS(2348),
    [anon_sym_GT] = ACTIONS(2346),
    [anon_sym_GT_EQ] = ACTIONS(2348),
    [anon_sym_LT_EQ] = ACTIONS(2348),
    [anon_sym_LT] = ACTIONS(2346),
    [anon_sym_LT_LT] = ACTIONS(2346),
    [anon_sym_GT_GT] = ACTIONS(2346),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym___extension__] = ACTIONS(2346),
    [anon_sym_extern] = ACTIONS(2346),
    [anon_sym___attribute__] = ACTIONS(2346),
    [anon_sym___attribute] = ACTIONS(2346),
    [anon_sym_noreturn] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym_RBRACK] = ACTIONS(2348),
    [anon_sym___declspec] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_RBRACE] = ACTIONS(2348),
    [anon_sym_signed] = ACTIONS(2346),
    [anon_sym_unsigned] = ACTIONS(2346),
    [anon_sym_long] = ACTIONS(2346),
    [anon_sym_short] = ACTIONS(2346),
    [anon_sym_static] = ACTIONS(2346),
    [anon_sym_EQ] = ACTIONS(2346),
    [anon_sym_ATautoreleasepool] = ACTIONS(2348),
    [anon_sym_auto] = ACTIONS(2346),
    [anon_sym_register] = ACTIONS(2346),
    [anon_sym_inline] = ACTIONS(2346),
    [anon_sym___inline] = ACTIONS(2346),
    [anon_sym___inline__] = ACTIONS(2346),
    [anon_sym___forceinline] = ACTIONS(2346),
    [anon_sym_thread_local] = ACTIONS(2346),
    [anon_sym___thread] = ACTIONS(2346),
    [anon_sym_CG_EXTERN] = ACTIONS(2346),
    [anon_sym_CG_INLINE] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2346),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2346),
    [anon_sym_IBOutlet] = ACTIONS(2346),
    [anon_sym_IBInspectable] = ACTIONS(2346),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2346),
    [anon_sym_NS_INLINE] = ACTIONS(2346),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2346),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2346),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2346),
    [anon_sym_const] = ACTIONS(2346),
    [anon_sym_constexpr] = ACTIONS(2346),
    [anon_sym_volatile] = ACTIONS(2346),
    [anon_sym_restrict] = ACTIONS(2346),
    [anon_sym___restrict__] = ACTIONS(2346),
    [anon_sym__Atomic] = ACTIONS(2346),
    [anon_sym__Noreturn] = ACTIONS(2346),
    [anon_sym__Nonnull] = ACTIONS(2346),
    [anon_sym_nullable] = ACTIONS(2346),
    [anon_sym__Complex] = ACTIONS(2346),
    [anon_sym__Nullable] = ACTIONS(2346),
    [anon_sym__Nullable_result] = ACTIONS(2346),
    [anon_sym__Null_unspecified] = ACTIONS(2346),
    [anon_sym___autoreleasing] = ACTIONS(2346),
    [anon_sym___block] = ACTIONS(2346),
    [anon_sym___bridge] = ACTIONS(2346),
    [anon_sym___bridge_retained] = ACTIONS(2346),
    [anon_sym___bridge_transfer] = ACTIONS(2346),
    [anon_sym___complex] = ACTIONS(2346),
    [anon_sym___const] = ACTIONS(2346),
    [anon_sym___imag] = ACTIONS(2346),
    [anon_sym___kindof] = ACTIONS(2346),
    [anon_sym___nonnull] = ACTIONS(2346),
    [anon_sym___nullable] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2346),
    [anon_sym___real] = ACTIONS(2346),
    [anon_sym___strong] = ACTIONS(2346),
    [anon_sym___unsafe_unretained] = ACTIONS(2346),
    [anon_sym___unused] = ACTIONS(2346),
    [anon_sym___weak] = ACTIONS(2346),
    [anon_sym_alignas] = ACTIONS(2346),
    [anon_sym__Alignas] = ACTIONS(2346),
    [sym_primitive_type] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2346),
    [anon_sym_COLON] = ACTIONS(2348),
    [anon_sym_struct] = ACTIONS(2346),
    [anon_sym_union] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_STAR_EQ] = ACTIONS(2348),
    [anon_sym_SLASH_EQ] = ACTIONS(2348),
    [anon_sym_PERCENT_EQ] = ACTIONS(2348),
    [anon_sym_PLUS_EQ] = ACTIONS(2348),
    [anon_sym_DASH_EQ] = ACTIONS(2348),
    [anon_sym_LT_LT_EQ] = ACTIONS(2348),
    [anon_sym_GT_GT_EQ] = ACTIONS(2348),
    [anon_sym_AMP_EQ] = ACTIONS(2348),
    [anon_sym_CARET_EQ] = ACTIONS(2348),
    [anon_sym_PIPE_EQ] = ACTIONS(2348),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_DOT] = ACTIONS(2346),
    [anon_sym_DASH_GT] = ACTIONS(2348),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2346),
    [anon_sym___typeof] = ACTIONS(2346),
    [anon_sym_typeof] = ACTIONS(2346),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2346),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2346),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2346),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_API_AVAILABLE] = ACTIONS(2346),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_API_DEPRECATED] = ACTIONS(2346),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym___deprecated_msg] = ACTIONS(2346),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2346),
    [anon_sym_BOOL] = ACTIONS(2346),
    [anon_sym_IMP] = ACTIONS(2346),
    [anon_sym_SEL] = ACTIONS(2346),
    [anon_sym_Class] = ACTIONS(2346),
    [anon_sym_id] = ACTIONS(2346),
  },
  [1498] = {
    [sym_identifier] = ACTIONS(4188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4190),
    [anon_sym_COMMA] = ACTIONS(4190),
    [anon_sym_RPAREN] = ACTIONS(4190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4190),
    [anon_sym_LPAREN2] = ACTIONS(4190),
    [anon_sym_DASH] = ACTIONS(4188),
    [anon_sym_PLUS] = ACTIONS(4188),
    [anon_sym_STAR] = ACTIONS(4188),
    [anon_sym_SLASH] = ACTIONS(4188),
    [anon_sym_PERCENT] = ACTIONS(4188),
    [anon_sym_PIPE_PIPE] = ACTIONS(4190),
    [anon_sym_AMP_AMP] = ACTIONS(4190),
    [anon_sym_PIPE] = ACTIONS(4188),
    [anon_sym_CARET] = ACTIONS(4188),
    [anon_sym_AMP] = ACTIONS(4188),
    [anon_sym_EQ_EQ] = ACTIONS(4190),
    [anon_sym_BANG_EQ] = ACTIONS(4190),
    [anon_sym_GT] = ACTIONS(4188),
    [anon_sym_GT_EQ] = ACTIONS(4190),
    [anon_sym_LT_EQ] = ACTIONS(4190),
    [anon_sym_LT] = ACTIONS(4188),
    [anon_sym_LT_LT] = ACTIONS(4188),
    [anon_sym_GT_GT] = ACTIONS(4188),
    [anon_sym_SEMI] = ACTIONS(4190),
    [anon_sym___extension__] = ACTIONS(4188),
    [anon_sym_extern] = ACTIONS(4188),
    [anon_sym___attribute__] = ACTIONS(4188),
    [anon_sym___attribute] = ACTIONS(4188),
    [anon_sym_noreturn] = ACTIONS(4188),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(4190),
    [anon_sym___declspec] = ACTIONS(4188),
    [anon_sym_LBRACE] = ACTIONS(4190),
    [anon_sym_RBRACE] = ACTIONS(4190),
    [anon_sym_signed] = ACTIONS(4188),
    [anon_sym_unsigned] = ACTIONS(4188),
    [anon_sym_long] = ACTIONS(4188),
    [anon_sym_short] = ACTIONS(4188),
    [anon_sym_static] = ACTIONS(4188),
    [anon_sym_EQ] = ACTIONS(4188),
    [anon_sym_ATautoreleasepool] = ACTIONS(4190),
    [anon_sym_auto] = ACTIONS(4188),
    [anon_sym_register] = ACTIONS(4188),
    [anon_sym_inline] = ACTIONS(4188),
    [anon_sym___inline] = ACTIONS(4188),
    [anon_sym___inline__] = ACTIONS(4188),
    [anon_sym___forceinline] = ACTIONS(4188),
    [anon_sym_thread_local] = ACTIONS(4188),
    [anon_sym___thread] = ACTIONS(4188),
    [anon_sym_CG_EXTERN] = ACTIONS(4188),
    [anon_sym_CG_INLINE] = ACTIONS(4188),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4188),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4188),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4188),
    [anon_sym_IBOutlet] = ACTIONS(4188),
    [anon_sym_IBInspectable] = ACTIONS(4188),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4188),
    [anon_sym_NS_INLINE] = ACTIONS(4188),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4188),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4188),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4188),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4188),
    [anon_sym_const] = ACTIONS(4188),
    [anon_sym_constexpr] = ACTIONS(4188),
    [anon_sym_volatile] = ACTIONS(4188),
    [anon_sym_restrict] = ACTIONS(4188),
    [anon_sym___restrict__] = ACTIONS(4188),
    [anon_sym__Atomic] = ACTIONS(4188),
    [anon_sym__Noreturn] = ACTIONS(4188),
    [anon_sym__Nonnull] = ACTIONS(4188),
    [anon_sym_nullable] = ACTIONS(4188),
    [anon_sym__Complex] = ACTIONS(4188),
    [anon_sym__Nullable] = ACTIONS(4188),
    [anon_sym__Nullable_result] = ACTIONS(4188),
    [anon_sym__Null_unspecified] = ACTIONS(4188),
    [anon_sym___autoreleasing] = ACTIONS(4188),
    [anon_sym___block] = ACTIONS(4188),
    [anon_sym___bridge] = ACTIONS(4188),
    [anon_sym___bridge_retained] = ACTIONS(4188),
    [anon_sym___bridge_transfer] = ACTIONS(4188),
    [anon_sym___complex] = ACTIONS(4188),
    [anon_sym___const] = ACTIONS(4188),
    [anon_sym___imag] = ACTIONS(4188),
    [anon_sym___kindof] = ACTIONS(4188),
    [anon_sym___nonnull] = ACTIONS(4188),
    [anon_sym___nullable] = ACTIONS(4188),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4188),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4188),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4188),
    [anon_sym___real] = ACTIONS(4188),
    [anon_sym___strong] = ACTIONS(4188),
    [anon_sym___unsafe_unretained] = ACTIONS(4188),
    [anon_sym___unused] = ACTIONS(4188),
    [anon_sym___weak] = ACTIONS(4188),
    [anon_sym_alignas] = ACTIONS(4188),
    [anon_sym__Alignas] = ACTIONS(4188),
    [sym_primitive_type] = ACTIONS(4188),
    [anon_sym_enum] = ACTIONS(4188),
    [anon_sym_COLON] = ACTIONS(4190),
    [anon_sym_struct] = ACTIONS(4188),
    [anon_sym_union] = ACTIONS(4188),
    [anon_sym_QMARK] = ACTIONS(4190),
    [anon_sym_STAR_EQ] = ACTIONS(4190),
    [anon_sym_SLASH_EQ] = ACTIONS(4190),
    [anon_sym_PERCENT_EQ] = ACTIONS(4190),
    [anon_sym_PLUS_EQ] = ACTIONS(4190),
    [anon_sym_DASH_EQ] = ACTIONS(4190),
    [anon_sym_LT_LT_EQ] = ACTIONS(4190),
    [anon_sym_GT_GT_EQ] = ACTIONS(4190),
    [anon_sym_AMP_EQ] = ACTIONS(4190),
    [anon_sym_CARET_EQ] = ACTIONS(4190),
    [anon_sym_PIPE_EQ] = ACTIONS(4190),
    [anon_sym_DASH_DASH] = ACTIONS(4190),
    [anon_sym_PLUS_PLUS] = ACTIONS(4190),
    [anon_sym_DOT] = ACTIONS(4188),
    [anon_sym_DASH_GT] = ACTIONS(4190),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4188),
    [anon_sym___typeof] = ACTIONS(4188),
    [anon_sym_typeof] = ACTIONS(4188),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4188),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4188),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4188),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4188),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4188),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4188),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4188),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4188),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4188),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4188),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4188),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4188),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4188),
    [anon_sym_API_AVAILABLE] = ACTIONS(4188),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4188),
    [anon_sym_API_DEPRECATED] = ACTIONS(4188),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4188),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4188),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4188),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4188),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4188),
    [anon_sym___deprecated_msg] = ACTIONS(4188),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4188),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4188),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4188),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4188),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4188),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4188),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4188),
    [anon_sym_BOOL] = ACTIONS(4188),
    [anon_sym_IMP] = ACTIONS(4188),
    [anon_sym_SEL] = ACTIONS(4188),
    [anon_sym_Class] = ACTIONS(4188),
    [anon_sym_id] = ACTIONS(4188),
  },
  [1499] = {
    [sym_identifier] = ACTIONS(4192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4194),
    [anon_sym_COMMA] = ACTIONS(4194),
    [anon_sym_RPAREN] = ACTIONS(4194),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4194),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4194),
    [anon_sym_LPAREN2] = ACTIONS(4194),
    [anon_sym_DASH] = ACTIONS(4192),
    [anon_sym_PLUS] = ACTIONS(4192),
    [anon_sym_STAR] = ACTIONS(4192),
    [anon_sym_SLASH] = ACTIONS(4192),
    [anon_sym_PERCENT] = ACTIONS(4192),
    [anon_sym_PIPE_PIPE] = ACTIONS(4194),
    [anon_sym_AMP_AMP] = ACTIONS(4194),
    [anon_sym_PIPE] = ACTIONS(4192),
    [anon_sym_CARET] = ACTIONS(4192),
    [anon_sym_AMP] = ACTIONS(4192),
    [anon_sym_EQ_EQ] = ACTIONS(4194),
    [anon_sym_BANG_EQ] = ACTIONS(4194),
    [anon_sym_GT] = ACTIONS(4192),
    [anon_sym_GT_EQ] = ACTIONS(4194),
    [anon_sym_LT_EQ] = ACTIONS(4194),
    [anon_sym_LT] = ACTIONS(4192),
    [anon_sym_LT_LT] = ACTIONS(4192),
    [anon_sym_GT_GT] = ACTIONS(4192),
    [anon_sym_SEMI] = ACTIONS(4194),
    [anon_sym___extension__] = ACTIONS(4192),
    [anon_sym_extern] = ACTIONS(4192),
    [anon_sym___attribute__] = ACTIONS(4192),
    [anon_sym___attribute] = ACTIONS(4192),
    [anon_sym_noreturn] = ACTIONS(4192),
    [anon_sym_LBRACK] = ACTIONS(4194),
    [anon_sym_RBRACK] = ACTIONS(4194),
    [anon_sym___declspec] = ACTIONS(4192),
    [anon_sym_LBRACE] = ACTIONS(4194),
    [anon_sym_RBRACE] = ACTIONS(4194),
    [anon_sym_signed] = ACTIONS(4192),
    [anon_sym_unsigned] = ACTIONS(4192),
    [anon_sym_long] = ACTIONS(4192),
    [anon_sym_short] = ACTIONS(4192),
    [anon_sym_static] = ACTIONS(4192),
    [anon_sym_EQ] = ACTIONS(4192),
    [anon_sym_ATautoreleasepool] = ACTIONS(4194),
    [anon_sym_auto] = ACTIONS(4192),
    [anon_sym_register] = ACTIONS(4192),
    [anon_sym_inline] = ACTIONS(4192),
    [anon_sym___inline] = ACTIONS(4192),
    [anon_sym___inline__] = ACTIONS(4192),
    [anon_sym___forceinline] = ACTIONS(4192),
    [anon_sym_thread_local] = ACTIONS(4192),
    [anon_sym___thread] = ACTIONS(4192),
    [anon_sym_CG_EXTERN] = ACTIONS(4192),
    [anon_sym_CG_INLINE] = ACTIONS(4192),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4192),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4192),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4192),
    [anon_sym_IBOutlet] = ACTIONS(4192),
    [anon_sym_IBInspectable] = ACTIONS(4192),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4192),
    [anon_sym_NS_INLINE] = ACTIONS(4192),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4192),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4192),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4192),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4192),
    [anon_sym_const] = ACTIONS(4192),
    [anon_sym_constexpr] = ACTIONS(4192),
    [anon_sym_volatile] = ACTIONS(4192),
    [anon_sym_restrict] = ACTIONS(4192),
    [anon_sym___restrict__] = ACTIONS(4192),
    [anon_sym__Atomic] = ACTIONS(4192),
    [anon_sym__Noreturn] = ACTIONS(4192),
    [anon_sym__Nonnull] = ACTIONS(4192),
    [anon_sym_nullable] = ACTIONS(4192),
    [anon_sym__Complex] = ACTIONS(4192),
    [anon_sym__Nullable] = ACTIONS(4192),
    [anon_sym__Nullable_result] = ACTIONS(4192),
    [anon_sym__Null_unspecified] = ACTIONS(4192),
    [anon_sym___autoreleasing] = ACTIONS(4192),
    [anon_sym___block] = ACTIONS(4192),
    [anon_sym___bridge] = ACTIONS(4192),
    [anon_sym___bridge_retained] = ACTIONS(4192),
    [anon_sym___bridge_transfer] = ACTIONS(4192),
    [anon_sym___complex] = ACTIONS(4192),
    [anon_sym___const] = ACTIONS(4192),
    [anon_sym___imag] = ACTIONS(4192),
    [anon_sym___kindof] = ACTIONS(4192),
    [anon_sym___nonnull] = ACTIONS(4192),
    [anon_sym___nullable] = ACTIONS(4192),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4192),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4192),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4192),
    [anon_sym___real] = ACTIONS(4192),
    [anon_sym___strong] = ACTIONS(4192),
    [anon_sym___unsafe_unretained] = ACTIONS(4192),
    [anon_sym___unused] = ACTIONS(4192),
    [anon_sym___weak] = ACTIONS(4192),
    [anon_sym_alignas] = ACTIONS(4192),
    [anon_sym__Alignas] = ACTIONS(4192),
    [sym_primitive_type] = ACTIONS(4192),
    [anon_sym_enum] = ACTIONS(4192),
    [anon_sym_COLON] = ACTIONS(4194),
    [anon_sym_struct] = ACTIONS(4192),
    [anon_sym_union] = ACTIONS(4192),
    [anon_sym_QMARK] = ACTIONS(4194),
    [anon_sym_STAR_EQ] = ACTIONS(4194),
    [anon_sym_SLASH_EQ] = ACTIONS(4194),
    [anon_sym_PERCENT_EQ] = ACTIONS(4194),
    [anon_sym_PLUS_EQ] = ACTIONS(4194),
    [anon_sym_DASH_EQ] = ACTIONS(4194),
    [anon_sym_LT_LT_EQ] = ACTIONS(4194),
    [anon_sym_GT_GT_EQ] = ACTIONS(4194),
    [anon_sym_AMP_EQ] = ACTIONS(4194),
    [anon_sym_CARET_EQ] = ACTIONS(4194),
    [anon_sym_PIPE_EQ] = ACTIONS(4194),
    [anon_sym_DASH_DASH] = ACTIONS(4194),
    [anon_sym_PLUS_PLUS] = ACTIONS(4194),
    [anon_sym_DOT] = ACTIONS(4192),
    [anon_sym_DASH_GT] = ACTIONS(4194),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4192),
    [anon_sym___typeof] = ACTIONS(4192),
    [anon_sym_typeof] = ACTIONS(4192),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4192),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4192),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4192),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4192),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4192),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4192),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4192),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4192),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4192),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4192),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4192),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4192),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4192),
    [anon_sym_API_AVAILABLE] = ACTIONS(4192),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4192),
    [anon_sym_API_DEPRECATED] = ACTIONS(4192),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4192),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4192),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4192),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4192),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4192),
    [anon_sym___deprecated_msg] = ACTIONS(4192),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4192),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4192),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4192),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4192),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4192),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4192),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4192),
    [anon_sym_BOOL] = ACTIONS(4192),
    [anon_sym_IMP] = ACTIONS(4192),
    [anon_sym_SEL] = ACTIONS(4192),
    [anon_sym_Class] = ACTIONS(4192),
    [anon_sym_id] = ACTIONS(4192),
  },
  [1500] = {
    [sym_identifier] = ACTIONS(4196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4198),
    [anon_sym_COMMA] = ACTIONS(4198),
    [anon_sym_RPAREN] = ACTIONS(4198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4198),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_DASH] = ACTIONS(4196),
    [anon_sym_PLUS] = ACTIONS(4196),
    [anon_sym_STAR] = ACTIONS(4196),
    [anon_sym_SLASH] = ACTIONS(4196),
    [anon_sym_PERCENT] = ACTIONS(4196),
    [anon_sym_PIPE_PIPE] = ACTIONS(4198),
    [anon_sym_AMP_AMP] = ACTIONS(4198),
    [anon_sym_PIPE] = ACTIONS(4196),
    [anon_sym_CARET] = ACTIONS(4196),
    [anon_sym_AMP] = ACTIONS(4196),
    [anon_sym_EQ_EQ] = ACTIONS(4198),
    [anon_sym_BANG_EQ] = ACTIONS(4198),
    [anon_sym_GT] = ACTIONS(4196),
    [anon_sym_GT_EQ] = ACTIONS(4198),
    [anon_sym_LT_EQ] = ACTIONS(4198),
    [anon_sym_LT] = ACTIONS(4196),
    [anon_sym_LT_LT] = ACTIONS(4196),
    [anon_sym_GT_GT] = ACTIONS(4196),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym___extension__] = ACTIONS(4196),
    [anon_sym_extern] = ACTIONS(4196),
    [anon_sym___attribute__] = ACTIONS(4196),
    [anon_sym___attribute] = ACTIONS(4196),
    [anon_sym_noreturn] = ACTIONS(4196),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [anon_sym_RBRACK] = ACTIONS(4198),
    [anon_sym___declspec] = ACTIONS(4196),
    [anon_sym_LBRACE] = ACTIONS(4198),
    [anon_sym_RBRACE] = ACTIONS(4198),
    [anon_sym_signed] = ACTIONS(4196),
    [anon_sym_unsigned] = ACTIONS(4196),
    [anon_sym_long] = ACTIONS(4196),
    [anon_sym_short] = ACTIONS(4196),
    [anon_sym_static] = ACTIONS(4196),
    [anon_sym_EQ] = ACTIONS(4196),
    [anon_sym_ATautoreleasepool] = ACTIONS(4198),
    [anon_sym_auto] = ACTIONS(4196),
    [anon_sym_register] = ACTIONS(4196),
    [anon_sym_inline] = ACTIONS(4196),
    [anon_sym___inline] = ACTIONS(4196),
    [anon_sym___inline__] = ACTIONS(4196),
    [anon_sym___forceinline] = ACTIONS(4196),
    [anon_sym_thread_local] = ACTIONS(4196),
    [anon_sym___thread] = ACTIONS(4196),
    [anon_sym_CG_EXTERN] = ACTIONS(4196),
    [anon_sym_CG_INLINE] = ACTIONS(4196),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4196),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4196),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4196),
    [anon_sym_IBOutlet] = ACTIONS(4196),
    [anon_sym_IBInspectable] = ACTIONS(4196),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4196),
    [anon_sym_NS_INLINE] = ACTIONS(4196),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4196),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4196),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4196),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4196),
    [anon_sym_const] = ACTIONS(4196),
    [anon_sym_constexpr] = ACTIONS(4196),
    [anon_sym_volatile] = ACTIONS(4196),
    [anon_sym_restrict] = ACTIONS(4196),
    [anon_sym___restrict__] = ACTIONS(4196),
    [anon_sym__Atomic] = ACTIONS(4196),
    [anon_sym__Noreturn] = ACTIONS(4196),
    [anon_sym__Nonnull] = ACTIONS(4196),
    [anon_sym_nullable] = ACTIONS(4196),
    [anon_sym__Complex] = ACTIONS(4196),
    [anon_sym__Nullable] = ACTIONS(4196),
    [anon_sym__Nullable_result] = ACTIONS(4196),
    [anon_sym__Null_unspecified] = ACTIONS(4196),
    [anon_sym___autoreleasing] = ACTIONS(4196),
    [anon_sym___block] = ACTIONS(4196),
    [anon_sym___bridge] = ACTIONS(4196),
    [anon_sym___bridge_retained] = ACTIONS(4196),
    [anon_sym___bridge_transfer] = ACTIONS(4196),
    [anon_sym___complex] = ACTIONS(4196),
    [anon_sym___const] = ACTIONS(4196),
    [anon_sym___imag] = ACTIONS(4196),
    [anon_sym___kindof] = ACTIONS(4196),
    [anon_sym___nonnull] = ACTIONS(4196),
    [anon_sym___nullable] = ACTIONS(4196),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4196),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4196),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4196),
    [anon_sym___real] = ACTIONS(4196),
    [anon_sym___strong] = ACTIONS(4196),
    [anon_sym___unsafe_unretained] = ACTIONS(4196),
    [anon_sym___unused] = ACTIONS(4196),
    [anon_sym___weak] = ACTIONS(4196),
    [anon_sym_alignas] = ACTIONS(4196),
    [anon_sym__Alignas] = ACTIONS(4196),
    [sym_primitive_type] = ACTIONS(4196),
    [anon_sym_enum] = ACTIONS(4196),
    [anon_sym_COLON] = ACTIONS(4198),
    [anon_sym_struct] = ACTIONS(4196),
    [anon_sym_union] = ACTIONS(4196),
    [anon_sym_QMARK] = ACTIONS(4198),
    [anon_sym_STAR_EQ] = ACTIONS(4198),
    [anon_sym_SLASH_EQ] = ACTIONS(4198),
    [anon_sym_PERCENT_EQ] = ACTIONS(4198),
    [anon_sym_PLUS_EQ] = ACTIONS(4198),
    [anon_sym_DASH_EQ] = ACTIONS(4198),
    [anon_sym_LT_LT_EQ] = ACTIONS(4198),
    [anon_sym_GT_GT_EQ] = ACTIONS(4198),
    [anon_sym_AMP_EQ] = ACTIONS(4198),
    [anon_sym_CARET_EQ] = ACTIONS(4198),
    [anon_sym_PIPE_EQ] = ACTIONS(4198),
    [anon_sym_DASH_DASH] = ACTIONS(4198),
    [anon_sym_PLUS_PLUS] = ACTIONS(4198),
    [anon_sym_DOT] = ACTIONS(4196),
    [anon_sym_DASH_GT] = ACTIONS(4198),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4196),
    [anon_sym___typeof] = ACTIONS(4196),
    [anon_sym_typeof] = ACTIONS(4196),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4196),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4196),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4196),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4196),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4196),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4196),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4196),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4196),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4196),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4196),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4196),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4196),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4196),
    [anon_sym_API_AVAILABLE] = ACTIONS(4196),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4196),
    [anon_sym_API_DEPRECATED] = ACTIONS(4196),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4196),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4196),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4196),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4196),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4196),
    [anon_sym___deprecated_msg] = ACTIONS(4196),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4196),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4196),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4196),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4196),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4196),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4196),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4196),
    [anon_sym_BOOL] = ACTIONS(4196),
    [anon_sym_IMP] = ACTIONS(4196),
    [anon_sym_SEL] = ACTIONS(4196),
    [anon_sym_Class] = ACTIONS(4196),
    [anon_sym_id] = ACTIONS(4196),
  },
  [1501] = {
    [sym_identifier] = ACTIONS(4200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4202),
    [anon_sym_COMMA] = ACTIONS(4202),
    [anon_sym_LPAREN2] = ACTIONS(4202),
    [anon_sym_DASH] = ACTIONS(4200),
    [anon_sym_PLUS] = ACTIONS(4200),
    [anon_sym_STAR] = ACTIONS(4200),
    [anon_sym_SLASH] = ACTIONS(4200),
    [anon_sym_PERCENT] = ACTIONS(4200),
    [anon_sym_PIPE_PIPE] = ACTIONS(4202),
    [anon_sym_AMP_AMP] = ACTIONS(4202),
    [anon_sym_PIPE] = ACTIONS(4200),
    [anon_sym_CARET] = ACTIONS(4200),
    [anon_sym_AMP] = ACTIONS(4200),
    [anon_sym_EQ_EQ] = ACTIONS(4202),
    [anon_sym_BANG_EQ] = ACTIONS(4202),
    [anon_sym_GT] = ACTIONS(4200),
    [anon_sym_GT_EQ] = ACTIONS(4202),
    [anon_sym_LT_EQ] = ACTIONS(4202),
    [anon_sym_LT] = ACTIONS(4200),
    [anon_sym_LT_LT] = ACTIONS(4200),
    [anon_sym_GT_GT] = ACTIONS(4200),
    [anon_sym_SEMI] = ACTIONS(4202),
    [anon_sym___extension__] = ACTIONS(4200),
    [anon_sym_extern] = ACTIONS(4200),
    [anon_sym___attribute__] = ACTIONS(4200),
    [anon_sym___attribute] = ACTIONS(4200),
    [anon_sym_noreturn] = ACTIONS(4200),
    [anon_sym_LBRACK] = ACTIONS(4202),
    [anon_sym___declspec] = ACTIONS(4200),
    [anon_sym_LBRACE] = ACTIONS(4202),
    [anon_sym_signed] = ACTIONS(4200),
    [anon_sym_unsigned] = ACTIONS(4200),
    [anon_sym_long] = ACTIONS(4200),
    [anon_sym_short] = ACTIONS(4200),
    [anon_sym_static] = ACTIONS(4200),
    [anon_sym_EQ] = ACTIONS(4200),
    [anon_sym_ATautoreleasepool] = ACTIONS(4202),
    [anon_sym_auto] = ACTIONS(4200),
    [anon_sym_register] = ACTIONS(4200),
    [anon_sym_inline] = ACTIONS(4200),
    [anon_sym___inline] = ACTIONS(4200),
    [anon_sym___inline__] = ACTIONS(4200),
    [anon_sym___forceinline] = ACTIONS(4200),
    [anon_sym_thread_local] = ACTIONS(4200),
    [anon_sym___thread] = ACTIONS(4200),
    [anon_sym_CG_EXTERN] = ACTIONS(4200),
    [anon_sym_CG_INLINE] = ACTIONS(4200),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4200),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4200),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4200),
    [anon_sym_IBOutlet] = ACTIONS(4200),
    [anon_sym_IBInspectable] = ACTIONS(4200),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4200),
    [anon_sym_NS_INLINE] = ACTIONS(4200),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4200),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4200),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4200),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4200),
    [anon_sym_const] = ACTIONS(4200),
    [anon_sym_constexpr] = ACTIONS(4200),
    [anon_sym_volatile] = ACTIONS(4200),
    [anon_sym_restrict] = ACTIONS(4200),
    [anon_sym___restrict__] = ACTIONS(4200),
    [anon_sym__Atomic] = ACTIONS(4200),
    [anon_sym__Noreturn] = ACTIONS(4200),
    [anon_sym__Nonnull] = ACTIONS(4200),
    [anon_sym_nullable] = ACTIONS(4200),
    [anon_sym__Complex] = ACTIONS(4200),
    [anon_sym__Nullable] = ACTIONS(4200),
    [anon_sym__Nullable_result] = ACTIONS(4200),
    [anon_sym__Null_unspecified] = ACTIONS(4200),
    [anon_sym___autoreleasing] = ACTIONS(4200),
    [anon_sym___block] = ACTIONS(4200),
    [anon_sym___bridge] = ACTIONS(4200),
    [anon_sym___bridge_retained] = ACTIONS(4200),
    [anon_sym___bridge_transfer] = ACTIONS(4200),
    [anon_sym___complex] = ACTIONS(4200),
    [anon_sym___const] = ACTIONS(4200),
    [anon_sym___imag] = ACTIONS(4200),
    [anon_sym___kindof] = ACTIONS(4200),
    [anon_sym___nonnull] = ACTIONS(4200),
    [anon_sym___nullable] = ACTIONS(4200),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4200),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4200),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4200),
    [anon_sym___real] = ACTIONS(4200),
    [anon_sym___strong] = ACTIONS(4200),
    [anon_sym___unsafe_unretained] = ACTIONS(4200),
    [anon_sym___unused] = ACTIONS(4200),
    [anon_sym___weak] = ACTIONS(4200),
    [anon_sym_alignas] = ACTIONS(4200),
    [anon_sym__Alignas] = ACTIONS(4200),
    [sym_primitive_type] = ACTIONS(4200),
    [anon_sym_enum] = ACTIONS(4200),
    [anon_sym_struct] = ACTIONS(4200),
    [anon_sym_union] = ACTIONS(4200),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_STAR_EQ] = ACTIONS(4202),
    [anon_sym_SLASH_EQ] = ACTIONS(4202),
    [anon_sym_PERCENT_EQ] = ACTIONS(4202),
    [anon_sym_PLUS_EQ] = ACTIONS(4202),
    [anon_sym_DASH_EQ] = ACTIONS(4202),
    [anon_sym_LT_LT_EQ] = ACTIONS(4202),
    [anon_sym_GT_GT_EQ] = ACTIONS(4202),
    [anon_sym_AMP_EQ] = ACTIONS(4202),
    [anon_sym_CARET_EQ] = ACTIONS(4202),
    [anon_sym_PIPE_EQ] = ACTIONS(4202),
    [anon_sym_DASH_DASH] = ACTIONS(4202),
    [anon_sym_PLUS_PLUS] = ACTIONS(4202),
    [anon_sym_DOT] = ACTIONS(4200),
    [anon_sym_DASH_GT] = ACTIONS(4202),
    [anon_sym_AT] = ACTIONS(4200),
    [anon_sym_DQUOTE] = ACTIONS(4202),
    [anon_sym_L_DQUOTE] = ACTIONS(4202),
    [anon_sym_u_DQUOTE] = ACTIONS(4202),
    [anon_sym_U_DQUOTE] = ACTIONS(4202),
    [anon_sym_u8_DQUOTE] = ACTIONS(4202),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4200),
    [anon_sym___typeof] = ACTIONS(4200),
    [anon_sym_typeof] = ACTIONS(4200),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4200),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4200),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4200),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4200),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4200),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4200),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4200),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4200),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4200),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4200),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4200),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4200),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4200),
    [anon_sym_API_AVAILABLE] = ACTIONS(4200),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4200),
    [anon_sym_API_DEPRECATED] = ACTIONS(4200),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4200),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4200),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4200),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4200),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4200),
    [anon_sym___deprecated_msg] = ACTIONS(4200),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4200),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4200),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4200),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4200),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4200),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4200),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4200),
    [anon_sym_BOOL] = ACTIONS(4200),
    [anon_sym_IMP] = ACTIONS(4200),
    [anon_sym_SEL] = ACTIONS(4200),
    [anon_sym_Class] = ACTIONS(4200),
    [anon_sym_id] = ACTIONS(4200),
  },
  [1502] = {
    [sym__declaration_modifiers] = STATE(1585),
    [sym__declaration_specifiers] = STATE(4576),
    [sym_attribute_specifier] = STATE(1585),
    [sym_attribute_declaration] = STATE(1585),
    [sym_ms_declspec_modifier] = STATE(1585),
    [sym_ms_based_modifier] = STATE(6208),
    [sym__declarator] = STATE(5175),
    [sym__abstract_declarator] = STATE(5323),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_abstract_parenthesized_declarator] = STATE(4850),
    [sym_pointer_declarator] = STATE(3994),
    [sym_abstract_pointer_declarator] = STATE(4850),
    [sym_function_declarator] = STATE(3994),
    [sym_abstract_function_declarator] = STATE(4850),
    [sym_array_declarator] = STATE(3994),
    [sym_abstract_array_declarator] = STATE(4850),
    [sym_compound_statement] = STATE(5913),
    [sym_storage_class_specifier] = STATE(1585),
    [sym_type_qualifier] = STATE(1585),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_variadic_parameter] = STATE(5522),
    [sym_parameter_list] = STATE(4274),
    [sym_parameter_declaration] = STATE(5522),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1585),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_abstract_block_pointer_declarator] = STATE(4850),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1585),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4206),
    [anon_sym_RPAREN] = ACTIONS(4208),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_STAR] = ACTIONS(4212),
    [anon_sym_CARET] = ACTIONS(4214),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(4216),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1503] = {
    [sym_identifier] = ACTIONS(4220),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4222),
    [anon_sym_COMMA] = ACTIONS(4222),
    [anon_sym_RPAREN] = ACTIONS(4222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4222),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4222),
    [anon_sym_LPAREN2] = ACTIONS(4222),
    [anon_sym_DASH] = ACTIONS(4220),
    [anon_sym_PLUS] = ACTIONS(4220),
    [anon_sym_STAR] = ACTIONS(4220),
    [anon_sym_SLASH] = ACTIONS(4220),
    [anon_sym_PERCENT] = ACTIONS(4220),
    [anon_sym_PIPE_PIPE] = ACTIONS(4222),
    [anon_sym_AMP_AMP] = ACTIONS(4222),
    [anon_sym_PIPE] = ACTIONS(4220),
    [anon_sym_CARET] = ACTIONS(4220),
    [anon_sym_AMP] = ACTIONS(4220),
    [anon_sym_EQ_EQ] = ACTIONS(4222),
    [anon_sym_BANG_EQ] = ACTIONS(4222),
    [anon_sym_GT] = ACTIONS(4220),
    [anon_sym_GT_EQ] = ACTIONS(4222),
    [anon_sym_LT_EQ] = ACTIONS(4222),
    [anon_sym_LT] = ACTIONS(4220),
    [anon_sym_LT_LT] = ACTIONS(4220),
    [anon_sym_GT_GT] = ACTIONS(4220),
    [anon_sym_SEMI] = ACTIONS(4222),
    [anon_sym___extension__] = ACTIONS(4220),
    [anon_sym_extern] = ACTIONS(4220),
    [anon_sym___attribute__] = ACTIONS(4220),
    [anon_sym___attribute] = ACTIONS(4220),
    [anon_sym_noreturn] = ACTIONS(4220),
    [anon_sym_LBRACK] = ACTIONS(4222),
    [anon_sym_RBRACK] = ACTIONS(4222),
    [anon_sym___declspec] = ACTIONS(4220),
    [anon_sym_LBRACE] = ACTIONS(4222),
    [anon_sym_RBRACE] = ACTIONS(4222),
    [anon_sym_signed] = ACTIONS(4220),
    [anon_sym_unsigned] = ACTIONS(4220),
    [anon_sym_long] = ACTIONS(4220),
    [anon_sym_short] = ACTIONS(4220),
    [anon_sym_static] = ACTIONS(4220),
    [anon_sym_EQ] = ACTIONS(4220),
    [anon_sym_ATautoreleasepool] = ACTIONS(4222),
    [anon_sym_auto] = ACTIONS(4220),
    [anon_sym_register] = ACTIONS(4220),
    [anon_sym_inline] = ACTIONS(4220),
    [anon_sym___inline] = ACTIONS(4220),
    [anon_sym___inline__] = ACTIONS(4220),
    [anon_sym___forceinline] = ACTIONS(4220),
    [anon_sym_thread_local] = ACTIONS(4220),
    [anon_sym___thread] = ACTIONS(4220),
    [anon_sym_CG_EXTERN] = ACTIONS(4220),
    [anon_sym_CG_INLINE] = ACTIONS(4220),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4220),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4220),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4220),
    [anon_sym_IBOutlet] = ACTIONS(4220),
    [anon_sym_IBInspectable] = ACTIONS(4220),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4220),
    [anon_sym_NS_INLINE] = ACTIONS(4220),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4220),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4220),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4220),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4220),
    [anon_sym_const] = ACTIONS(4220),
    [anon_sym_constexpr] = ACTIONS(4220),
    [anon_sym_volatile] = ACTIONS(4220),
    [anon_sym_restrict] = ACTIONS(4220),
    [anon_sym___restrict__] = ACTIONS(4220),
    [anon_sym__Atomic] = ACTIONS(4220),
    [anon_sym__Noreturn] = ACTIONS(4220),
    [anon_sym__Nonnull] = ACTIONS(4220),
    [anon_sym_nullable] = ACTIONS(4220),
    [anon_sym__Complex] = ACTIONS(4220),
    [anon_sym__Nullable] = ACTIONS(4220),
    [anon_sym__Nullable_result] = ACTIONS(4220),
    [anon_sym__Null_unspecified] = ACTIONS(4220),
    [anon_sym___autoreleasing] = ACTIONS(4220),
    [anon_sym___block] = ACTIONS(4220),
    [anon_sym___bridge] = ACTIONS(4220),
    [anon_sym___bridge_retained] = ACTIONS(4220),
    [anon_sym___bridge_transfer] = ACTIONS(4220),
    [anon_sym___complex] = ACTIONS(4220),
    [anon_sym___const] = ACTIONS(4220),
    [anon_sym___imag] = ACTIONS(4220),
    [anon_sym___kindof] = ACTIONS(4220),
    [anon_sym___nonnull] = ACTIONS(4220),
    [anon_sym___nullable] = ACTIONS(4220),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4220),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4220),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4220),
    [anon_sym___real] = ACTIONS(4220),
    [anon_sym___strong] = ACTIONS(4220),
    [anon_sym___unsafe_unretained] = ACTIONS(4220),
    [anon_sym___unused] = ACTIONS(4220),
    [anon_sym___weak] = ACTIONS(4220),
    [anon_sym_alignas] = ACTIONS(4220),
    [anon_sym__Alignas] = ACTIONS(4220),
    [sym_primitive_type] = ACTIONS(4220),
    [anon_sym_enum] = ACTIONS(4220),
    [anon_sym_COLON] = ACTIONS(4222),
    [anon_sym_struct] = ACTIONS(4220),
    [anon_sym_union] = ACTIONS(4220),
    [anon_sym_QMARK] = ACTIONS(4222),
    [anon_sym_STAR_EQ] = ACTIONS(4222),
    [anon_sym_SLASH_EQ] = ACTIONS(4222),
    [anon_sym_PERCENT_EQ] = ACTIONS(4222),
    [anon_sym_PLUS_EQ] = ACTIONS(4222),
    [anon_sym_DASH_EQ] = ACTIONS(4222),
    [anon_sym_LT_LT_EQ] = ACTIONS(4222),
    [anon_sym_GT_GT_EQ] = ACTIONS(4222),
    [anon_sym_AMP_EQ] = ACTIONS(4222),
    [anon_sym_CARET_EQ] = ACTIONS(4222),
    [anon_sym_PIPE_EQ] = ACTIONS(4222),
    [anon_sym_DASH_DASH] = ACTIONS(4222),
    [anon_sym_PLUS_PLUS] = ACTIONS(4222),
    [anon_sym_DOT] = ACTIONS(4220),
    [anon_sym_DASH_GT] = ACTIONS(4222),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4220),
    [anon_sym___typeof] = ACTIONS(4220),
    [anon_sym_typeof] = ACTIONS(4220),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4220),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4220),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4220),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4220),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4220),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4220),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4220),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4220),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4220),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4220),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4220),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4220),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4220),
    [anon_sym_API_AVAILABLE] = ACTIONS(4220),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4220),
    [anon_sym_API_DEPRECATED] = ACTIONS(4220),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4220),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4220),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4220),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4220),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4220),
    [anon_sym___deprecated_msg] = ACTIONS(4220),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4220),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4220),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4220),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4220),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4220),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4220),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4220),
    [anon_sym_BOOL] = ACTIONS(4220),
    [anon_sym_IMP] = ACTIONS(4220),
    [anon_sym_SEL] = ACTIONS(4220),
    [anon_sym_Class] = ACTIONS(4220),
    [anon_sym_id] = ACTIONS(4220),
  },
  [1504] = {
    [sym_identifier] = ACTIONS(4224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4226),
    [anon_sym_COMMA] = ACTIONS(4226),
    [anon_sym_RPAREN] = ACTIONS(4226),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4226),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4226),
    [anon_sym_LPAREN2] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4224),
    [anon_sym_SLASH] = ACTIONS(4224),
    [anon_sym_PERCENT] = ACTIONS(4224),
    [anon_sym_PIPE_PIPE] = ACTIONS(4226),
    [anon_sym_AMP_AMP] = ACTIONS(4226),
    [anon_sym_PIPE] = ACTIONS(4224),
    [anon_sym_CARET] = ACTIONS(4224),
    [anon_sym_AMP] = ACTIONS(4224),
    [anon_sym_EQ_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_GT_EQ] = ACTIONS(4226),
    [anon_sym_LT_EQ] = ACTIONS(4226),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_LT_LT] = ACTIONS(4224),
    [anon_sym_GT_GT] = ACTIONS(4224),
    [anon_sym_SEMI] = ACTIONS(4226),
    [anon_sym___extension__] = ACTIONS(4224),
    [anon_sym_extern] = ACTIONS(4224),
    [anon_sym___attribute__] = ACTIONS(4224),
    [anon_sym___attribute] = ACTIONS(4224),
    [anon_sym_noreturn] = ACTIONS(4224),
    [anon_sym_LBRACK] = ACTIONS(4226),
    [anon_sym_RBRACK] = ACTIONS(4226),
    [anon_sym___declspec] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4226),
    [anon_sym_RBRACE] = ACTIONS(4226),
    [anon_sym_signed] = ACTIONS(4224),
    [anon_sym_unsigned] = ACTIONS(4224),
    [anon_sym_long] = ACTIONS(4224),
    [anon_sym_short] = ACTIONS(4224),
    [anon_sym_static] = ACTIONS(4224),
    [anon_sym_EQ] = ACTIONS(4224),
    [anon_sym_ATautoreleasepool] = ACTIONS(4226),
    [anon_sym_auto] = ACTIONS(4224),
    [anon_sym_register] = ACTIONS(4224),
    [anon_sym_inline] = ACTIONS(4224),
    [anon_sym___inline] = ACTIONS(4224),
    [anon_sym___inline__] = ACTIONS(4224),
    [anon_sym___forceinline] = ACTIONS(4224),
    [anon_sym_thread_local] = ACTIONS(4224),
    [anon_sym___thread] = ACTIONS(4224),
    [anon_sym_CG_EXTERN] = ACTIONS(4224),
    [anon_sym_CG_INLINE] = ACTIONS(4224),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4224),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4224),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4224),
    [anon_sym_IBOutlet] = ACTIONS(4224),
    [anon_sym_IBInspectable] = ACTIONS(4224),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4224),
    [anon_sym_NS_INLINE] = ACTIONS(4224),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4224),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4224),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4224),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4224),
    [anon_sym_const] = ACTIONS(4224),
    [anon_sym_constexpr] = ACTIONS(4224),
    [anon_sym_volatile] = ACTIONS(4224),
    [anon_sym_restrict] = ACTIONS(4224),
    [anon_sym___restrict__] = ACTIONS(4224),
    [anon_sym__Atomic] = ACTIONS(4224),
    [anon_sym__Noreturn] = ACTIONS(4224),
    [anon_sym__Nonnull] = ACTIONS(4224),
    [anon_sym_nullable] = ACTIONS(4224),
    [anon_sym__Complex] = ACTIONS(4224),
    [anon_sym__Nullable] = ACTIONS(4224),
    [anon_sym__Nullable_result] = ACTIONS(4224),
    [anon_sym__Null_unspecified] = ACTIONS(4224),
    [anon_sym___autoreleasing] = ACTIONS(4224),
    [anon_sym___block] = ACTIONS(4224),
    [anon_sym___bridge] = ACTIONS(4224),
    [anon_sym___bridge_retained] = ACTIONS(4224),
    [anon_sym___bridge_transfer] = ACTIONS(4224),
    [anon_sym___complex] = ACTIONS(4224),
    [anon_sym___const] = ACTIONS(4224),
    [anon_sym___imag] = ACTIONS(4224),
    [anon_sym___kindof] = ACTIONS(4224),
    [anon_sym___nonnull] = ACTIONS(4224),
    [anon_sym___nullable] = ACTIONS(4224),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4224),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4224),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4224),
    [anon_sym___real] = ACTIONS(4224),
    [anon_sym___strong] = ACTIONS(4224),
    [anon_sym___unsafe_unretained] = ACTIONS(4224),
    [anon_sym___unused] = ACTIONS(4224),
    [anon_sym___weak] = ACTIONS(4224),
    [anon_sym_alignas] = ACTIONS(4224),
    [anon_sym__Alignas] = ACTIONS(4224),
    [sym_primitive_type] = ACTIONS(4224),
    [anon_sym_enum] = ACTIONS(4224),
    [anon_sym_COLON] = ACTIONS(4226),
    [anon_sym_struct] = ACTIONS(4224),
    [anon_sym_union] = ACTIONS(4224),
    [anon_sym_QMARK] = ACTIONS(4226),
    [anon_sym_STAR_EQ] = ACTIONS(4226),
    [anon_sym_SLASH_EQ] = ACTIONS(4226),
    [anon_sym_PERCENT_EQ] = ACTIONS(4226),
    [anon_sym_PLUS_EQ] = ACTIONS(4226),
    [anon_sym_DASH_EQ] = ACTIONS(4226),
    [anon_sym_LT_LT_EQ] = ACTIONS(4226),
    [anon_sym_GT_GT_EQ] = ACTIONS(4226),
    [anon_sym_AMP_EQ] = ACTIONS(4226),
    [anon_sym_CARET_EQ] = ACTIONS(4226),
    [anon_sym_PIPE_EQ] = ACTIONS(4226),
    [anon_sym_DASH_DASH] = ACTIONS(4226),
    [anon_sym_PLUS_PLUS] = ACTIONS(4226),
    [anon_sym_DOT] = ACTIONS(4224),
    [anon_sym_DASH_GT] = ACTIONS(4226),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4224),
    [anon_sym___typeof] = ACTIONS(4224),
    [anon_sym_typeof] = ACTIONS(4224),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4224),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4224),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4224),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4224),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4224),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4224),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4224),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4224),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4224),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4224),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4224),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4224),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4224),
    [anon_sym_API_AVAILABLE] = ACTIONS(4224),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4224),
    [anon_sym_API_DEPRECATED] = ACTIONS(4224),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4224),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4224),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4224),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4224),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4224),
    [anon_sym___deprecated_msg] = ACTIONS(4224),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4224),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4224),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4224),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4224),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4224),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4224),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4224),
    [anon_sym_BOOL] = ACTIONS(4224),
    [anon_sym_IMP] = ACTIONS(4224),
    [anon_sym_SEL] = ACTIONS(4224),
    [anon_sym_Class] = ACTIONS(4224),
    [anon_sym_id] = ACTIONS(4224),
  },
  [1505] = {
    [sym_identifier] = ACTIONS(4228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4230),
    [anon_sym_COMMA] = ACTIONS(4230),
    [anon_sym_RPAREN] = ACTIONS(4230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4230),
    [anon_sym_LPAREN2] = ACTIONS(4230),
    [anon_sym_DASH] = ACTIONS(4228),
    [anon_sym_PLUS] = ACTIONS(4228),
    [anon_sym_STAR] = ACTIONS(4228),
    [anon_sym_SLASH] = ACTIONS(4228),
    [anon_sym_PERCENT] = ACTIONS(4228),
    [anon_sym_PIPE_PIPE] = ACTIONS(4230),
    [anon_sym_AMP_AMP] = ACTIONS(4230),
    [anon_sym_PIPE] = ACTIONS(4228),
    [anon_sym_CARET] = ACTIONS(4228),
    [anon_sym_AMP] = ACTIONS(4228),
    [anon_sym_EQ_EQ] = ACTIONS(4230),
    [anon_sym_BANG_EQ] = ACTIONS(4230),
    [anon_sym_GT] = ACTIONS(4228),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_LT] = ACTIONS(4228),
    [anon_sym_LT_LT] = ACTIONS(4228),
    [anon_sym_GT_GT] = ACTIONS(4228),
    [anon_sym_SEMI] = ACTIONS(4230),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_extern] = ACTIONS(4228),
    [anon_sym___attribute__] = ACTIONS(4228),
    [anon_sym___attribute] = ACTIONS(4228),
    [anon_sym_noreturn] = ACTIONS(4228),
    [anon_sym_LBRACK] = ACTIONS(4230),
    [anon_sym_RBRACK] = ACTIONS(4230),
    [anon_sym___declspec] = ACTIONS(4228),
    [anon_sym_LBRACE] = ACTIONS(4230),
    [anon_sym_RBRACE] = ACTIONS(4230),
    [anon_sym_signed] = ACTIONS(4228),
    [anon_sym_unsigned] = ACTIONS(4228),
    [anon_sym_long] = ACTIONS(4228),
    [anon_sym_short] = ACTIONS(4228),
    [anon_sym_static] = ACTIONS(4228),
    [anon_sym_EQ] = ACTIONS(4228),
    [anon_sym_ATautoreleasepool] = ACTIONS(4230),
    [anon_sym_auto] = ACTIONS(4228),
    [anon_sym_register] = ACTIONS(4228),
    [anon_sym_inline] = ACTIONS(4228),
    [anon_sym___inline] = ACTIONS(4228),
    [anon_sym___inline__] = ACTIONS(4228),
    [anon_sym___forceinline] = ACTIONS(4228),
    [anon_sym_thread_local] = ACTIONS(4228),
    [anon_sym___thread] = ACTIONS(4228),
    [anon_sym_CG_EXTERN] = ACTIONS(4228),
    [anon_sym_CG_INLINE] = ACTIONS(4228),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4228),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4228),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4228),
    [anon_sym_IBOutlet] = ACTIONS(4228),
    [anon_sym_IBInspectable] = ACTIONS(4228),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4228),
    [anon_sym_NS_INLINE] = ACTIONS(4228),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4228),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4228),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4228),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4228),
    [anon_sym_const] = ACTIONS(4228),
    [anon_sym_constexpr] = ACTIONS(4228),
    [anon_sym_volatile] = ACTIONS(4228),
    [anon_sym_restrict] = ACTIONS(4228),
    [anon_sym___restrict__] = ACTIONS(4228),
    [anon_sym__Atomic] = ACTIONS(4228),
    [anon_sym__Noreturn] = ACTIONS(4228),
    [anon_sym__Nonnull] = ACTIONS(4228),
    [anon_sym_nullable] = ACTIONS(4228),
    [anon_sym__Complex] = ACTIONS(4228),
    [anon_sym__Nullable] = ACTIONS(4228),
    [anon_sym__Nullable_result] = ACTIONS(4228),
    [anon_sym__Null_unspecified] = ACTIONS(4228),
    [anon_sym___autoreleasing] = ACTIONS(4228),
    [anon_sym___block] = ACTIONS(4228),
    [anon_sym___bridge] = ACTIONS(4228),
    [anon_sym___bridge_retained] = ACTIONS(4228),
    [anon_sym___bridge_transfer] = ACTIONS(4228),
    [anon_sym___complex] = ACTIONS(4228),
    [anon_sym___const] = ACTIONS(4228),
    [anon_sym___imag] = ACTIONS(4228),
    [anon_sym___kindof] = ACTIONS(4228),
    [anon_sym___nonnull] = ACTIONS(4228),
    [anon_sym___nullable] = ACTIONS(4228),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4228),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4228),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4228),
    [anon_sym___real] = ACTIONS(4228),
    [anon_sym___strong] = ACTIONS(4228),
    [anon_sym___unsafe_unretained] = ACTIONS(4228),
    [anon_sym___unused] = ACTIONS(4228),
    [anon_sym___weak] = ACTIONS(4228),
    [anon_sym_alignas] = ACTIONS(4228),
    [anon_sym__Alignas] = ACTIONS(4228),
    [sym_primitive_type] = ACTIONS(4228),
    [anon_sym_enum] = ACTIONS(4228),
    [anon_sym_COLON] = ACTIONS(4230),
    [anon_sym_struct] = ACTIONS(4228),
    [anon_sym_union] = ACTIONS(4228),
    [anon_sym_QMARK] = ACTIONS(4230),
    [anon_sym_STAR_EQ] = ACTIONS(4230),
    [anon_sym_SLASH_EQ] = ACTIONS(4230),
    [anon_sym_PERCENT_EQ] = ACTIONS(4230),
    [anon_sym_PLUS_EQ] = ACTIONS(4230),
    [anon_sym_DASH_EQ] = ACTIONS(4230),
    [anon_sym_LT_LT_EQ] = ACTIONS(4230),
    [anon_sym_GT_GT_EQ] = ACTIONS(4230),
    [anon_sym_AMP_EQ] = ACTIONS(4230),
    [anon_sym_CARET_EQ] = ACTIONS(4230),
    [anon_sym_PIPE_EQ] = ACTIONS(4230),
    [anon_sym_DASH_DASH] = ACTIONS(4230),
    [anon_sym_PLUS_PLUS] = ACTIONS(4230),
    [anon_sym_DOT] = ACTIONS(4228),
    [anon_sym_DASH_GT] = ACTIONS(4230),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4228),
    [anon_sym___typeof] = ACTIONS(4228),
    [anon_sym_typeof] = ACTIONS(4228),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4228),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4228),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4228),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4228),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4228),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4228),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4228),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4228),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4228),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4228),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4228),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4228),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4228),
    [anon_sym_API_AVAILABLE] = ACTIONS(4228),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4228),
    [anon_sym_API_DEPRECATED] = ACTIONS(4228),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4228),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4228),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4228),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4228),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4228),
    [anon_sym___deprecated_msg] = ACTIONS(4228),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4228),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4228),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4228),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4228),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4228),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4228),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4228),
    [anon_sym_BOOL] = ACTIONS(4228),
    [anon_sym_IMP] = ACTIONS(4228),
    [anon_sym_SEL] = ACTIONS(4228),
    [anon_sym_Class] = ACTIONS(4228),
    [anon_sym_id] = ACTIONS(4228),
  },
  [1506] = {
    [sym_identifier] = ACTIONS(4232),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4234),
    [anon_sym_COMMA] = ACTIONS(4234),
    [anon_sym_LPAREN2] = ACTIONS(4234),
    [anon_sym_DASH] = ACTIONS(4232),
    [anon_sym_PLUS] = ACTIONS(4232),
    [anon_sym_STAR] = ACTIONS(4232),
    [anon_sym_SLASH] = ACTIONS(4232),
    [anon_sym_PERCENT] = ACTIONS(4232),
    [anon_sym_PIPE_PIPE] = ACTIONS(4234),
    [anon_sym_AMP_AMP] = ACTIONS(4234),
    [anon_sym_PIPE] = ACTIONS(4232),
    [anon_sym_CARET] = ACTIONS(4232),
    [anon_sym_AMP] = ACTIONS(4232),
    [anon_sym_EQ_EQ] = ACTIONS(4234),
    [anon_sym_BANG_EQ] = ACTIONS(4234),
    [anon_sym_GT] = ACTIONS(4232),
    [anon_sym_GT_EQ] = ACTIONS(4234),
    [anon_sym_LT_EQ] = ACTIONS(4234),
    [anon_sym_LT] = ACTIONS(4232),
    [anon_sym_LT_LT] = ACTIONS(4232),
    [anon_sym_GT_GT] = ACTIONS(4232),
    [anon_sym_SEMI] = ACTIONS(4234),
    [anon_sym___extension__] = ACTIONS(4232),
    [anon_sym_extern] = ACTIONS(4232),
    [anon_sym___attribute__] = ACTIONS(4232),
    [anon_sym___attribute] = ACTIONS(4232),
    [anon_sym_noreturn] = ACTIONS(4232),
    [anon_sym_LBRACK] = ACTIONS(4234),
    [anon_sym___declspec] = ACTIONS(4232),
    [anon_sym_LBRACE] = ACTIONS(4234),
    [anon_sym_signed] = ACTIONS(4232),
    [anon_sym_unsigned] = ACTIONS(4232),
    [anon_sym_long] = ACTIONS(4232),
    [anon_sym_short] = ACTIONS(4232),
    [anon_sym_static] = ACTIONS(4232),
    [anon_sym_EQ] = ACTIONS(4232),
    [anon_sym_ATautoreleasepool] = ACTIONS(4234),
    [anon_sym_auto] = ACTIONS(4232),
    [anon_sym_register] = ACTIONS(4232),
    [anon_sym_inline] = ACTIONS(4232),
    [anon_sym___inline] = ACTIONS(4232),
    [anon_sym___inline__] = ACTIONS(4232),
    [anon_sym___forceinline] = ACTIONS(4232),
    [anon_sym_thread_local] = ACTIONS(4232),
    [anon_sym___thread] = ACTIONS(4232),
    [anon_sym_CG_EXTERN] = ACTIONS(4232),
    [anon_sym_CG_INLINE] = ACTIONS(4232),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4232),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4232),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4232),
    [anon_sym_IBOutlet] = ACTIONS(4232),
    [anon_sym_IBInspectable] = ACTIONS(4232),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4232),
    [anon_sym_NS_INLINE] = ACTIONS(4232),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4232),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4232),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4232),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4232),
    [anon_sym_const] = ACTIONS(4232),
    [anon_sym_constexpr] = ACTIONS(4232),
    [anon_sym_volatile] = ACTIONS(4232),
    [anon_sym_restrict] = ACTIONS(4232),
    [anon_sym___restrict__] = ACTIONS(4232),
    [anon_sym__Atomic] = ACTIONS(4232),
    [anon_sym__Noreturn] = ACTIONS(4232),
    [anon_sym__Nonnull] = ACTIONS(4232),
    [anon_sym_nullable] = ACTIONS(4232),
    [anon_sym__Complex] = ACTIONS(4232),
    [anon_sym__Nullable] = ACTIONS(4232),
    [anon_sym__Nullable_result] = ACTIONS(4232),
    [anon_sym__Null_unspecified] = ACTIONS(4232),
    [anon_sym___autoreleasing] = ACTIONS(4232),
    [anon_sym___block] = ACTIONS(4232),
    [anon_sym___bridge] = ACTIONS(4232),
    [anon_sym___bridge_retained] = ACTIONS(4232),
    [anon_sym___bridge_transfer] = ACTIONS(4232),
    [anon_sym___complex] = ACTIONS(4232),
    [anon_sym___const] = ACTIONS(4232),
    [anon_sym___imag] = ACTIONS(4232),
    [anon_sym___kindof] = ACTIONS(4232),
    [anon_sym___nonnull] = ACTIONS(4232),
    [anon_sym___nullable] = ACTIONS(4232),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4232),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4232),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4232),
    [anon_sym___real] = ACTIONS(4232),
    [anon_sym___strong] = ACTIONS(4232),
    [anon_sym___unsafe_unretained] = ACTIONS(4232),
    [anon_sym___unused] = ACTIONS(4232),
    [anon_sym___weak] = ACTIONS(4232),
    [anon_sym_alignas] = ACTIONS(4232),
    [anon_sym__Alignas] = ACTIONS(4232),
    [sym_primitive_type] = ACTIONS(4232),
    [anon_sym_enum] = ACTIONS(4232),
    [anon_sym_struct] = ACTIONS(4232),
    [anon_sym_union] = ACTIONS(4232),
    [anon_sym_QMARK] = ACTIONS(4234),
    [anon_sym_STAR_EQ] = ACTIONS(4234),
    [anon_sym_SLASH_EQ] = ACTIONS(4234),
    [anon_sym_PERCENT_EQ] = ACTIONS(4234),
    [anon_sym_PLUS_EQ] = ACTIONS(4234),
    [anon_sym_DASH_EQ] = ACTIONS(4234),
    [anon_sym_LT_LT_EQ] = ACTIONS(4234),
    [anon_sym_GT_GT_EQ] = ACTIONS(4234),
    [anon_sym_AMP_EQ] = ACTIONS(4234),
    [anon_sym_CARET_EQ] = ACTIONS(4234),
    [anon_sym_PIPE_EQ] = ACTIONS(4234),
    [anon_sym_DASH_DASH] = ACTIONS(4234),
    [anon_sym_PLUS_PLUS] = ACTIONS(4234),
    [anon_sym_DOT] = ACTIONS(4232),
    [anon_sym_DASH_GT] = ACTIONS(4234),
    [anon_sym_AT] = ACTIONS(4232),
    [anon_sym_DQUOTE] = ACTIONS(4234),
    [anon_sym_L_DQUOTE] = ACTIONS(4234),
    [anon_sym_u_DQUOTE] = ACTIONS(4234),
    [anon_sym_U_DQUOTE] = ACTIONS(4234),
    [anon_sym_u8_DQUOTE] = ACTIONS(4234),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4232),
    [anon_sym___typeof] = ACTIONS(4232),
    [anon_sym_typeof] = ACTIONS(4232),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4232),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4232),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4232),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4232),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4232),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4232),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4232),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4232),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4232),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4232),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4232),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4232),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4232),
    [anon_sym_API_AVAILABLE] = ACTIONS(4232),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4232),
    [anon_sym_API_DEPRECATED] = ACTIONS(4232),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4232),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4232),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4232),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4232),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4232),
    [anon_sym___deprecated_msg] = ACTIONS(4232),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4232),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4232),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4232),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4232),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4232),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4232),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4232),
    [anon_sym_BOOL] = ACTIONS(4232),
    [anon_sym_IMP] = ACTIONS(4232),
    [anon_sym_SEL] = ACTIONS(4232),
    [anon_sym_Class] = ACTIONS(4232),
    [anon_sym_id] = ACTIONS(4232),
  },
  [1507] = {
    [sym_identifier] = ACTIONS(4236),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4238),
    [anon_sym_COMMA] = ACTIONS(4238),
    [anon_sym_RPAREN] = ACTIONS(4238),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4238),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4238),
    [anon_sym_LPAREN2] = ACTIONS(4238),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4236),
    [anon_sym_SLASH] = ACTIONS(4236),
    [anon_sym_PERCENT] = ACTIONS(4236),
    [anon_sym_PIPE_PIPE] = ACTIONS(4238),
    [anon_sym_AMP_AMP] = ACTIONS(4238),
    [anon_sym_PIPE] = ACTIONS(4236),
    [anon_sym_CARET] = ACTIONS(4236),
    [anon_sym_AMP] = ACTIONS(4236),
    [anon_sym_EQ_EQ] = ACTIONS(4238),
    [anon_sym_BANG_EQ] = ACTIONS(4238),
    [anon_sym_GT] = ACTIONS(4236),
    [anon_sym_GT_EQ] = ACTIONS(4238),
    [anon_sym_LT_EQ] = ACTIONS(4238),
    [anon_sym_LT] = ACTIONS(4236),
    [anon_sym_LT_LT] = ACTIONS(4236),
    [anon_sym_GT_GT] = ACTIONS(4236),
    [anon_sym_SEMI] = ACTIONS(4238),
    [anon_sym___extension__] = ACTIONS(4236),
    [anon_sym_extern] = ACTIONS(4236),
    [anon_sym___attribute__] = ACTIONS(4236),
    [anon_sym___attribute] = ACTIONS(4236),
    [anon_sym_noreturn] = ACTIONS(4236),
    [anon_sym_LBRACK] = ACTIONS(4238),
    [anon_sym_RBRACK] = ACTIONS(4238),
    [anon_sym___declspec] = ACTIONS(4236),
    [anon_sym_LBRACE] = ACTIONS(4238),
    [anon_sym_RBRACE] = ACTIONS(4238),
    [anon_sym_signed] = ACTIONS(4236),
    [anon_sym_unsigned] = ACTIONS(4236),
    [anon_sym_long] = ACTIONS(4236),
    [anon_sym_short] = ACTIONS(4236),
    [anon_sym_static] = ACTIONS(4236),
    [anon_sym_EQ] = ACTIONS(4236),
    [anon_sym_ATautoreleasepool] = ACTIONS(4238),
    [anon_sym_auto] = ACTIONS(4236),
    [anon_sym_register] = ACTIONS(4236),
    [anon_sym_inline] = ACTIONS(4236),
    [anon_sym___inline] = ACTIONS(4236),
    [anon_sym___inline__] = ACTIONS(4236),
    [anon_sym___forceinline] = ACTIONS(4236),
    [anon_sym_thread_local] = ACTIONS(4236),
    [anon_sym___thread] = ACTIONS(4236),
    [anon_sym_CG_EXTERN] = ACTIONS(4236),
    [anon_sym_CG_INLINE] = ACTIONS(4236),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4236),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4236),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4236),
    [anon_sym_IBOutlet] = ACTIONS(4236),
    [anon_sym_IBInspectable] = ACTIONS(4236),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4236),
    [anon_sym_NS_INLINE] = ACTIONS(4236),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4236),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4236),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4236),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4236),
    [anon_sym_const] = ACTIONS(4236),
    [anon_sym_constexpr] = ACTIONS(4236),
    [anon_sym_volatile] = ACTIONS(4236),
    [anon_sym_restrict] = ACTIONS(4236),
    [anon_sym___restrict__] = ACTIONS(4236),
    [anon_sym__Atomic] = ACTIONS(4236),
    [anon_sym__Noreturn] = ACTIONS(4236),
    [anon_sym__Nonnull] = ACTIONS(4236),
    [anon_sym_nullable] = ACTIONS(4236),
    [anon_sym__Complex] = ACTIONS(4236),
    [anon_sym__Nullable] = ACTIONS(4236),
    [anon_sym__Nullable_result] = ACTIONS(4236),
    [anon_sym__Null_unspecified] = ACTIONS(4236),
    [anon_sym___autoreleasing] = ACTIONS(4236),
    [anon_sym___block] = ACTIONS(4236),
    [anon_sym___bridge] = ACTIONS(4236),
    [anon_sym___bridge_retained] = ACTIONS(4236),
    [anon_sym___bridge_transfer] = ACTIONS(4236),
    [anon_sym___complex] = ACTIONS(4236),
    [anon_sym___const] = ACTIONS(4236),
    [anon_sym___imag] = ACTIONS(4236),
    [anon_sym___kindof] = ACTIONS(4236),
    [anon_sym___nonnull] = ACTIONS(4236),
    [anon_sym___nullable] = ACTIONS(4236),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4236),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4236),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4236),
    [anon_sym___real] = ACTIONS(4236),
    [anon_sym___strong] = ACTIONS(4236),
    [anon_sym___unsafe_unretained] = ACTIONS(4236),
    [anon_sym___unused] = ACTIONS(4236),
    [anon_sym___weak] = ACTIONS(4236),
    [anon_sym_alignas] = ACTIONS(4236),
    [anon_sym__Alignas] = ACTIONS(4236),
    [sym_primitive_type] = ACTIONS(4236),
    [anon_sym_enum] = ACTIONS(4236),
    [anon_sym_COLON] = ACTIONS(4238),
    [anon_sym_struct] = ACTIONS(4236),
    [anon_sym_union] = ACTIONS(4236),
    [anon_sym_QMARK] = ACTIONS(4238),
    [anon_sym_STAR_EQ] = ACTIONS(4238),
    [anon_sym_SLASH_EQ] = ACTIONS(4238),
    [anon_sym_PERCENT_EQ] = ACTIONS(4238),
    [anon_sym_PLUS_EQ] = ACTIONS(4238),
    [anon_sym_DASH_EQ] = ACTIONS(4238),
    [anon_sym_LT_LT_EQ] = ACTIONS(4238),
    [anon_sym_GT_GT_EQ] = ACTIONS(4238),
    [anon_sym_AMP_EQ] = ACTIONS(4238),
    [anon_sym_CARET_EQ] = ACTIONS(4238),
    [anon_sym_PIPE_EQ] = ACTIONS(4238),
    [anon_sym_DASH_DASH] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(4238),
    [anon_sym_DOT] = ACTIONS(4236),
    [anon_sym_DASH_GT] = ACTIONS(4238),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4236),
    [anon_sym___typeof] = ACTIONS(4236),
    [anon_sym_typeof] = ACTIONS(4236),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4236),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4236),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4236),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4236),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4236),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4236),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4236),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4236),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4236),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4236),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4236),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4236),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4236),
    [anon_sym_API_AVAILABLE] = ACTIONS(4236),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4236),
    [anon_sym_API_DEPRECATED] = ACTIONS(4236),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4236),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4236),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4236),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4236),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4236),
    [anon_sym___deprecated_msg] = ACTIONS(4236),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4236),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4236),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4236),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4236),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4236),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4236),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4236),
    [anon_sym_BOOL] = ACTIONS(4236),
    [anon_sym_IMP] = ACTIONS(4236),
    [anon_sym_SEL] = ACTIONS(4236),
    [anon_sym_Class] = ACTIONS(4236),
    [anon_sym_id] = ACTIONS(4236),
  },
  [1508] = {
    [sym_identifier] = ACTIONS(4240),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4242),
    [anon_sym_COMMA] = ACTIONS(4242),
    [anon_sym_RPAREN] = ACTIONS(4242),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4242),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4242),
    [anon_sym_LPAREN2] = ACTIONS(4242),
    [anon_sym_DASH] = ACTIONS(4240),
    [anon_sym_PLUS] = ACTIONS(4240),
    [anon_sym_STAR] = ACTIONS(4240),
    [anon_sym_SLASH] = ACTIONS(4240),
    [anon_sym_PERCENT] = ACTIONS(4240),
    [anon_sym_PIPE_PIPE] = ACTIONS(4242),
    [anon_sym_AMP_AMP] = ACTIONS(4242),
    [anon_sym_PIPE] = ACTIONS(4240),
    [anon_sym_CARET] = ACTIONS(4240),
    [anon_sym_AMP] = ACTIONS(4240),
    [anon_sym_EQ_EQ] = ACTIONS(4242),
    [anon_sym_BANG_EQ] = ACTIONS(4242),
    [anon_sym_GT] = ACTIONS(4240),
    [anon_sym_GT_EQ] = ACTIONS(4242),
    [anon_sym_LT_EQ] = ACTIONS(4242),
    [anon_sym_LT] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4240),
    [anon_sym_GT_GT] = ACTIONS(4240),
    [anon_sym_SEMI] = ACTIONS(4242),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_extern] = ACTIONS(4240),
    [anon_sym___attribute__] = ACTIONS(4240),
    [anon_sym___attribute] = ACTIONS(4240),
    [anon_sym_noreturn] = ACTIONS(4240),
    [anon_sym_LBRACK] = ACTIONS(4242),
    [anon_sym_RBRACK] = ACTIONS(4242),
    [anon_sym___declspec] = ACTIONS(4240),
    [anon_sym_LBRACE] = ACTIONS(4242),
    [anon_sym_RBRACE] = ACTIONS(4242),
    [anon_sym_signed] = ACTIONS(4240),
    [anon_sym_unsigned] = ACTIONS(4240),
    [anon_sym_long] = ACTIONS(4240),
    [anon_sym_short] = ACTIONS(4240),
    [anon_sym_static] = ACTIONS(4240),
    [anon_sym_EQ] = ACTIONS(4240),
    [anon_sym_ATautoreleasepool] = ACTIONS(4242),
    [anon_sym_auto] = ACTIONS(4240),
    [anon_sym_register] = ACTIONS(4240),
    [anon_sym_inline] = ACTIONS(4240),
    [anon_sym___inline] = ACTIONS(4240),
    [anon_sym___inline__] = ACTIONS(4240),
    [anon_sym___forceinline] = ACTIONS(4240),
    [anon_sym_thread_local] = ACTIONS(4240),
    [anon_sym___thread] = ACTIONS(4240),
    [anon_sym_CG_EXTERN] = ACTIONS(4240),
    [anon_sym_CG_INLINE] = ACTIONS(4240),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4240),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4240),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4240),
    [anon_sym_IBOutlet] = ACTIONS(4240),
    [anon_sym_IBInspectable] = ACTIONS(4240),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4240),
    [anon_sym_NS_INLINE] = ACTIONS(4240),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4240),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4240),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4240),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4240),
    [anon_sym_const] = ACTIONS(4240),
    [anon_sym_constexpr] = ACTIONS(4240),
    [anon_sym_volatile] = ACTIONS(4240),
    [anon_sym_restrict] = ACTIONS(4240),
    [anon_sym___restrict__] = ACTIONS(4240),
    [anon_sym__Atomic] = ACTIONS(4240),
    [anon_sym__Noreturn] = ACTIONS(4240),
    [anon_sym__Nonnull] = ACTIONS(4240),
    [anon_sym_nullable] = ACTIONS(4240),
    [anon_sym__Complex] = ACTIONS(4240),
    [anon_sym__Nullable] = ACTIONS(4240),
    [anon_sym__Nullable_result] = ACTIONS(4240),
    [anon_sym__Null_unspecified] = ACTIONS(4240),
    [anon_sym___autoreleasing] = ACTIONS(4240),
    [anon_sym___block] = ACTIONS(4240),
    [anon_sym___bridge] = ACTIONS(4240),
    [anon_sym___bridge_retained] = ACTIONS(4240),
    [anon_sym___bridge_transfer] = ACTIONS(4240),
    [anon_sym___complex] = ACTIONS(4240),
    [anon_sym___const] = ACTIONS(4240),
    [anon_sym___imag] = ACTIONS(4240),
    [anon_sym___kindof] = ACTIONS(4240),
    [anon_sym___nonnull] = ACTIONS(4240),
    [anon_sym___nullable] = ACTIONS(4240),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4240),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4240),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4240),
    [anon_sym___real] = ACTIONS(4240),
    [anon_sym___strong] = ACTIONS(4240),
    [anon_sym___unsafe_unretained] = ACTIONS(4240),
    [anon_sym___unused] = ACTIONS(4240),
    [anon_sym___weak] = ACTIONS(4240),
    [anon_sym_alignas] = ACTIONS(4240),
    [anon_sym__Alignas] = ACTIONS(4240),
    [sym_primitive_type] = ACTIONS(4240),
    [anon_sym_enum] = ACTIONS(4240),
    [anon_sym_COLON] = ACTIONS(4242),
    [anon_sym_struct] = ACTIONS(4240),
    [anon_sym_union] = ACTIONS(4240),
    [anon_sym_QMARK] = ACTIONS(4242),
    [anon_sym_STAR_EQ] = ACTIONS(4242),
    [anon_sym_SLASH_EQ] = ACTIONS(4242),
    [anon_sym_PERCENT_EQ] = ACTIONS(4242),
    [anon_sym_PLUS_EQ] = ACTIONS(4242),
    [anon_sym_DASH_EQ] = ACTIONS(4242),
    [anon_sym_LT_LT_EQ] = ACTIONS(4242),
    [anon_sym_GT_GT_EQ] = ACTIONS(4242),
    [anon_sym_AMP_EQ] = ACTIONS(4242),
    [anon_sym_CARET_EQ] = ACTIONS(4242),
    [anon_sym_PIPE_EQ] = ACTIONS(4242),
    [anon_sym_DASH_DASH] = ACTIONS(4242),
    [anon_sym_PLUS_PLUS] = ACTIONS(4242),
    [anon_sym_DOT] = ACTIONS(4240),
    [anon_sym_DASH_GT] = ACTIONS(4242),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4240),
    [anon_sym___typeof] = ACTIONS(4240),
    [anon_sym_typeof] = ACTIONS(4240),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4240),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4240),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4240),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4240),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4240),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4240),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4240),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4240),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4240),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4240),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4240),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4240),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4240),
    [anon_sym_API_AVAILABLE] = ACTIONS(4240),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4240),
    [anon_sym_API_DEPRECATED] = ACTIONS(4240),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4240),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4240),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4240),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4240),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4240),
    [anon_sym___deprecated_msg] = ACTIONS(4240),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4240),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4240),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4240),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4240),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4240),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4240),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4240),
    [anon_sym_BOOL] = ACTIONS(4240),
    [anon_sym_IMP] = ACTIONS(4240),
    [anon_sym_SEL] = ACTIONS(4240),
    [anon_sym_Class] = ACTIONS(4240),
    [anon_sym_id] = ACTIONS(4240),
  },
  [1509] = {
    [sym_identifier] = ACTIONS(4244),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4246),
    [anon_sym_COMMA] = ACTIONS(4246),
    [anon_sym_LPAREN2] = ACTIONS(4246),
    [anon_sym_DASH] = ACTIONS(4244),
    [anon_sym_PLUS] = ACTIONS(4244),
    [anon_sym_STAR] = ACTIONS(4244),
    [anon_sym_SLASH] = ACTIONS(4244),
    [anon_sym_PERCENT] = ACTIONS(4244),
    [anon_sym_PIPE_PIPE] = ACTIONS(4246),
    [anon_sym_AMP_AMP] = ACTIONS(4246),
    [anon_sym_PIPE] = ACTIONS(4244),
    [anon_sym_CARET] = ACTIONS(4244),
    [anon_sym_AMP] = ACTIONS(4244),
    [anon_sym_EQ_EQ] = ACTIONS(4246),
    [anon_sym_BANG_EQ] = ACTIONS(4246),
    [anon_sym_GT] = ACTIONS(4244),
    [anon_sym_GT_EQ] = ACTIONS(4246),
    [anon_sym_LT_EQ] = ACTIONS(4246),
    [anon_sym_LT] = ACTIONS(4244),
    [anon_sym_LT_LT] = ACTIONS(4244),
    [anon_sym_GT_GT] = ACTIONS(4244),
    [anon_sym_SEMI] = ACTIONS(4246),
    [anon_sym___extension__] = ACTIONS(4244),
    [anon_sym_extern] = ACTIONS(4244),
    [anon_sym___attribute__] = ACTIONS(4244),
    [anon_sym___attribute] = ACTIONS(4244),
    [anon_sym_noreturn] = ACTIONS(4244),
    [anon_sym_LBRACK] = ACTIONS(4246),
    [anon_sym___declspec] = ACTIONS(4244),
    [anon_sym_LBRACE] = ACTIONS(4246),
    [anon_sym_signed] = ACTIONS(4244),
    [anon_sym_unsigned] = ACTIONS(4244),
    [anon_sym_long] = ACTIONS(4244),
    [anon_sym_short] = ACTIONS(4244),
    [anon_sym_static] = ACTIONS(4244),
    [anon_sym_EQ] = ACTIONS(4244),
    [anon_sym_ATautoreleasepool] = ACTIONS(4246),
    [anon_sym_auto] = ACTIONS(4244),
    [anon_sym_register] = ACTIONS(4244),
    [anon_sym_inline] = ACTIONS(4244),
    [anon_sym___inline] = ACTIONS(4244),
    [anon_sym___inline__] = ACTIONS(4244),
    [anon_sym___forceinline] = ACTIONS(4244),
    [anon_sym_thread_local] = ACTIONS(4244),
    [anon_sym___thread] = ACTIONS(4244),
    [anon_sym_CG_EXTERN] = ACTIONS(4244),
    [anon_sym_CG_INLINE] = ACTIONS(4244),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4244),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4244),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4244),
    [anon_sym_IBOutlet] = ACTIONS(4244),
    [anon_sym_IBInspectable] = ACTIONS(4244),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4244),
    [anon_sym_NS_INLINE] = ACTIONS(4244),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4244),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4244),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4244),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4244),
    [anon_sym_const] = ACTIONS(4244),
    [anon_sym_constexpr] = ACTIONS(4244),
    [anon_sym_volatile] = ACTIONS(4244),
    [anon_sym_restrict] = ACTIONS(4244),
    [anon_sym___restrict__] = ACTIONS(4244),
    [anon_sym__Atomic] = ACTIONS(4244),
    [anon_sym__Noreturn] = ACTIONS(4244),
    [anon_sym__Nonnull] = ACTIONS(4244),
    [anon_sym_nullable] = ACTIONS(4244),
    [anon_sym__Complex] = ACTIONS(4244),
    [anon_sym__Nullable] = ACTIONS(4244),
    [anon_sym__Nullable_result] = ACTIONS(4244),
    [anon_sym__Null_unspecified] = ACTIONS(4244),
    [anon_sym___autoreleasing] = ACTIONS(4244),
    [anon_sym___block] = ACTIONS(4244),
    [anon_sym___bridge] = ACTIONS(4244),
    [anon_sym___bridge_retained] = ACTIONS(4244),
    [anon_sym___bridge_transfer] = ACTIONS(4244),
    [anon_sym___complex] = ACTIONS(4244),
    [anon_sym___const] = ACTIONS(4244),
    [anon_sym___imag] = ACTIONS(4244),
    [anon_sym___kindof] = ACTIONS(4244),
    [anon_sym___nonnull] = ACTIONS(4244),
    [anon_sym___nullable] = ACTIONS(4244),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4244),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4244),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4244),
    [anon_sym___real] = ACTIONS(4244),
    [anon_sym___strong] = ACTIONS(4244),
    [anon_sym___unsafe_unretained] = ACTIONS(4244),
    [anon_sym___unused] = ACTIONS(4244),
    [anon_sym___weak] = ACTIONS(4244),
    [anon_sym_alignas] = ACTIONS(4244),
    [anon_sym__Alignas] = ACTIONS(4244),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_enum] = ACTIONS(4244),
    [anon_sym_struct] = ACTIONS(4244),
    [anon_sym_union] = ACTIONS(4244),
    [anon_sym_QMARK] = ACTIONS(4246),
    [anon_sym_STAR_EQ] = ACTIONS(4246),
    [anon_sym_SLASH_EQ] = ACTIONS(4246),
    [anon_sym_PERCENT_EQ] = ACTIONS(4246),
    [anon_sym_PLUS_EQ] = ACTIONS(4246),
    [anon_sym_DASH_EQ] = ACTIONS(4246),
    [anon_sym_LT_LT_EQ] = ACTIONS(4246),
    [anon_sym_GT_GT_EQ] = ACTIONS(4246),
    [anon_sym_AMP_EQ] = ACTIONS(4246),
    [anon_sym_CARET_EQ] = ACTIONS(4246),
    [anon_sym_PIPE_EQ] = ACTIONS(4246),
    [anon_sym_DASH_DASH] = ACTIONS(4246),
    [anon_sym_PLUS_PLUS] = ACTIONS(4246),
    [anon_sym_DOT] = ACTIONS(4244),
    [anon_sym_DASH_GT] = ACTIONS(4246),
    [anon_sym_AT] = ACTIONS(4244),
    [anon_sym_DQUOTE] = ACTIONS(4246),
    [anon_sym_L_DQUOTE] = ACTIONS(4246),
    [anon_sym_u_DQUOTE] = ACTIONS(4246),
    [anon_sym_U_DQUOTE] = ACTIONS(4246),
    [anon_sym_u8_DQUOTE] = ACTIONS(4246),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4244),
    [anon_sym___typeof] = ACTIONS(4244),
    [anon_sym_typeof] = ACTIONS(4244),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4244),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4244),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4244),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4244),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4244),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4244),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4244),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4244),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4244),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4244),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4244),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4244),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4244),
    [anon_sym_API_AVAILABLE] = ACTIONS(4244),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4244),
    [anon_sym_API_DEPRECATED] = ACTIONS(4244),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4244),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4244),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4244),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4244),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4244),
    [anon_sym___deprecated_msg] = ACTIONS(4244),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4244),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4244),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4244),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4244),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4244),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4244),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4244),
    [anon_sym_BOOL] = ACTIONS(4244),
    [anon_sym_IMP] = ACTIONS(4244),
    [anon_sym_SEL] = ACTIONS(4244),
    [anon_sym_Class] = ACTIONS(4244),
    [anon_sym_id] = ACTIONS(4244),
  },
  [1510] = {
    [sym__declaration_modifiers] = STATE(1584),
    [sym__declaration_specifiers] = STATE(4576),
    [sym_attribute_specifier] = STATE(1584),
    [sym_attribute_declaration] = STATE(1584),
    [sym_ms_declspec_modifier] = STATE(1584),
    [sym_ms_based_modifier] = STATE(6208),
    [sym__declarator] = STATE(5303),
    [sym__abstract_declarator] = STATE(5323),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_abstract_parenthesized_declarator] = STATE(4850),
    [sym_pointer_declarator] = STATE(3994),
    [sym_abstract_pointer_declarator] = STATE(4850),
    [sym_function_declarator] = STATE(3994),
    [sym_abstract_function_declarator] = STATE(4850),
    [sym_array_declarator] = STATE(3994),
    [sym_abstract_array_declarator] = STATE(4850),
    [sym_compound_statement] = STATE(5913),
    [sym_storage_class_specifier] = STATE(1584),
    [sym_type_qualifier] = STATE(1584),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_variadic_parameter] = STATE(5522),
    [sym_parameter_list] = STATE(4274),
    [sym_parameter_declaration] = STATE(5522),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1584),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_abstract_block_pointer_declarator] = STATE(4850),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1584),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4206),
    [anon_sym_RPAREN] = ACTIONS(4208),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_STAR] = ACTIONS(4212),
    [anon_sym_CARET] = ACTIONS(4214),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(4216),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1511] = {
    [sym_identifier] = ACTIONS(4248),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4250),
    [anon_sym_COMMA] = ACTIONS(4250),
    [anon_sym_RPAREN] = ACTIONS(4250),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4250),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4250),
    [anon_sym_LPAREN2] = ACTIONS(4250),
    [anon_sym_DASH] = ACTIONS(4248),
    [anon_sym_PLUS] = ACTIONS(4248),
    [anon_sym_STAR] = ACTIONS(4248),
    [anon_sym_SLASH] = ACTIONS(4248),
    [anon_sym_PERCENT] = ACTIONS(4248),
    [anon_sym_PIPE_PIPE] = ACTIONS(4250),
    [anon_sym_AMP_AMP] = ACTIONS(4250),
    [anon_sym_PIPE] = ACTIONS(4248),
    [anon_sym_CARET] = ACTIONS(4248),
    [anon_sym_AMP] = ACTIONS(4248),
    [anon_sym_EQ_EQ] = ACTIONS(4250),
    [anon_sym_BANG_EQ] = ACTIONS(4250),
    [anon_sym_GT] = ACTIONS(4248),
    [anon_sym_GT_EQ] = ACTIONS(4250),
    [anon_sym_LT_EQ] = ACTIONS(4250),
    [anon_sym_LT] = ACTIONS(4248),
    [anon_sym_LT_LT] = ACTIONS(4248),
    [anon_sym_GT_GT] = ACTIONS(4248),
    [anon_sym_SEMI] = ACTIONS(4250),
    [anon_sym___extension__] = ACTIONS(4248),
    [anon_sym_extern] = ACTIONS(4248),
    [anon_sym___attribute__] = ACTIONS(4248),
    [anon_sym___attribute] = ACTIONS(4248),
    [anon_sym_noreturn] = ACTIONS(4248),
    [anon_sym_LBRACK] = ACTIONS(4250),
    [anon_sym_RBRACK] = ACTIONS(4250),
    [anon_sym___declspec] = ACTIONS(4248),
    [anon_sym_LBRACE] = ACTIONS(4250),
    [anon_sym_RBRACE] = ACTIONS(4250),
    [anon_sym_signed] = ACTIONS(4248),
    [anon_sym_unsigned] = ACTIONS(4248),
    [anon_sym_long] = ACTIONS(4248),
    [anon_sym_short] = ACTIONS(4248),
    [anon_sym_static] = ACTIONS(4248),
    [anon_sym_EQ] = ACTIONS(4248),
    [anon_sym_ATautoreleasepool] = ACTIONS(4250),
    [anon_sym_auto] = ACTIONS(4248),
    [anon_sym_register] = ACTIONS(4248),
    [anon_sym_inline] = ACTIONS(4248),
    [anon_sym___inline] = ACTIONS(4248),
    [anon_sym___inline__] = ACTIONS(4248),
    [anon_sym___forceinline] = ACTIONS(4248),
    [anon_sym_thread_local] = ACTIONS(4248),
    [anon_sym___thread] = ACTIONS(4248),
    [anon_sym_CG_EXTERN] = ACTIONS(4248),
    [anon_sym_CG_INLINE] = ACTIONS(4248),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4248),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4248),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4248),
    [anon_sym_IBOutlet] = ACTIONS(4248),
    [anon_sym_IBInspectable] = ACTIONS(4248),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4248),
    [anon_sym_NS_INLINE] = ACTIONS(4248),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4248),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4248),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4248),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4248),
    [anon_sym_const] = ACTIONS(4248),
    [anon_sym_constexpr] = ACTIONS(4248),
    [anon_sym_volatile] = ACTIONS(4248),
    [anon_sym_restrict] = ACTIONS(4248),
    [anon_sym___restrict__] = ACTIONS(4248),
    [anon_sym__Atomic] = ACTIONS(4248),
    [anon_sym__Noreturn] = ACTIONS(4248),
    [anon_sym__Nonnull] = ACTIONS(4248),
    [anon_sym_nullable] = ACTIONS(4248),
    [anon_sym__Complex] = ACTIONS(4248),
    [anon_sym__Nullable] = ACTIONS(4248),
    [anon_sym__Nullable_result] = ACTIONS(4248),
    [anon_sym__Null_unspecified] = ACTIONS(4248),
    [anon_sym___autoreleasing] = ACTIONS(4248),
    [anon_sym___block] = ACTIONS(4248),
    [anon_sym___bridge] = ACTIONS(4248),
    [anon_sym___bridge_retained] = ACTIONS(4248),
    [anon_sym___bridge_transfer] = ACTIONS(4248),
    [anon_sym___complex] = ACTIONS(4248),
    [anon_sym___const] = ACTIONS(4248),
    [anon_sym___imag] = ACTIONS(4248),
    [anon_sym___kindof] = ACTIONS(4248),
    [anon_sym___nonnull] = ACTIONS(4248),
    [anon_sym___nullable] = ACTIONS(4248),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4248),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4248),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4248),
    [anon_sym___real] = ACTIONS(4248),
    [anon_sym___strong] = ACTIONS(4248),
    [anon_sym___unsafe_unretained] = ACTIONS(4248),
    [anon_sym___unused] = ACTIONS(4248),
    [anon_sym___weak] = ACTIONS(4248),
    [anon_sym_alignas] = ACTIONS(4248),
    [anon_sym__Alignas] = ACTIONS(4248),
    [sym_primitive_type] = ACTIONS(4248),
    [anon_sym_enum] = ACTIONS(4248),
    [anon_sym_COLON] = ACTIONS(4250),
    [anon_sym_struct] = ACTIONS(4248),
    [anon_sym_union] = ACTIONS(4248),
    [anon_sym_QMARK] = ACTIONS(4250),
    [anon_sym_STAR_EQ] = ACTIONS(4250),
    [anon_sym_SLASH_EQ] = ACTIONS(4250),
    [anon_sym_PERCENT_EQ] = ACTIONS(4250),
    [anon_sym_PLUS_EQ] = ACTIONS(4250),
    [anon_sym_DASH_EQ] = ACTIONS(4250),
    [anon_sym_LT_LT_EQ] = ACTIONS(4250),
    [anon_sym_GT_GT_EQ] = ACTIONS(4250),
    [anon_sym_AMP_EQ] = ACTIONS(4250),
    [anon_sym_CARET_EQ] = ACTIONS(4250),
    [anon_sym_PIPE_EQ] = ACTIONS(4250),
    [anon_sym_DASH_DASH] = ACTIONS(4250),
    [anon_sym_PLUS_PLUS] = ACTIONS(4250),
    [anon_sym_DOT] = ACTIONS(4248),
    [anon_sym_DASH_GT] = ACTIONS(4250),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4248),
    [anon_sym___typeof] = ACTIONS(4248),
    [anon_sym_typeof] = ACTIONS(4248),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4248),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4248),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4248),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4248),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4248),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4248),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4248),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4248),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4248),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4248),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4248),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4248),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4248),
    [anon_sym_API_AVAILABLE] = ACTIONS(4248),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4248),
    [anon_sym_API_DEPRECATED] = ACTIONS(4248),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4248),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4248),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4248),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4248),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4248),
    [anon_sym___deprecated_msg] = ACTIONS(4248),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4248),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4248),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4248),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4248),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4248),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4248),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4248),
    [anon_sym_BOOL] = ACTIONS(4248),
    [anon_sym_IMP] = ACTIONS(4248),
    [anon_sym_SEL] = ACTIONS(4248),
    [anon_sym_Class] = ACTIONS(4248),
    [anon_sym_id] = ACTIONS(4248),
  },
  [1512] = {
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4254),
    [anon_sym_COMMA] = ACTIONS(4254),
    [anon_sym_RPAREN] = ACTIONS(4254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4254),
    [anon_sym_LPAREN2] = ACTIONS(4254),
    [anon_sym_DASH] = ACTIONS(4252),
    [anon_sym_PLUS] = ACTIONS(4252),
    [anon_sym_STAR] = ACTIONS(4252),
    [anon_sym_SLASH] = ACTIONS(4252),
    [anon_sym_PERCENT] = ACTIONS(4252),
    [anon_sym_PIPE_PIPE] = ACTIONS(4254),
    [anon_sym_AMP_AMP] = ACTIONS(4254),
    [anon_sym_PIPE] = ACTIONS(4252),
    [anon_sym_CARET] = ACTIONS(4252),
    [anon_sym_AMP] = ACTIONS(4252),
    [anon_sym_EQ_EQ] = ACTIONS(4254),
    [anon_sym_BANG_EQ] = ACTIONS(4254),
    [anon_sym_GT] = ACTIONS(4252),
    [anon_sym_GT_EQ] = ACTIONS(4254),
    [anon_sym_LT_EQ] = ACTIONS(4254),
    [anon_sym_LT] = ACTIONS(4252),
    [anon_sym_LT_LT] = ACTIONS(4252),
    [anon_sym_GT_GT] = ACTIONS(4252),
    [anon_sym_SEMI] = ACTIONS(4254),
    [anon_sym___extension__] = ACTIONS(4252),
    [anon_sym_extern] = ACTIONS(4252),
    [anon_sym___attribute__] = ACTIONS(4252),
    [anon_sym___attribute] = ACTIONS(4252),
    [anon_sym_noreturn] = ACTIONS(4252),
    [anon_sym_LBRACK] = ACTIONS(4254),
    [anon_sym_RBRACK] = ACTIONS(4254),
    [anon_sym___declspec] = ACTIONS(4252),
    [anon_sym_LBRACE] = ACTIONS(4254),
    [anon_sym_RBRACE] = ACTIONS(4254),
    [anon_sym_signed] = ACTIONS(4252),
    [anon_sym_unsigned] = ACTIONS(4252),
    [anon_sym_long] = ACTIONS(4252),
    [anon_sym_short] = ACTIONS(4252),
    [anon_sym_static] = ACTIONS(4252),
    [anon_sym_EQ] = ACTIONS(4252),
    [anon_sym_ATautoreleasepool] = ACTIONS(4254),
    [anon_sym_auto] = ACTIONS(4252),
    [anon_sym_register] = ACTIONS(4252),
    [anon_sym_inline] = ACTIONS(4252),
    [anon_sym___inline] = ACTIONS(4252),
    [anon_sym___inline__] = ACTIONS(4252),
    [anon_sym___forceinline] = ACTIONS(4252),
    [anon_sym_thread_local] = ACTIONS(4252),
    [anon_sym___thread] = ACTIONS(4252),
    [anon_sym_CG_EXTERN] = ACTIONS(4252),
    [anon_sym_CG_INLINE] = ACTIONS(4252),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4252),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4252),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4252),
    [anon_sym_IBOutlet] = ACTIONS(4252),
    [anon_sym_IBInspectable] = ACTIONS(4252),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4252),
    [anon_sym_NS_INLINE] = ACTIONS(4252),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4252),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4252),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4252),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4252),
    [anon_sym_const] = ACTIONS(4252),
    [anon_sym_constexpr] = ACTIONS(4252),
    [anon_sym_volatile] = ACTIONS(4252),
    [anon_sym_restrict] = ACTIONS(4252),
    [anon_sym___restrict__] = ACTIONS(4252),
    [anon_sym__Atomic] = ACTIONS(4252),
    [anon_sym__Noreturn] = ACTIONS(4252),
    [anon_sym__Nonnull] = ACTIONS(4252),
    [anon_sym_nullable] = ACTIONS(4252),
    [anon_sym__Complex] = ACTIONS(4252),
    [anon_sym__Nullable] = ACTIONS(4252),
    [anon_sym__Nullable_result] = ACTIONS(4252),
    [anon_sym__Null_unspecified] = ACTIONS(4252),
    [anon_sym___autoreleasing] = ACTIONS(4252),
    [anon_sym___block] = ACTIONS(4252),
    [anon_sym___bridge] = ACTIONS(4252),
    [anon_sym___bridge_retained] = ACTIONS(4252),
    [anon_sym___bridge_transfer] = ACTIONS(4252),
    [anon_sym___complex] = ACTIONS(4252),
    [anon_sym___const] = ACTIONS(4252),
    [anon_sym___imag] = ACTIONS(4252),
    [anon_sym___kindof] = ACTIONS(4252),
    [anon_sym___nonnull] = ACTIONS(4252),
    [anon_sym___nullable] = ACTIONS(4252),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4252),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4252),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4252),
    [anon_sym___real] = ACTIONS(4252),
    [anon_sym___strong] = ACTIONS(4252),
    [anon_sym___unsafe_unretained] = ACTIONS(4252),
    [anon_sym___unused] = ACTIONS(4252),
    [anon_sym___weak] = ACTIONS(4252),
    [anon_sym_alignas] = ACTIONS(4252),
    [anon_sym__Alignas] = ACTIONS(4252),
    [sym_primitive_type] = ACTIONS(4252),
    [anon_sym_enum] = ACTIONS(4252),
    [anon_sym_COLON] = ACTIONS(4254),
    [anon_sym_struct] = ACTIONS(4252),
    [anon_sym_union] = ACTIONS(4252),
    [anon_sym_QMARK] = ACTIONS(4254),
    [anon_sym_STAR_EQ] = ACTIONS(4254),
    [anon_sym_SLASH_EQ] = ACTIONS(4254),
    [anon_sym_PERCENT_EQ] = ACTIONS(4254),
    [anon_sym_PLUS_EQ] = ACTIONS(4254),
    [anon_sym_DASH_EQ] = ACTIONS(4254),
    [anon_sym_LT_LT_EQ] = ACTIONS(4254),
    [anon_sym_GT_GT_EQ] = ACTIONS(4254),
    [anon_sym_AMP_EQ] = ACTIONS(4254),
    [anon_sym_CARET_EQ] = ACTIONS(4254),
    [anon_sym_PIPE_EQ] = ACTIONS(4254),
    [anon_sym_DASH_DASH] = ACTIONS(4254),
    [anon_sym_PLUS_PLUS] = ACTIONS(4254),
    [anon_sym_DOT] = ACTIONS(4252),
    [anon_sym_DASH_GT] = ACTIONS(4254),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4252),
    [anon_sym___typeof] = ACTIONS(4252),
    [anon_sym_typeof] = ACTIONS(4252),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4252),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4252),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4252),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4252),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4252),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4252),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4252),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4252),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4252),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4252),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4252),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4252),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4252),
    [anon_sym_API_AVAILABLE] = ACTIONS(4252),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4252),
    [anon_sym_API_DEPRECATED] = ACTIONS(4252),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4252),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4252),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4252),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4252),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4252),
    [anon_sym___deprecated_msg] = ACTIONS(4252),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4252),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4252),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4252),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4252),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4252),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4252),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4252),
    [anon_sym_BOOL] = ACTIONS(4252),
    [anon_sym_IMP] = ACTIONS(4252),
    [anon_sym_SEL] = ACTIONS(4252),
    [anon_sym_Class] = ACTIONS(4252),
    [anon_sym_id] = ACTIONS(4252),
  },
  [1513] = {
    [sym_identifier] = ACTIONS(4256),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4258),
    [anon_sym_COMMA] = ACTIONS(4258),
    [anon_sym_RPAREN] = ACTIONS(4258),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4258),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4258),
    [anon_sym_LPAREN2] = ACTIONS(4258),
    [anon_sym_DASH] = ACTIONS(4256),
    [anon_sym_PLUS] = ACTIONS(4256),
    [anon_sym_STAR] = ACTIONS(4256),
    [anon_sym_SLASH] = ACTIONS(4256),
    [anon_sym_PERCENT] = ACTIONS(4256),
    [anon_sym_PIPE_PIPE] = ACTIONS(4258),
    [anon_sym_AMP_AMP] = ACTIONS(4258),
    [anon_sym_PIPE] = ACTIONS(4256),
    [anon_sym_CARET] = ACTIONS(4256),
    [anon_sym_AMP] = ACTIONS(4256),
    [anon_sym_EQ_EQ] = ACTIONS(4258),
    [anon_sym_BANG_EQ] = ACTIONS(4258),
    [anon_sym_GT] = ACTIONS(4256),
    [anon_sym_GT_EQ] = ACTIONS(4258),
    [anon_sym_LT_EQ] = ACTIONS(4258),
    [anon_sym_LT] = ACTIONS(4256),
    [anon_sym_LT_LT] = ACTIONS(4256),
    [anon_sym_GT_GT] = ACTIONS(4256),
    [anon_sym_SEMI] = ACTIONS(4258),
    [anon_sym___extension__] = ACTIONS(4256),
    [anon_sym_extern] = ACTIONS(4256),
    [anon_sym___attribute__] = ACTIONS(4256),
    [anon_sym___attribute] = ACTIONS(4256),
    [anon_sym_noreturn] = ACTIONS(4256),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [anon_sym_RBRACK] = ACTIONS(4258),
    [anon_sym___declspec] = ACTIONS(4256),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_RBRACE] = ACTIONS(4258),
    [anon_sym_signed] = ACTIONS(4256),
    [anon_sym_unsigned] = ACTIONS(4256),
    [anon_sym_long] = ACTIONS(4256),
    [anon_sym_short] = ACTIONS(4256),
    [anon_sym_static] = ACTIONS(4256),
    [anon_sym_EQ] = ACTIONS(4256),
    [anon_sym_ATautoreleasepool] = ACTIONS(4258),
    [anon_sym_auto] = ACTIONS(4256),
    [anon_sym_register] = ACTIONS(4256),
    [anon_sym_inline] = ACTIONS(4256),
    [anon_sym___inline] = ACTIONS(4256),
    [anon_sym___inline__] = ACTIONS(4256),
    [anon_sym___forceinline] = ACTIONS(4256),
    [anon_sym_thread_local] = ACTIONS(4256),
    [anon_sym___thread] = ACTIONS(4256),
    [anon_sym_CG_EXTERN] = ACTIONS(4256),
    [anon_sym_CG_INLINE] = ACTIONS(4256),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4256),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4256),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4256),
    [anon_sym_IBOutlet] = ACTIONS(4256),
    [anon_sym_IBInspectable] = ACTIONS(4256),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4256),
    [anon_sym_NS_INLINE] = ACTIONS(4256),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4256),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4256),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4256),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4256),
    [anon_sym_const] = ACTIONS(4256),
    [anon_sym_constexpr] = ACTIONS(4256),
    [anon_sym_volatile] = ACTIONS(4256),
    [anon_sym_restrict] = ACTIONS(4256),
    [anon_sym___restrict__] = ACTIONS(4256),
    [anon_sym__Atomic] = ACTIONS(4256),
    [anon_sym__Noreturn] = ACTIONS(4256),
    [anon_sym__Nonnull] = ACTIONS(4256),
    [anon_sym_nullable] = ACTIONS(4256),
    [anon_sym__Complex] = ACTIONS(4256),
    [anon_sym__Nullable] = ACTIONS(4256),
    [anon_sym__Nullable_result] = ACTIONS(4256),
    [anon_sym__Null_unspecified] = ACTIONS(4256),
    [anon_sym___autoreleasing] = ACTIONS(4256),
    [anon_sym___block] = ACTIONS(4256),
    [anon_sym___bridge] = ACTIONS(4256),
    [anon_sym___bridge_retained] = ACTIONS(4256),
    [anon_sym___bridge_transfer] = ACTIONS(4256),
    [anon_sym___complex] = ACTIONS(4256),
    [anon_sym___const] = ACTIONS(4256),
    [anon_sym___imag] = ACTIONS(4256),
    [anon_sym___kindof] = ACTIONS(4256),
    [anon_sym___nonnull] = ACTIONS(4256),
    [anon_sym___nullable] = ACTIONS(4256),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4256),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4256),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4256),
    [anon_sym___real] = ACTIONS(4256),
    [anon_sym___strong] = ACTIONS(4256),
    [anon_sym___unsafe_unretained] = ACTIONS(4256),
    [anon_sym___unused] = ACTIONS(4256),
    [anon_sym___weak] = ACTIONS(4256),
    [anon_sym_alignas] = ACTIONS(4256),
    [anon_sym__Alignas] = ACTIONS(4256),
    [sym_primitive_type] = ACTIONS(4256),
    [anon_sym_enum] = ACTIONS(4256),
    [anon_sym_COLON] = ACTIONS(4258),
    [anon_sym_struct] = ACTIONS(4256),
    [anon_sym_union] = ACTIONS(4256),
    [anon_sym_QMARK] = ACTIONS(4258),
    [anon_sym_STAR_EQ] = ACTIONS(4258),
    [anon_sym_SLASH_EQ] = ACTIONS(4258),
    [anon_sym_PERCENT_EQ] = ACTIONS(4258),
    [anon_sym_PLUS_EQ] = ACTIONS(4258),
    [anon_sym_DASH_EQ] = ACTIONS(4258),
    [anon_sym_LT_LT_EQ] = ACTIONS(4258),
    [anon_sym_GT_GT_EQ] = ACTIONS(4258),
    [anon_sym_AMP_EQ] = ACTIONS(4258),
    [anon_sym_CARET_EQ] = ACTIONS(4258),
    [anon_sym_PIPE_EQ] = ACTIONS(4258),
    [anon_sym_DASH_DASH] = ACTIONS(4258),
    [anon_sym_PLUS_PLUS] = ACTIONS(4258),
    [anon_sym_DOT] = ACTIONS(4256),
    [anon_sym_DASH_GT] = ACTIONS(4258),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4256),
    [anon_sym___typeof] = ACTIONS(4256),
    [anon_sym_typeof] = ACTIONS(4256),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4256),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4256),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4256),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4256),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4256),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4256),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4256),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4256),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4256),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4256),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4256),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4256),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4256),
    [anon_sym_API_AVAILABLE] = ACTIONS(4256),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4256),
    [anon_sym_API_DEPRECATED] = ACTIONS(4256),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4256),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4256),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4256),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4256),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4256),
    [anon_sym___deprecated_msg] = ACTIONS(4256),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4256),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4256),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4256),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4256),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4256),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4256),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4256),
    [anon_sym_BOOL] = ACTIONS(4256),
    [anon_sym_IMP] = ACTIONS(4256),
    [anon_sym_SEL] = ACTIONS(4256),
    [anon_sym_Class] = ACTIONS(4256),
    [anon_sym_id] = ACTIONS(4256),
  },
  [1514] = {
    [sym_identifier] = ACTIONS(4260),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4262),
    [anon_sym_COMMA] = ACTIONS(4262),
    [anon_sym_RPAREN] = ACTIONS(4262),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4262),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4262),
    [anon_sym_LPAREN2] = ACTIONS(4262),
    [anon_sym_DASH] = ACTIONS(4260),
    [anon_sym_PLUS] = ACTIONS(4260),
    [anon_sym_STAR] = ACTIONS(4260),
    [anon_sym_SLASH] = ACTIONS(4260),
    [anon_sym_PERCENT] = ACTIONS(4260),
    [anon_sym_PIPE_PIPE] = ACTIONS(4262),
    [anon_sym_AMP_AMP] = ACTIONS(4262),
    [anon_sym_PIPE] = ACTIONS(4260),
    [anon_sym_CARET] = ACTIONS(4260),
    [anon_sym_AMP] = ACTIONS(4260),
    [anon_sym_EQ_EQ] = ACTIONS(4262),
    [anon_sym_BANG_EQ] = ACTIONS(4262),
    [anon_sym_GT] = ACTIONS(4260),
    [anon_sym_GT_EQ] = ACTIONS(4262),
    [anon_sym_LT_EQ] = ACTIONS(4262),
    [anon_sym_LT] = ACTIONS(4260),
    [anon_sym_LT_LT] = ACTIONS(4260),
    [anon_sym_GT_GT] = ACTIONS(4260),
    [anon_sym_SEMI] = ACTIONS(4262),
    [anon_sym___extension__] = ACTIONS(4260),
    [anon_sym_extern] = ACTIONS(4260),
    [anon_sym___attribute__] = ACTIONS(4260),
    [anon_sym___attribute] = ACTIONS(4260),
    [anon_sym_noreturn] = ACTIONS(4260),
    [anon_sym_LBRACK] = ACTIONS(4262),
    [anon_sym_RBRACK] = ACTIONS(4262),
    [anon_sym___declspec] = ACTIONS(4260),
    [anon_sym_LBRACE] = ACTIONS(4262),
    [anon_sym_RBRACE] = ACTIONS(4262),
    [anon_sym_signed] = ACTIONS(4260),
    [anon_sym_unsigned] = ACTIONS(4260),
    [anon_sym_long] = ACTIONS(4260),
    [anon_sym_short] = ACTIONS(4260),
    [anon_sym_static] = ACTIONS(4260),
    [anon_sym_EQ] = ACTIONS(4260),
    [anon_sym_ATautoreleasepool] = ACTIONS(4262),
    [anon_sym_auto] = ACTIONS(4260),
    [anon_sym_register] = ACTIONS(4260),
    [anon_sym_inline] = ACTIONS(4260),
    [anon_sym___inline] = ACTIONS(4260),
    [anon_sym___inline__] = ACTIONS(4260),
    [anon_sym___forceinline] = ACTIONS(4260),
    [anon_sym_thread_local] = ACTIONS(4260),
    [anon_sym___thread] = ACTIONS(4260),
    [anon_sym_CG_EXTERN] = ACTIONS(4260),
    [anon_sym_CG_INLINE] = ACTIONS(4260),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4260),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4260),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4260),
    [anon_sym_IBOutlet] = ACTIONS(4260),
    [anon_sym_IBInspectable] = ACTIONS(4260),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4260),
    [anon_sym_NS_INLINE] = ACTIONS(4260),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4260),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4260),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4260),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4260),
    [anon_sym_const] = ACTIONS(4260),
    [anon_sym_constexpr] = ACTIONS(4260),
    [anon_sym_volatile] = ACTIONS(4260),
    [anon_sym_restrict] = ACTIONS(4260),
    [anon_sym___restrict__] = ACTIONS(4260),
    [anon_sym__Atomic] = ACTIONS(4260),
    [anon_sym__Noreturn] = ACTIONS(4260),
    [anon_sym__Nonnull] = ACTIONS(4260),
    [anon_sym_nullable] = ACTIONS(4260),
    [anon_sym__Complex] = ACTIONS(4260),
    [anon_sym__Nullable] = ACTIONS(4260),
    [anon_sym__Nullable_result] = ACTIONS(4260),
    [anon_sym__Null_unspecified] = ACTIONS(4260),
    [anon_sym___autoreleasing] = ACTIONS(4260),
    [anon_sym___block] = ACTIONS(4260),
    [anon_sym___bridge] = ACTIONS(4260),
    [anon_sym___bridge_retained] = ACTIONS(4260),
    [anon_sym___bridge_transfer] = ACTIONS(4260),
    [anon_sym___complex] = ACTIONS(4260),
    [anon_sym___const] = ACTIONS(4260),
    [anon_sym___imag] = ACTIONS(4260),
    [anon_sym___kindof] = ACTIONS(4260),
    [anon_sym___nonnull] = ACTIONS(4260),
    [anon_sym___nullable] = ACTIONS(4260),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4260),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4260),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4260),
    [anon_sym___real] = ACTIONS(4260),
    [anon_sym___strong] = ACTIONS(4260),
    [anon_sym___unsafe_unretained] = ACTIONS(4260),
    [anon_sym___unused] = ACTIONS(4260),
    [anon_sym___weak] = ACTIONS(4260),
    [anon_sym_alignas] = ACTIONS(4260),
    [anon_sym__Alignas] = ACTIONS(4260),
    [sym_primitive_type] = ACTIONS(4260),
    [anon_sym_enum] = ACTIONS(4260),
    [anon_sym_COLON] = ACTIONS(4262),
    [anon_sym_struct] = ACTIONS(4260),
    [anon_sym_union] = ACTIONS(4260),
    [anon_sym_QMARK] = ACTIONS(4262),
    [anon_sym_STAR_EQ] = ACTIONS(4262),
    [anon_sym_SLASH_EQ] = ACTIONS(4262),
    [anon_sym_PERCENT_EQ] = ACTIONS(4262),
    [anon_sym_PLUS_EQ] = ACTIONS(4262),
    [anon_sym_DASH_EQ] = ACTIONS(4262),
    [anon_sym_LT_LT_EQ] = ACTIONS(4262),
    [anon_sym_GT_GT_EQ] = ACTIONS(4262),
    [anon_sym_AMP_EQ] = ACTIONS(4262),
    [anon_sym_CARET_EQ] = ACTIONS(4262),
    [anon_sym_PIPE_EQ] = ACTIONS(4262),
    [anon_sym_DASH_DASH] = ACTIONS(4262),
    [anon_sym_PLUS_PLUS] = ACTIONS(4262),
    [anon_sym_DOT] = ACTIONS(4260),
    [anon_sym_DASH_GT] = ACTIONS(4262),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4260),
    [anon_sym___typeof] = ACTIONS(4260),
    [anon_sym_typeof] = ACTIONS(4260),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4260),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4260),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4260),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4260),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4260),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4260),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4260),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4260),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4260),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4260),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4260),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4260),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4260),
    [anon_sym_API_AVAILABLE] = ACTIONS(4260),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4260),
    [anon_sym_API_DEPRECATED] = ACTIONS(4260),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4260),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4260),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4260),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4260),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4260),
    [anon_sym___deprecated_msg] = ACTIONS(4260),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4260),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4260),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4260),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4260),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4260),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4260),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4260),
    [anon_sym_BOOL] = ACTIONS(4260),
    [anon_sym_IMP] = ACTIONS(4260),
    [anon_sym_SEL] = ACTIONS(4260),
    [anon_sym_Class] = ACTIONS(4260),
    [anon_sym_id] = ACTIONS(4260),
  },
  [1515] = {
    [sym_identifier] = ACTIONS(4264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4266),
    [anon_sym_COMMA] = ACTIONS(4266),
    [anon_sym_RPAREN] = ACTIONS(4266),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4266),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4266),
    [anon_sym_LPAREN2] = ACTIONS(4266),
    [anon_sym_DASH] = ACTIONS(4264),
    [anon_sym_PLUS] = ACTIONS(4264),
    [anon_sym_STAR] = ACTIONS(4264),
    [anon_sym_SLASH] = ACTIONS(4264),
    [anon_sym_PERCENT] = ACTIONS(4264),
    [anon_sym_PIPE_PIPE] = ACTIONS(4266),
    [anon_sym_AMP_AMP] = ACTIONS(4266),
    [anon_sym_PIPE] = ACTIONS(4264),
    [anon_sym_CARET] = ACTIONS(4264),
    [anon_sym_AMP] = ACTIONS(4264),
    [anon_sym_EQ_EQ] = ACTIONS(4266),
    [anon_sym_BANG_EQ] = ACTIONS(4266),
    [anon_sym_GT] = ACTIONS(4264),
    [anon_sym_GT_EQ] = ACTIONS(4266),
    [anon_sym_LT_EQ] = ACTIONS(4266),
    [anon_sym_LT] = ACTIONS(4264),
    [anon_sym_LT_LT] = ACTIONS(4264),
    [anon_sym_GT_GT] = ACTIONS(4264),
    [anon_sym_SEMI] = ACTIONS(4266),
    [anon_sym___extension__] = ACTIONS(4264),
    [anon_sym_extern] = ACTIONS(4264),
    [anon_sym___attribute__] = ACTIONS(4264),
    [anon_sym___attribute] = ACTIONS(4264),
    [anon_sym_noreturn] = ACTIONS(4264),
    [anon_sym_LBRACK] = ACTIONS(4266),
    [anon_sym_RBRACK] = ACTIONS(4266),
    [anon_sym___declspec] = ACTIONS(4264),
    [anon_sym_LBRACE] = ACTIONS(4266),
    [anon_sym_RBRACE] = ACTIONS(4266),
    [anon_sym_signed] = ACTIONS(4264),
    [anon_sym_unsigned] = ACTIONS(4264),
    [anon_sym_long] = ACTIONS(4264),
    [anon_sym_short] = ACTIONS(4264),
    [anon_sym_static] = ACTIONS(4264),
    [anon_sym_EQ] = ACTIONS(4264),
    [anon_sym_ATautoreleasepool] = ACTIONS(4266),
    [anon_sym_auto] = ACTIONS(4264),
    [anon_sym_register] = ACTIONS(4264),
    [anon_sym_inline] = ACTIONS(4264),
    [anon_sym___inline] = ACTIONS(4264),
    [anon_sym___inline__] = ACTIONS(4264),
    [anon_sym___forceinline] = ACTIONS(4264),
    [anon_sym_thread_local] = ACTIONS(4264),
    [anon_sym___thread] = ACTIONS(4264),
    [anon_sym_CG_EXTERN] = ACTIONS(4264),
    [anon_sym_CG_INLINE] = ACTIONS(4264),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4264),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4264),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4264),
    [anon_sym_IBOutlet] = ACTIONS(4264),
    [anon_sym_IBInspectable] = ACTIONS(4264),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4264),
    [anon_sym_NS_INLINE] = ACTIONS(4264),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4264),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4264),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4264),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4264),
    [anon_sym_const] = ACTIONS(4264),
    [anon_sym_constexpr] = ACTIONS(4264),
    [anon_sym_volatile] = ACTIONS(4264),
    [anon_sym_restrict] = ACTIONS(4264),
    [anon_sym___restrict__] = ACTIONS(4264),
    [anon_sym__Atomic] = ACTIONS(4264),
    [anon_sym__Noreturn] = ACTIONS(4264),
    [anon_sym__Nonnull] = ACTIONS(4264),
    [anon_sym_nullable] = ACTIONS(4264),
    [anon_sym__Complex] = ACTIONS(4264),
    [anon_sym__Nullable] = ACTIONS(4264),
    [anon_sym__Nullable_result] = ACTIONS(4264),
    [anon_sym__Null_unspecified] = ACTIONS(4264),
    [anon_sym___autoreleasing] = ACTIONS(4264),
    [anon_sym___block] = ACTIONS(4264),
    [anon_sym___bridge] = ACTIONS(4264),
    [anon_sym___bridge_retained] = ACTIONS(4264),
    [anon_sym___bridge_transfer] = ACTIONS(4264),
    [anon_sym___complex] = ACTIONS(4264),
    [anon_sym___const] = ACTIONS(4264),
    [anon_sym___imag] = ACTIONS(4264),
    [anon_sym___kindof] = ACTIONS(4264),
    [anon_sym___nonnull] = ACTIONS(4264),
    [anon_sym___nullable] = ACTIONS(4264),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4264),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4264),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4264),
    [anon_sym___real] = ACTIONS(4264),
    [anon_sym___strong] = ACTIONS(4264),
    [anon_sym___unsafe_unretained] = ACTIONS(4264),
    [anon_sym___unused] = ACTIONS(4264),
    [anon_sym___weak] = ACTIONS(4264),
    [anon_sym_alignas] = ACTIONS(4264),
    [anon_sym__Alignas] = ACTIONS(4264),
    [sym_primitive_type] = ACTIONS(4264),
    [anon_sym_enum] = ACTIONS(4264),
    [anon_sym_COLON] = ACTIONS(4266),
    [anon_sym_struct] = ACTIONS(4264),
    [anon_sym_union] = ACTIONS(4264),
    [anon_sym_QMARK] = ACTIONS(4266),
    [anon_sym_STAR_EQ] = ACTIONS(4266),
    [anon_sym_SLASH_EQ] = ACTIONS(4266),
    [anon_sym_PERCENT_EQ] = ACTIONS(4266),
    [anon_sym_PLUS_EQ] = ACTIONS(4266),
    [anon_sym_DASH_EQ] = ACTIONS(4266),
    [anon_sym_LT_LT_EQ] = ACTIONS(4266),
    [anon_sym_GT_GT_EQ] = ACTIONS(4266),
    [anon_sym_AMP_EQ] = ACTIONS(4266),
    [anon_sym_CARET_EQ] = ACTIONS(4266),
    [anon_sym_PIPE_EQ] = ACTIONS(4266),
    [anon_sym_DASH_DASH] = ACTIONS(4266),
    [anon_sym_PLUS_PLUS] = ACTIONS(4266),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_DASH_GT] = ACTIONS(4266),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4264),
    [anon_sym___typeof] = ACTIONS(4264),
    [anon_sym_typeof] = ACTIONS(4264),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4264),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4264),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4264),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4264),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4264),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4264),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4264),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4264),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4264),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4264),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4264),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4264),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4264),
    [anon_sym_API_AVAILABLE] = ACTIONS(4264),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4264),
    [anon_sym_API_DEPRECATED] = ACTIONS(4264),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4264),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4264),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4264),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4264),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4264),
    [anon_sym___deprecated_msg] = ACTIONS(4264),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4264),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4264),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4264),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4264),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4264),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4264),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4264),
    [anon_sym_BOOL] = ACTIONS(4264),
    [anon_sym_IMP] = ACTIONS(4264),
    [anon_sym_SEL] = ACTIONS(4264),
    [anon_sym_Class] = ACTIONS(4264),
    [anon_sym_id] = ACTIONS(4264),
  },
  [1516] = {
    [sym_identifier] = ACTIONS(4268),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4270),
    [anon_sym_COMMA] = ACTIONS(4270),
    [anon_sym_RPAREN] = ACTIONS(4270),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4270),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4270),
    [anon_sym_LPAREN2] = ACTIONS(4270),
    [anon_sym_DASH] = ACTIONS(4268),
    [anon_sym_PLUS] = ACTIONS(4268),
    [anon_sym_STAR] = ACTIONS(4268),
    [anon_sym_SLASH] = ACTIONS(4268),
    [anon_sym_PERCENT] = ACTIONS(4268),
    [anon_sym_PIPE_PIPE] = ACTIONS(4270),
    [anon_sym_AMP_AMP] = ACTIONS(4270),
    [anon_sym_PIPE] = ACTIONS(4268),
    [anon_sym_CARET] = ACTIONS(4268),
    [anon_sym_AMP] = ACTIONS(4268),
    [anon_sym_EQ_EQ] = ACTIONS(4270),
    [anon_sym_BANG_EQ] = ACTIONS(4270),
    [anon_sym_GT] = ACTIONS(4268),
    [anon_sym_GT_EQ] = ACTIONS(4270),
    [anon_sym_LT_EQ] = ACTIONS(4270),
    [anon_sym_LT] = ACTIONS(4268),
    [anon_sym_LT_LT] = ACTIONS(4268),
    [anon_sym_GT_GT] = ACTIONS(4268),
    [anon_sym_SEMI] = ACTIONS(4270),
    [anon_sym___extension__] = ACTIONS(4268),
    [anon_sym_extern] = ACTIONS(4268),
    [anon_sym___attribute__] = ACTIONS(4268),
    [anon_sym___attribute] = ACTIONS(4268),
    [anon_sym_noreturn] = ACTIONS(4268),
    [anon_sym_LBRACK] = ACTIONS(4270),
    [anon_sym_RBRACK] = ACTIONS(4270),
    [anon_sym___declspec] = ACTIONS(4268),
    [anon_sym_LBRACE] = ACTIONS(4270),
    [anon_sym_RBRACE] = ACTIONS(4270),
    [anon_sym_signed] = ACTIONS(4268),
    [anon_sym_unsigned] = ACTIONS(4268),
    [anon_sym_long] = ACTIONS(4268),
    [anon_sym_short] = ACTIONS(4268),
    [anon_sym_static] = ACTIONS(4268),
    [anon_sym_EQ] = ACTIONS(4268),
    [anon_sym_ATautoreleasepool] = ACTIONS(4270),
    [anon_sym_auto] = ACTIONS(4268),
    [anon_sym_register] = ACTIONS(4268),
    [anon_sym_inline] = ACTIONS(4268),
    [anon_sym___inline] = ACTIONS(4268),
    [anon_sym___inline__] = ACTIONS(4268),
    [anon_sym___forceinline] = ACTIONS(4268),
    [anon_sym_thread_local] = ACTIONS(4268),
    [anon_sym___thread] = ACTIONS(4268),
    [anon_sym_CG_EXTERN] = ACTIONS(4268),
    [anon_sym_CG_INLINE] = ACTIONS(4268),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4268),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4268),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4268),
    [anon_sym_IBOutlet] = ACTIONS(4268),
    [anon_sym_IBInspectable] = ACTIONS(4268),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4268),
    [anon_sym_NS_INLINE] = ACTIONS(4268),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4268),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4268),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4268),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4268),
    [anon_sym_const] = ACTIONS(4268),
    [anon_sym_constexpr] = ACTIONS(4268),
    [anon_sym_volatile] = ACTIONS(4268),
    [anon_sym_restrict] = ACTIONS(4268),
    [anon_sym___restrict__] = ACTIONS(4268),
    [anon_sym__Atomic] = ACTIONS(4268),
    [anon_sym__Noreturn] = ACTIONS(4268),
    [anon_sym__Nonnull] = ACTIONS(4268),
    [anon_sym_nullable] = ACTIONS(4268),
    [anon_sym__Complex] = ACTIONS(4268),
    [anon_sym__Nullable] = ACTIONS(4268),
    [anon_sym__Nullable_result] = ACTIONS(4268),
    [anon_sym__Null_unspecified] = ACTIONS(4268),
    [anon_sym___autoreleasing] = ACTIONS(4268),
    [anon_sym___block] = ACTIONS(4268),
    [anon_sym___bridge] = ACTIONS(4268),
    [anon_sym___bridge_retained] = ACTIONS(4268),
    [anon_sym___bridge_transfer] = ACTIONS(4268),
    [anon_sym___complex] = ACTIONS(4268),
    [anon_sym___const] = ACTIONS(4268),
    [anon_sym___imag] = ACTIONS(4268),
    [anon_sym___kindof] = ACTIONS(4268),
    [anon_sym___nonnull] = ACTIONS(4268),
    [anon_sym___nullable] = ACTIONS(4268),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4268),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4268),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4268),
    [anon_sym___real] = ACTIONS(4268),
    [anon_sym___strong] = ACTIONS(4268),
    [anon_sym___unsafe_unretained] = ACTIONS(4268),
    [anon_sym___unused] = ACTIONS(4268),
    [anon_sym___weak] = ACTIONS(4268),
    [anon_sym_alignas] = ACTIONS(4268),
    [anon_sym__Alignas] = ACTIONS(4268),
    [sym_primitive_type] = ACTIONS(4268),
    [anon_sym_enum] = ACTIONS(4268),
    [anon_sym_COLON] = ACTIONS(4270),
    [anon_sym_struct] = ACTIONS(4268),
    [anon_sym_union] = ACTIONS(4268),
    [anon_sym_QMARK] = ACTIONS(4270),
    [anon_sym_STAR_EQ] = ACTIONS(4270),
    [anon_sym_SLASH_EQ] = ACTIONS(4270),
    [anon_sym_PERCENT_EQ] = ACTIONS(4270),
    [anon_sym_PLUS_EQ] = ACTIONS(4270),
    [anon_sym_DASH_EQ] = ACTIONS(4270),
    [anon_sym_LT_LT_EQ] = ACTIONS(4270),
    [anon_sym_GT_GT_EQ] = ACTIONS(4270),
    [anon_sym_AMP_EQ] = ACTIONS(4270),
    [anon_sym_CARET_EQ] = ACTIONS(4270),
    [anon_sym_PIPE_EQ] = ACTIONS(4270),
    [anon_sym_DASH_DASH] = ACTIONS(4270),
    [anon_sym_PLUS_PLUS] = ACTIONS(4270),
    [anon_sym_DOT] = ACTIONS(4268),
    [anon_sym_DASH_GT] = ACTIONS(4270),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4268),
    [anon_sym___typeof] = ACTIONS(4268),
    [anon_sym_typeof] = ACTIONS(4268),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4268),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4268),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4268),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4268),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4268),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4268),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4268),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4268),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4268),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4268),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4268),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4268),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4268),
    [anon_sym_API_AVAILABLE] = ACTIONS(4268),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4268),
    [anon_sym_API_DEPRECATED] = ACTIONS(4268),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4268),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4268),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4268),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4268),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4268),
    [anon_sym___deprecated_msg] = ACTIONS(4268),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4268),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4268),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4268),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4268),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4268),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4268),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4268),
    [anon_sym_BOOL] = ACTIONS(4268),
    [anon_sym_IMP] = ACTIONS(4268),
    [anon_sym_SEL] = ACTIONS(4268),
    [anon_sym_Class] = ACTIONS(4268),
    [anon_sym_id] = ACTIONS(4268),
  },
  [1517] = {
    [sym_identifier] = ACTIONS(4272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4274),
    [anon_sym_COMMA] = ACTIONS(4274),
    [anon_sym_RPAREN] = ACTIONS(4274),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4274),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4274),
    [anon_sym_LPAREN2] = ACTIONS(4274),
    [anon_sym_DASH] = ACTIONS(4272),
    [anon_sym_PLUS] = ACTIONS(4272),
    [anon_sym_STAR] = ACTIONS(4272),
    [anon_sym_SLASH] = ACTIONS(4272),
    [anon_sym_PERCENT] = ACTIONS(4272),
    [anon_sym_PIPE_PIPE] = ACTIONS(4274),
    [anon_sym_AMP_AMP] = ACTIONS(4274),
    [anon_sym_PIPE] = ACTIONS(4272),
    [anon_sym_CARET] = ACTIONS(4272),
    [anon_sym_AMP] = ACTIONS(4272),
    [anon_sym_EQ_EQ] = ACTIONS(4274),
    [anon_sym_BANG_EQ] = ACTIONS(4274),
    [anon_sym_GT] = ACTIONS(4272),
    [anon_sym_GT_EQ] = ACTIONS(4274),
    [anon_sym_LT_EQ] = ACTIONS(4274),
    [anon_sym_LT] = ACTIONS(4272),
    [anon_sym_LT_LT] = ACTIONS(4272),
    [anon_sym_GT_GT] = ACTIONS(4272),
    [anon_sym_SEMI] = ACTIONS(4274),
    [anon_sym___extension__] = ACTIONS(4272),
    [anon_sym_extern] = ACTIONS(4272),
    [anon_sym___attribute__] = ACTIONS(4272),
    [anon_sym___attribute] = ACTIONS(4272),
    [anon_sym_noreturn] = ACTIONS(4272),
    [anon_sym_LBRACK] = ACTIONS(4274),
    [anon_sym_RBRACK] = ACTIONS(4274),
    [anon_sym___declspec] = ACTIONS(4272),
    [anon_sym_LBRACE] = ACTIONS(4274),
    [anon_sym_RBRACE] = ACTIONS(4274),
    [anon_sym_signed] = ACTIONS(4272),
    [anon_sym_unsigned] = ACTIONS(4272),
    [anon_sym_long] = ACTIONS(4272),
    [anon_sym_short] = ACTIONS(4272),
    [anon_sym_static] = ACTIONS(4272),
    [anon_sym_EQ] = ACTIONS(4272),
    [anon_sym_ATautoreleasepool] = ACTIONS(4274),
    [anon_sym_auto] = ACTIONS(4272),
    [anon_sym_register] = ACTIONS(4272),
    [anon_sym_inline] = ACTIONS(4272),
    [anon_sym___inline] = ACTIONS(4272),
    [anon_sym___inline__] = ACTIONS(4272),
    [anon_sym___forceinline] = ACTIONS(4272),
    [anon_sym_thread_local] = ACTIONS(4272),
    [anon_sym___thread] = ACTIONS(4272),
    [anon_sym_CG_EXTERN] = ACTIONS(4272),
    [anon_sym_CG_INLINE] = ACTIONS(4272),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4272),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4272),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4272),
    [anon_sym_IBOutlet] = ACTIONS(4272),
    [anon_sym_IBInspectable] = ACTIONS(4272),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4272),
    [anon_sym_NS_INLINE] = ACTIONS(4272),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4272),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4272),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4272),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4272),
    [anon_sym_const] = ACTIONS(4272),
    [anon_sym_constexpr] = ACTIONS(4272),
    [anon_sym_volatile] = ACTIONS(4272),
    [anon_sym_restrict] = ACTIONS(4272),
    [anon_sym___restrict__] = ACTIONS(4272),
    [anon_sym__Atomic] = ACTIONS(4272),
    [anon_sym__Noreturn] = ACTIONS(4272),
    [anon_sym__Nonnull] = ACTIONS(4272),
    [anon_sym_nullable] = ACTIONS(4272),
    [anon_sym__Complex] = ACTIONS(4272),
    [anon_sym__Nullable] = ACTIONS(4272),
    [anon_sym__Nullable_result] = ACTIONS(4272),
    [anon_sym__Null_unspecified] = ACTIONS(4272),
    [anon_sym___autoreleasing] = ACTIONS(4272),
    [anon_sym___block] = ACTIONS(4272),
    [anon_sym___bridge] = ACTIONS(4272),
    [anon_sym___bridge_retained] = ACTIONS(4272),
    [anon_sym___bridge_transfer] = ACTIONS(4272),
    [anon_sym___complex] = ACTIONS(4272),
    [anon_sym___const] = ACTIONS(4272),
    [anon_sym___imag] = ACTIONS(4272),
    [anon_sym___kindof] = ACTIONS(4272),
    [anon_sym___nonnull] = ACTIONS(4272),
    [anon_sym___nullable] = ACTIONS(4272),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4272),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4272),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4272),
    [anon_sym___real] = ACTIONS(4272),
    [anon_sym___strong] = ACTIONS(4272),
    [anon_sym___unsafe_unretained] = ACTIONS(4272),
    [anon_sym___unused] = ACTIONS(4272),
    [anon_sym___weak] = ACTIONS(4272),
    [anon_sym_alignas] = ACTIONS(4272),
    [anon_sym__Alignas] = ACTIONS(4272),
    [sym_primitive_type] = ACTIONS(4272),
    [anon_sym_enum] = ACTIONS(4272),
    [anon_sym_COLON] = ACTIONS(4274),
    [anon_sym_struct] = ACTIONS(4272),
    [anon_sym_union] = ACTIONS(4272),
    [anon_sym_QMARK] = ACTIONS(4274),
    [anon_sym_STAR_EQ] = ACTIONS(4274),
    [anon_sym_SLASH_EQ] = ACTIONS(4274),
    [anon_sym_PERCENT_EQ] = ACTIONS(4274),
    [anon_sym_PLUS_EQ] = ACTIONS(4274),
    [anon_sym_DASH_EQ] = ACTIONS(4274),
    [anon_sym_LT_LT_EQ] = ACTIONS(4274),
    [anon_sym_GT_GT_EQ] = ACTIONS(4274),
    [anon_sym_AMP_EQ] = ACTIONS(4274),
    [anon_sym_CARET_EQ] = ACTIONS(4274),
    [anon_sym_PIPE_EQ] = ACTIONS(4274),
    [anon_sym_DASH_DASH] = ACTIONS(4274),
    [anon_sym_PLUS_PLUS] = ACTIONS(4274),
    [anon_sym_DOT] = ACTIONS(4272),
    [anon_sym_DASH_GT] = ACTIONS(4274),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4272),
    [anon_sym___typeof] = ACTIONS(4272),
    [anon_sym_typeof] = ACTIONS(4272),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4272),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4272),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4272),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4272),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4272),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4272),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4272),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4272),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4272),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4272),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4272),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4272),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4272),
    [anon_sym_API_AVAILABLE] = ACTIONS(4272),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4272),
    [anon_sym_API_DEPRECATED] = ACTIONS(4272),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4272),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4272),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4272),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4272),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4272),
    [anon_sym___deprecated_msg] = ACTIONS(4272),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4272),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4272),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4272),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4272),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4272),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4272),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4272),
    [anon_sym_BOOL] = ACTIONS(4272),
    [anon_sym_IMP] = ACTIONS(4272),
    [anon_sym_SEL] = ACTIONS(4272),
    [anon_sym_Class] = ACTIONS(4272),
    [anon_sym_id] = ACTIONS(4272),
  },
  [1518] = {
    [sym_identifier] = ACTIONS(4042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4044),
    [anon_sym_COMMA] = ACTIONS(4044),
    [anon_sym_RPAREN] = ACTIONS(4044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4044),
    [anon_sym_LPAREN2] = ACTIONS(4044),
    [anon_sym_DASH] = ACTIONS(4042),
    [anon_sym_PLUS] = ACTIONS(4042),
    [anon_sym_STAR] = ACTIONS(4042),
    [anon_sym_SLASH] = ACTIONS(4042),
    [anon_sym_PERCENT] = ACTIONS(4042),
    [anon_sym_PIPE_PIPE] = ACTIONS(4044),
    [anon_sym_AMP_AMP] = ACTIONS(4044),
    [anon_sym_PIPE] = ACTIONS(4042),
    [anon_sym_CARET] = ACTIONS(4042),
    [anon_sym_AMP] = ACTIONS(4042),
    [anon_sym_EQ_EQ] = ACTIONS(4044),
    [anon_sym_BANG_EQ] = ACTIONS(4044),
    [anon_sym_GT] = ACTIONS(4042),
    [anon_sym_GT_EQ] = ACTIONS(4044),
    [anon_sym_LT_EQ] = ACTIONS(4044),
    [anon_sym_LT] = ACTIONS(4042),
    [anon_sym_LT_LT] = ACTIONS(4042),
    [anon_sym_GT_GT] = ACTIONS(4042),
    [anon_sym_SEMI] = ACTIONS(4044),
    [anon_sym___extension__] = ACTIONS(4042),
    [anon_sym_extern] = ACTIONS(4042),
    [anon_sym___attribute__] = ACTIONS(4042),
    [anon_sym___attribute] = ACTIONS(4042),
    [anon_sym_noreturn] = ACTIONS(4042),
    [anon_sym_LBRACK] = ACTIONS(4044),
    [anon_sym_RBRACK] = ACTIONS(4044),
    [anon_sym___declspec] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4044),
    [anon_sym_RBRACE] = ACTIONS(4044),
    [anon_sym_signed] = ACTIONS(4042),
    [anon_sym_unsigned] = ACTIONS(4042),
    [anon_sym_long] = ACTIONS(4042),
    [anon_sym_short] = ACTIONS(4042),
    [anon_sym_static] = ACTIONS(4042),
    [anon_sym_EQ] = ACTIONS(4042),
    [anon_sym_ATautoreleasepool] = ACTIONS(4044),
    [anon_sym_auto] = ACTIONS(4042),
    [anon_sym_register] = ACTIONS(4042),
    [anon_sym_inline] = ACTIONS(4042),
    [anon_sym___inline] = ACTIONS(4042),
    [anon_sym___inline__] = ACTIONS(4042),
    [anon_sym___forceinline] = ACTIONS(4042),
    [anon_sym_thread_local] = ACTIONS(4042),
    [anon_sym___thread] = ACTIONS(4042),
    [anon_sym_CG_EXTERN] = ACTIONS(4042),
    [anon_sym_CG_INLINE] = ACTIONS(4042),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4042),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4042),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4042),
    [anon_sym_IBOutlet] = ACTIONS(4042),
    [anon_sym_IBInspectable] = ACTIONS(4042),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4042),
    [anon_sym_NS_INLINE] = ACTIONS(4042),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4042),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4042),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4042),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4042),
    [anon_sym_const] = ACTIONS(4042),
    [anon_sym_constexpr] = ACTIONS(4042),
    [anon_sym_volatile] = ACTIONS(4042),
    [anon_sym_restrict] = ACTIONS(4042),
    [anon_sym___restrict__] = ACTIONS(4042),
    [anon_sym__Atomic] = ACTIONS(4042),
    [anon_sym__Noreturn] = ACTIONS(4042),
    [anon_sym__Nonnull] = ACTIONS(4042),
    [anon_sym_nullable] = ACTIONS(4042),
    [anon_sym__Complex] = ACTIONS(4042),
    [anon_sym__Nullable] = ACTIONS(4042),
    [anon_sym__Nullable_result] = ACTIONS(4042),
    [anon_sym__Null_unspecified] = ACTIONS(4042),
    [anon_sym___autoreleasing] = ACTIONS(4042),
    [anon_sym___block] = ACTIONS(4042),
    [anon_sym___bridge] = ACTIONS(4042),
    [anon_sym___bridge_retained] = ACTIONS(4042),
    [anon_sym___bridge_transfer] = ACTIONS(4042),
    [anon_sym___complex] = ACTIONS(4042),
    [anon_sym___const] = ACTIONS(4042),
    [anon_sym___imag] = ACTIONS(4042),
    [anon_sym___kindof] = ACTIONS(4042),
    [anon_sym___nonnull] = ACTIONS(4042),
    [anon_sym___nullable] = ACTIONS(4042),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4042),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4042),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4042),
    [anon_sym___real] = ACTIONS(4042),
    [anon_sym___strong] = ACTIONS(4042),
    [anon_sym___unsafe_unretained] = ACTIONS(4042),
    [anon_sym___unused] = ACTIONS(4042),
    [anon_sym___weak] = ACTIONS(4042),
    [anon_sym_alignas] = ACTIONS(4042),
    [anon_sym__Alignas] = ACTIONS(4042),
    [sym_primitive_type] = ACTIONS(4042),
    [anon_sym_enum] = ACTIONS(4042),
    [anon_sym_COLON] = ACTIONS(4044),
    [anon_sym_struct] = ACTIONS(4042),
    [anon_sym_union] = ACTIONS(4042),
    [anon_sym_QMARK] = ACTIONS(4044),
    [anon_sym_STAR_EQ] = ACTIONS(4044),
    [anon_sym_SLASH_EQ] = ACTIONS(4044),
    [anon_sym_PERCENT_EQ] = ACTIONS(4044),
    [anon_sym_PLUS_EQ] = ACTIONS(4044),
    [anon_sym_DASH_EQ] = ACTIONS(4044),
    [anon_sym_LT_LT_EQ] = ACTIONS(4044),
    [anon_sym_GT_GT_EQ] = ACTIONS(4044),
    [anon_sym_AMP_EQ] = ACTIONS(4044),
    [anon_sym_CARET_EQ] = ACTIONS(4044),
    [anon_sym_PIPE_EQ] = ACTIONS(4044),
    [anon_sym_DASH_DASH] = ACTIONS(4044),
    [anon_sym_PLUS_PLUS] = ACTIONS(4044),
    [anon_sym_DOT] = ACTIONS(4042),
    [anon_sym_DASH_GT] = ACTIONS(4044),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4042),
    [anon_sym___typeof] = ACTIONS(4042),
    [anon_sym_typeof] = ACTIONS(4042),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4042),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4042),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4042),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4042),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4042),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4042),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4042),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4042),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4042),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4042),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4042),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4042),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4042),
    [anon_sym_API_AVAILABLE] = ACTIONS(4042),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4042),
    [anon_sym_API_DEPRECATED] = ACTIONS(4042),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4042),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4042),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4042),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4042),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4042),
    [anon_sym___deprecated_msg] = ACTIONS(4042),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4042),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4042),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4042),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4042),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4042),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4042),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4042),
    [anon_sym_BOOL] = ACTIONS(4042),
    [anon_sym_IMP] = ACTIONS(4042),
    [anon_sym_SEL] = ACTIONS(4042),
    [anon_sym_Class] = ACTIONS(4042),
    [anon_sym_id] = ACTIONS(4042),
  },
  [1519] = {
    [sym_identifier] = ACTIONS(4276),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4279),
    [anon_sym_COMMA] = ACTIONS(4279),
    [anon_sym_LPAREN2] = ACTIONS(4279),
    [anon_sym_DASH] = ACTIONS(4276),
    [anon_sym_PLUS] = ACTIONS(4276),
    [anon_sym_STAR] = ACTIONS(4276),
    [anon_sym_SLASH] = ACTIONS(4276),
    [anon_sym_PERCENT] = ACTIONS(4276),
    [anon_sym_PIPE_PIPE] = ACTIONS(4279),
    [anon_sym_AMP_AMP] = ACTIONS(4279),
    [anon_sym_PIPE] = ACTIONS(4276),
    [anon_sym_CARET] = ACTIONS(4276),
    [anon_sym_AMP] = ACTIONS(4276),
    [anon_sym_EQ_EQ] = ACTIONS(4279),
    [anon_sym_BANG_EQ] = ACTIONS(4279),
    [anon_sym_GT] = ACTIONS(4276),
    [anon_sym_GT_EQ] = ACTIONS(4279),
    [anon_sym_LT_EQ] = ACTIONS(4279),
    [anon_sym_LT] = ACTIONS(4276),
    [anon_sym_LT_LT] = ACTIONS(4276),
    [anon_sym_GT_GT] = ACTIONS(4276),
    [anon_sym_SEMI] = ACTIONS(4279),
    [anon_sym___extension__] = ACTIONS(4276),
    [anon_sym_extern] = ACTIONS(4276),
    [anon_sym___attribute__] = ACTIONS(4276),
    [anon_sym___attribute] = ACTIONS(4276),
    [anon_sym_noreturn] = ACTIONS(4276),
    [anon_sym_LBRACK] = ACTIONS(4279),
    [anon_sym___declspec] = ACTIONS(4276),
    [anon_sym_LBRACE] = ACTIONS(4279),
    [anon_sym_signed] = ACTIONS(4276),
    [anon_sym_unsigned] = ACTIONS(4276),
    [anon_sym_long] = ACTIONS(4276),
    [anon_sym_short] = ACTIONS(4276),
    [anon_sym_static] = ACTIONS(4276),
    [anon_sym_EQ] = ACTIONS(4276),
    [anon_sym_ATautoreleasepool] = ACTIONS(4279),
    [anon_sym_auto] = ACTIONS(4276),
    [anon_sym_register] = ACTIONS(4276),
    [anon_sym_inline] = ACTIONS(4276),
    [anon_sym___inline] = ACTIONS(4276),
    [anon_sym___inline__] = ACTIONS(4276),
    [anon_sym___forceinline] = ACTIONS(4276),
    [anon_sym_thread_local] = ACTIONS(4276),
    [anon_sym___thread] = ACTIONS(4276),
    [anon_sym_CG_EXTERN] = ACTIONS(4276),
    [anon_sym_CG_INLINE] = ACTIONS(4276),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4276),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4276),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4276),
    [anon_sym_IBOutlet] = ACTIONS(4276),
    [anon_sym_IBInspectable] = ACTIONS(4276),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4276),
    [anon_sym_NS_INLINE] = ACTIONS(4276),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4276),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4276),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4276),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4276),
    [anon_sym_const] = ACTIONS(4276),
    [anon_sym_constexpr] = ACTIONS(4276),
    [anon_sym_volatile] = ACTIONS(4276),
    [anon_sym_restrict] = ACTIONS(4276),
    [anon_sym___restrict__] = ACTIONS(4276),
    [anon_sym__Atomic] = ACTIONS(4276),
    [anon_sym__Noreturn] = ACTIONS(4276),
    [anon_sym__Nonnull] = ACTIONS(4276),
    [anon_sym_nullable] = ACTIONS(4276),
    [anon_sym__Complex] = ACTIONS(4276),
    [anon_sym__Nullable] = ACTIONS(4276),
    [anon_sym__Nullable_result] = ACTIONS(4276),
    [anon_sym__Null_unspecified] = ACTIONS(4276),
    [anon_sym___autoreleasing] = ACTIONS(4276),
    [anon_sym___block] = ACTIONS(4276),
    [anon_sym___bridge] = ACTIONS(4276),
    [anon_sym___bridge_retained] = ACTIONS(4276),
    [anon_sym___bridge_transfer] = ACTIONS(4276),
    [anon_sym___complex] = ACTIONS(4276),
    [anon_sym___const] = ACTIONS(4276),
    [anon_sym___imag] = ACTIONS(4276),
    [anon_sym___kindof] = ACTIONS(4276),
    [anon_sym___nonnull] = ACTIONS(4276),
    [anon_sym___nullable] = ACTIONS(4276),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4276),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4276),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4276),
    [anon_sym___real] = ACTIONS(4276),
    [anon_sym___strong] = ACTIONS(4276),
    [anon_sym___unsafe_unretained] = ACTIONS(4276),
    [anon_sym___unused] = ACTIONS(4276),
    [anon_sym___weak] = ACTIONS(4276),
    [anon_sym_alignas] = ACTIONS(4276),
    [anon_sym__Alignas] = ACTIONS(4276),
    [sym_primitive_type] = ACTIONS(4276),
    [anon_sym_enum] = ACTIONS(4276),
    [anon_sym_struct] = ACTIONS(4276),
    [anon_sym_union] = ACTIONS(4276),
    [anon_sym_QMARK] = ACTIONS(4279),
    [anon_sym_STAR_EQ] = ACTIONS(4279),
    [anon_sym_SLASH_EQ] = ACTIONS(4279),
    [anon_sym_PERCENT_EQ] = ACTIONS(4279),
    [anon_sym_PLUS_EQ] = ACTIONS(4279),
    [anon_sym_DASH_EQ] = ACTIONS(4279),
    [anon_sym_LT_LT_EQ] = ACTIONS(4279),
    [anon_sym_GT_GT_EQ] = ACTIONS(4279),
    [anon_sym_AMP_EQ] = ACTIONS(4279),
    [anon_sym_CARET_EQ] = ACTIONS(4279),
    [anon_sym_PIPE_EQ] = ACTIONS(4279),
    [anon_sym_DASH_DASH] = ACTIONS(4279),
    [anon_sym_PLUS_PLUS] = ACTIONS(4279),
    [anon_sym_DOT] = ACTIONS(4276),
    [anon_sym_DASH_GT] = ACTIONS(4279),
    [anon_sym_AT] = ACTIONS(4276),
    [anon_sym_DQUOTE] = ACTIONS(4279),
    [anon_sym_L_DQUOTE] = ACTIONS(4279),
    [anon_sym_u_DQUOTE] = ACTIONS(4279),
    [anon_sym_U_DQUOTE] = ACTIONS(4279),
    [anon_sym_u8_DQUOTE] = ACTIONS(4279),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4276),
    [anon_sym___typeof] = ACTIONS(4276),
    [anon_sym_typeof] = ACTIONS(4276),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4276),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4276),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4276),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4276),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4276),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4276),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4276),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4276),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4276),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4276),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4276),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4276),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4276),
    [anon_sym_API_AVAILABLE] = ACTIONS(4276),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4276),
    [anon_sym_API_DEPRECATED] = ACTIONS(4276),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4276),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4276),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4276),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4276),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4276),
    [anon_sym___deprecated_msg] = ACTIONS(4276),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4276),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4276),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4276),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4276),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4276),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4276),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4276),
    [anon_sym_BOOL] = ACTIONS(4276),
    [anon_sym_IMP] = ACTIONS(4276),
    [anon_sym_SEL] = ACTIONS(4276),
    [anon_sym_Class] = ACTIONS(4276),
    [anon_sym_id] = ACTIONS(4276),
  },
  [1520] = {
    [sym_identifier] = ACTIONS(4282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4284),
    [anon_sym_COMMA] = ACTIONS(4284),
    [anon_sym_RPAREN] = ACTIONS(4284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4284),
    [anon_sym_LPAREN2] = ACTIONS(4284),
    [anon_sym_DASH] = ACTIONS(4282),
    [anon_sym_PLUS] = ACTIONS(4282),
    [anon_sym_STAR] = ACTIONS(4282),
    [anon_sym_SLASH] = ACTIONS(4282),
    [anon_sym_PERCENT] = ACTIONS(4282),
    [anon_sym_PIPE_PIPE] = ACTIONS(4284),
    [anon_sym_AMP_AMP] = ACTIONS(4284),
    [anon_sym_PIPE] = ACTIONS(4282),
    [anon_sym_CARET] = ACTIONS(4282),
    [anon_sym_AMP] = ACTIONS(4282),
    [anon_sym_EQ_EQ] = ACTIONS(4284),
    [anon_sym_BANG_EQ] = ACTIONS(4284),
    [anon_sym_GT] = ACTIONS(4282),
    [anon_sym_GT_EQ] = ACTIONS(4284),
    [anon_sym_LT_EQ] = ACTIONS(4284),
    [anon_sym_LT] = ACTIONS(4282),
    [anon_sym_LT_LT] = ACTIONS(4282),
    [anon_sym_GT_GT] = ACTIONS(4282),
    [anon_sym_SEMI] = ACTIONS(4284),
    [anon_sym___extension__] = ACTIONS(4282),
    [anon_sym_extern] = ACTIONS(4282),
    [anon_sym___attribute__] = ACTIONS(4282),
    [anon_sym___attribute] = ACTIONS(4282),
    [anon_sym_noreturn] = ACTIONS(4282),
    [anon_sym_LBRACK] = ACTIONS(4284),
    [anon_sym_RBRACK] = ACTIONS(4284),
    [anon_sym___declspec] = ACTIONS(4282),
    [anon_sym_LBRACE] = ACTIONS(4284),
    [anon_sym_RBRACE] = ACTIONS(4284),
    [anon_sym_signed] = ACTIONS(4282),
    [anon_sym_unsigned] = ACTIONS(4282),
    [anon_sym_long] = ACTIONS(4282),
    [anon_sym_short] = ACTIONS(4282),
    [anon_sym_static] = ACTIONS(4282),
    [anon_sym_EQ] = ACTIONS(4282),
    [anon_sym_ATautoreleasepool] = ACTIONS(4284),
    [anon_sym_auto] = ACTIONS(4282),
    [anon_sym_register] = ACTIONS(4282),
    [anon_sym_inline] = ACTIONS(4282),
    [anon_sym___inline] = ACTIONS(4282),
    [anon_sym___inline__] = ACTIONS(4282),
    [anon_sym___forceinline] = ACTIONS(4282),
    [anon_sym_thread_local] = ACTIONS(4282),
    [anon_sym___thread] = ACTIONS(4282),
    [anon_sym_CG_EXTERN] = ACTIONS(4282),
    [anon_sym_CG_INLINE] = ACTIONS(4282),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4282),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4282),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4282),
    [anon_sym_IBOutlet] = ACTIONS(4282),
    [anon_sym_IBInspectable] = ACTIONS(4282),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4282),
    [anon_sym_NS_INLINE] = ACTIONS(4282),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4282),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4282),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4282),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4282),
    [anon_sym_const] = ACTIONS(4282),
    [anon_sym_constexpr] = ACTIONS(4282),
    [anon_sym_volatile] = ACTIONS(4282),
    [anon_sym_restrict] = ACTIONS(4282),
    [anon_sym___restrict__] = ACTIONS(4282),
    [anon_sym__Atomic] = ACTIONS(4282),
    [anon_sym__Noreturn] = ACTIONS(4282),
    [anon_sym__Nonnull] = ACTIONS(4282),
    [anon_sym_nullable] = ACTIONS(4282),
    [anon_sym__Complex] = ACTIONS(4282),
    [anon_sym__Nullable] = ACTIONS(4282),
    [anon_sym__Nullable_result] = ACTIONS(4282),
    [anon_sym__Null_unspecified] = ACTIONS(4282),
    [anon_sym___autoreleasing] = ACTIONS(4282),
    [anon_sym___block] = ACTIONS(4282),
    [anon_sym___bridge] = ACTIONS(4282),
    [anon_sym___bridge_retained] = ACTIONS(4282),
    [anon_sym___bridge_transfer] = ACTIONS(4282),
    [anon_sym___complex] = ACTIONS(4282),
    [anon_sym___const] = ACTIONS(4282),
    [anon_sym___imag] = ACTIONS(4282),
    [anon_sym___kindof] = ACTIONS(4282),
    [anon_sym___nonnull] = ACTIONS(4282),
    [anon_sym___nullable] = ACTIONS(4282),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4282),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4282),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4282),
    [anon_sym___real] = ACTIONS(4282),
    [anon_sym___strong] = ACTIONS(4282),
    [anon_sym___unsafe_unretained] = ACTIONS(4282),
    [anon_sym___unused] = ACTIONS(4282),
    [anon_sym___weak] = ACTIONS(4282),
    [anon_sym_alignas] = ACTIONS(4282),
    [anon_sym__Alignas] = ACTIONS(4282),
    [sym_primitive_type] = ACTIONS(4282),
    [anon_sym_enum] = ACTIONS(4282),
    [anon_sym_COLON] = ACTIONS(4284),
    [anon_sym_struct] = ACTIONS(4282),
    [anon_sym_union] = ACTIONS(4282),
    [anon_sym_QMARK] = ACTIONS(4284),
    [anon_sym_STAR_EQ] = ACTIONS(4284),
    [anon_sym_SLASH_EQ] = ACTIONS(4284),
    [anon_sym_PERCENT_EQ] = ACTIONS(4284),
    [anon_sym_PLUS_EQ] = ACTIONS(4284),
    [anon_sym_DASH_EQ] = ACTIONS(4284),
    [anon_sym_LT_LT_EQ] = ACTIONS(4284),
    [anon_sym_GT_GT_EQ] = ACTIONS(4284),
    [anon_sym_AMP_EQ] = ACTIONS(4284),
    [anon_sym_CARET_EQ] = ACTIONS(4284),
    [anon_sym_PIPE_EQ] = ACTIONS(4284),
    [anon_sym_DASH_DASH] = ACTIONS(4284),
    [anon_sym_PLUS_PLUS] = ACTIONS(4284),
    [anon_sym_DOT] = ACTIONS(4282),
    [anon_sym_DASH_GT] = ACTIONS(4284),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4282),
    [anon_sym___typeof] = ACTIONS(4282),
    [anon_sym_typeof] = ACTIONS(4282),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4282),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4282),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4282),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4282),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4282),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4282),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4282),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4282),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4282),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4282),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4282),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4282),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4282),
    [anon_sym_API_AVAILABLE] = ACTIONS(4282),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4282),
    [anon_sym_API_DEPRECATED] = ACTIONS(4282),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4282),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4282),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4282),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4282),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4282),
    [anon_sym___deprecated_msg] = ACTIONS(4282),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4282),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4282),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4282),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4282),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4282),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4282),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4282),
    [anon_sym_BOOL] = ACTIONS(4282),
    [anon_sym_IMP] = ACTIONS(4282),
    [anon_sym_SEL] = ACTIONS(4282),
    [anon_sym_Class] = ACTIONS(4282),
    [anon_sym_id] = ACTIONS(4282),
  },
  [1521] = {
    [sym_identifier] = ACTIONS(4286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4288),
    [anon_sym_COMMA] = ACTIONS(4288),
    [anon_sym_RPAREN] = ACTIONS(4288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4288),
    [anon_sym_LPAREN2] = ACTIONS(4288),
    [anon_sym_DASH] = ACTIONS(4286),
    [anon_sym_PLUS] = ACTIONS(4286),
    [anon_sym_STAR] = ACTIONS(4286),
    [anon_sym_SLASH] = ACTIONS(4286),
    [anon_sym_PERCENT] = ACTIONS(4286),
    [anon_sym_PIPE_PIPE] = ACTIONS(4288),
    [anon_sym_AMP_AMP] = ACTIONS(4288),
    [anon_sym_PIPE] = ACTIONS(4286),
    [anon_sym_CARET] = ACTIONS(4286),
    [anon_sym_AMP] = ACTIONS(4286),
    [anon_sym_EQ_EQ] = ACTIONS(4288),
    [anon_sym_BANG_EQ] = ACTIONS(4288),
    [anon_sym_GT] = ACTIONS(4286),
    [anon_sym_GT_EQ] = ACTIONS(4288),
    [anon_sym_LT_EQ] = ACTIONS(4288),
    [anon_sym_LT] = ACTIONS(4286),
    [anon_sym_LT_LT] = ACTIONS(4286),
    [anon_sym_GT_GT] = ACTIONS(4286),
    [anon_sym_SEMI] = ACTIONS(4288),
    [anon_sym___extension__] = ACTIONS(4286),
    [anon_sym_extern] = ACTIONS(4286),
    [anon_sym___attribute__] = ACTIONS(4286),
    [anon_sym___attribute] = ACTIONS(4286),
    [anon_sym_noreturn] = ACTIONS(4286),
    [anon_sym_LBRACK] = ACTIONS(4288),
    [anon_sym_RBRACK] = ACTIONS(4288),
    [anon_sym___declspec] = ACTIONS(4286),
    [anon_sym_LBRACE] = ACTIONS(4288),
    [anon_sym_RBRACE] = ACTIONS(4288),
    [anon_sym_signed] = ACTIONS(4286),
    [anon_sym_unsigned] = ACTIONS(4286),
    [anon_sym_long] = ACTIONS(4286),
    [anon_sym_short] = ACTIONS(4286),
    [anon_sym_static] = ACTIONS(4286),
    [anon_sym_EQ] = ACTIONS(4286),
    [anon_sym_ATautoreleasepool] = ACTIONS(4288),
    [anon_sym_auto] = ACTIONS(4286),
    [anon_sym_register] = ACTIONS(4286),
    [anon_sym_inline] = ACTIONS(4286),
    [anon_sym___inline] = ACTIONS(4286),
    [anon_sym___inline__] = ACTIONS(4286),
    [anon_sym___forceinline] = ACTIONS(4286),
    [anon_sym_thread_local] = ACTIONS(4286),
    [anon_sym___thread] = ACTIONS(4286),
    [anon_sym_CG_EXTERN] = ACTIONS(4286),
    [anon_sym_CG_INLINE] = ACTIONS(4286),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4286),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4286),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4286),
    [anon_sym_IBOutlet] = ACTIONS(4286),
    [anon_sym_IBInspectable] = ACTIONS(4286),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4286),
    [anon_sym_NS_INLINE] = ACTIONS(4286),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4286),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4286),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4286),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4286),
    [anon_sym_const] = ACTIONS(4286),
    [anon_sym_constexpr] = ACTIONS(4286),
    [anon_sym_volatile] = ACTIONS(4286),
    [anon_sym_restrict] = ACTIONS(4286),
    [anon_sym___restrict__] = ACTIONS(4286),
    [anon_sym__Atomic] = ACTIONS(4286),
    [anon_sym__Noreturn] = ACTIONS(4286),
    [anon_sym__Nonnull] = ACTIONS(4286),
    [anon_sym_nullable] = ACTIONS(4286),
    [anon_sym__Complex] = ACTIONS(4286),
    [anon_sym__Nullable] = ACTIONS(4286),
    [anon_sym__Nullable_result] = ACTIONS(4286),
    [anon_sym__Null_unspecified] = ACTIONS(4286),
    [anon_sym___autoreleasing] = ACTIONS(4286),
    [anon_sym___block] = ACTIONS(4286),
    [anon_sym___bridge] = ACTIONS(4286),
    [anon_sym___bridge_retained] = ACTIONS(4286),
    [anon_sym___bridge_transfer] = ACTIONS(4286),
    [anon_sym___complex] = ACTIONS(4286),
    [anon_sym___const] = ACTIONS(4286),
    [anon_sym___imag] = ACTIONS(4286),
    [anon_sym___kindof] = ACTIONS(4286),
    [anon_sym___nonnull] = ACTIONS(4286),
    [anon_sym___nullable] = ACTIONS(4286),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4286),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4286),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4286),
    [anon_sym___real] = ACTIONS(4286),
    [anon_sym___strong] = ACTIONS(4286),
    [anon_sym___unsafe_unretained] = ACTIONS(4286),
    [anon_sym___unused] = ACTIONS(4286),
    [anon_sym___weak] = ACTIONS(4286),
    [anon_sym_alignas] = ACTIONS(4286),
    [anon_sym__Alignas] = ACTIONS(4286),
    [sym_primitive_type] = ACTIONS(4286),
    [anon_sym_enum] = ACTIONS(4286),
    [anon_sym_COLON] = ACTIONS(4288),
    [anon_sym_struct] = ACTIONS(4286),
    [anon_sym_union] = ACTIONS(4286),
    [anon_sym_QMARK] = ACTIONS(4288),
    [anon_sym_STAR_EQ] = ACTIONS(4288),
    [anon_sym_SLASH_EQ] = ACTIONS(4288),
    [anon_sym_PERCENT_EQ] = ACTIONS(4288),
    [anon_sym_PLUS_EQ] = ACTIONS(4288),
    [anon_sym_DASH_EQ] = ACTIONS(4288),
    [anon_sym_LT_LT_EQ] = ACTIONS(4288),
    [anon_sym_GT_GT_EQ] = ACTIONS(4288),
    [anon_sym_AMP_EQ] = ACTIONS(4288),
    [anon_sym_CARET_EQ] = ACTIONS(4288),
    [anon_sym_PIPE_EQ] = ACTIONS(4288),
    [anon_sym_DASH_DASH] = ACTIONS(4288),
    [anon_sym_PLUS_PLUS] = ACTIONS(4288),
    [anon_sym_DOT] = ACTIONS(4286),
    [anon_sym_DASH_GT] = ACTIONS(4288),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4286),
    [anon_sym___typeof] = ACTIONS(4286),
    [anon_sym_typeof] = ACTIONS(4286),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4286),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4286),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4286),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4286),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4286),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4286),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4286),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4286),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4286),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4286),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4286),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4286),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4286),
    [anon_sym_API_AVAILABLE] = ACTIONS(4286),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4286),
    [anon_sym_API_DEPRECATED] = ACTIONS(4286),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4286),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4286),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4286),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4286),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4286),
    [anon_sym___deprecated_msg] = ACTIONS(4286),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4286),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4286),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4286),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4286),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4286),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4286),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4286),
    [anon_sym_BOOL] = ACTIONS(4286),
    [anon_sym_IMP] = ACTIONS(4286),
    [anon_sym_SEL] = ACTIONS(4286),
    [anon_sym_Class] = ACTIONS(4286),
    [anon_sym_id] = ACTIONS(4286),
  },
  [1522] = {
    [sym_identifier] = ACTIONS(4290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4292),
    [anon_sym_COMMA] = ACTIONS(4292),
    [anon_sym_RPAREN] = ACTIONS(4292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4292),
    [anon_sym_LPAREN2] = ACTIONS(4292),
    [anon_sym_DASH] = ACTIONS(4290),
    [anon_sym_PLUS] = ACTIONS(4290),
    [anon_sym_STAR] = ACTIONS(4290),
    [anon_sym_SLASH] = ACTIONS(4290),
    [anon_sym_PERCENT] = ACTIONS(4290),
    [anon_sym_PIPE_PIPE] = ACTIONS(4292),
    [anon_sym_AMP_AMP] = ACTIONS(4292),
    [anon_sym_PIPE] = ACTIONS(4290),
    [anon_sym_CARET] = ACTIONS(4290),
    [anon_sym_AMP] = ACTIONS(4290),
    [anon_sym_EQ_EQ] = ACTIONS(4292),
    [anon_sym_BANG_EQ] = ACTIONS(4292),
    [anon_sym_GT] = ACTIONS(4290),
    [anon_sym_GT_EQ] = ACTIONS(4292),
    [anon_sym_LT_EQ] = ACTIONS(4292),
    [anon_sym_LT] = ACTIONS(4290),
    [anon_sym_LT_LT] = ACTIONS(4290),
    [anon_sym_GT_GT] = ACTIONS(4290),
    [anon_sym_SEMI] = ACTIONS(4292),
    [anon_sym___extension__] = ACTIONS(4290),
    [anon_sym_extern] = ACTIONS(4290),
    [anon_sym___attribute__] = ACTIONS(4290),
    [anon_sym___attribute] = ACTIONS(4290),
    [anon_sym_noreturn] = ACTIONS(4290),
    [anon_sym_LBRACK] = ACTIONS(4292),
    [anon_sym_RBRACK] = ACTIONS(4292),
    [anon_sym___declspec] = ACTIONS(4290),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_RBRACE] = ACTIONS(4292),
    [anon_sym_signed] = ACTIONS(4290),
    [anon_sym_unsigned] = ACTIONS(4290),
    [anon_sym_long] = ACTIONS(4290),
    [anon_sym_short] = ACTIONS(4290),
    [anon_sym_static] = ACTIONS(4290),
    [anon_sym_EQ] = ACTIONS(4290),
    [anon_sym_ATautoreleasepool] = ACTIONS(4292),
    [anon_sym_auto] = ACTIONS(4290),
    [anon_sym_register] = ACTIONS(4290),
    [anon_sym_inline] = ACTIONS(4290),
    [anon_sym___inline] = ACTIONS(4290),
    [anon_sym___inline__] = ACTIONS(4290),
    [anon_sym___forceinline] = ACTIONS(4290),
    [anon_sym_thread_local] = ACTIONS(4290),
    [anon_sym___thread] = ACTIONS(4290),
    [anon_sym_CG_EXTERN] = ACTIONS(4290),
    [anon_sym_CG_INLINE] = ACTIONS(4290),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4290),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4290),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4290),
    [anon_sym_IBOutlet] = ACTIONS(4290),
    [anon_sym_IBInspectable] = ACTIONS(4290),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4290),
    [anon_sym_NS_INLINE] = ACTIONS(4290),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4290),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4290),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4290),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4290),
    [anon_sym_const] = ACTIONS(4290),
    [anon_sym_constexpr] = ACTIONS(4290),
    [anon_sym_volatile] = ACTIONS(4290),
    [anon_sym_restrict] = ACTIONS(4290),
    [anon_sym___restrict__] = ACTIONS(4290),
    [anon_sym__Atomic] = ACTIONS(4290),
    [anon_sym__Noreturn] = ACTIONS(4290),
    [anon_sym__Nonnull] = ACTIONS(4290),
    [anon_sym_nullable] = ACTIONS(4290),
    [anon_sym__Complex] = ACTIONS(4290),
    [anon_sym__Nullable] = ACTIONS(4290),
    [anon_sym__Nullable_result] = ACTIONS(4290),
    [anon_sym__Null_unspecified] = ACTIONS(4290),
    [anon_sym___autoreleasing] = ACTIONS(4290),
    [anon_sym___block] = ACTIONS(4290),
    [anon_sym___bridge] = ACTIONS(4290),
    [anon_sym___bridge_retained] = ACTIONS(4290),
    [anon_sym___bridge_transfer] = ACTIONS(4290),
    [anon_sym___complex] = ACTIONS(4290),
    [anon_sym___const] = ACTIONS(4290),
    [anon_sym___imag] = ACTIONS(4290),
    [anon_sym___kindof] = ACTIONS(4290),
    [anon_sym___nonnull] = ACTIONS(4290),
    [anon_sym___nullable] = ACTIONS(4290),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4290),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4290),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4290),
    [anon_sym___real] = ACTIONS(4290),
    [anon_sym___strong] = ACTIONS(4290),
    [anon_sym___unsafe_unretained] = ACTIONS(4290),
    [anon_sym___unused] = ACTIONS(4290),
    [anon_sym___weak] = ACTIONS(4290),
    [anon_sym_alignas] = ACTIONS(4290),
    [anon_sym__Alignas] = ACTIONS(4290),
    [sym_primitive_type] = ACTIONS(4290),
    [anon_sym_enum] = ACTIONS(4290),
    [anon_sym_COLON] = ACTIONS(4292),
    [anon_sym_struct] = ACTIONS(4290),
    [anon_sym_union] = ACTIONS(4290),
    [anon_sym_QMARK] = ACTIONS(4292),
    [anon_sym_STAR_EQ] = ACTIONS(4292),
    [anon_sym_SLASH_EQ] = ACTIONS(4292),
    [anon_sym_PERCENT_EQ] = ACTIONS(4292),
    [anon_sym_PLUS_EQ] = ACTIONS(4292),
    [anon_sym_DASH_EQ] = ACTIONS(4292),
    [anon_sym_LT_LT_EQ] = ACTIONS(4292),
    [anon_sym_GT_GT_EQ] = ACTIONS(4292),
    [anon_sym_AMP_EQ] = ACTIONS(4292),
    [anon_sym_CARET_EQ] = ACTIONS(4292),
    [anon_sym_PIPE_EQ] = ACTIONS(4292),
    [anon_sym_DASH_DASH] = ACTIONS(4292),
    [anon_sym_PLUS_PLUS] = ACTIONS(4292),
    [anon_sym_DOT] = ACTIONS(4290),
    [anon_sym_DASH_GT] = ACTIONS(4292),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4290),
    [anon_sym___typeof] = ACTIONS(4290),
    [anon_sym_typeof] = ACTIONS(4290),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4290),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4290),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4290),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4290),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4290),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4290),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4290),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4290),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4290),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4290),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4290),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4290),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4290),
    [anon_sym_API_AVAILABLE] = ACTIONS(4290),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4290),
    [anon_sym_API_DEPRECATED] = ACTIONS(4290),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4290),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4290),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4290),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4290),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4290),
    [anon_sym___deprecated_msg] = ACTIONS(4290),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4290),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4290),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4290),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4290),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4290),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4290),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4290),
    [anon_sym_BOOL] = ACTIONS(4290),
    [anon_sym_IMP] = ACTIONS(4290),
    [anon_sym_SEL] = ACTIONS(4290),
    [anon_sym_Class] = ACTIONS(4290),
    [anon_sym_id] = ACTIONS(4290),
  },
  [1523] = {
    [sym_preproc_def] = STATE(1531),
    [sym_preproc_function_def] = STATE(1531),
    [sym_preproc_call] = STATE(1531),
    [sym_preproc_if_in_field_declaration_list] = STATE(1531),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1531),
    [sym_preproc_else_in_field_declaration_list] = STATE(6053),
    [sym_preproc_elif_in_field_declaration_list] = STATE(6053),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(6053),
    [sym__declaration_modifiers] = STATE(2228),
    [sym__declaration_specifiers] = STATE(4630),
    [sym_attribute_specifier] = STATE(2228),
    [sym_attribute_declaration] = STATE(2228),
    [sym_ms_declspec_modifier] = STATE(2228),
    [sym_storage_class_specifier] = STATE(2228),
    [sym_type_qualifier] = STATE(2228),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__field_declaration_list_item] = STATE(1531),
    [sym_field_declaration] = STATE(1531),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2228),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_atdef_field] = STATE(1531),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1531),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(4294),
    [aux_sym_preproc_if_token1] = ACTIONS(4296),
    [aux_sym_preproc_if_token2] = ACTIONS(4298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4300),
    [aux_sym_preproc_else_token1] = ACTIONS(4302),
    [aux_sym_preproc_elif_token1] = ACTIONS(4304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4306),
    [sym_preproc_directive] = ACTIONS(4308),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4310),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
    [anon_sym_ATdefs] = ACTIONS(4312),
  },
  [1524] = {
    [sym_preproc_def] = STATE(1576),
    [sym_preproc_function_def] = STATE(1576),
    [sym_preproc_call] = STATE(1576),
    [sym_preproc_if_in_field_declaration_list] = STATE(1576),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1576),
    [sym_preproc_else_in_field_declaration_list] = STATE(6695),
    [sym_preproc_elif_in_field_declaration_list] = STATE(6695),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(6695),
    [sym__declaration_modifiers] = STATE(2228),
    [sym__declaration_specifiers] = STATE(4630),
    [sym_attribute_specifier] = STATE(2228),
    [sym_attribute_declaration] = STATE(2228),
    [sym_ms_declspec_modifier] = STATE(2228),
    [sym_storage_class_specifier] = STATE(2228),
    [sym_type_qualifier] = STATE(2228),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__field_declaration_list_item] = STATE(1576),
    [sym_field_declaration] = STATE(1576),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2228),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_atdef_field] = STATE(1576),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1576),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(4294),
    [aux_sym_preproc_if_token1] = ACTIONS(4296),
    [aux_sym_preproc_if_token2] = ACTIONS(4314),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4300),
    [aux_sym_preproc_else_token1] = ACTIONS(4302),
    [aux_sym_preproc_elif_token1] = ACTIONS(4304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4306),
    [sym_preproc_directive] = ACTIONS(4308),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4310),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
    [anon_sym_ATdefs] = ACTIONS(4312),
  },
  [1525] = {
    [sym_preproc_def] = STATE(1576),
    [sym_preproc_function_def] = STATE(1576),
    [sym_preproc_call] = STATE(1576),
    [sym_preproc_if_in_field_declaration_list] = STATE(1576),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1576),
    [sym_preproc_else_in_field_declaration_list] = STATE(6193),
    [sym_preproc_elif_in_field_declaration_list] = STATE(6193),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(6193),
    [sym__declaration_modifiers] = STATE(2228),
    [sym__declaration_specifiers] = STATE(4630),
    [sym_attribute_specifier] = STATE(2228),
    [sym_attribute_declaration] = STATE(2228),
    [sym_ms_declspec_modifier] = STATE(2228),
    [sym_storage_class_specifier] = STATE(2228),
    [sym_type_qualifier] = STATE(2228),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__field_declaration_list_item] = STATE(1576),
    [sym_field_declaration] = STATE(1576),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2228),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_atdef_field] = STATE(1576),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1576),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(4294),
    [aux_sym_preproc_if_token1] = ACTIONS(4296),
    [aux_sym_preproc_if_token2] = ACTIONS(4316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4300),
    [aux_sym_preproc_else_token1] = ACTIONS(4302),
    [aux_sym_preproc_elif_token1] = ACTIONS(4304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4306),
    [sym_preproc_directive] = ACTIONS(4308),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4310),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
    [anon_sym_ATdefs] = ACTIONS(4312),
  },
  [1526] = {
    [sym_preproc_def] = STATE(1576),
    [sym_preproc_function_def] = STATE(1576),
    [sym_preproc_call] = STATE(1576),
    [sym_preproc_if_in_field_declaration_list] = STATE(1576),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1576),
    [sym_preproc_else_in_field_declaration_list] = STATE(6072),
    [sym_preproc_elif_in_field_declaration_list] = STATE(6072),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(6072),
    [sym__declaration_modifiers] = STATE(2228),
    [sym__declaration_specifiers] = STATE(4630),
    [sym_attribute_specifier] = STATE(2228),
    [sym_attribute_declaration] = STATE(2228),
    [sym_ms_declspec_modifier] = STATE(2228),
    [sym_storage_class_specifier] = STATE(2228),
    [sym_type_qualifier] = STATE(2228),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__field_declaration_list_item] = STATE(1576),
    [sym_field_declaration] = STATE(1576),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2228),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_atdef_field] = STATE(1576),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1576),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(4294),
    [aux_sym_preproc_if_token1] = ACTIONS(4296),
    [aux_sym_preproc_if_token2] = ACTIONS(4318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4300),
    [aux_sym_preproc_else_token1] = ACTIONS(4302),
    [aux_sym_preproc_elif_token1] = ACTIONS(4304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4306),
    [sym_preproc_directive] = ACTIONS(4308),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4310),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
    [anon_sym_ATdefs] = ACTIONS(4312),
  },
  [1527] = {
    [sym_preproc_def] = STATE(1526),
    [sym_preproc_function_def] = STATE(1526),
    [sym_preproc_call] = STATE(1526),
    [sym_preproc_if_in_field_declaration_list] = STATE(1526),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1526),
    [sym_preproc_else_in_field_declaration_list] = STATE(6740),
    [sym_preproc_elif_in_field_declaration_list] = STATE(6740),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(6740),
    [sym__declaration_modifiers] = STATE(2228),
    [sym__declaration_specifiers] = STATE(4630),
    [sym_attribute_specifier] = STATE(2228),
    [sym_attribute_declaration] = STATE(2228),
    [sym_ms_declspec_modifier] = STATE(2228),
    [sym_storage_class_specifier] = STATE(2228),
    [sym_type_qualifier] = STATE(2228),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__field_declaration_list_item] = STATE(1526),
    [sym_field_declaration] = STATE(1526),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2228),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_atdef_field] = STATE(1526),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1526),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(4294),
    [aux_sym_preproc_if_token1] = ACTIONS(4296),
    [aux_sym_preproc_if_token2] = ACTIONS(4320),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4300),
    [aux_sym_preproc_else_token1] = ACTIONS(4302),
    [aux_sym_preproc_elif_token1] = ACTIONS(4304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4306),
    [sym_preproc_directive] = ACTIONS(4308),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4310),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
    [anon_sym_ATdefs] = ACTIONS(4312),
  },
  [1528] = {
    [sym_preproc_def] = STATE(1576),
    [sym_preproc_function_def] = STATE(1576),
    [sym_preproc_call] = STATE(1576),
    [sym_preproc_if_in_field_declaration_list] = STATE(1576),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1576),
    [sym_preproc_else_in_field_declaration_list] = STATE(6768),
    [sym_preproc_elif_in_field_declaration_list] = STATE(6768),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(6768),
    [sym__declaration_modifiers] = STATE(2228),
    [sym__declaration_specifiers] = STATE(4630),
    [sym_attribute_specifier] = STATE(2228),
    [sym_attribute_declaration] = STATE(2228),
    [sym_ms_declspec_modifier] = STATE(2228),
    [sym_storage_class_specifier] = STATE(2228),
    [sym_type_qualifier] = STATE(2228),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__field_declaration_list_item] = STATE(1576),
    [sym_field_declaration] = STATE(1576),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2228),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_atdef_field] = STATE(1576),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1576),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(4294),
    [aux_sym_preproc_if_token1] = ACTIONS(4296),
    [aux_sym_preproc_if_token2] = ACTIONS(4322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4300),
    [aux_sym_preproc_else_token1] = ACTIONS(4302),
    [aux_sym_preproc_elif_token1] = ACTIONS(4304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4306),
    [sym_preproc_directive] = ACTIONS(4308),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4310),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
    [anon_sym_ATdefs] = ACTIONS(4312),
  },
  [1529] = {
    [sym_preproc_def] = STATE(1524),
    [sym_preproc_function_def] = STATE(1524),
    [sym_preproc_call] = STATE(1524),
    [sym_preproc_if_in_field_declaration_list] = STATE(1524),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1524),
    [sym_preproc_else_in_field_declaration_list] = STATE(6628),
    [sym_preproc_elif_in_field_declaration_list] = STATE(6628),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(6628),
    [sym__declaration_modifiers] = STATE(2228),
    [sym__declaration_specifiers] = STATE(4630),
    [sym_attribute_specifier] = STATE(2228),
    [sym_attribute_declaration] = STATE(2228),
    [sym_ms_declspec_modifier] = STATE(2228),
    [sym_storage_class_specifier] = STATE(2228),
    [sym_type_qualifier] = STATE(2228),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__field_declaration_list_item] = STATE(1524),
    [sym_field_declaration] = STATE(1524),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2228),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_atdef_field] = STATE(1524),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1524),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(4294),
    [aux_sym_preproc_if_token1] = ACTIONS(4296),
    [aux_sym_preproc_if_token2] = ACTIONS(4324),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4300),
    [aux_sym_preproc_else_token1] = ACTIONS(4302),
    [aux_sym_preproc_elif_token1] = ACTIONS(4304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4306),
    [sym_preproc_directive] = ACTIONS(4308),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4310),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
    [anon_sym_ATdefs] = ACTIONS(4312),
  },
  [1530] = {
    [sym_preproc_def] = STATE(1576),
    [sym_preproc_function_def] = STATE(1576),
    [sym_preproc_call] = STATE(1576),
    [sym_preproc_if_in_field_declaration_list] = STATE(1576),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1576),
    [sym_preproc_else_in_field_declaration_list] = STATE(6634),
    [sym_preproc_elif_in_field_declaration_list] = STATE(6634),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(6634),
    [sym__declaration_modifiers] = STATE(2228),
    [sym__declaration_specifiers] = STATE(4630),
    [sym_attribute_specifier] = STATE(2228),
    [sym_attribute_declaration] = STATE(2228),
    [sym_ms_declspec_modifier] = STATE(2228),
    [sym_storage_class_specifier] = STATE(2228),
    [sym_type_qualifier] = STATE(2228),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__field_declaration_list_item] = STATE(1576),
    [sym_field_declaration] = STATE(1576),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2228),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_atdef_field] = STATE(1576),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1576),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(4294),
    [aux_sym_preproc_if_token1] = ACTIONS(4296),
    [aux_sym_preproc_if_token2] = ACTIONS(4326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4300),
    [aux_sym_preproc_else_token1] = ACTIONS(4302),
    [aux_sym_preproc_elif_token1] = ACTIONS(4304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4306),
    [sym_preproc_directive] = ACTIONS(4308),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4310),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
    [anon_sym_ATdefs] = ACTIONS(4312),
  },
  [1531] = {
    [sym_preproc_def] = STATE(1576),
    [sym_preproc_function_def] = STATE(1576),
    [sym_preproc_call] = STATE(1576),
    [sym_preproc_if_in_field_declaration_list] = STATE(1576),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1576),
    [sym_preproc_else_in_field_declaration_list] = STATE(6441),
    [sym_preproc_elif_in_field_declaration_list] = STATE(6441),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(6441),
    [sym__declaration_modifiers] = STATE(2228),
    [sym__declaration_specifiers] = STATE(4630),
    [sym_attribute_specifier] = STATE(2228),
    [sym_attribute_declaration] = STATE(2228),
    [sym_ms_declspec_modifier] = STATE(2228),
    [sym_storage_class_specifier] = STATE(2228),
    [sym_type_qualifier] = STATE(2228),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__field_declaration_list_item] = STATE(1576),
    [sym_field_declaration] = STATE(1576),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2228),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_atdef_field] = STATE(1576),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1576),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(4294),
    [aux_sym_preproc_if_token1] = ACTIONS(4296),
    [aux_sym_preproc_if_token2] = ACTIONS(4328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4300),
    [aux_sym_preproc_else_token1] = ACTIONS(4302),
    [aux_sym_preproc_elif_token1] = ACTIONS(4304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4306),
    [sym_preproc_directive] = ACTIONS(4308),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4310),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
    [anon_sym_ATdefs] = ACTIONS(4312),
  },
  [1532] = {
    [sym_preproc_def] = STATE(1528),
    [sym_preproc_function_def] = STATE(1528),
    [sym_preproc_call] = STATE(1528),
    [sym_preproc_if_in_field_declaration_list] = STATE(1528),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1528),
    [sym_preproc_else_in_field_declaration_list] = STATE(6791),
    [sym_preproc_elif_in_field_declaration_list] = STATE(6791),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(6791),
    [sym__declaration_modifiers] = STATE(2228),
    [sym__declaration_specifiers] = STATE(4630),
    [sym_attribute_specifier] = STATE(2228),
    [sym_attribute_declaration] = STATE(2228),
    [sym_ms_declspec_modifier] = STATE(2228),
    [sym_storage_class_specifier] = STATE(2228),
    [sym_type_qualifier] = STATE(2228),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__field_declaration_list_item] = STATE(1528),
    [sym_field_declaration] = STATE(1528),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2228),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_atdef_field] = STATE(1528),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1528),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(4294),
    [aux_sym_preproc_if_token1] = ACTIONS(4296),
    [aux_sym_preproc_if_token2] = ACTIONS(4330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4300),
    [aux_sym_preproc_else_token1] = ACTIONS(4302),
    [aux_sym_preproc_elif_token1] = ACTIONS(4304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4306),
    [sym_preproc_directive] = ACTIONS(4308),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4310),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
    [anon_sym_ATdefs] = ACTIONS(4312),
  },
  [1533] = {
    [sym_preproc_def] = STATE(1525),
    [sym_preproc_function_def] = STATE(1525),
    [sym_preproc_call] = STATE(1525),
    [sym_preproc_if_in_field_declaration_list] = STATE(1525),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1525),
    [sym_preproc_else_in_field_declaration_list] = STATE(6150),
    [sym_preproc_elif_in_field_declaration_list] = STATE(6150),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(6150),
    [sym__declaration_modifiers] = STATE(2228),
    [sym__declaration_specifiers] = STATE(4630),
    [sym_attribute_specifier] = STATE(2228),
    [sym_attribute_declaration] = STATE(2228),
    [sym_ms_declspec_modifier] = STATE(2228),
    [sym_storage_class_specifier] = STATE(2228),
    [sym_type_qualifier] = STATE(2228),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__field_declaration_list_item] = STATE(1525),
    [sym_field_declaration] = STATE(1525),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2228),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_atdef_field] = STATE(1525),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1525),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(4294),
    [aux_sym_preproc_if_token1] = ACTIONS(4296),
    [aux_sym_preproc_if_token2] = ACTIONS(4332),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4300),
    [aux_sym_preproc_else_token1] = ACTIONS(4302),
    [aux_sym_preproc_elif_token1] = ACTIONS(4304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4306),
    [sym_preproc_directive] = ACTIONS(4308),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4310),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
    [anon_sym_ATdefs] = ACTIONS(4312),
  },
  [1534] = {
    [sym_preproc_def] = STATE(1536),
    [sym_preproc_function_def] = STATE(1536),
    [sym_preproc_call] = STATE(1536),
    [sym_preproc_if_in_field_declaration_list] = STATE(1536),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1536),
    [sym_preproc_else_in_field_declaration_list] = STATE(6510),
    [sym_preproc_elif_in_field_declaration_list] = STATE(6510),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(6510),
    [sym__declaration_modifiers] = STATE(2228),
    [sym__declaration_specifiers] = STATE(4630),
    [sym_attribute_specifier] = STATE(2228),
    [sym_attribute_declaration] = STATE(2228),
    [sym_ms_declspec_modifier] = STATE(2228),
    [sym_storage_class_specifier] = STATE(2228),
    [sym_type_qualifier] = STATE(2228),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__field_declaration_list_item] = STATE(1536),
    [sym_field_declaration] = STATE(1536),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2228),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_atdef_field] = STATE(1536),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1536),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(4294),
    [aux_sym_preproc_if_token1] = ACTIONS(4296),
    [aux_sym_preproc_if_token2] = ACTIONS(4334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4300),
    [aux_sym_preproc_else_token1] = ACTIONS(4302),
    [aux_sym_preproc_elif_token1] = ACTIONS(4304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4306),
    [sym_preproc_directive] = ACTIONS(4308),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4310),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
    [anon_sym_ATdefs] = ACTIONS(4312),
  },
  [1535] = {
    [sym_preproc_def] = STATE(1576),
    [sym_preproc_function_def] = STATE(1576),
    [sym_preproc_call] = STATE(1576),
    [sym_preproc_if_in_field_declaration_list] = STATE(1576),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1576),
    [sym_preproc_else_in_field_declaration_list] = STATE(6517),
    [sym_preproc_elif_in_field_declaration_list] = STATE(6517),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(6517),
    [sym__declaration_modifiers] = STATE(2228),
    [sym__declaration_specifiers] = STATE(4630),
    [sym_attribute_specifier] = STATE(2228),
    [sym_attribute_declaration] = STATE(2228),
    [sym_ms_declspec_modifier] = STATE(2228),
    [sym_storage_class_specifier] = STATE(2228),
    [sym_type_qualifier] = STATE(2228),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__field_declaration_list_item] = STATE(1576),
    [sym_field_declaration] = STATE(1576),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2228),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_atdef_field] = STATE(1576),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1576),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(4294),
    [aux_sym_preproc_if_token1] = ACTIONS(4296),
    [aux_sym_preproc_if_token2] = ACTIONS(4336),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4300),
    [aux_sym_preproc_else_token1] = ACTIONS(4302),
    [aux_sym_preproc_elif_token1] = ACTIONS(4304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4306),
    [sym_preproc_directive] = ACTIONS(4308),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4310),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
    [anon_sym_ATdefs] = ACTIONS(4312),
  },
  [1536] = {
    [sym_preproc_def] = STATE(1576),
    [sym_preproc_function_def] = STATE(1576),
    [sym_preproc_call] = STATE(1576),
    [sym_preproc_if_in_field_declaration_list] = STATE(1576),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1576),
    [sym_preproc_else_in_field_declaration_list] = STATE(6675),
    [sym_preproc_elif_in_field_declaration_list] = STATE(6675),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(6675),
    [sym__declaration_modifiers] = STATE(2228),
    [sym__declaration_specifiers] = STATE(4630),
    [sym_attribute_specifier] = STATE(2228),
    [sym_attribute_declaration] = STATE(2228),
    [sym_ms_declspec_modifier] = STATE(2228),
    [sym_storage_class_specifier] = STATE(2228),
    [sym_type_qualifier] = STATE(2228),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__field_declaration_list_item] = STATE(1576),
    [sym_field_declaration] = STATE(1576),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2228),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_atdef_field] = STATE(1576),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1576),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(4294),
    [aux_sym_preproc_if_token1] = ACTIONS(4296),
    [aux_sym_preproc_if_token2] = ACTIONS(4338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4300),
    [aux_sym_preproc_else_token1] = ACTIONS(4302),
    [aux_sym_preproc_elif_token1] = ACTIONS(4304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4306),
    [sym_preproc_directive] = ACTIONS(4308),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4310),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
    [anon_sym_ATdefs] = ACTIONS(4312),
  },
  [1537] = {
    [sym_preproc_def] = STATE(1535),
    [sym_preproc_function_def] = STATE(1535),
    [sym_preproc_call] = STATE(1535),
    [sym_preproc_if_in_field_declaration_list] = STATE(1535),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1535),
    [sym_preproc_else_in_field_declaration_list] = STATE(6018),
    [sym_preproc_elif_in_field_declaration_list] = STATE(6018),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(6018),
    [sym__declaration_modifiers] = STATE(2228),
    [sym__declaration_specifiers] = STATE(4630),
    [sym_attribute_specifier] = STATE(2228),
    [sym_attribute_declaration] = STATE(2228),
    [sym_ms_declspec_modifier] = STATE(2228),
    [sym_storage_class_specifier] = STATE(2228),
    [sym_type_qualifier] = STATE(2228),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__field_declaration_list_item] = STATE(1535),
    [sym_field_declaration] = STATE(1535),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2228),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_atdef_field] = STATE(1535),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1535),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(4294),
    [aux_sym_preproc_if_token1] = ACTIONS(4296),
    [aux_sym_preproc_if_token2] = ACTIONS(4340),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4300),
    [aux_sym_preproc_else_token1] = ACTIONS(4302),
    [aux_sym_preproc_elif_token1] = ACTIONS(4304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4306),
    [sym_preproc_directive] = ACTIONS(4308),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4310),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
    [anon_sym_ATdefs] = ACTIONS(4312),
  },
  [1538] = {
    [sym_preproc_def] = STATE(1530),
    [sym_preproc_function_def] = STATE(1530),
    [sym_preproc_call] = STATE(1530),
    [sym_preproc_if_in_field_declaration_list] = STATE(1530),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1530),
    [sym_preproc_else_in_field_declaration_list] = STATE(6559),
    [sym_preproc_elif_in_field_declaration_list] = STATE(6559),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(6559),
    [sym__declaration_modifiers] = STATE(2228),
    [sym__declaration_specifiers] = STATE(4630),
    [sym_attribute_specifier] = STATE(2228),
    [sym_attribute_declaration] = STATE(2228),
    [sym_ms_declspec_modifier] = STATE(2228),
    [sym_storage_class_specifier] = STATE(2228),
    [sym_type_qualifier] = STATE(2228),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__field_declaration_list_item] = STATE(1530),
    [sym_field_declaration] = STATE(1530),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2228),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_atdef_field] = STATE(1530),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1530),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(4294),
    [aux_sym_preproc_if_token1] = ACTIONS(4296),
    [aux_sym_preproc_if_token2] = ACTIONS(4342),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4300),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4300),
    [aux_sym_preproc_else_token1] = ACTIONS(4302),
    [aux_sym_preproc_elif_token1] = ACTIONS(4304),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4306),
    [sym_preproc_directive] = ACTIONS(4308),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4310),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
    [anon_sym_ATdefs] = ACTIONS(4312),
  },
  [1539] = {
    [sym_compound_statement] = STATE(6532),
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6532),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(6610),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(4351),
    [sym_parameterized_arguments] = STATE(6371),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1540] = {
    [sym_compound_statement] = STATE(6532),
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6532),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(6591),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(4344),
    [sym_parameterized_arguments] = STATE(6593),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1541] = {
    [sym_compound_statement] = STATE(6532),
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6532),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(6458),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(4343),
    [sym_parameterized_arguments] = STATE(6226),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1542] = {
    [sym_compound_statement] = STATE(6532),
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6532),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(6364),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(4347),
    [sym_parameterized_arguments] = STATE(6783),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1543] = {
    [sym_compound_statement] = STATE(6532),
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6532),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(6152),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(4349),
    [sym_parameterized_arguments] = STATE(6536),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1544] = {
    [sym_compound_statement] = STATE(6532),
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6532),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(6409),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(4352),
    [sym_parameterized_arguments] = STATE(6462),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1545] = {
    [sym_compound_statement] = STATE(6532),
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6532),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(6228),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(4340),
    [sym_parameterized_arguments] = STATE(6474),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1546] = {
    [sym_compound_statement] = STATE(6532),
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6532),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(6230),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(4352),
    [sym_parameterized_arguments] = STATE(6462),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1547] = {
    [sym_compound_statement] = STATE(6532),
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6532),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(6752),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(4347),
    [sym_parameterized_arguments] = STATE(6783),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1548] = {
    [sym_compound_statement] = STATE(6532),
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6532),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(6326),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(4342),
    [sym_parameterized_arguments] = STATE(6401),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1549] = {
    [sym_compound_statement] = STATE(6532),
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6532),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(5974),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(4348),
    [sym_parameterized_arguments] = STATE(6735),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1550] = {
    [sym_compound_statement] = STATE(6532),
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6532),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(6073),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(4350),
    [sym_parameterized_arguments] = STATE(6362),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1551] = {
    [sym_compound_statement] = STATE(6532),
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6532),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(6224),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(4343),
    [sym_parameterized_arguments] = STATE(6226),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1552] = {
    [sym_compound_statement] = STATE(6532),
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6532),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(5932),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(4346),
    [sym_parameterized_arguments] = STATE(6684),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1553] = {
    [sym_compound_statement] = STATE(6532),
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6532),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(6507),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(4349),
    [sym_parameterized_arguments] = STATE(6536),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1554] = {
    [sym_compound_statement] = STATE(6532),
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6532),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(6471),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(4340),
    [sym_parameterized_arguments] = STATE(6474),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1555] = {
    [sym_compound_statement] = STATE(6532),
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6532),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(6398),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(4342),
    [sym_parameterized_arguments] = STATE(6401),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1556] = {
    [sym_compound_statement] = STATE(6532),
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6532),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(6360),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(4350),
    [sym_parameterized_arguments] = STATE(6362),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1557] = {
    [sym_compound_statement] = STATE(6532),
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6532),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(6369),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(4351),
    [sym_parameterized_arguments] = STATE(6371),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1558] = {
    [sym_compound_statement] = STATE(6532),
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6532),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(6607),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(4344),
    [sym_parameterized_arguments] = STATE(6593),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1559] = {
    [sym_compound_statement] = STATE(6532),
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6532),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(6669),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(4345),
    [sym_parameterized_arguments] = STATE(6663),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1560] = {
    [sym_compound_statement] = STATE(6532),
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6532),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(6661),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(4345),
    [sym_parameterized_arguments] = STATE(6663),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1561] = {
    [sym_compound_statement] = STATE(6532),
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6532),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(6733),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(4348),
    [sym_parameterized_arguments] = STATE(6735),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1562] = {
    [sym_compound_statement] = STATE(6532),
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6532),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(6682),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(4346),
    [sym_parameterized_arguments] = STATE(6684),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1563] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4372),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4374),
    [anon_sym_COMMA] = ACTIONS(4377),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4379),
    [anon_sym_PLUS] = ACTIONS(4379),
    [anon_sym_STAR] = ACTIONS(4381),
    [anon_sym_SLASH] = ACTIONS(4381),
    [anon_sym_PERCENT] = ACTIONS(4381),
    [anon_sym_PIPE_PIPE] = ACTIONS(4383),
    [anon_sym_AMP_AMP] = ACTIONS(4385),
    [anon_sym_PIPE] = ACTIONS(4387),
    [anon_sym_CARET] = ACTIONS(4389),
    [anon_sym_AMP] = ACTIONS(4391),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_GT_EQ] = ACTIONS(4397),
    [anon_sym_LT_EQ] = ACTIONS(4397),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4399),
    [anon_sym_GT_GT] = ACTIONS(4399),
    [anon_sym_SEMI] = ACTIONS(4377),
    [anon_sym___extension__] = ACTIONS(4372),
    [anon_sym_extern] = ACTIONS(4372),
    [anon_sym___attribute__] = ACTIONS(4372),
    [anon_sym___attribute] = ACTIONS(4372),
    [anon_sym_noreturn] = ACTIONS(4372),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4372),
    [anon_sym_LBRACE] = ACTIONS(4377),
    [anon_sym_signed] = ACTIONS(4372),
    [anon_sym_unsigned] = ACTIONS(4372),
    [anon_sym_long] = ACTIONS(4372),
    [anon_sym_short] = ACTIONS(4372),
    [anon_sym_static] = ACTIONS(4372),
    [anon_sym_EQ] = ACTIONS(4372),
    [anon_sym_ATautoreleasepool] = ACTIONS(4377),
    [anon_sym_auto] = ACTIONS(4372),
    [anon_sym_register] = ACTIONS(4372),
    [anon_sym_inline] = ACTIONS(4372),
    [anon_sym___inline] = ACTIONS(4372),
    [anon_sym___inline__] = ACTIONS(4372),
    [anon_sym___forceinline] = ACTIONS(4372),
    [anon_sym_thread_local] = ACTIONS(4372),
    [anon_sym___thread] = ACTIONS(4372),
    [anon_sym_CG_EXTERN] = ACTIONS(4372),
    [anon_sym_CG_INLINE] = ACTIONS(4372),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4372),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4372),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4372),
    [anon_sym_IBOutlet] = ACTIONS(4372),
    [anon_sym_IBInspectable] = ACTIONS(4372),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4372),
    [anon_sym_NS_INLINE] = ACTIONS(4372),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4372),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4372),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4372),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4372),
    [anon_sym_const] = ACTIONS(4372),
    [anon_sym_constexpr] = ACTIONS(4372),
    [anon_sym_volatile] = ACTIONS(4372),
    [anon_sym_restrict] = ACTIONS(4372),
    [anon_sym___restrict__] = ACTIONS(4372),
    [anon_sym__Atomic] = ACTIONS(4372),
    [anon_sym__Noreturn] = ACTIONS(4372),
    [anon_sym__Nonnull] = ACTIONS(4372),
    [anon_sym_nullable] = ACTIONS(4372),
    [anon_sym__Complex] = ACTIONS(4372),
    [anon_sym__Nullable] = ACTIONS(4372),
    [anon_sym__Nullable_result] = ACTIONS(4372),
    [anon_sym__Null_unspecified] = ACTIONS(4372),
    [anon_sym___autoreleasing] = ACTIONS(4372),
    [anon_sym___block] = ACTIONS(4372),
    [anon_sym___bridge] = ACTIONS(4372),
    [anon_sym___bridge_retained] = ACTIONS(4372),
    [anon_sym___bridge_transfer] = ACTIONS(4372),
    [anon_sym___complex] = ACTIONS(4372),
    [anon_sym___const] = ACTIONS(4372),
    [anon_sym___imag] = ACTIONS(4372),
    [anon_sym___kindof] = ACTIONS(4372),
    [anon_sym___nonnull] = ACTIONS(4372),
    [anon_sym___nullable] = ACTIONS(4372),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4372),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4372),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4372),
    [anon_sym___real] = ACTIONS(4372),
    [anon_sym___strong] = ACTIONS(4372),
    [anon_sym___unsafe_unretained] = ACTIONS(4372),
    [anon_sym___unused] = ACTIONS(4372),
    [anon_sym___weak] = ACTIONS(4372),
    [anon_sym_alignas] = ACTIONS(4372),
    [anon_sym__Alignas] = ACTIONS(4372),
    [sym_primitive_type] = ACTIONS(4372),
    [anon_sym_enum] = ACTIONS(4372),
    [anon_sym_struct] = ACTIONS(4372),
    [anon_sym_union] = ACTIONS(4372),
    [anon_sym_QMARK] = ACTIONS(4377),
    [anon_sym_STAR_EQ] = ACTIONS(4377),
    [anon_sym_SLASH_EQ] = ACTIONS(4377),
    [anon_sym_PERCENT_EQ] = ACTIONS(4377),
    [anon_sym_PLUS_EQ] = ACTIONS(4377),
    [anon_sym_DASH_EQ] = ACTIONS(4377),
    [anon_sym_LT_LT_EQ] = ACTIONS(4377),
    [anon_sym_GT_GT_EQ] = ACTIONS(4377),
    [anon_sym_AMP_EQ] = ACTIONS(4377),
    [anon_sym_CARET_EQ] = ACTIONS(4377),
    [anon_sym_PIPE_EQ] = ACTIONS(4377),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4372),
    [anon_sym___typeof] = ACTIONS(4372),
    [anon_sym_typeof] = ACTIONS(4372),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4372),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4372),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4372),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4372),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4372),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4372),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4372),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4372),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4372),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4372),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4372),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4372),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4372),
    [anon_sym_API_AVAILABLE] = ACTIONS(4372),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4372),
    [anon_sym_API_DEPRECATED] = ACTIONS(4372),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4372),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4372),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4372),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4372),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4372),
    [anon_sym___deprecated_msg] = ACTIONS(4372),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4372),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4372),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4372),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4372),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4372),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4372),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4372),
    [anon_sym_BOOL] = ACTIONS(4372),
    [anon_sym_IMP] = ACTIONS(4372),
    [anon_sym_SEL] = ACTIONS(4372),
    [anon_sym_Class] = ACTIONS(4372),
    [anon_sym_id] = ACTIONS(4372),
  },
  [1564] = {
    [sym_identifier] = ACTIONS(2356),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2358),
    [anon_sym_COMMA] = ACTIONS(2358),
    [anon_sym_RPAREN] = ACTIONS(2358),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2358),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2358),
    [anon_sym_LPAREN2] = ACTIONS(2358),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2358),
    [anon_sym_SLASH] = ACTIONS(2356),
    [anon_sym_PERCENT] = ACTIONS(2358),
    [anon_sym_PIPE_PIPE] = ACTIONS(2358),
    [anon_sym_AMP_AMP] = ACTIONS(2358),
    [anon_sym_PIPE] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2358),
    [anon_sym_AMP] = ACTIONS(2356),
    [anon_sym_EQ_EQ] = ACTIONS(2358),
    [anon_sym_BANG_EQ] = ACTIONS(2358),
    [anon_sym_GT] = ACTIONS(2356),
    [anon_sym_GT_EQ] = ACTIONS(2358),
    [anon_sym_LT_EQ] = ACTIONS(2358),
    [anon_sym_LT] = ACTIONS(2356),
    [anon_sym_LT_LT] = ACTIONS(2358),
    [anon_sym_GT_GT] = ACTIONS(2358),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2356),
    [anon_sym_extern] = ACTIONS(2356),
    [anon_sym___attribute__] = ACTIONS(2356),
    [anon_sym___attribute] = ACTIONS(2356),
    [anon_sym_noreturn] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2358),
    [anon_sym_RBRACK] = ACTIONS(2358),
    [anon_sym___declspec] = ACTIONS(2356),
    [anon_sym_LBRACE] = ACTIONS(2358),
    [anon_sym_RBRACE] = ACTIONS(2358),
    [anon_sym_signed] = ACTIONS(2356),
    [anon_sym_unsigned] = ACTIONS(2356),
    [anon_sym_long] = ACTIONS(2356),
    [anon_sym_short] = ACTIONS(2356),
    [anon_sym_static] = ACTIONS(2356),
    [anon_sym_ATautoreleasepool] = ACTIONS(2358),
    [anon_sym_auto] = ACTIONS(2356),
    [anon_sym_register] = ACTIONS(2356),
    [anon_sym_inline] = ACTIONS(2356),
    [anon_sym___inline] = ACTIONS(2356),
    [anon_sym___inline__] = ACTIONS(2356),
    [anon_sym___forceinline] = ACTIONS(2356),
    [anon_sym_thread_local] = ACTIONS(2356),
    [anon_sym___thread] = ACTIONS(2356),
    [anon_sym_CG_EXTERN] = ACTIONS(2356),
    [anon_sym_CG_INLINE] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2356),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2356),
    [anon_sym_IBOutlet] = ACTIONS(2356),
    [anon_sym_IBInspectable] = ACTIONS(2356),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2356),
    [anon_sym_NS_INLINE] = ACTIONS(2356),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2356),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2356),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2356),
    [anon_sym_const] = ACTIONS(2356),
    [anon_sym_constexpr] = ACTIONS(2356),
    [anon_sym_volatile] = ACTIONS(2356),
    [anon_sym_restrict] = ACTIONS(2356),
    [anon_sym___restrict__] = ACTIONS(2356),
    [anon_sym__Atomic] = ACTIONS(2356),
    [anon_sym__Noreturn] = ACTIONS(2356),
    [anon_sym__Nonnull] = ACTIONS(2356),
    [anon_sym_nullable] = ACTIONS(2356),
    [anon_sym__Complex] = ACTIONS(2356),
    [anon_sym__Nullable] = ACTIONS(2356),
    [anon_sym__Nullable_result] = ACTIONS(2356),
    [anon_sym__Null_unspecified] = ACTIONS(2356),
    [anon_sym___autoreleasing] = ACTIONS(2356),
    [anon_sym___block] = ACTIONS(2356),
    [anon_sym___bridge] = ACTIONS(2356),
    [anon_sym___bridge_retained] = ACTIONS(2356),
    [anon_sym___bridge_transfer] = ACTIONS(2356),
    [anon_sym___complex] = ACTIONS(2356),
    [anon_sym___const] = ACTIONS(2356),
    [anon_sym___imag] = ACTIONS(2356),
    [anon_sym___kindof] = ACTIONS(2356),
    [anon_sym___nonnull] = ACTIONS(2356),
    [anon_sym___nullable] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2356),
    [anon_sym___real] = ACTIONS(2356),
    [anon_sym___strong] = ACTIONS(2356),
    [anon_sym___unsafe_unretained] = ACTIONS(2356),
    [anon_sym___unused] = ACTIONS(2356),
    [anon_sym___weak] = ACTIONS(2356),
    [anon_sym_alignas] = ACTIONS(2356),
    [anon_sym__Alignas] = ACTIONS(2356),
    [sym_primitive_type] = ACTIONS(2356),
    [anon_sym_enum] = ACTIONS(2356),
    [anon_sym_COLON] = ACTIONS(2358),
    [anon_sym_struct] = ACTIONS(2356),
    [anon_sym_union] = ACTIONS(2356),
    [anon_sym_else] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_QMARK] = ACTIONS(2358),
    [anon_sym_DASH_DASH] = ACTIONS(2358),
    [anon_sym_PLUS_PLUS] = ACTIONS(2358),
    [anon_sym_DOT] = ACTIONS(2356),
    [anon_sym_DASH_GT] = ACTIONS(2358),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2356),
    [anon_sym___typeof] = ACTIONS(2356),
    [anon_sym_typeof] = ACTIONS(2356),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2356),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2356),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2356),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_API_AVAILABLE] = ACTIONS(2356),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_API_DEPRECATED] = ACTIONS(2356),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym___deprecated_msg] = ACTIONS(2356),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2356),
    [anon_sym_ATcatch] = ACTIONS(2358),
    [anon_sym___catch] = ACTIONS(2356),
    [anon_sym_ATfinally] = ACTIONS(2358),
    [anon_sym___finally] = ACTIONS(2356),
    [anon_sym_BOOL] = ACTIONS(2356),
    [anon_sym_IMP] = ACTIONS(2356),
    [anon_sym_SEL] = ACTIONS(2356),
    [anon_sym_Class] = ACTIONS(2356),
    [anon_sym_id] = ACTIONS(2356),
  },
  [1565] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4403),
    [anon_sym_COMMA] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4379),
    [anon_sym_PLUS] = ACTIONS(4379),
    [anon_sym_STAR] = ACTIONS(4381),
    [anon_sym_SLASH] = ACTIONS(4381),
    [anon_sym_PERCENT] = ACTIONS(4381),
    [anon_sym_PIPE_PIPE] = ACTIONS(4383),
    [anon_sym_AMP_AMP] = ACTIONS(4385),
    [anon_sym_PIPE] = ACTIONS(4387),
    [anon_sym_CARET] = ACTIONS(4389),
    [anon_sym_AMP] = ACTIONS(4391),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_GT_EQ] = ACTIONS(4397),
    [anon_sym_LT_EQ] = ACTIONS(4397),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4399),
    [anon_sym_GT_GT] = ACTIONS(4399),
    [anon_sym_SEMI] = ACTIONS(4405),
    [anon_sym___extension__] = ACTIONS(4401),
    [anon_sym_extern] = ACTIONS(4401),
    [anon_sym___attribute__] = ACTIONS(4401),
    [anon_sym___attribute] = ACTIONS(4401),
    [anon_sym_noreturn] = ACTIONS(4401),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4401),
    [anon_sym_LBRACE] = ACTIONS(4405),
    [anon_sym_signed] = ACTIONS(4401),
    [anon_sym_unsigned] = ACTIONS(4401),
    [anon_sym_long] = ACTIONS(4401),
    [anon_sym_short] = ACTIONS(4401),
    [anon_sym_static] = ACTIONS(4401),
    [anon_sym_EQ] = ACTIONS(4401),
    [anon_sym_ATautoreleasepool] = ACTIONS(4405),
    [anon_sym_auto] = ACTIONS(4401),
    [anon_sym_register] = ACTIONS(4401),
    [anon_sym_inline] = ACTIONS(4401),
    [anon_sym___inline] = ACTIONS(4401),
    [anon_sym___inline__] = ACTIONS(4401),
    [anon_sym___forceinline] = ACTIONS(4401),
    [anon_sym_thread_local] = ACTIONS(4401),
    [anon_sym___thread] = ACTIONS(4401),
    [anon_sym_CG_EXTERN] = ACTIONS(4401),
    [anon_sym_CG_INLINE] = ACTIONS(4401),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4401),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4401),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4401),
    [anon_sym_IBOutlet] = ACTIONS(4401),
    [anon_sym_IBInspectable] = ACTIONS(4401),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4401),
    [anon_sym_NS_INLINE] = ACTIONS(4401),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4401),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4401),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4401),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4401),
    [anon_sym_const] = ACTIONS(4401),
    [anon_sym_constexpr] = ACTIONS(4401),
    [anon_sym_volatile] = ACTIONS(4401),
    [anon_sym_restrict] = ACTIONS(4401),
    [anon_sym___restrict__] = ACTIONS(4401),
    [anon_sym__Atomic] = ACTIONS(4401),
    [anon_sym__Noreturn] = ACTIONS(4401),
    [anon_sym__Nonnull] = ACTIONS(4401),
    [anon_sym_nullable] = ACTIONS(4401),
    [anon_sym__Complex] = ACTIONS(4401),
    [anon_sym__Nullable] = ACTIONS(4401),
    [anon_sym__Nullable_result] = ACTIONS(4401),
    [anon_sym__Null_unspecified] = ACTIONS(4401),
    [anon_sym___autoreleasing] = ACTIONS(4401),
    [anon_sym___block] = ACTIONS(4401),
    [anon_sym___bridge] = ACTIONS(4401),
    [anon_sym___bridge_retained] = ACTIONS(4401),
    [anon_sym___bridge_transfer] = ACTIONS(4401),
    [anon_sym___complex] = ACTIONS(4401),
    [anon_sym___const] = ACTIONS(4401),
    [anon_sym___imag] = ACTIONS(4401),
    [anon_sym___kindof] = ACTIONS(4401),
    [anon_sym___nonnull] = ACTIONS(4401),
    [anon_sym___nullable] = ACTIONS(4401),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4401),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4401),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4401),
    [anon_sym___real] = ACTIONS(4401),
    [anon_sym___strong] = ACTIONS(4401),
    [anon_sym___unsafe_unretained] = ACTIONS(4401),
    [anon_sym___unused] = ACTIONS(4401),
    [anon_sym___weak] = ACTIONS(4401),
    [anon_sym_alignas] = ACTIONS(4401),
    [anon_sym__Alignas] = ACTIONS(4401),
    [sym_primitive_type] = ACTIONS(4401),
    [anon_sym_enum] = ACTIONS(4401),
    [anon_sym_struct] = ACTIONS(4401),
    [anon_sym_union] = ACTIONS(4401),
    [anon_sym_QMARK] = ACTIONS(4407),
    [anon_sym_STAR_EQ] = ACTIONS(4405),
    [anon_sym_SLASH_EQ] = ACTIONS(4405),
    [anon_sym_PERCENT_EQ] = ACTIONS(4405),
    [anon_sym_PLUS_EQ] = ACTIONS(4405),
    [anon_sym_DASH_EQ] = ACTIONS(4405),
    [anon_sym_LT_LT_EQ] = ACTIONS(4405),
    [anon_sym_GT_GT_EQ] = ACTIONS(4405),
    [anon_sym_AMP_EQ] = ACTIONS(4405),
    [anon_sym_CARET_EQ] = ACTIONS(4405),
    [anon_sym_PIPE_EQ] = ACTIONS(4405),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4401),
    [anon_sym___typeof] = ACTIONS(4401),
    [anon_sym_typeof] = ACTIONS(4401),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4401),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4401),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4401),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4401),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4401),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4401),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4401),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4401),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4401),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4401),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4401),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4401),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4401),
    [anon_sym_API_AVAILABLE] = ACTIONS(4401),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4401),
    [anon_sym_API_DEPRECATED] = ACTIONS(4401),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4401),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4401),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4401),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4401),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4401),
    [anon_sym___deprecated_msg] = ACTIONS(4401),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4401),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4401),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4401),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4401),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4401),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4401),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4401),
    [anon_sym_BOOL] = ACTIONS(4401),
    [anon_sym_IMP] = ACTIONS(4401),
    [anon_sym_SEL] = ACTIONS(4401),
    [anon_sym_Class] = ACTIONS(4401),
    [anon_sym_id] = ACTIONS(4401),
  },
  [1566] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4379),
    [anon_sym_PLUS] = ACTIONS(4379),
    [anon_sym_STAR] = ACTIONS(4381),
    [anon_sym_SLASH] = ACTIONS(4381),
    [anon_sym_PERCENT] = ACTIONS(4381),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4387),
    [anon_sym_CARET] = ACTIONS(4389),
    [anon_sym_AMP] = ACTIONS(4391),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_GT_EQ] = ACTIONS(4397),
    [anon_sym_LT_EQ] = ACTIONS(4397),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4399),
    [anon_sym_GT_GT] = ACTIONS(4399),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_LBRACE] = ACTIONS(4036),
    [anon_sym_signed] = ACTIONS(4034),
    [anon_sym_unsigned] = ACTIONS(4034),
    [anon_sym_long] = ACTIONS(4034),
    [anon_sym_short] = ACTIONS(4034),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_ATautoreleasepool] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [sym_primitive_type] = ACTIONS(4034),
    [anon_sym_enum] = ACTIONS(4034),
    [anon_sym_struct] = ACTIONS(4034),
    [anon_sym_union] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4034),
    [anon_sym___typeof] = ACTIONS(4034),
    [anon_sym_typeof] = ACTIONS(4034),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
    [anon_sym_BOOL] = ACTIONS(4034),
    [anon_sym_IMP] = ACTIONS(4034),
    [anon_sym_SEL] = ACTIONS(4034),
    [anon_sym_Class] = ACTIONS(4034),
    [anon_sym_id] = ACTIONS(4034),
  },
  [1567] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4403),
    [anon_sym_COMMA] = ACTIONS(4411),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4379),
    [anon_sym_PLUS] = ACTIONS(4379),
    [anon_sym_STAR] = ACTIONS(4381),
    [anon_sym_SLASH] = ACTIONS(4381),
    [anon_sym_PERCENT] = ACTIONS(4381),
    [anon_sym_PIPE_PIPE] = ACTIONS(4383),
    [anon_sym_AMP_AMP] = ACTIONS(4385),
    [anon_sym_PIPE] = ACTIONS(4387),
    [anon_sym_CARET] = ACTIONS(4389),
    [anon_sym_AMP] = ACTIONS(4391),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_GT_EQ] = ACTIONS(4397),
    [anon_sym_LT_EQ] = ACTIONS(4397),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4399),
    [anon_sym_GT_GT] = ACTIONS(4399),
    [anon_sym_SEMI] = ACTIONS(4411),
    [anon_sym___extension__] = ACTIONS(4409),
    [anon_sym_extern] = ACTIONS(4409),
    [anon_sym___attribute__] = ACTIONS(4409),
    [anon_sym___attribute] = ACTIONS(4409),
    [anon_sym_noreturn] = ACTIONS(4409),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4409),
    [anon_sym_LBRACE] = ACTIONS(4411),
    [anon_sym_signed] = ACTIONS(4409),
    [anon_sym_unsigned] = ACTIONS(4409),
    [anon_sym_long] = ACTIONS(4409),
    [anon_sym_short] = ACTIONS(4409),
    [anon_sym_static] = ACTIONS(4409),
    [anon_sym_EQ] = ACTIONS(4409),
    [anon_sym_ATautoreleasepool] = ACTIONS(4411),
    [anon_sym_auto] = ACTIONS(4409),
    [anon_sym_register] = ACTIONS(4409),
    [anon_sym_inline] = ACTIONS(4409),
    [anon_sym___inline] = ACTIONS(4409),
    [anon_sym___inline__] = ACTIONS(4409),
    [anon_sym___forceinline] = ACTIONS(4409),
    [anon_sym_thread_local] = ACTIONS(4409),
    [anon_sym___thread] = ACTIONS(4409),
    [anon_sym_CG_EXTERN] = ACTIONS(4409),
    [anon_sym_CG_INLINE] = ACTIONS(4409),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4409),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4409),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4409),
    [anon_sym_IBOutlet] = ACTIONS(4409),
    [anon_sym_IBInspectable] = ACTIONS(4409),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4409),
    [anon_sym_NS_INLINE] = ACTIONS(4409),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4409),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4409),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4409),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4409),
    [anon_sym_const] = ACTIONS(4409),
    [anon_sym_constexpr] = ACTIONS(4409),
    [anon_sym_volatile] = ACTIONS(4409),
    [anon_sym_restrict] = ACTIONS(4409),
    [anon_sym___restrict__] = ACTIONS(4409),
    [anon_sym__Atomic] = ACTIONS(4409),
    [anon_sym__Noreturn] = ACTIONS(4409),
    [anon_sym__Nonnull] = ACTIONS(4409),
    [anon_sym_nullable] = ACTIONS(4409),
    [anon_sym__Complex] = ACTIONS(4409),
    [anon_sym__Nullable] = ACTIONS(4409),
    [anon_sym__Nullable_result] = ACTIONS(4409),
    [anon_sym__Null_unspecified] = ACTIONS(4409),
    [anon_sym___autoreleasing] = ACTIONS(4409),
    [anon_sym___block] = ACTIONS(4409),
    [anon_sym___bridge] = ACTIONS(4409),
    [anon_sym___bridge_retained] = ACTIONS(4409),
    [anon_sym___bridge_transfer] = ACTIONS(4409),
    [anon_sym___complex] = ACTIONS(4409),
    [anon_sym___const] = ACTIONS(4409),
    [anon_sym___imag] = ACTIONS(4409),
    [anon_sym___kindof] = ACTIONS(4409),
    [anon_sym___nonnull] = ACTIONS(4409),
    [anon_sym___nullable] = ACTIONS(4409),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4409),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4409),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4409),
    [anon_sym___real] = ACTIONS(4409),
    [anon_sym___strong] = ACTIONS(4409),
    [anon_sym___unsafe_unretained] = ACTIONS(4409),
    [anon_sym___unused] = ACTIONS(4409),
    [anon_sym___weak] = ACTIONS(4409),
    [anon_sym_alignas] = ACTIONS(4409),
    [anon_sym__Alignas] = ACTIONS(4409),
    [sym_primitive_type] = ACTIONS(4409),
    [anon_sym_enum] = ACTIONS(4409),
    [anon_sym_struct] = ACTIONS(4409),
    [anon_sym_union] = ACTIONS(4409),
    [anon_sym_QMARK] = ACTIONS(4411),
    [anon_sym_STAR_EQ] = ACTIONS(4411),
    [anon_sym_SLASH_EQ] = ACTIONS(4411),
    [anon_sym_PERCENT_EQ] = ACTIONS(4411),
    [anon_sym_PLUS_EQ] = ACTIONS(4411),
    [anon_sym_DASH_EQ] = ACTIONS(4411),
    [anon_sym_LT_LT_EQ] = ACTIONS(4411),
    [anon_sym_GT_GT_EQ] = ACTIONS(4411),
    [anon_sym_AMP_EQ] = ACTIONS(4411),
    [anon_sym_CARET_EQ] = ACTIONS(4411),
    [anon_sym_PIPE_EQ] = ACTIONS(4411),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4409),
    [anon_sym___typeof] = ACTIONS(4409),
    [anon_sym_typeof] = ACTIONS(4409),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4409),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4409),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4409),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4409),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4409),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4409),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4409),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4409),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4409),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4409),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4409),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4409),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4409),
    [anon_sym_API_AVAILABLE] = ACTIONS(4409),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4409),
    [anon_sym_API_DEPRECATED] = ACTIONS(4409),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4409),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4409),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4409),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4409),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4409),
    [anon_sym___deprecated_msg] = ACTIONS(4409),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4409),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4409),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4409),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4409),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4409),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4409),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4409),
    [anon_sym_BOOL] = ACTIONS(4409),
    [anon_sym_IMP] = ACTIONS(4409),
    [anon_sym_SEL] = ACTIONS(4409),
    [anon_sym_Class] = ACTIONS(4409),
    [anon_sym_id] = ACTIONS(4409),
  },
  [1568] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4403),
    [anon_sym_COMMA] = ACTIONS(4415),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4379),
    [anon_sym_PLUS] = ACTIONS(4379),
    [anon_sym_STAR] = ACTIONS(4381),
    [anon_sym_SLASH] = ACTIONS(4381),
    [anon_sym_PERCENT] = ACTIONS(4381),
    [anon_sym_PIPE_PIPE] = ACTIONS(4383),
    [anon_sym_AMP_AMP] = ACTIONS(4385),
    [anon_sym_PIPE] = ACTIONS(4387),
    [anon_sym_CARET] = ACTIONS(4389),
    [anon_sym_AMP] = ACTIONS(4391),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_GT_EQ] = ACTIONS(4397),
    [anon_sym_LT_EQ] = ACTIONS(4397),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4399),
    [anon_sym_GT_GT] = ACTIONS(4399),
    [anon_sym_SEMI] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(4413),
    [anon_sym_extern] = ACTIONS(4413),
    [anon_sym___attribute__] = ACTIONS(4413),
    [anon_sym___attribute] = ACTIONS(4413),
    [anon_sym_noreturn] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4413),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_signed] = ACTIONS(4413),
    [anon_sym_unsigned] = ACTIONS(4413),
    [anon_sym_long] = ACTIONS(4413),
    [anon_sym_short] = ACTIONS(4413),
    [anon_sym_static] = ACTIONS(4413),
    [anon_sym_EQ] = ACTIONS(4413),
    [anon_sym_ATautoreleasepool] = ACTIONS(4415),
    [anon_sym_auto] = ACTIONS(4413),
    [anon_sym_register] = ACTIONS(4413),
    [anon_sym_inline] = ACTIONS(4413),
    [anon_sym___inline] = ACTIONS(4413),
    [anon_sym___inline__] = ACTIONS(4413),
    [anon_sym___forceinline] = ACTIONS(4413),
    [anon_sym_thread_local] = ACTIONS(4413),
    [anon_sym___thread] = ACTIONS(4413),
    [anon_sym_CG_EXTERN] = ACTIONS(4413),
    [anon_sym_CG_INLINE] = ACTIONS(4413),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4413),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4413),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4413),
    [anon_sym_IBOutlet] = ACTIONS(4413),
    [anon_sym_IBInspectable] = ACTIONS(4413),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4413),
    [anon_sym_NS_INLINE] = ACTIONS(4413),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4413),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4413),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4413),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4413),
    [anon_sym_const] = ACTIONS(4413),
    [anon_sym_constexpr] = ACTIONS(4413),
    [anon_sym_volatile] = ACTIONS(4413),
    [anon_sym_restrict] = ACTIONS(4413),
    [anon_sym___restrict__] = ACTIONS(4413),
    [anon_sym__Atomic] = ACTIONS(4413),
    [anon_sym__Noreturn] = ACTIONS(4413),
    [anon_sym__Nonnull] = ACTIONS(4413),
    [anon_sym_nullable] = ACTIONS(4413),
    [anon_sym__Complex] = ACTIONS(4413),
    [anon_sym__Nullable] = ACTIONS(4413),
    [anon_sym__Nullable_result] = ACTIONS(4413),
    [anon_sym__Null_unspecified] = ACTIONS(4413),
    [anon_sym___autoreleasing] = ACTIONS(4413),
    [anon_sym___block] = ACTIONS(4413),
    [anon_sym___bridge] = ACTIONS(4413),
    [anon_sym___bridge_retained] = ACTIONS(4413),
    [anon_sym___bridge_transfer] = ACTIONS(4413),
    [anon_sym___complex] = ACTIONS(4413),
    [anon_sym___const] = ACTIONS(4413),
    [anon_sym___imag] = ACTIONS(4413),
    [anon_sym___kindof] = ACTIONS(4413),
    [anon_sym___nonnull] = ACTIONS(4413),
    [anon_sym___nullable] = ACTIONS(4413),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4413),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4413),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4413),
    [anon_sym___real] = ACTIONS(4413),
    [anon_sym___strong] = ACTIONS(4413),
    [anon_sym___unsafe_unretained] = ACTIONS(4413),
    [anon_sym___unused] = ACTIONS(4413),
    [anon_sym___weak] = ACTIONS(4413),
    [anon_sym_alignas] = ACTIONS(4413),
    [anon_sym__Alignas] = ACTIONS(4413),
    [sym_primitive_type] = ACTIONS(4413),
    [anon_sym_enum] = ACTIONS(4413),
    [anon_sym_struct] = ACTIONS(4413),
    [anon_sym_union] = ACTIONS(4413),
    [anon_sym_QMARK] = ACTIONS(4415),
    [anon_sym_STAR_EQ] = ACTIONS(4415),
    [anon_sym_SLASH_EQ] = ACTIONS(4415),
    [anon_sym_PERCENT_EQ] = ACTIONS(4415),
    [anon_sym_PLUS_EQ] = ACTIONS(4415),
    [anon_sym_DASH_EQ] = ACTIONS(4415),
    [anon_sym_LT_LT_EQ] = ACTIONS(4415),
    [anon_sym_GT_GT_EQ] = ACTIONS(4415),
    [anon_sym_AMP_EQ] = ACTIONS(4415),
    [anon_sym_CARET_EQ] = ACTIONS(4415),
    [anon_sym_PIPE_EQ] = ACTIONS(4415),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4413),
    [anon_sym___typeof] = ACTIONS(4413),
    [anon_sym_typeof] = ACTIONS(4413),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4413),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4413),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4413),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4413),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4413),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4413),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4413),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4413),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4413),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4413),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4413),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4413),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4413),
    [anon_sym_API_AVAILABLE] = ACTIONS(4413),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4413),
    [anon_sym_API_DEPRECATED] = ACTIONS(4413),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4413),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4413),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4413),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4413),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4413),
    [anon_sym___deprecated_msg] = ACTIONS(4413),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4413),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4413),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4413),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4413),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4413),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4413),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4413),
    [anon_sym_BOOL] = ACTIONS(4413),
    [anon_sym_IMP] = ACTIONS(4413),
    [anon_sym_SEL] = ACTIONS(4413),
    [anon_sym_Class] = ACTIONS(4413),
    [anon_sym_id] = ACTIONS(4413),
  },
  [1569] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4379),
    [anon_sym_PLUS] = ACTIONS(4379),
    [anon_sym_STAR] = ACTIONS(4381),
    [anon_sym_SLASH] = ACTIONS(4381),
    [anon_sym_PERCENT] = ACTIONS(4381),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4034),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(4034),
    [anon_sym_GT_EQ] = ACTIONS(4036),
    [anon_sym_LT_EQ] = ACTIONS(4036),
    [anon_sym_LT] = ACTIONS(4034),
    [anon_sym_LT_LT] = ACTIONS(4034),
    [anon_sym_GT_GT] = ACTIONS(4034),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_LBRACE] = ACTIONS(4036),
    [anon_sym_signed] = ACTIONS(4034),
    [anon_sym_unsigned] = ACTIONS(4034),
    [anon_sym_long] = ACTIONS(4034),
    [anon_sym_short] = ACTIONS(4034),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_ATautoreleasepool] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [sym_primitive_type] = ACTIONS(4034),
    [anon_sym_enum] = ACTIONS(4034),
    [anon_sym_struct] = ACTIONS(4034),
    [anon_sym_union] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4034),
    [anon_sym___typeof] = ACTIONS(4034),
    [anon_sym_typeof] = ACTIONS(4034),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
    [anon_sym_BOOL] = ACTIONS(4034),
    [anon_sym_IMP] = ACTIONS(4034),
    [anon_sym_SEL] = ACTIONS(4034),
    [anon_sym_Class] = ACTIONS(4034),
    [anon_sym_id] = ACTIONS(4034),
  },
  [1570] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4379),
    [anon_sym_PLUS] = ACTIONS(4379),
    [anon_sym_STAR] = ACTIONS(4381),
    [anon_sym_SLASH] = ACTIONS(4381),
    [anon_sym_PERCENT] = ACTIONS(4381),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4389),
    [anon_sym_AMP] = ACTIONS(4391),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_GT_EQ] = ACTIONS(4397),
    [anon_sym_LT_EQ] = ACTIONS(4397),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4399),
    [anon_sym_GT_GT] = ACTIONS(4399),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_LBRACE] = ACTIONS(4036),
    [anon_sym_signed] = ACTIONS(4034),
    [anon_sym_unsigned] = ACTIONS(4034),
    [anon_sym_long] = ACTIONS(4034),
    [anon_sym_short] = ACTIONS(4034),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_ATautoreleasepool] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [sym_primitive_type] = ACTIONS(4034),
    [anon_sym_enum] = ACTIONS(4034),
    [anon_sym_struct] = ACTIONS(4034),
    [anon_sym_union] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4034),
    [anon_sym___typeof] = ACTIONS(4034),
    [anon_sym_typeof] = ACTIONS(4034),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
    [anon_sym_BOOL] = ACTIONS(4034),
    [anon_sym_IMP] = ACTIONS(4034),
    [anon_sym_SEL] = ACTIONS(4034),
    [anon_sym_Class] = ACTIONS(4034),
    [anon_sym_id] = ACTIONS(4034),
  },
  [1571] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4034),
    [anon_sym_PLUS] = ACTIONS(4034),
    [anon_sym_STAR] = ACTIONS(4381),
    [anon_sym_SLASH] = ACTIONS(4381),
    [anon_sym_PERCENT] = ACTIONS(4381),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4034),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(4034),
    [anon_sym_GT_EQ] = ACTIONS(4036),
    [anon_sym_LT_EQ] = ACTIONS(4036),
    [anon_sym_LT] = ACTIONS(4034),
    [anon_sym_LT_LT] = ACTIONS(4034),
    [anon_sym_GT_GT] = ACTIONS(4034),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_LBRACE] = ACTIONS(4036),
    [anon_sym_signed] = ACTIONS(4034),
    [anon_sym_unsigned] = ACTIONS(4034),
    [anon_sym_long] = ACTIONS(4034),
    [anon_sym_short] = ACTIONS(4034),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_ATautoreleasepool] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [sym_primitive_type] = ACTIONS(4034),
    [anon_sym_enum] = ACTIONS(4034),
    [anon_sym_struct] = ACTIONS(4034),
    [anon_sym_union] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4034),
    [anon_sym___typeof] = ACTIONS(4034),
    [anon_sym_typeof] = ACTIONS(4034),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
    [anon_sym_BOOL] = ACTIONS(4034),
    [anon_sym_IMP] = ACTIONS(4034),
    [anon_sym_SEL] = ACTIONS(4034),
    [anon_sym_Class] = ACTIONS(4034),
    [anon_sym_id] = ACTIONS(4034),
  },
  [1572] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4379),
    [anon_sym_PLUS] = ACTIONS(4379),
    [anon_sym_STAR] = ACTIONS(4381),
    [anon_sym_SLASH] = ACTIONS(4381),
    [anon_sym_PERCENT] = ACTIONS(4381),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4034),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_GT_EQ] = ACTIONS(4397),
    [anon_sym_LT_EQ] = ACTIONS(4397),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4399),
    [anon_sym_GT_GT] = ACTIONS(4399),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_LBRACE] = ACTIONS(4036),
    [anon_sym_signed] = ACTIONS(4034),
    [anon_sym_unsigned] = ACTIONS(4034),
    [anon_sym_long] = ACTIONS(4034),
    [anon_sym_short] = ACTIONS(4034),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_ATautoreleasepool] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [sym_primitive_type] = ACTIONS(4034),
    [anon_sym_enum] = ACTIONS(4034),
    [anon_sym_struct] = ACTIONS(4034),
    [anon_sym_union] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4034),
    [anon_sym___typeof] = ACTIONS(4034),
    [anon_sym_typeof] = ACTIONS(4034),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
    [anon_sym_BOOL] = ACTIONS(4034),
    [anon_sym_IMP] = ACTIONS(4034),
    [anon_sym_SEL] = ACTIONS(4034),
    [anon_sym_Class] = ACTIONS(4034),
    [anon_sym_id] = ACTIONS(4034),
  },
  [1573] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4403),
    [anon_sym_COMMA] = ACTIONS(4419),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4379),
    [anon_sym_PLUS] = ACTIONS(4379),
    [anon_sym_STAR] = ACTIONS(4381),
    [anon_sym_SLASH] = ACTIONS(4381),
    [anon_sym_PERCENT] = ACTIONS(4381),
    [anon_sym_PIPE_PIPE] = ACTIONS(4383),
    [anon_sym_AMP_AMP] = ACTIONS(4385),
    [anon_sym_PIPE] = ACTIONS(4387),
    [anon_sym_CARET] = ACTIONS(4389),
    [anon_sym_AMP] = ACTIONS(4391),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_GT_EQ] = ACTIONS(4397),
    [anon_sym_LT_EQ] = ACTIONS(4397),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4399),
    [anon_sym_GT_GT] = ACTIONS(4399),
    [anon_sym_SEMI] = ACTIONS(4419),
    [anon_sym___extension__] = ACTIONS(4417),
    [anon_sym_extern] = ACTIONS(4417),
    [anon_sym___attribute__] = ACTIONS(4417),
    [anon_sym___attribute] = ACTIONS(4417),
    [anon_sym_noreturn] = ACTIONS(4417),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4417),
    [anon_sym_LBRACE] = ACTIONS(4419),
    [anon_sym_signed] = ACTIONS(4417),
    [anon_sym_unsigned] = ACTIONS(4417),
    [anon_sym_long] = ACTIONS(4417),
    [anon_sym_short] = ACTIONS(4417),
    [anon_sym_static] = ACTIONS(4417),
    [anon_sym_EQ] = ACTIONS(4417),
    [anon_sym_ATautoreleasepool] = ACTIONS(4419),
    [anon_sym_auto] = ACTIONS(4417),
    [anon_sym_register] = ACTIONS(4417),
    [anon_sym_inline] = ACTIONS(4417),
    [anon_sym___inline] = ACTIONS(4417),
    [anon_sym___inline__] = ACTIONS(4417),
    [anon_sym___forceinline] = ACTIONS(4417),
    [anon_sym_thread_local] = ACTIONS(4417),
    [anon_sym___thread] = ACTIONS(4417),
    [anon_sym_CG_EXTERN] = ACTIONS(4417),
    [anon_sym_CG_INLINE] = ACTIONS(4417),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4417),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4417),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4417),
    [anon_sym_IBOutlet] = ACTIONS(4417),
    [anon_sym_IBInspectable] = ACTIONS(4417),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4417),
    [anon_sym_NS_INLINE] = ACTIONS(4417),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4417),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4417),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4417),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4417),
    [anon_sym_const] = ACTIONS(4417),
    [anon_sym_constexpr] = ACTIONS(4417),
    [anon_sym_volatile] = ACTIONS(4417),
    [anon_sym_restrict] = ACTIONS(4417),
    [anon_sym___restrict__] = ACTIONS(4417),
    [anon_sym__Atomic] = ACTIONS(4417),
    [anon_sym__Noreturn] = ACTIONS(4417),
    [anon_sym__Nonnull] = ACTIONS(4417),
    [anon_sym_nullable] = ACTIONS(4417),
    [anon_sym__Complex] = ACTIONS(4417),
    [anon_sym__Nullable] = ACTIONS(4417),
    [anon_sym__Nullable_result] = ACTIONS(4417),
    [anon_sym__Null_unspecified] = ACTIONS(4417),
    [anon_sym___autoreleasing] = ACTIONS(4417),
    [anon_sym___block] = ACTIONS(4417),
    [anon_sym___bridge] = ACTIONS(4417),
    [anon_sym___bridge_retained] = ACTIONS(4417),
    [anon_sym___bridge_transfer] = ACTIONS(4417),
    [anon_sym___complex] = ACTIONS(4417),
    [anon_sym___const] = ACTIONS(4417),
    [anon_sym___imag] = ACTIONS(4417),
    [anon_sym___kindof] = ACTIONS(4417),
    [anon_sym___nonnull] = ACTIONS(4417),
    [anon_sym___nullable] = ACTIONS(4417),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4417),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4417),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4417),
    [anon_sym___real] = ACTIONS(4417),
    [anon_sym___strong] = ACTIONS(4417),
    [anon_sym___unsafe_unretained] = ACTIONS(4417),
    [anon_sym___unused] = ACTIONS(4417),
    [anon_sym___weak] = ACTIONS(4417),
    [anon_sym_alignas] = ACTIONS(4417),
    [anon_sym__Alignas] = ACTIONS(4417),
    [sym_primitive_type] = ACTIONS(4417),
    [anon_sym_enum] = ACTIONS(4417),
    [anon_sym_struct] = ACTIONS(4417),
    [anon_sym_union] = ACTIONS(4417),
    [anon_sym_QMARK] = ACTIONS(4407),
    [anon_sym_STAR_EQ] = ACTIONS(4419),
    [anon_sym_SLASH_EQ] = ACTIONS(4419),
    [anon_sym_PERCENT_EQ] = ACTIONS(4419),
    [anon_sym_PLUS_EQ] = ACTIONS(4419),
    [anon_sym_DASH_EQ] = ACTIONS(4419),
    [anon_sym_LT_LT_EQ] = ACTIONS(4419),
    [anon_sym_GT_GT_EQ] = ACTIONS(4419),
    [anon_sym_AMP_EQ] = ACTIONS(4419),
    [anon_sym_CARET_EQ] = ACTIONS(4419),
    [anon_sym_PIPE_EQ] = ACTIONS(4419),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4417),
    [anon_sym___typeof] = ACTIONS(4417),
    [anon_sym_typeof] = ACTIONS(4417),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4417),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4417),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4417),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4417),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4417),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4417),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4417),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4417),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4417),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4417),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4417),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4417),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4417),
    [anon_sym_API_AVAILABLE] = ACTIONS(4417),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4417),
    [anon_sym_API_DEPRECATED] = ACTIONS(4417),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4417),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4417),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4417),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4417),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4417),
    [anon_sym___deprecated_msg] = ACTIONS(4417),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4417),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4417),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4417),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4417),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4417),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4417),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4417),
    [anon_sym_BOOL] = ACTIONS(4417),
    [anon_sym_IMP] = ACTIONS(4417),
    [anon_sym_SEL] = ACTIONS(4417),
    [anon_sym_Class] = ACTIONS(4417),
    [anon_sym_id] = ACTIONS(4417),
  },
  [1574] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4403),
    [anon_sym_COMMA] = ACTIONS(4423),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4379),
    [anon_sym_PLUS] = ACTIONS(4379),
    [anon_sym_STAR] = ACTIONS(4381),
    [anon_sym_SLASH] = ACTIONS(4381),
    [anon_sym_PERCENT] = ACTIONS(4381),
    [anon_sym_PIPE_PIPE] = ACTIONS(4383),
    [anon_sym_AMP_AMP] = ACTIONS(4385),
    [anon_sym_PIPE] = ACTIONS(4387),
    [anon_sym_CARET] = ACTIONS(4389),
    [anon_sym_AMP] = ACTIONS(4391),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_GT_EQ] = ACTIONS(4397),
    [anon_sym_LT_EQ] = ACTIONS(4397),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4399),
    [anon_sym_GT_GT] = ACTIONS(4399),
    [anon_sym_SEMI] = ACTIONS(4423),
    [anon_sym___extension__] = ACTIONS(4421),
    [anon_sym_extern] = ACTIONS(4421),
    [anon_sym___attribute__] = ACTIONS(4421),
    [anon_sym___attribute] = ACTIONS(4421),
    [anon_sym_noreturn] = ACTIONS(4421),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4421),
    [anon_sym_LBRACE] = ACTIONS(4423),
    [anon_sym_signed] = ACTIONS(4421),
    [anon_sym_unsigned] = ACTIONS(4421),
    [anon_sym_long] = ACTIONS(4421),
    [anon_sym_short] = ACTIONS(4421),
    [anon_sym_static] = ACTIONS(4421),
    [anon_sym_EQ] = ACTIONS(4421),
    [anon_sym_ATautoreleasepool] = ACTIONS(4423),
    [anon_sym_auto] = ACTIONS(4421),
    [anon_sym_register] = ACTIONS(4421),
    [anon_sym_inline] = ACTIONS(4421),
    [anon_sym___inline] = ACTIONS(4421),
    [anon_sym___inline__] = ACTIONS(4421),
    [anon_sym___forceinline] = ACTIONS(4421),
    [anon_sym_thread_local] = ACTIONS(4421),
    [anon_sym___thread] = ACTIONS(4421),
    [anon_sym_CG_EXTERN] = ACTIONS(4421),
    [anon_sym_CG_INLINE] = ACTIONS(4421),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4421),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4421),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4421),
    [anon_sym_IBOutlet] = ACTIONS(4421),
    [anon_sym_IBInspectable] = ACTIONS(4421),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4421),
    [anon_sym_NS_INLINE] = ACTIONS(4421),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4421),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4421),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4421),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4421),
    [anon_sym_const] = ACTIONS(4421),
    [anon_sym_constexpr] = ACTIONS(4421),
    [anon_sym_volatile] = ACTIONS(4421),
    [anon_sym_restrict] = ACTIONS(4421),
    [anon_sym___restrict__] = ACTIONS(4421),
    [anon_sym__Atomic] = ACTIONS(4421),
    [anon_sym__Noreturn] = ACTIONS(4421),
    [anon_sym__Nonnull] = ACTIONS(4421),
    [anon_sym_nullable] = ACTIONS(4421),
    [anon_sym__Complex] = ACTIONS(4421),
    [anon_sym__Nullable] = ACTIONS(4421),
    [anon_sym__Nullable_result] = ACTIONS(4421),
    [anon_sym__Null_unspecified] = ACTIONS(4421),
    [anon_sym___autoreleasing] = ACTIONS(4421),
    [anon_sym___block] = ACTIONS(4421),
    [anon_sym___bridge] = ACTIONS(4421),
    [anon_sym___bridge_retained] = ACTIONS(4421),
    [anon_sym___bridge_transfer] = ACTIONS(4421),
    [anon_sym___complex] = ACTIONS(4421),
    [anon_sym___const] = ACTIONS(4421),
    [anon_sym___imag] = ACTIONS(4421),
    [anon_sym___kindof] = ACTIONS(4421),
    [anon_sym___nonnull] = ACTIONS(4421),
    [anon_sym___nullable] = ACTIONS(4421),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4421),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4421),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4421),
    [anon_sym___real] = ACTIONS(4421),
    [anon_sym___strong] = ACTIONS(4421),
    [anon_sym___unsafe_unretained] = ACTIONS(4421),
    [anon_sym___unused] = ACTIONS(4421),
    [anon_sym___weak] = ACTIONS(4421),
    [anon_sym_alignas] = ACTIONS(4421),
    [anon_sym__Alignas] = ACTIONS(4421),
    [sym_primitive_type] = ACTIONS(4421),
    [anon_sym_enum] = ACTIONS(4421),
    [anon_sym_struct] = ACTIONS(4421),
    [anon_sym_union] = ACTIONS(4421),
    [anon_sym_QMARK] = ACTIONS(4407),
    [anon_sym_STAR_EQ] = ACTIONS(4423),
    [anon_sym_SLASH_EQ] = ACTIONS(4423),
    [anon_sym_PERCENT_EQ] = ACTIONS(4423),
    [anon_sym_PLUS_EQ] = ACTIONS(4423),
    [anon_sym_DASH_EQ] = ACTIONS(4423),
    [anon_sym_LT_LT_EQ] = ACTIONS(4423),
    [anon_sym_GT_GT_EQ] = ACTIONS(4423),
    [anon_sym_AMP_EQ] = ACTIONS(4423),
    [anon_sym_CARET_EQ] = ACTIONS(4423),
    [anon_sym_PIPE_EQ] = ACTIONS(4423),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4421),
    [anon_sym___typeof] = ACTIONS(4421),
    [anon_sym_typeof] = ACTIONS(4421),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4421),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4421),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4421),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4421),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4421),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4421),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4421),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4421),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4421),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4421),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4421),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4421),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4421),
    [anon_sym_API_AVAILABLE] = ACTIONS(4421),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4421),
    [anon_sym_API_DEPRECATED] = ACTIONS(4421),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4421),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4421),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4421),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4421),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4421),
    [anon_sym___deprecated_msg] = ACTIONS(4421),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4421),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4421),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4421),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4421),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4421),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4421),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4421),
    [anon_sym_BOOL] = ACTIONS(4421),
    [anon_sym_IMP] = ACTIONS(4421),
    [anon_sym_SEL] = ACTIONS(4421),
    [anon_sym_Class] = ACTIONS(4421),
    [anon_sym_id] = ACTIONS(4421),
  },
  [1575] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4379),
    [anon_sym_PLUS] = ACTIONS(4379),
    [anon_sym_STAR] = ACTIONS(4381),
    [anon_sym_SLASH] = ACTIONS(4381),
    [anon_sym_PERCENT] = ACTIONS(4381),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4034),
    [anon_sym_AMP] = ACTIONS(4391),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_GT_EQ] = ACTIONS(4397),
    [anon_sym_LT_EQ] = ACTIONS(4397),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4399),
    [anon_sym_GT_GT] = ACTIONS(4399),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_LBRACE] = ACTIONS(4036),
    [anon_sym_signed] = ACTIONS(4034),
    [anon_sym_unsigned] = ACTIONS(4034),
    [anon_sym_long] = ACTIONS(4034),
    [anon_sym_short] = ACTIONS(4034),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_ATautoreleasepool] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [sym_primitive_type] = ACTIONS(4034),
    [anon_sym_enum] = ACTIONS(4034),
    [anon_sym_struct] = ACTIONS(4034),
    [anon_sym_union] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4034),
    [anon_sym___typeof] = ACTIONS(4034),
    [anon_sym_typeof] = ACTIONS(4034),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
    [anon_sym_BOOL] = ACTIONS(4034),
    [anon_sym_IMP] = ACTIONS(4034),
    [anon_sym_SEL] = ACTIONS(4034),
    [anon_sym_Class] = ACTIONS(4034),
    [anon_sym_id] = ACTIONS(4034),
  },
  [1576] = {
    [sym_preproc_def] = STATE(1576),
    [sym_preproc_function_def] = STATE(1576),
    [sym_preproc_call] = STATE(1576),
    [sym_preproc_if_in_field_declaration_list] = STATE(1576),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1576),
    [sym__declaration_modifiers] = STATE(2228),
    [sym__declaration_specifiers] = STATE(4630),
    [sym_attribute_specifier] = STATE(2228),
    [sym_attribute_declaration] = STATE(2228),
    [sym_ms_declspec_modifier] = STATE(2228),
    [sym_storage_class_specifier] = STATE(2228),
    [sym_type_qualifier] = STATE(2228),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__field_declaration_list_item] = STATE(1576),
    [sym_field_declaration] = STATE(1576),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2228),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_atdef_field] = STATE(1576),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1576),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(4425),
    [aux_sym_preproc_def_token1] = ACTIONS(4428),
    [aux_sym_preproc_if_token1] = ACTIONS(4431),
    [aux_sym_preproc_if_token2] = ACTIONS(4434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4436),
    [aux_sym_preproc_else_token1] = ACTIONS(4434),
    [aux_sym_preproc_elif_token1] = ACTIONS(4434),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4434),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4434),
    [sym_preproc_directive] = ACTIONS(4439),
    [anon_sym___extension__] = ACTIONS(4442),
    [anon_sym_extern] = ACTIONS(4445),
    [anon_sym___attribute__] = ACTIONS(4448),
    [anon_sym___attribute] = ACTIONS(4448),
    [anon_sym_noreturn] = ACTIONS(4442),
    [anon_sym_LBRACK] = ACTIONS(4451),
    [anon_sym___declspec] = ACTIONS(4454),
    [anon_sym_signed] = ACTIONS(4457),
    [anon_sym_unsigned] = ACTIONS(4457),
    [anon_sym_long] = ACTIONS(4457),
    [anon_sym_short] = ACTIONS(4457),
    [anon_sym_static] = ACTIONS(4445),
    [anon_sym_auto] = ACTIONS(4445),
    [anon_sym_register] = ACTIONS(4445),
    [anon_sym_inline] = ACTIONS(4445),
    [anon_sym___inline] = ACTIONS(4445),
    [anon_sym___inline__] = ACTIONS(4445),
    [anon_sym___forceinline] = ACTIONS(4445),
    [anon_sym_thread_local] = ACTIONS(4445),
    [anon_sym___thread] = ACTIONS(4445),
    [anon_sym_CG_EXTERN] = ACTIONS(4445),
    [anon_sym_CG_INLINE] = ACTIONS(4445),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4445),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4445),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4445),
    [anon_sym_IBOutlet] = ACTIONS(4445),
    [anon_sym_IBInspectable] = ACTIONS(4445),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4445),
    [anon_sym_NS_INLINE] = ACTIONS(4445),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4445),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4445),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4445),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4445),
    [anon_sym_const] = ACTIONS(4442),
    [anon_sym_constexpr] = ACTIONS(4442),
    [anon_sym_volatile] = ACTIONS(4442),
    [anon_sym_restrict] = ACTIONS(4442),
    [anon_sym___restrict__] = ACTIONS(4442),
    [anon_sym__Atomic] = ACTIONS(4442),
    [anon_sym__Noreturn] = ACTIONS(4442),
    [anon_sym__Nonnull] = ACTIONS(4442),
    [anon_sym_nullable] = ACTIONS(4442),
    [anon_sym__Complex] = ACTIONS(4442),
    [anon_sym__Nullable] = ACTIONS(4442),
    [anon_sym__Nullable_result] = ACTIONS(4442),
    [anon_sym__Null_unspecified] = ACTIONS(4442),
    [anon_sym___autoreleasing] = ACTIONS(4442),
    [anon_sym___block] = ACTIONS(4442),
    [anon_sym___bridge] = ACTIONS(4442),
    [anon_sym___bridge_retained] = ACTIONS(4442),
    [anon_sym___bridge_transfer] = ACTIONS(4442),
    [anon_sym___complex] = ACTIONS(4442),
    [anon_sym___const] = ACTIONS(4442),
    [anon_sym___imag] = ACTIONS(4442),
    [anon_sym___kindof] = ACTIONS(4442),
    [anon_sym___nonnull] = ACTIONS(4442),
    [anon_sym___nullable] = ACTIONS(4442),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4442),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4442),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4442),
    [anon_sym___real] = ACTIONS(4442),
    [anon_sym___strong] = ACTIONS(4442),
    [anon_sym___unsafe_unretained] = ACTIONS(4442),
    [anon_sym___unused] = ACTIONS(4442),
    [anon_sym___weak] = ACTIONS(4442),
    [anon_sym_alignas] = ACTIONS(4460),
    [anon_sym__Alignas] = ACTIONS(4460),
    [sym_primitive_type] = ACTIONS(4463),
    [anon_sym_enum] = ACTIONS(4466),
    [anon_sym_struct] = ACTIONS(4469),
    [anon_sym_union] = ACTIONS(4472),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4475),
    [anon_sym___typeof] = ACTIONS(4475),
    [anon_sym_typeof] = ACTIONS(4475),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4478),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4478),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4478),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4478),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4478),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4478),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4478),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4478),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4478),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4481),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4481),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4481),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4481),
    [anon_sym_API_AVAILABLE] = ACTIONS(4481),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4481),
    [anon_sym_API_DEPRECATED] = ACTIONS(4481),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4481),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4481),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4481),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4481),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4481),
    [anon_sym___deprecated_msg] = ACTIONS(4481),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4481),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4481),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4481),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4481),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4481),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4481),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4481),
    [anon_sym_BOOL] = ACTIONS(4484),
    [anon_sym_IMP] = ACTIONS(4484),
    [anon_sym_SEL] = ACTIONS(4484),
    [anon_sym_Class] = ACTIONS(4484),
    [anon_sym_id] = ACTIONS(4484),
    [anon_sym_ATdefs] = ACTIONS(4487),
  },
  [1577] = {
    [sym_identifier] = ACTIONS(2346),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2348),
    [anon_sym_COMMA] = ACTIONS(2348),
    [anon_sym_RPAREN] = ACTIONS(2348),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2348),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2348),
    [anon_sym_LPAREN2] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_PERCENT] = ACTIONS(2348),
    [anon_sym_PIPE_PIPE] = ACTIONS(2348),
    [anon_sym_AMP_AMP] = ACTIONS(2348),
    [anon_sym_PIPE] = ACTIONS(2346),
    [anon_sym_CARET] = ACTIONS(2348),
    [anon_sym_AMP] = ACTIONS(2346),
    [anon_sym_EQ_EQ] = ACTIONS(2348),
    [anon_sym_BANG_EQ] = ACTIONS(2348),
    [anon_sym_GT] = ACTIONS(2346),
    [anon_sym_GT_EQ] = ACTIONS(2348),
    [anon_sym_LT_EQ] = ACTIONS(2348),
    [anon_sym_LT] = ACTIONS(2346),
    [anon_sym_LT_LT] = ACTIONS(2348),
    [anon_sym_GT_GT] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym___extension__] = ACTIONS(2346),
    [anon_sym_extern] = ACTIONS(2346),
    [anon_sym___attribute__] = ACTIONS(2346),
    [anon_sym___attribute] = ACTIONS(2346),
    [anon_sym_noreturn] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym_RBRACK] = ACTIONS(2348),
    [anon_sym___declspec] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_RBRACE] = ACTIONS(2348),
    [anon_sym_signed] = ACTIONS(2346),
    [anon_sym_unsigned] = ACTIONS(2346),
    [anon_sym_long] = ACTIONS(2346),
    [anon_sym_short] = ACTIONS(2346),
    [anon_sym_static] = ACTIONS(2346),
    [anon_sym_ATautoreleasepool] = ACTIONS(2348),
    [anon_sym_auto] = ACTIONS(2346),
    [anon_sym_register] = ACTIONS(2346),
    [anon_sym_inline] = ACTIONS(2346),
    [anon_sym___inline] = ACTIONS(2346),
    [anon_sym___inline__] = ACTIONS(2346),
    [anon_sym___forceinline] = ACTIONS(2346),
    [anon_sym_thread_local] = ACTIONS(2346),
    [anon_sym___thread] = ACTIONS(2346),
    [anon_sym_CG_EXTERN] = ACTIONS(2346),
    [anon_sym_CG_INLINE] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2346),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2346),
    [anon_sym_IBOutlet] = ACTIONS(2346),
    [anon_sym_IBInspectable] = ACTIONS(2346),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2346),
    [anon_sym_NS_INLINE] = ACTIONS(2346),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2346),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2346),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2346),
    [anon_sym_const] = ACTIONS(2346),
    [anon_sym_constexpr] = ACTIONS(2346),
    [anon_sym_volatile] = ACTIONS(2346),
    [anon_sym_restrict] = ACTIONS(2346),
    [anon_sym___restrict__] = ACTIONS(2346),
    [anon_sym__Atomic] = ACTIONS(2346),
    [anon_sym__Noreturn] = ACTIONS(2346),
    [anon_sym__Nonnull] = ACTIONS(2346),
    [anon_sym_nullable] = ACTIONS(2346),
    [anon_sym__Complex] = ACTIONS(2346),
    [anon_sym__Nullable] = ACTIONS(2346),
    [anon_sym__Nullable_result] = ACTIONS(2346),
    [anon_sym__Null_unspecified] = ACTIONS(2346),
    [anon_sym___autoreleasing] = ACTIONS(2346),
    [anon_sym___block] = ACTIONS(2346),
    [anon_sym___bridge] = ACTIONS(2346),
    [anon_sym___bridge_retained] = ACTIONS(2346),
    [anon_sym___bridge_transfer] = ACTIONS(2346),
    [anon_sym___complex] = ACTIONS(2346),
    [anon_sym___const] = ACTIONS(2346),
    [anon_sym___imag] = ACTIONS(2346),
    [anon_sym___kindof] = ACTIONS(2346),
    [anon_sym___nonnull] = ACTIONS(2346),
    [anon_sym___nullable] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2346),
    [anon_sym___real] = ACTIONS(2346),
    [anon_sym___strong] = ACTIONS(2346),
    [anon_sym___unsafe_unretained] = ACTIONS(2346),
    [anon_sym___unused] = ACTIONS(2346),
    [anon_sym___weak] = ACTIONS(2346),
    [anon_sym_alignas] = ACTIONS(2346),
    [anon_sym__Alignas] = ACTIONS(2346),
    [sym_primitive_type] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2346),
    [anon_sym_COLON] = ACTIONS(2348),
    [anon_sym_struct] = ACTIONS(2346),
    [anon_sym_union] = ACTIONS(2346),
    [anon_sym_else] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(2346),
    [anon_sym_QMARK] = ACTIONS(2348),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_DOT] = ACTIONS(2346),
    [anon_sym_DASH_GT] = ACTIONS(2348),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2346),
    [anon_sym___typeof] = ACTIONS(2346),
    [anon_sym_typeof] = ACTIONS(2346),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2346),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2346),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2346),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_API_AVAILABLE] = ACTIONS(2346),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_API_DEPRECATED] = ACTIONS(2346),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym___deprecated_msg] = ACTIONS(2346),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2346),
    [anon_sym_ATcatch] = ACTIONS(2348),
    [anon_sym___catch] = ACTIONS(2346),
    [anon_sym_ATfinally] = ACTIONS(2348),
    [anon_sym___finally] = ACTIONS(2346),
    [anon_sym_BOOL] = ACTIONS(2346),
    [anon_sym_IMP] = ACTIONS(2346),
    [anon_sym_SEL] = ACTIONS(2346),
    [anon_sym_Class] = ACTIONS(2346),
    [anon_sym_id] = ACTIONS(2346),
  },
  [1578] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4379),
    [anon_sym_PLUS] = ACTIONS(4379),
    [anon_sym_STAR] = ACTIONS(4381),
    [anon_sym_SLASH] = ACTIONS(4381),
    [anon_sym_PERCENT] = ACTIONS(4381),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4034),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(4034),
    [anon_sym_GT_EQ] = ACTIONS(4036),
    [anon_sym_LT_EQ] = ACTIONS(4036),
    [anon_sym_LT] = ACTIONS(4034),
    [anon_sym_LT_LT] = ACTIONS(4399),
    [anon_sym_GT_GT] = ACTIONS(4399),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_LBRACE] = ACTIONS(4036),
    [anon_sym_signed] = ACTIONS(4034),
    [anon_sym_unsigned] = ACTIONS(4034),
    [anon_sym_long] = ACTIONS(4034),
    [anon_sym_short] = ACTIONS(4034),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_ATautoreleasepool] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [sym_primitive_type] = ACTIONS(4034),
    [anon_sym_enum] = ACTIONS(4034),
    [anon_sym_struct] = ACTIONS(4034),
    [anon_sym_union] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4034),
    [anon_sym___typeof] = ACTIONS(4034),
    [anon_sym_typeof] = ACTIONS(4034),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
    [anon_sym_BOOL] = ACTIONS(4034),
    [anon_sym_IMP] = ACTIONS(4034),
    [anon_sym_SEL] = ACTIONS(4034),
    [anon_sym_Class] = ACTIONS(4034),
    [anon_sym_id] = ACTIONS(4034),
  },
  [1579] = {
    [sym_identifier] = ACTIONS(2368),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2370),
    [anon_sym_COMMA] = ACTIONS(2370),
    [anon_sym_RPAREN] = ACTIONS(2370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2370),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2370),
    [anon_sym_LPAREN2] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_STAR] = ACTIONS(2370),
    [anon_sym_SLASH] = ACTIONS(2368),
    [anon_sym_PERCENT] = ACTIONS(2370),
    [anon_sym_PIPE_PIPE] = ACTIONS(2370),
    [anon_sym_AMP_AMP] = ACTIONS(2370),
    [anon_sym_PIPE] = ACTIONS(2368),
    [anon_sym_CARET] = ACTIONS(2370),
    [anon_sym_AMP] = ACTIONS(2368),
    [anon_sym_EQ_EQ] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2370),
    [anon_sym_GT] = ACTIONS(2368),
    [anon_sym_GT_EQ] = ACTIONS(2370),
    [anon_sym_LT_EQ] = ACTIONS(2370),
    [anon_sym_LT] = ACTIONS(2368),
    [anon_sym_LT_LT] = ACTIONS(2370),
    [anon_sym_GT_GT] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym___extension__] = ACTIONS(2368),
    [anon_sym_extern] = ACTIONS(2368),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym___attribute] = ACTIONS(2368),
    [anon_sym_noreturn] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_RBRACK] = ACTIONS(2370),
    [anon_sym___declspec] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [anon_sym_signed] = ACTIONS(2368),
    [anon_sym_unsigned] = ACTIONS(2368),
    [anon_sym_long] = ACTIONS(2368),
    [anon_sym_short] = ACTIONS(2368),
    [anon_sym_static] = ACTIONS(2368),
    [anon_sym_ATautoreleasepool] = ACTIONS(2370),
    [anon_sym_auto] = ACTIONS(2368),
    [anon_sym_register] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(2368),
    [anon_sym___inline] = ACTIONS(2368),
    [anon_sym___inline__] = ACTIONS(2368),
    [anon_sym___forceinline] = ACTIONS(2368),
    [anon_sym_thread_local] = ACTIONS(2368),
    [anon_sym___thread] = ACTIONS(2368),
    [anon_sym_CG_EXTERN] = ACTIONS(2368),
    [anon_sym_CG_INLINE] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2368),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2368),
    [anon_sym_IBOutlet] = ACTIONS(2368),
    [anon_sym_IBInspectable] = ACTIONS(2368),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2368),
    [anon_sym_NS_INLINE] = ACTIONS(2368),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2368),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2368),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2368),
    [anon_sym_const] = ACTIONS(2368),
    [anon_sym_constexpr] = ACTIONS(2368),
    [anon_sym_volatile] = ACTIONS(2368),
    [anon_sym_restrict] = ACTIONS(2368),
    [anon_sym___restrict__] = ACTIONS(2368),
    [anon_sym__Atomic] = ACTIONS(2368),
    [anon_sym__Noreturn] = ACTIONS(2368),
    [anon_sym__Nonnull] = ACTIONS(2368),
    [anon_sym_nullable] = ACTIONS(2368),
    [anon_sym__Complex] = ACTIONS(2368),
    [anon_sym__Nullable] = ACTIONS(2368),
    [anon_sym__Nullable_result] = ACTIONS(2368),
    [anon_sym__Null_unspecified] = ACTIONS(2368),
    [anon_sym___autoreleasing] = ACTIONS(2368),
    [anon_sym___block] = ACTIONS(2368),
    [anon_sym___bridge] = ACTIONS(2368),
    [anon_sym___bridge_retained] = ACTIONS(2368),
    [anon_sym___bridge_transfer] = ACTIONS(2368),
    [anon_sym___complex] = ACTIONS(2368),
    [anon_sym___const] = ACTIONS(2368),
    [anon_sym___imag] = ACTIONS(2368),
    [anon_sym___kindof] = ACTIONS(2368),
    [anon_sym___nonnull] = ACTIONS(2368),
    [anon_sym___nullable] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2368),
    [anon_sym___real] = ACTIONS(2368),
    [anon_sym___strong] = ACTIONS(2368),
    [anon_sym___unsafe_unretained] = ACTIONS(2368),
    [anon_sym___unused] = ACTIONS(2368),
    [anon_sym___weak] = ACTIONS(2368),
    [anon_sym_alignas] = ACTIONS(2368),
    [anon_sym__Alignas] = ACTIONS(2368),
    [sym_primitive_type] = ACTIONS(2368),
    [anon_sym_enum] = ACTIONS(2368),
    [anon_sym_COLON] = ACTIONS(2370),
    [anon_sym_struct] = ACTIONS(2368),
    [anon_sym_union] = ACTIONS(2368),
    [anon_sym_else] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_QMARK] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_DOT] = ACTIONS(2368),
    [anon_sym_DASH_GT] = ACTIONS(2370),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2368),
    [anon_sym___typeof] = ACTIONS(2368),
    [anon_sym_typeof] = ACTIONS(2368),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2368),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2368),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2368),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_API_AVAILABLE] = ACTIONS(2368),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_API_DEPRECATED] = ACTIONS(2368),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym___deprecated_msg] = ACTIONS(2368),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2368),
    [anon_sym_ATcatch] = ACTIONS(2370),
    [anon_sym___catch] = ACTIONS(2368),
    [anon_sym_ATfinally] = ACTIONS(2370),
    [anon_sym___finally] = ACTIONS(2368),
    [anon_sym_BOOL] = ACTIONS(2368),
    [anon_sym_IMP] = ACTIONS(2368),
    [anon_sym_SEL] = ACTIONS(2368),
    [anon_sym_Class] = ACTIONS(2368),
    [anon_sym_id] = ACTIONS(2368),
  },
  [1580] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4379),
    [anon_sym_PLUS] = ACTIONS(4379),
    [anon_sym_STAR] = ACTIONS(4381),
    [anon_sym_SLASH] = ACTIONS(4381),
    [anon_sym_PERCENT] = ACTIONS(4381),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4034),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_GT_EQ] = ACTIONS(4397),
    [anon_sym_LT_EQ] = ACTIONS(4397),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4399),
    [anon_sym_GT_GT] = ACTIONS(4399),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_LBRACE] = ACTIONS(4036),
    [anon_sym_signed] = ACTIONS(4034),
    [anon_sym_unsigned] = ACTIONS(4034),
    [anon_sym_long] = ACTIONS(4034),
    [anon_sym_short] = ACTIONS(4034),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_ATautoreleasepool] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [sym_primitive_type] = ACTIONS(4034),
    [anon_sym_enum] = ACTIONS(4034),
    [anon_sym_struct] = ACTIONS(4034),
    [anon_sym_union] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4034),
    [anon_sym___typeof] = ACTIONS(4034),
    [anon_sym_typeof] = ACTIONS(4034),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
    [anon_sym_BOOL] = ACTIONS(4034),
    [anon_sym_IMP] = ACTIONS(4034),
    [anon_sym_SEL] = ACTIONS(4034),
    [anon_sym_Class] = ACTIONS(4034),
    [anon_sym_id] = ACTIONS(4034),
  },
  [1581] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4379),
    [anon_sym_PLUS] = ACTIONS(4379),
    [anon_sym_STAR] = ACTIONS(4381),
    [anon_sym_SLASH] = ACTIONS(4381),
    [anon_sym_PERCENT] = ACTIONS(4381),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4385),
    [anon_sym_PIPE] = ACTIONS(4387),
    [anon_sym_CARET] = ACTIONS(4389),
    [anon_sym_AMP] = ACTIONS(4391),
    [anon_sym_EQ_EQ] = ACTIONS(4393),
    [anon_sym_BANG_EQ] = ACTIONS(4393),
    [anon_sym_GT] = ACTIONS(4395),
    [anon_sym_GT_EQ] = ACTIONS(4397),
    [anon_sym_LT_EQ] = ACTIONS(4397),
    [anon_sym_LT] = ACTIONS(4395),
    [anon_sym_LT_LT] = ACTIONS(4399),
    [anon_sym_GT_GT] = ACTIONS(4399),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_LBRACE] = ACTIONS(4036),
    [anon_sym_signed] = ACTIONS(4034),
    [anon_sym_unsigned] = ACTIONS(4034),
    [anon_sym_long] = ACTIONS(4034),
    [anon_sym_short] = ACTIONS(4034),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_ATautoreleasepool] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [sym_primitive_type] = ACTIONS(4034),
    [anon_sym_enum] = ACTIONS(4034),
    [anon_sym_struct] = ACTIONS(4034),
    [anon_sym_union] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4034),
    [anon_sym___typeof] = ACTIONS(4034),
    [anon_sym_typeof] = ACTIONS(4034),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
    [anon_sym_BOOL] = ACTIONS(4034),
    [anon_sym_IMP] = ACTIONS(4034),
    [anon_sym_SEL] = ACTIONS(4034),
    [anon_sym_Class] = ACTIONS(4034),
    [anon_sym_id] = ACTIONS(4034),
  },
  [1582] = {
    [sym_identifier] = ACTIONS(4005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4007),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4005),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4005),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4005),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4007),
    [anon_sym___extension__] = ACTIONS(4005),
    [anon_sym_extern] = ACTIONS(4005),
    [anon_sym___attribute__] = ACTIONS(4005),
    [anon_sym___attribute] = ACTIONS(4005),
    [anon_sym_noreturn] = ACTIONS(4005),
    [anon_sym_LBRACK] = ACTIONS(4007),
    [anon_sym___declspec] = ACTIONS(4005),
    [anon_sym_LBRACE] = ACTIONS(4007),
    [anon_sym_signed] = ACTIONS(4005),
    [anon_sym_unsigned] = ACTIONS(4005),
    [anon_sym_long] = ACTIONS(4005),
    [anon_sym_short] = ACTIONS(4005),
    [anon_sym_static] = ACTIONS(4005),
    [anon_sym_EQ] = ACTIONS(4009),
    [anon_sym_ATautoreleasepool] = ACTIONS(4007),
    [anon_sym_auto] = ACTIONS(4005),
    [anon_sym_register] = ACTIONS(4005),
    [anon_sym_inline] = ACTIONS(4005),
    [anon_sym___inline] = ACTIONS(4005),
    [anon_sym___inline__] = ACTIONS(4005),
    [anon_sym___forceinline] = ACTIONS(4005),
    [anon_sym_thread_local] = ACTIONS(4005),
    [anon_sym___thread] = ACTIONS(4005),
    [anon_sym_CG_EXTERN] = ACTIONS(4005),
    [anon_sym_CG_INLINE] = ACTIONS(4005),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4005),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4005),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4005),
    [anon_sym_IBOutlet] = ACTIONS(4005),
    [anon_sym_IBInspectable] = ACTIONS(4005),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4005),
    [anon_sym_NS_INLINE] = ACTIONS(4005),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4005),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4005),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4005),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4005),
    [anon_sym_const] = ACTIONS(4005),
    [anon_sym_constexpr] = ACTIONS(4005),
    [anon_sym_volatile] = ACTIONS(4005),
    [anon_sym_restrict] = ACTIONS(4005),
    [anon_sym___restrict__] = ACTIONS(4005),
    [anon_sym__Atomic] = ACTIONS(4005),
    [anon_sym__Noreturn] = ACTIONS(4005),
    [anon_sym__Nonnull] = ACTIONS(4005),
    [anon_sym_nullable] = ACTIONS(4005),
    [anon_sym__Complex] = ACTIONS(4005),
    [anon_sym__Nullable] = ACTIONS(4005),
    [anon_sym__Nullable_result] = ACTIONS(4005),
    [anon_sym__Null_unspecified] = ACTIONS(4005),
    [anon_sym___autoreleasing] = ACTIONS(4005),
    [anon_sym___block] = ACTIONS(4005),
    [anon_sym___bridge] = ACTIONS(4005),
    [anon_sym___bridge_retained] = ACTIONS(4005),
    [anon_sym___bridge_transfer] = ACTIONS(4005),
    [anon_sym___complex] = ACTIONS(4005),
    [anon_sym___const] = ACTIONS(4005),
    [anon_sym___imag] = ACTIONS(4005),
    [anon_sym___kindof] = ACTIONS(4005),
    [anon_sym___nonnull] = ACTIONS(4005),
    [anon_sym___nullable] = ACTIONS(4005),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4005),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4005),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4005),
    [anon_sym___real] = ACTIONS(4005),
    [anon_sym___strong] = ACTIONS(4005),
    [anon_sym___unsafe_unretained] = ACTIONS(4005),
    [anon_sym___unused] = ACTIONS(4005),
    [anon_sym___weak] = ACTIONS(4005),
    [anon_sym_alignas] = ACTIONS(4005),
    [anon_sym__Alignas] = ACTIONS(4005),
    [sym_primitive_type] = ACTIONS(4005),
    [anon_sym_enum] = ACTIONS(4005),
    [anon_sym_struct] = ACTIONS(4005),
    [anon_sym_union] = ACTIONS(4005),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4011),
    [anon_sym_SLASH_EQ] = ACTIONS(4011),
    [anon_sym_PERCENT_EQ] = ACTIONS(4011),
    [anon_sym_PLUS_EQ] = ACTIONS(4011),
    [anon_sym_DASH_EQ] = ACTIONS(4011),
    [anon_sym_LT_LT_EQ] = ACTIONS(4011),
    [anon_sym_GT_GT_EQ] = ACTIONS(4011),
    [anon_sym_AMP_EQ] = ACTIONS(4011),
    [anon_sym_CARET_EQ] = ACTIONS(4011),
    [anon_sym_PIPE_EQ] = ACTIONS(4011),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4005),
    [anon_sym___typeof] = ACTIONS(4005),
    [anon_sym_typeof] = ACTIONS(4005),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4005),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4005),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4005),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4005),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4005),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4005),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4005),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4005),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4005),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_API_AVAILABLE] = ACTIONS(4005),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_API_DEPRECATED] = ACTIONS(4005),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4005),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4005),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4005),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4005),
    [anon_sym___deprecated_msg] = ACTIONS(4005),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4005),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4005),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4005),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4005),
    [anon_sym_BOOL] = ACTIONS(4005),
    [anon_sym_IMP] = ACTIONS(4005),
    [anon_sym_SEL] = ACTIONS(4005),
    [anon_sym_Class] = ACTIONS(4005),
    [anon_sym_id] = ACTIONS(4005),
  },
  [1583] = {
    [sym__declaration_modifiers] = STATE(1737),
    [sym__declaration_specifiers] = STATE(4576),
    [sym_attribute_specifier] = STATE(1737),
    [sym_attribute_declaration] = STATE(1737),
    [sym_ms_declspec_modifier] = STATE(1737),
    [sym_ms_based_modifier] = STATE(6208),
    [sym__declarator] = STATE(5303),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_compound_statement] = STATE(5913),
    [sym_storage_class_specifier] = STATE(1737),
    [sym_type_qualifier] = STATE(1737),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_variadic_parameter] = STATE(5522),
    [sym_parameter_declaration] = STATE(5522),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1737),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1737),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4206),
    [anon_sym_RPAREN] = ACTIONS(4208),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(4492),
    [anon_sym_CARET] = ACTIONS(4494),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1584] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(6208),
    [sym__declarator] = STATE(5314),
    [sym__abstract_declarator] = STATE(5234),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_abstract_parenthesized_declarator] = STATE(4850),
    [sym_pointer_declarator] = STATE(3994),
    [sym_abstract_pointer_declarator] = STATE(4850),
    [sym_function_declarator] = STATE(3994),
    [sym_abstract_function_declarator] = STATE(4850),
    [sym_array_declarator] = STATE(3994),
    [sym_abstract_array_declarator] = STATE(4850),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_parameter_list] = STATE(4274),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_abstract_block_pointer_declarator] = STATE(4850),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_STAR] = ACTIONS(4212),
    [anon_sym_CARET] = ACTIONS(4214),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(4216),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1585] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(6208),
    [sym__declarator] = STATE(5296),
    [sym__abstract_declarator] = STATE(5234),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_abstract_parenthesized_declarator] = STATE(4850),
    [sym_pointer_declarator] = STATE(3994),
    [sym_abstract_pointer_declarator] = STATE(4850),
    [sym_function_declarator] = STATE(3994),
    [sym_abstract_function_declarator] = STATE(4850),
    [sym_array_declarator] = STATE(3994),
    [sym_abstract_array_declarator] = STATE(4850),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_parameter_list] = STATE(4274),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_abstract_block_pointer_declarator] = STATE(4850),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_STAR] = ACTIONS(4212),
    [anon_sym_CARET] = ACTIONS(4214),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(4216),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1586] = {
    [sym__declaration_modifiers] = STATE(1772),
    [sym__declaration_specifiers] = STATE(4576),
    [sym_attribute_specifier] = STATE(1772),
    [sym_attribute_declaration] = STATE(1772),
    [sym_ms_declspec_modifier] = STATE(1772),
    [sym__abstract_declarator] = STATE(5323),
    [sym_abstract_parenthesized_declarator] = STATE(4850),
    [sym_abstract_pointer_declarator] = STATE(4850),
    [sym_abstract_function_declarator] = STATE(4850),
    [sym_abstract_array_declarator] = STATE(4850),
    [sym_compound_statement] = STATE(5913),
    [sym_storage_class_specifier] = STATE(1772),
    [sym_type_qualifier] = STATE(1772),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_variadic_parameter] = STATE(5522),
    [sym_parameter_list] = STATE(4274),
    [sym_parameter_declaration] = STATE(5522),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1772),
    [sym_abstract_block_pointer_declarator] = STATE(4850),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1772),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4206),
    [anon_sym_RPAREN] = ACTIONS(4208),
    [anon_sym_LPAREN2] = ACTIONS(4496),
    [anon_sym_STAR] = ACTIONS(4498),
    [anon_sym_CARET] = ACTIONS(4500),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(4216),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1587] = {
    [sym_string_literal] = STATE(1928),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4508),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4511),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4007),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(4514),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_EQ] = ACTIONS(4519),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [anon_sym_in] = ACTIONS(4521),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [1588] = {
    [sym_preproc_def] = STATE(1588),
    [sym_preproc_function_def] = STATE(1588),
    [sym_preproc_call] = STATE(1588),
    [sym_preproc_if_in_field_declaration_list] = STATE(1588),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1588),
    [sym__declaration_modifiers] = STATE(2228),
    [sym__declaration_specifiers] = STATE(4612),
    [sym_attribute_specifier] = STATE(2228),
    [sym_attribute_declaration] = STATE(2228),
    [sym_ms_declspec_modifier] = STATE(2228),
    [sym_storage_class_specifier] = STATE(2228),
    [sym_type_qualifier] = STATE(2228),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__field_declaration_list_item] = STATE(1588),
    [sym_field_declaration] = STATE(1588),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2228),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_atdef_field] = STATE(1588),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1588),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(4425),
    [aux_sym_preproc_def_token1] = ACTIONS(4527),
    [aux_sym_preproc_if_token1] = ACTIONS(4530),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4533),
    [sym_preproc_directive] = ACTIONS(4536),
    [anon_sym___extension__] = ACTIONS(4442),
    [anon_sym_extern] = ACTIONS(4445),
    [anon_sym___attribute__] = ACTIONS(4448),
    [anon_sym___attribute] = ACTIONS(4448),
    [anon_sym_noreturn] = ACTIONS(4442),
    [anon_sym_LBRACK] = ACTIONS(4451),
    [anon_sym___declspec] = ACTIONS(4454),
    [anon_sym_RBRACE] = ACTIONS(4539),
    [anon_sym_signed] = ACTIONS(4457),
    [anon_sym_unsigned] = ACTIONS(4457),
    [anon_sym_long] = ACTIONS(4457),
    [anon_sym_short] = ACTIONS(4457),
    [anon_sym_static] = ACTIONS(4445),
    [anon_sym_auto] = ACTIONS(4445),
    [anon_sym_register] = ACTIONS(4445),
    [anon_sym_inline] = ACTIONS(4445),
    [anon_sym___inline] = ACTIONS(4445),
    [anon_sym___inline__] = ACTIONS(4445),
    [anon_sym___forceinline] = ACTIONS(4445),
    [anon_sym_thread_local] = ACTIONS(4445),
    [anon_sym___thread] = ACTIONS(4445),
    [anon_sym_CG_EXTERN] = ACTIONS(4445),
    [anon_sym_CG_INLINE] = ACTIONS(4445),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4445),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4445),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4445),
    [anon_sym_IBOutlet] = ACTIONS(4445),
    [anon_sym_IBInspectable] = ACTIONS(4445),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4445),
    [anon_sym_NS_INLINE] = ACTIONS(4445),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4445),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4445),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4445),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4445),
    [anon_sym_const] = ACTIONS(4442),
    [anon_sym_constexpr] = ACTIONS(4442),
    [anon_sym_volatile] = ACTIONS(4442),
    [anon_sym_restrict] = ACTIONS(4442),
    [anon_sym___restrict__] = ACTIONS(4442),
    [anon_sym__Atomic] = ACTIONS(4442),
    [anon_sym__Noreturn] = ACTIONS(4442),
    [anon_sym__Nonnull] = ACTIONS(4442),
    [anon_sym_nullable] = ACTIONS(4442),
    [anon_sym__Complex] = ACTIONS(4442),
    [anon_sym__Nullable] = ACTIONS(4442),
    [anon_sym__Nullable_result] = ACTIONS(4442),
    [anon_sym__Null_unspecified] = ACTIONS(4442),
    [anon_sym___autoreleasing] = ACTIONS(4442),
    [anon_sym___block] = ACTIONS(4442),
    [anon_sym___bridge] = ACTIONS(4442),
    [anon_sym___bridge_retained] = ACTIONS(4442),
    [anon_sym___bridge_transfer] = ACTIONS(4442),
    [anon_sym___complex] = ACTIONS(4442),
    [anon_sym___const] = ACTIONS(4442),
    [anon_sym___imag] = ACTIONS(4442),
    [anon_sym___kindof] = ACTIONS(4442),
    [anon_sym___nonnull] = ACTIONS(4442),
    [anon_sym___nullable] = ACTIONS(4442),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4442),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4442),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4442),
    [anon_sym___real] = ACTIONS(4442),
    [anon_sym___strong] = ACTIONS(4442),
    [anon_sym___unsafe_unretained] = ACTIONS(4442),
    [anon_sym___unused] = ACTIONS(4442),
    [anon_sym___weak] = ACTIONS(4442),
    [anon_sym_alignas] = ACTIONS(4460),
    [anon_sym__Alignas] = ACTIONS(4460),
    [sym_primitive_type] = ACTIONS(4463),
    [anon_sym_enum] = ACTIONS(4466),
    [anon_sym_struct] = ACTIONS(4469),
    [anon_sym_union] = ACTIONS(4472),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4475),
    [anon_sym___typeof] = ACTIONS(4475),
    [anon_sym_typeof] = ACTIONS(4475),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4478),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4478),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4478),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4478),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4478),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4478),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4478),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4478),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4478),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4481),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4481),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4481),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4481),
    [anon_sym_API_AVAILABLE] = ACTIONS(4481),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4481),
    [anon_sym_API_DEPRECATED] = ACTIONS(4481),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4481),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4481),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4481),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4481),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4481),
    [anon_sym___deprecated_msg] = ACTIONS(4481),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4481),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4481),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4481),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4481),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4481),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4481),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4481),
    [anon_sym_BOOL] = ACTIONS(4484),
    [anon_sym_IMP] = ACTIONS(4484),
    [anon_sym_SEL] = ACTIONS(4484),
    [anon_sym_Class] = ACTIONS(4484),
    [anon_sym_id] = ACTIONS(4484),
    [anon_sym_ATdefs] = ACTIONS(4541),
  },
  [1589] = {
    [sym_string_literal] = STATE(1928),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4508),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4511),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4514),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(4514),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_EQ] = ACTIONS(4519),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [anon_sym_COLON] = ACTIONS(4544),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [1590] = {
    [sym_preproc_def] = STATE(1594),
    [sym_preproc_function_def] = STATE(1594),
    [sym_preproc_call] = STATE(1594),
    [sym_preproc_if_in_field_declaration_list] = STATE(1594),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1594),
    [sym__declaration_modifiers] = STATE(2228),
    [sym__declaration_specifiers] = STATE(4612),
    [sym_attribute_specifier] = STATE(2228),
    [sym_attribute_declaration] = STATE(2228),
    [sym_ms_declspec_modifier] = STATE(2228),
    [sym_storage_class_specifier] = STATE(2228),
    [sym_type_qualifier] = STATE(2228),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__field_declaration_list_item] = STATE(1594),
    [sym_field_declaration] = STATE(1594),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2228),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_atdef_field] = STATE(1594),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1594),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(4546),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4548),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(4550),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4310),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
    [anon_sym_ATdefs] = ACTIONS(4552),
  },
  [1591] = {
    [sym_preproc_def] = STATE(1605),
    [sym_preproc_function_def] = STATE(1605),
    [sym_preproc_call] = STATE(1605),
    [sym_preproc_if_in_field_declaration_list] = STATE(1605),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1605),
    [sym__declaration_modifiers] = STATE(2228),
    [sym__declaration_specifiers] = STATE(4612),
    [sym_attribute_specifier] = STATE(2228),
    [sym_attribute_declaration] = STATE(2228),
    [sym_ms_declspec_modifier] = STATE(2228),
    [sym_storage_class_specifier] = STATE(2228),
    [sym_type_qualifier] = STATE(2228),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__field_declaration_list_item] = STATE(1605),
    [sym_field_declaration] = STATE(1605),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2228),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_atdef_field] = STATE(1605),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1605),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(4546),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4548),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(4554),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4310),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
    [anon_sym_ATdefs] = ACTIONS(4552),
  },
  [1592] = {
    [sym_preproc_def] = STATE(1592),
    [sym_preproc_function_def] = STATE(1592),
    [sym_preproc_call] = STATE(1592),
    [sym_preproc_if_in_field_declaration_list] = STATE(1592),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1592),
    [sym__declaration_modifiers] = STATE(2228),
    [sym__declaration_specifiers] = STATE(4607),
    [sym_attribute_specifier] = STATE(2228),
    [sym_attribute_declaration] = STATE(2228),
    [sym_ms_declspec_modifier] = STATE(2228),
    [sym_storage_class_specifier] = STATE(2228),
    [sym_type_qualifier] = STATE(2228),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__field_declaration_list_item] = STATE(1592),
    [sym_field_declaration] = STATE(1592),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2228),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_atdef_field] = STATE(1592),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1592),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(4425),
    [aux_sym_preproc_def_token1] = ACTIONS(4556),
    [aux_sym_preproc_if_token1] = ACTIONS(4559),
    [aux_sym_preproc_if_token2] = ACTIONS(4434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4562),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4562),
    [sym_preproc_directive] = ACTIONS(4565),
    [anon_sym___extension__] = ACTIONS(4442),
    [anon_sym_extern] = ACTIONS(4445),
    [anon_sym___attribute__] = ACTIONS(4448),
    [anon_sym___attribute] = ACTIONS(4448),
    [anon_sym_noreturn] = ACTIONS(4442),
    [anon_sym_LBRACK] = ACTIONS(4451),
    [anon_sym___declspec] = ACTIONS(4454),
    [anon_sym_signed] = ACTIONS(4457),
    [anon_sym_unsigned] = ACTIONS(4457),
    [anon_sym_long] = ACTIONS(4457),
    [anon_sym_short] = ACTIONS(4457),
    [anon_sym_static] = ACTIONS(4445),
    [anon_sym_auto] = ACTIONS(4445),
    [anon_sym_register] = ACTIONS(4445),
    [anon_sym_inline] = ACTIONS(4445),
    [anon_sym___inline] = ACTIONS(4445),
    [anon_sym___inline__] = ACTIONS(4445),
    [anon_sym___forceinline] = ACTIONS(4445),
    [anon_sym_thread_local] = ACTIONS(4445),
    [anon_sym___thread] = ACTIONS(4445),
    [anon_sym_CG_EXTERN] = ACTIONS(4445),
    [anon_sym_CG_INLINE] = ACTIONS(4445),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4445),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4445),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4445),
    [anon_sym_IBOutlet] = ACTIONS(4445),
    [anon_sym_IBInspectable] = ACTIONS(4445),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4445),
    [anon_sym_NS_INLINE] = ACTIONS(4445),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4445),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4445),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4445),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4445),
    [anon_sym_const] = ACTIONS(4442),
    [anon_sym_constexpr] = ACTIONS(4442),
    [anon_sym_volatile] = ACTIONS(4442),
    [anon_sym_restrict] = ACTIONS(4442),
    [anon_sym___restrict__] = ACTIONS(4442),
    [anon_sym__Atomic] = ACTIONS(4442),
    [anon_sym__Noreturn] = ACTIONS(4442),
    [anon_sym__Nonnull] = ACTIONS(4442),
    [anon_sym_nullable] = ACTIONS(4442),
    [anon_sym__Complex] = ACTIONS(4442),
    [anon_sym__Nullable] = ACTIONS(4442),
    [anon_sym__Nullable_result] = ACTIONS(4442),
    [anon_sym__Null_unspecified] = ACTIONS(4442),
    [anon_sym___autoreleasing] = ACTIONS(4442),
    [anon_sym___block] = ACTIONS(4442),
    [anon_sym___bridge] = ACTIONS(4442),
    [anon_sym___bridge_retained] = ACTIONS(4442),
    [anon_sym___bridge_transfer] = ACTIONS(4442),
    [anon_sym___complex] = ACTIONS(4442),
    [anon_sym___const] = ACTIONS(4442),
    [anon_sym___imag] = ACTIONS(4442),
    [anon_sym___kindof] = ACTIONS(4442),
    [anon_sym___nonnull] = ACTIONS(4442),
    [anon_sym___nullable] = ACTIONS(4442),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4442),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4442),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4442),
    [anon_sym___real] = ACTIONS(4442),
    [anon_sym___strong] = ACTIONS(4442),
    [anon_sym___unsafe_unretained] = ACTIONS(4442),
    [anon_sym___unused] = ACTIONS(4442),
    [anon_sym___weak] = ACTIONS(4442),
    [anon_sym_alignas] = ACTIONS(4460),
    [anon_sym__Alignas] = ACTIONS(4460),
    [sym_primitive_type] = ACTIONS(4463),
    [anon_sym_enum] = ACTIONS(4466),
    [anon_sym_struct] = ACTIONS(4469),
    [anon_sym_union] = ACTIONS(4472),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4475),
    [anon_sym___typeof] = ACTIONS(4475),
    [anon_sym_typeof] = ACTIONS(4475),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4478),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4478),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4478),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4478),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4478),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4478),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4478),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4478),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4478),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4481),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4481),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4481),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4481),
    [anon_sym_API_AVAILABLE] = ACTIONS(4481),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4481),
    [anon_sym_API_DEPRECATED] = ACTIONS(4481),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4481),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4481),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4481),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4481),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4481),
    [anon_sym___deprecated_msg] = ACTIONS(4481),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4481),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4481),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4481),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4481),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4481),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4481),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4481),
    [anon_sym_BOOL] = ACTIONS(4484),
    [anon_sym_IMP] = ACTIONS(4484),
    [anon_sym_SEL] = ACTIONS(4484),
    [anon_sym_Class] = ACTIONS(4484),
    [anon_sym_id] = ACTIONS(4484),
    [anon_sym_ATdefs] = ACTIONS(4568),
  },
  [1593] = {
    [sym_string_literal] = STATE(1593),
    [aux_sym_concatenated_string_repeat1] = STATE(1593),
    [sym_identifier] = ACTIONS(4571),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3967),
    [anon_sym_COMMA] = ACTIONS(3967),
    [anon_sym_LPAREN2] = ACTIONS(3967),
    [anon_sym_DASH] = ACTIONS(3969),
    [anon_sym_PLUS] = ACTIONS(3969),
    [anon_sym_STAR] = ACTIONS(3967),
    [anon_sym_SLASH] = ACTIONS(3969),
    [anon_sym_PERCENT] = ACTIONS(3967),
    [anon_sym_PIPE_PIPE] = ACTIONS(3967),
    [anon_sym_AMP_AMP] = ACTIONS(3967),
    [anon_sym_PIPE] = ACTIONS(3969),
    [anon_sym_CARET] = ACTIONS(3967),
    [anon_sym_AMP] = ACTIONS(3969),
    [anon_sym_EQ_EQ] = ACTIONS(3967),
    [anon_sym_BANG_EQ] = ACTIONS(3967),
    [anon_sym_GT] = ACTIONS(3969),
    [anon_sym_GT_EQ] = ACTIONS(3967),
    [anon_sym_LT_EQ] = ACTIONS(3967),
    [anon_sym_LT] = ACTIONS(3969),
    [anon_sym_LT_LT] = ACTIONS(3967),
    [anon_sym_GT_GT] = ACTIONS(3967),
    [anon_sym_SEMI] = ACTIONS(3967),
    [anon_sym___extension__] = ACTIONS(3969),
    [anon_sym_extern] = ACTIONS(3969),
    [anon_sym___attribute__] = ACTIONS(3969),
    [anon_sym___attribute] = ACTIONS(3969),
    [anon_sym_noreturn] = ACTIONS(3969),
    [anon_sym_LBRACK] = ACTIONS(3967),
    [anon_sym___declspec] = ACTIONS(3969),
    [anon_sym_LBRACE] = ACTIONS(3967),
    [anon_sym_signed] = ACTIONS(3969),
    [anon_sym_unsigned] = ACTIONS(3969),
    [anon_sym_long] = ACTIONS(3969),
    [anon_sym_short] = ACTIONS(3969),
    [anon_sym_static] = ACTIONS(3969),
    [anon_sym_ATautoreleasepool] = ACTIONS(3967),
    [anon_sym_auto] = ACTIONS(3969),
    [anon_sym_register] = ACTIONS(3969),
    [anon_sym_inline] = ACTIONS(3969),
    [anon_sym___inline] = ACTIONS(3969),
    [anon_sym___inline__] = ACTIONS(3969),
    [anon_sym___forceinline] = ACTIONS(3969),
    [anon_sym_thread_local] = ACTIONS(3969),
    [anon_sym___thread] = ACTIONS(3969),
    [anon_sym_CG_EXTERN] = ACTIONS(3969),
    [anon_sym_CG_INLINE] = ACTIONS(3969),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(3969),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(3969),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(3969),
    [anon_sym_IBOutlet] = ACTIONS(3969),
    [anon_sym_IBInspectable] = ACTIONS(3969),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(3969),
    [anon_sym_NS_INLINE] = ACTIONS(3969),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(3969),
    [anon_sym_OBJC_EXPORT] = ACTIONS(3969),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(3969),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(3969),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_constexpr] = ACTIONS(3969),
    [anon_sym_volatile] = ACTIONS(3969),
    [anon_sym_restrict] = ACTIONS(3969),
    [anon_sym___restrict__] = ACTIONS(3969),
    [anon_sym__Atomic] = ACTIONS(3969),
    [anon_sym__Noreturn] = ACTIONS(3969),
    [anon_sym__Nonnull] = ACTIONS(3969),
    [anon_sym_nullable] = ACTIONS(3969),
    [anon_sym__Complex] = ACTIONS(3969),
    [anon_sym__Nullable] = ACTIONS(3969),
    [anon_sym__Nullable_result] = ACTIONS(3969),
    [anon_sym__Null_unspecified] = ACTIONS(3969),
    [anon_sym___autoreleasing] = ACTIONS(3969),
    [anon_sym___block] = ACTIONS(3969),
    [anon_sym___bridge] = ACTIONS(3969),
    [anon_sym___bridge_retained] = ACTIONS(3969),
    [anon_sym___bridge_transfer] = ACTIONS(3969),
    [anon_sym___complex] = ACTIONS(3969),
    [anon_sym___const] = ACTIONS(3969),
    [anon_sym___imag] = ACTIONS(3969),
    [anon_sym___kindof] = ACTIONS(3969),
    [anon_sym___nonnull] = ACTIONS(3969),
    [anon_sym___nullable] = ACTIONS(3969),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(3969),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(3969),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(3969),
    [anon_sym___real] = ACTIONS(3969),
    [anon_sym___strong] = ACTIONS(3969),
    [anon_sym___unsafe_unretained] = ACTIONS(3969),
    [anon_sym___unused] = ACTIONS(3969),
    [anon_sym___weak] = ACTIONS(3969),
    [anon_sym_alignas] = ACTIONS(3969),
    [anon_sym__Alignas] = ACTIONS(3969),
    [sym_primitive_type] = ACTIONS(3969),
    [anon_sym_enum] = ACTIONS(3969),
    [anon_sym_struct] = ACTIONS(3969),
    [anon_sym_union] = ACTIONS(3969),
    [anon_sym_QMARK] = ACTIONS(3967),
    [anon_sym_DASH_DASH] = ACTIONS(3967),
    [anon_sym_PLUS_PLUS] = ACTIONS(3967),
    [anon_sym_DOT] = ACTIONS(3969),
    [anon_sym_DASH_GT] = ACTIONS(3967),
    [anon_sym_AT] = ACTIONS(4574),
    [anon_sym_DQUOTE] = ACTIONS(4577),
    [anon_sym_L_DQUOTE] = ACTIONS(4577),
    [anon_sym_u_DQUOTE] = ACTIONS(4577),
    [anon_sym_U_DQUOTE] = ACTIONS(4577),
    [anon_sym_u8_DQUOTE] = ACTIONS(4577),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(3969),
    [anon_sym___typeof] = ACTIONS(3969),
    [anon_sym_typeof] = ACTIONS(3969),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(3969),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(3969),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(3969),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(3969),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(3969),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(3969),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(3969),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(3969),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(3969),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(3969),
    [anon_sym_NS_AVAILABLE] = ACTIONS(3969),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(3969),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(3969),
    [anon_sym_API_AVAILABLE] = ACTIONS(3969),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(3969),
    [anon_sym_API_DEPRECATED] = ACTIONS(3969),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(3969),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(3969),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(3969),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(3969),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(3969),
    [anon_sym___deprecated_msg] = ACTIONS(3969),
    [anon_sym___deprecated_enum_msg] = ACTIONS(3969),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(3969),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(3969),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(3969),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(3969),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(3969),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(3969),
    [anon_sym_BOOL] = ACTIONS(3969),
    [anon_sym_IMP] = ACTIONS(3969),
    [anon_sym_SEL] = ACTIONS(3969),
    [anon_sym_Class] = ACTIONS(3969),
    [anon_sym_id] = ACTIONS(3969),
  },
  [1594] = {
    [sym_preproc_def] = STATE(1588),
    [sym_preproc_function_def] = STATE(1588),
    [sym_preproc_call] = STATE(1588),
    [sym_preproc_if_in_field_declaration_list] = STATE(1588),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1588),
    [sym__declaration_modifiers] = STATE(2228),
    [sym__declaration_specifiers] = STATE(4612),
    [sym_attribute_specifier] = STATE(2228),
    [sym_attribute_declaration] = STATE(2228),
    [sym_ms_declspec_modifier] = STATE(2228),
    [sym_storage_class_specifier] = STATE(2228),
    [sym_type_qualifier] = STATE(2228),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__field_declaration_list_item] = STATE(1588),
    [sym_field_declaration] = STATE(1588),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2228),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_atdef_field] = STATE(1588),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1588),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(4546),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4548),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(4580),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4310),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
    [anon_sym_ATdefs] = ACTIONS(4552),
  },
  [1595] = {
    [sym_string_literal] = STATE(1928),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4508),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4511),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4007),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(4514),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_EQ] = ACTIONS(4519),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [anon_sym_COLON] = ACTIONS(4582),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [1596] = {
    [sym_string_literal] = STATE(1928),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4508),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4511),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4007),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(4514),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_EQ] = ACTIONS(4519),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [anon_sym_COLON] = ACTIONS(4584),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [1597] = {
    [sym_preproc_def] = STATE(1592),
    [sym_preproc_function_def] = STATE(1592),
    [sym_preproc_call] = STATE(1592),
    [sym_preproc_if_in_field_declaration_list] = STATE(1592),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1592),
    [sym__declaration_modifiers] = STATE(2228),
    [sym__declaration_specifiers] = STATE(4607),
    [sym_attribute_specifier] = STATE(2228),
    [sym_attribute_declaration] = STATE(2228),
    [sym_ms_declspec_modifier] = STATE(2228),
    [sym_storage_class_specifier] = STATE(2228),
    [sym_type_qualifier] = STATE(2228),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__field_declaration_list_item] = STATE(1592),
    [sym_field_declaration] = STATE(1592),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2228),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_atdef_field] = STATE(1592),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1592),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3365),
    [aux_sym_preproc_if_token1] = ACTIONS(4586),
    [aux_sym_preproc_if_token2] = ACTIONS(4588),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4590),
    [sym_preproc_directive] = ACTIONS(3373),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4310),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
    [anon_sym_ATdefs] = ACTIONS(4592),
  },
  [1598] = {
    [sym_string_literal] = STATE(1928),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4508),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4511),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4007),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(4514),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_EQ] = ACTIONS(4519),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [anon_sym_COLON] = ACTIONS(4594),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [1599] = {
    [sym_string_literal] = STATE(1928),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4508),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4511),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4007),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(4514),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_EQ] = ACTIONS(4519),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [anon_sym_COLON] = ACTIONS(4596),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [1600] = {
    [sym_string_literal] = STATE(1928),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4508),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4511),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4007),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(4514),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_EQ] = ACTIONS(4519),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [anon_sym_in] = ACTIONS(4598),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [1601] = {
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4517),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(5968),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1602] = {
    [sym_preproc_def] = STATE(1597),
    [sym_preproc_function_def] = STATE(1597),
    [sym_preproc_call] = STATE(1597),
    [sym_preproc_if_in_field_declaration_list] = STATE(1597),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1597),
    [sym__declaration_modifiers] = STATE(2228),
    [sym__declaration_specifiers] = STATE(4607),
    [sym_attribute_specifier] = STATE(2228),
    [sym_attribute_declaration] = STATE(2228),
    [sym_ms_declspec_modifier] = STATE(2228),
    [sym_storage_class_specifier] = STATE(2228),
    [sym_type_qualifier] = STATE(2228),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__field_declaration_list_item] = STATE(1597),
    [sym_field_declaration] = STATE(1597),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2228),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_atdef_field] = STATE(1597),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1597),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3365),
    [aux_sym_preproc_if_token1] = ACTIONS(4586),
    [aux_sym_preproc_if_token2] = ACTIONS(4600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4590),
    [sym_preproc_directive] = ACTIONS(3373),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4310),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
    [anon_sym_ATdefs] = ACTIONS(4592),
  },
  [1603] = {
    [sym_string_literal] = STATE(1622),
    [aux_sym_concatenated_string_repeat1] = STATE(1622),
    [sym_identifier] = ACTIONS(4602),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3952),
    [anon_sym_COMMA] = ACTIONS(3952),
    [anon_sym_LPAREN2] = ACTIONS(3952),
    [anon_sym_DASH] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3954),
    [anon_sym_STAR] = ACTIONS(3952),
    [anon_sym_SLASH] = ACTIONS(3954),
    [anon_sym_PERCENT] = ACTIONS(3952),
    [anon_sym_PIPE_PIPE] = ACTIONS(3952),
    [anon_sym_AMP_AMP] = ACTIONS(3952),
    [anon_sym_PIPE] = ACTIONS(3954),
    [anon_sym_CARET] = ACTIONS(3952),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym_EQ_EQ] = ACTIONS(3952),
    [anon_sym_BANG_EQ] = ACTIONS(3952),
    [anon_sym_GT] = ACTIONS(3954),
    [anon_sym_GT_EQ] = ACTIONS(3952),
    [anon_sym_LT_EQ] = ACTIONS(3952),
    [anon_sym_LT] = ACTIONS(3954),
    [anon_sym_LT_LT] = ACTIONS(3952),
    [anon_sym_GT_GT] = ACTIONS(3952),
    [anon_sym_SEMI] = ACTIONS(3952),
    [anon_sym___extension__] = ACTIONS(3954),
    [anon_sym_extern] = ACTIONS(3954),
    [anon_sym___attribute__] = ACTIONS(3954),
    [anon_sym___attribute] = ACTIONS(3954),
    [anon_sym_noreturn] = ACTIONS(3954),
    [anon_sym_LBRACK] = ACTIONS(3952),
    [anon_sym___declspec] = ACTIONS(3954),
    [anon_sym_LBRACE] = ACTIONS(3952),
    [anon_sym_signed] = ACTIONS(3954),
    [anon_sym_unsigned] = ACTIONS(3954),
    [anon_sym_long] = ACTIONS(3954),
    [anon_sym_short] = ACTIONS(3954),
    [anon_sym_static] = ACTIONS(3954),
    [anon_sym_ATautoreleasepool] = ACTIONS(3952),
    [anon_sym_auto] = ACTIONS(3954),
    [anon_sym_register] = ACTIONS(3954),
    [anon_sym_inline] = ACTIONS(3954),
    [anon_sym___inline] = ACTIONS(3954),
    [anon_sym___inline__] = ACTIONS(3954),
    [anon_sym___forceinline] = ACTIONS(3954),
    [anon_sym_thread_local] = ACTIONS(3954),
    [anon_sym___thread] = ACTIONS(3954),
    [anon_sym_CG_EXTERN] = ACTIONS(3954),
    [anon_sym_CG_INLINE] = ACTIONS(3954),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(3954),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(3954),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(3954),
    [anon_sym_IBOutlet] = ACTIONS(3954),
    [anon_sym_IBInspectable] = ACTIONS(3954),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(3954),
    [anon_sym_NS_INLINE] = ACTIONS(3954),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(3954),
    [anon_sym_OBJC_EXPORT] = ACTIONS(3954),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(3954),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(3954),
    [anon_sym_const] = ACTIONS(3954),
    [anon_sym_constexpr] = ACTIONS(3954),
    [anon_sym_volatile] = ACTIONS(3954),
    [anon_sym_restrict] = ACTIONS(3954),
    [anon_sym___restrict__] = ACTIONS(3954),
    [anon_sym__Atomic] = ACTIONS(3954),
    [anon_sym__Noreturn] = ACTIONS(3954),
    [anon_sym__Nonnull] = ACTIONS(3954),
    [anon_sym_nullable] = ACTIONS(3954),
    [anon_sym__Complex] = ACTIONS(3954),
    [anon_sym__Nullable] = ACTIONS(3954),
    [anon_sym__Nullable_result] = ACTIONS(3954),
    [anon_sym__Null_unspecified] = ACTIONS(3954),
    [anon_sym___autoreleasing] = ACTIONS(3954),
    [anon_sym___block] = ACTIONS(3954),
    [anon_sym___bridge] = ACTIONS(3954),
    [anon_sym___bridge_retained] = ACTIONS(3954),
    [anon_sym___bridge_transfer] = ACTIONS(3954),
    [anon_sym___complex] = ACTIONS(3954),
    [anon_sym___const] = ACTIONS(3954),
    [anon_sym___imag] = ACTIONS(3954),
    [anon_sym___kindof] = ACTIONS(3954),
    [anon_sym___nonnull] = ACTIONS(3954),
    [anon_sym___nullable] = ACTIONS(3954),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(3954),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(3954),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(3954),
    [anon_sym___real] = ACTIONS(3954),
    [anon_sym___strong] = ACTIONS(3954),
    [anon_sym___unsafe_unretained] = ACTIONS(3954),
    [anon_sym___unused] = ACTIONS(3954),
    [anon_sym___weak] = ACTIONS(3954),
    [anon_sym_alignas] = ACTIONS(3954),
    [anon_sym__Alignas] = ACTIONS(3954),
    [sym_primitive_type] = ACTIONS(3954),
    [anon_sym_enum] = ACTIONS(3954),
    [anon_sym_struct] = ACTIONS(3954),
    [anon_sym_union] = ACTIONS(3954),
    [anon_sym_QMARK] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3952),
    [anon_sym_PLUS_PLUS] = ACTIONS(3952),
    [anon_sym_DOT] = ACTIONS(3954),
    [anon_sym_DASH_GT] = ACTIONS(3952),
    [anon_sym_AT] = ACTIONS(4013),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(3954),
    [anon_sym___typeof] = ACTIONS(3954),
    [anon_sym_typeof] = ACTIONS(3954),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(3954),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(3954),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(3954),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(3954),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(3954),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(3954),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(3954),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(3954),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(3954),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(3954),
    [anon_sym_NS_AVAILABLE] = ACTIONS(3954),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(3954),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(3954),
    [anon_sym_API_AVAILABLE] = ACTIONS(3954),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(3954),
    [anon_sym_API_DEPRECATED] = ACTIONS(3954),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(3954),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(3954),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(3954),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(3954),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(3954),
    [anon_sym___deprecated_msg] = ACTIONS(3954),
    [anon_sym___deprecated_enum_msg] = ACTIONS(3954),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(3954),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(3954),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(3954),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(3954),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(3954),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(3954),
    [anon_sym_BOOL] = ACTIONS(3954),
    [anon_sym_IMP] = ACTIONS(3954),
    [anon_sym_SEL] = ACTIONS(3954),
    [anon_sym_Class] = ACTIONS(3954),
    [anon_sym_id] = ACTIONS(3954),
  },
  [1604] = {
    [sym_string_literal] = STATE(1928),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4508),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4511),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4514),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(4514),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_EQ] = ACTIONS(4519),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [anon_sym_COLON] = ACTIONS(4594),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [1605] = {
    [sym_preproc_def] = STATE(1588),
    [sym_preproc_function_def] = STATE(1588),
    [sym_preproc_call] = STATE(1588),
    [sym_preproc_if_in_field_declaration_list] = STATE(1588),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1588),
    [sym__declaration_modifiers] = STATE(2228),
    [sym__declaration_specifiers] = STATE(4612),
    [sym_attribute_specifier] = STATE(2228),
    [sym_attribute_declaration] = STATE(2228),
    [sym_ms_declspec_modifier] = STATE(2228),
    [sym_storage_class_specifier] = STATE(2228),
    [sym_type_qualifier] = STATE(2228),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym__field_declaration_list_item] = STATE(1588),
    [sym_field_declaration] = STATE(1588),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2228),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_atdef_field] = STATE(1588),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1588),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2228),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [aux_sym_preproc_def_token1] = ACTIONS(3004),
    [aux_sym_preproc_if_token1] = ACTIONS(4546),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4548),
    [sym_preproc_directive] = ACTIONS(3010),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(4604),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4310),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
    [anon_sym_ATdefs] = ACTIONS(4552),
  },
  [1606] = {
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4567),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(6277),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1607] = {
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4501),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(6427),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1608] = {
    [sym_string_literal] = STATE(1928),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4508),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4511),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4007),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(4514),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_EQ] = ACTIONS(4519),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [anon_sym_COLON] = ACTIONS(4606),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [1609] = {
    [sym_string_literal] = STATE(1928),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4508),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4511),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4514),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(4514),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_EQ] = ACTIONS(4519),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [anon_sym_COLON] = ACTIONS(4608),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [1610] = {
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4519),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(6310),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1611] = {
    [sym_string_literal] = STATE(1928),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4508),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4511),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4007),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(4514),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_EQ] = ACTIONS(4519),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [anon_sym_COLON] = ACTIONS(4544),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [1612] = {
    [sym_string_literal] = STATE(1928),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4508),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4511),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4514),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(4514),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_EQ] = ACTIONS(4519),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [anon_sym_COLON] = ACTIONS(4610),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [1613] = {
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4564),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(6424),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1614] = {
    [sym_string_literal] = STATE(1928),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4508),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4511),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4007),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(4514),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_EQ] = ACTIONS(4519),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [anon_sym_COLON] = ACTIONS(4608),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [1615] = {
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4509),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(5924),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1616] = {
    [sym_string_literal] = STATE(1928),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4508),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4511),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4007),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(4514),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_EQ] = ACTIONS(4519),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [anon_sym_COLON] = ACTIONS(4610),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [1617] = {
    [sym_string_literal] = STATE(1928),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4508),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4511),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4007),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(4514),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_EQ] = ACTIONS(4519),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [anon_sym_in] = ACTIONS(4612),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [1618] = {
    [sym_string_literal] = STATE(1928),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4508),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4511),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4007),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(4514),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_EQ] = ACTIONS(4519),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [anon_sym_in] = ACTIONS(4614),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [1619] = {
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_expression] = STATE(4502),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_type_descriptor] = STATE(6425),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(4344),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(4354),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_const] = ACTIONS(4358),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(4360),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(4360),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(187),
    [anon_sym_union] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(243),
  },
  [1620] = {
    [sym_string_literal] = STATE(1928),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4508),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4511),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4007),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(4514),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_EQ] = ACTIONS(4519),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [anon_sym_in] = ACTIONS(4616),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [1621] = {
    [sym_string_literal] = STATE(1928),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4508),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4511),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4007),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(4514),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_EQ] = ACTIONS(4519),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [anon_sym_in] = ACTIONS(4618),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [1622] = {
    [sym_string_literal] = STATE(1593),
    [aux_sym_concatenated_string_repeat1] = STATE(1593),
    [sym_identifier] = ACTIONS(4620),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3960),
    [anon_sym_COMMA] = ACTIONS(3960),
    [anon_sym_LPAREN2] = ACTIONS(3960),
    [anon_sym_DASH] = ACTIONS(3962),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_STAR] = ACTIONS(3960),
    [anon_sym_SLASH] = ACTIONS(3962),
    [anon_sym_PERCENT] = ACTIONS(3960),
    [anon_sym_PIPE_PIPE] = ACTIONS(3960),
    [anon_sym_AMP_AMP] = ACTIONS(3960),
    [anon_sym_PIPE] = ACTIONS(3962),
    [anon_sym_CARET] = ACTIONS(3960),
    [anon_sym_AMP] = ACTIONS(3962),
    [anon_sym_EQ_EQ] = ACTIONS(3960),
    [anon_sym_BANG_EQ] = ACTIONS(3960),
    [anon_sym_GT] = ACTIONS(3962),
    [anon_sym_GT_EQ] = ACTIONS(3960),
    [anon_sym_LT_EQ] = ACTIONS(3960),
    [anon_sym_LT] = ACTIONS(3962),
    [anon_sym_LT_LT] = ACTIONS(3960),
    [anon_sym_GT_GT] = ACTIONS(3960),
    [anon_sym_SEMI] = ACTIONS(3960),
    [anon_sym___extension__] = ACTIONS(3962),
    [anon_sym_extern] = ACTIONS(3962),
    [anon_sym___attribute__] = ACTIONS(3962),
    [anon_sym___attribute] = ACTIONS(3962),
    [anon_sym_noreturn] = ACTIONS(3962),
    [anon_sym_LBRACK] = ACTIONS(3960),
    [anon_sym___declspec] = ACTIONS(3962),
    [anon_sym_LBRACE] = ACTIONS(3960),
    [anon_sym_signed] = ACTIONS(3962),
    [anon_sym_unsigned] = ACTIONS(3962),
    [anon_sym_long] = ACTIONS(3962),
    [anon_sym_short] = ACTIONS(3962),
    [anon_sym_static] = ACTIONS(3962),
    [anon_sym_ATautoreleasepool] = ACTIONS(3960),
    [anon_sym_auto] = ACTIONS(3962),
    [anon_sym_register] = ACTIONS(3962),
    [anon_sym_inline] = ACTIONS(3962),
    [anon_sym___inline] = ACTIONS(3962),
    [anon_sym___inline__] = ACTIONS(3962),
    [anon_sym___forceinline] = ACTIONS(3962),
    [anon_sym_thread_local] = ACTIONS(3962),
    [anon_sym___thread] = ACTIONS(3962),
    [anon_sym_CG_EXTERN] = ACTIONS(3962),
    [anon_sym_CG_INLINE] = ACTIONS(3962),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(3962),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(3962),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(3962),
    [anon_sym_IBOutlet] = ACTIONS(3962),
    [anon_sym_IBInspectable] = ACTIONS(3962),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(3962),
    [anon_sym_NS_INLINE] = ACTIONS(3962),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(3962),
    [anon_sym_OBJC_EXPORT] = ACTIONS(3962),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(3962),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(3962),
    [anon_sym_const] = ACTIONS(3962),
    [anon_sym_constexpr] = ACTIONS(3962),
    [anon_sym_volatile] = ACTIONS(3962),
    [anon_sym_restrict] = ACTIONS(3962),
    [anon_sym___restrict__] = ACTIONS(3962),
    [anon_sym__Atomic] = ACTIONS(3962),
    [anon_sym__Noreturn] = ACTIONS(3962),
    [anon_sym__Nonnull] = ACTIONS(3962),
    [anon_sym_nullable] = ACTIONS(3962),
    [anon_sym__Complex] = ACTIONS(3962),
    [anon_sym__Nullable] = ACTIONS(3962),
    [anon_sym__Nullable_result] = ACTIONS(3962),
    [anon_sym__Null_unspecified] = ACTIONS(3962),
    [anon_sym___autoreleasing] = ACTIONS(3962),
    [anon_sym___block] = ACTIONS(3962),
    [anon_sym___bridge] = ACTIONS(3962),
    [anon_sym___bridge_retained] = ACTIONS(3962),
    [anon_sym___bridge_transfer] = ACTIONS(3962),
    [anon_sym___complex] = ACTIONS(3962),
    [anon_sym___const] = ACTIONS(3962),
    [anon_sym___imag] = ACTIONS(3962),
    [anon_sym___kindof] = ACTIONS(3962),
    [anon_sym___nonnull] = ACTIONS(3962),
    [anon_sym___nullable] = ACTIONS(3962),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(3962),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(3962),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(3962),
    [anon_sym___real] = ACTIONS(3962),
    [anon_sym___strong] = ACTIONS(3962),
    [anon_sym___unsafe_unretained] = ACTIONS(3962),
    [anon_sym___unused] = ACTIONS(3962),
    [anon_sym___weak] = ACTIONS(3962),
    [anon_sym_alignas] = ACTIONS(3962),
    [anon_sym__Alignas] = ACTIONS(3962),
    [sym_primitive_type] = ACTIONS(3962),
    [anon_sym_enum] = ACTIONS(3962),
    [anon_sym_struct] = ACTIONS(3962),
    [anon_sym_union] = ACTIONS(3962),
    [anon_sym_QMARK] = ACTIONS(3960),
    [anon_sym_DASH_DASH] = ACTIONS(3960),
    [anon_sym_PLUS_PLUS] = ACTIONS(3960),
    [anon_sym_DOT] = ACTIONS(3962),
    [anon_sym_DASH_GT] = ACTIONS(3960),
    [anon_sym_AT] = ACTIONS(4013),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(3962),
    [anon_sym___typeof] = ACTIONS(3962),
    [anon_sym_typeof] = ACTIONS(3962),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(3962),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(3962),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(3962),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(3962),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(3962),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(3962),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(3962),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(3962),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(3962),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(3962),
    [anon_sym_NS_AVAILABLE] = ACTIONS(3962),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(3962),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(3962),
    [anon_sym_API_AVAILABLE] = ACTIONS(3962),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(3962),
    [anon_sym_API_DEPRECATED] = ACTIONS(3962),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(3962),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(3962),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(3962),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(3962),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(3962),
    [anon_sym___deprecated_msg] = ACTIONS(3962),
    [anon_sym___deprecated_enum_msg] = ACTIONS(3962),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(3962),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(3962),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(3962),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(3962),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(3962),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(3962),
    [anon_sym_BOOL] = ACTIONS(3962),
    [anon_sym_IMP] = ACTIONS(3962),
    [anon_sym_SEL] = ACTIONS(3962),
    [anon_sym_Class] = ACTIONS(3962),
    [anon_sym_id] = ACTIONS(3962),
  },
  [1623] = {
    [sym_string_literal] = STATE(1928),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4508),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4511),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4007),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(4514),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_EQ] = ACTIONS(4519),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [anon_sym_in] = ACTIONS(4622),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [1624] = {
    [sym_string_literal] = STATE(1928),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4508),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4511),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4007),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(4514),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_EQ] = ACTIONS(4519),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [anon_sym_in] = ACTIONS(4624),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [1625] = {
    [sym_string_literal] = STATE(1629),
    [aux_sym_concatenated_string_repeat1] = STATE(1629),
    [sym_identifier] = ACTIONS(4626),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3952),
    [anon_sym_COMMA] = ACTIONS(3952),
    [anon_sym_RPAREN] = ACTIONS(3952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3952),
    [anon_sym_LPAREN2] = ACTIONS(3952),
    [anon_sym_DASH] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3954),
    [anon_sym_STAR] = ACTIONS(3954),
    [anon_sym_SLASH] = ACTIONS(3954),
    [anon_sym_PERCENT] = ACTIONS(3954),
    [anon_sym_PIPE_PIPE] = ACTIONS(3952),
    [anon_sym_AMP_AMP] = ACTIONS(3952),
    [anon_sym_PIPE] = ACTIONS(3954),
    [anon_sym_CARET] = ACTIONS(3954),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym_EQ_EQ] = ACTIONS(3952),
    [anon_sym_BANG_EQ] = ACTIONS(3952),
    [anon_sym_GT] = ACTIONS(3954),
    [anon_sym_GT_EQ] = ACTIONS(3952),
    [anon_sym_LT_EQ] = ACTIONS(3952),
    [anon_sym_LT] = ACTIONS(3954),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_GT_GT] = ACTIONS(3954),
    [anon_sym_SEMI] = ACTIONS(3952),
    [anon_sym___extension__] = ACTIONS(3954),
    [anon_sym_extern] = ACTIONS(3954),
    [anon_sym___attribute__] = ACTIONS(3954),
    [anon_sym___attribute] = ACTIONS(3954),
    [anon_sym_noreturn] = ACTIONS(3954),
    [anon_sym_LBRACK] = ACTIONS(3952),
    [anon_sym_RBRACK] = ACTIONS(3952),
    [anon_sym___declspec] = ACTIONS(3954),
    [anon_sym_RBRACE] = ACTIONS(3952),
    [anon_sym_static] = ACTIONS(3954),
    [anon_sym_EQ] = ACTIONS(3954),
    [anon_sym_auto] = ACTIONS(3954),
    [anon_sym_register] = ACTIONS(3954),
    [anon_sym_inline] = ACTIONS(3954),
    [anon_sym___inline] = ACTIONS(3954),
    [anon_sym___inline__] = ACTIONS(3954),
    [anon_sym___forceinline] = ACTIONS(3954),
    [anon_sym_thread_local] = ACTIONS(3954),
    [anon_sym___thread] = ACTIONS(3954),
    [anon_sym_CG_EXTERN] = ACTIONS(3954),
    [anon_sym_CG_INLINE] = ACTIONS(3954),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(3954),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(3954),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(3954),
    [anon_sym_IBOutlet] = ACTIONS(3954),
    [anon_sym_IBInspectable] = ACTIONS(3954),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(3954),
    [anon_sym_NS_INLINE] = ACTIONS(3954),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(3954),
    [anon_sym_OBJC_EXPORT] = ACTIONS(3954),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(3954),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(3954),
    [anon_sym_const] = ACTIONS(3954),
    [anon_sym_constexpr] = ACTIONS(3954),
    [anon_sym_volatile] = ACTIONS(3954),
    [anon_sym_restrict] = ACTIONS(3954),
    [anon_sym___restrict__] = ACTIONS(3954),
    [anon_sym__Atomic] = ACTIONS(3954),
    [anon_sym__Noreturn] = ACTIONS(3954),
    [anon_sym__Nonnull] = ACTIONS(3954),
    [anon_sym_nullable] = ACTIONS(3954),
    [anon_sym__Complex] = ACTIONS(3954),
    [anon_sym__Nullable] = ACTIONS(3954),
    [anon_sym__Nullable_result] = ACTIONS(3954),
    [anon_sym__Null_unspecified] = ACTIONS(3954),
    [anon_sym___autoreleasing] = ACTIONS(3954),
    [anon_sym___block] = ACTIONS(3954),
    [anon_sym___bridge] = ACTIONS(3954),
    [anon_sym___bridge_retained] = ACTIONS(3954),
    [anon_sym___bridge_transfer] = ACTIONS(3954),
    [anon_sym___complex] = ACTIONS(3954),
    [anon_sym___const] = ACTIONS(3954),
    [anon_sym___imag] = ACTIONS(3954),
    [anon_sym___kindof] = ACTIONS(3954),
    [anon_sym___nonnull] = ACTIONS(3954),
    [anon_sym___nullable] = ACTIONS(3954),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(3954),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(3954),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(3954),
    [anon_sym___real] = ACTIONS(3954),
    [anon_sym___strong] = ACTIONS(3954),
    [anon_sym___unsafe_unretained] = ACTIONS(3954),
    [anon_sym___unused] = ACTIONS(3954),
    [anon_sym___weak] = ACTIONS(3954),
    [anon_sym_alignas] = ACTIONS(3954),
    [anon_sym__Alignas] = ACTIONS(3954),
    [anon_sym_COLON] = ACTIONS(3952),
    [anon_sym_QMARK] = ACTIONS(3952),
    [anon_sym_STAR_EQ] = ACTIONS(3952),
    [anon_sym_SLASH_EQ] = ACTIONS(3952),
    [anon_sym_PERCENT_EQ] = ACTIONS(3952),
    [anon_sym_PLUS_EQ] = ACTIONS(3952),
    [anon_sym_DASH_EQ] = ACTIONS(3952),
    [anon_sym_LT_LT_EQ] = ACTIONS(3952),
    [anon_sym_GT_GT_EQ] = ACTIONS(3952),
    [anon_sym_AMP_EQ] = ACTIONS(3952),
    [anon_sym_CARET_EQ] = ACTIONS(3952),
    [anon_sym_PIPE_EQ] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3952),
    [anon_sym_PLUS_PLUS] = ACTIONS(3952),
    [anon_sym_DOT] = ACTIONS(3954),
    [anon_sym_DASH_GT] = ACTIONS(3952),
    [anon_sym_AT] = ACTIONS(4628),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(3954),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(3954),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(3954),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(3954),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(3954),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(3954),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(3954),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(3954),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(3954),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(3954),
    [anon_sym_NS_AVAILABLE] = ACTIONS(3954),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(3954),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(3954),
    [anon_sym_API_AVAILABLE] = ACTIONS(3954),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(3954),
    [anon_sym_API_DEPRECATED] = ACTIONS(3954),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(3954),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(3954),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(3954),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(3954),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(3954),
    [anon_sym___deprecated_msg] = ACTIONS(3954),
    [anon_sym___deprecated_enum_msg] = ACTIONS(3954),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(3954),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(3954),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(3954),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(3954),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(3954),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(3954),
  },
  [1626] = {
    [sym_string_literal] = STATE(1928),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4508),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4511),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4630),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(4514),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_EQ] = ACTIONS(4519),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [anon_sym_COLON] = ACTIONS(4582),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4523),
    [anon_sym_SLASH_EQ] = ACTIONS(4523),
    [anon_sym_PERCENT_EQ] = ACTIONS(4523),
    [anon_sym_PLUS_EQ] = ACTIONS(4523),
    [anon_sym_DASH_EQ] = ACTIONS(4523),
    [anon_sym_LT_LT_EQ] = ACTIONS(4523),
    [anon_sym_GT_GT_EQ] = ACTIONS(4523),
    [anon_sym_AMP_EQ] = ACTIONS(4523),
    [anon_sym_CARET_EQ] = ACTIONS(4523),
    [anon_sym_PIPE_EQ] = ACTIONS(4523),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [1627] = {
    [aux_sym_selector_expression_repeat2] = STATE(1627),
    [sym_identifier] = ACTIONS(4027),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4029),
    [anon_sym_COMMA] = ACTIONS(4029),
    [anon_sym_RPAREN] = ACTIONS(4633),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4029),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4029),
    [anon_sym_LPAREN2] = ACTIONS(4029),
    [anon_sym_DASH] = ACTIONS(4027),
    [anon_sym_PLUS] = ACTIONS(4027),
    [anon_sym_STAR] = ACTIONS(4029),
    [anon_sym_SLASH] = ACTIONS(4027),
    [anon_sym_PERCENT] = ACTIONS(4029),
    [anon_sym_PIPE_PIPE] = ACTIONS(4029),
    [anon_sym_AMP_AMP] = ACTIONS(4029),
    [anon_sym_PIPE] = ACTIONS(4027),
    [anon_sym_CARET] = ACTIONS(4029),
    [anon_sym_AMP] = ACTIONS(4027),
    [anon_sym_EQ_EQ] = ACTIONS(4029),
    [anon_sym_BANG_EQ] = ACTIONS(4029),
    [anon_sym_GT] = ACTIONS(4027),
    [anon_sym_GT_EQ] = ACTIONS(4029),
    [anon_sym_LT_EQ] = ACTIONS(4029),
    [anon_sym_LT] = ACTIONS(4027),
    [anon_sym_LT_LT] = ACTIONS(4029),
    [anon_sym_GT_GT] = ACTIONS(4029),
    [anon_sym_SEMI] = ACTIONS(4029),
    [anon_sym___extension__] = ACTIONS(4027),
    [anon_sym_extern] = ACTIONS(4027),
    [anon_sym___attribute__] = ACTIONS(4027),
    [anon_sym___attribute] = ACTIONS(4027),
    [anon_sym_noreturn] = ACTIONS(4027),
    [anon_sym_LBRACK] = ACTIONS(4029),
    [anon_sym_RBRACK] = ACTIONS(4029),
    [anon_sym___declspec] = ACTIONS(4027),
    [anon_sym_LBRACE] = ACTIONS(4029),
    [anon_sym_RBRACE] = ACTIONS(4029),
    [anon_sym_signed] = ACTIONS(4027),
    [anon_sym_unsigned] = ACTIONS(4027),
    [anon_sym_long] = ACTIONS(4027),
    [anon_sym_short] = ACTIONS(4027),
    [anon_sym_static] = ACTIONS(4027),
    [anon_sym_ATautoreleasepool] = ACTIONS(4029),
    [anon_sym_auto] = ACTIONS(4027),
    [anon_sym_register] = ACTIONS(4027),
    [anon_sym_inline] = ACTIONS(4027),
    [anon_sym___inline] = ACTIONS(4027),
    [anon_sym___inline__] = ACTIONS(4027),
    [anon_sym___forceinline] = ACTIONS(4027),
    [anon_sym_thread_local] = ACTIONS(4027),
    [anon_sym___thread] = ACTIONS(4027),
    [anon_sym_CG_EXTERN] = ACTIONS(4027),
    [anon_sym_CG_INLINE] = ACTIONS(4027),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4027),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4027),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4027),
    [anon_sym_IBOutlet] = ACTIONS(4027),
    [anon_sym_IBInspectable] = ACTIONS(4027),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4027),
    [anon_sym_NS_INLINE] = ACTIONS(4027),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4027),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4027),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4027),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4027),
    [anon_sym_const] = ACTIONS(4027),
    [anon_sym_constexpr] = ACTIONS(4027),
    [anon_sym_volatile] = ACTIONS(4027),
    [anon_sym_restrict] = ACTIONS(4027),
    [anon_sym___restrict__] = ACTIONS(4027),
    [anon_sym__Atomic] = ACTIONS(4027),
    [anon_sym__Noreturn] = ACTIONS(4027),
    [anon_sym__Nonnull] = ACTIONS(4027),
    [anon_sym_nullable] = ACTIONS(4027),
    [anon_sym__Complex] = ACTIONS(4027),
    [anon_sym__Nullable] = ACTIONS(4027),
    [anon_sym__Nullable_result] = ACTIONS(4027),
    [anon_sym__Null_unspecified] = ACTIONS(4027),
    [anon_sym___autoreleasing] = ACTIONS(4027),
    [anon_sym___block] = ACTIONS(4027),
    [anon_sym___bridge] = ACTIONS(4027),
    [anon_sym___bridge_retained] = ACTIONS(4027),
    [anon_sym___bridge_transfer] = ACTIONS(4027),
    [anon_sym___complex] = ACTIONS(4027),
    [anon_sym___const] = ACTIONS(4027),
    [anon_sym___imag] = ACTIONS(4027),
    [anon_sym___kindof] = ACTIONS(4027),
    [anon_sym___nonnull] = ACTIONS(4027),
    [anon_sym___nullable] = ACTIONS(4027),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4027),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4027),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4027),
    [anon_sym___real] = ACTIONS(4027),
    [anon_sym___strong] = ACTIONS(4027),
    [anon_sym___unsafe_unretained] = ACTIONS(4027),
    [anon_sym___unused] = ACTIONS(4027),
    [anon_sym___weak] = ACTIONS(4027),
    [anon_sym_alignas] = ACTIONS(4027),
    [anon_sym__Alignas] = ACTIONS(4027),
    [sym_primitive_type] = ACTIONS(4027),
    [anon_sym_enum] = ACTIONS(4027),
    [anon_sym_COLON] = ACTIONS(4029),
    [anon_sym_struct] = ACTIONS(4027),
    [anon_sym_union] = ACTIONS(4027),
    [anon_sym_QMARK] = ACTIONS(4029),
    [anon_sym_DASH_DASH] = ACTIONS(4029),
    [anon_sym_PLUS_PLUS] = ACTIONS(4029),
    [anon_sym_DOT] = ACTIONS(4027),
    [anon_sym_DASH_GT] = ACTIONS(4029),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4027),
    [anon_sym___typeof] = ACTIONS(4027),
    [anon_sym_typeof] = ACTIONS(4027),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4027),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4027),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4027),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4027),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4027),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4027),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4027),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4027),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4027),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4027),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4027),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4027),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4027),
    [anon_sym_API_AVAILABLE] = ACTIONS(4027),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4027),
    [anon_sym_API_DEPRECATED] = ACTIONS(4027),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4027),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4027),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4027),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4027),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4027),
    [anon_sym___deprecated_msg] = ACTIONS(4027),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4027),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4027),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4027),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4027),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4027),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4027),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4027),
    [anon_sym_BOOL] = ACTIONS(4027),
    [anon_sym_IMP] = ACTIONS(4027),
    [anon_sym_SEL] = ACTIONS(4027),
    [anon_sym_Class] = ACTIONS(4027),
    [anon_sym_id] = ACTIONS(4027),
  },
  [1628] = {
    [sym_string_literal] = STATE(1628),
    [aux_sym_concatenated_string_repeat1] = STATE(1628),
    [sym_identifier] = ACTIONS(4636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3967),
    [anon_sym_COMMA] = ACTIONS(3967),
    [anon_sym_RPAREN] = ACTIONS(3967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3967),
    [anon_sym_LPAREN2] = ACTIONS(3967),
    [anon_sym_DASH] = ACTIONS(3969),
    [anon_sym_PLUS] = ACTIONS(3969),
    [anon_sym_STAR] = ACTIONS(3969),
    [anon_sym_SLASH] = ACTIONS(3969),
    [anon_sym_PERCENT] = ACTIONS(3969),
    [anon_sym_PIPE_PIPE] = ACTIONS(3967),
    [anon_sym_AMP_AMP] = ACTIONS(3967),
    [anon_sym_PIPE] = ACTIONS(3969),
    [anon_sym_CARET] = ACTIONS(3969),
    [anon_sym_AMP] = ACTIONS(3969),
    [anon_sym_EQ_EQ] = ACTIONS(3967),
    [anon_sym_BANG_EQ] = ACTIONS(3967),
    [anon_sym_GT] = ACTIONS(3969),
    [anon_sym_GT_EQ] = ACTIONS(3967),
    [anon_sym_LT_EQ] = ACTIONS(3967),
    [anon_sym_LT] = ACTIONS(3969),
    [anon_sym_LT_LT] = ACTIONS(3969),
    [anon_sym_GT_GT] = ACTIONS(3969),
    [anon_sym_SEMI] = ACTIONS(3967),
    [anon_sym___extension__] = ACTIONS(3969),
    [anon_sym_extern] = ACTIONS(3969),
    [anon_sym___attribute__] = ACTIONS(3969),
    [anon_sym___attribute] = ACTIONS(3969),
    [anon_sym_noreturn] = ACTIONS(3969),
    [anon_sym_LBRACK] = ACTIONS(3967),
    [anon_sym_RBRACK] = ACTIONS(3967),
    [anon_sym___declspec] = ACTIONS(3969),
    [anon_sym_RBRACE] = ACTIONS(3967),
    [anon_sym_static] = ACTIONS(3969),
    [anon_sym_EQ] = ACTIONS(3969),
    [anon_sym_auto] = ACTIONS(3969),
    [anon_sym_register] = ACTIONS(3969),
    [anon_sym_inline] = ACTIONS(3969),
    [anon_sym___inline] = ACTIONS(3969),
    [anon_sym___inline__] = ACTIONS(3969),
    [anon_sym___forceinline] = ACTIONS(3969),
    [anon_sym_thread_local] = ACTIONS(3969),
    [anon_sym___thread] = ACTIONS(3969),
    [anon_sym_CG_EXTERN] = ACTIONS(3969),
    [anon_sym_CG_INLINE] = ACTIONS(3969),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(3969),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(3969),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(3969),
    [anon_sym_IBOutlet] = ACTIONS(3969),
    [anon_sym_IBInspectable] = ACTIONS(3969),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(3969),
    [anon_sym_NS_INLINE] = ACTIONS(3969),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(3969),
    [anon_sym_OBJC_EXPORT] = ACTIONS(3969),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(3969),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(3969),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_constexpr] = ACTIONS(3969),
    [anon_sym_volatile] = ACTIONS(3969),
    [anon_sym_restrict] = ACTIONS(3969),
    [anon_sym___restrict__] = ACTIONS(3969),
    [anon_sym__Atomic] = ACTIONS(3969),
    [anon_sym__Noreturn] = ACTIONS(3969),
    [anon_sym__Nonnull] = ACTIONS(3969),
    [anon_sym_nullable] = ACTIONS(3969),
    [anon_sym__Complex] = ACTIONS(3969),
    [anon_sym__Nullable] = ACTIONS(3969),
    [anon_sym__Nullable_result] = ACTIONS(3969),
    [anon_sym__Null_unspecified] = ACTIONS(3969),
    [anon_sym___autoreleasing] = ACTIONS(3969),
    [anon_sym___block] = ACTIONS(3969),
    [anon_sym___bridge] = ACTIONS(3969),
    [anon_sym___bridge_retained] = ACTIONS(3969),
    [anon_sym___bridge_transfer] = ACTIONS(3969),
    [anon_sym___complex] = ACTIONS(3969),
    [anon_sym___const] = ACTIONS(3969),
    [anon_sym___imag] = ACTIONS(3969),
    [anon_sym___kindof] = ACTIONS(3969),
    [anon_sym___nonnull] = ACTIONS(3969),
    [anon_sym___nullable] = ACTIONS(3969),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(3969),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(3969),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(3969),
    [anon_sym___real] = ACTIONS(3969),
    [anon_sym___strong] = ACTIONS(3969),
    [anon_sym___unsafe_unretained] = ACTIONS(3969),
    [anon_sym___unused] = ACTIONS(3969),
    [anon_sym___weak] = ACTIONS(3969),
    [anon_sym_alignas] = ACTIONS(3969),
    [anon_sym__Alignas] = ACTIONS(3969),
    [anon_sym_COLON] = ACTIONS(3967),
    [anon_sym_QMARK] = ACTIONS(3967),
    [anon_sym_STAR_EQ] = ACTIONS(3967),
    [anon_sym_SLASH_EQ] = ACTIONS(3967),
    [anon_sym_PERCENT_EQ] = ACTIONS(3967),
    [anon_sym_PLUS_EQ] = ACTIONS(3967),
    [anon_sym_DASH_EQ] = ACTIONS(3967),
    [anon_sym_LT_LT_EQ] = ACTIONS(3967),
    [anon_sym_GT_GT_EQ] = ACTIONS(3967),
    [anon_sym_AMP_EQ] = ACTIONS(3967),
    [anon_sym_CARET_EQ] = ACTIONS(3967),
    [anon_sym_PIPE_EQ] = ACTIONS(3967),
    [anon_sym_DASH_DASH] = ACTIONS(3967),
    [anon_sym_PLUS_PLUS] = ACTIONS(3967),
    [anon_sym_DOT] = ACTIONS(3969),
    [anon_sym_DASH_GT] = ACTIONS(3967),
    [anon_sym_AT] = ACTIONS(4639),
    [anon_sym_DQUOTE] = ACTIONS(4642),
    [anon_sym_L_DQUOTE] = ACTIONS(4642),
    [anon_sym_u_DQUOTE] = ACTIONS(4642),
    [anon_sym_U_DQUOTE] = ACTIONS(4642),
    [anon_sym_u8_DQUOTE] = ACTIONS(4642),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(3969),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(3969),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(3969),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(3969),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(3969),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(3969),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(3969),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(3969),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(3969),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(3969),
    [anon_sym_NS_AVAILABLE] = ACTIONS(3969),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(3969),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(3969),
    [anon_sym_API_AVAILABLE] = ACTIONS(3969),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(3969),
    [anon_sym_API_DEPRECATED] = ACTIONS(3969),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(3969),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(3969),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(3969),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(3969),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(3969),
    [anon_sym___deprecated_msg] = ACTIONS(3969),
    [anon_sym___deprecated_enum_msg] = ACTIONS(3969),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(3969),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(3969),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(3969),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(3969),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(3969),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(3969),
  },
  [1629] = {
    [sym_string_literal] = STATE(1628),
    [aux_sym_concatenated_string_repeat1] = STATE(1628),
    [sym_identifier] = ACTIONS(4645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3960),
    [anon_sym_COMMA] = ACTIONS(3960),
    [anon_sym_RPAREN] = ACTIONS(3960),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3960),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3960),
    [anon_sym_LPAREN2] = ACTIONS(3960),
    [anon_sym_DASH] = ACTIONS(3962),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_STAR] = ACTIONS(3962),
    [anon_sym_SLASH] = ACTIONS(3962),
    [anon_sym_PERCENT] = ACTIONS(3962),
    [anon_sym_PIPE_PIPE] = ACTIONS(3960),
    [anon_sym_AMP_AMP] = ACTIONS(3960),
    [anon_sym_PIPE] = ACTIONS(3962),
    [anon_sym_CARET] = ACTIONS(3962),
    [anon_sym_AMP] = ACTIONS(3962),
    [anon_sym_EQ_EQ] = ACTIONS(3960),
    [anon_sym_BANG_EQ] = ACTIONS(3960),
    [anon_sym_GT] = ACTIONS(3962),
    [anon_sym_GT_EQ] = ACTIONS(3960),
    [anon_sym_LT_EQ] = ACTIONS(3960),
    [anon_sym_LT] = ACTIONS(3962),
    [anon_sym_LT_LT] = ACTIONS(3962),
    [anon_sym_GT_GT] = ACTIONS(3962),
    [anon_sym_SEMI] = ACTIONS(3960),
    [anon_sym___extension__] = ACTIONS(3962),
    [anon_sym_extern] = ACTIONS(3962),
    [anon_sym___attribute__] = ACTIONS(3962),
    [anon_sym___attribute] = ACTIONS(3962),
    [anon_sym_noreturn] = ACTIONS(3962),
    [anon_sym_LBRACK] = ACTIONS(3960),
    [anon_sym_RBRACK] = ACTIONS(3960),
    [anon_sym___declspec] = ACTIONS(3962),
    [anon_sym_RBRACE] = ACTIONS(3960),
    [anon_sym_static] = ACTIONS(3962),
    [anon_sym_EQ] = ACTIONS(3962),
    [anon_sym_auto] = ACTIONS(3962),
    [anon_sym_register] = ACTIONS(3962),
    [anon_sym_inline] = ACTIONS(3962),
    [anon_sym___inline] = ACTIONS(3962),
    [anon_sym___inline__] = ACTIONS(3962),
    [anon_sym___forceinline] = ACTIONS(3962),
    [anon_sym_thread_local] = ACTIONS(3962),
    [anon_sym___thread] = ACTIONS(3962),
    [anon_sym_CG_EXTERN] = ACTIONS(3962),
    [anon_sym_CG_INLINE] = ACTIONS(3962),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(3962),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(3962),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(3962),
    [anon_sym_IBOutlet] = ACTIONS(3962),
    [anon_sym_IBInspectable] = ACTIONS(3962),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(3962),
    [anon_sym_NS_INLINE] = ACTIONS(3962),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(3962),
    [anon_sym_OBJC_EXPORT] = ACTIONS(3962),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(3962),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(3962),
    [anon_sym_const] = ACTIONS(3962),
    [anon_sym_constexpr] = ACTIONS(3962),
    [anon_sym_volatile] = ACTIONS(3962),
    [anon_sym_restrict] = ACTIONS(3962),
    [anon_sym___restrict__] = ACTIONS(3962),
    [anon_sym__Atomic] = ACTIONS(3962),
    [anon_sym__Noreturn] = ACTIONS(3962),
    [anon_sym__Nonnull] = ACTIONS(3962),
    [anon_sym_nullable] = ACTIONS(3962),
    [anon_sym__Complex] = ACTIONS(3962),
    [anon_sym__Nullable] = ACTIONS(3962),
    [anon_sym__Nullable_result] = ACTIONS(3962),
    [anon_sym__Null_unspecified] = ACTIONS(3962),
    [anon_sym___autoreleasing] = ACTIONS(3962),
    [anon_sym___block] = ACTIONS(3962),
    [anon_sym___bridge] = ACTIONS(3962),
    [anon_sym___bridge_retained] = ACTIONS(3962),
    [anon_sym___bridge_transfer] = ACTIONS(3962),
    [anon_sym___complex] = ACTIONS(3962),
    [anon_sym___const] = ACTIONS(3962),
    [anon_sym___imag] = ACTIONS(3962),
    [anon_sym___kindof] = ACTIONS(3962),
    [anon_sym___nonnull] = ACTIONS(3962),
    [anon_sym___nullable] = ACTIONS(3962),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(3962),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(3962),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(3962),
    [anon_sym___real] = ACTIONS(3962),
    [anon_sym___strong] = ACTIONS(3962),
    [anon_sym___unsafe_unretained] = ACTIONS(3962),
    [anon_sym___unused] = ACTIONS(3962),
    [anon_sym___weak] = ACTIONS(3962),
    [anon_sym_alignas] = ACTIONS(3962),
    [anon_sym__Alignas] = ACTIONS(3962),
    [anon_sym_COLON] = ACTIONS(3960),
    [anon_sym_QMARK] = ACTIONS(3960),
    [anon_sym_STAR_EQ] = ACTIONS(3960),
    [anon_sym_SLASH_EQ] = ACTIONS(3960),
    [anon_sym_PERCENT_EQ] = ACTIONS(3960),
    [anon_sym_PLUS_EQ] = ACTIONS(3960),
    [anon_sym_DASH_EQ] = ACTIONS(3960),
    [anon_sym_LT_LT_EQ] = ACTIONS(3960),
    [anon_sym_GT_GT_EQ] = ACTIONS(3960),
    [anon_sym_AMP_EQ] = ACTIONS(3960),
    [anon_sym_CARET_EQ] = ACTIONS(3960),
    [anon_sym_PIPE_EQ] = ACTIONS(3960),
    [anon_sym_DASH_DASH] = ACTIONS(3960),
    [anon_sym_PLUS_PLUS] = ACTIONS(3960),
    [anon_sym_DOT] = ACTIONS(3962),
    [anon_sym_DASH_GT] = ACTIONS(3960),
    [anon_sym_AT] = ACTIONS(4628),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(3962),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(3962),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(3962),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(3962),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(3962),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(3962),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(3962),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(3962),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(3962),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(3962),
    [anon_sym_NS_AVAILABLE] = ACTIONS(3962),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(3962),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(3962),
    [anon_sym_API_AVAILABLE] = ACTIONS(3962),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(3962),
    [anon_sym_API_DEPRECATED] = ACTIONS(3962),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(3962),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(3962),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(3962),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(3962),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(3962),
    [anon_sym___deprecated_msg] = ACTIONS(3962),
    [anon_sym___deprecated_enum_msg] = ACTIONS(3962),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(3962),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(3962),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(3962),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(3962),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(3962),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(3962),
  },
  [1630] = {
    [sym_string_literal] = STATE(1603),
    [sym_identifier] = ACTIONS(4015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4017),
    [anon_sym_COMMA] = ACTIONS(4017),
    [anon_sym_LPAREN2] = ACTIONS(4017),
    [anon_sym_DASH] = ACTIONS(4015),
    [anon_sym_PLUS] = ACTIONS(4015),
    [anon_sym_STAR] = ACTIONS(4017),
    [anon_sym_SLASH] = ACTIONS(4015),
    [anon_sym_PERCENT] = ACTIONS(4017),
    [anon_sym_PIPE_PIPE] = ACTIONS(4017),
    [anon_sym_AMP_AMP] = ACTIONS(4017),
    [anon_sym_PIPE] = ACTIONS(4015),
    [anon_sym_CARET] = ACTIONS(4017),
    [anon_sym_AMP] = ACTIONS(4015),
    [anon_sym_EQ_EQ] = ACTIONS(4017),
    [anon_sym_BANG_EQ] = ACTIONS(4017),
    [anon_sym_GT] = ACTIONS(4015),
    [anon_sym_GT_EQ] = ACTIONS(4017),
    [anon_sym_LT_EQ] = ACTIONS(4017),
    [anon_sym_LT] = ACTIONS(4015),
    [anon_sym_LT_LT] = ACTIONS(4017),
    [anon_sym_GT_GT] = ACTIONS(4017),
    [anon_sym_SEMI] = ACTIONS(4017),
    [anon_sym___extension__] = ACTIONS(4015),
    [anon_sym_extern] = ACTIONS(4015),
    [anon_sym___attribute__] = ACTIONS(4015),
    [anon_sym___attribute] = ACTIONS(4015),
    [anon_sym_noreturn] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(4017),
    [anon_sym___declspec] = ACTIONS(4015),
    [anon_sym_LBRACE] = ACTIONS(4017),
    [anon_sym_signed] = ACTIONS(4015),
    [anon_sym_unsigned] = ACTIONS(4015),
    [anon_sym_long] = ACTIONS(4015),
    [anon_sym_short] = ACTIONS(4015),
    [anon_sym_static] = ACTIONS(4015),
    [anon_sym_ATautoreleasepool] = ACTIONS(4017),
    [anon_sym_auto] = ACTIONS(4015),
    [anon_sym_register] = ACTIONS(4015),
    [anon_sym_inline] = ACTIONS(4015),
    [anon_sym___inline] = ACTIONS(4015),
    [anon_sym___inline__] = ACTIONS(4015),
    [anon_sym___forceinline] = ACTIONS(4015),
    [anon_sym_thread_local] = ACTIONS(4015),
    [anon_sym___thread] = ACTIONS(4015),
    [anon_sym_CG_EXTERN] = ACTIONS(4015),
    [anon_sym_CG_INLINE] = ACTIONS(4015),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4015),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4015),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4015),
    [anon_sym_IBOutlet] = ACTIONS(4015),
    [anon_sym_IBInspectable] = ACTIONS(4015),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4015),
    [anon_sym_NS_INLINE] = ACTIONS(4015),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4015),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4015),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4015),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4015),
    [anon_sym_const] = ACTIONS(4015),
    [anon_sym_constexpr] = ACTIONS(4015),
    [anon_sym_volatile] = ACTIONS(4015),
    [anon_sym_restrict] = ACTIONS(4015),
    [anon_sym___restrict__] = ACTIONS(4015),
    [anon_sym__Atomic] = ACTIONS(4015),
    [anon_sym__Noreturn] = ACTIONS(4015),
    [anon_sym__Nonnull] = ACTIONS(4015),
    [anon_sym_nullable] = ACTIONS(4015),
    [anon_sym__Complex] = ACTIONS(4015),
    [anon_sym__Nullable] = ACTIONS(4015),
    [anon_sym__Nullable_result] = ACTIONS(4015),
    [anon_sym__Null_unspecified] = ACTIONS(4015),
    [anon_sym___autoreleasing] = ACTIONS(4015),
    [anon_sym___block] = ACTIONS(4015),
    [anon_sym___bridge] = ACTIONS(4015),
    [anon_sym___bridge_retained] = ACTIONS(4015),
    [anon_sym___bridge_transfer] = ACTIONS(4015),
    [anon_sym___complex] = ACTIONS(4015),
    [anon_sym___const] = ACTIONS(4015),
    [anon_sym___imag] = ACTIONS(4015),
    [anon_sym___kindof] = ACTIONS(4015),
    [anon_sym___nonnull] = ACTIONS(4015),
    [anon_sym___nullable] = ACTIONS(4015),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4015),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4015),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4015),
    [anon_sym___real] = ACTIONS(4015),
    [anon_sym___strong] = ACTIONS(4015),
    [anon_sym___unsafe_unretained] = ACTIONS(4015),
    [anon_sym___unused] = ACTIONS(4015),
    [anon_sym___weak] = ACTIONS(4015),
    [anon_sym_alignas] = ACTIONS(4015),
    [anon_sym__Alignas] = ACTIONS(4015),
    [sym_primitive_type] = ACTIONS(4015),
    [anon_sym_enum] = ACTIONS(4015),
    [anon_sym_struct] = ACTIONS(4015),
    [anon_sym_union] = ACTIONS(4015),
    [anon_sym_QMARK] = ACTIONS(4017),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_DOT] = ACTIONS(4015),
    [anon_sym_DASH_GT] = ACTIONS(4017),
    [anon_sym_AT] = ACTIONS(4013),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4015),
    [anon_sym___typeof] = ACTIONS(4015),
    [anon_sym_typeof] = ACTIONS(4015),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4015),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4015),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4015),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4015),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4015),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4015),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4015),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4015),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4015),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4015),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4015),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4015),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4015),
    [anon_sym_API_AVAILABLE] = ACTIONS(4015),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4015),
    [anon_sym_API_DEPRECATED] = ACTIONS(4015),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4015),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4015),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4015),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4015),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4015),
    [anon_sym___deprecated_msg] = ACTIONS(4015),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4015),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4015),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4015),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4015),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4015),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4015),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4015),
    [anon_sym_BOOL] = ACTIONS(4015),
    [anon_sym_IMP] = ACTIONS(4015),
    [anon_sym_SEL] = ACTIONS(4015),
    [anon_sym_Class] = ACTIONS(4015),
    [anon_sym_id] = ACTIONS(4015),
  },
  [1631] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(3997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3999),
    [anon_sym_COMMA] = ACTIONS(3999),
    [anon_sym_RPAREN] = ACTIONS(3999),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3999),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3999),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(3997),
    [anon_sym_PLUS] = ACTIONS(3997),
    [anon_sym_STAR] = ACTIONS(3999),
    [anon_sym_SLASH] = ACTIONS(3997),
    [anon_sym_PERCENT] = ACTIONS(3999),
    [anon_sym_PIPE_PIPE] = ACTIONS(3999),
    [anon_sym_AMP_AMP] = ACTIONS(3999),
    [anon_sym_PIPE] = ACTIONS(3997),
    [anon_sym_CARET] = ACTIONS(3999),
    [anon_sym_AMP] = ACTIONS(3997),
    [anon_sym_EQ_EQ] = ACTIONS(3999),
    [anon_sym_BANG_EQ] = ACTIONS(3999),
    [anon_sym_GT] = ACTIONS(3997),
    [anon_sym_GT_EQ] = ACTIONS(3999),
    [anon_sym_LT_EQ] = ACTIONS(3999),
    [anon_sym_LT] = ACTIONS(3997),
    [anon_sym_LT_LT] = ACTIONS(3999),
    [anon_sym_GT_GT] = ACTIONS(3999),
    [anon_sym_SEMI] = ACTIONS(3999),
    [anon_sym___extension__] = ACTIONS(3997),
    [anon_sym_extern] = ACTIONS(3997),
    [anon_sym___attribute__] = ACTIONS(3997),
    [anon_sym___attribute] = ACTIONS(3997),
    [anon_sym_noreturn] = ACTIONS(3997),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_RBRACK] = ACTIONS(3999),
    [anon_sym___declspec] = ACTIONS(3997),
    [anon_sym_LBRACE] = ACTIONS(3999),
    [anon_sym_RBRACE] = ACTIONS(3999),
    [anon_sym_signed] = ACTIONS(3997),
    [anon_sym_unsigned] = ACTIONS(3997),
    [anon_sym_long] = ACTIONS(3997),
    [anon_sym_short] = ACTIONS(3997),
    [anon_sym_static] = ACTIONS(3997),
    [anon_sym_ATautoreleasepool] = ACTIONS(3999),
    [anon_sym_auto] = ACTIONS(3997),
    [anon_sym_register] = ACTIONS(3997),
    [anon_sym_inline] = ACTIONS(3997),
    [anon_sym___inline] = ACTIONS(3997),
    [anon_sym___inline__] = ACTIONS(3997),
    [anon_sym___forceinline] = ACTIONS(3997),
    [anon_sym_thread_local] = ACTIONS(3997),
    [anon_sym___thread] = ACTIONS(3997),
    [anon_sym_CG_EXTERN] = ACTIONS(3997),
    [anon_sym_CG_INLINE] = ACTIONS(3997),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(3997),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(3997),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(3997),
    [anon_sym_IBOutlet] = ACTIONS(3997),
    [anon_sym_IBInspectable] = ACTIONS(3997),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(3997),
    [anon_sym_NS_INLINE] = ACTIONS(3997),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(3997),
    [anon_sym_OBJC_EXPORT] = ACTIONS(3997),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(3997),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(3997),
    [anon_sym_const] = ACTIONS(3997),
    [anon_sym_constexpr] = ACTIONS(3997),
    [anon_sym_volatile] = ACTIONS(3997),
    [anon_sym_restrict] = ACTIONS(3997),
    [anon_sym___restrict__] = ACTIONS(3997),
    [anon_sym__Atomic] = ACTIONS(3997),
    [anon_sym__Noreturn] = ACTIONS(3997),
    [anon_sym__Nonnull] = ACTIONS(3997),
    [anon_sym_nullable] = ACTIONS(3997),
    [anon_sym__Complex] = ACTIONS(3997),
    [anon_sym__Nullable] = ACTIONS(3997),
    [anon_sym__Nullable_result] = ACTIONS(3997),
    [anon_sym__Null_unspecified] = ACTIONS(3997),
    [anon_sym___autoreleasing] = ACTIONS(3997),
    [anon_sym___block] = ACTIONS(3997),
    [anon_sym___bridge] = ACTIONS(3997),
    [anon_sym___bridge_retained] = ACTIONS(3997),
    [anon_sym___bridge_transfer] = ACTIONS(3997),
    [anon_sym___complex] = ACTIONS(3997),
    [anon_sym___const] = ACTIONS(3997),
    [anon_sym___imag] = ACTIONS(3997),
    [anon_sym___kindof] = ACTIONS(3997),
    [anon_sym___nonnull] = ACTIONS(3997),
    [anon_sym___nullable] = ACTIONS(3997),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(3997),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(3997),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(3997),
    [anon_sym___real] = ACTIONS(3997),
    [anon_sym___strong] = ACTIONS(3997),
    [anon_sym___unsafe_unretained] = ACTIONS(3997),
    [anon_sym___unused] = ACTIONS(3997),
    [anon_sym___weak] = ACTIONS(3997),
    [anon_sym_alignas] = ACTIONS(3997),
    [anon_sym__Alignas] = ACTIONS(3997),
    [sym_primitive_type] = ACTIONS(3997),
    [anon_sym_enum] = ACTIONS(3997),
    [anon_sym_COLON] = ACTIONS(3999),
    [anon_sym_struct] = ACTIONS(3997),
    [anon_sym_union] = ACTIONS(3997),
    [anon_sym_QMARK] = ACTIONS(3999),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(3997),
    [anon_sym___typeof] = ACTIONS(3997),
    [anon_sym_typeof] = ACTIONS(3997),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(3997),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(3997),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(3997),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(3997),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(3997),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(3997),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(3997),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(3997),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(3997),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(3997),
    [anon_sym_NS_AVAILABLE] = ACTIONS(3997),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(3997),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(3997),
    [anon_sym_API_AVAILABLE] = ACTIONS(3997),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(3997),
    [anon_sym_API_DEPRECATED] = ACTIONS(3997),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(3997),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(3997),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(3997),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(3997),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(3997),
    [anon_sym___deprecated_msg] = ACTIONS(3997),
    [anon_sym___deprecated_enum_msg] = ACTIONS(3997),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(3997),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(3997),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(3997),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(3997),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(3997),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(3997),
    [anon_sym_BOOL] = ACTIONS(3997),
    [anon_sym_IMP] = ACTIONS(3997),
    [anon_sym_SEL] = ACTIONS(3997),
    [anon_sym_Class] = ACTIONS(3997),
    [anon_sym_id] = ACTIONS(3997),
  },
  [1632] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4003),
    [anon_sym_COMMA] = ACTIONS(4003),
    [anon_sym_RPAREN] = ACTIONS(4003),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4003),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4003),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4001),
    [anon_sym_PLUS] = ACTIONS(4001),
    [anon_sym_STAR] = ACTIONS(4003),
    [anon_sym_SLASH] = ACTIONS(4001),
    [anon_sym_PERCENT] = ACTIONS(4003),
    [anon_sym_PIPE_PIPE] = ACTIONS(4003),
    [anon_sym_AMP_AMP] = ACTIONS(4003),
    [anon_sym_PIPE] = ACTIONS(4001),
    [anon_sym_CARET] = ACTIONS(4003),
    [anon_sym_AMP] = ACTIONS(4001),
    [anon_sym_EQ_EQ] = ACTIONS(4003),
    [anon_sym_BANG_EQ] = ACTIONS(4003),
    [anon_sym_GT] = ACTIONS(4001),
    [anon_sym_GT_EQ] = ACTIONS(4003),
    [anon_sym_LT_EQ] = ACTIONS(4003),
    [anon_sym_LT] = ACTIONS(4001),
    [anon_sym_LT_LT] = ACTIONS(4003),
    [anon_sym_GT_GT] = ACTIONS(4003),
    [anon_sym_SEMI] = ACTIONS(4003),
    [anon_sym___extension__] = ACTIONS(4001),
    [anon_sym_extern] = ACTIONS(4001),
    [anon_sym___attribute__] = ACTIONS(4001),
    [anon_sym___attribute] = ACTIONS(4001),
    [anon_sym_noreturn] = ACTIONS(4001),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_RBRACK] = ACTIONS(4003),
    [anon_sym___declspec] = ACTIONS(4001),
    [anon_sym_LBRACE] = ACTIONS(4003),
    [anon_sym_RBRACE] = ACTIONS(4003),
    [anon_sym_signed] = ACTIONS(4001),
    [anon_sym_unsigned] = ACTIONS(4001),
    [anon_sym_long] = ACTIONS(4001),
    [anon_sym_short] = ACTIONS(4001),
    [anon_sym_static] = ACTIONS(4001),
    [anon_sym_ATautoreleasepool] = ACTIONS(4003),
    [anon_sym_auto] = ACTIONS(4001),
    [anon_sym_register] = ACTIONS(4001),
    [anon_sym_inline] = ACTIONS(4001),
    [anon_sym___inline] = ACTIONS(4001),
    [anon_sym___inline__] = ACTIONS(4001),
    [anon_sym___forceinline] = ACTIONS(4001),
    [anon_sym_thread_local] = ACTIONS(4001),
    [anon_sym___thread] = ACTIONS(4001),
    [anon_sym_CG_EXTERN] = ACTIONS(4001),
    [anon_sym_CG_INLINE] = ACTIONS(4001),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4001),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4001),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4001),
    [anon_sym_IBOutlet] = ACTIONS(4001),
    [anon_sym_IBInspectable] = ACTIONS(4001),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4001),
    [anon_sym_NS_INLINE] = ACTIONS(4001),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4001),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4001),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4001),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4001),
    [anon_sym_const] = ACTIONS(4001),
    [anon_sym_constexpr] = ACTIONS(4001),
    [anon_sym_volatile] = ACTIONS(4001),
    [anon_sym_restrict] = ACTIONS(4001),
    [anon_sym___restrict__] = ACTIONS(4001),
    [anon_sym__Atomic] = ACTIONS(4001),
    [anon_sym__Noreturn] = ACTIONS(4001),
    [anon_sym__Nonnull] = ACTIONS(4001),
    [anon_sym_nullable] = ACTIONS(4001),
    [anon_sym__Complex] = ACTIONS(4001),
    [anon_sym__Nullable] = ACTIONS(4001),
    [anon_sym__Nullable_result] = ACTIONS(4001),
    [anon_sym__Null_unspecified] = ACTIONS(4001),
    [anon_sym___autoreleasing] = ACTIONS(4001),
    [anon_sym___block] = ACTIONS(4001),
    [anon_sym___bridge] = ACTIONS(4001),
    [anon_sym___bridge_retained] = ACTIONS(4001),
    [anon_sym___bridge_transfer] = ACTIONS(4001),
    [anon_sym___complex] = ACTIONS(4001),
    [anon_sym___const] = ACTIONS(4001),
    [anon_sym___imag] = ACTIONS(4001),
    [anon_sym___kindof] = ACTIONS(4001),
    [anon_sym___nonnull] = ACTIONS(4001),
    [anon_sym___nullable] = ACTIONS(4001),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4001),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4001),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4001),
    [anon_sym___real] = ACTIONS(4001),
    [anon_sym___strong] = ACTIONS(4001),
    [anon_sym___unsafe_unretained] = ACTIONS(4001),
    [anon_sym___unused] = ACTIONS(4001),
    [anon_sym___weak] = ACTIONS(4001),
    [anon_sym_alignas] = ACTIONS(4001),
    [anon_sym__Alignas] = ACTIONS(4001),
    [sym_primitive_type] = ACTIONS(4001),
    [anon_sym_enum] = ACTIONS(4001),
    [anon_sym_COLON] = ACTIONS(4003),
    [anon_sym_struct] = ACTIONS(4001),
    [anon_sym_union] = ACTIONS(4001),
    [anon_sym_QMARK] = ACTIONS(4003),
    [anon_sym_DASH_DASH] = ACTIONS(4003),
    [anon_sym_PLUS_PLUS] = ACTIONS(4003),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4001),
    [anon_sym___typeof] = ACTIONS(4001),
    [anon_sym_typeof] = ACTIONS(4001),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4001),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4001),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4001),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4001),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4001),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4001),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4001),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4001),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4001),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4001),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4001),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4001),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4001),
    [anon_sym_API_AVAILABLE] = ACTIONS(4001),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4001),
    [anon_sym_API_DEPRECATED] = ACTIONS(4001),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4001),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4001),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4001),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4001),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4001),
    [anon_sym___deprecated_msg] = ACTIONS(4001),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4001),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4001),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4001),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4001),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4001),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4001),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4001),
    [anon_sym_BOOL] = ACTIONS(4001),
    [anon_sym_IMP] = ACTIONS(4001),
    [anon_sym_SEL] = ACTIONS(4001),
    [anon_sym_Class] = ACTIONS(4001),
    [anon_sym_id] = ACTIONS(4001),
  },
  [1633] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4023),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4025),
    [anon_sym_COMMA] = ACTIONS(4025),
    [anon_sym_RPAREN] = ACTIONS(4025),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4025),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4025),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4023),
    [anon_sym_PLUS] = ACTIONS(4023),
    [anon_sym_STAR] = ACTIONS(4025),
    [anon_sym_SLASH] = ACTIONS(4023),
    [anon_sym_PERCENT] = ACTIONS(4025),
    [anon_sym_PIPE_PIPE] = ACTIONS(4025),
    [anon_sym_AMP_AMP] = ACTIONS(4025),
    [anon_sym_PIPE] = ACTIONS(4023),
    [anon_sym_CARET] = ACTIONS(4025),
    [anon_sym_AMP] = ACTIONS(4023),
    [anon_sym_EQ_EQ] = ACTIONS(4025),
    [anon_sym_BANG_EQ] = ACTIONS(4025),
    [anon_sym_GT] = ACTIONS(4023),
    [anon_sym_GT_EQ] = ACTIONS(4025),
    [anon_sym_LT_EQ] = ACTIONS(4025),
    [anon_sym_LT] = ACTIONS(4023),
    [anon_sym_LT_LT] = ACTIONS(4025),
    [anon_sym_GT_GT] = ACTIONS(4025),
    [anon_sym_SEMI] = ACTIONS(4025),
    [anon_sym___extension__] = ACTIONS(4023),
    [anon_sym_extern] = ACTIONS(4023),
    [anon_sym___attribute__] = ACTIONS(4023),
    [anon_sym___attribute] = ACTIONS(4023),
    [anon_sym_noreturn] = ACTIONS(4023),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_RBRACK] = ACTIONS(4025),
    [anon_sym___declspec] = ACTIONS(4023),
    [anon_sym_LBRACE] = ACTIONS(4025),
    [anon_sym_RBRACE] = ACTIONS(4025),
    [anon_sym_signed] = ACTIONS(4023),
    [anon_sym_unsigned] = ACTIONS(4023),
    [anon_sym_long] = ACTIONS(4023),
    [anon_sym_short] = ACTIONS(4023),
    [anon_sym_static] = ACTIONS(4023),
    [anon_sym_ATautoreleasepool] = ACTIONS(4025),
    [anon_sym_auto] = ACTIONS(4023),
    [anon_sym_register] = ACTIONS(4023),
    [anon_sym_inline] = ACTIONS(4023),
    [anon_sym___inline] = ACTIONS(4023),
    [anon_sym___inline__] = ACTIONS(4023),
    [anon_sym___forceinline] = ACTIONS(4023),
    [anon_sym_thread_local] = ACTIONS(4023),
    [anon_sym___thread] = ACTIONS(4023),
    [anon_sym_CG_EXTERN] = ACTIONS(4023),
    [anon_sym_CG_INLINE] = ACTIONS(4023),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4023),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4023),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4023),
    [anon_sym_IBOutlet] = ACTIONS(4023),
    [anon_sym_IBInspectable] = ACTIONS(4023),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4023),
    [anon_sym_NS_INLINE] = ACTIONS(4023),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4023),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4023),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4023),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4023),
    [anon_sym_const] = ACTIONS(4023),
    [anon_sym_constexpr] = ACTIONS(4023),
    [anon_sym_volatile] = ACTIONS(4023),
    [anon_sym_restrict] = ACTIONS(4023),
    [anon_sym___restrict__] = ACTIONS(4023),
    [anon_sym__Atomic] = ACTIONS(4023),
    [anon_sym__Noreturn] = ACTIONS(4023),
    [anon_sym__Nonnull] = ACTIONS(4023),
    [anon_sym_nullable] = ACTIONS(4023),
    [anon_sym__Complex] = ACTIONS(4023),
    [anon_sym__Nullable] = ACTIONS(4023),
    [anon_sym__Nullable_result] = ACTIONS(4023),
    [anon_sym__Null_unspecified] = ACTIONS(4023),
    [anon_sym___autoreleasing] = ACTIONS(4023),
    [anon_sym___block] = ACTIONS(4023),
    [anon_sym___bridge] = ACTIONS(4023),
    [anon_sym___bridge_retained] = ACTIONS(4023),
    [anon_sym___bridge_transfer] = ACTIONS(4023),
    [anon_sym___complex] = ACTIONS(4023),
    [anon_sym___const] = ACTIONS(4023),
    [anon_sym___imag] = ACTIONS(4023),
    [anon_sym___kindof] = ACTIONS(4023),
    [anon_sym___nonnull] = ACTIONS(4023),
    [anon_sym___nullable] = ACTIONS(4023),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4023),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4023),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4023),
    [anon_sym___real] = ACTIONS(4023),
    [anon_sym___strong] = ACTIONS(4023),
    [anon_sym___unsafe_unretained] = ACTIONS(4023),
    [anon_sym___unused] = ACTIONS(4023),
    [anon_sym___weak] = ACTIONS(4023),
    [anon_sym_alignas] = ACTIONS(4023),
    [anon_sym__Alignas] = ACTIONS(4023),
    [sym_primitive_type] = ACTIONS(4023),
    [anon_sym_enum] = ACTIONS(4023),
    [anon_sym_COLON] = ACTIONS(4025),
    [anon_sym_struct] = ACTIONS(4023),
    [anon_sym_union] = ACTIONS(4023),
    [anon_sym_QMARK] = ACTIONS(4025),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4023),
    [anon_sym___typeof] = ACTIONS(4023),
    [anon_sym_typeof] = ACTIONS(4023),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4023),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4023),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4023),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4023),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4023),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4023),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4023),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4023),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4023),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4023),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4023),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4023),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4023),
    [anon_sym_API_AVAILABLE] = ACTIONS(4023),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4023),
    [anon_sym_API_DEPRECATED] = ACTIONS(4023),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4023),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4023),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4023),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4023),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4023),
    [anon_sym___deprecated_msg] = ACTIONS(4023),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4023),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4023),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4023),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4023),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4023),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4023),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4023),
    [anon_sym_BOOL] = ACTIONS(4023),
    [anon_sym_IMP] = ACTIONS(4023),
    [anon_sym_SEL] = ACTIONS(4023),
    [anon_sym_Class] = ACTIONS(4023),
    [anon_sym_id] = ACTIONS(4023),
  },
  [1634] = {
    [aux_sym_selector_expression_repeat2] = STATE(1627),
    [sym_identifier] = ACTIONS(3991),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3993),
    [anon_sym_COMMA] = ACTIONS(3993),
    [anon_sym_RPAREN] = ACTIONS(4649),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3993),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3993),
    [anon_sym_LPAREN2] = ACTIONS(3993),
    [anon_sym_DASH] = ACTIONS(3991),
    [anon_sym_PLUS] = ACTIONS(3991),
    [anon_sym_STAR] = ACTIONS(3993),
    [anon_sym_SLASH] = ACTIONS(3991),
    [anon_sym_PERCENT] = ACTIONS(3993),
    [anon_sym_PIPE_PIPE] = ACTIONS(3993),
    [anon_sym_AMP_AMP] = ACTIONS(3993),
    [anon_sym_PIPE] = ACTIONS(3991),
    [anon_sym_CARET] = ACTIONS(3993),
    [anon_sym_AMP] = ACTIONS(3991),
    [anon_sym_EQ_EQ] = ACTIONS(3993),
    [anon_sym_BANG_EQ] = ACTIONS(3993),
    [anon_sym_GT] = ACTIONS(3991),
    [anon_sym_GT_EQ] = ACTIONS(3993),
    [anon_sym_LT_EQ] = ACTIONS(3993),
    [anon_sym_LT] = ACTIONS(3991),
    [anon_sym_LT_LT] = ACTIONS(3993),
    [anon_sym_GT_GT] = ACTIONS(3993),
    [anon_sym_SEMI] = ACTIONS(3993),
    [anon_sym___extension__] = ACTIONS(3991),
    [anon_sym_extern] = ACTIONS(3991),
    [anon_sym___attribute__] = ACTIONS(3991),
    [anon_sym___attribute] = ACTIONS(3991),
    [anon_sym_noreturn] = ACTIONS(3991),
    [anon_sym_LBRACK] = ACTIONS(3993),
    [anon_sym_RBRACK] = ACTIONS(3993),
    [anon_sym___declspec] = ACTIONS(3991),
    [anon_sym_LBRACE] = ACTIONS(3993),
    [anon_sym_RBRACE] = ACTIONS(3993),
    [anon_sym_signed] = ACTIONS(3991),
    [anon_sym_unsigned] = ACTIONS(3991),
    [anon_sym_long] = ACTIONS(3991),
    [anon_sym_short] = ACTIONS(3991),
    [anon_sym_static] = ACTIONS(3991),
    [anon_sym_ATautoreleasepool] = ACTIONS(3993),
    [anon_sym_auto] = ACTIONS(3991),
    [anon_sym_register] = ACTIONS(3991),
    [anon_sym_inline] = ACTIONS(3991),
    [anon_sym___inline] = ACTIONS(3991),
    [anon_sym___inline__] = ACTIONS(3991),
    [anon_sym___forceinline] = ACTIONS(3991),
    [anon_sym_thread_local] = ACTIONS(3991),
    [anon_sym___thread] = ACTIONS(3991),
    [anon_sym_CG_EXTERN] = ACTIONS(3991),
    [anon_sym_CG_INLINE] = ACTIONS(3991),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(3991),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(3991),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(3991),
    [anon_sym_IBOutlet] = ACTIONS(3991),
    [anon_sym_IBInspectable] = ACTIONS(3991),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(3991),
    [anon_sym_NS_INLINE] = ACTIONS(3991),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(3991),
    [anon_sym_OBJC_EXPORT] = ACTIONS(3991),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(3991),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(3991),
    [anon_sym_const] = ACTIONS(3991),
    [anon_sym_constexpr] = ACTIONS(3991),
    [anon_sym_volatile] = ACTIONS(3991),
    [anon_sym_restrict] = ACTIONS(3991),
    [anon_sym___restrict__] = ACTIONS(3991),
    [anon_sym__Atomic] = ACTIONS(3991),
    [anon_sym__Noreturn] = ACTIONS(3991),
    [anon_sym__Nonnull] = ACTIONS(3991),
    [anon_sym_nullable] = ACTIONS(3991),
    [anon_sym__Complex] = ACTIONS(3991),
    [anon_sym__Nullable] = ACTIONS(3991),
    [anon_sym__Nullable_result] = ACTIONS(3991),
    [anon_sym__Null_unspecified] = ACTIONS(3991),
    [anon_sym___autoreleasing] = ACTIONS(3991),
    [anon_sym___block] = ACTIONS(3991),
    [anon_sym___bridge] = ACTIONS(3991),
    [anon_sym___bridge_retained] = ACTIONS(3991),
    [anon_sym___bridge_transfer] = ACTIONS(3991),
    [anon_sym___complex] = ACTIONS(3991),
    [anon_sym___const] = ACTIONS(3991),
    [anon_sym___imag] = ACTIONS(3991),
    [anon_sym___kindof] = ACTIONS(3991),
    [anon_sym___nonnull] = ACTIONS(3991),
    [anon_sym___nullable] = ACTIONS(3991),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(3991),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(3991),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(3991),
    [anon_sym___real] = ACTIONS(3991),
    [anon_sym___strong] = ACTIONS(3991),
    [anon_sym___unsafe_unretained] = ACTIONS(3991),
    [anon_sym___unused] = ACTIONS(3991),
    [anon_sym___weak] = ACTIONS(3991),
    [anon_sym_alignas] = ACTIONS(3991),
    [anon_sym__Alignas] = ACTIONS(3991),
    [sym_primitive_type] = ACTIONS(3991),
    [anon_sym_enum] = ACTIONS(3991),
    [anon_sym_COLON] = ACTIONS(3993),
    [anon_sym_struct] = ACTIONS(3991),
    [anon_sym_union] = ACTIONS(3991),
    [anon_sym_QMARK] = ACTIONS(3993),
    [anon_sym_DASH_DASH] = ACTIONS(3993),
    [anon_sym_PLUS_PLUS] = ACTIONS(3993),
    [anon_sym_DOT] = ACTIONS(3991),
    [anon_sym_DASH_GT] = ACTIONS(3993),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(3991),
    [anon_sym___typeof] = ACTIONS(3991),
    [anon_sym_typeof] = ACTIONS(3991),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(3991),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(3991),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(3991),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(3991),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(3991),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(3991),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(3991),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(3991),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(3991),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(3991),
    [anon_sym_NS_AVAILABLE] = ACTIONS(3991),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(3991),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(3991),
    [anon_sym_API_AVAILABLE] = ACTIONS(3991),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(3991),
    [anon_sym_API_DEPRECATED] = ACTIONS(3991),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(3991),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(3991),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(3991),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(3991),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(3991),
    [anon_sym___deprecated_msg] = ACTIONS(3991),
    [anon_sym___deprecated_enum_msg] = ACTIONS(3991),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(3991),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(3991),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(3991),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(3991),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(3991),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(3991),
    [anon_sym_BOOL] = ACTIONS(3991),
    [anon_sym_IMP] = ACTIONS(3991),
    [anon_sym_SEL] = ACTIONS(3991),
    [anon_sym_Class] = ACTIONS(3991),
    [anon_sym_id] = ACTIONS(3991),
  },
  [1635] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4021),
    [anon_sym_COMMA] = ACTIONS(4021),
    [anon_sym_RPAREN] = ACTIONS(4021),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4021),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4021),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4019),
    [anon_sym_PLUS] = ACTIONS(4019),
    [anon_sym_STAR] = ACTIONS(4021),
    [anon_sym_SLASH] = ACTIONS(4019),
    [anon_sym_PERCENT] = ACTIONS(4021),
    [anon_sym_PIPE_PIPE] = ACTIONS(4021),
    [anon_sym_AMP_AMP] = ACTIONS(4021),
    [anon_sym_PIPE] = ACTIONS(4019),
    [anon_sym_CARET] = ACTIONS(4021),
    [anon_sym_AMP] = ACTIONS(4019),
    [anon_sym_EQ_EQ] = ACTIONS(4021),
    [anon_sym_BANG_EQ] = ACTIONS(4021),
    [anon_sym_GT] = ACTIONS(4019),
    [anon_sym_GT_EQ] = ACTIONS(4021),
    [anon_sym_LT_EQ] = ACTIONS(4021),
    [anon_sym_LT] = ACTIONS(4019),
    [anon_sym_LT_LT] = ACTIONS(4021),
    [anon_sym_GT_GT] = ACTIONS(4021),
    [anon_sym_SEMI] = ACTIONS(4021),
    [anon_sym___extension__] = ACTIONS(4019),
    [anon_sym_extern] = ACTIONS(4019),
    [anon_sym___attribute__] = ACTIONS(4019),
    [anon_sym___attribute] = ACTIONS(4019),
    [anon_sym_noreturn] = ACTIONS(4019),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_RBRACK] = ACTIONS(4021),
    [anon_sym___declspec] = ACTIONS(4019),
    [anon_sym_LBRACE] = ACTIONS(4021),
    [anon_sym_RBRACE] = ACTIONS(4021),
    [anon_sym_signed] = ACTIONS(4019),
    [anon_sym_unsigned] = ACTIONS(4019),
    [anon_sym_long] = ACTIONS(4019),
    [anon_sym_short] = ACTIONS(4019),
    [anon_sym_static] = ACTIONS(4019),
    [anon_sym_ATautoreleasepool] = ACTIONS(4021),
    [anon_sym_auto] = ACTIONS(4019),
    [anon_sym_register] = ACTIONS(4019),
    [anon_sym_inline] = ACTIONS(4019),
    [anon_sym___inline] = ACTIONS(4019),
    [anon_sym___inline__] = ACTIONS(4019),
    [anon_sym___forceinline] = ACTIONS(4019),
    [anon_sym_thread_local] = ACTIONS(4019),
    [anon_sym___thread] = ACTIONS(4019),
    [anon_sym_CG_EXTERN] = ACTIONS(4019),
    [anon_sym_CG_INLINE] = ACTIONS(4019),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4019),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4019),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4019),
    [anon_sym_IBOutlet] = ACTIONS(4019),
    [anon_sym_IBInspectable] = ACTIONS(4019),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4019),
    [anon_sym_NS_INLINE] = ACTIONS(4019),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4019),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4019),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4019),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4019),
    [anon_sym_const] = ACTIONS(4019),
    [anon_sym_constexpr] = ACTIONS(4019),
    [anon_sym_volatile] = ACTIONS(4019),
    [anon_sym_restrict] = ACTIONS(4019),
    [anon_sym___restrict__] = ACTIONS(4019),
    [anon_sym__Atomic] = ACTIONS(4019),
    [anon_sym__Noreturn] = ACTIONS(4019),
    [anon_sym__Nonnull] = ACTIONS(4019),
    [anon_sym_nullable] = ACTIONS(4019),
    [anon_sym__Complex] = ACTIONS(4019),
    [anon_sym__Nullable] = ACTIONS(4019),
    [anon_sym__Nullable_result] = ACTIONS(4019),
    [anon_sym__Null_unspecified] = ACTIONS(4019),
    [anon_sym___autoreleasing] = ACTIONS(4019),
    [anon_sym___block] = ACTIONS(4019),
    [anon_sym___bridge] = ACTIONS(4019),
    [anon_sym___bridge_retained] = ACTIONS(4019),
    [anon_sym___bridge_transfer] = ACTIONS(4019),
    [anon_sym___complex] = ACTIONS(4019),
    [anon_sym___const] = ACTIONS(4019),
    [anon_sym___imag] = ACTIONS(4019),
    [anon_sym___kindof] = ACTIONS(4019),
    [anon_sym___nonnull] = ACTIONS(4019),
    [anon_sym___nullable] = ACTIONS(4019),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4019),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4019),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4019),
    [anon_sym___real] = ACTIONS(4019),
    [anon_sym___strong] = ACTIONS(4019),
    [anon_sym___unsafe_unretained] = ACTIONS(4019),
    [anon_sym___unused] = ACTIONS(4019),
    [anon_sym___weak] = ACTIONS(4019),
    [anon_sym_alignas] = ACTIONS(4019),
    [anon_sym__Alignas] = ACTIONS(4019),
    [sym_primitive_type] = ACTIONS(4019),
    [anon_sym_enum] = ACTIONS(4019),
    [anon_sym_COLON] = ACTIONS(4021),
    [anon_sym_struct] = ACTIONS(4019),
    [anon_sym_union] = ACTIONS(4019),
    [anon_sym_QMARK] = ACTIONS(4021),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4019),
    [anon_sym___typeof] = ACTIONS(4019),
    [anon_sym_typeof] = ACTIONS(4019),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4019),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4019),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4019),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4019),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4019),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4019),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4019),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4019),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4019),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4019),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4019),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4019),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4019),
    [anon_sym_API_AVAILABLE] = ACTIONS(4019),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4019),
    [anon_sym_API_DEPRECATED] = ACTIONS(4019),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4019),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4019),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4019),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4019),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4019),
    [anon_sym___deprecated_msg] = ACTIONS(4019),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4019),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4019),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4019),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4019),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4019),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4019),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4019),
    [anon_sym_BOOL] = ACTIONS(4019),
    [anon_sym_IMP] = ACTIONS(4019),
    [anon_sym_SEL] = ACTIONS(4019),
    [anon_sym_Class] = ACTIONS(4019),
    [anon_sym_id] = ACTIONS(4019),
  },
  [1636] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4040),
    [anon_sym_COMMA] = ACTIONS(4040),
    [anon_sym_RPAREN] = ACTIONS(4040),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4040),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4040),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4038),
    [anon_sym_PLUS] = ACTIONS(4038),
    [anon_sym_STAR] = ACTIONS(4040),
    [anon_sym_SLASH] = ACTIONS(4038),
    [anon_sym_PERCENT] = ACTIONS(4040),
    [anon_sym_PIPE_PIPE] = ACTIONS(4040),
    [anon_sym_AMP_AMP] = ACTIONS(4040),
    [anon_sym_PIPE] = ACTIONS(4038),
    [anon_sym_CARET] = ACTIONS(4040),
    [anon_sym_AMP] = ACTIONS(4038),
    [anon_sym_EQ_EQ] = ACTIONS(4040),
    [anon_sym_BANG_EQ] = ACTIONS(4040),
    [anon_sym_GT] = ACTIONS(4038),
    [anon_sym_GT_EQ] = ACTIONS(4040),
    [anon_sym_LT_EQ] = ACTIONS(4040),
    [anon_sym_LT] = ACTIONS(4038),
    [anon_sym_LT_LT] = ACTIONS(4040),
    [anon_sym_GT_GT] = ACTIONS(4040),
    [anon_sym_SEMI] = ACTIONS(4040),
    [anon_sym___extension__] = ACTIONS(4038),
    [anon_sym_extern] = ACTIONS(4038),
    [anon_sym___attribute__] = ACTIONS(4038),
    [anon_sym___attribute] = ACTIONS(4038),
    [anon_sym_noreturn] = ACTIONS(4038),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_RBRACK] = ACTIONS(4040),
    [anon_sym___declspec] = ACTIONS(4038),
    [anon_sym_LBRACE] = ACTIONS(4040),
    [anon_sym_RBRACE] = ACTIONS(4040),
    [anon_sym_signed] = ACTIONS(4038),
    [anon_sym_unsigned] = ACTIONS(4038),
    [anon_sym_long] = ACTIONS(4038),
    [anon_sym_short] = ACTIONS(4038),
    [anon_sym_static] = ACTIONS(4038),
    [anon_sym_ATautoreleasepool] = ACTIONS(4040),
    [anon_sym_auto] = ACTIONS(4038),
    [anon_sym_register] = ACTIONS(4038),
    [anon_sym_inline] = ACTIONS(4038),
    [anon_sym___inline] = ACTIONS(4038),
    [anon_sym___inline__] = ACTIONS(4038),
    [anon_sym___forceinline] = ACTIONS(4038),
    [anon_sym_thread_local] = ACTIONS(4038),
    [anon_sym___thread] = ACTIONS(4038),
    [anon_sym_CG_EXTERN] = ACTIONS(4038),
    [anon_sym_CG_INLINE] = ACTIONS(4038),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4038),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4038),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4038),
    [anon_sym_IBOutlet] = ACTIONS(4038),
    [anon_sym_IBInspectable] = ACTIONS(4038),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4038),
    [anon_sym_NS_INLINE] = ACTIONS(4038),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4038),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4038),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4038),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4038),
    [anon_sym_const] = ACTIONS(4038),
    [anon_sym_constexpr] = ACTIONS(4038),
    [anon_sym_volatile] = ACTIONS(4038),
    [anon_sym_restrict] = ACTIONS(4038),
    [anon_sym___restrict__] = ACTIONS(4038),
    [anon_sym__Atomic] = ACTIONS(4038),
    [anon_sym__Noreturn] = ACTIONS(4038),
    [anon_sym__Nonnull] = ACTIONS(4038),
    [anon_sym_nullable] = ACTIONS(4038),
    [anon_sym__Complex] = ACTIONS(4038),
    [anon_sym__Nullable] = ACTIONS(4038),
    [anon_sym__Nullable_result] = ACTIONS(4038),
    [anon_sym__Null_unspecified] = ACTIONS(4038),
    [anon_sym___autoreleasing] = ACTIONS(4038),
    [anon_sym___block] = ACTIONS(4038),
    [anon_sym___bridge] = ACTIONS(4038),
    [anon_sym___bridge_retained] = ACTIONS(4038),
    [anon_sym___bridge_transfer] = ACTIONS(4038),
    [anon_sym___complex] = ACTIONS(4038),
    [anon_sym___const] = ACTIONS(4038),
    [anon_sym___imag] = ACTIONS(4038),
    [anon_sym___kindof] = ACTIONS(4038),
    [anon_sym___nonnull] = ACTIONS(4038),
    [anon_sym___nullable] = ACTIONS(4038),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4038),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4038),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4038),
    [anon_sym___real] = ACTIONS(4038),
    [anon_sym___strong] = ACTIONS(4038),
    [anon_sym___unsafe_unretained] = ACTIONS(4038),
    [anon_sym___unused] = ACTIONS(4038),
    [anon_sym___weak] = ACTIONS(4038),
    [anon_sym_alignas] = ACTIONS(4038),
    [anon_sym__Alignas] = ACTIONS(4038),
    [sym_primitive_type] = ACTIONS(4038),
    [anon_sym_enum] = ACTIONS(4038),
    [anon_sym_COLON] = ACTIONS(4040),
    [anon_sym_struct] = ACTIONS(4038),
    [anon_sym_union] = ACTIONS(4038),
    [anon_sym_QMARK] = ACTIONS(4040),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4038),
    [anon_sym___typeof] = ACTIONS(4038),
    [anon_sym_typeof] = ACTIONS(4038),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4038),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4038),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4038),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4038),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4038),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4038),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4038),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4038),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4038),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4038),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4038),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4038),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4038),
    [anon_sym_API_AVAILABLE] = ACTIONS(4038),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4038),
    [anon_sym_API_DEPRECATED] = ACTIONS(4038),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4038),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4038),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4038),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4038),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4038),
    [anon_sym___deprecated_msg] = ACTIONS(4038),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4038),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4038),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4038),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4038),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4038),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4038),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4038),
    [anon_sym_BOOL] = ACTIONS(4038),
    [anon_sym_IMP] = ACTIONS(4038),
    [anon_sym_SEL] = ACTIONS(4038),
    [anon_sym_Class] = ACTIONS(4038),
    [anon_sym_id] = ACTIONS(4038),
  },
  [1637] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_RPAREN] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4034),
    [anon_sym_PLUS] = ACTIONS(4034),
    [anon_sym_STAR] = ACTIONS(4036),
    [anon_sym_SLASH] = ACTIONS(4034),
    [anon_sym_PERCENT] = ACTIONS(4036),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4036),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(4034),
    [anon_sym_GT_EQ] = ACTIONS(4036),
    [anon_sym_LT_EQ] = ACTIONS(4036),
    [anon_sym_LT] = ACTIONS(4034),
    [anon_sym_LT_LT] = ACTIONS(4036),
    [anon_sym_GT_GT] = ACTIONS(4036),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym_RBRACK] = ACTIONS(4036),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_LBRACE] = ACTIONS(4036),
    [anon_sym_RBRACE] = ACTIONS(4036),
    [anon_sym_signed] = ACTIONS(4034),
    [anon_sym_unsigned] = ACTIONS(4034),
    [anon_sym_long] = ACTIONS(4034),
    [anon_sym_short] = ACTIONS(4034),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_ATautoreleasepool] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [sym_primitive_type] = ACTIONS(4034),
    [anon_sym_enum] = ACTIONS(4034),
    [anon_sym_COLON] = ACTIONS(4036),
    [anon_sym_struct] = ACTIONS(4034),
    [anon_sym_union] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4034),
    [anon_sym___typeof] = ACTIONS(4034),
    [anon_sym_typeof] = ACTIONS(4034),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
    [anon_sym_BOOL] = ACTIONS(4034),
    [anon_sym_IMP] = ACTIONS(4034),
    [anon_sym_SEL] = ACTIONS(4034),
    [anon_sym_Class] = ACTIONS(4034),
    [anon_sym_id] = ACTIONS(4034),
  },
  [1638] = {
    [sym_identifier] = ACTIONS(4124),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4126),
    [anon_sym_COMMA] = ACTIONS(4126),
    [anon_sym_RPAREN] = ACTIONS(4126),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4126),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4126),
    [anon_sym_LPAREN2] = ACTIONS(4126),
    [anon_sym_DASH] = ACTIONS(4124),
    [anon_sym_PLUS] = ACTIONS(4124),
    [anon_sym_STAR] = ACTIONS(4126),
    [anon_sym_SLASH] = ACTIONS(4124),
    [anon_sym_PERCENT] = ACTIONS(4126),
    [anon_sym_PIPE_PIPE] = ACTIONS(4126),
    [anon_sym_AMP_AMP] = ACTIONS(4126),
    [anon_sym_PIPE] = ACTIONS(4124),
    [anon_sym_CARET] = ACTIONS(4126),
    [anon_sym_AMP] = ACTIONS(4124),
    [anon_sym_EQ_EQ] = ACTIONS(4126),
    [anon_sym_BANG_EQ] = ACTIONS(4126),
    [anon_sym_GT] = ACTIONS(4124),
    [anon_sym_GT_EQ] = ACTIONS(4126),
    [anon_sym_LT_EQ] = ACTIONS(4126),
    [anon_sym_LT] = ACTIONS(4124),
    [anon_sym_LT_LT] = ACTIONS(4126),
    [anon_sym_GT_GT] = ACTIONS(4126),
    [anon_sym_SEMI] = ACTIONS(4126),
    [anon_sym___extension__] = ACTIONS(4124),
    [anon_sym_extern] = ACTIONS(4124),
    [anon_sym___attribute__] = ACTIONS(4124),
    [anon_sym___attribute] = ACTIONS(4124),
    [anon_sym_noreturn] = ACTIONS(4124),
    [anon_sym_LBRACK] = ACTIONS(4126),
    [anon_sym_RBRACK] = ACTIONS(4126),
    [anon_sym___declspec] = ACTIONS(4124),
    [anon_sym_LBRACE] = ACTIONS(4126),
    [anon_sym_RBRACE] = ACTIONS(4126),
    [anon_sym_signed] = ACTIONS(4124),
    [anon_sym_unsigned] = ACTIONS(4124),
    [anon_sym_long] = ACTIONS(4124),
    [anon_sym_short] = ACTIONS(4124),
    [anon_sym_static] = ACTIONS(4124),
    [anon_sym_ATautoreleasepool] = ACTIONS(4126),
    [anon_sym_auto] = ACTIONS(4124),
    [anon_sym_register] = ACTIONS(4124),
    [anon_sym_inline] = ACTIONS(4124),
    [anon_sym___inline] = ACTIONS(4124),
    [anon_sym___inline__] = ACTIONS(4124),
    [anon_sym___forceinline] = ACTIONS(4124),
    [anon_sym_thread_local] = ACTIONS(4124),
    [anon_sym___thread] = ACTIONS(4124),
    [anon_sym_CG_EXTERN] = ACTIONS(4124),
    [anon_sym_CG_INLINE] = ACTIONS(4124),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4124),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4124),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4124),
    [anon_sym_IBOutlet] = ACTIONS(4124),
    [anon_sym_IBInspectable] = ACTIONS(4124),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4124),
    [anon_sym_NS_INLINE] = ACTIONS(4124),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4124),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4124),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4124),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4124),
    [anon_sym_const] = ACTIONS(4124),
    [anon_sym_constexpr] = ACTIONS(4124),
    [anon_sym_volatile] = ACTIONS(4124),
    [anon_sym_restrict] = ACTIONS(4124),
    [anon_sym___restrict__] = ACTIONS(4124),
    [anon_sym__Atomic] = ACTIONS(4124),
    [anon_sym__Noreturn] = ACTIONS(4124),
    [anon_sym__Nonnull] = ACTIONS(4124),
    [anon_sym_nullable] = ACTIONS(4124),
    [anon_sym__Complex] = ACTIONS(4124),
    [anon_sym__Nullable] = ACTIONS(4124),
    [anon_sym__Nullable_result] = ACTIONS(4124),
    [anon_sym__Null_unspecified] = ACTIONS(4124),
    [anon_sym___autoreleasing] = ACTIONS(4124),
    [anon_sym___block] = ACTIONS(4124),
    [anon_sym___bridge] = ACTIONS(4124),
    [anon_sym___bridge_retained] = ACTIONS(4124),
    [anon_sym___bridge_transfer] = ACTIONS(4124),
    [anon_sym___complex] = ACTIONS(4124),
    [anon_sym___const] = ACTIONS(4124),
    [anon_sym___imag] = ACTIONS(4124),
    [anon_sym___kindof] = ACTIONS(4124),
    [anon_sym___nonnull] = ACTIONS(4124),
    [anon_sym___nullable] = ACTIONS(4124),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4124),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4124),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4124),
    [anon_sym___real] = ACTIONS(4124),
    [anon_sym___strong] = ACTIONS(4124),
    [anon_sym___unsafe_unretained] = ACTIONS(4124),
    [anon_sym___unused] = ACTIONS(4124),
    [anon_sym___weak] = ACTIONS(4124),
    [anon_sym_alignas] = ACTIONS(4124),
    [anon_sym__Alignas] = ACTIONS(4124),
    [sym_primitive_type] = ACTIONS(4124),
    [anon_sym_enum] = ACTIONS(4124),
    [anon_sym_COLON] = ACTIONS(4126),
    [anon_sym_struct] = ACTIONS(4124),
    [anon_sym_union] = ACTIONS(4124),
    [anon_sym_QMARK] = ACTIONS(4126),
    [anon_sym_DASH_DASH] = ACTIONS(4126),
    [anon_sym_PLUS_PLUS] = ACTIONS(4126),
    [anon_sym_DOT] = ACTIONS(4124),
    [anon_sym_DASH_GT] = ACTIONS(4126),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4124),
    [anon_sym___typeof] = ACTIONS(4124),
    [anon_sym_typeof] = ACTIONS(4124),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4124),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4124),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4124),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4124),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4124),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4124),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4124),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4124),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4124),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4124),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4124),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4124),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4124),
    [anon_sym_API_AVAILABLE] = ACTIONS(4124),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4124),
    [anon_sym_API_DEPRECATED] = ACTIONS(4124),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4124),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4124),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4124),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4124),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4124),
    [anon_sym___deprecated_msg] = ACTIONS(4124),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4124),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4124),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4124),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4124),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4124),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4124),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4124),
    [anon_sym_BOOL] = ACTIONS(4124),
    [anon_sym_IMP] = ACTIONS(4124),
    [anon_sym_SEL] = ACTIONS(4124),
    [anon_sym_Class] = ACTIONS(4124),
    [anon_sym_id] = ACTIONS(4124),
  },
  [1639] = {
    [sym_identifier] = ACTIONS(4196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4198),
    [anon_sym_COMMA] = ACTIONS(4198),
    [anon_sym_RPAREN] = ACTIONS(4198),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4198),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4198),
    [anon_sym_LPAREN2] = ACTIONS(4198),
    [anon_sym_DASH] = ACTIONS(4196),
    [anon_sym_PLUS] = ACTIONS(4196),
    [anon_sym_STAR] = ACTIONS(4198),
    [anon_sym_SLASH] = ACTIONS(4196),
    [anon_sym_PERCENT] = ACTIONS(4198),
    [anon_sym_PIPE_PIPE] = ACTIONS(4198),
    [anon_sym_AMP_AMP] = ACTIONS(4198),
    [anon_sym_PIPE] = ACTIONS(4196),
    [anon_sym_CARET] = ACTIONS(4198),
    [anon_sym_AMP] = ACTIONS(4196),
    [anon_sym_EQ_EQ] = ACTIONS(4198),
    [anon_sym_BANG_EQ] = ACTIONS(4198),
    [anon_sym_GT] = ACTIONS(4196),
    [anon_sym_GT_EQ] = ACTIONS(4198),
    [anon_sym_LT_EQ] = ACTIONS(4198),
    [anon_sym_LT] = ACTIONS(4196),
    [anon_sym_LT_LT] = ACTIONS(4198),
    [anon_sym_GT_GT] = ACTIONS(4198),
    [anon_sym_SEMI] = ACTIONS(4198),
    [anon_sym___extension__] = ACTIONS(4196),
    [anon_sym_extern] = ACTIONS(4196),
    [anon_sym___attribute__] = ACTIONS(4196),
    [anon_sym___attribute] = ACTIONS(4196),
    [anon_sym_noreturn] = ACTIONS(4196),
    [anon_sym_LBRACK] = ACTIONS(4198),
    [anon_sym_RBRACK] = ACTIONS(4198),
    [anon_sym___declspec] = ACTIONS(4196),
    [anon_sym_LBRACE] = ACTIONS(4198),
    [anon_sym_RBRACE] = ACTIONS(4198),
    [anon_sym_signed] = ACTIONS(4196),
    [anon_sym_unsigned] = ACTIONS(4196),
    [anon_sym_long] = ACTIONS(4196),
    [anon_sym_short] = ACTIONS(4196),
    [anon_sym_static] = ACTIONS(4196),
    [anon_sym_ATautoreleasepool] = ACTIONS(4198),
    [anon_sym_auto] = ACTIONS(4196),
    [anon_sym_register] = ACTIONS(4196),
    [anon_sym_inline] = ACTIONS(4196),
    [anon_sym___inline] = ACTIONS(4196),
    [anon_sym___inline__] = ACTIONS(4196),
    [anon_sym___forceinline] = ACTIONS(4196),
    [anon_sym_thread_local] = ACTIONS(4196),
    [anon_sym___thread] = ACTIONS(4196),
    [anon_sym_CG_EXTERN] = ACTIONS(4196),
    [anon_sym_CG_INLINE] = ACTIONS(4196),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4196),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4196),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4196),
    [anon_sym_IBOutlet] = ACTIONS(4196),
    [anon_sym_IBInspectable] = ACTIONS(4196),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4196),
    [anon_sym_NS_INLINE] = ACTIONS(4196),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4196),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4196),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4196),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4196),
    [anon_sym_const] = ACTIONS(4196),
    [anon_sym_constexpr] = ACTIONS(4196),
    [anon_sym_volatile] = ACTIONS(4196),
    [anon_sym_restrict] = ACTIONS(4196),
    [anon_sym___restrict__] = ACTIONS(4196),
    [anon_sym__Atomic] = ACTIONS(4196),
    [anon_sym__Noreturn] = ACTIONS(4196),
    [anon_sym__Nonnull] = ACTIONS(4196),
    [anon_sym_nullable] = ACTIONS(4196),
    [anon_sym__Complex] = ACTIONS(4196),
    [anon_sym__Nullable] = ACTIONS(4196),
    [anon_sym__Nullable_result] = ACTIONS(4196),
    [anon_sym__Null_unspecified] = ACTIONS(4196),
    [anon_sym___autoreleasing] = ACTIONS(4196),
    [anon_sym___block] = ACTIONS(4196),
    [anon_sym___bridge] = ACTIONS(4196),
    [anon_sym___bridge_retained] = ACTIONS(4196),
    [anon_sym___bridge_transfer] = ACTIONS(4196),
    [anon_sym___complex] = ACTIONS(4196),
    [anon_sym___const] = ACTIONS(4196),
    [anon_sym___imag] = ACTIONS(4196),
    [anon_sym___kindof] = ACTIONS(4196),
    [anon_sym___nonnull] = ACTIONS(4196),
    [anon_sym___nullable] = ACTIONS(4196),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4196),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4196),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4196),
    [anon_sym___real] = ACTIONS(4196),
    [anon_sym___strong] = ACTIONS(4196),
    [anon_sym___unsafe_unretained] = ACTIONS(4196),
    [anon_sym___unused] = ACTIONS(4196),
    [anon_sym___weak] = ACTIONS(4196),
    [anon_sym_alignas] = ACTIONS(4196),
    [anon_sym__Alignas] = ACTIONS(4196),
    [sym_primitive_type] = ACTIONS(4196),
    [anon_sym_enum] = ACTIONS(4196),
    [anon_sym_COLON] = ACTIONS(4198),
    [anon_sym_struct] = ACTIONS(4196),
    [anon_sym_union] = ACTIONS(4196),
    [anon_sym_QMARK] = ACTIONS(4198),
    [anon_sym_DASH_DASH] = ACTIONS(4198),
    [anon_sym_PLUS_PLUS] = ACTIONS(4198),
    [anon_sym_DOT] = ACTIONS(4196),
    [anon_sym_DASH_GT] = ACTIONS(4198),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4196),
    [anon_sym___typeof] = ACTIONS(4196),
    [anon_sym_typeof] = ACTIONS(4196),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4196),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4196),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4196),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4196),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4196),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4196),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4196),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4196),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4196),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4196),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4196),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4196),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4196),
    [anon_sym_API_AVAILABLE] = ACTIONS(4196),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4196),
    [anon_sym_API_DEPRECATED] = ACTIONS(4196),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4196),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4196),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4196),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4196),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4196),
    [anon_sym___deprecated_msg] = ACTIONS(4196),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4196),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4196),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4196),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4196),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4196),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4196),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4196),
    [anon_sym_BOOL] = ACTIONS(4196),
    [anon_sym_IMP] = ACTIONS(4196),
    [anon_sym_SEL] = ACTIONS(4196),
    [anon_sym_Class] = ACTIONS(4196),
    [anon_sym_id] = ACTIONS(4196),
  },
  [1640] = {
    [sym_identifier] = ACTIONS(4240),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4242),
    [anon_sym_COMMA] = ACTIONS(4242),
    [anon_sym_RPAREN] = ACTIONS(4242),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4242),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4242),
    [anon_sym_LPAREN2] = ACTIONS(4242),
    [anon_sym_DASH] = ACTIONS(4240),
    [anon_sym_PLUS] = ACTIONS(4240),
    [anon_sym_STAR] = ACTIONS(4242),
    [anon_sym_SLASH] = ACTIONS(4240),
    [anon_sym_PERCENT] = ACTIONS(4242),
    [anon_sym_PIPE_PIPE] = ACTIONS(4242),
    [anon_sym_AMP_AMP] = ACTIONS(4242),
    [anon_sym_PIPE] = ACTIONS(4240),
    [anon_sym_CARET] = ACTIONS(4242),
    [anon_sym_AMP] = ACTIONS(4240),
    [anon_sym_EQ_EQ] = ACTIONS(4242),
    [anon_sym_BANG_EQ] = ACTIONS(4242),
    [anon_sym_GT] = ACTIONS(4240),
    [anon_sym_GT_EQ] = ACTIONS(4242),
    [anon_sym_LT_EQ] = ACTIONS(4242),
    [anon_sym_LT] = ACTIONS(4240),
    [anon_sym_LT_LT] = ACTIONS(4242),
    [anon_sym_GT_GT] = ACTIONS(4242),
    [anon_sym_SEMI] = ACTIONS(4242),
    [anon_sym___extension__] = ACTIONS(4240),
    [anon_sym_extern] = ACTIONS(4240),
    [anon_sym___attribute__] = ACTIONS(4240),
    [anon_sym___attribute] = ACTIONS(4240),
    [anon_sym_noreturn] = ACTIONS(4240),
    [anon_sym_LBRACK] = ACTIONS(4242),
    [anon_sym_RBRACK] = ACTIONS(4242),
    [anon_sym___declspec] = ACTIONS(4240),
    [anon_sym_LBRACE] = ACTIONS(4242),
    [anon_sym_RBRACE] = ACTIONS(4242),
    [anon_sym_signed] = ACTIONS(4240),
    [anon_sym_unsigned] = ACTIONS(4240),
    [anon_sym_long] = ACTIONS(4240),
    [anon_sym_short] = ACTIONS(4240),
    [anon_sym_static] = ACTIONS(4240),
    [anon_sym_ATautoreleasepool] = ACTIONS(4242),
    [anon_sym_auto] = ACTIONS(4240),
    [anon_sym_register] = ACTIONS(4240),
    [anon_sym_inline] = ACTIONS(4240),
    [anon_sym___inline] = ACTIONS(4240),
    [anon_sym___inline__] = ACTIONS(4240),
    [anon_sym___forceinline] = ACTIONS(4240),
    [anon_sym_thread_local] = ACTIONS(4240),
    [anon_sym___thread] = ACTIONS(4240),
    [anon_sym_CG_EXTERN] = ACTIONS(4240),
    [anon_sym_CG_INLINE] = ACTIONS(4240),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4240),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4240),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4240),
    [anon_sym_IBOutlet] = ACTIONS(4240),
    [anon_sym_IBInspectable] = ACTIONS(4240),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4240),
    [anon_sym_NS_INLINE] = ACTIONS(4240),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4240),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4240),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4240),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4240),
    [anon_sym_const] = ACTIONS(4240),
    [anon_sym_constexpr] = ACTIONS(4240),
    [anon_sym_volatile] = ACTIONS(4240),
    [anon_sym_restrict] = ACTIONS(4240),
    [anon_sym___restrict__] = ACTIONS(4240),
    [anon_sym__Atomic] = ACTIONS(4240),
    [anon_sym__Noreturn] = ACTIONS(4240),
    [anon_sym__Nonnull] = ACTIONS(4240),
    [anon_sym_nullable] = ACTIONS(4240),
    [anon_sym__Complex] = ACTIONS(4240),
    [anon_sym__Nullable] = ACTIONS(4240),
    [anon_sym__Nullable_result] = ACTIONS(4240),
    [anon_sym__Null_unspecified] = ACTIONS(4240),
    [anon_sym___autoreleasing] = ACTIONS(4240),
    [anon_sym___block] = ACTIONS(4240),
    [anon_sym___bridge] = ACTIONS(4240),
    [anon_sym___bridge_retained] = ACTIONS(4240),
    [anon_sym___bridge_transfer] = ACTIONS(4240),
    [anon_sym___complex] = ACTIONS(4240),
    [anon_sym___const] = ACTIONS(4240),
    [anon_sym___imag] = ACTIONS(4240),
    [anon_sym___kindof] = ACTIONS(4240),
    [anon_sym___nonnull] = ACTIONS(4240),
    [anon_sym___nullable] = ACTIONS(4240),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4240),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4240),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4240),
    [anon_sym___real] = ACTIONS(4240),
    [anon_sym___strong] = ACTIONS(4240),
    [anon_sym___unsafe_unretained] = ACTIONS(4240),
    [anon_sym___unused] = ACTIONS(4240),
    [anon_sym___weak] = ACTIONS(4240),
    [anon_sym_alignas] = ACTIONS(4240),
    [anon_sym__Alignas] = ACTIONS(4240),
    [sym_primitive_type] = ACTIONS(4240),
    [anon_sym_enum] = ACTIONS(4240),
    [anon_sym_COLON] = ACTIONS(4242),
    [anon_sym_struct] = ACTIONS(4240),
    [anon_sym_union] = ACTIONS(4240),
    [anon_sym_QMARK] = ACTIONS(4242),
    [anon_sym_DASH_DASH] = ACTIONS(4242),
    [anon_sym_PLUS_PLUS] = ACTIONS(4242),
    [anon_sym_DOT] = ACTIONS(4240),
    [anon_sym_DASH_GT] = ACTIONS(4242),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4240),
    [anon_sym___typeof] = ACTIONS(4240),
    [anon_sym_typeof] = ACTIONS(4240),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4240),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4240),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4240),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4240),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4240),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4240),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4240),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4240),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4240),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4240),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4240),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4240),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4240),
    [anon_sym_API_AVAILABLE] = ACTIONS(4240),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4240),
    [anon_sym_API_DEPRECATED] = ACTIONS(4240),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4240),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4240),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4240),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4240),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4240),
    [anon_sym___deprecated_msg] = ACTIONS(4240),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4240),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4240),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4240),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4240),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4240),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4240),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4240),
    [anon_sym_BOOL] = ACTIONS(4240),
    [anon_sym_IMP] = ACTIONS(4240),
    [anon_sym_SEL] = ACTIONS(4240),
    [anon_sym_Class] = ACTIONS(4240),
    [anon_sym_id] = ACTIONS(4240),
  },
  [1641] = {
    [sym_identifier] = ACTIONS(4164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4166),
    [anon_sym_COMMA] = ACTIONS(4166),
    [anon_sym_RPAREN] = ACTIONS(4166),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4166),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4166),
    [anon_sym_LPAREN2] = ACTIONS(4166),
    [anon_sym_DASH] = ACTIONS(4164),
    [anon_sym_PLUS] = ACTIONS(4164),
    [anon_sym_STAR] = ACTIONS(4166),
    [anon_sym_SLASH] = ACTIONS(4164),
    [anon_sym_PERCENT] = ACTIONS(4166),
    [anon_sym_PIPE_PIPE] = ACTIONS(4166),
    [anon_sym_AMP_AMP] = ACTIONS(4166),
    [anon_sym_PIPE] = ACTIONS(4164),
    [anon_sym_CARET] = ACTIONS(4166),
    [anon_sym_AMP] = ACTIONS(4164),
    [anon_sym_EQ_EQ] = ACTIONS(4166),
    [anon_sym_BANG_EQ] = ACTIONS(4166),
    [anon_sym_GT] = ACTIONS(4164),
    [anon_sym_GT_EQ] = ACTIONS(4166),
    [anon_sym_LT_EQ] = ACTIONS(4166),
    [anon_sym_LT] = ACTIONS(4164),
    [anon_sym_LT_LT] = ACTIONS(4166),
    [anon_sym_GT_GT] = ACTIONS(4166),
    [anon_sym_SEMI] = ACTIONS(4166),
    [anon_sym___extension__] = ACTIONS(4164),
    [anon_sym_extern] = ACTIONS(4164),
    [anon_sym___attribute__] = ACTIONS(4164),
    [anon_sym___attribute] = ACTIONS(4164),
    [anon_sym_noreturn] = ACTIONS(4164),
    [anon_sym_LBRACK] = ACTIONS(4166),
    [anon_sym_RBRACK] = ACTIONS(4166),
    [anon_sym___declspec] = ACTIONS(4164),
    [anon_sym_LBRACE] = ACTIONS(4166),
    [anon_sym_RBRACE] = ACTIONS(4166),
    [anon_sym_signed] = ACTIONS(4164),
    [anon_sym_unsigned] = ACTIONS(4164),
    [anon_sym_long] = ACTIONS(4164),
    [anon_sym_short] = ACTIONS(4164),
    [anon_sym_static] = ACTIONS(4164),
    [anon_sym_ATautoreleasepool] = ACTIONS(4166),
    [anon_sym_auto] = ACTIONS(4164),
    [anon_sym_register] = ACTIONS(4164),
    [anon_sym_inline] = ACTIONS(4164),
    [anon_sym___inline] = ACTIONS(4164),
    [anon_sym___inline__] = ACTIONS(4164),
    [anon_sym___forceinline] = ACTIONS(4164),
    [anon_sym_thread_local] = ACTIONS(4164),
    [anon_sym___thread] = ACTIONS(4164),
    [anon_sym_CG_EXTERN] = ACTIONS(4164),
    [anon_sym_CG_INLINE] = ACTIONS(4164),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4164),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4164),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4164),
    [anon_sym_IBOutlet] = ACTIONS(4164),
    [anon_sym_IBInspectable] = ACTIONS(4164),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4164),
    [anon_sym_NS_INLINE] = ACTIONS(4164),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4164),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4164),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4164),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4164),
    [anon_sym_const] = ACTIONS(4164),
    [anon_sym_constexpr] = ACTIONS(4164),
    [anon_sym_volatile] = ACTIONS(4164),
    [anon_sym_restrict] = ACTIONS(4164),
    [anon_sym___restrict__] = ACTIONS(4164),
    [anon_sym__Atomic] = ACTIONS(4164),
    [anon_sym__Noreturn] = ACTIONS(4164),
    [anon_sym__Nonnull] = ACTIONS(4164),
    [anon_sym_nullable] = ACTIONS(4164),
    [anon_sym__Complex] = ACTIONS(4164),
    [anon_sym__Nullable] = ACTIONS(4164),
    [anon_sym__Nullable_result] = ACTIONS(4164),
    [anon_sym__Null_unspecified] = ACTIONS(4164),
    [anon_sym___autoreleasing] = ACTIONS(4164),
    [anon_sym___block] = ACTIONS(4164),
    [anon_sym___bridge] = ACTIONS(4164),
    [anon_sym___bridge_retained] = ACTIONS(4164),
    [anon_sym___bridge_transfer] = ACTIONS(4164),
    [anon_sym___complex] = ACTIONS(4164),
    [anon_sym___const] = ACTIONS(4164),
    [anon_sym___imag] = ACTIONS(4164),
    [anon_sym___kindof] = ACTIONS(4164),
    [anon_sym___nonnull] = ACTIONS(4164),
    [anon_sym___nullable] = ACTIONS(4164),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4164),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4164),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4164),
    [anon_sym___real] = ACTIONS(4164),
    [anon_sym___strong] = ACTIONS(4164),
    [anon_sym___unsafe_unretained] = ACTIONS(4164),
    [anon_sym___unused] = ACTIONS(4164),
    [anon_sym___weak] = ACTIONS(4164),
    [anon_sym_alignas] = ACTIONS(4164),
    [anon_sym__Alignas] = ACTIONS(4164),
    [sym_primitive_type] = ACTIONS(4164),
    [anon_sym_enum] = ACTIONS(4164),
    [anon_sym_COLON] = ACTIONS(4166),
    [anon_sym_struct] = ACTIONS(4164),
    [anon_sym_union] = ACTIONS(4164),
    [anon_sym_QMARK] = ACTIONS(4166),
    [anon_sym_DASH_DASH] = ACTIONS(4166),
    [anon_sym_PLUS_PLUS] = ACTIONS(4166),
    [anon_sym_DOT] = ACTIONS(4164),
    [anon_sym_DASH_GT] = ACTIONS(4166),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4164),
    [anon_sym___typeof] = ACTIONS(4164),
    [anon_sym_typeof] = ACTIONS(4164),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4164),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4164),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4164),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4164),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4164),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4164),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4164),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4164),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4164),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4164),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4164),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4164),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4164),
    [anon_sym_API_AVAILABLE] = ACTIONS(4164),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4164),
    [anon_sym_API_DEPRECATED] = ACTIONS(4164),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4164),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4164),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4164),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4164),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4164),
    [anon_sym___deprecated_msg] = ACTIONS(4164),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4164),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4164),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4164),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4164),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4164),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4164),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4164),
    [anon_sym_BOOL] = ACTIONS(4164),
    [anon_sym_IMP] = ACTIONS(4164),
    [anon_sym_SEL] = ACTIONS(4164),
    [anon_sym_Class] = ACTIONS(4164),
    [anon_sym_id] = ACTIONS(4164),
  },
  [1642] = {
    [sym_identifier] = ACTIONS(4172),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4174),
    [anon_sym_COMMA] = ACTIONS(4174),
    [anon_sym_RPAREN] = ACTIONS(4174),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4174),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4174),
    [anon_sym_LPAREN2] = ACTIONS(4174),
    [anon_sym_DASH] = ACTIONS(4172),
    [anon_sym_PLUS] = ACTIONS(4172),
    [anon_sym_STAR] = ACTIONS(4174),
    [anon_sym_SLASH] = ACTIONS(4172),
    [anon_sym_PERCENT] = ACTIONS(4174),
    [anon_sym_PIPE_PIPE] = ACTIONS(4174),
    [anon_sym_AMP_AMP] = ACTIONS(4174),
    [anon_sym_PIPE] = ACTIONS(4172),
    [anon_sym_CARET] = ACTIONS(4174),
    [anon_sym_AMP] = ACTIONS(4172),
    [anon_sym_EQ_EQ] = ACTIONS(4174),
    [anon_sym_BANG_EQ] = ACTIONS(4174),
    [anon_sym_GT] = ACTIONS(4172),
    [anon_sym_GT_EQ] = ACTIONS(4174),
    [anon_sym_LT_EQ] = ACTIONS(4174),
    [anon_sym_LT] = ACTIONS(4172),
    [anon_sym_LT_LT] = ACTIONS(4174),
    [anon_sym_GT_GT] = ACTIONS(4174),
    [anon_sym_SEMI] = ACTIONS(4174),
    [anon_sym___extension__] = ACTIONS(4172),
    [anon_sym_extern] = ACTIONS(4172),
    [anon_sym___attribute__] = ACTIONS(4172),
    [anon_sym___attribute] = ACTIONS(4172),
    [anon_sym_noreturn] = ACTIONS(4172),
    [anon_sym_LBRACK] = ACTIONS(4174),
    [anon_sym_RBRACK] = ACTIONS(4174),
    [anon_sym___declspec] = ACTIONS(4172),
    [anon_sym_LBRACE] = ACTIONS(4174),
    [anon_sym_RBRACE] = ACTIONS(4174),
    [anon_sym_signed] = ACTIONS(4172),
    [anon_sym_unsigned] = ACTIONS(4172),
    [anon_sym_long] = ACTIONS(4172),
    [anon_sym_short] = ACTIONS(4172),
    [anon_sym_static] = ACTIONS(4172),
    [anon_sym_ATautoreleasepool] = ACTIONS(4174),
    [anon_sym_auto] = ACTIONS(4172),
    [anon_sym_register] = ACTIONS(4172),
    [anon_sym_inline] = ACTIONS(4172),
    [anon_sym___inline] = ACTIONS(4172),
    [anon_sym___inline__] = ACTIONS(4172),
    [anon_sym___forceinline] = ACTIONS(4172),
    [anon_sym_thread_local] = ACTIONS(4172),
    [anon_sym___thread] = ACTIONS(4172),
    [anon_sym_CG_EXTERN] = ACTIONS(4172),
    [anon_sym_CG_INLINE] = ACTIONS(4172),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4172),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4172),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4172),
    [anon_sym_IBOutlet] = ACTIONS(4172),
    [anon_sym_IBInspectable] = ACTIONS(4172),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4172),
    [anon_sym_NS_INLINE] = ACTIONS(4172),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4172),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4172),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4172),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4172),
    [anon_sym_const] = ACTIONS(4172),
    [anon_sym_constexpr] = ACTIONS(4172),
    [anon_sym_volatile] = ACTIONS(4172),
    [anon_sym_restrict] = ACTIONS(4172),
    [anon_sym___restrict__] = ACTIONS(4172),
    [anon_sym__Atomic] = ACTIONS(4172),
    [anon_sym__Noreturn] = ACTIONS(4172),
    [anon_sym__Nonnull] = ACTIONS(4172),
    [anon_sym_nullable] = ACTIONS(4172),
    [anon_sym__Complex] = ACTIONS(4172),
    [anon_sym__Nullable] = ACTIONS(4172),
    [anon_sym__Nullable_result] = ACTIONS(4172),
    [anon_sym__Null_unspecified] = ACTIONS(4172),
    [anon_sym___autoreleasing] = ACTIONS(4172),
    [anon_sym___block] = ACTIONS(4172),
    [anon_sym___bridge] = ACTIONS(4172),
    [anon_sym___bridge_retained] = ACTIONS(4172),
    [anon_sym___bridge_transfer] = ACTIONS(4172),
    [anon_sym___complex] = ACTIONS(4172),
    [anon_sym___const] = ACTIONS(4172),
    [anon_sym___imag] = ACTIONS(4172),
    [anon_sym___kindof] = ACTIONS(4172),
    [anon_sym___nonnull] = ACTIONS(4172),
    [anon_sym___nullable] = ACTIONS(4172),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4172),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4172),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4172),
    [anon_sym___real] = ACTIONS(4172),
    [anon_sym___strong] = ACTIONS(4172),
    [anon_sym___unsafe_unretained] = ACTIONS(4172),
    [anon_sym___unused] = ACTIONS(4172),
    [anon_sym___weak] = ACTIONS(4172),
    [anon_sym_alignas] = ACTIONS(4172),
    [anon_sym__Alignas] = ACTIONS(4172),
    [sym_primitive_type] = ACTIONS(4172),
    [anon_sym_enum] = ACTIONS(4172),
    [anon_sym_COLON] = ACTIONS(4174),
    [anon_sym_struct] = ACTIONS(4172),
    [anon_sym_union] = ACTIONS(4172),
    [anon_sym_QMARK] = ACTIONS(4174),
    [anon_sym_DASH_DASH] = ACTIONS(4174),
    [anon_sym_PLUS_PLUS] = ACTIONS(4174),
    [anon_sym_DOT] = ACTIONS(4172),
    [anon_sym_DASH_GT] = ACTIONS(4174),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4172),
    [anon_sym___typeof] = ACTIONS(4172),
    [anon_sym_typeof] = ACTIONS(4172),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4172),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4172),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4172),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4172),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4172),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4172),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4172),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4172),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4172),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4172),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4172),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4172),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4172),
    [anon_sym_API_AVAILABLE] = ACTIONS(4172),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4172),
    [anon_sym_API_DEPRECATED] = ACTIONS(4172),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4172),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4172),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4172),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4172),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4172),
    [anon_sym___deprecated_msg] = ACTIONS(4172),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4172),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4172),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4172),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4172),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4172),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4172),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4172),
    [anon_sym_BOOL] = ACTIONS(4172),
    [anon_sym_IMP] = ACTIONS(4172),
    [anon_sym_SEL] = ACTIONS(4172),
    [anon_sym_Class] = ACTIONS(4172),
    [anon_sym_id] = ACTIONS(4172),
  },
  [1643] = {
    [sym_identifier] = ACTIONS(4248),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4250),
    [anon_sym_COMMA] = ACTIONS(4250),
    [anon_sym_RPAREN] = ACTIONS(4250),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4250),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4250),
    [anon_sym_LPAREN2] = ACTIONS(4250),
    [anon_sym_DASH] = ACTIONS(4248),
    [anon_sym_PLUS] = ACTIONS(4248),
    [anon_sym_STAR] = ACTIONS(4250),
    [anon_sym_SLASH] = ACTIONS(4248),
    [anon_sym_PERCENT] = ACTIONS(4250),
    [anon_sym_PIPE_PIPE] = ACTIONS(4250),
    [anon_sym_AMP_AMP] = ACTIONS(4250),
    [anon_sym_PIPE] = ACTIONS(4248),
    [anon_sym_CARET] = ACTIONS(4250),
    [anon_sym_AMP] = ACTIONS(4248),
    [anon_sym_EQ_EQ] = ACTIONS(4250),
    [anon_sym_BANG_EQ] = ACTIONS(4250),
    [anon_sym_GT] = ACTIONS(4248),
    [anon_sym_GT_EQ] = ACTIONS(4250),
    [anon_sym_LT_EQ] = ACTIONS(4250),
    [anon_sym_LT] = ACTIONS(4248),
    [anon_sym_LT_LT] = ACTIONS(4250),
    [anon_sym_GT_GT] = ACTIONS(4250),
    [anon_sym_SEMI] = ACTIONS(4250),
    [anon_sym___extension__] = ACTIONS(4248),
    [anon_sym_extern] = ACTIONS(4248),
    [anon_sym___attribute__] = ACTIONS(4248),
    [anon_sym___attribute] = ACTIONS(4248),
    [anon_sym_noreturn] = ACTIONS(4248),
    [anon_sym_LBRACK] = ACTIONS(4250),
    [anon_sym_RBRACK] = ACTIONS(4250),
    [anon_sym___declspec] = ACTIONS(4248),
    [anon_sym_LBRACE] = ACTIONS(4250),
    [anon_sym_RBRACE] = ACTIONS(4250),
    [anon_sym_signed] = ACTIONS(4248),
    [anon_sym_unsigned] = ACTIONS(4248),
    [anon_sym_long] = ACTIONS(4248),
    [anon_sym_short] = ACTIONS(4248),
    [anon_sym_static] = ACTIONS(4248),
    [anon_sym_ATautoreleasepool] = ACTIONS(4250),
    [anon_sym_auto] = ACTIONS(4248),
    [anon_sym_register] = ACTIONS(4248),
    [anon_sym_inline] = ACTIONS(4248),
    [anon_sym___inline] = ACTIONS(4248),
    [anon_sym___inline__] = ACTIONS(4248),
    [anon_sym___forceinline] = ACTIONS(4248),
    [anon_sym_thread_local] = ACTIONS(4248),
    [anon_sym___thread] = ACTIONS(4248),
    [anon_sym_CG_EXTERN] = ACTIONS(4248),
    [anon_sym_CG_INLINE] = ACTIONS(4248),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4248),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4248),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4248),
    [anon_sym_IBOutlet] = ACTIONS(4248),
    [anon_sym_IBInspectable] = ACTIONS(4248),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4248),
    [anon_sym_NS_INLINE] = ACTIONS(4248),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4248),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4248),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4248),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4248),
    [anon_sym_const] = ACTIONS(4248),
    [anon_sym_constexpr] = ACTIONS(4248),
    [anon_sym_volatile] = ACTIONS(4248),
    [anon_sym_restrict] = ACTIONS(4248),
    [anon_sym___restrict__] = ACTIONS(4248),
    [anon_sym__Atomic] = ACTIONS(4248),
    [anon_sym__Noreturn] = ACTIONS(4248),
    [anon_sym__Nonnull] = ACTIONS(4248),
    [anon_sym_nullable] = ACTIONS(4248),
    [anon_sym__Complex] = ACTIONS(4248),
    [anon_sym__Nullable] = ACTIONS(4248),
    [anon_sym__Nullable_result] = ACTIONS(4248),
    [anon_sym__Null_unspecified] = ACTIONS(4248),
    [anon_sym___autoreleasing] = ACTIONS(4248),
    [anon_sym___block] = ACTIONS(4248),
    [anon_sym___bridge] = ACTIONS(4248),
    [anon_sym___bridge_retained] = ACTIONS(4248),
    [anon_sym___bridge_transfer] = ACTIONS(4248),
    [anon_sym___complex] = ACTIONS(4248),
    [anon_sym___const] = ACTIONS(4248),
    [anon_sym___imag] = ACTIONS(4248),
    [anon_sym___kindof] = ACTIONS(4248),
    [anon_sym___nonnull] = ACTIONS(4248),
    [anon_sym___nullable] = ACTIONS(4248),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4248),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4248),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4248),
    [anon_sym___real] = ACTIONS(4248),
    [anon_sym___strong] = ACTIONS(4248),
    [anon_sym___unsafe_unretained] = ACTIONS(4248),
    [anon_sym___unused] = ACTIONS(4248),
    [anon_sym___weak] = ACTIONS(4248),
    [anon_sym_alignas] = ACTIONS(4248),
    [anon_sym__Alignas] = ACTIONS(4248),
    [sym_primitive_type] = ACTIONS(4248),
    [anon_sym_enum] = ACTIONS(4248),
    [anon_sym_COLON] = ACTIONS(4250),
    [anon_sym_struct] = ACTIONS(4248),
    [anon_sym_union] = ACTIONS(4248),
    [anon_sym_QMARK] = ACTIONS(4250),
    [anon_sym_DASH_DASH] = ACTIONS(4250),
    [anon_sym_PLUS_PLUS] = ACTIONS(4250),
    [anon_sym_DOT] = ACTIONS(4248),
    [anon_sym_DASH_GT] = ACTIONS(4250),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4248),
    [anon_sym___typeof] = ACTIONS(4248),
    [anon_sym_typeof] = ACTIONS(4248),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4248),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4248),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4248),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4248),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4248),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4248),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4248),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4248),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4248),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4248),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4248),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4248),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4248),
    [anon_sym_API_AVAILABLE] = ACTIONS(4248),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4248),
    [anon_sym_API_DEPRECATED] = ACTIONS(4248),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4248),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4248),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4248),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4248),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4248),
    [anon_sym___deprecated_msg] = ACTIONS(4248),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4248),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4248),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4248),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4248),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4248),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4248),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4248),
    [anon_sym_BOOL] = ACTIONS(4248),
    [anon_sym_IMP] = ACTIONS(4248),
    [anon_sym_SEL] = ACTIONS(4248),
    [anon_sym_Class] = ACTIONS(4248),
    [anon_sym_id] = ACTIONS(4248),
  },
  [1644] = {
    [sym_identifier] = ACTIONS(4244),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4246),
    [anon_sym_COMMA] = ACTIONS(4246),
    [anon_sym_LPAREN2] = ACTIONS(4246),
    [anon_sym_DASH] = ACTIONS(4244),
    [anon_sym_PLUS] = ACTIONS(4244),
    [anon_sym_STAR] = ACTIONS(4246),
    [anon_sym_SLASH] = ACTIONS(4244),
    [anon_sym_PERCENT] = ACTIONS(4246),
    [anon_sym_PIPE_PIPE] = ACTIONS(4246),
    [anon_sym_AMP_AMP] = ACTIONS(4246),
    [anon_sym_PIPE] = ACTIONS(4244),
    [anon_sym_CARET] = ACTIONS(4246),
    [anon_sym_AMP] = ACTIONS(4244),
    [anon_sym_EQ_EQ] = ACTIONS(4246),
    [anon_sym_BANG_EQ] = ACTIONS(4246),
    [anon_sym_GT] = ACTIONS(4244),
    [anon_sym_GT_EQ] = ACTIONS(4246),
    [anon_sym_LT_EQ] = ACTIONS(4246),
    [anon_sym_LT] = ACTIONS(4244),
    [anon_sym_LT_LT] = ACTIONS(4246),
    [anon_sym_GT_GT] = ACTIONS(4246),
    [anon_sym_SEMI] = ACTIONS(4246),
    [anon_sym___extension__] = ACTIONS(4244),
    [anon_sym_extern] = ACTIONS(4244),
    [anon_sym___attribute__] = ACTIONS(4244),
    [anon_sym___attribute] = ACTIONS(4244),
    [anon_sym_noreturn] = ACTIONS(4244),
    [anon_sym_LBRACK] = ACTIONS(4246),
    [anon_sym___declspec] = ACTIONS(4244),
    [anon_sym_LBRACE] = ACTIONS(4246),
    [anon_sym_signed] = ACTIONS(4244),
    [anon_sym_unsigned] = ACTIONS(4244),
    [anon_sym_long] = ACTIONS(4244),
    [anon_sym_short] = ACTIONS(4244),
    [anon_sym_static] = ACTIONS(4244),
    [anon_sym_ATautoreleasepool] = ACTIONS(4246),
    [anon_sym_auto] = ACTIONS(4244),
    [anon_sym_register] = ACTIONS(4244),
    [anon_sym_inline] = ACTIONS(4244),
    [anon_sym___inline] = ACTIONS(4244),
    [anon_sym___inline__] = ACTIONS(4244),
    [anon_sym___forceinline] = ACTIONS(4244),
    [anon_sym_thread_local] = ACTIONS(4244),
    [anon_sym___thread] = ACTIONS(4244),
    [anon_sym_CG_EXTERN] = ACTIONS(4244),
    [anon_sym_CG_INLINE] = ACTIONS(4244),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4244),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4244),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4244),
    [anon_sym_IBOutlet] = ACTIONS(4244),
    [anon_sym_IBInspectable] = ACTIONS(4244),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4244),
    [anon_sym_NS_INLINE] = ACTIONS(4244),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4244),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4244),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4244),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4244),
    [anon_sym_const] = ACTIONS(4244),
    [anon_sym_constexpr] = ACTIONS(4244),
    [anon_sym_volatile] = ACTIONS(4244),
    [anon_sym_restrict] = ACTIONS(4244),
    [anon_sym___restrict__] = ACTIONS(4244),
    [anon_sym__Atomic] = ACTIONS(4244),
    [anon_sym__Noreturn] = ACTIONS(4244),
    [anon_sym__Nonnull] = ACTIONS(4244),
    [anon_sym_nullable] = ACTIONS(4244),
    [anon_sym__Complex] = ACTIONS(4244),
    [anon_sym__Nullable] = ACTIONS(4244),
    [anon_sym__Nullable_result] = ACTIONS(4244),
    [anon_sym__Null_unspecified] = ACTIONS(4244),
    [anon_sym___autoreleasing] = ACTIONS(4244),
    [anon_sym___block] = ACTIONS(4244),
    [anon_sym___bridge] = ACTIONS(4244),
    [anon_sym___bridge_retained] = ACTIONS(4244),
    [anon_sym___bridge_transfer] = ACTIONS(4244),
    [anon_sym___complex] = ACTIONS(4244),
    [anon_sym___const] = ACTIONS(4244),
    [anon_sym___imag] = ACTIONS(4244),
    [anon_sym___kindof] = ACTIONS(4244),
    [anon_sym___nonnull] = ACTIONS(4244),
    [anon_sym___nullable] = ACTIONS(4244),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4244),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4244),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4244),
    [anon_sym___real] = ACTIONS(4244),
    [anon_sym___strong] = ACTIONS(4244),
    [anon_sym___unsafe_unretained] = ACTIONS(4244),
    [anon_sym___unused] = ACTIONS(4244),
    [anon_sym___weak] = ACTIONS(4244),
    [anon_sym_alignas] = ACTIONS(4244),
    [anon_sym__Alignas] = ACTIONS(4244),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_enum] = ACTIONS(4244),
    [anon_sym_struct] = ACTIONS(4244),
    [anon_sym_union] = ACTIONS(4244),
    [anon_sym_QMARK] = ACTIONS(4246),
    [anon_sym_DASH_DASH] = ACTIONS(4246),
    [anon_sym_PLUS_PLUS] = ACTIONS(4246),
    [anon_sym_DOT] = ACTIONS(4244),
    [anon_sym_DASH_GT] = ACTIONS(4246),
    [anon_sym_AT] = ACTIONS(4244),
    [anon_sym_DQUOTE] = ACTIONS(4246),
    [anon_sym_L_DQUOTE] = ACTIONS(4246),
    [anon_sym_u_DQUOTE] = ACTIONS(4246),
    [anon_sym_U_DQUOTE] = ACTIONS(4246),
    [anon_sym_u8_DQUOTE] = ACTIONS(4246),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4244),
    [anon_sym___typeof] = ACTIONS(4244),
    [anon_sym_typeof] = ACTIONS(4244),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4244),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4244),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4244),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4244),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4244),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4244),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4244),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4244),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4244),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4244),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4244),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4244),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4244),
    [anon_sym_API_AVAILABLE] = ACTIONS(4244),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4244),
    [anon_sym_API_DEPRECATED] = ACTIONS(4244),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4244),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4244),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4244),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4244),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4244),
    [anon_sym___deprecated_msg] = ACTIONS(4244),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4244),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4244),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4244),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4244),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4244),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4244),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4244),
    [anon_sym_BOOL] = ACTIONS(4244),
    [anon_sym_IMP] = ACTIONS(4244),
    [anon_sym_SEL] = ACTIONS(4244),
    [anon_sym_Class] = ACTIONS(4244),
    [anon_sym_id] = ACTIONS(4244),
  },
  [1645] = {
    [sym_identifier] = ACTIONS(4168),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4170),
    [anon_sym_COMMA] = ACTIONS(4170),
    [anon_sym_RPAREN] = ACTIONS(4170),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4170),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4170),
    [anon_sym_LPAREN2] = ACTIONS(4170),
    [anon_sym_DASH] = ACTIONS(4168),
    [anon_sym_PLUS] = ACTIONS(4168),
    [anon_sym_STAR] = ACTIONS(4170),
    [anon_sym_SLASH] = ACTIONS(4168),
    [anon_sym_PERCENT] = ACTIONS(4170),
    [anon_sym_PIPE_PIPE] = ACTIONS(4170),
    [anon_sym_AMP_AMP] = ACTIONS(4170),
    [anon_sym_PIPE] = ACTIONS(4168),
    [anon_sym_CARET] = ACTIONS(4170),
    [anon_sym_AMP] = ACTIONS(4168),
    [anon_sym_EQ_EQ] = ACTIONS(4170),
    [anon_sym_BANG_EQ] = ACTIONS(4170),
    [anon_sym_GT] = ACTIONS(4168),
    [anon_sym_GT_EQ] = ACTIONS(4170),
    [anon_sym_LT_EQ] = ACTIONS(4170),
    [anon_sym_LT] = ACTIONS(4168),
    [anon_sym_LT_LT] = ACTIONS(4170),
    [anon_sym_GT_GT] = ACTIONS(4170),
    [anon_sym_SEMI] = ACTIONS(4170),
    [anon_sym___extension__] = ACTIONS(4168),
    [anon_sym_extern] = ACTIONS(4168),
    [anon_sym___attribute__] = ACTIONS(4168),
    [anon_sym___attribute] = ACTIONS(4168),
    [anon_sym_noreturn] = ACTIONS(4168),
    [anon_sym_LBRACK] = ACTIONS(4170),
    [anon_sym_RBRACK] = ACTIONS(4170),
    [anon_sym___declspec] = ACTIONS(4168),
    [anon_sym_LBRACE] = ACTIONS(4170),
    [anon_sym_RBRACE] = ACTIONS(4170),
    [anon_sym_signed] = ACTIONS(4168),
    [anon_sym_unsigned] = ACTIONS(4168),
    [anon_sym_long] = ACTIONS(4168),
    [anon_sym_short] = ACTIONS(4168),
    [anon_sym_static] = ACTIONS(4168),
    [anon_sym_ATautoreleasepool] = ACTIONS(4170),
    [anon_sym_auto] = ACTIONS(4168),
    [anon_sym_register] = ACTIONS(4168),
    [anon_sym_inline] = ACTIONS(4168),
    [anon_sym___inline] = ACTIONS(4168),
    [anon_sym___inline__] = ACTIONS(4168),
    [anon_sym___forceinline] = ACTIONS(4168),
    [anon_sym_thread_local] = ACTIONS(4168),
    [anon_sym___thread] = ACTIONS(4168),
    [anon_sym_CG_EXTERN] = ACTIONS(4168),
    [anon_sym_CG_INLINE] = ACTIONS(4168),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4168),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4168),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4168),
    [anon_sym_IBOutlet] = ACTIONS(4168),
    [anon_sym_IBInspectable] = ACTIONS(4168),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4168),
    [anon_sym_NS_INLINE] = ACTIONS(4168),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4168),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4168),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4168),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4168),
    [anon_sym_const] = ACTIONS(4168),
    [anon_sym_constexpr] = ACTIONS(4168),
    [anon_sym_volatile] = ACTIONS(4168),
    [anon_sym_restrict] = ACTIONS(4168),
    [anon_sym___restrict__] = ACTIONS(4168),
    [anon_sym__Atomic] = ACTIONS(4168),
    [anon_sym__Noreturn] = ACTIONS(4168),
    [anon_sym__Nonnull] = ACTIONS(4168),
    [anon_sym_nullable] = ACTIONS(4168),
    [anon_sym__Complex] = ACTIONS(4168),
    [anon_sym__Nullable] = ACTIONS(4168),
    [anon_sym__Nullable_result] = ACTIONS(4168),
    [anon_sym__Null_unspecified] = ACTIONS(4168),
    [anon_sym___autoreleasing] = ACTIONS(4168),
    [anon_sym___block] = ACTIONS(4168),
    [anon_sym___bridge] = ACTIONS(4168),
    [anon_sym___bridge_retained] = ACTIONS(4168),
    [anon_sym___bridge_transfer] = ACTIONS(4168),
    [anon_sym___complex] = ACTIONS(4168),
    [anon_sym___const] = ACTIONS(4168),
    [anon_sym___imag] = ACTIONS(4168),
    [anon_sym___kindof] = ACTIONS(4168),
    [anon_sym___nonnull] = ACTIONS(4168),
    [anon_sym___nullable] = ACTIONS(4168),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4168),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4168),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4168),
    [anon_sym___real] = ACTIONS(4168),
    [anon_sym___strong] = ACTIONS(4168),
    [anon_sym___unsafe_unretained] = ACTIONS(4168),
    [anon_sym___unused] = ACTIONS(4168),
    [anon_sym___weak] = ACTIONS(4168),
    [anon_sym_alignas] = ACTIONS(4168),
    [anon_sym__Alignas] = ACTIONS(4168),
    [sym_primitive_type] = ACTIONS(4168),
    [anon_sym_enum] = ACTIONS(4168),
    [anon_sym_COLON] = ACTIONS(4170),
    [anon_sym_struct] = ACTIONS(4168),
    [anon_sym_union] = ACTIONS(4168),
    [anon_sym_QMARK] = ACTIONS(4170),
    [anon_sym_DASH_DASH] = ACTIONS(4170),
    [anon_sym_PLUS_PLUS] = ACTIONS(4170),
    [anon_sym_DOT] = ACTIONS(4168),
    [anon_sym_DASH_GT] = ACTIONS(4170),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4168),
    [anon_sym___typeof] = ACTIONS(4168),
    [anon_sym_typeof] = ACTIONS(4168),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4168),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4168),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4168),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4168),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4168),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4168),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4168),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4168),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4168),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4168),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4168),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4168),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4168),
    [anon_sym_API_AVAILABLE] = ACTIONS(4168),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4168),
    [anon_sym_API_DEPRECATED] = ACTIONS(4168),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4168),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4168),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4168),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4168),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4168),
    [anon_sym___deprecated_msg] = ACTIONS(4168),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4168),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4168),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4168),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4168),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4168),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4168),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4168),
    [anon_sym_BOOL] = ACTIONS(4168),
    [anon_sym_IMP] = ACTIONS(4168),
    [anon_sym_SEL] = ACTIONS(4168),
    [anon_sym_Class] = ACTIONS(4168),
    [anon_sym_id] = ACTIONS(4168),
  },
  [1646] = {
    [sym_identifier] = ACTIONS(4078),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4080),
    [anon_sym_COMMA] = ACTIONS(4080),
    [anon_sym_RPAREN] = ACTIONS(4080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4080),
    [anon_sym_LPAREN2] = ACTIONS(4080),
    [anon_sym_DASH] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(4078),
    [anon_sym_STAR] = ACTIONS(4080),
    [anon_sym_SLASH] = ACTIONS(4078),
    [anon_sym_PERCENT] = ACTIONS(4080),
    [anon_sym_PIPE_PIPE] = ACTIONS(4080),
    [anon_sym_AMP_AMP] = ACTIONS(4080),
    [anon_sym_PIPE] = ACTIONS(4078),
    [anon_sym_CARET] = ACTIONS(4080),
    [anon_sym_AMP] = ACTIONS(4078),
    [anon_sym_EQ_EQ] = ACTIONS(4080),
    [anon_sym_BANG_EQ] = ACTIONS(4080),
    [anon_sym_GT] = ACTIONS(4078),
    [anon_sym_GT_EQ] = ACTIONS(4080),
    [anon_sym_LT_EQ] = ACTIONS(4080),
    [anon_sym_LT] = ACTIONS(4078),
    [anon_sym_LT_LT] = ACTIONS(4080),
    [anon_sym_GT_GT] = ACTIONS(4080),
    [anon_sym_SEMI] = ACTIONS(4080),
    [anon_sym___extension__] = ACTIONS(4078),
    [anon_sym_extern] = ACTIONS(4078),
    [anon_sym___attribute__] = ACTIONS(4078),
    [anon_sym___attribute] = ACTIONS(4078),
    [anon_sym_noreturn] = ACTIONS(4078),
    [anon_sym_LBRACK] = ACTIONS(4080),
    [anon_sym_RBRACK] = ACTIONS(4080),
    [anon_sym___declspec] = ACTIONS(4078),
    [anon_sym_LBRACE] = ACTIONS(4080),
    [anon_sym_RBRACE] = ACTIONS(4080),
    [anon_sym_signed] = ACTIONS(4078),
    [anon_sym_unsigned] = ACTIONS(4078),
    [anon_sym_long] = ACTIONS(4078),
    [anon_sym_short] = ACTIONS(4078),
    [anon_sym_static] = ACTIONS(4078),
    [anon_sym_ATautoreleasepool] = ACTIONS(4080),
    [anon_sym_auto] = ACTIONS(4078),
    [anon_sym_register] = ACTIONS(4078),
    [anon_sym_inline] = ACTIONS(4078),
    [anon_sym___inline] = ACTIONS(4078),
    [anon_sym___inline__] = ACTIONS(4078),
    [anon_sym___forceinline] = ACTIONS(4078),
    [anon_sym_thread_local] = ACTIONS(4078),
    [anon_sym___thread] = ACTIONS(4078),
    [anon_sym_CG_EXTERN] = ACTIONS(4078),
    [anon_sym_CG_INLINE] = ACTIONS(4078),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4078),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4078),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4078),
    [anon_sym_IBOutlet] = ACTIONS(4078),
    [anon_sym_IBInspectable] = ACTIONS(4078),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4078),
    [anon_sym_NS_INLINE] = ACTIONS(4078),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4078),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4078),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4078),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4078),
    [anon_sym_const] = ACTIONS(4078),
    [anon_sym_constexpr] = ACTIONS(4078),
    [anon_sym_volatile] = ACTIONS(4078),
    [anon_sym_restrict] = ACTIONS(4078),
    [anon_sym___restrict__] = ACTIONS(4078),
    [anon_sym__Atomic] = ACTIONS(4078),
    [anon_sym__Noreturn] = ACTIONS(4078),
    [anon_sym__Nonnull] = ACTIONS(4078),
    [anon_sym_nullable] = ACTIONS(4078),
    [anon_sym__Complex] = ACTIONS(4078),
    [anon_sym__Nullable] = ACTIONS(4078),
    [anon_sym__Nullable_result] = ACTIONS(4078),
    [anon_sym__Null_unspecified] = ACTIONS(4078),
    [anon_sym___autoreleasing] = ACTIONS(4078),
    [anon_sym___block] = ACTIONS(4078),
    [anon_sym___bridge] = ACTIONS(4078),
    [anon_sym___bridge_retained] = ACTIONS(4078),
    [anon_sym___bridge_transfer] = ACTIONS(4078),
    [anon_sym___complex] = ACTIONS(4078),
    [anon_sym___const] = ACTIONS(4078),
    [anon_sym___imag] = ACTIONS(4078),
    [anon_sym___kindof] = ACTIONS(4078),
    [anon_sym___nonnull] = ACTIONS(4078),
    [anon_sym___nullable] = ACTIONS(4078),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4078),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4078),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4078),
    [anon_sym___real] = ACTIONS(4078),
    [anon_sym___strong] = ACTIONS(4078),
    [anon_sym___unsafe_unretained] = ACTIONS(4078),
    [anon_sym___unused] = ACTIONS(4078),
    [anon_sym___weak] = ACTIONS(4078),
    [anon_sym_alignas] = ACTIONS(4078),
    [anon_sym__Alignas] = ACTIONS(4078),
    [sym_primitive_type] = ACTIONS(4078),
    [anon_sym_enum] = ACTIONS(4078),
    [anon_sym_COLON] = ACTIONS(4080),
    [anon_sym_struct] = ACTIONS(4078),
    [anon_sym_union] = ACTIONS(4078),
    [anon_sym_QMARK] = ACTIONS(4080),
    [anon_sym_DASH_DASH] = ACTIONS(4080),
    [anon_sym_PLUS_PLUS] = ACTIONS(4080),
    [anon_sym_DOT] = ACTIONS(4078),
    [anon_sym_DASH_GT] = ACTIONS(4080),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4078),
    [anon_sym___typeof] = ACTIONS(4078),
    [anon_sym_typeof] = ACTIONS(4078),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4078),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4078),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4078),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4078),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4078),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4078),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4078),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4078),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4078),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4078),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4078),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4078),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4078),
    [anon_sym_API_AVAILABLE] = ACTIONS(4078),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4078),
    [anon_sym_API_DEPRECATED] = ACTIONS(4078),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4078),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4078),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4078),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4078),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4078),
    [anon_sym___deprecated_msg] = ACTIONS(4078),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4078),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4078),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4078),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4078),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4078),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4078),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4078),
    [anon_sym_BOOL] = ACTIONS(4078),
    [anon_sym_IMP] = ACTIONS(4078),
    [anon_sym_SEL] = ACTIONS(4078),
    [anon_sym_Class] = ACTIONS(4078),
    [anon_sym_id] = ACTIONS(4078),
  },
  [1647] = {
    [sym_identifier] = ACTIONS(4082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4084),
    [anon_sym_COMMA] = ACTIONS(4084),
    [anon_sym_RPAREN] = ACTIONS(4084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4084),
    [anon_sym_LPAREN2] = ACTIONS(4084),
    [anon_sym_DASH] = ACTIONS(4082),
    [anon_sym_PLUS] = ACTIONS(4082),
    [anon_sym_STAR] = ACTIONS(4084),
    [anon_sym_SLASH] = ACTIONS(4082),
    [anon_sym_PERCENT] = ACTIONS(4084),
    [anon_sym_PIPE_PIPE] = ACTIONS(4084),
    [anon_sym_AMP_AMP] = ACTIONS(4084),
    [anon_sym_PIPE] = ACTIONS(4082),
    [anon_sym_CARET] = ACTIONS(4084),
    [anon_sym_AMP] = ACTIONS(4082),
    [anon_sym_EQ_EQ] = ACTIONS(4084),
    [anon_sym_BANG_EQ] = ACTIONS(4084),
    [anon_sym_GT] = ACTIONS(4082),
    [anon_sym_GT_EQ] = ACTIONS(4084),
    [anon_sym_LT_EQ] = ACTIONS(4084),
    [anon_sym_LT] = ACTIONS(4082),
    [anon_sym_LT_LT] = ACTIONS(4084),
    [anon_sym_GT_GT] = ACTIONS(4084),
    [anon_sym_SEMI] = ACTIONS(4084),
    [anon_sym___extension__] = ACTIONS(4082),
    [anon_sym_extern] = ACTIONS(4082),
    [anon_sym___attribute__] = ACTIONS(4082),
    [anon_sym___attribute] = ACTIONS(4082),
    [anon_sym_noreturn] = ACTIONS(4082),
    [anon_sym_LBRACK] = ACTIONS(4084),
    [anon_sym_RBRACK] = ACTIONS(4084),
    [anon_sym___declspec] = ACTIONS(4082),
    [anon_sym_LBRACE] = ACTIONS(4084),
    [anon_sym_RBRACE] = ACTIONS(4084),
    [anon_sym_signed] = ACTIONS(4082),
    [anon_sym_unsigned] = ACTIONS(4082),
    [anon_sym_long] = ACTIONS(4082),
    [anon_sym_short] = ACTIONS(4082),
    [anon_sym_static] = ACTIONS(4082),
    [anon_sym_ATautoreleasepool] = ACTIONS(4084),
    [anon_sym_auto] = ACTIONS(4082),
    [anon_sym_register] = ACTIONS(4082),
    [anon_sym_inline] = ACTIONS(4082),
    [anon_sym___inline] = ACTIONS(4082),
    [anon_sym___inline__] = ACTIONS(4082),
    [anon_sym___forceinline] = ACTIONS(4082),
    [anon_sym_thread_local] = ACTIONS(4082),
    [anon_sym___thread] = ACTIONS(4082),
    [anon_sym_CG_EXTERN] = ACTIONS(4082),
    [anon_sym_CG_INLINE] = ACTIONS(4082),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4082),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4082),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4082),
    [anon_sym_IBOutlet] = ACTIONS(4082),
    [anon_sym_IBInspectable] = ACTIONS(4082),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4082),
    [anon_sym_NS_INLINE] = ACTIONS(4082),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4082),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4082),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4082),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4082),
    [anon_sym_const] = ACTIONS(4082),
    [anon_sym_constexpr] = ACTIONS(4082),
    [anon_sym_volatile] = ACTIONS(4082),
    [anon_sym_restrict] = ACTIONS(4082),
    [anon_sym___restrict__] = ACTIONS(4082),
    [anon_sym__Atomic] = ACTIONS(4082),
    [anon_sym__Noreturn] = ACTIONS(4082),
    [anon_sym__Nonnull] = ACTIONS(4082),
    [anon_sym_nullable] = ACTIONS(4082),
    [anon_sym__Complex] = ACTIONS(4082),
    [anon_sym__Nullable] = ACTIONS(4082),
    [anon_sym__Nullable_result] = ACTIONS(4082),
    [anon_sym__Null_unspecified] = ACTIONS(4082),
    [anon_sym___autoreleasing] = ACTIONS(4082),
    [anon_sym___block] = ACTIONS(4082),
    [anon_sym___bridge] = ACTIONS(4082),
    [anon_sym___bridge_retained] = ACTIONS(4082),
    [anon_sym___bridge_transfer] = ACTIONS(4082),
    [anon_sym___complex] = ACTIONS(4082),
    [anon_sym___const] = ACTIONS(4082),
    [anon_sym___imag] = ACTIONS(4082),
    [anon_sym___kindof] = ACTIONS(4082),
    [anon_sym___nonnull] = ACTIONS(4082),
    [anon_sym___nullable] = ACTIONS(4082),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4082),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4082),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4082),
    [anon_sym___real] = ACTIONS(4082),
    [anon_sym___strong] = ACTIONS(4082),
    [anon_sym___unsafe_unretained] = ACTIONS(4082),
    [anon_sym___unused] = ACTIONS(4082),
    [anon_sym___weak] = ACTIONS(4082),
    [anon_sym_alignas] = ACTIONS(4082),
    [anon_sym__Alignas] = ACTIONS(4082),
    [sym_primitive_type] = ACTIONS(4082),
    [anon_sym_enum] = ACTIONS(4082),
    [anon_sym_COLON] = ACTIONS(4084),
    [anon_sym_struct] = ACTIONS(4082),
    [anon_sym_union] = ACTIONS(4082),
    [anon_sym_QMARK] = ACTIONS(4084),
    [anon_sym_DASH_DASH] = ACTIONS(4084),
    [anon_sym_PLUS_PLUS] = ACTIONS(4084),
    [anon_sym_DOT] = ACTIONS(4082),
    [anon_sym_DASH_GT] = ACTIONS(4084),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4082),
    [anon_sym___typeof] = ACTIONS(4082),
    [anon_sym_typeof] = ACTIONS(4082),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4082),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4082),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4082),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4082),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4082),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4082),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4082),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4082),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4082),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4082),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4082),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4082),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4082),
    [anon_sym_API_AVAILABLE] = ACTIONS(4082),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4082),
    [anon_sym_API_DEPRECATED] = ACTIONS(4082),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4082),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4082),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4082),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4082),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4082),
    [anon_sym___deprecated_msg] = ACTIONS(4082),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4082),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4082),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4082),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4082),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4082),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4082),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4082),
    [anon_sym_BOOL] = ACTIONS(4082),
    [anon_sym_IMP] = ACTIONS(4082),
    [anon_sym_SEL] = ACTIONS(4082),
    [anon_sym_Class] = ACTIONS(4082),
    [anon_sym_id] = ACTIONS(4082),
  },
  [1648] = {
    [sym_identifier] = ACTIONS(4050),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4052),
    [anon_sym_COMMA] = ACTIONS(4052),
    [anon_sym_RPAREN] = ACTIONS(4052),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4052),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4052),
    [anon_sym_LPAREN2] = ACTIONS(4052),
    [anon_sym_DASH] = ACTIONS(4050),
    [anon_sym_PLUS] = ACTIONS(4050),
    [anon_sym_STAR] = ACTIONS(4052),
    [anon_sym_SLASH] = ACTIONS(4050),
    [anon_sym_PERCENT] = ACTIONS(4052),
    [anon_sym_PIPE_PIPE] = ACTIONS(4052),
    [anon_sym_AMP_AMP] = ACTIONS(4052),
    [anon_sym_PIPE] = ACTIONS(4050),
    [anon_sym_CARET] = ACTIONS(4052),
    [anon_sym_AMP] = ACTIONS(4050),
    [anon_sym_EQ_EQ] = ACTIONS(4052),
    [anon_sym_BANG_EQ] = ACTIONS(4052),
    [anon_sym_GT] = ACTIONS(4050),
    [anon_sym_GT_EQ] = ACTIONS(4052),
    [anon_sym_LT_EQ] = ACTIONS(4052),
    [anon_sym_LT] = ACTIONS(4050),
    [anon_sym_LT_LT] = ACTIONS(4052),
    [anon_sym_GT_GT] = ACTIONS(4052),
    [anon_sym_SEMI] = ACTIONS(4052),
    [anon_sym___extension__] = ACTIONS(4050),
    [anon_sym_extern] = ACTIONS(4050),
    [anon_sym___attribute__] = ACTIONS(4050),
    [anon_sym___attribute] = ACTIONS(4050),
    [anon_sym_noreturn] = ACTIONS(4050),
    [anon_sym_LBRACK] = ACTIONS(4052),
    [anon_sym_RBRACK] = ACTIONS(4052),
    [anon_sym___declspec] = ACTIONS(4050),
    [anon_sym_LBRACE] = ACTIONS(4052),
    [anon_sym_RBRACE] = ACTIONS(4052),
    [anon_sym_signed] = ACTIONS(4050),
    [anon_sym_unsigned] = ACTIONS(4050),
    [anon_sym_long] = ACTIONS(4050),
    [anon_sym_short] = ACTIONS(4050),
    [anon_sym_static] = ACTIONS(4050),
    [anon_sym_ATautoreleasepool] = ACTIONS(4052),
    [anon_sym_auto] = ACTIONS(4050),
    [anon_sym_register] = ACTIONS(4050),
    [anon_sym_inline] = ACTIONS(4050),
    [anon_sym___inline] = ACTIONS(4050),
    [anon_sym___inline__] = ACTIONS(4050),
    [anon_sym___forceinline] = ACTIONS(4050),
    [anon_sym_thread_local] = ACTIONS(4050),
    [anon_sym___thread] = ACTIONS(4050),
    [anon_sym_CG_EXTERN] = ACTIONS(4050),
    [anon_sym_CG_INLINE] = ACTIONS(4050),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4050),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4050),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4050),
    [anon_sym_IBOutlet] = ACTIONS(4050),
    [anon_sym_IBInspectable] = ACTIONS(4050),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4050),
    [anon_sym_NS_INLINE] = ACTIONS(4050),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4050),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4050),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4050),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4050),
    [anon_sym_const] = ACTIONS(4050),
    [anon_sym_constexpr] = ACTIONS(4050),
    [anon_sym_volatile] = ACTIONS(4050),
    [anon_sym_restrict] = ACTIONS(4050),
    [anon_sym___restrict__] = ACTIONS(4050),
    [anon_sym__Atomic] = ACTIONS(4050),
    [anon_sym__Noreturn] = ACTIONS(4050),
    [anon_sym__Nonnull] = ACTIONS(4050),
    [anon_sym_nullable] = ACTIONS(4050),
    [anon_sym__Complex] = ACTIONS(4050),
    [anon_sym__Nullable] = ACTIONS(4050),
    [anon_sym__Nullable_result] = ACTIONS(4050),
    [anon_sym__Null_unspecified] = ACTIONS(4050),
    [anon_sym___autoreleasing] = ACTIONS(4050),
    [anon_sym___block] = ACTIONS(4050),
    [anon_sym___bridge] = ACTIONS(4050),
    [anon_sym___bridge_retained] = ACTIONS(4050),
    [anon_sym___bridge_transfer] = ACTIONS(4050),
    [anon_sym___complex] = ACTIONS(4050),
    [anon_sym___const] = ACTIONS(4050),
    [anon_sym___imag] = ACTIONS(4050),
    [anon_sym___kindof] = ACTIONS(4050),
    [anon_sym___nonnull] = ACTIONS(4050),
    [anon_sym___nullable] = ACTIONS(4050),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4050),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4050),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4050),
    [anon_sym___real] = ACTIONS(4050),
    [anon_sym___strong] = ACTIONS(4050),
    [anon_sym___unsafe_unretained] = ACTIONS(4050),
    [anon_sym___unused] = ACTIONS(4050),
    [anon_sym___weak] = ACTIONS(4050),
    [anon_sym_alignas] = ACTIONS(4050),
    [anon_sym__Alignas] = ACTIONS(4050),
    [sym_primitive_type] = ACTIONS(4050),
    [anon_sym_enum] = ACTIONS(4050),
    [anon_sym_COLON] = ACTIONS(4052),
    [anon_sym_struct] = ACTIONS(4050),
    [anon_sym_union] = ACTIONS(4050),
    [anon_sym_QMARK] = ACTIONS(4052),
    [anon_sym_DASH_DASH] = ACTIONS(4052),
    [anon_sym_PLUS_PLUS] = ACTIONS(4052),
    [anon_sym_DOT] = ACTIONS(4050),
    [anon_sym_DASH_GT] = ACTIONS(4052),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4050),
    [anon_sym___typeof] = ACTIONS(4050),
    [anon_sym_typeof] = ACTIONS(4050),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4050),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4050),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4050),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4050),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4050),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4050),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4050),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4050),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4050),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4050),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4050),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4050),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4050),
    [anon_sym_API_AVAILABLE] = ACTIONS(4050),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4050),
    [anon_sym_API_DEPRECATED] = ACTIONS(4050),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4050),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4050),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4050),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4050),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4050),
    [anon_sym___deprecated_msg] = ACTIONS(4050),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4050),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4050),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4050),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4050),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4050),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4050),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4050),
    [anon_sym_BOOL] = ACTIONS(4050),
    [anon_sym_IMP] = ACTIONS(4050),
    [anon_sym_SEL] = ACTIONS(4050),
    [anon_sym_Class] = ACTIONS(4050),
    [anon_sym_id] = ACTIONS(4050),
  },
  [1649] = {
    [sym_identifier] = ACTIONS(4054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4056),
    [anon_sym_COMMA] = ACTIONS(4056),
    [anon_sym_RPAREN] = ACTIONS(4056),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4056),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4056),
    [anon_sym_LPAREN2] = ACTIONS(4056),
    [anon_sym_DASH] = ACTIONS(4054),
    [anon_sym_PLUS] = ACTIONS(4054),
    [anon_sym_STAR] = ACTIONS(4056),
    [anon_sym_SLASH] = ACTIONS(4054),
    [anon_sym_PERCENT] = ACTIONS(4056),
    [anon_sym_PIPE_PIPE] = ACTIONS(4056),
    [anon_sym_AMP_AMP] = ACTIONS(4056),
    [anon_sym_PIPE] = ACTIONS(4054),
    [anon_sym_CARET] = ACTIONS(4056),
    [anon_sym_AMP] = ACTIONS(4054),
    [anon_sym_EQ_EQ] = ACTIONS(4056),
    [anon_sym_BANG_EQ] = ACTIONS(4056),
    [anon_sym_GT] = ACTIONS(4054),
    [anon_sym_GT_EQ] = ACTIONS(4056),
    [anon_sym_LT_EQ] = ACTIONS(4056),
    [anon_sym_LT] = ACTIONS(4054),
    [anon_sym_LT_LT] = ACTIONS(4056),
    [anon_sym_GT_GT] = ACTIONS(4056),
    [anon_sym_SEMI] = ACTIONS(4056),
    [anon_sym___extension__] = ACTIONS(4054),
    [anon_sym_extern] = ACTIONS(4054),
    [anon_sym___attribute__] = ACTIONS(4054),
    [anon_sym___attribute] = ACTIONS(4054),
    [anon_sym_noreturn] = ACTIONS(4054),
    [anon_sym_LBRACK] = ACTIONS(4056),
    [anon_sym_RBRACK] = ACTIONS(4056),
    [anon_sym___declspec] = ACTIONS(4054),
    [anon_sym_LBRACE] = ACTIONS(4056),
    [anon_sym_RBRACE] = ACTIONS(4056),
    [anon_sym_signed] = ACTIONS(4054),
    [anon_sym_unsigned] = ACTIONS(4054),
    [anon_sym_long] = ACTIONS(4054),
    [anon_sym_short] = ACTIONS(4054),
    [anon_sym_static] = ACTIONS(4054),
    [anon_sym_ATautoreleasepool] = ACTIONS(4056),
    [anon_sym_auto] = ACTIONS(4054),
    [anon_sym_register] = ACTIONS(4054),
    [anon_sym_inline] = ACTIONS(4054),
    [anon_sym___inline] = ACTIONS(4054),
    [anon_sym___inline__] = ACTIONS(4054),
    [anon_sym___forceinline] = ACTIONS(4054),
    [anon_sym_thread_local] = ACTIONS(4054),
    [anon_sym___thread] = ACTIONS(4054),
    [anon_sym_CG_EXTERN] = ACTIONS(4054),
    [anon_sym_CG_INLINE] = ACTIONS(4054),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4054),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4054),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4054),
    [anon_sym_IBOutlet] = ACTIONS(4054),
    [anon_sym_IBInspectable] = ACTIONS(4054),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4054),
    [anon_sym_NS_INLINE] = ACTIONS(4054),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4054),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4054),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4054),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4054),
    [anon_sym_const] = ACTIONS(4054),
    [anon_sym_constexpr] = ACTIONS(4054),
    [anon_sym_volatile] = ACTIONS(4054),
    [anon_sym_restrict] = ACTIONS(4054),
    [anon_sym___restrict__] = ACTIONS(4054),
    [anon_sym__Atomic] = ACTIONS(4054),
    [anon_sym__Noreturn] = ACTIONS(4054),
    [anon_sym__Nonnull] = ACTIONS(4054),
    [anon_sym_nullable] = ACTIONS(4054),
    [anon_sym__Complex] = ACTIONS(4054),
    [anon_sym__Nullable] = ACTIONS(4054),
    [anon_sym__Nullable_result] = ACTIONS(4054),
    [anon_sym__Null_unspecified] = ACTIONS(4054),
    [anon_sym___autoreleasing] = ACTIONS(4054),
    [anon_sym___block] = ACTIONS(4054),
    [anon_sym___bridge] = ACTIONS(4054),
    [anon_sym___bridge_retained] = ACTIONS(4054),
    [anon_sym___bridge_transfer] = ACTIONS(4054),
    [anon_sym___complex] = ACTIONS(4054),
    [anon_sym___const] = ACTIONS(4054),
    [anon_sym___imag] = ACTIONS(4054),
    [anon_sym___kindof] = ACTIONS(4054),
    [anon_sym___nonnull] = ACTIONS(4054),
    [anon_sym___nullable] = ACTIONS(4054),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4054),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4054),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4054),
    [anon_sym___real] = ACTIONS(4054),
    [anon_sym___strong] = ACTIONS(4054),
    [anon_sym___unsafe_unretained] = ACTIONS(4054),
    [anon_sym___unused] = ACTIONS(4054),
    [anon_sym___weak] = ACTIONS(4054),
    [anon_sym_alignas] = ACTIONS(4054),
    [anon_sym__Alignas] = ACTIONS(4054),
    [sym_primitive_type] = ACTIONS(4054),
    [anon_sym_enum] = ACTIONS(4054),
    [anon_sym_COLON] = ACTIONS(4056),
    [anon_sym_struct] = ACTIONS(4054),
    [anon_sym_union] = ACTIONS(4054),
    [anon_sym_QMARK] = ACTIONS(4056),
    [anon_sym_DASH_DASH] = ACTIONS(4056),
    [anon_sym_PLUS_PLUS] = ACTIONS(4056),
    [anon_sym_DOT] = ACTIONS(4054),
    [anon_sym_DASH_GT] = ACTIONS(4056),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4054),
    [anon_sym___typeof] = ACTIONS(4054),
    [anon_sym_typeof] = ACTIONS(4054),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4054),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4054),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4054),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4054),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4054),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4054),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4054),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4054),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4054),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4054),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4054),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4054),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4054),
    [anon_sym_API_AVAILABLE] = ACTIONS(4054),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4054),
    [anon_sym_API_DEPRECATED] = ACTIONS(4054),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4054),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4054),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4054),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4054),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4054),
    [anon_sym___deprecated_msg] = ACTIONS(4054),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4054),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4054),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4054),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4054),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4054),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4054),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4054),
    [anon_sym_BOOL] = ACTIONS(4054),
    [anon_sym_IMP] = ACTIONS(4054),
    [anon_sym_SEL] = ACTIONS(4054),
    [anon_sym_Class] = ACTIONS(4054),
    [anon_sym_id] = ACTIONS(4054),
  },
  [1650] = {
    [sym_identifier] = ACTIONS(4156),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4158),
    [anon_sym_COMMA] = ACTIONS(4158),
    [anon_sym_RPAREN] = ACTIONS(4158),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4158),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4158),
    [anon_sym_LPAREN2] = ACTIONS(4158),
    [anon_sym_DASH] = ACTIONS(4156),
    [anon_sym_PLUS] = ACTIONS(4156),
    [anon_sym_STAR] = ACTIONS(4158),
    [anon_sym_SLASH] = ACTIONS(4156),
    [anon_sym_PERCENT] = ACTIONS(4158),
    [anon_sym_PIPE_PIPE] = ACTIONS(4158),
    [anon_sym_AMP_AMP] = ACTIONS(4158),
    [anon_sym_PIPE] = ACTIONS(4156),
    [anon_sym_CARET] = ACTIONS(4158),
    [anon_sym_AMP] = ACTIONS(4156),
    [anon_sym_EQ_EQ] = ACTIONS(4158),
    [anon_sym_BANG_EQ] = ACTIONS(4158),
    [anon_sym_GT] = ACTIONS(4156),
    [anon_sym_GT_EQ] = ACTIONS(4158),
    [anon_sym_LT_EQ] = ACTIONS(4158),
    [anon_sym_LT] = ACTIONS(4156),
    [anon_sym_LT_LT] = ACTIONS(4158),
    [anon_sym_GT_GT] = ACTIONS(4158),
    [anon_sym_SEMI] = ACTIONS(4158),
    [anon_sym___extension__] = ACTIONS(4156),
    [anon_sym_extern] = ACTIONS(4156),
    [anon_sym___attribute__] = ACTIONS(4156),
    [anon_sym___attribute] = ACTIONS(4156),
    [anon_sym_noreturn] = ACTIONS(4156),
    [anon_sym_LBRACK] = ACTIONS(4158),
    [anon_sym_RBRACK] = ACTIONS(4158),
    [anon_sym___declspec] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4158),
    [anon_sym_RBRACE] = ACTIONS(4158),
    [anon_sym_signed] = ACTIONS(4156),
    [anon_sym_unsigned] = ACTIONS(4156),
    [anon_sym_long] = ACTIONS(4156),
    [anon_sym_short] = ACTIONS(4156),
    [anon_sym_static] = ACTIONS(4156),
    [anon_sym_ATautoreleasepool] = ACTIONS(4158),
    [anon_sym_auto] = ACTIONS(4156),
    [anon_sym_register] = ACTIONS(4156),
    [anon_sym_inline] = ACTIONS(4156),
    [anon_sym___inline] = ACTIONS(4156),
    [anon_sym___inline__] = ACTIONS(4156),
    [anon_sym___forceinline] = ACTIONS(4156),
    [anon_sym_thread_local] = ACTIONS(4156),
    [anon_sym___thread] = ACTIONS(4156),
    [anon_sym_CG_EXTERN] = ACTIONS(4156),
    [anon_sym_CG_INLINE] = ACTIONS(4156),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4156),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4156),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4156),
    [anon_sym_IBOutlet] = ACTIONS(4156),
    [anon_sym_IBInspectable] = ACTIONS(4156),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4156),
    [anon_sym_NS_INLINE] = ACTIONS(4156),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4156),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4156),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4156),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4156),
    [anon_sym_const] = ACTIONS(4156),
    [anon_sym_constexpr] = ACTIONS(4156),
    [anon_sym_volatile] = ACTIONS(4156),
    [anon_sym_restrict] = ACTIONS(4156),
    [anon_sym___restrict__] = ACTIONS(4156),
    [anon_sym__Atomic] = ACTIONS(4156),
    [anon_sym__Noreturn] = ACTIONS(4156),
    [anon_sym__Nonnull] = ACTIONS(4156),
    [anon_sym_nullable] = ACTIONS(4156),
    [anon_sym__Complex] = ACTIONS(4156),
    [anon_sym__Nullable] = ACTIONS(4156),
    [anon_sym__Nullable_result] = ACTIONS(4156),
    [anon_sym__Null_unspecified] = ACTIONS(4156),
    [anon_sym___autoreleasing] = ACTIONS(4156),
    [anon_sym___block] = ACTIONS(4156),
    [anon_sym___bridge] = ACTIONS(4156),
    [anon_sym___bridge_retained] = ACTIONS(4156),
    [anon_sym___bridge_transfer] = ACTIONS(4156),
    [anon_sym___complex] = ACTIONS(4156),
    [anon_sym___const] = ACTIONS(4156),
    [anon_sym___imag] = ACTIONS(4156),
    [anon_sym___kindof] = ACTIONS(4156),
    [anon_sym___nonnull] = ACTIONS(4156),
    [anon_sym___nullable] = ACTIONS(4156),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4156),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4156),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4156),
    [anon_sym___real] = ACTIONS(4156),
    [anon_sym___strong] = ACTIONS(4156),
    [anon_sym___unsafe_unretained] = ACTIONS(4156),
    [anon_sym___unused] = ACTIONS(4156),
    [anon_sym___weak] = ACTIONS(4156),
    [anon_sym_alignas] = ACTIONS(4156),
    [anon_sym__Alignas] = ACTIONS(4156),
    [sym_primitive_type] = ACTIONS(4156),
    [anon_sym_enum] = ACTIONS(4156),
    [anon_sym_COLON] = ACTIONS(4158),
    [anon_sym_struct] = ACTIONS(4156),
    [anon_sym_union] = ACTIONS(4156),
    [anon_sym_QMARK] = ACTIONS(4158),
    [anon_sym_DASH_DASH] = ACTIONS(4158),
    [anon_sym_PLUS_PLUS] = ACTIONS(4158),
    [anon_sym_DOT] = ACTIONS(4156),
    [anon_sym_DASH_GT] = ACTIONS(4158),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4156),
    [anon_sym___typeof] = ACTIONS(4156),
    [anon_sym_typeof] = ACTIONS(4156),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4156),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4156),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4156),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4156),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4156),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4156),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4156),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4156),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4156),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4156),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4156),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4156),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4156),
    [anon_sym_API_AVAILABLE] = ACTIONS(4156),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4156),
    [anon_sym_API_DEPRECATED] = ACTIONS(4156),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4156),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4156),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4156),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4156),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4156),
    [anon_sym___deprecated_msg] = ACTIONS(4156),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4156),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4156),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4156),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4156),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4156),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4156),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4156),
    [anon_sym_BOOL] = ACTIONS(4156),
    [anon_sym_IMP] = ACTIONS(4156),
    [anon_sym_SEL] = ACTIONS(4156),
    [anon_sym_Class] = ACTIONS(4156),
    [anon_sym_id] = ACTIONS(4156),
  },
  [1651] = {
    [sym_identifier] = ACTIONS(4184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4186),
    [anon_sym_COMMA] = ACTIONS(4186),
    [anon_sym_RPAREN] = ACTIONS(4186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4186),
    [anon_sym_LPAREN2] = ACTIONS(4186),
    [anon_sym_DASH] = ACTIONS(4184),
    [anon_sym_PLUS] = ACTIONS(4184),
    [anon_sym_STAR] = ACTIONS(4186),
    [anon_sym_SLASH] = ACTIONS(4184),
    [anon_sym_PERCENT] = ACTIONS(4186),
    [anon_sym_PIPE_PIPE] = ACTIONS(4186),
    [anon_sym_AMP_AMP] = ACTIONS(4186),
    [anon_sym_PIPE] = ACTIONS(4184),
    [anon_sym_CARET] = ACTIONS(4186),
    [anon_sym_AMP] = ACTIONS(4184),
    [anon_sym_EQ_EQ] = ACTIONS(4186),
    [anon_sym_BANG_EQ] = ACTIONS(4186),
    [anon_sym_GT] = ACTIONS(4184),
    [anon_sym_GT_EQ] = ACTIONS(4186),
    [anon_sym_LT_EQ] = ACTIONS(4186),
    [anon_sym_LT] = ACTIONS(4184),
    [anon_sym_LT_LT] = ACTIONS(4186),
    [anon_sym_GT_GT] = ACTIONS(4186),
    [anon_sym_SEMI] = ACTIONS(4186),
    [anon_sym___extension__] = ACTIONS(4184),
    [anon_sym_extern] = ACTIONS(4184),
    [anon_sym___attribute__] = ACTIONS(4184),
    [anon_sym___attribute] = ACTIONS(4184),
    [anon_sym_noreturn] = ACTIONS(4184),
    [anon_sym_LBRACK] = ACTIONS(4186),
    [anon_sym_RBRACK] = ACTIONS(4186),
    [anon_sym___declspec] = ACTIONS(4184),
    [anon_sym_LBRACE] = ACTIONS(4186),
    [anon_sym_RBRACE] = ACTIONS(4186),
    [anon_sym_signed] = ACTIONS(4184),
    [anon_sym_unsigned] = ACTIONS(4184),
    [anon_sym_long] = ACTIONS(4184),
    [anon_sym_short] = ACTIONS(4184),
    [anon_sym_static] = ACTIONS(4184),
    [anon_sym_ATautoreleasepool] = ACTIONS(4186),
    [anon_sym_auto] = ACTIONS(4184),
    [anon_sym_register] = ACTIONS(4184),
    [anon_sym_inline] = ACTIONS(4184),
    [anon_sym___inline] = ACTIONS(4184),
    [anon_sym___inline__] = ACTIONS(4184),
    [anon_sym___forceinline] = ACTIONS(4184),
    [anon_sym_thread_local] = ACTIONS(4184),
    [anon_sym___thread] = ACTIONS(4184),
    [anon_sym_CG_EXTERN] = ACTIONS(4184),
    [anon_sym_CG_INLINE] = ACTIONS(4184),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4184),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4184),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4184),
    [anon_sym_IBOutlet] = ACTIONS(4184),
    [anon_sym_IBInspectable] = ACTIONS(4184),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4184),
    [anon_sym_NS_INLINE] = ACTIONS(4184),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4184),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4184),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4184),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4184),
    [anon_sym_const] = ACTIONS(4184),
    [anon_sym_constexpr] = ACTIONS(4184),
    [anon_sym_volatile] = ACTIONS(4184),
    [anon_sym_restrict] = ACTIONS(4184),
    [anon_sym___restrict__] = ACTIONS(4184),
    [anon_sym__Atomic] = ACTIONS(4184),
    [anon_sym__Noreturn] = ACTIONS(4184),
    [anon_sym__Nonnull] = ACTIONS(4184),
    [anon_sym_nullable] = ACTIONS(4184),
    [anon_sym__Complex] = ACTIONS(4184),
    [anon_sym__Nullable] = ACTIONS(4184),
    [anon_sym__Nullable_result] = ACTIONS(4184),
    [anon_sym__Null_unspecified] = ACTIONS(4184),
    [anon_sym___autoreleasing] = ACTIONS(4184),
    [anon_sym___block] = ACTIONS(4184),
    [anon_sym___bridge] = ACTIONS(4184),
    [anon_sym___bridge_retained] = ACTIONS(4184),
    [anon_sym___bridge_transfer] = ACTIONS(4184),
    [anon_sym___complex] = ACTIONS(4184),
    [anon_sym___const] = ACTIONS(4184),
    [anon_sym___imag] = ACTIONS(4184),
    [anon_sym___kindof] = ACTIONS(4184),
    [anon_sym___nonnull] = ACTIONS(4184),
    [anon_sym___nullable] = ACTIONS(4184),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4184),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4184),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4184),
    [anon_sym___real] = ACTIONS(4184),
    [anon_sym___strong] = ACTIONS(4184),
    [anon_sym___unsafe_unretained] = ACTIONS(4184),
    [anon_sym___unused] = ACTIONS(4184),
    [anon_sym___weak] = ACTIONS(4184),
    [anon_sym_alignas] = ACTIONS(4184),
    [anon_sym__Alignas] = ACTIONS(4184),
    [sym_primitive_type] = ACTIONS(4184),
    [anon_sym_enum] = ACTIONS(4184),
    [anon_sym_COLON] = ACTIONS(4186),
    [anon_sym_struct] = ACTIONS(4184),
    [anon_sym_union] = ACTIONS(4184),
    [anon_sym_QMARK] = ACTIONS(4186),
    [anon_sym_DASH_DASH] = ACTIONS(4186),
    [anon_sym_PLUS_PLUS] = ACTIONS(4186),
    [anon_sym_DOT] = ACTIONS(4184),
    [anon_sym_DASH_GT] = ACTIONS(4186),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4184),
    [anon_sym___typeof] = ACTIONS(4184),
    [anon_sym_typeof] = ACTIONS(4184),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4184),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4184),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4184),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4184),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4184),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4184),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4184),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4184),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4184),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4184),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4184),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4184),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4184),
    [anon_sym_API_AVAILABLE] = ACTIONS(4184),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4184),
    [anon_sym_API_DEPRECATED] = ACTIONS(4184),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4184),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4184),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4184),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4184),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4184),
    [anon_sym___deprecated_msg] = ACTIONS(4184),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4184),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4184),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4184),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4184),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4184),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4184),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4184),
    [anon_sym_BOOL] = ACTIONS(4184),
    [anon_sym_IMP] = ACTIONS(4184),
    [anon_sym_SEL] = ACTIONS(4184),
    [anon_sym_Class] = ACTIONS(4184),
    [anon_sym_id] = ACTIONS(4184),
  },
  [1652] = {
    [sym_identifier] = ACTIONS(4086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4089),
    [anon_sym_COMMA] = ACTIONS(4089),
    [anon_sym_LPAREN2] = ACTIONS(4089),
    [anon_sym_DASH] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4086),
    [anon_sym_STAR] = ACTIONS(4089),
    [anon_sym_SLASH] = ACTIONS(4086),
    [anon_sym_PERCENT] = ACTIONS(4089),
    [anon_sym_PIPE_PIPE] = ACTIONS(4089),
    [anon_sym_AMP_AMP] = ACTIONS(4089),
    [anon_sym_PIPE] = ACTIONS(4086),
    [anon_sym_CARET] = ACTIONS(4089),
    [anon_sym_AMP] = ACTIONS(4086),
    [anon_sym_EQ_EQ] = ACTIONS(4089),
    [anon_sym_BANG_EQ] = ACTIONS(4089),
    [anon_sym_GT] = ACTIONS(4086),
    [anon_sym_GT_EQ] = ACTIONS(4089),
    [anon_sym_LT_EQ] = ACTIONS(4089),
    [anon_sym_LT] = ACTIONS(4086),
    [anon_sym_LT_LT] = ACTIONS(4089),
    [anon_sym_GT_GT] = ACTIONS(4089),
    [anon_sym_SEMI] = ACTIONS(4089),
    [anon_sym___extension__] = ACTIONS(4086),
    [anon_sym_extern] = ACTIONS(4086),
    [anon_sym___attribute__] = ACTIONS(4086),
    [anon_sym___attribute] = ACTIONS(4086),
    [anon_sym_noreturn] = ACTIONS(4086),
    [anon_sym_LBRACK] = ACTIONS(4089),
    [anon_sym___declspec] = ACTIONS(4086),
    [anon_sym_LBRACE] = ACTIONS(4089),
    [anon_sym_signed] = ACTIONS(4086),
    [anon_sym_unsigned] = ACTIONS(4086),
    [anon_sym_long] = ACTIONS(4086),
    [anon_sym_short] = ACTIONS(4086),
    [anon_sym_static] = ACTIONS(4086),
    [anon_sym_ATautoreleasepool] = ACTIONS(4089),
    [anon_sym_auto] = ACTIONS(4086),
    [anon_sym_register] = ACTIONS(4086),
    [anon_sym_inline] = ACTIONS(4086),
    [anon_sym___inline] = ACTIONS(4086),
    [anon_sym___inline__] = ACTIONS(4086),
    [anon_sym___forceinline] = ACTIONS(4086),
    [anon_sym_thread_local] = ACTIONS(4086),
    [anon_sym___thread] = ACTIONS(4086),
    [anon_sym_CG_EXTERN] = ACTIONS(4086),
    [anon_sym_CG_INLINE] = ACTIONS(4086),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4086),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4086),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4086),
    [anon_sym_IBOutlet] = ACTIONS(4086),
    [anon_sym_IBInspectable] = ACTIONS(4086),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4086),
    [anon_sym_NS_INLINE] = ACTIONS(4086),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4086),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4086),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4086),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4086),
    [anon_sym_const] = ACTIONS(4086),
    [anon_sym_constexpr] = ACTIONS(4086),
    [anon_sym_volatile] = ACTIONS(4086),
    [anon_sym_restrict] = ACTIONS(4086),
    [anon_sym___restrict__] = ACTIONS(4086),
    [anon_sym__Atomic] = ACTIONS(4086),
    [anon_sym__Noreturn] = ACTIONS(4086),
    [anon_sym__Nonnull] = ACTIONS(4086),
    [anon_sym_nullable] = ACTIONS(4086),
    [anon_sym__Complex] = ACTIONS(4086),
    [anon_sym__Nullable] = ACTIONS(4086),
    [anon_sym__Nullable_result] = ACTIONS(4086),
    [anon_sym__Null_unspecified] = ACTIONS(4086),
    [anon_sym___autoreleasing] = ACTIONS(4086),
    [anon_sym___block] = ACTIONS(4086),
    [anon_sym___bridge] = ACTIONS(4086),
    [anon_sym___bridge_retained] = ACTIONS(4086),
    [anon_sym___bridge_transfer] = ACTIONS(4086),
    [anon_sym___complex] = ACTIONS(4086),
    [anon_sym___const] = ACTIONS(4086),
    [anon_sym___imag] = ACTIONS(4086),
    [anon_sym___kindof] = ACTIONS(4086),
    [anon_sym___nonnull] = ACTIONS(4086),
    [anon_sym___nullable] = ACTIONS(4086),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4086),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4086),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4086),
    [anon_sym___real] = ACTIONS(4086),
    [anon_sym___strong] = ACTIONS(4086),
    [anon_sym___unsafe_unretained] = ACTIONS(4086),
    [anon_sym___unused] = ACTIONS(4086),
    [anon_sym___weak] = ACTIONS(4086),
    [anon_sym_alignas] = ACTIONS(4086),
    [anon_sym__Alignas] = ACTIONS(4086),
    [sym_primitive_type] = ACTIONS(4086),
    [anon_sym_enum] = ACTIONS(4086),
    [anon_sym_struct] = ACTIONS(4086),
    [anon_sym_union] = ACTIONS(4086),
    [anon_sym_QMARK] = ACTIONS(4089),
    [anon_sym_DASH_DASH] = ACTIONS(4089),
    [anon_sym_PLUS_PLUS] = ACTIONS(4089),
    [anon_sym_DOT] = ACTIONS(4086),
    [anon_sym_DASH_GT] = ACTIONS(4089),
    [anon_sym_AT] = ACTIONS(4086),
    [anon_sym_DQUOTE] = ACTIONS(4089),
    [anon_sym_L_DQUOTE] = ACTIONS(4089),
    [anon_sym_u_DQUOTE] = ACTIONS(4089),
    [anon_sym_U_DQUOTE] = ACTIONS(4089),
    [anon_sym_u8_DQUOTE] = ACTIONS(4089),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4086),
    [anon_sym___typeof] = ACTIONS(4086),
    [anon_sym_typeof] = ACTIONS(4086),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4086),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4086),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4086),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4086),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4086),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4086),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4086),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4086),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4086),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4086),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4086),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4086),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4086),
    [anon_sym_API_AVAILABLE] = ACTIONS(4086),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4086),
    [anon_sym_API_DEPRECATED] = ACTIONS(4086),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4086),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4086),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4086),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4086),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4086),
    [anon_sym___deprecated_msg] = ACTIONS(4086),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4086),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4086),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4086),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4086),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4086),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4086),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4086),
    [anon_sym_BOOL] = ACTIONS(4086),
    [anon_sym_IMP] = ACTIONS(4086),
    [anon_sym_SEL] = ACTIONS(4086),
    [anon_sym_Class] = ACTIONS(4086),
    [anon_sym_id] = ACTIONS(4086),
  },
  [1653] = {
    [sym_string_literal] = STATE(1625),
    [sym_identifier] = ACTIONS(4005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_RPAREN] = ACTIONS(4007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4007),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4005),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4005),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4005),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4007),
    [anon_sym___extension__] = ACTIONS(4005),
    [anon_sym_extern] = ACTIONS(4005),
    [anon_sym___attribute__] = ACTIONS(4005),
    [anon_sym___attribute] = ACTIONS(4005),
    [anon_sym_noreturn] = ACTIONS(4005),
    [anon_sym_LBRACK] = ACTIONS(4007),
    [anon_sym_RBRACK] = ACTIONS(4007),
    [anon_sym___declspec] = ACTIONS(4005),
    [anon_sym_RBRACE] = ACTIONS(4007),
    [anon_sym_static] = ACTIONS(4005),
    [anon_sym_EQ] = ACTIONS(4005),
    [anon_sym_auto] = ACTIONS(4005),
    [anon_sym_register] = ACTIONS(4005),
    [anon_sym_inline] = ACTIONS(4005),
    [anon_sym___inline] = ACTIONS(4005),
    [anon_sym___inline__] = ACTIONS(4005),
    [anon_sym___forceinline] = ACTIONS(4005),
    [anon_sym_thread_local] = ACTIONS(4005),
    [anon_sym___thread] = ACTIONS(4005),
    [anon_sym_CG_EXTERN] = ACTIONS(4005),
    [anon_sym_CG_INLINE] = ACTIONS(4005),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4005),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4005),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4005),
    [anon_sym_IBOutlet] = ACTIONS(4005),
    [anon_sym_IBInspectable] = ACTIONS(4005),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4005),
    [anon_sym_NS_INLINE] = ACTIONS(4005),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4005),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4005),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4005),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4005),
    [anon_sym_const] = ACTIONS(4005),
    [anon_sym_constexpr] = ACTIONS(4005),
    [anon_sym_volatile] = ACTIONS(4005),
    [anon_sym_restrict] = ACTIONS(4005),
    [anon_sym___restrict__] = ACTIONS(4005),
    [anon_sym__Atomic] = ACTIONS(4005),
    [anon_sym__Noreturn] = ACTIONS(4005),
    [anon_sym__Nonnull] = ACTIONS(4005),
    [anon_sym_nullable] = ACTIONS(4005),
    [anon_sym__Complex] = ACTIONS(4005),
    [anon_sym__Nullable] = ACTIONS(4005),
    [anon_sym__Nullable_result] = ACTIONS(4005),
    [anon_sym__Null_unspecified] = ACTIONS(4005),
    [anon_sym___autoreleasing] = ACTIONS(4005),
    [anon_sym___block] = ACTIONS(4005),
    [anon_sym___bridge] = ACTIONS(4005),
    [anon_sym___bridge_retained] = ACTIONS(4005),
    [anon_sym___bridge_transfer] = ACTIONS(4005),
    [anon_sym___complex] = ACTIONS(4005),
    [anon_sym___const] = ACTIONS(4005),
    [anon_sym___imag] = ACTIONS(4005),
    [anon_sym___kindof] = ACTIONS(4005),
    [anon_sym___nonnull] = ACTIONS(4005),
    [anon_sym___nullable] = ACTIONS(4005),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4005),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4005),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4005),
    [anon_sym___real] = ACTIONS(4005),
    [anon_sym___strong] = ACTIONS(4005),
    [anon_sym___unsafe_unretained] = ACTIONS(4005),
    [anon_sym___unused] = ACTIONS(4005),
    [anon_sym___weak] = ACTIONS(4005),
    [anon_sym_alignas] = ACTIONS(4005),
    [anon_sym__Alignas] = ACTIONS(4005),
    [anon_sym_COLON] = ACTIONS(4007),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4007),
    [anon_sym_SLASH_EQ] = ACTIONS(4007),
    [anon_sym_PERCENT_EQ] = ACTIONS(4007),
    [anon_sym_PLUS_EQ] = ACTIONS(4007),
    [anon_sym_DASH_EQ] = ACTIONS(4007),
    [anon_sym_LT_LT_EQ] = ACTIONS(4007),
    [anon_sym_GT_GT_EQ] = ACTIONS(4007),
    [anon_sym_AMP_EQ] = ACTIONS(4007),
    [anon_sym_CARET_EQ] = ACTIONS(4007),
    [anon_sym_PIPE_EQ] = ACTIONS(4007),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [anon_sym_AT] = ACTIONS(4628),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4005),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4005),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4005),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4005),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4005),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4005),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4005),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4005),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4005),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_API_AVAILABLE] = ACTIONS(4005),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_API_DEPRECATED] = ACTIONS(4005),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4005),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4005),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4005),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4005),
    [anon_sym___deprecated_msg] = ACTIONS(4005),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4005),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4005),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4005),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4005),
  },
  [1654] = {
    [sym_identifier] = ACTIONS(4224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4226),
    [anon_sym_COMMA] = ACTIONS(4226),
    [anon_sym_RPAREN] = ACTIONS(4226),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4226),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4226),
    [anon_sym_LPAREN2] = ACTIONS(4226),
    [anon_sym_DASH] = ACTIONS(4224),
    [anon_sym_PLUS] = ACTIONS(4224),
    [anon_sym_STAR] = ACTIONS(4226),
    [anon_sym_SLASH] = ACTIONS(4224),
    [anon_sym_PERCENT] = ACTIONS(4226),
    [anon_sym_PIPE_PIPE] = ACTIONS(4226),
    [anon_sym_AMP_AMP] = ACTIONS(4226),
    [anon_sym_PIPE] = ACTIONS(4224),
    [anon_sym_CARET] = ACTIONS(4226),
    [anon_sym_AMP] = ACTIONS(4224),
    [anon_sym_EQ_EQ] = ACTIONS(4226),
    [anon_sym_BANG_EQ] = ACTIONS(4226),
    [anon_sym_GT] = ACTIONS(4224),
    [anon_sym_GT_EQ] = ACTIONS(4226),
    [anon_sym_LT_EQ] = ACTIONS(4226),
    [anon_sym_LT] = ACTIONS(4224),
    [anon_sym_LT_LT] = ACTIONS(4226),
    [anon_sym_GT_GT] = ACTIONS(4226),
    [anon_sym_SEMI] = ACTIONS(4226),
    [anon_sym___extension__] = ACTIONS(4224),
    [anon_sym_extern] = ACTIONS(4224),
    [anon_sym___attribute__] = ACTIONS(4224),
    [anon_sym___attribute] = ACTIONS(4224),
    [anon_sym_noreturn] = ACTIONS(4224),
    [anon_sym_LBRACK] = ACTIONS(4226),
    [anon_sym_RBRACK] = ACTIONS(4226),
    [anon_sym___declspec] = ACTIONS(4224),
    [anon_sym_LBRACE] = ACTIONS(4226),
    [anon_sym_RBRACE] = ACTIONS(4226),
    [anon_sym_signed] = ACTIONS(4224),
    [anon_sym_unsigned] = ACTIONS(4224),
    [anon_sym_long] = ACTIONS(4224),
    [anon_sym_short] = ACTIONS(4224),
    [anon_sym_static] = ACTIONS(4224),
    [anon_sym_ATautoreleasepool] = ACTIONS(4226),
    [anon_sym_auto] = ACTIONS(4224),
    [anon_sym_register] = ACTIONS(4224),
    [anon_sym_inline] = ACTIONS(4224),
    [anon_sym___inline] = ACTIONS(4224),
    [anon_sym___inline__] = ACTIONS(4224),
    [anon_sym___forceinline] = ACTIONS(4224),
    [anon_sym_thread_local] = ACTIONS(4224),
    [anon_sym___thread] = ACTIONS(4224),
    [anon_sym_CG_EXTERN] = ACTIONS(4224),
    [anon_sym_CG_INLINE] = ACTIONS(4224),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4224),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4224),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4224),
    [anon_sym_IBOutlet] = ACTIONS(4224),
    [anon_sym_IBInspectable] = ACTIONS(4224),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4224),
    [anon_sym_NS_INLINE] = ACTIONS(4224),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4224),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4224),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4224),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4224),
    [anon_sym_const] = ACTIONS(4224),
    [anon_sym_constexpr] = ACTIONS(4224),
    [anon_sym_volatile] = ACTIONS(4224),
    [anon_sym_restrict] = ACTIONS(4224),
    [anon_sym___restrict__] = ACTIONS(4224),
    [anon_sym__Atomic] = ACTIONS(4224),
    [anon_sym__Noreturn] = ACTIONS(4224),
    [anon_sym__Nonnull] = ACTIONS(4224),
    [anon_sym_nullable] = ACTIONS(4224),
    [anon_sym__Complex] = ACTIONS(4224),
    [anon_sym__Nullable] = ACTIONS(4224),
    [anon_sym__Nullable_result] = ACTIONS(4224),
    [anon_sym__Null_unspecified] = ACTIONS(4224),
    [anon_sym___autoreleasing] = ACTIONS(4224),
    [anon_sym___block] = ACTIONS(4224),
    [anon_sym___bridge] = ACTIONS(4224),
    [anon_sym___bridge_retained] = ACTIONS(4224),
    [anon_sym___bridge_transfer] = ACTIONS(4224),
    [anon_sym___complex] = ACTIONS(4224),
    [anon_sym___const] = ACTIONS(4224),
    [anon_sym___imag] = ACTIONS(4224),
    [anon_sym___kindof] = ACTIONS(4224),
    [anon_sym___nonnull] = ACTIONS(4224),
    [anon_sym___nullable] = ACTIONS(4224),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4224),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4224),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4224),
    [anon_sym___real] = ACTIONS(4224),
    [anon_sym___strong] = ACTIONS(4224),
    [anon_sym___unsafe_unretained] = ACTIONS(4224),
    [anon_sym___unused] = ACTIONS(4224),
    [anon_sym___weak] = ACTIONS(4224),
    [anon_sym_alignas] = ACTIONS(4224),
    [anon_sym__Alignas] = ACTIONS(4224),
    [sym_primitive_type] = ACTIONS(4224),
    [anon_sym_enum] = ACTIONS(4224),
    [anon_sym_COLON] = ACTIONS(4226),
    [anon_sym_struct] = ACTIONS(4224),
    [anon_sym_union] = ACTIONS(4224),
    [anon_sym_QMARK] = ACTIONS(4226),
    [anon_sym_DASH_DASH] = ACTIONS(4226),
    [anon_sym_PLUS_PLUS] = ACTIONS(4226),
    [anon_sym_DOT] = ACTIONS(4224),
    [anon_sym_DASH_GT] = ACTIONS(4226),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4224),
    [anon_sym___typeof] = ACTIONS(4224),
    [anon_sym_typeof] = ACTIONS(4224),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4224),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4224),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4224),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4224),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4224),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4224),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4224),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4224),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4224),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4224),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4224),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4224),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4224),
    [anon_sym_API_AVAILABLE] = ACTIONS(4224),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4224),
    [anon_sym_API_DEPRECATED] = ACTIONS(4224),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4224),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4224),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4224),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4224),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4224),
    [anon_sym___deprecated_msg] = ACTIONS(4224),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4224),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4224),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4224),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4224),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4224),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4224),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4224),
    [anon_sym_BOOL] = ACTIONS(4224),
    [anon_sym_IMP] = ACTIONS(4224),
    [anon_sym_SEL] = ACTIONS(4224),
    [anon_sym_Class] = ACTIONS(4224),
    [anon_sym_id] = ACTIONS(4224),
  },
  [1655] = {
    [sym_identifier] = ACTIONS(4232),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4234),
    [anon_sym_COMMA] = ACTIONS(4234),
    [anon_sym_LPAREN2] = ACTIONS(4234),
    [anon_sym_DASH] = ACTIONS(4232),
    [anon_sym_PLUS] = ACTIONS(4232),
    [anon_sym_STAR] = ACTIONS(4234),
    [anon_sym_SLASH] = ACTIONS(4232),
    [anon_sym_PERCENT] = ACTIONS(4234),
    [anon_sym_PIPE_PIPE] = ACTIONS(4234),
    [anon_sym_AMP_AMP] = ACTIONS(4234),
    [anon_sym_PIPE] = ACTIONS(4232),
    [anon_sym_CARET] = ACTIONS(4234),
    [anon_sym_AMP] = ACTIONS(4232),
    [anon_sym_EQ_EQ] = ACTIONS(4234),
    [anon_sym_BANG_EQ] = ACTIONS(4234),
    [anon_sym_GT] = ACTIONS(4232),
    [anon_sym_GT_EQ] = ACTIONS(4234),
    [anon_sym_LT_EQ] = ACTIONS(4234),
    [anon_sym_LT] = ACTIONS(4232),
    [anon_sym_LT_LT] = ACTIONS(4234),
    [anon_sym_GT_GT] = ACTIONS(4234),
    [anon_sym_SEMI] = ACTIONS(4234),
    [anon_sym___extension__] = ACTIONS(4232),
    [anon_sym_extern] = ACTIONS(4232),
    [anon_sym___attribute__] = ACTIONS(4232),
    [anon_sym___attribute] = ACTIONS(4232),
    [anon_sym_noreturn] = ACTIONS(4232),
    [anon_sym_LBRACK] = ACTIONS(4234),
    [anon_sym___declspec] = ACTIONS(4232),
    [anon_sym_LBRACE] = ACTIONS(4234),
    [anon_sym_signed] = ACTIONS(4232),
    [anon_sym_unsigned] = ACTIONS(4232),
    [anon_sym_long] = ACTIONS(4232),
    [anon_sym_short] = ACTIONS(4232),
    [anon_sym_static] = ACTIONS(4232),
    [anon_sym_ATautoreleasepool] = ACTIONS(4234),
    [anon_sym_auto] = ACTIONS(4232),
    [anon_sym_register] = ACTIONS(4232),
    [anon_sym_inline] = ACTIONS(4232),
    [anon_sym___inline] = ACTIONS(4232),
    [anon_sym___inline__] = ACTIONS(4232),
    [anon_sym___forceinline] = ACTIONS(4232),
    [anon_sym_thread_local] = ACTIONS(4232),
    [anon_sym___thread] = ACTIONS(4232),
    [anon_sym_CG_EXTERN] = ACTIONS(4232),
    [anon_sym_CG_INLINE] = ACTIONS(4232),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4232),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4232),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4232),
    [anon_sym_IBOutlet] = ACTIONS(4232),
    [anon_sym_IBInspectable] = ACTIONS(4232),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4232),
    [anon_sym_NS_INLINE] = ACTIONS(4232),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4232),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4232),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4232),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4232),
    [anon_sym_const] = ACTIONS(4232),
    [anon_sym_constexpr] = ACTIONS(4232),
    [anon_sym_volatile] = ACTIONS(4232),
    [anon_sym_restrict] = ACTIONS(4232),
    [anon_sym___restrict__] = ACTIONS(4232),
    [anon_sym__Atomic] = ACTIONS(4232),
    [anon_sym__Noreturn] = ACTIONS(4232),
    [anon_sym__Nonnull] = ACTIONS(4232),
    [anon_sym_nullable] = ACTIONS(4232),
    [anon_sym__Complex] = ACTIONS(4232),
    [anon_sym__Nullable] = ACTIONS(4232),
    [anon_sym__Nullable_result] = ACTIONS(4232),
    [anon_sym__Null_unspecified] = ACTIONS(4232),
    [anon_sym___autoreleasing] = ACTIONS(4232),
    [anon_sym___block] = ACTIONS(4232),
    [anon_sym___bridge] = ACTIONS(4232),
    [anon_sym___bridge_retained] = ACTIONS(4232),
    [anon_sym___bridge_transfer] = ACTIONS(4232),
    [anon_sym___complex] = ACTIONS(4232),
    [anon_sym___const] = ACTIONS(4232),
    [anon_sym___imag] = ACTIONS(4232),
    [anon_sym___kindof] = ACTIONS(4232),
    [anon_sym___nonnull] = ACTIONS(4232),
    [anon_sym___nullable] = ACTIONS(4232),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4232),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4232),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4232),
    [anon_sym___real] = ACTIONS(4232),
    [anon_sym___strong] = ACTIONS(4232),
    [anon_sym___unsafe_unretained] = ACTIONS(4232),
    [anon_sym___unused] = ACTIONS(4232),
    [anon_sym___weak] = ACTIONS(4232),
    [anon_sym_alignas] = ACTIONS(4232),
    [anon_sym__Alignas] = ACTIONS(4232),
    [sym_primitive_type] = ACTIONS(4232),
    [anon_sym_enum] = ACTIONS(4232),
    [anon_sym_struct] = ACTIONS(4232),
    [anon_sym_union] = ACTIONS(4232),
    [anon_sym_QMARK] = ACTIONS(4234),
    [anon_sym_DASH_DASH] = ACTIONS(4234),
    [anon_sym_PLUS_PLUS] = ACTIONS(4234),
    [anon_sym_DOT] = ACTIONS(4232),
    [anon_sym_DASH_GT] = ACTIONS(4234),
    [anon_sym_AT] = ACTIONS(4232),
    [anon_sym_DQUOTE] = ACTIONS(4234),
    [anon_sym_L_DQUOTE] = ACTIONS(4234),
    [anon_sym_u_DQUOTE] = ACTIONS(4234),
    [anon_sym_U_DQUOTE] = ACTIONS(4234),
    [anon_sym_u8_DQUOTE] = ACTIONS(4234),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4232),
    [anon_sym___typeof] = ACTIONS(4232),
    [anon_sym_typeof] = ACTIONS(4232),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4232),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4232),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4232),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4232),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4232),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4232),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4232),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4232),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4232),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4232),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4232),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4232),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4232),
    [anon_sym_API_AVAILABLE] = ACTIONS(4232),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4232),
    [anon_sym_API_DEPRECATED] = ACTIONS(4232),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4232),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4232),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4232),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4232),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4232),
    [anon_sym___deprecated_msg] = ACTIONS(4232),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4232),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4232),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4232),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4232),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4232),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4232),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4232),
    [anon_sym_BOOL] = ACTIONS(4232),
    [anon_sym_IMP] = ACTIONS(4232),
    [anon_sym_SEL] = ACTIONS(4232),
    [anon_sym_Class] = ACTIONS(4232),
    [anon_sym_id] = ACTIONS(4232),
  },
  [1656] = {
    [sym_identifier] = ACTIONS(4176),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4178),
    [anon_sym_COMMA] = ACTIONS(4178),
    [anon_sym_RPAREN] = ACTIONS(4178),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4178),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4178),
    [anon_sym_LPAREN2] = ACTIONS(4178),
    [anon_sym_DASH] = ACTIONS(4176),
    [anon_sym_PLUS] = ACTIONS(4176),
    [anon_sym_STAR] = ACTIONS(4178),
    [anon_sym_SLASH] = ACTIONS(4176),
    [anon_sym_PERCENT] = ACTIONS(4178),
    [anon_sym_PIPE_PIPE] = ACTIONS(4178),
    [anon_sym_AMP_AMP] = ACTIONS(4178),
    [anon_sym_PIPE] = ACTIONS(4176),
    [anon_sym_CARET] = ACTIONS(4178),
    [anon_sym_AMP] = ACTIONS(4176),
    [anon_sym_EQ_EQ] = ACTIONS(4178),
    [anon_sym_BANG_EQ] = ACTIONS(4178),
    [anon_sym_GT] = ACTIONS(4176),
    [anon_sym_GT_EQ] = ACTIONS(4178),
    [anon_sym_LT_EQ] = ACTIONS(4178),
    [anon_sym_LT] = ACTIONS(4176),
    [anon_sym_LT_LT] = ACTIONS(4178),
    [anon_sym_GT_GT] = ACTIONS(4178),
    [anon_sym_SEMI] = ACTIONS(4178),
    [anon_sym___extension__] = ACTIONS(4176),
    [anon_sym_extern] = ACTIONS(4176),
    [anon_sym___attribute__] = ACTIONS(4176),
    [anon_sym___attribute] = ACTIONS(4176),
    [anon_sym_noreturn] = ACTIONS(4176),
    [anon_sym_LBRACK] = ACTIONS(4178),
    [anon_sym_RBRACK] = ACTIONS(4178),
    [anon_sym___declspec] = ACTIONS(4176),
    [anon_sym_LBRACE] = ACTIONS(4178),
    [anon_sym_RBRACE] = ACTIONS(4178),
    [anon_sym_signed] = ACTIONS(4176),
    [anon_sym_unsigned] = ACTIONS(4176),
    [anon_sym_long] = ACTIONS(4176),
    [anon_sym_short] = ACTIONS(4176),
    [anon_sym_static] = ACTIONS(4176),
    [anon_sym_ATautoreleasepool] = ACTIONS(4178),
    [anon_sym_auto] = ACTIONS(4176),
    [anon_sym_register] = ACTIONS(4176),
    [anon_sym_inline] = ACTIONS(4176),
    [anon_sym___inline] = ACTIONS(4176),
    [anon_sym___inline__] = ACTIONS(4176),
    [anon_sym___forceinline] = ACTIONS(4176),
    [anon_sym_thread_local] = ACTIONS(4176),
    [anon_sym___thread] = ACTIONS(4176),
    [anon_sym_CG_EXTERN] = ACTIONS(4176),
    [anon_sym_CG_INLINE] = ACTIONS(4176),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4176),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4176),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4176),
    [anon_sym_IBOutlet] = ACTIONS(4176),
    [anon_sym_IBInspectable] = ACTIONS(4176),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4176),
    [anon_sym_NS_INLINE] = ACTIONS(4176),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4176),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4176),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4176),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4176),
    [anon_sym_const] = ACTIONS(4176),
    [anon_sym_constexpr] = ACTIONS(4176),
    [anon_sym_volatile] = ACTIONS(4176),
    [anon_sym_restrict] = ACTIONS(4176),
    [anon_sym___restrict__] = ACTIONS(4176),
    [anon_sym__Atomic] = ACTIONS(4176),
    [anon_sym__Noreturn] = ACTIONS(4176),
    [anon_sym__Nonnull] = ACTIONS(4176),
    [anon_sym_nullable] = ACTIONS(4176),
    [anon_sym__Complex] = ACTIONS(4176),
    [anon_sym__Nullable] = ACTIONS(4176),
    [anon_sym__Nullable_result] = ACTIONS(4176),
    [anon_sym__Null_unspecified] = ACTIONS(4176),
    [anon_sym___autoreleasing] = ACTIONS(4176),
    [anon_sym___block] = ACTIONS(4176),
    [anon_sym___bridge] = ACTIONS(4176),
    [anon_sym___bridge_retained] = ACTIONS(4176),
    [anon_sym___bridge_transfer] = ACTIONS(4176),
    [anon_sym___complex] = ACTIONS(4176),
    [anon_sym___const] = ACTIONS(4176),
    [anon_sym___imag] = ACTIONS(4176),
    [anon_sym___kindof] = ACTIONS(4176),
    [anon_sym___nonnull] = ACTIONS(4176),
    [anon_sym___nullable] = ACTIONS(4176),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4176),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4176),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4176),
    [anon_sym___real] = ACTIONS(4176),
    [anon_sym___strong] = ACTIONS(4176),
    [anon_sym___unsafe_unretained] = ACTIONS(4176),
    [anon_sym___unused] = ACTIONS(4176),
    [anon_sym___weak] = ACTIONS(4176),
    [anon_sym_alignas] = ACTIONS(4176),
    [anon_sym__Alignas] = ACTIONS(4176),
    [sym_primitive_type] = ACTIONS(4176),
    [anon_sym_enum] = ACTIONS(4176),
    [anon_sym_COLON] = ACTIONS(4178),
    [anon_sym_struct] = ACTIONS(4176),
    [anon_sym_union] = ACTIONS(4176),
    [anon_sym_QMARK] = ACTIONS(4178),
    [anon_sym_DASH_DASH] = ACTIONS(4178),
    [anon_sym_PLUS_PLUS] = ACTIONS(4178),
    [anon_sym_DOT] = ACTIONS(4176),
    [anon_sym_DASH_GT] = ACTIONS(4178),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4176),
    [anon_sym___typeof] = ACTIONS(4176),
    [anon_sym_typeof] = ACTIONS(4176),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4176),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4176),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4176),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4176),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4176),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4176),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4176),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4176),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4176),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4176),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4176),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4176),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4176),
    [anon_sym_API_AVAILABLE] = ACTIONS(4176),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4176),
    [anon_sym_API_DEPRECATED] = ACTIONS(4176),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4176),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4176),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4176),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4176),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4176),
    [anon_sym___deprecated_msg] = ACTIONS(4176),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4176),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4176),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4176),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4176),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4176),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4176),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4176),
    [anon_sym_BOOL] = ACTIONS(4176),
    [anon_sym_IMP] = ACTIONS(4176),
    [anon_sym_SEL] = ACTIONS(4176),
    [anon_sym_Class] = ACTIONS(4176),
    [anon_sym_id] = ACTIONS(4176),
  },
  [1657] = {
    [sym_identifier] = ACTIONS(4104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4106),
    [anon_sym_COMMA] = ACTIONS(4106),
    [anon_sym_RPAREN] = ACTIONS(4106),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4106),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4106),
    [anon_sym_LPAREN2] = ACTIONS(4106),
    [anon_sym_DASH] = ACTIONS(4104),
    [anon_sym_PLUS] = ACTIONS(4104),
    [anon_sym_STAR] = ACTIONS(4106),
    [anon_sym_SLASH] = ACTIONS(4104),
    [anon_sym_PERCENT] = ACTIONS(4106),
    [anon_sym_PIPE_PIPE] = ACTIONS(4106),
    [anon_sym_AMP_AMP] = ACTIONS(4106),
    [anon_sym_PIPE] = ACTIONS(4104),
    [anon_sym_CARET] = ACTIONS(4106),
    [anon_sym_AMP] = ACTIONS(4104),
    [anon_sym_EQ_EQ] = ACTIONS(4106),
    [anon_sym_BANG_EQ] = ACTIONS(4106),
    [anon_sym_GT] = ACTIONS(4104),
    [anon_sym_GT_EQ] = ACTIONS(4106),
    [anon_sym_LT_EQ] = ACTIONS(4106),
    [anon_sym_LT] = ACTIONS(4104),
    [anon_sym_LT_LT] = ACTIONS(4106),
    [anon_sym_GT_GT] = ACTIONS(4106),
    [anon_sym_SEMI] = ACTIONS(4106),
    [anon_sym___extension__] = ACTIONS(4104),
    [anon_sym_extern] = ACTIONS(4104),
    [anon_sym___attribute__] = ACTIONS(4104),
    [anon_sym___attribute] = ACTIONS(4104),
    [anon_sym_noreturn] = ACTIONS(4104),
    [anon_sym_LBRACK] = ACTIONS(4106),
    [anon_sym_RBRACK] = ACTIONS(4106),
    [anon_sym___declspec] = ACTIONS(4104),
    [anon_sym_LBRACE] = ACTIONS(4106),
    [anon_sym_RBRACE] = ACTIONS(4106),
    [anon_sym_signed] = ACTIONS(4104),
    [anon_sym_unsigned] = ACTIONS(4104),
    [anon_sym_long] = ACTIONS(4104),
    [anon_sym_short] = ACTIONS(4104),
    [anon_sym_static] = ACTIONS(4104),
    [anon_sym_ATautoreleasepool] = ACTIONS(4106),
    [anon_sym_auto] = ACTIONS(4104),
    [anon_sym_register] = ACTIONS(4104),
    [anon_sym_inline] = ACTIONS(4104),
    [anon_sym___inline] = ACTIONS(4104),
    [anon_sym___inline__] = ACTIONS(4104),
    [anon_sym___forceinline] = ACTIONS(4104),
    [anon_sym_thread_local] = ACTIONS(4104),
    [anon_sym___thread] = ACTIONS(4104),
    [anon_sym_CG_EXTERN] = ACTIONS(4104),
    [anon_sym_CG_INLINE] = ACTIONS(4104),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4104),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4104),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4104),
    [anon_sym_IBOutlet] = ACTIONS(4104),
    [anon_sym_IBInspectable] = ACTIONS(4104),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4104),
    [anon_sym_NS_INLINE] = ACTIONS(4104),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4104),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4104),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4104),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4104),
    [anon_sym_const] = ACTIONS(4104),
    [anon_sym_constexpr] = ACTIONS(4104),
    [anon_sym_volatile] = ACTIONS(4104),
    [anon_sym_restrict] = ACTIONS(4104),
    [anon_sym___restrict__] = ACTIONS(4104),
    [anon_sym__Atomic] = ACTIONS(4104),
    [anon_sym__Noreturn] = ACTIONS(4104),
    [anon_sym__Nonnull] = ACTIONS(4104),
    [anon_sym_nullable] = ACTIONS(4104),
    [anon_sym__Complex] = ACTIONS(4104),
    [anon_sym__Nullable] = ACTIONS(4104),
    [anon_sym__Nullable_result] = ACTIONS(4104),
    [anon_sym__Null_unspecified] = ACTIONS(4104),
    [anon_sym___autoreleasing] = ACTIONS(4104),
    [anon_sym___block] = ACTIONS(4104),
    [anon_sym___bridge] = ACTIONS(4104),
    [anon_sym___bridge_retained] = ACTIONS(4104),
    [anon_sym___bridge_transfer] = ACTIONS(4104),
    [anon_sym___complex] = ACTIONS(4104),
    [anon_sym___const] = ACTIONS(4104),
    [anon_sym___imag] = ACTIONS(4104),
    [anon_sym___kindof] = ACTIONS(4104),
    [anon_sym___nonnull] = ACTIONS(4104),
    [anon_sym___nullable] = ACTIONS(4104),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4104),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4104),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4104),
    [anon_sym___real] = ACTIONS(4104),
    [anon_sym___strong] = ACTIONS(4104),
    [anon_sym___unsafe_unretained] = ACTIONS(4104),
    [anon_sym___unused] = ACTIONS(4104),
    [anon_sym___weak] = ACTIONS(4104),
    [anon_sym_alignas] = ACTIONS(4104),
    [anon_sym__Alignas] = ACTIONS(4104),
    [sym_primitive_type] = ACTIONS(4104),
    [anon_sym_enum] = ACTIONS(4104),
    [anon_sym_COLON] = ACTIONS(4106),
    [anon_sym_struct] = ACTIONS(4104),
    [anon_sym_union] = ACTIONS(4104),
    [anon_sym_QMARK] = ACTIONS(4106),
    [anon_sym_DASH_DASH] = ACTIONS(4106),
    [anon_sym_PLUS_PLUS] = ACTIONS(4106),
    [anon_sym_DOT] = ACTIONS(4104),
    [anon_sym_DASH_GT] = ACTIONS(4106),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4104),
    [anon_sym___typeof] = ACTIONS(4104),
    [anon_sym_typeof] = ACTIONS(4104),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4104),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4104),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4104),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4104),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4104),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4104),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4104),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4104),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4104),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4104),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4104),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4104),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4104),
    [anon_sym_API_AVAILABLE] = ACTIONS(4104),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4104),
    [anon_sym_API_DEPRECATED] = ACTIONS(4104),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4104),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4104),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4104),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4104),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4104),
    [anon_sym___deprecated_msg] = ACTIONS(4104),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4104),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4104),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4104),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4104),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4104),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4104),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4104),
    [anon_sym_BOOL] = ACTIONS(4104),
    [anon_sym_IMP] = ACTIONS(4104),
    [anon_sym_SEL] = ACTIONS(4104),
    [anon_sym_Class] = ACTIONS(4104),
    [anon_sym_id] = ACTIONS(4104),
  },
  [1658] = {
    [sym_identifier] = ACTIONS(4062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4064),
    [anon_sym_COMMA] = ACTIONS(4064),
    [anon_sym_RPAREN] = ACTIONS(4064),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4064),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4064),
    [anon_sym_LPAREN2] = ACTIONS(4064),
    [anon_sym_DASH] = ACTIONS(4062),
    [anon_sym_PLUS] = ACTIONS(4062),
    [anon_sym_STAR] = ACTIONS(4064),
    [anon_sym_SLASH] = ACTIONS(4062),
    [anon_sym_PERCENT] = ACTIONS(4064),
    [anon_sym_PIPE_PIPE] = ACTIONS(4064),
    [anon_sym_AMP_AMP] = ACTIONS(4064),
    [anon_sym_PIPE] = ACTIONS(4062),
    [anon_sym_CARET] = ACTIONS(4064),
    [anon_sym_AMP] = ACTIONS(4062),
    [anon_sym_EQ_EQ] = ACTIONS(4064),
    [anon_sym_BANG_EQ] = ACTIONS(4064),
    [anon_sym_GT] = ACTIONS(4062),
    [anon_sym_GT_EQ] = ACTIONS(4064),
    [anon_sym_LT_EQ] = ACTIONS(4064),
    [anon_sym_LT] = ACTIONS(4062),
    [anon_sym_LT_LT] = ACTIONS(4064),
    [anon_sym_GT_GT] = ACTIONS(4064),
    [anon_sym_SEMI] = ACTIONS(4064),
    [anon_sym___extension__] = ACTIONS(4062),
    [anon_sym_extern] = ACTIONS(4062),
    [anon_sym___attribute__] = ACTIONS(4062),
    [anon_sym___attribute] = ACTIONS(4062),
    [anon_sym_noreturn] = ACTIONS(4062),
    [anon_sym_LBRACK] = ACTIONS(4064),
    [anon_sym_RBRACK] = ACTIONS(4064),
    [anon_sym___declspec] = ACTIONS(4062),
    [anon_sym_LBRACE] = ACTIONS(4064),
    [anon_sym_RBRACE] = ACTIONS(4064),
    [anon_sym_signed] = ACTIONS(4062),
    [anon_sym_unsigned] = ACTIONS(4062),
    [anon_sym_long] = ACTIONS(4062),
    [anon_sym_short] = ACTIONS(4062),
    [anon_sym_static] = ACTIONS(4062),
    [anon_sym_ATautoreleasepool] = ACTIONS(4064),
    [anon_sym_auto] = ACTIONS(4062),
    [anon_sym_register] = ACTIONS(4062),
    [anon_sym_inline] = ACTIONS(4062),
    [anon_sym___inline] = ACTIONS(4062),
    [anon_sym___inline__] = ACTIONS(4062),
    [anon_sym___forceinline] = ACTIONS(4062),
    [anon_sym_thread_local] = ACTIONS(4062),
    [anon_sym___thread] = ACTIONS(4062),
    [anon_sym_CG_EXTERN] = ACTIONS(4062),
    [anon_sym_CG_INLINE] = ACTIONS(4062),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4062),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4062),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4062),
    [anon_sym_IBOutlet] = ACTIONS(4062),
    [anon_sym_IBInspectable] = ACTIONS(4062),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4062),
    [anon_sym_NS_INLINE] = ACTIONS(4062),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4062),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4062),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4062),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4062),
    [anon_sym_const] = ACTIONS(4062),
    [anon_sym_constexpr] = ACTIONS(4062),
    [anon_sym_volatile] = ACTIONS(4062),
    [anon_sym_restrict] = ACTIONS(4062),
    [anon_sym___restrict__] = ACTIONS(4062),
    [anon_sym__Atomic] = ACTIONS(4062),
    [anon_sym__Noreturn] = ACTIONS(4062),
    [anon_sym__Nonnull] = ACTIONS(4062),
    [anon_sym_nullable] = ACTIONS(4062),
    [anon_sym__Complex] = ACTIONS(4062),
    [anon_sym__Nullable] = ACTIONS(4062),
    [anon_sym__Nullable_result] = ACTIONS(4062),
    [anon_sym__Null_unspecified] = ACTIONS(4062),
    [anon_sym___autoreleasing] = ACTIONS(4062),
    [anon_sym___block] = ACTIONS(4062),
    [anon_sym___bridge] = ACTIONS(4062),
    [anon_sym___bridge_retained] = ACTIONS(4062),
    [anon_sym___bridge_transfer] = ACTIONS(4062),
    [anon_sym___complex] = ACTIONS(4062),
    [anon_sym___const] = ACTIONS(4062),
    [anon_sym___imag] = ACTIONS(4062),
    [anon_sym___kindof] = ACTIONS(4062),
    [anon_sym___nonnull] = ACTIONS(4062),
    [anon_sym___nullable] = ACTIONS(4062),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4062),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4062),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4062),
    [anon_sym___real] = ACTIONS(4062),
    [anon_sym___strong] = ACTIONS(4062),
    [anon_sym___unsafe_unretained] = ACTIONS(4062),
    [anon_sym___unused] = ACTIONS(4062),
    [anon_sym___weak] = ACTIONS(4062),
    [anon_sym_alignas] = ACTIONS(4062),
    [anon_sym__Alignas] = ACTIONS(4062),
    [sym_primitive_type] = ACTIONS(4062),
    [anon_sym_enum] = ACTIONS(4062),
    [anon_sym_COLON] = ACTIONS(4064),
    [anon_sym_struct] = ACTIONS(4062),
    [anon_sym_union] = ACTIONS(4062),
    [anon_sym_QMARK] = ACTIONS(4064),
    [anon_sym_DASH_DASH] = ACTIONS(4064),
    [anon_sym_PLUS_PLUS] = ACTIONS(4064),
    [anon_sym_DOT] = ACTIONS(4062),
    [anon_sym_DASH_GT] = ACTIONS(4064),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4062),
    [anon_sym___typeof] = ACTIONS(4062),
    [anon_sym_typeof] = ACTIONS(4062),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4062),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4062),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4062),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4062),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4062),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4062),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4062),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4062),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4062),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4062),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4062),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4062),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4062),
    [anon_sym_API_AVAILABLE] = ACTIONS(4062),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4062),
    [anon_sym_API_DEPRECATED] = ACTIONS(4062),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4062),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4062),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4062),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4062),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4062),
    [anon_sym___deprecated_msg] = ACTIONS(4062),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4062),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4062),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4062),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4062),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4062),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4062),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4062),
    [anon_sym_BOOL] = ACTIONS(4062),
    [anon_sym_IMP] = ACTIONS(4062),
    [anon_sym_SEL] = ACTIONS(4062),
    [anon_sym_Class] = ACTIONS(4062),
    [anon_sym_id] = ACTIONS(4062),
  },
  [1659] = {
    [sym_identifier] = ACTIONS(4074),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4076),
    [anon_sym_COMMA] = ACTIONS(4076),
    [anon_sym_RPAREN] = ACTIONS(4076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4076),
    [anon_sym_LPAREN2] = ACTIONS(4076),
    [anon_sym_DASH] = ACTIONS(4074),
    [anon_sym_PLUS] = ACTIONS(4074),
    [anon_sym_STAR] = ACTIONS(4076),
    [anon_sym_SLASH] = ACTIONS(4074),
    [anon_sym_PERCENT] = ACTIONS(4076),
    [anon_sym_PIPE_PIPE] = ACTIONS(4076),
    [anon_sym_AMP_AMP] = ACTIONS(4076),
    [anon_sym_PIPE] = ACTIONS(4074),
    [anon_sym_CARET] = ACTIONS(4076),
    [anon_sym_AMP] = ACTIONS(4074),
    [anon_sym_EQ_EQ] = ACTIONS(4076),
    [anon_sym_BANG_EQ] = ACTIONS(4076),
    [anon_sym_GT] = ACTIONS(4074),
    [anon_sym_GT_EQ] = ACTIONS(4076),
    [anon_sym_LT_EQ] = ACTIONS(4076),
    [anon_sym_LT] = ACTIONS(4074),
    [anon_sym_LT_LT] = ACTIONS(4076),
    [anon_sym_GT_GT] = ACTIONS(4076),
    [anon_sym_SEMI] = ACTIONS(4076),
    [anon_sym___extension__] = ACTIONS(4074),
    [anon_sym_extern] = ACTIONS(4074),
    [anon_sym___attribute__] = ACTIONS(4074),
    [anon_sym___attribute] = ACTIONS(4074),
    [anon_sym_noreturn] = ACTIONS(4074),
    [anon_sym_LBRACK] = ACTIONS(4076),
    [anon_sym_RBRACK] = ACTIONS(4076),
    [anon_sym___declspec] = ACTIONS(4074),
    [anon_sym_LBRACE] = ACTIONS(4076),
    [anon_sym_RBRACE] = ACTIONS(4076),
    [anon_sym_signed] = ACTIONS(4074),
    [anon_sym_unsigned] = ACTIONS(4074),
    [anon_sym_long] = ACTIONS(4074),
    [anon_sym_short] = ACTIONS(4074),
    [anon_sym_static] = ACTIONS(4074),
    [anon_sym_ATautoreleasepool] = ACTIONS(4076),
    [anon_sym_auto] = ACTIONS(4074),
    [anon_sym_register] = ACTIONS(4074),
    [anon_sym_inline] = ACTIONS(4074),
    [anon_sym___inline] = ACTIONS(4074),
    [anon_sym___inline__] = ACTIONS(4074),
    [anon_sym___forceinline] = ACTIONS(4074),
    [anon_sym_thread_local] = ACTIONS(4074),
    [anon_sym___thread] = ACTIONS(4074),
    [anon_sym_CG_EXTERN] = ACTIONS(4074),
    [anon_sym_CG_INLINE] = ACTIONS(4074),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4074),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4074),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4074),
    [anon_sym_IBOutlet] = ACTIONS(4074),
    [anon_sym_IBInspectable] = ACTIONS(4074),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4074),
    [anon_sym_NS_INLINE] = ACTIONS(4074),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4074),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4074),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4074),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4074),
    [anon_sym_const] = ACTIONS(4074),
    [anon_sym_constexpr] = ACTIONS(4074),
    [anon_sym_volatile] = ACTIONS(4074),
    [anon_sym_restrict] = ACTIONS(4074),
    [anon_sym___restrict__] = ACTIONS(4074),
    [anon_sym__Atomic] = ACTIONS(4074),
    [anon_sym__Noreturn] = ACTIONS(4074),
    [anon_sym__Nonnull] = ACTIONS(4074),
    [anon_sym_nullable] = ACTIONS(4074),
    [anon_sym__Complex] = ACTIONS(4074),
    [anon_sym__Nullable] = ACTIONS(4074),
    [anon_sym__Nullable_result] = ACTIONS(4074),
    [anon_sym__Null_unspecified] = ACTIONS(4074),
    [anon_sym___autoreleasing] = ACTIONS(4074),
    [anon_sym___block] = ACTIONS(4074),
    [anon_sym___bridge] = ACTIONS(4074),
    [anon_sym___bridge_retained] = ACTIONS(4074),
    [anon_sym___bridge_transfer] = ACTIONS(4074),
    [anon_sym___complex] = ACTIONS(4074),
    [anon_sym___const] = ACTIONS(4074),
    [anon_sym___imag] = ACTIONS(4074),
    [anon_sym___kindof] = ACTIONS(4074),
    [anon_sym___nonnull] = ACTIONS(4074),
    [anon_sym___nullable] = ACTIONS(4074),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4074),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4074),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4074),
    [anon_sym___real] = ACTIONS(4074),
    [anon_sym___strong] = ACTIONS(4074),
    [anon_sym___unsafe_unretained] = ACTIONS(4074),
    [anon_sym___unused] = ACTIONS(4074),
    [anon_sym___weak] = ACTIONS(4074),
    [anon_sym_alignas] = ACTIONS(4074),
    [anon_sym__Alignas] = ACTIONS(4074),
    [sym_primitive_type] = ACTIONS(4074),
    [anon_sym_enum] = ACTIONS(4074),
    [anon_sym_COLON] = ACTIONS(4076),
    [anon_sym_struct] = ACTIONS(4074),
    [anon_sym_union] = ACTIONS(4074),
    [anon_sym_QMARK] = ACTIONS(4076),
    [anon_sym_DASH_DASH] = ACTIONS(4076),
    [anon_sym_PLUS_PLUS] = ACTIONS(4076),
    [anon_sym_DOT] = ACTIONS(4074),
    [anon_sym_DASH_GT] = ACTIONS(4076),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4074),
    [anon_sym___typeof] = ACTIONS(4074),
    [anon_sym_typeof] = ACTIONS(4074),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4074),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4074),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4074),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4074),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4074),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4074),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4074),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4074),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4074),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4074),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4074),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4074),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4074),
    [anon_sym_API_AVAILABLE] = ACTIONS(4074),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4074),
    [anon_sym_API_DEPRECATED] = ACTIONS(4074),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4074),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4074),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4074),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4074),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4074),
    [anon_sym___deprecated_msg] = ACTIONS(4074),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4074),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4074),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4074),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4074),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4074),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4074),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4074),
    [anon_sym_BOOL] = ACTIONS(4074),
    [anon_sym_IMP] = ACTIONS(4074),
    [anon_sym_SEL] = ACTIONS(4074),
    [anon_sym_Class] = ACTIONS(4074),
    [anon_sym_id] = ACTIONS(4074),
  },
  [1660] = {
    [sym_identifier] = ACTIONS(4108),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4110),
    [anon_sym_COMMA] = ACTIONS(4110),
    [anon_sym_RPAREN] = ACTIONS(4110),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4110),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4110),
    [anon_sym_LPAREN2] = ACTIONS(4110),
    [anon_sym_DASH] = ACTIONS(4108),
    [anon_sym_PLUS] = ACTIONS(4108),
    [anon_sym_STAR] = ACTIONS(4110),
    [anon_sym_SLASH] = ACTIONS(4108),
    [anon_sym_PERCENT] = ACTIONS(4110),
    [anon_sym_PIPE_PIPE] = ACTIONS(4110),
    [anon_sym_AMP_AMP] = ACTIONS(4110),
    [anon_sym_PIPE] = ACTIONS(4108),
    [anon_sym_CARET] = ACTIONS(4110),
    [anon_sym_AMP] = ACTIONS(4108),
    [anon_sym_EQ_EQ] = ACTIONS(4110),
    [anon_sym_BANG_EQ] = ACTIONS(4110),
    [anon_sym_GT] = ACTIONS(4108),
    [anon_sym_GT_EQ] = ACTIONS(4110),
    [anon_sym_LT_EQ] = ACTIONS(4110),
    [anon_sym_LT] = ACTIONS(4108),
    [anon_sym_LT_LT] = ACTIONS(4110),
    [anon_sym_GT_GT] = ACTIONS(4110),
    [anon_sym_SEMI] = ACTIONS(4110),
    [anon_sym___extension__] = ACTIONS(4108),
    [anon_sym_extern] = ACTIONS(4108),
    [anon_sym___attribute__] = ACTIONS(4108),
    [anon_sym___attribute] = ACTIONS(4108),
    [anon_sym_noreturn] = ACTIONS(4108),
    [anon_sym_LBRACK] = ACTIONS(4110),
    [anon_sym_RBRACK] = ACTIONS(4110),
    [anon_sym___declspec] = ACTIONS(4108),
    [anon_sym_LBRACE] = ACTIONS(4110),
    [anon_sym_RBRACE] = ACTIONS(4110),
    [anon_sym_signed] = ACTIONS(4108),
    [anon_sym_unsigned] = ACTIONS(4108),
    [anon_sym_long] = ACTIONS(4108),
    [anon_sym_short] = ACTIONS(4108),
    [anon_sym_static] = ACTIONS(4108),
    [anon_sym_ATautoreleasepool] = ACTIONS(4110),
    [anon_sym_auto] = ACTIONS(4108),
    [anon_sym_register] = ACTIONS(4108),
    [anon_sym_inline] = ACTIONS(4108),
    [anon_sym___inline] = ACTIONS(4108),
    [anon_sym___inline__] = ACTIONS(4108),
    [anon_sym___forceinline] = ACTIONS(4108),
    [anon_sym_thread_local] = ACTIONS(4108),
    [anon_sym___thread] = ACTIONS(4108),
    [anon_sym_CG_EXTERN] = ACTIONS(4108),
    [anon_sym_CG_INLINE] = ACTIONS(4108),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4108),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4108),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4108),
    [anon_sym_IBOutlet] = ACTIONS(4108),
    [anon_sym_IBInspectable] = ACTIONS(4108),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4108),
    [anon_sym_NS_INLINE] = ACTIONS(4108),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4108),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4108),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4108),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4108),
    [anon_sym_const] = ACTIONS(4108),
    [anon_sym_constexpr] = ACTIONS(4108),
    [anon_sym_volatile] = ACTIONS(4108),
    [anon_sym_restrict] = ACTIONS(4108),
    [anon_sym___restrict__] = ACTIONS(4108),
    [anon_sym__Atomic] = ACTIONS(4108),
    [anon_sym__Noreturn] = ACTIONS(4108),
    [anon_sym__Nonnull] = ACTIONS(4108),
    [anon_sym_nullable] = ACTIONS(4108),
    [anon_sym__Complex] = ACTIONS(4108),
    [anon_sym__Nullable] = ACTIONS(4108),
    [anon_sym__Nullable_result] = ACTIONS(4108),
    [anon_sym__Null_unspecified] = ACTIONS(4108),
    [anon_sym___autoreleasing] = ACTIONS(4108),
    [anon_sym___block] = ACTIONS(4108),
    [anon_sym___bridge] = ACTIONS(4108),
    [anon_sym___bridge_retained] = ACTIONS(4108),
    [anon_sym___bridge_transfer] = ACTIONS(4108),
    [anon_sym___complex] = ACTIONS(4108),
    [anon_sym___const] = ACTIONS(4108),
    [anon_sym___imag] = ACTIONS(4108),
    [anon_sym___kindof] = ACTIONS(4108),
    [anon_sym___nonnull] = ACTIONS(4108),
    [anon_sym___nullable] = ACTIONS(4108),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4108),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4108),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4108),
    [anon_sym___real] = ACTIONS(4108),
    [anon_sym___strong] = ACTIONS(4108),
    [anon_sym___unsafe_unretained] = ACTIONS(4108),
    [anon_sym___unused] = ACTIONS(4108),
    [anon_sym___weak] = ACTIONS(4108),
    [anon_sym_alignas] = ACTIONS(4108),
    [anon_sym__Alignas] = ACTIONS(4108),
    [sym_primitive_type] = ACTIONS(4108),
    [anon_sym_enum] = ACTIONS(4108),
    [anon_sym_COLON] = ACTIONS(4110),
    [anon_sym_struct] = ACTIONS(4108),
    [anon_sym_union] = ACTIONS(4108),
    [anon_sym_QMARK] = ACTIONS(4110),
    [anon_sym_DASH_DASH] = ACTIONS(4110),
    [anon_sym_PLUS_PLUS] = ACTIONS(4110),
    [anon_sym_DOT] = ACTIONS(4108),
    [anon_sym_DASH_GT] = ACTIONS(4110),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4108),
    [anon_sym___typeof] = ACTIONS(4108),
    [anon_sym_typeof] = ACTIONS(4108),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4108),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4108),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4108),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4108),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4108),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4108),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4108),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4108),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4108),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4108),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4108),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4108),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4108),
    [anon_sym_API_AVAILABLE] = ACTIONS(4108),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4108),
    [anon_sym_API_DEPRECATED] = ACTIONS(4108),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4108),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4108),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4108),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4108),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4108),
    [anon_sym___deprecated_msg] = ACTIONS(4108),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4108),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4108),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4108),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4108),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4108),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4108),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4108),
    [anon_sym_BOOL] = ACTIONS(4108),
    [anon_sym_IMP] = ACTIONS(4108),
    [anon_sym_SEL] = ACTIONS(4108),
    [anon_sym_Class] = ACTIONS(4108),
    [anon_sym_id] = ACTIONS(4108),
  },
  [1661] = {
    [sym_identifier] = ACTIONS(4120),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4122),
    [anon_sym_COMMA] = ACTIONS(4122),
    [anon_sym_RPAREN] = ACTIONS(4122),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4122),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4122),
    [anon_sym_LPAREN2] = ACTIONS(4122),
    [anon_sym_DASH] = ACTIONS(4120),
    [anon_sym_PLUS] = ACTIONS(4120),
    [anon_sym_STAR] = ACTIONS(4122),
    [anon_sym_SLASH] = ACTIONS(4120),
    [anon_sym_PERCENT] = ACTIONS(4122),
    [anon_sym_PIPE_PIPE] = ACTIONS(4122),
    [anon_sym_AMP_AMP] = ACTIONS(4122),
    [anon_sym_PIPE] = ACTIONS(4120),
    [anon_sym_CARET] = ACTIONS(4122),
    [anon_sym_AMP] = ACTIONS(4120),
    [anon_sym_EQ_EQ] = ACTIONS(4122),
    [anon_sym_BANG_EQ] = ACTIONS(4122),
    [anon_sym_GT] = ACTIONS(4120),
    [anon_sym_GT_EQ] = ACTIONS(4122),
    [anon_sym_LT_EQ] = ACTIONS(4122),
    [anon_sym_LT] = ACTIONS(4120),
    [anon_sym_LT_LT] = ACTIONS(4122),
    [anon_sym_GT_GT] = ACTIONS(4122),
    [anon_sym_SEMI] = ACTIONS(4122),
    [anon_sym___extension__] = ACTIONS(4120),
    [anon_sym_extern] = ACTIONS(4120),
    [anon_sym___attribute__] = ACTIONS(4120),
    [anon_sym___attribute] = ACTIONS(4120),
    [anon_sym_noreturn] = ACTIONS(4120),
    [anon_sym_LBRACK] = ACTIONS(4122),
    [anon_sym_RBRACK] = ACTIONS(4122),
    [anon_sym___declspec] = ACTIONS(4120),
    [anon_sym_LBRACE] = ACTIONS(4122),
    [anon_sym_RBRACE] = ACTIONS(4122),
    [anon_sym_signed] = ACTIONS(4120),
    [anon_sym_unsigned] = ACTIONS(4120),
    [anon_sym_long] = ACTIONS(4120),
    [anon_sym_short] = ACTIONS(4120),
    [anon_sym_static] = ACTIONS(4120),
    [anon_sym_ATautoreleasepool] = ACTIONS(4122),
    [anon_sym_auto] = ACTIONS(4120),
    [anon_sym_register] = ACTIONS(4120),
    [anon_sym_inline] = ACTIONS(4120),
    [anon_sym___inline] = ACTIONS(4120),
    [anon_sym___inline__] = ACTIONS(4120),
    [anon_sym___forceinline] = ACTIONS(4120),
    [anon_sym_thread_local] = ACTIONS(4120),
    [anon_sym___thread] = ACTIONS(4120),
    [anon_sym_CG_EXTERN] = ACTIONS(4120),
    [anon_sym_CG_INLINE] = ACTIONS(4120),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4120),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4120),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4120),
    [anon_sym_IBOutlet] = ACTIONS(4120),
    [anon_sym_IBInspectable] = ACTIONS(4120),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4120),
    [anon_sym_NS_INLINE] = ACTIONS(4120),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4120),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4120),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4120),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4120),
    [anon_sym_const] = ACTIONS(4120),
    [anon_sym_constexpr] = ACTIONS(4120),
    [anon_sym_volatile] = ACTIONS(4120),
    [anon_sym_restrict] = ACTIONS(4120),
    [anon_sym___restrict__] = ACTIONS(4120),
    [anon_sym__Atomic] = ACTIONS(4120),
    [anon_sym__Noreturn] = ACTIONS(4120),
    [anon_sym__Nonnull] = ACTIONS(4120),
    [anon_sym_nullable] = ACTIONS(4120),
    [anon_sym__Complex] = ACTIONS(4120),
    [anon_sym__Nullable] = ACTIONS(4120),
    [anon_sym__Nullable_result] = ACTIONS(4120),
    [anon_sym__Null_unspecified] = ACTIONS(4120),
    [anon_sym___autoreleasing] = ACTIONS(4120),
    [anon_sym___block] = ACTIONS(4120),
    [anon_sym___bridge] = ACTIONS(4120),
    [anon_sym___bridge_retained] = ACTIONS(4120),
    [anon_sym___bridge_transfer] = ACTIONS(4120),
    [anon_sym___complex] = ACTIONS(4120),
    [anon_sym___const] = ACTIONS(4120),
    [anon_sym___imag] = ACTIONS(4120),
    [anon_sym___kindof] = ACTIONS(4120),
    [anon_sym___nonnull] = ACTIONS(4120),
    [anon_sym___nullable] = ACTIONS(4120),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4120),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4120),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4120),
    [anon_sym___real] = ACTIONS(4120),
    [anon_sym___strong] = ACTIONS(4120),
    [anon_sym___unsafe_unretained] = ACTIONS(4120),
    [anon_sym___unused] = ACTIONS(4120),
    [anon_sym___weak] = ACTIONS(4120),
    [anon_sym_alignas] = ACTIONS(4120),
    [anon_sym__Alignas] = ACTIONS(4120),
    [sym_primitive_type] = ACTIONS(4120),
    [anon_sym_enum] = ACTIONS(4120),
    [anon_sym_COLON] = ACTIONS(4122),
    [anon_sym_struct] = ACTIONS(4120),
    [anon_sym_union] = ACTIONS(4120),
    [anon_sym_QMARK] = ACTIONS(4122),
    [anon_sym_DASH_DASH] = ACTIONS(4122),
    [anon_sym_PLUS_PLUS] = ACTIONS(4122),
    [anon_sym_DOT] = ACTIONS(4120),
    [anon_sym_DASH_GT] = ACTIONS(4122),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4120),
    [anon_sym___typeof] = ACTIONS(4120),
    [anon_sym_typeof] = ACTIONS(4120),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4120),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4120),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4120),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4120),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4120),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4120),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4120),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4120),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4120),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4120),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4120),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4120),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4120),
    [anon_sym_API_AVAILABLE] = ACTIONS(4120),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4120),
    [anon_sym_API_DEPRECATED] = ACTIONS(4120),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4120),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4120),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4120),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4120),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4120),
    [anon_sym___deprecated_msg] = ACTIONS(4120),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4120),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4120),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4120),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4120),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4120),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4120),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4120),
    [anon_sym_BOOL] = ACTIONS(4120),
    [anon_sym_IMP] = ACTIONS(4120),
    [anon_sym_SEL] = ACTIONS(4120),
    [anon_sym_Class] = ACTIONS(4120),
    [anon_sym_id] = ACTIONS(4120),
  },
  [1662] = {
    [sym_identifier] = ACTIONS(4132),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4134),
    [anon_sym_COMMA] = ACTIONS(4134),
    [anon_sym_RPAREN] = ACTIONS(4134),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4134),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4134),
    [anon_sym_LPAREN2] = ACTIONS(4134),
    [anon_sym_DASH] = ACTIONS(4132),
    [anon_sym_PLUS] = ACTIONS(4132),
    [anon_sym_STAR] = ACTIONS(4134),
    [anon_sym_SLASH] = ACTIONS(4132),
    [anon_sym_PERCENT] = ACTIONS(4134),
    [anon_sym_PIPE_PIPE] = ACTIONS(4134),
    [anon_sym_AMP_AMP] = ACTIONS(4134),
    [anon_sym_PIPE] = ACTIONS(4132),
    [anon_sym_CARET] = ACTIONS(4134),
    [anon_sym_AMP] = ACTIONS(4132),
    [anon_sym_EQ_EQ] = ACTIONS(4134),
    [anon_sym_BANG_EQ] = ACTIONS(4134),
    [anon_sym_GT] = ACTIONS(4132),
    [anon_sym_GT_EQ] = ACTIONS(4134),
    [anon_sym_LT_EQ] = ACTIONS(4134),
    [anon_sym_LT] = ACTIONS(4132),
    [anon_sym_LT_LT] = ACTIONS(4134),
    [anon_sym_GT_GT] = ACTIONS(4134),
    [anon_sym_SEMI] = ACTIONS(4134),
    [anon_sym___extension__] = ACTIONS(4132),
    [anon_sym_extern] = ACTIONS(4132),
    [anon_sym___attribute__] = ACTIONS(4132),
    [anon_sym___attribute] = ACTIONS(4132),
    [anon_sym_noreturn] = ACTIONS(4132),
    [anon_sym_LBRACK] = ACTIONS(4134),
    [anon_sym_RBRACK] = ACTIONS(4134),
    [anon_sym___declspec] = ACTIONS(4132),
    [anon_sym_LBRACE] = ACTIONS(4134),
    [anon_sym_RBRACE] = ACTIONS(4134),
    [anon_sym_signed] = ACTIONS(4132),
    [anon_sym_unsigned] = ACTIONS(4132),
    [anon_sym_long] = ACTIONS(4132),
    [anon_sym_short] = ACTIONS(4132),
    [anon_sym_static] = ACTIONS(4132),
    [anon_sym_ATautoreleasepool] = ACTIONS(4134),
    [anon_sym_auto] = ACTIONS(4132),
    [anon_sym_register] = ACTIONS(4132),
    [anon_sym_inline] = ACTIONS(4132),
    [anon_sym___inline] = ACTIONS(4132),
    [anon_sym___inline__] = ACTIONS(4132),
    [anon_sym___forceinline] = ACTIONS(4132),
    [anon_sym_thread_local] = ACTIONS(4132),
    [anon_sym___thread] = ACTIONS(4132),
    [anon_sym_CG_EXTERN] = ACTIONS(4132),
    [anon_sym_CG_INLINE] = ACTIONS(4132),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4132),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4132),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4132),
    [anon_sym_IBOutlet] = ACTIONS(4132),
    [anon_sym_IBInspectable] = ACTIONS(4132),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4132),
    [anon_sym_NS_INLINE] = ACTIONS(4132),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4132),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4132),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4132),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4132),
    [anon_sym_const] = ACTIONS(4132),
    [anon_sym_constexpr] = ACTIONS(4132),
    [anon_sym_volatile] = ACTIONS(4132),
    [anon_sym_restrict] = ACTIONS(4132),
    [anon_sym___restrict__] = ACTIONS(4132),
    [anon_sym__Atomic] = ACTIONS(4132),
    [anon_sym__Noreturn] = ACTIONS(4132),
    [anon_sym__Nonnull] = ACTIONS(4132),
    [anon_sym_nullable] = ACTIONS(4132),
    [anon_sym__Complex] = ACTIONS(4132),
    [anon_sym__Nullable] = ACTIONS(4132),
    [anon_sym__Nullable_result] = ACTIONS(4132),
    [anon_sym__Null_unspecified] = ACTIONS(4132),
    [anon_sym___autoreleasing] = ACTIONS(4132),
    [anon_sym___block] = ACTIONS(4132),
    [anon_sym___bridge] = ACTIONS(4132),
    [anon_sym___bridge_retained] = ACTIONS(4132),
    [anon_sym___bridge_transfer] = ACTIONS(4132),
    [anon_sym___complex] = ACTIONS(4132),
    [anon_sym___const] = ACTIONS(4132),
    [anon_sym___imag] = ACTIONS(4132),
    [anon_sym___kindof] = ACTIONS(4132),
    [anon_sym___nonnull] = ACTIONS(4132),
    [anon_sym___nullable] = ACTIONS(4132),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4132),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4132),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4132),
    [anon_sym___real] = ACTIONS(4132),
    [anon_sym___strong] = ACTIONS(4132),
    [anon_sym___unsafe_unretained] = ACTIONS(4132),
    [anon_sym___unused] = ACTIONS(4132),
    [anon_sym___weak] = ACTIONS(4132),
    [anon_sym_alignas] = ACTIONS(4132),
    [anon_sym__Alignas] = ACTIONS(4132),
    [sym_primitive_type] = ACTIONS(4132),
    [anon_sym_enum] = ACTIONS(4132),
    [anon_sym_COLON] = ACTIONS(4134),
    [anon_sym_struct] = ACTIONS(4132),
    [anon_sym_union] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4134),
    [anon_sym_DASH_DASH] = ACTIONS(4134),
    [anon_sym_PLUS_PLUS] = ACTIONS(4134),
    [anon_sym_DOT] = ACTIONS(4132),
    [anon_sym_DASH_GT] = ACTIONS(4134),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4132),
    [anon_sym___typeof] = ACTIONS(4132),
    [anon_sym_typeof] = ACTIONS(4132),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4132),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4132),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4132),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4132),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4132),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4132),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4132),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4132),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4132),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4132),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4132),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4132),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4132),
    [anon_sym_API_AVAILABLE] = ACTIONS(4132),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4132),
    [anon_sym_API_DEPRECATED] = ACTIONS(4132),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4132),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4132),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4132),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4132),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4132),
    [anon_sym___deprecated_msg] = ACTIONS(4132),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4132),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4132),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4132),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4132),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4132),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4132),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4132),
    [anon_sym_BOOL] = ACTIONS(4132),
    [anon_sym_IMP] = ACTIONS(4132),
    [anon_sym_SEL] = ACTIONS(4132),
    [anon_sym_Class] = ACTIONS(4132),
    [anon_sym_id] = ACTIONS(4132),
  },
  [1663] = {
    [sym_identifier] = ACTIONS(4140),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4142),
    [anon_sym_COMMA] = ACTIONS(4142),
    [anon_sym_RPAREN] = ACTIONS(4142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4142),
    [anon_sym_LPAREN2] = ACTIONS(4142),
    [anon_sym_DASH] = ACTIONS(4140),
    [anon_sym_PLUS] = ACTIONS(4140),
    [anon_sym_STAR] = ACTIONS(4142),
    [anon_sym_SLASH] = ACTIONS(4140),
    [anon_sym_PERCENT] = ACTIONS(4142),
    [anon_sym_PIPE_PIPE] = ACTIONS(4142),
    [anon_sym_AMP_AMP] = ACTIONS(4142),
    [anon_sym_PIPE] = ACTIONS(4140),
    [anon_sym_CARET] = ACTIONS(4142),
    [anon_sym_AMP] = ACTIONS(4140),
    [anon_sym_EQ_EQ] = ACTIONS(4142),
    [anon_sym_BANG_EQ] = ACTIONS(4142),
    [anon_sym_GT] = ACTIONS(4140),
    [anon_sym_GT_EQ] = ACTIONS(4142),
    [anon_sym_LT_EQ] = ACTIONS(4142),
    [anon_sym_LT] = ACTIONS(4140),
    [anon_sym_LT_LT] = ACTIONS(4142),
    [anon_sym_GT_GT] = ACTIONS(4142),
    [anon_sym_SEMI] = ACTIONS(4142),
    [anon_sym___extension__] = ACTIONS(4140),
    [anon_sym_extern] = ACTIONS(4140),
    [anon_sym___attribute__] = ACTIONS(4140),
    [anon_sym___attribute] = ACTIONS(4140),
    [anon_sym_noreturn] = ACTIONS(4140),
    [anon_sym_LBRACK] = ACTIONS(4142),
    [anon_sym_RBRACK] = ACTIONS(4142),
    [anon_sym___declspec] = ACTIONS(4140),
    [anon_sym_LBRACE] = ACTIONS(4142),
    [anon_sym_RBRACE] = ACTIONS(4142),
    [anon_sym_signed] = ACTIONS(4140),
    [anon_sym_unsigned] = ACTIONS(4140),
    [anon_sym_long] = ACTIONS(4140),
    [anon_sym_short] = ACTIONS(4140),
    [anon_sym_static] = ACTIONS(4140),
    [anon_sym_ATautoreleasepool] = ACTIONS(4142),
    [anon_sym_auto] = ACTIONS(4140),
    [anon_sym_register] = ACTIONS(4140),
    [anon_sym_inline] = ACTIONS(4140),
    [anon_sym___inline] = ACTIONS(4140),
    [anon_sym___inline__] = ACTIONS(4140),
    [anon_sym___forceinline] = ACTIONS(4140),
    [anon_sym_thread_local] = ACTIONS(4140),
    [anon_sym___thread] = ACTIONS(4140),
    [anon_sym_CG_EXTERN] = ACTIONS(4140),
    [anon_sym_CG_INLINE] = ACTIONS(4140),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4140),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4140),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4140),
    [anon_sym_IBOutlet] = ACTIONS(4140),
    [anon_sym_IBInspectable] = ACTIONS(4140),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4140),
    [anon_sym_NS_INLINE] = ACTIONS(4140),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4140),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4140),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4140),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4140),
    [anon_sym_const] = ACTIONS(4140),
    [anon_sym_constexpr] = ACTIONS(4140),
    [anon_sym_volatile] = ACTIONS(4140),
    [anon_sym_restrict] = ACTIONS(4140),
    [anon_sym___restrict__] = ACTIONS(4140),
    [anon_sym__Atomic] = ACTIONS(4140),
    [anon_sym__Noreturn] = ACTIONS(4140),
    [anon_sym__Nonnull] = ACTIONS(4140),
    [anon_sym_nullable] = ACTIONS(4140),
    [anon_sym__Complex] = ACTIONS(4140),
    [anon_sym__Nullable] = ACTIONS(4140),
    [anon_sym__Nullable_result] = ACTIONS(4140),
    [anon_sym__Null_unspecified] = ACTIONS(4140),
    [anon_sym___autoreleasing] = ACTIONS(4140),
    [anon_sym___block] = ACTIONS(4140),
    [anon_sym___bridge] = ACTIONS(4140),
    [anon_sym___bridge_retained] = ACTIONS(4140),
    [anon_sym___bridge_transfer] = ACTIONS(4140),
    [anon_sym___complex] = ACTIONS(4140),
    [anon_sym___const] = ACTIONS(4140),
    [anon_sym___imag] = ACTIONS(4140),
    [anon_sym___kindof] = ACTIONS(4140),
    [anon_sym___nonnull] = ACTIONS(4140),
    [anon_sym___nullable] = ACTIONS(4140),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4140),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4140),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4140),
    [anon_sym___real] = ACTIONS(4140),
    [anon_sym___strong] = ACTIONS(4140),
    [anon_sym___unsafe_unretained] = ACTIONS(4140),
    [anon_sym___unused] = ACTIONS(4140),
    [anon_sym___weak] = ACTIONS(4140),
    [anon_sym_alignas] = ACTIONS(4140),
    [anon_sym__Alignas] = ACTIONS(4140),
    [sym_primitive_type] = ACTIONS(4140),
    [anon_sym_enum] = ACTIONS(4140),
    [anon_sym_COLON] = ACTIONS(4142),
    [anon_sym_struct] = ACTIONS(4140),
    [anon_sym_union] = ACTIONS(4140),
    [anon_sym_QMARK] = ACTIONS(4142),
    [anon_sym_DASH_DASH] = ACTIONS(4142),
    [anon_sym_PLUS_PLUS] = ACTIONS(4142),
    [anon_sym_DOT] = ACTIONS(4140),
    [anon_sym_DASH_GT] = ACTIONS(4142),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4140),
    [anon_sym___typeof] = ACTIONS(4140),
    [anon_sym_typeof] = ACTIONS(4140),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4140),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4140),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4140),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4140),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4140),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4140),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4140),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4140),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4140),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4140),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4140),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4140),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4140),
    [anon_sym_API_AVAILABLE] = ACTIONS(4140),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4140),
    [anon_sym_API_DEPRECATED] = ACTIONS(4140),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4140),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4140),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4140),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4140),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4140),
    [anon_sym___deprecated_msg] = ACTIONS(4140),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4140),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4140),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4140),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4140),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4140),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4140),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4140),
    [anon_sym_BOOL] = ACTIONS(4140),
    [anon_sym_IMP] = ACTIONS(4140),
    [anon_sym_SEL] = ACTIONS(4140),
    [anon_sym_Class] = ACTIONS(4140),
    [anon_sym_id] = ACTIONS(4140),
  },
  [1664] = {
    [sym_identifier] = ACTIONS(4144),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4146),
    [anon_sym_COMMA] = ACTIONS(4146),
    [anon_sym_RPAREN] = ACTIONS(4146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4146),
    [anon_sym_LPAREN2] = ACTIONS(4146),
    [anon_sym_DASH] = ACTIONS(4144),
    [anon_sym_PLUS] = ACTIONS(4144),
    [anon_sym_STAR] = ACTIONS(4146),
    [anon_sym_SLASH] = ACTIONS(4144),
    [anon_sym_PERCENT] = ACTIONS(4146),
    [anon_sym_PIPE_PIPE] = ACTIONS(4146),
    [anon_sym_AMP_AMP] = ACTIONS(4146),
    [anon_sym_PIPE] = ACTIONS(4144),
    [anon_sym_CARET] = ACTIONS(4146),
    [anon_sym_AMP] = ACTIONS(4144),
    [anon_sym_EQ_EQ] = ACTIONS(4146),
    [anon_sym_BANG_EQ] = ACTIONS(4146),
    [anon_sym_GT] = ACTIONS(4144),
    [anon_sym_GT_EQ] = ACTIONS(4146),
    [anon_sym_LT_EQ] = ACTIONS(4146),
    [anon_sym_LT] = ACTIONS(4144),
    [anon_sym_LT_LT] = ACTIONS(4146),
    [anon_sym_GT_GT] = ACTIONS(4146),
    [anon_sym_SEMI] = ACTIONS(4146),
    [anon_sym___extension__] = ACTIONS(4144),
    [anon_sym_extern] = ACTIONS(4144),
    [anon_sym___attribute__] = ACTIONS(4144),
    [anon_sym___attribute] = ACTIONS(4144),
    [anon_sym_noreturn] = ACTIONS(4144),
    [anon_sym_LBRACK] = ACTIONS(4146),
    [anon_sym_RBRACK] = ACTIONS(4146),
    [anon_sym___declspec] = ACTIONS(4144),
    [anon_sym_LBRACE] = ACTIONS(4146),
    [anon_sym_RBRACE] = ACTIONS(4146),
    [anon_sym_signed] = ACTIONS(4144),
    [anon_sym_unsigned] = ACTIONS(4144),
    [anon_sym_long] = ACTIONS(4144),
    [anon_sym_short] = ACTIONS(4144),
    [anon_sym_static] = ACTIONS(4144),
    [anon_sym_ATautoreleasepool] = ACTIONS(4146),
    [anon_sym_auto] = ACTIONS(4144),
    [anon_sym_register] = ACTIONS(4144),
    [anon_sym_inline] = ACTIONS(4144),
    [anon_sym___inline] = ACTIONS(4144),
    [anon_sym___inline__] = ACTIONS(4144),
    [anon_sym___forceinline] = ACTIONS(4144),
    [anon_sym_thread_local] = ACTIONS(4144),
    [anon_sym___thread] = ACTIONS(4144),
    [anon_sym_CG_EXTERN] = ACTIONS(4144),
    [anon_sym_CG_INLINE] = ACTIONS(4144),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4144),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4144),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4144),
    [anon_sym_IBOutlet] = ACTIONS(4144),
    [anon_sym_IBInspectable] = ACTIONS(4144),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4144),
    [anon_sym_NS_INLINE] = ACTIONS(4144),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4144),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4144),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4144),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4144),
    [anon_sym_const] = ACTIONS(4144),
    [anon_sym_constexpr] = ACTIONS(4144),
    [anon_sym_volatile] = ACTIONS(4144),
    [anon_sym_restrict] = ACTIONS(4144),
    [anon_sym___restrict__] = ACTIONS(4144),
    [anon_sym__Atomic] = ACTIONS(4144),
    [anon_sym__Noreturn] = ACTIONS(4144),
    [anon_sym__Nonnull] = ACTIONS(4144),
    [anon_sym_nullable] = ACTIONS(4144),
    [anon_sym__Complex] = ACTIONS(4144),
    [anon_sym__Nullable] = ACTIONS(4144),
    [anon_sym__Nullable_result] = ACTIONS(4144),
    [anon_sym__Null_unspecified] = ACTIONS(4144),
    [anon_sym___autoreleasing] = ACTIONS(4144),
    [anon_sym___block] = ACTIONS(4144),
    [anon_sym___bridge] = ACTIONS(4144),
    [anon_sym___bridge_retained] = ACTIONS(4144),
    [anon_sym___bridge_transfer] = ACTIONS(4144),
    [anon_sym___complex] = ACTIONS(4144),
    [anon_sym___const] = ACTIONS(4144),
    [anon_sym___imag] = ACTIONS(4144),
    [anon_sym___kindof] = ACTIONS(4144),
    [anon_sym___nonnull] = ACTIONS(4144),
    [anon_sym___nullable] = ACTIONS(4144),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4144),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4144),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4144),
    [anon_sym___real] = ACTIONS(4144),
    [anon_sym___strong] = ACTIONS(4144),
    [anon_sym___unsafe_unretained] = ACTIONS(4144),
    [anon_sym___unused] = ACTIONS(4144),
    [anon_sym___weak] = ACTIONS(4144),
    [anon_sym_alignas] = ACTIONS(4144),
    [anon_sym__Alignas] = ACTIONS(4144),
    [sym_primitive_type] = ACTIONS(4144),
    [anon_sym_enum] = ACTIONS(4144),
    [anon_sym_COLON] = ACTIONS(4146),
    [anon_sym_struct] = ACTIONS(4144),
    [anon_sym_union] = ACTIONS(4144),
    [anon_sym_QMARK] = ACTIONS(4146),
    [anon_sym_DASH_DASH] = ACTIONS(4146),
    [anon_sym_PLUS_PLUS] = ACTIONS(4146),
    [anon_sym_DOT] = ACTIONS(4144),
    [anon_sym_DASH_GT] = ACTIONS(4146),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4144),
    [anon_sym___typeof] = ACTIONS(4144),
    [anon_sym_typeof] = ACTIONS(4144),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4144),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4144),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4144),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4144),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4144),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4144),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4144),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4144),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4144),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4144),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4144),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4144),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4144),
    [anon_sym_API_AVAILABLE] = ACTIONS(4144),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4144),
    [anon_sym_API_DEPRECATED] = ACTIONS(4144),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4144),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4144),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4144),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4144),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4144),
    [anon_sym___deprecated_msg] = ACTIONS(4144),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4144),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4144),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4144),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4144),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4144),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4144),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4144),
    [anon_sym_BOOL] = ACTIONS(4144),
    [anon_sym_IMP] = ACTIONS(4144),
    [anon_sym_SEL] = ACTIONS(4144),
    [anon_sym_Class] = ACTIONS(4144),
    [anon_sym_id] = ACTIONS(4144),
  },
  [1665] = {
    [sym_identifier] = ACTIONS(4276),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4279),
    [anon_sym_COMMA] = ACTIONS(4279),
    [anon_sym_LPAREN2] = ACTIONS(4279),
    [anon_sym_DASH] = ACTIONS(4276),
    [anon_sym_PLUS] = ACTIONS(4276),
    [anon_sym_STAR] = ACTIONS(4279),
    [anon_sym_SLASH] = ACTIONS(4276),
    [anon_sym_PERCENT] = ACTIONS(4279),
    [anon_sym_PIPE_PIPE] = ACTIONS(4279),
    [anon_sym_AMP_AMP] = ACTIONS(4279),
    [anon_sym_PIPE] = ACTIONS(4276),
    [anon_sym_CARET] = ACTIONS(4279),
    [anon_sym_AMP] = ACTIONS(4276),
    [anon_sym_EQ_EQ] = ACTIONS(4279),
    [anon_sym_BANG_EQ] = ACTIONS(4279),
    [anon_sym_GT] = ACTIONS(4276),
    [anon_sym_GT_EQ] = ACTIONS(4279),
    [anon_sym_LT_EQ] = ACTIONS(4279),
    [anon_sym_LT] = ACTIONS(4276),
    [anon_sym_LT_LT] = ACTIONS(4279),
    [anon_sym_GT_GT] = ACTIONS(4279),
    [anon_sym_SEMI] = ACTIONS(4279),
    [anon_sym___extension__] = ACTIONS(4276),
    [anon_sym_extern] = ACTIONS(4276),
    [anon_sym___attribute__] = ACTIONS(4276),
    [anon_sym___attribute] = ACTIONS(4276),
    [anon_sym_noreturn] = ACTIONS(4276),
    [anon_sym_LBRACK] = ACTIONS(4279),
    [anon_sym___declspec] = ACTIONS(4276),
    [anon_sym_LBRACE] = ACTIONS(4279),
    [anon_sym_signed] = ACTIONS(4276),
    [anon_sym_unsigned] = ACTIONS(4276),
    [anon_sym_long] = ACTIONS(4276),
    [anon_sym_short] = ACTIONS(4276),
    [anon_sym_static] = ACTIONS(4276),
    [anon_sym_ATautoreleasepool] = ACTIONS(4279),
    [anon_sym_auto] = ACTIONS(4276),
    [anon_sym_register] = ACTIONS(4276),
    [anon_sym_inline] = ACTIONS(4276),
    [anon_sym___inline] = ACTIONS(4276),
    [anon_sym___inline__] = ACTIONS(4276),
    [anon_sym___forceinline] = ACTIONS(4276),
    [anon_sym_thread_local] = ACTIONS(4276),
    [anon_sym___thread] = ACTIONS(4276),
    [anon_sym_CG_EXTERN] = ACTIONS(4276),
    [anon_sym_CG_INLINE] = ACTIONS(4276),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4276),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4276),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4276),
    [anon_sym_IBOutlet] = ACTIONS(4276),
    [anon_sym_IBInspectable] = ACTIONS(4276),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4276),
    [anon_sym_NS_INLINE] = ACTIONS(4276),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4276),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4276),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4276),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4276),
    [anon_sym_const] = ACTIONS(4276),
    [anon_sym_constexpr] = ACTIONS(4276),
    [anon_sym_volatile] = ACTIONS(4276),
    [anon_sym_restrict] = ACTIONS(4276),
    [anon_sym___restrict__] = ACTIONS(4276),
    [anon_sym__Atomic] = ACTIONS(4276),
    [anon_sym__Noreturn] = ACTIONS(4276),
    [anon_sym__Nonnull] = ACTIONS(4276),
    [anon_sym_nullable] = ACTIONS(4276),
    [anon_sym__Complex] = ACTIONS(4276),
    [anon_sym__Nullable] = ACTIONS(4276),
    [anon_sym__Nullable_result] = ACTIONS(4276),
    [anon_sym__Null_unspecified] = ACTIONS(4276),
    [anon_sym___autoreleasing] = ACTIONS(4276),
    [anon_sym___block] = ACTIONS(4276),
    [anon_sym___bridge] = ACTIONS(4276),
    [anon_sym___bridge_retained] = ACTIONS(4276),
    [anon_sym___bridge_transfer] = ACTIONS(4276),
    [anon_sym___complex] = ACTIONS(4276),
    [anon_sym___const] = ACTIONS(4276),
    [anon_sym___imag] = ACTIONS(4276),
    [anon_sym___kindof] = ACTIONS(4276),
    [anon_sym___nonnull] = ACTIONS(4276),
    [anon_sym___nullable] = ACTIONS(4276),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4276),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4276),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4276),
    [anon_sym___real] = ACTIONS(4276),
    [anon_sym___strong] = ACTIONS(4276),
    [anon_sym___unsafe_unretained] = ACTIONS(4276),
    [anon_sym___unused] = ACTIONS(4276),
    [anon_sym___weak] = ACTIONS(4276),
    [anon_sym_alignas] = ACTIONS(4276),
    [anon_sym__Alignas] = ACTIONS(4276),
    [sym_primitive_type] = ACTIONS(4276),
    [anon_sym_enum] = ACTIONS(4276),
    [anon_sym_struct] = ACTIONS(4276),
    [anon_sym_union] = ACTIONS(4276),
    [anon_sym_QMARK] = ACTIONS(4279),
    [anon_sym_DASH_DASH] = ACTIONS(4279),
    [anon_sym_PLUS_PLUS] = ACTIONS(4279),
    [anon_sym_DOT] = ACTIONS(4276),
    [anon_sym_DASH_GT] = ACTIONS(4279),
    [anon_sym_AT] = ACTIONS(4276),
    [anon_sym_DQUOTE] = ACTIONS(4279),
    [anon_sym_L_DQUOTE] = ACTIONS(4279),
    [anon_sym_u_DQUOTE] = ACTIONS(4279),
    [anon_sym_U_DQUOTE] = ACTIONS(4279),
    [anon_sym_u8_DQUOTE] = ACTIONS(4279),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4276),
    [anon_sym___typeof] = ACTIONS(4276),
    [anon_sym_typeof] = ACTIONS(4276),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4276),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4276),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4276),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4276),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4276),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4276),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4276),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4276),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4276),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4276),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4276),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4276),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4276),
    [anon_sym_API_AVAILABLE] = ACTIONS(4276),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4276),
    [anon_sym_API_DEPRECATED] = ACTIONS(4276),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4276),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4276),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4276),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4276),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4276),
    [anon_sym___deprecated_msg] = ACTIONS(4276),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4276),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4276),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4276),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4276),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4276),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4276),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4276),
    [anon_sym_BOOL] = ACTIONS(4276),
    [anon_sym_IMP] = ACTIONS(4276),
    [anon_sym_SEL] = ACTIONS(4276),
    [anon_sym_Class] = ACTIONS(4276),
    [anon_sym_id] = ACTIONS(4276),
  },
  [1666] = {
    [sym_identifier] = ACTIONS(4268),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4270),
    [anon_sym_COMMA] = ACTIONS(4270),
    [anon_sym_RPAREN] = ACTIONS(4270),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4270),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4270),
    [anon_sym_LPAREN2] = ACTIONS(4270),
    [anon_sym_DASH] = ACTIONS(4268),
    [anon_sym_PLUS] = ACTIONS(4268),
    [anon_sym_STAR] = ACTIONS(4270),
    [anon_sym_SLASH] = ACTIONS(4268),
    [anon_sym_PERCENT] = ACTIONS(4270),
    [anon_sym_PIPE_PIPE] = ACTIONS(4270),
    [anon_sym_AMP_AMP] = ACTIONS(4270),
    [anon_sym_PIPE] = ACTIONS(4268),
    [anon_sym_CARET] = ACTIONS(4270),
    [anon_sym_AMP] = ACTIONS(4268),
    [anon_sym_EQ_EQ] = ACTIONS(4270),
    [anon_sym_BANG_EQ] = ACTIONS(4270),
    [anon_sym_GT] = ACTIONS(4268),
    [anon_sym_GT_EQ] = ACTIONS(4270),
    [anon_sym_LT_EQ] = ACTIONS(4270),
    [anon_sym_LT] = ACTIONS(4268),
    [anon_sym_LT_LT] = ACTIONS(4270),
    [anon_sym_GT_GT] = ACTIONS(4270),
    [anon_sym_SEMI] = ACTIONS(4270),
    [anon_sym___extension__] = ACTIONS(4268),
    [anon_sym_extern] = ACTIONS(4268),
    [anon_sym___attribute__] = ACTIONS(4268),
    [anon_sym___attribute] = ACTIONS(4268),
    [anon_sym_noreturn] = ACTIONS(4268),
    [anon_sym_LBRACK] = ACTIONS(4270),
    [anon_sym_RBRACK] = ACTIONS(4270),
    [anon_sym___declspec] = ACTIONS(4268),
    [anon_sym_LBRACE] = ACTIONS(4270),
    [anon_sym_RBRACE] = ACTIONS(4270),
    [anon_sym_signed] = ACTIONS(4268),
    [anon_sym_unsigned] = ACTIONS(4268),
    [anon_sym_long] = ACTIONS(4268),
    [anon_sym_short] = ACTIONS(4268),
    [anon_sym_static] = ACTIONS(4268),
    [anon_sym_ATautoreleasepool] = ACTIONS(4270),
    [anon_sym_auto] = ACTIONS(4268),
    [anon_sym_register] = ACTIONS(4268),
    [anon_sym_inline] = ACTIONS(4268),
    [anon_sym___inline] = ACTIONS(4268),
    [anon_sym___inline__] = ACTIONS(4268),
    [anon_sym___forceinline] = ACTIONS(4268),
    [anon_sym_thread_local] = ACTIONS(4268),
    [anon_sym___thread] = ACTIONS(4268),
    [anon_sym_CG_EXTERN] = ACTIONS(4268),
    [anon_sym_CG_INLINE] = ACTIONS(4268),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4268),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4268),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4268),
    [anon_sym_IBOutlet] = ACTIONS(4268),
    [anon_sym_IBInspectable] = ACTIONS(4268),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4268),
    [anon_sym_NS_INLINE] = ACTIONS(4268),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4268),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4268),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4268),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4268),
    [anon_sym_const] = ACTIONS(4268),
    [anon_sym_constexpr] = ACTIONS(4268),
    [anon_sym_volatile] = ACTIONS(4268),
    [anon_sym_restrict] = ACTIONS(4268),
    [anon_sym___restrict__] = ACTIONS(4268),
    [anon_sym__Atomic] = ACTIONS(4268),
    [anon_sym__Noreturn] = ACTIONS(4268),
    [anon_sym__Nonnull] = ACTIONS(4268),
    [anon_sym_nullable] = ACTIONS(4268),
    [anon_sym__Complex] = ACTIONS(4268),
    [anon_sym__Nullable] = ACTIONS(4268),
    [anon_sym__Nullable_result] = ACTIONS(4268),
    [anon_sym__Null_unspecified] = ACTIONS(4268),
    [anon_sym___autoreleasing] = ACTIONS(4268),
    [anon_sym___block] = ACTIONS(4268),
    [anon_sym___bridge] = ACTIONS(4268),
    [anon_sym___bridge_retained] = ACTIONS(4268),
    [anon_sym___bridge_transfer] = ACTIONS(4268),
    [anon_sym___complex] = ACTIONS(4268),
    [anon_sym___const] = ACTIONS(4268),
    [anon_sym___imag] = ACTIONS(4268),
    [anon_sym___kindof] = ACTIONS(4268),
    [anon_sym___nonnull] = ACTIONS(4268),
    [anon_sym___nullable] = ACTIONS(4268),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4268),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4268),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4268),
    [anon_sym___real] = ACTIONS(4268),
    [anon_sym___strong] = ACTIONS(4268),
    [anon_sym___unsafe_unretained] = ACTIONS(4268),
    [anon_sym___unused] = ACTIONS(4268),
    [anon_sym___weak] = ACTIONS(4268),
    [anon_sym_alignas] = ACTIONS(4268),
    [anon_sym__Alignas] = ACTIONS(4268),
    [sym_primitive_type] = ACTIONS(4268),
    [anon_sym_enum] = ACTIONS(4268),
    [anon_sym_COLON] = ACTIONS(4270),
    [anon_sym_struct] = ACTIONS(4268),
    [anon_sym_union] = ACTIONS(4268),
    [anon_sym_QMARK] = ACTIONS(4270),
    [anon_sym_DASH_DASH] = ACTIONS(4270),
    [anon_sym_PLUS_PLUS] = ACTIONS(4270),
    [anon_sym_DOT] = ACTIONS(4268),
    [anon_sym_DASH_GT] = ACTIONS(4270),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4268),
    [anon_sym___typeof] = ACTIONS(4268),
    [anon_sym_typeof] = ACTIONS(4268),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4268),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4268),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4268),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4268),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4268),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4268),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4268),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4268),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4268),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4268),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4268),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4268),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4268),
    [anon_sym_API_AVAILABLE] = ACTIONS(4268),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4268),
    [anon_sym_API_DEPRECATED] = ACTIONS(4268),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4268),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4268),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4268),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4268),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4268),
    [anon_sym___deprecated_msg] = ACTIONS(4268),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4268),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4268),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4268),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4268),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4268),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4268),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4268),
    [anon_sym_BOOL] = ACTIONS(4268),
    [anon_sym_IMP] = ACTIONS(4268),
    [anon_sym_SEL] = ACTIONS(4268),
    [anon_sym_Class] = ACTIONS(4268),
    [anon_sym_id] = ACTIONS(4268),
  },
  [1667] = {
    [sym_identifier] = ACTIONS(4252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4254),
    [anon_sym_COMMA] = ACTIONS(4254),
    [anon_sym_RPAREN] = ACTIONS(4254),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4254),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4254),
    [anon_sym_LPAREN2] = ACTIONS(4254),
    [anon_sym_DASH] = ACTIONS(4252),
    [anon_sym_PLUS] = ACTIONS(4252),
    [anon_sym_STAR] = ACTIONS(4254),
    [anon_sym_SLASH] = ACTIONS(4252),
    [anon_sym_PERCENT] = ACTIONS(4254),
    [anon_sym_PIPE_PIPE] = ACTIONS(4254),
    [anon_sym_AMP_AMP] = ACTIONS(4254),
    [anon_sym_PIPE] = ACTIONS(4252),
    [anon_sym_CARET] = ACTIONS(4254),
    [anon_sym_AMP] = ACTIONS(4252),
    [anon_sym_EQ_EQ] = ACTIONS(4254),
    [anon_sym_BANG_EQ] = ACTIONS(4254),
    [anon_sym_GT] = ACTIONS(4252),
    [anon_sym_GT_EQ] = ACTIONS(4254),
    [anon_sym_LT_EQ] = ACTIONS(4254),
    [anon_sym_LT] = ACTIONS(4252),
    [anon_sym_LT_LT] = ACTIONS(4254),
    [anon_sym_GT_GT] = ACTIONS(4254),
    [anon_sym_SEMI] = ACTIONS(4254),
    [anon_sym___extension__] = ACTIONS(4252),
    [anon_sym_extern] = ACTIONS(4252),
    [anon_sym___attribute__] = ACTIONS(4252),
    [anon_sym___attribute] = ACTIONS(4252),
    [anon_sym_noreturn] = ACTIONS(4252),
    [anon_sym_LBRACK] = ACTIONS(4254),
    [anon_sym_RBRACK] = ACTIONS(4254),
    [anon_sym___declspec] = ACTIONS(4252),
    [anon_sym_LBRACE] = ACTIONS(4254),
    [anon_sym_RBRACE] = ACTIONS(4254),
    [anon_sym_signed] = ACTIONS(4252),
    [anon_sym_unsigned] = ACTIONS(4252),
    [anon_sym_long] = ACTIONS(4252),
    [anon_sym_short] = ACTIONS(4252),
    [anon_sym_static] = ACTIONS(4252),
    [anon_sym_ATautoreleasepool] = ACTIONS(4254),
    [anon_sym_auto] = ACTIONS(4252),
    [anon_sym_register] = ACTIONS(4252),
    [anon_sym_inline] = ACTIONS(4252),
    [anon_sym___inline] = ACTIONS(4252),
    [anon_sym___inline__] = ACTIONS(4252),
    [anon_sym___forceinline] = ACTIONS(4252),
    [anon_sym_thread_local] = ACTIONS(4252),
    [anon_sym___thread] = ACTIONS(4252),
    [anon_sym_CG_EXTERN] = ACTIONS(4252),
    [anon_sym_CG_INLINE] = ACTIONS(4252),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4252),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4252),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4252),
    [anon_sym_IBOutlet] = ACTIONS(4252),
    [anon_sym_IBInspectable] = ACTIONS(4252),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4252),
    [anon_sym_NS_INLINE] = ACTIONS(4252),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4252),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4252),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4252),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4252),
    [anon_sym_const] = ACTIONS(4252),
    [anon_sym_constexpr] = ACTIONS(4252),
    [anon_sym_volatile] = ACTIONS(4252),
    [anon_sym_restrict] = ACTIONS(4252),
    [anon_sym___restrict__] = ACTIONS(4252),
    [anon_sym__Atomic] = ACTIONS(4252),
    [anon_sym__Noreturn] = ACTIONS(4252),
    [anon_sym__Nonnull] = ACTIONS(4252),
    [anon_sym_nullable] = ACTIONS(4252),
    [anon_sym__Complex] = ACTIONS(4252),
    [anon_sym__Nullable] = ACTIONS(4252),
    [anon_sym__Nullable_result] = ACTIONS(4252),
    [anon_sym__Null_unspecified] = ACTIONS(4252),
    [anon_sym___autoreleasing] = ACTIONS(4252),
    [anon_sym___block] = ACTIONS(4252),
    [anon_sym___bridge] = ACTIONS(4252),
    [anon_sym___bridge_retained] = ACTIONS(4252),
    [anon_sym___bridge_transfer] = ACTIONS(4252),
    [anon_sym___complex] = ACTIONS(4252),
    [anon_sym___const] = ACTIONS(4252),
    [anon_sym___imag] = ACTIONS(4252),
    [anon_sym___kindof] = ACTIONS(4252),
    [anon_sym___nonnull] = ACTIONS(4252),
    [anon_sym___nullable] = ACTIONS(4252),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4252),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4252),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4252),
    [anon_sym___real] = ACTIONS(4252),
    [anon_sym___strong] = ACTIONS(4252),
    [anon_sym___unsafe_unretained] = ACTIONS(4252),
    [anon_sym___unused] = ACTIONS(4252),
    [anon_sym___weak] = ACTIONS(4252),
    [anon_sym_alignas] = ACTIONS(4252),
    [anon_sym__Alignas] = ACTIONS(4252),
    [sym_primitive_type] = ACTIONS(4252),
    [anon_sym_enum] = ACTIONS(4252),
    [anon_sym_COLON] = ACTIONS(4254),
    [anon_sym_struct] = ACTIONS(4252),
    [anon_sym_union] = ACTIONS(4252),
    [anon_sym_QMARK] = ACTIONS(4254),
    [anon_sym_DASH_DASH] = ACTIONS(4254),
    [anon_sym_PLUS_PLUS] = ACTIONS(4254),
    [anon_sym_DOT] = ACTIONS(4252),
    [anon_sym_DASH_GT] = ACTIONS(4254),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4252),
    [anon_sym___typeof] = ACTIONS(4252),
    [anon_sym_typeof] = ACTIONS(4252),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4252),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4252),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4252),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4252),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4252),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4252),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4252),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4252),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4252),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4252),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4252),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4252),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4252),
    [anon_sym_API_AVAILABLE] = ACTIONS(4252),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4252),
    [anon_sym_API_DEPRECATED] = ACTIONS(4252),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4252),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4252),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4252),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4252),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4252),
    [anon_sym___deprecated_msg] = ACTIONS(4252),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4252),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4252),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4252),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4252),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4252),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4252),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4252),
    [anon_sym_BOOL] = ACTIONS(4252),
    [anon_sym_IMP] = ACTIONS(4252),
    [anon_sym_SEL] = ACTIONS(4252),
    [anon_sym_Class] = ACTIONS(4252),
    [anon_sym_id] = ACTIONS(4252),
  },
  [1668] = {
    [sym_identifier] = ACTIONS(4286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4288),
    [anon_sym_COMMA] = ACTIONS(4288),
    [anon_sym_RPAREN] = ACTIONS(4288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4288),
    [anon_sym_LPAREN2] = ACTIONS(4288),
    [anon_sym_DASH] = ACTIONS(4286),
    [anon_sym_PLUS] = ACTIONS(4286),
    [anon_sym_STAR] = ACTIONS(4288),
    [anon_sym_SLASH] = ACTIONS(4286),
    [anon_sym_PERCENT] = ACTIONS(4288),
    [anon_sym_PIPE_PIPE] = ACTIONS(4288),
    [anon_sym_AMP_AMP] = ACTIONS(4288),
    [anon_sym_PIPE] = ACTIONS(4286),
    [anon_sym_CARET] = ACTIONS(4288),
    [anon_sym_AMP] = ACTIONS(4286),
    [anon_sym_EQ_EQ] = ACTIONS(4288),
    [anon_sym_BANG_EQ] = ACTIONS(4288),
    [anon_sym_GT] = ACTIONS(4286),
    [anon_sym_GT_EQ] = ACTIONS(4288),
    [anon_sym_LT_EQ] = ACTIONS(4288),
    [anon_sym_LT] = ACTIONS(4286),
    [anon_sym_LT_LT] = ACTIONS(4288),
    [anon_sym_GT_GT] = ACTIONS(4288),
    [anon_sym_SEMI] = ACTIONS(4288),
    [anon_sym___extension__] = ACTIONS(4286),
    [anon_sym_extern] = ACTIONS(4286),
    [anon_sym___attribute__] = ACTIONS(4286),
    [anon_sym___attribute] = ACTIONS(4286),
    [anon_sym_noreturn] = ACTIONS(4286),
    [anon_sym_LBRACK] = ACTIONS(4288),
    [anon_sym_RBRACK] = ACTIONS(4288),
    [anon_sym___declspec] = ACTIONS(4286),
    [anon_sym_LBRACE] = ACTIONS(4288),
    [anon_sym_RBRACE] = ACTIONS(4288),
    [anon_sym_signed] = ACTIONS(4286),
    [anon_sym_unsigned] = ACTIONS(4286),
    [anon_sym_long] = ACTIONS(4286),
    [anon_sym_short] = ACTIONS(4286),
    [anon_sym_static] = ACTIONS(4286),
    [anon_sym_ATautoreleasepool] = ACTIONS(4288),
    [anon_sym_auto] = ACTIONS(4286),
    [anon_sym_register] = ACTIONS(4286),
    [anon_sym_inline] = ACTIONS(4286),
    [anon_sym___inline] = ACTIONS(4286),
    [anon_sym___inline__] = ACTIONS(4286),
    [anon_sym___forceinline] = ACTIONS(4286),
    [anon_sym_thread_local] = ACTIONS(4286),
    [anon_sym___thread] = ACTIONS(4286),
    [anon_sym_CG_EXTERN] = ACTIONS(4286),
    [anon_sym_CG_INLINE] = ACTIONS(4286),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4286),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4286),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4286),
    [anon_sym_IBOutlet] = ACTIONS(4286),
    [anon_sym_IBInspectable] = ACTIONS(4286),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4286),
    [anon_sym_NS_INLINE] = ACTIONS(4286),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4286),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4286),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4286),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4286),
    [anon_sym_const] = ACTIONS(4286),
    [anon_sym_constexpr] = ACTIONS(4286),
    [anon_sym_volatile] = ACTIONS(4286),
    [anon_sym_restrict] = ACTIONS(4286),
    [anon_sym___restrict__] = ACTIONS(4286),
    [anon_sym__Atomic] = ACTIONS(4286),
    [anon_sym__Noreturn] = ACTIONS(4286),
    [anon_sym__Nonnull] = ACTIONS(4286),
    [anon_sym_nullable] = ACTIONS(4286),
    [anon_sym__Complex] = ACTIONS(4286),
    [anon_sym__Nullable] = ACTIONS(4286),
    [anon_sym__Nullable_result] = ACTIONS(4286),
    [anon_sym__Null_unspecified] = ACTIONS(4286),
    [anon_sym___autoreleasing] = ACTIONS(4286),
    [anon_sym___block] = ACTIONS(4286),
    [anon_sym___bridge] = ACTIONS(4286),
    [anon_sym___bridge_retained] = ACTIONS(4286),
    [anon_sym___bridge_transfer] = ACTIONS(4286),
    [anon_sym___complex] = ACTIONS(4286),
    [anon_sym___const] = ACTIONS(4286),
    [anon_sym___imag] = ACTIONS(4286),
    [anon_sym___kindof] = ACTIONS(4286),
    [anon_sym___nonnull] = ACTIONS(4286),
    [anon_sym___nullable] = ACTIONS(4286),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4286),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4286),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4286),
    [anon_sym___real] = ACTIONS(4286),
    [anon_sym___strong] = ACTIONS(4286),
    [anon_sym___unsafe_unretained] = ACTIONS(4286),
    [anon_sym___unused] = ACTIONS(4286),
    [anon_sym___weak] = ACTIONS(4286),
    [anon_sym_alignas] = ACTIONS(4286),
    [anon_sym__Alignas] = ACTIONS(4286),
    [sym_primitive_type] = ACTIONS(4286),
    [anon_sym_enum] = ACTIONS(4286),
    [anon_sym_COLON] = ACTIONS(4288),
    [anon_sym_struct] = ACTIONS(4286),
    [anon_sym_union] = ACTIONS(4286),
    [anon_sym_QMARK] = ACTIONS(4288),
    [anon_sym_DASH_DASH] = ACTIONS(4288),
    [anon_sym_PLUS_PLUS] = ACTIONS(4288),
    [anon_sym_DOT] = ACTIONS(4286),
    [anon_sym_DASH_GT] = ACTIONS(4288),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4286),
    [anon_sym___typeof] = ACTIONS(4286),
    [anon_sym_typeof] = ACTIONS(4286),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4286),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4286),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4286),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4286),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4286),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4286),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4286),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4286),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4286),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4286),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4286),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4286),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4286),
    [anon_sym_API_AVAILABLE] = ACTIONS(4286),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4286),
    [anon_sym_API_DEPRECATED] = ACTIONS(4286),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4286),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4286),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4286),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4286),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4286),
    [anon_sym___deprecated_msg] = ACTIONS(4286),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4286),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4286),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4286),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4286),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4286),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4286),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4286),
    [anon_sym_BOOL] = ACTIONS(4286),
    [anon_sym_IMP] = ACTIONS(4286),
    [anon_sym_SEL] = ACTIONS(4286),
    [anon_sym_Class] = ACTIONS(4286),
    [anon_sym_id] = ACTIONS(4286),
  },
  [1669] = {
    [sym_identifier] = ACTIONS(4042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4044),
    [anon_sym_COMMA] = ACTIONS(4044),
    [anon_sym_RPAREN] = ACTIONS(4044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4044),
    [anon_sym_LPAREN2] = ACTIONS(4044),
    [anon_sym_DASH] = ACTIONS(4042),
    [anon_sym_PLUS] = ACTIONS(4042),
    [anon_sym_STAR] = ACTIONS(4044),
    [anon_sym_SLASH] = ACTIONS(4042),
    [anon_sym_PERCENT] = ACTIONS(4044),
    [anon_sym_PIPE_PIPE] = ACTIONS(4044),
    [anon_sym_AMP_AMP] = ACTIONS(4044),
    [anon_sym_PIPE] = ACTIONS(4042),
    [anon_sym_CARET] = ACTIONS(4044),
    [anon_sym_AMP] = ACTIONS(4042),
    [anon_sym_EQ_EQ] = ACTIONS(4044),
    [anon_sym_BANG_EQ] = ACTIONS(4044),
    [anon_sym_GT] = ACTIONS(4042),
    [anon_sym_GT_EQ] = ACTIONS(4044),
    [anon_sym_LT_EQ] = ACTIONS(4044),
    [anon_sym_LT] = ACTIONS(4042),
    [anon_sym_LT_LT] = ACTIONS(4044),
    [anon_sym_GT_GT] = ACTIONS(4044),
    [anon_sym_SEMI] = ACTIONS(4044),
    [anon_sym___extension__] = ACTIONS(4042),
    [anon_sym_extern] = ACTIONS(4042),
    [anon_sym___attribute__] = ACTIONS(4042),
    [anon_sym___attribute] = ACTIONS(4042),
    [anon_sym_noreturn] = ACTIONS(4042),
    [anon_sym_LBRACK] = ACTIONS(4044),
    [anon_sym_RBRACK] = ACTIONS(4044),
    [anon_sym___declspec] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4044),
    [anon_sym_RBRACE] = ACTIONS(4044),
    [anon_sym_signed] = ACTIONS(4042),
    [anon_sym_unsigned] = ACTIONS(4042),
    [anon_sym_long] = ACTIONS(4042),
    [anon_sym_short] = ACTIONS(4042),
    [anon_sym_static] = ACTIONS(4042),
    [anon_sym_ATautoreleasepool] = ACTIONS(4044),
    [anon_sym_auto] = ACTIONS(4042),
    [anon_sym_register] = ACTIONS(4042),
    [anon_sym_inline] = ACTIONS(4042),
    [anon_sym___inline] = ACTIONS(4042),
    [anon_sym___inline__] = ACTIONS(4042),
    [anon_sym___forceinline] = ACTIONS(4042),
    [anon_sym_thread_local] = ACTIONS(4042),
    [anon_sym___thread] = ACTIONS(4042),
    [anon_sym_CG_EXTERN] = ACTIONS(4042),
    [anon_sym_CG_INLINE] = ACTIONS(4042),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4042),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4042),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4042),
    [anon_sym_IBOutlet] = ACTIONS(4042),
    [anon_sym_IBInspectable] = ACTIONS(4042),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4042),
    [anon_sym_NS_INLINE] = ACTIONS(4042),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4042),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4042),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4042),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4042),
    [anon_sym_const] = ACTIONS(4042),
    [anon_sym_constexpr] = ACTIONS(4042),
    [anon_sym_volatile] = ACTIONS(4042),
    [anon_sym_restrict] = ACTIONS(4042),
    [anon_sym___restrict__] = ACTIONS(4042),
    [anon_sym__Atomic] = ACTIONS(4042),
    [anon_sym__Noreturn] = ACTIONS(4042),
    [anon_sym__Nonnull] = ACTIONS(4042),
    [anon_sym_nullable] = ACTIONS(4042),
    [anon_sym__Complex] = ACTIONS(4042),
    [anon_sym__Nullable] = ACTIONS(4042),
    [anon_sym__Nullable_result] = ACTIONS(4042),
    [anon_sym__Null_unspecified] = ACTIONS(4042),
    [anon_sym___autoreleasing] = ACTIONS(4042),
    [anon_sym___block] = ACTIONS(4042),
    [anon_sym___bridge] = ACTIONS(4042),
    [anon_sym___bridge_retained] = ACTIONS(4042),
    [anon_sym___bridge_transfer] = ACTIONS(4042),
    [anon_sym___complex] = ACTIONS(4042),
    [anon_sym___const] = ACTIONS(4042),
    [anon_sym___imag] = ACTIONS(4042),
    [anon_sym___kindof] = ACTIONS(4042),
    [anon_sym___nonnull] = ACTIONS(4042),
    [anon_sym___nullable] = ACTIONS(4042),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4042),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4042),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4042),
    [anon_sym___real] = ACTIONS(4042),
    [anon_sym___strong] = ACTIONS(4042),
    [anon_sym___unsafe_unretained] = ACTIONS(4042),
    [anon_sym___unused] = ACTIONS(4042),
    [anon_sym___weak] = ACTIONS(4042),
    [anon_sym_alignas] = ACTIONS(4042),
    [anon_sym__Alignas] = ACTIONS(4042),
    [sym_primitive_type] = ACTIONS(4042),
    [anon_sym_enum] = ACTIONS(4042),
    [anon_sym_COLON] = ACTIONS(4044),
    [anon_sym_struct] = ACTIONS(4042),
    [anon_sym_union] = ACTIONS(4042),
    [anon_sym_QMARK] = ACTIONS(4044),
    [anon_sym_DASH_DASH] = ACTIONS(4044),
    [anon_sym_PLUS_PLUS] = ACTIONS(4044),
    [anon_sym_DOT] = ACTIONS(4042),
    [anon_sym_DASH_GT] = ACTIONS(4044),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4042),
    [anon_sym___typeof] = ACTIONS(4042),
    [anon_sym_typeof] = ACTIONS(4042),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4042),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4042),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4042),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4042),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4042),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4042),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4042),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4042),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4042),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4042),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4042),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4042),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4042),
    [anon_sym_API_AVAILABLE] = ACTIONS(4042),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4042),
    [anon_sym_API_DEPRECATED] = ACTIONS(4042),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4042),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4042),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4042),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4042),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4042),
    [anon_sym___deprecated_msg] = ACTIONS(4042),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4042),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4042),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4042),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4042),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4042),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4042),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4042),
    [anon_sym_BOOL] = ACTIONS(4042),
    [anon_sym_IMP] = ACTIONS(4042),
    [anon_sym_SEL] = ACTIONS(4042),
    [anon_sym_Class] = ACTIONS(4042),
    [anon_sym_id] = ACTIONS(4042),
  },
  [1670] = {
    [sym_identifier] = ACTIONS(4228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4230),
    [anon_sym_COMMA] = ACTIONS(4230),
    [anon_sym_RPAREN] = ACTIONS(4230),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4230),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4230),
    [anon_sym_LPAREN2] = ACTIONS(4230),
    [anon_sym_DASH] = ACTIONS(4228),
    [anon_sym_PLUS] = ACTIONS(4228),
    [anon_sym_STAR] = ACTIONS(4230),
    [anon_sym_SLASH] = ACTIONS(4228),
    [anon_sym_PERCENT] = ACTIONS(4230),
    [anon_sym_PIPE_PIPE] = ACTIONS(4230),
    [anon_sym_AMP_AMP] = ACTIONS(4230),
    [anon_sym_PIPE] = ACTIONS(4228),
    [anon_sym_CARET] = ACTIONS(4230),
    [anon_sym_AMP] = ACTIONS(4228),
    [anon_sym_EQ_EQ] = ACTIONS(4230),
    [anon_sym_BANG_EQ] = ACTIONS(4230),
    [anon_sym_GT] = ACTIONS(4228),
    [anon_sym_GT_EQ] = ACTIONS(4230),
    [anon_sym_LT_EQ] = ACTIONS(4230),
    [anon_sym_LT] = ACTIONS(4228),
    [anon_sym_LT_LT] = ACTIONS(4230),
    [anon_sym_GT_GT] = ACTIONS(4230),
    [anon_sym_SEMI] = ACTIONS(4230),
    [anon_sym___extension__] = ACTIONS(4228),
    [anon_sym_extern] = ACTIONS(4228),
    [anon_sym___attribute__] = ACTIONS(4228),
    [anon_sym___attribute] = ACTIONS(4228),
    [anon_sym_noreturn] = ACTIONS(4228),
    [anon_sym_LBRACK] = ACTIONS(4230),
    [anon_sym_RBRACK] = ACTIONS(4230),
    [anon_sym___declspec] = ACTIONS(4228),
    [anon_sym_LBRACE] = ACTIONS(4230),
    [anon_sym_RBRACE] = ACTIONS(4230),
    [anon_sym_signed] = ACTIONS(4228),
    [anon_sym_unsigned] = ACTIONS(4228),
    [anon_sym_long] = ACTIONS(4228),
    [anon_sym_short] = ACTIONS(4228),
    [anon_sym_static] = ACTIONS(4228),
    [anon_sym_ATautoreleasepool] = ACTIONS(4230),
    [anon_sym_auto] = ACTIONS(4228),
    [anon_sym_register] = ACTIONS(4228),
    [anon_sym_inline] = ACTIONS(4228),
    [anon_sym___inline] = ACTIONS(4228),
    [anon_sym___inline__] = ACTIONS(4228),
    [anon_sym___forceinline] = ACTIONS(4228),
    [anon_sym_thread_local] = ACTIONS(4228),
    [anon_sym___thread] = ACTIONS(4228),
    [anon_sym_CG_EXTERN] = ACTIONS(4228),
    [anon_sym_CG_INLINE] = ACTIONS(4228),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4228),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4228),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4228),
    [anon_sym_IBOutlet] = ACTIONS(4228),
    [anon_sym_IBInspectable] = ACTIONS(4228),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4228),
    [anon_sym_NS_INLINE] = ACTIONS(4228),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4228),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4228),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4228),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4228),
    [anon_sym_const] = ACTIONS(4228),
    [anon_sym_constexpr] = ACTIONS(4228),
    [anon_sym_volatile] = ACTIONS(4228),
    [anon_sym_restrict] = ACTIONS(4228),
    [anon_sym___restrict__] = ACTIONS(4228),
    [anon_sym__Atomic] = ACTIONS(4228),
    [anon_sym__Noreturn] = ACTIONS(4228),
    [anon_sym__Nonnull] = ACTIONS(4228),
    [anon_sym_nullable] = ACTIONS(4228),
    [anon_sym__Complex] = ACTIONS(4228),
    [anon_sym__Nullable] = ACTIONS(4228),
    [anon_sym__Nullable_result] = ACTIONS(4228),
    [anon_sym__Null_unspecified] = ACTIONS(4228),
    [anon_sym___autoreleasing] = ACTIONS(4228),
    [anon_sym___block] = ACTIONS(4228),
    [anon_sym___bridge] = ACTIONS(4228),
    [anon_sym___bridge_retained] = ACTIONS(4228),
    [anon_sym___bridge_transfer] = ACTIONS(4228),
    [anon_sym___complex] = ACTIONS(4228),
    [anon_sym___const] = ACTIONS(4228),
    [anon_sym___imag] = ACTIONS(4228),
    [anon_sym___kindof] = ACTIONS(4228),
    [anon_sym___nonnull] = ACTIONS(4228),
    [anon_sym___nullable] = ACTIONS(4228),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4228),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4228),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4228),
    [anon_sym___real] = ACTIONS(4228),
    [anon_sym___strong] = ACTIONS(4228),
    [anon_sym___unsafe_unretained] = ACTIONS(4228),
    [anon_sym___unused] = ACTIONS(4228),
    [anon_sym___weak] = ACTIONS(4228),
    [anon_sym_alignas] = ACTIONS(4228),
    [anon_sym__Alignas] = ACTIONS(4228),
    [sym_primitive_type] = ACTIONS(4228),
    [anon_sym_enum] = ACTIONS(4228),
    [anon_sym_COLON] = ACTIONS(4230),
    [anon_sym_struct] = ACTIONS(4228),
    [anon_sym_union] = ACTIONS(4228),
    [anon_sym_QMARK] = ACTIONS(4230),
    [anon_sym_DASH_DASH] = ACTIONS(4230),
    [anon_sym_PLUS_PLUS] = ACTIONS(4230),
    [anon_sym_DOT] = ACTIONS(4228),
    [anon_sym_DASH_GT] = ACTIONS(4230),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4228),
    [anon_sym___typeof] = ACTIONS(4228),
    [anon_sym_typeof] = ACTIONS(4228),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4228),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4228),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4228),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4228),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4228),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4228),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4228),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4228),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4228),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4228),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4228),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4228),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4228),
    [anon_sym_API_AVAILABLE] = ACTIONS(4228),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4228),
    [anon_sym_API_DEPRECATED] = ACTIONS(4228),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4228),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4228),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4228),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4228),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4228),
    [anon_sym___deprecated_msg] = ACTIONS(4228),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4228),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4228),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4228),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4228),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4228),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4228),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4228),
    [anon_sym_BOOL] = ACTIONS(4228),
    [anon_sym_IMP] = ACTIONS(4228),
    [anon_sym_SEL] = ACTIONS(4228),
    [anon_sym_Class] = ACTIONS(4228),
    [anon_sym_id] = ACTIONS(4228),
  },
  [1671] = {
    [sym_identifier] = ACTIONS(4136),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4138),
    [anon_sym_COMMA] = ACTIONS(4138),
    [anon_sym_RPAREN] = ACTIONS(4138),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4138),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4138),
    [anon_sym_LPAREN2] = ACTIONS(4138),
    [anon_sym_DASH] = ACTIONS(4136),
    [anon_sym_PLUS] = ACTIONS(4136),
    [anon_sym_STAR] = ACTIONS(4138),
    [anon_sym_SLASH] = ACTIONS(4136),
    [anon_sym_PERCENT] = ACTIONS(4138),
    [anon_sym_PIPE_PIPE] = ACTIONS(4138),
    [anon_sym_AMP_AMP] = ACTIONS(4138),
    [anon_sym_PIPE] = ACTIONS(4136),
    [anon_sym_CARET] = ACTIONS(4138),
    [anon_sym_AMP] = ACTIONS(4136),
    [anon_sym_EQ_EQ] = ACTIONS(4138),
    [anon_sym_BANG_EQ] = ACTIONS(4138),
    [anon_sym_GT] = ACTIONS(4136),
    [anon_sym_GT_EQ] = ACTIONS(4138),
    [anon_sym_LT_EQ] = ACTIONS(4138),
    [anon_sym_LT] = ACTIONS(4136),
    [anon_sym_LT_LT] = ACTIONS(4138),
    [anon_sym_GT_GT] = ACTIONS(4138),
    [anon_sym_SEMI] = ACTIONS(4138),
    [anon_sym___extension__] = ACTIONS(4136),
    [anon_sym_extern] = ACTIONS(4136),
    [anon_sym___attribute__] = ACTIONS(4136),
    [anon_sym___attribute] = ACTIONS(4136),
    [anon_sym_noreturn] = ACTIONS(4136),
    [anon_sym_LBRACK] = ACTIONS(4138),
    [anon_sym_RBRACK] = ACTIONS(4138),
    [anon_sym___declspec] = ACTIONS(4136),
    [anon_sym_LBRACE] = ACTIONS(4138),
    [anon_sym_RBRACE] = ACTIONS(4138),
    [anon_sym_signed] = ACTIONS(4136),
    [anon_sym_unsigned] = ACTIONS(4136),
    [anon_sym_long] = ACTIONS(4136),
    [anon_sym_short] = ACTIONS(4136),
    [anon_sym_static] = ACTIONS(4136),
    [anon_sym_ATautoreleasepool] = ACTIONS(4138),
    [anon_sym_auto] = ACTIONS(4136),
    [anon_sym_register] = ACTIONS(4136),
    [anon_sym_inline] = ACTIONS(4136),
    [anon_sym___inline] = ACTIONS(4136),
    [anon_sym___inline__] = ACTIONS(4136),
    [anon_sym___forceinline] = ACTIONS(4136),
    [anon_sym_thread_local] = ACTIONS(4136),
    [anon_sym___thread] = ACTIONS(4136),
    [anon_sym_CG_EXTERN] = ACTIONS(4136),
    [anon_sym_CG_INLINE] = ACTIONS(4136),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4136),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4136),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4136),
    [anon_sym_IBOutlet] = ACTIONS(4136),
    [anon_sym_IBInspectable] = ACTIONS(4136),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4136),
    [anon_sym_NS_INLINE] = ACTIONS(4136),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4136),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4136),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4136),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4136),
    [anon_sym_const] = ACTIONS(4136),
    [anon_sym_constexpr] = ACTIONS(4136),
    [anon_sym_volatile] = ACTIONS(4136),
    [anon_sym_restrict] = ACTIONS(4136),
    [anon_sym___restrict__] = ACTIONS(4136),
    [anon_sym__Atomic] = ACTIONS(4136),
    [anon_sym__Noreturn] = ACTIONS(4136),
    [anon_sym__Nonnull] = ACTIONS(4136),
    [anon_sym_nullable] = ACTIONS(4136),
    [anon_sym__Complex] = ACTIONS(4136),
    [anon_sym__Nullable] = ACTIONS(4136),
    [anon_sym__Nullable_result] = ACTIONS(4136),
    [anon_sym__Null_unspecified] = ACTIONS(4136),
    [anon_sym___autoreleasing] = ACTIONS(4136),
    [anon_sym___block] = ACTIONS(4136),
    [anon_sym___bridge] = ACTIONS(4136),
    [anon_sym___bridge_retained] = ACTIONS(4136),
    [anon_sym___bridge_transfer] = ACTIONS(4136),
    [anon_sym___complex] = ACTIONS(4136),
    [anon_sym___const] = ACTIONS(4136),
    [anon_sym___imag] = ACTIONS(4136),
    [anon_sym___kindof] = ACTIONS(4136),
    [anon_sym___nonnull] = ACTIONS(4136),
    [anon_sym___nullable] = ACTIONS(4136),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4136),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4136),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4136),
    [anon_sym___real] = ACTIONS(4136),
    [anon_sym___strong] = ACTIONS(4136),
    [anon_sym___unsafe_unretained] = ACTIONS(4136),
    [anon_sym___unused] = ACTIONS(4136),
    [anon_sym___weak] = ACTIONS(4136),
    [anon_sym_alignas] = ACTIONS(4136),
    [anon_sym__Alignas] = ACTIONS(4136),
    [sym_primitive_type] = ACTIONS(4136),
    [anon_sym_enum] = ACTIONS(4136),
    [anon_sym_COLON] = ACTIONS(4138),
    [anon_sym_struct] = ACTIONS(4136),
    [anon_sym_union] = ACTIONS(4136),
    [anon_sym_QMARK] = ACTIONS(4138),
    [anon_sym_DASH_DASH] = ACTIONS(4138),
    [anon_sym_PLUS_PLUS] = ACTIONS(4138),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_DASH_GT] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4136),
    [anon_sym___typeof] = ACTIONS(4136),
    [anon_sym_typeof] = ACTIONS(4136),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4136),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4136),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4136),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4136),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4136),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4136),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4136),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4136),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4136),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4136),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4136),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4136),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4136),
    [anon_sym_API_AVAILABLE] = ACTIONS(4136),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4136),
    [anon_sym_API_DEPRECATED] = ACTIONS(4136),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4136),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4136),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4136),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4136),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4136),
    [anon_sym___deprecated_msg] = ACTIONS(4136),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4136),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4136),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4136),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4136),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4136),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4136),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4136),
    [anon_sym_BOOL] = ACTIONS(4136),
    [anon_sym_IMP] = ACTIONS(4136),
    [anon_sym_SEL] = ACTIONS(4136),
    [anon_sym_Class] = ACTIONS(4136),
    [anon_sym_id] = ACTIONS(4136),
  },
  [1672] = {
    [sym_identifier] = ACTIONS(4042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4044),
    [anon_sym_COMMA] = ACTIONS(4044),
    [anon_sym_RPAREN] = ACTIONS(4044),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4044),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4044),
    [anon_sym_LPAREN2] = ACTIONS(4044),
    [anon_sym_DASH] = ACTIONS(4042),
    [anon_sym_PLUS] = ACTIONS(4042),
    [anon_sym_STAR] = ACTIONS(4044),
    [anon_sym_SLASH] = ACTIONS(4042),
    [anon_sym_PERCENT] = ACTIONS(4044),
    [anon_sym_PIPE_PIPE] = ACTIONS(4044),
    [anon_sym_AMP_AMP] = ACTIONS(4044),
    [anon_sym_PIPE] = ACTIONS(4042),
    [anon_sym_CARET] = ACTIONS(4044),
    [anon_sym_AMP] = ACTIONS(4042),
    [anon_sym_EQ_EQ] = ACTIONS(4044),
    [anon_sym_BANG_EQ] = ACTIONS(4044),
    [anon_sym_GT] = ACTIONS(4042),
    [anon_sym_GT_EQ] = ACTIONS(4044),
    [anon_sym_LT_EQ] = ACTIONS(4044),
    [anon_sym_LT] = ACTIONS(4042),
    [anon_sym_LT_LT] = ACTIONS(4044),
    [anon_sym_GT_GT] = ACTIONS(4044),
    [anon_sym_SEMI] = ACTIONS(4044),
    [anon_sym___extension__] = ACTIONS(4042),
    [anon_sym_extern] = ACTIONS(4042),
    [anon_sym___attribute__] = ACTIONS(4042),
    [anon_sym___attribute] = ACTIONS(4042),
    [anon_sym_noreturn] = ACTIONS(4042),
    [anon_sym_LBRACK] = ACTIONS(4044),
    [anon_sym_RBRACK] = ACTIONS(4044),
    [anon_sym___declspec] = ACTIONS(4042),
    [anon_sym_LBRACE] = ACTIONS(4044),
    [anon_sym_RBRACE] = ACTIONS(4044),
    [anon_sym_signed] = ACTIONS(4042),
    [anon_sym_unsigned] = ACTIONS(4042),
    [anon_sym_long] = ACTIONS(4042),
    [anon_sym_short] = ACTIONS(4042),
    [anon_sym_static] = ACTIONS(4042),
    [anon_sym_ATautoreleasepool] = ACTIONS(4044),
    [anon_sym_auto] = ACTIONS(4042),
    [anon_sym_register] = ACTIONS(4042),
    [anon_sym_inline] = ACTIONS(4042),
    [anon_sym___inline] = ACTIONS(4042),
    [anon_sym___inline__] = ACTIONS(4042),
    [anon_sym___forceinline] = ACTIONS(4042),
    [anon_sym_thread_local] = ACTIONS(4042),
    [anon_sym___thread] = ACTIONS(4042),
    [anon_sym_CG_EXTERN] = ACTIONS(4042),
    [anon_sym_CG_INLINE] = ACTIONS(4042),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4042),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4042),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4042),
    [anon_sym_IBOutlet] = ACTIONS(4042),
    [anon_sym_IBInspectable] = ACTIONS(4042),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4042),
    [anon_sym_NS_INLINE] = ACTIONS(4042),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4042),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4042),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4042),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4042),
    [anon_sym_const] = ACTIONS(4042),
    [anon_sym_constexpr] = ACTIONS(4042),
    [anon_sym_volatile] = ACTIONS(4042),
    [anon_sym_restrict] = ACTIONS(4042),
    [anon_sym___restrict__] = ACTIONS(4042),
    [anon_sym__Atomic] = ACTIONS(4042),
    [anon_sym__Noreturn] = ACTIONS(4042),
    [anon_sym__Nonnull] = ACTIONS(4042),
    [anon_sym_nullable] = ACTIONS(4042),
    [anon_sym__Complex] = ACTIONS(4042),
    [anon_sym__Nullable] = ACTIONS(4042),
    [anon_sym__Nullable_result] = ACTIONS(4042),
    [anon_sym__Null_unspecified] = ACTIONS(4042),
    [anon_sym___autoreleasing] = ACTIONS(4042),
    [anon_sym___block] = ACTIONS(4042),
    [anon_sym___bridge] = ACTIONS(4042),
    [anon_sym___bridge_retained] = ACTIONS(4042),
    [anon_sym___bridge_transfer] = ACTIONS(4042),
    [anon_sym___complex] = ACTIONS(4042),
    [anon_sym___const] = ACTIONS(4042),
    [anon_sym___imag] = ACTIONS(4042),
    [anon_sym___kindof] = ACTIONS(4042),
    [anon_sym___nonnull] = ACTIONS(4042),
    [anon_sym___nullable] = ACTIONS(4042),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4042),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4042),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4042),
    [anon_sym___real] = ACTIONS(4042),
    [anon_sym___strong] = ACTIONS(4042),
    [anon_sym___unsafe_unretained] = ACTIONS(4042),
    [anon_sym___unused] = ACTIONS(4042),
    [anon_sym___weak] = ACTIONS(4042),
    [anon_sym_alignas] = ACTIONS(4042),
    [anon_sym__Alignas] = ACTIONS(4042),
    [sym_primitive_type] = ACTIONS(4042),
    [anon_sym_enum] = ACTIONS(4042),
    [anon_sym_COLON] = ACTIONS(4044),
    [anon_sym_struct] = ACTIONS(4042),
    [anon_sym_union] = ACTIONS(4042),
    [anon_sym_QMARK] = ACTIONS(4044),
    [anon_sym_DASH_DASH] = ACTIONS(4044),
    [anon_sym_PLUS_PLUS] = ACTIONS(4044),
    [anon_sym_DOT] = ACTIONS(4042),
    [anon_sym_DASH_GT] = ACTIONS(4044),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4042),
    [anon_sym___typeof] = ACTIONS(4042),
    [anon_sym_typeof] = ACTIONS(4042),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4042),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4042),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4042),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4042),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4042),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4042),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4042),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4042),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4042),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4042),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4042),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4042),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4042),
    [anon_sym_API_AVAILABLE] = ACTIONS(4042),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4042),
    [anon_sym_API_DEPRECATED] = ACTIONS(4042),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4042),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4042),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4042),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4042),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4042),
    [anon_sym___deprecated_msg] = ACTIONS(4042),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4042),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4042),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4042),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4042),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4042),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4042),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4042),
    [anon_sym_BOOL] = ACTIONS(4042),
    [anon_sym_IMP] = ACTIONS(4042),
    [anon_sym_SEL] = ACTIONS(4042),
    [anon_sym_Class] = ACTIONS(4042),
    [anon_sym_id] = ACTIONS(4042),
  },
  [1673] = {
    [sym_identifier] = ACTIONS(4200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4202),
    [anon_sym_COMMA] = ACTIONS(4202),
    [anon_sym_LPAREN2] = ACTIONS(4202),
    [anon_sym_DASH] = ACTIONS(4200),
    [anon_sym_PLUS] = ACTIONS(4200),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4200),
    [anon_sym_PERCENT] = ACTIONS(4202),
    [anon_sym_PIPE_PIPE] = ACTIONS(4202),
    [anon_sym_AMP_AMP] = ACTIONS(4202),
    [anon_sym_PIPE] = ACTIONS(4200),
    [anon_sym_CARET] = ACTIONS(4202),
    [anon_sym_AMP] = ACTIONS(4200),
    [anon_sym_EQ_EQ] = ACTIONS(4202),
    [anon_sym_BANG_EQ] = ACTIONS(4202),
    [anon_sym_GT] = ACTIONS(4200),
    [anon_sym_GT_EQ] = ACTIONS(4202),
    [anon_sym_LT_EQ] = ACTIONS(4202),
    [anon_sym_LT] = ACTIONS(4200),
    [anon_sym_LT_LT] = ACTIONS(4202),
    [anon_sym_GT_GT] = ACTIONS(4202),
    [anon_sym_SEMI] = ACTIONS(4202),
    [anon_sym___extension__] = ACTIONS(4200),
    [anon_sym_extern] = ACTIONS(4200),
    [anon_sym___attribute__] = ACTIONS(4200),
    [anon_sym___attribute] = ACTIONS(4200),
    [anon_sym_noreturn] = ACTIONS(4200),
    [anon_sym_LBRACK] = ACTIONS(4202),
    [anon_sym___declspec] = ACTIONS(4200),
    [anon_sym_LBRACE] = ACTIONS(4202),
    [anon_sym_signed] = ACTIONS(4200),
    [anon_sym_unsigned] = ACTIONS(4200),
    [anon_sym_long] = ACTIONS(4200),
    [anon_sym_short] = ACTIONS(4200),
    [anon_sym_static] = ACTIONS(4200),
    [anon_sym_ATautoreleasepool] = ACTIONS(4202),
    [anon_sym_auto] = ACTIONS(4200),
    [anon_sym_register] = ACTIONS(4200),
    [anon_sym_inline] = ACTIONS(4200),
    [anon_sym___inline] = ACTIONS(4200),
    [anon_sym___inline__] = ACTIONS(4200),
    [anon_sym___forceinline] = ACTIONS(4200),
    [anon_sym_thread_local] = ACTIONS(4200),
    [anon_sym___thread] = ACTIONS(4200),
    [anon_sym_CG_EXTERN] = ACTIONS(4200),
    [anon_sym_CG_INLINE] = ACTIONS(4200),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4200),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4200),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4200),
    [anon_sym_IBOutlet] = ACTIONS(4200),
    [anon_sym_IBInspectable] = ACTIONS(4200),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4200),
    [anon_sym_NS_INLINE] = ACTIONS(4200),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4200),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4200),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4200),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4200),
    [anon_sym_const] = ACTIONS(4200),
    [anon_sym_constexpr] = ACTIONS(4200),
    [anon_sym_volatile] = ACTIONS(4200),
    [anon_sym_restrict] = ACTIONS(4200),
    [anon_sym___restrict__] = ACTIONS(4200),
    [anon_sym__Atomic] = ACTIONS(4200),
    [anon_sym__Noreturn] = ACTIONS(4200),
    [anon_sym__Nonnull] = ACTIONS(4200),
    [anon_sym_nullable] = ACTIONS(4200),
    [anon_sym__Complex] = ACTIONS(4200),
    [anon_sym__Nullable] = ACTIONS(4200),
    [anon_sym__Nullable_result] = ACTIONS(4200),
    [anon_sym__Null_unspecified] = ACTIONS(4200),
    [anon_sym___autoreleasing] = ACTIONS(4200),
    [anon_sym___block] = ACTIONS(4200),
    [anon_sym___bridge] = ACTIONS(4200),
    [anon_sym___bridge_retained] = ACTIONS(4200),
    [anon_sym___bridge_transfer] = ACTIONS(4200),
    [anon_sym___complex] = ACTIONS(4200),
    [anon_sym___const] = ACTIONS(4200),
    [anon_sym___imag] = ACTIONS(4200),
    [anon_sym___kindof] = ACTIONS(4200),
    [anon_sym___nonnull] = ACTIONS(4200),
    [anon_sym___nullable] = ACTIONS(4200),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4200),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4200),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4200),
    [anon_sym___real] = ACTIONS(4200),
    [anon_sym___strong] = ACTIONS(4200),
    [anon_sym___unsafe_unretained] = ACTIONS(4200),
    [anon_sym___unused] = ACTIONS(4200),
    [anon_sym___weak] = ACTIONS(4200),
    [anon_sym_alignas] = ACTIONS(4200),
    [anon_sym__Alignas] = ACTIONS(4200),
    [sym_primitive_type] = ACTIONS(4200),
    [anon_sym_enum] = ACTIONS(4200),
    [anon_sym_struct] = ACTIONS(4200),
    [anon_sym_union] = ACTIONS(4200),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_DASH_DASH] = ACTIONS(4202),
    [anon_sym_PLUS_PLUS] = ACTIONS(4202),
    [anon_sym_DOT] = ACTIONS(4200),
    [anon_sym_DASH_GT] = ACTIONS(4202),
    [anon_sym_AT] = ACTIONS(4200),
    [anon_sym_DQUOTE] = ACTIONS(4202),
    [anon_sym_L_DQUOTE] = ACTIONS(4202),
    [anon_sym_u_DQUOTE] = ACTIONS(4202),
    [anon_sym_U_DQUOTE] = ACTIONS(4202),
    [anon_sym_u8_DQUOTE] = ACTIONS(4202),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4200),
    [anon_sym___typeof] = ACTIONS(4200),
    [anon_sym_typeof] = ACTIONS(4200),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4200),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4200),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4200),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4200),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4200),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4200),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4200),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4200),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4200),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4200),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4200),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4200),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4200),
    [anon_sym_API_AVAILABLE] = ACTIONS(4200),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4200),
    [anon_sym_API_DEPRECATED] = ACTIONS(4200),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4200),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4200),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4200),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4200),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4200),
    [anon_sym___deprecated_msg] = ACTIONS(4200),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4200),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4200),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4200),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4200),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4200),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4200),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4200),
    [anon_sym_BOOL] = ACTIONS(4200),
    [anon_sym_IMP] = ACTIONS(4200),
    [anon_sym_SEL] = ACTIONS(4200),
    [anon_sym_Class] = ACTIONS(4200),
    [anon_sym_id] = ACTIONS(4200),
  },
  [1674] = {
    [sym_identifier] = ACTIONS(4160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4162),
    [anon_sym_COMMA] = ACTIONS(4162),
    [anon_sym_RPAREN] = ACTIONS(4162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4162),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4162),
    [anon_sym_LPAREN2] = ACTIONS(4162),
    [anon_sym_DASH] = ACTIONS(4160),
    [anon_sym_PLUS] = ACTIONS(4160),
    [anon_sym_STAR] = ACTIONS(4162),
    [anon_sym_SLASH] = ACTIONS(4160),
    [anon_sym_PERCENT] = ACTIONS(4162),
    [anon_sym_PIPE_PIPE] = ACTIONS(4162),
    [anon_sym_AMP_AMP] = ACTIONS(4162),
    [anon_sym_PIPE] = ACTIONS(4160),
    [anon_sym_CARET] = ACTIONS(4162),
    [anon_sym_AMP] = ACTIONS(4160),
    [anon_sym_EQ_EQ] = ACTIONS(4162),
    [anon_sym_BANG_EQ] = ACTIONS(4162),
    [anon_sym_GT] = ACTIONS(4160),
    [anon_sym_GT_EQ] = ACTIONS(4162),
    [anon_sym_LT_EQ] = ACTIONS(4162),
    [anon_sym_LT] = ACTIONS(4160),
    [anon_sym_LT_LT] = ACTIONS(4162),
    [anon_sym_GT_GT] = ACTIONS(4162),
    [anon_sym_SEMI] = ACTIONS(4162),
    [anon_sym___extension__] = ACTIONS(4160),
    [anon_sym_extern] = ACTIONS(4160),
    [anon_sym___attribute__] = ACTIONS(4160),
    [anon_sym___attribute] = ACTIONS(4160),
    [anon_sym_noreturn] = ACTIONS(4160),
    [anon_sym_LBRACK] = ACTIONS(4162),
    [anon_sym_RBRACK] = ACTIONS(4162),
    [anon_sym___declspec] = ACTIONS(4160),
    [anon_sym_LBRACE] = ACTIONS(4162),
    [anon_sym_RBRACE] = ACTIONS(4162),
    [anon_sym_signed] = ACTIONS(4160),
    [anon_sym_unsigned] = ACTIONS(4160),
    [anon_sym_long] = ACTIONS(4160),
    [anon_sym_short] = ACTIONS(4160),
    [anon_sym_static] = ACTIONS(4160),
    [anon_sym_ATautoreleasepool] = ACTIONS(4162),
    [anon_sym_auto] = ACTIONS(4160),
    [anon_sym_register] = ACTIONS(4160),
    [anon_sym_inline] = ACTIONS(4160),
    [anon_sym___inline] = ACTIONS(4160),
    [anon_sym___inline__] = ACTIONS(4160),
    [anon_sym___forceinline] = ACTIONS(4160),
    [anon_sym_thread_local] = ACTIONS(4160),
    [anon_sym___thread] = ACTIONS(4160),
    [anon_sym_CG_EXTERN] = ACTIONS(4160),
    [anon_sym_CG_INLINE] = ACTIONS(4160),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4160),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4160),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4160),
    [anon_sym_IBOutlet] = ACTIONS(4160),
    [anon_sym_IBInspectable] = ACTIONS(4160),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4160),
    [anon_sym_NS_INLINE] = ACTIONS(4160),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4160),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4160),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4160),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4160),
    [anon_sym_const] = ACTIONS(4160),
    [anon_sym_constexpr] = ACTIONS(4160),
    [anon_sym_volatile] = ACTIONS(4160),
    [anon_sym_restrict] = ACTIONS(4160),
    [anon_sym___restrict__] = ACTIONS(4160),
    [anon_sym__Atomic] = ACTIONS(4160),
    [anon_sym__Noreturn] = ACTIONS(4160),
    [anon_sym__Nonnull] = ACTIONS(4160),
    [anon_sym_nullable] = ACTIONS(4160),
    [anon_sym__Complex] = ACTIONS(4160),
    [anon_sym__Nullable] = ACTIONS(4160),
    [anon_sym__Nullable_result] = ACTIONS(4160),
    [anon_sym__Null_unspecified] = ACTIONS(4160),
    [anon_sym___autoreleasing] = ACTIONS(4160),
    [anon_sym___block] = ACTIONS(4160),
    [anon_sym___bridge] = ACTIONS(4160),
    [anon_sym___bridge_retained] = ACTIONS(4160),
    [anon_sym___bridge_transfer] = ACTIONS(4160),
    [anon_sym___complex] = ACTIONS(4160),
    [anon_sym___const] = ACTIONS(4160),
    [anon_sym___imag] = ACTIONS(4160),
    [anon_sym___kindof] = ACTIONS(4160),
    [anon_sym___nonnull] = ACTIONS(4160),
    [anon_sym___nullable] = ACTIONS(4160),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4160),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4160),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4160),
    [anon_sym___real] = ACTIONS(4160),
    [anon_sym___strong] = ACTIONS(4160),
    [anon_sym___unsafe_unretained] = ACTIONS(4160),
    [anon_sym___unused] = ACTIONS(4160),
    [anon_sym___weak] = ACTIONS(4160),
    [anon_sym_alignas] = ACTIONS(4160),
    [anon_sym__Alignas] = ACTIONS(4160),
    [sym_primitive_type] = ACTIONS(4160),
    [anon_sym_enum] = ACTIONS(4160),
    [anon_sym_COLON] = ACTIONS(4162),
    [anon_sym_struct] = ACTIONS(4160),
    [anon_sym_union] = ACTIONS(4160),
    [anon_sym_QMARK] = ACTIONS(4162),
    [anon_sym_DASH_DASH] = ACTIONS(4162),
    [anon_sym_PLUS_PLUS] = ACTIONS(4162),
    [anon_sym_DOT] = ACTIONS(4160),
    [anon_sym_DASH_GT] = ACTIONS(4162),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4160),
    [anon_sym___typeof] = ACTIONS(4160),
    [anon_sym_typeof] = ACTIONS(4160),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4160),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4160),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4160),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4160),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4160),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4160),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4160),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4160),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4160),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4160),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4160),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4160),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4160),
    [anon_sym_API_AVAILABLE] = ACTIONS(4160),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4160),
    [anon_sym_API_DEPRECATED] = ACTIONS(4160),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4160),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4160),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4160),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4160),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4160),
    [anon_sym___deprecated_msg] = ACTIONS(4160),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4160),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4160),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4160),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4160),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4160),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4160),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4160),
    [anon_sym_BOOL] = ACTIONS(4160),
    [anon_sym_IMP] = ACTIONS(4160),
    [anon_sym_SEL] = ACTIONS(4160),
    [anon_sym_Class] = ACTIONS(4160),
    [anon_sym_id] = ACTIONS(4160),
  },
  [1675] = {
    [sym_identifier] = ACTIONS(4005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_RPAREN] = ACTIONS(4007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4007),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4007),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4007),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4007),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4005),
    [anon_sym_LT_LT] = ACTIONS(4007),
    [anon_sym_GT_GT] = ACTIONS(4007),
    [anon_sym_SEMI] = ACTIONS(4007),
    [anon_sym___extension__] = ACTIONS(4005),
    [anon_sym_extern] = ACTIONS(4005),
    [anon_sym___attribute__] = ACTIONS(4005),
    [anon_sym___attribute] = ACTIONS(4005),
    [anon_sym_noreturn] = ACTIONS(4005),
    [anon_sym_LBRACK] = ACTIONS(4007),
    [anon_sym_RBRACK] = ACTIONS(4007),
    [anon_sym___declspec] = ACTIONS(4005),
    [anon_sym_LBRACE] = ACTIONS(4007),
    [anon_sym_RBRACE] = ACTIONS(4007),
    [anon_sym_signed] = ACTIONS(4005),
    [anon_sym_unsigned] = ACTIONS(4005),
    [anon_sym_long] = ACTIONS(4005),
    [anon_sym_short] = ACTIONS(4005),
    [anon_sym_static] = ACTIONS(4005),
    [anon_sym_ATautoreleasepool] = ACTIONS(4007),
    [anon_sym_auto] = ACTIONS(4005),
    [anon_sym_register] = ACTIONS(4005),
    [anon_sym_inline] = ACTIONS(4005),
    [anon_sym___inline] = ACTIONS(4005),
    [anon_sym___inline__] = ACTIONS(4005),
    [anon_sym___forceinline] = ACTIONS(4005),
    [anon_sym_thread_local] = ACTIONS(4005),
    [anon_sym___thread] = ACTIONS(4005),
    [anon_sym_CG_EXTERN] = ACTIONS(4005),
    [anon_sym_CG_INLINE] = ACTIONS(4005),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4005),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4005),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4005),
    [anon_sym_IBOutlet] = ACTIONS(4005),
    [anon_sym_IBInspectable] = ACTIONS(4005),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4005),
    [anon_sym_NS_INLINE] = ACTIONS(4005),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4005),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4005),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4005),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4005),
    [anon_sym_const] = ACTIONS(4005),
    [anon_sym_constexpr] = ACTIONS(4005),
    [anon_sym_volatile] = ACTIONS(4005),
    [anon_sym_restrict] = ACTIONS(4005),
    [anon_sym___restrict__] = ACTIONS(4005),
    [anon_sym__Atomic] = ACTIONS(4005),
    [anon_sym__Noreturn] = ACTIONS(4005),
    [anon_sym__Nonnull] = ACTIONS(4005),
    [anon_sym_nullable] = ACTIONS(4005),
    [anon_sym__Complex] = ACTIONS(4005),
    [anon_sym__Nullable] = ACTIONS(4005),
    [anon_sym__Nullable_result] = ACTIONS(4005),
    [anon_sym__Null_unspecified] = ACTIONS(4005),
    [anon_sym___autoreleasing] = ACTIONS(4005),
    [anon_sym___block] = ACTIONS(4005),
    [anon_sym___bridge] = ACTIONS(4005),
    [anon_sym___bridge_retained] = ACTIONS(4005),
    [anon_sym___bridge_transfer] = ACTIONS(4005),
    [anon_sym___complex] = ACTIONS(4005),
    [anon_sym___const] = ACTIONS(4005),
    [anon_sym___imag] = ACTIONS(4005),
    [anon_sym___kindof] = ACTIONS(4005),
    [anon_sym___nonnull] = ACTIONS(4005),
    [anon_sym___nullable] = ACTIONS(4005),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4005),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4005),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4005),
    [anon_sym___real] = ACTIONS(4005),
    [anon_sym___strong] = ACTIONS(4005),
    [anon_sym___unsafe_unretained] = ACTIONS(4005),
    [anon_sym___unused] = ACTIONS(4005),
    [anon_sym___weak] = ACTIONS(4005),
    [anon_sym_alignas] = ACTIONS(4005),
    [anon_sym__Alignas] = ACTIONS(4005),
    [sym_primitive_type] = ACTIONS(4005),
    [anon_sym_enum] = ACTIONS(4005),
    [anon_sym_COLON] = ACTIONS(4007),
    [anon_sym_struct] = ACTIONS(4005),
    [anon_sym_union] = ACTIONS(4005),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4005),
    [anon_sym___typeof] = ACTIONS(4005),
    [anon_sym_typeof] = ACTIONS(4005),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4005),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4005),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4005),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4005),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4005),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4005),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4005),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4005),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4005),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_API_AVAILABLE] = ACTIONS(4005),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_API_DEPRECATED] = ACTIONS(4005),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4005),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4005),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4005),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4005),
    [anon_sym___deprecated_msg] = ACTIONS(4005),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4005),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4005),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4005),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4005),
    [anon_sym_BOOL] = ACTIONS(4005),
    [anon_sym_IMP] = ACTIONS(4005),
    [anon_sym_SEL] = ACTIONS(4005),
    [anon_sym_Class] = ACTIONS(4005),
    [anon_sym_id] = ACTIONS(4005),
  },
  [1676] = {
    [sym_identifier] = ACTIONS(4264),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4266),
    [anon_sym_COMMA] = ACTIONS(4266),
    [anon_sym_RPAREN] = ACTIONS(4266),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4266),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4266),
    [anon_sym_LPAREN2] = ACTIONS(4266),
    [anon_sym_DASH] = ACTIONS(4264),
    [anon_sym_PLUS] = ACTIONS(4264),
    [anon_sym_STAR] = ACTIONS(4266),
    [anon_sym_SLASH] = ACTIONS(4264),
    [anon_sym_PERCENT] = ACTIONS(4266),
    [anon_sym_PIPE_PIPE] = ACTIONS(4266),
    [anon_sym_AMP_AMP] = ACTIONS(4266),
    [anon_sym_PIPE] = ACTIONS(4264),
    [anon_sym_CARET] = ACTIONS(4266),
    [anon_sym_AMP] = ACTIONS(4264),
    [anon_sym_EQ_EQ] = ACTIONS(4266),
    [anon_sym_BANG_EQ] = ACTIONS(4266),
    [anon_sym_GT] = ACTIONS(4264),
    [anon_sym_GT_EQ] = ACTIONS(4266),
    [anon_sym_LT_EQ] = ACTIONS(4266),
    [anon_sym_LT] = ACTIONS(4264),
    [anon_sym_LT_LT] = ACTIONS(4266),
    [anon_sym_GT_GT] = ACTIONS(4266),
    [anon_sym_SEMI] = ACTIONS(4266),
    [anon_sym___extension__] = ACTIONS(4264),
    [anon_sym_extern] = ACTIONS(4264),
    [anon_sym___attribute__] = ACTIONS(4264),
    [anon_sym___attribute] = ACTIONS(4264),
    [anon_sym_noreturn] = ACTIONS(4264),
    [anon_sym_LBRACK] = ACTIONS(4266),
    [anon_sym_RBRACK] = ACTIONS(4266),
    [anon_sym___declspec] = ACTIONS(4264),
    [anon_sym_LBRACE] = ACTIONS(4266),
    [anon_sym_RBRACE] = ACTIONS(4266),
    [anon_sym_signed] = ACTIONS(4264),
    [anon_sym_unsigned] = ACTIONS(4264),
    [anon_sym_long] = ACTIONS(4264),
    [anon_sym_short] = ACTIONS(4264),
    [anon_sym_static] = ACTIONS(4264),
    [anon_sym_ATautoreleasepool] = ACTIONS(4266),
    [anon_sym_auto] = ACTIONS(4264),
    [anon_sym_register] = ACTIONS(4264),
    [anon_sym_inline] = ACTIONS(4264),
    [anon_sym___inline] = ACTIONS(4264),
    [anon_sym___inline__] = ACTIONS(4264),
    [anon_sym___forceinline] = ACTIONS(4264),
    [anon_sym_thread_local] = ACTIONS(4264),
    [anon_sym___thread] = ACTIONS(4264),
    [anon_sym_CG_EXTERN] = ACTIONS(4264),
    [anon_sym_CG_INLINE] = ACTIONS(4264),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4264),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4264),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4264),
    [anon_sym_IBOutlet] = ACTIONS(4264),
    [anon_sym_IBInspectable] = ACTIONS(4264),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4264),
    [anon_sym_NS_INLINE] = ACTIONS(4264),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4264),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4264),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4264),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4264),
    [anon_sym_const] = ACTIONS(4264),
    [anon_sym_constexpr] = ACTIONS(4264),
    [anon_sym_volatile] = ACTIONS(4264),
    [anon_sym_restrict] = ACTIONS(4264),
    [anon_sym___restrict__] = ACTIONS(4264),
    [anon_sym__Atomic] = ACTIONS(4264),
    [anon_sym__Noreturn] = ACTIONS(4264),
    [anon_sym__Nonnull] = ACTIONS(4264),
    [anon_sym_nullable] = ACTIONS(4264),
    [anon_sym__Complex] = ACTIONS(4264),
    [anon_sym__Nullable] = ACTIONS(4264),
    [anon_sym__Nullable_result] = ACTIONS(4264),
    [anon_sym__Null_unspecified] = ACTIONS(4264),
    [anon_sym___autoreleasing] = ACTIONS(4264),
    [anon_sym___block] = ACTIONS(4264),
    [anon_sym___bridge] = ACTIONS(4264),
    [anon_sym___bridge_retained] = ACTIONS(4264),
    [anon_sym___bridge_transfer] = ACTIONS(4264),
    [anon_sym___complex] = ACTIONS(4264),
    [anon_sym___const] = ACTIONS(4264),
    [anon_sym___imag] = ACTIONS(4264),
    [anon_sym___kindof] = ACTIONS(4264),
    [anon_sym___nonnull] = ACTIONS(4264),
    [anon_sym___nullable] = ACTIONS(4264),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4264),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4264),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4264),
    [anon_sym___real] = ACTIONS(4264),
    [anon_sym___strong] = ACTIONS(4264),
    [anon_sym___unsafe_unretained] = ACTIONS(4264),
    [anon_sym___unused] = ACTIONS(4264),
    [anon_sym___weak] = ACTIONS(4264),
    [anon_sym_alignas] = ACTIONS(4264),
    [anon_sym__Alignas] = ACTIONS(4264),
    [sym_primitive_type] = ACTIONS(4264),
    [anon_sym_enum] = ACTIONS(4264),
    [anon_sym_COLON] = ACTIONS(4266),
    [anon_sym_struct] = ACTIONS(4264),
    [anon_sym_union] = ACTIONS(4264),
    [anon_sym_QMARK] = ACTIONS(4266),
    [anon_sym_DASH_DASH] = ACTIONS(4266),
    [anon_sym_PLUS_PLUS] = ACTIONS(4266),
    [anon_sym_DOT] = ACTIONS(4264),
    [anon_sym_DASH_GT] = ACTIONS(4266),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4264),
    [anon_sym___typeof] = ACTIONS(4264),
    [anon_sym_typeof] = ACTIONS(4264),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4264),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4264),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4264),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4264),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4264),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4264),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4264),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4264),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4264),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4264),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4264),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4264),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4264),
    [anon_sym_API_AVAILABLE] = ACTIONS(4264),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4264),
    [anon_sym_API_DEPRECATED] = ACTIONS(4264),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4264),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4264),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4264),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4264),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4264),
    [anon_sym___deprecated_msg] = ACTIONS(4264),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4264),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4264),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4264),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4264),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4264),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4264),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4264),
    [anon_sym_BOOL] = ACTIONS(4264),
    [anon_sym_IMP] = ACTIONS(4264),
    [anon_sym_SEL] = ACTIONS(4264),
    [anon_sym_Class] = ACTIONS(4264),
    [anon_sym_id] = ACTIONS(4264),
  },
  [1677] = {
    [sym_identifier] = ACTIONS(4188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4190),
    [anon_sym_COMMA] = ACTIONS(4190),
    [anon_sym_RPAREN] = ACTIONS(4190),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4190),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4190),
    [anon_sym_LPAREN2] = ACTIONS(4190),
    [anon_sym_DASH] = ACTIONS(4188),
    [anon_sym_PLUS] = ACTIONS(4188),
    [anon_sym_STAR] = ACTIONS(4190),
    [anon_sym_SLASH] = ACTIONS(4188),
    [anon_sym_PERCENT] = ACTIONS(4190),
    [anon_sym_PIPE_PIPE] = ACTIONS(4190),
    [anon_sym_AMP_AMP] = ACTIONS(4190),
    [anon_sym_PIPE] = ACTIONS(4188),
    [anon_sym_CARET] = ACTIONS(4190),
    [anon_sym_AMP] = ACTIONS(4188),
    [anon_sym_EQ_EQ] = ACTIONS(4190),
    [anon_sym_BANG_EQ] = ACTIONS(4190),
    [anon_sym_GT] = ACTIONS(4188),
    [anon_sym_GT_EQ] = ACTIONS(4190),
    [anon_sym_LT_EQ] = ACTIONS(4190),
    [anon_sym_LT] = ACTIONS(4188),
    [anon_sym_LT_LT] = ACTIONS(4190),
    [anon_sym_GT_GT] = ACTIONS(4190),
    [anon_sym_SEMI] = ACTIONS(4190),
    [anon_sym___extension__] = ACTIONS(4188),
    [anon_sym_extern] = ACTIONS(4188),
    [anon_sym___attribute__] = ACTIONS(4188),
    [anon_sym___attribute] = ACTIONS(4188),
    [anon_sym_noreturn] = ACTIONS(4188),
    [anon_sym_LBRACK] = ACTIONS(4190),
    [anon_sym_RBRACK] = ACTIONS(4190),
    [anon_sym___declspec] = ACTIONS(4188),
    [anon_sym_LBRACE] = ACTIONS(4190),
    [anon_sym_RBRACE] = ACTIONS(4190),
    [anon_sym_signed] = ACTIONS(4188),
    [anon_sym_unsigned] = ACTIONS(4188),
    [anon_sym_long] = ACTIONS(4188),
    [anon_sym_short] = ACTIONS(4188),
    [anon_sym_static] = ACTIONS(4188),
    [anon_sym_ATautoreleasepool] = ACTIONS(4190),
    [anon_sym_auto] = ACTIONS(4188),
    [anon_sym_register] = ACTIONS(4188),
    [anon_sym_inline] = ACTIONS(4188),
    [anon_sym___inline] = ACTIONS(4188),
    [anon_sym___inline__] = ACTIONS(4188),
    [anon_sym___forceinline] = ACTIONS(4188),
    [anon_sym_thread_local] = ACTIONS(4188),
    [anon_sym___thread] = ACTIONS(4188),
    [anon_sym_CG_EXTERN] = ACTIONS(4188),
    [anon_sym_CG_INLINE] = ACTIONS(4188),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4188),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4188),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4188),
    [anon_sym_IBOutlet] = ACTIONS(4188),
    [anon_sym_IBInspectable] = ACTIONS(4188),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4188),
    [anon_sym_NS_INLINE] = ACTIONS(4188),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4188),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4188),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4188),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4188),
    [anon_sym_const] = ACTIONS(4188),
    [anon_sym_constexpr] = ACTIONS(4188),
    [anon_sym_volatile] = ACTIONS(4188),
    [anon_sym_restrict] = ACTIONS(4188),
    [anon_sym___restrict__] = ACTIONS(4188),
    [anon_sym__Atomic] = ACTIONS(4188),
    [anon_sym__Noreturn] = ACTIONS(4188),
    [anon_sym__Nonnull] = ACTIONS(4188),
    [anon_sym_nullable] = ACTIONS(4188),
    [anon_sym__Complex] = ACTIONS(4188),
    [anon_sym__Nullable] = ACTIONS(4188),
    [anon_sym__Nullable_result] = ACTIONS(4188),
    [anon_sym__Null_unspecified] = ACTIONS(4188),
    [anon_sym___autoreleasing] = ACTIONS(4188),
    [anon_sym___block] = ACTIONS(4188),
    [anon_sym___bridge] = ACTIONS(4188),
    [anon_sym___bridge_retained] = ACTIONS(4188),
    [anon_sym___bridge_transfer] = ACTIONS(4188),
    [anon_sym___complex] = ACTIONS(4188),
    [anon_sym___const] = ACTIONS(4188),
    [anon_sym___imag] = ACTIONS(4188),
    [anon_sym___kindof] = ACTIONS(4188),
    [anon_sym___nonnull] = ACTIONS(4188),
    [anon_sym___nullable] = ACTIONS(4188),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4188),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4188),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4188),
    [anon_sym___real] = ACTIONS(4188),
    [anon_sym___strong] = ACTIONS(4188),
    [anon_sym___unsafe_unretained] = ACTIONS(4188),
    [anon_sym___unused] = ACTIONS(4188),
    [anon_sym___weak] = ACTIONS(4188),
    [anon_sym_alignas] = ACTIONS(4188),
    [anon_sym__Alignas] = ACTIONS(4188),
    [sym_primitive_type] = ACTIONS(4188),
    [anon_sym_enum] = ACTIONS(4188),
    [anon_sym_COLON] = ACTIONS(4190),
    [anon_sym_struct] = ACTIONS(4188),
    [anon_sym_union] = ACTIONS(4188),
    [anon_sym_QMARK] = ACTIONS(4190),
    [anon_sym_DASH_DASH] = ACTIONS(4190),
    [anon_sym_PLUS_PLUS] = ACTIONS(4190),
    [anon_sym_DOT] = ACTIONS(4188),
    [anon_sym_DASH_GT] = ACTIONS(4190),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4188),
    [anon_sym___typeof] = ACTIONS(4188),
    [anon_sym_typeof] = ACTIONS(4188),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4188),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4188),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4188),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4188),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4188),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4188),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4188),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4188),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4188),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4188),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4188),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4188),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4188),
    [anon_sym_API_AVAILABLE] = ACTIONS(4188),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4188),
    [anon_sym_API_DEPRECATED] = ACTIONS(4188),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4188),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4188),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4188),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4188),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4188),
    [anon_sym___deprecated_msg] = ACTIONS(4188),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4188),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4188),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4188),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4188),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4188),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4188),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4188),
    [anon_sym_BOOL] = ACTIONS(4188),
    [anon_sym_IMP] = ACTIONS(4188),
    [anon_sym_SEL] = ACTIONS(4188),
    [anon_sym_Class] = ACTIONS(4188),
    [anon_sym_id] = ACTIONS(4188),
  },
  [1678] = {
    [sym_identifier] = ACTIONS(4092),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4094),
    [anon_sym_COMMA] = ACTIONS(4094),
    [anon_sym_RPAREN] = ACTIONS(4094),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4094),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4094),
    [anon_sym_LPAREN2] = ACTIONS(4094),
    [anon_sym_DASH] = ACTIONS(4092),
    [anon_sym_PLUS] = ACTIONS(4092),
    [anon_sym_STAR] = ACTIONS(4094),
    [anon_sym_SLASH] = ACTIONS(4092),
    [anon_sym_PERCENT] = ACTIONS(4094),
    [anon_sym_PIPE_PIPE] = ACTIONS(4094),
    [anon_sym_AMP_AMP] = ACTIONS(4094),
    [anon_sym_PIPE] = ACTIONS(4092),
    [anon_sym_CARET] = ACTIONS(4094),
    [anon_sym_AMP] = ACTIONS(4092),
    [anon_sym_EQ_EQ] = ACTIONS(4094),
    [anon_sym_BANG_EQ] = ACTIONS(4094),
    [anon_sym_GT] = ACTIONS(4092),
    [anon_sym_GT_EQ] = ACTIONS(4094),
    [anon_sym_LT_EQ] = ACTIONS(4094),
    [anon_sym_LT] = ACTIONS(4092),
    [anon_sym_LT_LT] = ACTIONS(4094),
    [anon_sym_GT_GT] = ACTIONS(4094),
    [anon_sym_SEMI] = ACTIONS(4094),
    [anon_sym___extension__] = ACTIONS(4092),
    [anon_sym_extern] = ACTIONS(4092),
    [anon_sym___attribute__] = ACTIONS(4092),
    [anon_sym___attribute] = ACTIONS(4092),
    [anon_sym_noreturn] = ACTIONS(4092),
    [anon_sym_LBRACK] = ACTIONS(4094),
    [anon_sym_RBRACK] = ACTIONS(4094),
    [anon_sym___declspec] = ACTIONS(4092),
    [anon_sym_LBRACE] = ACTIONS(4094),
    [anon_sym_RBRACE] = ACTIONS(4094),
    [anon_sym_signed] = ACTIONS(4092),
    [anon_sym_unsigned] = ACTIONS(4092),
    [anon_sym_long] = ACTIONS(4092),
    [anon_sym_short] = ACTIONS(4092),
    [anon_sym_static] = ACTIONS(4092),
    [anon_sym_ATautoreleasepool] = ACTIONS(4094),
    [anon_sym_auto] = ACTIONS(4092),
    [anon_sym_register] = ACTIONS(4092),
    [anon_sym_inline] = ACTIONS(4092),
    [anon_sym___inline] = ACTIONS(4092),
    [anon_sym___inline__] = ACTIONS(4092),
    [anon_sym___forceinline] = ACTIONS(4092),
    [anon_sym_thread_local] = ACTIONS(4092),
    [anon_sym___thread] = ACTIONS(4092),
    [anon_sym_CG_EXTERN] = ACTIONS(4092),
    [anon_sym_CG_INLINE] = ACTIONS(4092),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4092),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4092),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4092),
    [anon_sym_IBOutlet] = ACTIONS(4092),
    [anon_sym_IBInspectable] = ACTIONS(4092),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4092),
    [anon_sym_NS_INLINE] = ACTIONS(4092),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4092),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4092),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4092),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4092),
    [anon_sym_const] = ACTIONS(4092),
    [anon_sym_constexpr] = ACTIONS(4092),
    [anon_sym_volatile] = ACTIONS(4092),
    [anon_sym_restrict] = ACTIONS(4092),
    [anon_sym___restrict__] = ACTIONS(4092),
    [anon_sym__Atomic] = ACTIONS(4092),
    [anon_sym__Noreturn] = ACTIONS(4092),
    [anon_sym__Nonnull] = ACTIONS(4092),
    [anon_sym_nullable] = ACTIONS(4092),
    [anon_sym__Complex] = ACTIONS(4092),
    [anon_sym__Nullable] = ACTIONS(4092),
    [anon_sym__Nullable_result] = ACTIONS(4092),
    [anon_sym__Null_unspecified] = ACTIONS(4092),
    [anon_sym___autoreleasing] = ACTIONS(4092),
    [anon_sym___block] = ACTIONS(4092),
    [anon_sym___bridge] = ACTIONS(4092),
    [anon_sym___bridge_retained] = ACTIONS(4092),
    [anon_sym___bridge_transfer] = ACTIONS(4092),
    [anon_sym___complex] = ACTIONS(4092),
    [anon_sym___const] = ACTIONS(4092),
    [anon_sym___imag] = ACTIONS(4092),
    [anon_sym___kindof] = ACTIONS(4092),
    [anon_sym___nonnull] = ACTIONS(4092),
    [anon_sym___nullable] = ACTIONS(4092),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4092),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4092),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4092),
    [anon_sym___real] = ACTIONS(4092),
    [anon_sym___strong] = ACTIONS(4092),
    [anon_sym___unsafe_unretained] = ACTIONS(4092),
    [anon_sym___unused] = ACTIONS(4092),
    [anon_sym___weak] = ACTIONS(4092),
    [anon_sym_alignas] = ACTIONS(4092),
    [anon_sym__Alignas] = ACTIONS(4092),
    [sym_primitive_type] = ACTIONS(4092),
    [anon_sym_enum] = ACTIONS(4092),
    [anon_sym_COLON] = ACTIONS(4094),
    [anon_sym_struct] = ACTIONS(4092),
    [anon_sym_union] = ACTIONS(4092),
    [anon_sym_QMARK] = ACTIONS(4094),
    [anon_sym_DASH_DASH] = ACTIONS(4094),
    [anon_sym_PLUS_PLUS] = ACTIONS(4094),
    [anon_sym_DOT] = ACTIONS(4092),
    [anon_sym_DASH_GT] = ACTIONS(4094),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4092),
    [anon_sym___typeof] = ACTIONS(4092),
    [anon_sym_typeof] = ACTIONS(4092),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4092),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4092),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4092),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4092),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4092),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4092),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4092),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4092),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4092),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4092),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4092),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4092),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4092),
    [anon_sym_API_AVAILABLE] = ACTIONS(4092),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4092),
    [anon_sym_API_DEPRECATED] = ACTIONS(4092),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4092),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4092),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4092),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4092),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4092),
    [anon_sym___deprecated_msg] = ACTIONS(4092),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4092),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4092),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4092),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4092),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4092),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4092),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4092),
    [anon_sym_BOOL] = ACTIONS(4092),
    [anon_sym_IMP] = ACTIONS(4092),
    [anon_sym_SEL] = ACTIONS(4092),
    [anon_sym_Class] = ACTIONS(4092),
    [anon_sym_id] = ACTIONS(4092),
  },
  [1679] = {
    [sym_identifier] = ACTIONS(4276),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4279),
    [anon_sym_COMMA] = ACTIONS(4279),
    [anon_sym_RPAREN] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [anon_sym_LPAREN2] = ACTIONS(4279),
    [anon_sym_DASH] = ACTIONS(4276),
    [anon_sym_PLUS] = ACTIONS(4276),
    [anon_sym_STAR] = ACTIONS(4276),
    [anon_sym_SLASH] = ACTIONS(4276),
    [anon_sym_PERCENT] = ACTIONS(4276),
    [anon_sym_PIPE_PIPE] = ACTIONS(4279),
    [anon_sym_AMP_AMP] = ACTIONS(4279),
    [anon_sym_PIPE] = ACTIONS(4276),
    [anon_sym_CARET] = ACTIONS(4276),
    [anon_sym_AMP] = ACTIONS(4276),
    [anon_sym_EQ_EQ] = ACTIONS(4279),
    [anon_sym_BANG_EQ] = ACTIONS(4279),
    [anon_sym_GT] = ACTIONS(4276),
    [anon_sym_GT_EQ] = ACTIONS(4279),
    [anon_sym_LT_EQ] = ACTIONS(4279),
    [anon_sym_LT] = ACTIONS(4276),
    [anon_sym_LT_LT] = ACTIONS(4276),
    [anon_sym_GT_GT] = ACTIONS(4276),
    [anon_sym_SEMI] = ACTIONS(4279),
    [anon_sym___extension__] = ACTIONS(4276),
    [anon_sym_extern] = ACTIONS(4276),
    [anon_sym___attribute__] = ACTIONS(4276),
    [anon_sym___attribute] = ACTIONS(4276),
    [anon_sym_noreturn] = ACTIONS(4276),
    [anon_sym_LBRACK] = ACTIONS(4279),
    [anon_sym_RBRACK] = ACTIONS(4279),
    [anon_sym___declspec] = ACTIONS(4276),
    [anon_sym_RBRACE] = ACTIONS(4279),
    [anon_sym_static] = ACTIONS(4276),
    [anon_sym_EQ] = ACTIONS(4276),
    [anon_sym_auto] = ACTIONS(4276),
    [anon_sym_register] = ACTIONS(4276),
    [anon_sym_inline] = ACTIONS(4276),
    [anon_sym___inline] = ACTIONS(4276),
    [anon_sym___inline__] = ACTIONS(4276),
    [anon_sym___forceinline] = ACTIONS(4276),
    [anon_sym_thread_local] = ACTIONS(4276),
    [anon_sym___thread] = ACTIONS(4276),
    [anon_sym_CG_EXTERN] = ACTIONS(4276),
    [anon_sym_CG_INLINE] = ACTIONS(4276),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4276),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4276),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4276),
    [anon_sym_IBOutlet] = ACTIONS(4276),
    [anon_sym_IBInspectable] = ACTIONS(4276),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4276),
    [anon_sym_NS_INLINE] = ACTIONS(4276),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4276),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4276),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4276),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4276),
    [anon_sym_const] = ACTIONS(4276),
    [anon_sym_constexpr] = ACTIONS(4276),
    [anon_sym_volatile] = ACTIONS(4276),
    [anon_sym_restrict] = ACTIONS(4276),
    [anon_sym___restrict__] = ACTIONS(4276),
    [anon_sym__Atomic] = ACTIONS(4276),
    [anon_sym__Noreturn] = ACTIONS(4276),
    [anon_sym__Nonnull] = ACTIONS(4276),
    [anon_sym_nullable] = ACTIONS(4276),
    [anon_sym__Complex] = ACTIONS(4276),
    [anon_sym__Nullable] = ACTIONS(4276),
    [anon_sym__Nullable_result] = ACTIONS(4276),
    [anon_sym__Null_unspecified] = ACTIONS(4276),
    [anon_sym___autoreleasing] = ACTIONS(4276),
    [anon_sym___block] = ACTIONS(4276),
    [anon_sym___bridge] = ACTIONS(4276),
    [anon_sym___bridge_retained] = ACTIONS(4276),
    [anon_sym___bridge_transfer] = ACTIONS(4276),
    [anon_sym___complex] = ACTIONS(4276),
    [anon_sym___const] = ACTIONS(4276),
    [anon_sym___imag] = ACTIONS(4276),
    [anon_sym___kindof] = ACTIONS(4276),
    [anon_sym___nonnull] = ACTIONS(4276),
    [anon_sym___nullable] = ACTIONS(4276),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4276),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4276),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4276),
    [anon_sym___real] = ACTIONS(4276),
    [anon_sym___strong] = ACTIONS(4276),
    [anon_sym___unsafe_unretained] = ACTIONS(4276),
    [anon_sym___unused] = ACTIONS(4276),
    [anon_sym___weak] = ACTIONS(4276),
    [anon_sym_alignas] = ACTIONS(4276),
    [anon_sym__Alignas] = ACTIONS(4276),
    [anon_sym_COLON] = ACTIONS(4279),
    [anon_sym_QMARK] = ACTIONS(4279),
    [anon_sym_STAR_EQ] = ACTIONS(4279),
    [anon_sym_SLASH_EQ] = ACTIONS(4279),
    [anon_sym_PERCENT_EQ] = ACTIONS(4279),
    [anon_sym_PLUS_EQ] = ACTIONS(4279),
    [anon_sym_DASH_EQ] = ACTIONS(4279),
    [anon_sym_LT_LT_EQ] = ACTIONS(4279),
    [anon_sym_GT_GT_EQ] = ACTIONS(4279),
    [anon_sym_AMP_EQ] = ACTIONS(4279),
    [anon_sym_CARET_EQ] = ACTIONS(4279),
    [anon_sym_PIPE_EQ] = ACTIONS(4279),
    [anon_sym_DASH_DASH] = ACTIONS(4279),
    [anon_sym_PLUS_PLUS] = ACTIONS(4279),
    [anon_sym_DOT] = ACTIONS(4276),
    [anon_sym_DASH_GT] = ACTIONS(4279),
    [anon_sym_AT] = ACTIONS(4279),
    [anon_sym_DQUOTE] = ACTIONS(4279),
    [anon_sym_L_DQUOTE] = ACTIONS(4279),
    [anon_sym_u_DQUOTE] = ACTIONS(4279),
    [anon_sym_U_DQUOTE] = ACTIONS(4279),
    [anon_sym_u8_DQUOTE] = ACTIONS(4279),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4276),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4276),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4276),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4276),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4276),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4276),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4276),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4276),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4276),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4276),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4276),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4276),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4276),
    [anon_sym_API_AVAILABLE] = ACTIONS(4276),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4276),
    [anon_sym_API_DEPRECATED] = ACTIONS(4276),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4276),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4276),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4276),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4276),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4276),
    [anon_sym___deprecated_msg] = ACTIONS(4276),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4276),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4276),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4276),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4276),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4276),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4276),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4276),
  },
  [1680] = {
    [sym_identifier] = ACTIONS(4086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4089),
    [anon_sym_COMMA] = ACTIONS(4089),
    [anon_sym_RPAREN] = ACTIONS(4089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4089),
    [anon_sym_LPAREN2] = ACTIONS(4089),
    [anon_sym_DASH] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4086),
    [anon_sym_STAR] = ACTIONS(4086),
    [anon_sym_SLASH] = ACTIONS(4086),
    [anon_sym_PERCENT] = ACTIONS(4086),
    [anon_sym_PIPE_PIPE] = ACTIONS(4089),
    [anon_sym_AMP_AMP] = ACTIONS(4089),
    [anon_sym_PIPE] = ACTIONS(4086),
    [anon_sym_CARET] = ACTIONS(4086),
    [anon_sym_AMP] = ACTIONS(4086),
    [anon_sym_EQ_EQ] = ACTIONS(4089),
    [anon_sym_BANG_EQ] = ACTIONS(4089),
    [anon_sym_GT] = ACTIONS(4086),
    [anon_sym_GT_EQ] = ACTIONS(4089),
    [anon_sym_LT_EQ] = ACTIONS(4089),
    [anon_sym_LT] = ACTIONS(4086),
    [anon_sym_LT_LT] = ACTIONS(4086),
    [anon_sym_GT_GT] = ACTIONS(4086),
    [anon_sym_SEMI] = ACTIONS(4089),
    [anon_sym___extension__] = ACTIONS(4086),
    [anon_sym_extern] = ACTIONS(4086),
    [anon_sym___attribute__] = ACTIONS(4086),
    [anon_sym___attribute] = ACTIONS(4086),
    [anon_sym_noreturn] = ACTIONS(4086),
    [anon_sym_LBRACK] = ACTIONS(4089),
    [anon_sym_RBRACK] = ACTIONS(4089),
    [anon_sym___declspec] = ACTIONS(4086),
    [anon_sym_RBRACE] = ACTIONS(4089),
    [anon_sym_static] = ACTIONS(4086),
    [anon_sym_EQ] = ACTIONS(4086),
    [anon_sym_auto] = ACTIONS(4086),
    [anon_sym_register] = ACTIONS(4086),
    [anon_sym_inline] = ACTIONS(4086),
    [anon_sym___inline] = ACTIONS(4086),
    [anon_sym___inline__] = ACTIONS(4086),
    [anon_sym___forceinline] = ACTIONS(4086),
    [anon_sym_thread_local] = ACTIONS(4086),
    [anon_sym___thread] = ACTIONS(4086),
    [anon_sym_CG_EXTERN] = ACTIONS(4086),
    [anon_sym_CG_INLINE] = ACTIONS(4086),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4086),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4086),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4086),
    [anon_sym_IBOutlet] = ACTIONS(4086),
    [anon_sym_IBInspectable] = ACTIONS(4086),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4086),
    [anon_sym_NS_INLINE] = ACTIONS(4086),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4086),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4086),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4086),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4086),
    [anon_sym_const] = ACTIONS(4086),
    [anon_sym_constexpr] = ACTIONS(4086),
    [anon_sym_volatile] = ACTIONS(4086),
    [anon_sym_restrict] = ACTIONS(4086),
    [anon_sym___restrict__] = ACTIONS(4086),
    [anon_sym__Atomic] = ACTIONS(4086),
    [anon_sym__Noreturn] = ACTIONS(4086),
    [anon_sym__Nonnull] = ACTIONS(4086),
    [anon_sym_nullable] = ACTIONS(4086),
    [anon_sym__Complex] = ACTIONS(4086),
    [anon_sym__Nullable] = ACTIONS(4086),
    [anon_sym__Nullable_result] = ACTIONS(4086),
    [anon_sym__Null_unspecified] = ACTIONS(4086),
    [anon_sym___autoreleasing] = ACTIONS(4086),
    [anon_sym___block] = ACTIONS(4086),
    [anon_sym___bridge] = ACTIONS(4086),
    [anon_sym___bridge_retained] = ACTIONS(4086),
    [anon_sym___bridge_transfer] = ACTIONS(4086),
    [anon_sym___complex] = ACTIONS(4086),
    [anon_sym___const] = ACTIONS(4086),
    [anon_sym___imag] = ACTIONS(4086),
    [anon_sym___kindof] = ACTIONS(4086),
    [anon_sym___nonnull] = ACTIONS(4086),
    [anon_sym___nullable] = ACTIONS(4086),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4086),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4086),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4086),
    [anon_sym___real] = ACTIONS(4086),
    [anon_sym___strong] = ACTIONS(4086),
    [anon_sym___unsafe_unretained] = ACTIONS(4086),
    [anon_sym___unused] = ACTIONS(4086),
    [anon_sym___weak] = ACTIONS(4086),
    [anon_sym_alignas] = ACTIONS(4086),
    [anon_sym__Alignas] = ACTIONS(4086),
    [anon_sym_COLON] = ACTIONS(4089),
    [anon_sym_QMARK] = ACTIONS(4089),
    [anon_sym_STAR_EQ] = ACTIONS(4089),
    [anon_sym_SLASH_EQ] = ACTIONS(4089),
    [anon_sym_PERCENT_EQ] = ACTIONS(4089),
    [anon_sym_PLUS_EQ] = ACTIONS(4089),
    [anon_sym_DASH_EQ] = ACTIONS(4089),
    [anon_sym_LT_LT_EQ] = ACTIONS(4089),
    [anon_sym_GT_GT_EQ] = ACTIONS(4089),
    [anon_sym_AMP_EQ] = ACTIONS(4089),
    [anon_sym_CARET_EQ] = ACTIONS(4089),
    [anon_sym_PIPE_EQ] = ACTIONS(4089),
    [anon_sym_DASH_DASH] = ACTIONS(4089),
    [anon_sym_PLUS_PLUS] = ACTIONS(4089),
    [anon_sym_DOT] = ACTIONS(4086),
    [anon_sym_DASH_GT] = ACTIONS(4089),
    [anon_sym_AT] = ACTIONS(4089),
    [anon_sym_DQUOTE] = ACTIONS(4089),
    [anon_sym_L_DQUOTE] = ACTIONS(4089),
    [anon_sym_u_DQUOTE] = ACTIONS(4089),
    [anon_sym_U_DQUOTE] = ACTIONS(4089),
    [anon_sym_u8_DQUOTE] = ACTIONS(4089),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4086),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4086),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4086),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4086),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4086),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4086),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4086),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4086),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4086),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4086),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4086),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4086),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4086),
    [anon_sym_API_AVAILABLE] = ACTIONS(4086),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4086),
    [anon_sym_API_DEPRECATED] = ACTIONS(4086),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4086),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4086),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4086),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4086),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4086),
    [anon_sym___deprecated_msg] = ACTIONS(4086),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4086),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4086),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4086),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4086),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4086),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4086),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4086),
  },
  [1681] = {
    [sym_identifier] = ACTIONS(4244),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4246),
    [anon_sym_COMMA] = ACTIONS(4246),
    [anon_sym_RPAREN] = ACTIONS(4246),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4246),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4246),
    [anon_sym_LPAREN2] = ACTIONS(4246),
    [anon_sym_DASH] = ACTIONS(4244),
    [anon_sym_PLUS] = ACTIONS(4244),
    [anon_sym_STAR] = ACTIONS(4244),
    [anon_sym_SLASH] = ACTIONS(4244),
    [anon_sym_PERCENT] = ACTIONS(4244),
    [anon_sym_PIPE_PIPE] = ACTIONS(4246),
    [anon_sym_AMP_AMP] = ACTIONS(4246),
    [anon_sym_PIPE] = ACTIONS(4244),
    [anon_sym_CARET] = ACTIONS(4244),
    [anon_sym_AMP] = ACTIONS(4244),
    [anon_sym_EQ_EQ] = ACTIONS(4246),
    [anon_sym_BANG_EQ] = ACTIONS(4246),
    [anon_sym_GT] = ACTIONS(4244),
    [anon_sym_GT_EQ] = ACTIONS(4246),
    [anon_sym_LT_EQ] = ACTIONS(4246),
    [anon_sym_LT] = ACTIONS(4244),
    [anon_sym_LT_LT] = ACTIONS(4244),
    [anon_sym_GT_GT] = ACTIONS(4244),
    [anon_sym_SEMI] = ACTIONS(4246),
    [anon_sym___extension__] = ACTIONS(4244),
    [anon_sym_extern] = ACTIONS(4244),
    [anon_sym___attribute__] = ACTIONS(4244),
    [anon_sym___attribute] = ACTIONS(4244),
    [anon_sym_noreturn] = ACTIONS(4244),
    [anon_sym_LBRACK] = ACTIONS(4246),
    [anon_sym_RBRACK] = ACTIONS(4246),
    [anon_sym___declspec] = ACTIONS(4244),
    [anon_sym_RBRACE] = ACTIONS(4246),
    [anon_sym_static] = ACTIONS(4244),
    [anon_sym_EQ] = ACTIONS(4244),
    [anon_sym_auto] = ACTIONS(4244),
    [anon_sym_register] = ACTIONS(4244),
    [anon_sym_inline] = ACTIONS(4244),
    [anon_sym___inline] = ACTIONS(4244),
    [anon_sym___inline__] = ACTIONS(4244),
    [anon_sym___forceinline] = ACTIONS(4244),
    [anon_sym_thread_local] = ACTIONS(4244),
    [anon_sym___thread] = ACTIONS(4244),
    [anon_sym_CG_EXTERN] = ACTIONS(4244),
    [anon_sym_CG_INLINE] = ACTIONS(4244),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4244),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4244),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4244),
    [anon_sym_IBOutlet] = ACTIONS(4244),
    [anon_sym_IBInspectable] = ACTIONS(4244),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4244),
    [anon_sym_NS_INLINE] = ACTIONS(4244),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4244),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4244),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4244),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4244),
    [anon_sym_const] = ACTIONS(4244),
    [anon_sym_constexpr] = ACTIONS(4244),
    [anon_sym_volatile] = ACTIONS(4244),
    [anon_sym_restrict] = ACTIONS(4244),
    [anon_sym___restrict__] = ACTIONS(4244),
    [anon_sym__Atomic] = ACTIONS(4244),
    [anon_sym__Noreturn] = ACTIONS(4244),
    [anon_sym__Nonnull] = ACTIONS(4244),
    [anon_sym_nullable] = ACTIONS(4244),
    [anon_sym__Complex] = ACTIONS(4244),
    [anon_sym__Nullable] = ACTIONS(4244),
    [anon_sym__Nullable_result] = ACTIONS(4244),
    [anon_sym__Null_unspecified] = ACTIONS(4244),
    [anon_sym___autoreleasing] = ACTIONS(4244),
    [anon_sym___block] = ACTIONS(4244),
    [anon_sym___bridge] = ACTIONS(4244),
    [anon_sym___bridge_retained] = ACTIONS(4244),
    [anon_sym___bridge_transfer] = ACTIONS(4244),
    [anon_sym___complex] = ACTIONS(4244),
    [anon_sym___const] = ACTIONS(4244),
    [anon_sym___imag] = ACTIONS(4244),
    [anon_sym___kindof] = ACTIONS(4244),
    [anon_sym___nonnull] = ACTIONS(4244),
    [anon_sym___nullable] = ACTIONS(4244),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4244),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4244),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4244),
    [anon_sym___real] = ACTIONS(4244),
    [anon_sym___strong] = ACTIONS(4244),
    [anon_sym___unsafe_unretained] = ACTIONS(4244),
    [anon_sym___unused] = ACTIONS(4244),
    [anon_sym___weak] = ACTIONS(4244),
    [anon_sym_alignas] = ACTIONS(4244),
    [anon_sym__Alignas] = ACTIONS(4244),
    [anon_sym_COLON] = ACTIONS(4246),
    [anon_sym_QMARK] = ACTIONS(4246),
    [anon_sym_STAR_EQ] = ACTIONS(4246),
    [anon_sym_SLASH_EQ] = ACTIONS(4246),
    [anon_sym_PERCENT_EQ] = ACTIONS(4246),
    [anon_sym_PLUS_EQ] = ACTIONS(4246),
    [anon_sym_DASH_EQ] = ACTIONS(4246),
    [anon_sym_LT_LT_EQ] = ACTIONS(4246),
    [anon_sym_GT_GT_EQ] = ACTIONS(4246),
    [anon_sym_AMP_EQ] = ACTIONS(4246),
    [anon_sym_CARET_EQ] = ACTIONS(4246),
    [anon_sym_PIPE_EQ] = ACTIONS(4246),
    [anon_sym_DASH_DASH] = ACTIONS(4246),
    [anon_sym_PLUS_PLUS] = ACTIONS(4246),
    [anon_sym_DOT] = ACTIONS(4244),
    [anon_sym_DASH_GT] = ACTIONS(4246),
    [anon_sym_AT] = ACTIONS(4246),
    [anon_sym_DQUOTE] = ACTIONS(4246),
    [anon_sym_L_DQUOTE] = ACTIONS(4246),
    [anon_sym_u_DQUOTE] = ACTIONS(4246),
    [anon_sym_U_DQUOTE] = ACTIONS(4246),
    [anon_sym_u8_DQUOTE] = ACTIONS(4246),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4244),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4244),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4244),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4244),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4244),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4244),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4244),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4244),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4244),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4244),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4244),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4244),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4244),
    [anon_sym_API_AVAILABLE] = ACTIONS(4244),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4244),
    [anon_sym_API_DEPRECATED] = ACTIONS(4244),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4244),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4244),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4244),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4244),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4244),
    [anon_sym___deprecated_msg] = ACTIONS(4244),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4244),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4244),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4244),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4244),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4244),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4244),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4244),
  },
  [1682] = {
    [sym_identifier] = ACTIONS(4200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4202),
    [anon_sym_COMMA] = ACTIONS(4202),
    [anon_sym_RPAREN] = ACTIONS(4202),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4202),
    [anon_sym_LPAREN2] = ACTIONS(4202),
    [anon_sym_DASH] = ACTIONS(4200),
    [anon_sym_PLUS] = ACTIONS(4200),
    [anon_sym_STAR] = ACTIONS(4200),
    [anon_sym_SLASH] = ACTIONS(4200),
    [anon_sym_PERCENT] = ACTIONS(4200),
    [anon_sym_PIPE_PIPE] = ACTIONS(4202),
    [anon_sym_AMP_AMP] = ACTIONS(4202),
    [anon_sym_PIPE] = ACTIONS(4200),
    [anon_sym_CARET] = ACTIONS(4200),
    [anon_sym_AMP] = ACTIONS(4200),
    [anon_sym_EQ_EQ] = ACTIONS(4202),
    [anon_sym_BANG_EQ] = ACTIONS(4202),
    [anon_sym_GT] = ACTIONS(4200),
    [anon_sym_GT_EQ] = ACTIONS(4202),
    [anon_sym_LT_EQ] = ACTIONS(4202),
    [anon_sym_LT] = ACTIONS(4200),
    [anon_sym_LT_LT] = ACTIONS(4200),
    [anon_sym_GT_GT] = ACTIONS(4200),
    [anon_sym_SEMI] = ACTIONS(4202),
    [anon_sym___extension__] = ACTIONS(4200),
    [anon_sym_extern] = ACTIONS(4200),
    [anon_sym___attribute__] = ACTIONS(4200),
    [anon_sym___attribute] = ACTIONS(4200),
    [anon_sym_noreturn] = ACTIONS(4200),
    [anon_sym_LBRACK] = ACTIONS(4202),
    [anon_sym_RBRACK] = ACTIONS(4202),
    [anon_sym___declspec] = ACTIONS(4200),
    [anon_sym_RBRACE] = ACTIONS(4202),
    [anon_sym_static] = ACTIONS(4200),
    [anon_sym_EQ] = ACTIONS(4200),
    [anon_sym_auto] = ACTIONS(4200),
    [anon_sym_register] = ACTIONS(4200),
    [anon_sym_inline] = ACTIONS(4200),
    [anon_sym___inline] = ACTIONS(4200),
    [anon_sym___inline__] = ACTIONS(4200),
    [anon_sym___forceinline] = ACTIONS(4200),
    [anon_sym_thread_local] = ACTIONS(4200),
    [anon_sym___thread] = ACTIONS(4200),
    [anon_sym_CG_EXTERN] = ACTIONS(4200),
    [anon_sym_CG_INLINE] = ACTIONS(4200),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4200),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4200),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4200),
    [anon_sym_IBOutlet] = ACTIONS(4200),
    [anon_sym_IBInspectable] = ACTIONS(4200),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4200),
    [anon_sym_NS_INLINE] = ACTIONS(4200),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4200),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4200),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4200),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4200),
    [anon_sym_const] = ACTIONS(4200),
    [anon_sym_constexpr] = ACTIONS(4200),
    [anon_sym_volatile] = ACTIONS(4200),
    [anon_sym_restrict] = ACTIONS(4200),
    [anon_sym___restrict__] = ACTIONS(4200),
    [anon_sym__Atomic] = ACTIONS(4200),
    [anon_sym__Noreturn] = ACTIONS(4200),
    [anon_sym__Nonnull] = ACTIONS(4200),
    [anon_sym_nullable] = ACTIONS(4200),
    [anon_sym__Complex] = ACTIONS(4200),
    [anon_sym__Nullable] = ACTIONS(4200),
    [anon_sym__Nullable_result] = ACTIONS(4200),
    [anon_sym__Null_unspecified] = ACTIONS(4200),
    [anon_sym___autoreleasing] = ACTIONS(4200),
    [anon_sym___block] = ACTIONS(4200),
    [anon_sym___bridge] = ACTIONS(4200),
    [anon_sym___bridge_retained] = ACTIONS(4200),
    [anon_sym___bridge_transfer] = ACTIONS(4200),
    [anon_sym___complex] = ACTIONS(4200),
    [anon_sym___const] = ACTIONS(4200),
    [anon_sym___imag] = ACTIONS(4200),
    [anon_sym___kindof] = ACTIONS(4200),
    [anon_sym___nonnull] = ACTIONS(4200),
    [anon_sym___nullable] = ACTIONS(4200),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4200),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4200),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4200),
    [anon_sym___real] = ACTIONS(4200),
    [anon_sym___strong] = ACTIONS(4200),
    [anon_sym___unsafe_unretained] = ACTIONS(4200),
    [anon_sym___unused] = ACTIONS(4200),
    [anon_sym___weak] = ACTIONS(4200),
    [anon_sym_alignas] = ACTIONS(4200),
    [anon_sym__Alignas] = ACTIONS(4200),
    [anon_sym_COLON] = ACTIONS(4202),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_STAR_EQ] = ACTIONS(4202),
    [anon_sym_SLASH_EQ] = ACTIONS(4202),
    [anon_sym_PERCENT_EQ] = ACTIONS(4202),
    [anon_sym_PLUS_EQ] = ACTIONS(4202),
    [anon_sym_DASH_EQ] = ACTIONS(4202),
    [anon_sym_LT_LT_EQ] = ACTIONS(4202),
    [anon_sym_GT_GT_EQ] = ACTIONS(4202),
    [anon_sym_AMP_EQ] = ACTIONS(4202),
    [anon_sym_CARET_EQ] = ACTIONS(4202),
    [anon_sym_PIPE_EQ] = ACTIONS(4202),
    [anon_sym_DASH_DASH] = ACTIONS(4202),
    [anon_sym_PLUS_PLUS] = ACTIONS(4202),
    [anon_sym_DOT] = ACTIONS(4200),
    [anon_sym_DASH_GT] = ACTIONS(4202),
    [anon_sym_AT] = ACTIONS(4202),
    [anon_sym_DQUOTE] = ACTIONS(4202),
    [anon_sym_L_DQUOTE] = ACTIONS(4202),
    [anon_sym_u_DQUOTE] = ACTIONS(4202),
    [anon_sym_U_DQUOTE] = ACTIONS(4202),
    [anon_sym_u8_DQUOTE] = ACTIONS(4202),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4200),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4200),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4200),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4200),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4200),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4200),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4200),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4200),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4200),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4200),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4200),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4200),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4200),
    [anon_sym_API_AVAILABLE] = ACTIONS(4200),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4200),
    [anon_sym_API_DEPRECATED] = ACTIONS(4200),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4200),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4200),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4200),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4200),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4200),
    [anon_sym___deprecated_msg] = ACTIONS(4200),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4200),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4200),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4200),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4200),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4200),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4200),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4200),
  },
  [1683] = {
    [sym_identifier] = ACTIONS(4232),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4234),
    [anon_sym_COMMA] = ACTIONS(4234),
    [anon_sym_RPAREN] = ACTIONS(4234),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4234),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4234),
    [anon_sym_LPAREN2] = ACTIONS(4234),
    [anon_sym_DASH] = ACTIONS(4232),
    [anon_sym_PLUS] = ACTIONS(4232),
    [anon_sym_STAR] = ACTIONS(4232),
    [anon_sym_SLASH] = ACTIONS(4232),
    [anon_sym_PERCENT] = ACTIONS(4232),
    [anon_sym_PIPE_PIPE] = ACTIONS(4234),
    [anon_sym_AMP_AMP] = ACTIONS(4234),
    [anon_sym_PIPE] = ACTIONS(4232),
    [anon_sym_CARET] = ACTIONS(4232),
    [anon_sym_AMP] = ACTIONS(4232),
    [anon_sym_EQ_EQ] = ACTIONS(4234),
    [anon_sym_BANG_EQ] = ACTIONS(4234),
    [anon_sym_GT] = ACTIONS(4232),
    [anon_sym_GT_EQ] = ACTIONS(4234),
    [anon_sym_LT_EQ] = ACTIONS(4234),
    [anon_sym_LT] = ACTIONS(4232),
    [anon_sym_LT_LT] = ACTIONS(4232),
    [anon_sym_GT_GT] = ACTIONS(4232),
    [anon_sym_SEMI] = ACTIONS(4234),
    [anon_sym___extension__] = ACTIONS(4232),
    [anon_sym_extern] = ACTIONS(4232),
    [anon_sym___attribute__] = ACTIONS(4232),
    [anon_sym___attribute] = ACTIONS(4232),
    [anon_sym_noreturn] = ACTIONS(4232),
    [anon_sym_LBRACK] = ACTIONS(4234),
    [anon_sym_RBRACK] = ACTIONS(4234),
    [anon_sym___declspec] = ACTIONS(4232),
    [anon_sym_RBRACE] = ACTIONS(4234),
    [anon_sym_static] = ACTIONS(4232),
    [anon_sym_EQ] = ACTIONS(4232),
    [anon_sym_auto] = ACTIONS(4232),
    [anon_sym_register] = ACTIONS(4232),
    [anon_sym_inline] = ACTIONS(4232),
    [anon_sym___inline] = ACTIONS(4232),
    [anon_sym___inline__] = ACTIONS(4232),
    [anon_sym___forceinline] = ACTIONS(4232),
    [anon_sym_thread_local] = ACTIONS(4232),
    [anon_sym___thread] = ACTIONS(4232),
    [anon_sym_CG_EXTERN] = ACTIONS(4232),
    [anon_sym_CG_INLINE] = ACTIONS(4232),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4232),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4232),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4232),
    [anon_sym_IBOutlet] = ACTIONS(4232),
    [anon_sym_IBInspectable] = ACTIONS(4232),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4232),
    [anon_sym_NS_INLINE] = ACTIONS(4232),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4232),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4232),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4232),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4232),
    [anon_sym_const] = ACTIONS(4232),
    [anon_sym_constexpr] = ACTIONS(4232),
    [anon_sym_volatile] = ACTIONS(4232),
    [anon_sym_restrict] = ACTIONS(4232),
    [anon_sym___restrict__] = ACTIONS(4232),
    [anon_sym__Atomic] = ACTIONS(4232),
    [anon_sym__Noreturn] = ACTIONS(4232),
    [anon_sym__Nonnull] = ACTIONS(4232),
    [anon_sym_nullable] = ACTIONS(4232),
    [anon_sym__Complex] = ACTIONS(4232),
    [anon_sym__Nullable] = ACTIONS(4232),
    [anon_sym__Nullable_result] = ACTIONS(4232),
    [anon_sym__Null_unspecified] = ACTIONS(4232),
    [anon_sym___autoreleasing] = ACTIONS(4232),
    [anon_sym___block] = ACTIONS(4232),
    [anon_sym___bridge] = ACTIONS(4232),
    [anon_sym___bridge_retained] = ACTIONS(4232),
    [anon_sym___bridge_transfer] = ACTIONS(4232),
    [anon_sym___complex] = ACTIONS(4232),
    [anon_sym___const] = ACTIONS(4232),
    [anon_sym___imag] = ACTIONS(4232),
    [anon_sym___kindof] = ACTIONS(4232),
    [anon_sym___nonnull] = ACTIONS(4232),
    [anon_sym___nullable] = ACTIONS(4232),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4232),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4232),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4232),
    [anon_sym___real] = ACTIONS(4232),
    [anon_sym___strong] = ACTIONS(4232),
    [anon_sym___unsafe_unretained] = ACTIONS(4232),
    [anon_sym___unused] = ACTIONS(4232),
    [anon_sym___weak] = ACTIONS(4232),
    [anon_sym_alignas] = ACTIONS(4232),
    [anon_sym__Alignas] = ACTIONS(4232),
    [anon_sym_COLON] = ACTIONS(4234),
    [anon_sym_QMARK] = ACTIONS(4234),
    [anon_sym_STAR_EQ] = ACTIONS(4234),
    [anon_sym_SLASH_EQ] = ACTIONS(4234),
    [anon_sym_PERCENT_EQ] = ACTIONS(4234),
    [anon_sym_PLUS_EQ] = ACTIONS(4234),
    [anon_sym_DASH_EQ] = ACTIONS(4234),
    [anon_sym_LT_LT_EQ] = ACTIONS(4234),
    [anon_sym_GT_GT_EQ] = ACTIONS(4234),
    [anon_sym_AMP_EQ] = ACTIONS(4234),
    [anon_sym_CARET_EQ] = ACTIONS(4234),
    [anon_sym_PIPE_EQ] = ACTIONS(4234),
    [anon_sym_DASH_DASH] = ACTIONS(4234),
    [anon_sym_PLUS_PLUS] = ACTIONS(4234),
    [anon_sym_DOT] = ACTIONS(4232),
    [anon_sym_DASH_GT] = ACTIONS(4234),
    [anon_sym_AT] = ACTIONS(4234),
    [anon_sym_DQUOTE] = ACTIONS(4234),
    [anon_sym_L_DQUOTE] = ACTIONS(4234),
    [anon_sym_u_DQUOTE] = ACTIONS(4234),
    [anon_sym_U_DQUOTE] = ACTIONS(4234),
    [anon_sym_u8_DQUOTE] = ACTIONS(4234),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4232),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4232),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4232),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4232),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4232),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4232),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4232),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4232),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4232),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4232),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4232),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4232),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4232),
    [anon_sym_API_AVAILABLE] = ACTIONS(4232),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4232),
    [anon_sym_API_DEPRECATED] = ACTIONS(4232),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4232),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4232),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4232),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4232),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4232),
    [anon_sym___deprecated_msg] = ACTIONS(4232),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4232),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4232),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4232),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4232),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4232),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4232),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4232),
  },
  [1684] = {
    [sym_declaration] = STATE(1881),
    [sym__declaration_modifiers] = STATE(1975),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1975),
    [sym_attribute_declaration] = STATE(1975),
    [sym_ms_declspec_modifier] = STATE(1975),
    [sym_compound_statement] = STATE(2302),
    [sym_storage_class_specifier] = STATE(1975),
    [sym_type_qualifier] = STATE(1975),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1975),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(1714),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1881),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1975),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(1714),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4653),
    [anon_sym_SEMI] = ACTIONS(4655),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1685] = {
    [sym_declaration] = STATE(1855),
    [sym__declaration_modifiers] = STATE(1980),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1980),
    [sym_attribute_declaration] = STATE(1980),
    [sym_ms_declspec_modifier] = STATE(1980),
    [sym_compound_statement] = STATE(2121),
    [sym_storage_class_specifier] = STATE(1980),
    [sym_type_qualifier] = STATE(1980),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1980),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(1694),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1855),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1980),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(1694),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4663),
    [anon_sym_SEMI] = ACTIONS(4665),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1686] = {
    [sym_declaration] = STATE(1885),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(2197),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1994),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(1696),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1885),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(1696),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4671),
    [anon_sym_SEMI] = ACTIONS(4673),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1687] = {
    [sym_string_literal] = STATE(1625),
    [sym_identifier] = ACTIONS(4675),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4017),
    [anon_sym_COMMA] = ACTIONS(4017),
    [anon_sym_RPAREN] = ACTIONS(4017),
    [anon_sym_LPAREN2] = ACTIONS(4017),
    [anon_sym_DASH] = ACTIONS(4015),
    [anon_sym_PLUS] = ACTIONS(4015),
    [anon_sym_STAR] = ACTIONS(4015),
    [anon_sym_SLASH] = ACTIONS(4015),
    [anon_sym_PERCENT] = ACTIONS(4015),
    [anon_sym_PIPE_PIPE] = ACTIONS(4017),
    [anon_sym_AMP_AMP] = ACTIONS(4017),
    [anon_sym_PIPE] = ACTIONS(4015),
    [anon_sym_CARET] = ACTIONS(4015),
    [anon_sym_AMP] = ACTIONS(4015),
    [anon_sym_EQ_EQ] = ACTIONS(4017),
    [anon_sym_BANG_EQ] = ACTIONS(4017),
    [anon_sym_GT] = ACTIONS(4015),
    [anon_sym_GT_EQ] = ACTIONS(4017),
    [anon_sym_LT_EQ] = ACTIONS(4017),
    [anon_sym_LT] = ACTIONS(4015),
    [anon_sym_LT_LT] = ACTIONS(4015),
    [anon_sym_GT_GT] = ACTIONS(4015),
    [anon_sym_SEMI] = ACTIONS(4017),
    [anon_sym___extension__] = ACTIONS(4015),
    [anon_sym_extern] = ACTIONS(4015),
    [anon_sym___attribute__] = ACTIONS(4015),
    [anon_sym___attribute] = ACTIONS(4015),
    [anon_sym_noreturn] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(4017),
    [anon_sym_RBRACK] = ACTIONS(4017),
    [anon_sym___declspec] = ACTIONS(4015),
    [anon_sym_RBRACE] = ACTIONS(4017),
    [anon_sym_static] = ACTIONS(4015),
    [anon_sym_EQ] = ACTIONS(4015),
    [anon_sym_auto] = ACTIONS(4015),
    [anon_sym_register] = ACTIONS(4015),
    [anon_sym_inline] = ACTIONS(4015),
    [anon_sym___inline] = ACTIONS(4015),
    [anon_sym___inline__] = ACTIONS(4015),
    [anon_sym___forceinline] = ACTIONS(4015),
    [anon_sym_thread_local] = ACTIONS(4015),
    [anon_sym___thread] = ACTIONS(4015),
    [anon_sym_CG_EXTERN] = ACTIONS(4015),
    [anon_sym_CG_INLINE] = ACTIONS(4015),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4015),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4015),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4015),
    [anon_sym_IBOutlet] = ACTIONS(4015),
    [anon_sym_IBInspectable] = ACTIONS(4015),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4015),
    [anon_sym_NS_INLINE] = ACTIONS(4015),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4015),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4015),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4015),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4015),
    [anon_sym_const] = ACTIONS(4015),
    [anon_sym_constexpr] = ACTIONS(4015),
    [anon_sym_volatile] = ACTIONS(4015),
    [anon_sym_restrict] = ACTIONS(4015),
    [anon_sym___restrict__] = ACTIONS(4015),
    [anon_sym__Atomic] = ACTIONS(4015),
    [anon_sym__Noreturn] = ACTIONS(4015),
    [anon_sym__Nonnull] = ACTIONS(4015),
    [anon_sym_nullable] = ACTIONS(4015),
    [anon_sym__Complex] = ACTIONS(4015),
    [anon_sym__Nullable] = ACTIONS(4015),
    [anon_sym__Nullable_result] = ACTIONS(4015),
    [anon_sym__Null_unspecified] = ACTIONS(4015),
    [anon_sym___autoreleasing] = ACTIONS(4015),
    [anon_sym___block] = ACTIONS(4015),
    [anon_sym___bridge] = ACTIONS(4015),
    [anon_sym___bridge_retained] = ACTIONS(4015),
    [anon_sym___bridge_transfer] = ACTIONS(4015),
    [anon_sym___complex] = ACTIONS(4015),
    [anon_sym___const] = ACTIONS(4015),
    [anon_sym___imag] = ACTIONS(4015),
    [anon_sym___kindof] = ACTIONS(4015),
    [anon_sym___nonnull] = ACTIONS(4015),
    [anon_sym___nullable] = ACTIONS(4015),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4015),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4015),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4015),
    [anon_sym___real] = ACTIONS(4015),
    [anon_sym___strong] = ACTIONS(4015),
    [anon_sym___unsafe_unretained] = ACTIONS(4015),
    [anon_sym___unused] = ACTIONS(4015),
    [anon_sym___weak] = ACTIONS(4015),
    [anon_sym_alignas] = ACTIONS(4015),
    [anon_sym__Alignas] = ACTIONS(4015),
    [anon_sym_COLON] = ACTIONS(4017),
    [anon_sym_QMARK] = ACTIONS(4017),
    [anon_sym_STAR_EQ] = ACTIONS(4017),
    [anon_sym_SLASH_EQ] = ACTIONS(4017),
    [anon_sym_PERCENT_EQ] = ACTIONS(4017),
    [anon_sym_PLUS_EQ] = ACTIONS(4017),
    [anon_sym_DASH_EQ] = ACTIONS(4017),
    [anon_sym_LT_LT_EQ] = ACTIONS(4017),
    [anon_sym_GT_GT_EQ] = ACTIONS(4017),
    [anon_sym_AMP_EQ] = ACTIONS(4017),
    [anon_sym_CARET_EQ] = ACTIONS(4017),
    [anon_sym_PIPE_EQ] = ACTIONS(4017),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_DOT] = ACTIONS(4015),
    [anon_sym_DASH_GT] = ACTIONS(4017),
    [anon_sym_AT] = ACTIONS(4628),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4015),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4015),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4015),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4015),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4015),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4015),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4015),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4015),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4015),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4015),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4015),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4015),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4015),
    [anon_sym_API_AVAILABLE] = ACTIONS(4015),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4015),
    [anon_sym_API_DEPRECATED] = ACTIONS(4015),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4015),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4015),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4015),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4015),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4015),
    [anon_sym___deprecated_msg] = ACTIONS(4015),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4015),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4015),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4015),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4015),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4015),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4015),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4015),
  },
  [1688] = {
    [sym_declaration] = STATE(1846),
    [sym__declaration_modifiers] = STATE(1951),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1951),
    [sym_attribute_declaration] = STATE(1951),
    [sym_ms_declspec_modifier] = STATE(1951),
    [sym_compound_statement] = STATE(2261),
    [sym_storage_class_specifier] = STATE(1951),
    [sym_type_qualifier] = STATE(1951),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1951),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(1689),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1846),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1951),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(1689),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4677),
    [anon_sym_SEMI] = ACTIONS(4679),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1689] = {
    [sym_declaration] = STATE(1869),
    [sym__declaration_modifiers] = STATE(1993),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1993),
    [sym_attribute_declaration] = STATE(1993),
    [sym_ms_declspec_modifier] = STATE(1993),
    [sym_compound_statement] = STATE(2286),
    [sym_storage_class_specifier] = STATE(1993),
    [sym_type_qualifier] = STATE(1993),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1993),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(2672),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1869),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1993),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(2672),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4681),
    [anon_sym_SEMI] = ACTIONS(4683),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1690] = {
    [sym_declaration] = STATE(1861),
    [sym__declaration_modifiers] = STATE(1940),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1940),
    [sym_attribute_declaration] = STATE(1940),
    [sym_ms_declspec_modifier] = STATE(1940),
    [sym_compound_statement] = STATE(2278),
    [sym_storage_class_specifier] = STATE(1940),
    [sym_type_qualifier] = STATE(1940),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1940),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(2672),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1861),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1940),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(2672),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4685),
    [anon_sym_SEMI] = ACTIONS(4687),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1691] = {
    [sym_declaration] = STATE(1861),
    [sym__declaration_modifiers] = STATE(1940),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1940),
    [sym_attribute_declaration] = STATE(1940),
    [sym_ms_declspec_modifier] = STATE(1940),
    [sym_compound_statement] = STATE(2278),
    [sym_storage_class_specifier] = STATE(1940),
    [sym_type_qualifier] = STATE(1940),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1940),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(1698),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1861),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1940),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(1698),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4685),
    [anon_sym_SEMI] = ACTIONS(4687),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1692] = {
    [sym_declaration] = STATE(1869),
    [sym__declaration_modifiers] = STATE(1993),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1993),
    [sym_attribute_declaration] = STATE(1993),
    [sym_ms_declspec_modifier] = STATE(1993),
    [sym_compound_statement] = STATE(2286),
    [sym_storage_class_specifier] = STATE(1993),
    [sym_type_qualifier] = STATE(1993),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1993),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(1697),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1869),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1993),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(1697),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4681),
    [anon_sym_SEMI] = ACTIONS(4683),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1693] = {
    [sym_declaration] = STATE(1854),
    [sym__declaration_modifiers] = STATE(1978),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1978),
    [sym_attribute_declaration] = STATE(1978),
    [sym_ms_declspec_modifier] = STATE(1978),
    [sym_compound_statement] = STATE(2285),
    [sym_storage_class_specifier] = STATE(1978),
    [sym_type_qualifier] = STATE(1978),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1978),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(2672),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1978),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(2672),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4693),
    [anon_sym_SEMI] = ACTIONS(4695),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1694] = {
    [sym_declaration] = STATE(1859),
    [sym__declaration_modifiers] = STATE(1985),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1985),
    [sym_attribute_declaration] = STATE(1985),
    [sym_ms_declspec_modifier] = STATE(1985),
    [sym_compound_statement] = STATE(2123),
    [sym_storage_class_specifier] = STATE(1985),
    [sym_type_qualifier] = STATE(1985),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1985),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(2672),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1859),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1985),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(2672),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4697),
    [anon_sym_SEMI] = ACTIONS(4699),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1695] = {
    [sym_declaration] = STATE(1841),
    [sym__declaration_modifiers] = STATE(1965),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1965),
    [sym_attribute_declaration] = STATE(1965),
    [sym_ms_declspec_modifier] = STATE(1965),
    [sym_compound_statement] = STATE(2111),
    [sym_storage_class_specifier] = STATE(1965),
    [sym_type_qualifier] = STATE(1965),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1965),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(1704),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1965),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(1704),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4701),
    [anon_sym_SEMI] = ACTIONS(4703),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1696] = {
    [sym_declaration] = STATE(1841),
    [sym__declaration_modifiers] = STATE(1965),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1965),
    [sym_attribute_declaration] = STATE(1965),
    [sym_ms_declspec_modifier] = STATE(1965),
    [sym_compound_statement] = STATE(2111),
    [sym_storage_class_specifier] = STATE(1965),
    [sym_type_qualifier] = STATE(1965),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1965),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(2672),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1965),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(2672),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4701),
    [anon_sym_SEMI] = ACTIONS(4703),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1697] = {
    [sym_declaration] = STATE(1881),
    [sym__declaration_modifiers] = STATE(1975),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1975),
    [sym_attribute_declaration] = STATE(1975),
    [sym_ms_declspec_modifier] = STATE(1975),
    [sym_compound_statement] = STATE(2302),
    [sym_storage_class_specifier] = STATE(1975),
    [sym_type_qualifier] = STATE(1975),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1975),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(2672),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1881),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1975),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(2672),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4653),
    [anon_sym_SEMI] = ACTIONS(4655),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1698] = {
    [sym_declaration] = STATE(1865),
    [sym__declaration_modifiers] = STATE(1947),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1947),
    [sym_attribute_declaration] = STATE(1947),
    [sym_ms_declspec_modifier] = STATE(1947),
    [sym_compound_statement] = STATE(2284),
    [sym_storage_class_specifier] = STATE(1947),
    [sym_type_qualifier] = STATE(1947),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1947),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(2672),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1865),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1947),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(2672),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4705),
    [anon_sym_SEMI] = ACTIONS(4707),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1699] = {
    [sym_declaration] = STATE(1865),
    [sym__declaration_modifiers] = STATE(1947),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1947),
    [sym_attribute_declaration] = STATE(1947),
    [sym_ms_declspec_modifier] = STATE(1947),
    [sym_compound_statement] = STATE(2284),
    [sym_storage_class_specifier] = STATE(1947),
    [sym_type_qualifier] = STATE(1947),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1947),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(1702),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1865),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1947),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(1702),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4705),
    [anon_sym_SEMI] = ACTIONS(4707),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1700] = {
    [sym_declaration] = STATE(1870),
    [sym__declaration_modifiers] = STATE(1952),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1952),
    [sym_attribute_declaration] = STATE(1952),
    [sym_ms_declspec_modifier] = STATE(1952),
    [sym_compound_statement] = STATE(2289),
    [sym_storage_class_specifier] = STATE(1952),
    [sym_type_qualifier] = STATE(1952),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1952),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(1706),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1870),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(1706),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4709),
    [anon_sym_SEMI] = ACTIONS(4711),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1701] = {
    [sym_declaration] = STATE(1845),
    [sym__declaration_modifiers] = STATE(1974),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1974),
    [sym_attribute_declaration] = STATE(1974),
    [sym_ms_declspec_modifier] = STATE(1974),
    [sym_compound_statement] = STATE(2321),
    [sym_storage_class_specifier] = STATE(1974),
    [sym_type_qualifier] = STATE(1974),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1974),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(1693),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1845),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1974),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(1693),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4713),
    [anon_sym_SEMI] = ACTIONS(4715),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1702] = {
    [sym_declaration] = STATE(1870),
    [sym__declaration_modifiers] = STATE(1952),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1952),
    [sym_attribute_declaration] = STATE(1952),
    [sym_ms_declspec_modifier] = STATE(1952),
    [sym_compound_statement] = STATE(2289),
    [sym_storage_class_specifier] = STATE(1952),
    [sym_type_qualifier] = STATE(1952),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1952),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(2672),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1870),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(2672),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4709),
    [anon_sym_SEMI] = ACTIONS(4711),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1703] = {
    [sym_declaration] = STATE(1859),
    [sym__declaration_modifiers] = STATE(1985),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1985),
    [sym_attribute_declaration] = STATE(1985),
    [sym_ms_declspec_modifier] = STATE(1985),
    [sym_compound_statement] = STATE(2123),
    [sym_storage_class_specifier] = STATE(1985),
    [sym_type_qualifier] = STATE(1985),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1985),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(1713),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1859),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1985),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(1713),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4697),
    [anon_sym_SEMI] = ACTIONS(4699),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1704] = {
    [sym_declaration] = STATE(1848),
    [sym__declaration_modifiers] = STATE(1959),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1959),
    [sym_attribute_declaration] = STATE(1959),
    [sym_ms_declspec_modifier] = STATE(1959),
    [sym_compound_statement] = STATE(2114),
    [sym_storage_class_specifier] = STATE(1959),
    [sym_type_qualifier] = STATE(1959),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1959),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(2672),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1848),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1959),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(2672),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4717),
    [anon_sym_SEMI] = ACTIONS(4719),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1705] = {
    [sym_declaration] = STATE(1848),
    [sym__declaration_modifiers] = STATE(1959),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1959),
    [sym_attribute_declaration] = STATE(1959),
    [sym_ms_declspec_modifier] = STATE(1959),
    [sym_compound_statement] = STATE(2114),
    [sym_storage_class_specifier] = STATE(1959),
    [sym_type_qualifier] = STATE(1959),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1959),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(1712),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1848),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1959),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(1712),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4717),
    [anon_sym_SEMI] = ACTIONS(4719),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1706] = {
    [sym_declaration] = STATE(1873),
    [sym__declaration_modifiers] = STATE(1956),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1956),
    [sym_attribute_declaration] = STATE(1956),
    [sym_ms_declspec_modifier] = STATE(1956),
    [sym_compound_statement] = STATE(2253),
    [sym_storage_class_specifier] = STATE(1956),
    [sym_type_qualifier] = STATE(1956),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1956),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(2672),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1873),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1956),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(2672),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4721),
    [anon_sym_SEMI] = ACTIONS(4723),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1707] = {
    [sym_string_literal] = STATE(1625),
    [sym_identifier] = ACTIONS(4015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4017),
    [anon_sym_COMMA] = ACTIONS(4017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4017),
    [anon_sym_LPAREN2] = ACTIONS(4017),
    [anon_sym_DASH] = ACTIONS(4015),
    [anon_sym_PLUS] = ACTIONS(4015),
    [anon_sym_STAR] = ACTIONS(4015),
    [anon_sym_SLASH] = ACTIONS(4015),
    [anon_sym_PERCENT] = ACTIONS(4015),
    [anon_sym_PIPE_PIPE] = ACTIONS(4017),
    [anon_sym_AMP_AMP] = ACTIONS(4017),
    [anon_sym_PIPE] = ACTIONS(4015),
    [anon_sym_CARET] = ACTIONS(4015),
    [anon_sym_AMP] = ACTIONS(4015),
    [anon_sym_EQ_EQ] = ACTIONS(4017),
    [anon_sym_BANG_EQ] = ACTIONS(4017),
    [anon_sym_GT] = ACTIONS(4015),
    [anon_sym_GT_EQ] = ACTIONS(4017),
    [anon_sym_LT_EQ] = ACTIONS(4017),
    [anon_sym_LT] = ACTIONS(4015),
    [anon_sym_LT_LT] = ACTIONS(4015),
    [anon_sym_GT_GT] = ACTIONS(4015),
    [anon_sym___extension__] = ACTIONS(4015),
    [anon_sym_extern] = ACTIONS(4015),
    [anon_sym___attribute__] = ACTIONS(4015),
    [anon_sym___attribute] = ACTIONS(4015),
    [anon_sym_noreturn] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(4017),
    [anon_sym_RBRACK] = ACTIONS(4017),
    [anon_sym___declspec] = ACTIONS(4015),
    [anon_sym_RBRACE] = ACTIONS(4017),
    [anon_sym_static] = ACTIONS(4015),
    [anon_sym_EQ] = ACTIONS(4015),
    [anon_sym_auto] = ACTIONS(4015),
    [anon_sym_register] = ACTIONS(4015),
    [anon_sym_inline] = ACTIONS(4015),
    [anon_sym___inline] = ACTIONS(4015),
    [anon_sym___inline__] = ACTIONS(4015),
    [anon_sym___forceinline] = ACTIONS(4015),
    [anon_sym_thread_local] = ACTIONS(4015),
    [anon_sym___thread] = ACTIONS(4015),
    [anon_sym_CG_EXTERN] = ACTIONS(4015),
    [anon_sym_CG_INLINE] = ACTIONS(4015),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4015),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4015),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4015),
    [anon_sym_IBOutlet] = ACTIONS(4015),
    [anon_sym_IBInspectable] = ACTIONS(4015),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4015),
    [anon_sym_NS_INLINE] = ACTIONS(4015),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4015),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4015),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4015),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4015),
    [anon_sym_const] = ACTIONS(4015),
    [anon_sym_constexpr] = ACTIONS(4015),
    [anon_sym_volatile] = ACTIONS(4015),
    [anon_sym_restrict] = ACTIONS(4015),
    [anon_sym___restrict__] = ACTIONS(4015),
    [anon_sym__Atomic] = ACTIONS(4015),
    [anon_sym__Noreturn] = ACTIONS(4015),
    [anon_sym__Nonnull] = ACTIONS(4015),
    [anon_sym_nullable] = ACTIONS(4015),
    [anon_sym__Complex] = ACTIONS(4015),
    [anon_sym__Nullable] = ACTIONS(4015),
    [anon_sym__Nullable_result] = ACTIONS(4015),
    [anon_sym__Null_unspecified] = ACTIONS(4015),
    [anon_sym___autoreleasing] = ACTIONS(4015),
    [anon_sym___block] = ACTIONS(4015),
    [anon_sym___bridge] = ACTIONS(4015),
    [anon_sym___bridge_retained] = ACTIONS(4015),
    [anon_sym___bridge_transfer] = ACTIONS(4015),
    [anon_sym___complex] = ACTIONS(4015),
    [anon_sym___const] = ACTIONS(4015),
    [anon_sym___imag] = ACTIONS(4015),
    [anon_sym___kindof] = ACTIONS(4015),
    [anon_sym___nonnull] = ACTIONS(4015),
    [anon_sym___nullable] = ACTIONS(4015),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4015),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4015),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4015),
    [anon_sym___real] = ACTIONS(4015),
    [anon_sym___strong] = ACTIONS(4015),
    [anon_sym___unsafe_unretained] = ACTIONS(4015),
    [anon_sym___unused] = ACTIONS(4015),
    [anon_sym___weak] = ACTIONS(4015),
    [anon_sym_alignas] = ACTIONS(4015),
    [anon_sym__Alignas] = ACTIONS(4015),
    [anon_sym_COLON] = ACTIONS(4017),
    [anon_sym_QMARK] = ACTIONS(4017),
    [anon_sym_STAR_EQ] = ACTIONS(4017),
    [anon_sym_SLASH_EQ] = ACTIONS(4017),
    [anon_sym_PERCENT_EQ] = ACTIONS(4017),
    [anon_sym_PLUS_EQ] = ACTIONS(4017),
    [anon_sym_DASH_EQ] = ACTIONS(4017),
    [anon_sym_LT_LT_EQ] = ACTIONS(4017),
    [anon_sym_GT_GT_EQ] = ACTIONS(4017),
    [anon_sym_AMP_EQ] = ACTIONS(4017),
    [anon_sym_CARET_EQ] = ACTIONS(4017),
    [anon_sym_PIPE_EQ] = ACTIONS(4017),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_DOT] = ACTIONS(4015),
    [anon_sym_DASH_GT] = ACTIONS(4017),
    [anon_sym_AT] = ACTIONS(4628),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4015),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4015),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4015),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4015),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4015),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4015),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4015),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4015),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4015),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4015),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4015),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4015),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4015),
    [anon_sym_API_AVAILABLE] = ACTIONS(4015),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4015),
    [anon_sym_API_DEPRECATED] = ACTIONS(4015),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4015),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4015),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4015),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4015),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4015),
    [anon_sym___deprecated_msg] = ACTIONS(4015),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4015),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4015),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4015),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4015),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4015),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4015),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4015),
  },
  [1708] = {
    [sym_declaration] = STATE(1873),
    [sym__declaration_modifiers] = STATE(1956),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1956),
    [sym_attribute_declaration] = STATE(1956),
    [sym_ms_declspec_modifier] = STATE(1956),
    [sym_compound_statement] = STATE(2253),
    [sym_storage_class_specifier] = STATE(1956),
    [sym_type_qualifier] = STATE(1956),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1956),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(1709),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1873),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1956),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(1709),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4721),
    [anon_sym_SEMI] = ACTIONS(4723),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1709] = {
    [sym_declaration] = STATE(1875),
    [sym__declaration_modifiers] = STATE(1960),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1960),
    [sym_attribute_declaration] = STATE(1960),
    [sym_ms_declspec_modifier] = STATE(1960),
    [sym_compound_statement] = STATE(2293),
    [sym_storage_class_specifier] = STATE(1960),
    [sym_type_qualifier] = STATE(1960),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1960),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(2672),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1875),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1960),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(2672),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4725),
    [anon_sym_SEMI] = ACTIONS(4727),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1710] = {
    [sym_declaration] = STATE(1846),
    [sym__declaration_modifiers] = STATE(1951),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1951),
    [sym_attribute_declaration] = STATE(1951),
    [sym_ms_declspec_modifier] = STATE(1951),
    [sym_compound_statement] = STATE(2261),
    [sym_storage_class_specifier] = STATE(1951),
    [sym_type_qualifier] = STATE(1951),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1951),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(2672),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1846),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1951),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(2672),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4677),
    [anon_sym_SEMI] = ACTIONS(4679),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1711] = {
    [sym_declaration] = STATE(1854),
    [sym__declaration_modifiers] = STATE(1978),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1978),
    [sym_attribute_declaration] = STATE(1978),
    [sym_ms_declspec_modifier] = STATE(1978),
    [sym_compound_statement] = STATE(2285),
    [sym_storage_class_specifier] = STATE(1978),
    [sym_type_qualifier] = STATE(1978),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1978),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(1710),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1978),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(1710),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4693),
    [anon_sym_SEMI] = ACTIONS(4695),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1712] = {
    [sym_declaration] = STATE(1852),
    [sym__declaration_modifiers] = STATE(2002),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2002),
    [sym_attribute_declaration] = STATE(2002),
    [sym_ms_declspec_modifier] = STATE(2002),
    [sym_compound_statement] = STATE(2116),
    [sym_storage_class_specifier] = STATE(2002),
    [sym_type_qualifier] = STATE(2002),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2002),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(2672),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(2672),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4729),
    [anon_sym_SEMI] = ACTIONS(4731),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1713] = {
    [sym_declaration] = STATE(1863),
    [sym__declaration_modifiers] = STATE(1941),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1941),
    [sym_attribute_declaration] = STATE(1941),
    [sym_ms_declspec_modifier] = STATE(1941),
    [sym_compound_statement] = STATE(2125),
    [sym_storage_class_specifier] = STATE(1941),
    [sym_type_qualifier] = STATE(1941),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1941),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(2672),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1863),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1941),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(2672),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4733),
    [anon_sym_SEMI] = ACTIONS(4735),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1714] = {
    [sym_declaration] = STATE(1884),
    [sym__declaration_modifiers] = STATE(1991),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1991),
    [sym_attribute_declaration] = STATE(1991),
    [sym_ms_declspec_modifier] = STATE(1991),
    [sym_compound_statement] = STATE(2305),
    [sym_storage_class_specifier] = STATE(1991),
    [sym_type_qualifier] = STATE(1991),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1991),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(2672),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1884),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1991),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(2672),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4737),
    [anon_sym_SEMI] = ACTIONS(4739),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1715] = {
    [sym_declaration] = STATE(1884),
    [sym__declaration_modifiers] = STATE(1991),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1991),
    [sym_attribute_declaration] = STATE(1991),
    [sym_ms_declspec_modifier] = STATE(1991),
    [sym_compound_statement] = STATE(2305),
    [sym_storage_class_specifier] = STATE(1991),
    [sym_type_qualifier] = STATE(1991),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1991),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(1720),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1884),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1991),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(1720),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4737),
    [anon_sym_SEMI] = ACTIONS(4739),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1716] = {
    [sym_declaration] = STATE(1858),
    [sym__declaration_modifiers] = STATE(1983),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1983),
    [sym_attribute_declaration] = STATE(1983),
    [sym_ms_declspec_modifier] = STATE(1983),
    [sym_compound_statement] = STATE(2273),
    [sym_storage_class_specifier] = STATE(1983),
    [sym_type_qualifier] = STATE(1983),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1983),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(1690),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1858),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1983),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(1690),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4741),
    [anon_sym_SEMI] = ACTIONS(4743),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1717] = {
    [sym_declaration] = STATE(1858),
    [sym__declaration_modifiers] = STATE(1983),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1983),
    [sym_attribute_declaration] = STATE(1983),
    [sym_ms_declspec_modifier] = STATE(1983),
    [sym_compound_statement] = STATE(2273),
    [sym_storage_class_specifier] = STATE(1983),
    [sym_type_qualifier] = STATE(1983),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1983),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(2672),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1858),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1983),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(2672),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4741),
    [anon_sym_SEMI] = ACTIONS(4743),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1718] = {
    [sym_declaration] = STATE(1852),
    [sym__declaration_modifiers] = STATE(2002),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2002),
    [sym_attribute_declaration] = STATE(2002),
    [sym_ms_declspec_modifier] = STATE(2002),
    [sym_compound_statement] = STATE(2116),
    [sym_storage_class_specifier] = STATE(2002),
    [sym_type_qualifier] = STATE(2002),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2002),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(1721),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(1721),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4729),
    [anon_sym_SEMI] = ACTIONS(4731),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1719] = {
    [sym_declaration] = STATE(1849),
    [sym__declaration_modifiers] = STATE(1964),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1964),
    [sym_attribute_declaration] = STATE(1964),
    [sym_ms_declspec_modifier] = STATE(1964),
    [sym_compound_statement] = STATE(2265),
    [sym_storage_class_specifier] = STATE(1964),
    [sym_type_qualifier] = STATE(1964),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1964),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(1717),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1849),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1964),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(1717),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4745),
    [anon_sym_SEMI] = ACTIONS(4747),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1720] = {
    [sym_declaration] = STATE(1886),
    [sym__declaration_modifiers] = STATE(1963),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1963),
    [sym_attribute_declaration] = STATE(1963),
    [sym_ms_declspec_modifier] = STATE(1963),
    [sym_compound_statement] = STATE(2308),
    [sym_storage_class_specifier] = STATE(1963),
    [sym_type_qualifier] = STATE(1963),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1963),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(2672),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1886),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1963),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(2672),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4749),
    [anon_sym_SEMI] = ACTIONS(4751),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1721] = {
    [sym_declaration] = STATE(1855),
    [sym__declaration_modifiers] = STATE(1980),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1980),
    [sym_attribute_declaration] = STATE(1980),
    [sym_ms_declspec_modifier] = STATE(1980),
    [sym_compound_statement] = STATE(2121),
    [sym_storage_class_specifier] = STATE(1980),
    [sym_type_qualifier] = STATE(1980),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1980),
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(2672),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1855),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1980),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat1] = STATE(2672),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(4651),
    [anon_sym_COMMA] = ACTIONS(4663),
    [anon_sym_SEMI] = ACTIONS(4665),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1722] = {
    [sym_function_definition] = STATE(614),
    [sym_declaration] = STATE(614),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4238),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_ms_call_modifier] = STATE(2205),
    [sym_declaration_list] = STATE(614),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4753),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1723] = {
    [sym_function_definition] = STATE(325),
    [sym_declaration] = STATE(325),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4226),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_ms_call_modifier] = STATE(2201),
    [sym_declaration_list] = STATE(325),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4755),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1724] = {
    [sym_declaration] = STATE(1846),
    [sym__declaration_modifiers] = STATE(1951),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1951),
    [sym_attribute_declaration] = STATE(1951),
    [sym_ms_declspec_modifier] = STATE(1951),
    [sym_compound_statement] = STATE(2261),
    [sym_storage_class_specifier] = STATE(1951),
    [sym_type_qualifier] = STATE(1951),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1951),
    [sym_keyword_declarator] = STATE(2756),
    [sym_method_parameter] = STATE(1692),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1846),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1951),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_keyword_selector_repeat1] = STATE(2756),
    [sym_identifier] = ACTIONS(4757),
    [anon_sym_COMMA] = ACTIONS(4759),
    [anon_sym_SEMI] = ACTIONS(4679),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1725] = {
    [sym_function_definition] = STATE(995),
    [sym_declaration] = STATE(995),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4225),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_ms_call_modifier] = STATE(2110),
    [sym_declaration_list] = STATE(995),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4761),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1726] = {
    [sym_function_definition] = STATE(848),
    [sym_declaration] = STATE(848),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4216),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_ms_call_modifier] = STATE(2199),
    [sym_declaration_list] = STATE(848),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4763),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1727] = {
    [sym_declaration] = STATE(1861),
    [sym__declaration_modifiers] = STATE(1940),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1940),
    [sym_attribute_declaration] = STATE(1940),
    [sym_ms_declspec_modifier] = STATE(1940),
    [sym_compound_statement] = STATE(2278),
    [sym_storage_class_specifier] = STATE(1940),
    [sym_type_qualifier] = STATE(1940),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1940),
    [sym_keyword_declarator] = STATE(2756),
    [sym_method_parameter] = STATE(1699),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1861),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1940),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_keyword_selector_repeat1] = STATE(2756),
    [sym_identifier] = ACTIONS(4757),
    [anon_sym_COMMA] = ACTIONS(4765),
    [anon_sym_SEMI] = ACTIONS(4687),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1728] = {
    [sym_declaration] = STATE(1841),
    [sym__declaration_modifiers] = STATE(1965),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1965),
    [sym_attribute_declaration] = STATE(1965),
    [sym_ms_declspec_modifier] = STATE(1965),
    [sym_compound_statement] = STATE(2111),
    [sym_storage_class_specifier] = STATE(1965),
    [sym_type_qualifier] = STATE(1965),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1965),
    [sym_keyword_declarator] = STATE(2756),
    [sym_method_parameter] = STATE(1705),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1965),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_keyword_selector_repeat1] = STATE(2756),
    [sym_identifier] = ACTIONS(4757),
    [anon_sym_COMMA] = ACTIONS(4767),
    [anon_sym_SEMI] = ACTIONS(4703),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1729] = {
    [sym_declaration] = STATE(1845),
    [sym__declaration_modifiers] = STATE(1974),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1974),
    [sym_attribute_declaration] = STATE(1974),
    [sym_ms_declspec_modifier] = STATE(1974),
    [sym_compound_statement] = STATE(2321),
    [sym_storage_class_specifier] = STATE(1974),
    [sym_type_qualifier] = STATE(1974),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1974),
    [sym_keyword_declarator] = STATE(2756),
    [sym_method_parameter] = STATE(1711),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1845),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1974),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_keyword_selector_repeat1] = STATE(2756),
    [sym_identifier] = ACTIONS(4757),
    [anon_sym_COMMA] = ACTIONS(4769),
    [anon_sym_SEMI] = ACTIONS(4715),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1730] = {
    [sym_declaration] = STATE(1858),
    [sym__declaration_modifiers] = STATE(1983),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1983),
    [sym_attribute_declaration] = STATE(1983),
    [sym_ms_declspec_modifier] = STATE(1983),
    [sym_compound_statement] = STATE(2273),
    [sym_storage_class_specifier] = STATE(1983),
    [sym_type_qualifier] = STATE(1983),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1983),
    [sym_keyword_declarator] = STATE(2756),
    [sym_method_parameter] = STATE(1691),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1858),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1983),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_keyword_selector_repeat1] = STATE(2756),
    [sym_identifier] = ACTIONS(4757),
    [anon_sym_COMMA] = ACTIONS(4771),
    [anon_sym_SEMI] = ACTIONS(4743),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1731] = {
    [sym_declaration] = STATE(1848),
    [sym__declaration_modifiers] = STATE(1959),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1959),
    [sym_attribute_declaration] = STATE(1959),
    [sym_ms_declspec_modifier] = STATE(1959),
    [sym_compound_statement] = STATE(2114),
    [sym_storage_class_specifier] = STATE(1959),
    [sym_type_qualifier] = STATE(1959),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1959),
    [sym_keyword_declarator] = STATE(2756),
    [sym_method_parameter] = STATE(1718),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1848),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1959),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_keyword_selector_repeat1] = STATE(2756),
    [sym_identifier] = ACTIONS(4757),
    [anon_sym_COMMA] = ACTIONS(4773),
    [anon_sym_SEMI] = ACTIONS(4719),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1732] = {
    [sym_declaration] = STATE(1885),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(2197),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1994),
    [sym_keyword_declarator] = STATE(2756),
    [sym_method_parameter] = STATE(1695),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1885),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_keyword_selector_repeat1] = STATE(2756),
    [sym_identifier] = ACTIONS(4757),
    [anon_sym_COMMA] = ACTIONS(4775),
    [anon_sym_SEMI] = ACTIONS(4673),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1733] = {
    [sym_declaration] = STATE(1854),
    [sym__declaration_modifiers] = STATE(1978),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1978),
    [sym_attribute_declaration] = STATE(1978),
    [sym_ms_declspec_modifier] = STATE(1978),
    [sym_compound_statement] = STATE(2285),
    [sym_storage_class_specifier] = STATE(1978),
    [sym_type_qualifier] = STATE(1978),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1978),
    [sym_keyword_declarator] = STATE(2756),
    [sym_method_parameter] = STATE(1688),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1978),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_keyword_selector_repeat1] = STATE(2756),
    [sym_identifier] = ACTIONS(4757),
    [anon_sym_COMMA] = ACTIONS(4777),
    [anon_sym_SEMI] = ACTIONS(4695),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1734] = {
    [sym_declaration] = STATE(1849),
    [sym__declaration_modifiers] = STATE(1964),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1964),
    [sym_attribute_declaration] = STATE(1964),
    [sym_ms_declspec_modifier] = STATE(1964),
    [sym_compound_statement] = STATE(2265),
    [sym_storage_class_specifier] = STATE(1964),
    [sym_type_qualifier] = STATE(1964),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1964),
    [sym_keyword_declarator] = STATE(2756),
    [sym_method_parameter] = STATE(1716),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1849),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1964),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_keyword_selector_repeat1] = STATE(2756),
    [sym_identifier] = ACTIONS(4757),
    [anon_sym_COMMA] = ACTIONS(4779),
    [anon_sym_SEMI] = ACTIONS(4747),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1735] = {
    [sym_function_definition] = STATE(478),
    [sym_declaration] = STATE(478),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4231),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_ms_call_modifier] = STATE(2204),
    [sym_declaration_list] = STATE(478),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(4781),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1736] = {
    [sym_string_literal] = STATE(1928),
    [sym_identifier] = ACTIONS(4005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4007),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4005),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4005),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4005),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym___extension__] = ACTIONS(4005),
    [anon_sym_extern] = ACTIONS(4005),
    [anon_sym___attribute__] = ACTIONS(4005),
    [anon_sym___attribute] = ACTIONS(4005),
    [anon_sym_noreturn] = ACTIONS(4005),
    [anon_sym_LBRACK] = ACTIONS(4007),
    [anon_sym___declspec] = ACTIONS(4005),
    [anon_sym_RBRACE] = ACTIONS(4007),
    [anon_sym_static] = ACTIONS(4005),
    [anon_sym_EQ] = ACTIONS(4783),
    [anon_sym_auto] = ACTIONS(4005),
    [anon_sym_register] = ACTIONS(4005),
    [anon_sym_inline] = ACTIONS(4005),
    [anon_sym___inline] = ACTIONS(4005),
    [anon_sym___inline__] = ACTIONS(4005),
    [anon_sym___forceinline] = ACTIONS(4005),
    [anon_sym_thread_local] = ACTIONS(4005),
    [anon_sym___thread] = ACTIONS(4005),
    [anon_sym_CG_EXTERN] = ACTIONS(4005),
    [anon_sym_CG_INLINE] = ACTIONS(4005),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4005),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4005),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4005),
    [anon_sym_IBOutlet] = ACTIONS(4005),
    [anon_sym_IBInspectable] = ACTIONS(4005),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4005),
    [anon_sym_NS_INLINE] = ACTIONS(4005),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4005),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4005),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4005),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4005),
    [anon_sym_const] = ACTIONS(4005),
    [anon_sym_constexpr] = ACTIONS(4005),
    [anon_sym_volatile] = ACTIONS(4005),
    [anon_sym_restrict] = ACTIONS(4005),
    [anon_sym___restrict__] = ACTIONS(4005),
    [anon_sym__Atomic] = ACTIONS(4005),
    [anon_sym__Noreturn] = ACTIONS(4005),
    [anon_sym__Nonnull] = ACTIONS(4005),
    [anon_sym_nullable] = ACTIONS(4005),
    [anon_sym__Complex] = ACTIONS(4005),
    [anon_sym__Nullable] = ACTIONS(4005),
    [anon_sym__Nullable_result] = ACTIONS(4005),
    [anon_sym__Null_unspecified] = ACTIONS(4005),
    [anon_sym___autoreleasing] = ACTIONS(4005),
    [anon_sym___block] = ACTIONS(4005),
    [anon_sym___bridge] = ACTIONS(4005),
    [anon_sym___bridge_retained] = ACTIONS(4005),
    [anon_sym___bridge_transfer] = ACTIONS(4005),
    [anon_sym___complex] = ACTIONS(4005),
    [anon_sym___const] = ACTIONS(4005),
    [anon_sym___imag] = ACTIONS(4005),
    [anon_sym___kindof] = ACTIONS(4005),
    [anon_sym___nonnull] = ACTIONS(4005),
    [anon_sym___nullable] = ACTIONS(4005),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4005),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4005),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4005),
    [anon_sym___real] = ACTIONS(4005),
    [anon_sym___strong] = ACTIONS(4005),
    [anon_sym___unsafe_unretained] = ACTIONS(4005),
    [anon_sym___unused] = ACTIONS(4005),
    [anon_sym___weak] = ACTIONS(4005),
    [anon_sym_alignas] = ACTIONS(4005),
    [anon_sym__Alignas] = ACTIONS(4005),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4785),
    [anon_sym_SLASH_EQ] = ACTIONS(4785),
    [anon_sym_PERCENT_EQ] = ACTIONS(4785),
    [anon_sym_PLUS_EQ] = ACTIONS(4785),
    [anon_sym_DASH_EQ] = ACTIONS(4785),
    [anon_sym_LT_LT_EQ] = ACTIONS(4785),
    [anon_sym_GT_GT_EQ] = ACTIONS(4785),
    [anon_sym_AMP_EQ] = ACTIONS(4785),
    [anon_sym_CARET_EQ] = ACTIONS(4785),
    [anon_sym_PIPE_EQ] = ACTIONS(4785),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4005),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4005),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4005),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4005),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4005),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4005),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4005),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4005),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4005),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_API_AVAILABLE] = ACTIONS(4005),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_API_DEPRECATED] = ACTIONS(4005),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4005),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4005),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4005),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4005),
    [anon_sym___deprecated_msg] = ACTIONS(4005),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4005),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4005),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4005),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4005),
  },
  [1737] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(6208),
    [sym__declarator] = STATE(5314),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(4204),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(4492),
    [anon_sym_CARET] = ACTIONS(4494),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1738] = {
    [sym_declaration] = STATE(1846),
    [sym__declaration_modifiers] = STATE(1951),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1951),
    [sym_attribute_declaration] = STATE(1951),
    [sym_ms_declspec_modifier] = STATE(1951),
    [sym_compound_statement] = STATE(2261),
    [sym_storage_class_specifier] = STATE(1951),
    [sym_type_qualifier] = STATE(1951),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1951),
    [sym_method_parameter] = STATE(1692),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1846),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1951),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4677),
    [anon_sym_SEMI] = ACTIONS(4787),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1739] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4789),
    [anon_sym_PLUS] = ACTIONS(4789),
    [anon_sym_STAR] = ACTIONS(4791),
    [anon_sym_SLASH] = ACTIONS(4793),
    [anon_sym_PERCENT] = ACTIONS(4791),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4036),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(4795),
    [anon_sym_GT_EQ] = ACTIONS(4797),
    [anon_sym_LT_EQ] = ACTIONS(4797),
    [anon_sym_LT] = ACTIONS(4795),
    [anon_sym_LT_LT] = ACTIONS(4799),
    [anon_sym_GT_GT] = ACTIONS(4799),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_LBRACE] = ACTIONS(4036),
    [anon_sym_signed] = ACTIONS(4034),
    [anon_sym_unsigned] = ACTIONS(4034),
    [anon_sym_long] = ACTIONS(4034),
    [anon_sym_short] = ACTIONS(4034),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_ATautoreleasepool] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [sym_primitive_type] = ACTIONS(4034),
    [anon_sym_enum] = ACTIONS(4034),
    [anon_sym_struct] = ACTIONS(4034),
    [anon_sym_union] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4034),
    [anon_sym___typeof] = ACTIONS(4034),
    [anon_sym_typeof] = ACTIONS(4034),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
    [anon_sym_BOOL] = ACTIONS(4034),
    [anon_sym_IMP] = ACTIONS(4034),
    [anon_sym_SEL] = ACTIONS(4034),
    [anon_sym_Class] = ACTIONS(4034),
    [anon_sym_id] = ACTIONS(4034),
  },
  [1740] = {
    [sym_declaration] = STATE(1845),
    [sym__declaration_modifiers] = STATE(1974),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1974),
    [sym_attribute_declaration] = STATE(1974),
    [sym_ms_declspec_modifier] = STATE(1974),
    [sym_compound_statement] = STATE(2321),
    [sym_storage_class_specifier] = STATE(1974),
    [sym_type_qualifier] = STATE(1974),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1974),
    [sym_method_parameter] = STATE(1711),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1845),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1974),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4713),
    [anon_sym_SEMI] = ACTIONS(4801),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1741] = {
    [sym_identifier] = ACTIONS(2922),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4138),
    [anon_sym_COMMA] = ACTIONS(4138),
    [anon_sym_LPAREN2] = ACTIONS(4138),
    [anon_sym_DASH] = ACTIONS(4136),
    [anon_sym_PLUS] = ACTIONS(4136),
    [anon_sym_STAR] = ACTIONS(4138),
    [anon_sym_SLASH] = ACTIONS(4136),
    [anon_sym_PERCENT] = ACTIONS(4138),
    [anon_sym_PIPE_PIPE] = ACTIONS(4138),
    [anon_sym_AMP_AMP] = ACTIONS(4138),
    [anon_sym_PIPE] = ACTIONS(4136),
    [anon_sym_CARET] = ACTIONS(4138),
    [anon_sym_AMP] = ACTIONS(4136),
    [anon_sym_EQ_EQ] = ACTIONS(4138),
    [anon_sym_BANG_EQ] = ACTIONS(4138),
    [anon_sym_GT] = ACTIONS(4136),
    [anon_sym_GT_EQ] = ACTIONS(4138),
    [anon_sym_LT_EQ] = ACTIONS(4138),
    [anon_sym_LT] = ACTIONS(4136),
    [anon_sym_LT_LT] = ACTIONS(4138),
    [anon_sym_GT_GT] = ACTIONS(4138),
    [anon_sym_SEMI] = ACTIONS(4138),
    [anon_sym___extension__] = ACTIONS(2922),
    [anon_sym_extern] = ACTIONS(2922),
    [anon_sym___attribute__] = ACTIONS(2922),
    [anon_sym___attribute] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym___declspec] = ACTIONS(2922),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_static] = ACTIONS(2922),
    [anon_sym_auto] = ACTIONS(2922),
    [anon_sym_register] = ACTIONS(2922),
    [anon_sym_inline] = ACTIONS(2922),
    [anon_sym___inline] = ACTIONS(2922),
    [anon_sym___inline__] = ACTIONS(2922),
    [anon_sym___forceinline] = ACTIONS(2922),
    [anon_sym_thread_local] = ACTIONS(2922),
    [anon_sym___thread] = ACTIONS(2922),
    [anon_sym_CG_EXTERN] = ACTIONS(2922),
    [anon_sym_CG_INLINE] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2922),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2922),
    [anon_sym_IBOutlet] = ACTIONS(2922),
    [anon_sym_IBInspectable] = ACTIONS(2922),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2922),
    [anon_sym_NS_INLINE] = ACTIONS(2922),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2922),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2922),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(2922),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2922),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2922),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(2922),
    [anon_sym_union] = ACTIONS(2922),
    [anon_sym_QMARK] = ACTIONS(4138),
    [anon_sym_DASH_DASH] = ACTIONS(4138),
    [anon_sym_PLUS_PLUS] = ACTIONS(4138),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_DASH_GT] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2922),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2922),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2922),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_API_AVAILABLE] = ACTIONS(2922),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_API_DEPRECATED] = ACTIONS(2922),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym___deprecated_msg] = ACTIONS(2922),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2922),
    [anon_sym_ATprotocol] = ACTIONS(2928),
    [anon_sym_ATinterface] = ACTIONS(2928),
    [anon_sym_ATimplementation] = ACTIONS(2928),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(2922),
  },
  [1742] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4789),
    [anon_sym_PLUS] = ACTIONS(4789),
    [anon_sym_STAR] = ACTIONS(4791),
    [anon_sym_SLASH] = ACTIONS(4793),
    [anon_sym_PERCENT] = ACTIONS(4791),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4803),
    [anon_sym_PIPE] = ACTIONS(4805),
    [anon_sym_CARET] = ACTIONS(4807),
    [anon_sym_AMP] = ACTIONS(4809),
    [anon_sym_EQ_EQ] = ACTIONS(4811),
    [anon_sym_BANG_EQ] = ACTIONS(4811),
    [anon_sym_GT] = ACTIONS(4795),
    [anon_sym_GT_EQ] = ACTIONS(4797),
    [anon_sym_LT_EQ] = ACTIONS(4797),
    [anon_sym_LT] = ACTIONS(4795),
    [anon_sym_LT_LT] = ACTIONS(4799),
    [anon_sym_GT_GT] = ACTIONS(4799),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_LBRACE] = ACTIONS(4036),
    [anon_sym_signed] = ACTIONS(4034),
    [anon_sym_unsigned] = ACTIONS(4034),
    [anon_sym_long] = ACTIONS(4034),
    [anon_sym_short] = ACTIONS(4034),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_ATautoreleasepool] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [sym_primitive_type] = ACTIONS(4034),
    [anon_sym_enum] = ACTIONS(4034),
    [anon_sym_struct] = ACTIONS(4034),
    [anon_sym_union] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4034),
    [anon_sym___typeof] = ACTIONS(4034),
    [anon_sym_typeof] = ACTIONS(4034),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
    [anon_sym_BOOL] = ACTIONS(4034),
    [anon_sym_IMP] = ACTIONS(4034),
    [anon_sym_SEL] = ACTIONS(4034),
    [anon_sym_Class] = ACTIONS(4034),
    [anon_sym_id] = ACTIONS(4034),
  },
  [1743] = {
    [sym_declaration] = STATE(1870),
    [sym__declaration_modifiers] = STATE(1952),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1952),
    [sym_attribute_declaration] = STATE(1952),
    [sym_ms_declspec_modifier] = STATE(1952),
    [sym_compound_statement] = STATE(2289),
    [sym_storage_class_specifier] = STATE(1952),
    [sym_type_qualifier] = STATE(1952),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1952),
    [sym_method_parameter] = STATE(1708),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1870),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4709),
    [anon_sym_SEMI] = ACTIONS(4813),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1744] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4789),
    [anon_sym_PLUS] = ACTIONS(4789),
    [anon_sym_STAR] = ACTIONS(4791),
    [anon_sym_SLASH] = ACTIONS(4793),
    [anon_sym_PERCENT] = ACTIONS(4791),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4036),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(4034),
    [anon_sym_GT_EQ] = ACTIONS(4036),
    [anon_sym_LT_EQ] = ACTIONS(4036),
    [anon_sym_LT] = ACTIONS(4034),
    [anon_sym_LT_LT] = ACTIONS(4036),
    [anon_sym_GT_GT] = ACTIONS(4036),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_LBRACE] = ACTIONS(4036),
    [anon_sym_signed] = ACTIONS(4034),
    [anon_sym_unsigned] = ACTIONS(4034),
    [anon_sym_long] = ACTIONS(4034),
    [anon_sym_short] = ACTIONS(4034),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_ATautoreleasepool] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [sym_primitive_type] = ACTIONS(4034),
    [anon_sym_enum] = ACTIONS(4034),
    [anon_sym_struct] = ACTIONS(4034),
    [anon_sym_union] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4034),
    [anon_sym___typeof] = ACTIONS(4034),
    [anon_sym_typeof] = ACTIONS(4034),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
    [anon_sym_BOOL] = ACTIONS(4034),
    [anon_sym_IMP] = ACTIONS(4034),
    [anon_sym_SEL] = ACTIONS(4034),
    [anon_sym_Class] = ACTIONS(4034),
    [anon_sym_id] = ACTIONS(4034),
  },
  [1745] = {
    [sym_declaration] = STATE(1848),
    [sym__declaration_modifiers] = STATE(1959),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1959),
    [sym_attribute_declaration] = STATE(1959),
    [sym_ms_declspec_modifier] = STATE(1959),
    [sym_compound_statement] = STATE(2114),
    [sym_storage_class_specifier] = STATE(1959),
    [sym_type_qualifier] = STATE(1959),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1959),
    [sym_method_parameter] = STATE(1718),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1848),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1959),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4717),
    [anon_sym_SEMI] = ACTIONS(4815),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1746] = {
    [sym_declaration] = STATE(1861),
    [sym__declaration_modifiers] = STATE(1940),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1940),
    [sym_attribute_declaration] = STATE(1940),
    [sym_ms_declspec_modifier] = STATE(1940),
    [sym_compound_statement] = STATE(2278),
    [sym_storage_class_specifier] = STATE(1940),
    [sym_type_qualifier] = STATE(1940),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1940),
    [sym_method_parameter] = STATE(1699),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1861),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1940),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4685),
    [anon_sym_SEMI] = ACTIONS(4817),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1747] = {
    [sym_declaration] = STATE(1848),
    [sym__declaration_modifiers] = STATE(1959),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1959),
    [sym_attribute_declaration] = STATE(1959),
    [sym_ms_declspec_modifier] = STATE(1959),
    [sym_compound_statement] = STATE(2114),
    [sym_storage_class_specifier] = STATE(1959),
    [sym_type_qualifier] = STATE(1959),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1959),
    [sym_method_parameter] = STATE(1718),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1848),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1959),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4717),
    [anon_sym_SEMI] = ACTIONS(4819),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1748] = {
    [sym_declaration] = STATE(1861),
    [sym__declaration_modifiers] = STATE(1940),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1940),
    [sym_attribute_declaration] = STATE(1940),
    [sym_ms_declspec_modifier] = STATE(1940),
    [sym_compound_statement] = STATE(2278),
    [sym_storage_class_specifier] = STATE(1940),
    [sym_type_qualifier] = STATE(1940),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1940),
    [sym_method_parameter] = STATE(1699),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1861),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1940),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4685),
    [anon_sym_SEMI] = ACTIONS(4821),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1749] = {
    [sym_declaration] = STATE(1869),
    [sym__declaration_modifiers] = STATE(1993),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1993),
    [sym_attribute_declaration] = STATE(1993),
    [sym_ms_declspec_modifier] = STATE(1993),
    [sym_compound_statement] = STATE(2286),
    [sym_storage_class_specifier] = STATE(1993),
    [sym_type_qualifier] = STATE(1993),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1993),
    [sym_method_parameter] = STATE(1684),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1869),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1993),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4681),
    [anon_sym_SEMI] = ACTIONS(4823),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1750] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4825),
    [anon_sym_COMMA] = ACTIONS(4411),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4789),
    [anon_sym_PLUS] = ACTIONS(4789),
    [anon_sym_STAR] = ACTIONS(4791),
    [anon_sym_SLASH] = ACTIONS(4793),
    [anon_sym_PERCENT] = ACTIONS(4791),
    [anon_sym_PIPE_PIPE] = ACTIONS(4827),
    [anon_sym_AMP_AMP] = ACTIONS(4803),
    [anon_sym_PIPE] = ACTIONS(4805),
    [anon_sym_CARET] = ACTIONS(4807),
    [anon_sym_AMP] = ACTIONS(4809),
    [anon_sym_EQ_EQ] = ACTIONS(4811),
    [anon_sym_BANG_EQ] = ACTIONS(4811),
    [anon_sym_GT] = ACTIONS(4795),
    [anon_sym_GT_EQ] = ACTIONS(4797),
    [anon_sym_LT_EQ] = ACTIONS(4797),
    [anon_sym_LT] = ACTIONS(4795),
    [anon_sym_LT_LT] = ACTIONS(4799),
    [anon_sym_GT_GT] = ACTIONS(4799),
    [anon_sym_SEMI] = ACTIONS(4411),
    [anon_sym___extension__] = ACTIONS(4409),
    [anon_sym_extern] = ACTIONS(4409),
    [anon_sym___attribute__] = ACTIONS(4409),
    [anon_sym___attribute] = ACTIONS(4409),
    [anon_sym_noreturn] = ACTIONS(4409),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4409),
    [anon_sym_LBRACE] = ACTIONS(4411),
    [anon_sym_signed] = ACTIONS(4409),
    [anon_sym_unsigned] = ACTIONS(4409),
    [anon_sym_long] = ACTIONS(4409),
    [anon_sym_short] = ACTIONS(4409),
    [anon_sym_static] = ACTIONS(4409),
    [anon_sym_ATautoreleasepool] = ACTIONS(4411),
    [anon_sym_auto] = ACTIONS(4409),
    [anon_sym_register] = ACTIONS(4409),
    [anon_sym_inline] = ACTIONS(4409),
    [anon_sym___inline] = ACTIONS(4409),
    [anon_sym___inline__] = ACTIONS(4409),
    [anon_sym___forceinline] = ACTIONS(4409),
    [anon_sym_thread_local] = ACTIONS(4409),
    [anon_sym___thread] = ACTIONS(4409),
    [anon_sym_CG_EXTERN] = ACTIONS(4409),
    [anon_sym_CG_INLINE] = ACTIONS(4409),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4409),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4409),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4409),
    [anon_sym_IBOutlet] = ACTIONS(4409),
    [anon_sym_IBInspectable] = ACTIONS(4409),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4409),
    [anon_sym_NS_INLINE] = ACTIONS(4409),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4409),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4409),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4409),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4409),
    [anon_sym_const] = ACTIONS(4409),
    [anon_sym_constexpr] = ACTIONS(4409),
    [anon_sym_volatile] = ACTIONS(4409),
    [anon_sym_restrict] = ACTIONS(4409),
    [anon_sym___restrict__] = ACTIONS(4409),
    [anon_sym__Atomic] = ACTIONS(4409),
    [anon_sym__Noreturn] = ACTIONS(4409),
    [anon_sym__Nonnull] = ACTIONS(4409),
    [anon_sym_nullable] = ACTIONS(4409),
    [anon_sym__Complex] = ACTIONS(4409),
    [anon_sym__Nullable] = ACTIONS(4409),
    [anon_sym__Nullable_result] = ACTIONS(4409),
    [anon_sym__Null_unspecified] = ACTIONS(4409),
    [anon_sym___autoreleasing] = ACTIONS(4409),
    [anon_sym___block] = ACTIONS(4409),
    [anon_sym___bridge] = ACTIONS(4409),
    [anon_sym___bridge_retained] = ACTIONS(4409),
    [anon_sym___bridge_transfer] = ACTIONS(4409),
    [anon_sym___complex] = ACTIONS(4409),
    [anon_sym___const] = ACTIONS(4409),
    [anon_sym___imag] = ACTIONS(4409),
    [anon_sym___kindof] = ACTIONS(4409),
    [anon_sym___nonnull] = ACTIONS(4409),
    [anon_sym___nullable] = ACTIONS(4409),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4409),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4409),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4409),
    [anon_sym___real] = ACTIONS(4409),
    [anon_sym___strong] = ACTIONS(4409),
    [anon_sym___unsafe_unretained] = ACTIONS(4409),
    [anon_sym___unused] = ACTIONS(4409),
    [anon_sym___weak] = ACTIONS(4409),
    [anon_sym_alignas] = ACTIONS(4409),
    [anon_sym__Alignas] = ACTIONS(4409),
    [sym_primitive_type] = ACTIONS(4409),
    [anon_sym_enum] = ACTIONS(4409),
    [anon_sym_struct] = ACTIONS(4409),
    [anon_sym_union] = ACTIONS(4409),
    [anon_sym_QMARK] = ACTIONS(4411),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4409),
    [anon_sym___typeof] = ACTIONS(4409),
    [anon_sym_typeof] = ACTIONS(4409),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4409),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4409),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4409),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4409),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4409),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4409),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4409),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4409),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4409),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4409),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4409),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4409),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4409),
    [anon_sym_API_AVAILABLE] = ACTIONS(4409),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4409),
    [anon_sym_API_DEPRECATED] = ACTIONS(4409),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4409),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4409),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4409),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4409),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4409),
    [anon_sym___deprecated_msg] = ACTIONS(4409),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4409),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4409),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4409),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4409),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4409),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4409),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4409),
    [anon_sym_BOOL] = ACTIONS(4409),
    [anon_sym_IMP] = ACTIONS(4409),
    [anon_sym_SEL] = ACTIONS(4409),
    [anon_sym_Class] = ACTIONS(4409),
    [anon_sym_id] = ACTIONS(4409),
  },
  [1751] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4789),
    [anon_sym_PLUS] = ACTIONS(4789),
    [anon_sym_STAR] = ACTIONS(4791),
    [anon_sym_SLASH] = ACTIONS(4793),
    [anon_sym_PERCENT] = ACTIONS(4791),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4036),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(4034),
    [anon_sym_GT_EQ] = ACTIONS(4036),
    [anon_sym_LT_EQ] = ACTIONS(4036),
    [anon_sym_LT] = ACTIONS(4034),
    [anon_sym_LT_LT] = ACTIONS(4799),
    [anon_sym_GT_GT] = ACTIONS(4799),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_LBRACE] = ACTIONS(4036),
    [anon_sym_signed] = ACTIONS(4034),
    [anon_sym_unsigned] = ACTIONS(4034),
    [anon_sym_long] = ACTIONS(4034),
    [anon_sym_short] = ACTIONS(4034),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_ATautoreleasepool] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [sym_primitive_type] = ACTIONS(4034),
    [anon_sym_enum] = ACTIONS(4034),
    [anon_sym_struct] = ACTIONS(4034),
    [anon_sym_union] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4034),
    [anon_sym___typeof] = ACTIONS(4034),
    [anon_sym_typeof] = ACTIONS(4034),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
    [anon_sym_BOOL] = ACTIONS(4034),
    [anon_sym_IMP] = ACTIONS(4034),
    [anon_sym_SEL] = ACTIONS(4034),
    [anon_sym_Class] = ACTIONS(4034),
    [anon_sym_id] = ACTIONS(4034),
  },
  [1752] = {
    [sym_declaration] = STATE(1885),
    [sym__declaration_modifiers] = STATE(1994),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1994),
    [sym_attribute_declaration] = STATE(1994),
    [sym_ms_declspec_modifier] = STATE(1994),
    [sym_compound_statement] = STATE(2197),
    [sym_storage_class_specifier] = STATE(1994),
    [sym_type_qualifier] = STATE(1994),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1994),
    [sym_method_parameter] = STATE(1695),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1885),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1994),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4671),
    [anon_sym_SEMI] = ACTIONS(4829),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1753] = {
    [sym_declaration] = STATE(1846),
    [sym__declaration_modifiers] = STATE(1951),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1951),
    [sym_attribute_declaration] = STATE(1951),
    [sym_ms_declspec_modifier] = STATE(1951),
    [sym_compound_statement] = STATE(2261),
    [sym_storage_class_specifier] = STATE(1951),
    [sym_type_qualifier] = STATE(1951),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1951),
    [sym_method_parameter] = STATE(1692),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1846),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1951),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4677),
    [anon_sym_SEMI] = ACTIONS(4831),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1754] = {
    [sym_declaration] = STATE(1854),
    [sym__declaration_modifiers] = STATE(1978),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1978),
    [sym_attribute_declaration] = STATE(1978),
    [sym_ms_declspec_modifier] = STATE(1978),
    [sym_compound_statement] = STATE(2285),
    [sym_storage_class_specifier] = STATE(1978),
    [sym_type_qualifier] = STATE(1978),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1978),
    [sym_method_parameter] = STATE(1688),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1854),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1978),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4693),
    [anon_sym_SEMI] = ACTIONS(4833),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1755] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4372),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4835),
    [anon_sym_COMMA] = ACTIONS(4377),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4789),
    [anon_sym_PLUS] = ACTIONS(4789),
    [anon_sym_STAR] = ACTIONS(4791),
    [anon_sym_SLASH] = ACTIONS(4793),
    [anon_sym_PERCENT] = ACTIONS(4791),
    [anon_sym_PIPE_PIPE] = ACTIONS(4827),
    [anon_sym_AMP_AMP] = ACTIONS(4803),
    [anon_sym_PIPE] = ACTIONS(4805),
    [anon_sym_CARET] = ACTIONS(4807),
    [anon_sym_AMP] = ACTIONS(4809),
    [anon_sym_EQ_EQ] = ACTIONS(4811),
    [anon_sym_BANG_EQ] = ACTIONS(4811),
    [anon_sym_GT] = ACTIONS(4795),
    [anon_sym_GT_EQ] = ACTIONS(4797),
    [anon_sym_LT_EQ] = ACTIONS(4797),
    [anon_sym_LT] = ACTIONS(4795),
    [anon_sym_LT_LT] = ACTIONS(4799),
    [anon_sym_GT_GT] = ACTIONS(4799),
    [anon_sym_SEMI] = ACTIONS(4377),
    [anon_sym___extension__] = ACTIONS(4372),
    [anon_sym_extern] = ACTIONS(4372),
    [anon_sym___attribute__] = ACTIONS(4372),
    [anon_sym___attribute] = ACTIONS(4372),
    [anon_sym_noreturn] = ACTIONS(4372),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4372),
    [anon_sym_LBRACE] = ACTIONS(4377),
    [anon_sym_signed] = ACTIONS(4372),
    [anon_sym_unsigned] = ACTIONS(4372),
    [anon_sym_long] = ACTIONS(4372),
    [anon_sym_short] = ACTIONS(4372),
    [anon_sym_static] = ACTIONS(4372),
    [anon_sym_ATautoreleasepool] = ACTIONS(4377),
    [anon_sym_auto] = ACTIONS(4372),
    [anon_sym_register] = ACTIONS(4372),
    [anon_sym_inline] = ACTIONS(4372),
    [anon_sym___inline] = ACTIONS(4372),
    [anon_sym___inline__] = ACTIONS(4372),
    [anon_sym___forceinline] = ACTIONS(4372),
    [anon_sym_thread_local] = ACTIONS(4372),
    [anon_sym___thread] = ACTIONS(4372),
    [anon_sym_CG_EXTERN] = ACTIONS(4372),
    [anon_sym_CG_INLINE] = ACTIONS(4372),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4372),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4372),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4372),
    [anon_sym_IBOutlet] = ACTIONS(4372),
    [anon_sym_IBInspectable] = ACTIONS(4372),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4372),
    [anon_sym_NS_INLINE] = ACTIONS(4372),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4372),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4372),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4372),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4372),
    [anon_sym_const] = ACTIONS(4372),
    [anon_sym_constexpr] = ACTIONS(4372),
    [anon_sym_volatile] = ACTIONS(4372),
    [anon_sym_restrict] = ACTIONS(4372),
    [anon_sym___restrict__] = ACTIONS(4372),
    [anon_sym__Atomic] = ACTIONS(4372),
    [anon_sym__Noreturn] = ACTIONS(4372),
    [anon_sym__Nonnull] = ACTIONS(4372),
    [anon_sym_nullable] = ACTIONS(4372),
    [anon_sym__Complex] = ACTIONS(4372),
    [anon_sym__Nullable] = ACTIONS(4372),
    [anon_sym__Nullable_result] = ACTIONS(4372),
    [anon_sym__Null_unspecified] = ACTIONS(4372),
    [anon_sym___autoreleasing] = ACTIONS(4372),
    [anon_sym___block] = ACTIONS(4372),
    [anon_sym___bridge] = ACTIONS(4372),
    [anon_sym___bridge_retained] = ACTIONS(4372),
    [anon_sym___bridge_transfer] = ACTIONS(4372),
    [anon_sym___complex] = ACTIONS(4372),
    [anon_sym___const] = ACTIONS(4372),
    [anon_sym___imag] = ACTIONS(4372),
    [anon_sym___kindof] = ACTIONS(4372),
    [anon_sym___nonnull] = ACTIONS(4372),
    [anon_sym___nullable] = ACTIONS(4372),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4372),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4372),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4372),
    [anon_sym___real] = ACTIONS(4372),
    [anon_sym___strong] = ACTIONS(4372),
    [anon_sym___unsafe_unretained] = ACTIONS(4372),
    [anon_sym___unused] = ACTIONS(4372),
    [anon_sym___weak] = ACTIONS(4372),
    [anon_sym_alignas] = ACTIONS(4372),
    [anon_sym__Alignas] = ACTIONS(4372),
    [sym_primitive_type] = ACTIONS(4372),
    [anon_sym_enum] = ACTIONS(4372),
    [anon_sym_struct] = ACTIONS(4372),
    [anon_sym_union] = ACTIONS(4372),
    [anon_sym_QMARK] = ACTIONS(4377),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4372),
    [anon_sym___typeof] = ACTIONS(4372),
    [anon_sym_typeof] = ACTIONS(4372),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4372),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4372),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4372),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4372),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4372),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4372),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4372),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4372),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4372),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4372),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4372),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4372),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4372),
    [anon_sym_API_AVAILABLE] = ACTIONS(4372),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4372),
    [anon_sym_API_DEPRECATED] = ACTIONS(4372),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4372),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4372),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4372),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4372),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4372),
    [anon_sym___deprecated_msg] = ACTIONS(4372),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4372),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4372),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4372),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4372),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4372),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4372),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4372),
    [anon_sym_BOOL] = ACTIONS(4372),
    [anon_sym_IMP] = ACTIONS(4372),
    [anon_sym_SEL] = ACTIONS(4372),
    [anon_sym_Class] = ACTIONS(4372),
    [anon_sym_id] = ACTIONS(4372),
  },
  [1756] = {
    [sym_declaration] = STATE(1841),
    [sym__declaration_modifiers] = STATE(1965),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1965),
    [sym_attribute_declaration] = STATE(1965),
    [sym_ms_declspec_modifier] = STATE(1965),
    [sym_compound_statement] = STATE(2111),
    [sym_storage_class_specifier] = STATE(1965),
    [sym_type_qualifier] = STATE(1965),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1965),
    [sym_method_parameter] = STATE(1705),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1965),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4701),
    [anon_sym_SEMI] = ACTIONS(4838),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1757] = {
    [sym_identifier] = ACTIONS(4840),
    [aux_sym_preproc_def_token1] = ACTIONS(4840),
    [anon_sym_COMMA] = ACTIONS(4842),
    [anon_sym_RPAREN] = ACTIONS(4842),
    [aux_sym_preproc_if_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4840),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4840),
    [sym_preproc_directive] = ACTIONS(4840),
    [anon_sym_LPAREN2] = ACTIONS(4842),
    [anon_sym_DASH] = ACTIONS(4842),
    [anon_sym_PLUS] = ACTIONS(4842),
    [anon_sym_STAR] = ACTIONS(4842),
    [anon_sym_CARET] = ACTIONS(4842),
    [anon_sym_GT] = ACTIONS(4842),
    [anon_sym_SEMI] = ACTIONS(4842),
    [anon_sym___extension__] = ACTIONS(4840),
    [anon_sym_typedef] = ACTIONS(4840),
    [anon_sym_extern] = ACTIONS(4840),
    [anon_sym___attribute__] = ACTIONS(4840),
    [anon_sym___attribute] = ACTIONS(4840),
    [anon_sym_noreturn] = ACTIONS(4840),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [anon_sym___declspec] = ACTIONS(4840),
    [anon_sym___based] = ACTIONS(4840),
    [anon_sym___cdecl] = ACTIONS(4840),
    [anon_sym___clrcall] = ACTIONS(4840),
    [anon_sym___stdcall] = ACTIONS(4840),
    [anon_sym___fastcall] = ACTIONS(4840),
    [anon_sym___thiscall] = ACTIONS(4840),
    [anon_sym___vectorcall] = ACTIONS(4840),
    [anon_sym_LBRACE] = ACTIONS(4842),
    [anon_sym_signed] = ACTIONS(4840),
    [anon_sym_unsigned] = ACTIONS(4840),
    [anon_sym_long] = ACTIONS(4840),
    [anon_sym_short] = ACTIONS(4840),
    [anon_sym_static] = ACTIONS(4840),
    [anon_sym_ATautoreleasepool] = ACTIONS(4842),
    [anon_sym_auto] = ACTIONS(4840),
    [anon_sym_register] = ACTIONS(4840),
    [anon_sym_inline] = ACTIONS(4840),
    [anon_sym___inline] = ACTIONS(4840),
    [anon_sym___inline__] = ACTIONS(4840),
    [anon_sym___forceinline] = ACTIONS(4840),
    [anon_sym_thread_local] = ACTIONS(4840),
    [anon_sym___thread] = ACTIONS(4840),
    [anon_sym_CG_EXTERN] = ACTIONS(4840),
    [anon_sym_CG_INLINE] = ACTIONS(4840),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4840),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4840),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4840),
    [anon_sym_IBOutlet] = ACTIONS(4840),
    [anon_sym_IBInspectable] = ACTIONS(4840),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4840),
    [anon_sym_NS_INLINE] = ACTIONS(4840),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4840),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4840),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4840),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4840),
    [anon_sym_const] = ACTIONS(4840),
    [anon_sym_constexpr] = ACTIONS(4840),
    [anon_sym_volatile] = ACTIONS(4840),
    [anon_sym_restrict] = ACTIONS(4840),
    [anon_sym___restrict__] = ACTIONS(4840),
    [anon_sym__Atomic] = ACTIONS(4840),
    [anon_sym__Noreturn] = ACTIONS(4840),
    [anon_sym__Nonnull] = ACTIONS(4840),
    [anon_sym_nullable] = ACTIONS(4840),
    [anon_sym__Complex] = ACTIONS(4840),
    [anon_sym__Nullable] = ACTIONS(4840),
    [anon_sym__Nullable_result] = ACTIONS(4840),
    [anon_sym__Null_unspecified] = ACTIONS(4840),
    [anon_sym___autoreleasing] = ACTIONS(4840),
    [anon_sym___block] = ACTIONS(4840),
    [anon_sym___bridge] = ACTIONS(4840),
    [anon_sym___bridge_retained] = ACTIONS(4840),
    [anon_sym___bridge_transfer] = ACTIONS(4840),
    [anon_sym___complex] = ACTIONS(4840),
    [anon_sym___const] = ACTIONS(4840),
    [anon_sym___imag] = ACTIONS(4840),
    [anon_sym___kindof] = ACTIONS(4840),
    [anon_sym___nonnull] = ACTIONS(4840),
    [anon_sym___nullable] = ACTIONS(4840),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4840),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4840),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4840),
    [anon_sym___real] = ACTIONS(4840),
    [anon_sym___strong] = ACTIONS(4840),
    [anon_sym___unsafe_unretained] = ACTIONS(4840),
    [anon_sym___unused] = ACTIONS(4840),
    [anon_sym___weak] = ACTIONS(4840),
    [anon_sym_alignas] = ACTIONS(4840),
    [anon_sym__Alignas] = ACTIONS(4840),
    [sym_primitive_type] = ACTIONS(4840),
    [anon_sym_enum] = ACTIONS(4840),
    [anon_sym_COLON] = ACTIONS(4842),
    [anon_sym_struct] = ACTIONS(4840),
    [anon_sym_union] = ACTIONS(4840),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4840),
    [anon_sym___typeof] = ACTIONS(4840),
    [anon_sym_typeof] = ACTIONS(4840),
    [aux_sym_preproc_undef_token1] = ACTIONS(4840),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4840),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4840),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4840),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4840),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4840),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4840),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4840),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4840),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4840),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4840),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4840),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4840),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4840),
    [anon_sym_API_AVAILABLE] = ACTIONS(4840),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4840),
    [anon_sym_API_DEPRECATED] = ACTIONS(4840),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4840),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4840),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4840),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4840),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4840),
    [anon_sym___deprecated_msg] = ACTIONS(4840),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4840),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4840),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4840),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4840),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4840),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4840),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4840),
    [anon_sym_ATend] = ACTIONS(4842),
    [anon_sym_AToptional] = ACTIONS(4842),
    [anon_sym_ATrequired] = ACTIONS(4842),
    [anon_sym_ATproperty] = ACTIONS(4842),
    [anon_sym_BOOL] = ACTIONS(4840),
    [anon_sym_IMP] = ACTIONS(4840),
    [anon_sym_SEL] = ACTIONS(4840),
    [anon_sym_Class] = ACTIONS(4840),
    [anon_sym_id] = ACTIONS(4840),
  },
  [1758] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4789),
    [anon_sym_PLUS] = ACTIONS(4789),
    [anon_sym_STAR] = ACTIONS(4791),
    [anon_sym_SLASH] = ACTIONS(4793),
    [anon_sym_PERCENT] = ACTIONS(4791),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4805),
    [anon_sym_CARET] = ACTIONS(4807),
    [anon_sym_AMP] = ACTIONS(4809),
    [anon_sym_EQ_EQ] = ACTIONS(4811),
    [anon_sym_BANG_EQ] = ACTIONS(4811),
    [anon_sym_GT] = ACTIONS(4795),
    [anon_sym_GT_EQ] = ACTIONS(4797),
    [anon_sym_LT_EQ] = ACTIONS(4797),
    [anon_sym_LT] = ACTIONS(4795),
    [anon_sym_LT_LT] = ACTIONS(4799),
    [anon_sym_GT_GT] = ACTIONS(4799),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_LBRACE] = ACTIONS(4036),
    [anon_sym_signed] = ACTIONS(4034),
    [anon_sym_unsigned] = ACTIONS(4034),
    [anon_sym_long] = ACTIONS(4034),
    [anon_sym_short] = ACTIONS(4034),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_ATautoreleasepool] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [sym_primitive_type] = ACTIONS(4034),
    [anon_sym_enum] = ACTIONS(4034),
    [anon_sym_struct] = ACTIONS(4034),
    [anon_sym_union] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4034),
    [anon_sym___typeof] = ACTIONS(4034),
    [anon_sym_typeof] = ACTIONS(4034),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
    [anon_sym_BOOL] = ACTIONS(4034),
    [anon_sym_IMP] = ACTIONS(4034),
    [anon_sym_SEL] = ACTIONS(4034),
    [anon_sym_Class] = ACTIONS(4034),
    [anon_sym_id] = ACTIONS(4034),
  },
  [1759] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4034),
    [anon_sym_PLUS] = ACTIONS(4034),
    [anon_sym_STAR] = ACTIONS(4791),
    [anon_sym_SLASH] = ACTIONS(4793),
    [anon_sym_PERCENT] = ACTIONS(4791),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4036),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(4034),
    [anon_sym_GT_EQ] = ACTIONS(4036),
    [anon_sym_LT_EQ] = ACTIONS(4036),
    [anon_sym_LT] = ACTIONS(4034),
    [anon_sym_LT_LT] = ACTIONS(4036),
    [anon_sym_GT_GT] = ACTIONS(4036),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_LBRACE] = ACTIONS(4036),
    [anon_sym_signed] = ACTIONS(4034),
    [anon_sym_unsigned] = ACTIONS(4034),
    [anon_sym_long] = ACTIONS(4034),
    [anon_sym_short] = ACTIONS(4034),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_ATautoreleasepool] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [sym_primitive_type] = ACTIONS(4034),
    [anon_sym_enum] = ACTIONS(4034),
    [anon_sym_struct] = ACTIONS(4034),
    [anon_sym_union] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4034),
    [anon_sym___typeof] = ACTIONS(4034),
    [anon_sym_typeof] = ACTIONS(4034),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
    [anon_sym_BOOL] = ACTIONS(4034),
    [anon_sym_IMP] = ACTIONS(4034),
    [anon_sym_SEL] = ACTIONS(4034),
    [anon_sym_Class] = ACTIONS(4034),
    [anon_sym_id] = ACTIONS(4034),
  },
  [1760] = {
    [sym_declaration] = STATE(1858),
    [sym__declaration_modifiers] = STATE(1983),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1983),
    [sym_attribute_declaration] = STATE(1983),
    [sym_ms_declspec_modifier] = STATE(1983),
    [sym_compound_statement] = STATE(2273),
    [sym_storage_class_specifier] = STATE(1983),
    [sym_type_qualifier] = STATE(1983),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1983),
    [sym_method_parameter] = STATE(1691),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1858),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1983),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4741),
    [anon_sym_SEMI] = ACTIONS(4844),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1761] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4846),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4825),
    [anon_sym_COMMA] = ACTIONS(4848),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4789),
    [anon_sym_PLUS] = ACTIONS(4789),
    [anon_sym_STAR] = ACTIONS(4791),
    [anon_sym_SLASH] = ACTIONS(4793),
    [anon_sym_PERCENT] = ACTIONS(4791),
    [anon_sym_PIPE_PIPE] = ACTIONS(4827),
    [anon_sym_AMP_AMP] = ACTIONS(4803),
    [anon_sym_PIPE] = ACTIONS(4805),
    [anon_sym_CARET] = ACTIONS(4807),
    [anon_sym_AMP] = ACTIONS(4809),
    [anon_sym_EQ_EQ] = ACTIONS(4811),
    [anon_sym_BANG_EQ] = ACTIONS(4811),
    [anon_sym_GT] = ACTIONS(4795),
    [anon_sym_GT_EQ] = ACTIONS(4797),
    [anon_sym_LT_EQ] = ACTIONS(4797),
    [anon_sym_LT] = ACTIONS(4795),
    [anon_sym_LT_LT] = ACTIONS(4799),
    [anon_sym_GT_GT] = ACTIONS(4799),
    [anon_sym_SEMI] = ACTIONS(4848),
    [anon_sym___extension__] = ACTIONS(4846),
    [anon_sym_extern] = ACTIONS(4846),
    [anon_sym___attribute__] = ACTIONS(4846),
    [anon_sym___attribute] = ACTIONS(4846),
    [anon_sym_noreturn] = ACTIONS(4846),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4846),
    [anon_sym_LBRACE] = ACTIONS(4848),
    [anon_sym_signed] = ACTIONS(4846),
    [anon_sym_unsigned] = ACTIONS(4846),
    [anon_sym_long] = ACTIONS(4846),
    [anon_sym_short] = ACTIONS(4846),
    [anon_sym_static] = ACTIONS(4846),
    [anon_sym_ATautoreleasepool] = ACTIONS(4848),
    [anon_sym_auto] = ACTIONS(4846),
    [anon_sym_register] = ACTIONS(4846),
    [anon_sym_inline] = ACTIONS(4846),
    [anon_sym___inline] = ACTIONS(4846),
    [anon_sym___inline__] = ACTIONS(4846),
    [anon_sym___forceinline] = ACTIONS(4846),
    [anon_sym_thread_local] = ACTIONS(4846),
    [anon_sym___thread] = ACTIONS(4846),
    [anon_sym_CG_EXTERN] = ACTIONS(4846),
    [anon_sym_CG_INLINE] = ACTIONS(4846),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4846),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4846),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4846),
    [anon_sym_IBOutlet] = ACTIONS(4846),
    [anon_sym_IBInspectable] = ACTIONS(4846),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4846),
    [anon_sym_NS_INLINE] = ACTIONS(4846),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4846),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4846),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4846),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4846),
    [anon_sym_const] = ACTIONS(4846),
    [anon_sym_constexpr] = ACTIONS(4846),
    [anon_sym_volatile] = ACTIONS(4846),
    [anon_sym_restrict] = ACTIONS(4846),
    [anon_sym___restrict__] = ACTIONS(4846),
    [anon_sym__Atomic] = ACTIONS(4846),
    [anon_sym__Noreturn] = ACTIONS(4846),
    [anon_sym__Nonnull] = ACTIONS(4846),
    [anon_sym_nullable] = ACTIONS(4846),
    [anon_sym__Complex] = ACTIONS(4846),
    [anon_sym__Nullable] = ACTIONS(4846),
    [anon_sym__Nullable_result] = ACTIONS(4846),
    [anon_sym__Null_unspecified] = ACTIONS(4846),
    [anon_sym___autoreleasing] = ACTIONS(4846),
    [anon_sym___block] = ACTIONS(4846),
    [anon_sym___bridge] = ACTIONS(4846),
    [anon_sym___bridge_retained] = ACTIONS(4846),
    [anon_sym___bridge_transfer] = ACTIONS(4846),
    [anon_sym___complex] = ACTIONS(4846),
    [anon_sym___const] = ACTIONS(4846),
    [anon_sym___imag] = ACTIONS(4846),
    [anon_sym___kindof] = ACTIONS(4846),
    [anon_sym___nonnull] = ACTIONS(4846),
    [anon_sym___nullable] = ACTIONS(4846),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4846),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4846),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4846),
    [anon_sym___real] = ACTIONS(4846),
    [anon_sym___strong] = ACTIONS(4846),
    [anon_sym___unsafe_unretained] = ACTIONS(4846),
    [anon_sym___unused] = ACTIONS(4846),
    [anon_sym___weak] = ACTIONS(4846),
    [anon_sym_alignas] = ACTIONS(4846),
    [anon_sym__Alignas] = ACTIONS(4846),
    [sym_primitive_type] = ACTIONS(4846),
    [anon_sym_enum] = ACTIONS(4846),
    [anon_sym_struct] = ACTIONS(4846),
    [anon_sym_union] = ACTIONS(4846),
    [anon_sym_QMARK] = ACTIONS(4850),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4846),
    [anon_sym___typeof] = ACTIONS(4846),
    [anon_sym_typeof] = ACTIONS(4846),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4846),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4846),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4846),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4846),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4846),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4846),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4846),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4846),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4846),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4846),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4846),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4846),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4846),
    [anon_sym_API_AVAILABLE] = ACTIONS(4846),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4846),
    [anon_sym_API_DEPRECATED] = ACTIONS(4846),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4846),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4846),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4846),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4846),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4846),
    [anon_sym___deprecated_msg] = ACTIONS(4846),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4846),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4846),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4846),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4846),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4846),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4846),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4846),
    [anon_sym_BOOL] = ACTIONS(4846),
    [anon_sym_IMP] = ACTIONS(4846),
    [anon_sym_SEL] = ACTIONS(4846),
    [anon_sym_Class] = ACTIONS(4846),
    [anon_sym_id] = ACTIONS(4846),
  },
  [1762] = {
    [sym_identifier] = ACTIONS(4852),
    [aux_sym_preproc_def_token1] = ACTIONS(4852),
    [anon_sym_COMMA] = ACTIONS(4854),
    [anon_sym_RPAREN] = ACTIONS(4854),
    [aux_sym_preproc_if_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4852),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4852),
    [sym_preproc_directive] = ACTIONS(4852),
    [anon_sym_LPAREN2] = ACTIONS(4854),
    [anon_sym_DASH] = ACTIONS(4854),
    [anon_sym_PLUS] = ACTIONS(4854),
    [anon_sym_STAR] = ACTIONS(4854),
    [anon_sym_CARET] = ACTIONS(4854),
    [anon_sym_GT] = ACTIONS(4854),
    [anon_sym_SEMI] = ACTIONS(4854),
    [anon_sym___extension__] = ACTIONS(4852),
    [anon_sym_typedef] = ACTIONS(4852),
    [anon_sym_extern] = ACTIONS(4852),
    [anon_sym___attribute__] = ACTIONS(4852),
    [anon_sym___attribute] = ACTIONS(4852),
    [anon_sym_noreturn] = ACTIONS(4852),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [anon_sym___declspec] = ACTIONS(4852),
    [anon_sym___based] = ACTIONS(4852),
    [anon_sym___cdecl] = ACTIONS(4852),
    [anon_sym___clrcall] = ACTIONS(4852),
    [anon_sym___stdcall] = ACTIONS(4852),
    [anon_sym___fastcall] = ACTIONS(4852),
    [anon_sym___thiscall] = ACTIONS(4852),
    [anon_sym___vectorcall] = ACTIONS(4852),
    [anon_sym_LBRACE] = ACTIONS(4854),
    [anon_sym_signed] = ACTIONS(4852),
    [anon_sym_unsigned] = ACTIONS(4852),
    [anon_sym_long] = ACTIONS(4852),
    [anon_sym_short] = ACTIONS(4852),
    [anon_sym_static] = ACTIONS(4852),
    [anon_sym_ATautoreleasepool] = ACTIONS(4854),
    [anon_sym_auto] = ACTIONS(4852),
    [anon_sym_register] = ACTIONS(4852),
    [anon_sym_inline] = ACTIONS(4852),
    [anon_sym___inline] = ACTIONS(4852),
    [anon_sym___inline__] = ACTIONS(4852),
    [anon_sym___forceinline] = ACTIONS(4852),
    [anon_sym_thread_local] = ACTIONS(4852),
    [anon_sym___thread] = ACTIONS(4852),
    [anon_sym_CG_EXTERN] = ACTIONS(4852),
    [anon_sym_CG_INLINE] = ACTIONS(4852),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4852),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4852),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4852),
    [anon_sym_IBOutlet] = ACTIONS(4852),
    [anon_sym_IBInspectable] = ACTIONS(4852),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4852),
    [anon_sym_NS_INLINE] = ACTIONS(4852),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4852),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4852),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4852),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4852),
    [anon_sym_const] = ACTIONS(4852),
    [anon_sym_constexpr] = ACTIONS(4852),
    [anon_sym_volatile] = ACTIONS(4852),
    [anon_sym_restrict] = ACTIONS(4852),
    [anon_sym___restrict__] = ACTIONS(4852),
    [anon_sym__Atomic] = ACTIONS(4852),
    [anon_sym__Noreturn] = ACTIONS(4852),
    [anon_sym__Nonnull] = ACTIONS(4852),
    [anon_sym_nullable] = ACTIONS(4852),
    [anon_sym__Complex] = ACTIONS(4852),
    [anon_sym__Nullable] = ACTIONS(4852),
    [anon_sym__Nullable_result] = ACTIONS(4852),
    [anon_sym__Null_unspecified] = ACTIONS(4852),
    [anon_sym___autoreleasing] = ACTIONS(4852),
    [anon_sym___block] = ACTIONS(4852),
    [anon_sym___bridge] = ACTIONS(4852),
    [anon_sym___bridge_retained] = ACTIONS(4852),
    [anon_sym___bridge_transfer] = ACTIONS(4852),
    [anon_sym___complex] = ACTIONS(4852),
    [anon_sym___const] = ACTIONS(4852),
    [anon_sym___imag] = ACTIONS(4852),
    [anon_sym___kindof] = ACTIONS(4852),
    [anon_sym___nonnull] = ACTIONS(4852),
    [anon_sym___nullable] = ACTIONS(4852),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4852),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4852),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4852),
    [anon_sym___real] = ACTIONS(4852),
    [anon_sym___strong] = ACTIONS(4852),
    [anon_sym___unsafe_unretained] = ACTIONS(4852),
    [anon_sym___unused] = ACTIONS(4852),
    [anon_sym___weak] = ACTIONS(4852),
    [anon_sym_alignas] = ACTIONS(4852),
    [anon_sym__Alignas] = ACTIONS(4852),
    [sym_primitive_type] = ACTIONS(4852),
    [anon_sym_enum] = ACTIONS(4852),
    [anon_sym_COLON] = ACTIONS(4854),
    [anon_sym_struct] = ACTIONS(4852),
    [anon_sym_union] = ACTIONS(4852),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4852),
    [anon_sym___typeof] = ACTIONS(4852),
    [anon_sym_typeof] = ACTIONS(4852),
    [aux_sym_preproc_undef_token1] = ACTIONS(4852),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4852),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4852),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4852),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4852),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4852),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4852),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4852),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4852),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4852),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4852),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4852),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4852),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4852),
    [anon_sym_API_AVAILABLE] = ACTIONS(4852),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4852),
    [anon_sym_API_DEPRECATED] = ACTIONS(4852),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4852),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4852),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4852),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4852),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4852),
    [anon_sym___deprecated_msg] = ACTIONS(4852),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4852),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4852),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4852),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4852),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4852),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4852),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4852),
    [anon_sym_ATend] = ACTIONS(4854),
    [anon_sym_AToptional] = ACTIONS(4854),
    [anon_sym_ATrequired] = ACTIONS(4854),
    [anon_sym_ATproperty] = ACTIONS(4854),
    [anon_sym_BOOL] = ACTIONS(4852),
    [anon_sym_IMP] = ACTIONS(4852),
    [anon_sym_SEL] = ACTIONS(4852),
    [anon_sym_Class] = ACTIONS(4852),
    [anon_sym_id] = ACTIONS(4852),
  },
  [1763] = {
    [sym_declaration] = STATE(1852),
    [sym__declaration_modifiers] = STATE(2002),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2002),
    [sym_attribute_declaration] = STATE(2002),
    [sym_ms_declspec_modifier] = STATE(2002),
    [sym_compound_statement] = STATE(2116),
    [sym_storage_class_specifier] = STATE(2002),
    [sym_type_qualifier] = STATE(2002),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2002),
    [sym_method_parameter] = STATE(1685),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4729),
    [anon_sym_SEMI] = ACTIONS(4856),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1764] = {
    [sym_declaration] = STATE(1855),
    [sym__declaration_modifiers] = STATE(1980),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1980),
    [sym_attribute_declaration] = STATE(1980),
    [sym_ms_declspec_modifier] = STATE(1980),
    [sym_compound_statement] = STATE(2121),
    [sym_storage_class_specifier] = STATE(1980),
    [sym_type_qualifier] = STATE(1980),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1980),
    [sym_method_parameter] = STATE(1703),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1855),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1980),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4663),
    [anon_sym_SEMI] = ACTIONS(4858),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1765] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4825),
    [anon_sym_COMMA] = ACTIONS(4423),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4789),
    [anon_sym_PLUS] = ACTIONS(4789),
    [anon_sym_STAR] = ACTIONS(4791),
    [anon_sym_SLASH] = ACTIONS(4793),
    [anon_sym_PERCENT] = ACTIONS(4791),
    [anon_sym_PIPE_PIPE] = ACTIONS(4827),
    [anon_sym_AMP_AMP] = ACTIONS(4803),
    [anon_sym_PIPE] = ACTIONS(4805),
    [anon_sym_CARET] = ACTIONS(4807),
    [anon_sym_AMP] = ACTIONS(4809),
    [anon_sym_EQ_EQ] = ACTIONS(4811),
    [anon_sym_BANG_EQ] = ACTIONS(4811),
    [anon_sym_GT] = ACTIONS(4795),
    [anon_sym_GT_EQ] = ACTIONS(4797),
    [anon_sym_LT_EQ] = ACTIONS(4797),
    [anon_sym_LT] = ACTIONS(4795),
    [anon_sym_LT_LT] = ACTIONS(4799),
    [anon_sym_GT_GT] = ACTIONS(4799),
    [anon_sym_SEMI] = ACTIONS(4423),
    [anon_sym___extension__] = ACTIONS(4421),
    [anon_sym_extern] = ACTIONS(4421),
    [anon_sym___attribute__] = ACTIONS(4421),
    [anon_sym___attribute] = ACTIONS(4421),
    [anon_sym_noreturn] = ACTIONS(4421),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4421),
    [anon_sym_LBRACE] = ACTIONS(4423),
    [anon_sym_signed] = ACTIONS(4421),
    [anon_sym_unsigned] = ACTIONS(4421),
    [anon_sym_long] = ACTIONS(4421),
    [anon_sym_short] = ACTIONS(4421),
    [anon_sym_static] = ACTIONS(4421),
    [anon_sym_ATautoreleasepool] = ACTIONS(4423),
    [anon_sym_auto] = ACTIONS(4421),
    [anon_sym_register] = ACTIONS(4421),
    [anon_sym_inline] = ACTIONS(4421),
    [anon_sym___inline] = ACTIONS(4421),
    [anon_sym___inline__] = ACTIONS(4421),
    [anon_sym___forceinline] = ACTIONS(4421),
    [anon_sym_thread_local] = ACTIONS(4421),
    [anon_sym___thread] = ACTIONS(4421),
    [anon_sym_CG_EXTERN] = ACTIONS(4421),
    [anon_sym_CG_INLINE] = ACTIONS(4421),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4421),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4421),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4421),
    [anon_sym_IBOutlet] = ACTIONS(4421),
    [anon_sym_IBInspectable] = ACTIONS(4421),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4421),
    [anon_sym_NS_INLINE] = ACTIONS(4421),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4421),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4421),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4421),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4421),
    [anon_sym_const] = ACTIONS(4421),
    [anon_sym_constexpr] = ACTIONS(4421),
    [anon_sym_volatile] = ACTIONS(4421),
    [anon_sym_restrict] = ACTIONS(4421),
    [anon_sym___restrict__] = ACTIONS(4421),
    [anon_sym__Atomic] = ACTIONS(4421),
    [anon_sym__Noreturn] = ACTIONS(4421),
    [anon_sym__Nonnull] = ACTIONS(4421),
    [anon_sym_nullable] = ACTIONS(4421),
    [anon_sym__Complex] = ACTIONS(4421),
    [anon_sym__Nullable] = ACTIONS(4421),
    [anon_sym__Nullable_result] = ACTIONS(4421),
    [anon_sym__Null_unspecified] = ACTIONS(4421),
    [anon_sym___autoreleasing] = ACTIONS(4421),
    [anon_sym___block] = ACTIONS(4421),
    [anon_sym___bridge] = ACTIONS(4421),
    [anon_sym___bridge_retained] = ACTIONS(4421),
    [anon_sym___bridge_transfer] = ACTIONS(4421),
    [anon_sym___complex] = ACTIONS(4421),
    [anon_sym___const] = ACTIONS(4421),
    [anon_sym___imag] = ACTIONS(4421),
    [anon_sym___kindof] = ACTIONS(4421),
    [anon_sym___nonnull] = ACTIONS(4421),
    [anon_sym___nullable] = ACTIONS(4421),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4421),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4421),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4421),
    [anon_sym___real] = ACTIONS(4421),
    [anon_sym___strong] = ACTIONS(4421),
    [anon_sym___unsafe_unretained] = ACTIONS(4421),
    [anon_sym___unused] = ACTIONS(4421),
    [anon_sym___weak] = ACTIONS(4421),
    [anon_sym_alignas] = ACTIONS(4421),
    [anon_sym__Alignas] = ACTIONS(4421),
    [sym_primitive_type] = ACTIONS(4421),
    [anon_sym_enum] = ACTIONS(4421),
    [anon_sym_struct] = ACTIONS(4421),
    [anon_sym_union] = ACTIONS(4421),
    [anon_sym_QMARK] = ACTIONS(4850),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4421),
    [anon_sym___typeof] = ACTIONS(4421),
    [anon_sym_typeof] = ACTIONS(4421),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4421),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4421),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4421),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4421),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4421),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4421),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4421),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4421),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4421),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4421),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4421),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4421),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4421),
    [anon_sym_API_AVAILABLE] = ACTIONS(4421),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4421),
    [anon_sym_API_DEPRECATED] = ACTIONS(4421),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4421),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4421),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4421),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4421),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4421),
    [anon_sym___deprecated_msg] = ACTIONS(4421),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4421),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4421),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4421),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4421),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4421),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4421),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4421),
    [anon_sym_BOOL] = ACTIONS(4421),
    [anon_sym_IMP] = ACTIONS(4421),
    [anon_sym_SEL] = ACTIONS(4421),
    [anon_sym_Class] = ACTIONS(4421),
    [anon_sym_id] = ACTIONS(4421),
  },
  [1766] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4825),
    [anon_sym_COMMA] = ACTIONS(4419),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4789),
    [anon_sym_PLUS] = ACTIONS(4789),
    [anon_sym_STAR] = ACTIONS(4791),
    [anon_sym_SLASH] = ACTIONS(4793),
    [anon_sym_PERCENT] = ACTIONS(4791),
    [anon_sym_PIPE_PIPE] = ACTIONS(4827),
    [anon_sym_AMP_AMP] = ACTIONS(4803),
    [anon_sym_PIPE] = ACTIONS(4805),
    [anon_sym_CARET] = ACTIONS(4807),
    [anon_sym_AMP] = ACTIONS(4809),
    [anon_sym_EQ_EQ] = ACTIONS(4811),
    [anon_sym_BANG_EQ] = ACTIONS(4811),
    [anon_sym_GT] = ACTIONS(4795),
    [anon_sym_GT_EQ] = ACTIONS(4797),
    [anon_sym_LT_EQ] = ACTIONS(4797),
    [anon_sym_LT] = ACTIONS(4795),
    [anon_sym_LT_LT] = ACTIONS(4799),
    [anon_sym_GT_GT] = ACTIONS(4799),
    [anon_sym_SEMI] = ACTIONS(4419),
    [anon_sym___extension__] = ACTIONS(4417),
    [anon_sym_extern] = ACTIONS(4417),
    [anon_sym___attribute__] = ACTIONS(4417),
    [anon_sym___attribute] = ACTIONS(4417),
    [anon_sym_noreturn] = ACTIONS(4417),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4417),
    [anon_sym_LBRACE] = ACTIONS(4419),
    [anon_sym_signed] = ACTIONS(4417),
    [anon_sym_unsigned] = ACTIONS(4417),
    [anon_sym_long] = ACTIONS(4417),
    [anon_sym_short] = ACTIONS(4417),
    [anon_sym_static] = ACTIONS(4417),
    [anon_sym_ATautoreleasepool] = ACTIONS(4419),
    [anon_sym_auto] = ACTIONS(4417),
    [anon_sym_register] = ACTIONS(4417),
    [anon_sym_inline] = ACTIONS(4417),
    [anon_sym___inline] = ACTIONS(4417),
    [anon_sym___inline__] = ACTIONS(4417),
    [anon_sym___forceinline] = ACTIONS(4417),
    [anon_sym_thread_local] = ACTIONS(4417),
    [anon_sym___thread] = ACTIONS(4417),
    [anon_sym_CG_EXTERN] = ACTIONS(4417),
    [anon_sym_CG_INLINE] = ACTIONS(4417),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4417),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4417),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4417),
    [anon_sym_IBOutlet] = ACTIONS(4417),
    [anon_sym_IBInspectable] = ACTIONS(4417),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4417),
    [anon_sym_NS_INLINE] = ACTIONS(4417),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4417),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4417),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4417),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4417),
    [anon_sym_const] = ACTIONS(4417),
    [anon_sym_constexpr] = ACTIONS(4417),
    [anon_sym_volatile] = ACTIONS(4417),
    [anon_sym_restrict] = ACTIONS(4417),
    [anon_sym___restrict__] = ACTIONS(4417),
    [anon_sym__Atomic] = ACTIONS(4417),
    [anon_sym__Noreturn] = ACTIONS(4417),
    [anon_sym__Nonnull] = ACTIONS(4417),
    [anon_sym_nullable] = ACTIONS(4417),
    [anon_sym__Complex] = ACTIONS(4417),
    [anon_sym__Nullable] = ACTIONS(4417),
    [anon_sym__Nullable_result] = ACTIONS(4417),
    [anon_sym__Null_unspecified] = ACTIONS(4417),
    [anon_sym___autoreleasing] = ACTIONS(4417),
    [anon_sym___block] = ACTIONS(4417),
    [anon_sym___bridge] = ACTIONS(4417),
    [anon_sym___bridge_retained] = ACTIONS(4417),
    [anon_sym___bridge_transfer] = ACTIONS(4417),
    [anon_sym___complex] = ACTIONS(4417),
    [anon_sym___const] = ACTIONS(4417),
    [anon_sym___imag] = ACTIONS(4417),
    [anon_sym___kindof] = ACTIONS(4417),
    [anon_sym___nonnull] = ACTIONS(4417),
    [anon_sym___nullable] = ACTIONS(4417),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4417),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4417),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4417),
    [anon_sym___real] = ACTIONS(4417),
    [anon_sym___strong] = ACTIONS(4417),
    [anon_sym___unsafe_unretained] = ACTIONS(4417),
    [anon_sym___unused] = ACTIONS(4417),
    [anon_sym___weak] = ACTIONS(4417),
    [anon_sym_alignas] = ACTIONS(4417),
    [anon_sym__Alignas] = ACTIONS(4417),
    [sym_primitive_type] = ACTIONS(4417),
    [anon_sym_enum] = ACTIONS(4417),
    [anon_sym_struct] = ACTIONS(4417),
    [anon_sym_union] = ACTIONS(4417),
    [anon_sym_QMARK] = ACTIONS(4850),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4417),
    [anon_sym___typeof] = ACTIONS(4417),
    [anon_sym_typeof] = ACTIONS(4417),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4417),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4417),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4417),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4417),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4417),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4417),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4417),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4417),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4417),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4417),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4417),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4417),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4417),
    [anon_sym_API_AVAILABLE] = ACTIONS(4417),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4417),
    [anon_sym_API_DEPRECATED] = ACTIONS(4417),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4417),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4417),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4417),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4417),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4417),
    [anon_sym___deprecated_msg] = ACTIONS(4417),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4417),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4417),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4417),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4417),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4417),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4417),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4417),
    [anon_sym_BOOL] = ACTIONS(4417),
    [anon_sym_IMP] = ACTIONS(4417),
    [anon_sym_SEL] = ACTIONS(4417),
    [anon_sym_Class] = ACTIONS(4417),
    [anon_sym_id] = ACTIONS(4417),
  },
  [1767] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4825),
    [anon_sym_COMMA] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4789),
    [anon_sym_PLUS] = ACTIONS(4789),
    [anon_sym_STAR] = ACTIONS(4791),
    [anon_sym_SLASH] = ACTIONS(4793),
    [anon_sym_PERCENT] = ACTIONS(4791),
    [anon_sym_PIPE_PIPE] = ACTIONS(4827),
    [anon_sym_AMP_AMP] = ACTIONS(4803),
    [anon_sym_PIPE] = ACTIONS(4805),
    [anon_sym_CARET] = ACTIONS(4807),
    [anon_sym_AMP] = ACTIONS(4809),
    [anon_sym_EQ_EQ] = ACTIONS(4811),
    [anon_sym_BANG_EQ] = ACTIONS(4811),
    [anon_sym_GT] = ACTIONS(4795),
    [anon_sym_GT_EQ] = ACTIONS(4797),
    [anon_sym_LT_EQ] = ACTIONS(4797),
    [anon_sym_LT] = ACTIONS(4795),
    [anon_sym_LT_LT] = ACTIONS(4799),
    [anon_sym_GT_GT] = ACTIONS(4799),
    [anon_sym_SEMI] = ACTIONS(4405),
    [anon_sym___extension__] = ACTIONS(4401),
    [anon_sym_extern] = ACTIONS(4401),
    [anon_sym___attribute__] = ACTIONS(4401),
    [anon_sym___attribute] = ACTIONS(4401),
    [anon_sym_noreturn] = ACTIONS(4401),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4401),
    [anon_sym_LBRACE] = ACTIONS(4405),
    [anon_sym_signed] = ACTIONS(4401),
    [anon_sym_unsigned] = ACTIONS(4401),
    [anon_sym_long] = ACTIONS(4401),
    [anon_sym_short] = ACTIONS(4401),
    [anon_sym_static] = ACTIONS(4401),
    [anon_sym_ATautoreleasepool] = ACTIONS(4405),
    [anon_sym_auto] = ACTIONS(4401),
    [anon_sym_register] = ACTIONS(4401),
    [anon_sym_inline] = ACTIONS(4401),
    [anon_sym___inline] = ACTIONS(4401),
    [anon_sym___inline__] = ACTIONS(4401),
    [anon_sym___forceinline] = ACTIONS(4401),
    [anon_sym_thread_local] = ACTIONS(4401),
    [anon_sym___thread] = ACTIONS(4401),
    [anon_sym_CG_EXTERN] = ACTIONS(4401),
    [anon_sym_CG_INLINE] = ACTIONS(4401),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4401),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4401),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4401),
    [anon_sym_IBOutlet] = ACTIONS(4401),
    [anon_sym_IBInspectable] = ACTIONS(4401),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4401),
    [anon_sym_NS_INLINE] = ACTIONS(4401),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4401),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4401),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4401),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4401),
    [anon_sym_const] = ACTIONS(4401),
    [anon_sym_constexpr] = ACTIONS(4401),
    [anon_sym_volatile] = ACTIONS(4401),
    [anon_sym_restrict] = ACTIONS(4401),
    [anon_sym___restrict__] = ACTIONS(4401),
    [anon_sym__Atomic] = ACTIONS(4401),
    [anon_sym__Noreturn] = ACTIONS(4401),
    [anon_sym__Nonnull] = ACTIONS(4401),
    [anon_sym_nullable] = ACTIONS(4401),
    [anon_sym__Complex] = ACTIONS(4401),
    [anon_sym__Nullable] = ACTIONS(4401),
    [anon_sym__Nullable_result] = ACTIONS(4401),
    [anon_sym__Null_unspecified] = ACTIONS(4401),
    [anon_sym___autoreleasing] = ACTIONS(4401),
    [anon_sym___block] = ACTIONS(4401),
    [anon_sym___bridge] = ACTIONS(4401),
    [anon_sym___bridge_retained] = ACTIONS(4401),
    [anon_sym___bridge_transfer] = ACTIONS(4401),
    [anon_sym___complex] = ACTIONS(4401),
    [anon_sym___const] = ACTIONS(4401),
    [anon_sym___imag] = ACTIONS(4401),
    [anon_sym___kindof] = ACTIONS(4401),
    [anon_sym___nonnull] = ACTIONS(4401),
    [anon_sym___nullable] = ACTIONS(4401),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4401),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4401),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4401),
    [anon_sym___real] = ACTIONS(4401),
    [anon_sym___strong] = ACTIONS(4401),
    [anon_sym___unsafe_unretained] = ACTIONS(4401),
    [anon_sym___unused] = ACTIONS(4401),
    [anon_sym___weak] = ACTIONS(4401),
    [anon_sym_alignas] = ACTIONS(4401),
    [anon_sym__Alignas] = ACTIONS(4401),
    [sym_primitive_type] = ACTIONS(4401),
    [anon_sym_enum] = ACTIONS(4401),
    [anon_sym_struct] = ACTIONS(4401),
    [anon_sym_union] = ACTIONS(4401),
    [anon_sym_QMARK] = ACTIONS(4850),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4401),
    [anon_sym___typeof] = ACTIONS(4401),
    [anon_sym_typeof] = ACTIONS(4401),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4401),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4401),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4401),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4401),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4401),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4401),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4401),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4401),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4401),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4401),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4401),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4401),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4401),
    [anon_sym_API_AVAILABLE] = ACTIONS(4401),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4401),
    [anon_sym_API_DEPRECATED] = ACTIONS(4401),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4401),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4401),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4401),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4401),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4401),
    [anon_sym___deprecated_msg] = ACTIONS(4401),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4401),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4401),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4401),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4401),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4401),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4401),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4401),
    [anon_sym_BOOL] = ACTIONS(4401),
    [anon_sym_IMP] = ACTIONS(4401),
    [anon_sym_SEL] = ACTIONS(4401),
    [anon_sym_Class] = ACTIONS(4401),
    [anon_sym_id] = ACTIONS(4401),
  },
  [1768] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4789),
    [anon_sym_PLUS] = ACTIONS(4789),
    [anon_sym_STAR] = ACTIONS(4791),
    [anon_sym_SLASH] = ACTIONS(4793),
    [anon_sym_PERCENT] = ACTIONS(4791),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4807),
    [anon_sym_AMP] = ACTIONS(4809),
    [anon_sym_EQ_EQ] = ACTIONS(4811),
    [anon_sym_BANG_EQ] = ACTIONS(4811),
    [anon_sym_GT] = ACTIONS(4795),
    [anon_sym_GT_EQ] = ACTIONS(4797),
    [anon_sym_LT_EQ] = ACTIONS(4797),
    [anon_sym_LT] = ACTIONS(4795),
    [anon_sym_LT_LT] = ACTIONS(4799),
    [anon_sym_GT_GT] = ACTIONS(4799),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_LBRACE] = ACTIONS(4036),
    [anon_sym_signed] = ACTIONS(4034),
    [anon_sym_unsigned] = ACTIONS(4034),
    [anon_sym_long] = ACTIONS(4034),
    [anon_sym_short] = ACTIONS(4034),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_ATautoreleasepool] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [sym_primitive_type] = ACTIONS(4034),
    [anon_sym_enum] = ACTIONS(4034),
    [anon_sym_struct] = ACTIONS(4034),
    [anon_sym_union] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4034),
    [anon_sym___typeof] = ACTIONS(4034),
    [anon_sym_typeof] = ACTIONS(4034),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
    [anon_sym_BOOL] = ACTIONS(4034),
    [anon_sym_IMP] = ACTIONS(4034),
    [anon_sym_SEL] = ACTIONS(4034),
    [anon_sym_Class] = ACTIONS(4034),
    [anon_sym_id] = ACTIONS(4034),
  },
  [1769] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4789),
    [anon_sym_PLUS] = ACTIONS(4789),
    [anon_sym_STAR] = ACTIONS(4791),
    [anon_sym_SLASH] = ACTIONS(4793),
    [anon_sym_PERCENT] = ACTIONS(4791),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4036),
    [anon_sym_AMP] = ACTIONS(4809),
    [anon_sym_EQ_EQ] = ACTIONS(4811),
    [anon_sym_BANG_EQ] = ACTIONS(4811),
    [anon_sym_GT] = ACTIONS(4795),
    [anon_sym_GT_EQ] = ACTIONS(4797),
    [anon_sym_LT_EQ] = ACTIONS(4797),
    [anon_sym_LT] = ACTIONS(4795),
    [anon_sym_LT_LT] = ACTIONS(4799),
    [anon_sym_GT_GT] = ACTIONS(4799),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_LBRACE] = ACTIONS(4036),
    [anon_sym_signed] = ACTIONS(4034),
    [anon_sym_unsigned] = ACTIONS(4034),
    [anon_sym_long] = ACTIONS(4034),
    [anon_sym_short] = ACTIONS(4034),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_ATautoreleasepool] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [sym_primitive_type] = ACTIONS(4034),
    [anon_sym_enum] = ACTIONS(4034),
    [anon_sym_struct] = ACTIONS(4034),
    [anon_sym_union] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4034),
    [anon_sym___typeof] = ACTIONS(4034),
    [anon_sym_typeof] = ACTIONS(4034),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
    [anon_sym_BOOL] = ACTIONS(4034),
    [anon_sym_IMP] = ACTIONS(4034),
    [anon_sym_SEL] = ACTIONS(4034),
    [anon_sym_Class] = ACTIONS(4034),
    [anon_sym_id] = ACTIONS(4034),
  },
  [1770] = {
    [sym_declaration] = STATE(1849),
    [sym__declaration_modifiers] = STATE(1964),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1964),
    [sym_attribute_declaration] = STATE(1964),
    [sym_ms_declspec_modifier] = STATE(1964),
    [sym_compound_statement] = STATE(2265),
    [sym_storage_class_specifier] = STATE(1964),
    [sym_type_qualifier] = STATE(1964),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1964),
    [sym_method_parameter] = STATE(1716),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1849),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1964),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4745),
    [anon_sym_SEMI] = ACTIONS(4860),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1771] = {
    [sym_declaration] = STATE(1881),
    [sym__declaration_modifiers] = STATE(1975),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1975),
    [sym_attribute_declaration] = STATE(1975),
    [sym_ms_declspec_modifier] = STATE(1975),
    [sym_compound_statement] = STATE(2302),
    [sym_storage_class_specifier] = STATE(1975),
    [sym_type_qualifier] = STATE(1975),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1975),
    [sym_method_parameter] = STATE(1715),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1881),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1975),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4653),
    [anon_sym_SEMI] = ACTIONS(4862),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1772] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym__abstract_declarator] = STATE(5234),
    [sym_abstract_parenthesized_declarator] = STATE(4850),
    [sym_abstract_pointer_declarator] = STATE(4850),
    [sym_abstract_function_declarator] = STATE(4850),
    [sym_abstract_array_declarator] = STATE(4850),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_parameter_list] = STATE(4274),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_abstract_block_pointer_declarator] = STATE(4850),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_LPAREN2] = ACTIONS(4496),
    [anon_sym_STAR] = ACTIONS(4498),
    [anon_sym_CARET] = ACTIONS(4500),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(4216),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1773] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4825),
    [anon_sym_COMMA] = ACTIONS(4415),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4789),
    [anon_sym_PLUS] = ACTIONS(4789),
    [anon_sym_STAR] = ACTIONS(4791),
    [anon_sym_SLASH] = ACTIONS(4793),
    [anon_sym_PERCENT] = ACTIONS(4791),
    [anon_sym_PIPE_PIPE] = ACTIONS(4827),
    [anon_sym_AMP_AMP] = ACTIONS(4803),
    [anon_sym_PIPE] = ACTIONS(4805),
    [anon_sym_CARET] = ACTIONS(4807),
    [anon_sym_AMP] = ACTIONS(4809),
    [anon_sym_EQ_EQ] = ACTIONS(4811),
    [anon_sym_BANG_EQ] = ACTIONS(4811),
    [anon_sym_GT] = ACTIONS(4795),
    [anon_sym_GT_EQ] = ACTIONS(4797),
    [anon_sym_LT_EQ] = ACTIONS(4797),
    [anon_sym_LT] = ACTIONS(4795),
    [anon_sym_LT_LT] = ACTIONS(4799),
    [anon_sym_GT_GT] = ACTIONS(4799),
    [anon_sym_SEMI] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(4413),
    [anon_sym_extern] = ACTIONS(4413),
    [anon_sym___attribute__] = ACTIONS(4413),
    [anon_sym___attribute] = ACTIONS(4413),
    [anon_sym_noreturn] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4413),
    [anon_sym_LBRACE] = ACTIONS(4415),
    [anon_sym_signed] = ACTIONS(4413),
    [anon_sym_unsigned] = ACTIONS(4413),
    [anon_sym_long] = ACTIONS(4413),
    [anon_sym_short] = ACTIONS(4413),
    [anon_sym_static] = ACTIONS(4413),
    [anon_sym_ATautoreleasepool] = ACTIONS(4415),
    [anon_sym_auto] = ACTIONS(4413),
    [anon_sym_register] = ACTIONS(4413),
    [anon_sym_inline] = ACTIONS(4413),
    [anon_sym___inline] = ACTIONS(4413),
    [anon_sym___inline__] = ACTIONS(4413),
    [anon_sym___forceinline] = ACTIONS(4413),
    [anon_sym_thread_local] = ACTIONS(4413),
    [anon_sym___thread] = ACTIONS(4413),
    [anon_sym_CG_EXTERN] = ACTIONS(4413),
    [anon_sym_CG_INLINE] = ACTIONS(4413),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4413),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4413),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4413),
    [anon_sym_IBOutlet] = ACTIONS(4413),
    [anon_sym_IBInspectable] = ACTIONS(4413),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4413),
    [anon_sym_NS_INLINE] = ACTIONS(4413),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4413),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4413),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4413),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4413),
    [anon_sym_const] = ACTIONS(4413),
    [anon_sym_constexpr] = ACTIONS(4413),
    [anon_sym_volatile] = ACTIONS(4413),
    [anon_sym_restrict] = ACTIONS(4413),
    [anon_sym___restrict__] = ACTIONS(4413),
    [anon_sym__Atomic] = ACTIONS(4413),
    [anon_sym__Noreturn] = ACTIONS(4413),
    [anon_sym__Nonnull] = ACTIONS(4413),
    [anon_sym_nullable] = ACTIONS(4413),
    [anon_sym__Complex] = ACTIONS(4413),
    [anon_sym__Nullable] = ACTIONS(4413),
    [anon_sym__Nullable_result] = ACTIONS(4413),
    [anon_sym__Null_unspecified] = ACTIONS(4413),
    [anon_sym___autoreleasing] = ACTIONS(4413),
    [anon_sym___block] = ACTIONS(4413),
    [anon_sym___bridge] = ACTIONS(4413),
    [anon_sym___bridge_retained] = ACTIONS(4413),
    [anon_sym___bridge_transfer] = ACTIONS(4413),
    [anon_sym___complex] = ACTIONS(4413),
    [anon_sym___const] = ACTIONS(4413),
    [anon_sym___imag] = ACTIONS(4413),
    [anon_sym___kindof] = ACTIONS(4413),
    [anon_sym___nonnull] = ACTIONS(4413),
    [anon_sym___nullable] = ACTIONS(4413),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4413),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4413),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4413),
    [anon_sym___real] = ACTIONS(4413),
    [anon_sym___strong] = ACTIONS(4413),
    [anon_sym___unsafe_unretained] = ACTIONS(4413),
    [anon_sym___unused] = ACTIONS(4413),
    [anon_sym___weak] = ACTIONS(4413),
    [anon_sym_alignas] = ACTIONS(4413),
    [anon_sym__Alignas] = ACTIONS(4413),
    [sym_primitive_type] = ACTIONS(4413),
    [anon_sym_enum] = ACTIONS(4413),
    [anon_sym_struct] = ACTIONS(4413),
    [anon_sym_union] = ACTIONS(4413),
    [anon_sym_QMARK] = ACTIONS(4415),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4413),
    [anon_sym___typeof] = ACTIONS(4413),
    [anon_sym_typeof] = ACTIONS(4413),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4413),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4413),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4413),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4413),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4413),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4413),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4413),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4413),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4413),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4413),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4413),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4413),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4413),
    [anon_sym_API_AVAILABLE] = ACTIONS(4413),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4413),
    [anon_sym_API_DEPRECATED] = ACTIONS(4413),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4413),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4413),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4413),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4413),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4413),
    [anon_sym___deprecated_msg] = ACTIONS(4413),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4413),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4413),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4413),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4413),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4413),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4413),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4413),
    [anon_sym_BOOL] = ACTIONS(4413),
    [anon_sym_IMP] = ACTIONS(4413),
    [anon_sym_SEL] = ACTIONS(4413),
    [anon_sym_Class] = ACTIONS(4413),
    [anon_sym_id] = ACTIONS(4413),
  },
  [1774] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4789),
    [anon_sym_PLUS] = ACTIONS(4789),
    [anon_sym_STAR] = ACTIONS(4791),
    [anon_sym_SLASH] = ACTIONS(4793),
    [anon_sym_PERCENT] = ACTIONS(4791),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4036),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4811),
    [anon_sym_BANG_EQ] = ACTIONS(4811),
    [anon_sym_GT] = ACTIONS(4795),
    [anon_sym_GT_EQ] = ACTIONS(4797),
    [anon_sym_LT_EQ] = ACTIONS(4797),
    [anon_sym_LT] = ACTIONS(4795),
    [anon_sym_LT_LT] = ACTIONS(4799),
    [anon_sym_GT_GT] = ACTIONS(4799),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_LBRACE] = ACTIONS(4036),
    [anon_sym_signed] = ACTIONS(4034),
    [anon_sym_unsigned] = ACTIONS(4034),
    [anon_sym_long] = ACTIONS(4034),
    [anon_sym_short] = ACTIONS(4034),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_ATautoreleasepool] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [sym_primitive_type] = ACTIONS(4034),
    [anon_sym_enum] = ACTIONS(4034),
    [anon_sym_struct] = ACTIONS(4034),
    [anon_sym_union] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4034),
    [anon_sym___typeof] = ACTIONS(4034),
    [anon_sym_typeof] = ACTIONS(4034),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
    [anon_sym_BOOL] = ACTIONS(4034),
    [anon_sym_IMP] = ACTIONS(4034),
    [anon_sym_SEL] = ACTIONS(4034),
    [anon_sym_Class] = ACTIONS(4034),
    [anon_sym_id] = ACTIONS(4034),
  },
  [1775] = {
    [sym_declaration] = STATE(1865),
    [sym__declaration_modifiers] = STATE(1947),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1947),
    [sym_attribute_declaration] = STATE(1947),
    [sym_ms_declspec_modifier] = STATE(1947),
    [sym_compound_statement] = STATE(2284),
    [sym_storage_class_specifier] = STATE(1947),
    [sym_type_qualifier] = STATE(1947),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1947),
    [sym_method_parameter] = STATE(1700),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1865),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1947),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4705),
    [anon_sym_SEMI] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_COLON] = ACTIONS(4661),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1776] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4825),
    [anon_sym_COMMA] = ACTIONS(4868),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4789),
    [anon_sym_PLUS] = ACTIONS(4789),
    [anon_sym_STAR] = ACTIONS(4791),
    [anon_sym_SLASH] = ACTIONS(4793),
    [anon_sym_PERCENT] = ACTIONS(4791),
    [anon_sym_PIPE_PIPE] = ACTIONS(4827),
    [anon_sym_AMP_AMP] = ACTIONS(4803),
    [anon_sym_PIPE] = ACTIONS(4805),
    [anon_sym_CARET] = ACTIONS(4807),
    [anon_sym_AMP] = ACTIONS(4809),
    [anon_sym_EQ_EQ] = ACTIONS(4811),
    [anon_sym_BANG_EQ] = ACTIONS(4811),
    [anon_sym_GT] = ACTIONS(4795),
    [anon_sym_GT_EQ] = ACTIONS(4797),
    [anon_sym_LT_EQ] = ACTIONS(4797),
    [anon_sym_LT] = ACTIONS(4795),
    [anon_sym_LT_LT] = ACTIONS(4799),
    [anon_sym_GT_GT] = ACTIONS(4799),
    [anon_sym_SEMI] = ACTIONS(4868),
    [anon_sym___extension__] = ACTIONS(4866),
    [anon_sym_extern] = ACTIONS(4866),
    [anon_sym___attribute__] = ACTIONS(4866),
    [anon_sym___attribute] = ACTIONS(4866),
    [anon_sym_noreturn] = ACTIONS(4866),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4866),
    [anon_sym_LBRACE] = ACTIONS(4868),
    [anon_sym_signed] = ACTIONS(4866),
    [anon_sym_unsigned] = ACTIONS(4866),
    [anon_sym_long] = ACTIONS(4866),
    [anon_sym_short] = ACTIONS(4866),
    [anon_sym_static] = ACTIONS(4866),
    [anon_sym_ATautoreleasepool] = ACTIONS(4868),
    [anon_sym_auto] = ACTIONS(4866),
    [anon_sym_register] = ACTIONS(4866),
    [anon_sym_inline] = ACTIONS(4866),
    [anon_sym___inline] = ACTIONS(4866),
    [anon_sym___inline__] = ACTIONS(4866),
    [anon_sym___forceinline] = ACTIONS(4866),
    [anon_sym_thread_local] = ACTIONS(4866),
    [anon_sym___thread] = ACTIONS(4866),
    [anon_sym_CG_EXTERN] = ACTIONS(4866),
    [anon_sym_CG_INLINE] = ACTIONS(4866),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4866),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4866),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4866),
    [anon_sym_IBOutlet] = ACTIONS(4866),
    [anon_sym_IBInspectable] = ACTIONS(4866),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4866),
    [anon_sym_NS_INLINE] = ACTIONS(4866),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4866),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4866),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4866),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4866),
    [anon_sym_const] = ACTIONS(4866),
    [anon_sym_constexpr] = ACTIONS(4866),
    [anon_sym_volatile] = ACTIONS(4866),
    [anon_sym_restrict] = ACTIONS(4866),
    [anon_sym___restrict__] = ACTIONS(4866),
    [anon_sym__Atomic] = ACTIONS(4866),
    [anon_sym__Noreturn] = ACTIONS(4866),
    [anon_sym__Nonnull] = ACTIONS(4866),
    [anon_sym_nullable] = ACTIONS(4866),
    [anon_sym__Complex] = ACTIONS(4866),
    [anon_sym__Nullable] = ACTIONS(4866),
    [anon_sym__Nullable_result] = ACTIONS(4866),
    [anon_sym__Null_unspecified] = ACTIONS(4866),
    [anon_sym___autoreleasing] = ACTIONS(4866),
    [anon_sym___block] = ACTIONS(4866),
    [anon_sym___bridge] = ACTIONS(4866),
    [anon_sym___bridge_retained] = ACTIONS(4866),
    [anon_sym___bridge_transfer] = ACTIONS(4866),
    [anon_sym___complex] = ACTIONS(4866),
    [anon_sym___const] = ACTIONS(4866),
    [anon_sym___imag] = ACTIONS(4866),
    [anon_sym___kindof] = ACTIONS(4866),
    [anon_sym___nonnull] = ACTIONS(4866),
    [anon_sym___nullable] = ACTIONS(4866),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4866),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4866),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4866),
    [anon_sym___real] = ACTIONS(4866),
    [anon_sym___strong] = ACTIONS(4866),
    [anon_sym___unsafe_unretained] = ACTIONS(4866),
    [anon_sym___unused] = ACTIONS(4866),
    [anon_sym___weak] = ACTIONS(4866),
    [anon_sym_alignas] = ACTIONS(4866),
    [anon_sym__Alignas] = ACTIONS(4866),
    [sym_primitive_type] = ACTIONS(4866),
    [anon_sym_enum] = ACTIONS(4866),
    [anon_sym_struct] = ACTIONS(4866),
    [anon_sym_union] = ACTIONS(4866),
    [anon_sym_QMARK] = ACTIONS(4850),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4866),
    [anon_sym___typeof] = ACTIONS(4866),
    [anon_sym_typeof] = ACTIONS(4866),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4866),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4866),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4866),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4866),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4866),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4866),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4866),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4866),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4866),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4866),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4866),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4866),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4866),
    [anon_sym_API_AVAILABLE] = ACTIONS(4866),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4866),
    [anon_sym_API_DEPRECATED] = ACTIONS(4866),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4866),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4866),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4866),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4866),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4866),
    [anon_sym___deprecated_msg] = ACTIONS(4866),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4866),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4866),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4866),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4866),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4866),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4866),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4866),
    [anon_sym_BOOL] = ACTIONS(4866),
    [anon_sym_IMP] = ACTIONS(4866),
    [anon_sym_SEL] = ACTIONS(4866),
    [anon_sym_Class] = ACTIONS(4866),
    [anon_sym_id] = ACTIONS(4866),
  },
  [1777] = {
    [sym_declaration] = STATE(1859),
    [sym__declaration_modifiers] = STATE(1985),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1985),
    [sym_attribute_declaration] = STATE(1985),
    [sym_ms_declspec_modifier] = STATE(1985),
    [sym_compound_statement] = STATE(2123),
    [sym_storage_class_specifier] = STATE(1985),
    [sym_type_qualifier] = STATE(1985),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1985),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1859),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1985),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(2816),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4872),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1778] = {
    [sym_declaration] = STATE(1869),
    [sym__declaration_modifiers] = STATE(1993),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1993),
    [sym_attribute_declaration] = STATE(1993),
    [sym_ms_declspec_modifier] = STATE(1993),
    [sym_compound_statement] = STATE(2286),
    [sym_storage_class_specifier] = STATE(1993),
    [sym_type_qualifier] = STATE(1993),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1993),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1869),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1993),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(1799),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4823),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1779] = {
    [sym_identifier] = ACTIONS(4066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4068),
    [anon_sym_COMMA] = ACTIONS(4068),
    [anon_sym_LPAREN2] = ACTIONS(4068),
    [anon_sym_DASH] = ACTIONS(4066),
    [anon_sym_PLUS] = ACTIONS(4066),
    [anon_sym_STAR] = ACTIONS(4068),
    [anon_sym_SLASH] = ACTIONS(4066),
    [anon_sym_PERCENT] = ACTIONS(4068),
    [anon_sym_PIPE_PIPE] = ACTIONS(4068),
    [anon_sym_AMP_AMP] = ACTIONS(4068),
    [anon_sym_PIPE] = ACTIONS(4066),
    [anon_sym_CARET] = ACTIONS(4068),
    [anon_sym_AMP] = ACTIONS(4066),
    [anon_sym_EQ_EQ] = ACTIONS(4068),
    [anon_sym_BANG_EQ] = ACTIONS(4068),
    [anon_sym_GT] = ACTIONS(4066),
    [anon_sym_GT_EQ] = ACTIONS(4068),
    [anon_sym_LT_EQ] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_LT_LT] = ACTIONS(4068),
    [anon_sym_GT_GT] = ACTIONS(4068),
    [anon_sym_SEMI] = ACTIONS(4068),
    [anon_sym___extension__] = ACTIONS(4066),
    [anon_sym_extern] = ACTIONS(4066),
    [anon_sym___attribute__] = ACTIONS(4066),
    [anon_sym___attribute] = ACTIONS(4066),
    [anon_sym_noreturn] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4068),
    [anon_sym___declspec] = ACTIONS(4066),
    [anon_sym_LBRACE] = ACTIONS(4068),
    [anon_sym_signed] = ACTIONS(4066),
    [anon_sym_unsigned] = ACTIONS(4066),
    [anon_sym_long] = ACTIONS(4066),
    [anon_sym_short] = ACTIONS(4066),
    [anon_sym_static] = ACTIONS(4066),
    [anon_sym_ATautoreleasepool] = ACTIONS(4068),
    [anon_sym_auto] = ACTIONS(4066),
    [anon_sym_register] = ACTIONS(4066),
    [anon_sym_inline] = ACTIONS(4066),
    [anon_sym___inline] = ACTIONS(4066),
    [anon_sym___inline__] = ACTIONS(4066),
    [anon_sym___forceinline] = ACTIONS(4066),
    [anon_sym_thread_local] = ACTIONS(4066),
    [anon_sym___thread] = ACTIONS(4066),
    [anon_sym_CG_EXTERN] = ACTIONS(4066),
    [anon_sym_CG_INLINE] = ACTIONS(4066),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4066),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4066),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4066),
    [anon_sym_IBOutlet] = ACTIONS(4066),
    [anon_sym_IBInspectable] = ACTIONS(4066),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4066),
    [anon_sym_NS_INLINE] = ACTIONS(4066),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4066),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4066),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4066),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4066),
    [anon_sym_const] = ACTIONS(4066),
    [anon_sym_constexpr] = ACTIONS(4066),
    [anon_sym_volatile] = ACTIONS(4066),
    [anon_sym_restrict] = ACTIONS(4066),
    [anon_sym___restrict__] = ACTIONS(4066),
    [anon_sym__Atomic] = ACTIONS(4066),
    [anon_sym__Noreturn] = ACTIONS(4066),
    [anon_sym__Nonnull] = ACTIONS(4066),
    [anon_sym_nullable] = ACTIONS(4066),
    [anon_sym__Complex] = ACTIONS(4066),
    [anon_sym__Nullable] = ACTIONS(4066),
    [anon_sym__Nullable_result] = ACTIONS(4066),
    [anon_sym__Null_unspecified] = ACTIONS(4066),
    [anon_sym___autoreleasing] = ACTIONS(4066),
    [anon_sym___block] = ACTIONS(4066),
    [anon_sym___bridge] = ACTIONS(4066),
    [anon_sym___bridge_retained] = ACTIONS(4066),
    [anon_sym___bridge_transfer] = ACTIONS(4066),
    [anon_sym___complex] = ACTIONS(4066),
    [anon_sym___const] = ACTIONS(4066),
    [anon_sym___imag] = ACTIONS(4066),
    [anon_sym___kindof] = ACTIONS(4066),
    [anon_sym___nonnull] = ACTIONS(4066),
    [anon_sym___nullable] = ACTIONS(4066),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4066),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4066),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4066),
    [anon_sym___real] = ACTIONS(4066),
    [anon_sym___strong] = ACTIONS(4066),
    [anon_sym___unsafe_unretained] = ACTIONS(4066),
    [anon_sym___unused] = ACTIONS(4066),
    [anon_sym___weak] = ACTIONS(4066),
    [anon_sym_alignas] = ACTIONS(4066),
    [anon_sym__Alignas] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(4066),
    [anon_sym_enum] = ACTIONS(4066),
    [anon_sym_struct] = ACTIONS(4066),
    [anon_sym_union] = ACTIONS(4066),
    [anon_sym_QMARK] = ACTIONS(4068),
    [anon_sym_DASH_DASH] = ACTIONS(4068),
    [anon_sym_PLUS_PLUS] = ACTIONS(4068),
    [anon_sym_DOT] = ACTIONS(4066),
    [anon_sym_DASH_GT] = ACTIONS(4068),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4066),
    [anon_sym___typeof] = ACTIONS(4066),
    [anon_sym_typeof] = ACTIONS(4066),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4066),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4066),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4066),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4066),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4066),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4066),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4066),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4066),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4066),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4066),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4066),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4066),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4066),
    [anon_sym_API_AVAILABLE] = ACTIONS(4066),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4066),
    [anon_sym_API_DEPRECATED] = ACTIONS(4066),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4066),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4066),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4066),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4066),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4066),
    [anon_sym___deprecated_msg] = ACTIONS(4066),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4066),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4066),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4066),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4066),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4066),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4066),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4066),
    [anon_sym_BOOL] = ACTIONS(4066),
    [anon_sym_IMP] = ACTIONS(4066),
    [anon_sym_SEL] = ACTIONS(4066),
    [anon_sym_Class] = ACTIONS(4066),
    [anon_sym_id] = ACTIONS(4066),
  },
  [1780] = {
    [sym_declaration] = STATE(1852),
    [sym__declaration_modifiers] = STATE(2002),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2002),
    [sym_attribute_declaration] = STATE(2002),
    [sym_ms_declspec_modifier] = STATE(2002),
    [sym_compound_statement] = STATE(2116),
    [sym_storage_class_specifier] = STATE(2002),
    [sym_type_qualifier] = STATE(2002),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2002),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(2816),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4856),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1781] = {
    [sym_declaration] = STATE(1852),
    [sym__declaration_modifiers] = STATE(2002),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2002),
    [sym_attribute_declaration] = STATE(2002),
    [sym_ms_declspec_modifier] = STATE(2002),
    [sym_compound_statement] = STATE(2116),
    [sym_storage_class_specifier] = STATE(2002),
    [sym_type_qualifier] = STATE(2002),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2002),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(1810),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4856),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1782] = {
    [sym_declaration] = STATE(1863),
    [sym__declaration_modifiers] = STATE(1941),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1941),
    [sym_attribute_declaration] = STATE(1941),
    [sym_ms_declspec_modifier] = STATE(1941),
    [sym_compound_statement] = STATE(2125),
    [sym_storage_class_specifier] = STATE(1941),
    [sym_type_qualifier] = STATE(1941),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1941),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1863),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1941),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(1807),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4874),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1783] = {
    [sym_declaration] = STATE(1863),
    [sym__declaration_modifiers] = STATE(1941),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1941),
    [sym_attribute_declaration] = STATE(1941),
    [sym_ms_declspec_modifier] = STATE(1941),
    [sym_compound_statement] = STATE(2125),
    [sym_storage_class_specifier] = STATE(1941),
    [sym_type_qualifier] = STATE(1941),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1941),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1863),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1941),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(2816),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4874),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1784] = {
    [sym_identifier] = ACTIONS(4272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4274),
    [anon_sym_COMMA] = ACTIONS(4274),
    [anon_sym_LPAREN2] = ACTIONS(4274),
    [anon_sym_DASH] = ACTIONS(4272),
    [anon_sym_PLUS] = ACTIONS(4272),
    [anon_sym_STAR] = ACTIONS(4274),
    [anon_sym_SLASH] = ACTIONS(4272),
    [anon_sym_PERCENT] = ACTIONS(4274),
    [anon_sym_PIPE_PIPE] = ACTIONS(4274),
    [anon_sym_AMP_AMP] = ACTIONS(4274),
    [anon_sym_PIPE] = ACTIONS(4272),
    [anon_sym_CARET] = ACTIONS(4274),
    [anon_sym_AMP] = ACTIONS(4272),
    [anon_sym_EQ_EQ] = ACTIONS(4274),
    [anon_sym_BANG_EQ] = ACTIONS(4274),
    [anon_sym_GT] = ACTIONS(4272),
    [anon_sym_GT_EQ] = ACTIONS(4274),
    [anon_sym_LT_EQ] = ACTIONS(4274),
    [anon_sym_LT] = ACTIONS(4272),
    [anon_sym_LT_LT] = ACTIONS(4274),
    [anon_sym_GT_GT] = ACTIONS(4274),
    [anon_sym_SEMI] = ACTIONS(4274),
    [anon_sym___extension__] = ACTIONS(4272),
    [anon_sym_extern] = ACTIONS(4272),
    [anon_sym___attribute__] = ACTIONS(4272),
    [anon_sym___attribute] = ACTIONS(4272),
    [anon_sym_noreturn] = ACTIONS(4272),
    [anon_sym_LBRACK] = ACTIONS(4274),
    [anon_sym___declspec] = ACTIONS(4272),
    [anon_sym_LBRACE] = ACTIONS(4274),
    [anon_sym_signed] = ACTIONS(4272),
    [anon_sym_unsigned] = ACTIONS(4272),
    [anon_sym_long] = ACTIONS(4272),
    [anon_sym_short] = ACTIONS(4272),
    [anon_sym_static] = ACTIONS(4272),
    [anon_sym_ATautoreleasepool] = ACTIONS(4274),
    [anon_sym_auto] = ACTIONS(4272),
    [anon_sym_register] = ACTIONS(4272),
    [anon_sym_inline] = ACTIONS(4272),
    [anon_sym___inline] = ACTIONS(4272),
    [anon_sym___inline__] = ACTIONS(4272),
    [anon_sym___forceinline] = ACTIONS(4272),
    [anon_sym_thread_local] = ACTIONS(4272),
    [anon_sym___thread] = ACTIONS(4272),
    [anon_sym_CG_EXTERN] = ACTIONS(4272),
    [anon_sym_CG_INLINE] = ACTIONS(4272),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4272),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4272),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4272),
    [anon_sym_IBOutlet] = ACTIONS(4272),
    [anon_sym_IBInspectable] = ACTIONS(4272),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4272),
    [anon_sym_NS_INLINE] = ACTIONS(4272),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4272),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4272),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4272),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4272),
    [anon_sym_const] = ACTIONS(4272),
    [anon_sym_constexpr] = ACTIONS(4272),
    [anon_sym_volatile] = ACTIONS(4272),
    [anon_sym_restrict] = ACTIONS(4272),
    [anon_sym___restrict__] = ACTIONS(4272),
    [anon_sym__Atomic] = ACTIONS(4272),
    [anon_sym__Noreturn] = ACTIONS(4272),
    [anon_sym__Nonnull] = ACTIONS(4272),
    [anon_sym_nullable] = ACTIONS(4272),
    [anon_sym__Complex] = ACTIONS(4272),
    [anon_sym__Nullable] = ACTIONS(4272),
    [anon_sym__Nullable_result] = ACTIONS(4272),
    [anon_sym__Null_unspecified] = ACTIONS(4272),
    [anon_sym___autoreleasing] = ACTIONS(4272),
    [anon_sym___block] = ACTIONS(4272),
    [anon_sym___bridge] = ACTIONS(4272),
    [anon_sym___bridge_retained] = ACTIONS(4272),
    [anon_sym___bridge_transfer] = ACTIONS(4272),
    [anon_sym___complex] = ACTIONS(4272),
    [anon_sym___const] = ACTIONS(4272),
    [anon_sym___imag] = ACTIONS(4272),
    [anon_sym___kindof] = ACTIONS(4272),
    [anon_sym___nonnull] = ACTIONS(4272),
    [anon_sym___nullable] = ACTIONS(4272),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4272),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4272),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4272),
    [anon_sym___real] = ACTIONS(4272),
    [anon_sym___strong] = ACTIONS(4272),
    [anon_sym___unsafe_unretained] = ACTIONS(4272),
    [anon_sym___unused] = ACTIONS(4272),
    [anon_sym___weak] = ACTIONS(4272),
    [anon_sym_alignas] = ACTIONS(4272),
    [anon_sym__Alignas] = ACTIONS(4272),
    [sym_primitive_type] = ACTIONS(4272),
    [anon_sym_enum] = ACTIONS(4272),
    [anon_sym_struct] = ACTIONS(4272),
    [anon_sym_union] = ACTIONS(4272),
    [anon_sym_QMARK] = ACTIONS(4274),
    [anon_sym_DASH_DASH] = ACTIONS(4274),
    [anon_sym_PLUS_PLUS] = ACTIONS(4274),
    [anon_sym_DOT] = ACTIONS(4272),
    [anon_sym_DASH_GT] = ACTIONS(4274),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4272),
    [anon_sym___typeof] = ACTIONS(4272),
    [anon_sym_typeof] = ACTIONS(4272),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4272),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4272),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4272),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4272),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4272),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4272),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4272),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4272),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4272),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4272),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4272),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4272),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4272),
    [anon_sym_API_AVAILABLE] = ACTIONS(4272),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4272),
    [anon_sym_API_DEPRECATED] = ACTIONS(4272),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4272),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4272),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4272),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4272),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4272),
    [anon_sym___deprecated_msg] = ACTIONS(4272),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4272),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4272),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4272),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4272),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4272),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4272),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4272),
    [anon_sym_BOOL] = ACTIONS(4272),
    [anon_sym_IMP] = ACTIONS(4272),
    [anon_sym_SEL] = ACTIONS(4272),
    [anon_sym_Class] = ACTIONS(4272),
    [anon_sym_id] = ACTIONS(4272),
  },
  [1785] = {
    [sym_identifier] = ACTIONS(2922),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4138),
    [anon_sym_LPAREN2] = ACTIONS(4138),
    [anon_sym_DASH] = ACTIONS(4136),
    [anon_sym_PLUS] = ACTIONS(4136),
    [anon_sym_STAR] = ACTIONS(4138),
    [anon_sym_SLASH] = ACTIONS(4136),
    [anon_sym_PERCENT] = ACTIONS(4138),
    [anon_sym_PIPE_PIPE] = ACTIONS(4138),
    [anon_sym_AMP_AMP] = ACTIONS(4138),
    [anon_sym_PIPE] = ACTIONS(4136),
    [anon_sym_CARET] = ACTIONS(4138),
    [anon_sym_AMP] = ACTIONS(4136),
    [anon_sym_EQ_EQ] = ACTIONS(4138),
    [anon_sym_BANG_EQ] = ACTIONS(4138),
    [anon_sym_GT] = ACTIONS(4136),
    [anon_sym_GT_EQ] = ACTIONS(4138),
    [anon_sym_LT_EQ] = ACTIONS(4138),
    [anon_sym_LT] = ACTIONS(4136),
    [anon_sym_LT_LT] = ACTIONS(4138),
    [anon_sym_GT_GT] = ACTIONS(4138),
    [anon_sym_SEMI] = ACTIONS(4876),
    [anon_sym___extension__] = ACTIONS(2922),
    [anon_sym_extern] = ACTIONS(2922),
    [anon_sym___attribute__] = ACTIONS(2922),
    [anon_sym___attribute] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym___declspec] = ACTIONS(2922),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_static] = ACTIONS(2922),
    [anon_sym_auto] = ACTIONS(2922),
    [anon_sym_register] = ACTIONS(2922),
    [anon_sym_inline] = ACTIONS(2922),
    [anon_sym___inline] = ACTIONS(2922),
    [anon_sym___inline__] = ACTIONS(2922),
    [anon_sym___forceinline] = ACTIONS(2922),
    [anon_sym_thread_local] = ACTIONS(2922),
    [anon_sym___thread] = ACTIONS(2922),
    [anon_sym_CG_EXTERN] = ACTIONS(2922),
    [anon_sym_CG_INLINE] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2922),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2922),
    [anon_sym_IBOutlet] = ACTIONS(2922),
    [anon_sym_IBInspectable] = ACTIONS(2922),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2922),
    [anon_sym_NS_INLINE] = ACTIONS(2922),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2922),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2922),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(2922),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2922),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2922),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(2922),
    [anon_sym_union] = ACTIONS(2922),
    [anon_sym_QMARK] = ACTIONS(4138),
    [anon_sym_DASH_DASH] = ACTIONS(4138),
    [anon_sym_PLUS_PLUS] = ACTIONS(4138),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_DASH_GT] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2922),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2922),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2922),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_API_AVAILABLE] = ACTIONS(2922),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_API_DEPRECATED] = ACTIONS(2922),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym___deprecated_msg] = ACTIONS(2922),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2922),
    [anon_sym_ATprotocol] = ACTIONS(2928),
    [anon_sym_ATinterface] = ACTIONS(2928),
    [anon_sym_ATimplementation] = ACTIONS(2928),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(2922),
  },
  [1786] = {
    [sym_declaration] = STATE(1872),
    [sym__declaration_modifiers] = STATE(1954),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1954),
    [sym_attribute_declaration] = STATE(1954),
    [sym_ms_declspec_modifier] = STATE(1954),
    [sym_compound_statement] = STATE(2127),
    [sym_storage_class_specifier] = STATE(1954),
    [sym_type_qualifier] = STATE(1954),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1954),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1872),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1954),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(1817),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4878),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1787] = {
    [sym_declaration] = STATE(1884),
    [sym__declaration_modifiers] = STATE(1991),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1991),
    [sym_attribute_declaration] = STATE(1991),
    [sym_ms_declspec_modifier] = STATE(1991),
    [sym_compound_statement] = STATE(2305),
    [sym_storage_class_specifier] = STATE(1991),
    [sym_type_qualifier] = STATE(1991),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1991),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1884),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1991),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(2816),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4880),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1788] = {
    [sym_declaration] = STATE(1884),
    [sym__declaration_modifiers] = STATE(1991),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1991),
    [sym_attribute_declaration] = STATE(1991),
    [sym_ms_declspec_modifier] = STATE(1991),
    [sym_compound_statement] = STATE(2305),
    [sym_storage_class_specifier] = STATE(1991),
    [sym_type_qualifier] = STATE(1991),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1991),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1884),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1991),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(1805),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4880),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1789] = {
    [sym_declaration] = STATE(1867),
    [sym__declaration_modifiers] = STATE(1950),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1950),
    [sym_attribute_declaration] = STATE(1950),
    [sym_ms_declspec_modifier] = STATE(1950),
    [sym_compound_statement] = STATE(2126),
    [sym_storage_class_specifier] = STATE(1950),
    [sym_type_qualifier] = STATE(1950),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1950),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1867),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1950),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(1811),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4882),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1790] = {
    [sym_declaration] = STATE(1873),
    [sym__declaration_modifiers] = STATE(1956),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1956),
    [sym_attribute_declaration] = STATE(1956),
    [sym_ms_declspec_modifier] = STATE(1956),
    [sym_compound_statement] = STATE(2253),
    [sym_storage_class_specifier] = STATE(1956),
    [sym_type_qualifier] = STATE(1956),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1956),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1873),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1956),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(2816),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4884),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1791] = {
    [sym_identifier] = ACTIONS(4112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4114),
    [anon_sym_COMMA] = ACTIONS(4114),
    [anon_sym_LPAREN2] = ACTIONS(4114),
    [anon_sym_DASH] = ACTIONS(4112),
    [anon_sym_PLUS] = ACTIONS(4112),
    [anon_sym_STAR] = ACTIONS(4114),
    [anon_sym_SLASH] = ACTIONS(4112),
    [anon_sym_PERCENT] = ACTIONS(4114),
    [anon_sym_PIPE_PIPE] = ACTIONS(4114),
    [anon_sym_AMP_AMP] = ACTIONS(4114),
    [anon_sym_PIPE] = ACTIONS(4112),
    [anon_sym_CARET] = ACTIONS(4114),
    [anon_sym_AMP] = ACTIONS(4112),
    [anon_sym_EQ_EQ] = ACTIONS(4114),
    [anon_sym_BANG_EQ] = ACTIONS(4114),
    [anon_sym_GT] = ACTIONS(4112),
    [anon_sym_GT_EQ] = ACTIONS(4114),
    [anon_sym_LT_EQ] = ACTIONS(4114),
    [anon_sym_LT] = ACTIONS(4112),
    [anon_sym_LT_LT] = ACTIONS(4114),
    [anon_sym_GT_GT] = ACTIONS(4114),
    [anon_sym_SEMI] = ACTIONS(4114),
    [anon_sym___extension__] = ACTIONS(4112),
    [anon_sym_extern] = ACTIONS(4112),
    [anon_sym___attribute__] = ACTIONS(4112),
    [anon_sym___attribute] = ACTIONS(4112),
    [anon_sym_noreturn] = ACTIONS(4112),
    [anon_sym_LBRACK] = ACTIONS(4114),
    [anon_sym___declspec] = ACTIONS(4112),
    [anon_sym_LBRACE] = ACTIONS(4114),
    [anon_sym_signed] = ACTIONS(4112),
    [anon_sym_unsigned] = ACTIONS(4112),
    [anon_sym_long] = ACTIONS(4112),
    [anon_sym_short] = ACTIONS(4112),
    [anon_sym_static] = ACTIONS(4112),
    [anon_sym_ATautoreleasepool] = ACTIONS(4114),
    [anon_sym_auto] = ACTIONS(4112),
    [anon_sym_register] = ACTIONS(4112),
    [anon_sym_inline] = ACTIONS(4112),
    [anon_sym___inline] = ACTIONS(4112),
    [anon_sym___inline__] = ACTIONS(4112),
    [anon_sym___forceinline] = ACTIONS(4112),
    [anon_sym_thread_local] = ACTIONS(4112),
    [anon_sym___thread] = ACTIONS(4112),
    [anon_sym_CG_EXTERN] = ACTIONS(4112),
    [anon_sym_CG_INLINE] = ACTIONS(4112),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4112),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4112),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4112),
    [anon_sym_IBOutlet] = ACTIONS(4112),
    [anon_sym_IBInspectable] = ACTIONS(4112),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4112),
    [anon_sym_NS_INLINE] = ACTIONS(4112),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4112),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4112),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4112),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4112),
    [anon_sym_const] = ACTIONS(4112),
    [anon_sym_constexpr] = ACTIONS(4112),
    [anon_sym_volatile] = ACTIONS(4112),
    [anon_sym_restrict] = ACTIONS(4112),
    [anon_sym___restrict__] = ACTIONS(4112),
    [anon_sym__Atomic] = ACTIONS(4112),
    [anon_sym__Noreturn] = ACTIONS(4112),
    [anon_sym__Nonnull] = ACTIONS(4112),
    [anon_sym_nullable] = ACTIONS(4112),
    [anon_sym__Complex] = ACTIONS(4112),
    [anon_sym__Nullable] = ACTIONS(4112),
    [anon_sym__Nullable_result] = ACTIONS(4112),
    [anon_sym__Null_unspecified] = ACTIONS(4112),
    [anon_sym___autoreleasing] = ACTIONS(4112),
    [anon_sym___block] = ACTIONS(4112),
    [anon_sym___bridge] = ACTIONS(4112),
    [anon_sym___bridge_retained] = ACTIONS(4112),
    [anon_sym___bridge_transfer] = ACTIONS(4112),
    [anon_sym___complex] = ACTIONS(4112),
    [anon_sym___const] = ACTIONS(4112),
    [anon_sym___imag] = ACTIONS(4112),
    [anon_sym___kindof] = ACTIONS(4112),
    [anon_sym___nonnull] = ACTIONS(4112),
    [anon_sym___nullable] = ACTIONS(4112),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4112),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4112),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4112),
    [anon_sym___real] = ACTIONS(4112),
    [anon_sym___strong] = ACTIONS(4112),
    [anon_sym___unsafe_unretained] = ACTIONS(4112),
    [anon_sym___unused] = ACTIONS(4112),
    [anon_sym___weak] = ACTIONS(4112),
    [anon_sym_alignas] = ACTIONS(4112),
    [anon_sym__Alignas] = ACTIONS(4112),
    [sym_primitive_type] = ACTIONS(4112),
    [anon_sym_enum] = ACTIONS(4112),
    [anon_sym_struct] = ACTIONS(4112),
    [anon_sym_union] = ACTIONS(4112),
    [anon_sym_QMARK] = ACTIONS(4114),
    [anon_sym_DASH_DASH] = ACTIONS(4114),
    [anon_sym_PLUS_PLUS] = ACTIONS(4114),
    [anon_sym_DOT] = ACTIONS(4112),
    [anon_sym_DASH_GT] = ACTIONS(4114),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4112),
    [anon_sym___typeof] = ACTIONS(4112),
    [anon_sym_typeof] = ACTIONS(4112),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4112),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4112),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4112),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4112),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4112),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4112),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4112),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4112),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4112),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4112),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4112),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4112),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4112),
    [anon_sym_API_AVAILABLE] = ACTIONS(4112),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4112),
    [anon_sym_API_DEPRECATED] = ACTIONS(4112),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4112),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4112),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4112),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4112),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4112),
    [anon_sym___deprecated_msg] = ACTIONS(4112),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4112),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4112),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4112),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4112),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4112),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4112),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4112),
    [anon_sym_BOOL] = ACTIONS(4112),
    [anon_sym_IMP] = ACTIONS(4112),
    [anon_sym_SEL] = ACTIONS(4112),
    [anon_sym_Class] = ACTIONS(4112),
    [anon_sym_id] = ACTIONS(4112),
  },
  [1792] = {
    [sym_identifier] = ACTIONS(4256),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4258),
    [anon_sym_COMMA] = ACTIONS(4258),
    [anon_sym_LPAREN2] = ACTIONS(4258),
    [anon_sym_DASH] = ACTIONS(4256),
    [anon_sym_PLUS] = ACTIONS(4256),
    [anon_sym_STAR] = ACTIONS(4258),
    [anon_sym_SLASH] = ACTIONS(4256),
    [anon_sym_PERCENT] = ACTIONS(4258),
    [anon_sym_PIPE_PIPE] = ACTIONS(4258),
    [anon_sym_AMP_AMP] = ACTIONS(4258),
    [anon_sym_PIPE] = ACTIONS(4256),
    [anon_sym_CARET] = ACTIONS(4258),
    [anon_sym_AMP] = ACTIONS(4256),
    [anon_sym_EQ_EQ] = ACTIONS(4258),
    [anon_sym_BANG_EQ] = ACTIONS(4258),
    [anon_sym_GT] = ACTIONS(4256),
    [anon_sym_GT_EQ] = ACTIONS(4258),
    [anon_sym_LT_EQ] = ACTIONS(4258),
    [anon_sym_LT] = ACTIONS(4256),
    [anon_sym_LT_LT] = ACTIONS(4258),
    [anon_sym_GT_GT] = ACTIONS(4258),
    [anon_sym_SEMI] = ACTIONS(4258),
    [anon_sym___extension__] = ACTIONS(4256),
    [anon_sym_extern] = ACTIONS(4256),
    [anon_sym___attribute__] = ACTIONS(4256),
    [anon_sym___attribute] = ACTIONS(4256),
    [anon_sym_noreturn] = ACTIONS(4256),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [anon_sym___declspec] = ACTIONS(4256),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_signed] = ACTIONS(4256),
    [anon_sym_unsigned] = ACTIONS(4256),
    [anon_sym_long] = ACTIONS(4256),
    [anon_sym_short] = ACTIONS(4256),
    [anon_sym_static] = ACTIONS(4256),
    [anon_sym_ATautoreleasepool] = ACTIONS(4258),
    [anon_sym_auto] = ACTIONS(4256),
    [anon_sym_register] = ACTIONS(4256),
    [anon_sym_inline] = ACTIONS(4256),
    [anon_sym___inline] = ACTIONS(4256),
    [anon_sym___inline__] = ACTIONS(4256),
    [anon_sym___forceinline] = ACTIONS(4256),
    [anon_sym_thread_local] = ACTIONS(4256),
    [anon_sym___thread] = ACTIONS(4256),
    [anon_sym_CG_EXTERN] = ACTIONS(4256),
    [anon_sym_CG_INLINE] = ACTIONS(4256),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4256),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4256),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4256),
    [anon_sym_IBOutlet] = ACTIONS(4256),
    [anon_sym_IBInspectable] = ACTIONS(4256),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4256),
    [anon_sym_NS_INLINE] = ACTIONS(4256),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4256),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4256),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4256),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4256),
    [anon_sym_const] = ACTIONS(4256),
    [anon_sym_constexpr] = ACTIONS(4256),
    [anon_sym_volatile] = ACTIONS(4256),
    [anon_sym_restrict] = ACTIONS(4256),
    [anon_sym___restrict__] = ACTIONS(4256),
    [anon_sym__Atomic] = ACTIONS(4256),
    [anon_sym__Noreturn] = ACTIONS(4256),
    [anon_sym__Nonnull] = ACTIONS(4256),
    [anon_sym_nullable] = ACTIONS(4256),
    [anon_sym__Complex] = ACTIONS(4256),
    [anon_sym__Nullable] = ACTIONS(4256),
    [anon_sym__Nullable_result] = ACTIONS(4256),
    [anon_sym__Null_unspecified] = ACTIONS(4256),
    [anon_sym___autoreleasing] = ACTIONS(4256),
    [anon_sym___block] = ACTIONS(4256),
    [anon_sym___bridge] = ACTIONS(4256),
    [anon_sym___bridge_retained] = ACTIONS(4256),
    [anon_sym___bridge_transfer] = ACTIONS(4256),
    [anon_sym___complex] = ACTIONS(4256),
    [anon_sym___const] = ACTIONS(4256),
    [anon_sym___imag] = ACTIONS(4256),
    [anon_sym___kindof] = ACTIONS(4256),
    [anon_sym___nonnull] = ACTIONS(4256),
    [anon_sym___nullable] = ACTIONS(4256),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4256),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4256),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4256),
    [anon_sym___real] = ACTIONS(4256),
    [anon_sym___strong] = ACTIONS(4256),
    [anon_sym___unsafe_unretained] = ACTIONS(4256),
    [anon_sym___unused] = ACTIONS(4256),
    [anon_sym___weak] = ACTIONS(4256),
    [anon_sym_alignas] = ACTIONS(4256),
    [anon_sym__Alignas] = ACTIONS(4256),
    [sym_primitive_type] = ACTIONS(4256),
    [anon_sym_enum] = ACTIONS(4256),
    [anon_sym_struct] = ACTIONS(4256),
    [anon_sym_union] = ACTIONS(4256),
    [anon_sym_QMARK] = ACTIONS(4258),
    [anon_sym_DASH_DASH] = ACTIONS(4258),
    [anon_sym_PLUS_PLUS] = ACTIONS(4258),
    [anon_sym_DOT] = ACTIONS(4256),
    [anon_sym_DASH_GT] = ACTIONS(4258),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4256),
    [anon_sym___typeof] = ACTIONS(4256),
    [anon_sym_typeof] = ACTIONS(4256),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4256),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4256),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4256),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4256),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4256),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4256),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4256),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4256),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4256),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4256),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4256),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4256),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4256),
    [anon_sym_API_AVAILABLE] = ACTIONS(4256),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4256),
    [anon_sym_API_DEPRECATED] = ACTIONS(4256),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4256),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4256),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4256),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4256),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4256),
    [anon_sym___deprecated_msg] = ACTIONS(4256),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4256),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4256),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4256),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4256),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4256),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4256),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4256),
    [anon_sym_BOOL] = ACTIONS(4256),
    [anon_sym_IMP] = ACTIONS(4256),
    [anon_sym_SEL] = ACTIONS(4256),
    [anon_sym_Class] = ACTIONS(4256),
    [anon_sym_id] = ACTIONS(4256),
  },
  [1793] = {
    [sym_declaration] = STATE(1873),
    [sym__declaration_modifiers] = STATE(1956),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1956),
    [sym_attribute_declaration] = STATE(1956),
    [sym_ms_declspec_modifier] = STATE(1956),
    [sym_compound_statement] = STATE(2253),
    [sym_storage_class_specifier] = STATE(1956),
    [sym_type_qualifier] = STATE(1956),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1956),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1873),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1956),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(1808),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4884),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1794] = {
    [sym_declaration] = STATE(1840),
    [sym__declaration_modifiers] = STATE(1953),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1953),
    [sym_attribute_declaration] = STATE(1953),
    [sym_ms_declspec_modifier] = STATE(1953),
    [sym_compound_statement] = STATE(2312),
    [sym_storage_class_specifier] = STATE(1953),
    [sym_type_qualifier] = STATE(1953),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1953),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1840),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1953),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(1823),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4886),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1795] = {
    [sym_identifier] = ACTIONS(4046),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4048),
    [anon_sym_COMMA] = ACTIONS(4048),
    [anon_sym_LPAREN2] = ACTIONS(4048),
    [anon_sym_DASH] = ACTIONS(4046),
    [anon_sym_PLUS] = ACTIONS(4046),
    [anon_sym_STAR] = ACTIONS(4048),
    [anon_sym_SLASH] = ACTIONS(4046),
    [anon_sym_PERCENT] = ACTIONS(4048),
    [anon_sym_PIPE_PIPE] = ACTIONS(4048),
    [anon_sym_AMP_AMP] = ACTIONS(4048),
    [anon_sym_PIPE] = ACTIONS(4046),
    [anon_sym_CARET] = ACTIONS(4048),
    [anon_sym_AMP] = ACTIONS(4046),
    [anon_sym_EQ_EQ] = ACTIONS(4048),
    [anon_sym_BANG_EQ] = ACTIONS(4048),
    [anon_sym_GT] = ACTIONS(4046),
    [anon_sym_GT_EQ] = ACTIONS(4048),
    [anon_sym_LT_EQ] = ACTIONS(4048),
    [anon_sym_LT] = ACTIONS(4046),
    [anon_sym_LT_LT] = ACTIONS(4048),
    [anon_sym_GT_GT] = ACTIONS(4048),
    [anon_sym_SEMI] = ACTIONS(4048),
    [anon_sym___extension__] = ACTIONS(4046),
    [anon_sym_extern] = ACTIONS(4046),
    [anon_sym___attribute__] = ACTIONS(4046),
    [anon_sym___attribute] = ACTIONS(4046),
    [anon_sym_noreturn] = ACTIONS(4046),
    [anon_sym_LBRACK] = ACTIONS(4048),
    [anon_sym___declspec] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(4048),
    [anon_sym_signed] = ACTIONS(4046),
    [anon_sym_unsigned] = ACTIONS(4046),
    [anon_sym_long] = ACTIONS(4046),
    [anon_sym_short] = ACTIONS(4046),
    [anon_sym_static] = ACTIONS(4046),
    [anon_sym_ATautoreleasepool] = ACTIONS(4048),
    [anon_sym_auto] = ACTIONS(4046),
    [anon_sym_register] = ACTIONS(4046),
    [anon_sym_inline] = ACTIONS(4046),
    [anon_sym___inline] = ACTIONS(4046),
    [anon_sym___inline__] = ACTIONS(4046),
    [anon_sym___forceinline] = ACTIONS(4046),
    [anon_sym_thread_local] = ACTIONS(4046),
    [anon_sym___thread] = ACTIONS(4046),
    [anon_sym_CG_EXTERN] = ACTIONS(4046),
    [anon_sym_CG_INLINE] = ACTIONS(4046),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4046),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4046),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4046),
    [anon_sym_IBOutlet] = ACTIONS(4046),
    [anon_sym_IBInspectable] = ACTIONS(4046),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4046),
    [anon_sym_NS_INLINE] = ACTIONS(4046),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4046),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4046),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4046),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4046),
    [anon_sym_const] = ACTIONS(4046),
    [anon_sym_constexpr] = ACTIONS(4046),
    [anon_sym_volatile] = ACTIONS(4046),
    [anon_sym_restrict] = ACTIONS(4046),
    [anon_sym___restrict__] = ACTIONS(4046),
    [anon_sym__Atomic] = ACTIONS(4046),
    [anon_sym__Noreturn] = ACTIONS(4046),
    [anon_sym__Nonnull] = ACTIONS(4046),
    [anon_sym_nullable] = ACTIONS(4046),
    [anon_sym__Complex] = ACTIONS(4046),
    [anon_sym__Nullable] = ACTIONS(4046),
    [anon_sym__Nullable_result] = ACTIONS(4046),
    [anon_sym__Null_unspecified] = ACTIONS(4046),
    [anon_sym___autoreleasing] = ACTIONS(4046),
    [anon_sym___block] = ACTIONS(4046),
    [anon_sym___bridge] = ACTIONS(4046),
    [anon_sym___bridge_retained] = ACTIONS(4046),
    [anon_sym___bridge_transfer] = ACTIONS(4046),
    [anon_sym___complex] = ACTIONS(4046),
    [anon_sym___const] = ACTIONS(4046),
    [anon_sym___imag] = ACTIONS(4046),
    [anon_sym___kindof] = ACTIONS(4046),
    [anon_sym___nonnull] = ACTIONS(4046),
    [anon_sym___nullable] = ACTIONS(4046),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4046),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4046),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4046),
    [anon_sym___real] = ACTIONS(4046),
    [anon_sym___strong] = ACTIONS(4046),
    [anon_sym___unsafe_unretained] = ACTIONS(4046),
    [anon_sym___unused] = ACTIONS(4046),
    [anon_sym___weak] = ACTIONS(4046),
    [anon_sym_alignas] = ACTIONS(4046),
    [anon_sym__Alignas] = ACTIONS(4046),
    [sym_primitive_type] = ACTIONS(4046),
    [anon_sym_enum] = ACTIONS(4046),
    [anon_sym_struct] = ACTIONS(4046),
    [anon_sym_union] = ACTIONS(4046),
    [anon_sym_QMARK] = ACTIONS(4048),
    [anon_sym_DASH_DASH] = ACTIONS(4048),
    [anon_sym_PLUS_PLUS] = ACTIONS(4048),
    [anon_sym_DOT] = ACTIONS(4046),
    [anon_sym_DASH_GT] = ACTIONS(4048),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4046),
    [anon_sym___typeof] = ACTIONS(4046),
    [anon_sym_typeof] = ACTIONS(4046),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4046),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4046),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4046),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4046),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4046),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4046),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4046),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4046),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4046),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4046),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4046),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4046),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4046),
    [anon_sym_API_AVAILABLE] = ACTIONS(4046),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4046),
    [anon_sym_API_DEPRECATED] = ACTIONS(4046),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4046),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4046),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4046),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4046),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4046),
    [anon_sym___deprecated_msg] = ACTIONS(4046),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4046),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4046),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4046),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4046),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4046),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4046),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4046),
    [anon_sym_BOOL] = ACTIONS(4046),
    [anon_sym_IMP] = ACTIONS(4046),
    [anon_sym_SEL] = ACTIONS(4046),
    [anon_sym_Class] = ACTIONS(4046),
    [anon_sym_id] = ACTIONS(4046),
  },
  [1796] = {
    [sym_declaration] = STATE(1848),
    [sym__declaration_modifiers] = STATE(1959),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1959),
    [sym_attribute_declaration] = STATE(1959),
    [sym_ms_declspec_modifier] = STATE(1959),
    [sym_compound_statement] = STATE(2114),
    [sym_storage_class_specifier] = STATE(1959),
    [sym_type_qualifier] = STATE(1959),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1959),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1848),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1959),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(1780),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4819),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1797] = {
    [sym_declaration] = STATE(1861),
    [sym__declaration_modifiers] = STATE(1940),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1940),
    [sym_attribute_declaration] = STATE(1940),
    [sym_ms_declspec_modifier] = STATE(1940),
    [sym_compound_statement] = STATE(2278),
    [sym_storage_class_specifier] = STATE(1940),
    [sym_type_qualifier] = STATE(1940),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1940),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1861),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1940),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(1800),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4821),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1798] = {
    [sym_identifier] = ACTIONS(4290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4292),
    [anon_sym_COMMA] = ACTIONS(4292),
    [anon_sym_LPAREN2] = ACTIONS(4292),
    [anon_sym_DASH] = ACTIONS(4290),
    [anon_sym_PLUS] = ACTIONS(4290),
    [anon_sym_STAR] = ACTIONS(4292),
    [anon_sym_SLASH] = ACTIONS(4290),
    [anon_sym_PERCENT] = ACTIONS(4292),
    [anon_sym_PIPE_PIPE] = ACTIONS(4292),
    [anon_sym_AMP_AMP] = ACTIONS(4292),
    [anon_sym_PIPE] = ACTIONS(4290),
    [anon_sym_CARET] = ACTIONS(4292),
    [anon_sym_AMP] = ACTIONS(4290),
    [anon_sym_EQ_EQ] = ACTIONS(4292),
    [anon_sym_BANG_EQ] = ACTIONS(4292),
    [anon_sym_GT] = ACTIONS(4290),
    [anon_sym_GT_EQ] = ACTIONS(4292),
    [anon_sym_LT_EQ] = ACTIONS(4292),
    [anon_sym_LT] = ACTIONS(4290),
    [anon_sym_LT_LT] = ACTIONS(4292),
    [anon_sym_GT_GT] = ACTIONS(4292),
    [anon_sym_SEMI] = ACTIONS(4292),
    [anon_sym___extension__] = ACTIONS(4290),
    [anon_sym_extern] = ACTIONS(4290),
    [anon_sym___attribute__] = ACTIONS(4290),
    [anon_sym___attribute] = ACTIONS(4290),
    [anon_sym_noreturn] = ACTIONS(4290),
    [anon_sym_LBRACK] = ACTIONS(4292),
    [anon_sym___declspec] = ACTIONS(4290),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_signed] = ACTIONS(4290),
    [anon_sym_unsigned] = ACTIONS(4290),
    [anon_sym_long] = ACTIONS(4290),
    [anon_sym_short] = ACTIONS(4290),
    [anon_sym_static] = ACTIONS(4290),
    [anon_sym_ATautoreleasepool] = ACTIONS(4292),
    [anon_sym_auto] = ACTIONS(4290),
    [anon_sym_register] = ACTIONS(4290),
    [anon_sym_inline] = ACTIONS(4290),
    [anon_sym___inline] = ACTIONS(4290),
    [anon_sym___inline__] = ACTIONS(4290),
    [anon_sym___forceinline] = ACTIONS(4290),
    [anon_sym_thread_local] = ACTIONS(4290),
    [anon_sym___thread] = ACTIONS(4290),
    [anon_sym_CG_EXTERN] = ACTIONS(4290),
    [anon_sym_CG_INLINE] = ACTIONS(4290),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4290),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4290),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4290),
    [anon_sym_IBOutlet] = ACTIONS(4290),
    [anon_sym_IBInspectable] = ACTIONS(4290),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4290),
    [anon_sym_NS_INLINE] = ACTIONS(4290),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4290),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4290),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4290),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4290),
    [anon_sym_const] = ACTIONS(4290),
    [anon_sym_constexpr] = ACTIONS(4290),
    [anon_sym_volatile] = ACTIONS(4290),
    [anon_sym_restrict] = ACTIONS(4290),
    [anon_sym___restrict__] = ACTIONS(4290),
    [anon_sym__Atomic] = ACTIONS(4290),
    [anon_sym__Noreturn] = ACTIONS(4290),
    [anon_sym__Nonnull] = ACTIONS(4290),
    [anon_sym_nullable] = ACTIONS(4290),
    [anon_sym__Complex] = ACTIONS(4290),
    [anon_sym__Nullable] = ACTIONS(4290),
    [anon_sym__Nullable_result] = ACTIONS(4290),
    [anon_sym__Null_unspecified] = ACTIONS(4290),
    [anon_sym___autoreleasing] = ACTIONS(4290),
    [anon_sym___block] = ACTIONS(4290),
    [anon_sym___bridge] = ACTIONS(4290),
    [anon_sym___bridge_retained] = ACTIONS(4290),
    [anon_sym___bridge_transfer] = ACTIONS(4290),
    [anon_sym___complex] = ACTIONS(4290),
    [anon_sym___const] = ACTIONS(4290),
    [anon_sym___imag] = ACTIONS(4290),
    [anon_sym___kindof] = ACTIONS(4290),
    [anon_sym___nonnull] = ACTIONS(4290),
    [anon_sym___nullable] = ACTIONS(4290),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4290),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4290),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4290),
    [anon_sym___real] = ACTIONS(4290),
    [anon_sym___strong] = ACTIONS(4290),
    [anon_sym___unsafe_unretained] = ACTIONS(4290),
    [anon_sym___unused] = ACTIONS(4290),
    [anon_sym___weak] = ACTIONS(4290),
    [anon_sym_alignas] = ACTIONS(4290),
    [anon_sym__Alignas] = ACTIONS(4290),
    [sym_primitive_type] = ACTIONS(4290),
    [anon_sym_enum] = ACTIONS(4290),
    [anon_sym_struct] = ACTIONS(4290),
    [anon_sym_union] = ACTIONS(4290),
    [anon_sym_QMARK] = ACTIONS(4292),
    [anon_sym_DASH_DASH] = ACTIONS(4292),
    [anon_sym_PLUS_PLUS] = ACTIONS(4292),
    [anon_sym_DOT] = ACTIONS(4290),
    [anon_sym_DASH_GT] = ACTIONS(4292),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4290),
    [anon_sym___typeof] = ACTIONS(4290),
    [anon_sym_typeof] = ACTIONS(4290),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4290),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4290),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4290),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4290),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4290),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4290),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4290),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4290),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4290),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4290),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4290),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4290),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4290),
    [anon_sym_API_AVAILABLE] = ACTIONS(4290),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4290),
    [anon_sym_API_DEPRECATED] = ACTIONS(4290),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4290),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4290),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4290),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4290),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4290),
    [anon_sym___deprecated_msg] = ACTIONS(4290),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4290),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4290),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4290),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4290),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4290),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4290),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4290),
    [anon_sym_BOOL] = ACTIONS(4290),
    [anon_sym_IMP] = ACTIONS(4290),
    [anon_sym_SEL] = ACTIONS(4290),
    [anon_sym_Class] = ACTIONS(4290),
    [anon_sym_id] = ACTIONS(4290),
  },
  [1799] = {
    [sym_declaration] = STATE(1881),
    [sym__declaration_modifiers] = STATE(1975),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1975),
    [sym_attribute_declaration] = STATE(1975),
    [sym_ms_declspec_modifier] = STATE(1975),
    [sym_compound_statement] = STATE(2302),
    [sym_storage_class_specifier] = STATE(1975),
    [sym_type_qualifier] = STATE(1975),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1975),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1881),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1975),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(2816),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4862),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1800] = {
    [sym_declaration] = STATE(1865),
    [sym__declaration_modifiers] = STATE(1947),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1947),
    [sym_attribute_declaration] = STATE(1947),
    [sym_ms_declspec_modifier] = STATE(1947),
    [sym_compound_statement] = STATE(2284),
    [sym_storage_class_specifier] = STATE(1947),
    [sym_type_qualifier] = STATE(1947),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1947),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1865),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1947),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(2816),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1801] = {
    [sym_identifier] = ACTIONS(4116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4118),
    [anon_sym_COMMA] = ACTIONS(4118),
    [anon_sym_LPAREN2] = ACTIONS(4118),
    [anon_sym_DASH] = ACTIONS(4116),
    [anon_sym_PLUS] = ACTIONS(4116),
    [anon_sym_STAR] = ACTIONS(4118),
    [anon_sym_SLASH] = ACTIONS(4116),
    [anon_sym_PERCENT] = ACTIONS(4118),
    [anon_sym_PIPE_PIPE] = ACTIONS(4118),
    [anon_sym_AMP_AMP] = ACTIONS(4118),
    [anon_sym_PIPE] = ACTIONS(4116),
    [anon_sym_CARET] = ACTIONS(4118),
    [anon_sym_AMP] = ACTIONS(4116),
    [anon_sym_EQ_EQ] = ACTIONS(4118),
    [anon_sym_BANG_EQ] = ACTIONS(4118),
    [anon_sym_GT] = ACTIONS(4116),
    [anon_sym_GT_EQ] = ACTIONS(4118),
    [anon_sym_LT_EQ] = ACTIONS(4118),
    [anon_sym_LT] = ACTIONS(4116),
    [anon_sym_LT_LT] = ACTIONS(4118),
    [anon_sym_GT_GT] = ACTIONS(4118),
    [anon_sym_SEMI] = ACTIONS(4118),
    [anon_sym___extension__] = ACTIONS(4116),
    [anon_sym_extern] = ACTIONS(4116),
    [anon_sym___attribute__] = ACTIONS(4116),
    [anon_sym___attribute] = ACTIONS(4116),
    [anon_sym_noreturn] = ACTIONS(4116),
    [anon_sym_LBRACK] = ACTIONS(4118),
    [anon_sym___declspec] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_signed] = ACTIONS(4116),
    [anon_sym_unsigned] = ACTIONS(4116),
    [anon_sym_long] = ACTIONS(4116),
    [anon_sym_short] = ACTIONS(4116),
    [anon_sym_static] = ACTIONS(4116),
    [anon_sym_ATautoreleasepool] = ACTIONS(4118),
    [anon_sym_auto] = ACTIONS(4116),
    [anon_sym_register] = ACTIONS(4116),
    [anon_sym_inline] = ACTIONS(4116),
    [anon_sym___inline] = ACTIONS(4116),
    [anon_sym___inline__] = ACTIONS(4116),
    [anon_sym___forceinline] = ACTIONS(4116),
    [anon_sym_thread_local] = ACTIONS(4116),
    [anon_sym___thread] = ACTIONS(4116),
    [anon_sym_CG_EXTERN] = ACTIONS(4116),
    [anon_sym_CG_INLINE] = ACTIONS(4116),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4116),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4116),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4116),
    [anon_sym_IBOutlet] = ACTIONS(4116),
    [anon_sym_IBInspectable] = ACTIONS(4116),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4116),
    [anon_sym_NS_INLINE] = ACTIONS(4116),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4116),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4116),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4116),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4116),
    [anon_sym_const] = ACTIONS(4116),
    [anon_sym_constexpr] = ACTIONS(4116),
    [anon_sym_volatile] = ACTIONS(4116),
    [anon_sym_restrict] = ACTIONS(4116),
    [anon_sym___restrict__] = ACTIONS(4116),
    [anon_sym__Atomic] = ACTIONS(4116),
    [anon_sym__Noreturn] = ACTIONS(4116),
    [anon_sym__Nonnull] = ACTIONS(4116),
    [anon_sym_nullable] = ACTIONS(4116),
    [anon_sym__Complex] = ACTIONS(4116),
    [anon_sym__Nullable] = ACTIONS(4116),
    [anon_sym__Nullable_result] = ACTIONS(4116),
    [anon_sym__Null_unspecified] = ACTIONS(4116),
    [anon_sym___autoreleasing] = ACTIONS(4116),
    [anon_sym___block] = ACTIONS(4116),
    [anon_sym___bridge] = ACTIONS(4116),
    [anon_sym___bridge_retained] = ACTIONS(4116),
    [anon_sym___bridge_transfer] = ACTIONS(4116),
    [anon_sym___complex] = ACTIONS(4116),
    [anon_sym___const] = ACTIONS(4116),
    [anon_sym___imag] = ACTIONS(4116),
    [anon_sym___kindof] = ACTIONS(4116),
    [anon_sym___nonnull] = ACTIONS(4116),
    [anon_sym___nullable] = ACTIONS(4116),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4116),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4116),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4116),
    [anon_sym___real] = ACTIONS(4116),
    [anon_sym___strong] = ACTIONS(4116),
    [anon_sym___unsafe_unretained] = ACTIONS(4116),
    [anon_sym___unused] = ACTIONS(4116),
    [anon_sym___weak] = ACTIONS(4116),
    [anon_sym_alignas] = ACTIONS(4116),
    [anon_sym__Alignas] = ACTIONS(4116),
    [sym_primitive_type] = ACTIONS(4116),
    [anon_sym_enum] = ACTIONS(4116),
    [anon_sym_struct] = ACTIONS(4116),
    [anon_sym_union] = ACTIONS(4116),
    [anon_sym_QMARK] = ACTIONS(4118),
    [anon_sym_DASH_DASH] = ACTIONS(4118),
    [anon_sym_PLUS_PLUS] = ACTIONS(4118),
    [anon_sym_DOT] = ACTIONS(4116),
    [anon_sym_DASH_GT] = ACTIONS(4118),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4116),
    [anon_sym___typeof] = ACTIONS(4116),
    [anon_sym_typeof] = ACTIONS(4116),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4116),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4116),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4116),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4116),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4116),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4116),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4116),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4116),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4116),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4116),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4116),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4116),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4116),
    [anon_sym_API_AVAILABLE] = ACTIONS(4116),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4116),
    [anon_sym_API_DEPRECATED] = ACTIONS(4116),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4116),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4116),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4116),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4116),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4116),
    [anon_sym___deprecated_msg] = ACTIONS(4116),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4116),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4116),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4116),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4116),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4116),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4116),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4116),
    [anon_sym_BOOL] = ACTIONS(4116),
    [anon_sym_IMP] = ACTIONS(4116),
    [anon_sym_SEL] = ACTIONS(4116),
    [anon_sym_Class] = ACTIONS(4116),
    [anon_sym_id] = ACTIONS(4116),
  },
  [1802] = {
    [sym_declaration] = STATE(1881),
    [sym__declaration_modifiers] = STATE(1975),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1975),
    [sym_attribute_declaration] = STATE(1975),
    [sym_ms_declspec_modifier] = STATE(1975),
    [sym_compound_statement] = STATE(2302),
    [sym_storage_class_specifier] = STATE(1975),
    [sym_type_qualifier] = STATE(1975),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1975),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1881),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1975),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(1787),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4862),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1803] = {
    [sym_declaration] = STATE(1880),
    [sym__declaration_modifiers] = STATE(1970),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1970),
    [sym_attribute_declaration] = STATE(1970),
    [sym_ms_declspec_modifier] = STATE(1970),
    [sym_compound_statement] = STATE(2355),
    [sym_storage_class_specifier] = STATE(1970),
    [sym_type_qualifier] = STATE(1970),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1970),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1880),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1970),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(2816),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4888),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1804] = {
    [sym_declaration] = STATE(1844),
    [sym__declaration_modifiers] = STATE(1977),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1977),
    [sym_attribute_declaration] = STATE(1977),
    [sym_ms_declspec_modifier] = STATE(1977),
    [sym_compound_statement] = STATE(2315),
    [sym_storage_class_specifier] = STATE(1977),
    [sym_type_qualifier] = STATE(1977),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1977),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1844),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1977),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(2816),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4890),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1805] = {
    [sym_declaration] = STATE(1886),
    [sym__declaration_modifiers] = STATE(1963),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1963),
    [sym_attribute_declaration] = STATE(1963),
    [sym_ms_declspec_modifier] = STATE(1963),
    [sym_compound_statement] = STATE(2308),
    [sym_storage_class_specifier] = STATE(1963),
    [sym_type_qualifier] = STATE(1963),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1963),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1886),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1963),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(2816),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4892),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1806] = {
    [sym_declaration] = STATE(1870),
    [sym__declaration_modifiers] = STATE(1952),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1952),
    [sym_attribute_declaration] = STATE(1952),
    [sym_ms_declspec_modifier] = STATE(1952),
    [sym_compound_statement] = STATE(2289),
    [sym_storage_class_specifier] = STATE(1952),
    [sym_type_qualifier] = STATE(1952),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1952),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1870),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(2816),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4813),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1807] = {
    [sym_declaration] = STATE(1867),
    [sym__declaration_modifiers] = STATE(1950),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1950),
    [sym_attribute_declaration] = STATE(1950),
    [sym_ms_declspec_modifier] = STATE(1950),
    [sym_compound_statement] = STATE(2126),
    [sym_storage_class_specifier] = STATE(1950),
    [sym_type_qualifier] = STATE(1950),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1950),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1867),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1950),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(2816),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4882),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1808] = {
    [sym_declaration] = STATE(1875),
    [sym__declaration_modifiers] = STATE(1960),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1960),
    [sym_attribute_declaration] = STATE(1960),
    [sym_ms_declspec_modifier] = STATE(1960),
    [sym_compound_statement] = STATE(2293),
    [sym_storage_class_specifier] = STATE(1960),
    [sym_type_qualifier] = STATE(1960),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1960),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1875),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1960),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(2816),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4894),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1809] = {
    [sym_identifier] = ACTIONS(4180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4182),
    [anon_sym_COMMA] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4182),
    [anon_sym_SLASH] = ACTIONS(4180),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_PIPE_PIPE] = ACTIONS(4182),
    [anon_sym_AMP_AMP] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4180),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4180),
    [anon_sym_EQ_EQ] = ACTIONS(4182),
    [anon_sym_BANG_EQ] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4180),
    [anon_sym_GT_EQ] = ACTIONS(4182),
    [anon_sym_LT_EQ] = ACTIONS(4182),
    [anon_sym_LT] = ACTIONS(4180),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_SEMI] = ACTIONS(4182),
    [anon_sym___extension__] = ACTIONS(4180),
    [anon_sym_extern] = ACTIONS(4180),
    [anon_sym___attribute__] = ACTIONS(4180),
    [anon_sym___attribute] = ACTIONS(4180),
    [anon_sym_noreturn] = ACTIONS(4180),
    [anon_sym_LBRACK] = ACTIONS(4182),
    [anon_sym___declspec] = ACTIONS(4180),
    [anon_sym_LBRACE] = ACTIONS(4182),
    [anon_sym_signed] = ACTIONS(4180),
    [anon_sym_unsigned] = ACTIONS(4180),
    [anon_sym_long] = ACTIONS(4180),
    [anon_sym_short] = ACTIONS(4180),
    [anon_sym_static] = ACTIONS(4180),
    [anon_sym_ATautoreleasepool] = ACTIONS(4182),
    [anon_sym_auto] = ACTIONS(4180),
    [anon_sym_register] = ACTIONS(4180),
    [anon_sym_inline] = ACTIONS(4180),
    [anon_sym___inline] = ACTIONS(4180),
    [anon_sym___inline__] = ACTIONS(4180),
    [anon_sym___forceinline] = ACTIONS(4180),
    [anon_sym_thread_local] = ACTIONS(4180),
    [anon_sym___thread] = ACTIONS(4180),
    [anon_sym_CG_EXTERN] = ACTIONS(4180),
    [anon_sym_CG_INLINE] = ACTIONS(4180),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4180),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4180),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4180),
    [anon_sym_IBOutlet] = ACTIONS(4180),
    [anon_sym_IBInspectable] = ACTIONS(4180),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4180),
    [anon_sym_NS_INLINE] = ACTIONS(4180),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4180),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4180),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4180),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4180),
    [anon_sym_const] = ACTIONS(4180),
    [anon_sym_constexpr] = ACTIONS(4180),
    [anon_sym_volatile] = ACTIONS(4180),
    [anon_sym_restrict] = ACTIONS(4180),
    [anon_sym___restrict__] = ACTIONS(4180),
    [anon_sym__Atomic] = ACTIONS(4180),
    [anon_sym__Noreturn] = ACTIONS(4180),
    [anon_sym__Nonnull] = ACTIONS(4180),
    [anon_sym_nullable] = ACTIONS(4180),
    [anon_sym__Complex] = ACTIONS(4180),
    [anon_sym__Nullable] = ACTIONS(4180),
    [anon_sym__Nullable_result] = ACTIONS(4180),
    [anon_sym__Null_unspecified] = ACTIONS(4180),
    [anon_sym___autoreleasing] = ACTIONS(4180),
    [anon_sym___block] = ACTIONS(4180),
    [anon_sym___bridge] = ACTIONS(4180),
    [anon_sym___bridge_retained] = ACTIONS(4180),
    [anon_sym___bridge_transfer] = ACTIONS(4180),
    [anon_sym___complex] = ACTIONS(4180),
    [anon_sym___const] = ACTIONS(4180),
    [anon_sym___imag] = ACTIONS(4180),
    [anon_sym___kindof] = ACTIONS(4180),
    [anon_sym___nonnull] = ACTIONS(4180),
    [anon_sym___nullable] = ACTIONS(4180),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4180),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4180),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4180),
    [anon_sym___real] = ACTIONS(4180),
    [anon_sym___strong] = ACTIONS(4180),
    [anon_sym___unsafe_unretained] = ACTIONS(4180),
    [anon_sym___unused] = ACTIONS(4180),
    [anon_sym___weak] = ACTIONS(4180),
    [anon_sym_alignas] = ACTIONS(4180),
    [anon_sym__Alignas] = ACTIONS(4180),
    [sym_primitive_type] = ACTIONS(4180),
    [anon_sym_enum] = ACTIONS(4180),
    [anon_sym_struct] = ACTIONS(4180),
    [anon_sym_union] = ACTIONS(4180),
    [anon_sym_QMARK] = ACTIONS(4182),
    [anon_sym_DASH_DASH] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4182),
    [anon_sym_DOT] = ACTIONS(4180),
    [anon_sym_DASH_GT] = ACTIONS(4182),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4180),
    [anon_sym___typeof] = ACTIONS(4180),
    [anon_sym_typeof] = ACTIONS(4180),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4180),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4180),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4180),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4180),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4180),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4180),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4180),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4180),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4180),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4180),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4180),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4180),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4180),
    [anon_sym_API_AVAILABLE] = ACTIONS(4180),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4180),
    [anon_sym_API_DEPRECATED] = ACTIONS(4180),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4180),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4180),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4180),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4180),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4180),
    [anon_sym___deprecated_msg] = ACTIONS(4180),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4180),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4180),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4180),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4180),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4180),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4180),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4180),
    [anon_sym_BOOL] = ACTIONS(4180),
    [anon_sym_IMP] = ACTIONS(4180),
    [anon_sym_SEL] = ACTIONS(4180),
    [anon_sym_Class] = ACTIONS(4180),
    [anon_sym_id] = ACTIONS(4180),
  },
  [1810] = {
    [sym_declaration] = STATE(1855),
    [sym__declaration_modifiers] = STATE(1980),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1980),
    [sym_attribute_declaration] = STATE(1980),
    [sym_ms_declspec_modifier] = STATE(1980),
    [sym_compound_statement] = STATE(2121),
    [sym_storage_class_specifier] = STATE(1980),
    [sym_type_qualifier] = STATE(1980),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1980),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1855),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1980),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(2816),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4858),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1811] = {
    [sym_declaration] = STATE(1872),
    [sym__declaration_modifiers] = STATE(1954),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1954),
    [sym_attribute_declaration] = STATE(1954),
    [sym_ms_declspec_modifier] = STATE(1954),
    [sym_compound_statement] = STATE(2127),
    [sym_storage_class_specifier] = STATE(1954),
    [sym_type_qualifier] = STATE(1954),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1954),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1872),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1954),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(2816),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4878),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1812] = {
    [sym_declaration] = STATE(1886),
    [sym__declaration_modifiers] = STATE(1963),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1963),
    [sym_attribute_declaration] = STATE(1963),
    [sym_ms_declspec_modifier] = STATE(1963),
    [sym_compound_statement] = STATE(2308),
    [sym_storage_class_specifier] = STATE(1963),
    [sym_type_qualifier] = STATE(1963),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1963),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1886),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1963),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(1826),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4892),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1813] = {
    [sym_declaration] = STATE(1855),
    [sym__declaration_modifiers] = STATE(1980),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1980),
    [sym_attribute_declaration] = STATE(1980),
    [sym_ms_declspec_modifier] = STATE(1980),
    [sym_compound_statement] = STATE(2121),
    [sym_storage_class_specifier] = STATE(1980),
    [sym_type_qualifier] = STATE(1980),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1980),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1855),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1980),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(1777),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4858),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1814] = {
    [sym_declaration] = STATE(1870),
    [sym__declaration_modifiers] = STATE(1952),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1952),
    [sym_attribute_declaration] = STATE(1952),
    [sym_ms_declspec_modifier] = STATE(1952),
    [sym_compound_statement] = STATE(2289),
    [sym_storage_class_specifier] = STATE(1952),
    [sym_type_qualifier] = STATE(1952),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1952),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1870),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(1790),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4813),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1815] = {
    [sym_declaration] = STATE(1875),
    [sym__declaration_modifiers] = STATE(1960),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1960),
    [sym_attribute_declaration] = STATE(1960),
    [sym_ms_declspec_modifier] = STATE(1960),
    [sym_compound_statement] = STATE(2293),
    [sym_storage_class_specifier] = STATE(1960),
    [sym_type_qualifier] = STATE(1960),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1960),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1875),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1960),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(1820),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4894),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1816] = {
    [sym_identifier] = ACTIONS(4260),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4262),
    [anon_sym_COMMA] = ACTIONS(4262),
    [anon_sym_LPAREN2] = ACTIONS(4262),
    [anon_sym_DASH] = ACTIONS(4260),
    [anon_sym_PLUS] = ACTIONS(4260),
    [anon_sym_STAR] = ACTIONS(4262),
    [anon_sym_SLASH] = ACTIONS(4260),
    [anon_sym_PERCENT] = ACTIONS(4262),
    [anon_sym_PIPE_PIPE] = ACTIONS(4262),
    [anon_sym_AMP_AMP] = ACTIONS(4262),
    [anon_sym_PIPE] = ACTIONS(4260),
    [anon_sym_CARET] = ACTIONS(4262),
    [anon_sym_AMP] = ACTIONS(4260),
    [anon_sym_EQ_EQ] = ACTIONS(4262),
    [anon_sym_BANG_EQ] = ACTIONS(4262),
    [anon_sym_GT] = ACTIONS(4260),
    [anon_sym_GT_EQ] = ACTIONS(4262),
    [anon_sym_LT_EQ] = ACTIONS(4262),
    [anon_sym_LT] = ACTIONS(4260),
    [anon_sym_LT_LT] = ACTIONS(4262),
    [anon_sym_GT_GT] = ACTIONS(4262),
    [anon_sym_SEMI] = ACTIONS(4262),
    [anon_sym___extension__] = ACTIONS(4260),
    [anon_sym_extern] = ACTIONS(4260),
    [anon_sym___attribute__] = ACTIONS(4260),
    [anon_sym___attribute] = ACTIONS(4260),
    [anon_sym_noreturn] = ACTIONS(4260),
    [anon_sym_LBRACK] = ACTIONS(4262),
    [anon_sym___declspec] = ACTIONS(4260),
    [anon_sym_LBRACE] = ACTIONS(4262),
    [anon_sym_signed] = ACTIONS(4260),
    [anon_sym_unsigned] = ACTIONS(4260),
    [anon_sym_long] = ACTIONS(4260),
    [anon_sym_short] = ACTIONS(4260),
    [anon_sym_static] = ACTIONS(4260),
    [anon_sym_ATautoreleasepool] = ACTIONS(4262),
    [anon_sym_auto] = ACTIONS(4260),
    [anon_sym_register] = ACTIONS(4260),
    [anon_sym_inline] = ACTIONS(4260),
    [anon_sym___inline] = ACTIONS(4260),
    [anon_sym___inline__] = ACTIONS(4260),
    [anon_sym___forceinline] = ACTIONS(4260),
    [anon_sym_thread_local] = ACTIONS(4260),
    [anon_sym___thread] = ACTIONS(4260),
    [anon_sym_CG_EXTERN] = ACTIONS(4260),
    [anon_sym_CG_INLINE] = ACTIONS(4260),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4260),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4260),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4260),
    [anon_sym_IBOutlet] = ACTIONS(4260),
    [anon_sym_IBInspectable] = ACTIONS(4260),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4260),
    [anon_sym_NS_INLINE] = ACTIONS(4260),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4260),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4260),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4260),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4260),
    [anon_sym_const] = ACTIONS(4260),
    [anon_sym_constexpr] = ACTIONS(4260),
    [anon_sym_volatile] = ACTIONS(4260),
    [anon_sym_restrict] = ACTIONS(4260),
    [anon_sym___restrict__] = ACTIONS(4260),
    [anon_sym__Atomic] = ACTIONS(4260),
    [anon_sym__Noreturn] = ACTIONS(4260),
    [anon_sym__Nonnull] = ACTIONS(4260),
    [anon_sym_nullable] = ACTIONS(4260),
    [anon_sym__Complex] = ACTIONS(4260),
    [anon_sym__Nullable] = ACTIONS(4260),
    [anon_sym__Nullable_result] = ACTIONS(4260),
    [anon_sym__Null_unspecified] = ACTIONS(4260),
    [anon_sym___autoreleasing] = ACTIONS(4260),
    [anon_sym___block] = ACTIONS(4260),
    [anon_sym___bridge] = ACTIONS(4260),
    [anon_sym___bridge_retained] = ACTIONS(4260),
    [anon_sym___bridge_transfer] = ACTIONS(4260),
    [anon_sym___complex] = ACTIONS(4260),
    [anon_sym___const] = ACTIONS(4260),
    [anon_sym___imag] = ACTIONS(4260),
    [anon_sym___kindof] = ACTIONS(4260),
    [anon_sym___nonnull] = ACTIONS(4260),
    [anon_sym___nullable] = ACTIONS(4260),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4260),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4260),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4260),
    [anon_sym___real] = ACTIONS(4260),
    [anon_sym___strong] = ACTIONS(4260),
    [anon_sym___unsafe_unretained] = ACTIONS(4260),
    [anon_sym___unused] = ACTIONS(4260),
    [anon_sym___weak] = ACTIONS(4260),
    [anon_sym_alignas] = ACTIONS(4260),
    [anon_sym__Alignas] = ACTIONS(4260),
    [sym_primitive_type] = ACTIONS(4260),
    [anon_sym_enum] = ACTIONS(4260),
    [anon_sym_struct] = ACTIONS(4260),
    [anon_sym_union] = ACTIONS(4260),
    [anon_sym_QMARK] = ACTIONS(4262),
    [anon_sym_DASH_DASH] = ACTIONS(4262),
    [anon_sym_PLUS_PLUS] = ACTIONS(4262),
    [anon_sym_DOT] = ACTIONS(4260),
    [anon_sym_DASH_GT] = ACTIONS(4262),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4260),
    [anon_sym___typeof] = ACTIONS(4260),
    [anon_sym_typeof] = ACTIONS(4260),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4260),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4260),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4260),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4260),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4260),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4260),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4260),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4260),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4260),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4260),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4260),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4260),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4260),
    [anon_sym_API_AVAILABLE] = ACTIONS(4260),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4260),
    [anon_sym_API_DEPRECATED] = ACTIONS(4260),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4260),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4260),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4260),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4260),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4260),
    [anon_sym___deprecated_msg] = ACTIONS(4260),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4260),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4260),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4260),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4260),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4260),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4260),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4260),
    [anon_sym_BOOL] = ACTIONS(4260),
    [anon_sym_IMP] = ACTIONS(4260),
    [anon_sym_SEL] = ACTIONS(4260),
    [anon_sym_Class] = ACTIONS(4260),
    [anon_sym_id] = ACTIONS(4260),
  },
  [1817] = {
    [sym_declaration] = STATE(1874),
    [sym__declaration_modifiers] = STATE(1955),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1955),
    [sym_attribute_declaration] = STATE(1955),
    [sym_ms_declspec_modifier] = STATE(1955),
    [sym_compound_statement] = STATE(2128),
    [sym_storage_class_specifier] = STATE(1955),
    [sym_type_qualifier] = STATE(1955),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1955),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1874),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1955),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(2816),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4896),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1818] = {
    [sym_declaration] = STATE(1846),
    [sym__declaration_modifiers] = STATE(1951),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1951),
    [sym_attribute_declaration] = STATE(1951),
    [sym_ms_declspec_modifier] = STATE(1951),
    [sym_compound_statement] = STATE(2261),
    [sym_storage_class_specifier] = STATE(1951),
    [sym_type_qualifier] = STATE(1951),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1951),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1846),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1951),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(1828),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4787),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1819] = {
    [sym_identifier] = ACTIONS(4282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4284),
    [anon_sym_COMMA] = ACTIONS(4284),
    [anon_sym_LPAREN2] = ACTIONS(4284),
    [anon_sym_DASH] = ACTIONS(4282),
    [anon_sym_PLUS] = ACTIONS(4282),
    [anon_sym_STAR] = ACTIONS(4284),
    [anon_sym_SLASH] = ACTIONS(4282),
    [anon_sym_PERCENT] = ACTIONS(4284),
    [anon_sym_PIPE_PIPE] = ACTIONS(4284),
    [anon_sym_AMP_AMP] = ACTIONS(4284),
    [anon_sym_PIPE] = ACTIONS(4282),
    [anon_sym_CARET] = ACTIONS(4284),
    [anon_sym_AMP] = ACTIONS(4282),
    [anon_sym_EQ_EQ] = ACTIONS(4284),
    [anon_sym_BANG_EQ] = ACTIONS(4284),
    [anon_sym_GT] = ACTIONS(4282),
    [anon_sym_GT_EQ] = ACTIONS(4284),
    [anon_sym_LT_EQ] = ACTIONS(4284),
    [anon_sym_LT] = ACTIONS(4282),
    [anon_sym_LT_LT] = ACTIONS(4284),
    [anon_sym_GT_GT] = ACTIONS(4284),
    [anon_sym_SEMI] = ACTIONS(4284),
    [anon_sym___extension__] = ACTIONS(4282),
    [anon_sym_extern] = ACTIONS(4282),
    [anon_sym___attribute__] = ACTIONS(4282),
    [anon_sym___attribute] = ACTIONS(4282),
    [anon_sym_noreturn] = ACTIONS(4282),
    [anon_sym_LBRACK] = ACTIONS(4284),
    [anon_sym___declspec] = ACTIONS(4282),
    [anon_sym_LBRACE] = ACTIONS(4284),
    [anon_sym_signed] = ACTIONS(4282),
    [anon_sym_unsigned] = ACTIONS(4282),
    [anon_sym_long] = ACTIONS(4282),
    [anon_sym_short] = ACTIONS(4282),
    [anon_sym_static] = ACTIONS(4282),
    [anon_sym_ATautoreleasepool] = ACTIONS(4284),
    [anon_sym_auto] = ACTIONS(4282),
    [anon_sym_register] = ACTIONS(4282),
    [anon_sym_inline] = ACTIONS(4282),
    [anon_sym___inline] = ACTIONS(4282),
    [anon_sym___inline__] = ACTIONS(4282),
    [anon_sym___forceinline] = ACTIONS(4282),
    [anon_sym_thread_local] = ACTIONS(4282),
    [anon_sym___thread] = ACTIONS(4282),
    [anon_sym_CG_EXTERN] = ACTIONS(4282),
    [anon_sym_CG_INLINE] = ACTIONS(4282),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4282),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4282),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4282),
    [anon_sym_IBOutlet] = ACTIONS(4282),
    [anon_sym_IBInspectable] = ACTIONS(4282),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4282),
    [anon_sym_NS_INLINE] = ACTIONS(4282),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4282),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4282),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4282),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4282),
    [anon_sym_const] = ACTIONS(4282),
    [anon_sym_constexpr] = ACTIONS(4282),
    [anon_sym_volatile] = ACTIONS(4282),
    [anon_sym_restrict] = ACTIONS(4282),
    [anon_sym___restrict__] = ACTIONS(4282),
    [anon_sym__Atomic] = ACTIONS(4282),
    [anon_sym__Noreturn] = ACTIONS(4282),
    [anon_sym__Nonnull] = ACTIONS(4282),
    [anon_sym_nullable] = ACTIONS(4282),
    [anon_sym__Complex] = ACTIONS(4282),
    [anon_sym__Nullable] = ACTIONS(4282),
    [anon_sym__Nullable_result] = ACTIONS(4282),
    [anon_sym__Null_unspecified] = ACTIONS(4282),
    [anon_sym___autoreleasing] = ACTIONS(4282),
    [anon_sym___block] = ACTIONS(4282),
    [anon_sym___bridge] = ACTIONS(4282),
    [anon_sym___bridge_retained] = ACTIONS(4282),
    [anon_sym___bridge_transfer] = ACTIONS(4282),
    [anon_sym___complex] = ACTIONS(4282),
    [anon_sym___const] = ACTIONS(4282),
    [anon_sym___imag] = ACTIONS(4282),
    [anon_sym___kindof] = ACTIONS(4282),
    [anon_sym___nonnull] = ACTIONS(4282),
    [anon_sym___nullable] = ACTIONS(4282),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4282),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4282),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4282),
    [anon_sym___real] = ACTIONS(4282),
    [anon_sym___strong] = ACTIONS(4282),
    [anon_sym___unsafe_unretained] = ACTIONS(4282),
    [anon_sym___unused] = ACTIONS(4282),
    [anon_sym___weak] = ACTIONS(4282),
    [anon_sym_alignas] = ACTIONS(4282),
    [anon_sym__Alignas] = ACTIONS(4282),
    [sym_primitive_type] = ACTIONS(4282),
    [anon_sym_enum] = ACTIONS(4282),
    [anon_sym_struct] = ACTIONS(4282),
    [anon_sym_union] = ACTIONS(4282),
    [anon_sym_QMARK] = ACTIONS(4284),
    [anon_sym_DASH_DASH] = ACTIONS(4284),
    [anon_sym_PLUS_PLUS] = ACTIONS(4284),
    [anon_sym_DOT] = ACTIONS(4282),
    [anon_sym_DASH_GT] = ACTIONS(4284),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4282),
    [anon_sym___typeof] = ACTIONS(4282),
    [anon_sym_typeof] = ACTIONS(4282),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4282),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4282),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4282),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4282),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4282),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4282),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4282),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4282),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4282),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4282),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4282),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4282),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4282),
    [anon_sym_API_AVAILABLE] = ACTIONS(4282),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4282),
    [anon_sym_API_DEPRECATED] = ACTIONS(4282),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4282),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4282),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4282),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4282),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4282),
    [anon_sym___deprecated_msg] = ACTIONS(4282),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4282),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4282),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4282),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4282),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4282),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4282),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4282),
    [anon_sym_BOOL] = ACTIONS(4282),
    [anon_sym_IMP] = ACTIONS(4282),
    [anon_sym_SEL] = ACTIONS(4282),
    [anon_sym_Class] = ACTIONS(4282),
    [anon_sym_id] = ACTIONS(4282),
  },
  [1820] = {
    [sym_declaration] = STATE(1877),
    [sym__declaration_modifiers] = STATE(1966),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1966),
    [sym_attribute_declaration] = STATE(1966),
    [sym_ms_declspec_modifier] = STATE(1966),
    [sym_compound_statement] = STATE(2294),
    [sym_storage_class_specifier] = STATE(1966),
    [sym_type_qualifier] = STATE(1966),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1877),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1966),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(2816),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4898),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1821] = {
    [sym_declaration] = STATE(1865),
    [sym__declaration_modifiers] = STATE(1947),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1947),
    [sym_attribute_declaration] = STATE(1947),
    [sym_ms_declspec_modifier] = STATE(1947),
    [sym_compound_statement] = STATE(2284),
    [sym_storage_class_specifier] = STATE(1947),
    [sym_type_qualifier] = STATE(1947),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1947),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1865),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1947),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(1806),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1822] = {
    [sym_declaration] = STATE(1877),
    [sym__declaration_modifiers] = STATE(1966),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1966),
    [sym_attribute_declaration] = STATE(1966),
    [sym_ms_declspec_modifier] = STATE(1966),
    [sym_compound_statement] = STATE(2294),
    [sym_storage_class_specifier] = STATE(1966),
    [sym_type_qualifier] = STATE(1966),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1877),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1966),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(1824),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4898),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1823] = {
    [sym_declaration] = STATE(1843),
    [sym__declaration_modifiers] = STATE(1968),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1968),
    [sym_attribute_declaration] = STATE(1968),
    [sym_ms_declspec_modifier] = STATE(1968),
    [sym_compound_statement] = STATE(2314),
    [sym_storage_class_specifier] = STATE(1968),
    [sym_type_qualifier] = STATE(1968),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1968),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1843),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1968),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(2816),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4900),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1824] = {
    [sym_declaration] = STATE(1879),
    [sym__declaration_modifiers] = STATE(1969),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1969),
    [sym_attribute_declaration] = STATE(1969),
    [sym_ms_declspec_modifier] = STATE(1969),
    [sym_compound_statement] = STATE(2295),
    [sym_storage_class_specifier] = STATE(1969),
    [sym_type_qualifier] = STATE(1969),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1969),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1879),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1969),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(2816),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4902),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1825] = {
    [sym_declaration] = STATE(1859),
    [sym__declaration_modifiers] = STATE(1985),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1985),
    [sym_attribute_declaration] = STATE(1985),
    [sym_ms_declspec_modifier] = STATE(1985),
    [sym_compound_statement] = STATE(2123),
    [sym_storage_class_specifier] = STATE(1985),
    [sym_type_qualifier] = STATE(1985),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1985),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1859),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1985),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(1783),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4872),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1826] = {
    [sym_declaration] = STATE(1840),
    [sym__declaration_modifiers] = STATE(1953),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1953),
    [sym_attribute_declaration] = STATE(1953),
    [sym_ms_declspec_modifier] = STATE(1953),
    [sym_compound_statement] = STATE(2312),
    [sym_storage_class_specifier] = STATE(1953),
    [sym_type_qualifier] = STATE(1953),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1953),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1840),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1953),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(2816),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4886),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1827] = {
    [sym_declaration] = STATE(1879),
    [sym__declaration_modifiers] = STATE(1969),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1969),
    [sym_attribute_declaration] = STATE(1969),
    [sym_ms_declspec_modifier] = STATE(1969),
    [sym_compound_statement] = STATE(2295),
    [sym_storage_class_specifier] = STATE(1969),
    [sym_type_qualifier] = STATE(1969),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1969),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1879),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1969),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(1803),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4902),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1828] = {
    [sym_declaration] = STATE(1869),
    [sym__declaration_modifiers] = STATE(1993),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1993),
    [sym_attribute_declaration] = STATE(1993),
    [sym_ms_declspec_modifier] = STATE(1993),
    [sym_compound_statement] = STATE(2286),
    [sym_storage_class_specifier] = STATE(1993),
    [sym_type_qualifier] = STATE(1993),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1993),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1869),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1993),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(2816),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4823),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1829] = {
    [sym_declaration] = STATE(1843),
    [sym__declaration_modifiers] = STATE(1968),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1968),
    [sym_attribute_declaration] = STATE(1968),
    [sym_ms_declspec_modifier] = STATE(1968),
    [sym_compound_statement] = STATE(2314),
    [sym_storage_class_specifier] = STATE(1968),
    [sym_type_qualifier] = STATE(1968),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1968),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1843),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1968),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [aux_sym_method_definition_repeat2] = STATE(1804),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4900),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1830] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4576),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(6223),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_variadic_parameter] = STATE(5491),
    [sym_parameter_declaration] = STATE(5491),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4206),
    [anon_sym_RPAREN] = ACTIONS(4904),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1831] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4576),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(5913),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_variadic_parameter] = STATE(5522),
    [sym_parameter_declaration] = STATE(5522),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4206),
    [anon_sym_RPAREN] = ACTIONS(4208),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1832] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4576),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(6223),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_variadic_parameter] = STATE(5201),
    [sym_parameter_declaration] = STATE(5491),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(4906),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4206),
    [anon_sym_RPAREN] = ACTIONS(4908),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1833] = {
    [sym_string_literal] = STATE(1928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4007),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4005),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4005),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4005),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4007),
    [anon_sym___extension__] = ACTIONS(4007),
    [anon_sym_extern] = ACTIONS(4007),
    [anon_sym___attribute__] = ACTIONS(4007),
    [anon_sym___attribute] = ACTIONS(4005),
    [anon_sym_noreturn] = ACTIONS(4007),
    [anon_sym_LBRACK] = ACTIONS(4007),
    [anon_sym___declspec] = ACTIONS(4007),
    [anon_sym_static] = ACTIONS(4007),
    [anon_sym_EQ] = ACTIONS(4910),
    [anon_sym_auto] = ACTIONS(4007),
    [anon_sym_register] = ACTIONS(4007),
    [anon_sym_inline] = ACTIONS(4007),
    [anon_sym___inline] = ACTIONS(4005),
    [anon_sym___inline__] = ACTIONS(4007),
    [anon_sym___forceinline] = ACTIONS(4007),
    [anon_sym_thread_local] = ACTIONS(4007),
    [anon_sym___thread] = ACTIONS(4007),
    [anon_sym_CG_EXTERN] = ACTIONS(4007),
    [anon_sym_CG_INLINE] = ACTIONS(4007),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4007),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4007),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4007),
    [anon_sym_IBOutlet] = ACTIONS(4007),
    [anon_sym_IBInspectable] = ACTIONS(4007),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4007),
    [anon_sym_NS_INLINE] = ACTIONS(4007),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4007),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4007),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4007),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4007),
    [anon_sym_const] = ACTIONS(4005),
    [anon_sym_constexpr] = ACTIONS(4007),
    [anon_sym_volatile] = ACTIONS(4007),
    [anon_sym_restrict] = ACTIONS(4007),
    [anon_sym___restrict__] = ACTIONS(4007),
    [anon_sym__Atomic] = ACTIONS(4007),
    [anon_sym__Noreturn] = ACTIONS(4007),
    [anon_sym__Nonnull] = ACTIONS(4007),
    [anon_sym_nullable] = ACTIONS(4007),
    [anon_sym__Complex] = ACTIONS(4007),
    [anon_sym__Nullable] = ACTIONS(4005),
    [anon_sym__Nullable_result] = ACTIONS(4007),
    [anon_sym__Null_unspecified] = ACTIONS(4007),
    [anon_sym___autoreleasing] = ACTIONS(4007),
    [anon_sym___block] = ACTIONS(4007),
    [anon_sym___bridge] = ACTIONS(4005),
    [anon_sym___bridge_retained] = ACTIONS(4007),
    [anon_sym___bridge_transfer] = ACTIONS(4007),
    [anon_sym___complex] = ACTIONS(4007),
    [anon_sym___const] = ACTIONS(4007),
    [anon_sym___imag] = ACTIONS(4007),
    [anon_sym___kindof] = ACTIONS(4007),
    [anon_sym___nonnull] = ACTIONS(4007),
    [anon_sym___nullable] = ACTIONS(4007),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4007),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4007),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4007),
    [anon_sym___real] = ACTIONS(4007),
    [anon_sym___strong] = ACTIONS(4007),
    [anon_sym___unsafe_unretained] = ACTIONS(4007),
    [anon_sym___unused] = ACTIONS(4007),
    [anon_sym___weak] = ACTIONS(4007),
    [anon_sym_alignas] = ACTIONS(4007),
    [anon_sym__Alignas] = ACTIONS(4007),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4912),
    [anon_sym_SLASH_EQ] = ACTIONS(4912),
    [anon_sym_PERCENT_EQ] = ACTIONS(4912),
    [anon_sym_PLUS_EQ] = ACTIONS(4912),
    [anon_sym_DASH_EQ] = ACTIONS(4912),
    [anon_sym_LT_LT_EQ] = ACTIONS(4912),
    [anon_sym_GT_GT_EQ] = ACTIONS(4912),
    [anon_sym_AMP_EQ] = ACTIONS(4912),
    [anon_sym_CARET_EQ] = ACTIONS(4912),
    [anon_sym_PIPE_EQ] = ACTIONS(4912),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4007),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4007),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4007),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4007),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4007),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4007),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4007),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4007),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4007),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4007),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4005),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4007),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4007),
    [anon_sym_API_AVAILABLE] = ACTIONS(4007),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4007),
    [anon_sym_API_DEPRECATED] = ACTIONS(4007),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4007),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4007),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4007),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4007),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4007),
    [anon_sym___deprecated_msg] = ACTIONS(4007),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4007),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4007),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4007),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4007),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4007),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4007),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4007),
  },
  [1834] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4576),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(5913),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_variadic_parameter] = STATE(5316),
    [sym_parameter_declaration] = STATE(5522),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(4906),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4206),
    [anon_sym_RPAREN] = ACTIONS(4914),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1835] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4576),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(6299),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_variadic_parameter] = STATE(5525),
    [sym_parameter_declaration] = STATE(5525),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4206),
    [anon_sym_RPAREN] = ACTIONS(4916),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1836] = {
    [sym_declaration] = STATE(1875),
    [sym__declaration_modifiers] = STATE(1960),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1960),
    [sym_attribute_declaration] = STATE(1960),
    [sym_ms_declspec_modifier] = STATE(1960),
    [sym_compound_statement] = STATE(2293),
    [sym_storage_class_specifier] = STATE(1960),
    [sym_type_qualifier] = STATE(1960),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1960),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1875),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1960),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4894),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1837] = {
    [sym_declaration] = STATE(1886),
    [sym__declaration_modifiers] = STATE(1963),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1963),
    [sym_attribute_declaration] = STATE(1963),
    [sym_ms_declspec_modifier] = STATE(1963),
    [sym_compound_statement] = STATE(2308),
    [sym_storage_class_specifier] = STATE(1963),
    [sym_type_qualifier] = STATE(1963),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1963),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1886),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1963),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4892),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1838] = {
    [sym_declaration] = STATE(1840),
    [sym__declaration_modifiers] = STATE(1953),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1953),
    [sym_attribute_declaration] = STATE(1953),
    [sym_ms_declspec_modifier] = STATE(1953),
    [sym_compound_statement] = STATE(2312),
    [sym_storage_class_specifier] = STATE(1953),
    [sym_type_qualifier] = STATE(1953),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1953),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1840),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1953),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4886),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1839] = {
    [sym_declaration] = STATE(1848),
    [sym__declaration_modifiers] = STATE(1959),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1959),
    [sym_attribute_declaration] = STATE(1959),
    [sym_ms_declspec_modifier] = STATE(1959),
    [sym_compound_statement] = STATE(2114),
    [sym_storage_class_specifier] = STATE(1959),
    [sym_type_qualifier] = STATE(1959),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1959),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1848),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1959),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4819),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1840] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1968),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1968),
    [sym_attribute_declaration] = STATE(1968),
    [sym_ms_declspec_modifier] = STATE(1968),
    [sym_compound_statement] = STATE(2314),
    [sym_storage_class_specifier] = STATE(1968),
    [sym_type_qualifier] = STATE(1968),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1968),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1968),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4900),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1841] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1959),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1959),
    [sym_attribute_declaration] = STATE(1959),
    [sym_ms_declspec_modifier] = STATE(1959),
    [sym_compound_statement] = STATE(2114),
    [sym_storage_class_specifier] = STATE(1959),
    [sym_type_qualifier] = STATE(1959),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1959),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1959),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4819),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1842] = {
    [sym_declaration] = STATE(1843),
    [sym__declaration_modifiers] = STATE(1968),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1968),
    [sym_attribute_declaration] = STATE(1968),
    [sym_ms_declspec_modifier] = STATE(1968),
    [sym_compound_statement] = STATE(2314),
    [sym_storage_class_specifier] = STATE(1968),
    [sym_type_qualifier] = STATE(1968),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1968),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1843),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1968),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4900),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1843] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1977),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1977),
    [sym_attribute_declaration] = STATE(1977),
    [sym_ms_declspec_modifier] = STATE(1977),
    [sym_compound_statement] = STATE(2315),
    [sym_storage_class_specifier] = STATE(1977),
    [sym_type_qualifier] = STATE(1977),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1977),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1977),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4890),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1844] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1982),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1982),
    [sym_attribute_declaration] = STATE(1982),
    [sym_ms_declspec_modifier] = STATE(1982),
    [sym_compound_statement] = STATE(2317),
    [sym_storage_class_specifier] = STATE(1982),
    [sym_type_qualifier] = STATE(1982),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1982),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1982),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4918),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1845] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1978),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1978),
    [sym_attribute_declaration] = STATE(1978),
    [sym_ms_declspec_modifier] = STATE(1978),
    [sym_compound_statement] = STATE(2285),
    [sym_storage_class_specifier] = STATE(1978),
    [sym_type_qualifier] = STATE(1978),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1978),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1978),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4920),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1846] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1993),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1993),
    [sym_attribute_declaration] = STATE(1993),
    [sym_ms_declspec_modifier] = STATE(1993),
    [sym_compound_statement] = STATE(2286),
    [sym_storage_class_specifier] = STATE(1993),
    [sym_type_qualifier] = STATE(1993),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1993),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1993),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4823),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1847] = {
    [sym_declaration] = STATE(1846),
    [sym__declaration_modifiers] = STATE(1951),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1951),
    [sym_attribute_declaration] = STATE(1951),
    [sym_ms_declspec_modifier] = STATE(1951),
    [sym_compound_statement] = STATE(2261),
    [sym_storage_class_specifier] = STATE(1951),
    [sym_type_qualifier] = STATE(1951),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1951),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1846),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1951),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4787),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1848] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(2002),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2002),
    [sym_attribute_declaration] = STATE(2002),
    [sym_ms_declspec_modifier] = STATE(2002),
    [sym_compound_statement] = STATE(2116),
    [sym_storage_class_specifier] = STATE(2002),
    [sym_type_qualifier] = STATE(2002),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2002),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4856),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1849] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1983),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1983),
    [sym_attribute_declaration] = STATE(1983),
    [sym_ms_declspec_modifier] = STATE(1983),
    [sym_compound_statement] = STATE(2273),
    [sym_storage_class_specifier] = STATE(1983),
    [sym_type_qualifier] = STATE(1983),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1983),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1983),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4922),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1850] = {
    [sym_declaration] = STATE(1852),
    [sym__declaration_modifiers] = STATE(2002),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2002),
    [sym_attribute_declaration] = STATE(2002),
    [sym_ms_declspec_modifier] = STATE(2002),
    [sym_compound_statement] = STATE(2116),
    [sym_storage_class_specifier] = STATE(2002),
    [sym_type_qualifier] = STATE(2002),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2002),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1852),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2002),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4856),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1851] = {
    [sym_declaration] = STATE(1869),
    [sym__declaration_modifiers] = STATE(1993),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1993),
    [sym_attribute_declaration] = STATE(1993),
    [sym_ms_declspec_modifier] = STATE(1993),
    [sym_compound_statement] = STATE(2286),
    [sym_storage_class_specifier] = STATE(1993),
    [sym_type_qualifier] = STATE(1993),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1993),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1869),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1993),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4823),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1852] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1980),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1980),
    [sym_attribute_declaration] = STATE(1980),
    [sym_ms_declspec_modifier] = STATE(1980),
    [sym_compound_statement] = STATE(2121),
    [sym_storage_class_specifier] = STATE(1980),
    [sym_type_qualifier] = STATE(1980),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1980),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1980),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4858),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1853] = {
    [sym_declaration] = STATE(1855),
    [sym__declaration_modifiers] = STATE(1980),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1980),
    [sym_attribute_declaration] = STATE(1980),
    [sym_ms_declspec_modifier] = STATE(1980),
    [sym_compound_statement] = STATE(2121),
    [sym_storage_class_specifier] = STATE(1980),
    [sym_type_qualifier] = STATE(1980),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1980),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1855),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1980),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4858),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1854] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1951),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1951),
    [sym_attribute_declaration] = STATE(1951),
    [sym_ms_declspec_modifier] = STATE(1951),
    [sym_compound_statement] = STATE(2261),
    [sym_storage_class_specifier] = STATE(1951),
    [sym_type_qualifier] = STATE(1951),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1951),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1951),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4787),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1855] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1985),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1985),
    [sym_attribute_declaration] = STATE(1985),
    [sym_ms_declspec_modifier] = STATE(1985),
    [sym_compound_statement] = STATE(2123),
    [sym_storage_class_specifier] = STATE(1985),
    [sym_type_qualifier] = STATE(1985),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1985),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1985),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4872),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1856] = {
    [sym_declaration] = STATE(1859),
    [sym__declaration_modifiers] = STATE(1985),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1985),
    [sym_attribute_declaration] = STATE(1985),
    [sym_ms_declspec_modifier] = STATE(1985),
    [sym_compound_statement] = STATE(2123),
    [sym_storage_class_specifier] = STATE(1985),
    [sym_type_qualifier] = STATE(1985),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1985),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1859),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1985),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4872),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1857] = {
    [sym_declaration] = STATE(1861),
    [sym__declaration_modifiers] = STATE(1940),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1940),
    [sym_attribute_declaration] = STATE(1940),
    [sym_ms_declspec_modifier] = STATE(1940),
    [sym_compound_statement] = STATE(2278),
    [sym_storage_class_specifier] = STATE(1940),
    [sym_type_qualifier] = STATE(1940),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1940),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1861),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1940),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4821),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1858] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1940),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1940),
    [sym_attribute_declaration] = STATE(1940),
    [sym_ms_declspec_modifier] = STATE(1940),
    [sym_compound_statement] = STATE(2278),
    [sym_storage_class_specifier] = STATE(1940),
    [sym_type_qualifier] = STATE(1940),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1940),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1940),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4821),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1859] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1941),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1941),
    [sym_attribute_declaration] = STATE(1941),
    [sym_ms_declspec_modifier] = STATE(1941),
    [sym_compound_statement] = STATE(2125),
    [sym_storage_class_specifier] = STATE(1941),
    [sym_type_qualifier] = STATE(1941),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1941),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1941),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4874),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1860] = {
    [sym_declaration] = STATE(1863),
    [sym__declaration_modifiers] = STATE(1941),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1941),
    [sym_attribute_declaration] = STATE(1941),
    [sym_ms_declspec_modifier] = STATE(1941),
    [sym_compound_statement] = STATE(2125),
    [sym_storage_class_specifier] = STATE(1941),
    [sym_type_qualifier] = STATE(1941),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1941),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1863),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1941),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4874),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1861] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1947),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1947),
    [sym_attribute_declaration] = STATE(1947),
    [sym_ms_declspec_modifier] = STATE(1947),
    [sym_compound_statement] = STATE(2284),
    [sym_storage_class_specifier] = STATE(1947),
    [sym_type_qualifier] = STATE(1947),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1947),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1947),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1862] = {
    [sym_declaration] = STATE(1865),
    [sym__declaration_modifiers] = STATE(1947),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1947),
    [sym_attribute_declaration] = STATE(1947),
    [sym_ms_declspec_modifier] = STATE(1947),
    [sym_compound_statement] = STATE(2284),
    [sym_storage_class_specifier] = STATE(1947),
    [sym_type_qualifier] = STATE(1947),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1947),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1865),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1947),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1863] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1950),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1950),
    [sym_attribute_declaration] = STATE(1950),
    [sym_ms_declspec_modifier] = STATE(1950),
    [sym_compound_statement] = STATE(2126),
    [sym_storage_class_specifier] = STATE(1950),
    [sym_type_qualifier] = STATE(1950),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1950),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1950),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4882),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1864] = {
    [sym_declaration] = STATE(1867),
    [sym__declaration_modifiers] = STATE(1950),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1950),
    [sym_attribute_declaration] = STATE(1950),
    [sym_ms_declspec_modifier] = STATE(1950),
    [sym_compound_statement] = STATE(2126),
    [sym_storage_class_specifier] = STATE(1950),
    [sym_type_qualifier] = STATE(1950),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1950),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1867),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1950),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4882),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1865] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1952),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1952),
    [sym_attribute_declaration] = STATE(1952),
    [sym_ms_declspec_modifier] = STATE(1952),
    [sym_compound_statement] = STATE(2289),
    [sym_storage_class_specifier] = STATE(1952),
    [sym_type_qualifier] = STATE(1952),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1952),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4813),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1866] = {
    [sym_declaration] = STATE(1870),
    [sym__declaration_modifiers] = STATE(1952),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1952),
    [sym_attribute_declaration] = STATE(1952),
    [sym_ms_declspec_modifier] = STATE(1952),
    [sym_compound_statement] = STATE(2289),
    [sym_storage_class_specifier] = STATE(1952),
    [sym_type_qualifier] = STATE(1952),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1952),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1870),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1952),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4813),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1867] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1954),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1954),
    [sym_attribute_declaration] = STATE(1954),
    [sym_ms_declspec_modifier] = STATE(1954),
    [sym_compound_statement] = STATE(2127),
    [sym_storage_class_specifier] = STATE(1954),
    [sym_type_qualifier] = STATE(1954),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1954),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1954),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4878),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1868] = {
    [sym_declaration] = STATE(1872),
    [sym__declaration_modifiers] = STATE(1954),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1954),
    [sym_attribute_declaration] = STATE(1954),
    [sym_ms_declspec_modifier] = STATE(1954),
    [sym_compound_statement] = STATE(2127),
    [sym_storage_class_specifier] = STATE(1954),
    [sym_type_qualifier] = STATE(1954),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1954),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1872),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1954),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4878),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1869] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1975),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1975),
    [sym_attribute_declaration] = STATE(1975),
    [sym_ms_declspec_modifier] = STATE(1975),
    [sym_compound_statement] = STATE(2302),
    [sym_storage_class_specifier] = STATE(1975),
    [sym_type_qualifier] = STATE(1975),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1975),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1975),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4862),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1870] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1956),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1956),
    [sym_attribute_declaration] = STATE(1956),
    [sym_ms_declspec_modifier] = STATE(1956),
    [sym_compound_statement] = STATE(2253),
    [sym_storage_class_specifier] = STATE(1956),
    [sym_type_qualifier] = STATE(1956),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1956),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1956),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4884),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1871] = {
    [sym_declaration] = STATE(1873),
    [sym__declaration_modifiers] = STATE(1956),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1956),
    [sym_attribute_declaration] = STATE(1956),
    [sym_ms_declspec_modifier] = STATE(1956),
    [sym_compound_statement] = STATE(2253),
    [sym_storage_class_specifier] = STATE(1956),
    [sym_type_qualifier] = STATE(1956),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1956),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1873),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1956),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4884),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1872] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1955),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1955),
    [sym_attribute_declaration] = STATE(1955),
    [sym_ms_declspec_modifier] = STATE(1955),
    [sym_compound_statement] = STATE(2128),
    [sym_storage_class_specifier] = STATE(1955),
    [sym_type_qualifier] = STATE(1955),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1955),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1955),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4896),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1873] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1960),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1960),
    [sym_attribute_declaration] = STATE(1960),
    [sym_ms_declspec_modifier] = STATE(1960),
    [sym_compound_statement] = STATE(2293),
    [sym_storage_class_specifier] = STATE(1960),
    [sym_type_qualifier] = STATE(1960),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1960),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1960),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4894),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1874] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1958),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1958),
    [sym_attribute_declaration] = STATE(1958),
    [sym_ms_declspec_modifier] = STATE(1958),
    [sym_compound_statement] = STATE(2129),
    [sym_storage_class_specifier] = STATE(1958),
    [sym_type_qualifier] = STATE(1958),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1958),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1958),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4924),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1875] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1966),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1966),
    [sym_attribute_declaration] = STATE(1966),
    [sym_ms_declspec_modifier] = STATE(1966),
    [sym_compound_statement] = STATE(2294),
    [sym_storage_class_specifier] = STATE(1966),
    [sym_type_qualifier] = STATE(1966),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1966),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4898),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1876] = {
    [sym_declaration] = STATE(1877),
    [sym__declaration_modifiers] = STATE(1966),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1966),
    [sym_attribute_declaration] = STATE(1966),
    [sym_ms_declspec_modifier] = STATE(1966),
    [sym_compound_statement] = STATE(2294),
    [sym_storage_class_specifier] = STATE(1966),
    [sym_type_qualifier] = STATE(1966),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1877),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1966),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4898),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1877] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1969),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1969),
    [sym_attribute_declaration] = STATE(1969),
    [sym_ms_declspec_modifier] = STATE(1969),
    [sym_compound_statement] = STATE(2295),
    [sym_storage_class_specifier] = STATE(1969),
    [sym_type_qualifier] = STATE(1969),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1969),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1969),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4902),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1878] = {
    [sym_declaration] = STATE(1879),
    [sym__declaration_modifiers] = STATE(1969),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1969),
    [sym_attribute_declaration] = STATE(1969),
    [sym_ms_declspec_modifier] = STATE(1969),
    [sym_compound_statement] = STATE(2295),
    [sym_storage_class_specifier] = STATE(1969),
    [sym_type_qualifier] = STATE(1969),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1969),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1879),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1969),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4902),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1879] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1970),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1970),
    [sym_attribute_declaration] = STATE(1970),
    [sym_ms_declspec_modifier] = STATE(1970),
    [sym_compound_statement] = STATE(2355),
    [sym_storage_class_specifier] = STATE(1970),
    [sym_type_qualifier] = STATE(1970),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1970),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1970),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4888),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1880] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1971),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1971),
    [sym_attribute_declaration] = STATE(1971),
    [sym_ms_declspec_modifier] = STATE(1971),
    [sym_compound_statement] = STATE(2297),
    [sym_storage_class_specifier] = STATE(1971),
    [sym_type_qualifier] = STATE(1971),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1971),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1971),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4926),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1881] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1991),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1991),
    [sym_attribute_declaration] = STATE(1991),
    [sym_ms_declspec_modifier] = STATE(1991),
    [sym_compound_statement] = STATE(2305),
    [sym_storage_class_specifier] = STATE(1991),
    [sym_type_qualifier] = STATE(1991),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1991),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1991),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4880),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1882] = {
    [sym_declaration] = STATE(1884),
    [sym__declaration_modifiers] = STATE(1991),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1991),
    [sym_attribute_declaration] = STATE(1991),
    [sym_ms_declspec_modifier] = STATE(1991),
    [sym_compound_statement] = STATE(2305),
    [sym_storage_class_specifier] = STATE(1991),
    [sym_type_qualifier] = STATE(1991),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1991),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1884),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1991),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4880),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1883] = {
    [sym_declaration] = STATE(1881),
    [sym__declaration_modifiers] = STATE(1975),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1975),
    [sym_attribute_declaration] = STATE(1975),
    [sym_ms_declspec_modifier] = STATE(1975),
    [sym_compound_statement] = STATE(2302),
    [sym_storage_class_specifier] = STATE(1975),
    [sym_type_qualifier] = STATE(1975),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1975),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1881),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1975),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4862),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1884] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1963),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1963),
    [sym_attribute_declaration] = STATE(1963),
    [sym_ms_declspec_modifier] = STATE(1963),
    [sym_compound_statement] = STATE(2308),
    [sym_storage_class_specifier] = STATE(1963),
    [sym_type_qualifier] = STATE(1963),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1963),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1963),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4892),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1885] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1965),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1965),
    [sym_attribute_declaration] = STATE(1965),
    [sym_ms_declspec_modifier] = STATE(1965),
    [sym_compound_statement] = STATE(2111),
    [sym_storage_class_specifier] = STATE(1965),
    [sym_type_qualifier] = STATE(1965),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1965),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1965),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4928),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1886] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(1953),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(1953),
    [sym_attribute_declaration] = STATE(1953),
    [sym_ms_declspec_modifier] = STATE(1953),
    [sym_compound_statement] = STATE(2312),
    [sym_storage_class_specifier] = STATE(1953),
    [sym_type_qualifier] = STATE(1953),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(1953),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1953),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4886),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1887] = {
    [sym_identifier] = ACTIONS(4930),
    [aux_sym_preproc_def_token1] = ACTIONS(4930),
    [anon_sym_COMMA] = ACTIONS(4932),
    [anon_sym_RPAREN] = ACTIONS(4932),
    [aux_sym_preproc_if_token1] = ACTIONS(4930),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4930),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4930),
    [sym_preproc_directive] = ACTIONS(4930),
    [anon_sym_LPAREN2] = ACTIONS(4932),
    [anon_sym_DASH] = ACTIONS(4932),
    [anon_sym_PLUS] = ACTIONS(4932),
    [anon_sym_LT] = ACTIONS(4932),
    [anon_sym_SEMI] = ACTIONS(4932),
    [anon_sym___extension__] = ACTIONS(4930),
    [anon_sym_typedef] = ACTIONS(4930),
    [anon_sym_extern] = ACTIONS(4930),
    [anon_sym___attribute__] = ACTIONS(4930),
    [anon_sym___attribute] = ACTIONS(4930),
    [anon_sym_noreturn] = ACTIONS(4930),
    [anon_sym_LBRACK] = ACTIONS(4932),
    [anon_sym___declspec] = ACTIONS(4930),
    [anon_sym___cdecl] = ACTIONS(4930),
    [anon_sym___clrcall] = ACTIONS(4930),
    [anon_sym___stdcall] = ACTIONS(4930),
    [anon_sym___fastcall] = ACTIONS(4930),
    [anon_sym___thiscall] = ACTIONS(4930),
    [anon_sym___vectorcall] = ACTIONS(4930),
    [anon_sym_LBRACE] = ACTIONS(4932),
    [anon_sym_signed] = ACTIONS(4930),
    [anon_sym_unsigned] = ACTIONS(4930),
    [anon_sym_long] = ACTIONS(4930),
    [anon_sym_short] = ACTIONS(4930),
    [anon_sym_static] = ACTIONS(4930),
    [anon_sym_auto] = ACTIONS(4930),
    [anon_sym_register] = ACTIONS(4930),
    [anon_sym_inline] = ACTIONS(4930),
    [anon_sym___inline] = ACTIONS(4930),
    [anon_sym___inline__] = ACTIONS(4930),
    [anon_sym___forceinline] = ACTIONS(4930),
    [anon_sym_thread_local] = ACTIONS(4930),
    [anon_sym___thread] = ACTIONS(4930),
    [anon_sym_CG_EXTERN] = ACTIONS(4930),
    [anon_sym_CG_INLINE] = ACTIONS(4930),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4930),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4930),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4930),
    [anon_sym_IBOutlet] = ACTIONS(4930),
    [anon_sym_IBInspectable] = ACTIONS(4930),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4930),
    [anon_sym_NS_INLINE] = ACTIONS(4930),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4930),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4930),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4930),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4930),
    [anon_sym_const] = ACTIONS(4930),
    [anon_sym_constexpr] = ACTIONS(4930),
    [anon_sym_volatile] = ACTIONS(4930),
    [anon_sym_restrict] = ACTIONS(4930),
    [anon_sym___restrict__] = ACTIONS(4930),
    [anon_sym__Atomic] = ACTIONS(4930),
    [anon_sym__Noreturn] = ACTIONS(4930),
    [anon_sym__Nonnull] = ACTIONS(4930),
    [anon_sym_nullable] = ACTIONS(4930),
    [anon_sym__Complex] = ACTIONS(4930),
    [anon_sym__Nullable] = ACTIONS(4930),
    [anon_sym__Nullable_result] = ACTIONS(4930),
    [anon_sym__Null_unspecified] = ACTIONS(4930),
    [anon_sym___autoreleasing] = ACTIONS(4930),
    [anon_sym___block] = ACTIONS(4930),
    [anon_sym___bridge] = ACTIONS(4930),
    [anon_sym___bridge_retained] = ACTIONS(4930),
    [anon_sym___bridge_transfer] = ACTIONS(4930),
    [anon_sym___complex] = ACTIONS(4930),
    [anon_sym___const] = ACTIONS(4930),
    [anon_sym___imag] = ACTIONS(4930),
    [anon_sym___kindof] = ACTIONS(4930),
    [anon_sym___nonnull] = ACTIONS(4930),
    [anon_sym___nullable] = ACTIONS(4930),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4930),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4930),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4930),
    [anon_sym___real] = ACTIONS(4930),
    [anon_sym___strong] = ACTIONS(4930),
    [anon_sym___unsafe_unretained] = ACTIONS(4930),
    [anon_sym___unused] = ACTIONS(4930),
    [anon_sym___weak] = ACTIONS(4930),
    [anon_sym_alignas] = ACTIONS(4930),
    [anon_sym__Alignas] = ACTIONS(4930),
    [sym_primitive_type] = ACTIONS(4930),
    [anon_sym_enum] = ACTIONS(4930),
    [anon_sym_COLON] = ACTIONS(4932),
    [anon_sym_struct] = ACTIONS(4930),
    [anon_sym_union] = ACTIONS(4930),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4930),
    [anon_sym___typeof] = ACTIONS(4930),
    [anon_sym_typeof] = ACTIONS(4930),
    [aux_sym_preproc_undef_token1] = ACTIONS(4930),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4930),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4930),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4930),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4930),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4930),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4930),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4930),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4930),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4930),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4930),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4930),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4930),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4930),
    [anon_sym_API_AVAILABLE] = ACTIONS(4930),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4930),
    [anon_sym_API_DEPRECATED] = ACTIONS(4930),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4930),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4930),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4930),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4930),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4930),
    [anon_sym___deprecated_msg] = ACTIONS(4930),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4930),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4930),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4930),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4930),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4930),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4930),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4930),
    [anon_sym_ATend] = ACTIONS(4932),
    [anon_sym_ATsynthesize] = ACTIONS(4932),
    [anon_sym_ATdynamic] = ACTIONS(4932),
    [anon_sym_ATproperty] = ACTIONS(4932),
    [anon_sym_BOOL] = ACTIONS(4930),
    [anon_sym_IMP] = ACTIONS(4930),
    [anon_sym_SEL] = ACTIONS(4930),
    [anon_sym_Class] = ACTIONS(4930),
    [anon_sym_id] = ACTIONS(4930),
  },
  [1888] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(631),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(870),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(872),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1889] = {
    [sym_declaration] = STATE(1903),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(632),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1903),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(870),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(872),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1890] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(310),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1891] = {
    [sym_identifier] = ACTIONS(4934),
    [aux_sym_preproc_def_token1] = ACTIONS(4934),
    [anon_sym_COMMA] = ACTIONS(4936),
    [anon_sym_RPAREN] = ACTIONS(4936),
    [aux_sym_preproc_if_token1] = ACTIONS(4934),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4934),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4934),
    [sym_preproc_directive] = ACTIONS(4934),
    [anon_sym_LPAREN2] = ACTIONS(4936),
    [anon_sym_DASH] = ACTIONS(4936),
    [anon_sym_PLUS] = ACTIONS(4936),
    [anon_sym_LT] = ACTIONS(4936),
    [anon_sym_SEMI] = ACTIONS(4936),
    [anon_sym___extension__] = ACTIONS(4934),
    [anon_sym_typedef] = ACTIONS(4934),
    [anon_sym_extern] = ACTIONS(4934),
    [anon_sym___attribute__] = ACTIONS(4934),
    [anon_sym___attribute] = ACTIONS(4934),
    [anon_sym_noreturn] = ACTIONS(4934),
    [anon_sym_LBRACK] = ACTIONS(4936),
    [anon_sym___declspec] = ACTIONS(4934),
    [anon_sym___cdecl] = ACTIONS(4934),
    [anon_sym___clrcall] = ACTIONS(4934),
    [anon_sym___stdcall] = ACTIONS(4934),
    [anon_sym___fastcall] = ACTIONS(4934),
    [anon_sym___thiscall] = ACTIONS(4934),
    [anon_sym___vectorcall] = ACTIONS(4934),
    [anon_sym_LBRACE] = ACTIONS(4936),
    [anon_sym_signed] = ACTIONS(4934),
    [anon_sym_unsigned] = ACTIONS(4934),
    [anon_sym_long] = ACTIONS(4934),
    [anon_sym_short] = ACTIONS(4934),
    [anon_sym_static] = ACTIONS(4934),
    [anon_sym_auto] = ACTIONS(4934),
    [anon_sym_register] = ACTIONS(4934),
    [anon_sym_inline] = ACTIONS(4934),
    [anon_sym___inline] = ACTIONS(4934),
    [anon_sym___inline__] = ACTIONS(4934),
    [anon_sym___forceinline] = ACTIONS(4934),
    [anon_sym_thread_local] = ACTIONS(4934),
    [anon_sym___thread] = ACTIONS(4934),
    [anon_sym_CG_EXTERN] = ACTIONS(4934),
    [anon_sym_CG_INLINE] = ACTIONS(4934),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4934),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4934),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4934),
    [anon_sym_IBOutlet] = ACTIONS(4934),
    [anon_sym_IBInspectable] = ACTIONS(4934),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4934),
    [anon_sym_NS_INLINE] = ACTIONS(4934),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4934),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4934),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4934),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4934),
    [anon_sym_const] = ACTIONS(4934),
    [anon_sym_constexpr] = ACTIONS(4934),
    [anon_sym_volatile] = ACTIONS(4934),
    [anon_sym_restrict] = ACTIONS(4934),
    [anon_sym___restrict__] = ACTIONS(4934),
    [anon_sym__Atomic] = ACTIONS(4934),
    [anon_sym__Noreturn] = ACTIONS(4934),
    [anon_sym__Nonnull] = ACTIONS(4934),
    [anon_sym_nullable] = ACTIONS(4934),
    [anon_sym__Complex] = ACTIONS(4934),
    [anon_sym__Nullable] = ACTIONS(4934),
    [anon_sym__Nullable_result] = ACTIONS(4934),
    [anon_sym__Null_unspecified] = ACTIONS(4934),
    [anon_sym___autoreleasing] = ACTIONS(4934),
    [anon_sym___block] = ACTIONS(4934),
    [anon_sym___bridge] = ACTIONS(4934),
    [anon_sym___bridge_retained] = ACTIONS(4934),
    [anon_sym___bridge_transfer] = ACTIONS(4934),
    [anon_sym___complex] = ACTIONS(4934),
    [anon_sym___const] = ACTIONS(4934),
    [anon_sym___imag] = ACTIONS(4934),
    [anon_sym___kindof] = ACTIONS(4934),
    [anon_sym___nonnull] = ACTIONS(4934),
    [anon_sym___nullable] = ACTIONS(4934),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4934),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4934),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4934),
    [anon_sym___real] = ACTIONS(4934),
    [anon_sym___strong] = ACTIONS(4934),
    [anon_sym___unsafe_unretained] = ACTIONS(4934),
    [anon_sym___unused] = ACTIONS(4934),
    [anon_sym___weak] = ACTIONS(4934),
    [anon_sym_alignas] = ACTIONS(4934),
    [anon_sym__Alignas] = ACTIONS(4934),
    [sym_primitive_type] = ACTIONS(4934),
    [anon_sym_enum] = ACTIONS(4934),
    [anon_sym_COLON] = ACTIONS(4936),
    [anon_sym_struct] = ACTIONS(4934),
    [anon_sym_union] = ACTIONS(4934),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4934),
    [anon_sym___typeof] = ACTIONS(4934),
    [anon_sym_typeof] = ACTIONS(4934),
    [aux_sym_preproc_undef_token1] = ACTIONS(4934),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4934),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4934),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4934),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4934),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4934),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4934),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4934),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4934),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4934),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4934),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4934),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4934),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4934),
    [anon_sym_API_AVAILABLE] = ACTIONS(4934),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4934),
    [anon_sym_API_DEPRECATED] = ACTIONS(4934),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4934),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4934),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4934),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4934),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4934),
    [anon_sym___deprecated_msg] = ACTIONS(4934),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4934),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4934),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4934),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4934),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4934),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4934),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4934),
    [anon_sym_ATend] = ACTIONS(4936),
    [anon_sym_ATsynthesize] = ACTIONS(4936),
    [anon_sym_ATdynamic] = ACTIONS(4936),
    [anon_sym_ATproperty] = ACTIONS(4936),
    [anon_sym_BOOL] = ACTIONS(4934),
    [anon_sym_IMP] = ACTIONS(4934),
    [anon_sym_SEL] = ACTIONS(4934),
    [anon_sym_Class] = ACTIONS(4934),
    [anon_sym_id] = ACTIONS(4934),
  },
  [1892] = {
    [sym_identifier] = ACTIONS(4938),
    [aux_sym_preproc_def_token1] = ACTIONS(4938),
    [anon_sym_COMMA] = ACTIONS(4940),
    [anon_sym_RPAREN] = ACTIONS(4940),
    [aux_sym_preproc_if_token1] = ACTIONS(4938),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4938),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4938),
    [sym_preproc_directive] = ACTIONS(4938),
    [anon_sym_LPAREN2] = ACTIONS(4940),
    [anon_sym_DASH] = ACTIONS(4940),
    [anon_sym_PLUS] = ACTIONS(4940),
    [anon_sym_LT] = ACTIONS(4940),
    [anon_sym_SEMI] = ACTIONS(4940),
    [anon_sym___extension__] = ACTIONS(4938),
    [anon_sym_typedef] = ACTIONS(4938),
    [anon_sym_extern] = ACTIONS(4938),
    [anon_sym___attribute__] = ACTIONS(4938),
    [anon_sym___attribute] = ACTIONS(4938),
    [anon_sym_noreturn] = ACTIONS(4938),
    [anon_sym_LBRACK] = ACTIONS(4940),
    [anon_sym___declspec] = ACTIONS(4938),
    [anon_sym___cdecl] = ACTIONS(4938),
    [anon_sym___clrcall] = ACTIONS(4938),
    [anon_sym___stdcall] = ACTIONS(4938),
    [anon_sym___fastcall] = ACTIONS(4938),
    [anon_sym___thiscall] = ACTIONS(4938),
    [anon_sym___vectorcall] = ACTIONS(4938),
    [anon_sym_LBRACE] = ACTIONS(4940),
    [anon_sym_signed] = ACTIONS(4938),
    [anon_sym_unsigned] = ACTIONS(4938),
    [anon_sym_long] = ACTIONS(4938),
    [anon_sym_short] = ACTIONS(4938),
    [anon_sym_static] = ACTIONS(4938),
    [anon_sym_auto] = ACTIONS(4938),
    [anon_sym_register] = ACTIONS(4938),
    [anon_sym_inline] = ACTIONS(4938),
    [anon_sym___inline] = ACTIONS(4938),
    [anon_sym___inline__] = ACTIONS(4938),
    [anon_sym___forceinline] = ACTIONS(4938),
    [anon_sym_thread_local] = ACTIONS(4938),
    [anon_sym___thread] = ACTIONS(4938),
    [anon_sym_CG_EXTERN] = ACTIONS(4938),
    [anon_sym_CG_INLINE] = ACTIONS(4938),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4938),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4938),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4938),
    [anon_sym_IBOutlet] = ACTIONS(4938),
    [anon_sym_IBInspectable] = ACTIONS(4938),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4938),
    [anon_sym_NS_INLINE] = ACTIONS(4938),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4938),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4938),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4938),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4938),
    [anon_sym_const] = ACTIONS(4938),
    [anon_sym_constexpr] = ACTIONS(4938),
    [anon_sym_volatile] = ACTIONS(4938),
    [anon_sym_restrict] = ACTIONS(4938),
    [anon_sym___restrict__] = ACTIONS(4938),
    [anon_sym__Atomic] = ACTIONS(4938),
    [anon_sym__Noreturn] = ACTIONS(4938),
    [anon_sym__Nonnull] = ACTIONS(4938),
    [anon_sym_nullable] = ACTIONS(4938),
    [anon_sym__Complex] = ACTIONS(4938),
    [anon_sym__Nullable] = ACTIONS(4938),
    [anon_sym__Nullable_result] = ACTIONS(4938),
    [anon_sym__Null_unspecified] = ACTIONS(4938),
    [anon_sym___autoreleasing] = ACTIONS(4938),
    [anon_sym___block] = ACTIONS(4938),
    [anon_sym___bridge] = ACTIONS(4938),
    [anon_sym___bridge_retained] = ACTIONS(4938),
    [anon_sym___bridge_transfer] = ACTIONS(4938),
    [anon_sym___complex] = ACTIONS(4938),
    [anon_sym___const] = ACTIONS(4938),
    [anon_sym___imag] = ACTIONS(4938),
    [anon_sym___kindof] = ACTIONS(4938),
    [anon_sym___nonnull] = ACTIONS(4938),
    [anon_sym___nullable] = ACTIONS(4938),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4938),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4938),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4938),
    [anon_sym___real] = ACTIONS(4938),
    [anon_sym___strong] = ACTIONS(4938),
    [anon_sym___unsafe_unretained] = ACTIONS(4938),
    [anon_sym___unused] = ACTIONS(4938),
    [anon_sym___weak] = ACTIONS(4938),
    [anon_sym_alignas] = ACTIONS(4938),
    [anon_sym__Alignas] = ACTIONS(4938),
    [sym_primitive_type] = ACTIONS(4938),
    [anon_sym_enum] = ACTIONS(4938),
    [anon_sym_COLON] = ACTIONS(4940),
    [anon_sym_struct] = ACTIONS(4938),
    [anon_sym_union] = ACTIONS(4938),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4938),
    [anon_sym___typeof] = ACTIONS(4938),
    [anon_sym_typeof] = ACTIONS(4938),
    [aux_sym_preproc_undef_token1] = ACTIONS(4938),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4938),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4938),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4938),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4938),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4938),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4938),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4938),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4938),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4938),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4938),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4938),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4938),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4938),
    [anon_sym_API_AVAILABLE] = ACTIONS(4938),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4938),
    [anon_sym_API_DEPRECATED] = ACTIONS(4938),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4938),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4938),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4938),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4938),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4938),
    [anon_sym___deprecated_msg] = ACTIONS(4938),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4938),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4938),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4938),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4938),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4938),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4938),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4938),
    [anon_sym_ATend] = ACTIONS(4940),
    [anon_sym_ATsynthesize] = ACTIONS(4940),
    [anon_sym_ATdynamic] = ACTIONS(4940),
    [anon_sym_ATproperty] = ACTIONS(4940),
    [anon_sym_BOOL] = ACTIONS(4938),
    [anon_sym_IMP] = ACTIONS(4938),
    [anon_sym_SEL] = ACTIONS(4938),
    [anon_sym_Class] = ACTIONS(4938),
    [anon_sym_id] = ACTIONS(4938),
  },
  [1893] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(1035),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1894] = {
    [sym_declaration] = STATE(1888),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(619),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1888),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(870),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(872),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1895] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(901),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1896] = {
    [sym_identifier] = ACTIONS(4942),
    [aux_sym_preproc_def_token1] = ACTIONS(4942),
    [anon_sym_COMMA] = ACTIONS(4944),
    [anon_sym_RPAREN] = ACTIONS(4944),
    [aux_sym_preproc_if_token1] = ACTIONS(4942),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4942),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4942),
    [sym_preproc_directive] = ACTIONS(4942),
    [anon_sym_LPAREN2] = ACTIONS(4944),
    [anon_sym_DASH] = ACTIONS(4944),
    [anon_sym_PLUS] = ACTIONS(4944),
    [anon_sym_LT] = ACTIONS(4944),
    [anon_sym_SEMI] = ACTIONS(4944),
    [anon_sym___extension__] = ACTIONS(4942),
    [anon_sym_typedef] = ACTIONS(4942),
    [anon_sym_extern] = ACTIONS(4942),
    [anon_sym___attribute__] = ACTIONS(4942),
    [anon_sym___attribute] = ACTIONS(4942),
    [anon_sym_noreturn] = ACTIONS(4942),
    [anon_sym_LBRACK] = ACTIONS(4944),
    [anon_sym___declspec] = ACTIONS(4942),
    [anon_sym___cdecl] = ACTIONS(4942),
    [anon_sym___clrcall] = ACTIONS(4942),
    [anon_sym___stdcall] = ACTIONS(4942),
    [anon_sym___fastcall] = ACTIONS(4942),
    [anon_sym___thiscall] = ACTIONS(4942),
    [anon_sym___vectorcall] = ACTIONS(4942),
    [anon_sym_LBRACE] = ACTIONS(4944),
    [anon_sym_signed] = ACTIONS(4942),
    [anon_sym_unsigned] = ACTIONS(4942),
    [anon_sym_long] = ACTIONS(4942),
    [anon_sym_short] = ACTIONS(4942),
    [anon_sym_static] = ACTIONS(4942),
    [anon_sym_auto] = ACTIONS(4942),
    [anon_sym_register] = ACTIONS(4942),
    [anon_sym_inline] = ACTIONS(4942),
    [anon_sym___inline] = ACTIONS(4942),
    [anon_sym___inline__] = ACTIONS(4942),
    [anon_sym___forceinline] = ACTIONS(4942),
    [anon_sym_thread_local] = ACTIONS(4942),
    [anon_sym___thread] = ACTIONS(4942),
    [anon_sym_CG_EXTERN] = ACTIONS(4942),
    [anon_sym_CG_INLINE] = ACTIONS(4942),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4942),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4942),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4942),
    [anon_sym_IBOutlet] = ACTIONS(4942),
    [anon_sym_IBInspectable] = ACTIONS(4942),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4942),
    [anon_sym_NS_INLINE] = ACTIONS(4942),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4942),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4942),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4942),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4942),
    [anon_sym_const] = ACTIONS(4942),
    [anon_sym_constexpr] = ACTIONS(4942),
    [anon_sym_volatile] = ACTIONS(4942),
    [anon_sym_restrict] = ACTIONS(4942),
    [anon_sym___restrict__] = ACTIONS(4942),
    [anon_sym__Atomic] = ACTIONS(4942),
    [anon_sym__Noreturn] = ACTIONS(4942),
    [anon_sym__Nonnull] = ACTIONS(4942),
    [anon_sym_nullable] = ACTIONS(4942),
    [anon_sym__Complex] = ACTIONS(4942),
    [anon_sym__Nullable] = ACTIONS(4942),
    [anon_sym__Nullable_result] = ACTIONS(4942),
    [anon_sym__Null_unspecified] = ACTIONS(4942),
    [anon_sym___autoreleasing] = ACTIONS(4942),
    [anon_sym___block] = ACTIONS(4942),
    [anon_sym___bridge] = ACTIONS(4942),
    [anon_sym___bridge_retained] = ACTIONS(4942),
    [anon_sym___bridge_transfer] = ACTIONS(4942),
    [anon_sym___complex] = ACTIONS(4942),
    [anon_sym___const] = ACTIONS(4942),
    [anon_sym___imag] = ACTIONS(4942),
    [anon_sym___kindof] = ACTIONS(4942),
    [anon_sym___nonnull] = ACTIONS(4942),
    [anon_sym___nullable] = ACTIONS(4942),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4942),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4942),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4942),
    [anon_sym___real] = ACTIONS(4942),
    [anon_sym___strong] = ACTIONS(4942),
    [anon_sym___unsafe_unretained] = ACTIONS(4942),
    [anon_sym___unused] = ACTIONS(4942),
    [anon_sym___weak] = ACTIONS(4942),
    [anon_sym_alignas] = ACTIONS(4942),
    [anon_sym__Alignas] = ACTIONS(4942),
    [sym_primitive_type] = ACTIONS(4942),
    [anon_sym_enum] = ACTIONS(4942),
    [anon_sym_COLON] = ACTIONS(4944),
    [anon_sym_struct] = ACTIONS(4942),
    [anon_sym_union] = ACTIONS(4942),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4942),
    [anon_sym___typeof] = ACTIONS(4942),
    [anon_sym_typeof] = ACTIONS(4942),
    [aux_sym_preproc_undef_token1] = ACTIONS(4942),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4942),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4942),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4942),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4942),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4942),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4942),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4942),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4942),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4942),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4942),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4942),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4942),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4942),
    [anon_sym_API_AVAILABLE] = ACTIONS(4942),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4942),
    [anon_sym_API_DEPRECATED] = ACTIONS(4942),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4942),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4942),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4942),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4942),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4942),
    [anon_sym___deprecated_msg] = ACTIONS(4942),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4942),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4942),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4942),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4942),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4942),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4942),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4942),
    [anon_sym_ATend] = ACTIONS(4944),
    [anon_sym_ATsynthesize] = ACTIONS(4944),
    [anon_sym_ATdynamic] = ACTIONS(4944),
    [anon_sym_ATproperty] = ACTIONS(4944),
    [anon_sym_BOOL] = ACTIONS(4942),
    [anon_sym_IMP] = ACTIONS(4942),
    [anon_sym_SEL] = ACTIONS(4942),
    [anon_sym_Class] = ACTIONS(4942),
    [anon_sym_id] = ACTIONS(4942),
  },
  [1897] = {
    [sym_declaration] = STATE(1905),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(1066),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1905),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1898] = {
    [sym_declaration] = STATE(1890),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(277),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1890),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1899] = {
    [sym_identifier] = ACTIONS(4946),
    [aux_sym_preproc_def_token1] = ACTIONS(4946),
    [anon_sym_COMMA] = ACTIONS(4948),
    [anon_sym_RPAREN] = ACTIONS(4948),
    [aux_sym_preproc_if_token1] = ACTIONS(4946),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4946),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4946),
    [sym_preproc_directive] = ACTIONS(4946),
    [anon_sym_LPAREN2] = ACTIONS(4948),
    [anon_sym_DASH] = ACTIONS(4948),
    [anon_sym_PLUS] = ACTIONS(4948),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_SEMI] = ACTIONS(4948),
    [anon_sym___extension__] = ACTIONS(4946),
    [anon_sym_typedef] = ACTIONS(4946),
    [anon_sym_extern] = ACTIONS(4946),
    [anon_sym___attribute__] = ACTIONS(4946),
    [anon_sym___attribute] = ACTIONS(4946),
    [anon_sym_noreturn] = ACTIONS(4946),
    [anon_sym_LBRACK] = ACTIONS(4948),
    [anon_sym___declspec] = ACTIONS(4946),
    [anon_sym___cdecl] = ACTIONS(4946),
    [anon_sym___clrcall] = ACTIONS(4946),
    [anon_sym___stdcall] = ACTIONS(4946),
    [anon_sym___fastcall] = ACTIONS(4946),
    [anon_sym___thiscall] = ACTIONS(4946),
    [anon_sym___vectorcall] = ACTIONS(4946),
    [anon_sym_LBRACE] = ACTIONS(4948),
    [anon_sym_signed] = ACTIONS(4946),
    [anon_sym_unsigned] = ACTIONS(4946),
    [anon_sym_long] = ACTIONS(4946),
    [anon_sym_short] = ACTIONS(4946),
    [anon_sym_static] = ACTIONS(4946),
    [anon_sym_auto] = ACTIONS(4946),
    [anon_sym_register] = ACTIONS(4946),
    [anon_sym_inline] = ACTIONS(4946),
    [anon_sym___inline] = ACTIONS(4946),
    [anon_sym___inline__] = ACTIONS(4946),
    [anon_sym___forceinline] = ACTIONS(4946),
    [anon_sym_thread_local] = ACTIONS(4946),
    [anon_sym___thread] = ACTIONS(4946),
    [anon_sym_CG_EXTERN] = ACTIONS(4946),
    [anon_sym_CG_INLINE] = ACTIONS(4946),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4946),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4946),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4946),
    [anon_sym_IBOutlet] = ACTIONS(4946),
    [anon_sym_IBInspectable] = ACTIONS(4946),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4946),
    [anon_sym_NS_INLINE] = ACTIONS(4946),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4946),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4946),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4946),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4946),
    [anon_sym_const] = ACTIONS(4946),
    [anon_sym_constexpr] = ACTIONS(4946),
    [anon_sym_volatile] = ACTIONS(4946),
    [anon_sym_restrict] = ACTIONS(4946),
    [anon_sym___restrict__] = ACTIONS(4946),
    [anon_sym__Atomic] = ACTIONS(4946),
    [anon_sym__Noreturn] = ACTIONS(4946),
    [anon_sym__Nonnull] = ACTIONS(4946),
    [anon_sym_nullable] = ACTIONS(4946),
    [anon_sym__Complex] = ACTIONS(4946),
    [anon_sym__Nullable] = ACTIONS(4946),
    [anon_sym__Nullable_result] = ACTIONS(4946),
    [anon_sym__Null_unspecified] = ACTIONS(4946),
    [anon_sym___autoreleasing] = ACTIONS(4946),
    [anon_sym___block] = ACTIONS(4946),
    [anon_sym___bridge] = ACTIONS(4946),
    [anon_sym___bridge_retained] = ACTIONS(4946),
    [anon_sym___bridge_transfer] = ACTIONS(4946),
    [anon_sym___complex] = ACTIONS(4946),
    [anon_sym___const] = ACTIONS(4946),
    [anon_sym___imag] = ACTIONS(4946),
    [anon_sym___kindof] = ACTIONS(4946),
    [anon_sym___nonnull] = ACTIONS(4946),
    [anon_sym___nullable] = ACTIONS(4946),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4946),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4946),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4946),
    [anon_sym___real] = ACTIONS(4946),
    [anon_sym___strong] = ACTIONS(4946),
    [anon_sym___unsafe_unretained] = ACTIONS(4946),
    [anon_sym___unused] = ACTIONS(4946),
    [anon_sym___weak] = ACTIONS(4946),
    [anon_sym_alignas] = ACTIONS(4946),
    [anon_sym__Alignas] = ACTIONS(4946),
    [sym_primitive_type] = ACTIONS(4946),
    [anon_sym_enum] = ACTIONS(4946),
    [anon_sym_COLON] = ACTIONS(4948),
    [anon_sym_struct] = ACTIONS(4946),
    [anon_sym_union] = ACTIONS(4946),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4946),
    [anon_sym___typeof] = ACTIONS(4946),
    [anon_sym_typeof] = ACTIONS(4946),
    [aux_sym_preproc_undef_token1] = ACTIONS(4946),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4946),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4946),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4946),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4946),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4946),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4946),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4946),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4946),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4946),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4946),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4946),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4946),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4946),
    [anon_sym_API_AVAILABLE] = ACTIONS(4946),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4946),
    [anon_sym_API_DEPRECATED] = ACTIONS(4946),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4946),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4946),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4946),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4946),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4946),
    [anon_sym___deprecated_msg] = ACTIONS(4946),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4946),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4946),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4946),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4946),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4946),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4946),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4946),
    [anon_sym_ATend] = ACTIONS(4948),
    [anon_sym_ATsynthesize] = ACTIONS(4948),
    [anon_sym_ATdynamic] = ACTIONS(4948),
    [anon_sym_ATproperty] = ACTIONS(4948),
    [anon_sym_BOOL] = ACTIONS(4946),
    [anon_sym_IMP] = ACTIONS(4946),
    [anon_sym_SEL] = ACTIONS(4946),
    [anon_sym_Class] = ACTIONS(4946),
    [anon_sym_id] = ACTIONS(4946),
  },
  [1900] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(899),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1901] = {
    [sym_identifier] = ACTIONS(4950),
    [aux_sym_preproc_def_token1] = ACTIONS(4950),
    [anon_sym_COMMA] = ACTIONS(4952),
    [anon_sym_RPAREN] = ACTIONS(4952),
    [aux_sym_preproc_if_token1] = ACTIONS(4950),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4950),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4950),
    [sym_preproc_directive] = ACTIONS(4950),
    [anon_sym_LPAREN2] = ACTIONS(4952),
    [anon_sym_DASH] = ACTIONS(4952),
    [anon_sym_PLUS] = ACTIONS(4952),
    [anon_sym_LT] = ACTIONS(4952),
    [anon_sym_SEMI] = ACTIONS(4952),
    [anon_sym___extension__] = ACTIONS(4950),
    [anon_sym_typedef] = ACTIONS(4950),
    [anon_sym_extern] = ACTIONS(4950),
    [anon_sym___attribute__] = ACTIONS(4950),
    [anon_sym___attribute] = ACTIONS(4950),
    [anon_sym_noreturn] = ACTIONS(4950),
    [anon_sym_LBRACK] = ACTIONS(4952),
    [anon_sym___declspec] = ACTIONS(4950),
    [anon_sym___cdecl] = ACTIONS(4950),
    [anon_sym___clrcall] = ACTIONS(4950),
    [anon_sym___stdcall] = ACTIONS(4950),
    [anon_sym___fastcall] = ACTIONS(4950),
    [anon_sym___thiscall] = ACTIONS(4950),
    [anon_sym___vectorcall] = ACTIONS(4950),
    [anon_sym_LBRACE] = ACTIONS(4952),
    [anon_sym_signed] = ACTIONS(4950),
    [anon_sym_unsigned] = ACTIONS(4950),
    [anon_sym_long] = ACTIONS(4950),
    [anon_sym_short] = ACTIONS(4950),
    [anon_sym_static] = ACTIONS(4950),
    [anon_sym_auto] = ACTIONS(4950),
    [anon_sym_register] = ACTIONS(4950),
    [anon_sym_inline] = ACTIONS(4950),
    [anon_sym___inline] = ACTIONS(4950),
    [anon_sym___inline__] = ACTIONS(4950),
    [anon_sym___forceinline] = ACTIONS(4950),
    [anon_sym_thread_local] = ACTIONS(4950),
    [anon_sym___thread] = ACTIONS(4950),
    [anon_sym_CG_EXTERN] = ACTIONS(4950),
    [anon_sym_CG_INLINE] = ACTIONS(4950),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4950),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4950),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4950),
    [anon_sym_IBOutlet] = ACTIONS(4950),
    [anon_sym_IBInspectable] = ACTIONS(4950),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4950),
    [anon_sym_NS_INLINE] = ACTIONS(4950),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4950),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4950),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4950),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4950),
    [anon_sym_const] = ACTIONS(4950),
    [anon_sym_constexpr] = ACTIONS(4950),
    [anon_sym_volatile] = ACTIONS(4950),
    [anon_sym_restrict] = ACTIONS(4950),
    [anon_sym___restrict__] = ACTIONS(4950),
    [anon_sym__Atomic] = ACTIONS(4950),
    [anon_sym__Noreturn] = ACTIONS(4950),
    [anon_sym__Nonnull] = ACTIONS(4950),
    [anon_sym_nullable] = ACTIONS(4950),
    [anon_sym__Complex] = ACTIONS(4950),
    [anon_sym__Nullable] = ACTIONS(4950),
    [anon_sym__Nullable_result] = ACTIONS(4950),
    [anon_sym__Null_unspecified] = ACTIONS(4950),
    [anon_sym___autoreleasing] = ACTIONS(4950),
    [anon_sym___block] = ACTIONS(4950),
    [anon_sym___bridge] = ACTIONS(4950),
    [anon_sym___bridge_retained] = ACTIONS(4950),
    [anon_sym___bridge_transfer] = ACTIONS(4950),
    [anon_sym___complex] = ACTIONS(4950),
    [anon_sym___const] = ACTIONS(4950),
    [anon_sym___imag] = ACTIONS(4950),
    [anon_sym___kindof] = ACTIONS(4950),
    [anon_sym___nonnull] = ACTIONS(4950),
    [anon_sym___nullable] = ACTIONS(4950),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4950),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4950),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4950),
    [anon_sym___real] = ACTIONS(4950),
    [anon_sym___strong] = ACTIONS(4950),
    [anon_sym___unsafe_unretained] = ACTIONS(4950),
    [anon_sym___unused] = ACTIONS(4950),
    [anon_sym___weak] = ACTIONS(4950),
    [anon_sym_alignas] = ACTIONS(4950),
    [anon_sym__Alignas] = ACTIONS(4950),
    [sym_primitive_type] = ACTIONS(4950),
    [anon_sym_enum] = ACTIONS(4950),
    [anon_sym_COLON] = ACTIONS(4952),
    [anon_sym_struct] = ACTIONS(4950),
    [anon_sym_union] = ACTIONS(4950),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4950),
    [anon_sym___typeof] = ACTIONS(4950),
    [anon_sym_typeof] = ACTIONS(4950),
    [aux_sym_preproc_undef_token1] = ACTIONS(4950),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4950),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4950),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4950),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4950),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4950),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4950),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4950),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4950),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4950),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4950),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4950),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4950),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4950),
    [anon_sym_API_AVAILABLE] = ACTIONS(4950),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4950),
    [anon_sym_API_DEPRECATED] = ACTIONS(4950),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4950),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4950),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4950),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4950),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4950),
    [anon_sym___deprecated_msg] = ACTIONS(4950),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4950),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4950),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4950),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4950),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4950),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4950),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4950),
    [anon_sym_ATend] = ACTIONS(4952),
    [anon_sym_ATsynthesize] = ACTIONS(4952),
    [anon_sym_ATdynamic] = ACTIONS(4952),
    [anon_sym_ATproperty] = ACTIONS(4952),
    [anon_sym_BOOL] = ACTIONS(4950),
    [anon_sym_IMP] = ACTIONS(4950),
    [anon_sym_SEL] = ACTIONS(4950),
    [anon_sym_Class] = ACTIONS(4950),
    [anon_sym_id] = ACTIONS(4950),
  },
  [1902] = {
    [sym_identifier] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [anon_sym_COMMA] = ACTIONS(4956),
    [anon_sym_RPAREN] = ACTIONS(4956),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_STAR] = ACTIONS(4956),
    [anon_sym_CARET] = ACTIONS(4956),
    [anon_sym_SEMI] = ACTIONS(4956),
    [anon_sym___extension__] = ACTIONS(4954),
    [anon_sym_typedef] = ACTIONS(4954),
    [anon_sym_extern] = ACTIONS(4954),
    [anon_sym___attribute__] = ACTIONS(4954),
    [anon_sym___attribute] = ACTIONS(4954),
    [anon_sym_noreturn] = ACTIONS(4954),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [anon_sym___declspec] = ACTIONS(4954),
    [anon_sym___based] = ACTIONS(4954),
    [anon_sym___cdecl] = ACTIONS(4954),
    [anon_sym___clrcall] = ACTIONS(4954),
    [anon_sym___stdcall] = ACTIONS(4954),
    [anon_sym___fastcall] = ACTIONS(4954),
    [anon_sym___thiscall] = ACTIONS(4954),
    [anon_sym___vectorcall] = ACTIONS(4954),
    [anon_sym_signed] = ACTIONS(4954),
    [anon_sym_unsigned] = ACTIONS(4954),
    [anon_sym_long] = ACTIONS(4954),
    [anon_sym_short] = ACTIONS(4954),
    [anon_sym_static] = ACTIONS(4954),
    [anon_sym_auto] = ACTIONS(4954),
    [anon_sym_register] = ACTIONS(4954),
    [anon_sym_inline] = ACTIONS(4954),
    [anon_sym___inline] = ACTIONS(4954),
    [anon_sym___inline__] = ACTIONS(4954),
    [anon_sym___forceinline] = ACTIONS(4954),
    [anon_sym_thread_local] = ACTIONS(4954),
    [anon_sym___thread] = ACTIONS(4954),
    [anon_sym_CG_EXTERN] = ACTIONS(4954),
    [anon_sym_CG_INLINE] = ACTIONS(4954),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4954),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4954),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4954),
    [anon_sym_IBOutlet] = ACTIONS(4954),
    [anon_sym_IBInspectable] = ACTIONS(4954),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4954),
    [anon_sym_NS_INLINE] = ACTIONS(4954),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4954),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4954),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4954),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4954),
    [anon_sym_const] = ACTIONS(4954),
    [anon_sym_constexpr] = ACTIONS(4954),
    [anon_sym_volatile] = ACTIONS(4954),
    [anon_sym_restrict] = ACTIONS(4954),
    [anon_sym___restrict__] = ACTIONS(4954),
    [anon_sym__Atomic] = ACTIONS(4954),
    [anon_sym__Noreturn] = ACTIONS(4954),
    [anon_sym__Nonnull] = ACTIONS(4954),
    [anon_sym_nullable] = ACTIONS(4954),
    [anon_sym__Complex] = ACTIONS(4954),
    [anon_sym__Nullable] = ACTIONS(4954),
    [anon_sym__Nullable_result] = ACTIONS(4954),
    [anon_sym__Null_unspecified] = ACTIONS(4954),
    [anon_sym___autoreleasing] = ACTIONS(4954),
    [anon_sym___block] = ACTIONS(4954),
    [anon_sym___bridge] = ACTIONS(4954),
    [anon_sym___bridge_retained] = ACTIONS(4954),
    [anon_sym___bridge_transfer] = ACTIONS(4954),
    [anon_sym___complex] = ACTIONS(4954),
    [anon_sym___const] = ACTIONS(4954),
    [anon_sym___imag] = ACTIONS(4954),
    [anon_sym___kindof] = ACTIONS(4954),
    [anon_sym___nonnull] = ACTIONS(4954),
    [anon_sym___nullable] = ACTIONS(4954),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4954),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4954),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4954),
    [anon_sym___real] = ACTIONS(4954),
    [anon_sym___strong] = ACTIONS(4954),
    [anon_sym___unsafe_unretained] = ACTIONS(4954),
    [anon_sym___unused] = ACTIONS(4954),
    [anon_sym___weak] = ACTIONS(4954),
    [anon_sym_alignas] = ACTIONS(4954),
    [anon_sym__Alignas] = ACTIONS(4954),
    [sym_primitive_type] = ACTIONS(4954),
    [anon_sym_enum] = ACTIONS(4954),
    [anon_sym_COLON] = ACTIONS(4956),
    [anon_sym_struct] = ACTIONS(4954),
    [anon_sym_union] = ACTIONS(4954),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4954),
    [anon_sym___typeof] = ACTIONS(4954),
    [anon_sym_typeof] = ACTIONS(4954),
    [aux_sym_preproc_undef_token1] = ACTIONS(4954),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4954),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4954),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4954),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4954),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4954),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4954),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4954),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4954),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4954),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4954),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4954),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4954),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4954),
    [anon_sym_API_AVAILABLE] = ACTIONS(4954),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4954),
    [anon_sym_API_DEPRECATED] = ACTIONS(4954),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4954),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4954),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4954),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4954),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4954),
    [anon_sym___deprecated_msg] = ACTIONS(4954),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4954),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4954),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4954),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4954),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4954),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4954),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4954),
    [anon_sym_ATend] = ACTIONS(4956),
    [anon_sym_ATsynthesize] = ACTIONS(4956),
    [anon_sym_ATdynamic] = ACTIONS(4956),
    [anon_sym_BOOL] = ACTIONS(4954),
    [anon_sym_IMP] = ACTIONS(4954),
    [anon_sym_SEL] = ACTIONS(4954),
    [anon_sym_Class] = ACTIONS(4954),
    [anon_sym_id] = ACTIONS(4954),
  },
  [1903] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(645),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(870),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(872),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1904] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(458),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1905] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(1007),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1906] = {
    [sym_identifier] = ACTIONS(4958),
    [aux_sym_preproc_def_token1] = ACTIONS(4958),
    [anon_sym_COMMA] = ACTIONS(4960),
    [anon_sym_RPAREN] = ACTIONS(4960),
    [aux_sym_preproc_if_token1] = ACTIONS(4958),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4958),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4958),
    [sym_preproc_directive] = ACTIONS(4958),
    [anon_sym_LPAREN2] = ACTIONS(4960),
    [anon_sym_DASH] = ACTIONS(4960),
    [anon_sym_PLUS] = ACTIONS(4960),
    [anon_sym_LT] = ACTIONS(4960),
    [anon_sym_SEMI] = ACTIONS(4960),
    [anon_sym___extension__] = ACTIONS(4958),
    [anon_sym_typedef] = ACTIONS(4958),
    [anon_sym_extern] = ACTIONS(4958),
    [anon_sym___attribute__] = ACTIONS(4958),
    [anon_sym___attribute] = ACTIONS(4958),
    [anon_sym_noreturn] = ACTIONS(4958),
    [anon_sym_LBRACK] = ACTIONS(4960),
    [anon_sym___declspec] = ACTIONS(4958),
    [anon_sym___cdecl] = ACTIONS(4958),
    [anon_sym___clrcall] = ACTIONS(4958),
    [anon_sym___stdcall] = ACTIONS(4958),
    [anon_sym___fastcall] = ACTIONS(4958),
    [anon_sym___thiscall] = ACTIONS(4958),
    [anon_sym___vectorcall] = ACTIONS(4958),
    [anon_sym_LBRACE] = ACTIONS(4960),
    [anon_sym_signed] = ACTIONS(4958),
    [anon_sym_unsigned] = ACTIONS(4958),
    [anon_sym_long] = ACTIONS(4958),
    [anon_sym_short] = ACTIONS(4958),
    [anon_sym_static] = ACTIONS(4958),
    [anon_sym_auto] = ACTIONS(4958),
    [anon_sym_register] = ACTIONS(4958),
    [anon_sym_inline] = ACTIONS(4958),
    [anon_sym___inline] = ACTIONS(4958),
    [anon_sym___inline__] = ACTIONS(4958),
    [anon_sym___forceinline] = ACTIONS(4958),
    [anon_sym_thread_local] = ACTIONS(4958),
    [anon_sym___thread] = ACTIONS(4958),
    [anon_sym_CG_EXTERN] = ACTIONS(4958),
    [anon_sym_CG_INLINE] = ACTIONS(4958),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4958),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4958),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4958),
    [anon_sym_IBOutlet] = ACTIONS(4958),
    [anon_sym_IBInspectable] = ACTIONS(4958),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4958),
    [anon_sym_NS_INLINE] = ACTIONS(4958),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4958),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4958),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4958),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4958),
    [anon_sym_const] = ACTIONS(4958),
    [anon_sym_constexpr] = ACTIONS(4958),
    [anon_sym_volatile] = ACTIONS(4958),
    [anon_sym_restrict] = ACTIONS(4958),
    [anon_sym___restrict__] = ACTIONS(4958),
    [anon_sym__Atomic] = ACTIONS(4958),
    [anon_sym__Noreturn] = ACTIONS(4958),
    [anon_sym__Nonnull] = ACTIONS(4958),
    [anon_sym_nullable] = ACTIONS(4958),
    [anon_sym__Complex] = ACTIONS(4958),
    [anon_sym__Nullable] = ACTIONS(4958),
    [anon_sym__Nullable_result] = ACTIONS(4958),
    [anon_sym__Null_unspecified] = ACTIONS(4958),
    [anon_sym___autoreleasing] = ACTIONS(4958),
    [anon_sym___block] = ACTIONS(4958),
    [anon_sym___bridge] = ACTIONS(4958),
    [anon_sym___bridge_retained] = ACTIONS(4958),
    [anon_sym___bridge_transfer] = ACTIONS(4958),
    [anon_sym___complex] = ACTIONS(4958),
    [anon_sym___const] = ACTIONS(4958),
    [anon_sym___imag] = ACTIONS(4958),
    [anon_sym___kindof] = ACTIONS(4958),
    [anon_sym___nonnull] = ACTIONS(4958),
    [anon_sym___nullable] = ACTIONS(4958),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4958),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4958),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4958),
    [anon_sym___real] = ACTIONS(4958),
    [anon_sym___strong] = ACTIONS(4958),
    [anon_sym___unsafe_unretained] = ACTIONS(4958),
    [anon_sym___unused] = ACTIONS(4958),
    [anon_sym___weak] = ACTIONS(4958),
    [anon_sym_alignas] = ACTIONS(4958),
    [anon_sym__Alignas] = ACTIONS(4958),
    [sym_primitive_type] = ACTIONS(4958),
    [anon_sym_enum] = ACTIONS(4958),
    [anon_sym_COLON] = ACTIONS(4960),
    [anon_sym_struct] = ACTIONS(4958),
    [anon_sym_union] = ACTIONS(4958),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4958),
    [anon_sym___typeof] = ACTIONS(4958),
    [anon_sym_typeof] = ACTIONS(4958),
    [aux_sym_preproc_undef_token1] = ACTIONS(4958),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4958),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4958),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4958),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4958),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4958),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4958),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4958),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4958),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4958),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4958),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4958),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4958),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4958),
    [anon_sym_API_AVAILABLE] = ACTIONS(4958),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4958),
    [anon_sym_API_DEPRECATED] = ACTIONS(4958),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4958),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4958),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4958),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4958),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4958),
    [anon_sym___deprecated_msg] = ACTIONS(4958),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4958),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4958),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4958),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4958),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4958),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4958),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4958),
    [anon_sym_ATend] = ACTIONS(4960),
    [anon_sym_ATsynthesize] = ACTIONS(4960),
    [anon_sym_ATdynamic] = ACTIONS(4960),
    [anon_sym_ATproperty] = ACTIONS(4960),
    [anon_sym_BOOL] = ACTIONS(4958),
    [anon_sym_IMP] = ACTIONS(4958),
    [anon_sym_SEL] = ACTIONS(4958),
    [anon_sym_Class] = ACTIONS(4958),
    [anon_sym_id] = ACTIONS(4958),
  },
  [1907] = {
    [sym_declaration] = STATE(1912),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(485),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1912),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1908] = {
    [sym_declaration] = STATE(1900),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(878),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1900),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1909] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(285),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1910] = {
    [sym_identifier] = ACTIONS(4962),
    [aux_sym_preproc_def_token1] = ACTIONS(4962),
    [anon_sym_COMMA] = ACTIONS(4964),
    [anon_sym_RPAREN] = ACTIONS(4964),
    [aux_sym_preproc_if_token1] = ACTIONS(4962),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4962),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4962),
    [sym_preproc_directive] = ACTIONS(4962),
    [anon_sym_LPAREN2] = ACTIONS(4964),
    [anon_sym_DASH] = ACTIONS(4964),
    [anon_sym_PLUS] = ACTIONS(4964),
    [anon_sym_LT] = ACTIONS(4964),
    [anon_sym_SEMI] = ACTIONS(4964),
    [anon_sym___extension__] = ACTIONS(4962),
    [anon_sym_typedef] = ACTIONS(4962),
    [anon_sym_extern] = ACTIONS(4962),
    [anon_sym___attribute__] = ACTIONS(4962),
    [anon_sym___attribute] = ACTIONS(4962),
    [anon_sym_noreturn] = ACTIONS(4962),
    [anon_sym_LBRACK] = ACTIONS(4964),
    [anon_sym___declspec] = ACTIONS(4962),
    [anon_sym___cdecl] = ACTIONS(4962),
    [anon_sym___clrcall] = ACTIONS(4962),
    [anon_sym___stdcall] = ACTIONS(4962),
    [anon_sym___fastcall] = ACTIONS(4962),
    [anon_sym___thiscall] = ACTIONS(4962),
    [anon_sym___vectorcall] = ACTIONS(4962),
    [anon_sym_LBRACE] = ACTIONS(4964),
    [anon_sym_signed] = ACTIONS(4962),
    [anon_sym_unsigned] = ACTIONS(4962),
    [anon_sym_long] = ACTIONS(4962),
    [anon_sym_short] = ACTIONS(4962),
    [anon_sym_static] = ACTIONS(4962),
    [anon_sym_auto] = ACTIONS(4962),
    [anon_sym_register] = ACTIONS(4962),
    [anon_sym_inline] = ACTIONS(4962),
    [anon_sym___inline] = ACTIONS(4962),
    [anon_sym___inline__] = ACTIONS(4962),
    [anon_sym___forceinline] = ACTIONS(4962),
    [anon_sym_thread_local] = ACTIONS(4962),
    [anon_sym___thread] = ACTIONS(4962),
    [anon_sym_CG_EXTERN] = ACTIONS(4962),
    [anon_sym_CG_INLINE] = ACTIONS(4962),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4962),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4962),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4962),
    [anon_sym_IBOutlet] = ACTIONS(4962),
    [anon_sym_IBInspectable] = ACTIONS(4962),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4962),
    [anon_sym_NS_INLINE] = ACTIONS(4962),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4962),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4962),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4962),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4962),
    [anon_sym_const] = ACTIONS(4962),
    [anon_sym_constexpr] = ACTIONS(4962),
    [anon_sym_volatile] = ACTIONS(4962),
    [anon_sym_restrict] = ACTIONS(4962),
    [anon_sym___restrict__] = ACTIONS(4962),
    [anon_sym__Atomic] = ACTIONS(4962),
    [anon_sym__Noreturn] = ACTIONS(4962),
    [anon_sym__Nonnull] = ACTIONS(4962),
    [anon_sym_nullable] = ACTIONS(4962),
    [anon_sym__Complex] = ACTIONS(4962),
    [anon_sym__Nullable] = ACTIONS(4962),
    [anon_sym__Nullable_result] = ACTIONS(4962),
    [anon_sym__Null_unspecified] = ACTIONS(4962),
    [anon_sym___autoreleasing] = ACTIONS(4962),
    [anon_sym___block] = ACTIONS(4962),
    [anon_sym___bridge] = ACTIONS(4962),
    [anon_sym___bridge_retained] = ACTIONS(4962),
    [anon_sym___bridge_transfer] = ACTIONS(4962),
    [anon_sym___complex] = ACTIONS(4962),
    [anon_sym___const] = ACTIONS(4962),
    [anon_sym___imag] = ACTIONS(4962),
    [anon_sym___kindof] = ACTIONS(4962),
    [anon_sym___nonnull] = ACTIONS(4962),
    [anon_sym___nullable] = ACTIONS(4962),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4962),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4962),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4962),
    [anon_sym___real] = ACTIONS(4962),
    [anon_sym___strong] = ACTIONS(4962),
    [anon_sym___unsafe_unretained] = ACTIONS(4962),
    [anon_sym___unused] = ACTIONS(4962),
    [anon_sym___weak] = ACTIONS(4962),
    [anon_sym_alignas] = ACTIONS(4962),
    [anon_sym__Alignas] = ACTIONS(4962),
    [sym_primitive_type] = ACTIONS(4962),
    [anon_sym_enum] = ACTIONS(4962),
    [anon_sym_COLON] = ACTIONS(4964),
    [anon_sym_struct] = ACTIONS(4962),
    [anon_sym_union] = ACTIONS(4962),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4962),
    [anon_sym___typeof] = ACTIONS(4962),
    [anon_sym_typeof] = ACTIONS(4962),
    [aux_sym_preproc_undef_token1] = ACTIONS(4962),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4962),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4962),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4962),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4962),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4962),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4962),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4962),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4962),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4962),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4962),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4962),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4962),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4962),
    [anon_sym_API_AVAILABLE] = ACTIONS(4962),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4962),
    [anon_sym_API_DEPRECATED] = ACTIONS(4962),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4962),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4962),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4962),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4962),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4962),
    [anon_sym___deprecated_msg] = ACTIONS(4962),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4962),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4962),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4962),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4962),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4962),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4962),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4962),
    [anon_sym_ATend] = ACTIONS(4964),
    [anon_sym_ATsynthesize] = ACTIONS(4964),
    [anon_sym_ATdynamic] = ACTIONS(4964),
    [anon_sym_ATproperty] = ACTIONS(4964),
    [anon_sym_BOOL] = ACTIONS(4962),
    [anon_sym_IMP] = ACTIONS(4962),
    [anon_sym_SEL] = ACTIONS(4962),
    [anon_sym_Class] = ACTIONS(4962),
    [anon_sym_id] = ACTIONS(4962),
  },
  [1911] = {
    [sym_identifier] = ACTIONS(4966),
    [aux_sym_preproc_def_token1] = ACTIONS(4966),
    [anon_sym_COMMA] = ACTIONS(4968),
    [anon_sym_RPAREN] = ACTIONS(4968),
    [aux_sym_preproc_if_token1] = ACTIONS(4966),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4966),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4966),
    [sym_preproc_directive] = ACTIONS(4966),
    [anon_sym_LPAREN2] = ACTIONS(4968),
    [anon_sym_DASH] = ACTIONS(4968),
    [anon_sym_PLUS] = ACTIONS(4968),
    [anon_sym_LT] = ACTIONS(4968),
    [anon_sym_SEMI] = ACTIONS(4968),
    [anon_sym___extension__] = ACTIONS(4966),
    [anon_sym_typedef] = ACTIONS(4966),
    [anon_sym_extern] = ACTIONS(4966),
    [anon_sym___attribute__] = ACTIONS(4966),
    [anon_sym___attribute] = ACTIONS(4966),
    [anon_sym_noreturn] = ACTIONS(4966),
    [anon_sym_LBRACK] = ACTIONS(4968),
    [anon_sym___declspec] = ACTIONS(4966),
    [anon_sym___cdecl] = ACTIONS(4966),
    [anon_sym___clrcall] = ACTIONS(4966),
    [anon_sym___stdcall] = ACTIONS(4966),
    [anon_sym___fastcall] = ACTIONS(4966),
    [anon_sym___thiscall] = ACTIONS(4966),
    [anon_sym___vectorcall] = ACTIONS(4966),
    [anon_sym_LBRACE] = ACTIONS(4968),
    [anon_sym_signed] = ACTIONS(4966),
    [anon_sym_unsigned] = ACTIONS(4966),
    [anon_sym_long] = ACTIONS(4966),
    [anon_sym_short] = ACTIONS(4966),
    [anon_sym_static] = ACTIONS(4966),
    [anon_sym_auto] = ACTIONS(4966),
    [anon_sym_register] = ACTIONS(4966),
    [anon_sym_inline] = ACTIONS(4966),
    [anon_sym___inline] = ACTIONS(4966),
    [anon_sym___inline__] = ACTIONS(4966),
    [anon_sym___forceinline] = ACTIONS(4966),
    [anon_sym_thread_local] = ACTIONS(4966),
    [anon_sym___thread] = ACTIONS(4966),
    [anon_sym_CG_EXTERN] = ACTIONS(4966),
    [anon_sym_CG_INLINE] = ACTIONS(4966),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4966),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4966),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4966),
    [anon_sym_IBOutlet] = ACTIONS(4966),
    [anon_sym_IBInspectable] = ACTIONS(4966),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4966),
    [anon_sym_NS_INLINE] = ACTIONS(4966),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4966),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4966),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4966),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4966),
    [anon_sym_const] = ACTIONS(4966),
    [anon_sym_constexpr] = ACTIONS(4966),
    [anon_sym_volatile] = ACTIONS(4966),
    [anon_sym_restrict] = ACTIONS(4966),
    [anon_sym___restrict__] = ACTIONS(4966),
    [anon_sym__Atomic] = ACTIONS(4966),
    [anon_sym__Noreturn] = ACTIONS(4966),
    [anon_sym__Nonnull] = ACTIONS(4966),
    [anon_sym_nullable] = ACTIONS(4966),
    [anon_sym__Complex] = ACTIONS(4966),
    [anon_sym__Nullable] = ACTIONS(4966),
    [anon_sym__Nullable_result] = ACTIONS(4966),
    [anon_sym__Null_unspecified] = ACTIONS(4966),
    [anon_sym___autoreleasing] = ACTIONS(4966),
    [anon_sym___block] = ACTIONS(4966),
    [anon_sym___bridge] = ACTIONS(4966),
    [anon_sym___bridge_retained] = ACTIONS(4966),
    [anon_sym___bridge_transfer] = ACTIONS(4966),
    [anon_sym___complex] = ACTIONS(4966),
    [anon_sym___const] = ACTIONS(4966),
    [anon_sym___imag] = ACTIONS(4966),
    [anon_sym___kindof] = ACTIONS(4966),
    [anon_sym___nonnull] = ACTIONS(4966),
    [anon_sym___nullable] = ACTIONS(4966),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4966),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4966),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4966),
    [anon_sym___real] = ACTIONS(4966),
    [anon_sym___strong] = ACTIONS(4966),
    [anon_sym___unsafe_unretained] = ACTIONS(4966),
    [anon_sym___unused] = ACTIONS(4966),
    [anon_sym___weak] = ACTIONS(4966),
    [anon_sym_alignas] = ACTIONS(4966),
    [anon_sym__Alignas] = ACTIONS(4966),
    [sym_primitive_type] = ACTIONS(4966),
    [anon_sym_enum] = ACTIONS(4966),
    [anon_sym_COLON] = ACTIONS(4968),
    [anon_sym_struct] = ACTIONS(4966),
    [anon_sym_union] = ACTIONS(4966),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4966),
    [anon_sym___typeof] = ACTIONS(4966),
    [anon_sym_typeof] = ACTIONS(4966),
    [aux_sym_preproc_undef_token1] = ACTIONS(4966),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4966),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4966),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4966),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4966),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4966),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4966),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4966),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4966),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4966),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4966),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4966),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4966),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4966),
    [anon_sym_API_AVAILABLE] = ACTIONS(4966),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4966),
    [anon_sym_API_DEPRECATED] = ACTIONS(4966),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4966),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4966),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4966),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4966),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4966),
    [anon_sym___deprecated_msg] = ACTIONS(4966),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4966),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4966),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4966),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4966),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4966),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4966),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4966),
    [anon_sym_ATend] = ACTIONS(4968),
    [anon_sym_ATsynthesize] = ACTIONS(4968),
    [anon_sym_ATdynamic] = ACTIONS(4968),
    [anon_sym_ATproperty] = ACTIONS(4968),
    [anon_sym_BOOL] = ACTIONS(4966),
    [anon_sym_IMP] = ACTIONS(4966),
    [anon_sym_SEL] = ACTIONS(4966),
    [anon_sym_Class] = ACTIONS(4966),
    [anon_sym_id] = ACTIONS(4966),
  },
  [1912] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(491),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1913] = {
    [sym_declaration] = STATE(1904),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(505),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1904),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1914] = {
    [sym_identifier] = ACTIONS(4970),
    [aux_sym_preproc_def_token1] = ACTIONS(4970),
    [anon_sym_COMMA] = ACTIONS(4972),
    [anon_sym_RPAREN] = ACTIONS(4972),
    [aux_sym_preproc_if_token1] = ACTIONS(4970),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4970),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4970),
    [sym_preproc_directive] = ACTIONS(4970),
    [anon_sym_LPAREN2] = ACTIONS(4972),
    [anon_sym_DASH] = ACTIONS(4972),
    [anon_sym_PLUS] = ACTIONS(4972),
    [anon_sym_LT] = ACTIONS(4972),
    [anon_sym_SEMI] = ACTIONS(4972),
    [anon_sym___extension__] = ACTIONS(4970),
    [anon_sym_typedef] = ACTIONS(4970),
    [anon_sym_extern] = ACTIONS(4970),
    [anon_sym___attribute__] = ACTIONS(4970),
    [anon_sym___attribute] = ACTIONS(4970),
    [anon_sym_noreturn] = ACTIONS(4970),
    [anon_sym_LBRACK] = ACTIONS(4972),
    [anon_sym___declspec] = ACTIONS(4970),
    [anon_sym___cdecl] = ACTIONS(4970),
    [anon_sym___clrcall] = ACTIONS(4970),
    [anon_sym___stdcall] = ACTIONS(4970),
    [anon_sym___fastcall] = ACTIONS(4970),
    [anon_sym___thiscall] = ACTIONS(4970),
    [anon_sym___vectorcall] = ACTIONS(4970),
    [anon_sym_LBRACE] = ACTIONS(4972),
    [anon_sym_signed] = ACTIONS(4970),
    [anon_sym_unsigned] = ACTIONS(4970),
    [anon_sym_long] = ACTIONS(4970),
    [anon_sym_short] = ACTIONS(4970),
    [anon_sym_static] = ACTIONS(4970),
    [anon_sym_auto] = ACTIONS(4970),
    [anon_sym_register] = ACTIONS(4970),
    [anon_sym_inline] = ACTIONS(4970),
    [anon_sym___inline] = ACTIONS(4970),
    [anon_sym___inline__] = ACTIONS(4970),
    [anon_sym___forceinline] = ACTIONS(4970),
    [anon_sym_thread_local] = ACTIONS(4970),
    [anon_sym___thread] = ACTIONS(4970),
    [anon_sym_CG_EXTERN] = ACTIONS(4970),
    [anon_sym_CG_INLINE] = ACTIONS(4970),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4970),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4970),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4970),
    [anon_sym_IBOutlet] = ACTIONS(4970),
    [anon_sym_IBInspectable] = ACTIONS(4970),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4970),
    [anon_sym_NS_INLINE] = ACTIONS(4970),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4970),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4970),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4970),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4970),
    [anon_sym_const] = ACTIONS(4970),
    [anon_sym_constexpr] = ACTIONS(4970),
    [anon_sym_volatile] = ACTIONS(4970),
    [anon_sym_restrict] = ACTIONS(4970),
    [anon_sym___restrict__] = ACTIONS(4970),
    [anon_sym__Atomic] = ACTIONS(4970),
    [anon_sym__Noreturn] = ACTIONS(4970),
    [anon_sym__Nonnull] = ACTIONS(4970),
    [anon_sym_nullable] = ACTIONS(4970),
    [anon_sym__Complex] = ACTIONS(4970),
    [anon_sym__Nullable] = ACTIONS(4970),
    [anon_sym__Nullable_result] = ACTIONS(4970),
    [anon_sym__Null_unspecified] = ACTIONS(4970),
    [anon_sym___autoreleasing] = ACTIONS(4970),
    [anon_sym___block] = ACTIONS(4970),
    [anon_sym___bridge] = ACTIONS(4970),
    [anon_sym___bridge_retained] = ACTIONS(4970),
    [anon_sym___bridge_transfer] = ACTIONS(4970),
    [anon_sym___complex] = ACTIONS(4970),
    [anon_sym___const] = ACTIONS(4970),
    [anon_sym___imag] = ACTIONS(4970),
    [anon_sym___kindof] = ACTIONS(4970),
    [anon_sym___nonnull] = ACTIONS(4970),
    [anon_sym___nullable] = ACTIONS(4970),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4970),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4970),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4970),
    [anon_sym___real] = ACTIONS(4970),
    [anon_sym___strong] = ACTIONS(4970),
    [anon_sym___unsafe_unretained] = ACTIONS(4970),
    [anon_sym___unused] = ACTIONS(4970),
    [anon_sym___weak] = ACTIONS(4970),
    [anon_sym_alignas] = ACTIONS(4970),
    [anon_sym__Alignas] = ACTIONS(4970),
    [sym_primitive_type] = ACTIONS(4970),
    [anon_sym_enum] = ACTIONS(4970),
    [anon_sym_COLON] = ACTIONS(4972),
    [anon_sym_struct] = ACTIONS(4970),
    [anon_sym_union] = ACTIONS(4970),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4970),
    [anon_sym___typeof] = ACTIONS(4970),
    [anon_sym_typeof] = ACTIONS(4970),
    [aux_sym_preproc_undef_token1] = ACTIONS(4970),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4970),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4970),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4970),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4970),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4970),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4970),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4970),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4970),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4970),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4970),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4970),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4970),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4970),
    [anon_sym_API_AVAILABLE] = ACTIONS(4970),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4970),
    [anon_sym_API_DEPRECATED] = ACTIONS(4970),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4970),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4970),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4970),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4970),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4970),
    [anon_sym___deprecated_msg] = ACTIONS(4970),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4970),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4970),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4970),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4970),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4970),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4970),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4970),
    [anon_sym_ATend] = ACTIONS(4972),
    [anon_sym_ATsynthesize] = ACTIONS(4972),
    [anon_sym_ATdynamic] = ACTIONS(4972),
    [anon_sym_ATproperty] = ACTIONS(4972),
    [anon_sym_BOOL] = ACTIONS(4970),
    [anon_sym_IMP] = ACTIONS(4970),
    [anon_sym_SEL] = ACTIONS(4970),
    [anon_sym_Class] = ACTIONS(4970),
    [anon_sym_id] = ACTIONS(4970),
  },
  [1915] = {
    [sym_identifier] = ACTIONS(4974),
    [aux_sym_preproc_def_token1] = ACTIONS(4974),
    [anon_sym_COMMA] = ACTIONS(4976),
    [anon_sym_RPAREN] = ACTIONS(4976),
    [aux_sym_preproc_if_token1] = ACTIONS(4974),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4974),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4974),
    [sym_preproc_directive] = ACTIONS(4974),
    [anon_sym_LPAREN2] = ACTIONS(4976),
    [anon_sym_DASH] = ACTIONS(4976),
    [anon_sym_PLUS] = ACTIONS(4976),
    [anon_sym_LT] = ACTIONS(4976),
    [anon_sym_SEMI] = ACTIONS(4976),
    [anon_sym___extension__] = ACTIONS(4974),
    [anon_sym_typedef] = ACTIONS(4974),
    [anon_sym_extern] = ACTIONS(4974),
    [anon_sym___attribute__] = ACTIONS(4974),
    [anon_sym___attribute] = ACTIONS(4974),
    [anon_sym_noreturn] = ACTIONS(4974),
    [anon_sym_LBRACK] = ACTIONS(4976),
    [anon_sym___declspec] = ACTIONS(4974),
    [anon_sym___cdecl] = ACTIONS(4974),
    [anon_sym___clrcall] = ACTIONS(4974),
    [anon_sym___stdcall] = ACTIONS(4974),
    [anon_sym___fastcall] = ACTIONS(4974),
    [anon_sym___thiscall] = ACTIONS(4974),
    [anon_sym___vectorcall] = ACTIONS(4974),
    [anon_sym_LBRACE] = ACTIONS(4976),
    [anon_sym_signed] = ACTIONS(4974),
    [anon_sym_unsigned] = ACTIONS(4974),
    [anon_sym_long] = ACTIONS(4974),
    [anon_sym_short] = ACTIONS(4974),
    [anon_sym_static] = ACTIONS(4974),
    [anon_sym_auto] = ACTIONS(4974),
    [anon_sym_register] = ACTIONS(4974),
    [anon_sym_inline] = ACTIONS(4974),
    [anon_sym___inline] = ACTIONS(4974),
    [anon_sym___inline__] = ACTIONS(4974),
    [anon_sym___forceinline] = ACTIONS(4974),
    [anon_sym_thread_local] = ACTIONS(4974),
    [anon_sym___thread] = ACTIONS(4974),
    [anon_sym_CG_EXTERN] = ACTIONS(4974),
    [anon_sym_CG_INLINE] = ACTIONS(4974),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4974),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4974),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4974),
    [anon_sym_IBOutlet] = ACTIONS(4974),
    [anon_sym_IBInspectable] = ACTIONS(4974),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4974),
    [anon_sym_NS_INLINE] = ACTIONS(4974),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4974),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4974),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4974),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4974),
    [anon_sym_const] = ACTIONS(4974),
    [anon_sym_constexpr] = ACTIONS(4974),
    [anon_sym_volatile] = ACTIONS(4974),
    [anon_sym_restrict] = ACTIONS(4974),
    [anon_sym___restrict__] = ACTIONS(4974),
    [anon_sym__Atomic] = ACTIONS(4974),
    [anon_sym__Noreturn] = ACTIONS(4974),
    [anon_sym__Nonnull] = ACTIONS(4974),
    [anon_sym_nullable] = ACTIONS(4974),
    [anon_sym__Complex] = ACTIONS(4974),
    [anon_sym__Nullable] = ACTIONS(4974),
    [anon_sym__Nullable_result] = ACTIONS(4974),
    [anon_sym__Null_unspecified] = ACTIONS(4974),
    [anon_sym___autoreleasing] = ACTIONS(4974),
    [anon_sym___block] = ACTIONS(4974),
    [anon_sym___bridge] = ACTIONS(4974),
    [anon_sym___bridge_retained] = ACTIONS(4974),
    [anon_sym___bridge_transfer] = ACTIONS(4974),
    [anon_sym___complex] = ACTIONS(4974),
    [anon_sym___const] = ACTIONS(4974),
    [anon_sym___imag] = ACTIONS(4974),
    [anon_sym___kindof] = ACTIONS(4974),
    [anon_sym___nonnull] = ACTIONS(4974),
    [anon_sym___nullable] = ACTIONS(4974),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4974),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4974),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4974),
    [anon_sym___real] = ACTIONS(4974),
    [anon_sym___strong] = ACTIONS(4974),
    [anon_sym___unsafe_unretained] = ACTIONS(4974),
    [anon_sym___unused] = ACTIONS(4974),
    [anon_sym___weak] = ACTIONS(4974),
    [anon_sym_alignas] = ACTIONS(4974),
    [anon_sym__Alignas] = ACTIONS(4974),
    [sym_primitive_type] = ACTIONS(4974),
    [anon_sym_enum] = ACTIONS(4974),
    [anon_sym_COLON] = ACTIONS(4976),
    [anon_sym_struct] = ACTIONS(4974),
    [anon_sym_union] = ACTIONS(4974),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4974),
    [anon_sym___typeof] = ACTIONS(4974),
    [anon_sym_typeof] = ACTIONS(4974),
    [aux_sym_preproc_undef_token1] = ACTIONS(4974),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4974),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4974),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4974),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4974),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4974),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4974),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4974),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4974),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4974),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4974),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4974),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4974),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4974),
    [anon_sym_API_AVAILABLE] = ACTIONS(4974),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4974),
    [anon_sym_API_DEPRECATED] = ACTIONS(4974),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4974),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4974),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4974),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4974),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4974),
    [anon_sym___deprecated_msg] = ACTIONS(4974),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4974),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4974),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4974),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4974),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4974),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4974),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4974),
    [anon_sym_ATend] = ACTIONS(4976),
    [anon_sym_ATsynthesize] = ACTIONS(4976),
    [anon_sym_ATdynamic] = ACTIONS(4976),
    [anon_sym_ATproperty] = ACTIONS(4976),
    [anon_sym_BOOL] = ACTIONS(4974),
    [anon_sym_IMP] = ACTIONS(4974),
    [anon_sym_SEL] = ACTIONS(4974),
    [anon_sym_Class] = ACTIONS(4974),
    [anon_sym_id] = ACTIONS(4974),
  },
  [1916] = {
    [sym_declaration] = STATE(1895),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(857),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1895),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1917] = {
    [sym_declaration] = STATE(1893),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(1011),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1893),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1918] = {
    [sym_declaration] = STATE(1918),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1918),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(4978),
    [anon_sym_SEMI] = ACTIONS(4981),
    [anon_sym___extension__] = ACTIONS(4983),
    [anon_sym_extern] = ACTIONS(4986),
    [anon_sym___attribute__] = ACTIONS(4989),
    [anon_sym___attribute] = ACTIONS(4989),
    [anon_sym_noreturn] = ACTIONS(4983),
    [anon_sym_LBRACK] = ACTIONS(4992),
    [anon_sym___declspec] = ACTIONS(4995),
    [anon_sym_LBRACE] = ACTIONS(4981),
    [anon_sym_signed] = ACTIONS(4998),
    [anon_sym_unsigned] = ACTIONS(4998),
    [anon_sym_long] = ACTIONS(4998),
    [anon_sym_short] = ACTIONS(4998),
    [anon_sym_static] = ACTIONS(4986),
    [anon_sym_ATautoreleasepool] = ACTIONS(4981),
    [anon_sym_auto] = ACTIONS(4986),
    [anon_sym_register] = ACTIONS(4986),
    [anon_sym_inline] = ACTIONS(4986),
    [anon_sym___inline] = ACTIONS(4986),
    [anon_sym___inline__] = ACTIONS(4986),
    [anon_sym___forceinline] = ACTIONS(4986),
    [anon_sym_thread_local] = ACTIONS(4986),
    [anon_sym___thread] = ACTIONS(4986),
    [anon_sym_CG_EXTERN] = ACTIONS(4986),
    [anon_sym_CG_INLINE] = ACTIONS(4986),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4986),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4986),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4986),
    [anon_sym_IBOutlet] = ACTIONS(4986),
    [anon_sym_IBInspectable] = ACTIONS(4986),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4986),
    [anon_sym_NS_INLINE] = ACTIONS(4986),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4986),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4986),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4986),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4986),
    [anon_sym_const] = ACTIONS(4983),
    [anon_sym_constexpr] = ACTIONS(4983),
    [anon_sym_volatile] = ACTIONS(4983),
    [anon_sym_restrict] = ACTIONS(4983),
    [anon_sym___restrict__] = ACTIONS(4983),
    [anon_sym__Atomic] = ACTIONS(4983),
    [anon_sym__Noreturn] = ACTIONS(4983),
    [anon_sym__Nonnull] = ACTIONS(4983),
    [anon_sym_nullable] = ACTIONS(4983),
    [anon_sym__Complex] = ACTIONS(4983),
    [anon_sym__Nullable] = ACTIONS(4983),
    [anon_sym__Nullable_result] = ACTIONS(4983),
    [anon_sym__Null_unspecified] = ACTIONS(4983),
    [anon_sym___autoreleasing] = ACTIONS(4983),
    [anon_sym___block] = ACTIONS(4983),
    [anon_sym___bridge] = ACTIONS(4983),
    [anon_sym___bridge_retained] = ACTIONS(4983),
    [anon_sym___bridge_transfer] = ACTIONS(4983),
    [anon_sym___complex] = ACTIONS(4983),
    [anon_sym___const] = ACTIONS(4983),
    [anon_sym___imag] = ACTIONS(4983),
    [anon_sym___kindof] = ACTIONS(4983),
    [anon_sym___nonnull] = ACTIONS(4983),
    [anon_sym___nullable] = ACTIONS(4983),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4983),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4983),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4983),
    [anon_sym___real] = ACTIONS(4983),
    [anon_sym___strong] = ACTIONS(4983),
    [anon_sym___unsafe_unretained] = ACTIONS(4983),
    [anon_sym___unused] = ACTIONS(4983),
    [anon_sym___weak] = ACTIONS(4983),
    [anon_sym_alignas] = ACTIONS(5001),
    [anon_sym__Alignas] = ACTIONS(5001),
    [sym_primitive_type] = ACTIONS(5004),
    [anon_sym_enum] = ACTIONS(5007),
    [anon_sym_struct] = ACTIONS(5010),
    [anon_sym_union] = ACTIONS(5013),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5016),
    [anon_sym___typeof] = ACTIONS(5016),
    [anon_sym_typeof] = ACTIONS(5016),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5019),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5019),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5019),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5019),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5019),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5019),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5019),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5019),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5019),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5022),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5022),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5022),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5022),
    [anon_sym_API_AVAILABLE] = ACTIONS(5022),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5022),
    [anon_sym_API_DEPRECATED] = ACTIONS(5022),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5022),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5022),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5022),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5022),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5022),
    [anon_sym___deprecated_msg] = ACTIONS(5022),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5022),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5022),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5022),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5022),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5022),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5022),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5022),
    [anon_sym_BOOL] = ACTIONS(5025),
    [anon_sym_IMP] = ACTIONS(5025),
    [anon_sym_SEL] = ACTIONS(5025),
    [anon_sym_Class] = ACTIONS(5025),
    [anon_sym_id] = ACTIONS(5025),
  },
  [1919] = {
    [sym_declaration] = STATE(1909),
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4218),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_compound_statement] = STATE(351),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__old_style_function_definition_repeat1] = STATE(1909),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1920] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5028),
    [anon_sym_PLUS] = ACTIONS(5028),
    [anon_sym_STAR] = ACTIONS(5030),
    [anon_sym_SLASH] = ACTIONS(5030),
    [anon_sym_PERCENT] = ACTIONS(5030),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4034),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(5032),
    [anon_sym_BANG_EQ] = ACTIONS(5032),
    [anon_sym_GT] = ACTIONS(5034),
    [anon_sym_GT_EQ] = ACTIONS(5036),
    [anon_sym_LT_EQ] = ACTIONS(5036),
    [anon_sym_LT] = ACTIONS(5034),
    [anon_sym_LT_LT] = ACTIONS(5038),
    [anon_sym_GT_GT] = ACTIONS(5038),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_RBRACE] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
  },
  [1921] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5028),
    [anon_sym_PLUS] = ACTIONS(5028),
    [anon_sym_STAR] = ACTIONS(5030),
    [anon_sym_SLASH] = ACTIONS(5030),
    [anon_sym_PERCENT] = ACTIONS(5030),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4034),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(5034),
    [anon_sym_GT_EQ] = ACTIONS(5036),
    [anon_sym_LT_EQ] = ACTIONS(5036),
    [anon_sym_LT] = ACTIONS(5034),
    [anon_sym_LT_LT] = ACTIONS(5038),
    [anon_sym_GT_GT] = ACTIONS(5038),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_RBRACE] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
  },
  [1922] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5028),
    [anon_sym_PLUS] = ACTIONS(5028),
    [anon_sym_STAR] = ACTIONS(5030),
    [anon_sym_SLASH] = ACTIONS(5030),
    [anon_sym_PERCENT] = ACTIONS(5030),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4034),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(4034),
    [anon_sym_GT_EQ] = ACTIONS(4036),
    [anon_sym_LT_EQ] = ACTIONS(4036),
    [anon_sym_LT] = ACTIONS(4034),
    [anon_sym_LT_LT] = ACTIONS(5038),
    [anon_sym_GT_GT] = ACTIONS(5038),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_RBRACE] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
  },
  [1923] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5028),
    [anon_sym_PLUS] = ACTIONS(5028),
    [anon_sym_STAR] = ACTIONS(5030),
    [anon_sym_SLASH] = ACTIONS(5030),
    [anon_sym_PERCENT] = ACTIONS(5030),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4034),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(4034),
    [anon_sym_GT_EQ] = ACTIONS(4036),
    [anon_sym_LT_EQ] = ACTIONS(4036),
    [anon_sym_LT] = ACTIONS(4034),
    [anon_sym_LT_LT] = ACTIONS(4034),
    [anon_sym_GT_GT] = ACTIONS(4034),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_RBRACE] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
  },
  [1924] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5040),
    [anon_sym_COMMA] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5028),
    [anon_sym_PLUS] = ACTIONS(5028),
    [anon_sym_STAR] = ACTIONS(5030),
    [anon_sym_SLASH] = ACTIONS(5030),
    [anon_sym_PERCENT] = ACTIONS(5030),
    [anon_sym_PIPE_PIPE] = ACTIONS(5042),
    [anon_sym_AMP_AMP] = ACTIONS(5044),
    [anon_sym_PIPE] = ACTIONS(5046),
    [anon_sym_CARET] = ACTIONS(5048),
    [anon_sym_AMP] = ACTIONS(5050),
    [anon_sym_EQ_EQ] = ACTIONS(5032),
    [anon_sym_BANG_EQ] = ACTIONS(5032),
    [anon_sym_GT] = ACTIONS(5034),
    [anon_sym_GT_EQ] = ACTIONS(5036),
    [anon_sym_LT_EQ] = ACTIONS(5036),
    [anon_sym_LT] = ACTIONS(5034),
    [anon_sym_LT_LT] = ACTIONS(5038),
    [anon_sym_GT_GT] = ACTIONS(5038),
    [anon_sym___extension__] = ACTIONS(4401),
    [anon_sym_extern] = ACTIONS(4401),
    [anon_sym___attribute__] = ACTIONS(4401),
    [anon_sym___attribute] = ACTIONS(4401),
    [anon_sym_noreturn] = ACTIONS(4401),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4401),
    [anon_sym_RBRACE] = ACTIONS(4405),
    [anon_sym_static] = ACTIONS(4401),
    [anon_sym_EQ] = ACTIONS(4401),
    [anon_sym_auto] = ACTIONS(4401),
    [anon_sym_register] = ACTIONS(4401),
    [anon_sym_inline] = ACTIONS(4401),
    [anon_sym___inline] = ACTIONS(4401),
    [anon_sym___inline__] = ACTIONS(4401),
    [anon_sym___forceinline] = ACTIONS(4401),
    [anon_sym_thread_local] = ACTIONS(4401),
    [anon_sym___thread] = ACTIONS(4401),
    [anon_sym_CG_EXTERN] = ACTIONS(4401),
    [anon_sym_CG_INLINE] = ACTIONS(4401),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4401),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4401),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4401),
    [anon_sym_IBOutlet] = ACTIONS(4401),
    [anon_sym_IBInspectable] = ACTIONS(4401),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4401),
    [anon_sym_NS_INLINE] = ACTIONS(4401),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4401),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4401),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4401),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4401),
    [anon_sym_const] = ACTIONS(4401),
    [anon_sym_constexpr] = ACTIONS(4401),
    [anon_sym_volatile] = ACTIONS(4401),
    [anon_sym_restrict] = ACTIONS(4401),
    [anon_sym___restrict__] = ACTIONS(4401),
    [anon_sym__Atomic] = ACTIONS(4401),
    [anon_sym__Noreturn] = ACTIONS(4401),
    [anon_sym__Nonnull] = ACTIONS(4401),
    [anon_sym_nullable] = ACTIONS(4401),
    [anon_sym__Complex] = ACTIONS(4401),
    [anon_sym__Nullable] = ACTIONS(4401),
    [anon_sym__Nullable_result] = ACTIONS(4401),
    [anon_sym__Null_unspecified] = ACTIONS(4401),
    [anon_sym___autoreleasing] = ACTIONS(4401),
    [anon_sym___block] = ACTIONS(4401),
    [anon_sym___bridge] = ACTIONS(4401),
    [anon_sym___bridge_retained] = ACTIONS(4401),
    [anon_sym___bridge_transfer] = ACTIONS(4401),
    [anon_sym___complex] = ACTIONS(4401),
    [anon_sym___const] = ACTIONS(4401),
    [anon_sym___imag] = ACTIONS(4401),
    [anon_sym___kindof] = ACTIONS(4401),
    [anon_sym___nonnull] = ACTIONS(4401),
    [anon_sym___nullable] = ACTIONS(4401),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4401),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4401),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4401),
    [anon_sym___real] = ACTIONS(4401),
    [anon_sym___strong] = ACTIONS(4401),
    [anon_sym___unsafe_unretained] = ACTIONS(4401),
    [anon_sym___unused] = ACTIONS(4401),
    [anon_sym___weak] = ACTIONS(4401),
    [anon_sym_alignas] = ACTIONS(4401),
    [anon_sym__Alignas] = ACTIONS(4401),
    [anon_sym_QMARK] = ACTIONS(5052),
    [anon_sym_STAR_EQ] = ACTIONS(4405),
    [anon_sym_SLASH_EQ] = ACTIONS(4405),
    [anon_sym_PERCENT_EQ] = ACTIONS(4405),
    [anon_sym_PLUS_EQ] = ACTIONS(4405),
    [anon_sym_DASH_EQ] = ACTIONS(4405),
    [anon_sym_LT_LT_EQ] = ACTIONS(4405),
    [anon_sym_GT_GT_EQ] = ACTIONS(4405),
    [anon_sym_AMP_EQ] = ACTIONS(4405),
    [anon_sym_CARET_EQ] = ACTIONS(4405),
    [anon_sym_PIPE_EQ] = ACTIONS(4405),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4401),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4401),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4401),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4401),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4401),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4401),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4401),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4401),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4401),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4401),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4401),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4401),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4401),
    [anon_sym_API_AVAILABLE] = ACTIONS(4401),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4401),
    [anon_sym_API_DEPRECATED] = ACTIONS(4401),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4401),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4401),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4401),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4401),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4401),
    [anon_sym___deprecated_msg] = ACTIONS(4401),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4401),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4401),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4401),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4401),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4401),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4401),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4401),
  },
  [1925] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5040),
    [anon_sym_COMMA] = ACTIONS(4423),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4423),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4423),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5028),
    [anon_sym_PLUS] = ACTIONS(5028),
    [anon_sym_STAR] = ACTIONS(5030),
    [anon_sym_SLASH] = ACTIONS(5030),
    [anon_sym_PERCENT] = ACTIONS(5030),
    [anon_sym_PIPE_PIPE] = ACTIONS(5042),
    [anon_sym_AMP_AMP] = ACTIONS(5044),
    [anon_sym_PIPE] = ACTIONS(5046),
    [anon_sym_CARET] = ACTIONS(5048),
    [anon_sym_AMP] = ACTIONS(5050),
    [anon_sym_EQ_EQ] = ACTIONS(5032),
    [anon_sym_BANG_EQ] = ACTIONS(5032),
    [anon_sym_GT] = ACTIONS(5034),
    [anon_sym_GT_EQ] = ACTIONS(5036),
    [anon_sym_LT_EQ] = ACTIONS(5036),
    [anon_sym_LT] = ACTIONS(5034),
    [anon_sym_LT_LT] = ACTIONS(5038),
    [anon_sym_GT_GT] = ACTIONS(5038),
    [anon_sym___extension__] = ACTIONS(4421),
    [anon_sym_extern] = ACTIONS(4421),
    [anon_sym___attribute__] = ACTIONS(4421),
    [anon_sym___attribute] = ACTIONS(4421),
    [anon_sym_noreturn] = ACTIONS(4421),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4421),
    [anon_sym_RBRACE] = ACTIONS(4423),
    [anon_sym_static] = ACTIONS(4421),
    [anon_sym_EQ] = ACTIONS(4421),
    [anon_sym_auto] = ACTIONS(4421),
    [anon_sym_register] = ACTIONS(4421),
    [anon_sym_inline] = ACTIONS(4421),
    [anon_sym___inline] = ACTIONS(4421),
    [anon_sym___inline__] = ACTIONS(4421),
    [anon_sym___forceinline] = ACTIONS(4421),
    [anon_sym_thread_local] = ACTIONS(4421),
    [anon_sym___thread] = ACTIONS(4421),
    [anon_sym_CG_EXTERN] = ACTIONS(4421),
    [anon_sym_CG_INLINE] = ACTIONS(4421),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4421),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4421),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4421),
    [anon_sym_IBOutlet] = ACTIONS(4421),
    [anon_sym_IBInspectable] = ACTIONS(4421),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4421),
    [anon_sym_NS_INLINE] = ACTIONS(4421),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4421),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4421),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4421),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4421),
    [anon_sym_const] = ACTIONS(4421),
    [anon_sym_constexpr] = ACTIONS(4421),
    [anon_sym_volatile] = ACTIONS(4421),
    [anon_sym_restrict] = ACTIONS(4421),
    [anon_sym___restrict__] = ACTIONS(4421),
    [anon_sym__Atomic] = ACTIONS(4421),
    [anon_sym__Noreturn] = ACTIONS(4421),
    [anon_sym__Nonnull] = ACTIONS(4421),
    [anon_sym_nullable] = ACTIONS(4421),
    [anon_sym__Complex] = ACTIONS(4421),
    [anon_sym__Nullable] = ACTIONS(4421),
    [anon_sym__Nullable_result] = ACTIONS(4421),
    [anon_sym__Null_unspecified] = ACTIONS(4421),
    [anon_sym___autoreleasing] = ACTIONS(4421),
    [anon_sym___block] = ACTIONS(4421),
    [anon_sym___bridge] = ACTIONS(4421),
    [anon_sym___bridge_retained] = ACTIONS(4421),
    [anon_sym___bridge_transfer] = ACTIONS(4421),
    [anon_sym___complex] = ACTIONS(4421),
    [anon_sym___const] = ACTIONS(4421),
    [anon_sym___imag] = ACTIONS(4421),
    [anon_sym___kindof] = ACTIONS(4421),
    [anon_sym___nonnull] = ACTIONS(4421),
    [anon_sym___nullable] = ACTIONS(4421),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4421),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4421),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4421),
    [anon_sym___real] = ACTIONS(4421),
    [anon_sym___strong] = ACTIONS(4421),
    [anon_sym___unsafe_unretained] = ACTIONS(4421),
    [anon_sym___unused] = ACTIONS(4421),
    [anon_sym___weak] = ACTIONS(4421),
    [anon_sym_alignas] = ACTIONS(4421),
    [anon_sym__Alignas] = ACTIONS(4421),
    [anon_sym_QMARK] = ACTIONS(5052),
    [anon_sym_STAR_EQ] = ACTIONS(4423),
    [anon_sym_SLASH_EQ] = ACTIONS(4423),
    [anon_sym_PERCENT_EQ] = ACTIONS(4423),
    [anon_sym_PLUS_EQ] = ACTIONS(4423),
    [anon_sym_DASH_EQ] = ACTIONS(4423),
    [anon_sym_LT_LT_EQ] = ACTIONS(4423),
    [anon_sym_GT_GT_EQ] = ACTIONS(4423),
    [anon_sym_AMP_EQ] = ACTIONS(4423),
    [anon_sym_CARET_EQ] = ACTIONS(4423),
    [anon_sym_PIPE_EQ] = ACTIONS(4423),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4421),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4421),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4421),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4421),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4421),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4421),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4421),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4421),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4421),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4421),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4421),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4421),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4421),
    [anon_sym_API_AVAILABLE] = ACTIONS(4421),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4421),
    [anon_sym_API_DEPRECATED] = ACTIONS(4421),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4421),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4421),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4421),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4421),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4421),
    [anon_sym___deprecated_msg] = ACTIONS(4421),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4421),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4421),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4421),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4421),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4421),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4421),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4421),
  },
  [1926] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4372),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5054),
    [anon_sym_COMMA] = ACTIONS(4377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4377),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5028),
    [anon_sym_PLUS] = ACTIONS(5028),
    [anon_sym_STAR] = ACTIONS(5030),
    [anon_sym_SLASH] = ACTIONS(5030),
    [anon_sym_PERCENT] = ACTIONS(5030),
    [anon_sym_PIPE_PIPE] = ACTIONS(5042),
    [anon_sym_AMP_AMP] = ACTIONS(5044),
    [anon_sym_PIPE] = ACTIONS(5046),
    [anon_sym_CARET] = ACTIONS(5048),
    [anon_sym_AMP] = ACTIONS(5050),
    [anon_sym_EQ_EQ] = ACTIONS(5032),
    [anon_sym_BANG_EQ] = ACTIONS(5032),
    [anon_sym_GT] = ACTIONS(5034),
    [anon_sym_GT_EQ] = ACTIONS(5036),
    [anon_sym_LT_EQ] = ACTIONS(5036),
    [anon_sym_LT] = ACTIONS(5034),
    [anon_sym_LT_LT] = ACTIONS(5038),
    [anon_sym_GT_GT] = ACTIONS(5038),
    [anon_sym___extension__] = ACTIONS(4372),
    [anon_sym_extern] = ACTIONS(4372),
    [anon_sym___attribute__] = ACTIONS(4372),
    [anon_sym___attribute] = ACTIONS(4372),
    [anon_sym_noreturn] = ACTIONS(4372),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4372),
    [anon_sym_RBRACE] = ACTIONS(4377),
    [anon_sym_static] = ACTIONS(4372),
    [anon_sym_EQ] = ACTIONS(4372),
    [anon_sym_auto] = ACTIONS(4372),
    [anon_sym_register] = ACTIONS(4372),
    [anon_sym_inline] = ACTIONS(4372),
    [anon_sym___inline] = ACTIONS(4372),
    [anon_sym___inline__] = ACTIONS(4372),
    [anon_sym___forceinline] = ACTIONS(4372),
    [anon_sym_thread_local] = ACTIONS(4372),
    [anon_sym___thread] = ACTIONS(4372),
    [anon_sym_CG_EXTERN] = ACTIONS(4372),
    [anon_sym_CG_INLINE] = ACTIONS(4372),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4372),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4372),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4372),
    [anon_sym_IBOutlet] = ACTIONS(4372),
    [anon_sym_IBInspectable] = ACTIONS(4372),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4372),
    [anon_sym_NS_INLINE] = ACTIONS(4372),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4372),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4372),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4372),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4372),
    [anon_sym_const] = ACTIONS(4372),
    [anon_sym_constexpr] = ACTIONS(4372),
    [anon_sym_volatile] = ACTIONS(4372),
    [anon_sym_restrict] = ACTIONS(4372),
    [anon_sym___restrict__] = ACTIONS(4372),
    [anon_sym__Atomic] = ACTIONS(4372),
    [anon_sym__Noreturn] = ACTIONS(4372),
    [anon_sym__Nonnull] = ACTIONS(4372),
    [anon_sym_nullable] = ACTIONS(4372),
    [anon_sym__Complex] = ACTIONS(4372),
    [anon_sym__Nullable] = ACTIONS(4372),
    [anon_sym__Nullable_result] = ACTIONS(4372),
    [anon_sym__Null_unspecified] = ACTIONS(4372),
    [anon_sym___autoreleasing] = ACTIONS(4372),
    [anon_sym___block] = ACTIONS(4372),
    [anon_sym___bridge] = ACTIONS(4372),
    [anon_sym___bridge_retained] = ACTIONS(4372),
    [anon_sym___bridge_transfer] = ACTIONS(4372),
    [anon_sym___complex] = ACTIONS(4372),
    [anon_sym___const] = ACTIONS(4372),
    [anon_sym___imag] = ACTIONS(4372),
    [anon_sym___kindof] = ACTIONS(4372),
    [anon_sym___nonnull] = ACTIONS(4372),
    [anon_sym___nullable] = ACTIONS(4372),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4372),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4372),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4372),
    [anon_sym___real] = ACTIONS(4372),
    [anon_sym___strong] = ACTIONS(4372),
    [anon_sym___unsafe_unretained] = ACTIONS(4372),
    [anon_sym___unused] = ACTIONS(4372),
    [anon_sym___weak] = ACTIONS(4372),
    [anon_sym_alignas] = ACTIONS(4372),
    [anon_sym__Alignas] = ACTIONS(4372),
    [anon_sym_QMARK] = ACTIONS(4377),
    [anon_sym_STAR_EQ] = ACTIONS(4377),
    [anon_sym_SLASH_EQ] = ACTIONS(4377),
    [anon_sym_PERCENT_EQ] = ACTIONS(4377),
    [anon_sym_PLUS_EQ] = ACTIONS(4377),
    [anon_sym_DASH_EQ] = ACTIONS(4377),
    [anon_sym_LT_LT_EQ] = ACTIONS(4377),
    [anon_sym_GT_GT_EQ] = ACTIONS(4377),
    [anon_sym_AMP_EQ] = ACTIONS(4377),
    [anon_sym_CARET_EQ] = ACTIONS(4377),
    [anon_sym_PIPE_EQ] = ACTIONS(4377),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4372),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4372),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4372),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4372),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4372),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4372),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4372),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4372),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4372),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4372),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4372),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4372),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4372),
    [anon_sym_API_AVAILABLE] = ACTIONS(4372),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4372),
    [anon_sym_API_DEPRECATED] = ACTIONS(4372),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4372),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4372),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4372),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4372),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4372),
    [anon_sym___deprecated_msg] = ACTIONS(4372),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4372),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4372),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4372),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4372),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4372),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4372),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4372),
  },
  [1927] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5040),
    [anon_sym_COMMA] = ACTIONS(4411),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4411),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4411),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5028),
    [anon_sym_PLUS] = ACTIONS(5028),
    [anon_sym_STAR] = ACTIONS(5030),
    [anon_sym_SLASH] = ACTIONS(5030),
    [anon_sym_PERCENT] = ACTIONS(5030),
    [anon_sym_PIPE_PIPE] = ACTIONS(5042),
    [anon_sym_AMP_AMP] = ACTIONS(5044),
    [anon_sym_PIPE] = ACTIONS(5046),
    [anon_sym_CARET] = ACTIONS(5048),
    [anon_sym_AMP] = ACTIONS(5050),
    [anon_sym_EQ_EQ] = ACTIONS(5032),
    [anon_sym_BANG_EQ] = ACTIONS(5032),
    [anon_sym_GT] = ACTIONS(5034),
    [anon_sym_GT_EQ] = ACTIONS(5036),
    [anon_sym_LT_EQ] = ACTIONS(5036),
    [anon_sym_LT] = ACTIONS(5034),
    [anon_sym_LT_LT] = ACTIONS(5038),
    [anon_sym_GT_GT] = ACTIONS(5038),
    [anon_sym___extension__] = ACTIONS(4409),
    [anon_sym_extern] = ACTIONS(4409),
    [anon_sym___attribute__] = ACTIONS(4409),
    [anon_sym___attribute] = ACTIONS(4409),
    [anon_sym_noreturn] = ACTIONS(4409),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4409),
    [anon_sym_RBRACE] = ACTIONS(4411),
    [anon_sym_static] = ACTIONS(4409),
    [anon_sym_EQ] = ACTIONS(4409),
    [anon_sym_auto] = ACTIONS(4409),
    [anon_sym_register] = ACTIONS(4409),
    [anon_sym_inline] = ACTIONS(4409),
    [anon_sym___inline] = ACTIONS(4409),
    [anon_sym___inline__] = ACTIONS(4409),
    [anon_sym___forceinline] = ACTIONS(4409),
    [anon_sym_thread_local] = ACTIONS(4409),
    [anon_sym___thread] = ACTIONS(4409),
    [anon_sym_CG_EXTERN] = ACTIONS(4409),
    [anon_sym_CG_INLINE] = ACTIONS(4409),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4409),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4409),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4409),
    [anon_sym_IBOutlet] = ACTIONS(4409),
    [anon_sym_IBInspectable] = ACTIONS(4409),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4409),
    [anon_sym_NS_INLINE] = ACTIONS(4409),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4409),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4409),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4409),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4409),
    [anon_sym_const] = ACTIONS(4409),
    [anon_sym_constexpr] = ACTIONS(4409),
    [anon_sym_volatile] = ACTIONS(4409),
    [anon_sym_restrict] = ACTIONS(4409),
    [anon_sym___restrict__] = ACTIONS(4409),
    [anon_sym__Atomic] = ACTIONS(4409),
    [anon_sym__Noreturn] = ACTIONS(4409),
    [anon_sym__Nonnull] = ACTIONS(4409),
    [anon_sym_nullable] = ACTIONS(4409),
    [anon_sym__Complex] = ACTIONS(4409),
    [anon_sym__Nullable] = ACTIONS(4409),
    [anon_sym__Nullable_result] = ACTIONS(4409),
    [anon_sym__Null_unspecified] = ACTIONS(4409),
    [anon_sym___autoreleasing] = ACTIONS(4409),
    [anon_sym___block] = ACTIONS(4409),
    [anon_sym___bridge] = ACTIONS(4409),
    [anon_sym___bridge_retained] = ACTIONS(4409),
    [anon_sym___bridge_transfer] = ACTIONS(4409),
    [anon_sym___complex] = ACTIONS(4409),
    [anon_sym___const] = ACTIONS(4409),
    [anon_sym___imag] = ACTIONS(4409),
    [anon_sym___kindof] = ACTIONS(4409),
    [anon_sym___nonnull] = ACTIONS(4409),
    [anon_sym___nullable] = ACTIONS(4409),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4409),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4409),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4409),
    [anon_sym___real] = ACTIONS(4409),
    [anon_sym___strong] = ACTIONS(4409),
    [anon_sym___unsafe_unretained] = ACTIONS(4409),
    [anon_sym___unused] = ACTIONS(4409),
    [anon_sym___weak] = ACTIONS(4409),
    [anon_sym_alignas] = ACTIONS(4409),
    [anon_sym__Alignas] = ACTIONS(4409),
    [anon_sym_QMARK] = ACTIONS(4411),
    [anon_sym_STAR_EQ] = ACTIONS(4411),
    [anon_sym_SLASH_EQ] = ACTIONS(4411),
    [anon_sym_PERCENT_EQ] = ACTIONS(4411),
    [anon_sym_PLUS_EQ] = ACTIONS(4411),
    [anon_sym_DASH_EQ] = ACTIONS(4411),
    [anon_sym_LT_LT_EQ] = ACTIONS(4411),
    [anon_sym_GT_GT_EQ] = ACTIONS(4411),
    [anon_sym_AMP_EQ] = ACTIONS(4411),
    [anon_sym_CARET_EQ] = ACTIONS(4411),
    [anon_sym_PIPE_EQ] = ACTIONS(4411),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4409),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4409),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4409),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4409),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4409),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4409),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4409),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4409),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4409),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4409),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4409),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4409),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4409),
    [anon_sym_API_AVAILABLE] = ACTIONS(4409),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4409),
    [anon_sym_API_DEPRECATED] = ACTIONS(4409),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4409),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4409),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4409),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4409),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4409),
    [anon_sym___deprecated_msg] = ACTIONS(4409),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4409),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4409),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4409),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4409),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4409),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4409),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4409),
  },
  [1928] = {
    [sym_string_literal] = STATE(1936),
    [aux_sym_concatenated_string_repeat1] = STATE(1936),
    [sym_identifier] = ACTIONS(5057),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3952),
    [anon_sym_COMMA] = ACTIONS(3952),
    [anon_sym_RPAREN] = ACTIONS(3952),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3952),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3952),
    [anon_sym_LPAREN2] = ACTIONS(3952),
    [anon_sym_DASH] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3954),
    [anon_sym_STAR] = ACTIONS(3952),
    [anon_sym_SLASH] = ACTIONS(3954),
    [anon_sym_PERCENT] = ACTIONS(3952),
    [anon_sym_PIPE_PIPE] = ACTIONS(3952),
    [anon_sym_AMP_AMP] = ACTIONS(3952),
    [anon_sym_PIPE] = ACTIONS(3954),
    [anon_sym_CARET] = ACTIONS(3952),
    [anon_sym_AMP] = ACTIONS(3954),
    [anon_sym_EQ_EQ] = ACTIONS(3952),
    [anon_sym_BANG_EQ] = ACTIONS(3952),
    [anon_sym_GT] = ACTIONS(3954),
    [anon_sym_GT_EQ] = ACTIONS(3952),
    [anon_sym_LT_EQ] = ACTIONS(3952),
    [anon_sym_LT] = ACTIONS(3954),
    [anon_sym_LT_LT] = ACTIONS(3952),
    [anon_sym_GT_GT] = ACTIONS(3952),
    [anon_sym_SEMI] = ACTIONS(3952),
    [anon_sym___extension__] = ACTIONS(3954),
    [anon_sym_extern] = ACTIONS(3954),
    [anon_sym___attribute__] = ACTIONS(3954),
    [anon_sym___attribute] = ACTIONS(3954),
    [anon_sym_noreturn] = ACTIONS(3954),
    [anon_sym_LBRACK] = ACTIONS(3952),
    [anon_sym_RBRACK] = ACTIONS(3952),
    [anon_sym___declspec] = ACTIONS(3954),
    [anon_sym_RBRACE] = ACTIONS(3952),
    [anon_sym_static] = ACTIONS(3954),
    [anon_sym_auto] = ACTIONS(3954),
    [anon_sym_register] = ACTIONS(3954),
    [anon_sym_inline] = ACTIONS(3954),
    [anon_sym___inline] = ACTIONS(3954),
    [anon_sym___inline__] = ACTIONS(3954),
    [anon_sym___forceinline] = ACTIONS(3954),
    [anon_sym_thread_local] = ACTIONS(3954),
    [anon_sym___thread] = ACTIONS(3954),
    [anon_sym_CG_EXTERN] = ACTIONS(3954),
    [anon_sym_CG_INLINE] = ACTIONS(3954),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(3954),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(3954),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(3954),
    [anon_sym_IBOutlet] = ACTIONS(3954),
    [anon_sym_IBInspectable] = ACTIONS(3954),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(3954),
    [anon_sym_NS_INLINE] = ACTIONS(3954),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(3954),
    [anon_sym_OBJC_EXPORT] = ACTIONS(3954),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(3954),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(3954),
    [anon_sym_const] = ACTIONS(3954),
    [anon_sym_constexpr] = ACTIONS(3954),
    [anon_sym_volatile] = ACTIONS(3954),
    [anon_sym_restrict] = ACTIONS(3954),
    [anon_sym___restrict__] = ACTIONS(3954),
    [anon_sym__Atomic] = ACTIONS(3954),
    [anon_sym__Noreturn] = ACTIONS(3954),
    [anon_sym__Nonnull] = ACTIONS(3954),
    [anon_sym_nullable] = ACTIONS(3954),
    [anon_sym__Complex] = ACTIONS(3954),
    [anon_sym__Nullable] = ACTIONS(3954),
    [anon_sym__Nullable_result] = ACTIONS(3954),
    [anon_sym__Null_unspecified] = ACTIONS(3954),
    [anon_sym___autoreleasing] = ACTIONS(3954),
    [anon_sym___block] = ACTIONS(3954),
    [anon_sym___bridge] = ACTIONS(3954),
    [anon_sym___bridge_retained] = ACTIONS(3954),
    [anon_sym___bridge_transfer] = ACTIONS(3954),
    [anon_sym___complex] = ACTIONS(3954),
    [anon_sym___const] = ACTIONS(3954),
    [anon_sym___imag] = ACTIONS(3954),
    [anon_sym___kindof] = ACTIONS(3954),
    [anon_sym___nonnull] = ACTIONS(3954),
    [anon_sym___nullable] = ACTIONS(3954),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(3954),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(3954),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(3954),
    [anon_sym___real] = ACTIONS(3954),
    [anon_sym___strong] = ACTIONS(3954),
    [anon_sym___unsafe_unretained] = ACTIONS(3954),
    [anon_sym___unused] = ACTIONS(3954),
    [anon_sym___weak] = ACTIONS(3954),
    [anon_sym_alignas] = ACTIONS(3954),
    [anon_sym__Alignas] = ACTIONS(3954),
    [anon_sym_COLON] = ACTIONS(3952),
    [anon_sym_QMARK] = ACTIONS(3952),
    [anon_sym_DASH_DASH] = ACTIONS(3952),
    [anon_sym_PLUS_PLUS] = ACTIONS(3952),
    [anon_sym_DOT] = ACTIONS(3954),
    [anon_sym_DASH_GT] = ACTIONS(3952),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(3954),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(3954),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(3954),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(3954),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(3954),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(3954),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(3954),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(3954),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(3954),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(3954),
    [anon_sym_NS_AVAILABLE] = ACTIONS(3954),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(3954),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(3954),
    [anon_sym_API_AVAILABLE] = ACTIONS(3954),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(3954),
    [anon_sym_API_DEPRECATED] = ACTIONS(3954),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(3954),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(3954),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(3954),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(3954),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(3954),
    [anon_sym___deprecated_msg] = ACTIONS(3954),
    [anon_sym___deprecated_enum_msg] = ACTIONS(3954),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(3954),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(3954),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(3954),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(3954),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(3954),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(3954),
  },
  [1929] = {
    [sym_string_literal] = STATE(1929),
    [aux_sym_concatenated_string_repeat1] = STATE(1929),
    [sym_identifier] = ACTIONS(5059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3967),
    [anon_sym_COMMA] = ACTIONS(3967),
    [anon_sym_RPAREN] = ACTIONS(3967),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3967),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3967),
    [anon_sym_LPAREN2] = ACTIONS(3967),
    [anon_sym_DASH] = ACTIONS(3969),
    [anon_sym_PLUS] = ACTIONS(3969),
    [anon_sym_STAR] = ACTIONS(3967),
    [anon_sym_SLASH] = ACTIONS(3969),
    [anon_sym_PERCENT] = ACTIONS(3967),
    [anon_sym_PIPE_PIPE] = ACTIONS(3967),
    [anon_sym_AMP_AMP] = ACTIONS(3967),
    [anon_sym_PIPE] = ACTIONS(3969),
    [anon_sym_CARET] = ACTIONS(3967),
    [anon_sym_AMP] = ACTIONS(3969),
    [anon_sym_EQ_EQ] = ACTIONS(3967),
    [anon_sym_BANG_EQ] = ACTIONS(3967),
    [anon_sym_GT] = ACTIONS(3969),
    [anon_sym_GT_EQ] = ACTIONS(3967),
    [anon_sym_LT_EQ] = ACTIONS(3967),
    [anon_sym_LT] = ACTIONS(3969),
    [anon_sym_LT_LT] = ACTIONS(3967),
    [anon_sym_GT_GT] = ACTIONS(3967),
    [anon_sym_SEMI] = ACTIONS(3967),
    [anon_sym___extension__] = ACTIONS(3969),
    [anon_sym_extern] = ACTIONS(3969),
    [anon_sym___attribute__] = ACTIONS(3969),
    [anon_sym___attribute] = ACTIONS(3969),
    [anon_sym_noreturn] = ACTIONS(3969),
    [anon_sym_LBRACK] = ACTIONS(3967),
    [anon_sym_RBRACK] = ACTIONS(3967),
    [anon_sym___declspec] = ACTIONS(3969),
    [anon_sym_RBRACE] = ACTIONS(3967),
    [anon_sym_static] = ACTIONS(3969),
    [anon_sym_auto] = ACTIONS(3969),
    [anon_sym_register] = ACTIONS(3969),
    [anon_sym_inline] = ACTIONS(3969),
    [anon_sym___inline] = ACTIONS(3969),
    [anon_sym___inline__] = ACTIONS(3969),
    [anon_sym___forceinline] = ACTIONS(3969),
    [anon_sym_thread_local] = ACTIONS(3969),
    [anon_sym___thread] = ACTIONS(3969),
    [anon_sym_CG_EXTERN] = ACTIONS(3969),
    [anon_sym_CG_INLINE] = ACTIONS(3969),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(3969),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(3969),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(3969),
    [anon_sym_IBOutlet] = ACTIONS(3969),
    [anon_sym_IBInspectable] = ACTIONS(3969),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(3969),
    [anon_sym_NS_INLINE] = ACTIONS(3969),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(3969),
    [anon_sym_OBJC_EXPORT] = ACTIONS(3969),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(3969),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(3969),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_constexpr] = ACTIONS(3969),
    [anon_sym_volatile] = ACTIONS(3969),
    [anon_sym_restrict] = ACTIONS(3969),
    [anon_sym___restrict__] = ACTIONS(3969),
    [anon_sym__Atomic] = ACTIONS(3969),
    [anon_sym__Noreturn] = ACTIONS(3969),
    [anon_sym__Nonnull] = ACTIONS(3969),
    [anon_sym_nullable] = ACTIONS(3969),
    [anon_sym__Complex] = ACTIONS(3969),
    [anon_sym__Nullable] = ACTIONS(3969),
    [anon_sym__Nullable_result] = ACTIONS(3969),
    [anon_sym__Null_unspecified] = ACTIONS(3969),
    [anon_sym___autoreleasing] = ACTIONS(3969),
    [anon_sym___block] = ACTIONS(3969),
    [anon_sym___bridge] = ACTIONS(3969),
    [anon_sym___bridge_retained] = ACTIONS(3969),
    [anon_sym___bridge_transfer] = ACTIONS(3969),
    [anon_sym___complex] = ACTIONS(3969),
    [anon_sym___const] = ACTIONS(3969),
    [anon_sym___imag] = ACTIONS(3969),
    [anon_sym___kindof] = ACTIONS(3969),
    [anon_sym___nonnull] = ACTIONS(3969),
    [anon_sym___nullable] = ACTIONS(3969),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(3969),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(3969),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(3969),
    [anon_sym___real] = ACTIONS(3969),
    [anon_sym___strong] = ACTIONS(3969),
    [anon_sym___unsafe_unretained] = ACTIONS(3969),
    [anon_sym___unused] = ACTIONS(3969),
    [anon_sym___weak] = ACTIONS(3969),
    [anon_sym_alignas] = ACTIONS(3969),
    [anon_sym__Alignas] = ACTIONS(3969),
    [anon_sym_COLON] = ACTIONS(3967),
    [anon_sym_QMARK] = ACTIONS(3967),
    [anon_sym_DASH_DASH] = ACTIONS(3967),
    [anon_sym_PLUS_PLUS] = ACTIONS(3967),
    [anon_sym_DOT] = ACTIONS(3969),
    [anon_sym_DASH_GT] = ACTIONS(3967),
    [anon_sym_AT] = ACTIONS(5062),
    [anon_sym_DQUOTE] = ACTIONS(5065),
    [anon_sym_L_DQUOTE] = ACTIONS(5065),
    [anon_sym_u_DQUOTE] = ACTIONS(5065),
    [anon_sym_U_DQUOTE] = ACTIONS(5065),
    [anon_sym_u8_DQUOTE] = ACTIONS(5065),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(3969),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(3969),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(3969),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(3969),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(3969),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(3969),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(3969),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(3969),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(3969),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(3969),
    [anon_sym_NS_AVAILABLE] = ACTIONS(3969),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(3969),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(3969),
    [anon_sym_API_AVAILABLE] = ACTIONS(3969),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(3969),
    [anon_sym_API_DEPRECATED] = ACTIONS(3969),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(3969),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(3969),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(3969),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(3969),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(3969),
    [anon_sym___deprecated_msg] = ACTIONS(3969),
    [anon_sym___deprecated_enum_msg] = ACTIONS(3969),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(3969),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(3969),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(3969),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(3969),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(3969),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(3969),
  },
  [1930] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5040),
    [anon_sym_COMMA] = ACTIONS(4419),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4419),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4419),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5028),
    [anon_sym_PLUS] = ACTIONS(5028),
    [anon_sym_STAR] = ACTIONS(5030),
    [anon_sym_SLASH] = ACTIONS(5030),
    [anon_sym_PERCENT] = ACTIONS(5030),
    [anon_sym_PIPE_PIPE] = ACTIONS(5042),
    [anon_sym_AMP_AMP] = ACTIONS(5044),
    [anon_sym_PIPE] = ACTIONS(5046),
    [anon_sym_CARET] = ACTIONS(5048),
    [anon_sym_AMP] = ACTIONS(5050),
    [anon_sym_EQ_EQ] = ACTIONS(5032),
    [anon_sym_BANG_EQ] = ACTIONS(5032),
    [anon_sym_GT] = ACTIONS(5034),
    [anon_sym_GT_EQ] = ACTIONS(5036),
    [anon_sym_LT_EQ] = ACTIONS(5036),
    [anon_sym_LT] = ACTIONS(5034),
    [anon_sym_LT_LT] = ACTIONS(5038),
    [anon_sym_GT_GT] = ACTIONS(5038),
    [anon_sym___extension__] = ACTIONS(4417),
    [anon_sym_extern] = ACTIONS(4417),
    [anon_sym___attribute__] = ACTIONS(4417),
    [anon_sym___attribute] = ACTIONS(4417),
    [anon_sym_noreturn] = ACTIONS(4417),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4417),
    [anon_sym_RBRACE] = ACTIONS(4419),
    [anon_sym_static] = ACTIONS(4417),
    [anon_sym_EQ] = ACTIONS(4417),
    [anon_sym_auto] = ACTIONS(4417),
    [anon_sym_register] = ACTIONS(4417),
    [anon_sym_inline] = ACTIONS(4417),
    [anon_sym___inline] = ACTIONS(4417),
    [anon_sym___inline__] = ACTIONS(4417),
    [anon_sym___forceinline] = ACTIONS(4417),
    [anon_sym_thread_local] = ACTIONS(4417),
    [anon_sym___thread] = ACTIONS(4417),
    [anon_sym_CG_EXTERN] = ACTIONS(4417),
    [anon_sym_CG_INLINE] = ACTIONS(4417),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4417),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4417),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4417),
    [anon_sym_IBOutlet] = ACTIONS(4417),
    [anon_sym_IBInspectable] = ACTIONS(4417),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4417),
    [anon_sym_NS_INLINE] = ACTIONS(4417),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4417),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4417),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4417),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4417),
    [anon_sym_const] = ACTIONS(4417),
    [anon_sym_constexpr] = ACTIONS(4417),
    [anon_sym_volatile] = ACTIONS(4417),
    [anon_sym_restrict] = ACTIONS(4417),
    [anon_sym___restrict__] = ACTIONS(4417),
    [anon_sym__Atomic] = ACTIONS(4417),
    [anon_sym__Noreturn] = ACTIONS(4417),
    [anon_sym__Nonnull] = ACTIONS(4417),
    [anon_sym_nullable] = ACTIONS(4417),
    [anon_sym__Complex] = ACTIONS(4417),
    [anon_sym__Nullable] = ACTIONS(4417),
    [anon_sym__Nullable_result] = ACTIONS(4417),
    [anon_sym__Null_unspecified] = ACTIONS(4417),
    [anon_sym___autoreleasing] = ACTIONS(4417),
    [anon_sym___block] = ACTIONS(4417),
    [anon_sym___bridge] = ACTIONS(4417),
    [anon_sym___bridge_retained] = ACTIONS(4417),
    [anon_sym___bridge_transfer] = ACTIONS(4417),
    [anon_sym___complex] = ACTIONS(4417),
    [anon_sym___const] = ACTIONS(4417),
    [anon_sym___imag] = ACTIONS(4417),
    [anon_sym___kindof] = ACTIONS(4417),
    [anon_sym___nonnull] = ACTIONS(4417),
    [anon_sym___nullable] = ACTIONS(4417),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4417),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4417),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4417),
    [anon_sym___real] = ACTIONS(4417),
    [anon_sym___strong] = ACTIONS(4417),
    [anon_sym___unsafe_unretained] = ACTIONS(4417),
    [anon_sym___unused] = ACTIONS(4417),
    [anon_sym___weak] = ACTIONS(4417),
    [anon_sym_alignas] = ACTIONS(4417),
    [anon_sym__Alignas] = ACTIONS(4417),
    [anon_sym_QMARK] = ACTIONS(5052),
    [anon_sym_STAR_EQ] = ACTIONS(4419),
    [anon_sym_SLASH_EQ] = ACTIONS(4419),
    [anon_sym_PERCENT_EQ] = ACTIONS(4419),
    [anon_sym_PLUS_EQ] = ACTIONS(4419),
    [anon_sym_DASH_EQ] = ACTIONS(4419),
    [anon_sym_LT_LT_EQ] = ACTIONS(4419),
    [anon_sym_GT_GT_EQ] = ACTIONS(4419),
    [anon_sym_AMP_EQ] = ACTIONS(4419),
    [anon_sym_CARET_EQ] = ACTIONS(4419),
    [anon_sym_PIPE_EQ] = ACTIONS(4419),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4417),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4417),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4417),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4417),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4417),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4417),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4417),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4417),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4417),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4417),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4417),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4417),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4417),
    [anon_sym_API_AVAILABLE] = ACTIONS(4417),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4417),
    [anon_sym_API_DEPRECATED] = ACTIONS(4417),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4417),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4417),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4417),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4417),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4417),
    [anon_sym___deprecated_msg] = ACTIONS(4417),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4417),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4417),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4417),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4417),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4417),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4417),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4417),
  },
  [1931] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5040),
    [anon_sym_COMMA] = ACTIONS(4415),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4415),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4415),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5028),
    [anon_sym_PLUS] = ACTIONS(5028),
    [anon_sym_STAR] = ACTIONS(5030),
    [anon_sym_SLASH] = ACTIONS(5030),
    [anon_sym_PERCENT] = ACTIONS(5030),
    [anon_sym_PIPE_PIPE] = ACTIONS(5042),
    [anon_sym_AMP_AMP] = ACTIONS(5044),
    [anon_sym_PIPE] = ACTIONS(5046),
    [anon_sym_CARET] = ACTIONS(5048),
    [anon_sym_AMP] = ACTIONS(5050),
    [anon_sym_EQ_EQ] = ACTIONS(5032),
    [anon_sym_BANG_EQ] = ACTIONS(5032),
    [anon_sym_GT] = ACTIONS(5034),
    [anon_sym_GT_EQ] = ACTIONS(5036),
    [anon_sym_LT_EQ] = ACTIONS(5036),
    [anon_sym_LT] = ACTIONS(5034),
    [anon_sym_LT_LT] = ACTIONS(5038),
    [anon_sym_GT_GT] = ACTIONS(5038),
    [anon_sym___extension__] = ACTIONS(4413),
    [anon_sym_extern] = ACTIONS(4413),
    [anon_sym___attribute__] = ACTIONS(4413),
    [anon_sym___attribute] = ACTIONS(4413),
    [anon_sym_noreturn] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(4415),
    [anon_sym_static] = ACTIONS(4413),
    [anon_sym_EQ] = ACTIONS(4413),
    [anon_sym_auto] = ACTIONS(4413),
    [anon_sym_register] = ACTIONS(4413),
    [anon_sym_inline] = ACTIONS(4413),
    [anon_sym___inline] = ACTIONS(4413),
    [anon_sym___inline__] = ACTIONS(4413),
    [anon_sym___forceinline] = ACTIONS(4413),
    [anon_sym_thread_local] = ACTIONS(4413),
    [anon_sym___thread] = ACTIONS(4413),
    [anon_sym_CG_EXTERN] = ACTIONS(4413),
    [anon_sym_CG_INLINE] = ACTIONS(4413),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4413),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4413),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4413),
    [anon_sym_IBOutlet] = ACTIONS(4413),
    [anon_sym_IBInspectable] = ACTIONS(4413),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4413),
    [anon_sym_NS_INLINE] = ACTIONS(4413),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4413),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4413),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4413),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4413),
    [anon_sym_const] = ACTIONS(4413),
    [anon_sym_constexpr] = ACTIONS(4413),
    [anon_sym_volatile] = ACTIONS(4413),
    [anon_sym_restrict] = ACTIONS(4413),
    [anon_sym___restrict__] = ACTIONS(4413),
    [anon_sym__Atomic] = ACTIONS(4413),
    [anon_sym__Noreturn] = ACTIONS(4413),
    [anon_sym__Nonnull] = ACTIONS(4413),
    [anon_sym_nullable] = ACTIONS(4413),
    [anon_sym__Complex] = ACTIONS(4413),
    [anon_sym__Nullable] = ACTIONS(4413),
    [anon_sym__Nullable_result] = ACTIONS(4413),
    [anon_sym__Null_unspecified] = ACTIONS(4413),
    [anon_sym___autoreleasing] = ACTIONS(4413),
    [anon_sym___block] = ACTIONS(4413),
    [anon_sym___bridge] = ACTIONS(4413),
    [anon_sym___bridge_retained] = ACTIONS(4413),
    [anon_sym___bridge_transfer] = ACTIONS(4413),
    [anon_sym___complex] = ACTIONS(4413),
    [anon_sym___const] = ACTIONS(4413),
    [anon_sym___imag] = ACTIONS(4413),
    [anon_sym___kindof] = ACTIONS(4413),
    [anon_sym___nonnull] = ACTIONS(4413),
    [anon_sym___nullable] = ACTIONS(4413),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4413),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4413),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4413),
    [anon_sym___real] = ACTIONS(4413),
    [anon_sym___strong] = ACTIONS(4413),
    [anon_sym___unsafe_unretained] = ACTIONS(4413),
    [anon_sym___unused] = ACTIONS(4413),
    [anon_sym___weak] = ACTIONS(4413),
    [anon_sym_alignas] = ACTIONS(4413),
    [anon_sym__Alignas] = ACTIONS(4413),
    [anon_sym_QMARK] = ACTIONS(4415),
    [anon_sym_STAR_EQ] = ACTIONS(4415),
    [anon_sym_SLASH_EQ] = ACTIONS(4415),
    [anon_sym_PERCENT_EQ] = ACTIONS(4415),
    [anon_sym_PLUS_EQ] = ACTIONS(4415),
    [anon_sym_DASH_EQ] = ACTIONS(4415),
    [anon_sym_LT_LT_EQ] = ACTIONS(4415),
    [anon_sym_GT_GT_EQ] = ACTIONS(4415),
    [anon_sym_AMP_EQ] = ACTIONS(4415),
    [anon_sym_CARET_EQ] = ACTIONS(4415),
    [anon_sym_PIPE_EQ] = ACTIONS(4415),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4413),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4413),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4413),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4413),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4413),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4413),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4413),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4413),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4413),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4413),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4413),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4413),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4413),
    [anon_sym_API_AVAILABLE] = ACTIONS(4413),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4413),
    [anon_sym_API_DEPRECATED] = ACTIONS(4413),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4413),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4413),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4413),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4413),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4413),
    [anon_sym___deprecated_msg] = ACTIONS(4413),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4413),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4413),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4413),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4413),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4413),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4413),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4413),
  },
  [1932] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4034),
    [anon_sym_PLUS] = ACTIONS(4034),
    [anon_sym_STAR] = ACTIONS(5030),
    [anon_sym_SLASH] = ACTIONS(5030),
    [anon_sym_PERCENT] = ACTIONS(5030),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4034),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(4034),
    [anon_sym_GT_EQ] = ACTIONS(4036),
    [anon_sym_LT_EQ] = ACTIONS(4036),
    [anon_sym_LT] = ACTIONS(4034),
    [anon_sym_LT_LT] = ACTIONS(4034),
    [anon_sym_GT_GT] = ACTIONS(4034),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_RBRACE] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
  },
  [1933] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5028),
    [anon_sym_PLUS] = ACTIONS(5028),
    [anon_sym_STAR] = ACTIONS(5030),
    [anon_sym_SLASH] = ACTIONS(5030),
    [anon_sym_PERCENT] = ACTIONS(5030),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(5044),
    [anon_sym_PIPE] = ACTIONS(5046),
    [anon_sym_CARET] = ACTIONS(5048),
    [anon_sym_AMP] = ACTIONS(5050),
    [anon_sym_EQ_EQ] = ACTIONS(5032),
    [anon_sym_BANG_EQ] = ACTIONS(5032),
    [anon_sym_GT] = ACTIONS(5034),
    [anon_sym_GT_EQ] = ACTIONS(5036),
    [anon_sym_LT_EQ] = ACTIONS(5036),
    [anon_sym_LT] = ACTIONS(5034),
    [anon_sym_LT_LT] = ACTIONS(5038),
    [anon_sym_GT_GT] = ACTIONS(5038),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_RBRACE] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
  },
  [1934] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5028),
    [anon_sym_PLUS] = ACTIONS(5028),
    [anon_sym_STAR] = ACTIONS(5030),
    [anon_sym_SLASH] = ACTIONS(5030),
    [anon_sym_PERCENT] = ACTIONS(5030),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(5046),
    [anon_sym_CARET] = ACTIONS(5048),
    [anon_sym_AMP] = ACTIONS(5050),
    [anon_sym_EQ_EQ] = ACTIONS(5032),
    [anon_sym_BANG_EQ] = ACTIONS(5032),
    [anon_sym_GT] = ACTIONS(5034),
    [anon_sym_GT_EQ] = ACTIONS(5036),
    [anon_sym_LT_EQ] = ACTIONS(5036),
    [anon_sym_LT] = ACTIONS(5034),
    [anon_sym_LT_LT] = ACTIONS(5038),
    [anon_sym_GT_GT] = ACTIONS(5038),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_RBRACE] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
  },
  [1935] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5028),
    [anon_sym_PLUS] = ACTIONS(5028),
    [anon_sym_STAR] = ACTIONS(5030),
    [anon_sym_SLASH] = ACTIONS(5030),
    [anon_sym_PERCENT] = ACTIONS(5030),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(5048),
    [anon_sym_AMP] = ACTIONS(5050),
    [anon_sym_EQ_EQ] = ACTIONS(5032),
    [anon_sym_BANG_EQ] = ACTIONS(5032),
    [anon_sym_GT] = ACTIONS(5034),
    [anon_sym_GT_EQ] = ACTIONS(5036),
    [anon_sym_LT_EQ] = ACTIONS(5036),
    [anon_sym_LT] = ACTIONS(5034),
    [anon_sym_LT_LT] = ACTIONS(5038),
    [anon_sym_GT_GT] = ACTIONS(5038),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_RBRACE] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
  },
  [1936] = {
    [sym_string_literal] = STATE(1929),
    [aux_sym_concatenated_string_repeat1] = STATE(1929),
    [sym_identifier] = ACTIONS(5068),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3960),
    [anon_sym_COMMA] = ACTIONS(3960),
    [anon_sym_RPAREN] = ACTIONS(3960),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3960),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3960),
    [anon_sym_LPAREN2] = ACTIONS(3960),
    [anon_sym_DASH] = ACTIONS(3962),
    [anon_sym_PLUS] = ACTIONS(3962),
    [anon_sym_STAR] = ACTIONS(3960),
    [anon_sym_SLASH] = ACTIONS(3962),
    [anon_sym_PERCENT] = ACTIONS(3960),
    [anon_sym_PIPE_PIPE] = ACTIONS(3960),
    [anon_sym_AMP_AMP] = ACTIONS(3960),
    [anon_sym_PIPE] = ACTIONS(3962),
    [anon_sym_CARET] = ACTIONS(3960),
    [anon_sym_AMP] = ACTIONS(3962),
    [anon_sym_EQ_EQ] = ACTIONS(3960),
    [anon_sym_BANG_EQ] = ACTIONS(3960),
    [anon_sym_GT] = ACTIONS(3962),
    [anon_sym_GT_EQ] = ACTIONS(3960),
    [anon_sym_LT_EQ] = ACTIONS(3960),
    [anon_sym_LT] = ACTIONS(3962),
    [anon_sym_LT_LT] = ACTIONS(3960),
    [anon_sym_GT_GT] = ACTIONS(3960),
    [anon_sym_SEMI] = ACTIONS(3960),
    [anon_sym___extension__] = ACTIONS(3962),
    [anon_sym_extern] = ACTIONS(3962),
    [anon_sym___attribute__] = ACTIONS(3962),
    [anon_sym___attribute] = ACTIONS(3962),
    [anon_sym_noreturn] = ACTIONS(3962),
    [anon_sym_LBRACK] = ACTIONS(3960),
    [anon_sym_RBRACK] = ACTIONS(3960),
    [anon_sym___declspec] = ACTIONS(3962),
    [anon_sym_RBRACE] = ACTIONS(3960),
    [anon_sym_static] = ACTIONS(3962),
    [anon_sym_auto] = ACTIONS(3962),
    [anon_sym_register] = ACTIONS(3962),
    [anon_sym_inline] = ACTIONS(3962),
    [anon_sym___inline] = ACTIONS(3962),
    [anon_sym___inline__] = ACTIONS(3962),
    [anon_sym___forceinline] = ACTIONS(3962),
    [anon_sym_thread_local] = ACTIONS(3962),
    [anon_sym___thread] = ACTIONS(3962),
    [anon_sym_CG_EXTERN] = ACTIONS(3962),
    [anon_sym_CG_INLINE] = ACTIONS(3962),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(3962),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(3962),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(3962),
    [anon_sym_IBOutlet] = ACTIONS(3962),
    [anon_sym_IBInspectable] = ACTIONS(3962),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(3962),
    [anon_sym_NS_INLINE] = ACTIONS(3962),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(3962),
    [anon_sym_OBJC_EXPORT] = ACTIONS(3962),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(3962),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(3962),
    [anon_sym_const] = ACTIONS(3962),
    [anon_sym_constexpr] = ACTIONS(3962),
    [anon_sym_volatile] = ACTIONS(3962),
    [anon_sym_restrict] = ACTIONS(3962),
    [anon_sym___restrict__] = ACTIONS(3962),
    [anon_sym__Atomic] = ACTIONS(3962),
    [anon_sym__Noreturn] = ACTIONS(3962),
    [anon_sym__Nonnull] = ACTIONS(3962),
    [anon_sym_nullable] = ACTIONS(3962),
    [anon_sym__Complex] = ACTIONS(3962),
    [anon_sym__Nullable] = ACTIONS(3962),
    [anon_sym__Nullable_result] = ACTIONS(3962),
    [anon_sym__Null_unspecified] = ACTIONS(3962),
    [anon_sym___autoreleasing] = ACTIONS(3962),
    [anon_sym___block] = ACTIONS(3962),
    [anon_sym___bridge] = ACTIONS(3962),
    [anon_sym___bridge_retained] = ACTIONS(3962),
    [anon_sym___bridge_transfer] = ACTIONS(3962),
    [anon_sym___complex] = ACTIONS(3962),
    [anon_sym___const] = ACTIONS(3962),
    [anon_sym___imag] = ACTIONS(3962),
    [anon_sym___kindof] = ACTIONS(3962),
    [anon_sym___nonnull] = ACTIONS(3962),
    [anon_sym___nullable] = ACTIONS(3962),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(3962),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(3962),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(3962),
    [anon_sym___real] = ACTIONS(3962),
    [anon_sym___strong] = ACTIONS(3962),
    [anon_sym___unsafe_unretained] = ACTIONS(3962),
    [anon_sym___unused] = ACTIONS(3962),
    [anon_sym___weak] = ACTIONS(3962),
    [anon_sym_alignas] = ACTIONS(3962),
    [anon_sym__Alignas] = ACTIONS(3962),
    [anon_sym_COLON] = ACTIONS(3960),
    [anon_sym_QMARK] = ACTIONS(3960),
    [anon_sym_DASH_DASH] = ACTIONS(3960),
    [anon_sym_PLUS_PLUS] = ACTIONS(3960),
    [anon_sym_DOT] = ACTIONS(3962),
    [anon_sym_DASH_GT] = ACTIONS(3960),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(3962),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(3962),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(3962),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(3962),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(3962),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(3962),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(3962),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(3962),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(3962),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(3962),
    [anon_sym_NS_AVAILABLE] = ACTIONS(3962),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(3962),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(3962),
    [anon_sym_API_AVAILABLE] = ACTIONS(3962),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(3962),
    [anon_sym_API_DEPRECATED] = ACTIONS(3962),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(3962),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(3962),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(3962),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(3962),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(3962),
    [anon_sym___deprecated_msg] = ACTIONS(3962),
    [anon_sym___deprecated_enum_msg] = ACTIONS(3962),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(3962),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(3962),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(3962),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(3962),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(3962),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(3962),
  },
  [1937] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5028),
    [anon_sym_PLUS] = ACTIONS(5028),
    [anon_sym_STAR] = ACTIONS(5030),
    [anon_sym_SLASH] = ACTIONS(5030),
    [anon_sym_PERCENT] = ACTIONS(5030),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4034),
    [anon_sym_AMP] = ACTIONS(5050),
    [anon_sym_EQ_EQ] = ACTIONS(5032),
    [anon_sym_BANG_EQ] = ACTIONS(5032),
    [anon_sym_GT] = ACTIONS(5034),
    [anon_sym_GT_EQ] = ACTIONS(5036),
    [anon_sym_LT_EQ] = ACTIONS(5036),
    [anon_sym_LT] = ACTIONS(5034),
    [anon_sym_LT_LT] = ACTIONS(5038),
    [anon_sym_GT_GT] = ACTIONS(5038),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_RBRACE] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
  },
  [1938] = {
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym___attribute] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_ATautoreleasepool] = ACTIONS(2454),
    [anon_sym_auto] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_CG_EXTERN] = ACTIONS(2452),
    [anon_sym_CG_INLINE] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2452),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2452),
    [anon_sym_IBOutlet] = ACTIONS(2452),
    [anon_sym_IBInspectable] = ACTIONS(2452),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2452),
    [anon_sym_NS_INLINE] = ACTIONS(2452),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2452),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2452),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym__Nonnull] = ACTIONS(2452),
    [anon_sym_nullable] = ACTIONS(2452),
    [anon_sym__Complex] = ACTIONS(2452),
    [anon_sym__Nullable] = ACTIONS(2452),
    [anon_sym__Nullable_result] = ACTIONS(2452),
    [anon_sym__Null_unspecified] = ACTIONS(2452),
    [anon_sym___autoreleasing] = ACTIONS(2452),
    [anon_sym___block] = ACTIONS(2452),
    [anon_sym___bridge] = ACTIONS(2452),
    [anon_sym___bridge_retained] = ACTIONS(2452),
    [anon_sym___bridge_transfer] = ACTIONS(2452),
    [anon_sym___complex] = ACTIONS(2452),
    [anon_sym___const] = ACTIONS(2452),
    [anon_sym___imag] = ACTIONS(2452),
    [anon_sym___kindof] = ACTIONS(2452),
    [anon_sym___nonnull] = ACTIONS(2452),
    [anon_sym___nullable] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2452),
    [anon_sym___real] = ACTIONS(2452),
    [anon_sym___strong] = ACTIONS(2452),
    [anon_sym___unsafe_unretained] = ACTIONS(2452),
    [anon_sym___unused] = ACTIONS(2452),
    [anon_sym___weak] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym__Alignas] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2452),
    [anon_sym___typeof] = ACTIONS(2452),
    [anon_sym_typeof] = ACTIONS(2452),
    [aux_sym_preproc_undef_token1] = ACTIONS(2452),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2452),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2452),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2452),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_API_AVAILABLE] = ACTIONS(2452),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_API_DEPRECATED] = ACTIONS(2452),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym___deprecated_msg] = ACTIONS(2452),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2452),
    [anon_sym_ATend] = ACTIONS(2454),
    [anon_sym_AToptional] = ACTIONS(2454),
    [anon_sym_ATrequired] = ACTIONS(2454),
    [anon_sym_ATsynthesize] = ACTIONS(2454),
    [anon_sym_ATdynamic] = ACTIONS(2454),
    [anon_sym_ATproperty] = ACTIONS(2454),
    [anon_sym_BOOL] = ACTIONS(2452),
    [anon_sym_IMP] = ACTIONS(2452),
    [anon_sym_SEL] = ACTIONS(2452),
    [anon_sym_Class] = ACTIONS(2452),
    [anon_sym_id] = ACTIONS(2452),
  },
  [1939] = {
    [sym_identifier] = ACTIONS(5070),
    [aux_sym_preproc_def_token1] = ACTIONS(5070),
    [aux_sym_preproc_if_token1] = ACTIONS(5070),
    [aux_sym_preproc_if_token2] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5070),
    [aux_sym_preproc_else_token1] = ACTIONS(5070),
    [aux_sym_preproc_elif_token1] = ACTIONS(5070),
    [sym_preproc_directive] = ACTIONS(5070),
    [anon_sym_LPAREN2] = ACTIONS(5072),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_STAR] = ACTIONS(5072),
    [anon_sym_CARET] = ACTIONS(5072),
    [anon_sym___extension__] = ACTIONS(5070),
    [anon_sym_typedef] = ACTIONS(5070),
    [anon_sym_extern] = ACTIONS(5070),
    [anon_sym___attribute__] = ACTIONS(5070),
    [anon_sym___attribute] = ACTIONS(5070),
    [anon_sym_noreturn] = ACTIONS(5070),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [anon_sym___declspec] = ACTIONS(5070),
    [anon_sym___based] = ACTIONS(5076),
    [anon_sym___cdecl] = ACTIONS(5070),
    [anon_sym___clrcall] = ACTIONS(5070),
    [anon_sym___stdcall] = ACTIONS(5070),
    [anon_sym___fastcall] = ACTIONS(5070),
    [anon_sym___thiscall] = ACTIONS(5070),
    [anon_sym___vectorcall] = ACTIONS(5070),
    [anon_sym_signed] = ACTIONS(5070),
    [anon_sym_unsigned] = ACTIONS(5070),
    [anon_sym_long] = ACTIONS(5070),
    [anon_sym_short] = ACTIONS(5070),
    [anon_sym_static] = ACTIONS(5070),
    [anon_sym_auto] = ACTIONS(5070),
    [anon_sym_register] = ACTIONS(5070),
    [anon_sym_inline] = ACTIONS(5070),
    [anon_sym___inline] = ACTIONS(5070),
    [anon_sym___inline__] = ACTIONS(5070),
    [anon_sym___forceinline] = ACTIONS(5070),
    [anon_sym_thread_local] = ACTIONS(5070),
    [anon_sym___thread] = ACTIONS(5070),
    [anon_sym_CG_EXTERN] = ACTIONS(5070),
    [anon_sym_CG_INLINE] = ACTIONS(5070),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5070),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5070),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5070),
    [anon_sym_IBOutlet] = ACTIONS(5070),
    [anon_sym_IBInspectable] = ACTIONS(5070),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5070),
    [anon_sym_NS_INLINE] = ACTIONS(5070),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5070),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5070),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5070),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5070),
    [anon_sym_const] = ACTIONS(5070),
    [anon_sym_constexpr] = ACTIONS(5070),
    [anon_sym_volatile] = ACTIONS(5070),
    [anon_sym_restrict] = ACTIONS(5070),
    [anon_sym___restrict__] = ACTIONS(5070),
    [anon_sym__Atomic] = ACTIONS(5070),
    [anon_sym__Noreturn] = ACTIONS(5070),
    [anon_sym__Nonnull] = ACTIONS(5070),
    [anon_sym_nullable] = ACTIONS(5070),
    [anon_sym__Complex] = ACTIONS(5070),
    [anon_sym__Nullable] = ACTIONS(5070),
    [anon_sym__Nullable_result] = ACTIONS(5070),
    [anon_sym__Null_unspecified] = ACTIONS(5070),
    [anon_sym___autoreleasing] = ACTIONS(5070),
    [anon_sym___block] = ACTIONS(5070),
    [anon_sym___bridge] = ACTIONS(5070),
    [anon_sym___bridge_retained] = ACTIONS(5070),
    [anon_sym___bridge_transfer] = ACTIONS(5070),
    [anon_sym___complex] = ACTIONS(5070),
    [anon_sym___const] = ACTIONS(5070),
    [anon_sym___imag] = ACTIONS(5070),
    [anon_sym___kindof] = ACTIONS(5070),
    [anon_sym___nonnull] = ACTIONS(5070),
    [anon_sym___nullable] = ACTIONS(5070),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5070),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5070),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5070),
    [anon_sym___real] = ACTIONS(5070),
    [anon_sym___strong] = ACTIONS(5070),
    [anon_sym___unsafe_unretained] = ACTIONS(5070),
    [anon_sym___unused] = ACTIONS(5070),
    [anon_sym___weak] = ACTIONS(5070),
    [anon_sym_alignas] = ACTIONS(5070),
    [anon_sym__Alignas] = ACTIONS(5070),
    [sym_primitive_type] = ACTIONS(5070),
    [anon_sym_enum] = ACTIONS(5070),
    [anon_sym_struct] = ACTIONS(5070),
    [anon_sym_union] = ACTIONS(5070),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5070),
    [anon_sym___typeof] = ACTIONS(5070),
    [anon_sym_typeof] = ACTIONS(5070),
    [aux_sym_preproc_undef_token1] = ACTIONS(5070),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5070),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5070),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5070),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5070),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5070),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5070),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5070),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5070),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5070),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5070),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5070),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5070),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5070),
    [anon_sym_API_AVAILABLE] = ACTIONS(5070),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5070),
    [anon_sym_API_DEPRECATED] = ACTIONS(5070),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5070),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5070),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5070),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5070),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5070),
    [anon_sym___deprecated_msg] = ACTIONS(5070),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5070),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5070),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5070),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5070),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5070),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5070),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5070),
    [anon_sym_ATsynthesize] = ACTIONS(5074),
    [anon_sym_ATdynamic] = ACTIONS(5074),
    [anon_sym_BOOL] = ACTIONS(5070),
    [anon_sym_IMP] = ACTIONS(5070),
    [anon_sym_SEL] = ACTIONS(5070),
    [anon_sym_Class] = ACTIONS(5070),
    [anon_sym_id] = ACTIONS(5070),
  },
  [1940] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2284),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4864),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1941] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2126),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4882),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1942] = {
    [sym_identifier] = ACTIONS(2470),
    [aux_sym_preproc_def_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2470),
    [sym_preproc_directive] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2470),
    [anon_sym_extern] = ACTIONS(2470),
    [anon_sym___attribute__] = ACTIONS(2470),
    [anon_sym___attribute] = ACTIONS(2470),
    [anon_sym_noreturn] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym___declspec] = ACTIONS(2470),
    [anon_sym___cdecl] = ACTIONS(2470),
    [anon_sym___clrcall] = ACTIONS(2470),
    [anon_sym___stdcall] = ACTIONS(2470),
    [anon_sym___fastcall] = ACTIONS(2470),
    [anon_sym___thiscall] = ACTIONS(2470),
    [anon_sym___vectorcall] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_signed] = ACTIONS(2470),
    [anon_sym_unsigned] = ACTIONS(2470),
    [anon_sym_long] = ACTIONS(2470),
    [anon_sym_short] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_ATautoreleasepool] = ACTIONS(2472),
    [anon_sym_auto] = ACTIONS(2470),
    [anon_sym_register] = ACTIONS(2470),
    [anon_sym_inline] = ACTIONS(2470),
    [anon_sym___inline] = ACTIONS(2470),
    [anon_sym___inline__] = ACTIONS(2470),
    [anon_sym___forceinline] = ACTIONS(2470),
    [anon_sym_thread_local] = ACTIONS(2470),
    [anon_sym___thread] = ACTIONS(2470),
    [anon_sym_CG_EXTERN] = ACTIONS(2470),
    [anon_sym_CG_INLINE] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2470),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2470),
    [anon_sym_IBOutlet] = ACTIONS(2470),
    [anon_sym_IBInspectable] = ACTIONS(2470),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2470),
    [anon_sym_NS_INLINE] = ACTIONS(2470),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2470),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2470),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2470),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_constexpr] = ACTIONS(2470),
    [anon_sym_volatile] = ACTIONS(2470),
    [anon_sym_restrict] = ACTIONS(2470),
    [anon_sym___restrict__] = ACTIONS(2470),
    [anon_sym__Atomic] = ACTIONS(2470),
    [anon_sym__Noreturn] = ACTIONS(2470),
    [anon_sym__Nonnull] = ACTIONS(2470),
    [anon_sym_nullable] = ACTIONS(2470),
    [anon_sym__Complex] = ACTIONS(2470),
    [anon_sym__Nullable] = ACTIONS(2470),
    [anon_sym__Nullable_result] = ACTIONS(2470),
    [anon_sym__Null_unspecified] = ACTIONS(2470),
    [anon_sym___autoreleasing] = ACTIONS(2470),
    [anon_sym___block] = ACTIONS(2470),
    [anon_sym___bridge] = ACTIONS(2470),
    [anon_sym___bridge_retained] = ACTIONS(2470),
    [anon_sym___bridge_transfer] = ACTIONS(2470),
    [anon_sym___complex] = ACTIONS(2470),
    [anon_sym___const] = ACTIONS(2470),
    [anon_sym___imag] = ACTIONS(2470),
    [anon_sym___kindof] = ACTIONS(2470),
    [anon_sym___nonnull] = ACTIONS(2470),
    [anon_sym___nullable] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2470),
    [anon_sym___real] = ACTIONS(2470),
    [anon_sym___strong] = ACTIONS(2470),
    [anon_sym___unsafe_unretained] = ACTIONS(2470),
    [anon_sym___unused] = ACTIONS(2470),
    [anon_sym___weak] = ACTIONS(2470),
    [anon_sym_alignas] = ACTIONS(2470),
    [anon_sym__Alignas] = ACTIONS(2470),
    [sym_primitive_type] = ACTIONS(2470),
    [anon_sym_enum] = ACTIONS(2470),
    [anon_sym_struct] = ACTIONS(2470),
    [anon_sym_union] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2470),
    [anon_sym___typeof] = ACTIONS(2470),
    [anon_sym_typeof] = ACTIONS(2470),
    [aux_sym_preproc_undef_token1] = ACTIONS(2470),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2470),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2470),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2470),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_API_AVAILABLE] = ACTIONS(2470),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_API_DEPRECATED] = ACTIONS(2470),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym___deprecated_msg] = ACTIONS(2470),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2470),
    [anon_sym_ATend] = ACTIONS(2472),
    [anon_sym_AToptional] = ACTIONS(2472),
    [anon_sym_ATrequired] = ACTIONS(2472),
    [anon_sym_ATsynthesize] = ACTIONS(2472),
    [anon_sym_ATdynamic] = ACTIONS(2472),
    [anon_sym_ATproperty] = ACTIONS(2472),
    [anon_sym_BOOL] = ACTIONS(2470),
    [anon_sym_IMP] = ACTIONS(2470),
    [anon_sym_SEL] = ACTIONS(2470),
    [anon_sym_Class] = ACTIONS(2470),
    [anon_sym_id] = ACTIONS(2470),
  },
  [1943] = {
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym___attribute] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_ATautoreleasepool] = ACTIONS(2476),
    [anon_sym_auto] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_CG_EXTERN] = ACTIONS(2474),
    [anon_sym_CG_INLINE] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2474),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2474),
    [anon_sym_IBOutlet] = ACTIONS(2474),
    [anon_sym_IBInspectable] = ACTIONS(2474),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2474),
    [anon_sym_NS_INLINE] = ACTIONS(2474),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2474),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2474),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym__Nonnull] = ACTIONS(2474),
    [anon_sym_nullable] = ACTIONS(2474),
    [anon_sym__Complex] = ACTIONS(2474),
    [anon_sym__Nullable] = ACTIONS(2474),
    [anon_sym__Nullable_result] = ACTIONS(2474),
    [anon_sym__Null_unspecified] = ACTIONS(2474),
    [anon_sym___autoreleasing] = ACTIONS(2474),
    [anon_sym___block] = ACTIONS(2474),
    [anon_sym___bridge] = ACTIONS(2474),
    [anon_sym___bridge_retained] = ACTIONS(2474),
    [anon_sym___bridge_transfer] = ACTIONS(2474),
    [anon_sym___complex] = ACTIONS(2474),
    [anon_sym___const] = ACTIONS(2474),
    [anon_sym___imag] = ACTIONS(2474),
    [anon_sym___kindof] = ACTIONS(2474),
    [anon_sym___nonnull] = ACTIONS(2474),
    [anon_sym___nullable] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2474),
    [anon_sym___real] = ACTIONS(2474),
    [anon_sym___strong] = ACTIONS(2474),
    [anon_sym___unsafe_unretained] = ACTIONS(2474),
    [anon_sym___unused] = ACTIONS(2474),
    [anon_sym___weak] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2474),
    [anon_sym___typeof] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [aux_sym_preproc_undef_token1] = ACTIONS(2474),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2474),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2474),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2474),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_API_AVAILABLE] = ACTIONS(2474),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_API_DEPRECATED] = ACTIONS(2474),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym___deprecated_msg] = ACTIONS(2474),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2474),
    [anon_sym_ATend] = ACTIONS(2476),
    [anon_sym_AToptional] = ACTIONS(2476),
    [anon_sym_ATrequired] = ACTIONS(2476),
    [anon_sym_ATsynthesize] = ACTIONS(2476),
    [anon_sym_ATdynamic] = ACTIONS(2476),
    [anon_sym_ATproperty] = ACTIONS(2476),
    [anon_sym_BOOL] = ACTIONS(2474),
    [anon_sym_IMP] = ACTIONS(2474),
    [anon_sym_SEL] = ACTIONS(2474),
    [anon_sym_Class] = ACTIONS(2474),
    [anon_sym_id] = ACTIONS(2474),
  },
  [1944] = {
    [sym_identifier] = ACTIONS(2486),
    [aux_sym_preproc_def_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2486),
    [sym_preproc_directive] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2488),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym___attribute] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym___cdecl] = ACTIONS(2486),
    [anon_sym___clrcall] = ACTIONS(2486),
    [anon_sym___stdcall] = ACTIONS(2486),
    [anon_sym___fastcall] = ACTIONS(2486),
    [anon_sym___thiscall] = ACTIONS(2486),
    [anon_sym___vectorcall] = ACTIONS(2486),
    [anon_sym_LBRACE] = ACTIONS(2488),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_ATautoreleasepool] = ACTIONS(2488),
    [anon_sym_auto] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_CG_EXTERN] = ACTIONS(2486),
    [anon_sym_CG_INLINE] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2486),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2486),
    [anon_sym_IBOutlet] = ACTIONS(2486),
    [anon_sym_IBInspectable] = ACTIONS(2486),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2486),
    [anon_sym_NS_INLINE] = ACTIONS(2486),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2486),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2486),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym__Nonnull] = ACTIONS(2486),
    [anon_sym_nullable] = ACTIONS(2486),
    [anon_sym__Complex] = ACTIONS(2486),
    [anon_sym__Nullable] = ACTIONS(2486),
    [anon_sym__Nullable_result] = ACTIONS(2486),
    [anon_sym__Null_unspecified] = ACTIONS(2486),
    [anon_sym___autoreleasing] = ACTIONS(2486),
    [anon_sym___block] = ACTIONS(2486),
    [anon_sym___bridge] = ACTIONS(2486),
    [anon_sym___bridge_retained] = ACTIONS(2486),
    [anon_sym___bridge_transfer] = ACTIONS(2486),
    [anon_sym___complex] = ACTIONS(2486),
    [anon_sym___const] = ACTIONS(2486),
    [anon_sym___imag] = ACTIONS(2486),
    [anon_sym___kindof] = ACTIONS(2486),
    [anon_sym___nonnull] = ACTIONS(2486),
    [anon_sym___nullable] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2486),
    [anon_sym___real] = ACTIONS(2486),
    [anon_sym___strong] = ACTIONS(2486),
    [anon_sym___unsafe_unretained] = ACTIONS(2486),
    [anon_sym___unused] = ACTIONS(2486),
    [anon_sym___weak] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym__Alignas] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2486),
    [anon_sym___typeof] = ACTIONS(2486),
    [anon_sym_typeof] = ACTIONS(2486),
    [aux_sym_preproc_undef_token1] = ACTIONS(2486),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2486),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2486),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2486),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_API_AVAILABLE] = ACTIONS(2486),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_API_DEPRECATED] = ACTIONS(2486),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym___deprecated_msg] = ACTIONS(2486),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2486),
    [anon_sym_ATend] = ACTIONS(2488),
    [anon_sym_AToptional] = ACTIONS(2488),
    [anon_sym_ATrequired] = ACTIONS(2488),
    [anon_sym_ATsynthesize] = ACTIONS(2488),
    [anon_sym_ATdynamic] = ACTIONS(2488),
    [anon_sym_ATproperty] = ACTIONS(2488),
    [anon_sym_BOOL] = ACTIONS(2486),
    [anon_sym_IMP] = ACTIONS(2486),
    [anon_sym_SEL] = ACTIONS(2486),
    [anon_sym_Class] = ACTIONS(2486),
    [anon_sym_id] = ACTIONS(2486),
  },
  [1945] = {
    [sym_identifier] = ACTIONS(2486),
    [aux_sym_preproc_def_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2486),
    [sym_preproc_directive] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2488),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym___attribute] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym___cdecl] = ACTIONS(2486),
    [anon_sym___clrcall] = ACTIONS(2486),
    [anon_sym___stdcall] = ACTIONS(2486),
    [anon_sym___fastcall] = ACTIONS(2486),
    [anon_sym___thiscall] = ACTIONS(2486),
    [anon_sym___vectorcall] = ACTIONS(2486),
    [anon_sym_LBRACE] = ACTIONS(2488),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_ATautoreleasepool] = ACTIONS(2488),
    [anon_sym_auto] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_CG_EXTERN] = ACTIONS(2486),
    [anon_sym_CG_INLINE] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2486),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2486),
    [anon_sym_IBOutlet] = ACTIONS(2486),
    [anon_sym_IBInspectable] = ACTIONS(2486),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2486),
    [anon_sym_NS_INLINE] = ACTIONS(2486),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2486),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2486),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym__Nonnull] = ACTIONS(2486),
    [anon_sym_nullable] = ACTIONS(2486),
    [anon_sym__Complex] = ACTIONS(2486),
    [anon_sym__Nullable] = ACTIONS(2486),
    [anon_sym__Nullable_result] = ACTIONS(2486),
    [anon_sym__Null_unspecified] = ACTIONS(2486),
    [anon_sym___autoreleasing] = ACTIONS(2486),
    [anon_sym___block] = ACTIONS(2486),
    [anon_sym___bridge] = ACTIONS(2486),
    [anon_sym___bridge_retained] = ACTIONS(2486),
    [anon_sym___bridge_transfer] = ACTIONS(2486),
    [anon_sym___complex] = ACTIONS(2486),
    [anon_sym___const] = ACTIONS(2486),
    [anon_sym___imag] = ACTIONS(2486),
    [anon_sym___kindof] = ACTIONS(2486),
    [anon_sym___nonnull] = ACTIONS(2486),
    [anon_sym___nullable] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2486),
    [anon_sym___real] = ACTIONS(2486),
    [anon_sym___strong] = ACTIONS(2486),
    [anon_sym___unsafe_unretained] = ACTIONS(2486),
    [anon_sym___unused] = ACTIONS(2486),
    [anon_sym___weak] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym__Alignas] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2486),
    [anon_sym___typeof] = ACTIONS(2486),
    [anon_sym_typeof] = ACTIONS(2486),
    [aux_sym_preproc_undef_token1] = ACTIONS(2486),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2486),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2486),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2486),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_API_AVAILABLE] = ACTIONS(2486),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_API_DEPRECATED] = ACTIONS(2486),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym___deprecated_msg] = ACTIONS(2486),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2486),
    [anon_sym_ATend] = ACTIONS(2488),
    [anon_sym_AToptional] = ACTIONS(2488),
    [anon_sym_ATrequired] = ACTIONS(2488),
    [anon_sym_ATsynthesize] = ACTIONS(2488),
    [anon_sym_ATdynamic] = ACTIONS(2488),
    [anon_sym_ATproperty] = ACTIONS(2488),
    [anon_sym_BOOL] = ACTIONS(2486),
    [anon_sym_IMP] = ACTIONS(2486),
    [anon_sym_SEL] = ACTIONS(2486),
    [anon_sym_Class] = ACTIONS(2486),
    [anon_sym_id] = ACTIONS(2486),
  },
  [1946] = {
    [sym_identifier] = ACTIONS(4290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4292),
    [anon_sym_COMMA] = ACTIONS(4292),
    [anon_sym_RPAREN] = ACTIONS(4292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4292),
    [anon_sym_LPAREN2] = ACTIONS(4292),
    [anon_sym_DASH] = ACTIONS(4290),
    [anon_sym_PLUS] = ACTIONS(4290),
    [anon_sym_STAR] = ACTIONS(4292),
    [anon_sym_SLASH] = ACTIONS(4290),
    [anon_sym_PERCENT] = ACTIONS(4292),
    [anon_sym_PIPE_PIPE] = ACTIONS(4292),
    [anon_sym_AMP_AMP] = ACTIONS(4292),
    [anon_sym_PIPE] = ACTIONS(4290),
    [anon_sym_CARET] = ACTIONS(4292),
    [anon_sym_AMP] = ACTIONS(4290),
    [anon_sym_EQ_EQ] = ACTIONS(4292),
    [anon_sym_BANG_EQ] = ACTIONS(4292),
    [anon_sym_GT] = ACTIONS(4290),
    [anon_sym_GT_EQ] = ACTIONS(4292),
    [anon_sym_LT_EQ] = ACTIONS(4292),
    [anon_sym_LT] = ACTIONS(4290),
    [anon_sym_LT_LT] = ACTIONS(4292),
    [anon_sym_GT_GT] = ACTIONS(4292),
    [anon_sym_SEMI] = ACTIONS(4292),
    [anon_sym___extension__] = ACTIONS(4290),
    [anon_sym_extern] = ACTIONS(4290),
    [anon_sym___attribute__] = ACTIONS(4290),
    [anon_sym___attribute] = ACTIONS(4290),
    [anon_sym_noreturn] = ACTIONS(4290),
    [anon_sym_LBRACK] = ACTIONS(4292),
    [anon_sym_RBRACK] = ACTIONS(4292),
    [anon_sym___declspec] = ACTIONS(4290),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_RBRACE] = ACTIONS(4292),
    [anon_sym_static] = ACTIONS(4290),
    [anon_sym_EQ] = ACTIONS(4290),
    [anon_sym_ATautoreleasepool] = ACTIONS(4292),
    [anon_sym_auto] = ACTIONS(4290),
    [anon_sym_register] = ACTIONS(4290),
    [anon_sym_inline] = ACTIONS(4290),
    [anon_sym___inline] = ACTIONS(4290),
    [anon_sym___inline__] = ACTIONS(4290),
    [anon_sym___forceinline] = ACTIONS(4290),
    [anon_sym_thread_local] = ACTIONS(4290),
    [anon_sym___thread] = ACTIONS(4290),
    [anon_sym_CG_EXTERN] = ACTIONS(4290),
    [anon_sym_CG_INLINE] = ACTIONS(4290),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4290),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4290),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4290),
    [anon_sym_IBOutlet] = ACTIONS(4290),
    [anon_sym_IBInspectable] = ACTIONS(4290),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4290),
    [anon_sym_NS_INLINE] = ACTIONS(4290),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4290),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4290),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4290),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4290),
    [anon_sym_const] = ACTIONS(4290),
    [anon_sym_constexpr] = ACTIONS(4290),
    [anon_sym_volatile] = ACTIONS(4290),
    [anon_sym_restrict] = ACTIONS(4290),
    [anon_sym___restrict__] = ACTIONS(4290),
    [anon_sym__Atomic] = ACTIONS(4290),
    [anon_sym__Noreturn] = ACTIONS(4290),
    [anon_sym__Nonnull] = ACTIONS(4290),
    [anon_sym_nullable] = ACTIONS(4290),
    [anon_sym__Complex] = ACTIONS(4290),
    [anon_sym__Nullable] = ACTIONS(4290),
    [anon_sym__Nullable_result] = ACTIONS(4290),
    [anon_sym__Null_unspecified] = ACTIONS(4290),
    [anon_sym___autoreleasing] = ACTIONS(4290),
    [anon_sym___block] = ACTIONS(4290),
    [anon_sym___bridge] = ACTIONS(4290),
    [anon_sym___bridge_retained] = ACTIONS(4290),
    [anon_sym___bridge_transfer] = ACTIONS(4290),
    [anon_sym___complex] = ACTIONS(4290),
    [anon_sym___const] = ACTIONS(4290),
    [anon_sym___imag] = ACTIONS(4290),
    [anon_sym___kindof] = ACTIONS(4290),
    [anon_sym___nonnull] = ACTIONS(4290),
    [anon_sym___nullable] = ACTIONS(4290),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4290),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4290),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4290),
    [anon_sym___real] = ACTIONS(4290),
    [anon_sym___strong] = ACTIONS(4290),
    [anon_sym___unsafe_unretained] = ACTIONS(4290),
    [anon_sym___unused] = ACTIONS(4290),
    [anon_sym___weak] = ACTIONS(4290),
    [anon_sym_alignas] = ACTIONS(4290),
    [anon_sym__Alignas] = ACTIONS(4290),
    [anon_sym_COLON] = ACTIONS(4292),
    [anon_sym_in] = ACTIONS(4290),
    [anon_sym_QMARK] = ACTIONS(4292),
    [anon_sym_DASH_DASH] = ACTIONS(4292),
    [anon_sym_PLUS_PLUS] = ACTIONS(4292),
    [anon_sym_asm] = ACTIONS(4290),
    [anon_sym___asm__] = ACTIONS(4290),
    [anon_sym___asm] = ACTIONS(4290),
    [anon_sym_DOT] = ACTIONS(4290),
    [anon_sym_DASH_GT] = ACTIONS(4292),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4290),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4290),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4290),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4290),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4290),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4290),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4290),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4290),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4290),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4290),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4290),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4290),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4290),
    [anon_sym_API_AVAILABLE] = ACTIONS(4290),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4290),
    [anon_sym_API_DEPRECATED] = ACTIONS(4290),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4290),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4290),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4290),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4290),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4290),
    [anon_sym___deprecated_msg] = ACTIONS(4290),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4290),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4290),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4290),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4290),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4290),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4290),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4290),
  },
  [1947] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2289),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4813),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1948] = {
    [sym_identifier] = ACTIONS(2470),
    [aux_sym_preproc_def_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2470),
    [sym_preproc_directive] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2470),
    [anon_sym_extern] = ACTIONS(2470),
    [anon_sym___attribute__] = ACTIONS(2470),
    [anon_sym___attribute] = ACTIONS(2470),
    [anon_sym_noreturn] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym___declspec] = ACTIONS(2470),
    [anon_sym___cdecl] = ACTIONS(2470),
    [anon_sym___clrcall] = ACTIONS(2470),
    [anon_sym___stdcall] = ACTIONS(2470),
    [anon_sym___fastcall] = ACTIONS(2470),
    [anon_sym___thiscall] = ACTIONS(2470),
    [anon_sym___vectorcall] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_signed] = ACTIONS(2470),
    [anon_sym_unsigned] = ACTIONS(2470),
    [anon_sym_long] = ACTIONS(2470),
    [anon_sym_short] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_ATautoreleasepool] = ACTIONS(2472),
    [anon_sym_auto] = ACTIONS(2470),
    [anon_sym_register] = ACTIONS(2470),
    [anon_sym_inline] = ACTIONS(2470),
    [anon_sym___inline] = ACTIONS(2470),
    [anon_sym___inline__] = ACTIONS(2470),
    [anon_sym___forceinline] = ACTIONS(2470),
    [anon_sym_thread_local] = ACTIONS(2470),
    [anon_sym___thread] = ACTIONS(2470),
    [anon_sym_CG_EXTERN] = ACTIONS(2470),
    [anon_sym_CG_INLINE] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2470),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2470),
    [anon_sym_IBOutlet] = ACTIONS(2470),
    [anon_sym_IBInspectable] = ACTIONS(2470),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2470),
    [anon_sym_NS_INLINE] = ACTIONS(2470),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2470),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2470),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2470),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_constexpr] = ACTIONS(2470),
    [anon_sym_volatile] = ACTIONS(2470),
    [anon_sym_restrict] = ACTIONS(2470),
    [anon_sym___restrict__] = ACTIONS(2470),
    [anon_sym__Atomic] = ACTIONS(2470),
    [anon_sym__Noreturn] = ACTIONS(2470),
    [anon_sym__Nonnull] = ACTIONS(2470),
    [anon_sym_nullable] = ACTIONS(2470),
    [anon_sym__Complex] = ACTIONS(2470),
    [anon_sym__Nullable] = ACTIONS(2470),
    [anon_sym__Nullable_result] = ACTIONS(2470),
    [anon_sym__Null_unspecified] = ACTIONS(2470),
    [anon_sym___autoreleasing] = ACTIONS(2470),
    [anon_sym___block] = ACTIONS(2470),
    [anon_sym___bridge] = ACTIONS(2470),
    [anon_sym___bridge_retained] = ACTIONS(2470),
    [anon_sym___bridge_transfer] = ACTIONS(2470),
    [anon_sym___complex] = ACTIONS(2470),
    [anon_sym___const] = ACTIONS(2470),
    [anon_sym___imag] = ACTIONS(2470),
    [anon_sym___kindof] = ACTIONS(2470),
    [anon_sym___nonnull] = ACTIONS(2470),
    [anon_sym___nullable] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2470),
    [anon_sym___real] = ACTIONS(2470),
    [anon_sym___strong] = ACTIONS(2470),
    [anon_sym___unsafe_unretained] = ACTIONS(2470),
    [anon_sym___unused] = ACTIONS(2470),
    [anon_sym___weak] = ACTIONS(2470),
    [anon_sym_alignas] = ACTIONS(2470),
    [anon_sym__Alignas] = ACTIONS(2470),
    [sym_primitive_type] = ACTIONS(2470),
    [anon_sym_enum] = ACTIONS(2470),
    [anon_sym_struct] = ACTIONS(2470),
    [anon_sym_union] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2470),
    [anon_sym___typeof] = ACTIONS(2470),
    [anon_sym_typeof] = ACTIONS(2470),
    [aux_sym_preproc_undef_token1] = ACTIONS(2470),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2470),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2470),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2470),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_API_AVAILABLE] = ACTIONS(2470),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_API_DEPRECATED] = ACTIONS(2470),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym___deprecated_msg] = ACTIONS(2470),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2470),
    [anon_sym_ATend] = ACTIONS(2472),
    [anon_sym_AToptional] = ACTIONS(2472),
    [anon_sym_ATrequired] = ACTIONS(2472),
    [anon_sym_ATsynthesize] = ACTIONS(2472),
    [anon_sym_ATdynamic] = ACTIONS(2472),
    [anon_sym_ATproperty] = ACTIONS(2472),
    [anon_sym_BOOL] = ACTIONS(2470),
    [anon_sym_IMP] = ACTIONS(2470),
    [anon_sym_SEL] = ACTIONS(2470),
    [anon_sym_Class] = ACTIONS(2470),
    [anon_sym_id] = ACTIONS(2470),
  },
  [1949] = {
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym___attribute] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2476),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_ATautoreleasepool] = ACTIONS(2476),
    [anon_sym_auto] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_CG_EXTERN] = ACTIONS(2474),
    [anon_sym_CG_INLINE] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2474),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2474),
    [anon_sym_IBOutlet] = ACTIONS(2474),
    [anon_sym_IBInspectable] = ACTIONS(2474),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2474),
    [anon_sym_NS_INLINE] = ACTIONS(2474),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2474),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2474),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym__Nonnull] = ACTIONS(2474),
    [anon_sym_nullable] = ACTIONS(2474),
    [anon_sym__Complex] = ACTIONS(2474),
    [anon_sym__Nullable] = ACTIONS(2474),
    [anon_sym__Nullable_result] = ACTIONS(2474),
    [anon_sym__Null_unspecified] = ACTIONS(2474),
    [anon_sym___autoreleasing] = ACTIONS(2474),
    [anon_sym___block] = ACTIONS(2474),
    [anon_sym___bridge] = ACTIONS(2474),
    [anon_sym___bridge_retained] = ACTIONS(2474),
    [anon_sym___bridge_transfer] = ACTIONS(2474),
    [anon_sym___complex] = ACTIONS(2474),
    [anon_sym___const] = ACTIONS(2474),
    [anon_sym___imag] = ACTIONS(2474),
    [anon_sym___kindof] = ACTIONS(2474),
    [anon_sym___nonnull] = ACTIONS(2474),
    [anon_sym___nullable] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2474),
    [anon_sym___real] = ACTIONS(2474),
    [anon_sym___strong] = ACTIONS(2474),
    [anon_sym___unsafe_unretained] = ACTIONS(2474),
    [anon_sym___unused] = ACTIONS(2474),
    [anon_sym___weak] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2474),
    [anon_sym___typeof] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [aux_sym_preproc_undef_token1] = ACTIONS(2474),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2474),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2474),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2474),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_API_AVAILABLE] = ACTIONS(2474),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_API_DEPRECATED] = ACTIONS(2474),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym___deprecated_msg] = ACTIONS(2474),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2474),
    [anon_sym_ATend] = ACTIONS(2476),
    [anon_sym_AToptional] = ACTIONS(2476),
    [anon_sym_ATrequired] = ACTIONS(2476),
    [anon_sym_ATsynthesize] = ACTIONS(2476),
    [anon_sym_ATdynamic] = ACTIONS(2476),
    [anon_sym_ATproperty] = ACTIONS(2476),
    [anon_sym_BOOL] = ACTIONS(2474),
    [anon_sym_IMP] = ACTIONS(2474),
    [anon_sym_SEL] = ACTIONS(2474),
    [anon_sym_Class] = ACTIONS(2474),
    [anon_sym_id] = ACTIONS(2474),
  },
  [1950] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2127),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4878),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1951] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2286),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4823),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1952] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2253),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4884),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1953] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2314),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4900),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1954] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2128),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4896),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1955] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2129),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4924),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1956] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2293),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4894),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1957] = {
    [sym_identifier] = ACTIONS(4180),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4182),
    [anon_sym_COMMA] = ACTIONS(4182),
    [anon_sym_RPAREN] = ACTIONS(4182),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4182),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(4182),
    [anon_sym_DASH] = ACTIONS(4180),
    [anon_sym_PLUS] = ACTIONS(4180),
    [anon_sym_STAR] = ACTIONS(4182),
    [anon_sym_SLASH] = ACTIONS(4180),
    [anon_sym_PERCENT] = ACTIONS(4182),
    [anon_sym_PIPE_PIPE] = ACTIONS(4182),
    [anon_sym_AMP_AMP] = ACTIONS(4182),
    [anon_sym_PIPE] = ACTIONS(4180),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_AMP] = ACTIONS(4180),
    [anon_sym_EQ_EQ] = ACTIONS(4182),
    [anon_sym_BANG_EQ] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4180),
    [anon_sym_GT_EQ] = ACTIONS(4182),
    [anon_sym_LT_EQ] = ACTIONS(4182),
    [anon_sym_LT] = ACTIONS(4180),
    [anon_sym_LT_LT] = ACTIONS(4182),
    [anon_sym_GT_GT] = ACTIONS(4182),
    [anon_sym_SEMI] = ACTIONS(4182),
    [anon_sym___extension__] = ACTIONS(4180),
    [anon_sym_extern] = ACTIONS(4180),
    [anon_sym___attribute__] = ACTIONS(4180),
    [anon_sym___attribute] = ACTIONS(4180),
    [anon_sym_noreturn] = ACTIONS(4180),
    [anon_sym_LBRACK] = ACTIONS(4182),
    [anon_sym_RBRACK] = ACTIONS(4182),
    [anon_sym___declspec] = ACTIONS(4180),
    [anon_sym_LBRACE] = ACTIONS(4182),
    [anon_sym_RBRACE] = ACTIONS(4182),
    [anon_sym_static] = ACTIONS(4180),
    [anon_sym_EQ] = ACTIONS(4180),
    [anon_sym_ATautoreleasepool] = ACTIONS(4182),
    [anon_sym_auto] = ACTIONS(4180),
    [anon_sym_register] = ACTIONS(4180),
    [anon_sym_inline] = ACTIONS(4180),
    [anon_sym___inline] = ACTIONS(4180),
    [anon_sym___inline__] = ACTIONS(4180),
    [anon_sym___forceinline] = ACTIONS(4180),
    [anon_sym_thread_local] = ACTIONS(4180),
    [anon_sym___thread] = ACTIONS(4180),
    [anon_sym_CG_EXTERN] = ACTIONS(4180),
    [anon_sym_CG_INLINE] = ACTIONS(4180),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4180),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4180),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4180),
    [anon_sym_IBOutlet] = ACTIONS(4180),
    [anon_sym_IBInspectable] = ACTIONS(4180),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4180),
    [anon_sym_NS_INLINE] = ACTIONS(4180),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4180),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4180),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4180),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4180),
    [anon_sym_const] = ACTIONS(4180),
    [anon_sym_constexpr] = ACTIONS(4180),
    [anon_sym_volatile] = ACTIONS(4180),
    [anon_sym_restrict] = ACTIONS(4180),
    [anon_sym___restrict__] = ACTIONS(4180),
    [anon_sym__Atomic] = ACTIONS(4180),
    [anon_sym__Noreturn] = ACTIONS(4180),
    [anon_sym__Nonnull] = ACTIONS(4180),
    [anon_sym_nullable] = ACTIONS(4180),
    [anon_sym__Complex] = ACTIONS(4180),
    [anon_sym__Nullable] = ACTIONS(4180),
    [anon_sym__Nullable_result] = ACTIONS(4180),
    [anon_sym__Null_unspecified] = ACTIONS(4180),
    [anon_sym___autoreleasing] = ACTIONS(4180),
    [anon_sym___block] = ACTIONS(4180),
    [anon_sym___bridge] = ACTIONS(4180),
    [anon_sym___bridge_retained] = ACTIONS(4180),
    [anon_sym___bridge_transfer] = ACTIONS(4180),
    [anon_sym___complex] = ACTIONS(4180),
    [anon_sym___const] = ACTIONS(4180),
    [anon_sym___imag] = ACTIONS(4180),
    [anon_sym___kindof] = ACTIONS(4180),
    [anon_sym___nonnull] = ACTIONS(4180),
    [anon_sym___nullable] = ACTIONS(4180),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4180),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4180),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4180),
    [anon_sym___real] = ACTIONS(4180),
    [anon_sym___strong] = ACTIONS(4180),
    [anon_sym___unsafe_unretained] = ACTIONS(4180),
    [anon_sym___unused] = ACTIONS(4180),
    [anon_sym___weak] = ACTIONS(4180),
    [anon_sym_alignas] = ACTIONS(4180),
    [anon_sym__Alignas] = ACTIONS(4180),
    [anon_sym_COLON] = ACTIONS(4182),
    [anon_sym_in] = ACTIONS(4180),
    [anon_sym_QMARK] = ACTIONS(4182),
    [anon_sym_DASH_DASH] = ACTIONS(4182),
    [anon_sym_PLUS_PLUS] = ACTIONS(4182),
    [anon_sym_asm] = ACTIONS(4180),
    [anon_sym___asm__] = ACTIONS(4180),
    [anon_sym___asm] = ACTIONS(4180),
    [anon_sym_DOT] = ACTIONS(4180),
    [anon_sym_DASH_GT] = ACTIONS(4182),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4180),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4180),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4180),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4180),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4180),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4180),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4180),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4180),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4180),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4180),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4180),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4180),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4180),
    [anon_sym_API_AVAILABLE] = ACTIONS(4180),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4180),
    [anon_sym_API_DEPRECATED] = ACTIONS(4180),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4180),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4180),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4180),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4180),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4180),
    [anon_sym___deprecated_msg] = ACTIONS(4180),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4180),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4180),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4180),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4180),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4180),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4180),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4180),
  },
  [1958] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2130),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(5078),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1959] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2116),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4856),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1960] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2294),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4898),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1961] = {
    [sym_identifier] = ACTIONS(4260),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4262),
    [anon_sym_COMMA] = ACTIONS(4262),
    [anon_sym_RPAREN] = ACTIONS(4262),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4262),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4262),
    [anon_sym_LPAREN2] = ACTIONS(4262),
    [anon_sym_DASH] = ACTIONS(4260),
    [anon_sym_PLUS] = ACTIONS(4260),
    [anon_sym_STAR] = ACTIONS(4262),
    [anon_sym_SLASH] = ACTIONS(4260),
    [anon_sym_PERCENT] = ACTIONS(4262),
    [anon_sym_PIPE_PIPE] = ACTIONS(4262),
    [anon_sym_AMP_AMP] = ACTIONS(4262),
    [anon_sym_PIPE] = ACTIONS(4260),
    [anon_sym_CARET] = ACTIONS(4262),
    [anon_sym_AMP] = ACTIONS(4260),
    [anon_sym_EQ_EQ] = ACTIONS(4262),
    [anon_sym_BANG_EQ] = ACTIONS(4262),
    [anon_sym_GT] = ACTIONS(4260),
    [anon_sym_GT_EQ] = ACTIONS(4262),
    [anon_sym_LT_EQ] = ACTIONS(4262),
    [anon_sym_LT] = ACTIONS(4260),
    [anon_sym_LT_LT] = ACTIONS(4262),
    [anon_sym_GT_GT] = ACTIONS(4262),
    [anon_sym_SEMI] = ACTIONS(4262),
    [anon_sym___extension__] = ACTIONS(4260),
    [anon_sym_extern] = ACTIONS(4260),
    [anon_sym___attribute__] = ACTIONS(4260),
    [anon_sym___attribute] = ACTIONS(4260),
    [anon_sym_noreturn] = ACTIONS(4260),
    [anon_sym_LBRACK] = ACTIONS(4262),
    [anon_sym_RBRACK] = ACTIONS(4262),
    [anon_sym___declspec] = ACTIONS(4260),
    [anon_sym_LBRACE] = ACTIONS(4262),
    [anon_sym_RBRACE] = ACTIONS(4262),
    [anon_sym_static] = ACTIONS(4260),
    [anon_sym_EQ] = ACTIONS(4260),
    [anon_sym_ATautoreleasepool] = ACTIONS(4262),
    [anon_sym_auto] = ACTIONS(4260),
    [anon_sym_register] = ACTIONS(4260),
    [anon_sym_inline] = ACTIONS(4260),
    [anon_sym___inline] = ACTIONS(4260),
    [anon_sym___inline__] = ACTIONS(4260),
    [anon_sym___forceinline] = ACTIONS(4260),
    [anon_sym_thread_local] = ACTIONS(4260),
    [anon_sym___thread] = ACTIONS(4260),
    [anon_sym_CG_EXTERN] = ACTIONS(4260),
    [anon_sym_CG_INLINE] = ACTIONS(4260),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4260),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4260),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4260),
    [anon_sym_IBOutlet] = ACTIONS(4260),
    [anon_sym_IBInspectable] = ACTIONS(4260),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4260),
    [anon_sym_NS_INLINE] = ACTIONS(4260),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4260),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4260),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4260),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4260),
    [anon_sym_const] = ACTIONS(4260),
    [anon_sym_constexpr] = ACTIONS(4260),
    [anon_sym_volatile] = ACTIONS(4260),
    [anon_sym_restrict] = ACTIONS(4260),
    [anon_sym___restrict__] = ACTIONS(4260),
    [anon_sym__Atomic] = ACTIONS(4260),
    [anon_sym__Noreturn] = ACTIONS(4260),
    [anon_sym__Nonnull] = ACTIONS(4260),
    [anon_sym_nullable] = ACTIONS(4260),
    [anon_sym__Complex] = ACTIONS(4260),
    [anon_sym__Nullable] = ACTIONS(4260),
    [anon_sym__Nullable_result] = ACTIONS(4260),
    [anon_sym__Null_unspecified] = ACTIONS(4260),
    [anon_sym___autoreleasing] = ACTIONS(4260),
    [anon_sym___block] = ACTIONS(4260),
    [anon_sym___bridge] = ACTIONS(4260),
    [anon_sym___bridge_retained] = ACTIONS(4260),
    [anon_sym___bridge_transfer] = ACTIONS(4260),
    [anon_sym___complex] = ACTIONS(4260),
    [anon_sym___const] = ACTIONS(4260),
    [anon_sym___imag] = ACTIONS(4260),
    [anon_sym___kindof] = ACTIONS(4260),
    [anon_sym___nonnull] = ACTIONS(4260),
    [anon_sym___nullable] = ACTIONS(4260),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4260),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4260),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4260),
    [anon_sym___real] = ACTIONS(4260),
    [anon_sym___strong] = ACTIONS(4260),
    [anon_sym___unsafe_unretained] = ACTIONS(4260),
    [anon_sym___unused] = ACTIONS(4260),
    [anon_sym___weak] = ACTIONS(4260),
    [anon_sym_alignas] = ACTIONS(4260),
    [anon_sym__Alignas] = ACTIONS(4260),
    [anon_sym_COLON] = ACTIONS(4262),
    [anon_sym_in] = ACTIONS(4260),
    [anon_sym_QMARK] = ACTIONS(4262),
    [anon_sym_DASH_DASH] = ACTIONS(4262),
    [anon_sym_PLUS_PLUS] = ACTIONS(4262),
    [anon_sym_asm] = ACTIONS(4260),
    [anon_sym___asm__] = ACTIONS(4260),
    [anon_sym___asm] = ACTIONS(4260),
    [anon_sym_DOT] = ACTIONS(4260),
    [anon_sym_DASH_GT] = ACTIONS(4262),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4260),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4260),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4260),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4260),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4260),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4260),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4260),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4260),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4260),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4260),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4260),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4260),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4260),
    [anon_sym_API_AVAILABLE] = ACTIONS(4260),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4260),
    [anon_sym_API_DEPRECATED] = ACTIONS(4260),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4260),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4260),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4260),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4260),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4260),
    [anon_sym___deprecated_msg] = ACTIONS(4260),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4260),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4260),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4260),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4260),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4260),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4260),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4260),
  },
  [1962] = {
    [sym_identifier] = ACTIONS(4282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4284),
    [anon_sym_COMMA] = ACTIONS(4284),
    [anon_sym_RPAREN] = ACTIONS(4284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4284),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4284),
    [anon_sym_LPAREN2] = ACTIONS(4284),
    [anon_sym_DASH] = ACTIONS(4282),
    [anon_sym_PLUS] = ACTIONS(4282),
    [anon_sym_STAR] = ACTIONS(4284),
    [anon_sym_SLASH] = ACTIONS(4282),
    [anon_sym_PERCENT] = ACTIONS(4284),
    [anon_sym_PIPE_PIPE] = ACTIONS(4284),
    [anon_sym_AMP_AMP] = ACTIONS(4284),
    [anon_sym_PIPE] = ACTIONS(4282),
    [anon_sym_CARET] = ACTIONS(4284),
    [anon_sym_AMP] = ACTIONS(4282),
    [anon_sym_EQ_EQ] = ACTIONS(4284),
    [anon_sym_BANG_EQ] = ACTIONS(4284),
    [anon_sym_GT] = ACTIONS(4282),
    [anon_sym_GT_EQ] = ACTIONS(4284),
    [anon_sym_LT_EQ] = ACTIONS(4284),
    [anon_sym_LT] = ACTIONS(4282),
    [anon_sym_LT_LT] = ACTIONS(4284),
    [anon_sym_GT_GT] = ACTIONS(4284),
    [anon_sym_SEMI] = ACTIONS(4284),
    [anon_sym___extension__] = ACTIONS(4282),
    [anon_sym_extern] = ACTIONS(4282),
    [anon_sym___attribute__] = ACTIONS(4282),
    [anon_sym___attribute] = ACTIONS(4282),
    [anon_sym_noreturn] = ACTIONS(4282),
    [anon_sym_LBRACK] = ACTIONS(4284),
    [anon_sym_RBRACK] = ACTIONS(4284),
    [anon_sym___declspec] = ACTIONS(4282),
    [anon_sym_LBRACE] = ACTIONS(4284),
    [anon_sym_RBRACE] = ACTIONS(4284),
    [anon_sym_static] = ACTIONS(4282),
    [anon_sym_EQ] = ACTIONS(4282),
    [anon_sym_ATautoreleasepool] = ACTIONS(4284),
    [anon_sym_auto] = ACTIONS(4282),
    [anon_sym_register] = ACTIONS(4282),
    [anon_sym_inline] = ACTIONS(4282),
    [anon_sym___inline] = ACTIONS(4282),
    [anon_sym___inline__] = ACTIONS(4282),
    [anon_sym___forceinline] = ACTIONS(4282),
    [anon_sym_thread_local] = ACTIONS(4282),
    [anon_sym___thread] = ACTIONS(4282),
    [anon_sym_CG_EXTERN] = ACTIONS(4282),
    [anon_sym_CG_INLINE] = ACTIONS(4282),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4282),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4282),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4282),
    [anon_sym_IBOutlet] = ACTIONS(4282),
    [anon_sym_IBInspectable] = ACTIONS(4282),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4282),
    [anon_sym_NS_INLINE] = ACTIONS(4282),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4282),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4282),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4282),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4282),
    [anon_sym_const] = ACTIONS(4282),
    [anon_sym_constexpr] = ACTIONS(4282),
    [anon_sym_volatile] = ACTIONS(4282),
    [anon_sym_restrict] = ACTIONS(4282),
    [anon_sym___restrict__] = ACTIONS(4282),
    [anon_sym__Atomic] = ACTIONS(4282),
    [anon_sym__Noreturn] = ACTIONS(4282),
    [anon_sym__Nonnull] = ACTIONS(4282),
    [anon_sym_nullable] = ACTIONS(4282),
    [anon_sym__Complex] = ACTIONS(4282),
    [anon_sym__Nullable] = ACTIONS(4282),
    [anon_sym__Nullable_result] = ACTIONS(4282),
    [anon_sym__Null_unspecified] = ACTIONS(4282),
    [anon_sym___autoreleasing] = ACTIONS(4282),
    [anon_sym___block] = ACTIONS(4282),
    [anon_sym___bridge] = ACTIONS(4282),
    [anon_sym___bridge_retained] = ACTIONS(4282),
    [anon_sym___bridge_transfer] = ACTIONS(4282),
    [anon_sym___complex] = ACTIONS(4282),
    [anon_sym___const] = ACTIONS(4282),
    [anon_sym___imag] = ACTIONS(4282),
    [anon_sym___kindof] = ACTIONS(4282),
    [anon_sym___nonnull] = ACTIONS(4282),
    [anon_sym___nullable] = ACTIONS(4282),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4282),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4282),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4282),
    [anon_sym___real] = ACTIONS(4282),
    [anon_sym___strong] = ACTIONS(4282),
    [anon_sym___unsafe_unretained] = ACTIONS(4282),
    [anon_sym___unused] = ACTIONS(4282),
    [anon_sym___weak] = ACTIONS(4282),
    [anon_sym_alignas] = ACTIONS(4282),
    [anon_sym__Alignas] = ACTIONS(4282),
    [anon_sym_COLON] = ACTIONS(4284),
    [anon_sym_in] = ACTIONS(4282),
    [anon_sym_QMARK] = ACTIONS(4284),
    [anon_sym_DASH_DASH] = ACTIONS(4284),
    [anon_sym_PLUS_PLUS] = ACTIONS(4284),
    [anon_sym_asm] = ACTIONS(4282),
    [anon_sym___asm__] = ACTIONS(4282),
    [anon_sym___asm] = ACTIONS(4282),
    [anon_sym_DOT] = ACTIONS(4282),
    [anon_sym_DASH_GT] = ACTIONS(4284),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4282),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4282),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4282),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4282),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4282),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4282),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4282),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4282),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4282),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4282),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4282),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4282),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4282),
    [anon_sym_API_AVAILABLE] = ACTIONS(4282),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4282),
    [anon_sym_API_DEPRECATED] = ACTIONS(4282),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4282),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4282),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4282),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4282),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4282),
    [anon_sym___deprecated_msg] = ACTIONS(4282),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4282),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4282),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4282),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4282),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4282),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4282),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4282),
  },
  [1963] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2312),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4886),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1964] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2273),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4922),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1965] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2114),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4819),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1966] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2295),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4902),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1967] = {
    [sym_identifier] = ACTIONS(2420),
    [aux_sym_preproc_def_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2420),
    [sym_preproc_directive] = ACTIONS(2420),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_SEMI] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym___attribute] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym___cdecl] = ACTIONS(2420),
    [anon_sym___clrcall] = ACTIONS(2420),
    [anon_sym___stdcall] = ACTIONS(2420),
    [anon_sym___fastcall] = ACTIONS(2420),
    [anon_sym___thiscall] = ACTIONS(2420),
    [anon_sym___vectorcall] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_ATautoreleasepool] = ACTIONS(2422),
    [anon_sym_auto] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_CG_EXTERN] = ACTIONS(2420),
    [anon_sym_CG_INLINE] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2420),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2420),
    [anon_sym_IBOutlet] = ACTIONS(2420),
    [anon_sym_IBInspectable] = ACTIONS(2420),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2420),
    [anon_sym_NS_INLINE] = ACTIONS(2420),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2420),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2420),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym__Nonnull] = ACTIONS(2420),
    [anon_sym_nullable] = ACTIONS(2420),
    [anon_sym__Complex] = ACTIONS(2420),
    [anon_sym__Nullable] = ACTIONS(2420),
    [anon_sym__Nullable_result] = ACTIONS(2420),
    [anon_sym__Null_unspecified] = ACTIONS(2420),
    [anon_sym___autoreleasing] = ACTIONS(2420),
    [anon_sym___block] = ACTIONS(2420),
    [anon_sym___bridge] = ACTIONS(2420),
    [anon_sym___bridge_retained] = ACTIONS(2420),
    [anon_sym___bridge_transfer] = ACTIONS(2420),
    [anon_sym___complex] = ACTIONS(2420),
    [anon_sym___const] = ACTIONS(2420),
    [anon_sym___imag] = ACTIONS(2420),
    [anon_sym___kindof] = ACTIONS(2420),
    [anon_sym___nonnull] = ACTIONS(2420),
    [anon_sym___nullable] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2420),
    [anon_sym___real] = ACTIONS(2420),
    [anon_sym___strong] = ACTIONS(2420),
    [anon_sym___unsafe_unretained] = ACTIONS(2420),
    [anon_sym___unused] = ACTIONS(2420),
    [anon_sym___weak] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym__Alignas] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2420),
    [anon_sym___typeof] = ACTIONS(2420),
    [anon_sym_typeof] = ACTIONS(2420),
    [aux_sym_preproc_undef_token1] = ACTIONS(2420),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2420),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2420),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2420),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_API_AVAILABLE] = ACTIONS(2420),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_API_DEPRECATED] = ACTIONS(2420),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym___deprecated_msg] = ACTIONS(2420),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2420),
    [anon_sym_ATend] = ACTIONS(2422),
    [anon_sym_AToptional] = ACTIONS(2422),
    [anon_sym_ATrequired] = ACTIONS(2422),
    [anon_sym_ATsynthesize] = ACTIONS(2422),
    [anon_sym_ATdynamic] = ACTIONS(2422),
    [anon_sym_ATproperty] = ACTIONS(2422),
    [anon_sym_BOOL] = ACTIONS(2420),
    [anon_sym_IMP] = ACTIONS(2420),
    [anon_sym_SEL] = ACTIONS(2420),
    [anon_sym_Class] = ACTIONS(2420),
    [anon_sym_id] = ACTIONS(2420),
  },
  [1968] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2315),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4890),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1969] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2355),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4888),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1970] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2297),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4926),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1971] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2298),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(5080),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1972] = {
    [sym_identifier] = ACTIONS(4256),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4258),
    [anon_sym_COMMA] = ACTIONS(4258),
    [anon_sym_RPAREN] = ACTIONS(4258),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4258),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4258),
    [anon_sym_LPAREN2] = ACTIONS(4258),
    [anon_sym_DASH] = ACTIONS(4256),
    [anon_sym_PLUS] = ACTIONS(4256),
    [anon_sym_STAR] = ACTIONS(4258),
    [anon_sym_SLASH] = ACTIONS(4256),
    [anon_sym_PERCENT] = ACTIONS(4258),
    [anon_sym_PIPE_PIPE] = ACTIONS(4258),
    [anon_sym_AMP_AMP] = ACTIONS(4258),
    [anon_sym_PIPE] = ACTIONS(4256),
    [anon_sym_CARET] = ACTIONS(4258),
    [anon_sym_AMP] = ACTIONS(4256),
    [anon_sym_EQ_EQ] = ACTIONS(4258),
    [anon_sym_BANG_EQ] = ACTIONS(4258),
    [anon_sym_GT] = ACTIONS(4256),
    [anon_sym_GT_EQ] = ACTIONS(4258),
    [anon_sym_LT_EQ] = ACTIONS(4258),
    [anon_sym_LT] = ACTIONS(4256),
    [anon_sym_LT_LT] = ACTIONS(4258),
    [anon_sym_GT_GT] = ACTIONS(4258),
    [anon_sym_SEMI] = ACTIONS(4258),
    [anon_sym___extension__] = ACTIONS(4256),
    [anon_sym_extern] = ACTIONS(4256),
    [anon_sym___attribute__] = ACTIONS(4256),
    [anon_sym___attribute] = ACTIONS(4256),
    [anon_sym_noreturn] = ACTIONS(4256),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [anon_sym_RBRACK] = ACTIONS(4258),
    [anon_sym___declspec] = ACTIONS(4256),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_RBRACE] = ACTIONS(4258),
    [anon_sym_static] = ACTIONS(4256),
    [anon_sym_EQ] = ACTIONS(4256),
    [anon_sym_ATautoreleasepool] = ACTIONS(4258),
    [anon_sym_auto] = ACTIONS(4256),
    [anon_sym_register] = ACTIONS(4256),
    [anon_sym_inline] = ACTIONS(4256),
    [anon_sym___inline] = ACTIONS(4256),
    [anon_sym___inline__] = ACTIONS(4256),
    [anon_sym___forceinline] = ACTIONS(4256),
    [anon_sym_thread_local] = ACTIONS(4256),
    [anon_sym___thread] = ACTIONS(4256),
    [anon_sym_CG_EXTERN] = ACTIONS(4256),
    [anon_sym_CG_INLINE] = ACTIONS(4256),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4256),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4256),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4256),
    [anon_sym_IBOutlet] = ACTIONS(4256),
    [anon_sym_IBInspectable] = ACTIONS(4256),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4256),
    [anon_sym_NS_INLINE] = ACTIONS(4256),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4256),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4256),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4256),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4256),
    [anon_sym_const] = ACTIONS(4256),
    [anon_sym_constexpr] = ACTIONS(4256),
    [anon_sym_volatile] = ACTIONS(4256),
    [anon_sym_restrict] = ACTIONS(4256),
    [anon_sym___restrict__] = ACTIONS(4256),
    [anon_sym__Atomic] = ACTIONS(4256),
    [anon_sym__Noreturn] = ACTIONS(4256),
    [anon_sym__Nonnull] = ACTIONS(4256),
    [anon_sym_nullable] = ACTIONS(4256),
    [anon_sym__Complex] = ACTIONS(4256),
    [anon_sym__Nullable] = ACTIONS(4256),
    [anon_sym__Nullable_result] = ACTIONS(4256),
    [anon_sym__Null_unspecified] = ACTIONS(4256),
    [anon_sym___autoreleasing] = ACTIONS(4256),
    [anon_sym___block] = ACTIONS(4256),
    [anon_sym___bridge] = ACTIONS(4256),
    [anon_sym___bridge_retained] = ACTIONS(4256),
    [anon_sym___bridge_transfer] = ACTIONS(4256),
    [anon_sym___complex] = ACTIONS(4256),
    [anon_sym___const] = ACTIONS(4256),
    [anon_sym___imag] = ACTIONS(4256),
    [anon_sym___kindof] = ACTIONS(4256),
    [anon_sym___nonnull] = ACTIONS(4256),
    [anon_sym___nullable] = ACTIONS(4256),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4256),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4256),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4256),
    [anon_sym___real] = ACTIONS(4256),
    [anon_sym___strong] = ACTIONS(4256),
    [anon_sym___unsafe_unretained] = ACTIONS(4256),
    [anon_sym___unused] = ACTIONS(4256),
    [anon_sym___weak] = ACTIONS(4256),
    [anon_sym_alignas] = ACTIONS(4256),
    [anon_sym__Alignas] = ACTIONS(4256),
    [anon_sym_COLON] = ACTIONS(4258),
    [anon_sym_in] = ACTIONS(4256),
    [anon_sym_QMARK] = ACTIONS(4258),
    [anon_sym_DASH_DASH] = ACTIONS(4258),
    [anon_sym_PLUS_PLUS] = ACTIONS(4258),
    [anon_sym_asm] = ACTIONS(4256),
    [anon_sym___asm__] = ACTIONS(4256),
    [anon_sym___asm] = ACTIONS(4256),
    [anon_sym_DOT] = ACTIONS(4256),
    [anon_sym_DASH_GT] = ACTIONS(4258),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4256),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4256),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4256),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4256),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4256),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4256),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4256),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4256),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4256),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4256),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4256),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4256),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4256),
    [anon_sym_API_AVAILABLE] = ACTIONS(4256),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4256),
    [anon_sym_API_DEPRECATED] = ACTIONS(4256),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4256),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4256),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4256),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4256),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4256),
    [anon_sym___deprecated_msg] = ACTIONS(4256),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4256),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4256),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4256),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4256),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4256),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4256),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4256),
  },
  [1973] = {
    [sym_identifier] = ACTIONS(4046),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4048),
    [anon_sym_COMMA] = ACTIONS(4048),
    [anon_sym_RPAREN] = ACTIONS(4048),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4048),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4048),
    [anon_sym_LPAREN2] = ACTIONS(4048),
    [anon_sym_DASH] = ACTIONS(4046),
    [anon_sym_PLUS] = ACTIONS(4046),
    [anon_sym_STAR] = ACTIONS(4048),
    [anon_sym_SLASH] = ACTIONS(4046),
    [anon_sym_PERCENT] = ACTIONS(4048),
    [anon_sym_PIPE_PIPE] = ACTIONS(4048),
    [anon_sym_AMP_AMP] = ACTIONS(4048),
    [anon_sym_PIPE] = ACTIONS(4046),
    [anon_sym_CARET] = ACTIONS(4048),
    [anon_sym_AMP] = ACTIONS(4046),
    [anon_sym_EQ_EQ] = ACTIONS(4048),
    [anon_sym_BANG_EQ] = ACTIONS(4048),
    [anon_sym_GT] = ACTIONS(4046),
    [anon_sym_GT_EQ] = ACTIONS(4048),
    [anon_sym_LT_EQ] = ACTIONS(4048),
    [anon_sym_LT] = ACTIONS(4046),
    [anon_sym_LT_LT] = ACTIONS(4048),
    [anon_sym_GT_GT] = ACTIONS(4048),
    [anon_sym_SEMI] = ACTIONS(4048),
    [anon_sym___extension__] = ACTIONS(4046),
    [anon_sym_extern] = ACTIONS(4046),
    [anon_sym___attribute__] = ACTIONS(4046),
    [anon_sym___attribute] = ACTIONS(4046),
    [anon_sym_noreturn] = ACTIONS(4046),
    [anon_sym_LBRACK] = ACTIONS(4048),
    [anon_sym_RBRACK] = ACTIONS(4048),
    [anon_sym___declspec] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(4048),
    [anon_sym_RBRACE] = ACTIONS(4048),
    [anon_sym_static] = ACTIONS(4046),
    [anon_sym_EQ] = ACTIONS(4046),
    [anon_sym_ATautoreleasepool] = ACTIONS(4048),
    [anon_sym_auto] = ACTIONS(4046),
    [anon_sym_register] = ACTIONS(4046),
    [anon_sym_inline] = ACTIONS(4046),
    [anon_sym___inline] = ACTIONS(4046),
    [anon_sym___inline__] = ACTIONS(4046),
    [anon_sym___forceinline] = ACTIONS(4046),
    [anon_sym_thread_local] = ACTIONS(4046),
    [anon_sym___thread] = ACTIONS(4046),
    [anon_sym_CG_EXTERN] = ACTIONS(4046),
    [anon_sym_CG_INLINE] = ACTIONS(4046),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4046),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4046),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4046),
    [anon_sym_IBOutlet] = ACTIONS(4046),
    [anon_sym_IBInspectable] = ACTIONS(4046),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4046),
    [anon_sym_NS_INLINE] = ACTIONS(4046),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4046),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4046),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4046),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4046),
    [anon_sym_const] = ACTIONS(4046),
    [anon_sym_constexpr] = ACTIONS(4046),
    [anon_sym_volatile] = ACTIONS(4046),
    [anon_sym_restrict] = ACTIONS(4046),
    [anon_sym___restrict__] = ACTIONS(4046),
    [anon_sym__Atomic] = ACTIONS(4046),
    [anon_sym__Noreturn] = ACTIONS(4046),
    [anon_sym__Nonnull] = ACTIONS(4046),
    [anon_sym_nullable] = ACTIONS(4046),
    [anon_sym__Complex] = ACTIONS(4046),
    [anon_sym__Nullable] = ACTIONS(4046),
    [anon_sym__Nullable_result] = ACTIONS(4046),
    [anon_sym__Null_unspecified] = ACTIONS(4046),
    [anon_sym___autoreleasing] = ACTIONS(4046),
    [anon_sym___block] = ACTIONS(4046),
    [anon_sym___bridge] = ACTIONS(4046),
    [anon_sym___bridge_retained] = ACTIONS(4046),
    [anon_sym___bridge_transfer] = ACTIONS(4046),
    [anon_sym___complex] = ACTIONS(4046),
    [anon_sym___const] = ACTIONS(4046),
    [anon_sym___imag] = ACTIONS(4046),
    [anon_sym___kindof] = ACTIONS(4046),
    [anon_sym___nonnull] = ACTIONS(4046),
    [anon_sym___nullable] = ACTIONS(4046),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4046),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4046),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4046),
    [anon_sym___real] = ACTIONS(4046),
    [anon_sym___strong] = ACTIONS(4046),
    [anon_sym___unsafe_unretained] = ACTIONS(4046),
    [anon_sym___unused] = ACTIONS(4046),
    [anon_sym___weak] = ACTIONS(4046),
    [anon_sym_alignas] = ACTIONS(4046),
    [anon_sym__Alignas] = ACTIONS(4046),
    [anon_sym_COLON] = ACTIONS(4048),
    [anon_sym_in] = ACTIONS(4046),
    [anon_sym_QMARK] = ACTIONS(4048),
    [anon_sym_DASH_DASH] = ACTIONS(4048),
    [anon_sym_PLUS_PLUS] = ACTIONS(4048),
    [anon_sym_asm] = ACTIONS(4046),
    [anon_sym___asm__] = ACTIONS(4046),
    [anon_sym___asm] = ACTIONS(4046),
    [anon_sym_DOT] = ACTIONS(4046),
    [anon_sym_DASH_GT] = ACTIONS(4048),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4046),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4046),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4046),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4046),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4046),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4046),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4046),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4046),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4046),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4046),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4046),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4046),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4046),
    [anon_sym_API_AVAILABLE] = ACTIONS(4046),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4046),
    [anon_sym_API_DEPRECATED] = ACTIONS(4046),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4046),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4046),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4046),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4046),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4046),
    [anon_sym___deprecated_msg] = ACTIONS(4046),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4046),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4046),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4046),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4046),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4046),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4046),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4046),
  },
  [1974] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2285),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4920),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1975] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2305),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4880),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1976] = {
    [sym_identifier] = ACTIONS(4272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4274),
    [anon_sym_COMMA] = ACTIONS(4274),
    [anon_sym_RPAREN] = ACTIONS(4274),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4274),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4274),
    [anon_sym_LPAREN2] = ACTIONS(4274),
    [anon_sym_DASH] = ACTIONS(4272),
    [anon_sym_PLUS] = ACTIONS(4272),
    [anon_sym_STAR] = ACTIONS(4274),
    [anon_sym_SLASH] = ACTIONS(4272),
    [anon_sym_PERCENT] = ACTIONS(4274),
    [anon_sym_PIPE_PIPE] = ACTIONS(4274),
    [anon_sym_AMP_AMP] = ACTIONS(4274),
    [anon_sym_PIPE] = ACTIONS(4272),
    [anon_sym_CARET] = ACTIONS(4274),
    [anon_sym_AMP] = ACTIONS(4272),
    [anon_sym_EQ_EQ] = ACTIONS(4274),
    [anon_sym_BANG_EQ] = ACTIONS(4274),
    [anon_sym_GT] = ACTIONS(4272),
    [anon_sym_GT_EQ] = ACTIONS(4274),
    [anon_sym_LT_EQ] = ACTIONS(4274),
    [anon_sym_LT] = ACTIONS(4272),
    [anon_sym_LT_LT] = ACTIONS(4274),
    [anon_sym_GT_GT] = ACTIONS(4274),
    [anon_sym_SEMI] = ACTIONS(4274),
    [anon_sym___extension__] = ACTIONS(4272),
    [anon_sym_extern] = ACTIONS(4272),
    [anon_sym___attribute__] = ACTIONS(4272),
    [anon_sym___attribute] = ACTIONS(4272),
    [anon_sym_noreturn] = ACTIONS(4272),
    [anon_sym_LBRACK] = ACTIONS(4274),
    [anon_sym_RBRACK] = ACTIONS(4274),
    [anon_sym___declspec] = ACTIONS(4272),
    [anon_sym_LBRACE] = ACTIONS(4274),
    [anon_sym_RBRACE] = ACTIONS(4274),
    [anon_sym_static] = ACTIONS(4272),
    [anon_sym_EQ] = ACTIONS(4272),
    [anon_sym_ATautoreleasepool] = ACTIONS(4274),
    [anon_sym_auto] = ACTIONS(4272),
    [anon_sym_register] = ACTIONS(4272),
    [anon_sym_inline] = ACTIONS(4272),
    [anon_sym___inline] = ACTIONS(4272),
    [anon_sym___inline__] = ACTIONS(4272),
    [anon_sym___forceinline] = ACTIONS(4272),
    [anon_sym_thread_local] = ACTIONS(4272),
    [anon_sym___thread] = ACTIONS(4272),
    [anon_sym_CG_EXTERN] = ACTIONS(4272),
    [anon_sym_CG_INLINE] = ACTIONS(4272),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4272),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4272),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4272),
    [anon_sym_IBOutlet] = ACTIONS(4272),
    [anon_sym_IBInspectable] = ACTIONS(4272),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4272),
    [anon_sym_NS_INLINE] = ACTIONS(4272),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4272),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4272),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4272),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4272),
    [anon_sym_const] = ACTIONS(4272),
    [anon_sym_constexpr] = ACTIONS(4272),
    [anon_sym_volatile] = ACTIONS(4272),
    [anon_sym_restrict] = ACTIONS(4272),
    [anon_sym___restrict__] = ACTIONS(4272),
    [anon_sym__Atomic] = ACTIONS(4272),
    [anon_sym__Noreturn] = ACTIONS(4272),
    [anon_sym__Nonnull] = ACTIONS(4272),
    [anon_sym_nullable] = ACTIONS(4272),
    [anon_sym__Complex] = ACTIONS(4272),
    [anon_sym__Nullable] = ACTIONS(4272),
    [anon_sym__Nullable_result] = ACTIONS(4272),
    [anon_sym__Null_unspecified] = ACTIONS(4272),
    [anon_sym___autoreleasing] = ACTIONS(4272),
    [anon_sym___block] = ACTIONS(4272),
    [anon_sym___bridge] = ACTIONS(4272),
    [anon_sym___bridge_retained] = ACTIONS(4272),
    [anon_sym___bridge_transfer] = ACTIONS(4272),
    [anon_sym___complex] = ACTIONS(4272),
    [anon_sym___const] = ACTIONS(4272),
    [anon_sym___imag] = ACTIONS(4272),
    [anon_sym___kindof] = ACTIONS(4272),
    [anon_sym___nonnull] = ACTIONS(4272),
    [anon_sym___nullable] = ACTIONS(4272),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4272),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4272),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4272),
    [anon_sym___real] = ACTIONS(4272),
    [anon_sym___strong] = ACTIONS(4272),
    [anon_sym___unsafe_unretained] = ACTIONS(4272),
    [anon_sym___unused] = ACTIONS(4272),
    [anon_sym___weak] = ACTIONS(4272),
    [anon_sym_alignas] = ACTIONS(4272),
    [anon_sym__Alignas] = ACTIONS(4272),
    [anon_sym_COLON] = ACTIONS(4274),
    [anon_sym_in] = ACTIONS(4272),
    [anon_sym_QMARK] = ACTIONS(4274),
    [anon_sym_DASH_DASH] = ACTIONS(4274),
    [anon_sym_PLUS_PLUS] = ACTIONS(4274),
    [anon_sym_asm] = ACTIONS(4272),
    [anon_sym___asm__] = ACTIONS(4272),
    [anon_sym___asm] = ACTIONS(4272),
    [anon_sym_DOT] = ACTIONS(4272),
    [anon_sym_DASH_GT] = ACTIONS(4274),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4272),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4272),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4272),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4272),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4272),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4272),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4272),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4272),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4272),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4272),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4272),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4272),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4272),
    [anon_sym_API_AVAILABLE] = ACTIONS(4272),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4272),
    [anon_sym_API_DEPRECATED] = ACTIONS(4272),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4272),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4272),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4272),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4272),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4272),
    [anon_sym___deprecated_msg] = ACTIONS(4272),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4272),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4272),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4272),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4272),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4272),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4272),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4272),
  },
  [1977] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2317),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4918),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1978] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2261),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4787),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1979] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4576),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_variadic_parameter] = STATE(5808),
    [sym_parameter_declaration] = STATE(5808),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4206),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1980] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2123),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4872),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1981] = {
    [sym_identifier] = ACTIONS(2420),
    [aux_sym_preproc_def_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2420),
    [sym_preproc_directive] = ACTIONS(2420),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_SEMI] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym___attribute] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym___cdecl] = ACTIONS(2420),
    [anon_sym___clrcall] = ACTIONS(2420),
    [anon_sym___stdcall] = ACTIONS(2420),
    [anon_sym___fastcall] = ACTIONS(2420),
    [anon_sym___thiscall] = ACTIONS(2420),
    [anon_sym___vectorcall] = ACTIONS(2420),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_ATautoreleasepool] = ACTIONS(2422),
    [anon_sym_auto] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_CG_EXTERN] = ACTIONS(2420),
    [anon_sym_CG_INLINE] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2420),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2420),
    [anon_sym_IBOutlet] = ACTIONS(2420),
    [anon_sym_IBInspectable] = ACTIONS(2420),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2420),
    [anon_sym_NS_INLINE] = ACTIONS(2420),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2420),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2420),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym__Nonnull] = ACTIONS(2420),
    [anon_sym_nullable] = ACTIONS(2420),
    [anon_sym__Complex] = ACTIONS(2420),
    [anon_sym__Nullable] = ACTIONS(2420),
    [anon_sym__Nullable_result] = ACTIONS(2420),
    [anon_sym__Null_unspecified] = ACTIONS(2420),
    [anon_sym___autoreleasing] = ACTIONS(2420),
    [anon_sym___block] = ACTIONS(2420),
    [anon_sym___bridge] = ACTIONS(2420),
    [anon_sym___bridge_retained] = ACTIONS(2420),
    [anon_sym___bridge_transfer] = ACTIONS(2420),
    [anon_sym___complex] = ACTIONS(2420),
    [anon_sym___const] = ACTIONS(2420),
    [anon_sym___imag] = ACTIONS(2420),
    [anon_sym___kindof] = ACTIONS(2420),
    [anon_sym___nonnull] = ACTIONS(2420),
    [anon_sym___nullable] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2420),
    [anon_sym___real] = ACTIONS(2420),
    [anon_sym___strong] = ACTIONS(2420),
    [anon_sym___unsafe_unretained] = ACTIONS(2420),
    [anon_sym___unused] = ACTIONS(2420),
    [anon_sym___weak] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym__Alignas] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2420),
    [anon_sym___typeof] = ACTIONS(2420),
    [anon_sym_typeof] = ACTIONS(2420),
    [aux_sym_preproc_undef_token1] = ACTIONS(2420),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2420),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2420),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2420),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_API_AVAILABLE] = ACTIONS(2420),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_API_DEPRECATED] = ACTIONS(2420),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym___deprecated_msg] = ACTIONS(2420),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2420),
    [anon_sym_ATend] = ACTIONS(2422),
    [anon_sym_AToptional] = ACTIONS(2422),
    [anon_sym_ATrequired] = ACTIONS(2422),
    [anon_sym_ATsynthesize] = ACTIONS(2422),
    [anon_sym_ATdynamic] = ACTIONS(2422),
    [anon_sym_ATproperty] = ACTIONS(2422),
    [anon_sym_BOOL] = ACTIONS(2420),
    [anon_sym_IMP] = ACTIONS(2420),
    [anon_sym_SEL] = ACTIONS(2420),
    [anon_sym_Class] = ACTIONS(2420),
    [anon_sym_id] = ACTIONS(2420),
  },
  [1982] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2319),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(5082),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1983] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2278),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4821),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1984] = {
    [sym_identifier] = ACTIONS(4005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4007),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4007),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4005),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4005),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4005),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym___extension__] = ACTIONS(4005),
    [anon_sym_extern] = ACTIONS(4005),
    [anon_sym___attribute__] = ACTIONS(4005),
    [anon_sym___attribute] = ACTIONS(4005),
    [anon_sym_noreturn] = ACTIONS(4005),
    [anon_sym_LBRACK] = ACTIONS(4007),
    [anon_sym___declspec] = ACTIONS(4005),
    [anon_sym_RBRACE] = ACTIONS(4007),
    [anon_sym_static] = ACTIONS(4005),
    [anon_sym_EQ] = ACTIONS(4783),
    [anon_sym_auto] = ACTIONS(4005),
    [anon_sym_register] = ACTIONS(4005),
    [anon_sym_inline] = ACTIONS(4005),
    [anon_sym___inline] = ACTIONS(4005),
    [anon_sym___inline__] = ACTIONS(4005),
    [anon_sym___forceinline] = ACTIONS(4005),
    [anon_sym_thread_local] = ACTIONS(4005),
    [anon_sym___thread] = ACTIONS(4005),
    [anon_sym_CG_EXTERN] = ACTIONS(4005),
    [anon_sym_CG_INLINE] = ACTIONS(4005),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4005),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4005),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4005),
    [anon_sym_IBOutlet] = ACTIONS(4005),
    [anon_sym_IBInspectable] = ACTIONS(4005),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4005),
    [anon_sym_NS_INLINE] = ACTIONS(4005),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4005),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4005),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4005),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4005),
    [anon_sym_const] = ACTIONS(4005),
    [anon_sym_constexpr] = ACTIONS(4005),
    [anon_sym_volatile] = ACTIONS(4005),
    [anon_sym_restrict] = ACTIONS(4005),
    [anon_sym___restrict__] = ACTIONS(4005),
    [anon_sym__Atomic] = ACTIONS(4005),
    [anon_sym__Noreturn] = ACTIONS(4005),
    [anon_sym__Nonnull] = ACTIONS(4005),
    [anon_sym_nullable] = ACTIONS(4005),
    [anon_sym__Complex] = ACTIONS(4005),
    [anon_sym__Nullable] = ACTIONS(4005),
    [anon_sym__Nullable_result] = ACTIONS(4005),
    [anon_sym__Null_unspecified] = ACTIONS(4005),
    [anon_sym___autoreleasing] = ACTIONS(4005),
    [anon_sym___block] = ACTIONS(4005),
    [anon_sym___bridge] = ACTIONS(4005),
    [anon_sym___bridge_retained] = ACTIONS(4005),
    [anon_sym___bridge_transfer] = ACTIONS(4005),
    [anon_sym___complex] = ACTIONS(4005),
    [anon_sym___const] = ACTIONS(4005),
    [anon_sym___imag] = ACTIONS(4005),
    [anon_sym___kindof] = ACTIONS(4005),
    [anon_sym___nonnull] = ACTIONS(4005),
    [anon_sym___nullable] = ACTIONS(4005),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4005),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4005),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4005),
    [anon_sym___real] = ACTIONS(4005),
    [anon_sym___strong] = ACTIONS(4005),
    [anon_sym___unsafe_unretained] = ACTIONS(4005),
    [anon_sym___unused] = ACTIONS(4005),
    [anon_sym___weak] = ACTIONS(4005),
    [anon_sym_alignas] = ACTIONS(4005),
    [anon_sym__Alignas] = ACTIONS(4005),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4785),
    [anon_sym_SLASH_EQ] = ACTIONS(4785),
    [anon_sym_PERCENT_EQ] = ACTIONS(4785),
    [anon_sym_PLUS_EQ] = ACTIONS(4785),
    [anon_sym_DASH_EQ] = ACTIONS(4785),
    [anon_sym_LT_LT_EQ] = ACTIONS(4785),
    [anon_sym_GT_GT_EQ] = ACTIONS(4785),
    [anon_sym_AMP_EQ] = ACTIONS(4785),
    [anon_sym_CARET_EQ] = ACTIONS(4785),
    [anon_sym_PIPE_EQ] = ACTIONS(4785),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4005),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4005),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4005),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4005),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4005),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4005),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4005),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4005),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4005),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_API_AVAILABLE] = ACTIONS(4005),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_API_DEPRECATED] = ACTIONS(4005),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4005),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4005),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4005),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4005),
    [anon_sym___deprecated_msg] = ACTIONS(4005),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4005),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4005),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4005),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4005),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4005),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4005),
  },
  [1985] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2125),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4874),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1986] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2566),
    [anon_sym_PLUS] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym___attribute] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_ATautoreleasepool] = ACTIONS(2566),
    [anon_sym_auto] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_CG_EXTERN] = ACTIONS(2564),
    [anon_sym_CG_INLINE] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2564),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2564),
    [anon_sym_IBOutlet] = ACTIONS(2564),
    [anon_sym_IBInspectable] = ACTIONS(2564),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2564),
    [anon_sym_NS_INLINE] = ACTIONS(2564),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2564),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2564),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_nullable] = ACTIONS(2564),
    [anon_sym__Complex] = ACTIONS(2564),
    [anon_sym__Nullable] = ACTIONS(2564),
    [anon_sym__Nullable_result] = ACTIONS(2564),
    [anon_sym__Null_unspecified] = ACTIONS(2564),
    [anon_sym___autoreleasing] = ACTIONS(2564),
    [anon_sym___block] = ACTIONS(2564),
    [anon_sym___bridge] = ACTIONS(2564),
    [anon_sym___bridge_retained] = ACTIONS(2564),
    [anon_sym___bridge_transfer] = ACTIONS(2564),
    [anon_sym___complex] = ACTIONS(2564),
    [anon_sym___const] = ACTIONS(2564),
    [anon_sym___imag] = ACTIONS(2564),
    [anon_sym___kindof] = ACTIONS(2564),
    [anon_sym___nonnull] = ACTIONS(2564),
    [anon_sym___nullable] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2564),
    [anon_sym___real] = ACTIONS(2564),
    [anon_sym___strong] = ACTIONS(2564),
    [anon_sym___unsafe_unretained] = ACTIONS(2564),
    [anon_sym___unused] = ACTIONS(2564),
    [anon_sym___weak] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2564),
    [anon_sym___typeof] = ACTIONS(2564),
    [anon_sym_typeof] = ACTIONS(2564),
    [aux_sym_preproc_undef_token1] = ACTIONS(2564),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2564),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2564),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2564),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_API_AVAILABLE] = ACTIONS(2564),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_API_DEPRECATED] = ACTIONS(2564),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym___deprecated_msg] = ACTIONS(2564),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2564),
    [anon_sym_ATend] = ACTIONS(2566),
    [anon_sym_AToptional] = ACTIONS(2566),
    [anon_sym_ATrequired] = ACTIONS(2566),
    [anon_sym_ATsynthesize] = ACTIONS(2566),
    [anon_sym_ATdynamic] = ACTIONS(2566),
    [anon_sym_ATproperty] = ACTIONS(2566),
    [anon_sym_BOOL] = ACTIONS(2564),
    [anon_sym_IMP] = ACTIONS(2564),
    [anon_sym_SEL] = ACTIONS(2564),
    [anon_sym_Class] = ACTIONS(2564),
    [anon_sym_id] = ACTIONS(2564),
  },
  [1987] = {
    [sym_identifier] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token2] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [aux_sym_preproc_else_token1] = ACTIONS(4954),
    [aux_sym_preproc_elif_token1] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_STAR] = ACTIONS(4956),
    [anon_sym_CARET] = ACTIONS(4956),
    [anon_sym___extension__] = ACTIONS(4954),
    [anon_sym_typedef] = ACTIONS(4954),
    [anon_sym_extern] = ACTIONS(4954),
    [anon_sym___attribute__] = ACTIONS(4954),
    [anon_sym___attribute] = ACTIONS(4954),
    [anon_sym_noreturn] = ACTIONS(4954),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [anon_sym___declspec] = ACTIONS(4954),
    [anon_sym___based] = ACTIONS(4954),
    [anon_sym___cdecl] = ACTIONS(4954),
    [anon_sym___clrcall] = ACTIONS(4954),
    [anon_sym___stdcall] = ACTIONS(4954),
    [anon_sym___fastcall] = ACTIONS(4954),
    [anon_sym___thiscall] = ACTIONS(4954),
    [anon_sym___vectorcall] = ACTIONS(4954),
    [anon_sym_signed] = ACTIONS(4954),
    [anon_sym_unsigned] = ACTIONS(4954),
    [anon_sym_long] = ACTIONS(4954),
    [anon_sym_short] = ACTIONS(4954),
    [anon_sym_static] = ACTIONS(4954),
    [anon_sym_auto] = ACTIONS(4954),
    [anon_sym_register] = ACTIONS(4954),
    [anon_sym_inline] = ACTIONS(4954),
    [anon_sym___inline] = ACTIONS(4954),
    [anon_sym___inline__] = ACTIONS(4954),
    [anon_sym___forceinline] = ACTIONS(4954),
    [anon_sym_thread_local] = ACTIONS(4954),
    [anon_sym___thread] = ACTIONS(4954),
    [anon_sym_CG_EXTERN] = ACTIONS(4954),
    [anon_sym_CG_INLINE] = ACTIONS(4954),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4954),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4954),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4954),
    [anon_sym_IBOutlet] = ACTIONS(4954),
    [anon_sym_IBInspectable] = ACTIONS(4954),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4954),
    [anon_sym_NS_INLINE] = ACTIONS(4954),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4954),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4954),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4954),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4954),
    [anon_sym_const] = ACTIONS(4954),
    [anon_sym_constexpr] = ACTIONS(4954),
    [anon_sym_volatile] = ACTIONS(4954),
    [anon_sym_restrict] = ACTIONS(4954),
    [anon_sym___restrict__] = ACTIONS(4954),
    [anon_sym__Atomic] = ACTIONS(4954),
    [anon_sym__Noreturn] = ACTIONS(4954),
    [anon_sym__Nonnull] = ACTIONS(4954),
    [anon_sym_nullable] = ACTIONS(4954),
    [anon_sym__Complex] = ACTIONS(4954),
    [anon_sym__Nullable] = ACTIONS(4954),
    [anon_sym__Nullable_result] = ACTIONS(4954),
    [anon_sym__Null_unspecified] = ACTIONS(4954),
    [anon_sym___autoreleasing] = ACTIONS(4954),
    [anon_sym___block] = ACTIONS(4954),
    [anon_sym___bridge] = ACTIONS(4954),
    [anon_sym___bridge_retained] = ACTIONS(4954),
    [anon_sym___bridge_transfer] = ACTIONS(4954),
    [anon_sym___complex] = ACTIONS(4954),
    [anon_sym___const] = ACTIONS(4954),
    [anon_sym___imag] = ACTIONS(4954),
    [anon_sym___kindof] = ACTIONS(4954),
    [anon_sym___nonnull] = ACTIONS(4954),
    [anon_sym___nullable] = ACTIONS(4954),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4954),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4954),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4954),
    [anon_sym___real] = ACTIONS(4954),
    [anon_sym___strong] = ACTIONS(4954),
    [anon_sym___unsafe_unretained] = ACTIONS(4954),
    [anon_sym___unused] = ACTIONS(4954),
    [anon_sym___weak] = ACTIONS(4954),
    [anon_sym_alignas] = ACTIONS(4954),
    [anon_sym__Alignas] = ACTIONS(4954),
    [sym_primitive_type] = ACTIONS(4954),
    [anon_sym_enum] = ACTIONS(4954),
    [anon_sym_struct] = ACTIONS(4954),
    [anon_sym_union] = ACTIONS(4954),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4954),
    [anon_sym___typeof] = ACTIONS(4954),
    [anon_sym_typeof] = ACTIONS(4954),
    [aux_sym_preproc_undef_token1] = ACTIONS(4954),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4954),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4954),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4954),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4954),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4954),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4954),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4954),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4954),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4954),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4954),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4954),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4954),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4954),
    [anon_sym_API_AVAILABLE] = ACTIONS(4954),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4954),
    [anon_sym_API_DEPRECATED] = ACTIONS(4954),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4954),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4954),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4954),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4954),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4954),
    [anon_sym___deprecated_msg] = ACTIONS(4954),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4954),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4954),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4954),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4954),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4954),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4954),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4954),
    [anon_sym_ATsynthesize] = ACTIONS(4956),
    [anon_sym_ATdynamic] = ACTIONS(4956),
    [anon_sym_BOOL] = ACTIONS(4954),
    [anon_sym_IMP] = ACTIONS(4954),
    [anon_sym_SEL] = ACTIONS(4954),
    [anon_sym_Class] = ACTIONS(4954),
    [anon_sym_id] = ACTIONS(4954),
  },
  [1988] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2566),
    [anon_sym_PLUS] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym___attribute] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_LBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_ATautoreleasepool] = ACTIONS(2566),
    [anon_sym_auto] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_CG_EXTERN] = ACTIONS(2564),
    [anon_sym_CG_INLINE] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2564),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2564),
    [anon_sym_IBOutlet] = ACTIONS(2564),
    [anon_sym_IBInspectable] = ACTIONS(2564),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2564),
    [anon_sym_NS_INLINE] = ACTIONS(2564),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2564),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2564),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_nullable] = ACTIONS(2564),
    [anon_sym__Complex] = ACTIONS(2564),
    [anon_sym__Nullable] = ACTIONS(2564),
    [anon_sym__Nullable_result] = ACTIONS(2564),
    [anon_sym__Null_unspecified] = ACTIONS(2564),
    [anon_sym___autoreleasing] = ACTIONS(2564),
    [anon_sym___block] = ACTIONS(2564),
    [anon_sym___bridge] = ACTIONS(2564),
    [anon_sym___bridge_retained] = ACTIONS(2564),
    [anon_sym___bridge_transfer] = ACTIONS(2564),
    [anon_sym___complex] = ACTIONS(2564),
    [anon_sym___const] = ACTIONS(2564),
    [anon_sym___imag] = ACTIONS(2564),
    [anon_sym___kindof] = ACTIONS(2564),
    [anon_sym___nonnull] = ACTIONS(2564),
    [anon_sym___nullable] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2564),
    [anon_sym___real] = ACTIONS(2564),
    [anon_sym___strong] = ACTIONS(2564),
    [anon_sym___unsafe_unretained] = ACTIONS(2564),
    [anon_sym___unused] = ACTIONS(2564),
    [anon_sym___weak] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2564),
    [anon_sym___typeof] = ACTIONS(2564),
    [anon_sym_typeof] = ACTIONS(2564),
    [aux_sym_preproc_undef_token1] = ACTIONS(2564),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2564),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2564),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2564),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_API_AVAILABLE] = ACTIONS(2564),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_API_DEPRECATED] = ACTIONS(2564),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym___deprecated_msg] = ACTIONS(2564),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2564),
    [anon_sym_ATend] = ACTIONS(2566),
    [anon_sym_AToptional] = ACTIONS(2566),
    [anon_sym_ATrequired] = ACTIONS(2566),
    [anon_sym_ATsynthesize] = ACTIONS(2566),
    [anon_sym_ATdynamic] = ACTIONS(2566),
    [anon_sym_ATproperty] = ACTIONS(2566),
    [anon_sym_BOOL] = ACTIONS(2564),
    [anon_sym_IMP] = ACTIONS(2564),
    [anon_sym_SEL] = ACTIONS(2564),
    [anon_sym_Class] = ACTIONS(2564),
    [anon_sym_id] = ACTIONS(2564),
  },
  [1989] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4576),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_variadic_parameter] = STATE(5770),
    [sym_parameter_declaration] = STATE(5808),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(5084),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4206),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1990] = {
    [sym_identifier] = ACTIONS(4066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4068),
    [anon_sym_COMMA] = ACTIONS(4068),
    [anon_sym_RPAREN] = ACTIONS(4068),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4068),
    [anon_sym_LPAREN2] = ACTIONS(4068),
    [anon_sym_DASH] = ACTIONS(4066),
    [anon_sym_PLUS] = ACTIONS(4066),
    [anon_sym_STAR] = ACTIONS(4068),
    [anon_sym_SLASH] = ACTIONS(4066),
    [anon_sym_PERCENT] = ACTIONS(4068),
    [anon_sym_PIPE_PIPE] = ACTIONS(4068),
    [anon_sym_AMP_AMP] = ACTIONS(4068),
    [anon_sym_PIPE] = ACTIONS(4066),
    [anon_sym_CARET] = ACTIONS(4068),
    [anon_sym_AMP] = ACTIONS(4066),
    [anon_sym_EQ_EQ] = ACTIONS(4068),
    [anon_sym_BANG_EQ] = ACTIONS(4068),
    [anon_sym_GT] = ACTIONS(4066),
    [anon_sym_GT_EQ] = ACTIONS(4068),
    [anon_sym_LT_EQ] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4066),
    [anon_sym_LT_LT] = ACTIONS(4068),
    [anon_sym_GT_GT] = ACTIONS(4068),
    [anon_sym_SEMI] = ACTIONS(4068),
    [anon_sym___extension__] = ACTIONS(4066),
    [anon_sym_extern] = ACTIONS(4066),
    [anon_sym___attribute__] = ACTIONS(4066),
    [anon_sym___attribute] = ACTIONS(4066),
    [anon_sym_noreturn] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4068),
    [anon_sym_RBRACK] = ACTIONS(4068),
    [anon_sym___declspec] = ACTIONS(4066),
    [anon_sym_LBRACE] = ACTIONS(4068),
    [anon_sym_RBRACE] = ACTIONS(4068),
    [anon_sym_static] = ACTIONS(4066),
    [anon_sym_EQ] = ACTIONS(4066),
    [anon_sym_ATautoreleasepool] = ACTIONS(4068),
    [anon_sym_auto] = ACTIONS(4066),
    [anon_sym_register] = ACTIONS(4066),
    [anon_sym_inline] = ACTIONS(4066),
    [anon_sym___inline] = ACTIONS(4066),
    [anon_sym___inline__] = ACTIONS(4066),
    [anon_sym___forceinline] = ACTIONS(4066),
    [anon_sym_thread_local] = ACTIONS(4066),
    [anon_sym___thread] = ACTIONS(4066),
    [anon_sym_CG_EXTERN] = ACTIONS(4066),
    [anon_sym_CG_INLINE] = ACTIONS(4066),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4066),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4066),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4066),
    [anon_sym_IBOutlet] = ACTIONS(4066),
    [anon_sym_IBInspectable] = ACTIONS(4066),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4066),
    [anon_sym_NS_INLINE] = ACTIONS(4066),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4066),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4066),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4066),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4066),
    [anon_sym_const] = ACTIONS(4066),
    [anon_sym_constexpr] = ACTIONS(4066),
    [anon_sym_volatile] = ACTIONS(4066),
    [anon_sym_restrict] = ACTIONS(4066),
    [anon_sym___restrict__] = ACTIONS(4066),
    [anon_sym__Atomic] = ACTIONS(4066),
    [anon_sym__Noreturn] = ACTIONS(4066),
    [anon_sym__Nonnull] = ACTIONS(4066),
    [anon_sym_nullable] = ACTIONS(4066),
    [anon_sym__Complex] = ACTIONS(4066),
    [anon_sym__Nullable] = ACTIONS(4066),
    [anon_sym__Nullable_result] = ACTIONS(4066),
    [anon_sym__Null_unspecified] = ACTIONS(4066),
    [anon_sym___autoreleasing] = ACTIONS(4066),
    [anon_sym___block] = ACTIONS(4066),
    [anon_sym___bridge] = ACTIONS(4066),
    [anon_sym___bridge_retained] = ACTIONS(4066),
    [anon_sym___bridge_transfer] = ACTIONS(4066),
    [anon_sym___complex] = ACTIONS(4066),
    [anon_sym___const] = ACTIONS(4066),
    [anon_sym___imag] = ACTIONS(4066),
    [anon_sym___kindof] = ACTIONS(4066),
    [anon_sym___nonnull] = ACTIONS(4066),
    [anon_sym___nullable] = ACTIONS(4066),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4066),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4066),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4066),
    [anon_sym___real] = ACTIONS(4066),
    [anon_sym___strong] = ACTIONS(4066),
    [anon_sym___unsafe_unretained] = ACTIONS(4066),
    [anon_sym___unused] = ACTIONS(4066),
    [anon_sym___weak] = ACTIONS(4066),
    [anon_sym_alignas] = ACTIONS(4066),
    [anon_sym__Alignas] = ACTIONS(4066),
    [anon_sym_COLON] = ACTIONS(4068),
    [anon_sym_in] = ACTIONS(4066),
    [anon_sym_QMARK] = ACTIONS(4068),
    [anon_sym_DASH_DASH] = ACTIONS(4068),
    [anon_sym_PLUS_PLUS] = ACTIONS(4068),
    [anon_sym_asm] = ACTIONS(4066),
    [anon_sym___asm__] = ACTIONS(4066),
    [anon_sym___asm] = ACTIONS(4066),
    [anon_sym_DOT] = ACTIONS(4066),
    [anon_sym_DASH_GT] = ACTIONS(4068),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4066),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4066),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4066),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4066),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4066),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4066),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4066),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4066),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4066),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4066),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4066),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4066),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4066),
    [anon_sym_API_AVAILABLE] = ACTIONS(4066),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4066),
    [anon_sym_API_DEPRECATED] = ACTIONS(4066),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4066),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4066),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4066),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4066),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4066),
    [anon_sym___deprecated_msg] = ACTIONS(4066),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4066),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4066),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4066),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4066),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4066),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4066),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4066),
  },
  [1991] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2308),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4892),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1992] = {
    [sym_parameterized_arguments] = STATE(2055),
    [sym_identifier] = ACTIONS(5086),
    [aux_sym_preproc_def_token1] = ACTIONS(5086),
    [aux_sym_preproc_if_token1] = ACTIONS(5086),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5086),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5086),
    [sym_preproc_directive] = ACTIONS(5086),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3182),
    [anon_sym_PLUS] = ACTIONS(3182),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(5086),
    [anon_sym_typedef] = ACTIONS(5086),
    [anon_sym_extern] = ACTIONS(5086),
    [anon_sym___attribute__] = ACTIONS(5086),
    [anon_sym___attribute] = ACTIONS(5086),
    [anon_sym_noreturn] = ACTIONS(5086),
    [anon_sym_LBRACK] = ACTIONS(3182),
    [anon_sym___declspec] = ACTIONS(5086),
    [anon_sym___cdecl] = ACTIONS(5086),
    [anon_sym___clrcall] = ACTIONS(5086),
    [anon_sym___stdcall] = ACTIONS(5086),
    [anon_sym___fastcall] = ACTIONS(5086),
    [anon_sym___thiscall] = ACTIONS(5086),
    [anon_sym___vectorcall] = ACTIONS(5086),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_signed] = ACTIONS(5086),
    [anon_sym_unsigned] = ACTIONS(5086),
    [anon_sym_long] = ACTIONS(5086),
    [anon_sym_short] = ACTIONS(5086),
    [anon_sym_static] = ACTIONS(5086),
    [anon_sym_auto] = ACTIONS(5086),
    [anon_sym_register] = ACTIONS(5086),
    [anon_sym_inline] = ACTIONS(5086),
    [anon_sym___inline] = ACTIONS(5086),
    [anon_sym___inline__] = ACTIONS(5086),
    [anon_sym___forceinline] = ACTIONS(5086),
    [anon_sym_thread_local] = ACTIONS(5086),
    [anon_sym___thread] = ACTIONS(5086),
    [anon_sym_CG_EXTERN] = ACTIONS(5086),
    [anon_sym_CG_INLINE] = ACTIONS(5086),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5086),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5086),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5086),
    [anon_sym_IBOutlet] = ACTIONS(5086),
    [anon_sym_IBInspectable] = ACTIONS(5086),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5086),
    [anon_sym_NS_INLINE] = ACTIONS(5086),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5086),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5086),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5086),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5086),
    [anon_sym_const] = ACTIONS(5086),
    [anon_sym_constexpr] = ACTIONS(5086),
    [anon_sym_volatile] = ACTIONS(5086),
    [anon_sym_restrict] = ACTIONS(5086),
    [anon_sym___restrict__] = ACTIONS(5086),
    [anon_sym__Atomic] = ACTIONS(5086),
    [anon_sym__Noreturn] = ACTIONS(5086),
    [anon_sym__Nonnull] = ACTIONS(5086),
    [anon_sym_nullable] = ACTIONS(5086),
    [anon_sym__Complex] = ACTIONS(5086),
    [anon_sym__Nullable] = ACTIONS(5086),
    [anon_sym__Nullable_result] = ACTIONS(5086),
    [anon_sym__Null_unspecified] = ACTIONS(5086),
    [anon_sym___autoreleasing] = ACTIONS(5086),
    [anon_sym___block] = ACTIONS(5086),
    [anon_sym___bridge] = ACTIONS(5086),
    [anon_sym___bridge_retained] = ACTIONS(5086),
    [anon_sym___bridge_transfer] = ACTIONS(5086),
    [anon_sym___complex] = ACTIONS(5086),
    [anon_sym___const] = ACTIONS(5086),
    [anon_sym___imag] = ACTIONS(5086),
    [anon_sym___kindof] = ACTIONS(5086),
    [anon_sym___nonnull] = ACTIONS(5086),
    [anon_sym___nullable] = ACTIONS(5086),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5086),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5086),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5086),
    [anon_sym___real] = ACTIONS(5086),
    [anon_sym___strong] = ACTIONS(5086),
    [anon_sym___unsafe_unretained] = ACTIONS(5086),
    [anon_sym___unused] = ACTIONS(5086),
    [anon_sym___weak] = ACTIONS(5086),
    [anon_sym_alignas] = ACTIONS(5086),
    [anon_sym__Alignas] = ACTIONS(5086),
    [sym_primitive_type] = ACTIONS(5086),
    [anon_sym_enum] = ACTIONS(5086),
    [anon_sym_COLON] = ACTIONS(3182),
    [anon_sym_struct] = ACTIONS(5086),
    [anon_sym_union] = ACTIONS(5086),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5086),
    [anon_sym___typeof] = ACTIONS(5086),
    [anon_sym_typeof] = ACTIONS(5086),
    [aux_sym_preproc_undef_token1] = ACTIONS(5086),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5086),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5086),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5086),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5086),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5086),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5086),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5086),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5086),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5086),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5086),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5086),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5086),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5086),
    [anon_sym_API_AVAILABLE] = ACTIONS(5086),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5086),
    [anon_sym_API_DEPRECATED] = ACTIONS(5086),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5086),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5086),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5086),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5086),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5086),
    [anon_sym___deprecated_msg] = ACTIONS(5086),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5086),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5086),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5086),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5086),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5086),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5086),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5086),
    [anon_sym_ATend] = ACTIONS(3182),
    [anon_sym_ATsynthesize] = ACTIONS(3182),
    [anon_sym_ATdynamic] = ACTIONS(3182),
    [anon_sym_ATproperty] = ACTIONS(3182),
    [anon_sym_BOOL] = ACTIONS(5086),
    [anon_sym_IMP] = ACTIONS(5086),
    [anon_sym_SEL] = ACTIONS(5086),
    [anon_sym_Class] = ACTIONS(5086),
    [anon_sym_id] = ACTIONS(5086),
  },
  [1993] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2302),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4862),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1994] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2111),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4928),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [1995] = {
    [sym_identifier] = ACTIONS(4112),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4114),
    [anon_sym_COMMA] = ACTIONS(4114),
    [anon_sym_RPAREN] = ACTIONS(4114),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4114),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4114),
    [anon_sym_LPAREN2] = ACTIONS(4114),
    [anon_sym_DASH] = ACTIONS(4112),
    [anon_sym_PLUS] = ACTIONS(4112),
    [anon_sym_STAR] = ACTIONS(4114),
    [anon_sym_SLASH] = ACTIONS(4112),
    [anon_sym_PERCENT] = ACTIONS(4114),
    [anon_sym_PIPE_PIPE] = ACTIONS(4114),
    [anon_sym_AMP_AMP] = ACTIONS(4114),
    [anon_sym_PIPE] = ACTIONS(4112),
    [anon_sym_CARET] = ACTIONS(4114),
    [anon_sym_AMP] = ACTIONS(4112),
    [anon_sym_EQ_EQ] = ACTIONS(4114),
    [anon_sym_BANG_EQ] = ACTIONS(4114),
    [anon_sym_GT] = ACTIONS(4112),
    [anon_sym_GT_EQ] = ACTIONS(4114),
    [anon_sym_LT_EQ] = ACTIONS(4114),
    [anon_sym_LT] = ACTIONS(4112),
    [anon_sym_LT_LT] = ACTIONS(4114),
    [anon_sym_GT_GT] = ACTIONS(4114),
    [anon_sym_SEMI] = ACTIONS(4114),
    [anon_sym___extension__] = ACTIONS(4112),
    [anon_sym_extern] = ACTIONS(4112),
    [anon_sym___attribute__] = ACTIONS(4112),
    [anon_sym___attribute] = ACTIONS(4112),
    [anon_sym_noreturn] = ACTIONS(4112),
    [anon_sym_LBRACK] = ACTIONS(4114),
    [anon_sym_RBRACK] = ACTIONS(4114),
    [anon_sym___declspec] = ACTIONS(4112),
    [anon_sym_LBRACE] = ACTIONS(4114),
    [anon_sym_RBRACE] = ACTIONS(4114),
    [anon_sym_static] = ACTIONS(4112),
    [anon_sym_EQ] = ACTIONS(4112),
    [anon_sym_ATautoreleasepool] = ACTIONS(4114),
    [anon_sym_auto] = ACTIONS(4112),
    [anon_sym_register] = ACTIONS(4112),
    [anon_sym_inline] = ACTIONS(4112),
    [anon_sym___inline] = ACTIONS(4112),
    [anon_sym___inline__] = ACTIONS(4112),
    [anon_sym___forceinline] = ACTIONS(4112),
    [anon_sym_thread_local] = ACTIONS(4112),
    [anon_sym___thread] = ACTIONS(4112),
    [anon_sym_CG_EXTERN] = ACTIONS(4112),
    [anon_sym_CG_INLINE] = ACTIONS(4112),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4112),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4112),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4112),
    [anon_sym_IBOutlet] = ACTIONS(4112),
    [anon_sym_IBInspectable] = ACTIONS(4112),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4112),
    [anon_sym_NS_INLINE] = ACTIONS(4112),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4112),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4112),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4112),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4112),
    [anon_sym_const] = ACTIONS(4112),
    [anon_sym_constexpr] = ACTIONS(4112),
    [anon_sym_volatile] = ACTIONS(4112),
    [anon_sym_restrict] = ACTIONS(4112),
    [anon_sym___restrict__] = ACTIONS(4112),
    [anon_sym__Atomic] = ACTIONS(4112),
    [anon_sym__Noreturn] = ACTIONS(4112),
    [anon_sym__Nonnull] = ACTIONS(4112),
    [anon_sym_nullable] = ACTIONS(4112),
    [anon_sym__Complex] = ACTIONS(4112),
    [anon_sym__Nullable] = ACTIONS(4112),
    [anon_sym__Nullable_result] = ACTIONS(4112),
    [anon_sym__Null_unspecified] = ACTIONS(4112),
    [anon_sym___autoreleasing] = ACTIONS(4112),
    [anon_sym___block] = ACTIONS(4112),
    [anon_sym___bridge] = ACTIONS(4112),
    [anon_sym___bridge_retained] = ACTIONS(4112),
    [anon_sym___bridge_transfer] = ACTIONS(4112),
    [anon_sym___complex] = ACTIONS(4112),
    [anon_sym___const] = ACTIONS(4112),
    [anon_sym___imag] = ACTIONS(4112),
    [anon_sym___kindof] = ACTIONS(4112),
    [anon_sym___nonnull] = ACTIONS(4112),
    [anon_sym___nullable] = ACTIONS(4112),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4112),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4112),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4112),
    [anon_sym___real] = ACTIONS(4112),
    [anon_sym___strong] = ACTIONS(4112),
    [anon_sym___unsafe_unretained] = ACTIONS(4112),
    [anon_sym___unused] = ACTIONS(4112),
    [anon_sym___weak] = ACTIONS(4112),
    [anon_sym_alignas] = ACTIONS(4112),
    [anon_sym__Alignas] = ACTIONS(4112),
    [anon_sym_COLON] = ACTIONS(4114),
    [anon_sym_in] = ACTIONS(4112),
    [anon_sym_QMARK] = ACTIONS(4114),
    [anon_sym_DASH_DASH] = ACTIONS(4114),
    [anon_sym_PLUS_PLUS] = ACTIONS(4114),
    [anon_sym_asm] = ACTIONS(4112),
    [anon_sym___asm__] = ACTIONS(4112),
    [anon_sym___asm] = ACTIONS(4112),
    [anon_sym_DOT] = ACTIONS(4112),
    [anon_sym_DASH_GT] = ACTIONS(4114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4112),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4112),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4112),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4112),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4112),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4112),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4112),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4112),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4112),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4112),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4112),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4112),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4112),
    [anon_sym_API_AVAILABLE] = ACTIONS(4112),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4112),
    [anon_sym_API_DEPRECATED] = ACTIONS(4112),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4112),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4112),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4112),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4112),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4112),
    [anon_sym___deprecated_msg] = ACTIONS(4112),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4112),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4112),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4112),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4112),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4112),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4112),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4112),
  },
  [1996] = {
    [sym_identifier] = ACTIONS(2436),
    [aux_sym_preproc_def_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2436),
    [sym_preproc_directive] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym___attribute] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym___cdecl] = ACTIONS(2436),
    [anon_sym___clrcall] = ACTIONS(2436),
    [anon_sym___stdcall] = ACTIONS(2436),
    [anon_sym___fastcall] = ACTIONS(2436),
    [anon_sym___thiscall] = ACTIONS(2436),
    [anon_sym___vectorcall] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_ATautoreleasepool] = ACTIONS(2438),
    [anon_sym_auto] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_CG_EXTERN] = ACTIONS(2436),
    [anon_sym_CG_INLINE] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2436),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2436),
    [anon_sym_IBOutlet] = ACTIONS(2436),
    [anon_sym_IBInspectable] = ACTIONS(2436),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2436),
    [anon_sym_NS_INLINE] = ACTIONS(2436),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2436),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2436),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym__Nonnull] = ACTIONS(2436),
    [anon_sym_nullable] = ACTIONS(2436),
    [anon_sym__Complex] = ACTIONS(2436),
    [anon_sym__Nullable] = ACTIONS(2436),
    [anon_sym__Nullable_result] = ACTIONS(2436),
    [anon_sym__Null_unspecified] = ACTIONS(2436),
    [anon_sym___autoreleasing] = ACTIONS(2436),
    [anon_sym___block] = ACTIONS(2436),
    [anon_sym___bridge] = ACTIONS(2436),
    [anon_sym___bridge_retained] = ACTIONS(2436),
    [anon_sym___bridge_transfer] = ACTIONS(2436),
    [anon_sym___complex] = ACTIONS(2436),
    [anon_sym___const] = ACTIONS(2436),
    [anon_sym___imag] = ACTIONS(2436),
    [anon_sym___kindof] = ACTIONS(2436),
    [anon_sym___nonnull] = ACTIONS(2436),
    [anon_sym___nullable] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2436),
    [anon_sym___real] = ACTIONS(2436),
    [anon_sym___strong] = ACTIONS(2436),
    [anon_sym___unsafe_unretained] = ACTIONS(2436),
    [anon_sym___unused] = ACTIONS(2436),
    [anon_sym___weak] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym__Alignas] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2436),
    [anon_sym___typeof] = ACTIONS(2436),
    [anon_sym_typeof] = ACTIONS(2436),
    [aux_sym_preproc_undef_token1] = ACTIONS(2436),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2436),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2436),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2436),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_API_AVAILABLE] = ACTIONS(2436),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_API_DEPRECATED] = ACTIONS(2436),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym___deprecated_msg] = ACTIONS(2436),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2436),
    [anon_sym_ATend] = ACTIONS(2438),
    [anon_sym_AToptional] = ACTIONS(2438),
    [anon_sym_ATrequired] = ACTIONS(2438),
    [anon_sym_ATsynthesize] = ACTIONS(2438),
    [anon_sym_ATdynamic] = ACTIONS(2438),
    [anon_sym_ATproperty] = ACTIONS(2438),
    [anon_sym_BOOL] = ACTIONS(2436),
    [anon_sym_IMP] = ACTIONS(2436),
    [anon_sym_SEL] = ACTIONS(2436),
    [anon_sym_Class] = ACTIONS(2436),
    [anon_sym_id] = ACTIONS(2436),
  },
  [1997] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym___attribute] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___cdecl] = ACTIONS(2448),
    [anon_sym___clrcall] = ACTIONS(2448),
    [anon_sym___stdcall] = ACTIONS(2448),
    [anon_sym___fastcall] = ACTIONS(2448),
    [anon_sym___thiscall] = ACTIONS(2448),
    [anon_sym___vectorcall] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_ATautoreleasepool] = ACTIONS(2450),
    [anon_sym_auto] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_CG_EXTERN] = ACTIONS(2448),
    [anon_sym_CG_INLINE] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2448),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2448),
    [anon_sym_IBOutlet] = ACTIONS(2448),
    [anon_sym_IBInspectable] = ACTIONS(2448),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2448),
    [anon_sym_NS_INLINE] = ACTIONS(2448),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2448),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2448),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym__Nonnull] = ACTIONS(2448),
    [anon_sym_nullable] = ACTIONS(2448),
    [anon_sym__Complex] = ACTIONS(2448),
    [anon_sym__Nullable] = ACTIONS(2448),
    [anon_sym__Nullable_result] = ACTIONS(2448),
    [anon_sym__Null_unspecified] = ACTIONS(2448),
    [anon_sym___autoreleasing] = ACTIONS(2448),
    [anon_sym___block] = ACTIONS(2448),
    [anon_sym___bridge] = ACTIONS(2448),
    [anon_sym___bridge_retained] = ACTIONS(2448),
    [anon_sym___bridge_transfer] = ACTIONS(2448),
    [anon_sym___complex] = ACTIONS(2448),
    [anon_sym___const] = ACTIONS(2448),
    [anon_sym___imag] = ACTIONS(2448),
    [anon_sym___kindof] = ACTIONS(2448),
    [anon_sym___nonnull] = ACTIONS(2448),
    [anon_sym___nullable] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2448),
    [anon_sym___real] = ACTIONS(2448),
    [anon_sym___strong] = ACTIONS(2448),
    [anon_sym___unsafe_unretained] = ACTIONS(2448),
    [anon_sym___unused] = ACTIONS(2448),
    [anon_sym___weak] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym__Alignas] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2448),
    [anon_sym___typeof] = ACTIONS(2448),
    [anon_sym_typeof] = ACTIONS(2448),
    [aux_sym_preproc_undef_token1] = ACTIONS(2448),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2448),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2448),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2448),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_API_AVAILABLE] = ACTIONS(2448),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_API_DEPRECATED] = ACTIONS(2448),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym___deprecated_msg] = ACTIONS(2448),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2448),
    [anon_sym_ATend] = ACTIONS(2450),
    [anon_sym_AToptional] = ACTIONS(2450),
    [anon_sym_ATrequired] = ACTIONS(2450),
    [anon_sym_ATsynthesize] = ACTIONS(2450),
    [anon_sym_ATdynamic] = ACTIONS(2450),
    [anon_sym_ATproperty] = ACTIONS(2450),
    [anon_sym_BOOL] = ACTIONS(2448),
    [anon_sym_IMP] = ACTIONS(2448),
    [anon_sym_SEL] = ACTIONS(2448),
    [anon_sym_Class] = ACTIONS(2448),
    [anon_sym_id] = ACTIONS(2448),
  },
  [1998] = {
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym___attribute] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_ATautoreleasepool] = ACTIONS(2454),
    [anon_sym_auto] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_CG_EXTERN] = ACTIONS(2452),
    [anon_sym_CG_INLINE] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2452),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2452),
    [anon_sym_IBOutlet] = ACTIONS(2452),
    [anon_sym_IBInspectable] = ACTIONS(2452),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2452),
    [anon_sym_NS_INLINE] = ACTIONS(2452),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2452),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2452),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym__Nonnull] = ACTIONS(2452),
    [anon_sym_nullable] = ACTIONS(2452),
    [anon_sym__Complex] = ACTIONS(2452),
    [anon_sym__Nullable] = ACTIONS(2452),
    [anon_sym__Nullable_result] = ACTIONS(2452),
    [anon_sym__Null_unspecified] = ACTIONS(2452),
    [anon_sym___autoreleasing] = ACTIONS(2452),
    [anon_sym___block] = ACTIONS(2452),
    [anon_sym___bridge] = ACTIONS(2452),
    [anon_sym___bridge_retained] = ACTIONS(2452),
    [anon_sym___bridge_transfer] = ACTIONS(2452),
    [anon_sym___complex] = ACTIONS(2452),
    [anon_sym___const] = ACTIONS(2452),
    [anon_sym___imag] = ACTIONS(2452),
    [anon_sym___kindof] = ACTIONS(2452),
    [anon_sym___nonnull] = ACTIONS(2452),
    [anon_sym___nullable] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2452),
    [anon_sym___real] = ACTIONS(2452),
    [anon_sym___strong] = ACTIONS(2452),
    [anon_sym___unsafe_unretained] = ACTIONS(2452),
    [anon_sym___unused] = ACTIONS(2452),
    [anon_sym___weak] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym__Alignas] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2452),
    [anon_sym___typeof] = ACTIONS(2452),
    [anon_sym_typeof] = ACTIONS(2452),
    [aux_sym_preproc_undef_token1] = ACTIONS(2452),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2452),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2452),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2452),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_API_AVAILABLE] = ACTIONS(2452),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_API_DEPRECATED] = ACTIONS(2452),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym___deprecated_msg] = ACTIONS(2452),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2452),
    [anon_sym_ATend] = ACTIONS(2454),
    [anon_sym_AToptional] = ACTIONS(2454),
    [anon_sym_ATrequired] = ACTIONS(2454),
    [anon_sym_ATsynthesize] = ACTIONS(2454),
    [anon_sym_ATdynamic] = ACTIONS(2454),
    [anon_sym_ATproperty] = ACTIONS(2454),
    [anon_sym_BOOL] = ACTIONS(2452),
    [anon_sym_IMP] = ACTIONS(2452),
    [anon_sym_SEL] = ACTIONS(2452),
    [anon_sym_Class] = ACTIONS(2452),
    [anon_sym_id] = ACTIONS(2452),
  },
  [1999] = {
    [sym_identifier] = ACTIONS(4116),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4118),
    [anon_sym_COMMA] = ACTIONS(4118),
    [anon_sym_RPAREN] = ACTIONS(4118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4118),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4118),
    [anon_sym_LPAREN2] = ACTIONS(4118),
    [anon_sym_DASH] = ACTIONS(4116),
    [anon_sym_PLUS] = ACTIONS(4116),
    [anon_sym_STAR] = ACTIONS(4118),
    [anon_sym_SLASH] = ACTIONS(4116),
    [anon_sym_PERCENT] = ACTIONS(4118),
    [anon_sym_PIPE_PIPE] = ACTIONS(4118),
    [anon_sym_AMP_AMP] = ACTIONS(4118),
    [anon_sym_PIPE] = ACTIONS(4116),
    [anon_sym_CARET] = ACTIONS(4118),
    [anon_sym_AMP] = ACTIONS(4116),
    [anon_sym_EQ_EQ] = ACTIONS(4118),
    [anon_sym_BANG_EQ] = ACTIONS(4118),
    [anon_sym_GT] = ACTIONS(4116),
    [anon_sym_GT_EQ] = ACTIONS(4118),
    [anon_sym_LT_EQ] = ACTIONS(4118),
    [anon_sym_LT] = ACTIONS(4116),
    [anon_sym_LT_LT] = ACTIONS(4118),
    [anon_sym_GT_GT] = ACTIONS(4118),
    [anon_sym_SEMI] = ACTIONS(4118),
    [anon_sym___extension__] = ACTIONS(4116),
    [anon_sym_extern] = ACTIONS(4116),
    [anon_sym___attribute__] = ACTIONS(4116),
    [anon_sym___attribute] = ACTIONS(4116),
    [anon_sym_noreturn] = ACTIONS(4116),
    [anon_sym_LBRACK] = ACTIONS(4118),
    [anon_sym_RBRACK] = ACTIONS(4118),
    [anon_sym___declspec] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_RBRACE] = ACTIONS(4118),
    [anon_sym_static] = ACTIONS(4116),
    [anon_sym_EQ] = ACTIONS(4116),
    [anon_sym_ATautoreleasepool] = ACTIONS(4118),
    [anon_sym_auto] = ACTIONS(4116),
    [anon_sym_register] = ACTIONS(4116),
    [anon_sym_inline] = ACTIONS(4116),
    [anon_sym___inline] = ACTIONS(4116),
    [anon_sym___inline__] = ACTIONS(4116),
    [anon_sym___forceinline] = ACTIONS(4116),
    [anon_sym_thread_local] = ACTIONS(4116),
    [anon_sym___thread] = ACTIONS(4116),
    [anon_sym_CG_EXTERN] = ACTIONS(4116),
    [anon_sym_CG_INLINE] = ACTIONS(4116),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4116),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4116),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4116),
    [anon_sym_IBOutlet] = ACTIONS(4116),
    [anon_sym_IBInspectable] = ACTIONS(4116),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4116),
    [anon_sym_NS_INLINE] = ACTIONS(4116),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4116),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4116),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4116),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4116),
    [anon_sym_const] = ACTIONS(4116),
    [anon_sym_constexpr] = ACTIONS(4116),
    [anon_sym_volatile] = ACTIONS(4116),
    [anon_sym_restrict] = ACTIONS(4116),
    [anon_sym___restrict__] = ACTIONS(4116),
    [anon_sym__Atomic] = ACTIONS(4116),
    [anon_sym__Noreturn] = ACTIONS(4116),
    [anon_sym__Nonnull] = ACTIONS(4116),
    [anon_sym_nullable] = ACTIONS(4116),
    [anon_sym__Complex] = ACTIONS(4116),
    [anon_sym__Nullable] = ACTIONS(4116),
    [anon_sym__Nullable_result] = ACTIONS(4116),
    [anon_sym__Null_unspecified] = ACTIONS(4116),
    [anon_sym___autoreleasing] = ACTIONS(4116),
    [anon_sym___block] = ACTIONS(4116),
    [anon_sym___bridge] = ACTIONS(4116),
    [anon_sym___bridge_retained] = ACTIONS(4116),
    [anon_sym___bridge_transfer] = ACTIONS(4116),
    [anon_sym___complex] = ACTIONS(4116),
    [anon_sym___const] = ACTIONS(4116),
    [anon_sym___imag] = ACTIONS(4116),
    [anon_sym___kindof] = ACTIONS(4116),
    [anon_sym___nonnull] = ACTIONS(4116),
    [anon_sym___nullable] = ACTIONS(4116),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4116),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4116),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4116),
    [anon_sym___real] = ACTIONS(4116),
    [anon_sym___strong] = ACTIONS(4116),
    [anon_sym___unsafe_unretained] = ACTIONS(4116),
    [anon_sym___unused] = ACTIONS(4116),
    [anon_sym___weak] = ACTIONS(4116),
    [anon_sym_alignas] = ACTIONS(4116),
    [anon_sym__Alignas] = ACTIONS(4116),
    [anon_sym_COLON] = ACTIONS(4118),
    [anon_sym_in] = ACTIONS(4116),
    [anon_sym_QMARK] = ACTIONS(4118),
    [anon_sym_DASH_DASH] = ACTIONS(4118),
    [anon_sym_PLUS_PLUS] = ACTIONS(4118),
    [anon_sym_asm] = ACTIONS(4116),
    [anon_sym___asm__] = ACTIONS(4116),
    [anon_sym___asm] = ACTIONS(4116),
    [anon_sym_DOT] = ACTIONS(4116),
    [anon_sym_DASH_GT] = ACTIONS(4118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4116),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4116),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4116),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4116),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4116),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4116),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4116),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4116),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4116),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4116),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4116),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4116),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4116),
    [anon_sym_API_AVAILABLE] = ACTIONS(4116),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4116),
    [anon_sym_API_DEPRECATED] = ACTIONS(4116),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4116),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4116),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4116),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4116),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4116),
    [anon_sym___deprecated_msg] = ACTIONS(4116),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4116),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4116),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4116),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4116),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4116),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4116),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4116),
  },
  [2000] = {
    [sym_identifier] = ACTIONS(2436),
    [aux_sym_preproc_def_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2436),
    [sym_preproc_directive] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym___attribute] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym___cdecl] = ACTIONS(2436),
    [anon_sym___clrcall] = ACTIONS(2436),
    [anon_sym___stdcall] = ACTIONS(2436),
    [anon_sym___fastcall] = ACTIONS(2436),
    [anon_sym___thiscall] = ACTIONS(2436),
    [anon_sym___vectorcall] = ACTIONS(2436),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_ATautoreleasepool] = ACTIONS(2438),
    [anon_sym_auto] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_CG_EXTERN] = ACTIONS(2436),
    [anon_sym_CG_INLINE] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2436),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2436),
    [anon_sym_IBOutlet] = ACTIONS(2436),
    [anon_sym_IBInspectable] = ACTIONS(2436),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2436),
    [anon_sym_NS_INLINE] = ACTIONS(2436),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2436),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2436),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym__Nonnull] = ACTIONS(2436),
    [anon_sym_nullable] = ACTIONS(2436),
    [anon_sym__Complex] = ACTIONS(2436),
    [anon_sym__Nullable] = ACTIONS(2436),
    [anon_sym__Nullable_result] = ACTIONS(2436),
    [anon_sym__Null_unspecified] = ACTIONS(2436),
    [anon_sym___autoreleasing] = ACTIONS(2436),
    [anon_sym___block] = ACTIONS(2436),
    [anon_sym___bridge] = ACTIONS(2436),
    [anon_sym___bridge_retained] = ACTIONS(2436),
    [anon_sym___bridge_transfer] = ACTIONS(2436),
    [anon_sym___complex] = ACTIONS(2436),
    [anon_sym___const] = ACTIONS(2436),
    [anon_sym___imag] = ACTIONS(2436),
    [anon_sym___kindof] = ACTIONS(2436),
    [anon_sym___nonnull] = ACTIONS(2436),
    [anon_sym___nullable] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2436),
    [anon_sym___real] = ACTIONS(2436),
    [anon_sym___strong] = ACTIONS(2436),
    [anon_sym___unsafe_unretained] = ACTIONS(2436),
    [anon_sym___unused] = ACTIONS(2436),
    [anon_sym___weak] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym__Alignas] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2436),
    [anon_sym___typeof] = ACTIONS(2436),
    [anon_sym_typeof] = ACTIONS(2436),
    [aux_sym_preproc_undef_token1] = ACTIONS(2436),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2436),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2436),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2436),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_API_AVAILABLE] = ACTIONS(2436),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_API_DEPRECATED] = ACTIONS(2436),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym___deprecated_msg] = ACTIONS(2436),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2436),
    [anon_sym_ATend] = ACTIONS(2438),
    [anon_sym_AToptional] = ACTIONS(2438),
    [anon_sym_ATrequired] = ACTIONS(2438),
    [anon_sym_ATsynthesize] = ACTIONS(2438),
    [anon_sym_ATdynamic] = ACTIONS(2438),
    [anon_sym_ATproperty] = ACTIONS(2438),
    [anon_sym_BOOL] = ACTIONS(2436),
    [anon_sym_IMP] = ACTIONS(2436),
    [anon_sym_SEL] = ACTIONS(2436),
    [anon_sym_Class] = ACTIONS(2436),
    [anon_sym_id] = ACTIONS(2436),
  },
  [2001] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym___attribute] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___cdecl] = ACTIONS(2448),
    [anon_sym___clrcall] = ACTIONS(2448),
    [anon_sym___stdcall] = ACTIONS(2448),
    [anon_sym___fastcall] = ACTIONS(2448),
    [anon_sym___thiscall] = ACTIONS(2448),
    [anon_sym___vectorcall] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_ATautoreleasepool] = ACTIONS(2450),
    [anon_sym_auto] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_CG_EXTERN] = ACTIONS(2448),
    [anon_sym_CG_INLINE] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2448),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2448),
    [anon_sym_IBOutlet] = ACTIONS(2448),
    [anon_sym_IBInspectable] = ACTIONS(2448),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2448),
    [anon_sym_NS_INLINE] = ACTIONS(2448),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2448),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2448),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym__Nonnull] = ACTIONS(2448),
    [anon_sym_nullable] = ACTIONS(2448),
    [anon_sym__Complex] = ACTIONS(2448),
    [anon_sym__Nullable] = ACTIONS(2448),
    [anon_sym__Nullable_result] = ACTIONS(2448),
    [anon_sym__Null_unspecified] = ACTIONS(2448),
    [anon_sym___autoreleasing] = ACTIONS(2448),
    [anon_sym___block] = ACTIONS(2448),
    [anon_sym___bridge] = ACTIONS(2448),
    [anon_sym___bridge_retained] = ACTIONS(2448),
    [anon_sym___bridge_transfer] = ACTIONS(2448),
    [anon_sym___complex] = ACTIONS(2448),
    [anon_sym___const] = ACTIONS(2448),
    [anon_sym___imag] = ACTIONS(2448),
    [anon_sym___kindof] = ACTIONS(2448),
    [anon_sym___nonnull] = ACTIONS(2448),
    [anon_sym___nullable] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2448),
    [anon_sym___real] = ACTIONS(2448),
    [anon_sym___strong] = ACTIONS(2448),
    [anon_sym___unsafe_unretained] = ACTIONS(2448),
    [anon_sym___unused] = ACTIONS(2448),
    [anon_sym___weak] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym__Alignas] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2448),
    [anon_sym___typeof] = ACTIONS(2448),
    [anon_sym_typeof] = ACTIONS(2448),
    [aux_sym_preproc_undef_token1] = ACTIONS(2448),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2448),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2448),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2448),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_API_AVAILABLE] = ACTIONS(2448),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_API_DEPRECATED] = ACTIONS(2448),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym___deprecated_msg] = ACTIONS(2448),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2448),
    [anon_sym_ATend] = ACTIONS(2450),
    [anon_sym_AToptional] = ACTIONS(2450),
    [anon_sym_ATrequired] = ACTIONS(2450),
    [anon_sym_ATsynthesize] = ACTIONS(2450),
    [anon_sym_ATdynamic] = ACTIONS(2450),
    [anon_sym_ATproperty] = ACTIONS(2450),
    [anon_sym_BOOL] = ACTIONS(2448),
    [anon_sym_IMP] = ACTIONS(2448),
    [anon_sym_SEL] = ACTIONS(2448),
    [anon_sym_Class] = ACTIONS(2448),
    [anon_sym_id] = ACTIONS(2448),
  },
  [2002] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_compound_statement] = STATE(2121),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_SEMI] = ACTIONS(4858),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2003] = {
    [sym_identifier] = ACTIONS(2718),
    [aux_sym_preproc_def_token1] = ACTIONS(2718),
    [aux_sym_preproc_if_token1] = ACTIONS(2718),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2718),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2718),
    [sym_preproc_directive] = ACTIONS(2718),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym___extension__] = ACTIONS(2718),
    [anon_sym_typedef] = ACTIONS(2718),
    [anon_sym_extern] = ACTIONS(2718),
    [anon_sym___attribute__] = ACTIONS(2718),
    [anon_sym___attribute] = ACTIONS(2718),
    [anon_sym_noreturn] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [anon_sym___declspec] = ACTIONS(2718),
    [anon_sym___cdecl] = ACTIONS(2718),
    [anon_sym___clrcall] = ACTIONS(2718),
    [anon_sym___stdcall] = ACTIONS(2718),
    [anon_sym___fastcall] = ACTIONS(2718),
    [anon_sym___thiscall] = ACTIONS(2718),
    [anon_sym___vectorcall] = ACTIONS(2718),
    [anon_sym_RBRACE] = ACTIONS(2720),
    [anon_sym_signed] = ACTIONS(2718),
    [anon_sym_unsigned] = ACTIONS(2718),
    [anon_sym_long] = ACTIONS(2718),
    [anon_sym_short] = ACTIONS(2718),
    [anon_sym_static] = ACTIONS(2718),
    [anon_sym_auto] = ACTIONS(2718),
    [anon_sym_register] = ACTIONS(2718),
    [anon_sym_inline] = ACTIONS(2718),
    [anon_sym___inline] = ACTIONS(2718),
    [anon_sym___inline__] = ACTIONS(2718),
    [anon_sym___forceinline] = ACTIONS(2718),
    [anon_sym_thread_local] = ACTIONS(2718),
    [anon_sym___thread] = ACTIONS(2718),
    [anon_sym_CG_EXTERN] = ACTIONS(2718),
    [anon_sym_CG_INLINE] = ACTIONS(2718),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2718),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2718),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2718),
    [anon_sym_IBOutlet] = ACTIONS(2718),
    [anon_sym_IBInspectable] = ACTIONS(2718),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2718),
    [anon_sym_NS_INLINE] = ACTIONS(2718),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2718),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2718),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2718),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2718),
    [anon_sym_const] = ACTIONS(2718),
    [anon_sym_constexpr] = ACTIONS(2718),
    [anon_sym_volatile] = ACTIONS(2718),
    [anon_sym_restrict] = ACTIONS(2718),
    [anon_sym___restrict__] = ACTIONS(2718),
    [anon_sym__Atomic] = ACTIONS(2718),
    [anon_sym__Noreturn] = ACTIONS(2718),
    [anon_sym__Nonnull] = ACTIONS(2718),
    [anon_sym_nullable] = ACTIONS(2718),
    [anon_sym__Complex] = ACTIONS(2718),
    [anon_sym__Nullable] = ACTIONS(2718),
    [anon_sym__Nullable_result] = ACTIONS(2718),
    [anon_sym__Null_unspecified] = ACTIONS(2718),
    [anon_sym___autoreleasing] = ACTIONS(2718),
    [anon_sym___block] = ACTIONS(2718),
    [anon_sym___bridge] = ACTIONS(2718),
    [anon_sym___bridge_retained] = ACTIONS(2718),
    [anon_sym___bridge_transfer] = ACTIONS(2718),
    [anon_sym___complex] = ACTIONS(2718),
    [anon_sym___const] = ACTIONS(2718),
    [anon_sym___imag] = ACTIONS(2718),
    [anon_sym___kindof] = ACTIONS(2718),
    [anon_sym___nonnull] = ACTIONS(2718),
    [anon_sym___nullable] = ACTIONS(2718),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2718),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2718),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2718),
    [anon_sym___real] = ACTIONS(2718),
    [anon_sym___strong] = ACTIONS(2718),
    [anon_sym___unsafe_unretained] = ACTIONS(2718),
    [anon_sym___unused] = ACTIONS(2718),
    [anon_sym___weak] = ACTIONS(2718),
    [anon_sym_alignas] = ACTIONS(2718),
    [anon_sym__Alignas] = ACTIONS(2718),
    [sym_primitive_type] = ACTIONS(2718),
    [anon_sym_enum] = ACTIONS(2718),
    [anon_sym_struct] = ACTIONS(2718),
    [anon_sym_union] = ACTIONS(2718),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2718),
    [anon_sym___typeof] = ACTIONS(2718),
    [anon_sym_typeof] = ACTIONS(2718),
    [aux_sym_preproc_undef_token1] = ACTIONS(2718),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2718),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2718),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2718),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2718),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2718),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2718),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2718),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2718),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2718),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_API_AVAILABLE] = ACTIONS(2718),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_API_DEPRECATED] = ACTIONS(2718),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2718),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2718),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2718),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2718),
    [anon_sym___deprecated_msg] = ACTIONS(2718),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2718),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2718),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2718),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2718),
    [anon_sym_ATend] = ACTIONS(2720),
    [anon_sym_AToptional] = ACTIONS(2720),
    [anon_sym_ATrequired] = ACTIONS(2720),
    [anon_sym_ATsynthesize] = ACTIONS(2720),
    [anon_sym_ATdynamic] = ACTIONS(2720),
    [anon_sym_ATproperty] = ACTIONS(2720),
    [anon_sym_BOOL] = ACTIONS(2718),
    [anon_sym_IMP] = ACTIONS(2718),
    [anon_sym_SEL] = ACTIONS(2718),
    [anon_sym_Class] = ACTIONS(2718),
    [anon_sym_id] = ACTIONS(2718),
    [anon_sym_ATdefs] = ACTIONS(2720),
  },
  [2004] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1789),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5088),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2005] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1786),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5090),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2006] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1782),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5092),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2007] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1829),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5094),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2008] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(5096),
    [anon_sym_COMMA] = ACTIONS(5098),
    [anon_sym_RPAREN] = ACTIONS(5098),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [anon_sym_STAR] = ACTIONS(5098),
    [anon_sym_CARET] = ACTIONS(5098),
    [anon_sym_GT] = ACTIONS(5098),
    [anon_sym_SEMI] = ACTIONS(5098),
    [anon_sym___extension__] = ACTIONS(5100),
    [anon_sym_extern] = ACTIONS(5103),
    [anon_sym___attribute__] = ACTIONS(5106),
    [anon_sym___attribute] = ACTIONS(5106),
    [anon_sym_noreturn] = ACTIONS(5100),
    [anon_sym_LBRACK] = ACTIONS(5109),
    [anon_sym___declspec] = ACTIONS(5112),
    [anon_sym___based] = ACTIONS(5096),
    [anon_sym_LBRACE] = ACTIONS(5098),
    [anon_sym_signed] = ACTIONS(5096),
    [anon_sym_unsigned] = ACTIONS(5096),
    [anon_sym_long] = ACTIONS(5096),
    [anon_sym_short] = ACTIONS(5096),
    [anon_sym_static] = ACTIONS(5103),
    [anon_sym_ATautoreleasepool] = ACTIONS(5098),
    [anon_sym_auto] = ACTIONS(5103),
    [anon_sym_register] = ACTIONS(5103),
    [anon_sym_inline] = ACTIONS(5103),
    [anon_sym___inline] = ACTIONS(5103),
    [anon_sym___inline__] = ACTIONS(5103),
    [anon_sym___forceinline] = ACTIONS(5103),
    [anon_sym_thread_local] = ACTIONS(5103),
    [anon_sym___thread] = ACTIONS(5103),
    [anon_sym_CG_EXTERN] = ACTIONS(5103),
    [anon_sym_CG_INLINE] = ACTIONS(5103),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5103),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5103),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5103),
    [anon_sym_IBOutlet] = ACTIONS(5103),
    [anon_sym_IBInspectable] = ACTIONS(5103),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5103),
    [anon_sym_NS_INLINE] = ACTIONS(5103),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5103),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5103),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5103),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5103),
    [anon_sym_const] = ACTIONS(5100),
    [anon_sym_constexpr] = ACTIONS(5100),
    [anon_sym_volatile] = ACTIONS(5100),
    [anon_sym_restrict] = ACTIONS(5100),
    [anon_sym___restrict__] = ACTIONS(5100),
    [anon_sym__Atomic] = ACTIONS(5100),
    [anon_sym__Noreturn] = ACTIONS(5100),
    [anon_sym__Nonnull] = ACTIONS(5100),
    [anon_sym_nullable] = ACTIONS(5100),
    [anon_sym__Complex] = ACTIONS(5100),
    [anon_sym__Nullable] = ACTIONS(5100),
    [anon_sym__Nullable_result] = ACTIONS(5100),
    [anon_sym__Null_unspecified] = ACTIONS(5100),
    [anon_sym___autoreleasing] = ACTIONS(5100),
    [anon_sym___block] = ACTIONS(5100),
    [anon_sym___bridge] = ACTIONS(5100),
    [anon_sym___bridge_retained] = ACTIONS(5100),
    [anon_sym___bridge_transfer] = ACTIONS(5100),
    [anon_sym___complex] = ACTIONS(5100),
    [anon_sym___const] = ACTIONS(5100),
    [anon_sym___imag] = ACTIONS(5100),
    [anon_sym___kindof] = ACTIONS(5100),
    [anon_sym___nonnull] = ACTIONS(5100),
    [anon_sym___nullable] = ACTIONS(5100),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5100),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5100),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5100),
    [anon_sym___real] = ACTIONS(5100),
    [anon_sym___strong] = ACTIONS(5100),
    [anon_sym___unsafe_unretained] = ACTIONS(5100),
    [anon_sym___unused] = ACTIONS(5100),
    [anon_sym___weak] = ACTIONS(5100),
    [anon_sym_alignas] = ACTIONS(5115),
    [anon_sym__Alignas] = ACTIONS(5115),
    [sym_primitive_type] = ACTIONS(5096),
    [anon_sym_enum] = ACTIONS(5096),
    [anon_sym_COLON] = ACTIONS(5098),
    [anon_sym_struct] = ACTIONS(5096),
    [anon_sym_union] = ACTIONS(5096),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5096),
    [anon_sym___typeof] = ACTIONS(5096),
    [anon_sym_typeof] = ACTIONS(5096),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5118),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5118),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5118),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5118),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5118),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5118),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5118),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5118),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5118),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5121),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5121),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5121),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5121),
    [anon_sym_API_AVAILABLE] = ACTIONS(5121),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5121),
    [anon_sym_API_DEPRECATED] = ACTIONS(5121),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5121),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5121),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5121),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5121),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5121),
    [anon_sym___deprecated_msg] = ACTIONS(5121),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5121),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5121),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5121),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5121),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5121),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5121),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5121),
    [anon_sym_ATprotocol] = ACTIONS(5098),
    [anon_sym_ATinterface] = ACTIONS(5098),
    [anon_sym_ATimplementation] = ACTIONS(5098),
    [anon_sym_BOOL] = ACTIONS(5096),
    [anon_sym_IMP] = ACTIONS(5096),
    [anon_sym_SEL] = ACTIONS(5096),
    [anon_sym_Class] = ACTIONS(5096),
    [anon_sym_id] = ACTIONS(5096),
  },
  [2009] = {
    [sym_identifier] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2774),
    [sym_preproc_directive] = ACTIONS(2774),
    [anon_sym_DASH] = ACTIONS(2776),
    [anon_sym_PLUS] = ACTIONS(2776),
    [anon_sym___extension__] = ACTIONS(2774),
    [anon_sym_typedef] = ACTIONS(2774),
    [anon_sym_extern] = ACTIONS(2774),
    [anon_sym___attribute__] = ACTIONS(2774),
    [anon_sym___attribute] = ACTIONS(2774),
    [anon_sym_noreturn] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2776),
    [anon_sym___declspec] = ACTIONS(2774),
    [anon_sym___cdecl] = ACTIONS(2774),
    [anon_sym___clrcall] = ACTIONS(2774),
    [anon_sym___stdcall] = ACTIONS(2774),
    [anon_sym___fastcall] = ACTIONS(2774),
    [anon_sym___thiscall] = ACTIONS(2774),
    [anon_sym___vectorcall] = ACTIONS(2774),
    [anon_sym_RBRACE] = ACTIONS(2776),
    [anon_sym_signed] = ACTIONS(2774),
    [anon_sym_unsigned] = ACTIONS(2774),
    [anon_sym_long] = ACTIONS(2774),
    [anon_sym_short] = ACTIONS(2774),
    [anon_sym_static] = ACTIONS(2774),
    [anon_sym_auto] = ACTIONS(2774),
    [anon_sym_register] = ACTIONS(2774),
    [anon_sym_inline] = ACTIONS(2774),
    [anon_sym___inline] = ACTIONS(2774),
    [anon_sym___inline__] = ACTIONS(2774),
    [anon_sym___forceinline] = ACTIONS(2774),
    [anon_sym_thread_local] = ACTIONS(2774),
    [anon_sym___thread] = ACTIONS(2774),
    [anon_sym_CG_EXTERN] = ACTIONS(2774),
    [anon_sym_CG_INLINE] = ACTIONS(2774),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2774),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2774),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2774),
    [anon_sym_IBOutlet] = ACTIONS(2774),
    [anon_sym_IBInspectable] = ACTIONS(2774),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2774),
    [anon_sym_NS_INLINE] = ACTIONS(2774),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2774),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2774),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2774),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2774),
    [anon_sym_const] = ACTIONS(2774),
    [anon_sym_constexpr] = ACTIONS(2774),
    [anon_sym_volatile] = ACTIONS(2774),
    [anon_sym_restrict] = ACTIONS(2774),
    [anon_sym___restrict__] = ACTIONS(2774),
    [anon_sym__Atomic] = ACTIONS(2774),
    [anon_sym__Noreturn] = ACTIONS(2774),
    [anon_sym__Nonnull] = ACTIONS(2774),
    [anon_sym_nullable] = ACTIONS(2774),
    [anon_sym__Complex] = ACTIONS(2774),
    [anon_sym__Nullable] = ACTIONS(2774),
    [anon_sym__Nullable_result] = ACTIONS(2774),
    [anon_sym__Null_unspecified] = ACTIONS(2774),
    [anon_sym___autoreleasing] = ACTIONS(2774),
    [anon_sym___block] = ACTIONS(2774),
    [anon_sym___bridge] = ACTIONS(2774),
    [anon_sym___bridge_retained] = ACTIONS(2774),
    [anon_sym___bridge_transfer] = ACTIONS(2774),
    [anon_sym___complex] = ACTIONS(2774),
    [anon_sym___const] = ACTIONS(2774),
    [anon_sym___imag] = ACTIONS(2774),
    [anon_sym___kindof] = ACTIONS(2774),
    [anon_sym___nonnull] = ACTIONS(2774),
    [anon_sym___nullable] = ACTIONS(2774),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2774),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2774),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2774),
    [anon_sym___real] = ACTIONS(2774),
    [anon_sym___strong] = ACTIONS(2774),
    [anon_sym___unsafe_unretained] = ACTIONS(2774),
    [anon_sym___unused] = ACTIONS(2774),
    [anon_sym___weak] = ACTIONS(2774),
    [anon_sym_alignas] = ACTIONS(2774),
    [anon_sym__Alignas] = ACTIONS(2774),
    [sym_primitive_type] = ACTIONS(2774),
    [anon_sym_enum] = ACTIONS(2774),
    [anon_sym_struct] = ACTIONS(2774),
    [anon_sym_union] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2774),
    [anon_sym___typeof] = ACTIONS(2774),
    [anon_sym_typeof] = ACTIONS(2774),
    [aux_sym_preproc_undef_token1] = ACTIONS(2774),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2774),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2774),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2774),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2774),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2774),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2774),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2774),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2774),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2774),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_API_AVAILABLE] = ACTIONS(2774),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_API_DEPRECATED] = ACTIONS(2774),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2774),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2774),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2774),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2774),
    [anon_sym___deprecated_msg] = ACTIONS(2774),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2774),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2774),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2774),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2774),
    [anon_sym_ATend] = ACTIONS(2776),
    [anon_sym_AToptional] = ACTIONS(2776),
    [anon_sym_ATrequired] = ACTIONS(2776),
    [anon_sym_ATsynthesize] = ACTIONS(2776),
    [anon_sym_ATdynamic] = ACTIONS(2776),
    [anon_sym_ATproperty] = ACTIONS(2776),
    [anon_sym_BOOL] = ACTIONS(2774),
    [anon_sym_IMP] = ACTIONS(2774),
    [anon_sym_SEL] = ACTIONS(2774),
    [anon_sym_Class] = ACTIONS(2774),
    [anon_sym_id] = ACTIONS(2774),
    [anon_sym_ATdefs] = ACTIONS(2776),
  },
  [2010] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4816),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(3044),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5124),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2011] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1797),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5126),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2012] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1797),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5128),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2013] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1821),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5130),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2014] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1821),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5132),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2015] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1814),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5134),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2016] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1814),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5136),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2017] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1793),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5138),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2018] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1815),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5140),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2019] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1822),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5142),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2020] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1827),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5144),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2021] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1818),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5146),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2022] = {
    [sym_identifier] = ACTIONS(2662),
    [aux_sym_preproc_def_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2662),
    [sym_preproc_directive] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym___extension__] = ACTIONS(2662),
    [anon_sym_typedef] = ACTIONS(2662),
    [anon_sym_extern] = ACTIONS(2662),
    [anon_sym___attribute__] = ACTIONS(2662),
    [anon_sym___attribute] = ACTIONS(2662),
    [anon_sym_noreturn] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym___declspec] = ACTIONS(2662),
    [anon_sym___cdecl] = ACTIONS(2662),
    [anon_sym___clrcall] = ACTIONS(2662),
    [anon_sym___stdcall] = ACTIONS(2662),
    [anon_sym___fastcall] = ACTIONS(2662),
    [anon_sym___thiscall] = ACTIONS(2662),
    [anon_sym___vectorcall] = ACTIONS(2662),
    [anon_sym_RBRACE] = ACTIONS(2664),
    [anon_sym_signed] = ACTIONS(2662),
    [anon_sym_unsigned] = ACTIONS(2662),
    [anon_sym_long] = ACTIONS(2662),
    [anon_sym_short] = ACTIONS(2662),
    [anon_sym_static] = ACTIONS(2662),
    [anon_sym_auto] = ACTIONS(2662),
    [anon_sym_register] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym___inline] = ACTIONS(2662),
    [anon_sym___inline__] = ACTIONS(2662),
    [anon_sym___forceinline] = ACTIONS(2662),
    [anon_sym_thread_local] = ACTIONS(2662),
    [anon_sym___thread] = ACTIONS(2662),
    [anon_sym_CG_EXTERN] = ACTIONS(2662),
    [anon_sym_CG_INLINE] = ACTIONS(2662),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2662),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2662),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2662),
    [anon_sym_IBOutlet] = ACTIONS(2662),
    [anon_sym_IBInspectable] = ACTIONS(2662),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2662),
    [anon_sym_NS_INLINE] = ACTIONS(2662),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2662),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2662),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2662),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_constexpr] = ACTIONS(2662),
    [anon_sym_volatile] = ACTIONS(2662),
    [anon_sym_restrict] = ACTIONS(2662),
    [anon_sym___restrict__] = ACTIONS(2662),
    [anon_sym__Atomic] = ACTIONS(2662),
    [anon_sym__Noreturn] = ACTIONS(2662),
    [anon_sym__Nonnull] = ACTIONS(2662),
    [anon_sym_nullable] = ACTIONS(2662),
    [anon_sym__Complex] = ACTIONS(2662),
    [anon_sym__Nullable] = ACTIONS(2662),
    [anon_sym__Nullable_result] = ACTIONS(2662),
    [anon_sym__Null_unspecified] = ACTIONS(2662),
    [anon_sym___autoreleasing] = ACTIONS(2662),
    [anon_sym___block] = ACTIONS(2662),
    [anon_sym___bridge] = ACTIONS(2662),
    [anon_sym___bridge_retained] = ACTIONS(2662),
    [anon_sym___bridge_transfer] = ACTIONS(2662),
    [anon_sym___complex] = ACTIONS(2662),
    [anon_sym___const] = ACTIONS(2662),
    [anon_sym___imag] = ACTIONS(2662),
    [anon_sym___kindof] = ACTIONS(2662),
    [anon_sym___nonnull] = ACTIONS(2662),
    [anon_sym___nullable] = ACTIONS(2662),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2662),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2662),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2662),
    [anon_sym___real] = ACTIONS(2662),
    [anon_sym___strong] = ACTIONS(2662),
    [anon_sym___unsafe_unretained] = ACTIONS(2662),
    [anon_sym___unused] = ACTIONS(2662),
    [anon_sym___weak] = ACTIONS(2662),
    [anon_sym_alignas] = ACTIONS(2662),
    [anon_sym__Alignas] = ACTIONS(2662),
    [sym_primitive_type] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_struct] = ACTIONS(2662),
    [anon_sym_union] = ACTIONS(2662),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2662),
    [anon_sym___typeof] = ACTIONS(2662),
    [anon_sym_typeof] = ACTIONS(2662),
    [aux_sym_preproc_undef_token1] = ACTIONS(2662),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2662),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2662),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2662),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2662),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2662),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2662),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2662),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2662),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2662),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_API_AVAILABLE] = ACTIONS(2662),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_API_DEPRECATED] = ACTIONS(2662),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2662),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2662),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2662),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2662),
    [anon_sym___deprecated_msg] = ACTIONS(2662),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2662),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2662),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2662),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2662),
    [anon_sym_ATend] = ACTIONS(2664),
    [anon_sym_AToptional] = ACTIONS(2664),
    [anon_sym_ATrequired] = ACTIONS(2664),
    [anon_sym_ATsynthesize] = ACTIONS(2664),
    [anon_sym_ATdynamic] = ACTIONS(2664),
    [anon_sym_ATproperty] = ACTIONS(2664),
    [anon_sym_BOOL] = ACTIONS(2662),
    [anon_sym_IMP] = ACTIONS(2662),
    [anon_sym_SEL] = ACTIONS(2662),
    [anon_sym_Class] = ACTIONS(2662),
    [anon_sym_id] = ACTIONS(2662),
    [anon_sym_ATdefs] = ACTIONS(2664),
  },
  [2023] = {
    [sym_identifier] = ACTIONS(4200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4202),
    [anon_sym_COMMA] = ACTIONS(4202),
    [anon_sym_RPAREN] = ACTIONS(4202),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4202),
    [anon_sym_LPAREN2] = ACTIONS(4202),
    [anon_sym_DASH] = ACTIONS(4200),
    [anon_sym_PLUS] = ACTIONS(4200),
    [anon_sym_STAR] = ACTIONS(4202),
    [anon_sym_SLASH] = ACTIONS(4200),
    [anon_sym_PERCENT] = ACTIONS(4202),
    [anon_sym_PIPE_PIPE] = ACTIONS(4202),
    [anon_sym_AMP_AMP] = ACTIONS(4202),
    [anon_sym_PIPE] = ACTIONS(4200),
    [anon_sym_CARET] = ACTIONS(4202),
    [anon_sym_AMP] = ACTIONS(4200),
    [anon_sym_EQ_EQ] = ACTIONS(4202),
    [anon_sym_BANG_EQ] = ACTIONS(4202),
    [anon_sym_GT] = ACTIONS(4200),
    [anon_sym_GT_EQ] = ACTIONS(4202),
    [anon_sym_LT_EQ] = ACTIONS(4202),
    [anon_sym_LT] = ACTIONS(4200),
    [anon_sym_LT_LT] = ACTIONS(4202),
    [anon_sym_GT_GT] = ACTIONS(4202),
    [anon_sym_SEMI] = ACTIONS(4202),
    [anon_sym___extension__] = ACTIONS(4200),
    [anon_sym_extern] = ACTIONS(4200),
    [anon_sym___attribute__] = ACTIONS(4200),
    [anon_sym___attribute] = ACTIONS(4200),
    [anon_sym_noreturn] = ACTIONS(4200),
    [anon_sym_LBRACK] = ACTIONS(4202),
    [anon_sym_RBRACK] = ACTIONS(4202),
    [anon_sym___declspec] = ACTIONS(4200),
    [anon_sym_RBRACE] = ACTIONS(4202),
    [anon_sym_static] = ACTIONS(4200),
    [anon_sym_auto] = ACTIONS(4200),
    [anon_sym_register] = ACTIONS(4200),
    [anon_sym_inline] = ACTIONS(4200),
    [anon_sym___inline] = ACTIONS(4200),
    [anon_sym___inline__] = ACTIONS(4200),
    [anon_sym___forceinline] = ACTIONS(4200),
    [anon_sym_thread_local] = ACTIONS(4200),
    [anon_sym___thread] = ACTIONS(4200),
    [anon_sym_CG_EXTERN] = ACTIONS(4200),
    [anon_sym_CG_INLINE] = ACTIONS(4200),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4200),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4200),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4200),
    [anon_sym_IBOutlet] = ACTIONS(4200),
    [anon_sym_IBInspectable] = ACTIONS(4200),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4200),
    [anon_sym_NS_INLINE] = ACTIONS(4200),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4200),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4200),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4200),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4200),
    [anon_sym_const] = ACTIONS(4200),
    [anon_sym_constexpr] = ACTIONS(4200),
    [anon_sym_volatile] = ACTIONS(4200),
    [anon_sym_restrict] = ACTIONS(4200),
    [anon_sym___restrict__] = ACTIONS(4200),
    [anon_sym__Atomic] = ACTIONS(4200),
    [anon_sym__Noreturn] = ACTIONS(4200),
    [anon_sym__Nonnull] = ACTIONS(4200),
    [anon_sym_nullable] = ACTIONS(4200),
    [anon_sym__Complex] = ACTIONS(4200),
    [anon_sym__Nullable] = ACTIONS(4200),
    [anon_sym__Nullable_result] = ACTIONS(4200),
    [anon_sym__Null_unspecified] = ACTIONS(4200),
    [anon_sym___autoreleasing] = ACTIONS(4200),
    [anon_sym___block] = ACTIONS(4200),
    [anon_sym___bridge] = ACTIONS(4200),
    [anon_sym___bridge_retained] = ACTIONS(4200),
    [anon_sym___bridge_transfer] = ACTIONS(4200),
    [anon_sym___complex] = ACTIONS(4200),
    [anon_sym___const] = ACTIONS(4200),
    [anon_sym___imag] = ACTIONS(4200),
    [anon_sym___kindof] = ACTIONS(4200),
    [anon_sym___nonnull] = ACTIONS(4200),
    [anon_sym___nullable] = ACTIONS(4200),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4200),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4200),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4200),
    [anon_sym___real] = ACTIONS(4200),
    [anon_sym___strong] = ACTIONS(4200),
    [anon_sym___unsafe_unretained] = ACTIONS(4200),
    [anon_sym___unused] = ACTIONS(4200),
    [anon_sym___weak] = ACTIONS(4200),
    [anon_sym_alignas] = ACTIONS(4200),
    [anon_sym__Alignas] = ACTIONS(4200),
    [anon_sym_COLON] = ACTIONS(4202),
    [anon_sym_QMARK] = ACTIONS(4202),
    [anon_sym_DASH_DASH] = ACTIONS(4202),
    [anon_sym_PLUS_PLUS] = ACTIONS(4202),
    [anon_sym_DOT] = ACTIONS(4200),
    [anon_sym_DASH_GT] = ACTIONS(4202),
    [anon_sym_AT] = ACTIONS(4202),
    [anon_sym_DQUOTE] = ACTIONS(4202),
    [anon_sym_L_DQUOTE] = ACTIONS(4202),
    [anon_sym_u_DQUOTE] = ACTIONS(4202),
    [anon_sym_U_DQUOTE] = ACTIONS(4202),
    [anon_sym_u8_DQUOTE] = ACTIONS(4202),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4200),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4200),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4200),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4200),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4200),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4200),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4200),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4200),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4200),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4200),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4200),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4200),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4200),
    [anon_sym_API_AVAILABLE] = ACTIONS(4200),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4200),
    [anon_sym_API_DEPRECATED] = ACTIONS(4200),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4200),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4200),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4200),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4200),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4200),
    [anon_sym___deprecated_msg] = ACTIONS(4200),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4200),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4200),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4200),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4200),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4200),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4200),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4200),
  },
  [2024] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1802),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5148),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2025] = {
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_DASH] = ACTIONS(2578),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym___attribute] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_RBRACE] = ACTIONS(2578),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_auto] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_CG_EXTERN] = ACTIONS(2576),
    [anon_sym_CG_INLINE] = ACTIONS(2576),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2576),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2576),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2576),
    [anon_sym_IBOutlet] = ACTIONS(2576),
    [anon_sym_IBInspectable] = ACTIONS(2576),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2576),
    [anon_sym_NS_INLINE] = ACTIONS(2576),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2576),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2576),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2576),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym__Nonnull] = ACTIONS(2576),
    [anon_sym_nullable] = ACTIONS(2576),
    [anon_sym__Complex] = ACTIONS(2576),
    [anon_sym__Nullable] = ACTIONS(2576),
    [anon_sym__Nullable_result] = ACTIONS(2576),
    [anon_sym__Null_unspecified] = ACTIONS(2576),
    [anon_sym___autoreleasing] = ACTIONS(2576),
    [anon_sym___block] = ACTIONS(2576),
    [anon_sym___bridge] = ACTIONS(2576),
    [anon_sym___bridge_retained] = ACTIONS(2576),
    [anon_sym___bridge_transfer] = ACTIONS(2576),
    [anon_sym___complex] = ACTIONS(2576),
    [anon_sym___const] = ACTIONS(2576),
    [anon_sym___imag] = ACTIONS(2576),
    [anon_sym___kindof] = ACTIONS(2576),
    [anon_sym___nonnull] = ACTIONS(2576),
    [anon_sym___nullable] = ACTIONS(2576),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2576),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2576),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2576),
    [anon_sym___real] = ACTIONS(2576),
    [anon_sym___strong] = ACTIONS(2576),
    [anon_sym___unsafe_unretained] = ACTIONS(2576),
    [anon_sym___unused] = ACTIONS(2576),
    [anon_sym___weak] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2576),
    [anon_sym___typeof] = ACTIONS(2576),
    [anon_sym_typeof] = ACTIONS(2576),
    [aux_sym_preproc_undef_token1] = ACTIONS(2576),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2576),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2576),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2576),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2576),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2576),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2576),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2576),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2576),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2576),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_API_AVAILABLE] = ACTIONS(2576),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_API_DEPRECATED] = ACTIONS(2576),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2576),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2576),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2576),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2576),
    [anon_sym___deprecated_msg] = ACTIONS(2576),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2576),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2576),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2576),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2576),
    [anon_sym_ATend] = ACTIONS(2578),
    [anon_sym_AToptional] = ACTIONS(2578),
    [anon_sym_ATrequired] = ACTIONS(2578),
    [anon_sym_ATsynthesize] = ACTIONS(2578),
    [anon_sym_ATdynamic] = ACTIONS(2578),
    [anon_sym_ATproperty] = ACTIONS(2578),
    [anon_sym_BOOL] = ACTIONS(2576),
    [anon_sym_IMP] = ACTIONS(2576),
    [anon_sym_SEL] = ACTIONS(2576),
    [anon_sym_Class] = ACTIONS(2576),
    [anon_sym_id] = ACTIONS(2576),
    [anon_sym_ATdefs] = ACTIONS(2578),
  },
  [2026] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4816),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(3048),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5150),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2027] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4816),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(3038),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5152),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2028] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(5154),
    [anon_sym_ATinterface] = ACTIONS(5156),
    [anon_sym_ATimplementation] = ACTIONS(5158),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2029] = {
    [sym_compound_statement] = STATE(5584),
    [sym_type_qualifier] = STATE(3332),
    [sym_alignas_qualifier] = STATE(4156),
    [sym_expression] = STATE(4411),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_objc_bridge] = STATE(5956),
    [sym_typeof_specifier] = STATE(5584),
    [sym_availability] = STATE(5956),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5160),
    [anon_sym_RPAREN] = ACTIONS(5162),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5164),
    [anon_sym_noreturn] = ACTIONS(5166),
    [anon_sym_nothrow] = ACTIONS(5168),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(5170),
    [anon_sym_constexpr] = ACTIONS(5172),
    [anon_sym_volatile] = ACTIONS(5172),
    [anon_sym_restrict] = ACTIONS(5172),
    [anon_sym___restrict__] = ACTIONS(5172),
    [anon_sym__Atomic] = ACTIONS(5172),
    [anon_sym__Noreturn] = ACTIONS(5172),
    [anon_sym__Nonnull] = ACTIONS(5172),
    [anon_sym_nullable] = ACTIONS(5172),
    [anon_sym__Complex] = ACTIONS(5172),
    [anon_sym__Nullable] = ACTIONS(5172),
    [anon_sym__Nullable_result] = ACTIONS(5172),
    [anon_sym__Null_unspecified] = ACTIONS(5172),
    [anon_sym___autoreleasing] = ACTIONS(5172),
    [anon_sym___block] = ACTIONS(5172),
    [anon_sym___bridge] = ACTIONS(5172),
    [anon_sym___bridge_retained] = ACTIONS(5172),
    [anon_sym___bridge_transfer] = ACTIONS(5172),
    [anon_sym___complex] = ACTIONS(5172),
    [anon_sym___const] = ACTIONS(5172),
    [anon_sym___imag] = ACTIONS(5174),
    [anon_sym___kindof] = ACTIONS(5172),
    [anon_sym___nonnull] = ACTIONS(5172),
    [anon_sym___nullable] = ACTIONS(5172),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5172),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5172),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5172),
    [anon_sym___real] = ACTIONS(5174),
    [anon_sym___strong] = ACTIONS(5172),
    [anon_sym___unsafe_unretained] = ACTIONS(5172),
    [anon_sym___unused] = ACTIONS(5172),
    [anon_sym___weak] = ACTIONS(5172),
    [anon_sym_alignas] = ACTIONS(5176),
    [anon_sym__Alignas] = ACTIONS(5176),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_objc_bridge_related] = ACTIONS(5178),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_availability] = ACTIONS(5180),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2030] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1812),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5182),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2031] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4816),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(3030),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5184),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2032] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1818),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5186),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2033] = {
    [sym_identifier] = ACTIONS(5188),
    [aux_sym_preproc_def_token1] = ACTIONS(5188),
    [aux_sym_preproc_if_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5188),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5188),
    [sym_preproc_directive] = ACTIONS(5188),
    [anon_sym_LPAREN2] = ACTIONS(5190),
    [anon_sym_DASH] = ACTIONS(5190),
    [anon_sym_PLUS] = ACTIONS(5190),
    [anon_sym_LT] = ACTIONS(5190),
    [anon_sym_SEMI] = ACTIONS(5192),
    [anon_sym___extension__] = ACTIONS(5188),
    [anon_sym_typedef] = ACTIONS(5188),
    [anon_sym_extern] = ACTIONS(5188),
    [anon_sym___attribute__] = ACTIONS(5188),
    [anon_sym___attribute] = ACTIONS(5188),
    [anon_sym_noreturn] = ACTIONS(5188),
    [anon_sym_LBRACK] = ACTIONS(5190),
    [anon_sym___declspec] = ACTIONS(5188),
    [anon_sym___cdecl] = ACTIONS(5188),
    [anon_sym___clrcall] = ACTIONS(5188),
    [anon_sym___stdcall] = ACTIONS(5188),
    [anon_sym___fastcall] = ACTIONS(5188),
    [anon_sym___thiscall] = ACTIONS(5188),
    [anon_sym___vectorcall] = ACTIONS(5188),
    [anon_sym_LBRACE] = ACTIONS(5190),
    [anon_sym_signed] = ACTIONS(5188),
    [anon_sym_unsigned] = ACTIONS(5188),
    [anon_sym_long] = ACTIONS(5188),
    [anon_sym_short] = ACTIONS(5188),
    [anon_sym_static] = ACTIONS(5188),
    [anon_sym_auto] = ACTIONS(5188),
    [anon_sym_register] = ACTIONS(5188),
    [anon_sym_inline] = ACTIONS(5188),
    [anon_sym___inline] = ACTIONS(5188),
    [anon_sym___inline__] = ACTIONS(5188),
    [anon_sym___forceinline] = ACTIONS(5188),
    [anon_sym_thread_local] = ACTIONS(5188),
    [anon_sym___thread] = ACTIONS(5188),
    [anon_sym_CG_EXTERN] = ACTIONS(5188),
    [anon_sym_CG_INLINE] = ACTIONS(5188),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5188),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5188),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5188),
    [anon_sym_IBOutlet] = ACTIONS(5188),
    [anon_sym_IBInspectable] = ACTIONS(5188),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5188),
    [anon_sym_NS_INLINE] = ACTIONS(5188),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5188),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5188),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5188),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5188),
    [anon_sym_const] = ACTIONS(5188),
    [anon_sym_constexpr] = ACTIONS(5188),
    [anon_sym_volatile] = ACTIONS(5188),
    [anon_sym_restrict] = ACTIONS(5188),
    [anon_sym___restrict__] = ACTIONS(5188),
    [anon_sym__Atomic] = ACTIONS(5188),
    [anon_sym__Noreturn] = ACTIONS(5188),
    [anon_sym__Nonnull] = ACTIONS(5188),
    [anon_sym_nullable] = ACTIONS(5188),
    [anon_sym__Complex] = ACTIONS(5188),
    [anon_sym__Nullable] = ACTIONS(5188),
    [anon_sym__Nullable_result] = ACTIONS(5188),
    [anon_sym__Null_unspecified] = ACTIONS(5188),
    [anon_sym___autoreleasing] = ACTIONS(5188),
    [anon_sym___block] = ACTIONS(5188),
    [anon_sym___bridge] = ACTIONS(5188),
    [anon_sym___bridge_retained] = ACTIONS(5188),
    [anon_sym___bridge_transfer] = ACTIONS(5188),
    [anon_sym___complex] = ACTIONS(5188),
    [anon_sym___const] = ACTIONS(5188),
    [anon_sym___imag] = ACTIONS(5188),
    [anon_sym___kindof] = ACTIONS(5188),
    [anon_sym___nonnull] = ACTIONS(5188),
    [anon_sym___nullable] = ACTIONS(5188),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5188),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5188),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5188),
    [anon_sym___real] = ACTIONS(5188),
    [anon_sym___strong] = ACTIONS(5188),
    [anon_sym___unsafe_unretained] = ACTIONS(5188),
    [anon_sym___unused] = ACTIONS(5188),
    [anon_sym___weak] = ACTIONS(5188),
    [anon_sym_alignas] = ACTIONS(5188),
    [anon_sym__Alignas] = ACTIONS(5188),
    [sym_primitive_type] = ACTIONS(5188),
    [anon_sym_enum] = ACTIONS(5188),
    [anon_sym_COLON] = ACTIONS(5190),
    [anon_sym_struct] = ACTIONS(5188),
    [anon_sym_union] = ACTIONS(5188),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5188),
    [anon_sym___typeof] = ACTIONS(5188),
    [anon_sym_typeof] = ACTIONS(5188),
    [aux_sym_preproc_undef_token1] = ACTIONS(5188),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5188),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5188),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5188),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5188),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5188),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5188),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5188),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5188),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5188),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5188),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5188),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5188),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5188),
    [anon_sym_API_AVAILABLE] = ACTIONS(5188),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5188),
    [anon_sym_API_DEPRECATED] = ACTIONS(5188),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5188),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5188),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5188),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5188),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5188),
    [anon_sym___deprecated_msg] = ACTIONS(5188),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5188),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5188),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5188),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5188),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5188),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5188),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5188),
    [anon_sym_ATend] = ACTIONS(5190),
    [anon_sym_ATsynthesize] = ACTIONS(5190),
    [anon_sym_ATdynamic] = ACTIONS(5190),
    [anon_sym_BOOL] = ACTIONS(5188),
    [anon_sym_IMP] = ACTIONS(5188),
    [anon_sym_SEL] = ACTIONS(5188),
    [anon_sym_Class] = ACTIONS(5188),
    [anon_sym_id] = ACTIONS(5188),
  },
  [2034] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1794),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5194),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2035] = {
    [sym_identifier] = ACTIONS(4244),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4246),
    [anon_sym_COMMA] = ACTIONS(4246),
    [anon_sym_RPAREN] = ACTIONS(4246),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4246),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4246),
    [anon_sym_LPAREN2] = ACTIONS(4246),
    [anon_sym_DASH] = ACTIONS(4244),
    [anon_sym_PLUS] = ACTIONS(4244),
    [anon_sym_STAR] = ACTIONS(4246),
    [anon_sym_SLASH] = ACTIONS(4244),
    [anon_sym_PERCENT] = ACTIONS(4246),
    [anon_sym_PIPE_PIPE] = ACTIONS(4246),
    [anon_sym_AMP_AMP] = ACTIONS(4246),
    [anon_sym_PIPE] = ACTIONS(4244),
    [anon_sym_CARET] = ACTIONS(4246),
    [anon_sym_AMP] = ACTIONS(4244),
    [anon_sym_EQ_EQ] = ACTIONS(4246),
    [anon_sym_BANG_EQ] = ACTIONS(4246),
    [anon_sym_GT] = ACTIONS(4244),
    [anon_sym_GT_EQ] = ACTIONS(4246),
    [anon_sym_LT_EQ] = ACTIONS(4246),
    [anon_sym_LT] = ACTIONS(4244),
    [anon_sym_LT_LT] = ACTIONS(4246),
    [anon_sym_GT_GT] = ACTIONS(4246),
    [anon_sym_SEMI] = ACTIONS(4246),
    [anon_sym___extension__] = ACTIONS(4244),
    [anon_sym_extern] = ACTIONS(4244),
    [anon_sym___attribute__] = ACTIONS(4244),
    [anon_sym___attribute] = ACTIONS(4244),
    [anon_sym_noreturn] = ACTIONS(4244),
    [anon_sym_LBRACK] = ACTIONS(4246),
    [anon_sym_RBRACK] = ACTIONS(4246),
    [anon_sym___declspec] = ACTIONS(4244),
    [anon_sym_RBRACE] = ACTIONS(4246),
    [anon_sym_static] = ACTIONS(4244),
    [anon_sym_auto] = ACTIONS(4244),
    [anon_sym_register] = ACTIONS(4244),
    [anon_sym_inline] = ACTIONS(4244),
    [anon_sym___inline] = ACTIONS(4244),
    [anon_sym___inline__] = ACTIONS(4244),
    [anon_sym___forceinline] = ACTIONS(4244),
    [anon_sym_thread_local] = ACTIONS(4244),
    [anon_sym___thread] = ACTIONS(4244),
    [anon_sym_CG_EXTERN] = ACTIONS(4244),
    [anon_sym_CG_INLINE] = ACTIONS(4244),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4244),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4244),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4244),
    [anon_sym_IBOutlet] = ACTIONS(4244),
    [anon_sym_IBInspectable] = ACTIONS(4244),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4244),
    [anon_sym_NS_INLINE] = ACTIONS(4244),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4244),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4244),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4244),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4244),
    [anon_sym_const] = ACTIONS(4244),
    [anon_sym_constexpr] = ACTIONS(4244),
    [anon_sym_volatile] = ACTIONS(4244),
    [anon_sym_restrict] = ACTIONS(4244),
    [anon_sym___restrict__] = ACTIONS(4244),
    [anon_sym__Atomic] = ACTIONS(4244),
    [anon_sym__Noreturn] = ACTIONS(4244),
    [anon_sym__Nonnull] = ACTIONS(4244),
    [anon_sym_nullable] = ACTIONS(4244),
    [anon_sym__Complex] = ACTIONS(4244),
    [anon_sym__Nullable] = ACTIONS(4244),
    [anon_sym__Nullable_result] = ACTIONS(4244),
    [anon_sym__Null_unspecified] = ACTIONS(4244),
    [anon_sym___autoreleasing] = ACTIONS(4244),
    [anon_sym___block] = ACTIONS(4244),
    [anon_sym___bridge] = ACTIONS(4244),
    [anon_sym___bridge_retained] = ACTIONS(4244),
    [anon_sym___bridge_transfer] = ACTIONS(4244),
    [anon_sym___complex] = ACTIONS(4244),
    [anon_sym___const] = ACTIONS(4244),
    [anon_sym___imag] = ACTIONS(4244),
    [anon_sym___kindof] = ACTIONS(4244),
    [anon_sym___nonnull] = ACTIONS(4244),
    [anon_sym___nullable] = ACTIONS(4244),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4244),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4244),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4244),
    [anon_sym___real] = ACTIONS(4244),
    [anon_sym___strong] = ACTIONS(4244),
    [anon_sym___unsafe_unretained] = ACTIONS(4244),
    [anon_sym___unused] = ACTIONS(4244),
    [anon_sym___weak] = ACTIONS(4244),
    [anon_sym_alignas] = ACTIONS(4244),
    [anon_sym__Alignas] = ACTIONS(4244),
    [anon_sym_COLON] = ACTIONS(4246),
    [anon_sym_QMARK] = ACTIONS(4246),
    [anon_sym_DASH_DASH] = ACTIONS(4246),
    [anon_sym_PLUS_PLUS] = ACTIONS(4246),
    [anon_sym_DOT] = ACTIONS(4244),
    [anon_sym_DASH_GT] = ACTIONS(4246),
    [anon_sym_AT] = ACTIONS(4246),
    [anon_sym_DQUOTE] = ACTIONS(4246),
    [anon_sym_L_DQUOTE] = ACTIONS(4246),
    [anon_sym_u_DQUOTE] = ACTIONS(4246),
    [anon_sym_U_DQUOTE] = ACTIONS(4246),
    [anon_sym_u8_DQUOTE] = ACTIONS(4246),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4244),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4244),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4244),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4244),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4244),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4244),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4244),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4244),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4244),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4244),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4244),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4244),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4244),
    [anon_sym_API_AVAILABLE] = ACTIONS(4244),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4244),
    [anon_sym_API_DEPRECATED] = ACTIONS(4244),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4244),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4244),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4244),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4244),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4244),
    [anon_sym___deprecated_msg] = ACTIONS(4244),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4244),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4244),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4244),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4244),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4244),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4244),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4244),
  },
  [2036] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4816),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(3034),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5196),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2037] = {
    [sym_identifier] = ACTIONS(4276),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4279),
    [anon_sym_COMMA] = ACTIONS(4279),
    [anon_sym_RPAREN] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4279),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4279),
    [anon_sym_LPAREN2] = ACTIONS(4279),
    [anon_sym_DASH] = ACTIONS(4276),
    [anon_sym_PLUS] = ACTIONS(4276),
    [anon_sym_STAR] = ACTIONS(4279),
    [anon_sym_SLASH] = ACTIONS(4276),
    [anon_sym_PERCENT] = ACTIONS(4279),
    [anon_sym_PIPE_PIPE] = ACTIONS(4279),
    [anon_sym_AMP_AMP] = ACTIONS(4279),
    [anon_sym_PIPE] = ACTIONS(4276),
    [anon_sym_CARET] = ACTIONS(4279),
    [anon_sym_AMP] = ACTIONS(4276),
    [anon_sym_EQ_EQ] = ACTIONS(4279),
    [anon_sym_BANG_EQ] = ACTIONS(4279),
    [anon_sym_GT] = ACTIONS(4276),
    [anon_sym_GT_EQ] = ACTIONS(4279),
    [anon_sym_LT_EQ] = ACTIONS(4279),
    [anon_sym_LT] = ACTIONS(4276),
    [anon_sym_LT_LT] = ACTIONS(4279),
    [anon_sym_GT_GT] = ACTIONS(4279),
    [anon_sym_SEMI] = ACTIONS(4279),
    [anon_sym___extension__] = ACTIONS(4276),
    [anon_sym_extern] = ACTIONS(4276),
    [anon_sym___attribute__] = ACTIONS(4276),
    [anon_sym___attribute] = ACTIONS(4276),
    [anon_sym_noreturn] = ACTIONS(4276),
    [anon_sym_LBRACK] = ACTIONS(4279),
    [anon_sym_RBRACK] = ACTIONS(4279),
    [anon_sym___declspec] = ACTIONS(4276),
    [anon_sym_RBRACE] = ACTIONS(4279),
    [anon_sym_static] = ACTIONS(4276),
    [anon_sym_auto] = ACTIONS(4276),
    [anon_sym_register] = ACTIONS(4276),
    [anon_sym_inline] = ACTIONS(4276),
    [anon_sym___inline] = ACTIONS(4276),
    [anon_sym___inline__] = ACTIONS(4276),
    [anon_sym___forceinline] = ACTIONS(4276),
    [anon_sym_thread_local] = ACTIONS(4276),
    [anon_sym___thread] = ACTIONS(4276),
    [anon_sym_CG_EXTERN] = ACTIONS(4276),
    [anon_sym_CG_INLINE] = ACTIONS(4276),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4276),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4276),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4276),
    [anon_sym_IBOutlet] = ACTIONS(4276),
    [anon_sym_IBInspectable] = ACTIONS(4276),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4276),
    [anon_sym_NS_INLINE] = ACTIONS(4276),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4276),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4276),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4276),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4276),
    [anon_sym_const] = ACTIONS(4276),
    [anon_sym_constexpr] = ACTIONS(4276),
    [anon_sym_volatile] = ACTIONS(4276),
    [anon_sym_restrict] = ACTIONS(4276),
    [anon_sym___restrict__] = ACTIONS(4276),
    [anon_sym__Atomic] = ACTIONS(4276),
    [anon_sym__Noreturn] = ACTIONS(4276),
    [anon_sym__Nonnull] = ACTIONS(4276),
    [anon_sym_nullable] = ACTIONS(4276),
    [anon_sym__Complex] = ACTIONS(4276),
    [anon_sym__Nullable] = ACTIONS(4276),
    [anon_sym__Nullable_result] = ACTIONS(4276),
    [anon_sym__Null_unspecified] = ACTIONS(4276),
    [anon_sym___autoreleasing] = ACTIONS(4276),
    [anon_sym___block] = ACTIONS(4276),
    [anon_sym___bridge] = ACTIONS(4276),
    [anon_sym___bridge_retained] = ACTIONS(4276),
    [anon_sym___bridge_transfer] = ACTIONS(4276),
    [anon_sym___complex] = ACTIONS(4276),
    [anon_sym___const] = ACTIONS(4276),
    [anon_sym___imag] = ACTIONS(4276),
    [anon_sym___kindof] = ACTIONS(4276),
    [anon_sym___nonnull] = ACTIONS(4276),
    [anon_sym___nullable] = ACTIONS(4276),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4276),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4276),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4276),
    [anon_sym___real] = ACTIONS(4276),
    [anon_sym___strong] = ACTIONS(4276),
    [anon_sym___unsafe_unretained] = ACTIONS(4276),
    [anon_sym___unused] = ACTIONS(4276),
    [anon_sym___weak] = ACTIONS(4276),
    [anon_sym_alignas] = ACTIONS(4276),
    [anon_sym__Alignas] = ACTIONS(4276),
    [anon_sym_COLON] = ACTIONS(4279),
    [anon_sym_QMARK] = ACTIONS(4279),
    [anon_sym_DASH_DASH] = ACTIONS(4279),
    [anon_sym_PLUS_PLUS] = ACTIONS(4279),
    [anon_sym_DOT] = ACTIONS(4276),
    [anon_sym_DASH_GT] = ACTIONS(4279),
    [anon_sym_AT] = ACTIONS(4279),
    [anon_sym_DQUOTE] = ACTIONS(4279),
    [anon_sym_L_DQUOTE] = ACTIONS(4279),
    [anon_sym_u_DQUOTE] = ACTIONS(4279),
    [anon_sym_U_DQUOTE] = ACTIONS(4279),
    [anon_sym_u8_DQUOTE] = ACTIONS(4279),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4276),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4276),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4276),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4276),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4276),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4276),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4276),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4276),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4276),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4276),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4276),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4276),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4276),
    [anon_sym_API_AVAILABLE] = ACTIONS(4276),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4276),
    [anon_sym_API_DEPRECATED] = ACTIONS(4276),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4276),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4276),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4276),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4276),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4276),
    [anon_sym___deprecated_msg] = ACTIONS(4276),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4276),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4276),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4276),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4276),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4276),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4276),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4276),
  },
  [2038] = {
    [sym_identifier] = ACTIONS(4086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4089),
    [anon_sym_COMMA] = ACTIONS(4089),
    [anon_sym_RPAREN] = ACTIONS(4089),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4089),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4089),
    [anon_sym_LPAREN2] = ACTIONS(4089),
    [anon_sym_DASH] = ACTIONS(4086),
    [anon_sym_PLUS] = ACTIONS(4086),
    [anon_sym_STAR] = ACTIONS(4089),
    [anon_sym_SLASH] = ACTIONS(4086),
    [anon_sym_PERCENT] = ACTIONS(4089),
    [anon_sym_PIPE_PIPE] = ACTIONS(4089),
    [anon_sym_AMP_AMP] = ACTIONS(4089),
    [anon_sym_PIPE] = ACTIONS(4086),
    [anon_sym_CARET] = ACTIONS(4089),
    [anon_sym_AMP] = ACTIONS(4086),
    [anon_sym_EQ_EQ] = ACTIONS(4089),
    [anon_sym_BANG_EQ] = ACTIONS(4089),
    [anon_sym_GT] = ACTIONS(4086),
    [anon_sym_GT_EQ] = ACTIONS(4089),
    [anon_sym_LT_EQ] = ACTIONS(4089),
    [anon_sym_LT] = ACTIONS(4086),
    [anon_sym_LT_LT] = ACTIONS(4089),
    [anon_sym_GT_GT] = ACTIONS(4089),
    [anon_sym_SEMI] = ACTIONS(4089),
    [anon_sym___extension__] = ACTIONS(4086),
    [anon_sym_extern] = ACTIONS(4086),
    [anon_sym___attribute__] = ACTIONS(4086),
    [anon_sym___attribute] = ACTIONS(4086),
    [anon_sym_noreturn] = ACTIONS(4086),
    [anon_sym_LBRACK] = ACTIONS(4089),
    [anon_sym_RBRACK] = ACTIONS(4089),
    [anon_sym___declspec] = ACTIONS(4086),
    [anon_sym_RBRACE] = ACTIONS(4089),
    [anon_sym_static] = ACTIONS(4086),
    [anon_sym_auto] = ACTIONS(4086),
    [anon_sym_register] = ACTIONS(4086),
    [anon_sym_inline] = ACTIONS(4086),
    [anon_sym___inline] = ACTIONS(4086),
    [anon_sym___inline__] = ACTIONS(4086),
    [anon_sym___forceinline] = ACTIONS(4086),
    [anon_sym_thread_local] = ACTIONS(4086),
    [anon_sym___thread] = ACTIONS(4086),
    [anon_sym_CG_EXTERN] = ACTIONS(4086),
    [anon_sym_CG_INLINE] = ACTIONS(4086),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4086),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4086),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4086),
    [anon_sym_IBOutlet] = ACTIONS(4086),
    [anon_sym_IBInspectable] = ACTIONS(4086),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4086),
    [anon_sym_NS_INLINE] = ACTIONS(4086),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4086),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4086),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4086),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4086),
    [anon_sym_const] = ACTIONS(4086),
    [anon_sym_constexpr] = ACTIONS(4086),
    [anon_sym_volatile] = ACTIONS(4086),
    [anon_sym_restrict] = ACTIONS(4086),
    [anon_sym___restrict__] = ACTIONS(4086),
    [anon_sym__Atomic] = ACTIONS(4086),
    [anon_sym__Noreturn] = ACTIONS(4086),
    [anon_sym__Nonnull] = ACTIONS(4086),
    [anon_sym_nullable] = ACTIONS(4086),
    [anon_sym__Complex] = ACTIONS(4086),
    [anon_sym__Nullable] = ACTIONS(4086),
    [anon_sym__Nullable_result] = ACTIONS(4086),
    [anon_sym__Null_unspecified] = ACTIONS(4086),
    [anon_sym___autoreleasing] = ACTIONS(4086),
    [anon_sym___block] = ACTIONS(4086),
    [anon_sym___bridge] = ACTIONS(4086),
    [anon_sym___bridge_retained] = ACTIONS(4086),
    [anon_sym___bridge_transfer] = ACTIONS(4086),
    [anon_sym___complex] = ACTIONS(4086),
    [anon_sym___const] = ACTIONS(4086),
    [anon_sym___imag] = ACTIONS(4086),
    [anon_sym___kindof] = ACTIONS(4086),
    [anon_sym___nonnull] = ACTIONS(4086),
    [anon_sym___nullable] = ACTIONS(4086),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4086),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4086),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4086),
    [anon_sym___real] = ACTIONS(4086),
    [anon_sym___strong] = ACTIONS(4086),
    [anon_sym___unsafe_unretained] = ACTIONS(4086),
    [anon_sym___unused] = ACTIONS(4086),
    [anon_sym___weak] = ACTIONS(4086),
    [anon_sym_alignas] = ACTIONS(4086),
    [anon_sym__Alignas] = ACTIONS(4086),
    [anon_sym_COLON] = ACTIONS(4089),
    [anon_sym_QMARK] = ACTIONS(4089),
    [anon_sym_DASH_DASH] = ACTIONS(4089),
    [anon_sym_PLUS_PLUS] = ACTIONS(4089),
    [anon_sym_DOT] = ACTIONS(4086),
    [anon_sym_DASH_GT] = ACTIONS(4089),
    [anon_sym_AT] = ACTIONS(4089),
    [anon_sym_DQUOTE] = ACTIONS(4089),
    [anon_sym_L_DQUOTE] = ACTIONS(4089),
    [anon_sym_u_DQUOTE] = ACTIONS(4089),
    [anon_sym_U_DQUOTE] = ACTIONS(4089),
    [anon_sym_u8_DQUOTE] = ACTIONS(4089),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4086),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4086),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4086),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4086),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4086),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4086),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4086),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4086),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4086),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4086),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4086),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4086),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4086),
    [anon_sym_API_AVAILABLE] = ACTIONS(4086),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4086),
    [anon_sym_API_DEPRECATED] = ACTIONS(4086),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4086),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4086),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4086),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4086),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4086),
    [anon_sym___deprecated_msg] = ACTIONS(4086),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4086),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4086),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4086),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4086),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4086),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4086),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4086),
  },
  [2039] = {
    [sym_identifier] = ACTIONS(4232),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4234),
    [anon_sym_COMMA] = ACTIONS(4234),
    [anon_sym_RPAREN] = ACTIONS(4234),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4234),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4234),
    [anon_sym_LPAREN2] = ACTIONS(4234),
    [anon_sym_DASH] = ACTIONS(4232),
    [anon_sym_PLUS] = ACTIONS(4232),
    [anon_sym_STAR] = ACTIONS(4234),
    [anon_sym_SLASH] = ACTIONS(4232),
    [anon_sym_PERCENT] = ACTIONS(4234),
    [anon_sym_PIPE_PIPE] = ACTIONS(4234),
    [anon_sym_AMP_AMP] = ACTIONS(4234),
    [anon_sym_PIPE] = ACTIONS(4232),
    [anon_sym_CARET] = ACTIONS(4234),
    [anon_sym_AMP] = ACTIONS(4232),
    [anon_sym_EQ_EQ] = ACTIONS(4234),
    [anon_sym_BANG_EQ] = ACTIONS(4234),
    [anon_sym_GT] = ACTIONS(4232),
    [anon_sym_GT_EQ] = ACTIONS(4234),
    [anon_sym_LT_EQ] = ACTIONS(4234),
    [anon_sym_LT] = ACTIONS(4232),
    [anon_sym_LT_LT] = ACTIONS(4234),
    [anon_sym_GT_GT] = ACTIONS(4234),
    [anon_sym_SEMI] = ACTIONS(4234),
    [anon_sym___extension__] = ACTIONS(4232),
    [anon_sym_extern] = ACTIONS(4232),
    [anon_sym___attribute__] = ACTIONS(4232),
    [anon_sym___attribute] = ACTIONS(4232),
    [anon_sym_noreturn] = ACTIONS(4232),
    [anon_sym_LBRACK] = ACTIONS(4234),
    [anon_sym_RBRACK] = ACTIONS(4234),
    [anon_sym___declspec] = ACTIONS(4232),
    [anon_sym_RBRACE] = ACTIONS(4234),
    [anon_sym_static] = ACTIONS(4232),
    [anon_sym_auto] = ACTIONS(4232),
    [anon_sym_register] = ACTIONS(4232),
    [anon_sym_inline] = ACTIONS(4232),
    [anon_sym___inline] = ACTIONS(4232),
    [anon_sym___inline__] = ACTIONS(4232),
    [anon_sym___forceinline] = ACTIONS(4232),
    [anon_sym_thread_local] = ACTIONS(4232),
    [anon_sym___thread] = ACTIONS(4232),
    [anon_sym_CG_EXTERN] = ACTIONS(4232),
    [anon_sym_CG_INLINE] = ACTIONS(4232),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4232),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4232),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4232),
    [anon_sym_IBOutlet] = ACTIONS(4232),
    [anon_sym_IBInspectable] = ACTIONS(4232),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4232),
    [anon_sym_NS_INLINE] = ACTIONS(4232),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4232),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4232),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4232),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4232),
    [anon_sym_const] = ACTIONS(4232),
    [anon_sym_constexpr] = ACTIONS(4232),
    [anon_sym_volatile] = ACTIONS(4232),
    [anon_sym_restrict] = ACTIONS(4232),
    [anon_sym___restrict__] = ACTIONS(4232),
    [anon_sym__Atomic] = ACTIONS(4232),
    [anon_sym__Noreturn] = ACTIONS(4232),
    [anon_sym__Nonnull] = ACTIONS(4232),
    [anon_sym_nullable] = ACTIONS(4232),
    [anon_sym__Complex] = ACTIONS(4232),
    [anon_sym__Nullable] = ACTIONS(4232),
    [anon_sym__Nullable_result] = ACTIONS(4232),
    [anon_sym__Null_unspecified] = ACTIONS(4232),
    [anon_sym___autoreleasing] = ACTIONS(4232),
    [anon_sym___block] = ACTIONS(4232),
    [anon_sym___bridge] = ACTIONS(4232),
    [anon_sym___bridge_retained] = ACTIONS(4232),
    [anon_sym___bridge_transfer] = ACTIONS(4232),
    [anon_sym___complex] = ACTIONS(4232),
    [anon_sym___const] = ACTIONS(4232),
    [anon_sym___imag] = ACTIONS(4232),
    [anon_sym___kindof] = ACTIONS(4232),
    [anon_sym___nonnull] = ACTIONS(4232),
    [anon_sym___nullable] = ACTIONS(4232),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4232),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4232),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4232),
    [anon_sym___real] = ACTIONS(4232),
    [anon_sym___strong] = ACTIONS(4232),
    [anon_sym___unsafe_unretained] = ACTIONS(4232),
    [anon_sym___unused] = ACTIONS(4232),
    [anon_sym___weak] = ACTIONS(4232),
    [anon_sym_alignas] = ACTIONS(4232),
    [anon_sym__Alignas] = ACTIONS(4232),
    [anon_sym_COLON] = ACTIONS(4234),
    [anon_sym_QMARK] = ACTIONS(4234),
    [anon_sym_DASH_DASH] = ACTIONS(4234),
    [anon_sym_PLUS_PLUS] = ACTIONS(4234),
    [anon_sym_DOT] = ACTIONS(4232),
    [anon_sym_DASH_GT] = ACTIONS(4234),
    [anon_sym_AT] = ACTIONS(4234),
    [anon_sym_DQUOTE] = ACTIONS(4234),
    [anon_sym_L_DQUOTE] = ACTIONS(4234),
    [anon_sym_u_DQUOTE] = ACTIONS(4234),
    [anon_sym_U_DQUOTE] = ACTIONS(4234),
    [anon_sym_u8_DQUOTE] = ACTIONS(4234),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4232),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4232),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4232),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4232),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4232),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4232),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4232),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4232),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4232),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4232),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4232),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4232),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4232),
    [anon_sym_API_AVAILABLE] = ACTIONS(4232),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4232),
    [anon_sym_API_DEPRECATED] = ACTIONS(4232),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4232),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4232),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4232),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4232),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4232),
    [anon_sym___deprecated_msg] = ACTIONS(4232),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4232),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4232),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4232),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4232),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4232),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4232),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4232),
  },
  [2040] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1802),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5198),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2041] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4816),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(3037),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5200),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2042] = {
    [sym_identifier] = ACTIONS(5202),
    [aux_sym_preproc_def_token1] = ACTIONS(5202),
    [aux_sym_preproc_if_token1] = ACTIONS(5202),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5202),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5202),
    [sym_preproc_directive] = ACTIONS(5202),
    [anon_sym_LPAREN2] = ACTIONS(5204),
    [anon_sym_DASH] = ACTIONS(5204),
    [anon_sym_PLUS] = ACTIONS(5204),
    [anon_sym_LT] = ACTIONS(5204),
    [anon_sym___extension__] = ACTIONS(5202),
    [anon_sym_typedef] = ACTIONS(5202),
    [anon_sym_extern] = ACTIONS(5202),
    [anon_sym___attribute__] = ACTIONS(5202),
    [anon_sym___attribute] = ACTIONS(5202),
    [anon_sym_noreturn] = ACTIONS(5202),
    [anon_sym_LBRACK] = ACTIONS(5204),
    [anon_sym___declspec] = ACTIONS(5202),
    [anon_sym___cdecl] = ACTIONS(5202),
    [anon_sym___clrcall] = ACTIONS(5202),
    [anon_sym___stdcall] = ACTIONS(5202),
    [anon_sym___fastcall] = ACTIONS(5202),
    [anon_sym___thiscall] = ACTIONS(5202),
    [anon_sym___vectorcall] = ACTIONS(5202),
    [anon_sym_LBRACE] = ACTIONS(5204),
    [anon_sym_signed] = ACTIONS(5202),
    [anon_sym_unsigned] = ACTIONS(5202),
    [anon_sym_long] = ACTIONS(5202),
    [anon_sym_short] = ACTIONS(5202),
    [anon_sym_static] = ACTIONS(5202),
    [anon_sym_auto] = ACTIONS(5202),
    [anon_sym_register] = ACTIONS(5202),
    [anon_sym_inline] = ACTIONS(5202),
    [anon_sym___inline] = ACTIONS(5202),
    [anon_sym___inline__] = ACTIONS(5202),
    [anon_sym___forceinline] = ACTIONS(5202),
    [anon_sym_thread_local] = ACTIONS(5202),
    [anon_sym___thread] = ACTIONS(5202),
    [anon_sym_CG_EXTERN] = ACTIONS(5202),
    [anon_sym_CG_INLINE] = ACTIONS(5202),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5202),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5202),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5202),
    [anon_sym_IBOutlet] = ACTIONS(5202),
    [anon_sym_IBInspectable] = ACTIONS(5202),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5202),
    [anon_sym_NS_INLINE] = ACTIONS(5202),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5202),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5202),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5202),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5202),
    [anon_sym_const] = ACTIONS(5202),
    [anon_sym_constexpr] = ACTIONS(5202),
    [anon_sym_volatile] = ACTIONS(5202),
    [anon_sym_restrict] = ACTIONS(5202),
    [anon_sym___restrict__] = ACTIONS(5202),
    [anon_sym__Atomic] = ACTIONS(5202),
    [anon_sym__Noreturn] = ACTIONS(5202),
    [anon_sym__Nonnull] = ACTIONS(5202),
    [anon_sym_nullable] = ACTIONS(5202),
    [anon_sym__Complex] = ACTIONS(5202),
    [anon_sym__Nullable] = ACTIONS(5202),
    [anon_sym__Nullable_result] = ACTIONS(5202),
    [anon_sym__Null_unspecified] = ACTIONS(5202),
    [anon_sym___autoreleasing] = ACTIONS(5202),
    [anon_sym___block] = ACTIONS(5202),
    [anon_sym___bridge] = ACTIONS(5202),
    [anon_sym___bridge_retained] = ACTIONS(5202),
    [anon_sym___bridge_transfer] = ACTIONS(5202),
    [anon_sym___complex] = ACTIONS(5202),
    [anon_sym___const] = ACTIONS(5202),
    [anon_sym___imag] = ACTIONS(5202),
    [anon_sym___kindof] = ACTIONS(5202),
    [anon_sym___nonnull] = ACTIONS(5202),
    [anon_sym___nullable] = ACTIONS(5202),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5202),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5202),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5202),
    [anon_sym___real] = ACTIONS(5202),
    [anon_sym___strong] = ACTIONS(5202),
    [anon_sym___unsafe_unretained] = ACTIONS(5202),
    [anon_sym___unused] = ACTIONS(5202),
    [anon_sym___weak] = ACTIONS(5202),
    [anon_sym_alignas] = ACTIONS(5202),
    [anon_sym__Alignas] = ACTIONS(5202),
    [sym_primitive_type] = ACTIONS(5202),
    [anon_sym_enum] = ACTIONS(5202),
    [anon_sym_COLON] = ACTIONS(5204),
    [anon_sym_struct] = ACTIONS(5202),
    [anon_sym_union] = ACTIONS(5202),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5202),
    [anon_sym___typeof] = ACTIONS(5202),
    [anon_sym_typeof] = ACTIONS(5202),
    [aux_sym_preproc_undef_token1] = ACTIONS(5202),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5202),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5202),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5202),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5202),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5202),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5202),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5202),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5202),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5202),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5202),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5202),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5202),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5202),
    [anon_sym_API_AVAILABLE] = ACTIONS(5202),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5202),
    [anon_sym_API_DEPRECATED] = ACTIONS(5202),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5202),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5202),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5202),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5202),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5202),
    [anon_sym___deprecated_msg] = ACTIONS(5202),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5202),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5202),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5202),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5202),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5202),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5202),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5202),
    [anon_sym_ATend] = ACTIONS(5204),
    [anon_sym_ATsynthesize] = ACTIONS(5204),
    [anon_sym_ATdynamic] = ACTIONS(5204),
    [anon_sym_ATproperty] = ACTIONS(5204),
    [anon_sym_BOOL] = ACTIONS(5202),
    [anon_sym_IMP] = ACTIONS(5202),
    [anon_sym_SEL] = ACTIONS(5202),
    [anon_sym_Class] = ACTIONS(5202),
    [anon_sym_id] = ACTIONS(5202),
  },
  [2043] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(5206),
    [anon_sym_ATinterface] = ACTIONS(5156),
    [anon_sym_ATimplementation] = ACTIONS(5158),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2044] = {
    [sym_compound_statement] = STATE(5584),
    [sym_type_qualifier] = STATE(3332),
    [sym_alignas_qualifier] = STATE(4156),
    [sym_expression] = STATE(4411),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_objc_bridge] = STATE(5956),
    [sym_typeof_specifier] = STATE(5584),
    [sym_availability] = STATE(5956),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5160),
    [anon_sym_RPAREN] = ACTIONS(5162),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5164),
    [anon_sym_noreturn] = ACTIONS(5208),
    [anon_sym_nothrow] = ACTIONS(5210),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(5170),
    [anon_sym_constexpr] = ACTIONS(5172),
    [anon_sym_volatile] = ACTIONS(5172),
    [anon_sym_restrict] = ACTIONS(5172),
    [anon_sym___restrict__] = ACTIONS(5172),
    [anon_sym__Atomic] = ACTIONS(5172),
    [anon_sym__Noreturn] = ACTIONS(5172),
    [anon_sym__Nonnull] = ACTIONS(5172),
    [anon_sym_nullable] = ACTIONS(5172),
    [anon_sym__Complex] = ACTIONS(5172),
    [anon_sym__Nullable] = ACTIONS(5172),
    [anon_sym__Nullable_result] = ACTIONS(5172),
    [anon_sym__Null_unspecified] = ACTIONS(5172),
    [anon_sym___autoreleasing] = ACTIONS(5172),
    [anon_sym___block] = ACTIONS(5172),
    [anon_sym___bridge] = ACTIONS(5172),
    [anon_sym___bridge_retained] = ACTIONS(5172),
    [anon_sym___bridge_transfer] = ACTIONS(5172),
    [anon_sym___complex] = ACTIONS(5172),
    [anon_sym___const] = ACTIONS(5172),
    [anon_sym___imag] = ACTIONS(5174),
    [anon_sym___kindof] = ACTIONS(5172),
    [anon_sym___nonnull] = ACTIONS(5172),
    [anon_sym___nullable] = ACTIONS(5172),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5172),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5172),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5172),
    [anon_sym___real] = ACTIONS(5174),
    [anon_sym___strong] = ACTIONS(5172),
    [anon_sym___unsafe_unretained] = ACTIONS(5172),
    [anon_sym___unused] = ACTIONS(5172),
    [anon_sym___weak] = ACTIONS(5172),
    [anon_sym_alignas] = ACTIONS(5176),
    [anon_sym__Alignas] = ACTIONS(5176),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_objc_bridge_related] = ACTIONS(5178),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_availability] = ACTIONS(5180),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2045] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(5212),
    [anon_sym_ATinterface] = ACTIONS(5156),
    [anon_sym_ATimplementation] = ACTIONS(5158),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2046] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(5214),
    [anon_sym_ATinterface] = ACTIONS(5156),
    [anon_sym_ATimplementation] = ACTIONS(5158),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2047] = {
    [sym_compound_statement] = STATE(5584),
    [sym_type_qualifier] = STATE(3332),
    [sym_alignas_qualifier] = STATE(4156),
    [sym_expression] = STATE(4411),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_objc_bridge] = STATE(5956),
    [sym_typeof_specifier] = STATE(5584),
    [sym_availability] = STATE(5956),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5160),
    [anon_sym_RPAREN] = ACTIONS(5162),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5164),
    [anon_sym_noreturn] = ACTIONS(5216),
    [anon_sym_nothrow] = ACTIONS(5218),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(5170),
    [anon_sym_constexpr] = ACTIONS(5172),
    [anon_sym_volatile] = ACTIONS(5172),
    [anon_sym_restrict] = ACTIONS(5172),
    [anon_sym___restrict__] = ACTIONS(5172),
    [anon_sym__Atomic] = ACTIONS(5172),
    [anon_sym__Noreturn] = ACTIONS(5172),
    [anon_sym__Nonnull] = ACTIONS(5172),
    [anon_sym_nullable] = ACTIONS(5172),
    [anon_sym__Complex] = ACTIONS(5172),
    [anon_sym__Nullable] = ACTIONS(5172),
    [anon_sym__Nullable_result] = ACTIONS(5172),
    [anon_sym__Null_unspecified] = ACTIONS(5172),
    [anon_sym___autoreleasing] = ACTIONS(5172),
    [anon_sym___block] = ACTIONS(5172),
    [anon_sym___bridge] = ACTIONS(5172),
    [anon_sym___bridge_retained] = ACTIONS(5172),
    [anon_sym___bridge_transfer] = ACTIONS(5172),
    [anon_sym___complex] = ACTIONS(5172),
    [anon_sym___const] = ACTIONS(5172),
    [anon_sym___imag] = ACTIONS(5174),
    [anon_sym___kindof] = ACTIONS(5172),
    [anon_sym___nonnull] = ACTIONS(5172),
    [anon_sym___nullable] = ACTIONS(5172),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5172),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5172),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5172),
    [anon_sym___real] = ACTIONS(5174),
    [anon_sym___strong] = ACTIONS(5172),
    [anon_sym___unsafe_unretained] = ACTIONS(5172),
    [anon_sym___unused] = ACTIONS(5172),
    [anon_sym___weak] = ACTIONS(5172),
    [anon_sym_alignas] = ACTIONS(5176),
    [anon_sym__Alignas] = ACTIONS(5176),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_objc_bridge_related] = ACTIONS(5178),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_availability] = ACTIONS(5180),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2048] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_ATprotocol] = ACTIONS(5220),
    [anon_sym_ATinterface] = ACTIONS(5156),
    [anon_sym_ATimplementation] = ACTIONS(5158),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2049] = {
    [sym_identifier] = ACTIONS(5222),
    [aux_sym_preproc_def_token1] = ACTIONS(5222),
    [aux_sym_preproc_if_token1] = ACTIONS(5222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5222),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5222),
    [sym_preproc_directive] = ACTIONS(5222),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_DASH] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5224),
    [anon_sym_LT] = ACTIONS(5224),
    [anon_sym_SEMI] = ACTIONS(5226),
    [anon_sym___extension__] = ACTIONS(5222),
    [anon_sym_typedef] = ACTIONS(5222),
    [anon_sym_extern] = ACTIONS(5222),
    [anon_sym___attribute__] = ACTIONS(5222),
    [anon_sym___attribute] = ACTIONS(5222),
    [anon_sym_noreturn] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5224),
    [anon_sym___declspec] = ACTIONS(5222),
    [anon_sym___cdecl] = ACTIONS(5222),
    [anon_sym___clrcall] = ACTIONS(5222),
    [anon_sym___stdcall] = ACTIONS(5222),
    [anon_sym___fastcall] = ACTIONS(5222),
    [anon_sym___thiscall] = ACTIONS(5222),
    [anon_sym___vectorcall] = ACTIONS(5222),
    [anon_sym_LBRACE] = ACTIONS(5224),
    [anon_sym_signed] = ACTIONS(5222),
    [anon_sym_unsigned] = ACTIONS(5222),
    [anon_sym_long] = ACTIONS(5222),
    [anon_sym_short] = ACTIONS(5222),
    [anon_sym_static] = ACTIONS(5222),
    [anon_sym_auto] = ACTIONS(5222),
    [anon_sym_register] = ACTIONS(5222),
    [anon_sym_inline] = ACTIONS(5222),
    [anon_sym___inline] = ACTIONS(5222),
    [anon_sym___inline__] = ACTIONS(5222),
    [anon_sym___forceinline] = ACTIONS(5222),
    [anon_sym_thread_local] = ACTIONS(5222),
    [anon_sym___thread] = ACTIONS(5222),
    [anon_sym_CG_EXTERN] = ACTIONS(5222),
    [anon_sym_CG_INLINE] = ACTIONS(5222),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5222),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5222),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5222),
    [anon_sym_IBOutlet] = ACTIONS(5222),
    [anon_sym_IBInspectable] = ACTIONS(5222),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5222),
    [anon_sym_NS_INLINE] = ACTIONS(5222),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5222),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5222),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5222),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5222),
    [anon_sym_const] = ACTIONS(5222),
    [anon_sym_constexpr] = ACTIONS(5222),
    [anon_sym_volatile] = ACTIONS(5222),
    [anon_sym_restrict] = ACTIONS(5222),
    [anon_sym___restrict__] = ACTIONS(5222),
    [anon_sym__Atomic] = ACTIONS(5222),
    [anon_sym__Noreturn] = ACTIONS(5222),
    [anon_sym__Nonnull] = ACTIONS(5222),
    [anon_sym_nullable] = ACTIONS(5222),
    [anon_sym__Complex] = ACTIONS(5222),
    [anon_sym__Nullable] = ACTIONS(5222),
    [anon_sym__Nullable_result] = ACTIONS(5222),
    [anon_sym__Null_unspecified] = ACTIONS(5222),
    [anon_sym___autoreleasing] = ACTIONS(5222),
    [anon_sym___block] = ACTIONS(5222),
    [anon_sym___bridge] = ACTIONS(5222),
    [anon_sym___bridge_retained] = ACTIONS(5222),
    [anon_sym___bridge_transfer] = ACTIONS(5222),
    [anon_sym___complex] = ACTIONS(5222),
    [anon_sym___const] = ACTIONS(5222),
    [anon_sym___imag] = ACTIONS(5222),
    [anon_sym___kindof] = ACTIONS(5222),
    [anon_sym___nonnull] = ACTIONS(5222),
    [anon_sym___nullable] = ACTIONS(5222),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5222),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5222),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5222),
    [anon_sym___real] = ACTIONS(5222),
    [anon_sym___strong] = ACTIONS(5222),
    [anon_sym___unsafe_unretained] = ACTIONS(5222),
    [anon_sym___unused] = ACTIONS(5222),
    [anon_sym___weak] = ACTIONS(5222),
    [anon_sym_alignas] = ACTIONS(5222),
    [anon_sym__Alignas] = ACTIONS(5222),
    [sym_primitive_type] = ACTIONS(5222),
    [anon_sym_enum] = ACTIONS(5222),
    [anon_sym_COLON] = ACTIONS(5224),
    [anon_sym_struct] = ACTIONS(5222),
    [anon_sym_union] = ACTIONS(5222),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5222),
    [anon_sym___typeof] = ACTIONS(5222),
    [anon_sym_typeof] = ACTIONS(5222),
    [aux_sym_preproc_undef_token1] = ACTIONS(5222),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5222),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5222),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5222),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5222),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5222),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5222),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5222),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5222),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5222),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5222),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5222),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5222),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5222),
    [anon_sym_API_AVAILABLE] = ACTIONS(5222),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5222),
    [anon_sym_API_DEPRECATED] = ACTIONS(5222),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5222),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5222),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5222),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5222),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5222),
    [anon_sym___deprecated_msg] = ACTIONS(5222),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5222),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5222),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5222),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5222),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5222),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5222),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5222),
    [anon_sym_ATend] = ACTIONS(5224),
    [anon_sym_ATsynthesize] = ACTIONS(5224),
    [anon_sym_ATdynamic] = ACTIONS(5224),
    [anon_sym_BOOL] = ACTIONS(5222),
    [anon_sym_IMP] = ACTIONS(5222),
    [anon_sym_SEL] = ACTIONS(5222),
    [anon_sym_Class] = ACTIONS(5222),
    [anon_sym_id] = ACTIONS(5222),
  },
  [2050] = {
    [sym_compound_statement] = STATE(5584),
    [sym_type_qualifier] = STATE(3332),
    [sym_alignas_qualifier] = STATE(4156),
    [sym_expression] = STATE(4411),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_objc_bridge] = STATE(5956),
    [sym_typeof_specifier] = STATE(5584),
    [sym_availability] = STATE(5956),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5160),
    [anon_sym_RPAREN] = ACTIONS(5162),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5164),
    [anon_sym_noreturn] = ACTIONS(5228),
    [anon_sym_nothrow] = ACTIONS(5230),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(5170),
    [anon_sym_constexpr] = ACTIONS(5172),
    [anon_sym_volatile] = ACTIONS(5172),
    [anon_sym_restrict] = ACTIONS(5172),
    [anon_sym___restrict__] = ACTIONS(5172),
    [anon_sym__Atomic] = ACTIONS(5172),
    [anon_sym__Noreturn] = ACTIONS(5172),
    [anon_sym__Nonnull] = ACTIONS(5172),
    [anon_sym_nullable] = ACTIONS(5172),
    [anon_sym__Complex] = ACTIONS(5172),
    [anon_sym__Nullable] = ACTIONS(5172),
    [anon_sym__Nullable_result] = ACTIONS(5172),
    [anon_sym__Null_unspecified] = ACTIONS(5172),
    [anon_sym___autoreleasing] = ACTIONS(5172),
    [anon_sym___block] = ACTIONS(5172),
    [anon_sym___bridge] = ACTIONS(5172),
    [anon_sym___bridge_retained] = ACTIONS(5172),
    [anon_sym___bridge_transfer] = ACTIONS(5172),
    [anon_sym___complex] = ACTIONS(5172),
    [anon_sym___const] = ACTIONS(5172),
    [anon_sym___imag] = ACTIONS(5174),
    [anon_sym___kindof] = ACTIONS(5172),
    [anon_sym___nonnull] = ACTIONS(5172),
    [anon_sym___nullable] = ACTIONS(5172),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5172),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5172),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5172),
    [anon_sym___real] = ACTIONS(5174),
    [anon_sym___strong] = ACTIONS(5172),
    [anon_sym___unsafe_unretained] = ACTIONS(5172),
    [anon_sym___unused] = ACTIONS(5172),
    [anon_sym___weak] = ACTIONS(5172),
    [anon_sym_alignas] = ACTIONS(5176),
    [anon_sym__Alignas] = ACTIONS(5176),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_objc_bridge_related] = ACTIONS(5178),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_availability] = ACTIONS(5180),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2051] = {
    [sym_compound_statement] = STATE(5584),
    [sym_type_qualifier] = STATE(3332),
    [sym_alignas_qualifier] = STATE(4156),
    [sym_expression] = STATE(4411),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_objc_bridge] = STATE(5956),
    [sym_typeof_specifier] = STATE(5584),
    [sym_availability] = STATE(5956),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5160),
    [anon_sym_RPAREN] = ACTIONS(5162),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5164),
    [anon_sym_noreturn] = ACTIONS(5232),
    [anon_sym_nothrow] = ACTIONS(5234),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(5170),
    [anon_sym_constexpr] = ACTIONS(5172),
    [anon_sym_volatile] = ACTIONS(5172),
    [anon_sym_restrict] = ACTIONS(5172),
    [anon_sym___restrict__] = ACTIONS(5172),
    [anon_sym__Atomic] = ACTIONS(5172),
    [anon_sym__Noreturn] = ACTIONS(5172),
    [anon_sym__Nonnull] = ACTIONS(5172),
    [anon_sym_nullable] = ACTIONS(5172),
    [anon_sym__Complex] = ACTIONS(5172),
    [anon_sym__Nullable] = ACTIONS(5172),
    [anon_sym__Nullable_result] = ACTIONS(5172),
    [anon_sym__Null_unspecified] = ACTIONS(5172),
    [anon_sym___autoreleasing] = ACTIONS(5172),
    [anon_sym___block] = ACTIONS(5172),
    [anon_sym___bridge] = ACTIONS(5172),
    [anon_sym___bridge_retained] = ACTIONS(5172),
    [anon_sym___bridge_transfer] = ACTIONS(5172),
    [anon_sym___complex] = ACTIONS(5172),
    [anon_sym___const] = ACTIONS(5172),
    [anon_sym___imag] = ACTIONS(5174),
    [anon_sym___kindof] = ACTIONS(5172),
    [anon_sym___nonnull] = ACTIONS(5172),
    [anon_sym___nullable] = ACTIONS(5172),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5172),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5172),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5172),
    [anon_sym___real] = ACTIONS(5174),
    [anon_sym___strong] = ACTIONS(5172),
    [anon_sym___unsafe_unretained] = ACTIONS(5172),
    [anon_sym___unused] = ACTIONS(5172),
    [anon_sym___weak] = ACTIONS(5172),
    [anon_sym_alignas] = ACTIONS(5176),
    [anon_sym__Alignas] = ACTIONS(5176),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_objc_bridge_related] = ACTIONS(5178),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_availability] = ACTIONS(5180),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2052] = {
    [sym_compound_statement] = STATE(5584),
    [sym_type_qualifier] = STATE(3332),
    [sym_alignas_qualifier] = STATE(4156),
    [sym_expression] = STATE(4411),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_objc_bridge] = STATE(5956),
    [sym_typeof_specifier] = STATE(5584),
    [sym_availability] = STATE(5956),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5160),
    [anon_sym_RPAREN] = ACTIONS(5162),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5164),
    [anon_sym_noreturn] = ACTIONS(5236),
    [anon_sym_nothrow] = ACTIONS(5238),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(5170),
    [anon_sym_constexpr] = ACTIONS(5172),
    [anon_sym_volatile] = ACTIONS(5172),
    [anon_sym_restrict] = ACTIONS(5172),
    [anon_sym___restrict__] = ACTIONS(5172),
    [anon_sym__Atomic] = ACTIONS(5172),
    [anon_sym__Noreturn] = ACTIONS(5172),
    [anon_sym__Nonnull] = ACTIONS(5172),
    [anon_sym_nullable] = ACTIONS(5172),
    [anon_sym__Complex] = ACTIONS(5172),
    [anon_sym__Nullable] = ACTIONS(5172),
    [anon_sym__Nullable_result] = ACTIONS(5172),
    [anon_sym__Null_unspecified] = ACTIONS(5172),
    [anon_sym___autoreleasing] = ACTIONS(5172),
    [anon_sym___block] = ACTIONS(5172),
    [anon_sym___bridge] = ACTIONS(5172),
    [anon_sym___bridge_retained] = ACTIONS(5172),
    [anon_sym___bridge_transfer] = ACTIONS(5172),
    [anon_sym___complex] = ACTIONS(5172),
    [anon_sym___const] = ACTIONS(5172),
    [anon_sym___imag] = ACTIONS(5174),
    [anon_sym___kindof] = ACTIONS(5172),
    [anon_sym___nonnull] = ACTIONS(5172),
    [anon_sym___nullable] = ACTIONS(5172),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5172),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5172),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5172),
    [anon_sym___real] = ACTIONS(5174),
    [anon_sym___strong] = ACTIONS(5172),
    [anon_sym___unsafe_unretained] = ACTIONS(5172),
    [anon_sym___unused] = ACTIONS(5172),
    [anon_sym___weak] = ACTIONS(5172),
    [anon_sym_alignas] = ACTIONS(5176),
    [anon_sym__Alignas] = ACTIONS(5176),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_objc_bridge_related] = ACTIONS(5178),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_availability] = ACTIONS(5180),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2053] = {
    [sym_compound_statement] = STATE(5584),
    [sym_type_qualifier] = STATE(3332),
    [sym_alignas_qualifier] = STATE(4156),
    [sym_expression] = STATE(4411),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_objc_bridge] = STATE(5956),
    [sym_typeof_specifier] = STATE(5584),
    [sym_availability] = STATE(5956),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5160),
    [anon_sym_RPAREN] = ACTIONS(5162),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5164),
    [anon_sym_noreturn] = ACTIONS(5240),
    [anon_sym_nothrow] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(5170),
    [anon_sym_constexpr] = ACTIONS(5172),
    [anon_sym_volatile] = ACTIONS(5172),
    [anon_sym_restrict] = ACTIONS(5172),
    [anon_sym___restrict__] = ACTIONS(5172),
    [anon_sym__Atomic] = ACTIONS(5172),
    [anon_sym__Noreturn] = ACTIONS(5172),
    [anon_sym__Nonnull] = ACTIONS(5172),
    [anon_sym_nullable] = ACTIONS(5172),
    [anon_sym__Complex] = ACTIONS(5172),
    [anon_sym__Nullable] = ACTIONS(5172),
    [anon_sym__Nullable_result] = ACTIONS(5172),
    [anon_sym__Null_unspecified] = ACTIONS(5172),
    [anon_sym___autoreleasing] = ACTIONS(5172),
    [anon_sym___block] = ACTIONS(5172),
    [anon_sym___bridge] = ACTIONS(5172),
    [anon_sym___bridge_retained] = ACTIONS(5172),
    [anon_sym___bridge_transfer] = ACTIONS(5172),
    [anon_sym___complex] = ACTIONS(5172),
    [anon_sym___const] = ACTIONS(5172),
    [anon_sym___imag] = ACTIONS(5174),
    [anon_sym___kindof] = ACTIONS(5172),
    [anon_sym___nonnull] = ACTIONS(5172),
    [anon_sym___nullable] = ACTIONS(5172),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5172),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5172),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5172),
    [anon_sym___real] = ACTIONS(5174),
    [anon_sym___strong] = ACTIONS(5172),
    [anon_sym___unsafe_unretained] = ACTIONS(5172),
    [anon_sym___unused] = ACTIONS(5172),
    [anon_sym___weak] = ACTIONS(5172),
    [anon_sym_alignas] = ACTIONS(5176),
    [anon_sym__Alignas] = ACTIONS(5176),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_objc_bridge_related] = ACTIONS(5178),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_availability] = ACTIONS(5180),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2054] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4816),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(3023),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5244),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2055] = {
    [sym_identifier] = ACTIONS(5246),
    [aux_sym_preproc_def_token1] = ACTIONS(5246),
    [aux_sym_preproc_if_token1] = ACTIONS(5246),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5246),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5246),
    [sym_preproc_directive] = ACTIONS(5246),
    [anon_sym_LPAREN2] = ACTIONS(5248),
    [anon_sym_DASH] = ACTIONS(5248),
    [anon_sym_PLUS] = ACTIONS(5248),
    [anon_sym_LT] = ACTIONS(5248),
    [anon_sym___extension__] = ACTIONS(5246),
    [anon_sym_typedef] = ACTIONS(5246),
    [anon_sym_extern] = ACTIONS(5246),
    [anon_sym___attribute__] = ACTIONS(5246),
    [anon_sym___attribute] = ACTIONS(5246),
    [anon_sym_noreturn] = ACTIONS(5246),
    [anon_sym_LBRACK] = ACTIONS(5248),
    [anon_sym___declspec] = ACTIONS(5246),
    [anon_sym___cdecl] = ACTIONS(5246),
    [anon_sym___clrcall] = ACTIONS(5246),
    [anon_sym___stdcall] = ACTIONS(5246),
    [anon_sym___fastcall] = ACTIONS(5246),
    [anon_sym___thiscall] = ACTIONS(5246),
    [anon_sym___vectorcall] = ACTIONS(5246),
    [anon_sym_LBRACE] = ACTIONS(5248),
    [anon_sym_signed] = ACTIONS(5246),
    [anon_sym_unsigned] = ACTIONS(5246),
    [anon_sym_long] = ACTIONS(5246),
    [anon_sym_short] = ACTIONS(5246),
    [anon_sym_static] = ACTIONS(5246),
    [anon_sym_auto] = ACTIONS(5246),
    [anon_sym_register] = ACTIONS(5246),
    [anon_sym_inline] = ACTIONS(5246),
    [anon_sym___inline] = ACTIONS(5246),
    [anon_sym___inline__] = ACTIONS(5246),
    [anon_sym___forceinline] = ACTIONS(5246),
    [anon_sym_thread_local] = ACTIONS(5246),
    [anon_sym___thread] = ACTIONS(5246),
    [anon_sym_CG_EXTERN] = ACTIONS(5246),
    [anon_sym_CG_INLINE] = ACTIONS(5246),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5246),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5246),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5246),
    [anon_sym_IBOutlet] = ACTIONS(5246),
    [anon_sym_IBInspectable] = ACTIONS(5246),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5246),
    [anon_sym_NS_INLINE] = ACTIONS(5246),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5246),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5246),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5246),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5246),
    [anon_sym_const] = ACTIONS(5246),
    [anon_sym_constexpr] = ACTIONS(5246),
    [anon_sym_volatile] = ACTIONS(5246),
    [anon_sym_restrict] = ACTIONS(5246),
    [anon_sym___restrict__] = ACTIONS(5246),
    [anon_sym__Atomic] = ACTIONS(5246),
    [anon_sym__Noreturn] = ACTIONS(5246),
    [anon_sym__Nonnull] = ACTIONS(5246),
    [anon_sym_nullable] = ACTIONS(5246),
    [anon_sym__Complex] = ACTIONS(5246),
    [anon_sym__Nullable] = ACTIONS(5246),
    [anon_sym__Nullable_result] = ACTIONS(5246),
    [anon_sym__Null_unspecified] = ACTIONS(5246),
    [anon_sym___autoreleasing] = ACTIONS(5246),
    [anon_sym___block] = ACTIONS(5246),
    [anon_sym___bridge] = ACTIONS(5246),
    [anon_sym___bridge_retained] = ACTIONS(5246),
    [anon_sym___bridge_transfer] = ACTIONS(5246),
    [anon_sym___complex] = ACTIONS(5246),
    [anon_sym___const] = ACTIONS(5246),
    [anon_sym___imag] = ACTIONS(5246),
    [anon_sym___kindof] = ACTIONS(5246),
    [anon_sym___nonnull] = ACTIONS(5246),
    [anon_sym___nullable] = ACTIONS(5246),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5246),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5246),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5246),
    [anon_sym___real] = ACTIONS(5246),
    [anon_sym___strong] = ACTIONS(5246),
    [anon_sym___unsafe_unretained] = ACTIONS(5246),
    [anon_sym___unused] = ACTIONS(5246),
    [anon_sym___weak] = ACTIONS(5246),
    [anon_sym_alignas] = ACTIONS(5246),
    [anon_sym__Alignas] = ACTIONS(5246),
    [sym_primitive_type] = ACTIONS(5246),
    [anon_sym_enum] = ACTIONS(5246),
    [anon_sym_COLON] = ACTIONS(5248),
    [anon_sym_struct] = ACTIONS(5246),
    [anon_sym_union] = ACTIONS(5246),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5246),
    [anon_sym___typeof] = ACTIONS(5246),
    [anon_sym_typeof] = ACTIONS(5246),
    [aux_sym_preproc_undef_token1] = ACTIONS(5246),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5246),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5246),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5246),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5246),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5246),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5246),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5246),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5246),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5246),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5246),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5246),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5246),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5246),
    [anon_sym_API_AVAILABLE] = ACTIONS(5246),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5246),
    [anon_sym_API_DEPRECATED] = ACTIONS(5246),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5246),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5246),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5246),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5246),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5246),
    [anon_sym___deprecated_msg] = ACTIONS(5246),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5246),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5246),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5246),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5246),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5246),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5246),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5246),
    [anon_sym_ATend] = ACTIONS(5248),
    [anon_sym_ATsynthesize] = ACTIONS(5248),
    [anon_sym_ATdynamic] = ACTIONS(5248),
    [anon_sym_ATproperty] = ACTIONS(5248),
    [anon_sym_BOOL] = ACTIONS(5246),
    [anon_sym_IMP] = ACTIONS(5246),
    [anon_sym_SEL] = ACTIONS(5246),
    [anon_sym_Class] = ACTIONS(5246),
    [anon_sym_id] = ACTIONS(5246),
  },
  [2056] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4816),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(3025),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5250),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2057] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1778),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5252),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2058] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1796),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5254),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2059] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1796),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5256),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2060] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1781),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5258),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2061] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1781),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5260),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2062] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1813),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5262),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2063] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1813),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5264),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2064] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1788),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5266),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2065] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1825),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5268),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2066] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4816),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(3028),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5270),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2067] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(1778),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5272),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2068] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_STAR] = ACTIONS(5276),
    [anon_sym_SLASH] = ACTIONS(5276),
    [anon_sym_PERCENT] = ACTIONS(5276),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(5278),
    [anon_sym_CARET] = ACTIONS(5280),
    [anon_sym_AMP] = ACTIONS(5282),
    [anon_sym_EQ_EQ] = ACTIONS(5284),
    [anon_sym_BANG_EQ] = ACTIONS(5284),
    [anon_sym_GT] = ACTIONS(5286),
    [anon_sym_GT_EQ] = ACTIONS(5288),
    [anon_sym_LT_EQ] = ACTIONS(5288),
    [anon_sym_LT] = ACTIONS(5286),
    [anon_sym_LT_LT] = ACTIONS(5290),
    [anon_sym_GT_GT] = ACTIONS(5290),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4036),
    [anon_sym_extern] = ACTIONS(4036),
    [anon_sym___attribute__] = ACTIONS(4036),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4036),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4036),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_auto] = ACTIONS(4036),
    [anon_sym_register] = ACTIONS(4036),
    [anon_sym_inline] = ACTIONS(4036),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4036),
    [anon_sym___forceinline] = ACTIONS(4036),
    [anon_sym_thread_local] = ACTIONS(4036),
    [anon_sym___thread] = ACTIONS(4036),
    [anon_sym_CG_EXTERN] = ACTIONS(4036),
    [anon_sym_CG_INLINE] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4036),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4036),
    [anon_sym_IBOutlet] = ACTIONS(4036),
    [anon_sym_IBInspectable] = ACTIONS(4036),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4036),
    [anon_sym_NS_INLINE] = ACTIONS(4036),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4036),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4036),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4036),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4036),
    [anon_sym_volatile] = ACTIONS(4036),
    [anon_sym_restrict] = ACTIONS(4036),
    [anon_sym___restrict__] = ACTIONS(4036),
    [anon_sym__Atomic] = ACTIONS(4036),
    [anon_sym__Noreturn] = ACTIONS(4036),
    [anon_sym__Nonnull] = ACTIONS(4036),
    [anon_sym_nullable] = ACTIONS(4036),
    [anon_sym__Complex] = ACTIONS(4036),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4036),
    [anon_sym__Null_unspecified] = ACTIONS(4036),
    [anon_sym___autoreleasing] = ACTIONS(4036),
    [anon_sym___block] = ACTIONS(4036),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4036),
    [anon_sym___bridge_transfer] = ACTIONS(4036),
    [anon_sym___complex] = ACTIONS(4036),
    [anon_sym___const] = ACTIONS(4036),
    [anon_sym___imag] = ACTIONS(4036),
    [anon_sym___kindof] = ACTIONS(4036),
    [anon_sym___nonnull] = ACTIONS(4036),
    [anon_sym___nullable] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4036),
    [anon_sym___real] = ACTIONS(4036),
    [anon_sym___strong] = ACTIONS(4036),
    [anon_sym___unsafe_unretained] = ACTIONS(4036),
    [anon_sym___unused] = ACTIONS(4036),
    [anon_sym___weak] = ACTIONS(4036),
    [anon_sym_alignas] = ACTIONS(4036),
    [anon_sym__Alignas] = ACTIONS(4036),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4036),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4036),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_API_AVAILABLE] = ACTIONS(4036),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_API_DEPRECATED] = ACTIONS(4036),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym___deprecated_msg] = ACTIONS(4036),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4036),
  },
  [2069] = {
    [sym_identifier] = ACTIONS(2368),
    [aux_sym_preproc_def_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2368),
    [sym_preproc_directive] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym___extension__] = ACTIONS(2368),
    [anon_sym_typedef] = ACTIONS(2368),
    [anon_sym_extern] = ACTIONS(2368),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym___attribute] = ACTIONS(2368),
    [anon_sym_noreturn] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym___declspec] = ACTIONS(2368),
    [anon_sym___cdecl] = ACTIONS(2368),
    [anon_sym___clrcall] = ACTIONS(2368),
    [anon_sym___stdcall] = ACTIONS(2368),
    [anon_sym___fastcall] = ACTIONS(2368),
    [anon_sym___thiscall] = ACTIONS(2368),
    [anon_sym___vectorcall] = ACTIONS(2368),
    [anon_sym_signed] = ACTIONS(2368),
    [anon_sym_unsigned] = ACTIONS(2368),
    [anon_sym_long] = ACTIONS(2368),
    [anon_sym_short] = ACTIONS(2368),
    [anon_sym_static] = ACTIONS(2368),
    [anon_sym_auto] = ACTIONS(2368),
    [anon_sym_register] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(2368),
    [anon_sym___inline] = ACTIONS(2368),
    [anon_sym___inline__] = ACTIONS(2368),
    [anon_sym___forceinline] = ACTIONS(2368),
    [anon_sym_thread_local] = ACTIONS(2368),
    [anon_sym___thread] = ACTIONS(2368),
    [anon_sym_CG_EXTERN] = ACTIONS(2368),
    [anon_sym_CG_INLINE] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2368),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2368),
    [anon_sym_IBOutlet] = ACTIONS(2368),
    [anon_sym_IBInspectable] = ACTIONS(2368),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2368),
    [anon_sym_NS_INLINE] = ACTIONS(2368),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2368),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2368),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2368),
    [anon_sym_const] = ACTIONS(2368),
    [anon_sym_constexpr] = ACTIONS(2368),
    [anon_sym_volatile] = ACTIONS(2368),
    [anon_sym_restrict] = ACTIONS(2368),
    [anon_sym___restrict__] = ACTIONS(2368),
    [anon_sym__Atomic] = ACTIONS(2368),
    [anon_sym__Noreturn] = ACTIONS(2368),
    [anon_sym__Nonnull] = ACTIONS(2368),
    [anon_sym_nullable] = ACTIONS(2368),
    [anon_sym__Complex] = ACTIONS(2368),
    [anon_sym__Nullable] = ACTIONS(2368),
    [anon_sym__Nullable_result] = ACTIONS(2368),
    [anon_sym__Null_unspecified] = ACTIONS(2368),
    [anon_sym___autoreleasing] = ACTIONS(2368),
    [anon_sym___block] = ACTIONS(2368),
    [anon_sym___bridge] = ACTIONS(2368),
    [anon_sym___bridge_retained] = ACTIONS(2368),
    [anon_sym___bridge_transfer] = ACTIONS(2368),
    [anon_sym___complex] = ACTIONS(2368),
    [anon_sym___const] = ACTIONS(2368),
    [anon_sym___imag] = ACTIONS(2368),
    [anon_sym___kindof] = ACTIONS(2368),
    [anon_sym___nonnull] = ACTIONS(2368),
    [anon_sym___nullable] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2368),
    [anon_sym___real] = ACTIONS(2368),
    [anon_sym___strong] = ACTIONS(2368),
    [anon_sym___unsafe_unretained] = ACTIONS(2368),
    [anon_sym___unused] = ACTIONS(2368),
    [anon_sym___weak] = ACTIONS(2368),
    [anon_sym_alignas] = ACTIONS(2368),
    [anon_sym__Alignas] = ACTIONS(2368),
    [sym_primitive_type] = ACTIONS(2368),
    [anon_sym_enum] = ACTIONS(2368),
    [anon_sym_struct] = ACTIONS(2368),
    [anon_sym_union] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2368),
    [anon_sym___typeof] = ACTIONS(2368),
    [anon_sym_typeof] = ACTIONS(2368),
    [aux_sym_preproc_undef_token1] = ACTIONS(2368),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2368),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2368),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2368),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_API_AVAILABLE] = ACTIONS(2368),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_API_DEPRECATED] = ACTIONS(2368),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym___deprecated_msg] = ACTIONS(2368),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2368),
    [anon_sym_ATend] = ACTIONS(2370),
    [anon_sym_AToptional] = ACTIONS(2370),
    [anon_sym_ATrequired] = ACTIONS(2370),
    [anon_sym_ATsynthesize] = ACTIONS(2370),
    [anon_sym_ATdynamic] = ACTIONS(2370),
    [anon_sym_ATproperty] = ACTIONS(2370),
    [anon_sym_BOOL] = ACTIONS(2368),
    [anon_sym_IMP] = ACTIONS(2368),
    [anon_sym_SEL] = ACTIONS(2368),
    [anon_sym_Class] = ACTIONS(2368),
    [anon_sym_id] = ACTIONS(2368),
  },
  [2070] = {
    [sym_method_type] = STATE(6636),
    [sym_identifier] = ACTIONS(5292),
    [aux_sym_preproc_def_token1] = ACTIONS(5294),
    [aux_sym_preproc_if_token1] = ACTIONS(5294),
    [aux_sym_preproc_if_token2] = ACTIONS(5294),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5294),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5294),
    [aux_sym_preproc_else_token1] = ACTIONS(5294),
    [aux_sym_preproc_elif_token1] = ACTIONS(5294),
    [sym_preproc_directive] = ACTIONS(5294),
    [anon_sym_LPAREN2] = ACTIONS(5296),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_SEMI] = ACTIONS(5298),
    [anon_sym___extension__] = ACTIONS(5294),
    [anon_sym_typedef] = ACTIONS(5294),
    [anon_sym_extern] = ACTIONS(5294),
    [anon_sym___attribute__] = ACTIONS(5294),
    [anon_sym___attribute] = ACTIONS(5294),
    [anon_sym_noreturn] = ACTIONS(5294),
    [anon_sym_LBRACK] = ACTIONS(5298),
    [anon_sym___declspec] = ACTIONS(5294),
    [anon_sym___cdecl] = ACTIONS(5294),
    [anon_sym___clrcall] = ACTIONS(5294),
    [anon_sym___stdcall] = ACTIONS(5294),
    [anon_sym___fastcall] = ACTIONS(5294),
    [anon_sym___thiscall] = ACTIONS(5294),
    [anon_sym___vectorcall] = ACTIONS(5294),
    [anon_sym_signed] = ACTIONS(5294),
    [anon_sym_unsigned] = ACTIONS(5294),
    [anon_sym_long] = ACTIONS(5294),
    [anon_sym_short] = ACTIONS(5294),
    [anon_sym_static] = ACTIONS(5294),
    [anon_sym_auto] = ACTIONS(5294),
    [anon_sym_register] = ACTIONS(5294),
    [anon_sym_inline] = ACTIONS(5294),
    [anon_sym___inline] = ACTIONS(5294),
    [anon_sym___inline__] = ACTIONS(5294),
    [anon_sym___forceinline] = ACTIONS(5294),
    [anon_sym_thread_local] = ACTIONS(5294),
    [anon_sym___thread] = ACTIONS(5294),
    [anon_sym_CG_EXTERN] = ACTIONS(5294),
    [anon_sym_CG_INLINE] = ACTIONS(5294),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5294),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5294),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5294),
    [anon_sym_IBOutlet] = ACTIONS(5294),
    [anon_sym_IBInspectable] = ACTIONS(5294),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5294),
    [anon_sym_NS_INLINE] = ACTIONS(5294),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5294),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5294),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5294),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5294),
    [anon_sym_const] = ACTIONS(5294),
    [anon_sym_constexpr] = ACTIONS(5294),
    [anon_sym_volatile] = ACTIONS(5294),
    [anon_sym_restrict] = ACTIONS(5294),
    [anon_sym___restrict__] = ACTIONS(5294),
    [anon_sym__Atomic] = ACTIONS(5294),
    [anon_sym__Noreturn] = ACTIONS(5294),
    [anon_sym__Nonnull] = ACTIONS(5294),
    [anon_sym_nullable] = ACTIONS(5294),
    [anon_sym__Complex] = ACTIONS(5294),
    [anon_sym__Nullable] = ACTIONS(5294),
    [anon_sym__Nullable_result] = ACTIONS(5294),
    [anon_sym__Null_unspecified] = ACTIONS(5294),
    [anon_sym___autoreleasing] = ACTIONS(5294),
    [anon_sym___block] = ACTIONS(5294),
    [anon_sym___bridge] = ACTIONS(5294),
    [anon_sym___bridge_retained] = ACTIONS(5294),
    [anon_sym___bridge_transfer] = ACTIONS(5294),
    [anon_sym___complex] = ACTIONS(5294),
    [anon_sym___const] = ACTIONS(5294),
    [anon_sym___imag] = ACTIONS(5294),
    [anon_sym___kindof] = ACTIONS(5294),
    [anon_sym___nonnull] = ACTIONS(5294),
    [anon_sym___nullable] = ACTIONS(5294),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5294),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5294),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5294),
    [anon_sym___real] = ACTIONS(5294),
    [anon_sym___strong] = ACTIONS(5294),
    [anon_sym___unsafe_unretained] = ACTIONS(5294),
    [anon_sym___unused] = ACTIONS(5294),
    [anon_sym___weak] = ACTIONS(5294),
    [anon_sym_alignas] = ACTIONS(5294),
    [anon_sym__Alignas] = ACTIONS(5294),
    [sym_primitive_type] = ACTIONS(5294),
    [anon_sym_enum] = ACTIONS(5294),
    [anon_sym_struct] = ACTIONS(5294),
    [anon_sym_union] = ACTIONS(5294),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5294),
    [anon_sym___typeof] = ACTIONS(5294),
    [anon_sym_typeof] = ACTIONS(5294),
    [aux_sym_preproc_undef_token1] = ACTIONS(5294),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5294),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5294),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5294),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5294),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5294),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5294),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5294),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5294),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5294),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5294),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5294),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5294),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5294),
    [anon_sym_API_AVAILABLE] = ACTIONS(5294),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5294),
    [anon_sym_API_DEPRECATED] = ACTIONS(5294),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5294),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5294),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5294),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5294),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5294),
    [anon_sym___deprecated_msg] = ACTIONS(5294),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5294),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5294),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5294),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5294),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5294),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5294),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5294),
    [anon_sym_ATproperty] = ACTIONS(5298),
    [anon_sym_BOOL] = ACTIONS(5294),
    [anon_sym_IMP] = ACTIONS(5294),
    [anon_sym_SEL] = ACTIONS(5294),
    [anon_sym_Class] = ACTIONS(5294),
    [anon_sym_id] = ACTIONS(5294),
  },
  [2071] = {
    [sym_string_literal] = STATE(1928),
    [sym_identifier] = ACTIONS(5300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4017),
    [anon_sym_COMMA] = ACTIONS(4017),
    [anon_sym_RPAREN] = ACTIONS(4017),
    [anon_sym_LPAREN2] = ACTIONS(4017),
    [anon_sym_DASH] = ACTIONS(4015),
    [anon_sym_PLUS] = ACTIONS(4015),
    [anon_sym_STAR] = ACTIONS(4017),
    [anon_sym_SLASH] = ACTIONS(4015),
    [anon_sym_PERCENT] = ACTIONS(4017),
    [anon_sym_PIPE_PIPE] = ACTIONS(4017),
    [anon_sym_AMP_AMP] = ACTIONS(4017),
    [anon_sym_PIPE] = ACTIONS(4015),
    [anon_sym_CARET] = ACTIONS(4017),
    [anon_sym_AMP] = ACTIONS(4015),
    [anon_sym_EQ_EQ] = ACTIONS(4017),
    [anon_sym_BANG_EQ] = ACTIONS(4017),
    [anon_sym_GT] = ACTIONS(4015),
    [anon_sym_GT_EQ] = ACTIONS(4017),
    [anon_sym_LT_EQ] = ACTIONS(4017),
    [anon_sym_LT] = ACTIONS(4015),
    [anon_sym_LT_LT] = ACTIONS(4017),
    [anon_sym_GT_GT] = ACTIONS(4017),
    [anon_sym_SEMI] = ACTIONS(4017),
    [anon_sym___extension__] = ACTIONS(4015),
    [anon_sym_extern] = ACTIONS(4015),
    [anon_sym___attribute__] = ACTIONS(4015),
    [anon_sym___attribute] = ACTIONS(4015),
    [anon_sym_noreturn] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(4017),
    [anon_sym_RBRACK] = ACTIONS(4017),
    [anon_sym___declspec] = ACTIONS(4015),
    [anon_sym_RBRACE] = ACTIONS(4017),
    [anon_sym_static] = ACTIONS(4015),
    [anon_sym_auto] = ACTIONS(4015),
    [anon_sym_register] = ACTIONS(4015),
    [anon_sym_inline] = ACTIONS(4015),
    [anon_sym___inline] = ACTIONS(4015),
    [anon_sym___inline__] = ACTIONS(4015),
    [anon_sym___forceinline] = ACTIONS(4015),
    [anon_sym_thread_local] = ACTIONS(4015),
    [anon_sym___thread] = ACTIONS(4015),
    [anon_sym_CG_EXTERN] = ACTIONS(4015),
    [anon_sym_CG_INLINE] = ACTIONS(4015),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4015),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4015),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4015),
    [anon_sym_IBOutlet] = ACTIONS(4015),
    [anon_sym_IBInspectable] = ACTIONS(4015),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4015),
    [anon_sym_NS_INLINE] = ACTIONS(4015),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4015),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4015),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4015),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4015),
    [anon_sym_const] = ACTIONS(4015),
    [anon_sym_constexpr] = ACTIONS(4015),
    [anon_sym_volatile] = ACTIONS(4015),
    [anon_sym_restrict] = ACTIONS(4015),
    [anon_sym___restrict__] = ACTIONS(4015),
    [anon_sym__Atomic] = ACTIONS(4015),
    [anon_sym__Noreturn] = ACTIONS(4015),
    [anon_sym__Nonnull] = ACTIONS(4015),
    [anon_sym_nullable] = ACTIONS(4015),
    [anon_sym__Complex] = ACTIONS(4015),
    [anon_sym__Nullable] = ACTIONS(4015),
    [anon_sym__Nullable_result] = ACTIONS(4015),
    [anon_sym__Null_unspecified] = ACTIONS(4015),
    [anon_sym___autoreleasing] = ACTIONS(4015),
    [anon_sym___block] = ACTIONS(4015),
    [anon_sym___bridge] = ACTIONS(4015),
    [anon_sym___bridge_retained] = ACTIONS(4015),
    [anon_sym___bridge_transfer] = ACTIONS(4015),
    [anon_sym___complex] = ACTIONS(4015),
    [anon_sym___const] = ACTIONS(4015),
    [anon_sym___imag] = ACTIONS(4015),
    [anon_sym___kindof] = ACTIONS(4015),
    [anon_sym___nonnull] = ACTIONS(4015),
    [anon_sym___nullable] = ACTIONS(4015),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4015),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4015),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4015),
    [anon_sym___real] = ACTIONS(4015),
    [anon_sym___strong] = ACTIONS(4015),
    [anon_sym___unsafe_unretained] = ACTIONS(4015),
    [anon_sym___unused] = ACTIONS(4015),
    [anon_sym___weak] = ACTIONS(4015),
    [anon_sym_alignas] = ACTIONS(4015),
    [anon_sym__Alignas] = ACTIONS(4015),
    [anon_sym_COLON] = ACTIONS(4017),
    [anon_sym_QMARK] = ACTIONS(4017),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_DOT] = ACTIONS(4015),
    [anon_sym_DASH_GT] = ACTIONS(4017),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4015),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4015),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4015),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4015),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4015),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4015),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4015),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4015),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4015),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4015),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4015),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4015),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4015),
    [anon_sym_API_AVAILABLE] = ACTIONS(4015),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4015),
    [anon_sym_API_DEPRECATED] = ACTIONS(4015),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4015),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4015),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4015),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4015),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4015),
    [anon_sym___deprecated_msg] = ACTIONS(4015),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4015),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4015),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4015),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4015),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4015),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4015),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4015),
  },
  [2072] = {
    [sym_identifier] = ACTIONS(2368),
    [aux_sym_preproc_def_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token2] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2368),
    [aux_sym_preproc_else_token1] = ACTIONS(2368),
    [aux_sym_preproc_elif_token1] = ACTIONS(2368),
    [sym_preproc_directive] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym___extension__] = ACTIONS(2368),
    [anon_sym_typedef] = ACTIONS(2368),
    [anon_sym_extern] = ACTIONS(2368),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym___attribute] = ACTIONS(2368),
    [anon_sym_noreturn] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym___declspec] = ACTIONS(2368),
    [anon_sym___cdecl] = ACTIONS(2368),
    [anon_sym___clrcall] = ACTIONS(2368),
    [anon_sym___stdcall] = ACTIONS(2368),
    [anon_sym___fastcall] = ACTIONS(2368),
    [anon_sym___thiscall] = ACTIONS(2368),
    [anon_sym___vectorcall] = ACTIONS(2368),
    [anon_sym_signed] = ACTIONS(2368),
    [anon_sym_unsigned] = ACTIONS(2368),
    [anon_sym_long] = ACTIONS(2368),
    [anon_sym_short] = ACTIONS(2368),
    [anon_sym_static] = ACTIONS(2368),
    [anon_sym_auto] = ACTIONS(2368),
    [anon_sym_register] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(2368),
    [anon_sym___inline] = ACTIONS(2368),
    [anon_sym___inline__] = ACTIONS(2368),
    [anon_sym___forceinline] = ACTIONS(2368),
    [anon_sym_thread_local] = ACTIONS(2368),
    [anon_sym___thread] = ACTIONS(2368),
    [anon_sym_CG_EXTERN] = ACTIONS(2368),
    [anon_sym_CG_INLINE] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2368),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2368),
    [anon_sym_IBOutlet] = ACTIONS(2368),
    [anon_sym_IBInspectable] = ACTIONS(2368),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2368),
    [anon_sym_NS_INLINE] = ACTIONS(2368),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2368),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2368),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2368),
    [anon_sym_const] = ACTIONS(2368),
    [anon_sym_constexpr] = ACTIONS(2368),
    [anon_sym_volatile] = ACTIONS(2368),
    [anon_sym_restrict] = ACTIONS(2368),
    [anon_sym___restrict__] = ACTIONS(2368),
    [anon_sym__Atomic] = ACTIONS(2368),
    [anon_sym__Noreturn] = ACTIONS(2368),
    [anon_sym__Nonnull] = ACTIONS(2368),
    [anon_sym_nullable] = ACTIONS(2368),
    [anon_sym__Complex] = ACTIONS(2368),
    [anon_sym__Nullable] = ACTIONS(2368),
    [anon_sym__Nullable_result] = ACTIONS(2368),
    [anon_sym__Null_unspecified] = ACTIONS(2368),
    [anon_sym___autoreleasing] = ACTIONS(2368),
    [anon_sym___block] = ACTIONS(2368),
    [anon_sym___bridge] = ACTIONS(2368),
    [anon_sym___bridge_retained] = ACTIONS(2368),
    [anon_sym___bridge_transfer] = ACTIONS(2368),
    [anon_sym___complex] = ACTIONS(2368),
    [anon_sym___const] = ACTIONS(2368),
    [anon_sym___imag] = ACTIONS(2368),
    [anon_sym___kindof] = ACTIONS(2368),
    [anon_sym___nonnull] = ACTIONS(2368),
    [anon_sym___nullable] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2368),
    [anon_sym___real] = ACTIONS(2368),
    [anon_sym___strong] = ACTIONS(2368),
    [anon_sym___unsafe_unretained] = ACTIONS(2368),
    [anon_sym___unused] = ACTIONS(2368),
    [anon_sym___weak] = ACTIONS(2368),
    [anon_sym_alignas] = ACTIONS(2368),
    [anon_sym__Alignas] = ACTIONS(2368),
    [sym_primitive_type] = ACTIONS(2368),
    [anon_sym_enum] = ACTIONS(2368),
    [anon_sym_struct] = ACTIONS(2368),
    [anon_sym_union] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2368),
    [anon_sym___typeof] = ACTIONS(2368),
    [anon_sym_typeof] = ACTIONS(2368),
    [aux_sym_preproc_undef_token1] = ACTIONS(2368),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2368),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2368),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2368),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_API_AVAILABLE] = ACTIONS(2368),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_API_DEPRECATED] = ACTIONS(2368),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym___deprecated_msg] = ACTIONS(2368),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2368),
    [anon_sym_ATsynthesize] = ACTIONS(2370),
    [anon_sym_ATdynamic] = ACTIONS(2370),
    [anon_sym_ATproperty] = ACTIONS(2370),
    [anon_sym_BOOL] = ACTIONS(2368),
    [anon_sym_IMP] = ACTIONS(2368),
    [anon_sym_SEL] = ACTIONS(2368),
    [anon_sym_Class] = ACTIONS(2368),
    [anon_sym_id] = ACTIONS(2368),
  },
  [2073] = {
    [sym_compound_statement] = STATE(5584),
    [sym_type_qualifier] = STATE(3332),
    [sym_alignas_qualifier] = STATE(4156),
    [sym_expression] = STATE(4411),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_objc_bridge] = STATE(5956),
    [sym_typeof_specifier] = STATE(5584),
    [sym_availability] = STATE(5956),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5160),
    [anon_sym_RPAREN] = ACTIONS(5162),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5164),
    [anon_sym_noreturn] = ACTIONS(5172),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(5170),
    [anon_sym_constexpr] = ACTIONS(5172),
    [anon_sym_volatile] = ACTIONS(5172),
    [anon_sym_restrict] = ACTIONS(5172),
    [anon_sym___restrict__] = ACTIONS(5172),
    [anon_sym__Atomic] = ACTIONS(5172),
    [anon_sym__Noreturn] = ACTIONS(5172),
    [anon_sym__Nonnull] = ACTIONS(5172),
    [anon_sym_nullable] = ACTIONS(5172),
    [anon_sym__Complex] = ACTIONS(5172),
    [anon_sym__Nullable] = ACTIONS(5172),
    [anon_sym__Nullable_result] = ACTIONS(5172),
    [anon_sym__Null_unspecified] = ACTIONS(5172),
    [anon_sym___autoreleasing] = ACTIONS(5172),
    [anon_sym___block] = ACTIONS(5172),
    [anon_sym___bridge] = ACTIONS(5172),
    [anon_sym___bridge_retained] = ACTIONS(5172),
    [anon_sym___bridge_transfer] = ACTIONS(5172),
    [anon_sym___complex] = ACTIONS(5172),
    [anon_sym___const] = ACTIONS(5172),
    [anon_sym___imag] = ACTIONS(5174),
    [anon_sym___kindof] = ACTIONS(5172),
    [anon_sym___nonnull] = ACTIONS(5172),
    [anon_sym___nullable] = ACTIONS(5172),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5172),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5172),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5172),
    [anon_sym___real] = ACTIONS(5174),
    [anon_sym___strong] = ACTIONS(5172),
    [anon_sym___unsafe_unretained] = ACTIONS(5172),
    [anon_sym___unused] = ACTIONS(5172),
    [anon_sym___weak] = ACTIONS(5172),
    [anon_sym_alignas] = ACTIONS(5176),
    [anon_sym__Alignas] = ACTIONS(5176),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_objc_bridge_related] = ACTIONS(5178),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_availability] = ACTIONS(5180),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2074] = {
    [sym_identifier] = ACTIONS(5070),
    [aux_sym_preproc_def_token1] = ACTIONS(5070),
    [aux_sym_preproc_if_token1] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5070),
    [sym_preproc_directive] = ACTIONS(5070),
    [anon_sym_LPAREN2] = ACTIONS(5072),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_STAR] = ACTIONS(5072),
    [anon_sym_CARET] = ACTIONS(5072),
    [anon_sym___extension__] = ACTIONS(5070),
    [anon_sym_typedef] = ACTIONS(5070),
    [anon_sym_extern] = ACTIONS(5070),
    [anon_sym___attribute__] = ACTIONS(5070),
    [anon_sym___attribute] = ACTIONS(5070),
    [anon_sym_noreturn] = ACTIONS(5070),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [anon_sym___declspec] = ACTIONS(5070),
    [anon_sym___based] = ACTIONS(5076),
    [anon_sym___cdecl] = ACTIONS(5070),
    [anon_sym___clrcall] = ACTIONS(5070),
    [anon_sym___stdcall] = ACTIONS(5070),
    [anon_sym___fastcall] = ACTIONS(5070),
    [anon_sym___thiscall] = ACTIONS(5070),
    [anon_sym___vectorcall] = ACTIONS(5070),
    [anon_sym_signed] = ACTIONS(5070),
    [anon_sym_unsigned] = ACTIONS(5070),
    [anon_sym_long] = ACTIONS(5070),
    [anon_sym_short] = ACTIONS(5070),
    [anon_sym_static] = ACTIONS(5070),
    [anon_sym_auto] = ACTIONS(5070),
    [anon_sym_register] = ACTIONS(5070),
    [anon_sym_inline] = ACTIONS(5070),
    [anon_sym___inline] = ACTIONS(5070),
    [anon_sym___inline__] = ACTIONS(5070),
    [anon_sym___forceinline] = ACTIONS(5070),
    [anon_sym_thread_local] = ACTIONS(5070),
    [anon_sym___thread] = ACTIONS(5070),
    [anon_sym_CG_EXTERN] = ACTIONS(5070),
    [anon_sym_CG_INLINE] = ACTIONS(5070),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5070),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5070),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5070),
    [anon_sym_IBOutlet] = ACTIONS(5070),
    [anon_sym_IBInspectable] = ACTIONS(5070),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5070),
    [anon_sym_NS_INLINE] = ACTIONS(5070),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5070),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5070),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5070),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5070),
    [anon_sym_const] = ACTIONS(5070),
    [anon_sym_constexpr] = ACTIONS(5070),
    [anon_sym_volatile] = ACTIONS(5070),
    [anon_sym_restrict] = ACTIONS(5070),
    [anon_sym___restrict__] = ACTIONS(5070),
    [anon_sym__Atomic] = ACTIONS(5070),
    [anon_sym__Noreturn] = ACTIONS(5070),
    [anon_sym__Nonnull] = ACTIONS(5070),
    [anon_sym_nullable] = ACTIONS(5070),
    [anon_sym__Complex] = ACTIONS(5070),
    [anon_sym__Nullable] = ACTIONS(5070),
    [anon_sym__Nullable_result] = ACTIONS(5070),
    [anon_sym__Null_unspecified] = ACTIONS(5070),
    [anon_sym___autoreleasing] = ACTIONS(5070),
    [anon_sym___block] = ACTIONS(5070),
    [anon_sym___bridge] = ACTIONS(5070),
    [anon_sym___bridge_retained] = ACTIONS(5070),
    [anon_sym___bridge_transfer] = ACTIONS(5070),
    [anon_sym___complex] = ACTIONS(5070),
    [anon_sym___const] = ACTIONS(5070),
    [anon_sym___imag] = ACTIONS(5070),
    [anon_sym___kindof] = ACTIONS(5070),
    [anon_sym___nonnull] = ACTIONS(5070),
    [anon_sym___nullable] = ACTIONS(5070),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5070),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5070),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5070),
    [anon_sym___real] = ACTIONS(5070),
    [anon_sym___strong] = ACTIONS(5070),
    [anon_sym___unsafe_unretained] = ACTIONS(5070),
    [anon_sym___unused] = ACTIONS(5070),
    [anon_sym___weak] = ACTIONS(5070),
    [anon_sym_alignas] = ACTIONS(5070),
    [anon_sym__Alignas] = ACTIONS(5070),
    [sym_primitive_type] = ACTIONS(5070),
    [anon_sym_enum] = ACTIONS(5070),
    [anon_sym_struct] = ACTIONS(5070),
    [anon_sym_union] = ACTIONS(5070),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5070),
    [anon_sym___typeof] = ACTIONS(5070),
    [anon_sym_typeof] = ACTIONS(5070),
    [aux_sym_preproc_undef_token1] = ACTIONS(5070),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5070),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5070),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5070),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5070),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5070),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5070),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5070),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5070),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5070),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5070),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5070),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5070),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5070),
    [anon_sym_API_AVAILABLE] = ACTIONS(5070),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5070),
    [anon_sym_API_DEPRECATED] = ACTIONS(5070),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5070),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5070),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5070),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5070),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5070),
    [anon_sym___deprecated_msg] = ACTIONS(5070),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5070),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5070),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5070),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5070),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5070),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5070),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5070),
    [anon_sym_ATend] = ACTIONS(5074),
    [anon_sym_ATsynthesize] = ACTIONS(5074),
    [anon_sym_ATdynamic] = ACTIONS(5074),
    [anon_sym_BOOL] = ACTIONS(5070),
    [anon_sym_IMP] = ACTIONS(5070),
    [anon_sym_SEL] = ACTIONS(5070),
    [anon_sym_Class] = ACTIONS(5070),
    [anon_sym_id] = ACTIONS(5070),
  },
  [2075] = {
    [sym_expression] = STATE(1631),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_union] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(203),
  },
  [2076] = {
    [sym_identifier] = ACTIONS(5308),
    [aux_sym_preproc_def_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5308),
    [sym_preproc_directive] = ACTIONS(5308),
    [anon_sym_LPAREN2] = ACTIONS(5310),
    [anon_sym_DASH] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5312),
    [anon_sym_LT] = ACTIONS(5310),
    [anon_sym___extension__] = ACTIONS(5308),
    [anon_sym_typedef] = ACTIONS(5308),
    [anon_sym_extern] = ACTIONS(5308),
    [anon_sym___attribute__] = ACTIONS(5308),
    [anon_sym___attribute] = ACTIONS(5308),
    [anon_sym_noreturn] = ACTIONS(5308),
    [anon_sym_LBRACK] = ACTIONS(5312),
    [anon_sym___declspec] = ACTIONS(5308),
    [anon_sym___cdecl] = ACTIONS(5308),
    [anon_sym___clrcall] = ACTIONS(5308),
    [anon_sym___stdcall] = ACTIONS(5308),
    [anon_sym___fastcall] = ACTIONS(5308),
    [anon_sym___thiscall] = ACTIONS(5308),
    [anon_sym___vectorcall] = ACTIONS(5308),
    [anon_sym_LBRACE] = ACTIONS(5312),
    [anon_sym_signed] = ACTIONS(5308),
    [anon_sym_unsigned] = ACTIONS(5308),
    [anon_sym_long] = ACTIONS(5308),
    [anon_sym_short] = ACTIONS(5308),
    [anon_sym_static] = ACTIONS(5308),
    [anon_sym_auto] = ACTIONS(5308),
    [anon_sym_register] = ACTIONS(5308),
    [anon_sym_inline] = ACTIONS(5308),
    [anon_sym___inline] = ACTIONS(5308),
    [anon_sym___inline__] = ACTIONS(5308),
    [anon_sym___forceinline] = ACTIONS(5308),
    [anon_sym_thread_local] = ACTIONS(5308),
    [anon_sym___thread] = ACTIONS(5308),
    [anon_sym_CG_EXTERN] = ACTIONS(5308),
    [anon_sym_CG_INLINE] = ACTIONS(5308),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5308),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5308),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5308),
    [anon_sym_IBOutlet] = ACTIONS(5308),
    [anon_sym_IBInspectable] = ACTIONS(5308),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5308),
    [anon_sym_NS_INLINE] = ACTIONS(5308),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5308),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5308),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5308),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5308),
    [anon_sym_const] = ACTIONS(5308),
    [anon_sym_constexpr] = ACTIONS(5308),
    [anon_sym_volatile] = ACTIONS(5308),
    [anon_sym_restrict] = ACTIONS(5308),
    [anon_sym___restrict__] = ACTIONS(5308),
    [anon_sym__Atomic] = ACTIONS(5308),
    [anon_sym__Noreturn] = ACTIONS(5308),
    [anon_sym__Nonnull] = ACTIONS(5308),
    [anon_sym_nullable] = ACTIONS(5308),
    [anon_sym__Complex] = ACTIONS(5308),
    [anon_sym__Nullable] = ACTIONS(5308),
    [anon_sym__Nullable_result] = ACTIONS(5308),
    [anon_sym__Null_unspecified] = ACTIONS(5308),
    [anon_sym___autoreleasing] = ACTIONS(5308),
    [anon_sym___block] = ACTIONS(5308),
    [anon_sym___bridge] = ACTIONS(5308),
    [anon_sym___bridge_retained] = ACTIONS(5308),
    [anon_sym___bridge_transfer] = ACTIONS(5308),
    [anon_sym___complex] = ACTIONS(5308),
    [anon_sym___const] = ACTIONS(5308),
    [anon_sym___imag] = ACTIONS(5308),
    [anon_sym___kindof] = ACTIONS(5308),
    [anon_sym___nonnull] = ACTIONS(5308),
    [anon_sym___nullable] = ACTIONS(5308),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5308),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5308),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5308),
    [anon_sym___real] = ACTIONS(5308),
    [anon_sym___strong] = ACTIONS(5308),
    [anon_sym___unsafe_unretained] = ACTIONS(5308),
    [anon_sym___unused] = ACTIONS(5308),
    [anon_sym___weak] = ACTIONS(5308),
    [anon_sym_alignas] = ACTIONS(5308),
    [anon_sym__Alignas] = ACTIONS(5308),
    [sym_primitive_type] = ACTIONS(5308),
    [anon_sym_enum] = ACTIONS(5308),
    [anon_sym_COLON] = ACTIONS(5310),
    [anon_sym_struct] = ACTIONS(5308),
    [anon_sym_union] = ACTIONS(5308),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5308),
    [anon_sym___typeof] = ACTIONS(5308),
    [anon_sym_typeof] = ACTIONS(5308),
    [aux_sym_preproc_undef_token1] = ACTIONS(5308),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5308),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5308),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5308),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5308),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5308),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5308),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5308),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5308),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5308),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5308),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5308),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5308),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5308),
    [anon_sym_API_AVAILABLE] = ACTIONS(5308),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5308),
    [anon_sym_API_DEPRECATED] = ACTIONS(5308),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5308),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5308),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5308),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5308),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5308),
    [anon_sym___deprecated_msg] = ACTIONS(5308),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5308),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5308),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5308),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5308),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5308),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5308),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5308),
    [anon_sym_ATend] = ACTIONS(5312),
    [anon_sym_ATsynthesize] = ACTIONS(5312),
    [anon_sym_ATdynamic] = ACTIONS(5312),
    [anon_sym_BOOL] = ACTIONS(5308),
    [anon_sym_IMP] = ACTIONS(5308),
    [anon_sym_SEL] = ACTIONS(5308),
    [anon_sym_Class] = ACTIONS(5308),
    [anon_sym_id] = ACTIONS(5308),
  },
  [2077] = {
    [sym_identifier] = ACTIONS(2356),
    [aux_sym_preproc_def_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2356),
    [sym_preproc_directive] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2358),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2356),
    [anon_sym_typedef] = ACTIONS(2356),
    [anon_sym_extern] = ACTIONS(2356),
    [anon_sym___attribute__] = ACTIONS(2356),
    [anon_sym___attribute] = ACTIONS(2356),
    [anon_sym_noreturn] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2358),
    [anon_sym___declspec] = ACTIONS(2356),
    [anon_sym___cdecl] = ACTIONS(2356),
    [anon_sym___clrcall] = ACTIONS(2356),
    [anon_sym___stdcall] = ACTIONS(2356),
    [anon_sym___fastcall] = ACTIONS(2356),
    [anon_sym___thiscall] = ACTIONS(2356),
    [anon_sym___vectorcall] = ACTIONS(2356),
    [anon_sym_signed] = ACTIONS(2356),
    [anon_sym_unsigned] = ACTIONS(2356),
    [anon_sym_long] = ACTIONS(2356),
    [anon_sym_short] = ACTIONS(2356),
    [anon_sym_static] = ACTIONS(2356),
    [anon_sym_auto] = ACTIONS(2356),
    [anon_sym_register] = ACTIONS(2356),
    [anon_sym_inline] = ACTIONS(2356),
    [anon_sym___inline] = ACTIONS(2356),
    [anon_sym___inline__] = ACTIONS(2356),
    [anon_sym___forceinline] = ACTIONS(2356),
    [anon_sym_thread_local] = ACTIONS(2356),
    [anon_sym___thread] = ACTIONS(2356),
    [anon_sym_CG_EXTERN] = ACTIONS(2356),
    [anon_sym_CG_INLINE] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2356),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2356),
    [anon_sym_IBOutlet] = ACTIONS(2356),
    [anon_sym_IBInspectable] = ACTIONS(2356),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2356),
    [anon_sym_NS_INLINE] = ACTIONS(2356),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2356),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2356),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2356),
    [anon_sym_const] = ACTIONS(2356),
    [anon_sym_constexpr] = ACTIONS(2356),
    [anon_sym_volatile] = ACTIONS(2356),
    [anon_sym_restrict] = ACTIONS(2356),
    [anon_sym___restrict__] = ACTIONS(2356),
    [anon_sym__Atomic] = ACTIONS(2356),
    [anon_sym__Noreturn] = ACTIONS(2356),
    [anon_sym__Nonnull] = ACTIONS(2356),
    [anon_sym_nullable] = ACTIONS(2356),
    [anon_sym__Complex] = ACTIONS(2356),
    [anon_sym__Nullable] = ACTIONS(2356),
    [anon_sym__Nullable_result] = ACTIONS(2356),
    [anon_sym__Null_unspecified] = ACTIONS(2356),
    [anon_sym___autoreleasing] = ACTIONS(2356),
    [anon_sym___block] = ACTIONS(2356),
    [anon_sym___bridge] = ACTIONS(2356),
    [anon_sym___bridge_retained] = ACTIONS(2356),
    [anon_sym___bridge_transfer] = ACTIONS(2356),
    [anon_sym___complex] = ACTIONS(2356),
    [anon_sym___const] = ACTIONS(2356),
    [anon_sym___imag] = ACTIONS(2356),
    [anon_sym___kindof] = ACTIONS(2356),
    [anon_sym___nonnull] = ACTIONS(2356),
    [anon_sym___nullable] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2356),
    [anon_sym___real] = ACTIONS(2356),
    [anon_sym___strong] = ACTIONS(2356),
    [anon_sym___unsafe_unretained] = ACTIONS(2356),
    [anon_sym___unused] = ACTIONS(2356),
    [anon_sym___weak] = ACTIONS(2356),
    [anon_sym_alignas] = ACTIONS(2356),
    [anon_sym__Alignas] = ACTIONS(2356),
    [sym_primitive_type] = ACTIONS(2356),
    [anon_sym_enum] = ACTIONS(2356),
    [anon_sym_struct] = ACTIONS(2356),
    [anon_sym_union] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2356),
    [anon_sym___typeof] = ACTIONS(2356),
    [anon_sym_typeof] = ACTIONS(2356),
    [aux_sym_preproc_undef_token1] = ACTIONS(2356),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2356),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2356),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2356),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_API_AVAILABLE] = ACTIONS(2356),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_API_DEPRECATED] = ACTIONS(2356),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym___deprecated_msg] = ACTIONS(2356),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2356),
    [anon_sym_ATend] = ACTIONS(2358),
    [anon_sym_AToptional] = ACTIONS(2358),
    [anon_sym_ATrequired] = ACTIONS(2358),
    [anon_sym_ATsynthesize] = ACTIONS(2358),
    [anon_sym_ATdynamic] = ACTIONS(2358),
    [anon_sym_ATproperty] = ACTIONS(2358),
    [anon_sym_BOOL] = ACTIONS(2356),
    [anon_sym_IMP] = ACTIONS(2356),
    [anon_sym_SEL] = ACTIONS(2356),
    [anon_sym_Class] = ACTIONS(2356),
    [anon_sym_id] = ACTIONS(2356),
  },
  [2078] = {
    [sym_identifier] = ACTIONS(2356),
    [aux_sym_preproc_def_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token2] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2356),
    [aux_sym_preproc_else_token1] = ACTIONS(2356),
    [aux_sym_preproc_elif_token1] = ACTIONS(2356),
    [sym_preproc_directive] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2358),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2356),
    [anon_sym_typedef] = ACTIONS(2356),
    [anon_sym_extern] = ACTIONS(2356),
    [anon_sym___attribute__] = ACTIONS(2356),
    [anon_sym___attribute] = ACTIONS(2356),
    [anon_sym_noreturn] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2358),
    [anon_sym___declspec] = ACTIONS(2356),
    [anon_sym___cdecl] = ACTIONS(2356),
    [anon_sym___clrcall] = ACTIONS(2356),
    [anon_sym___stdcall] = ACTIONS(2356),
    [anon_sym___fastcall] = ACTIONS(2356),
    [anon_sym___thiscall] = ACTIONS(2356),
    [anon_sym___vectorcall] = ACTIONS(2356),
    [anon_sym_signed] = ACTIONS(2356),
    [anon_sym_unsigned] = ACTIONS(2356),
    [anon_sym_long] = ACTIONS(2356),
    [anon_sym_short] = ACTIONS(2356),
    [anon_sym_static] = ACTIONS(2356),
    [anon_sym_auto] = ACTIONS(2356),
    [anon_sym_register] = ACTIONS(2356),
    [anon_sym_inline] = ACTIONS(2356),
    [anon_sym___inline] = ACTIONS(2356),
    [anon_sym___inline__] = ACTIONS(2356),
    [anon_sym___forceinline] = ACTIONS(2356),
    [anon_sym_thread_local] = ACTIONS(2356),
    [anon_sym___thread] = ACTIONS(2356),
    [anon_sym_CG_EXTERN] = ACTIONS(2356),
    [anon_sym_CG_INLINE] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2356),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2356),
    [anon_sym_IBOutlet] = ACTIONS(2356),
    [anon_sym_IBInspectable] = ACTIONS(2356),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2356),
    [anon_sym_NS_INLINE] = ACTIONS(2356),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2356),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2356),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2356),
    [anon_sym_const] = ACTIONS(2356),
    [anon_sym_constexpr] = ACTIONS(2356),
    [anon_sym_volatile] = ACTIONS(2356),
    [anon_sym_restrict] = ACTIONS(2356),
    [anon_sym___restrict__] = ACTIONS(2356),
    [anon_sym__Atomic] = ACTIONS(2356),
    [anon_sym__Noreturn] = ACTIONS(2356),
    [anon_sym__Nonnull] = ACTIONS(2356),
    [anon_sym_nullable] = ACTIONS(2356),
    [anon_sym__Complex] = ACTIONS(2356),
    [anon_sym__Nullable] = ACTIONS(2356),
    [anon_sym__Nullable_result] = ACTIONS(2356),
    [anon_sym__Null_unspecified] = ACTIONS(2356),
    [anon_sym___autoreleasing] = ACTIONS(2356),
    [anon_sym___block] = ACTIONS(2356),
    [anon_sym___bridge] = ACTIONS(2356),
    [anon_sym___bridge_retained] = ACTIONS(2356),
    [anon_sym___bridge_transfer] = ACTIONS(2356),
    [anon_sym___complex] = ACTIONS(2356),
    [anon_sym___const] = ACTIONS(2356),
    [anon_sym___imag] = ACTIONS(2356),
    [anon_sym___kindof] = ACTIONS(2356),
    [anon_sym___nonnull] = ACTIONS(2356),
    [anon_sym___nullable] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2356),
    [anon_sym___real] = ACTIONS(2356),
    [anon_sym___strong] = ACTIONS(2356),
    [anon_sym___unsafe_unretained] = ACTIONS(2356),
    [anon_sym___unused] = ACTIONS(2356),
    [anon_sym___weak] = ACTIONS(2356),
    [anon_sym_alignas] = ACTIONS(2356),
    [anon_sym__Alignas] = ACTIONS(2356),
    [sym_primitive_type] = ACTIONS(2356),
    [anon_sym_enum] = ACTIONS(2356),
    [anon_sym_struct] = ACTIONS(2356),
    [anon_sym_union] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2356),
    [anon_sym___typeof] = ACTIONS(2356),
    [anon_sym_typeof] = ACTIONS(2356),
    [aux_sym_preproc_undef_token1] = ACTIONS(2356),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2356),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2356),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2356),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_API_AVAILABLE] = ACTIONS(2356),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_API_DEPRECATED] = ACTIONS(2356),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym___deprecated_msg] = ACTIONS(2356),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2356),
    [anon_sym_ATsynthesize] = ACTIONS(2358),
    [anon_sym_ATdynamic] = ACTIONS(2358),
    [anon_sym_ATproperty] = ACTIONS(2358),
    [anon_sym_BOOL] = ACTIONS(2356),
    [anon_sym_IMP] = ACTIONS(2356),
    [anon_sym_SEL] = ACTIONS(2356),
    [anon_sym_Class] = ACTIONS(2356),
    [anon_sym_id] = ACTIONS(2356),
  },
  [2079] = {
    [sym_identifier] = ACTIONS(5070),
    [aux_sym_preproc_def_token1] = ACTIONS(5070),
    [aux_sym_preproc_if_token1] = ACTIONS(5070),
    [aux_sym_preproc_if_token2] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5070),
    [sym_preproc_directive] = ACTIONS(5070),
    [anon_sym_LPAREN2] = ACTIONS(5072),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_STAR] = ACTIONS(5072),
    [anon_sym_CARET] = ACTIONS(5072),
    [anon_sym___extension__] = ACTIONS(5070),
    [anon_sym_typedef] = ACTIONS(5070),
    [anon_sym_extern] = ACTIONS(5070),
    [anon_sym___attribute__] = ACTIONS(5070),
    [anon_sym___attribute] = ACTIONS(5070),
    [anon_sym_noreturn] = ACTIONS(5070),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [anon_sym___declspec] = ACTIONS(5070),
    [anon_sym___based] = ACTIONS(5076),
    [anon_sym___cdecl] = ACTIONS(5070),
    [anon_sym___clrcall] = ACTIONS(5070),
    [anon_sym___stdcall] = ACTIONS(5070),
    [anon_sym___fastcall] = ACTIONS(5070),
    [anon_sym___thiscall] = ACTIONS(5070),
    [anon_sym___vectorcall] = ACTIONS(5070),
    [anon_sym_signed] = ACTIONS(5070),
    [anon_sym_unsigned] = ACTIONS(5070),
    [anon_sym_long] = ACTIONS(5070),
    [anon_sym_short] = ACTIONS(5070),
    [anon_sym_static] = ACTIONS(5070),
    [anon_sym_auto] = ACTIONS(5070),
    [anon_sym_register] = ACTIONS(5070),
    [anon_sym_inline] = ACTIONS(5070),
    [anon_sym___inline] = ACTIONS(5070),
    [anon_sym___inline__] = ACTIONS(5070),
    [anon_sym___forceinline] = ACTIONS(5070),
    [anon_sym_thread_local] = ACTIONS(5070),
    [anon_sym___thread] = ACTIONS(5070),
    [anon_sym_CG_EXTERN] = ACTIONS(5070),
    [anon_sym_CG_INLINE] = ACTIONS(5070),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5070),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5070),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5070),
    [anon_sym_IBOutlet] = ACTIONS(5070),
    [anon_sym_IBInspectable] = ACTIONS(5070),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5070),
    [anon_sym_NS_INLINE] = ACTIONS(5070),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5070),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5070),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5070),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5070),
    [anon_sym_const] = ACTIONS(5070),
    [anon_sym_constexpr] = ACTIONS(5070),
    [anon_sym_volatile] = ACTIONS(5070),
    [anon_sym_restrict] = ACTIONS(5070),
    [anon_sym___restrict__] = ACTIONS(5070),
    [anon_sym__Atomic] = ACTIONS(5070),
    [anon_sym__Noreturn] = ACTIONS(5070),
    [anon_sym__Nonnull] = ACTIONS(5070),
    [anon_sym_nullable] = ACTIONS(5070),
    [anon_sym__Complex] = ACTIONS(5070),
    [anon_sym__Nullable] = ACTIONS(5070),
    [anon_sym__Nullable_result] = ACTIONS(5070),
    [anon_sym__Null_unspecified] = ACTIONS(5070),
    [anon_sym___autoreleasing] = ACTIONS(5070),
    [anon_sym___block] = ACTIONS(5070),
    [anon_sym___bridge] = ACTIONS(5070),
    [anon_sym___bridge_retained] = ACTIONS(5070),
    [anon_sym___bridge_transfer] = ACTIONS(5070),
    [anon_sym___complex] = ACTIONS(5070),
    [anon_sym___const] = ACTIONS(5070),
    [anon_sym___imag] = ACTIONS(5070),
    [anon_sym___kindof] = ACTIONS(5070),
    [anon_sym___nonnull] = ACTIONS(5070),
    [anon_sym___nullable] = ACTIONS(5070),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5070),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5070),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5070),
    [anon_sym___real] = ACTIONS(5070),
    [anon_sym___strong] = ACTIONS(5070),
    [anon_sym___unsafe_unretained] = ACTIONS(5070),
    [anon_sym___unused] = ACTIONS(5070),
    [anon_sym___weak] = ACTIONS(5070),
    [anon_sym_alignas] = ACTIONS(5070),
    [anon_sym__Alignas] = ACTIONS(5070),
    [sym_primitive_type] = ACTIONS(5070),
    [anon_sym_enum] = ACTIONS(5070),
    [anon_sym_struct] = ACTIONS(5070),
    [anon_sym_union] = ACTIONS(5070),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5070),
    [anon_sym___typeof] = ACTIONS(5070),
    [anon_sym_typeof] = ACTIONS(5070),
    [aux_sym_preproc_undef_token1] = ACTIONS(5070),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5070),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5070),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5070),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5070),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5070),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5070),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5070),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5070),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5070),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5070),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5070),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5070),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5070),
    [anon_sym_API_AVAILABLE] = ACTIONS(5070),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5070),
    [anon_sym_API_DEPRECATED] = ACTIONS(5070),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5070),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5070),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5070),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5070),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5070),
    [anon_sym___deprecated_msg] = ACTIONS(5070),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5070),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5070),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5070),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5070),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5070),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5070),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5070),
    [anon_sym_ATsynthesize] = ACTIONS(5074),
    [anon_sym_ATdynamic] = ACTIONS(5074),
    [anon_sym_BOOL] = ACTIONS(5070),
    [anon_sym_IMP] = ACTIONS(5070),
    [anon_sym_SEL] = ACTIONS(5070),
    [anon_sym_Class] = ACTIONS(5070),
    [anon_sym_id] = ACTIONS(5070),
  },
  [2080] = {
    [sym_method_type] = STATE(6636),
    [sym_identifier] = ACTIONS(5292),
    [aux_sym_preproc_def_token1] = ACTIONS(5294),
    [aux_sym_preproc_if_token1] = ACTIONS(5294),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5294),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5294),
    [sym_preproc_directive] = ACTIONS(5294),
    [anon_sym_LPAREN2] = ACTIONS(5296),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_SEMI] = ACTIONS(5298),
    [anon_sym___extension__] = ACTIONS(5294),
    [anon_sym_typedef] = ACTIONS(5294),
    [anon_sym_extern] = ACTIONS(5294),
    [anon_sym___attribute__] = ACTIONS(5294),
    [anon_sym___attribute] = ACTIONS(5294),
    [anon_sym_noreturn] = ACTIONS(5294),
    [anon_sym_LBRACK] = ACTIONS(5298),
    [anon_sym___declspec] = ACTIONS(5294),
    [anon_sym___cdecl] = ACTIONS(5294),
    [anon_sym___clrcall] = ACTIONS(5294),
    [anon_sym___stdcall] = ACTIONS(5294),
    [anon_sym___fastcall] = ACTIONS(5294),
    [anon_sym___thiscall] = ACTIONS(5294),
    [anon_sym___vectorcall] = ACTIONS(5294),
    [anon_sym_signed] = ACTIONS(5294),
    [anon_sym_unsigned] = ACTIONS(5294),
    [anon_sym_long] = ACTIONS(5294),
    [anon_sym_short] = ACTIONS(5294),
    [anon_sym_static] = ACTIONS(5294),
    [anon_sym_auto] = ACTIONS(5294),
    [anon_sym_register] = ACTIONS(5294),
    [anon_sym_inline] = ACTIONS(5294),
    [anon_sym___inline] = ACTIONS(5294),
    [anon_sym___inline__] = ACTIONS(5294),
    [anon_sym___forceinline] = ACTIONS(5294),
    [anon_sym_thread_local] = ACTIONS(5294),
    [anon_sym___thread] = ACTIONS(5294),
    [anon_sym_CG_EXTERN] = ACTIONS(5294),
    [anon_sym_CG_INLINE] = ACTIONS(5294),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5294),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5294),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5294),
    [anon_sym_IBOutlet] = ACTIONS(5294),
    [anon_sym_IBInspectable] = ACTIONS(5294),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5294),
    [anon_sym_NS_INLINE] = ACTIONS(5294),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5294),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5294),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5294),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5294),
    [anon_sym_const] = ACTIONS(5294),
    [anon_sym_constexpr] = ACTIONS(5294),
    [anon_sym_volatile] = ACTIONS(5294),
    [anon_sym_restrict] = ACTIONS(5294),
    [anon_sym___restrict__] = ACTIONS(5294),
    [anon_sym__Atomic] = ACTIONS(5294),
    [anon_sym__Noreturn] = ACTIONS(5294),
    [anon_sym__Nonnull] = ACTIONS(5294),
    [anon_sym_nullable] = ACTIONS(5294),
    [anon_sym__Complex] = ACTIONS(5294),
    [anon_sym__Nullable] = ACTIONS(5294),
    [anon_sym__Nullable_result] = ACTIONS(5294),
    [anon_sym__Null_unspecified] = ACTIONS(5294),
    [anon_sym___autoreleasing] = ACTIONS(5294),
    [anon_sym___block] = ACTIONS(5294),
    [anon_sym___bridge] = ACTIONS(5294),
    [anon_sym___bridge_retained] = ACTIONS(5294),
    [anon_sym___bridge_transfer] = ACTIONS(5294),
    [anon_sym___complex] = ACTIONS(5294),
    [anon_sym___const] = ACTIONS(5294),
    [anon_sym___imag] = ACTIONS(5294),
    [anon_sym___kindof] = ACTIONS(5294),
    [anon_sym___nonnull] = ACTIONS(5294),
    [anon_sym___nullable] = ACTIONS(5294),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5294),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5294),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5294),
    [anon_sym___real] = ACTIONS(5294),
    [anon_sym___strong] = ACTIONS(5294),
    [anon_sym___unsafe_unretained] = ACTIONS(5294),
    [anon_sym___unused] = ACTIONS(5294),
    [anon_sym___weak] = ACTIONS(5294),
    [anon_sym_alignas] = ACTIONS(5294),
    [anon_sym__Alignas] = ACTIONS(5294),
    [sym_primitive_type] = ACTIONS(5294),
    [anon_sym_enum] = ACTIONS(5294),
    [anon_sym_struct] = ACTIONS(5294),
    [anon_sym_union] = ACTIONS(5294),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5294),
    [anon_sym___typeof] = ACTIONS(5294),
    [anon_sym_typeof] = ACTIONS(5294),
    [aux_sym_preproc_undef_token1] = ACTIONS(5294),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5294),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5294),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5294),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5294),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5294),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5294),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5294),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5294),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5294),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5294),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5294),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5294),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5294),
    [anon_sym_API_AVAILABLE] = ACTIONS(5294),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5294),
    [anon_sym_API_DEPRECATED] = ACTIONS(5294),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5294),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5294),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5294),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5294),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5294),
    [anon_sym___deprecated_msg] = ACTIONS(5294),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5294),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5294),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5294),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5294),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5294),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5294),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5294),
    [anon_sym_ATend] = ACTIONS(5298),
    [anon_sym_AToptional] = ACTIONS(5298),
    [anon_sym_ATrequired] = ACTIONS(5298),
    [anon_sym_ATproperty] = ACTIONS(5298),
    [anon_sym_BOOL] = ACTIONS(5294),
    [anon_sym_IMP] = ACTIONS(5294),
    [anon_sym_SEL] = ACTIONS(5294),
    [anon_sym_Class] = ACTIONS(5294),
    [anon_sym_id] = ACTIONS(5294),
  },
  [2081] = {
    [sym_identifier] = ACTIONS(5222),
    [aux_sym_preproc_def_token1] = ACTIONS(5222),
    [aux_sym_preproc_if_token1] = ACTIONS(5222),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5222),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5222),
    [sym_preproc_directive] = ACTIONS(5222),
    [anon_sym_LPAREN2] = ACTIONS(5224),
    [anon_sym_DASH] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(5224),
    [anon_sym_LT] = ACTIONS(5224),
    [anon_sym___extension__] = ACTIONS(5222),
    [anon_sym_typedef] = ACTIONS(5222),
    [anon_sym_extern] = ACTIONS(5222),
    [anon_sym___attribute__] = ACTIONS(5222),
    [anon_sym___attribute] = ACTIONS(5222),
    [anon_sym_noreturn] = ACTIONS(5222),
    [anon_sym_LBRACK] = ACTIONS(5224),
    [anon_sym___declspec] = ACTIONS(5222),
    [anon_sym___cdecl] = ACTIONS(5222),
    [anon_sym___clrcall] = ACTIONS(5222),
    [anon_sym___stdcall] = ACTIONS(5222),
    [anon_sym___fastcall] = ACTIONS(5222),
    [anon_sym___thiscall] = ACTIONS(5222),
    [anon_sym___vectorcall] = ACTIONS(5222),
    [anon_sym_LBRACE] = ACTIONS(5224),
    [anon_sym_signed] = ACTIONS(5222),
    [anon_sym_unsigned] = ACTIONS(5222),
    [anon_sym_long] = ACTIONS(5222),
    [anon_sym_short] = ACTIONS(5222),
    [anon_sym_static] = ACTIONS(5222),
    [anon_sym_auto] = ACTIONS(5222),
    [anon_sym_register] = ACTIONS(5222),
    [anon_sym_inline] = ACTIONS(5222),
    [anon_sym___inline] = ACTIONS(5222),
    [anon_sym___inline__] = ACTIONS(5222),
    [anon_sym___forceinline] = ACTIONS(5222),
    [anon_sym_thread_local] = ACTIONS(5222),
    [anon_sym___thread] = ACTIONS(5222),
    [anon_sym_CG_EXTERN] = ACTIONS(5222),
    [anon_sym_CG_INLINE] = ACTIONS(5222),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5222),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5222),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5222),
    [anon_sym_IBOutlet] = ACTIONS(5222),
    [anon_sym_IBInspectable] = ACTIONS(5222),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5222),
    [anon_sym_NS_INLINE] = ACTIONS(5222),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5222),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5222),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5222),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5222),
    [anon_sym_const] = ACTIONS(5222),
    [anon_sym_constexpr] = ACTIONS(5222),
    [anon_sym_volatile] = ACTIONS(5222),
    [anon_sym_restrict] = ACTIONS(5222),
    [anon_sym___restrict__] = ACTIONS(5222),
    [anon_sym__Atomic] = ACTIONS(5222),
    [anon_sym__Noreturn] = ACTIONS(5222),
    [anon_sym__Nonnull] = ACTIONS(5222),
    [anon_sym_nullable] = ACTIONS(5222),
    [anon_sym__Complex] = ACTIONS(5222),
    [anon_sym__Nullable] = ACTIONS(5222),
    [anon_sym__Nullable_result] = ACTIONS(5222),
    [anon_sym__Null_unspecified] = ACTIONS(5222),
    [anon_sym___autoreleasing] = ACTIONS(5222),
    [anon_sym___block] = ACTIONS(5222),
    [anon_sym___bridge] = ACTIONS(5222),
    [anon_sym___bridge_retained] = ACTIONS(5222),
    [anon_sym___bridge_transfer] = ACTIONS(5222),
    [anon_sym___complex] = ACTIONS(5222),
    [anon_sym___const] = ACTIONS(5222),
    [anon_sym___imag] = ACTIONS(5222),
    [anon_sym___kindof] = ACTIONS(5222),
    [anon_sym___nonnull] = ACTIONS(5222),
    [anon_sym___nullable] = ACTIONS(5222),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5222),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5222),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5222),
    [anon_sym___real] = ACTIONS(5222),
    [anon_sym___strong] = ACTIONS(5222),
    [anon_sym___unsafe_unretained] = ACTIONS(5222),
    [anon_sym___unused] = ACTIONS(5222),
    [anon_sym___weak] = ACTIONS(5222),
    [anon_sym_alignas] = ACTIONS(5222),
    [anon_sym__Alignas] = ACTIONS(5222),
    [sym_primitive_type] = ACTIONS(5222),
    [anon_sym_enum] = ACTIONS(5222),
    [anon_sym_COLON] = ACTIONS(5224),
    [anon_sym_struct] = ACTIONS(5222),
    [anon_sym_union] = ACTIONS(5222),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5222),
    [anon_sym___typeof] = ACTIONS(5222),
    [anon_sym_typeof] = ACTIONS(5222),
    [aux_sym_preproc_undef_token1] = ACTIONS(5222),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5222),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5222),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5222),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5222),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5222),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5222),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5222),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5222),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5222),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5222),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5222),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5222),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5222),
    [anon_sym_API_AVAILABLE] = ACTIONS(5222),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5222),
    [anon_sym_API_DEPRECATED] = ACTIONS(5222),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5222),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5222),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5222),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5222),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5222),
    [anon_sym___deprecated_msg] = ACTIONS(5222),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5222),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5222),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5222),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5222),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5222),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5222),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5222),
    [anon_sym_ATend] = ACTIONS(5224),
    [anon_sym_ATsynthesize] = ACTIONS(5224),
    [anon_sym_ATdynamic] = ACTIONS(5224),
    [anon_sym_BOOL] = ACTIONS(5222),
    [anon_sym_IMP] = ACTIONS(5222),
    [anon_sym_SEL] = ACTIONS(5222),
    [anon_sym_Class] = ACTIONS(5222),
    [anon_sym_id] = ACTIONS(5222),
  },
  [2082] = {
    [sym_expression] = STATE(4472),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_union] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(203),
  },
  [2083] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5314),
    [anon_sym_COMMA] = ACTIONS(4419),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_STAR] = ACTIONS(5276),
    [anon_sym_SLASH] = ACTIONS(5276),
    [anon_sym_PERCENT] = ACTIONS(5276),
    [anon_sym_PIPE_PIPE] = ACTIONS(5316),
    [anon_sym_AMP_AMP] = ACTIONS(5318),
    [anon_sym_PIPE] = ACTIONS(5278),
    [anon_sym_CARET] = ACTIONS(5280),
    [anon_sym_AMP] = ACTIONS(5282),
    [anon_sym_EQ_EQ] = ACTIONS(5284),
    [anon_sym_BANG_EQ] = ACTIONS(5284),
    [anon_sym_GT] = ACTIONS(5286),
    [anon_sym_GT_EQ] = ACTIONS(5288),
    [anon_sym_LT_EQ] = ACTIONS(5288),
    [anon_sym_LT] = ACTIONS(5286),
    [anon_sym_LT_LT] = ACTIONS(5290),
    [anon_sym_GT_GT] = ACTIONS(5290),
    [anon_sym_SEMI] = ACTIONS(4419),
    [anon_sym___extension__] = ACTIONS(4419),
    [anon_sym_extern] = ACTIONS(4419),
    [anon_sym___attribute__] = ACTIONS(4419),
    [anon_sym___attribute] = ACTIONS(4417),
    [anon_sym_noreturn] = ACTIONS(4419),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4419),
    [anon_sym_static] = ACTIONS(4419),
    [anon_sym_EQ] = ACTIONS(4417),
    [anon_sym_auto] = ACTIONS(4419),
    [anon_sym_register] = ACTIONS(4419),
    [anon_sym_inline] = ACTIONS(4419),
    [anon_sym___inline] = ACTIONS(4417),
    [anon_sym___inline__] = ACTIONS(4419),
    [anon_sym___forceinline] = ACTIONS(4419),
    [anon_sym_thread_local] = ACTIONS(4419),
    [anon_sym___thread] = ACTIONS(4419),
    [anon_sym_CG_EXTERN] = ACTIONS(4419),
    [anon_sym_CG_INLINE] = ACTIONS(4419),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4419),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4419),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4419),
    [anon_sym_IBOutlet] = ACTIONS(4419),
    [anon_sym_IBInspectable] = ACTIONS(4419),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4419),
    [anon_sym_NS_INLINE] = ACTIONS(4419),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4419),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4419),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4419),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4419),
    [anon_sym_const] = ACTIONS(4417),
    [anon_sym_constexpr] = ACTIONS(4419),
    [anon_sym_volatile] = ACTIONS(4419),
    [anon_sym_restrict] = ACTIONS(4419),
    [anon_sym___restrict__] = ACTIONS(4419),
    [anon_sym__Atomic] = ACTIONS(4419),
    [anon_sym__Noreturn] = ACTIONS(4419),
    [anon_sym__Nonnull] = ACTIONS(4419),
    [anon_sym_nullable] = ACTIONS(4419),
    [anon_sym__Complex] = ACTIONS(4419),
    [anon_sym__Nullable] = ACTIONS(4417),
    [anon_sym__Nullable_result] = ACTIONS(4419),
    [anon_sym__Null_unspecified] = ACTIONS(4419),
    [anon_sym___autoreleasing] = ACTIONS(4419),
    [anon_sym___block] = ACTIONS(4419),
    [anon_sym___bridge] = ACTIONS(4417),
    [anon_sym___bridge_retained] = ACTIONS(4419),
    [anon_sym___bridge_transfer] = ACTIONS(4419),
    [anon_sym___complex] = ACTIONS(4419),
    [anon_sym___const] = ACTIONS(4419),
    [anon_sym___imag] = ACTIONS(4419),
    [anon_sym___kindof] = ACTIONS(4419),
    [anon_sym___nonnull] = ACTIONS(4419),
    [anon_sym___nullable] = ACTIONS(4419),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4419),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4419),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4419),
    [anon_sym___real] = ACTIONS(4419),
    [anon_sym___strong] = ACTIONS(4419),
    [anon_sym___unsafe_unretained] = ACTIONS(4419),
    [anon_sym___unused] = ACTIONS(4419),
    [anon_sym___weak] = ACTIONS(4419),
    [anon_sym_alignas] = ACTIONS(4419),
    [anon_sym__Alignas] = ACTIONS(4419),
    [anon_sym_QMARK] = ACTIONS(5320),
    [anon_sym_STAR_EQ] = ACTIONS(4419),
    [anon_sym_SLASH_EQ] = ACTIONS(4419),
    [anon_sym_PERCENT_EQ] = ACTIONS(4419),
    [anon_sym_PLUS_EQ] = ACTIONS(4419),
    [anon_sym_DASH_EQ] = ACTIONS(4419),
    [anon_sym_LT_LT_EQ] = ACTIONS(4419),
    [anon_sym_GT_GT_EQ] = ACTIONS(4419),
    [anon_sym_AMP_EQ] = ACTIONS(4419),
    [anon_sym_CARET_EQ] = ACTIONS(4419),
    [anon_sym_PIPE_EQ] = ACTIONS(4419),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4419),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4419),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4419),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4419),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4419),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4419),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4419),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4419),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4419),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4419),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4417),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4419),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4419),
    [anon_sym_API_AVAILABLE] = ACTIONS(4419),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4419),
    [anon_sym_API_DEPRECATED] = ACTIONS(4419),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4419),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4419),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4419),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4419),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4419),
    [anon_sym___deprecated_msg] = ACTIONS(4419),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4419),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4419),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4419),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4419),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4419),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4419),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4419),
  },
  [2084] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5314),
    [anon_sym_COMMA] = ACTIONS(4415),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_STAR] = ACTIONS(5276),
    [anon_sym_SLASH] = ACTIONS(5276),
    [anon_sym_PERCENT] = ACTIONS(5276),
    [anon_sym_PIPE_PIPE] = ACTIONS(5316),
    [anon_sym_AMP_AMP] = ACTIONS(5318),
    [anon_sym_PIPE] = ACTIONS(5278),
    [anon_sym_CARET] = ACTIONS(5280),
    [anon_sym_AMP] = ACTIONS(5282),
    [anon_sym_EQ_EQ] = ACTIONS(5284),
    [anon_sym_BANG_EQ] = ACTIONS(5284),
    [anon_sym_GT] = ACTIONS(5286),
    [anon_sym_GT_EQ] = ACTIONS(5288),
    [anon_sym_LT_EQ] = ACTIONS(5288),
    [anon_sym_LT] = ACTIONS(5286),
    [anon_sym_LT_LT] = ACTIONS(5290),
    [anon_sym_GT_GT] = ACTIONS(5290),
    [anon_sym_SEMI] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(4415),
    [anon_sym_extern] = ACTIONS(4415),
    [anon_sym___attribute__] = ACTIONS(4415),
    [anon_sym___attribute] = ACTIONS(4413),
    [anon_sym_noreturn] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4415),
    [anon_sym_static] = ACTIONS(4415),
    [anon_sym_EQ] = ACTIONS(4413),
    [anon_sym_auto] = ACTIONS(4415),
    [anon_sym_register] = ACTIONS(4415),
    [anon_sym_inline] = ACTIONS(4415),
    [anon_sym___inline] = ACTIONS(4413),
    [anon_sym___inline__] = ACTIONS(4415),
    [anon_sym___forceinline] = ACTIONS(4415),
    [anon_sym_thread_local] = ACTIONS(4415),
    [anon_sym___thread] = ACTIONS(4415),
    [anon_sym_CG_EXTERN] = ACTIONS(4415),
    [anon_sym_CG_INLINE] = ACTIONS(4415),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4415),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4415),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4415),
    [anon_sym_IBOutlet] = ACTIONS(4415),
    [anon_sym_IBInspectable] = ACTIONS(4415),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4415),
    [anon_sym_NS_INLINE] = ACTIONS(4415),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4415),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4415),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4415),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4415),
    [anon_sym_const] = ACTIONS(4413),
    [anon_sym_constexpr] = ACTIONS(4415),
    [anon_sym_volatile] = ACTIONS(4415),
    [anon_sym_restrict] = ACTIONS(4415),
    [anon_sym___restrict__] = ACTIONS(4415),
    [anon_sym__Atomic] = ACTIONS(4415),
    [anon_sym__Noreturn] = ACTIONS(4415),
    [anon_sym__Nonnull] = ACTIONS(4415),
    [anon_sym_nullable] = ACTIONS(4415),
    [anon_sym__Complex] = ACTIONS(4415),
    [anon_sym__Nullable] = ACTIONS(4413),
    [anon_sym__Nullable_result] = ACTIONS(4415),
    [anon_sym__Null_unspecified] = ACTIONS(4415),
    [anon_sym___autoreleasing] = ACTIONS(4415),
    [anon_sym___block] = ACTIONS(4415),
    [anon_sym___bridge] = ACTIONS(4413),
    [anon_sym___bridge_retained] = ACTIONS(4415),
    [anon_sym___bridge_transfer] = ACTIONS(4415),
    [anon_sym___complex] = ACTIONS(4415),
    [anon_sym___const] = ACTIONS(4415),
    [anon_sym___imag] = ACTIONS(4415),
    [anon_sym___kindof] = ACTIONS(4415),
    [anon_sym___nonnull] = ACTIONS(4415),
    [anon_sym___nullable] = ACTIONS(4415),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4415),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4415),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4415),
    [anon_sym___real] = ACTIONS(4415),
    [anon_sym___strong] = ACTIONS(4415),
    [anon_sym___unsafe_unretained] = ACTIONS(4415),
    [anon_sym___unused] = ACTIONS(4415),
    [anon_sym___weak] = ACTIONS(4415),
    [anon_sym_alignas] = ACTIONS(4415),
    [anon_sym__Alignas] = ACTIONS(4415),
    [anon_sym_QMARK] = ACTIONS(4415),
    [anon_sym_STAR_EQ] = ACTIONS(4415),
    [anon_sym_SLASH_EQ] = ACTIONS(4415),
    [anon_sym_PERCENT_EQ] = ACTIONS(4415),
    [anon_sym_PLUS_EQ] = ACTIONS(4415),
    [anon_sym_DASH_EQ] = ACTIONS(4415),
    [anon_sym_LT_LT_EQ] = ACTIONS(4415),
    [anon_sym_GT_GT_EQ] = ACTIONS(4415),
    [anon_sym_AMP_EQ] = ACTIONS(4415),
    [anon_sym_CARET_EQ] = ACTIONS(4415),
    [anon_sym_PIPE_EQ] = ACTIONS(4415),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4415),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4415),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4415),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4415),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4415),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4415),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4415),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4415),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4415),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4415),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4413),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4415),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4415),
    [anon_sym_API_AVAILABLE] = ACTIONS(4415),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4415),
    [anon_sym_API_DEPRECATED] = ACTIONS(4415),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4415),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4415),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4415),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4415),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4415),
    [anon_sym___deprecated_msg] = ACTIONS(4415),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4415),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4415),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4415),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4415),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4415),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4415),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4415),
  },
  [2085] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4034),
    [anon_sym_PLUS] = ACTIONS(4034),
    [anon_sym_STAR] = ACTIONS(5276),
    [anon_sym_SLASH] = ACTIONS(5276),
    [anon_sym_PERCENT] = ACTIONS(5276),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4034),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(4034),
    [anon_sym_GT_EQ] = ACTIONS(4036),
    [anon_sym_LT_EQ] = ACTIONS(4036),
    [anon_sym_LT] = ACTIONS(4034),
    [anon_sym_LT_LT] = ACTIONS(4034),
    [anon_sym_GT_GT] = ACTIONS(4034),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4036),
    [anon_sym_extern] = ACTIONS(4036),
    [anon_sym___attribute__] = ACTIONS(4036),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4036),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4036),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_auto] = ACTIONS(4036),
    [anon_sym_register] = ACTIONS(4036),
    [anon_sym_inline] = ACTIONS(4036),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4036),
    [anon_sym___forceinline] = ACTIONS(4036),
    [anon_sym_thread_local] = ACTIONS(4036),
    [anon_sym___thread] = ACTIONS(4036),
    [anon_sym_CG_EXTERN] = ACTIONS(4036),
    [anon_sym_CG_INLINE] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4036),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4036),
    [anon_sym_IBOutlet] = ACTIONS(4036),
    [anon_sym_IBInspectable] = ACTIONS(4036),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4036),
    [anon_sym_NS_INLINE] = ACTIONS(4036),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4036),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4036),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4036),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4036),
    [anon_sym_volatile] = ACTIONS(4036),
    [anon_sym_restrict] = ACTIONS(4036),
    [anon_sym___restrict__] = ACTIONS(4036),
    [anon_sym__Atomic] = ACTIONS(4036),
    [anon_sym__Noreturn] = ACTIONS(4036),
    [anon_sym__Nonnull] = ACTIONS(4036),
    [anon_sym_nullable] = ACTIONS(4036),
    [anon_sym__Complex] = ACTIONS(4036),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4036),
    [anon_sym__Null_unspecified] = ACTIONS(4036),
    [anon_sym___autoreleasing] = ACTIONS(4036),
    [anon_sym___block] = ACTIONS(4036),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4036),
    [anon_sym___bridge_transfer] = ACTIONS(4036),
    [anon_sym___complex] = ACTIONS(4036),
    [anon_sym___const] = ACTIONS(4036),
    [anon_sym___imag] = ACTIONS(4036),
    [anon_sym___kindof] = ACTIONS(4036),
    [anon_sym___nonnull] = ACTIONS(4036),
    [anon_sym___nullable] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4036),
    [anon_sym___real] = ACTIONS(4036),
    [anon_sym___strong] = ACTIONS(4036),
    [anon_sym___unsafe_unretained] = ACTIONS(4036),
    [anon_sym___unused] = ACTIONS(4036),
    [anon_sym___weak] = ACTIONS(4036),
    [anon_sym_alignas] = ACTIONS(4036),
    [anon_sym__Alignas] = ACTIONS(4036),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4036),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4036),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_API_AVAILABLE] = ACTIONS(4036),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_API_DEPRECATED] = ACTIONS(4036),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym___deprecated_msg] = ACTIONS(4036),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4036),
  },
  [2086] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_STAR] = ACTIONS(5276),
    [anon_sym_SLASH] = ACTIONS(5276),
    [anon_sym_PERCENT] = ACTIONS(5276),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(5318),
    [anon_sym_PIPE] = ACTIONS(5278),
    [anon_sym_CARET] = ACTIONS(5280),
    [anon_sym_AMP] = ACTIONS(5282),
    [anon_sym_EQ_EQ] = ACTIONS(5284),
    [anon_sym_BANG_EQ] = ACTIONS(5284),
    [anon_sym_GT] = ACTIONS(5286),
    [anon_sym_GT_EQ] = ACTIONS(5288),
    [anon_sym_LT_EQ] = ACTIONS(5288),
    [anon_sym_LT] = ACTIONS(5286),
    [anon_sym_LT_LT] = ACTIONS(5290),
    [anon_sym_GT_GT] = ACTIONS(5290),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4036),
    [anon_sym_extern] = ACTIONS(4036),
    [anon_sym___attribute__] = ACTIONS(4036),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4036),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4036),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_auto] = ACTIONS(4036),
    [anon_sym_register] = ACTIONS(4036),
    [anon_sym_inline] = ACTIONS(4036),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4036),
    [anon_sym___forceinline] = ACTIONS(4036),
    [anon_sym_thread_local] = ACTIONS(4036),
    [anon_sym___thread] = ACTIONS(4036),
    [anon_sym_CG_EXTERN] = ACTIONS(4036),
    [anon_sym_CG_INLINE] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4036),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4036),
    [anon_sym_IBOutlet] = ACTIONS(4036),
    [anon_sym_IBInspectable] = ACTIONS(4036),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4036),
    [anon_sym_NS_INLINE] = ACTIONS(4036),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4036),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4036),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4036),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4036),
    [anon_sym_volatile] = ACTIONS(4036),
    [anon_sym_restrict] = ACTIONS(4036),
    [anon_sym___restrict__] = ACTIONS(4036),
    [anon_sym__Atomic] = ACTIONS(4036),
    [anon_sym__Noreturn] = ACTIONS(4036),
    [anon_sym__Nonnull] = ACTIONS(4036),
    [anon_sym_nullable] = ACTIONS(4036),
    [anon_sym__Complex] = ACTIONS(4036),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4036),
    [anon_sym__Null_unspecified] = ACTIONS(4036),
    [anon_sym___autoreleasing] = ACTIONS(4036),
    [anon_sym___block] = ACTIONS(4036),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4036),
    [anon_sym___bridge_transfer] = ACTIONS(4036),
    [anon_sym___complex] = ACTIONS(4036),
    [anon_sym___const] = ACTIONS(4036),
    [anon_sym___imag] = ACTIONS(4036),
    [anon_sym___kindof] = ACTIONS(4036),
    [anon_sym___nonnull] = ACTIONS(4036),
    [anon_sym___nullable] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4036),
    [anon_sym___real] = ACTIONS(4036),
    [anon_sym___strong] = ACTIONS(4036),
    [anon_sym___unsafe_unretained] = ACTIONS(4036),
    [anon_sym___unused] = ACTIONS(4036),
    [anon_sym___weak] = ACTIONS(4036),
    [anon_sym_alignas] = ACTIONS(4036),
    [anon_sym__Alignas] = ACTIONS(4036),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4036),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4036),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_API_AVAILABLE] = ACTIONS(4036),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_API_DEPRECATED] = ACTIONS(4036),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym___deprecated_msg] = ACTIONS(4036),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4036),
  },
  [2087] = {
    [sym_identifier] = ACTIONS(2766),
    [anon_sym_COMMA] = ACTIONS(2768),
    [anon_sym_RPAREN] = ACTIONS(2768),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2768),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2768),
    [anon_sym_LPAREN2] = ACTIONS(2768),
    [anon_sym_STAR] = ACTIONS(2768),
    [anon_sym_CARET] = ACTIONS(2768),
    [anon_sym_GT] = ACTIONS(2768),
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym___extension__] = ACTIONS(2766),
    [anon_sym_extern] = ACTIONS(2766),
    [anon_sym___attribute__] = ACTIONS(2766),
    [anon_sym___attribute] = ACTIONS(2766),
    [anon_sym_noreturn] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2768),
    [anon_sym___declspec] = ACTIONS(2766),
    [anon_sym___based] = ACTIONS(2766),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_RBRACE] = ACTIONS(2768),
    [anon_sym_signed] = ACTIONS(2766),
    [anon_sym_unsigned] = ACTIONS(2766),
    [anon_sym_long] = ACTIONS(2766),
    [anon_sym_short] = ACTIONS(2766),
    [anon_sym_static] = ACTIONS(2766),
    [anon_sym_EQ] = ACTIONS(2768),
    [anon_sym_ATautoreleasepool] = ACTIONS(2768),
    [anon_sym_auto] = ACTIONS(2766),
    [anon_sym_register] = ACTIONS(2766),
    [anon_sym_inline] = ACTIONS(2766),
    [anon_sym___inline] = ACTIONS(2766),
    [anon_sym___inline__] = ACTIONS(2766),
    [anon_sym___forceinline] = ACTIONS(2766),
    [anon_sym_thread_local] = ACTIONS(2766),
    [anon_sym___thread] = ACTIONS(2766),
    [anon_sym_CG_EXTERN] = ACTIONS(2766),
    [anon_sym_CG_INLINE] = ACTIONS(2766),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2766),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2766),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2766),
    [anon_sym_IBOutlet] = ACTIONS(2766),
    [anon_sym_IBInspectable] = ACTIONS(2766),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2766),
    [anon_sym_NS_INLINE] = ACTIONS(2766),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2766),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2766),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2766),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2766),
    [anon_sym_const] = ACTIONS(2766),
    [anon_sym_constexpr] = ACTIONS(2766),
    [anon_sym_volatile] = ACTIONS(2766),
    [anon_sym_restrict] = ACTIONS(2766),
    [anon_sym___restrict__] = ACTIONS(2766),
    [anon_sym__Atomic] = ACTIONS(2766),
    [anon_sym__Noreturn] = ACTIONS(2766),
    [anon_sym__Nonnull] = ACTIONS(2766),
    [anon_sym_nullable] = ACTIONS(2766),
    [anon_sym__Complex] = ACTIONS(2766),
    [anon_sym__Nullable] = ACTIONS(2766),
    [anon_sym__Nullable_result] = ACTIONS(2766),
    [anon_sym__Null_unspecified] = ACTIONS(2766),
    [anon_sym___autoreleasing] = ACTIONS(2766),
    [anon_sym___block] = ACTIONS(2766),
    [anon_sym___bridge] = ACTIONS(2766),
    [anon_sym___bridge_retained] = ACTIONS(2766),
    [anon_sym___bridge_transfer] = ACTIONS(2766),
    [anon_sym___complex] = ACTIONS(2766),
    [anon_sym___const] = ACTIONS(2766),
    [anon_sym___imag] = ACTIONS(2766),
    [anon_sym___kindof] = ACTIONS(2766),
    [anon_sym___nonnull] = ACTIONS(2766),
    [anon_sym___nullable] = ACTIONS(2766),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2766),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2766),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2766),
    [anon_sym___real] = ACTIONS(2766),
    [anon_sym___strong] = ACTIONS(2766),
    [anon_sym___unsafe_unretained] = ACTIONS(2766),
    [anon_sym___unused] = ACTIONS(2766),
    [anon_sym___weak] = ACTIONS(2766),
    [anon_sym_alignas] = ACTIONS(2766),
    [anon_sym__Alignas] = ACTIONS(2766),
    [sym_primitive_type] = ACTIONS(2766),
    [anon_sym_enum] = ACTIONS(2766),
    [anon_sym_COLON] = ACTIONS(2768),
    [anon_sym_struct] = ACTIONS(2766),
    [anon_sym_union] = ACTIONS(2766),
    [anon_sym_asm] = ACTIONS(2766),
    [anon_sym___asm__] = ACTIONS(2766),
    [anon_sym___asm] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2766),
    [anon_sym___typeof] = ACTIONS(2766),
    [anon_sym_typeof] = ACTIONS(2766),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2766),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2766),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2766),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2766),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2766),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2766),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2766),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2766),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2766),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2766),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2766),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2766),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2766),
    [anon_sym_API_AVAILABLE] = ACTIONS(2766),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2766),
    [anon_sym_API_DEPRECATED] = ACTIONS(2766),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2766),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2766),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2766),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2766),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2766),
    [anon_sym___deprecated_msg] = ACTIONS(2766),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2766),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2766),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2766),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2766),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2766),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2766),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2766),
    [anon_sym_ATprotocol] = ACTIONS(2768),
    [anon_sym_ATinterface] = ACTIONS(2768),
    [anon_sym_ATimplementation] = ACTIONS(2768),
    [anon_sym_ATproperty] = ACTIONS(2768),
    [anon_sym_BOOL] = ACTIONS(2766),
    [anon_sym_IMP] = ACTIONS(2766),
    [anon_sym_SEL] = ACTIONS(2766),
    [anon_sym_Class] = ACTIONS(2766),
    [anon_sym_id] = ACTIONS(2766),
  },
  [2088] = {
    [sym_identifier] = ACTIONS(4954),
    [aux_sym_preproc_def_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token1] = ACTIONS(4954),
    [aux_sym_preproc_if_token2] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4954),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4954),
    [sym_preproc_directive] = ACTIONS(4954),
    [anon_sym_LPAREN2] = ACTIONS(4956),
    [anon_sym_DASH] = ACTIONS(4956),
    [anon_sym_PLUS] = ACTIONS(4956),
    [anon_sym_STAR] = ACTIONS(4956),
    [anon_sym_CARET] = ACTIONS(4956),
    [anon_sym___extension__] = ACTIONS(4954),
    [anon_sym_typedef] = ACTIONS(4954),
    [anon_sym_extern] = ACTIONS(4954),
    [anon_sym___attribute__] = ACTIONS(4954),
    [anon_sym___attribute] = ACTIONS(4954),
    [anon_sym_noreturn] = ACTIONS(4954),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [anon_sym___declspec] = ACTIONS(4954),
    [anon_sym___based] = ACTIONS(4954),
    [anon_sym___cdecl] = ACTIONS(4954),
    [anon_sym___clrcall] = ACTIONS(4954),
    [anon_sym___stdcall] = ACTIONS(4954),
    [anon_sym___fastcall] = ACTIONS(4954),
    [anon_sym___thiscall] = ACTIONS(4954),
    [anon_sym___vectorcall] = ACTIONS(4954),
    [anon_sym_signed] = ACTIONS(4954),
    [anon_sym_unsigned] = ACTIONS(4954),
    [anon_sym_long] = ACTIONS(4954),
    [anon_sym_short] = ACTIONS(4954),
    [anon_sym_static] = ACTIONS(4954),
    [anon_sym_auto] = ACTIONS(4954),
    [anon_sym_register] = ACTIONS(4954),
    [anon_sym_inline] = ACTIONS(4954),
    [anon_sym___inline] = ACTIONS(4954),
    [anon_sym___inline__] = ACTIONS(4954),
    [anon_sym___forceinline] = ACTIONS(4954),
    [anon_sym_thread_local] = ACTIONS(4954),
    [anon_sym___thread] = ACTIONS(4954),
    [anon_sym_CG_EXTERN] = ACTIONS(4954),
    [anon_sym_CG_INLINE] = ACTIONS(4954),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4954),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4954),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4954),
    [anon_sym_IBOutlet] = ACTIONS(4954),
    [anon_sym_IBInspectable] = ACTIONS(4954),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4954),
    [anon_sym_NS_INLINE] = ACTIONS(4954),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4954),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4954),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4954),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4954),
    [anon_sym_const] = ACTIONS(4954),
    [anon_sym_constexpr] = ACTIONS(4954),
    [anon_sym_volatile] = ACTIONS(4954),
    [anon_sym_restrict] = ACTIONS(4954),
    [anon_sym___restrict__] = ACTIONS(4954),
    [anon_sym__Atomic] = ACTIONS(4954),
    [anon_sym__Noreturn] = ACTIONS(4954),
    [anon_sym__Nonnull] = ACTIONS(4954),
    [anon_sym_nullable] = ACTIONS(4954),
    [anon_sym__Complex] = ACTIONS(4954),
    [anon_sym__Nullable] = ACTIONS(4954),
    [anon_sym__Nullable_result] = ACTIONS(4954),
    [anon_sym__Null_unspecified] = ACTIONS(4954),
    [anon_sym___autoreleasing] = ACTIONS(4954),
    [anon_sym___block] = ACTIONS(4954),
    [anon_sym___bridge] = ACTIONS(4954),
    [anon_sym___bridge_retained] = ACTIONS(4954),
    [anon_sym___bridge_transfer] = ACTIONS(4954),
    [anon_sym___complex] = ACTIONS(4954),
    [anon_sym___const] = ACTIONS(4954),
    [anon_sym___imag] = ACTIONS(4954),
    [anon_sym___kindof] = ACTIONS(4954),
    [anon_sym___nonnull] = ACTIONS(4954),
    [anon_sym___nullable] = ACTIONS(4954),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4954),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4954),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4954),
    [anon_sym___real] = ACTIONS(4954),
    [anon_sym___strong] = ACTIONS(4954),
    [anon_sym___unsafe_unretained] = ACTIONS(4954),
    [anon_sym___unused] = ACTIONS(4954),
    [anon_sym___weak] = ACTIONS(4954),
    [anon_sym_alignas] = ACTIONS(4954),
    [anon_sym__Alignas] = ACTIONS(4954),
    [sym_primitive_type] = ACTIONS(4954),
    [anon_sym_enum] = ACTIONS(4954),
    [anon_sym_struct] = ACTIONS(4954),
    [anon_sym_union] = ACTIONS(4954),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4954),
    [anon_sym___typeof] = ACTIONS(4954),
    [anon_sym_typeof] = ACTIONS(4954),
    [aux_sym_preproc_undef_token1] = ACTIONS(4954),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4954),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4954),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4954),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4954),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4954),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4954),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4954),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4954),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4954),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4954),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4954),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4954),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4954),
    [anon_sym_API_AVAILABLE] = ACTIONS(4954),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4954),
    [anon_sym_API_DEPRECATED] = ACTIONS(4954),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4954),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4954),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4954),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4954),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4954),
    [anon_sym___deprecated_msg] = ACTIONS(4954),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4954),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4954),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4954),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4954),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4954),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4954),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4954),
    [anon_sym_ATsynthesize] = ACTIONS(4956),
    [anon_sym_ATdynamic] = ACTIONS(4956),
    [anon_sym_BOOL] = ACTIONS(4954),
    [anon_sym_IMP] = ACTIONS(4954),
    [anon_sym_SEL] = ACTIONS(4954),
    [anon_sym_Class] = ACTIONS(4954),
    [anon_sym_id] = ACTIONS(4954),
  },
  [2089] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_STAR] = ACTIONS(5276),
    [anon_sym_SLASH] = ACTIONS(5276),
    [anon_sym_PERCENT] = ACTIONS(5276),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4034),
    [anon_sym_AMP] = ACTIONS(5282),
    [anon_sym_EQ_EQ] = ACTIONS(5284),
    [anon_sym_BANG_EQ] = ACTIONS(5284),
    [anon_sym_GT] = ACTIONS(5286),
    [anon_sym_GT_EQ] = ACTIONS(5288),
    [anon_sym_LT_EQ] = ACTIONS(5288),
    [anon_sym_LT] = ACTIONS(5286),
    [anon_sym_LT_LT] = ACTIONS(5290),
    [anon_sym_GT_GT] = ACTIONS(5290),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4036),
    [anon_sym_extern] = ACTIONS(4036),
    [anon_sym___attribute__] = ACTIONS(4036),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4036),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4036),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_auto] = ACTIONS(4036),
    [anon_sym_register] = ACTIONS(4036),
    [anon_sym_inline] = ACTIONS(4036),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4036),
    [anon_sym___forceinline] = ACTIONS(4036),
    [anon_sym_thread_local] = ACTIONS(4036),
    [anon_sym___thread] = ACTIONS(4036),
    [anon_sym_CG_EXTERN] = ACTIONS(4036),
    [anon_sym_CG_INLINE] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4036),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4036),
    [anon_sym_IBOutlet] = ACTIONS(4036),
    [anon_sym_IBInspectable] = ACTIONS(4036),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4036),
    [anon_sym_NS_INLINE] = ACTIONS(4036),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4036),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4036),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4036),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4036),
    [anon_sym_volatile] = ACTIONS(4036),
    [anon_sym_restrict] = ACTIONS(4036),
    [anon_sym___restrict__] = ACTIONS(4036),
    [anon_sym__Atomic] = ACTIONS(4036),
    [anon_sym__Noreturn] = ACTIONS(4036),
    [anon_sym__Nonnull] = ACTIONS(4036),
    [anon_sym_nullable] = ACTIONS(4036),
    [anon_sym__Complex] = ACTIONS(4036),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4036),
    [anon_sym__Null_unspecified] = ACTIONS(4036),
    [anon_sym___autoreleasing] = ACTIONS(4036),
    [anon_sym___block] = ACTIONS(4036),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4036),
    [anon_sym___bridge_transfer] = ACTIONS(4036),
    [anon_sym___complex] = ACTIONS(4036),
    [anon_sym___const] = ACTIONS(4036),
    [anon_sym___imag] = ACTIONS(4036),
    [anon_sym___kindof] = ACTIONS(4036),
    [anon_sym___nonnull] = ACTIONS(4036),
    [anon_sym___nullable] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4036),
    [anon_sym___real] = ACTIONS(4036),
    [anon_sym___strong] = ACTIONS(4036),
    [anon_sym___unsafe_unretained] = ACTIONS(4036),
    [anon_sym___unused] = ACTIONS(4036),
    [anon_sym___weak] = ACTIONS(4036),
    [anon_sym_alignas] = ACTIONS(4036),
    [anon_sym__Alignas] = ACTIONS(4036),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4036),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4036),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_API_AVAILABLE] = ACTIONS(4036),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_API_DEPRECATED] = ACTIONS(4036),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym___deprecated_msg] = ACTIONS(4036),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4036),
  },
  [2090] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_STAR] = ACTIONS(5276),
    [anon_sym_SLASH] = ACTIONS(5276),
    [anon_sym_PERCENT] = ACTIONS(5276),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4034),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(5284),
    [anon_sym_BANG_EQ] = ACTIONS(5284),
    [anon_sym_GT] = ACTIONS(5286),
    [anon_sym_GT_EQ] = ACTIONS(5288),
    [anon_sym_LT_EQ] = ACTIONS(5288),
    [anon_sym_LT] = ACTIONS(5286),
    [anon_sym_LT_LT] = ACTIONS(5290),
    [anon_sym_GT_GT] = ACTIONS(5290),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4036),
    [anon_sym_extern] = ACTIONS(4036),
    [anon_sym___attribute__] = ACTIONS(4036),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4036),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4036),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_auto] = ACTIONS(4036),
    [anon_sym_register] = ACTIONS(4036),
    [anon_sym_inline] = ACTIONS(4036),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4036),
    [anon_sym___forceinline] = ACTIONS(4036),
    [anon_sym_thread_local] = ACTIONS(4036),
    [anon_sym___thread] = ACTIONS(4036),
    [anon_sym_CG_EXTERN] = ACTIONS(4036),
    [anon_sym_CG_INLINE] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4036),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4036),
    [anon_sym_IBOutlet] = ACTIONS(4036),
    [anon_sym_IBInspectable] = ACTIONS(4036),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4036),
    [anon_sym_NS_INLINE] = ACTIONS(4036),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4036),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4036),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4036),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4036),
    [anon_sym_volatile] = ACTIONS(4036),
    [anon_sym_restrict] = ACTIONS(4036),
    [anon_sym___restrict__] = ACTIONS(4036),
    [anon_sym__Atomic] = ACTIONS(4036),
    [anon_sym__Noreturn] = ACTIONS(4036),
    [anon_sym__Nonnull] = ACTIONS(4036),
    [anon_sym_nullable] = ACTIONS(4036),
    [anon_sym__Complex] = ACTIONS(4036),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4036),
    [anon_sym__Null_unspecified] = ACTIONS(4036),
    [anon_sym___autoreleasing] = ACTIONS(4036),
    [anon_sym___block] = ACTIONS(4036),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4036),
    [anon_sym___bridge_transfer] = ACTIONS(4036),
    [anon_sym___complex] = ACTIONS(4036),
    [anon_sym___const] = ACTIONS(4036),
    [anon_sym___imag] = ACTIONS(4036),
    [anon_sym___kindof] = ACTIONS(4036),
    [anon_sym___nonnull] = ACTIONS(4036),
    [anon_sym___nullable] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4036),
    [anon_sym___real] = ACTIONS(4036),
    [anon_sym___strong] = ACTIONS(4036),
    [anon_sym___unsafe_unretained] = ACTIONS(4036),
    [anon_sym___unused] = ACTIONS(4036),
    [anon_sym___weak] = ACTIONS(4036),
    [anon_sym_alignas] = ACTIONS(4036),
    [anon_sym__Alignas] = ACTIONS(4036),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4036),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4036),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_API_AVAILABLE] = ACTIONS(4036),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_API_DEPRECATED] = ACTIONS(4036),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym___deprecated_msg] = ACTIONS(4036),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4036),
  },
  [2091] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_STAR] = ACTIONS(5276),
    [anon_sym_SLASH] = ACTIONS(5276),
    [anon_sym_PERCENT] = ACTIONS(5276),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4034),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(5286),
    [anon_sym_GT_EQ] = ACTIONS(5288),
    [anon_sym_LT_EQ] = ACTIONS(5288),
    [anon_sym_LT] = ACTIONS(5286),
    [anon_sym_LT_LT] = ACTIONS(5290),
    [anon_sym_GT_GT] = ACTIONS(5290),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4036),
    [anon_sym_extern] = ACTIONS(4036),
    [anon_sym___attribute__] = ACTIONS(4036),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4036),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4036),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_auto] = ACTIONS(4036),
    [anon_sym_register] = ACTIONS(4036),
    [anon_sym_inline] = ACTIONS(4036),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4036),
    [anon_sym___forceinline] = ACTIONS(4036),
    [anon_sym_thread_local] = ACTIONS(4036),
    [anon_sym___thread] = ACTIONS(4036),
    [anon_sym_CG_EXTERN] = ACTIONS(4036),
    [anon_sym_CG_INLINE] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4036),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4036),
    [anon_sym_IBOutlet] = ACTIONS(4036),
    [anon_sym_IBInspectable] = ACTIONS(4036),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4036),
    [anon_sym_NS_INLINE] = ACTIONS(4036),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4036),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4036),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4036),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4036),
    [anon_sym_volatile] = ACTIONS(4036),
    [anon_sym_restrict] = ACTIONS(4036),
    [anon_sym___restrict__] = ACTIONS(4036),
    [anon_sym__Atomic] = ACTIONS(4036),
    [anon_sym__Noreturn] = ACTIONS(4036),
    [anon_sym__Nonnull] = ACTIONS(4036),
    [anon_sym_nullable] = ACTIONS(4036),
    [anon_sym__Complex] = ACTIONS(4036),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4036),
    [anon_sym__Null_unspecified] = ACTIONS(4036),
    [anon_sym___autoreleasing] = ACTIONS(4036),
    [anon_sym___block] = ACTIONS(4036),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4036),
    [anon_sym___bridge_transfer] = ACTIONS(4036),
    [anon_sym___complex] = ACTIONS(4036),
    [anon_sym___const] = ACTIONS(4036),
    [anon_sym___imag] = ACTIONS(4036),
    [anon_sym___kindof] = ACTIONS(4036),
    [anon_sym___nonnull] = ACTIONS(4036),
    [anon_sym___nullable] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4036),
    [anon_sym___real] = ACTIONS(4036),
    [anon_sym___strong] = ACTIONS(4036),
    [anon_sym___unsafe_unretained] = ACTIONS(4036),
    [anon_sym___unused] = ACTIONS(4036),
    [anon_sym___weak] = ACTIONS(4036),
    [anon_sym_alignas] = ACTIONS(4036),
    [anon_sym__Alignas] = ACTIONS(4036),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4036),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4036),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_API_AVAILABLE] = ACTIONS(4036),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_API_DEPRECATED] = ACTIONS(4036),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym___deprecated_msg] = ACTIONS(4036),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4036),
  },
  [2092] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_STAR] = ACTIONS(5276),
    [anon_sym_SLASH] = ACTIONS(5276),
    [anon_sym_PERCENT] = ACTIONS(5276),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4034),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(4034),
    [anon_sym_GT_EQ] = ACTIONS(4036),
    [anon_sym_LT_EQ] = ACTIONS(4036),
    [anon_sym_LT] = ACTIONS(4034),
    [anon_sym_LT_LT] = ACTIONS(5290),
    [anon_sym_GT_GT] = ACTIONS(5290),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4036),
    [anon_sym_extern] = ACTIONS(4036),
    [anon_sym___attribute__] = ACTIONS(4036),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4036),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4036),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_auto] = ACTIONS(4036),
    [anon_sym_register] = ACTIONS(4036),
    [anon_sym_inline] = ACTIONS(4036),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4036),
    [anon_sym___forceinline] = ACTIONS(4036),
    [anon_sym_thread_local] = ACTIONS(4036),
    [anon_sym___thread] = ACTIONS(4036),
    [anon_sym_CG_EXTERN] = ACTIONS(4036),
    [anon_sym_CG_INLINE] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4036),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4036),
    [anon_sym_IBOutlet] = ACTIONS(4036),
    [anon_sym_IBInspectable] = ACTIONS(4036),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4036),
    [anon_sym_NS_INLINE] = ACTIONS(4036),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4036),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4036),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4036),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4036),
    [anon_sym_volatile] = ACTIONS(4036),
    [anon_sym_restrict] = ACTIONS(4036),
    [anon_sym___restrict__] = ACTIONS(4036),
    [anon_sym__Atomic] = ACTIONS(4036),
    [anon_sym__Noreturn] = ACTIONS(4036),
    [anon_sym__Nonnull] = ACTIONS(4036),
    [anon_sym_nullable] = ACTIONS(4036),
    [anon_sym__Complex] = ACTIONS(4036),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4036),
    [anon_sym__Null_unspecified] = ACTIONS(4036),
    [anon_sym___autoreleasing] = ACTIONS(4036),
    [anon_sym___block] = ACTIONS(4036),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4036),
    [anon_sym___bridge_transfer] = ACTIONS(4036),
    [anon_sym___complex] = ACTIONS(4036),
    [anon_sym___const] = ACTIONS(4036),
    [anon_sym___imag] = ACTIONS(4036),
    [anon_sym___kindof] = ACTIONS(4036),
    [anon_sym___nonnull] = ACTIONS(4036),
    [anon_sym___nullable] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4036),
    [anon_sym___real] = ACTIONS(4036),
    [anon_sym___strong] = ACTIONS(4036),
    [anon_sym___unsafe_unretained] = ACTIONS(4036),
    [anon_sym___unused] = ACTIONS(4036),
    [anon_sym___weak] = ACTIONS(4036),
    [anon_sym_alignas] = ACTIONS(4036),
    [anon_sym__Alignas] = ACTIONS(4036),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4036),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4036),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_API_AVAILABLE] = ACTIONS(4036),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_API_DEPRECATED] = ACTIONS(4036),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym___deprecated_msg] = ACTIONS(4036),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4036),
  },
  [2093] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_STAR] = ACTIONS(5276),
    [anon_sym_SLASH] = ACTIONS(5276),
    [anon_sym_PERCENT] = ACTIONS(5276),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4034),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(4034),
    [anon_sym_GT_EQ] = ACTIONS(4036),
    [anon_sym_LT_EQ] = ACTIONS(4036),
    [anon_sym_LT] = ACTIONS(4034),
    [anon_sym_LT_LT] = ACTIONS(4034),
    [anon_sym_GT_GT] = ACTIONS(4034),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4036),
    [anon_sym_extern] = ACTIONS(4036),
    [anon_sym___attribute__] = ACTIONS(4036),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4036),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4036),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_auto] = ACTIONS(4036),
    [anon_sym_register] = ACTIONS(4036),
    [anon_sym_inline] = ACTIONS(4036),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4036),
    [anon_sym___forceinline] = ACTIONS(4036),
    [anon_sym_thread_local] = ACTIONS(4036),
    [anon_sym___thread] = ACTIONS(4036),
    [anon_sym_CG_EXTERN] = ACTIONS(4036),
    [anon_sym_CG_INLINE] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4036),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4036),
    [anon_sym_IBOutlet] = ACTIONS(4036),
    [anon_sym_IBInspectable] = ACTIONS(4036),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4036),
    [anon_sym_NS_INLINE] = ACTIONS(4036),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4036),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4036),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4036),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4036),
    [anon_sym_volatile] = ACTIONS(4036),
    [anon_sym_restrict] = ACTIONS(4036),
    [anon_sym___restrict__] = ACTIONS(4036),
    [anon_sym__Atomic] = ACTIONS(4036),
    [anon_sym__Noreturn] = ACTIONS(4036),
    [anon_sym__Nonnull] = ACTIONS(4036),
    [anon_sym_nullable] = ACTIONS(4036),
    [anon_sym__Complex] = ACTIONS(4036),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4036),
    [anon_sym__Null_unspecified] = ACTIONS(4036),
    [anon_sym___autoreleasing] = ACTIONS(4036),
    [anon_sym___block] = ACTIONS(4036),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4036),
    [anon_sym___bridge_transfer] = ACTIONS(4036),
    [anon_sym___complex] = ACTIONS(4036),
    [anon_sym___const] = ACTIONS(4036),
    [anon_sym___imag] = ACTIONS(4036),
    [anon_sym___kindof] = ACTIONS(4036),
    [anon_sym___nonnull] = ACTIONS(4036),
    [anon_sym___nullable] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4036),
    [anon_sym___real] = ACTIONS(4036),
    [anon_sym___strong] = ACTIONS(4036),
    [anon_sym___unsafe_unretained] = ACTIONS(4036),
    [anon_sym___unused] = ACTIONS(4036),
    [anon_sym___weak] = ACTIONS(4036),
    [anon_sym_alignas] = ACTIONS(4036),
    [anon_sym__Alignas] = ACTIONS(4036),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4036),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4036),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_API_AVAILABLE] = ACTIONS(4036),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_API_DEPRECATED] = ACTIONS(4036),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym___deprecated_msg] = ACTIONS(4036),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4036),
  },
  [2094] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5314),
    [anon_sym_COMMA] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_STAR] = ACTIONS(5276),
    [anon_sym_SLASH] = ACTIONS(5276),
    [anon_sym_PERCENT] = ACTIONS(5276),
    [anon_sym_PIPE_PIPE] = ACTIONS(5316),
    [anon_sym_AMP_AMP] = ACTIONS(5318),
    [anon_sym_PIPE] = ACTIONS(5278),
    [anon_sym_CARET] = ACTIONS(5280),
    [anon_sym_AMP] = ACTIONS(5282),
    [anon_sym_EQ_EQ] = ACTIONS(5284),
    [anon_sym_BANG_EQ] = ACTIONS(5284),
    [anon_sym_GT] = ACTIONS(5286),
    [anon_sym_GT_EQ] = ACTIONS(5288),
    [anon_sym_LT_EQ] = ACTIONS(5288),
    [anon_sym_LT] = ACTIONS(5286),
    [anon_sym_LT_LT] = ACTIONS(5290),
    [anon_sym_GT_GT] = ACTIONS(5290),
    [anon_sym_SEMI] = ACTIONS(4405),
    [anon_sym___extension__] = ACTIONS(4405),
    [anon_sym_extern] = ACTIONS(4405),
    [anon_sym___attribute__] = ACTIONS(4405),
    [anon_sym___attribute] = ACTIONS(4401),
    [anon_sym_noreturn] = ACTIONS(4405),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4405),
    [anon_sym_static] = ACTIONS(4405),
    [anon_sym_EQ] = ACTIONS(4401),
    [anon_sym_auto] = ACTIONS(4405),
    [anon_sym_register] = ACTIONS(4405),
    [anon_sym_inline] = ACTIONS(4405),
    [anon_sym___inline] = ACTIONS(4401),
    [anon_sym___inline__] = ACTIONS(4405),
    [anon_sym___forceinline] = ACTIONS(4405),
    [anon_sym_thread_local] = ACTIONS(4405),
    [anon_sym___thread] = ACTIONS(4405),
    [anon_sym_CG_EXTERN] = ACTIONS(4405),
    [anon_sym_CG_INLINE] = ACTIONS(4405),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4405),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4405),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4405),
    [anon_sym_IBOutlet] = ACTIONS(4405),
    [anon_sym_IBInspectable] = ACTIONS(4405),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4405),
    [anon_sym_NS_INLINE] = ACTIONS(4405),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4405),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4405),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4405),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4405),
    [anon_sym_const] = ACTIONS(4401),
    [anon_sym_constexpr] = ACTIONS(4405),
    [anon_sym_volatile] = ACTIONS(4405),
    [anon_sym_restrict] = ACTIONS(4405),
    [anon_sym___restrict__] = ACTIONS(4405),
    [anon_sym__Atomic] = ACTIONS(4405),
    [anon_sym__Noreturn] = ACTIONS(4405),
    [anon_sym__Nonnull] = ACTIONS(4405),
    [anon_sym_nullable] = ACTIONS(4405),
    [anon_sym__Complex] = ACTIONS(4405),
    [anon_sym__Nullable] = ACTIONS(4401),
    [anon_sym__Nullable_result] = ACTIONS(4405),
    [anon_sym__Null_unspecified] = ACTIONS(4405),
    [anon_sym___autoreleasing] = ACTIONS(4405),
    [anon_sym___block] = ACTIONS(4405),
    [anon_sym___bridge] = ACTIONS(4401),
    [anon_sym___bridge_retained] = ACTIONS(4405),
    [anon_sym___bridge_transfer] = ACTIONS(4405),
    [anon_sym___complex] = ACTIONS(4405),
    [anon_sym___const] = ACTIONS(4405),
    [anon_sym___imag] = ACTIONS(4405),
    [anon_sym___kindof] = ACTIONS(4405),
    [anon_sym___nonnull] = ACTIONS(4405),
    [anon_sym___nullable] = ACTIONS(4405),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4405),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4405),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4405),
    [anon_sym___real] = ACTIONS(4405),
    [anon_sym___strong] = ACTIONS(4405),
    [anon_sym___unsafe_unretained] = ACTIONS(4405),
    [anon_sym___unused] = ACTIONS(4405),
    [anon_sym___weak] = ACTIONS(4405),
    [anon_sym_alignas] = ACTIONS(4405),
    [anon_sym__Alignas] = ACTIONS(4405),
    [anon_sym_QMARK] = ACTIONS(5320),
    [anon_sym_STAR_EQ] = ACTIONS(4405),
    [anon_sym_SLASH_EQ] = ACTIONS(4405),
    [anon_sym_PERCENT_EQ] = ACTIONS(4405),
    [anon_sym_PLUS_EQ] = ACTIONS(4405),
    [anon_sym_DASH_EQ] = ACTIONS(4405),
    [anon_sym_LT_LT_EQ] = ACTIONS(4405),
    [anon_sym_GT_GT_EQ] = ACTIONS(4405),
    [anon_sym_AMP_EQ] = ACTIONS(4405),
    [anon_sym_CARET_EQ] = ACTIONS(4405),
    [anon_sym_PIPE_EQ] = ACTIONS(4405),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4405),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4405),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4405),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4405),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4405),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4405),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4405),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4405),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4405),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4405),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4401),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4405),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4405),
    [anon_sym_API_AVAILABLE] = ACTIONS(4405),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4405),
    [anon_sym_API_DEPRECATED] = ACTIONS(4405),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4405),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4405),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4405),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4405),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4405),
    [anon_sym___deprecated_msg] = ACTIONS(4405),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4405),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4405),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4405),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4405),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4405),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4405),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4405),
  },
  [2095] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5314),
    [anon_sym_COMMA] = ACTIONS(4423),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_STAR] = ACTIONS(5276),
    [anon_sym_SLASH] = ACTIONS(5276),
    [anon_sym_PERCENT] = ACTIONS(5276),
    [anon_sym_PIPE_PIPE] = ACTIONS(5316),
    [anon_sym_AMP_AMP] = ACTIONS(5318),
    [anon_sym_PIPE] = ACTIONS(5278),
    [anon_sym_CARET] = ACTIONS(5280),
    [anon_sym_AMP] = ACTIONS(5282),
    [anon_sym_EQ_EQ] = ACTIONS(5284),
    [anon_sym_BANG_EQ] = ACTIONS(5284),
    [anon_sym_GT] = ACTIONS(5286),
    [anon_sym_GT_EQ] = ACTIONS(5288),
    [anon_sym_LT_EQ] = ACTIONS(5288),
    [anon_sym_LT] = ACTIONS(5286),
    [anon_sym_LT_LT] = ACTIONS(5290),
    [anon_sym_GT_GT] = ACTIONS(5290),
    [anon_sym_SEMI] = ACTIONS(4423),
    [anon_sym___extension__] = ACTIONS(4423),
    [anon_sym_extern] = ACTIONS(4423),
    [anon_sym___attribute__] = ACTIONS(4423),
    [anon_sym___attribute] = ACTIONS(4421),
    [anon_sym_noreturn] = ACTIONS(4423),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4423),
    [anon_sym_static] = ACTIONS(4423),
    [anon_sym_EQ] = ACTIONS(4421),
    [anon_sym_auto] = ACTIONS(4423),
    [anon_sym_register] = ACTIONS(4423),
    [anon_sym_inline] = ACTIONS(4423),
    [anon_sym___inline] = ACTIONS(4421),
    [anon_sym___inline__] = ACTIONS(4423),
    [anon_sym___forceinline] = ACTIONS(4423),
    [anon_sym_thread_local] = ACTIONS(4423),
    [anon_sym___thread] = ACTIONS(4423),
    [anon_sym_CG_EXTERN] = ACTIONS(4423),
    [anon_sym_CG_INLINE] = ACTIONS(4423),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4423),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4423),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4423),
    [anon_sym_IBOutlet] = ACTIONS(4423),
    [anon_sym_IBInspectable] = ACTIONS(4423),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4423),
    [anon_sym_NS_INLINE] = ACTIONS(4423),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4423),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4423),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4423),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4423),
    [anon_sym_const] = ACTIONS(4421),
    [anon_sym_constexpr] = ACTIONS(4423),
    [anon_sym_volatile] = ACTIONS(4423),
    [anon_sym_restrict] = ACTIONS(4423),
    [anon_sym___restrict__] = ACTIONS(4423),
    [anon_sym__Atomic] = ACTIONS(4423),
    [anon_sym__Noreturn] = ACTIONS(4423),
    [anon_sym__Nonnull] = ACTIONS(4423),
    [anon_sym_nullable] = ACTIONS(4423),
    [anon_sym__Complex] = ACTIONS(4423),
    [anon_sym__Nullable] = ACTIONS(4421),
    [anon_sym__Nullable_result] = ACTIONS(4423),
    [anon_sym__Null_unspecified] = ACTIONS(4423),
    [anon_sym___autoreleasing] = ACTIONS(4423),
    [anon_sym___block] = ACTIONS(4423),
    [anon_sym___bridge] = ACTIONS(4421),
    [anon_sym___bridge_retained] = ACTIONS(4423),
    [anon_sym___bridge_transfer] = ACTIONS(4423),
    [anon_sym___complex] = ACTIONS(4423),
    [anon_sym___const] = ACTIONS(4423),
    [anon_sym___imag] = ACTIONS(4423),
    [anon_sym___kindof] = ACTIONS(4423),
    [anon_sym___nonnull] = ACTIONS(4423),
    [anon_sym___nullable] = ACTIONS(4423),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4423),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4423),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4423),
    [anon_sym___real] = ACTIONS(4423),
    [anon_sym___strong] = ACTIONS(4423),
    [anon_sym___unsafe_unretained] = ACTIONS(4423),
    [anon_sym___unused] = ACTIONS(4423),
    [anon_sym___weak] = ACTIONS(4423),
    [anon_sym_alignas] = ACTIONS(4423),
    [anon_sym__Alignas] = ACTIONS(4423),
    [anon_sym_QMARK] = ACTIONS(5320),
    [anon_sym_STAR_EQ] = ACTIONS(4423),
    [anon_sym_SLASH_EQ] = ACTIONS(4423),
    [anon_sym_PERCENT_EQ] = ACTIONS(4423),
    [anon_sym_PLUS_EQ] = ACTIONS(4423),
    [anon_sym_DASH_EQ] = ACTIONS(4423),
    [anon_sym_LT_LT_EQ] = ACTIONS(4423),
    [anon_sym_GT_GT_EQ] = ACTIONS(4423),
    [anon_sym_AMP_EQ] = ACTIONS(4423),
    [anon_sym_CARET_EQ] = ACTIONS(4423),
    [anon_sym_PIPE_EQ] = ACTIONS(4423),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4423),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4423),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4423),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4423),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4423),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4423),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4423),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4423),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4423),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4423),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4421),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4423),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4423),
    [anon_sym_API_AVAILABLE] = ACTIONS(4423),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4423),
    [anon_sym_API_DEPRECATED] = ACTIONS(4423),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4423),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4423),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4423),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4423),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4423),
    [anon_sym___deprecated_msg] = ACTIONS(4423),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4423),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4423),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4423),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4423),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4423),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4423),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4423),
  },
  [2096] = {
    [sym_identifier] = ACTIONS(2346),
    [aux_sym_preproc_def_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2346),
    [sym_preproc_directive] = ACTIONS(2346),
    [anon_sym_DASH] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym___extension__] = ACTIONS(2346),
    [anon_sym_typedef] = ACTIONS(2346),
    [anon_sym_extern] = ACTIONS(2346),
    [anon_sym___attribute__] = ACTIONS(2346),
    [anon_sym___attribute] = ACTIONS(2346),
    [anon_sym_noreturn] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym___declspec] = ACTIONS(2346),
    [anon_sym___cdecl] = ACTIONS(2346),
    [anon_sym___clrcall] = ACTIONS(2346),
    [anon_sym___stdcall] = ACTIONS(2346),
    [anon_sym___fastcall] = ACTIONS(2346),
    [anon_sym___thiscall] = ACTIONS(2346),
    [anon_sym___vectorcall] = ACTIONS(2346),
    [anon_sym_signed] = ACTIONS(2346),
    [anon_sym_unsigned] = ACTIONS(2346),
    [anon_sym_long] = ACTIONS(2346),
    [anon_sym_short] = ACTIONS(2346),
    [anon_sym_static] = ACTIONS(2346),
    [anon_sym_auto] = ACTIONS(2346),
    [anon_sym_register] = ACTIONS(2346),
    [anon_sym_inline] = ACTIONS(2346),
    [anon_sym___inline] = ACTIONS(2346),
    [anon_sym___inline__] = ACTIONS(2346),
    [anon_sym___forceinline] = ACTIONS(2346),
    [anon_sym_thread_local] = ACTIONS(2346),
    [anon_sym___thread] = ACTIONS(2346),
    [anon_sym_CG_EXTERN] = ACTIONS(2346),
    [anon_sym_CG_INLINE] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2346),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2346),
    [anon_sym_IBOutlet] = ACTIONS(2346),
    [anon_sym_IBInspectable] = ACTIONS(2346),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2346),
    [anon_sym_NS_INLINE] = ACTIONS(2346),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2346),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2346),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2346),
    [anon_sym_const] = ACTIONS(2346),
    [anon_sym_constexpr] = ACTIONS(2346),
    [anon_sym_volatile] = ACTIONS(2346),
    [anon_sym_restrict] = ACTIONS(2346),
    [anon_sym___restrict__] = ACTIONS(2346),
    [anon_sym__Atomic] = ACTIONS(2346),
    [anon_sym__Noreturn] = ACTIONS(2346),
    [anon_sym__Nonnull] = ACTIONS(2346),
    [anon_sym_nullable] = ACTIONS(2346),
    [anon_sym__Complex] = ACTIONS(2346),
    [anon_sym__Nullable] = ACTIONS(2346),
    [anon_sym__Nullable_result] = ACTIONS(2346),
    [anon_sym__Null_unspecified] = ACTIONS(2346),
    [anon_sym___autoreleasing] = ACTIONS(2346),
    [anon_sym___block] = ACTIONS(2346),
    [anon_sym___bridge] = ACTIONS(2346),
    [anon_sym___bridge_retained] = ACTIONS(2346),
    [anon_sym___bridge_transfer] = ACTIONS(2346),
    [anon_sym___complex] = ACTIONS(2346),
    [anon_sym___const] = ACTIONS(2346),
    [anon_sym___imag] = ACTIONS(2346),
    [anon_sym___kindof] = ACTIONS(2346),
    [anon_sym___nonnull] = ACTIONS(2346),
    [anon_sym___nullable] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2346),
    [anon_sym___real] = ACTIONS(2346),
    [anon_sym___strong] = ACTIONS(2346),
    [anon_sym___unsafe_unretained] = ACTIONS(2346),
    [anon_sym___unused] = ACTIONS(2346),
    [anon_sym___weak] = ACTIONS(2346),
    [anon_sym_alignas] = ACTIONS(2346),
    [anon_sym__Alignas] = ACTIONS(2346),
    [sym_primitive_type] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2346),
    [anon_sym_struct] = ACTIONS(2346),
    [anon_sym_union] = ACTIONS(2346),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2346),
    [anon_sym___typeof] = ACTIONS(2346),
    [anon_sym_typeof] = ACTIONS(2346),
    [aux_sym_preproc_undef_token1] = ACTIONS(2346),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2346),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2346),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2346),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_API_AVAILABLE] = ACTIONS(2346),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_API_DEPRECATED] = ACTIONS(2346),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym___deprecated_msg] = ACTIONS(2346),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2346),
    [anon_sym_ATend] = ACTIONS(2348),
    [anon_sym_AToptional] = ACTIONS(2348),
    [anon_sym_ATrequired] = ACTIONS(2348),
    [anon_sym_ATsynthesize] = ACTIONS(2348),
    [anon_sym_ATdynamic] = ACTIONS(2348),
    [anon_sym_ATproperty] = ACTIONS(2348),
    [anon_sym_BOOL] = ACTIONS(2346),
    [anon_sym_IMP] = ACTIONS(2346),
    [anon_sym_SEL] = ACTIONS(2346),
    [anon_sym_Class] = ACTIONS(2346),
    [anon_sym_id] = ACTIONS(2346),
  },
  [2097] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4818),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(2850),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2098] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4816),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_c_method_parameter] = STATE(2850),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2099] = {
    [sym_identifier] = ACTIONS(5322),
    [aux_sym_preproc_def_token1] = ACTIONS(5322),
    [aux_sym_preproc_if_token1] = ACTIONS(5322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5322),
    [sym_preproc_directive] = ACTIONS(5322),
    [anon_sym_LPAREN2] = ACTIONS(5324),
    [anon_sym_DASH] = ACTIONS(5324),
    [anon_sym_PLUS] = ACTIONS(5324),
    [anon_sym_LT] = ACTIONS(5324),
    [anon_sym_SEMI] = ACTIONS(5326),
    [anon_sym___extension__] = ACTIONS(5322),
    [anon_sym_typedef] = ACTIONS(5322),
    [anon_sym_extern] = ACTIONS(5322),
    [anon_sym___attribute__] = ACTIONS(5322),
    [anon_sym___attribute] = ACTIONS(5322),
    [anon_sym_noreturn] = ACTIONS(5322),
    [anon_sym_LBRACK] = ACTIONS(5324),
    [anon_sym___declspec] = ACTIONS(5322),
    [anon_sym___cdecl] = ACTIONS(5322),
    [anon_sym___clrcall] = ACTIONS(5322),
    [anon_sym___stdcall] = ACTIONS(5322),
    [anon_sym___fastcall] = ACTIONS(5322),
    [anon_sym___thiscall] = ACTIONS(5322),
    [anon_sym___vectorcall] = ACTIONS(5322),
    [anon_sym_LBRACE] = ACTIONS(5324),
    [anon_sym_signed] = ACTIONS(5322),
    [anon_sym_unsigned] = ACTIONS(5322),
    [anon_sym_long] = ACTIONS(5322),
    [anon_sym_short] = ACTIONS(5322),
    [anon_sym_static] = ACTIONS(5322),
    [anon_sym_auto] = ACTIONS(5322),
    [anon_sym_register] = ACTIONS(5322),
    [anon_sym_inline] = ACTIONS(5322),
    [anon_sym___inline] = ACTIONS(5322),
    [anon_sym___inline__] = ACTIONS(5322),
    [anon_sym___forceinline] = ACTIONS(5322),
    [anon_sym_thread_local] = ACTIONS(5322),
    [anon_sym___thread] = ACTIONS(5322),
    [anon_sym_CG_EXTERN] = ACTIONS(5322),
    [anon_sym_CG_INLINE] = ACTIONS(5322),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5322),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5322),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5322),
    [anon_sym_IBOutlet] = ACTIONS(5322),
    [anon_sym_IBInspectable] = ACTIONS(5322),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5322),
    [anon_sym_NS_INLINE] = ACTIONS(5322),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5322),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5322),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5322),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5322),
    [anon_sym_const] = ACTIONS(5322),
    [anon_sym_constexpr] = ACTIONS(5322),
    [anon_sym_volatile] = ACTIONS(5322),
    [anon_sym_restrict] = ACTIONS(5322),
    [anon_sym___restrict__] = ACTIONS(5322),
    [anon_sym__Atomic] = ACTIONS(5322),
    [anon_sym__Noreturn] = ACTIONS(5322),
    [anon_sym__Nonnull] = ACTIONS(5322),
    [anon_sym_nullable] = ACTIONS(5322),
    [anon_sym__Complex] = ACTIONS(5322),
    [anon_sym__Nullable] = ACTIONS(5322),
    [anon_sym__Nullable_result] = ACTIONS(5322),
    [anon_sym__Null_unspecified] = ACTIONS(5322),
    [anon_sym___autoreleasing] = ACTIONS(5322),
    [anon_sym___block] = ACTIONS(5322),
    [anon_sym___bridge] = ACTIONS(5322),
    [anon_sym___bridge_retained] = ACTIONS(5322),
    [anon_sym___bridge_transfer] = ACTIONS(5322),
    [anon_sym___complex] = ACTIONS(5322),
    [anon_sym___const] = ACTIONS(5322),
    [anon_sym___imag] = ACTIONS(5322),
    [anon_sym___kindof] = ACTIONS(5322),
    [anon_sym___nonnull] = ACTIONS(5322),
    [anon_sym___nullable] = ACTIONS(5322),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5322),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5322),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5322),
    [anon_sym___real] = ACTIONS(5322),
    [anon_sym___strong] = ACTIONS(5322),
    [anon_sym___unsafe_unretained] = ACTIONS(5322),
    [anon_sym___unused] = ACTIONS(5322),
    [anon_sym___weak] = ACTIONS(5322),
    [anon_sym_alignas] = ACTIONS(5322),
    [anon_sym__Alignas] = ACTIONS(5322),
    [sym_primitive_type] = ACTIONS(5322),
    [anon_sym_enum] = ACTIONS(5322),
    [anon_sym_COLON] = ACTIONS(5324),
    [anon_sym_struct] = ACTIONS(5322),
    [anon_sym_union] = ACTIONS(5322),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5322),
    [anon_sym___typeof] = ACTIONS(5322),
    [anon_sym_typeof] = ACTIONS(5322),
    [aux_sym_preproc_undef_token1] = ACTIONS(5322),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5322),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5322),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5322),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5322),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5322),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5322),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5322),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5322),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5322),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5322),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5322),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5322),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5322),
    [anon_sym_API_AVAILABLE] = ACTIONS(5322),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5322),
    [anon_sym_API_DEPRECATED] = ACTIONS(5322),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5322),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5322),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5322),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5322),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5322),
    [anon_sym___deprecated_msg] = ACTIONS(5322),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5322),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5322),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5322),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5322),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5322),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5322),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5322),
    [anon_sym_ATend] = ACTIONS(5324),
    [anon_sym_ATproperty] = ACTIONS(5324),
    [anon_sym_BOOL] = ACTIONS(5322),
    [anon_sym_IMP] = ACTIONS(5322),
    [anon_sym_SEL] = ACTIONS(5322),
    [anon_sym_Class] = ACTIONS(5322),
    [anon_sym_id] = ACTIONS(5322),
  },
  [2100] = {
    [sym_identifier] = ACTIONS(2346),
    [aux_sym_preproc_def_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token2] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2346),
    [aux_sym_preproc_else_token1] = ACTIONS(2346),
    [aux_sym_preproc_elif_token1] = ACTIONS(2346),
    [sym_preproc_directive] = ACTIONS(2346),
    [anon_sym_DASH] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym___extension__] = ACTIONS(2346),
    [anon_sym_typedef] = ACTIONS(2346),
    [anon_sym_extern] = ACTIONS(2346),
    [anon_sym___attribute__] = ACTIONS(2346),
    [anon_sym___attribute] = ACTIONS(2346),
    [anon_sym_noreturn] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym___declspec] = ACTIONS(2346),
    [anon_sym___cdecl] = ACTIONS(2346),
    [anon_sym___clrcall] = ACTIONS(2346),
    [anon_sym___stdcall] = ACTIONS(2346),
    [anon_sym___fastcall] = ACTIONS(2346),
    [anon_sym___thiscall] = ACTIONS(2346),
    [anon_sym___vectorcall] = ACTIONS(2346),
    [anon_sym_signed] = ACTIONS(2346),
    [anon_sym_unsigned] = ACTIONS(2346),
    [anon_sym_long] = ACTIONS(2346),
    [anon_sym_short] = ACTIONS(2346),
    [anon_sym_static] = ACTIONS(2346),
    [anon_sym_auto] = ACTIONS(2346),
    [anon_sym_register] = ACTIONS(2346),
    [anon_sym_inline] = ACTIONS(2346),
    [anon_sym___inline] = ACTIONS(2346),
    [anon_sym___inline__] = ACTIONS(2346),
    [anon_sym___forceinline] = ACTIONS(2346),
    [anon_sym_thread_local] = ACTIONS(2346),
    [anon_sym___thread] = ACTIONS(2346),
    [anon_sym_CG_EXTERN] = ACTIONS(2346),
    [anon_sym_CG_INLINE] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2346),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2346),
    [anon_sym_IBOutlet] = ACTIONS(2346),
    [anon_sym_IBInspectable] = ACTIONS(2346),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2346),
    [anon_sym_NS_INLINE] = ACTIONS(2346),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2346),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2346),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2346),
    [anon_sym_const] = ACTIONS(2346),
    [anon_sym_constexpr] = ACTIONS(2346),
    [anon_sym_volatile] = ACTIONS(2346),
    [anon_sym_restrict] = ACTIONS(2346),
    [anon_sym___restrict__] = ACTIONS(2346),
    [anon_sym__Atomic] = ACTIONS(2346),
    [anon_sym__Noreturn] = ACTIONS(2346),
    [anon_sym__Nonnull] = ACTIONS(2346),
    [anon_sym_nullable] = ACTIONS(2346),
    [anon_sym__Complex] = ACTIONS(2346),
    [anon_sym__Nullable] = ACTIONS(2346),
    [anon_sym__Nullable_result] = ACTIONS(2346),
    [anon_sym__Null_unspecified] = ACTIONS(2346),
    [anon_sym___autoreleasing] = ACTIONS(2346),
    [anon_sym___block] = ACTIONS(2346),
    [anon_sym___bridge] = ACTIONS(2346),
    [anon_sym___bridge_retained] = ACTIONS(2346),
    [anon_sym___bridge_transfer] = ACTIONS(2346),
    [anon_sym___complex] = ACTIONS(2346),
    [anon_sym___const] = ACTIONS(2346),
    [anon_sym___imag] = ACTIONS(2346),
    [anon_sym___kindof] = ACTIONS(2346),
    [anon_sym___nonnull] = ACTIONS(2346),
    [anon_sym___nullable] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2346),
    [anon_sym___real] = ACTIONS(2346),
    [anon_sym___strong] = ACTIONS(2346),
    [anon_sym___unsafe_unretained] = ACTIONS(2346),
    [anon_sym___unused] = ACTIONS(2346),
    [anon_sym___weak] = ACTIONS(2346),
    [anon_sym_alignas] = ACTIONS(2346),
    [anon_sym__Alignas] = ACTIONS(2346),
    [sym_primitive_type] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2346),
    [anon_sym_struct] = ACTIONS(2346),
    [anon_sym_union] = ACTIONS(2346),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2346),
    [anon_sym___typeof] = ACTIONS(2346),
    [anon_sym_typeof] = ACTIONS(2346),
    [aux_sym_preproc_undef_token1] = ACTIONS(2346),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2346),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2346),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2346),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_API_AVAILABLE] = ACTIONS(2346),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_API_DEPRECATED] = ACTIONS(2346),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym___deprecated_msg] = ACTIONS(2346),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2346),
    [anon_sym_ATsynthesize] = ACTIONS(2348),
    [anon_sym_ATdynamic] = ACTIONS(2348),
    [anon_sym_ATproperty] = ACTIONS(2348),
    [anon_sym_BOOL] = ACTIONS(2346),
    [anon_sym_IMP] = ACTIONS(2346),
    [anon_sym_SEL] = ACTIONS(2346),
    [anon_sym_Class] = ACTIONS(2346),
    [anon_sym_id] = ACTIONS(2346),
  },
  [2101] = {
    [sym_identifier] = ACTIONS(2730),
    [anon_sym_COMMA] = ACTIONS(2732),
    [anon_sym_RPAREN] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2732),
    [anon_sym_LPAREN2] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2732),
    [anon_sym_CARET] = ACTIONS(2732),
    [anon_sym_GT] = ACTIONS(2732),
    [anon_sym_SEMI] = ACTIONS(2732),
    [anon_sym___extension__] = ACTIONS(2730),
    [anon_sym_extern] = ACTIONS(2730),
    [anon_sym___attribute__] = ACTIONS(2730),
    [anon_sym___attribute] = ACTIONS(2730),
    [anon_sym_noreturn] = ACTIONS(2730),
    [anon_sym_LBRACK] = ACTIONS(2732),
    [anon_sym___declspec] = ACTIONS(2730),
    [anon_sym___based] = ACTIONS(2730),
    [anon_sym_LBRACE] = ACTIONS(2732),
    [anon_sym_RBRACE] = ACTIONS(2732),
    [anon_sym_signed] = ACTIONS(2730),
    [anon_sym_unsigned] = ACTIONS(2730),
    [anon_sym_long] = ACTIONS(2730),
    [anon_sym_short] = ACTIONS(2730),
    [anon_sym_static] = ACTIONS(2730),
    [anon_sym_EQ] = ACTIONS(2732),
    [anon_sym_ATautoreleasepool] = ACTIONS(2732),
    [anon_sym_auto] = ACTIONS(2730),
    [anon_sym_register] = ACTIONS(2730),
    [anon_sym_inline] = ACTIONS(2730),
    [anon_sym___inline] = ACTIONS(2730),
    [anon_sym___inline__] = ACTIONS(2730),
    [anon_sym___forceinline] = ACTIONS(2730),
    [anon_sym_thread_local] = ACTIONS(2730),
    [anon_sym___thread] = ACTIONS(2730),
    [anon_sym_CG_EXTERN] = ACTIONS(2730),
    [anon_sym_CG_INLINE] = ACTIONS(2730),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2730),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2730),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2730),
    [anon_sym_IBOutlet] = ACTIONS(2730),
    [anon_sym_IBInspectable] = ACTIONS(2730),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2730),
    [anon_sym_NS_INLINE] = ACTIONS(2730),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2730),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2730),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2730),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2730),
    [anon_sym_const] = ACTIONS(2730),
    [anon_sym_constexpr] = ACTIONS(2730),
    [anon_sym_volatile] = ACTIONS(2730),
    [anon_sym_restrict] = ACTIONS(2730),
    [anon_sym___restrict__] = ACTIONS(2730),
    [anon_sym__Atomic] = ACTIONS(2730),
    [anon_sym__Noreturn] = ACTIONS(2730),
    [anon_sym__Nonnull] = ACTIONS(2730),
    [anon_sym_nullable] = ACTIONS(2730),
    [anon_sym__Complex] = ACTIONS(2730),
    [anon_sym__Nullable] = ACTIONS(2730),
    [anon_sym__Nullable_result] = ACTIONS(2730),
    [anon_sym__Null_unspecified] = ACTIONS(2730),
    [anon_sym___autoreleasing] = ACTIONS(2730),
    [anon_sym___block] = ACTIONS(2730),
    [anon_sym___bridge] = ACTIONS(2730),
    [anon_sym___bridge_retained] = ACTIONS(2730),
    [anon_sym___bridge_transfer] = ACTIONS(2730),
    [anon_sym___complex] = ACTIONS(2730),
    [anon_sym___const] = ACTIONS(2730),
    [anon_sym___imag] = ACTIONS(2730),
    [anon_sym___kindof] = ACTIONS(2730),
    [anon_sym___nonnull] = ACTIONS(2730),
    [anon_sym___nullable] = ACTIONS(2730),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2730),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2730),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2730),
    [anon_sym___real] = ACTIONS(2730),
    [anon_sym___strong] = ACTIONS(2730),
    [anon_sym___unsafe_unretained] = ACTIONS(2730),
    [anon_sym___unused] = ACTIONS(2730),
    [anon_sym___weak] = ACTIONS(2730),
    [anon_sym_alignas] = ACTIONS(2730),
    [anon_sym__Alignas] = ACTIONS(2730),
    [sym_primitive_type] = ACTIONS(2730),
    [anon_sym_enum] = ACTIONS(2730),
    [anon_sym_COLON] = ACTIONS(2732),
    [anon_sym_struct] = ACTIONS(2730),
    [anon_sym_union] = ACTIONS(2730),
    [anon_sym_asm] = ACTIONS(2730),
    [anon_sym___asm__] = ACTIONS(2730),
    [anon_sym___asm] = ACTIONS(2730),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2730),
    [anon_sym___typeof] = ACTIONS(2730),
    [anon_sym_typeof] = ACTIONS(2730),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2730),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2730),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2730),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2730),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2730),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2730),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2730),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2730),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2730),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2730),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2730),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2730),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2730),
    [anon_sym_API_AVAILABLE] = ACTIONS(2730),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2730),
    [anon_sym_API_DEPRECATED] = ACTIONS(2730),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2730),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2730),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2730),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2730),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2730),
    [anon_sym___deprecated_msg] = ACTIONS(2730),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2730),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2730),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2730),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2730),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2730),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2730),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2730),
    [anon_sym_ATprotocol] = ACTIONS(2732),
    [anon_sym_ATinterface] = ACTIONS(2732),
    [anon_sym_ATimplementation] = ACTIONS(2732),
    [anon_sym_ATproperty] = ACTIONS(2732),
    [anon_sym_BOOL] = ACTIONS(2730),
    [anon_sym_IMP] = ACTIONS(2730),
    [anon_sym_SEL] = ACTIONS(2730),
    [anon_sym_Class] = ACTIONS(2730),
    [anon_sym_id] = ACTIONS(2730),
  },
  [2102] = {
    [sym_identifier] = ACTIONS(2860),
    [anon_sym_COMMA] = ACTIONS(2862),
    [anon_sym_RPAREN] = ACTIONS(2862),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2862),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2862),
    [anon_sym_LPAREN2] = ACTIONS(2862),
    [anon_sym_STAR] = ACTIONS(2862),
    [anon_sym_CARET] = ACTIONS(2862),
    [anon_sym_GT] = ACTIONS(2862),
    [anon_sym_SEMI] = ACTIONS(2862),
    [anon_sym___extension__] = ACTIONS(2860),
    [anon_sym_extern] = ACTIONS(2860),
    [anon_sym___attribute__] = ACTIONS(2860),
    [anon_sym___attribute] = ACTIONS(2860),
    [anon_sym_noreturn] = ACTIONS(2860),
    [anon_sym_LBRACK] = ACTIONS(2862),
    [anon_sym___declspec] = ACTIONS(2860),
    [anon_sym___based] = ACTIONS(2860),
    [anon_sym_LBRACE] = ACTIONS(2862),
    [anon_sym_RBRACE] = ACTIONS(2862),
    [anon_sym_signed] = ACTIONS(2860),
    [anon_sym_unsigned] = ACTIONS(2860),
    [anon_sym_long] = ACTIONS(2860),
    [anon_sym_short] = ACTIONS(2860),
    [anon_sym_static] = ACTIONS(2860),
    [anon_sym_EQ] = ACTIONS(2862),
    [anon_sym_ATautoreleasepool] = ACTIONS(2862),
    [anon_sym_auto] = ACTIONS(2860),
    [anon_sym_register] = ACTIONS(2860),
    [anon_sym_inline] = ACTIONS(2860),
    [anon_sym___inline] = ACTIONS(2860),
    [anon_sym___inline__] = ACTIONS(2860),
    [anon_sym___forceinline] = ACTIONS(2860),
    [anon_sym_thread_local] = ACTIONS(2860),
    [anon_sym___thread] = ACTIONS(2860),
    [anon_sym_CG_EXTERN] = ACTIONS(2860),
    [anon_sym_CG_INLINE] = ACTIONS(2860),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2860),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2860),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2860),
    [anon_sym_IBOutlet] = ACTIONS(2860),
    [anon_sym_IBInspectable] = ACTIONS(2860),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2860),
    [anon_sym_NS_INLINE] = ACTIONS(2860),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2860),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2860),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2860),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2860),
    [anon_sym_const] = ACTIONS(2860),
    [anon_sym_constexpr] = ACTIONS(2860),
    [anon_sym_volatile] = ACTIONS(2860),
    [anon_sym_restrict] = ACTIONS(2860),
    [anon_sym___restrict__] = ACTIONS(2860),
    [anon_sym__Atomic] = ACTIONS(2860),
    [anon_sym__Noreturn] = ACTIONS(2860),
    [anon_sym__Nonnull] = ACTIONS(2860),
    [anon_sym_nullable] = ACTIONS(2860),
    [anon_sym__Complex] = ACTIONS(2860),
    [anon_sym__Nullable] = ACTIONS(2860),
    [anon_sym__Nullable_result] = ACTIONS(2860),
    [anon_sym__Null_unspecified] = ACTIONS(2860),
    [anon_sym___autoreleasing] = ACTIONS(2860),
    [anon_sym___block] = ACTIONS(2860),
    [anon_sym___bridge] = ACTIONS(2860),
    [anon_sym___bridge_retained] = ACTIONS(2860),
    [anon_sym___bridge_transfer] = ACTIONS(2860),
    [anon_sym___complex] = ACTIONS(2860),
    [anon_sym___const] = ACTIONS(2860),
    [anon_sym___imag] = ACTIONS(2860),
    [anon_sym___kindof] = ACTIONS(2860),
    [anon_sym___nonnull] = ACTIONS(2860),
    [anon_sym___nullable] = ACTIONS(2860),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2860),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2860),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2860),
    [anon_sym___real] = ACTIONS(2860),
    [anon_sym___strong] = ACTIONS(2860),
    [anon_sym___unsafe_unretained] = ACTIONS(2860),
    [anon_sym___unused] = ACTIONS(2860),
    [anon_sym___weak] = ACTIONS(2860),
    [anon_sym_alignas] = ACTIONS(2860),
    [anon_sym__Alignas] = ACTIONS(2860),
    [sym_primitive_type] = ACTIONS(2860),
    [anon_sym_enum] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_struct] = ACTIONS(2860),
    [anon_sym_union] = ACTIONS(2860),
    [anon_sym_asm] = ACTIONS(2860),
    [anon_sym___asm__] = ACTIONS(2860),
    [anon_sym___asm] = ACTIONS(2860),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2860),
    [anon_sym___typeof] = ACTIONS(2860),
    [anon_sym_typeof] = ACTIONS(2860),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2860),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2860),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2860),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2860),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2860),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2860),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2860),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2860),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2860),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2860),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2860),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2860),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2860),
    [anon_sym_API_AVAILABLE] = ACTIONS(2860),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2860),
    [anon_sym_API_DEPRECATED] = ACTIONS(2860),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2860),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2860),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2860),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2860),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2860),
    [anon_sym___deprecated_msg] = ACTIONS(2860),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2860),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2860),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2860),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2860),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2860),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2860),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2860),
    [anon_sym_ATprotocol] = ACTIONS(2862),
    [anon_sym_ATinterface] = ACTIONS(2862),
    [anon_sym_ATimplementation] = ACTIONS(2862),
    [anon_sym_ATproperty] = ACTIONS(2862),
    [anon_sym_BOOL] = ACTIONS(2860),
    [anon_sym_IMP] = ACTIONS(2860),
    [anon_sym_SEL] = ACTIONS(2860),
    [anon_sym_Class] = ACTIONS(2860),
    [anon_sym_id] = ACTIONS(2860),
  },
  [2103] = {
    [sym_identifier] = ACTIONS(5328),
    [aux_sym_preproc_def_token1] = ACTIONS(5328),
    [aux_sym_preproc_if_token1] = ACTIONS(5328),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5328),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5328),
    [sym_preproc_directive] = ACTIONS(5328),
    [anon_sym_LPAREN2] = ACTIONS(5330),
    [anon_sym_DASH] = ACTIONS(5330),
    [anon_sym_PLUS] = ACTIONS(5330),
    [anon_sym_LT] = ACTIONS(5330),
    [anon_sym_SEMI] = ACTIONS(5332),
    [anon_sym___extension__] = ACTIONS(5328),
    [anon_sym_typedef] = ACTIONS(5328),
    [anon_sym_extern] = ACTIONS(5328),
    [anon_sym___attribute__] = ACTIONS(5328),
    [anon_sym___attribute] = ACTIONS(5328),
    [anon_sym_noreturn] = ACTIONS(5328),
    [anon_sym_LBRACK] = ACTIONS(5330),
    [anon_sym___declspec] = ACTIONS(5328),
    [anon_sym___cdecl] = ACTIONS(5328),
    [anon_sym___clrcall] = ACTIONS(5328),
    [anon_sym___stdcall] = ACTIONS(5328),
    [anon_sym___fastcall] = ACTIONS(5328),
    [anon_sym___thiscall] = ACTIONS(5328),
    [anon_sym___vectorcall] = ACTIONS(5328),
    [anon_sym_LBRACE] = ACTIONS(5330),
    [anon_sym_signed] = ACTIONS(5328),
    [anon_sym_unsigned] = ACTIONS(5328),
    [anon_sym_long] = ACTIONS(5328),
    [anon_sym_short] = ACTIONS(5328),
    [anon_sym_static] = ACTIONS(5328),
    [anon_sym_auto] = ACTIONS(5328),
    [anon_sym_register] = ACTIONS(5328),
    [anon_sym_inline] = ACTIONS(5328),
    [anon_sym___inline] = ACTIONS(5328),
    [anon_sym___inline__] = ACTIONS(5328),
    [anon_sym___forceinline] = ACTIONS(5328),
    [anon_sym_thread_local] = ACTIONS(5328),
    [anon_sym___thread] = ACTIONS(5328),
    [anon_sym_CG_EXTERN] = ACTIONS(5328),
    [anon_sym_CG_INLINE] = ACTIONS(5328),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5328),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5328),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5328),
    [anon_sym_IBOutlet] = ACTIONS(5328),
    [anon_sym_IBInspectable] = ACTIONS(5328),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5328),
    [anon_sym_NS_INLINE] = ACTIONS(5328),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5328),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5328),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5328),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5328),
    [anon_sym_const] = ACTIONS(5328),
    [anon_sym_constexpr] = ACTIONS(5328),
    [anon_sym_volatile] = ACTIONS(5328),
    [anon_sym_restrict] = ACTIONS(5328),
    [anon_sym___restrict__] = ACTIONS(5328),
    [anon_sym__Atomic] = ACTIONS(5328),
    [anon_sym__Noreturn] = ACTIONS(5328),
    [anon_sym__Nonnull] = ACTIONS(5328),
    [anon_sym_nullable] = ACTIONS(5328),
    [anon_sym__Complex] = ACTIONS(5328),
    [anon_sym__Nullable] = ACTIONS(5328),
    [anon_sym__Nullable_result] = ACTIONS(5328),
    [anon_sym__Null_unspecified] = ACTIONS(5328),
    [anon_sym___autoreleasing] = ACTIONS(5328),
    [anon_sym___block] = ACTIONS(5328),
    [anon_sym___bridge] = ACTIONS(5328),
    [anon_sym___bridge_retained] = ACTIONS(5328),
    [anon_sym___bridge_transfer] = ACTIONS(5328),
    [anon_sym___complex] = ACTIONS(5328),
    [anon_sym___const] = ACTIONS(5328),
    [anon_sym___imag] = ACTIONS(5328),
    [anon_sym___kindof] = ACTIONS(5328),
    [anon_sym___nonnull] = ACTIONS(5328),
    [anon_sym___nullable] = ACTIONS(5328),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5328),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5328),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5328),
    [anon_sym___real] = ACTIONS(5328),
    [anon_sym___strong] = ACTIONS(5328),
    [anon_sym___unsafe_unretained] = ACTIONS(5328),
    [anon_sym___unused] = ACTIONS(5328),
    [anon_sym___weak] = ACTIONS(5328),
    [anon_sym_alignas] = ACTIONS(5328),
    [anon_sym__Alignas] = ACTIONS(5328),
    [sym_primitive_type] = ACTIONS(5328),
    [anon_sym_enum] = ACTIONS(5328),
    [anon_sym_COLON] = ACTIONS(5330),
    [anon_sym_struct] = ACTIONS(5328),
    [anon_sym_union] = ACTIONS(5328),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5328),
    [anon_sym___typeof] = ACTIONS(5328),
    [anon_sym_typeof] = ACTIONS(5328),
    [aux_sym_preproc_undef_token1] = ACTIONS(5328),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5328),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5328),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5328),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5328),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5328),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5328),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5328),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5328),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5328),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5328),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5328),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5328),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5328),
    [anon_sym_API_AVAILABLE] = ACTIONS(5328),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5328),
    [anon_sym_API_DEPRECATED] = ACTIONS(5328),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5328),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5328),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5328),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5328),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5328),
    [anon_sym___deprecated_msg] = ACTIONS(5328),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5328),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5328),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5328),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5328),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5328),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5328),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5328),
    [anon_sym_ATend] = ACTIONS(5330),
    [anon_sym_ATproperty] = ACTIONS(5330),
    [anon_sym_BOOL] = ACTIONS(5328),
    [anon_sym_IMP] = ACTIONS(5328),
    [anon_sym_SEL] = ACTIONS(5328),
    [anon_sym_Class] = ACTIONS(5328),
    [anon_sym_id] = ACTIONS(5328),
  },
  [2104] = {
    [sym__declaration_modifiers] = STATE(2497),
    [sym_attribute_specifier] = STATE(2497),
    [sym_attribute_declaration] = STATE(2497),
    [sym_ms_declspec_modifier] = STATE(2497),
    [sym_ms_based_modifier] = STATE(5997),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2573),
    [sym__declarator] = STATE(3835),
    [sym__abstract_declarator] = STATE(5003),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_abstract_parenthesized_declarator] = STATE(4850),
    [sym_pointer_declarator] = STATE(3994),
    [sym_abstract_pointer_declarator] = STATE(4850),
    [sym_function_declarator] = STATE(3994),
    [sym_abstract_function_declarator] = STATE(4850),
    [sym_array_declarator] = STATE(3994),
    [sym_abstract_array_declarator] = STATE(4850),
    [sym_storage_class_specifier] = STATE(2497),
    [sym_type_qualifier] = STATE(2497),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(4274),
    [sym_availability_attribute_specifier] = STATE(2497),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_abstract_block_pointer_declarator] = STATE(4850),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2497),
    [aux_sym_pointer_declarator_repeat1] = STATE(2573),
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_COMMA] = ACTIONS(5336),
    [anon_sym_RPAREN] = ACTIONS(5336),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_STAR] = ACTIONS(5338),
    [anon_sym_CARET] = ACTIONS(5340),
    [anon_sym_GT] = ACTIONS(5336),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(4216),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2105] = {
    [sym_string_literal] = STATE(1928),
    [sym_identifier] = ACTIONS(4015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4017),
    [anon_sym_COMMA] = ACTIONS(4017),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4017),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4017),
    [anon_sym_LPAREN2] = ACTIONS(4017),
    [anon_sym_DASH] = ACTIONS(4015),
    [anon_sym_PLUS] = ACTIONS(4015),
    [anon_sym_STAR] = ACTIONS(4017),
    [anon_sym_SLASH] = ACTIONS(4015),
    [anon_sym_PERCENT] = ACTIONS(4017),
    [anon_sym_PIPE_PIPE] = ACTIONS(4017),
    [anon_sym_AMP_AMP] = ACTIONS(4017),
    [anon_sym_PIPE] = ACTIONS(4015),
    [anon_sym_CARET] = ACTIONS(4017),
    [anon_sym_AMP] = ACTIONS(4015),
    [anon_sym_EQ_EQ] = ACTIONS(4017),
    [anon_sym_BANG_EQ] = ACTIONS(4017),
    [anon_sym_GT] = ACTIONS(4015),
    [anon_sym_GT_EQ] = ACTIONS(4017),
    [anon_sym_LT_EQ] = ACTIONS(4017),
    [anon_sym_LT] = ACTIONS(4015),
    [anon_sym_LT_LT] = ACTIONS(4017),
    [anon_sym_GT_GT] = ACTIONS(4017),
    [anon_sym___extension__] = ACTIONS(4015),
    [anon_sym_extern] = ACTIONS(4015),
    [anon_sym___attribute__] = ACTIONS(4015),
    [anon_sym___attribute] = ACTIONS(4015),
    [anon_sym_noreturn] = ACTIONS(4015),
    [anon_sym_LBRACK] = ACTIONS(4017),
    [anon_sym_RBRACK] = ACTIONS(4017),
    [anon_sym___declspec] = ACTIONS(4015),
    [anon_sym_RBRACE] = ACTIONS(4017),
    [anon_sym_static] = ACTIONS(4015),
    [anon_sym_auto] = ACTIONS(4015),
    [anon_sym_register] = ACTIONS(4015),
    [anon_sym_inline] = ACTIONS(4015),
    [anon_sym___inline] = ACTIONS(4015),
    [anon_sym___inline__] = ACTIONS(4015),
    [anon_sym___forceinline] = ACTIONS(4015),
    [anon_sym_thread_local] = ACTIONS(4015),
    [anon_sym___thread] = ACTIONS(4015),
    [anon_sym_CG_EXTERN] = ACTIONS(4015),
    [anon_sym_CG_INLINE] = ACTIONS(4015),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4015),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4015),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4015),
    [anon_sym_IBOutlet] = ACTIONS(4015),
    [anon_sym_IBInspectable] = ACTIONS(4015),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4015),
    [anon_sym_NS_INLINE] = ACTIONS(4015),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4015),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4015),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4015),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4015),
    [anon_sym_const] = ACTIONS(4015),
    [anon_sym_constexpr] = ACTIONS(4015),
    [anon_sym_volatile] = ACTIONS(4015),
    [anon_sym_restrict] = ACTIONS(4015),
    [anon_sym___restrict__] = ACTIONS(4015),
    [anon_sym__Atomic] = ACTIONS(4015),
    [anon_sym__Noreturn] = ACTIONS(4015),
    [anon_sym__Nonnull] = ACTIONS(4015),
    [anon_sym_nullable] = ACTIONS(4015),
    [anon_sym__Complex] = ACTIONS(4015),
    [anon_sym__Nullable] = ACTIONS(4015),
    [anon_sym__Nullable_result] = ACTIONS(4015),
    [anon_sym__Null_unspecified] = ACTIONS(4015),
    [anon_sym___autoreleasing] = ACTIONS(4015),
    [anon_sym___block] = ACTIONS(4015),
    [anon_sym___bridge] = ACTIONS(4015),
    [anon_sym___bridge_retained] = ACTIONS(4015),
    [anon_sym___bridge_transfer] = ACTIONS(4015),
    [anon_sym___complex] = ACTIONS(4015),
    [anon_sym___const] = ACTIONS(4015),
    [anon_sym___imag] = ACTIONS(4015),
    [anon_sym___kindof] = ACTIONS(4015),
    [anon_sym___nonnull] = ACTIONS(4015),
    [anon_sym___nullable] = ACTIONS(4015),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4015),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4015),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4015),
    [anon_sym___real] = ACTIONS(4015),
    [anon_sym___strong] = ACTIONS(4015),
    [anon_sym___unsafe_unretained] = ACTIONS(4015),
    [anon_sym___unused] = ACTIONS(4015),
    [anon_sym___weak] = ACTIONS(4015),
    [anon_sym_alignas] = ACTIONS(4015),
    [anon_sym__Alignas] = ACTIONS(4015),
    [anon_sym_COLON] = ACTIONS(4017),
    [anon_sym_QMARK] = ACTIONS(4017),
    [anon_sym_DASH_DASH] = ACTIONS(4017),
    [anon_sym_PLUS_PLUS] = ACTIONS(4017),
    [anon_sym_DOT] = ACTIONS(4015),
    [anon_sym_DASH_GT] = ACTIONS(4017),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4015),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4015),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4015),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4015),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4015),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4015),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4015),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4015),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4015),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4015),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4015),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4015),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4015),
    [anon_sym_API_AVAILABLE] = ACTIONS(4015),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4015),
    [anon_sym_API_DEPRECATED] = ACTIONS(4015),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4015),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4015),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4015),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4015),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4015),
    [anon_sym___deprecated_msg] = ACTIONS(4015),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4015),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4015),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4015),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4015),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4015),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4015),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4015),
  },
  [2106] = {
    [sym_identifier] = ACTIONS(5346),
    [aux_sym_preproc_def_token1] = ACTIONS(5346),
    [aux_sym_preproc_if_token1] = ACTIONS(5346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5346),
    [sym_preproc_directive] = ACTIONS(5346),
    [anon_sym_LPAREN2] = ACTIONS(5348),
    [anon_sym_DASH] = ACTIONS(5348),
    [anon_sym_PLUS] = ACTIONS(5348),
    [anon_sym_LT] = ACTIONS(5348),
    [anon_sym___extension__] = ACTIONS(5346),
    [anon_sym_typedef] = ACTIONS(5346),
    [anon_sym_extern] = ACTIONS(5346),
    [anon_sym___attribute__] = ACTIONS(5346),
    [anon_sym___attribute] = ACTIONS(5346),
    [anon_sym_noreturn] = ACTIONS(5346),
    [anon_sym_LBRACK] = ACTIONS(5348),
    [anon_sym___declspec] = ACTIONS(5346),
    [anon_sym___cdecl] = ACTIONS(5346),
    [anon_sym___clrcall] = ACTIONS(5346),
    [anon_sym___stdcall] = ACTIONS(5346),
    [anon_sym___fastcall] = ACTIONS(5346),
    [anon_sym___thiscall] = ACTIONS(5346),
    [anon_sym___vectorcall] = ACTIONS(5346),
    [anon_sym_LBRACE] = ACTIONS(5348),
    [anon_sym_signed] = ACTIONS(5346),
    [anon_sym_unsigned] = ACTIONS(5346),
    [anon_sym_long] = ACTIONS(5346),
    [anon_sym_short] = ACTIONS(5346),
    [anon_sym_static] = ACTIONS(5346),
    [anon_sym_auto] = ACTIONS(5346),
    [anon_sym_register] = ACTIONS(5346),
    [anon_sym_inline] = ACTIONS(5346),
    [anon_sym___inline] = ACTIONS(5346),
    [anon_sym___inline__] = ACTIONS(5346),
    [anon_sym___forceinline] = ACTIONS(5346),
    [anon_sym_thread_local] = ACTIONS(5346),
    [anon_sym___thread] = ACTIONS(5346),
    [anon_sym_CG_EXTERN] = ACTIONS(5346),
    [anon_sym_CG_INLINE] = ACTIONS(5346),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5346),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5346),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5346),
    [anon_sym_IBOutlet] = ACTIONS(5346),
    [anon_sym_IBInspectable] = ACTIONS(5346),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5346),
    [anon_sym_NS_INLINE] = ACTIONS(5346),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5346),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5346),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5346),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5346),
    [anon_sym_const] = ACTIONS(5346),
    [anon_sym_constexpr] = ACTIONS(5346),
    [anon_sym_volatile] = ACTIONS(5346),
    [anon_sym_restrict] = ACTIONS(5346),
    [anon_sym___restrict__] = ACTIONS(5346),
    [anon_sym__Atomic] = ACTIONS(5346),
    [anon_sym__Noreturn] = ACTIONS(5346),
    [anon_sym__Nonnull] = ACTIONS(5346),
    [anon_sym_nullable] = ACTIONS(5346),
    [anon_sym__Complex] = ACTIONS(5346),
    [anon_sym__Nullable] = ACTIONS(5346),
    [anon_sym__Nullable_result] = ACTIONS(5346),
    [anon_sym__Null_unspecified] = ACTIONS(5346),
    [anon_sym___autoreleasing] = ACTIONS(5346),
    [anon_sym___block] = ACTIONS(5346),
    [anon_sym___bridge] = ACTIONS(5346),
    [anon_sym___bridge_retained] = ACTIONS(5346),
    [anon_sym___bridge_transfer] = ACTIONS(5346),
    [anon_sym___complex] = ACTIONS(5346),
    [anon_sym___const] = ACTIONS(5346),
    [anon_sym___imag] = ACTIONS(5346),
    [anon_sym___kindof] = ACTIONS(5346),
    [anon_sym___nonnull] = ACTIONS(5346),
    [anon_sym___nullable] = ACTIONS(5346),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5346),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5346),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5346),
    [anon_sym___real] = ACTIONS(5346),
    [anon_sym___strong] = ACTIONS(5346),
    [anon_sym___unsafe_unretained] = ACTIONS(5346),
    [anon_sym___unused] = ACTIONS(5346),
    [anon_sym___weak] = ACTIONS(5346),
    [anon_sym_alignas] = ACTIONS(5346),
    [anon_sym__Alignas] = ACTIONS(5346),
    [sym_primitive_type] = ACTIONS(5346),
    [anon_sym_enum] = ACTIONS(5346),
    [anon_sym_COLON] = ACTIONS(5348),
    [anon_sym_struct] = ACTIONS(5346),
    [anon_sym_union] = ACTIONS(5346),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5346),
    [anon_sym___typeof] = ACTIONS(5346),
    [anon_sym_typeof] = ACTIONS(5346),
    [aux_sym_preproc_undef_token1] = ACTIONS(5346),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5346),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5346),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5346),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5346),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5346),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5346),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5346),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5346),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5346),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5346),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5346),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5346),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5346),
    [anon_sym_API_AVAILABLE] = ACTIONS(5346),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5346),
    [anon_sym_API_DEPRECATED] = ACTIONS(5346),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5346),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5346),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5346),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5346),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5346),
    [anon_sym___deprecated_msg] = ACTIONS(5346),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5346),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5346),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5346),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5346),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5346),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5346),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5346),
    [anon_sym_ATend] = ACTIONS(5348),
    [anon_sym_ATsynthesize] = ACTIONS(5348),
    [anon_sym_ATdynamic] = ACTIONS(5348),
    [anon_sym_BOOL] = ACTIONS(5346),
    [anon_sym_IMP] = ACTIONS(5346),
    [anon_sym_SEL] = ACTIONS(5346),
    [anon_sym_Class] = ACTIONS(5346),
    [anon_sym_id] = ACTIONS(5346),
  },
  [2107] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5350),
    [anon_sym_COMMA] = ACTIONS(4377),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_STAR] = ACTIONS(5276),
    [anon_sym_SLASH] = ACTIONS(5276),
    [anon_sym_PERCENT] = ACTIONS(5276),
    [anon_sym_PIPE_PIPE] = ACTIONS(5316),
    [anon_sym_AMP_AMP] = ACTIONS(5318),
    [anon_sym_PIPE] = ACTIONS(5278),
    [anon_sym_CARET] = ACTIONS(5280),
    [anon_sym_AMP] = ACTIONS(5282),
    [anon_sym_EQ_EQ] = ACTIONS(5284),
    [anon_sym_BANG_EQ] = ACTIONS(5284),
    [anon_sym_GT] = ACTIONS(5286),
    [anon_sym_GT_EQ] = ACTIONS(5288),
    [anon_sym_LT_EQ] = ACTIONS(5288),
    [anon_sym_LT] = ACTIONS(5286),
    [anon_sym_LT_LT] = ACTIONS(5290),
    [anon_sym_GT_GT] = ACTIONS(5290),
    [anon_sym_SEMI] = ACTIONS(4377),
    [anon_sym___extension__] = ACTIONS(4377),
    [anon_sym_extern] = ACTIONS(4377),
    [anon_sym___attribute__] = ACTIONS(4377),
    [anon_sym___attribute] = ACTIONS(4372),
    [anon_sym_noreturn] = ACTIONS(4377),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4377),
    [anon_sym_static] = ACTIONS(4377),
    [anon_sym_EQ] = ACTIONS(4372),
    [anon_sym_auto] = ACTIONS(4377),
    [anon_sym_register] = ACTIONS(4377),
    [anon_sym_inline] = ACTIONS(4377),
    [anon_sym___inline] = ACTIONS(4372),
    [anon_sym___inline__] = ACTIONS(4377),
    [anon_sym___forceinline] = ACTIONS(4377),
    [anon_sym_thread_local] = ACTIONS(4377),
    [anon_sym___thread] = ACTIONS(4377),
    [anon_sym_CG_EXTERN] = ACTIONS(4377),
    [anon_sym_CG_INLINE] = ACTIONS(4377),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4377),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4377),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4377),
    [anon_sym_IBOutlet] = ACTIONS(4377),
    [anon_sym_IBInspectable] = ACTIONS(4377),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4377),
    [anon_sym_NS_INLINE] = ACTIONS(4377),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4377),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4377),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4377),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4377),
    [anon_sym_const] = ACTIONS(4372),
    [anon_sym_constexpr] = ACTIONS(4377),
    [anon_sym_volatile] = ACTIONS(4377),
    [anon_sym_restrict] = ACTIONS(4377),
    [anon_sym___restrict__] = ACTIONS(4377),
    [anon_sym__Atomic] = ACTIONS(4377),
    [anon_sym__Noreturn] = ACTIONS(4377),
    [anon_sym__Nonnull] = ACTIONS(4377),
    [anon_sym_nullable] = ACTIONS(4377),
    [anon_sym__Complex] = ACTIONS(4377),
    [anon_sym__Nullable] = ACTIONS(4372),
    [anon_sym__Nullable_result] = ACTIONS(4377),
    [anon_sym__Null_unspecified] = ACTIONS(4377),
    [anon_sym___autoreleasing] = ACTIONS(4377),
    [anon_sym___block] = ACTIONS(4377),
    [anon_sym___bridge] = ACTIONS(4372),
    [anon_sym___bridge_retained] = ACTIONS(4377),
    [anon_sym___bridge_transfer] = ACTIONS(4377),
    [anon_sym___complex] = ACTIONS(4377),
    [anon_sym___const] = ACTIONS(4377),
    [anon_sym___imag] = ACTIONS(4377),
    [anon_sym___kindof] = ACTIONS(4377),
    [anon_sym___nonnull] = ACTIONS(4377),
    [anon_sym___nullable] = ACTIONS(4377),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4377),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4377),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4377),
    [anon_sym___real] = ACTIONS(4377),
    [anon_sym___strong] = ACTIONS(4377),
    [anon_sym___unsafe_unretained] = ACTIONS(4377),
    [anon_sym___unused] = ACTIONS(4377),
    [anon_sym___weak] = ACTIONS(4377),
    [anon_sym_alignas] = ACTIONS(4377),
    [anon_sym__Alignas] = ACTIONS(4377),
    [anon_sym_QMARK] = ACTIONS(4377),
    [anon_sym_STAR_EQ] = ACTIONS(4377),
    [anon_sym_SLASH_EQ] = ACTIONS(4377),
    [anon_sym_PERCENT_EQ] = ACTIONS(4377),
    [anon_sym_PLUS_EQ] = ACTIONS(4377),
    [anon_sym_DASH_EQ] = ACTIONS(4377),
    [anon_sym_LT_LT_EQ] = ACTIONS(4377),
    [anon_sym_GT_GT_EQ] = ACTIONS(4377),
    [anon_sym_AMP_EQ] = ACTIONS(4377),
    [anon_sym_CARET_EQ] = ACTIONS(4377),
    [anon_sym_PIPE_EQ] = ACTIONS(4377),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4377),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4377),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4377),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4377),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4377),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4377),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4377),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4377),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4377),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4377),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4372),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4377),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4377),
    [anon_sym_API_AVAILABLE] = ACTIONS(4377),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4377),
    [anon_sym_API_DEPRECATED] = ACTIONS(4377),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4377),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4377),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4377),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4377),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4377),
    [anon_sym___deprecated_msg] = ACTIONS(4377),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4377),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4377),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4377),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4377),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4377),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4377),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4377),
  },
  [2108] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5314),
    [anon_sym_COMMA] = ACTIONS(4411),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_STAR] = ACTIONS(5276),
    [anon_sym_SLASH] = ACTIONS(5276),
    [anon_sym_PERCENT] = ACTIONS(5276),
    [anon_sym_PIPE_PIPE] = ACTIONS(5316),
    [anon_sym_AMP_AMP] = ACTIONS(5318),
    [anon_sym_PIPE] = ACTIONS(5278),
    [anon_sym_CARET] = ACTIONS(5280),
    [anon_sym_AMP] = ACTIONS(5282),
    [anon_sym_EQ_EQ] = ACTIONS(5284),
    [anon_sym_BANG_EQ] = ACTIONS(5284),
    [anon_sym_GT] = ACTIONS(5286),
    [anon_sym_GT_EQ] = ACTIONS(5288),
    [anon_sym_LT_EQ] = ACTIONS(5288),
    [anon_sym_LT] = ACTIONS(5286),
    [anon_sym_LT_LT] = ACTIONS(5290),
    [anon_sym_GT_GT] = ACTIONS(5290),
    [anon_sym_SEMI] = ACTIONS(4411),
    [anon_sym___extension__] = ACTIONS(4411),
    [anon_sym_extern] = ACTIONS(4411),
    [anon_sym___attribute__] = ACTIONS(4411),
    [anon_sym___attribute] = ACTIONS(4409),
    [anon_sym_noreturn] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4411),
    [anon_sym_static] = ACTIONS(4411),
    [anon_sym_EQ] = ACTIONS(4409),
    [anon_sym_auto] = ACTIONS(4411),
    [anon_sym_register] = ACTIONS(4411),
    [anon_sym_inline] = ACTIONS(4411),
    [anon_sym___inline] = ACTIONS(4409),
    [anon_sym___inline__] = ACTIONS(4411),
    [anon_sym___forceinline] = ACTIONS(4411),
    [anon_sym_thread_local] = ACTIONS(4411),
    [anon_sym___thread] = ACTIONS(4411),
    [anon_sym_CG_EXTERN] = ACTIONS(4411),
    [anon_sym_CG_INLINE] = ACTIONS(4411),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4411),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4411),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4411),
    [anon_sym_IBOutlet] = ACTIONS(4411),
    [anon_sym_IBInspectable] = ACTIONS(4411),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4411),
    [anon_sym_NS_INLINE] = ACTIONS(4411),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4411),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4411),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4411),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4411),
    [anon_sym_const] = ACTIONS(4409),
    [anon_sym_constexpr] = ACTIONS(4411),
    [anon_sym_volatile] = ACTIONS(4411),
    [anon_sym_restrict] = ACTIONS(4411),
    [anon_sym___restrict__] = ACTIONS(4411),
    [anon_sym__Atomic] = ACTIONS(4411),
    [anon_sym__Noreturn] = ACTIONS(4411),
    [anon_sym__Nonnull] = ACTIONS(4411),
    [anon_sym_nullable] = ACTIONS(4411),
    [anon_sym__Complex] = ACTIONS(4411),
    [anon_sym__Nullable] = ACTIONS(4409),
    [anon_sym__Nullable_result] = ACTIONS(4411),
    [anon_sym__Null_unspecified] = ACTIONS(4411),
    [anon_sym___autoreleasing] = ACTIONS(4411),
    [anon_sym___block] = ACTIONS(4411),
    [anon_sym___bridge] = ACTIONS(4409),
    [anon_sym___bridge_retained] = ACTIONS(4411),
    [anon_sym___bridge_transfer] = ACTIONS(4411),
    [anon_sym___complex] = ACTIONS(4411),
    [anon_sym___const] = ACTIONS(4411),
    [anon_sym___imag] = ACTIONS(4411),
    [anon_sym___kindof] = ACTIONS(4411),
    [anon_sym___nonnull] = ACTIONS(4411),
    [anon_sym___nullable] = ACTIONS(4411),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4411),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4411),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4411),
    [anon_sym___real] = ACTIONS(4411),
    [anon_sym___strong] = ACTIONS(4411),
    [anon_sym___unsafe_unretained] = ACTIONS(4411),
    [anon_sym___unused] = ACTIONS(4411),
    [anon_sym___weak] = ACTIONS(4411),
    [anon_sym_alignas] = ACTIONS(4411),
    [anon_sym__Alignas] = ACTIONS(4411),
    [anon_sym_QMARK] = ACTIONS(4411),
    [anon_sym_STAR_EQ] = ACTIONS(4411),
    [anon_sym_SLASH_EQ] = ACTIONS(4411),
    [anon_sym_PERCENT_EQ] = ACTIONS(4411),
    [anon_sym_PLUS_EQ] = ACTIONS(4411),
    [anon_sym_DASH_EQ] = ACTIONS(4411),
    [anon_sym_LT_LT_EQ] = ACTIONS(4411),
    [anon_sym_GT_GT_EQ] = ACTIONS(4411),
    [anon_sym_AMP_EQ] = ACTIONS(4411),
    [anon_sym_CARET_EQ] = ACTIONS(4411),
    [anon_sym_PIPE_EQ] = ACTIONS(4411),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4411),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4411),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4411),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4411),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4411),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4411),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4411),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4411),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4411),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4411),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4409),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4411),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4411),
    [anon_sym_API_AVAILABLE] = ACTIONS(4411),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4411),
    [anon_sym_API_DEPRECATED] = ACTIONS(4411),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4411),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4411),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4411),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4411),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4411),
    [anon_sym___deprecated_msg] = ACTIONS(4411),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4411),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4411),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4411),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4411),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4411),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4411),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4411),
  },
  [2109] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(5274),
    [anon_sym_PLUS] = ACTIONS(5274),
    [anon_sym_STAR] = ACTIONS(5276),
    [anon_sym_SLASH] = ACTIONS(5276),
    [anon_sym_PERCENT] = ACTIONS(5276),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(5280),
    [anon_sym_AMP] = ACTIONS(5282),
    [anon_sym_EQ_EQ] = ACTIONS(5284),
    [anon_sym_BANG_EQ] = ACTIONS(5284),
    [anon_sym_GT] = ACTIONS(5286),
    [anon_sym_GT_EQ] = ACTIONS(5288),
    [anon_sym_LT_EQ] = ACTIONS(5288),
    [anon_sym_LT] = ACTIONS(5286),
    [anon_sym_LT_LT] = ACTIONS(5290),
    [anon_sym_GT_GT] = ACTIONS(5290),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4036),
    [anon_sym_extern] = ACTIONS(4036),
    [anon_sym___attribute__] = ACTIONS(4036),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4036),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4036),
    [anon_sym_EQ] = ACTIONS(4034),
    [anon_sym_auto] = ACTIONS(4036),
    [anon_sym_register] = ACTIONS(4036),
    [anon_sym_inline] = ACTIONS(4036),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4036),
    [anon_sym___forceinline] = ACTIONS(4036),
    [anon_sym_thread_local] = ACTIONS(4036),
    [anon_sym___thread] = ACTIONS(4036),
    [anon_sym_CG_EXTERN] = ACTIONS(4036),
    [anon_sym_CG_INLINE] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4036),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4036),
    [anon_sym_IBOutlet] = ACTIONS(4036),
    [anon_sym_IBInspectable] = ACTIONS(4036),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4036),
    [anon_sym_NS_INLINE] = ACTIONS(4036),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4036),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4036),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4036),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4036),
    [anon_sym_volatile] = ACTIONS(4036),
    [anon_sym_restrict] = ACTIONS(4036),
    [anon_sym___restrict__] = ACTIONS(4036),
    [anon_sym__Atomic] = ACTIONS(4036),
    [anon_sym__Noreturn] = ACTIONS(4036),
    [anon_sym__Nonnull] = ACTIONS(4036),
    [anon_sym_nullable] = ACTIONS(4036),
    [anon_sym__Complex] = ACTIONS(4036),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4036),
    [anon_sym__Null_unspecified] = ACTIONS(4036),
    [anon_sym___autoreleasing] = ACTIONS(4036),
    [anon_sym___block] = ACTIONS(4036),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4036),
    [anon_sym___bridge_transfer] = ACTIONS(4036),
    [anon_sym___complex] = ACTIONS(4036),
    [anon_sym___const] = ACTIONS(4036),
    [anon_sym___imag] = ACTIONS(4036),
    [anon_sym___kindof] = ACTIONS(4036),
    [anon_sym___nonnull] = ACTIONS(4036),
    [anon_sym___nullable] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4036),
    [anon_sym___real] = ACTIONS(4036),
    [anon_sym___strong] = ACTIONS(4036),
    [anon_sym___unsafe_unretained] = ACTIONS(4036),
    [anon_sym___unused] = ACTIONS(4036),
    [anon_sym___weak] = ACTIONS(4036),
    [anon_sym_alignas] = ACTIONS(4036),
    [anon_sym__Alignas] = ACTIONS(4036),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_STAR_EQ] = ACTIONS(4036),
    [anon_sym_SLASH_EQ] = ACTIONS(4036),
    [anon_sym_PERCENT_EQ] = ACTIONS(4036),
    [anon_sym_PLUS_EQ] = ACTIONS(4036),
    [anon_sym_DASH_EQ] = ACTIONS(4036),
    [anon_sym_LT_LT_EQ] = ACTIONS(4036),
    [anon_sym_GT_GT_EQ] = ACTIONS(4036),
    [anon_sym_AMP_EQ] = ACTIONS(4036),
    [anon_sym_CARET_EQ] = ACTIONS(4036),
    [anon_sym_PIPE_EQ] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(3985),
    [anon_sym_PLUS_PLUS] = ACTIONS(3985),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4036),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4036),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_API_AVAILABLE] = ACTIONS(4036),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_API_DEPRECATED] = ACTIONS(4036),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym___deprecated_msg] = ACTIONS(4036),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4036),
  },
  [2110] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4820),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2111] = {
    [sym_identifier] = ACTIONS(5353),
    [aux_sym_preproc_def_token1] = ACTIONS(5353),
    [aux_sym_preproc_if_token1] = ACTIONS(5353),
    [aux_sym_preproc_if_token2] = ACTIONS(5353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5353),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5353),
    [aux_sym_preproc_else_token1] = ACTIONS(5353),
    [aux_sym_preproc_elif_token1] = ACTIONS(5353),
    [sym_preproc_directive] = ACTIONS(5353),
    [anon_sym_DASH] = ACTIONS(5355),
    [anon_sym_PLUS] = ACTIONS(5355),
    [anon_sym_SEMI] = ACTIONS(5357),
    [anon_sym___extension__] = ACTIONS(5353),
    [anon_sym_typedef] = ACTIONS(5353),
    [anon_sym_extern] = ACTIONS(5353),
    [anon_sym___attribute__] = ACTIONS(5353),
    [anon_sym___attribute] = ACTIONS(5353),
    [anon_sym_noreturn] = ACTIONS(5353),
    [anon_sym_LBRACK] = ACTIONS(5355),
    [anon_sym___declspec] = ACTIONS(5353),
    [anon_sym___cdecl] = ACTIONS(5353),
    [anon_sym___clrcall] = ACTIONS(5353),
    [anon_sym___stdcall] = ACTIONS(5353),
    [anon_sym___fastcall] = ACTIONS(5353),
    [anon_sym___thiscall] = ACTIONS(5353),
    [anon_sym___vectorcall] = ACTIONS(5353),
    [anon_sym_signed] = ACTIONS(5353),
    [anon_sym_unsigned] = ACTIONS(5353),
    [anon_sym_long] = ACTIONS(5353),
    [anon_sym_short] = ACTIONS(5353),
    [anon_sym_static] = ACTIONS(5353),
    [anon_sym_auto] = ACTIONS(5353),
    [anon_sym_register] = ACTIONS(5353),
    [anon_sym_inline] = ACTIONS(5353),
    [anon_sym___inline] = ACTIONS(5353),
    [anon_sym___inline__] = ACTIONS(5353),
    [anon_sym___forceinline] = ACTIONS(5353),
    [anon_sym_thread_local] = ACTIONS(5353),
    [anon_sym___thread] = ACTIONS(5353),
    [anon_sym_CG_EXTERN] = ACTIONS(5353),
    [anon_sym_CG_INLINE] = ACTIONS(5353),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5353),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5353),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5353),
    [anon_sym_IBOutlet] = ACTIONS(5353),
    [anon_sym_IBInspectable] = ACTIONS(5353),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5353),
    [anon_sym_NS_INLINE] = ACTIONS(5353),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5353),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5353),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5353),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5353),
    [anon_sym_const] = ACTIONS(5353),
    [anon_sym_constexpr] = ACTIONS(5353),
    [anon_sym_volatile] = ACTIONS(5353),
    [anon_sym_restrict] = ACTIONS(5353),
    [anon_sym___restrict__] = ACTIONS(5353),
    [anon_sym__Atomic] = ACTIONS(5353),
    [anon_sym__Noreturn] = ACTIONS(5353),
    [anon_sym__Nonnull] = ACTIONS(5353),
    [anon_sym_nullable] = ACTIONS(5353),
    [anon_sym__Complex] = ACTIONS(5353),
    [anon_sym__Nullable] = ACTIONS(5353),
    [anon_sym__Nullable_result] = ACTIONS(5353),
    [anon_sym__Null_unspecified] = ACTIONS(5353),
    [anon_sym___autoreleasing] = ACTIONS(5353),
    [anon_sym___block] = ACTIONS(5353),
    [anon_sym___bridge] = ACTIONS(5353),
    [anon_sym___bridge_retained] = ACTIONS(5353),
    [anon_sym___bridge_transfer] = ACTIONS(5353),
    [anon_sym___complex] = ACTIONS(5353),
    [anon_sym___const] = ACTIONS(5353),
    [anon_sym___imag] = ACTIONS(5353),
    [anon_sym___kindof] = ACTIONS(5353),
    [anon_sym___nonnull] = ACTIONS(5353),
    [anon_sym___nullable] = ACTIONS(5353),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5353),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5353),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5353),
    [anon_sym___real] = ACTIONS(5353),
    [anon_sym___strong] = ACTIONS(5353),
    [anon_sym___unsafe_unretained] = ACTIONS(5353),
    [anon_sym___unused] = ACTIONS(5353),
    [anon_sym___weak] = ACTIONS(5353),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_primitive_type] = ACTIONS(5353),
    [anon_sym_enum] = ACTIONS(5353),
    [anon_sym_struct] = ACTIONS(5353),
    [anon_sym_union] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5353),
    [anon_sym___typeof] = ACTIONS(5353),
    [anon_sym_typeof] = ACTIONS(5353),
    [aux_sym_preproc_undef_token1] = ACTIONS(5353),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5353),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5353),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5353),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5353),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5353),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5353),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5353),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5353),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5353),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5353),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5353),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5353),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5353),
    [anon_sym_API_AVAILABLE] = ACTIONS(5353),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5353),
    [anon_sym_API_DEPRECATED] = ACTIONS(5353),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5353),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5353),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5353),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5353),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5353),
    [anon_sym___deprecated_msg] = ACTIONS(5353),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5353),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5353),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5353),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5353),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5353),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5353),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5353),
    [anon_sym_ATsynthesize] = ACTIONS(5355),
    [anon_sym_ATdynamic] = ACTIONS(5355),
    [anon_sym_BOOL] = ACTIONS(5353),
    [anon_sym_IMP] = ACTIONS(5353),
    [anon_sym_SEL] = ACTIONS(5353),
    [anon_sym_Class] = ACTIONS(5353),
    [anon_sym_id] = ACTIONS(5353),
  },
  [2112] = {
    [sym__declaration_modifiers] = STATE(2549),
    [sym_attribute_specifier] = STATE(2549),
    [sym_attribute_declaration] = STATE(2549),
    [sym_ms_declspec_modifier] = STATE(2549),
    [sym_ms_based_modifier] = STATE(5997),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2573),
    [sym__declarator] = STATE(3835),
    [sym__abstract_declarator] = STATE(4967),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_abstract_parenthesized_declarator] = STATE(4850),
    [sym_pointer_declarator] = STATE(3994),
    [sym_abstract_pointer_declarator] = STATE(4850),
    [sym_function_declarator] = STATE(3994),
    [sym_abstract_function_declarator] = STATE(4850),
    [sym_array_declarator] = STATE(3994),
    [sym_abstract_array_declarator] = STATE(4850),
    [sym_storage_class_specifier] = STATE(2549),
    [sym_type_qualifier] = STATE(2549),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(4301),
    [sym_availability_attribute_specifier] = STATE(2549),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_abstract_block_pointer_declarator] = STATE(4850),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2549),
    [aux_sym_pointer_declarator_repeat1] = STATE(2573),
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_STAR] = ACTIONS(5359),
    [anon_sym_CARET] = ACTIONS(5361),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(4216),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_LBRACE] = ACTIONS(5336),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(5336),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2113] = {
    [aux_sym_method_declaration_repeat2] = STATE(2210),
    [sym_identifier] = ACTIONS(5363),
    [aux_sym_preproc_def_token1] = ACTIONS(5363),
    [aux_sym_preproc_if_token1] = ACTIONS(5363),
    [aux_sym_preproc_if_token2] = ACTIONS(5363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5363),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5363),
    [aux_sym_preproc_else_token1] = ACTIONS(5363),
    [aux_sym_preproc_elif_token1] = ACTIONS(5363),
    [sym_preproc_directive] = ACTIONS(5363),
    [anon_sym_DASH] = ACTIONS(5365),
    [anon_sym_PLUS] = ACTIONS(5365),
    [anon_sym_SEMI] = ACTIONS(5367),
    [anon_sym___extension__] = ACTIONS(5363),
    [anon_sym_typedef] = ACTIONS(5363),
    [anon_sym_extern] = ACTIONS(5363),
    [anon_sym___attribute__] = ACTIONS(5363),
    [anon_sym___attribute] = ACTIONS(5363),
    [anon_sym_noreturn] = ACTIONS(5363),
    [anon_sym_LBRACK] = ACTIONS(5365),
    [anon_sym___declspec] = ACTIONS(5363),
    [anon_sym___cdecl] = ACTIONS(5363),
    [anon_sym___clrcall] = ACTIONS(5363),
    [anon_sym___stdcall] = ACTIONS(5363),
    [anon_sym___fastcall] = ACTIONS(5363),
    [anon_sym___thiscall] = ACTIONS(5363),
    [anon_sym___vectorcall] = ACTIONS(5363),
    [anon_sym_signed] = ACTIONS(5363),
    [anon_sym_unsigned] = ACTIONS(5363),
    [anon_sym_long] = ACTIONS(5363),
    [anon_sym_short] = ACTIONS(5363),
    [anon_sym_static] = ACTIONS(5363),
    [anon_sym_auto] = ACTIONS(5363),
    [anon_sym_register] = ACTIONS(5363),
    [anon_sym_inline] = ACTIONS(5363),
    [anon_sym___inline] = ACTIONS(5363),
    [anon_sym___inline__] = ACTIONS(5363),
    [anon_sym___forceinline] = ACTIONS(5363),
    [anon_sym_thread_local] = ACTIONS(5363),
    [anon_sym___thread] = ACTIONS(5363),
    [anon_sym_CG_EXTERN] = ACTIONS(5363),
    [anon_sym_CG_INLINE] = ACTIONS(5363),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5363),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5363),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5363),
    [anon_sym_IBOutlet] = ACTIONS(5363),
    [anon_sym_IBInspectable] = ACTIONS(5363),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5363),
    [anon_sym_NS_INLINE] = ACTIONS(5363),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5363),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5363),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5363),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5363),
    [anon_sym_const] = ACTIONS(5363),
    [anon_sym_constexpr] = ACTIONS(5363),
    [anon_sym_volatile] = ACTIONS(5363),
    [anon_sym_restrict] = ACTIONS(5363),
    [anon_sym___restrict__] = ACTIONS(5363),
    [anon_sym__Atomic] = ACTIONS(5363),
    [anon_sym__Noreturn] = ACTIONS(5363),
    [anon_sym__Nonnull] = ACTIONS(5363),
    [anon_sym_nullable] = ACTIONS(5363),
    [anon_sym__Complex] = ACTIONS(5363),
    [anon_sym__Nullable] = ACTIONS(5363),
    [anon_sym__Nullable_result] = ACTIONS(5363),
    [anon_sym__Null_unspecified] = ACTIONS(5363),
    [anon_sym___autoreleasing] = ACTIONS(5363),
    [anon_sym___block] = ACTIONS(5363),
    [anon_sym___bridge] = ACTIONS(5363),
    [anon_sym___bridge_retained] = ACTIONS(5363),
    [anon_sym___bridge_transfer] = ACTIONS(5363),
    [anon_sym___complex] = ACTIONS(5363),
    [anon_sym___const] = ACTIONS(5363),
    [anon_sym___imag] = ACTIONS(5363),
    [anon_sym___kindof] = ACTIONS(5363),
    [anon_sym___nonnull] = ACTIONS(5363),
    [anon_sym___nullable] = ACTIONS(5363),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5363),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5363),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5363),
    [anon_sym___real] = ACTIONS(5363),
    [anon_sym___strong] = ACTIONS(5363),
    [anon_sym___unsafe_unretained] = ACTIONS(5363),
    [anon_sym___unused] = ACTIONS(5363),
    [anon_sym___weak] = ACTIONS(5363),
    [anon_sym_alignas] = ACTIONS(5363),
    [anon_sym__Alignas] = ACTIONS(5363),
    [sym_primitive_type] = ACTIONS(5363),
    [anon_sym_enum] = ACTIONS(5363),
    [anon_sym_struct] = ACTIONS(5363),
    [anon_sym_union] = ACTIONS(5363),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5363),
    [anon_sym___typeof] = ACTIONS(5363),
    [anon_sym_typeof] = ACTIONS(5363),
    [aux_sym_preproc_undef_token1] = ACTIONS(5363),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5363),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5363),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5363),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5363),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5363),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5363),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5363),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5363),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5363),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5363),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5363),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5363),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5363),
    [anon_sym_API_AVAILABLE] = ACTIONS(5363),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5363),
    [anon_sym_API_DEPRECATED] = ACTIONS(5363),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5363),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5363),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5363),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5363),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5363),
    [anon_sym___deprecated_msg] = ACTIONS(5363),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5363),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5363),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5363),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5363),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5363),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5363),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5363),
    [anon_sym_ATproperty] = ACTIONS(5365),
    [anon_sym_BOOL] = ACTIONS(5363),
    [anon_sym_IMP] = ACTIONS(5363),
    [anon_sym_SEL] = ACTIONS(5363),
    [anon_sym_Class] = ACTIONS(5363),
    [anon_sym_id] = ACTIONS(5363),
  },
  [2114] = {
    [sym_identifier] = ACTIONS(5369),
    [aux_sym_preproc_def_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token2] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5369),
    [aux_sym_preproc_else_token1] = ACTIONS(5369),
    [aux_sym_preproc_elif_token1] = ACTIONS(5369),
    [sym_preproc_directive] = ACTIONS(5369),
    [anon_sym_DASH] = ACTIONS(5371),
    [anon_sym_PLUS] = ACTIONS(5371),
    [anon_sym_SEMI] = ACTIONS(5373),
    [anon_sym___extension__] = ACTIONS(5369),
    [anon_sym_typedef] = ACTIONS(5369),
    [anon_sym_extern] = ACTIONS(5369),
    [anon_sym___attribute__] = ACTIONS(5369),
    [anon_sym___attribute] = ACTIONS(5369),
    [anon_sym_noreturn] = ACTIONS(5369),
    [anon_sym_LBRACK] = ACTIONS(5371),
    [anon_sym___declspec] = ACTIONS(5369),
    [anon_sym___cdecl] = ACTIONS(5369),
    [anon_sym___clrcall] = ACTIONS(5369),
    [anon_sym___stdcall] = ACTIONS(5369),
    [anon_sym___fastcall] = ACTIONS(5369),
    [anon_sym___thiscall] = ACTIONS(5369),
    [anon_sym___vectorcall] = ACTIONS(5369),
    [anon_sym_signed] = ACTIONS(5369),
    [anon_sym_unsigned] = ACTIONS(5369),
    [anon_sym_long] = ACTIONS(5369),
    [anon_sym_short] = ACTIONS(5369),
    [anon_sym_static] = ACTIONS(5369),
    [anon_sym_auto] = ACTIONS(5369),
    [anon_sym_register] = ACTIONS(5369),
    [anon_sym_inline] = ACTIONS(5369),
    [anon_sym___inline] = ACTIONS(5369),
    [anon_sym___inline__] = ACTIONS(5369),
    [anon_sym___forceinline] = ACTIONS(5369),
    [anon_sym_thread_local] = ACTIONS(5369),
    [anon_sym___thread] = ACTIONS(5369),
    [anon_sym_CG_EXTERN] = ACTIONS(5369),
    [anon_sym_CG_INLINE] = ACTIONS(5369),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5369),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5369),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5369),
    [anon_sym_IBOutlet] = ACTIONS(5369),
    [anon_sym_IBInspectable] = ACTIONS(5369),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5369),
    [anon_sym_NS_INLINE] = ACTIONS(5369),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5369),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5369),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5369),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5369),
    [anon_sym_const] = ACTIONS(5369),
    [anon_sym_constexpr] = ACTIONS(5369),
    [anon_sym_volatile] = ACTIONS(5369),
    [anon_sym_restrict] = ACTIONS(5369),
    [anon_sym___restrict__] = ACTIONS(5369),
    [anon_sym__Atomic] = ACTIONS(5369),
    [anon_sym__Noreturn] = ACTIONS(5369),
    [anon_sym__Nonnull] = ACTIONS(5369),
    [anon_sym_nullable] = ACTIONS(5369),
    [anon_sym__Complex] = ACTIONS(5369),
    [anon_sym__Nullable] = ACTIONS(5369),
    [anon_sym__Nullable_result] = ACTIONS(5369),
    [anon_sym__Null_unspecified] = ACTIONS(5369),
    [anon_sym___autoreleasing] = ACTIONS(5369),
    [anon_sym___block] = ACTIONS(5369),
    [anon_sym___bridge] = ACTIONS(5369),
    [anon_sym___bridge_retained] = ACTIONS(5369),
    [anon_sym___bridge_transfer] = ACTIONS(5369),
    [anon_sym___complex] = ACTIONS(5369),
    [anon_sym___const] = ACTIONS(5369),
    [anon_sym___imag] = ACTIONS(5369),
    [anon_sym___kindof] = ACTIONS(5369),
    [anon_sym___nonnull] = ACTIONS(5369),
    [anon_sym___nullable] = ACTIONS(5369),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5369),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5369),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5369),
    [anon_sym___real] = ACTIONS(5369),
    [anon_sym___strong] = ACTIONS(5369),
    [anon_sym___unsafe_unretained] = ACTIONS(5369),
    [anon_sym___unused] = ACTIONS(5369),
    [anon_sym___weak] = ACTIONS(5369),
    [anon_sym_alignas] = ACTIONS(5369),
    [anon_sym__Alignas] = ACTIONS(5369),
    [sym_primitive_type] = ACTIONS(5369),
    [anon_sym_enum] = ACTIONS(5369),
    [anon_sym_struct] = ACTIONS(5369),
    [anon_sym_union] = ACTIONS(5369),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5369),
    [anon_sym___typeof] = ACTIONS(5369),
    [anon_sym_typeof] = ACTIONS(5369),
    [aux_sym_preproc_undef_token1] = ACTIONS(5369),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5369),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5369),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5369),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5369),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5369),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5369),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5369),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5369),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5369),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5369),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5369),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5369),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5369),
    [anon_sym_API_AVAILABLE] = ACTIONS(5369),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5369),
    [anon_sym_API_DEPRECATED] = ACTIONS(5369),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5369),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5369),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5369),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5369),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5369),
    [anon_sym___deprecated_msg] = ACTIONS(5369),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5369),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5369),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5369),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5369),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5369),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5369),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5369),
    [anon_sym_ATsynthesize] = ACTIONS(5371),
    [anon_sym_ATdynamic] = ACTIONS(5371),
    [anon_sym_BOOL] = ACTIONS(5369),
    [anon_sym_IMP] = ACTIONS(5369),
    [anon_sym_SEL] = ACTIONS(5369),
    [anon_sym_Class] = ACTIONS(5369),
    [anon_sym_id] = ACTIONS(5369),
  },
  [2115] = {
    [aux_sym_method_declaration_repeat2] = STATE(2210),
    [sym_identifier] = ACTIONS(5375),
    [aux_sym_preproc_def_token1] = ACTIONS(5375),
    [aux_sym_preproc_if_token1] = ACTIONS(5375),
    [aux_sym_preproc_if_token2] = ACTIONS(5375),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5375),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5375),
    [aux_sym_preproc_else_token1] = ACTIONS(5375),
    [aux_sym_preproc_elif_token1] = ACTIONS(5375),
    [sym_preproc_directive] = ACTIONS(5375),
    [anon_sym_DASH] = ACTIONS(5377),
    [anon_sym_PLUS] = ACTIONS(5377),
    [anon_sym_SEMI] = ACTIONS(5367),
    [anon_sym___extension__] = ACTIONS(5375),
    [anon_sym_typedef] = ACTIONS(5375),
    [anon_sym_extern] = ACTIONS(5375),
    [anon_sym___attribute__] = ACTIONS(5375),
    [anon_sym___attribute] = ACTIONS(5375),
    [anon_sym_noreturn] = ACTIONS(5375),
    [anon_sym_LBRACK] = ACTIONS(5377),
    [anon_sym___declspec] = ACTIONS(5375),
    [anon_sym___cdecl] = ACTIONS(5375),
    [anon_sym___clrcall] = ACTIONS(5375),
    [anon_sym___stdcall] = ACTIONS(5375),
    [anon_sym___fastcall] = ACTIONS(5375),
    [anon_sym___thiscall] = ACTIONS(5375),
    [anon_sym___vectorcall] = ACTIONS(5375),
    [anon_sym_signed] = ACTIONS(5375),
    [anon_sym_unsigned] = ACTIONS(5375),
    [anon_sym_long] = ACTIONS(5375),
    [anon_sym_short] = ACTIONS(5375),
    [anon_sym_static] = ACTIONS(5375),
    [anon_sym_auto] = ACTIONS(5375),
    [anon_sym_register] = ACTIONS(5375),
    [anon_sym_inline] = ACTIONS(5375),
    [anon_sym___inline] = ACTIONS(5375),
    [anon_sym___inline__] = ACTIONS(5375),
    [anon_sym___forceinline] = ACTIONS(5375),
    [anon_sym_thread_local] = ACTIONS(5375),
    [anon_sym___thread] = ACTIONS(5375),
    [anon_sym_CG_EXTERN] = ACTIONS(5375),
    [anon_sym_CG_INLINE] = ACTIONS(5375),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5375),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5375),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5375),
    [anon_sym_IBOutlet] = ACTIONS(5375),
    [anon_sym_IBInspectable] = ACTIONS(5375),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5375),
    [anon_sym_NS_INLINE] = ACTIONS(5375),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5375),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5375),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5375),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5375),
    [anon_sym_const] = ACTIONS(5375),
    [anon_sym_constexpr] = ACTIONS(5375),
    [anon_sym_volatile] = ACTIONS(5375),
    [anon_sym_restrict] = ACTIONS(5375),
    [anon_sym___restrict__] = ACTIONS(5375),
    [anon_sym__Atomic] = ACTIONS(5375),
    [anon_sym__Noreturn] = ACTIONS(5375),
    [anon_sym__Nonnull] = ACTIONS(5375),
    [anon_sym_nullable] = ACTIONS(5375),
    [anon_sym__Complex] = ACTIONS(5375),
    [anon_sym__Nullable] = ACTIONS(5375),
    [anon_sym__Nullable_result] = ACTIONS(5375),
    [anon_sym__Null_unspecified] = ACTIONS(5375),
    [anon_sym___autoreleasing] = ACTIONS(5375),
    [anon_sym___block] = ACTIONS(5375),
    [anon_sym___bridge] = ACTIONS(5375),
    [anon_sym___bridge_retained] = ACTIONS(5375),
    [anon_sym___bridge_transfer] = ACTIONS(5375),
    [anon_sym___complex] = ACTIONS(5375),
    [anon_sym___const] = ACTIONS(5375),
    [anon_sym___imag] = ACTIONS(5375),
    [anon_sym___kindof] = ACTIONS(5375),
    [anon_sym___nonnull] = ACTIONS(5375),
    [anon_sym___nullable] = ACTIONS(5375),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5375),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5375),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5375),
    [anon_sym___real] = ACTIONS(5375),
    [anon_sym___strong] = ACTIONS(5375),
    [anon_sym___unsafe_unretained] = ACTIONS(5375),
    [anon_sym___unused] = ACTIONS(5375),
    [anon_sym___weak] = ACTIONS(5375),
    [anon_sym_alignas] = ACTIONS(5375),
    [anon_sym__Alignas] = ACTIONS(5375),
    [sym_primitive_type] = ACTIONS(5375),
    [anon_sym_enum] = ACTIONS(5375),
    [anon_sym_struct] = ACTIONS(5375),
    [anon_sym_union] = ACTIONS(5375),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5375),
    [anon_sym___typeof] = ACTIONS(5375),
    [anon_sym_typeof] = ACTIONS(5375),
    [aux_sym_preproc_undef_token1] = ACTIONS(5375),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5375),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5375),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5375),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5375),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5375),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5375),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5375),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5375),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5375),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5375),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5375),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5375),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5375),
    [anon_sym_API_AVAILABLE] = ACTIONS(5375),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5375),
    [anon_sym_API_DEPRECATED] = ACTIONS(5375),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5375),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5375),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5375),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5375),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5375),
    [anon_sym___deprecated_msg] = ACTIONS(5375),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5375),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5375),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5375),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5375),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5375),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5375),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5375),
    [anon_sym_ATproperty] = ACTIONS(5377),
    [anon_sym_BOOL] = ACTIONS(5375),
    [anon_sym_IMP] = ACTIONS(5375),
    [anon_sym_SEL] = ACTIONS(5375),
    [anon_sym_Class] = ACTIONS(5375),
    [anon_sym_id] = ACTIONS(5375),
  },
  [2116] = {
    [sym_identifier] = ACTIONS(5379),
    [aux_sym_preproc_def_token1] = ACTIONS(5379),
    [aux_sym_preproc_if_token1] = ACTIONS(5379),
    [aux_sym_preproc_if_token2] = ACTIONS(5379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5379),
    [aux_sym_preproc_else_token1] = ACTIONS(5379),
    [aux_sym_preproc_elif_token1] = ACTIONS(5379),
    [sym_preproc_directive] = ACTIONS(5379),
    [anon_sym_DASH] = ACTIONS(5381),
    [anon_sym_PLUS] = ACTIONS(5381),
    [anon_sym_SEMI] = ACTIONS(5383),
    [anon_sym___extension__] = ACTIONS(5379),
    [anon_sym_typedef] = ACTIONS(5379),
    [anon_sym_extern] = ACTIONS(5379),
    [anon_sym___attribute__] = ACTIONS(5379),
    [anon_sym___attribute] = ACTIONS(5379),
    [anon_sym_noreturn] = ACTIONS(5379),
    [anon_sym_LBRACK] = ACTIONS(5381),
    [anon_sym___declspec] = ACTIONS(5379),
    [anon_sym___cdecl] = ACTIONS(5379),
    [anon_sym___clrcall] = ACTIONS(5379),
    [anon_sym___stdcall] = ACTIONS(5379),
    [anon_sym___fastcall] = ACTIONS(5379),
    [anon_sym___thiscall] = ACTIONS(5379),
    [anon_sym___vectorcall] = ACTIONS(5379),
    [anon_sym_signed] = ACTIONS(5379),
    [anon_sym_unsigned] = ACTIONS(5379),
    [anon_sym_long] = ACTIONS(5379),
    [anon_sym_short] = ACTIONS(5379),
    [anon_sym_static] = ACTIONS(5379),
    [anon_sym_auto] = ACTIONS(5379),
    [anon_sym_register] = ACTIONS(5379),
    [anon_sym_inline] = ACTIONS(5379),
    [anon_sym___inline] = ACTIONS(5379),
    [anon_sym___inline__] = ACTIONS(5379),
    [anon_sym___forceinline] = ACTIONS(5379),
    [anon_sym_thread_local] = ACTIONS(5379),
    [anon_sym___thread] = ACTIONS(5379),
    [anon_sym_CG_EXTERN] = ACTIONS(5379),
    [anon_sym_CG_INLINE] = ACTIONS(5379),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5379),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5379),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5379),
    [anon_sym_IBOutlet] = ACTIONS(5379),
    [anon_sym_IBInspectable] = ACTIONS(5379),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5379),
    [anon_sym_NS_INLINE] = ACTIONS(5379),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5379),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5379),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5379),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5379),
    [anon_sym_const] = ACTIONS(5379),
    [anon_sym_constexpr] = ACTIONS(5379),
    [anon_sym_volatile] = ACTIONS(5379),
    [anon_sym_restrict] = ACTIONS(5379),
    [anon_sym___restrict__] = ACTIONS(5379),
    [anon_sym__Atomic] = ACTIONS(5379),
    [anon_sym__Noreturn] = ACTIONS(5379),
    [anon_sym__Nonnull] = ACTIONS(5379),
    [anon_sym_nullable] = ACTIONS(5379),
    [anon_sym__Complex] = ACTIONS(5379),
    [anon_sym__Nullable] = ACTIONS(5379),
    [anon_sym__Nullable_result] = ACTIONS(5379),
    [anon_sym__Null_unspecified] = ACTIONS(5379),
    [anon_sym___autoreleasing] = ACTIONS(5379),
    [anon_sym___block] = ACTIONS(5379),
    [anon_sym___bridge] = ACTIONS(5379),
    [anon_sym___bridge_retained] = ACTIONS(5379),
    [anon_sym___bridge_transfer] = ACTIONS(5379),
    [anon_sym___complex] = ACTIONS(5379),
    [anon_sym___const] = ACTIONS(5379),
    [anon_sym___imag] = ACTIONS(5379),
    [anon_sym___kindof] = ACTIONS(5379),
    [anon_sym___nonnull] = ACTIONS(5379),
    [anon_sym___nullable] = ACTIONS(5379),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5379),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5379),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5379),
    [anon_sym___real] = ACTIONS(5379),
    [anon_sym___strong] = ACTIONS(5379),
    [anon_sym___unsafe_unretained] = ACTIONS(5379),
    [anon_sym___unused] = ACTIONS(5379),
    [anon_sym___weak] = ACTIONS(5379),
    [anon_sym_alignas] = ACTIONS(5379),
    [anon_sym__Alignas] = ACTIONS(5379),
    [sym_primitive_type] = ACTIONS(5379),
    [anon_sym_enum] = ACTIONS(5379),
    [anon_sym_struct] = ACTIONS(5379),
    [anon_sym_union] = ACTIONS(5379),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5379),
    [anon_sym___typeof] = ACTIONS(5379),
    [anon_sym_typeof] = ACTIONS(5379),
    [aux_sym_preproc_undef_token1] = ACTIONS(5379),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5379),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5379),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5379),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5379),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5379),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5379),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5379),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5379),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5379),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5379),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5379),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5379),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5379),
    [anon_sym_API_AVAILABLE] = ACTIONS(5379),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5379),
    [anon_sym_API_DEPRECATED] = ACTIONS(5379),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5379),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5379),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5379),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5379),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5379),
    [anon_sym___deprecated_msg] = ACTIONS(5379),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5379),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5379),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5379),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5379),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5379),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5379),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5379),
    [anon_sym_ATsynthesize] = ACTIONS(5381),
    [anon_sym_ATdynamic] = ACTIONS(5381),
    [anon_sym_BOOL] = ACTIONS(5379),
    [anon_sym_IMP] = ACTIONS(5379),
    [anon_sym_SEL] = ACTIONS(5379),
    [anon_sym_Class] = ACTIONS(5379),
    [anon_sym_id] = ACTIONS(5379),
  },
  [2117] = {
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token2] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2658),
    [aux_sym_preproc_else_token1] = ACTIONS(2658),
    [aux_sym_preproc_elif_token1] = ACTIONS(2658),
    [sym_preproc_directive] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2658),
    [anon_sym_typedef] = ACTIONS(2658),
    [anon_sym_extern] = ACTIONS(2658),
    [anon_sym___attribute__] = ACTIONS(2658),
    [anon_sym___attribute] = ACTIONS(2658),
    [anon_sym_noreturn] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym___declspec] = ACTIONS(2658),
    [anon_sym___cdecl] = ACTIONS(2658),
    [anon_sym___clrcall] = ACTIONS(2658),
    [anon_sym___stdcall] = ACTIONS(2658),
    [anon_sym___fastcall] = ACTIONS(2658),
    [anon_sym___thiscall] = ACTIONS(2658),
    [anon_sym___vectorcall] = ACTIONS(2658),
    [anon_sym_signed] = ACTIONS(2658),
    [anon_sym_unsigned] = ACTIONS(2658),
    [anon_sym_long] = ACTIONS(2658),
    [anon_sym_short] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2658),
    [anon_sym_auto] = ACTIONS(2658),
    [anon_sym_register] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym___inline] = ACTIONS(2658),
    [anon_sym___inline__] = ACTIONS(2658),
    [anon_sym___forceinline] = ACTIONS(2658),
    [anon_sym_thread_local] = ACTIONS(2658),
    [anon_sym___thread] = ACTIONS(2658),
    [anon_sym_CG_EXTERN] = ACTIONS(2658),
    [anon_sym_CG_INLINE] = ACTIONS(2658),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2658),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2658),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2658),
    [anon_sym_IBOutlet] = ACTIONS(2658),
    [anon_sym_IBInspectable] = ACTIONS(2658),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2658),
    [anon_sym_NS_INLINE] = ACTIONS(2658),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2658),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2658),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2658),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_constexpr] = ACTIONS(2658),
    [anon_sym_volatile] = ACTIONS(2658),
    [anon_sym_restrict] = ACTIONS(2658),
    [anon_sym___restrict__] = ACTIONS(2658),
    [anon_sym__Atomic] = ACTIONS(2658),
    [anon_sym__Noreturn] = ACTIONS(2658),
    [anon_sym__Nonnull] = ACTIONS(2658),
    [anon_sym_nullable] = ACTIONS(2658),
    [anon_sym__Complex] = ACTIONS(2658),
    [anon_sym__Nullable] = ACTIONS(2658),
    [anon_sym__Nullable_result] = ACTIONS(2658),
    [anon_sym__Null_unspecified] = ACTIONS(2658),
    [anon_sym___autoreleasing] = ACTIONS(2658),
    [anon_sym___block] = ACTIONS(2658),
    [anon_sym___bridge] = ACTIONS(2658),
    [anon_sym___bridge_retained] = ACTIONS(2658),
    [anon_sym___bridge_transfer] = ACTIONS(2658),
    [anon_sym___complex] = ACTIONS(2658),
    [anon_sym___const] = ACTIONS(2658),
    [anon_sym___imag] = ACTIONS(2658),
    [anon_sym___kindof] = ACTIONS(2658),
    [anon_sym___nonnull] = ACTIONS(2658),
    [anon_sym___nullable] = ACTIONS(2658),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2658),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2658),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2658),
    [anon_sym___real] = ACTIONS(2658),
    [anon_sym___strong] = ACTIONS(2658),
    [anon_sym___unsafe_unretained] = ACTIONS(2658),
    [anon_sym___unused] = ACTIONS(2658),
    [anon_sym___weak] = ACTIONS(2658),
    [anon_sym_alignas] = ACTIONS(2658),
    [anon_sym__Alignas] = ACTIONS(2658),
    [sym_primitive_type] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_struct] = ACTIONS(2658),
    [anon_sym_union] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2658),
    [anon_sym___typeof] = ACTIONS(2658),
    [anon_sym_typeof] = ACTIONS(2658),
    [aux_sym_preproc_undef_token1] = ACTIONS(2658),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2658),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2658),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2658),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2658),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2658),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2658),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2658),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2658),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2658),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_API_AVAILABLE] = ACTIONS(2658),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_API_DEPRECATED] = ACTIONS(2658),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2658),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2658),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2658),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2658),
    [anon_sym___deprecated_msg] = ACTIONS(2658),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2658),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2658),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2658),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2658),
    [anon_sym_ATsynthesize] = ACTIONS(2660),
    [anon_sym_ATdynamic] = ACTIONS(2660),
    [anon_sym_ATproperty] = ACTIONS(2660),
    [anon_sym_BOOL] = ACTIONS(2658),
    [anon_sym_IMP] = ACTIONS(2658),
    [anon_sym_SEL] = ACTIONS(2658),
    [anon_sym_Class] = ACTIONS(2658),
    [anon_sym_id] = ACTIONS(2658),
  },
  [2118] = {
    [sym_identifier] = ACTIONS(2674),
    [aux_sym_preproc_def_token1] = ACTIONS(2674),
    [aux_sym_preproc_if_token1] = ACTIONS(2674),
    [aux_sym_preproc_if_token2] = ACTIONS(2674),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2674),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2674),
    [aux_sym_preproc_else_token1] = ACTIONS(2674),
    [aux_sym_preproc_elif_token1] = ACTIONS(2674),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym___extension__] = ACTIONS(2674),
    [anon_sym_typedef] = ACTIONS(2674),
    [anon_sym_extern] = ACTIONS(2674),
    [anon_sym___attribute__] = ACTIONS(2674),
    [anon_sym___attribute] = ACTIONS(2674),
    [anon_sym_noreturn] = ACTIONS(2674),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym___declspec] = ACTIONS(2674),
    [anon_sym___cdecl] = ACTIONS(2674),
    [anon_sym___clrcall] = ACTIONS(2674),
    [anon_sym___stdcall] = ACTIONS(2674),
    [anon_sym___fastcall] = ACTIONS(2674),
    [anon_sym___thiscall] = ACTIONS(2674),
    [anon_sym___vectorcall] = ACTIONS(2674),
    [anon_sym_signed] = ACTIONS(2674),
    [anon_sym_unsigned] = ACTIONS(2674),
    [anon_sym_long] = ACTIONS(2674),
    [anon_sym_short] = ACTIONS(2674),
    [anon_sym_static] = ACTIONS(2674),
    [anon_sym_auto] = ACTIONS(2674),
    [anon_sym_register] = ACTIONS(2674),
    [anon_sym_inline] = ACTIONS(2674),
    [anon_sym___inline] = ACTIONS(2674),
    [anon_sym___inline__] = ACTIONS(2674),
    [anon_sym___forceinline] = ACTIONS(2674),
    [anon_sym_thread_local] = ACTIONS(2674),
    [anon_sym___thread] = ACTIONS(2674),
    [anon_sym_CG_EXTERN] = ACTIONS(2674),
    [anon_sym_CG_INLINE] = ACTIONS(2674),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2674),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2674),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2674),
    [anon_sym_IBOutlet] = ACTIONS(2674),
    [anon_sym_IBInspectable] = ACTIONS(2674),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2674),
    [anon_sym_NS_INLINE] = ACTIONS(2674),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2674),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2674),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2674),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2674),
    [anon_sym_const] = ACTIONS(2674),
    [anon_sym_constexpr] = ACTIONS(2674),
    [anon_sym_volatile] = ACTIONS(2674),
    [anon_sym_restrict] = ACTIONS(2674),
    [anon_sym___restrict__] = ACTIONS(2674),
    [anon_sym__Atomic] = ACTIONS(2674),
    [anon_sym__Noreturn] = ACTIONS(2674),
    [anon_sym__Nonnull] = ACTIONS(2674),
    [anon_sym_nullable] = ACTIONS(2674),
    [anon_sym__Complex] = ACTIONS(2674),
    [anon_sym__Nullable] = ACTIONS(2674),
    [anon_sym__Nullable_result] = ACTIONS(2674),
    [anon_sym__Null_unspecified] = ACTIONS(2674),
    [anon_sym___autoreleasing] = ACTIONS(2674),
    [anon_sym___block] = ACTIONS(2674),
    [anon_sym___bridge] = ACTIONS(2674),
    [anon_sym___bridge_retained] = ACTIONS(2674),
    [anon_sym___bridge_transfer] = ACTIONS(2674),
    [anon_sym___complex] = ACTIONS(2674),
    [anon_sym___const] = ACTIONS(2674),
    [anon_sym___imag] = ACTIONS(2674),
    [anon_sym___kindof] = ACTIONS(2674),
    [anon_sym___nonnull] = ACTIONS(2674),
    [anon_sym___nullable] = ACTIONS(2674),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2674),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2674),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2674),
    [anon_sym___real] = ACTIONS(2674),
    [anon_sym___strong] = ACTIONS(2674),
    [anon_sym___unsafe_unretained] = ACTIONS(2674),
    [anon_sym___unused] = ACTIONS(2674),
    [anon_sym___weak] = ACTIONS(2674),
    [anon_sym_alignas] = ACTIONS(2674),
    [anon_sym__Alignas] = ACTIONS(2674),
    [sym_primitive_type] = ACTIONS(2674),
    [anon_sym_enum] = ACTIONS(2674),
    [anon_sym_struct] = ACTIONS(2674),
    [anon_sym_union] = ACTIONS(2674),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2674),
    [anon_sym___typeof] = ACTIONS(2674),
    [anon_sym_typeof] = ACTIONS(2674),
    [aux_sym_preproc_undef_token1] = ACTIONS(2674),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2674),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2674),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2674),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2674),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2674),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2674),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2674),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2674),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2674),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_API_AVAILABLE] = ACTIONS(2674),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_API_DEPRECATED] = ACTIONS(2674),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2674),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2674),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2674),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2674),
    [anon_sym___deprecated_msg] = ACTIONS(2674),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2674),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2674),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2674),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2674),
    [anon_sym_ATsynthesize] = ACTIONS(2676),
    [anon_sym_ATdynamic] = ACTIONS(2676),
    [anon_sym_ATproperty] = ACTIONS(2676),
    [anon_sym_BOOL] = ACTIONS(2674),
    [anon_sym_IMP] = ACTIONS(2674),
    [anon_sym_SEL] = ACTIONS(2674),
    [anon_sym_Class] = ACTIONS(2674),
    [anon_sym_id] = ACTIONS(2674),
  },
  [2119] = {
    [sym_identifier] = ACTIONS(2786),
    [aux_sym_preproc_def_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token2] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2786),
    [aux_sym_preproc_else_token1] = ACTIONS(2786),
    [aux_sym_preproc_elif_token1] = ACTIONS(2786),
    [sym_preproc_directive] = ACTIONS(2786),
    [anon_sym_DASH] = ACTIONS(2788),
    [anon_sym_PLUS] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym___attribute] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym___cdecl] = ACTIONS(2786),
    [anon_sym___clrcall] = ACTIONS(2786),
    [anon_sym___stdcall] = ACTIONS(2786),
    [anon_sym___fastcall] = ACTIONS(2786),
    [anon_sym___thiscall] = ACTIONS(2786),
    [anon_sym___vectorcall] = ACTIONS(2786),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_auto] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_CG_EXTERN] = ACTIONS(2786),
    [anon_sym_CG_INLINE] = ACTIONS(2786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2786),
    [anon_sym_IBOutlet] = ACTIONS(2786),
    [anon_sym_IBInspectable] = ACTIONS(2786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2786),
    [anon_sym_NS_INLINE] = ACTIONS(2786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym__Nonnull] = ACTIONS(2786),
    [anon_sym_nullable] = ACTIONS(2786),
    [anon_sym__Complex] = ACTIONS(2786),
    [anon_sym__Nullable] = ACTIONS(2786),
    [anon_sym__Nullable_result] = ACTIONS(2786),
    [anon_sym__Null_unspecified] = ACTIONS(2786),
    [anon_sym___autoreleasing] = ACTIONS(2786),
    [anon_sym___block] = ACTIONS(2786),
    [anon_sym___bridge] = ACTIONS(2786),
    [anon_sym___bridge_retained] = ACTIONS(2786),
    [anon_sym___bridge_transfer] = ACTIONS(2786),
    [anon_sym___complex] = ACTIONS(2786),
    [anon_sym___const] = ACTIONS(2786),
    [anon_sym___imag] = ACTIONS(2786),
    [anon_sym___kindof] = ACTIONS(2786),
    [anon_sym___nonnull] = ACTIONS(2786),
    [anon_sym___nullable] = ACTIONS(2786),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2786),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2786),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2786),
    [anon_sym___real] = ACTIONS(2786),
    [anon_sym___strong] = ACTIONS(2786),
    [anon_sym___unsafe_unretained] = ACTIONS(2786),
    [anon_sym___unused] = ACTIONS(2786),
    [anon_sym___weak] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym__Alignas] = ACTIONS(2786),
    [sym_primitive_type] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2786),
    [anon_sym___typeof] = ACTIONS(2786),
    [anon_sym_typeof] = ACTIONS(2786),
    [aux_sym_preproc_undef_token1] = ACTIONS(2786),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2786),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2786),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2786),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2786),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2786),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2786),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2786),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2786),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2786),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_API_AVAILABLE] = ACTIONS(2786),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_API_DEPRECATED] = ACTIONS(2786),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2786),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2786),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2786),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2786),
    [anon_sym___deprecated_msg] = ACTIONS(2786),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2786),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2786),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2786),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2786),
    [anon_sym_ATsynthesize] = ACTIONS(2788),
    [anon_sym_ATdynamic] = ACTIONS(2788),
    [anon_sym_ATproperty] = ACTIONS(2788),
    [anon_sym_BOOL] = ACTIONS(2786),
    [anon_sym_IMP] = ACTIONS(2786),
    [anon_sym_SEL] = ACTIONS(2786),
    [anon_sym_Class] = ACTIONS(2786),
    [anon_sym_id] = ACTIONS(2786),
  },
  [2120] = {
    [aux_sym_method_declaration_repeat2] = STATE(2210),
    [sym_identifier] = ACTIONS(5385),
    [aux_sym_preproc_def_token1] = ACTIONS(5385),
    [aux_sym_preproc_if_token1] = ACTIONS(5385),
    [aux_sym_preproc_if_token2] = ACTIONS(5385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5385),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5385),
    [aux_sym_preproc_else_token1] = ACTIONS(5385),
    [aux_sym_preproc_elif_token1] = ACTIONS(5385),
    [sym_preproc_directive] = ACTIONS(5385),
    [anon_sym_DASH] = ACTIONS(5387),
    [anon_sym_PLUS] = ACTIONS(5387),
    [anon_sym_SEMI] = ACTIONS(5367),
    [anon_sym___extension__] = ACTIONS(5385),
    [anon_sym_typedef] = ACTIONS(5385),
    [anon_sym_extern] = ACTIONS(5385),
    [anon_sym___attribute__] = ACTIONS(5385),
    [anon_sym___attribute] = ACTIONS(5385),
    [anon_sym_noreturn] = ACTIONS(5385),
    [anon_sym_LBRACK] = ACTIONS(5387),
    [anon_sym___declspec] = ACTIONS(5385),
    [anon_sym___cdecl] = ACTIONS(5385),
    [anon_sym___clrcall] = ACTIONS(5385),
    [anon_sym___stdcall] = ACTIONS(5385),
    [anon_sym___fastcall] = ACTIONS(5385),
    [anon_sym___thiscall] = ACTIONS(5385),
    [anon_sym___vectorcall] = ACTIONS(5385),
    [anon_sym_signed] = ACTIONS(5385),
    [anon_sym_unsigned] = ACTIONS(5385),
    [anon_sym_long] = ACTIONS(5385),
    [anon_sym_short] = ACTIONS(5385),
    [anon_sym_static] = ACTIONS(5385),
    [anon_sym_auto] = ACTIONS(5385),
    [anon_sym_register] = ACTIONS(5385),
    [anon_sym_inline] = ACTIONS(5385),
    [anon_sym___inline] = ACTIONS(5385),
    [anon_sym___inline__] = ACTIONS(5385),
    [anon_sym___forceinline] = ACTIONS(5385),
    [anon_sym_thread_local] = ACTIONS(5385),
    [anon_sym___thread] = ACTIONS(5385),
    [anon_sym_CG_EXTERN] = ACTIONS(5385),
    [anon_sym_CG_INLINE] = ACTIONS(5385),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5385),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5385),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5385),
    [anon_sym_IBOutlet] = ACTIONS(5385),
    [anon_sym_IBInspectable] = ACTIONS(5385),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5385),
    [anon_sym_NS_INLINE] = ACTIONS(5385),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5385),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5385),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5385),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5385),
    [anon_sym_const] = ACTIONS(5385),
    [anon_sym_constexpr] = ACTIONS(5385),
    [anon_sym_volatile] = ACTIONS(5385),
    [anon_sym_restrict] = ACTIONS(5385),
    [anon_sym___restrict__] = ACTIONS(5385),
    [anon_sym__Atomic] = ACTIONS(5385),
    [anon_sym__Noreturn] = ACTIONS(5385),
    [anon_sym__Nonnull] = ACTIONS(5385),
    [anon_sym_nullable] = ACTIONS(5385),
    [anon_sym__Complex] = ACTIONS(5385),
    [anon_sym__Nullable] = ACTIONS(5385),
    [anon_sym__Nullable_result] = ACTIONS(5385),
    [anon_sym__Null_unspecified] = ACTIONS(5385),
    [anon_sym___autoreleasing] = ACTIONS(5385),
    [anon_sym___block] = ACTIONS(5385),
    [anon_sym___bridge] = ACTIONS(5385),
    [anon_sym___bridge_retained] = ACTIONS(5385),
    [anon_sym___bridge_transfer] = ACTIONS(5385),
    [anon_sym___complex] = ACTIONS(5385),
    [anon_sym___const] = ACTIONS(5385),
    [anon_sym___imag] = ACTIONS(5385),
    [anon_sym___kindof] = ACTIONS(5385),
    [anon_sym___nonnull] = ACTIONS(5385),
    [anon_sym___nullable] = ACTIONS(5385),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5385),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5385),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5385),
    [anon_sym___real] = ACTIONS(5385),
    [anon_sym___strong] = ACTIONS(5385),
    [anon_sym___unsafe_unretained] = ACTIONS(5385),
    [anon_sym___unused] = ACTIONS(5385),
    [anon_sym___weak] = ACTIONS(5385),
    [anon_sym_alignas] = ACTIONS(5385),
    [anon_sym__Alignas] = ACTIONS(5385),
    [sym_primitive_type] = ACTIONS(5385),
    [anon_sym_enum] = ACTIONS(5385),
    [anon_sym_struct] = ACTIONS(5385),
    [anon_sym_union] = ACTIONS(5385),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5385),
    [anon_sym___typeof] = ACTIONS(5385),
    [anon_sym_typeof] = ACTIONS(5385),
    [aux_sym_preproc_undef_token1] = ACTIONS(5385),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5385),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5385),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5385),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5385),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5385),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5385),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5385),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5385),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5385),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5385),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5385),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5385),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5385),
    [anon_sym_API_AVAILABLE] = ACTIONS(5385),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5385),
    [anon_sym_API_DEPRECATED] = ACTIONS(5385),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5385),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5385),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5385),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5385),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5385),
    [anon_sym___deprecated_msg] = ACTIONS(5385),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5385),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5385),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5385),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5385),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5385),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5385),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5385),
    [anon_sym_ATproperty] = ACTIONS(5387),
    [anon_sym_BOOL] = ACTIONS(5385),
    [anon_sym_IMP] = ACTIONS(5385),
    [anon_sym_SEL] = ACTIONS(5385),
    [anon_sym_Class] = ACTIONS(5385),
    [anon_sym_id] = ACTIONS(5385),
  },
  [2121] = {
    [sym_identifier] = ACTIONS(5389),
    [aux_sym_preproc_def_token1] = ACTIONS(5389),
    [aux_sym_preproc_if_token1] = ACTIONS(5389),
    [aux_sym_preproc_if_token2] = ACTIONS(5389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5389),
    [aux_sym_preproc_else_token1] = ACTIONS(5389),
    [aux_sym_preproc_elif_token1] = ACTIONS(5389),
    [sym_preproc_directive] = ACTIONS(5389),
    [anon_sym_DASH] = ACTIONS(5391),
    [anon_sym_PLUS] = ACTIONS(5391),
    [anon_sym_SEMI] = ACTIONS(5393),
    [anon_sym___extension__] = ACTIONS(5389),
    [anon_sym_typedef] = ACTIONS(5389),
    [anon_sym_extern] = ACTIONS(5389),
    [anon_sym___attribute__] = ACTIONS(5389),
    [anon_sym___attribute] = ACTIONS(5389),
    [anon_sym_noreturn] = ACTIONS(5389),
    [anon_sym_LBRACK] = ACTIONS(5391),
    [anon_sym___declspec] = ACTIONS(5389),
    [anon_sym___cdecl] = ACTIONS(5389),
    [anon_sym___clrcall] = ACTIONS(5389),
    [anon_sym___stdcall] = ACTIONS(5389),
    [anon_sym___fastcall] = ACTIONS(5389),
    [anon_sym___thiscall] = ACTIONS(5389),
    [anon_sym___vectorcall] = ACTIONS(5389),
    [anon_sym_signed] = ACTIONS(5389),
    [anon_sym_unsigned] = ACTIONS(5389),
    [anon_sym_long] = ACTIONS(5389),
    [anon_sym_short] = ACTIONS(5389),
    [anon_sym_static] = ACTIONS(5389),
    [anon_sym_auto] = ACTIONS(5389),
    [anon_sym_register] = ACTIONS(5389),
    [anon_sym_inline] = ACTIONS(5389),
    [anon_sym___inline] = ACTIONS(5389),
    [anon_sym___inline__] = ACTIONS(5389),
    [anon_sym___forceinline] = ACTIONS(5389),
    [anon_sym_thread_local] = ACTIONS(5389),
    [anon_sym___thread] = ACTIONS(5389),
    [anon_sym_CG_EXTERN] = ACTIONS(5389),
    [anon_sym_CG_INLINE] = ACTIONS(5389),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5389),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5389),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5389),
    [anon_sym_IBOutlet] = ACTIONS(5389),
    [anon_sym_IBInspectable] = ACTIONS(5389),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5389),
    [anon_sym_NS_INLINE] = ACTIONS(5389),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5389),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5389),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5389),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5389),
    [anon_sym_const] = ACTIONS(5389),
    [anon_sym_constexpr] = ACTIONS(5389),
    [anon_sym_volatile] = ACTIONS(5389),
    [anon_sym_restrict] = ACTIONS(5389),
    [anon_sym___restrict__] = ACTIONS(5389),
    [anon_sym__Atomic] = ACTIONS(5389),
    [anon_sym__Noreturn] = ACTIONS(5389),
    [anon_sym__Nonnull] = ACTIONS(5389),
    [anon_sym_nullable] = ACTIONS(5389),
    [anon_sym__Complex] = ACTIONS(5389),
    [anon_sym__Nullable] = ACTIONS(5389),
    [anon_sym__Nullable_result] = ACTIONS(5389),
    [anon_sym__Null_unspecified] = ACTIONS(5389),
    [anon_sym___autoreleasing] = ACTIONS(5389),
    [anon_sym___block] = ACTIONS(5389),
    [anon_sym___bridge] = ACTIONS(5389),
    [anon_sym___bridge_retained] = ACTIONS(5389),
    [anon_sym___bridge_transfer] = ACTIONS(5389),
    [anon_sym___complex] = ACTIONS(5389),
    [anon_sym___const] = ACTIONS(5389),
    [anon_sym___imag] = ACTIONS(5389),
    [anon_sym___kindof] = ACTIONS(5389),
    [anon_sym___nonnull] = ACTIONS(5389),
    [anon_sym___nullable] = ACTIONS(5389),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5389),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5389),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5389),
    [anon_sym___real] = ACTIONS(5389),
    [anon_sym___strong] = ACTIONS(5389),
    [anon_sym___unsafe_unretained] = ACTIONS(5389),
    [anon_sym___unused] = ACTIONS(5389),
    [anon_sym___weak] = ACTIONS(5389),
    [anon_sym_alignas] = ACTIONS(5389),
    [anon_sym__Alignas] = ACTIONS(5389),
    [sym_primitive_type] = ACTIONS(5389),
    [anon_sym_enum] = ACTIONS(5389),
    [anon_sym_struct] = ACTIONS(5389),
    [anon_sym_union] = ACTIONS(5389),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5389),
    [anon_sym___typeof] = ACTIONS(5389),
    [anon_sym_typeof] = ACTIONS(5389),
    [aux_sym_preproc_undef_token1] = ACTIONS(5389),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5389),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5389),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5389),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5389),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5389),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5389),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5389),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5389),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5389),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5389),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5389),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5389),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5389),
    [anon_sym_API_AVAILABLE] = ACTIONS(5389),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5389),
    [anon_sym_API_DEPRECATED] = ACTIONS(5389),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5389),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5389),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5389),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5389),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5389),
    [anon_sym___deprecated_msg] = ACTIONS(5389),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5389),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5389),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5389),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5389),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5389),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5389),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5389),
    [anon_sym_ATsynthesize] = ACTIONS(5391),
    [anon_sym_ATdynamic] = ACTIONS(5391),
    [anon_sym_BOOL] = ACTIONS(5389),
    [anon_sym_IMP] = ACTIONS(5389),
    [anon_sym_SEL] = ACTIONS(5389),
    [anon_sym_Class] = ACTIONS(5389),
    [anon_sym_id] = ACTIONS(5389),
  },
  [2122] = {
    [aux_sym_method_declaration_repeat2] = STATE(2210),
    [sym_identifier] = ACTIONS(5395),
    [aux_sym_preproc_def_token1] = ACTIONS(5395),
    [aux_sym_preproc_if_token1] = ACTIONS(5395),
    [aux_sym_preproc_if_token2] = ACTIONS(5395),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5395),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5395),
    [aux_sym_preproc_else_token1] = ACTIONS(5395),
    [aux_sym_preproc_elif_token1] = ACTIONS(5395),
    [sym_preproc_directive] = ACTIONS(5395),
    [anon_sym_DASH] = ACTIONS(5397),
    [anon_sym_PLUS] = ACTIONS(5397),
    [anon_sym_SEMI] = ACTIONS(5367),
    [anon_sym___extension__] = ACTIONS(5395),
    [anon_sym_typedef] = ACTIONS(5395),
    [anon_sym_extern] = ACTIONS(5395),
    [anon_sym___attribute__] = ACTIONS(5395),
    [anon_sym___attribute] = ACTIONS(5395),
    [anon_sym_noreturn] = ACTIONS(5395),
    [anon_sym_LBRACK] = ACTIONS(5397),
    [anon_sym___declspec] = ACTIONS(5395),
    [anon_sym___cdecl] = ACTIONS(5395),
    [anon_sym___clrcall] = ACTIONS(5395),
    [anon_sym___stdcall] = ACTIONS(5395),
    [anon_sym___fastcall] = ACTIONS(5395),
    [anon_sym___thiscall] = ACTIONS(5395),
    [anon_sym___vectorcall] = ACTIONS(5395),
    [anon_sym_signed] = ACTIONS(5395),
    [anon_sym_unsigned] = ACTIONS(5395),
    [anon_sym_long] = ACTIONS(5395),
    [anon_sym_short] = ACTIONS(5395),
    [anon_sym_static] = ACTIONS(5395),
    [anon_sym_auto] = ACTIONS(5395),
    [anon_sym_register] = ACTIONS(5395),
    [anon_sym_inline] = ACTIONS(5395),
    [anon_sym___inline] = ACTIONS(5395),
    [anon_sym___inline__] = ACTIONS(5395),
    [anon_sym___forceinline] = ACTIONS(5395),
    [anon_sym_thread_local] = ACTIONS(5395),
    [anon_sym___thread] = ACTIONS(5395),
    [anon_sym_CG_EXTERN] = ACTIONS(5395),
    [anon_sym_CG_INLINE] = ACTIONS(5395),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5395),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5395),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5395),
    [anon_sym_IBOutlet] = ACTIONS(5395),
    [anon_sym_IBInspectable] = ACTIONS(5395),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5395),
    [anon_sym_NS_INLINE] = ACTIONS(5395),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5395),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5395),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5395),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5395),
    [anon_sym_const] = ACTIONS(5395),
    [anon_sym_constexpr] = ACTIONS(5395),
    [anon_sym_volatile] = ACTIONS(5395),
    [anon_sym_restrict] = ACTIONS(5395),
    [anon_sym___restrict__] = ACTIONS(5395),
    [anon_sym__Atomic] = ACTIONS(5395),
    [anon_sym__Noreturn] = ACTIONS(5395),
    [anon_sym__Nonnull] = ACTIONS(5395),
    [anon_sym_nullable] = ACTIONS(5395),
    [anon_sym__Complex] = ACTIONS(5395),
    [anon_sym__Nullable] = ACTIONS(5395),
    [anon_sym__Nullable_result] = ACTIONS(5395),
    [anon_sym__Null_unspecified] = ACTIONS(5395),
    [anon_sym___autoreleasing] = ACTIONS(5395),
    [anon_sym___block] = ACTIONS(5395),
    [anon_sym___bridge] = ACTIONS(5395),
    [anon_sym___bridge_retained] = ACTIONS(5395),
    [anon_sym___bridge_transfer] = ACTIONS(5395),
    [anon_sym___complex] = ACTIONS(5395),
    [anon_sym___const] = ACTIONS(5395),
    [anon_sym___imag] = ACTIONS(5395),
    [anon_sym___kindof] = ACTIONS(5395),
    [anon_sym___nonnull] = ACTIONS(5395),
    [anon_sym___nullable] = ACTIONS(5395),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5395),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5395),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5395),
    [anon_sym___real] = ACTIONS(5395),
    [anon_sym___strong] = ACTIONS(5395),
    [anon_sym___unsafe_unretained] = ACTIONS(5395),
    [anon_sym___unused] = ACTIONS(5395),
    [anon_sym___weak] = ACTIONS(5395),
    [anon_sym_alignas] = ACTIONS(5395),
    [anon_sym__Alignas] = ACTIONS(5395),
    [sym_primitive_type] = ACTIONS(5395),
    [anon_sym_enum] = ACTIONS(5395),
    [anon_sym_struct] = ACTIONS(5395),
    [anon_sym_union] = ACTIONS(5395),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5395),
    [anon_sym___typeof] = ACTIONS(5395),
    [anon_sym_typeof] = ACTIONS(5395),
    [aux_sym_preproc_undef_token1] = ACTIONS(5395),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5395),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5395),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5395),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5395),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5395),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5395),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5395),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5395),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5395),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5395),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5395),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5395),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5395),
    [anon_sym_API_AVAILABLE] = ACTIONS(5395),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5395),
    [anon_sym_API_DEPRECATED] = ACTIONS(5395),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5395),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5395),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5395),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5395),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5395),
    [anon_sym___deprecated_msg] = ACTIONS(5395),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5395),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5395),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5395),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5395),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5395),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5395),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5395),
    [anon_sym_ATproperty] = ACTIONS(5397),
    [anon_sym_BOOL] = ACTIONS(5395),
    [anon_sym_IMP] = ACTIONS(5395),
    [anon_sym_SEL] = ACTIONS(5395),
    [anon_sym_Class] = ACTIONS(5395),
    [anon_sym_id] = ACTIONS(5395),
  },
  [2123] = {
    [sym_identifier] = ACTIONS(5399),
    [aux_sym_preproc_def_token1] = ACTIONS(5399),
    [aux_sym_preproc_if_token1] = ACTIONS(5399),
    [aux_sym_preproc_if_token2] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5399),
    [aux_sym_preproc_else_token1] = ACTIONS(5399),
    [aux_sym_preproc_elif_token1] = ACTIONS(5399),
    [sym_preproc_directive] = ACTIONS(5399),
    [anon_sym_DASH] = ACTIONS(5401),
    [anon_sym_PLUS] = ACTIONS(5401),
    [anon_sym_SEMI] = ACTIONS(5403),
    [anon_sym___extension__] = ACTIONS(5399),
    [anon_sym_typedef] = ACTIONS(5399),
    [anon_sym_extern] = ACTIONS(5399),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym___attribute] = ACTIONS(5399),
    [anon_sym_noreturn] = ACTIONS(5399),
    [anon_sym_LBRACK] = ACTIONS(5401),
    [anon_sym___declspec] = ACTIONS(5399),
    [anon_sym___cdecl] = ACTIONS(5399),
    [anon_sym___clrcall] = ACTIONS(5399),
    [anon_sym___stdcall] = ACTIONS(5399),
    [anon_sym___fastcall] = ACTIONS(5399),
    [anon_sym___thiscall] = ACTIONS(5399),
    [anon_sym___vectorcall] = ACTIONS(5399),
    [anon_sym_signed] = ACTIONS(5399),
    [anon_sym_unsigned] = ACTIONS(5399),
    [anon_sym_long] = ACTIONS(5399),
    [anon_sym_short] = ACTIONS(5399),
    [anon_sym_static] = ACTIONS(5399),
    [anon_sym_auto] = ACTIONS(5399),
    [anon_sym_register] = ACTIONS(5399),
    [anon_sym_inline] = ACTIONS(5399),
    [anon_sym___inline] = ACTIONS(5399),
    [anon_sym___inline__] = ACTIONS(5399),
    [anon_sym___forceinline] = ACTIONS(5399),
    [anon_sym_thread_local] = ACTIONS(5399),
    [anon_sym___thread] = ACTIONS(5399),
    [anon_sym_CG_EXTERN] = ACTIONS(5399),
    [anon_sym_CG_INLINE] = ACTIONS(5399),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5399),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5399),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5399),
    [anon_sym_IBOutlet] = ACTIONS(5399),
    [anon_sym_IBInspectable] = ACTIONS(5399),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5399),
    [anon_sym_NS_INLINE] = ACTIONS(5399),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5399),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5399),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5399),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5399),
    [anon_sym_const] = ACTIONS(5399),
    [anon_sym_constexpr] = ACTIONS(5399),
    [anon_sym_volatile] = ACTIONS(5399),
    [anon_sym_restrict] = ACTIONS(5399),
    [anon_sym___restrict__] = ACTIONS(5399),
    [anon_sym__Atomic] = ACTIONS(5399),
    [anon_sym__Noreturn] = ACTIONS(5399),
    [anon_sym__Nonnull] = ACTIONS(5399),
    [anon_sym_nullable] = ACTIONS(5399),
    [anon_sym__Complex] = ACTIONS(5399),
    [anon_sym__Nullable] = ACTIONS(5399),
    [anon_sym__Nullable_result] = ACTIONS(5399),
    [anon_sym__Null_unspecified] = ACTIONS(5399),
    [anon_sym___autoreleasing] = ACTIONS(5399),
    [anon_sym___block] = ACTIONS(5399),
    [anon_sym___bridge] = ACTIONS(5399),
    [anon_sym___bridge_retained] = ACTIONS(5399),
    [anon_sym___bridge_transfer] = ACTIONS(5399),
    [anon_sym___complex] = ACTIONS(5399),
    [anon_sym___const] = ACTIONS(5399),
    [anon_sym___imag] = ACTIONS(5399),
    [anon_sym___kindof] = ACTIONS(5399),
    [anon_sym___nonnull] = ACTIONS(5399),
    [anon_sym___nullable] = ACTIONS(5399),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5399),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5399),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5399),
    [anon_sym___real] = ACTIONS(5399),
    [anon_sym___strong] = ACTIONS(5399),
    [anon_sym___unsafe_unretained] = ACTIONS(5399),
    [anon_sym___unused] = ACTIONS(5399),
    [anon_sym___weak] = ACTIONS(5399),
    [anon_sym_alignas] = ACTIONS(5399),
    [anon_sym__Alignas] = ACTIONS(5399),
    [sym_primitive_type] = ACTIONS(5399),
    [anon_sym_enum] = ACTIONS(5399),
    [anon_sym_struct] = ACTIONS(5399),
    [anon_sym_union] = ACTIONS(5399),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5399),
    [anon_sym___typeof] = ACTIONS(5399),
    [anon_sym_typeof] = ACTIONS(5399),
    [aux_sym_preproc_undef_token1] = ACTIONS(5399),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5399),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5399),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5399),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5399),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5399),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5399),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5399),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5399),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5399),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5399),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5399),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5399),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5399),
    [anon_sym_API_AVAILABLE] = ACTIONS(5399),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5399),
    [anon_sym_API_DEPRECATED] = ACTIONS(5399),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5399),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5399),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5399),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5399),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5399),
    [anon_sym___deprecated_msg] = ACTIONS(5399),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5399),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5399),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5399),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5399),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5399),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5399),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5399),
    [anon_sym_ATsynthesize] = ACTIONS(5401),
    [anon_sym_ATdynamic] = ACTIONS(5401),
    [anon_sym_BOOL] = ACTIONS(5399),
    [anon_sym_IMP] = ACTIONS(5399),
    [anon_sym_SEL] = ACTIONS(5399),
    [anon_sym_Class] = ACTIONS(5399),
    [anon_sym_id] = ACTIONS(5399),
  },
  [2124] = {
    [aux_sym_method_declaration_repeat2] = STATE(2210),
    [sym_identifier] = ACTIONS(5405),
    [aux_sym_preproc_def_token1] = ACTIONS(5405),
    [aux_sym_preproc_if_token1] = ACTIONS(5405),
    [aux_sym_preproc_if_token2] = ACTIONS(5405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5405),
    [aux_sym_preproc_else_token1] = ACTIONS(5405),
    [aux_sym_preproc_elif_token1] = ACTIONS(5405),
    [sym_preproc_directive] = ACTIONS(5405),
    [anon_sym_DASH] = ACTIONS(5407),
    [anon_sym_PLUS] = ACTIONS(5407),
    [anon_sym_SEMI] = ACTIONS(5367),
    [anon_sym___extension__] = ACTIONS(5405),
    [anon_sym_typedef] = ACTIONS(5405),
    [anon_sym_extern] = ACTIONS(5405),
    [anon_sym___attribute__] = ACTIONS(5405),
    [anon_sym___attribute] = ACTIONS(5405),
    [anon_sym_noreturn] = ACTIONS(5405),
    [anon_sym_LBRACK] = ACTIONS(5407),
    [anon_sym___declspec] = ACTIONS(5405),
    [anon_sym___cdecl] = ACTIONS(5405),
    [anon_sym___clrcall] = ACTIONS(5405),
    [anon_sym___stdcall] = ACTIONS(5405),
    [anon_sym___fastcall] = ACTIONS(5405),
    [anon_sym___thiscall] = ACTIONS(5405),
    [anon_sym___vectorcall] = ACTIONS(5405),
    [anon_sym_signed] = ACTIONS(5405),
    [anon_sym_unsigned] = ACTIONS(5405),
    [anon_sym_long] = ACTIONS(5405),
    [anon_sym_short] = ACTIONS(5405),
    [anon_sym_static] = ACTIONS(5405),
    [anon_sym_auto] = ACTIONS(5405),
    [anon_sym_register] = ACTIONS(5405),
    [anon_sym_inline] = ACTIONS(5405),
    [anon_sym___inline] = ACTIONS(5405),
    [anon_sym___inline__] = ACTIONS(5405),
    [anon_sym___forceinline] = ACTIONS(5405),
    [anon_sym_thread_local] = ACTIONS(5405),
    [anon_sym___thread] = ACTIONS(5405),
    [anon_sym_CG_EXTERN] = ACTIONS(5405),
    [anon_sym_CG_INLINE] = ACTIONS(5405),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5405),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5405),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5405),
    [anon_sym_IBOutlet] = ACTIONS(5405),
    [anon_sym_IBInspectable] = ACTIONS(5405),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5405),
    [anon_sym_NS_INLINE] = ACTIONS(5405),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5405),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5405),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5405),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5405),
    [anon_sym_const] = ACTIONS(5405),
    [anon_sym_constexpr] = ACTIONS(5405),
    [anon_sym_volatile] = ACTIONS(5405),
    [anon_sym_restrict] = ACTIONS(5405),
    [anon_sym___restrict__] = ACTIONS(5405),
    [anon_sym__Atomic] = ACTIONS(5405),
    [anon_sym__Noreturn] = ACTIONS(5405),
    [anon_sym__Nonnull] = ACTIONS(5405),
    [anon_sym_nullable] = ACTIONS(5405),
    [anon_sym__Complex] = ACTIONS(5405),
    [anon_sym__Nullable] = ACTIONS(5405),
    [anon_sym__Nullable_result] = ACTIONS(5405),
    [anon_sym__Null_unspecified] = ACTIONS(5405),
    [anon_sym___autoreleasing] = ACTIONS(5405),
    [anon_sym___block] = ACTIONS(5405),
    [anon_sym___bridge] = ACTIONS(5405),
    [anon_sym___bridge_retained] = ACTIONS(5405),
    [anon_sym___bridge_transfer] = ACTIONS(5405),
    [anon_sym___complex] = ACTIONS(5405),
    [anon_sym___const] = ACTIONS(5405),
    [anon_sym___imag] = ACTIONS(5405),
    [anon_sym___kindof] = ACTIONS(5405),
    [anon_sym___nonnull] = ACTIONS(5405),
    [anon_sym___nullable] = ACTIONS(5405),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5405),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5405),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5405),
    [anon_sym___real] = ACTIONS(5405),
    [anon_sym___strong] = ACTIONS(5405),
    [anon_sym___unsafe_unretained] = ACTIONS(5405),
    [anon_sym___unused] = ACTIONS(5405),
    [anon_sym___weak] = ACTIONS(5405),
    [anon_sym_alignas] = ACTIONS(5405),
    [anon_sym__Alignas] = ACTIONS(5405),
    [sym_primitive_type] = ACTIONS(5405),
    [anon_sym_enum] = ACTIONS(5405),
    [anon_sym_struct] = ACTIONS(5405),
    [anon_sym_union] = ACTIONS(5405),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5405),
    [anon_sym___typeof] = ACTIONS(5405),
    [anon_sym_typeof] = ACTIONS(5405),
    [aux_sym_preproc_undef_token1] = ACTIONS(5405),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5405),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5405),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5405),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5405),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5405),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5405),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5405),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5405),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5405),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5405),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5405),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5405),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5405),
    [anon_sym_API_AVAILABLE] = ACTIONS(5405),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5405),
    [anon_sym_API_DEPRECATED] = ACTIONS(5405),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5405),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5405),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5405),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5405),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5405),
    [anon_sym___deprecated_msg] = ACTIONS(5405),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5405),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5405),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5405),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5405),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5405),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5405),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5405),
    [anon_sym_ATproperty] = ACTIONS(5407),
    [anon_sym_BOOL] = ACTIONS(5405),
    [anon_sym_IMP] = ACTIONS(5405),
    [anon_sym_SEL] = ACTIONS(5405),
    [anon_sym_Class] = ACTIONS(5405),
    [anon_sym_id] = ACTIONS(5405),
  },
  [2125] = {
    [sym_identifier] = ACTIONS(5409),
    [aux_sym_preproc_def_token1] = ACTIONS(5409),
    [aux_sym_preproc_if_token1] = ACTIONS(5409),
    [aux_sym_preproc_if_token2] = ACTIONS(5409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5409),
    [aux_sym_preproc_else_token1] = ACTIONS(5409),
    [aux_sym_preproc_elif_token1] = ACTIONS(5409),
    [sym_preproc_directive] = ACTIONS(5409),
    [anon_sym_DASH] = ACTIONS(5411),
    [anon_sym_PLUS] = ACTIONS(5411),
    [anon_sym_SEMI] = ACTIONS(5413),
    [anon_sym___extension__] = ACTIONS(5409),
    [anon_sym_typedef] = ACTIONS(5409),
    [anon_sym_extern] = ACTIONS(5409),
    [anon_sym___attribute__] = ACTIONS(5409),
    [anon_sym___attribute] = ACTIONS(5409),
    [anon_sym_noreturn] = ACTIONS(5409),
    [anon_sym_LBRACK] = ACTIONS(5411),
    [anon_sym___declspec] = ACTIONS(5409),
    [anon_sym___cdecl] = ACTIONS(5409),
    [anon_sym___clrcall] = ACTIONS(5409),
    [anon_sym___stdcall] = ACTIONS(5409),
    [anon_sym___fastcall] = ACTIONS(5409),
    [anon_sym___thiscall] = ACTIONS(5409),
    [anon_sym___vectorcall] = ACTIONS(5409),
    [anon_sym_signed] = ACTIONS(5409),
    [anon_sym_unsigned] = ACTIONS(5409),
    [anon_sym_long] = ACTIONS(5409),
    [anon_sym_short] = ACTIONS(5409),
    [anon_sym_static] = ACTIONS(5409),
    [anon_sym_auto] = ACTIONS(5409),
    [anon_sym_register] = ACTIONS(5409),
    [anon_sym_inline] = ACTIONS(5409),
    [anon_sym___inline] = ACTIONS(5409),
    [anon_sym___inline__] = ACTIONS(5409),
    [anon_sym___forceinline] = ACTIONS(5409),
    [anon_sym_thread_local] = ACTIONS(5409),
    [anon_sym___thread] = ACTIONS(5409),
    [anon_sym_CG_EXTERN] = ACTIONS(5409),
    [anon_sym_CG_INLINE] = ACTIONS(5409),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5409),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5409),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5409),
    [anon_sym_IBOutlet] = ACTIONS(5409),
    [anon_sym_IBInspectable] = ACTIONS(5409),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5409),
    [anon_sym_NS_INLINE] = ACTIONS(5409),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5409),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5409),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5409),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5409),
    [anon_sym_const] = ACTIONS(5409),
    [anon_sym_constexpr] = ACTIONS(5409),
    [anon_sym_volatile] = ACTIONS(5409),
    [anon_sym_restrict] = ACTIONS(5409),
    [anon_sym___restrict__] = ACTIONS(5409),
    [anon_sym__Atomic] = ACTIONS(5409),
    [anon_sym__Noreturn] = ACTIONS(5409),
    [anon_sym__Nonnull] = ACTIONS(5409),
    [anon_sym_nullable] = ACTIONS(5409),
    [anon_sym__Complex] = ACTIONS(5409),
    [anon_sym__Nullable] = ACTIONS(5409),
    [anon_sym__Nullable_result] = ACTIONS(5409),
    [anon_sym__Null_unspecified] = ACTIONS(5409),
    [anon_sym___autoreleasing] = ACTIONS(5409),
    [anon_sym___block] = ACTIONS(5409),
    [anon_sym___bridge] = ACTIONS(5409),
    [anon_sym___bridge_retained] = ACTIONS(5409),
    [anon_sym___bridge_transfer] = ACTIONS(5409),
    [anon_sym___complex] = ACTIONS(5409),
    [anon_sym___const] = ACTIONS(5409),
    [anon_sym___imag] = ACTIONS(5409),
    [anon_sym___kindof] = ACTIONS(5409),
    [anon_sym___nonnull] = ACTIONS(5409),
    [anon_sym___nullable] = ACTIONS(5409),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5409),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5409),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5409),
    [anon_sym___real] = ACTIONS(5409),
    [anon_sym___strong] = ACTIONS(5409),
    [anon_sym___unsafe_unretained] = ACTIONS(5409),
    [anon_sym___unused] = ACTIONS(5409),
    [anon_sym___weak] = ACTIONS(5409),
    [anon_sym_alignas] = ACTIONS(5409),
    [anon_sym__Alignas] = ACTIONS(5409),
    [sym_primitive_type] = ACTIONS(5409),
    [anon_sym_enum] = ACTIONS(5409),
    [anon_sym_struct] = ACTIONS(5409),
    [anon_sym_union] = ACTIONS(5409),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5409),
    [anon_sym___typeof] = ACTIONS(5409),
    [anon_sym_typeof] = ACTIONS(5409),
    [aux_sym_preproc_undef_token1] = ACTIONS(5409),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5409),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5409),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5409),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5409),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5409),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5409),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5409),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5409),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5409),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5409),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5409),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5409),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5409),
    [anon_sym_API_AVAILABLE] = ACTIONS(5409),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5409),
    [anon_sym_API_DEPRECATED] = ACTIONS(5409),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5409),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5409),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5409),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5409),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5409),
    [anon_sym___deprecated_msg] = ACTIONS(5409),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5409),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5409),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5409),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5409),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5409),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5409),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5409),
    [anon_sym_ATsynthesize] = ACTIONS(5411),
    [anon_sym_ATdynamic] = ACTIONS(5411),
    [anon_sym_BOOL] = ACTIONS(5409),
    [anon_sym_IMP] = ACTIONS(5409),
    [anon_sym_SEL] = ACTIONS(5409),
    [anon_sym_Class] = ACTIONS(5409),
    [anon_sym_id] = ACTIONS(5409),
  },
  [2126] = {
    [sym_identifier] = ACTIONS(5415),
    [aux_sym_preproc_def_token1] = ACTIONS(5415),
    [aux_sym_preproc_if_token1] = ACTIONS(5415),
    [aux_sym_preproc_if_token2] = ACTIONS(5415),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5415),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5415),
    [aux_sym_preproc_else_token1] = ACTIONS(5415),
    [aux_sym_preproc_elif_token1] = ACTIONS(5415),
    [sym_preproc_directive] = ACTIONS(5415),
    [anon_sym_DASH] = ACTIONS(5417),
    [anon_sym_PLUS] = ACTIONS(5417),
    [anon_sym_SEMI] = ACTIONS(5419),
    [anon_sym___extension__] = ACTIONS(5415),
    [anon_sym_typedef] = ACTIONS(5415),
    [anon_sym_extern] = ACTIONS(5415),
    [anon_sym___attribute__] = ACTIONS(5415),
    [anon_sym___attribute] = ACTIONS(5415),
    [anon_sym_noreturn] = ACTIONS(5415),
    [anon_sym_LBRACK] = ACTIONS(5417),
    [anon_sym___declspec] = ACTIONS(5415),
    [anon_sym___cdecl] = ACTIONS(5415),
    [anon_sym___clrcall] = ACTIONS(5415),
    [anon_sym___stdcall] = ACTIONS(5415),
    [anon_sym___fastcall] = ACTIONS(5415),
    [anon_sym___thiscall] = ACTIONS(5415),
    [anon_sym___vectorcall] = ACTIONS(5415),
    [anon_sym_signed] = ACTIONS(5415),
    [anon_sym_unsigned] = ACTIONS(5415),
    [anon_sym_long] = ACTIONS(5415),
    [anon_sym_short] = ACTIONS(5415),
    [anon_sym_static] = ACTIONS(5415),
    [anon_sym_auto] = ACTIONS(5415),
    [anon_sym_register] = ACTIONS(5415),
    [anon_sym_inline] = ACTIONS(5415),
    [anon_sym___inline] = ACTIONS(5415),
    [anon_sym___inline__] = ACTIONS(5415),
    [anon_sym___forceinline] = ACTIONS(5415),
    [anon_sym_thread_local] = ACTIONS(5415),
    [anon_sym___thread] = ACTIONS(5415),
    [anon_sym_CG_EXTERN] = ACTIONS(5415),
    [anon_sym_CG_INLINE] = ACTIONS(5415),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5415),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5415),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5415),
    [anon_sym_IBOutlet] = ACTIONS(5415),
    [anon_sym_IBInspectable] = ACTIONS(5415),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5415),
    [anon_sym_NS_INLINE] = ACTIONS(5415),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5415),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5415),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5415),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5415),
    [anon_sym_const] = ACTIONS(5415),
    [anon_sym_constexpr] = ACTIONS(5415),
    [anon_sym_volatile] = ACTIONS(5415),
    [anon_sym_restrict] = ACTIONS(5415),
    [anon_sym___restrict__] = ACTIONS(5415),
    [anon_sym__Atomic] = ACTIONS(5415),
    [anon_sym__Noreturn] = ACTIONS(5415),
    [anon_sym__Nonnull] = ACTIONS(5415),
    [anon_sym_nullable] = ACTIONS(5415),
    [anon_sym__Complex] = ACTIONS(5415),
    [anon_sym__Nullable] = ACTIONS(5415),
    [anon_sym__Nullable_result] = ACTIONS(5415),
    [anon_sym__Null_unspecified] = ACTIONS(5415),
    [anon_sym___autoreleasing] = ACTIONS(5415),
    [anon_sym___block] = ACTIONS(5415),
    [anon_sym___bridge] = ACTIONS(5415),
    [anon_sym___bridge_retained] = ACTIONS(5415),
    [anon_sym___bridge_transfer] = ACTIONS(5415),
    [anon_sym___complex] = ACTIONS(5415),
    [anon_sym___const] = ACTIONS(5415),
    [anon_sym___imag] = ACTIONS(5415),
    [anon_sym___kindof] = ACTIONS(5415),
    [anon_sym___nonnull] = ACTIONS(5415),
    [anon_sym___nullable] = ACTIONS(5415),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5415),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5415),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5415),
    [anon_sym___real] = ACTIONS(5415),
    [anon_sym___strong] = ACTIONS(5415),
    [anon_sym___unsafe_unretained] = ACTIONS(5415),
    [anon_sym___unused] = ACTIONS(5415),
    [anon_sym___weak] = ACTIONS(5415),
    [anon_sym_alignas] = ACTIONS(5415),
    [anon_sym__Alignas] = ACTIONS(5415),
    [sym_primitive_type] = ACTIONS(5415),
    [anon_sym_enum] = ACTIONS(5415),
    [anon_sym_struct] = ACTIONS(5415),
    [anon_sym_union] = ACTIONS(5415),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5415),
    [anon_sym___typeof] = ACTIONS(5415),
    [anon_sym_typeof] = ACTIONS(5415),
    [aux_sym_preproc_undef_token1] = ACTIONS(5415),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5415),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5415),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5415),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5415),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5415),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5415),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5415),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5415),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5415),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5415),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5415),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5415),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5415),
    [anon_sym_API_AVAILABLE] = ACTIONS(5415),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5415),
    [anon_sym_API_DEPRECATED] = ACTIONS(5415),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5415),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5415),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5415),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5415),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5415),
    [anon_sym___deprecated_msg] = ACTIONS(5415),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5415),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5415),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5415),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5415),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5415),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5415),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5415),
    [anon_sym_ATsynthesize] = ACTIONS(5417),
    [anon_sym_ATdynamic] = ACTIONS(5417),
    [anon_sym_BOOL] = ACTIONS(5415),
    [anon_sym_IMP] = ACTIONS(5415),
    [anon_sym_SEL] = ACTIONS(5415),
    [anon_sym_Class] = ACTIONS(5415),
    [anon_sym_id] = ACTIONS(5415),
  },
  [2127] = {
    [sym_identifier] = ACTIONS(5421),
    [aux_sym_preproc_def_token1] = ACTIONS(5421),
    [aux_sym_preproc_if_token1] = ACTIONS(5421),
    [aux_sym_preproc_if_token2] = ACTIONS(5421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5421),
    [aux_sym_preproc_else_token1] = ACTIONS(5421),
    [aux_sym_preproc_elif_token1] = ACTIONS(5421),
    [sym_preproc_directive] = ACTIONS(5421),
    [anon_sym_DASH] = ACTIONS(5423),
    [anon_sym_PLUS] = ACTIONS(5423),
    [anon_sym_SEMI] = ACTIONS(5425),
    [anon_sym___extension__] = ACTIONS(5421),
    [anon_sym_typedef] = ACTIONS(5421),
    [anon_sym_extern] = ACTIONS(5421),
    [anon_sym___attribute__] = ACTIONS(5421),
    [anon_sym___attribute] = ACTIONS(5421),
    [anon_sym_noreturn] = ACTIONS(5421),
    [anon_sym_LBRACK] = ACTIONS(5423),
    [anon_sym___declspec] = ACTIONS(5421),
    [anon_sym___cdecl] = ACTIONS(5421),
    [anon_sym___clrcall] = ACTIONS(5421),
    [anon_sym___stdcall] = ACTIONS(5421),
    [anon_sym___fastcall] = ACTIONS(5421),
    [anon_sym___thiscall] = ACTIONS(5421),
    [anon_sym___vectorcall] = ACTIONS(5421),
    [anon_sym_signed] = ACTIONS(5421),
    [anon_sym_unsigned] = ACTIONS(5421),
    [anon_sym_long] = ACTIONS(5421),
    [anon_sym_short] = ACTIONS(5421),
    [anon_sym_static] = ACTIONS(5421),
    [anon_sym_auto] = ACTIONS(5421),
    [anon_sym_register] = ACTIONS(5421),
    [anon_sym_inline] = ACTIONS(5421),
    [anon_sym___inline] = ACTIONS(5421),
    [anon_sym___inline__] = ACTIONS(5421),
    [anon_sym___forceinline] = ACTIONS(5421),
    [anon_sym_thread_local] = ACTIONS(5421),
    [anon_sym___thread] = ACTIONS(5421),
    [anon_sym_CG_EXTERN] = ACTIONS(5421),
    [anon_sym_CG_INLINE] = ACTIONS(5421),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5421),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5421),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5421),
    [anon_sym_IBOutlet] = ACTIONS(5421),
    [anon_sym_IBInspectable] = ACTIONS(5421),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5421),
    [anon_sym_NS_INLINE] = ACTIONS(5421),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5421),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5421),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5421),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5421),
    [anon_sym_const] = ACTIONS(5421),
    [anon_sym_constexpr] = ACTIONS(5421),
    [anon_sym_volatile] = ACTIONS(5421),
    [anon_sym_restrict] = ACTIONS(5421),
    [anon_sym___restrict__] = ACTIONS(5421),
    [anon_sym__Atomic] = ACTIONS(5421),
    [anon_sym__Noreturn] = ACTIONS(5421),
    [anon_sym__Nonnull] = ACTIONS(5421),
    [anon_sym_nullable] = ACTIONS(5421),
    [anon_sym__Complex] = ACTIONS(5421),
    [anon_sym__Nullable] = ACTIONS(5421),
    [anon_sym__Nullable_result] = ACTIONS(5421),
    [anon_sym__Null_unspecified] = ACTIONS(5421),
    [anon_sym___autoreleasing] = ACTIONS(5421),
    [anon_sym___block] = ACTIONS(5421),
    [anon_sym___bridge] = ACTIONS(5421),
    [anon_sym___bridge_retained] = ACTIONS(5421),
    [anon_sym___bridge_transfer] = ACTIONS(5421),
    [anon_sym___complex] = ACTIONS(5421),
    [anon_sym___const] = ACTIONS(5421),
    [anon_sym___imag] = ACTIONS(5421),
    [anon_sym___kindof] = ACTIONS(5421),
    [anon_sym___nonnull] = ACTIONS(5421),
    [anon_sym___nullable] = ACTIONS(5421),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5421),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5421),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5421),
    [anon_sym___real] = ACTIONS(5421),
    [anon_sym___strong] = ACTIONS(5421),
    [anon_sym___unsafe_unretained] = ACTIONS(5421),
    [anon_sym___unused] = ACTIONS(5421),
    [anon_sym___weak] = ACTIONS(5421),
    [anon_sym_alignas] = ACTIONS(5421),
    [anon_sym__Alignas] = ACTIONS(5421),
    [sym_primitive_type] = ACTIONS(5421),
    [anon_sym_enum] = ACTIONS(5421),
    [anon_sym_struct] = ACTIONS(5421),
    [anon_sym_union] = ACTIONS(5421),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5421),
    [anon_sym___typeof] = ACTIONS(5421),
    [anon_sym_typeof] = ACTIONS(5421),
    [aux_sym_preproc_undef_token1] = ACTIONS(5421),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5421),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5421),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5421),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5421),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5421),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5421),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5421),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5421),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5421),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5421),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5421),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5421),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5421),
    [anon_sym_API_AVAILABLE] = ACTIONS(5421),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5421),
    [anon_sym_API_DEPRECATED] = ACTIONS(5421),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5421),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5421),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5421),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5421),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5421),
    [anon_sym___deprecated_msg] = ACTIONS(5421),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5421),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5421),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5421),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5421),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5421),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5421),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5421),
    [anon_sym_ATsynthesize] = ACTIONS(5423),
    [anon_sym_ATdynamic] = ACTIONS(5423),
    [anon_sym_BOOL] = ACTIONS(5421),
    [anon_sym_IMP] = ACTIONS(5421),
    [anon_sym_SEL] = ACTIONS(5421),
    [anon_sym_Class] = ACTIONS(5421),
    [anon_sym_id] = ACTIONS(5421),
  },
  [2128] = {
    [sym_identifier] = ACTIONS(5427),
    [aux_sym_preproc_def_token1] = ACTIONS(5427),
    [aux_sym_preproc_if_token1] = ACTIONS(5427),
    [aux_sym_preproc_if_token2] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5427),
    [aux_sym_preproc_else_token1] = ACTIONS(5427),
    [aux_sym_preproc_elif_token1] = ACTIONS(5427),
    [sym_preproc_directive] = ACTIONS(5427),
    [anon_sym_DASH] = ACTIONS(5429),
    [anon_sym_PLUS] = ACTIONS(5429),
    [anon_sym_SEMI] = ACTIONS(5431),
    [anon_sym___extension__] = ACTIONS(5427),
    [anon_sym_typedef] = ACTIONS(5427),
    [anon_sym_extern] = ACTIONS(5427),
    [anon_sym___attribute__] = ACTIONS(5427),
    [anon_sym___attribute] = ACTIONS(5427),
    [anon_sym_noreturn] = ACTIONS(5427),
    [anon_sym_LBRACK] = ACTIONS(5429),
    [anon_sym___declspec] = ACTIONS(5427),
    [anon_sym___cdecl] = ACTIONS(5427),
    [anon_sym___clrcall] = ACTIONS(5427),
    [anon_sym___stdcall] = ACTIONS(5427),
    [anon_sym___fastcall] = ACTIONS(5427),
    [anon_sym___thiscall] = ACTIONS(5427),
    [anon_sym___vectorcall] = ACTIONS(5427),
    [anon_sym_signed] = ACTIONS(5427),
    [anon_sym_unsigned] = ACTIONS(5427),
    [anon_sym_long] = ACTIONS(5427),
    [anon_sym_short] = ACTIONS(5427),
    [anon_sym_static] = ACTIONS(5427),
    [anon_sym_auto] = ACTIONS(5427),
    [anon_sym_register] = ACTIONS(5427),
    [anon_sym_inline] = ACTIONS(5427),
    [anon_sym___inline] = ACTIONS(5427),
    [anon_sym___inline__] = ACTIONS(5427),
    [anon_sym___forceinline] = ACTIONS(5427),
    [anon_sym_thread_local] = ACTIONS(5427),
    [anon_sym___thread] = ACTIONS(5427),
    [anon_sym_CG_EXTERN] = ACTIONS(5427),
    [anon_sym_CG_INLINE] = ACTIONS(5427),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5427),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5427),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5427),
    [anon_sym_IBOutlet] = ACTIONS(5427),
    [anon_sym_IBInspectable] = ACTIONS(5427),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5427),
    [anon_sym_NS_INLINE] = ACTIONS(5427),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5427),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5427),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5427),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5427),
    [anon_sym_const] = ACTIONS(5427),
    [anon_sym_constexpr] = ACTIONS(5427),
    [anon_sym_volatile] = ACTIONS(5427),
    [anon_sym_restrict] = ACTIONS(5427),
    [anon_sym___restrict__] = ACTIONS(5427),
    [anon_sym__Atomic] = ACTIONS(5427),
    [anon_sym__Noreturn] = ACTIONS(5427),
    [anon_sym__Nonnull] = ACTIONS(5427),
    [anon_sym_nullable] = ACTIONS(5427),
    [anon_sym__Complex] = ACTIONS(5427),
    [anon_sym__Nullable] = ACTIONS(5427),
    [anon_sym__Nullable_result] = ACTIONS(5427),
    [anon_sym__Null_unspecified] = ACTIONS(5427),
    [anon_sym___autoreleasing] = ACTIONS(5427),
    [anon_sym___block] = ACTIONS(5427),
    [anon_sym___bridge] = ACTIONS(5427),
    [anon_sym___bridge_retained] = ACTIONS(5427),
    [anon_sym___bridge_transfer] = ACTIONS(5427),
    [anon_sym___complex] = ACTIONS(5427),
    [anon_sym___const] = ACTIONS(5427),
    [anon_sym___imag] = ACTIONS(5427),
    [anon_sym___kindof] = ACTIONS(5427),
    [anon_sym___nonnull] = ACTIONS(5427),
    [anon_sym___nullable] = ACTIONS(5427),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5427),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5427),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5427),
    [anon_sym___real] = ACTIONS(5427),
    [anon_sym___strong] = ACTIONS(5427),
    [anon_sym___unsafe_unretained] = ACTIONS(5427),
    [anon_sym___unused] = ACTIONS(5427),
    [anon_sym___weak] = ACTIONS(5427),
    [anon_sym_alignas] = ACTIONS(5427),
    [anon_sym__Alignas] = ACTIONS(5427),
    [sym_primitive_type] = ACTIONS(5427),
    [anon_sym_enum] = ACTIONS(5427),
    [anon_sym_struct] = ACTIONS(5427),
    [anon_sym_union] = ACTIONS(5427),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5427),
    [anon_sym___typeof] = ACTIONS(5427),
    [anon_sym_typeof] = ACTIONS(5427),
    [aux_sym_preproc_undef_token1] = ACTIONS(5427),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5427),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5427),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5427),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5427),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5427),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5427),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5427),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5427),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5427),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5427),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5427),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5427),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5427),
    [anon_sym_API_AVAILABLE] = ACTIONS(5427),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5427),
    [anon_sym_API_DEPRECATED] = ACTIONS(5427),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5427),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5427),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5427),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5427),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5427),
    [anon_sym___deprecated_msg] = ACTIONS(5427),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5427),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5427),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5427),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5427),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5427),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5427),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5427),
    [anon_sym_ATsynthesize] = ACTIONS(5429),
    [anon_sym_ATdynamic] = ACTIONS(5429),
    [anon_sym_BOOL] = ACTIONS(5427),
    [anon_sym_IMP] = ACTIONS(5427),
    [anon_sym_SEL] = ACTIONS(5427),
    [anon_sym_Class] = ACTIONS(5427),
    [anon_sym_id] = ACTIONS(5427),
  },
  [2129] = {
    [sym_identifier] = ACTIONS(5433),
    [aux_sym_preproc_def_token1] = ACTIONS(5433),
    [aux_sym_preproc_if_token1] = ACTIONS(5433),
    [aux_sym_preproc_if_token2] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5433),
    [aux_sym_preproc_else_token1] = ACTIONS(5433),
    [aux_sym_preproc_elif_token1] = ACTIONS(5433),
    [sym_preproc_directive] = ACTIONS(5433),
    [anon_sym_DASH] = ACTIONS(5435),
    [anon_sym_PLUS] = ACTIONS(5435),
    [anon_sym_SEMI] = ACTIONS(5437),
    [anon_sym___extension__] = ACTIONS(5433),
    [anon_sym_typedef] = ACTIONS(5433),
    [anon_sym_extern] = ACTIONS(5433),
    [anon_sym___attribute__] = ACTIONS(5433),
    [anon_sym___attribute] = ACTIONS(5433),
    [anon_sym_noreturn] = ACTIONS(5433),
    [anon_sym_LBRACK] = ACTIONS(5435),
    [anon_sym___declspec] = ACTIONS(5433),
    [anon_sym___cdecl] = ACTIONS(5433),
    [anon_sym___clrcall] = ACTIONS(5433),
    [anon_sym___stdcall] = ACTIONS(5433),
    [anon_sym___fastcall] = ACTIONS(5433),
    [anon_sym___thiscall] = ACTIONS(5433),
    [anon_sym___vectorcall] = ACTIONS(5433),
    [anon_sym_signed] = ACTIONS(5433),
    [anon_sym_unsigned] = ACTIONS(5433),
    [anon_sym_long] = ACTIONS(5433),
    [anon_sym_short] = ACTIONS(5433),
    [anon_sym_static] = ACTIONS(5433),
    [anon_sym_auto] = ACTIONS(5433),
    [anon_sym_register] = ACTIONS(5433),
    [anon_sym_inline] = ACTIONS(5433),
    [anon_sym___inline] = ACTIONS(5433),
    [anon_sym___inline__] = ACTIONS(5433),
    [anon_sym___forceinline] = ACTIONS(5433),
    [anon_sym_thread_local] = ACTIONS(5433),
    [anon_sym___thread] = ACTIONS(5433),
    [anon_sym_CG_EXTERN] = ACTIONS(5433),
    [anon_sym_CG_INLINE] = ACTIONS(5433),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5433),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5433),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5433),
    [anon_sym_IBOutlet] = ACTIONS(5433),
    [anon_sym_IBInspectable] = ACTIONS(5433),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5433),
    [anon_sym_NS_INLINE] = ACTIONS(5433),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5433),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5433),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5433),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5433),
    [anon_sym_const] = ACTIONS(5433),
    [anon_sym_constexpr] = ACTIONS(5433),
    [anon_sym_volatile] = ACTIONS(5433),
    [anon_sym_restrict] = ACTIONS(5433),
    [anon_sym___restrict__] = ACTIONS(5433),
    [anon_sym__Atomic] = ACTIONS(5433),
    [anon_sym__Noreturn] = ACTIONS(5433),
    [anon_sym__Nonnull] = ACTIONS(5433),
    [anon_sym_nullable] = ACTIONS(5433),
    [anon_sym__Complex] = ACTIONS(5433),
    [anon_sym__Nullable] = ACTIONS(5433),
    [anon_sym__Nullable_result] = ACTIONS(5433),
    [anon_sym__Null_unspecified] = ACTIONS(5433),
    [anon_sym___autoreleasing] = ACTIONS(5433),
    [anon_sym___block] = ACTIONS(5433),
    [anon_sym___bridge] = ACTIONS(5433),
    [anon_sym___bridge_retained] = ACTIONS(5433),
    [anon_sym___bridge_transfer] = ACTIONS(5433),
    [anon_sym___complex] = ACTIONS(5433),
    [anon_sym___const] = ACTIONS(5433),
    [anon_sym___imag] = ACTIONS(5433),
    [anon_sym___kindof] = ACTIONS(5433),
    [anon_sym___nonnull] = ACTIONS(5433),
    [anon_sym___nullable] = ACTIONS(5433),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5433),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5433),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5433),
    [anon_sym___real] = ACTIONS(5433),
    [anon_sym___strong] = ACTIONS(5433),
    [anon_sym___unsafe_unretained] = ACTIONS(5433),
    [anon_sym___unused] = ACTIONS(5433),
    [anon_sym___weak] = ACTIONS(5433),
    [anon_sym_alignas] = ACTIONS(5433),
    [anon_sym__Alignas] = ACTIONS(5433),
    [sym_primitive_type] = ACTIONS(5433),
    [anon_sym_enum] = ACTIONS(5433),
    [anon_sym_struct] = ACTIONS(5433),
    [anon_sym_union] = ACTIONS(5433),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5433),
    [anon_sym___typeof] = ACTIONS(5433),
    [anon_sym_typeof] = ACTIONS(5433),
    [aux_sym_preproc_undef_token1] = ACTIONS(5433),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5433),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5433),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5433),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5433),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5433),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5433),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5433),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5433),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5433),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5433),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5433),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5433),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5433),
    [anon_sym_API_AVAILABLE] = ACTIONS(5433),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5433),
    [anon_sym_API_DEPRECATED] = ACTIONS(5433),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5433),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5433),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5433),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5433),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5433),
    [anon_sym___deprecated_msg] = ACTIONS(5433),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5433),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5433),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5433),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5433),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5433),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5433),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5433),
    [anon_sym_ATsynthesize] = ACTIONS(5435),
    [anon_sym_ATdynamic] = ACTIONS(5435),
    [anon_sym_BOOL] = ACTIONS(5433),
    [anon_sym_IMP] = ACTIONS(5433),
    [anon_sym_SEL] = ACTIONS(5433),
    [anon_sym_Class] = ACTIONS(5433),
    [anon_sym_id] = ACTIONS(5433),
  },
  [2130] = {
    [sym_identifier] = ACTIONS(5439),
    [aux_sym_preproc_def_token1] = ACTIONS(5439),
    [aux_sym_preproc_if_token1] = ACTIONS(5439),
    [aux_sym_preproc_if_token2] = ACTIONS(5439),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5439),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5439),
    [aux_sym_preproc_else_token1] = ACTIONS(5439),
    [aux_sym_preproc_elif_token1] = ACTIONS(5439),
    [sym_preproc_directive] = ACTIONS(5439),
    [anon_sym_DASH] = ACTIONS(5441),
    [anon_sym_PLUS] = ACTIONS(5441),
    [anon_sym_SEMI] = ACTIONS(5443),
    [anon_sym___extension__] = ACTIONS(5439),
    [anon_sym_typedef] = ACTIONS(5439),
    [anon_sym_extern] = ACTIONS(5439),
    [anon_sym___attribute__] = ACTIONS(5439),
    [anon_sym___attribute] = ACTIONS(5439),
    [anon_sym_noreturn] = ACTIONS(5439),
    [anon_sym_LBRACK] = ACTIONS(5441),
    [anon_sym___declspec] = ACTIONS(5439),
    [anon_sym___cdecl] = ACTIONS(5439),
    [anon_sym___clrcall] = ACTIONS(5439),
    [anon_sym___stdcall] = ACTIONS(5439),
    [anon_sym___fastcall] = ACTIONS(5439),
    [anon_sym___thiscall] = ACTIONS(5439),
    [anon_sym___vectorcall] = ACTIONS(5439),
    [anon_sym_signed] = ACTIONS(5439),
    [anon_sym_unsigned] = ACTIONS(5439),
    [anon_sym_long] = ACTIONS(5439),
    [anon_sym_short] = ACTIONS(5439),
    [anon_sym_static] = ACTIONS(5439),
    [anon_sym_auto] = ACTIONS(5439),
    [anon_sym_register] = ACTIONS(5439),
    [anon_sym_inline] = ACTIONS(5439),
    [anon_sym___inline] = ACTIONS(5439),
    [anon_sym___inline__] = ACTIONS(5439),
    [anon_sym___forceinline] = ACTIONS(5439),
    [anon_sym_thread_local] = ACTIONS(5439),
    [anon_sym___thread] = ACTIONS(5439),
    [anon_sym_CG_EXTERN] = ACTIONS(5439),
    [anon_sym_CG_INLINE] = ACTIONS(5439),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5439),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5439),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5439),
    [anon_sym_IBOutlet] = ACTIONS(5439),
    [anon_sym_IBInspectable] = ACTIONS(5439),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5439),
    [anon_sym_NS_INLINE] = ACTIONS(5439),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5439),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5439),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5439),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5439),
    [anon_sym_const] = ACTIONS(5439),
    [anon_sym_constexpr] = ACTIONS(5439),
    [anon_sym_volatile] = ACTIONS(5439),
    [anon_sym_restrict] = ACTIONS(5439),
    [anon_sym___restrict__] = ACTIONS(5439),
    [anon_sym__Atomic] = ACTIONS(5439),
    [anon_sym__Noreturn] = ACTIONS(5439),
    [anon_sym__Nonnull] = ACTIONS(5439),
    [anon_sym_nullable] = ACTIONS(5439),
    [anon_sym__Complex] = ACTIONS(5439),
    [anon_sym__Nullable] = ACTIONS(5439),
    [anon_sym__Nullable_result] = ACTIONS(5439),
    [anon_sym__Null_unspecified] = ACTIONS(5439),
    [anon_sym___autoreleasing] = ACTIONS(5439),
    [anon_sym___block] = ACTIONS(5439),
    [anon_sym___bridge] = ACTIONS(5439),
    [anon_sym___bridge_retained] = ACTIONS(5439),
    [anon_sym___bridge_transfer] = ACTIONS(5439),
    [anon_sym___complex] = ACTIONS(5439),
    [anon_sym___const] = ACTIONS(5439),
    [anon_sym___imag] = ACTIONS(5439),
    [anon_sym___kindof] = ACTIONS(5439),
    [anon_sym___nonnull] = ACTIONS(5439),
    [anon_sym___nullable] = ACTIONS(5439),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5439),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5439),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5439),
    [anon_sym___real] = ACTIONS(5439),
    [anon_sym___strong] = ACTIONS(5439),
    [anon_sym___unsafe_unretained] = ACTIONS(5439),
    [anon_sym___unused] = ACTIONS(5439),
    [anon_sym___weak] = ACTIONS(5439),
    [anon_sym_alignas] = ACTIONS(5439),
    [anon_sym__Alignas] = ACTIONS(5439),
    [sym_primitive_type] = ACTIONS(5439),
    [anon_sym_enum] = ACTIONS(5439),
    [anon_sym_struct] = ACTIONS(5439),
    [anon_sym_union] = ACTIONS(5439),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5439),
    [anon_sym___typeof] = ACTIONS(5439),
    [anon_sym_typeof] = ACTIONS(5439),
    [aux_sym_preproc_undef_token1] = ACTIONS(5439),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5439),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5439),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5439),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5439),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5439),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5439),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5439),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5439),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5439),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5439),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5439),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5439),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5439),
    [anon_sym_API_AVAILABLE] = ACTIONS(5439),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5439),
    [anon_sym_API_DEPRECATED] = ACTIONS(5439),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5439),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5439),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5439),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5439),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5439),
    [anon_sym___deprecated_msg] = ACTIONS(5439),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5439),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5439),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5439),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5439),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5439),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5439),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5439),
    [anon_sym_ATsynthesize] = ACTIONS(5441),
    [anon_sym_ATdynamic] = ACTIONS(5441),
    [anon_sym_BOOL] = ACTIONS(5439),
    [anon_sym_IMP] = ACTIONS(5439),
    [anon_sym_SEL] = ACTIONS(5439),
    [anon_sym_Class] = ACTIONS(5439),
    [anon_sym_id] = ACTIONS(5439),
  },
  [2131] = {
    [sym_identifier] = ACTIONS(5445),
    [aux_sym_preproc_def_token1] = ACTIONS(5445),
    [aux_sym_preproc_if_token1] = ACTIONS(5445),
    [aux_sym_preproc_if_token2] = ACTIONS(5445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5445),
    [aux_sym_preproc_else_token1] = ACTIONS(5445),
    [aux_sym_preproc_elif_token1] = ACTIONS(5445),
    [sym_preproc_directive] = ACTIONS(5445),
    [anon_sym_DASH] = ACTIONS(5447),
    [anon_sym_PLUS] = ACTIONS(5447),
    [anon_sym_SEMI] = ACTIONS(5449),
    [anon_sym___extension__] = ACTIONS(5445),
    [anon_sym_typedef] = ACTIONS(5445),
    [anon_sym_extern] = ACTIONS(5445),
    [anon_sym___attribute__] = ACTIONS(5445),
    [anon_sym___attribute] = ACTIONS(5445),
    [anon_sym_noreturn] = ACTIONS(5445),
    [anon_sym_LBRACK] = ACTIONS(5447),
    [anon_sym___declspec] = ACTIONS(5445),
    [anon_sym___cdecl] = ACTIONS(5445),
    [anon_sym___clrcall] = ACTIONS(5445),
    [anon_sym___stdcall] = ACTIONS(5445),
    [anon_sym___fastcall] = ACTIONS(5445),
    [anon_sym___thiscall] = ACTIONS(5445),
    [anon_sym___vectorcall] = ACTIONS(5445),
    [anon_sym_signed] = ACTIONS(5445),
    [anon_sym_unsigned] = ACTIONS(5445),
    [anon_sym_long] = ACTIONS(5445),
    [anon_sym_short] = ACTIONS(5445),
    [anon_sym_static] = ACTIONS(5445),
    [anon_sym_auto] = ACTIONS(5445),
    [anon_sym_register] = ACTIONS(5445),
    [anon_sym_inline] = ACTIONS(5445),
    [anon_sym___inline] = ACTIONS(5445),
    [anon_sym___inline__] = ACTIONS(5445),
    [anon_sym___forceinline] = ACTIONS(5445),
    [anon_sym_thread_local] = ACTIONS(5445),
    [anon_sym___thread] = ACTIONS(5445),
    [anon_sym_CG_EXTERN] = ACTIONS(5445),
    [anon_sym_CG_INLINE] = ACTIONS(5445),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5445),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5445),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5445),
    [anon_sym_IBOutlet] = ACTIONS(5445),
    [anon_sym_IBInspectable] = ACTIONS(5445),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5445),
    [anon_sym_NS_INLINE] = ACTIONS(5445),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5445),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5445),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5445),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5445),
    [anon_sym_const] = ACTIONS(5445),
    [anon_sym_constexpr] = ACTIONS(5445),
    [anon_sym_volatile] = ACTIONS(5445),
    [anon_sym_restrict] = ACTIONS(5445),
    [anon_sym___restrict__] = ACTIONS(5445),
    [anon_sym__Atomic] = ACTIONS(5445),
    [anon_sym__Noreturn] = ACTIONS(5445),
    [anon_sym__Nonnull] = ACTIONS(5445),
    [anon_sym_nullable] = ACTIONS(5445),
    [anon_sym__Complex] = ACTIONS(5445),
    [anon_sym__Nullable] = ACTIONS(5445),
    [anon_sym__Nullable_result] = ACTIONS(5445),
    [anon_sym__Null_unspecified] = ACTIONS(5445),
    [anon_sym___autoreleasing] = ACTIONS(5445),
    [anon_sym___block] = ACTIONS(5445),
    [anon_sym___bridge] = ACTIONS(5445),
    [anon_sym___bridge_retained] = ACTIONS(5445),
    [anon_sym___bridge_transfer] = ACTIONS(5445),
    [anon_sym___complex] = ACTIONS(5445),
    [anon_sym___const] = ACTIONS(5445),
    [anon_sym___imag] = ACTIONS(5445),
    [anon_sym___kindof] = ACTIONS(5445),
    [anon_sym___nonnull] = ACTIONS(5445),
    [anon_sym___nullable] = ACTIONS(5445),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5445),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5445),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5445),
    [anon_sym___real] = ACTIONS(5445),
    [anon_sym___strong] = ACTIONS(5445),
    [anon_sym___unsafe_unretained] = ACTIONS(5445),
    [anon_sym___unused] = ACTIONS(5445),
    [anon_sym___weak] = ACTIONS(5445),
    [anon_sym_alignas] = ACTIONS(5445),
    [anon_sym__Alignas] = ACTIONS(5445),
    [sym_primitive_type] = ACTIONS(5445),
    [anon_sym_enum] = ACTIONS(5445),
    [anon_sym_struct] = ACTIONS(5445),
    [anon_sym_union] = ACTIONS(5445),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5445),
    [anon_sym___typeof] = ACTIONS(5445),
    [anon_sym_typeof] = ACTIONS(5445),
    [aux_sym_preproc_undef_token1] = ACTIONS(5445),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5445),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5445),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5445),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5445),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5445),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5445),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5445),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5445),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5445),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5445),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5445),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5445),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5445),
    [anon_sym_API_AVAILABLE] = ACTIONS(5445),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5445),
    [anon_sym_API_DEPRECATED] = ACTIONS(5445),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5445),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5445),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5445),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5445),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5445),
    [anon_sym___deprecated_msg] = ACTIONS(5445),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5445),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5445),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5445),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5445),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5445),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5445),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5445),
    [anon_sym_ATsynthesize] = ACTIONS(5447),
    [anon_sym_ATdynamic] = ACTIONS(5447),
    [anon_sym_BOOL] = ACTIONS(5445),
    [anon_sym_IMP] = ACTIONS(5445),
    [anon_sym_SEL] = ACTIONS(5445),
    [anon_sym_Class] = ACTIONS(5445),
    [anon_sym_id] = ACTIONS(5445),
  },
  [2132] = {
    [sym_identifier] = ACTIONS(2718),
    [aux_sym_preproc_def_token1] = ACTIONS(2718),
    [aux_sym_preproc_if_token1] = ACTIONS(2718),
    [aux_sym_preproc_if_token2] = ACTIONS(2718),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2718),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2718),
    [aux_sym_preproc_else_token1] = ACTIONS(2718),
    [aux_sym_preproc_elif_token1] = ACTIONS(2718),
    [sym_preproc_directive] = ACTIONS(2718),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym___extension__] = ACTIONS(2718),
    [anon_sym_typedef] = ACTIONS(2718),
    [anon_sym_extern] = ACTIONS(2718),
    [anon_sym___attribute__] = ACTIONS(2718),
    [anon_sym___attribute] = ACTIONS(2718),
    [anon_sym_noreturn] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [anon_sym___declspec] = ACTIONS(2718),
    [anon_sym___cdecl] = ACTIONS(2718),
    [anon_sym___clrcall] = ACTIONS(2718),
    [anon_sym___stdcall] = ACTIONS(2718),
    [anon_sym___fastcall] = ACTIONS(2718),
    [anon_sym___thiscall] = ACTIONS(2718),
    [anon_sym___vectorcall] = ACTIONS(2718),
    [anon_sym_signed] = ACTIONS(2718),
    [anon_sym_unsigned] = ACTIONS(2718),
    [anon_sym_long] = ACTIONS(2718),
    [anon_sym_short] = ACTIONS(2718),
    [anon_sym_static] = ACTIONS(2718),
    [anon_sym_auto] = ACTIONS(2718),
    [anon_sym_register] = ACTIONS(2718),
    [anon_sym_inline] = ACTIONS(2718),
    [anon_sym___inline] = ACTIONS(2718),
    [anon_sym___inline__] = ACTIONS(2718),
    [anon_sym___forceinline] = ACTIONS(2718),
    [anon_sym_thread_local] = ACTIONS(2718),
    [anon_sym___thread] = ACTIONS(2718),
    [anon_sym_CG_EXTERN] = ACTIONS(2718),
    [anon_sym_CG_INLINE] = ACTIONS(2718),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2718),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2718),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2718),
    [anon_sym_IBOutlet] = ACTIONS(2718),
    [anon_sym_IBInspectable] = ACTIONS(2718),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2718),
    [anon_sym_NS_INLINE] = ACTIONS(2718),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2718),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2718),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2718),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2718),
    [anon_sym_const] = ACTIONS(2718),
    [anon_sym_constexpr] = ACTIONS(2718),
    [anon_sym_volatile] = ACTIONS(2718),
    [anon_sym_restrict] = ACTIONS(2718),
    [anon_sym___restrict__] = ACTIONS(2718),
    [anon_sym__Atomic] = ACTIONS(2718),
    [anon_sym__Noreturn] = ACTIONS(2718),
    [anon_sym__Nonnull] = ACTIONS(2718),
    [anon_sym_nullable] = ACTIONS(2718),
    [anon_sym__Complex] = ACTIONS(2718),
    [anon_sym__Nullable] = ACTIONS(2718),
    [anon_sym__Nullable_result] = ACTIONS(2718),
    [anon_sym__Null_unspecified] = ACTIONS(2718),
    [anon_sym___autoreleasing] = ACTIONS(2718),
    [anon_sym___block] = ACTIONS(2718),
    [anon_sym___bridge] = ACTIONS(2718),
    [anon_sym___bridge_retained] = ACTIONS(2718),
    [anon_sym___bridge_transfer] = ACTIONS(2718),
    [anon_sym___complex] = ACTIONS(2718),
    [anon_sym___const] = ACTIONS(2718),
    [anon_sym___imag] = ACTIONS(2718),
    [anon_sym___kindof] = ACTIONS(2718),
    [anon_sym___nonnull] = ACTIONS(2718),
    [anon_sym___nullable] = ACTIONS(2718),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2718),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2718),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2718),
    [anon_sym___real] = ACTIONS(2718),
    [anon_sym___strong] = ACTIONS(2718),
    [anon_sym___unsafe_unretained] = ACTIONS(2718),
    [anon_sym___unused] = ACTIONS(2718),
    [anon_sym___weak] = ACTIONS(2718),
    [anon_sym_alignas] = ACTIONS(2718),
    [anon_sym__Alignas] = ACTIONS(2718),
    [sym_primitive_type] = ACTIONS(2718),
    [anon_sym_enum] = ACTIONS(2718),
    [anon_sym_struct] = ACTIONS(2718),
    [anon_sym_union] = ACTIONS(2718),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2718),
    [anon_sym___typeof] = ACTIONS(2718),
    [anon_sym_typeof] = ACTIONS(2718),
    [aux_sym_preproc_undef_token1] = ACTIONS(2718),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2718),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2718),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2718),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2718),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2718),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2718),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2718),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2718),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2718),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_API_AVAILABLE] = ACTIONS(2718),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_API_DEPRECATED] = ACTIONS(2718),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2718),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2718),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2718),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2718),
    [anon_sym___deprecated_msg] = ACTIONS(2718),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2718),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2718),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2718),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2718),
    [anon_sym_ATsynthesize] = ACTIONS(2720),
    [anon_sym_ATdynamic] = ACTIONS(2720),
    [anon_sym_ATproperty] = ACTIONS(2720),
    [anon_sym_BOOL] = ACTIONS(2718),
    [anon_sym_IMP] = ACTIONS(2718),
    [anon_sym_SEL] = ACTIONS(2718),
    [anon_sym_Class] = ACTIONS(2718),
    [anon_sym_id] = ACTIONS(2718),
  },
  [2133] = {
    [sym_identifier] = ACTIONS(2662),
    [aux_sym_preproc_def_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2662),
    [aux_sym_preproc_else_token1] = ACTIONS(2662),
    [aux_sym_preproc_elif_token1] = ACTIONS(2662),
    [sym_preproc_directive] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym___extension__] = ACTIONS(2662),
    [anon_sym_typedef] = ACTIONS(2662),
    [anon_sym_extern] = ACTIONS(2662),
    [anon_sym___attribute__] = ACTIONS(2662),
    [anon_sym___attribute] = ACTIONS(2662),
    [anon_sym_noreturn] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym___declspec] = ACTIONS(2662),
    [anon_sym___cdecl] = ACTIONS(2662),
    [anon_sym___clrcall] = ACTIONS(2662),
    [anon_sym___stdcall] = ACTIONS(2662),
    [anon_sym___fastcall] = ACTIONS(2662),
    [anon_sym___thiscall] = ACTIONS(2662),
    [anon_sym___vectorcall] = ACTIONS(2662),
    [anon_sym_signed] = ACTIONS(2662),
    [anon_sym_unsigned] = ACTIONS(2662),
    [anon_sym_long] = ACTIONS(2662),
    [anon_sym_short] = ACTIONS(2662),
    [anon_sym_static] = ACTIONS(2662),
    [anon_sym_auto] = ACTIONS(2662),
    [anon_sym_register] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym___inline] = ACTIONS(2662),
    [anon_sym___inline__] = ACTIONS(2662),
    [anon_sym___forceinline] = ACTIONS(2662),
    [anon_sym_thread_local] = ACTIONS(2662),
    [anon_sym___thread] = ACTIONS(2662),
    [anon_sym_CG_EXTERN] = ACTIONS(2662),
    [anon_sym_CG_INLINE] = ACTIONS(2662),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2662),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2662),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2662),
    [anon_sym_IBOutlet] = ACTIONS(2662),
    [anon_sym_IBInspectable] = ACTIONS(2662),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2662),
    [anon_sym_NS_INLINE] = ACTIONS(2662),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2662),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2662),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2662),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_constexpr] = ACTIONS(2662),
    [anon_sym_volatile] = ACTIONS(2662),
    [anon_sym_restrict] = ACTIONS(2662),
    [anon_sym___restrict__] = ACTIONS(2662),
    [anon_sym__Atomic] = ACTIONS(2662),
    [anon_sym__Noreturn] = ACTIONS(2662),
    [anon_sym__Nonnull] = ACTIONS(2662),
    [anon_sym_nullable] = ACTIONS(2662),
    [anon_sym__Complex] = ACTIONS(2662),
    [anon_sym__Nullable] = ACTIONS(2662),
    [anon_sym__Nullable_result] = ACTIONS(2662),
    [anon_sym__Null_unspecified] = ACTIONS(2662),
    [anon_sym___autoreleasing] = ACTIONS(2662),
    [anon_sym___block] = ACTIONS(2662),
    [anon_sym___bridge] = ACTIONS(2662),
    [anon_sym___bridge_retained] = ACTIONS(2662),
    [anon_sym___bridge_transfer] = ACTIONS(2662),
    [anon_sym___complex] = ACTIONS(2662),
    [anon_sym___const] = ACTIONS(2662),
    [anon_sym___imag] = ACTIONS(2662),
    [anon_sym___kindof] = ACTIONS(2662),
    [anon_sym___nonnull] = ACTIONS(2662),
    [anon_sym___nullable] = ACTIONS(2662),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2662),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2662),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2662),
    [anon_sym___real] = ACTIONS(2662),
    [anon_sym___strong] = ACTIONS(2662),
    [anon_sym___unsafe_unretained] = ACTIONS(2662),
    [anon_sym___unused] = ACTIONS(2662),
    [anon_sym___weak] = ACTIONS(2662),
    [anon_sym_alignas] = ACTIONS(2662),
    [anon_sym__Alignas] = ACTIONS(2662),
    [sym_primitive_type] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_struct] = ACTIONS(2662),
    [anon_sym_union] = ACTIONS(2662),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2662),
    [anon_sym___typeof] = ACTIONS(2662),
    [anon_sym_typeof] = ACTIONS(2662),
    [aux_sym_preproc_undef_token1] = ACTIONS(2662),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2662),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2662),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2662),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2662),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2662),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2662),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2662),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2662),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2662),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_API_AVAILABLE] = ACTIONS(2662),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_API_DEPRECATED] = ACTIONS(2662),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2662),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2662),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2662),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2662),
    [anon_sym___deprecated_msg] = ACTIONS(2662),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2662),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2662),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2662),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2662),
    [anon_sym_ATsynthesize] = ACTIONS(2664),
    [anon_sym_ATdynamic] = ACTIONS(2664),
    [anon_sym_ATproperty] = ACTIONS(2664),
    [anon_sym_BOOL] = ACTIONS(2662),
    [anon_sym_IMP] = ACTIONS(2662),
    [anon_sym_SEL] = ACTIONS(2662),
    [anon_sym_Class] = ACTIONS(2662),
    [anon_sym_id] = ACTIONS(2662),
  },
  [2134] = {
    [sym_identifier] = ACTIONS(2770),
    [aux_sym_preproc_def_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token2] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2770),
    [aux_sym_preproc_else_token1] = ACTIONS(2770),
    [aux_sym_preproc_elif_token1] = ACTIONS(2770),
    [sym_preproc_directive] = ACTIONS(2770),
    [anon_sym_DASH] = ACTIONS(2772),
    [anon_sym_PLUS] = ACTIONS(2772),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym_typedef] = ACTIONS(2770),
    [anon_sym_extern] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym___attribute] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2772),
    [anon_sym___declspec] = ACTIONS(2770),
    [anon_sym___cdecl] = ACTIONS(2770),
    [anon_sym___clrcall] = ACTIONS(2770),
    [anon_sym___stdcall] = ACTIONS(2770),
    [anon_sym___fastcall] = ACTIONS(2770),
    [anon_sym___thiscall] = ACTIONS(2770),
    [anon_sym___vectorcall] = ACTIONS(2770),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_auto] = ACTIONS(2770),
    [anon_sym_register] = ACTIONS(2770),
    [anon_sym_inline] = ACTIONS(2770),
    [anon_sym___inline] = ACTIONS(2770),
    [anon_sym___inline__] = ACTIONS(2770),
    [anon_sym___forceinline] = ACTIONS(2770),
    [anon_sym_thread_local] = ACTIONS(2770),
    [anon_sym___thread] = ACTIONS(2770),
    [anon_sym_CG_EXTERN] = ACTIONS(2770),
    [anon_sym_CG_INLINE] = ACTIONS(2770),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2770),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2770),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2770),
    [anon_sym_IBOutlet] = ACTIONS(2770),
    [anon_sym_IBInspectable] = ACTIONS(2770),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2770),
    [anon_sym_NS_INLINE] = ACTIONS(2770),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2770),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2770),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2770),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym__Nonnull] = ACTIONS(2770),
    [anon_sym_nullable] = ACTIONS(2770),
    [anon_sym__Complex] = ACTIONS(2770),
    [anon_sym__Nullable] = ACTIONS(2770),
    [anon_sym__Nullable_result] = ACTIONS(2770),
    [anon_sym__Null_unspecified] = ACTIONS(2770),
    [anon_sym___autoreleasing] = ACTIONS(2770),
    [anon_sym___block] = ACTIONS(2770),
    [anon_sym___bridge] = ACTIONS(2770),
    [anon_sym___bridge_retained] = ACTIONS(2770),
    [anon_sym___bridge_transfer] = ACTIONS(2770),
    [anon_sym___complex] = ACTIONS(2770),
    [anon_sym___const] = ACTIONS(2770),
    [anon_sym___imag] = ACTIONS(2770),
    [anon_sym___kindof] = ACTIONS(2770),
    [anon_sym___nonnull] = ACTIONS(2770),
    [anon_sym___nullable] = ACTIONS(2770),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2770),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2770),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2770),
    [anon_sym___real] = ACTIONS(2770),
    [anon_sym___strong] = ACTIONS(2770),
    [anon_sym___unsafe_unretained] = ACTIONS(2770),
    [anon_sym___unused] = ACTIONS(2770),
    [anon_sym___weak] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym__Alignas] = ACTIONS(2770),
    [sym_primitive_type] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2770),
    [anon_sym___typeof] = ACTIONS(2770),
    [anon_sym_typeof] = ACTIONS(2770),
    [aux_sym_preproc_undef_token1] = ACTIONS(2770),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2770),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2770),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2770),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2770),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2770),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2770),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2770),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2770),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2770),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_API_AVAILABLE] = ACTIONS(2770),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_API_DEPRECATED] = ACTIONS(2770),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2770),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2770),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2770),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2770),
    [anon_sym___deprecated_msg] = ACTIONS(2770),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2770),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2770),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2770),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2770),
    [anon_sym_ATsynthesize] = ACTIONS(2772),
    [anon_sym_ATdynamic] = ACTIONS(2772),
    [anon_sym_ATproperty] = ACTIONS(2772),
    [anon_sym_BOOL] = ACTIONS(2770),
    [anon_sym_IMP] = ACTIONS(2770),
    [anon_sym_SEL] = ACTIONS(2770),
    [anon_sym_Class] = ACTIONS(2770),
    [anon_sym_id] = ACTIONS(2770),
  },
  [2135] = {
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token2] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [aux_sym_preproc_else_token1] = ACTIONS(2576),
    [aux_sym_preproc_elif_token1] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_DASH] = ACTIONS(2578),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym___attribute] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_auto] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_CG_EXTERN] = ACTIONS(2576),
    [anon_sym_CG_INLINE] = ACTIONS(2576),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2576),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2576),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2576),
    [anon_sym_IBOutlet] = ACTIONS(2576),
    [anon_sym_IBInspectable] = ACTIONS(2576),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2576),
    [anon_sym_NS_INLINE] = ACTIONS(2576),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2576),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2576),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2576),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym__Nonnull] = ACTIONS(2576),
    [anon_sym_nullable] = ACTIONS(2576),
    [anon_sym__Complex] = ACTIONS(2576),
    [anon_sym__Nullable] = ACTIONS(2576),
    [anon_sym__Nullable_result] = ACTIONS(2576),
    [anon_sym__Null_unspecified] = ACTIONS(2576),
    [anon_sym___autoreleasing] = ACTIONS(2576),
    [anon_sym___block] = ACTIONS(2576),
    [anon_sym___bridge] = ACTIONS(2576),
    [anon_sym___bridge_retained] = ACTIONS(2576),
    [anon_sym___bridge_transfer] = ACTIONS(2576),
    [anon_sym___complex] = ACTIONS(2576),
    [anon_sym___const] = ACTIONS(2576),
    [anon_sym___imag] = ACTIONS(2576),
    [anon_sym___kindof] = ACTIONS(2576),
    [anon_sym___nonnull] = ACTIONS(2576),
    [anon_sym___nullable] = ACTIONS(2576),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2576),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2576),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2576),
    [anon_sym___real] = ACTIONS(2576),
    [anon_sym___strong] = ACTIONS(2576),
    [anon_sym___unsafe_unretained] = ACTIONS(2576),
    [anon_sym___unused] = ACTIONS(2576),
    [anon_sym___weak] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2576),
    [anon_sym___typeof] = ACTIONS(2576),
    [anon_sym_typeof] = ACTIONS(2576),
    [aux_sym_preproc_undef_token1] = ACTIONS(2576),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2576),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2576),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2576),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2576),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2576),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2576),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2576),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2576),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2576),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_API_AVAILABLE] = ACTIONS(2576),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_API_DEPRECATED] = ACTIONS(2576),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2576),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2576),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2576),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2576),
    [anon_sym___deprecated_msg] = ACTIONS(2576),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2576),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2576),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2576),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2576),
    [anon_sym_ATsynthesize] = ACTIONS(2578),
    [anon_sym_ATdynamic] = ACTIONS(2578),
    [anon_sym_ATproperty] = ACTIONS(2578),
    [anon_sym_BOOL] = ACTIONS(2576),
    [anon_sym_IMP] = ACTIONS(2576),
    [anon_sym_SEL] = ACTIONS(2576),
    [anon_sym_Class] = ACTIONS(2576),
    [anon_sym_id] = ACTIONS(2576),
  },
  [2136] = {
    [sym_identifier] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token2] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2774),
    [aux_sym_preproc_else_token1] = ACTIONS(2774),
    [aux_sym_preproc_elif_token1] = ACTIONS(2774),
    [sym_preproc_directive] = ACTIONS(2774),
    [anon_sym_DASH] = ACTIONS(2776),
    [anon_sym_PLUS] = ACTIONS(2776),
    [anon_sym___extension__] = ACTIONS(2774),
    [anon_sym_typedef] = ACTIONS(2774),
    [anon_sym_extern] = ACTIONS(2774),
    [anon_sym___attribute__] = ACTIONS(2774),
    [anon_sym___attribute] = ACTIONS(2774),
    [anon_sym_noreturn] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2776),
    [anon_sym___declspec] = ACTIONS(2774),
    [anon_sym___cdecl] = ACTIONS(2774),
    [anon_sym___clrcall] = ACTIONS(2774),
    [anon_sym___stdcall] = ACTIONS(2774),
    [anon_sym___fastcall] = ACTIONS(2774),
    [anon_sym___thiscall] = ACTIONS(2774),
    [anon_sym___vectorcall] = ACTIONS(2774),
    [anon_sym_signed] = ACTIONS(2774),
    [anon_sym_unsigned] = ACTIONS(2774),
    [anon_sym_long] = ACTIONS(2774),
    [anon_sym_short] = ACTIONS(2774),
    [anon_sym_static] = ACTIONS(2774),
    [anon_sym_auto] = ACTIONS(2774),
    [anon_sym_register] = ACTIONS(2774),
    [anon_sym_inline] = ACTIONS(2774),
    [anon_sym___inline] = ACTIONS(2774),
    [anon_sym___inline__] = ACTIONS(2774),
    [anon_sym___forceinline] = ACTIONS(2774),
    [anon_sym_thread_local] = ACTIONS(2774),
    [anon_sym___thread] = ACTIONS(2774),
    [anon_sym_CG_EXTERN] = ACTIONS(2774),
    [anon_sym_CG_INLINE] = ACTIONS(2774),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2774),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2774),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2774),
    [anon_sym_IBOutlet] = ACTIONS(2774),
    [anon_sym_IBInspectable] = ACTIONS(2774),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2774),
    [anon_sym_NS_INLINE] = ACTIONS(2774),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2774),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2774),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2774),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2774),
    [anon_sym_const] = ACTIONS(2774),
    [anon_sym_constexpr] = ACTIONS(2774),
    [anon_sym_volatile] = ACTIONS(2774),
    [anon_sym_restrict] = ACTIONS(2774),
    [anon_sym___restrict__] = ACTIONS(2774),
    [anon_sym__Atomic] = ACTIONS(2774),
    [anon_sym__Noreturn] = ACTIONS(2774),
    [anon_sym__Nonnull] = ACTIONS(2774),
    [anon_sym_nullable] = ACTIONS(2774),
    [anon_sym__Complex] = ACTIONS(2774),
    [anon_sym__Nullable] = ACTIONS(2774),
    [anon_sym__Nullable_result] = ACTIONS(2774),
    [anon_sym__Null_unspecified] = ACTIONS(2774),
    [anon_sym___autoreleasing] = ACTIONS(2774),
    [anon_sym___block] = ACTIONS(2774),
    [anon_sym___bridge] = ACTIONS(2774),
    [anon_sym___bridge_retained] = ACTIONS(2774),
    [anon_sym___bridge_transfer] = ACTIONS(2774),
    [anon_sym___complex] = ACTIONS(2774),
    [anon_sym___const] = ACTIONS(2774),
    [anon_sym___imag] = ACTIONS(2774),
    [anon_sym___kindof] = ACTIONS(2774),
    [anon_sym___nonnull] = ACTIONS(2774),
    [anon_sym___nullable] = ACTIONS(2774),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2774),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2774),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2774),
    [anon_sym___real] = ACTIONS(2774),
    [anon_sym___strong] = ACTIONS(2774),
    [anon_sym___unsafe_unretained] = ACTIONS(2774),
    [anon_sym___unused] = ACTIONS(2774),
    [anon_sym___weak] = ACTIONS(2774),
    [anon_sym_alignas] = ACTIONS(2774),
    [anon_sym__Alignas] = ACTIONS(2774),
    [sym_primitive_type] = ACTIONS(2774),
    [anon_sym_enum] = ACTIONS(2774),
    [anon_sym_struct] = ACTIONS(2774),
    [anon_sym_union] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2774),
    [anon_sym___typeof] = ACTIONS(2774),
    [anon_sym_typeof] = ACTIONS(2774),
    [aux_sym_preproc_undef_token1] = ACTIONS(2774),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2774),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2774),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2774),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2774),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2774),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2774),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2774),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2774),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2774),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_API_AVAILABLE] = ACTIONS(2774),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_API_DEPRECATED] = ACTIONS(2774),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2774),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2774),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2774),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2774),
    [anon_sym___deprecated_msg] = ACTIONS(2774),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2774),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2774),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2774),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2774),
    [anon_sym_ATsynthesize] = ACTIONS(2776),
    [anon_sym_ATdynamic] = ACTIONS(2776),
    [anon_sym_ATproperty] = ACTIONS(2776),
    [anon_sym_BOOL] = ACTIONS(2774),
    [anon_sym_IMP] = ACTIONS(2774),
    [anon_sym_SEL] = ACTIONS(2774),
    [anon_sym_Class] = ACTIONS(2774),
    [anon_sym_id] = ACTIONS(2774),
  },
  [2137] = {
    [sym_identifier] = ACTIONS(2802),
    [aux_sym_preproc_def_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token2] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2802),
    [aux_sym_preproc_else_token1] = ACTIONS(2802),
    [aux_sym_preproc_elif_token1] = ACTIONS(2802),
    [sym_preproc_directive] = ACTIONS(2802),
    [anon_sym_DASH] = ACTIONS(2804),
    [anon_sym_PLUS] = ACTIONS(2804),
    [anon_sym___extension__] = ACTIONS(2802),
    [anon_sym_typedef] = ACTIONS(2802),
    [anon_sym_extern] = ACTIONS(2802),
    [anon_sym___attribute__] = ACTIONS(2802),
    [anon_sym___attribute] = ACTIONS(2802),
    [anon_sym_noreturn] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(2804),
    [anon_sym___declspec] = ACTIONS(2802),
    [anon_sym___cdecl] = ACTIONS(2802),
    [anon_sym___clrcall] = ACTIONS(2802),
    [anon_sym___stdcall] = ACTIONS(2802),
    [anon_sym___fastcall] = ACTIONS(2802),
    [anon_sym___thiscall] = ACTIONS(2802),
    [anon_sym___vectorcall] = ACTIONS(2802),
    [anon_sym_signed] = ACTIONS(2802),
    [anon_sym_unsigned] = ACTIONS(2802),
    [anon_sym_long] = ACTIONS(2802),
    [anon_sym_short] = ACTIONS(2802),
    [anon_sym_static] = ACTIONS(2802),
    [anon_sym_auto] = ACTIONS(2802),
    [anon_sym_register] = ACTIONS(2802),
    [anon_sym_inline] = ACTIONS(2802),
    [anon_sym___inline] = ACTIONS(2802),
    [anon_sym___inline__] = ACTIONS(2802),
    [anon_sym___forceinline] = ACTIONS(2802),
    [anon_sym_thread_local] = ACTIONS(2802),
    [anon_sym___thread] = ACTIONS(2802),
    [anon_sym_CG_EXTERN] = ACTIONS(2802),
    [anon_sym_CG_INLINE] = ACTIONS(2802),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2802),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2802),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2802),
    [anon_sym_IBOutlet] = ACTIONS(2802),
    [anon_sym_IBInspectable] = ACTIONS(2802),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2802),
    [anon_sym_NS_INLINE] = ACTIONS(2802),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2802),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2802),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2802),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2802),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_constexpr] = ACTIONS(2802),
    [anon_sym_volatile] = ACTIONS(2802),
    [anon_sym_restrict] = ACTIONS(2802),
    [anon_sym___restrict__] = ACTIONS(2802),
    [anon_sym__Atomic] = ACTIONS(2802),
    [anon_sym__Noreturn] = ACTIONS(2802),
    [anon_sym__Nonnull] = ACTIONS(2802),
    [anon_sym_nullable] = ACTIONS(2802),
    [anon_sym__Complex] = ACTIONS(2802),
    [anon_sym__Nullable] = ACTIONS(2802),
    [anon_sym__Nullable_result] = ACTIONS(2802),
    [anon_sym__Null_unspecified] = ACTIONS(2802),
    [anon_sym___autoreleasing] = ACTIONS(2802),
    [anon_sym___block] = ACTIONS(2802),
    [anon_sym___bridge] = ACTIONS(2802),
    [anon_sym___bridge_retained] = ACTIONS(2802),
    [anon_sym___bridge_transfer] = ACTIONS(2802),
    [anon_sym___complex] = ACTIONS(2802),
    [anon_sym___const] = ACTIONS(2802),
    [anon_sym___imag] = ACTIONS(2802),
    [anon_sym___kindof] = ACTIONS(2802),
    [anon_sym___nonnull] = ACTIONS(2802),
    [anon_sym___nullable] = ACTIONS(2802),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2802),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2802),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2802),
    [anon_sym___real] = ACTIONS(2802),
    [anon_sym___strong] = ACTIONS(2802),
    [anon_sym___unsafe_unretained] = ACTIONS(2802),
    [anon_sym___unused] = ACTIONS(2802),
    [anon_sym___weak] = ACTIONS(2802),
    [anon_sym_alignas] = ACTIONS(2802),
    [anon_sym__Alignas] = ACTIONS(2802),
    [sym_primitive_type] = ACTIONS(2802),
    [anon_sym_enum] = ACTIONS(2802),
    [anon_sym_struct] = ACTIONS(2802),
    [anon_sym_union] = ACTIONS(2802),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2802),
    [anon_sym___typeof] = ACTIONS(2802),
    [anon_sym_typeof] = ACTIONS(2802),
    [aux_sym_preproc_undef_token1] = ACTIONS(2802),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2802),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2802),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2802),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2802),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2802),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2802),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2802),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2802),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2802),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_API_AVAILABLE] = ACTIONS(2802),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_API_DEPRECATED] = ACTIONS(2802),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2802),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2802),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2802),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2802),
    [anon_sym___deprecated_msg] = ACTIONS(2802),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2802),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2802),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2802),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2802),
    [anon_sym_ATsynthesize] = ACTIONS(2804),
    [anon_sym_ATdynamic] = ACTIONS(2804),
    [anon_sym_ATproperty] = ACTIONS(2804),
    [anon_sym_BOOL] = ACTIONS(2802),
    [anon_sym_IMP] = ACTIONS(2802),
    [anon_sym_SEL] = ACTIONS(2802),
    [anon_sym_Class] = ACTIONS(2802),
    [anon_sym_id] = ACTIONS(2802),
  },
  [2138] = {
    [sym_identifier] = ACTIONS(2868),
    [aux_sym_preproc_def_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token2] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2868),
    [aux_sym_preproc_else_token1] = ACTIONS(2868),
    [aux_sym_preproc_elif_token1] = ACTIONS(2868),
    [sym_preproc_directive] = ACTIONS(2868),
    [anon_sym_DASH] = ACTIONS(2870),
    [anon_sym_PLUS] = ACTIONS(2870),
    [anon_sym___extension__] = ACTIONS(2868),
    [anon_sym_typedef] = ACTIONS(2868),
    [anon_sym_extern] = ACTIONS(2868),
    [anon_sym___attribute__] = ACTIONS(2868),
    [anon_sym___attribute] = ACTIONS(2868),
    [anon_sym_noreturn] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2870),
    [anon_sym___declspec] = ACTIONS(2868),
    [anon_sym___cdecl] = ACTIONS(2868),
    [anon_sym___clrcall] = ACTIONS(2868),
    [anon_sym___stdcall] = ACTIONS(2868),
    [anon_sym___fastcall] = ACTIONS(2868),
    [anon_sym___thiscall] = ACTIONS(2868),
    [anon_sym___vectorcall] = ACTIONS(2868),
    [anon_sym_signed] = ACTIONS(2868),
    [anon_sym_unsigned] = ACTIONS(2868),
    [anon_sym_long] = ACTIONS(2868),
    [anon_sym_short] = ACTIONS(2868),
    [anon_sym_static] = ACTIONS(2868),
    [anon_sym_auto] = ACTIONS(2868),
    [anon_sym_register] = ACTIONS(2868),
    [anon_sym_inline] = ACTIONS(2868),
    [anon_sym___inline] = ACTIONS(2868),
    [anon_sym___inline__] = ACTIONS(2868),
    [anon_sym___forceinline] = ACTIONS(2868),
    [anon_sym_thread_local] = ACTIONS(2868),
    [anon_sym___thread] = ACTIONS(2868),
    [anon_sym_CG_EXTERN] = ACTIONS(2868),
    [anon_sym_CG_INLINE] = ACTIONS(2868),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2868),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2868),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2868),
    [anon_sym_IBOutlet] = ACTIONS(2868),
    [anon_sym_IBInspectable] = ACTIONS(2868),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2868),
    [anon_sym_NS_INLINE] = ACTIONS(2868),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2868),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2868),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2868),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2868),
    [anon_sym_const] = ACTIONS(2868),
    [anon_sym_constexpr] = ACTIONS(2868),
    [anon_sym_volatile] = ACTIONS(2868),
    [anon_sym_restrict] = ACTIONS(2868),
    [anon_sym___restrict__] = ACTIONS(2868),
    [anon_sym__Atomic] = ACTIONS(2868),
    [anon_sym__Noreturn] = ACTIONS(2868),
    [anon_sym__Nonnull] = ACTIONS(2868),
    [anon_sym_nullable] = ACTIONS(2868),
    [anon_sym__Complex] = ACTIONS(2868),
    [anon_sym__Nullable] = ACTIONS(2868),
    [anon_sym__Nullable_result] = ACTIONS(2868),
    [anon_sym__Null_unspecified] = ACTIONS(2868),
    [anon_sym___autoreleasing] = ACTIONS(2868),
    [anon_sym___block] = ACTIONS(2868),
    [anon_sym___bridge] = ACTIONS(2868),
    [anon_sym___bridge_retained] = ACTIONS(2868),
    [anon_sym___bridge_transfer] = ACTIONS(2868),
    [anon_sym___complex] = ACTIONS(2868),
    [anon_sym___const] = ACTIONS(2868),
    [anon_sym___imag] = ACTIONS(2868),
    [anon_sym___kindof] = ACTIONS(2868),
    [anon_sym___nonnull] = ACTIONS(2868),
    [anon_sym___nullable] = ACTIONS(2868),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2868),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2868),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2868),
    [anon_sym___real] = ACTIONS(2868),
    [anon_sym___strong] = ACTIONS(2868),
    [anon_sym___unsafe_unretained] = ACTIONS(2868),
    [anon_sym___unused] = ACTIONS(2868),
    [anon_sym___weak] = ACTIONS(2868),
    [anon_sym_alignas] = ACTIONS(2868),
    [anon_sym__Alignas] = ACTIONS(2868),
    [sym_primitive_type] = ACTIONS(2868),
    [anon_sym_enum] = ACTIONS(2868),
    [anon_sym_struct] = ACTIONS(2868),
    [anon_sym_union] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2868),
    [anon_sym___typeof] = ACTIONS(2868),
    [anon_sym_typeof] = ACTIONS(2868),
    [aux_sym_preproc_undef_token1] = ACTIONS(2868),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2868),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2868),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2868),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2868),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2868),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2868),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2868),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2868),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2868),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_API_AVAILABLE] = ACTIONS(2868),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_API_DEPRECATED] = ACTIONS(2868),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2868),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2868),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2868),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2868),
    [anon_sym___deprecated_msg] = ACTIONS(2868),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2868),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2868),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2868),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2868),
    [anon_sym_ATsynthesize] = ACTIONS(2870),
    [anon_sym_ATdynamic] = ACTIONS(2870),
    [anon_sym_ATproperty] = ACTIONS(2870),
    [anon_sym_BOOL] = ACTIONS(2868),
    [anon_sym_IMP] = ACTIONS(2868),
    [anon_sym_SEL] = ACTIONS(2868),
    [anon_sym_Class] = ACTIONS(2868),
    [anon_sym_id] = ACTIONS(2868),
  },
  [2139] = {
    [sym_identifier] = ACTIONS(2794),
    [aux_sym_preproc_def_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token2] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2794),
    [aux_sym_preproc_else_token1] = ACTIONS(2794),
    [aux_sym_preproc_elif_token1] = ACTIONS(2794),
    [sym_preproc_directive] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2796),
    [anon_sym_PLUS] = ACTIONS(2796),
    [anon_sym___extension__] = ACTIONS(2794),
    [anon_sym_typedef] = ACTIONS(2794),
    [anon_sym_extern] = ACTIONS(2794),
    [anon_sym___attribute__] = ACTIONS(2794),
    [anon_sym___attribute] = ACTIONS(2794),
    [anon_sym_noreturn] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2796),
    [anon_sym___declspec] = ACTIONS(2794),
    [anon_sym___cdecl] = ACTIONS(2794),
    [anon_sym___clrcall] = ACTIONS(2794),
    [anon_sym___stdcall] = ACTIONS(2794),
    [anon_sym___fastcall] = ACTIONS(2794),
    [anon_sym___thiscall] = ACTIONS(2794),
    [anon_sym___vectorcall] = ACTIONS(2794),
    [anon_sym_signed] = ACTIONS(2794),
    [anon_sym_unsigned] = ACTIONS(2794),
    [anon_sym_long] = ACTIONS(2794),
    [anon_sym_short] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_auto] = ACTIONS(2794),
    [anon_sym_register] = ACTIONS(2794),
    [anon_sym_inline] = ACTIONS(2794),
    [anon_sym___inline] = ACTIONS(2794),
    [anon_sym___inline__] = ACTIONS(2794),
    [anon_sym___forceinline] = ACTIONS(2794),
    [anon_sym_thread_local] = ACTIONS(2794),
    [anon_sym___thread] = ACTIONS(2794),
    [anon_sym_CG_EXTERN] = ACTIONS(2794),
    [anon_sym_CG_INLINE] = ACTIONS(2794),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2794),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2794),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2794),
    [anon_sym_IBOutlet] = ACTIONS(2794),
    [anon_sym_IBInspectable] = ACTIONS(2794),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2794),
    [anon_sym_NS_INLINE] = ACTIONS(2794),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2794),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2794),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2794),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2794),
    [anon_sym_const] = ACTIONS(2794),
    [anon_sym_constexpr] = ACTIONS(2794),
    [anon_sym_volatile] = ACTIONS(2794),
    [anon_sym_restrict] = ACTIONS(2794),
    [anon_sym___restrict__] = ACTIONS(2794),
    [anon_sym__Atomic] = ACTIONS(2794),
    [anon_sym__Noreturn] = ACTIONS(2794),
    [anon_sym__Nonnull] = ACTIONS(2794),
    [anon_sym_nullable] = ACTIONS(2794),
    [anon_sym__Complex] = ACTIONS(2794),
    [anon_sym__Nullable] = ACTIONS(2794),
    [anon_sym__Nullable_result] = ACTIONS(2794),
    [anon_sym__Null_unspecified] = ACTIONS(2794),
    [anon_sym___autoreleasing] = ACTIONS(2794),
    [anon_sym___block] = ACTIONS(2794),
    [anon_sym___bridge] = ACTIONS(2794),
    [anon_sym___bridge_retained] = ACTIONS(2794),
    [anon_sym___bridge_transfer] = ACTIONS(2794),
    [anon_sym___complex] = ACTIONS(2794),
    [anon_sym___const] = ACTIONS(2794),
    [anon_sym___imag] = ACTIONS(2794),
    [anon_sym___kindof] = ACTIONS(2794),
    [anon_sym___nonnull] = ACTIONS(2794),
    [anon_sym___nullable] = ACTIONS(2794),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2794),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2794),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2794),
    [anon_sym___real] = ACTIONS(2794),
    [anon_sym___strong] = ACTIONS(2794),
    [anon_sym___unsafe_unretained] = ACTIONS(2794),
    [anon_sym___unused] = ACTIONS(2794),
    [anon_sym___weak] = ACTIONS(2794),
    [anon_sym_alignas] = ACTIONS(2794),
    [anon_sym__Alignas] = ACTIONS(2794),
    [sym_primitive_type] = ACTIONS(2794),
    [anon_sym_enum] = ACTIONS(2794),
    [anon_sym_struct] = ACTIONS(2794),
    [anon_sym_union] = ACTIONS(2794),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2794),
    [anon_sym___typeof] = ACTIONS(2794),
    [anon_sym_typeof] = ACTIONS(2794),
    [aux_sym_preproc_undef_token1] = ACTIONS(2794),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2794),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2794),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2794),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2794),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2794),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2794),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2794),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2794),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2794),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_API_AVAILABLE] = ACTIONS(2794),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_API_DEPRECATED] = ACTIONS(2794),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2794),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2794),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2794),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2794),
    [anon_sym___deprecated_msg] = ACTIONS(2794),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2794),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2794),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2794),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2794),
    [anon_sym_ATsynthesize] = ACTIONS(2796),
    [anon_sym_ATdynamic] = ACTIONS(2796),
    [anon_sym_ATproperty] = ACTIONS(2796),
    [anon_sym_BOOL] = ACTIONS(2794),
    [anon_sym_IMP] = ACTIONS(2794),
    [anon_sym_SEL] = ACTIONS(2794),
    [anon_sym_Class] = ACTIONS(2794),
    [anon_sym_id] = ACTIONS(2794),
  },
  [2140] = {
    [sym_identifier] = ACTIONS(2770),
    [aux_sym_preproc_def_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2770),
    [sym_preproc_directive] = ACTIONS(2770),
    [anon_sym_DASH] = ACTIONS(2772),
    [anon_sym_PLUS] = ACTIONS(2772),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym_typedef] = ACTIONS(2770),
    [anon_sym_extern] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym___attribute] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2772),
    [anon_sym___declspec] = ACTIONS(2770),
    [anon_sym___cdecl] = ACTIONS(2770),
    [anon_sym___clrcall] = ACTIONS(2770),
    [anon_sym___stdcall] = ACTIONS(2770),
    [anon_sym___fastcall] = ACTIONS(2770),
    [anon_sym___thiscall] = ACTIONS(2770),
    [anon_sym___vectorcall] = ACTIONS(2770),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_auto] = ACTIONS(2770),
    [anon_sym_register] = ACTIONS(2770),
    [anon_sym_inline] = ACTIONS(2770),
    [anon_sym___inline] = ACTIONS(2770),
    [anon_sym___inline__] = ACTIONS(2770),
    [anon_sym___forceinline] = ACTIONS(2770),
    [anon_sym_thread_local] = ACTIONS(2770),
    [anon_sym___thread] = ACTIONS(2770),
    [anon_sym_CG_EXTERN] = ACTIONS(2770),
    [anon_sym_CG_INLINE] = ACTIONS(2770),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2770),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2770),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2770),
    [anon_sym_IBOutlet] = ACTIONS(2770),
    [anon_sym_IBInspectable] = ACTIONS(2770),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2770),
    [anon_sym_NS_INLINE] = ACTIONS(2770),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2770),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2770),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2770),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym__Nonnull] = ACTIONS(2770),
    [anon_sym_nullable] = ACTIONS(2770),
    [anon_sym__Complex] = ACTIONS(2770),
    [anon_sym__Nullable] = ACTIONS(2770),
    [anon_sym__Nullable_result] = ACTIONS(2770),
    [anon_sym__Null_unspecified] = ACTIONS(2770),
    [anon_sym___autoreleasing] = ACTIONS(2770),
    [anon_sym___block] = ACTIONS(2770),
    [anon_sym___bridge] = ACTIONS(2770),
    [anon_sym___bridge_retained] = ACTIONS(2770),
    [anon_sym___bridge_transfer] = ACTIONS(2770),
    [anon_sym___complex] = ACTIONS(2770),
    [anon_sym___const] = ACTIONS(2770),
    [anon_sym___imag] = ACTIONS(2770),
    [anon_sym___kindof] = ACTIONS(2770),
    [anon_sym___nonnull] = ACTIONS(2770),
    [anon_sym___nullable] = ACTIONS(2770),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2770),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2770),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2770),
    [anon_sym___real] = ACTIONS(2770),
    [anon_sym___strong] = ACTIONS(2770),
    [anon_sym___unsafe_unretained] = ACTIONS(2770),
    [anon_sym___unused] = ACTIONS(2770),
    [anon_sym___weak] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym__Alignas] = ACTIONS(2770),
    [sym_primitive_type] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2770),
    [anon_sym___typeof] = ACTIONS(2770),
    [anon_sym_typeof] = ACTIONS(2770),
    [aux_sym_preproc_undef_token1] = ACTIONS(2770),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2770),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2770),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2770),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2770),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2770),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2770),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2770),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2770),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2770),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_API_AVAILABLE] = ACTIONS(2770),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_API_DEPRECATED] = ACTIONS(2770),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2770),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2770),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2770),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2770),
    [anon_sym___deprecated_msg] = ACTIONS(2770),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2770),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2770),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2770),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2770),
    [anon_sym_ATend] = ACTIONS(2772),
    [anon_sym_AToptional] = ACTIONS(2772),
    [anon_sym_ATrequired] = ACTIONS(2772),
    [anon_sym_ATsynthesize] = ACTIONS(2772),
    [anon_sym_ATdynamic] = ACTIONS(2772),
    [anon_sym_ATproperty] = ACTIONS(2772),
    [anon_sym_BOOL] = ACTIONS(2770),
    [anon_sym_IMP] = ACTIONS(2770),
    [anon_sym_SEL] = ACTIONS(2770),
    [anon_sym_Class] = ACTIONS(2770),
    [anon_sym_id] = ACTIONS(2770),
  },
  [2141] = {
    [sym_identifier] = ACTIONS(2428),
    [aux_sym_preproc_def_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token2] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2428),
    [aux_sym_preproc_else_token1] = ACTIONS(2428),
    [aux_sym_preproc_elif_token1] = ACTIONS(2428),
    [sym_preproc_directive] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2430),
    [anon_sym_PLUS] = ACTIONS(2430),
    [anon_sym___extension__] = ACTIONS(2428),
    [anon_sym_typedef] = ACTIONS(2428),
    [anon_sym_extern] = ACTIONS(2428),
    [anon_sym___attribute__] = ACTIONS(2428),
    [anon_sym___attribute] = ACTIONS(2428),
    [anon_sym_noreturn] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2430),
    [anon_sym___declspec] = ACTIONS(2428),
    [anon_sym___cdecl] = ACTIONS(2428),
    [anon_sym___clrcall] = ACTIONS(2428),
    [anon_sym___stdcall] = ACTIONS(2428),
    [anon_sym___fastcall] = ACTIONS(2428),
    [anon_sym___thiscall] = ACTIONS(2428),
    [anon_sym___vectorcall] = ACTIONS(2428),
    [anon_sym_signed] = ACTIONS(2428),
    [anon_sym_unsigned] = ACTIONS(2428),
    [anon_sym_long] = ACTIONS(2428),
    [anon_sym_short] = ACTIONS(2428),
    [anon_sym_static] = ACTIONS(2428),
    [anon_sym_auto] = ACTIONS(2428),
    [anon_sym_register] = ACTIONS(2428),
    [anon_sym_inline] = ACTIONS(2428),
    [anon_sym___inline] = ACTIONS(2428),
    [anon_sym___inline__] = ACTIONS(2428),
    [anon_sym___forceinline] = ACTIONS(2428),
    [anon_sym_thread_local] = ACTIONS(2428),
    [anon_sym___thread] = ACTIONS(2428),
    [anon_sym_CG_EXTERN] = ACTIONS(2428),
    [anon_sym_CG_INLINE] = ACTIONS(2428),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2428),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2428),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2428),
    [anon_sym_IBOutlet] = ACTIONS(2428),
    [anon_sym_IBInspectable] = ACTIONS(2428),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2428),
    [anon_sym_NS_INLINE] = ACTIONS(2428),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2428),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2428),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2428),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2428),
    [anon_sym_const] = ACTIONS(2428),
    [anon_sym_constexpr] = ACTIONS(2428),
    [anon_sym_volatile] = ACTIONS(2428),
    [anon_sym_restrict] = ACTIONS(2428),
    [anon_sym___restrict__] = ACTIONS(2428),
    [anon_sym__Atomic] = ACTIONS(2428),
    [anon_sym__Noreturn] = ACTIONS(2428),
    [anon_sym__Nonnull] = ACTIONS(2428),
    [anon_sym_nullable] = ACTIONS(2428),
    [anon_sym__Complex] = ACTIONS(2428),
    [anon_sym__Nullable] = ACTIONS(2428),
    [anon_sym__Nullable_result] = ACTIONS(2428),
    [anon_sym__Null_unspecified] = ACTIONS(2428),
    [anon_sym___autoreleasing] = ACTIONS(2428),
    [anon_sym___block] = ACTIONS(2428),
    [anon_sym___bridge] = ACTIONS(2428),
    [anon_sym___bridge_retained] = ACTIONS(2428),
    [anon_sym___bridge_transfer] = ACTIONS(2428),
    [anon_sym___complex] = ACTIONS(2428),
    [anon_sym___const] = ACTIONS(2428),
    [anon_sym___imag] = ACTIONS(2428),
    [anon_sym___kindof] = ACTIONS(2428),
    [anon_sym___nonnull] = ACTIONS(2428),
    [anon_sym___nullable] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2428),
    [anon_sym___real] = ACTIONS(2428),
    [anon_sym___strong] = ACTIONS(2428),
    [anon_sym___unsafe_unretained] = ACTIONS(2428),
    [anon_sym___unused] = ACTIONS(2428),
    [anon_sym___weak] = ACTIONS(2428),
    [anon_sym_alignas] = ACTIONS(2428),
    [anon_sym__Alignas] = ACTIONS(2428),
    [sym_primitive_type] = ACTIONS(2428),
    [anon_sym_enum] = ACTIONS(2428),
    [anon_sym_struct] = ACTIONS(2428),
    [anon_sym_union] = ACTIONS(2428),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2428),
    [anon_sym___typeof] = ACTIONS(2428),
    [anon_sym_typeof] = ACTIONS(2428),
    [aux_sym_preproc_undef_token1] = ACTIONS(2428),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2428),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2428),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2428),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2428),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2428),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2428),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2428),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_API_AVAILABLE] = ACTIONS(2428),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_API_DEPRECATED] = ACTIONS(2428),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2428),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym___deprecated_msg] = ACTIONS(2428),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2428),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2428),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2428),
    [anon_sym_ATsynthesize] = ACTIONS(2430),
    [anon_sym_ATdynamic] = ACTIONS(2430),
    [anon_sym_ATproperty] = ACTIONS(2430),
    [anon_sym_BOOL] = ACTIONS(2428),
    [anon_sym_IMP] = ACTIONS(2428),
    [anon_sym_SEL] = ACTIONS(2428),
    [anon_sym_Class] = ACTIONS(2428),
    [anon_sym_id] = ACTIONS(2428),
  },
  [2142] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token2] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [aux_sym_preproc_else_token1] = ACTIONS(2460),
    [aux_sym_preproc_elif_token1] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [aux_sym_preproc_undef_token1] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATsynthesize] = ACTIONS(2462),
    [anon_sym_ATdynamic] = ACTIONS(2462),
    [anon_sym_ATproperty] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [2143] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token2] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [aux_sym_preproc_else_token1] = ACTIONS(2460),
    [aux_sym_preproc_elif_token1] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [aux_sym_preproc_undef_token1] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATsynthesize] = ACTIONS(2462),
    [anon_sym_ATdynamic] = ACTIONS(2462),
    [anon_sym_ATproperty] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [2144] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token2] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [aux_sym_preproc_else_token1] = ACTIONS(2460),
    [aux_sym_preproc_elif_token1] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [aux_sym_preproc_undef_token1] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATsynthesize] = ACTIONS(2462),
    [anon_sym_ATdynamic] = ACTIONS(2462),
    [anon_sym_ATproperty] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [2145] = {
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2658),
    [sym_preproc_directive] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2658),
    [anon_sym_typedef] = ACTIONS(2658),
    [anon_sym_extern] = ACTIONS(2658),
    [anon_sym___attribute__] = ACTIONS(2658),
    [anon_sym___attribute] = ACTIONS(2658),
    [anon_sym_noreturn] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym___declspec] = ACTIONS(2658),
    [anon_sym___cdecl] = ACTIONS(2658),
    [anon_sym___clrcall] = ACTIONS(2658),
    [anon_sym___stdcall] = ACTIONS(2658),
    [anon_sym___fastcall] = ACTIONS(2658),
    [anon_sym___thiscall] = ACTIONS(2658),
    [anon_sym___vectorcall] = ACTIONS(2658),
    [anon_sym_signed] = ACTIONS(2658),
    [anon_sym_unsigned] = ACTIONS(2658),
    [anon_sym_long] = ACTIONS(2658),
    [anon_sym_short] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2658),
    [anon_sym_auto] = ACTIONS(2658),
    [anon_sym_register] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym___inline] = ACTIONS(2658),
    [anon_sym___inline__] = ACTIONS(2658),
    [anon_sym___forceinline] = ACTIONS(2658),
    [anon_sym_thread_local] = ACTIONS(2658),
    [anon_sym___thread] = ACTIONS(2658),
    [anon_sym_CG_EXTERN] = ACTIONS(2658),
    [anon_sym_CG_INLINE] = ACTIONS(2658),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2658),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2658),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2658),
    [anon_sym_IBOutlet] = ACTIONS(2658),
    [anon_sym_IBInspectable] = ACTIONS(2658),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2658),
    [anon_sym_NS_INLINE] = ACTIONS(2658),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2658),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2658),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2658),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_constexpr] = ACTIONS(2658),
    [anon_sym_volatile] = ACTIONS(2658),
    [anon_sym_restrict] = ACTIONS(2658),
    [anon_sym___restrict__] = ACTIONS(2658),
    [anon_sym__Atomic] = ACTIONS(2658),
    [anon_sym__Noreturn] = ACTIONS(2658),
    [anon_sym__Nonnull] = ACTIONS(2658),
    [anon_sym_nullable] = ACTIONS(2658),
    [anon_sym__Complex] = ACTIONS(2658),
    [anon_sym__Nullable] = ACTIONS(2658),
    [anon_sym__Nullable_result] = ACTIONS(2658),
    [anon_sym__Null_unspecified] = ACTIONS(2658),
    [anon_sym___autoreleasing] = ACTIONS(2658),
    [anon_sym___block] = ACTIONS(2658),
    [anon_sym___bridge] = ACTIONS(2658),
    [anon_sym___bridge_retained] = ACTIONS(2658),
    [anon_sym___bridge_transfer] = ACTIONS(2658),
    [anon_sym___complex] = ACTIONS(2658),
    [anon_sym___const] = ACTIONS(2658),
    [anon_sym___imag] = ACTIONS(2658),
    [anon_sym___kindof] = ACTIONS(2658),
    [anon_sym___nonnull] = ACTIONS(2658),
    [anon_sym___nullable] = ACTIONS(2658),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2658),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2658),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2658),
    [anon_sym___real] = ACTIONS(2658),
    [anon_sym___strong] = ACTIONS(2658),
    [anon_sym___unsafe_unretained] = ACTIONS(2658),
    [anon_sym___unused] = ACTIONS(2658),
    [anon_sym___weak] = ACTIONS(2658),
    [anon_sym_alignas] = ACTIONS(2658),
    [anon_sym__Alignas] = ACTIONS(2658),
    [sym_primitive_type] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_struct] = ACTIONS(2658),
    [anon_sym_union] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2658),
    [anon_sym___typeof] = ACTIONS(2658),
    [anon_sym_typeof] = ACTIONS(2658),
    [aux_sym_preproc_undef_token1] = ACTIONS(2658),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2658),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2658),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2658),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2658),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2658),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2658),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2658),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2658),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2658),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_API_AVAILABLE] = ACTIONS(2658),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_API_DEPRECATED] = ACTIONS(2658),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2658),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2658),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2658),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2658),
    [anon_sym___deprecated_msg] = ACTIONS(2658),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2658),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2658),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2658),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2658),
    [anon_sym_ATend] = ACTIONS(2660),
    [anon_sym_AToptional] = ACTIONS(2660),
    [anon_sym_ATrequired] = ACTIONS(2660),
    [anon_sym_ATsynthesize] = ACTIONS(2660),
    [anon_sym_ATdynamic] = ACTIONS(2660),
    [anon_sym_ATproperty] = ACTIONS(2660),
    [anon_sym_BOOL] = ACTIONS(2658),
    [anon_sym_IMP] = ACTIONS(2658),
    [anon_sym_SEL] = ACTIONS(2658),
    [anon_sym_Class] = ACTIONS(2658),
    [anon_sym_id] = ACTIONS(2658),
  },
  [2146] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token2] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [aux_sym_preproc_else_token1] = ACTIONS(2536),
    [aux_sym_preproc_elif_token1] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_DASH] = ACTIONS(2538),
    [anon_sym_PLUS] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [aux_sym_preproc_undef_token1] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATsynthesize] = ACTIONS(2538),
    [anon_sym_ATdynamic] = ACTIONS(2538),
    [anon_sym_ATproperty] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [2147] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token2] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [aux_sym_preproc_else_token1] = ACTIONS(2536),
    [aux_sym_preproc_elif_token1] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_DASH] = ACTIONS(2538),
    [anon_sym_PLUS] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [aux_sym_preproc_undef_token1] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATsynthesize] = ACTIONS(2538),
    [anon_sym_ATdynamic] = ACTIONS(2538),
    [anon_sym_ATproperty] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [2148] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token2] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [aux_sym_preproc_else_token1] = ACTIONS(2536),
    [aux_sym_preproc_elif_token1] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_DASH] = ACTIONS(2538),
    [anon_sym_PLUS] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [aux_sym_preproc_undef_token1] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATsynthesize] = ACTIONS(2538),
    [anon_sym_ATdynamic] = ACTIONS(2538),
    [anon_sym_ATproperty] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [2149] = {
    [sym_identifier] = ACTIONS(2674),
    [aux_sym_preproc_def_token1] = ACTIONS(2674),
    [aux_sym_preproc_if_token1] = ACTIONS(2674),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2674),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2674),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym___extension__] = ACTIONS(2674),
    [anon_sym_typedef] = ACTIONS(2674),
    [anon_sym_extern] = ACTIONS(2674),
    [anon_sym___attribute__] = ACTIONS(2674),
    [anon_sym___attribute] = ACTIONS(2674),
    [anon_sym_noreturn] = ACTIONS(2674),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym___declspec] = ACTIONS(2674),
    [anon_sym___cdecl] = ACTIONS(2674),
    [anon_sym___clrcall] = ACTIONS(2674),
    [anon_sym___stdcall] = ACTIONS(2674),
    [anon_sym___fastcall] = ACTIONS(2674),
    [anon_sym___thiscall] = ACTIONS(2674),
    [anon_sym___vectorcall] = ACTIONS(2674),
    [anon_sym_signed] = ACTIONS(2674),
    [anon_sym_unsigned] = ACTIONS(2674),
    [anon_sym_long] = ACTIONS(2674),
    [anon_sym_short] = ACTIONS(2674),
    [anon_sym_static] = ACTIONS(2674),
    [anon_sym_auto] = ACTIONS(2674),
    [anon_sym_register] = ACTIONS(2674),
    [anon_sym_inline] = ACTIONS(2674),
    [anon_sym___inline] = ACTIONS(2674),
    [anon_sym___inline__] = ACTIONS(2674),
    [anon_sym___forceinline] = ACTIONS(2674),
    [anon_sym_thread_local] = ACTIONS(2674),
    [anon_sym___thread] = ACTIONS(2674),
    [anon_sym_CG_EXTERN] = ACTIONS(2674),
    [anon_sym_CG_INLINE] = ACTIONS(2674),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2674),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2674),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2674),
    [anon_sym_IBOutlet] = ACTIONS(2674),
    [anon_sym_IBInspectable] = ACTIONS(2674),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2674),
    [anon_sym_NS_INLINE] = ACTIONS(2674),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2674),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2674),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2674),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2674),
    [anon_sym_const] = ACTIONS(2674),
    [anon_sym_constexpr] = ACTIONS(2674),
    [anon_sym_volatile] = ACTIONS(2674),
    [anon_sym_restrict] = ACTIONS(2674),
    [anon_sym___restrict__] = ACTIONS(2674),
    [anon_sym__Atomic] = ACTIONS(2674),
    [anon_sym__Noreturn] = ACTIONS(2674),
    [anon_sym__Nonnull] = ACTIONS(2674),
    [anon_sym_nullable] = ACTIONS(2674),
    [anon_sym__Complex] = ACTIONS(2674),
    [anon_sym__Nullable] = ACTIONS(2674),
    [anon_sym__Nullable_result] = ACTIONS(2674),
    [anon_sym__Null_unspecified] = ACTIONS(2674),
    [anon_sym___autoreleasing] = ACTIONS(2674),
    [anon_sym___block] = ACTIONS(2674),
    [anon_sym___bridge] = ACTIONS(2674),
    [anon_sym___bridge_retained] = ACTIONS(2674),
    [anon_sym___bridge_transfer] = ACTIONS(2674),
    [anon_sym___complex] = ACTIONS(2674),
    [anon_sym___const] = ACTIONS(2674),
    [anon_sym___imag] = ACTIONS(2674),
    [anon_sym___kindof] = ACTIONS(2674),
    [anon_sym___nonnull] = ACTIONS(2674),
    [anon_sym___nullable] = ACTIONS(2674),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2674),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2674),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2674),
    [anon_sym___real] = ACTIONS(2674),
    [anon_sym___strong] = ACTIONS(2674),
    [anon_sym___unsafe_unretained] = ACTIONS(2674),
    [anon_sym___unused] = ACTIONS(2674),
    [anon_sym___weak] = ACTIONS(2674),
    [anon_sym_alignas] = ACTIONS(2674),
    [anon_sym__Alignas] = ACTIONS(2674),
    [sym_primitive_type] = ACTIONS(2674),
    [anon_sym_enum] = ACTIONS(2674),
    [anon_sym_struct] = ACTIONS(2674),
    [anon_sym_union] = ACTIONS(2674),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2674),
    [anon_sym___typeof] = ACTIONS(2674),
    [anon_sym_typeof] = ACTIONS(2674),
    [aux_sym_preproc_undef_token1] = ACTIONS(2674),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2674),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2674),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2674),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2674),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2674),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2674),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2674),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2674),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2674),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_API_AVAILABLE] = ACTIONS(2674),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_API_DEPRECATED] = ACTIONS(2674),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2674),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2674),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2674),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2674),
    [anon_sym___deprecated_msg] = ACTIONS(2674),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2674),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2674),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2674),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2674),
    [anon_sym_ATend] = ACTIONS(2676),
    [anon_sym_AToptional] = ACTIONS(2676),
    [anon_sym_ATrequired] = ACTIONS(2676),
    [anon_sym_ATsynthesize] = ACTIONS(2676),
    [anon_sym_ATdynamic] = ACTIONS(2676),
    [anon_sym_ATproperty] = ACTIONS(2676),
    [anon_sym_BOOL] = ACTIONS(2674),
    [anon_sym_IMP] = ACTIONS(2674),
    [anon_sym_SEL] = ACTIONS(2674),
    [anon_sym_Class] = ACTIONS(2674),
    [anon_sym_id] = ACTIONS(2674),
  },
  [2150] = {
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token2] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [aux_sym_preproc_else_token1] = ACTIONS(2568),
    [aux_sym_preproc_elif_token1] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym___attribute] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_auto] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_CG_EXTERN] = ACTIONS(2568),
    [anon_sym_CG_INLINE] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2568),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2568),
    [anon_sym_IBOutlet] = ACTIONS(2568),
    [anon_sym_IBInspectable] = ACTIONS(2568),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2568),
    [anon_sym_NS_INLINE] = ACTIONS(2568),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2568),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2568),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym__Nonnull] = ACTIONS(2568),
    [anon_sym_nullable] = ACTIONS(2568),
    [anon_sym__Complex] = ACTIONS(2568),
    [anon_sym__Nullable] = ACTIONS(2568),
    [anon_sym__Nullable_result] = ACTIONS(2568),
    [anon_sym__Null_unspecified] = ACTIONS(2568),
    [anon_sym___autoreleasing] = ACTIONS(2568),
    [anon_sym___block] = ACTIONS(2568),
    [anon_sym___bridge] = ACTIONS(2568),
    [anon_sym___bridge_retained] = ACTIONS(2568),
    [anon_sym___bridge_transfer] = ACTIONS(2568),
    [anon_sym___complex] = ACTIONS(2568),
    [anon_sym___const] = ACTIONS(2568),
    [anon_sym___imag] = ACTIONS(2568),
    [anon_sym___kindof] = ACTIONS(2568),
    [anon_sym___nonnull] = ACTIONS(2568),
    [anon_sym___nullable] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2568),
    [anon_sym___real] = ACTIONS(2568),
    [anon_sym___strong] = ACTIONS(2568),
    [anon_sym___unsafe_unretained] = ACTIONS(2568),
    [anon_sym___unused] = ACTIONS(2568),
    [anon_sym___weak] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2568),
    [anon_sym___typeof] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(2568),
    [aux_sym_preproc_undef_token1] = ACTIONS(2568),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2568),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2568),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2568),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_API_AVAILABLE] = ACTIONS(2568),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_API_DEPRECATED] = ACTIONS(2568),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym___deprecated_msg] = ACTIONS(2568),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2568),
    [anon_sym_ATsynthesize] = ACTIONS(2570),
    [anon_sym_ATdynamic] = ACTIONS(2570),
    [anon_sym_ATproperty] = ACTIONS(2570),
    [anon_sym_BOOL] = ACTIONS(2568),
    [anon_sym_IMP] = ACTIONS(2568),
    [anon_sym_SEL] = ACTIONS(2568),
    [anon_sym_Class] = ACTIONS(2568),
    [anon_sym_id] = ACTIONS(2568),
  },
  [2151] = {
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token2] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [aux_sym_preproc_else_token1] = ACTIONS(2568),
    [aux_sym_preproc_elif_token1] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym___attribute] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_auto] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_CG_EXTERN] = ACTIONS(2568),
    [anon_sym_CG_INLINE] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2568),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2568),
    [anon_sym_IBOutlet] = ACTIONS(2568),
    [anon_sym_IBInspectable] = ACTIONS(2568),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2568),
    [anon_sym_NS_INLINE] = ACTIONS(2568),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2568),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2568),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym__Nonnull] = ACTIONS(2568),
    [anon_sym_nullable] = ACTIONS(2568),
    [anon_sym__Complex] = ACTIONS(2568),
    [anon_sym__Nullable] = ACTIONS(2568),
    [anon_sym__Nullable_result] = ACTIONS(2568),
    [anon_sym__Null_unspecified] = ACTIONS(2568),
    [anon_sym___autoreleasing] = ACTIONS(2568),
    [anon_sym___block] = ACTIONS(2568),
    [anon_sym___bridge] = ACTIONS(2568),
    [anon_sym___bridge_retained] = ACTIONS(2568),
    [anon_sym___bridge_transfer] = ACTIONS(2568),
    [anon_sym___complex] = ACTIONS(2568),
    [anon_sym___const] = ACTIONS(2568),
    [anon_sym___imag] = ACTIONS(2568),
    [anon_sym___kindof] = ACTIONS(2568),
    [anon_sym___nonnull] = ACTIONS(2568),
    [anon_sym___nullable] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2568),
    [anon_sym___real] = ACTIONS(2568),
    [anon_sym___strong] = ACTIONS(2568),
    [anon_sym___unsafe_unretained] = ACTIONS(2568),
    [anon_sym___unused] = ACTIONS(2568),
    [anon_sym___weak] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2568),
    [anon_sym___typeof] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(2568),
    [aux_sym_preproc_undef_token1] = ACTIONS(2568),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2568),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2568),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2568),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_API_AVAILABLE] = ACTIONS(2568),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_API_DEPRECATED] = ACTIONS(2568),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym___deprecated_msg] = ACTIONS(2568),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2568),
    [anon_sym_ATsynthesize] = ACTIONS(2570),
    [anon_sym_ATdynamic] = ACTIONS(2570),
    [anon_sym_ATproperty] = ACTIONS(2570),
    [anon_sym_BOOL] = ACTIONS(2568),
    [anon_sym_IMP] = ACTIONS(2568),
    [anon_sym_SEL] = ACTIONS(2568),
    [anon_sym_Class] = ACTIONS(2568),
    [anon_sym_id] = ACTIONS(2568),
  },
  [2152] = {
    [sym_identifier] = ACTIONS(2412),
    [aux_sym_preproc_def_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token2] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2412),
    [aux_sym_preproc_else_token1] = ACTIONS(2412),
    [aux_sym_preproc_elif_token1] = ACTIONS(2412),
    [sym_preproc_directive] = ACTIONS(2412),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym___extension__] = ACTIONS(2412),
    [anon_sym_typedef] = ACTIONS(2412),
    [anon_sym_extern] = ACTIONS(2412),
    [anon_sym___attribute__] = ACTIONS(2412),
    [anon_sym___attribute] = ACTIONS(2412),
    [anon_sym_noreturn] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2414),
    [anon_sym___declspec] = ACTIONS(2412),
    [anon_sym___cdecl] = ACTIONS(2412),
    [anon_sym___clrcall] = ACTIONS(2412),
    [anon_sym___stdcall] = ACTIONS(2412),
    [anon_sym___fastcall] = ACTIONS(2412),
    [anon_sym___thiscall] = ACTIONS(2412),
    [anon_sym___vectorcall] = ACTIONS(2412),
    [anon_sym_signed] = ACTIONS(2412),
    [anon_sym_unsigned] = ACTIONS(2412),
    [anon_sym_long] = ACTIONS(2412),
    [anon_sym_short] = ACTIONS(2412),
    [anon_sym_static] = ACTIONS(2412),
    [anon_sym_auto] = ACTIONS(2412),
    [anon_sym_register] = ACTIONS(2412),
    [anon_sym_inline] = ACTIONS(2412),
    [anon_sym___inline] = ACTIONS(2412),
    [anon_sym___inline__] = ACTIONS(2412),
    [anon_sym___forceinline] = ACTIONS(2412),
    [anon_sym_thread_local] = ACTIONS(2412),
    [anon_sym___thread] = ACTIONS(2412),
    [anon_sym_CG_EXTERN] = ACTIONS(2412),
    [anon_sym_CG_INLINE] = ACTIONS(2412),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2412),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2412),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2412),
    [anon_sym_IBOutlet] = ACTIONS(2412),
    [anon_sym_IBInspectable] = ACTIONS(2412),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2412),
    [anon_sym_NS_INLINE] = ACTIONS(2412),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2412),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2412),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2412),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2412),
    [anon_sym_const] = ACTIONS(2412),
    [anon_sym_constexpr] = ACTIONS(2412),
    [anon_sym_volatile] = ACTIONS(2412),
    [anon_sym_restrict] = ACTIONS(2412),
    [anon_sym___restrict__] = ACTIONS(2412),
    [anon_sym__Atomic] = ACTIONS(2412),
    [anon_sym__Noreturn] = ACTIONS(2412),
    [anon_sym__Nonnull] = ACTIONS(2412),
    [anon_sym_nullable] = ACTIONS(2412),
    [anon_sym__Complex] = ACTIONS(2412),
    [anon_sym__Nullable] = ACTIONS(2412),
    [anon_sym__Nullable_result] = ACTIONS(2412),
    [anon_sym__Null_unspecified] = ACTIONS(2412),
    [anon_sym___autoreleasing] = ACTIONS(2412),
    [anon_sym___block] = ACTIONS(2412),
    [anon_sym___bridge] = ACTIONS(2412),
    [anon_sym___bridge_retained] = ACTIONS(2412),
    [anon_sym___bridge_transfer] = ACTIONS(2412),
    [anon_sym___complex] = ACTIONS(2412),
    [anon_sym___const] = ACTIONS(2412),
    [anon_sym___imag] = ACTIONS(2412),
    [anon_sym___kindof] = ACTIONS(2412),
    [anon_sym___nonnull] = ACTIONS(2412),
    [anon_sym___nullable] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2412),
    [anon_sym___real] = ACTIONS(2412),
    [anon_sym___strong] = ACTIONS(2412),
    [anon_sym___unsafe_unretained] = ACTIONS(2412),
    [anon_sym___unused] = ACTIONS(2412),
    [anon_sym___weak] = ACTIONS(2412),
    [anon_sym_alignas] = ACTIONS(2412),
    [anon_sym__Alignas] = ACTIONS(2412),
    [sym_primitive_type] = ACTIONS(2412),
    [anon_sym_enum] = ACTIONS(2412),
    [anon_sym_struct] = ACTIONS(2412),
    [anon_sym_union] = ACTIONS(2412),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2412),
    [anon_sym___typeof] = ACTIONS(2412),
    [anon_sym_typeof] = ACTIONS(2412),
    [aux_sym_preproc_undef_token1] = ACTIONS(2412),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2412),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2412),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2412),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2412),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2412),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2412),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2412),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_API_AVAILABLE] = ACTIONS(2412),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_API_DEPRECATED] = ACTIONS(2412),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2412),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym___deprecated_msg] = ACTIONS(2412),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2412),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2412),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2412),
    [anon_sym_ATsynthesize] = ACTIONS(2414),
    [anon_sym_ATdynamic] = ACTIONS(2414),
    [anon_sym_ATproperty] = ACTIONS(2414),
    [anon_sym_BOOL] = ACTIONS(2412),
    [anon_sym_IMP] = ACTIONS(2412),
    [anon_sym_SEL] = ACTIONS(2412),
    [anon_sym_Class] = ACTIONS(2412),
    [anon_sym_id] = ACTIONS(2412),
  },
  [2153] = {
    [sym_identifier] = ACTIONS(2420),
    [aux_sym_preproc_def_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token2] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2420),
    [aux_sym_preproc_else_token1] = ACTIONS(2420),
    [aux_sym_preproc_elif_token1] = ACTIONS(2420),
    [sym_preproc_directive] = ACTIONS(2420),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym___attribute] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym___cdecl] = ACTIONS(2420),
    [anon_sym___clrcall] = ACTIONS(2420),
    [anon_sym___stdcall] = ACTIONS(2420),
    [anon_sym___fastcall] = ACTIONS(2420),
    [anon_sym___thiscall] = ACTIONS(2420),
    [anon_sym___vectorcall] = ACTIONS(2420),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_auto] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_CG_EXTERN] = ACTIONS(2420),
    [anon_sym_CG_INLINE] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2420),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2420),
    [anon_sym_IBOutlet] = ACTIONS(2420),
    [anon_sym_IBInspectable] = ACTIONS(2420),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2420),
    [anon_sym_NS_INLINE] = ACTIONS(2420),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2420),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2420),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym__Nonnull] = ACTIONS(2420),
    [anon_sym_nullable] = ACTIONS(2420),
    [anon_sym__Complex] = ACTIONS(2420),
    [anon_sym__Nullable] = ACTIONS(2420),
    [anon_sym__Nullable_result] = ACTIONS(2420),
    [anon_sym__Null_unspecified] = ACTIONS(2420),
    [anon_sym___autoreleasing] = ACTIONS(2420),
    [anon_sym___block] = ACTIONS(2420),
    [anon_sym___bridge] = ACTIONS(2420),
    [anon_sym___bridge_retained] = ACTIONS(2420),
    [anon_sym___bridge_transfer] = ACTIONS(2420),
    [anon_sym___complex] = ACTIONS(2420),
    [anon_sym___const] = ACTIONS(2420),
    [anon_sym___imag] = ACTIONS(2420),
    [anon_sym___kindof] = ACTIONS(2420),
    [anon_sym___nonnull] = ACTIONS(2420),
    [anon_sym___nullable] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2420),
    [anon_sym___real] = ACTIONS(2420),
    [anon_sym___strong] = ACTIONS(2420),
    [anon_sym___unsafe_unretained] = ACTIONS(2420),
    [anon_sym___unused] = ACTIONS(2420),
    [anon_sym___weak] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym__Alignas] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2420),
    [anon_sym___typeof] = ACTIONS(2420),
    [anon_sym_typeof] = ACTIONS(2420),
    [aux_sym_preproc_undef_token1] = ACTIONS(2420),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2420),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2420),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2420),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_API_AVAILABLE] = ACTIONS(2420),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_API_DEPRECATED] = ACTIONS(2420),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym___deprecated_msg] = ACTIONS(2420),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2420),
    [anon_sym_ATsynthesize] = ACTIONS(2422),
    [anon_sym_ATdynamic] = ACTIONS(2422),
    [anon_sym_ATproperty] = ACTIONS(2422),
    [anon_sym_BOOL] = ACTIONS(2420),
    [anon_sym_IMP] = ACTIONS(2420),
    [anon_sym_SEL] = ACTIONS(2420),
    [anon_sym_Class] = ACTIONS(2420),
    [anon_sym_id] = ACTIONS(2420),
  },
  [2154] = {
    [sym_identifier] = ACTIONS(2420),
    [aux_sym_preproc_def_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token2] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2420),
    [aux_sym_preproc_else_token1] = ACTIONS(2420),
    [aux_sym_preproc_elif_token1] = ACTIONS(2420),
    [sym_preproc_directive] = ACTIONS(2420),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym___attribute] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym___cdecl] = ACTIONS(2420),
    [anon_sym___clrcall] = ACTIONS(2420),
    [anon_sym___stdcall] = ACTIONS(2420),
    [anon_sym___fastcall] = ACTIONS(2420),
    [anon_sym___thiscall] = ACTIONS(2420),
    [anon_sym___vectorcall] = ACTIONS(2420),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_auto] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_CG_EXTERN] = ACTIONS(2420),
    [anon_sym_CG_INLINE] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2420),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2420),
    [anon_sym_IBOutlet] = ACTIONS(2420),
    [anon_sym_IBInspectable] = ACTIONS(2420),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2420),
    [anon_sym_NS_INLINE] = ACTIONS(2420),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2420),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2420),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym__Nonnull] = ACTIONS(2420),
    [anon_sym_nullable] = ACTIONS(2420),
    [anon_sym__Complex] = ACTIONS(2420),
    [anon_sym__Nullable] = ACTIONS(2420),
    [anon_sym__Nullable_result] = ACTIONS(2420),
    [anon_sym__Null_unspecified] = ACTIONS(2420),
    [anon_sym___autoreleasing] = ACTIONS(2420),
    [anon_sym___block] = ACTIONS(2420),
    [anon_sym___bridge] = ACTIONS(2420),
    [anon_sym___bridge_retained] = ACTIONS(2420),
    [anon_sym___bridge_transfer] = ACTIONS(2420),
    [anon_sym___complex] = ACTIONS(2420),
    [anon_sym___const] = ACTIONS(2420),
    [anon_sym___imag] = ACTIONS(2420),
    [anon_sym___kindof] = ACTIONS(2420),
    [anon_sym___nonnull] = ACTIONS(2420),
    [anon_sym___nullable] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2420),
    [anon_sym___real] = ACTIONS(2420),
    [anon_sym___strong] = ACTIONS(2420),
    [anon_sym___unsafe_unretained] = ACTIONS(2420),
    [anon_sym___unused] = ACTIONS(2420),
    [anon_sym___weak] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym__Alignas] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2420),
    [anon_sym___typeof] = ACTIONS(2420),
    [anon_sym_typeof] = ACTIONS(2420),
    [aux_sym_preproc_undef_token1] = ACTIONS(2420),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2420),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2420),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2420),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_API_AVAILABLE] = ACTIONS(2420),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_API_DEPRECATED] = ACTIONS(2420),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym___deprecated_msg] = ACTIONS(2420),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2420),
    [anon_sym_ATsynthesize] = ACTIONS(2422),
    [anon_sym_ATdynamic] = ACTIONS(2422),
    [anon_sym_ATproperty] = ACTIONS(2422),
    [anon_sym_BOOL] = ACTIONS(2420),
    [anon_sym_IMP] = ACTIONS(2420),
    [anon_sym_SEL] = ACTIONS(2420),
    [anon_sym_Class] = ACTIONS(2420),
    [anon_sym_id] = ACTIONS(2420),
  },
  [2155] = {
    [sym_identifier] = ACTIONS(2436),
    [aux_sym_preproc_def_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token2] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2436),
    [aux_sym_preproc_else_token1] = ACTIONS(2436),
    [aux_sym_preproc_elif_token1] = ACTIONS(2436),
    [sym_preproc_directive] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym___attribute] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym___cdecl] = ACTIONS(2436),
    [anon_sym___clrcall] = ACTIONS(2436),
    [anon_sym___stdcall] = ACTIONS(2436),
    [anon_sym___fastcall] = ACTIONS(2436),
    [anon_sym___thiscall] = ACTIONS(2436),
    [anon_sym___vectorcall] = ACTIONS(2436),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_auto] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_CG_EXTERN] = ACTIONS(2436),
    [anon_sym_CG_INLINE] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2436),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2436),
    [anon_sym_IBOutlet] = ACTIONS(2436),
    [anon_sym_IBInspectable] = ACTIONS(2436),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2436),
    [anon_sym_NS_INLINE] = ACTIONS(2436),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2436),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2436),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym__Nonnull] = ACTIONS(2436),
    [anon_sym_nullable] = ACTIONS(2436),
    [anon_sym__Complex] = ACTIONS(2436),
    [anon_sym__Nullable] = ACTIONS(2436),
    [anon_sym__Nullable_result] = ACTIONS(2436),
    [anon_sym__Null_unspecified] = ACTIONS(2436),
    [anon_sym___autoreleasing] = ACTIONS(2436),
    [anon_sym___block] = ACTIONS(2436),
    [anon_sym___bridge] = ACTIONS(2436),
    [anon_sym___bridge_retained] = ACTIONS(2436),
    [anon_sym___bridge_transfer] = ACTIONS(2436),
    [anon_sym___complex] = ACTIONS(2436),
    [anon_sym___const] = ACTIONS(2436),
    [anon_sym___imag] = ACTIONS(2436),
    [anon_sym___kindof] = ACTIONS(2436),
    [anon_sym___nonnull] = ACTIONS(2436),
    [anon_sym___nullable] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2436),
    [anon_sym___real] = ACTIONS(2436),
    [anon_sym___strong] = ACTIONS(2436),
    [anon_sym___unsafe_unretained] = ACTIONS(2436),
    [anon_sym___unused] = ACTIONS(2436),
    [anon_sym___weak] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym__Alignas] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2436),
    [anon_sym___typeof] = ACTIONS(2436),
    [anon_sym_typeof] = ACTIONS(2436),
    [aux_sym_preproc_undef_token1] = ACTIONS(2436),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2436),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2436),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2436),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_API_AVAILABLE] = ACTIONS(2436),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_API_DEPRECATED] = ACTIONS(2436),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym___deprecated_msg] = ACTIONS(2436),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2436),
    [anon_sym_ATsynthesize] = ACTIONS(2438),
    [anon_sym_ATdynamic] = ACTIONS(2438),
    [anon_sym_ATproperty] = ACTIONS(2438),
    [anon_sym_BOOL] = ACTIONS(2436),
    [anon_sym_IMP] = ACTIONS(2436),
    [anon_sym_SEL] = ACTIONS(2436),
    [anon_sym_Class] = ACTIONS(2436),
    [anon_sym_id] = ACTIONS(2436),
  },
  [2156] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token2] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [aux_sym_preproc_else_token1] = ACTIONS(2448),
    [aux_sym_preproc_elif_token1] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym___attribute] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___cdecl] = ACTIONS(2448),
    [anon_sym___clrcall] = ACTIONS(2448),
    [anon_sym___stdcall] = ACTIONS(2448),
    [anon_sym___fastcall] = ACTIONS(2448),
    [anon_sym___thiscall] = ACTIONS(2448),
    [anon_sym___vectorcall] = ACTIONS(2448),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_auto] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_CG_EXTERN] = ACTIONS(2448),
    [anon_sym_CG_INLINE] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2448),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2448),
    [anon_sym_IBOutlet] = ACTIONS(2448),
    [anon_sym_IBInspectable] = ACTIONS(2448),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2448),
    [anon_sym_NS_INLINE] = ACTIONS(2448),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2448),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2448),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym__Nonnull] = ACTIONS(2448),
    [anon_sym_nullable] = ACTIONS(2448),
    [anon_sym__Complex] = ACTIONS(2448),
    [anon_sym__Nullable] = ACTIONS(2448),
    [anon_sym__Nullable_result] = ACTIONS(2448),
    [anon_sym__Null_unspecified] = ACTIONS(2448),
    [anon_sym___autoreleasing] = ACTIONS(2448),
    [anon_sym___block] = ACTIONS(2448),
    [anon_sym___bridge] = ACTIONS(2448),
    [anon_sym___bridge_retained] = ACTIONS(2448),
    [anon_sym___bridge_transfer] = ACTIONS(2448),
    [anon_sym___complex] = ACTIONS(2448),
    [anon_sym___const] = ACTIONS(2448),
    [anon_sym___imag] = ACTIONS(2448),
    [anon_sym___kindof] = ACTIONS(2448),
    [anon_sym___nonnull] = ACTIONS(2448),
    [anon_sym___nullable] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2448),
    [anon_sym___real] = ACTIONS(2448),
    [anon_sym___strong] = ACTIONS(2448),
    [anon_sym___unsafe_unretained] = ACTIONS(2448),
    [anon_sym___unused] = ACTIONS(2448),
    [anon_sym___weak] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym__Alignas] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2448),
    [anon_sym___typeof] = ACTIONS(2448),
    [anon_sym_typeof] = ACTIONS(2448),
    [aux_sym_preproc_undef_token1] = ACTIONS(2448),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2448),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2448),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2448),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_API_AVAILABLE] = ACTIONS(2448),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_API_DEPRECATED] = ACTIONS(2448),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym___deprecated_msg] = ACTIONS(2448),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2448),
    [anon_sym_ATsynthesize] = ACTIONS(2450),
    [anon_sym_ATdynamic] = ACTIONS(2450),
    [anon_sym_ATproperty] = ACTIONS(2450),
    [anon_sym_BOOL] = ACTIONS(2448),
    [anon_sym_IMP] = ACTIONS(2448),
    [anon_sym_SEL] = ACTIONS(2448),
    [anon_sym_Class] = ACTIONS(2448),
    [anon_sym_id] = ACTIONS(2448),
  },
  [2157] = {
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token2] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [aux_sym_preproc_else_token1] = ACTIONS(2452),
    [aux_sym_preproc_elif_token1] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym___attribute] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_auto] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_CG_EXTERN] = ACTIONS(2452),
    [anon_sym_CG_INLINE] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2452),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2452),
    [anon_sym_IBOutlet] = ACTIONS(2452),
    [anon_sym_IBInspectable] = ACTIONS(2452),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2452),
    [anon_sym_NS_INLINE] = ACTIONS(2452),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2452),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2452),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym__Nonnull] = ACTIONS(2452),
    [anon_sym_nullable] = ACTIONS(2452),
    [anon_sym__Complex] = ACTIONS(2452),
    [anon_sym__Nullable] = ACTIONS(2452),
    [anon_sym__Nullable_result] = ACTIONS(2452),
    [anon_sym__Null_unspecified] = ACTIONS(2452),
    [anon_sym___autoreleasing] = ACTIONS(2452),
    [anon_sym___block] = ACTIONS(2452),
    [anon_sym___bridge] = ACTIONS(2452),
    [anon_sym___bridge_retained] = ACTIONS(2452),
    [anon_sym___bridge_transfer] = ACTIONS(2452),
    [anon_sym___complex] = ACTIONS(2452),
    [anon_sym___const] = ACTIONS(2452),
    [anon_sym___imag] = ACTIONS(2452),
    [anon_sym___kindof] = ACTIONS(2452),
    [anon_sym___nonnull] = ACTIONS(2452),
    [anon_sym___nullable] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2452),
    [anon_sym___real] = ACTIONS(2452),
    [anon_sym___strong] = ACTIONS(2452),
    [anon_sym___unsafe_unretained] = ACTIONS(2452),
    [anon_sym___unused] = ACTIONS(2452),
    [anon_sym___weak] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym__Alignas] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2452),
    [anon_sym___typeof] = ACTIONS(2452),
    [anon_sym_typeof] = ACTIONS(2452),
    [aux_sym_preproc_undef_token1] = ACTIONS(2452),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2452),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2452),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2452),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_API_AVAILABLE] = ACTIONS(2452),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_API_DEPRECATED] = ACTIONS(2452),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym___deprecated_msg] = ACTIONS(2452),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2452),
    [anon_sym_ATsynthesize] = ACTIONS(2454),
    [anon_sym_ATdynamic] = ACTIONS(2454),
    [anon_sym_ATproperty] = ACTIONS(2454),
    [anon_sym_BOOL] = ACTIONS(2452),
    [anon_sym_IMP] = ACTIONS(2452),
    [anon_sym_SEL] = ACTIONS(2452),
    [anon_sym_Class] = ACTIONS(2452),
    [anon_sym_id] = ACTIONS(2452),
  },
  [2158] = {
    [sym_identifier] = ACTIONS(2436),
    [aux_sym_preproc_def_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token2] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2436),
    [aux_sym_preproc_else_token1] = ACTIONS(2436),
    [aux_sym_preproc_elif_token1] = ACTIONS(2436),
    [sym_preproc_directive] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym___attribute] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym___cdecl] = ACTIONS(2436),
    [anon_sym___clrcall] = ACTIONS(2436),
    [anon_sym___stdcall] = ACTIONS(2436),
    [anon_sym___fastcall] = ACTIONS(2436),
    [anon_sym___thiscall] = ACTIONS(2436),
    [anon_sym___vectorcall] = ACTIONS(2436),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_auto] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_CG_EXTERN] = ACTIONS(2436),
    [anon_sym_CG_INLINE] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2436),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2436),
    [anon_sym_IBOutlet] = ACTIONS(2436),
    [anon_sym_IBInspectable] = ACTIONS(2436),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2436),
    [anon_sym_NS_INLINE] = ACTIONS(2436),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2436),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2436),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym__Nonnull] = ACTIONS(2436),
    [anon_sym_nullable] = ACTIONS(2436),
    [anon_sym__Complex] = ACTIONS(2436),
    [anon_sym__Nullable] = ACTIONS(2436),
    [anon_sym__Nullable_result] = ACTIONS(2436),
    [anon_sym__Null_unspecified] = ACTIONS(2436),
    [anon_sym___autoreleasing] = ACTIONS(2436),
    [anon_sym___block] = ACTIONS(2436),
    [anon_sym___bridge] = ACTIONS(2436),
    [anon_sym___bridge_retained] = ACTIONS(2436),
    [anon_sym___bridge_transfer] = ACTIONS(2436),
    [anon_sym___complex] = ACTIONS(2436),
    [anon_sym___const] = ACTIONS(2436),
    [anon_sym___imag] = ACTIONS(2436),
    [anon_sym___kindof] = ACTIONS(2436),
    [anon_sym___nonnull] = ACTIONS(2436),
    [anon_sym___nullable] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2436),
    [anon_sym___real] = ACTIONS(2436),
    [anon_sym___strong] = ACTIONS(2436),
    [anon_sym___unsafe_unretained] = ACTIONS(2436),
    [anon_sym___unused] = ACTIONS(2436),
    [anon_sym___weak] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym__Alignas] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2436),
    [anon_sym___typeof] = ACTIONS(2436),
    [anon_sym_typeof] = ACTIONS(2436),
    [aux_sym_preproc_undef_token1] = ACTIONS(2436),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2436),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2436),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2436),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_API_AVAILABLE] = ACTIONS(2436),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_API_DEPRECATED] = ACTIONS(2436),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym___deprecated_msg] = ACTIONS(2436),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2436),
    [anon_sym_ATsynthesize] = ACTIONS(2438),
    [anon_sym_ATdynamic] = ACTIONS(2438),
    [anon_sym_ATproperty] = ACTIONS(2438),
    [anon_sym_BOOL] = ACTIONS(2436),
    [anon_sym_IMP] = ACTIONS(2436),
    [anon_sym_SEL] = ACTIONS(2436),
    [anon_sym_Class] = ACTIONS(2436),
    [anon_sym_id] = ACTIONS(2436),
  },
  [2159] = {
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token2] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [aux_sym_preproc_else_token1] = ACTIONS(2452),
    [aux_sym_preproc_elif_token1] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym___attribute] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_auto] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_CG_EXTERN] = ACTIONS(2452),
    [anon_sym_CG_INLINE] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2452),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2452),
    [anon_sym_IBOutlet] = ACTIONS(2452),
    [anon_sym_IBInspectable] = ACTIONS(2452),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2452),
    [anon_sym_NS_INLINE] = ACTIONS(2452),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2452),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2452),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym__Nonnull] = ACTIONS(2452),
    [anon_sym_nullable] = ACTIONS(2452),
    [anon_sym__Complex] = ACTIONS(2452),
    [anon_sym__Nullable] = ACTIONS(2452),
    [anon_sym__Nullable_result] = ACTIONS(2452),
    [anon_sym__Null_unspecified] = ACTIONS(2452),
    [anon_sym___autoreleasing] = ACTIONS(2452),
    [anon_sym___block] = ACTIONS(2452),
    [anon_sym___bridge] = ACTIONS(2452),
    [anon_sym___bridge_retained] = ACTIONS(2452),
    [anon_sym___bridge_transfer] = ACTIONS(2452),
    [anon_sym___complex] = ACTIONS(2452),
    [anon_sym___const] = ACTIONS(2452),
    [anon_sym___imag] = ACTIONS(2452),
    [anon_sym___kindof] = ACTIONS(2452),
    [anon_sym___nonnull] = ACTIONS(2452),
    [anon_sym___nullable] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2452),
    [anon_sym___real] = ACTIONS(2452),
    [anon_sym___strong] = ACTIONS(2452),
    [anon_sym___unsafe_unretained] = ACTIONS(2452),
    [anon_sym___unused] = ACTIONS(2452),
    [anon_sym___weak] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym__Alignas] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2452),
    [anon_sym___typeof] = ACTIONS(2452),
    [anon_sym_typeof] = ACTIONS(2452),
    [aux_sym_preproc_undef_token1] = ACTIONS(2452),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2452),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2452),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2452),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_API_AVAILABLE] = ACTIONS(2452),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_API_DEPRECATED] = ACTIONS(2452),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym___deprecated_msg] = ACTIONS(2452),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2452),
    [anon_sym_ATsynthesize] = ACTIONS(2454),
    [anon_sym_ATdynamic] = ACTIONS(2454),
    [anon_sym_ATproperty] = ACTIONS(2454),
    [anon_sym_BOOL] = ACTIONS(2452),
    [anon_sym_IMP] = ACTIONS(2452),
    [anon_sym_SEL] = ACTIONS(2452),
    [anon_sym_Class] = ACTIONS(2452),
    [anon_sym_id] = ACTIONS(2452),
  },
  [2160] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token2] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [aux_sym_preproc_else_token1] = ACTIONS(2448),
    [aux_sym_preproc_elif_token1] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym___attribute] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___cdecl] = ACTIONS(2448),
    [anon_sym___clrcall] = ACTIONS(2448),
    [anon_sym___stdcall] = ACTIONS(2448),
    [anon_sym___fastcall] = ACTIONS(2448),
    [anon_sym___thiscall] = ACTIONS(2448),
    [anon_sym___vectorcall] = ACTIONS(2448),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_auto] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_CG_EXTERN] = ACTIONS(2448),
    [anon_sym_CG_INLINE] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2448),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2448),
    [anon_sym_IBOutlet] = ACTIONS(2448),
    [anon_sym_IBInspectable] = ACTIONS(2448),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2448),
    [anon_sym_NS_INLINE] = ACTIONS(2448),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2448),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2448),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym__Nonnull] = ACTIONS(2448),
    [anon_sym_nullable] = ACTIONS(2448),
    [anon_sym__Complex] = ACTIONS(2448),
    [anon_sym__Nullable] = ACTIONS(2448),
    [anon_sym__Nullable_result] = ACTIONS(2448),
    [anon_sym__Null_unspecified] = ACTIONS(2448),
    [anon_sym___autoreleasing] = ACTIONS(2448),
    [anon_sym___block] = ACTIONS(2448),
    [anon_sym___bridge] = ACTIONS(2448),
    [anon_sym___bridge_retained] = ACTIONS(2448),
    [anon_sym___bridge_transfer] = ACTIONS(2448),
    [anon_sym___complex] = ACTIONS(2448),
    [anon_sym___const] = ACTIONS(2448),
    [anon_sym___imag] = ACTIONS(2448),
    [anon_sym___kindof] = ACTIONS(2448),
    [anon_sym___nonnull] = ACTIONS(2448),
    [anon_sym___nullable] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2448),
    [anon_sym___real] = ACTIONS(2448),
    [anon_sym___strong] = ACTIONS(2448),
    [anon_sym___unsafe_unretained] = ACTIONS(2448),
    [anon_sym___unused] = ACTIONS(2448),
    [anon_sym___weak] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym__Alignas] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2448),
    [anon_sym___typeof] = ACTIONS(2448),
    [anon_sym_typeof] = ACTIONS(2448),
    [aux_sym_preproc_undef_token1] = ACTIONS(2448),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2448),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2448),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2448),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_API_AVAILABLE] = ACTIONS(2448),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_API_DEPRECATED] = ACTIONS(2448),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym___deprecated_msg] = ACTIONS(2448),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2448),
    [anon_sym_ATsynthesize] = ACTIONS(2450),
    [anon_sym_ATdynamic] = ACTIONS(2450),
    [anon_sym_ATproperty] = ACTIONS(2450),
    [anon_sym_BOOL] = ACTIONS(2448),
    [anon_sym_IMP] = ACTIONS(2448),
    [anon_sym_SEL] = ACTIONS(2448),
    [anon_sym_Class] = ACTIONS(2448),
    [anon_sym_id] = ACTIONS(2448),
  },
  [2161] = {
    [sym_identifier] = ACTIONS(2470),
    [aux_sym_preproc_def_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token2] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2470),
    [aux_sym_preproc_else_token1] = ACTIONS(2470),
    [aux_sym_preproc_elif_token1] = ACTIONS(2470),
    [sym_preproc_directive] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2470),
    [anon_sym_extern] = ACTIONS(2470),
    [anon_sym___attribute__] = ACTIONS(2470),
    [anon_sym___attribute] = ACTIONS(2470),
    [anon_sym_noreturn] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym___declspec] = ACTIONS(2470),
    [anon_sym___cdecl] = ACTIONS(2470),
    [anon_sym___clrcall] = ACTIONS(2470),
    [anon_sym___stdcall] = ACTIONS(2470),
    [anon_sym___fastcall] = ACTIONS(2470),
    [anon_sym___thiscall] = ACTIONS(2470),
    [anon_sym___vectorcall] = ACTIONS(2470),
    [anon_sym_signed] = ACTIONS(2470),
    [anon_sym_unsigned] = ACTIONS(2470),
    [anon_sym_long] = ACTIONS(2470),
    [anon_sym_short] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_auto] = ACTIONS(2470),
    [anon_sym_register] = ACTIONS(2470),
    [anon_sym_inline] = ACTIONS(2470),
    [anon_sym___inline] = ACTIONS(2470),
    [anon_sym___inline__] = ACTIONS(2470),
    [anon_sym___forceinline] = ACTIONS(2470),
    [anon_sym_thread_local] = ACTIONS(2470),
    [anon_sym___thread] = ACTIONS(2470),
    [anon_sym_CG_EXTERN] = ACTIONS(2470),
    [anon_sym_CG_INLINE] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2470),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2470),
    [anon_sym_IBOutlet] = ACTIONS(2470),
    [anon_sym_IBInspectable] = ACTIONS(2470),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2470),
    [anon_sym_NS_INLINE] = ACTIONS(2470),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2470),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2470),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2470),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_constexpr] = ACTIONS(2470),
    [anon_sym_volatile] = ACTIONS(2470),
    [anon_sym_restrict] = ACTIONS(2470),
    [anon_sym___restrict__] = ACTIONS(2470),
    [anon_sym__Atomic] = ACTIONS(2470),
    [anon_sym__Noreturn] = ACTIONS(2470),
    [anon_sym__Nonnull] = ACTIONS(2470),
    [anon_sym_nullable] = ACTIONS(2470),
    [anon_sym__Complex] = ACTIONS(2470),
    [anon_sym__Nullable] = ACTIONS(2470),
    [anon_sym__Nullable_result] = ACTIONS(2470),
    [anon_sym__Null_unspecified] = ACTIONS(2470),
    [anon_sym___autoreleasing] = ACTIONS(2470),
    [anon_sym___block] = ACTIONS(2470),
    [anon_sym___bridge] = ACTIONS(2470),
    [anon_sym___bridge_retained] = ACTIONS(2470),
    [anon_sym___bridge_transfer] = ACTIONS(2470),
    [anon_sym___complex] = ACTIONS(2470),
    [anon_sym___const] = ACTIONS(2470),
    [anon_sym___imag] = ACTIONS(2470),
    [anon_sym___kindof] = ACTIONS(2470),
    [anon_sym___nonnull] = ACTIONS(2470),
    [anon_sym___nullable] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2470),
    [anon_sym___real] = ACTIONS(2470),
    [anon_sym___strong] = ACTIONS(2470),
    [anon_sym___unsafe_unretained] = ACTIONS(2470),
    [anon_sym___unused] = ACTIONS(2470),
    [anon_sym___weak] = ACTIONS(2470),
    [anon_sym_alignas] = ACTIONS(2470),
    [anon_sym__Alignas] = ACTIONS(2470),
    [sym_primitive_type] = ACTIONS(2470),
    [anon_sym_enum] = ACTIONS(2470),
    [anon_sym_struct] = ACTIONS(2470),
    [anon_sym_union] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2470),
    [anon_sym___typeof] = ACTIONS(2470),
    [anon_sym_typeof] = ACTIONS(2470),
    [aux_sym_preproc_undef_token1] = ACTIONS(2470),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2470),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2470),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2470),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_API_AVAILABLE] = ACTIONS(2470),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_API_DEPRECATED] = ACTIONS(2470),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym___deprecated_msg] = ACTIONS(2470),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2470),
    [anon_sym_ATsynthesize] = ACTIONS(2472),
    [anon_sym_ATdynamic] = ACTIONS(2472),
    [anon_sym_ATproperty] = ACTIONS(2472),
    [anon_sym_BOOL] = ACTIONS(2470),
    [anon_sym_IMP] = ACTIONS(2470),
    [anon_sym_SEL] = ACTIONS(2470),
    [anon_sym_Class] = ACTIONS(2470),
    [anon_sym_id] = ACTIONS(2470),
  },
  [2162] = {
    [aux_sym_method_declaration_repeat2] = STATE(2208),
    [sym_identifier] = ACTIONS(5451),
    [aux_sym_preproc_def_token1] = ACTIONS(5451),
    [aux_sym_preproc_if_token1] = ACTIONS(5451),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5451),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5451),
    [sym_preproc_directive] = ACTIONS(5451),
    [anon_sym_DASH] = ACTIONS(5453),
    [anon_sym_PLUS] = ACTIONS(5453),
    [anon_sym_SEMI] = ACTIONS(5455),
    [anon_sym___extension__] = ACTIONS(5451),
    [anon_sym_typedef] = ACTIONS(5451),
    [anon_sym_extern] = ACTIONS(5451),
    [anon_sym___attribute__] = ACTIONS(5451),
    [anon_sym___attribute] = ACTIONS(5451),
    [anon_sym_noreturn] = ACTIONS(5451),
    [anon_sym_LBRACK] = ACTIONS(5453),
    [anon_sym___declspec] = ACTIONS(5451),
    [anon_sym___cdecl] = ACTIONS(5451),
    [anon_sym___clrcall] = ACTIONS(5451),
    [anon_sym___stdcall] = ACTIONS(5451),
    [anon_sym___fastcall] = ACTIONS(5451),
    [anon_sym___thiscall] = ACTIONS(5451),
    [anon_sym___vectorcall] = ACTIONS(5451),
    [anon_sym_signed] = ACTIONS(5451),
    [anon_sym_unsigned] = ACTIONS(5451),
    [anon_sym_long] = ACTIONS(5451),
    [anon_sym_short] = ACTIONS(5451),
    [anon_sym_static] = ACTIONS(5451),
    [anon_sym_auto] = ACTIONS(5451),
    [anon_sym_register] = ACTIONS(5451),
    [anon_sym_inline] = ACTIONS(5451),
    [anon_sym___inline] = ACTIONS(5451),
    [anon_sym___inline__] = ACTIONS(5451),
    [anon_sym___forceinline] = ACTIONS(5451),
    [anon_sym_thread_local] = ACTIONS(5451),
    [anon_sym___thread] = ACTIONS(5451),
    [anon_sym_CG_EXTERN] = ACTIONS(5451),
    [anon_sym_CG_INLINE] = ACTIONS(5451),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5451),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5451),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5451),
    [anon_sym_IBOutlet] = ACTIONS(5451),
    [anon_sym_IBInspectable] = ACTIONS(5451),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5451),
    [anon_sym_NS_INLINE] = ACTIONS(5451),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5451),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5451),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5451),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5451),
    [anon_sym_const] = ACTIONS(5451),
    [anon_sym_constexpr] = ACTIONS(5451),
    [anon_sym_volatile] = ACTIONS(5451),
    [anon_sym_restrict] = ACTIONS(5451),
    [anon_sym___restrict__] = ACTIONS(5451),
    [anon_sym__Atomic] = ACTIONS(5451),
    [anon_sym__Noreturn] = ACTIONS(5451),
    [anon_sym__Nonnull] = ACTIONS(5451),
    [anon_sym_nullable] = ACTIONS(5451),
    [anon_sym__Complex] = ACTIONS(5451),
    [anon_sym__Nullable] = ACTIONS(5451),
    [anon_sym__Nullable_result] = ACTIONS(5451),
    [anon_sym__Null_unspecified] = ACTIONS(5451),
    [anon_sym___autoreleasing] = ACTIONS(5451),
    [anon_sym___block] = ACTIONS(5451),
    [anon_sym___bridge] = ACTIONS(5451),
    [anon_sym___bridge_retained] = ACTIONS(5451),
    [anon_sym___bridge_transfer] = ACTIONS(5451),
    [anon_sym___complex] = ACTIONS(5451),
    [anon_sym___const] = ACTIONS(5451),
    [anon_sym___imag] = ACTIONS(5451),
    [anon_sym___kindof] = ACTIONS(5451),
    [anon_sym___nonnull] = ACTIONS(5451),
    [anon_sym___nullable] = ACTIONS(5451),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5451),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5451),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5451),
    [anon_sym___real] = ACTIONS(5451),
    [anon_sym___strong] = ACTIONS(5451),
    [anon_sym___unsafe_unretained] = ACTIONS(5451),
    [anon_sym___unused] = ACTIONS(5451),
    [anon_sym___weak] = ACTIONS(5451),
    [anon_sym_alignas] = ACTIONS(5451),
    [anon_sym__Alignas] = ACTIONS(5451),
    [sym_primitive_type] = ACTIONS(5451),
    [anon_sym_enum] = ACTIONS(5451),
    [anon_sym_struct] = ACTIONS(5451),
    [anon_sym_union] = ACTIONS(5451),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5451),
    [anon_sym___typeof] = ACTIONS(5451),
    [anon_sym_typeof] = ACTIONS(5451),
    [aux_sym_preproc_undef_token1] = ACTIONS(5451),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5451),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5451),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5451),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5451),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5451),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5451),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5451),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5451),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5451),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5451),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5451),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5451),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5451),
    [anon_sym_API_AVAILABLE] = ACTIONS(5451),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5451),
    [anon_sym_API_DEPRECATED] = ACTIONS(5451),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5451),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5451),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5451),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5451),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5451),
    [anon_sym___deprecated_msg] = ACTIONS(5451),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5451),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5451),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5451),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5451),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5451),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5451),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5451),
    [anon_sym_ATend] = ACTIONS(5453),
    [anon_sym_AToptional] = ACTIONS(5453),
    [anon_sym_ATrequired] = ACTIONS(5453),
    [anon_sym_ATproperty] = ACTIONS(5453),
    [anon_sym_BOOL] = ACTIONS(5451),
    [anon_sym_IMP] = ACTIONS(5451),
    [anon_sym_SEL] = ACTIONS(5451),
    [anon_sym_Class] = ACTIONS(5451),
    [anon_sym_id] = ACTIONS(5451),
  },
  [2163] = {
    [sym_identifier] = ACTIONS(2486),
    [aux_sym_preproc_def_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token2] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2486),
    [aux_sym_preproc_else_token1] = ACTIONS(2486),
    [aux_sym_preproc_elif_token1] = ACTIONS(2486),
    [sym_preproc_directive] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym___attribute] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym___cdecl] = ACTIONS(2486),
    [anon_sym___clrcall] = ACTIONS(2486),
    [anon_sym___stdcall] = ACTIONS(2486),
    [anon_sym___fastcall] = ACTIONS(2486),
    [anon_sym___thiscall] = ACTIONS(2486),
    [anon_sym___vectorcall] = ACTIONS(2486),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_auto] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_CG_EXTERN] = ACTIONS(2486),
    [anon_sym_CG_INLINE] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2486),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2486),
    [anon_sym_IBOutlet] = ACTIONS(2486),
    [anon_sym_IBInspectable] = ACTIONS(2486),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2486),
    [anon_sym_NS_INLINE] = ACTIONS(2486),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2486),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2486),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym__Nonnull] = ACTIONS(2486),
    [anon_sym_nullable] = ACTIONS(2486),
    [anon_sym__Complex] = ACTIONS(2486),
    [anon_sym__Nullable] = ACTIONS(2486),
    [anon_sym__Nullable_result] = ACTIONS(2486),
    [anon_sym__Null_unspecified] = ACTIONS(2486),
    [anon_sym___autoreleasing] = ACTIONS(2486),
    [anon_sym___block] = ACTIONS(2486),
    [anon_sym___bridge] = ACTIONS(2486),
    [anon_sym___bridge_retained] = ACTIONS(2486),
    [anon_sym___bridge_transfer] = ACTIONS(2486),
    [anon_sym___complex] = ACTIONS(2486),
    [anon_sym___const] = ACTIONS(2486),
    [anon_sym___imag] = ACTIONS(2486),
    [anon_sym___kindof] = ACTIONS(2486),
    [anon_sym___nonnull] = ACTIONS(2486),
    [anon_sym___nullable] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2486),
    [anon_sym___real] = ACTIONS(2486),
    [anon_sym___strong] = ACTIONS(2486),
    [anon_sym___unsafe_unretained] = ACTIONS(2486),
    [anon_sym___unused] = ACTIONS(2486),
    [anon_sym___weak] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym__Alignas] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2486),
    [anon_sym___typeof] = ACTIONS(2486),
    [anon_sym_typeof] = ACTIONS(2486),
    [aux_sym_preproc_undef_token1] = ACTIONS(2486),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2486),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2486),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2486),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_API_AVAILABLE] = ACTIONS(2486),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_API_DEPRECATED] = ACTIONS(2486),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym___deprecated_msg] = ACTIONS(2486),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2486),
    [anon_sym_ATsynthesize] = ACTIONS(2488),
    [anon_sym_ATdynamic] = ACTIONS(2488),
    [anon_sym_ATproperty] = ACTIONS(2488),
    [anon_sym_BOOL] = ACTIONS(2486),
    [anon_sym_IMP] = ACTIONS(2486),
    [anon_sym_SEL] = ACTIONS(2486),
    [anon_sym_Class] = ACTIONS(2486),
    [anon_sym_id] = ACTIONS(2486),
  },
  [2164] = {
    [sym_identifier] = ACTIONS(2486),
    [aux_sym_preproc_def_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token2] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2486),
    [aux_sym_preproc_else_token1] = ACTIONS(2486),
    [aux_sym_preproc_elif_token1] = ACTIONS(2486),
    [sym_preproc_directive] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym___attribute] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym___cdecl] = ACTIONS(2486),
    [anon_sym___clrcall] = ACTIONS(2486),
    [anon_sym___stdcall] = ACTIONS(2486),
    [anon_sym___fastcall] = ACTIONS(2486),
    [anon_sym___thiscall] = ACTIONS(2486),
    [anon_sym___vectorcall] = ACTIONS(2486),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_auto] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_CG_EXTERN] = ACTIONS(2486),
    [anon_sym_CG_INLINE] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2486),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2486),
    [anon_sym_IBOutlet] = ACTIONS(2486),
    [anon_sym_IBInspectable] = ACTIONS(2486),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2486),
    [anon_sym_NS_INLINE] = ACTIONS(2486),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2486),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2486),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym__Nonnull] = ACTIONS(2486),
    [anon_sym_nullable] = ACTIONS(2486),
    [anon_sym__Complex] = ACTIONS(2486),
    [anon_sym__Nullable] = ACTIONS(2486),
    [anon_sym__Nullable_result] = ACTIONS(2486),
    [anon_sym__Null_unspecified] = ACTIONS(2486),
    [anon_sym___autoreleasing] = ACTIONS(2486),
    [anon_sym___block] = ACTIONS(2486),
    [anon_sym___bridge] = ACTIONS(2486),
    [anon_sym___bridge_retained] = ACTIONS(2486),
    [anon_sym___bridge_transfer] = ACTIONS(2486),
    [anon_sym___complex] = ACTIONS(2486),
    [anon_sym___const] = ACTIONS(2486),
    [anon_sym___imag] = ACTIONS(2486),
    [anon_sym___kindof] = ACTIONS(2486),
    [anon_sym___nonnull] = ACTIONS(2486),
    [anon_sym___nullable] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2486),
    [anon_sym___real] = ACTIONS(2486),
    [anon_sym___strong] = ACTIONS(2486),
    [anon_sym___unsafe_unretained] = ACTIONS(2486),
    [anon_sym___unused] = ACTIONS(2486),
    [anon_sym___weak] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym__Alignas] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2486),
    [anon_sym___typeof] = ACTIONS(2486),
    [anon_sym_typeof] = ACTIONS(2486),
    [aux_sym_preproc_undef_token1] = ACTIONS(2486),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2486),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2486),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2486),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_API_AVAILABLE] = ACTIONS(2486),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_API_DEPRECATED] = ACTIONS(2486),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym___deprecated_msg] = ACTIONS(2486),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2486),
    [anon_sym_ATsynthesize] = ACTIONS(2488),
    [anon_sym_ATdynamic] = ACTIONS(2488),
    [anon_sym_ATproperty] = ACTIONS(2488),
    [anon_sym_BOOL] = ACTIONS(2486),
    [anon_sym_IMP] = ACTIONS(2486),
    [anon_sym_SEL] = ACTIONS(2486),
    [anon_sym_Class] = ACTIONS(2486),
    [anon_sym_id] = ACTIONS(2486),
  },
  [2165] = {
    [sym_identifier] = ACTIONS(2470),
    [aux_sym_preproc_def_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token2] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2470),
    [aux_sym_preproc_else_token1] = ACTIONS(2470),
    [aux_sym_preproc_elif_token1] = ACTIONS(2470),
    [sym_preproc_directive] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2470),
    [anon_sym_extern] = ACTIONS(2470),
    [anon_sym___attribute__] = ACTIONS(2470),
    [anon_sym___attribute] = ACTIONS(2470),
    [anon_sym_noreturn] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym___declspec] = ACTIONS(2470),
    [anon_sym___cdecl] = ACTIONS(2470),
    [anon_sym___clrcall] = ACTIONS(2470),
    [anon_sym___stdcall] = ACTIONS(2470),
    [anon_sym___fastcall] = ACTIONS(2470),
    [anon_sym___thiscall] = ACTIONS(2470),
    [anon_sym___vectorcall] = ACTIONS(2470),
    [anon_sym_signed] = ACTIONS(2470),
    [anon_sym_unsigned] = ACTIONS(2470),
    [anon_sym_long] = ACTIONS(2470),
    [anon_sym_short] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_auto] = ACTIONS(2470),
    [anon_sym_register] = ACTIONS(2470),
    [anon_sym_inline] = ACTIONS(2470),
    [anon_sym___inline] = ACTIONS(2470),
    [anon_sym___inline__] = ACTIONS(2470),
    [anon_sym___forceinline] = ACTIONS(2470),
    [anon_sym_thread_local] = ACTIONS(2470),
    [anon_sym___thread] = ACTIONS(2470),
    [anon_sym_CG_EXTERN] = ACTIONS(2470),
    [anon_sym_CG_INLINE] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2470),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2470),
    [anon_sym_IBOutlet] = ACTIONS(2470),
    [anon_sym_IBInspectable] = ACTIONS(2470),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2470),
    [anon_sym_NS_INLINE] = ACTIONS(2470),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2470),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2470),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2470),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_constexpr] = ACTIONS(2470),
    [anon_sym_volatile] = ACTIONS(2470),
    [anon_sym_restrict] = ACTIONS(2470),
    [anon_sym___restrict__] = ACTIONS(2470),
    [anon_sym__Atomic] = ACTIONS(2470),
    [anon_sym__Noreturn] = ACTIONS(2470),
    [anon_sym__Nonnull] = ACTIONS(2470),
    [anon_sym_nullable] = ACTIONS(2470),
    [anon_sym__Complex] = ACTIONS(2470),
    [anon_sym__Nullable] = ACTIONS(2470),
    [anon_sym__Nullable_result] = ACTIONS(2470),
    [anon_sym__Null_unspecified] = ACTIONS(2470),
    [anon_sym___autoreleasing] = ACTIONS(2470),
    [anon_sym___block] = ACTIONS(2470),
    [anon_sym___bridge] = ACTIONS(2470),
    [anon_sym___bridge_retained] = ACTIONS(2470),
    [anon_sym___bridge_transfer] = ACTIONS(2470),
    [anon_sym___complex] = ACTIONS(2470),
    [anon_sym___const] = ACTIONS(2470),
    [anon_sym___imag] = ACTIONS(2470),
    [anon_sym___kindof] = ACTIONS(2470),
    [anon_sym___nonnull] = ACTIONS(2470),
    [anon_sym___nullable] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2470),
    [anon_sym___real] = ACTIONS(2470),
    [anon_sym___strong] = ACTIONS(2470),
    [anon_sym___unsafe_unretained] = ACTIONS(2470),
    [anon_sym___unused] = ACTIONS(2470),
    [anon_sym___weak] = ACTIONS(2470),
    [anon_sym_alignas] = ACTIONS(2470),
    [anon_sym__Alignas] = ACTIONS(2470),
    [sym_primitive_type] = ACTIONS(2470),
    [anon_sym_enum] = ACTIONS(2470),
    [anon_sym_struct] = ACTIONS(2470),
    [anon_sym_union] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2470),
    [anon_sym___typeof] = ACTIONS(2470),
    [anon_sym_typeof] = ACTIONS(2470),
    [aux_sym_preproc_undef_token1] = ACTIONS(2470),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2470),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2470),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2470),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_API_AVAILABLE] = ACTIONS(2470),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_API_DEPRECATED] = ACTIONS(2470),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym___deprecated_msg] = ACTIONS(2470),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2470),
    [anon_sym_ATsynthesize] = ACTIONS(2472),
    [anon_sym_ATdynamic] = ACTIONS(2472),
    [anon_sym_ATproperty] = ACTIONS(2472),
    [anon_sym_BOOL] = ACTIONS(2470),
    [anon_sym_IMP] = ACTIONS(2470),
    [anon_sym_SEL] = ACTIONS(2470),
    [anon_sym_Class] = ACTIONS(2470),
    [anon_sym_id] = ACTIONS(2470),
  },
  [2166] = {
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token2] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [aux_sym_preproc_else_token1] = ACTIONS(2474),
    [aux_sym_preproc_elif_token1] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym___attribute] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_auto] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_CG_EXTERN] = ACTIONS(2474),
    [anon_sym_CG_INLINE] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2474),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2474),
    [anon_sym_IBOutlet] = ACTIONS(2474),
    [anon_sym_IBInspectable] = ACTIONS(2474),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2474),
    [anon_sym_NS_INLINE] = ACTIONS(2474),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2474),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2474),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym__Nonnull] = ACTIONS(2474),
    [anon_sym_nullable] = ACTIONS(2474),
    [anon_sym__Complex] = ACTIONS(2474),
    [anon_sym__Nullable] = ACTIONS(2474),
    [anon_sym__Nullable_result] = ACTIONS(2474),
    [anon_sym__Null_unspecified] = ACTIONS(2474),
    [anon_sym___autoreleasing] = ACTIONS(2474),
    [anon_sym___block] = ACTIONS(2474),
    [anon_sym___bridge] = ACTIONS(2474),
    [anon_sym___bridge_retained] = ACTIONS(2474),
    [anon_sym___bridge_transfer] = ACTIONS(2474),
    [anon_sym___complex] = ACTIONS(2474),
    [anon_sym___const] = ACTIONS(2474),
    [anon_sym___imag] = ACTIONS(2474),
    [anon_sym___kindof] = ACTIONS(2474),
    [anon_sym___nonnull] = ACTIONS(2474),
    [anon_sym___nullable] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2474),
    [anon_sym___real] = ACTIONS(2474),
    [anon_sym___strong] = ACTIONS(2474),
    [anon_sym___unsafe_unretained] = ACTIONS(2474),
    [anon_sym___unused] = ACTIONS(2474),
    [anon_sym___weak] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2474),
    [anon_sym___typeof] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [aux_sym_preproc_undef_token1] = ACTIONS(2474),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2474),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2474),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2474),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_API_AVAILABLE] = ACTIONS(2474),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_API_DEPRECATED] = ACTIONS(2474),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym___deprecated_msg] = ACTIONS(2474),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2474),
    [anon_sym_ATsynthesize] = ACTIONS(2476),
    [anon_sym_ATdynamic] = ACTIONS(2476),
    [anon_sym_ATproperty] = ACTIONS(2476),
    [anon_sym_BOOL] = ACTIONS(2474),
    [anon_sym_IMP] = ACTIONS(2474),
    [anon_sym_SEL] = ACTIONS(2474),
    [anon_sym_Class] = ACTIONS(2474),
    [anon_sym_id] = ACTIONS(2474),
  },
  [2167] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token2] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [aux_sym_preproc_else_token1] = ACTIONS(2564),
    [aux_sym_preproc_elif_token1] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2566),
    [anon_sym_PLUS] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym___attribute] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_auto] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_CG_EXTERN] = ACTIONS(2564),
    [anon_sym_CG_INLINE] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2564),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2564),
    [anon_sym_IBOutlet] = ACTIONS(2564),
    [anon_sym_IBInspectable] = ACTIONS(2564),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2564),
    [anon_sym_NS_INLINE] = ACTIONS(2564),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2564),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2564),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_nullable] = ACTIONS(2564),
    [anon_sym__Complex] = ACTIONS(2564),
    [anon_sym__Nullable] = ACTIONS(2564),
    [anon_sym__Nullable_result] = ACTIONS(2564),
    [anon_sym__Null_unspecified] = ACTIONS(2564),
    [anon_sym___autoreleasing] = ACTIONS(2564),
    [anon_sym___block] = ACTIONS(2564),
    [anon_sym___bridge] = ACTIONS(2564),
    [anon_sym___bridge_retained] = ACTIONS(2564),
    [anon_sym___bridge_transfer] = ACTIONS(2564),
    [anon_sym___complex] = ACTIONS(2564),
    [anon_sym___const] = ACTIONS(2564),
    [anon_sym___imag] = ACTIONS(2564),
    [anon_sym___kindof] = ACTIONS(2564),
    [anon_sym___nonnull] = ACTIONS(2564),
    [anon_sym___nullable] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2564),
    [anon_sym___real] = ACTIONS(2564),
    [anon_sym___strong] = ACTIONS(2564),
    [anon_sym___unsafe_unretained] = ACTIONS(2564),
    [anon_sym___unused] = ACTIONS(2564),
    [anon_sym___weak] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2564),
    [anon_sym___typeof] = ACTIONS(2564),
    [anon_sym_typeof] = ACTIONS(2564),
    [aux_sym_preproc_undef_token1] = ACTIONS(2564),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2564),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2564),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2564),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_API_AVAILABLE] = ACTIONS(2564),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_API_DEPRECATED] = ACTIONS(2564),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym___deprecated_msg] = ACTIONS(2564),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2564),
    [anon_sym_ATsynthesize] = ACTIONS(2566),
    [anon_sym_ATdynamic] = ACTIONS(2566),
    [anon_sym_ATproperty] = ACTIONS(2566),
    [anon_sym_BOOL] = ACTIONS(2564),
    [anon_sym_IMP] = ACTIONS(2564),
    [anon_sym_SEL] = ACTIONS(2564),
    [anon_sym_Class] = ACTIONS(2564),
    [anon_sym_id] = ACTIONS(2564),
  },
  [2168] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token2] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [aux_sym_preproc_else_token1] = ACTIONS(2564),
    [aux_sym_preproc_elif_token1] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2566),
    [anon_sym_PLUS] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym___attribute] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_auto] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_CG_EXTERN] = ACTIONS(2564),
    [anon_sym_CG_INLINE] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2564),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2564),
    [anon_sym_IBOutlet] = ACTIONS(2564),
    [anon_sym_IBInspectable] = ACTIONS(2564),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2564),
    [anon_sym_NS_INLINE] = ACTIONS(2564),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2564),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2564),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_nullable] = ACTIONS(2564),
    [anon_sym__Complex] = ACTIONS(2564),
    [anon_sym__Nullable] = ACTIONS(2564),
    [anon_sym__Nullable_result] = ACTIONS(2564),
    [anon_sym__Null_unspecified] = ACTIONS(2564),
    [anon_sym___autoreleasing] = ACTIONS(2564),
    [anon_sym___block] = ACTIONS(2564),
    [anon_sym___bridge] = ACTIONS(2564),
    [anon_sym___bridge_retained] = ACTIONS(2564),
    [anon_sym___bridge_transfer] = ACTIONS(2564),
    [anon_sym___complex] = ACTIONS(2564),
    [anon_sym___const] = ACTIONS(2564),
    [anon_sym___imag] = ACTIONS(2564),
    [anon_sym___kindof] = ACTIONS(2564),
    [anon_sym___nonnull] = ACTIONS(2564),
    [anon_sym___nullable] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2564),
    [anon_sym___real] = ACTIONS(2564),
    [anon_sym___strong] = ACTIONS(2564),
    [anon_sym___unsafe_unretained] = ACTIONS(2564),
    [anon_sym___unused] = ACTIONS(2564),
    [anon_sym___weak] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2564),
    [anon_sym___typeof] = ACTIONS(2564),
    [anon_sym_typeof] = ACTIONS(2564),
    [aux_sym_preproc_undef_token1] = ACTIONS(2564),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2564),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2564),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2564),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_API_AVAILABLE] = ACTIONS(2564),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_API_DEPRECATED] = ACTIONS(2564),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym___deprecated_msg] = ACTIONS(2564),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2564),
    [anon_sym_ATsynthesize] = ACTIONS(2566),
    [anon_sym_ATdynamic] = ACTIONS(2566),
    [anon_sym_ATproperty] = ACTIONS(2566),
    [anon_sym_BOOL] = ACTIONS(2564),
    [anon_sym_IMP] = ACTIONS(2564),
    [anon_sym_SEL] = ACTIONS(2564),
    [anon_sym_Class] = ACTIONS(2564),
    [anon_sym_id] = ACTIONS(2564),
  },
  [2169] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4809),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2170] = {
    [sym_identifier] = ACTIONS(2802),
    [aux_sym_preproc_def_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2802),
    [sym_preproc_directive] = ACTIONS(2802),
    [anon_sym_DASH] = ACTIONS(2804),
    [anon_sym_PLUS] = ACTIONS(2804),
    [anon_sym___extension__] = ACTIONS(2802),
    [anon_sym_typedef] = ACTIONS(2802),
    [anon_sym_extern] = ACTIONS(2802),
    [anon_sym___attribute__] = ACTIONS(2802),
    [anon_sym___attribute] = ACTIONS(2802),
    [anon_sym_noreturn] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(2804),
    [anon_sym___declspec] = ACTIONS(2802),
    [anon_sym___cdecl] = ACTIONS(2802),
    [anon_sym___clrcall] = ACTIONS(2802),
    [anon_sym___stdcall] = ACTIONS(2802),
    [anon_sym___fastcall] = ACTIONS(2802),
    [anon_sym___thiscall] = ACTIONS(2802),
    [anon_sym___vectorcall] = ACTIONS(2802),
    [anon_sym_signed] = ACTIONS(2802),
    [anon_sym_unsigned] = ACTIONS(2802),
    [anon_sym_long] = ACTIONS(2802),
    [anon_sym_short] = ACTIONS(2802),
    [anon_sym_static] = ACTIONS(2802),
    [anon_sym_auto] = ACTIONS(2802),
    [anon_sym_register] = ACTIONS(2802),
    [anon_sym_inline] = ACTIONS(2802),
    [anon_sym___inline] = ACTIONS(2802),
    [anon_sym___inline__] = ACTIONS(2802),
    [anon_sym___forceinline] = ACTIONS(2802),
    [anon_sym_thread_local] = ACTIONS(2802),
    [anon_sym___thread] = ACTIONS(2802),
    [anon_sym_CG_EXTERN] = ACTIONS(2802),
    [anon_sym_CG_INLINE] = ACTIONS(2802),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2802),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2802),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2802),
    [anon_sym_IBOutlet] = ACTIONS(2802),
    [anon_sym_IBInspectable] = ACTIONS(2802),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2802),
    [anon_sym_NS_INLINE] = ACTIONS(2802),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2802),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2802),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2802),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2802),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_constexpr] = ACTIONS(2802),
    [anon_sym_volatile] = ACTIONS(2802),
    [anon_sym_restrict] = ACTIONS(2802),
    [anon_sym___restrict__] = ACTIONS(2802),
    [anon_sym__Atomic] = ACTIONS(2802),
    [anon_sym__Noreturn] = ACTIONS(2802),
    [anon_sym__Nonnull] = ACTIONS(2802),
    [anon_sym_nullable] = ACTIONS(2802),
    [anon_sym__Complex] = ACTIONS(2802),
    [anon_sym__Nullable] = ACTIONS(2802),
    [anon_sym__Nullable_result] = ACTIONS(2802),
    [anon_sym__Null_unspecified] = ACTIONS(2802),
    [anon_sym___autoreleasing] = ACTIONS(2802),
    [anon_sym___block] = ACTIONS(2802),
    [anon_sym___bridge] = ACTIONS(2802),
    [anon_sym___bridge_retained] = ACTIONS(2802),
    [anon_sym___bridge_transfer] = ACTIONS(2802),
    [anon_sym___complex] = ACTIONS(2802),
    [anon_sym___const] = ACTIONS(2802),
    [anon_sym___imag] = ACTIONS(2802),
    [anon_sym___kindof] = ACTIONS(2802),
    [anon_sym___nonnull] = ACTIONS(2802),
    [anon_sym___nullable] = ACTIONS(2802),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2802),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2802),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2802),
    [anon_sym___real] = ACTIONS(2802),
    [anon_sym___strong] = ACTIONS(2802),
    [anon_sym___unsafe_unretained] = ACTIONS(2802),
    [anon_sym___unused] = ACTIONS(2802),
    [anon_sym___weak] = ACTIONS(2802),
    [anon_sym_alignas] = ACTIONS(2802),
    [anon_sym__Alignas] = ACTIONS(2802),
    [sym_primitive_type] = ACTIONS(2802),
    [anon_sym_enum] = ACTIONS(2802),
    [anon_sym_struct] = ACTIONS(2802),
    [anon_sym_union] = ACTIONS(2802),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2802),
    [anon_sym___typeof] = ACTIONS(2802),
    [anon_sym_typeof] = ACTIONS(2802),
    [aux_sym_preproc_undef_token1] = ACTIONS(2802),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2802),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2802),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2802),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2802),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2802),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2802),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2802),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2802),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2802),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_API_AVAILABLE] = ACTIONS(2802),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_API_DEPRECATED] = ACTIONS(2802),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2802),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2802),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2802),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2802),
    [anon_sym___deprecated_msg] = ACTIONS(2802),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2802),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2802),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2802),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2802),
    [anon_sym_ATend] = ACTIONS(2804),
    [anon_sym_AToptional] = ACTIONS(2804),
    [anon_sym_ATrequired] = ACTIONS(2804),
    [anon_sym_ATsynthesize] = ACTIONS(2804),
    [anon_sym_ATdynamic] = ACTIONS(2804),
    [anon_sym_ATproperty] = ACTIONS(2804),
    [anon_sym_BOOL] = ACTIONS(2802),
    [anon_sym_IMP] = ACTIONS(2802),
    [anon_sym_SEL] = ACTIONS(2802),
    [anon_sym_Class] = ACTIONS(2802),
    [anon_sym_id] = ACTIONS(2802),
  },
  [2171] = {
    [sym_identifier] = ACTIONS(2868),
    [aux_sym_preproc_def_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2868),
    [sym_preproc_directive] = ACTIONS(2868),
    [anon_sym_DASH] = ACTIONS(2870),
    [anon_sym_PLUS] = ACTIONS(2870),
    [anon_sym___extension__] = ACTIONS(2868),
    [anon_sym_typedef] = ACTIONS(2868),
    [anon_sym_extern] = ACTIONS(2868),
    [anon_sym___attribute__] = ACTIONS(2868),
    [anon_sym___attribute] = ACTIONS(2868),
    [anon_sym_noreturn] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2870),
    [anon_sym___declspec] = ACTIONS(2868),
    [anon_sym___cdecl] = ACTIONS(2868),
    [anon_sym___clrcall] = ACTIONS(2868),
    [anon_sym___stdcall] = ACTIONS(2868),
    [anon_sym___fastcall] = ACTIONS(2868),
    [anon_sym___thiscall] = ACTIONS(2868),
    [anon_sym___vectorcall] = ACTIONS(2868),
    [anon_sym_signed] = ACTIONS(2868),
    [anon_sym_unsigned] = ACTIONS(2868),
    [anon_sym_long] = ACTIONS(2868),
    [anon_sym_short] = ACTIONS(2868),
    [anon_sym_static] = ACTIONS(2868),
    [anon_sym_auto] = ACTIONS(2868),
    [anon_sym_register] = ACTIONS(2868),
    [anon_sym_inline] = ACTIONS(2868),
    [anon_sym___inline] = ACTIONS(2868),
    [anon_sym___inline__] = ACTIONS(2868),
    [anon_sym___forceinline] = ACTIONS(2868),
    [anon_sym_thread_local] = ACTIONS(2868),
    [anon_sym___thread] = ACTIONS(2868),
    [anon_sym_CG_EXTERN] = ACTIONS(2868),
    [anon_sym_CG_INLINE] = ACTIONS(2868),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2868),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2868),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2868),
    [anon_sym_IBOutlet] = ACTIONS(2868),
    [anon_sym_IBInspectable] = ACTIONS(2868),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2868),
    [anon_sym_NS_INLINE] = ACTIONS(2868),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2868),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2868),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2868),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2868),
    [anon_sym_const] = ACTIONS(2868),
    [anon_sym_constexpr] = ACTIONS(2868),
    [anon_sym_volatile] = ACTIONS(2868),
    [anon_sym_restrict] = ACTIONS(2868),
    [anon_sym___restrict__] = ACTIONS(2868),
    [anon_sym__Atomic] = ACTIONS(2868),
    [anon_sym__Noreturn] = ACTIONS(2868),
    [anon_sym__Nonnull] = ACTIONS(2868),
    [anon_sym_nullable] = ACTIONS(2868),
    [anon_sym__Complex] = ACTIONS(2868),
    [anon_sym__Nullable] = ACTIONS(2868),
    [anon_sym__Nullable_result] = ACTIONS(2868),
    [anon_sym__Null_unspecified] = ACTIONS(2868),
    [anon_sym___autoreleasing] = ACTIONS(2868),
    [anon_sym___block] = ACTIONS(2868),
    [anon_sym___bridge] = ACTIONS(2868),
    [anon_sym___bridge_retained] = ACTIONS(2868),
    [anon_sym___bridge_transfer] = ACTIONS(2868),
    [anon_sym___complex] = ACTIONS(2868),
    [anon_sym___const] = ACTIONS(2868),
    [anon_sym___imag] = ACTIONS(2868),
    [anon_sym___kindof] = ACTIONS(2868),
    [anon_sym___nonnull] = ACTIONS(2868),
    [anon_sym___nullable] = ACTIONS(2868),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2868),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2868),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2868),
    [anon_sym___real] = ACTIONS(2868),
    [anon_sym___strong] = ACTIONS(2868),
    [anon_sym___unsafe_unretained] = ACTIONS(2868),
    [anon_sym___unused] = ACTIONS(2868),
    [anon_sym___weak] = ACTIONS(2868),
    [anon_sym_alignas] = ACTIONS(2868),
    [anon_sym__Alignas] = ACTIONS(2868),
    [sym_primitive_type] = ACTIONS(2868),
    [anon_sym_enum] = ACTIONS(2868),
    [anon_sym_struct] = ACTIONS(2868),
    [anon_sym_union] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2868),
    [anon_sym___typeof] = ACTIONS(2868),
    [anon_sym_typeof] = ACTIONS(2868),
    [aux_sym_preproc_undef_token1] = ACTIONS(2868),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2868),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2868),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2868),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2868),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2868),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2868),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2868),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2868),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2868),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_API_AVAILABLE] = ACTIONS(2868),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_API_DEPRECATED] = ACTIONS(2868),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2868),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2868),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2868),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2868),
    [anon_sym___deprecated_msg] = ACTIONS(2868),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2868),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2868),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2868),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2868),
    [anon_sym_ATend] = ACTIONS(2870),
    [anon_sym_AToptional] = ACTIONS(2870),
    [anon_sym_ATrequired] = ACTIONS(2870),
    [anon_sym_ATsynthesize] = ACTIONS(2870),
    [anon_sym_ATdynamic] = ACTIONS(2870),
    [anon_sym_ATproperty] = ACTIONS(2870),
    [anon_sym_BOOL] = ACTIONS(2868),
    [anon_sym_IMP] = ACTIONS(2868),
    [anon_sym_SEL] = ACTIONS(2868),
    [anon_sym_Class] = ACTIONS(2868),
    [anon_sym_id] = ACTIONS(2868),
  },
  [2172] = {
    [sym_identifier] = ACTIONS(2428),
    [aux_sym_preproc_def_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token1] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2428),
    [sym_preproc_directive] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2430),
    [anon_sym_PLUS] = ACTIONS(2430),
    [anon_sym___extension__] = ACTIONS(2428),
    [anon_sym_typedef] = ACTIONS(2428),
    [anon_sym_extern] = ACTIONS(2428),
    [anon_sym___attribute__] = ACTIONS(2428),
    [anon_sym___attribute] = ACTIONS(2428),
    [anon_sym_noreturn] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2430),
    [anon_sym___declspec] = ACTIONS(2428),
    [anon_sym___cdecl] = ACTIONS(2428),
    [anon_sym___clrcall] = ACTIONS(2428),
    [anon_sym___stdcall] = ACTIONS(2428),
    [anon_sym___fastcall] = ACTIONS(2428),
    [anon_sym___thiscall] = ACTIONS(2428),
    [anon_sym___vectorcall] = ACTIONS(2428),
    [anon_sym_signed] = ACTIONS(2428),
    [anon_sym_unsigned] = ACTIONS(2428),
    [anon_sym_long] = ACTIONS(2428),
    [anon_sym_short] = ACTIONS(2428),
    [anon_sym_static] = ACTIONS(2428),
    [anon_sym_auto] = ACTIONS(2428),
    [anon_sym_register] = ACTIONS(2428),
    [anon_sym_inline] = ACTIONS(2428),
    [anon_sym___inline] = ACTIONS(2428),
    [anon_sym___inline__] = ACTIONS(2428),
    [anon_sym___forceinline] = ACTIONS(2428),
    [anon_sym_thread_local] = ACTIONS(2428),
    [anon_sym___thread] = ACTIONS(2428),
    [anon_sym_CG_EXTERN] = ACTIONS(2428),
    [anon_sym_CG_INLINE] = ACTIONS(2428),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2428),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2428),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2428),
    [anon_sym_IBOutlet] = ACTIONS(2428),
    [anon_sym_IBInspectable] = ACTIONS(2428),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2428),
    [anon_sym_NS_INLINE] = ACTIONS(2428),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2428),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2428),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2428),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2428),
    [anon_sym_const] = ACTIONS(2428),
    [anon_sym_constexpr] = ACTIONS(2428),
    [anon_sym_volatile] = ACTIONS(2428),
    [anon_sym_restrict] = ACTIONS(2428),
    [anon_sym___restrict__] = ACTIONS(2428),
    [anon_sym__Atomic] = ACTIONS(2428),
    [anon_sym__Noreturn] = ACTIONS(2428),
    [anon_sym__Nonnull] = ACTIONS(2428),
    [anon_sym_nullable] = ACTIONS(2428),
    [anon_sym__Complex] = ACTIONS(2428),
    [anon_sym__Nullable] = ACTIONS(2428),
    [anon_sym__Nullable_result] = ACTIONS(2428),
    [anon_sym__Null_unspecified] = ACTIONS(2428),
    [anon_sym___autoreleasing] = ACTIONS(2428),
    [anon_sym___block] = ACTIONS(2428),
    [anon_sym___bridge] = ACTIONS(2428),
    [anon_sym___bridge_retained] = ACTIONS(2428),
    [anon_sym___bridge_transfer] = ACTIONS(2428),
    [anon_sym___complex] = ACTIONS(2428),
    [anon_sym___const] = ACTIONS(2428),
    [anon_sym___imag] = ACTIONS(2428),
    [anon_sym___kindof] = ACTIONS(2428),
    [anon_sym___nonnull] = ACTIONS(2428),
    [anon_sym___nullable] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2428),
    [anon_sym___real] = ACTIONS(2428),
    [anon_sym___strong] = ACTIONS(2428),
    [anon_sym___unsafe_unretained] = ACTIONS(2428),
    [anon_sym___unused] = ACTIONS(2428),
    [anon_sym___weak] = ACTIONS(2428),
    [anon_sym_alignas] = ACTIONS(2428),
    [anon_sym__Alignas] = ACTIONS(2428),
    [sym_primitive_type] = ACTIONS(2428),
    [anon_sym_enum] = ACTIONS(2428),
    [anon_sym_struct] = ACTIONS(2428),
    [anon_sym_union] = ACTIONS(2428),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2428),
    [anon_sym___typeof] = ACTIONS(2428),
    [anon_sym_typeof] = ACTIONS(2428),
    [aux_sym_preproc_undef_token1] = ACTIONS(2428),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2428),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2428),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2428),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2428),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2428),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2428),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2428),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_API_AVAILABLE] = ACTIONS(2428),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_API_DEPRECATED] = ACTIONS(2428),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2428),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym___deprecated_msg] = ACTIONS(2428),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2428),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2428),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2428),
    [anon_sym_ATend] = ACTIONS(2430),
    [anon_sym_AToptional] = ACTIONS(2430),
    [anon_sym_ATrequired] = ACTIONS(2430),
    [anon_sym_ATsynthesize] = ACTIONS(2430),
    [anon_sym_ATdynamic] = ACTIONS(2430),
    [anon_sym_ATproperty] = ACTIONS(2430),
    [anon_sym_BOOL] = ACTIONS(2428),
    [anon_sym_IMP] = ACTIONS(2428),
    [anon_sym_SEL] = ACTIONS(2428),
    [anon_sym_Class] = ACTIONS(2428),
    [anon_sym_id] = ACTIONS(2428),
  },
  [2173] = {
    [aux_sym_method_declaration_repeat2] = STATE(2208),
    [sym_identifier] = ACTIONS(5363),
    [aux_sym_preproc_def_token1] = ACTIONS(5363),
    [aux_sym_preproc_if_token1] = ACTIONS(5363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5363),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5363),
    [sym_preproc_directive] = ACTIONS(5363),
    [anon_sym_DASH] = ACTIONS(5365),
    [anon_sym_PLUS] = ACTIONS(5365),
    [anon_sym_SEMI] = ACTIONS(5455),
    [anon_sym___extension__] = ACTIONS(5363),
    [anon_sym_typedef] = ACTIONS(5363),
    [anon_sym_extern] = ACTIONS(5363),
    [anon_sym___attribute__] = ACTIONS(5363),
    [anon_sym___attribute] = ACTIONS(5363),
    [anon_sym_noreturn] = ACTIONS(5363),
    [anon_sym_LBRACK] = ACTIONS(5365),
    [anon_sym___declspec] = ACTIONS(5363),
    [anon_sym___cdecl] = ACTIONS(5363),
    [anon_sym___clrcall] = ACTIONS(5363),
    [anon_sym___stdcall] = ACTIONS(5363),
    [anon_sym___fastcall] = ACTIONS(5363),
    [anon_sym___thiscall] = ACTIONS(5363),
    [anon_sym___vectorcall] = ACTIONS(5363),
    [anon_sym_signed] = ACTIONS(5363),
    [anon_sym_unsigned] = ACTIONS(5363),
    [anon_sym_long] = ACTIONS(5363),
    [anon_sym_short] = ACTIONS(5363),
    [anon_sym_static] = ACTIONS(5363),
    [anon_sym_auto] = ACTIONS(5363),
    [anon_sym_register] = ACTIONS(5363),
    [anon_sym_inline] = ACTIONS(5363),
    [anon_sym___inline] = ACTIONS(5363),
    [anon_sym___inline__] = ACTIONS(5363),
    [anon_sym___forceinline] = ACTIONS(5363),
    [anon_sym_thread_local] = ACTIONS(5363),
    [anon_sym___thread] = ACTIONS(5363),
    [anon_sym_CG_EXTERN] = ACTIONS(5363),
    [anon_sym_CG_INLINE] = ACTIONS(5363),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5363),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5363),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5363),
    [anon_sym_IBOutlet] = ACTIONS(5363),
    [anon_sym_IBInspectable] = ACTIONS(5363),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5363),
    [anon_sym_NS_INLINE] = ACTIONS(5363),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5363),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5363),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5363),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5363),
    [anon_sym_const] = ACTIONS(5363),
    [anon_sym_constexpr] = ACTIONS(5363),
    [anon_sym_volatile] = ACTIONS(5363),
    [anon_sym_restrict] = ACTIONS(5363),
    [anon_sym___restrict__] = ACTIONS(5363),
    [anon_sym__Atomic] = ACTIONS(5363),
    [anon_sym__Noreturn] = ACTIONS(5363),
    [anon_sym__Nonnull] = ACTIONS(5363),
    [anon_sym_nullable] = ACTIONS(5363),
    [anon_sym__Complex] = ACTIONS(5363),
    [anon_sym__Nullable] = ACTIONS(5363),
    [anon_sym__Nullable_result] = ACTIONS(5363),
    [anon_sym__Null_unspecified] = ACTIONS(5363),
    [anon_sym___autoreleasing] = ACTIONS(5363),
    [anon_sym___block] = ACTIONS(5363),
    [anon_sym___bridge] = ACTIONS(5363),
    [anon_sym___bridge_retained] = ACTIONS(5363),
    [anon_sym___bridge_transfer] = ACTIONS(5363),
    [anon_sym___complex] = ACTIONS(5363),
    [anon_sym___const] = ACTIONS(5363),
    [anon_sym___imag] = ACTIONS(5363),
    [anon_sym___kindof] = ACTIONS(5363),
    [anon_sym___nonnull] = ACTIONS(5363),
    [anon_sym___nullable] = ACTIONS(5363),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5363),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5363),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5363),
    [anon_sym___real] = ACTIONS(5363),
    [anon_sym___strong] = ACTIONS(5363),
    [anon_sym___unsafe_unretained] = ACTIONS(5363),
    [anon_sym___unused] = ACTIONS(5363),
    [anon_sym___weak] = ACTIONS(5363),
    [anon_sym_alignas] = ACTIONS(5363),
    [anon_sym__Alignas] = ACTIONS(5363),
    [sym_primitive_type] = ACTIONS(5363),
    [anon_sym_enum] = ACTIONS(5363),
    [anon_sym_struct] = ACTIONS(5363),
    [anon_sym_union] = ACTIONS(5363),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5363),
    [anon_sym___typeof] = ACTIONS(5363),
    [anon_sym_typeof] = ACTIONS(5363),
    [aux_sym_preproc_undef_token1] = ACTIONS(5363),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5363),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5363),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5363),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5363),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5363),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5363),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5363),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5363),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5363),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5363),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5363),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5363),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5363),
    [anon_sym_API_AVAILABLE] = ACTIONS(5363),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5363),
    [anon_sym_API_DEPRECATED] = ACTIONS(5363),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5363),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5363),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5363),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5363),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5363),
    [anon_sym___deprecated_msg] = ACTIONS(5363),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5363),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5363),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5363),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5363),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5363),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5363),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5363),
    [anon_sym_ATend] = ACTIONS(5365),
    [anon_sym_AToptional] = ACTIONS(5365),
    [anon_sym_ATrequired] = ACTIONS(5365),
    [anon_sym_ATproperty] = ACTIONS(5365),
    [anon_sym_BOOL] = ACTIONS(5363),
    [anon_sym_IMP] = ACTIONS(5363),
    [anon_sym_SEL] = ACTIONS(5363),
    [anon_sym_Class] = ACTIONS(5363),
    [anon_sym_id] = ACTIONS(5363),
  },
  [2174] = {
    [sym_identifier] = ACTIONS(2786),
    [aux_sym_preproc_def_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2786),
    [sym_preproc_directive] = ACTIONS(2786),
    [anon_sym_DASH] = ACTIONS(2788),
    [anon_sym_PLUS] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym___attribute] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym___cdecl] = ACTIONS(2786),
    [anon_sym___clrcall] = ACTIONS(2786),
    [anon_sym___stdcall] = ACTIONS(2786),
    [anon_sym___fastcall] = ACTIONS(2786),
    [anon_sym___thiscall] = ACTIONS(2786),
    [anon_sym___vectorcall] = ACTIONS(2786),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_auto] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_CG_EXTERN] = ACTIONS(2786),
    [anon_sym_CG_INLINE] = ACTIONS(2786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2786),
    [anon_sym_IBOutlet] = ACTIONS(2786),
    [anon_sym_IBInspectable] = ACTIONS(2786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2786),
    [anon_sym_NS_INLINE] = ACTIONS(2786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym__Nonnull] = ACTIONS(2786),
    [anon_sym_nullable] = ACTIONS(2786),
    [anon_sym__Complex] = ACTIONS(2786),
    [anon_sym__Nullable] = ACTIONS(2786),
    [anon_sym__Nullable_result] = ACTIONS(2786),
    [anon_sym__Null_unspecified] = ACTIONS(2786),
    [anon_sym___autoreleasing] = ACTIONS(2786),
    [anon_sym___block] = ACTIONS(2786),
    [anon_sym___bridge] = ACTIONS(2786),
    [anon_sym___bridge_retained] = ACTIONS(2786),
    [anon_sym___bridge_transfer] = ACTIONS(2786),
    [anon_sym___complex] = ACTIONS(2786),
    [anon_sym___const] = ACTIONS(2786),
    [anon_sym___imag] = ACTIONS(2786),
    [anon_sym___kindof] = ACTIONS(2786),
    [anon_sym___nonnull] = ACTIONS(2786),
    [anon_sym___nullable] = ACTIONS(2786),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2786),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2786),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2786),
    [anon_sym___real] = ACTIONS(2786),
    [anon_sym___strong] = ACTIONS(2786),
    [anon_sym___unsafe_unretained] = ACTIONS(2786),
    [anon_sym___unused] = ACTIONS(2786),
    [anon_sym___weak] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym__Alignas] = ACTIONS(2786),
    [sym_primitive_type] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2786),
    [anon_sym___typeof] = ACTIONS(2786),
    [anon_sym_typeof] = ACTIONS(2786),
    [aux_sym_preproc_undef_token1] = ACTIONS(2786),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2786),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2786),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2786),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2786),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2786),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2786),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2786),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2786),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2786),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_API_AVAILABLE] = ACTIONS(2786),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_API_DEPRECATED] = ACTIONS(2786),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2786),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2786),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2786),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2786),
    [anon_sym___deprecated_msg] = ACTIONS(2786),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2786),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2786),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2786),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2786),
    [anon_sym_ATend] = ACTIONS(2788),
    [anon_sym_AToptional] = ACTIONS(2788),
    [anon_sym_ATrequired] = ACTIONS(2788),
    [anon_sym_ATsynthesize] = ACTIONS(2788),
    [anon_sym_ATdynamic] = ACTIONS(2788),
    [anon_sym_ATproperty] = ACTIONS(2788),
    [anon_sym_BOOL] = ACTIONS(2786),
    [anon_sym_IMP] = ACTIONS(2786),
    [anon_sym_SEL] = ACTIONS(2786),
    [anon_sym_Class] = ACTIONS(2786),
    [anon_sym_id] = ACTIONS(2786),
  },
  [2175] = {
    [sym_identifier] = ACTIONS(2794),
    [aux_sym_preproc_def_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2794),
    [sym_preproc_directive] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2796),
    [anon_sym_PLUS] = ACTIONS(2796),
    [anon_sym___extension__] = ACTIONS(2794),
    [anon_sym_typedef] = ACTIONS(2794),
    [anon_sym_extern] = ACTIONS(2794),
    [anon_sym___attribute__] = ACTIONS(2794),
    [anon_sym___attribute] = ACTIONS(2794),
    [anon_sym_noreturn] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2796),
    [anon_sym___declspec] = ACTIONS(2794),
    [anon_sym___cdecl] = ACTIONS(2794),
    [anon_sym___clrcall] = ACTIONS(2794),
    [anon_sym___stdcall] = ACTIONS(2794),
    [anon_sym___fastcall] = ACTIONS(2794),
    [anon_sym___thiscall] = ACTIONS(2794),
    [anon_sym___vectorcall] = ACTIONS(2794),
    [anon_sym_signed] = ACTIONS(2794),
    [anon_sym_unsigned] = ACTIONS(2794),
    [anon_sym_long] = ACTIONS(2794),
    [anon_sym_short] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_auto] = ACTIONS(2794),
    [anon_sym_register] = ACTIONS(2794),
    [anon_sym_inline] = ACTIONS(2794),
    [anon_sym___inline] = ACTIONS(2794),
    [anon_sym___inline__] = ACTIONS(2794),
    [anon_sym___forceinline] = ACTIONS(2794),
    [anon_sym_thread_local] = ACTIONS(2794),
    [anon_sym___thread] = ACTIONS(2794),
    [anon_sym_CG_EXTERN] = ACTIONS(2794),
    [anon_sym_CG_INLINE] = ACTIONS(2794),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2794),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2794),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2794),
    [anon_sym_IBOutlet] = ACTIONS(2794),
    [anon_sym_IBInspectable] = ACTIONS(2794),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2794),
    [anon_sym_NS_INLINE] = ACTIONS(2794),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2794),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2794),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2794),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2794),
    [anon_sym_const] = ACTIONS(2794),
    [anon_sym_constexpr] = ACTIONS(2794),
    [anon_sym_volatile] = ACTIONS(2794),
    [anon_sym_restrict] = ACTIONS(2794),
    [anon_sym___restrict__] = ACTIONS(2794),
    [anon_sym__Atomic] = ACTIONS(2794),
    [anon_sym__Noreturn] = ACTIONS(2794),
    [anon_sym__Nonnull] = ACTIONS(2794),
    [anon_sym_nullable] = ACTIONS(2794),
    [anon_sym__Complex] = ACTIONS(2794),
    [anon_sym__Nullable] = ACTIONS(2794),
    [anon_sym__Nullable_result] = ACTIONS(2794),
    [anon_sym__Null_unspecified] = ACTIONS(2794),
    [anon_sym___autoreleasing] = ACTIONS(2794),
    [anon_sym___block] = ACTIONS(2794),
    [anon_sym___bridge] = ACTIONS(2794),
    [anon_sym___bridge_retained] = ACTIONS(2794),
    [anon_sym___bridge_transfer] = ACTIONS(2794),
    [anon_sym___complex] = ACTIONS(2794),
    [anon_sym___const] = ACTIONS(2794),
    [anon_sym___imag] = ACTIONS(2794),
    [anon_sym___kindof] = ACTIONS(2794),
    [anon_sym___nonnull] = ACTIONS(2794),
    [anon_sym___nullable] = ACTIONS(2794),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2794),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2794),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2794),
    [anon_sym___real] = ACTIONS(2794),
    [anon_sym___strong] = ACTIONS(2794),
    [anon_sym___unsafe_unretained] = ACTIONS(2794),
    [anon_sym___unused] = ACTIONS(2794),
    [anon_sym___weak] = ACTIONS(2794),
    [anon_sym_alignas] = ACTIONS(2794),
    [anon_sym__Alignas] = ACTIONS(2794),
    [sym_primitive_type] = ACTIONS(2794),
    [anon_sym_enum] = ACTIONS(2794),
    [anon_sym_struct] = ACTIONS(2794),
    [anon_sym_union] = ACTIONS(2794),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2794),
    [anon_sym___typeof] = ACTIONS(2794),
    [anon_sym_typeof] = ACTIONS(2794),
    [aux_sym_preproc_undef_token1] = ACTIONS(2794),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2794),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2794),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2794),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2794),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2794),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2794),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2794),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2794),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2794),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_API_AVAILABLE] = ACTIONS(2794),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_API_DEPRECATED] = ACTIONS(2794),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2794),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2794),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2794),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2794),
    [anon_sym___deprecated_msg] = ACTIONS(2794),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2794),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2794),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2794),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2794),
    [anon_sym_ATend] = ACTIONS(2796),
    [anon_sym_AToptional] = ACTIONS(2796),
    [anon_sym_ATrequired] = ACTIONS(2796),
    [anon_sym_ATsynthesize] = ACTIONS(2796),
    [anon_sym_ATdynamic] = ACTIONS(2796),
    [anon_sym_ATproperty] = ACTIONS(2796),
    [anon_sym_BOOL] = ACTIONS(2794),
    [anon_sym_IMP] = ACTIONS(2794),
    [anon_sym_SEL] = ACTIONS(2794),
    [anon_sym_Class] = ACTIONS(2794),
    [anon_sym_id] = ACTIONS(2794),
  },
  [2176] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [aux_sym_preproc_undef_token1] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATend] = ACTIONS(2462),
    [anon_sym_AToptional] = ACTIONS(2462),
    [anon_sym_ATrequired] = ACTIONS(2462),
    [anon_sym_ATsynthesize] = ACTIONS(2462),
    [anon_sym_ATdynamic] = ACTIONS(2462),
    [anon_sym_ATproperty] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [2177] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [aux_sym_preproc_undef_token1] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATend] = ACTIONS(2462),
    [anon_sym_AToptional] = ACTIONS(2462),
    [anon_sym_ATrequired] = ACTIONS(2462),
    [anon_sym_ATsynthesize] = ACTIONS(2462),
    [anon_sym_ATdynamic] = ACTIONS(2462),
    [anon_sym_ATproperty] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [2178] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [aux_sym_preproc_undef_token1] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATend] = ACTIONS(2462),
    [anon_sym_AToptional] = ACTIONS(2462),
    [anon_sym_ATrequired] = ACTIONS(2462),
    [anon_sym_ATsynthesize] = ACTIONS(2462),
    [anon_sym_ATdynamic] = ACTIONS(2462),
    [anon_sym_ATproperty] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [2179] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_DASH] = ACTIONS(2538),
    [anon_sym_PLUS] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [aux_sym_preproc_undef_token1] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATend] = ACTIONS(2538),
    [anon_sym_AToptional] = ACTIONS(2538),
    [anon_sym_ATrequired] = ACTIONS(2538),
    [anon_sym_ATsynthesize] = ACTIONS(2538),
    [anon_sym_ATdynamic] = ACTIONS(2538),
    [anon_sym_ATproperty] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [2180] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_DASH] = ACTIONS(2538),
    [anon_sym_PLUS] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [aux_sym_preproc_undef_token1] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATend] = ACTIONS(2538),
    [anon_sym_AToptional] = ACTIONS(2538),
    [anon_sym_ATrequired] = ACTIONS(2538),
    [anon_sym_ATsynthesize] = ACTIONS(2538),
    [anon_sym_ATdynamic] = ACTIONS(2538),
    [anon_sym_ATproperty] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [2181] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_DASH] = ACTIONS(2538),
    [anon_sym_PLUS] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [aux_sym_preproc_undef_token1] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATend] = ACTIONS(2538),
    [anon_sym_AToptional] = ACTIONS(2538),
    [anon_sym_ATrequired] = ACTIONS(2538),
    [anon_sym_ATsynthesize] = ACTIONS(2538),
    [anon_sym_ATdynamic] = ACTIONS(2538),
    [anon_sym_ATproperty] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [2182] = {
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym___attribute] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_auto] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_CG_EXTERN] = ACTIONS(2568),
    [anon_sym_CG_INLINE] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2568),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2568),
    [anon_sym_IBOutlet] = ACTIONS(2568),
    [anon_sym_IBInspectable] = ACTIONS(2568),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2568),
    [anon_sym_NS_INLINE] = ACTIONS(2568),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2568),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2568),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym__Nonnull] = ACTIONS(2568),
    [anon_sym_nullable] = ACTIONS(2568),
    [anon_sym__Complex] = ACTIONS(2568),
    [anon_sym__Nullable] = ACTIONS(2568),
    [anon_sym__Nullable_result] = ACTIONS(2568),
    [anon_sym__Null_unspecified] = ACTIONS(2568),
    [anon_sym___autoreleasing] = ACTIONS(2568),
    [anon_sym___block] = ACTIONS(2568),
    [anon_sym___bridge] = ACTIONS(2568),
    [anon_sym___bridge_retained] = ACTIONS(2568),
    [anon_sym___bridge_transfer] = ACTIONS(2568),
    [anon_sym___complex] = ACTIONS(2568),
    [anon_sym___const] = ACTIONS(2568),
    [anon_sym___imag] = ACTIONS(2568),
    [anon_sym___kindof] = ACTIONS(2568),
    [anon_sym___nonnull] = ACTIONS(2568),
    [anon_sym___nullable] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2568),
    [anon_sym___real] = ACTIONS(2568),
    [anon_sym___strong] = ACTIONS(2568),
    [anon_sym___unsafe_unretained] = ACTIONS(2568),
    [anon_sym___unused] = ACTIONS(2568),
    [anon_sym___weak] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2568),
    [anon_sym___typeof] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(2568),
    [aux_sym_preproc_undef_token1] = ACTIONS(2568),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2568),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2568),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2568),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_API_AVAILABLE] = ACTIONS(2568),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_API_DEPRECATED] = ACTIONS(2568),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym___deprecated_msg] = ACTIONS(2568),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2568),
    [anon_sym_ATend] = ACTIONS(2570),
    [anon_sym_AToptional] = ACTIONS(2570),
    [anon_sym_ATrequired] = ACTIONS(2570),
    [anon_sym_ATsynthesize] = ACTIONS(2570),
    [anon_sym_ATdynamic] = ACTIONS(2570),
    [anon_sym_ATproperty] = ACTIONS(2570),
    [anon_sym_BOOL] = ACTIONS(2568),
    [anon_sym_IMP] = ACTIONS(2568),
    [anon_sym_SEL] = ACTIONS(2568),
    [anon_sym_Class] = ACTIONS(2568),
    [anon_sym_id] = ACTIONS(2568),
  },
  [2183] = {
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym___attribute] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_auto] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_CG_EXTERN] = ACTIONS(2568),
    [anon_sym_CG_INLINE] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2568),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2568),
    [anon_sym_IBOutlet] = ACTIONS(2568),
    [anon_sym_IBInspectable] = ACTIONS(2568),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2568),
    [anon_sym_NS_INLINE] = ACTIONS(2568),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2568),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2568),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym__Nonnull] = ACTIONS(2568),
    [anon_sym_nullable] = ACTIONS(2568),
    [anon_sym__Complex] = ACTIONS(2568),
    [anon_sym__Nullable] = ACTIONS(2568),
    [anon_sym__Nullable_result] = ACTIONS(2568),
    [anon_sym__Null_unspecified] = ACTIONS(2568),
    [anon_sym___autoreleasing] = ACTIONS(2568),
    [anon_sym___block] = ACTIONS(2568),
    [anon_sym___bridge] = ACTIONS(2568),
    [anon_sym___bridge_retained] = ACTIONS(2568),
    [anon_sym___bridge_transfer] = ACTIONS(2568),
    [anon_sym___complex] = ACTIONS(2568),
    [anon_sym___const] = ACTIONS(2568),
    [anon_sym___imag] = ACTIONS(2568),
    [anon_sym___kindof] = ACTIONS(2568),
    [anon_sym___nonnull] = ACTIONS(2568),
    [anon_sym___nullable] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2568),
    [anon_sym___real] = ACTIONS(2568),
    [anon_sym___strong] = ACTIONS(2568),
    [anon_sym___unsafe_unretained] = ACTIONS(2568),
    [anon_sym___unused] = ACTIONS(2568),
    [anon_sym___weak] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2568),
    [anon_sym___typeof] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(2568),
    [aux_sym_preproc_undef_token1] = ACTIONS(2568),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2568),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2568),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2568),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_API_AVAILABLE] = ACTIONS(2568),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_API_DEPRECATED] = ACTIONS(2568),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym___deprecated_msg] = ACTIONS(2568),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2568),
    [anon_sym_ATend] = ACTIONS(2570),
    [anon_sym_AToptional] = ACTIONS(2570),
    [anon_sym_ATrequired] = ACTIONS(2570),
    [anon_sym_ATsynthesize] = ACTIONS(2570),
    [anon_sym_ATdynamic] = ACTIONS(2570),
    [anon_sym_ATproperty] = ACTIONS(2570),
    [anon_sym_BOOL] = ACTIONS(2568),
    [anon_sym_IMP] = ACTIONS(2568),
    [anon_sym_SEL] = ACTIONS(2568),
    [anon_sym_Class] = ACTIONS(2568),
    [anon_sym_id] = ACTIONS(2568),
  },
  [2184] = {
    [aux_sym_method_declaration_repeat2] = STATE(2208),
    [sym_identifier] = ACTIONS(5375),
    [aux_sym_preproc_def_token1] = ACTIONS(5375),
    [aux_sym_preproc_if_token1] = ACTIONS(5375),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5375),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5375),
    [sym_preproc_directive] = ACTIONS(5375),
    [anon_sym_DASH] = ACTIONS(5377),
    [anon_sym_PLUS] = ACTIONS(5377),
    [anon_sym_SEMI] = ACTIONS(5455),
    [anon_sym___extension__] = ACTIONS(5375),
    [anon_sym_typedef] = ACTIONS(5375),
    [anon_sym_extern] = ACTIONS(5375),
    [anon_sym___attribute__] = ACTIONS(5375),
    [anon_sym___attribute] = ACTIONS(5375),
    [anon_sym_noreturn] = ACTIONS(5375),
    [anon_sym_LBRACK] = ACTIONS(5377),
    [anon_sym___declspec] = ACTIONS(5375),
    [anon_sym___cdecl] = ACTIONS(5375),
    [anon_sym___clrcall] = ACTIONS(5375),
    [anon_sym___stdcall] = ACTIONS(5375),
    [anon_sym___fastcall] = ACTIONS(5375),
    [anon_sym___thiscall] = ACTIONS(5375),
    [anon_sym___vectorcall] = ACTIONS(5375),
    [anon_sym_signed] = ACTIONS(5375),
    [anon_sym_unsigned] = ACTIONS(5375),
    [anon_sym_long] = ACTIONS(5375),
    [anon_sym_short] = ACTIONS(5375),
    [anon_sym_static] = ACTIONS(5375),
    [anon_sym_auto] = ACTIONS(5375),
    [anon_sym_register] = ACTIONS(5375),
    [anon_sym_inline] = ACTIONS(5375),
    [anon_sym___inline] = ACTIONS(5375),
    [anon_sym___inline__] = ACTIONS(5375),
    [anon_sym___forceinline] = ACTIONS(5375),
    [anon_sym_thread_local] = ACTIONS(5375),
    [anon_sym___thread] = ACTIONS(5375),
    [anon_sym_CG_EXTERN] = ACTIONS(5375),
    [anon_sym_CG_INLINE] = ACTIONS(5375),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5375),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5375),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5375),
    [anon_sym_IBOutlet] = ACTIONS(5375),
    [anon_sym_IBInspectable] = ACTIONS(5375),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5375),
    [anon_sym_NS_INLINE] = ACTIONS(5375),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5375),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5375),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5375),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5375),
    [anon_sym_const] = ACTIONS(5375),
    [anon_sym_constexpr] = ACTIONS(5375),
    [anon_sym_volatile] = ACTIONS(5375),
    [anon_sym_restrict] = ACTIONS(5375),
    [anon_sym___restrict__] = ACTIONS(5375),
    [anon_sym__Atomic] = ACTIONS(5375),
    [anon_sym__Noreturn] = ACTIONS(5375),
    [anon_sym__Nonnull] = ACTIONS(5375),
    [anon_sym_nullable] = ACTIONS(5375),
    [anon_sym__Complex] = ACTIONS(5375),
    [anon_sym__Nullable] = ACTIONS(5375),
    [anon_sym__Nullable_result] = ACTIONS(5375),
    [anon_sym__Null_unspecified] = ACTIONS(5375),
    [anon_sym___autoreleasing] = ACTIONS(5375),
    [anon_sym___block] = ACTIONS(5375),
    [anon_sym___bridge] = ACTIONS(5375),
    [anon_sym___bridge_retained] = ACTIONS(5375),
    [anon_sym___bridge_transfer] = ACTIONS(5375),
    [anon_sym___complex] = ACTIONS(5375),
    [anon_sym___const] = ACTIONS(5375),
    [anon_sym___imag] = ACTIONS(5375),
    [anon_sym___kindof] = ACTIONS(5375),
    [anon_sym___nonnull] = ACTIONS(5375),
    [anon_sym___nullable] = ACTIONS(5375),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5375),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5375),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5375),
    [anon_sym___real] = ACTIONS(5375),
    [anon_sym___strong] = ACTIONS(5375),
    [anon_sym___unsafe_unretained] = ACTIONS(5375),
    [anon_sym___unused] = ACTIONS(5375),
    [anon_sym___weak] = ACTIONS(5375),
    [anon_sym_alignas] = ACTIONS(5375),
    [anon_sym__Alignas] = ACTIONS(5375),
    [sym_primitive_type] = ACTIONS(5375),
    [anon_sym_enum] = ACTIONS(5375),
    [anon_sym_struct] = ACTIONS(5375),
    [anon_sym_union] = ACTIONS(5375),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5375),
    [anon_sym___typeof] = ACTIONS(5375),
    [anon_sym_typeof] = ACTIONS(5375),
    [aux_sym_preproc_undef_token1] = ACTIONS(5375),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5375),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5375),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5375),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5375),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5375),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5375),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5375),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5375),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5375),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5375),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5375),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5375),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5375),
    [anon_sym_API_AVAILABLE] = ACTIONS(5375),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5375),
    [anon_sym_API_DEPRECATED] = ACTIONS(5375),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5375),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5375),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5375),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5375),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5375),
    [anon_sym___deprecated_msg] = ACTIONS(5375),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5375),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5375),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5375),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5375),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5375),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5375),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5375),
    [anon_sym_ATend] = ACTIONS(5377),
    [anon_sym_AToptional] = ACTIONS(5377),
    [anon_sym_ATrequired] = ACTIONS(5377),
    [anon_sym_ATproperty] = ACTIONS(5377),
    [anon_sym_BOOL] = ACTIONS(5375),
    [anon_sym_IMP] = ACTIONS(5375),
    [anon_sym_SEL] = ACTIONS(5375),
    [anon_sym_Class] = ACTIONS(5375),
    [anon_sym_id] = ACTIONS(5375),
  },
  [2185] = {
    [sym_identifier] = ACTIONS(2412),
    [aux_sym_preproc_def_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token1] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2412),
    [sym_preproc_directive] = ACTIONS(2412),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym___extension__] = ACTIONS(2412),
    [anon_sym_typedef] = ACTIONS(2412),
    [anon_sym_extern] = ACTIONS(2412),
    [anon_sym___attribute__] = ACTIONS(2412),
    [anon_sym___attribute] = ACTIONS(2412),
    [anon_sym_noreturn] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2414),
    [anon_sym___declspec] = ACTIONS(2412),
    [anon_sym___cdecl] = ACTIONS(2412),
    [anon_sym___clrcall] = ACTIONS(2412),
    [anon_sym___stdcall] = ACTIONS(2412),
    [anon_sym___fastcall] = ACTIONS(2412),
    [anon_sym___thiscall] = ACTIONS(2412),
    [anon_sym___vectorcall] = ACTIONS(2412),
    [anon_sym_signed] = ACTIONS(2412),
    [anon_sym_unsigned] = ACTIONS(2412),
    [anon_sym_long] = ACTIONS(2412),
    [anon_sym_short] = ACTIONS(2412),
    [anon_sym_static] = ACTIONS(2412),
    [anon_sym_auto] = ACTIONS(2412),
    [anon_sym_register] = ACTIONS(2412),
    [anon_sym_inline] = ACTIONS(2412),
    [anon_sym___inline] = ACTIONS(2412),
    [anon_sym___inline__] = ACTIONS(2412),
    [anon_sym___forceinline] = ACTIONS(2412),
    [anon_sym_thread_local] = ACTIONS(2412),
    [anon_sym___thread] = ACTIONS(2412),
    [anon_sym_CG_EXTERN] = ACTIONS(2412),
    [anon_sym_CG_INLINE] = ACTIONS(2412),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2412),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2412),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2412),
    [anon_sym_IBOutlet] = ACTIONS(2412),
    [anon_sym_IBInspectable] = ACTIONS(2412),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2412),
    [anon_sym_NS_INLINE] = ACTIONS(2412),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2412),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2412),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2412),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2412),
    [anon_sym_const] = ACTIONS(2412),
    [anon_sym_constexpr] = ACTIONS(2412),
    [anon_sym_volatile] = ACTIONS(2412),
    [anon_sym_restrict] = ACTIONS(2412),
    [anon_sym___restrict__] = ACTIONS(2412),
    [anon_sym__Atomic] = ACTIONS(2412),
    [anon_sym__Noreturn] = ACTIONS(2412),
    [anon_sym__Nonnull] = ACTIONS(2412),
    [anon_sym_nullable] = ACTIONS(2412),
    [anon_sym__Complex] = ACTIONS(2412),
    [anon_sym__Nullable] = ACTIONS(2412),
    [anon_sym__Nullable_result] = ACTIONS(2412),
    [anon_sym__Null_unspecified] = ACTIONS(2412),
    [anon_sym___autoreleasing] = ACTIONS(2412),
    [anon_sym___block] = ACTIONS(2412),
    [anon_sym___bridge] = ACTIONS(2412),
    [anon_sym___bridge_retained] = ACTIONS(2412),
    [anon_sym___bridge_transfer] = ACTIONS(2412),
    [anon_sym___complex] = ACTIONS(2412),
    [anon_sym___const] = ACTIONS(2412),
    [anon_sym___imag] = ACTIONS(2412),
    [anon_sym___kindof] = ACTIONS(2412),
    [anon_sym___nonnull] = ACTIONS(2412),
    [anon_sym___nullable] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2412),
    [anon_sym___real] = ACTIONS(2412),
    [anon_sym___strong] = ACTIONS(2412),
    [anon_sym___unsafe_unretained] = ACTIONS(2412),
    [anon_sym___unused] = ACTIONS(2412),
    [anon_sym___weak] = ACTIONS(2412),
    [anon_sym_alignas] = ACTIONS(2412),
    [anon_sym__Alignas] = ACTIONS(2412),
    [sym_primitive_type] = ACTIONS(2412),
    [anon_sym_enum] = ACTIONS(2412),
    [anon_sym_struct] = ACTIONS(2412),
    [anon_sym_union] = ACTIONS(2412),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2412),
    [anon_sym___typeof] = ACTIONS(2412),
    [anon_sym_typeof] = ACTIONS(2412),
    [aux_sym_preproc_undef_token1] = ACTIONS(2412),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2412),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2412),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2412),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2412),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2412),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2412),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2412),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_API_AVAILABLE] = ACTIONS(2412),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_API_DEPRECATED] = ACTIONS(2412),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2412),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym___deprecated_msg] = ACTIONS(2412),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2412),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2412),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2412),
    [anon_sym_ATend] = ACTIONS(2414),
    [anon_sym_AToptional] = ACTIONS(2414),
    [anon_sym_ATrequired] = ACTIONS(2414),
    [anon_sym_ATsynthesize] = ACTIONS(2414),
    [anon_sym_ATdynamic] = ACTIONS(2414),
    [anon_sym_ATproperty] = ACTIONS(2414),
    [anon_sym_BOOL] = ACTIONS(2412),
    [anon_sym_IMP] = ACTIONS(2412),
    [anon_sym_SEL] = ACTIONS(2412),
    [anon_sym_Class] = ACTIONS(2412),
    [anon_sym_id] = ACTIONS(2412),
  },
  [2186] = {
    [aux_sym_method_declaration_repeat2] = STATE(2208),
    [sym_identifier] = ACTIONS(5385),
    [aux_sym_preproc_def_token1] = ACTIONS(5385),
    [aux_sym_preproc_if_token1] = ACTIONS(5385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5385),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5385),
    [sym_preproc_directive] = ACTIONS(5385),
    [anon_sym_DASH] = ACTIONS(5387),
    [anon_sym_PLUS] = ACTIONS(5387),
    [anon_sym_SEMI] = ACTIONS(5455),
    [anon_sym___extension__] = ACTIONS(5385),
    [anon_sym_typedef] = ACTIONS(5385),
    [anon_sym_extern] = ACTIONS(5385),
    [anon_sym___attribute__] = ACTIONS(5385),
    [anon_sym___attribute] = ACTIONS(5385),
    [anon_sym_noreturn] = ACTIONS(5385),
    [anon_sym_LBRACK] = ACTIONS(5387),
    [anon_sym___declspec] = ACTIONS(5385),
    [anon_sym___cdecl] = ACTIONS(5385),
    [anon_sym___clrcall] = ACTIONS(5385),
    [anon_sym___stdcall] = ACTIONS(5385),
    [anon_sym___fastcall] = ACTIONS(5385),
    [anon_sym___thiscall] = ACTIONS(5385),
    [anon_sym___vectorcall] = ACTIONS(5385),
    [anon_sym_signed] = ACTIONS(5385),
    [anon_sym_unsigned] = ACTIONS(5385),
    [anon_sym_long] = ACTIONS(5385),
    [anon_sym_short] = ACTIONS(5385),
    [anon_sym_static] = ACTIONS(5385),
    [anon_sym_auto] = ACTIONS(5385),
    [anon_sym_register] = ACTIONS(5385),
    [anon_sym_inline] = ACTIONS(5385),
    [anon_sym___inline] = ACTIONS(5385),
    [anon_sym___inline__] = ACTIONS(5385),
    [anon_sym___forceinline] = ACTIONS(5385),
    [anon_sym_thread_local] = ACTIONS(5385),
    [anon_sym___thread] = ACTIONS(5385),
    [anon_sym_CG_EXTERN] = ACTIONS(5385),
    [anon_sym_CG_INLINE] = ACTIONS(5385),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5385),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5385),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5385),
    [anon_sym_IBOutlet] = ACTIONS(5385),
    [anon_sym_IBInspectable] = ACTIONS(5385),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5385),
    [anon_sym_NS_INLINE] = ACTIONS(5385),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5385),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5385),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5385),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5385),
    [anon_sym_const] = ACTIONS(5385),
    [anon_sym_constexpr] = ACTIONS(5385),
    [anon_sym_volatile] = ACTIONS(5385),
    [anon_sym_restrict] = ACTIONS(5385),
    [anon_sym___restrict__] = ACTIONS(5385),
    [anon_sym__Atomic] = ACTIONS(5385),
    [anon_sym__Noreturn] = ACTIONS(5385),
    [anon_sym__Nonnull] = ACTIONS(5385),
    [anon_sym_nullable] = ACTIONS(5385),
    [anon_sym__Complex] = ACTIONS(5385),
    [anon_sym__Nullable] = ACTIONS(5385),
    [anon_sym__Nullable_result] = ACTIONS(5385),
    [anon_sym__Null_unspecified] = ACTIONS(5385),
    [anon_sym___autoreleasing] = ACTIONS(5385),
    [anon_sym___block] = ACTIONS(5385),
    [anon_sym___bridge] = ACTIONS(5385),
    [anon_sym___bridge_retained] = ACTIONS(5385),
    [anon_sym___bridge_transfer] = ACTIONS(5385),
    [anon_sym___complex] = ACTIONS(5385),
    [anon_sym___const] = ACTIONS(5385),
    [anon_sym___imag] = ACTIONS(5385),
    [anon_sym___kindof] = ACTIONS(5385),
    [anon_sym___nonnull] = ACTIONS(5385),
    [anon_sym___nullable] = ACTIONS(5385),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5385),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5385),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5385),
    [anon_sym___real] = ACTIONS(5385),
    [anon_sym___strong] = ACTIONS(5385),
    [anon_sym___unsafe_unretained] = ACTIONS(5385),
    [anon_sym___unused] = ACTIONS(5385),
    [anon_sym___weak] = ACTIONS(5385),
    [anon_sym_alignas] = ACTIONS(5385),
    [anon_sym__Alignas] = ACTIONS(5385),
    [sym_primitive_type] = ACTIONS(5385),
    [anon_sym_enum] = ACTIONS(5385),
    [anon_sym_struct] = ACTIONS(5385),
    [anon_sym_union] = ACTIONS(5385),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5385),
    [anon_sym___typeof] = ACTIONS(5385),
    [anon_sym_typeof] = ACTIONS(5385),
    [aux_sym_preproc_undef_token1] = ACTIONS(5385),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5385),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5385),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5385),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5385),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5385),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5385),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5385),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5385),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5385),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5385),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5385),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5385),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5385),
    [anon_sym_API_AVAILABLE] = ACTIONS(5385),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5385),
    [anon_sym_API_DEPRECATED] = ACTIONS(5385),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5385),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5385),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5385),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5385),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5385),
    [anon_sym___deprecated_msg] = ACTIONS(5385),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5385),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5385),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5385),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5385),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5385),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5385),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5385),
    [anon_sym_ATend] = ACTIONS(5387),
    [anon_sym_AToptional] = ACTIONS(5387),
    [anon_sym_ATrequired] = ACTIONS(5387),
    [anon_sym_ATproperty] = ACTIONS(5387),
    [anon_sym_BOOL] = ACTIONS(5385),
    [anon_sym_IMP] = ACTIONS(5385),
    [anon_sym_SEL] = ACTIONS(5385),
    [anon_sym_Class] = ACTIONS(5385),
    [anon_sym_id] = ACTIONS(5385),
  },
  [2187] = {
    [sym_identifier] = ACTIONS(5457),
    [aux_sym_preproc_def_token1] = ACTIONS(5457),
    [aux_sym_preproc_if_token1] = ACTIONS(5457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5457),
    [sym_preproc_directive] = ACTIONS(5457),
    [anon_sym_LPAREN2] = ACTIONS(5310),
    [anon_sym_DASH] = ACTIONS(5459),
    [anon_sym_PLUS] = ACTIONS(5459),
    [anon_sym_LT] = ACTIONS(5459),
    [anon_sym___extension__] = ACTIONS(5457),
    [anon_sym_typedef] = ACTIONS(5457),
    [anon_sym_extern] = ACTIONS(5457),
    [anon_sym___attribute__] = ACTIONS(5457),
    [anon_sym___attribute] = ACTIONS(5457),
    [anon_sym_noreturn] = ACTIONS(5457),
    [anon_sym_LBRACK] = ACTIONS(5459),
    [anon_sym___declspec] = ACTIONS(5457),
    [anon_sym___cdecl] = ACTIONS(5457),
    [anon_sym___clrcall] = ACTIONS(5457),
    [anon_sym___stdcall] = ACTIONS(5457),
    [anon_sym___fastcall] = ACTIONS(5457),
    [anon_sym___thiscall] = ACTIONS(5457),
    [anon_sym___vectorcall] = ACTIONS(5457),
    [anon_sym_LBRACE] = ACTIONS(5459),
    [anon_sym_signed] = ACTIONS(5457),
    [anon_sym_unsigned] = ACTIONS(5457),
    [anon_sym_long] = ACTIONS(5457),
    [anon_sym_short] = ACTIONS(5457),
    [anon_sym_static] = ACTIONS(5457),
    [anon_sym_auto] = ACTIONS(5457),
    [anon_sym_register] = ACTIONS(5457),
    [anon_sym_inline] = ACTIONS(5457),
    [anon_sym___inline] = ACTIONS(5457),
    [anon_sym___inline__] = ACTIONS(5457),
    [anon_sym___forceinline] = ACTIONS(5457),
    [anon_sym_thread_local] = ACTIONS(5457),
    [anon_sym___thread] = ACTIONS(5457),
    [anon_sym_CG_EXTERN] = ACTIONS(5457),
    [anon_sym_CG_INLINE] = ACTIONS(5457),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5457),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5457),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5457),
    [anon_sym_IBOutlet] = ACTIONS(5457),
    [anon_sym_IBInspectable] = ACTIONS(5457),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5457),
    [anon_sym_NS_INLINE] = ACTIONS(5457),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5457),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5457),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5457),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5457),
    [anon_sym_const] = ACTIONS(5457),
    [anon_sym_constexpr] = ACTIONS(5457),
    [anon_sym_volatile] = ACTIONS(5457),
    [anon_sym_restrict] = ACTIONS(5457),
    [anon_sym___restrict__] = ACTIONS(5457),
    [anon_sym__Atomic] = ACTIONS(5457),
    [anon_sym__Noreturn] = ACTIONS(5457),
    [anon_sym__Nonnull] = ACTIONS(5457),
    [anon_sym_nullable] = ACTIONS(5457),
    [anon_sym__Complex] = ACTIONS(5457),
    [anon_sym__Nullable] = ACTIONS(5457),
    [anon_sym__Nullable_result] = ACTIONS(5457),
    [anon_sym__Null_unspecified] = ACTIONS(5457),
    [anon_sym___autoreleasing] = ACTIONS(5457),
    [anon_sym___block] = ACTIONS(5457),
    [anon_sym___bridge] = ACTIONS(5457),
    [anon_sym___bridge_retained] = ACTIONS(5457),
    [anon_sym___bridge_transfer] = ACTIONS(5457),
    [anon_sym___complex] = ACTIONS(5457),
    [anon_sym___const] = ACTIONS(5457),
    [anon_sym___imag] = ACTIONS(5457),
    [anon_sym___kindof] = ACTIONS(5457),
    [anon_sym___nonnull] = ACTIONS(5457),
    [anon_sym___nullable] = ACTIONS(5457),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5457),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5457),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5457),
    [anon_sym___real] = ACTIONS(5457),
    [anon_sym___strong] = ACTIONS(5457),
    [anon_sym___unsafe_unretained] = ACTIONS(5457),
    [anon_sym___unused] = ACTIONS(5457),
    [anon_sym___weak] = ACTIONS(5457),
    [anon_sym_alignas] = ACTIONS(5457),
    [anon_sym__Alignas] = ACTIONS(5457),
    [sym_primitive_type] = ACTIONS(5457),
    [anon_sym_enum] = ACTIONS(5457),
    [anon_sym_COLON] = ACTIONS(5310),
    [anon_sym_struct] = ACTIONS(5457),
    [anon_sym_union] = ACTIONS(5457),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5457),
    [anon_sym___typeof] = ACTIONS(5457),
    [anon_sym_typeof] = ACTIONS(5457),
    [aux_sym_preproc_undef_token1] = ACTIONS(5457),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5457),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5457),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5457),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5457),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5457),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5457),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5457),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5457),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5457),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5457),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5457),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5457),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5457),
    [anon_sym_API_AVAILABLE] = ACTIONS(5457),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5457),
    [anon_sym_API_DEPRECATED] = ACTIONS(5457),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5457),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5457),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5457),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5457),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5457),
    [anon_sym___deprecated_msg] = ACTIONS(5457),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5457),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5457),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5457),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5457),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5457),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5457),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5457),
    [anon_sym_ATend] = ACTIONS(5459),
    [anon_sym_ATproperty] = ACTIONS(5459),
    [anon_sym_BOOL] = ACTIONS(5457),
    [anon_sym_IMP] = ACTIONS(5457),
    [anon_sym_SEL] = ACTIONS(5457),
    [anon_sym_Class] = ACTIONS(5457),
    [anon_sym_id] = ACTIONS(5457),
  },
  [2188] = {
    [aux_sym_method_declaration_repeat2] = STATE(2208),
    [sym_identifier] = ACTIONS(5395),
    [aux_sym_preproc_def_token1] = ACTIONS(5395),
    [aux_sym_preproc_if_token1] = ACTIONS(5395),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5395),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5395),
    [sym_preproc_directive] = ACTIONS(5395),
    [anon_sym_DASH] = ACTIONS(5397),
    [anon_sym_PLUS] = ACTIONS(5397),
    [anon_sym_SEMI] = ACTIONS(5455),
    [anon_sym___extension__] = ACTIONS(5395),
    [anon_sym_typedef] = ACTIONS(5395),
    [anon_sym_extern] = ACTIONS(5395),
    [anon_sym___attribute__] = ACTIONS(5395),
    [anon_sym___attribute] = ACTIONS(5395),
    [anon_sym_noreturn] = ACTIONS(5395),
    [anon_sym_LBRACK] = ACTIONS(5397),
    [anon_sym___declspec] = ACTIONS(5395),
    [anon_sym___cdecl] = ACTIONS(5395),
    [anon_sym___clrcall] = ACTIONS(5395),
    [anon_sym___stdcall] = ACTIONS(5395),
    [anon_sym___fastcall] = ACTIONS(5395),
    [anon_sym___thiscall] = ACTIONS(5395),
    [anon_sym___vectorcall] = ACTIONS(5395),
    [anon_sym_signed] = ACTIONS(5395),
    [anon_sym_unsigned] = ACTIONS(5395),
    [anon_sym_long] = ACTIONS(5395),
    [anon_sym_short] = ACTIONS(5395),
    [anon_sym_static] = ACTIONS(5395),
    [anon_sym_auto] = ACTIONS(5395),
    [anon_sym_register] = ACTIONS(5395),
    [anon_sym_inline] = ACTIONS(5395),
    [anon_sym___inline] = ACTIONS(5395),
    [anon_sym___inline__] = ACTIONS(5395),
    [anon_sym___forceinline] = ACTIONS(5395),
    [anon_sym_thread_local] = ACTIONS(5395),
    [anon_sym___thread] = ACTIONS(5395),
    [anon_sym_CG_EXTERN] = ACTIONS(5395),
    [anon_sym_CG_INLINE] = ACTIONS(5395),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5395),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5395),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5395),
    [anon_sym_IBOutlet] = ACTIONS(5395),
    [anon_sym_IBInspectable] = ACTIONS(5395),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5395),
    [anon_sym_NS_INLINE] = ACTIONS(5395),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5395),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5395),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5395),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5395),
    [anon_sym_const] = ACTIONS(5395),
    [anon_sym_constexpr] = ACTIONS(5395),
    [anon_sym_volatile] = ACTIONS(5395),
    [anon_sym_restrict] = ACTIONS(5395),
    [anon_sym___restrict__] = ACTIONS(5395),
    [anon_sym__Atomic] = ACTIONS(5395),
    [anon_sym__Noreturn] = ACTIONS(5395),
    [anon_sym__Nonnull] = ACTIONS(5395),
    [anon_sym_nullable] = ACTIONS(5395),
    [anon_sym__Complex] = ACTIONS(5395),
    [anon_sym__Nullable] = ACTIONS(5395),
    [anon_sym__Nullable_result] = ACTIONS(5395),
    [anon_sym__Null_unspecified] = ACTIONS(5395),
    [anon_sym___autoreleasing] = ACTIONS(5395),
    [anon_sym___block] = ACTIONS(5395),
    [anon_sym___bridge] = ACTIONS(5395),
    [anon_sym___bridge_retained] = ACTIONS(5395),
    [anon_sym___bridge_transfer] = ACTIONS(5395),
    [anon_sym___complex] = ACTIONS(5395),
    [anon_sym___const] = ACTIONS(5395),
    [anon_sym___imag] = ACTIONS(5395),
    [anon_sym___kindof] = ACTIONS(5395),
    [anon_sym___nonnull] = ACTIONS(5395),
    [anon_sym___nullable] = ACTIONS(5395),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5395),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5395),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5395),
    [anon_sym___real] = ACTIONS(5395),
    [anon_sym___strong] = ACTIONS(5395),
    [anon_sym___unsafe_unretained] = ACTIONS(5395),
    [anon_sym___unused] = ACTIONS(5395),
    [anon_sym___weak] = ACTIONS(5395),
    [anon_sym_alignas] = ACTIONS(5395),
    [anon_sym__Alignas] = ACTIONS(5395),
    [sym_primitive_type] = ACTIONS(5395),
    [anon_sym_enum] = ACTIONS(5395),
    [anon_sym_struct] = ACTIONS(5395),
    [anon_sym_union] = ACTIONS(5395),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5395),
    [anon_sym___typeof] = ACTIONS(5395),
    [anon_sym_typeof] = ACTIONS(5395),
    [aux_sym_preproc_undef_token1] = ACTIONS(5395),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5395),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5395),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5395),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5395),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5395),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5395),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5395),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5395),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5395),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5395),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5395),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5395),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5395),
    [anon_sym_API_AVAILABLE] = ACTIONS(5395),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5395),
    [anon_sym_API_DEPRECATED] = ACTIONS(5395),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5395),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5395),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5395),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5395),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5395),
    [anon_sym___deprecated_msg] = ACTIONS(5395),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5395),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5395),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5395),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5395),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5395),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5395),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5395),
    [anon_sym_ATend] = ACTIONS(5397),
    [anon_sym_AToptional] = ACTIONS(5397),
    [anon_sym_ATrequired] = ACTIONS(5397),
    [anon_sym_ATproperty] = ACTIONS(5397),
    [anon_sym_BOOL] = ACTIONS(5395),
    [anon_sym_IMP] = ACTIONS(5395),
    [anon_sym_SEL] = ACTIONS(5395),
    [anon_sym_Class] = ACTIONS(5395),
    [anon_sym_id] = ACTIONS(5395),
  },
  [2189] = {
    [aux_sym_method_declaration_repeat2] = STATE(2208),
    [sym_identifier] = ACTIONS(5461),
    [aux_sym_preproc_def_token1] = ACTIONS(5461),
    [aux_sym_preproc_if_token1] = ACTIONS(5461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5461),
    [sym_preproc_directive] = ACTIONS(5461),
    [anon_sym_DASH] = ACTIONS(5463),
    [anon_sym_PLUS] = ACTIONS(5463),
    [anon_sym_SEMI] = ACTIONS(5455),
    [anon_sym___extension__] = ACTIONS(5461),
    [anon_sym_typedef] = ACTIONS(5461),
    [anon_sym_extern] = ACTIONS(5461),
    [anon_sym___attribute__] = ACTIONS(5461),
    [anon_sym___attribute] = ACTIONS(5461),
    [anon_sym_noreturn] = ACTIONS(5461),
    [anon_sym_LBRACK] = ACTIONS(5463),
    [anon_sym___declspec] = ACTIONS(5461),
    [anon_sym___cdecl] = ACTIONS(5461),
    [anon_sym___clrcall] = ACTIONS(5461),
    [anon_sym___stdcall] = ACTIONS(5461),
    [anon_sym___fastcall] = ACTIONS(5461),
    [anon_sym___thiscall] = ACTIONS(5461),
    [anon_sym___vectorcall] = ACTIONS(5461),
    [anon_sym_signed] = ACTIONS(5461),
    [anon_sym_unsigned] = ACTIONS(5461),
    [anon_sym_long] = ACTIONS(5461),
    [anon_sym_short] = ACTIONS(5461),
    [anon_sym_static] = ACTIONS(5461),
    [anon_sym_auto] = ACTIONS(5461),
    [anon_sym_register] = ACTIONS(5461),
    [anon_sym_inline] = ACTIONS(5461),
    [anon_sym___inline] = ACTIONS(5461),
    [anon_sym___inline__] = ACTIONS(5461),
    [anon_sym___forceinline] = ACTIONS(5461),
    [anon_sym_thread_local] = ACTIONS(5461),
    [anon_sym___thread] = ACTIONS(5461),
    [anon_sym_CG_EXTERN] = ACTIONS(5461),
    [anon_sym_CG_INLINE] = ACTIONS(5461),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5461),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5461),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5461),
    [anon_sym_IBOutlet] = ACTIONS(5461),
    [anon_sym_IBInspectable] = ACTIONS(5461),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5461),
    [anon_sym_NS_INLINE] = ACTIONS(5461),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5461),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5461),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5461),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5461),
    [anon_sym_const] = ACTIONS(5461),
    [anon_sym_constexpr] = ACTIONS(5461),
    [anon_sym_volatile] = ACTIONS(5461),
    [anon_sym_restrict] = ACTIONS(5461),
    [anon_sym___restrict__] = ACTIONS(5461),
    [anon_sym__Atomic] = ACTIONS(5461),
    [anon_sym__Noreturn] = ACTIONS(5461),
    [anon_sym__Nonnull] = ACTIONS(5461),
    [anon_sym_nullable] = ACTIONS(5461),
    [anon_sym__Complex] = ACTIONS(5461),
    [anon_sym__Nullable] = ACTIONS(5461),
    [anon_sym__Nullable_result] = ACTIONS(5461),
    [anon_sym__Null_unspecified] = ACTIONS(5461),
    [anon_sym___autoreleasing] = ACTIONS(5461),
    [anon_sym___block] = ACTIONS(5461),
    [anon_sym___bridge] = ACTIONS(5461),
    [anon_sym___bridge_retained] = ACTIONS(5461),
    [anon_sym___bridge_transfer] = ACTIONS(5461),
    [anon_sym___complex] = ACTIONS(5461),
    [anon_sym___const] = ACTIONS(5461),
    [anon_sym___imag] = ACTIONS(5461),
    [anon_sym___kindof] = ACTIONS(5461),
    [anon_sym___nonnull] = ACTIONS(5461),
    [anon_sym___nullable] = ACTIONS(5461),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5461),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5461),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5461),
    [anon_sym___real] = ACTIONS(5461),
    [anon_sym___strong] = ACTIONS(5461),
    [anon_sym___unsafe_unretained] = ACTIONS(5461),
    [anon_sym___unused] = ACTIONS(5461),
    [anon_sym___weak] = ACTIONS(5461),
    [anon_sym_alignas] = ACTIONS(5461),
    [anon_sym__Alignas] = ACTIONS(5461),
    [sym_primitive_type] = ACTIONS(5461),
    [anon_sym_enum] = ACTIONS(5461),
    [anon_sym_struct] = ACTIONS(5461),
    [anon_sym_union] = ACTIONS(5461),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5461),
    [anon_sym___typeof] = ACTIONS(5461),
    [anon_sym_typeof] = ACTIONS(5461),
    [aux_sym_preproc_undef_token1] = ACTIONS(5461),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5461),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5461),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5461),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5461),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5461),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5461),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5461),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5461),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5461),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5461),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5461),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5461),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5461),
    [anon_sym_API_AVAILABLE] = ACTIONS(5461),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5461),
    [anon_sym_API_DEPRECATED] = ACTIONS(5461),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5461),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5461),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5461),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5461),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5461),
    [anon_sym___deprecated_msg] = ACTIONS(5461),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5461),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5461),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5461),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5461),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5461),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5461),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5461),
    [anon_sym_ATend] = ACTIONS(5463),
    [anon_sym_AToptional] = ACTIONS(5463),
    [anon_sym_ATrequired] = ACTIONS(5463),
    [anon_sym_ATproperty] = ACTIONS(5463),
    [anon_sym_BOOL] = ACTIONS(5461),
    [anon_sym_IMP] = ACTIONS(5461),
    [anon_sym_SEL] = ACTIONS(5461),
    [anon_sym_Class] = ACTIONS(5461),
    [anon_sym_id] = ACTIONS(5461),
  },
  [2190] = {
    [aux_sym_method_declaration_repeat2] = STATE(2208),
    [sym_identifier] = ACTIONS(5405),
    [aux_sym_preproc_def_token1] = ACTIONS(5405),
    [aux_sym_preproc_if_token1] = ACTIONS(5405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5405),
    [sym_preproc_directive] = ACTIONS(5405),
    [anon_sym_DASH] = ACTIONS(5407),
    [anon_sym_PLUS] = ACTIONS(5407),
    [anon_sym_SEMI] = ACTIONS(5455),
    [anon_sym___extension__] = ACTIONS(5405),
    [anon_sym_typedef] = ACTIONS(5405),
    [anon_sym_extern] = ACTIONS(5405),
    [anon_sym___attribute__] = ACTIONS(5405),
    [anon_sym___attribute] = ACTIONS(5405),
    [anon_sym_noreturn] = ACTIONS(5405),
    [anon_sym_LBRACK] = ACTIONS(5407),
    [anon_sym___declspec] = ACTIONS(5405),
    [anon_sym___cdecl] = ACTIONS(5405),
    [anon_sym___clrcall] = ACTIONS(5405),
    [anon_sym___stdcall] = ACTIONS(5405),
    [anon_sym___fastcall] = ACTIONS(5405),
    [anon_sym___thiscall] = ACTIONS(5405),
    [anon_sym___vectorcall] = ACTIONS(5405),
    [anon_sym_signed] = ACTIONS(5405),
    [anon_sym_unsigned] = ACTIONS(5405),
    [anon_sym_long] = ACTIONS(5405),
    [anon_sym_short] = ACTIONS(5405),
    [anon_sym_static] = ACTIONS(5405),
    [anon_sym_auto] = ACTIONS(5405),
    [anon_sym_register] = ACTIONS(5405),
    [anon_sym_inline] = ACTIONS(5405),
    [anon_sym___inline] = ACTIONS(5405),
    [anon_sym___inline__] = ACTIONS(5405),
    [anon_sym___forceinline] = ACTIONS(5405),
    [anon_sym_thread_local] = ACTIONS(5405),
    [anon_sym___thread] = ACTIONS(5405),
    [anon_sym_CG_EXTERN] = ACTIONS(5405),
    [anon_sym_CG_INLINE] = ACTIONS(5405),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5405),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5405),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5405),
    [anon_sym_IBOutlet] = ACTIONS(5405),
    [anon_sym_IBInspectable] = ACTIONS(5405),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5405),
    [anon_sym_NS_INLINE] = ACTIONS(5405),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5405),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5405),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5405),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5405),
    [anon_sym_const] = ACTIONS(5405),
    [anon_sym_constexpr] = ACTIONS(5405),
    [anon_sym_volatile] = ACTIONS(5405),
    [anon_sym_restrict] = ACTIONS(5405),
    [anon_sym___restrict__] = ACTIONS(5405),
    [anon_sym__Atomic] = ACTIONS(5405),
    [anon_sym__Noreturn] = ACTIONS(5405),
    [anon_sym__Nonnull] = ACTIONS(5405),
    [anon_sym_nullable] = ACTIONS(5405),
    [anon_sym__Complex] = ACTIONS(5405),
    [anon_sym__Nullable] = ACTIONS(5405),
    [anon_sym__Nullable_result] = ACTIONS(5405),
    [anon_sym__Null_unspecified] = ACTIONS(5405),
    [anon_sym___autoreleasing] = ACTIONS(5405),
    [anon_sym___block] = ACTIONS(5405),
    [anon_sym___bridge] = ACTIONS(5405),
    [anon_sym___bridge_retained] = ACTIONS(5405),
    [anon_sym___bridge_transfer] = ACTIONS(5405),
    [anon_sym___complex] = ACTIONS(5405),
    [anon_sym___const] = ACTIONS(5405),
    [anon_sym___imag] = ACTIONS(5405),
    [anon_sym___kindof] = ACTIONS(5405),
    [anon_sym___nonnull] = ACTIONS(5405),
    [anon_sym___nullable] = ACTIONS(5405),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5405),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5405),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5405),
    [anon_sym___real] = ACTIONS(5405),
    [anon_sym___strong] = ACTIONS(5405),
    [anon_sym___unsafe_unretained] = ACTIONS(5405),
    [anon_sym___unused] = ACTIONS(5405),
    [anon_sym___weak] = ACTIONS(5405),
    [anon_sym_alignas] = ACTIONS(5405),
    [anon_sym__Alignas] = ACTIONS(5405),
    [sym_primitive_type] = ACTIONS(5405),
    [anon_sym_enum] = ACTIONS(5405),
    [anon_sym_struct] = ACTIONS(5405),
    [anon_sym_union] = ACTIONS(5405),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5405),
    [anon_sym___typeof] = ACTIONS(5405),
    [anon_sym_typeof] = ACTIONS(5405),
    [aux_sym_preproc_undef_token1] = ACTIONS(5405),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5405),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5405),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5405),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5405),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5405),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5405),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5405),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5405),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5405),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5405),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5405),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5405),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5405),
    [anon_sym_API_AVAILABLE] = ACTIONS(5405),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5405),
    [anon_sym_API_DEPRECATED] = ACTIONS(5405),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5405),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5405),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5405),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5405),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5405),
    [anon_sym___deprecated_msg] = ACTIONS(5405),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5405),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5405),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5405),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5405),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5405),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5405),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5405),
    [anon_sym_ATend] = ACTIONS(5407),
    [anon_sym_AToptional] = ACTIONS(5407),
    [anon_sym_ATrequired] = ACTIONS(5407),
    [anon_sym_ATproperty] = ACTIONS(5407),
    [anon_sym_BOOL] = ACTIONS(5405),
    [anon_sym_IMP] = ACTIONS(5405),
    [anon_sym_SEL] = ACTIONS(5405),
    [anon_sym_Class] = ACTIONS(5405),
    [anon_sym_id] = ACTIONS(5405),
  },
  [2191] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4828),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2192] = {
    [sym_identifier] = ACTIONS(5322),
    [aux_sym_preproc_def_token1] = ACTIONS(5322),
    [aux_sym_preproc_if_token1] = ACTIONS(5322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5322),
    [sym_preproc_directive] = ACTIONS(5322),
    [anon_sym_LPAREN2] = ACTIONS(5324),
    [anon_sym_DASH] = ACTIONS(5324),
    [anon_sym_PLUS] = ACTIONS(5324),
    [anon_sym_LT] = ACTIONS(5324),
    [anon_sym___extension__] = ACTIONS(5322),
    [anon_sym_typedef] = ACTIONS(5322),
    [anon_sym_extern] = ACTIONS(5322),
    [anon_sym___attribute__] = ACTIONS(5322),
    [anon_sym___attribute] = ACTIONS(5322),
    [anon_sym_noreturn] = ACTIONS(5322),
    [anon_sym_LBRACK] = ACTIONS(5324),
    [anon_sym___declspec] = ACTIONS(5322),
    [anon_sym___cdecl] = ACTIONS(5322),
    [anon_sym___clrcall] = ACTIONS(5322),
    [anon_sym___stdcall] = ACTIONS(5322),
    [anon_sym___fastcall] = ACTIONS(5322),
    [anon_sym___thiscall] = ACTIONS(5322),
    [anon_sym___vectorcall] = ACTIONS(5322),
    [anon_sym_LBRACE] = ACTIONS(5324),
    [anon_sym_signed] = ACTIONS(5322),
    [anon_sym_unsigned] = ACTIONS(5322),
    [anon_sym_long] = ACTIONS(5322),
    [anon_sym_short] = ACTIONS(5322),
    [anon_sym_static] = ACTIONS(5322),
    [anon_sym_auto] = ACTIONS(5322),
    [anon_sym_register] = ACTIONS(5322),
    [anon_sym_inline] = ACTIONS(5322),
    [anon_sym___inline] = ACTIONS(5322),
    [anon_sym___inline__] = ACTIONS(5322),
    [anon_sym___forceinline] = ACTIONS(5322),
    [anon_sym_thread_local] = ACTIONS(5322),
    [anon_sym___thread] = ACTIONS(5322),
    [anon_sym_CG_EXTERN] = ACTIONS(5322),
    [anon_sym_CG_INLINE] = ACTIONS(5322),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5322),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5322),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5322),
    [anon_sym_IBOutlet] = ACTIONS(5322),
    [anon_sym_IBInspectable] = ACTIONS(5322),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5322),
    [anon_sym_NS_INLINE] = ACTIONS(5322),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5322),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5322),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5322),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5322),
    [anon_sym_const] = ACTIONS(5322),
    [anon_sym_constexpr] = ACTIONS(5322),
    [anon_sym_volatile] = ACTIONS(5322),
    [anon_sym_restrict] = ACTIONS(5322),
    [anon_sym___restrict__] = ACTIONS(5322),
    [anon_sym__Atomic] = ACTIONS(5322),
    [anon_sym__Noreturn] = ACTIONS(5322),
    [anon_sym__Nonnull] = ACTIONS(5322),
    [anon_sym_nullable] = ACTIONS(5322),
    [anon_sym__Complex] = ACTIONS(5322),
    [anon_sym__Nullable] = ACTIONS(5322),
    [anon_sym__Nullable_result] = ACTIONS(5322),
    [anon_sym__Null_unspecified] = ACTIONS(5322),
    [anon_sym___autoreleasing] = ACTIONS(5322),
    [anon_sym___block] = ACTIONS(5322),
    [anon_sym___bridge] = ACTIONS(5322),
    [anon_sym___bridge_retained] = ACTIONS(5322),
    [anon_sym___bridge_transfer] = ACTIONS(5322),
    [anon_sym___complex] = ACTIONS(5322),
    [anon_sym___const] = ACTIONS(5322),
    [anon_sym___imag] = ACTIONS(5322),
    [anon_sym___kindof] = ACTIONS(5322),
    [anon_sym___nonnull] = ACTIONS(5322),
    [anon_sym___nullable] = ACTIONS(5322),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5322),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5322),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5322),
    [anon_sym___real] = ACTIONS(5322),
    [anon_sym___strong] = ACTIONS(5322),
    [anon_sym___unsafe_unretained] = ACTIONS(5322),
    [anon_sym___unused] = ACTIONS(5322),
    [anon_sym___weak] = ACTIONS(5322),
    [anon_sym_alignas] = ACTIONS(5322),
    [anon_sym__Alignas] = ACTIONS(5322),
    [sym_primitive_type] = ACTIONS(5322),
    [anon_sym_enum] = ACTIONS(5322),
    [anon_sym_COLON] = ACTIONS(5324),
    [anon_sym_struct] = ACTIONS(5322),
    [anon_sym_union] = ACTIONS(5322),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5322),
    [anon_sym___typeof] = ACTIONS(5322),
    [anon_sym_typeof] = ACTIONS(5322),
    [aux_sym_preproc_undef_token1] = ACTIONS(5322),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5322),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5322),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5322),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5322),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5322),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5322),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5322),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5322),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5322),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5322),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5322),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5322),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5322),
    [anon_sym_API_AVAILABLE] = ACTIONS(5322),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5322),
    [anon_sym_API_DEPRECATED] = ACTIONS(5322),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5322),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5322),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5322),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5322),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5322),
    [anon_sym___deprecated_msg] = ACTIONS(5322),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5322),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5322),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5322),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5322),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5322),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5322),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5322),
    [anon_sym_ATend] = ACTIONS(5324),
    [anon_sym_ATproperty] = ACTIONS(5324),
    [anon_sym_BOOL] = ACTIONS(5322),
    [anon_sym_IMP] = ACTIONS(5322),
    [anon_sym_SEL] = ACTIONS(5322),
    [anon_sym_Class] = ACTIONS(5322),
    [anon_sym_id] = ACTIONS(5322),
  },
  [2193] = {
    [sym_identifier] = ACTIONS(5465),
    [aux_sym_preproc_def_token1] = ACTIONS(5465),
    [aux_sym_preproc_if_token1] = ACTIONS(5465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5465),
    [sym_preproc_directive] = ACTIONS(5465),
    [anon_sym_LPAREN2] = ACTIONS(5467),
    [anon_sym_DASH] = ACTIONS(5467),
    [anon_sym_PLUS] = ACTIONS(5467),
    [anon_sym_LT] = ACTIONS(5467),
    [anon_sym___extension__] = ACTIONS(5465),
    [anon_sym_typedef] = ACTIONS(5465),
    [anon_sym_extern] = ACTIONS(5465),
    [anon_sym___attribute__] = ACTIONS(5465),
    [anon_sym___attribute] = ACTIONS(5465),
    [anon_sym_noreturn] = ACTIONS(5465),
    [anon_sym_LBRACK] = ACTIONS(5467),
    [anon_sym___declspec] = ACTIONS(5465),
    [anon_sym___cdecl] = ACTIONS(5465),
    [anon_sym___clrcall] = ACTIONS(5465),
    [anon_sym___stdcall] = ACTIONS(5465),
    [anon_sym___fastcall] = ACTIONS(5465),
    [anon_sym___thiscall] = ACTIONS(5465),
    [anon_sym___vectorcall] = ACTIONS(5465),
    [anon_sym_LBRACE] = ACTIONS(5467),
    [anon_sym_signed] = ACTIONS(5465),
    [anon_sym_unsigned] = ACTIONS(5465),
    [anon_sym_long] = ACTIONS(5465),
    [anon_sym_short] = ACTIONS(5465),
    [anon_sym_static] = ACTIONS(5465),
    [anon_sym_auto] = ACTIONS(5465),
    [anon_sym_register] = ACTIONS(5465),
    [anon_sym_inline] = ACTIONS(5465),
    [anon_sym___inline] = ACTIONS(5465),
    [anon_sym___inline__] = ACTIONS(5465),
    [anon_sym___forceinline] = ACTIONS(5465),
    [anon_sym_thread_local] = ACTIONS(5465),
    [anon_sym___thread] = ACTIONS(5465),
    [anon_sym_CG_EXTERN] = ACTIONS(5465),
    [anon_sym_CG_INLINE] = ACTIONS(5465),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5465),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5465),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5465),
    [anon_sym_IBOutlet] = ACTIONS(5465),
    [anon_sym_IBInspectable] = ACTIONS(5465),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5465),
    [anon_sym_NS_INLINE] = ACTIONS(5465),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5465),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5465),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5465),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5465),
    [anon_sym_const] = ACTIONS(5465),
    [anon_sym_constexpr] = ACTIONS(5465),
    [anon_sym_volatile] = ACTIONS(5465),
    [anon_sym_restrict] = ACTIONS(5465),
    [anon_sym___restrict__] = ACTIONS(5465),
    [anon_sym__Atomic] = ACTIONS(5465),
    [anon_sym__Noreturn] = ACTIONS(5465),
    [anon_sym__Nonnull] = ACTIONS(5465),
    [anon_sym_nullable] = ACTIONS(5465),
    [anon_sym__Complex] = ACTIONS(5465),
    [anon_sym__Nullable] = ACTIONS(5465),
    [anon_sym__Nullable_result] = ACTIONS(5465),
    [anon_sym__Null_unspecified] = ACTIONS(5465),
    [anon_sym___autoreleasing] = ACTIONS(5465),
    [anon_sym___block] = ACTIONS(5465),
    [anon_sym___bridge] = ACTIONS(5465),
    [anon_sym___bridge_retained] = ACTIONS(5465),
    [anon_sym___bridge_transfer] = ACTIONS(5465),
    [anon_sym___complex] = ACTIONS(5465),
    [anon_sym___const] = ACTIONS(5465),
    [anon_sym___imag] = ACTIONS(5465),
    [anon_sym___kindof] = ACTIONS(5465),
    [anon_sym___nonnull] = ACTIONS(5465),
    [anon_sym___nullable] = ACTIONS(5465),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5465),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5465),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5465),
    [anon_sym___real] = ACTIONS(5465),
    [anon_sym___strong] = ACTIONS(5465),
    [anon_sym___unsafe_unretained] = ACTIONS(5465),
    [anon_sym___unused] = ACTIONS(5465),
    [anon_sym___weak] = ACTIONS(5465),
    [anon_sym_alignas] = ACTIONS(5465),
    [anon_sym__Alignas] = ACTIONS(5465),
    [sym_primitive_type] = ACTIONS(5465),
    [anon_sym_enum] = ACTIONS(5465),
    [anon_sym_COLON] = ACTIONS(5467),
    [anon_sym_struct] = ACTIONS(5465),
    [anon_sym_union] = ACTIONS(5465),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5465),
    [anon_sym___typeof] = ACTIONS(5465),
    [anon_sym_typeof] = ACTIONS(5465),
    [aux_sym_preproc_undef_token1] = ACTIONS(5465),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5465),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5465),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5465),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5465),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5465),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5465),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5465),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5465),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5465),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5465),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5465),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5465),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5465),
    [anon_sym_API_AVAILABLE] = ACTIONS(5465),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5465),
    [anon_sym_API_DEPRECATED] = ACTIONS(5465),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5465),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5465),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5465),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5465),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5465),
    [anon_sym___deprecated_msg] = ACTIONS(5465),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5465),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5465),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5465),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5465),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5465),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5465),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5465),
    [anon_sym_ATend] = ACTIONS(5467),
    [anon_sym_ATproperty] = ACTIONS(5467),
    [anon_sym_BOOL] = ACTIONS(5465),
    [anon_sym_IMP] = ACTIONS(5465),
    [anon_sym_SEL] = ACTIONS(5465),
    [anon_sym_Class] = ACTIONS(5465),
    [anon_sym_id] = ACTIONS(5465),
  },
  [2194] = {
    [sym__declaration_modifiers] = STATE(2534),
    [sym_attribute_specifier] = STATE(2534),
    [sym_attribute_declaration] = STATE(2534),
    [sym_ms_declspec_modifier] = STATE(2534),
    [sym_ms_based_modifier] = STATE(5960),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2578),
    [sym__declarator] = STATE(3074),
    [sym__abstract_declarator] = STATE(5003),
    [sym_parenthesized_declarator] = STATE(3082),
    [sym_abstract_parenthesized_declarator] = STATE(4850),
    [sym_pointer_declarator] = STATE(3082),
    [sym_abstract_pointer_declarator] = STATE(4850),
    [sym_function_declarator] = STATE(3082),
    [sym_abstract_function_declarator] = STATE(4850),
    [sym_array_declarator] = STATE(3082),
    [sym_abstract_array_declarator] = STATE(4850),
    [sym_storage_class_specifier] = STATE(2534),
    [sym_type_qualifier] = STATE(2534),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(4274),
    [sym_availability_attribute_specifier] = STATE(2534),
    [sym_block_pointer_declarator] = STATE(3082),
    [sym_abstract_block_pointer_declarator] = STATE(4850),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2534),
    [aux_sym_pointer_declarator_repeat1] = STATE(2578),
    [sym_identifier] = ACTIONS(5469),
    [anon_sym_COMMA] = ACTIONS(5336),
    [anon_sym_RPAREN] = ACTIONS(5336),
    [anon_sym_LPAREN2] = ACTIONS(5471),
    [anon_sym_STAR] = ACTIONS(5473),
    [anon_sym_CARET] = ACTIONS(5475),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(4216),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2195] = {
    [aux_sym_method_declaration_repeat2] = STATE(2210),
    [sym_identifier] = ACTIONS(5461),
    [aux_sym_preproc_def_token1] = ACTIONS(5461),
    [aux_sym_preproc_if_token1] = ACTIONS(5461),
    [aux_sym_preproc_if_token2] = ACTIONS(5461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5461),
    [aux_sym_preproc_else_token1] = ACTIONS(5461),
    [aux_sym_preproc_elif_token1] = ACTIONS(5461),
    [sym_preproc_directive] = ACTIONS(5461),
    [anon_sym_DASH] = ACTIONS(5463),
    [anon_sym_PLUS] = ACTIONS(5463),
    [anon_sym_SEMI] = ACTIONS(5367),
    [anon_sym___extension__] = ACTIONS(5461),
    [anon_sym_typedef] = ACTIONS(5461),
    [anon_sym_extern] = ACTIONS(5461),
    [anon_sym___attribute__] = ACTIONS(5461),
    [anon_sym___attribute] = ACTIONS(5461),
    [anon_sym_noreturn] = ACTIONS(5461),
    [anon_sym_LBRACK] = ACTIONS(5463),
    [anon_sym___declspec] = ACTIONS(5461),
    [anon_sym___cdecl] = ACTIONS(5461),
    [anon_sym___clrcall] = ACTIONS(5461),
    [anon_sym___stdcall] = ACTIONS(5461),
    [anon_sym___fastcall] = ACTIONS(5461),
    [anon_sym___thiscall] = ACTIONS(5461),
    [anon_sym___vectorcall] = ACTIONS(5461),
    [anon_sym_signed] = ACTIONS(5461),
    [anon_sym_unsigned] = ACTIONS(5461),
    [anon_sym_long] = ACTIONS(5461),
    [anon_sym_short] = ACTIONS(5461),
    [anon_sym_static] = ACTIONS(5461),
    [anon_sym_auto] = ACTIONS(5461),
    [anon_sym_register] = ACTIONS(5461),
    [anon_sym_inline] = ACTIONS(5461),
    [anon_sym___inline] = ACTIONS(5461),
    [anon_sym___inline__] = ACTIONS(5461),
    [anon_sym___forceinline] = ACTIONS(5461),
    [anon_sym_thread_local] = ACTIONS(5461),
    [anon_sym___thread] = ACTIONS(5461),
    [anon_sym_CG_EXTERN] = ACTIONS(5461),
    [anon_sym_CG_INLINE] = ACTIONS(5461),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5461),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5461),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5461),
    [anon_sym_IBOutlet] = ACTIONS(5461),
    [anon_sym_IBInspectable] = ACTIONS(5461),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5461),
    [anon_sym_NS_INLINE] = ACTIONS(5461),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5461),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5461),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5461),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5461),
    [anon_sym_const] = ACTIONS(5461),
    [anon_sym_constexpr] = ACTIONS(5461),
    [anon_sym_volatile] = ACTIONS(5461),
    [anon_sym_restrict] = ACTIONS(5461),
    [anon_sym___restrict__] = ACTIONS(5461),
    [anon_sym__Atomic] = ACTIONS(5461),
    [anon_sym__Noreturn] = ACTIONS(5461),
    [anon_sym__Nonnull] = ACTIONS(5461),
    [anon_sym_nullable] = ACTIONS(5461),
    [anon_sym__Complex] = ACTIONS(5461),
    [anon_sym__Nullable] = ACTIONS(5461),
    [anon_sym__Nullable_result] = ACTIONS(5461),
    [anon_sym__Null_unspecified] = ACTIONS(5461),
    [anon_sym___autoreleasing] = ACTIONS(5461),
    [anon_sym___block] = ACTIONS(5461),
    [anon_sym___bridge] = ACTIONS(5461),
    [anon_sym___bridge_retained] = ACTIONS(5461),
    [anon_sym___bridge_transfer] = ACTIONS(5461),
    [anon_sym___complex] = ACTIONS(5461),
    [anon_sym___const] = ACTIONS(5461),
    [anon_sym___imag] = ACTIONS(5461),
    [anon_sym___kindof] = ACTIONS(5461),
    [anon_sym___nonnull] = ACTIONS(5461),
    [anon_sym___nullable] = ACTIONS(5461),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5461),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5461),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5461),
    [anon_sym___real] = ACTIONS(5461),
    [anon_sym___strong] = ACTIONS(5461),
    [anon_sym___unsafe_unretained] = ACTIONS(5461),
    [anon_sym___unused] = ACTIONS(5461),
    [anon_sym___weak] = ACTIONS(5461),
    [anon_sym_alignas] = ACTIONS(5461),
    [anon_sym__Alignas] = ACTIONS(5461),
    [sym_primitive_type] = ACTIONS(5461),
    [anon_sym_enum] = ACTIONS(5461),
    [anon_sym_struct] = ACTIONS(5461),
    [anon_sym_union] = ACTIONS(5461),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5461),
    [anon_sym___typeof] = ACTIONS(5461),
    [anon_sym_typeof] = ACTIONS(5461),
    [aux_sym_preproc_undef_token1] = ACTIONS(5461),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5461),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5461),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5461),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5461),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5461),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5461),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5461),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5461),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5461),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5461),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5461),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5461),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5461),
    [anon_sym_API_AVAILABLE] = ACTIONS(5461),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5461),
    [anon_sym_API_DEPRECATED] = ACTIONS(5461),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5461),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5461),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5461),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5461),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5461),
    [anon_sym___deprecated_msg] = ACTIONS(5461),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5461),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5461),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5461),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5461),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5461),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5461),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5461),
    [anon_sym_ATproperty] = ACTIONS(5463),
    [anon_sym_BOOL] = ACTIONS(5461),
    [anon_sym_IMP] = ACTIONS(5461),
    [anon_sym_SEL] = ACTIONS(5461),
    [anon_sym_Class] = ACTIONS(5461),
    [anon_sym_id] = ACTIONS(5461),
  },
  [2196] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4817),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2197] = {
    [sym_identifier] = ACTIONS(5477),
    [aux_sym_preproc_def_token1] = ACTIONS(5477),
    [aux_sym_preproc_if_token1] = ACTIONS(5477),
    [aux_sym_preproc_if_token2] = ACTIONS(5477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5477),
    [aux_sym_preproc_else_token1] = ACTIONS(5477),
    [aux_sym_preproc_elif_token1] = ACTIONS(5477),
    [sym_preproc_directive] = ACTIONS(5477),
    [anon_sym_DASH] = ACTIONS(5479),
    [anon_sym_PLUS] = ACTIONS(5479),
    [anon_sym_SEMI] = ACTIONS(5481),
    [anon_sym___extension__] = ACTIONS(5477),
    [anon_sym_typedef] = ACTIONS(5477),
    [anon_sym_extern] = ACTIONS(5477),
    [anon_sym___attribute__] = ACTIONS(5477),
    [anon_sym___attribute] = ACTIONS(5477),
    [anon_sym_noreturn] = ACTIONS(5477),
    [anon_sym_LBRACK] = ACTIONS(5479),
    [anon_sym___declspec] = ACTIONS(5477),
    [anon_sym___cdecl] = ACTIONS(5477),
    [anon_sym___clrcall] = ACTIONS(5477),
    [anon_sym___stdcall] = ACTIONS(5477),
    [anon_sym___fastcall] = ACTIONS(5477),
    [anon_sym___thiscall] = ACTIONS(5477),
    [anon_sym___vectorcall] = ACTIONS(5477),
    [anon_sym_signed] = ACTIONS(5477),
    [anon_sym_unsigned] = ACTIONS(5477),
    [anon_sym_long] = ACTIONS(5477),
    [anon_sym_short] = ACTIONS(5477),
    [anon_sym_static] = ACTIONS(5477),
    [anon_sym_auto] = ACTIONS(5477),
    [anon_sym_register] = ACTIONS(5477),
    [anon_sym_inline] = ACTIONS(5477),
    [anon_sym___inline] = ACTIONS(5477),
    [anon_sym___inline__] = ACTIONS(5477),
    [anon_sym___forceinline] = ACTIONS(5477),
    [anon_sym_thread_local] = ACTIONS(5477),
    [anon_sym___thread] = ACTIONS(5477),
    [anon_sym_CG_EXTERN] = ACTIONS(5477),
    [anon_sym_CG_INLINE] = ACTIONS(5477),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5477),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5477),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5477),
    [anon_sym_IBOutlet] = ACTIONS(5477),
    [anon_sym_IBInspectable] = ACTIONS(5477),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5477),
    [anon_sym_NS_INLINE] = ACTIONS(5477),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5477),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5477),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5477),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5477),
    [anon_sym_const] = ACTIONS(5477),
    [anon_sym_constexpr] = ACTIONS(5477),
    [anon_sym_volatile] = ACTIONS(5477),
    [anon_sym_restrict] = ACTIONS(5477),
    [anon_sym___restrict__] = ACTIONS(5477),
    [anon_sym__Atomic] = ACTIONS(5477),
    [anon_sym__Noreturn] = ACTIONS(5477),
    [anon_sym__Nonnull] = ACTIONS(5477),
    [anon_sym_nullable] = ACTIONS(5477),
    [anon_sym__Complex] = ACTIONS(5477),
    [anon_sym__Nullable] = ACTIONS(5477),
    [anon_sym__Nullable_result] = ACTIONS(5477),
    [anon_sym__Null_unspecified] = ACTIONS(5477),
    [anon_sym___autoreleasing] = ACTIONS(5477),
    [anon_sym___block] = ACTIONS(5477),
    [anon_sym___bridge] = ACTIONS(5477),
    [anon_sym___bridge_retained] = ACTIONS(5477),
    [anon_sym___bridge_transfer] = ACTIONS(5477),
    [anon_sym___complex] = ACTIONS(5477),
    [anon_sym___const] = ACTIONS(5477),
    [anon_sym___imag] = ACTIONS(5477),
    [anon_sym___kindof] = ACTIONS(5477),
    [anon_sym___nonnull] = ACTIONS(5477),
    [anon_sym___nullable] = ACTIONS(5477),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5477),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5477),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5477),
    [anon_sym___real] = ACTIONS(5477),
    [anon_sym___strong] = ACTIONS(5477),
    [anon_sym___unsafe_unretained] = ACTIONS(5477),
    [anon_sym___unused] = ACTIONS(5477),
    [anon_sym___weak] = ACTIONS(5477),
    [anon_sym_alignas] = ACTIONS(5477),
    [anon_sym__Alignas] = ACTIONS(5477),
    [sym_primitive_type] = ACTIONS(5477),
    [anon_sym_enum] = ACTIONS(5477),
    [anon_sym_struct] = ACTIONS(5477),
    [anon_sym_union] = ACTIONS(5477),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5477),
    [anon_sym___typeof] = ACTIONS(5477),
    [anon_sym_typeof] = ACTIONS(5477),
    [aux_sym_preproc_undef_token1] = ACTIONS(5477),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5477),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5477),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5477),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5477),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5477),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5477),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5477),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5477),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5477),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5477),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5477),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5477),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5477),
    [anon_sym_API_AVAILABLE] = ACTIONS(5477),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5477),
    [anon_sym_API_DEPRECATED] = ACTIONS(5477),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5477),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5477),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5477),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5477),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5477),
    [anon_sym___deprecated_msg] = ACTIONS(5477),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5477),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5477),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5477),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5477),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5477),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5477),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5477),
    [anon_sym_ATsynthesize] = ACTIONS(5479),
    [anon_sym_ATdynamic] = ACTIONS(5479),
    [anon_sym_BOOL] = ACTIONS(5477),
    [anon_sym_IMP] = ACTIONS(5477),
    [anon_sym_SEL] = ACTIONS(5477),
    [anon_sym_Class] = ACTIONS(5477),
    [anon_sym_id] = ACTIONS(5477),
  },
  [2198] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4811),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2199] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4830),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2200] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4819),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2201] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4829),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2202] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4808),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2203] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4826),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2204] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4821),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2205] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4823),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2206] = {
    [sym__declaration_modifiers] = STATE(2234),
    [sym__declaration_specifiers] = STATE(4824),
    [sym_attribute_specifier] = STATE(2234),
    [sym_attribute_declaration] = STATE(2234),
    [sym_ms_declspec_modifier] = STATE(2234),
    [sym_storage_class_specifier] = STATE(2234),
    [sym_type_qualifier] = STATE(2234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2877),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2234),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2234),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2207] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_LPAREN2] = ACTIONS(4007),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4005),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4005),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4005),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym_SEMI] = ACTIONS(4007),
    [anon_sym___extension__] = ACTIONS(4007),
    [anon_sym_extern] = ACTIONS(4007),
    [anon_sym___attribute__] = ACTIONS(4007),
    [anon_sym___attribute] = ACTIONS(4005),
    [anon_sym_noreturn] = ACTIONS(4007),
    [anon_sym_LBRACK] = ACTIONS(4007),
    [anon_sym___declspec] = ACTIONS(4007),
    [anon_sym_static] = ACTIONS(4007),
    [anon_sym_EQ] = ACTIONS(4910),
    [anon_sym_auto] = ACTIONS(4007),
    [anon_sym_register] = ACTIONS(4007),
    [anon_sym_inline] = ACTIONS(4007),
    [anon_sym___inline] = ACTIONS(4005),
    [anon_sym___inline__] = ACTIONS(4007),
    [anon_sym___forceinline] = ACTIONS(4007),
    [anon_sym_thread_local] = ACTIONS(4007),
    [anon_sym___thread] = ACTIONS(4007),
    [anon_sym_CG_EXTERN] = ACTIONS(4007),
    [anon_sym_CG_INLINE] = ACTIONS(4007),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4007),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4007),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4007),
    [anon_sym_IBOutlet] = ACTIONS(4007),
    [anon_sym_IBInspectable] = ACTIONS(4007),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4007),
    [anon_sym_NS_INLINE] = ACTIONS(4007),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4007),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4007),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4007),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4007),
    [anon_sym_const] = ACTIONS(4005),
    [anon_sym_constexpr] = ACTIONS(4007),
    [anon_sym_volatile] = ACTIONS(4007),
    [anon_sym_restrict] = ACTIONS(4007),
    [anon_sym___restrict__] = ACTIONS(4007),
    [anon_sym__Atomic] = ACTIONS(4007),
    [anon_sym__Noreturn] = ACTIONS(4007),
    [anon_sym__Nonnull] = ACTIONS(4007),
    [anon_sym_nullable] = ACTIONS(4007),
    [anon_sym__Complex] = ACTIONS(4007),
    [anon_sym__Nullable] = ACTIONS(4005),
    [anon_sym__Nullable_result] = ACTIONS(4007),
    [anon_sym__Null_unspecified] = ACTIONS(4007),
    [anon_sym___autoreleasing] = ACTIONS(4007),
    [anon_sym___block] = ACTIONS(4007),
    [anon_sym___bridge] = ACTIONS(4005),
    [anon_sym___bridge_retained] = ACTIONS(4007),
    [anon_sym___bridge_transfer] = ACTIONS(4007),
    [anon_sym___complex] = ACTIONS(4007),
    [anon_sym___const] = ACTIONS(4007),
    [anon_sym___imag] = ACTIONS(4007),
    [anon_sym___kindof] = ACTIONS(4007),
    [anon_sym___nonnull] = ACTIONS(4007),
    [anon_sym___nullable] = ACTIONS(4007),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4007),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4007),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4007),
    [anon_sym___real] = ACTIONS(4007),
    [anon_sym___strong] = ACTIONS(4007),
    [anon_sym___unsafe_unretained] = ACTIONS(4007),
    [anon_sym___unused] = ACTIONS(4007),
    [anon_sym___weak] = ACTIONS(4007),
    [anon_sym_alignas] = ACTIONS(4007),
    [anon_sym__Alignas] = ACTIONS(4007),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(4912),
    [anon_sym_SLASH_EQ] = ACTIONS(4912),
    [anon_sym_PERCENT_EQ] = ACTIONS(4912),
    [anon_sym_PLUS_EQ] = ACTIONS(4912),
    [anon_sym_DASH_EQ] = ACTIONS(4912),
    [anon_sym_LT_LT_EQ] = ACTIONS(4912),
    [anon_sym_GT_GT_EQ] = ACTIONS(4912),
    [anon_sym_AMP_EQ] = ACTIONS(4912),
    [anon_sym_CARET_EQ] = ACTIONS(4912),
    [anon_sym_PIPE_EQ] = ACTIONS(4912),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4007),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4007),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4007),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4007),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4007),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4007),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4007),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4007),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4007),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4007),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4005),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4007),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4007),
    [anon_sym_API_AVAILABLE] = ACTIONS(4007),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4007),
    [anon_sym_API_DEPRECATED] = ACTIONS(4007),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4007),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4007),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4007),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4007),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4007),
    [anon_sym___deprecated_msg] = ACTIONS(4007),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4007),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4007),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4007),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4007),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4007),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4007),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4007),
  },
  [2208] = {
    [aux_sym_method_declaration_repeat2] = STATE(2208),
    [sym_identifier] = ACTIONS(5483),
    [aux_sym_preproc_def_token1] = ACTIONS(5483),
    [aux_sym_preproc_if_token1] = ACTIONS(5483),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5483),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5483),
    [sym_preproc_directive] = ACTIONS(5483),
    [anon_sym_DASH] = ACTIONS(5485),
    [anon_sym_PLUS] = ACTIONS(5485),
    [anon_sym_SEMI] = ACTIONS(5487),
    [anon_sym___extension__] = ACTIONS(5483),
    [anon_sym_typedef] = ACTIONS(5483),
    [anon_sym_extern] = ACTIONS(5483),
    [anon_sym___attribute__] = ACTIONS(5483),
    [anon_sym___attribute] = ACTIONS(5483),
    [anon_sym_noreturn] = ACTIONS(5483),
    [anon_sym_LBRACK] = ACTIONS(5485),
    [anon_sym___declspec] = ACTIONS(5483),
    [anon_sym___cdecl] = ACTIONS(5483),
    [anon_sym___clrcall] = ACTIONS(5483),
    [anon_sym___stdcall] = ACTIONS(5483),
    [anon_sym___fastcall] = ACTIONS(5483),
    [anon_sym___thiscall] = ACTIONS(5483),
    [anon_sym___vectorcall] = ACTIONS(5483),
    [anon_sym_signed] = ACTIONS(5483),
    [anon_sym_unsigned] = ACTIONS(5483),
    [anon_sym_long] = ACTIONS(5483),
    [anon_sym_short] = ACTIONS(5483),
    [anon_sym_static] = ACTIONS(5483),
    [anon_sym_auto] = ACTIONS(5483),
    [anon_sym_register] = ACTIONS(5483),
    [anon_sym_inline] = ACTIONS(5483),
    [anon_sym___inline] = ACTIONS(5483),
    [anon_sym___inline__] = ACTIONS(5483),
    [anon_sym___forceinline] = ACTIONS(5483),
    [anon_sym_thread_local] = ACTIONS(5483),
    [anon_sym___thread] = ACTIONS(5483),
    [anon_sym_CG_EXTERN] = ACTIONS(5483),
    [anon_sym_CG_INLINE] = ACTIONS(5483),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5483),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5483),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5483),
    [anon_sym_IBOutlet] = ACTIONS(5483),
    [anon_sym_IBInspectable] = ACTIONS(5483),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5483),
    [anon_sym_NS_INLINE] = ACTIONS(5483),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5483),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5483),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5483),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5483),
    [anon_sym_const] = ACTIONS(5483),
    [anon_sym_constexpr] = ACTIONS(5483),
    [anon_sym_volatile] = ACTIONS(5483),
    [anon_sym_restrict] = ACTIONS(5483),
    [anon_sym___restrict__] = ACTIONS(5483),
    [anon_sym__Atomic] = ACTIONS(5483),
    [anon_sym__Noreturn] = ACTIONS(5483),
    [anon_sym__Nonnull] = ACTIONS(5483),
    [anon_sym_nullable] = ACTIONS(5483),
    [anon_sym__Complex] = ACTIONS(5483),
    [anon_sym__Nullable] = ACTIONS(5483),
    [anon_sym__Nullable_result] = ACTIONS(5483),
    [anon_sym__Null_unspecified] = ACTIONS(5483),
    [anon_sym___autoreleasing] = ACTIONS(5483),
    [anon_sym___block] = ACTIONS(5483),
    [anon_sym___bridge] = ACTIONS(5483),
    [anon_sym___bridge_retained] = ACTIONS(5483),
    [anon_sym___bridge_transfer] = ACTIONS(5483),
    [anon_sym___complex] = ACTIONS(5483),
    [anon_sym___const] = ACTIONS(5483),
    [anon_sym___imag] = ACTIONS(5483),
    [anon_sym___kindof] = ACTIONS(5483),
    [anon_sym___nonnull] = ACTIONS(5483),
    [anon_sym___nullable] = ACTIONS(5483),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5483),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5483),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5483),
    [anon_sym___real] = ACTIONS(5483),
    [anon_sym___strong] = ACTIONS(5483),
    [anon_sym___unsafe_unretained] = ACTIONS(5483),
    [anon_sym___unused] = ACTIONS(5483),
    [anon_sym___weak] = ACTIONS(5483),
    [anon_sym_alignas] = ACTIONS(5483),
    [anon_sym__Alignas] = ACTIONS(5483),
    [sym_primitive_type] = ACTIONS(5483),
    [anon_sym_enum] = ACTIONS(5483),
    [anon_sym_struct] = ACTIONS(5483),
    [anon_sym_union] = ACTIONS(5483),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5483),
    [anon_sym___typeof] = ACTIONS(5483),
    [anon_sym_typeof] = ACTIONS(5483),
    [aux_sym_preproc_undef_token1] = ACTIONS(5483),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5483),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5483),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5483),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5483),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5483),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5483),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5483),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5483),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5483),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5483),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5483),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5483),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5483),
    [anon_sym_API_AVAILABLE] = ACTIONS(5483),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5483),
    [anon_sym_API_DEPRECATED] = ACTIONS(5483),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5483),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5483),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5483),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5483),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5483),
    [anon_sym___deprecated_msg] = ACTIONS(5483),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5483),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5483),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5483),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5483),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5483),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5483),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5483),
    [anon_sym_ATend] = ACTIONS(5485),
    [anon_sym_AToptional] = ACTIONS(5485),
    [anon_sym_ATrequired] = ACTIONS(5485),
    [anon_sym_ATproperty] = ACTIONS(5485),
    [anon_sym_BOOL] = ACTIONS(5483),
    [anon_sym_IMP] = ACTIONS(5483),
    [anon_sym_SEL] = ACTIONS(5483),
    [anon_sym_Class] = ACTIONS(5483),
    [anon_sym_id] = ACTIONS(5483),
  },
  [2209] = {
    [aux_sym_method_declaration_repeat2] = STATE(2210),
    [sym_identifier] = ACTIONS(5451),
    [aux_sym_preproc_def_token1] = ACTIONS(5451),
    [aux_sym_preproc_if_token1] = ACTIONS(5451),
    [aux_sym_preproc_if_token2] = ACTIONS(5451),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5451),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5451),
    [aux_sym_preproc_else_token1] = ACTIONS(5451),
    [aux_sym_preproc_elif_token1] = ACTIONS(5451),
    [sym_preproc_directive] = ACTIONS(5451),
    [anon_sym_DASH] = ACTIONS(5453),
    [anon_sym_PLUS] = ACTIONS(5453),
    [anon_sym_SEMI] = ACTIONS(5367),
    [anon_sym___extension__] = ACTIONS(5451),
    [anon_sym_typedef] = ACTIONS(5451),
    [anon_sym_extern] = ACTIONS(5451),
    [anon_sym___attribute__] = ACTIONS(5451),
    [anon_sym___attribute] = ACTIONS(5451),
    [anon_sym_noreturn] = ACTIONS(5451),
    [anon_sym_LBRACK] = ACTIONS(5453),
    [anon_sym___declspec] = ACTIONS(5451),
    [anon_sym___cdecl] = ACTIONS(5451),
    [anon_sym___clrcall] = ACTIONS(5451),
    [anon_sym___stdcall] = ACTIONS(5451),
    [anon_sym___fastcall] = ACTIONS(5451),
    [anon_sym___thiscall] = ACTIONS(5451),
    [anon_sym___vectorcall] = ACTIONS(5451),
    [anon_sym_signed] = ACTIONS(5451),
    [anon_sym_unsigned] = ACTIONS(5451),
    [anon_sym_long] = ACTIONS(5451),
    [anon_sym_short] = ACTIONS(5451),
    [anon_sym_static] = ACTIONS(5451),
    [anon_sym_auto] = ACTIONS(5451),
    [anon_sym_register] = ACTIONS(5451),
    [anon_sym_inline] = ACTIONS(5451),
    [anon_sym___inline] = ACTIONS(5451),
    [anon_sym___inline__] = ACTIONS(5451),
    [anon_sym___forceinline] = ACTIONS(5451),
    [anon_sym_thread_local] = ACTIONS(5451),
    [anon_sym___thread] = ACTIONS(5451),
    [anon_sym_CG_EXTERN] = ACTIONS(5451),
    [anon_sym_CG_INLINE] = ACTIONS(5451),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5451),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5451),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5451),
    [anon_sym_IBOutlet] = ACTIONS(5451),
    [anon_sym_IBInspectable] = ACTIONS(5451),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5451),
    [anon_sym_NS_INLINE] = ACTIONS(5451),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5451),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5451),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5451),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5451),
    [anon_sym_const] = ACTIONS(5451),
    [anon_sym_constexpr] = ACTIONS(5451),
    [anon_sym_volatile] = ACTIONS(5451),
    [anon_sym_restrict] = ACTIONS(5451),
    [anon_sym___restrict__] = ACTIONS(5451),
    [anon_sym__Atomic] = ACTIONS(5451),
    [anon_sym__Noreturn] = ACTIONS(5451),
    [anon_sym__Nonnull] = ACTIONS(5451),
    [anon_sym_nullable] = ACTIONS(5451),
    [anon_sym__Complex] = ACTIONS(5451),
    [anon_sym__Nullable] = ACTIONS(5451),
    [anon_sym__Nullable_result] = ACTIONS(5451),
    [anon_sym__Null_unspecified] = ACTIONS(5451),
    [anon_sym___autoreleasing] = ACTIONS(5451),
    [anon_sym___block] = ACTIONS(5451),
    [anon_sym___bridge] = ACTIONS(5451),
    [anon_sym___bridge_retained] = ACTIONS(5451),
    [anon_sym___bridge_transfer] = ACTIONS(5451),
    [anon_sym___complex] = ACTIONS(5451),
    [anon_sym___const] = ACTIONS(5451),
    [anon_sym___imag] = ACTIONS(5451),
    [anon_sym___kindof] = ACTIONS(5451),
    [anon_sym___nonnull] = ACTIONS(5451),
    [anon_sym___nullable] = ACTIONS(5451),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5451),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5451),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5451),
    [anon_sym___real] = ACTIONS(5451),
    [anon_sym___strong] = ACTIONS(5451),
    [anon_sym___unsafe_unretained] = ACTIONS(5451),
    [anon_sym___unused] = ACTIONS(5451),
    [anon_sym___weak] = ACTIONS(5451),
    [anon_sym_alignas] = ACTIONS(5451),
    [anon_sym__Alignas] = ACTIONS(5451),
    [sym_primitive_type] = ACTIONS(5451),
    [anon_sym_enum] = ACTIONS(5451),
    [anon_sym_struct] = ACTIONS(5451),
    [anon_sym_union] = ACTIONS(5451),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5451),
    [anon_sym___typeof] = ACTIONS(5451),
    [anon_sym_typeof] = ACTIONS(5451),
    [aux_sym_preproc_undef_token1] = ACTIONS(5451),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5451),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5451),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5451),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5451),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5451),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5451),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5451),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5451),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5451),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5451),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5451),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5451),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5451),
    [anon_sym_API_AVAILABLE] = ACTIONS(5451),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5451),
    [anon_sym_API_DEPRECATED] = ACTIONS(5451),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5451),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5451),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5451),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5451),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5451),
    [anon_sym___deprecated_msg] = ACTIONS(5451),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5451),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5451),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5451),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5451),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5451),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5451),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5451),
    [anon_sym_ATproperty] = ACTIONS(5453),
    [anon_sym_BOOL] = ACTIONS(5451),
    [anon_sym_IMP] = ACTIONS(5451),
    [anon_sym_SEL] = ACTIONS(5451),
    [anon_sym_Class] = ACTIONS(5451),
    [anon_sym_id] = ACTIONS(5451),
  },
  [2210] = {
    [aux_sym_method_declaration_repeat2] = STATE(2210),
    [sym_identifier] = ACTIONS(5483),
    [aux_sym_preproc_def_token1] = ACTIONS(5483),
    [aux_sym_preproc_if_token1] = ACTIONS(5483),
    [aux_sym_preproc_if_token2] = ACTIONS(5483),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5483),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5483),
    [aux_sym_preproc_else_token1] = ACTIONS(5483),
    [aux_sym_preproc_elif_token1] = ACTIONS(5483),
    [sym_preproc_directive] = ACTIONS(5483),
    [anon_sym_DASH] = ACTIONS(5485),
    [anon_sym_PLUS] = ACTIONS(5485),
    [anon_sym_SEMI] = ACTIONS(5490),
    [anon_sym___extension__] = ACTIONS(5483),
    [anon_sym_typedef] = ACTIONS(5483),
    [anon_sym_extern] = ACTIONS(5483),
    [anon_sym___attribute__] = ACTIONS(5483),
    [anon_sym___attribute] = ACTIONS(5483),
    [anon_sym_noreturn] = ACTIONS(5483),
    [anon_sym_LBRACK] = ACTIONS(5485),
    [anon_sym___declspec] = ACTIONS(5483),
    [anon_sym___cdecl] = ACTIONS(5483),
    [anon_sym___clrcall] = ACTIONS(5483),
    [anon_sym___stdcall] = ACTIONS(5483),
    [anon_sym___fastcall] = ACTIONS(5483),
    [anon_sym___thiscall] = ACTIONS(5483),
    [anon_sym___vectorcall] = ACTIONS(5483),
    [anon_sym_signed] = ACTIONS(5483),
    [anon_sym_unsigned] = ACTIONS(5483),
    [anon_sym_long] = ACTIONS(5483),
    [anon_sym_short] = ACTIONS(5483),
    [anon_sym_static] = ACTIONS(5483),
    [anon_sym_auto] = ACTIONS(5483),
    [anon_sym_register] = ACTIONS(5483),
    [anon_sym_inline] = ACTIONS(5483),
    [anon_sym___inline] = ACTIONS(5483),
    [anon_sym___inline__] = ACTIONS(5483),
    [anon_sym___forceinline] = ACTIONS(5483),
    [anon_sym_thread_local] = ACTIONS(5483),
    [anon_sym___thread] = ACTIONS(5483),
    [anon_sym_CG_EXTERN] = ACTIONS(5483),
    [anon_sym_CG_INLINE] = ACTIONS(5483),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5483),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5483),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5483),
    [anon_sym_IBOutlet] = ACTIONS(5483),
    [anon_sym_IBInspectable] = ACTIONS(5483),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5483),
    [anon_sym_NS_INLINE] = ACTIONS(5483),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5483),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5483),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5483),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5483),
    [anon_sym_const] = ACTIONS(5483),
    [anon_sym_constexpr] = ACTIONS(5483),
    [anon_sym_volatile] = ACTIONS(5483),
    [anon_sym_restrict] = ACTIONS(5483),
    [anon_sym___restrict__] = ACTIONS(5483),
    [anon_sym__Atomic] = ACTIONS(5483),
    [anon_sym__Noreturn] = ACTIONS(5483),
    [anon_sym__Nonnull] = ACTIONS(5483),
    [anon_sym_nullable] = ACTIONS(5483),
    [anon_sym__Complex] = ACTIONS(5483),
    [anon_sym__Nullable] = ACTIONS(5483),
    [anon_sym__Nullable_result] = ACTIONS(5483),
    [anon_sym__Null_unspecified] = ACTIONS(5483),
    [anon_sym___autoreleasing] = ACTIONS(5483),
    [anon_sym___block] = ACTIONS(5483),
    [anon_sym___bridge] = ACTIONS(5483),
    [anon_sym___bridge_retained] = ACTIONS(5483),
    [anon_sym___bridge_transfer] = ACTIONS(5483),
    [anon_sym___complex] = ACTIONS(5483),
    [anon_sym___const] = ACTIONS(5483),
    [anon_sym___imag] = ACTIONS(5483),
    [anon_sym___kindof] = ACTIONS(5483),
    [anon_sym___nonnull] = ACTIONS(5483),
    [anon_sym___nullable] = ACTIONS(5483),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5483),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5483),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5483),
    [anon_sym___real] = ACTIONS(5483),
    [anon_sym___strong] = ACTIONS(5483),
    [anon_sym___unsafe_unretained] = ACTIONS(5483),
    [anon_sym___unused] = ACTIONS(5483),
    [anon_sym___weak] = ACTIONS(5483),
    [anon_sym_alignas] = ACTIONS(5483),
    [anon_sym__Alignas] = ACTIONS(5483),
    [sym_primitive_type] = ACTIONS(5483),
    [anon_sym_enum] = ACTIONS(5483),
    [anon_sym_struct] = ACTIONS(5483),
    [anon_sym_union] = ACTIONS(5483),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5483),
    [anon_sym___typeof] = ACTIONS(5483),
    [anon_sym_typeof] = ACTIONS(5483),
    [aux_sym_preproc_undef_token1] = ACTIONS(5483),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5483),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5483),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5483),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5483),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5483),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5483),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5483),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5483),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5483),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5483),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5483),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5483),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5483),
    [anon_sym_API_AVAILABLE] = ACTIONS(5483),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5483),
    [anon_sym_API_DEPRECATED] = ACTIONS(5483),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5483),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5483),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5483),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5483),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5483),
    [anon_sym___deprecated_msg] = ACTIONS(5483),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5483),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5483),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5483),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5483),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5483),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5483),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5483),
    [anon_sym_ATproperty] = ACTIONS(5485),
    [anon_sym_BOOL] = ACTIONS(5483),
    [anon_sym_IMP] = ACTIONS(5483),
    [anon_sym_SEL] = ACTIONS(5483),
    [anon_sym_Class] = ACTIONS(5483),
    [anon_sym_id] = ACTIONS(5483),
  },
  [2211] = {
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token2] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [aux_sym_preproc_else_token1] = ACTIONS(2474),
    [aux_sym_preproc_elif_token1] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym___attribute] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_auto] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_CG_EXTERN] = ACTIONS(2474),
    [anon_sym_CG_INLINE] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2474),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2474),
    [anon_sym_IBOutlet] = ACTIONS(2474),
    [anon_sym_IBInspectable] = ACTIONS(2474),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2474),
    [anon_sym_NS_INLINE] = ACTIONS(2474),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2474),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2474),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym__Nonnull] = ACTIONS(2474),
    [anon_sym_nullable] = ACTIONS(2474),
    [anon_sym__Complex] = ACTIONS(2474),
    [anon_sym__Nullable] = ACTIONS(2474),
    [anon_sym__Nullable_result] = ACTIONS(2474),
    [anon_sym__Null_unspecified] = ACTIONS(2474),
    [anon_sym___autoreleasing] = ACTIONS(2474),
    [anon_sym___block] = ACTIONS(2474),
    [anon_sym___bridge] = ACTIONS(2474),
    [anon_sym___bridge_retained] = ACTIONS(2474),
    [anon_sym___bridge_transfer] = ACTIONS(2474),
    [anon_sym___complex] = ACTIONS(2474),
    [anon_sym___const] = ACTIONS(2474),
    [anon_sym___imag] = ACTIONS(2474),
    [anon_sym___kindof] = ACTIONS(2474),
    [anon_sym___nonnull] = ACTIONS(2474),
    [anon_sym___nullable] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2474),
    [anon_sym___real] = ACTIONS(2474),
    [anon_sym___strong] = ACTIONS(2474),
    [anon_sym___unsafe_unretained] = ACTIONS(2474),
    [anon_sym___unused] = ACTIONS(2474),
    [anon_sym___weak] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2474),
    [anon_sym___typeof] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [aux_sym_preproc_undef_token1] = ACTIONS(2474),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2474),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2474),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2474),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_API_AVAILABLE] = ACTIONS(2474),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_API_DEPRECATED] = ACTIONS(2474),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym___deprecated_msg] = ACTIONS(2474),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2474),
    [anon_sym_ATsynthesize] = ACTIONS(2476),
    [anon_sym_ATdynamic] = ACTIONS(2476),
    [anon_sym_ATproperty] = ACTIONS(2476),
    [anon_sym_BOOL] = ACTIONS(2474),
    [anon_sym_IMP] = ACTIONS(2474),
    [anon_sym_SEL] = ACTIONS(2474),
    [anon_sym_Class] = ACTIONS(2474),
    [anon_sym_id] = ACTIONS(2474),
  },
  [2212] = {
    [sym_identifier] = ACTIONS(2806),
    [aux_sym_preproc_def_token1] = ACTIONS(2806),
    [aux_sym_preproc_if_token1] = ACTIONS(2806),
    [aux_sym_preproc_if_token2] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2806),
    [aux_sym_preproc_else_token1] = ACTIONS(2806),
    [aux_sym_preproc_elif_token1] = ACTIONS(2806),
    [sym_preproc_directive] = ACTIONS(2806),
    [anon_sym_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym___extension__] = ACTIONS(2806),
    [anon_sym_typedef] = ACTIONS(2806),
    [anon_sym_extern] = ACTIONS(2806),
    [anon_sym___attribute__] = ACTIONS(2806),
    [anon_sym___attribute] = ACTIONS(2806),
    [anon_sym_noreturn] = ACTIONS(2806),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym___declspec] = ACTIONS(2806),
    [anon_sym___cdecl] = ACTIONS(2806),
    [anon_sym___clrcall] = ACTIONS(2806),
    [anon_sym___stdcall] = ACTIONS(2806),
    [anon_sym___fastcall] = ACTIONS(2806),
    [anon_sym___thiscall] = ACTIONS(2806),
    [anon_sym___vectorcall] = ACTIONS(2806),
    [anon_sym_signed] = ACTIONS(2806),
    [anon_sym_unsigned] = ACTIONS(2806),
    [anon_sym_long] = ACTIONS(2806),
    [anon_sym_short] = ACTIONS(2806),
    [anon_sym_static] = ACTIONS(2806),
    [anon_sym_auto] = ACTIONS(2806),
    [anon_sym_register] = ACTIONS(2806),
    [anon_sym_inline] = ACTIONS(2806),
    [anon_sym___inline] = ACTIONS(2806),
    [anon_sym___inline__] = ACTIONS(2806),
    [anon_sym___forceinline] = ACTIONS(2806),
    [anon_sym_thread_local] = ACTIONS(2806),
    [anon_sym___thread] = ACTIONS(2806),
    [anon_sym_CG_EXTERN] = ACTIONS(2806),
    [anon_sym_CG_INLINE] = ACTIONS(2806),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2806),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2806),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2806),
    [anon_sym_IBOutlet] = ACTIONS(2806),
    [anon_sym_IBInspectable] = ACTIONS(2806),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2806),
    [anon_sym_NS_INLINE] = ACTIONS(2806),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2806),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2806),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2806),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2806),
    [anon_sym_const] = ACTIONS(2806),
    [anon_sym_constexpr] = ACTIONS(2806),
    [anon_sym_volatile] = ACTIONS(2806),
    [anon_sym_restrict] = ACTIONS(2806),
    [anon_sym___restrict__] = ACTIONS(2806),
    [anon_sym__Atomic] = ACTIONS(2806),
    [anon_sym__Noreturn] = ACTIONS(2806),
    [anon_sym__Nonnull] = ACTIONS(2806),
    [anon_sym_nullable] = ACTIONS(2806),
    [anon_sym__Complex] = ACTIONS(2806),
    [anon_sym__Nullable] = ACTIONS(2806),
    [anon_sym__Nullable_result] = ACTIONS(2806),
    [anon_sym__Null_unspecified] = ACTIONS(2806),
    [anon_sym___autoreleasing] = ACTIONS(2806),
    [anon_sym___block] = ACTIONS(2806),
    [anon_sym___bridge] = ACTIONS(2806),
    [anon_sym___bridge_retained] = ACTIONS(2806),
    [anon_sym___bridge_transfer] = ACTIONS(2806),
    [anon_sym___complex] = ACTIONS(2806),
    [anon_sym___const] = ACTIONS(2806),
    [anon_sym___imag] = ACTIONS(2806),
    [anon_sym___kindof] = ACTIONS(2806),
    [anon_sym___nonnull] = ACTIONS(2806),
    [anon_sym___nullable] = ACTIONS(2806),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2806),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2806),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2806),
    [anon_sym___real] = ACTIONS(2806),
    [anon_sym___strong] = ACTIONS(2806),
    [anon_sym___unsafe_unretained] = ACTIONS(2806),
    [anon_sym___unused] = ACTIONS(2806),
    [anon_sym___weak] = ACTIONS(2806),
    [anon_sym_alignas] = ACTIONS(2806),
    [anon_sym__Alignas] = ACTIONS(2806),
    [sym_primitive_type] = ACTIONS(2806),
    [anon_sym_enum] = ACTIONS(2806),
    [anon_sym_struct] = ACTIONS(2806),
    [anon_sym_union] = ACTIONS(2806),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2806),
    [anon_sym___typeof] = ACTIONS(2806),
    [anon_sym_typeof] = ACTIONS(2806),
    [aux_sym_preproc_undef_token1] = ACTIONS(2806),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2806),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2806),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2806),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2806),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2806),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2806),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2806),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2806),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2806),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2806),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2806),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2806),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2806),
    [anon_sym_API_AVAILABLE] = ACTIONS(2806),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2806),
    [anon_sym_API_DEPRECATED] = ACTIONS(2806),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2806),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2806),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2806),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2806),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2806),
    [anon_sym___deprecated_msg] = ACTIONS(2806),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2806),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2806),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2806),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2806),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2806),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2806),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2806),
    [anon_sym_ATsynthesize] = ACTIONS(2808),
    [anon_sym_ATdynamic] = ACTIONS(2808),
    [anon_sym_BOOL] = ACTIONS(2806),
    [anon_sym_IMP] = ACTIONS(2806),
    [anon_sym_SEL] = ACTIONS(2806),
    [anon_sym_Class] = ACTIONS(2806),
    [anon_sym_id] = ACTIONS(2806),
  },
  [2213] = {
    [sym_identifier] = ACTIONS(5409),
    [aux_sym_preproc_def_token1] = ACTIONS(5409),
    [aux_sym_preproc_if_token1] = ACTIONS(5409),
    [aux_sym_preproc_if_token2] = ACTIONS(5409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5409),
    [aux_sym_preproc_else_token1] = ACTIONS(5409),
    [aux_sym_preproc_elif_token1] = ACTIONS(5409),
    [sym_preproc_directive] = ACTIONS(5409),
    [anon_sym_DASH] = ACTIONS(5411),
    [anon_sym_PLUS] = ACTIONS(5411),
    [anon_sym___extension__] = ACTIONS(5409),
    [anon_sym_typedef] = ACTIONS(5409),
    [anon_sym_extern] = ACTIONS(5409),
    [anon_sym___attribute__] = ACTIONS(5409),
    [anon_sym___attribute] = ACTIONS(5409),
    [anon_sym_noreturn] = ACTIONS(5409),
    [anon_sym_LBRACK] = ACTIONS(5411),
    [anon_sym___declspec] = ACTIONS(5409),
    [anon_sym___cdecl] = ACTIONS(5409),
    [anon_sym___clrcall] = ACTIONS(5409),
    [anon_sym___stdcall] = ACTIONS(5409),
    [anon_sym___fastcall] = ACTIONS(5409),
    [anon_sym___thiscall] = ACTIONS(5409),
    [anon_sym___vectorcall] = ACTIONS(5409),
    [anon_sym_signed] = ACTIONS(5409),
    [anon_sym_unsigned] = ACTIONS(5409),
    [anon_sym_long] = ACTIONS(5409),
    [anon_sym_short] = ACTIONS(5409),
    [anon_sym_static] = ACTIONS(5409),
    [anon_sym_auto] = ACTIONS(5409),
    [anon_sym_register] = ACTIONS(5409),
    [anon_sym_inline] = ACTIONS(5409),
    [anon_sym___inline] = ACTIONS(5409),
    [anon_sym___inline__] = ACTIONS(5409),
    [anon_sym___forceinline] = ACTIONS(5409),
    [anon_sym_thread_local] = ACTIONS(5409),
    [anon_sym___thread] = ACTIONS(5409),
    [anon_sym_CG_EXTERN] = ACTIONS(5409),
    [anon_sym_CG_INLINE] = ACTIONS(5409),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5409),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5409),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5409),
    [anon_sym_IBOutlet] = ACTIONS(5409),
    [anon_sym_IBInspectable] = ACTIONS(5409),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5409),
    [anon_sym_NS_INLINE] = ACTIONS(5409),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5409),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5409),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5409),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5409),
    [anon_sym_const] = ACTIONS(5409),
    [anon_sym_constexpr] = ACTIONS(5409),
    [anon_sym_volatile] = ACTIONS(5409),
    [anon_sym_restrict] = ACTIONS(5409),
    [anon_sym___restrict__] = ACTIONS(5409),
    [anon_sym__Atomic] = ACTIONS(5409),
    [anon_sym__Noreturn] = ACTIONS(5409),
    [anon_sym__Nonnull] = ACTIONS(5409),
    [anon_sym_nullable] = ACTIONS(5409),
    [anon_sym__Complex] = ACTIONS(5409),
    [anon_sym__Nullable] = ACTIONS(5409),
    [anon_sym__Nullable_result] = ACTIONS(5409),
    [anon_sym__Null_unspecified] = ACTIONS(5409),
    [anon_sym___autoreleasing] = ACTIONS(5409),
    [anon_sym___block] = ACTIONS(5409),
    [anon_sym___bridge] = ACTIONS(5409),
    [anon_sym___bridge_retained] = ACTIONS(5409),
    [anon_sym___bridge_transfer] = ACTIONS(5409),
    [anon_sym___complex] = ACTIONS(5409),
    [anon_sym___const] = ACTIONS(5409),
    [anon_sym___imag] = ACTIONS(5409),
    [anon_sym___kindof] = ACTIONS(5409),
    [anon_sym___nonnull] = ACTIONS(5409),
    [anon_sym___nullable] = ACTIONS(5409),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5409),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5409),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5409),
    [anon_sym___real] = ACTIONS(5409),
    [anon_sym___strong] = ACTIONS(5409),
    [anon_sym___unsafe_unretained] = ACTIONS(5409),
    [anon_sym___unused] = ACTIONS(5409),
    [anon_sym___weak] = ACTIONS(5409),
    [anon_sym_alignas] = ACTIONS(5409),
    [anon_sym__Alignas] = ACTIONS(5409),
    [sym_primitive_type] = ACTIONS(5409),
    [anon_sym_enum] = ACTIONS(5409),
    [anon_sym_struct] = ACTIONS(5409),
    [anon_sym_union] = ACTIONS(5409),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5409),
    [anon_sym___typeof] = ACTIONS(5409),
    [anon_sym_typeof] = ACTIONS(5409),
    [aux_sym_preproc_undef_token1] = ACTIONS(5409),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5409),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5409),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5409),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5409),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5409),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5409),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5409),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5409),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5409),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5409),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5409),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5409),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5409),
    [anon_sym_API_AVAILABLE] = ACTIONS(5409),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5409),
    [anon_sym_API_DEPRECATED] = ACTIONS(5409),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5409),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5409),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5409),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5409),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5409),
    [anon_sym___deprecated_msg] = ACTIONS(5409),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5409),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5409),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5409),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5409),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5409),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5409),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5409),
    [anon_sym_ATsynthesize] = ACTIONS(5411),
    [anon_sym_ATdynamic] = ACTIONS(5411),
    [anon_sym_BOOL] = ACTIONS(5409),
    [anon_sym_IMP] = ACTIONS(5409),
    [anon_sym_SEL] = ACTIONS(5409),
    [anon_sym_Class] = ACTIONS(5409),
    [anon_sym_id] = ACTIONS(5409),
  },
  [2214] = {
    [sym_identifier] = ACTIONS(5415),
    [aux_sym_preproc_def_token1] = ACTIONS(5415),
    [aux_sym_preproc_if_token1] = ACTIONS(5415),
    [aux_sym_preproc_if_token2] = ACTIONS(5415),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5415),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5415),
    [aux_sym_preproc_else_token1] = ACTIONS(5415),
    [aux_sym_preproc_elif_token1] = ACTIONS(5415),
    [sym_preproc_directive] = ACTIONS(5415),
    [anon_sym_DASH] = ACTIONS(5417),
    [anon_sym_PLUS] = ACTIONS(5417),
    [anon_sym___extension__] = ACTIONS(5415),
    [anon_sym_typedef] = ACTIONS(5415),
    [anon_sym_extern] = ACTIONS(5415),
    [anon_sym___attribute__] = ACTIONS(5415),
    [anon_sym___attribute] = ACTIONS(5415),
    [anon_sym_noreturn] = ACTIONS(5415),
    [anon_sym_LBRACK] = ACTIONS(5417),
    [anon_sym___declspec] = ACTIONS(5415),
    [anon_sym___cdecl] = ACTIONS(5415),
    [anon_sym___clrcall] = ACTIONS(5415),
    [anon_sym___stdcall] = ACTIONS(5415),
    [anon_sym___fastcall] = ACTIONS(5415),
    [anon_sym___thiscall] = ACTIONS(5415),
    [anon_sym___vectorcall] = ACTIONS(5415),
    [anon_sym_signed] = ACTIONS(5415),
    [anon_sym_unsigned] = ACTIONS(5415),
    [anon_sym_long] = ACTIONS(5415),
    [anon_sym_short] = ACTIONS(5415),
    [anon_sym_static] = ACTIONS(5415),
    [anon_sym_auto] = ACTIONS(5415),
    [anon_sym_register] = ACTIONS(5415),
    [anon_sym_inline] = ACTIONS(5415),
    [anon_sym___inline] = ACTIONS(5415),
    [anon_sym___inline__] = ACTIONS(5415),
    [anon_sym___forceinline] = ACTIONS(5415),
    [anon_sym_thread_local] = ACTIONS(5415),
    [anon_sym___thread] = ACTIONS(5415),
    [anon_sym_CG_EXTERN] = ACTIONS(5415),
    [anon_sym_CG_INLINE] = ACTIONS(5415),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5415),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5415),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5415),
    [anon_sym_IBOutlet] = ACTIONS(5415),
    [anon_sym_IBInspectable] = ACTIONS(5415),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5415),
    [anon_sym_NS_INLINE] = ACTIONS(5415),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5415),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5415),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5415),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5415),
    [anon_sym_const] = ACTIONS(5415),
    [anon_sym_constexpr] = ACTIONS(5415),
    [anon_sym_volatile] = ACTIONS(5415),
    [anon_sym_restrict] = ACTIONS(5415),
    [anon_sym___restrict__] = ACTIONS(5415),
    [anon_sym__Atomic] = ACTIONS(5415),
    [anon_sym__Noreturn] = ACTIONS(5415),
    [anon_sym__Nonnull] = ACTIONS(5415),
    [anon_sym_nullable] = ACTIONS(5415),
    [anon_sym__Complex] = ACTIONS(5415),
    [anon_sym__Nullable] = ACTIONS(5415),
    [anon_sym__Nullable_result] = ACTIONS(5415),
    [anon_sym__Null_unspecified] = ACTIONS(5415),
    [anon_sym___autoreleasing] = ACTIONS(5415),
    [anon_sym___block] = ACTIONS(5415),
    [anon_sym___bridge] = ACTIONS(5415),
    [anon_sym___bridge_retained] = ACTIONS(5415),
    [anon_sym___bridge_transfer] = ACTIONS(5415),
    [anon_sym___complex] = ACTIONS(5415),
    [anon_sym___const] = ACTIONS(5415),
    [anon_sym___imag] = ACTIONS(5415),
    [anon_sym___kindof] = ACTIONS(5415),
    [anon_sym___nonnull] = ACTIONS(5415),
    [anon_sym___nullable] = ACTIONS(5415),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5415),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5415),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5415),
    [anon_sym___real] = ACTIONS(5415),
    [anon_sym___strong] = ACTIONS(5415),
    [anon_sym___unsafe_unretained] = ACTIONS(5415),
    [anon_sym___unused] = ACTIONS(5415),
    [anon_sym___weak] = ACTIONS(5415),
    [anon_sym_alignas] = ACTIONS(5415),
    [anon_sym__Alignas] = ACTIONS(5415),
    [sym_primitive_type] = ACTIONS(5415),
    [anon_sym_enum] = ACTIONS(5415),
    [anon_sym_struct] = ACTIONS(5415),
    [anon_sym_union] = ACTIONS(5415),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5415),
    [anon_sym___typeof] = ACTIONS(5415),
    [anon_sym_typeof] = ACTIONS(5415),
    [aux_sym_preproc_undef_token1] = ACTIONS(5415),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5415),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5415),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5415),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5415),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5415),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5415),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5415),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5415),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5415),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5415),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5415),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5415),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5415),
    [anon_sym_API_AVAILABLE] = ACTIONS(5415),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5415),
    [anon_sym_API_DEPRECATED] = ACTIONS(5415),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5415),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5415),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5415),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5415),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5415),
    [anon_sym___deprecated_msg] = ACTIONS(5415),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5415),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5415),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5415),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5415),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5415),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5415),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5415),
    [anon_sym_ATsynthesize] = ACTIONS(5417),
    [anon_sym_ATdynamic] = ACTIONS(5417),
    [anon_sym_BOOL] = ACTIONS(5415),
    [anon_sym_IMP] = ACTIONS(5415),
    [anon_sym_SEL] = ACTIONS(5415),
    [anon_sym_Class] = ACTIONS(5415),
    [anon_sym_id] = ACTIONS(5415),
  },
  [2215] = {
    [sym_identifier] = ACTIONS(5493),
    [aux_sym_preproc_def_token1] = ACTIONS(5493),
    [aux_sym_preproc_if_token1] = ACTIONS(5493),
    [aux_sym_preproc_if_token2] = ACTIONS(5493),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5493),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5493),
    [aux_sym_preproc_else_token1] = ACTIONS(5493),
    [aux_sym_preproc_elif_token1] = ACTIONS(5493),
    [sym_preproc_directive] = ACTIONS(5493),
    [anon_sym_DASH] = ACTIONS(5495),
    [anon_sym_PLUS] = ACTIONS(5495),
    [anon_sym___extension__] = ACTIONS(5493),
    [anon_sym_typedef] = ACTIONS(5493),
    [anon_sym_extern] = ACTIONS(5493),
    [anon_sym___attribute__] = ACTIONS(5493),
    [anon_sym___attribute] = ACTIONS(5493),
    [anon_sym_noreturn] = ACTIONS(5493),
    [anon_sym_LBRACK] = ACTIONS(5495),
    [anon_sym___declspec] = ACTIONS(5493),
    [anon_sym___cdecl] = ACTIONS(5493),
    [anon_sym___clrcall] = ACTIONS(5493),
    [anon_sym___stdcall] = ACTIONS(5493),
    [anon_sym___fastcall] = ACTIONS(5493),
    [anon_sym___thiscall] = ACTIONS(5493),
    [anon_sym___vectorcall] = ACTIONS(5493),
    [anon_sym_signed] = ACTIONS(5493),
    [anon_sym_unsigned] = ACTIONS(5493),
    [anon_sym_long] = ACTIONS(5493),
    [anon_sym_short] = ACTIONS(5493),
    [anon_sym_static] = ACTIONS(5493),
    [anon_sym_auto] = ACTIONS(5493),
    [anon_sym_register] = ACTIONS(5493),
    [anon_sym_inline] = ACTIONS(5493),
    [anon_sym___inline] = ACTIONS(5493),
    [anon_sym___inline__] = ACTIONS(5493),
    [anon_sym___forceinline] = ACTIONS(5493),
    [anon_sym_thread_local] = ACTIONS(5493),
    [anon_sym___thread] = ACTIONS(5493),
    [anon_sym_CG_EXTERN] = ACTIONS(5493),
    [anon_sym_CG_INLINE] = ACTIONS(5493),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5493),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5493),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5493),
    [anon_sym_IBOutlet] = ACTIONS(5493),
    [anon_sym_IBInspectable] = ACTIONS(5493),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5493),
    [anon_sym_NS_INLINE] = ACTIONS(5493),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5493),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5493),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5493),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5493),
    [anon_sym_const] = ACTIONS(5493),
    [anon_sym_constexpr] = ACTIONS(5493),
    [anon_sym_volatile] = ACTIONS(5493),
    [anon_sym_restrict] = ACTIONS(5493),
    [anon_sym___restrict__] = ACTIONS(5493),
    [anon_sym__Atomic] = ACTIONS(5493),
    [anon_sym__Noreturn] = ACTIONS(5493),
    [anon_sym__Nonnull] = ACTIONS(5493),
    [anon_sym_nullable] = ACTIONS(5493),
    [anon_sym__Complex] = ACTIONS(5493),
    [anon_sym__Nullable] = ACTIONS(5493),
    [anon_sym__Nullable_result] = ACTIONS(5493),
    [anon_sym__Null_unspecified] = ACTIONS(5493),
    [anon_sym___autoreleasing] = ACTIONS(5493),
    [anon_sym___block] = ACTIONS(5493),
    [anon_sym___bridge] = ACTIONS(5493),
    [anon_sym___bridge_retained] = ACTIONS(5493),
    [anon_sym___bridge_transfer] = ACTIONS(5493),
    [anon_sym___complex] = ACTIONS(5493),
    [anon_sym___const] = ACTIONS(5493),
    [anon_sym___imag] = ACTIONS(5493),
    [anon_sym___kindof] = ACTIONS(5493),
    [anon_sym___nonnull] = ACTIONS(5493),
    [anon_sym___nullable] = ACTIONS(5493),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5493),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5493),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5493),
    [anon_sym___real] = ACTIONS(5493),
    [anon_sym___strong] = ACTIONS(5493),
    [anon_sym___unsafe_unretained] = ACTIONS(5493),
    [anon_sym___unused] = ACTIONS(5493),
    [anon_sym___weak] = ACTIONS(5493),
    [anon_sym_alignas] = ACTIONS(5493),
    [anon_sym__Alignas] = ACTIONS(5493),
    [sym_primitive_type] = ACTIONS(5493),
    [anon_sym_enum] = ACTIONS(5493),
    [anon_sym_struct] = ACTIONS(5493),
    [anon_sym_union] = ACTIONS(5493),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5493),
    [anon_sym___typeof] = ACTIONS(5493),
    [anon_sym_typeof] = ACTIONS(5493),
    [aux_sym_preproc_undef_token1] = ACTIONS(5493),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5493),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5493),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5493),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5493),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5493),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5493),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5493),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5493),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5493),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5493),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5493),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5493),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5493),
    [anon_sym_API_AVAILABLE] = ACTIONS(5493),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5493),
    [anon_sym_API_DEPRECATED] = ACTIONS(5493),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5493),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5493),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5493),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5493),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5493),
    [anon_sym___deprecated_msg] = ACTIONS(5493),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5493),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5493),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5493),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5493),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5493),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5493),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5493),
    [anon_sym_ATsynthesize] = ACTIONS(5495),
    [anon_sym_ATdynamic] = ACTIONS(5495),
    [anon_sym_BOOL] = ACTIONS(5493),
    [anon_sym_IMP] = ACTIONS(5493),
    [anon_sym_SEL] = ACTIONS(5493),
    [anon_sym_Class] = ACTIONS(5493),
    [anon_sym_id] = ACTIONS(5493),
  },
  [2216] = {
    [sym_identifier] = ACTIONS(5421),
    [aux_sym_preproc_def_token1] = ACTIONS(5421),
    [aux_sym_preproc_if_token1] = ACTIONS(5421),
    [aux_sym_preproc_if_token2] = ACTIONS(5421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5421),
    [aux_sym_preproc_else_token1] = ACTIONS(5421),
    [aux_sym_preproc_elif_token1] = ACTIONS(5421),
    [sym_preproc_directive] = ACTIONS(5421),
    [anon_sym_DASH] = ACTIONS(5423),
    [anon_sym_PLUS] = ACTIONS(5423),
    [anon_sym___extension__] = ACTIONS(5421),
    [anon_sym_typedef] = ACTIONS(5421),
    [anon_sym_extern] = ACTIONS(5421),
    [anon_sym___attribute__] = ACTIONS(5421),
    [anon_sym___attribute] = ACTIONS(5421),
    [anon_sym_noreturn] = ACTIONS(5421),
    [anon_sym_LBRACK] = ACTIONS(5423),
    [anon_sym___declspec] = ACTIONS(5421),
    [anon_sym___cdecl] = ACTIONS(5421),
    [anon_sym___clrcall] = ACTIONS(5421),
    [anon_sym___stdcall] = ACTIONS(5421),
    [anon_sym___fastcall] = ACTIONS(5421),
    [anon_sym___thiscall] = ACTIONS(5421),
    [anon_sym___vectorcall] = ACTIONS(5421),
    [anon_sym_signed] = ACTIONS(5421),
    [anon_sym_unsigned] = ACTIONS(5421),
    [anon_sym_long] = ACTIONS(5421),
    [anon_sym_short] = ACTIONS(5421),
    [anon_sym_static] = ACTIONS(5421),
    [anon_sym_auto] = ACTIONS(5421),
    [anon_sym_register] = ACTIONS(5421),
    [anon_sym_inline] = ACTIONS(5421),
    [anon_sym___inline] = ACTIONS(5421),
    [anon_sym___inline__] = ACTIONS(5421),
    [anon_sym___forceinline] = ACTIONS(5421),
    [anon_sym_thread_local] = ACTIONS(5421),
    [anon_sym___thread] = ACTIONS(5421),
    [anon_sym_CG_EXTERN] = ACTIONS(5421),
    [anon_sym_CG_INLINE] = ACTIONS(5421),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5421),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5421),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5421),
    [anon_sym_IBOutlet] = ACTIONS(5421),
    [anon_sym_IBInspectable] = ACTIONS(5421),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5421),
    [anon_sym_NS_INLINE] = ACTIONS(5421),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5421),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5421),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5421),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5421),
    [anon_sym_const] = ACTIONS(5421),
    [anon_sym_constexpr] = ACTIONS(5421),
    [anon_sym_volatile] = ACTIONS(5421),
    [anon_sym_restrict] = ACTIONS(5421),
    [anon_sym___restrict__] = ACTIONS(5421),
    [anon_sym__Atomic] = ACTIONS(5421),
    [anon_sym__Noreturn] = ACTIONS(5421),
    [anon_sym__Nonnull] = ACTIONS(5421),
    [anon_sym_nullable] = ACTIONS(5421),
    [anon_sym__Complex] = ACTIONS(5421),
    [anon_sym__Nullable] = ACTIONS(5421),
    [anon_sym__Nullable_result] = ACTIONS(5421),
    [anon_sym__Null_unspecified] = ACTIONS(5421),
    [anon_sym___autoreleasing] = ACTIONS(5421),
    [anon_sym___block] = ACTIONS(5421),
    [anon_sym___bridge] = ACTIONS(5421),
    [anon_sym___bridge_retained] = ACTIONS(5421),
    [anon_sym___bridge_transfer] = ACTIONS(5421),
    [anon_sym___complex] = ACTIONS(5421),
    [anon_sym___const] = ACTIONS(5421),
    [anon_sym___imag] = ACTIONS(5421),
    [anon_sym___kindof] = ACTIONS(5421),
    [anon_sym___nonnull] = ACTIONS(5421),
    [anon_sym___nullable] = ACTIONS(5421),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5421),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5421),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5421),
    [anon_sym___real] = ACTIONS(5421),
    [anon_sym___strong] = ACTIONS(5421),
    [anon_sym___unsafe_unretained] = ACTIONS(5421),
    [anon_sym___unused] = ACTIONS(5421),
    [anon_sym___weak] = ACTIONS(5421),
    [anon_sym_alignas] = ACTIONS(5421),
    [anon_sym__Alignas] = ACTIONS(5421),
    [sym_primitive_type] = ACTIONS(5421),
    [anon_sym_enum] = ACTIONS(5421),
    [anon_sym_struct] = ACTIONS(5421),
    [anon_sym_union] = ACTIONS(5421),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5421),
    [anon_sym___typeof] = ACTIONS(5421),
    [anon_sym_typeof] = ACTIONS(5421),
    [aux_sym_preproc_undef_token1] = ACTIONS(5421),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5421),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5421),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5421),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5421),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5421),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5421),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5421),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5421),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5421),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5421),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5421),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5421),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5421),
    [anon_sym_API_AVAILABLE] = ACTIONS(5421),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5421),
    [anon_sym_API_DEPRECATED] = ACTIONS(5421),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5421),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5421),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5421),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5421),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5421),
    [anon_sym___deprecated_msg] = ACTIONS(5421),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5421),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5421),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5421),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5421),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5421),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5421),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5421),
    [anon_sym_ATsynthesize] = ACTIONS(5423),
    [anon_sym_ATdynamic] = ACTIONS(5423),
    [anon_sym_BOOL] = ACTIONS(5421),
    [anon_sym_IMP] = ACTIONS(5421),
    [anon_sym_SEL] = ACTIONS(5421),
    [anon_sym_Class] = ACTIONS(5421),
    [anon_sym_id] = ACTIONS(5421),
  },
  [2217] = {
    [sym_identifier] = ACTIONS(5497),
    [aux_sym_preproc_def_token1] = ACTIONS(5497),
    [aux_sym_preproc_if_token1] = ACTIONS(5497),
    [aux_sym_preproc_if_token2] = ACTIONS(5497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5497),
    [aux_sym_preproc_else_token1] = ACTIONS(5497),
    [aux_sym_preproc_elif_token1] = ACTIONS(5497),
    [sym_preproc_directive] = ACTIONS(5497),
    [anon_sym_DASH] = ACTIONS(5499),
    [anon_sym_PLUS] = ACTIONS(5499),
    [anon_sym___extension__] = ACTIONS(5497),
    [anon_sym_typedef] = ACTIONS(5497),
    [anon_sym_extern] = ACTIONS(5497),
    [anon_sym___attribute__] = ACTIONS(5497),
    [anon_sym___attribute] = ACTIONS(5497),
    [anon_sym_noreturn] = ACTIONS(5497),
    [anon_sym_LBRACK] = ACTIONS(5499),
    [anon_sym___declspec] = ACTIONS(5497),
    [anon_sym___cdecl] = ACTIONS(5497),
    [anon_sym___clrcall] = ACTIONS(5497),
    [anon_sym___stdcall] = ACTIONS(5497),
    [anon_sym___fastcall] = ACTIONS(5497),
    [anon_sym___thiscall] = ACTIONS(5497),
    [anon_sym___vectorcall] = ACTIONS(5497),
    [anon_sym_signed] = ACTIONS(5497),
    [anon_sym_unsigned] = ACTIONS(5497),
    [anon_sym_long] = ACTIONS(5497),
    [anon_sym_short] = ACTIONS(5497),
    [anon_sym_static] = ACTIONS(5497),
    [anon_sym_auto] = ACTIONS(5497),
    [anon_sym_register] = ACTIONS(5497),
    [anon_sym_inline] = ACTIONS(5497),
    [anon_sym___inline] = ACTIONS(5497),
    [anon_sym___inline__] = ACTIONS(5497),
    [anon_sym___forceinline] = ACTIONS(5497),
    [anon_sym_thread_local] = ACTIONS(5497),
    [anon_sym___thread] = ACTIONS(5497),
    [anon_sym_CG_EXTERN] = ACTIONS(5497),
    [anon_sym_CG_INLINE] = ACTIONS(5497),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5497),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5497),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5497),
    [anon_sym_IBOutlet] = ACTIONS(5497),
    [anon_sym_IBInspectable] = ACTIONS(5497),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5497),
    [anon_sym_NS_INLINE] = ACTIONS(5497),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5497),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5497),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5497),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5497),
    [anon_sym_const] = ACTIONS(5497),
    [anon_sym_constexpr] = ACTIONS(5497),
    [anon_sym_volatile] = ACTIONS(5497),
    [anon_sym_restrict] = ACTIONS(5497),
    [anon_sym___restrict__] = ACTIONS(5497),
    [anon_sym__Atomic] = ACTIONS(5497),
    [anon_sym__Noreturn] = ACTIONS(5497),
    [anon_sym__Nonnull] = ACTIONS(5497),
    [anon_sym_nullable] = ACTIONS(5497),
    [anon_sym__Complex] = ACTIONS(5497),
    [anon_sym__Nullable] = ACTIONS(5497),
    [anon_sym__Nullable_result] = ACTIONS(5497),
    [anon_sym__Null_unspecified] = ACTIONS(5497),
    [anon_sym___autoreleasing] = ACTIONS(5497),
    [anon_sym___block] = ACTIONS(5497),
    [anon_sym___bridge] = ACTIONS(5497),
    [anon_sym___bridge_retained] = ACTIONS(5497),
    [anon_sym___bridge_transfer] = ACTIONS(5497),
    [anon_sym___complex] = ACTIONS(5497),
    [anon_sym___const] = ACTIONS(5497),
    [anon_sym___imag] = ACTIONS(5497),
    [anon_sym___kindof] = ACTIONS(5497),
    [anon_sym___nonnull] = ACTIONS(5497),
    [anon_sym___nullable] = ACTIONS(5497),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5497),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5497),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5497),
    [anon_sym___real] = ACTIONS(5497),
    [anon_sym___strong] = ACTIONS(5497),
    [anon_sym___unsafe_unretained] = ACTIONS(5497),
    [anon_sym___unused] = ACTIONS(5497),
    [anon_sym___weak] = ACTIONS(5497),
    [anon_sym_alignas] = ACTIONS(5497),
    [anon_sym__Alignas] = ACTIONS(5497),
    [sym_primitive_type] = ACTIONS(5497),
    [anon_sym_enum] = ACTIONS(5497),
    [anon_sym_struct] = ACTIONS(5497),
    [anon_sym_union] = ACTIONS(5497),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5497),
    [anon_sym___typeof] = ACTIONS(5497),
    [anon_sym_typeof] = ACTIONS(5497),
    [aux_sym_preproc_undef_token1] = ACTIONS(5497),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5497),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5497),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5497),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5497),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5497),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5497),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5497),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5497),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5497),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5497),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5497),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5497),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5497),
    [anon_sym_API_AVAILABLE] = ACTIONS(5497),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5497),
    [anon_sym_API_DEPRECATED] = ACTIONS(5497),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5497),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5497),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5497),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5497),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5497),
    [anon_sym___deprecated_msg] = ACTIONS(5497),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5497),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5497),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5497),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5497),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5497),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5497),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5497),
    [anon_sym_ATsynthesize] = ACTIONS(5499),
    [anon_sym_ATdynamic] = ACTIONS(5499),
    [anon_sym_BOOL] = ACTIONS(5497),
    [anon_sym_IMP] = ACTIONS(5497),
    [anon_sym_SEL] = ACTIONS(5497),
    [anon_sym_Class] = ACTIONS(5497),
    [anon_sym_id] = ACTIONS(5497),
  },
  [2218] = {
    [sym_identifier] = ACTIONS(5427),
    [aux_sym_preproc_def_token1] = ACTIONS(5427),
    [aux_sym_preproc_if_token1] = ACTIONS(5427),
    [aux_sym_preproc_if_token2] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5427),
    [aux_sym_preproc_else_token1] = ACTIONS(5427),
    [aux_sym_preproc_elif_token1] = ACTIONS(5427),
    [sym_preproc_directive] = ACTIONS(5427),
    [anon_sym_DASH] = ACTIONS(5429),
    [anon_sym_PLUS] = ACTIONS(5429),
    [anon_sym___extension__] = ACTIONS(5427),
    [anon_sym_typedef] = ACTIONS(5427),
    [anon_sym_extern] = ACTIONS(5427),
    [anon_sym___attribute__] = ACTIONS(5427),
    [anon_sym___attribute] = ACTIONS(5427),
    [anon_sym_noreturn] = ACTIONS(5427),
    [anon_sym_LBRACK] = ACTIONS(5429),
    [anon_sym___declspec] = ACTIONS(5427),
    [anon_sym___cdecl] = ACTIONS(5427),
    [anon_sym___clrcall] = ACTIONS(5427),
    [anon_sym___stdcall] = ACTIONS(5427),
    [anon_sym___fastcall] = ACTIONS(5427),
    [anon_sym___thiscall] = ACTIONS(5427),
    [anon_sym___vectorcall] = ACTIONS(5427),
    [anon_sym_signed] = ACTIONS(5427),
    [anon_sym_unsigned] = ACTIONS(5427),
    [anon_sym_long] = ACTIONS(5427),
    [anon_sym_short] = ACTIONS(5427),
    [anon_sym_static] = ACTIONS(5427),
    [anon_sym_auto] = ACTIONS(5427),
    [anon_sym_register] = ACTIONS(5427),
    [anon_sym_inline] = ACTIONS(5427),
    [anon_sym___inline] = ACTIONS(5427),
    [anon_sym___inline__] = ACTIONS(5427),
    [anon_sym___forceinline] = ACTIONS(5427),
    [anon_sym_thread_local] = ACTIONS(5427),
    [anon_sym___thread] = ACTIONS(5427),
    [anon_sym_CG_EXTERN] = ACTIONS(5427),
    [anon_sym_CG_INLINE] = ACTIONS(5427),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5427),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5427),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5427),
    [anon_sym_IBOutlet] = ACTIONS(5427),
    [anon_sym_IBInspectable] = ACTIONS(5427),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5427),
    [anon_sym_NS_INLINE] = ACTIONS(5427),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5427),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5427),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5427),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5427),
    [anon_sym_const] = ACTIONS(5427),
    [anon_sym_constexpr] = ACTIONS(5427),
    [anon_sym_volatile] = ACTIONS(5427),
    [anon_sym_restrict] = ACTIONS(5427),
    [anon_sym___restrict__] = ACTIONS(5427),
    [anon_sym__Atomic] = ACTIONS(5427),
    [anon_sym__Noreturn] = ACTIONS(5427),
    [anon_sym__Nonnull] = ACTIONS(5427),
    [anon_sym_nullable] = ACTIONS(5427),
    [anon_sym__Complex] = ACTIONS(5427),
    [anon_sym__Nullable] = ACTIONS(5427),
    [anon_sym__Nullable_result] = ACTIONS(5427),
    [anon_sym__Null_unspecified] = ACTIONS(5427),
    [anon_sym___autoreleasing] = ACTIONS(5427),
    [anon_sym___block] = ACTIONS(5427),
    [anon_sym___bridge] = ACTIONS(5427),
    [anon_sym___bridge_retained] = ACTIONS(5427),
    [anon_sym___bridge_transfer] = ACTIONS(5427),
    [anon_sym___complex] = ACTIONS(5427),
    [anon_sym___const] = ACTIONS(5427),
    [anon_sym___imag] = ACTIONS(5427),
    [anon_sym___kindof] = ACTIONS(5427),
    [anon_sym___nonnull] = ACTIONS(5427),
    [anon_sym___nullable] = ACTIONS(5427),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5427),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5427),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5427),
    [anon_sym___real] = ACTIONS(5427),
    [anon_sym___strong] = ACTIONS(5427),
    [anon_sym___unsafe_unretained] = ACTIONS(5427),
    [anon_sym___unused] = ACTIONS(5427),
    [anon_sym___weak] = ACTIONS(5427),
    [anon_sym_alignas] = ACTIONS(5427),
    [anon_sym__Alignas] = ACTIONS(5427),
    [sym_primitive_type] = ACTIONS(5427),
    [anon_sym_enum] = ACTIONS(5427),
    [anon_sym_struct] = ACTIONS(5427),
    [anon_sym_union] = ACTIONS(5427),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5427),
    [anon_sym___typeof] = ACTIONS(5427),
    [anon_sym_typeof] = ACTIONS(5427),
    [aux_sym_preproc_undef_token1] = ACTIONS(5427),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5427),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5427),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5427),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5427),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5427),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5427),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5427),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5427),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5427),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5427),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5427),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5427),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5427),
    [anon_sym_API_AVAILABLE] = ACTIONS(5427),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5427),
    [anon_sym_API_DEPRECATED] = ACTIONS(5427),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5427),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5427),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5427),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5427),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5427),
    [anon_sym___deprecated_msg] = ACTIONS(5427),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5427),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5427),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5427),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5427),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5427),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5427),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5427),
    [anon_sym_ATsynthesize] = ACTIONS(5429),
    [anon_sym_ATdynamic] = ACTIONS(5429),
    [anon_sym_BOOL] = ACTIONS(5427),
    [anon_sym_IMP] = ACTIONS(5427),
    [anon_sym_SEL] = ACTIONS(5427),
    [anon_sym_Class] = ACTIONS(5427),
    [anon_sym_id] = ACTIONS(5427),
  },
  [2219] = {
    [sym_identifier] = ACTIONS(5433),
    [aux_sym_preproc_def_token1] = ACTIONS(5433),
    [aux_sym_preproc_if_token1] = ACTIONS(5433),
    [aux_sym_preproc_if_token2] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5433),
    [aux_sym_preproc_else_token1] = ACTIONS(5433),
    [aux_sym_preproc_elif_token1] = ACTIONS(5433),
    [sym_preproc_directive] = ACTIONS(5433),
    [anon_sym_DASH] = ACTIONS(5435),
    [anon_sym_PLUS] = ACTIONS(5435),
    [anon_sym___extension__] = ACTIONS(5433),
    [anon_sym_typedef] = ACTIONS(5433),
    [anon_sym_extern] = ACTIONS(5433),
    [anon_sym___attribute__] = ACTIONS(5433),
    [anon_sym___attribute] = ACTIONS(5433),
    [anon_sym_noreturn] = ACTIONS(5433),
    [anon_sym_LBRACK] = ACTIONS(5435),
    [anon_sym___declspec] = ACTIONS(5433),
    [anon_sym___cdecl] = ACTIONS(5433),
    [anon_sym___clrcall] = ACTIONS(5433),
    [anon_sym___stdcall] = ACTIONS(5433),
    [anon_sym___fastcall] = ACTIONS(5433),
    [anon_sym___thiscall] = ACTIONS(5433),
    [anon_sym___vectorcall] = ACTIONS(5433),
    [anon_sym_signed] = ACTIONS(5433),
    [anon_sym_unsigned] = ACTIONS(5433),
    [anon_sym_long] = ACTIONS(5433),
    [anon_sym_short] = ACTIONS(5433),
    [anon_sym_static] = ACTIONS(5433),
    [anon_sym_auto] = ACTIONS(5433),
    [anon_sym_register] = ACTIONS(5433),
    [anon_sym_inline] = ACTIONS(5433),
    [anon_sym___inline] = ACTIONS(5433),
    [anon_sym___inline__] = ACTIONS(5433),
    [anon_sym___forceinline] = ACTIONS(5433),
    [anon_sym_thread_local] = ACTIONS(5433),
    [anon_sym___thread] = ACTIONS(5433),
    [anon_sym_CG_EXTERN] = ACTIONS(5433),
    [anon_sym_CG_INLINE] = ACTIONS(5433),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5433),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5433),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5433),
    [anon_sym_IBOutlet] = ACTIONS(5433),
    [anon_sym_IBInspectable] = ACTIONS(5433),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5433),
    [anon_sym_NS_INLINE] = ACTIONS(5433),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5433),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5433),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5433),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5433),
    [anon_sym_const] = ACTIONS(5433),
    [anon_sym_constexpr] = ACTIONS(5433),
    [anon_sym_volatile] = ACTIONS(5433),
    [anon_sym_restrict] = ACTIONS(5433),
    [anon_sym___restrict__] = ACTIONS(5433),
    [anon_sym__Atomic] = ACTIONS(5433),
    [anon_sym__Noreturn] = ACTIONS(5433),
    [anon_sym__Nonnull] = ACTIONS(5433),
    [anon_sym_nullable] = ACTIONS(5433),
    [anon_sym__Complex] = ACTIONS(5433),
    [anon_sym__Nullable] = ACTIONS(5433),
    [anon_sym__Nullable_result] = ACTIONS(5433),
    [anon_sym__Null_unspecified] = ACTIONS(5433),
    [anon_sym___autoreleasing] = ACTIONS(5433),
    [anon_sym___block] = ACTIONS(5433),
    [anon_sym___bridge] = ACTIONS(5433),
    [anon_sym___bridge_retained] = ACTIONS(5433),
    [anon_sym___bridge_transfer] = ACTIONS(5433),
    [anon_sym___complex] = ACTIONS(5433),
    [anon_sym___const] = ACTIONS(5433),
    [anon_sym___imag] = ACTIONS(5433),
    [anon_sym___kindof] = ACTIONS(5433),
    [anon_sym___nonnull] = ACTIONS(5433),
    [anon_sym___nullable] = ACTIONS(5433),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5433),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5433),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5433),
    [anon_sym___real] = ACTIONS(5433),
    [anon_sym___strong] = ACTIONS(5433),
    [anon_sym___unsafe_unretained] = ACTIONS(5433),
    [anon_sym___unused] = ACTIONS(5433),
    [anon_sym___weak] = ACTIONS(5433),
    [anon_sym_alignas] = ACTIONS(5433),
    [anon_sym__Alignas] = ACTIONS(5433),
    [sym_primitive_type] = ACTIONS(5433),
    [anon_sym_enum] = ACTIONS(5433),
    [anon_sym_struct] = ACTIONS(5433),
    [anon_sym_union] = ACTIONS(5433),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5433),
    [anon_sym___typeof] = ACTIONS(5433),
    [anon_sym_typeof] = ACTIONS(5433),
    [aux_sym_preproc_undef_token1] = ACTIONS(5433),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5433),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5433),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5433),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5433),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5433),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5433),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5433),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5433),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5433),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5433),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5433),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5433),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5433),
    [anon_sym_API_AVAILABLE] = ACTIONS(5433),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5433),
    [anon_sym_API_DEPRECATED] = ACTIONS(5433),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5433),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5433),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5433),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5433),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5433),
    [anon_sym___deprecated_msg] = ACTIONS(5433),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5433),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5433),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5433),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5433),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5433),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5433),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5433),
    [anon_sym_ATsynthesize] = ACTIONS(5435),
    [anon_sym_ATdynamic] = ACTIONS(5435),
    [anon_sym_BOOL] = ACTIONS(5433),
    [anon_sym_IMP] = ACTIONS(5433),
    [anon_sym_SEL] = ACTIONS(5433),
    [anon_sym_Class] = ACTIONS(5433),
    [anon_sym_id] = ACTIONS(5433),
  },
  [2220] = {
    [sym_identifier] = ACTIONS(5369),
    [aux_sym_preproc_def_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token2] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5369),
    [aux_sym_preproc_else_token1] = ACTIONS(5369),
    [aux_sym_preproc_elif_token1] = ACTIONS(5369),
    [sym_preproc_directive] = ACTIONS(5369),
    [anon_sym_DASH] = ACTIONS(5371),
    [anon_sym_PLUS] = ACTIONS(5371),
    [anon_sym___extension__] = ACTIONS(5369),
    [anon_sym_typedef] = ACTIONS(5369),
    [anon_sym_extern] = ACTIONS(5369),
    [anon_sym___attribute__] = ACTIONS(5369),
    [anon_sym___attribute] = ACTIONS(5369),
    [anon_sym_noreturn] = ACTIONS(5369),
    [anon_sym_LBRACK] = ACTIONS(5371),
    [anon_sym___declspec] = ACTIONS(5369),
    [anon_sym___cdecl] = ACTIONS(5369),
    [anon_sym___clrcall] = ACTIONS(5369),
    [anon_sym___stdcall] = ACTIONS(5369),
    [anon_sym___fastcall] = ACTIONS(5369),
    [anon_sym___thiscall] = ACTIONS(5369),
    [anon_sym___vectorcall] = ACTIONS(5369),
    [anon_sym_signed] = ACTIONS(5369),
    [anon_sym_unsigned] = ACTIONS(5369),
    [anon_sym_long] = ACTIONS(5369),
    [anon_sym_short] = ACTIONS(5369),
    [anon_sym_static] = ACTIONS(5369),
    [anon_sym_auto] = ACTIONS(5369),
    [anon_sym_register] = ACTIONS(5369),
    [anon_sym_inline] = ACTIONS(5369),
    [anon_sym___inline] = ACTIONS(5369),
    [anon_sym___inline__] = ACTIONS(5369),
    [anon_sym___forceinline] = ACTIONS(5369),
    [anon_sym_thread_local] = ACTIONS(5369),
    [anon_sym___thread] = ACTIONS(5369),
    [anon_sym_CG_EXTERN] = ACTIONS(5369),
    [anon_sym_CG_INLINE] = ACTIONS(5369),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5369),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5369),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5369),
    [anon_sym_IBOutlet] = ACTIONS(5369),
    [anon_sym_IBInspectable] = ACTIONS(5369),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5369),
    [anon_sym_NS_INLINE] = ACTIONS(5369),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5369),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5369),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5369),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5369),
    [anon_sym_const] = ACTIONS(5369),
    [anon_sym_constexpr] = ACTIONS(5369),
    [anon_sym_volatile] = ACTIONS(5369),
    [anon_sym_restrict] = ACTIONS(5369),
    [anon_sym___restrict__] = ACTIONS(5369),
    [anon_sym__Atomic] = ACTIONS(5369),
    [anon_sym__Noreturn] = ACTIONS(5369),
    [anon_sym__Nonnull] = ACTIONS(5369),
    [anon_sym_nullable] = ACTIONS(5369),
    [anon_sym__Complex] = ACTIONS(5369),
    [anon_sym__Nullable] = ACTIONS(5369),
    [anon_sym__Nullable_result] = ACTIONS(5369),
    [anon_sym__Null_unspecified] = ACTIONS(5369),
    [anon_sym___autoreleasing] = ACTIONS(5369),
    [anon_sym___block] = ACTIONS(5369),
    [anon_sym___bridge] = ACTIONS(5369),
    [anon_sym___bridge_retained] = ACTIONS(5369),
    [anon_sym___bridge_transfer] = ACTIONS(5369),
    [anon_sym___complex] = ACTIONS(5369),
    [anon_sym___const] = ACTIONS(5369),
    [anon_sym___imag] = ACTIONS(5369),
    [anon_sym___kindof] = ACTIONS(5369),
    [anon_sym___nonnull] = ACTIONS(5369),
    [anon_sym___nullable] = ACTIONS(5369),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5369),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5369),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5369),
    [anon_sym___real] = ACTIONS(5369),
    [anon_sym___strong] = ACTIONS(5369),
    [anon_sym___unsafe_unretained] = ACTIONS(5369),
    [anon_sym___unused] = ACTIONS(5369),
    [anon_sym___weak] = ACTIONS(5369),
    [anon_sym_alignas] = ACTIONS(5369),
    [anon_sym__Alignas] = ACTIONS(5369),
    [sym_primitive_type] = ACTIONS(5369),
    [anon_sym_enum] = ACTIONS(5369),
    [anon_sym_struct] = ACTIONS(5369),
    [anon_sym_union] = ACTIONS(5369),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5369),
    [anon_sym___typeof] = ACTIONS(5369),
    [anon_sym_typeof] = ACTIONS(5369),
    [aux_sym_preproc_undef_token1] = ACTIONS(5369),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5369),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5369),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5369),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5369),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5369),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5369),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5369),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5369),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5369),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5369),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5369),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5369),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5369),
    [anon_sym_API_AVAILABLE] = ACTIONS(5369),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5369),
    [anon_sym_API_DEPRECATED] = ACTIONS(5369),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5369),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5369),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5369),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5369),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5369),
    [anon_sym___deprecated_msg] = ACTIONS(5369),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5369),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5369),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5369),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5369),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5369),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5369),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5369),
    [anon_sym_ATsynthesize] = ACTIONS(5371),
    [anon_sym_ATdynamic] = ACTIONS(5371),
    [anon_sym_BOOL] = ACTIONS(5369),
    [anon_sym_IMP] = ACTIONS(5369),
    [anon_sym_SEL] = ACTIONS(5369),
    [anon_sym_Class] = ACTIONS(5369),
    [anon_sym_id] = ACTIONS(5369),
  },
  [2221] = {
    [sym_identifier] = ACTIONS(5439),
    [aux_sym_preproc_def_token1] = ACTIONS(5439),
    [aux_sym_preproc_if_token1] = ACTIONS(5439),
    [aux_sym_preproc_if_token2] = ACTIONS(5439),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5439),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5439),
    [aux_sym_preproc_else_token1] = ACTIONS(5439),
    [aux_sym_preproc_elif_token1] = ACTIONS(5439),
    [sym_preproc_directive] = ACTIONS(5439),
    [anon_sym_DASH] = ACTIONS(5441),
    [anon_sym_PLUS] = ACTIONS(5441),
    [anon_sym___extension__] = ACTIONS(5439),
    [anon_sym_typedef] = ACTIONS(5439),
    [anon_sym_extern] = ACTIONS(5439),
    [anon_sym___attribute__] = ACTIONS(5439),
    [anon_sym___attribute] = ACTIONS(5439),
    [anon_sym_noreturn] = ACTIONS(5439),
    [anon_sym_LBRACK] = ACTIONS(5441),
    [anon_sym___declspec] = ACTIONS(5439),
    [anon_sym___cdecl] = ACTIONS(5439),
    [anon_sym___clrcall] = ACTIONS(5439),
    [anon_sym___stdcall] = ACTIONS(5439),
    [anon_sym___fastcall] = ACTIONS(5439),
    [anon_sym___thiscall] = ACTIONS(5439),
    [anon_sym___vectorcall] = ACTIONS(5439),
    [anon_sym_signed] = ACTIONS(5439),
    [anon_sym_unsigned] = ACTIONS(5439),
    [anon_sym_long] = ACTIONS(5439),
    [anon_sym_short] = ACTIONS(5439),
    [anon_sym_static] = ACTIONS(5439),
    [anon_sym_auto] = ACTIONS(5439),
    [anon_sym_register] = ACTIONS(5439),
    [anon_sym_inline] = ACTIONS(5439),
    [anon_sym___inline] = ACTIONS(5439),
    [anon_sym___inline__] = ACTIONS(5439),
    [anon_sym___forceinline] = ACTIONS(5439),
    [anon_sym_thread_local] = ACTIONS(5439),
    [anon_sym___thread] = ACTIONS(5439),
    [anon_sym_CG_EXTERN] = ACTIONS(5439),
    [anon_sym_CG_INLINE] = ACTIONS(5439),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5439),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5439),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5439),
    [anon_sym_IBOutlet] = ACTIONS(5439),
    [anon_sym_IBInspectable] = ACTIONS(5439),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5439),
    [anon_sym_NS_INLINE] = ACTIONS(5439),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5439),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5439),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5439),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5439),
    [anon_sym_const] = ACTIONS(5439),
    [anon_sym_constexpr] = ACTIONS(5439),
    [anon_sym_volatile] = ACTIONS(5439),
    [anon_sym_restrict] = ACTIONS(5439),
    [anon_sym___restrict__] = ACTIONS(5439),
    [anon_sym__Atomic] = ACTIONS(5439),
    [anon_sym__Noreturn] = ACTIONS(5439),
    [anon_sym__Nonnull] = ACTIONS(5439),
    [anon_sym_nullable] = ACTIONS(5439),
    [anon_sym__Complex] = ACTIONS(5439),
    [anon_sym__Nullable] = ACTIONS(5439),
    [anon_sym__Nullable_result] = ACTIONS(5439),
    [anon_sym__Null_unspecified] = ACTIONS(5439),
    [anon_sym___autoreleasing] = ACTIONS(5439),
    [anon_sym___block] = ACTIONS(5439),
    [anon_sym___bridge] = ACTIONS(5439),
    [anon_sym___bridge_retained] = ACTIONS(5439),
    [anon_sym___bridge_transfer] = ACTIONS(5439),
    [anon_sym___complex] = ACTIONS(5439),
    [anon_sym___const] = ACTIONS(5439),
    [anon_sym___imag] = ACTIONS(5439),
    [anon_sym___kindof] = ACTIONS(5439),
    [anon_sym___nonnull] = ACTIONS(5439),
    [anon_sym___nullable] = ACTIONS(5439),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5439),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5439),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5439),
    [anon_sym___real] = ACTIONS(5439),
    [anon_sym___strong] = ACTIONS(5439),
    [anon_sym___unsafe_unretained] = ACTIONS(5439),
    [anon_sym___unused] = ACTIONS(5439),
    [anon_sym___weak] = ACTIONS(5439),
    [anon_sym_alignas] = ACTIONS(5439),
    [anon_sym__Alignas] = ACTIONS(5439),
    [sym_primitive_type] = ACTIONS(5439),
    [anon_sym_enum] = ACTIONS(5439),
    [anon_sym_struct] = ACTIONS(5439),
    [anon_sym_union] = ACTIONS(5439),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5439),
    [anon_sym___typeof] = ACTIONS(5439),
    [anon_sym_typeof] = ACTIONS(5439),
    [aux_sym_preproc_undef_token1] = ACTIONS(5439),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5439),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5439),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5439),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5439),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5439),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5439),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5439),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5439),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5439),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5439),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5439),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5439),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5439),
    [anon_sym_API_AVAILABLE] = ACTIONS(5439),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5439),
    [anon_sym_API_DEPRECATED] = ACTIONS(5439),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5439),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5439),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5439),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5439),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5439),
    [anon_sym___deprecated_msg] = ACTIONS(5439),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5439),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5439),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5439),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5439),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5439),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5439),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5439),
    [anon_sym_ATsynthesize] = ACTIONS(5441),
    [anon_sym_ATdynamic] = ACTIONS(5441),
    [anon_sym_BOOL] = ACTIONS(5439),
    [anon_sym_IMP] = ACTIONS(5439),
    [anon_sym_SEL] = ACTIONS(5439),
    [anon_sym_Class] = ACTIONS(5439),
    [anon_sym_id] = ACTIONS(5439),
  },
  [2222] = {
    [sym_identifier] = ACTIONS(5445),
    [aux_sym_preproc_def_token1] = ACTIONS(5445),
    [aux_sym_preproc_if_token1] = ACTIONS(5445),
    [aux_sym_preproc_if_token2] = ACTIONS(5445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5445),
    [aux_sym_preproc_else_token1] = ACTIONS(5445),
    [aux_sym_preproc_elif_token1] = ACTIONS(5445),
    [sym_preproc_directive] = ACTIONS(5445),
    [anon_sym_DASH] = ACTIONS(5447),
    [anon_sym_PLUS] = ACTIONS(5447),
    [anon_sym___extension__] = ACTIONS(5445),
    [anon_sym_typedef] = ACTIONS(5445),
    [anon_sym_extern] = ACTIONS(5445),
    [anon_sym___attribute__] = ACTIONS(5445),
    [anon_sym___attribute] = ACTIONS(5445),
    [anon_sym_noreturn] = ACTIONS(5445),
    [anon_sym_LBRACK] = ACTIONS(5447),
    [anon_sym___declspec] = ACTIONS(5445),
    [anon_sym___cdecl] = ACTIONS(5445),
    [anon_sym___clrcall] = ACTIONS(5445),
    [anon_sym___stdcall] = ACTIONS(5445),
    [anon_sym___fastcall] = ACTIONS(5445),
    [anon_sym___thiscall] = ACTIONS(5445),
    [anon_sym___vectorcall] = ACTIONS(5445),
    [anon_sym_signed] = ACTIONS(5445),
    [anon_sym_unsigned] = ACTIONS(5445),
    [anon_sym_long] = ACTIONS(5445),
    [anon_sym_short] = ACTIONS(5445),
    [anon_sym_static] = ACTIONS(5445),
    [anon_sym_auto] = ACTIONS(5445),
    [anon_sym_register] = ACTIONS(5445),
    [anon_sym_inline] = ACTIONS(5445),
    [anon_sym___inline] = ACTIONS(5445),
    [anon_sym___inline__] = ACTIONS(5445),
    [anon_sym___forceinline] = ACTIONS(5445),
    [anon_sym_thread_local] = ACTIONS(5445),
    [anon_sym___thread] = ACTIONS(5445),
    [anon_sym_CG_EXTERN] = ACTIONS(5445),
    [anon_sym_CG_INLINE] = ACTIONS(5445),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5445),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5445),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5445),
    [anon_sym_IBOutlet] = ACTIONS(5445),
    [anon_sym_IBInspectable] = ACTIONS(5445),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5445),
    [anon_sym_NS_INLINE] = ACTIONS(5445),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5445),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5445),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5445),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5445),
    [anon_sym_const] = ACTIONS(5445),
    [anon_sym_constexpr] = ACTIONS(5445),
    [anon_sym_volatile] = ACTIONS(5445),
    [anon_sym_restrict] = ACTIONS(5445),
    [anon_sym___restrict__] = ACTIONS(5445),
    [anon_sym__Atomic] = ACTIONS(5445),
    [anon_sym__Noreturn] = ACTIONS(5445),
    [anon_sym__Nonnull] = ACTIONS(5445),
    [anon_sym_nullable] = ACTIONS(5445),
    [anon_sym__Complex] = ACTIONS(5445),
    [anon_sym__Nullable] = ACTIONS(5445),
    [anon_sym__Nullable_result] = ACTIONS(5445),
    [anon_sym__Null_unspecified] = ACTIONS(5445),
    [anon_sym___autoreleasing] = ACTIONS(5445),
    [anon_sym___block] = ACTIONS(5445),
    [anon_sym___bridge] = ACTIONS(5445),
    [anon_sym___bridge_retained] = ACTIONS(5445),
    [anon_sym___bridge_transfer] = ACTIONS(5445),
    [anon_sym___complex] = ACTIONS(5445),
    [anon_sym___const] = ACTIONS(5445),
    [anon_sym___imag] = ACTIONS(5445),
    [anon_sym___kindof] = ACTIONS(5445),
    [anon_sym___nonnull] = ACTIONS(5445),
    [anon_sym___nullable] = ACTIONS(5445),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5445),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5445),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5445),
    [anon_sym___real] = ACTIONS(5445),
    [anon_sym___strong] = ACTIONS(5445),
    [anon_sym___unsafe_unretained] = ACTIONS(5445),
    [anon_sym___unused] = ACTIONS(5445),
    [anon_sym___weak] = ACTIONS(5445),
    [anon_sym_alignas] = ACTIONS(5445),
    [anon_sym__Alignas] = ACTIONS(5445),
    [sym_primitive_type] = ACTIONS(5445),
    [anon_sym_enum] = ACTIONS(5445),
    [anon_sym_struct] = ACTIONS(5445),
    [anon_sym_union] = ACTIONS(5445),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5445),
    [anon_sym___typeof] = ACTIONS(5445),
    [anon_sym_typeof] = ACTIONS(5445),
    [aux_sym_preproc_undef_token1] = ACTIONS(5445),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5445),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5445),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5445),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5445),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5445),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5445),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5445),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5445),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5445),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5445),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5445),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5445),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5445),
    [anon_sym_API_AVAILABLE] = ACTIONS(5445),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5445),
    [anon_sym_API_DEPRECATED] = ACTIONS(5445),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5445),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5445),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5445),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5445),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5445),
    [anon_sym___deprecated_msg] = ACTIONS(5445),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5445),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5445),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5445),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5445),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5445),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5445),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5445),
    [anon_sym_ATsynthesize] = ACTIONS(5447),
    [anon_sym_ATdynamic] = ACTIONS(5447),
    [anon_sym_BOOL] = ACTIONS(5445),
    [anon_sym_IMP] = ACTIONS(5445),
    [anon_sym_SEL] = ACTIONS(5445),
    [anon_sym_Class] = ACTIONS(5445),
    [anon_sym_id] = ACTIONS(5445),
  },
  [2223] = {
    [sym_identifier] = ACTIONS(5501),
    [aux_sym_preproc_def_token1] = ACTIONS(5501),
    [aux_sym_preproc_if_token1] = ACTIONS(5501),
    [aux_sym_preproc_if_token2] = ACTIONS(5501),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5501),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5501),
    [aux_sym_preproc_else_token1] = ACTIONS(5501),
    [aux_sym_preproc_elif_token1] = ACTIONS(5501),
    [sym_preproc_directive] = ACTIONS(5501),
    [anon_sym_DASH] = ACTIONS(5503),
    [anon_sym_PLUS] = ACTIONS(5503),
    [anon_sym___extension__] = ACTIONS(5501),
    [anon_sym_typedef] = ACTIONS(5501),
    [anon_sym_extern] = ACTIONS(5501),
    [anon_sym___attribute__] = ACTIONS(5501),
    [anon_sym___attribute] = ACTIONS(5501),
    [anon_sym_noreturn] = ACTIONS(5501),
    [anon_sym_LBRACK] = ACTIONS(5503),
    [anon_sym___declspec] = ACTIONS(5501),
    [anon_sym___cdecl] = ACTIONS(5501),
    [anon_sym___clrcall] = ACTIONS(5501),
    [anon_sym___stdcall] = ACTIONS(5501),
    [anon_sym___fastcall] = ACTIONS(5501),
    [anon_sym___thiscall] = ACTIONS(5501),
    [anon_sym___vectorcall] = ACTIONS(5501),
    [anon_sym_signed] = ACTIONS(5501),
    [anon_sym_unsigned] = ACTIONS(5501),
    [anon_sym_long] = ACTIONS(5501),
    [anon_sym_short] = ACTIONS(5501),
    [anon_sym_static] = ACTIONS(5501),
    [anon_sym_auto] = ACTIONS(5501),
    [anon_sym_register] = ACTIONS(5501),
    [anon_sym_inline] = ACTIONS(5501),
    [anon_sym___inline] = ACTIONS(5501),
    [anon_sym___inline__] = ACTIONS(5501),
    [anon_sym___forceinline] = ACTIONS(5501),
    [anon_sym_thread_local] = ACTIONS(5501),
    [anon_sym___thread] = ACTIONS(5501),
    [anon_sym_CG_EXTERN] = ACTIONS(5501),
    [anon_sym_CG_INLINE] = ACTIONS(5501),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5501),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5501),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5501),
    [anon_sym_IBOutlet] = ACTIONS(5501),
    [anon_sym_IBInspectable] = ACTIONS(5501),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5501),
    [anon_sym_NS_INLINE] = ACTIONS(5501),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5501),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5501),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5501),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5501),
    [anon_sym_const] = ACTIONS(5501),
    [anon_sym_constexpr] = ACTIONS(5501),
    [anon_sym_volatile] = ACTIONS(5501),
    [anon_sym_restrict] = ACTIONS(5501),
    [anon_sym___restrict__] = ACTIONS(5501),
    [anon_sym__Atomic] = ACTIONS(5501),
    [anon_sym__Noreturn] = ACTIONS(5501),
    [anon_sym__Nonnull] = ACTIONS(5501),
    [anon_sym_nullable] = ACTIONS(5501),
    [anon_sym__Complex] = ACTIONS(5501),
    [anon_sym__Nullable] = ACTIONS(5501),
    [anon_sym__Nullable_result] = ACTIONS(5501),
    [anon_sym__Null_unspecified] = ACTIONS(5501),
    [anon_sym___autoreleasing] = ACTIONS(5501),
    [anon_sym___block] = ACTIONS(5501),
    [anon_sym___bridge] = ACTIONS(5501),
    [anon_sym___bridge_retained] = ACTIONS(5501),
    [anon_sym___bridge_transfer] = ACTIONS(5501),
    [anon_sym___complex] = ACTIONS(5501),
    [anon_sym___const] = ACTIONS(5501),
    [anon_sym___imag] = ACTIONS(5501),
    [anon_sym___kindof] = ACTIONS(5501),
    [anon_sym___nonnull] = ACTIONS(5501),
    [anon_sym___nullable] = ACTIONS(5501),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5501),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5501),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5501),
    [anon_sym___real] = ACTIONS(5501),
    [anon_sym___strong] = ACTIONS(5501),
    [anon_sym___unsafe_unretained] = ACTIONS(5501),
    [anon_sym___unused] = ACTIONS(5501),
    [anon_sym___weak] = ACTIONS(5501),
    [anon_sym_alignas] = ACTIONS(5501),
    [anon_sym__Alignas] = ACTIONS(5501),
    [sym_primitive_type] = ACTIONS(5501),
    [anon_sym_enum] = ACTIONS(5501),
    [anon_sym_struct] = ACTIONS(5501),
    [anon_sym_union] = ACTIONS(5501),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5501),
    [anon_sym___typeof] = ACTIONS(5501),
    [anon_sym_typeof] = ACTIONS(5501),
    [aux_sym_preproc_undef_token1] = ACTIONS(5501),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5501),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5501),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5501),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5501),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5501),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5501),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5501),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5501),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5501),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5501),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5501),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5501),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5501),
    [anon_sym_API_AVAILABLE] = ACTIONS(5501),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5501),
    [anon_sym_API_DEPRECATED] = ACTIONS(5501),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5501),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5501),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5501),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5501),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5501),
    [anon_sym___deprecated_msg] = ACTIONS(5501),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5501),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5501),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5501),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5501),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5501),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5501),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5501),
    [anon_sym_ATsynthesize] = ACTIONS(5503),
    [anon_sym_ATdynamic] = ACTIONS(5503),
    [anon_sym_BOOL] = ACTIONS(5501),
    [anon_sym_IMP] = ACTIONS(5501),
    [anon_sym_SEL] = ACTIONS(5501),
    [anon_sym_Class] = ACTIONS(5501),
    [anon_sym_id] = ACTIONS(5501),
  },
  [2224] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_DASH] = ACTIONS(2800),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym___attribute] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_RBRACE] = ACTIONS(2800),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_auto] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_CG_EXTERN] = ACTIONS(2798),
    [anon_sym_CG_INLINE] = ACTIONS(2798),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2798),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2798),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2798),
    [anon_sym_IBOutlet] = ACTIONS(2798),
    [anon_sym_IBInspectable] = ACTIONS(2798),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2798),
    [anon_sym_NS_INLINE] = ACTIONS(2798),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2798),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2798),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2798),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_nullable] = ACTIONS(2798),
    [anon_sym__Complex] = ACTIONS(2798),
    [anon_sym__Nullable] = ACTIONS(2798),
    [anon_sym__Nullable_result] = ACTIONS(2798),
    [anon_sym__Null_unspecified] = ACTIONS(2798),
    [anon_sym___autoreleasing] = ACTIONS(2798),
    [anon_sym___block] = ACTIONS(2798),
    [anon_sym___bridge] = ACTIONS(2798),
    [anon_sym___bridge_retained] = ACTIONS(2798),
    [anon_sym___bridge_transfer] = ACTIONS(2798),
    [anon_sym___complex] = ACTIONS(2798),
    [anon_sym___const] = ACTIONS(2798),
    [anon_sym___imag] = ACTIONS(2798),
    [anon_sym___kindof] = ACTIONS(2798),
    [anon_sym___nonnull] = ACTIONS(2798),
    [anon_sym___nullable] = ACTIONS(2798),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2798),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2798),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2798),
    [anon_sym___real] = ACTIONS(2798),
    [anon_sym___strong] = ACTIONS(2798),
    [anon_sym___unsafe_unretained] = ACTIONS(2798),
    [anon_sym___unused] = ACTIONS(2798),
    [anon_sym___weak] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2798),
    [anon_sym___typeof] = ACTIONS(2798),
    [anon_sym_typeof] = ACTIONS(2798),
    [aux_sym_preproc_undef_token1] = ACTIONS(2798),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2798),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2798),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2798),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2798),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2798),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2798),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2798),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2798),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_API_AVAILABLE] = ACTIONS(2798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_API_DEPRECATED] = ACTIONS(2798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2798),
    [anon_sym___deprecated_msg] = ACTIONS(2798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2798),
    [anon_sym_ATend] = ACTIONS(2800),
    [anon_sym_ATsynthesize] = ACTIONS(2800),
    [anon_sym_ATdynamic] = ACTIONS(2800),
    [anon_sym_BOOL] = ACTIONS(2798),
    [anon_sym_IMP] = ACTIONS(2798),
    [anon_sym_SEL] = ACTIONS(2798),
    [anon_sym_Class] = ACTIONS(2798),
    [anon_sym_id] = ACTIONS(2798),
    [anon_sym_ATdefs] = ACTIONS(2800),
  },
  [2225] = {
    [sym_identifier] = ACTIONS(2346),
    [aux_sym_preproc_def_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token1] = ACTIONS(2346),
    [aux_sym_preproc_if_token2] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2346),
    [sym_preproc_directive] = ACTIONS(2346),
    [anon_sym_DASH] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym___extension__] = ACTIONS(2346),
    [anon_sym_typedef] = ACTIONS(2346),
    [anon_sym_extern] = ACTIONS(2346),
    [anon_sym___attribute__] = ACTIONS(2346),
    [anon_sym___attribute] = ACTIONS(2346),
    [anon_sym_noreturn] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym___declspec] = ACTIONS(2346),
    [anon_sym___cdecl] = ACTIONS(2346),
    [anon_sym___clrcall] = ACTIONS(2346),
    [anon_sym___stdcall] = ACTIONS(2346),
    [anon_sym___fastcall] = ACTIONS(2346),
    [anon_sym___thiscall] = ACTIONS(2346),
    [anon_sym___vectorcall] = ACTIONS(2346),
    [anon_sym_signed] = ACTIONS(2346),
    [anon_sym_unsigned] = ACTIONS(2346),
    [anon_sym_long] = ACTIONS(2346),
    [anon_sym_short] = ACTIONS(2346),
    [anon_sym_static] = ACTIONS(2346),
    [anon_sym_auto] = ACTIONS(2346),
    [anon_sym_register] = ACTIONS(2346),
    [anon_sym_inline] = ACTIONS(2346),
    [anon_sym___inline] = ACTIONS(2346),
    [anon_sym___inline__] = ACTIONS(2346),
    [anon_sym___forceinline] = ACTIONS(2346),
    [anon_sym_thread_local] = ACTIONS(2346),
    [anon_sym___thread] = ACTIONS(2346),
    [anon_sym_CG_EXTERN] = ACTIONS(2346),
    [anon_sym_CG_INLINE] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2346),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2346),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2346),
    [anon_sym_IBOutlet] = ACTIONS(2346),
    [anon_sym_IBInspectable] = ACTIONS(2346),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2346),
    [anon_sym_NS_INLINE] = ACTIONS(2346),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2346),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2346),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2346),
    [anon_sym_const] = ACTIONS(2346),
    [anon_sym_constexpr] = ACTIONS(2346),
    [anon_sym_volatile] = ACTIONS(2346),
    [anon_sym_restrict] = ACTIONS(2346),
    [anon_sym___restrict__] = ACTIONS(2346),
    [anon_sym__Atomic] = ACTIONS(2346),
    [anon_sym__Noreturn] = ACTIONS(2346),
    [anon_sym__Nonnull] = ACTIONS(2346),
    [anon_sym_nullable] = ACTIONS(2346),
    [anon_sym__Complex] = ACTIONS(2346),
    [anon_sym__Nullable] = ACTIONS(2346),
    [anon_sym__Nullable_result] = ACTIONS(2346),
    [anon_sym__Null_unspecified] = ACTIONS(2346),
    [anon_sym___autoreleasing] = ACTIONS(2346),
    [anon_sym___block] = ACTIONS(2346),
    [anon_sym___bridge] = ACTIONS(2346),
    [anon_sym___bridge_retained] = ACTIONS(2346),
    [anon_sym___bridge_transfer] = ACTIONS(2346),
    [anon_sym___complex] = ACTIONS(2346),
    [anon_sym___const] = ACTIONS(2346),
    [anon_sym___imag] = ACTIONS(2346),
    [anon_sym___kindof] = ACTIONS(2346),
    [anon_sym___nonnull] = ACTIONS(2346),
    [anon_sym___nullable] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2346),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2346),
    [anon_sym___real] = ACTIONS(2346),
    [anon_sym___strong] = ACTIONS(2346),
    [anon_sym___unsafe_unretained] = ACTIONS(2346),
    [anon_sym___unused] = ACTIONS(2346),
    [anon_sym___weak] = ACTIONS(2346),
    [anon_sym_alignas] = ACTIONS(2346),
    [anon_sym__Alignas] = ACTIONS(2346),
    [sym_primitive_type] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2346),
    [anon_sym_struct] = ACTIONS(2346),
    [anon_sym_union] = ACTIONS(2346),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2346),
    [anon_sym___typeof] = ACTIONS(2346),
    [anon_sym_typeof] = ACTIONS(2346),
    [aux_sym_preproc_undef_token1] = ACTIONS(2346),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2346),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2346),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2346),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2346),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2346),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_API_AVAILABLE] = ACTIONS(2346),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_API_DEPRECATED] = ACTIONS(2346),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2346),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2346),
    [anon_sym___deprecated_msg] = ACTIONS(2346),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2346),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2346),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2346),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2346),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2346),
    [anon_sym_ATsynthesize] = ACTIONS(2348),
    [anon_sym_ATdynamic] = ACTIONS(2348),
    [anon_sym_ATproperty] = ACTIONS(2348),
    [anon_sym_BOOL] = ACTIONS(2346),
    [anon_sym_IMP] = ACTIONS(2346),
    [anon_sym_SEL] = ACTIONS(2346),
    [anon_sym_Class] = ACTIONS(2346),
    [anon_sym_id] = ACTIONS(2346),
  },
  [2226] = {
    [sym_identifier] = ACTIONS(2356),
    [aux_sym_preproc_def_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token1] = ACTIONS(2356),
    [aux_sym_preproc_if_token2] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2356),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2356),
    [sym_preproc_directive] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2358),
    [anon_sym_PLUS] = ACTIONS(2358),
    [anon_sym_SEMI] = ACTIONS(2358),
    [anon_sym___extension__] = ACTIONS(2356),
    [anon_sym_typedef] = ACTIONS(2356),
    [anon_sym_extern] = ACTIONS(2356),
    [anon_sym___attribute__] = ACTIONS(2356),
    [anon_sym___attribute] = ACTIONS(2356),
    [anon_sym_noreturn] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2358),
    [anon_sym___declspec] = ACTIONS(2356),
    [anon_sym___cdecl] = ACTIONS(2356),
    [anon_sym___clrcall] = ACTIONS(2356),
    [anon_sym___stdcall] = ACTIONS(2356),
    [anon_sym___fastcall] = ACTIONS(2356),
    [anon_sym___thiscall] = ACTIONS(2356),
    [anon_sym___vectorcall] = ACTIONS(2356),
    [anon_sym_signed] = ACTIONS(2356),
    [anon_sym_unsigned] = ACTIONS(2356),
    [anon_sym_long] = ACTIONS(2356),
    [anon_sym_short] = ACTIONS(2356),
    [anon_sym_static] = ACTIONS(2356),
    [anon_sym_auto] = ACTIONS(2356),
    [anon_sym_register] = ACTIONS(2356),
    [anon_sym_inline] = ACTIONS(2356),
    [anon_sym___inline] = ACTIONS(2356),
    [anon_sym___inline__] = ACTIONS(2356),
    [anon_sym___forceinline] = ACTIONS(2356),
    [anon_sym_thread_local] = ACTIONS(2356),
    [anon_sym___thread] = ACTIONS(2356),
    [anon_sym_CG_EXTERN] = ACTIONS(2356),
    [anon_sym_CG_INLINE] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2356),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2356),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2356),
    [anon_sym_IBOutlet] = ACTIONS(2356),
    [anon_sym_IBInspectable] = ACTIONS(2356),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2356),
    [anon_sym_NS_INLINE] = ACTIONS(2356),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2356),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2356),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2356),
    [anon_sym_const] = ACTIONS(2356),
    [anon_sym_constexpr] = ACTIONS(2356),
    [anon_sym_volatile] = ACTIONS(2356),
    [anon_sym_restrict] = ACTIONS(2356),
    [anon_sym___restrict__] = ACTIONS(2356),
    [anon_sym__Atomic] = ACTIONS(2356),
    [anon_sym__Noreturn] = ACTIONS(2356),
    [anon_sym__Nonnull] = ACTIONS(2356),
    [anon_sym_nullable] = ACTIONS(2356),
    [anon_sym__Complex] = ACTIONS(2356),
    [anon_sym__Nullable] = ACTIONS(2356),
    [anon_sym__Nullable_result] = ACTIONS(2356),
    [anon_sym__Null_unspecified] = ACTIONS(2356),
    [anon_sym___autoreleasing] = ACTIONS(2356),
    [anon_sym___block] = ACTIONS(2356),
    [anon_sym___bridge] = ACTIONS(2356),
    [anon_sym___bridge_retained] = ACTIONS(2356),
    [anon_sym___bridge_transfer] = ACTIONS(2356),
    [anon_sym___complex] = ACTIONS(2356),
    [anon_sym___const] = ACTIONS(2356),
    [anon_sym___imag] = ACTIONS(2356),
    [anon_sym___kindof] = ACTIONS(2356),
    [anon_sym___nonnull] = ACTIONS(2356),
    [anon_sym___nullable] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2356),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2356),
    [anon_sym___real] = ACTIONS(2356),
    [anon_sym___strong] = ACTIONS(2356),
    [anon_sym___unsafe_unretained] = ACTIONS(2356),
    [anon_sym___unused] = ACTIONS(2356),
    [anon_sym___weak] = ACTIONS(2356),
    [anon_sym_alignas] = ACTIONS(2356),
    [anon_sym__Alignas] = ACTIONS(2356),
    [sym_primitive_type] = ACTIONS(2356),
    [anon_sym_enum] = ACTIONS(2356),
    [anon_sym_struct] = ACTIONS(2356),
    [anon_sym_union] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2356),
    [anon_sym___typeof] = ACTIONS(2356),
    [anon_sym_typeof] = ACTIONS(2356),
    [aux_sym_preproc_undef_token1] = ACTIONS(2356),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2356),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2356),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2356),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2356),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2356),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_API_AVAILABLE] = ACTIONS(2356),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_API_DEPRECATED] = ACTIONS(2356),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2356),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2356),
    [anon_sym___deprecated_msg] = ACTIONS(2356),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2356),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2356),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2356),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2356),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2356),
    [anon_sym_ATsynthesize] = ACTIONS(2358),
    [anon_sym_ATdynamic] = ACTIONS(2358),
    [anon_sym_ATproperty] = ACTIONS(2358),
    [anon_sym_BOOL] = ACTIONS(2356),
    [anon_sym_IMP] = ACTIONS(2356),
    [anon_sym_SEL] = ACTIONS(2356),
    [anon_sym_Class] = ACTIONS(2356),
    [anon_sym_id] = ACTIONS(2356),
  },
  [2227] = {
    [sym_identifier] = ACTIONS(2368),
    [aux_sym_preproc_def_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token1] = ACTIONS(2368),
    [aux_sym_preproc_if_token2] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2368),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2368),
    [sym_preproc_directive] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym___extension__] = ACTIONS(2368),
    [anon_sym_typedef] = ACTIONS(2368),
    [anon_sym_extern] = ACTIONS(2368),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym___attribute] = ACTIONS(2368),
    [anon_sym_noreturn] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym___declspec] = ACTIONS(2368),
    [anon_sym___cdecl] = ACTIONS(2368),
    [anon_sym___clrcall] = ACTIONS(2368),
    [anon_sym___stdcall] = ACTIONS(2368),
    [anon_sym___fastcall] = ACTIONS(2368),
    [anon_sym___thiscall] = ACTIONS(2368),
    [anon_sym___vectorcall] = ACTIONS(2368),
    [anon_sym_signed] = ACTIONS(2368),
    [anon_sym_unsigned] = ACTIONS(2368),
    [anon_sym_long] = ACTIONS(2368),
    [anon_sym_short] = ACTIONS(2368),
    [anon_sym_static] = ACTIONS(2368),
    [anon_sym_auto] = ACTIONS(2368),
    [anon_sym_register] = ACTIONS(2368),
    [anon_sym_inline] = ACTIONS(2368),
    [anon_sym___inline] = ACTIONS(2368),
    [anon_sym___inline__] = ACTIONS(2368),
    [anon_sym___forceinline] = ACTIONS(2368),
    [anon_sym_thread_local] = ACTIONS(2368),
    [anon_sym___thread] = ACTIONS(2368),
    [anon_sym_CG_EXTERN] = ACTIONS(2368),
    [anon_sym_CG_INLINE] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2368),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2368),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2368),
    [anon_sym_IBOutlet] = ACTIONS(2368),
    [anon_sym_IBInspectable] = ACTIONS(2368),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2368),
    [anon_sym_NS_INLINE] = ACTIONS(2368),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2368),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2368),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2368),
    [anon_sym_const] = ACTIONS(2368),
    [anon_sym_constexpr] = ACTIONS(2368),
    [anon_sym_volatile] = ACTIONS(2368),
    [anon_sym_restrict] = ACTIONS(2368),
    [anon_sym___restrict__] = ACTIONS(2368),
    [anon_sym__Atomic] = ACTIONS(2368),
    [anon_sym__Noreturn] = ACTIONS(2368),
    [anon_sym__Nonnull] = ACTIONS(2368),
    [anon_sym_nullable] = ACTIONS(2368),
    [anon_sym__Complex] = ACTIONS(2368),
    [anon_sym__Nullable] = ACTIONS(2368),
    [anon_sym__Nullable_result] = ACTIONS(2368),
    [anon_sym__Null_unspecified] = ACTIONS(2368),
    [anon_sym___autoreleasing] = ACTIONS(2368),
    [anon_sym___block] = ACTIONS(2368),
    [anon_sym___bridge] = ACTIONS(2368),
    [anon_sym___bridge_retained] = ACTIONS(2368),
    [anon_sym___bridge_transfer] = ACTIONS(2368),
    [anon_sym___complex] = ACTIONS(2368),
    [anon_sym___const] = ACTIONS(2368),
    [anon_sym___imag] = ACTIONS(2368),
    [anon_sym___kindof] = ACTIONS(2368),
    [anon_sym___nonnull] = ACTIONS(2368),
    [anon_sym___nullable] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2368),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2368),
    [anon_sym___real] = ACTIONS(2368),
    [anon_sym___strong] = ACTIONS(2368),
    [anon_sym___unsafe_unretained] = ACTIONS(2368),
    [anon_sym___unused] = ACTIONS(2368),
    [anon_sym___weak] = ACTIONS(2368),
    [anon_sym_alignas] = ACTIONS(2368),
    [anon_sym__Alignas] = ACTIONS(2368),
    [sym_primitive_type] = ACTIONS(2368),
    [anon_sym_enum] = ACTIONS(2368),
    [anon_sym_struct] = ACTIONS(2368),
    [anon_sym_union] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2368),
    [anon_sym___typeof] = ACTIONS(2368),
    [anon_sym_typeof] = ACTIONS(2368),
    [aux_sym_preproc_undef_token1] = ACTIONS(2368),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2368),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2368),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2368),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2368),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2368),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_API_AVAILABLE] = ACTIONS(2368),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_API_DEPRECATED] = ACTIONS(2368),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2368),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2368),
    [anon_sym___deprecated_msg] = ACTIONS(2368),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2368),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2368),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2368),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2368),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2368),
    [anon_sym_ATsynthesize] = ACTIONS(2370),
    [anon_sym_ATdynamic] = ACTIONS(2370),
    [anon_sym_ATproperty] = ACTIONS(2370),
    [anon_sym_BOOL] = ACTIONS(2368),
    [anon_sym_IMP] = ACTIONS(2368),
    [anon_sym_SEL] = ACTIONS(2368),
    [anon_sym_Class] = ACTIONS(2368),
    [anon_sym_id] = ACTIONS(2368),
  },
  [2228] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4310),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2229] = {
    [sym_method_type] = STATE(6636),
    [sym_identifier] = ACTIONS(5292),
    [aux_sym_preproc_def_token1] = ACTIONS(5294),
    [aux_sym_preproc_if_token1] = ACTIONS(5294),
    [aux_sym_preproc_if_token2] = ACTIONS(5294),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5294),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5294),
    [sym_preproc_directive] = ACTIONS(5294),
    [anon_sym_LPAREN2] = ACTIONS(5296),
    [anon_sym_DASH] = ACTIONS(5298),
    [anon_sym_PLUS] = ACTIONS(5298),
    [anon_sym_SEMI] = ACTIONS(5298),
    [anon_sym___extension__] = ACTIONS(5294),
    [anon_sym_typedef] = ACTIONS(5294),
    [anon_sym_extern] = ACTIONS(5294),
    [anon_sym___attribute__] = ACTIONS(5294),
    [anon_sym___attribute] = ACTIONS(5294),
    [anon_sym_noreturn] = ACTIONS(5294),
    [anon_sym_LBRACK] = ACTIONS(5298),
    [anon_sym___declspec] = ACTIONS(5294),
    [anon_sym___cdecl] = ACTIONS(5294),
    [anon_sym___clrcall] = ACTIONS(5294),
    [anon_sym___stdcall] = ACTIONS(5294),
    [anon_sym___fastcall] = ACTIONS(5294),
    [anon_sym___thiscall] = ACTIONS(5294),
    [anon_sym___vectorcall] = ACTIONS(5294),
    [anon_sym_signed] = ACTIONS(5294),
    [anon_sym_unsigned] = ACTIONS(5294),
    [anon_sym_long] = ACTIONS(5294),
    [anon_sym_short] = ACTIONS(5294),
    [anon_sym_static] = ACTIONS(5294),
    [anon_sym_auto] = ACTIONS(5294),
    [anon_sym_register] = ACTIONS(5294),
    [anon_sym_inline] = ACTIONS(5294),
    [anon_sym___inline] = ACTIONS(5294),
    [anon_sym___inline__] = ACTIONS(5294),
    [anon_sym___forceinline] = ACTIONS(5294),
    [anon_sym_thread_local] = ACTIONS(5294),
    [anon_sym___thread] = ACTIONS(5294),
    [anon_sym_CG_EXTERN] = ACTIONS(5294),
    [anon_sym_CG_INLINE] = ACTIONS(5294),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5294),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5294),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5294),
    [anon_sym_IBOutlet] = ACTIONS(5294),
    [anon_sym_IBInspectable] = ACTIONS(5294),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5294),
    [anon_sym_NS_INLINE] = ACTIONS(5294),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5294),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5294),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5294),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5294),
    [anon_sym_const] = ACTIONS(5294),
    [anon_sym_constexpr] = ACTIONS(5294),
    [anon_sym_volatile] = ACTIONS(5294),
    [anon_sym_restrict] = ACTIONS(5294),
    [anon_sym___restrict__] = ACTIONS(5294),
    [anon_sym__Atomic] = ACTIONS(5294),
    [anon_sym__Noreturn] = ACTIONS(5294),
    [anon_sym__Nonnull] = ACTIONS(5294),
    [anon_sym_nullable] = ACTIONS(5294),
    [anon_sym__Complex] = ACTIONS(5294),
    [anon_sym__Nullable] = ACTIONS(5294),
    [anon_sym__Nullable_result] = ACTIONS(5294),
    [anon_sym__Null_unspecified] = ACTIONS(5294),
    [anon_sym___autoreleasing] = ACTIONS(5294),
    [anon_sym___block] = ACTIONS(5294),
    [anon_sym___bridge] = ACTIONS(5294),
    [anon_sym___bridge_retained] = ACTIONS(5294),
    [anon_sym___bridge_transfer] = ACTIONS(5294),
    [anon_sym___complex] = ACTIONS(5294),
    [anon_sym___const] = ACTIONS(5294),
    [anon_sym___imag] = ACTIONS(5294),
    [anon_sym___kindof] = ACTIONS(5294),
    [anon_sym___nonnull] = ACTIONS(5294),
    [anon_sym___nullable] = ACTIONS(5294),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5294),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5294),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5294),
    [anon_sym___real] = ACTIONS(5294),
    [anon_sym___strong] = ACTIONS(5294),
    [anon_sym___unsafe_unretained] = ACTIONS(5294),
    [anon_sym___unused] = ACTIONS(5294),
    [anon_sym___weak] = ACTIONS(5294),
    [anon_sym_alignas] = ACTIONS(5294),
    [anon_sym__Alignas] = ACTIONS(5294),
    [sym_primitive_type] = ACTIONS(5294),
    [anon_sym_enum] = ACTIONS(5294),
    [anon_sym_struct] = ACTIONS(5294),
    [anon_sym_union] = ACTIONS(5294),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5294),
    [anon_sym___typeof] = ACTIONS(5294),
    [anon_sym_typeof] = ACTIONS(5294),
    [aux_sym_preproc_undef_token1] = ACTIONS(5294),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5294),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5294),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5294),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5294),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5294),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5294),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5294),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5294),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5294),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5294),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5294),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5294),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5294),
    [anon_sym_API_AVAILABLE] = ACTIONS(5294),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5294),
    [anon_sym_API_DEPRECATED] = ACTIONS(5294),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5294),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5294),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5294),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5294),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5294),
    [anon_sym___deprecated_msg] = ACTIONS(5294),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5294),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5294),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5294),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5294),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5294),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5294),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5294),
    [anon_sym_ATproperty] = ACTIONS(5298),
    [anon_sym_BOOL] = ACTIONS(5294),
    [anon_sym_IMP] = ACTIONS(5294),
    [anon_sym_SEL] = ACTIONS(5294),
    [anon_sym_Class] = ACTIONS(5294),
    [anon_sym_id] = ACTIONS(5294),
  },
  [2230] = {
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_DASH] = ACTIONS(2792),
    [anon_sym_PLUS] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym___attribute] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___cdecl] = ACTIONS(2790),
    [anon_sym___clrcall] = ACTIONS(2790),
    [anon_sym___stdcall] = ACTIONS(2790),
    [anon_sym___fastcall] = ACTIONS(2790),
    [anon_sym___thiscall] = ACTIONS(2790),
    [anon_sym___vectorcall] = ACTIONS(2790),
    [anon_sym_RBRACE] = ACTIONS(2792),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_auto] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_CG_EXTERN] = ACTIONS(2790),
    [anon_sym_CG_INLINE] = ACTIONS(2790),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2790),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2790),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2790),
    [anon_sym_IBOutlet] = ACTIONS(2790),
    [anon_sym_IBInspectable] = ACTIONS(2790),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2790),
    [anon_sym_NS_INLINE] = ACTIONS(2790),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2790),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2790),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2790),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_nullable] = ACTIONS(2790),
    [anon_sym__Complex] = ACTIONS(2790),
    [anon_sym__Nullable] = ACTIONS(2790),
    [anon_sym__Nullable_result] = ACTIONS(2790),
    [anon_sym__Null_unspecified] = ACTIONS(2790),
    [anon_sym___autoreleasing] = ACTIONS(2790),
    [anon_sym___block] = ACTIONS(2790),
    [anon_sym___bridge] = ACTIONS(2790),
    [anon_sym___bridge_retained] = ACTIONS(2790),
    [anon_sym___bridge_transfer] = ACTIONS(2790),
    [anon_sym___complex] = ACTIONS(2790),
    [anon_sym___const] = ACTIONS(2790),
    [anon_sym___imag] = ACTIONS(2790),
    [anon_sym___kindof] = ACTIONS(2790),
    [anon_sym___nonnull] = ACTIONS(2790),
    [anon_sym___nullable] = ACTIONS(2790),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2790),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2790),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2790),
    [anon_sym___real] = ACTIONS(2790),
    [anon_sym___strong] = ACTIONS(2790),
    [anon_sym___unsafe_unretained] = ACTIONS(2790),
    [anon_sym___unused] = ACTIONS(2790),
    [anon_sym___weak] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [sym_primitive_type] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2790),
    [anon_sym___typeof] = ACTIONS(2790),
    [anon_sym_typeof] = ACTIONS(2790),
    [aux_sym_preproc_undef_token1] = ACTIONS(2790),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2790),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2790),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2790),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2790),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2790),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2790),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2790),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2790),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2790),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_API_AVAILABLE] = ACTIONS(2790),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_API_DEPRECATED] = ACTIONS(2790),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2790),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2790),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2790),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2790),
    [anon_sym___deprecated_msg] = ACTIONS(2790),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2790),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2790),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2790),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2790),
    [anon_sym_ATend] = ACTIONS(2792),
    [anon_sym_ATsynthesize] = ACTIONS(2792),
    [anon_sym_ATdynamic] = ACTIONS(2792),
    [anon_sym_BOOL] = ACTIONS(2790),
    [anon_sym_IMP] = ACTIONS(2790),
    [anon_sym_SEL] = ACTIONS(2790),
    [anon_sym_Class] = ACTIONS(2790),
    [anon_sym_id] = ACTIONS(2790),
    [anon_sym_ATdefs] = ACTIONS(2792),
  },
  [2231] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token2] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [aux_sym_preproc_else_token1] = ACTIONS(2798),
    [aux_sym_preproc_elif_token1] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_DASH] = ACTIONS(2800),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym___attribute] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_auto] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_CG_EXTERN] = ACTIONS(2798),
    [anon_sym_CG_INLINE] = ACTIONS(2798),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2798),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2798),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2798),
    [anon_sym_IBOutlet] = ACTIONS(2798),
    [anon_sym_IBInspectable] = ACTIONS(2798),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2798),
    [anon_sym_NS_INLINE] = ACTIONS(2798),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2798),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2798),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2798),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_nullable] = ACTIONS(2798),
    [anon_sym__Complex] = ACTIONS(2798),
    [anon_sym__Nullable] = ACTIONS(2798),
    [anon_sym__Nullable_result] = ACTIONS(2798),
    [anon_sym__Null_unspecified] = ACTIONS(2798),
    [anon_sym___autoreleasing] = ACTIONS(2798),
    [anon_sym___block] = ACTIONS(2798),
    [anon_sym___bridge] = ACTIONS(2798),
    [anon_sym___bridge_retained] = ACTIONS(2798),
    [anon_sym___bridge_transfer] = ACTIONS(2798),
    [anon_sym___complex] = ACTIONS(2798),
    [anon_sym___const] = ACTIONS(2798),
    [anon_sym___imag] = ACTIONS(2798),
    [anon_sym___kindof] = ACTIONS(2798),
    [anon_sym___nonnull] = ACTIONS(2798),
    [anon_sym___nullable] = ACTIONS(2798),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2798),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2798),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2798),
    [anon_sym___real] = ACTIONS(2798),
    [anon_sym___strong] = ACTIONS(2798),
    [anon_sym___unsafe_unretained] = ACTIONS(2798),
    [anon_sym___unused] = ACTIONS(2798),
    [anon_sym___weak] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2798),
    [anon_sym___typeof] = ACTIONS(2798),
    [anon_sym_typeof] = ACTIONS(2798),
    [aux_sym_preproc_undef_token1] = ACTIONS(2798),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2798),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2798),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2798),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2798),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2798),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2798),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2798),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2798),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_API_AVAILABLE] = ACTIONS(2798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_API_DEPRECATED] = ACTIONS(2798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2798),
    [anon_sym___deprecated_msg] = ACTIONS(2798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2798),
    [anon_sym_ATsynthesize] = ACTIONS(2800),
    [anon_sym_ATdynamic] = ACTIONS(2800),
    [anon_sym_BOOL] = ACTIONS(2798),
    [anon_sym_IMP] = ACTIONS(2798),
    [anon_sym_SEL] = ACTIONS(2798),
    [anon_sym_Class] = ACTIONS(2798),
    [anon_sym_id] = ACTIONS(2798),
  },
  [2232] = {
    [sym_identifier] = ACTIONS(5505),
    [aux_sym_preproc_def_token1] = ACTIONS(5505),
    [aux_sym_preproc_if_token1] = ACTIONS(5505),
    [aux_sym_preproc_if_token2] = ACTIONS(5505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5505),
    [aux_sym_preproc_else_token1] = ACTIONS(5505),
    [aux_sym_preproc_elif_token1] = ACTIONS(5505),
    [sym_preproc_directive] = ACTIONS(5505),
    [anon_sym_DASH] = ACTIONS(5507),
    [anon_sym_PLUS] = ACTIONS(5507),
    [anon_sym___extension__] = ACTIONS(5505),
    [anon_sym_typedef] = ACTIONS(5505),
    [anon_sym_extern] = ACTIONS(5505),
    [anon_sym___attribute__] = ACTIONS(5505),
    [anon_sym___attribute] = ACTIONS(5505),
    [anon_sym_noreturn] = ACTIONS(5505),
    [anon_sym_LBRACK] = ACTIONS(5507),
    [anon_sym___declspec] = ACTIONS(5505),
    [anon_sym___cdecl] = ACTIONS(5505),
    [anon_sym___clrcall] = ACTIONS(5505),
    [anon_sym___stdcall] = ACTIONS(5505),
    [anon_sym___fastcall] = ACTIONS(5505),
    [anon_sym___thiscall] = ACTIONS(5505),
    [anon_sym___vectorcall] = ACTIONS(5505),
    [anon_sym_signed] = ACTIONS(5505),
    [anon_sym_unsigned] = ACTIONS(5505),
    [anon_sym_long] = ACTIONS(5505),
    [anon_sym_short] = ACTIONS(5505),
    [anon_sym_static] = ACTIONS(5505),
    [anon_sym_auto] = ACTIONS(5505),
    [anon_sym_register] = ACTIONS(5505),
    [anon_sym_inline] = ACTIONS(5505),
    [anon_sym___inline] = ACTIONS(5505),
    [anon_sym___inline__] = ACTIONS(5505),
    [anon_sym___forceinline] = ACTIONS(5505),
    [anon_sym_thread_local] = ACTIONS(5505),
    [anon_sym___thread] = ACTIONS(5505),
    [anon_sym_CG_EXTERN] = ACTIONS(5505),
    [anon_sym_CG_INLINE] = ACTIONS(5505),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5505),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5505),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5505),
    [anon_sym_IBOutlet] = ACTIONS(5505),
    [anon_sym_IBInspectable] = ACTIONS(5505),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5505),
    [anon_sym_NS_INLINE] = ACTIONS(5505),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5505),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5505),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5505),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5505),
    [anon_sym_const] = ACTIONS(5505),
    [anon_sym_constexpr] = ACTIONS(5505),
    [anon_sym_volatile] = ACTIONS(5505),
    [anon_sym_restrict] = ACTIONS(5505),
    [anon_sym___restrict__] = ACTIONS(5505),
    [anon_sym__Atomic] = ACTIONS(5505),
    [anon_sym__Noreturn] = ACTIONS(5505),
    [anon_sym__Nonnull] = ACTIONS(5505),
    [anon_sym_nullable] = ACTIONS(5505),
    [anon_sym__Complex] = ACTIONS(5505),
    [anon_sym__Nullable] = ACTIONS(5505),
    [anon_sym__Nullable_result] = ACTIONS(5505),
    [anon_sym__Null_unspecified] = ACTIONS(5505),
    [anon_sym___autoreleasing] = ACTIONS(5505),
    [anon_sym___block] = ACTIONS(5505),
    [anon_sym___bridge] = ACTIONS(5505),
    [anon_sym___bridge_retained] = ACTIONS(5505),
    [anon_sym___bridge_transfer] = ACTIONS(5505),
    [anon_sym___complex] = ACTIONS(5505),
    [anon_sym___const] = ACTIONS(5505),
    [anon_sym___imag] = ACTIONS(5505),
    [anon_sym___kindof] = ACTIONS(5505),
    [anon_sym___nonnull] = ACTIONS(5505),
    [anon_sym___nullable] = ACTIONS(5505),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5505),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5505),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5505),
    [anon_sym___real] = ACTIONS(5505),
    [anon_sym___strong] = ACTIONS(5505),
    [anon_sym___unsafe_unretained] = ACTIONS(5505),
    [anon_sym___unused] = ACTIONS(5505),
    [anon_sym___weak] = ACTIONS(5505),
    [anon_sym_alignas] = ACTIONS(5505),
    [anon_sym__Alignas] = ACTIONS(5505),
    [sym_primitive_type] = ACTIONS(5505),
    [anon_sym_enum] = ACTIONS(5505),
    [anon_sym_struct] = ACTIONS(5505),
    [anon_sym_union] = ACTIONS(5505),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5505),
    [anon_sym___typeof] = ACTIONS(5505),
    [anon_sym_typeof] = ACTIONS(5505),
    [aux_sym_preproc_undef_token1] = ACTIONS(5505),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5505),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5505),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5505),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5505),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5505),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5505),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5505),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5505),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5505),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5505),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5505),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5505),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5505),
    [anon_sym_API_AVAILABLE] = ACTIONS(5505),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5505),
    [anon_sym_API_DEPRECATED] = ACTIONS(5505),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5505),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5505),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5505),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5505),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5505),
    [anon_sym___deprecated_msg] = ACTIONS(5505),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5505),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5505),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5505),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5505),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5505),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5505),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5505),
    [anon_sym_ATsynthesize] = ACTIONS(5507),
    [anon_sym_ATdynamic] = ACTIONS(5507),
    [anon_sym_BOOL] = ACTIONS(5505),
    [anon_sym_IMP] = ACTIONS(5505),
    [anon_sym_SEL] = ACTIONS(5505),
    [anon_sym_Class] = ACTIONS(5505),
    [anon_sym_id] = ACTIONS(5505),
  },
  [2233] = {
    [sym_identifier] = ACTIONS(5509),
    [aux_sym_preproc_def_token1] = ACTIONS(5509),
    [aux_sym_preproc_if_token1] = ACTIONS(5509),
    [aux_sym_preproc_if_token2] = ACTIONS(5509),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5509),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5509),
    [aux_sym_preproc_else_token1] = ACTIONS(5509),
    [aux_sym_preproc_elif_token1] = ACTIONS(5509),
    [sym_preproc_directive] = ACTIONS(5509),
    [anon_sym_DASH] = ACTIONS(5511),
    [anon_sym_PLUS] = ACTIONS(5511),
    [anon_sym___extension__] = ACTIONS(5509),
    [anon_sym_typedef] = ACTIONS(5509),
    [anon_sym_extern] = ACTIONS(5509),
    [anon_sym___attribute__] = ACTIONS(5509),
    [anon_sym___attribute] = ACTIONS(5509),
    [anon_sym_noreturn] = ACTIONS(5509),
    [anon_sym_LBRACK] = ACTIONS(5511),
    [anon_sym___declspec] = ACTIONS(5509),
    [anon_sym___cdecl] = ACTIONS(5509),
    [anon_sym___clrcall] = ACTIONS(5509),
    [anon_sym___stdcall] = ACTIONS(5509),
    [anon_sym___fastcall] = ACTIONS(5509),
    [anon_sym___thiscall] = ACTIONS(5509),
    [anon_sym___vectorcall] = ACTIONS(5509),
    [anon_sym_signed] = ACTIONS(5509),
    [anon_sym_unsigned] = ACTIONS(5509),
    [anon_sym_long] = ACTIONS(5509),
    [anon_sym_short] = ACTIONS(5509),
    [anon_sym_static] = ACTIONS(5509),
    [anon_sym_auto] = ACTIONS(5509),
    [anon_sym_register] = ACTIONS(5509),
    [anon_sym_inline] = ACTIONS(5509),
    [anon_sym___inline] = ACTIONS(5509),
    [anon_sym___inline__] = ACTIONS(5509),
    [anon_sym___forceinline] = ACTIONS(5509),
    [anon_sym_thread_local] = ACTIONS(5509),
    [anon_sym___thread] = ACTIONS(5509),
    [anon_sym_CG_EXTERN] = ACTIONS(5509),
    [anon_sym_CG_INLINE] = ACTIONS(5509),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5509),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5509),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5509),
    [anon_sym_IBOutlet] = ACTIONS(5509),
    [anon_sym_IBInspectable] = ACTIONS(5509),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5509),
    [anon_sym_NS_INLINE] = ACTIONS(5509),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5509),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5509),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5509),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5509),
    [anon_sym_const] = ACTIONS(5509),
    [anon_sym_constexpr] = ACTIONS(5509),
    [anon_sym_volatile] = ACTIONS(5509),
    [anon_sym_restrict] = ACTIONS(5509),
    [anon_sym___restrict__] = ACTIONS(5509),
    [anon_sym__Atomic] = ACTIONS(5509),
    [anon_sym__Noreturn] = ACTIONS(5509),
    [anon_sym__Nonnull] = ACTIONS(5509),
    [anon_sym_nullable] = ACTIONS(5509),
    [anon_sym__Complex] = ACTIONS(5509),
    [anon_sym__Nullable] = ACTIONS(5509),
    [anon_sym__Nullable_result] = ACTIONS(5509),
    [anon_sym__Null_unspecified] = ACTIONS(5509),
    [anon_sym___autoreleasing] = ACTIONS(5509),
    [anon_sym___block] = ACTIONS(5509),
    [anon_sym___bridge] = ACTIONS(5509),
    [anon_sym___bridge_retained] = ACTIONS(5509),
    [anon_sym___bridge_transfer] = ACTIONS(5509),
    [anon_sym___complex] = ACTIONS(5509),
    [anon_sym___const] = ACTIONS(5509),
    [anon_sym___imag] = ACTIONS(5509),
    [anon_sym___kindof] = ACTIONS(5509),
    [anon_sym___nonnull] = ACTIONS(5509),
    [anon_sym___nullable] = ACTIONS(5509),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5509),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5509),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5509),
    [anon_sym___real] = ACTIONS(5509),
    [anon_sym___strong] = ACTIONS(5509),
    [anon_sym___unsafe_unretained] = ACTIONS(5509),
    [anon_sym___unused] = ACTIONS(5509),
    [anon_sym___weak] = ACTIONS(5509),
    [anon_sym_alignas] = ACTIONS(5509),
    [anon_sym__Alignas] = ACTIONS(5509),
    [sym_primitive_type] = ACTIONS(5509),
    [anon_sym_enum] = ACTIONS(5509),
    [anon_sym_struct] = ACTIONS(5509),
    [anon_sym_union] = ACTIONS(5509),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5509),
    [anon_sym___typeof] = ACTIONS(5509),
    [anon_sym_typeof] = ACTIONS(5509),
    [aux_sym_preproc_undef_token1] = ACTIONS(5509),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5509),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5509),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5509),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5509),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5509),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5509),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5509),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5509),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5509),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5509),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5509),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5509),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5509),
    [anon_sym_API_AVAILABLE] = ACTIONS(5509),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5509),
    [anon_sym_API_DEPRECATED] = ACTIONS(5509),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5509),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5509),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5509),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5509),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5509),
    [anon_sym___deprecated_msg] = ACTIONS(5509),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5509),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5509),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5509),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5509),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5509),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5509),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5509),
    [anon_sym_ATsynthesize] = ACTIONS(5511),
    [anon_sym_ATdynamic] = ACTIONS(5511),
    [anon_sym_BOOL] = ACTIONS(5509),
    [anon_sym_IMP] = ACTIONS(5509),
    [anon_sym_SEL] = ACTIONS(5509),
    [anon_sym_Class] = ACTIONS(5509),
    [anon_sym_id] = ACTIONS(5509),
  },
  [2234] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(2865),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2868),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(63),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [2235] = {
    [sym_identifier] = ACTIONS(2718),
    [aux_sym_preproc_def_token1] = ACTIONS(2718),
    [aux_sym_preproc_if_token1] = ACTIONS(2718),
    [aux_sym_preproc_if_token2] = ACTIONS(2718),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2718),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2718),
    [sym_preproc_directive] = ACTIONS(2718),
    [anon_sym_DASH] = ACTIONS(2720),
    [anon_sym_PLUS] = ACTIONS(2720),
    [anon_sym___extension__] = ACTIONS(2718),
    [anon_sym_typedef] = ACTIONS(2718),
    [anon_sym_extern] = ACTIONS(2718),
    [anon_sym___attribute__] = ACTIONS(2718),
    [anon_sym___attribute] = ACTIONS(2718),
    [anon_sym_noreturn] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [anon_sym___declspec] = ACTIONS(2718),
    [anon_sym___cdecl] = ACTIONS(2718),
    [anon_sym___clrcall] = ACTIONS(2718),
    [anon_sym___stdcall] = ACTIONS(2718),
    [anon_sym___fastcall] = ACTIONS(2718),
    [anon_sym___thiscall] = ACTIONS(2718),
    [anon_sym___vectorcall] = ACTIONS(2718),
    [anon_sym_signed] = ACTIONS(2718),
    [anon_sym_unsigned] = ACTIONS(2718),
    [anon_sym_long] = ACTIONS(2718),
    [anon_sym_short] = ACTIONS(2718),
    [anon_sym_static] = ACTIONS(2718),
    [anon_sym_auto] = ACTIONS(2718),
    [anon_sym_register] = ACTIONS(2718),
    [anon_sym_inline] = ACTIONS(2718),
    [anon_sym___inline] = ACTIONS(2718),
    [anon_sym___inline__] = ACTIONS(2718),
    [anon_sym___forceinline] = ACTIONS(2718),
    [anon_sym_thread_local] = ACTIONS(2718),
    [anon_sym___thread] = ACTIONS(2718),
    [anon_sym_CG_EXTERN] = ACTIONS(2718),
    [anon_sym_CG_INLINE] = ACTIONS(2718),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2718),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2718),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2718),
    [anon_sym_IBOutlet] = ACTIONS(2718),
    [anon_sym_IBInspectable] = ACTIONS(2718),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2718),
    [anon_sym_NS_INLINE] = ACTIONS(2718),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2718),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2718),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2718),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2718),
    [anon_sym_const] = ACTIONS(2718),
    [anon_sym_constexpr] = ACTIONS(2718),
    [anon_sym_volatile] = ACTIONS(2718),
    [anon_sym_restrict] = ACTIONS(2718),
    [anon_sym___restrict__] = ACTIONS(2718),
    [anon_sym__Atomic] = ACTIONS(2718),
    [anon_sym__Noreturn] = ACTIONS(2718),
    [anon_sym__Nonnull] = ACTIONS(2718),
    [anon_sym_nullable] = ACTIONS(2718),
    [anon_sym__Complex] = ACTIONS(2718),
    [anon_sym__Nullable] = ACTIONS(2718),
    [anon_sym__Nullable_result] = ACTIONS(2718),
    [anon_sym__Null_unspecified] = ACTIONS(2718),
    [anon_sym___autoreleasing] = ACTIONS(2718),
    [anon_sym___block] = ACTIONS(2718),
    [anon_sym___bridge] = ACTIONS(2718),
    [anon_sym___bridge_retained] = ACTIONS(2718),
    [anon_sym___bridge_transfer] = ACTIONS(2718),
    [anon_sym___complex] = ACTIONS(2718),
    [anon_sym___const] = ACTIONS(2718),
    [anon_sym___imag] = ACTIONS(2718),
    [anon_sym___kindof] = ACTIONS(2718),
    [anon_sym___nonnull] = ACTIONS(2718),
    [anon_sym___nullable] = ACTIONS(2718),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2718),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2718),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2718),
    [anon_sym___real] = ACTIONS(2718),
    [anon_sym___strong] = ACTIONS(2718),
    [anon_sym___unsafe_unretained] = ACTIONS(2718),
    [anon_sym___unused] = ACTIONS(2718),
    [anon_sym___weak] = ACTIONS(2718),
    [anon_sym_alignas] = ACTIONS(2718),
    [anon_sym__Alignas] = ACTIONS(2718),
    [sym_primitive_type] = ACTIONS(2718),
    [anon_sym_enum] = ACTIONS(2718),
    [anon_sym_struct] = ACTIONS(2718),
    [anon_sym_union] = ACTIONS(2718),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2718),
    [anon_sym___typeof] = ACTIONS(2718),
    [anon_sym_typeof] = ACTIONS(2718),
    [aux_sym_preproc_undef_token1] = ACTIONS(2718),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2718),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2718),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2718),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2718),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2718),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2718),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2718),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2718),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2718),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_API_AVAILABLE] = ACTIONS(2718),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_API_DEPRECATED] = ACTIONS(2718),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2718),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2718),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2718),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2718),
    [anon_sym___deprecated_msg] = ACTIONS(2718),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2718),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2718),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2718),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2718),
    [anon_sym_ATsynthesize] = ACTIONS(2720),
    [anon_sym_ATdynamic] = ACTIONS(2720),
    [anon_sym_ATproperty] = ACTIONS(2720),
    [anon_sym_BOOL] = ACTIONS(2718),
    [anon_sym_IMP] = ACTIONS(2718),
    [anon_sym_SEL] = ACTIONS(2718),
    [anon_sym_Class] = ACTIONS(2718),
    [anon_sym_id] = ACTIONS(2718),
    [anon_sym_ATdefs] = ACTIONS(2720),
  },
  [2236] = {
    [sym_identifier] = ACTIONS(2662),
    [aux_sym_preproc_def_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2662),
    [sym_preproc_directive] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2664),
    [anon_sym_PLUS] = ACTIONS(2664),
    [anon_sym___extension__] = ACTIONS(2662),
    [anon_sym_typedef] = ACTIONS(2662),
    [anon_sym_extern] = ACTIONS(2662),
    [anon_sym___attribute__] = ACTIONS(2662),
    [anon_sym___attribute] = ACTIONS(2662),
    [anon_sym_noreturn] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym___declspec] = ACTIONS(2662),
    [anon_sym___cdecl] = ACTIONS(2662),
    [anon_sym___clrcall] = ACTIONS(2662),
    [anon_sym___stdcall] = ACTIONS(2662),
    [anon_sym___fastcall] = ACTIONS(2662),
    [anon_sym___thiscall] = ACTIONS(2662),
    [anon_sym___vectorcall] = ACTIONS(2662),
    [anon_sym_signed] = ACTIONS(2662),
    [anon_sym_unsigned] = ACTIONS(2662),
    [anon_sym_long] = ACTIONS(2662),
    [anon_sym_short] = ACTIONS(2662),
    [anon_sym_static] = ACTIONS(2662),
    [anon_sym_auto] = ACTIONS(2662),
    [anon_sym_register] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym___inline] = ACTIONS(2662),
    [anon_sym___inline__] = ACTIONS(2662),
    [anon_sym___forceinline] = ACTIONS(2662),
    [anon_sym_thread_local] = ACTIONS(2662),
    [anon_sym___thread] = ACTIONS(2662),
    [anon_sym_CG_EXTERN] = ACTIONS(2662),
    [anon_sym_CG_INLINE] = ACTIONS(2662),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2662),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2662),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2662),
    [anon_sym_IBOutlet] = ACTIONS(2662),
    [anon_sym_IBInspectable] = ACTIONS(2662),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2662),
    [anon_sym_NS_INLINE] = ACTIONS(2662),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2662),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2662),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2662),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_constexpr] = ACTIONS(2662),
    [anon_sym_volatile] = ACTIONS(2662),
    [anon_sym_restrict] = ACTIONS(2662),
    [anon_sym___restrict__] = ACTIONS(2662),
    [anon_sym__Atomic] = ACTIONS(2662),
    [anon_sym__Noreturn] = ACTIONS(2662),
    [anon_sym__Nonnull] = ACTIONS(2662),
    [anon_sym_nullable] = ACTIONS(2662),
    [anon_sym__Complex] = ACTIONS(2662),
    [anon_sym__Nullable] = ACTIONS(2662),
    [anon_sym__Nullable_result] = ACTIONS(2662),
    [anon_sym__Null_unspecified] = ACTIONS(2662),
    [anon_sym___autoreleasing] = ACTIONS(2662),
    [anon_sym___block] = ACTIONS(2662),
    [anon_sym___bridge] = ACTIONS(2662),
    [anon_sym___bridge_retained] = ACTIONS(2662),
    [anon_sym___bridge_transfer] = ACTIONS(2662),
    [anon_sym___complex] = ACTIONS(2662),
    [anon_sym___const] = ACTIONS(2662),
    [anon_sym___imag] = ACTIONS(2662),
    [anon_sym___kindof] = ACTIONS(2662),
    [anon_sym___nonnull] = ACTIONS(2662),
    [anon_sym___nullable] = ACTIONS(2662),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2662),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2662),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2662),
    [anon_sym___real] = ACTIONS(2662),
    [anon_sym___strong] = ACTIONS(2662),
    [anon_sym___unsafe_unretained] = ACTIONS(2662),
    [anon_sym___unused] = ACTIONS(2662),
    [anon_sym___weak] = ACTIONS(2662),
    [anon_sym_alignas] = ACTIONS(2662),
    [anon_sym__Alignas] = ACTIONS(2662),
    [sym_primitive_type] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_struct] = ACTIONS(2662),
    [anon_sym_union] = ACTIONS(2662),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2662),
    [anon_sym___typeof] = ACTIONS(2662),
    [anon_sym_typeof] = ACTIONS(2662),
    [aux_sym_preproc_undef_token1] = ACTIONS(2662),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2662),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2662),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2662),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2662),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2662),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2662),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2662),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2662),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2662),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_API_AVAILABLE] = ACTIONS(2662),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_API_DEPRECATED] = ACTIONS(2662),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2662),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2662),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2662),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2662),
    [anon_sym___deprecated_msg] = ACTIONS(2662),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2662),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2662),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2662),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2662),
    [anon_sym_ATsynthesize] = ACTIONS(2664),
    [anon_sym_ATdynamic] = ACTIONS(2664),
    [anon_sym_ATproperty] = ACTIONS(2664),
    [anon_sym_BOOL] = ACTIONS(2662),
    [anon_sym_IMP] = ACTIONS(2662),
    [anon_sym_SEL] = ACTIONS(2662),
    [anon_sym_Class] = ACTIONS(2662),
    [anon_sym_id] = ACTIONS(2662),
    [anon_sym_ATdefs] = ACTIONS(2664),
  },
  [2237] = {
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token2] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym_DASH] = ACTIONS(2578),
    [anon_sym_PLUS] = ACTIONS(2578),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_typedef] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym___attribute] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym___cdecl] = ACTIONS(2576),
    [anon_sym___clrcall] = ACTIONS(2576),
    [anon_sym___stdcall] = ACTIONS(2576),
    [anon_sym___fastcall] = ACTIONS(2576),
    [anon_sym___thiscall] = ACTIONS(2576),
    [anon_sym___vectorcall] = ACTIONS(2576),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_auto] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_CG_EXTERN] = ACTIONS(2576),
    [anon_sym_CG_INLINE] = ACTIONS(2576),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2576),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2576),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2576),
    [anon_sym_IBOutlet] = ACTIONS(2576),
    [anon_sym_IBInspectable] = ACTIONS(2576),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2576),
    [anon_sym_NS_INLINE] = ACTIONS(2576),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2576),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2576),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2576),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym__Nonnull] = ACTIONS(2576),
    [anon_sym_nullable] = ACTIONS(2576),
    [anon_sym__Complex] = ACTIONS(2576),
    [anon_sym__Nullable] = ACTIONS(2576),
    [anon_sym__Nullable_result] = ACTIONS(2576),
    [anon_sym__Null_unspecified] = ACTIONS(2576),
    [anon_sym___autoreleasing] = ACTIONS(2576),
    [anon_sym___block] = ACTIONS(2576),
    [anon_sym___bridge] = ACTIONS(2576),
    [anon_sym___bridge_retained] = ACTIONS(2576),
    [anon_sym___bridge_transfer] = ACTIONS(2576),
    [anon_sym___complex] = ACTIONS(2576),
    [anon_sym___const] = ACTIONS(2576),
    [anon_sym___imag] = ACTIONS(2576),
    [anon_sym___kindof] = ACTIONS(2576),
    [anon_sym___nonnull] = ACTIONS(2576),
    [anon_sym___nullable] = ACTIONS(2576),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2576),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2576),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2576),
    [anon_sym___real] = ACTIONS(2576),
    [anon_sym___strong] = ACTIONS(2576),
    [anon_sym___unsafe_unretained] = ACTIONS(2576),
    [anon_sym___unused] = ACTIONS(2576),
    [anon_sym___weak] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2576),
    [anon_sym___typeof] = ACTIONS(2576),
    [anon_sym_typeof] = ACTIONS(2576),
    [aux_sym_preproc_undef_token1] = ACTIONS(2576),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2576),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2576),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2576),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2576),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2576),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2576),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2576),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2576),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2576),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_API_AVAILABLE] = ACTIONS(2576),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_API_DEPRECATED] = ACTIONS(2576),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2576),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2576),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2576),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2576),
    [anon_sym___deprecated_msg] = ACTIONS(2576),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2576),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2576),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2576),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2576),
    [anon_sym_ATsynthesize] = ACTIONS(2578),
    [anon_sym_ATdynamic] = ACTIONS(2578),
    [anon_sym_ATproperty] = ACTIONS(2578),
    [anon_sym_BOOL] = ACTIONS(2576),
    [anon_sym_IMP] = ACTIONS(2576),
    [anon_sym_SEL] = ACTIONS(2576),
    [anon_sym_Class] = ACTIONS(2576),
    [anon_sym_id] = ACTIONS(2576),
    [anon_sym_ATdefs] = ACTIONS(2578),
  },
  [2238] = {
    [sym_identifier] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token2] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2774),
    [sym_preproc_directive] = ACTIONS(2774),
    [anon_sym_DASH] = ACTIONS(2776),
    [anon_sym_PLUS] = ACTIONS(2776),
    [anon_sym___extension__] = ACTIONS(2774),
    [anon_sym_typedef] = ACTIONS(2774),
    [anon_sym_extern] = ACTIONS(2774),
    [anon_sym___attribute__] = ACTIONS(2774),
    [anon_sym___attribute] = ACTIONS(2774),
    [anon_sym_noreturn] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2776),
    [anon_sym___declspec] = ACTIONS(2774),
    [anon_sym___cdecl] = ACTIONS(2774),
    [anon_sym___clrcall] = ACTIONS(2774),
    [anon_sym___stdcall] = ACTIONS(2774),
    [anon_sym___fastcall] = ACTIONS(2774),
    [anon_sym___thiscall] = ACTIONS(2774),
    [anon_sym___vectorcall] = ACTIONS(2774),
    [anon_sym_signed] = ACTIONS(2774),
    [anon_sym_unsigned] = ACTIONS(2774),
    [anon_sym_long] = ACTIONS(2774),
    [anon_sym_short] = ACTIONS(2774),
    [anon_sym_static] = ACTIONS(2774),
    [anon_sym_auto] = ACTIONS(2774),
    [anon_sym_register] = ACTIONS(2774),
    [anon_sym_inline] = ACTIONS(2774),
    [anon_sym___inline] = ACTIONS(2774),
    [anon_sym___inline__] = ACTIONS(2774),
    [anon_sym___forceinline] = ACTIONS(2774),
    [anon_sym_thread_local] = ACTIONS(2774),
    [anon_sym___thread] = ACTIONS(2774),
    [anon_sym_CG_EXTERN] = ACTIONS(2774),
    [anon_sym_CG_INLINE] = ACTIONS(2774),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2774),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2774),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2774),
    [anon_sym_IBOutlet] = ACTIONS(2774),
    [anon_sym_IBInspectable] = ACTIONS(2774),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2774),
    [anon_sym_NS_INLINE] = ACTIONS(2774),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2774),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2774),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2774),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2774),
    [anon_sym_const] = ACTIONS(2774),
    [anon_sym_constexpr] = ACTIONS(2774),
    [anon_sym_volatile] = ACTIONS(2774),
    [anon_sym_restrict] = ACTIONS(2774),
    [anon_sym___restrict__] = ACTIONS(2774),
    [anon_sym__Atomic] = ACTIONS(2774),
    [anon_sym__Noreturn] = ACTIONS(2774),
    [anon_sym__Nonnull] = ACTIONS(2774),
    [anon_sym_nullable] = ACTIONS(2774),
    [anon_sym__Complex] = ACTIONS(2774),
    [anon_sym__Nullable] = ACTIONS(2774),
    [anon_sym__Nullable_result] = ACTIONS(2774),
    [anon_sym__Null_unspecified] = ACTIONS(2774),
    [anon_sym___autoreleasing] = ACTIONS(2774),
    [anon_sym___block] = ACTIONS(2774),
    [anon_sym___bridge] = ACTIONS(2774),
    [anon_sym___bridge_retained] = ACTIONS(2774),
    [anon_sym___bridge_transfer] = ACTIONS(2774),
    [anon_sym___complex] = ACTIONS(2774),
    [anon_sym___const] = ACTIONS(2774),
    [anon_sym___imag] = ACTIONS(2774),
    [anon_sym___kindof] = ACTIONS(2774),
    [anon_sym___nonnull] = ACTIONS(2774),
    [anon_sym___nullable] = ACTIONS(2774),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2774),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2774),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2774),
    [anon_sym___real] = ACTIONS(2774),
    [anon_sym___strong] = ACTIONS(2774),
    [anon_sym___unsafe_unretained] = ACTIONS(2774),
    [anon_sym___unused] = ACTIONS(2774),
    [anon_sym___weak] = ACTIONS(2774),
    [anon_sym_alignas] = ACTIONS(2774),
    [anon_sym__Alignas] = ACTIONS(2774),
    [sym_primitive_type] = ACTIONS(2774),
    [anon_sym_enum] = ACTIONS(2774),
    [anon_sym_struct] = ACTIONS(2774),
    [anon_sym_union] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2774),
    [anon_sym___typeof] = ACTIONS(2774),
    [anon_sym_typeof] = ACTIONS(2774),
    [aux_sym_preproc_undef_token1] = ACTIONS(2774),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2774),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2774),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2774),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2774),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2774),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2774),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2774),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2774),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2774),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_API_AVAILABLE] = ACTIONS(2774),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_API_DEPRECATED] = ACTIONS(2774),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2774),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2774),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2774),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2774),
    [anon_sym___deprecated_msg] = ACTIONS(2774),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2774),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2774),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2774),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2774),
    [anon_sym_ATsynthesize] = ACTIONS(2776),
    [anon_sym_ATdynamic] = ACTIONS(2776),
    [anon_sym_ATproperty] = ACTIONS(2776),
    [anon_sym_BOOL] = ACTIONS(2774),
    [anon_sym_IMP] = ACTIONS(2774),
    [anon_sym_SEL] = ACTIONS(2774),
    [anon_sym_Class] = ACTIONS(2774),
    [anon_sym_id] = ACTIONS(2774),
    [anon_sym_ATdefs] = ACTIONS(2776),
  },
  [2239] = {
    [sym_identifier] = ACTIONS(5513),
    [aux_sym_preproc_def_token1] = ACTIONS(5513),
    [aux_sym_preproc_if_token1] = ACTIONS(5513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5513),
    [sym_preproc_directive] = ACTIONS(5513),
    [anon_sym_DASH] = ACTIONS(5515),
    [anon_sym_PLUS] = ACTIONS(5515),
    [anon_sym_SEMI] = ACTIONS(5517),
    [anon_sym___extension__] = ACTIONS(5513),
    [anon_sym_typedef] = ACTIONS(5513),
    [anon_sym_extern] = ACTIONS(5513),
    [anon_sym___attribute__] = ACTIONS(5513),
    [anon_sym___attribute] = ACTIONS(5513),
    [anon_sym_noreturn] = ACTIONS(5513),
    [anon_sym_LBRACK] = ACTIONS(5515),
    [anon_sym___declspec] = ACTIONS(5513),
    [anon_sym___cdecl] = ACTIONS(5513),
    [anon_sym___clrcall] = ACTIONS(5513),
    [anon_sym___stdcall] = ACTIONS(5513),
    [anon_sym___fastcall] = ACTIONS(5513),
    [anon_sym___thiscall] = ACTIONS(5513),
    [anon_sym___vectorcall] = ACTIONS(5513),
    [anon_sym_signed] = ACTIONS(5513),
    [anon_sym_unsigned] = ACTIONS(5513),
    [anon_sym_long] = ACTIONS(5513),
    [anon_sym_short] = ACTIONS(5513),
    [anon_sym_static] = ACTIONS(5513),
    [anon_sym_auto] = ACTIONS(5513),
    [anon_sym_register] = ACTIONS(5513),
    [anon_sym_inline] = ACTIONS(5513),
    [anon_sym___inline] = ACTIONS(5513),
    [anon_sym___inline__] = ACTIONS(5513),
    [anon_sym___forceinline] = ACTIONS(5513),
    [anon_sym_thread_local] = ACTIONS(5513),
    [anon_sym___thread] = ACTIONS(5513),
    [anon_sym_CG_EXTERN] = ACTIONS(5513),
    [anon_sym_CG_INLINE] = ACTIONS(5513),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5513),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5513),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5513),
    [anon_sym_IBOutlet] = ACTIONS(5513),
    [anon_sym_IBInspectable] = ACTIONS(5513),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5513),
    [anon_sym_NS_INLINE] = ACTIONS(5513),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5513),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5513),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5513),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5513),
    [anon_sym_const] = ACTIONS(5513),
    [anon_sym_constexpr] = ACTIONS(5513),
    [anon_sym_volatile] = ACTIONS(5513),
    [anon_sym_restrict] = ACTIONS(5513),
    [anon_sym___restrict__] = ACTIONS(5513),
    [anon_sym__Atomic] = ACTIONS(5513),
    [anon_sym__Noreturn] = ACTIONS(5513),
    [anon_sym__Nonnull] = ACTIONS(5513),
    [anon_sym_nullable] = ACTIONS(5513),
    [anon_sym__Complex] = ACTIONS(5513),
    [anon_sym__Nullable] = ACTIONS(5513),
    [anon_sym__Nullable_result] = ACTIONS(5513),
    [anon_sym__Null_unspecified] = ACTIONS(5513),
    [anon_sym___autoreleasing] = ACTIONS(5513),
    [anon_sym___block] = ACTIONS(5513),
    [anon_sym___bridge] = ACTIONS(5513),
    [anon_sym___bridge_retained] = ACTIONS(5513),
    [anon_sym___bridge_transfer] = ACTIONS(5513),
    [anon_sym___complex] = ACTIONS(5513),
    [anon_sym___const] = ACTIONS(5513),
    [anon_sym___imag] = ACTIONS(5513),
    [anon_sym___kindof] = ACTIONS(5513),
    [anon_sym___nonnull] = ACTIONS(5513),
    [anon_sym___nullable] = ACTIONS(5513),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5513),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5513),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5513),
    [anon_sym___real] = ACTIONS(5513),
    [anon_sym___strong] = ACTIONS(5513),
    [anon_sym___unsafe_unretained] = ACTIONS(5513),
    [anon_sym___unused] = ACTIONS(5513),
    [anon_sym___weak] = ACTIONS(5513),
    [anon_sym_alignas] = ACTIONS(5513),
    [anon_sym__Alignas] = ACTIONS(5513),
    [sym_primitive_type] = ACTIONS(5513),
    [anon_sym_enum] = ACTIONS(5513),
    [anon_sym_struct] = ACTIONS(5513),
    [anon_sym_union] = ACTIONS(5513),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5513),
    [anon_sym___typeof] = ACTIONS(5513),
    [anon_sym_typeof] = ACTIONS(5513),
    [aux_sym_preproc_undef_token1] = ACTIONS(5513),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5513),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5513),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5513),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5513),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5513),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5513),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5513),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5513),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5513),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5513),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5513),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5513),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5513),
    [anon_sym_API_AVAILABLE] = ACTIONS(5513),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5513),
    [anon_sym_API_DEPRECATED] = ACTIONS(5513),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5513),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5513),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5513),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5513),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5513),
    [anon_sym___deprecated_msg] = ACTIONS(5513),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5513),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5513),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5513),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5513),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5513),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5513),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5513),
    [anon_sym_ATend] = ACTIONS(5515),
    [anon_sym_ATsynthesize] = ACTIONS(5515),
    [anon_sym_ATdynamic] = ACTIONS(5515),
    [anon_sym_ATproperty] = ACTIONS(5515),
    [anon_sym_BOOL] = ACTIONS(5513),
    [anon_sym_IMP] = ACTIONS(5513),
    [anon_sym_SEL] = ACTIONS(5513),
    [anon_sym_Class] = ACTIONS(5513),
    [anon_sym_id] = ACTIONS(5513),
  },
  [2240] = {
    [sym_identifier] = ACTIONS(5070),
    [aux_sym_preproc_def_token1] = ACTIONS(5070),
    [aux_sym_preproc_if_token1] = ACTIONS(5070),
    [aux_sym_preproc_if_token2] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5070),
    [aux_sym_preproc_else_token1] = ACTIONS(5070),
    [aux_sym_preproc_elif_token1] = ACTIONS(5070),
    [sym_preproc_directive] = ACTIONS(5070),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym___extension__] = ACTIONS(5070),
    [anon_sym_typedef] = ACTIONS(5070),
    [anon_sym_extern] = ACTIONS(5070),
    [anon_sym___attribute__] = ACTIONS(5070),
    [anon_sym___attribute] = ACTIONS(5070),
    [anon_sym_noreturn] = ACTIONS(5070),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [anon_sym___declspec] = ACTIONS(5070),
    [anon_sym___cdecl] = ACTIONS(5070),
    [anon_sym___clrcall] = ACTIONS(5070),
    [anon_sym___stdcall] = ACTIONS(5070),
    [anon_sym___fastcall] = ACTIONS(5070),
    [anon_sym___thiscall] = ACTIONS(5070),
    [anon_sym___vectorcall] = ACTIONS(5070),
    [anon_sym_signed] = ACTIONS(5070),
    [anon_sym_unsigned] = ACTIONS(5070),
    [anon_sym_long] = ACTIONS(5070),
    [anon_sym_short] = ACTIONS(5070),
    [anon_sym_static] = ACTIONS(5070),
    [anon_sym_auto] = ACTIONS(5070),
    [anon_sym_register] = ACTIONS(5070),
    [anon_sym_inline] = ACTIONS(5070),
    [anon_sym___inline] = ACTIONS(5070),
    [anon_sym___inline__] = ACTIONS(5070),
    [anon_sym___forceinline] = ACTIONS(5070),
    [anon_sym_thread_local] = ACTIONS(5070),
    [anon_sym___thread] = ACTIONS(5070),
    [anon_sym_CG_EXTERN] = ACTIONS(5070),
    [anon_sym_CG_INLINE] = ACTIONS(5070),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5070),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5070),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5070),
    [anon_sym_IBOutlet] = ACTIONS(5070),
    [anon_sym_IBInspectable] = ACTIONS(5070),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5070),
    [anon_sym_NS_INLINE] = ACTIONS(5070),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5070),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5070),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5070),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5070),
    [anon_sym_const] = ACTIONS(5070),
    [anon_sym_constexpr] = ACTIONS(5070),
    [anon_sym_volatile] = ACTIONS(5070),
    [anon_sym_restrict] = ACTIONS(5070),
    [anon_sym___restrict__] = ACTIONS(5070),
    [anon_sym__Atomic] = ACTIONS(5070),
    [anon_sym__Noreturn] = ACTIONS(5070),
    [anon_sym__Nonnull] = ACTIONS(5070),
    [anon_sym_nullable] = ACTIONS(5070),
    [anon_sym__Complex] = ACTIONS(5070),
    [anon_sym__Nullable] = ACTIONS(5070),
    [anon_sym__Nullable_result] = ACTIONS(5070),
    [anon_sym__Null_unspecified] = ACTIONS(5070),
    [anon_sym___autoreleasing] = ACTIONS(5070),
    [anon_sym___block] = ACTIONS(5070),
    [anon_sym___bridge] = ACTIONS(5070),
    [anon_sym___bridge_retained] = ACTIONS(5070),
    [anon_sym___bridge_transfer] = ACTIONS(5070),
    [anon_sym___complex] = ACTIONS(5070),
    [anon_sym___const] = ACTIONS(5070),
    [anon_sym___imag] = ACTIONS(5070),
    [anon_sym___kindof] = ACTIONS(5070),
    [anon_sym___nonnull] = ACTIONS(5070),
    [anon_sym___nullable] = ACTIONS(5070),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5070),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5070),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5070),
    [anon_sym___real] = ACTIONS(5070),
    [anon_sym___strong] = ACTIONS(5070),
    [anon_sym___unsafe_unretained] = ACTIONS(5070),
    [anon_sym___unused] = ACTIONS(5070),
    [anon_sym___weak] = ACTIONS(5070),
    [anon_sym_alignas] = ACTIONS(5070),
    [anon_sym__Alignas] = ACTIONS(5070),
    [sym_primitive_type] = ACTIONS(5070),
    [anon_sym_enum] = ACTIONS(5070),
    [anon_sym_struct] = ACTIONS(5070),
    [anon_sym_union] = ACTIONS(5070),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5070),
    [anon_sym___typeof] = ACTIONS(5070),
    [anon_sym_typeof] = ACTIONS(5070),
    [aux_sym_preproc_undef_token1] = ACTIONS(5070),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5070),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5070),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5070),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5070),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5070),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5070),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5070),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5070),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5070),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5070),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5070),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5070),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5070),
    [anon_sym_API_AVAILABLE] = ACTIONS(5070),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5070),
    [anon_sym_API_DEPRECATED] = ACTIONS(5070),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5070),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5070),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5070),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5070),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5070),
    [anon_sym___deprecated_msg] = ACTIONS(5070),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5070),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5070),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5070),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5070),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5070),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5070),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5070),
    [anon_sym_ATsynthesize] = ACTIONS(5074),
    [anon_sym_ATdynamic] = ACTIONS(5074),
    [anon_sym_BOOL] = ACTIONS(5070),
    [anon_sym_IMP] = ACTIONS(5070),
    [anon_sym_SEL] = ACTIONS(5070),
    [anon_sym_Class] = ACTIONS(5070),
    [anon_sym_id] = ACTIONS(5070),
  },
  [2241] = {
    [sym_identifier] = ACTIONS(5519),
    [aux_sym_preproc_def_token1] = ACTIONS(5519),
    [aux_sym_preproc_if_token1] = ACTIONS(5519),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5519),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5519),
    [sym_preproc_directive] = ACTIONS(5519),
    [anon_sym_DASH] = ACTIONS(5521),
    [anon_sym_PLUS] = ACTIONS(5521),
    [anon_sym_SEMI] = ACTIONS(5523),
    [anon_sym___extension__] = ACTIONS(5519),
    [anon_sym_typedef] = ACTIONS(5519),
    [anon_sym_extern] = ACTIONS(5519),
    [anon_sym___attribute__] = ACTIONS(5519),
    [anon_sym___attribute] = ACTIONS(5519),
    [anon_sym_noreturn] = ACTIONS(5519),
    [anon_sym_LBRACK] = ACTIONS(5521),
    [anon_sym___declspec] = ACTIONS(5519),
    [anon_sym___cdecl] = ACTIONS(5519),
    [anon_sym___clrcall] = ACTIONS(5519),
    [anon_sym___stdcall] = ACTIONS(5519),
    [anon_sym___fastcall] = ACTIONS(5519),
    [anon_sym___thiscall] = ACTIONS(5519),
    [anon_sym___vectorcall] = ACTIONS(5519),
    [anon_sym_signed] = ACTIONS(5519),
    [anon_sym_unsigned] = ACTIONS(5519),
    [anon_sym_long] = ACTIONS(5519),
    [anon_sym_short] = ACTIONS(5519),
    [anon_sym_static] = ACTIONS(5519),
    [anon_sym_auto] = ACTIONS(5519),
    [anon_sym_register] = ACTIONS(5519),
    [anon_sym_inline] = ACTIONS(5519),
    [anon_sym___inline] = ACTIONS(5519),
    [anon_sym___inline__] = ACTIONS(5519),
    [anon_sym___forceinline] = ACTIONS(5519),
    [anon_sym_thread_local] = ACTIONS(5519),
    [anon_sym___thread] = ACTIONS(5519),
    [anon_sym_CG_EXTERN] = ACTIONS(5519),
    [anon_sym_CG_INLINE] = ACTIONS(5519),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5519),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5519),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5519),
    [anon_sym_IBOutlet] = ACTIONS(5519),
    [anon_sym_IBInspectable] = ACTIONS(5519),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5519),
    [anon_sym_NS_INLINE] = ACTIONS(5519),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5519),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5519),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5519),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5519),
    [anon_sym_const] = ACTIONS(5519),
    [anon_sym_constexpr] = ACTIONS(5519),
    [anon_sym_volatile] = ACTIONS(5519),
    [anon_sym_restrict] = ACTIONS(5519),
    [anon_sym___restrict__] = ACTIONS(5519),
    [anon_sym__Atomic] = ACTIONS(5519),
    [anon_sym__Noreturn] = ACTIONS(5519),
    [anon_sym__Nonnull] = ACTIONS(5519),
    [anon_sym_nullable] = ACTIONS(5519),
    [anon_sym__Complex] = ACTIONS(5519),
    [anon_sym__Nullable] = ACTIONS(5519),
    [anon_sym__Nullable_result] = ACTIONS(5519),
    [anon_sym__Null_unspecified] = ACTIONS(5519),
    [anon_sym___autoreleasing] = ACTIONS(5519),
    [anon_sym___block] = ACTIONS(5519),
    [anon_sym___bridge] = ACTIONS(5519),
    [anon_sym___bridge_retained] = ACTIONS(5519),
    [anon_sym___bridge_transfer] = ACTIONS(5519),
    [anon_sym___complex] = ACTIONS(5519),
    [anon_sym___const] = ACTIONS(5519),
    [anon_sym___imag] = ACTIONS(5519),
    [anon_sym___kindof] = ACTIONS(5519),
    [anon_sym___nonnull] = ACTIONS(5519),
    [anon_sym___nullable] = ACTIONS(5519),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5519),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5519),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5519),
    [anon_sym___real] = ACTIONS(5519),
    [anon_sym___strong] = ACTIONS(5519),
    [anon_sym___unsafe_unretained] = ACTIONS(5519),
    [anon_sym___unused] = ACTIONS(5519),
    [anon_sym___weak] = ACTIONS(5519),
    [anon_sym_alignas] = ACTIONS(5519),
    [anon_sym__Alignas] = ACTIONS(5519),
    [sym_primitive_type] = ACTIONS(5519),
    [anon_sym_enum] = ACTIONS(5519),
    [anon_sym_struct] = ACTIONS(5519),
    [anon_sym_union] = ACTIONS(5519),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5519),
    [anon_sym___typeof] = ACTIONS(5519),
    [anon_sym_typeof] = ACTIONS(5519),
    [aux_sym_preproc_undef_token1] = ACTIONS(5519),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5519),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5519),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5519),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5519),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5519),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5519),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5519),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5519),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5519),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5519),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5519),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5519),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5519),
    [anon_sym_API_AVAILABLE] = ACTIONS(5519),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5519),
    [anon_sym_API_DEPRECATED] = ACTIONS(5519),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5519),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5519),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5519),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5519),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5519),
    [anon_sym___deprecated_msg] = ACTIONS(5519),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5519),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5519),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5519),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5519),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5519),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5519),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5519),
    [anon_sym_ATend] = ACTIONS(5521),
    [anon_sym_ATsynthesize] = ACTIONS(5521),
    [anon_sym_ATdynamic] = ACTIONS(5521),
    [anon_sym_ATproperty] = ACTIONS(5521),
    [anon_sym_BOOL] = ACTIONS(5519),
    [anon_sym_IMP] = ACTIONS(5519),
    [anon_sym_SEL] = ACTIONS(5519),
    [anon_sym_Class] = ACTIONS(5519),
    [anon_sym_id] = ACTIONS(5519),
  },
  [2242] = {
    [sym_identifier] = ACTIONS(5379),
    [aux_sym_preproc_def_token1] = ACTIONS(5379),
    [aux_sym_preproc_if_token1] = ACTIONS(5379),
    [aux_sym_preproc_if_token2] = ACTIONS(5379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5379),
    [aux_sym_preproc_else_token1] = ACTIONS(5379),
    [aux_sym_preproc_elif_token1] = ACTIONS(5379),
    [sym_preproc_directive] = ACTIONS(5379),
    [anon_sym_DASH] = ACTIONS(5381),
    [anon_sym_PLUS] = ACTIONS(5381),
    [anon_sym___extension__] = ACTIONS(5379),
    [anon_sym_typedef] = ACTIONS(5379),
    [anon_sym_extern] = ACTIONS(5379),
    [anon_sym___attribute__] = ACTIONS(5379),
    [anon_sym___attribute] = ACTIONS(5379),
    [anon_sym_noreturn] = ACTIONS(5379),
    [anon_sym_LBRACK] = ACTIONS(5381),
    [anon_sym___declspec] = ACTIONS(5379),
    [anon_sym___cdecl] = ACTIONS(5379),
    [anon_sym___clrcall] = ACTIONS(5379),
    [anon_sym___stdcall] = ACTIONS(5379),
    [anon_sym___fastcall] = ACTIONS(5379),
    [anon_sym___thiscall] = ACTIONS(5379),
    [anon_sym___vectorcall] = ACTIONS(5379),
    [anon_sym_signed] = ACTIONS(5379),
    [anon_sym_unsigned] = ACTIONS(5379),
    [anon_sym_long] = ACTIONS(5379),
    [anon_sym_short] = ACTIONS(5379),
    [anon_sym_static] = ACTIONS(5379),
    [anon_sym_auto] = ACTIONS(5379),
    [anon_sym_register] = ACTIONS(5379),
    [anon_sym_inline] = ACTIONS(5379),
    [anon_sym___inline] = ACTIONS(5379),
    [anon_sym___inline__] = ACTIONS(5379),
    [anon_sym___forceinline] = ACTIONS(5379),
    [anon_sym_thread_local] = ACTIONS(5379),
    [anon_sym___thread] = ACTIONS(5379),
    [anon_sym_CG_EXTERN] = ACTIONS(5379),
    [anon_sym_CG_INLINE] = ACTIONS(5379),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5379),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5379),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5379),
    [anon_sym_IBOutlet] = ACTIONS(5379),
    [anon_sym_IBInspectable] = ACTIONS(5379),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5379),
    [anon_sym_NS_INLINE] = ACTIONS(5379),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5379),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5379),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5379),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5379),
    [anon_sym_const] = ACTIONS(5379),
    [anon_sym_constexpr] = ACTIONS(5379),
    [anon_sym_volatile] = ACTIONS(5379),
    [anon_sym_restrict] = ACTIONS(5379),
    [anon_sym___restrict__] = ACTIONS(5379),
    [anon_sym__Atomic] = ACTIONS(5379),
    [anon_sym__Noreturn] = ACTIONS(5379),
    [anon_sym__Nonnull] = ACTIONS(5379),
    [anon_sym_nullable] = ACTIONS(5379),
    [anon_sym__Complex] = ACTIONS(5379),
    [anon_sym__Nullable] = ACTIONS(5379),
    [anon_sym__Nullable_result] = ACTIONS(5379),
    [anon_sym__Null_unspecified] = ACTIONS(5379),
    [anon_sym___autoreleasing] = ACTIONS(5379),
    [anon_sym___block] = ACTIONS(5379),
    [anon_sym___bridge] = ACTIONS(5379),
    [anon_sym___bridge_retained] = ACTIONS(5379),
    [anon_sym___bridge_transfer] = ACTIONS(5379),
    [anon_sym___complex] = ACTIONS(5379),
    [anon_sym___const] = ACTIONS(5379),
    [anon_sym___imag] = ACTIONS(5379),
    [anon_sym___kindof] = ACTIONS(5379),
    [anon_sym___nonnull] = ACTIONS(5379),
    [anon_sym___nullable] = ACTIONS(5379),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5379),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5379),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5379),
    [anon_sym___real] = ACTIONS(5379),
    [anon_sym___strong] = ACTIONS(5379),
    [anon_sym___unsafe_unretained] = ACTIONS(5379),
    [anon_sym___unused] = ACTIONS(5379),
    [anon_sym___weak] = ACTIONS(5379),
    [anon_sym_alignas] = ACTIONS(5379),
    [anon_sym__Alignas] = ACTIONS(5379),
    [sym_primitive_type] = ACTIONS(5379),
    [anon_sym_enum] = ACTIONS(5379),
    [anon_sym_struct] = ACTIONS(5379),
    [anon_sym_union] = ACTIONS(5379),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5379),
    [anon_sym___typeof] = ACTIONS(5379),
    [anon_sym_typeof] = ACTIONS(5379),
    [aux_sym_preproc_undef_token1] = ACTIONS(5379),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5379),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5379),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5379),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5379),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5379),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5379),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5379),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5379),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5379),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5379),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5379),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5379),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5379),
    [anon_sym_API_AVAILABLE] = ACTIONS(5379),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5379),
    [anon_sym_API_DEPRECATED] = ACTIONS(5379),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5379),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5379),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5379),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5379),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5379),
    [anon_sym___deprecated_msg] = ACTIONS(5379),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5379),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5379),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5379),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5379),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5379),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5379),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5379),
    [anon_sym_ATsynthesize] = ACTIONS(5381),
    [anon_sym_ATdynamic] = ACTIONS(5381),
    [anon_sym_BOOL] = ACTIONS(5379),
    [anon_sym_IMP] = ACTIONS(5379),
    [anon_sym_SEL] = ACTIONS(5379),
    [anon_sym_Class] = ACTIONS(5379),
    [anon_sym_id] = ACTIONS(5379),
  },
  [2243] = {
    [sym_parameterized_arguments] = STATE(2311),
    [sym_identifier] = ACTIONS(5525),
    [aux_sym_preproc_def_token1] = ACTIONS(5525),
    [aux_sym_preproc_if_token1] = ACTIONS(5525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5525),
    [sym_preproc_directive] = ACTIONS(5525),
    [anon_sym_DASH] = ACTIONS(5527),
    [anon_sym_PLUS] = ACTIONS(5527),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(5525),
    [anon_sym_typedef] = ACTIONS(5525),
    [anon_sym_extern] = ACTIONS(5525),
    [anon_sym___attribute__] = ACTIONS(5525),
    [anon_sym___attribute] = ACTIONS(5525),
    [anon_sym_noreturn] = ACTIONS(5525),
    [anon_sym_LBRACK] = ACTIONS(5527),
    [anon_sym___declspec] = ACTIONS(5525),
    [anon_sym___cdecl] = ACTIONS(5525),
    [anon_sym___clrcall] = ACTIONS(5525),
    [anon_sym___stdcall] = ACTIONS(5525),
    [anon_sym___fastcall] = ACTIONS(5525),
    [anon_sym___thiscall] = ACTIONS(5525),
    [anon_sym___vectorcall] = ACTIONS(5525),
    [anon_sym_LBRACE] = ACTIONS(5527),
    [anon_sym_signed] = ACTIONS(5525),
    [anon_sym_unsigned] = ACTIONS(5525),
    [anon_sym_long] = ACTIONS(5525),
    [anon_sym_short] = ACTIONS(5525),
    [anon_sym_static] = ACTIONS(5525),
    [anon_sym_auto] = ACTIONS(5525),
    [anon_sym_register] = ACTIONS(5525),
    [anon_sym_inline] = ACTIONS(5525),
    [anon_sym___inline] = ACTIONS(5525),
    [anon_sym___inline__] = ACTIONS(5525),
    [anon_sym___forceinline] = ACTIONS(5525),
    [anon_sym_thread_local] = ACTIONS(5525),
    [anon_sym___thread] = ACTIONS(5525),
    [anon_sym_CG_EXTERN] = ACTIONS(5525),
    [anon_sym_CG_INLINE] = ACTIONS(5525),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5525),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5525),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5525),
    [anon_sym_IBOutlet] = ACTIONS(5525),
    [anon_sym_IBInspectable] = ACTIONS(5525),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5525),
    [anon_sym_NS_INLINE] = ACTIONS(5525),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5525),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5525),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5525),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5525),
    [anon_sym_const] = ACTIONS(5525),
    [anon_sym_constexpr] = ACTIONS(5525),
    [anon_sym_volatile] = ACTIONS(5525),
    [anon_sym_restrict] = ACTIONS(5525),
    [anon_sym___restrict__] = ACTIONS(5525),
    [anon_sym__Atomic] = ACTIONS(5525),
    [anon_sym__Noreturn] = ACTIONS(5525),
    [anon_sym__Nonnull] = ACTIONS(5525),
    [anon_sym_nullable] = ACTIONS(5525),
    [anon_sym__Complex] = ACTIONS(5525),
    [anon_sym__Nullable] = ACTIONS(5525),
    [anon_sym__Nullable_result] = ACTIONS(5525),
    [anon_sym__Null_unspecified] = ACTIONS(5525),
    [anon_sym___autoreleasing] = ACTIONS(5525),
    [anon_sym___block] = ACTIONS(5525),
    [anon_sym___bridge] = ACTIONS(5525),
    [anon_sym___bridge_retained] = ACTIONS(5525),
    [anon_sym___bridge_transfer] = ACTIONS(5525),
    [anon_sym___complex] = ACTIONS(5525),
    [anon_sym___const] = ACTIONS(5525),
    [anon_sym___imag] = ACTIONS(5525),
    [anon_sym___kindof] = ACTIONS(5525),
    [anon_sym___nonnull] = ACTIONS(5525),
    [anon_sym___nullable] = ACTIONS(5525),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5525),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5525),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5525),
    [anon_sym___real] = ACTIONS(5525),
    [anon_sym___strong] = ACTIONS(5525),
    [anon_sym___unsafe_unretained] = ACTIONS(5525),
    [anon_sym___unused] = ACTIONS(5525),
    [anon_sym___weak] = ACTIONS(5525),
    [anon_sym_alignas] = ACTIONS(5525),
    [anon_sym__Alignas] = ACTIONS(5525),
    [sym_primitive_type] = ACTIONS(5525),
    [anon_sym_enum] = ACTIONS(5525),
    [anon_sym_struct] = ACTIONS(5525),
    [anon_sym_union] = ACTIONS(5525),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5525),
    [anon_sym___typeof] = ACTIONS(5525),
    [anon_sym_typeof] = ACTIONS(5525),
    [aux_sym_preproc_undef_token1] = ACTIONS(5525),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5525),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5525),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5525),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5525),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5525),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5525),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5525),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5525),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5525),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5525),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5525),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5525),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5525),
    [anon_sym_API_AVAILABLE] = ACTIONS(5525),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5525),
    [anon_sym_API_DEPRECATED] = ACTIONS(5525),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5525),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5525),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5525),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5525),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5525),
    [anon_sym___deprecated_msg] = ACTIONS(5525),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5525),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5525),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5525),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5525),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5525),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5525),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5525),
    [anon_sym_ATend] = ACTIONS(5527),
    [anon_sym_ATproperty] = ACTIONS(5527),
    [anon_sym_BOOL] = ACTIONS(5525),
    [anon_sym_IMP] = ACTIONS(5525),
    [anon_sym_SEL] = ACTIONS(5525),
    [anon_sym_Class] = ACTIONS(5525),
    [anon_sym_id] = ACTIONS(5525),
  },
  [2244] = {
    [sym_identifier] = ACTIONS(5529),
    [aux_sym_preproc_def_token1] = ACTIONS(5529),
    [aux_sym_preproc_if_token1] = ACTIONS(5529),
    [aux_sym_preproc_if_token2] = ACTIONS(5529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5529),
    [aux_sym_preproc_else_token1] = ACTIONS(5529),
    [aux_sym_preproc_elif_token1] = ACTIONS(5529),
    [sym_preproc_directive] = ACTIONS(5529),
    [anon_sym_DASH] = ACTIONS(5531),
    [anon_sym_PLUS] = ACTIONS(5531),
    [anon_sym___extension__] = ACTIONS(5529),
    [anon_sym_typedef] = ACTIONS(5529),
    [anon_sym_extern] = ACTIONS(5529),
    [anon_sym___attribute__] = ACTIONS(5529),
    [anon_sym___attribute] = ACTIONS(5529),
    [anon_sym_noreturn] = ACTIONS(5529),
    [anon_sym_LBRACK] = ACTIONS(5531),
    [anon_sym___declspec] = ACTIONS(5529),
    [anon_sym___cdecl] = ACTIONS(5529),
    [anon_sym___clrcall] = ACTIONS(5529),
    [anon_sym___stdcall] = ACTIONS(5529),
    [anon_sym___fastcall] = ACTIONS(5529),
    [anon_sym___thiscall] = ACTIONS(5529),
    [anon_sym___vectorcall] = ACTIONS(5529),
    [anon_sym_signed] = ACTIONS(5529),
    [anon_sym_unsigned] = ACTIONS(5529),
    [anon_sym_long] = ACTIONS(5529),
    [anon_sym_short] = ACTIONS(5529),
    [anon_sym_static] = ACTIONS(5529),
    [anon_sym_auto] = ACTIONS(5529),
    [anon_sym_register] = ACTIONS(5529),
    [anon_sym_inline] = ACTIONS(5529),
    [anon_sym___inline] = ACTIONS(5529),
    [anon_sym___inline__] = ACTIONS(5529),
    [anon_sym___forceinline] = ACTIONS(5529),
    [anon_sym_thread_local] = ACTIONS(5529),
    [anon_sym___thread] = ACTIONS(5529),
    [anon_sym_CG_EXTERN] = ACTIONS(5529),
    [anon_sym_CG_INLINE] = ACTIONS(5529),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5529),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5529),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5529),
    [anon_sym_IBOutlet] = ACTIONS(5529),
    [anon_sym_IBInspectable] = ACTIONS(5529),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5529),
    [anon_sym_NS_INLINE] = ACTIONS(5529),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5529),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5529),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5529),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5529),
    [anon_sym_const] = ACTIONS(5529),
    [anon_sym_constexpr] = ACTIONS(5529),
    [anon_sym_volatile] = ACTIONS(5529),
    [anon_sym_restrict] = ACTIONS(5529),
    [anon_sym___restrict__] = ACTIONS(5529),
    [anon_sym__Atomic] = ACTIONS(5529),
    [anon_sym__Noreturn] = ACTIONS(5529),
    [anon_sym__Nonnull] = ACTIONS(5529),
    [anon_sym_nullable] = ACTIONS(5529),
    [anon_sym__Complex] = ACTIONS(5529),
    [anon_sym__Nullable] = ACTIONS(5529),
    [anon_sym__Nullable_result] = ACTIONS(5529),
    [anon_sym__Null_unspecified] = ACTIONS(5529),
    [anon_sym___autoreleasing] = ACTIONS(5529),
    [anon_sym___block] = ACTIONS(5529),
    [anon_sym___bridge] = ACTIONS(5529),
    [anon_sym___bridge_retained] = ACTIONS(5529),
    [anon_sym___bridge_transfer] = ACTIONS(5529),
    [anon_sym___complex] = ACTIONS(5529),
    [anon_sym___const] = ACTIONS(5529),
    [anon_sym___imag] = ACTIONS(5529),
    [anon_sym___kindof] = ACTIONS(5529),
    [anon_sym___nonnull] = ACTIONS(5529),
    [anon_sym___nullable] = ACTIONS(5529),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5529),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5529),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5529),
    [anon_sym___real] = ACTIONS(5529),
    [anon_sym___strong] = ACTIONS(5529),
    [anon_sym___unsafe_unretained] = ACTIONS(5529),
    [anon_sym___unused] = ACTIONS(5529),
    [anon_sym___weak] = ACTIONS(5529),
    [anon_sym_alignas] = ACTIONS(5529),
    [anon_sym__Alignas] = ACTIONS(5529),
    [sym_primitive_type] = ACTIONS(5529),
    [anon_sym_enum] = ACTIONS(5529),
    [anon_sym_struct] = ACTIONS(5529),
    [anon_sym_union] = ACTIONS(5529),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5529),
    [anon_sym___typeof] = ACTIONS(5529),
    [anon_sym_typeof] = ACTIONS(5529),
    [aux_sym_preproc_undef_token1] = ACTIONS(5529),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5529),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5529),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5529),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5529),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5529),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5529),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5529),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5529),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5529),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5529),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5529),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5529),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5529),
    [anon_sym_API_AVAILABLE] = ACTIONS(5529),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5529),
    [anon_sym_API_DEPRECATED] = ACTIONS(5529),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5529),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5529),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5529),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5529),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5529),
    [anon_sym___deprecated_msg] = ACTIONS(5529),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5529),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5529),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5529),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5529),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5529),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5529),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5529),
    [anon_sym_ATsynthesize] = ACTIONS(5531),
    [anon_sym_ATdynamic] = ACTIONS(5531),
    [anon_sym_BOOL] = ACTIONS(5529),
    [anon_sym_IMP] = ACTIONS(5529),
    [anon_sym_SEL] = ACTIONS(5529),
    [anon_sym_Class] = ACTIONS(5529),
    [anon_sym_id] = ACTIONS(5529),
  },
  [2245] = {
    [sym__declaration_modifiers] = STATE(2566),
    [sym_attribute_specifier] = STATE(2566),
    [sym_attribute_declaration] = STATE(2566),
    [sym_ms_declspec_modifier] = STATE(2566),
    [sym_ms_based_modifier] = STATE(6208),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2562),
    [sym__declarator] = STATE(5057),
    [sym__abstract_declarator] = STATE(5003),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_abstract_parenthesized_declarator] = STATE(4850),
    [sym_pointer_declarator] = STATE(3994),
    [sym_abstract_pointer_declarator] = STATE(4850),
    [sym_function_declarator] = STATE(3994),
    [sym_abstract_function_declarator] = STATE(4850),
    [sym_array_declarator] = STATE(3994),
    [sym_abstract_array_declarator] = STATE(4850),
    [sym_storage_class_specifier] = STATE(2566),
    [sym_type_qualifier] = STATE(2566),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(4274),
    [sym_availability_attribute_specifier] = STATE(2566),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_abstract_block_pointer_declarator] = STATE(4850),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2566),
    [aux_sym_pointer_declarator_repeat1] = STATE(2562),
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_RPAREN] = ACTIONS(5336),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_STAR] = ACTIONS(4212),
    [anon_sym_CARET] = ACTIONS(4214),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(4216),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2246] = {
    [sym_identifier] = ACTIONS(5353),
    [aux_sym_preproc_def_token1] = ACTIONS(5353),
    [aux_sym_preproc_if_token1] = ACTIONS(5353),
    [aux_sym_preproc_if_token2] = ACTIONS(5353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5353),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5353),
    [aux_sym_preproc_else_token1] = ACTIONS(5353),
    [aux_sym_preproc_elif_token1] = ACTIONS(5353),
    [sym_preproc_directive] = ACTIONS(5353),
    [anon_sym_DASH] = ACTIONS(5355),
    [anon_sym_PLUS] = ACTIONS(5355),
    [anon_sym___extension__] = ACTIONS(5353),
    [anon_sym_typedef] = ACTIONS(5353),
    [anon_sym_extern] = ACTIONS(5353),
    [anon_sym___attribute__] = ACTIONS(5353),
    [anon_sym___attribute] = ACTIONS(5353),
    [anon_sym_noreturn] = ACTIONS(5353),
    [anon_sym_LBRACK] = ACTIONS(5355),
    [anon_sym___declspec] = ACTIONS(5353),
    [anon_sym___cdecl] = ACTIONS(5353),
    [anon_sym___clrcall] = ACTIONS(5353),
    [anon_sym___stdcall] = ACTIONS(5353),
    [anon_sym___fastcall] = ACTIONS(5353),
    [anon_sym___thiscall] = ACTIONS(5353),
    [anon_sym___vectorcall] = ACTIONS(5353),
    [anon_sym_signed] = ACTIONS(5353),
    [anon_sym_unsigned] = ACTIONS(5353),
    [anon_sym_long] = ACTIONS(5353),
    [anon_sym_short] = ACTIONS(5353),
    [anon_sym_static] = ACTIONS(5353),
    [anon_sym_auto] = ACTIONS(5353),
    [anon_sym_register] = ACTIONS(5353),
    [anon_sym_inline] = ACTIONS(5353),
    [anon_sym___inline] = ACTIONS(5353),
    [anon_sym___inline__] = ACTIONS(5353),
    [anon_sym___forceinline] = ACTIONS(5353),
    [anon_sym_thread_local] = ACTIONS(5353),
    [anon_sym___thread] = ACTIONS(5353),
    [anon_sym_CG_EXTERN] = ACTIONS(5353),
    [anon_sym_CG_INLINE] = ACTIONS(5353),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5353),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5353),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5353),
    [anon_sym_IBOutlet] = ACTIONS(5353),
    [anon_sym_IBInspectable] = ACTIONS(5353),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5353),
    [anon_sym_NS_INLINE] = ACTIONS(5353),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5353),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5353),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5353),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5353),
    [anon_sym_const] = ACTIONS(5353),
    [anon_sym_constexpr] = ACTIONS(5353),
    [anon_sym_volatile] = ACTIONS(5353),
    [anon_sym_restrict] = ACTIONS(5353),
    [anon_sym___restrict__] = ACTIONS(5353),
    [anon_sym__Atomic] = ACTIONS(5353),
    [anon_sym__Noreturn] = ACTIONS(5353),
    [anon_sym__Nonnull] = ACTIONS(5353),
    [anon_sym_nullable] = ACTIONS(5353),
    [anon_sym__Complex] = ACTIONS(5353),
    [anon_sym__Nullable] = ACTIONS(5353),
    [anon_sym__Nullable_result] = ACTIONS(5353),
    [anon_sym__Null_unspecified] = ACTIONS(5353),
    [anon_sym___autoreleasing] = ACTIONS(5353),
    [anon_sym___block] = ACTIONS(5353),
    [anon_sym___bridge] = ACTIONS(5353),
    [anon_sym___bridge_retained] = ACTIONS(5353),
    [anon_sym___bridge_transfer] = ACTIONS(5353),
    [anon_sym___complex] = ACTIONS(5353),
    [anon_sym___const] = ACTIONS(5353),
    [anon_sym___imag] = ACTIONS(5353),
    [anon_sym___kindof] = ACTIONS(5353),
    [anon_sym___nonnull] = ACTIONS(5353),
    [anon_sym___nullable] = ACTIONS(5353),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5353),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5353),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5353),
    [anon_sym___real] = ACTIONS(5353),
    [anon_sym___strong] = ACTIONS(5353),
    [anon_sym___unsafe_unretained] = ACTIONS(5353),
    [anon_sym___unused] = ACTIONS(5353),
    [anon_sym___weak] = ACTIONS(5353),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_primitive_type] = ACTIONS(5353),
    [anon_sym_enum] = ACTIONS(5353),
    [anon_sym_struct] = ACTIONS(5353),
    [anon_sym_union] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5353),
    [anon_sym___typeof] = ACTIONS(5353),
    [anon_sym_typeof] = ACTIONS(5353),
    [aux_sym_preproc_undef_token1] = ACTIONS(5353),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5353),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5353),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5353),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5353),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5353),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5353),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5353),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5353),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5353),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5353),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5353),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5353),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5353),
    [anon_sym_API_AVAILABLE] = ACTIONS(5353),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5353),
    [anon_sym_API_DEPRECATED] = ACTIONS(5353),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5353),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5353),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5353),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5353),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5353),
    [anon_sym___deprecated_msg] = ACTIONS(5353),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5353),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5353),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5353),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5353),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5353),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5353),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5353),
    [anon_sym_ATsynthesize] = ACTIONS(5355),
    [anon_sym_ATdynamic] = ACTIONS(5355),
    [anon_sym_BOOL] = ACTIONS(5353),
    [anon_sym_IMP] = ACTIONS(5353),
    [anon_sym_SEL] = ACTIONS(5353),
    [anon_sym_Class] = ACTIONS(5353),
    [anon_sym_id] = ACTIONS(5353),
  },
  [2247] = {
    [sym_identifier] = ACTIONS(2654),
    [aux_sym_preproc_def_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token2] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2654),
    [aux_sym_preproc_else_token1] = ACTIONS(2654),
    [aux_sym_preproc_elif_token1] = ACTIONS(2654),
    [sym_preproc_directive] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2656),
    [anon_sym___extension__] = ACTIONS(2654),
    [anon_sym_typedef] = ACTIONS(2654),
    [anon_sym_extern] = ACTIONS(2654),
    [anon_sym___attribute__] = ACTIONS(2654),
    [anon_sym___attribute] = ACTIONS(2654),
    [anon_sym_noreturn] = ACTIONS(2654),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym___declspec] = ACTIONS(2654),
    [anon_sym___cdecl] = ACTIONS(2654),
    [anon_sym___clrcall] = ACTIONS(2654),
    [anon_sym___stdcall] = ACTIONS(2654),
    [anon_sym___fastcall] = ACTIONS(2654),
    [anon_sym___thiscall] = ACTIONS(2654),
    [anon_sym___vectorcall] = ACTIONS(2654),
    [anon_sym_signed] = ACTIONS(2654),
    [anon_sym_unsigned] = ACTIONS(2654),
    [anon_sym_long] = ACTIONS(2654),
    [anon_sym_short] = ACTIONS(2654),
    [anon_sym_static] = ACTIONS(2654),
    [anon_sym_auto] = ACTIONS(2654),
    [anon_sym_register] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym___inline] = ACTIONS(2654),
    [anon_sym___inline__] = ACTIONS(2654),
    [anon_sym___forceinline] = ACTIONS(2654),
    [anon_sym_thread_local] = ACTIONS(2654),
    [anon_sym___thread] = ACTIONS(2654),
    [anon_sym_CG_EXTERN] = ACTIONS(2654),
    [anon_sym_CG_INLINE] = ACTIONS(2654),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2654),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2654),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2654),
    [anon_sym_IBOutlet] = ACTIONS(2654),
    [anon_sym_IBInspectable] = ACTIONS(2654),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2654),
    [anon_sym_NS_INLINE] = ACTIONS(2654),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2654),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2654),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2654),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_constexpr] = ACTIONS(2654),
    [anon_sym_volatile] = ACTIONS(2654),
    [anon_sym_restrict] = ACTIONS(2654),
    [anon_sym___restrict__] = ACTIONS(2654),
    [anon_sym__Atomic] = ACTIONS(2654),
    [anon_sym__Noreturn] = ACTIONS(2654),
    [anon_sym__Nonnull] = ACTIONS(2654),
    [anon_sym_nullable] = ACTIONS(2654),
    [anon_sym__Complex] = ACTIONS(2654),
    [anon_sym__Nullable] = ACTIONS(2654),
    [anon_sym__Nullable_result] = ACTIONS(2654),
    [anon_sym__Null_unspecified] = ACTIONS(2654),
    [anon_sym___autoreleasing] = ACTIONS(2654),
    [anon_sym___block] = ACTIONS(2654),
    [anon_sym___bridge] = ACTIONS(2654),
    [anon_sym___bridge_retained] = ACTIONS(2654),
    [anon_sym___bridge_transfer] = ACTIONS(2654),
    [anon_sym___complex] = ACTIONS(2654),
    [anon_sym___const] = ACTIONS(2654),
    [anon_sym___imag] = ACTIONS(2654),
    [anon_sym___kindof] = ACTIONS(2654),
    [anon_sym___nonnull] = ACTIONS(2654),
    [anon_sym___nullable] = ACTIONS(2654),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2654),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2654),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2654),
    [anon_sym___real] = ACTIONS(2654),
    [anon_sym___strong] = ACTIONS(2654),
    [anon_sym___unsafe_unretained] = ACTIONS(2654),
    [anon_sym___unused] = ACTIONS(2654),
    [anon_sym___weak] = ACTIONS(2654),
    [anon_sym_alignas] = ACTIONS(2654),
    [anon_sym__Alignas] = ACTIONS(2654),
    [sym_primitive_type] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_struct] = ACTIONS(2654),
    [anon_sym_union] = ACTIONS(2654),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2654),
    [anon_sym___typeof] = ACTIONS(2654),
    [anon_sym_typeof] = ACTIONS(2654),
    [aux_sym_preproc_undef_token1] = ACTIONS(2654),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2654),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2654),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2654),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2654),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2654),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2654),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2654),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2654),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2654),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2654),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2654),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2654),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2654),
    [anon_sym_API_AVAILABLE] = ACTIONS(2654),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2654),
    [anon_sym_API_DEPRECATED] = ACTIONS(2654),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2654),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2654),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2654),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2654),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2654),
    [anon_sym___deprecated_msg] = ACTIONS(2654),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2654),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2654),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2654),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2654),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2654),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2654),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2654),
    [anon_sym_ATsynthesize] = ACTIONS(2656),
    [anon_sym_ATdynamic] = ACTIONS(2656),
    [anon_sym_BOOL] = ACTIONS(2654),
    [anon_sym_IMP] = ACTIONS(2654),
    [anon_sym_SEL] = ACTIONS(2654),
    [anon_sym_Class] = ACTIONS(2654),
    [anon_sym_id] = ACTIONS(2654),
  },
  [2248] = {
    [sym_identifier] = ACTIONS(2650),
    [aux_sym_preproc_def_token1] = ACTIONS(2650),
    [aux_sym_preproc_if_token1] = ACTIONS(2650),
    [aux_sym_preproc_if_token2] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2650),
    [aux_sym_preproc_else_token1] = ACTIONS(2650),
    [aux_sym_preproc_elif_token1] = ACTIONS(2650),
    [sym_preproc_directive] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2652),
    [anon_sym___extension__] = ACTIONS(2650),
    [anon_sym_typedef] = ACTIONS(2650),
    [anon_sym_extern] = ACTIONS(2650),
    [anon_sym___attribute__] = ACTIONS(2650),
    [anon_sym___attribute] = ACTIONS(2650),
    [anon_sym_noreturn] = ACTIONS(2650),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym___declspec] = ACTIONS(2650),
    [anon_sym___cdecl] = ACTIONS(2650),
    [anon_sym___clrcall] = ACTIONS(2650),
    [anon_sym___stdcall] = ACTIONS(2650),
    [anon_sym___fastcall] = ACTIONS(2650),
    [anon_sym___thiscall] = ACTIONS(2650),
    [anon_sym___vectorcall] = ACTIONS(2650),
    [anon_sym_signed] = ACTIONS(2650),
    [anon_sym_unsigned] = ACTIONS(2650),
    [anon_sym_long] = ACTIONS(2650),
    [anon_sym_short] = ACTIONS(2650),
    [anon_sym_static] = ACTIONS(2650),
    [anon_sym_auto] = ACTIONS(2650),
    [anon_sym_register] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym___inline] = ACTIONS(2650),
    [anon_sym___inline__] = ACTIONS(2650),
    [anon_sym___forceinline] = ACTIONS(2650),
    [anon_sym_thread_local] = ACTIONS(2650),
    [anon_sym___thread] = ACTIONS(2650),
    [anon_sym_CG_EXTERN] = ACTIONS(2650),
    [anon_sym_CG_INLINE] = ACTIONS(2650),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2650),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2650),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2650),
    [anon_sym_IBOutlet] = ACTIONS(2650),
    [anon_sym_IBInspectable] = ACTIONS(2650),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2650),
    [anon_sym_NS_INLINE] = ACTIONS(2650),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2650),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2650),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2650),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_constexpr] = ACTIONS(2650),
    [anon_sym_volatile] = ACTIONS(2650),
    [anon_sym_restrict] = ACTIONS(2650),
    [anon_sym___restrict__] = ACTIONS(2650),
    [anon_sym__Atomic] = ACTIONS(2650),
    [anon_sym__Noreturn] = ACTIONS(2650),
    [anon_sym__Nonnull] = ACTIONS(2650),
    [anon_sym_nullable] = ACTIONS(2650),
    [anon_sym__Complex] = ACTIONS(2650),
    [anon_sym__Nullable] = ACTIONS(2650),
    [anon_sym__Nullable_result] = ACTIONS(2650),
    [anon_sym__Null_unspecified] = ACTIONS(2650),
    [anon_sym___autoreleasing] = ACTIONS(2650),
    [anon_sym___block] = ACTIONS(2650),
    [anon_sym___bridge] = ACTIONS(2650),
    [anon_sym___bridge_retained] = ACTIONS(2650),
    [anon_sym___bridge_transfer] = ACTIONS(2650),
    [anon_sym___complex] = ACTIONS(2650),
    [anon_sym___const] = ACTIONS(2650),
    [anon_sym___imag] = ACTIONS(2650),
    [anon_sym___kindof] = ACTIONS(2650),
    [anon_sym___nonnull] = ACTIONS(2650),
    [anon_sym___nullable] = ACTIONS(2650),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2650),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2650),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2650),
    [anon_sym___real] = ACTIONS(2650),
    [anon_sym___strong] = ACTIONS(2650),
    [anon_sym___unsafe_unretained] = ACTIONS(2650),
    [anon_sym___unused] = ACTIONS(2650),
    [anon_sym___weak] = ACTIONS(2650),
    [anon_sym_alignas] = ACTIONS(2650),
    [anon_sym__Alignas] = ACTIONS(2650),
    [sym_primitive_type] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_struct] = ACTIONS(2650),
    [anon_sym_union] = ACTIONS(2650),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2650),
    [anon_sym___typeof] = ACTIONS(2650),
    [anon_sym_typeof] = ACTIONS(2650),
    [aux_sym_preproc_undef_token1] = ACTIONS(2650),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2650),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2650),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2650),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2650),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2650),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2650),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2650),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2650),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2650),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2650),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2650),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2650),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2650),
    [anon_sym_API_AVAILABLE] = ACTIONS(2650),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2650),
    [anon_sym_API_DEPRECATED] = ACTIONS(2650),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2650),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2650),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2650),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2650),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2650),
    [anon_sym___deprecated_msg] = ACTIONS(2650),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2650),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2650),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2650),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2650),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2650),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2650),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2650),
    [anon_sym_ATsynthesize] = ACTIONS(2652),
    [anon_sym_ATdynamic] = ACTIONS(2652),
    [anon_sym_BOOL] = ACTIONS(2650),
    [anon_sym_IMP] = ACTIONS(2650),
    [anon_sym_SEL] = ACTIONS(2650),
    [anon_sym_Class] = ACTIONS(2650),
    [anon_sym_id] = ACTIONS(2650),
  },
  [2249] = {
    [sym_identifier] = ACTIONS(5389),
    [aux_sym_preproc_def_token1] = ACTIONS(5389),
    [aux_sym_preproc_if_token1] = ACTIONS(5389),
    [aux_sym_preproc_if_token2] = ACTIONS(5389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5389),
    [aux_sym_preproc_else_token1] = ACTIONS(5389),
    [aux_sym_preproc_elif_token1] = ACTIONS(5389),
    [sym_preproc_directive] = ACTIONS(5389),
    [anon_sym_DASH] = ACTIONS(5391),
    [anon_sym_PLUS] = ACTIONS(5391),
    [anon_sym___extension__] = ACTIONS(5389),
    [anon_sym_typedef] = ACTIONS(5389),
    [anon_sym_extern] = ACTIONS(5389),
    [anon_sym___attribute__] = ACTIONS(5389),
    [anon_sym___attribute] = ACTIONS(5389),
    [anon_sym_noreturn] = ACTIONS(5389),
    [anon_sym_LBRACK] = ACTIONS(5391),
    [anon_sym___declspec] = ACTIONS(5389),
    [anon_sym___cdecl] = ACTIONS(5389),
    [anon_sym___clrcall] = ACTIONS(5389),
    [anon_sym___stdcall] = ACTIONS(5389),
    [anon_sym___fastcall] = ACTIONS(5389),
    [anon_sym___thiscall] = ACTIONS(5389),
    [anon_sym___vectorcall] = ACTIONS(5389),
    [anon_sym_signed] = ACTIONS(5389),
    [anon_sym_unsigned] = ACTIONS(5389),
    [anon_sym_long] = ACTIONS(5389),
    [anon_sym_short] = ACTIONS(5389),
    [anon_sym_static] = ACTIONS(5389),
    [anon_sym_auto] = ACTIONS(5389),
    [anon_sym_register] = ACTIONS(5389),
    [anon_sym_inline] = ACTIONS(5389),
    [anon_sym___inline] = ACTIONS(5389),
    [anon_sym___inline__] = ACTIONS(5389),
    [anon_sym___forceinline] = ACTIONS(5389),
    [anon_sym_thread_local] = ACTIONS(5389),
    [anon_sym___thread] = ACTIONS(5389),
    [anon_sym_CG_EXTERN] = ACTIONS(5389),
    [anon_sym_CG_INLINE] = ACTIONS(5389),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5389),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5389),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5389),
    [anon_sym_IBOutlet] = ACTIONS(5389),
    [anon_sym_IBInspectable] = ACTIONS(5389),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5389),
    [anon_sym_NS_INLINE] = ACTIONS(5389),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5389),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5389),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5389),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5389),
    [anon_sym_const] = ACTIONS(5389),
    [anon_sym_constexpr] = ACTIONS(5389),
    [anon_sym_volatile] = ACTIONS(5389),
    [anon_sym_restrict] = ACTIONS(5389),
    [anon_sym___restrict__] = ACTIONS(5389),
    [anon_sym__Atomic] = ACTIONS(5389),
    [anon_sym__Noreturn] = ACTIONS(5389),
    [anon_sym__Nonnull] = ACTIONS(5389),
    [anon_sym_nullable] = ACTIONS(5389),
    [anon_sym__Complex] = ACTIONS(5389),
    [anon_sym__Nullable] = ACTIONS(5389),
    [anon_sym__Nullable_result] = ACTIONS(5389),
    [anon_sym__Null_unspecified] = ACTIONS(5389),
    [anon_sym___autoreleasing] = ACTIONS(5389),
    [anon_sym___block] = ACTIONS(5389),
    [anon_sym___bridge] = ACTIONS(5389),
    [anon_sym___bridge_retained] = ACTIONS(5389),
    [anon_sym___bridge_transfer] = ACTIONS(5389),
    [anon_sym___complex] = ACTIONS(5389),
    [anon_sym___const] = ACTIONS(5389),
    [anon_sym___imag] = ACTIONS(5389),
    [anon_sym___kindof] = ACTIONS(5389),
    [anon_sym___nonnull] = ACTIONS(5389),
    [anon_sym___nullable] = ACTIONS(5389),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5389),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5389),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5389),
    [anon_sym___real] = ACTIONS(5389),
    [anon_sym___strong] = ACTIONS(5389),
    [anon_sym___unsafe_unretained] = ACTIONS(5389),
    [anon_sym___unused] = ACTIONS(5389),
    [anon_sym___weak] = ACTIONS(5389),
    [anon_sym_alignas] = ACTIONS(5389),
    [anon_sym__Alignas] = ACTIONS(5389),
    [sym_primitive_type] = ACTIONS(5389),
    [anon_sym_enum] = ACTIONS(5389),
    [anon_sym_struct] = ACTIONS(5389),
    [anon_sym_union] = ACTIONS(5389),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5389),
    [anon_sym___typeof] = ACTIONS(5389),
    [anon_sym_typeof] = ACTIONS(5389),
    [aux_sym_preproc_undef_token1] = ACTIONS(5389),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5389),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5389),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5389),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5389),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5389),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5389),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5389),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5389),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5389),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5389),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5389),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5389),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5389),
    [anon_sym_API_AVAILABLE] = ACTIONS(5389),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5389),
    [anon_sym_API_DEPRECATED] = ACTIONS(5389),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5389),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5389),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5389),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5389),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5389),
    [anon_sym___deprecated_msg] = ACTIONS(5389),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5389),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5389),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5389),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5389),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5389),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5389),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5389),
    [anon_sym_ATsynthesize] = ACTIONS(5391),
    [anon_sym_ATdynamic] = ACTIONS(5391),
    [anon_sym_BOOL] = ACTIONS(5389),
    [anon_sym_IMP] = ACTIONS(5389),
    [anon_sym_SEL] = ACTIONS(5389),
    [anon_sym_Class] = ACTIONS(5389),
    [anon_sym_id] = ACTIONS(5389),
  },
  [2250] = {
    [sym_identifier] = ACTIONS(5399),
    [aux_sym_preproc_def_token1] = ACTIONS(5399),
    [aux_sym_preproc_if_token1] = ACTIONS(5399),
    [aux_sym_preproc_if_token2] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5399),
    [aux_sym_preproc_else_token1] = ACTIONS(5399),
    [aux_sym_preproc_elif_token1] = ACTIONS(5399),
    [sym_preproc_directive] = ACTIONS(5399),
    [anon_sym_DASH] = ACTIONS(5401),
    [anon_sym_PLUS] = ACTIONS(5401),
    [anon_sym___extension__] = ACTIONS(5399),
    [anon_sym_typedef] = ACTIONS(5399),
    [anon_sym_extern] = ACTIONS(5399),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym___attribute] = ACTIONS(5399),
    [anon_sym_noreturn] = ACTIONS(5399),
    [anon_sym_LBRACK] = ACTIONS(5401),
    [anon_sym___declspec] = ACTIONS(5399),
    [anon_sym___cdecl] = ACTIONS(5399),
    [anon_sym___clrcall] = ACTIONS(5399),
    [anon_sym___stdcall] = ACTIONS(5399),
    [anon_sym___fastcall] = ACTIONS(5399),
    [anon_sym___thiscall] = ACTIONS(5399),
    [anon_sym___vectorcall] = ACTIONS(5399),
    [anon_sym_signed] = ACTIONS(5399),
    [anon_sym_unsigned] = ACTIONS(5399),
    [anon_sym_long] = ACTIONS(5399),
    [anon_sym_short] = ACTIONS(5399),
    [anon_sym_static] = ACTIONS(5399),
    [anon_sym_auto] = ACTIONS(5399),
    [anon_sym_register] = ACTIONS(5399),
    [anon_sym_inline] = ACTIONS(5399),
    [anon_sym___inline] = ACTIONS(5399),
    [anon_sym___inline__] = ACTIONS(5399),
    [anon_sym___forceinline] = ACTIONS(5399),
    [anon_sym_thread_local] = ACTIONS(5399),
    [anon_sym___thread] = ACTIONS(5399),
    [anon_sym_CG_EXTERN] = ACTIONS(5399),
    [anon_sym_CG_INLINE] = ACTIONS(5399),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5399),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5399),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5399),
    [anon_sym_IBOutlet] = ACTIONS(5399),
    [anon_sym_IBInspectable] = ACTIONS(5399),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5399),
    [anon_sym_NS_INLINE] = ACTIONS(5399),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5399),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5399),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5399),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5399),
    [anon_sym_const] = ACTIONS(5399),
    [anon_sym_constexpr] = ACTIONS(5399),
    [anon_sym_volatile] = ACTIONS(5399),
    [anon_sym_restrict] = ACTIONS(5399),
    [anon_sym___restrict__] = ACTIONS(5399),
    [anon_sym__Atomic] = ACTIONS(5399),
    [anon_sym__Noreturn] = ACTIONS(5399),
    [anon_sym__Nonnull] = ACTIONS(5399),
    [anon_sym_nullable] = ACTIONS(5399),
    [anon_sym__Complex] = ACTIONS(5399),
    [anon_sym__Nullable] = ACTIONS(5399),
    [anon_sym__Nullable_result] = ACTIONS(5399),
    [anon_sym__Null_unspecified] = ACTIONS(5399),
    [anon_sym___autoreleasing] = ACTIONS(5399),
    [anon_sym___block] = ACTIONS(5399),
    [anon_sym___bridge] = ACTIONS(5399),
    [anon_sym___bridge_retained] = ACTIONS(5399),
    [anon_sym___bridge_transfer] = ACTIONS(5399),
    [anon_sym___complex] = ACTIONS(5399),
    [anon_sym___const] = ACTIONS(5399),
    [anon_sym___imag] = ACTIONS(5399),
    [anon_sym___kindof] = ACTIONS(5399),
    [anon_sym___nonnull] = ACTIONS(5399),
    [anon_sym___nullable] = ACTIONS(5399),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5399),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5399),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5399),
    [anon_sym___real] = ACTIONS(5399),
    [anon_sym___strong] = ACTIONS(5399),
    [anon_sym___unsafe_unretained] = ACTIONS(5399),
    [anon_sym___unused] = ACTIONS(5399),
    [anon_sym___weak] = ACTIONS(5399),
    [anon_sym_alignas] = ACTIONS(5399),
    [anon_sym__Alignas] = ACTIONS(5399),
    [sym_primitive_type] = ACTIONS(5399),
    [anon_sym_enum] = ACTIONS(5399),
    [anon_sym_struct] = ACTIONS(5399),
    [anon_sym_union] = ACTIONS(5399),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5399),
    [anon_sym___typeof] = ACTIONS(5399),
    [anon_sym_typeof] = ACTIONS(5399),
    [aux_sym_preproc_undef_token1] = ACTIONS(5399),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5399),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5399),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5399),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5399),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5399),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5399),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5399),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5399),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5399),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5399),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5399),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5399),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5399),
    [anon_sym_API_AVAILABLE] = ACTIONS(5399),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5399),
    [anon_sym_API_DEPRECATED] = ACTIONS(5399),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5399),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5399),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5399),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5399),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5399),
    [anon_sym___deprecated_msg] = ACTIONS(5399),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5399),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5399),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5399),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5399),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5399),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5399),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5399),
    [anon_sym_ATsynthesize] = ACTIONS(5401),
    [anon_sym_ATdynamic] = ACTIONS(5401),
    [anon_sym_BOOL] = ACTIONS(5399),
    [anon_sym_IMP] = ACTIONS(5399),
    [anon_sym_SEL] = ACTIONS(5399),
    [anon_sym_Class] = ACTIONS(5399),
    [anon_sym_id] = ACTIONS(5399),
  },
  [2251] = {
    [sym_identifier] = ACTIONS(2864),
    [aux_sym_preproc_def_token1] = ACTIONS(2864),
    [aux_sym_preproc_if_token1] = ACTIONS(2864),
    [aux_sym_preproc_if_token2] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2864),
    [aux_sym_preproc_else_token1] = ACTIONS(2864),
    [aux_sym_preproc_elif_token1] = ACTIONS(2864),
    [sym_preproc_directive] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2866),
    [anon_sym_PLUS] = ACTIONS(2866),
    [anon_sym___extension__] = ACTIONS(2864),
    [anon_sym_typedef] = ACTIONS(2864),
    [anon_sym_extern] = ACTIONS(2864),
    [anon_sym___attribute__] = ACTIONS(2864),
    [anon_sym___attribute] = ACTIONS(2864),
    [anon_sym_noreturn] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym___declspec] = ACTIONS(2864),
    [anon_sym___cdecl] = ACTIONS(2864),
    [anon_sym___clrcall] = ACTIONS(2864),
    [anon_sym___stdcall] = ACTIONS(2864),
    [anon_sym___fastcall] = ACTIONS(2864),
    [anon_sym___thiscall] = ACTIONS(2864),
    [anon_sym___vectorcall] = ACTIONS(2864),
    [anon_sym_signed] = ACTIONS(2864),
    [anon_sym_unsigned] = ACTIONS(2864),
    [anon_sym_long] = ACTIONS(2864),
    [anon_sym_short] = ACTIONS(2864),
    [anon_sym_static] = ACTIONS(2864),
    [anon_sym_auto] = ACTIONS(2864),
    [anon_sym_register] = ACTIONS(2864),
    [anon_sym_inline] = ACTIONS(2864),
    [anon_sym___inline] = ACTIONS(2864),
    [anon_sym___inline__] = ACTIONS(2864),
    [anon_sym___forceinline] = ACTIONS(2864),
    [anon_sym_thread_local] = ACTIONS(2864),
    [anon_sym___thread] = ACTIONS(2864),
    [anon_sym_CG_EXTERN] = ACTIONS(2864),
    [anon_sym_CG_INLINE] = ACTIONS(2864),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2864),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2864),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2864),
    [anon_sym_IBOutlet] = ACTIONS(2864),
    [anon_sym_IBInspectable] = ACTIONS(2864),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2864),
    [anon_sym_NS_INLINE] = ACTIONS(2864),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2864),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2864),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2864),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2864),
    [anon_sym_const] = ACTIONS(2864),
    [anon_sym_constexpr] = ACTIONS(2864),
    [anon_sym_volatile] = ACTIONS(2864),
    [anon_sym_restrict] = ACTIONS(2864),
    [anon_sym___restrict__] = ACTIONS(2864),
    [anon_sym__Atomic] = ACTIONS(2864),
    [anon_sym__Noreturn] = ACTIONS(2864),
    [anon_sym__Nonnull] = ACTIONS(2864),
    [anon_sym_nullable] = ACTIONS(2864),
    [anon_sym__Complex] = ACTIONS(2864),
    [anon_sym__Nullable] = ACTIONS(2864),
    [anon_sym__Nullable_result] = ACTIONS(2864),
    [anon_sym__Null_unspecified] = ACTIONS(2864),
    [anon_sym___autoreleasing] = ACTIONS(2864),
    [anon_sym___block] = ACTIONS(2864),
    [anon_sym___bridge] = ACTIONS(2864),
    [anon_sym___bridge_retained] = ACTIONS(2864),
    [anon_sym___bridge_transfer] = ACTIONS(2864),
    [anon_sym___complex] = ACTIONS(2864),
    [anon_sym___const] = ACTIONS(2864),
    [anon_sym___imag] = ACTIONS(2864),
    [anon_sym___kindof] = ACTIONS(2864),
    [anon_sym___nonnull] = ACTIONS(2864),
    [anon_sym___nullable] = ACTIONS(2864),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2864),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2864),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2864),
    [anon_sym___real] = ACTIONS(2864),
    [anon_sym___strong] = ACTIONS(2864),
    [anon_sym___unsafe_unretained] = ACTIONS(2864),
    [anon_sym___unused] = ACTIONS(2864),
    [anon_sym___weak] = ACTIONS(2864),
    [anon_sym_alignas] = ACTIONS(2864),
    [anon_sym__Alignas] = ACTIONS(2864),
    [sym_primitive_type] = ACTIONS(2864),
    [anon_sym_enum] = ACTIONS(2864),
    [anon_sym_struct] = ACTIONS(2864),
    [anon_sym_union] = ACTIONS(2864),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2864),
    [anon_sym___typeof] = ACTIONS(2864),
    [anon_sym_typeof] = ACTIONS(2864),
    [aux_sym_preproc_undef_token1] = ACTIONS(2864),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2864),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2864),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2864),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2864),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2864),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2864),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2864),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2864),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2864),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2864),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2864),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2864),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2864),
    [anon_sym_API_AVAILABLE] = ACTIONS(2864),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2864),
    [anon_sym_API_DEPRECATED] = ACTIONS(2864),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2864),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2864),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2864),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2864),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2864),
    [anon_sym___deprecated_msg] = ACTIONS(2864),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2864),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2864),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2864),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2864),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2864),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2864),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2864),
    [anon_sym_ATsynthesize] = ACTIONS(2866),
    [anon_sym_ATdynamic] = ACTIONS(2866),
    [anon_sym_BOOL] = ACTIONS(2864),
    [anon_sym_IMP] = ACTIONS(2864),
    [anon_sym_SEL] = ACTIONS(2864),
    [anon_sym_Class] = ACTIONS(2864),
    [anon_sym_id] = ACTIONS(2864),
  },
  [2252] = {
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token2] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [aux_sym_preproc_else_token1] = ACTIONS(2790),
    [aux_sym_preproc_elif_token1] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_DASH] = ACTIONS(2792),
    [anon_sym_PLUS] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym___attribute] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___cdecl] = ACTIONS(2790),
    [anon_sym___clrcall] = ACTIONS(2790),
    [anon_sym___stdcall] = ACTIONS(2790),
    [anon_sym___fastcall] = ACTIONS(2790),
    [anon_sym___thiscall] = ACTIONS(2790),
    [anon_sym___vectorcall] = ACTIONS(2790),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_auto] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_CG_EXTERN] = ACTIONS(2790),
    [anon_sym_CG_INLINE] = ACTIONS(2790),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2790),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2790),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2790),
    [anon_sym_IBOutlet] = ACTIONS(2790),
    [anon_sym_IBInspectable] = ACTIONS(2790),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2790),
    [anon_sym_NS_INLINE] = ACTIONS(2790),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2790),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2790),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2790),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_nullable] = ACTIONS(2790),
    [anon_sym__Complex] = ACTIONS(2790),
    [anon_sym__Nullable] = ACTIONS(2790),
    [anon_sym__Nullable_result] = ACTIONS(2790),
    [anon_sym__Null_unspecified] = ACTIONS(2790),
    [anon_sym___autoreleasing] = ACTIONS(2790),
    [anon_sym___block] = ACTIONS(2790),
    [anon_sym___bridge] = ACTIONS(2790),
    [anon_sym___bridge_retained] = ACTIONS(2790),
    [anon_sym___bridge_transfer] = ACTIONS(2790),
    [anon_sym___complex] = ACTIONS(2790),
    [anon_sym___const] = ACTIONS(2790),
    [anon_sym___imag] = ACTIONS(2790),
    [anon_sym___kindof] = ACTIONS(2790),
    [anon_sym___nonnull] = ACTIONS(2790),
    [anon_sym___nullable] = ACTIONS(2790),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2790),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2790),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2790),
    [anon_sym___real] = ACTIONS(2790),
    [anon_sym___strong] = ACTIONS(2790),
    [anon_sym___unsafe_unretained] = ACTIONS(2790),
    [anon_sym___unused] = ACTIONS(2790),
    [anon_sym___weak] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [sym_primitive_type] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2790),
    [anon_sym___typeof] = ACTIONS(2790),
    [anon_sym_typeof] = ACTIONS(2790),
    [aux_sym_preproc_undef_token1] = ACTIONS(2790),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2790),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2790),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2790),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2790),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2790),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2790),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2790),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2790),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2790),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_API_AVAILABLE] = ACTIONS(2790),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_API_DEPRECATED] = ACTIONS(2790),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2790),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2790),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2790),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2790),
    [anon_sym___deprecated_msg] = ACTIONS(2790),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2790),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2790),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2790),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2790),
    [anon_sym_ATsynthesize] = ACTIONS(2792),
    [anon_sym_ATdynamic] = ACTIONS(2792),
    [anon_sym_BOOL] = ACTIONS(2790),
    [anon_sym_IMP] = ACTIONS(2790),
    [anon_sym_SEL] = ACTIONS(2790),
    [anon_sym_Class] = ACTIONS(2790),
    [anon_sym_id] = ACTIONS(2790),
  },
  [2253] = {
    [sym_identifier] = ACTIONS(5399),
    [aux_sym_preproc_def_token1] = ACTIONS(5399),
    [aux_sym_preproc_if_token1] = ACTIONS(5399),
    [aux_sym_preproc_if_token2] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5399),
    [sym_preproc_directive] = ACTIONS(5399),
    [anon_sym_DASH] = ACTIONS(5401),
    [anon_sym_PLUS] = ACTIONS(5401),
    [anon_sym_SEMI] = ACTIONS(5533),
    [anon_sym___extension__] = ACTIONS(5399),
    [anon_sym_typedef] = ACTIONS(5399),
    [anon_sym_extern] = ACTIONS(5399),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym___attribute] = ACTIONS(5399),
    [anon_sym_noreturn] = ACTIONS(5399),
    [anon_sym_LBRACK] = ACTIONS(5401),
    [anon_sym___declspec] = ACTIONS(5399),
    [anon_sym___cdecl] = ACTIONS(5399),
    [anon_sym___clrcall] = ACTIONS(5399),
    [anon_sym___stdcall] = ACTIONS(5399),
    [anon_sym___fastcall] = ACTIONS(5399),
    [anon_sym___thiscall] = ACTIONS(5399),
    [anon_sym___vectorcall] = ACTIONS(5399),
    [anon_sym_signed] = ACTIONS(5399),
    [anon_sym_unsigned] = ACTIONS(5399),
    [anon_sym_long] = ACTIONS(5399),
    [anon_sym_short] = ACTIONS(5399),
    [anon_sym_static] = ACTIONS(5399),
    [anon_sym_auto] = ACTIONS(5399),
    [anon_sym_register] = ACTIONS(5399),
    [anon_sym_inline] = ACTIONS(5399),
    [anon_sym___inline] = ACTIONS(5399),
    [anon_sym___inline__] = ACTIONS(5399),
    [anon_sym___forceinline] = ACTIONS(5399),
    [anon_sym_thread_local] = ACTIONS(5399),
    [anon_sym___thread] = ACTIONS(5399),
    [anon_sym_CG_EXTERN] = ACTIONS(5399),
    [anon_sym_CG_INLINE] = ACTIONS(5399),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5399),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5399),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5399),
    [anon_sym_IBOutlet] = ACTIONS(5399),
    [anon_sym_IBInspectable] = ACTIONS(5399),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5399),
    [anon_sym_NS_INLINE] = ACTIONS(5399),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5399),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5399),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5399),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5399),
    [anon_sym_const] = ACTIONS(5399),
    [anon_sym_constexpr] = ACTIONS(5399),
    [anon_sym_volatile] = ACTIONS(5399),
    [anon_sym_restrict] = ACTIONS(5399),
    [anon_sym___restrict__] = ACTIONS(5399),
    [anon_sym__Atomic] = ACTIONS(5399),
    [anon_sym__Noreturn] = ACTIONS(5399),
    [anon_sym__Nonnull] = ACTIONS(5399),
    [anon_sym_nullable] = ACTIONS(5399),
    [anon_sym__Complex] = ACTIONS(5399),
    [anon_sym__Nullable] = ACTIONS(5399),
    [anon_sym__Nullable_result] = ACTIONS(5399),
    [anon_sym__Null_unspecified] = ACTIONS(5399),
    [anon_sym___autoreleasing] = ACTIONS(5399),
    [anon_sym___block] = ACTIONS(5399),
    [anon_sym___bridge] = ACTIONS(5399),
    [anon_sym___bridge_retained] = ACTIONS(5399),
    [anon_sym___bridge_transfer] = ACTIONS(5399),
    [anon_sym___complex] = ACTIONS(5399),
    [anon_sym___const] = ACTIONS(5399),
    [anon_sym___imag] = ACTIONS(5399),
    [anon_sym___kindof] = ACTIONS(5399),
    [anon_sym___nonnull] = ACTIONS(5399),
    [anon_sym___nullable] = ACTIONS(5399),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5399),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5399),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5399),
    [anon_sym___real] = ACTIONS(5399),
    [anon_sym___strong] = ACTIONS(5399),
    [anon_sym___unsafe_unretained] = ACTIONS(5399),
    [anon_sym___unused] = ACTIONS(5399),
    [anon_sym___weak] = ACTIONS(5399),
    [anon_sym_alignas] = ACTIONS(5399),
    [anon_sym__Alignas] = ACTIONS(5399),
    [sym_primitive_type] = ACTIONS(5399),
    [anon_sym_enum] = ACTIONS(5399),
    [anon_sym_struct] = ACTIONS(5399),
    [anon_sym_union] = ACTIONS(5399),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5399),
    [anon_sym___typeof] = ACTIONS(5399),
    [anon_sym_typeof] = ACTIONS(5399),
    [aux_sym_preproc_undef_token1] = ACTIONS(5399),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5399),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5399),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5399),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5399),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5399),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5399),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5399),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5399),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5399),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5399),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5399),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5399),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5399),
    [anon_sym_API_AVAILABLE] = ACTIONS(5399),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5399),
    [anon_sym_API_DEPRECATED] = ACTIONS(5399),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5399),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5399),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5399),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5399),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5399),
    [anon_sym___deprecated_msg] = ACTIONS(5399),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5399),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5399),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5399),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5399),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5399),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5399),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5399),
    [anon_sym_ATsynthesize] = ACTIONS(5401),
    [anon_sym_ATdynamic] = ACTIONS(5401),
    [anon_sym_BOOL] = ACTIONS(5399),
    [anon_sym_IMP] = ACTIONS(5399),
    [anon_sym_SEL] = ACTIONS(5399),
    [anon_sym_Class] = ACTIONS(5399),
    [anon_sym_id] = ACTIONS(5399),
  },
  [2254] = {
    [sym_identifier] = ACTIONS(5535),
    [aux_sym_preproc_def_token1] = ACTIONS(5535),
    [aux_sym_preproc_if_token1] = ACTIONS(5535),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5535),
    [sym_preproc_directive] = ACTIONS(5535),
    [anon_sym_DASH] = ACTIONS(5537),
    [anon_sym_PLUS] = ACTIONS(5537),
    [anon_sym___extension__] = ACTIONS(5535),
    [anon_sym_typedef] = ACTIONS(5535),
    [anon_sym_extern] = ACTIONS(5535),
    [anon_sym___attribute__] = ACTIONS(5535),
    [anon_sym___attribute] = ACTIONS(5535),
    [anon_sym_noreturn] = ACTIONS(5535),
    [anon_sym_LBRACK] = ACTIONS(5537),
    [anon_sym___declspec] = ACTIONS(5535),
    [anon_sym___cdecl] = ACTIONS(5535),
    [anon_sym___clrcall] = ACTIONS(5535),
    [anon_sym___stdcall] = ACTIONS(5535),
    [anon_sym___fastcall] = ACTIONS(5535),
    [anon_sym___thiscall] = ACTIONS(5535),
    [anon_sym___vectorcall] = ACTIONS(5535),
    [anon_sym_signed] = ACTIONS(5535),
    [anon_sym_unsigned] = ACTIONS(5535),
    [anon_sym_long] = ACTIONS(5535),
    [anon_sym_short] = ACTIONS(5535),
    [anon_sym_static] = ACTIONS(5535),
    [anon_sym_auto] = ACTIONS(5535),
    [anon_sym_register] = ACTIONS(5535),
    [anon_sym_inline] = ACTIONS(5535),
    [anon_sym___inline] = ACTIONS(5535),
    [anon_sym___inline__] = ACTIONS(5535),
    [anon_sym___forceinline] = ACTIONS(5535),
    [anon_sym_thread_local] = ACTIONS(5535),
    [anon_sym___thread] = ACTIONS(5535),
    [anon_sym_CG_EXTERN] = ACTIONS(5535),
    [anon_sym_CG_INLINE] = ACTIONS(5535),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5535),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5535),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5535),
    [anon_sym_IBOutlet] = ACTIONS(5535),
    [anon_sym_IBInspectable] = ACTIONS(5535),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5535),
    [anon_sym_NS_INLINE] = ACTIONS(5535),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5535),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5535),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5535),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5535),
    [anon_sym_const] = ACTIONS(5535),
    [anon_sym_constexpr] = ACTIONS(5535),
    [anon_sym_volatile] = ACTIONS(5535),
    [anon_sym_restrict] = ACTIONS(5535),
    [anon_sym___restrict__] = ACTIONS(5535),
    [anon_sym__Atomic] = ACTIONS(5535),
    [anon_sym__Noreturn] = ACTIONS(5535),
    [anon_sym__Nonnull] = ACTIONS(5535),
    [anon_sym_nullable] = ACTIONS(5535),
    [anon_sym__Complex] = ACTIONS(5535),
    [anon_sym__Nullable] = ACTIONS(5535),
    [anon_sym__Nullable_result] = ACTIONS(5535),
    [anon_sym__Null_unspecified] = ACTIONS(5535),
    [anon_sym___autoreleasing] = ACTIONS(5535),
    [anon_sym___block] = ACTIONS(5535),
    [anon_sym___bridge] = ACTIONS(5535),
    [anon_sym___bridge_retained] = ACTIONS(5535),
    [anon_sym___bridge_transfer] = ACTIONS(5535),
    [anon_sym___complex] = ACTIONS(5535),
    [anon_sym___const] = ACTIONS(5535),
    [anon_sym___imag] = ACTIONS(5535),
    [anon_sym___kindof] = ACTIONS(5535),
    [anon_sym___nonnull] = ACTIONS(5535),
    [anon_sym___nullable] = ACTIONS(5535),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5535),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5535),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5535),
    [anon_sym___real] = ACTIONS(5535),
    [anon_sym___strong] = ACTIONS(5535),
    [anon_sym___unsafe_unretained] = ACTIONS(5535),
    [anon_sym___unused] = ACTIONS(5535),
    [anon_sym___weak] = ACTIONS(5535),
    [anon_sym_alignas] = ACTIONS(5535),
    [anon_sym__Alignas] = ACTIONS(5535),
    [sym_primitive_type] = ACTIONS(5535),
    [anon_sym_enum] = ACTIONS(5535),
    [anon_sym_struct] = ACTIONS(5535),
    [anon_sym_union] = ACTIONS(5535),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5535),
    [anon_sym___typeof] = ACTIONS(5535),
    [anon_sym_typeof] = ACTIONS(5535),
    [aux_sym_preproc_undef_token1] = ACTIONS(5535),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5535),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5535),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5535),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5535),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5535),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5535),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5535),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5535),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5535),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5535),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5535),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5535),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5535),
    [anon_sym_API_AVAILABLE] = ACTIONS(5535),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5535),
    [anon_sym_API_DEPRECATED] = ACTIONS(5535),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5535),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5535),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5535),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5535),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5535),
    [anon_sym___deprecated_msg] = ACTIONS(5535),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5535),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5535),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5535),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5535),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5535),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5535),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5535),
    [anon_sym_ATend] = ACTIONS(5537),
    [anon_sym_AToptional] = ACTIONS(5537),
    [anon_sym_ATrequired] = ACTIONS(5537),
    [anon_sym_ATproperty] = ACTIONS(5537),
    [anon_sym_BOOL] = ACTIONS(5535),
    [anon_sym_IMP] = ACTIONS(5535),
    [anon_sym_SEL] = ACTIONS(5535),
    [anon_sym_Class] = ACTIONS(5535),
    [anon_sym_id] = ACTIONS(5535),
  },
  [2255] = {
    [sym_identifier] = ACTIONS(5539),
    [aux_sym_preproc_def_token1] = ACTIONS(5539),
    [aux_sym_preproc_if_token1] = ACTIONS(5539),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5539),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5539),
    [sym_preproc_directive] = ACTIONS(5539),
    [anon_sym_DASH] = ACTIONS(5541),
    [anon_sym_PLUS] = ACTIONS(5541),
    [anon_sym___extension__] = ACTIONS(5539),
    [anon_sym_typedef] = ACTIONS(5539),
    [anon_sym_extern] = ACTIONS(5539),
    [anon_sym___attribute__] = ACTIONS(5539),
    [anon_sym___attribute] = ACTIONS(5539),
    [anon_sym_noreturn] = ACTIONS(5539),
    [anon_sym_LBRACK] = ACTIONS(5541),
    [anon_sym___declspec] = ACTIONS(5539),
    [anon_sym___cdecl] = ACTIONS(5539),
    [anon_sym___clrcall] = ACTIONS(5539),
    [anon_sym___stdcall] = ACTIONS(5539),
    [anon_sym___fastcall] = ACTIONS(5539),
    [anon_sym___thiscall] = ACTIONS(5539),
    [anon_sym___vectorcall] = ACTIONS(5539),
    [anon_sym_signed] = ACTIONS(5539),
    [anon_sym_unsigned] = ACTIONS(5539),
    [anon_sym_long] = ACTIONS(5539),
    [anon_sym_short] = ACTIONS(5539),
    [anon_sym_static] = ACTIONS(5539),
    [anon_sym_auto] = ACTIONS(5539),
    [anon_sym_register] = ACTIONS(5539),
    [anon_sym_inline] = ACTIONS(5539),
    [anon_sym___inline] = ACTIONS(5539),
    [anon_sym___inline__] = ACTIONS(5539),
    [anon_sym___forceinline] = ACTIONS(5539),
    [anon_sym_thread_local] = ACTIONS(5539),
    [anon_sym___thread] = ACTIONS(5539),
    [anon_sym_CG_EXTERN] = ACTIONS(5539),
    [anon_sym_CG_INLINE] = ACTIONS(5539),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5539),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5539),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5539),
    [anon_sym_IBOutlet] = ACTIONS(5539),
    [anon_sym_IBInspectable] = ACTIONS(5539),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5539),
    [anon_sym_NS_INLINE] = ACTIONS(5539),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5539),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5539),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5539),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5539),
    [anon_sym_const] = ACTIONS(5539),
    [anon_sym_constexpr] = ACTIONS(5539),
    [anon_sym_volatile] = ACTIONS(5539),
    [anon_sym_restrict] = ACTIONS(5539),
    [anon_sym___restrict__] = ACTIONS(5539),
    [anon_sym__Atomic] = ACTIONS(5539),
    [anon_sym__Noreturn] = ACTIONS(5539),
    [anon_sym__Nonnull] = ACTIONS(5539),
    [anon_sym_nullable] = ACTIONS(5539),
    [anon_sym__Complex] = ACTIONS(5539),
    [anon_sym__Nullable] = ACTIONS(5539),
    [anon_sym__Nullable_result] = ACTIONS(5539),
    [anon_sym__Null_unspecified] = ACTIONS(5539),
    [anon_sym___autoreleasing] = ACTIONS(5539),
    [anon_sym___block] = ACTIONS(5539),
    [anon_sym___bridge] = ACTIONS(5539),
    [anon_sym___bridge_retained] = ACTIONS(5539),
    [anon_sym___bridge_transfer] = ACTIONS(5539),
    [anon_sym___complex] = ACTIONS(5539),
    [anon_sym___const] = ACTIONS(5539),
    [anon_sym___imag] = ACTIONS(5539),
    [anon_sym___kindof] = ACTIONS(5539),
    [anon_sym___nonnull] = ACTIONS(5539),
    [anon_sym___nullable] = ACTIONS(5539),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5539),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5539),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5539),
    [anon_sym___real] = ACTIONS(5539),
    [anon_sym___strong] = ACTIONS(5539),
    [anon_sym___unsafe_unretained] = ACTIONS(5539),
    [anon_sym___unused] = ACTIONS(5539),
    [anon_sym___weak] = ACTIONS(5539),
    [anon_sym_alignas] = ACTIONS(5539),
    [anon_sym__Alignas] = ACTIONS(5539),
    [sym_primitive_type] = ACTIONS(5539),
    [anon_sym_enum] = ACTIONS(5539),
    [anon_sym_struct] = ACTIONS(5539),
    [anon_sym_union] = ACTIONS(5539),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5539),
    [anon_sym___typeof] = ACTIONS(5539),
    [anon_sym_typeof] = ACTIONS(5539),
    [aux_sym_preproc_undef_token1] = ACTIONS(5539),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5539),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5539),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5539),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5539),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5539),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5539),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5539),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5539),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5539),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5539),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5539),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5539),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5539),
    [anon_sym_API_AVAILABLE] = ACTIONS(5539),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5539),
    [anon_sym_API_DEPRECATED] = ACTIONS(5539),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5539),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5539),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5539),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5539),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5539),
    [anon_sym___deprecated_msg] = ACTIONS(5539),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5539),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5539),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5539),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5539),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5539),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5539),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5539),
    [anon_sym_ATend] = ACTIONS(5541),
    [anon_sym_AToptional] = ACTIONS(5541),
    [anon_sym_ATrequired] = ACTIONS(5541),
    [anon_sym_ATproperty] = ACTIONS(5541),
    [anon_sym_BOOL] = ACTIONS(5539),
    [anon_sym_IMP] = ACTIONS(5539),
    [anon_sym_SEL] = ACTIONS(5539),
    [anon_sym_Class] = ACTIONS(5539),
    [anon_sym_id] = ACTIONS(5539),
  },
  [2256] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token2] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [aux_sym_preproc_undef_token1] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATsynthesize] = ACTIONS(2462),
    [anon_sym_ATdynamic] = ACTIONS(2462),
    [anon_sym_ATproperty] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [2257] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token2] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [aux_sym_preproc_undef_token1] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATsynthesize] = ACTIONS(2462),
    [anon_sym_ATdynamic] = ACTIONS(2462),
    [anon_sym_ATproperty] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [2258] = {
    [sym_identifier] = ACTIONS(2460),
    [aux_sym_preproc_def_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token1] = ACTIONS(2460),
    [aux_sym_preproc_if_token2] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2460),
    [sym_preproc_directive] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym___extension__] = ACTIONS(2460),
    [anon_sym_typedef] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym___attribute__] = ACTIONS(2460),
    [anon_sym___attribute] = ACTIONS(2460),
    [anon_sym_noreturn] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2460),
    [anon_sym___cdecl] = ACTIONS(2460),
    [anon_sym___clrcall] = ACTIONS(2460),
    [anon_sym___stdcall] = ACTIONS(2460),
    [anon_sym___fastcall] = ACTIONS(2460),
    [anon_sym___thiscall] = ACTIONS(2460),
    [anon_sym___vectorcall] = ACTIONS(2460),
    [anon_sym_signed] = ACTIONS(2460),
    [anon_sym_unsigned] = ACTIONS(2460),
    [anon_sym_long] = ACTIONS(2460),
    [anon_sym_short] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_auto] = ACTIONS(2460),
    [anon_sym_register] = ACTIONS(2460),
    [anon_sym_inline] = ACTIONS(2460),
    [anon_sym___inline] = ACTIONS(2460),
    [anon_sym___inline__] = ACTIONS(2460),
    [anon_sym___forceinline] = ACTIONS(2460),
    [anon_sym_thread_local] = ACTIONS(2460),
    [anon_sym___thread] = ACTIONS(2460),
    [anon_sym_CG_EXTERN] = ACTIONS(2460),
    [anon_sym_CG_INLINE] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2460),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2460),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2460),
    [anon_sym_IBOutlet] = ACTIONS(2460),
    [anon_sym_IBInspectable] = ACTIONS(2460),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2460),
    [anon_sym_NS_INLINE] = ACTIONS(2460),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2460),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2460),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_constexpr] = ACTIONS(2460),
    [anon_sym_volatile] = ACTIONS(2460),
    [anon_sym_restrict] = ACTIONS(2460),
    [anon_sym___restrict__] = ACTIONS(2460),
    [anon_sym__Atomic] = ACTIONS(2460),
    [anon_sym__Noreturn] = ACTIONS(2460),
    [anon_sym__Nonnull] = ACTIONS(2460),
    [anon_sym_nullable] = ACTIONS(2460),
    [anon_sym__Complex] = ACTIONS(2460),
    [anon_sym__Nullable] = ACTIONS(2460),
    [anon_sym__Nullable_result] = ACTIONS(2460),
    [anon_sym__Null_unspecified] = ACTIONS(2460),
    [anon_sym___autoreleasing] = ACTIONS(2460),
    [anon_sym___block] = ACTIONS(2460),
    [anon_sym___bridge] = ACTIONS(2460),
    [anon_sym___bridge_retained] = ACTIONS(2460),
    [anon_sym___bridge_transfer] = ACTIONS(2460),
    [anon_sym___complex] = ACTIONS(2460),
    [anon_sym___const] = ACTIONS(2460),
    [anon_sym___imag] = ACTIONS(2460),
    [anon_sym___kindof] = ACTIONS(2460),
    [anon_sym___nonnull] = ACTIONS(2460),
    [anon_sym___nullable] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2460),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2460),
    [anon_sym___real] = ACTIONS(2460),
    [anon_sym___strong] = ACTIONS(2460),
    [anon_sym___unsafe_unretained] = ACTIONS(2460),
    [anon_sym___unused] = ACTIONS(2460),
    [anon_sym___weak] = ACTIONS(2460),
    [anon_sym_alignas] = ACTIONS(2460),
    [anon_sym__Alignas] = ACTIONS(2460),
    [sym_primitive_type] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2460),
    [anon_sym___typeof] = ACTIONS(2460),
    [anon_sym_typeof] = ACTIONS(2460),
    [aux_sym_preproc_undef_token1] = ACTIONS(2460),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2460),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2460),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2460),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2460),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2460),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_API_AVAILABLE] = ACTIONS(2460),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_API_DEPRECATED] = ACTIONS(2460),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2460),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2460),
    [anon_sym___deprecated_msg] = ACTIONS(2460),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2460),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2460),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2460),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2460),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2460),
    [anon_sym_ATsynthesize] = ACTIONS(2462),
    [anon_sym_ATdynamic] = ACTIONS(2462),
    [anon_sym_ATproperty] = ACTIONS(2462),
    [anon_sym_BOOL] = ACTIONS(2460),
    [anon_sym_IMP] = ACTIONS(2460),
    [anon_sym_SEL] = ACTIONS(2460),
    [anon_sym_Class] = ACTIONS(2460),
    [anon_sym_id] = ACTIONS(2460),
  },
  [2259] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token2] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_DASH] = ACTIONS(2538),
    [anon_sym_PLUS] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [aux_sym_preproc_undef_token1] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATsynthesize] = ACTIONS(2538),
    [anon_sym_ATdynamic] = ACTIONS(2538),
    [anon_sym_ATproperty] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [2260] = {
    [sym_identifier] = ACTIONS(5543),
    [aux_sym_preproc_def_token1] = ACTIONS(5543),
    [aux_sym_preproc_if_token1] = ACTIONS(5543),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5543),
    [sym_preproc_directive] = ACTIONS(5543),
    [anon_sym_DASH] = ACTIONS(5545),
    [anon_sym_PLUS] = ACTIONS(5545),
    [anon_sym___extension__] = ACTIONS(5543),
    [anon_sym_typedef] = ACTIONS(5543),
    [anon_sym_extern] = ACTIONS(5543),
    [anon_sym___attribute__] = ACTIONS(5543),
    [anon_sym___attribute] = ACTIONS(5543),
    [anon_sym_noreturn] = ACTIONS(5543),
    [anon_sym_LBRACK] = ACTIONS(5545),
    [anon_sym___declspec] = ACTIONS(5543),
    [anon_sym___cdecl] = ACTIONS(5543),
    [anon_sym___clrcall] = ACTIONS(5543),
    [anon_sym___stdcall] = ACTIONS(5543),
    [anon_sym___fastcall] = ACTIONS(5543),
    [anon_sym___thiscall] = ACTIONS(5543),
    [anon_sym___vectorcall] = ACTIONS(5543),
    [anon_sym_signed] = ACTIONS(5543),
    [anon_sym_unsigned] = ACTIONS(5543),
    [anon_sym_long] = ACTIONS(5543),
    [anon_sym_short] = ACTIONS(5543),
    [anon_sym_static] = ACTIONS(5543),
    [anon_sym_auto] = ACTIONS(5543),
    [anon_sym_register] = ACTIONS(5543),
    [anon_sym_inline] = ACTIONS(5543),
    [anon_sym___inline] = ACTIONS(5543),
    [anon_sym___inline__] = ACTIONS(5543),
    [anon_sym___forceinline] = ACTIONS(5543),
    [anon_sym_thread_local] = ACTIONS(5543),
    [anon_sym___thread] = ACTIONS(5543),
    [anon_sym_CG_EXTERN] = ACTIONS(5543),
    [anon_sym_CG_INLINE] = ACTIONS(5543),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5543),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5543),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5543),
    [anon_sym_IBOutlet] = ACTIONS(5543),
    [anon_sym_IBInspectable] = ACTIONS(5543),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5543),
    [anon_sym_NS_INLINE] = ACTIONS(5543),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5543),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5543),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5543),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5543),
    [anon_sym_const] = ACTIONS(5543),
    [anon_sym_constexpr] = ACTIONS(5543),
    [anon_sym_volatile] = ACTIONS(5543),
    [anon_sym_restrict] = ACTIONS(5543),
    [anon_sym___restrict__] = ACTIONS(5543),
    [anon_sym__Atomic] = ACTIONS(5543),
    [anon_sym__Noreturn] = ACTIONS(5543),
    [anon_sym__Nonnull] = ACTIONS(5543),
    [anon_sym_nullable] = ACTIONS(5543),
    [anon_sym__Complex] = ACTIONS(5543),
    [anon_sym__Nullable] = ACTIONS(5543),
    [anon_sym__Nullable_result] = ACTIONS(5543),
    [anon_sym__Null_unspecified] = ACTIONS(5543),
    [anon_sym___autoreleasing] = ACTIONS(5543),
    [anon_sym___block] = ACTIONS(5543),
    [anon_sym___bridge] = ACTIONS(5543),
    [anon_sym___bridge_retained] = ACTIONS(5543),
    [anon_sym___bridge_transfer] = ACTIONS(5543),
    [anon_sym___complex] = ACTIONS(5543),
    [anon_sym___const] = ACTIONS(5543),
    [anon_sym___imag] = ACTIONS(5543),
    [anon_sym___kindof] = ACTIONS(5543),
    [anon_sym___nonnull] = ACTIONS(5543),
    [anon_sym___nullable] = ACTIONS(5543),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5543),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5543),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5543),
    [anon_sym___real] = ACTIONS(5543),
    [anon_sym___strong] = ACTIONS(5543),
    [anon_sym___unsafe_unretained] = ACTIONS(5543),
    [anon_sym___unused] = ACTIONS(5543),
    [anon_sym___weak] = ACTIONS(5543),
    [anon_sym_alignas] = ACTIONS(5543),
    [anon_sym__Alignas] = ACTIONS(5543),
    [sym_primitive_type] = ACTIONS(5543),
    [anon_sym_enum] = ACTIONS(5543),
    [anon_sym_struct] = ACTIONS(5543),
    [anon_sym_union] = ACTIONS(5543),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5543),
    [anon_sym___typeof] = ACTIONS(5543),
    [anon_sym_typeof] = ACTIONS(5543),
    [aux_sym_preproc_undef_token1] = ACTIONS(5543),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5543),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5543),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5543),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5543),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5543),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5543),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5543),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5543),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5543),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5543),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5543),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5543),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5543),
    [anon_sym_API_AVAILABLE] = ACTIONS(5543),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5543),
    [anon_sym_API_DEPRECATED] = ACTIONS(5543),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5543),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5543),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5543),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5543),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5543),
    [anon_sym___deprecated_msg] = ACTIONS(5543),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5543),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5543),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5543),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5543),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5543),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5543),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5543),
    [anon_sym_ATend] = ACTIONS(5545),
    [anon_sym_AToptional] = ACTIONS(5545),
    [anon_sym_ATrequired] = ACTIONS(5545),
    [anon_sym_ATproperty] = ACTIONS(5545),
    [anon_sym_BOOL] = ACTIONS(5543),
    [anon_sym_IMP] = ACTIONS(5543),
    [anon_sym_SEL] = ACTIONS(5543),
    [anon_sym_Class] = ACTIONS(5543),
    [anon_sym_id] = ACTIONS(5543),
  },
  [2261] = {
    [sym_identifier] = ACTIONS(5369),
    [aux_sym_preproc_def_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token1] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5369),
    [sym_preproc_directive] = ACTIONS(5369),
    [anon_sym_DASH] = ACTIONS(5371),
    [anon_sym_PLUS] = ACTIONS(5371),
    [anon_sym_SEMI] = ACTIONS(5547),
    [anon_sym___extension__] = ACTIONS(5369),
    [anon_sym_typedef] = ACTIONS(5369),
    [anon_sym_extern] = ACTIONS(5369),
    [anon_sym___attribute__] = ACTIONS(5369),
    [anon_sym___attribute] = ACTIONS(5369),
    [anon_sym_noreturn] = ACTIONS(5369),
    [anon_sym_LBRACK] = ACTIONS(5371),
    [anon_sym___declspec] = ACTIONS(5369),
    [anon_sym___cdecl] = ACTIONS(5369),
    [anon_sym___clrcall] = ACTIONS(5369),
    [anon_sym___stdcall] = ACTIONS(5369),
    [anon_sym___fastcall] = ACTIONS(5369),
    [anon_sym___thiscall] = ACTIONS(5369),
    [anon_sym___vectorcall] = ACTIONS(5369),
    [anon_sym_signed] = ACTIONS(5369),
    [anon_sym_unsigned] = ACTIONS(5369),
    [anon_sym_long] = ACTIONS(5369),
    [anon_sym_short] = ACTIONS(5369),
    [anon_sym_static] = ACTIONS(5369),
    [anon_sym_auto] = ACTIONS(5369),
    [anon_sym_register] = ACTIONS(5369),
    [anon_sym_inline] = ACTIONS(5369),
    [anon_sym___inline] = ACTIONS(5369),
    [anon_sym___inline__] = ACTIONS(5369),
    [anon_sym___forceinline] = ACTIONS(5369),
    [anon_sym_thread_local] = ACTIONS(5369),
    [anon_sym___thread] = ACTIONS(5369),
    [anon_sym_CG_EXTERN] = ACTIONS(5369),
    [anon_sym_CG_INLINE] = ACTIONS(5369),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5369),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5369),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5369),
    [anon_sym_IBOutlet] = ACTIONS(5369),
    [anon_sym_IBInspectable] = ACTIONS(5369),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5369),
    [anon_sym_NS_INLINE] = ACTIONS(5369),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5369),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5369),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5369),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5369),
    [anon_sym_const] = ACTIONS(5369),
    [anon_sym_constexpr] = ACTIONS(5369),
    [anon_sym_volatile] = ACTIONS(5369),
    [anon_sym_restrict] = ACTIONS(5369),
    [anon_sym___restrict__] = ACTIONS(5369),
    [anon_sym__Atomic] = ACTIONS(5369),
    [anon_sym__Noreturn] = ACTIONS(5369),
    [anon_sym__Nonnull] = ACTIONS(5369),
    [anon_sym_nullable] = ACTIONS(5369),
    [anon_sym__Complex] = ACTIONS(5369),
    [anon_sym__Nullable] = ACTIONS(5369),
    [anon_sym__Nullable_result] = ACTIONS(5369),
    [anon_sym__Null_unspecified] = ACTIONS(5369),
    [anon_sym___autoreleasing] = ACTIONS(5369),
    [anon_sym___block] = ACTIONS(5369),
    [anon_sym___bridge] = ACTIONS(5369),
    [anon_sym___bridge_retained] = ACTIONS(5369),
    [anon_sym___bridge_transfer] = ACTIONS(5369),
    [anon_sym___complex] = ACTIONS(5369),
    [anon_sym___const] = ACTIONS(5369),
    [anon_sym___imag] = ACTIONS(5369),
    [anon_sym___kindof] = ACTIONS(5369),
    [anon_sym___nonnull] = ACTIONS(5369),
    [anon_sym___nullable] = ACTIONS(5369),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5369),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5369),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5369),
    [anon_sym___real] = ACTIONS(5369),
    [anon_sym___strong] = ACTIONS(5369),
    [anon_sym___unsafe_unretained] = ACTIONS(5369),
    [anon_sym___unused] = ACTIONS(5369),
    [anon_sym___weak] = ACTIONS(5369),
    [anon_sym_alignas] = ACTIONS(5369),
    [anon_sym__Alignas] = ACTIONS(5369),
    [sym_primitive_type] = ACTIONS(5369),
    [anon_sym_enum] = ACTIONS(5369),
    [anon_sym_struct] = ACTIONS(5369),
    [anon_sym_union] = ACTIONS(5369),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5369),
    [anon_sym___typeof] = ACTIONS(5369),
    [anon_sym_typeof] = ACTIONS(5369),
    [aux_sym_preproc_undef_token1] = ACTIONS(5369),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5369),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5369),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5369),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5369),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5369),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5369),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5369),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5369),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5369),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5369),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5369),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5369),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5369),
    [anon_sym_API_AVAILABLE] = ACTIONS(5369),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5369),
    [anon_sym_API_DEPRECATED] = ACTIONS(5369),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5369),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5369),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5369),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5369),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5369),
    [anon_sym___deprecated_msg] = ACTIONS(5369),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5369),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5369),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5369),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5369),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5369),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5369),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5369),
    [anon_sym_ATend] = ACTIONS(5371),
    [anon_sym_ATsynthesize] = ACTIONS(5371),
    [anon_sym_ATdynamic] = ACTIONS(5371),
    [anon_sym_BOOL] = ACTIONS(5369),
    [anon_sym_IMP] = ACTIONS(5369),
    [anon_sym_SEL] = ACTIONS(5369),
    [anon_sym_Class] = ACTIONS(5369),
    [anon_sym_id] = ACTIONS(5369),
  },
  [2262] = {
    [sym_identifier] = ACTIONS(2658),
    [aux_sym_preproc_def_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token1] = ACTIONS(2658),
    [aux_sym_preproc_if_token2] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2658),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2658),
    [sym_preproc_directive] = ACTIONS(2658),
    [anon_sym_DASH] = ACTIONS(2660),
    [anon_sym_PLUS] = ACTIONS(2660),
    [anon_sym___extension__] = ACTIONS(2658),
    [anon_sym_typedef] = ACTIONS(2658),
    [anon_sym_extern] = ACTIONS(2658),
    [anon_sym___attribute__] = ACTIONS(2658),
    [anon_sym___attribute] = ACTIONS(2658),
    [anon_sym_noreturn] = ACTIONS(2658),
    [anon_sym_LBRACK] = ACTIONS(2660),
    [anon_sym___declspec] = ACTIONS(2658),
    [anon_sym___cdecl] = ACTIONS(2658),
    [anon_sym___clrcall] = ACTIONS(2658),
    [anon_sym___stdcall] = ACTIONS(2658),
    [anon_sym___fastcall] = ACTIONS(2658),
    [anon_sym___thiscall] = ACTIONS(2658),
    [anon_sym___vectorcall] = ACTIONS(2658),
    [anon_sym_signed] = ACTIONS(2658),
    [anon_sym_unsigned] = ACTIONS(2658),
    [anon_sym_long] = ACTIONS(2658),
    [anon_sym_short] = ACTIONS(2658),
    [anon_sym_static] = ACTIONS(2658),
    [anon_sym_auto] = ACTIONS(2658),
    [anon_sym_register] = ACTIONS(2658),
    [anon_sym_inline] = ACTIONS(2658),
    [anon_sym___inline] = ACTIONS(2658),
    [anon_sym___inline__] = ACTIONS(2658),
    [anon_sym___forceinline] = ACTIONS(2658),
    [anon_sym_thread_local] = ACTIONS(2658),
    [anon_sym___thread] = ACTIONS(2658),
    [anon_sym_CG_EXTERN] = ACTIONS(2658),
    [anon_sym_CG_INLINE] = ACTIONS(2658),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2658),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2658),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2658),
    [anon_sym_IBOutlet] = ACTIONS(2658),
    [anon_sym_IBInspectable] = ACTIONS(2658),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2658),
    [anon_sym_NS_INLINE] = ACTIONS(2658),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2658),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2658),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2658),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2658),
    [anon_sym_const] = ACTIONS(2658),
    [anon_sym_constexpr] = ACTIONS(2658),
    [anon_sym_volatile] = ACTIONS(2658),
    [anon_sym_restrict] = ACTIONS(2658),
    [anon_sym___restrict__] = ACTIONS(2658),
    [anon_sym__Atomic] = ACTIONS(2658),
    [anon_sym__Noreturn] = ACTIONS(2658),
    [anon_sym__Nonnull] = ACTIONS(2658),
    [anon_sym_nullable] = ACTIONS(2658),
    [anon_sym__Complex] = ACTIONS(2658),
    [anon_sym__Nullable] = ACTIONS(2658),
    [anon_sym__Nullable_result] = ACTIONS(2658),
    [anon_sym__Null_unspecified] = ACTIONS(2658),
    [anon_sym___autoreleasing] = ACTIONS(2658),
    [anon_sym___block] = ACTIONS(2658),
    [anon_sym___bridge] = ACTIONS(2658),
    [anon_sym___bridge_retained] = ACTIONS(2658),
    [anon_sym___bridge_transfer] = ACTIONS(2658),
    [anon_sym___complex] = ACTIONS(2658),
    [anon_sym___const] = ACTIONS(2658),
    [anon_sym___imag] = ACTIONS(2658),
    [anon_sym___kindof] = ACTIONS(2658),
    [anon_sym___nonnull] = ACTIONS(2658),
    [anon_sym___nullable] = ACTIONS(2658),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2658),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2658),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2658),
    [anon_sym___real] = ACTIONS(2658),
    [anon_sym___strong] = ACTIONS(2658),
    [anon_sym___unsafe_unretained] = ACTIONS(2658),
    [anon_sym___unused] = ACTIONS(2658),
    [anon_sym___weak] = ACTIONS(2658),
    [anon_sym_alignas] = ACTIONS(2658),
    [anon_sym__Alignas] = ACTIONS(2658),
    [sym_primitive_type] = ACTIONS(2658),
    [anon_sym_enum] = ACTIONS(2658),
    [anon_sym_struct] = ACTIONS(2658),
    [anon_sym_union] = ACTIONS(2658),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2658),
    [anon_sym___typeof] = ACTIONS(2658),
    [anon_sym_typeof] = ACTIONS(2658),
    [aux_sym_preproc_undef_token1] = ACTIONS(2658),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2658),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2658),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2658),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2658),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2658),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2658),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2658),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2658),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2658),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_API_AVAILABLE] = ACTIONS(2658),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_API_DEPRECATED] = ACTIONS(2658),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2658),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2658),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2658),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2658),
    [anon_sym___deprecated_msg] = ACTIONS(2658),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2658),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2658),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2658),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2658),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2658),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2658),
    [anon_sym_ATsynthesize] = ACTIONS(2660),
    [anon_sym_ATdynamic] = ACTIONS(2660),
    [anon_sym_ATproperty] = ACTIONS(2660),
    [anon_sym_BOOL] = ACTIONS(2658),
    [anon_sym_IMP] = ACTIONS(2658),
    [anon_sym_SEL] = ACTIONS(2658),
    [anon_sym_Class] = ACTIONS(2658),
    [anon_sym_id] = ACTIONS(2658),
  },
  [2263] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token2] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_DASH] = ACTIONS(2538),
    [anon_sym_PLUS] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [aux_sym_preproc_undef_token1] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATsynthesize] = ACTIONS(2538),
    [anon_sym_ATdynamic] = ACTIONS(2538),
    [anon_sym_ATproperty] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [2264] = {
    [aux_sym_method_declaration_repeat2] = STATE(2271),
    [sym_identifier] = ACTIONS(5461),
    [aux_sym_preproc_def_token1] = ACTIONS(5461),
    [aux_sym_preproc_if_token1] = ACTIONS(5461),
    [aux_sym_preproc_if_token2] = ACTIONS(5461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5461),
    [sym_preproc_directive] = ACTIONS(5461),
    [anon_sym_DASH] = ACTIONS(5463),
    [anon_sym_PLUS] = ACTIONS(5463),
    [anon_sym_SEMI] = ACTIONS(5549),
    [anon_sym___extension__] = ACTIONS(5461),
    [anon_sym_typedef] = ACTIONS(5461),
    [anon_sym_extern] = ACTIONS(5461),
    [anon_sym___attribute__] = ACTIONS(5461),
    [anon_sym___attribute] = ACTIONS(5461),
    [anon_sym_noreturn] = ACTIONS(5461),
    [anon_sym_LBRACK] = ACTIONS(5463),
    [anon_sym___declspec] = ACTIONS(5461),
    [anon_sym___cdecl] = ACTIONS(5461),
    [anon_sym___clrcall] = ACTIONS(5461),
    [anon_sym___stdcall] = ACTIONS(5461),
    [anon_sym___fastcall] = ACTIONS(5461),
    [anon_sym___thiscall] = ACTIONS(5461),
    [anon_sym___vectorcall] = ACTIONS(5461),
    [anon_sym_signed] = ACTIONS(5461),
    [anon_sym_unsigned] = ACTIONS(5461),
    [anon_sym_long] = ACTIONS(5461),
    [anon_sym_short] = ACTIONS(5461),
    [anon_sym_static] = ACTIONS(5461),
    [anon_sym_auto] = ACTIONS(5461),
    [anon_sym_register] = ACTIONS(5461),
    [anon_sym_inline] = ACTIONS(5461),
    [anon_sym___inline] = ACTIONS(5461),
    [anon_sym___inline__] = ACTIONS(5461),
    [anon_sym___forceinline] = ACTIONS(5461),
    [anon_sym_thread_local] = ACTIONS(5461),
    [anon_sym___thread] = ACTIONS(5461),
    [anon_sym_CG_EXTERN] = ACTIONS(5461),
    [anon_sym_CG_INLINE] = ACTIONS(5461),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5461),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5461),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5461),
    [anon_sym_IBOutlet] = ACTIONS(5461),
    [anon_sym_IBInspectable] = ACTIONS(5461),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5461),
    [anon_sym_NS_INLINE] = ACTIONS(5461),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5461),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5461),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5461),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5461),
    [anon_sym_const] = ACTIONS(5461),
    [anon_sym_constexpr] = ACTIONS(5461),
    [anon_sym_volatile] = ACTIONS(5461),
    [anon_sym_restrict] = ACTIONS(5461),
    [anon_sym___restrict__] = ACTIONS(5461),
    [anon_sym__Atomic] = ACTIONS(5461),
    [anon_sym__Noreturn] = ACTIONS(5461),
    [anon_sym__Nonnull] = ACTIONS(5461),
    [anon_sym_nullable] = ACTIONS(5461),
    [anon_sym__Complex] = ACTIONS(5461),
    [anon_sym__Nullable] = ACTIONS(5461),
    [anon_sym__Nullable_result] = ACTIONS(5461),
    [anon_sym__Null_unspecified] = ACTIONS(5461),
    [anon_sym___autoreleasing] = ACTIONS(5461),
    [anon_sym___block] = ACTIONS(5461),
    [anon_sym___bridge] = ACTIONS(5461),
    [anon_sym___bridge_retained] = ACTIONS(5461),
    [anon_sym___bridge_transfer] = ACTIONS(5461),
    [anon_sym___complex] = ACTIONS(5461),
    [anon_sym___const] = ACTIONS(5461),
    [anon_sym___imag] = ACTIONS(5461),
    [anon_sym___kindof] = ACTIONS(5461),
    [anon_sym___nonnull] = ACTIONS(5461),
    [anon_sym___nullable] = ACTIONS(5461),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5461),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5461),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5461),
    [anon_sym___real] = ACTIONS(5461),
    [anon_sym___strong] = ACTIONS(5461),
    [anon_sym___unsafe_unretained] = ACTIONS(5461),
    [anon_sym___unused] = ACTIONS(5461),
    [anon_sym___weak] = ACTIONS(5461),
    [anon_sym_alignas] = ACTIONS(5461),
    [anon_sym__Alignas] = ACTIONS(5461),
    [sym_primitive_type] = ACTIONS(5461),
    [anon_sym_enum] = ACTIONS(5461),
    [anon_sym_struct] = ACTIONS(5461),
    [anon_sym_union] = ACTIONS(5461),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5461),
    [anon_sym___typeof] = ACTIONS(5461),
    [anon_sym_typeof] = ACTIONS(5461),
    [aux_sym_preproc_undef_token1] = ACTIONS(5461),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5461),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5461),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5461),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5461),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5461),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5461),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5461),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5461),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5461),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5461),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5461),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5461),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5461),
    [anon_sym_API_AVAILABLE] = ACTIONS(5461),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5461),
    [anon_sym_API_DEPRECATED] = ACTIONS(5461),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5461),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5461),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5461),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5461),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5461),
    [anon_sym___deprecated_msg] = ACTIONS(5461),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5461),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5461),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5461),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5461),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5461),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5461),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5461),
    [anon_sym_ATproperty] = ACTIONS(5463),
    [anon_sym_BOOL] = ACTIONS(5461),
    [anon_sym_IMP] = ACTIONS(5461),
    [anon_sym_SEL] = ACTIONS(5461),
    [anon_sym_Class] = ACTIONS(5461),
    [anon_sym_id] = ACTIONS(5461),
  },
  [2265] = {
    [sym_identifier] = ACTIONS(5477),
    [aux_sym_preproc_def_token1] = ACTIONS(5477),
    [aux_sym_preproc_if_token1] = ACTIONS(5477),
    [aux_sym_preproc_if_token2] = ACTIONS(5477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5477),
    [sym_preproc_directive] = ACTIONS(5477),
    [anon_sym_DASH] = ACTIONS(5479),
    [anon_sym_PLUS] = ACTIONS(5479),
    [anon_sym_SEMI] = ACTIONS(5551),
    [anon_sym___extension__] = ACTIONS(5477),
    [anon_sym_typedef] = ACTIONS(5477),
    [anon_sym_extern] = ACTIONS(5477),
    [anon_sym___attribute__] = ACTIONS(5477),
    [anon_sym___attribute] = ACTIONS(5477),
    [anon_sym_noreturn] = ACTIONS(5477),
    [anon_sym_LBRACK] = ACTIONS(5479),
    [anon_sym___declspec] = ACTIONS(5477),
    [anon_sym___cdecl] = ACTIONS(5477),
    [anon_sym___clrcall] = ACTIONS(5477),
    [anon_sym___stdcall] = ACTIONS(5477),
    [anon_sym___fastcall] = ACTIONS(5477),
    [anon_sym___thiscall] = ACTIONS(5477),
    [anon_sym___vectorcall] = ACTIONS(5477),
    [anon_sym_signed] = ACTIONS(5477),
    [anon_sym_unsigned] = ACTIONS(5477),
    [anon_sym_long] = ACTIONS(5477),
    [anon_sym_short] = ACTIONS(5477),
    [anon_sym_static] = ACTIONS(5477),
    [anon_sym_auto] = ACTIONS(5477),
    [anon_sym_register] = ACTIONS(5477),
    [anon_sym_inline] = ACTIONS(5477),
    [anon_sym___inline] = ACTIONS(5477),
    [anon_sym___inline__] = ACTIONS(5477),
    [anon_sym___forceinline] = ACTIONS(5477),
    [anon_sym_thread_local] = ACTIONS(5477),
    [anon_sym___thread] = ACTIONS(5477),
    [anon_sym_CG_EXTERN] = ACTIONS(5477),
    [anon_sym_CG_INLINE] = ACTIONS(5477),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5477),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5477),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5477),
    [anon_sym_IBOutlet] = ACTIONS(5477),
    [anon_sym_IBInspectable] = ACTIONS(5477),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5477),
    [anon_sym_NS_INLINE] = ACTIONS(5477),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5477),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5477),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5477),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5477),
    [anon_sym_const] = ACTIONS(5477),
    [anon_sym_constexpr] = ACTIONS(5477),
    [anon_sym_volatile] = ACTIONS(5477),
    [anon_sym_restrict] = ACTIONS(5477),
    [anon_sym___restrict__] = ACTIONS(5477),
    [anon_sym__Atomic] = ACTIONS(5477),
    [anon_sym__Noreturn] = ACTIONS(5477),
    [anon_sym__Nonnull] = ACTIONS(5477),
    [anon_sym_nullable] = ACTIONS(5477),
    [anon_sym__Complex] = ACTIONS(5477),
    [anon_sym__Nullable] = ACTIONS(5477),
    [anon_sym__Nullable_result] = ACTIONS(5477),
    [anon_sym__Null_unspecified] = ACTIONS(5477),
    [anon_sym___autoreleasing] = ACTIONS(5477),
    [anon_sym___block] = ACTIONS(5477),
    [anon_sym___bridge] = ACTIONS(5477),
    [anon_sym___bridge_retained] = ACTIONS(5477),
    [anon_sym___bridge_transfer] = ACTIONS(5477),
    [anon_sym___complex] = ACTIONS(5477),
    [anon_sym___const] = ACTIONS(5477),
    [anon_sym___imag] = ACTIONS(5477),
    [anon_sym___kindof] = ACTIONS(5477),
    [anon_sym___nonnull] = ACTIONS(5477),
    [anon_sym___nullable] = ACTIONS(5477),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5477),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5477),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5477),
    [anon_sym___real] = ACTIONS(5477),
    [anon_sym___strong] = ACTIONS(5477),
    [anon_sym___unsafe_unretained] = ACTIONS(5477),
    [anon_sym___unused] = ACTIONS(5477),
    [anon_sym___weak] = ACTIONS(5477),
    [anon_sym_alignas] = ACTIONS(5477),
    [anon_sym__Alignas] = ACTIONS(5477),
    [sym_primitive_type] = ACTIONS(5477),
    [anon_sym_enum] = ACTIONS(5477),
    [anon_sym_struct] = ACTIONS(5477),
    [anon_sym_union] = ACTIONS(5477),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5477),
    [anon_sym___typeof] = ACTIONS(5477),
    [anon_sym_typeof] = ACTIONS(5477),
    [aux_sym_preproc_undef_token1] = ACTIONS(5477),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5477),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5477),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5477),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5477),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5477),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5477),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5477),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5477),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5477),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5477),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5477),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5477),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5477),
    [anon_sym_API_AVAILABLE] = ACTIONS(5477),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5477),
    [anon_sym_API_DEPRECATED] = ACTIONS(5477),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5477),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5477),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5477),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5477),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5477),
    [anon_sym___deprecated_msg] = ACTIONS(5477),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5477),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5477),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5477),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5477),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5477),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5477),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5477),
    [anon_sym_ATsynthesize] = ACTIONS(5479),
    [anon_sym_ATdynamic] = ACTIONS(5479),
    [anon_sym_BOOL] = ACTIONS(5477),
    [anon_sym_IMP] = ACTIONS(5477),
    [anon_sym_SEL] = ACTIONS(5477),
    [anon_sym_Class] = ACTIONS(5477),
    [anon_sym_id] = ACTIONS(5477),
  },
  [2266] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token2] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_DASH] = ACTIONS(2538),
    [anon_sym_PLUS] = ACTIONS(2538),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_typedef] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym___attribute] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym___cdecl] = ACTIONS(2536),
    [anon_sym___clrcall] = ACTIONS(2536),
    [anon_sym___stdcall] = ACTIONS(2536),
    [anon_sym___fastcall] = ACTIONS(2536),
    [anon_sym___thiscall] = ACTIONS(2536),
    [anon_sym___vectorcall] = ACTIONS(2536),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_CG_EXTERN] = ACTIONS(2536),
    [anon_sym_CG_INLINE] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2536),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2536),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2536),
    [anon_sym_IBOutlet] = ACTIONS(2536),
    [anon_sym_IBInspectable] = ACTIONS(2536),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2536),
    [anon_sym_NS_INLINE] = ACTIONS(2536),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2536),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2536),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym__Nonnull] = ACTIONS(2536),
    [anon_sym_nullable] = ACTIONS(2536),
    [anon_sym__Complex] = ACTIONS(2536),
    [anon_sym__Nullable] = ACTIONS(2536),
    [anon_sym__Nullable_result] = ACTIONS(2536),
    [anon_sym__Null_unspecified] = ACTIONS(2536),
    [anon_sym___autoreleasing] = ACTIONS(2536),
    [anon_sym___block] = ACTIONS(2536),
    [anon_sym___bridge] = ACTIONS(2536),
    [anon_sym___bridge_retained] = ACTIONS(2536),
    [anon_sym___bridge_transfer] = ACTIONS(2536),
    [anon_sym___complex] = ACTIONS(2536),
    [anon_sym___const] = ACTIONS(2536),
    [anon_sym___imag] = ACTIONS(2536),
    [anon_sym___kindof] = ACTIONS(2536),
    [anon_sym___nonnull] = ACTIONS(2536),
    [anon_sym___nullable] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2536),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2536),
    [anon_sym___real] = ACTIONS(2536),
    [anon_sym___strong] = ACTIONS(2536),
    [anon_sym___unsafe_unretained] = ACTIONS(2536),
    [anon_sym___unused] = ACTIONS(2536),
    [anon_sym___weak] = ACTIONS(2536),
    [anon_sym_alignas] = ACTIONS(2536),
    [anon_sym__Alignas] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2536),
    [anon_sym___typeof] = ACTIONS(2536),
    [anon_sym_typeof] = ACTIONS(2536),
    [aux_sym_preproc_undef_token1] = ACTIONS(2536),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2536),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2536),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2536),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2536),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2536),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_API_AVAILABLE] = ACTIONS(2536),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_API_DEPRECATED] = ACTIONS(2536),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2536),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2536),
    [anon_sym___deprecated_msg] = ACTIONS(2536),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2536),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2536),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2536),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2536),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2536),
    [anon_sym_ATsynthesize] = ACTIONS(2538),
    [anon_sym_ATdynamic] = ACTIONS(2538),
    [anon_sym_ATproperty] = ACTIONS(2538),
    [anon_sym_BOOL] = ACTIONS(2536),
    [anon_sym_IMP] = ACTIONS(2536),
    [anon_sym_SEL] = ACTIONS(2536),
    [anon_sym_Class] = ACTIONS(2536),
    [anon_sym_id] = ACTIONS(2536),
  },
  [2267] = {
    [sym_identifier] = ACTIONS(5553),
    [anon_sym_COMMA] = ACTIONS(5555),
    [anon_sym_RPAREN] = ACTIONS(5555),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5555),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5555),
    [anon_sym_LPAREN2] = ACTIONS(5555),
    [anon_sym_STAR] = ACTIONS(5555),
    [anon_sym_CARET] = ACTIONS(5555),
    [anon_sym_GT] = ACTIONS(5555),
    [anon_sym_SEMI] = ACTIONS(5555),
    [anon_sym___extension__] = ACTIONS(5553),
    [anon_sym_typedef] = ACTIONS(5553),
    [anon_sym_extern] = ACTIONS(5553),
    [anon_sym___attribute__] = ACTIONS(5553),
    [anon_sym___attribute] = ACTIONS(5553),
    [anon_sym_noreturn] = ACTIONS(5553),
    [anon_sym_LBRACK] = ACTIONS(5555),
    [anon_sym___declspec] = ACTIONS(5553),
    [anon_sym___based] = ACTIONS(5553),
    [anon_sym_LBRACE] = ACTIONS(5555),
    [anon_sym_RBRACE] = ACTIONS(5555),
    [anon_sym_signed] = ACTIONS(5553),
    [anon_sym_unsigned] = ACTIONS(5553),
    [anon_sym_long] = ACTIONS(5553),
    [anon_sym_short] = ACTIONS(5553),
    [anon_sym_static] = ACTIONS(5553),
    [anon_sym_ATautoreleasepool] = ACTIONS(5555),
    [anon_sym_auto] = ACTIONS(5553),
    [anon_sym_register] = ACTIONS(5553),
    [anon_sym_inline] = ACTIONS(5553),
    [anon_sym___inline] = ACTIONS(5553),
    [anon_sym___inline__] = ACTIONS(5553),
    [anon_sym___forceinline] = ACTIONS(5553),
    [anon_sym_thread_local] = ACTIONS(5553),
    [anon_sym___thread] = ACTIONS(5553),
    [anon_sym_CG_EXTERN] = ACTIONS(5553),
    [anon_sym_CG_INLINE] = ACTIONS(5553),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5553),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5553),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5553),
    [anon_sym_IBOutlet] = ACTIONS(5553),
    [anon_sym_IBInspectable] = ACTIONS(5553),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5553),
    [anon_sym_NS_INLINE] = ACTIONS(5553),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5553),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5553),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5553),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5553),
    [anon_sym_const] = ACTIONS(5553),
    [anon_sym_constexpr] = ACTIONS(5553),
    [anon_sym_volatile] = ACTIONS(5553),
    [anon_sym_restrict] = ACTIONS(5553),
    [anon_sym___restrict__] = ACTIONS(5553),
    [anon_sym__Atomic] = ACTIONS(5553),
    [anon_sym__Noreturn] = ACTIONS(5553),
    [anon_sym__Nonnull] = ACTIONS(5553),
    [anon_sym_nullable] = ACTIONS(5553),
    [anon_sym__Complex] = ACTIONS(5553),
    [anon_sym__Nullable] = ACTIONS(5553),
    [anon_sym__Nullable_result] = ACTIONS(5553),
    [anon_sym__Null_unspecified] = ACTIONS(5553),
    [anon_sym___autoreleasing] = ACTIONS(5553),
    [anon_sym___block] = ACTIONS(5553),
    [anon_sym___bridge] = ACTIONS(5553),
    [anon_sym___bridge_retained] = ACTIONS(5553),
    [anon_sym___bridge_transfer] = ACTIONS(5553),
    [anon_sym___complex] = ACTIONS(5553),
    [anon_sym___const] = ACTIONS(5553),
    [anon_sym___imag] = ACTIONS(5553),
    [anon_sym___kindof] = ACTIONS(5553),
    [anon_sym___nonnull] = ACTIONS(5553),
    [anon_sym___nullable] = ACTIONS(5553),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5553),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5553),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5553),
    [anon_sym___real] = ACTIONS(5553),
    [anon_sym___strong] = ACTIONS(5553),
    [anon_sym___unsafe_unretained] = ACTIONS(5553),
    [anon_sym___unused] = ACTIONS(5553),
    [anon_sym___weak] = ACTIONS(5553),
    [anon_sym_alignas] = ACTIONS(5553),
    [anon_sym__Alignas] = ACTIONS(5553),
    [sym_primitive_type] = ACTIONS(5553),
    [anon_sym_enum] = ACTIONS(5553),
    [anon_sym_COLON] = ACTIONS(5555),
    [anon_sym_struct] = ACTIONS(5553),
    [anon_sym_union] = ACTIONS(5553),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5553),
    [anon_sym___typeof] = ACTIONS(5553),
    [anon_sym_typeof] = ACTIONS(5553),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5553),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5553),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5553),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5553),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5553),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5553),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5553),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5553),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5553),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5553),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5553),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5553),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5553),
    [anon_sym_API_AVAILABLE] = ACTIONS(5553),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5553),
    [anon_sym_API_DEPRECATED] = ACTIONS(5553),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5553),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5553),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5553),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5553),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5553),
    [anon_sym___deprecated_msg] = ACTIONS(5553),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5553),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5553),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5553),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5553),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5553),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5553),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5553),
    [anon_sym_ATprotocol] = ACTIONS(5555),
    [anon_sym_ATinterface] = ACTIONS(5555),
    [anon_sym_ATimplementation] = ACTIONS(5555),
    [anon_sym_ATproperty] = ACTIONS(5555),
    [anon_sym_BOOL] = ACTIONS(5553),
    [anon_sym_IMP] = ACTIONS(5553),
    [anon_sym_SEL] = ACTIONS(5553),
    [anon_sym_Class] = ACTIONS(5553),
    [anon_sym_id] = ACTIONS(5553),
  },
  [2268] = {
    [sym_identifier] = ACTIONS(2674),
    [aux_sym_preproc_def_token1] = ACTIONS(2674),
    [aux_sym_preproc_if_token1] = ACTIONS(2674),
    [aux_sym_preproc_if_token2] = ACTIONS(2674),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2674),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2674),
    [sym_preproc_directive] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2676),
    [anon_sym_PLUS] = ACTIONS(2676),
    [anon_sym___extension__] = ACTIONS(2674),
    [anon_sym_typedef] = ACTIONS(2674),
    [anon_sym_extern] = ACTIONS(2674),
    [anon_sym___attribute__] = ACTIONS(2674),
    [anon_sym___attribute] = ACTIONS(2674),
    [anon_sym_noreturn] = ACTIONS(2674),
    [anon_sym_LBRACK] = ACTIONS(2676),
    [anon_sym___declspec] = ACTIONS(2674),
    [anon_sym___cdecl] = ACTIONS(2674),
    [anon_sym___clrcall] = ACTIONS(2674),
    [anon_sym___stdcall] = ACTIONS(2674),
    [anon_sym___fastcall] = ACTIONS(2674),
    [anon_sym___thiscall] = ACTIONS(2674),
    [anon_sym___vectorcall] = ACTIONS(2674),
    [anon_sym_signed] = ACTIONS(2674),
    [anon_sym_unsigned] = ACTIONS(2674),
    [anon_sym_long] = ACTIONS(2674),
    [anon_sym_short] = ACTIONS(2674),
    [anon_sym_static] = ACTIONS(2674),
    [anon_sym_auto] = ACTIONS(2674),
    [anon_sym_register] = ACTIONS(2674),
    [anon_sym_inline] = ACTIONS(2674),
    [anon_sym___inline] = ACTIONS(2674),
    [anon_sym___inline__] = ACTIONS(2674),
    [anon_sym___forceinline] = ACTIONS(2674),
    [anon_sym_thread_local] = ACTIONS(2674),
    [anon_sym___thread] = ACTIONS(2674),
    [anon_sym_CG_EXTERN] = ACTIONS(2674),
    [anon_sym_CG_INLINE] = ACTIONS(2674),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2674),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2674),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2674),
    [anon_sym_IBOutlet] = ACTIONS(2674),
    [anon_sym_IBInspectable] = ACTIONS(2674),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2674),
    [anon_sym_NS_INLINE] = ACTIONS(2674),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2674),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2674),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2674),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2674),
    [anon_sym_const] = ACTIONS(2674),
    [anon_sym_constexpr] = ACTIONS(2674),
    [anon_sym_volatile] = ACTIONS(2674),
    [anon_sym_restrict] = ACTIONS(2674),
    [anon_sym___restrict__] = ACTIONS(2674),
    [anon_sym__Atomic] = ACTIONS(2674),
    [anon_sym__Noreturn] = ACTIONS(2674),
    [anon_sym__Nonnull] = ACTIONS(2674),
    [anon_sym_nullable] = ACTIONS(2674),
    [anon_sym__Complex] = ACTIONS(2674),
    [anon_sym__Nullable] = ACTIONS(2674),
    [anon_sym__Nullable_result] = ACTIONS(2674),
    [anon_sym__Null_unspecified] = ACTIONS(2674),
    [anon_sym___autoreleasing] = ACTIONS(2674),
    [anon_sym___block] = ACTIONS(2674),
    [anon_sym___bridge] = ACTIONS(2674),
    [anon_sym___bridge_retained] = ACTIONS(2674),
    [anon_sym___bridge_transfer] = ACTIONS(2674),
    [anon_sym___complex] = ACTIONS(2674),
    [anon_sym___const] = ACTIONS(2674),
    [anon_sym___imag] = ACTIONS(2674),
    [anon_sym___kindof] = ACTIONS(2674),
    [anon_sym___nonnull] = ACTIONS(2674),
    [anon_sym___nullable] = ACTIONS(2674),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2674),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2674),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2674),
    [anon_sym___real] = ACTIONS(2674),
    [anon_sym___strong] = ACTIONS(2674),
    [anon_sym___unsafe_unretained] = ACTIONS(2674),
    [anon_sym___unused] = ACTIONS(2674),
    [anon_sym___weak] = ACTIONS(2674),
    [anon_sym_alignas] = ACTIONS(2674),
    [anon_sym__Alignas] = ACTIONS(2674),
    [sym_primitive_type] = ACTIONS(2674),
    [anon_sym_enum] = ACTIONS(2674),
    [anon_sym_struct] = ACTIONS(2674),
    [anon_sym_union] = ACTIONS(2674),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2674),
    [anon_sym___typeof] = ACTIONS(2674),
    [anon_sym_typeof] = ACTIONS(2674),
    [aux_sym_preproc_undef_token1] = ACTIONS(2674),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2674),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2674),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2674),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2674),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2674),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2674),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2674),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2674),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2674),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_API_AVAILABLE] = ACTIONS(2674),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_API_DEPRECATED] = ACTIONS(2674),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2674),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2674),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2674),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2674),
    [anon_sym___deprecated_msg] = ACTIONS(2674),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2674),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2674),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2674),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2674),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2674),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2674),
    [anon_sym_ATsynthesize] = ACTIONS(2676),
    [anon_sym_ATdynamic] = ACTIONS(2676),
    [anon_sym_ATproperty] = ACTIONS(2676),
    [anon_sym_BOOL] = ACTIONS(2674),
    [anon_sym_IMP] = ACTIONS(2674),
    [anon_sym_SEL] = ACTIONS(2674),
    [anon_sym_Class] = ACTIONS(2674),
    [anon_sym_id] = ACTIONS(2674),
  },
  [2269] = {
    [sym_identifier] = ACTIONS(5557),
    [aux_sym_preproc_def_token1] = ACTIONS(5557),
    [aux_sym_preproc_if_token1] = ACTIONS(5557),
    [aux_sym_preproc_if_token2] = ACTIONS(5557),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5557),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5557),
    [aux_sym_preproc_else_token1] = ACTIONS(5557),
    [aux_sym_preproc_elif_token1] = ACTIONS(5557),
    [sym_preproc_directive] = ACTIONS(5557),
    [anon_sym_DASH] = ACTIONS(5559),
    [anon_sym_PLUS] = ACTIONS(5559),
    [anon_sym___extension__] = ACTIONS(5557),
    [anon_sym_typedef] = ACTIONS(5557),
    [anon_sym_extern] = ACTIONS(5557),
    [anon_sym___attribute__] = ACTIONS(5557),
    [anon_sym___attribute] = ACTIONS(5557),
    [anon_sym_noreturn] = ACTIONS(5557),
    [anon_sym_LBRACK] = ACTIONS(5559),
    [anon_sym___declspec] = ACTIONS(5557),
    [anon_sym___cdecl] = ACTIONS(5557),
    [anon_sym___clrcall] = ACTIONS(5557),
    [anon_sym___stdcall] = ACTIONS(5557),
    [anon_sym___fastcall] = ACTIONS(5557),
    [anon_sym___thiscall] = ACTIONS(5557),
    [anon_sym___vectorcall] = ACTIONS(5557),
    [anon_sym_signed] = ACTIONS(5557),
    [anon_sym_unsigned] = ACTIONS(5557),
    [anon_sym_long] = ACTIONS(5557),
    [anon_sym_short] = ACTIONS(5557),
    [anon_sym_static] = ACTIONS(5557),
    [anon_sym_auto] = ACTIONS(5557),
    [anon_sym_register] = ACTIONS(5557),
    [anon_sym_inline] = ACTIONS(5557),
    [anon_sym___inline] = ACTIONS(5557),
    [anon_sym___inline__] = ACTIONS(5557),
    [anon_sym___forceinline] = ACTIONS(5557),
    [anon_sym_thread_local] = ACTIONS(5557),
    [anon_sym___thread] = ACTIONS(5557),
    [anon_sym_CG_EXTERN] = ACTIONS(5557),
    [anon_sym_CG_INLINE] = ACTIONS(5557),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5557),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5557),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5557),
    [anon_sym_IBOutlet] = ACTIONS(5557),
    [anon_sym_IBInspectable] = ACTIONS(5557),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5557),
    [anon_sym_NS_INLINE] = ACTIONS(5557),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5557),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5557),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5557),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5557),
    [anon_sym_const] = ACTIONS(5557),
    [anon_sym_constexpr] = ACTIONS(5557),
    [anon_sym_volatile] = ACTIONS(5557),
    [anon_sym_restrict] = ACTIONS(5557),
    [anon_sym___restrict__] = ACTIONS(5557),
    [anon_sym__Atomic] = ACTIONS(5557),
    [anon_sym__Noreturn] = ACTIONS(5557),
    [anon_sym__Nonnull] = ACTIONS(5557),
    [anon_sym_nullable] = ACTIONS(5557),
    [anon_sym__Complex] = ACTIONS(5557),
    [anon_sym__Nullable] = ACTIONS(5557),
    [anon_sym__Nullable_result] = ACTIONS(5557),
    [anon_sym__Null_unspecified] = ACTIONS(5557),
    [anon_sym___autoreleasing] = ACTIONS(5557),
    [anon_sym___block] = ACTIONS(5557),
    [anon_sym___bridge] = ACTIONS(5557),
    [anon_sym___bridge_retained] = ACTIONS(5557),
    [anon_sym___bridge_transfer] = ACTIONS(5557),
    [anon_sym___complex] = ACTIONS(5557),
    [anon_sym___const] = ACTIONS(5557),
    [anon_sym___imag] = ACTIONS(5557),
    [anon_sym___kindof] = ACTIONS(5557),
    [anon_sym___nonnull] = ACTIONS(5557),
    [anon_sym___nullable] = ACTIONS(5557),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5557),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5557),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5557),
    [anon_sym___real] = ACTIONS(5557),
    [anon_sym___strong] = ACTIONS(5557),
    [anon_sym___unsafe_unretained] = ACTIONS(5557),
    [anon_sym___unused] = ACTIONS(5557),
    [anon_sym___weak] = ACTIONS(5557),
    [anon_sym_alignas] = ACTIONS(5557),
    [anon_sym__Alignas] = ACTIONS(5557),
    [sym_primitive_type] = ACTIONS(5557),
    [anon_sym_enum] = ACTIONS(5557),
    [anon_sym_struct] = ACTIONS(5557),
    [anon_sym_union] = ACTIONS(5557),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5557),
    [anon_sym___typeof] = ACTIONS(5557),
    [anon_sym_typeof] = ACTIONS(5557),
    [aux_sym_preproc_undef_token1] = ACTIONS(5557),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5557),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5557),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5557),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5557),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5557),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5557),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5557),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5557),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5557),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5557),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5557),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5557),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5557),
    [anon_sym_API_AVAILABLE] = ACTIONS(5557),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5557),
    [anon_sym_API_DEPRECATED] = ACTIONS(5557),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5557),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5557),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5557),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5557),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5557),
    [anon_sym___deprecated_msg] = ACTIONS(5557),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5557),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5557),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5557),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5557),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5557),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5557),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5557),
    [anon_sym_ATproperty] = ACTIONS(5559),
    [anon_sym_BOOL] = ACTIONS(5557),
    [anon_sym_IMP] = ACTIONS(5557),
    [anon_sym_SEL] = ACTIONS(5557),
    [anon_sym_Class] = ACTIONS(5557),
    [anon_sym_id] = ACTIONS(5557),
  },
  [2270] = {
    [aux_sym_method_declaration_repeat2] = STATE(2271),
    [sym_identifier] = ACTIONS(5451),
    [aux_sym_preproc_def_token1] = ACTIONS(5451),
    [aux_sym_preproc_if_token1] = ACTIONS(5451),
    [aux_sym_preproc_if_token2] = ACTIONS(5451),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5451),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5451),
    [sym_preproc_directive] = ACTIONS(5451),
    [anon_sym_DASH] = ACTIONS(5453),
    [anon_sym_PLUS] = ACTIONS(5453),
    [anon_sym_SEMI] = ACTIONS(5549),
    [anon_sym___extension__] = ACTIONS(5451),
    [anon_sym_typedef] = ACTIONS(5451),
    [anon_sym_extern] = ACTIONS(5451),
    [anon_sym___attribute__] = ACTIONS(5451),
    [anon_sym___attribute] = ACTIONS(5451),
    [anon_sym_noreturn] = ACTIONS(5451),
    [anon_sym_LBRACK] = ACTIONS(5453),
    [anon_sym___declspec] = ACTIONS(5451),
    [anon_sym___cdecl] = ACTIONS(5451),
    [anon_sym___clrcall] = ACTIONS(5451),
    [anon_sym___stdcall] = ACTIONS(5451),
    [anon_sym___fastcall] = ACTIONS(5451),
    [anon_sym___thiscall] = ACTIONS(5451),
    [anon_sym___vectorcall] = ACTIONS(5451),
    [anon_sym_signed] = ACTIONS(5451),
    [anon_sym_unsigned] = ACTIONS(5451),
    [anon_sym_long] = ACTIONS(5451),
    [anon_sym_short] = ACTIONS(5451),
    [anon_sym_static] = ACTIONS(5451),
    [anon_sym_auto] = ACTIONS(5451),
    [anon_sym_register] = ACTIONS(5451),
    [anon_sym_inline] = ACTIONS(5451),
    [anon_sym___inline] = ACTIONS(5451),
    [anon_sym___inline__] = ACTIONS(5451),
    [anon_sym___forceinline] = ACTIONS(5451),
    [anon_sym_thread_local] = ACTIONS(5451),
    [anon_sym___thread] = ACTIONS(5451),
    [anon_sym_CG_EXTERN] = ACTIONS(5451),
    [anon_sym_CG_INLINE] = ACTIONS(5451),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5451),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5451),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5451),
    [anon_sym_IBOutlet] = ACTIONS(5451),
    [anon_sym_IBInspectable] = ACTIONS(5451),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5451),
    [anon_sym_NS_INLINE] = ACTIONS(5451),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5451),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5451),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5451),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5451),
    [anon_sym_const] = ACTIONS(5451),
    [anon_sym_constexpr] = ACTIONS(5451),
    [anon_sym_volatile] = ACTIONS(5451),
    [anon_sym_restrict] = ACTIONS(5451),
    [anon_sym___restrict__] = ACTIONS(5451),
    [anon_sym__Atomic] = ACTIONS(5451),
    [anon_sym__Noreturn] = ACTIONS(5451),
    [anon_sym__Nonnull] = ACTIONS(5451),
    [anon_sym_nullable] = ACTIONS(5451),
    [anon_sym__Complex] = ACTIONS(5451),
    [anon_sym__Nullable] = ACTIONS(5451),
    [anon_sym__Nullable_result] = ACTIONS(5451),
    [anon_sym__Null_unspecified] = ACTIONS(5451),
    [anon_sym___autoreleasing] = ACTIONS(5451),
    [anon_sym___block] = ACTIONS(5451),
    [anon_sym___bridge] = ACTIONS(5451),
    [anon_sym___bridge_retained] = ACTIONS(5451),
    [anon_sym___bridge_transfer] = ACTIONS(5451),
    [anon_sym___complex] = ACTIONS(5451),
    [anon_sym___const] = ACTIONS(5451),
    [anon_sym___imag] = ACTIONS(5451),
    [anon_sym___kindof] = ACTIONS(5451),
    [anon_sym___nonnull] = ACTIONS(5451),
    [anon_sym___nullable] = ACTIONS(5451),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5451),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5451),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5451),
    [anon_sym___real] = ACTIONS(5451),
    [anon_sym___strong] = ACTIONS(5451),
    [anon_sym___unsafe_unretained] = ACTIONS(5451),
    [anon_sym___unused] = ACTIONS(5451),
    [anon_sym___weak] = ACTIONS(5451),
    [anon_sym_alignas] = ACTIONS(5451),
    [anon_sym__Alignas] = ACTIONS(5451),
    [sym_primitive_type] = ACTIONS(5451),
    [anon_sym_enum] = ACTIONS(5451),
    [anon_sym_struct] = ACTIONS(5451),
    [anon_sym_union] = ACTIONS(5451),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5451),
    [anon_sym___typeof] = ACTIONS(5451),
    [anon_sym_typeof] = ACTIONS(5451),
    [aux_sym_preproc_undef_token1] = ACTIONS(5451),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5451),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5451),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5451),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5451),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5451),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5451),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5451),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5451),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5451),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5451),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5451),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5451),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5451),
    [anon_sym_API_AVAILABLE] = ACTIONS(5451),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5451),
    [anon_sym_API_DEPRECATED] = ACTIONS(5451),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5451),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5451),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5451),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5451),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5451),
    [anon_sym___deprecated_msg] = ACTIONS(5451),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5451),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5451),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5451),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5451),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5451),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5451),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5451),
    [anon_sym_ATproperty] = ACTIONS(5453),
    [anon_sym_BOOL] = ACTIONS(5451),
    [anon_sym_IMP] = ACTIONS(5451),
    [anon_sym_SEL] = ACTIONS(5451),
    [anon_sym_Class] = ACTIONS(5451),
    [anon_sym_id] = ACTIONS(5451),
  },
  [2271] = {
    [aux_sym_method_declaration_repeat2] = STATE(2271),
    [sym_identifier] = ACTIONS(5483),
    [aux_sym_preproc_def_token1] = ACTIONS(5483),
    [aux_sym_preproc_if_token1] = ACTIONS(5483),
    [aux_sym_preproc_if_token2] = ACTIONS(5483),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5483),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5483),
    [sym_preproc_directive] = ACTIONS(5483),
    [anon_sym_DASH] = ACTIONS(5485),
    [anon_sym_PLUS] = ACTIONS(5485),
    [anon_sym_SEMI] = ACTIONS(5561),
    [anon_sym___extension__] = ACTIONS(5483),
    [anon_sym_typedef] = ACTIONS(5483),
    [anon_sym_extern] = ACTIONS(5483),
    [anon_sym___attribute__] = ACTIONS(5483),
    [anon_sym___attribute] = ACTIONS(5483),
    [anon_sym_noreturn] = ACTIONS(5483),
    [anon_sym_LBRACK] = ACTIONS(5485),
    [anon_sym___declspec] = ACTIONS(5483),
    [anon_sym___cdecl] = ACTIONS(5483),
    [anon_sym___clrcall] = ACTIONS(5483),
    [anon_sym___stdcall] = ACTIONS(5483),
    [anon_sym___fastcall] = ACTIONS(5483),
    [anon_sym___thiscall] = ACTIONS(5483),
    [anon_sym___vectorcall] = ACTIONS(5483),
    [anon_sym_signed] = ACTIONS(5483),
    [anon_sym_unsigned] = ACTIONS(5483),
    [anon_sym_long] = ACTIONS(5483),
    [anon_sym_short] = ACTIONS(5483),
    [anon_sym_static] = ACTIONS(5483),
    [anon_sym_auto] = ACTIONS(5483),
    [anon_sym_register] = ACTIONS(5483),
    [anon_sym_inline] = ACTIONS(5483),
    [anon_sym___inline] = ACTIONS(5483),
    [anon_sym___inline__] = ACTIONS(5483),
    [anon_sym___forceinline] = ACTIONS(5483),
    [anon_sym_thread_local] = ACTIONS(5483),
    [anon_sym___thread] = ACTIONS(5483),
    [anon_sym_CG_EXTERN] = ACTIONS(5483),
    [anon_sym_CG_INLINE] = ACTIONS(5483),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5483),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5483),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5483),
    [anon_sym_IBOutlet] = ACTIONS(5483),
    [anon_sym_IBInspectable] = ACTIONS(5483),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5483),
    [anon_sym_NS_INLINE] = ACTIONS(5483),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5483),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5483),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5483),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5483),
    [anon_sym_const] = ACTIONS(5483),
    [anon_sym_constexpr] = ACTIONS(5483),
    [anon_sym_volatile] = ACTIONS(5483),
    [anon_sym_restrict] = ACTIONS(5483),
    [anon_sym___restrict__] = ACTIONS(5483),
    [anon_sym__Atomic] = ACTIONS(5483),
    [anon_sym__Noreturn] = ACTIONS(5483),
    [anon_sym__Nonnull] = ACTIONS(5483),
    [anon_sym_nullable] = ACTIONS(5483),
    [anon_sym__Complex] = ACTIONS(5483),
    [anon_sym__Nullable] = ACTIONS(5483),
    [anon_sym__Nullable_result] = ACTIONS(5483),
    [anon_sym__Null_unspecified] = ACTIONS(5483),
    [anon_sym___autoreleasing] = ACTIONS(5483),
    [anon_sym___block] = ACTIONS(5483),
    [anon_sym___bridge] = ACTIONS(5483),
    [anon_sym___bridge_retained] = ACTIONS(5483),
    [anon_sym___bridge_transfer] = ACTIONS(5483),
    [anon_sym___complex] = ACTIONS(5483),
    [anon_sym___const] = ACTIONS(5483),
    [anon_sym___imag] = ACTIONS(5483),
    [anon_sym___kindof] = ACTIONS(5483),
    [anon_sym___nonnull] = ACTIONS(5483),
    [anon_sym___nullable] = ACTIONS(5483),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5483),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5483),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5483),
    [anon_sym___real] = ACTIONS(5483),
    [anon_sym___strong] = ACTIONS(5483),
    [anon_sym___unsafe_unretained] = ACTIONS(5483),
    [anon_sym___unused] = ACTIONS(5483),
    [anon_sym___weak] = ACTIONS(5483),
    [anon_sym_alignas] = ACTIONS(5483),
    [anon_sym__Alignas] = ACTIONS(5483),
    [sym_primitive_type] = ACTIONS(5483),
    [anon_sym_enum] = ACTIONS(5483),
    [anon_sym_struct] = ACTIONS(5483),
    [anon_sym_union] = ACTIONS(5483),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5483),
    [anon_sym___typeof] = ACTIONS(5483),
    [anon_sym_typeof] = ACTIONS(5483),
    [aux_sym_preproc_undef_token1] = ACTIONS(5483),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5483),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5483),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5483),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5483),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5483),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5483),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5483),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5483),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5483),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5483),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5483),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5483),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5483),
    [anon_sym_API_AVAILABLE] = ACTIONS(5483),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5483),
    [anon_sym_API_DEPRECATED] = ACTIONS(5483),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5483),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5483),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5483),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5483),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5483),
    [anon_sym___deprecated_msg] = ACTIONS(5483),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5483),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5483),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5483),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5483),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5483),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5483),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5483),
    [anon_sym_ATproperty] = ACTIONS(5485),
    [anon_sym_BOOL] = ACTIONS(5483),
    [anon_sym_IMP] = ACTIONS(5483),
    [anon_sym_SEL] = ACTIONS(5483),
    [anon_sym_Class] = ACTIONS(5483),
    [anon_sym_id] = ACTIONS(5483),
  },
  [2272] = {
    [sym_identifier] = ACTIONS(5564),
    [aux_sym_preproc_def_token1] = ACTIONS(5564),
    [aux_sym_preproc_if_token1] = ACTIONS(5564),
    [aux_sym_preproc_if_token2] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5564),
    [aux_sym_preproc_else_token1] = ACTIONS(5564),
    [aux_sym_preproc_elif_token1] = ACTIONS(5564),
    [sym_preproc_directive] = ACTIONS(5564),
    [anon_sym_DASH] = ACTIONS(5566),
    [anon_sym_PLUS] = ACTIONS(5566),
    [anon_sym___extension__] = ACTIONS(5564),
    [anon_sym_typedef] = ACTIONS(5564),
    [anon_sym_extern] = ACTIONS(5564),
    [anon_sym___attribute__] = ACTIONS(5564),
    [anon_sym___attribute] = ACTIONS(5564),
    [anon_sym_noreturn] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5566),
    [anon_sym___declspec] = ACTIONS(5564),
    [anon_sym___cdecl] = ACTIONS(5564),
    [anon_sym___clrcall] = ACTIONS(5564),
    [anon_sym___stdcall] = ACTIONS(5564),
    [anon_sym___fastcall] = ACTIONS(5564),
    [anon_sym___thiscall] = ACTIONS(5564),
    [anon_sym___vectorcall] = ACTIONS(5564),
    [anon_sym_signed] = ACTIONS(5564),
    [anon_sym_unsigned] = ACTIONS(5564),
    [anon_sym_long] = ACTIONS(5564),
    [anon_sym_short] = ACTIONS(5564),
    [anon_sym_static] = ACTIONS(5564),
    [anon_sym_auto] = ACTIONS(5564),
    [anon_sym_register] = ACTIONS(5564),
    [anon_sym_inline] = ACTIONS(5564),
    [anon_sym___inline] = ACTIONS(5564),
    [anon_sym___inline__] = ACTIONS(5564),
    [anon_sym___forceinline] = ACTIONS(5564),
    [anon_sym_thread_local] = ACTIONS(5564),
    [anon_sym___thread] = ACTIONS(5564),
    [anon_sym_CG_EXTERN] = ACTIONS(5564),
    [anon_sym_CG_INLINE] = ACTIONS(5564),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5564),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5564),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5564),
    [anon_sym_IBOutlet] = ACTIONS(5564),
    [anon_sym_IBInspectable] = ACTIONS(5564),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5564),
    [anon_sym_NS_INLINE] = ACTIONS(5564),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5564),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5564),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5564),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5564),
    [anon_sym_const] = ACTIONS(5564),
    [anon_sym_constexpr] = ACTIONS(5564),
    [anon_sym_volatile] = ACTIONS(5564),
    [anon_sym_restrict] = ACTIONS(5564),
    [anon_sym___restrict__] = ACTIONS(5564),
    [anon_sym__Atomic] = ACTIONS(5564),
    [anon_sym__Noreturn] = ACTIONS(5564),
    [anon_sym__Nonnull] = ACTIONS(5564),
    [anon_sym_nullable] = ACTIONS(5564),
    [anon_sym__Complex] = ACTIONS(5564),
    [anon_sym__Nullable] = ACTIONS(5564),
    [anon_sym__Nullable_result] = ACTIONS(5564),
    [anon_sym__Null_unspecified] = ACTIONS(5564),
    [anon_sym___autoreleasing] = ACTIONS(5564),
    [anon_sym___block] = ACTIONS(5564),
    [anon_sym___bridge] = ACTIONS(5564),
    [anon_sym___bridge_retained] = ACTIONS(5564),
    [anon_sym___bridge_transfer] = ACTIONS(5564),
    [anon_sym___complex] = ACTIONS(5564),
    [anon_sym___const] = ACTIONS(5564),
    [anon_sym___imag] = ACTIONS(5564),
    [anon_sym___kindof] = ACTIONS(5564),
    [anon_sym___nonnull] = ACTIONS(5564),
    [anon_sym___nullable] = ACTIONS(5564),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5564),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5564),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5564),
    [anon_sym___real] = ACTIONS(5564),
    [anon_sym___strong] = ACTIONS(5564),
    [anon_sym___unsafe_unretained] = ACTIONS(5564),
    [anon_sym___unused] = ACTIONS(5564),
    [anon_sym___weak] = ACTIONS(5564),
    [anon_sym_alignas] = ACTIONS(5564),
    [anon_sym__Alignas] = ACTIONS(5564),
    [sym_primitive_type] = ACTIONS(5564),
    [anon_sym_enum] = ACTIONS(5564),
    [anon_sym_struct] = ACTIONS(5564),
    [anon_sym_union] = ACTIONS(5564),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5564),
    [anon_sym___typeof] = ACTIONS(5564),
    [anon_sym_typeof] = ACTIONS(5564),
    [aux_sym_preproc_undef_token1] = ACTIONS(5564),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5564),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5564),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5564),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5564),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5564),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5564),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5564),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5564),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5564),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5564),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5564),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5564),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5564),
    [anon_sym_API_AVAILABLE] = ACTIONS(5564),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5564),
    [anon_sym_API_DEPRECATED] = ACTIONS(5564),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5564),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5564),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5564),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5564),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5564),
    [anon_sym___deprecated_msg] = ACTIONS(5564),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5564),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5564),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5564),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5564),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5564),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5564),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5564),
    [anon_sym_ATproperty] = ACTIONS(5566),
    [anon_sym_BOOL] = ACTIONS(5564),
    [anon_sym_IMP] = ACTIONS(5564),
    [anon_sym_SEL] = ACTIONS(5564),
    [anon_sym_Class] = ACTIONS(5564),
    [anon_sym_id] = ACTIONS(5564),
  },
  [2273] = {
    [sym_identifier] = ACTIONS(5353),
    [aux_sym_preproc_def_token1] = ACTIONS(5353),
    [aux_sym_preproc_if_token1] = ACTIONS(5353),
    [aux_sym_preproc_if_token2] = ACTIONS(5353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5353),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5353),
    [sym_preproc_directive] = ACTIONS(5353),
    [anon_sym_DASH] = ACTIONS(5355),
    [anon_sym_PLUS] = ACTIONS(5355),
    [anon_sym_SEMI] = ACTIONS(5568),
    [anon_sym___extension__] = ACTIONS(5353),
    [anon_sym_typedef] = ACTIONS(5353),
    [anon_sym_extern] = ACTIONS(5353),
    [anon_sym___attribute__] = ACTIONS(5353),
    [anon_sym___attribute] = ACTIONS(5353),
    [anon_sym_noreturn] = ACTIONS(5353),
    [anon_sym_LBRACK] = ACTIONS(5355),
    [anon_sym___declspec] = ACTIONS(5353),
    [anon_sym___cdecl] = ACTIONS(5353),
    [anon_sym___clrcall] = ACTIONS(5353),
    [anon_sym___stdcall] = ACTIONS(5353),
    [anon_sym___fastcall] = ACTIONS(5353),
    [anon_sym___thiscall] = ACTIONS(5353),
    [anon_sym___vectorcall] = ACTIONS(5353),
    [anon_sym_signed] = ACTIONS(5353),
    [anon_sym_unsigned] = ACTIONS(5353),
    [anon_sym_long] = ACTIONS(5353),
    [anon_sym_short] = ACTIONS(5353),
    [anon_sym_static] = ACTIONS(5353),
    [anon_sym_auto] = ACTIONS(5353),
    [anon_sym_register] = ACTIONS(5353),
    [anon_sym_inline] = ACTIONS(5353),
    [anon_sym___inline] = ACTIONS(5353),
    [anon_sym___inline__] = ACTIONS(5353),
    [anon_sym___forceinline] = ACTIONS(5353),
    [anon_sym_thread_local] = ACTIONS(5353),
    [anon_sym___thread] = ACTIONS(5353),
    [anon_sym_CG_EXTERN] = ACTIONS(5353),
    [anon_sym_CG_INLINE] = ACTIONS(5353),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5353),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5353),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5353),
    [anon_sym_IBOutlet] = ACTIONS(5353),
    [anon_sym_IBInspectable] = ACTIONS(5353),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5353),
    [anon_sym_NS_INLINE] = ACTIONS(5353),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5353),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5353),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5353),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5353),
    [anon_sym_const] = ACTIONS(5353),
    [anon_sym_constexpr] = ACTIONS(5353),
    [anon_sym_volatile] = ACTIONS(5353),
    [anon_sym_restrict] = ACTIONS(5353),
    [anon_sym___restrict__] = ACTIONS(5353),
    [anon_sym__Atomic] = ACTIONS(5353),
    [anon_sym__Noreturn] = ACTIONS(5353),
    [anon_sym__Nonnull] = ACTIONS(5353),
    [anon_sym_nullable] = ACTIONS(5353),
    [anon_sym__Complex] = ACTIONS(5353),
    [anon_sym__Nullable] = ACTIONS(5353),
    [anon_sym__Nullable_result] = ACTIONS(5353),
    [anon_sym__Null_unspecified] = ACTIONS(5353),
    [anon_sym___autoreleasing] = ACTIONS(5353),
    [anon_sym___block] = ACTIONS(5353),
    [anon_sym___bridge] = ACTIONS(5353),
    [anon_sym___bridge_retained] = ACTIONS(5353),
    [anon_sym___bridge_transfer] = ACTIONS(5353),
    [anon_sym___complex] = ACTIONS(5353),
    [anon_sym___const] = ACTIONS(5353),
    [anon_sym___imag] = ACTIONS(5353),
    [anon_sym___kindof] = ACTIONS(5353),
    [anon_sym___nonnull] = ACTIONS(5353),
    [anon_sym___nullable] = ACTIONS(5353),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5353),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5353),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5353),
    [anon_sym___real] = ACTIONS(5353),
    [anon_sym___strong] = ACTIONS(5353),
    [anon_sym___unsafe_unretained] = ACTIONS(5353),
    [anon_sym___unused] = ACTIONS(5353),
    [anon_sym___weak] = ACTIONS(5353),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_primitive_type] = ACTIONS(5353),
    [anon_sym_enum] = ACTIONS(5353),
    [anon_sym_struct] = ACTIONS(5353),
    [anon_sym_union] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5353),
    [anon_sym___typeof] = ACTIONS(5353),
    [anon_sym_typeof] = ACTIONS(5353),
    [aux_sym_preproc_undef_token1] = ACTIONS(5353),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5353),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5353),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5353),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5353),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5353),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5353),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5353),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5353),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5353),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5353),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5353),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5353),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5353),
    [anon_sym_API_AVAILABLE] = ACTIONS(5353),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5353),
    [anon_sym_API_DEPRECATED] = ACTIONS(5353),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5353),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5353),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5353),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5353),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5353),
    [anon_sym___deprecated_msg] = ACTIONS(5353),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5353),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5353),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5353),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5353),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5353),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5353),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5353),
    [anon_sym_ATsynthesize] = ACTIONS(5355),
    [anon_sym_ATdynamic] = ACTIONS(5355),
    [anon_sym_BOOL] = ACTIONS(5353),
    [anon_sym_IMP] = ACTIONS(5353),
    [anon_sym_SEL] = ACTIONS(5353),
    [anon_sym_Class] = ACTIONS(5353),
    [anon_sym_id] = ACTIONS(5353),
  },
  [2274] = {
    [sym_identifier] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym___extension__] = ACTIONS(5570),
    [anon_sym_typedef] = ACTIONS(5570),
    [anon_sym_extern] = ACTIONS(5570),
    [anon_sym___attribute__] = ACTIONS(5570),
    [anon_sym___attribute] = ACTIONS(5570),
    [anon_sym_noreturn] = ACTIONS(5570),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [anon_sym___declspec] = ACTIONS(5570),
    [anon_sym___cdecl] = ACTIONS(5570),
    [anon_sym___clrcall] = ACTIONS(5570),
    [anon_sym___stdcall] = ACTIONS(5570),
    [anon_sym___fastcall] = ACTIONS(5570),
    [anon_sym___thiscall] = ACTIONS(5570),
    [anon_sym___vectorcall] = ACTIONS(5570),
    [anon_sym_signed] = ACTIONS(5570),
    [anon_sym_unsigned] = ACTIONS(5570),
    [anon_sym_long] = ACTIONS(5570),
    [anon_sym_short] = ACTIONS(5570),
    [anon_sym_static] = ACTIONS(5570),
    [anon_sym_auto] = ACTIONS(5570),
    [anon_sym_register] = ACTIONS(5570),
    [anon_sym_inline] = ACTIONS(5570),
    [anon_sym___inline] = ACTIONS(5570),
    [anon_sym___inline__] = ACTIONS(5570),
    [anon_sym___forceinline] = ACTIONS(5570),
    [anon_sym_thread_local] = ACTIONS(5570),
    [anon_sym___thread] = ACTIONS(5570),
    [anon_sym_CG_EXTERN] = ACTIONS(5570),
    [anon_sym_CG_INLINE] = ACTIONS(5570),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5570),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5570),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5570),
    [anon_sym_IBOutlet] = ACTIONS(5570),
    [anon_sym_IBInspectable] = ACTIONS(5570),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5570),
    [anon_sym_NS_INLINE] = ACTIONS(5570),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5570),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5570),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5570),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5570),
    [anon_sym_const] = ACTIONS(5570),
    [anon_sym_constexpr] = ACTIONS(5570),
    [anon_sym_volatile] = ACTIONS(5570),
    [anon_sym_restrict] = ACTIONS(5570),
    [anon_sym___restrict__] = ACTIONS(5570),
    [anon_sym__Atomic] = ACTIONS(5570),
    [anon_sym__Noreturn] = ACTIONS(5570),
    [anon_sym__Nonnull] = ACTIONS(5570),
    [anon_sym_nullable] = ACTIONS(5570),
    [anon_sym__Complex] = ACTIONS(5570),
    [anon_sym__Nullable] = ACTIONS(5570),
    [anon_sym__Nullable_result] = ACTIONS(5570),
    [anon_sym__Null_unspecified] = ACTIONS(5570),
    [anon_sym___autoreleasing] = ACTIONS(5570),
    [anon_sym___block] = ACTIONS(5570),
    [anon_sym___bridge] = ACTIONS(5570),
    [anon_sym___bridge_retained] = ACTIONS(5570),
    [anon_sym___bridge_transfer] = ACTIONS(5570),
    [anon_sym___complex] = ACTIONS(5570),
    [anon_sym___const] = ACTIONS(5570),
    [anon_sym___imag] = ACTIONS(5570),
    [anon_sym___kindof] = ACTIONS(5570),
    [anon_sym___nonnull] = ACTIONS(5570),
    [anon_sym___nullable] = ACTIONS(5570),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5570),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5570),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5570),
    [anon_sym___real] = ACTIONS(5570),
    [anon_sym___strong] = ACTIONS(5570),
    [anon_sym___unsafe_unretained] = ACTIONS(5570),
    [anon_sym___unused] = ACTIONS(5570),
    [anon_sym___weak] = ACTIONS(5570),
    [anon_sym_alignas] = ACTIONS(5570),
    [anon_sym__Alignas] = ACTIONS(5570),
    [sym_primitive_type] = ACTIONS(5570),
    [anon_sym_enum] = ACTIONS(5570),
    [anon_sym_struct] = ACTIONS(5570),
    [anon_sym_union] = ACTIONS(5570),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5570),
    [anon_sym___typeof] = ACTIONS(5570),
    [anon_sym_typeof] = ACTIONS(5570),
    [aux_sym_preproc_undef_token1] = ACTIONS(5570),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5570),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5570),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5570),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5570),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5570),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5570),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5570),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5570),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5570),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5570),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5570),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5570),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5570),
    [anon_sym_API_AVAILABLE] = ACTIONS(5570),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5570),
    [anon_sym_API_DEPRECATED] = ACTIONS(5570),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5570),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5570),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5570),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5570),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5570),
    [anon_sym___deprecated_msg] = ACTIONS(5570),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5570),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5570),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5570),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5570),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5570),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5570),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5570),
    [anon_sym_ATend] = ACTIONS(5572),
    [anon_sym_AToptional] = ACTIONS(5572),
    [anon_sym_ATrequired] = ACTIONS(5572),
    [anon_sym_ATproperty] = ACTIONS(5572),
    [anon_sym_BOOL] = ACTIONS(5570),
    [anon_sym_IMP] = ACTIONS(5570),
    [anon_sym_SEL] = ACTIONS(5570),
    [anon_sym_Class] = ACTIONS(5570),
    [anon_sym_id] = ACTIONS(5570),
  },
  [2275] = {
    [aux_sym_method_declaration_repeat2] = STATE(2271),
    [sym_identifier] = ACTIONS(5363),
    [aux_sym_preproc_def_token1] = ACTIONS(5363),
    [aux_sym_preproc_if_token1] = ACTIONS(5363),
    [aux_sym_preproc_if_token2] = ACTIONS(5363),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5363),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5363),
    [sym_preproc_directive] = ACTIONS(5363),
    [anon_sym_DASH] = ACTIONS(5365),
    [anon_sym_PLUS] = ACTIONS(5365),
    [anon_sym_SEMI] = ACTIONS(5549),
    [anon_sym___extension__] = ACTIONS(5363),
    [anon_sym_typedef] = ACTIONS(5363),
    [anon_sym_extern] = ACTIONS(5363),
    [anon_sym___attribute__] = ACTIONS(5363),
    [anon_sym___attribute] = ACTIONS(5363),
    [anon_sym_noreturn] = ACTIONS(5363),
    [anon_sym_LBRACK] = ACTIONS(5365),
    [anon_sym___declspec] = ACTIONS(5363),
    [anon_sym___cdecl] = ACTIONS(5363),
    [anon_sym___clrcall] = ACTIONS(5363),
    [anon_sym___stdcall] = ACTIONS(5363),
    [anon_sym___fastcall] = ACTIONS(5363),
    [anon_sym___thiscall] = ACTIONS(5363),
    [anon_sym___vectorcall] = ACTIONS(5363),
    [anon_sym_signed] = ACTIONS(5363),
    [anon_sym_unsigned] = ACTIONS(5363),
    [anon_sym_long] = ACTIONS(5363),
    [anon_sym_short] = ACTIONS(5363),
    [anon_sym_static] = ACTIONS(5363),
    [anon_sym_auto] = ACTIONS(5363),
    [anon_sym_register] = ACTIONS(5363),
    [anon_sym_inline] = ACTIONS(5363),
    [anon_sym___inline] = ACTIONS(5363),
    [anon_sym___inline__] = ACTIONS(5363),
    [anon_sym___forceinline] = ACTIONS(5363),
    [anon_sym_thread_local] = ACTIONS(5363),
    [anon_sym___thread] = ACTIONS(5363),
    [anon_sym_CG_EXTERN] = ACTIONS(5363),
    [anon_sym_CG_INLINE] = ACTIONS(5363),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5363),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5363),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5363),
    [anon_sym_IBOutlet] = ACTIONS(5363),
    [anon_sym_IBInspectable] = ACTIONS(5363),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5363),
    [anon_sym_NS_INLINE] = ACTIONS(5363),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5363),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5363),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5363),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5363),
    [anon_sym_const] = ACTIONS(5363),
    [anon_sym_constexpr] = ACTIONS(5363),
    [anon_sym_volatile] = ACTIONS(5363),
    [anon_sym_restrict] = ACTIONS(5363),
    [anon_sym___restrict__] = ACTIONS(5363),
    [anon_sym__Atomic] = ACTIONS(5363),
    [anon_sym__Noreturn] = ACTIONS(5363),
    [anon_sym__Nonnull] = ACTIONS(5363),
    [anon_sym_nullable] = ACTIONS(5363),
    [anon_sym__Complex] = ACTIONS(5363),
    [anon_sym__Nullable] = ACTIONS(5363),
    [anon_sym__Nullable_result] = ACTIONS(5363),
    [anon_sym__Null_unspecified] = ACTIONS(5363),
    [anon_sym___autoreleasing] = ACTIONS(5363),
    [anon_sym___block] = ACTIONS(5363),
    [anon_sym___bridge] = ACTIONS(5363),
    [anon_sym___bridge_retained] = ACTIONS(5363),
    [anon_sym___bridge_transfer] = ACTIONS(5363),
    [anon_sym___complex] = ACTIONS(5363),
    [anon_sym___const] = ACTIONS(5363),
    [anon_sym___imag] = ACTIONS(5363),
    [anon_sym___kindof] = ACTIONS(5363),
    [anon_sym___nonnull] = ACTIONS(5363),
    [anon_sym___nullable] = ACTIONS(5363),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5363),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5363),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5363),
    [anon_sym___real] = ACTIONS(5363),
    [anon_sym___strong] = ACTIONS(5363),
    [anon_sym___unsafe_unretained] = ACTIONS(5363),
    [anon_sym___unused] = ACTIONS(5363),
    [anon_sym___weak] = ACTIONS(5363),
    [anon_sym_alignas] = ACTIONS(5363),
    [anon_sym__Alignas] = ACTIONS(5363),
    [sym_primitive_type] = ACTIONS(5363),
    [anon_sym_enum] = ACTIONS(5363),
    [anon_sym_struct] = ACTIONS(5363),
    [anon_sym_union] = ACTIONS(5363),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5363),
    [anon_sym___typeof] = ACTIONS(5363),
    [anon_sym_typeof] = ACTIONS(5363),
    [aux_sym_preproc_undef_token1] = ACTIONS(5363),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5363),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5363),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5363),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5363),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5363),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5363),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5363),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5363),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5363),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5363),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5363),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5363),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5363),
    [anon_sym_API_AVAILABLE] = ACTIONS(5363),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5363),
    [anon_sym_API_DEPRECATED] = ACTIONS(5363),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5363),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5363),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5363),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5363),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5363),
    [anon_sym___deprecated_msg] = ACTIONS(5363),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5363),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5363),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5363),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5363),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5363),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5363),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5363),
    [anon_sym_ATproperty] = ACTIONS(5365),
    [anon_sym_BOOL] = ACTIONS(5363),
    [anon_sym_IMP] = ACTIONS(5363),
    [anon_sym_SEL] = ACTIONS(5363),
    [anon_sym_Class] = ACTIONS(5363),
    [anon_sym_id] = ACTIONS(5363),
  },
  [2276] = {
    [sym_identifier] = ACTIONS(5574),
    [aux_sym_preproc_def_token1] = ACTIONS(5574),
    [aux_sym_preproc_if_token1] = ACTIONS(5574),
    [aux_sym_preproc_if_token2] = ACTIONS(5574),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5574),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5574),
    [aux_sym_preproc_else_token1] = ACTIONS(5574),
    [aux_sym_preproc_elif_token1] = ACTIONS(5574),
    [sym_preproc_directive] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym___extension__] = ACTIONS(5574),
    [anon_sym_typedef] = ACTIONS(5574),
    [anon_sym_extern] = ACTIONS(5574),
    [anon_sym___attribute__] = ACTIONS(5574),
    [anon_sym___attribute] = ACTIONS(5574),
    [anon_sym_noreturn] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [anon_sym___declspec] = ACTIONS(5574),
    [anon_sym___cdecl] = ACTIONS(5574),
    [anon_sym___clrcall] = ACTIONS(5574),
    [anon_sym___stdcall] = ACTIONS(5574),
    [anon_sym___fastcall] = ACTIONS(5574),
    [anon_sym___thiscall] = ACTIONS(5574),
    [anon_sym___vectorcall] = ACTIONS(5574),
    [anon_sym_signed] = ACTIONS(5574),
    [anon_sym_unsigned] = ACTIONS(5574),
    [anon_sym_long] = ACTIONS(5574),
    [anon_sym_short] = ACTIONS(5574),
    [anon_sym_static] = ACTIONS(5574),
    [anon_sym_auto] = ACTIONS(5574),
    [anon_sym_register] = ACTIONS(5574),
    [anon_sym_inline] = ACTIONS(5574),
    [anon_sym___inline] = ACTIONS(5574),
    [anon_sym___inline__] = ACTIONS(5574),
    [anon_sym___forceinline] = ACTIONS(5574),
    [anon_sym_thread_local] = ACTIONS(5574),
    [anon_sym___thread] = ACTIONS(5574),
    [anon_sym_CG_EXTERN] = ACTIONS(5574),
    [anon_sym_CG_INLINE] = ACTIONS(5574),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5574),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5574),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5574),
    [anon_sym_IBOutlet] = ACTIONS(5574),
    [anon_sym_IBInspectable] = ACTIONS(5574),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5574),
    [anon_sym_NS_INLINE] = ACTIONS(5574),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5574),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5574),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5574),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5574),
    [anon_sym_const] = ACTIONS(5574),
    [anon_sym_constexpr] = ACTIONS(5574),
    [anon_sym_volatile] = ACTIONS(5574),
    [anon_sym_restrict] = ACTIONS(5574),
    [anon_sym___restrict__] = ACTIONS(5574),
    [anon_sym__Atomic] = ACTIONS(5574),
    [anon_sym__Noreturn] = ACTIONS(5574),
    [anon_sym__Nonnull] = ACTIONS(5574),
    [anon_sym_nullable] = ACTIONS(5574),
    [anon_sym__Complex] = ACTIONS(5574),
    [anon_sym__Nullable] = ACTIONS(5574),
    [anon_sym__Nullable_result] = ACTIONS(5574),
    [anon_sym__Null_unspecified] = ACTIONS(5574),
    [anon_sym___autoreleasing] = ACTIONS(5574),
    [anon_sym___block] = ACTIONS(5574),
    [anon_sym___bridge] = ACTIONS(5574),
    [anon_sym___bridge_retained] = ACTIONS(5574),
    [anon_sym___bridge_transfer] = ACTIONS(5574),
    [anon_sym___complex] = ACTIONS(5574),
    [anon_sym___const] = ACTIONS(5574),
    [anon_sym___imag] = ACTIONS(5574),
    [anon_sym___kindof] = ACTIONS(5574),
    [anon_sym___nonnull] = ACTIONS(5574),
    [anon_sym___nullable] = ACTIONS(5574),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5574),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5574),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5574),
    [anon_sym___real] = ACTIONS(5574),
    [anon_sym___strong] = ACTIONS(5574),
    [anon_sym___unsafe_unretained] = ACTIONS(5574),
    [anon_sym___unused] = ACTIONS(5574),
    [anon_sym___weak] = ACTIONS(5574),
    [anon_sym_alignas] = ACTIONS(5574),
    [anon_sym__Alignas] = ACTIONS(5574),
    [sym_primitive_type] = ACTIONS(5574),
    [anon_sym_enum] = ACTIONS(5574),
    [anon_sym_struct] = ACTIONS(5574),
    [anon_sym_union] = ACTIONS(5574),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5574),
    [anon_sym___typeof] = ACTIONS(5574),
    [anon_sym_typeof] = ACTIONS(5574),
    [aux_sym_preproc_undef_token1] = ACTIONS(5574),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5574),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5574),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5574),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5574),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5574),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5574),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5574),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5574),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5574),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5574),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5574),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5574),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5574),
    [anon_sym_API_AVAILABLE] = ACTIONS(5574),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5574),
    [anon_sym_API_DEPRECATED] = ACTIONS(5574),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5574),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5574),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5574),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5574),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5574),
    [anon_sym___deprecated_msg] = ACTIONS(5574),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5574),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5574),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5574),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5574),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5574),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5574),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5574),
    [anon_sym_ATproperty] = ACTIONS(5576),
    [anon_sym_BOOL] = ACTIONS(5574),
    [anon_sym_IMP] = ACTIONS(5574),
    [anon_sym_SEL] = ACTIONS(5574),
    [anon_sym_Class] = ACTIONS(5574),
    [anon_sym_id] = ACTIONS(5574),
  },
  [2277] = {
    [sym_identifier] = ACTIONS(5557),
    [aux_sym_preproc_def_token1] = ACTIONS(5557),
    [aux_sym_preproc_if_token1] = ACTIONS(5557),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5557),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5557),
    [sym_preproc_directive] = ACTIONS(5557),
    [anon_sym_DASH] = ACTIONS(5559),
    [anon_sym_PLUS] = ACTIONS(5559),
    [anon_sym___extension__] = ACTIONS(5557),
    [anon_sym_typedef] = ACTIONS(5557),
    [anon_sym_extern] = ACTIONS(5557),
    [anon_sym___attribute__] = ACTIONS(5557),
    [anon_sym___attribute] = ACTIONS(5557),
    [anon_sym_noreturn] = ACTIONS(5557),
    [anon_sym_LBRACK] = ACTIONS(5559),
    [anon_sym___declspec] = ACTIONS(5557),
    [anon_sym___cdecl] = ACTIONS(5557),
    [anon_sym___clrcall] = ACTIONS(5557),
    [anon_sym___stdcall] = ACTIONS(5557),
    [anon_sym___fastcall] = ACTIONS(5557),
    [anon_sym___thiscall] = ACTIONS(5557),
    [anon_sym___vectorcall] = ACTIONS(5557),
    [anon_sym_signed] = ACTIONS(5557),
    [anon_sym_unsigned] = ACTIONS(5557),
    [anon_sym_long] = ACTIONS(5557),
    [anon_sym_short] = ACTIONS(5557),
    [anon_sym_static] = ACTIONS(5557),
    [anon_sym_auto] = ACTIONS(5557),
    [anon_sym_register] = ACTIONS(5557),
    [anon_sym_inline] = ACTIONS(5557),
    [anon_sym___inline] = ACTIONS(5557),
    [anon_sym___inline__] = ACTIONS(5557),
    [anon_sym___forceinline] = ACTIONS(5557),
    [anon_sym_thread_local] = ACTIONS(5557),
    [anon_sym___thread] = ACTIONS(5557),
    [anon_sym_CG_EXTERN] = ACTIONS(5557),
    [anon_sym_CG_INLINE] = ACTIONS(5557),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5557),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5557),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5557),
    [anon_sym_IBOutlet] = ACTIONS(5557),
    [anon_sym_IBInspectable] = ACTIONS(5557),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5557),
    [anon_sym_NS_INLINE] = ACTIONS(5557),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5557),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5557),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5557),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5557),
    [anon_sym_const] = ACTIONS(5557),
    [anon_sym_constexpr] = ACTIONS(5557),
    [anon_sym_volatile] = ACTIONS(5557),
    [anon_sym_restrict] = ACTIONS(5557),
    [anon_sym___restrict__] = ACTIONS(5557),
    [anon_sym__Atomic] = ACTIONS(5557),
    [anon_sym__Noreturn] = ACTIONS(5557),
    [anon_sym__Nonnull] = ACTIONS(5557),
    [anon_sym_nullable] = ACTIONS(5557),
    [anon_sym__Complex] = ACTIONS(5557),
    [anon_sym__Nullable] = ACTIONS(5557),
    [anon_sym__Nullable_result] = ACTIONS(5557),
    [anon_sym__Null_unspecified] = ACTIONS(5557),
    [anon_sym___autoreleasing] = ACTIONS(5557),
    [anon_sym___block] = ACTIONS(5557),
    [anon_sym___bridge] = ACTIONS(5557),
    [anon_sym___bridge_retained] = ACTIONS(5557),
    [anon_sym___bridge_transfer] = ACTIONS(5557),
    [anon_sym___complex] = ACTIONS(5557),
    [anon_sym___const] = ACTIONS(5557),
    [anon_sym___imag] = ACTIONS(5557),
    [anon_sym___kindof] = ACTIONS(5557),
    [anon_sym___nonnull] = ACTIONS(5557),
    [anon_sym___nullable] = ACTIONS(5557),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5557),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5557),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5557),
    [anon_sym___real] = ACTIONS(5557),
    [anon_sym___strong] = ACTIONS(5557),
    [anon_sym___unsafe_unretained] = ACTIONS(5557),
    [anon_sym___unused] = ACTIONS(5557),
    [anon_sym___weak] = ACTIONS(5557),
    [anon_sym_alignas] = ACTIONS(5557),
    [anon_sym__Alignas] = ACTIONS(5557),
    [sym_primitive_type] = ACTIONS(5557),
    [anon_sym_enum] = ACTIONS(5557),
    [anon_sym_struct] = ACTIONS(5557),
    [anon_sym_union] = ACTIONS(5557),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5557),
    [anon_sym___typeof] = ACTIONS(5557),
    [anon_sym_typeof] = ACTIONS(5557),
    [aux_sym_preproc_undef_token1] = ACTIONS(5557),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5557),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5557),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5557),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5557),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5557),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5557),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5557),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5557),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5557),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5557),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5557),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5557),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5557),
    [anon_sym_API_AVAILABLE] = ACTIONS(5557),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5557),
    [anon_sym_API_DEPRECATED] = ACTIONS(5557),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5557),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5557),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5557),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5557),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5557),
    [anon_sym___deprecated_msg] = ACTIONS(5557),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5557),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5557),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5557),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5557),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5557),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5557),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5557),
    [anon_sym_ATend] = ACTIONS(5559),
    [anon_sym_AToptional] = ACTIONS(5559),
    [anon_sym_ATrequired] = ACTIONS(5559),
    [anon_sym_ATproperty] = ACTIONS(5559),
    [anon_sym_BOOL] = ACTIONS(5557),
    [anon_sym_IMP] = ACTIONS(5557),
    [anon_sym_SEL] = ACTIONS(5557),
    [anon_sym_Class] = ACTIONS(5557),
    [anon_sym_id] = ACTIONS(5557),
  },
  [2278] = {
    [sym_identifier] = ACTIONS(5369),
    [aux_sym_preproc_def_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token2] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5369),
    [sym_preproc_directive] = ACTIONS(5369),
    [anon_sym_DASH] = ACTIONS(5371),
    [anon_sym_PLUS] = ACTIONS(5371),
    [anon_sym_SEMI] = ACTIONS(5578),
    [anon_sym___extension__] = ACTIONS(5369),
    [anon_sym_typedef] = ACTIONS(5369),
    [anon_sym_extern] = ACTIONS(5369),
    [anon_sym___attribute__] = ACTIONS(5369),
    [anon_sym___attribute] = ACTIONS(5369),
    [anon_sym_noreturn] = ACTIONS(5369),
    [anon_sym_LBRACK] = ACTIONS(5371),
    [anon_sym___declspec] = ACTIONS(5369),
    [anon_sym___cdecl] = ACTIONS(5369),
    [anon_sym___clrcall] = ACTIONS(5369),
    [anon_sym___stdcall] = ACTIONS(5369),
    [anon_sym___fastcall] = ACTIONS(5369),
    [anon_sym___thiscall] = ACTIONS(5369),
    [anon_sym___vectorcall] = ACTIONS(5369),
    [anon_sym_signed] = ACTIONS(5369),
    [anon_sym_unsigned] = ACTIONS(5369),
    [anon_sym_long] = ACTIONS(5369),
    [anon_sym_short] = ACTIONS(5369),
    [anon_sym_static] = ACTIONS(5369),
    [anon_sym_auto] = ACTIONS(5369),
    [anon_sym_register] = ACTIONS(5369),
    [anon_sym_inline] = ACTIONS(5369),
    [anon_sym___inline] = ACTIONS(5369),
    [anon_sym___inline__] = ACTIONS(5369),
    [anon_sym___forceinline] = ACTIONS(5369),
    [anon_sym_thread_local] = ACTIONS(5369),
    [anon_sym___thread] = ACTIONS(5369),
    [anon_sym_CG_EXTERN] = ACTIONS(5369),
    [anon_sym_CG_INLINE] = ACTIONS(5369),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5369),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5369),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5369),
    [anon_sym_IBOutlet] = ACTIONS(5369),
    [anon_sym_IBInspectable] = ACTIONS(5369),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5369),
    [anon_sym_NS_INLINE] = ACTIONS(5369),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5369),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5369),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5369),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5369),
    [anon_sym_const] = ACTIONS(5369),
    [anon_sym_constexpr] = ACTIONS(5369),
    [anon_sym_volatile] = ACTIONS(5369),
    [anon_sym_restrict] = ACTIONS(5369),
    [anon_sym___restrict__] = ACTIONS(5369),
    [anon_sym__Atomic] = ACTIONS(5369),
    [anon_sym__Noreturn] = ACTIONS(5369),
    [anon_sym__Nonnull] = ACTIONS(5369),
    [anon_sym_nullable] = ACTIONS(5369),
    [anon_sym__Complex] = ACTIONS(5369),
    [anon_sym__Nullable] = ACTIONS(5369),
    [anon_sym__Nullable_result] = ACTIONS(5369),
    [anon_sym__Null_unspecified] = ACTIONS(5369),
    [anon_sym___autoreleasing] = ACTIONS(5369),
    [anon_sym___block] = ACTIONS(5369),
    [anon_sym___bridge] = ACTIONS(5369),
    [anon_sym___bridge_retained] = ACTIONS(5369),
    [anon_sym___bridge_transfer] = ACTIONS(5369),
    [anon_sym___complex] = ACTIONS(5369),
    [anon_sym___const] = ACTIONS(5369),
    [anon_sym___imag] = ACTIONS(5369),
    [anon_sym___kindof] = ACTIONS(5369),
    [anon_sym___nonnull] = ACTIONS(5369),
    [anon_sym___nullable] = ACTIONS(5369),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5369),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5369),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5369),
    [anon_sym___real] = ACTIONS(5369),
    [anon_sym___strong] = ACTIONS(5369),
    [anon_sym___unsafe_unretained] = ACTIONS(5369),
    [anon_sym___unused] = ACTIONS(5369),
    [anon_sym___weak] = ACTIONS(5369),
    [anon_sym_alignas] = ACTIONS(5369),
    [anon_sym__Alignas] = ACTIONS(5369),
    [sym_primitive_type] = ACTIONS(5369),
    [anon_sym_enum] = ACTIONS(5369),
    [anon_sym_struct] = ACTIONS(5369),
    [anon_sym_union] = ACTIONS(5369),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5369),
    [anon_sym___typeof] = ACTIONS(5369),
    [anon_sym_typeof] = ACTIONS(5369),
    [aux_sym_preproc_undef_token1] = ACTIONS(5369),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5369),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5369),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5369),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5369),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5369),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5369),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5369),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5369),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5369),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5369),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5369),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5369),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5369),
    [anon_sym_API_AVAILABLE] = ACTIONS(5369),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5369),
    [anon_sym_API_DEPRECATED] = ACTIONS(5369),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5369),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5369),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5369),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5369),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5369),
    [anon_sym___deprecated_msg] = ACTIONS(5369),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5369),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5369),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5369),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5369),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5369),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5369),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5369),
    [anon_sym_ATsynthesize] = ACTIONS(5371),
    [anon_sym_ATdynamic] = ACTIONS(5371),
    [anon_sym_BOOL] = ACTIONS(5369),
    [anon_sym_IMP] = ACTIONS(5369),
    [anon_sym_SEL] = ACTIONS(5369),
    [anon_sym_Class] = ACTIONS(5369),
    [anon_sym_id] = ACTIONS(5369),
  },
  [2279] = {
    [sym_identifier] = ACTIONS(2786),
    [aux_sym_preproc_def_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token1] = ACTIONS(2786),
    [aux_sym_preproc_if_token2] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2786),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2786),
    [sym_preproc_directive] = ACTIONS(2786),
    [anon_sym_DASH] = ACTIONS(2788),
    [anon_sym_PLUS] = ACTIONS(2788),
    [anon_sym___extension__] = ACTIONS(2786),
    [anon_sym_typedef] = ACTIONS(2786),
    [anon_sym_extern] = ACTIONS(2786),
    [anon_sym___attribute__] = ACTIONS(2786),
    [anon_sym___attribute] = ACTIONS(2786),
    [anon_sym_noreturn] = ACTIONS(2786),
    [anon_sym_LBRACK] = ACTIONS(2788),
    [anon_sym___declspec] = ACTIONS(2786),
    [anon_sym___cdecl] = ACTIONS(2786),
    [anon_sym___clrcall] = ACTIONS(2786),
    [anon_sym___stdcall] = ACTIONS(2786),
    [anon_sym___fastcall] = ACTIONS(2786),
    [anon_sym___thiscall] = ACTIONS(2786),
    [anon_sym___vectorcall] = ACTIONS(2786),
    [anon_sym_signed] = ACTIONS(2786),
    [anon_sym_unsigned] = ACTIONS(2786),
    [anon_sym_long] = ACTIONS(2786),
    [anon_sym_short] = ACTIONS(2786),
    [anon_sym_static] = ACTIONS(2786),
    [anon_sym_auto] = ACTIONS(2786),
    [anon_sym_register] = ACTIONS(2786),
    [anon_sym_inline] = ACTIONS(2786),
    [anon_sym___inline] = ACTIONS(2786),
    [anon_sym___inline__] = ACTIONS(2786),
    [anon_sym___forceinline] = ACTIONS(2786),
    [anon_sym_thread_local] = ACTIONS(2786),
    [anon_sym___thread] = ACTIONS(2786),
    [anon_sym_CG_EXTERN] = ACTIONS(2786),
    [anon_sym_CG_INLINE] = ACTIONS(2786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2786),
    [anon_sym_IBOutlet] = ACTIONS(2786),
    [anon_sym_IBInspectable] = ACTIONS(2786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2786),
    [anon_sym_NS_INLINE] = ACTIONS(2786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2786),
    [anon_sym_const] = ACTIONS(2786),
    [anon_sym_constexpr] = ACTIONS(2786),
    [anon_sym_volatile] = ACTIONS(2786),
    [anon_sym_restrict] = ACTIONS(2786),
    [anon_sym___restrict__] = ACTIONS(2786),
    [anon_sym__Atomic] = ACTIONS(2786),
    [anon_sym__Noreturn] = ACTIONS(2786),
    [anon_sym__Nonnull] = ACTIONS(2786),
    [anon_sym_nullable] = ACTIONS(2786),
    [anon_sym__Complex] = ACTIONS(2786),
    [anon_sym__Nullable] = ACTIONS(2786),
    [anon_sym__Nullable_result] = ACTIONS(2786),
    [anon_sym__Null_unspecified] = ACTIONS(2786),
    [anon_sym___autoreleasing] = ACTIONS(2786),
    [anon_sym___block] = ACTIONS(2786),
    [anon_sym___bridge] = ACTIONS(2786),
    [anon_sym___bridge_retained] = ACTIONS(2786),
    [anon_sym___bridge_transfer] = ACTIONS(2786),
    [anon_sym___complex] = ACTIONS(2786),
    [anon_sym___const] = ACTIONS(2786),
    [anon_sym___imag] = ACTIONS(2786),
    [anon_sym___kindof] = ACTIONS(2786),
    [anon_sym___nonnull] = ACTIONS(2786),
    [anon_sym___nullable] = ACTIONS(2786),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2786),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2786),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2786),
    [anon_sym___real] = ACTIONS(2786),
    [anon_sym___strong] = ACTIONS(2786),
    [anon_sym___unsafe_unretained] = ACTIONS(2786),
    [anon_sym___unused] = ACTIONS(2786),
    [anon_sym___weak] = ACTIONS(2786),
    [anon_sym_alignas] = ACTIONS(2786),
    [anon_sym__Alignas] = ACTIONS(2786),
    [sym_primitive_type] = ACTIONS(2786),
    [anon_sym_enum] = ACTIONS(2786),
    [anon_sym_struct] = ACTIONS(2786),
    [anon_sym_union] = ACTIONS(2786),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2786),
    [anon_sym___typeof] = ACTIONS(2786),
    [anon_sym_typeof] = ACTIONS(2786),
    [aux_sym_preproc_undef_token1] = ACTIONS(2786),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2786),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2786),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2786),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2786),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2786),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2786),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2786),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2786),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2786),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_API_AVAILABLE] = ACTIONS(2786),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_API_DEPRECATED] = ACTIONS(2786),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2786),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2786),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2786),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2786),
    [anon_sym___deprecated_msg] = ACTIONS(2786),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2786),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2786),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2786),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2786),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2786),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2786),
    [anon_sym_ATsynthesize] = ACTIONS(2788),
    [anon_sym_ATdynamic] = ACTIONS(2788),
    [anon_sym_ATproperty] = ACTIONS(2788),
    [anon_sym_BOOL] = ACTIONS(2786),
    [anon_sym_IMP] = ACTIONS(2786),
    [anon_sym_SEL] = ACTIONS(2786),
    [anon_sym_Class] = ACTIONS(2786),
    [anon_sym_id] = ACTIONS(2786),
  },
  [2280] = {
    [sym_identifier] = ACTIONS(5308),
    [aux_sym_preproc_def_token1] = ACTIONS(5308),
    [aux_sym_preproc_if_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5308),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5308),
    [sym_preproc_directive] = ACTIONS(5308),
    [anon_sym_DASH] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(5312),
    [anon_sym___extension__] = ACTIONS(5308),
    [anon_sym_typedef] = ACTIONS(5308),
    [anon_sym_extern] = ACTIONS(5308),
    [anon_sym___attribute__] = ACTIONS(5308),
    [anon_sym___attribute] = ACTIONS(5308),
    [anon_sym_noreturn] = ACTIONS(5308),
    [anon_sym_LBRACK] = ACTIONS(5312),
    [anon_sym___declspec] = ACTIONS(5308),
    [anon_sym___cdecl] = ACTIONS(5308),
    [anon_sym___clrcall] = ACTIONS(5308),
    [anon_sym___stdcall] = ACTIONS(5308),
    [anon_sym___fastcall] = ACTIONS(5308),
    [anon_sym___thiscall] = ACTIONS(5308),
    [anon_sym___vectorcall] = ACTIONS(5308),
    [anon_sym_LBRACE] = ACTIONS(5312),
    [anon_sym_signed] = ACTIONS(5308),
    [anon_sym_unsigned] = ACTIONS(5308),
    [anon_sym_long] = ACTIONS(5308),
    [anon_sym_short] = ACTIONS(5308),
    [anon_sym_static] = ACTIONS(5308),
    [anon_sym_auto] = ACTIONS(5308),
    [anon_sym_register] = ACTIONS(5308),
    [anon_sym_inline] = ACTIONS(5308),
    [anon_sym___inline] = ACTIONS(5308),
    [anon_sym___inline__] = ACTIONS(5308),
    [anon_sym___forceinline] = ACTIONS(5308),
    [anon_sym_thread_local] = ACTIONS(5308),
    [anon_sym___thread] = ACTIONS(5308),
    [anon_sym_CG_EXTERN] = ACTIONS(5308),
    [anon_sym_CG_INLINE] = ACTIONS(5308),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5308),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5308),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5308),
    [anon_sym_IBOutlet] = ACTIONS(5308),
    [anon_sym_IBInspectable] = ACTIONS(5308),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5308),
    [anon_sym_NS_INLINE] = ACTIONS(5308),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5308),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5308),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5308),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5308),
    [anon_sym_const] = ACTIONS(5308),
    [anon_sym_constexpr] = ACTIONS(5308),
    [anon_sym_volatile] = ACTIONS(5308),
    [anon_sym_restrict] = ACTIONS(5308),
    [anon_sym___restrict__] = ACTIONS(5308),
    [anon_sym__Atomic] = ACTIONS(5308),
    [anon_sym__Noreturn] = ACTIONS(5308),
    [anon_sym__Nonnull] = ACTIONS(5308),
    [anon_sym_nullable] = ACTIONS(5308),
    [anon_sym__Complex] = ACTIONS(5308),
    [anon_sym__Nullable] = ACTIONS(5308),
    [anon_sym__Nullable_result] = ACTIONS(5308),
    [anon_sym__Null_unspecified] = ACTIONS(5308),
    [anon_sym___autoreleasing] = ACTIONS(5308),
    [anon_sym___block] = ACTIONS(5308),
    [anon_sym___bridge] = ACTIONS(5308),
    [anon_sym___bridge_retained] = ACTIONS(5308),
    [anon_sym___bridge_transfer] = ACTIONS(5308),
    [anon_sym___complex] = ACTIONS(5308),
    [anon_sym___const] = ACTIONS(5308),
    [anon_sym___imag] = ACTIONS(5308),
    [anon_sym___kindof] = ACTIONS(5308),
    [anon_sym___nonnull] = ACTIONS(5308),
    [anon_sym___nullable] = ACTIONS(5308),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5308),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5308),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5308),
    [anon_sym___real] = ACTIONS(5308),
    [anon_sym___strong] = ACTIONS(5308),
    [anon_sym___unsafe_unretained] = ACTIONS(5308),
    [anon_sym___unused] = ACTIONS(5308),
    [anon_sym___weak] = ACTIONS(5308),
    [anon_sym_alignas] = ACTIONS(5308),
    [anon_sym__Alignas] = ACTIONS(5308),
    [sym_primitive_type] = ACTIONS(5308),
    [anon_sym_enum] = ACTIONS(5308),
    [anon_sym_struct] = ACTIONS(5308),
    [anon_sym_union] = ACTIONS(5308),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5308),
    [anon_sym___typeof] = ACTIONS(5308),
    [anon_sym_typeof] = ACTIONS(5308),
    [aux_sym_preproc_undef_token1] = ACTIONS(5308),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5308),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5308),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5308),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5308),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5308),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5308),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5308),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5308),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5308),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5308),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5308),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5308),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5308),
    [anon_sym_API_AVAILABLE] = ACTIONS(5308),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5308),
    [anon_sym_API_DEPRECATED] = ACTIONS(5308),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5308),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5308),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5308),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5308),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5308),
    [anon_sym___deprecated_msg] = ACTIONS(5308),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5308),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5308),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5308),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5308),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5308),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5308),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5308),
    [anon_sym_ATend] = ACTIONS(5312),
    [anon_sym_ATsynthesize] = ACTIONS(5312),
    [anon_sym_ATdynamic] = ACTIONS(5312),
    [anon_sym_BOOL] = ACTIONS(5308),
    [anon_sym_IMP] = ACTIONS(5308),
    [anon_sym_SEL] = ACTIONS(5308),
    [anon_sym_Class] = ACTIONS(5308),
    [anon_sym_id] = ACTIONS(5308),
  },
  [2281] = {
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token2] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym___attribute] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_auto] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_CG_EXTERN] = ACTIONS(2568),
    [anon_sym_CG_INLINE] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2568),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2568),
    [anon_sym_IBOutlet] = ACTIONS(2568),
    [anon_sym_IBInspectable] = ACTIONS(2568),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2568),
    [anon_sym_NS_INLINE] = ACTIONS(2568),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2568),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2568),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym__Nonnull] = ACTIONS(2568),
    [anon_sym_nullable] = ACTIONS(2568),
    [anon_sym__Complex] = ACTIONS(2568),
    [anon_sym__Nullable] = ACTIONS(2568),
    [anon_sym__Nullable_result] = ACTIONS(2568),
    [anon_sym__Null_unspecified] = ACTIONS(2568),
    [anon_sym___autoreleasing] = ACTIONS(2568),
    [anon_sym___block] = ACTIONS(2568),
    [anon_sym___bridge] = ACTIONS(2568),
    [anon_sym___bridge_retained] = ACTIONS(2568),
    [anon_sym___bridge_transfer] = ACTIONS(2568),
    [anon_sym___complex] = ACTIONS(2568),
    [anon_sym___const] = ACTIONS(2568),
    [anon_sym___imag] = ACTIONS(2568),
    [anon_sym___kindof] = ACTIONS(2568),
    [anon_sym___nonnull] = ACTIONS(2568),
    [anon_sym___nullable] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2568),
    [anon_sym___real] = ACTIONS(2568),
    [anon_sym___strong] = ACTIONS(2568),
    [anon_sym___unsafe_unretained] = ACTIONS(2568),
    [anon_sym___unused] = ACTIONS(2568),
    [anon_sym___weak] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2568),
    [anon_sym___typeof] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(2568),
    [aux_sym_preproc_undef_token1] = ACTIONS(2568),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2568),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2568),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2568),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_API_AVAILABLE] = ACTIONS(2568),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_API_DEPRECATED] = ACTIONS(2568),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym___deprecated_msg] = ACTIONS(2568),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2568),
    [anon_sym_ATsynthesize] = ACTIONS(2570),
    [anon_sym_ATdynamic] = ACTIONS(2570),
    [anon_sym_ATproperty] = ACTIONS(2570),
    [anon_sym_BOOL] = ACTIONS(2568),
    [anon_sym_IMP] = ACTIONS(2568),
    [anon_sym_SEL] = ACTIONS(2568),
    [anon_sym_Class] = ACTIONS(2568),
    [anon_sym_id] = ACTIONS(2568),
  },
  [2282] = {
    [aux_sym_method_declaration_repeat2] = STATE(2271),
    [sym_identifier] = ACTIONS(5375),
    [aux_sym_preproc_def_token1] = ACTIONS(5375),
    [aux_sym_preproc_if_token1] = ACTIONS(5375),
    [aux_sym_preproc_if_token2] = ACTIONS(5375),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5375),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5375),
    [sym_preproc_directive] = ACTIONS(5375),
    [anon_sym_DASH] = ACTIONS(5377),
    [anon_sym_PLUS] = ACTIONS(5377),
    [anon_sym_SEMI] = ACTIONS(5549),
    [anon_sym___extension__] = ACTIONS(5375),
    [anon_sym_typedef] = ACTIONS(5375),
    [anon_sym_extern] = ACTIONS(5375),
    [anon_sym___attribute__] = ACTIONS(5375),
    [anon_sym___attribute] = ACTIONS(5375),
    [anon_sym_noreturn] = ACTIONS(5375),
    [anon_sym_LBRACK] = ACTIONS(5377),
    [anon_sym___declspec] = ACTIONS(5375),
    [anon_sym___cdecl] = ACTIONS(5375),
    [anon_sym___clrcall] = ACTIONS(5375),
    [anon_sym___stdcall] = ACTIONS(5375),
    [anon_sym___fastcall] = ACTIONS(5375),
    [anon_sym___thiscall] = ACTIONS(5375),
    [anon_sym___vectorcall] = ACTIONS(5375),
    [anon_sym_signed] = ACTIONS(5375),
    [anon_sym_unsigned] = ACTIONS(5375),
    [anon_sym_long] = ACTIONS(5375),
    [anon_sym_short] = ACTIONS(5375),
    [anon_sym_static] = ACTIONS(5375),
    [anon_sym_auto] = ACTIONS(5375),
    [anon_sym_register] = ACTIONS(5375),
    [anon_sym_inline] = ACTIONS(5375),
    [anon_sym___inline] = ACTIONS(5375),
    [anon_sym___inline__] = ACTIONS(5375),
    [anon_sym___forceinline] = ACTIONS(5375),
    [anon_sym_thread_local] = ACTIONS(5375),
    [anon_sym___thread] = ACTIONS(5375),
    [anon_sym_CG_EXTERN] = ACTIONS(5375),
    [anon_sym_CG_INLINE] = ACTIONS(5375),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5375),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5375),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5375),
    [anon_sym_IBOutlet] = ACTIONS(5375),
    [anon_sym_IBInspectable] = ACTIONS(5375),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5375),
    [anon_sym_NS_INLINE] = ACTIONS(5375),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5375),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5375),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5375),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5375),
    [anon_sym_const] = ACTIONS(5375),
    [anon_sym_constexpr] = ACTIONS(5375),
    [anon_sym_volatile] = ACTIONS(5375),
    [anon_sym_restrict] = ACTIONS(5375),
    [anon_sym___restrict__] = ACTIONS(5375),
    [anon_sym__Atomic] = ACTIONS(5375),
    [anon_sym__Noreturn] = ACTIONS(5375),
    [anon_sym__Nonnull] = ACTIONS(5375),
    [anon_sym_nullable] = ACTIONS(5375),
    [anon_sym__Complex] = ACTIONS(5375),
    [anon_sym__Nullable] = ACTIONS(5375),
    [anon_sym__Nullable_result] = ACTIONS(5375),
    [anon_sym__Null_unspecified] = ACTIONS(5375),
    [anon_sym___autoreleasing] = ACTIONS(5375),
    [anon_sym___block] = ACTIONS(5375),
    [anon_sym___bridge] = ACTIONS(5375),
    [anon_sym___bridge_retained] = ACTIONS(5375),
    [anon_sym___bridge_transfer] = ACTIONS(5375),
    [anon_sym___complex] = ACTIONS(5375),
    [anon_sym___const] = ACTIONS(5375),
    [anon_sym___imag] = ACTIONS(5375),
    [anon_sym___kindof] = ACTIONS(5375),
    [anon_sym___nonnull] = ACTIONS(5375),
    [anon_sym___nullable] = ACTIONS(5375),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5375),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5375),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5375),
    [anon_sym___real] = ACTIONS(5375),
    [anon_sym___strong] = ACTIONS(5375),
    [anon_sym___unsafe_unretained] = ACTIONS(5375),
    [anon_sym___unused] = ACTIONS(5375),
    [anon_sym___weak] = ACTIONS(5375),
    [anon_sym_alignas] = ACTIONS(5375),
    [anon_sym__Alignas] = ACTIONS(5375),
    [sym_primitive_type] = ACTIONS(5375),
    [anon_sym_enum] = ACTIONS(5375),
    [anon_sym_struct] = ACTIONS(5375),
    [anon_sym_union] = ACTIONS(5375),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5375),
    [anon_sym___typeof] = ACTIONS(5375),
    [anon_sym_typeof] = ACTIONS(5375),
    [aux_sym_preproc_undef_token1] = ACTIONS(5375),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5375),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5375),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5375),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5375),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5375),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5375),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5375),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5375),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5375),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5375),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5375),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5375),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5375),
    [anon_sym_API_AVAILABLE] = ACTIONS(5375),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5375),
    [anon_sym_API_DEPRECATED] = ACTIONS(5375),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5375),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5375),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5375),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5375),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5375),
    [anon_sym___deprecated_msg] = ACTIONS(5375),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5375),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5375),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5375),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5375),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5375),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5375),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5375),
    [anon_sym_ATproperty] = ACTIONS(5377),
    [anon_sym_BOOL] = ACTIONS(5375),
    [anon_sym_IMP] = ACTIONS(5375),
    [anon_sym_SEL] = ACTIONS(5375),
    [anon_sym_Class] = ACTIONS(5375),
    [anon_sym_id] = ACTIONS(5375),
  },
  [2283] = {
    [sym_identifier] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token2] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [aux_sym_preproc_else_token1] = ACTIONS(5570),
    [aux_sym_preproc_elif_token1] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym___extension__] = ACTIONS(5570),
    [anon_sym_typedef] = ACTIONS(5570),
    [anon_sym_extern] = ACTIONS(5570),
    [anon_sym___attribute__] = ACTIONS(5570),
    [anon_sym___attribute] = ACTIONS(5570),
    [anon_sym_noreturn] = ACTIONS(5570),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [anon_sym___declspec] = ACTIONS(5570),
    [anon_sym___cdecl] = ACTIONS(5570),
    [anon_sym___clrcall] = ACTIONS(5570),
    [anon_sym___stdcall] = ACTIONS(5570),
    [anon_sym___fastcall] = ACTIONS(5570),
    [anon_sym___thiscall] = ACTIONS(5570),
    [anon_sym___vectorcall] = ACTIONS(5570),
    [anon_sym_signed] = ACTIONS(5570),
    [anon_sym_unsigned] = ACTIONS(5570),
    [anon_sym_long] = ACTIONS(5570),
    [anon_sym_short] = ACTIONS(5570),
    [anon_sym_static] = ACTIONS(5570),
    [anon_sym_auto] = ACTIONS(5570),
    [anon_sym_register] = ACTIONS(5570),
    [anon_sym_inline] = ACTIONS(5570),
    [anon_sym___inline] = ACTIONS(5570),
    [anon_sym___inline__] = ACTIONS(5570),
    [anon_sym___forceinline] = ACTIONS(5570),
    [anon_sym_thread_local] = ACTIONS(5570),
    [anon_sym___thread] = ACTIONS(5570),
    [anon_sym_CG_EXTERN] = ACTIONS(5570),
    [anon_sym_CG_INLINE] = ACTIONS(5570),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5570),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5570),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5570),
    [anon_sym_IBOutlet] = ACTIONS(5570),
    [anon_sym_IBInspectable] = ACTIONS(5570),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5570),
    [anon_sym_NS_INLINE] = ACTIONS(5570),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5570),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5570),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5570),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5570),
    [anon_sym_const] = ACTIONS(5570),
    [anon_sym_constexpr] = ACTIONS(5570),
    [anon_sym_volatile] = ACTIONS(5570),
    [anon_sym_restrict] = ACTIONS(5570),
    [anon_sym___restrict__] = ACTIONS(5570),
    [anon_sym__Atomic] = ACTIONS(5570),
    [anon_sym__Noreturn] = ACTIONS(5570),
    [anon_sym__Nonnull] = ACTIONS(5570),
    [anon_sym_nullable] = ACTIONS(5570),
    [anon_sym__Complex] = ACTIONS(5570),
    [anon_sym__Nullable] = ACTIONS(5570),
    [anon_sym__Nullable_result] = ACTIONS(5570),
    [anon_sym__Null_unspecified] = ACTIONS(5570),
    [anon_sym___autoreleasing] = ACTIONS(5570),
    [anon_sym___block] = ACTIONS(5570),
    [anon_sym___bridge] = ACTIONS(5570),
    [anon_sym___bridge_retained] = ACTIONS(5570),
    [anon_sym___bridge_transfer] = ACTIONS(5570),
    [anon_sym___complex] = ACTIONS(5570),
    [anon_sym___const] = ACTIONS(5570),
    [anon_sym___imag] = ACTIONS(5570),
    [anon_sym___kindof] = ACTIONS(5570),
    [anon_sym___nonnull] = ACTIONS(5570),
    [anon_sym___nullable] = ACTIONS(5570),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5570),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5570),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5570),
    [anon_sym___real] = ACTIONS(5570),
    [anon_sym___strong] = ACTIONS(5570),
    [anon_sym___unsafe_unretained] = ACTIONS(5570),
    [anon_sym___unused] = ACTIONS(5570),
    [anon_sym___weak] = ACTIONS(5570),
    [anon_sym_alignas] = ACTIONS(5570),
    [anon_sym__Alignas] = ACTIONS(5570),
    [sym_primitive_type] = ACTIONS(5570),
    [anon_sym_enum] = ACTIONS(5570),
    [anon_sym_struct] = ACTIONS(5570),
    [anon_sym_union] = ACTIONS(5570),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5570),
    [anon_sym___typeof] = ACTIONS(5570),
    [anon_sym_typeof] = ACTIONS(5570),
    [aux_sym_preproc_undef_token1] = ACTIONS(5570),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5570),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5570),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5570),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5570),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5570),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5570),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5570),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5570),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5570),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5570),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5570),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5570),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5570),
    [anon_sym_API_AVAILABLE] = ACTIONS(5570),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5570),
    [anon_sym_API_DEPRECATED] = ACTIONS(5570),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5570),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5570),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5570),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5570),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5570),
    [anon_sym___deprecated_msg] = ACTIONS(5570),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5570),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5570),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5570),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5570),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5570),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5570),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5570),
    [anon_sym_ATproperty] = ACTIONS(5572),
    [anon_sym_BOOL] = ACTIONS(5570),
    [anon_sym_IMP] = ACTIONS(5570),
    [anon_sym_SEL] = ACTIONS(5570),
    [anon_sym_Class] = ACTIONS(5570),
    [anon_sym_id] = ACTIONS(5570),
  },
  [2284] = {
    [sym_identifier] = ACTIONS(5379),
    [aux_sym_preproc_def_token1] = ACTIONS(5379),
    [aux_sym_preproc_if_token1] = ACTIONS(5379),
    [aux_sym_preproc_if_token2] = ACTIONS(5379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5379),
    [sym_preproc_directive] = ACTIONS(5379),
    [anon_sym_DASH] = ACTIONS(5381),
    [anon_sym_PLUS] = ACTIONS(5381),
    [anon_sym_SEMI] = ACTIONS(5580),
    [anon_sym___extension__] = ACTIONS(5379),
    [anon_sym_typedef] = ACTIONS(5379),
    [anon_sym_extern] = ACTIONS(5379),
    [anon_sym___attribute__] = ACTIONS(5379),
    [anon_sym___attribute] = ACTIONS(5379),
    [anon_sym_noreturn] = ACTIONS(5379),
    [anon_sym_LBRACK] = ACTIONS(5381),
    [anon_sym___declspec] = ACTIONS(5379),
    [anon_sym___cdecl] = ACTIONS(5379),
    [anon_sym___clrcall] = ACTIONS(5379),
    [anon_sym___stdcall] = ACTIONS(5379),
    [anon_sym___fastcall] = ACTIONS(5379),
    [anon_sym___thiscall] = ACTIONS(5379),
    [anon_sym___vectorcall] = ACTIONS(5379),
    [anon_sym_signed] = ACTIONS(5379),
    [anon_sym_unsigned] = ACTIONS(5379),
    [anon_sym_long] = ACTIONS(5379),
    [anon_sym_short] = ACTIONS(5379),
    [anon_sym_static] = ACTIONS(5379),
    [anon_sym_auto] = ACTIONS(5379),
    [anon_sym_register] = ACTIONS(5379),
    [anon_sym_inline] = ACTIONS(5379),
    [anon_sym___inline] = ACTIONS(5379),
    [anon_sym___inline__] = ACTIONS(5379),
    [anon_sym___forceinline] = ACTIONS(5379),
    [anon_sym_thread_local] = ACTIONS(5379),
    [anon_sym___thread] = ACTIONS(5379),
    [anon_sym_CG_EXTERN] = ACTIONS(5379),
    [anon_sym_CG_INLINE] = ACTIONS(5379),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5379),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5379),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5379),
    [anon_sym_IBOutlet] = ACTIONS(5379),
    [anon_sym_IBInspectable] = ACTIONS(5379),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5379),
    [anon_sym_NS_INLINE] = ACTIONS(5379),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5379),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5379),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5379),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5379),
    [anon_sym_const] = ACTIONS(5379),
    [anon_sym_constexpr] = ACTIONS(5379),
    [anon_sym_volatile] = ACTIONS(5379),
    [anon_sym_restrict] = ACTIONS(5379),
    [anon_sym___restrict__] = ACTIONS(5379),
    [anon_sym__Atomic] = ACTIONS(5379),
    [anon_sym__Noreturn] = ACTIONS(5379),
    [anon_sym__Nonnull] = ACTIONS(5379),
    [anon_sym_nullable] = ACTIONS(5379),
    [anon_sym__Complex] = ACTIONS(5379),
    [anon_sym__Nullable] = ACTIONS(5379),
    [anon_sym__Nullable_result] = ACTIONS(5379),
    [anon_sym__Null_unspecified] = ACTIONS(5379),
    [anon_sym___autoreleasing] = ACTIONS(5379),
    [anon_sym___block] = ACTIONS(5379),
    [anon_sym___bridge] = ACTIONS(5379),
    [anon_sym___bridge_retained] = ACTIONS(5379),
    [anon_sym___bridge_transfer] = ACTIONS(5379),
    [anon_sym___complex] = ACTIONS(5379),
    [anon_sym___const] = ACTIONS(5379),
    [anon_sym___imag] = ACTIONS(5379),
    [anon_sym___kindof] = ACTIONS(5379),
    [anon_sym___nonnull] = ACTIONS(5379),
    [anon_sym___nullable] = ACTIONS(5379),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5379),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5379),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5379),
    [anon_sym___real] = ACTIONS(5379),
    [anon_sym___strong] = ACTIONS(5379),
    [anon_sym___unsafe_unretained] = ACTIONS(5379),
    [anon_sym___unused] = ACTIONS(5379),
    [anon_sym___weak] = ACTIONS(5379),
    [anon_sym_alignas] = ACTIONS(5379),
    [anon_sym__Alignas] = ACTIONS(5379),
    [sym_primitive_type] = ACTIONS(5379),
    [anon_sym_enum] = ACTIONS(5379),
    [anon_sym_struct] = ACTIONS(5379),
    [anon_sym_union] = ACTIONS(5379),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5379),
    [anon_sym___typeof] = ACTIONS(5379),
    [anon_sym_typeof] = ACTIONS(5379),
    [aux_sym_preproc_undef_token1] = ACTIONS(5379),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5379),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5379),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5379),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5379),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5379),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5379),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5379),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5379),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5379),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5379),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5379),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5379),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5379),
    [anon_sym_API_AVAILABLE] = ACTIONS(5379),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5379),
    [anon_sym_API_DEPRECATED] = ACTIONS(5379),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5379),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5379),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5379),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5379),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5379),
    [anon_sym___deprecated_msg] = ACTIONS(5379),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5379),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5379),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5379),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5379),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5379),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5379),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5379),
    [anon_sym_ATsynthesize] = ACTIONS(5381),
    [anon_sym_ATdynamic] = ACTIONS(5381),
    [anon_sym_BOOL] = ACTIONS(5379),
    [anon_sym_IMP] = ACTIONS(5379),
    [anon_sym_SEL] = ACTIONS(5379),
    [anon_sym_Class] = ACTIONS(5379),
    [anon_sym_id] = ACTIONS(5379),
  },
  [2285] = {
    [sym_identifier] = ACTIONS(5353),
    [aux_sym_preproc_def_token1] = ACTIONS(5353),
    [aux_sym_preproc_if_token1] = ACTIONS(5353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5353),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5353),
    [sym_preproc_directive] = ACTIONS(5353),
    [anon_sym_DASH] = ACTIONS(5355),
    [anon_sym_PLUS] = ACTIONS(5355),
    [anon_sym_SEMI] = ACTIONS(5582),
    [anon_sym___extension__] = ACTIONS(5353),
    [anon_sym_typedef] = ACTIONS(5353),
    [anon_sym_extern] = ACTIONS(5353),
    [anon_sym___attribute__] = ACTIONS(5353),
    [anon_sym___attribute] = ACTIONS(5353),
    [anon_sym_noreturn] = ACTIONS(5353),
    [anon_sym_LBRACK] = ACTIONS(5355),
    [anon_sym___declspec] = ACTIONS(5353),
    [anon_sym___cdecl] = ACTIONS(5353),
    [anon_sym___clrcall] = ACTIONS(5353),
    [anon_sym___stdcall] = ACTIONS(5353),
    [anon_sym___fastcall] = ACTIONS(5353),
    [anon_sym___thiscall] = ACTIONS(5353),
    [anon_sym___vectorcall] = ACTIONS(5353),
    [anon_sym_signed] = ACTIONS(5353),
    [anon_sym_unsigned] = ACTIONS(5353),
    [anon_sym_long] = ACTIONS(5353),
    [anon_sym_short] = ACTIONS(5353),
    [anon_sym_static] = ACTIONS(5353),
    [anon_sym_auto] = ACTIONS(5353),
    [anon_sym_register] = ACTIONS(5353),
    [anon_sym_inline] = ACTIONS(5353),
    [anon_sym___inline] = ACTIONS(5353),
    [anon_sym___inline__] = ACTIONS(5353),
    [anon_sym___forceinline] = ACTIONS(5353),
    [anon_sym_thread_local] = ACTIONS(5353),
    [anon_sym___thread] = ACTIONS(5353),
    [anon_sym_CG_EXTERN] = ACTIONS(5353),
    [anon_sym_CG_INLINE] = ACTIONS(5353),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5353),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5353),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5353),
    [anon_sym_IBOutlet] = ACTIONS(5353),
    [anon_sym_IBInspectable] = ACTIONS(5353),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5353),
    [anon_sym_NS_INLINE] = ACTIONS(5353),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5353),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5353),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5353),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5353),
    [anon_sym_const] = ACTIONS(5353),
    [anon_sym_constexpr] = ACTIONS(5353),
    [anon_sym_volatile] = ACTIONS(5353),
    [anon_sym_restrict] = ACTIONS(5353),
    [anon_sym___restrict__] = ACTIONS(5353),
    [anon_sym__Atomic] = ACTIONS(5353),
    [anon_sym__Noreturn] = ACTIONS(5353),
    [anon_sym__Nonnull] = ACTIONS(5353),
    [anon_sym_nullable] = ACTIONS(5353),
    [anon_sym__Complex] = ACTIONS(5353),
    [anon_sym__Nullable] = ACTIONS(5353),
    [anon_sym__Nullable_result] = ACTIONS(5353),
    [anon_sym__Null_unspecified] = ACTIONS(5353),
    [anon_sym___autoreleasing] = ACTIONS(5353),
    [anon_sym___block] = ACTIONS(5353),
    [anon_sym___bridge] = ACTIONS(5353),
    [anon_sym___bridge_retained] = ACTIONS(5353),
    [anon_sym___bridge_transfer] = ACTIONS(5353),
    [anon_sym___complex] = ACTIONS(5353),
    [anon_sym___const] = ACTIONS(5353),
    [anon_sym___imag] = ACTIONS(5353),
    [anon_sym___kindof] = ACTIONS(5353),
    [anon_sym___nonnull] = ACTIONS(5353),
    [anon_sym___nullable] = ACTIONS(5353),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5353),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5353),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5353),
    [anon_sym___real] = ACTIONS(5353),
    [anon_sym___strong] = ACTIONS(5353),
    [anon_sym___unsafe_unretained] = ACTIONS(5353),
    [anon_sym___unused] = ACTIONS(5353),
    [anon_sym___weak] = ACTIONS(5353),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_primitive_type] = ACTIONS(5353),
    [anon_sym_enum] = ACTIONS(5353),
    [anon_sym_struct] = ACTIONS(5353),
    [anon_sym_union] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5353),
    [anon_sym___typeof] = ACTIONS(5353),
    [anon_sym_typeof] = ACTIONS(5353),
    [aux_sym_preproc_undef_token1] = ACTIONS(5353),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5353),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5353),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5353),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5353),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5353),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5353),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5353),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5353),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5353),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5353),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5353),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5353),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5353),
    [anon_sym_API_AVAILABLE] = ACTIONS(5353),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5353),
    [anon_sym_API_DEPRECATED] = ACTIONS(5353),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5353),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5353),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5353),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5353),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5353),
    [anon_sym___deprecated_msg] = ACTIONS(5353),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5353),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5353),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5353),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5353),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5353),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5353),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5353),
    [anon_sym_ATend] = ACTIONS(5355),
    [anon_sym_ATsynthesize] = ACTIONS(5355),
    [anon_sym_ATdynamic] = ACTIONS(5355),
    [anon_sym_BOOL] = ACTIONS(5353),
    [anon_sym_IMP] = ACTIONS(5353),
    [anon_sym_SEL] = ACTIONS(5353),
    [anon_sym_Class] = ACTIONS(5353),
    [anon_sym_id] = ACTIONS(5353),
  },
  [2286] = {
    [sym_identifier] = ACTIONS(5379),
    [aux_sym_preproc_def_token1] = ACTIONS(5379),
    [aux_sym_preproc_if_token1] = ACTIONS(5379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5379),
    [sym_preproc_directive] = ACTIONS(5379),
    [anon_sym_DASH] = ACTIONS(5381),
    [anon_sym_PLUS] = ACTIONS(5381),
    [anon_sym_SEMI] = ACTIONS(5584),
    [anon_sym___extension__] = ACTIONS(5379),
    [anon_sym_typedef] = ACTIONS(5379),
    [anon_sym_extern] = ACTIONS(5379),
    [anon_sym___attribute__] = ACTIONS(5379),
    [anon_sym___attribute] = ACTIONS(5379),
    [anon_sym_noreturn] = ACTIONS(5379),
    [anon_sym_LBRACK] = ACTIONS(5381),
    [anon_sym___declspec] = ACTIONS(5379),
    [anon_sym___cdecl] = ACTIONS(5379),
    [anon_sym___clrcall] = ACTIONS(5379),
    [anon_sym___stdcall] = ACTIONS(5379),
    [anon_sym___fastcall] = ACTIONS(5379),
    [anon_sym___thiscall] = ACTIONS(5379),
    [anon_sym___vectorcall] = ACTIONS(5379),
    [anon_sym_signed] = ACTIONS(5379),
    [anon_sym_unsigned] = ACTIONS(5379),
    [anon_sym_long] = ACTIONS(5379),
    [anon_sym_short] = ACTIONS(5379),
    [anon_sym_static] = ACTIONS(5379),
    [anon_sym_auto] = ACTIONS(5379),
    [anon_sym_register] = ACTIONS(5379),
    [anon_sym_inline] = ACTIONS(5379),
    [anon_sym___inline] = ACTIONS(5379),
    [anon_sym___inline__] = ACTIONS(5379),
    [anon_sym___forceinline] = ACTIONS(5379),
    [anon_sym_thread_local] = ACTIONS(5379),
    [anon_sym___thread] = ACTIONS(5379),
    [anon_sym_CG_EXTERN] = ACTIONS(5379),
    [anon_sym_CG_INLINE] = ACTIONS(5379),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5379),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5379),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5379),
    [anon_sym_IBOutlet] = ACTIONS(5379),
    [anon_sym_IBInspectable] = ACTIONS(5379),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5379),
    [anon_sym_NS_INLINE] = ACTIONS(5379),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5379),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5379),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5379),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5379),
    [anon_sym_const] = ACTIONS(5379),
    [anon_sym_constexpr] = ACTIONS(5379),
    [anon_sym_volatile] = ACTIONS(5379),
    [anon_sym_restrict] = ACTIONS(5379),
    [anon_sym___restrict__] = ACTIONS(5379),
    [anon_sym__Atomic] = ACTIONS(5379),
    [anon_sym__Noreturn] = ACTIONS(5379),
    [anon_sym__Nonnull] = ACTIONS(5379),
    [anon_sym_nullable] = ACTIONS(5379),
    [anon_sym__Complex] = ACTIONS(5379),
    [anon_sym__Nullable] = ACTIONS(5379),
    [anon_sym__Nullable_result] = ACTIONS(5379),
    [anon_sym__Null_unspecified] = ACTIONS(5379),
    [anon_sym___autoreleasing] = ACTIONS(5379),
    [anon_sym___block] = ACTIONS(5379),
    [anon_sym___bridge] = ACTIONS(5379),
    [anon_sym___bridge_retained] = ACTIONS(5379),
    [anon_sym___bridge_transfer] = ACTIONS(5379),
    [anon_sym___complex] = ACTIONS(5379),
    [anon_sym___const] = ACTIONS(5379),
    [anon_sym___imag] = ACTIONS(5379),
    [anon_sym___kindof] = ACTIONS(5379),
    [anon_sym___nonnull] = ACTIONS(5379),
    [anon_sym___nullable] = ACTIONS(5379),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5379),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5379),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5379),
    [anon_sym___real] = ACTIONS(5379),
    [anon_sym___strong] = ACTIONS(5379),
    [anon_sym___unsafe_unretained] = ACTIONS(5379),
    [anon_sym___unused] = ACTIONS(5379),
    [anon_sym___weak] = ACTIONS(5379),
    [anon_sym_alignas] = ACTIONS(5379),
    [anon_sym__Alignas] = ACTIONS(5379),
    [sym_primitive_type] = ACTIONS(5379),
    [anon_sym_enum] = ACTIONS(5379),
    [anon_sym_struct] = ACTIONS(5379),
    [anon_sym_union] = ACTIONS(5379),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5379),
    [anon_sym___typeof] = ACTIONS(5379),
    [anon_sym_typeof] = ACTIONS(5379),
    [aux_sym_preproc_undef_token1] = ACTIONS(5379),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5379),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5379),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5379),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5379),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5379),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5379),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5379),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5379),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5379),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5379),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5379),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5379),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5379),
    [anon_sym_API_AVAILABLE] = ACTIONS(5379),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5379),
    [anon_sym_API_DEPRECATED] = ACTIONS(5379),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5379),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5379),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5379),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5379),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5379),
    [anon_sym___deprecated_msg] = ACTIONS(5379),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5379),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5379),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5379),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5379),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5379),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5379),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5379),
    [anon_sym_ATend] = ACTIONS(5381),
    [anon_sym_ATsynthesize] = ACTIONS(5381),
    [anon_sym_ATdynamic] = ACTIONS(5381),
    [anon_sym_BOOL] = ACTIONS(5379),
    [anon_sym_IMP] = ACTIONS(5379),
    [anon_sym_SEL] = ACTIONS(5379),
    [anon_sym_Class] = ACTIONS(5379),
    [anon_sym_id] = ACTIONS(5379),
  },
  [2287] = {
    [aux_sym_method_declaration_repeat2] = STATE(2271),
    [sym_identifier] = ACTIONS(5385),
    [aux_sym_preproc_def_token1] = ACTIONS(5385),
    [aux_sym_preproc_if_token1] = ACTIONS(5385),
    [aux_sym_preproc_if_token2] = ACTIONS(5385),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5385),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5385),
    [sym_preproc_directive] = ACTIONS(5385),
    [anon_sym_DASH] = ACTIONS(5387),
    [anon_sym_PLUS] = ACTIONS(5387),
    [anon_sym_SEMI] = ACTIONS(5549),
    [anon_sym___extension__] = ACTIONS(5385),
    [anon_sym_typedef] = ACTIONS(5385),
    [anon_sym_extern] = ACTIONS(5385),
    [anon_sym___attribute__] = ACTIONS(5385),
    [anon_sym___attribute] = ACTIONS(5385),
    [anon_sym_noreturn] = ACTIONS(5385),
    [anon_sym_LBRACK] = ACTIONS(5387),
    [anon_sym___declspec] = ACTIONS(5385),
    [anon_sym___cdecl] = ACTIONS(5385),
    [anon_sym___clrcall] = ACTIONS(5385),
    [anon_sym___stdcall] = ACTIONS(5385),
    [anon_sym___fastcall] = ACTIONS(5385),
    [anon_sym___thiscall] = ACTIONS(5385),
    [anon_sym___vectorcall] = ACTIONS(5385),
    [anon_sym_signed] = ACTIONS(5385),
    [anon_sym_unsigned] = ACTIONS(5385),
    [anon_sym_long] = ACTIONS(5385),
    [anon_sym_short] = ACTIONS(5385),
    [anon_sym_static] = ACTIONS(5385),
    [anon_sym_auto] = ACTIONS(5385),
    [anon_sym_register] = ACTIONS(5385),
    [anon_sym_inline] = ACTIONS(5385),
    [anon_sym___inline] = ACTIONS(5385),
    [anon_sym___inline__] = ACTIONS(5385),
    [anon_sym___forceinline] = ACTIONS(5385),
    [anon_sym_thread_local] = ACTIONS(5385),
    [anon_sym___thread] = ACTIONS(5385),
    [anon_sym_CG_EXTERN] = ACTIONS(5385),
    [anon_sym_CG_INLINE] = ACTIONS(5385),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5385),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5385),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5385),
    [anon_sym_IBOutlet] = ACTIONS(5385),
    [anon_sym_IBInspectable] = ACTIONS(5385),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5385),
    [anon_sym_NS_INLINE] = ACTIONS(5385),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5385),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5385),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5385),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5385),
    [anon_sym_const] = ACTIONS(5385),
    [anon_sym_constexpr] = ACTIONS(5385),
    [anon_sym_volatile] = ACTIONS(5385),
    [anon_sym_restrict] = ACTIONS(5385),
    [anon_sym___restrict__] = ACTIONS(5385),
    [anon_sym__Atomic] = ACTIONS(5385),
    [anon_sym__Noreturn] = ACTIONS(5385),
    [anon_sym__Nonnull] = ACTIONS(5385),
    [anon_sym_nullable] = ACTIONS(5385),
    [anon_sym__Complex] = ACTIONS(5385),
    [anon_sym__Nullable] = ACTIONS(5385),
    [anon_sym__Nullable_result] = ACTIONS(5385),
    [anon_sym__Null_unspecified] = ACTIONS(5385),
    [anon_sym___autoreleasing] = ACTIONS(5385),
    [anon_sym___block] = ACTIONS(5385),
    [anon_sym___bridge] = ACTIONS(5385),
    [anon_sym___bridge_retained] = ACTIONS(5385),
    [anon_sym___bridge_transfer] = ACTIONS(5385),
    [anon_sym___complex] = ACTIONS(5385),
    [anon_sym___const] = ACTIONS(5385),
    [anon_sym___imag] = ACTIONS(5385),
    [anon_sym___kindof] = ACTIONS(5385),
    [anon_sym___nonnull] = ACTIONS(5385),
    [anon_sym___nullable] = ACTIONS(5385),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5385),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5385),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5385),
    [anon_sym___real] = ACTIONS(5385),
    [anon_sym___strong] = ACTIONS(5385),
    [anon_sym___unsafe_unretained] = ACTIONS(5385),
    [anon_sym___unused] = ACTIONS(5385),
    [anon_sym___weak] = ACTIONS(5385),
    [anon_sym_alignas] = ACTIONS(5385),
    [anon_sym__Alignas] = ACTIONS(5385),
    [sym_primitive_type] = ACTIONS(5385),
    [anon_sym_enum] = ACTIONS(5385),
    [anon_sym_struct] = ACTIONS(5385),
    [anon_sym_union] = ACTIONS(5385),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5385),
    [anon_sym___typeof] = ACTIONS(5385),
    [anon_sym_typeof] = ACTIONS(5385),
    [aux_sym_preproc_undef_token1] = ACTIONS(5385),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5385),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5385),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5385),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5385),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5385),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5385),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5385),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5385),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5385),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5385),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5385),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5385),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5385),
    [anon_sym_API_AVAILABLE] = ACTIONS(5385),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5385),
    [anon_sym_API_DEPRECATED] = ACTIONS(5385),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5385),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5385),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5385),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5385),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5385),
    [anon_sym___deprecated_msg] = ACTIONS(5385),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5385),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5385),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5385),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5385),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5385),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5385),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5385),
    [anon_sym_ATproperty] = ACTIONS(5387),
    [anon_sym_BOOL] = ACTIONS(5385),
    [anon_sym_IMP] = ACTIONS(5385),
    [anon_sym_SEL] = ACTIONS(5385),
    [anon_sym_Class] = ACTIONS(5385),
    [anon_sym_id] = ACTIONS(5385),
  },
  [2288] = {
    [sym_identifier] = ACTIONS(5586),
    [aux_sym_preproc_def_token1] = ACTIONS(5586),
    [aux_sym_preproc_if_token1] = ACTIONS(5586),
    [aux_sym_preproc_if_token2] = ACTIONS(5586),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5586),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5586),
    [aux_sym_preproc_else_token1] = ACTIONS(5586),
    [aux_sym_preproc_elif_token1] = ACTIONS(5586),
    [sym_preproc_directive] = ACTIONS(5586),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym___extension__] = ACTIONS(5586),
    [anon_sym_typedef] = ACTIONS(5586),
    [anon_sym_extern] = ACTIONS(5586),
    [anon_sym___attribute__] = ACTIONS(5586),
    [anon_sym___attribute] = ACTIONS(5586),
    [anon_sym_noreturn] = ACTIONS(5586),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [anon_sym___declspec] = ACTIONS(5586),
    [anon_sym___cdecl] = ACTIONS(5586),
    [anon_sym___clrcall] = ACTIONS(5586),
    [anon_sym___stdcall] = ACTIONS(5586),
    [anon_sym___fastcall] = ACTIONS(5586),
    [anon_sym___thiscall] = ACTIONS(5586),
    [anon_sym___vectorcall] = ACTIONS(5586),
    [anon_sym_signed] = ACTIONS(5586),
    [anon_sym_unsigned] = ACTIONS(5586),
    [anon_sym_long] = ACTIONS(5586),
    [anon_sym_short] = ACTIONS(5586),
    [anon_sym_static] = ACTIONS(5586),
    [anon_sym_auto] = ACTIONS(5586),
    [anon_sym_register] = ACTIONS(5586),
    [anon_sym_inline] = ACTIONS(5586),
    [anon_sym___inline] = ACTIONS(5586),
    [anon_sym___inline__] = ACTIONS(5586),
    [anon_sym___forceinline] = ACTIONS(5586),
    [anon_sym_thread_local] = ACTIONS(5586),
    [anon_sym___thread] = ACTIONS(5586),
    [anon_sym_CG_EXTERN] = ACTIONS(5586),
    [anon_sym_CG_INLINE] = ACTIONS(5586),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5586),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5586),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5586),
    [anon_sym_IBOutlet] = ACTIONS(5586),
    [anon_sym_IBInspectable] = ACTIONS(5586),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5586),
    [anon_sym_NS_INLINE] = ACTIONS(5586),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5586),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5586),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5586),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5586),
    [anon_sym_const] = ACTIONS(5586),
    [anon_sym_constexpr] = ACTIONS(5586),
    [anon_sym_volatile] = ACTIONS(5586),
    [anon_sym_restrict] = ACTIONS(5586),
    [anon_sym___restrict__] = ACTIONS(5586),
    [anon_sym__Atomic] = ACTIONS(5586),
    [anon_sym__Noreturn] = ACTIONS(5586),
    [anon_sym__Nonnull] = ACTIONS(5586),
    [anon_sym_nullable] = ACTIONS(5586),
    [anon_sym__Complex] = ACTIONS(5586),
    [anon_sym__Nullable] = ACTIONS(5586),
    [anon_sym__Nullable_result] = ACTIONS(5586),
    [anon_sym__Null_unspecified] = ACTIONS(5586),
    [anon_sym___autoreleasing] = ACTIONS(5586),
    [anon_sym___block] = ACTIONS(5586),
    [anon_sym___bridge] = ACTIONS(5586),
    [anon_sym___bridge_retained] = ACTIONS(5586),
    [anon_sym___bridge_transfer] = ACTIONS(5586),
    [anon_sym___complex] = ACTIONS(5586),
    [anon_sym___const] = ACTIONS(5586),
    [anon_sym___imag] = ACTIONS(5586),
    [anon_sym___kindof] = ACTIONS(5586),
    [anon_sym___nonnull] = ACTIONS(5586),
    [anon_sym___nullable] = ACTIONS(5586),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5586),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5586),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5586),
    [anon_sym___real] = ACTIONS(5586),
    [anon_sym___strong] = ACTIONS(5586),
    [anon_sym___unsafe_unretained] = ACTIONS(5586),
    [anon_sym___unused] = ACTIONS(5586),
    [anon_sym___weak] = ACTIONS(5586),
    [anon_sym_alignas] = ACTIONS(5586),
    [anon_sym__Alignas] = ACTIONS(5586),
    [sym_primitive_type] = ACTIONS(5586),
    [anon_sym_enum] = ACTIONS(5586),
    [anon_sym_struct] = ACTIONS(5586),
    [anon_sym_union] = ACTIONS(5586),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5586),
    [anon_sym___typeof] = ACTIONS(5586),
    [anon_sym_typeof] = ACTIONS(5586),
    [aux_sym_preproc_undef_token1] = ACTIONS(5586),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5586),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5586),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5586),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5586),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5586),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5586),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5586),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5586),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5586),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5586),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5586),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5586),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5586),
    [anon_sym_API_AVAILABLE] = ACTIONS(5586),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5586),
    [anon_sym_API_DEPRECATED] = ACTIONS(5586),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5586),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5586),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5586),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5586),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5586),
    [anon_sym___deprecated_msg] = ACTIONS(5586),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5586),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5586),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5586),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5586),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5586),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5586),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5586),
    [anon_sym_ATproperty] = ACTIONS(5588),
    [anon_sym_BOOL] = ACTIONS(5586),
    [anon_sym_IMP] = ACTIONS(5586),
    [anon_sym_SEL] = ACTIONS(5586),
    [anon_sym_Class] = ACTIONS(5586),
    [anon_sym_id] = ACTIONS(5586),
  },
  [2289] = {
    [sym_identifier] = ACTIONS(5389),
    [aux_sym_preproc_def_token1] = ACTIONS(5389),
    [aux_sym_preproc_if_token1] = ACTIONS(5389),
    [aux_sym_preproc_if_token2] = ACTIONS(5389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5389),
    [sym_preproc_directive] = ACTIONS(5389),
    [anon_sym_DASH] = ACTIONS(5391),
    [anon_sym_PLUS] = ACTIONS(5391),
    [anon_sym_SEMI] = ACTIONS(5590),
    [anon_sym___extension__] = ACTIONS(5389),
    [anon_sym_typedef] = ACTIONS(5389),
    [anon_sym_extern] = ACTIONS(5389),
    [anon_sym___attribute__] = ACTIONS(5389),
    [anon_sym___attribute] = ACTIONS(5389),
    [anon_sym_noreturn] = ACTIONS(5389),
    [anon_sym_LBRACK] = ACTIONS(5391),
    [anon_sym___declspec] = ACTIONS(5389),
    [anon_sym___cdecl] = ACTIONS(5389),
    [anon_sym___clrcall] = ACTIONS(5389),
    [anon_sym___stdcall] = ACTIONS(5389),
    [anon_sym___fastcall] = ACTIONS(5389),
    [anon_sym___thiscall] = ACTIONS(5389),
    [anon_sym___vectorcall] = ACTIONS(5389),
    [anon_sym_signed] = ACTIONS(5389),
    [anon_sym_unsigned] = ACTIONS(5389),
    [anon_sym_long] = ACTIONS(5389),
    [anon_sym_short] = ACTIONS(5389),
    [anon_sym_static] = ACTIONS(5389),
    [anon_sym_auto] = ACTIONS(5389),
    [anon_sym_register] = ACTIONS(5389),
    [anon_sym_inline] = ACTIONS(5389),
    [anon_sym___inline] = ACTIONS(5389),
    [anon_sym___inline__] = ACTIONS(5389),
    [anon_sym___forceinline] = ACTIONS(5389),
    [anon_sym_thread_local] = ACTIONS(5389),
    [anon_sym___thread] = ACTIONS(5389),
    [anon_sym_CG_EXTERN] = ACTIONS(5389),
    [anon_sym_CG_INLINE] = ACTIONS(5389),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5389),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5389),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5389),
    [anon_sym_IBOutlet] = ACTIONS(5389),
    [anon_sym_IBInspectable] = ACTIONS(5389),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5389),
    [anon_sym_NS_INLINE] = ACTIONS(5389),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5389),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5389),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5389),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5389),
    [anon_sym_const] = ACTIONS(5389),
    [anon_sym_constexpr] = ACTIONS(5389),
    [anon_sym_volatile] = ACTIONS(5389),
    [anon_sym_restrict] = ACTIONS(5389),
    [anon_sym___restrict__] = ACTIONS(5389),
    [anon_sym__Atomic] = ACTIONS(5389),
    [anon_sym__Noreturn] = ACTIONS(5389),
    [anon_sym__Nonnull] = ACTIONS(5389),
    [anon_sym_nullable] = ACTIONS(5389),
    [anon_sym__Complex] = ACTIONS(5389),
    [anon_sym__Nullable] = ACTIONS(5389),
    [anon_sym__Nullable_result] = ACTIONS(5389),
    [anon_sym__Null_unspecified] = ACTIONS(5389),
    [anon_sym___autoreleasing] = ACTIONS(5389),
    [anon_sym___block] = ACTIONS(5389),
    [anon_sym___bridge] = ACTIONS(5389),
    [anon_sym___bridge_retained] = ACTIONS(5389),
    [anon_sym___bridge_transfer] = ACTIONS(5389),
    [anon_sym___complex] = ACTIONS(5389),
    [anon_sym___const] = ACTIONS(5389),
    [anon_sym___imag] = ACTIONS(5389),
    [anon_sym___kindof] = ACTIONS(5389),
    [anon_sym___nonnull] = ACTIONS(5389),
    [anon_sym___nullable] = ACTIONS(5389),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5389),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5389),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5389),
    [anon_sym___real] = ACTIONS(5389),
    [anon_sym___strong] = ACTIONS(5389),
    [anon_sym___unsafe_unretained] = ACTIONS(5389),
    [anon_sym___unused] = ACTIONS(5389),
    [anon_sym___weak] = ACTIONS(5389),
    [anon_sym_alignas] = ACTIONS(5389),
    [anon_sym__Alignas] = ACTIONS(5389),
    [sym_primitive_type] = ACTIONS(5389),
    [anon_sym_enum] = ACTIONS(5389),
    [anon_sym_struct] = ACTIONS(5389),
    [anon_sym_union] = ACTIONS(5389),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5389),
    [anon_sym___typeof] = ACTIONS(5389),
    [anon_sym_typeof] = ACTIONS(5389),
    [aux_sym_preproc_undef_token1] = ACTIONS(5389),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5389),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5389),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5389),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5389),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5389),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5389),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5389),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5389),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5389),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5389),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5389),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5389),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5389),
    [anon_sym_API_AVAILABLE] = ACTIONS(5389),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5389),
    [anon_sym_API_DEPRECATED] = ACTIONS(5389),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5389),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5389),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5389),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5389),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5389),
    [anon_sym___deprecated_msg] = ACTIONS(5389),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5389),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5389),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5389),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5389),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5389),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5389),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5389),
    [anon_sym_ATsynthesize] = ACTIONS(5391),
    [anon_sym_ATdynamic] = ACTIONS(5391),
    [anon_sym_BOOL] = ACTIONS(5389),
    [anon_sym_IMP] = ACTIONS(5389),
    [anon_sym_SEL] = ACTIONS(5389),
    [anon_sym_Class] = ACTIONS(5389),
    [anon_sym_id] = ACTIONS(5389),
  },
  [2290] = {
    [aux_sym_method_declaration_repeat2] = STATE(2271),
    [sym_identifier] = ACTIONS(5395),
    [aux_sym_preproc_def_token1] = ACTIONS(5395),
    [aux_sym_preproc_if_token1] = ACTIONS(5395),
    [aux_sym_preproc_if_token2] = ACTIONS(5395),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5395),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5395),
    [sym_preproc_directive] = ACTIONS(5395),
    [anon_sym_DASH] = ACTIONS(5397),
    [anon_sym_PLUS] = ACTIONS(5397),
    [anon_sym_SEMI] = ACTIONS(5549),
    [anon_sym___extension__] = ACTIONS(5395),
    [anon_sym_typedef] = ACTIONS(5395),
    [anon_sym_extern] = ACTIONS(5395),
    [anon_sym___attribute__] = ACTIONS(5395),
    [anon_sym___attribute] = ACTIONS(5395),
    [anon_sym_noreturn] = ACTIONS(5395),
    [anon_sym_LBRACK] = ACTIONS(5397),
    [anon_sym___declspec] = ACTIONS(5395),
    [anon_sym___cdecl] = ACTIONS(5395),
    [anon_sym___clrcall] = ACTIONS(5395),
    [anon_sym___stdcall] = ACTIONS(5395),
    [anon_sym___fastcall] = ACTIONS(5395),
    [anon_sym___thiscall] = ACTIONS(5395),
    [anon_sym___vectorcall] = ACTIONS(5395),
    [anon_sym_signed] = ACTIONS(5395),
    [anon_sym_unsigned] = ACTIONS(5395),
    [anon_sym_long] = ACTIONS(5395),
    [anon_sym_short] = ACTIONS(5395),
    [anon_sym_static] = ACTIONS(5395),
    [anon_sym_auto] = ACTIONS(5395),
    [anon_sym_register] = ACTIONS(5395),
    [anon_sym_inline] = ACTIONS(5395),
    [anon_sym___inline] = ACTIONS(5395),
    [anon_sym___inline__] = ACTIONS(5395),
    [anon_sym___forceinline] = ACTIONS(5395),
    [anon_sym_thread_local] = ACTIONS(5395),
    [anon_sym___thread] = ACTIONS(5395),
    [anon_sym_CG_EXTERN] = ACTIONS(5395),
    [anon_sym_CG_INLINE] = ACTIONS(5395),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5395),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5395),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5395),
    [anon_sym_IBOutlet] = ACTIONS(5395),
    [anon_sym_IBInspectable] = ACTIONS(5395),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5395),
    [anon_sym_NS_INLINE] = ACTIONS(5395),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5395),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5395),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5395),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5395),
    [anon_sym_const] = ACTIONS(5395),
    [anon_sym_constexpr] = ACTIONS(5395),
    [anon_sym_volatile] = ACTIONS(5395),
    [anon_sym_restrict] = ACTIONS(5395),
    [anon_sym___restrict__] = ACTIONS(5395),
    [anon_sym__Atomic] = ACTIONS(5395),
    [anon_sym__Noreturn] = ACTIONS(5395),
    [anon_sym__Nonnull] = ACTIONS(5395),
    [anon_sym_nullable] = ACTIONS(5395),
    [anon_sym__Complex] = ACTIONS(5395),
    [anon_sym__Nullable] = ACTIONS(5395),
    [anon_sym__Nullable_result] = ACTIONS(5395),
    [anon_sym__Null_unspecified] = ACTIONS(5395),
    [anon_sym___autoreleasing] = ACTIONS(5395),
    [anon_sym___block] = ACTIONS(5395),
    [anon_sym___bridge] = ACTIONS(5395),
    [anon_sym___bridge_retained] = ACTIONS(5395),
    [anon_sym___bridge_transfer] = ACTIONS(5395),
    [anon_sym___complex] = ACTIONS(5395),
    [anon_sym___const] = ACTIONS(5395),
    [anon_sym___imag] = ACTIONS(5395),
    [anon_sym___kindof] = ACTIONS(5395),
    [anon_sym___nonnull] = ACTIONS(5395),
    [anon_sym___nullable] = ACTIONS(5395),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5395),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5395),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5395),
    [anon_sym___real] = ACTIONS(5395),
    [anon_sym___strong] = ACTIONS(5395),
    [anon_sym___unsafe_unretained] = ACTIONS(5395),
    [anon_sym___unused] = ACTIONS(5395),
    [anon_sym___weak] = ACTIONS(5395),
    [anon_sym_alignas] = ACTIONS(5395),
    [anon_sym__Alignas] = ACTIONS(5395),
    [sym_primitive_type] = ACTIONS(5395),
    [anon_sym_enum] = ACTIONS(5395),
    [anon_sym_struct] = ACTIONS(5395),
    [anon_sym_union] = ACTIONS(5395),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5395),
    [anon_sym___typeof] = ACTIONS(5395),
    [anon_sym_typeof] = ACTIONS(5395),
    [aux_sym_preproc_undef_token1] = ACTIONS(5395),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5395),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5395),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5395),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5395),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5395),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5395),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5395),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5395),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5395),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5395),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5395),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5395),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5395),
    [anon_sym_API_AVAILABLE] = ACTIONS(5395),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5395),
    [anon_sym_API_DEPRECATED] = ACTIONS(5395),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5395),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5395),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5395),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5395),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5395),
    [anon_sym___deprecated_msg] = ACTIONS(5395),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5395),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5395),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5395),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5395),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5395),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5395),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5395),
    [anon_sym_ATproperty] = ACTIONS(5397),
    [anon_sym_BOOL] = ACTIONS(5395),
    [anon_sym_IMP] = ACTIONS(5395),
    [anon_sym_SEL] = ACTIONS(5395),
    [anon_sym_Class] = ACTIONS(5395),
    [anon_sym_id] = ACTIONS(5395),
  },
  [2291] = {
    [sym_identifier] = ACTIONS(5592),
    [aux_sym_preproc_def_token1] = ACTIONS(5592),
    [aux_sym_preproc_if_token1] = ACTIONS(5592),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5592),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5592),
    [sym_preproc_directive] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5594),
    [anon_sym_PLUS] = ACTIONS(5594),
    [anon_sym___extension__] = ACTIONS(5592),
    [anon_sym_typedef] = ACTIONS(5592),
    [anon_sym_extern] = ACTIONS(5592),
    [anon_sym___attribute__] = ACTIONS(5592),
    [anon_sym___attribute] = ACTIONS(5592),
    [anon_sym_noreturn] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5594),
    [anon_sym___declspec] = ACTIONS(5592),
    [anon_sym___cdecl] = ACTIONS(5592),
    [anon_sym___clrcall] = ACTIONS(5592),
    [anon_sym___stdcall] = ACTIONS(5592),
    [anon_sym___fastcall] = ACTIONS(5592),
    [anon_sym___thiscall] = ACTIONS(5592),
    [anon_sym___vectorcall] = ACTIONS(5592),
    [anon_sym_signed] = ACTIONS(5592),
    [anon_sym_unsigned] = ACTIONS(5592),
    [anon_sym_long] = ACTIONS(5592),
    [anon_sym_short] = ACTIONS(5592),
    [anon_sym_static] = ACTIONS(5592),
    [anon_sym_auto] = ACTIONS(5592),
    [anon_sym_register] = ACTIONS(5592),
    [anon_sym_inline] = ACTIONS(5592),
    [anon_sym___inline] = ACTIONS(5592),
    [anon_sym___inline__] = ACTIONS(5592),
    [anon_sym___forceinline] = ACTIONS(5592),
    [anon_sym_thread_local] = ACTIONS(5592),
    [anon_sym___thread] = ACTIONS(5592),
    [anon_sym_CG_EXTERN] = ACTIONS(5592),
    [anon_sym_CG_INLINE] = ACTIONS(5592),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5592),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5592),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5592),
    [anon_sym_IBOutlet] = ACTIONS(5592),
    [anon_sym_IBInspectable] = ACTIONS(5592),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5592),
    [anon_sym_NS_INLINE] = ACTIONS(5592),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5592),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5592),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5592),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5592),
    [anon_sym_const] = ACTIONS(5592),
    [anon_sym_constexpr] = ACTIONS(5592),
    [anon_sym_volatile] = ACTIONS(5592),
    [anon_sym_restrict] = ACTIONS(5592),
    [anon_sym___restrict__] = ACTIONS(5592),
    [anon_sym__Atomic] = ACTIONS(5592),
    [anon_sym__Noreturn] = ACTIONS(5592),
    [anon_sym__Nonnull] = ACTIONS(5592),
    [anon_sym_nullable] = ACTIONS(5592),
    [anon_sym__Complex] = ACTIONS(5592),
    [anon_sym__Nullable] = ACTIONS(5592),
    [anon_sym__Nullable_result] = ACTIONS(5592),
    [anon_sym__Null_unspecified] = ACTIONS(5592),
    [anon_sym___autoreleasing] = ACTIONS(5592),
    [anon_sym___block] = ACTIONS(5592),
    [anon_sym___bridge] = ACTIONS(5592),
    [anon_sym___bridge_retained] = ACTIONS(5592),
    [anon_sym___bridge_transfer] = ACTIONS(5592),
    [anon_sym___complex] = ACTIONS(5592),
    [anon_sym___const] = ACTIONS(5592),
    [anon_sym___imag] = ACTIONS(5592),
    [anon_sym___kindof] = ACTIONS(5592),
    [anon_sym___nonnull] = ACTIONS(5592),
    [anon_sym___nullable] = ACTIONS(5592),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5592),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5592),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5592),
    [anon_sym___real] = ACTIONS(5592),
    [anon_sym___strong] = ACTIONS(5592),
    [anon_sym___unsafe_unretained] = ACTIONS(5592),
    [anon_sym___unused] = ACTIONS(5592),
    [anon_sym___weak] = ACTIONS(5592),
    [anon_sym_alignas] = ACTIONS(5592),
    [anon_sym__Alignas] = ACTIONS(5592),
    [sym_primitive_type] = ACTIONS(5592),
    [anon_sym_enum] = ACTIONS(5592),
    [anon_sym_struct] = ACTIONS(5592),
    [anon_sym_union] = ACTIONS(5592),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5592),
    [anon_sym___typeof] = ACTIONS(5592),
    [anon_sym_typeof] = ACTIONS(5592),
    [aux_sym_preproc_undef_token1] = ACTIONS(5592),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5592),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5592),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5592),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5592),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5592),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5592),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5592),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5592),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5592),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5592),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5592),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5592),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5592),
    [anon_sym_API_AVAILABLE] = ACTIONS(5592),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5592),
    [anon_sym_API_DEPRECATED] = ACTIONS(5592),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5592),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5592),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5592),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5592),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5592),
    [anon_sym___deprecated_msg] = ACTIONS(5592),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5592),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5592),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5592),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5592),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5592),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5592),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5592),
    [anon_sym_ATend] = ACTIONS(5594),
    [anon_sym_ATsynthesize] = ACTIONS(5594),
    [anon_sym_ATdynamic] = ACTIONS(5594),
    [anon_sym_ATproperty] = ACTIONS(5594),
    [anon_sym_BOOL] = ACTIONS(5592),
    [anon_sym_IMP] = ACTIONS(5592),
    [anon_sym_SEL] = ACTIONS(5592),
    [anon_sym_Class] = ACTIONS(5592),
    [anon_sym_id] = ACTIONS(5592),
  },
  [2292] = {
    [aux_sym_method_declaration_repeat2] = STATE(2271),
    [sym_identifier] = ACTIONS(5405),
    [aux_sym_preproc_def_token1] = ACTIONS(5405),
    [aux_sym_preproc_if_token1] = ACTIONS(5405),
    [aux_sym_preproc_if_token2] = ACTIONS(5405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5405),
    [sym_preproc_directive] = ACTIONS(5405),
    [anon_sym_DASH] = ACTIONS(5407),
    [anon_sym_PLUS] = ACTIONS(5407),
    [anon_sym_SEMI] = ACTIONS(5549),
    [anon_sym___extension__] = ACTIONS(5405),
    [anon_sym_typedef] = ACTIONS(5405),
    [anon_sym_extern] = ACTIONS(5405),
    [anon_sym___attribute__] = ACTIONS(5405),
    [anon_sym___attribute] = ACTIONS(5405),
    [anon_sym_noreturn] = ACTIONS(5405),
    [anon_sym_LBRACK] = ACTIONS(5407),
    [anon_sym___declspec] = ACTIONS(5405),
    [anon_sym___cdecl] = ACTIONS(5405),
    [anon_sym___clrcall] = ACTIONS(5405),
    [anon_sym___stdcall] = ACTIONS(5405),
    [anon_sym___fastcall] = ACTIONS(5405),
    [anon_sym___thiscall] = ACTIONS(5405),
    [anon_sym___vectorcall] = ACTIONS(5405),
    [anon_sym_signed] = ACTIONS(5405),
    [anon_sym_unsigned] = ACTIONS(5405),
    [anon_sym_long] = ACTIONS(5405),
    [anon_sym_short] = ACTIONS(5405),
    [anon_sym_static] = ACTIONS(5405),
    [anon_sym_auto] = ACTIONS(5405),
    [anon_sym_register] = ACTIONS(5405),
    [anon_sym_inline] = ACTIONS(5405),
    [anon_sym___inline] = ACTIONS(5405),
    [anon_sym___inline__] = ACTIONS(5405),
    [anon_sym___forceinline] = ACTIONS(5405),
    [anon_sym_thread_local] = ACTIONS(5405),
    [anon_sym___thread] = ACTIONS(5405),
    [anon_sym_CG_EXTERN] = ACTIONS(5405),
    [anon_sym_CG_INLINE] = ACTIONS(5405),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5405),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5405),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5405),
    [anon_sym_IBOutlet] = ACTIONS(5405),
    [anon_sym_IBInspectable] = ACTIONS(5405),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5405),
    [anon_sym_NS_INLINE] = ACTIONS(5405),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5405),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5405),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5405),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5405),
    [anon_sym_const] = ACTIONS(5405),
    [anon_sym_constexpr] = ACTIONS(5405),
    [anon_sym_volatile] = ACTIONS(5405),
    [anon_sym_restrict] = ACTIONS(5405),
    [anon_sym___restrict__] = ACTIONS(5405),
    [anon_sym__Atomic] = ACTIONS(5405),
    [anon_sym__Noreturn] = ACTIONS(5405),
    [anon_sym__Nonnull] = ACTIONS(5405),
    [anon_sym_nullable] = ACTIONS(5405),
    [anon_sym__Complex] = ACTIONS(5405),
    [anon_sym__Nullable] = ACTIONS(5405),
    [anon_sym__Nullable_result] = ACTIONS(5405),
    [anon_sym__Null_unspecified] = ACTIONS(5405),
    [anon_sym___autoreleasing] = ACTIONS(5405),
    [anon_sym___block] = ACTIONS(5405),
    [anon_sym___bridge] = ACTIONS(5405),
    [anon_sym___bridge_retained] = ACTIONS(5405),
    [anon_sym___bridge_transfer] = ACTIONS(5405),
    [anon_sym___complex] = ACTIONS(5405),
    [anon_sym___const] = ACTIONS(5405),
    [anon_sym___imag] = ACTIONS(5405),
    [anon_sym___kindof] = ACTIONS(5405),
    [anon_sym___nonnull] = ACTIONS(5405),
    [anon_sym___nullable] = ACTIONS(5405),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5405),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5405),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5405),
    [anon_sym___real] = ACTIONS(5405),
    [anon_sym___strong] = ACTIONS(5405),
    [anon_sym___unsafe_unretained] = ACTIONS(5405),
    [anon_sym___unused] = ACTIONS(5405),
    [anon_sym___weak] = ACTIONS(5405),
    [anon_sym_alignas] = ACTIONS(5405),
    [anon_sym__Alignas] = ACTIONS(5405),
    [sym_primitive_type] = ACTIONS(5405),
    [anon_sym_enum] = ACTIONS(5405),
    [anon_sym_struct] = ACTIONS(5405),
    [anon_sym_union] = ACTIONS(5405),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5405),
    [anon_sym___typeof] = ACTIONS(5405),
    [anon_sym_typeof] = ACTIONS(5405),
    [aux_sym_preproc_undef_token1] = ACTIONS(5405),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5405),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5405),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5405),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5405),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5405),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5405),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5405),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5405),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5405),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5405),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5405),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5405),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5405),
    [anon_sym_API_AVAILABLE] = ACTIONS(5405),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5405),
    [anon_sym_API_DEPRECATED] = ACTIONS(5405),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5405),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5405),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5405),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5405),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5405),
    [anon_sym___deprecated_msg] = ACTIONS(5405),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5405),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5405),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5405),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5405),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5405),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5405),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5405),
    [anon_sym_ATproperty] = ACTIONS(5407),
    [anon_sym_BOOL] = ACTIONS(5405),
    [anon_sym_IMP] = ACTIONS(5405),
    [anon_sym_SEL] = ACTIONS(5405),
    [anon_sym_Class] = ACTIONS(5405),
    [anon_sym_id] = ACTIONS(5405),
  },
  [2293] = {
    [sym_identifier] = ACTIONS(5409),
    [aux_sym_preproc_def_token1] = ACTIONS(5409),
    [aux_sym_preproc_if_token1] = ACTIONS(5409),
    [aux_sym_preproc_if_token2] = ACTIONS(5409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5409),
    [sym_preproc_directive] = ACTIONS(5409),
    [anon_sym_DASH] = ACTIONS(5411),
    [anon_sym_PLUS] = ACTIONS(5411),
    [anon_sym_SEMI] = ACTIONS(5596),
    [anon_sym___extension__] = ACTIONS(5409),
    [anon_sym_typedef] = ACTIONS(5409),
    [anon_sym_extern] = ACTIONS(5409),
    [anon_sym___attribute__] = ACTIONS(5409),
    [anon_sym___attribute] = ACTIONS(5409),
    [anon_sym_noreturn] = ACTIONS(5409),
    [anon_sym_LBRACK] = ACTIONS(5411),
    [anon_sym___declspec] = ACTIONS(5409),
    [anon_sym___cdecl] = ACTIONS(5409),
    [anon_sym___clrcall] = ACTIONS(5409),
    [anon_sym___stdcall] = ACTIONS(5409),
    [anon_sym___fastcall] = ACTIONS(5409),
    [anon_sym___thiscall] = ACTIONS(5409),
    [anon_sym___vectorcall] = ACTIONS(5409),
    [anon_sym_signed] = ACTIONS(5409),
    [anon_sym_unsigned] = ACTIONS(5409),
    [anon_sym_long] = ACTIONS(5409),
    [anon_sym_short] = ACTIONS(5409),
    [anon_sym_static] = ACTIONS(5409),
    [anon_sym_auto] = ACTIONS(5409),
    [anon_sym_register] = ACTIONS(5409),
    [anon_sym_inline] = ACTIONS(5409),
    [anon_sym___inline] = ACTIONS(5409),
    [anon_sym___inline__] = ACTIONS(5409),
    [anon_sym___forceinline] = ACTIONS(5409),
    [anon_sym_thread_local] = ACTIONS(5409),
    [anon_sym___thread] = ACTIONS(5409),
    [anon_sym_CG_EXTERN] = ACTIONS(5409),
    [anon_sym_CG_INLINE] = ACTIONS(5409),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5409),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5409),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5409),
    [anon_sym_IBOutlet] = ACTIONS(5409),
    [anon_sym_IBInspectable] = ACTIONS(5409),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5409),
    [anon_sym_NS_INLINE] = ACTIONS(5409),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5409),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5409),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5409),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5409),
    [anon_sym_const] = ACTIONS(5409),
    [anon_sym_constexpr] = ACTIONS(5409),
    [anon_sym_volatile] = ACTIONS(5409),
    [anon_sym_restrict] = ACTIONS(5409),
    [anon_sym___restrict__] = ACTIONS(5409),
    [anon_sym__Atomic] = ACTIONS(5409),
    [anon_sym__Noreturn] = ACTIONS(5409),
    [anon_sym__Nonnull] = ACTIONS(5409),
    [anon_sym_nullable] = ACTIONS(5409),
    [anon_sym__Complex] = ACTIONS(5409),
    [anon_sym__Nullable] = ACTIONS(5409),
    [anon_sym__Nullable_result] = ACTIONS(5409),
    [anon_sym__Null_unspecified] = ACTIONS(5409),
    [anon_sym___autoreleasing] = ACTIONS(5409),
    [anon_sym___block] = ACTIONS(5409),
    [anon_sym___bridge] = ACTIONS(5409),
    [anon_sym___bridge_retained] = ACTIONS(5409),
    [anon_sym___bridge_transfer] = ACTIONS(5409),
    [anon_sym___complex] = ACTIONS(5409),
    [anon_sym___const] = ACTIONS(5409),
    [anon_sym___imag] = ACTIONS(5409),
    [anon_sym___kindof] = ACTIONS(5409),
    [anon_sym___nonnull] = ACTIONS(5409),
    [anon_sym___nullable] = ACTIONS(5409),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5409),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5409),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5409),
    [anon_sym___real] = ACTIONS(5409),
    [anon_sym___strong] = ACTIONS(5409),
    [anon_sym___unsafe_unretained] = ACTIONS(5409),
    [anon_sym___unused] = ACTIONS(5409),
    [anon_sym___weak] = ACTIONS(5409),
    [anon_sym_alignas] = ACTIONS(5409),
    [anon_sym__Alignas] = ACTIONS(5409),
    [sym_primitive_type] = ACTIONS(5409),
    [anon_sym_enum] = ACTIONS(5409),
    [anon_sym_struct] = ACTIONS(5409),
    [anon_sym_union] = ACTIONS(5409),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5409),
    [anon_sym___typeof] = ACTIONS(5409),
    [anon_sym_typeof] = ACTIONS(5409),
    [aux_sym_preproc_undef_token1] = ACTIONS(5409),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5409),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5409),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5409),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5409),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5409),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5409),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5409),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5409),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5409),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5409),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5409),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5409),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5409),
    [anon_sym_API_AVAILABLE] = ACTIONS(5409),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5409),
    [anon_sym_API_DEPRECATED] = ACTIONS(5409),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5409),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5409),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5409),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5409),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5409),
    [anon_sym___deprecated_msg] = ACTIONS(5409),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5409),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5409),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5409),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5409),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5409),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5409),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5409),
    [anon_sym_ATsynthesize] = ACTIONS(5411),
    [anon_sym_ATdynamic] = ACTIONS(5411),
    [anon_sym_BOOL] = ACTIONS(5409),
    [anon_sym_IMP] = ACTIONS(5409),
    [anon_sym_SEL] = ACTIONS(5409),
    [anon_sym_Class] = ACTIONS(5409),
    [anon_sym_id] = ACTIONS(5409),
  },
  [2294] = {
    [sym_identifier] = ACTIONS(5415),
    [aux_sym_preproc_def_token1] = ACTIONS(5415),
    [aux_sym_preproc_if_token1] = ACTIONS(5415),
    [aux_sym_preproc_if_token2] = ACTIONS(5415),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5415),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5415),
    [sym_preproc_directive] = ACTIONS(5415),
    [anon_sym_DASH] = ACTIONS(5417),
    [anon_sym_PLUS] = ACTIONS(5417),
    [anon_sym_SEMI] = ACTIONS(5598),
    [anon_sym___extension__] = ACTIONS(5415),
    [anon_sym_typedef] = ACTIONS(5415),
    [anon_sym_extern] = ACTIONS(5415),
    [anon_sym___attribute__] = ACTIONS(5415),
    [anon_sym___attribute] = ACTIONS(5415),
    [anon_sym_noreturn] = ACTIONS(5415),
    [anon_sym_LBRACK] = ACTIONS(5417),
    [anon_sym___declspec] = ACTIONS(5415),
    [anon_sym___cdecl] = ACTIONS(5415),
    [anon_sym___clrcall] = ACTIONS(5415),
    [anon_sym___stdcall] = ACTIONS(5415),
    [anon_sym___fastcall] = ACTIONS(5415),
    [anon_sym___thiscall] = ACTIONS(5415),
    [anon_sym___vectorcall] = ACTIONS(5415),
    [anon_sym_signed] = ACTIONS(5415),
    [anon_sym_unsigned] = ACTIONS(5415),
    [anon_sym_long] = ACTIONS(5415),
    [anon_sym_short] = ACTIONS(5415),
    [anon_sym_static] = ACTIONS(5415),
    [anon_sym_auto] = ACTIONS(5415),
    [anon_sym_register] = ACTIONS(5415),
    [anon_sym_inline] = ACTIONS(5415),
    [anon_sym___inline] = ACTIONS(5415),
    [anon_sym___inline__] = ACTIONS(5415),
    [anon_sym___forceinline] = ACTIONS(5415),
    [anon_sym_thread_local] = ACTIONS(5415),
    [anon_sym___thread] = ACTIONS(5415),
    [anon_sym_CG_EXTERN] = ACTIONS(5415),
    [anon_sym_CG_INLINE] = ACTIONS(5415),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5415),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5415),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5415),
    [anon_sym_IBOutlet] = ACTIONS(5415),
    [anon_sym_IBInspectable] = ACTIONS(5415),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5415),
    [anon_sym_NS_INLINE] = ACTIONS(5415),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5415),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5415),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5415),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5415),
    [anon_sym_const] = ACTIONS(5415),
    [anon_sym_constexpr] = ACTIONS(5415),
    [anon_sym_volatile] = ACTIONS(5415),
    [anon_sym_restrict] = ACTIONS(5415),
    [anon_sym___restrict__] = ACTIONS(5415),
    [anon_sym__Atomic] = ACTIONS(5415),
    [anon_sym__Noreturn] = ACTIONS(5415),
    [anon_sym__Nonnull] = ACTIONS(5415),
    [anon_sym_nullable] = ACTIONS(5415),
    [anon_sym__Complex] = ACTIONS(5415),
    [anon_sym__Nullable] = ACTIONS(5415),
    [anon_sym__Nullable_result] = ACTIONS(5415),
    [anon_sym__Null_unspecified] = ACTIONS(5415),
    [anon_sym___autoreleasing] = ACTIONS(5415),
    [anon_sym___block] = ACTIONS(5415),
    [anon_sym___bridge] = ACTIONS(5415),
    [anon_sym___bridge_retained] = ACTIONS(5415),
    [anon_sym___bridge_transfer] = ACTIONS(5415),
    [anon_sym___complex] = ACTIONS(5415),
    [anon_sym___const] = ACTIONS(5415),
    [anon_sym___imag] = ACTIONS(5415),
    [anon_sym___kindof] = ACTIONS(5415),
    [anon_sym___nonnull] = ACTIONS(5415),
    [anon_sym___nullable] = ACTIONS(5415),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5415),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5415),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5415),
    [anon_sym___real] = ACTIONS(5415),
    [anon_sym___strong] = ACTIONS(5415),
    [anon_sym___unsafe_unretained] = ACTIONS(5415),
    [anon_sym___unused] = ACTIONS(5415),
    [anon_sym___weak] = ACTIONS(5415),
    [anon_sym_alignas] = ACTIONS(5415),
    [anon_sym__Alignas] = ACTIONS(5415),
    [sym_primitive_type] = ACTIONS(5415),
    [anon_sym_enum] = ACTIONS(5415),
    [anon_sym_struct] = ACTIONS(5415),
    [anon_sym_union] = ACTIONS(5415),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5415),
    [anon_sym___typeof] = ACTIONS(5415),
    [anon_sym_typeof] = ACTIONS(5415),
    [aux_sym_preproc_undef_token1] = ACTIONS(5415),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5415),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5415),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5415),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5415),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5415),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5415),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5415),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5415),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5415),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5415),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5415),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5415),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5415),
    [anon_sym_API_AVAILABLE] = ACTIONS(5415),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5415),
    [anon_sym_API_DEPRECATED] = ACTIONS(5415),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5415),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5415),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5415),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5415),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5415),
    [anon_sym___deprecated_msg] = ACTIONS(5415),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5415),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5415),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5415),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5415),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5415),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5415),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5415),
    [anon_sym_ATsynthesize] = ACTIONS(5417),
    [anon_sym_ATdynamic] = ACTIONS(5417),
    [anon_sym_BOOL] = ACTIONS(5415),
    [anon_sym_IMP] = ACTIONS(5415),
    [anon_sym_SEL] = ACTIONS(5415),
    [anon_sym_Class] = ACTIONS(5415),
    [anon_sym_id] = ACTIONS(5415),
  },
  [2295] = {
    [sym_identifier] = ACTIONS(5421),
    [aux_sym_preproc_def_token1] = ACTIONS(5421),
    [aux_sym_preproc_if_token1] = ACTIONS(5421),
    [aux_sym_preproc_if_token2] = ACTIONS(5421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5421),
    [sym_preproc_directive] = ACTIONS(5421),
    [anon_sym_DASH] = ACTIONS(5423),
    [anon_sym_PLUS] = ACTIONS(5423),
    [anon_sym_SEMI] = ACTIONS(5600),
    [anon_sym___extension__] = ACTIONS(5421),
    [anon_sym_typedef] = ACTIONS(5421),
    [anon_sym_extern] = ACTIONS(5421),
    [anon_sym___attribute__] = ACTIONS(5421),
    [anon_sym___attribute] = ACTIONS(5421),
    [anon_sym_noreturn] = ACTIONS(5421),
    [anon_sym_LBRACK] = ACTIONS(5423),
    [anon_sym___declspec] = ACTIONS(5421),
    [anon_sym___cdecl] = ACTIONS(5421),
    [anon_sym___clrcall] = ACTIONS(5421),
    [anon_sym___stdcall] = ACTIONS(5421),
    [anon_sym___fastcall] = ACTIONS(5421),
    [anon_sym___thiscall] = ACTIONS(5421),
    [anon_sym___vectorcall] = ACTIONS(5421),
    [anon_sym_signed] = ACTIONS(5421),
    [anon_sym_unsigned] = ACTIONS(5421),
    [anon_sym_long] = ACTIONS(5421),
    [anon_sym_short] = ACTIONS(5421),
    [anon_sym_static] = ACTIONS(5421),
    [anon_sym_auto] = ACTIONS(5421),
    [anon_sym_register] = ACTIONS(5421),
    [anon_sym_inline] = ACTIONS(5421),
    [anon_sym___inline] = ACTIONS(5421),
    [anon_sym___inline__] = ACTIONS(5421),
    [anon_sym___forceinline] = ACTIONS(5421),
    [anon_sym_thread_local] = ACTIONS(5421),
    [anon_sym___thread] = ACTIONS(5421),
    [anon_sym_CG_EXTERN] = ACTIONS(5421),
    [anon_sym_CG_INLINE] = ACTIONS(5421),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5421),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5421),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5421),
    [anon_sym_IBOutlet] = ACTIONS(5421),
    [anon_sym_IBInspectable] = ACTIONS(5421),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5421),
    [anon_sym_NS_INLINE] = ACTIONS(5421),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5421),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5421),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5421),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5421),
    [anon_sym_const] = ACTIONS(5421),
    [anon_sym_constexpr] = ACTIONS(5421),
    [anon_sym_volatile] = ACTIONS(5421),
    [anon_sym_restrict] = ACTIONS(5421),
    [anon_sym___restrict__] = ACTIONS(5421),
    [anon_sym__Atomic] = ACTIONS(5421),
    [anon_sym__Noreturn] = ACTIONS(5421),
    [anon_sym__Nonnull] = ACTIONS(5421),
    [anon_sym_nullable] = ACTIONS(5421),
    [anon_sym__Complex] = ACTIONS(5421),
    [anon_sym__Nullable] = ACTIONS(5421),
    [anon_sym__Nullable_result] = ACTIONS(5421),
    [anon_sym__Null_unspecified] = ACTIONS(5421),
    [anon_sym___autoreleasing] = ACTIONS(5421),
    [anon_sym___block] = ACTIONS(5421),
    [anon_sym___bridge] = ACTIONS(5421),
    [anon_sym___bridge_retained] = ACTIONS(5421),
    [anon_sym___bridge_transfer] = ACTIONS(5421),
    [anon_sym___complex] = ACTIONS(5421),
    [anon_sym___const] = ACTIONS(5421),
    [anon_sym___imag] = ACTIONS(5421),
    [anon_sym___kindof] = ACTIONS(5421),
    [anon_sym___nonnull] = ACTIONS(5421),
    [anon_sym___nullable] = ACTIONS(5421),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5421),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5421),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5421),
    [anon_sym___real] = ACTIONS(5421),
    [anon_sym___strong] = ACTIONS(5421),
    [anon_sym___unsafe_unretained] = ACTIONS(5421),
    [anon_sym___unused] = ACTIONS(5421),
    [anon_sym___weak] = ACTIONS(5421),
    [anon_sym_alignas] = ACTIONS(5421),
    [anon_sym__Alignas] = ACTIONS(5421),
    [sym_primitive_type] = ACTIONS(5421),
    [anon_sym_enum] = ACTIONS(5421),
    [anon_sym_struct] = ACTIONS(5421),
    [anon_sym_union] = ACTIONS(5421),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5421),
    [anon_sym___typeof] = ACTIONS(5421),
    [anon_sym_typeof] = ACTIONS(5421),
    [aux_sym_preproc_undef_token1] = ACTIONS(5421),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5421),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5421),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5421),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5421),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5421),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5421),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5421),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5421),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5421),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5421),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5421),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5421),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5421),
    [anon_sym_API_AVAILABLE] = ACTIONS(5421),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5421),
    [anon_sym_API_DEPRECATED] = ACTIONS(5421),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5421),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5421),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5421),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5421),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5421),
    [anon_sym___deprecated_msg] = ACTIONS(5421),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5421),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5421),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5421),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5421),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5421),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5421),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5421),
    [anon_sym_ATsynthesize] = ACTIONS(5423),
    [anon_sym_ATdynamic] = ACTIONS(5423),
    [anon_sym_BOOL] = ACTIONS(5421),
    [anon_sym_IMP] = ACTIONS(5421),
    [anon_sym_SEL] = ACTIONS(5421),
    [anon_sym_Class] = ACTIONS(5421),
    [anon_sym_id] = ACTIONS(5421),
  },
  [2296] = {
    [sym_identifier] = ACTIONS(2428),
    [aux_sym_preproc_def_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token1] = ACTIONS(2428),
    [aux_sym_preproc_if_token2] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2428),
    [sym_preproc_directive] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2430),
    [anon_sym_PLUS] = ACTIONS(2430),
    [anon_sym___extension__] = ACTIONS(2428),
    [anon_sym_typedef] = ACTIONS(2428),
    [anon_sym_extern] = ACTIONS(2428),
    [anon_sym___attribute__] = ACTIONS(2428),
    [anon_sym___attribute] = ACTIONS(2428),
    [anon_sym_noreturn] = ACTIONS(2428),
    [anon_sym_LBRACK] = ACTIONS(2430),
    [anon_sym___declspec] = ACTIONS(2428),
    [anon_sym___cdecl] = ACTIONS(2428),
    [anon_sym___clrcall] = ACTIONS(2428),
    [anon_sym___stdcall] = ACTIONS(2428),
    [anon_sym___fastcall] = ACTIONS(2428),
    [anon_sym___thiscall] = ACTIONS(2428),
    [anon_sym___vectorcall] = ACTIONS(2428),
    [anon_sym_signed] = ACTIONS(2428),
    [anon_sym_unsigned] = ACTIONS(2428),
    [anon_sym_long] = ACTIONS(2428),
    [anon_sym_short] = ACTIONS(2428),
    [anon_sym_static] = ACTIONS(2428),
    [anon_sym_auto] = ACTIONS(2428),
    [anon_sym_register] = ACTIONS(2428),
    [anon_sym_inline] = ACTIONS(2428),
    [anon_sym___inline] = ACTIONS(2428),
    [anon_sym___inline__] = ACTIONS(2428),
    [anon_sym___forceinline] = ACTIONS(2428),
    [anon_sym_thread_local] = ACTIONS(2428),
    [anon_sym___thread] = ACTIONS(2428),
    [anon_sym_CG_EXTERN] = ACTIONS(2428),
    [anon_sym_CG_INLINE] = ACTIONS(2428),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2428),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2428),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2428),
    [anon_sym_IBOutlet] = ACTIONS(2428),
    [anon_sym_IBInspectable] = ACTIONS(2428),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2428),
    [anon_sym_NS_INLINE] = ACTIONS(2428),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2428),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2428),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2428),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2428),
    [anon_sym_const] = ACTIONS(2428),
    [anon_sym_constexpr] = ACTIONS(2428),
    [anon_sym_volatile] = ACTIONS(2428),
    [anon_sym_restrict] = ACTIONS(2428),
    [anon_sym___restrict__] = ACTIONS(2428),
    [anon_sym__Atomic] = ACTIONS(2428),
    [anon_sym__Noreturn] = ACTIONS(2428),
    [anon_sym__Nonnull] = ACTIONS(2428),
    [anon_sym_nullable] = ACTIONS(2428),
    [anon_sym__Complex] = ACTIONS(2428),
    [anon_sym__Nullable] = ACTIONS(2428),
    [anon_sym__Nullable_result] = ACTIONS(2428),
    [anon_sym__Null_unspecified] = ACTIONS(2428),
    [anon_sym___autoreleasing] = ACTIONS(2428),
    [anon_sym___block] = ACTIONS(2428),
    [anon_sym___bridge] = ACTIONS(2428),
    [anon_sym___bridge_retained] = ACTIONS(2428),
    [anon_sym___bridge_transfer] = ACTIONS(2428),
    [anon_sym___complex] = ACTIONS(2428),
    [anon_sym___const] = ACTIONS(2428),
    [anon_sym___imag] = ACTIONS(2428),
    [anon_sym___kindof] = ACTIONS(2428),
    [anon_sym___nonnull] = ACTIONS(2428),
    [anon_sym___nullable] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2428),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2428),
    [anon_sym___real] = ACTIONS(2428),
    [anon_sym___strong] = ACTIONS(2428),
    [anon_sym___unsafe_unretained] = ACTIONS(2428),
    [anon_sym___unused] = ACTIONS(2428),
    [anon_sym___weak] = ACTIONS(2428),
    [anon_sym_alignas] = ACTIONS(2428),
    [anon_sym__Alignas] = ACTIONS(2428),
    [sym_primitive_type] = ACTIONS(2428),
    [anon_sym_enum] = ACTIONS(2428),
    [anon_sym_struct] = ACTIONS(2428),
    [anon_sym_union] = ACTIONS(2428),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2428),
    [anon_sym___typeof] = ACTIONS(2428),
    [anon_sym_typeof] = ACTIONS(2428),
    [aux_sym_preproc_undef_token1] = ACTIONS(2428),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2428),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2428),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2428),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2428),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2428),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2428),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2428),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_API_AVAILABLE] = ACTIONS(2428),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_API_DEPRECATED] = ACTIONS(2428),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2428),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2428),
    [anon_sym___deprecated_msg] = ACTIONS(2428),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2428),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2428),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2428),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2428),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2428),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2428),
    [anon_sym_ATsynthesize] = ACTIONS(2430),
    [anon_sym_ATdynamic] = ACTIONS(2430),
    [anon_sym_ATproperty] = ACTIONS(2430),
    [anon_sym_BOOL] = ACTIONS(2428),
    [anon_sym_IMP] = ACTIONS(2428),
    [anon_sym_SEL] = ACTIONS(2428),
    [anon_sym_Class] = ACTIONS(2428),
    [anon_sym_id] = ACTIONS(2428),
  },
  [2297] = {
    [sym_identifier] = ACTIONS(5433),
    [aux_sym_preproc_def_token1] = ACTIONS(5433),
    [aux_sym_preproc_if_token1] = ACTIONS(5433),
    [aux_sym_preproc_if_token2] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5433),
    [sym_preproc_directive] = ACTIONS(5433),
    [anon_sym_DASH] = ACTIONS(5435),
    [anon_sym_PLUS] = ACTIONS(5435),
    [anon_sym_SEMI] = ACTIONS(5602),
    [anon_sym___extension__] = ACTIONS(5433),
    [anon_sym_typedef] = ACTIONS(5433),
    [anon_sym_extern] = ACTIONS(5433),
    [anon_sym___attribute__] = ACTIONS(5433),
    [anon_sym___attribute] = ACTIONS(5433),
    [anon_sym_noreturn] = ACTIONS(5433),
    [anon_sym_LBRACK] = ACTIONS(5435),
    [anon_sym___declspec] = ACTIONS(5433),
    [anon_sym___cdecl] = ACTIONS(5433),
    [anon_sym___clrcall] = ACTIONS(5433),
    [anon_sym___stdcall] = ACTIONS(5433),
    [anon_sym___fastcall] = ACTIONS(5433),
    [anon_sym___thiscall] = ACTIONS(5433),
    [anon_sym___vectorcall] = ACTIONS(5433),
    [anon_sym_signed] = ACTIONS(5433),
    [anon_sym_unsigned] = ACTIONS(5433),
    [anon_sym_long] = ACTIONS(5433),
    [anon_sym_short] = ACTIONS(5433),
    [anon_sym_static] = ACTIONS(5433),
    [anon_sym_auto] = ACTIONS(5433),
    [anon_sym_register] = ACTIONS(5433),
    [anon_sym_inline] = ACTIONS(5433),
    [anon_sym___inline] = ACTIONS(5433),
    [anon_sym___inline__] = ACTIONS(5433),
    [anon_sym___forceinline] = ACTIONS(5433),
    [anon_sym_thread_local] = ACTIONS(5433),
    [anon_sym___thread] = ACTIONS(5433),
    [anon_sym_CG_EXTERN] = ACTIONS(5433),
    [anon_sym_CG_INLINE] = ACTIONS(5433),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5433),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5433),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5433),
    [anon_sym_IBOutlet] = ACTIONS(5433),
    [anon_sym_IBInspectable] = ACTIONS(5433),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5433),
    [anon_sym_NS_INLINE] = ACTIONS(5433),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5433),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5433),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5433),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5433),
    [anon_sym_const] = ACTIONS(5433),
    [anon_sym_constexpr] = ACTIONS(5433),
    [anon_sym_volatile] = ACTIONS(5433),
    [anon_sym_restrict] = ACTIONS(5433),
    [anon_sym___restrict__] = ACTIONS(5433),
    [anon_sym__Atomic] = ACTIONS(5433),
    [anon_sym__Noreturn] = ACTIONS(5433),
    [anon_sym__Nonnull] = ACTIONS(5433),
    [anon_sym_nullable] = ACTIONS(5433),
    [anon_sym__Complex] = ACTIONS(5433),
    [anon_sym__Nullable] = ACTIONS(5433),
    [anon_sym__Nullable_result] = ACTIONS(5433),
    [anon_sym__Null_unspecified] = ACTIONS(5433),
    [anon_sym___autoreleasing] = ACTIONS(5433),
    [anon_sym___block] = ACTIONS(5433),
    [anon_sym___bridge] = ACTIONS(5433),
    [anon_sym___bridge_retained] = ACTIONS(5433),
    [anon_sym___bridge_transfer] = ACTIONS(5433),
    [anon_sym___complex] = ACTIONS(5433),
    [anon_sym___const] = ACTIONS(5433),
    [anon_sym___imag] = ACTIONS(5433),
    [anon_sym___kindof] = ACTIONS(5433),
    [anon_sym___nonnull] = ACTIONS(5433),
    [anon_sym___nullable] = ACTIONS(5433),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5433),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5433),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5433),
    [anon_sym___real] = ACTIONS(5433),
    [anon_sym___strong] = ACTIONS(5433),
    [anon_sym___unsafe_unretained] = ACTIONS(5433),
    [anon_sym___unused] = ACTIONS(5433),
    [anon_sym___weak] = ACTIONS(5433),
    [anon_sym_alignas] = ACTIONS(5433),
    [anon_sym__Alignas] = ACTIONS(5433),
    [sym_primitive_type] = ACTIONS(5433),
    [anon_sym_enum] = ACTIONS(5433),
    [anon_sym_struct] = ACTIONS(5433),
    [anon_sym_union] = ACTIONS(5433),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5433),
    [anon_sym___typeof] = ACTIONS(5433),
    [anon_sym_typeof] = ACTIONS(5433),
    [aux_sym_preproc_undef_token1] = ACTIONS(5433),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5433),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5433),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5433),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5433),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5433),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5433),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5433),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5433),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5433),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5433),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5433),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5433),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5433),
    [anon_sym_API_AVAILABLE] = ACTIONS(5433),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5433),
    [anon_sym_API_DEPRECATED] = ACTIONS(5433),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5433),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5433),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5433),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5433),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5433),
    [anon_sym___deprecated_msg] = ACTIONS(5433),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5433),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5433),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5433),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5433),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5433),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5433),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5433),
    [anon_sym_ATsynthesize] = ACTIONS(5435),
    [anon_sym_ATdynamic] = ACTIONS(5435),
    [anon_sym_BOOL] = ACTIONS(5433),
    [anon_sym_IMP] = ACTIONS(5433),
    [anon_sym_SEL] = ACTIONS(5433),
    [anon_sym_Class] = ACTIONS(5433),
    [anon_sym_id] = ACTIONS(5433),
  },
  [2298] = {
    [sym_identifier] = ACTIONS(5439),
    [aux_sym_preproc_def_token1] = ACTIONS(5439),
    [aux_sym_preproc_if_token1] = ACTIONS(5439),
    [aux_sym_preproc_if_token2] = ACTIONS(5439),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5439),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5439),
    [sym_preproc_directive] = ACTIONS(5439),
    [anon_sym_DASH] = ACTIONS(5441),
    [anon_sym_PLUS] = ACTIONS(5441),
    [anon_sym_SEMI] = ACTIONS(5604),
    [anon_sym___extension__] = ACTIONS(5439),
    [anon_sym_typedef] = ACTIONS(5439),
    [anon_sym_extern] = ACTIONS(5439),
    [anon_sym___attribute__] = ACTIONS(5439),
    [anon_sym___attribute] = ACTIONS(5439),
    [anon_sym_noreturn] = ACTIONS(5439),
    [anon_sym_LBRACK] = ACTIONS(5441),
    [anon_sym___declspec] = ACTIONS(5439),
    [anon_sym___cdecl] = ACTIONS(5439),
    [anon_sym___clrcall] = ACTIONS(5439),
    [anon_sym___stdcall] = ACTIONS(5439),
    [anon_sym___fastcall] = ACTIONS(5439),
    [anon_sym___thiscall] = ACTIONS(5439),
    [anon_sym___vectorcall] = ACTIONS(5439),
    [anon_sym_signed] = ACTIONS(5439),
    [anon_sym_unsigned] = ACTIONS(5439),
    [anon_sym_long] = ACTIONS(5439),
    [anon_sym_short] = ACTIONS(5439),
    [anon_sym_static] = ACTIONS(5439),
    [anon_sym_auto] = ACTIONS(5439),
    [anon_sym_register] = ACTIONS(5439),
    [anon_sym_inline] = ACTIONS(5439),
    [anon_sym___inline] = ACTIONS(5439),
    [anon_sym___inline__] = ACTIONS(5439),
    [anon_sym___forceinline] = ACTIONS(5439),
    [anon_sym_thread_local] = ACTIONS(5439),
    [anon_sym___thread] = ACTIONS(5439),
    [anon_sym_CG_EXTERN] = ACTIONS(5439),
    [anon_sym_CG_INLINE] = ACTIONS(5439),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5439),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5439),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5439),
    [anon_sym_IBOutlet] = ACTIONS(5439),
    [anon_sym_IBInspectable] = ACTIONS(5439),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5439),
    [anon_sym_NS_INLINE] = ACTIONS(5439),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5439),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5439),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5439),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5439),
    [anon_sym_const] = ACTIONS(5439),
    [anon_sym_constexpr] = ACTIONS(5439),
    [anon_sym_volatile] = ACTIONS(5439),
    [anon_sym_restrict] = ACTIONS(5439),
    [anon_sym___restrict__] = ACTIONS(5439),
    [anon_sym__Atomic] = ACTIONS(5439),
    [anon_sym__Noreturn] = ACTIONS(5439),
    [anon_sym__Nonnull] = ACTIONS(5439),
    [anon_sym_nullable] = ACTIONS(5439),
    [anon_sym__Complex] = ACTIONS(5439),
    [anon_sym__Nullable] = ACTIONS(5439),
    [anon_sym__Nullable_result] = ACTIONS(5439),
    [anon_sym__Null_unspecified] = ACTIONS(5439),
    [anon_sym___autoreleasing] = ACTIONS(5439),
    [anon_sym___block] = ACTIONS(5439),
    [anon_sym___bridge] = ACTIONS(5439),
    [anon_sym___bridge_retained] = ACTIONS(5439),
    [anon_sym___bridge_transfer] = ACTIONS(5439),
    [anon_sym___complex] = ACTIONS(5439),
    [anon_sym___const] = ACTIONS(5439),
    [anon_sym___imag] = ACTIONS(5439),
    [anon_sym___kindof] = ACTIONS(5439),
    [anon_sym___nonnull] = ACTIONS(5439),
    [anon_sym___nullable] = ACTIONS(5439),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5439),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5439),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5439),
    [anon_sym___real] = ACTIONS(5439),
    [anon_sym___strong] = ACTIONS(5439),
    [anon_sym___unsafe_unretained] = ACTIONS(5439),
    [anon_sym___unused] = ACTIONS(5439),
    [anon_sym___weak] = ACTIONS(5439),
    [anon_sym_alignas] = ACTIONS(5439),
    [anon_sym__Alignas] = ACTIONS(5439),
    [sym_primitive_type] = ACTIONS(5439),
    [anon_sym_enum] = ACTIONS(5439),
    [anon_sym_struct] = ACTIONS(5439),
    [anon_sym_union] = ACTIONS(5439),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5439),
    [anon_sym___typeof] = ACTIONS(5439),
    [anon_sym_typeof] = ACTIONS(5439),
    [aux_sym_preproc_undef_token1] = ACTIONS(5439),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5439),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5439),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5439),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5439),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5439),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5439),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5439),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5439),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5439),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5439),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5439),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5439),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5439),
    [anon_sym_API_AVAILABLE] = ACTIONS(5439),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5439),
    [anon_sym_API_DEPRECATED] = ACTIONS(5439),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5439),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5439),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5439),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5439),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5439),
    [anon_sym___deprecated_msg] = ACTIONS(5439),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5439),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5439),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5439),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5439),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5439),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5439),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5439),
    [anon_sym_ATsynthesize] = ACTIONS(5441),
    [anon_sym_ATdynamic] = ACTIONS(5441),
    [anon_sym_BOOL] = ACTIONS(5439),
    [anon_sym_IMP] = ACTIONS(5439),
    [anon_sym_SEL] = ACTIONS(5439),
    [anon_sym_Class] = ACTIONS(5439),
    [anon_sym_id] = ACTIONS(5439),
  },
  [2299] = {
    [sym_identifier] = ACTIONS(5445),
    [aux_sym_preproc_def_token1] = ACTIONS(5445),
    [aux_sym_preproc_if_token1] = ACTIONS(5445),
    [aux_sym_preproc_if_token2] = ACTIONS(5445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5445),
    [sym_preproc_directive] = ACTIONS(5445),
    [anon_sym_DASH] = ACTIONS(5447),
    [anon_sym_PLUS] = ACTIONS(5447),
    [anon_sym_SEMI] = ACTIONS(5606),
    [anon_sym___extension__] = ACTIONS(5445),
    [anon_sym_typedef] = ACTIONS(5445),
    [anon_sym_extern] = ACTIONS(5445),
    [anon_sym___attribute__] = ACTIONS(5445),
    [anon_sym___attribute] = ACTIONS(5445),
    [anon_sym_noreturn] = ACTIONS(5445),
    [anon_sym_LBRACK] = ACTIONS(5447),
    [anon_sym___declspec] = ACTIONS(5445),
    [anon_sym___cdecl] = ACTIONS(5445),
    [anon_sym___clrcall] = ACTIONS(5445),
    [anon_sym___stdcall] = ACTIONS(5445),
    [anon_sym___fastcall] = ACTIONS(5445),
    [anon_sym___thiscall] = ACTIONS(5445),
    [anon_sym___vectorcall] = ACTIONS(5445),
    [anon_sym_signed] = ACTIONS(5445),
    [anon_sym_unsigned] = ACTIONS(5445),
    [anon_sym_long] = ACTIONS(5445),
    [anon_sym_short] = ACTIONS(5445),
    [anon_sym_static] = ACTIONS(5445),
    [anon_sym_auto] = ACTIONS(5445),
    [anon_sym_register] = ACTIONS(5445),
    [anon_sym_inline] = ACTIONS(5445),
    [anon_sym___inline] = ACTIONS(5445),
    [anon_sym___inline__] = ACTIONS(5445),
    [anon_sym___forceinline] = ACTIONS(5445),
    [anon_sym_thread_local] = ACTIONS(5445),
    [anon_sym___thread] = ACTIONS(5445),
    [anon_sym_CG_EXTERN] = ACTIONS(5445),
    [anon_sym_CG_INLINE] = ACTIONS(5445),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5445),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5445),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5445),
    [anon_sym_IBOutlet] = ACTIONS(5445),
    [anon_sym_IBInspectable] = ACTIONS(5445),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5445),
    [anon_sym_NS_INLINE] = ACTIONS(5445),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5445),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5445),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5445),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5445),
    [anon_sym_const] = ACTIONS(5445),
    [anon_sym_constexpr] = ACTIONS(5445),
    [anon_sym_volatile] = ACTIONS(5445),
    [anon_sym_restrict] = ACTIONS(5445),
    [anon_sym___restrict__] = ACTIONS(5445),
    [anon_sym__Atomic] = ACTIONS(5445),
    [anon_sym__Noreturn] = ACTIONS(5445),
    [anon_sym__Nonnull] = ACTIONS(5445),
    [anon_sym_nullable] = ACTIONS(5445),
    [anon_sym__Complex] = ACTIONS(5445),
    [anon_sym__Nullable] = ACTIONS(5445),
    [anon_sym__Nullable_result] = ACTIONS(5445),
    [anon_sym__Null_unspecified] = ACTIONS(5445),
    [anon_sym___autoreleasing] = ACTIONS(5445),
    [anon_sym___block] = ACTIONS(5445),
    [anon_sym___bridge] = ACTIONS(5445),
    [anon_sym___bridge_retained] = ACTIONS(5445),
    [anon_sym___bridge_transfer] = ACTIONS(5445),
    [anon_sym___complex] = ACTIONS(5445),
    [anon_sym___const] = ACTIONS(5445),
    [anon_sym___imag] = ACTIONS(5445),
    [anon_sym___kindof] = ACTIONS(5445),
    [anon_sym___nonnull] = ACTIONS(5445),
    [anon_sym___nullable] = ACTIONS(5445),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5445),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5445),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5445),
    [anon_sym___real] = ACTIONS(5445),
    [anon_sym___strong] = ACTIONS(5445),
    [anon_sym___unsafe_unretained] = ACTIONS(5445),
    [anon_sym___unused] = ACTIONS(5445),
    [anon_sym___weak] = ACTIONS(5445),
    [anon_sym_alignas] = ACTIONS(5445),
    [anon_sym__Alignas] = ACTIONS(5445),
    [sym_primitive_type] = ACTIONS(5445),
    [anon_sym_enum] = ACTIONS(5445),
    [anon_sym_struct] = ACTIONS(5445),
    [anon_sym_union] = ACTIONS(5445),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5445),
    [anon_sym___typeof] = ACTIONS(5445),
    [anon_sym_typeof] = ACTIONS(5445),
    [aux_sym_preproc_undef_token1] = ACTIONS(5445),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5445),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5445),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5445),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5445),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5445),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5445),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5445),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5445),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5445),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5445),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5445),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5445),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5445),
    [anon_sym_API_AVAILABLE] = ACTIONS(5445),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5445),
    [anon_sym_API_DEPRECATED] = ACTIONS(5445),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5445),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5445),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5445),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5445),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5445),
    [anon_sym___deprecated_msg] = ACTIONS(5445),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5445),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5445),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5445),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5445),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5445),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5445),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5445),
    [anon_sym_ATsynthesize] = ACTIONS(5447),
    [anon_sym_ATdynamic] = ACTIONS(5447),
    [anon_sym_BOOL] = ACTIONS(5445),
    [anon_sym_IMP] = ACTIONS(5445),
    [anon_sym_SEL] = ACTIONS(5445),
    [anon_sym_Class] = ACTIONS(5445),
    [anon_sym_id] = ACTIONS(5445),
  },
  [2300] = {
    [sym_identifier] = ACTIONS(2568),
    [aux_sym_preproc_def_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token1] = ACTIONS(2568),
    [aux_sym_preproc_if_token2] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2568),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2568),
    [sym_preproc_directive] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2570),
    [anon_sym_PLUS] = ACTIONS(2570),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_typedef] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym___attribute] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [anon_sym_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_auto] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_CG_EXTERN] = ACTIONS(2568),
    [anon_sym_CG_INLINE] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2568),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2568),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2568),
    [anon_sym_IBOutlet] = ACTIONS(2568),
    [anon_sym_IBInspectable] = ACTIONS(2568),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2568),
    [anon_sym_NS_INLINE] = ACTIONS(2568),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2568),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2568),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym__Nonnull] = ACTIONS(2568),
    [anon_sym_nullable] = ACTIONS(2568),
    [anon_sym__Complex] = ACTIONS(2568),
    [anon_sym__Nullable] = ACTIONS(2568),
    [anon_sym__Nullable_result] = ACTIONS(2568),
    [anon_sym__Null_unspecified] = ACTIONS(2568),
    [anon_sym___autoreleasing] = ACTIONS(2568),
    [anon_sym___block] = ACTIONS(2568),
    [anon_sym___bridge] = ACTIONS(2568),
    [anon_sym___bridge_retained] = ACTIONS(2568),
    [anon_sym___bridge_transfer] = ACTIONS(2568),
    [anon_sym___complex] = ACTIONS(2568),
    [anon_sym___const] = ACTIONS(2568),
    [anon_sym___imag] = ACTIONS(2568),
    [anon_sym___kindof] = ACTIONS(2568),
    [anon_sym___nonnull] = ACTIONS(2568),
    [anon_sym___nullable] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2568),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2568),
    [anon_sym___real] = ACTIONS(2568),
    [anon_sym___strong] = ACTIONS(2568),
    [anon_sym___unsafe_unretained] = ACTIONS(2568),
    [anon_sym___unused] = ACTIONS(2568),
    [anon_sym___weak] = ACTIONS(2568),
    [anon_sym_alignas] = ACTIONS(2568),
    [anon_sym__Alignas] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2568),
    [anon_sym___typeof] = ACTIONS(2568),
    [anon_sym_typeof] = ACTIONS(2568),
    [aux_sym_preproc_undef_token1] = ACTIONS(2568),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2568),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2568),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2568),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2568),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2568),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_API_AVAILABLE] = ACTIONS(2568),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_API_DEPRECATED] = ACTIONS(2568),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2568),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2568),
    [anon_sym___deprecated_msg] = ACTIONS(2568),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2568),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2568),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2568),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2568),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2568),
    [anon_sym_ATsynthesize] = ACTIONS(2570),
    [anon_sym_ATdynamic] = ACTIONS(2570),
    [anon_sym_ATproperty] = ACTIONS(2570),
    [anon_sym_BOOL] = ACTIONS(2568),
    [anon_sym_IMP] = ACTIONS(2568),
    [anon_sym_SEL] = ACTIONS(2568),
    [anon_sym_Class] = ACTIONS(2568),
    [anon_sym_id] = ACTIONS(2568),
  },
  [2301] = {
    [sym_identifier] = ACTIONS(2412),
    [aux_sym_preproc_def_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token1] = ACTIONS(2412),
    [aux_sym_preproc_if_token2] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2412),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2412),
    [sym_preproc_directive] = ACTIONS(2412),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_PLUS] = ACTIONS(2414),
    [anon_sym___extension__] = ACTIONS(2412),
    [anon_sym_typedef] = ACTIONS(2412),
    [anon_sym_extern] = ACTIONS(2412),
    [anon_sym___attribute__] = ACTIONS(2412),
    [anon_sym___attribute] = ACTIONS(2412),
    [anon_sym_noreturn] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2414),
    [anon_sym___declspec] = ACTIONS(2412),
    [anon_sym___cdecl] = ACTIONS(2412),
    [anon_sym___clrcall] = ACTIONS(2412),
    [anon_sym___stdcall] = ACTIONS(2412),
    [anon_sym___fastcall] = ACTIONS(2412),
    [anon_sym___thiscall] = ACTIONS(2412),
    [anon_sym___vectorcall] = ACTIONS(2412),
    [anon_sym_signed] = ACTIONS(2412),
    [anon_sym_unsigned] = ACTIONS(2412),
    [anon_sym_long] = ACTIONS(2412),
    [anon_sym_short] = ACTIONS(2412),
    [anon_sym_static] = ACTIONS(2412),
    [anon_sym_auto] = ACTIONS(2412),
    [anon_sym_register] = ACTIONS(2412),
    [anon_sym_inline] = ACTIONS(2412),
    [anon_sym___inline] = ACTIONS(2412),
    [anon_sym___inline__] = ACTIONS(2412),
    [anon_sym___forceinline] = ACTIONS(2412),
    [anon_sym_thread_local] = ACTIONS(2412),
    [anon_sym___thread] = ACTIONS(2412),
    [anon_sym_CG_EXTERN] = ACTIONS(2412),
    [anon_sym_CG_INLINE] = ACTIONS(2412),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2412),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2412),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2412),
    [anon_sym_IBOutlet] = ACTIONS(2412),
    [anon_sym_IBInspectable] = ACTIONS(2412),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2412),
    [anon_sym_NS_INLINE] = ACTIONS(2412),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2412),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2412),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2412),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2412),
    [anon_sym_const] = ACTIONS(2412),
    [anon_sym_constexpr] = ACTIONS(2412),
    [anon_sym_volatile] = ACTIONS(2412),
    [anon_sym_restrict] = ACTIONS(2412),
    [anon_sym___restrict__] = ACTIONS(2412),
    [anon_sym__Atomic] = ACTIONS(2412),
    [anon_sym__Noreturn] = ACTIONS(2412),
    [anon_sym__Nonnull] = ACTIONS(2412),
    [anon_sym_nullable] = ACTIONS(2412),
    [anon_sym__Complex] = ACTIONS(2412),
    [anon_sym__Nullable] = ACTIONS(2412),
    [anon_sym__Nullable_result] = ACTIONS(2412),
    [anon_sym__Null_unspecified] = ACTIONS(2412),
    [anon_sym___autoreleasing] = ACTIONS(2412),
    [anon_sym___block] = ACTIONS(2412),
    [anon_sym___bridge] = ACTIONS(2412),
    [anon_sym___bridge_retained] = ACTIONS(2412),
    [anon_sym___bridge_transfer] = ACTIONS(2412),
    [anon_sym___complex] = ACTIONS(2412),
    [anon_sym___const] = ACTIONS(2412),
    [anon_sym___imag] = ACTIONS(2412),
    [anon_sym___kindof] = ACTIONS(2412),
    [anon_sym___nonnull] = ACTIONS(2412),
    [anon_sym___nullable] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2412),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2412),
    [anon_sym___real] = ACTIONS(2412),
    [anon_sym___strong] = ACTIONS(2412),
    [anon_sym___unsafe_unretained] = ACTIONS(2412),
    [anon_sym___unused] = ACTIONS(2412),
    [anon_sym___weak] = ACTIONS(2412),
    [anon_sym_alignas] = ACTIONS(2412),
    [anon_sym__Alignas] = ACTIONS(2412),
    [sym_primitive_type] = ACTIONS(2412),
    [anon_sym_enum] = ACTIONS(2412),
    [anon_sym_struct] = ACTIONS(2412),
    [anon_sym_union] = ACTIONS(2412),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2412),
    [anon_sym___typeof] = ACTIONS(2412),
    [anon_sym_typeof] = ACTIONS(2412),
    [aux_sym_preproc_undef_token1] = ACTIONS(2412),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2412),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2412),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2412),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2412),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2412),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2412),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2412),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_API_AVAILABLE] = ACTIONS(2412),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_API_DEPRECATED] = ACTIONS(2412),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2412),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2412),
    [anon_sym___deprecated_msg] = ACTIONS(2412),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2412),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2412),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2412),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2412),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2412),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2412),
    [anon_sym_ATsynthesize] = ACTIONS(2414),
    [anon_sym_ATdynamic] = ACTIONS(2414),
    [anon_sym_ATproperty] = ACTIONS(2414),
    [anon_sym_BOOL] = ACTIONS(2412),
    [anon_sym_IMP] = ACTIONS(2412),
    [anon_sym_SEL] = ACTIONS(2412),
    [anon_sym_Class] = ACTIONS(2412),
    [anon_sym_id] = ACTIONS(2412),
  },
  [2302] = {
    [sym_identifier] = ACTIONS(5389),
    [aux_sym_preproc_def_token1] = ACTIONS(5389),
    [aux_sym_preproc_if_token1] = ACTIONS(5389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5389),
    [sym_preproc_directive] = ACTIONS(5389),
    [anon_sym_DASH] = ACTIONS(5391),
    [anon_sym_PLUS] = ACTIONS(5391),
    [anon_sym_SEMI] = ACTIONS(5608),
    [anon_sym___extension__] = ACTIONS(5389),
    [anon_sym_typedef] = ACTIONS(5389),
    [anon_sym_extern] = ACTIONS(5389),
    [anon_sym___attribute__] = ACTIONS(5389),
    [anon_sym___attribute] = ACTIONS(5389),
    [anon_sym_noreturn] = ACTIONS(5389),
    [anon_sym_LBRACK] = ACTIONS(5391),
    [anon_sym___declspec] = ACTIONS(5389),
    [anon_sym___cdecl] = ACTIONS(5389),
    [anon_sym___clrcall] = ACTIONS(5389),
    [anon_sym___stdcall] = ACTIONS(5389),
    [anon_sym___fastcall] = ACTIONS(5389),
    [anon_sym___thiscall] = ACTIONS(5389),
    [anon_sym___vectorcall] = ACTIONS(5389),
    [anon_sym_signed] = ACTIONS(5389),
    [anon_sym_unsigned] = ACTIONS(5389),
    [anon_sym_long] = ACTIONS(5389),
    [anon_sym_short] = ACTIONS(5389),
    [anon_sym_static] = ACTIONS(5389),
    [anon_sym_auto] = ACTIONS(5389),
    [anon_sym_register] = ACTIONS(5389),
    [anon_sym_inline] = ACTIONS(5389),
    [anon_sym___inline] = ACTIONS(5389),
    [anon_sym___inline__] = ACTIONS(5389),
    [anon_sym___forceinline] = ACTIONS(5389),
    [anon_sym_thread_local] = ACTIONS(5389),
    [anon_sym___thread] = ACTIONS(5389),
    [anon_sym_CG_EXTERN] = ACTIONS(5389),
    [anon_sym_CG_INLINE] = ACTIONS(5389),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5389),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5389),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5389),
    [anon_sym_IBOutlet] = ACTIONS(5389),
    [anon_sym_IBInspectable] = ACTIONS(5389),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5389),
    [anon_sym_NS_INLINE] = ACTIONS(5389),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5389),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5389),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5389),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5389),
    [anon_sym_const] = ACTIONS(5389),
    [anon_sym_constexpr] = ACTIONS(5389),
    [anon_sym_volatile] = ACTIONS(5389),
    [anon_sym_restrict] = ACTIONS(5389),
    [anon_sym___restrict__] = ACTIONS(5389),
    [anon_sym__Atomic] = ACTIONS(5389),
    [anon_sym__Noreturn] = ACTIONS(5389),
    [anon_sym__Nonnull] = ACTIONS(5389),
    [anon_sym_nullable] = ACTIONS(5389),
    [anon_sym__Complex] = ACTIONS(5389),
    [anon_sym__Nullable] = ACTIONS(5389),
    [anon_sym__Nullable_result] = ACTIONS(5389),
    [anon_sym__Null_unspecified] = ACTIONS(5389),
    [anon_sym___autoreleasing] = ACTIONS(5389),
    [anon_sym___block] = ACTIONS(5389),
    [anon_sym___bridge] = ACTIONS(5389),
    [anon_sym___bridge_retained] = ACTIONS(5389),
    [anon_sym___bridge_transfer] = ACTIONS(5389),
    [anon_sym___complex] = ACTIONS(5389),
    [anon_sym___const] = ACTIONS(5389),
    [anon_sym___imag] = ACTIONS(5389),
    [anon_sym___kindof] = ACTIONS(5389),
    [anon_sym___nonnull] = ACTIONS(5389),
    [anon_sym___nullable] = ACTIONS(5389),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5389),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5389),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5389),
    [anon_sym___real] = ACTIONS(5389),
    [anon_sym___strong] = ACTIONS(5389),
    [anon_sym___unsafe_unretained] = ACTIONS(5389),
    [anon_sym___unused] = ACTIONS(5389),
    [anon_sym___weak] = ACTIONS(5389),
    [anon_sym_alignas] = ACTIONS(5389),
    [anon_sym__Alignas] = ACTIONS(5389),
    [sym_primitive_type] = ACTIONS(5389),
    [anon_sym_enum] = ACTIONS(5389),
    [anon_sym_struct] = ACTIONS(5389),
    [anon_sym_union] = ACTIONS(5389),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5389),
    [anon_sym___typeof] = ACTIONS(5389),
    [anon_sym_typeof] = ACTIONS(5389),
    [aux_sym_preproc_undef_token1] = ACTIONS(5389),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5389),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5389),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5389),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5389),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5389),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5389),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5389),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5389),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5389),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5389),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5389),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5389),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5389),
    [anon_sym_API_AVAILABLE] = ACTIONS(5389),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5389),
    [anon_sym_API_DEPRECATED] = ACTIONS(5389),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5389),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5389),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5389),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5389),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5389),
    [anon_sym___deprecated_msg] = ACTIONS(5389),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5389),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5389),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5389),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5389),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5389),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5389),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5389),
    [anon_sym_ATend] = ACTIONS(5391),
    [anon_sym_ATsynthesize] = ACTIONS(5391),
    [anon_sym_ATdynamic] = ACTIONS(5391),
    [anon_sym_BOOL] = ACTIONS(5389),
    [anon_sym_IMP] = ACTIONS(5389),
    [anon_sym_SEL] = ACTIONS(5389),
    [anon_sym_Class] = ACTIONS(5389),
    [anon_sym_id] = ACTIONS(5389),
  },
  [2303] = {
    [sym_identifier] = ACTIONS(2420),
    [aux_sym_preproc_def_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token2] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2420),
    [sym_preproc_directive] = ACTIONS(2420),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym___attribute] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym___cdecl] = ACTIONS(2420),
    [anon_sym___clrcall] = ACTIONS(2420),
    [anon_sym___stdcall] = ACTIONS(2420),
    [anon_sym___fastcall] = ACTIONS(2420),
    [anon_sym___thiscall] = ACTIONS(2420),
    [anon_sym___vectorcall] = ACTIONS(2420),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_auto] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_CG_EXTERN] = ACTIONS(2420),
    [anon_sym_CG_INLINE] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2420),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2420),
    [anon_sym_IBOutlet] = ACTIONS(2420),
    [anon_sym_IBInspectable] = ACTIONS(2420),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2420),
    [anon_sym_NS_INLINE] = ACTIONS(2420),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2420),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2420),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym__Nonnull] = ACTIONS(2420),
    [anon_sym_nullable] = ACTIONS(2420),
    [anon_sym__Complex] = ACTIONS(2420),
    [anon_sym__Nullable] = ACTIONS(2420),
    [anon_sym__Nullable_result] = ACTIONS(2420),
    [anon_sym__Null_unspecified] = ACTIONS(2420),
    [anon_sym___autoreleasing] = ACTIONS(2420),
    [anon_sym___block] = ACTIONS(2420),
    [anon_sym___bridge] = ACTIONS(2420),
    [anon_sym___bridge_retained] = ACTIONS(2420),
    [anon_sym___bridge_transfer] = ACTIONS(2420),
    [anon_sym___complex] = ACTIONS(2420),
    [anon_sym___const] = ACTIONS(2420),
    [anon_sym___imag] = ACTIONS(2420),
    [anon_sym___kindof] = ACTIONS(2420),
    [anon_sym___nonnull] = ACTIONS(2420),
    [anon_sym___nullable] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2420),
    [anon_sym___real] = ACTIONS(2420),
    [anon_sym___strong] = ACTIONS(2420),
    [anon_sym___unsafe_unretained] = ACTIONS(2420),
    [anon_sym___unused] = ACTIONS(2420),
    [anon_sym___weak] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym__Alignas] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2420),
    [anon_sym___typeof] = ACTIONS(2420),
    [anon_sym_typeof] = ACTIONS(2420),
    [aux_sym_preproc_undef_token1] = ACTIONS(2420),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2420),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2420),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2420),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_API_AVAILABLE] = ACTIONS(2420),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_API_DEPRECATED] = ACTIONS(2420),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym___deprecated_msg] = ACTIONS(2420),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2420),
    [anon_sym_ATsynthesize] = ACTIONS(2422),
    [anon_sym_ATdynamic] = ACTIONS(2422),
    [anon_sym_ATproperty] = ACTIONS(2422),
    [anon_sym_BOOL] = ACTIONS(2420),
    [anon_sym_IMP] = ACTIONS(2420),
    [anon_sym_SEL] = ACTIONS(2420),
    [anon_sym_Class] = ACTIONS(2420),
    [anon_sym_id] = ACTIONS(2420),
  },
  [2304] = {
    [sym_identifier] = ACTIONS(2770),
    [aux_sym_preproc_def_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token1] = ACTIONS(2770),
    [aux_sym_preproc_if_token2] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2770),
    [sym_preproc_directive] = ACTIONS(2770),
    [anon_sym_DASH] = ACTIONS(2772),
    [anon_sym_PLUS] = ACTIONS(2772),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym_typedef] = ACTIONS(2770),
    [anon_sym_extern] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym___attribute] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2772),
    [anon_sym___declspec] = ACTIONS(2770),
    [anon_sym___cdecl] = ACTIONS(2770),
    [anon_sym___clrcall] = ACTIONS(2770),
    [anon_sym___stdcall] = ACTIONS(2770),
    [anon_sym___fastcall] = ACTIONS(2770),
    [anon_sym___thiscall] = ACTIONS(2770),
    [anon_sym___vectorcall] = ACTIONS(2770),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_static] = ACTIONS(2770),
    [anon_sym_auto] = ACTIONS(2770),
    [anon_sym_register] = ACTIONS(2770),
    [anon_sym_inline] = ACTIONS(2770),
    [anon_sym___inline] = ACTIONS(2770),
    [anon_sym___inline__] = ACTIONS(2770),
    [anon_sym___forceinline] = ACTIONS(2770),
    [anon_sym_thread_local] = ACTIONS(2770),
    [anon_sym___thread] = ACTIONS(2770),
    [anon_sym_CG_EXTERN] = ACTIONS(2770),
    [anon_sym_CG_INLINE] = ACTIONS(2770),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2770),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2770),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2770),
    [anon_sym_IBOutlet] = ACTIONS(2770),
    [anon_sym_IBInspectable] = ACTIONS(2770),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2770),
    [anon_sym_NS_INLINE] = ACTIONS(2770),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2770),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2770),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2770),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym__Nonnull] = ACTIONS(2770),
    [anon_sym_nullable] = ACTIONS(2770),
    [anon_sym__Complex] = ACTIONS(2770),
    [anon_sym__Nullable] = ACTIONS(2770),
    [anon_sym__Nullable_result] = ACTIONS(2770),
    [anon_sym__Null_unspecified] = ACTIONS(2770),
    [anon_sym___autoreleasing] = ACTIONS(2770),
    [anon_sym___block] = ACTIONS(2770),
    [anon_sym___bridge] = ACTIONS(2770),
    [anon_sym___bridge_retained] = ACTIONS(2770),
    [anon_sym___bridge_transfer] = ACTIONS(2770),
    [anon_sym___complex] = ACTIONS(2770),
    [anon_sym___const] = ACTIONS(2770),
    [anon_sym___imag] = ACTIONS(2770),
    [anon_sym___kindof] = ACTIONS(2770),
    [anon_sym___nonnull] = ACTIONS(2770),
    [anon_sym___nullable] = ACTIONS(2770),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2770),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2770),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2770),
    [anon_sym___real] = ACTIONS(2770),
    [anon_sym___strong] = ACTIONS(2770),
    [anon_sym___unsafe_unretained] = ACTIONS(2770),
    [anon_sym___unused] = ACTIONS(2770),
    [anon_sym___weak] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym__Alignas] = ACTIONS(2770),
    [sym_primitive_type] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2770),
    [anon_sym___typeof] = ACTIONS(2770),
    [anon_sym_typeof] = ACTIONS(2770),
    [aux_sym_preproc_undef_token1] = ACTIONS(2770),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2770),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2770),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2770),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2770),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2770),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2770),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2770),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2770),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2770),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_API_AVAILABLE] = ACTIONS(2770),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_API_DEPRECATED] = ACTIONS(2770),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2770),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2770),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2770),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2770),
    [anon_sym___deprecated_msg] = ACTIONS(2770),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2770),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2770),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2770),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2770),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2770),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2770),
    [anon_sym_ATsynthesize] = ACTIONS(2772),
    [anon_sym_ATdynamic] = ACTIONS(2772),
    [anon_sym_ATproperty] = ACTIONS(2772),
    [anon_sym_BOOL] = ACTIONS(2770),
    [anon_sym_IMP] = ACTIONS(2770),
    [anon_sym_SEL] = ACTIONS(2770),
    [anon_sym_Class] = ACTIONS(2770),
    [anon_sym_id] = ACTIONS(2770),
  },
  [2305] = {
    [sym_identifier] = ACTIONS(5399),
    [aux_sym_preproc_def_token1] = ACTIONS(5399),
    [aux_sym_preproc_if_token1] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5399),
    [sym_preproc_directive] = ACTIONS(5399),
    [anon_sym_DASH] = ACTIONS(5401),
    [anon_sym_PLUS] = ACTIONS(5401),
    [anon_sym_SEMI] = ACTIONS(5610),
    [anon_sym___extension__] = ACTIONS(5399),
    [anon_sym_typedef] = ACTIONS(5399),
    [anon_sym_extern] = ACTIONS(5399),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym___attribute] = ACTIONS(5399),
    [anon_sym_noreturn] = ACTIONS(5399),
    [anon_sym_LBRACK] = ACTIONS(5401),
    [anon_sym___declspec] = ACTIONS(5399),
    [anon_sym___cdecl] = ACTIONS(5399),
    [anon_sym___clrcall] = ACTIONS(5399),
    [anon_sym___stdcall] = ACTIONS(5399),
    [anon_sym___fastcall] = ACTIONS(5399),
    [anon_sym___thiscall] = ACTIONS(5399),
    [anon_sym___vectorcall] = ACTIONS(5399),
    [anon_sym_signed] = ACTIONS(5399),
    [anon_sym_unsigned] = ACTIONS(5399),
    [anon_sym_long] = ACTIONS(5399),
    [anon_sym_short] = ACTIONS(5399),
    [anon_sym_static] = ACTIONS(5399),
    [anon_sym_auto] = ACTIONS(5399),
    [anon_sym_register] = ACTIONS(5399),
    [anon_sym_inline] = ACTIONS(5399),
    [anon_sym___inline] = ACTIONS(5399),
    [anon_sym___inline__] = ACTIONS(5399),
    [anon_sym___forceinline] = ACTIONS(5399),
    [anon_sym_thread_local] = ACTIONS(5399),
    [anon_sym___thread] = ACTIONS(5399),
    [anon_sym_CG_EXTERN] = ACTIONS(5399),
    [anon_sym_CG_INLINE] = ACTIONS(5399),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5399),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5399),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5399),
    [anon_sym_IBOutlet] = ACTIONS(5399),
    [anon_sym_IBInspectable] = ACTIONS(5399),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5399),
    [anon_sym_NS_INLINE] = ACTIONS(5399),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5399),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5399),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5399),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5399),
    [anon_sym_const] = ACTIONS(5399),
    [anon_sym_constexpr] = ACTIONS(5399),
    [anon_sym_volatile] = ACTIONS(5399),
    [anon_sym_restrict] = ACTIONS(5399),
    [anon_sym___restrict__] = ACTIONS(5399),
    [anon_sym__Atomic] = ACTIONS(5399),
    [anon_sym__Noreturn] = ACTIONS(5399),
    [anon_sym__Nonnull] = ACTIONS(5399),
    [anon_sym_nullable] = ACTIONS(5399),
    [anon_sym__Complex] = ACTIONS(5399),
    [anon_sym__Nullable] = ACTIONS(5399),
    [anon_sym__Nullable_result] = ACTIONS(5399),
    [anon_sym__Null_unspecified] = ACTIONS(5399),
    [anon_sym___autoreleasing] = ACTIONS(5399),
    [anon_sym___block] = ACTIONS(5399),
    [anon_sym___bridge] = ACTIONS(5399),
    [anon_sym___bridge_retained] = ACTIONS(5399),
    [anon_sym___bridge_transfer] = ACTIONS(5399),
    [anon_sym___complex] = ACTIONS(5399),
    [anon_sym___const] = ACTIONS(5399),
    [anon_sym___imag] = ACTIONS(5399),
    [anon_sym___kindof] = ACTIONS(5399),
    [anon_sym___nonnull] = ACTIONS(5399),
    [anon_sym___nullable] = ACTIONS(5399),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5399),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5399),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5399),
    [anon_sym___real] = ACTIONS(5399),
    [anon_sym___strong] = ACTIONS(5399),
    [anon_sym___unsafe_unretained] = ACTIONS(5399),
    [anon_sym___unused] = ACTIONS(5399),
    [anon_sym___weak] = ACTIONS(5399),
    [anon_sym_alignas] = ACTIONS(5399),
    [anon_sym__Alignas] = ACTIONS(5399),
    [sym_primitive_type] = ACTIONS(5399),
    [anon_sym_enum] = ACTIONS(5399),
    [anon_sym_struct] = ACTIONS(5399),
    [anon_sym_union] = ACTIONS(5399),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5399),
    [anon_sym___typeof] = ACTIONS(5399),
    [anon_sym_typeof] = ACTIONS(5399),
    [aux_sym_preproc_undef_token1] = ACTIONS(5399),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5399),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5399),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5399),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5399),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5399),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5399),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5399),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5399),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5399),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5399),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5399),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5399),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5399),
    [anon_sym_API_AVAILABLE] = ACTIONS(5399),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5399),
    [anon_sym_API_DEPRECATED] = ACTIONS(5399),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5399),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5399),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5399),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5399),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5399),
    [anon_sym___deprecated_msg] = ACTIONS(5399),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5399),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5399),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5399),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5399),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5399),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5399),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5399),
    [anon_sym_ATend] = ACTIONS(5401),
    [anon_sym_ATsynthesize] = ACTIONS(5401),
    [anon_sym_ATdynamic] = ACTIONS(5401),
    [anon_sym_BOOL] = ACTIONS(5399),
    [anon_sym_IMP] = ACTIONS(5399),
    [anon_sym_SEL] = ACTIONS(5399),
    [anon_sym_Class] = ACTIONS(5399),
    [anon_sym_id] = ACTIONS(5399),
  },
  [2306] = {
    [sym_identifier] = ACTIONS(2420),
    [aux_sym_preproc_def_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token1] = ACTIONS(2420),
    [aux_sym_preproc_if_token2] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2420),
    [sym_preproc_directive] = ACTIONS(2420),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym___extension__] = ACTIONS(2420),
    [anon_sym_typedef] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym___attribute__] = ACTIONS(2420),
    [anon_sym___attribute] = ACTIONS(2420),
    [anon_sym_noreturn] = ACTIONS(2420),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym___declspec] = ACTIONS(2420),
    [anon_sym___cdecl] = ACTIONS(2420),
    [anon_sym___clrcall] = ACTIONS(2420),
    [anon_sym___stdcall] = ACTIONS(2420),
    [anon_sym___fastcall] = ACTIONS(2420),
    [anon_sym___thiscall] = ACTIONS(2420),
    [anon_sym___vectorcall] = ACTIONS(2420),
    [anon_sym_signed] = ACTIONS(2420),
    [anon_sym_unsigned] = ACTIONS(2420),
    [anon_sym_long] = ACTIONS(2420),
    [anon_sym_short] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_auto] = ACTIONS(2420),
    [anon_sym_register] = ACTIONS(2420),
    [anon_sym_inline] = ACTIONS(2420),
    [anon_sym___inline] = ACTIONS(2420),
    [anon_sym___inline__] = ACTIONS(2420),
    [anon_sym___forceinline] = ACTIONS(2420),
    [anon_sym_thread_local] = ACTIONS(2420),
    [anon_sym___thread] = ACTIONS(2420),
    [anon_sym_CG_EXTERN] = ACTIONS(2420),
    [anon_sym_CG_INLINE] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2420),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2420),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2420),
    [anon_sym_IBOutlet] = ACTIONS(2420),
    [anon_sym_IBInspectable] = ACTIONS(2420),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2420),
    [anon_sym_NS_INLINE] = ACTIONS(2420),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2420),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2420),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_constexpr] = ACTIONS(2420),
    [anon_sym_volatile] = ACTIONS(2420),
    [anon_sym_restrict] = ACTIONS(2420),
    [anon_sym___restrict__] = ACTIONS(2420),
    [anon_sym__Atomic] = ACTIONS(2420),
    [anon_sym__Noreturn] = ACTIONS(2420),
    [anon_sym__Nonnull] = ACTIONS(2420),
    [anon_sym_nullable] = ACTIONS(2420),
    [anon_sym__Complex] = ACTIONS(2420),
    [anon_sym__Nullable] = ACTIONS(2420),
    [anon_sym__Nullable_result] = ACTIONS(2420),
    [anon_sym__Null_unspecified] = ACTIONS(2420),
    [anon_sym___autoreleasing] = ACTIONS(2420),
    [anon_sym___block] = ACTIONS(2420),
    [anon_sym___bridge] = ACTIONS(2420),
    [anon_sym___bridge_retained] = ACTIONS(2420),
    [anon_sym___bridge_transfer] = ACTIONS(2420),
    [anon_sym___complex] = ACTIONS(2420),
    [anon_sym___const] = ACTIONS(2420),
    [anon_sym___imag] = ACTIONS(2420),
    [anon_sym___kindof] = ACTIONS(2420),
    [anon_sym___nonnull] = ACTIONS(2420),
    [anon_sym___nullable] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2420),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2420),
    [anon_sym___real] = ACTIONS(2420),
    [anon_sym___strong] = ACTIONS(2420),
    [anon_sym___unsafe_unretained] = ACTIONS(2420),
    [anon_sym___unused] = ACTIONS(2420),
    [anon_sym___weak] = ACTIONS(2420),
    [anon_sym_alignas] = ACTIONS(2420),
    [anon_sym__Alignas] = ACTIONS(2420),
    [sym_primitive_type] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2420),
    [anon_sym___typeof] = ACTIONS(2420),
    [anon_sym_typeof] = ACTIONS(2420),
    [aux_sym_preproc_undef_token1] = ACTIONS(2420),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2420),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2420),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2420),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2420),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2420),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_API_AVAILABLE] = ACTIONS(2420),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_API_DEPRECATED] = ACTIONS(2420),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2420),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2420),
    [anon_sym___deprecated_msg] = ACTIONS(2420),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2420),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2420),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2420),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2420),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2420),
    [anon_sym_ATsynthesize] = ACTIONS(2422),
    [anon_sym_ATdynamic] = ACTIONS(2422),
    [anon_sym_ATproperty] = ACTIONS(2422),
    [anon_sym_BOOL] = ACTIONS(2420),
    [anon_sym_IMP] = ACTIONS(2420),
    [anon_sym_SEL] = ACTIONS(2420),
    [anon_sym_Class] = ACTIONS(2420),
    [anon_sym_id] = ACTIONS(2420),
  },
  [2307] = {
    [sym_identifier] = ACTIONS(3590),
    [aux_sym_preproc_def_token1] = ACTIONS(3590),
    [aux_sym_preproc_if_token1] = ACTIONS(3590),
    [aux_sym_preproc_if_token2] = ACTIONS(3590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3590),
    [aux_sym_preproc_else_token1] = ACTIONS(3590),
    [aux_sym_preproc_elif_token1] = ACTIONS(3590),
    [sym_preproc_directive] = ACTIONS(3590),
    [anon_sym_DASH] = ACTIONS(5612),
    [anon_sym_PLUS] = ACTIONS(5612),
    [anon_sym___extension__] = ACTIONS(3590),
    [anon_sym_typedef] = ACTIONS(3590),
    [anon_sym_extern] = ACTIONS(3590),
    [anon_sym___attribute__] = ACTIONS(3590),
    [anon_sym___attribute] = ACTIONS(3590),
    [anon_sym_noreturn] = ACTIONS(3590),
    [anon_sym_LBRACK] = ACTIONS(5612),
    [anon_sym___declspec] = ACTIONS(3590),
    [anon_sym___cdecl] = ACTIONS(3590),
    [anon_sym___clrcall] = ACTIONS(3590),
    [anon_sym___stdcall] = ACTIONS(3590),
    [anon_sym___fastcall] = ACTIONS(3590),
    [anon_sym___thiscall] = ACTIONS(3590),
    [anon_sym___vectorcall] = ACTIONS(3590),
    [anon_sym_signed] = ACTIONS(3590),
    [anon_sym_unsigned] = ACTIONS(3590),
    [anon_sym_long] = ACTIONS(3590),
    [anon_sym_short] = ACTIONS(3590),
    [anon_sym_static] = ACTIONS(3590),
    [anon_sym_auto] = ACTIONS(3590),
    [anon_sym_register] = ACTIONS(3590),
    [anon_sym_inline] = ACTIONS(3590),
    [anon_sym___inline] = ACTIONS(3590),
    [anon_sym___inline__] = ACTIONS(3590),
    [anon_sym___forceinline] = ACTIONS(3590),
    [anon_sym_thread_local] = ACTIONS(3590),
    [anon_sym___thread] = ACTIONS(3590),
    [anon_sym_CG_EXTERN] = ACTIONS(3590),
    [anon_sym_CG_INLINE] = ACTIONS(3590),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(3590),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(3590),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(3590),
    [anon_sym_IBOutlet] = ACTIONS(3590),
    [anon_sym_IBInspectable] = ACTIONS(3590),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(3590),
    [anon_sym_NS_INLINE] = ACTIONS(3590),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(3590),
    [anon_sym_OBJC_EXPORT] = ACTIONS(3590),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(3590),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(3590),
    [anon_sym_const] = ACTIONS(3590),
    [anon_sym_constexpr] = ACTIONS(3590),
    [anon_sym_volatile] = ACTIONS(3590),
    [anon_sym_restrict] = ACTIONS(3590),
    [anon_sym___restrict__] = ACTIONS(3590),
    [anon_sym__Atomic] = ACTIONS(3590),
    [anon_sym__Noreturn] = ACTIONS(3590),
    [anon_sym__Nonnull] = ACTIONS(3590),
    [anon_sym_nullable] = ACTIONS(3590),
    [anon_sym__Complex] = ACTIONS(3590),
    [anon_sym__Nullable] = ACTIONS(3590),
    [anon_sym__Nullable_result] = ACTIONS(3590),
    [anon_sym__Null_unspecified] = ACTIONS(3590),
    [anon_sym___autoreleasing] = ACTIONS(3590),
    [anon_sym___block] = ACTIONS(3590),
    [anon_sym___bridge] = ACTIONS(3590),
    [anon_sym___bridge_retained] = ACTIONS(3590),
    [anon_sym___bridge_transfer] = ACTIONS(3590),
    [anon_sym___complex] = ACTIONS(3590),
    [anon_sym___const] = ACTIONS(3590),
    [anon_sym___imag] = ACTIONS(3590),
    [anon_sym___kindof] = ACTIONS(3590),
    [anon_sym___nonnull] = ACTIONS(3590),
    [anon_sym___nullable] = ACTIONS(3590),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(3590),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(3590),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(3590),
    [anon_sym___real] = ACTIONS(3590),
    [anon_sym___strong] = ACTIONS(3590),
    [anon_sym___unsafe_unretained] = ACTIONS(3590),
    [anon_sym___unused] = ACTIONS(3590),
    [anon_sym___weak] = ACTIONS(3590),
    [anon_sym_alignas] = ACTIONS(3590),
    [anon_sym__Alignas] = ACTIONS(3590),
    [sym_primitive_type] = ACTIONS(3590),
    [anon_sym_enum] = ACTIONS(3590),
    [anon_sym_struct] = ACTIONS(3590),
    [anon_sym_union] = ACTIONS(3590),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(3590),
    [anon_sym___typeof] = ACTIONS(3590),
    [anon_sym_typeof] = ACTIONS(3590),
    [aux_sym_preproc_undef_token1] = ACTIONS(3590),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(3590),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(3590),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(3590),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(3590),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(3590),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(3590),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(3590),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(3590),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(3590),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(3590),
    [anon_sym_NS_AVAILABLE] = ACTIONS(3590),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(3590),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(3590),
    [anon_sym_API_AVAILABLE] = ACTIONS(3590),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(3590),
    [anon_sym_API_DEPRECATED] = ACTIONS(3590),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(3590),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(3590),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(3590),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(3590),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(3590),
    [anon_sym___deprecated_msg] = ACTIONS(3590),
    [anon_sym___deprecated_enum_msg] = ACTIONS(3590),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(3590),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(3590),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(3590),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(3590),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(3590),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(3590),
    [anon_sym_ATproperty] = ACTIONS(5612),
    [anon_sym_BOOL] = ACTIONS(3590),
    [anon_sym_IMP] = ACTIONS(3590),
    [anon_sym_SEL] = ACTIONS(3590),
    [anon_sym_Class] = ACTIONS(3590),
    [anon_sym_id] = ACTIONS(3590),
  },
  [2308] = {
    [sym_identifier] = ACTIONS(5409),
    [aux_sym_preproc_def_token1] = ACTIONS(5409),
    [aux_sym_preproc_if_token1] = ACTIONS(5409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5409),
    [sym_preproc_directive] = ACTIONS(5409),
    [anon_sym_DASH] = ACTIONS(5411),
    [anon_sym_PLUS] = ACTIONS(5411),
    [anon_sym_SEMI] = ACTIONS(5614),
    [anon_sym___extension__] = ACTIONS(5409),
    [anon_sym_typedef] = ACTIONS(5409),
    [anon_sym_extern] = ACTIONS(5409),
    [anon_sym___attribute__] = ACTIONS(5409),
    [anon_sym___attribute] = ACTIONS(5409),
    [anon_sym_noreturn] = ACTIONS(5409),
    [anon_sym_LBRACK] = ACTIONS(5411),
    [anon_sym___declspec] = ACTIONS(5409),
    [anon_sym___cdecl] = ACTIONS(5409),
    [anon_sym___clrcall] = ACTIONS(5409),
    [anon_sym___stdcall] = ACTIONS(5409),
    [anon_sym___fastcall] = ACTIONS(5409),
    [anon_sym___thiscall] = ACTIONS(5409),
    [anon_sym___vectorcall] = ACTIONS(5409),
    [anon_sym_signed] = ACTIONS(5409),
    [anon_sym_unsigned] = ACTIONS(5409),
    [anon_sym_long] = ACTIONS(5409),
    [anon_sym_short] = ACTIONS(5409),
    [anon_sym_static] = ACTIONS(5409),
    [anon_sym_auto] = ACTIONS(5409),
    [anon_sym_register] = ACTIONS(5409),
    [anon_sym_inline] = ACTIONS(5409),
    [anon_sym___inline] = ACTIONS(5409),
    [anon_sym___inline__] = ACTIONS(5409),
    [anon_sym___forceinline] = ACTIONS(5409),
    [anon_sym_thread_local] = ACTIONS(5409),
    [anon_sym___thread] = ACTIONS(5409),
    [anon_sym_CG_EXTERN] = ACTIONS(5409),
    [anon_sym_CG_INLINE] = ACTIONS(5409),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5409),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5409),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5409),
    [anon_sym_IBOutlet] = ACTIONS(5409),
    [anon_sym_IBInspectable] = ACTIONS(5409),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5409),
    [anon_sym_NS_INLINE] = ACTIONS(5409),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5409),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5409),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5409),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5409),
    [anon_sym_const] = ACTIONS(5409),
    [anon_sym_constexpr] = ACTIONS(5409),
    [anon_sym_volatile] = ACTIONS(5409),
    [anon_sym_restrict] = ACTIONS(5409),
    [anon_sym___restrict__] = ACTIONS(5409),
    [anon_sym__Atomic] = ACTIONS(5409),
    [anon_sym__Noreturn] = ACTIONS(5409),
    [anon_sym__Nonnull] = ACTIONS(5409),
    [anon_sym_nullable] = ACTIONS(5409),
    [anon_sym__Complex] = ACTIONS(5409),
    [anon_sym__Nullable] = ACTIONS(5409),
    [anon_sym__Nullable_result] = ACTIONS(5409),
    [anon_sym__Null_unspecified] = ACTIONS(5409),
    [anon_sym___autoreleasing] = ACTIONS(5409),
    [anon_sym___block] = ACTIONS(5409),
    [anon_sym___bridge] = ACTIONS(5409),
    [anon_sym___bridge_retained] = ACTIONS(5409),
    [anon_sym___bridge_transfer] = ACTIONS(5409),
    [anon_sym___complex] = ACTIONS(5409),
    [anon_sym___const] = ACTIONS(5409),
    [anon_sym___imag] = ACTIONS(5409),
    [anon_sym___kindof] = ACTIONS(5409),
    [anon_sym___nonnull] = ACTIONS(5409),
    [anon_sym___nullable] = ACTIONS(5409),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5409),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5409),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5409),
    [anon_sym___real] = ACTIONS(5409),
    [anon_sym___strong] = ACTIONS(5409),
    [anon_sym___unsafe_unretained] = ACTIONS(5409),
    [anon_sym___unused] = ACTIONS(5409),
    [anon_sym___weak] = ACTIONS(5409),
    [anon_sym_alignas] = ACTIONS(5409),
    [anon_sym__Alignas] = ACTIONS(5409),
    [sym_primitive_type] = ACTIONS(5409),
    [anon_sym_enum] = ACTIONS(5409),
    [anon_sym_struct] = ACTIONS(5409),
    [anon_sym_union] = ACTIONS(5409),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5409),
    [anon_sym___typeof] = ACTIONS(5409),
    [anon_sym_typeof] = ACTIONS(5409),
    [aux_sym_preproc_undef_token1] = ACTIONS(5409),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5409),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5409),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5409),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5409),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5409),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5409),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5409),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5409),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5409),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5409),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5409),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5409),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5409),
    [anon_sym_API_AVAILABLE] = ACTIONS(5409),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5409),
    [anon_sym_API_DEPRECATED] = ACTIONS(5409),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5409),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5409),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5409),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5409),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5409),
    [anon_sym___deprecated_msg] = ACTIONS(5409),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5409),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5409),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5409),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5409),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5409),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5409),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5409),
    [anon_sym_ATend] = ACTIONS(5411),
    [anon_sym_ATsynthesize] = ACTIONS(5411),
    [anon_sym_ATdynamic] = ACTIONS(5411),
    [anon_sym_BOOL] = ACTIONS(5409),
    [anon_sym_IMP] = ACTIONS(5409),
    [anon_sym_SEL] = ACTIONS(5409),
    [anon_sym_Class] = ACTIONS(5409),
    [anon_sym_id] = ACTIONS(5409),
  },
  [2309] = {
    [sym_identifier] = ACTIONS(5513),
    [aux_sym_preproc_def_token1] = ACTIONS(5513),
    [aux_sym_preproc_if_token1] = ACTIONS(5513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5513),
    [sym_preproc_directive] = ACTIONS(5513),
    [anon_sym_DASH] = ACTIONS(5515),
    [anon_sym_PLUS] = ACTIONS(5515),
    [anon_sym___extension__] = ACTIONS(5513),
    [anon_sym_typedef] = ACTIONS(5513),
    [anon_sym_extern] = ACTIONS(5513),
    [anon_sym___attribute__] = ACTIONS(5513),
    [anon_sym___attribute] = ACTIONS(5513),
    [anon_sym_noreturn] = ACTIONS(5513),
    [anon_sym_LBRACK] = ACTIONS(5515),
    [anon_sym___declspec] = ACTIONS(5513),
    [anon_sym___cdecl] = ACTIONS(5513),
    [anon_sym___clrcall] = ACTIONS(5513),
    [anon_sym___stdcall] = ACTIONS(5513),
    [anon_sym___fastcall] = ACTIONS(5513),
    [anon_sym___thiscall] = ACTIONS(5513),
    [anon_sym___vectorcall] = ACTIONS(5513),
    [anon_sym_signed] = ACTIONS(5513),
    [anon_sym_unsigned] = ACTIONS(5513),
    [anon_sym_long] = ACTIONS(5513),
    [anon_sym_short] = ACTIONS(5513),
    [anon_sym_static] = ACTIONS(5513),
    [anon_sym_auto] = ACTIONS(5513),
    [anon_sym_register] = ACTIONS(5513),
    [anon_sym_inline] = ACTIONS(5513),
    [anon_sym___inline] = ACTIONS(5513),
    [anon_sym___inline__] = ACTIONS(5513),
    [anon_sym___forceinline] = ACTIONS(5513),
    [anon_sym_thread_local] = ACTIONS(5513),
    [anon_sym___thread] = ACTIONS(5513),
    [anon_sym_CG_EXTERN] = ACTIONS(5513),
    [anon_sym_CG_INLINE] = ACTIONS(5513),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5513),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5513),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5513),
    [anon_sym_IBOutlet] = ACTIONS(5513),
    [anon_sym_IBInspectable] = ACTIONS(5513),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5513),
    [anon_sym_NS_INLINE] = ACTIONS(5513),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5513),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5513),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5513),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5513),
    [anon_sym_const] = ACTIONS(5513),
    [anon_sym_constexpr] = ACTIONS(5513),
    [anon_sym_volatile] = ACTIONS(5513),
    [anon_sym_restrict] = ACTIONS(5513),
    [anon_sym___restrict__] = ACTIONS(5513),
    [anon_sym__Atomic] = ACTIONS(5513),
    [anon_sym__Noreturn] = ACTIONS(5513),
    [anon_sym__Nonnull] = ACTIONS(5513),
    [anon_sym_nullable] = ACTIONS(5513),
    [anon_sym__Complex] = ACTIONS(5513),
    [anon_sym__Nullable] = ACTIONS(5513),
    [anon_sym__Nullable_result] = ACTIONS(5513),
    [anon_sym__Null_unspecified] = ACTIONS(5513),
    [anon_sym___autoreleasing] = ACTIONS(5513),
    [anon_sym___block] = ACTIONS(5513),
    [anon_sym___bridge] = ACTIONS(5513),
    [anon_sym___bridge_retained] = ACTIONS(5513),
    [anon_sym___bridge_transfer] = ACTIONS(5513),
    [anon_sym___complex] = ACTIONS(5513),
    [anon_sym___const] = ACTIONS(5513),
    [anon_sym___imag] = ACTIONS(5513),
    [anon_sym___kindof] = ACTIONS(5513),
    [anon_sym___nonnull] = ACTIONS(5513),
    [anon_sym___nullable] = ACTIONS(5513),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5513),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5513),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5513),
    [anon_sym___real] = ACTIONS(5513),
    [anon_sym___strong] = ACTIONS(5513),
    [anon_sym___unsafe_unretained] = ACTIONS(5513),
    [anon_sym___unused] = ACTIONS(5513),
    [anon_sym___weak] = ACTIONS(5513),
    [anon_sym_alignas] = ACTIONS(5513),
    [anon_sym__Alignas] = ACTIONS(5513),
    [sym_primitive_type] = ACTIONS(5513),
    [anon_sym_enum] = ACTIONS(5513),
    [anon_sym_struct] = ACTIONS(5513),
    [anon_sym_union] = ACTIONS(5513),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5513),
    [anon_sym___typeof] = ACTIONS(5513),
    [anon_sym_typeof] = ACTIONS(5513),
    [aux_sym_preproc_undef_token1] = ACTIONS(5513),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5513),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5513),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5513),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5513),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5513),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5513),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5513),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5513),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5513),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5513),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5513),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5513),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5513),
    [anon_sym_API_AVAILABLE] = ACTIONS(5513),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5513),
    [anon_sym_API_DEPRECATED] = ACTIONS(5513),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5513),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5513),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5513),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5513),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5513),
    [anon_sym___deprecated_msg] = ACTIONS(5513),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5513),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5513),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5513),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5513),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5513),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5513),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5513),
    [anon_sym_ATend] = ACTIONS(5515),
    [anon_sym_ATsynthesize] = ACTIONS(5515),
    [anon_sym_ATdynamic] = ACTIONS(5515),
    [anon_sym_ATproperty] = ACTIONS(5515),
    [anon_sym_BOOL] = ACTIONS(5513),
    [anon_sym_IMP] = ACTIONS(5513),
    [anon_sym_SEL] = ACTIONS(5513),
    [anon_sym_Class] = ACTIONS(5513),
    [anon_sym_id] = ACTIONS(5513),
  },
  [2310] = {
    [sym_identifier] = ACTIONS(2436),
    [aux_sym_preproc_def_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token2] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2436),
    [sym_preproc_directive] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym___attribute] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym___cdecl] = ACTIONS(2436),
    [anon_sym___clrcall] = ACTIONS(2436),
    [anon_sym___stdcall] = ACTIONS(2436),
    [anon_sym___fastcall] = ACTIONS(2436),
    [anon_sym___thiscall] = ACTIONS(2436),
    [anon_sym___vectorcall] = ACTIONS(2436),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_auto] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_CG_EXTERN] = ACTIONS(2436),
    [anon_sym_CG_INLINE] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2436),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2436),
    [anon_sym_IBOutlet] = ACTIONS(2436),
    [anon_sym_IBInspectable] = ACTIONS(2436),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2436),
    [anon_sym_NS_INLINE] = ACTIONS(2436),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2436),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2436),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym__Nonnull] = ACTIONS(2436),
    [anon_sym_nullable] = ACTIONS(2436),
    [anon_sym__Complex] = ACTIONS(2436),
    [anon_sym__Nullable] = ACTIONS(2436),
    [anon_sym__Nullable_result] = ACTIONS(2436),
    [anon_sym__Null_unspecified] = ACTIONS(2436),
    [anon_sym___autoreleasing] = ACTIONS(2436),
    [anon_sym___block] = ACTIONS(2436),
    [anon_sym___bridge] = ACTIONS(2436),
    [anon_sym___bridge_retained] = ACTIONS(2436),
    [anon_sym___bridge_transfer] = ACTIONS(2436),
    [anon_sym___complex] = ACTIONS(2436),
    [anon_sym___const] = ACTIONS(2436),
    [anon_sym___imag] = ACTIONS(2436),
    [anon_sym___kindof] = ACTIONS(2436),
    [anon_sym___nonnull] = ACTIONS(2436),
    [anon_sym___nullable] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2436),
    [anon_sym___real] = ACTIONS(2436),
    [anon_sym___strong] = ACTIONS(2436),
    [anon_sym___unsafe_unretained] = ACTIONS(2436),
    [anon_sym___unused] = ACTIONS(2436),
    [anon_sym___weak] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym__Alignas] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2436),
    [anon_sym___typeof] = ACTIONS(2436),
    [anon_sym_typeof] = ACTIONS(2436),
    [aux_sym_preproc_undef_token1] = ACTIONS(2436),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2436),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2436),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2436),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_API_AVAILABLE] = ACTIONS(2436),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_API_DEPRECATED] = ACTIONS(2436),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym___deprecated_msg] = ACTIONS(2436),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2436),
    [anon_sym_ATsynthesize] = ACTIONS(2438),
    [anon_sym_ATdynamic] = ACTIONS(2438),
    [anon_sym_ATproperty] = ACTIONS(2438),
    [anon_sym_BOOL] = ACTIONS(2436),
    [anon_sym_IMP] = ACTIONS(2436),
    [anon_sym_SEL] = ACTIONS(2436),
    [anon_sym_Class] = ACTIONS(2436),
    [anon_sym_id] = ACTIONS(2436),
  },
  [2311] = {
    [sym_identifier] = ACTIONS(5616),
    [aux_sym_preproc_def_token1] = ACTIONS(5616),
    [aux_sym_preproc_if_token1] = ACTIONS(5616),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5616),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5616),
    [sym_preproc_directive] = ACTIONS(5616),
    [anon_sym_DASH] = ACTIONS(5618),
    [anon_sym_PLUS] = ACTIONS(5618),
    [anon_sym_LT] = ACTIONS(5618),
    [anon_sym___extension__] = ACTIONS(5616),
    [anon_sym_typedef] = ACTIONS(5616),
    [anon_sym_extern] = ACTIONS(5616),
    [anon_sym___attribute__] = ACTIONS(5616),
    [anon_sym___attribute] = ACTIONS(5616),
    [anon_sym_noreturn] = ACTIONS(5616),
    [anon_sym_LBRACK] = ACTIONS(5618),
    [anon_sym___declspec] = ACTIONS(5616),
    [anon_sym___cdecl] = ACTIONS(5616),
    [anon_sym___clrcall] = ACTIONS(5616),
    [anon_sym___stdcall] = ACTIONS(5616),
    [anon_sym___fastcall] = ACTIONS(5616),
    [anon_sym___thiscall] = ACTIONS(5616),
    [anon_sym___vectorcall] = ACTIONS(5616),
    [anon_sym_LBRACE] = ACTIONS(5618),
    [anon_sym_signed] = ACTIONS(5616),
    [anon_sym_unsigned] = ACTIONS(5616),
    [anon_sym_long] = ACTIONS(5616),
    [anon_sym_short] = ACTIONS(5616),
    [anon_sym_static] = ACTIONS(5616),
    [anon_sym_auto] = ACTIONS(5616),
    [anon_sym_register] = ACTIONS(5616),
    [anon_sym_inline] = ACTIONS(5616),
    [anon_sym___inline] = ACTIONS(5616),
    [anon_sym___inline__] = ACTIONS(5616),
    [anon_sym___forceinline] = ACTIONS(5616),
    [anon_sym_thread_local] = ACTIONS(5616),
    [anon_sym___thread] = ACTIONS(5616),
    [anon_sym_CG_EXTERN] = ACTIONS(5616),
    [anon_sym_CG_INLINE] = ACTIONS(5616),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5616),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5616),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5616),
    [anon_sym_IBOutlet] = ACTIONS(5616),
    [anon_sym_IBInspectable] = ACTIONS(5616),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5616),
    [anon_sym_NS_INLINE] = ACTIONS(5616),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5616),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5616),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5616),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5616),
    [anon_sym_const] = ACTIONS(5616),
    [anon_sym_constexpr] = ACTIONS(5616),
    [anon_sym_volatile] = ACTIONS(5616),
    [anon_sym_restrict] = ACTIONS(5616),
    [anon_sym___restrict__] = ACTIONS(5616),
    [anon_sym__Atomic] = ACTIONS(5616),
    [anon_sym__Noreturn] = ACTIONS(5616),
    [anon_sym__Nonnull] = ACTIONS(5616),
    [anon_sym_nullable] = ACTIONS(5616),
    [anon_sym__Complex] = ACTIONS(5616),
    [anon_sym__Nullable] = ACTIONS(5616),
    [anon_sym__Nullable_result] = ACTIONS(5616),
    [anon_sym__Null_unspecified] = ACTIONS(5616),
    [anon_sym___autoreleasing] = ACTIONS(5616),
    [anon_sym___block] = ACTIONS(5616),
    [anon_sym___bridge] = ACTIONS(5616),
    [anon_sym___bridge_retained] = ACTIONS(5616),
    [anon_sym___bridge_transfer] = ACTIONS(5616),
    [anon_sym___complex] = ACTIONS(5616),
    [anon_sym___const] = ACTIONS(5616),
    [anon_sym___imag] = ACTIONS(5616),
    [anon_sym___kindof] = ACTIONS(5616),
    [anon_sym___nonnull] = ACTIONS(5616),
    [anon_sym___nullable] = ACTIONS(5616),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5616),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5616),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5616),
    [anon_sym___real] = ACTIONS(5616),
    [anon_sym___strong] = ACTIONS(5616),
    [anon_sym___unsafe_unretained] = ACTIONS(5616),
    [anon_sym___unused] = ACTIONS(5616),
    [anon_sym___weak] = ACTIONS(5616),
    [anon_sym_alignas] = ACTIONS(5616),
    [anon_sym__Alignas] = ACTIONS(5616),
    [sym_primitive_type] = ACTIONS(5616),
    [anon_sym_enum] = ACTIONS(5616),
    [anon_sym_struct] = ACTIONS(5616),
    [anon_sym_union] = ACTIONS(5616),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5616),
    [anon_sym___typeof] = ACTIONS(5616),
    [anon_sym_typeof] = ACTIONS(5616),
    [aux_sym_preproc_undef_token1] = ACTIONS(5616),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5616),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5616),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5616),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5616),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5616),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5616),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5616),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5616),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5616),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5616),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5616),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5616),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5616),
    [anon_sym_API_AVAILABLE] = ACTIONS(5616),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5616),
    [anon_sym_API_DEPRECATED] = ACTIONS(5616),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5616),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5616),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5616),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5616),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5616),
    [anon_sym___deprecated_msg] = ACTIONS(5616),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5616),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5616),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5616),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5616),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5616),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5616),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5616),
    [anon_sym_ATend] = ACTIONS(5618),
    [anon_sym_ATproperty] = ACTIONS(5618),
    [anon_sym_BOOL] = ACTIONS(5616),
    [anon_sym_IMP] = ACTIONS(5616),
    [anon_sym_SEL] = ACTIONS(5616),
    [anon_sym_Class] = ACTIONS(5616),
    [anon_sym_id] = ACTIONS(5616),
  },
  [2312] = {
    [sym_identifier] = ACTIONS(5415),
    [aux_sym_preproc_def_token1] = ACTIONS(5415),
    [aux_sym_preproc_if_token1] = ACTIONS(5415),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5415),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5415),
    [sym_preproc_directive] = ACTIONS(5415),
    [anon_sym_DASH] = ACTIONS(5417),
    [anon_sym_PLUS] = ACTIONS(5417),
    [anon_sym_SEMI] = ACTIONS(5620),
    [anon_sym___extension__] = ACTIONS(5415),
    [anon_sym_typedef] = ACTIONS(5415),
    [anon_sym_extern] = ACTIONS(5415),
    [anon_sym___attribute__] = ACTIONS(5415),
    [anon_sym___attribute] = ACTIONS(5415),
    [anon_sym_noreturn] = ACTIONS(5415),
    [anon_sym_LBRACK] = ACTIONS(5417),
    [anon_sym___declspec] = ACTIONS(5415),
    [anon_sym___cdecl] = ACTIONS(5415),
    [anon_sym___clrcall] = ACTIONS(5415),
    [anon_sym___stdcall] = ACTIONS(5415),
    [anon_sym___fastcall] = ACTIONS(5415),
    [anon_sym___thiscall] = ACTIONS(5415),
    [anon_sym___vectorcall] = ACTIONS(5415),
    [anon_sym_signed] = ACTIONS(5415),
    [anon_sym_unsigned] = ACTIONS(5415),
    [anon_sym_long] = ACTIONS(5415),
    [anon_sym_short] = ACTIONS(5415),
    [anon_sym_static] = ACTIONS(5415),
    [anon_sym_auto] = ACTIONS(5415),
    [anon_sym_register] = ACTIONS(5415),
    [anon_sym_inline] = ACTIONS(5415),
    [anon_sym___inline] = ACTIONS(5415),
    [anon_sym___inline__] = ACTIONS(5415),
    [anon_sym___forceinline] = ACTIONS(5415),
    [anon_sym_thread_local] = ACTIONS(5415),
    [anon_sym___thread] = ACTIONS(5415),
    [anon_sym_CG_EXTERN] = ACTIONS(5415),
    [anon_sym_CG_INLINE] = ACTIONS(5415),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5415),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5415),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5415),
    [anon_sym_IBOutlet] = ACTIONS(5415),
    [anon_sym_IBInspectable] = ACTIONS(5415),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5415),
    [anon_sym_NS_INLINE] = ACTIONS(5415),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5415),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5415),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5415),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5415),
    [anon_sym_const] = ACTIONS(5415),
    [anon_sym_constexpr] = ACTIONS(5415),
    [anon_sym_volatile] = ACTIONS(5415),
    [anon_sym_restrict] = ACTIONS(5415),
    [anon_sym___restrict__] = ACTIONS(5415),
    [anon_sym__Atomic] = ACTIONS(5415),
    [anon_sym__Noreturn] = ACTIONS(5415),
    [anon_sym__Nonnull] = ACTIONS(5415),
    [anon_sym_nullable] = ACTIONS(5415),
    [anon_sym__Complex] = ACTIONS(5415),
    [anon_sym__Nullable] = ACTIONS(5415),
    [anon_sym__Nullable_result] = ACTIONS(5415),
    [anon_sym__Null_unspecified] = ACTIONS(5415),
    [anon_sym___autoreleasing] = ACTIONS(5415),
    [anon_sym___block] = ACTIONS(5415),
    [anon_sym___bridge] = ACTIONS(5415),
    [anon_sym___bridge_retained] = ACTIONS(5415),
    [anon_sym___bridge_transfer] = ACTIONS(5415),
    [anon_sym___complex] = ACTIONS(5415),
    [anon_sym___const] = ACTIONS(5415),
    [anon_sym___imag] = ACTIONS(5415),
    [anon_sym___kindof] = ACTIONS(5415),
    [anon_sym___nonnull] = ACTIONS(5415),
    [anon_sym___nullable] = ACTIONS(5415),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5415),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5415),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5415),
    [anon_sym___real] = ACTIONS(5415),
    [anon_sym___strong] = ACTIONS(5415),
    [anon_sym___unsafe_unretained] = ACTIONS(5415),
    [anon_sym___unused] = ACTIONS(5415),
    [anon_sym___weak] = ACTIONS(5415),
    [anon_sym_alignas] = ACTIONS(5415),
    [anon_sym__Alignas] = ACTIONS(5415),
    [sym_primitive_type] = ACTIONS(5415),
    [anon_sym_enum] = ACTIONS(5415),
    [anon_sym_struct] = ACTIONS(5415),
    [anon_sym_union] = ACTIONS(5415),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5415),
    [anon_sym___typeof] = ACTIONS(5415),
    [anon_sym_typeof] = ACTIONS(5415),
    [aux_sym_preproc_undef_token1] = ACTIONS(5415),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5415),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5415),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5415),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5415),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5415),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5415),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5415),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5415),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5415),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5415),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5415),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5415),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5415),
    [anon_sym_API_AVAILABLE] = ACTIONS(5415),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5415),
    [anon_sym_API_DEPRECATED] = ACTIONS(5415),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5415),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5415),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5415),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5415),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5415),
    [anon_sym___deprecated_msg] = ACTIONS(5415),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5415),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5415),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5415),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5415),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5415),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5415),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5415),
    [anon_sym_ATend] = ACTIONS(5417),
    [anon_sym_ATsynthesize] = ACTIONS(5417),
    [anon_sym_ATdynamic] = ACTIONS(5417),
    [anon_sym_BOOL] = ACTIONS(5415),
    [anon_sym_IMP] = ACTIONS(5415),
    [anon_sym_SEL] = ACTIONS(5415),
    [anon_sym_Class] = ACTIONS(5415),
    [anon_sym_id] = ACTIONS(5415),
  },
  [2313] = {
    [sym_identifier] = ACTIONS(5622),
    [aux_sym_preproc_def_token1] = ACTIONS(5622),
    [aux_sym_preproc_if_token1] = ACTIONS(5622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5622),
    [sym_preproc_directive] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5624),
    [anon_sym_PLUS] = ACTIONS(5624),
    [anon_sym___extension__] = ACTIONS(5622),
    [anon_sym_typedef] = ACTIONS(5622),
    [anon_sym_extern] = ACTIONS(5622),
    [anon_sym___attribute__] = ACTIONS(5622),
    [anon_sym___attribute] = ACTIONS(5622),
    [anon_sym_noreturn] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5624),
    [anon_sym___declspec] = ACTIONS(5622),
    [anon_sym___cdecl] = ACTIONS(5622),
    [anon_sym___clrcall] = ACTIONS(5622),
    [anon_sym___stdcall] = ACTIONS(5622),
    [anon_sym___fastcall] = ACTIONS(5622),
    [anon_sym___thiscall] = ACTIONS(5622),
    [anon_sym___vectorcall] = ACTIONS(5622),
    [anon_sym_signed] = ACTIONS(5622),
    [anon_sym_unsigned] = ACTIONS(5622),
    [anon_sym_long] = ACTIONS(5622),
    [anon_sym_short] = ACTIONS(5622),
    [anon_sym_static] = ACTIONS(5622),
    [anon_sym_auto] = ACTIONS(5622),
    [anon_sym_register] = ACTIONS(5622),
    [anon_sym_inline] = ACTIONS(5622),
    [anon_sym___inline] = ACTIONS(5622),
    [anon_sym___inline__] = ACTIONS(5622),
    [anon_sym___forceinline] = ACTIONS(5622),
    [anon_sym_thread_local] = ACTIONS(5622),
    [anon_sym___thread] = ACTIONS(5622),
    [anon_sym_CG_EXTERN] = ACTIONS(5622),
    [anon_sym_CG_INLINE] = ACTIONS(5622),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5622),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5622),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5622),
    [anon_sym_IBOutlet] = ACTIONS(5622),
    [anon_sym_IBInspectable] = ACTIONS(5622),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5622),
    [anon_sym_NS_INLINE] = ACTIONS(5622),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5622),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5622),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5622),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5622),
    [anon_sym_const] = ACTIONS(5622),
    [anon_sym_constexpr] = ACTIONS(5622),
    [anon_sym_volatile] = ACTIONS(5622),
    [anon_sym_restrict] = ACTIONS(5622),
    [anon_sym___restrict__] = ACTIONS(5622),
    [anon_sym__Atomic] = ACTIONS(5622),
    [anon_sym__Noreturn] = ACTIONS(5622),
    [anon_sym__Nonnull] = ACTIONS(5622),
    [anon_sym_nullable] = ACTIONS(5622),
    [anon_sym__Complex] = ACTIONS(5622),
    [anon_sym__Nullable] = ACTIONS(5622),
    [anon_sym__Nullable_result] = ACTIONS(5622),
    [anon_sym__Null_unspecified] = ACTIONS(5622),
    [anon_sym___autoreleasing] = ACTIONS(5622),
    [anon_sym___block] = ACTIONS(5622),
    [anon_sym___bridge] = ACTIONS(5622),
    [anon_sym___bridge_retained] = ACTIONS(5622),
    [anon_sym___bridge_transfer] = ACTIONS(5622),
    [anon_sym___complex] = ACTIONS(5622),
    [anon_sym___const] = ACTIONS(5622),
    [anon_sym___imag] = ACTIONS(5622),
    [anon_sym___kindof] = ACTIONS(5622),
    [anon_sym___nonnull] = ACTIONS(5622),
    [anon_sym___nullable] = ACTIONS(5622),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5622),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5622),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5622),
    [anon_sym___real] = ACTIONS(5622),
    [anon_sym___strong] = ACTIONS(5622),
    [anon_sym___unsafe_unretained] = ACTIONS(5622),
    [anon_sym___unused] = ACTIONS(5622),
    [anon_sym___weak] = ACTIONS(5622),
    [anon_sym_alignas] = ACTIONS(5622),
    [anon_sym__Alignas] = ACTIONS(5622),
    [sym_primitive_type] = ACTIONS(5622),
    [anon_sym_enum] = ACTIONS(5622),
    [anon_sym_struct] = ACTIONS(5622),
    [anon_sym_union] = ACTIONS(5622),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5622),
    [anon_sym___typeof] = ACTIONS(5622),
    [anon_sym_typeof] = ACTIONS(5622),
    [aux_sym_preproc_undef_token1] = ACTIONS(5622),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5622),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5622),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5622),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5622),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5622),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5622),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5622),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5622),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5622),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5622),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5622),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5622),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5622),
    [anon_sym_API_AVAILABLE] = ACTIONS(5622),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5622),
    [anon_sym_API_DEPRECATED] = ACTIONS(5622),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5622),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5622),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5622),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5622),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5622),
    [anon_sym___deprecated_msg] = ACTIONS(5622),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5622),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5622),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5622),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5622),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5622),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5622),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5622),
    [anon_sym_ATend] = ACTIONS(5624),
    [anon_sym_AToptional] = ACTIONS(5624),
    [anon_sym_ATrequired] = ACTIONS(5624),
    [anon_sym_ATproperty] = ACTIONS(5624),
    [anon_sym_BOOL] = ACTIONS(5622),
    [anon_sym_IMP] = ACTIONS(5622),
    [anon_sym_SEL] = ACTIONS(5622),
    [anon_sym_Class] = ACTIONS(5622),
    [anon_sym_id] = ACTIONS(5622),
  },
  [2314] = {
    [sym_identifier] = ACTIONS(5421),
    [aux_sym_preproc_def_token1] = ACTIONS(5421),
    [aux_sym_preproc_if_token1] = ACTIONS(5421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5421),
    [sym_preproc_directive] = ACTIONS(5421),
    [anon_sym_DASH] = ACTIONS(5423),
    [anon_sym_PLUS] = ACTIONS(5423),
    [anon_sym_SEMI] = ACTIONS(5626),
    [anon_sym___extension__] = ACTIONS(5421),
    [anon_sym_typedef] = ACTIONS(5421),
    [anon_sym_extern] = ACTIONS(5421),
    [anon_sym___attribute__] = ACTIONS(5421),
    [anon_sym___attribute] = ACTIONS(5421),
    [anon_sym_noreturn] = ACTIONS(5421),
    [anon_sym_LBRACK] = ACTIONS(5423),
    [anon_sym___declspec] = ACTIONS(5421),
    [anon_sym___cdecl] = ACTIONS(5421),
    [anon_sym___clrcall] = ACTIONS(5421),
    [anon_sym___stdcall] = ACTIONS(5421),
    [anon_sym___fastcall] = ACTIONS(5421),
    [anon_sym___thiscall] = ACTIONS(5421),
    [anon_sym___vectorcall] = ACTIONS(5421),
    [anon_sym_signed] = ACTIONS(5421),
    [anon_sym_unsigned] = ACTIONS(5421),
    [anon_sym_long] = ACTIONS(5421),
    [anon_sym_short] = ACTIONS(5421),
    [anon_sym_static] = ACTIONS(5421),
    [anon_sym_auto] = ACTIONS(5421),
    [anon_sym_register] = ACTIONS(5421),
    [anon_sym_inline] = ACTIONS(5421),
    [anon_sym___inline] = ACTIONS(5421),
    [anon_sym___inline__] = ACTIONS(5421),
    [anon_sym___forceinline] = ACTIONS(5421),
    [anon_sym_thread_local] = ACTIONS(5421),
    [anon_sym___thread] = ACTIONS(5421),
    [anon_sym_CG_EXTERN] = ACTIONS(5421),
    [anon_sym_CG_INLINE] = ACTIONS(5421),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5421),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5421),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5421),
    [anon_sym_IBOutlet] = ACTIONS(5421),
    [anon_sym_IBInspectable] = ACTIONS(5421),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5421),
    [anon_sym_NS_INLINE] = ACTIONS(5421),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5421),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5421),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5421),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5421),
    [anon_sym_const] = ACTIONS(5421),
    [anon_sym_constexpr] = ACTIONS(5421),
    [anon_sym_volatile] = ACTIONS(5421),
    [anon_sym_restrict] = ACTIONS(5421),
    [anon_sym___restrict__] = ACTIONS(5421),
    [anon_sym__Atomic] = ACTIONS(5421),
    [anon_sym__Noreturn] = ACTIONS(5421),
    [anon_sym__Nonnull] = ACTIONS(5421),
    [anon_sym_nullable] = ACTIONS(5421),
    [anon_sym__Complex] = ACTIONS(5421),
    [anon_sym__Nullable] = ACTIONS(5421),
    [anon_sym__Nullable_result] = ACTIONS(5421),
    [anon_sym__Null_unspecified] = ACTIONS(5421),
    [anon_sym___autoreleasing] = ACTIONS(5421),
    [anon_sym___block] = ACTIONS(5421),
    [anon_sym___bridge] = ACTIONS(5421),
    [anon_sym___bridge_retained] = ACTIONS(5421),
    [anon_sym___bridge_transfer] = ACTIONS(5421),
    [anon_sym___complex] = ACTIONS(5421),
    [anon_sym___const] = ACTIONS(5421),
    [anon_sym___imag] = ACTIONS(5421),
    [anon_sym___kindof] = ACTIONS(5421),
    [anon_sym___nonnull] = ACTIONS(5421),
    [anon_sym___nullable] = ACTIONS(5421),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5421),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5421),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5421),
    [anon_sym___real] = ACTIONS(5421),
    [anon_sym___strong] = ACTIONS(5421),
    [anon_sym___unsafe_unretained] = ACTIONS(5421),
    [anon_sym___unused] = ACTIONS(5421),
    [anon_sym___weak] = ACTIONS(5421),
    [anon_sym_alignas] = ACTIONS(5421),
    [anon_sym__Alignas] = ACTIONS(5421),
    [sym_primitive_type] = ACTIONS(5421),
    [anon_sym_enum] = ACTIONS(5421),
    [anon_sym_struct] = ACTIONS(5421),
    [anon_sym_union] = ACTIONS(5421),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5421),
    [anon_sym___typeof] = ACTIONS(5421),
    [anon_sym_typeof] = ACTIONS(5421),
    [aux_sym_preproc_undef_token1] = ACTIONS(5421),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5421),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5421),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5421),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5421),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5421),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5421),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5421),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5421),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5421),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5421),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5421),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5421),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5421),
    [anon_sym_API_AVAILABLE] = ACTIONS(5421),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5421),
    [anon_sym_API_DEPRECATED] = ACTIONS(5421),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5421),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5421),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5421),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5421),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5421),
    [anon_sym___deprecated_msg] = ACTIONS(5421),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5421),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5421),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5421),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5421),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5421),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5421),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5421),
    [anon_sym_ATend] = ACTIONS(5423),
    [anon_sym_ATsynthesize] = ACTIONS(5423),
    [anon_sym_ATdynamic] = ACTIONS(5423),
    [anon_sym_BOOL] = ACTIONS(5421),
    [anon_sym_IMP] = ACTIONS(5421),
    [anon_sym_SEL] = ACTIONS(5421),
    [anon_sym_Class] = ACTIONS(5421),
    [anon_sym_id] = ACTIONS(5421),
  },
  [2315] = {
    [sym_identifier] = ACTIONS(5427),
    [aux_sym_preproc_def_token1] = ACTIONS(5427),
    [aux_sym_preproc_if_token1] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5427),
    [sym_preproc_directive] = ACTIONS(5427),
    [anon_sym_DASH] = ACTIONS(5429),
    [anon_sym_PLUS] = ACTIONS(5429),
    [anon_sym_SEMI] = ACTIONS(5628),
    [anon_sym___extension__] = ACTIONS(5427),
    [anon_sym_typedef] = ACTIONS(5427),
    [anon_sym_extern] = ACTIONS(5427),
    [anon_sym___attribute__] = ACTIONS(5427),
    [anon_sym___attribute] = ACTIONS(5427),
    [anon_sym_noreturn] = ACTIONS(5427),
    [anon_sym_LBRACK] = ACTIONS(5429),
    [anon_sym___declspec] = ACTIONS(5427),
    [anon_sym___cdecl] = ACTIONS(5427),
    [anon_sym___clrcall] = ACTIONS(5427),
    [anon_sym___stdcall] = ACTIONS(5427),
    [anon_sym___fastcall] = ACTIONS(5427),
    [anon_sym___thiscall] = ACTIONS(5427),
    [anon_sym___vectorcall] = ACTIONS(5427),
    [anon_sym_signed] = ACTIONS(5427),
    [anon_sym_unsigned] = ACTIONS(5427),
    [anon_sym_long] = ACTIONS(5427),
    [anon_sym_short] = ACTIONS(5427),
    [anon_sym_static] = ACTIONS(5427),
    [anon_sym_auto] = ACTIONS(5427),
    [anon_sym_register] = ACTIONS(5427),
    [anon_sym_inline] = ACTIONS(5427),
    [anon_sym___inline] = ACTIONS(5427),
    [anon_sym___inline__] = ACTIONS(5427),
    [anon_sym___forceinline] = ACTIONS(5427),
    [anon_sym_thread_local] = ACTIONS(5427),
    [anon_sym___thread] = ACTIONS(5427),
    [anon_sym_CG_EXTERN] = ACTIONS(5427),
    [anon_sym_CG_INLINE] = ACTIONS(5427),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5427),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5427),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5427),
    [anon_sym_IBOutlet] = ACTIONS(5427),
    [anon_sym_IBInspectable] = ACTIONS(5427),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5427),
    [anon_sym_NS_INLINE] = ACTIONS(5427),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5427),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5427),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5427),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5427),
    [anon_sym_const] = ACTIONS(5427),
    [anon_sym_constexpr] = ACTIONS(5427),
    [anon_sym_volatile] = ACTIONS(5427),
    [anon_sym_restrict] = ACTIONS(5427),
    [anon_sym___restrict__] = ACTIONS(5427),
    [anon_sym__Atomic] = ACTIONS(5427),
    [anon_sym__Noreturn] = ACTIONS(5427),
    [anon_sym__Nonnull] = ACTIONS(5427),
    [anon_sym_nullable] = ACTIONS(5427),
    [anon_sym__Complex] = ACTIONS(5427),
    [anon_sym__Nullable] = ACTIONS(5427),
    [anon_sym__Nullable_result] = ACTIONS(5427),
    [anon_sym__Null_unspecified] = ACTIONS(5427),
    [anon_sym___autoreleasing] = ACTIONS(5427),
    [anon_sym___block] = ACTIONS(5427),
    [anon_sym___bridge] = ACTIONS(5427),
    [anon_sym___bridge_retained] = ACTIONS(5427),
    [anon_sym___bridge_transfer] = ACTIONS(5427),
    [anon_sym___complex] = ACTIONS(5427),
    [anon_sym___const] = ACTIONS(5427),
    [anon_sym___imag] = ACTIONS(5427),
    [anon_sym___kindof] = ACTIONS(5427),
    [anon_sym___nonnull] = ACTIONS(5427),
    [anon_sym___nullable] = ACTIONS(5427),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5427),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5427),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5427),
    [anon_sym___real] = ACTIONS(5427),
    [anon_sym___strong] = ACTIONS(5427),
    [anon_sym___unsafe_unretained] = ACTIONS(5427),
    [anon_sym___unused] = ACTIONS(5427),
    [anon_sym___weak] = ACTIONS(5427),
    [anon_sym_alignas] = ACTIONS(5427),
    [anon_sym__Alignas] = ACTIONS(5427),
    [sym_primitive_type] = ACTIONS(5427),
    [anon_sym_enum] = ACTIONS(5427),
    [anon_sym_struct] = ACTIONS(5427),
    [anon_sym_union] = ACTIONS(5427),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5427),
    [anon_sym___typeof] = ACTIONS(5427),
    [anon_sym_typeof] = ACTIONS(5427),
    [aux_sym_preproc_undef_token1] = ACTIONS(5427),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5427),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5427),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5427),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5427),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5427),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5427),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5427),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5427),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5427),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5427),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5427),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5427),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5427),
    [anon_sym_API_AVAILABLE] = ACTIONS(5427),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5427),
    [anon_sym_API_DEPRECATED] = ACTIONS(5427),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5427),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5427),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5427),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5427),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5427),
    [anon_sym___deprecated_msg] = ACTIONS(5427),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5427),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5427),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5427),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5427),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5427),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5427),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5427),
    [anon_sym_ATend] = ACTIONS(5429),
    [anon_sym_ATsynthesize] = ACTIONS(5429),
    [anon_sym_ATdynamic] = ACTIONS(5429),
    [anon_sym_BOOL] = ACTIONS(5427),
    [anon_sym_IMP] = ACTIONS(5427),
    [anon_sym_SEL] = ACTIONS(5427),
    [anon_sym_Class] = ACTIONS(5427),
    [anon_sym_id] = ACTIONS(5427),
  },
  [2316] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token2] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym_DASH] = ACTIONS(2800),
    [anon_sym_PLUS] = ACTIONS(2800),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_typedef] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym___attribute] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym___cdecl] = ACTIONS(2798),
    [anon_sym___clrcall] = ACTIONS(2798),
    [anon_sym___stdcall] = ACTIONS(2798),
    [anon_sym___fastcall] = ACTIONS(2798),
    [anon_sym___thiscall] = ACTIONS(2798),
    [anon_sym___vectorcall] = ACTIONS(2798),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_auto] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_CG_EXTERN] = ACTIONS(2798),
    [anon_sym_CG_INLINE] = ACTIONS(2798),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2798),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2798),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2798),
    [anon_sym_IBOutlet] = ACTIONS(2798),
    [anon_sym_IBInspectable] = ACTIONS(2798),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2798),
    [anon_sym_NS_INLINE] = ACTIONS(2798),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2798),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2798),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2798),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_nullable] = ACTIONS(2798),
    [anon_sym__Complex] = ACTIONS(2798),
    [anon_sym__Nullable] = ACTIONS(2798),
    [anon_sym__Nullable_result] = ACTIONS(2798),
    [anon_sym__Null_unspecified] = ACTIONS(2798),
    [anon_sym___autoreleasing] = ACTIONS(2798),
    [anon_sym___block] = ACTIONS(2798),
    [anon_sym___bridge] = ACTIONS(2798),
    [anon_sym___bridge_retained] = ACTIONS(2798),
    [anon_sym___bridge_transfer] = ACTIONS(2798),
    [anon_sym___complex] = ACTIONS(2798),
    [anon_sym___const] = ACTIONS(2798),
    [anon_sym___imag] = ACTIONS(2798),
    [anon_sym___kindof] = ACTIONS(2798),
    [anon_sym___nonnull] = ACTIONS(2798),
    [anon_sym___nullable] = ACTIONS(2798),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2798),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2798),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2798),
    [anon_sym___real] = ACTIONS(2798),
    [anon_sym___strong] = ACTIONS(2798),
    [anon_sym___unsafe_unretained] = ACTIONS(2798),
    [anon_sym___unused] = ACTIONS(2798),
    [anon_sym___weak] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2798),
    [anon_sym___typeof] = ACTIONS(2798),
    [anon_sym_typeof] = ACTIONS(2798),
    [aux_sym_preproc_undef_token1] = ACTIONS(2798),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2798),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2798),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2798),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2798),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2798),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2798),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2798),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2798),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_API_AVAILABLE] = ACTIONS(2798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_API_DEPRECATED] = ACTIONS(2798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2798),
    [anon_sym___deprecated_msg] = ACTIONS(2798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2798),
    [anon_sym_ATsynthesize] = ACTIONS(2800),
    [anon_sym_ATdynamic] = ACTIONS(2800),
    [anon_sym_BOOL] = ACTIONS(2798),
    [anon_sym_IMP] = ACTIONS(2798),
    [anon_sym_SEL] = ACTIONS(2798),
    [anon_sym_Class] = ACTIONS(2798),
    [anon_sym_id] = ACTIONS(2798),
    [anon_sym_ATdefs] = ACTIONS(2800),
  },
  [2317] = {
    [sym_identifier] = ACTIONS(5433),
    [aux_sym_preproc_def_token1] = ACTIONS(5433),
    [aux_sym_preproc_if_token1] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5433),
    [sym_preproc_directive] = ACTIONS(5433),
    [anon_sym_DASH] = ACTIONS(5435),
    [anon_sym_PLUS] = ACTIONS(5435),
    [anon_sym_SEMI] = ACTIONS(5630),
    [anon_sym___extension__] = ACTIONS(5433),
    [anon_sym_typedef] = ACTIONS(5433),
    [anon_sym_extern] = ACTIONS(5433),
    [anon_sym___attribute__] = ACTIONS(5433),
    [anon_sym___attribute] = ACTIONS(5433),
    [anon_sym_noreturn] = ACTIONS(5433),
    [anon_sym_LBRACK] = ACTIONS(5435),
    [anon_sym___declspec] = ACTIONS(5433),
    [anon_sym___cdecl] = ACTIONS(5433),
    [anon_sym___clrcall] = ACTIONS(5433),
    [anon_sym___stdcall] = ACTIONS(5433),
    [anon_sym___fastcall] = ACTIONS(5433),
    [anon_sym___thiscall] = ACTIONS(5433),
    [anon_sym___vectorcall] = ACTIONS(5433),
    [anon_sym_signed] = ACTIONS(5433),
    [anon_sym_unsigned] = ACTIONS(5433),
    [anon_sym_long] = ACTIONS(5433),
    [anon_sym_short] = ACTIONS(5433),
    [anon_sym_static] = ACTIONS(5433),
    [anon_sym_auto] = ACTIONS(5433),
    [anon_sym_register] = ACTIONS(5433),
    [anon_sym_inline] = ACTIONS(5433),
    [anon_sym___inline] = ACTIONS(5433),
    [anon_sym___inline__] = ACTIONS(5433),
    [anon_sym___forceinline] = ACTIONS(5433),
    [anon_sym_thread_local] = ACTIONS(5433),
    [anon_sym___thread] = ACTIONS(5433),
    [anon_sym_CG_EXTERN] = ACTIONS(5433),
    [anon_sym_CG_INLINE] = ACTIONS(5433),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5433),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5433),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5433),
    [anon_sym_IBOutlet] = ACTIONS(5433),
    [anon_sym_IBInspectable] = ACTIONS(5433),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5433),
    [anon_sym_NS_INLINE] = ACTIONS(5433),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5433),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5433),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5433),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5433),
    [anon_sym_const] = ACTIONS(5433),
    [anon_sym_constexpr] = ACTIONS(5433),
    [anon_sym_volatile] = ACTIONS(5433),
    [anon_sym_restrict] = ACTIONS(5433),
    [anon_sym___restrict__] = ACTIONS(5433),
    [anon_sym__Atomic] = ACTIONS(5433),
    [anon_sym__Noreturn] = ACTIONS(5433),
    [anon_sym__Nonnull] = ACTIONS(5433),
    [anon_sym_nullable] = ACTIONS(5433),
    [anon_sym__Complex] = ACTIONS(5433),
    [anon_sym__Nullable] = ACTIONS(5433),
    [anon_sym__Nullable_result] = ACTIONS(5433),
    [anon_sym__Null_unspecified] = ACTIONS(5433),
    [anon_sym___autoreleasing] = ACTIONS(5433),
    [anon_sym___block] = ACTIONS(5433),
    [anon_sym___bridge] = ACTIONS(5433),
    [anon_sym___bridge_retained] = ACTIONS(5433),
    [anon_sym___bridge_transfer] = ACTIONS(5433),
    [anon_sym___complex] = ACTIONS(5433),
    [anon_sym___const] = ACTIONS(5433),
    [anon_sym___imag] = ACTIONS(5433),
    [anon_sym___kindof] = ACTIONS(5433),
    [anon_sym___nonnull] = ACTIONS(5433),
    [anon_sym___nullable] = ACTIONS(5433),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5433),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5433),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5433),
    [anon_sym___real] = ACTIONS(5433),
    [anon_sym___strong] = ACTIONS(5433),
    [anon_sym___unsafe_unretained] = ACTIONS(5433),
    [anon_sym___unused] = ACTIONS(5433),
    [anon_sym___weak] = ACTIONS(5433),
    [anon_sym_alignas] = ACTIONS(5433),
    [anon_sym__Alignas] = ACTIONS(5433),
    [sym_primitive_type] = ACTIONS(5433),
    [anon_sym_enum] = ACTIONS(5433),
    [anon_sym_struct] = ACTIONS(5433),
    [anon_sym_union] = ACTIONS(5433),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5433),
    [anon_sym___typeof] = ACTIONS(5433),
    [anon_sym_typeof] = ACTIONS(5433),
    [aux_sym_preproc_undef_token1] = ACTIONS(5433),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5433),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5433),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5433),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5433),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5433),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5433),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5433),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5433),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5433),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5433),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5433),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5433),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5433),
    [anon_sym_API_AVAILABLE] = ACTIONS(5433),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5433),
    [anon_sym_API_DEPRECATED] = ACTIONS(5433),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5433),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5433),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5433),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5433),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5433),
    [anon_sym___deprecated_msg] = ACTIONS(5433),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5433),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5433),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5433),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5433),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5433),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5433),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5433),
    [anon_sym_ATend] = ACTIONS(5435),
    [anon_sym_ATsynthesize] = ACTIONS(5435),
    [anon_sym_ATdynamic] = ACTIONS(5435),
    [anon_sym_BOOL] = ACTIONS(5433),
    [anon_sym_IMP] = ACTIONS(5433),
    [anon_sym_SEL] = ACTIONS(5433),
    [anon_sym_Class] = ACTIONS(5433),
    [anon_sym_id] = ACTIONS(5433),
  },
  [2318] = {
    [sym_identifier] = ACTIONS(2802),
    [aux_sym_preproc_def_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token1] = ACTIONS(2802),
    [aux_sym_preproc_if_token2] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2802),
    [sym_preproc_directive] = ACTIONS(2802),
    [anon_sym_DASH] = ACTIONS(2804),
    [anon_sym_PLUS] = ACTIONS(2804),
    [anon_sym___extension__] = ACTIONS(2802),
    [anon_sym_typedef] = ACTIONS(2802),
    [anon_sym_extern] = ACTIONS(2802),
    [anon_sym___attribute__] = ACTIONS(2802),
    [anon_sym___attribute] = ACTIONS(2802),
    [anon_sym_noreturn] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(2804),
    [anon_sym___declspec] = ACTIONS(2802),
    [anon_sym___cdecl] = ACTIONS(2802),
    [anon_sym___clrcall] = ACTIONS(2802),
    [anon_sym___stdcall] = ACTIONS(2802),
    [anon_sym___fastcall] = ACTIONS(2802),
    [anon_sym___thiscall] = ACTIONS(2802),
    [anon_sym___vectorcall] = ACTIONS(2802),
    [anon_sym_signed] = ACTIONS(2802),
    [anon_sym_unsigned] = ACTIONS(2802),
    [anon_sym_long] = ACTIONS(2802),
    [anon_sym_short] = ACTIONS(2802),
    [anon_sym_static] = ACTIONS(2802),
    [anon_sym_auto] = ACTIONS(2802),
    [anon_sym_register] = ACTIONS(2802),
    [anon_sym_inline] = ACTIONS(2802),
    [anon_sym___inline] = ACTIONS(2802),
    [anon_sym___inline__] = ACTIONS(2802),
    [anon_sym___forceinline] = ACTIONS(2802),
    [anon_sym_thread_local] = ACTIONS(2802),
    [anon_sym___thread] = ACTIONS(2802),
    [anon_sym_CG_EXTERN] = ACTIONS(2802),
    [anon_sym_CG_INLINE] = ACTIONS(2802),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2802),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2802),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2802),
    [anon_sym_IBOutlet] = ACTIONS(2802),
    [anon_sym_IBInspectable] = ACTIONS(2802),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2802),
    [anon_sym_NS_INLINE] = ACTIONS(2802),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2802),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2802),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2802),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2802),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_constexpr] = ACTIONS(2802),
    [anon_sym_volatile] = ACTIONS(2802),
    [anon_sym_restrict] = ACTIONS(2802),
    [anon_sym___restrict__] = ACTIONS(2802),
    [anon_sym__Atomic] = ACTIONS(2802),
    [anon_sym__Noreturn] = ACTIONS(2802),
    [anon_sym__Nonnull] = ACTIONS(2802),
    [anon_sym_nullable] = ACTIONS(2802),
    [anon_sym__Complex] = ACTIONS(2802),
    [anon_sym__Nullable] = ACTIONS(2802),
    [anon_sym__Nullable_result] = ACTIONS(2802),
    [anon_sym__Null_unspecified] = ACTIONS(2802),
    [anon_sym___autoreleasing] = ACTIONS(2802),
    [anon_sym___block] = ACTIONS(2802),
    [anon_sym___bridge] = ACTIONS(2802),
    [anon_sym___bridge_retained] = ACTIONS(2802),
    [anon_sym___bridge_transfer] = ACTIONS(2802),
    [anon_sym___complex] = ACTIONS(2802),
    [anon_sym___const] = ACTIONS(2802),
    [anon_sym___imag] = ACTIONS(2802),
    [anon_sym___kindof] = ACTIONS(2802),
    [anon_sym___nonnull] = ACTIONS(2802),
    [anon_sym___nullable] = ACTIONS(2802),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2802),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2802),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2802),
    [anon_sym___real] = ACTIONS(2802),
    [anon_sym___strong] = ACTIONS(2802),
    [anon_sym___unsafe_unretained] = ACTIONS(2802),
    [anon_sym___unused] = ACTIONS(2802),
    [anon_sym___weak] = ACTIONS(2802),
    [anon_sym_alignas] = ACTIONS(2802),
    [anon_sym__Alignas] = ACTIONS(2802),
    [sym_primitive_type] = ACTIONS(2802),
    [anon_sym_enum] = ACTIONS(2802),
    [anon_sym_struct] = ACTIONS(2802),
    [anon_sym_union] = ACTIONS(2802),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2802),
    [anon_sym___typeof] = ACTIONS(2802),
    [anon_sym_typeof] = ACTIONS(2802),
    [aux_sym_preproc_undef_token1] = ACTIONS(2802),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2802),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2802),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2802),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2802),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2802),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2802),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2802),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2802),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2802),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_API_AVAILABLE] = ACTIONS(2802),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_API_DEPRECATED] = ACTIONS(2802),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2802),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2802),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2802),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2802),
    [anon_sym___deprecated_msg] = ACTIONS(2802),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2802),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2802),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2802),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2802),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2802),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2802),
    [anon_sym_ATsynthesize] = ACTIONS(2804),
    [anon_sym_ATdynamic] = ACTIONS(2804),
    [anon_sym_ATproperty] = ACTIONS(2804),
    [anon_sym_BOOL] = ACTIONS(2802),
    [anon_sym_IMP] = ACTIONS(2802),
    [anon_sym_SEL] = ACTIONS(2802),
    [anon_sym_Class] = ACTIONS(2802),
    [anon_sym_id] = ACTIONS(2802),
  },
  [2319] = {
    [sym_identifier] = ACTIONS(5439),
    [aux_sym_preproc_def_token1] = ACTIONS(5439),
    [aux_sym_preproc_if_token1] = ACTIONS(5439),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5439),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5439),
    [sym_preproc_directive] = ACTIONS(5439),
    [anon_sym_DASH] = ACTIONS(5441),
    [anon_sym_PLUS] = ACTIONS(5441),
    [anon_sym_SEMI] = ACTIONS(5632),
    [anon_sym___extension__] = ACTIONS(5439),
    [anon_sym_typedef] = ACTIONS(5439),
    [anon_sym_extern] = ACTIONS(5439),
    [anon_sym___attribute__] = ACTIONS(5439),
    [anon_sym___attribute] = ACTIONS(5439),
    [anon_sym_noreturn] = ACTIONS(5439),
    [anon_sym_LBRACK] = ACTIONS(5441),
    [anon_sym___declspec] = ACTIONS(5439),
    [anon_sym___cdecl] = ACTIONS(5439),
    [anon_sym___clrcall] = ACTIONS(5439),
    [anon_sym___stdcall] = ACTIONS(5439),
    [anon_sym___fastcall] = ACTIONS(5439),
    [anon_sym___thiscall] = ACTIONS(5439),
    [anon_sym___vectorcall] = ACTIONS(5439),
    [anon_sym_signed] = ACTIONS(5439),
    [anon_sym_unsigned] = ACTIONS(5439),
    [anon_sym_long] = ACTIONS(5439),
    [anon_sym_short] = ACTIONS(5439),
    [anon_sym_static] = ACTIONS(5439),
    [anon_sym_auto] = ACTIONS(5439),
    [anon_sym_register] = ACTIONS(5439),
    [anon_sym_inline] = ACTIONS(5439),
    [anon_sym___inline] = ACTIONS(5439),
    [anon_sym___inline__] = ACTIONS(5439),
    [anon_sym___forceinline] = ACTIONS(5439),
    [anon_sym_thread_local] = ACTIONS(5439),
    [anon_sym___thread] = ACTIONS(5439),
    [anon_sym_CG_EXTERN] = ACTIONS(5439),
    [anon_sym_CG_INLINE] = ACTIONS(5439),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5439),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5439),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5439),
    [anon_sym_IBOutlet] = ACTIONS(5439),
    [anon_sym_IBInspectable] = ACTIONS(5439),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5439),
    [anon_sym_NS_INLINE] = ACTIONS(5439),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5439),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5439),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5439),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5439),
    [anon_sym_const] = ACTIONS(5439),
    [anon_sym_constexpr] = ACTIONS(5439),
    [anon_sym_volatile] = ACTIONS(5439),
    [anon_sym_restrict] = ACTIONS(5439),
    [anon_sym___restrict__] = ACTIONS(5439),
    [anon_sym__Atomic] = ACTIONS(5439),
    [anon_sym__Noreturn] = ACTIONS(5439),
    [anon_sym__Nonnull] = ACTIONS(5439),
    [anon_sym_nullable] = ACTIONS(5439),
    [anon_sym__Complex] = ACTIONS(5439),
    [anon_sym__Nullable] = ACTIONS(5439),
    [anon_sym__Nullable_result] = ACTIONS(5439),
    [anon_sym__Null_unspecified] = ACTIONS(5439),
    [anon_sym___autoreleasing] = ACTIONS(5439),
    [anon_sym___block] = ACTIONS(5439),
    [anon_sym___bridge] = ACTIONS(5439),
    [anon_sym___bridge_retained] = ACTIONS(5439),
    [anon_sym___bridge_transfer] = ACTIONS(5439),
    [anon_sym___complex] = ACTIONS(5439),
    [anon_sym___const] = ACTIONS(5439),
    [anon_sym___imag] = ACTIONS(5439),
    [anon_sym___kindof] = ACTIONS(5439),
    [anon_sym___nonnull] = ACTIONS(5439),
    [anon_sym___nullable] = ACTIONS(5439),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5439),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5439),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5439),
    [anon_sym___real] = ACTIONS(5439),
    [anon_sym___strong] = ACTIONS(5439),
    [anon_sym___unsafe_unretained] = ACTIONS(5439),
    [anon_sym___unused] = ACTIONS(5439),
    [anon_sym___weak] = ACTIONS(5439),
    [anon_sym_alignas] = ACTIONS(5439),
    [anon_sym__Alignas] = ACTIONS(5439),
    [sym_primitive_type] = ACTIONS(5439),
    [anon_sym_enum] = ACTIONS(5439),
    [anon_sym_struct] = ACTIONS(5439),
    [anon_sym_union] = ACTIONS(5439),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5439),
    [anon_sym___typeof] = ACTIONS(5439),
    [anon_sym_typeof] = ACTIONS(5439),
    [aux_sym_preproc_undef_token1] = ACTIONS(5439),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5439),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5439),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5439),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5439),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5439),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5439),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5439),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5439),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5439),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5439),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5439),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5439),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5439),
    [anon_sym_API_AVAILABLE] = ACTIONS(5439),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5439),
    [anon_sym_API_DEPRECATED] = ACTIONS(5439),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5439),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5439),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5439),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5439),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5439),
    [anon_sym___deprecated_msg] = ACTIONS(5439),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5439),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5439),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5439),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5439),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5439),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5439),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5439),
    [anon_sym_ATend] = ACTIONS(5441),
    [anon_sym_ATsynthesize] = ACTIONS(5441),
    [anon_sym_ATdynamic] = ACTIONS(5441),
    [anon_sym_BOOL] = ACTIONS(5439),
    [anon_sym_IMP] = ACTIONS(5439),
    [anon_sym_SEL] = ACTIONS(5439),
    [anon_sym_Class] = ACTIONS(5439),
    [anon_sym_id] = ACTIONS(5439),
  },
  [2320] = {
    [sym_identifier] = ACTIONS(5445),
    [aux_sym_preproc_def_token1] = ACTIONS(5445),
    [aux_sym_preproc_if_token1] = ACTIONS(5445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5445),
    [sym_preproc_directive] = ACTIONS(5445),
    [anon_sym_DASH] = ACTIONS(5447),
    [anon_sym_PLUS] = ACTIONS(5447),
    [anon_sym_SEMI] = ACTIONS(5634),
    [anon_sym___extension__] = ACTIONS(5445),
    [anon_sym_typedef] = ACTIONS(5445),
    [anon_sym_extern] = ACTIONS(5445),
    [anon_sym___attribute__] = ACTIONS(5445),
    [anon_sym___attribute] = ACTIONS(5445),
    [anon_sym_noreturn] = ACTIONS(5445),
    [anon_sym_LBRACK] = ACTIONS(5447),
    [anon_sym___declspec] = ACTIONS(5445),
    [anon_sym___cdecl] = ACTIONS(5445),
    [anon_sym___clrcall] = ACTIONS(5445),
    [anon_sym___stdcall] = ACTIONS(5445),
    [anon_sym___fastcall] = ACTIONS(5445),
    [anon_sym___thiscall] = ACTIONS(5445),
    [anon_sym___vectorcall] = ACTIONS(5445),
    [anon_sym_signed] = ACTIONS(5445),
    [anon_sym_unsigned] = ACTIONS(5445),
    [anon_sym_long] = ACTIONS(5445),
    [anon_sym_short] = ACTIONS(5445),
    [anon_sym_static] = ACTIONS(5445),
    [anon_sym_auto] = ACTIONS(5445),
    [anon_sym_register] = ACTIONS(5445),
    [anon_sym_inline] = ACTIONS(5445),
    [anon_sym___inline] = ACTIONS(5445),
    [anon_sym___inline__] = ACTIONS(5445),
    [anon_sym___forceinline] = ACTIONS(5445),
    [anon_sym_thread_local] = ACTIONS(5445),
    [anon_sym___thread] = ACTIONS(5445),
    [anon_sym_CG_EXTERN] = ACTIONS(5445),
    [anon_sym_CG_INLINE] = ACTIONS(5445),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5445),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5445),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5445),
    [anon_sym_IBOutlet] = ACTIONS(5445),
    [anon_sym_IBInspectable] = ACTIONS(5445),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5445),
    [anon_sym_NS_INLINE] = ACTIONS(5445),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5445),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5445),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5445),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5445),
    [anon_sym_const] = ACTIONS(5445),
    [anon_sym_constexpr] = ACTIONS(5445),
    [anon_sym_volatile] = ACTIONS(5445),
    [anon_sym_restrict] = ACTIONS(5445),
    [anon_sym___restrict__] = ACTIONS(5445),
    [anon_sym__Atomic] = ACTIONS(5445),
    [anon_sym__Noreturn] = ACTIONS(5445),
    [anon_sym__Nonnull] = ACTIONS(5445),
    [anon_sym_nullable] = ACTIONS(5445),
    [anon_sym__Complex] = ACTIONS(5445),
    [anon_sym__Nullable] = ACTIONS(5445),
    [anon_sym__Nullable_result] = ACTIONS(5445),
    [anon_sym__Null_unspecified] = ACTIONS(5445),
    [anon_sym___autoreleasing] = ACTIONS(5445),
    [anon_sym___block] = ACTIONS(5445),
    [anon_sym___bridge] = ACTIONS(5445),
    [anon_sym___bridge_retained] = ACTIONS(5445),
    [anon_sym___bridge_transfer] = ACTIONS(5445),
    [anon_sym___complex] = ACTIONS(5445),
    [anon_sym___const] = ACTIONS(5445),
    [anon_sym___imag] = ACTIONS(5445),
    [anon_sym___kindof] = ACTIONS(5445),
    [anon_sym___nonnull] = ACTIONS(5445),
    [anon_sym___nullable] = ACTIONS(5445),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5445),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5445),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5445),
    [anon_sym___real] = ACTIONS(5445),
    [anon_sym___strong] = ACTIONS(5445),
    [anon_sym___unsafe_unretained] = ACTIONS(5445),
    [anon_sym___unused] = ACTIONS(5445),
    [anon_sym___weak] = ACTIONS(5445),
    [anon_sym_alignas] = ACTIONS(5445),
    [anon_sym__Alignas] = ACTIONS(5445),
    [sym_primitive_type] = ACTIONS(5445),
    [anon_sym_enum] = ACTIONS(5445),
    [anon_sym_struct] = ACTIONS(5445),
    [anon_sym_union] = ACTIONS(5445),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5445),
    [anon_sym___typeof] = ACTIONS(5445),
    [anon_sym_typeof] = ACTIONS(5445),
    [aux_sym_preproc_undef_token1] = ACTIONS(5445),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5445),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5445),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5445),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5445),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5445),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5445),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5445),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5445),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5445),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5445),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5445),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5445),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5445),
    [anon_sym_API_AVAILABLE] = ACTIONS(5445),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5445),
    [anon_sym_API_DEPRECATED] = ACTIONS(5445),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5445),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5445),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5445),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5445),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5445),
    [anon_sym___deprecated_msg] = ACTIONS(5445),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5445),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5445),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5445),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5445),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5445),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5445),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5445),
    [anon_sym_ATend] = ACTIONS(5447),
    [anon_sym_ATsynthesize] = ACTIONS(5447),
    [anon_sym_ATdynamic] = ACTIONS(5447),
    [anon_sym_BOOL] = ACTIONS(5445),
    [anon_sym_IMP] = ACTIONS(5445),
    [anon_sym_SEL] = ACTIONS(5445),
    [anon_sym_Class] = ACTIONS(5445),
    [anon_sym_id] = ACTIONS(5445),
  },
  [2321] = {
    [sym_identifier] = ACTIONS(5477),
    [aux_sym_preproc_def_token1] = ACTIONS(5477),
    [aux_sym_preproc_if_token1] = ACTIONS(5477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5477),
    [sym_preproc_directive] = ACTIONS(5477),
    [anon_sym_DASH] = ACTIONS(5479),
    [anon_sym_PLUS] = ACTIONS(5479),
    [anon_sym_SEMI] = ACTIONS(5636),
    [anon_sym___extension__] = ACTIONS(5477),
    [anon_sym_typedef] = ACTIONS(5477),
    [anon_sym_extern] = ACTIONS(5477),
    [anon_sym___attribute__] = ACTIONS(5477),
    [anon_sym___attribute] = ACTIONS(5477),
    [anon_sym_noreturn] = ACTIONS(5477),
    [anon_sym_LBRACK] = ACTIONS(5479),
    [anon_sym___declspec] = ACTIONS(5477),
    [anon_sym___cdecl] = ACTIONS(5477),
    [anon_sym___clrcall] = ACTIONS(5477),
    [anon_sym___stdcall] = ACTIONS(5477),
    [anon_sym___fastcall] = ACTIONS(5477),
    [anon_sym___thiscall] = ACTIONS(5477),
    [anon_sym___vectorcall] = ACTIONS(5477),
    [anon_sym_signed] = ACTIONS(5477),
    [anon_sym_unsigned] = ACTIONS(5477),
    [anon_sym_long] = ACTIONS(5477),
    [anon_sym_short] = ACTIONS(5477),
    [anon_sym_static] = ACTIONS(5477),
    [anon_sym_auto] = ACTIONS(5477),
    [anon_sym_register] = ACTIONS(5477),
    [anon_sym_inline] = ACTIONS(5477),
    [anon_sym___inline] = ACTIONS(5477),
    [anon_sym___inline__] = ACTIONS(5477),
    [anon_sym___forceinline] = ACTIONS(5477),
    [anon_sym_thread_local] = ACTIONS(5477),
    [anon_sym___thread] = ACTIONS(5477),
    [anon_sym_CG_EXTERN] = ACTIONS(5477),
    [anon_sym_CG_INLINE] = ACTIONS(5477),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5477),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5477),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5477),
    [anon_sym_IBOutlet] = ACTIONS(5477),
    [anon_sym_IBInspectable] = ACTIONS(5477),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5477),
    [anon_sym_NS_INLINE] = ACTIONS(5477),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5477),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5477),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5477),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5477),
    [anon_sym_const] = ACTIONS(5477),
    [anon_sym_constexpr] = ACTIONS(5477),
    [anon_sym_volatile] = ACTIONS(5477),
    [anon_sym_restrict] = ACTIONS(5477),
    [anon_sym___restrict__] = ACTIONS(5477),
    [anon_sym__Atomic] = ACTIONS(5477),
    [anon_sym__Noreturn] = ACTIONS(5477),
    [anon_sym__Nonnull] = ACTIONS(5477),
    [anon_sym_nullable] = ACTIONS(5477),
    [anon_sym__Complex] = ACTIONS(5477),
    [anon_sym__Nullable] = ACTIONS(5477),
    [anon_sym__Nullable_result] = ACTIONS(5477),
    [anon_sym__Null_unspecified] = ACTIONS(5477),
    [anon_sym___autoreleasing] = ACTIONS(5477),
    [anon_sym___block] = ACTIONS(5477),
    [anon_sym___bridge] = ACTIONS(5477),
    [anon_sym___bridge_retained] = ACTIONS(5477),
    [anon_sym___bridge_transfer] = ACTIONS(5477),
    [anon_sym___complex] = ACTIONS(5477),
    [anon_sym___const] = ACTIONS(5477),
    [anon_sym___imag] = ACTIONS(5477),
    [anon_sym___kindof] = ACTIONS(5477),
    [anon_sym___nonnull] = ACTIONS(5477),
    [anon_sym___nullable] = ACTIONS(5477),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5477),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5477),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5477),
    [anon_sym___real] = ACTIONS(5477),
    [anon_sym___strong] = ACTIONS(5477),
    [anon_sym___unsafe_unretained] = ACTIONS(5477),
    [anon_sym___unused] = ACTIONS(5477),
    [anon_sym___weak] = ACTIONS(5477),
    [anon_sym_alignas] = ACTIONS(5477),
    [anon_sym__Alignas] = ACTIONS(5477),
    [sym_primitive_type] = ACTIONS(5477),
    [anon_sym_enum] = ACTIONS(5477),
    [anon_sym_struct] = ACTIONS(5477),
    [anon_sym_union] = ACTIONS(5477),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5477),
    [anon_sym___typeof] = ACTIONS(5477),
    [anon_sym_typeof] = ACTIONS(5477),
    [aux_sym_preproc_undef_token1] = ACTIONS(5477),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5477),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5477),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5477),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5477),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5477),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5477),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5477),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5477),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5477),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5477),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5477),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5477),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5477),
    [anon_sym_API_AVAILABLE] = ACTIONS(5477),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5477),
    [anon_sym_API_DEPRECATED] = ACTIONS(5477),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5477),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5477),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5477),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5477),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5477),
    [anon_sym___deprecated_msg] = ACTIONS(5477),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5477),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5477),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5477),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5477),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5477),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5477),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5477),
    [anon_sym_ATend] = ACTIONS(5479),
    [anon_sym_ATsynthesize] = ACTIONS(5479),
    [anon_sym_ATdynamic] = ACTIONS(5479),
    [anon_sym_BOOL] = ACTIONS(5477),
    [anon_sym_IMP] = ACTIONS(5477),
    [anon_sym_SEL] = ACTIONS(5477),
    [anon_sym_Class] = ACTIONS(5477),
    [anon_sym_id] = ACTIONS(5477),
  },
  [2322] = {
    [sym_identifier] = ACTIONS(2868),
    [aux_sym_preproc_def_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token1] = ACTIONS(2868),
    [aux_sym_preproc_if_token2] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2868),
    [sym_preproc_directive] = ACTIONS(2868),
    [anon_sym_DASH] = ACTIONS(2870),
    [anon_sym_PLUS] = ACTIONS(2870),
    [anon_sym___extension__] = ACTIONS(2868),
    [anon_sym_typedef] = ACTIONS(2868),
    [anon_sym_extern] = ACTIONS(2868),
    [anon_sym___attribute__] = ACTIONS(2868),
    [anon_sym___attribute] = ACTIONS(2868),
    [anon_sym_noreturn] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2870),
    [anon_sym___declspec] = ACTIONS(2868),
    [anon_sym___cdecl] = ACTIONS(2868),
    [anon_sym___clrcall] = ACTIONS(2868),
    [anon_sym___stdcall] = ACTIONS(2868),
    [anon_sym___fastcall] = ACTIONS(2868),
    [anon_sym___thiscall] = ACTIONS(2868),
    [anon_sym___vectorcall] = ACTIONS(2868),
    [anon_sym_signed] = ACTIONS(2868),
    [anon_sym_unsigned] = ACTIONS(2868),
    [anon_sym_long] = ACTIONS(2868),
    [anon_sym_short] = ACTIONS(2868),
    [anon_sym_static] = ACTIONS(2868),
    [anon_sym_auto] = ACTIONS(2868),
    [anon_sym_register] = ACTIONS(2868),
    [anon_sym_inline] = ACTIONS(2868),
    [anon_sym___inline] = ACTIONS(2868),
    [anon_sym___inline__] = ACTIONS(2868),
    [anon_sym___forceinline] = ACTIONS(2868),
    [anon_sym_thread_local] = ACTIONS(2868),
    [anon_sym___thread] = ACTIONS(2868),
    [anon_sym_CG_EXTERN] = ACTIONS(2868),
    [anon_sym_CG_INLINE] = ACTIONS(2868),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2868),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2868),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2868),
    [anon_sym_IBOutlet] = ACTIONS(2868),
    [anon_sym_IBInspectable] = ACTIONS(2868),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2868),
    [anon_sym_NS_INLINE] = ACTIONS(2868),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2868),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2868),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2868),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2868),
    [anon_sym_const] = ACTIONS(2868),
    [anon_sym_constexpr] = ACTIONS(2868),
    [anon_sym_volatile] = ACTIONS(2868),
    [anon_sym_restrict] = ACTIONS(2868),
    [anon_sym___restrict__] = ACTIONS(2868),
    [anon_sym__Atomic] = ACTIONS(2868),
    [anon_sym__Noreturn] = ACTIONS(2868),
    [anon_sym__Nonnull] = ACTIONS(2868),
    [anon_sym_nullable] = ACTIONS(2868),
    [anon_sym__Complex] = ACTIONS(2868),
    [anon_sym__Nullable] = ACTIONS(2868),
    [anon_sym__Nullable_result] = ACTIONS(2868),
    [anon_sym__Null_unspecified] = ACTIONS(2868),
    [anon_sym___autoreleasing] = ACTIONS(2868),
    [anon_sym___block] = ACTIONS(2868),
    [anon_sym___bridge] = ACTIONS(2868),
    [anon_sym___bridge_retained] = ACTIONS(2868),
    [anon_sym___bridge_transfer] = ACTIONS(2868),
    [anon_sym___complex] = ACTIONS(2868),
    [anon_sym___const] = ACTIONS(2868),
    [anon_sym___imag] = ACTIONS(2868),
    [anon_sym___kindof] = ACTIONS(2868),
    [anon_sym___nonnull] = ACTIONS(2868),
    [anon_sym___nullable] = ACTIONS(2868),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2868),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2868),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2868),
    [anon_sym___real] = ACTIONS(2868),
    [anon_sym___strong] = ACTIONS(2868),
    [anon_sym___unsafe_unretained] = ACTIONS(2868),
    [anon_sym___unused] = ACTIONS(2868),
    [anon_sym___weak] = ACTIONS(2868),
    [anon_sym_alignas] = ACTIONS(2868),
    [anon_sym__Alignas] = ACTIONS(2868),
    [sym_primitive_type] = ACTIONS(2868),
    [anon_sym_enum] = ACTIONS(2868),
    [anon_sym_struct] = ACTIONS(2868),
    [anon_sym_union] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2868),
    [anon_sym___typeof] = ACTIONS(2868),
    [anon_sym_typeof] = ACTIONS(2868),
    [aux_sym_preproc_undef_token1] = ACTIONS(2868),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2868),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2868),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2868),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2868),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2868),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2868),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2868),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2868),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2868),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_API_AVAILABLE] = ACTIONS(2868),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_API_DEPRECATED] = ACTIONS(2868),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2868),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2868),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2868),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2868),
    [anon_sym___deprecated_msg] = ACTIONS(2868),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2868),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2868),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2868),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2868),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2868),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2868),
    [anon_sym_ATsynthesize] = ACTIONS(2870),
    [anon_sym_ATdynamic] = ACTIONS(2870),
    [anon_sym_ATproperty] = ACTIONS(2870),
    [anon_sym_BOOL] = ACTIONS(2868),
    [anon_sym_IMP] = ACTIONS(2868),
    [anon_sym_SEL] = ACTIONS(2868),
    [anon_sym_Class] = ACTIONS(2868),
    [anon_sym_id] = ACTIONS(2868),
  },
  [2323] = {
    [sym_identifier] = ACTIONS(5638),
    [aux_sym_preproc_def_token1] = ACTIONS(5638),
    [aux_sym_preproc_if_token1] = ACTIONS(5638),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5638),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5638),
    [sym_preproc_directive] = ACTIONS(5638),
    [anon_sym_DASH] = ACTIONS(5640),
    [anon_sym_PLUS] = ACTIONS(5640),
    [anon_sym_LT] = ACTIONS(5640),
    [anon_sym___extension__] = ACTIONS(5638),
    [anon_sym_typedef] = ACTIONS(5638),
    [anon_sym_extern] = ACTIONS(5638),
    [anon_sym___attribute__] = ACTIONS(5638),
    [anon_sym___attribute] = ACTIONS(5638),
    [anon_sym_noreturn] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [anon_sym___declspec] = ACTIONS(5638),
    [anon_sym___cdecl] = ACTIONS(5638),
    [anon_sym___clrcall] = ACTIONS(5638),
    [anon_sym___stdcall] = ACTIONS(5638),
    [anon_sym___fastcall] = ACTIONS(5638),
    [anon_sym___thiscall] = ACTIONS(5638),
    [anon_sym___vectorcall] = ACTIONS(5638),
    [anon_sym_LBRACE] = ACTIONS(5640),
    [anon_sym_signed] = ACTIONS(5638),
    [anon_sym_unsigned] = ACTIONS(5638),
    [anon_sym_long] = ACTIONS(5638),
    [anon_sym_short] = ACTIONS(5638),
    [anon_sym_static] = ACTIONS(5638),
    [anon_sym_auto] = ACTIONS(5638),
    [anon_sym_register] = ACTIONS(5638),
    [anon_sym_inline] = ACTIONS(5638),
    [anon_sym___inline] = ACTIONS(5638),
    [anon_sym___inline__] = ACTIONS(5638),
    [anon_sym___forceinline] = ACTIONS(5638),
    [anon_sym_thread_local] = ACTIONS(5638),
    [anon_sym___thread] = ACTIONS(5638),
    [anon_sym_CG_EXTERN] = ACTIONS(5638),
    [anon_sym_CG_INLINE] = ACTIONS(5638),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5638),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5638),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5638),
    [anon_sym_IBOutlet] = ACTIONS(5638),
    [anon_sym_IBInspectable] = ACTIONS(5638),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5638),
    [anon_sym_NS_INLINE] = ACTIONS(5638),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5638),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5638),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5638),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5638),
    [anon_sym_const] = ACTIONS(5638),
    [anon_sym_constexpr] = ACTIONS(5638),
    [anon_sym_volatile] = ACTIONS(5638),
    [anon_sym_restrict] = ACTIONS(5638),
    [anon_sym___restrict__] = ACTIONS(5638),
    [anon_sym__Atomic] = ACTIONS(5638),
    [anon_sym__Noreturn] = ACTIONS(5638),
    [anon_sym__Nonnull] = ACTIONS(5638),
    [anon_sym_nullable] = ACTIONS(5638),
    [anon_sym__Complex] = ACTIONS(5638),
    [anon_sym__Nullable] = ACTIONS(5638),
    [anon_sym__Nullable_result] = ACTIONS(5638),
    [anon_sym__Null_unspecified] = ACTIONS(5638),
    [anon_sym___autoreleasing] = ACTIONS(5638),
    [anon_sym___block] = ACTIONS(5638),
    [anon_sym___bridge] = ACTIONS(5638),
    [anon_sym___bridge_retained] = ACTIONS(5638),
    [anon_sym___bridge_transfer] = ACTIONS(5638),
    [anon_sym___complex] = ACTIONS(5638),
    [anon_sym___const] = ACTIONS(5638),
    [anon_sym___imag] = ACTIONS(5638),
    [anon_sym___kindof] = ACTIONS(5638),
    [anon_sym___nonnull] = ACTIONS(5638),
    [anon_sym___nullable] = ACTIONS(5638),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5638),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5638),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5638),
    [anon_sym___real] = ACTIONS(5638),
    [anon_sym___strong] = ACTIONS(5638),
    [anon_sym___unsafe_unretained] = ACTIONS(5638),
    [anon_sym___unused] = ACTIONS(5638),
    [anon_sym___weak] = ACTIONS(5638),
    [anon_sym_alignas] = ACTIONS(5638),
    [anon_sym__Alignas] = ACTIONS(5638),
    [sym_primitive_type] = ACTIONS(5638),
    [anon_sym_enum] = ACTIONS(5638),
    [anon_sym_struct] = ACTIONS(5638),
    [anon_sym_union] = ACTIONS(5638),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5638),
    [anon_sym___typeof] = ACTIONS(5638),
    [anon_sym_typeof] = ACTIONS(5638),
    [aux_sym_preproc_undef_token1] = ACTIONS(5638),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5638),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5638),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5638),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5638),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5638),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5638),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5638),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5638),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5638),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5638),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5638),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5638),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5638),
    [anon_sym_API_AVAILABLE] = ACTIONS(5638),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5638),
    [anon_sym_API_DEPRECATED] = ACTIONS(5638),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5638),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5638),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5638),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5638),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5638),
    [anon_sym___deprecated_msg] = ACTIONS(5638),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5638),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5638),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5638),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5638),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5638),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5638),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5638),
    [anon_sym_ATend] = ACTIONS(5640),
    [anon_sym_ATproperty] = ACTIONS(5640),
    [anon_sym_BOOL] = ACTIONS(5638),
    [anon_sym_IMP] = ACTIONS(5638),
    [anon_sym_SEL] = ACTIONS(5638),
    [anon_sym_Class] = ACTIONS(5638),
    [anon_sym_id] = ACTIONS(5638),
  },
  [2324] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token2] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym___attribute] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___cdecl] = ACTIONS(2448),
    [anon_sym___clrcall] = ACTIONS(2448),
    [anon_sym___stdcall] = ACTIONS(2448),
    [anon_sym___fastcall] = ACTIONS(2448),
    [anon_sym___thiscall] = ACTIONS(2448),
    [anon_sym___vectorcall] = ACTIONS(2448),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_auto] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_CG_EXTERN] = ACTIONS(2448),
    [anon_sym_CG_INLINE] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2448),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2448),
    [anon_sym_IBOutlet] = ACTIONS(2448),
    [anon_sym_IBInspectable] = ACTIONS(2448),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2448),
    [anon_sym_NS_INLINE] = ACTIONS(2448),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2448),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2448),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym__Nonnull] = ACTIONS(2448),
    [anon_sym_nullable] = ACTIONS(2448),
    [anon_sym__Complex] = ACTIONS(2448),
    [anon_sym__Nullable] = ACTIONS(2448),
    [anon_sym__Nullable_result] = ACTIONS(2448),
    [anon_sym__Null_unspecified] = ACTIONS(2448),
    [anon_sym___autoreleasing] = ACTIONS(2448),
    [anon_sym___block] = ACTIONS(2448),
    [anon_sym___bridge] = ACTIONS(2448),
    [anon_sym___bridge_retained] = ACTIONS(2448),
    [anon_sym___bridge_transfer] = ACTIONS(2448),
    [anon_sym___complex] = ACTIONS(2448),
    [anon_sym___const] = ACTIONS(2448),
    [anon_sym___imag] = ACTIONS(2448),
    [anon_sym___kindof] = ACTIONS(2448),
    [anon_sym___nonnull] = ACTIONS(2448),
    [anon_sym___nullable] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2448),
    [anon_sym___real] = ACTIONS(2448),
    [anon_sym___strong] = ACTIONS(2448),
    [anon_sym___unsafe_unretained] = ACTIONS(2448),
    [anon_sym___unused] = ACTIONS(2448),
    [anon_sym___weak] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym__Alignas] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2448),
    [anon_sym___typeof] = ACTIONS(2448),
    [anon_sym_typeof] = ACTIONS(2448),
    [aux_sym_preproc_undef_token1] = ACTIONS(2448),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2448),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2448),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2448),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_API_AVAILABLE] = ACTIONS(2448),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_API_DEPRECATED] = ACTIONS(2448),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym___deprecated_msg] = ACTIONS(2448),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2448),
    [anon_sym_ATsynthesize] = ACTIONS(2450),
    [anon_sym_ATdynamic] = ACTIONS(2450),
    [anon_sym_ATproperty] = ACTIONS(2450),
    [anon_sym_BOOL] = ACTIONS(2448),
    [anon_sym_IMP] = ACTIONS(2448),
    [anon_sym_SEL] = ACTIONS(2448),
    [anon_sym_Class] = ACTIONS(2448),
    [anon_sym_id] = ACTIONS(2448),
  },
  [2325] = {
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token2] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym___attribute] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_auto] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_CG_EXTERN] = ACTIONS(2452),
    [anon_sym_CG_INLINE] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2452),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2452),
    [anon_sym_IBOutlet] = ACTIONS(2452),
    [anon_sym_IBInspectable] = ACTIONS(2452),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2452),
    [anon_sym_NS_INLINE] = ACTIONS(2452),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2452),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2452),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym__Nonnull] = ACTIONS(2452),
    [anon_sym_nullable] = ACTIONS(2452),
    [anon_sym__Complex] = ACTIONS(2452),
    [anon_sym__Nullable] = ACTIONS(2452),
    [anon_sym__Nullable_result] = ACTIONS(2452),
    [anon_sym__Null_unspecified] = ACTIONS(2452),
    [anon_sym___autoreleasing] = ACTIONS(2452),
    [anon_sym___block] = ACTIONS(2452),
    [anon_sym___bridge] = ACTIONS(2452),
    [anon_sym___bridge_retained] = ACTIONS(2452),
    [anon_sym___bridge_transfer] = ACTIONS(2452),
    [anon_sym___complex] = ACTIONS(2452),
    [anon_sym___const] = ACTIONS(2452),
    [anon_sym___imag] = ACTIONS(2452),
    [anon_sym___kindof] = ACTIONS(2452),
    [anon_sym___nonnull] = ACTIONS(2452),
    [anon_sym___nullable] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2452),
    [anon_sym___real] = ACTIONS(2452),
    [anon_sym___strong] = ACTIONS(2452),
    [anon_sym___unsafe_unretained] = ACTIONS(2452),
    [anon_sym___unused] = ACTIONS(2452),
    [anon_sym___weak] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym__Alignas] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2452),
    [anon_sym___typeof] = ACTIONS(2452),
    [anon_sym_typeof] = ACTIONS(2452),
    [aux_sym_preproc_undef_token1] = ACTIONS(2452),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2452),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2452),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2452),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_API_AVAILABLE] = ACTIONS(2452),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_API_DEPRECATED] = ACTIONS(2452),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym___deprecated_msg] = ACTIONS(2452),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2452),
    [anon_sym_ATsynthesize] = ACTIONS(2454),
    [anon_sym_ATdynamic] = ACTIONS(2454),
    [anon_sym_ATproperty] = ACTIONS(2454),
    [anon_sym_BOOL] = ACTIONS(2452),
    [anon_sym_IMP] = ACTIONS(2452),
    [anon_sym_SEL] = ACTIONS(2452),
    [anon_sym_Class] = ACTIONS(2452),
    [anon_sym_id] = ACTIONS(2452),
  },
  [2326] = {
    [sym_identifier] = ACTIONS(2436),
    [aux_sym_preproc_def_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token1] = ACTIONS(2436),
    [aux_sym_preproc_if_token2] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2436),
    [sym_preproc_directive] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_PLUS] = ACTIONS(2438),
    [anon_sym___extension__] = ACTIONS(2436),
    [anon_sym_typedef] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym___attribute__] = ACTIONS(2436),
    [anon_sym___attribute] = ACTIONS(2436),
    [anon_sym_noreturn] = ACTIONS(2436),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym___declspec] = ACTIONS(2436),
    [anon_sym___cdecl] = ACTIONS(2436),
    [anon_sym___clrcall] = ACTIONS(2436),
    [anon_sym___stdcall] = ACTIONS(2436),
    [anon_sym___fastcall] = ACTIONS(2436),
    [anon_sym___thiscall] = ACTIONS(2436),
    [anon_sym___vectorcall] = ACTIONS(2436),
    [anon_sym_signed] = ACTIONS(2436),
    [anon_sym_unsigned] = ACTIONS(2436),
    [anon_sym_long] = ACTIONS(2436),
    [anon_sym_short] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_auto] = ACTIONS(2436),
    [anon_sym_register] = ACTIONS(2436),
    [anon_sym_inline] = ACTIONS(2436),
    [anon_sym___inline] = ACTIONS(2436),
    [anon_sym___inline__] = ACTIONS(2436),
    [anon_sym___forceinline] = ACTIONS(2436),
    [anon_sym_thread_local] = ACTIONS(2436),
    [anon_sym___thread] = ACTIONS(2436),
    [anon_sym_CG_EXTERN] = ACTIONS(2436),
    [anon_sym_CG_INLINE] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2436),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2436),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2436),
    [anon_sym_IBOutlet] = ACTIONS(2436),
    [anon_sym_IBInspectable] = ACTIONS(2436),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2436),
    [anon_sym_NS_INLINE] = ACTIONS(2436),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2436),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2436),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_constexpr] = ACTIONS(2436),
    [anon_sym_volatile] = ACTIONS(2436),
    [anon_sym_restrict] = ACTIONS(2436),
    [anon_sym___restrict__] = ACTIONS(2436),
    [anon_sym__Atomic] = ACTIONS(2436),
    [anon_sym__Noreturn] = ACTIONS(2436),
    [anon_sym__Nonnull] = ACTIONS(2436),
    [anon_sym_nullable] = ACTIONS(2436),
    [anon_sym__Complex] = ACTIONS(2436),
    [anon_sym__Nullable] = ACTIONS(2436),
    [anon_sym__Nullable_result] = ACTIONS(2436),
    [anon_sym__Null_unspecified] = ACTIONS(2436),
    [anon_sym___autoreleasing] = ACTIONS(2436),
    [anon_sym___block] = ACTIONS(2436),
    [anon_sym___bridge] = ACTIONS(2436),
    [anon_sym___bridge_retained] = ACTIONS(2436),
    [anon_sym___bridge_transfer] = ACTIONS(2436),
    [anon_sym___complex] = ACTIONS(2436),
    [anon_sym___const] = ACTIONS(2436),
    [anon_sym___imag] = ACTIONS(2436),
    [anon_sym___kindof] = ACTIONS(2436),
    [anon_sym___nonnull] = ACTIONS(2436),
    [anon_sym___nullable] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2436),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2436),
    [anon_sym___real] = ACTIONS(2436),
    [anon_sym___strong] = ACTIONS(2436),
    [anon_sym___unsafe_unretained] = ACTIONS(2436),
    [anon_sym___unused] = ACTIONS(2436),
    [anon_sym___weak] = ACTIONS(2436),
    [anon_sym_alignas] = ACTIONS(2436),
    [anon_sym__Alignas] = ACTIONS(2436),
    [sym_primitive_type] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2436),
    [anon_sym___typeof] = ACTIONS(2436),
    [anon_sym_typeof] = ACTIONS(2436),
    [aux_sym_preproc_undef_token1] = ACTIONS(2436),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2436),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2436),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2436),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2436),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2436),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_API_AVAILABLE] = ACTIONS(2436),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_API_DEPRECATED] = ACTIONS(2436),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2436),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2436),
    [anon_sym___deprecated_msg] = ACTIONS(2436),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2436),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2436),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2436),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2436),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2436),
    [anon_sym_ATsynthesize] = ACTIONS(2438),
    [anon_sym_ATdynamic] = ACTIONS(2438),
    [anon_sym_ATproperty] = ACTIONS(2438),
    [anon_sym_BOOL] = ACTIONS(2436),
    [anon_sym_IMP] = ACTIONS(2436),
    [anon_sym_SEL] = ACTIONS(2436),
    [anon_sym_Class] = ACTIONS(2436),
    [anon_sym_id] = ACTIONS(2436),
  },
  [2327] = {
    [sym_identifier] = ACTIONS(2452),
    [aux_sym_preproc_def_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token1] = ACTIONS(2452),
    [aux_sym_preproc_if_token2] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2452),
    [sym_preproc_directive] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym___extension__] = ACTIONS(2452),
    [anon_sym_typedef] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym___attribute__] = ACTIONS(2452),
    [anon_sym___attribute] = ACTIONS(2452),
    [anon_sym_noreturn] = ACTIONS(2452),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym___declspec] = ACTIONS(2452),
    [anon_sym___cdecl] = ACTIONS(2452),
    [anon_sym___clrcall] = ACTIONS(2452),
    [anon_sym___stdcall] = ACTIONS(2452),
    [anon_sym___fastcall] = ACTIONS(2452),
    [anon_sym___thiscall] = ACTIONS(2452),
    [anon_sym___vectorcall] = ACTIONS(2452),
    [anon_sym_signed] = ACTIONS(2452),
    [anon_sym_unsigned] = ACTIONS(2452),
    [anon_sym_long] = ACTIONS(2452),
    [anon_sym_short] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_auto] = ACTIONS(2452),
    [anon_sym_register] = ACTIONS(2452),
    [anon_sym_inline] = ACTIONS(2452),
    [anon_sym___inline] = ACTIONS(2452),
    [anon_sym___inline__] = ACTIONS(2452),
    [anon_sym___forceinline] = ACTIONS(2452),
    [anon_sym_thread_local] = ACTIONS(2452),
    [anon_sym___thread] = ACTIONS(2452),
    [anon_sym_CG_EXTERN] = ACTIONS(2452),
    [anon_sym_CG_INLINE] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2452),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2452),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2452),
    [anon_sym_IBOutlet] = ACTIONS(2452),
    [anon_sym_IBInspectable] = ACTIONS(2452),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2452),
    [anon_sym_NS_INLINE] = ACTIONS(2452),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2452),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2452),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_constexpr] = ACTIONS(2452),
    [anon_sym_volatile] = ACTIONS(2452),
    [anon_sym_restrict] = ACTIONS(2452),
    [anon_sym___restrict__] = ACTIONS(2452),
    [anon_sym__Atomic] = ACTIONS(2452),
    [anon_sym__Noreturn] = ACTIONS(2452),
    [anon_sym__Nonnull] = ACTIONS(2452),
    [anon_sym_nullable] = ACTIONS(2452),
    [anon_sym__Complex] = ACTIONS(2452),
    [anon_sym__Nullable] = ACTIONS(2452),
    [anon_sym__Nullable_result] = ACTIONS(2452),
    [anon_sym__Null_unspecified] = ACTIONS(2452),
    [anon_sym___autoreleasing] = ACTIONS(2452),
    [anon_sym___block] = ACTIONS(2452),
    [anon_sym___bridge] = ACTIONS(2452),
    [anon_sym___bridge_retained] = ACTIONS(2452),
    [anon_sym___bridge_transfer] = ACTIONS(2452),
    [anon_sym___complex] = ACTIONS(2452),
    [anon_sym___const] = ACTIONS(2452),
    [anon_sym___imag] = ACTIONS(2452),
    [anon_sym___kindof] = ACTIONS(2452),
    [anon_sym___nonnull] = ACTIONS(2452),
    [anon_sym___nullable] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2452),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2452),
    [anon_sym___real] = ACTIONS(2452),
    [anon_sym___strong] = ACTIONS(2452),
    [anon_sym___unsafe_unretained] = ACTIONS(2452),
    [anon_sym___unused] = ACTIONS(2452),
    [anon_sym___weak] = ACTIONS(2452),
    [anon_sym_alignas] = ACTIONS(2452),
    [anon_sym__Alignas] = ACTIONS(2452),
    [sym_primitive_type] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2452),
    [anon_sym___typeof] = ACTIONS(2452),
    [anon_sym_typeof] = ACTIONS(2452),
    [aux_sym_preproc_undef_token1] = ACTIONS(2452),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2452),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2452),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2452),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2452),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2452),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_API_AVAILABLE] = ACTIONS(2452),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_API_DEPRECATED] = ACTIONS(2452),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2452),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2452),
    [anon_sym___deprecated_msg] = ACTIONS(2452),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2452),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2452),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2452),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2452),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2452),
    [anon_sym_ATsynthesize] = ACTIONS(2454),
    [anon_sym_ATdynamic] = ACTIONS(2454),
    [anon_sym_ATproperty] = ACTIONS(2454),
    [anon_sym_BOOL] = ACTIONS(2452),
    [anon_sym_IMP] = ACTIONS(2452),
    [anon_sym_SEL] = ACTIONS(2452),
    [anon_sym_Class] = ACTIONS(2452),
    [anon_sym_id] = ACTIONS(2452),
  },
  [2328] = {
    [sym_identifier] = ACTIONS(5642),
    [aux_sym_preproc_def_token1] = ACTIONS(5642),
    [aux_sym_preproc_if_token1] = ACTIONS(5642),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5642),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5642),
    [sym_preproc_directive] = ACTIONS(5642),
    [anon_sym_DASH] = ACTIONS(5644),
    [anon_sym_PLUS] = ACTIONS(5644),
    [anon_sym___extension__] = ACTIONS(5642),
    [anon_sym_typedef] = ACTIONS(5642),
    [anon_sym_extern] = ACTIONS(5642),
    [anon_sym___attribute__] = ACTIONS(5642),
    [anon_sym___attribute] = ACTIONS(5642),
    [anon_sym_noreturn] = ACTIONS(5642),
    [anon_sym_LBRACK] = ACTIONS(5644),
    [anon_sym___declspec] = ACTIONS(5642),
    [anon_sym___cdecl] = ACTIONS(5642),
    [anon_sym___clrcall] = ACTIONS(5642),
    [anon_sym___stdcall] = ACTIONS(5642),
    [anon_sym___fastcall] = ACTIONS(5642),
    [anon_sym___thiscall] = ACTIONS(5642),
    [anon_sym___vectorcall] = ACTIONS(5642),
    [anon_sym_signed] = ACTIONS(5642),
    [anon_sym_unsigned] = ACTIONS(5642),
    [anon_sym_long] = ACTIONS(5642),
    [anon_sym_short] = ACTIONS(5642),
    [anon_sym_static] = ACTIONS(5642),
    [anon_sym_auto] = ACTIONS(5642),
    [anon_sym_register] = ACTIONS(5642),
    [anon_sym_inline] = ACTIONS(5642),
    [anon_sym___inline] = ACTIONS(5642),
    [anon_sym___inline__] = ACTIONS(5642),
    [anon_sym___forceinline] = ACTIONS(5642),
    [anon_sym_thread_local] = ACTIONS(5642),
    [anon_sym___thread] = ACTIONS(5642),
    [anon_sym_CG_EXTERN] = ACTIONS(5642),
    [anon_sym_CG_INLINE] = ACTIONS(5642),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5642),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5642),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5642),
    [anon_sym_IBOutlet] = ACTIONS(5642),
    [anon_sym_IBInspectable] = ACTIONS(5642),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5642),
    [anon_sym_NS_INLINE] = ACTIONS(5642),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5642),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5642),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5642),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5642),
    [anon_sym_const] = ACTIONS(5642),
    [anon_sym_constexpr] = ACTIONS(5642),
    [anon_sym_volatile] = ACTIONS(5642),
    [anon_sym_restrict] = ACTIONS(5642),
    [anon_sym___restrict__] = ACTIONS(5642),
    [anon_sym__Atomic] = ACTIONS(5642),
    [anon_sym__Noreturn] = ACTIONS(5642),
    [anon_sym__Nonnull] = ACTIONS(5642),
    [anon_sym_nullable] = ACTIONS(5642),
    [anon_sym__Complex] = ACTIONS(5642),
    [anon_sym__Nullable] = ACTIONS(5642),
    [anon_sym__Nullable_result] = ACTIONS(5642),
    [anon_sym__Null_unspecified] = ACTIONS(5642),
    [anon_sym___autoreleasing] = ACTIONS(5642),
    [anon_sym___block] = ACTIONS(5642),
    [anon_sym___bridge] = ACTIONS(5642),
    [anon_sym___bridge_retained] = ACTIONS(5642),
    [anon_sym___bridge_transfer] = ACTIONS(5642),
    [anon_sym___complex] = ACTIONS(5642),
    [anon_sym___const] = ACTIONS(5642),
    [anon_sym___imag] = ACTIONS(5642),
    [anon_sym___kindof] = ACTIONS(5642),
    [anon_sym___nonnull] = ACTIONS(5642),
    [anon_sym___nullable] = ACTIONS(5642),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5642),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5642),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5642),
    [anon_sym___real] = ACTIONS(5642),
    [anon_sym___strong] = ACTIONS(5642),
    [anon_sym___unsafe_unretained] = ACTIONS(5642),
    [anon_sym___unused] = ACTIONS(5642),
    [anon_sym___weak] = ACTIONS(5642),
    [anon_sym_alignas] = ACTIONS(5642),
    [anon_sym__Alignas] = ACTIONS(5642),
    [sym_primitive_type] = ACTIONS(5642),
    [anon_sym_enum] = ACTIONS(5642),
    [anon_sym_struct] = ACTIONS(5642),
    [anon_sym_union] = ACTIONS(5642),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5642),
    [anon_sym___typeof] = ACTIONS(5642),
    [anon_sym_typeof] = ACTIONS(5642),
    [aux_sym_preproc_undef_token1] = ACTIONS(5642),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5642),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5642),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5642),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5642),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5642),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5642),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5642),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5642),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5642),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5642),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5642),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5642),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5642),
    [anon_sym_API_AVAILABLE] = ACTIONS(5642),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5642),
    [anon_sym_API_DEPRECATED] = ACTIONS(5642),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5642),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5642),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5642),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5642),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5642),
    [anon_sym___deprecated_msg] = ACTIONS(5642),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5642),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5642),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5642),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5642),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5642),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5642),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5642),
    [anon_sym_ATend] = ACTIONS(5644),
    [anon_sym_AToptional] = ACTIONS(5644),
    [anon_sym_ATrequired] = ACTIONS(5644),
    [anon_sym_ATproperty] = ACTIONS(5644),
    [anon_sym_BOOL] = ACTIONS(5642),
    [anon_sym_IMP] = ACTIONS(5642),
    [anon_sym_SEL] = ACTIONS(5642),
    [anon_sym_Class] = ACTIONS(5642),
    [anon_sym_id] = ACTIONS(5642),
  },
  [2329] = {
    [sym_identifier] = ACTIONS(5646),
    [aux_sym_preproc_def_token1] = ACTIONS(5646),
    [aux_sym_preproc_if_token1] = ACTIONS(5646),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5646),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5646),
    [sym_preproc_directive] = ACTIONS(5646),
    [anon_sym_DASH] = ACTIONS(3747),
    [anon_sym_PLUS] = ACTIONS(3747),
    [anon_sym___extension__] = ACTIONS(5646),
    [anon_sym_typedef] = ACTIONS(5646),
    [anon_sym_extern] = ACTIONS(5646),
    [anon_sym___attribute__] = ACTIONS(5646),
    [anon_sym___attribute] = ACTIONS(5646),
    [anon_sym_noreturn] = ACTIONS(5646),
    [anon_sym_LBRACK] = ACTIONS(3747),
    [anon_sym___declspec] = ACTIONS(5646),
    [anon_sym___cdecl] = ACTIONS(5646),
    [anon_sym___clrcall] = ACTIONS(5646),
    [anon_sym___stdcall] = ACTIONS(5646),
    [anon_sym___fastcall] = ACTIONS(5646),
    [anon_sym___thiscall] = ACTIONS(5646),
    [anon_sym___vectorcall] = ACTIONS(5646),
    [anon_sym_signed] = ACTIONS(5646),
    [anon_sym_unsigned] = ACTIONS(5646),
    [anon_sym_long] = ACTIONS(5646),
    [anon_sym_short] = ACTIONS(5646),
    [anon_sym_static] = ACTIONS(5646),
    [anon_sym_auto] = ACTIONS(5646),
    [anon_sym_register] = ACTIONS(5646),
    [anon_sym_inline] = ACTIONS(5646),
    [anon_sym___inline] = ACTIONS(5646),
    [anon_sym___inline__] = ACTIONS(5646),
    [anon_sym___forceinline] = ACTIONS(5646),
    [anon_sym_thread_local] = ACTIONS(5646),
    [anon_sym___thread] = ACTIONS(5646),
    [anon_sym_CG_EXTERN] = ACTIONS(5646),
    [anon_sym_CG_INLINE] = ACTIONS(5646),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5646),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5646),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5646),
    [anon_sym_IBOutlet] = ACTIONS(5646),
    [anon_sym_IBInspectable] = ACTIONS(5646),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5646),
    [anon_sym_NS_INLINE] = ACTIONS(5646),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5646),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5646),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5646),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5646),
    [anon_sym_const] = ACTIONS(5646),
    [anon_sym_constexpr] = ACTIONS(5646),
    [anon_sym_volatile] = ACTIONS(5646),
    [anon_sym_restrict] = ACTIONS(5646),
    [anon_sym___restrict__] = ACTIONS(5646),
    [anon_sym__Atomic] = ACTIONS(5646),
    [anon_sym__Noreturn] = ACTIONS(5646),
    [anon_sym__Nonnull] = ACTIONS(5646),
    [anon_sym_nullable] = ACTIONS(5646),
    [anon_sym__Complex] = ACTIONS(5646),
    [anon_sym__Nullable] = ACTIONS(5646),
    [anon_sym__Nullable_result] = ACTIONS(5646),
    [anon_sym__Null_unspecified] = ACTIONS(5646),
    [anon_sym___autoreleasing] = ACTIONS(5646),
    [anon_sym___block] = ACTIONS(5646),
    [anon_sym___bridge] = ACTIONS(5646),
    [anon_sym___bridge_retained] = ACTIONS(5646),
    [anon_sym___bridge_transfer] = ACTIONS(5646),
    [anon_sym___complex] = ACTIONS(5646),
    [anon_sym___const] = ACTIONS(5646),
    [anon_sym___imag] = ACTIONS(5646),
    [anon_sym___kindof] = ACTIONS(5646),
    [anon_sym___nonnull] = ACTIONS(5646),
    [anon_sym___nullable] = ACTIONS(5646),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5646),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5646),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5646),
    [anon_sym___real] = ACTIONS(5646),
    [anon_sym___strong] = ACTIONS(5646),
    [anon_sym___unsafe_unretained] = ACTIONS(5646),
    [anon_sym___unused] = ACTIONS(5646),
    [anon_sym___weak] = ACTIONS(5646),
    [anon_sym_alignas] = ACTIONS(5646),
    [anon_sym__Alignas] = ACTIONS(5646),
    [sym_primitive_type] = ACTIONS(5646),
    [anon_sym_enum] = ACTIONS(5646),
    [anon_sym_struct] = ACTIONS(5646),
    [anon_sym_union] = ACTIONS(5646),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5646),
    [anon_sym___typeof] = ACTIONS(5646),
    [anon_sym_typeof] = ACTIONS(5646),
    [aux_sym_preproc_undef_token1] = ACTIONS(5646),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5646),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5646),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5646),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5646),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5646),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5646),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5646),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5646),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5646),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5646),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5646),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5646),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5646),
    [anon_sym_API_AVAILABLE] = ACTIONS(5646),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5646),
    [anon_sym_API_DEPRECATED] = ACTIONS(5646),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5646),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5646),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5646),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5646),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5646),
    [anon_sym___deprecated_msg] = ACTIONS(5646),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5646),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5646),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5646),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5646),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5646),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5646),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5646),
    [anon_sym_ATend] = ACTIONS(3747),
    [anon_sym_AToptional] = ACTIONS(3747),
    [anon_sym_ATrequired] = ACTIONS(3747),
    [anon_sym_ATproperty] = ACTIONS(3747),
    [anon_sym_BOOL] = ACTIONS(5646),
    [anon_sym_IMP] = ACTIONS(5646),
    [anon_sym_SEL] = ACTIONS(5646),
    [anon_sym_Class] = ACTIONS(5646),
    [anon_sym_id] = ACTIONS(5646),
  },
  [2330] = {
    [sym_identifier] = ACTIONS(5642),
    [aux_sym_preproc_def_token1] = ACTIONS(5642),
    [aux_sym_preproc_if_token1] = ACTIONS(5642),
    [aux_sym_preproc_if_token2] = ACTIONS(5642),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5642),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5642),
    [aux_sym_preproc_else_token1] = ACTIONS(5642),
    [aux_sym_preproc_elif_token1] = ACTIONS(5642),
    [sym_preproc_directive] = ACTIONS(5642),
    [anon_sym_DASH] = ACTIONS(5644),
    [anon_sym_PLUS] = ACTIONS(5644),
    [anon_sym___extension__] = ACTIONS(5642),
    [anon_sym_typedef] = ACTIONS(5642),
    [anon_sym_extern] = ACTIONS(5642),
    [anon_sym___attribute__] = ACTIONS(5642),
    [anon_sym___attribute] = ACTIONS(5642),
    [anon_sym_noreturn] = ACTIONS(5642),
    [anon_sym_LBRACK] = ACTIONS(5644),
    [anon_sym___declspec] = ACTIONS(5642),
    [anon_sym___cdecl] = ACTIONS(5642),
    [anon_sym___clrcall] = ACTIONS(5642),
    [anon_sym___stdcall] = ACTIONS(5642),
    [anon_sym___fastcall] = ACTIONS(5642),
    [anon_sym___thiscall] = ACTIONS(5642),
    [anon_sym___vectorcall] = ACTIONS(5642),
    [anon_sym_signed] = ACTIONS(5642),
    [anon_sym_unsigned] = ACTIONS(5642),
    [anon_sym_long] = ACTIONS(5642),
    [anon_sym_short] = ACTIONS(5642),
    [anon_sym_static] = ACTIONS(5642),
    [anon_sym_auto] = ACTIONS(5642),
    [anon_sym_register] = ACTIONS(5642),
    [anon_sym_inline] = ACTIONS(5642),
    [anon_sym___inline] = ACTIONS(5642),
    [anon_sym___inline__] = ACTIONS(5642),
    [anon_sym___forceinline] = ACTIONS(5642),
    [anon_sym_thread_local] = ACTIONS(5642),
    [anon_sym___thread] = ACTIONS(5642),
    [anon_sym_CG_EXTERN] = ACTIONS(5642),
    [anon_sym_CG_INLINE] = ACTIONS(5642),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5642),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5642),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5642),
    [anon_sym_IBOutlet] = ACTIONS(5642),
    [anon_sym_IBInspectable] = ACTIONS(5642),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5642),
    [anon_sym_NS_INLINE] = ACTIONS(5642),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5642),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5642),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5642),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5642),
    [anon_sym_const] = ACTIONS(5642),
    [anon_sym_constexpr] = ACTIONS(5642),
    [anon_sym_volatile] = ACTIONS(5642),
    [anon_sym_restrict] = ACTIONS(5642),
    [anon_sym___restrict__] = ACTIONS(5642),
    [anon_sym__Atomic] = ACTIONS(5642),
    [anon_sym__Noreturn] = ACTIONS(5642),
    [anon_sym__Nonnull] = ACTIONS(5642),
    [anon_sym_nullable] = ACTIONS(5642),
    [anon_sym__Complex] = ACTIONS(5642),
    [anon_sym__Nullable] = ACTIONS(5642),
    [anon_sym__Nullable_result] = ACTIONS(5642),
    [anon_sym__Null_unspecified] = ACTIONS(5642),
    [anon_sym___autoreleasing] = ACTIONS(5642),
    [anon_sym___block] = ACTIONS(5642),
    [anon_sym___bridge] = ACTIONS(5642),
    [anon_sym___bridge_retained] = ACTIONS(5642),
    [anon_sym___bridge_transfer] = ACTIONS(5642),
    [anon_sym___complex] = ACTIONS(5642),
    [anon_sym___const] = ACTIONS(5642),
    [anon_sym___imag] = ACTIONS(5642),
    [anon_sym___kindof] = ACTIONS(5642),
    [anon_sym___nonnull] = ACTIONS(5642),
    [anon_sym___nullable] = ACTIONS(5642),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5642),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5642),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5642),
    [anon_sym___real] = ACTIONS(5642),
    [anon_sym___strong] = ACTIONS(5642),
    [anon_sym___unsafe_unretained] = ACTIONS(5642),
    [anon_sym___unused] = ACTIONS(5642),
    [anon_sym___weak] = ACTIONS(5642),
    [anon_sym_alignas] = ACTIONS(5642),
    [anon_sym__Alignas] = ACTIONS(5642),
    [sym_primitive_type] = ACTIONS(5642),
    [anon_sym_enum] = ACTIONS(5642),
    [anon_sym_struct] = ACTIONS(5642),
    [anon_sym_union] = ACTIONS(5642),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5642),
    [anon_sym___typeof] = ACTIONS(5642),
    [anon_sym_typeof] = ACTIONS(5642),
    [aux_sym_preproc_undef_token1] = ACTIONS(5642),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5642),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5642),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5642),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5642),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5642),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5642),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5642),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5642),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5642),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5642),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5642),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5642),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5642),
    [anon_sym_API_AVAILABLE] = ACTIONS(5642),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5642),
    [anon_sym_API_DEPRECATED] = ACTIONS(5642),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5642),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5642),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5642),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5642),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5642),
    [anon_sym___deprecated_msg] = ACTIONS(5642),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5642),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5642),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5642),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5642),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5642),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5642),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5642),
    [anon_sym_ATproperty] = ACTIONS(5644),
    [anon_sym_BOOL] = ACTIONS(5642),
    [anon_sym_IMP] = ACTIONS(5642),
    [anon_sym_SEL] = ACTIONS(5642),
    [anon_sym_Class] = ACTIONS(5642),
    [anon_sym_id] = ACTIONS(5642),
  },
  [2331] = {
    [sym_identifier] = ACTIONS(2448),
    [aux_sym_preproc_def_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token1] = ACTIONS(2448),
    [aux_sym_preproc_if_token2] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2448),
    [sym_preproc_directive] = ACTIONS(2448),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym___extension__] = ACTIONS(2448),
    [anon_sym_typedef] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym___attribute__] = ACTIONS(2448),
    [anon_sym___attribute] = ACTIONS(2448),
    [anon_sym_noreturn] = ACTIONS(2448),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym___declspec] = ACTIONS(2448),
    [anon_sym___cdecl] = ACTIONS(2448),
    [anon_sym___clrcall] = ACTIONS(2448),
    [anon_sym___stdcall] = ACTIONS(2448),
    [anon_sym___fastcall] = ACTIONS(2448),
    [anon_sym___thiscall] = ACTIONS(2448),
    [anon_sym___vectorcall] = ACTIONS(2448),
    [anon_sym_signed] = ACTIONS(2448),
    [anon_sym_unsigned] = ACTIONS(2448),
    [anon_sym_long] = ACTIONS(2448),
    [anon_sym_short] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_auto] = ACTIONS(2448),
    [anon_sym_register] = ACTIONS(2448),
    [anon_sym_inline] = ACTIONS(2448),
    [anon_sym___inline] = ACTIONS(2448),
    [anon_sym___inline__] = ACTIONS(2448),
    [anon_sym___forceinline] = ACTIONS(2448),
    [anon_sym_thread_local] = ACTIONS(2448),
    [anon_sym___thread] = ACTIONS(2448),
    [anon_sym_CG_EXTERN] = ACTIONS(2448),
    [anon_sym_CG_INLINE] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2448),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2448),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2448),
    [anon_sym_IBOutlet] = ACTIONS(2448),
    [anon_sym_IBInspectable] = ACTIONS(2448),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2448),
    [anon_sym_NS_INLINE] = ACTIONS(2448),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2448),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2448),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_constexpr] = ACTIONS(2448),
    [anon_sym_volatile] = ACTIONS(2448),
    [anon_sym_restrict] = ACTIONS(2448),
    [anon_sym___restrict__] = ACTIONS(2448),
    [anon_sym__Atomic] = ACTIONS(2448),
    [anon_sym__Noreturn] = ACTIONS(2448),
    [anon_sym__Nonnull] = ACTIONS(2448),
    [anon_sym_nullable] = ACTIONS(2448),
    [anon_sym__Complex] = ACTIONS(2448),
    [anon_sym__Nullable] = ACTIONS(2448),
    [anon_sym__Nullable_result] = ACTIONS(2448),
    [anon_sym__Null_unspecified] = ACTIONS(2448),
    [anon_sym___autoreleasing] = ACTIONS(2448),
    [anon_sym___block] = ACTIONS(2448),
    [anon_sym___bridge] = ACTIONS(2448),
    [anon_sym___bridge_retained] = ACTIONS(2448),
    [anon_sym___bridge_transfer] = ACTIONS(2448),
    [anon_sym___complex] = ACTIONS(2448),
    [anon_sym___const] = ACTIONS(2448),
    [anon_sym___imag] = ACTIONS(2448),
    [anon_sym___kindof] = ACTIONS(2448),
    [anon_sym___nonnull] = ACTIONS(2448),
    [anon_sym___nullable] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2448),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2448),
    [anon_sym___real] = ACTIONS(2448),
    [anon_sym___strong] = ACTIONS(2448),
    [anon_sym___unsafe_unretained] = ACTIONS(2448),
    [anon_sym___unused] = ACTIONS(2448),
    [anon_sym___weak] = ACTIONS(2448),
    [anon_sym_alignas] = ACTIONS(2448),
    [anon_sym__Alignas] = ACTIONS(2448),
    [sym_primitive_type] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2448),
    [anon_sym___typeof] = ACTIONS(2448),
    [anon_sym_typeof] = ACTIONS(2448),
    [aux_sym_preproc_undef_token1] = ACTIONS(2448),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2448),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2448),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2448),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2448),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2448),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_API_AVAILABLE] = ACTIONS(2448),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_API_DEPRECATED] = ACTIONS(2448),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2448),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2448),
    [anon_sym___deprecated_msg] = ACTIONS(2448),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2448),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2448),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2448),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2448),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2448),
    [anon_sym_ATsynthesize] = ACTIONS(2450),
    [anon_sym_ATdynamic] = ACTIONS(2450),
    [anon_sym_ATproperty] = ACTIONS(2450),
    [anon_sym_BOOL] = ACTIONS(2448),
    [anon_sym_IMP] = ACTIONS(2448),
    [anon_sym_SEL] = ACTIONS(2448),
    [anon_sym_Class] = ACTIONS(2448),
    [anon_sym_id] = ACTIONS(2448),
  },
  [2332] = {
    [sym_identifier] = ACTIONS(2470),
    [aux_sym_preproc_def_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token2] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2470),
    [sym_preproc_directive] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2470),
    [anon_sym_extern] = ACTIONS(2470),
    [anon_sym___attribute__] = ACTIONS(2470),
    [anon_sym___attribute] = ACTIONS(2470),
    [anon_sym_noreturn] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym___declspec] = ACTIONS(2470),
    [anon_sym___cdecl] = ACTIONS(2470),
    [anon_sym___clrcall] = ACTIONS(2470),
    [anon_sym___stdcall] = ACTIONS(2470),
    [anon_sym___fastcall] = ACTIONS(2470),
    [anon_sym___thiscall] = ACTIONS(2470),
    [anon_sym___vectorcall] = ACTIONS(2470),
    [anon_sym_signed] = ACTIONS(2470),
    [anon_sym_unsigned] = ACTIONS(2470),
    [anon_sym_long] = ACTIONS(2470),
    [anon_sym_short] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_auto] = ACTIONS(2470),
    [anon_sym_register] = ACTIONS(2470),
    [anon_sym_inline] = ACTIONS(2470),
    [anon_sym___inline] = ACTIONS(2470),
    [anon_sym___inline__] = ACTIONS(2470),
    [anon_sym___forceinline] = ACTIONS(2470),
    [anon_sym_thread_local] = ACTIONS(2470),
    [anon_sym___thread] = ACTIONS(2470),
    [anon_sym_CG_EXTERN] = ACTIONS(2470),
    [anon_sym_CG_INLINE] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2470),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2470),
    [anon_sym_IBOutlet] = ACTIONS(2470),
    [anon_sym_IBInspectable] = ACTIONS(2470),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2470),
    [anon_sym_NS_INLINE] = ACTIONS(2470),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2470),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2470),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2470),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_constexpr] = ACTIONS(2470),
    [anon_sym_volatile] = ACTIONS(2470),
    [anon_sym_restrict] = ACTIONS(2470),
    [anon_sym___restrict__] = ACTIONS(2470),
    [anon_sym__Atomic] = ACTIONS(2470),
    [anon_sym__Noreturn] = ACTIONS(2470),
    [anon_sym__Nonnull] = ACTIONS(2470),
    [anon_sym_nullable] = ACTIONS(2470),
    [anon_sym__Complex] = ACTIONS(2470),
    [anon_sym__Nullable] = ACTIONS(2470),
    [anon_sym__Nullable_result] = ACTIONS(2470),
    [anon_sym__Null_unspecified] = ACTIONS(2470),
    [anon_sym___autoreleasing] = ACTIONS(2470),
    [anon_sym___block] = ACTIONS(2470),
    [anon_sym___bridge] = ACTIONS(2470),
    [anon_sym___bridge_retained] = ACTIONS(2470),
    [anon_sym___bridge_transfer] = ACTIONS(2470),
    [anon_sym___complex] = ACTIONS(2470),
    [anon_sym___const] = ACTIONS(2470),
    [anon_sym___imag] = ACTIONS(2470),
    [anon_sym___kindof] = ACTIONS(2470),
    [anon_sym___nonnull] = ACTIONS(2470),
    [anon_sym___nullable] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2470),
    [anon_sym___real] = ACTIONS(2470),
    [anon_sym___strong] = ACTIONS(2470),
    [anon_sym___unsafe_unretained] = ACTIONS(2470),
    [anon_sym___unused] = ACTIONS(2470),
    [anon_sym___weak] = ACTIONS(2470),
    [anon_sym_alignas] = ACTIONS(2470),
    [anon_sym__Alignas] = ACTIONS(2470),
    [sym_primitive_type] = ACTIONS(2470),
    [anon_sym_enum] = ACTIONS(2470),
    [anon_sym_struct] = ACTIONS(2470),
    [anon_sym_union] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2470),
    [anon_sym___typeof] = ACTIONS(2470),
    [anon_sym_typeof] = ACTIONS(2470),
    [aux_sym_preproc_undef_token1] = ACTIONS(2470),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2470),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2470),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2470),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_API_AVAILABLE] = ACTIONS(2470),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_API_DEPRECATED] = ACTIONS(2470),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym___deprecated_msg] = ACTIONS(2470),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2470),
    [anon_sym_ATsynthesize] = ACTIONS(2472),
    [anon_sym_ATdynamic] = ACTIONS(2472),
    [anon_sym_ATproperty] = ACTIONS(2472),
    [anon_sym_BOOL] = ACTIONS(2470),
    [anon_sym_IMP] = ACTIONS(2470),
    [anon_sym_SEL] = ACTIONS(2470),
    [anon_sym_Class] = ACTIONS(2470),
    [anon_sym_id] = ACTIONS(2470),
  },
  [2333] = {
    [sym_identifier] = ACTIONS(5622),
    [aux_sym_preproc_def_token1] = ACTIONS(5622),
    [aux_sym_preproc_if_token1] = ACTIONS(5622),
    [aux_sym_preproc_if_token2] = ACTIONS(5622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5622),
    [aux_sym_preproc_else_token1] = ACTIONS(5622),
    [aux_sym_preproc_elif_token1] = ACTIONS(5622),
    [sym_preproc_directive] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5624),
    [anon_sym_PLUS] = ACTIONS(5624),
    [anon_sym___extension__] = ACTIONS(5622),
    [anon_sym_typedef] = ACTIONS(5622),
    [anon_sym_extern] = ACTIONS(5622),
    [anon_sym___attribute__] = ACTIONS(5622),
    [anon_sym___attribute] = ACTIONS(5622),
    [anon_sym_noreturn] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5624),
    [anon_sym___declspec] = ACTIONS(5622),
    [anon_sym___cdecl] = ACTIONS(5622),
    [anon_sym___clrcall] = ACTIONS(5622),
    [anon_sym___stdcall] = ACTIONS(5622),
    [anon_sym___fastcall] = ACTIONS(5622),
    [anon_sym___thiscall] = ACTIONS(5622),
    [anon_sym___vectorcall] = ACTIONS(5622),
    [anon_sym_signed] = ACTIONS(5622),
    [anon_sym_unsigned] = ACTIONS(5622),
    [anon_sym_long] = ACTIONS(5622),
    [anon_sym_short] = ACTIONS(5622),
    [anon_sym_static] = ACTIONS(5622),
    [anon_sym_auto] = ACTIONS(5622),
    [anon_sym_register] = ACTIONS(5622),
    [anon_sym_inline] = ACTIONS(5622),
    [anon_sym___inline] = ACTIONS(5622),
    [anon_sym___inline__] = ACTIONS(5622),
    [anon_sym___forceinline] = ACTIONS(5622),
    [anon_sym_thread_local] = ACTIONS(5622),
    [anon_sym___thread] = ACTIONS(5622),
    [anon_sym_CG_EXTERN] = ACTIONS(5622),
    [anon_sym_CG_INLINE] = ACTIONS(5622),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5622),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5622),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5622),
    [anon_sym_IBOutlet] = ACTIONS(5622),
    [anon_sym_IBInspectable] = ACTIONS(5622),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5622),
    [anon_sym_NS_INLINE] = ACTIONS(5622),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5622),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5622),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5622),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5622),
    [anon_sym_const] = ACTIONS(5622),
    [anon_sym_constexpr] = ACTIONS(5622),
    [anon_sym_volatile] = ACTIONS(5622),
    [anon_sym_restrict] = ACTIONS(5622),
    [anon_sym___restrict__] = ACTIONS(5622),
    [anon_sym__Atomic] = ACTIONS(5622),
    [anon_sym__Noreturn] = ACTIONS(5622),
    [anon_sym__Nonnull] = ACTIONS(5622),
    [anon_sym_nullable] = ACTIONS(5622),
    [anon_sym__Complex] = ACTIONS(5622),
    [anon_sym__Nullable] = ACTIONS(5622),
    [anon_sym__Nullable_result] = ACTIONS(5622),
    [anon_sym__Null_unspecified] = ACTIONS(5622),
    [anon_sym___autoreleasing] = ACTIONS(5622),
    [anon_sym___block] = ACTIONS(5622),
    [anon_sym___bridge] = ACTIONS(5622),
    [anon_sym___bridge_retained] = ACTIONS(5622),
    [anon_sym___bridge_transfer] = ACTIONS(5622),
    [anon_sym___complex] = ACTIONS(5622),
    [anon_sym___const] = ACTIONS(5622),
    [anon_sym___imag] = ACTIONS(5622),
    [anon_sym___kindof] = ACTIONS(5622),
    [anon_sym___nonnull] = ACTIONS(5622),
    [anon_sym___nullable] = ACTIONS(5622),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5622),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5622),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5622),
    [anon_sym___real] = ACTIONS(5622),
    [anon_sym___strong] = ACTIONS(5622),
    [anon_sym___unsafe_unretained] = ACTIONS(5622),
    [anon_sym___unused] = ACTIONS(5622),
    [anon_sym___weak] = ACTIONS(5622),
    [anon_sym_alignas] = ACTIONS(5622),
    [anon_sym__Alignas] = ACTIONS(5622),
    [sym_primitive_type] = ACTIONS(5622),
    [anon_sym_enum] = ACTIONS(5622),
    [anon_sym_struct] = ACTIONS(5622),
    [anon_sym_union] = ACTIONS(5622),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5622),
    [anon_sym___typeof] = ACTIONS(5622),
    [anon_sym_typeof] = ACTIONS(5622),
    [aux_sym_preproc_undef_token1] = ACTIONS(5622),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5622),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5622),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5622),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5622),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5622),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5622),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5622),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5622),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5622),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5622),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5622),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5622),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5622),
    [anon_sym_API_AVAILABLE] = ACTIONS(5622),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5622),
    [anon_sym_API_DEPRECATED] = ACTIONS(5622),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5622),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5622),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5622),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5622),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5622),
    [anon_sym___deprecated_msg] = ACTIONS(5622),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5622),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5622),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5622),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5622),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5622),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5622),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5622),
    [anon_sym_ATproperty] = ACTIONS(5624),
    [anon_sym_BOOL] = ACTIONS(5622),
    [anon_sym_IMP] = ACTIONS(5622),
    [anon_sym_SEL] = ACTIONS(5622),
    [anon_sym_Class] = ACTIONS(5622),
    [anon_sym_id] = ACTIONS(5622),
  },
  [2334] = {
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token2] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym___attribute] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_auto] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_CG_EXTERN] = ACTIONS(2474),
    [anon_sym_CG_INLINE] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2474),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2474),
    [anon_sym_IBOutlet] = ACTIONS(2474),
    [anon_sym_IBInspectable] = ACTIONS(2474),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2474),
    [anon_sym_NS_INLINE] = ACTIONS(2474),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2474),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2474),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym__Nonnull] = ACTIONS(2474),
    [anon_sym_nullable] = ACTIONS(2474),
    [anon_sym__Complex] = ACTIONS(2474),
    [anon_sym__Nullable] = ACTIONS(2474),
    [anon_sym__Nullable_result] = ACTIONS(2474),
    [anon_sym__Null_unspecified] = ACTIONS(2474),
    [anon_sym___autoreleasing] = ACTIONS(2474),
    [anon_sym___block] = ACTIONS(2474),
    [anon_sym___bridge] = ACTIONS(2474),
    [anon_sym___bridge_retained] = ACTIONS(2474),
    [anon_sym___bridge_transfer] = ACTIONS(2474),
    [anon_sym___complex] = ACTIONS(2474),
    [anon_sym___const] = ACTIONS(2474),
    [anon_sym___imag] = ACTIONS(2474),
    [anon_sym___kindof] = ACTIONS(2474),
    [anon_sym___nonnull] = ACTIONS(2474),
    [anon_sym___nullable] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2474),
    [anon_sym___real] = ACTIONS(2474),
    [anon_sym___strong] = ACTIONS(2474),
    [anon_sym___unsafe_unretained] = ACTIONS(2474),
    [anon_sym___unused] = ACTIONS(2474),
    [anon_sym___weak] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2474),
    [anon_sym___typeof] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [aux_sym_preproc_undef_token1] = ACTIONS(2474),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2474),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2474),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2474),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_API_AVAILABLE] = ACTIONS(2474),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_API_DEPRECATED] = ACTIONS(2474),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym___deprecated_msg] = ACTIONS(2474),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2474),
    [anon_sym_ATsynthesize] = ACTIONS(2476),
    [anon_sym_ATdynamic] = ACTIONS(2476),
    [anon_sym_ATproperty] = ACTIONS(2476),
    [anon_sym_BOOL] = ACTIONS(2474),
    [anon_sym_IMP] = ACTIONS(2474),
    [anon_sym_SEL] = ACTIONS(2474),
    [anon_sym_Class] = ACTIONS(2474),
    [anon_sym_id] = ACTIONS(2474),
  },
  [2335] = {
    [sym_identifier] = ACTIONS(2486),
    [aux_sym_preproc_def_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token2] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2486),
    [sym_preproc_directive] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym___attribute] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym___cdecl] = ACTIONS(2486),
    [anon_sym___clrcall] = ACTIONS(2486),
    [anon_sym___stdcall] = ACTIONS(2486),
    [anon_sym___fastcall] = ACTIONS(2486),
    [anon_sym___thiscall] = ACTIONS(2486),
    [anon_sym___vectorcall] = ACTIONS(2486),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_auto] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_CG_EXTERN] = ACTIONS(2486),
    [anon_sym_CG_INLINE] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2486),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2486),
    [anon_sym_IBOutlet] = ACTIONS(2486),
    [anon_sym_IBInspectable] = ACTIONS(2486),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2486),
    [anon_sym_NS_INLINE] = ACTIONS(2486),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2486),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2486),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym__Nonnull] = ACTIONS(2486),
    [anon_sym_nullable] = ACTIONS(2486),
    [anon_sym__Complex] = ACTIONS(2486),
    [anon_sym__Nullable] = ACTIONS(2486),
    [anon_sym__Nullable_result] = ACTIONS(2486),
    [anon_sym__Null_unspecified] = ACTIONS(2486),
    [anon_sym___autoreleasing] = ACTIONS(2486),
    [anon_sym___block] = ACTIONS(2486),
    [anon_sym___bridge] = ACTIONS(2486),
    [anon_sym___bridge_retained] = ACTIONS(2486),
    [anon_sym___bridge_transfer] = ACTIONS(2486),
    [anon_sym___complex] = ACTIONS(2486),
    [anon_sym___const] = ACTIONS(2486),
    [anon_sym___imag] = ACTIONS(2486),
    [anon_sym___kindof] = ACTIONS(2486),
    [anon_sym___nonnull] = ACTIONS(2486),
    [anon_sym___nullable] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2486),
    [anon_sym___real] = ACTIONS(2486),
    [anon_sym___strong] = ACTIONS(2486),
    [anon_sym___unsafe_unretained] = ACTIONS(2486),
    [anon_sym___unused] = ACTIONS(2486),
    [anon_sym___weak] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym__Alignas] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2486),
    [anon_sym___typeof] = ACTIONS(2486),
    [anon_sym_typeof] = ACTIONS(2486),
    [aux_sym_preproc_undef_token1] = ACTIONS(2486),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2486),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2486),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2486),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_API_AVAILABLE] = ACTIONS(2486),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_API_DEPRECATED] = ACTIONS(2486),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym___deprecated_msg] = ACTIONS(2486),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2486),
    [anon_sym_ATsynthesize] = ACTIONS(2488),
    [anon_sym_ATdynamic] = ACTIONS(2488),
    [anon_sym_ATproperty] = ACTIONS(2488),
    [anon_sym_BOOL] = ACTIONS(2486),
    [anon_sym_IMP] = ACTIONS(2486),
    [anon_sym_SEL] = ACTIONS(2486),
    [anon_sym_Class] = ACTIONS(2486),
    [anon_sym_id] = ACTIONS(2486),
  },
  [2336] = {
    [sym_identifier] = ACTIONS(5648),
    [aux_sym_preproc_def_token1] = ACTIONS(5648),
    [aux_sym_preproc_if_token1] = ACTIONS(5648),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5648),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5648),
    [sym_preproc_directive] = ACTIONS(5648),
    [anon_sym_DASH] = ACTIONS(5650),
    [anon_sym_PLUS] = ACTIONS(5650),
    [anon_sym___extension__] = ACTIONS(5648),
    [anon_sym_typedef] = ACTIONS(5648),
    [anon_sym_extern] = ACTIONS(5648),
    [anon_sym___attribute__] = ACTIONS(5648),
    [anon_sym___attribute] = ACTIONS(5648),
    [anon_sym_noreturn] = ACTIONS(5648),
    [anon_sym_LBRACK] = ACTIONS(5650),
    [anon_sym___declspec] = ACTIONS(5648),
    [anon_sym___cdecl] = ACTIONS(5648),
    [anon_sym___clrcall] = ACTIONS(5648),
    [anon_sym___stdcall] = ACTIONS(5648),
    [anon_sym___fastcall] = ACTIONS(5648),
    [anon_sym___thiscall] = ACTIONS(5648),
    [anon_sym___vectorcall] = ACTIONS(5648),
    [anon_sym_LBRACE] = ACTIONS(5650),
    [anon_sym_signed] = ACTIONS(5648),
    [anon_sym_unsigned] = ACTIONS(5648),
    [anon_sym_long] = ACTIONS(5648),
    [anon_sym_short] = ACTIONS(5648),
    [anon_sym_static] = ACTIONS(5648),
    [anon_sym_auto] = ACTIONS(5648),
    [anon_sym_register] = ACTIONS(5648),
    [anon_sym_inline] = ACTIONS(5648),
    [anon_sym___inline] = ACTIONS(5648),
    [anon_sym___inline__] = ACTIONS(5648),
    [anon_sym___forceinline] = ACTIONS(5648),
    [anon_sym_thread_local] = ACTIONS(5648),
    [anon_sym___thread] = ACTIONS(5648),
    [anon_sym_CG_EXTERN] = ACTIONS(5648),
    [anon_sym_CG_INLINE] = ACTIONS(5648),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5648),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5648),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5648),
    [anon_sym_IBOutlet] = ACTIONS(5648),
    [anon_sym_IBInspectable] = ACTIONS(5648),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5648),
    [anon_sym_NS_INLINE] = ACTIONS(5648),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5648),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5648),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5648),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5648),
    [anon_sym_const] = ACTIONS(5648),
    [anon_sym_constexpr] = ACTIONS(5648),
    [anon_sym_volatile] = ACTIONS(5648),
    [anon_sym_restrict] = ACTIONS(5648),
    [anon_sym___restrict__] = ACTIONS(5648),
    [anon_sym__Atomic] = ACTIONS(5648),
    [anon_sym__Noreturn] = ACTIONS(5648),
    [anon_sym__Nonnull] = ACTIONS(5648),
    [anon_sym_nullable] = ACTIONS(5648),
    [anon_sym__Complex] = ACTIONS(5648),
    [anon_sym__Nullable] = ACTIONS(5648),
    [anon_sym__Nullable_result] = ACTIONS(5648),
    [anon_sym__Null_unspecified] = ACTIONS(5648),
    [anon_sym___autoreleasing] = ACTIONS(5648),
    [anon_sym___block] = ACTIONS(5648),
    [anon_sym___bridge] = ACTIONS(5648),
    [anon_sym___bridge_retained] = ACTIONS(5648),
    [anon_sym___bridge_transfer] = ACTIONS(5648),
    [anon_sym___complex] = ACTIONS(5648),
    [anon_sym___const] = ACTIONS(5648),
    [anon_sym___imag] = ACTIONS(5648),
    [anon_sym___kindof] = ACTIONS(5648),
    [anon_sym___nonnull] = ACTIONS(5648),
    [anon_sym___nullable] = ACTIONS(5648),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5648),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5648),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5648),
    [anon_sym___real] = ACTIONS(5648),
    [anon_sym___strong] = ACTIONS(5648),
    [anon_sym___unsafe_unretained] = ACTIONS(5648),
    [anon_sym___unused] = ACTIONS(5648),
    [anon_sym___weak] = ACTIONS(5648),
    [anon_sym_alignas] = ACTIONS(5648),
    [anon_sym__Alignas] = ACTIONS(5648),
    [sym_primitive_type] = ACTIONS(5648),
    [anon_sym_enum] = ACTIONS(5648),
    [anon_sym_struct] = ACTIONS(5648),
    [anon_sym_union] = ACTIONS(5648),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5648),
    [anon_sym___typeof] = ACTIONS(5648),
    [anon_sym_typeof] = ACTIONS(5648),
    [aux_sym_preproc_undef_token1] = ACTIONS(5648),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5648),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5648),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5648),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5648),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5648),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5648),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5648),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5648),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5648),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5648),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5648),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5648),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5648),
    [anon_sym_API_AVAILABLE] = ACTIONS(5648),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5648),
    [anon_sym_API_DEPRECATED] = ACTIONS(5648),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5648),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5648),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5648),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5648),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5648),
    [anon_sym___deprecated_msg] = ACTIONS(5648),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5648),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5648),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5648),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5648),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5648),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5648),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5648),
    [anon_sym_ATend] = ACTIONS(5650),
    [anon_sym_ATsynthesize] = ACTIONS(5650),
    [anon_sym_ATdynamic] = ACTIONS(5650),
    [anon_sym_BOOL] = ACTIONS(5648),
    [anon_sym_IMP] = ACTIONS(5648),
    [anon_sym_SEL] = ACTIONS(5648),
    [anon_sym_Class] = ACTIONS(5648),
    [anon_sym_id] = ACTIONS(5648),
  },
  [2337] = {
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token2] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym_DASH] = ACTIONS(2792),
    [anon_sym_PLUS] = ACTIONS(2792),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_typedef] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym___attribute] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym___cdecl] = ACTIONS(2790),
    [anon_sym___clrcall] = ACTIONS(2790),
    [anon_sym___stdcall] = ACTIONS(2790),
    [anon_sym___fastcall] = ACTIONS(2790),
    [anon_sym___thiscall] = ACTIONS(2790),
    [anon_sym___vectorcall] = ACTIONS(2790),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_auto] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_CG_EXTERN] = ACTIONS(2790),
    [anon_sym_CG_INLINE] = ACTIONS(2790),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2790),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2790),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2790),
    [anon_sym_IBOutlet] = ACTIONS(2790),
    [anon_sym_IBInspectable] = ACTIONS(2790),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2790),
    [anon_sym_NS_INLINE] = ACTIONS(2790),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2790),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2790),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2790),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_nullable] = ACTIONS(2790),
    [anon_sym__Complex] = ACTIONS(2790),
    [anon_sym__Nullable] = ACTIONS(2790),
    [anon_sym__Nullable_result] = ACTIONS(2790),
    [anon_sym__Null_unspecified] = ACTIONS(2790),
    [anon_sym___autoreleasing] = ACTIONS(2790),
    [anon_sym___block] = ACTIONS(2790),
    [anon_sym___bridge] = ACTIONS(2790),
    [anon_sym___bridge_retained] = ACTIONS(2790),
    [anon_sym___bridge_transfer] = ACTIONS(2790),
    [anon_sym___complex] = ACTIONS(2790),
    [anon_sym___const] = ACTIONS(2790),
    [anon_sym___imag] = ACTIONS(2790),
    [anon_sym___kindof] = ACTIONS(2790),
    [anon_sym___nonnull] = ACTIONS(2790),
    [anon_sym___nullable] = ACTIONS(2790),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2790),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2790),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2790),
    [anon_sym___real] = ACTIONS(2790),
    [anon_sym___strong] = ACTIONS(2790),
    [anon_sym___unsafe_unretained] = ACTIONS(2790),
    [anon_sym___unused] = ACTIONS(2790),
    [anon_sym___weak] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [sym_primitive_type] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2790),
    [anon_sym___typeof] = ACTIONS(2790),
    [anon_sym_typeof] = ACTIONS(2790),
    [aux_sym_preproc_undef_token1] = ACTIONS(2790),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2790),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2790),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2790),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2790),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2790),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2790),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2790),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2790),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2790),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_API_AVAILABLE] = ACTIONS(2790),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_API_DEPRECATED] = ACTIONS(2790),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2790),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2790),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2790),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2790),
    [anon_sym___deprecated_msg] = ACTIONS(2790),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2790),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2790),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2790),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2790),
    [anon_sym_ATsynthesize] = ACTIONS(2792),
    [anon_sym_ATdynamic] = ACTIONS(2792),
    [anon_sym_BOOL] = ACTIONS(2790),
    [anon_sym_IMP] = ACTIONS(2790),
    [anon_sym_SEL] = ACTIONS(2790),
    [anon_sym_Class] = ACTIONS(2790),
    [anon_sym_id] = ACTIONS(2790),
    [anon_sym_ATdefs] = ACTIONS(2792),
  },
  [2338] = {
    [sym_identifier] = ACTIONS(2794),
    [aux_sym_preproc_def_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token1] = ACTIONS(2794),
    [aux_sym_preproc_if_token2] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2794),
    [sym_preproc_directive] = ACTIONS(2794),
    [anon_sym_DASH] = ACTIONS(2796),
    [anon_sym_PLUS] = ACTIONS(2796),
    [anon_sym___extension__] = ACTIONS(2794),
    [anon_sym_typedef] = ACTIONS(2794),
    [anon_sym_extern] = ACTIONS(2794),
    [anon_sym___attribute__] = ACTIONS(2794),
    [anon_sym___attribute] = ACTIONS(2794),
    [anon_sym_noreturn] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2796),
    [anon_sym___declspec] = ACTIONS(2794),
    [anon_sym___cdecl] = ACTIONS(2794),
    [anon_sym___clrcall] = ACTIONS(2794),
    [anon_sym___stdcall] = ACTIONS(2794),
    [anon_sym___fastcall] = ACTIONS(2794),
    [anon_sym___thiscall] = ACTIONS(2794),
    [anon_sym___vectorcall] = ACTIONS(2794),
    [anon_sym_signed] = ACTIONS(2794),
    [anon_sym_unsigned] = ACTIONS(2794),
    [anon_sym_long] = ACTIONS(2794),
    [anon_sym_short] = ACTIONS(2794),
    [anon_sym_static] = ACTIONS(2794),
    [anon_sym_auto] = ACTIONS(2794),
    [anon_sym_register] = ACTIONS(2794),
    [anon_sym_inline] = ACTIONS(2794),
    [anon_sym___inline] = ACTIONS(2794),
    [anon_sym___inline__] = ACTIONS(2794),
    [anon_sym___forceinline] = ACTIONS(2794),
    [anon_sym_thread_local] = ACTIONS(2794),
    [anon_sym___thread] = ACTIONS(2794),
    [anon_sym_CG_EXTERN] = ACTIONS(2794),
    [anon_sym_CG_INLINE] = ACTIONS(2794),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2794),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2794),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2794),
    [anon_sym_IBOutlet] = ACTIONS(2794),
    [anon_sym_IBInspectable] = ACTIONS(2794),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2794),
    [anon_sym_NS_INLINE] = ACTIONS(2794),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2794),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2794),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2794),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2794),
    [anon_sym_const] = ACTIONS(2794),
    [anon_sym_constexpr] = ACTIONS(2794),
    [anon_sym_volatile] = ACTIONS(2794),
    [anon_sym_restrict] = ACTIONS(2794),
    [anon_sym___restrict__] = ACTIONS(2794),
    [anon_sym__Atomic] = ACTIONS(2794),
    [anon_sym__Noreturn] = ACTIONS(2794),
    [anon_sym__Nonnull] = ACTIONS(2794),
    [anon_sym_nullable] = ACTIONS(2794),
    [anon_sym__Complex] = ACTIONS(2794),
    [anon_sym__Nullable] = ACTIONS(2794),
    [anon_sym__Nullable_result] = ACTIONS(2794),
    [anon_sym__Null_unspecified] = ACTIONS(2794),
    [anon_sym___autoreleasing] = ACTIONS(2794),
    [anon_sym___block] = ACTIONS(2794),
    [anon_sym___bridge] = ACTIONS(2794),
    [anon_sym___bridge_retained] = ACTIONS(2794),
    [anon_sym___bridge_transfer] = ACTIONS(2794),
    [anon_sym___complex] = ACTIONS(2794),
    [anon_sym___const] = ACTIONS(2794),
    [anon_sym___imag] = ACTIONS(2794),
    [anon_sym___kindof] = ACTIONS(2794),
    [anon_sym___nonnull] = ACTIONS(2794),
    [anon_sym___nullable] = ACTIONS(2794),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2794),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2794),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2794),
    [anon_sym___real] = ACTIONS(2794),
    [anon_sym___strong] = ACTIONS(2794),
    [anon_sym___unsafe_unretained] = ACTIONS(2794),
    [anon_sym___unused] = ACTIONS(2794),
    [anon_sym___weak] = ACTIONS(2794),
    [anon_sym_alignas] = ACTIONS(2794),
    [anon_sym__Alignas] = ACTIONS(2794),
    [sym_primitive_type] = ACTIONS(2794),
    [anon_sym_enum] = ACTIONS(2794),
    [anon_sym_struct] = ACTIONS(2794),
    [anon_sym_union] = ACTIONS(2794),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2794),
    [anon_sym___typeof] = ACTIONS(2794),
    [anon_sym_typeof] = ACTIONS(2794),
    [aux_sym_preproc_undef_token1] = ACTIONS(2794),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2794),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2794),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2794),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2794),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2794),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2794),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2794),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2794),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2794),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_API_AVAILABLE] = ACTIONS(2794),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_API_DEPRECATED] = ACTIONS(2794),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2794),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2794),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2794),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2794),
    [anon_sym___deprecated_msg] = ACTIONS(2794),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2794),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2794),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2794),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2794),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2794),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2794),
    [anon_sym_ATsynthesize] = ACTIONS(2796),
    [anon_sym_ATdynamic] = ACTIONS(2796),
    [anon_sym_ATproperty] = ACTIONS(2796),
    [anon_sym_BOOL] = ACTIONS(2794),
    [anon_sym_IMP] = ACTIONS(2794),
    [anon_sym_SEL] = ACTIONS(2794),
    [anon_sym_Class] = ACTIONS(2794),
    [anon_sym_id] = ACTIONS(2794),
  },
  [2339] = {
    [sym_identifier] = ACTIONS(2486),
    [aux_sym_preproc_def_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token1] = ACTIONS(2486),
    [aux_sym_preproc_if_token2] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2486),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2486),
    [sym_preproc_directive] = ACTIONS(2486),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym___extension__] = ACTIONS(2486),
    [anon_sym_typedef] = ACTIONS(2486),
    [anon_sym_extern] = ACTIONS(2486),
    [anon_sym___attribute__] = ACTIONS(2486),
    [anon_sym___attribute] = ACTIONS(2486),
    [anon_sym_noreturn] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym___declspec] = ACTIONS(2486),
    [anon_sym___cdecl] = ACTIONS(2486),
    [anon_sym___clrcall] = ACTIONS(2486),
    [anon_sym___stdcall] = ACTIONS(2486),
    [anon_sym___fastcall] = ACTIONS(2486),
    [anon_sym___thiscall] = ACTIONS(2486),
    [anon_sym___vectorcall] = ACTIONS(2486),
    [anon_sym_signed] = ACTIONS(2486),
    [anon_sym_unsigned] = ACTIONS(2486),
    [anon_sym_long] = ACTIONS(2486),
    [anon_sym_short] = ACTIONS(2486),
    [anon_sym_static] = ACTIONS(2486),
    [anon_sym_auto] = ACTIONS(2486),
    [anon_sym_register] = ACTIONS(2486),
    [anon_sym_inline] = ACTIONS(2486),
    [anon_sym___inline] = ACTIONS(2486),
    [anon_sym___inline__] = ACTIONS(2486),
    [anon_sym___forceinline] = ACTIONS(2486),
    [anon_sym_thread_local] = ACTIONS(2486),
    [anon_sym___thread] = ACTIONS(2486),
    [anon_sym_CG_EXTERN] = ACTIONS(2486),
    [anon_sym_CG_INLINE] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2486),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2486),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2486),
    [anon_sym_IBOutlet] = ACTIONS(2486),
    [anon_sym_IBInspectable] = ACTIONS(2486),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2486),
    [anon_sym_NS_INLINE] = ACTIONS(2486),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2486),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2486),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2486),
    [anon_sym_const] = ACTIONS(2486),
    [anon_sym_constexpr] = ACTIONS(2486),
    [anon_sym_volatile] = ACTIONS(2486),
    [anon_sym_restrict] = ACTIONS(2486),
    [anon_sym___restrict__] = ACTIONS(2486),
    [anon_sym__Atomic] = ACTIONS(2486),
    [anon_sym__Noreturn] = ACTIONS(2486),
    [anon_sym__Nonnull] = ACTIONS(2486),
    [anon_sym_nullable] = ACTIONS(2486),
    [anon_sym__Complex] = ACTIONS(2486),
    [anon_sym__Nullable] = ACTIONS(2486),
    [anon_sym__Nullable_result] = ACTIONS(2486),
    [anon_sym__Null_unspecified] = ACTIONS(2486),
    [anon_sym___autoreleasing] = ACTIONS(2486),
    [anon_sym___block] = ACTIONS(2486),
    [anon_sym___bridge] = ACTIONS(2486),
    [anon_sym___bridge_retained] = ACTIONS(2486),
    [anon_sym___bridge_transfer] = ACTIONS(2486),
    [anon_sym___complex] = ACTIONS(2486),
    [anon_sym___const] = ACTIONS(2486),
    [anon_sym___imag] = ACTIONS(2486),
    [anon_sym___kindof] = ACTIONS(2486),
    [anon_sym___nonnull] = ACTIONS(2486),
    [anon_sym___nullable] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2486),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2486),
    [anon_sym___real] = ACTIONS(2486),
    [anon_sym___strong] = ACTIONS(2486),
    [anon_sym___unsafe_unretained] = ACTIONS(2486),
    [anon_sym___unused] = ACTIONS(2486),
    [anon_sym___weak] = ACTIONS(2486),
    [anon_sym_alignas] = ACTIONS(2486),
    [anon_sym__Alignas] = ACTIONS(2486),
    [sym_primitive_type] = ACTIONS(2486),
    [anon_sym_enum] = ACTIONS(2486),
    [anon_sym_struct] = ACTIONS(2486),
    [anon_sym_union] = ACTIONS(2486),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2486),
    [anon_sym___typeof] = ACTIONS(2486),
    [anon_sym_typeof] = ACTIONS(2486),
    [aux_sym_preproc_undef_token1] = ACTIONS(2486),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2486),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2486),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2486),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2486),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2486),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_API_AVAILABLE] = ACTIONS(2486),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_API_DEPRECATED] = ACTIONS(2486),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2486),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2486),
    [anon_sym___deprecated_msg] = ACTIONS(2486),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2486),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2486),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2486),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2486),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2486),
    [anon_sym_ATsynthesize] = ACTIONS(2488),
    [anon_sym_ATdynamic] = ACTIONS(2488),
    [anon_sym_ATproperty] = ACTIONS(2488),
    [anon_sym_BOOL] = ACTIONS(2486),
    [anon_sym_IMP] = ACTIONS(2486),
    [anon_sym_SEL] = ACTIONS(2486),
    [anon_sym_Class] = ACTIONS(2486),
    [anon_sym_id] = ACTIONS(2486),
  },
  [2340] = {
    [sym_identifier] = ACTIONS(5535),
    [aux_sym_preproc_def_token1] = ACTIONS(5535),
    [aux_sym_preproc_if_token1] = ACTIONS(5535),
    [aux_sym_preproc_if_token2] = ACTIONS(5535),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5535),
    [aux_sym_preproc_else_token1] = ACTIONS(5535),
    [aux_sym_preproc_elif_token1] = ACTIONS(5535),
    [sym_preproc_directive] = ACTIONS(5535),
    [anon_sym_DASH] = ACTIONS(5537),
    [anon_sym_PLUS] = ACTIONS(5537),
    [anon_sym___extension__] = ACTIONS(5535),
    [anon_sym_typedef] = ACTIONS(5535),
    [anon_sym_extern] = ACTIONS(5535),
    [anon_sym___attribute__] = ACTIONS(5535),
    [anon_sym___attribute] = ACTIONS(5535),
    [anon_sym_noreturn] = ACTIONS(5535),
    [anon_sym_LBRACK] = ACTIONS(5537),
    [anon_sym___declspec] = ACTIONS(5535),
    [anon_sym___cdecl] = ACTIONS(5535),
    [anon_sym___clrcall] = ACTIONS(5535),
    [anon_sym___stdcall] = ACTIONS(5535),
    [anon_sym___fastcall] = ACTIONS(5535),
    [anon_sym___thiscall] = ACTIONS(5535),
    [anon_sym___vectorcall] = ACTIONS(5535),
    [anon_sym_signed] = ACTIONS(5535),
    [anon_sym_unsigned] = ACTIONS(5535),
    [anon_sym_long] = ACTIONS(5535),
    [anon_sym_short] = ACTIONS(5535),
    [anon_sym_static] = ACTIONS(5535),
    [anon_sym_auto] = ACTIONS(5535),
    [anon_sym_register] = ACTIONS(5535),
    [anon_sym_inline] = ACTIONS(5535),
    [anon_sym___inline] = ACTIONS(5535),
    [anon_sym___inline__] = ACTIONS(5535),
    [anon_sym___forceinline] = ACTIONS(5535),
    [anon_sym_thread_local] = ACTIONS(5535),
    [anon_sym___thread] = ACTIONS(5535),
    [anon_sym_CG_EXTERN] = ACTIONS(5535),
    [anon_sym_CG_INLINE] = ACTIONS(5535),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5535),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5535),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5535),
    [anon_sym_IBOutlet] = ACTIONS(5535),
    [anon_sym_IBInspectable] = ACTIONS(5535),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5535),
    [anon_sym_NS_INLINE] = ACTIONS(5535),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5535),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5535),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5535),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5535),
    [anon_sym_const] = ACTIONS(5535),
    [anon_sym_constexpr] = ACTIONS(5535),
    [anon_sym_volatile] = ACTIONS(5535),
    [anon_sym_restrict] = ACTIONS(5535),
    [anon_sym___restrict__] = ACTIONS(5535),
    [anon_sym__Atomic] = ACTIONS(5535),
    [anon_sym__Noreturn] = ACTIONS(5535),
    [anon_sym__Nonnull] = ACTIONS(5535),
    [anon_sym_nullable] = ACTIONS(5535),
    [anon_sym__Complex] = ACTIONS(5535),
    [anon_sym__Nullable] = ACTIONS(5535),
    [anon_sym__Nullable_result] = ACTIONS(5535),
    [anon_sym__Null_unspecified] = ACTIONS(5535),
    [anon_sym___autoreleasing] = ACTIONS(5535),
    [anon_sym___block] = ACTIONS(5535),
    [anon_sym___bridge] = ACTIONS(5535),
    [anon_sym___bridge_retained] = ACTIONS(5535),
    [anon_sym___bridge_transfer] = ACTIONS(5535),
    [anon_sym___complex] = ACTIONS(5535),
    [anon_sym___const] = ACTIONS(5535),
    [anon_sym___imag] = ACTIONS(5535),
    [anon_sym___kindof] = ACTIONS(5535),
    [anon_sym___nonnull] = ACTIONS(5535),
    [anon_sym___nullable] = ACTIONS(5535),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5535),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5535),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5535),
    [anon_sym___real] = ACTIONS(5535),
    [anon_sym___strong] = ACTIONS(5535),
    [anon_sym___unsafe_unretained] = ACTIONS(5535),
    [anon_sym___unused] = ACTIONS(5535),
    [anon_sym___weak] = ACTIONS(5535),
    [anon_sym_alignas] = ACTIONS(5535),
    [anon_sym__Alignas] = ACTIONS(5535),
    [sym_primitive_type] = ACTIONS(5535),
    [anon_sym_enum] = ACTIONS(5535),
    [anon_sym_struct] = ACTIONS(5535),
    [anon_sym_union] = ACTIONS(5535),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5535),
    [anon_sym___typeof] = ACTIONS(5535),
    [anon_sym_typeof] = ACTIONS(5535),
    [aux_sym_preproc_undef_token1] = ACTIONS(5535),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5535),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5535),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5535),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5535),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5535),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5535),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5535),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5535),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5535),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5535),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5535),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5535),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5535),
    [anon_sym_API_AVAILABLE] = ACTIONS(5535),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5535),
    [anon_sym_API_DEPRECATED] = ACTIONS(5535),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5535),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5535),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5535),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5535),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5535),
    [anon_sym___deprecated_msg] = ACTIONS(5535),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5535),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5535),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5535),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5535),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5535),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5535),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5535),
    [anon_sym_ATproperty] = ACTIONS(5537),
    [anon_sym_BOOL] = ACTIONS(5535),
    [anon_sym_IMP] = ACTIONS(5535),
    [anon_sym_SEL] = ACTIONS(5535),
    [anon_sym_Class] = ACTIONS(5535),
    [anon_sym_id] = ACTIONS(5535),
  },
  [2341] = {
    [sym_identifier] = ACTIONS(5539),
    [aux_sym_preproc_def_token1] = ACTIONS(5539),
    [aux_sym_preproc_if_token1] = ACTIONS(5539),
    [aux_sym_preproc_if_token2] = ACTIONS(5539),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5539),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5539),
    [aux_sym_preproc_else_token1] = ACTIONS(5539),
    [aux_sym_preproc_elif_token1] = ACTIONS(5539),
    [sym_preproc_directive] = ACTIONS(5539),
    [anon_sym_DASH] = ACTIONS(5541),
    [anon_sym_PLUS] = ACTIONS(5541),
    [anon_sym___extension__] = ACTIONS(5539),
    [anon_sym_typedef] = ACTIONS(5539),
    [anon_sym_extern] = ACTIONS(5539),
    [anon_sym___attribute__] = ACTIONS(5539),
    [anon_sym___attribute] = ACTIONS(5539),
    [anon_sym_noreturn] = ACTIONS(5539),
    [anon_sym_LBRACK] = ACTIONS(5541),
    [anon_sym___declspec] = ACTIONS(5539),
    [anon_sym___cdecl] = ACTIONS(5539),
    [anon_sym___clrcall] = ACTIONS(5539),
    [anon_sym___stdcall] = ACTIONS(5539),
    [anon_sym___fastcall] = ACTIONS(5539),
    [anon_sym___thiscall] = ACTIONS(5539),
    [anon_sym___vectorcall] = ACTIONS(5539),
    [anon_sym_signed] = ACTIONS(5539),
    [anon_sym_unsigned] = ACTIONS(5539),
    [anon_sym_long] = ACTIONS(5539),
    [anon_sym_short] = ACTIONS(5539),
    [anon_sym_static] = ACTIONS(5539),
    [anon_sym_auto] = ACTIONS(5539),
    [anon_sym_register] = ACTIONS(5539),
    [anon_sym_inline] = ACTIONS(5539),
    [anon_sym___inline] = ACTIONS(5539),
    [anon_sym___inline__] = ACTIONS(5539),
    [anon_sym___forceinline] = ACTIONS(5539),
    [anon_sym_thread_local] = ACTIONS(5539),
    [anon_sym___thread] = ACTIONS(5539),
    [anon_sym_CG_EXTERN] = ACTIONS(5539),
    [anon_sym_CG_INLINE] = ACTIONS(5539),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5539),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5539),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5539),
    [anon_sym_IBOutlet] = ACTIONS(5539),
    [anon_sym_IBInspectable] = ACTIONS(5539),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5539),
    [anon_sym_NS_INLINE] = ACTIONS(5539),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5539),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5539),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5539),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5539),
    [anon_sym_const] = ACTIONS(5539),
    [anon_sym_constexpr] = ACTIONS(5539),
    [anon_sym_volatile] = ACTIONS(5539),
    [anon_sym_restrict] = ACTIONS(5539),
    [anon_sym___restrict__] = ACTIONS(5539),
    [anon_sym__Atomic] = ACTIONS(5539),
    [anon_sym__Noreturn] = ACTIONS(5539),
    [anon_sym__Nonnull] = ACTIONS(5539),
    [anon_sym_nullable] = ACTIONS(5539),
    [anon_sym__Complex] = ACTIONS(5539),
    [anon_sym__Nullable] = ACTIONS(5539),
    [anon_sym__Nullable_result] = ACTIONS(5539),
    [anon_sym__Null_unspecified] = ACTIONS(5539),
    [anon_sym___autoreleasing] = ACTIONS(5539),
    [anon_sym___block] = ACTIONS(5539),
    [anon_sym___bridge] = ACTIONS(5539),
    [anon_sym___bridge_retained] = ACTIONS(5539),
    [anon_sym___bridge_transfer] = ACTIONS(5539),
    [anon_sym___complex] = ACTIONS(5539),
    [anon_sym___const] = ACTIONS(5539),
    [anon_sym___imag] = ACTIONS(5539),
    [anon_sym___kindof] = ACTIONS(5539),
    [anon_sym___nonnull] = ACTIONS(5539),
    [anon_sym___nullable] = ACTIONS(5539),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5539),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5539),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5539),
    [anon_sym___real] = ACTIONS(5539),
    [anon_sym___strong] = ACTIONS(5539),
    [anon_sym___unsafe_unretained] = ACTIONS(5539),
    [anon_sym___unused] = ACTIONS(5539),
    [anon_sym___weak] = ACTIONS(5539),
    [anon_sym_alignas] = ACTIONS(5539),
    [anon_sym__Alignas] = ACTIONS(5539),
    [sym_primitive_type] = ACTIONS(5539),
    [anon_sym_enum] = ACTIONS(5539),
    [anon_sym_struct] = ACTIONS(5539),
    [anon_sym_union] = ACTIONS(5539),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5539),
    [anon_sym___typeof] = ACTIONS(5539),
    [anon_sym_typeof] = ACTIONS(5539),
    [aux_sym_preproc_undef_token1] = ACTIONS(5539),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5539),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5539),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5539),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5539),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5539),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5539),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5539),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5539),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5539),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5539),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5539),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5539),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5539),
    [anon_sym_API_AVAILABLE] = ACTIONS(5539),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5539),
    [anon_sym_API_DEPRECATED] = ACTIONS(5539),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5539),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5539),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5539),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5539),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5539),
    [anon_sym___deprecated_msg] = ACTIONS(5539),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5539),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5539),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5539),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5539),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5539),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5539),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5539),
    [anon_sym_ATproperty] = ACTIONS(5541),
    [anon_sym_BOOL] = ACTIONS(5539),
    [anon_sym_IMP] = ACTIONS(5539),
    [anon_sym_SEL] = ACTIONS(5539),
    [anon_sym_Class] = ACTIONS(5539),
    [anon_sym_id] = ACTIONS(5539),
  },
  [2342] = {
    [sym_identifier] = ACTIONS(5586),
    [aux_sym_preproc_def_token1] = ACTIONS(5586),
    [aux_sym_preproc_if_token1] = ACTIONS(5586),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5586),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5586),
    [sym_preproc_directive] = ACTIONS(5586),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym___extension__] = ACTIONS(5586),
    [anon_sym_typedef] = ACTIONS(5586),
    [anon_sym_extern] = ACTIONS(5586),
    [anon_sym___attribute__] = ACTIONS(5586),
    [anon_sym___attribute] = ACTIONS(5586),
    [anon_sym_noreturn] = ACTIONS(5586),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [anon_sym___declspec] = ACTIONS(5586),
    [anon_sym___cdecl] = ACTIONS(5586),
    [anon_sym___clrcall] = ACTIONS(5586),
    [anon_sym___stdcall] = ACTIONS(5586),
    [anon_sym___fastcall] = ACTIONS(5586),
    [anon_sym___thiscall] = ACTIONS(5586),
    [anon_sym___vectorcall] = ACTIONS(5586),
    [anon_sym_signed] = ACTIONS(5586),
    [anon_sym_unsigned] = ACTIONS(5586),
    [anon_sym_long] = ACTIONS(5586),
    [anon_sym_short] = ACTIONS(5586),
    [anon_sym_static] = ACTIONS(5586),
    [anon_sym_auto] = ACTIONS(5586),
    [anon_sym_register] = ACTIONS(5586),
    [anon_sym_inline] = ACTIONS(5586),
    [anon_sym___inline] = ACTIONS(5586),
    [anon_sym___inline__] = ACTIONS(5586),
    [anon_sym___forceinline] = ACTIONS(5586),
    [anon_sym_thread_local] = ACTIONS(5586),
    [anon_sym___thread] = ACTIONS(5586),
    [anon_sym_CG_EXTERN] = ACTIONS(5586),
    [anon_sym_CG_INLINE] = ACTIONS(5586),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5586),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5586),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5586),
    [anon_sym_IBOutlet] = ACTIONS(5586),
    [anon_sym_IBInspectable] = ACTIONS(5586),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5586),
    [anon_sym_NS_INLINE] = ACTIONS(5586),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5586),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5586),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5586),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5586),
    [anon_sym_const] = ACTIONS(5586),
    [anon_sym_constexpr] = ACTIONS(5586),
    [anon_sym_volatile] = ACTIONS(5586),
    [anon_sym_restrict] = ACTIONS(5586),
    [anon_sym___restrict__] = ACTIONS(5586),
    [anon_sym__Atomic] = ACTIONS(5586),
    [anon_sym__Noreturn] = ACTIONS(5586),
    [anon_sym__Nonnull] = ACTIONS(5586),
    [anon_sym_nullable] = ACTIONS(5586),
    [anon_sym__Complex] = ACTIONS(5586),
    [anon_sym__Nullable] = ACTIONS(5586),
    [anon_sym__Nullable_result] = ACTIONS(5586),
    [anon_sym__Null_unspecified] = ACTIONS(5586),
    [anon_sym___autoreleasing] = ACTIONS(5586),
    [anon_sym___block] = ACTIONS(5586),
    [anon_sym___bridge] = ACTIONS(5586),
    [anon_sym___bridge_retained] = ACTIONS(5586),
    [anon_sym___bridge_transfer] = ACTIONS(5586),
    [anon_sym___complex] = ACTIONS(5586),
    [anon_sym___const] = ACTIONS(5586),
    [anon_sym___imag] = ACTIONS(5586),
    [anon_sym___kindof] = ACTIONS(5586),
    [anon_sym___nonnull] = ACTIONS(5586),
    [anon_sym___nullable] = ACTIONS(5586),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5586),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5586),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5586),
    [anon_sym___real] = ACTIONS(5586),
    [anon_sym___strong] = ACTIONS(5586),
    [anon_sym___unsafe_unretained] = ACTIONS(5586),
    [anon_sym___unused] = ACTIONS(5586),
    [anon_sym___weak] = ACTIONS(5586),
    [anon_sym_alignas] = ACTIONS(5586),
    [anon_sym__Alignas] = ACTIONS(5586),
    [sym_primitive_type] = ACTIONS(5586),
    [anon_sym_enum] = ACTIONS(5586),
    [anon_sym_struct] = ACTIONS(5586),
    [anon_sym_union] = ACTIONS(5586),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5586),
    [anon_sym___typeof] = ACTIONS(5586),
    [anon_sym_typeof] = ACTIONS(5586),
    [aux_sym_preproc_undef_token1] = ACTIONS(5586),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5586),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5586),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5586),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5586),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5586),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5586),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5586),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5586),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5586),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5586),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5586),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5586),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5586),
    [anon_sym_API_AVAILABLE] = ACTIONS(5586),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5586),
    [anon_sym_API_DEPRECATED] = ACTIONS(5586),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5586),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5586),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5586),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5586),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5586),
    [anon_sym___deprecated_msg] = ACTIONS(5586),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5586),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5586),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5586),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5586),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5586),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5586),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5586),
    [anon_sym_ATend] = ACTIONS(5588),
    [anon_sym_AToptional] = ACTIONS(5588),
    [anon_sym_ATrequired] = ACTIONS(5588),
    [anon_sym_ATproperty] = ACTIONS(5588),
    [anon_sym_BOOL] = ACTIONS(5586),
    [anon_sym_IMP] = ACTIONS(5586),
    [anon_sym_SEL] = ACTIONS(5586),
    [anon_sym_Class] = ACTIONS(5586),
    [anon_sym_id] = ACTIONS(5586),
  },
  [2343] = {
    [sym_identifier] = ACTIONS(2470),
    [aux_sym_preproc_def_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token1] = ACTIONS(2470),
    [aux_sym_preproc_if_token2] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2470),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2470),
    [sym_preproc_directive] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2472),
    [anon_sym_PLUS] = ACTIONS(2472),
    [anon_sym___extension__] = ACTIONS(2470),
    [anon_sym_typedef] = ACTIONS(2470),
    [anon_sym_extern] = ACTIONS(2470),
    [anon_sym___attribute__] = ACTIONS(2470),
    [anon_sym___attribute] = ACTIONS(2470),
    [anon_sym_noreturn] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2472),
    [anon_sym___declspec] = ACTIONS(2470),
    [anon_sym___cdecl] = ACTIONS(2470),
    [anon_sym___clrcall] = ACTIONS(2470),
    [anon_sym___stdcall] = ACTIONS(2470),
    [anon_sym___fastcall] = ACTIONS(2470),
    [anon_sym___thiscall] = ACTIONS(2470),
    [anon_sym___vectorcall] = ACTIONS(2470),
    [anon_sym_signed] = ACTIONS(2470),
    [anon_sym_unsigned] = ACTIONS(2470),
    [anon_sym_long] = ACTIONS(2470),
    [anon_sym_short] = ACTIONS(2470),
    [anon_sym_static] = ACTIONS(2470),
    [anon_sym_auto] = ACTIONS(2470),
    [anon_sym_register] = ACTIONS(2470),
    [anon_sym_inline] = ACTIONS(2470),
    [anon_sym___inline] = ACTIONS(2470),
    [anon_sym___inline__] = ACTIONS(2470),
    [anon_sym___forceinline] = ACTIONS(2470),
    [anon_sym_thread_local] = ACTIONS(2470),
    [anon_sym___thread] = ACTIONS(2470),
    [anon_sym_CG_EXTERN] = ACTIONS(2470),
    [anon_sym_CG_INLINE] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2470),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2470),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2470),
    [anon_sym_IBOutlet] = ACTIONS(2470),
    [anon_sym_IBInspectable] = ACTIONS(2470),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2470),
    [anon_sym_NS_INLINE] = ACTIONS(2470),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2470),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2470),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2470),
    [anon_sym_const] = ACTIONS(2470),
    [anon_sym_constexpr] = ACTIONS(2470),
    [anon_sym_volatile] = ACTIONS(2470),
    [anon_sym_restrict] = ACTIONS(2470),
    [anon_sym___restrict__] = ACTIONS(2470),
    [anon_sym__Atomic] = ACTIONS(2470),
    [anon_sym__Noreturn] = ACTIONS(2470),
    [anon_sym__Nonnull] = ACTIONS(2470),
    [anon_sym_nullable] = ACTIONS(2470),
    [anon_sym__Complex] = ACTIONS(2470),
    [anon_sym__Nullable] = ACTIONS(2470),
    [anon_sym__Nullable_result] = ACTIONS(2470),
    [anon_sym__Null_unspecified] = ACTIONS(2470),
    [anon_sym___autoreleasing] = ACTIONS(2470),
    [anon_sym___block] = ACTIONS(2470),
    [anon_sym___bridge] = ACTIONS(2470),
    [anon_sym___bridge_retained] = ACTIONS(2470),
    [anon_sym___bridge_transfer] = ACTIONS(2470),
    [anon_sym___complex] = ACTIONS(2470),
    [anon_sym___const] = ACTIONS(2470),
    [anon_sym___imag] = ACTIONS(2470),
    [anon_sym___kindof] = ACTIONS(2470),
    [anon_sym___nonnull] = ACTIONS(2470),
    [anon_sym___nullable] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2470),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2470),
    [anon_sym___real] = ACTIONS(2470),
    [anon_sym___strong] = ACTIONS(2470),
    [anon_sym___unsafe_unretained] = ACTIONS(2470),
    [anon_sym___unused] = ACTIONS(2470),
    [anon_sym___weak] = ACTIONS(2470),
    [anon_sym_alignas] = ACTIONS(2470),
    [anon_sym__Alignas] = ACTIONS(2470),
    [sym_primitive_type] = ACTIONS(2470),
    [anon_sym_enum] = ACTIONS(2470),
    [anon_sym_struct] = ACTIONS(2470),
    [anon_sym_union] = ACTIONS(2470),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2470),
    [anon_sym___typeof] = ACTIONS(2470),
    [anon_sym_typeof] = ACTIONS(2470),
    [aux_sym_preproc_undef_token1] = ACTIONS(2470),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2470),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2470),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2470),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2470),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2470),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_API_AVAILABLE] = ACTIONS(2470),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_API_DEPRECATED] = ACTIONS(2470),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2470),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2470),
    [anon_sym___deprecated_msg] = ACTIONS(2470),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2470),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2470),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2470),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2470),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2470),
    [anon_sym_ATsynthesize] = ACTIONS(2472),
    [anon_sym_ATdynamic] = ACTIONS(2472),
    [anon_sym_ATproperty] = ACTIONS(2472),
    [anon_sym_BOOL] = ACTIONS(2470),
    [anon_sym_IMP] = ACTIONS(2470),
    [anon_sym_SEL] = ACTIONS(2470),
    [anon_sym_Class] = ACTIONS(2470),
    [anon_sym_id] = ACTIONS(2470),
  },
  [2344] = {
    [sym_identifier] = ACTIONS(5652),
    [aux_sym_preproc_def_token1] = ACTIONS(5652),
    [aux_sym_preproc_if_token1] = ACTIONS(5652),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5652),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5652),
    [sym_preproc_directive] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5654),
    [anon_sym_PLUS] = ACTIONS(5654),
    [anon_sym___extension__] = ACTIONS(5652),
    [anon_sym_typedef] = ACTIONS(5652),
    [anon_sym_extern] = ACTIONS(5652),
    [anon_sym___attribute__] = ACTIONS(5652),
    [anon_sym___attribute] = ACTIONS(5652),
    [anon_sym_noreturn] = ACTIONS(5652),
    [anon_sym_LBRACK] = ACTIONS(5654),
    [anon_sym___declspec] = ACTIONS(5652),
    [anon_sym___cdecl] = ACTIONS(5652),
    [anon_sym___clrcall] = ACTIONS(5652),
    [anon_sym___stdcall] = ACTIONS(5652),
    [anon_sym___fastcall] = ACTIONS(5652),
    [anon_sym___thiscall] = ACTIONS(5652),
    [anon_sym___vectorcall] = ACTIONS(5652),
    [anon_sym_signed] = ACTIONS(5652),
    [anon_sym_unsigned] = ACTIONS(5652),
    [anon_sym_long] = ACTIONS(5652),
    [anon_sym_short] = ACTIONS(5652),
    [anon_sym_static] = ACTIONS(5652),
    [anon_sym_auto] = ACTIONS(5652),
    [anon_sym_register] = ACTIONS(5652),
    [anon_sym_inline] = ACTIONS(5652),
    [anon_sym___inline] = ACTIONS(5652),
    [anon_sym___inline__] = ACTIONS(5652),
    [anon_sym___forceinline] = ACTIONS(5652),
    [anon_sym_thread_local] = ACTIONS(5652),
    [anon_sym___thread] = ACTIONS(5652),
    [anon_sym_CG_EXTERN] = ACTIONS(5652),
    [anon_sym_CG_INLINE] = ACTIONS(5652),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5652),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5652),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5652),
    [anon_sym_IBOutlet] = ACTIONS(5652),
    [anon_sym_IBInspectable] = ACTIONS(5652),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5652),
    [anon_sym_NS_INLINE] = ACTIONS(5652),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5652),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5652),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5652),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5652),
    [anon_sym_const] = ACTIONS(5652),
    [anon_sym_constexpr] = ACTIONS(5652),
    [anon_sym_volatile] = ACTIONS(5652),
    [anon_sym_restrict] = ACTIONS(5652),
    [anon_sym___restrict__] = ACTIONS(5652),
    [anon_sym__Atomic] = ACTIONS(5652),
    [anon_sym__Noreturn] = ACTIONS(5652),
    [anon_sym__Nonnull] = ACTIONS(5652),
    [anon_sym_nullable] = ACTIONS(5652),
    [anon_sym__Complex] = ACTIONS(5652),
    [anon_sym__Nullable] = ACTIONS(5652),
    [anon_sym__Nullable_result] = ACTIONS(5652),
    [anon_sym__Null_unspecified] = ACTIONS(5652),
    [anon_sym___autoreleasing] = ACTIONS(5652),
    [anon_sym___block] = ACTIONS(5652),
    [anon_sym___bridge] = ACTIONS(5652),
    [anon_sym___bridge_retained] = ACTIONS(5652),
    [anon_sym___bridge_transfer] = ACTIONS(5652),
    [anon_sym___complex] = ACTIONS(5652),
    [anon_sym___const] = ACTIONS(5652),
    [anon_sym___imag] = ACTIONS(5652),
    [anon_sym___kindof] = ACTIONS(5652),
    [anon_sym___nonnull] = ACTIONS(5652),
    [anon_sym___nullable] = ACTIONS(5652),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5652),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5652),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5652),
    [anon_sym___real] = ACTIONS(5652),
    [anon_sym___strong] = ACTIONS(5652),
    [anon_sym___unsafe_unretained] = ACTIONS(5652),
    [anon_sym___unused] = ACTIONS(5652),
    [anon_sym___weak] = ACTIONS(5652),
    [anon_sym_alignas] = ACTIONS(5652),
    [anon_sym__Alignas] = ACTIONS(5652),
    [sym_primitive_type] = ACTIONS(5652),
    [anon_sym_enum] = ACTIONS(5652),
    [anon_sym_struct] = ACTIONS(5652),
    [anon_sym_union] = ACTIONS(5652),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5652),
    [anon_sym___typeof] = ACTIONS(5652),
    [anon_sym_typeof] = ACTIONS(5652),
    [aux_sym_preproc_undef_token1] = ACTIONS(5652),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5652),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5652),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5652),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5652),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5652),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5652),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5652),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5652),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5652),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5652),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5652),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5652),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5652),
    [anon_sym_API_AVAILABLE] = ACTIONS(5652),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5652),
    [anon_sym_API_DEPRECATED] = ACTIONS(5652),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5652),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5652),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5652),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5652),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5652),
    [anon_sym___deprecated_msg] = ACTIONS(5652),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5652),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5652),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5652),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5652),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5652),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5652),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5652),
    [anon_sym_ATend] = ACTIONS(5654),
    [anon_sym_AToptional] = ACTIONS(5654),
    [anon_sym_ATrequired] = ACTIONS(5654),
    [anon_sym_ATproperty] = ACTIONS(5654),
    [anon_sym_BOOL] = ACTIONS(5652),
    [anon_sym_IMP] = ACTIONS(5652),
    [anon_sym_SEL] = ACTIONS(5652),
    [anon_sym_Class] = ACTIONS(5652),
    [anon_sym_id] = ACTIONS(5652),
  },
  [2345] = {
    [sym_identifier] = ACTIONS(5457),
    [aux_sym_preproc_def_token1] = ACTIONS(5457),
    [aux_sym_preproc_if_token1] = ACTIONS(5457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5457),
    [sym_preproc_directive] = ACTIONS(5457),
    [anon_sym_DASH] = ACTIONS(5459),
    [anon_sym_PLUS] = ACTIONS(5459),
    [anon_sym_LT] = ACTIONS(5459),
    [anon_sym___extension__] = ACTIONS(5457),
    [anon_sym_typedef] = ACTIONS(5457),
    [anon_sym_extern] = ACTIONS(5457),
    [anon_sym___attribute__] = ACTIONS(5457),
    [anon_sym___attribute] = ACTIONS(5457),
    [anon_sym_noreturn] = ACTIONS(5457),
    [anon_sym_LBRACK] = ACTIONS(5459),
    [anon_sym___declspec] = ACTIONS(5457),
    [anon_sym___cdecl] = ACTIONS(5457),
    [anon_sym___clrcall] = ACTIONS(5457),
    [anon_sym___stdcall] = ACTIONS(5457),
    [anon_sym___fastcall] = ACTIONS(5457),
    [anon_sym___thiscall] = ACTIONS(5457),
    [anon_sym___vectorcall] = ACTIONS(5457),
    [anon_sym_LBRACE] = ACTIONS(5459),
    [anon_sym_signed] = ACTIONS(5457),
    [anon_sym_unsigned] = ACTIONS(5457),
    [anon_sym_long] = ACTIONS(5457),
    [anon_sym_short] = ACTIONS(5457),
    [anon_sym_static] = ACTIONS(5457),
    [anon_sym_auto] = ACTIONS(5457),
    [anon_sym_register] = ACTIONS(5457),
    [anon_sym_inline] = ACTIONS(5457),
    [anon_sym___inline] = ACTIONS(5457),
    [anon_sym___inline__] = ACTIONS(5457),
    [anon_sym___forceinline] = ACTIONS(5457),
    [anon_sym_thread_local] = ACTIONS(5457),
    [anon_sym___thread] = ACTIONS(5457),
    [anon_sym_CG_EXTERN] = ACTIONS(5457),
    [anon_sym_CG_INLINE] = ACTIONS(5457),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5457),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5457),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5457),
    [anon_sym_IBOutlet] = ACTIONS(5457),
    [anon_sym_IBInspectable] = ACTIONS(5457),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5457),
    [anon_sym_NS_INLINE] = ACTIONS(5457),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5457),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5457),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5457),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5457),
    [anon_sym_const] = ACTIONS(5457),
    [anon_sym_constexpr] = ACTIONS(5457),
    [anon_sym_volatile] = ACTIONS(5457),
    [anon_sym_restrict] = ACTIONS(5457),
    [anon_sym___restrict__] = ACTIONS(5457),
    [anon_sym__Atomic] = ACTIONS(5457),
    [anon_sym__Noreturn] = ACTIONS(5457),
    [anon_sym__Nonnull] = ACTIONS(5457),
    [anon_sym_nullable] = ACTIONS(5457),
    [anon_sym__Complex] = ACTIONS(5457),
    [anon_sym__Nullable] = ACTIONS(5457),
    [anon_sym__Nullable_result] = ACTIONS(5457),
    [anon_sym__Null_unspecified] = ACTIONS(5457),
    [anon_sym___autoreleasing] = ACTIONS(5457),
    [anon_sym___block] = ACTIONS(5457),
    [anon_sym___bridge] = ACTIONS(5457),
    [anon_sym___bridge_retained] = ACTIONS(5457),
    [anon_sym___bridge_transfer] = ACTIONS(5457),
    [anon_sym___complex] = ACTIONS(5457),
    [anon_sym___const] = ACTIONS(5457),
    [anon_sym___imag] = ACTIONS(5457),
    [anon_sym___kindof] = ACTIONS(5457),
    [anon_sym___nonnull] = ACTIONS(5457),
    [anon_sym___nullable] = ACTIONS(5457),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5457),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5457),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5457),
    [anon_sym___real] = ACTIONS(5457),
    [anon_sym___strong] = ACTIONS(5457),
    [anon_sym___unsafe_unretained] = ACTIONS(5457),
    [anon_sym___unused] = ACTIONS(5457),
    [anon_sym___weak] = ACTIONS(5457),
    [anon_sym_alignas] = ACTIONS(5457),
    [anon_sym__Alignas] = ACTIONS(5457),
    [sym_primitive_type] = ACTIONS(5457),
    [anon_sym_enum] = ACTIONS(5457),
    [anon_sym_struct] = ACTIONS(5457),
    [anon_sym_union] = ACTIONS(5457),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5457),
    [anon_sym___typeof] = ACTIONS(5457),
    [anon_sym_typeof] = ACTIONS(5457),
    [aux_sym_preproc_undef_token1] = ACTIONS(5457),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5457),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5457),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5457),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5457),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5457),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5457),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5457),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5457),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5457),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5457),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5457),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5457),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5457),
    [anon_sym_API_AVAILABLE] = ACTIONS(5457),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5457),
    [anon_sym_API_DEPRECATED] = ACTIONS(5457),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5457),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5457),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5457),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5457),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5457),
    [anon_sym___deprecated_msg] = ACTIONS(5457),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5457),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5457),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5457),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5457),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5457),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5457),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5457),
    [anon_sym_ATend] = ACTIONS(5459),
    [anon_sym_ATproperty] = ACTIONS(5459),
    [anon_sym_BOOL] = ACTIONS(5457),
    [anon_sym_IMP] = ACTIONS(5457),
    [anon_sym_SEL] = ACTIONS(5457),
    [anon_sym_Class] = ACTIONS(5457),
    [anon_sym_id] = ACTIONS(5457),
  },
  [2346] = {
    [sym_identifier] = ACTIONS(5656),
    [aux_sym_preproc_def_token1] = ACTIONS(5656),
    [aux_sym_preproc_if_token1] = ACTIONS(5656),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5656),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5656),
    [sym_preproc_directive] = ACTIONS(5656),
    [anon_sym_DASH] = ACTIONS(5658),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym___extension__] = ACTIONS(5656),
    [anon_sym_typedef] = ACTIONS(5656),
    [anon_sym_extern] = ACTIONS(5656),
    [anon_sym___attribute__] = ACTIONS(5656),
    [anon_sym___attribute] = ACTIONS(5656),
    [anon_sym_noreturn] = ACTIONS(5656),
    [anon_sym_LBRACK] = ACTIONS(5658),
    [anon_sym___declspec] = ACTIONS(5656),
    [anon_sym___cdecl] = ACTIONS(5656),
    [anon_sym___clrcall] = ACTIONS(5656),
    [anon_sym___stdcall] = ACTIONS(5656),
    [anon_sym___fastcall] = ACTIONS(5656),
    [anon_sym___thiscall] = ACTIONS(5656),
    [anon_sym___vectorcall] = ACTIONS(5656),
    [anon_sym_signed] = ACTIONS(5656),
    [anon_sym_unsigned] = ACTIONS(5656),
    [anon_sym_long] = ACTIONS(5656),
    [anon_sym_short] = ACTIONS(5656),
    [anon_sym_static] = ACTIONS(5656),
    [anon_sym_auto] = ACTIONS(5656),
    [anon_sym_register] = ACTIONS(5656),
    [anon_sym_inline] = ACTIONS(5656),
    [anon_sym___inline] = ACTIONS(5656),
    [anon_sym___inline__] = ACTIONS(5656),
    [anon_sym___forceinline] = ACTIONS(5656),
    [anon_sym_thread_local] = ACTIONS(5656),
    [anon_sym___thread] = ACTIONS(5656),
    [anon_sym_CG_EXTERN] = ACTIONS(5656),
    [anon_sym_CG_INLINE] = ACTIONS(5656),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5656),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5656),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5656),
    [anon_sym_IBOutlet] = ACTIONS(5656),
    [anon_sym_IBInspectable] = ACTIONS(5656),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5656),
    [anon_sym_NS_INLINE] = ACTIONS(5656),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5656),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5656),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5656),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5656),
    [anon_sym_const] = ACTIONS(5656),
    [anon_sym_constexpr] = ACTIONS(5656),
    [anon_sym_volatile] = ACTIONS(5656),
    [anon_sym_restrict] = ACTIONS(5656),
    [anon_sym___restrict__] = ACTIONS(5656),
    [anon_sym__Atomic] = ACTIONS(5656),
    [anon_sym__Noreturn] = ACTIONS(5656),
    [anon_sym__Nonnull] = ACTIONS(5656),
    [anon_sym_nullable] = ACTIONS(5656),
    [anon_sym__Complex] = ACTIONS(5656),
    [anon_sym__Nullable] = ACTIONS(5656),
    [anon_sym__Nullable_result] = ACTIONS(5656),
    [anon_sym__Null_unspecified] = ACTIONS(5656),
    [anon_sym___autoreleasing] = ACTIONS(5656),
    [anon_sym___block] = ACTIONS(5656),
    [anon_sym___bridge] = ACTIONS(5656),
    [anon_sym___bridge_retained] = ACTIONS(5656),
    [anon_sym___bridge_transfer] = ACTIONS(5656),
    [anon_sym___complex] = ACTIONS(5656),
    [anon_sym___const] = ACTIONS(5656),
    [anon_sym___imag] = ACTIONS(5656),
    [anon_sym___kindof] = ACTIONS(5656),
    [anon_sym___nonnull] = ACTIONS(5656),
    [anon_sym___nullable] = ACTIONS(5656),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5656),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5656),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5656),
    [anon_sym___real] = ACTIONS(5656),
    [anon_sym___strong] = ACTIONS(5656),
    [anon_sym___unsafe_unretained] = ACTIONS(5656),
    [anon_sym___unused] = ACTIONS(5656),
    [anon_sym___weak] = ACTIONS(5656),
    [anon_sym_alignas] = ACTIONS(5656),
    [anon_sym__Alignas] = ACTIONS(5656),
    [sym_primitive_type] = ACTIONS(5656),
    [anon_sym_enum] = ACTIONS(5656),
    [anon_sym_struct] = ACTIONS(5656),
    [anon_sym_union] = ACTIONS(5656),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5656),
    [anon_sym___typeof] = ACTIONS(5656),
    [anon_sym_typeof] = ACTIONS(5656),
    [aux_sym_preproc_undef_token1] = ACTIONS(5656),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5656),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5656),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5656),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5656),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5656),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5656),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5656),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5656),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5656),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5656),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5656),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5656),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5656),
    [anon_sym_API_AVAILABLE] = ACTIONS(5656),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5656),
    [anon_sym_API_DEPRECATED] = ACTIONS(5656),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5656),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5656),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5656),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5656),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5656),
    [anon_sym___deprecated_msg] = ACTIONS(5656),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5656),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5656),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5656),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5656),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5656),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5656),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5656),
    [anon_sym_ATend] = ACTIONS(5658),
    [anon_sym_AToptional] = ACTIONS(5658),
    [anon_sym_ATrequired] = ACTIONS(5658),
    [anon_sym_ATproperty] = ACTIONS(5658),
    [anon_sym_BOOL] = ACTIONS(5656),
    [anon_sym_IMP] = ACTIONS(5656),
    [anon_sym_SEL] = ACTIONS(5656),
    [anon_sym_Class] = ACTIONS(5656),
    [anon_sym_id] = ACTIONS(5656),
  },
  [2347] = {
    [sym_identifier] = ACTIONS(5652),
    [aux_sym_preproc_def_token1] = ACTIONS(5652),
    [aux_sym_preproc_if_token1] = ACTIONS(5652),
    [aux_sym_preproc_if_token2] = ACTIONS(5652),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5652),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5652),
    [aux_sym_preproc_else_token1] = ACTIONS(5652),
    [aux_sym_preproc_elif_token1] = ACTIONS(5652),
    [sym_preproc_directive] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5654),
    [anon_sym_PLUS] = ACTIONS(5654),
    [anon_sym___extension__] = ACTIONS(5652),
    [anon_sym_typedef] = ACTIONS(5652),
    [anon_sym_extern] = ACTIONS(5652),
    [anon_sym___attribute__] = ACTIONS(5652),
    [anon_sym___attribute] = ACTIONS(5652),
    [anon_sym_noreturn] = ACTIONS(5652),
    [anon_sym_LBRACK] = ACTIONS(5654),
    [anon_sym___declspec] = ACTIONS(5652),
    [anon_sym___cdecl] = ACTIONS(5652),
    [anon_sym___clrcall] = ACTIONS(5652),
    [anon_sym___stdcall] = ACTIONS(5652),
    [anon_sym___fastcall] = ACTIONS(5652),
    [anon_sym___thiscall] = ACTIONS(5652),
    [anon_sym___vectorcall] = ACTIONS(5652),
    [anon_sym_signed] = ACTIONS(5652),
    [anon_sym_unsigned] = ACTIONS(5652),
    [anon_sym_long] = ACTIONS(5652),
    [anon_sym_short] = ACTIONS(5652),
    [anon_sym_static] = ACTIONS(5652),
    [anon_sym_auto] = ACTIONS(5652),
    [anon_sym_register] = ACTIONS(5652),
    [anon_sym_inline] = ACTIONS(5652),
    [anon_sym___inline] = ACTIONS(5652),
    [anon_sym___inline__] = ACTIONS(5652),
    [anon_sym___forceinline] = ACTIONS(5652),
    [anon_sym_thread_local] = ACTIONS(5652),
    [anon_sym___thread] = ACTIONS(5652),
    [anon_sym_CG_EXTERN] = ACTIONS(5652),
    [anon_sym_CG_INLINE] = ACTIONS(5652),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5652),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5652),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5652),
    [anon_sym_IBOutlet] = ACTIONS(5652),
    [anon_sym_IBInspectable] = ACTIONS(5652),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5652),
    [anon_sym_NS_INLINE] = ACTIONS(5652),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5652),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5652),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5652),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5652),
    [anon_sym_const] = ACTIONS(5652),
    [anon_sym_constexpr] = ACTIONS(5652),
    [anon_sym_volatile] = ACTIONS(5652),
    [anon_sym_restrict] = ACTIONS(5652),
    [anon_sym___restrict__] = ACTIONS(5652),
    [anon_sym__Atomic] = ACTIONS(5652),
    [anon_sym__Noreturn] = ACTIONS(5652),
    [anon_sym__Nonnull] = ACTIONS(5652),
    [anon_sym_nullable] = ACTIONS(5652),
    [anon_sym__Complex] = ACTIONS(5652),
    [anon_sym__Nullable] = ACTIONS(5652),
    [anon_sym__Nullable_result] = ACTIONS(5652),
    [anon_sym__Null_unspecified] = ACTIONS(5652),
    [anon_sym___autoreleasing] = ACTIONS(5652),
    [anon_sym___block] = ACTIONS(5652),
    [anon_sym___bridge] = ACTIONS(5652),
    [anon_sym___bridge_retained] = ACTIONS(5652),
    [anon_sym___bridge_transfer] = ACTIONS(5652),
    [anon_sym___complex] = ACTIONS(5652),
    [anon_sym___const] = ACTIONS(5652),
    [anon_sym___imag] = ACTIONS(5652),
    [anon_sym___kindof] = ACTIONS(5652),
    [anon_sym___nonnull] = ACTIONS(5652),
    [anon_sym___nullable] = ACTIONS(5652),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5652),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5652),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5652),
    [anon_sym___real] = ACTIONS(5652),
    [anon_sym___strong] = ACTIONS(5652),
    [anon_sym___unsafe_unretained] = ACTIONS(5652),
    [anon_sym___unused] = ACTIONS(5652),
    [anon_sym___weak] = ACTIONS(5652),
    [anon_sym_alignas] = ACTIONS(5652),
    [anon_sym__Alignas] = ACTIONS(5652),
    [sym_primitive_type] = ACTIONS(5652),
    [anon_sym_enum] = ACTIONS(5652),
    [anon_sym_struct] = ACTIONS(5652),
    [anon_sym_union] = ACTIONS(5652),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5652),
    [anon_sym___typeof] = ACTIONS(5652),
    [anon_sym_typeof] = ACTIONS(5652),
    [aux_sym_preproc_undef_token1] = ACTIONS(5652),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5652),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5652),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5652),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5652),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5652),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5652),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5652),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5652),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5652),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5652),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5652),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5652),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5652),
    [anon_sym_API_AVAILABLE] = ACTIONS(5652),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5652),
    [anon_sym_API_DEPRECATED] = ACTIONS(5652),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5652),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5652),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5652),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5652),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5652),
    [anon_sym___deprecated_msg] = ACTIONS(5652),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5652),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5652),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5652),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5652),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5652),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5652),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5652),
    [anon_sym_ATproperty] = ACTIONS(5654),
    [anon_sym_BOOL] = ACTIONS(5652),
    [anon_sym_IMP] = ACTIONS(5652),
    [anon_sym_SEL] = ACTIONS(5652),
    [anon_sym_Class] = ACTIONS(5652),
    [anon_sym_id] = ACTIONS(5652),
  },
  [2348] = {
    [sym_identifier] = ACTIONS(2474),
    [aux_sym_preproc_def_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token1] = ACTIONS(2474),
    [aux_sym_preproc_if_token2] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2474),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2474),
    [sym_preproc_directive] = ACTIONS(2474),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym___extension__] = ACTIONS(2474),
    [anon_sym_typedef] = ACTIONS(2474),
    [anon_sym_extern] = ACTIONS(2474),
    [anon_sym___attribute__] = ACTIONS(2474),
    [anon_sym___attribute] = ACTIONS(2474),
    [anon_sym_noreturn] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2476),
    [anon_sym___declspec] = ACTIONS(2474),
    [anon_sym___cdecl] = ACTIONS(2474),
    [anon_sym___clrcall] = ACTIONS(2474),
    [anon_sym___stdcall] = ACTIONS(2474),
    [anon_sym___fastcall] = ACTIONS(2474),
    [anon_sym___thiscall] = ACTIONS(2474),
    [anon_sym___vectorcall] = ACTIONS(2474),
    [anon_sym_signed] = ACTIONS(2474),
    [anon_sym_unsigned] = ACTIONS(2474),
    [anon_sym_long] = ACTIONS(2474),
    [anon_sym_short] = ACTIONS(2474),
    [anon_sym_static] = ACTIONS(2474),
    [anon_sym_auto] = ACTIONS(2474),
    [anon_sym_register] = ACTIONS(2474),
    [anon_sym_inline] = ACTIONS(2474),
    [anon_sym___inline] = ACTIONS(2474),
    [anon_sym___inline__] = ACTIONS(2474),
    [anon_sym___forceinline] = ACTIONS(2474),
    [anon_sym_thread_local] = ACTIONS(2474),
    [anon_sym___thread] = ACTIONS(2474),
    [anon_sym_CG_EXTERN] = ACTIONS(2474),
    [anon_sym_CG_INLINE] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2474),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2474),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2474),
    [anon_sym_IBOutlet] = ACTIONS(2474),
    [anon_sym_IBInspectable] = ACTIONS(2474),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2474),
    [anon_sym_NS_INLINE] = ACTIONS(2474),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2474),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2474),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2474),
    [anon_sym_const] = ACTIONS(2474),
    [anon_sym_constexpr] = ACTIONS(2474),
    [anon_sym_volatile] = ACTIONS(2474),
    [anon_sym_restrict] = ACTIONS(2474),
    [anon_sym___restrict__] = ACTIONS(2474),
    [anon_sym__Atomic] = ACTIONS(2474),
    [anon_sym__Noreturn] = ACTIONS(2474),
    [anon_sym__Nonnull] = ACTIONS(2474),
    [anon_sym_nullable] = ACTIONS(2474),
    [anon_sym__Complex] = ACTIONS(2474),
    [anon_sym__Nullable] = ACTIONS(2474),
    [anon_sym__Nullable_result] = ACTIONS(2474),
    [anon_sym__Null_unspecified] = ACTIONS(2474),
    [anon_sym___autoreleasing] = ACTIONS(2474),
    [anon_sym___block] = ACTIONS(2474),
    [anon_sym___bridge] = ACTIONS(2474),
    [anon_sym___bridge_retained] = ACTIONS(2474),
    [anon_sym___bridge_transfer] = ACTIONS(2474),
    [anon_sym___complex] = ACTIONS(2474),
    [anon_sym___const] = ACTIONS(2474),
    [anon_sym___imag] = ACTIONS(2474),
    [anon_sym___kindof] = ACTIONS(2474),
    [anon_sym___nonnull] = ACTIONS(2474),
    [anon_sym___nullable] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2474),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2474),
    [anon_sym___real] = ACTIONS(2474),
    [anon_sym___strong] = ACTIONS(2474),
    [anon_sym___unsafe_unretained] = ACTIONS(2474),
    [anon_sym___unused] = ACTIONS(2474),
    [anon_sym___weak] = ACTIONS(2474),
    [anon_sym_alignas] = ACTIONS(2474),
    [anon_sym__Alignas] = ACTIONS(2474),
    [sym_primitive_type] = ACTIONS(2474),
    [anon_sym_enum] = ACTIONS(2474),
    [anon_sym_struct] = ACTIONS(2474),
    [anon_sym_union] = ACTIONS(2474),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2474),
    [anon_sym___typeof] = ACTIONS(2474),
    [anon_sym_typeof] = ACTIONS(2474),
    [aux_sym_preproc_undef_token1] = ACTIONS(2474),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2474),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2474),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2474),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2474),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2474),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_API_AVAILABLE] = ACTIONS(2474),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_API_DEPRECATED] = ACTIONS(2474),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2474),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2474),
    [anon_sym___deprecated_msg] = ACTIONS(2474),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2474),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2474),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2474),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2474),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2474),
    [anon_sym_ATsynthesize] = ACTIONS(2476),
    [anon_sym_ATdynamic] = ACTIONS(2476),
    [anon_sym_ATproperty] = ACTIONS(2476),
    [anon_sym_BOOL] = ACTIONS(2474),
    [anon_sym_IMP] = ACTIONS(2474),
    [anon_sym_SEL] = ACTIONS(2474),
    [anon_sym_Class] = ACTIONS(2474),
    [anon_sym_id] = ACTIONS(2474),
  },
  [2349] = {
    [sym_identifier] = ACTIONS(5574),
    [aux_sym_preproc_def_token1] = ACTIONS(5574),
    [aux_sym_preproc_if_token1] = ACTIONS(5574),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5574),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5574),
    [sym_preproc_directive] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym___extension__] = ACTIONS(5574),
    [anon_sym_typedef] = ACTIONS(5574),
    [anon_sym_extern] = ACTIONS(5574),
    [anon_sym___attribute__] = ACTIONS(5574),
    [anon_sym___attribute] = ACTIONS(5574),
    [anon_sym_noreturn] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [anon_sym___declspec] = ACTIONS(5574),
    [anon_sym___cdecl] = ACTIONS(5574),
    [anon_sym___clrcall] = ACTIONS(5574),
    [anon_sym___stdcall] = ACTIONS(5574),
    [anon_sym___fastcall] = ACTIONS(5574),
    [anon_sym___thiscall] = ACTIONS(5574),
    [anon_sym___vectorcall] = ACTIONS(5574),
    [anon_sym_signed] = ACTIONS(5574),
    [anon_sym_unsigned] = ACTIONS(5574),
    [anon_sym_long] = ACTIONS(5574),
    [anon_sym_short] = ACTIONS(5574),
    [anon_sym_static] = ACTIONS(5574),
    [anon_sym_auto] = ACTIONS(5574),
    [anon_sym_register] = ACTIONS(5574),
    [anon_sym_inline] = ACTIONS(5574),
    [anon_sym___inline] = ACTIONS(5574),
    [anon_sym___inline__] = ACTIONS(5574),
    [anon_sym___forceinline] = ACTIONS(5574),
    [anon_sym_thread_local] = ACTIONS(5574),
    [anon_sym___thread] = ACTIONS(5574),
    [anon_sym_CG_EXTERN] = ACTIONS(5574),
    [anon_sym_CG_INLINE] = ACTIONS(5574),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5574),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5574),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5574),
    [anon_sym_IBOutlet] = ACTIONS(5574),
    [anon_sym_IBInspectable] = ACTIONS(5574),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5574),
    [anon_sym_NS_INLINE] = ACTIONS(5574),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5574),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5574),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5574),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5574),
    [anon_sym_const] = ACTIONS(5574),
    [anon_sym_constexpr] = ACTIONS(5574),
    [anon_sym_volatile] = ACTIONS(5574),
    [anon_sym_restrict] = ACTIONS(5574),
    [anon_sym___restrict__] = ACTIONS(5574),
    [anon_sym__Atomic] = ACTIONS(5574),
    [anon_sym__Noreturn] = ACTIONS(5574),
    [anon_sym__Nonnull] = ACTIONS(5574),
    [anon_sym_nullable] = ACTIONS(5574),
    [anon_sym__Complex] = ACTIONS(5574),
    [anon_sym__Nullable] = ACTIONS(5574),
    [anon_sym__Nullable_result] = ACTIONS(5574),
    [anon_sym__Null_unspecified] = ACTIONS(5574),
    [anon_sym___autoreleasing] = ACTIONS(5574),
    [anon_sym___block] = ACTIONS(5574),
    [anon_sym___bridge] = ACTIONS(5574),
    [anon_sym___bridge_retained] = ACTIONS(5574),
    [anon_sym___bridge_transfer] = ACTIONS(5574),
    [anon_sym___complex] = ACTIONS(5574),
    [anon_sym___const] = ACTIONS(5574),
    [anon_sym___imag] = ACTIONS(5574),
    [anon_sym___kindof] = ACTIONS(5574),
    [anon_sym___nonnull] = ACTIONS(5574),
    [anon_sym___nullable] = ACTIONS(5574),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5574),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5574),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5574),
    [anon_sym___real] = ACTIONS(5574),
    [anon_sym___strong] = ACTIONS(5574),
    [anon_sym___unsafe_unretained] = ACTIONS(5574),
    [anon_sym___unused] = ACTIONS(5574),
    [anon_sym___weak] = ACTIONS(5574),
    [anon_sym_alignas] = ACTIONS(5574),
    [anon_sym__Alignas] = ACTIONS(5574),
    [sym_primitive_type] = ACTIONS(5574),
    [anon_sym_enum] = ACTIONS(5574),
    [anon_sym_struct] = ACTIONS(5574),
    [anon_sym_union] = ACTIONS(5574),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5574),
    [anon_sym___typeof] = ACTIONS(5574),
    [anon_sym_typeof] = ACTIONS(5574),
    [aux_sym_preproc_undef_token1] = ACTIONS(5574),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5574),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5574),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5574),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5574),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5574),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5574),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5574),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5574),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5574),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5574),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5574),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5574),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5574),
    [anon_sym_API_AVAILABLE] = ACTIONS(5574),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5574),
    [anon_sym_API_DEPRECATED] = ACTIONS(5574),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5574),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5574),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5574),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5574),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5574),
    [anon_sym___deprecated_msg] = ACTIONS(5574),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5574),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5574),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5574),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5574),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5574),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5574),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5574),
    [anon_sym_ATend] = ACTIONS(5576),
    [anon_sym_AToptional] = ACTIONS(5576),
    [anon_sym_ATrequired] = ACTIONS(5576),
    [anon_sym_ATproperty] = ACTIONS(5576),
    [anon_sym_BOOL] = ACTIONS(5574),
    [anon_sym_IMP] = ACTIONS(5574),
    [anon_sym_SEL] = ACTIONS(5574),
    [anon_sym_Class] = ACTIONS(5574),
    [anon_sym_id] = ACTIONS(5574),
  },
  [2350] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token2] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2566),
    [anon_sym_PLUS] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym___attribute] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_auto] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_CG_EXTERN] = ACTIONS(2564),
    [anon_sym_CG_INLINE] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2564),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2564),
    [anon_sym_IBOutlet] = ACTIONS(2564),
    [anon_sym_IBInspectable] = ACTIONS(2564),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2564),
    [anon_sym_NS_INLINE] = ACTIONS(2564),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2564),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2564),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_nullable] = ACTIONS(2564),
    [anon_sym__Complex] = ACTIONS(2564),
    [anon_sym__Nullable] = ACTIONS(2564),
    [anon_sym__Nullable_result] = ACTIONS(2564),
    [anon_sym__Null_unspecified] = ACTIONS(2564),
    [anon_sym___autoreleasing] = ACTIONS(2564),
    [anon_sym___block] = ACTIONS(2564),
    [anon_sym___bridge] = ACTIONS(2564),
    [anon_sym___bridge_retained] = ACTIONS(2564),
    [anon_sym___bridge_transfer] = ACTIONS(2564),
    [anon_sym___complex] = ACTIONS(2564),
    [anon_sym___const] = ACTIONS(2564),
    [anon_sym___imag] = ACTIONS(2564),
    [anon_sym___kindof] = ACTIONS(2564),
    [anon_sym___nonnull] = ACTIONS(2564),
    [anon_sym___nullable] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2564),
    [anon_sym___real] = ACTIONS(2564),
    [anon_sym___strong] = ACTIONS(2564),
    [anon_sym___unsafe_unretained] = ACTIONS(2564),
    [anon_sym___unused] = ACTIONS(2564),
    [anon_sym___weak] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2564),
    [anon_sym___typeof] = ACTIONS(2564),
    [anon_sym_typeof] = ACTIONS(2564),
    [aux_sym_preproc_undef_token1] = ACTIONS(2564),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2564),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2564),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2564),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_API_AVAILABLE] = ACTIONS(2564),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_API_DEPRECATED] = ACTIONS(2564),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym___deprecated_msg] = ACTIONS(2564),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2564),
    [anon_sym_ATsynthesize] = ACTIONS(2566),
    [anon_sym_ATdynamic] = ACTIONS(2566),
    [anon_sym_ATproperty] = ACTIONS(2566),
    [anon_sym_BOOL] = ACTIONS(2564),
    [anon_sym_IMP] = ACTIONS(2564),
    [anon_sym_SEL] = ACTIONS(2564),
    [anon_sym_Class] = ACTIONS(2564),
    [anon_sym_id] = ACTIONS(2564),
  },
  [2351] = {
    [sym_identifier] = ACTIONS(5564),
    [aux_sym_preproc_def_token1] = ACTIONS(5564),
    [aux_sym_preproc_if_token1] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5564),
    [sym_preproc_directive] = ACTIONS(5564),
    [anon_sym_DASH] = ACTIONS(5566),
    [anon_sym_PLUS] = ACTIONS(5566),
    [anon_sym___extension__] = ACTIONS(5564),
    [anon_sym_typedef] = ACTIONS(5564),
    [anon_sym_extern] = ACTIONS(5564),
    [anon_sym___attribute__] = ACTIONS(5564),
    [anon_sym___attribute] = ACTIONS(5564),
    [anon_sym_noreturn] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5566),
    [anon_sym___declspec] = ACTIONS(5564),
    [anon_sym___cdecl] = ACTIONS(5564),
    [anon_sym___clrcall] = ACTIONS(5564),
    [anon_sym___stdcall] = ACTIONS(5564),
    [anon_sym___fastcall] = ACTIONS(5564),
    [anon_sym___thiscall] = ACTIONS(5564),
    [anon_sym___vectorcall] = ACTIONS(5564),
    [anon_sym_signed] = ACTIONS(5564),
    [anon_sym_unsigned] = ACTIONS(5564),
    [anon_sym_long] = ACTIONS(5564),
    [anon_sym_short] = ACTIONS(5564),
    [anon_sym_static] = ACTIONS(5564),
    [anon_sym_auto] = ACTIONS(5564),
    [anon_sym_register] = ACTIONS(5564),
    [anon_sym_inline] = ACTIONS(5564),
    [anon_sym___inline] = ACTIONS(5564),
    [anon_sym___inline__] = ACTIONS(5564),
    [anon_sym___forceinline] = ACTIONS(5564),
    [anon_sym_thread_local] = ACTIONS(5564),
    [anon_sym___thread] = ACTIONS(5564),
    [anon_sym_CG_EXTERN] = ACTIONS(5564),
    [anon_sym_CG_INLINE] = ACTIONS(5564),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5564),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5564),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5564),
    [anon_sym_IBOutlet] = ACTIONS(5564),
    [anon_sym_IBInspectable] = ACTIONS(5564),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5564),
    [anon_sym_NS_INLINE] = ACTIONS(5564),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5564),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5564),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5564),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5564),
    [anon_sym_const] = ACTIONS(5564),
    [anon_sym_constexpr] = ACTIONS(5564),
    [anon_sym_volatile] = ACTIONS(5564),
    [anon_sym_restrict] = ACTIONS(5564),
    [anon_sym___restrict__] = ACTIONS(5564),
    [anon_sym__Atomic] = ACTIONS(5564),
    [anon_sym__Noreturn] = ACTIONS(5564),
    [anon_sym__Nonnull] = ACTIONS(5564),
    [anon_sym_nullable] = ACTIONS(5564),
    [anon_sym__Complex] = ACTIONS(5564),
    [anon_sym__Nullable] = ACTIONS(5564),
    [anon_sym__Nullable_result] = ACTIONS(5564),
    [anon_sym__Null_unspecified] = ACTIONS(5564),
    [anon_sym___autoreleasing] = ACTIONS(5564),
    [anon_sym___block] = ACTIONS(5564),
    [anon_sym___bridge] = ACTIONS(5564),
    [anon_sym___bridge_retained] = ACTIONS(5564),
    [anon_sym___bridge_transfer] = ACTIONS(5564),
    [anon_sym___complex] = ACTIONS(5564),
    [anon_sym___const] = ACTIONS(5564),
    [anon_sym___imag] = ACTIONS(5564),
    [anon_sym___kindof] = ACTIONS(5564),
    [anon_sym___nonnull] = ACTIONS(5564),
    [anon_sym___nullable] = ACTIONS(5564),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5564),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5564),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5564),
    [anon_sym___real] = ACTIONS(5564),
    [anon_sym___strong] = ACTIONS(5564),
    [anon_sym___unsafe_unretained] = ACTIONS(5564),
    [anon_sym___unused] = ACTIONS(5564),
    [anon_sym___weak] = ACTIONS(5564),
    [anon_sym_alignas] = ACTIONS(5564),
    [anon_sym__Alignas] = ACTIONS(5564),
    [sym_primitive_type] = ACTIONS(5564),
    [anon_sym_enum] = ACTIONS(5564),
    [anon_sym_struct] = ACTIONS(5564),
    [anon_sym_union] = ACTIONS(5564),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5564),
    [anon_sym___typeof] = ACTIONS(5564),
    [anon_sym_typeof] = ACTIONS(5564),
    [aux_sym_preproc_undef_token1] = ACTIONS(5564),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5564),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5564),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5564),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5564),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5564),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5564),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5564),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5564),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5564),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5564),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5564),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5564),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5564),
    [anon_sym_API_AVAILABLE] = ACTIONS(5564),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5564),
    [anon_sym_API_DEPRECATED] = ACTIONS(5564),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5564),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5564),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5564),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5564),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5564),
    [anon_sym___deprecated_msg] = ACTIONS(5564),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5564),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5564),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5564),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5564),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5564),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5564),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5564),
    [anon_sym_ATend] = ACTIONS(5566),
    [anon_sym_AToptional] = ACTIONS(5566),
    [anon_sym_ATrequired] = ACTIONS(5566),
    [anon_sym_ATproperty] = ACTIONS(5566),
    [anon_sym_BOOL] = ACTIONS(5564),
    [anon_sym_IMP] = ACTIONS(5564),
    [anon_sym_SEL] = ACTIONS(5564),
    [anon_sym_Class] = ACTIONS(5564),
    [anon_sym_id] = ACTIONS(5564),
  },
  [2352] = {
    [sym_identifier] = ACTIONS(5656),
    [aux_sym_preproc_def_token1] = ACTIONS(5656),
    [aux_sym_preproc_if_token1] = ACTIONS(5656),
    [aux_sym_preproc_if_token2] = ACTIONS(5656),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5656),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5656),
    [aux_sym_preproc_else_token1] = ACTIONS(5656),
    [aux_sym_preproc_elif_token1] = ACTIONS(5656),
    [sym_preproc_directive] = ACTIONS(5656),
    [anon_sym_DASH] = ACTIONS(5658),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym___extension__] = ACTIONS(5656),
    [anon_sym_typedef] = ACTIONS(5656),
    [anon_sym_extern] = ACTIONS(5656),
    [anon_sym___attribute__] = ACTIONS(5656),
    [anon_sym___attribute] = ACTIONS(5656),
    [anon_sym_noreturn] = ACTIONS(5656),
    [anon_sym_LBRACK] = ACTIONS(5658),
    [anon_sym___declspec] = ACTIONS(5656),
    [anon_sym___cdecl] = ACTIONS(5656),
    [anon_sym___clrcall] = ACTIONS(5656),
    [anon_sym___stdcall] = ACTIONS(5656),
    [anon_sym___fastcall] = ACTIONS(5656),
    [anon_sym___thiscall] = ACTIONS(5656),
    [anon_sym___vectorcall] = ACTIONS(5656),
    [anon_sym_signed] = ACTIONS(5656),
    [anon_sym_unsigned] = ACTIONS(5656),
    [anon_sym_long] = ACTIONS(5656),
    [anon_sym_short] = ACTIONS(5656),
    [anon_sym_static] = ACTIONS(5656),
    [anon_sym_auto] = ACTIONS(5656),
    [anon_sym_register] = ACTIONS(5656),
    [anon_sym_inline] = ACTIONS(5656),
    [anon_sym___inline] = ACTIONS(5656),
    [anon_sym___inline__] = ACTIONS(5656),
    [anon_sym___forceinline] = ACTIONS(5656),
    [anon_sym_thread_local] = ACTIONS(5656),
    [anon_sym___thread] = ACTIONS(5656),
    [anon_sym_CG_EXTERN] = ACTIONS(5656),
    [anon_sym_CG_INLINE] = ACTIONS(5656),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5656),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5656),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5656),
    [anon_sym_IBOutlet] = ACTIONS(5656),
    [anon_sym_IBInspectable] = ACTIONS(5656),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5656),
    [anon_sym_NS_INLINE] = ACTIONS(5656),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5656),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5656),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5656),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5656),
    [anon_sym_const] = ACTIONS(5656),
    [anon_sym_constexpr] = ACTIONS(5656),
    [anon_sym_volatile] = ACTIONS(5656),
    [anon_sym_restrict] = ACTIONS(5656),
    [anon_sym___restrict__] = ACTIONS(5656),
    [anon_sym__Atomic] = ACTIONS(5656),
    [anon_sym__Noreturn] = ACTIONS(5656),
    [anon_sym__Nonnull] = ACTIONS(5656),
    [anon_sym_nullable] = ACTIONS(5656),
    [anon_sym__Complex] = ACTIONS(5656),
    [anon_sym__Nullable] = ACTIONS(5656),
    [anon_sym__Nullable_result] = ACTIONS(5656),
    [anon_sym__Null_unspecified] = ACTIONS(5656),
    [anon_sym___autoreleasing] = ACTIONS(5656),
    [anon_sym___block] = ACTIONS(5656),
    [anon_sym___bridge] = ACTIONS(5656),
    [anon_sym___bridge_retained] = ACTIONS(5656),
    [anon_sym___bridge_transfer] = ACTIONS(5656),
    [anon_sym___complex] = ACTIONS(5656),
    [anon_sym___const] = ACTIONS(5656),
    [anon_sym___imag] = ACTIONS(5656),
    [anon_sym___kindof] = ACTIONS(5656),
    [anon_sym___nonnull] = ACTIONS(5656),
    [anon_sym___nullable] = ACTIONS(5656),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5656),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5656),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5656),
    [anon_sym___real] = ACTIONS(5656),
    [anon_sym___strong] = ACTIONS(5656),
    [anon_sym___unsafe_unretained] = ACTIONS(5656),
    [anon_sym___unused] = ACTIONS(5656),
    [anon_sym___weak] = ACTIONS(5656),
    [anon_sym_alignas] = ACTIONS(5656),
    [anon_sym__Alignas] = ACTIONS(5656),
    [sym_primitive_type] = ACTIONS(5656),
    [anon_sym_enum] = ACTIONS(5656),
    [anon_sym_struct] = ACTIONS(5656),
    [anon_sym_union] = ACTIONS(5656),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5656),
    [anon_sym___typeof] = ACTIONS(5656),
    [anon_sym_typeof] = ACTIONS(5656),
    [aux_sym_preproc_undef_token1] = ACTIONS(5656),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5656),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5656),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5656),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5656),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5656),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5656),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5656),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5656),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5656),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5656),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5656),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5656),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5656),
    [anon_sym_API_AVAILABLE] = ACTIONS(5656),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5656),
    [anon_sym_API_DEPRECATED] = ACTIONS(5656),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5656),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5656),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5656),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5656),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5656),
    [anon_sym___deprecated_msg] = ACTIONS(5656),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5656),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5656),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5656),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5656),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5656),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5656),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5656),
    [anon_sym_ATproperty] = ACTIONS(5658),
    [anon_sym_BOOL] = ACTIONS(5656),
    [anon_sym_IMP] = ACTIONS(5656),
    [anon_sym_SEL] = ACTIONS(5656),
    [anon_sym_Class] = ACTIONS(5656),
    [anon_sym_id] = ACTIONS(5656),
  },
  [2353] = {
    [sym_identifier] = ACTIONS(5543),
    [aux_sym_preproc_def_token1] = ACTIONS(5543),
    [aux_sym_preproc_if_token1] = ACTIONS(5543),
    [aux_sym_preproc_if_token2] = ACTIONS(5543),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5543),
    [aux_sym_preproc_else_token1] = ACTIONS(5543),
    [aux_sym_preproc_elif_token1] = ACTIONS(5543),
    [sym_preproc_directive] = ACTIONS(5543),
    [anon_sym_DASH] = ACTIONS(5545),
    [anon_sym_PLUS] = ACTIONS(5545),
    [anon_sym___extension__] = ACTIONS(5543),
    [anon_sym_typedef] = ACTIONS(5543),
    [anon_sym_extern] = ACTIONS(5543),
    [anon_sym___attribute__] = ACTIONS(5543),
    [anon_sym___attribute] = ACTIONS(5543),
    [anon_sym_noreturn] = ACTIONS(5543),
    [anon_sym_LBRACK] = ACTIONS(5545),
    [anon_sym___declspec] = ACTIONS(5543),
    [anon_sym___cdecl] = ACTIONS(5543),
    [anon_sym___clrcall] = ACTIONS(5543),
    [anon_sym___stdcall] = ACTIONS(5543),
    [anon_sym___fastcall] = ACTIONS(5543),
    [anon_sym___thiscall] = ACTIONS(5543),
    [anon_sym___vectorcall] = ACTIONS(5543),
    [anon_sym_signed] = ACTIONS(5543),
    [anon_sym_unsigned] = ACTIONS(5543),
    [anon_sym_long] = ACTIONS(5543),
    [anon_sym_short] = ACTIONS(5543),
    [anon_sym_static] = ACTIONS(5543),
    [anon_sym_auto] = ACTIONS(5543),
    [anon_sym_register] = ACTIONS(5543),
    [anon_sym_inline] = ACTIONS(5543),
    [anon_sym___inline] = ACTIONS(5543),
    [anon_sym___inline__] = ACTIONS(5543),
    [anon_sym___forceinline] = ACTIONS(5543),
    [anon_sym_thread_local] = ACTIONS(5543),
    [anon_sym___thread] = ACTIONS(5543),
    [anon_sym_CG_EXTERN] = ACTIONS(5543),
    [anon_sym_CG_INLINE] = ACTIONS(5543),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5543),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5543),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5543),
    [anon_sym_IBOutlet] = ACTIONS(5543),
    [anon_sym_IBInspectable] = ACTIONS(5543),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5543),
    [anon_sym_NS_INLINE] = ACTIONS(5543),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5543),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5543),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5543),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5543),
    [anon_sym_const] = ACTIONS(5543),
    [anon_sym_constexpr] = ACTIONS(5543),
    [anon_sym_volatile] = ACTIONS(5543),
    [anon_sym_restrict] = ACTIONS(5543),
    [anon_sym___restrict__] = ACTIONS(5543),
    [anon_sym__Atomic] = ACTIONS(5543),
    [anon_sym__Noreturn] = ACTIONS(5543),
    [anon_sym__Nonnull] = ACTIONS(5543),
    [anon_sym_nullable] = ACTIONS(5543),
    [anon_sym__Complex] = ACTIONS(5543),
    [anon_sym__Nullable] = ACTIONS(5543),
    [anon_sym__Nullable_result] = ACTIONS(5543),
    [anon_sym__Null_unspecified] = ACTIONS(5543),
    [anon_sym___autoreleasing] = ACTIONS(5543),
    [anon_sym___block] = ACTIONS(5543),
    [anon_sym___bridge] = ACTIONS(5543),
    [anon_sym___bridge_retained] = ACTIONS(5543),
    [anon_sym___bridge_transfer] = ACTIONS(5543),
    [anon_sym___complex] = ACTIONS(5543),
    [anon_sym___const] = ACTIONS(5543),
    [anon_sym___imag] = ACTIONS(5543),
    [anon_sym___kindof] = ACTIONS(5543),
    [anon_sym___nonnull] = ACTIONS(5543),
    [anon_sym___nullable] = ACTIONS(5543),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5543),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5543),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5543),
    [anon_sym___real] = ACTIONS(5543),
    [anon_sym___strong] = ACTIONS(5543),
    [anon_sym___unsafe_unretained] = ACTIONS(5543),
    [anon_sym___unused] = ACTIONS(5543),
    [anon_sym___weak] = ACTIONS(5543),
    [anon_sym_alignas] = ACTIONS(5543),
    [anon_sym__Alignas] = ACTIONS(5543),
    [sym_primitive_type] = ACTIONS(5543),
    [anon_sym_enum] = ACTIONS(5543),
    [anon_sym_struct] = ACTIONS(5543),
    [anon_sym_union] = ACTIONS(5543),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5543),
    [anon_sym___typeof] = ACTIONS(5543),
    [anon_sym_typeof] = ACTIONS(5543),
    [aux_sym_preproc_undef_token1] = ACTIONS(5543),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5543),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5543),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5543),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5543),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5543),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5543),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5543),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5543),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5543),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5543),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5543),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5543),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5543),
    [anon_sym_API_AVAILABLE] = ACTIONS(5543),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5543),
    [anon_sym_API_DEPRECATED] = ACTIONS(5543),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5543),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5543),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5543),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5543),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5543),
    [anon_sym___deprecated_msg] = ACTIONS(5543),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5543),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5543),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5543),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5543),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5543),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5543),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5543),
    [anon_sym_ATproperty] = ACTIONS(5545),
    [anon_sym_BOOL] = ACTIONS(5543),
    [anon_sym_IMP] = ACTIONS(5543),
    [anon_sym_SEL] = ACTIONS(5543),
    [anon_sym_Class] = ACTIONS(5543),
    [anon_sym_id] = ACTIONS(5543),
  },
  [2354] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token2] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2566),
    [anon_sym_PLUS] = ACTIONS(2566),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_typedef] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym___attribute] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [anon_sym_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym___cdecl] = ACTIONS(2564),
    [anon_sym___clrcall] = ACTIONS(2564),
    [anon_sym___stdcall] = ACTIONS(2564),
    [anon_sym___fastcall] = ACTIONS(2564),
    [anon_sym___thiscall] = ACTIONS(2564),
    [anon_sym___vectorcall] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_auto] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_CG_EXTERN] = ACTIONS(2564),
    [anon_sym_CG_INLINE] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2564),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2564),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2564),
    [anon_sym_IBOutlet] = ACTIONS(2564),
    [anon_sym_IBInspectable] = ACTIONS(2564),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2564),
    [anon_sym_NS_INLINE] = ACTIONS(2564),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2564),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2564),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym__Nonnull] = ACTIONS(2564),
    [anon_sym_nullable] = ACTIONS(2564),
    [anon_sym__Complex] = ACTIONS(2564),
    [anon_sym__Nullable] = ACTIONS(2564),
    [anon_sym__Nullable_result] = ACTIONS(2564),
    [anon_sym__Null_unspecified] = ACTIONS(2564),
    [anon_sym___autoreleasing] = ACTIONS(2564),
    [anon_sym___block] = ACTIONS(2564),
    [anon_sym___bridge] = ACTIONS(2564),
    [anon_sym___bridge_retained] = ACTIONS(2564),
    [anon_sym___bridge_transfer] = ACTIONS(2564),
    [anon_sym___complex] = ACTIONS(2564),
    [anon_sym___const] = ACTIONS(2564),
    [anon_sym___imag] = ACTIONS(2564),
    [anon_sym___kindof] = ACTIONS(2564),
    [anon_sym___nonnull] = ACTIONS(2564),
    [anon_sym___nullable] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2564),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2564),
    [anon_sym___real] = ACTIONS(2564),
    [anon_sym___strong] = ACTIONS(2564),
    [anon_sym___unsafe_unretained] = ACTIONS(2564),
    [anon_sym___unused] = ACTIONS(2564),
    [anon_sym___weak] = ACTIONS(2564),
    [anon_sym_alignas] = ACTIONS(2564),
    [anon_sym__Alignas] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2564),
    [anon_sym___typeof] = ACTIONS(2564),
    [anon_sym_typeof] = ACTIONS(2564),
    [aux_sym_preproc_undef_token1] = ACTIONS(2564),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2564),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2564),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2564),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2564),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2564),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_API_AVAILABLE] = ACTIONS(2564),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_API_DEPRECATED] = ACTIONS(2564),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2564),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2564),
    [anon_sym___deprecated_msg] = ACTIONS(2564),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2564),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2564),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2564),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2564),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2564),
    [anon_sym_ATsynthesize] = ACTIONS(2566),
    [anon_sym_ATdynamic] = ACTIONS(2566),
    [anon_sym_ATproperty] = ACTIONS(2566),
    [anon_sym_BOOL] = ACTIONS(2564),
    [anon_sym_IMP] = ACTIONS(2564),
    [anon_sym_SEL] = ACTIONS(2564),
    [anon_sym_Class] = ACTIONS(2564),
    [anon_sym_id] = ACTIONS(2564),
  },
  [2355] = {
    [sym_identifier] = ACTIONS(5427),
    [aux_sym_preproc_def_token1] = ACTIONS(5427),
    [aux_sym_preproc_if_token1] = ACTIONS(5427),
    [aux_sym_preproc_if_token2] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5427),
    [sym_preproc_directive] = ACTIONS(5427),
    [anon_sym_DASH] = ACTIONS(5429),
    [anon_sym_PLUS] = ACTIONS(5429),
    [anon_sym_SEMI] = ACTIONS(5660),
    [anon_sym___extension__] = ACTIONS(5427),
    [anon_sym_typedef] = ACTIONS(5427),
    [anon_sym_extern] = ACTIONS(5427),
    [anon_sym___attribute__] = ACTIONS(5427),
    [anon_sym___attribute] = ACTIONS(5427),
    [anon_sym_noreturn] = ACTIONS(5427),
    [anon_sym_LBRACK] = ACTIONS(5429),
    [anon_sym___declspec] = ACTIONS(5427),
    [anon_sym___cdecl] = ACTIONS(5427),
    [anon_sym___clrcall] = ACTIONS(5427),
    [anon_sym___stdcall] = ACTIONS(5427),
    [anon_sym___fastcall] = ACTIONS(5427),
    [anon_sym___thiscall] = ACTIONS(5427),
    [anon_sym___vectorcall] = ACTIONS(5427),
    [anon_sym_signed] = ACTIONS(5427),
    [anon_sym_unsigned] = ACTIONS(5427),
    [anon_sym_long] = ACTIONS(5427),
    [anon_sym_short] = ACTIONS(5427),
    [anon_sym_static] = ACTIONS(5427),
    [anon_sym_auto] = ACTIONS(5427),
    [anon_sym_register] = ACTIONS(5427),
    [anon_sym_inline] = ACTIONS(5427),
    [anon_sym___inline] = ACTIONS(5427),
    [anon_sym___inline__] = ACTIONS(5427),
    [anon_sym___forceinline] = ACTIONS(5427),
    [anon_sym_thread_local] = ACTIONS(5427),
    [anon_sym___thread] = ACTIONS(5427),
    [anon_sym_CG_EXTERN] = ACTIONS(5427),
    [anon_sym_CG_INLINE] = ACTIONS(5427),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5427),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5427),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5427),
    [anon_sym_IBOutlet] = ACTIONS(5427),
    [anon_sym_IBInspectable] = ACTIONS(5427),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5427),
    [anon_sym_NS_INLINE] = ACTIONS(5427),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5427),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5427),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5427),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5427),
    [anon_sym_const] = ACTIONS(5427),
    [anon_sym_constexpr] = ACTIONS(5427),
    [anon_sym_volatile] = ACTIONS(5427),
    [anon_sym_restrict] = ACTIONS(5427),
    [anon_sym___restrict__] = ACTIONS(5427),
    [anon_sym__Atomic] = ACTIONS(5427),
    [anon_sym__Noreturn] = ACTIONS(5427),
    [anon_sym__Nonnull] = ACTIONS(5427),
    [anon_sym_nullable] = ACTIONS(5427),
    [anon_sym__Complex] = ACTIONS(5427),
    [anon_sym__Nullable] = ACTIONS(5427),
    [anon_sym__Nullable_result] = ACTIONS(5427),
    [anon_sym__Null_unspecified] = ACTIONS(5427),
    [anon_sym___autoreleasing] = ACTIONS(5427),
    [anon_sym___block] = ACTIONS(5427),
    [anon_sym___bridge] = ACTIONS(5427),
    [anon_sym___bridge_retained] = ACTIONS(5427),
    [anon_sym___bridge_transfer] = ACTIONS(5427),
    [anon_sym___complex] = ACTIONS(5427),
    [anon_sym___const] = ACTIONS(5427),
    [anon_sym___imag] = ACTIONS(5427),
    [anon_sym___kindof] = ACTIONS(5427),
    [anon_sym___nonnull] = ACTIONS(5427),
    [anon_sym___nullable] = ACTIONS(5427),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5427),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5427),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5427),
    [anon_sym___real] = ACTIONS(5427),
    [anon_sym___strong] = ACTIONS(5427),
    [anon_sym___unsafe_unretained] = ACTIONS(5427),
    [anon_sym___unused] = ACTIONS(5427),
    [anon_sym___weak] = ACTIONS(5427),
    [anon_sym_alignas] = ACTIONS(5427),
    [anon_sym__Alignas] = ACTIONS(5427),
    [sym_primitive_type] = ACTIONS(5427),
    [anon_sym_enum] = ACTIONS(5427),
    [anon_sym_struct] = ACTIONS(5427),
    [anon_sym_union] = ACTIONS(5427),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5427),
    [anon_sym___typeof] = ACTIONS(5427),
    [anon_sym_typeof] = ACTIONS(5427),
    [aux_sym_preproc_undef_token1] = ACTIONS(5427),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5427),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5427),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5427),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5427),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5427),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5427),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5427),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5427),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5427),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5427),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5427),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5427),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5427),
    [anon_sym_API_AVAILABLE] = ACTIONS(5427),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5427),
    [anon_sym_API_DEPRECATED] = ACTIONS(5427),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5427),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5427),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5427),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5427),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5427),
    [anon_sym___deprecated_msg] = ACTIONS(5427),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5427),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5427),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5427),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5427),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5427),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5427),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5427),
    [anon_sym_ATsynthesize] = ACTIONS(5429),
    [anon_sym_ATdynamic] = ACTIONS(5429),
    [anon_sym_BOOL] = ACTIONS(5427),
    [anon_sym_IMP] = ACTIONS(5427),
    [anon_sym_SEL] = ACTIONS(5427),
    [anon_sym_Class] = ACTIONS(5427),
    [anon_sym_id] = ACTIONS(5427),
  },
  [2356] = {
    [sym_identifier] = ACTIONS(5379),
    [aux_sym_preproc_def_token1] = ACTIONS(5379),
    [aux_sym_preproc_if_token1] = ACTIONS(5379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5379),
    [sym_preproc_directive] = ACTIONS(5379),
    [anon_sym_DASH] = ACTIONS(5381),
    [anon_sym_PLUS] = ACTIONS(5381),
    [anon_sym___extension__] = ACTIONS(5379),
    [anon_sym_typedef] = ACTIONS(5379),
    [anon_sym_extern] = ACTIONS(5379),
    [anon_sym___attribute__] = ACTIONS(5379),
    [anon_sym___attribute] = ACTIONS(5379),
    [anon_sym_noreturn] = ACTIONS(5379),
    [anon_sym_LBRACK] = ACTIONS(5381),
    [anon_sym___declspec] = ACTIONS(5379),
    [anon_sym___cdecl] = ACTIONS(5379),
    [anon_sym___clrcall] = ACTIONS(5379),
    [anon_sym___stdcall] = ACTIONS(5379),
    [anon_sym___fastcall] = ACTIONS(5379),
    [anon_sym___thiscall] = ACTIONS(5379),
    [anon_sym___vectorcall] = ACTIONS(5379),
    [anon_sym_signed] = ACTIONS(5379),
    [anon_sym_unsigned] = ACTIONS(5379),
    [anon_sym_long] = ACTIONS(5379),
    [anon_sym_short] = ACTIONS(5379),
    [anon_sym_static] = ACTIONS(5379),
    [anon_sym_auto] = ACTIONS(5379),
    [anon_sym_register] = ACTIONS(5379),
    [anon_sym_inline] = ACTIONS(5379),
    [anon_sym___inline] = ACTIONS(5379),
    [anon_sym___inline__] = ACTIONS(5379),
    [anon_sym___forceinline] = ACTIONS(5379),
    [anon_sym_thread_local] = ACTIONS(5379),
    [anon_sym___thread] = ACTIONS(5379),
    [anon_sym_CG_EXTERN] = ACTIONS(5379),
    [anon_sym_CG_INLINE] = ACTIONS(5379),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5379),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5379),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5379),
    [anon_sym_IBOutlet] = ACTIONS(5379),
    [anon_sym_IBInspectable] = ACTIONS(5379),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5379),
    [anon_sym_NS_INLINE] = ACTIONS(5379),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5379),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5379),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5379),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5379),
    [anon_sym_const] = ACTIONS(5379),
    [anon_sym_constexpr] = ACTIONS(5379),
    [anon_sym_volatile] = ACTIONS(5379),
    [anon_sym_restrict] = ACTIONS(5379),
    [anon_sym___restrict__] = ACTIONS(5379),
    [anon_sym__Atomic] = ACTIONS(5379),
    [anon_sym__Noreturn] = ACTIONS(5379),
    [anon_sym__Nonnull] = ACTIONS(5379),
    [anon_sym_nullable] = ACTIONS(5379),
    [anon_sym__Complex] = ACTIONS(5379),
    [anon_sym__Nullable] = ACTIONS(5379),
    [anon_sym__Nullable_result] = ACTIONS(5379),
    [anon_sym__Null_unspecified] = ACTIONS(5379),
    [anon_sym___autoreleasing] = ACTIONS(5379),
    [anon_sym___block] = ACTIONS(5379),
    [anon_sym___bridge] = ACTIONS(5379),
    [anon_sym___bridge_retained] = ACTIONS(5379),
    [anon_sym___bridge_transfer] = ACTIONS(5379),
    [anon_sym___complex] = ACTIONS(5379),
    [anon_sym___const] = ACTIONS(5379),
    [anon_sym___imag] = ACTIONS(5379),
    [anon_sym___kindof] = ACTIONS(5379),
    [anon_sym___nonnull] = ACTIONS(5379),
    [anon_sym___nullable] = ACTIONS(5379),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5379),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5379),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5379),
    [anon_sym___real] = ACTIONS(5379),
    [anon_sym___strong] = ACTIONS(5379),
    [anon_sym___unsafe_unretained] = ACTIONS(5379),
    [anon_sym___unused] = ACTIONS(5379),
    [anon_sym___weak] = ACTIONS(5379),
    [anon_sym_alignas] = ACTIONS(5379),
    [anon_sym__Alignas] = ACTIONS(5379),
    [sym_primitive_type] = ACTIONS(5379),
    [anon_sym_enum] = ACTIONS(5379),
    [anon_sym_struct] = ACTIONS(5379),
    [anon_sym_union] = ACTIONS(5379),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5379),
    [anon_sym___typeof] = ACTIONS(5379),
    [anon_sym_typeof] = ACTIONS(5379),
    [aux_sym_preproc_undef_token1] = ACTIONS(5379),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5379),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5379),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5379),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5379),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5379),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5379),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5379),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5379),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5379),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5379),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5379),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5379),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5379),
    [anon_sym_API_AVAILABLE] = ACTIONS(5379),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5379),
    [anon_sym_API_DEPRECATED] = ACTIONS(5379),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5379),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5379),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5379),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5379),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5379),
    [anon_sym___deprecated_msg] = ACTIONS(5379),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5379),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5379),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5379),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5379),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5379),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5379),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5379),
    [anon_sym_ATend] = ACTIONS(5381),
    [anon_sym_ATsynthesize] = ACTIONS(5381),
    [anon_sym_ATdynamic] = ACTIONS(5381),
    [anon_sym_BOOL] = ACTIONS(5379),
    [anon_sym_IMP] = ACTIONS(5379),
    [anon_sym_SEL] = ACTIONS(5379),
    [anon_sym_Class] = ACTIONS(5379),
    [anon_sym_id] = ACTIONS(5379),
  },
  [2357] = {
    [sym_identifier] = ACTIONS(2650),
    [aux_sym_preproc_def_token1] = ACTIONS(2650),
    [aux_sym_preproc_if_token1] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2650),
    [sym_preproc_directive] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2652),
    [anon_sym___extension__] = ACTIONS(2650),
    [anon_sym_typedef] = ACTIONS(2650),
    [anon_sym_extern] = ACTIONS(2650),
    [anon_sym___attribute__] = ACTIONS(2650),
    [anon_sym___attribute] = ACTIONS(2650),
    [anon_sym_noreturn] = ACTIONS(2650),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym___declspec] = ACTIONS(2650),
    [anon_sym___cdecl] = ACTIONS(2650),
    [anon_sym___clrcall] = ACTIONS(2650),
    [anon_sym___stdcall] = ACTIONS(2650),
    [anon_sym___fastcall] = ACTIONS(2650),
    [anon_sym___thiscall] = ACTIONS(2650),
    [anon_sym___vectorcall] = ACTIONS(2650),
    [anon_sym_signed] = ACTIONS(2650),
    [anon_sym_unsigned] = ACTIONS(2650),
    [anon_sym_long] = ACTIONS(2650),
    [anon_sym_short] = ACTIONS(2650),
    [anon_sym_static] = ACTIONS(2650),
    [anon_sym_auto] = ACTIONS(2650),
    [anon_sym_register] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym___inline] = ACTIONS(2650),
    [anon_sym___inline__] = ACTIONS(2650),
    [anon_sym___forceinline] = ACTIONS(2650),
    [anon_sym_thread_local] = ACTIONS(2650),
    [anon_sym___thread] = ACTIONS(2650),
    [anon_sym_CG_EXTERN] = ACTIONS(2650),
    [anon_sym_CG_INLINE] = ACTIONS(2650),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2650),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2650),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2650),
    [anon_sym_IBOutlet] = ACTIONS(2650),
    [anon_sym_IBInspectable] = ACTIONS(2650),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2650),
    [anon_sym_NS_INLINE] = ACTIONS(2650),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2650),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2650),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2650),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_constexpr] = ACTIONS(2650),
    [anon_sym_volatile] = ACTIONS(2650),
    [anon_sym_restrict] = ACTIONS(2650),
    [anon_sym___restrict__] = ACTIONS(2650),
    [anon_sym__Atomic] = ACTIONS(2650),
    [anon_sym__Noreturn] = ACTIONS(2650),
    [anon_sym__Nonnull] = ACTIONS(2650),
    [anon_sym_nullable] = ACTIONS(2650),
    [anon_sym__Complex] = ACTIONS(2650),
    [anon_sym__Nullable] = ACTIONS(2650),
    [anon_sym__Nullable_result] = ACTIONS(2650),
    [anon_sym__Null_unspecified] = ACTIONS(2650),
    [anon_sym___autoreleasing] = ACTIONS(2650),
    [anon_sym___block] = ACTIONS(2650),
    [anon_sym___bridge] = ACTIONS(2650),
    [anon_sym___bridge_retained] = ACTIONS(2650),
    [anon_sym___bridge_transfer] = ACTIONS(2650),
    [anon_sym___complex] = ACTIONS(2650),
    [anon_sym___const] = ACTIONS(2650),
    [anon_sym___imag] = ACTIONS(2650),
    [anon_sym___kindof] = ACTIONS(2650),
    [anon_sym___nonnull] = ACTIONS(2650),
    [anon_sym___nullable] = ACTIONS(2650),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2650),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2650),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2650),
    [anon_sym___real] = ACTIONS(2650),
    [anon_sym___strong] = ACTIONS(2650),
    [anon_sym___unsafe_unretained] = ACTIONS(2650),
    [anon_sym___unused] = ACTIONS(2650),
    [anon_sym___weak] = ACTIONS(2650),
    [anon_sym_alignas] = ACTIONS(2650),
    [anon_sym__Alignas] = ACTIONS(2650),
    [sym_primitive_type] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_struct] = ACTIONS(2650),
    [anon_sym_union] = ACTIONS(2650),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2650),
    [anon_sym___typeof] = ACTIONS(2650),
    [anon_sym_typeof] = ACTIONS(2650),
    [aux_sym_preproc_undef_token1] = ACTIONS(2650),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2650),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2650),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2650),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2650),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2650),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2650),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2650),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2650),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2650),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2650),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2650),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2650),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2650),
    [anon_sym_API_AVAILABLE] = ACTIONS(2650),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2650),
    [anon_sym_API_DEPRECATED] = ACTIONS(2650),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2650),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2650),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2650),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2650),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2650),
    [anon_sym___deprecated_msg] = ACTIONS(2650),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2650),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2650),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2650),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2650),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2650),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2650),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2650),
    [anon_sym_ATend] = ACTIONS(2652),
    [anon_sym_ATsynthesize] = ACTIONS(2652),
    [anon_sym_ATdynamic] = ACTIONS(2652),
    [anon_sym_BOOL] = ACTIONS(2650),
    [anon_sym_IMP] = ACTIONS(2650),
    [anon_sym_SEL] = ACTIONS(2650),
    [anon_sym_Class] = ACTIONS(2650),
    [anon_sym_id] = ACTIONS(2650),
  },
  [2358] = {
    [sym_identifier] = ACTIONS(5399),
    [aux_sym_preproc_def_token1] = ACTIONS(5399),
    [aux_sym_preproc_if_token1] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5399),
    [sym_preproc_directive] = ACTIONS(5399),
    [anon_sym_DASH] = ACTIONS(5401),
    [anon_sym_PLUS] = ACTIONS(5401),
    [anon_sym___extension__] = ACTIONS(5399),
    [anon_sym_typedef] = ACTIONS(5399),
    [anon_sym_extern] = ACTIONS(5399),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym___attribute] = ACTIONS(5399),
    [anon_sym_noreturn] = ACTIONS(5399),
    [anon_sym_LBRACK] = ACTIONS(5401),
    [anon_sym___declspec] = ACTIONS(5399),
    [anon_sym___cdecl] = ACTIONS(5399),
    [anon_sym___clrcall] = ACTIONS(5399),
    [anon_sym___stdcall] = ACTIONS(5399),
    [anon_sym___fastcall] = ACTIONS(5399),
    [anon_sym___thiscall] = ACTIONS(5399),
    [anon_sym___vectorcall] = ACTIONS(5399),
    [anon_sym_signed] = ACTIONS(5399),
    [anon_sym_unsigned] = ACTIONS(5399),
    [anon_sym_long] = ACTIONS(5399),
    [anon_sym_short] = ACTIONS(5399),
    [anon_sym_static] = ACTIONS(5399),
    [anon_sym_auto] = ACTIONS(5399),
    [anon_sym_register] = ACTIONS(5399),
    [anon_sym_inline] = ACTIONS(5399),
    [anon_sym___inline] = ACTIONS(5399),
    [anon_sym___inline__] = ACTIONS(5399),
    [anon_sym___forceinline] = ACTIONS(5399),
    [anon_sym_thread_local] = ACTIONS(5399),
    [anon_sym___thread] = ACTIONS(5399),
    [anon_sym_CG_EXTERN] = ACTIONS(5399),
    [anon_sym_CG_INLINE] = ACTIONS(5399),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5399),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5399),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5399),
    [anon_sym_IBOutlet] = ACTIONS(5399),
    [anon_sym_IBInspectable] = ACTIONS(5399),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5399),
    [anon_sym_NS_INLINE] = ACTIONS(5399),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5399),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5399),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5399),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5399),
    [anon_sym_const] = ACTIONS(5399),
    [anon_sym_constexpr] = ACTIONS(5399),
    [anon_sym_volatile] = ACTIONS(5399),
    [anon_sym_restrict] = ACTIONS(5399),
    [anon_sym___restrict__] = ACTIONS(5399),
    [anon_sym__Atomic] = ACTIONS(5399),
    [anon_sym__Noreturn] = ACTIONS(5399),
    [anon_sym__Nonnull] = ACTIONS(5399),
    [anon_sym_nullable] = ACTIONS(5399),
    [anon_sym__Complex] = ACTIONS(5399),
    [anon_sym__Nullable] = ACTIONS(5399),
    [anon_sym__Nullable_result] = ACTIONS(5399),
    [anon_sym__Null_unspecified] = ACTIONS(5399),
    [anon_sym___autoreleasing] = ACTIONS(5399),
    [anon_sym___block] = ACTIONS(5399),
    [anon_sym___bridge] = ACTIONS(5399),
    [anon_sym___bridge_retained] = ACTIONS(5399),
    [anon_sym___bridge_transfer] = ACTIONS(5399),
    [anon_sym___complex] = ACTIONS(5399),
    [anon_sym___const] = ACTIONS(5399),
    [anon_sym___imag] = ACTIONS(5399),
    [anon_sym___kindof] = ACTIONS(5399),
    [anon_sym___nonnull] = ACTIONS(5399),
    [anon_sym___nullable] = ACTIONS(5399),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5399),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5399),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5399),
    [anon_sym___real] = ACTIONS(5399),
    [anon_sym___strong] = ACTIONS(5399),
    [anon_sym___unsafe_unretained] = ACTIONS(5399),
    [anon_sym___unused] = ACTIONS(5399),
    [anon_sym___weak] = ACTIONS(5399),
    [anon_sym_alignas] = ACTIONS(5399),
    [anon_sym__Alignas] = ACTIONS(5399),
    [sym_primitive_type] = ACTIONS(5399),
    [anon_sym_enum] = ACTIONS(5399),
    [anon_sym_struct] = ACTIONS(5399),
    [anon_sym_union] = ACTIONS(5399),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5399),
    [anon_sym___typeof] = ACTIONS(5399),
    [anon_sym_typeof] = ACTIONS(5399),
    [aux_sym_preproc_undef_token1] = ACTIONS(5399),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5399),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5399),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5399),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5399),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5399),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5399),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5399),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5399),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5399),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5399),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5399),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5399),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5399),
    [anon_sym_API_AVAILABLE] = ACTIONS(5399),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5399),
    [anon_sym_API_DEPRECATED] = ACTIONS(5399),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5399),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5399),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5399),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5399),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5399),
    [anon_sym___deprecated_msg] = ACTIONS(5399),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5399),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5399),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5399),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5399),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5399),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5399),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5399),
    [anon_sym_ATend] = ACTIONS(5401),
    [anon_sym_ATsynthesize] = ACTIONS(5401),
    [anon_sym_ATdynamic] = ACTIONS(5401),
    [anon_sym_BOOL] = ACTIONS(5399),
    [anon_sym_IMP] = ACTIONS(5399),
    [anon_sym_SEL] = ACTIONS(5399),
    [anon_sym_Class] = ACTIONS(5399),
    [anon_sym_id] = ACTIONS(5399),
  },
  [2359] = {
    [sym_identifier] = ACTIONS(5369),
    [aux_sym_preproc_def_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token1] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5369),
    [sym_preproc_directive] = ACTIONS(5369),
    [anon_sym_DASH] = ACTIONS(5371),
    [anon_sym_PLUS] = ACTIONS(5371),
    [anon_sym___extension__] = ACTIONS(5369),
    [anon_sym_typedef] = ACTIONS(5369),
    [anon_sym_extern] = ACTIONS(5369),
    [anon_sym___attribute__] = ACTIONS(5369),
    [anon_sym___attribute] = ACTIONS(5369),
    [anon_sym_noreturn] = ACTIONS(5369),
    [anon_sym_LBRACK] = ACTIONS(5371),
    [anon_sym___declspec] = ACTIONS(5369),
    [anon_sym___cdecl] = ACTIONS(5369),
    [anon_sym___clrcall] = ACTIONS(5369),
    [anon_sym___stdcall] = ACTIONS(5369),
    [anon_sym___fastcall] = ACTIONS(5369),
    [anon_sym___thiscall] = ACTIONS(5369),
    [anon_sym___vectorcall] = ACTIONS(5369),
    [anon_sym_signed] = ACTIONS(5369),
    [anon_sym_unsigned] = ACTIONS(5369),
    [anon_sym_long] = ACTIONS(5369),
    [anon_sym_short] = ACTIONS(5369),
    [anon_sym_static] = ACTIONS(5369),
    [anon_sym_auto] = ACTIONS(5369),
    [anon_sym_register] = ACTIONS(5369),
    [anon_sym_inline] = ACTIONS(5369),
    [anon_sym___inline] = ACTIONS(5369),
    [anon_sym___inline__] = ACTIONS(5369),
    [anon_sym___forceinline] = ACTIONS(5369),
    [anon_sym_thread_local] = ACTIONS(5369),
    [anon_sym___thread] = ACTIONS(5369),
    [anon_sym_CG_EXTERN] = ACTIONS(5369),
    [anon_sym_CG_INLINE] = ACTIONS(5369),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5369),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5369),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5369),
    [anon_sym_IBOutlet] = ACTIONS(5369),
    [anon_sym_IBInspectable] = ACTIONS(5369),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5369),
    [anon_sym_NS_INLINE] = ACTIONS(5369),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5369),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5369),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5369),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5369),
    [anon_sym_const] = ACTIONS(5369),
    [anon_sym_constexpr] = ACTIONS(5369),
    [anon_sym_volatile] = ACTIONS(5369),
    [anon_sym_restrict] = ACTIONS(5369),
    [anon_sym___restrict__] = ACTIONS(5369),
    [anon_sym__Atomic] = ACTIONS(5369),
    [anon_sym__Noreturn] = ACTIONS(5369),
    [anon_sym__Nonnull] = ACTIONS(5369),
    [anon_sym_nullable] = ACTIONS(5369),
    [anon_sym__Complex] = ACTIONS(5369),
    [anon_sym__Nullable] = ACTIONS(5369),
    [anon_sym__Nullable_result] = ACTIONS(5369),
    [anon_sym__Null_unspecified] = ACTIONS(5369),
    [anon_sym___autoreleasing] = ACTIONS(5369),
    [anon_sym___block] = ACTIONS(5369),
    [anon_sym___bridge] = ACTIONS(5369),
    [anon_sym___bridge_retained] = ACTIONS(5369),
    [anon_sym___bridge_transfer] = ACTIONS(5369),
    [anon_sym___complex] = ACTIONS(5369),
    [anon_sym___const] = ACTIONS(5369),
    [anon_sym___imag] = ACTIONS(5369),
    [anon_sym___kindof] = ACTIONS(5369),
    [anon_sym___nonnull] = ACTIONS(5369),
    [anon_sym___nullable] = ACTIONS(5369),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5369),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5369),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5369),
    [anon_sym___real] = ACTIONS(5369),
    [anon_sym___strong] = ACTIONS(5369),
    [anon_sym___unsafe_unretained] = ACTIONS(5369),
    [anon_sym___unused] = ACTIONS(5369),
    [anon_sym___weak] = ACTIONS(5369),
    [anon_sym_alignas] = ACTIONS(5369),
    [anon_sym__Alignas] = ACTIONS(5369),
    [sym_primitive_type] = ACTIONS(5369),
    [anon_sym_enum] = ACTIONS(5369),
    [anon_sym_struct] = ACTIONS(5369),
    [anon_sym_union] = ACTIONS(5369),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5369),
    [anon_sym___typeof] = ACTIONS(5369),
    [anon_sym_typeof] = ACTIONS(5369),
    [aux_sym_preproc_undef_token1] = ACTIONS(5369),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5369),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5369),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5369),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5369),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5369),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5369),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5369),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5369),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5369),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5369),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5369),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5369),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5369),
    [anon_sym_API_AVAILABLE] = ACTIONS(5369),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5369),
    [anon_sym_API_DEPRECATED] = ACTIONS(5369),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5369),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5369),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5369),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5369),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5369),
    [anon_sym___deprecated_msg] = ACTIONS(5369),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5369),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5369),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5369),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5369),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5369),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5369),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5369),
    [anon_sym_ATend] = ACTIONS(5371),
    [anon_sym_ATsynthesize] = ACTIONS(5371),
    [anon_sym_ATdynamic] = ACTIONS(5371),
    [anon_sym_BOOL] = ACTIONS(5369),
    [anon_sym_IMP] = ACTIONS(5369),
    [anon_sym_SEL] = ACTIONS(5369),
    [anon_sym_Class] = ACTIONS(5369),
    [anon_sym_id] = ACTIONS(5369),
  },
  [2360] = {
    [sym_identifier] = ACTIONS(5409),
    [aux_sym_preproc_def_token1] = ACTIONS(5409),
    [aux_sym_preproc_if_token1] = ACTIONS(5409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5409),
    [sym_preproc_directive] = ACTIONS(5409),
    [anon_sym_DASH] = ACTIONS(5411),
    [anon_sym_PLUS] = ACTIONS(5411),
    [anon_sym___extension__] = ACTIONS(5409),
    [anon_sym_typedef] = ACTIONS(5409),
    [anon_sym_extern] = ACTIONS(5409),
    [anon_sym___attribute__] = ACTIONS(5409),
    [anon_sym___attribute] = ACTIONS(5409),
    [anon_sym_noreturn] = ACTIONS(5409),
    [anon_sym_LBRACK] = ACTIONS(5411),
    [anon_sym___declspec] = ACTIONS(5409),
    [anon_sym___cdecl] = ACTIONS(5409),
    [anon_sym___clrcall] = ACTIONS(5409),
    [anon_sym___stdcall] = ACTIONS(5409),
    [anon_sym___fastcall] = ACTIONS(5409),
    [anon_sym___thiscall] = ACTIONS(5409),
    [anon_sym___vectorcall] = ACTIONS(5409),
    [anon_sym_signed] = ACTIONS(5409),
    [anon_sym_unsigned] = ACTIONS(5409),
    [anon_sym_long] = ACTIONS(5409),
    [anon_sym_short] = ACTIONS(5409),
    [anon_sym_static] = ACTIONS(5409),
    [anon_sym_auto] = ACTIONS(5409),
    [anon_sym_register] = ACTIONS(5409),
    [anon_sym_inline] = ACTIONS(5409),
    [anon_sym___inline] = ACTIONS(5409),
    [anon_sym___inline__] = ACTIONS(5409),
    [anon_sym___forceinline] = ACTIONS(5409),
    [anon_sym_thread_local] = ACTIONS(5409),
    [anon_sym___thread] = ACTIONS(5409),
    [anon_sym_CG_EXTERN] = ACTIONS(5409),
    [anon_sym_CG_INLINE] = ACTIONS(5409),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5409),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5409),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5409),
    [anon_sym_IBOutlet] = ACTIONS(5409),
    [anon_sym_IBInspectable] = ACTIONS(5409),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5409),
    [anon_sym_NS_INLINE] = ACTIONS(5409),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5409),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5409),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5409),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5409),
    [anon_sym_const] = ACTIONS(5409),
    [anon_sym_constexpr] = ACTIONS(5409),
    [anon_sym_volatile] = ACTIONS(5409),
    [anon_sym_restrict] = ACTIONS(5409),
    [anon_sym___restrict__] = ACTIONS(5409),
    [anon_sym__Atomic] = ACTIONS(5409),
    [anon_sym__Noreturn] = ACTIONS(5409),
    [anon_sym__Nonnull] = ACTIONS(5409),
    [anon_sym_nullable] = ACTIONS(5409),
    [anon_sym__Complex] = ACTIONS(5409),
    [anon_sym__Nullable] = ACTIONS(5409),
    [anon_sym__Nullable_result] = ACTIONS(5409),
    [anon_sym__Null_unspecified] = ACTIONS(5409),
    [anon_sym___autoreleasing] = ACTIONS(5409),
    [anon_sym___block] = ACTIONS(5409),
    [anon_sym___bridge] = ACTIONS(5409),
    [anon_sym___bridge_retained] = ACTIONS(5409),
    [anon_sym___bridge_transfer] = ACTIONS(5409),
    [anon_sym___complex] = ACTIONS(5409),
    [anon_sym___const] = ACTIONS(5409),
    [anon_sym___imag] = ACTIONS(5409),
    [anon_sym___kindof] = ACTIONS(5409),
    [anon_sym___nonnull] = ACTIONS(5409),
    [anon_sym___nullable] = ACTIONS(5409),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5409),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5409),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5409),
    [anon_sym___real] = ACTIONS(5409),
    [anon_sym___strong] = ACTIONS(5409),
    [anon_sym___unsafe_unretained] = ACTIONS(5409),
    [anon_sym___unused] = ACTIONS(5409),
    [anon_sym___weak] = ACTIONS(5409),
    [anon_sym_alignas] = ACTIONS(5409),
    [anon_sym__Alignas] = ACTIONS(5409),
    [sym_primitive_type] = ACTIONS(5409),
    [anon_sym_enum] = ACTIONS(5409),
    [anon_sym_struct] = ACTIONS(5409),
    [anon_sym_union] = ACTIONS(5409),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5409),
    [anon_sym___typeof] = ACTIONS(5409),
    [anon_sym_typeof] = ACTIONS(5409),
    [aux_sym_preproc_undef_token1] = ACTIONS(5409),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5409),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5409),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5409),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5409),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5409),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5409),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5409),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5409),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5409),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5409),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5409),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5409),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5409),
    [anon_sym_API_AVAILABLE] = ACTIONS(5409),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5409),
    [anon_sym_API_DEPRECATED] = ACTIONS(5409),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5409),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5409),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5409),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5409),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5409),
    [anon_sym___deprecated_msg] = ACTIONS(5409),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5409),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5409),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5409),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5409),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5409),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5409),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5409),
    [anon_sym_ATend] = ACTIONS(5411),
    [anon_sym_ATsynthesize] = ACTIONS(5411),
    [anon_sym_ATdynamic] = ACTIONS(5411),
    [anon_sym_BOOL] = ACTIONS(5409),
    [anon_sym_IMP] = ACTIONS(5409),
    [anon_sym_SEL] = ACTIONS(5409),
    [anon_sym_Class] = ACTIONS(5409),
    [anon_sym_id] = ACTIONS(5409),
  },
  [2361] = {
    [sym_identifier] = ACTIONS(5493),
    [aux_sym_preproc_def_token1] = ACTIONS(5493),
    [aux_sym_preproc_if_token1] = ACTIONS(5493),
    [aux_sym_preproc_if_token2] = ACTIONS(5493),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5493),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5493),
    [sym_preproc_directive] = ACTIONS(5493),
    [anon_sym_DASH] = ACTIONS(5495),
    [anon_sym_PLUS] = ACTIONS(5495),
    [anon_sym___extension__] = ACTIONS(5493),
    [anon_sym_typedef] = ACTIONS(5493),
    [anon_sym_extern] = ACTIONS(5493),
    [anon_sym___attribute__] = ACTIONS(5493),
    [anon_sym___attribute] = ACTIONS(5493),
    [anon_sym_noreturn] = ACTIONS(5493),
    [anon_sym_LBRACK] = ACTIONS(5495),
    [anon_sym___declspec] = ACTIONS(5493),
    [anon_sym___cdecl] = ACTIONS(5493),
    [anon_sym___clrcall] = ACTIONS(5493),
    [anon_sym___stdcall] = ACTIONS(5493),
    [anon_sym___fastcall] = ACTIONS(5493),
    [anon_sym___thiscall] = ACTIONS(5493),
    [anon_sym___vectorcall] = ACTIONS(5493),
    [anon_sym_signed] = ACTIONS(5493),
    [anon_sym_unsigned] = ACTIONS(5493),
    [anon_sym_long] = ACTIONS(5493),
    [anon_sym_short] = ACTIONS(5493),
    [anon_sym_static] = ACTIONS(5493),
    [anon_sym_auto] = ACTIONS(5493),
    [anon_sym_register] = ACTIONS(5493),
    [anon_sym_inline] = ACTIONS(5493),
    [anon_sym___inline] = ACTIONS(5493),
    [anon_sym___inline__] = ACTIONS(5493),
    [anon_sym___forceinline] = ACTIONS(5493),
    [anon_sym_thread_local] = ACTIONS(5493),
    [anon_sym___thread] = ACTIONS(5493),
    [anon_sym_CG_EXTERN] = ACTIONS(5493),
    [anon_sym_CG_INLINE] = ACTIONS(5493),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5493),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5493),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5493),
    [anon_sym_IBOutlet] = ACTIONS(5493),
    [anon_sym_IBInspectable] = ACTIONS(5493),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5493),
    [anon_sym_NS_INLINE] = ACTIONS(5493),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5493),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5493),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5493),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5493),
    [anon_sym_const] = ACTIONS(5493),
    [anon_sym_constexpr] = ACTIONS(5493),
    [anon_sym_volatile] = ACTIONS(5493),
    [anon_sym_restrict] = ACTIONS(5493),
    [anon_sym___restrict__] = ACTIONS(5493),
    [anon_sym__Atomic] = ACTIONS(5493),
    [anon_sym__Noreturn] = ACTIONS(5493),
    [anon_sym__Nonnull] = ACTIONS(5493),
    [anon_sym_nullable] = ACTIONS(5493),
    [anon_sym__Complex] = ACTIONS(5493),
    [anon_sym__Nullable] = ACTIONS(5493),
    [anon_sym__Nullable_result] = ACTIONS(5493),
    [anon_sym__Null_unspecified] = ACTIONS(5493),
    [anon_sym___autoreleasing] = ACTIONS(5493),
    [anon_sym___block] = ACTIONS(5493),
    [anon_sym___bridge] = ACTIONS(5493),
    [anon_sym___bridge_retained] = ACTIONS(5493),
    [anon_sym___bridge_transfer] = ACTIONS(5493),
    [anon_sym___complex] = ACTIONS(5493),
    [anon_sym___const] = ACTIONS(5493),
    [anon_sym___imag] = ACTIONS(5493),
    [anon_sym___kindof] = ACTIONS(5493),
    [anon_sym___nonnull] = ACTIONS(5493),
    [anon_sym___nullable] = ACTIONS(5493),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5493),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5493),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5493),
    [anon_sym___real] = ACTIONS(5493),
    [anon_sym___strong] = ACTIONS(5493),
    [anon_sym___unsafe_unretained] = ACTIONS(5493),
    [anon_sym___unused] = ACTIONS(5493),
    [anon_sym___weak] = ACTIONS(5493),
    [anon_sym_alignas] = ACTIONS(5493),
    [anon_sym__Alignas] = ACTIONS(5493),
    [sym_primitive_type] = ACTIONS(5493),
    [anon_sym_enum] = ACTIONS(5493),
    [anon_sym_struct] = ACTIONS(5493),
    [anon_sym_union] = ACTIONS(5493),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5493),
    [anon_sym___typeof] = ACTIONS(5493),
    [anon_sym_typeof] = ACTIONS(5493),
    [aux_sym_preproc_undef_token1] = ACTIONS(5493),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5493),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5493),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5493),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5493),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5493),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5493),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5493),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5493),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5493),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5493),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5493),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5493),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5493),
    [anon_sym_API_AVAILABLE] = ACTIONS(5493),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5493),
    [anon_sym_API_DEPRECATED] = ACTIONS(5493),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5493),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5493),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5493),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5493),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5493),
    [anon_sym___deprecated_msg] = ACTIONS(5493),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5493),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5493),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5493),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5493),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5493),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5493),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5493),
    [anon_sym_ATsynthesize] = ACTIONS(5495),
    [anon_sym_ATdynamic] = ACTIONS(5495),
    [anon_sym_BOOL] = ACTIONS(5493),
    [anon_sym_IMP] = ACTIONS(5493),
    [anon_sym_SEL] = ACTIONS(5493),
    [anon_sym_Class] = ACTIONS(5493),
    [anon_sym_id] = ACTIONS(5493),
  },
  [2362] = {
    [sym_identifier] = ACTIONS(5497),
    [aux_sym_preproc_def_token1] = ACTIONS(5497),
    [aux_sym_preproc_if_token1] = ACTIONS(5497),
    [aux_sym_preproc_if_token2] = ACTIONS(5497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5497),
    [sym_preproc_directive] = ACTIONS(5497),
    [anon_sym_DASH] = ACTIONS(5499),
    [anon_sym_PLUS] = ACTIONS(5499),
    [anon_sym___extension__] = ACTIONS(5497),
    [anon_sym_typedef] = ACTIONS(5497),
    [anon_sym_extern] = ACTIONS(5497),
    [anon_sym___attribute__] = ACTIONS(5497),
    [anon_sym___attribute] = ACTIONS(5497),
    [anon_sym_noreturn] = ACTIONS(5497),
    [anon_sym_LBRACK] = ACTIONS(5499),
    [anon_sym___declspec] = ACTIONS(5497),
    [anon_sym___cdecl] = ACTIONS(5497),
    [anon_sym___clrcall] = ACTIONS(5497),
    [anon_sym___stdcall] = ACTIONS(5497),
    [anon_sym___fastcall] = ACTIONS(5497),
    [anon_sym___thiscall] = ACTIONS(5497),
    [anon_sym___vectorcall] = ACTIONS(5497),
    [anon_sym_signed] = ACTIONS(5497),
    [anon_sym_unsigned] = ACTIONS(5497),
    [anon_sym_long] = ACTIONS(5497),
    [anon_sym_short] = ACTIONS(5497),
    [anon_sym_static] = ACTIONS(5497),
    [anon_sym_auto] = ACTIONS(5497),
    [anon_sym_register] = ACTIONS(5497),
    [anon_sym_inline] = ACTIONS(5497),
    [anon_sym___inline] = ACTIONS(5497),
    [anon_sym___inline__] = ACTIONS(5497),
    [anon_sym___forceinline] = ACTIONS(5497),
    [anon_sym_thread_local] = ACTIONS(5497),
    [anon_sym___thread] = ACTIONS(5497),
    [anon_sym_CG_EXTERN] = ACTIONS(5497),
    [anon_sym_CG_INLINE] = ACTIONS(5497),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5497),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5497),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5497),
    [anon_sym_IBOutlet] = ACTIONS(5497),
    [anon_sym_IBInspectable] = ACTIONS(5497),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5497),
    [anon_sym_NS_INLINE] = ACTIONS(5497),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5497),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5497),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5497),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5497),
    [anon_sym_const] = ACTIONS(5497),
    [anon_sym_constexpr] = ACTIONS(5497),
    [anon_sym_volatile] = ACTIONS(5497),
    [anon_sym_restrict] = ACTIONS(5497),
    [anon_sym___restrict__] = ACTIONS(5497),
    [anon_sym__Atomic] = ACTIONS(5497),
    [anon_sym__Noreturn] = ACTIONS(5497),
    [anon_sym__Nonnull] = ACTIONS(5497),
    [anon_sym_nullable] = ACTIONS(5497),
    [anon_sym__Complex] = ACTIONS(5497),
    [anon_sym__Nullable] = ACTIONS(5497),
    [anon_sym__Nullable_result] = ACTIONS(5497),
    [anon_sym__Null_unspecified] = ACTIONS(5497),
    [anon_sym___autoreleasing] = ACTIONS(5497),
    [anon_sym___block] = ACTIONS(5497),
    [anon_sym___bridge] = ACTIONS(5497),
    [anon_sym___bridge_retained] = ACTIONS(5497),
    [anon_sym___bridge_transfer] = ACTIONS(5497),
    [anon_sym___complex] = ACTIONS(5497),
    [anon_sym___const] = ACTIONS(5497),
    [anon_sym___imag] = ACTIONS(5497),
    [anon_sym___kindof] = ACTIONS(5497),
    [anon_sym___nonnull] = ACTIONS(5497),
    [anon_sym___nullable] = ACTIONS(5497),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5497),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5497),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5497),
    [anon_sym___real] = ACTIONS(5497),
    [anon_sym___strong] = ACTIONS(5497),
    [anon_sym___unsafe_unretained] = ACTIONS(5497),
    [anon_sym___unused] = ACTIONS(5497),
    [anon_sym___weak] = ACTIONS(5497),
    [anon_sym_alignas] = ACTIONS(5497),
    [anon_sym__Alignas] = ACTIONS(5497),
    [sym_primitive_type] = ACTIONS(5497),
    [anon_sym_enum] = ACTIONS(5497),
    [anon_sym_struct] = ACTIONS(5497),
    [anon_sym_union] = ACTIONS(5497),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5497),
    [anon_sym___typeof] = ACTIONS(5497),
    [anon_sym_typeof] = ACTIONS(5497),
    [aux_sym_preproc_undef_token1] = ACTIONS(5497),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5497),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5497),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5497),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5497),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5497),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5497),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5497),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5497),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5497),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5497),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5497),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5497),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5497),
    [anon_sym_API_AVAILABLE] = ACTIONS(5497),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5497),
    [anon_sym_API_DEPRECATED] = ACTIONS(5497),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5497),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5497),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5497),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5497),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5497),
    [anon_sym___deprecated_msg] = ACTIONS(5497),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5497),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5497),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5497),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5497),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5497),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5497),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5497),
    [anon_sym_ATsynthesize] = ACTIONS(5499),
    [anon_sym_ATdynamic] = ACTIONS(5499),
    [anon_sym_BOOL] = ACTIONS(5497),
    [anon_sym_IMP] = ACTIONS(5497),
    [anon_sym_SEL] = ACTIONS(5497),
    [anon_sym_Class] = ACTIONS(5497),
    [anon_sym_id] = ACTIONS(5497),
  },
  [2363] = {
    [sym_identifier] = ACTIONS(2864),
    [aux_sym_preproc_def_token1] = ACTIONS(2864),
    [aux_sym_preproc_if_token1] = ACTIONS(2864),
    [aux_sym_preproc_if_token2] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2864),
    [sym_preproc_directive] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2866),
    [anon_sym_PLUS] = ACTIONS(2866),
    [anon_sym___extension__] = ACTIONS(2864),
    [anon_sym_typedef] = ACTIONS(2864),
    [anon_sym_extern] = ACTIONS(2864),
    [anon_sym___attribute__] = ACTIONS(2864),
    [anon_sym___attribute] = ACTIONS(2864),
    [anon_sym_noreturn] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym___declspec] = ACTIONS(2864),
    [anon_sym___cdecl] = ACTIONS(2864),
    [anon_sym___clrcall] = ACTIONS(2864),
    [anon_sym___stdcall] = ACTIONS(2864),
    [anon_sym___fastcall] = ACTIONS(2864),
    [anon_sym___thiscall] = ACTIONS(2864),
    [anon_sym___vectorcall] = ACTIONS(2864),
    [anon_sym_signed] = ACTIONS(2864),
    [anon_sym_unsigned] = ACTIONS(2864),
    [anon_sym_long] = ACTIONS(2864),
    [anon_sym_short] = ACTIONS(2864),
    [anon_sym_static] = ACTIONS(2864),
    [anon_sym_auto] = ACTIONS(2864),
    [anon_sym_register] = ACTIONS(2864),
    [anon_sym_inline] = ACTIONS(2864),
    [anon_sym___inline] = ACTIONS(2864),
    [anon_sym___inline__] = ACTIONS(2864),
    [anon_sym___forceinline] = ACTIONS(2864),
    [anon_sym_thread_local] = ACTIONS(2864),
    [anon_sym___thread] = ACTIONS(2864),
    [anon_sym_CG_EXTERN] = ACTIONS(2864),
    [anon_sym_CG_INLINE] = ACTIONS(2864),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2864),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2864),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2864),
    [anon_sym_IBOutlet] = ACTIONS(2864),
    [anon_sym_IBInspectable] = ACTIONS(2864),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2864),
    [anon_sym_NS_INLINE] = ACTIONS(2864),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2864),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2864),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2864),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2864),
    [anon_sym_const] = ACTIONS(2864),
    [anon_sym_constexpr] = ACTIONS(2864),
    [anon_sym_volatile] = ACTIONS(2864),
    [anon_sym_restrict] = ACTIONS(2864),
    [anon_sym___restrict__] = ACTIONS(2864),
    [anon_sym__Atomic] = ACTIONS(2864),
    [anon_sym__Noreturn] = ACTIONS(2864),
    [anon_sym__Nonnull] = ACTIONS(2864),
    [anon_sym_nullable] = ACTIONS(2864),
    [anon_sym__Complex] = ACTIONS(2864),
    [anon_sym__Nullable] = ACTIONS(2864),
    [anon_sym__Nullable_result] = ACTIONS(2864),
    [anon_sym__Null_unspecified] = ACTIONS(2864),
    [anon_sym___autoreleasing] = ACTIONS(2864),
    [anon_sym___block] = ACTIONS(2864),
    [anon_sym___bridge] = ACTIONS(2864),
    [anon_sym___bridge_retained] = ACTIONS(2864),
    [anon_sym___bridge_transfer] = ACTIONS(2864),
    [anon_sym___complex] = ACTIONS(2864),
    [anon_sym___const] = ACTIONS(2864),
    [anon_sym___imag] = ACTIONS(2864),
    [anon_sym___kindof] = ACTIONS(2864),
    [anon_sym___nonnull] = ACTIONS(2864),
    [anon_sym___nullable] = ACTIONS(2864),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2864),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2864),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2864),
    [anon_sym___real] = ACTIONS(2864),
    [anon_sym___strong] = ACTIONS(2864),
    [anon_sym___unsafe_unretained] = ACTIONS(2864),
    [anon_sym___unused] = ACTIONS(2864),
    [anon_sym___weak] = ACTIONS(2864),
    [anon_sym_alignas] = ACTIONS(2864),
    [anon_sym__Alignas] = ACTIONS(2864),
    [sym_primitive_type] = ACTIONS(2864),
    [anon_sym_enum] = ACTIONS(2864),
    [anon_sym_struct] = ACTIONS(2864),
    [anon_sym_union] = ACTIONS(2864),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2864),
    [anon_sym___typeof] = ACTIONS(2864),
    [anon_sym_typeof] = ACTIONS(2864),
    [aux_sym_preproc_undef_token1] = ACTIONS(2864),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2864),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2864),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2864),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2864),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2864),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2864),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2864),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2864),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2864),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2864),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2864),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2864),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2864),
    [anon_sym_API_AVAILABLE] = ACTIONS(2864),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2864),
    [anon_sym_API_DEPRECATED] = ACTIONS(2864),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2864),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2864),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2864),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2864),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2864),
    [anon_sym___deprecated_msg] = ACTIONS(2864),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2864),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2864),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2864),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2864),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2864),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2864),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2864),
    [anon_sym_ATsynthesize] = ACTIONS(2866),
    [anon_sym_ATdynamic] = ACTIONS(2866),
    [anon_sym_BOOL] = ACTIONS(2864),
    [anon_sym_IMP] = ACTIONS(2864),
    [anon_sym_SEL] = ACTIONS(2864),
    [anon_sym_Class] = ACTIONS(2864),
    [anon_sym_id] = ACTIONS(2864),
  },
  [2364] = {
    [sym_identifier] = ACTIONS(5369),
    [aux_sym_preproc_def_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token1] = ACTIONS(5369),
    [aux_sym_preproc_if_token2] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5369),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5369),
    [sym_preproc_directive] = ACTIONS(5369),
    [anon_sym_DASH] = ACTIONS(5371),
    [anon_sym_PLUS] = ACTIONS(5371),
    [anon_sym___extension__] = ACTIONS(5369),
    [anon_sym_typedef] = ACTIONS(5369),
    [anon_sym_extern] = ACTIONS(5369),
    [anon_sym___attribute__] = ACTIONS(5369),
    [anon_sym___attribute] = ACTIONS(5369),
    [anon_sym_noreturn] = ACTIONS(5369),
    [anon_sym_LBRACK] = ACTIONS(5371),
    [anon_sym___declspec] = ACTIONS(5369),
    [anon_sym___cdecl] = ACTIONS(5369),
    [anon_sym___clrcall] = ACTIONS(5369),
    [anon_sym___stdcall] = ACTIONS(5369),
    [anon_sym___fastcall] = ACTIONS(5369),
    [anon_sym___thiscall] = ACTIONS(5369),
    [anon_sym___vectorcall] = ACTIONS(5369),
    [anon_sym_signed] = ACTIONS(5369),
    [anon_sym_unsigned] = ACTIONS(5369),
    [anon_sym_long] = ACTIONS(5369),
    [anon_sym_short] = ACTIONS(5369),
    [anon_sym_static] = ACTIONS(5369),
    [anon_sym_auto] = ACTIONS(5369),
    [anon_sym_register] = ACTIONS(5369),
    [anon_sym_inline] = ACTIONS(5369),
    [anon_sym___inline] = ACTIONS(5369),
    [anon_sym___inline__] = ACTIONS(5369),
    [anon_sym___forceinline] = ACTIONS(5369),
    [anon_sym_thread_local] = ACTIONS(5369),
    [anon_sym___thread] = ACTIONS(5369),
    [anon_sym_CG_EXTERN] = ACTIONS(5369),
    [anon_sym_CG_INLINE] = ACTIONS(5369),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5369),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5369),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5369),
    [anon_sym_IBOutlet] = ACTIONS(5369),
    [anon_sym_IBInspectable] = ACTIONS(5369),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5369),
    [anon_sym_NS_INLINE] = ACTIONS(5369),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5369),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5369),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5369),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5369),
    [anon_sym_const] = ACTIONS(5369),
    [anon_sym_constexpr] = ACTIONS(5369),
    [anon_sym_volatile] = ACTIONS(5369),
    [anon_sym_restrict] = ACTIONS(5369),
    [anon_sym___restrict__] = ACTIONS(5369),
    [anon_sym__Atomic] = ACTIONS(5369),
    [anon_sym__Noreturn] = ACTIONS(5369),
    [anon_sym__Nonnull] = ACTIONS(5369),
    [anon_sym_nullable] = ACTIONS(5369),
    [anon_sym__Complex] = ACTIONS(5369),
    [anon_sym__Nullable] = ACTIONS(5369),
    [anon_sym__Nullable_result] = ACTIONS(5369),
    [anon_sym__Null_unspecified] = ACTIONS(5369),
    [anon_sym___autoreleasing] = ACTIONS(5369),
    [anon_sym___block] = ACTIONS(5369),
    [anon_sym___bridge] = ACTIONS(5369),
    [anon_sym___bridge_retained] = ACTIONS(5369),
    [anon_sym___bridge_transfer] = ACTIONS(5369),
    [anon_sym___complex] = ACTIONS(5369),
    [anon_sym___const] = ACTIONS(5369),
    [anon_sym___imag] = ACTIONS(5369),
    [anon_sym___kindof] = ACTIONS(5369),
    [anon_sym___nonnull] = ACTIONS(5369),
    [anon_sym___nullable] = ACTIONS(5369),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5369),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5369),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5369),
    [anon_sym___real] = ACTIONS(5369),
    [anon_sym___strong] = ACTIONS(5369),
    [anon_sym___unsafe_unretained] = ACTIONS(5369),
    [anon_sym___unused] = ACTIONS(5369),
    [anon_sym___weak] = ACTIONS(5369),
    [anon_sym_alignas] = ACTIONS(5369),
    [anon_sym__Alignas] = ACTIONS(5369),
    [sym_primitive_type] = ACTIONS(5369),
    [anon_sym_enum] = ACTIONS(5369),
    [anon_sym_struct] = ACTIONS(5369),
    [anon_sym_union] = ACTIONS(5369),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5369),
    [anon_sym___typeof] = ACTIONS(5369),
    [anon_sym_typeof] = ACTIONS(5369),
    [aux_sym_preproc_undef_token1] = ACTIONS(5369),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5369),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5369),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5369),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5369),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5369),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5369),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5369),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5369),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5369),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5369),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5369),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5369),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5369),
    [anon_sym_API_AVAILABLE] = ACTIONS(5369),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5369),
    [anon_sym_API_DEPRECATED] = ACTIONS(5369),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5369),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5369),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5369),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5369),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5369),
    [anon_sym___deprecated_msg] = ACTIONS(5369),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5369),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5369),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5369),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5369),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5369),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5369),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5369),
    [anon_sym_ATsynthesize] = ACTIONS(5371),
    [anon_sym_ATdynamic] = ACTIONS(5371),
    [anon_sym_BOOL] = ACTIONS(5369),
    [anon_sym_IMP] = ACTIONS(5369),
    [anon_sym_SEL] = ACTIONS(5369),
    [anon_sym_Class] = ACTIONS(5369),
    [anon_sym_id] = ACTIONS(5369),
  },
  [2365] = {
    [sym_identifier] = ACTIONS(5415),
    [aux_sym_preproc_def_token1] = ACTIONS(5415),
    [aux_sym_preproc_if_token1] = ACTIONS(5415),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5415),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5415),
    [sym_preproc_directive] = ACTIONS(5415),
    [anon_sym_DASH] = ACTIONS(5417),
    [anon_sym_PLUS] = ACTIONS(5417),
    [anon_sym___extension__] = ACTIONS(5415),
    [anon_sym_typedef] = ACTIONS(5415),
    [anon_sym_extern] = ACTIONS(5415),
    [anon_sym___attribute__] = ACTIONS(5415),
    [anon_sym___attribute] = ACTIONS(5415),
    [anon_sym_noreturn] = ACTIONS(5415),
    [anon_sym_LBRACK] = ACTIONS(5417),
    [anon_sym___declspec] = ACTIONS(5415),
    [anon_sym___cdecl] = ACTIONS(5415),
    [anon_sym___clrcall] = ACTIONS(5415),
    [anon_sym___stdcall] = ACTIONS(5415),
    [anon_sym___fastcall] = ACTIONS(5415),
    [anon_sym___thiscall] = ACTIONS(5415),
    [anon_sym___vectorcall] = ACTIONS(5415),
    [anon_sym_signed] = ACTIONS(5415),
    [anon_sym_unsigned] = ACTIONS(5415),
    [anon_sym_long] = ACTIONS(5415),
    [anon_sym_short] = ACTIONS(5415),
    [anon_sym_static] = ACTIONS(5415),
    [anon_sym_auto] = ACTIONS(5415),
    [anon_sym_register] = ACTIONS(5415),
    [anon_sym_inline] = ACTIONS(5415),
    [anon_sym___inline] = ACTIONS(5415),
    [anon_sym___inline__] = ACTIONS(5415),
    [anon_sym___forceinline] = ACTIONS(5415),
    [anon_sym_thread_local] = ACTIONS(5415),
    [anon_sym___thread] = ACTIONS(5415),
    [anon_sym_CG_EXTERN] = ACTIONS(5415),
    [anon_sym_CG_INLINE] = ACTIONS(5415),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5415),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5415),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5415),
    [anon_sym_IBOutlet] = ACTIONS(5415),
    [anon_sym_IBInspectable] = ACTIONS(5415),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5415),
    [anon_sym_NS_INLINE] = ACTIONS(5415),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5415),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5415),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5415),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5415),
    [anon_sym_const] = ACTIONS(5415),
    [anon_sym_constexpr] = ACTIONS(5415),
    [anon_sym_volatile] = ACTIONS(5415),
    [anon_sym_restrict] = ACTIONS(5415),
    [anon_sym___restrict__] = ACTIONS(5415),
    [anon_sym__Atomic] = ACTIONS(5415),
    [anon_sym__Noreturn] = ACTIONS(5415),
    [anon_sym__Nonnull] = ACTIONS(5415),
    [anon_sym_nullable] = ACTIONS(5415),
    [anon_sym__Complex] = ACTIONS(5415),
    [anon_sym__Nullable] = ACTIONS(5415),
    [anon_sym__Nullable_result] = ACTIONS(5415),
    [anon_sym__Null_unspecified] = ACTIONS(5415),
    [anon_sym___autoreleasing] = ACTIONS(5415),
    [anon_sym___block] = ACTIONS(5415),
    [anon_sym___bridge] = ACTIONS(5415),
    [anon_sym___bridge_retained] = ACTIONS(5415),
    [anon_sym___bridge_transfer] = ACTIONS(5415),
    [anon_sym___complex] = ACTIONS(5415),
    [anon_sym___const] = ACTIONS(5415),
    [anon_sym___imag] = ACTIONS(5415),
    [anon_sym___kindof] = ACTIONS(5415),
    [anon_sym___nonnull] = ACTIONS(5415),
    [anon_sym___nullable] = ACTIONS(5415),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5415),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5415),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5415),
    [anon_sym___real] = ACTIONS(5415),
    [anon_sym___strong] = ACTIONS(5415),
    [anon_sym___unsafe_unretained] = ACTIONS(5415),
    [anon_sym___unused] = ACTIONS(5415),
    [anon_sym___weak] = ACTIONS(5415),
    [anon_sym_alignas] = ACTIONS(5415),
    [anon_sym__Alignas] = ACTIONS(5415),
    [sym_primitive_type] = ACTIONS(5415),
    [anon_sym_enum] = ACTIONS(5415),
    [anon_sym_struct] = ACTIONS(5415),
    [anon_sym_union] = ACTIONS(5415),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5415),
    [anon_sym___typeof] = ACTIONS(5415),
    [anon_sym_typeof] = ACTIONS(5415),
    [aux_sym_preproc_undef_token1] = ACTIONS(5415),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5415),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5415),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5415),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5415),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5415),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5415),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5415),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5415),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5415),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5415),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5415),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5415),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5415),
    [anon_sym_API_AVAILABLE] = ACTIONS(5415),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5415),
    [anon_sym_API_DEPRECATED] = ACTIONS(5415),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5415),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5415),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5415),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5415),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5415),
    [anon_sym___deprecated_msg] = ACTIONS(5415),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5415),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5415),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5415),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5415),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5415),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5415),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5415),
    [anon_sym_ATend] = ACTIONS(5417),
    [anon_sym_ATsynthesize] = ACTIONS(5417),
    [anon_sym_ATdynamic] = ACTIONS(5417),
    [anon_sym_BOOL] = ACTIONS(5415),
    [anon_sym_IMP] = ACTIONS(5415),
    [anon_sym_SEL] = ACTIONS(5415),
    [anon_sym_Class] = ACTIONS(5415),
    [anon_sym_id] = ACTIONS(5415),
  },
  [2366] = {
    [sym_identifier] = ACTIONS(2806),
    [aux_sym_preproc_def_token1] = ACTIONS(2806),
    [aux_sym_preproc_if_token1] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2806),
    [sym_preproc_directive] = ACTIONS(2806),
    [anon_sym_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym___extension__] = ACTIONS(2806),
    [anon_sym_typedef] = ACTIONS(2806),
    [anon_sym_extern] = ACTIONS(2806),
    [anon_sym___attribute__] = ACTIONS(2806),
    [anon_sym___attribute] = ACTIONS(2806),
    [anon_sym_noreturn] = ACTIONS(2806),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym___declspec] = ACTIONS(2806),
    [anon_sym___cdecl] = ACTIONS(2806),
    [anon_sym___clrcall] = ACTIONS(2806),
    [anon_sym___stdcall] = ACTIONS(2806),
    [anon_sym___fastcall] = ACTIONS(2806),
    [anon_sym___thiscall] = ACTIONS(2806),
    [anon_sym___vectorcall] = ACTIONS(2806),
    [anon_sym_signed] = ACTIONS(2806),
    [anon_sym_unsigned] = ACTIONS(2806),
    [anon_sym_long] = ACTIONS(2806),
    [anon_sym_short] = ACTIONS(2806),
    [anon_sym_static] = ACTIONS(2806),
    [anon_sym_auto] = ACTIONS(2806),
    [anon_sym_register] = ACTIONS(2806),
    [anon_sym_inline] = ACTIONS(2806),
    [anon_sym___inline] = ACTIONS(2806),
    [anon_sym___inline__] = ACTIONS(2806),
    [anon_sym___forceinline] = ACTIONS(2806),
    [anon_sym_thread_local] = ACTIONS(2806),
    [anon_sym___thread] = ACTIONS(2806),
    [anon_sym_CG_EXTERN] = ACTIONS(2806),
    [anon_sym_CG_INLINE] = ACTIONS(2806),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2806),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2806),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2806),
    [anon_sym_IBOutlet] = ACTIONS(2806),
    [anon_sym_IBInspectable] = ACTIONS(2806),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2806),
    [anon_sym_NS_INLINE] = ACTIONS(2806),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2806),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2806),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2806),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2806),
    [anon_sym_const] = ACTIONS(2806),
    [anon_sym_constexpr] = ACTIONS(2806),
    [anon_sym_volatile] = ACTIONS(2806),
    [anon_sym_restrict] = ACTIONS(2806),
    [anon_sym___restrict__] = ACTIONS(2806),
    [anon_sym__Atomic] = ACTIONS(2806),
    [anon_sym__Noreturn] = ACTIONS(2806),
    [anon_sym__Nonnull] = ACTIONS(2806),
    [anon_sym_nullable] = ACTIONS(2806),
    [anon_sym__Complex] = ACTIONS(2806),
    [anon_sym__Nullable] = ACTIONS(2806),
    [anon_sym__Nullable_result] = ACTIONS(2806),
    [anon_sym__Null_unspecified] = ACTIONS(2806),
    [anon_sym___autoreleasing] = ACTIONS(2806),
    [anon_sym___block] = ACTIONS(2806),
    [anon_sym___bridge] = ACTIONS(2806),
    [anon_sym___bridge_retained] = ACTIONS(2806),
    [anon_sym___bridge_transfer] = ACTIONS(2806),
    [anon_sym___complex] = ACTIONS(2806),
    [anon_sym___const] = ACTIONS(2806),
    [anon_sym___imag] = ACTIONS(2806),
    [anon_sym___kindof] = ACTIONS(2806),
    [anon_sym___nonnull] = ACTIONS(2806),
    [anon_sym___nullable] = ACTIONS(2806),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2806),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2806),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2806),
    [anon_sym___real] = ACTIONS(2806),
    [anon_sym___strong] = ACTIONS(2806),
    [anon_sym___unsafe_unretained] = ACTIONS(2806),
    [anon_sym___unused] = ACTIONS(2806),
    [anon_sym___weak] = ACTIONS(2806),
    [anon_sym_alignas] = ACTIONS(2806),
    [anon_sym__Alignas] = ACTIONS(2806),
    [sym_primitive_type] = ACTIONS(2806),
    [anon_sym_enum] = ACTIONS(2806),
    [anon_sym_struct] = ACTIONS(2806),
    [anon_sym_union] = ACTIONS(2806),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2806),
    [anon_sym___typeof] = ACTIONS(2806),
    [anon_sym_typeof] = ACTIONS(2806),
    [aux_sym_preproc_undef_token1] = ACTIONS(2806),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2806),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2806),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2806),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2806),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2806),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2806),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2806),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2806),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2806),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2806),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2806),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2806),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2806),
    [anon_sym_API_AVAILABLE] = ACTIONS(2806),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2806),
    [anon_sym_API_DEPRECATED] = ACTIONS(2806),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2806),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2806),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2806),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2806),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2806),
    [anon_sym___deprecated_msg] = ACTIONS(2806),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2806),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2806),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2806),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2806),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2806),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2806),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2806),
    [anon_sym_ATend] = ACTIONS(2808),
    [anon_sym_ATsynthesize] = ACTIONS(2808),
    [anon_sym_ATdynamic] = ACTIONS(2808),
    [anon_sym_BOOL] = ACTIONS(2806),
    [anon_sym_IMP] = ACTIONS(2806),
    [anon_sym_SEL] = ACTIONS(2806),
    [anon_sym_Class] = ACTIONS(2806),
    [anon_sym_id] = ACTIONS(2806),
  },
  [2367] = {
    [sym_identifier] = ACTIONS(5421),
    [aux_sym_preproc_def_token1] = ACTIONS(5421),
    [aux_sym_preproc_if_token1] = ACTIONS(5421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5421),
    [sym_preproc_directive] = ACTIONS(5421),
    [anon_sym_DASH] = ACTIONS(5423),
    [anon_sym_PLUS] = ACTIONS(5423),
    [anon_sym___extension__] = ACTIONS(5421),
    [anon_sym_typedef] = ACTIONS(5421),
    [anon_sym_extern] = ACTIONS(5421),
    [anon_sym___attribute__] = ACTIONS(5421),
    [anon_sym___attribute] = ACTIONS(5421),
    [anon_sym_noreturn] = ACTIONS(5421),
    [anon_sym_LBRACK] = ACTIONS(5423),
    [anon_sym___declspec] = ACTIONS(5421),
    [anon_sym___cdecl] = ACTIONS(5421),
    [anon_sym___clrcall] = ACTIONS(5421),
    [anon_sym___stdcall] = ACTIONS(5421),
    [anon_sym___fastcall] = ACTIONS(5421),
    [anon_sym___thiscall] = ACTIONS(5421),
    [anon_sym___vectorcall] = ACTIONS(5421),
    [anon_sym_signed] = ACTIONS(5421),
    [anon_sym_unsigned] = ACTIONS(5421),
    [anon_sym_long] = ACTIONS(5421),
    [anon_sym_short] = ACTIONS(5421),
    [anon_sym_static] = ACTIONS(5421),
    [anon_sym_auto] = ACTIONS(5421),
    [anon_sym_register] = ACTIONS(5421),
    [anon_sym_inline] = ACTIONS(5421),
    [anon_sym___inline] = ACTIONS(5421),
    [anon_sym___inline__] = ACTIONS(5421),
    [anon_sym___forceinline] = ACTIONS(5421),
    [anon_sym_thread_local] = ACTIONS(5421),
    [anon_sym___thread] = ACTIONS(5421),
    [anon_sym_CG_EXTERN] = ACTIONS(5421),
    [anon_sym_CG_INLINE] = ACTIONS(5421),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5421),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5421),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5421),
    [anon_sym_IBOutlet] = ACTIONS(5421),
    [anon_sym_IBInspectable] = ACTIONS(5421),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5421),
    [anon_sym_NS_INLINE] = ACTIONS(5421),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5421),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5421),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5421),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5421),
    [anon_sym_const] = ACTIONS(5421),
    [anon_sym_constexpr] = ACTIONS(5421),
    [anon_sym_volatile] = ACTIONS(5421),
    [anon_sym_restrict] = ACTIONS(5421),
    [anon_sym___restrict__] = ACTIONS(5421),
    [anon_sym__Atomic] = ACTIONS(5421),
    [anon_sym__Noreturn] = ACTIONS(5421),
    [anon_sym__Nonnull] = ACTIONS(5421),
    [anon_sym_nullable] = ACTIONS(5421),
    [anon_sym__Complex] = ACTIONS(5421),
    [anon_sym__Nullable] = ACTIONS(5421),
    [anon_sym__Nullable_result] = ACTIONS(5421),
    [anon_sym__Null_unspecified] = ACTIONS(5421),
    [anon_sym___autoreleasing] = ACTIONS(5421),
    [anon_sym___block] = ACTIONS(5421),
    [anon_sym___bridge] = ACTIONS(5421),
    [anon_sym___bridge_retained] = ACTIONS(5421),
    [anon_sym___bridge_transfer] = ACTIONS(5421),
    [anon_sym___complex] = ACTIONS(5421),
    [anon_sym___const] = ACTIONS(5421),
    [anon_sym___imag] = ACTIONS(5421),
    [anon_sym___kindof] = ACTIONS(5421),
    [anon_sym___nonnull] = ACTIONS(5421),
    [anon_sym___nullable] = ACTIONS(5421),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5421),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5421),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5421),
    [anon_sym___real] = ACTIONS(5421),
    [anon_sym___strong] = ACTIONS(5421),
    [anon_sym___unsafe_unretained] = ACTIONS(5421),
    [anon_sym___unused] = ACTIONS(5421),
    [anon_sym___weak] = ACTIONS(5421),
    [anon_sym_alignas] = ACTIONS(5421),
    [anon_sym__Alignas] = ACTIONS(5421),
    [sym_primitive_type] = ACTIONS(5421),
    [anon_sym_enum] = ACTIONS(5421),
    [anon_sym_struct] = ACTIONS(5421),
    [anon_sym_union] = ACTIONS(5421),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5421),
    [anon_sym___typeof] = ACTIONS(5421),
    [anon_sym_typeof] = ACTIONS(5421),
    [aux_sym_preproc_undef_token1] = ACTIONS(5421),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5421),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5421),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5421),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5421),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5421),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5421),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5421),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5421),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5421),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5421),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5421),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5421),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5421),
    [anon_sym_API_AVAILABLE] = ACTIONS(5421),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5421),
    [anon_sym_API_DEPRECATED] = ACTIONS(5421),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5421),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5421),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5421),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5421),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5421),
    [anon_sym___deprecated_msg] = ACTIONS(5421),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5421),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5421),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5421),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5421),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5421),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5421),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5421),
    [anon_sym_ATend] = ACTIONS(5423),
    [anon_sym_ATsynthesize] = ACTIONS(5423),
    [anon_sym_ATdynamic] = ACTIONS(5423),
    [anon_sym_BOOL] = ACTIONS(5421),
    [anon_sym_IMP] = ACTIONS(5421),
    [anon_sym_SEL] = ACTIONS(5421),
    [anon_sym_Class] = ACTIONS(5421),
    [anon_sym_id] = ACTIONS(5421),
  },
  [2368] = {
    [sym_identifier] = ACTIONS(5662),
    [anon_sym_COMMA] = ACTIONS(5664),
    [anon_sym_RPAREN] = ACTIONS(5664),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5664),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5664),
    [anon_sym_LPAREN2] = ACTIONS(5664),
    [anon_sym_STAR] = ACTIONS(5664),
    [anon_sym_CARET] = ACTIONS(5664),
    [anon_sym_GT] = ACTIONS(5664),
    [anon_sym_SEMI] = ACTIONS(5664),
    [anon_sym___extension__] = ACTIONS(5662),
    [anon_sym_extern] = ACTIONS(5662),
    [anon_sym___attribute__] = ACTIONS(5662),
    [anon_sym___attribute] = ACTIONS(5662),
    [anon_sym_noreturn] = ACTIONS(5662),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [anon_sym___declspec] = ACTIONS(5662),
    [anon_sym___based] = ACTIONS(5662),
    [anon_sym_LBRACE] = ACTIONS(5664),
    [anon_sym_RBRACE] = ACTIONS(5664),
    [anon_sym_signed] = ACTIONS(5662),
    [anon_sym_unsigned] = ACTIONS(5662),
    [anon_sym_long] = ACTIONS(5662),
    [anon_sym_short] = ACTIONS(5662),
    [anon_sym_static] = ACTIONS(5662),
    [anon_sym_ATautoreleasepool] = ACTIONS(5664),
    [anon_sym_auto] = ACTIONS(5662),
    [anon_sym_register] = ACTIONS(5662),
    [anon_sym_inline] = ACTIONS(5662),
    [anon_sym___inline] = ACTIONS(5662),
    [anon_sym___inline__] = ACTIONS(5662),
    [anon_sym___forceinline] = ACTIONS(5662),
    [anon_sym_thread_local] = ACTIONS(5662),
    [anon_sym___thread] = ACTIONS(5662),
    [anon_sym_CG_EXTERN] = ACTIONS(5662),
    [anon_sym_CG_INLINE] = ACTIONS(5662),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5662),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5662),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5662),
    [anon_sym_IBOutlet] = ACTIONS(5662),
    [anon_sym_IBInspectable] = ACTIONS(5662),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5662),
    [anon_sym_NS_INLINE] = ACTIONS(5662),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5662),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5662),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5662),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5662),
    [anon_sym_const] = ACTIONS(5662),
    [anon_sym_constexpr] = ACTIONS(5662),
    [anon_sym_volatile] = ACTIONS(5662),
    [anon_sym_restrict] = ACTIONS(5662),
    [anon_sym___restrict__] = ACTIONS(5662),
    [anon_sym__Atomic] = ACTIONS(5662),
    [anon_sym__Noreturn] = ACTIONS(5662),
    [anon_sym__Nonnull] = ACTIONS(5662),
    [anon_sym_nullable] = ACTIONS(5662),
    [anon_sym__Complex] = ACTIONS(5662),
    [anon_sym__Nullable] = ACTIONS(5662),
    [anon_sym__Nullable_result] = ACTIONS(5662),
    [anon_sym__Null_unspecified] = ACTIONS(5662),
    [anon_sym___autoreleasing] = ACTIONS(5662),
    [anon_sym___block] = ACTIONS(5662),
    [anon_sym___bridge] = ACTIONS(5662),
    [anon_sym___bridge_retained] = ACTIONS(5662),
    [anon_sym___bridge_transfer] = ACTIONS(5662),
    [anon_sym___complex] = ACTIONS(5662),
    [anon_sym___const] = ACTIONS(5662),
    [anon_sym___imag] = ACTIONS(5662),
    [anon_sym___kindof] = ACTIONS(5662),
    [anon_sym___nonnull] = ACTIONS(5662),
    [anon_sym___nullable] = ACTIONS(5662),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5662),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5662),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5662),
    [anon_sym___real] = ACTIONS(5662),
    [anon_sym___strong] = ACTIONS(5662),
    [anon_sym___unsafe_unretained] = ACTIONS(5662),
    [anon_sym___unused] = ACTIONS(5662),
    [anon_sym___weak] = ACTIONS(5662),
    [anon_sym_alignas] = ACTIONS(5662),
    [anon_sym__Alignas] = ACTIONS(5662),
    [sym_primitive_type] = ACTIONS(5662),
    [anon_sym_enum] = ACTIONS(5662),
    [anon_sym_COLON] = ACTIONS(5664),
    [anon_sym_struct] = ACTIONS(5662),
    [anon_sym_union] = ACTIONS(5662),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5662),
    [anon_sym___typeof] = ACTIONS(5662),
    [anon_sym_typeof] = ACTIONS(5662),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5662),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5662),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5662),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5662),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5662),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5662),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5662),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5662),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5662),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5662),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5662),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5662),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5662),
    [anon_sym_API_AVAILABLE] = ACTIONS(5662),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5662),
    [anon_sym_API_DEPRECATED] = ACTIONS(5662),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5662),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5662),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5662),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5662),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5662),
    [anon_sym___deprecated_msg] = ACTIONS(5662),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5662),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5662),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5662),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5662),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5662),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5662),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5662),
    [anon_sym_ATprotocol] = ACTIONS(5664),
    [anon_sym_ATinterface] = ACTIONS(5664),
    [anon_sym_ATimplementation] = ACTIONS(5664),
    [anon_sym_ATproperty] = ACTIONS(5664),
    [anon_sym_BOOL] = ACTIONS(5662),
    [anon_sym_IMP] = ACTIONS(5662),
    [anon_sym_SEL] = ACTIONS(5662),
    [anon_sym_Class] = ACTIONS(5662),
    [anon_sym_id] = ACTIONS(5662),
  },
  [2369] = {
    [sym_identifier] = ACTIONS(5427),
    [aux_sym_preproc_def_token1] = ACTIONS(5427),
    [aux_sym_preproc_if_token1] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5427),
    [sym_preproc_directive] = ACTIONS(5427),
    [anon_sym_DASH] = ACTIONS(5429),
    [anon_sym_PLUS] = ACTIONS(5429),
    [anon_sym___extension__] = ACTIONS(5427),
    [anon_sym_typedef] = ACTIONS(5427),
    [anon_sym_extern] = ACTIONS(5427),
    [anon_sym___attribute__] = ACTIONS(5427),
    [anon_sym___attribute] = ACTIONS(5427),
    [anon_sym_noreturn] = ACTIONS(5427),
    [anon_sym_LBRACK] = ACTIONS(5429),
    [anon_sym___declspec] = ACTIONS(5427),
    [anon_sym___cdecl] = ACTIONS(5427),
    [anon_sym___clrcall] = ACTIONS(5427),
    [anon_sym___stdcall] = ACTIONS(5427),
    [anon_sym___fastcall] = ACTIONS(5427),
    [anon_sym___thiscall] = ACTIONS(5427),
    [anon_sym___vectorcall] = ACTIONS(5427),
    [anon_sym_signed] = ACTIONS(5427),
    [anon_sym_unsigned] = ACTIONS(5427),
    [anon_sym_long] = ACTIONS(5427),
    [anon_sym_short] = ACTIONS(5427),
    [anon_sym_static] = ACTIONS(5427),
    [anon_sym_auto] = ACTIONS(5427),
    [anon_sym_register] = ACTIONS(5427),
    [anon_sym_inline] = ACTIONS(5427),
    [anon_sym___inline] = ACTIONS(5427),
    [anon_sym___inline__] = ACTIONS(5427),
    [anon_sym___forceinline] = ACTIONS(5427),
    [anon_sym_thread_local] = ACTIONS(5427),
    [anon_sym___thread] = ACTIONS(5427),
    [anon_sym_CG_EXTERN] = ACTIONS(5427),
    [anon_sym_CG_INLINE] = ACTIONS(5427),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5427),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5427),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5427),
    [anon_sym_IBOutlet] = ACTIONS(5427),
    [anon_sym_IBInspectable] = ACTIONS(5427),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5427),
    [anon_sym_NS_INLINE] = ACTIONS(5427),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5427),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5427),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5427),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5427),
    [anon_sym_const] = ACTIONS(5427),
    [anon_sym_constexpr] = ACTIONS(5427),
    [anon_sym_volatile] = ACTIONS(5427),
    [anon_sym_restrict] = ACTIONS(5427),
    [anon_sym___restrict__] = ACTIONS(5427),
    [anon_sym__Atomic] = ACTIONS(5427),
    [anon_sym__Noreturn] = ACTIONS(5427),
    [anon_sym__Nonnull] = ACTIONS(5427),
    [anon_sym_nullable] = ACTIONS(5427),
    [anon_sym__Complex] = ACTIONS(5427),
    [anon_sym__Nullable] = ACTIONS(5427),
    [anon_sym__Nullable_result] = ACTIONS(5427),
    [anon_sym__Null_unspecified] = ACTIONS(5427),
    [anon_sym___autoreleasing] = ACTIONS(5427),
    [anon_sym___block] = ACTIONS(5427),
    [anon_sym___bridge] = ACTIONS(5427),
    [anon_sym___bridge_retained] = ACTIONS(5427),
    [anon_sym___bridge_transfer] = ACTIONS(5427),
    [anon_sym___complex] = ACTIONS(5427),
    [anon_sym___const] = ACTIONS(5427),
    [anon_sym___imag] = ACTIONS(5427),
    [anon_sym___kindof] = ACTIONS(5427),
    [anon_sym___nonnull] = ACTIONS(5427),
    [anon_sym___nullable] = ACTIONS(5427),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5427),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5427),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5427),
    [anon_sym___real] = ACTIONS(5427),
    [anon_sym___strong] = ACTIONS(5427),
    [anon_sym___unsafe_unretained] = ACTIONS(5427),
    [anon_sym___unused] = ACTIONS(5427),
    [anon_sym___weak] = ACTIONS(5427),
    [anon_sym_alignas] = ACTIONS(5427),
    [anon_sym__Alignas] = ACTIONS(5427),
    [sym_primitive_type] = ACTIONS(5427),
    [anon_sym_enum] = ACTIONS(5427),
    [anon_sym_struct] = ACTIONS(5427),
    [anon_sym_union] = ACTIONS(5427),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5427),
    [anon_sym___typeof] = ACTIONS(5427),
    [anon_sym_typeof] = ACTIONS(5427),
    [aux_sym_preproc_undef_token1] = ACTIONS(5427),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5427),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5427),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5427),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5427),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5427),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5427),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5427),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5427),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5427),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5427),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5427),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5427),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5427),
    [anon_sym_API_AVAILABLE] = ACTIONS(5427),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5427),
    [anon_sym_API_DEPRECATED] = ACTIONS(5427),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5427),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5427),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5427),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5427),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5427),
    [anon_sym___deprecated_msg] = ACTIONS(5427),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5427),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5427),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5427),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5427),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5427),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5427),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5427),
    [anon_sym_ATend] = ACTIONS(5429),
    [anon_sym_ATsynthesize] = ACTIONS(5429),
    [anon_sym_ATdynamic] = ACTIONS(5429),
    [anon_sym_BOOL] = ACTIONS(5427),
    [anon_sym_IMP] = ACTIONS(5427),
    [anon_sym_SEL] = ACTIONS(5427),
    [anon_sym_Class] = ACTIONS(5427),
    [anon_sym_id] = ACTIONS(5427),
  },
  [2370] = {
    [sym_identifier] = ACTIONS(5433),
    [aux_sym_preproc_def_token1] = ACTIONS(5433),
    [aux_sym_preproc_if_token1] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5433),
    [sym_preproc_directive] = ACTIONS(5433),
    [anon_sym_DASH] = ACTIONS(5435),
    [anon_sym_PLUS] = ACTIONS(5435),
    [anon_sym___extension__] = ACTIONS(5433),
    [anon_sym_typedef] = ACTIONS(5433),
    [anon_sym_extern] = ACTIONS(5433),
    [anon_sym___attribute__] = ACTIONS(5433),
    [anon_sym___attribute] = ACTIONS(5433),
    [anon_sym_noreturn] = ACTIONS(5433),
    [anon_sym_LBRACK] = ACTIONS(5435),
    [anon_sym___declspec] = ACTIONS(5433),
    [anon_sym___cdecl] = ACTIONS(5433),
    [anon_sym___clrcall] = ACTIONS(5433),
    [anon_sym___stdcall] = ACTIONS(5433),
    [anon_sym___fastcall] = ACTIONS(5433),
    [anon_sym___thiscall] = ACTIONS(5433),
    [anon_sym___vectorcall] = ACTIONS(5433),
    [anon_sym_signed] = ACTIONS(5433),
    [anon_sym_unsigned] = ACTIONS(5433),
    [anon_sym_long] = ACTIONS(5433),
    [anon_sym_short] = ACTIONS(5433),
    [anon_sym_static] = ACTIONS(5433),
    [anon_sym_auto] = ACTIONS(5433),
    [anon_sym_register] = ACTIONS(5433),
    [anon_sym_inline] = ACTIONS(5433),
    [anon_sym___inline] = ACTIONS(5433),
    [anon_sym___inline__] = ACTIONS(5433),
    [anon_sym___forceinline] = ACTIONS(5433),
    [anon_sym_thread_local] = ACTIONS(5433),
    [anon_sym___thread] = ACTIONS(5433),
    [anon_sym_CG_EXTERN] = ACTIONS(5433),
    [anon_sym_CG_INLINE] = ACTIONS(5433),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5433),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5433),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5433),
    [anon_sym_IBOutlet] = ACTIONS(5433),
    [anon_sym_IBInspectable] = ACTIONS(5433),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5433),
    [anon_sym_NS_INLINE] = ACTIONS(5433),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5433),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5433),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5433),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5433),
    [anon_sym_const] = ACTIONS(5433),
    [anon_sym_constexpr] = ACTIONS(5433),
    [anon_sym_volatile] = ACTIONS(5433),
    [anon_sym_restrict] = ACTIONS(5433),
    [anon_sym___restrict__] = ACTIONS(5433),
    [anon_sym__Atomic] = ACTIONS(5433),
    [anon_sym__Noreturn] = ACTIONS(5433),
    [anon_sym__Nonnull] = ACTIONS(5433),
    [anon_sym_nullable] = ACTIONS(5433),
    [anon_sym__Complex] = ACTIONS(5433),
    [anon_sym__Nullable] = ACTIONS(5433),
    [anon_sym__Nullable_result] = ACTIONS(5433),
    [anon_sym__Null_unspecified] = ACTIONS(5433),
    [anon_sym___autoreleasing] = ACTIONS(5433),
    [anon_sym___block] = ACTIONS(5433),
    [anon_sym___bridge] = ACTIONS(5433),
    [anon_sym___bridge_retained] = ACTIONS(5433),
    [anon_sym___bridge_transfer] = ACTIONS(5433),
    [anon_sym___complex] = ACTIONS(5433),
    [anon_sym___const] = ACTIONS(5433),
    [anon_sym___imag] = ACTIONS(5433),
    [anon_sym___kindof] = ACTIONS(5433),
    [anon_sym___nonnull] = ACTIONS(5433),
    [anon_sym___nullable] = ACTIONS(5433),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5433),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5433),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5433),
    [anon_sym___real] = ACTIONS(5433),
    [anon_sym___strong] = ACTIONS(5433),
    [anon_sym___unsafe_unretained] = ACTIONS(5433),
    [anon_sym___unused] = ACTIONS(5433),
    [anon_sym___weak] = ACTIONS(5433),
    [anon_sym_alignas] = ACTIONS(5433),
    [anon_sym__Alignas] = ACTIONS(5433),
    [sym_primitive_type] = ACTIONS(5433),
    [anon_sym_enum] = ACTIONS(5433),
    [anon_sym_struct] = ACTIONS(5433),
    [anon_sym_union] = ACTIONS(5433),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5433),
    [anon_sym___typeof] = ACTIONS(5433),
    [anon_sym_typeof] = ACTIONS(5433),
    [aux_sym_preproc_undef_token1] = ACTIONS(5433),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5433),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5433),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5433),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5433),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5433),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5433),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5433),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5433),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5433),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5433),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5433),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5433),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5433),
    [anon_sym_API_AVAILABLE] = ACTIONS(5433),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5433),
    [anon_sym_API_DEPRECATED] = ACTIONS(5433),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5433),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5433),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5433),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5433),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5433),
    [anon_sym___deprecated_msg] = ACTIONS(5433),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5433),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5433),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5433),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5433),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5433),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5433),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5433),
    [anon_sym_ATend] = ACTIONS(5435),
    [anon_sym_ATsynthesize] = ACTIONS(5435),
    [anon_sym_ATdynamic] = ACTIONS(5435),
    [anon_sym_BOOL] = ACTIONS(5433),
    [anon_sym_IMP] = ACTIONS(5433),
    [anon_sym_SEL] = ACTIONS(5433),
    [anon_sym_Class] = ACTIONS(5433),
    [anon_sym_id] = ACTIONS(5433),
  },
  [2371] = {
    [sym_identifier] = ACTIONS(5509),
    [aux_sym_preproc_def_token1] = ACTIONS(5509),
    [aux_sym_preproc_if_token1] = ACTIONS(5509),
    [aux_sym_preproc_if_token2] = ACTIONS(5509),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5509),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5509),
    [sym_preproc_directive] = ACTIONS(5509),
    [anon_sym_DASH] = ACTIONS(5511),
    [anon_sym_PLUS] = ACTIONS(5511),
    [anon_sym___extension__] = ACTIONS(5509),
    [anon_sym_typedef] = ACTIONS(5509),
    [anon_sym_extern] = ACTIONS(5509),
    [anon_sym___attribute__] = ACTIONS(5509),
    [anon_sym___attribute] = ACTIONS(5509),
    [anon_sym_noreturn] = ACTIONS(5509),
    [anon_sym_LBRACK] = ACTIONS(5511),
    [anon_sym___declspec] = ACTIONS(5509),
    [anon_sym___cdecl] = ACTIONS(5509),
    [anon_sym___clrcall] = ACTIONS(5509),
    [anon_sym___stdcall] = ACTIONS(5509),
    [anon_sym___fastcall] = ACTIONS(5509),
    [anon_sym___thiscall] = ACTIONS(5509),
    [anon_sym___vectorcall] = ACTIONS(5509),
    [anon_sym_signed] = ACTIONS(5509),
    [anon_sym_unsigned] = ACTIONS(5509),
    [anon_sym_long] = ACTIONS(5509),
    [anon_sym_short] = ACTIONS(5509),
    [anon_sym_static] = ACTIONS(5509),
    [anon_sym_auto] = ACTIONS(5509),
    [anon_sym_register] = ACTIONS(5509),
    [anon_sym_inline] = ACTIONS(5509),
    [anon_sym___inline] = ACTIONS(5509),
    [anon_sym___inline__] = ACTIONS(5509),
    [anon_sym___forceinline] = ACTIONS(5509),
    [anon_sym_thread_local] = ACTIONS(5509),
    [anon_sym___thread] = ACTIONS(5509),
    [anon_sym_CG_EXTERN] = ACTIONS(5509),
    [anon_sym_CG_INLINE] = ACTIONS(5509),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5509),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5509),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5509),
    [anon_sym_IBOutlet] = ACTIONS(5509),
    [anon_sym_IBInspectable] = ACTIONS(5509),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5509),
    [anon_sym_NS_INLINE] = ACTIONS(5509),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5509),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5509),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5509),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5509),
    [anon_sym_const] = ACTIONS(5509),
    [anon_sym_constexpr] = ACTIONS(5509),
    [anon_sym_volatile] = ACTIONS(5509),
    [anon_sym_restrict] = ACTIONS(5509),
    [anon_sym___restrict__] = ACTIONS(5509),
    [anon_sym__Atomic] = ACTIONS(5509),
    [anon_sym__Noreturn] = ACTIONS(5509),
    [anon_sym__Nonnull] = ACTIONS(5509),
    [anon_sym_nullable] = ACTIONS(5509),
    [anon_sym__Complex] = ACTIONS(5509),
    [anon_sym__Nullable] = ACTIONS(5509),
    [anon_sym__Nullable_result] = ACTIONS(5509),
    [anon_sym__Null_unspecified] = ACTIONS(5509),
    [anon_sym___autoreleasing] = ACTIONS(5509),
    [anon_sym___block] = ACTIONS(5509),
    [anon_sym___bridge] = ACTIONS(5509),
    [anon_sym___bridge_retained] = ACTIONS(5509),
    [anon_sym___bridge_transfer] = ACTIONS(5509),
    [anon_sym___complex] = ACTIONS(5509),
    [anon_sym___const] = ACTIONS(5509),
    [anon_sym___imag] = ACTIONS(5509),
    [anon_sym___kindof] = ACTIONS(5509),
    [anon_sym___nonnull] = ACTIONS(5509),
    [anon_sym___nullable] = ACTIONS(5509),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5509),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5509),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5509),
    [anon_sym___real] = ACTIONS(5509),
    [anon_sym___strong] = ACTIONS(5509),
    [anon_sym___unsafe_unretained] = ACTIONS(5509),
    [anon_sym___unused] = ACTIONS(5509),
    [anon_sym___weak] = ACTIONS(5509),
    [anon_sym_alignas] = ACTIONS(5509),
    [anon_sym__Alignas] = ACTIONS(5509),
    [sym_primitive_type] = ACTIONS(5509),
    [anon_sym_enum] = ACTIONS(5509),
    [anon_sym_struct] = ACTIONS(5509),
    [anon_sym_union] = ACTIONS(5509),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5509),
    [anon_sym___typeof] = ACTIONS(5509),
    [anon_sym_typeof] = ACTIONS(5509),
    [aux_sym_preproc_undef_token1] = ACTIONS(5509),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5509),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5509),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5509),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5509),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5509),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5509),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5509),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5509),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5509),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5509),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5509),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5509),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5509),
    [anon_sym_API_AVAILABLE] = ACTIONS(5509),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5509),
    [anon_sym_API_DEPRECATED] = ACTIONS(5509),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5509),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5509),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5509),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5509),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5509),
    [anon_sym___deprecated_msg] = ACTIONS(5509),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5509),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5509),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5509),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5509),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5509),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5509),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5509),
    [anon_sym_ATsynthesize] = ACTIONS(5511),
    [anon_sym_ATdynamic] = ACTIONS(5511),
    [anon_sym_BOOL] = ACTIONS(5509),
    [anon_sym_IMP] = ACTIONS(5509),
    [anon_sym_SEL] = ACTIONS(5509),
    [anon_sym_Class] = ACTIONS(5509),
    [anon_sym_id] = ACTIONS(5509),
  },
  [2372] = {
    [sym_identifier] = ACTIONS(5439),
    [aux_sym_preproc_def_token1] = ACTIONS(5439),
    [aux_sym_preproc_if_token1] = ACTIONS(5439),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5439),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5439),
    [sym_preproc_directive] = ACTIONS(5439),
    [anon_sym_DASH] = ACTIONS(5441),
    [anon_sym_PLUS] = ACTIONS(5441),
    [anon_sym___extension__] = ACTIONS(5439),
    [anon_sym_typedef] = ACTIONS(5439),
    [anon_sym_extern] = ACTIONS(5439),
    [anon_sym___attribute__] = ACTIONS(5439),
    [anon_sym___attribute] = ACTIONS(5439),
    [anon_sym_noreturn] = ACTIONS(5439),
    [anon_sym_LBRACK] = ACTIONS(5441),
    [anon_sym___declspec] = ACTIONS(5439),
    [anon_sym___cdecl] = ACTIONS(5439),
    [anon_sym___clrcall] = ACTIONS(5439),
    [anon_sym___stdcall] = ACTIONS(5439),
    [anon_sym___fastcall] = ACTIONS(5439),
    [anon_sym___thiscall] = ACTIONS(5439),
    [anon_sym___vectorcall] = ACTIONS(5439),
    [anon_sym_signed] = ACTIONS(5439),
    [anon_sym_unsigned] = ACTIONS(5439),
    [anon_sym_long] = ACTIONS(5439),
    [anon_sym_short] = ACTIONS(5439),
    [anon_sym_static] = ACTIONS(5439),
    [anon_sym_auto] = ACTIONS(5439),
    [anon_sym_register] = ACTIONS(5439),
    [anon_sym_inline] = ACTIONS(5439),
    [anon_sym___inline] = ACTIONS(5439),
    [anon_sym___inline__] = ACTIONS(5439),
    [anon_sym___forceinline] = ACTIONS(5439),
    [anon_sym_thread_local] = ACTIONS(5439),
    [anon_sym___thread] = ACTIONS(5439),
    [anon_sym_CG_EXTERN] = ACTIONS(5439),
    [anon_sym_CG_INLINE] = ACTIONS(5439),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5439),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5439),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5439),
    [anon_sym_IBOutlet] = ACTIONS(5439),
    [anon_sym_IBInspectable] = ACTIONS(5439),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5439),
    [anon_sym_NS_INLINE] = ACTIONS(5439),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5439),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5439),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5439),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5439),
    [anon_sym_const] = ACTIONS(5439),
    [anon_sym_constexpr] = ACTIONS(5439),
    [anon_sym_volatile] = ACTIONS(5439),
    [anon_sym_restrict] = ACTIONS(5439),
    [anon_sym___restrict__] = ACTIONS(5439),
    [anon_sym__Atomic] = ACTIONS(5439),
    [anon_sym__Noreturn] = ACTIONS(5439),
    [anon_sym__Nonnull] = ACTIONS(5439),
    [anon_sym_nullable] = ACTIONS(5439),
    [anon_sym__Complex] = ACTIONS(5439),
    [anon_sym__Nullable] = ACTIONS(5439),
    [anon_sym__Nullable_result] = ACTIONS(5439),
    [anon_sym__Null_unspecified] = ACTIONS(5439),
    [anon_sym___autoreleasing] = ACTIONS(5439),
    [anon_sym___block] = ACTIONS(5439),
    [anon_sym___bridge] = ACTIONS(5439),
    [anon_sym___bridge_retained] = ACTIONS(5439),
    [anon_sym___bridge_transfer] = ACTIONS(5439),
    [anon_sym___complex] = ACTIONS(5439),
    [anon_sym___const] = ACTIONS(5439),
    [anon_sym___imag] = ACTIONS(5439),
    [anon_sym___kindof] = ACTIONS(5439),
    [anon_sym___nonnull] = ACTIONS(5439),
    [anon_sym___nullable] = ACTIONS(5439),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5439),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5439),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5439),
    [anon_sym___real] = ACTIONS(5439),
    [anon_sym___strong] = ACTIONS(5439),
    [anon_sym___unsafe_unretained] = ACTIONS(5439),
    [anon_sym___unused] = ACTIONS(5439),
    [anon_sym___weak] = ACTIONS(5439),
    [anon_sym_alignas] = ACTIONS(5439),
    [anon_sym__Alignas] = ACTIONS(5439),
    [sym_primitive_type] = ACTIONS(5439),
    [anon_sym_enum] = ACTIONS(5439),
    [anon_sym_struct] = ACTIONS(5439),
    [anon_sym_union] = ACTIONS(5439),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5439),
    [anon_sym___typeof] = ACTIONS(5439),
    [anon_sym_typeof] = ACTIONS(5439),
    [aux_sym_preproc_undef_token1] = ACTIONS(5439),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5439),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5439),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5439),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5439),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5439),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5439),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5439),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5439),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5439),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5439),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5439),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5439),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5439),
    [anon_sym_API_AVAILABLE] = ACTIONS(5439),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5439),
    [anon_sym_API_DEPRECATED] = ACTIONS(5439),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5439),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5439),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5439),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5439),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5439),
    [anon_sym___deprecated_msg] = ACTIONS(5439),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5439),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5439),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5439),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5439),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5439),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5439),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5439),
    [anon_sym_ATend] = ACTIONS(5441),
    [anon_sym_ATsynthesize] = ACTIONS(5441),
    [anon_sym_ATdynamic] = ACTIONS(5441),
    [anon_sym_BOOL] = ACTIONS(5439),
    [anon_sym_IMP] = ACTIONS(5439),
    [anon_sym_SEL] = ACTIONS(5439),
    [anon_sym_Class] = ACTIONS(5439),
    [anon_sym_id] = ACTIONS(5439),
  },
  [2373] = {
    [sym_identifier] = ACTIONS(2650),
    [aux_sym_preproc_def_token1] = ACTIONS(2650),
    [aux_sym_preproc_if_token1] = ACTIONS(2650),
    [aux_sym_preproc_if_token2] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2650),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2650),
    [sym_preproc_directive] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2652),
    [anon_sym_PLUS] = ACTIONS(2652),
    [anon_sym___extension__] = ACTIONS(2650),
    [anon_sym_typedef] = ACTIONS(2650),
    [anon_sym_extern] = ACTIONS(2650),
    [anon_sym___attribute__] = ACTIONS(2650),
    [anon_sym___attribute] = ACTIONS(2650),
    [anon_sym_noreturn] = ACTIONS(2650),
    [anon_sym_LBRACK] = ACTIONS(2652),
    [anon_sym___declspec] = ACTIONS(2650),
    [anon_sym___cdecl] = ACTIONS(2650),
    [anon_sym___clrcall] = ACTIONS(2650),
    [anon_sym___stdcall] = ACTIONS(2650),
    [anon_sym___fastcall] = ACTIONS(2650),
    [anon_sym___thiscall] = ACTIONS(2650),
    [anon_sym___vectorcall] = ACTIONS(2650),
    [anon_sym_signed] = ACTIONS(2650),
    [anon_sym_unsigned] = ACTIONS(2650),
    [anon_sym_long] = ACTIONS(2650),
    [anon_sym_short] = ACTIONS(2650),
    [anon_sym_static] = ACTIONS(2650),
    [anon_sym_auto] = ACTIONS(2650),
    [anon_sym_register] = ACTIONS(2650),
    [anon_sym_inline] = ACTIONS(2650),
    [anon_sym___inline] = ACTIONS(2650),
    [anon_sym___inline__] = ACTIONS(2650),
    [anon_sym___forceinline] = ACTIONS(2650),
    [anon_sym_thread_local] = ACTIONS(2650),
    [anon_sym___thread] = ACTIONS(2650),
    [anon_sym_CG_EXTERN] = ACTIONS(2650),
    [anon_sym_CG_INLINE] = ACTIONS(2650),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2650),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2650),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2650),
    [anon_sym_IBOutlet] = ACTIONS(2650),
    [anon_sym_IBInspectable] = ACTIONS(2650),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2650),
    [anon_sym_NS_INLINE] = ACTIONS(2650),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2650),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2650),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2650),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2650),
    [anon_sym_const] = ACTIONS(2650),
    [anon_sym_constexpr] = ACTIONS(2650),
    [anon_sym_volatile] = ACTIONS(2650),
    [anon_sym_restrict] = ACTIONS(2650),
    [anon_sym___restrict__] = ACTIONS(2650),
    [anon_sym__Atomic] = ACTIONS(2650),
    [anon_sym__Noreturn] = ACTIONS(2650),
    [anon_sym__Nonnull] = ACTIONS(2650),
    [anon_sym_nullable] = ACTIONS(2650),
    [anon_sym__Complex] = ACTIONS(2650),
    [anon_sym__Nullable] = ACTIONS(2650),
    [anon_sym__Nullable_result] = ACTIONS(2650),
    [anon_sym__Null_unspecified] = ACTIONS(2650),
    [anon_sym___autoreleasing] = ACTIONS(2650),
    [anon_sym___block] = ACTIONS(2650),
    [anon_sym___bridge] = ACTIONS(2650),
    [anon_sym___bridge_retained] = ACTIONS(2650),
    [anon_sym___bridge_transfer] = ACTIONS(2650),
    [anon_sym___complex] = ACTIONS(2650),
    [anon_sym___const] = ACTIONS(2650),
    [anon_sym___imag] = ACTIONS(2650),
    [anon_sym___kindof] = ACTIONS(2650),
    [anon_sym___nonnull] = ACTIONS(2650),
    [anon_sym___nullable] = ACTIONS(2650),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2650),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2650),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2650),
    [anon_sym___real] = ACTIONS(2650),
    [anon_sym___strong] = ACTIONS(2650),
    [anon_sym___unsafe_unretained] = ACTIONS(2650),
    [anon_sym___unused] = ACTIONS(2650),
    [anon_sym___weak] = ACTIONS(2650),
    [anon_sym_alignas] = ACTIONS(2650),
    [anon_sym__Alignas] = ACTIONS(2650),
    [sym_primitive_type] = ACTIONS(2650),
    [anon_sym_enum] = ACTIONS(2650),
    [anon_sym_struct] = ACTIONS(2650),
    [anon_sym_union] = ACTIONS(2650),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2650),
    [anon_sym___typeof] = ACTIONS(2650),
    [anon_sym_typeof] = ACTIONS(2650),
    [aux_sym_preproc_undef_token1] = ACTIONS(2650),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2650),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2650),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2650),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2650),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2650),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2650),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2650),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2650),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2650),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2650),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2650),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2650),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2650),
    [anon_sym_API_AVAILABLE] = ACTIONS(2650),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2650),
    [anon_sym_API_DEPRECATED] = ACTIONS(2650),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2650),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2650),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2650),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2650),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2650),
    [anon_sym___deprecated_msg] = ACTIONS(2650),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2650),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2650),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2650),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2650),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2650),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2650),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2650),
    [anon_sym_ATsynthesize] = ACTIONS(2652),
    [anon_sym_ATdynamic] = ACTIONS(2652),
    [anon_sym_BOOL] = ACTIONS(2650),
    [anon_sym_IMP] = ACTIONS(2650),
    [anon_sym_SEL] = ACTIONS(2650),
    [anon_sym_Class] = ACTIONS(2650),
    [anon_sym_id] = ACTIONS(2650),
  },
  [2374] = {
    [sym_identifier] = ACTIONS(5445),
    [aux_sym_preproc_def_token1] = ACTIONS(5445),
    [aux_sym_preproc_if_token1] = ACTIONS(5445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5445),
    [sym_preproc_directive] = ACTIONS(5445),
    [anon_sym_DASH] = ACTIONS(5447),
    [anon_sym_PLUS] = ACTIONS(5447),
    [anon_sym___extension__] = ACTIONS(5445),
    [anon_sym_typedef] = ACTIONS(5445),
    [anon_sym_extern] = ACTIONS(5445),
    [anon_sym___attribute__] = ACTIONS(5445),
    [anon_sym___attribute] = ACTIONS(5445),
    [anon_sym_noreturn] = ACTIONS(5445),
    [anon_sym_LBRACK] = ACTIONS(5447),
    [anon_sym___declspec] = ACTIONS(5445),
    [anon_sym___cdecl] = ACTIONS(5445),
    [anon_sym___clrcall] = ACTIONS(5445),
    [anon_sym___stdcall] = ACTIONS(5445),
    [anon_sym___fastcall] = ACTIONS(5445),
    [anon_sym___thiscall] = ACTIONS(5445),
    [anon_sym___vectorcall] = ACTIONS(5445),
    [anon_sym_signed] = ACTIONS(5445),
    [anon_sym_unsigned] = ACTIONS(5445),
    [anon_sym_long] = ACTIONS(5445),
    [anon_sym_short] = ACTIONS(5445),
    [anon_sym_static] = ACTIONS(5445),
    [anon_sym_auto] = ACTIONS(5445),
    [anon_sym_register] = ACTIONS(5445),
    [anon_sym_inline] = ACTIONS(5445),
    [anon_sym___inline] = ACTIONS(5445),
    [anon_sym___inline__] = ACTIONS(5445),
    [anon_sym___forceinline] = ACTIONS(5445),
    [anon_sym_thread_local] = ACTIONS(5445),
    [anon_sym___thread] = ACTIONS(5445),
    [anon_sym_CG_EXTERN] = ACTIONS(5445),
    [anon_sym_CG_INLINE] = ACTIONS(5445),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5445),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5445),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5445),
    [anon_sym_IBOutlet] = ACTIONS(5445),
    [anon_sym_IBInspectable] = ACTIONS(5445),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5445),
    [anon_sym_NS_INLINE] = ACTIONS(5445),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5445),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5445),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5445),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5445),
    [anon_sym_const] = ACTIONS(5445),
    [anon_sym_constexpr] = ACTIONS(5445),
    [anon_sym_volatile] = ACTIONS(5445),
    [anon_sym_restrict] = ACTIONS(5445),
    [anon_sym___restrict__] = ACTIONS(5445),
    [anon_sym__Atomic] = ACTIONS(5445),
    [anon_sym__Noreturn] = ACTIONS(5445),
    [anon_sym__Nonnull] = ACTIONS(5445),
    [anon_sym_nullable] = ACTIONS(5445),
    [anon_sym__Complex] = ACTIONS(5445),
    [anon_sym__Nullable] = ACTIONS(5445),
    [anon_sym__Nullable_result] = ACTIONS(5445),
    [anon_sym__Null_unspecified] = ACTIONS(5445),
    [anon_sym___autoreleasing] = ACTIONS(5445),
    [anon_sym___block] = ACTIONS(5445),
    [anon_sym___bridge] = ACTIONS(5445),
    [anon_sym___bridge_retained] = ACTIONS(5445),
    [anon_sym___bridge_transfer] = ACTIONS(5445),
    [anon_sym___complex] = ACTIONS(5445),
    [anon_sym___const] = ACTIONS(5445),
    [anon_sym___imag] = ACTIONS(5445),
    [anon_sym___kindof] = ACTIONS(5445),
    [anon_sym___nonnull] = ACTIONS(5445),
    [anon_sym___nullable] = ACTIONS(5445),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5445),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5445),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5445),
    [anon_sym___real] = ACTIONS(5445),
    [anon_sym___strong] = ACTIONS(5445),
    [anon_sym___unsafe_unretained] = ACTIONS(5445),
    [anon_sym___unused] = ACTIONS(5445),
    [anon_sym___weak] = ACTIONS(5445),
    [anon_sym_alignas] = ACTIONS(5445),
    [anon_sym__Alignas] = ACTIONS(5445),
    [sym_primitive_type] = ACTIONS(5445),
    [anon_sym_enum] = ACTIONS(5445),
    [anon_sym_struct] = ACTIONS(5445),
    [anon_sym_union] = ACTIONS(5445),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5445),
    [anon_sym___typeof] = ACTIONS(5445),
    [anon_sym_typeof] = ACTIONS(5445),
    [aux_sym_preproc_undef_token1] = ACTIONS(5445),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5445),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5445),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5445),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5445),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5445),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5445),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5445),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5445),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5445),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5445),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5445),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5445),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5445),
    [anon_sym_API_AVAILABLE] = ACTIONS(5445),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5445),
    [anon_sym_API_DEPRECATED] = ACTIONS(5445),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5445),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5445),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5445),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5445),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5445),
    [anon_sym___deprecated_msg] = ACTIONS(5445),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5445),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5445),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5445),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5445),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5445),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5445),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5445),
    [anon_sym_ATend] = ACTIONS(5447),
    [anon_sym_ATsynthesize] = ACTIONS(5447),
    [anon_sym_ATdynamic] = ACTIONS(5447),
    [anon_sym_BOOL] = ACTIONS(5445),
    [anon_sym_IMP] = ACTIONS(5445),
    [anon_sym_SEL] = ACTIONS(5445),
    [anon_sym_Class] = ACTIONS(5445),
    [anon_sym_id] = ACTIONS(5445),
  },
  [2375] = {
    [sym_identifier] = ACTIONS(5379),
    [aux_sym_preproc_def_token1] = ACTIONS(5379),
    [aux_sym_preproc_if_token1] = ACTIONS(5379),
    [aux_sym_preproc_if_token2] = ACTIONS(5379),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5379),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5379),
    [sym_preproc_directive] = ACTIONS(5379),
    [anon_sym_DASH] = ACTIONS(5381),
    [anon_sym_PLUS] = ACTIONS(5381),
    [anon_sym___extension__] = ACTIONS(5379),
    [anon_sym_typedef] = ACTIONS(5379),
    [anon_sym_extern] = ACTIONS(5379),
    [anon_sym___attribute__] = ACTIONS(5379),
    [anon_sym___attribute] = ACTIONS(5379),
    [anon_sym_noreturn] = ACTIONS(5379),
    [anon_sym_LBRACK] = ACTIONS(5381),
    [anon_sym___declspec] = ACTIONS(5379),
    [anon_sym___cdecl] = ACTIONS(5379),
    [anon_sym___clrcall] = ACTIONS(5379),
    [anon_sym___stdcall] = ACTIONS(5379),
    [anon_sym___fastcall] = ACTIONS(5379),
    [anon_sym___thiscall] = ACTIONS(5379),
    [anon_sym___vectorcall] = ACTIONS(5379),
    [anon_sym_signed] = ACTIONS(5379),
    [anon_sym_unsigned] = ACTIONS(5379),
    [anon_sym_long] = ACTIONS(5379),
    [anon_sym_short] = ACTIONS(5379),
    [anon_sym_static] = ACTIONS(5379),
    [anon_sym_auto] = ACTIONS(5379),
    [anon_sym_register] = ACTIONS(5379),
    [anon_sym_inline] = ACTIONS(5379),
    [anon_sym___inline] = ACTIONS(5379),
    [anon_sym___inline__] = ACTIONS(5379),
    [anon_sym___forceinline] = ACTIONS(5379),
    [anon_sym_thread_local] = ACTIONS(5379),
    [anon_sym___thread] = ACTIONS(5379),
    [anon_sym_CG_EXTERN] = ACTIONS(5379),
    [anon_sym_CG_INLINE] = ACTIONS(5379),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5379),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5379),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5379),
    [anon_sym_IBOutlet] = ACTIONS(5379),
    [anon_sym_IBInspectable] = ACTIONS(5379),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5379),
    [anon_sym_NS_INLINE] = ACTIONS(5379),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5379),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5379),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5379),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5379),
    [anon_sym_const] = ACTIONS(5379),
    [anon_sym_constexpr] = ACTIONS(5379),
    [anon_sym_volatile] = ACTIONS(5379),
    [anon_sym_restrict] = ACTIONS(5379),
    [anon_sym___restrict__] = ACTIONS(5379),
    [anon_sym__Atomic] = ACTIONS(5379),
    [anon_sym__Noreturn] = ACTIONS(5379),
    [anon_sym__Nonnull] = ACTIONS(5379),
    [anon_sym_nullable] = ACTIONS(5379),
    [anon_sym__Complex] = ACTIONS(5379),
    [anon_sym__Nullable] = ACTIONS(5379),
    [anon_sym__Nullable_result] = ACTIONS(5379),
    [anon_sym__Null_unspecified] = ACTIONS(5379),
    [anon_sym___autoreleasing] = ACTIONS(5379),
    [anon_sym___block] = ACTIONS(5379),
    [anon_sym___bridge] = ACTIONS(5379),
    [anon_sym___bridge_retained] = ACTIONS(5379),
    [anon_sym___bridge_transfer] = ACTIONS(5379),
    [anon_sym___complex] = ACTIONS(5379),
    [anon_sym___const] = ACTIONS(5379),
    [anon_sym___imag] = ACTIONS(5379),
    [anon_sym___kindof] = ACTIONS(5379),
    [anon_sym___nonnull] = ACTIONS(5379),
    [anon_sym___nullable] = ACTIONS(5379),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5379),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5379),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5379),
    [anon_sym___real] = ACTIONS(5379),
    [anon_sym___strong] = ACTIONS(5379),
    [anon_sym___unsafe_unretained] = ACTIONS(5379),
    [anon_sym___unused] = ACTIONS(5379),
    [anon_sym___weak] = ACTIONS(5379),
    [anon_sym_alignas] = ACTIONS(5379),
    [anon_sym__Alignas] = ACTIONS(5379),
    [sym_primitive_type] = ACTIONS(5379),
    [anon_sym_enum] = ACTIONS(5379),
    [anon_sym_struct] = ACTIONS(5379),
    [anon_sym_union] = ACTIONS(5379),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5379),
    [anon_sym___typeof] = ACTIONS(5379),
    [anon_sym_typeof] = ACTIONS(5379),
    [aux_sym_preproc_undef_token1] = ACTIONS(5379),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5379),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5379),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5379),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5379),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5379),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5379),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5379),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5379),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5379),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5379),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5379),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5379),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5379),
    [anon_sym_API_AVAILABLE] = ACTIONS(5379),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5379),
    [anon_sym_API_DEPRECATED] = ACTIONS(5379),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5379),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5379),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5379),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5379),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5379),
    [anon_sym___deprecated_msg] = ACTIONS(5379),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5379),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5379),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5379),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5379),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5379),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5379),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5379),
    [anon_sym_ATsynthesize] = ACTIONS(5381),
    [anon_sym_ATdynamic] = ACTIONS(5381),
    [anon_sym_BOOL] = ACTIONS(5379),
    [anon_sym_IMP] = ACTIONS(5379),
    [anon_sym_SEL] = ACTIONS(5379),
    [anon_sym_Class] = ACTIONS(5379),
    [anon_sym_id] = ACTIONS(5379),
  },
  [2376] = {
    [sym_identifier] = ACTIONS(5501),
    [aux_sym_preproc_def_token1] = ACTIONS(5501),
    [aux_sym_preproc_if_token1] = ACTIONS(5501),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5501),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5501),
    [sym_preproc_directive] = ACTIONS(5501),
    [anon_sym_DASH] = ACTIONS(5503),
    [anon_sym_PLUS] = ACTIONS(5503),
    [anon_sym___extension__] = ACTIONS(5501),
    [anon_sym_typedef] = ACTIONS(5501),
    [anon_sym_extern] = ACTIONS(5501),
    [anon_sym___attribute__] = ACTIONS(5501),
    [anon_sym___attribute] = ACTIONS(5501),
    [anon_sym_noreturn] = ACTIONS(5501),
    [anon_sym_LBRACK] = ACTIONS(5503),
    [anon_sym___declspec] = ACTIONS(5501),
    [anon_sym___cdecl] = ACTIONS(5501),
    [anon_sym___clrcall] = ACTIONS(5501),
    [anon_sym___stdcall] = ACTIONS(5501),
    [anon_sym___fastcall] = ACTIONS(5501),
    [anon_sym___thiscall] = ACTIONS(5501),
    [anon_sym___vectorcall] = ACTIONS(5501),
    [anon_sym_signed] = ACTIONS(5501),
    [anon_sym_unsigned] = ACTIONS(5501),
    [anon_sym_long] = ACTIONS(5501),
    [anon_sym_short] = ACTIONS(5501),
    [anon_sym_static] = ACTIONS(5501),
    [anon_sym_auto] = ACTIONS(5501),
    [anon_sym_register] = ACTIONS(5501),
    [anon_sym_inline] = ACTIONS(5501),
    [anon_sym___inline] = ACTIONS(5501),
    [anon_sym___inline__] = ACTIONS(5501),
    [anon_sym___forceinline] = ACTIONS(5501),
    [anon_sym_thread_local] = ACTIONS(5501),
    [anon_sym___thread] = ACTIONS(5501),
    [anon_sym_CG_EXTERN] = ACTIONS(5501),
    [anon_sym_CG_INLINE] = ACTIONS(5501),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5501),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5501),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5501),
    [anon_sym_IBOutlet] = ACTIONS(5501),
    [anon_sym_IBInspectable] = ACTIONS(5501),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5501),
    [anon_sym_NS_INLINE] = ACTIONS(5501),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5501),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5501),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5501),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5501),
    [anon_sym_const] = ACTIONS(5501),
    [anon_sym_constexpr] = ACTIONS(5501),
    [anon_sym_volatile] = ACTIONS(5501),
    [anon_sym_restrict] = ACTIONS(5501),
    [anon_sym___restrict__] = ACTIONS(5501),
    [anon_sym__Atomic] = ACTIONS(5501),
    [anon_sym__Noreturn] = ACTIONS(5501),
    [anon_sym__Nonnull] = ACTIONS(5501),
    [anon_sym_nullable] = ACTIONS(5501),
    [anon_sym__Complex] = ACTIONS(5501),
    [anon_sym__Nullable] = ACTIONS(5501),
    [anon_sym__Nullable_result] = ACTIONS(5501),
    [anon_sym__Null_unspecified] = ACTIONS(5501),
    [anon_sym___autoreleasing] = ACTIONS(5501),
    [anon_sym___block] = ACTIONS(5501),
    [anon_sym___bridge] = ACTIONS(5501),
    [anon_sym___bridge_retained] = ACTIONS(5501),
    [anon_sym___bridge_transfer] = ACTIONS(5501),
    [anon_sym___complex] = ACTIONS(5501),
    [anon_sym___const] = ACTIONS(5501),
    [anon_sym___imag] = ACTIONS(5501),
    [anon_sym___kindof] = ACTIONS(5501),
    [anon_sym___nonnull] = ACTIONS(5501),
    [anon_sym___nullable] = ACTIONS(5501),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5501),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5501),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5501),
    [anon_sym___real] = ACTIONS(5501),
    [anon_sym___strong] = ACTIONS(5501),
    [anon_sym___unsafe_unretained] = ACTIONS(5501),
    [anon_sym___unused] = ACTIONS(5501),
    [anon_sym___weak] = ACTIONS(5501),
    [anon_sym_alignas] = ACTIONS(5501),
    [anon_sym__Alignas] = ACTIONS(5501),
    [sym_primitive_type] = ACTIONS(5501),
    [anon_sym_enum] = ACTIONS(5501),
    [anon_sym_struct] = ACTIONS(5501),
    [anon_sym_union] = ACTIONS(5501),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5501),
    [anon_sym___typeof] = ACTIONS(5501),
    [anon_sym_typeof] = ACTIONS(5501),
    [aux_sym_preproc_undef_token1] = ACTIONS(5501),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5501),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5501),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5501),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5501),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5501),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5501),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5501),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5501),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5501),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5501),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5501),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5501),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5501),
    [anon_sym_API_AVAILABLE] = ACTIONS(5501),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5501),
    [anon_sym_API_DEPRECATED] = ACTIONS(5501),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5501),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5501),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5501),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5501),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5501),
    [anon_sym___deprecated_msg] = ACTIONS(5501),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5501),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5501),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5501),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5501),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5501),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5501),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5501),
    [anon_sym_ATend] = ACTIONS(5503),
    [anon_sym_ATsynthesize] = ACTIONS(5503),
    [anon_sym_ATdynamic] = ACTIONS(5503),
    [anon_sym_BOOL] = ACTIONS(5501),
    [anon_sym_IMP] = ACTIONS(5501),
    [anon_sym_SEL] = ACTIONS(5501),
    [anon_sym_Class] = ACTIONS(5501),
    [anon_sym_id] = ACTIONS(5501),
  },
  [2377] = {
    [sym_identifier] = ACTIONS(5493),
    [aux_sym_preproc_def_token1] = ACTIONS(5493),
    [aux_sym_preproc_if_token1] = ACTIONS(5493),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5493),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5493),
    [sym_preproc_directive] = ACTIONS(5493),
    [anon_sym_DASH] = ACTIONS(5495),
    [anon_sym_PLUS] = ACTIONS(5495),
    [anon_sym___extension__] = ACTIONS(5493),
    [anon_sym_typedef] = ACTIONS(5493),
    [anon_sym_extern] = ACTIONS(5493),
    [anon_sym___attribute__] = ACTIONS(5493),
    [anon_sym___attribute] = ACTIONS(5493),
    [anon_sym_noreturn] = ACTIONS(5493),
    [anon_sym_LBRACK] = ACTIONS(5495),
    [anon_sym___declspec] = ACTIONS(5493),
    [anon_sym___cdecl] = ACTIONS(5493),
    [anon_sym___clrcall] = ACTIONS(5493),
    [anon_sym___stdcall] = ACTIONS(5493),
    [anon_sym___fastcall] = ACTIONS(5493),
    [anon_sym___thiscall] = ACTIONS(5493),
    [anon_sym___vectorcall] = ACTIONS(5493),
    [anon_sym_signed] = ACTIONS(5493),
    [anon_sym_unsigned] = ACTIONS(5493),
    [anon_sym_long] = ACTIONS(5493),
    [anon_sym_short] = ACTIONS(5493),
    [anon_sym_static] = ACTIONS(5493),
    [anon_sym_auto] = ACTIONS(5493),
    [anon_sym_register] = ACTIONS(5493),
    [anon_sym_inline] = ACTIONS(5493),
    [anon_sym___inline] = ACTIONS(5493),
    [anon_sym___inline__] = ACTIONS(5493),
    [anon_sym___forceinline] = ACTIONS(5493),
    [anon_sym_thread_local] = ACTIONS(5493),
    [anon_sym___thread] = ACTIONS(5493),
    [anon_sym_CG_EXTERN] = ACTIONS(5493),
    [anon_sym_CG_INLINE] = ACTIONS(5493),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5493),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5493),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5493),
    [anon_sym_IBOutlet] = ACTIONS(5493),
    [anon_sym_IBInspectable] = ACTIONS(5493),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5493),
    [anon_sym_NS_INLINE] = ACTIONS(5493),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5493),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5493),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5493),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5493),
    [anon_sym_const] = ACTIONS(5493),
    [anon_sym_constexpr] = ACTIONS(5493),
    [anon_sym_volatile] = ACTIONS(5493),
    [anon_sym_restrict] = ACTIONS(5493),
    [anon_sym___restrict__] = ACTIONS(5493),
    [anon_sym__Atomic] = ACTIONS(5493),
    [anon_sym__Noreturn] = ACTIONS(5493),
    [anon_sym__Nonnull] = ACTIONS(5493),
    [anon_sym_nullable] = ACTIONS(5493),
    [anon_sym__Complex] = ACTIONS(5493),
    [anon_sym__Nullable] = ACTIONS(5493),
    [anon_sym__Nullable_result] = ACTIONS(5493),
    [anon_sym__Null_unspecified] = ACTIONS(5493),
    [anon_sym___autoreleasing] = ACTIONS(5493),
    [anon_sym___block] = ACTIONS(5493),
    [anon_sym___bridge] = ACTIONS(5493),
    [anon_sym___bridge_retained] = ACTIONS(5493),
    [anon_sym___bridge_transfer] = ACTIONS(5493),
    [anon_sym___complex] = ACTIONS(5493),
    [anon_sym___const] = ACTIONS(5493),
    [anon_sym___imag] = ACTIONS(5493),
    [anon_sym___kindof] = ACTIONS(5493),
    [anon_sym___nonnull] = ACTIONS(5493),
    [anon_sym___nullable] = ACTIONS(5493),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5493),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5493),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5493),
    [anon_sym___real] = ACTIONS(5493),
    [anon_sym___strong] = ACTIONS(5493),
    [anon_sym___unsafe_unretained] = ACTIONS(5493),
    [anon_sym___unused] = ACTIONS(5493),
    [anon_sym___weak] = ACTIONS(5493),
    [anon_sym_alignas] = ACTIONS(5493),
    [anon_sym__Alignas] = ACTIONS(5493),
    [sym_primitive_type] = ACTIONS(5493),
    [anon_sym_enum] = ACTIONS(5493),
    [anon_sym_struct] = ACTIONS(5493),
    [anon_sym_union] = ACTIONS(5493),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5493),
    [anon_sym___typeof] = ACTIONS(5493),
    [anon_sym_typeof] = ACTIONS(5493),
    [aux_sym_preproc_undef_token1] = ACTIONS(5493),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5493),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5493),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5493),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5493),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5493),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5493),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5493),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5493),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5493),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5493),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5493),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5493),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5493),
    [anon_sym_API_AVAILABLE] = ACTIONS(5493),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5493),
    [anon_sym_API_DEPRECATED] = ACTIONS(5493),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5493),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5493),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5493),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5493),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5493),
    [anon_sym___deprecated_msg] = ACTIONS(5493),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5493),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5493),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5493),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5493),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5493),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5493),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5493),
    [anon_sym_ATend] = ACTIONS(5495),
    [anon_sym_ATsynthesize] = ACTIONS(5495),
    [anon_sym_ATdynamic] = ACTIONS(5495),
    [anon_sym_BOOL] = ACTIONS(5493),
    [anon_sym_IMP] = ACTIONS(5493),
    [anon_sym_SEL] = ACTIONS(5493),
    [anon_sym_Class] = ACTIONS(5493),
    [anon_sym_id] = ACTIONS(5493),
  },
  [2378] = {
    [sym_identifier] = ACTIONS(2654),
    [aux_sym_preproc_def_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2654),
    [sym_preproc_directive] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2656),
    [anon_sym___extension__] = ACTIONS(2654),
    [anon_sym_typedef] = ACTIONS(2654),
    [anon_sym_extern] = ACTIONS(2654),
    [anon_sym___attribute__] = ACTIONS(2654),
    [anon_sym___attribute] = ACTIONS(2654),
    [anon_sym_noreturn] = ACTIONS(2654),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym___declspec] = ACTIONS(2654),
    [anon_sym___cdecl] = ACTIONS(2654),
    [anon_sym___clrcall] = ACTIONS(2654),
    [anon_sym___stdcall] = ACTIONS(2654),
    [anon_sym___fastcall] = ACTIONS(2654),
    [anon_sym___thiscall] = ACTIONS(2654),
    [anon_sym___vectorcall] = ACTIONS(2654),
    [anon_sym_signed] = ACTIONS(2654),
    [anon_sym_unsigned] = ACTIONS(2654),
    [anon_sym_long] = ACTIONS(2654),
    [anon_sym_short] = ACTIONS(2654),
    [anon_sym_static] = ACTIONS(2654),
    [anon_sym_auto] = ACTIONS(2654),
    [anon_sym_register] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym___inline] = ACTIONS(2654),
    [anon_sym___inline__] = ACTIONS(2654),
    [anon_sym___forceinline] = ACTIONS(2654),
    [anon_sym_thread_local] = ACTIONS(2654),
    [anon_sym___thread] = ACTIONS(2654),
    [anon_sym_CG_EXTERN] = ACTIONS(2654),
    [anon_sym_CG_INLINE] = ACTIONS(2654),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2654),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2654),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2654),
    [anon_sym_IBOutlet] = ACTIONS(2654),
    [anon_sym_IBInspectable] = ACTIONS(2654),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2654),
    [anon_sym_NS_INLINE] = ACTIONS(2654),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2654),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2654),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2654),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_constexpr] = ACTIONS(2654),
    [anon_sym_volatile] = ACTIONS(2654),
    [anon_sym_restrict] = ACTIONS(2654),
    [anon_sym___restrict__] = ACTIONS(2654),
    [anon_sym__Atomic] = ACTIONS(2654),
    [anon_sym__Noreturn] = ACTIONS(2654),
    [anon_sym__Nonnull] = ACTIONS(2654),
    [anon_sym_nullable] = ACTIONS(2654),
    [anon_sym__Complex] = ACTIONS(2654),
    [anon_sym__Nullable] = ACTIONS(2654),
    [anon_sym__Nullable_result] = ACTIONS(2654),
    [anon_sym__Null_unspecified] = ACTIONS(2654),
    [anon_sym___autoreleasing] = ACTIONS(2654),
    [anon_sym___block] = ACTIONS(2654),
    [anon_sym___bridge] = ACTIONS(2654),
    [anon_sym___bridge_retained] = ACTIONS(2654),
    [anon_sym___bridge_transfer] = ACTIONS(2654),
    [anon_sym___complex] = ACTIONS(2654),
    [anon_sym___const] = ACTIONS(2654),
    [anon_sym___imag] = ACTIONS(2654),
    [anon_sym___kindof] = ACTIONS(2654),
    [anon_sym___nonnull] = ACTIONS(2654),
    [anon_sym___nullable] = ACTIONS(2654),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2654),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2654),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2654),
    [anon_sym___real] = ACTIONS(2654),
    [anon_sym___strong] = ACTIONS(2654),
    [anon_sym___unsafe_unretained] = ACTIONS(2654),
    [anon_sym___unused] = ACTIONS(2654),
    [anon_sym___weak] = ACTIONS(2654),
    [anon_sym_alignas] = ACTIONS(2654),
    [anon_sym__Alignas] = ACTIONS(2654),
    [sym_primitive_type] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_struct] = ACTIONS(2654),
    [anon_sym_union] = ACTIONS(2654),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2654),
    [anon_sym___typeof] = ACTIONS(2654),
    [anon_sym_typeof] = ACTIONS(2654),
    [aux_sym_preproc_undef_token1] = ACTIONS(2654),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2654),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2654),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2654),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2654),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2654),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2654),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2654),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2654),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2654),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2654),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2654),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2654),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2654),
    [anon_sym_API_AVAILABLE] = ACTIONS(2654),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2654),
    [anon_sym_API_DEPRECATED] = ACTIONS(2654),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2654),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2654),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2654),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2654),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2654),
    [anon_sym___deprecated_msg] = ACTIONS(2654),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2654),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2654),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2654),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2654),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2654),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2654),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2654),
    [anon_sym_ATend] = ACTIONS(2656),
    [anon_sym_ATsynthesize] = ACTIONS(2656),
    [anon_sym_ATdynamic] = ACTIONS(2656),
    [anon_sym_BOOL] = ACTIONS(2654),
    [anon_sym_IMP] = ACTIONS(2654),
    [anon_sym_SEL] = ACTIONS(2654),
    [anon_sym_Class] = ACTIONS(2654),
    [anon_sym_id] = ACTIONS(2654),
  },
  [2379] = {
    [sym_identifier] = ACTIONS(5070),
    [aux_sym_preproc_def_token1] = ACTIONS(5070),
    [aux_sym_preproc_if_token1] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5070),
    [sym_preproc_directive] = ACTIONS(5070),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym___extension__] = ACTIONS(5070),
    [anon_sym_typedef] = ACTIONS(5070),
    [anon_sym_extern] = ACTIONS(5070),
    [anon_sym___attribute__] = ACTIONS(5070),
    [anon_sym___attribute] = ACTIONS(5070),
    [anon_sym_noreturn] = ACTIONS(5070),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [anon_sym___declspec] = ACTIONS(5070),
    [anon_sym___cdecl] = ACTIONS(5070),
    [anon_sym___clrcall] = ACTIONS(5070),
    [anon_sym___stdcall] = ACTIONS(5070),
    [anon_sym___fastcall] = ACTIONS(5070),
    [anon_sym___thiscall] = ACTIONS(5070),
    [anon_sym___vectorcall] = ACTIONS(5070),
    [anon_sym_signed] = ACTIONS(5070),
    [anon_sym_unsigned] = ACTIONS(5070),
    [anon_sym_long] = ACTIONS(5070),
    [anon_sym_short] = ACTIONS(5070),
    [anon_sym_static] = ACTIONS(5070),
    [anon_sym_auto] = ACTIONS(5070),
    [anon_sym_register] = ACTIONS(5070),
    [anon_sym_inline] = ACTIONS(5070),
    [anon_sym___inline] = ACTIONS(5070),
    [anon_sym___inline__] = ACTIONS(5070),
    [anon_sym___forceinline] = ACTIONS(5070),
    [anon_sym_thread_local] = ACTIONS(5070),
    [anon_sym___thread] = ACTIONS(5070),
    [anon_sym_CG_EXTERN] = ACTIONS(5070),
    [anon_sym_CG_INLINE] = ACTIONS(5070),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5070),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5070),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5070),
    [anon_sym_IBOutlet] = ACTIONS(5070),
    [anon_sym_IBInspectable] = ACTIONS(5070),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5070),
    [anon_sym_NS_INLINE] = ACTIONS(5070),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5070),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5070),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5070),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5070),
    [anon_sym_const] = ACTIONS(5070),
    [anon_sym_constexpr] = ACTIONS(5070),
    [anon_sym_volatile] = ACTIONS(5070),
    [anon_sym_restrict] = ACTIONS(5070),
    [anon_sym___restrict__] = ACTIONS(5070),
    [anon_sym__Atomic] = ACTIONS(5070),
    [anon_sym__Noreturn] = ACTIONS(5070),
    [anon_sym__Nonnull] = ACTIONS(5070),
    [anon_sym_nullable] = ACTIONS(5070),
    [anon_sym__Complex] = ACTIONS(5070),
    [anon_sym__Nullable] = ACTIONS(5070),
    [anon_sym__Nullable_result] = ACTIONS(5070),
    [anon_sym__Null_unspecified] = ACTIONS(5070),
    [anon_sym___autoreleasing] = ACTIONS(5070),
    [anon_sym___block] = ACTIONS(5070),
    [anon_sym___bridge] = ACTIONS(5070),
    [anon_sym___bridge_retained] = ACTIONS(5070),
    [anon_sym___bridge_transfer] = ACTIONS(5070),
    [anon_sym___complex] = ACTIONS(5070),
    [anon_sym___const] = ACTIONS(5070),
    [anon_sym___imag] = ACTIONS(5070),
    [anon_sym___kindof] = ACTIONS(5070),
    [anon_sym___nonnull] = ACTIONS(5070),
    [anon_sym___nullable] = ACTIONS(5070),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5070),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5070),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5070),
    [anon_sym___real] = ACTIONS(5070),
    [anon_sym___strong] = ACTIONS(5070),
    [anon_sym___unsafe_unretained] = ACTIONS(5070),
    [anon_sym___unused] = ACTIONS(5070),
    [anon_sym___weak] = ACTIONS(5070),
    [anon_sym_alignas] = ACTIONS(5070),
    [anon_sym__Alignas] = ACTIONS(5070),
    [sym_primitive_type] = ACTIONS(5070),
    [anon_sym_enum] = ACTIONS(5070),
    [anon_sym_struct] = ACTIONS(5070),
    [anon_sym_union] = ACTIONS(5070),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5070),
    [anon_sym___typeof] = ACTIONS(5070),
    [anon_sym_typeof] = ACTIONS(5070),
    [aux_sym_preproc_undef_token1] = ACTIONS(5070),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5070),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5070),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5070),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5070),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5070),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5070),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5070),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5070),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5070),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5070),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5070),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5070),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5070),
    [anon_sym_API_AVAILABLE] = ACTIONS(5070),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5070),
    [anon_sym_API_DEPRECATED] = ACTIONS(5070),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5070),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5070),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5070),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5070),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5070),
    [anon_sym___deprecated_msg] = ACTIONS(5070),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5070),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5070),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5070),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5070),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5070),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5070),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5070),
    [anon_sym_ATend] = ACTIONS(5074),
    [anon_sym_ATsynthesize] = ACTIONS(5074),
    [anon_sym_ATdynamic] = ACTIONS(5074),
    [anon_sym_BOOL] = ACTIONS(5070),
    [anon_sym_IMP] = ACTIONS(5070),
    [anon_sym_SEL] = ACTIONS(5070),
    [anon_sym_Class] = ACTIONS(5070),
    [anon_sym_id] = ACTIONS(5070),
  },
  [2380] = {
    [sym_identifier] = ACTIONS(5509),
    [aux_sym_preproc_def_token1] = ACTIONS(5509),
    [aux_sym_preproc_if_token1] = ACTIONS(5509),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5509),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5509),
    [sym_preproc_directive] = ACTIONS(5509),
    [anon_sym_DASH] = ACTIONS(5511),
    [anon_sym_PLUS] = ACTIONS(5511),
    [anon_sym___extension__] = ACTIONS(5509),
    [anon_sym_typedef] = ACTIONS(5509),
    [anon_sym_extern] = ACTIONS(5509),
    [anon_sym___attribute__] = ACTIONS(5509),
    [anon_sym___attribute] = ACTIONS(5509),
    [anon_sym_noreturn] = ACTIONS(5509),
    [anon_sym_LBRACK] = ACTIONS(5511),
    [anon_sym___declspec] = ACTIONS(5509),
    [anon_sym___cdecl] = ACTIONS(5509),
    [anon_sym___clrcall] = ACTIONS(5509),
    [anon_sym___stdcall] = ACTIONS(5509),
    [anon_sym___fastcall] = ACTIONS(5509),
    [anon_sym___thiscall] = ACTIONS(5509),
    [anon_sym___vectorcall] = ACTIONS(5509),
    [anon_sym_signed] = ACTIONS(5509),
    [anon_sym_unsigned] = ACTIONS(5509),
    [anon_sym_long] = ACTIONS(5509),
    [anon_sym_short] = ACTIONS(5509),
    [anon_sym_static] = ACTIONS(5509),
    [anon_sym_auto] = ACTIONS(5509),
    [anon_sym_register] = ACTIONS(5509),
    [anon_sym_inline] = ACTIONS(5509),
    [anon_sym___inline] = ACTIONS(5509),
    [anon_sym___inline__] = ACTIONS(5509),
    [anon_sym___forceinline] = ACTIONS(5509),
    [anon_sym_thread_local] = ACTIONS(5509),
    [anon_sym___thread] = ACTIONS(5509),
    [anon_sym_CG_EXTERN] = ACTIONS(5509),
    [anon_sym_CG_INLINE] = ACTIONS(5509),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5509),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5509),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5509),
    [anon_sym_IBOutlet] = ACTIONS(5509),
    [anon_sym_IBInspectable] = ACTIONS(5509),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5509),
    [anon_sym_NS_INLINE] = ACTIONS(5509),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5509),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5509),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5509),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5509),
    [anon_sym_const] = ACTIONS(5509),
    [anon_sym_constexpr] = ACTIONS(5509),
    [anon_sym_volatile] = ACTIONS(5509),
    [anon_sym_restrict] = ACTIONS(5509),
    [anon_sym___restrict__] = ACTIONS(5509),
    [anon_sym__Atomic] = ACTIONS(5509),
    [anon_sym__Noreturn] = ACTIONS(5509),
    [anon_sym__Nonnull] = ACTIONS(5509),
    [anon_sym_nullable] = ACTIONS(5509),
    [anon_sym__Complex] = ACTIONS(5509),
    [anon_sym__Nullable] = ACTIONS(5509),
    [anon_sym__Nullable_result] = ACTIONS(5509),
    [anon_sym__Null_unspecified] = ACTIONS(5509),
    [anon_sym___autoreleasing] = ACTIONS(5509),
    [anon_sym___block] = ACTIONS(5509),
    [anon_sym___bridge] = ACTIONS(5509),
    [anon_sym___bridge_retained] = ACTIONS(5509),
    [anon_sym___bridge_transfer] = ACTIONS(5509),
    [anon_sym___complex] = ACTIONS(5509),
    [anon_sym___const] = ACTIONS(5509),
    [anon_sym___imag] = ACTIONS(5509),
    [anon_sym___kindof] = ACTIONS(5509),
    [anon_sym___nonnull] = ACTIONS(5509),
    [anon_sym___nullable] = ACTIONS(5509),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5509),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5509),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5509),
    [anon_sym___real] = ACTIONS(5509),
    [anon_sym___strong] = ACTIONS(5509),
    [anon_sym___unsafe_unretained] = ACTIONS(5509),
    [anon_sym___unused] = ACTIONS(5509),
    [anon_sym___weak] = ACTIONS(5509),
    [anon_sym_alignas] = ACTIONS(5509),
    [anon_sym__Alignas] = ACTIONS(5509),
    [sym_primitive_type] = ACTIONS(5509),
    [anon_sym_enum] = ACTIONS(5509),
    [anon_sym_struct] = ACTIONS(5509),
    [anon_sym_union] = ACTIONS(5509),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5509),
    [anon_sym___typeof] = ACTIONS(5509),
    [anon_sym_typeof] = ACTIONS(5509),
    [aux_sym_preproc_undef_token1] = ACTIONS(5509),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5509),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5509),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5509),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5509),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5509),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5509),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5509),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5509),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5509),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5509),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5509),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5509),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5509),
    [anon_sym_API_AVAILABLE] = ACTIONS(5509),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5509),
    [anon_sym_API_DEPRECATED] = ACTIONS(5509),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5509),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5509),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5509),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5509),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5509),
    [anon_sym___deprecated_msg] = ACTIONS(5509),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5509),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5509),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5509),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5509),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5509),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5509),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5509),
    [anon_sym_ATend] = ACTIONS(5511),
    [anon_sym_ATsynthesize] = ACTIONS(5511),
    [anon_sym_ATdynamic] = ACTIONS(5511),
    [anon_sym_BOOL] = ACTIONS(5509),
    [anon_sym_IMP] = ACTIONS(5509),
    [anon_sym_SEL] = ACTIONS(5509),
    [anon_sym_Class] = ACTIONS(5509),
    [anon_sym_id] = ACTIONS(5509),
  },
  [2381] = {
    [sym_identifier] = ACTIONS(5666),
    [anon_sym_COMMA] = ACTIONS(5668),
    [anon_sym_RPAREN] = ACTIONS(5668),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5668),
    [anon_sym_LPAREN2] = ACTIONS(5668),
    [anon_sym_STAR] = ACTIONS(5668),
    [anon_sym_CARET] = ACTIONS(5668),
    [anon_sym_GT] = ACTIONS(5668),
    [anon_sym_SEMI] = ACTIONS(5668),
    [anon_sym___extension__] = ACTIONS(5666),
    [anon_sym_extern] = ACTIONS(5666),
    [anon_sym___attribute__] = ACTIONS(5666),
    [anon_sym___attribute] = ACTIONS(5666),
    [anon_sym_noreturn] = ACTIONS(5666),
    [anon_sym_LBRACK] = ACTIONS(5668),
    [anon_sym___declspec] = ACTIONS(5666),
    [anon_sym___based] = ACTIONS(5666),
    [anon_sym_LBRACE] = ACTIONS(5668),
    [anon_sym_RBRACE] = ACTIONS(5668),
    [anon_sym_signed] = ACTIONS(5666),
    [anon_sym_unsigned] = ACTIONS(5666),
    [anon_sym_long] = ACTIONS(5666),
    [anon_sym_short] = ACTIONS(5666),
    [anon_sym_static] = ACTIONS(5666),
    [anon_sym_ATautoreleasepool] = ACTIONS(5668),
    [anon_sym_auto] = ACTIONS(5666),
    [anon_sym_register] = ACTIONS(5666),
    [anon_sym_inline] = ACTIONS(5666),
    [anon_sym___inline] = ACTIONS(5666),
    [anon_sym___inline__] = ACTIONS(5666),
    [anon_sym___forceinline] = ACTIONS(5666),
    [anon_sym_thread_local] = ACTIONS(5666),
    [anon_sym___thread] = ACTIONS(5666),
    [anon_sym_CG_EXTERN] = ACTIONS(5666),
    [anon_sym_CG_INLINE] = ACTIONS(5666),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5666),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5666),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5666),
    [anon_sym_IBOutlet] = ACTIONS(5666),
    [anon_sym_IBInspectable] = ACTIONS(5666),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5666),
    [anon_sym_NS_INLINE] = ACTIONS(5666),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5666),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5666),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5666),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5666),
    [anon_sym_const] = ACTIONS(5666),
    [anon_sym_constexpr] = ACTIONS(5666),
    [anon_sym_volatile] = ACTIONS(5666),
    [anon_sym_restrict] = ACTIONS(5666),
    [anon_sym___restrict__] = ACTIONS(5666),
    [anon_sym__Atomic] = ACTIONS(5666),
    [anon_sym__Noreturn] = ACTIONS(5666),
    [anon_sym__Nonnull] = ACTIONS(5666),
    [anon_sym_nullable] = ACTIONS(5666),
    [anon_sym__Complex] = ACTIONS(5666),
    [anon_sym__Nullable] = ACTIONS(5666),
    [anon_sym__Nullable_result] = ACTIONS(5666),
    [anon_sym__Null_unspecified] = ACTIONS(5666),
    [anon_sym___autoreleasing] = ACTIONS(5666),
    [anon_sym___block] = ACTIONS(5666),
    [anon_sym___bridge] = ACTIONS(5666),
    [anon_sym___bridge_retained] = ACTIONS(5666),
    [anon_sym___bridge_transfer] = ACTIONS(5666),
    [anon_sym___complex] = ACTIONS(5666),
    [anon_sym___const] = ACTIONS(5666),
    [anon_sym___imag] = ACTIONS(5666),
    [anon_sym___kindof] = ACTIONS(5666),
    [anon_sym___nonnull] = ACTIONS(5666),
    [anon_sym___nullable] = ACTIONS(5666),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5666),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5666),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5666),
    [anon_sym___real] = ACTIONS(5666),
    [anon_sym___strong] = ACTIONS(5666),
    [anon_sym___unsafe_unretained] = ACTIONS(5666),
    [anon_sym___unused] = ACTIONS(5666),
    [anon_sym___weak] = ACTIONS(5666),
    [anon_sym_alignas] = ACTIONS(5666),
    [anon_sym__Alignas] = ACTIONS(5666),
    [sym_primitive_type] = ACTIONS(5666),
    [anon_sym_enum] = ACTIONS(5666),
    [anon_sym_COLON] = ACTIONS(5668),
    [anon_sym_struct] = ACTIONS(5666),
    [anon_sym_union] = ACTIONS(5666),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5666),
    [anon_sym___typeof] = ACTIONS(5666),
    [anon_sym_typeof] = ACTIONS(5666),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5666),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5666),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5666),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5666),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5666),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5666),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5666),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5666),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5666),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5666),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5666),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5666),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5666),
    [anon_sym_API_AVAILABLE] = ACTIONS(5666),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5666),
    [anon_sym_API_DEPRECATED] = ACTIONS(5666),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5666),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5666),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5666),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5666),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5666),
    [anon_sym___deprecated_msg] = ACTIONS(5666),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5666),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5666),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5666),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5666),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5666),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5666),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5666),
    [anon_sym_ATprotocol] = ACTIONS(5668),
    [anon_sym_ATinterface] = ACTIONS(5668),
    [anon_sym_ATimplementation] = ACTIONS(5668),
    [anon_sym_ATproperty] = ACTIONS(5668),
    [anon_sym_BOOL] = ACTIONS(5666),
    [anon_sym_IMP] = ACTIONS(5666),
    [anon_sym_SEL] = ACTIONS(5666),
    [anon_sym_Class] = ACTIONS(5666),
    [anon_sym_id] = ACTIONS(5666),
  },
  [2382] = {
    [sym_identifier] = ACTIONS(2654),
    [aux_sym_preproc_def_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token1] = ACTIONS(2654),
    [aux_sym_preproc_if_token2] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2654),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2654),
    [sym_preproc_directive] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2656),
    [anon_sym_PLUS] = ACTIONS(2656),
    [anon_sym___extension__] = ACTIONS(2654),
    [anon_sym_typedef] = ACTIONS(2654),
    [anon_sym_extern] = ACTIONS(2654),
    [anon_sym___attribute__] = ACTIONS(2654),
    [anon_sym___attribute] = ACTIONS(2654),
    [anon_sym_noreturn] = ACTIONS(2654),
    [anon_sym_LBRACK] = ACTIONS(2656),
    [anon_sym___declspec] = ACTIONS(2654),
    [anon_sym___cdecl] = ACTIONS(2654),
    [anon_sym___clrcall] = ACTIONS(2654),
    [anon_sym___stdcall] = ACTIONS(2654),
    [anon_sym___fastcall] = ACTIONS(2654),
    [anon_sym___thiscall] = ACTIONS(2654),
    [anon_sym___vectorcall] = ACTIONS(2654),
    [anon_sym_signed] = ACTIONS(2654),
    [anon_sym_unsigned] = ACTIONS(2654),
    [anon_sym_long] = ACTIONS(2654),
    [anon_sym_short] = ACTIONS(2654),
    [anon_sym_static] = ACTIONS(2654),
    [anon_sym_auto] = ACTIONS(2654),
    [anon_sym_register] = ACTIONS(2654),
    [anon_sym_inline] = ACTIONS(2654),
    [anon_sym___inline] = ACTIONS(2654),
    [anon_sym___inline__] = ACTIONS(2654),
    [anon_sym___forceinline] = ACTIONS(2654),
    [anon_sym_thread_local] = ACTIONS(2654),
    [anon_sym___thread] = ACTIONS(2654),
    [anon_sym_CG_EXTERN] = ACTIONS(2654),
    [anon_sym_CG_INLINE] = ACTIONS(2654),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2654),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2654),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2654),
    [anon_sym_IBOutlet] = ACTIONS(2654),
    [anon_sym_IBInspectable] = ACTIONS(2654),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2654),
    [anon_sym_NS_INLINE] = ACTIONS(2654),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2654),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2654),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2654),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2654),
    [anon_sym_const] = ACTIONS(2654),
    [anon_sym_constexpr] = ACTIONS(2654),
    [anon_sym_volatile] = ACTIONS(2654),
    [anon_sym_restrict] = ACTIONS(2654),
    [anon_sym___restrict__] = ACTIONS(2654),
    [anon_sym__Atomic] = ACTIONS(2654),
    [anon_sym__Noreturn] = ACTIONS(2654),
    [anon_sym__Nonnull] = ACTIONS(2654),
    [anon_sym_nullable] = ACTIONS(2654),
    [anon_sym__Complex] = ACTIONS(2654),
    [anon_sym__Nullable] = ACTIONS(2654),
    [anon_sym__Nullable_result] = ACTIONS(2654),
    [anon_sym__Null_unspecified] = ACTIONS(2654),
    [anon_sym___autoreleasing] = ACTIONS(2654),
    [anon_sym___block] = ACTIONS(2654),
    [anon_sym___bridge] = ACTIONS(2654),
    [anon_sym___bridge_retained] = ACTIONS(2654),
    [anon_sym___bridge_transfer] = ACTIONS(2654),
    [anon_sym___complex] = ACTIONS(2654),
    [anon_sym___const] = ACTIONS(2654),
    [anon_sym___imag] = ACTIONS(2654),
    [anon_sym___kindof] = ACTIONS(2654),
    [anon_sym___nonnull] = ACTIONS(2654),
    [anon_sym___nullable] = ACTIONS(2654),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2654),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2654),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2654),
    [anon_sym___real] = ACTIONS(2654),
    [anon_sym___strong] = ACTIONS(2654),
    [anon_sym___unsafe_unretained] = ACTIONS(2654),
    [anon_sym___unused] = ACTIONS(2654),
    [anon_sym___weak] = ACTIONS(2654),
    [anon_sym_alignas] = ACTIONS(2654),
    [anon_sym__Alignas] = ACTIONS(2654),
    [sym_primitive_type] = ACTIONS(2654),
    [anon_sym_enum] = ACTIONS(2654),
    [anon_sym_struct] = ACTIONS(2654),
    [anon_sym_union] = ACTIONS(2654),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2654),
    [anon_sym___typeof] = ACTIONS(2654),
    [anon_sym_typeof] = ACTIONS(2654),
    [aux_sym_preproc_undef_token1] = ACTIONS(2654),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2654),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2654),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2654),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2654),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2654),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2654),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2654),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2654),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2654),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2654),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2654),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2654),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2654),
    [anon_sym_API_AVAILABLE] = ACTIONS(2654),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2654),
    [anon_sym_API_DEPRECATED] = ACTIONS(2654),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2654),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2654),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2654),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2654),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2654),
    [anon_sym___deprecated_msg] = ACTIONS(2654),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2654),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2654),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2654),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2654),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2654),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2654),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2654),
    [anon_sym_ATsynthesize] = ACTIONS(2656),
    [anon_sym_ATdynamic] = ACTIONS(2656),
    [anon_sym_BOOL] = ACTIONS(2654),
    [anon_sym_IMP] = ACTIONS(2654),
    [anon_sym_SEL] = ACTIONS(2654),
    [anon_sym_Class] = ACTIONS(2654),
    [anon_sym_id] = ACTIONS(2654),
  },
  [2383] = {
    [sym_identifier] = ACTIONS(5670),
    [anon_sym_COMMA] = ACTIONS(5672),
    [anon_sym_RPAREN] = ACTIONS(5672),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5672),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5672),
    [anon_sym_LPAREN2] = ACTIONS(5672),
    [anon_sym_STAR] = ACTIONS(5672),
    [anon_sym_CARET] = ACTIONS(5672),
    [anon_sym_GT] = ACTIONS(5672),
    [anon_sym_SEMI] = ACTIONS(5672),
    [anon_sym___extension__] = ACTIONS(5670),
    [anon_sym_extern] = ACTIONS(5670),
    [anon_sym___attribute__] = ACTIONS(5670),
    [anon_sym___attribute] = ACTIONS(5670),
    [anon_sym_noreturn] = ACTIONS(5670),
    [anon_sym_LBRACK] = ACTIONS(5672),
    [anon_sym___declspec] = ACTIONS(5670),
    [anon_sym___based] = ACTIONS(5670),
    [anon_sym_LBRACE] = ACTIONS(5672),
    [anon_sym_RBRACE] = ACTIONS(5672),
    [anon_sym_signed] = ACTIONS(5670),
    [anon_sym_unsigned] = ACTIONS(5670),
    [anon_sym_long] = ACTIONS(5670),
    [anon_sym_short] = ACTIONS(5670),
    [anon_sym_static] = ACTIONS(5670),
    [anon_sym_ATautoreleasepool] = ACTIONS(5672),
    [anon_sym_auto] = ACTIONS(5670),
    [anon_sym_register] = ACTIONS(5670),
    [anon_sym_inline] = ACTIONS(5670),
    [anon_sym___inline] = ACTIONS(5670),
    [anon_sym___inline__] = ACTIONS(5670),
    [anon_sym___forceinline] = ACTIONS(5670),
    [anon_sym_thread_local] = ACTIONS(5670),
    [anon_sym___thread] = ACTIONS(5670),
    [anon_sym_CG_EXTERN] = ACTIONS(5670),
    [anon_sym_CG_INLINE] = ACTIONS(5670),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5670),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5670),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5670),
    [anon_sym_IBOutlet] = ACTIONS(5670),
    [anon_sym_IBInspectable] = ACTIONS(5670),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5670),
    [anon_sym_NS_INLINE] = ACTIONS(5670),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5670),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5670),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5670),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5670),
    [anon_sym_const] = ACTIONS(5670),
    [anon_sym_constexpr] = ACTIONS(5670),
    [anon_sym_volatile] = ACTIONS(5670),
    [anon_sym_restrict] = ACTIONS(5670),
    [anon_sym___restrict__] = ACTIONS(5670),
    [anon_sym__Atomic] = ACTIONS(5670),
    [anon_sym__Noreturn] = ACTIONS(5670),
    [anon_sym__Nonnull] = ACTIONS(5670),
    [anon_sym_nullable] = ACTIONS(5670),
    [anon_sym__Complex] = ACTIONS(5670),
    [anon_sym__Nullable] = ACTIONS(5670),
    [anon_sym__Nullable_result] = ACTIONS(5670),
    [anon_sym__Null_unspecified] = ACTIONS(5670),
    [anon_sym___autoreleasing] = ACTIONS(5670),
    [anon_sym___block] = ACTIONS(5670),
    [anon_sym___bridge] = ACTIONS(5670),
    [anon_sym___bridge_retained] = ACTIONS(5670),
    [anon_sym___bridge_transfer] = ACTIONS(5670),
    [anon_sym___complex] = ACTIONS(5670),
    [anon_sym___const] = ACTIONS(5670),
    [anon_sym___imag] = ACTIONS(5670),
    [anon_sym___kindof] = ACTIONS(5670),
    [anon_sym___nonnull] = ACTIONS(5670),
    [anon_sym___nullable] = ACTIONS(5670),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5670),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5670),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5670),
    [anon_sym___real] = ACTIONS(5670),
    [anon_sym___strong] = ACTIONS(5670),
    [anon_sym___unsafe_unretained] = ACTIONS(5670),
    [anon_sym___unused] = ACTIONS(5670),
    [anon_sym___weak] = ACTIONS(5670),
    [anon_sym_alignas] = ACTIONS(5670),
    [anon_sym__Alignas] = ACTIONS(5670),
    [sym_primitive_type] = ACTIONS(5670),
    [anon_sym_enum] = ACTIONS(5670),
    [anon_sym_COLON] = ACTIONS(5672),
    [anon_sym_struct] = ACTIONS(5670),
    [anon_sym_union] = ACTIONS(5670),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5670),
    [anon_sym___typeof] = ACTIONS(5670),
    [anon_sym_typeof] = ACTIONS(5670),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5670),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5670),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5670),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5670),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5670),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5670),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5670),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5670),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5670),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5670),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5670),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5670),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5670),
    [anon_sym_API_AVAILABLE] = ACTIONS(5670),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5670),
    [anon_sym_API_DEPRECATED] = ACTIONS(5670),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5670),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5670),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5670),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5670),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5670),
    [anon_sym___deprecated_msg] = ACTIONS(5670),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5670),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5670),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5670),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5670),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5670),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5670),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5670),
    [anon_sym_ATprotocol] = ACTIONS(5672),
    [anon_sym_ATinterface] = ACTIONS(5672),
    [anon_sym_ATimplementation] = ACTIONS(5672),
    [anon_sym_ATproperty] = ACTIONS(5672),
    [anon_sym_BOOL] = ACTIONS(5670),
    [anon_sym_IMP] = ACTIONS(5670),
    [anon_sym_SEL] = ACTIONS(5670),
    [anon_sym_Class] = ACTIONS(5670),
    [anon_sym_id] = ACTIONS(5670),
  },
  [2384] = {
    [sym_identifier] = ACTIONS(2970),
    [anon_sym_COMMA] = ACTIONS(2972),
    [anon_sym_RPAREN] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2972),
    [anon_sym_LPAREN2] = ACTIONS(2972),
    [anon_sym_STAR] = ACTIONS(2972),
    [anon_sym_CARET] = ACTIONS(2972),
    [anon_sym_GT] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2972),
    [anon_sym___extension__] = ACTIONS(2970),
    [anon_sym_extern] = ACTIONS(2970),
    [anon_sym___attribute__] = ACTIONS(2970),
    [anon_sym___attribute] = ACTIONS(2970),
    [anon_sym_noreturn] = ACTIONS(2970),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [anon_sym___declspec] = ACTIONS(2970),
    [anon_sym___based] = ACTIONS(2970),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_RBRACE] = ACTIONS(2972),
    [anon_sym_signed] = ACTIONS(2970),
    [anon_sym_unsigned] = ACTIONS(2970),
    [anon_sym_long] = ACTIONS(2970),
    [anon_sym_short] = ACTIONS(2970),
    [anon_sym_static] = ACTIONS(2970),
    [anon_sym_ATautoreleasepool] = ACTIONS(2972),
    [anon_sym_auto] = ACTIONS(2970),
    [anon_sym_register] = ACTIONS(2970),
    [anon_sym_inline] = ACTIONS(2970),
    [anon_sym___inline] = ACTIONS(2970),
    [anon_sym___inline__] = ACTIONS(2970),
    [anon_sym___forceinline] = ACTIONS(2970),
    [anon_sym_thread_local] = ACTIONS(2970),
    [anon_sym___thread] = ACTIONS(2970),
    [anon_sym_CG_EXTERN] = ACTIONS(2970),
    [anon_sym_CG_INLINE] = ACTIONS(2970),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2970),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2970),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2970),
    [anon_sym_IBOutlet] = ACTIONS(2970),
    [anon_sym_IBInspectable] = ACTIONS(2970),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2970),
    [anon_sym_NS_INLINE] = ACTIONS(2970),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2970),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2970),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2970),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2970),
    [anon_sym_const] = ACTIONS(2970),
    [anon_sym_constexpr] = ACTIONS(2970),
    [anon_sym_volatile] = ACTIONS(2970),
    [anon_sym_restrict] = ACTIONS(2970),
    [anon_sym___restrict__] = ACTIONS(2970),
    [anon_sym__Atomic] = ACTIONS(2970),
    [anon_sym__Noreturn] = ACTIONS(2970),
    [anon_sym__Nonnull] = ACTIONS(2970),
    [anon_sym_nullable] = ACTIONS(2970),
    [anon_sym__Complex] = ACTIONS(2970),
    [anon_sym__Nullable] = ACTIONS(2970),
    [anon_sym__Nullable_result] = ACTIONS(2970),
    [anon_sym__Null_unspecified] = ACTIONS(2970),
    [anon_sym___autoreleasing] = ACTIONS(2970),
    [anon_sym___block] = ACTIONS(2970),
    [anon_sym___bridge] = ACTIONS(2970),
    [anon_sym___bridge_retained] = ACTIONS(2970),
    [anon_sym___bridge_transfer] = ACTIONS(2970),
    [anon_sym___complex] = ACTIONS(2970),
    [anon_sym___const] = ACTIONS(2970),
    [anon_sym___imag] = ACTIONS(2970),
    [anon_sym___kindof] = ACTIONS(2970),
    [anon_sym___nonnull] = ACTIONS(2970),
    [anon_sym___nullable] = ACTIONS(2970),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2970),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2970),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2970),
    [anon_sym___real] = ACTIONS(2970),
    [anon_sym___strong] = ACTIONS(2970),
    [anon_sym___unsafe_unretained] = ACTIONS(2970),
    [anon_sym___unused] = ACTIONS(2970),
    [anon_sym___weak] = ACTIONS(2970),
    [anon_sym_alignas] = ACTIONS(2970),
    [anon_sym__Alignas] = ACTIONS(2970),
    [sym_primitive_type] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2970),
    [anon_sym_COLON] = ACTIONS(2972),
    [anon_sym_struct] = ACTIONS(2970),
    [anon_sym_union] = ACTIONS(2970),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2970),
    [anon_sym___typeof] = ACTIONS(2970),
    [anon_sym_typeof] = ACTIONS(2970),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2970),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2970),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2970),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2970),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2970),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2970),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2970),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2970),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2970),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2970),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2970),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2970),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2970),
    [anon_sym_API_AVAILABLE] = ACTIONS(2970),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2970),
    [anon_sym_API_DEPRECATED] = ACTIONS(2970),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2970),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2970),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2970),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2970),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2970),
    [anon_sym___deprecated_msg] = ACTIONS(2970),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2970),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2970),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2970),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2970),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2970),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2970),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2970),
    [anon_sym_ATprotocol] = ACTIONS(2972),
    [anon_sym_ATinterface] = ACTIONS(2972),
    [anon_sym_ATimplementation] = ACTIONS(2972),
    [anon_sym_ATproperty] = ACTIONS(2972),
    [anon_sym_BOOL] = ACTIONS(2970),
    [anon_sym_IMP] = ACTIONS(2970),
    [anon_sym_SEL] = ACTIONS(2970),
    [anon_sym_Class] = ACTIONS(2970),
    [anon_sym_id] = ACTIONS(2970),
  },
  [2385] = {
    [sym_identifier] = ACTIONS(5389),
    [aux_sym_preproc_def_token1] = ACTIONS(5389),
    [aux_sym_preproc_if_token1] = ACTIONS(5389),
    [aux_sym_preproc_if_token2] = ACTIONS(5389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5389),
    [sym_preproc_directive] = ACTIONS(5389),
    [anon_sym_DASH] = ACTIONS(5391),
    [anon_sym_PLUS] = ACTIONS(5391),
    [anon_sym___extension__] = ACTIONS(5389),
    [anon_sym_typedef] = ACTIONS(5389),
    [anon_sym_extern] = ACTIONS(5389),
    [anon_sym___attribute__] = ACTIONS(5389),
    [anon_sym___attribute] = ACTIONS(5389),
    [anon_sym_noreturn] = ACTIONS(5389),
    [anon_sym_LBRACK] = ACTIONS(5391),
    [anon_sym___declspec] = ACTIONS(5389),
    [anon_sym___cdecl] = ACTIONS(5389),
    [anon_sym___clrcall] = ACTIONS(5389),
    [anon_sym___stdcall] = ACTIONS(5389),
    [anon_sym___fastcall] = ACTIONS(5389),
    [anon_sym___thiscall] = ACTIONS(5389),
    [anon_sym___vectorcall] = ACTIONS(5389),
    [anon_sym_signed] = ACTIONS(5389),
    [anon_sym_unsigned] = ACTIONS(5389),
    [anon_sym_long] = ACTIONS(5389),
    [anon_sym_short] = ACTIONS(5389),
    [anon_sym_static] = ACTIONS(5389),
    [anon_sym_auto] = ACTIONS(5389),
    [anon_sym_register] = ACTIONS(5389),
    [anon_sym_inline] = ACTIONS(5389),
    [anon_sym___inline] = ACTIONS(5389),
    [anon_sym___inline__] = ACTIONS(5389),
    [anon_sym___forceinline] = ACTIONS(5389),
    [anon_sym_thread_local] = ACTIONS(5389),
    [anon_sym___thread] = ACTIONS(5389),
    [anon_sym_CG_EXTERN] = ACTIONS(5389),
    [anon_sym_CG_INLINE] = ACTIONS(5389),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5389),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5389),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5389),
    [anon_sym_IBOutlet] = ACTIONS(5389),
    [anon_sym_IBInspectable] = ACTIONS(5389),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5389),
    [anon_sym_NS_INLINE] = ACTIONS(5389),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5389),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5389),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5389),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5389),
    [anon_sym_const] = ACTIONS(5389),
    [anon_sym_constexpr] = ACTIONS(5389),
    [anon_sym_volatile] = ACTIONS(5389),
    [anon_sym_restrict] = ACTIONS(5389),
    [anon_sym___restrict__] = ACTIONS(5389),
    [anon_sym__Atomic] = ACTIONS(5389),
    [anon_sym__Noreturn] = ACTIONS(5389),
    [anon_sym__Nonnull] = ACTIONS(5389),
    [anon_sym_nullable] = ACTIONS(5389),
    [anon_sym__Complex] = ACTIONS(5389),
    [anon_sym__Nullable] = ACTIONS(5389),
    [anon_sym__Nullable_result] = ACTIONS(5389),
    [anon_sym__Null_unspecified] = ACTIONS(5389),
    [anon_sym___autoreleasing] = ACTIONS(5389),
    [anon_sym___block] = ACTIONS(5389),
    [anon_sym___bridge] = ACTIONS(5389),
    [anon_sym___bridge_retained] = ACTIONS(5389),
    [anon_sym___bridge_transfer] = ACTIONS(5389),
    [anon_sym___complex] = ACTIONS(5389),
    [anon_sym___const] = ACTIONS(5389),
    [anon_sym___imag] = ACTIONS(5389),
    [anon_sym___kindof] = ACTIONS(5389),
    [anon_sym___nonnull] = ACTIONS(5389),
    [anon_sym___nullable] = ACTIONS(5389),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5389),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5389),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5389),
    [anon_sym___real] = ACTIONS(5389),
    [anon_sym___strong] = ACTIONS(5389),
    [anon_sym___unsafe_unretained] = ACTIONS(5389),
    [anon_sym___unused] = ACTIONS(5389),
    [anon_sym___weak] = ACTIONS(5389),
    [anon_sym_alignas] = ACTIONS(5389),
    [anon_sym__Alignas] = ACTIONS(5389),
    [sym_primitive_type] = ACTIONS(5389),
    [anon_sym_enum] = ACTIONS(5389),
    [anon_sym_struct] = ACTIONS(5389),
    [anon_sym_union] = ACTIONS(5389),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5389),
    [anon_sym___typeof] = ACTIONS(5389),
    [anon_sym_typeof] = ACTIONS(5389),
    [aux_sym_preproc_undef_token1] = ACTIONS(5389),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5389),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5389),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5389),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5389),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5389),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5389),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5389),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5389),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5389),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5389),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5389),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5389),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5389),
    [anon_sym_API_AVAILABLE] = ACTIONS(5389),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5389),
    [anon_sym_API_DEPRECATED] = ACTIONS(5389),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5389),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5389),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5389),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5389),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5389),
    [anon_sym___deprecated_msg] = ACTIONS(5389),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5389),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5389),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5389),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5389),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5389),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5389),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5389),
    [anon_sym_ATsynthesize] = ACTIONS(5391),
    [anon_sym_ATdynamic] = ACTIONS(5391),
    [anon_sym_BOOL] = ACTIONS(5389),
    [anon_sym_IMP] = ACTIONS(5389),
    [anon_sym_SEL] = ACTIONS(5389),
    [anon_sym_Class] = ACTIONS(5389),
    [anon_sym_id] = ACTIONS(5389),
  },
  [2386] = {
    [sym_identifier] = ACTIONS(5497),
    [aux_sym_preproc_def_token1] = ACTIONS(5497),
    [aux_sym_preproc_if_token1] = ACTIONS(5497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5497),
    [sym_preproc_directive] = ACTIONS(5497),
    [anon_sym_DASH] = ACTIONS(5499),
    [anon_sym_PLUS] = ACTIONS(5499),
    [anon_sym___extension__] = ACTIONS(5497),
    [anon_sym_typedef] = ACTIONS(5497),
    [anon_sym_extern] = ACTIONS(5497),
    [anon_sym___attribute__] = ACTIONS(5497),
    [anon_sym___attribute] = ACTIONS(5497),
    [anon_sym_noreturn] = ACTIONS(5497),
    [anon_sym_LBRACK] = ACTIONS(5499),
    [anon_sym___declspec] = ACTIONS(5497),
    [anon_sym___cdecl] = ACTIONS(5497),
    [anon_sym___clrcall] = ACTIONS(5497),
    [anon_sym___stdcall] = ACTIONS(5497),
    [anon_sym___fastcall] = ACTIONS(5497),
    [anon_sym___thiscall] = ACTIONS(5497),
    [anon_sym___vectorcall] = ACTIONS(5497),
    [anon_sym_signed] = ACTIONS(5497),
    [anon_sym_unsigned] = ACTIONS(5497),
    [anon_sym_long] = ACTIONS(5497),
    [anon_sym_short] = ACTIONS(5497),
    [anon_sym_static] = ACTIONS(5497),
    [anon_sym_auto] = ACTIONS(5497),
    [anon_sym_register] = ACTIONS(5497),
    [anon_sym_inline] = ACTIONS(5497),
    [anon_sym___inline] = ACTIONS(5497),
    [anon_sym___inline__] = ACTIONS(5497),
    [anon_sym___forceinline] = ACTIONS(5497),
    [anon_sym_thread_local] = ACTIONS(5497),
    [anon_sym___thread] = ACTIONS(5497),
    [anon_sym_CG_EXTERN] = ACTIONS(5497),
    [anon_sym_CG_INLINE] = ACTIONS(5497),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5497),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5497),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5497),
    [anon_sym_IBOutlet] = ACTIONS(5497),
    [anon_sym_IBInspectable] = ACTIONS(5497),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5497),
    [anon_sym_NS_INLINE] = ACTIONS(5497),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5497),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5497),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5497),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5497),
    [anon_sym_const] = ACTIONS(5497),
    [anon_sym_constexpr] = ACTIONS(5497),
    [anon_sym_volatile] = ACTIONS(5497),
    [anon_sym_restrict] = ACTIONS(5497),
    [anon_sym___restrict__] = ACTIONS(5497),
    [anon_sym__Atomic] = ACTIONS(5497),
    [anon_sym__Noreturn] = ACTIONS(5497),
    [anon_sym__Nonnull] = ACTIONS(5497),
    [anon_sym_nullable] = ACTIONS(5497),
    [anon_sym__Complex] = ACTIONS(5497),
    [anon_sym__Nullable] = ACTIONS(5497),
    [anon_sym__Nullable_result] = ACTIONS(5497),
    [anon_sym__Null_unspecified] = ACTIONS(5497),
    [anon_sym___autoreleasing] = ACTIONS(5497),
    [anon_sym___block] = ACTIONS(5497),
    [anon_sym___bridge] = ACTIONS(5497),
    [anon_sym___bridge_retained] = ACTIONS(5497),
    [anon_sym___bridge_transfer] = ACTIONS(5497),
    [anon_sym___complex] = ACTIONS(5497),
    [anon_sym___const] = ACTIONS(5497),
    [anon_sym___imag] = ACTIONS(5497),
    [anon_sym___kindof] = ACTIONS(5497),
    [anon_sym___nonnull] = ACTIONS(5497),
    [anon_sym___nullable] = ACTIONS(5497),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5497),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5497),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5497),
    [anon_sym___real] = ACTIONS(5497),
    [anon_sym___strong] = ACTIONS(5497),
    [anon_sym___unsafe_unretained] = ACTIONS(5497),
    [anon_sym___unused] = ACTIONS(5497),
    [anon_sym___weak] = ACTIONS(5497),
    [anon_sym_alignas] = ACTIONS(5497),
    [anon_sym__Alignas] = ACTIONS(5497),
    [sym_primitive_type] = ACTIONS(5497),
    [anon_sym_enum] = ACTIONS(5497),
    [anon_sym_struct] = ACTIONS(5497),
    [anon_sym_union] = ACTIONS(5497),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5497),
    [anon_sym___typeof] = ACTIONS(5497),
    [anon_sym_typeof] = ACTIONS(5497),
    [aux_sym_preproc_undef_token1] = ACTIONS(5497),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5497),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5497),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5497),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5497),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5497),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5497),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5497),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5497),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5497),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5497),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5497),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5497),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5497),
    [anon_sym_API_AVAILABLE] = ACTIONS(5497),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5497),
    [anon_sym_API_DEPRECATED] = ACTIONS(5497),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5497),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5497),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5497),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5497),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5497),
    [anon_sym___deprecated_msg] = ACTIONS(5497),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5497),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5497),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5497),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5497),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5497),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5497),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5497),
    [anon_sym_ATend] = ACTIONS(5499),
    [anon_sym_ATsynthesize] = ACTIONS(5499),
    [anon_sym_ATdynamic] = ACTIONS(5499),
    [anon_sym_BOOL] = ACTIONS(5497),
    [anon_sym_IMP] = ACTIONS(5497),
    [anon_sym_SEL] = ACTIONS(5497),
    [anon_sym_Class] = ACTIONS(5497),
    [anon_sym_id] = ACTIONS(5497),
  },
  [2387] = {
    [sym_identifier] = ACTIONS(5399),
    [aux_sym_preproc_def_token1] = ACTIONS(5399),
    [aux_sym_preproc_if_token1] = ACTIONS(5399),
    [aux_sym_preproc_if_token2] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5399),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5399),
    [sym_preproc_directive] = ACTIONS(5399),
    [anon_sym_DASH] = ACTIONS(5401),
    [anon_sym_PLUS] = ACTIONS(5401),
    [anon_sym___extension__] = ACTIONS(5399),
    [anon_sym_typedef] = ACTIONS(5399),
    [anon_sym_extern] = ACTIONS(5399),
    [anon_sym___attribute__] = ACTIONS(5399),
    [anon_sym___attribute] = ACTIONS(5399),
    [anon_sym_noreturn] = ACTIONS(5399),
    [anon_sym_LBRACK] = ACTIONS(5401),
    [anon_sym___declspec] = ACTIONS(5399),
    [anon_sym___cdecl] = ACTIONS(5399),
    [anon_sym___clrcall] = ACTIONS(5399),
    [anon_sym___stdcall] = ACTIONS(5399),
    [anon_sym___fastcall] = ACTIONS(5399),
    [anon_sym___thiscall] = ACTIONS(5399),
    [anon_sym___vectorcall] = ACTIONS(5399),
    [anon_sym_signed] = ACTIONS(5399),
    [anon_sym_unsigned] = ACTIONS(5399),
    [anon_sym_long] = ACTIONS(5399),
    [anon_sym_short] = ACTIONS(5399),
    [anon_sym_static] = ACTIONS(5399),
    [anon_sym_auto] = ACTIONS(5399),
    [anon_sym_register] = ACTIONS(5399),
    [anon_sym_inline] = ACTIONS(5399),
    [anon_sym___inline] = ACTIONS(5399),
    [anon_sym___inline__] = ACTIONS(5399),
    [anon_sym___forceinline] = ACTIONS(5399),
    [anon_sym_thread_local] = ACTIONS(5399),
    [anon_sym___thread] = ACTIONS(5399),
    [anon_sym_CG_EXTERN] = ACTIONS(5399),
    [anon_sym_CG_INLINE] = ACTIONS(5399),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5399),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5399),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5399),
    [anon_sym_IBOutlet] = ACTIONS(5399),
    [anon_sym_IBInspectable] = ACTIONS(5399),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5399),
    [anon_sym_NS_INLINE] = ACTIONS(5399),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5399),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5399),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5399),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5399),
    [anon_sym_const] = ACTIONS(5399),
    [anon_sym_constexpr] = ACTIONS(5399),
    [anon_sym_volatile] = ACTIONS(5399),
    [anon_sym_restrict] = ACTIONS(5399),
    [anon_sym___restrict__] = ACTIONS(5399),
    [anon_sym__Atomic] = ACTIONS(5399),
    [anon_sym__Noreturn] = ACTIONS(5399),
    [anon_sym__Nonnull] = ACTIONS(5399),
    [anon_sym_nullable] = ACTIONS(5399),
    [anon_sym__Complex] = ACTIONS(5399),
    [anon_sym__Nullable] = ACTIONS(5399),
    [anon_sym__Nullable_result] = ACTIONS(5399),
    [anon_sym__Null_unspecified] = ACTIONS(5399),
    [anon_sym___autoreleasing] = ACTIONS(5399),
    [anon_sym___block] = ACTIONS(5399),
    [anon_sym___bridge] = ACTIONS(5399),
    [anon_sym___bridge_retained] = ACTIONS(5399),
    [anon_sym___bridge_transfer] = ACTIONS(5399),
    [anon_sym___complex] = ACTIONS(5399),
    [anon_sym___const] = ACTIONS(5399),
    [anon_sym___imag] = ACTIONS(5399),
    [anon_sym___kindof] = ACTIONS(5399),
    [anon_sym___nonnull] = ACTIONS(5399),
    [anon_sym___nullable] = ACTIONS(5399),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5399),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5399),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5399),
    [anon_sym___real] = ACTIONS(5399),
    [anon_sym___strong] = ACTIONS(5399),
    [anon_sym___unsafe_unretained] = ACTIONS(5399),
    [anon_sym___unused] = ACTIONS(5399),
    [anon_sym___weak] = ACTIONS(5399),
    [anon_sym_alignas] = ACTIONS(5399),
    [anon_sym__Alignas] = ACTIONS(5399),
    [sym_primitive_type] = ACTIONS(5399),
    [anon_sym_enum] = ACTIONS(5399),
    [anon_sym_struct] = ACTIONS(5399),
    [anon_sym_union] = ACTIONS(5399),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5399),
    [anon_sym___typeof] = ACTIONS(5399),
    [anon_sym_typeof] = ACTIONS(5399),
    [aux_sym_preproc_undef_token1] = ACTIONS(5399),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5399),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5399),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5399),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5399),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5399),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5399),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5399),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5399),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5399),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5399),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5399),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5399),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5399),
    [anon_sym_API_AVAILABLE] = ACTIONS(5399),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5399),
    [anon_sym_API_DEPRECATED] = ACTIONS(5399),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5399),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5399),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5399),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5399),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5399),
    [anon_sym___deprecated_msg] = ACTIONS(5399),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5399),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5399),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5399),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5399),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5399),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5399),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5399),
    [anon_sym_ATsynthesize] = ACTIONS(5401),
    [anon_sym_ATdynamic] = ACTIONS(5401),
    [anon_sym_BOOL] = ACTIONS(5399),
    [anon_sym_IMP] = ACTIONS(5399),
    [anon_sym_SEL] = ACTIONS(5399),
    [anon_sym_Class] = ACTIONS(5399),
    [anon_sym_id] = ACTIONS(5399),
  },
  [2388] = {
    [sym_identifier] = ACTIONS(5674),
    [anon_sym_COMMA] = ACTIONS(5676),
    [anon_sym_RPAREN] = ACTIONS(5676),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5676),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5676),
    [anon_sym_LPAREN2] = ACTIONS(5676),
    [anon_sym_STAR] = ACTIONS(5676),
    [anon_sym_CARET] = ACTIONS(5676),
    [anon_sym_GT] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(5676),
    [anon_sym___extension__] = ACTIONS(5674),
    [anon_sym_extern] = ACTIONS(5674),
    [anon_sym___attribute__] = ACTIONS(5674),
    [anon_sym___attribute] = ACTIONS(5674),
    [anon_sym_noreturn] = ACTIONS(5674),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym___declspec] = ACTIONS(5674),
    [anon_sym___based] = ACTIONS(5674),
    [anon_sym_LBRACE] = ACTIONS(5676),
    [anon_sym_RBRACE] = ACTIONS(5676),
    [anon_sym_signed] = ACTIONS(5674),
    [anon_sym_unsigned] = ACTIONS(5674),
    [anon_sym_long] = ACTIONS(5674),
    [anon_sym_short] = ACTIONS(5674),
    [anon_sym_static] = ACTIONS(5674),
    [anon_sym_ATautoreleasepool] = ACTIONS(5676),
    [anon_sym_auto] = ACTIONS(5674),
    [anon_sym_register] = ACTIONS(5674),
    [anon_sym_inline] = ACTIONS(5674),
    [anon_sym___inline] = ACTIONS(5674),
    [anon_sym___inline__] = ACTIONS(5674),
    [anon_sym___forceinline] = ACTIONS(5674),
    [anon_sym_thread_local] = ACTIONS(5674),
    [anon_sym___thread] = ACTIONS(5674),
    [anon_sym_CG_EXTERN] = ACTIONS(5674),
    [anon_sym_CG_INLINE] = ACTIONS(5674),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5674),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5674),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5674),
    [anon_sym_IBOutlet] = ACTIONS(5674),
    [anon_sym_IBInspectable] = ACTIONS(5674),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5674),
    [anon_sym_NS_INLINE] = ACTIONS(5674),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5674),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5674),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5674),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5674),
    [anon_sym_const] = ACTIONS(5674),
    [anon_sym_constexpr] = ACTIONS(5674),
    [anon_sym_volatile] = ACTIONS(5674),
    [anon_sym_restrict] = ACTIONS(5674),
    [anon_sym___restrict__] = ACTIONS(5674),
    [anon_sym__Atomic] = ACTIONS(5674),
    [anon_sym__Noreturn] = ACTIONS(5674),
    [anon_sym__Nonnull] = ACTIONS(5674),
    [anon_sym_nullable] = ACTIONS(5674),
    [anon_sym__Complex] = ACTIONS(5674),
    [anon_sym__Nullable] = ACTIONS(5674),
    [anon_sym__Nullable_result] = ACTIONS(5674),
    [anon_sym__Null_unspecified] = ACTIONS(5674),
    [anon_sym___autoreleasing] = ACTIONS(5674),
    [anon_sym___block] = ACTIONS(5674),
    [anon_sym___bridge] = ACTIONS(5674),
    [anon_sym___bridge_retained] = ACTIONS(5674),
    [anon_sym___bridge_transfer] = ACTIONS(5674),
    [anon_sym___complex] = ACTIONS(5674),
    [anon_sym___const] = ACTIONS(5674),
    [anon_sym___imag] = ACTIONS(5674),
    [anon_sym___kindof] = ACTIONS(5674),
    [anon_sym___nonnull] = ACTIONS(5674),
    [anon_sym___nullable] = ACTIONS(5674),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5674),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5674),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5674),
    [anon_sym___real] = ACTIONS(5674),
    [anon_sym___strong] = ACTIONS(5674),
    [anon_sym___unsafe_unretained] = ACTIONS(5674),
    [anon_sym___unused] = ACTIONS(5674),
    [anon_sym___weak] = ACTIONS(5674),
    [anon_sym_alignas] = ACTIONS(5674),
    [anon_sym__Alignas] = ACTIONS(5674),
    [sym_primitive_type] = ACTIONS(5674),
    [anon_sym_enum] = ACTIONS(5674),
    [anon_sym_COLON] = ACTIONS(5676),
    [anon_sym_struct] = ACTIONS(5674),
    [anon_sym_union] = ACTIONS(5674),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5674),
    [anon_sym___typeof] = ACTIONS(5674),
    [anon_sym_typeof] = ACTIONS(5674),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5674),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5674),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5674),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5674),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5674),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5674),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5674),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5674),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5674),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5674),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5674),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5674),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5674),
    [anon_sym_API_AVAILABLE] = ACTIONS(5674),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5674),
    [anon_sym_API_DEPRECATED] = ACTIONS(5674),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5674),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5674),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5674),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5674),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5674),
    [anon_sym___deprecated_msg] = ACTIONS(5674),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5674),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5674),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5674),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5674),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5674),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5674),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5674),
    [anon_sym_ATprotocol] = ACTIONS(5676),
    [anon_sym_ATinterface] = ACTIONS(5676),
    [anon_sym_ATimplementation] = ACTIONS(5676),
    [anon_sym_ATproperty] = ACTIONS(5676),
    [anon_sym_BOOL] = ACTIONS(5674),
    [anon_sym_IMP] = ACTIONS(5674),
    [anon_sym_SEL] = ACTIONS(5674),
    [anon_sym_Class] = ACTIONS(5674),
    [anon_sym_id] = ACTIONS(5674),
  },
  [2389] = {
    [sym_identifier] = ACTIONS(2806),
    [aux_sym_preproc_def_token1] = ACTIONS(2806),
    [aux_sym_preproc_if_token1] = ACTIONS(2806),
    [aux_sym_preproc_if_token2] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2806),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2806),
    [sym_preproc_directive] = ACTIONS(2806),
    [anon_sym_DASH] = ACTIONS(2808),
    [anon_sym_PLUS] = ACTIONS(2808),
    [anon_sym___extension__] = ACTIONS(2806),
    [anon_sym_typedef] = ACTIONS(2806),
    [anon_sym_extern] = ACTIONS(2806),
    [anon_sym___attribute__] = ACTIONS(2806),
    [anon_sym___attribute] = ACTIONS(2806),
    [anon_sym_noreturn] = ACTIONS(2806),
    [anon_sym_LBRACK] = ACTIONS(2808),
    [anon_sym___declspec] = ACTIONS(2806),
    [anon_sym___cdecl] = ACTIONS(2806),
    [anon_sym___clrcall] = ACTIONS(2806),
    [anon_sym___stdcall] = ACTIONS(2806),
    [anon_sym___fastcall] = ACTIONS(2806),
    [anon_sym___thiscall] = ACTIONS(2806),
    [anon_sym___vectorcall] = ACTIONS(2806),
    [anon_sym_signed] = ACTIONS(2806),
    [anon_sym_unsigned] = ACTIONS(2806),
    [anon_sym_long] = ACTIONS(2806),
    [anon_sym_short] = ACTIONS(2806),
    [anon_sym_static] = ACTIONS(2806),
    [anon_sym_auto] = ACTIONS(2806),
    [anon_sym_register] = ACTIONS(2806),
    [anon_sym_inline] = ACTIONS(2806),
    [anon_sym___inline] = ACTIONS(2806),
    [anon_sym___inline__] = ACTIONS(2806),
    [anon_sym___forceinline] = ACTIONS(2806),
    [anon_sym_thread_local] = ACTIONS(2806),
    [anon_sym___thread] = ACTIONS(2806),
    [anon_sym_CG_EXTERN] = ACTIONS(2806),
    [anon_sym_CG_INLINE] = ACTIONS(2806),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2806),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2806),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2806),
    [anon_sym_IBOutlet] = ACTIONS(2806),
    [anon_sym_IBInspectable] = ACTIONS(2806),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2806),
    [anon_sym_NS_INLINE] = ACTIONS(2806),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2806),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2806),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2806),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2806),
    [anon_sym_const] = ACTIONS(2806),
    [anon_sym_constexpr] = ACTIONS(2806),
    [anon_sym_volatile] = ACTIONS(2806),
    [anon_sym_restrict] = ACTIONS(2806),
    [anon_sym___restrict__] = ACTIONS(2806),
    [anon_sym__Atomic] = ACTIONS(2806),
    [anon_sym__Noreturn] = ACTIONS(2806),
    [anon_sym__Nonnull] = ACTIONS(2806),
    [anon_sym_nullable] = ACTIONS(2806),
    [anon_sym__Complex] = ACTIONS(2806),
    [anon_sym__Nullable] = ACTIONS(2806),
    [anon_sym__Nullable_result] = ACTIONS(2806),
    [anon_sym__Null_unspecified] = ACTIONS(2806),
    [anon_sym___autoreleasing] = ACTIONS(2806),
    [anon_sym___block] = ACTIONS(2806),
    [anon_sym___bridge] = ACTIONS(2806),
    [anon_sym___bridge_retained] = ACTIONS(2806),
    [anon_sym___bridge_transfer] = ACTIONS(2806),
    [anon_sym___complex] = ACTIONS(2806),
    [anon_sym___const] = ACTIONS(2806),
    [anon_sym___imag] = ACTIONS(2806),
    [anon_sym___kindof] = ACTIONS(2806),
    [anon_sym___nonnull] = ACTIONS(2806),
    [anon_sym___nullable] = ACTIONS(2806),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2806),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2806),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2806),
    [anon_sym___real] = ACTIONS(2806),
    [anon_sym___strong] = ACTIONS(2806),
    [anon_sym___unsafe_unretained] = ACTIONS(2806),
    [anon_sym___unused] = ACTIONS(2806),
    [anon_sym___weak] = ACTIONS(2806),
    [anon_sym_alignas] = ACTIONS(2806),
    [anon_sym__Alignas] = ACTIONS(2806),
    [sym_primitive_type] = ACTIONS(2806),
    [anon_sym_enum] = ACTIONS(2806),
    [anon_sym_struct] = ACTIONS(2806),
    [anon_sym_union] = ACTIONS(2806),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2806),
    [anon_sym___typeof] = ACTIONS(2806),
    [anon_sym_typeof] = ACTIONS(2806),
    [aux_sym_preproc_undef_token1] = ACTIONS(2806),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2806),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2806),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2806),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2806),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2806),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2806),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2806),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2806),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2806),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2806),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2806),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2806),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2806),
    [anon_sym_API_AVAILABLE] = ACTIONS(2806),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2806),
    [anon_sym_API_DEPRECATED] = ACTIONS(2806),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2806),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2806),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2806),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2806),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2806),
    [anon_sym___deprecated_msg] = ACTIONS(2806),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2806),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2806),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2806),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2806),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2806),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2806),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2806),
    [anon_sym_ATsynthesize] = ACTIONS(2808),
    [anon_sym_ATdynamic] = ACTIONS(2808),
    [anon_sym_BOOL] = ACTIONS(2806),
    [anon_sym_IMP] = ACTIONS(2806),
    [anon_sym_SEL] = ACTIONS(2806),
    [anon_sym_Class] = ACTIONS(2806),
    [anon_sym_id] = ACTIONS(2806),
  },
  [2390] = {
    [sym_identifier] = ACTIONS(5409),
    [aux_sym_preproc_def_token1] = ACTIONS(5409),
    [aux_sym_preproc_if_token1] = ACTIONS(5409),
    [aux_sym_preproc_if_token2] = ACTIONS(5409),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5409),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5409),
    [sym_preproc_directive] = ACTIONS(5409),
    [anon_sym_DASH] = ACTIONS(5411),
    [anon_sym_PLUS] = ACTIONS(5411),
    [anon_sym___extension__] = ACTIONS(5409),
    [anon_sym_typedef] = ACTIONS(5409),
    [anon_sym_extern] = ACTIONS(5409),
    [anon_sym___attribute__] = ACTIONS(5409),
    [anon_sym___attribute] = ACTIONS(5409),
    [anon_sym_noreturn] = ACTIONS(5409),
    [anon_sym_LBRACK] = ACTIONS(5411),
    [anon_sym___declspec] = ACTIONS(5409),
    [anon_sym___cdecl] = ACTIONS(5409),
    [anon_sym___clrcall] = ACTIONS(5409),
    [anon_sym___stdcall] = ACTIONS(5409),
    [anon_sym___fastcall] = ACTIONS(5409),
    [anon_sym___thiscall] = ACTIONS(5409),
    [anon_sym___vectorcall] = ACTIONS(5409),
    [anon_sym_signed] = ACTIONS(5409),
    [anon_sym_unsigned] = ACTIONS(5409),
    [anon_sym_long] = ACTIONS(5409),
    [anon_sym_short] = ACTIONS(5409),
    [anon_sym_static] = ACTIONS(5409),
    [anon_sym_auto] = ACTIONS(5409),
    [anon_sym_register] = ACTIONS(5409),
    [anon_sym_inline] = ACTIONS(5409),
    [anon_sym___inline] = ACTIONS(5409),
    [anon_sym___inline__] = ACTIONS(5409),
    [anon_sym___forceinline] = ACTIONS(5409),
    [anon_sym_thread_local] = ACTIONS(5409),
    [anon_sym___thread] = ACTIONS(5409),
    [anon_sym_CG_EXTERN] = ACTIONS(5409),
    [anon_sym_CG_INLINE] = ACTIONS(5409),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5409),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5409),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5409),
    [anon_sym_IBOutlet] = ACTIONS(5409),
    [anon_sym_IBInspectable] = ACTIONS(5409),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5409),
    [anon_sym_NS_INLINE] = ACTIONS(5409),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5409),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5409),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5409),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5409),
    [anon_sym_const] = ACTIONS(5409),
    [anon_sym_constexpr] = ACTIONS(5409),
    [anon_sym_volatile] = ACTIONS(5409),
    [anon_sym_restrict] = ACTIONS(5409),
    [anon_sym___restrict__] = ACTIONS(5409),
    [anon_sym__Atomic] = ACTIONS(5409),
    [anon_sym__Noreturn] = ACTIONS(5409),
    [anon_sym__Nonnull] = ACTIONS(5409),
    [anon_sym_nullable] = ACTIONS(5409),
    [anon_sym__Complex] = ACTIONS(5409),
    [anon_sym__Nullable] = ACTIONS(5409),
    [anon_sym__Nullable_result] = ACTIONS(5409),
    [anon_sym__Null_unspecified] = ACTIONS(5409),
    [anon_sym___autoreleasing] = ACTIONS(5409),
    [anon_sym___block] = ACTIONS(5409),
    [anon_sym___bridge] = ACTIONS(5409),
    [anon_sym___bridge_retained] = ACTIONS(5409),
    [anon_sym___bridge_transfer] = ACTIONS(5409),
    [anon_sym___complex] = ACTIONS(5409),
    [anon_sym___const] = ACTIONS(5409),
    [anon_sym___imag] = ACTIONS(5409),
    [anon_sym___kindof] = ACTIONS(5409),
    [anon_sym___nonnull] = ACTIONS(5409),
    [anon_sym___nullable] = ACTIONS(5409),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5409),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5409),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5409),
    [anon_sym___real] = ACTIONS(5409),
    [anon_sym___strong] = ACTIONS(5409),
    [anon_sym___unsafe_unretained] = ACTIONS(5409),
    [anon_sym___unused] = ACTIONS(5409),
    [anon_sym___weak] = ACTIONS(5409),
    [anon_sym_alignas] = ACTIONS(5409),
    [anon_sym__Alignas] = ACTIONS(5409),
    [sym_primitive_type] = ACTIONS(5409),
    [anon_sym_enum] = ACTIONS(5409),
    [anon_sym_struct] = ACTIONS(5409),
    [anon_sym_union] = ACTIONS(5409),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5409),
    [anon_sym___typeof] = ACTIONS(5409),
    [anon_sym_typeof] = ACTIONS(5409),
    [aux_sym_preproc_undef_token1] = ACTIONS(5409),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5409),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5409),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5409),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5409),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5409),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5409),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5409),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5409),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5409),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5409),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5409),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5409),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5409),
    [anon_sym_API_AVAILABLE] = ACTIONS(5409),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5409),
    [anon_sym_API_DEPRECATED] = ACTIONS(5409),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5409),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5409),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5409),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5409),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5409),
    [anon_sym___deprecated_msg] = ACTIONS(5409),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5409),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5409),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5409),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5409),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5409),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5409),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5409),
    [anon_sym_ATsynthesize] = ACTIONS(5411),
    [anon_sym_ATdynamic] = ACTIONS(5411),
    [anon_sym_BOOL] = ACTIONS(5409),
    [anon_sym_IMP] = ACTIONS(5409),
    [anon_sym_SEL] = ACTIONS(5409),
    [anon_sym_Class] = ACTIONS(5409),
    [anon_sym_id] = ACTIONS(5409),
  },
  [2391] = {
    [sym_identifier] = ACTIONS(5415),
    [aux_sym_preproc_def_token1] = ACTIONS(5415),
    [aux_sym_preproc_if_token1] = ACTIONS(5415),
    [aux_sym_preproc_if_token2] = ACTIONS(5415),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5415),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5415),
    [sym_preproc_directive] = ACTIONS(5415),
    [anon_sym_DASH] = ACTIONS(5417),
    [anon_sym_PLUS] = ACTIONS(5417),
    [anon_sym___extension__] = ACTIONS(5415),
    [anon_sym_typedef] = ACTIONS(5415),
    [anon_sym_extern] = ACTIONS(5415),
    [anon_sym___attribute__] = ACTIONS(5415),
    [anon_sym___attribute] = ACTIONS(5415),
    [anon_sym_noreturn] = ACTIONS(5415),
    [anon_sym_LBRACK] = ACTIONS(5417),
    [anon_sym___declspec] = ACTIONS(5415),
    [anon_sym___cdecl] = ACTIONS(5415),
    [anon_sym___clrcall] = ACTIONS(5415),
    [anon_sym___stdcall] = ACTIONS(5415),
    [anon_sym___fastcall] = ACTIONS(5415),
    [anon_sym___thiscall] = ACTIONS(5415),
    [anon_sym___vectorcall] = ACTIONS(5415),
    [anon_sym_signed] = ACTIONS(5415),
    [anon_sym_unsigned] = ACTIONS(5415),
    [anon_sym_long] = ACTIONS(5415),
    [anon_sym_short] = ACTIONS(5415),
    [anon_sym_static] = ACTIONS(5415),
    [anon_sym_auto] = ACTIONS(5415),
    [anon_sym_register] = ACTIONS(5415),
    [anon_sym_inline] = ACTIONS(5415),
    [anon_sym___inline] = ACTIONS(5415),
    [anon_sym___inline__] = ACTIONS(5415),
    [anon_sym___forceinline] = ACTIONS(5415),
    [anon_sym_thread_local] = ACTIONS(5415),
    [anon_sym___thread] = ACTIONS(5415),
    [anon_sym_CG_EXTERN] = ACTIONS(5415),
    [anon_sym_CG_INLINE] = ACTIONS(5415),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5415),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5415),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5415),
    [anon_sym_IBOutlet] = ACTIONS(5415),
    [anon_sym_IBInspectable] = ACTIONS(5415),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5415),
    [anon_sym_NS_INLINE] = ACTIONS(5415),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5415),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5415),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5415),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5415),
    [anon_sym_const] = ACTIONS(5415),
    [anon_sym_constexpr] = ACTIONS(5415),
    [anon_sym_volatile] = ACTIONS(5415),
    [anon_sym_restrict] = ACTIONS(5415),
    [anon_sym___restrict__] = ACTIONS(5415),
    [anon_sym__Atomic] = ACTIONS(5415),
    [anon_sym__Noreturn] = ACTIONS(5415),
    [anon_sym__Nonnull] = ACTIONS(5415),
    [anon_sym_nullable] = ACTIONS(5415),
    [anon_sym__Complex] = ACTIONS(5415),
    [anon_sym__Nullable] = ACTIONS(5415),
    [anon_sym__Nullable_result] = ACTIONS(5415),
    [anon_sym__Null_unspecified] = ACTIONS(5415),
    [anon_sym___autoreleasing] = ACTIONS(5415),
    [anon_sym___block] = ACTIONS(5415),
    [anon_sym___bridge] = ACTIONS(5415),
    [anon_sym___bridge_retained] = ACTIONS(5415),
    [anon_sym___bridge_transfer] = ACTIONS(5415),
    [anon_sym___complex] = ACTIONS(5415),
    [anon_sym___const] = ACTIONS(5415),
    [anon_sym___imag] = ACTIONS(5415),
    [anon_sym___kindof] = ACTIONS(5415),
    [anon_sym___nonnull] = ACTIONS(5415),
    [anon_sym___nullable] = ACTIONS(5415),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5415),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5415),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5415),
    [anon_sym___real] = ACTIONS(5415),
    [anon_sym___strong] = ACTIONS(5415),
    [anon_sym___unsafe_unretained] = ACTIONS(5415),
    [anon_sym___unused] = ACTIONS(5415),
    [anon_sym___weak] = ACTIONS(5415),
    [anon_sym_alignas] = ACTIONS(5415),
    [anon_sym__Alignas] = ACTIONS(5415),
    [sym_primitive_type] = ACTIONS(5415),
    [anon_sym_enum] = ACTIONS(5415),
    [anon_sym_struct] = ACTIONS(5415),
    [anon_sym_union] = ACTIONS(5415),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5415),
    [anon_sym___typeof] = ACTIONS(5415),
    [anon_sym_typeof] = ACTIONS(5415),
    [aux_sym_preproc_undef_token1] = ACTIONS(5415),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5415),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5415),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5415),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5415),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5415),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5415),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5415),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5415),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5415),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5415),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5415),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5415),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5415),
    [anon_sym_API_AVAILABLE] = ACTIONS(5415),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5415),
    [anon_sym_API_DEPRECATED] = ACTIONS(5415),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5415),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5415),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5415),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5415),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5415),
    [anon_sym___deprecated_msg] = ACTIONS(5415),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5415),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5415),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5415),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5415),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5415),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5415),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5415),
    [anon_sym_ATsynthesize] = ACTIONS(5417),
    [anon_sym_ATdynamic] = ACTIONS(5417),
    [anon_sym_BOOL] = ACTIONS(5415),
    [anon_sym_IMP] = ACTIONS(5415),
    [anon_sym_SEL] = ACTIONS(5415),
    [anon_sym_Class] = ACTIONS(5415),
    [anon_sym_id] = ACTIONS(5415),
  },
  [2392] = {
    [sym_identifier] = ACTIONS(5529),
    [aux_sym_preproc_def_token1] = ACTIONS(5529),
    [aux_sym_preproc_if_token1] = ACTIONS(5529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5529),
    [sym_preproc_directive] = ACTIONS(5529),
    [anon_sym_DASH] = ACTIONS(5531),
    [anon_sym_PLUS] = ACTIONS(5531),
    [anon_sym___extension__] = ACTIONS(5529),
    [anon_sym_typedef] = ACTIONS(5529),
    [anon_sym_extern] = ACTIONS(5529),
    [anon_sym___attribute__] = ACTIONS(5529),
    [anon_sym___attribute] = ACTIONS(5529),
    [anon_sym_noreturn] = ACTIONS(5529),
    [anon_sym_LBRACK] = ACTIONS(5531),
    [anon_sym___declspec] = ACTIONS(5529),
    [anon_sym___cdecl] = ACTIONS(5529),
    [anon_sym___clrcall] = ACTIONS(5529),
    [anon_sym___stdcall] = ACTIONS(5529),
    [anon_sym___fastcall] = ACTIONS(5529),
    [anon_sym___thiscall] = ACTIONS(5529),
    [anon_sym___vectorcall] = ACTIONS(5529),
    [anon_sym_signed] = ACTIONS(5529),
    [anon_sym_unsigned] = ACTIONS(5529),
    [anon_sym_long] = ACTIONS(5529),
    [anon_sym_short] = ACTIONS(5529),
    [anon_sym_static] = ACTIONS(5529),
    [anon_sym_auto] = ACTIONS(5529),
    [anon_sym_register] = ACTIONS(5529),
    [anon_sym_inline] = ACTIONS(5529),
    [anon_sym___inline] = ACTIONS(5529),
    [anon_sym___inline__] = ACTIONS(5529),
    [anon_sym___forceinline] = ACTIONS(5529),
    [anon_sym_thread_local] = ACTIONS(5529),
    [anon_sym___thread] = ACTIONS(5529),
    [anon_sym_CG_EXTERN] = ACTIONS(5529),
    [anon_sym_CG_INLINE] = ACTIONS(5529),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5529),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5529),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5529),
    [anon_sym_IBOutlet] = ACTIONS(5529),
    [anon_sym_IBInspectable] = ACTIONS(5529),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5529),
    [anon_sym_NS_INLINE] = ACTIONS(5529),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5529),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5529),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5529),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5529),
    [anon_sym_const] = ACTIONS(5529),
    [anon_sym_constexpr] = ACTIONS(5529),
    [anon_sym_volatile] = ACTIONS(5529),
    [anon_sym_restrict] = ACTIONS(5529),
    [anon_sym___restrict__] = ACTIONS(5529),
    [anon_sym__Atomic] = ACTIONS(5529),
    [anon_sym__Noreturn] = ACTIONS(5529),
    [anon_sym__Nonnull] = ACTIONS(5529),
    [anon_sym_nullable] = ACTIONS(5529),
    [anon_sym__Complex] = ACTIONS(5529),
    [anon_sym__Nullable] = ACTIONS(5529),
    [anon_sym__Nullable_result] = ACTIONS(5529),
    [anon_sym__Null_unspecified] = ACTIONS(5529),
    [anon_sym___autoreleasing] = ACTIONS(5529),
    [anon_sym___block] = ACTIONS(5529),
    [anon_sym___bridge] = ACTIONS(5529),
    [anon_sym___bridge_retained] = ACTIONS(5529),
    [anon_sym___bridge_transfer] = ACTIONS(5529),
    [anon_sym___complex] = ACTIONS(5529),
    [anon_sym___const] = ACTIONS(5529),
    [anon_sym___imag] = ACTIONS(5529),
    [anon_sym___kindof] = ACTIONS(5529),
    [anon_sym___nonnull] = ACTIONS(5529),
    [anon_sym___nullable] = ACTIONS(5529),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5529),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5529),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5529),
    [anon_sym___real] = ACTIONS(5529),
    [anon_sym___strong] = ACTIONS(5529),
    [anon_sym___unsafe_unretained] = ACTIONS(5529),
    [anon_sym___unused] = ACTIONS(5529),
    [anon_sym___weak] = ACTIONS(5529),
    [anon_sym_alignas] = ACTIONS(5529),
    [anon_sym__Alignas] = ACTIONS(5529),
    [sym_primitive_type] = ACTIONS(5529),
    [anon_sym_enum] = ACTIONS(5529),
    [anon_sym_struct] = ACTIONS(5529),
    [anon_sym_union] = ACTIONS(5529),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5529),
    [anon_sym___typeof] = ACTIONS(5529),
    [anon_sym_typeof] = ACTIONS(5529),
    [aux_sym_preproc_undef_token1] = ACTIONS(5529),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5529),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5529),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5529),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5529),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5529),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5529),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5529),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5529),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5529),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5529),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5529),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5529),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5529),
    [anon_sym_API_AVAILABLE] = ACTIONS(5529),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5529),
    [anon_sym_API_DEPRECATED] = ACTIONS(5529),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5529),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5529),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5529),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5529),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5529),
    [anon_sym___deprecated_msg] = ACTIONS(5529),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5529),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5529),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5529),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5529),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5529),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5529),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5529),
    [anon_sym_ATend] = ACTIONS(5531),
    [anon_sym_ATsynthesize] = ACTIONS(5531),
    [anon_sym_ATdynamic] = ACTIONS(5531),
    [anon_sym_BOOL] = ACTIONS(5529),
    [anon_sym_IMP] = ACTIONS(5529),
    [anon_sym_SEL] = ACTIONS(5529),
    [anon_sym_Class] = ACTIONS(5529),
    [anon_sym_id] = ACTIONS(5529),
  },
  [2393] = {
    [sym_identifier] = ACTIONS(5505),
    [aux_sym_preproc_def_token1] = ACTIONS(5505),
    [aux_sym_preproc_if_token1] = ACTIONS(5505),
    [aux_sym_preproc_if_token2] = ACTIONS(5505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5505),
    [sym_preproc_directive] = ACTIONS(5505),
    [anon_sym_DASH] = ACTIONS(5507),
    [anon_sym_PLUS] = ACTIONS(5507),
    [anon_sym___extension__] = ACTIONS(5505),
    [anon_sym_typedef] = ACTIONS(5505),
    [anon_sym_extern] = ACTIONS(5505),
    [anon_sym___attribute__] = ACTIONS(5505),
    [anon_sym___attribute] = ACTIONS(5505),
    [anon_sym_noreturn] = ACTIONS(5505),
    [anon_sym_LBRACK] = ACTIONS(5507),
    [anon_sym___declspec] = ACTIONS(5505),
    [anon_sym___cdecl] = ACTIONS(5505),
    [anon_sym___clrcall] = ACTIONS(5505),
    [anon_sym___stdcall] = ACTIONS(5505),
    [anon_sym___fastcall] = ACTIONS(5505),
    [anon_sym___thiscall] = ACTIONS(5505),
    [anon_sym___vectorcall] = ACTIONS(5505),
    [anon_sym_signed] = ACTIONS(5505),
    [anon_sym_unsigned] = ACTIONS(5505),
    [anon_sym_long] = ACTIONS(5505),
    [anon_sym_short] = ACTIONS(5505),
    [anon_sym_static] = ACTIONS(5505),
    [anon_sym_auto] = ACTIONS(5505),
    [anon_sym_register] = ACTIONS(5505),
    [anon_sym_inline] = ACTIONS(5505),
    [anon_sym___inline] = ACTIONS(5505),
    [anon_sym___inline__] = ACTIONS(5505),
    [anon_sym___forceinline] = ACTIONS(5505),
    [anon_sym_thread_local] = ACTIONS(5505),
    [anon_sym___thread] = ACTIONS(5505),
    [anon_sym_CG_EXTERN] = ACTIONS(5505),
    [anon_sym_CG_INLINE] = ACTIONS(5505),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5505),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5505),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5505),
    [anon_sym_IBOutlet] = ACTIONS(5505),
    [anon_sym_IBInspectable] = ACTIONS(5505),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5505),
    [anon_sym_NS_INLINE] = ACTIONS(5505),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5505),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5505),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5505),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5505),
    [anon_sym_const] = ACTIONS(5505),
    [anon_sym_constexpr] = ACTIONS(5505),
    [anon_sym_volatile] = ACTIONS(5505),
    [anon_sym_restrict] = ACTIONS(5505),
    [anon_sym___restrict__] = ACTIONS(5505),
    [anon_sym__Atomic] = ACTIONS(5505),
    [anon_sym__Noreturn] = ACTIONS(5505),
    [anon_sym__Nonnull] = ACTIONS(5505),
    [anon_sym_nullable] = ACTIONS(5505),
    [anon_sym__Complex] = ACTIONS(5505),
    [anon_sym__Nullable] = ACTIONS(5505),
    [anon_sym__Nullable_result] = ACTIONS(5505),
    [anon_sym__Null_unspecified] = ACTIONS(5505),
    [anon_sym___autoreleasing] = ACTIONS(5505),
    [anon_sym___block] = ACTIONS(5505),
    [anon_sym___bridge] = ACTIONS(5505),
    [anon_sym___bridge_retained] = ACTIONS(5505),
    [anon_sym___bridge_transfer] = ACTIONS(5505),
    [anon_sym___complex] = ACTIONS(5505),
    [anon_sym___const] = ACTIONS(5505),
    [anon_sym___imag] = ACTIONS(5505),
    [anon_sym___kindof] = ACTIONS(5505),
    [anon_sym___nonnull] = ACTIONS(5505),
    [anon_sym___nullable] = ACTIONS(5505),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5505),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5505),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5505),
    [anon_sym___real] = ACTIONS(5505),
    [anon_sym___strong] = ACTIONS(5505),
    [anon_sym___unsafe_unretained] = ACTIONS(5505),
    [anon_sym___unused] = ACTIONS(5505),
    [anon_sym___weak] = ACTIONS(5505),
    [anon_sym_alignas] = ACTIONS(5505),
    [anon_sym__Alignas] = ACTIONS(5505),
    [sym_primitive_type] = ACTIONS(5505),
    [anon_sym_enum] = ACTIONS(5505),
    [anon_sym_struct] = ACTIONS(5505),
    [anon_sym_union] = ACTIONS(5505),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5505),
    [anon_sym___typeof] = ACTIONS(5505),
    [anon_sym_typeof] = ACTIONS(5505),
    [aux_sym_preproc_undef_token1] = ACTIONS(5505),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5505),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5505),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5505),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5505),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5505),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5505),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5505),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5505),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5505),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5505),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5505),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5505),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5505),
    [anon_sym_API_AVAILABLE] = ACTIONS(5505),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5505),
    [anon_sym_API_DEPRECATED] = ACTIONS(5505),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5505),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5505),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5505),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5505),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5505),
    [anon_sym___deprecated_msg] = ACTIONS(5505),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5505),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5505),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5505),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5505),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5505),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5505),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5505),
    [anon_sym_ATsynthesize] = ACTIONS(5507),
    [anon_sym_ATdynamic] = ACTIONS(5507),
    [anon_sym_BOOL] = ACTIONS(5505),
    [anon_sym_IMP] = ACTIONS(5505),
    [anon_sym_SEL] = ACTIONS(5505),
    [anon_sym_Class] = ACTIONS(5505),
    [anon_sym_id] = ACTIONS(5505),
  },
  [2394] = {
    [sym_identifier] = ACTIONS(5421),
    [aux_sym_preproc_def_token1] = ACTIONS(5421),
    [aux_sym_preproc_if_token1] = ACTIONS(5421),
    [aux_sym_preproc_if_token2] = ACTIONS(5421),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5421),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5421),
    [sym_preproc_directive] = ACTIONS(5421),
    [anon_sym_DASH] = ACTIONS(5423),
    [anon_sym_PLUS] = ACTIONS(5423),
    [anon_sym___extension__] = ACTIONS(5421),
    [anon_sym_typedef] = ACTIONS(5421),
    [anon_sym_extern] = ACTIONS(5421),
    [anon_sym___attribute__] = ACTIONS(5421),
    [anon_sym___attribute] = ACTIONS(5421),
    [anon_sym_noreturn] = ACTIONS(5421),
    [anon_sym_LBRACK] = ACTIONS(5423),
    [anon_sym___declspec] = ACTIONS(5421),
    [anon_sym___cdecl] = ACTIONS(5421),
    [anon_sym___clrcall] = ACTIONS(5421),
    [anon_sym___stdcall] = ACTIONS(5421),
    [anon_sym___fastcall] = ACTIONS(5421),
    [anon_sym___thiscall] = ACTIONS(5421),
    [anon_sym___vectorcall] = ACTIONS(5421),
    [anon_sym_signed] = ACTIONS(5421),
    [anon_sym_unsigned] = ACTIONS(5421),
    [anon_sym_long] = ACTIONS(5421),
    [anon_sym_short] = ACTIONS(5421),
    [anon_sym_static] = ACTIONS(5421),
    [anon_sym_auto] = ACTIONS(5421),
    [anon_sym_register] = ACTIONS(5421),
    [anon_sym_inline] = ACTIONS(5421),
    [anon_sym___inline] = ACTIONS(5421),
    [anon_sym___inline__] = ACTIONS(5421),
    [anon_sym___forceinline] = ACTIONS(5421),
    [anon_sym_thread_local] = ACTIONS(5421),
    [anon_sym___thread] = ACTIONS(5421),
    [anon_sym_CG_EXTERN] = ACTIONS(5421),
    [anon_sym_CG_INLINE] = ACTIONS(5421),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5421),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5421),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5421),
    [anon_sym_IBOutlet] = ACTIONS(5421),
    [anon_sym_IBInspectable] = ACTIONS(5421),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5421),
    [anon_sym_NS_INLINE] = ACTIONS(5421),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5421),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5421),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5421),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5421),
    [anon_sym_const] = ACTIONS(5421),
    [anon_sym_constexpr] = ACTIONS(5421),
    [anon_sym_volatile] = ACTIONS(5421),
    [anon_sym_restrict] = ACTIONS(5421),
    [anon_sym___restrict__] = ACTIONS(5421),
    [anon_sym__Atomic] = ACTIONS(5421),
    [anon_sym__Noreturn] = ACTIONS(5421),
    [anon_sym__Nonnull] = ACTIONS(5421),
    [anon_sym_nullable] = ACTIONS(5421),
    [anon_sym__Complex] = ACTIONS(5421),
    [anon_sym__Nullable] = ACTIONS(5421),
    [anon_sym__Nullable_result] = ACTIONS(5421),
    [anon_sym__Null_unspecified] = ACTIONS(5421),
    [anon_sym___autoreleasing] = ACTIONS(5421),
    [anon_sym___block] = ACTIONS(5421),
    [anon_sym___bridge] = ACTIONS(5421),
    [anon_sym___bridge_retained] = ACTIONS(5421),
    [anon_sym___bridge_transfer] = ACTIONS(5421),
    [anon_sym___complex] = ACTIONS(5421),
    [anon_sym___const] = ACTIONS(5421),
    [anon_sym___imag] = ACTIONS(5421),
    [anon_sym___kindof] = ACTIONS(5421),
    [anon_sym___nonnull] = ACTIONS(5421),
    [anon_sym___nullable] = ACTIONS(5421),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5421),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5421),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5421),
    [anon_sym___real] = ACTIONS(5421),
    [anon_sym___strong] = ACTIONS(5421),
    [anon_sym___unsafe_unretained] = ACTIONS(5421),
    [anon_sym___unused] = ACTIONS(5421),
    [anon_sym___weak] = ACTIONS(5421),
    [anon_sym_alignas] = ACTIONS(5421),
    [anon_sym__Alignas] = ACTIONS(5421),
    [sym_primitive_type] = ACTIONS(5421),
    [anon_sym_enum] = ACTIONS(5421),
    [anon_sym_struct] = ACTIONS(5421),
    [anon_sym_union] = ACTIONS(5421),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5421),
    [anon_sym___typeof] = ACTIONS(5421),
    [anon_sym_typeof] = ACTIONS(5421),
    [aux_sym_preproc_undef_token1] = ACTIONS(5421),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5421),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5421),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5421),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5421),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5421),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5421),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5421),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5421),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5421),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5421),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5421),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5421),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5421),
    [anon_sym_API_AVAILABLE] = ACTIONS(5421),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5421),
    [anon_sym_API_DEPRECATED] = ACTIONS(5421),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5421),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5421),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5421),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5421),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5421),
    [anon_sym___deprecated_msg] = ACTIONS(5421),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5421),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5421),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5421),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5421),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5421),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5421),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5421),
    [anon_sym_ATsynthesize] = ACTIONS(5423),
    [anon_sym_ATdynamic] = ACTIONS(5423),
    [anon_sym_BOOL] = ACTIONS(5421),
    [anon_sym_IMP] = ACTIONS(5421),
    [anon_sym_SEL] = ACTIONS(5421),
    [anon_sym_Class] = ACTIONS(5421),
    [anon_sym_id] = ACTIONS(5421),
  },
  [2395] = {
    [sym_identifier] = ACTIONS(5678),
    [anon_sym_COMMA] = ACTIONS(5680),
    [anon_sym_RPAREN] = ACTIONS(5680),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5680),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5680),
    [anon_sym_LPAREN2] = ACTIONS(5680),
    [anon_sym_STAR] = ACTIONS(5680),
    [anon_sym_CARET] = ACTIONS(5680),
    [anon_sym_GT] = ACTIONS(5680),
    [anon_sym_SEMI] = ACTIONS(5680),
    [anon_sym___extension__] = ACTIONS(5678),
    [anon_sym_extern] = ACTIONS(5678),
    [anon_sym___attribute__] = ACTIONS(5678),
    [anon_sym___attribute] = ACTIONS(5678),
    [anon_sym_noreturn] = ACTIONS(5678),
    [anon_sym_LBRACK] = ACTIONS(5680),
    [anon_sym___declspec] = ACTIONS(5678),
    [anon_sym___based] = ACTIONS(5678),
    [anon_sym_LBRACE] = ACTIONS(5680),
    [anon_sym_RBRACE] = ACTIONS(5680),
    [anon_sym_signed] = ACTIONS(5678),
    [anon_sym_unsigned] = ACTIONS(5678),
    [anon_sym_long] = ACTIONS(5678),
    [anon_sym_short] = ACTIONS(5678),
    [anon_sym_static] = ACTIONS(5678),
    [anon_sym_ATautoreleasepool] = ACTIONS(5680),
    [anon_sym_auto] = ACTIONS(5678),
    [anon_sym_register] = ACTIONS(5678),
    [anon_sym_inline] = ACTIONS(5678),
    [anon_sym___inline] = ACTIONS(5678),
    [anon_sym___inline__] = ACTIONS(5678),
    [anon_sym___forceinline] = ACTIONS(5678),
    [anon_sym_thread_local] = ACTIONS(5678),
    [anon_sym___thread] = ACTIONS(5678),
    [anon_sym_CG_EXTERN] = ACTIONS(5678),
    [anon_sym_CG_INLINE] = ACTIONS(5678),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5678),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5678),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5678),
    [anon_sym_IBOutlet] = ACTIONS(5678),
    [anon_sym_IBInspectable] = ACTIONS(5678),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5678),
    [anon_sym_NS_INLINE] = ACTIONS(5678),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5678),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5678),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5678),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5678),
    [anon_sym_const] = ACTIONS(5678),
    [anon_sym_constexpr] = ACTIONS(5678),
    [anon_sym_volatile] = ACTIONS(5678),
    [anon_sym_restrict] = ACTIONS(5678),
    [anon_sym___restrict__] = ACTIONS(5678),
    [anon_sym__Atomic] = ACTIONS(5678),
    [anon_sym__Noreturn] = ACTIONS(5678),
    [anon_sym__Nonnull] = ACTIONS(5678),
    [anon_sym_nullable] = ACTIONS(5678),
    [anon_sym__Complex] = ACTIONS(5678),
    [anon_sym__Nullable] = ACTIONS(5678),
    [anon_sym__Nullable_result] = ACTIONS(5678),
    [anon_sym__Null_unspecified] = ACTIONS(5678),
    [anon_sym___autoreleasing] = ACTIONS(5678),
    [anon_sym___block] = ACTIONS(5678),
    [anon_sym___bridge] = ACTIONS(5678),
    [anon_sym___bridge_retained] = ACTIONS(5678),
    [anon_sym___bridge_transfer] = ACTIONS(5678),
    [anon_sym___complex] = ACTIONS(5678),
    [anon_sym___const] = ACTIONS(5678),
    [anon_sym___imag] = ACTIONS(5678),
    [anon_sym___kindof] = ACTIONS(5678),
    [anon_sym___nonnull] = ACTIONS(5678),
    [anon_sym___nullable] = ACTIONS(5678),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5678),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5678),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5678),
    [anon_sym___real] = ACTIONS(5678),
    [anon_sym___strong] = ACTIONS(5678),
    [anon_sym___unsafe_unretained] = ACTIONS(5678),
    [anon_sym___unused] = ACTIONS(5678),
    [anon_sym___weak] = ACTIONS(5678),
    [anon_sym_alignas] = ACTIONS(5678),
    [anon_sym__Alignas] = ACTIONS(5678),
    [sym_primitive_type] = ACTIONS(5678),
    [anon_sym_enum] = ACTIONS(5678),
    [anon_sym_COLON] = ACTIONS(5680),
    [anon_sym_struct] = ACTIONS(5678),
    [anon_sym_union] = ACTIONS(5678),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5678),
    [anon_sym___typeof] = ACTIONS(5678),
    [anon_sym_typeof] = ACTIONS(5678),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5678),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5678),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5678),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5678),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5678),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5678),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5678),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5678),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5678),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5678),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5678),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5678),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5678),
    [anon_sym_API_AVAILABLE] = ACTIONS(5678),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5678),
    [anon_sym_API_DEPRECATED] = ACTIONS(5678),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5678),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5678),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5678),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5678),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5678),
    [anon_sym___deprecated_msg] = ACTIONS(5678),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5678),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5678),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5678),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5678),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5678),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5678),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5678),
    [anon_sym_ATprotocol] = ACTIONS(5680),
    [anon_sym_ATinterface] = ACTIONS(5680),
    [anon_sym_ATimplementation] = ACTIONS(5680),
    [anon_sym_ATproperty] = ACTIONS(5680),
    [anon_sym_BOOL] = ACTIONS(5678),
    [anon_sym_IMP] = ACTIONS(5678),
    [anon_sym_SEL] = ACTIONS(5678),
    [anon_sym_Class] = ACTIONS(5678),
    [anon_sym_id] = ACTIONS(5678),
  },
  [2396] = {
    [sym_identifier] = ACTIONS(5353),
    [aux_sym_preproc_def_token1] = ACTIONS(5353),
    [aux_sym_preproc_if_token1] = ACTIONS(5353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5353),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5353),
    [sym_preproc_directive] = ACTIONS(5353),
    [anon_sym_DASH] = ACTIONS(5355),
    [anon_sym_PLUS] = ACTIONS(5355),
    [anon_sym___extension__] = ACTIONS(5353),
    [anon_sym_typedef] = ACTIONS(5353),
    [anon_sym_extern] = ACTIONS(5353),
    [anon_sym___attribute__] = ACTIONS(5353),
    [anon_sym___attribute] = ACTIONS(5353),
    [anon_sym_noreturn] = ACTIONS(5353),
    [anon_sym_LBRACK] = ACTIONS(5355),
    [anon_sym___declspec] = ACTIONS(5353),
    [anon_sym___cdecl] = ACTIONS(5353),
    [anon_sym___clrcall] = ACTIONS(5353),
    [anon_sym___stdcall] = ACTIONS(5353),
    [anon_sym___fastcall] = ACTIONS(5353),
    [anon_sym___thiscall] = ACTIONS(5353),
    [anon_sym___vectorcall] = ACTIONS(5353),
    [anon_sym_signed] = ACTIONS(5353),
    [anon_sym_unsigned] = ACTIONS(5353),
    [anon_sym_long] = ACTIONS(5353),
    [anon_sym_short] = ACTIONS(5353),
    [anon_sym_static] = ACTIONS(5353),
    [anon_sym_auto] = ACTIONS(5353),
    [anon_sym_register] = ACTIONS(5353),
    [anon_sym_inline] = ACTIONS(5353),
    [anon_sym___inline] = ACTIONS(5353),
    [anon_sym___inline__] = ACTIONS(5353),
    [anon_sym___forceinline] = ACTIONS(5353),
    [anon_sym_thread_local] = ACTIONS(5353),
    [anon_sym___thread] = ACTIONS(5353),
    [anon_sym_CG_EXTERN] = ACTIONS(5353),
    [anon_sym_CG_INLINE] = ACTIONS(5353),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5353),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5353),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5353),
    [anon_sym_IBOutlet] = ACTIONS(5353),
    [anon_sym_IBInspectable] = ACTIONS(5353),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5353),
    [anon_sym_NS_INLINE] = ACTIONS(5353),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5353),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5353),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5353),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5353),
    [anon_sym_const] = ACTIONS(5353),
    [anon_sym_constexpr] = ACTIONS(5353),
    [anon_sym_volatile] = ACTIONS(5353),
    [anon_sym_restrict] = ACTIONS(5353),
    [anon_sym___restrict__] = ACTIONS(5353),
    [anon_sym__Atomic] = ACTIONS(5353),
    [anon_sym__Noreturn] = ACTIONS(5353),
    [anon_sym__Nonnull] = ACTIONS(5353),
    [anon_sym_nullable] = ACTIONS(5353),
    [anon_sym__Complex] = ACTIONS(5353),
    [anon_sym__Nullable] = ACTIONS(5353),
    [anon_sym__Nullable_result] = ACTIONS(5353),
    [anon_sym__Null_unspecified] = ACTIONS(5353),
    [anon_sym___autoreleasing] = ACTIONS(5353),
    [anon_sym___block] = ACTIONS(5353),
    [anon_sym___bridge] = ACTIONS(5353),
    [anon_sym___bridge_retained] = ACTIONS(5353),
    [anon_sym___bridge_transfer] = ACTIONS(5353),
    [anon_sym___complex] = ACTIONS(5353),
    [anon_sym___const] = ACTIONS(5353),
    [anon_sym___imag] = ACTIONS(5353),
    [anon_sym___kindof] = ACTIONS(5353),
    [anon_sym___nonnull] = ACTIONS(5353),
    [anon_sym___nullable] = ACTIONS(5353),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5353),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5353),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5353),
    [anon_sym___real] = ACTIONS(5353),
    [anon_sym___strong] = ACTIONS(5353),
    [anon_sym___unsafe_unretained] = ACTIONS(5353),
    [anon_sym___unused] = ACTIONS(5353),
    [anon_sym___weak] = ACTIONS(5353),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_primitive_type] = ACTIONS(5353),
    [anon_sym_enum] = ACTIONS(5353),
    [anon_sym_struct] = ACTIONS(5353),
    [anon_sym_union] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5353),
    [anon_sym___typeof] = ACTIONS(5353),
    [anon_sym_typeof] = ACTIONS(5353),
    [aux_sym_preproc_undef_token1] = ACTIONS(5353),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5353),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5353),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5353),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5353),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5353),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5353),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5353),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5353),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5353),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5353),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5353),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5353),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5353),
    [anon_sym_API_AVAILABLE] = ACTIONS(5353),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5353),
    [anon_sym_API_DEPRECATED] = ACTIONS(5353),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5353),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5353),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5353),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5353),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5353),
    [anon_sym___deprecated_msg] = ACTIONS(5353),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5353),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5353),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5353),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5353),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5353),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5353),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5353),
    [anon_sym_ATend] = ACTIONS(5355),
    [anon_sym_ATsynthesize] = ACTIONS(5355),
    [anon_sym_ATdynamic] = ACTIONS(5355),
    [anon_sym_BOOL] = ACTIONS(5353),
    [anon_sym_IMP] = ACTIONS(5353),
    [anon_sym_SEL] = ACTIONS(5353),
    [anon_sym_Class] = ACTIONS(5353),
    [anon_sym_id] = ACTIONS(5353),
  },
  [2397] = {
    [sym_identifier] = ACTIONS(5682),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_RPAREN] = ACTIONS(5684),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5684),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5684),
    [anon_sym_LPAREN2] = ACTIONS(5684),
    [anon_sym_STAR] = ACTIONS(5684),
    [anon_sym_CARET] = ACTIONS(5684),
    [anon_sym_GT] = ACTIONS(5684),
    [anon_sym_SEMI] = ACTIONS(5684),
    [anon_sym___extension__] = ACTIONS(5682),
    [anon_sym_extern] = ACTIONS(5682),
    [anon_sym___attribute__] = ACTIONS(5682),
    [anon_sym___attribute] = ACTIONS(5682),
    [anon_sym_noreturn] = ACTIONS(5682),
    [anon_sym_LBRACK] = ACTIONS(5684),
    [anon_sym___declspec] = ACTIONS(5682),
    [anon_sym___based] = ACTIONS(5682),
    [anon_sym_LBRACE] = ACTIONS(5684),
    [anon_sym_RBRACE] = ACTIONS(5684),
    [anon_sym_signed] = ACTIONS(5682),
    [anon_sym_unsigned] = ACTIONS(5682),
    [anon_sym_long] = ACTIONS(5682),
    [anon_sym_short] = ACTIONS(5682),
    [anon_sym_static] = ACTIONS(5682),
    [anon_sym_ATautoreleasepool] = ACTIONS(5684),
    [anon_sym_auto] = ACTIONS(5682),
    [anon_sym_register] = ACTIONS(5682),
    [anon_sym_inline] = ACTIONS(5682),
    [anon_sym___inline] = ACTIONS(5682),
    [anon_sym___inline__] = ACTIONS(5682),
    [anon_sym___forceinline] = ACTIONS(5682),
    [anon_sym_thread_local] = ACTIONS(5682),
    [anon_sym___thread] = ACTIONS(5682),
    [anon_sym_CG_EXTERN] = ACTIONS(5682),
    [anon_sym_CG_INLINE] = ACTIONS(5682),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5682),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5682),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5682),
    [anon_sym_IBOutlet] = ACTIONS(5682),
    [anon_sym_IBInspectable] = ACTIONS(5682),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5682),
    [anon_sym_NS_INLINE] = ACTIONS(5682),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5682),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5682),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5682),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5682),
    [anon_sym_const] = ACTIONS(5682),
    [anon_sym_constexpr] = ACTIONS(5682),
    [anon_sym_volatile] = ACTIONS(5682),
    [anon_sym_restrict] = ACTIONS(5682),
    [anon_sym___restrict__] = ACTIONS(5682),
    [anon_sym__Atomic] = ACTIONS(5682),
    [anon_sym__Noreturn] = ACTIONS(5682),
    [anon_sym__Nonnull] = ACTIONS(5682),
    [anon_sym_nullable] = ACTIONS(5682),
    [anon_sym__Complex] = ACTIONS(5682),
    [anon_sym__Nullable] = ACTIONS(5682),
    [anon_sym__Nullable_result] = ACTIONS(5682),
    [anon_sym__Null_unspecified] = ACTIONS(5682),
    [anon_sym___autoreleasing] = ACTIONS(5682),
    [anon_sym___block] = ACTIONS(5682),
    [anon_sym___bridge] = ACTIONS(5682),
    [anon_sym___bridge_retained] = ACTIONS(5682),
    [anon_sym___bridge_transfer] = ACTIONS(5682),
    [anon_sym___complex] = ACTIONS(5682),
    [anon_sym___const] = ACTIONS(5682),
    [anon_sym___imag] = ACTIONS(5682),
    [anon_sym___kindof] = ACTIONS(5682),
    [anon_sym___nonnull] = ACTIONS(5682),
    [anon_sym___nullable] = ACTIONS(5682),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5682),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5682),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5682),
    [anon_sym___real] = ACTIONS(5682),
    [anon_sym___strong] = ACTIONS(5682),
    [anon_sym___unsafe_unretained] = ACTIONS(5682),
    [anon_sym___unused] = ACTIONS(5682),
    [anon_sym___weak] = ACTIONS(5682),
    [anon_sym_alignas] = ACTIONS(5682),
    [anon_sym__Alignas] = ACTIONS(5682),
    [sym_primitive_type] = ACTIONS(5682),
    [anon_sym_enum] = ACTIONS(5682),
    [anon_sym_COLON] = ACTIONS(5684),
    [anon_sym_struct] = ACTIONS(5682),
    [anon_sym_union] = ACTIONS(5682),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5682),
    [anon_sym___typeof] = ACTIONS(5682),
    [anon_sym_typeof] = ACTIONS(5682),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5682),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5682),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5682),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5682),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5682),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5682),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5682),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5682),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5682),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5682),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5682),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5682),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5682),
    [anon_sym_API_AVAILABLE] = ACTIONS(5682),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5682),
    [anon_sym_API_DEPRECATED] = ACTIONS(5682),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5682),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5682),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5682),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5682),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5682),
    [anon_sym___deprecated_msg] = ACTIONS(5682),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5682),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5682),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5682),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5682),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5682),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5682),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5682),
    [anon_sym_ATprotocol] = ACTIONS(5684),
    [anon_sym_ATinterface] = ACTIONS(5684),
    [anon_sym_ATimplementation] = ACTIONS(5684),
    [anon_sym_ATproperty] = ACTIONS(5684),
    [anon_sym_BOOL] = ACTIONS(5682),
    [anon_sym_IMP] = ACTIONS(5682),
    [anon_sym_SEL] = ACTIONS(5682),
    [anon_sym_Class] = ACTIONS(5682),
    [anon_sym_id] = ACTIONS(5682),
  },
  [2398] = {
    [sym_identifier] = ACTIONS(5427),
    [aux_sym_preproc_def_token1] = ACTIONS(5427),
    [aux_sym_preproc_if_token1] = ACTIONS(5427),
    [aux_sym_preproc_if_token2] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5427),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5427),
    [sym_preproc_directive] = ACTIONS(5427),
    [anon_sym_DASH] = ACTIONS(5429),
    [anon_sym_PLUS] = ACTIONS(5429),
    [anon_sym___extension__] = ACTIONS(5427),
    [anon_sym_typedef] = ACTIONS(5427),
    [anon_sym_extern] = ACTIONS(5427),
    [anon_sym___attribute__] = ACTIONS(5427),
    [anon_sym___attribute] = ACTIONS(5427),
    [anon_sym_noreturn] = ACTIONS(5427),
    [anon_sym_LBRACK] = ACTIONS(5429),
    [anon_sym___declspec] = ACTIONS(5427),
    [anon_sym___cdecl] = ACTIONS(5427),
    [anon_sym___clrcall] = ACTIONS(5427),
    [anon_sym___stdcall] = ACTIONS(5427),
    [anon_sym___fastcall] = ACTIONS(5427),
    [anon_sym___thiscall] = ACTIONS(5427),
    [anon_sym___vectorcall] = ACTIONS(5427),
    [anon_sym_signed] = ACTIONS(5427),
    [anon_sym_unsigned] = ACTIONS(5427),
    [anon_sym_long] = ACTIONS(5427),
    [anon_sym_short] = ACTIONS(5427),
    [anon_sym_static] = ACTIONS(5427),
    [anon_sym_auto] = ACTIONS(5427),
    [anon_sym_register] = ACTIONS(5427),
    [anon_sym_inline] = ACTIONS(5427),
    [anon_sym___inline] = ACTIONS(5427),
    [anon_sym___inline__] = ACTIONS(5427),
    [anon_sym___forceinline] = ACTIONS(5427),
    [anon_sym_thread_local] = ACTIONS(5427),
    [anon_sym___thread] = ACTIONS(5427),
    [anon_sym_CG_EXTERN] = ACTIONS(5427),
    [anon_sym_CG_INLINE] = ACTIONS(5427),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5427),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5427),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5427),
    [anon_sym_IBOutlet] = ACTIONS(5427),
    [anon_sym_IBInspectable] = ACTIONS(5427),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5427),
    [anon_sym_NS_INLINE] = ACTIONS(5427),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5427),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5427),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5427),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5427),
    [anon_sym_const] = ACTIONS(5427),
    [anon_sym_constexpr] = ACTIONS(5427),
    [anon_sym_volatile] = ACTIONS(5427),
    [anon_sym_restrict] = ACTIONS(5427),
    [anon_sym___restrict__] = ACTIONS(5427),
    [anon_sym__Atomic] = ACTIONS(5427),
    [anon_sym__Noreturn] = ACTIONS(5427),
    [anon_sym__Nonnull] = ACTIONS(5427),
    [anon_sym_nullable] = ACTIONS(5427),
    [anon_sym__Complex] = ACTIONS(5427),
    [anon_sym__Nullable] = ACTIONS(5427),
    [anon_sym__Nullable_result] = ACTIONS(5427),
    [anon_sym__Null_unspecified] = ACTIONS(5427),
    [anon_sym___autoreleasing] = ACTIONS(5427),
    [anon_sym___block] = ACTIONS(5427),
    [anon_sym___bridge] = ACTIONS(5427),
    [anon_sym___bridge_retained] = ACTIONS(5427),
    [anon_sym___bridge_transfer] = ACTIONS(5427),
    [anon_sym___complex] = ACTIONS(5427),
    [anon_sym___const] = ACTIONS(5427),
    [anon_sym___imag] = ACTIONS(5427),
    [anon_sym___kindof] = ACTIONS(5427),
    [anon_sym___nonnull] = ACTIONS(5427),
    [anon_sym___nullable] = ACTIONS(5427),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5427),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5427),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5427),
    [anon_sym___real] = ACTIONS(5427),
    [anon_sym___strong] = ACTIONS(5427),
    [anon_sym___unsafe_unretained] = ACTIONS(5427),
    [anon_sym___unused] = ACTIONS(5427),
    [anon_sym___weak] = ACTIONS(5427),
    [anon_sym_alignas] = ACTIONS(5427),
    [anon_sym__Alignas] = ACTIONS(5427),
    [sym_primitive_type] = ACTIONS(5427),
    [anon_sym_enum] = ACTIONS(5427),
    [anon_sym_struct] = ACTIONS(5427),
    [anon_sym_union] = ACTIONS(5427),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5427),
    [anon_sym___typeof] = ACTIONS(5427),
    [anon_sym_typeof] = ACTIONS(5427),
    [aux_sym_preproc_undef_token1] = ACTIONS(5427),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5427),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5427),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5427),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5427),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5427),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5427),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5427),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5427),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5427),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5427),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5427),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5427),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5427),
    [anon_sym_API_AVAILABLE] = ACTIONS(5427),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5427),
    [anon_sym_API_DEPRECATED] = ACTIONS(5427),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5427),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5427),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5427),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5427),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5427),
    [anon_sym___deprecated_msg] = ACTIONS(5427),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5427),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5427),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5427),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5427),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5427),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5427),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5427),
    [anon_sym_ATsynthesize] = ACTIONS(5429),
    [anon_sym_ATdynamic] = ACTIONS(5429),
    [anon_sym_BOOL] = ACTIONS(5427),
    [anon_sym_IMP] = ACTIONS(5427),
    [anon_sym_SEL] = ACTIONS(5427),
    [anon_sym_Class] = ACTIONS(5427),
    [anon_sym_id] = ACTIONS(5427),
  },
  [2399] = {
    [sym_identifier] = ACTIONS(5353),
    [aux_sym_preproc_def_token1] = ACTIONS(5353),
    [aux_sym_preproc_if_token1] = ACTIONS(5353),
    [aux_sym_preproc_if_token2] = ACTIONS(5353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5353),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5353),
    [sym_preproc_directive] = ACTIONS(5353),
    [anon_sym_DASH] = ACTIONS(5355),
    [anon_sym_PLUS] = ACTIONS(5355),
    [anon_sym___extension__] = ACTIONS(5353),
    [anon_sym_typedef] = ACTIONS(5353),
    [anon_sym_extern] = ACTIONS(5353),
    [anon_sym___attribute__] = ACTIONS(5353),
    [anon_sym___attribute] = ACTIONS(5353),
    [anon_sym_noreturn] = ACTIONS(5353),
    [anon_sym_LBRACK] = ACTIONS(5355),
    [anon_sym___declspec] = ACTIONS(5353),
    [anon_sym___cdecl] = ACTIONS(5353),
    [anon_sym___clrcall] = ACTIONS(5353),
    [anon_sym___stdcall] = ACTIONS(5353),
    [anon_sym___fastcall] = ACTIONS(5353),
    [anon_sym___thiscall] = ACTIONS(5353),
    [anon_sym___vectorcall] = ACTIONS(5353),
    [anon_sym_signed] = ACTIONS(5353),
    [anon_sym_unsigned] = ACTIONS(5353),
    [anon_sym_long] = ACTIONS(5353),
    [anon_sym_short] = ACTIONS(5353),
    [anon_sym_static] = ACTIONS(5353),
    [anon_sym_auto] = ACTIONS(5353),
    [anon_sym_register] = ACTIONS(5353),
    [anon_sym_inline] = ACTIONS(5353),
    [anon_sym___inline] = ACTIONS(5353),
    [anon_sym___inline__] = ACTIONS(5353),
    [anon_sym___forceinline] = ACTIONS(5353),
    [anon_sym_thread_local] = ACTIONS(5353),
    [anon_sym___thread] = ACTIONS(5353),
    [anon_sym_CG_EXTERN] = ACTIONS(5353),
    [anon_sym_CG_INLINE] = ACTIONS(5353),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5353),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5353),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5353),
    [anon_sym_IBOutlet] = ACTIONS(5353),
    [anon_sym_IBInspectable] = ACTIONS(5353),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5353),
    [anon_sym_NS_INLINE] = ACTIONS(5353),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5353),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5353),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5353),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5353),
    [anon_sym_const] = ACTIONS(5353),
    [anon_sym_constexpr] = ACTIONS(5353),
    [anon_sym_volatile] = ACTIONS(5353),
    [anon_sym_restrict] = ACTIONS(5353),
    [anon_sym___restrict__] = ACTIONS(5353),
    [anon_sym__Atomic] = ACTIONS(5353),
    [anon_sym__Noreturn] = ACTIONS(5353),
    [anon_sym__Nonnull] = ACTIONS(5353),
    [anon_sym_nullable] = ACTIONS(5353),
    [anon_sym__Complex] = ACTIONS(5353),
    [anon_sym__Nullable] = ACTIONS(5353),
    [anon_sym__Nullable_result] = ACTIONS(5353),
    [anon_sym__Null_unspecified] = ACTIONS(5353),
    [anon_sym___autoreleasing] = ACTIONS(5353),
    [anon_sym___block] = ACTIONS(5353),
    [anon_sym___bridge] = ACTIONS(5353),
    [anon_sym___bridge_retained] = ACTIONS(5353),
    [anon_sym___bridge_transfer] = ACTIONS(5353),
    [anon_sym___complex] = ACTIONS(5353),
    [anon_sym___const] = ACTIONS(5353),
    [anon_sym___imag] = ACTIONS(5353),
    [anon_sym___kindof] = ACTIONS(5353),
    [anon_sym___nonnull] = ACTIONS(5353),
    [anon_sym___nullable] = ACTIONS(5353),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5353),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5353),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5353),
    [anon_sym___real] = ACTIONS(5353),
    [anon_sym___strong] = ACTIONS(5353),
    [anon_sym___unsafe_unretained] = ACTIONS(5353),
    [anon_sym___unused] = ACTIONS(5353),
    [anon_sym___weak] = ACTIONS(5353),
    [anon_sym_alignas] = ACTIONS(5353),
    [anon_sym__Alignas] = ACTIONS(5353),
    [sym_primitive_type] = ACTIONS(5353),
    [anon_sym_enum] = ACTIONS(5353),
    [anon_sym_struct] = ACTIONS(5353),
    [anon_sym_union] = ACTIONS(5353),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5353),
    [anon_sym___typeof] = ACTIONS(5353),
    [anon_sym_typeof] = ACTIONS(5353),
    [aux_sym_preproc_undef_token1] = ACTIONS(5353),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5353),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5353),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5353),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5353),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5353),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5353),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5353),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5353),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5353),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5353),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5353),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5353),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5353),
    [anon_sym_API_AVAILABLE] = ACTIONS(5353),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5353),
    [anon_sym_API_DEPRECATED] = ACTIONS(5353),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5353),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5353),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5353),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5353),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5353),
    [anon_sym___deprecated_msg] = ACTIONS(5353),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5353),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5353),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5353),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5353),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5353),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5353),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5353),
    [anon_sym_ATsynthesize] = ACTIONS(5355),
    [anon_sym_ATdynamic] = ACTIONS(5355),
    [anon_sym_BOOL] = ACTIONS(5353),
    [anon_sym_IMP] = ACTIONS(5353),
    [anon_sym_SEL] = ACTIONS(5353),
    [anon_sym_Class] = ACTIONS(5353),
    [anon_sym_id] = ACTIONS(5353),
  },
  [2400] = {
    [sym_identifier] = ACTIONS(5433),
    [aux_sym_preproc_def_token1] = ACTIONS(5433),
    [aux_sym_preproc_if_token1] = ACTIONS(5433),
    [aux_sym_preproc_if_token2] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5433),
    [sym_preproc_directive] = ACTIONS(5433),
    [anon_sym_DASH] = ACTIONS(5435),
    [anon_sym_PLUS] = ACTIONS(5435),
    [anon_sym___extension__] = ACTIONS(5433),
    [anon_sym_typedef] = ACTIONS(5433),
    [anon_sym_extern] = ACTIONS(5433),
    [anon_sym___attribute__] = ACTIONS(5433),
    [anon_sym___attribute] = ACTIONS(5433),
    [anon_sym_noreturn] = ACTIONS(5433),
    [anon_sym_LBRACK] = ACTIONS(5435),
    [anon_sym___declspec] = ACTIONS(5433),
    [anon_sym___cdecl] = ACTIONS(5433),
    [anon_sym___clrcall] = ACTIONS(5433),
    [anon_sym___stdcall] = ACTIONS(5433),
    [anon_sym___fastcall] = ACTIONS(5433),
    [anon_sym___thiscall] = ACTIONS(5433),
    [anon_sym___vectorcall] = ACTIONS(5433),
    [anon_sym_signed] = ACTIONS(5433),
    [anon_sym_unsigned] = ACTIONS(5433),
    [anon_sym_long] = ACTIONS(5433),
    [anon_sym_short] = ACTIONS(5433),
    [anon_sym_static] = ACTIONS(5433),
    [anon_sym_auto] = ACTIONS(5433),
    [anon_sym_register] = ACTIONS(5433),
    [anon_sym_inline] = ACTIONS(5433),
    [anon_sym___inline] = ACTIONS(5433),
    [anon_sym___inline__] = ACTIONS(5433),
    [anon_sym___forceinline] = ACTIONS(5433),
    [anon_sym_thread_local] = ACTIONS(5433),
    [anon_sym___thread] = ACTIONS(5433),
    [anon_sym_CG_EXTERN] = ACTIONS(5433),
    [anon_sym_CG_INLINE] = ACTIONS(5433),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5433),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5433),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5433),
    [anon_sym_IBOutlet] = ACTIONS(5433),
    [anon_sym_IBInspectable] = ACTIONS(5433),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5433),
    [anon_sym_NS_INLINE] = ACTIONS(5433),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5433),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5433),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5433),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5433),
    [anon_sym_const] = ACTIONS(5433),
    [anon_sym_constexpr] = ACTIONS(5433),
    [anon_sym_volatile] = ACTIONS(5433),
    [anon_sym_restrict] = ACTIONS(5433),
    [anon_sym___restrict__] = ACTIONS(5433),
    [anon_sym__Atomic] = ACTIONS(5433),
    [anon_sym__Noreturn] = ACTIONS(5433),
    [anon_sym__Nonnull] = ACTIONS(5433),
    [anon_sym_nullable] = ACTIONS(5433),
    [anon_sym__Complex] = ACTIONS(5433),
    [anon_sym__Nullable] = ACTIONS(5433),
    [anon_sym__Nullable_result] = ACTIONS(5433),
    [anon_sym__Null_unspecified] = ACTIONS(5433),
    [anon_sym___autoreleasing] = ACTIONS(5433),
    [anon_sym___block] = ACTIONS(5433),
    [anon_sym___bridge] = ACTIONS(5433),
    [anon_sym___bridge_retained] = ACTIONS(5433),
    [anon_sym___bridge_transfer] = ACTIONS(5433),
    [anon_sym___complex] = ACTIONS(5433),
    [anon_sym___const] = ACTIONS(5433),
    [anon_sym___imag] = ACTIONS(5433),
    [anon_sym___kindof] = ACTIONS(5433),
    [anon_sym___nonnull] = ACTIONS(5433),
    [anon_sym___nullable] = ACTIONS(5433),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5433),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5433),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5433),
    [anon_sym___real] = ACTIONS(5433),
    [anon_sym___strong] = ACTIONS(5433),
    [anon_sym___unsafe_unretained] = ACTIONS(5433),
    [anon_sym___unused] = ACTIONS(5433),
    [anon_sym___weak] = ACTIONS(5433),
    [anon_sym_alignas] = ACTIONS(5433),
    [anon_sym__Alignas] = ACTIONS(5433),
    [sym_primitive_type] = ACTIONS(5433),
    [anon_sym_enum] = ACTIONS(5433),
    [anon_sym_struct] = ACTIONS(5433),
    [anon_sym_union] = ACTIONS(5433),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5433),
    [anon_sym___typeof] = ACTIONS(5433),
    [anon_sym_typeof] = ACTIONS(5433),
    [aux_sym_preproc_undef_token1] = ACTIONS(5433),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5433),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5433),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5433),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5433),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5433),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5433),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5433),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5433),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5433),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5433),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5433),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5433),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5433),
    [anon_sym_API_AVAILABLE] = ACTIONS(5433),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5433),
    [anon_sym_API_DEPRECATED] = ACTIONS(5433),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5433),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5433),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5433),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5433),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5433),
    [anon_sym___deprecated_msg] = ACTIONS(5433),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5433),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5433),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5433),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5433),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5433),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5433),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5433),
    [anon_sym_ATsynthesize] = ACTIONS(5435),
    [anon_sym_ATdynamic] = ACTIONS(5435),
    [anon_sym_BOOL] = ACTIONS(5433),
    [anon_sym_IMP] = ACTIONS(5433),
    [anon_sym_SEL] = ACTIONS(5433),
    [anon_sym_Class] = ACTIONS(5433),
    [anon_sym_id] = ACTIONS(5433),
  },
  [2401] = {
    [sym_identifier] = ACTIONS(5505),
    [aux_sym_preproc_def_token1] = ACTIONS(5505),
    [aux_sym_preproc_if_token1] = ACTIONS(5505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5505),
    [sym_preproc_directive] = ACTIONS(5505),
    [anon_sym_DASH] = ACTIONS(5507),
    [anon_sym_PLUS] = ACTIONS(5507),
    [anon_sym___extension__] = ACTIONS(5505),
    [anon_sym_typedef] = ACTIONS(5505),
    [anon_sym_extern] = ACTIONS(5505),
    [anon_sym___attribute__] = ACTIONS(5505),
    [anon_sym___attribute] = ACTIONS(5505),
    [anon_sym_noreturn] = ACTIONS(5505),
    [anon_sym_LBRACK] = ACTIONS(5507),
    [anon_sym___declspec] = ACTIONS(5505),
    [anon_sym___cdecl] = ACTIONS(5505),
    [anon_sym___clrcall] = ACTIONS(5505),
    [anon_sym___stdcall] = ACTIONS(5505),
    [anon_sym___fastcall] = ACTIONS(5505),
    [anon_sym___thiscall] = ACTIONS(5505),
    [anon_sym___vectorcall] = ACTIONS(5505),
    [anon_sym_signed] = ACTIONS(5505),
    [anon_sym_unsigned] = ACTIONS(5505),
    [anon_sym_long] = ACTIONS(5505),
    [anon_sym_short] = ACTIONS(5505),
    [anon_sym_static] = ACTIONS(5505),
    [anon_sym_auto] = ACTIONS(5505),
    [anon_sym_register] = ACTIONS(5505),
    [anon_sym_inline] = ACTIONS(5505),
    [anon_sym___inline] = ACTIONS(5505),
    [anon_sym___inline__] = ACTIONS(5505),
    [anon_sym___forceinline] = ACTIONS(5505),
    [anon_sym_thread_local] = ACTIONS(5505),
    [anon_sym___thread] = ACTIONS(5505),
    [anon_sym_CG_EXTERN] = ACTIONS(5505),
    [anon_sym_CG_INLINE] = ACTIONS(5505),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5505),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5505),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5505),
    [anon_sym_IBOutlet] = ACTIONS(5505),
    [anon_sym_IBInspectable] = ACTIONS(5505),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5505),
    [anon_sym_NS_INLINE] = ACTIONS(5505),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5505),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5505),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5505),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5505),
    [anon_sym_const] = ACTIONS(5505),
    [anon_sym_constexpr] = ACTIONS(5505),
    [anon_sym_volatile] = ACTIONS(5505),
    [anon_sym_restrict] = ACTIONS(5505),
    [anon_sym___restrict__] = ACTIONS(5505),
    [anon_sym__Atomic] = ACTIONS(5505),
    [anon_sym__Noreturn] = ACTIONS(5505),
    [anon_sym__Nonnull] = ACTIONS(5505),
    [anon_sym_nullable] = ACTIONS(5505),
    [anon_sym__Complex] = ACTIONS(5505),
    [anon_sym__Nullable] = ACTIONS(5505),
    [anon_sym__Nullable_result] = ACTIONS(5505),
    [anon_sym__Null_unspecified] = ACTIONS(5505),
    [anon_sym___autoreleasing] = ACTIONS(5505),
    [anon_sym___block] = ACTIONS(5505),
    [anon_sym___bridge] = ACTIONS(5505),
    [anon_sym___bridge_retained] = ACTIONS(5505),
    [anon_sym___bridge_transfer] = ACTIONS(5505),
    [anon_sym___complex] = ACTIONS(5505),
    [anon_sym___const] = ACTIONS(5505),
    [anon_sym___imag] = ACTIONS(5505),
    [anon_sym___kindof] = ACTIONS(5505),
    [anon_sym___nonnull] = ACTIONS(5505),
    [anon_sym___nullable] = ACTIONS(5505),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5505),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5505),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5505),
    [anon_sym___real] = ACTIONS(5505),
    [anon_sym___strong] = ACTIONS(5505),
    [anon_sym___unsafe_unretained] = ACTIONS(5505),
    [anon_sym___unused] = ACTIONS(5505),
    [anon_sym___weak] = ACTIONS(5505),
    [anon_sym_alignas] = ACTIONS(5505),
    [anon_sym__Alignas] = ACTIONS(5505),
    [sym_primitive_type] = ACTIONS(5505),
    [anon_sym_enum] = ACTIONS(5505),
    [anon_sym_struct] = ACTIONS(5505),
    [anon_sym_union] = ACTIONS(5505),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5505),
    [anon_sym___typeof] = ACTIONS(5505),
    [anon_sym_typeof] = ACTIONS(5505),
    [aux_sym_preproc_undef_token1] = ACTIONS(5505),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5505),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5505),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5505),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5505),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5505),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5505),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5505),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5505),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5505),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5505),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5505),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5505),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5505),
    [anon_sym_API_AVAILABLE] = ACTIONS(5505),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5505),
    [anon_sym_API_DEPRECATED] = ACTIONS(5505),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5505),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5505),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5505),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5505),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5505),
    [anon_sym___deprecated_msg] = ACTIONS(5505),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5505),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5505),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5505),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5505),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5505),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5505),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5505),
    [anon_sym_ATend] = ACTIONS(5507),
    [anon_sym_ATsynthesize] = ACTIONS(5507),
    [anon_sym_ATdynamic] = ACTIONS(5507),
    [anon_sym_BOOL] = ACTIONS(5505),
    [anon_sym_IMP] = ACTIONS(5505),
    [anon_sym_SEL] = ACTIONS(5505),
    [anon_sym_Class] = ACTIONS(5505),
    [anon_sym_id] = ACTIONS(5505),
  },
  [2402] = {
    [sym_identifier] = ACTIONS(5439),
    [aux_sym_preproc_def_token1] = ACTIONS(5439),
    [aux_sym_preproc_if_token1] = ACTIONS(5439),
    [aux_sym_preproc_if_token2] = ACTIONS(5439),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5439),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5439),
    [sym_preproc_directive] = ACTIONS(5439),
    [anon_sym_DASH] = ACTIONS(5441),
    [anon_sym_PLUS] = ACTIONS(5441),
    [anon_sym___extension__] = ACTIONS(5439),
    [anon_sym_typedef] = ACTIONS(5439),
    [anon_sym_extern] = ACTIONS(5439),
    [anon_sym___attribute__] = ACTIONS(5439),
    [anon_sym___attribute] = ACTIONS(5439),
    [anon_sym_noreturn] = ACTIONS(5439),
    [anon_sym_LBRACK] = ACTIONS(5441),
    [anon_sym___declspec] = ACTIONS(5439),
    [anon_sym___cdecl] = ACTIONS(5439),
    [anon_sym___clrcall] = ACTIONS(5439),
    [anon_sym___stdcall] = ACTIONS(5439),
    [anon_sym___fastcall] = ACTIONS(5439),
    [anon_sym___thiscall] = ACTIONS(5439),
    [anon_sym___vectorcall] = ACTIONS(5439),
    [anon_sym_signed] = ACTIONS(5439),
    [anon_sym_unsigned] = ACTIONS(5439),
    [anon_sym_long] = ACTIONS(5439),
    [anon_sym_short] = ACTIONS(5439),
    [anon_sym_static] = ACTIONS(5439),
    [anon_sym_auto] = ACTIONS(5439),
    [anon_sym_register] = ACTIONS(5439),
    [anon_sym_inline] = ACTIONS(5439),
    [anon_sym___inline] = ACTIONS(5439),
    [anon_sym___inline__] = ACTIONS(5439),
    [anon_sym___forceinline] = ACTIONS(5439),
    [anon_sym_thread_local] = ACTIONS(5439),
    [anon_sym___thread] = ACTIONS(5439),
    [anon_sym_CG_EXTERN] = ACTIONS(5439),
    [anon_sym_CG_INLINE] = ACTIONS(5439),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5439),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5439),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5439),
    [anon_sym_IBOutlet] = ACTIONS(5439),
    [anon_sym_IBInspectable] = ACTIONS(5439),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5439),
    [anon_sym_NS_INLINE] = ACTIONS(5439),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5439),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5439),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5439),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5439),
    [anon_sym_const] = ACTIONS(5439),
    [anon_sym_constexpr] = ACTIONS(5439),
    [anon_sym_volatile] = ACTIONS(5439),
    [anon_sym_restrict] = ACTIONS(5439),
    [anon_sym___restrict__] = ACTIONS(5439),
    [anon_sym__Atomic] = ACTIONS(5439),
    [anon_sym__Noreturn] = ACTIONS(5439),
    [anon_sym__Nonnull] = ACTIONS(5439),
    [anon_sym_nullable] = ACTIONS(5439),
    [anon_sym__Complex] = ACTIONS(5439),
    [anon_sym__Nullable] = ACTIONS(5439),
    [anon_sym__Nullable_result] = ACTIONS(5439),
    [anon_sym__Null_unspecified] = ACTIONS(5439),
    [anon_sym___autoreleasing] = ACTIONS(5439),
    [anon_sym___block] = ACTIONS(5439),
    [anon_sym___bridge] = ACTIONS(5439),
    [anon_sym___bridge_retained] = ACTIONS(5439),
    [anon_sym___bridge_transfer] = ACTIONS(5439),
    [anon_sym___complex] = ACTIONS(5439),
    [anon_sym___const] = ACTIONS(5439),
    [anon_sym___imag] = ACTIONS(5439),
    [anon_sym___kindof] = ACTIONS(5439),
    [anon_sym___nonnull] = ACTIONS(5439),
    [anon_sym___nullable] = ACTIONS(5439),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5439),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5439),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5439),
    [anon_sym___real] = ACTIONS(5439),
    [anon_sym___strong] = ACTIONS(5439),
    [anon_sym___unsafe_unretained] = ACTIONS(5439),
    [anon_sym___unused] = ACTIONS(5439),
    [anon_sym___weak] = ACTIONS(5439),
    [anon_sym_alignas] = ACTIONS(5439),
    [anon_sym__Alignas] = ACTIONS(5439),
    [sym_primitive_type] = ACTIONS(5439),
    [anon_sym_enum] = ACTIONS(5439),
    [anon_sym_struct] = ACTIONS(5439),
    [anon_sym_union] = ACTIONS(5439),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5439),
    [anon_sym___typeof] = ACTIONS(5439),
    [anon_sym_typeof] = ACTIONS(5439),
    [aux_sym_preproc_undef_token1] = ACTIONS(5439),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5439),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5439),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5439),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5439),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5439),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5439),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5439),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5439),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5439),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5439),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5439),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5439),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5439),
    [anon_sym_API_AVAILABLE] = ACTIONS(5439),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5439),
    [anon_sym_API_DEPRECATED] = ACTIONS(5439),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5439),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5439),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5439),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5439),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5439),
    [anon_sym___deprecated_msg] = ACTIONS(5439),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5439),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5439),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5439),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5439),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5439),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5439),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5439),
    [anon_sym_ATsynthesize] = ACTIONS(5441),
    [anon_sym_ATdynamic] = ACTIONS(5441),
    [anon_sym_BOOL] = ACTIONS(5439),
    [anon_sym_IMP] = ACTIONS(5439),
    [anon_sym_SEL] = ACTIONS(5439),
    [anon_sym_Class] = ACTIONS(5439),
    [anon_sym_id] = ACTIONS(5439),
  },
  [2403] = {
    [sym_identifier] = ACTIONS(5529),
    [aux_sym_preproc_def_token1] = ACTIONS(5529),
    [aux_sym_preproc_if_token1] = ACTIONS(5529),
    [aux_sym_preproc_if_token2] = ACTIONS(5529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5529),
    [sym_preproc_directive] = ACTIONS(5529),
    [anon_sym_DASH] = ACTIONS(5531),
    [anon_sym_PLUS] = ACTIONS(5531),
    [anon_sym___extension__] = ACTIONS(5529),
    [anon_sym_typedef] = ACTIONS(5529),
    [anon_sym_extern] = ACTIONS(5529),
    [anon_sym___attribute__] = ACTIONS(5529),
    [anon_sym___attribute] = ACTIONS(5529),
    [anon_sym_noreturn] = ACTIONS(5529),
    [anon_sym_LBRACK] = ACTIONS(5531),
    [anon_sym___declspec] = ACTIONS(5529),
    [anon_sym___cdecl] = ACTIONS(5529),
    [anon_sym___clrcall] = ACTIONS(5529),
    [anon_sym___stdcall] = ACTIONS(5529),
    [anon_sym___fastcall] = ACTIONS(5529),
    [anon_sym___thiscall] = ACTIONS(5529),
    [anon_sym___vectorcall] = ACTIONS(5529),
    [anon_sym_signed] = ACTIONS(5529),
    [anon_sym_unsigned] = ACTIONS(5529),
    [anon_sym_long] = ACTIONS(5529),
    [anon_sym_short] = ACTIONS(5529),
    [anon_sym_static] = ACTIONS(5529),
    [anon_sym_auto] = ACTIONS(5529),
    [anon_sym_register] = ACTIONS(5529),
    [anon_sym_inline] = ACTIONS(5529),
    [anon_sym___inline] = ACTIONS(5529),
    [anon_sym___inline__] = ACTIONS(5529),
    [anon_sym___forceinline] = ACTIONS(5529),
    [anon_sym_thread_local] = ACTIONS(5529),
    [anon_sym___thread] = ACTIONS(5529),
    [anon_sym_CG_EXTERN] = ACTIONS(5529),
    [anon_sym_CG_INLINE] = ACTIONS(5529),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5529),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5529),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5529),
    [anon_sym_IBOutlet] = ACTIONS(5529),
    [anon_sym_IBInspectable] = ACTIONS(5529),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5529),
    [anon_sym_NS_INLINE] = ACTIONS(5529),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5529),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5529),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5529),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5529),
    [anon_sym_const] = ACTIONS(5529),
    [anon_sym_constexpr] = ACTIONS(5529),
    [anon_sym_volatile] = ACTIONS(5529),
    [anon_sym_restrict] = ACTIONS(5529),
    [anon_sym___restrict__] = ACTIONS(5529),
    [anon_sym__Atomic] = ACTIONS(5529),
    [anon_sym__Noreturn] = ACTIONS(5529),
    [anon_sym__Nonnull] = ACTIONS(5529),
    [anon_sym_nullable] = ACTIONS(5529),
    [anon_sym__Complex] = ACTIONS(5529),
    [anon_sym__Nullable] = ACTIONS(5529),
    [anon_sym__Nullable_result] = ACTIONS(5529),
    [anon_sym__Null_unspecified] = ACTIONS(5529),
    [anon_sym___autoreleasing] = ACTIONS(5529),
    [anon_sym___block] = ACTIONS(5529),
    [anon_sym___bridge] = ACTIONS(5529),
    [anon_sym___bridge_retained] = ACTIONS(5529),
    [anon_sym___bridge_transfer] = ACTIONS(5529),
    [anon_sym___complex] = ACTIONS(5529),
    [anon_sym___const] = ACTIONS(5529),
    [anon_sym___imag] = ACTIONS(5529),
    [anon_sym___kindof] = ACTIONS(5529),
    [anon_sym___nonnull] = ACTIONS(5529),
    [anon_sym___nullable] = ACTIONS(5529),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5529),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5529),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5529),
    [anon_sym___real] = ACTIONS(5529),
    [anon_sym___strong] = ACTIONS(5529),
    [anon_sym___unsafe_unretained] = ACTIONS(5529),
    [anon_sym___unused] = ACTIONS(5529),
    [anon_sym___weak] = ACTIONS(5529),
    [anon_sym_alignas] = ACTIONS(5529),
    [anon_sym__Alignas] = ACTIONS(5529),
    [sym_primitive_type] = ACTIONS(5529),
    [anon_sym_enum] = ACTIONS(5529),
    [anon_sym_struct] = ACTIONS(5529),
    [anon_sym_union] = ACTIONS(5529),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5529),
    [anon_sym___typeof] = ACTIONS(5529),
    [anon_sym_typeof] = ACTIONS(5529),
    [aux_sym_preproc_undef_token1] = ACTIONS(5529),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5529),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5529),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5529),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5529),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5529),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5529),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5529),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5529),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5529),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5529),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5529),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5529),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5529),
    [anon_sym_API_AVAILABLE] = ACTIONS(5529),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5529),
    [anon_sym_API_DEPRECATED] = ACTIONS(5529),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5529),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5529),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5529),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5529),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5529),
    [anon_sym___deprecated_msg] = ACTIONS(5529),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5529),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5529),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5529),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5529),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5529),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5529),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5529),
    [anon_sym_ATsynthesize] = ACTIONS(5531),
    [anon_sym_ATdynamic] = ACTIONS(5531),
    [anon_sym_BOOL] = ACTIONS(5529),
    [anon_sym_IMP] = ACTIONS(5529),
    [anon_sym_SEL] = ACTIONS(5529),
    [anon_sym_Class] = ACTIONS(5529),
    [anon_sym_id] = ACTIONS(5529),
  },
  [2404] = {
    [sym_identifier] = ACTIONS(5445),
    [aux_sym_preproc_def_token1] = ACTIONS(5445),
    [aux_sym_preproc_if_token1] = ACTIONS(5445),
    [aux_sym_preproc_if_token2] = ACTIONS(5445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5445),
    [sym_preproc_directive] = ACTIONS(5445),
    [anon_sym_DASH] = ACTIONS(5447),
    [anon_sym_PLUS] = ACTIONS(5447),
    [anon_sym___extension__] = ACTIONS(5445),
    [anon_sym_typedef] = ACTIONS(5445),
    [anon_sym_extern] = ACTIONS(5445),
    [anon_sym___attribute__] = ACTIONS(5445),
    [anon_sym___attribute] = ACTIONS(5445),
    [anon_sym_noreturn] = ACTIONS(5445),
    [anon_sym_LBRACK] = ACTIONS(5447),
    [anon_sym___declspec] = ACTIONS(5445),
    [anon_sym___cdecl] = ACTIONS(5445),
    [anon_sym___clrcall] = ACTIONS(5445),
    [anon_sym___stdcall] = ACTIONS(5445),
    [anon_sym___fastcall] = ACTIONS(5445),
    [anon_sym___thiscall] = ACTIONS(5445),
    [anon_sym___vectorcall] = ACTIONS(5445),
    [anon_sym_signed] = ACTIONS(5445),
    [anon_sym_unsigned] = ACTIONS(5445),
    [anon_sym_long] = ACTIONS(5445),
    [anon_sym_short] = ACTIONS(5445),
    [anon_sym_static] = ACTIONS(5445),
    [anon_sym_auto] = ACTIONS(5445),
    [anon_sym_register] = ACTIONS(5445),
    [anon_sym_inline] = ACTIONS(5445),
    [anon_sym___inline] = ACTIONS(5445),
    [anon_sym___inline__] = ACTIONS(5445),
    [anon_sym___forceinline] = ACTIONS(5445),
    [anon_sym_thread_local] = ACTIONS(5445),
    [anon_sym___thread] = ACTIONS(5445),
    [anon_sym_CG_EXTERN] = ACTIONS(5445),
    [anon_sym_CG_INLINE] = ACTIONS(5445),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5445),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5445),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5445),
    [anon_sym_IBOutlet] = ACTIONS(5445),
    [anon_sym_IBInspectable] = ACTIONS(5445),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5445),
    [anon_sym_NS_INLINE] = ACTIONS(5445),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5445),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5445),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5445),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5445),
    [anon_sym_const] = ACTIONS(5445),
    [anon_sym_constexpr] = ACTIONS(5445),
    [anon_sym_volatile] = ACTIONS(5445),
    [anon_sym_restrict] = ACTIONS(5445),
    [anon_sym___restrict__] = ACTIONS(5445),
    [anon_sym__Atomic] = ACTIONS(5445),
    [anon_sym__Noreturn] = ACTIONS(5445),
    [anon_sym__Nonnull] = ACTIONS(5445),
    [anon_sym_nullable] = ACTIONS(5445),
    [anon_sym__Complex] = ACTIONS(5445),
    [anon_sym__Nullable] = ACTIONS(5445),
    [anon_sym__Nullable_result] = ACTIONS(5445),
    [anon_sym__Null_unspecified] = ACTIONS(5445),
    [anon_sym___autoreleasing] = ACTIONS(5445),
    [anon_sym___block] = ACTIONS(5445),
    [anon_sym___bridge] = ACTIONS(5445),
    [anon_sym___bridge_retained] = ACTIONS(5445),
    [anon_sym___bridge_transfer] = ACTIONS(5445),
    [anon_sym___complex] = ACTIONS(5445),
    [anon_sym___const] = ACTIONS(5445),
    [anon_sym___imag] = ACTIONS(5445),
    [anon_sym___kindof] = ACTIONS(5445),
    [anon_sym___nonnull] = ACTIONS(5445),
    [anon_sym___nullable] = ACTIONS(5445),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5445),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5445),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5445),
    [anon_sym___real] = ACTIONS(5445),
    [anon_sym___strong] = ACTIONS(5445),
    [anon_sym___unsafe_unretained] = ACTIONS(5445),
    [anon_sym___unused] = ACTIONS(5445),
    [anon_sym___weak] = ACTIONS(5445),
    [anon_sym_alignas] = ACTIONS(5445),
    [anon_sym__Alignas] = ACTIONS(5445),
    [sym_primitive_type] = ACTIONS(5445),
    [anon_sym_enum] = ACTIONS(5445),
    [anon_sym_struct] = ACTIONS(5445),
    [anon_sym_union] = ACTIONS(5445),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5445),
    [anon_sym___typeof] = ACTIONS(5445),
    [anon_sym_typeof] = ACTIONS(5445),
    [aux_sym_preproc_undef_token1] = ACTIONS(5445),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5445),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5445),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5445),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5445),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5445),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5445),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5445),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5445),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5445),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5445),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5445),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5445),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5445),
    [anon_sym_API_AVAILABLE] = ACTIONS(5445),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5445),
    [anon_sym_API_DEPRECATED] = ACTIONS(5445),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5445),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5445),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5445),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5445),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5445),
    [anon_sym___deprecated_msg] = ACTIONS(5445),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5445),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5445),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5445),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5445),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5445),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5445),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5445),
    [anon_sym_ATsynthesize] = ACTIONS(5447),
    [anon_sym_ATdynamic] = ACTIONS(5447),
    [anon_sym_BOOL] = ACTIONS(5445),
    [anon_sym_IMP] = ACTIONS(5445),
    [anon_sym_SEL] = ACTIONS(5445),
    [anon_sym_Class] = ACTIONS(5445),
    [anon_sym_id] = ACTIONS(5445),
  },
  [2405] = {
    [sym_identifier] = ACTIONS(5070),
    [aux_sym_preproc_def_token1] = ACTIONS(5070),
    [aux_sym_preproc_if_token1] = ACTIONS(5070),
    [aux_sym_preproc_if_token2] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5070),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5070),
    [sym_preproc_directive] = ACTIONS(5070),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym___extension__] = ACTIONS(5070),
    [anon_sym_typedef] = ACTIONS(5070),
    [anon_sym_extern] = ACTIONS(5070),
    [anon_sym___attribute__] = ACTIONS(5070),
    [anon_sym___attribute] = ACTIONS(5070),
    [anon_sym_noreturn] = ACTIONS(5070),
    [anon_sym_LBRACK] = ACTIONS(5074),
    [anon_sym___declspec] = ACTIONS(5070),
    [anon_sym___cdecl] = ACTIONS(5070),
    [anon_sym___clrcall] = ACTIONS(5070),
    [anon_sym___stdcall] = ACTIONS(5070),
    [anon_sym___fastcall] = ACTIONS(5070),
    [anon_sym___thiscall] = ACTIONS(5070),
    [anon_sym___vectorcall] = ACTIONS(5070),
    [anon_sym_signed] = ACTIONS(5070),
    [anon_sym_unsigned] = ACTIONS(5070),
    [anon_sym_long] = ACTIONS(5070),
    [anon_sym_short] = ACTIONS(5070),
    [anon_sym_static] = ACTIONS(5070),
    [anon_sym_auto] = ACTIONS(5070),
    [anon_sym_register] = ACTIONS(5070),
    [anon_sym_inline] = ACTIONS(5070),
    [anon_sym___inline] = ACTIONS(5070),
    [anon_sym___inline__] = ACTIONS(5070),
    [anon_sym___forceinline] = ACTIONS(5070),
    [anon_sym_thread_local] = ACTIONS(5070),
    [anon_sym___thread] = ACTIONS(5070),
    [anon_sym_CG_EXTERN] = ACTIONS(5070),
    [anon_sym_CG_INLINE] = ACTIONS(5070),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5070),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5070),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5070),
    [anon_sym_IBOutlet] = ACTIONS(5070),
    [anon_sym_IBInspectable] = ACTIONS(5070),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5070),
    [anon_sym_NS_INLINE] = ACTIONS(5070),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5070),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5070),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5070),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5070),
    [anon_sym_const] = ACTIONS(5070),
    [anon_sym_constexpr] = ACTIONS(5070),
    [anon_sym_volatile] = ACTIONS(5070),
    [anon_sym_restrict] = ACTIONS(5070),
    [anon_sym___restrict__] = ACTIONS(5070),
    [anon_sym__Atomic] = ACTIONS(5070),
    [anon_sym__Noreturn] = ACTIONS(5070),
    [anon_sym__Nonnull] = ACTIONS(5070),
    [anon_sym_nullable] = ACTIONS(5070),
    [anon_sym__Complex] = ACTIONS(5070),
    [anon_sym__Nullable] = ACTIONS(5070),
    [anon_sym__Nullable_result] = ACTIONS(5070),
    [anon_sym__Null_unspecified] = ACTIONS(5070),
    [anon_sym___autoreleasing] = ACTIONS(5070),
    [anon_sym___block] = ACTIONS(5070),
    [anon_sym___bridge] = ACTIONS(5070),
    [anon_sym___bridge_retained] = ACTIONS(5070),
    [anon_sym___bridge_transfer] = ACTIONS(5070),
    [anon_sym___complex] = ACTIONS(5070),
    [anon_sym___const] = ACTIONS(5070),
    [anon_sym___imag] = ACTIONS(5070),
    [anon_sym___kindof] = ACTIONS(5070),
    [anon_sym___nonnull] = ACTIONS(5070),
    [anon_sym___nullable] = ACTIONS(5070),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5070),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5070),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5070),
    [anon_sym___real] = ACTIONS(5070),
    [anon_sym___strong] = ACTIONS(5070),
    [anon_sym___unsafe_unretained] = ACTIONS(5070),
    [anon_sym___unused] = ACTIONS(5070),
    [anon_sym___weak] = ACTIONS(5070),
    [anon_sym_alignas] = ACTIONS(5070),
    [anon_sym__Alignas] = ACTIONS(5070),
    [sym_primitive_type] = ACTIONS(5070),
    [anon_sym_enum] = ACTIONS(5070),
    [anon_sym_struct] = ACTIONS(5070),
    [anon_sym_union] = ACTIONS(5070),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5070),
    [anon_sym___typeof] = ACTIONS(5070),
    [anon_sym_typeof] = ACTIONS(5070),
    [aux_sym_preproc_undef_token1] = ACTIONS(5070),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5070),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5070),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5070),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5070),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5070),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5070),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5070),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5070),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5070),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5070),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5070),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5070),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5070),
    [anon_sym_API_AVAILABLE] = ACTIONS(5070),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5070),
    [anon_sym_API_DEPRECATED] = ACTIONS(5070),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5070),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5070),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5070),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5070),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5070),
    [anon_sym___deprecated_msg] = ACTIONS(5070),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5070),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5070),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5070),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5070),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5070),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5070),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5070),
    [anon_sym_ATsynthesize] = ACTIONS(5074),
    [anon_sym_ATdynamic] = ACTIONS(5074),
    [anon_sym_BOOL] = ACTIONS(5070),
    [anon_sym_IMP] = ACTIONS(5070),
    [anon_sym_SEL] = ACTIONS(5070),
    [anon_sym_Class] = ACTIONS(5070),
    [anon_sym_id] = ACTIONS(5070),
  },
  [2406] = {
    [sym_identifier] = ACTIONS(5501),
    [aux_sym_preproc_def_token1] = ACTIONS(5501),
    [aux_sym_preproc_if_token1] = ACTIONS(5501),
    [aux_sym_preproc_if_token2] = ACTIONS(5501),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5501),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5501),
    [sym_preproc_directive] = ACTIONS(5501),
    [anon_sym_DASH] = ACTIONS(5503),
    [anon_sym_PLUS] = ACTIONS(5503),
    [anon_sym___extension__] = ACTIONS(5501),
    [anon_sym_typedef] = ACTIONS(5501),
    [anon_sym_extern] = ACTIONS(5501),
    [anon_sym___attribute__] = ACTIONS(5501),
    [anon_sym___attribute] = ACTIONS(5501),
    [anon_sym_noreturn] = ACTIONS(5501),
    [anon_sym_LBRACK] = ACTIONS(5503),
    [anon_sym___declspec] = ACTIONS(5501),
    [anon_sym___cdecl] = ACTIONS(5501),
    [anon_sym___clrcall] = ACTIONS(5501),
    [anon_sym___stdcall] = ACTIONS(5501),
    [anon_sym___fastcall] = ACTIONS(5501),
    [anon_sym___thiscall] = ACTIONS(5501),
    [anon_sym___vectorcall] = ACTIONS(5501),
    [anon_sym_signed] = ACTIONS(5501),
    [anon_sym_unsigned] = ACTIONS(5501),
    [anon_sym_long] = ACTIONS(5501),
    [anon_sym_short] = ACTIONS(5501),
    [anon_sym_static] = ACTIONS(5501),
    [anon_sym_auto] = ACTIONS(5501),
    [anon_sym_register] = ACTIONS(5501),
    [anon_sym_inline] = ACTIONS(5501),
    [anon_sym___inline] = ACTIONS(5501),
    [anon_sym___inline__] = ACTIONS(5501),
    [anon_sym___forceinline] = ACTIONS(5501),
    [anon_sym_thread_local] = ACTIONS(5501),
    [anon_sym___thread] = ACTIONS(5501),
    [anon_sym_CG_EXTERN] = ACTIONS(5501),
    [anon_sym_CG_INLINE] = ACTIONS(5501),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5501),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5501),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5501),
    [anon_sym_IBOutlet] = ACTIONS(5501),
    [anon_sym_IBInspectable] = ACTIONS(5501),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5501),
    [anon_sym_NS_INLINE] = ACTIONS(5501),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5501),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5501),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5501),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5501),
    [anon_sym_const] = ACTIONS(5501),
    [anon_sym_constexpr] = ACTIONS(5501),
    [anon_sym_volatile] = ACTIONS(5501),
    [anon_sym_restrict] = ACTIONS(5501),
    [anon_sym___restrict__] = ACTIONS(5501),
    [anon_sym__Atomic] = ACTIONS(5501),
    [anon_sym__Noreturn] = ACTIONS(5501),
    [anon_sym__Nonnull] = ACTIONS(5501),
    [anon_sym_nullable] = ACTIONS(5501),
    [anon_sym__Complex] = ACTIONS(5501),
    [anon_sym__Nullable] = ACTIONS(5501),
    [anon_sym__Nullable_result] = ACTIONS(5501),
    [anon_sym__Null_unspecified] = ACTIONS(5501),
    [anon_sym___autoreleasing] = ACTIONS(5501),
    [anon_sym___block] = ACTIONS(5501),
    [anon_sym___bridge] = ACTIONS(5501),
    [anon_sym___bridge_retained] = ACTIONS(5501),
    [anon_sym___bridge_transfer] = ACTIONS(5501),
    [anon_sym___complex] = ACTIONS(5501),
    [anon_sym___const] = ACTIONS(5501),
    [anon_sym___imag] = ACTIONS(5501),
    [anon_sym___kindof] = ACTIONS(5501),
    [anon_sym___nonnull] = ACTIONS(5501),
    [anon_sym___nullable] = ACTIONS(5501),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5501),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5501),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5501),
    [anon_sym___real] = ACTIONS(5501),
    [anon_sym___strong] = ACTIONS(5501),
    [anon_sym___unsafe_unretained] = ACTIONS(5501),
    [anon_sym___unused] = ACTIONS(5501),
    [anon_sym___weak] = ACTIONS(5501),
    [anon_sym_alignas] = ACTIONS(5501),
    [anon_sym__Alignas] = ACTIONS(5501),
    [sym_primitive_type] = ACTIONS(5501),
    [anon_sym_enum] = ACTIONS(5501),
    [anon_sym_struct] = ACTIONS(5501),
    [anon_sym_union] = ACTIONS(5501),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5501),
    [anon_sym___typeof] = ACTIONS(5501),
    [anon_sym_typeof] = ACTIONS(5501),
    [aux_sym_preproc_undef_token1] = ACTIONS(5501),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5501),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5501),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5501),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5501),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5501),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5501),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5501),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5501),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5501),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5501),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5501),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5501),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5501),
    [anon_sym_API_AVAILABLE] = ACTIONS(5501),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5501),
    [anon_sym_API_DEPRECATED] = ACTIONS(5501),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5501),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5501),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5501),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5501),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5501),
    [anon_sym___deprecated_msg] = ACTIONS(5501),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5501),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5501),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5501),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5501),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5501),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5501),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5501),
    [anon_sym_ATsynthesize] = ACTIONS(5503),
    [anon_sym_ATdynamic] = ACTIONS(5503),
    [anon_sym_BOOL] = ACTIONS(5501),
    [anon_sym_IMP] = ACTIONS(5501),
    [anon_sym_SEL] = ACTIONS(5501),
    [anon_sym_Class] = ACTIONS(5501),
    [anon_sym_id] = ACTIONS(5501),
  },
  [2407] = {
    [sym_identifier] = ACTIONS(2864),
    [aux_sym_preproc_def_token1] = ACTIONS(2864),
    [aux_sym_preproc_if_token1] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2864),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2864),
    [sym_preproc_directive] = ACTIONS(2864),
    [anon_sym_DASH] = ACTIONS(2866),
    [anon_sym_PLUS] = ACTIONS(2866),
    [anon_sym___extension__] = ACTIONS(2864),
    [anon_sym_typedef] = ACTIONS(2864),
    [anon_sym_extern] = ACTIONS(2864),
    [anon_sym___attribute__] = ACTIONS(2864),
    [anon_sym___attribute] = ACTIONS(2864),
    [anon_sym_noreturn] = ACTIONS(2864),
    [anon_sym_LBRACK] = ACTIONS(2866),
    [anon_sym___declspec] = ACTIONS(2864),
    [anon_sym___cdecl] = ACTIONS(2864),
    [anon_sym___clrcall] = ACTIONS(2864),
    [anon_sym___stdcall] = ACTIONS(2864),
    [anon_sym___fastcall] = ACTIONS(2864),
    [anon_sym___thiscall] = ACTIONS(2864),
    [anon_sym___vectorcall] = ACTIONS(2864),
    [anon_sym_signed] = ACTIONS(2864),
    [anon_sym_unsigned] = ACTIONS(2864),
    [anon_sym_long] = ACTIONS(2864),
    [anon_sym_short] = ACTIONS(2864),
    [anon_sym_static] = ACTIONS(2864),
    [anon_sym_auto] = ACTIONS(2864),
    [anon_sym_register] = ACTIONS(2864),
    [anon_sym_inline] = ACTIONS(2864),
    [anon_sym___inline] = ACTIONS(2864),
    [anon_sym___inline__] = ACTIONS(2864),
    [anon_sym___forceinline] = ACTIONS(2864),
    [anon_sym_thread_local] = ACTIONS(2864),
    [anon_sym___thread] = ACTIONS(2864),
    [anon_sym_CG_EXTERN] = ACTIONS(2864),
    [anon_sym_CG_INLINE] = ACTIONS(2864),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2864),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2864),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2864),
    [anon_sym_IBOutlet] = ACTIONS(2864),
    [anon_sym_IBInspectable] = ACTIONS(2864),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2864),
    [anon_sym_NS_INLINE] = ACTIONS(2864),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2864),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2864),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2864),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2864),
    [anon_sym_const] = ACTIONS(2864),
    [anon_sym_constexpr] = ACTIONS(2864),
    [anon_sym_volatile] = ACTIONS(2864),
    [anon_sym_restrict] = ACTIONS(2864),
    [anon_sym___restrict__] = ACTIONS(2864),
    [anon_sym__Atomic] = ACTIONS(2864),
    [anon_sym__Noreturn] = ACTIONS(2864),
    [anon_sym__Nonnull] = ACTIONS(2864),
    [anon_sym_nullable] = ACTIONS(2864),
    [anon_sym__Complex] = ACTIONS(2864),
    [anon_sym__Nullable] = ACTIONS(2864),
    [anon_sym__Nullable_result] = ACTIONS(2864),
    [anon_sym__Null_unspecified] = ACTIONS(2864),
    [anon_sym___autoreleasing] = ACTIONS(2864),
    [anon_sym___block] = ACTIONS(2864),
    [anon_sym___bridge] = ACTIONS(2864),
    [anon_sym___bridge_retained] = ACTIONS(2864),
    [anon_sym___bridge_transfer] = ACTIONS(2864),
    [anon_sym___complex] = ACTIONS(2864),
    [anon_sym___const] = ACTIONS(2864),
    [anon_sym___imag] = ACTIONS(2864),
    [anon_sym___kindof] = ACTIONS(2864),
    [anon_sym___nonnull] = ACTIONS(2864),
    [anon_sym___nullable] = ACTIONS(2864),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2864),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2864),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2864),
    [anon_sym___real] = ACTIONS(2864),
    [anon_sym___strong] = ACTIONS(2864),
    [anon_sym___unsafe_unretained] = ACTIONS(2864),
    [anon_sym___unused] = ACTIONS(2864),
    [anon_sym___weak] = ACTIONS(2864),
    [anon_sym_alignas] = ACTIONS(2864),
    [anon_sym__Alignas] = ACTIONS(2864),
    [sym_primitive_type] = ACTIONS(2864),
    [anon_sym_enum] = ACTIONS(2864),
    [anon_sym_struct] = ACTIONS(2864),
    [anon_sym_union] = ACTIONS(2864),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2864),
    [anon_sym___typeof] = ACTIONS(2864),
    [anon_sym_typeof] = ACTIONS(2864),
    [aux_sym_preproc_undef_token1] = ACTIONS(2864),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2864),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2864),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2864),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2864),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2864),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2864),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2864),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2864),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2864),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2864),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2864),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2864),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2864),
    [anon_sym_API_AVAILABLE] = ACTIONS(2864),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2864),
    [anon_sym_API_DEPRECATED] = ACTIONS(2864),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2864),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2864),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2864),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2864),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2864),
    [anon_sym___deprecated_msg] = ACTIONS(2864),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2864),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2864),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2864),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2864),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2864),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2864),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2864),
    [anon_sym_ATend] = ACTIONS(2866),
    [anon_sym_ATsynthesize] = ACTIONS(2866),
    [anon_sym_ATdynamic] = ACTIONS(2866),
    [anon_sym_BOOL] = ACTIONS(2864),
    [anon_sym_IMP] = ACTIONS(2864),
    [anon_sym_SEL] = ACTIONS(2864),
    [anon_sym_Class] = ACTIONS(2864),
    [anon_sym_id] = ACTIONS(2864),
  },
  [2408] = {
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_COMMA] = ACTIONS(2968),
    [anon_sym_RPAREN] = ACTIONS(2968),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2968),
    [anon_sym_LPAREN2] = ACTIONS(2968),
    [anon_sym_STAR] = ACTIONS(2968),
    [anon_sym_CARET] = ACTIONS(2968),
    [anon_sym_GT] = ACTIONS(2968),
    [anon_sym_SEMI] = ACTIONS(2968),
    [anon_sym___extension__] = ACTIONS(2966),
    [anon_sym_extern] = ACTIONS(2966),
    [anon_sym___attribute__] = ACTIONS(2966),
    [anon_sym___attribute] = ACTIONS(2966),
    [anon_sym_noreturn] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2968),
    [anon_sym___declspec] = ACTIONS(2966),
    [anon_sym___based] = ACTIONS(2966),
    [anon_sym_LBRACE] = ACTIONS(2968),
    [anon_sym_RBRACE] = ACTIONS(2968),
    [anon_sym_signed] = ACTIONS(2966),
    [anon_sym_unsigned] = ACTIONS(2966),
    [anon_sym_long] = ACTIONS(2966),
    [anon_sym_short] = ACTIONS(2966),
    [anon_sym_static] = ACTIONS(2966),
    [anon_sym_ATautoreleasepool] = ACTIONS(2968),
    [anon_sym_auto] = ACTIONS(2966),
    [anon_sym_register] = ACTIONS(2966),
    [anon_sym_inline] = ACTIONS(2966),
    [anon_sym___inline] = ACTIONS(2966),
    [anon_sym___inline__] = ACTIONS(2966),
    [anon_sym___forceinline] = ACTIONS(2966),
    [anon_sym_thread_local] = ACTIONS(2966),
    [anon_sym___thread] = ACTIONS(2966),
    [anon_sym_CG_EXTERN] = ACTIONS(2966),
    [anon_sym_CG_INLINE] = ACTIONS(2966),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2966),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2966),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2966),
    [anon_sym_IBOutlet] = ACTIONS(2966),
    [anon_sym_IBInspectable] = ACTIONS(2966),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2966),
    [anon_sym_NS_INLINE] = ACTIONS(2966),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2966),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2966),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2966),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2966),
    [anon_sym_const] = ACTIONS(2966),
    [anon_sym_constexpr] = ACTIONS(2966),
    [anon_sym_volatile] = ACTIONS(2966),
    [anon_sym_restrict] = ACTIONS(2966),
    [anon_sym___restrict__] = ACTIONS(2966),
    [anon_sym__Atomic] = ACTIONS(2966),
    [anon_sym__Noreturn] = ACTIONS(2966),
    [anon_sym__Nonnull] = ACTIONS(2966),
    [anon_sym_nullable] = ACTIONS(2966),
    [anon_sym__Complex] = ACTIONS(2966),
    [anon_sym__Nullable] = ACTIONS(2966),
    [anon_sym__Nullable_result] = ACTIONS(2966),
    [anon_sym__Null_unspecified] = ACTIONS(2966),
    [anon_sym___autoreleasing] = ACTIONS(2966),
    [anon_sym___block] = ACTIONS(2966),
    [anon_sym___bridge] = ACTIONS(2966),
    [anon_sym___bridge_retained] = ACTIONS(2966),
    [anon_sym___bridge_transfer] = ACTIONS(2966),
    [anon_sym___complex] = ACTIONS(2966),
    [anon_sym___const] = ACTIONS(2966),
    [anon_sym___imag] = ACTIONS(2966),
    [anon_sym___kindof] = ACTIONS(2966),
    [anon_sym___nonnull] = ACTIONS(2966),
    [anon_sym___nullable] = ACTIONS(2966),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2966),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2966),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2966),
    [anon_sym___real] = ACTIONS(2966),
    [anon_sym___strong] = ACTIONS(2966),
    [anon_sym___unsafe_unretained] = ACTIONS(2966),
    [anon_sym___unused] = ACTIONS(2966),
    [anon_sym___weak] = ACTIONS(2966),
    [anon_sym_alignas] = ACTIONS(2966),
    [anon_sym__Alignas] = ACTIONS(2966),
    [sym_primitive_type] = ACTIONS(2966),
    [anon_sym_enum] = ACTIONS(2966),
    [anon_sym_COLON] = ACTIONS(2968),
    [anon_sym_struct] = ACTIONS(2966),
    [anon_sym_union] = ACTIONS(2966),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2966),
    [anon_sym___typeof] = ACTIONS(2966),
    [anon_sym_typeof] = ACTIONS(2966),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2966),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2966),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2966),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2966),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2966),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2966),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2966),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2966),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2966),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2966),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2966),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2966),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2966),
    [anon_sym_API_AVAILABLE] = ACTIONS(2966),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2966),
    [anon_sym_API_DEPRECATED] = ACTIONS(2966),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2966),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2966),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2966),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2966),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2966),
    [anon_sym___deprecated_msg] = ACTIONS(2966),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2966),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2966),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2966),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2966),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2966),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2966),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2966),
    [anon_sym_ATprotocol] = ACTIONS(2968),
    [anon_sym_ATinterface] = ACTIONS(2968),
    [anon_sym_ATimplementation] = ACTIONS(2968),
    [anon_sym_ATproperty] = ACTIONS(2968),
    [anon_sym_BOOL] = ACTIONS(2966),
    [anon_sym_IMP] = ACTIONS(2966),
    [anon_sym_SEL] = ACTIONS(2966),
    [anon_sym_Class] = ACTIONS(2966),
    [anon_sym_id] = ACTIONS(2966),
  },
  [2409] = {
    [sym_identifier] = ACTIONS(5686),
    [anon_sym_COMMA] = ACTIONS(5688),
    [anon_sym_RPAREN] = ACTIONS(5688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5688),
    [anon_sym_LPAREN2] = ACTIONS(5688),
    [anon_sym_STAR] = ACTIONS(5688),
    [anon_sym_CARET] = ACTIONS(5688),
    [anon_sym_GT] = ACTIONS(5688),
    [anon_sym_SEMI] = ACTIONS(5688),
    [anon_sym___extension__] = ACTIONS(5686),
    [anon_sym_extern] = ACTIONS(5686),
    [anon_sym___attribute__] = ACTIONS(5686),
    [anon_sym___attribute] = ACTIONS(5686),
    [anon_sym_noreturn] = ACTIONS(5686),
    [anon_sym_LBRACK] = ACTIONS(5688),
    [anon_sym___declspec] = ACTIONS(5686),
    [anon_sym___based] = ACTIONS(5686),
    [anon_sym_LBRACE] = ACTIONS(5688),
    [anon_sym_RBRACE] = ACTIONS(5688),
    [anon_sym_signed] = ACTIONS(5686),
    [anon_sym_unsigned] = ACTIONS(5686),
    [anon_sym_long] = ACTIONS(5686),
    [anon_sym_short] = ACTIONS(5686),
    [anon_sym_static] = ACTIONS(5686),
    [anon_sym_ATautoreleasepool] = ACTIONS(5688),
    [anon_sym_auto] = ACTIONS(5686),
    [anon_sym_register] = ACTIONS(5686),
    [anon_sym_inline] = ACTIONS(5686),
    [anon_sym___inline] = ACTIONS(5686),
    [anon_sym___inline__] = ACTIONS(5686),
    [anon_sym___forceinline] = ACTIONS(5686),
    [anon_sym_thread_local] = ACTIONS(5686),
    [anon_sym___thread] = ACTIONS(5686),
    [anon_sym_CG_EXTERN] = ACTIONS(5686),
    [anon_sym_CG_INLINE] = ACTIONS(5686),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5686),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5686),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5686),
    [anon_sym_IBOutlet] = ACTIONS(5686),
    [anon_sym_IBInspectable] = ACTIONS(5686),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5686),
    [anon_sym_NS_INLINE] = ACTIONS(5686),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5686),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5686),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5686),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5686),
    [anon_sym_const] = ACTIONS(5686),
    [anon_sym_constexpr] = ACTIONS(5686),
    [anon_sym_volatile] = ACTIONS(5686),
    [anon_sym_restrict] = ACTIONS(5686),
    [anon_sym___restrict__] = ACTIONS(5686),
    [anon_sym__Atomic] = ACTIONS(5686),
    [anon_sym__Noreturn] = ACTIONS(5686),
    [anon_sym__Nonnull] = ACTIONS(5686),
    [anon_sym_nullable] = ACTIONS(5686),
    [anon_sym__Complex] = ACTIONS(5686),
    [anon_sym__Nullable] = ACTIONS(5686),
    [anon_sym__Nullable_result] = ACTIONS(5686),
    [anon_sym__Null_unspecified] = ACTIONS(5686),
    [anon_sym___autoreleasing] = ACTIONS(5686),
    [anon_sym___block] = ACTIONS(5686),
    [anon_sym___bridge] = ACTIONS(5686),
    [anon_sym___bridge_retained] = ACTIONS(5686),
    [anon_sym___bridge_transfer] = ACTIONS(5686),
    [anon_sym___complex] = ACTIONS(5686),
    [anon_sym___const] = ACTIONS(5686),
    [anon_sym___imag] = ACTIONS(5686),
    [anon_sym___kindof] = ACTIONS(5686),
    [anon_sym___nonnull] = ACTIONS(5686),
    [anon_sym___nullable] = ACTIONS(5686),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5686),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5686),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5686),
    [anon_sym___real] = ACTIONS(5686),
    [anon_sym___strong] = ACTIONS(5686),
    [anon_sym___unsafe_unretained] = ACTIONS(5686),
    [anon_sym___unused] = ACTIONS(5686),
    [anon_sym___weak] = ACTIONS(5686),
    [anon_sym_alignas] = ACTIONS(5686),
    [anon_sym__Alignas] = ACTIONS(5686),
    [sym_primitive_type] = ACTIONS(5686),
    [anon_sym_enum] = ACTIONS(5686),
    [anon_sym_COLON] = ACTIONS(5688),
    [anon_sym_struct] = ACTIONS(5686),
    [anon_sym_union] = ACTIONS(5686),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5686),
    [anon_sym___typeof] = ACTIONS(5686),
    [anon_sym_typeof] = ACTIONS(5686),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5686),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5686),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5686),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5686),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5686),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5686),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5686),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5686),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5686),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5686),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5686),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5686),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5686),
    [anon_sym_API_AVAILABLE] = ACTIONS(5686),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5686),
    [anon_sym_API_DEPRECATED] = ACTIONS(5686),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5686),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5686),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5686),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5686),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5686),
    [anon_sym___deprecated_msg] = ACTIONS(5686),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5686),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5686),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5686),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5686),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5686),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5686),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5686),
    [anon_sym_ATprotocol] = ACTIONS(5688),
    [anon_sym_ATinterface] = ACTIONS(5688),
    [anon_sym_ATimplementation] = ACTIONS(5688),
    [anon_sym_ATproperty] = ACTIONS(5688),
    [anon_sym_BOOL] = ACTIONS(5686),
    [anon_sym_IMP] = ACTIONS(5686),
    [anon_sym_SEL] = ACTIONS(5686),
    [anon_sym_Class] = ACTIONS(5686),
    [anon_sym_id] = ACTIONS(5686),
  },
  [2410] = {
    [sym_identifier] = ACTIONS(5690),
    [anon_sym_COMMA] = ACTIONS(5692),
    [anon_sym_RPAREN] = ACTIONS(5692),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5692),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5692),
    [anon_sym_LPAREN2] = ACTIONS(5692),
    [anon_sym_STAR] = ACTIONS(5692),
    [anon_sym_CARET] = ACTIONS(5692),
    [anon_sym_GT] = ACTIONS(5692),
    [anon_sym_SEMI] = ACTIONS(5692),
    [anon_sym___extension__] = ACTIONS(5690),
    [anon_sym_extern] = ACTIONS(5690),
    [anon_sym___attribute__] = ACTIONS(5690),
    [anon_sym___attribute] = ACTIONS(5690),
    [anon_sym_noreturn] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5692),
    [anon_sym___declspec] = ACTIONS(5690),
    [anon_sym___based] = ACTIONS(5690),
    [anon_sym_LBRACE] = ACTIONS(5692),
    [anon_sym_RBRACE] = ACTIONS(5692),
    [anon_sym_signed] = ACTIONS(5690),
    [anon_sym_unsigned] = ACTIONS(5690),
    [anon_sym_long] = ACTIONS(5690),
    [anon_sym_short] = ACTIONS(5690),
    [anon_sym_static] = ACTIONS(5690),
    [anon_sym_ATautoreleasepool] = ACTIONS(5692),
    [anon_sym_auto] = ACTIONS(5690),
    [anon_sym_register] = ACTIONS(5690),
    [anon_sym_inline] = ACTIONS(5690),
    [anon_sym___inline] = ACTIONS(5690),
    [anon_sym___inline__] = ACTIONS(5690),
    [anon_sym___forceinline] = ACTIONS(5690),
    [anon_sym_thread_local] = ACTIONS(5690),
    [anon_sym___thread] = ACTIONS(5690),
    [anon_sym_CG_EXTERN] = ACTIONS(5690),
    [anon_sym_CG_INLINE] = ACTIONS(5690),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5690),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5690),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5690),
    [anon_sym_IBOutlet] = ACTIONS(5690),
    [anon_sym_IBInspectable] = ACTIONS(5690),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5690),
    [anon_sym_NS_INLINE] = ACTIONS(5690),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5690),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5690),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5690),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5690),
    [anon_sym_const] = ACTIONS(5690),
    [anon_sym_constexpr] = ACTIONS(5690),
    [anon_sym_volatile] = ACTIONS(5690),
    [anon_sym_restrict] = ACTIONS(5690),
    [anon_sym___restrict__] = ACTIONS(5690),
    [anon_sym__Atomic] = ACTIONS(5690),
    [anon_sym__Noreturn] = ACTIONS(5690),
    [anon_sym__Nonnull] = ACTIONS(5690),
    [anon_sym_nullable] = ACTIONS(5690),
    [anon_sym__Complex] = ACTIONS(5690),
    [anon_sym__Nullable] = ACTIONS(5690),
    [anon_sym__Nullable_result] = ACTIONS(5690),
    [anon_sym__Null_unspecified] = ACTIONS(5690),
    [anon_sym___autoreleasing] = ACTIONS(5690),
    [anon_sym___block] = ACTIONS(5690),
    [anon_sym___bridge] = ACTIONS(5690),
    [anon_sym___bridge_retained] = ACTIONS(5690),
    [anon_sym___bridge_transfer] = ACTIONS(5690),
    [anon_sym___complex] = ACTIONS(5690),
    [anon_sym___const] = ACTIONS(5690),
    [anon_sym___imag] = ACTIONS(5690),
    [anon_sym___kindof] = ACTIONS(5690),
    [anon_sym___nonnull] = ACTIONS(5690),
    [anon_sym___nullable] = ACTIONS(5690),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5690),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5690),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5690),
    [anon_sym___real] = ACTIONS(5690),
    [anon_sym___strong] = ACTIONS(5690),
    [anon_sym___unsafe_unretained] = ACTIONS(5690),
    [anon_sym___unused] = ACTIONS(5690),
    [anon_sym___weak] = ACTIONS(5690),
    [anon_sym_alignas] = ACTIONS(5690),
    [anon_sym__Alignas] = ACTIONS(5690),
    [sym_primitive_type] = ACTIONS(5690),
    [anon_sym_enum] = ACTIONS(5690),
    [anon_sym_COLON] = ACTIONS(5692),
    [anon_sym_struct] = ACTIONS(5690),
    [anon_sym_union] = ACTIONS(5690),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5690),
    [anon_sym___typeof] = ACTIONS(5690),
    [anon_sym_typeof] = ACTIONS(5690),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5690),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5690),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5690),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5690),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5690),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5690),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5690),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5690),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5690),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5690),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5690),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5690),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5690),
    [anon_sym_API_AVAILABLE] = ACTIONS(5690),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5690),
    [anon_sym_API_DEPRECATED] = ACTIONS(5690),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5690),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5690),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5690),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5690),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5690),
    [anon_sym___deprecated_msg] = ACTIONS(5690),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5690),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5690),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5690),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5690),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5690),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5690),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5690),
    [anon_sym_ATprotocol] = ACTIONS(5692),
    [anon_sym_ATinterface] = ACTIONS(5692),
    [anon_sym_ATimplementation] = ACTIONS(5692),
    [anon_sym_ATproperty] = ACTIONS(5692),
    [anon_sym_BOOL] = ACTIONS(5690),
    [anon_sym_IMP] = ACTIONS(5690),
    [anon_sym_SEL] = ACTIONS(5690),
    [anon_sym_Class] = ACTIONS(5690),
    [anon_sym_id] = ACTIONS(5690),
  },
  [2411] = {
    [sym_identifier] = ACTIONS(5389),
    [aux_sym_preproc_def_token1] = ACTIONS(5389),
    [aux_sym_preproc_if_token1] = ACTIONS(5389),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5389),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5389),
    [sym_preproc_directive] = ACTIONS(5389),
    [anon_sym_DASH] = ACTIONS(5391),
    [anon_sym_PLUS] = ACTIONS(5391),
    [anon_sym___extension__] = ACTIONS(5389),
    [anon_sym_typedef] = ACTIONS(5389),
    [anon_sym_extern] = ACTIONS(5389),
    [anon_sym___attribute__] = ACTIONS(5389),
    [anon_sym___attribute] = ACTIONS(5389),
    [anon_sym_noreturn] = ACTIONS(5389),
    [anon_sym_LBRACK] = ACTIONS(5391),
    [anon_sym___declspec] = ACTIONS(5389),
    [anon_sym___cdecl] = ACTIONS(5389),
    [anon_sym___clrcall] = ACTIONS(5389),
    [anon_sym___stdcall] = ACTIONS(5389),
    [anon_sym___fastcall] = ACTIONS(5389),
    [anon_sym___thiscall] = ACTIONS(5389),
    [anon_sym___vectorcall] = ACTIONS(5389),
    [anon_sym_signed] = ACTIONS(5389),
    [anon_sym_unsigned] = ACTIONS(5389),
    [anon_sym_long] = ACTIONS(5389),
    [anon_sym_short] = ACTIONS(5389),
    [anon_sym_static] = ACTIONS(5389),
    [anon_sym_auto] = ACTIONS(5389),
    [anon_sym_register] = ACTIONS(5389),
    [anon_sym_inline] = ACTIONS(5389),
    [anon_sym___inline] = ACTIONS(5389),
    [anon_sym___inline__] = ACTIONS(5389),
    [anon_sym___forceinline] = ACTIONS(5389),
    [anon_sym_thread_local] = ACTIONS(5389),
    [anon_sym___thread] = ACTIONS(5389),
    [anon_sym_CG_EXTERN] = ACTIONS(5389),
    [anon_sym_CG_INLINE] = ACTIONS(5389),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5389),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5389),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5389),
    [anon_sym_IBOutlet] = ACTIONS(5389),
    [anon_sym_IBInspectable] = ACTIONS(5389),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5389),
    [anon_sym_NS_INLINE] = ACTIONS(5389),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5389),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5389),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5389),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5389),
    [anon_sym_const] = ACTIONS(5389),
    [anon_sym_constexpr] = ACTIONS(5389),
    [anon_sym_volatile] = ACTIONS(5389),
    [anon_sym_restrict] = ACTIONS(5389),
    [anon_sym___restrict__] = ACTIONS(5389),
    [anon_sym__Atomic] = ACTIONS(5389),
    [anon_sym__Noreturn] = ACTIONS(5389),
    [anon_sym__Nonnull] = ACTIONS(5389),
    [anon_sym_nullable] = ACTIONS(5389),
    [anon_sym__Complex] = ACTIONS(5389),
    [anon_sym__Nullable] = ACTIONS(5389),
    [anon_sym__Nullable_result] = ACTIONS(5389),
    [anon_sym__Null_unspecified] = ACTIONS(5389),
    [anon_sym___autoreleasing] = ACTIONS(5389),
    [anon_sym___block] = ACTIONS(5389),
    [anon_sym___bridge] = ACTIONS(5389),
    [anon_sym___bridge_retained] = ACTIONS(5389),
    [anon_sym___bridge_transfer] = ACTIONS(5389),
    [anon_sym___complex] = ACTIONS(5389),
    [anon_sym___const] = ACTIONS(5389),
    [anon_sym___imag] = ACTIONS(5389),
    [anon_sym___kindof] = ACTIONS(5389),
    [anon_sym___nonnull] = ACTIONS(5389),
    [anon_sym___nullable] = ACTIONS(5389),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5389),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5389),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5389),
    [anon_sym___real] = ACTIONS(5389),
    [anon_sym___strong] = ACTIONS(5389),
    [anon_sym___unsafe_unretained] = ACTIONS(5389),
    [anon_sym___unused] = ACTIONS(5389),
    [anon_sym___weak] = ACTIONS(5389),
    [anon_sym_alignas] = ACTIONS(5389),
    [anon_sym__Alignas] = ACTIONS(5389),
    [sym_primitive_type] = ACTIONS(5389),
    [anon_sym_enum] = ACTIONS(5389),
    [anon_sym_struct] = ACTIONS(5389),
    [anon_sym_union] = ACTIONS(5389),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5389),
    [anon_sym___typeof] = ACTIONS(5389),
    [anon_sym_typeof] = ACTIONS(5389),
    [aux_sym_preproc_undef_token1] = ACTIONS(5389),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5389),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5389),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5389),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5389),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5389),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5389),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5389),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5389),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5389),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5389),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5389),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5389),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5389),
    [anon_sym_API_AVAILABLE] = ACTIONS(5389),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5389),
    [anon_sym_API_DEPRECATED] = ACTIONS(5389),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5389),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5389),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5389),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5389),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5389),
    [anon_sym___deprecated_msg] = ACTIONS(5389),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5389),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5389),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5389),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5389),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5389),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5389),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5389),
    [anon_sym_ATend] = ACTIONS(5391),
    [anon_sym_ATsynthesize] = ACTIONS(5391),
    [anon_sym_ATdynamic] = ACTIONS(5391),
    [anon_sym_BOOL] = ACTIONS(5389),
    [anon_sym_IMP] = ACTIONS(5389),
    [anon_sym_SEL] = ACTIONS(5389),
    [anon_sym_Class] = ACTIONS(5389),
    [anon_sym_id] = ACTIONS(5389),
  },
  [2412] = {
    [sym_identifier] = ACTIONS(2922),
    [anon_sym_COMMA] = ACTIONS(2928),
    [anon_sym_RPAREN] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2928),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2928),
    [anon_sym_STAR] = ACTIONS(2928),
    [anon_sym_CARET] = ACTIONS(2928),
    [anon_sym_GT] = ACTIONS(2928),
    [anon_sym_SEMI] = ACTIONS(2928),
    [anon_sym___extension__] = ACTIONS(2922),
    [anon_sym_extern] = ACTIONS(2922),
    [anon_sym___attribute__] = ACTIONS(2922),
    [anon_sym___attribute] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym___declspec] = ACTIONS(2922),
    [anon_sym___based] = ACTIONS(2922),
    [anon_sym_LBRACE] = ACTIONS(2928),
    [anon_sym_RBRACE] = ACTIONS(2928),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_static] = ACTIONS(2922),
    [anon_sym_ATautoreleasepool] = ACTIONS(2928),
    [anon_sym_auto] = ACTIONS(2922),
    [anon_sym_register] = ACTIONS(2922),
    [anon_sym_inline] = ACTIONS(2922),
    [anon_sym___inline] = ACTIONS(2922),
    [anon_sym___inline__] = ACTIONS(2922),
    [anon_sym___forceinline] = ACTIONS(2922),
    [anon_sym_thread_local] = ACTIONS(2922),
    [anon_sym___thread] = ACTIONS(2922),
    [anon_sym_CG_EXTERN] = ACTIONS(2922),
    [anon_sym_CG_INLINE] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2922),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2922),
    [anon_sym_IBOutlet] = ACTIONS(2922),
    [anon_sym_IBInspectable] = ACTIONS(2922),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2922),
    [anon_sym_NS_INLINE] = ACTIONS(2922),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2922),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2922),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(2922),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2922),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2922),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_COLON] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2922),
    [anon_sym_union] = ACTIONS(2922),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2922),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2922),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2922),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_API_AVAILABLE] = ACTIONS(2922),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_API_DEPRECATED] = ACTIONS(2922),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym___deprecated_msg] = ACTIONS(2922),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2922),
    [anon_sym_ATprotocol] = ACTIONS(2928),
    [anon_sym_ATinterface] = ACTIONS(2928),
    [anon_sym_ATimplementation] = ACTIONS(2928),
    [anon_sym_ATproperty] = ACTIONS(2928),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(2922),
  },
  [2413] = {
    [sym__declaration_modifiers] = STATE(2685),
    [sym_attribute_specifier] = STATE(2685),
    [sym_attribute_declaration] = STATE(2685),
    [sym_ms_declspec_modifier] = STATE(2685),
    [sym_ms_based_modifier] = STATE(6484),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2416),
    [sym__type_declarator] = STATE(5251),
    [sym_parenthesized_type_declarator] = STATE(3256),
    [sym_pointer_type_declarator] = STATE(3256),
    [sym_function_type_declarator] = STATE(3256),
    [sym_array_type_declarator] = STATE(3256),
    [sym_storage_class_specifier] = STATE(2685),
    [sym_type_qualifier] = STATE(2685),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2685),
    [sym_block_pointer_type_declarator] = STATE(3256),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2685),
    [aux_sym_pointer_declarator_repeat1] = STATE(2416),
    [sym_identifier] = ACTIONS(5694),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_STAR] = ACTIONS(5698),
    [anon_sym_CARET] = ACTIONS(5700),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_signed] = ACTIONS(5702),
    [anon_sym_unsigned] = ACTIONS(5702),
    [anon_sym_long] = ACTIONS(5702),
    [anon_sym_short] = ACTIONS(5702),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2414] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_based_modifier] = STATE(5923),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2901),
    [sym__type_declarator] = STATE(3253),
    [sym_parenthesized_type_declarator] = STATE(3256),
    [sym_pointer_type_declarator] = STATE(3256),
    [sym_function_type_declarator] = STATE(3256),
    [sym_array_type_declarator] = STATE(3256),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2673),
    [sym_block_pointer_type_declarator] = STATE(3256),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_pointer_declarator_repeat1] = STATE(2901),
    [sym_identifier] = ACTIONS(5694),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_CARET] = ACTIONS(5708),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_signed] = ACTIONS(5702),
    [anon_sym_unsigned] = ACTIONS(5702),
    [anon_sym_long] = ACTIONS(5702),
    [anon_sym_short] = ACTIONS(5702),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2415] = {
    [sym__declaration_modifiers] = STATE(2673),
    [sym_attribute_specifier] = STATE(2673),
    [sym_attribute_declaration] = STATE(2673),
    [sym_ms_declspec_modifier] = STATE(2673),
    [sym_ms_based_modifier] = STATE(5923),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2420),
    [sym__type_declarator] = STATE(3253),
    [sym_parenthesized_type_declarator] = STATE(3256),
    [sym_pointer_type_declarator] = STATE(3256),
    [sym_function_type_declarator] = STATE(3256),
    [sym_array_type_declarator] = STATE(3256),
    [sym_storage_class_specifier] = STATE(2673),
    [sym_type_qualifier] = STATE(2673),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2673),
    [sym_block_pointer_type_declarator] = STATE(3256),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2673),
    [aux_sym_pointer_declarator_repeat1] = STATE(2420),
    [sym_identifier] = ACTIONS(5694),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_CARET] = ACTIONS(5708),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_signed] = ACTIONS(5702),
    [anon_sym_unsigned] = ACTIONS(5702),
    [anon_sym_long] = ACTIONS(5702),
    [anon_sym_short] = ACTIONS(5702),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2416] = {
    [sym__declaration_modifiers] = STATE(2681),
    [sym_attribute_specifier] = STATE(2681),
    [sym_attribute_declaration] = STATE(2681),
    [sym_ms_declspec_modifier] = STATE(2681),
    [sym_ms_based_modifier] = STATE(6484),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2901),
    [sym__type_declarator] = STATE(5267),
    [sym_parenthesized_type_declarator] = STATE(3256),
    [sym_pointer_type_declarator] = STATE(3256),
    [sym_function_type_declarator] = STATE(3256),
    [sym_array_type_declarator] = STATE(3256),
    [sym_storage_class_specifier] = STATE(2681),
    [sym_type_qualifier] = STATE(2681),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2681),
    [sym_block_pointer_type_declarator] = STATE(3256),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2681),
    [aux_sym_pointer_declarator_repeat1] = STATE(2901),
    [sym_identifier] = ACTIONS(5694),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_STAR] = ACTIONS(5698),
    [anon_sym_CARET] = ACTIONS(5700),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_signed] = ACTIONS(5702),
    [anon_sym_unsigned] = ACTIONS(5702),
    [anon_sym_long] = ACTIONS(5702),
    [anon_sym_short] = ACTIONS(5702),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2417] = {
    [sym_identifier] = ACTIONS(5564),
    [aux_sym_preproc_def_token1] = ACTIONS(5564),
    [aux_sym_preproc_if_token1] = ACTIONS(5564),
    [aux_sym_preproc_if_token2] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5564),
    [sym_preproc_directive] = ACTIONS(5564),
    [anon_sym_DASH] = ACTIONS(5566),
    [anon_sym_PLUS] = ACTIONS(5566),
    [anon_sym___extension__] = ACTIONS(5564),
    [anon_sym_typedef] = ACTIONS(5564),
    [anon_sym_extern] = ACTIONS(5564),
    [anon_sym___attribute__] = ACTIONS(5564),
    [anon_sym___attribute] = ACTIONS(5564),
    [anon_sym_noreturn] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5566),
    [anon_sym___declspec] = ACTIONS(5564),
    [anon_sym___cdecl] = ACTIONS(5564),
    [anon_sym___clrcall] = ACTIONS(5564),
    [anon_sym___stdcall] = ACTIONS(5564),
    [anon_sym___fastcall] = ACTIONS(5564),
    [anon_sym___thiscall] = ACTIONS(5564),
    [anon_sym___vectorcall] = ACTIONS(5564),
    [anon_sym_signed] = ACTIONS(5564),
    [anon_sym_unsigned] = ACTIONS(5564),
    [anon_sym_long] = ACTIONS(5564),
    [anon_sym_short] = ACTIONS(5564),
    [anon_sym_static] = ACTIONS(5564),
    [anon_sym_auto] = ACTIONS(5564),
    [anon_sym_register] = ACTIONS(5564),
    [anon_sym_inline] = ACTIONS(5564),
    [anon_sym___inline] = ACTIONS(5564),
    [anon_sym___inline__] = ACTIONS(5564),
    [anon_sym___forceinline] = ACTIONS(5564),
    [anon_sym_thread_local] = ACTIONS(5564),
    [anon_sym___thread] = ACTIONS(5564),
    [anon_sym_CG_EXTERN] = ACTIONS(5564),
    [anon_sym_CG_INLINE] = ACTIONS(5564),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5564),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5564),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5564),
    [anon_sym_IBOutlet] = ACTIONS(5564),
    [anon_sym_IBInspectable] = ACTIONS(5564),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5564),
    [anon_sym_NS_INLINE] = ACTIONS(5564),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5564),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5564),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5564),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5564),
    [anon_sym_const] = ACTIONS(5564),
    [anon_sym_constexpr] = ACTIONS(5564),
    [anon_sym_volatile] = ACTIONS(5564),
    [anon_sym_restrict] = ACTIONS(5564),
    [anon_sym___restrict__] = ACTIONS(5564),
    [anon_sym__Atomic] = ACTIONS(5564),
    [anon_sym__Noreturn] = ACTIONS(5564),
    [anon_sym__Nonnull] = ACTIONS(5564),
    [anon_sym_nullable] = ACTIONS(5564),
    [anon_sym__Complex] = ACTIONS(5564),
    [anon_sym__Nullable] = ACTIONS(5564),
    [anon_sym__Nullable_result] = ACTIONS(5564),
    [anon_sym__Null_unspecified] = ACTIONS(5564),
    [anon_sym___autoreleasing] = ACTIONS(5564),
    [anon_sym___block] = ACTIONS(5564),
    [anon_sym___bridge] = ACTIONS(5564),
    [anon_sym___bridge_retained] = ACTIONS(5564),
    [anon_sym___bridge_transfer] = ACTIONS(5564),
    [anon_sym___complex] = ACTIONS(5564),
    [anon_sym___const] = ACTIONS(5564),
    [anon_sym___imag] = ACTIONS(5564),
    [anon_sym___kindof] = ACTIONS(5564),
    [anon_sym___nonnull] = ACTIONS(5564),
    [anon_sym___nullable] = ACTIONS(5564),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5564),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5564),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5564),
    [anon_sym___real] = ACTIONS(5564),
    [anon_sym___strong] = ACTIONS(5564),
    [anon_sym___unsafe_unretained] = ACTIONS(5564),
    [anon_sym___unused] = ACTIONS(5564),
    [anon_sym___weak] = ACTIONS(5564),
    [anon_sym_alignas] = ACTIONS(5564),
    [anon_sym__Alignas] = ACTIONS(5564),
    [sym_primitive_type] = ACTIONS(5564),
    [anon_sym_enum] = ACTIONS(5564),
    [anon_sym_struct] = ACTIONS(5564),
    [anon_sym_union] = ACTIONS(5564),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5564),
    [anon_sym___typeof] = ACTIONS(5564),
    [anon_sym_typeof] = ACTIONS(5564),
    [aux_sym_preproc_undef_token1] = ACTIONS(5564),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5564),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5564),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5564),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5564),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5564),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5564),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5564),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5564),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5564),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5564),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5564),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5564),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5564),
    [anon_sym_API_AVAILABLE] = ACTIONS(5564),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5564),
    [anon_sym_API_DEPRECATED] = ACTIONS(5564),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5564),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5564),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5564),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5564),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5564),
    [anon_sym___deprecated_msg] = ACTIONS(5564),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5564),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5564),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5564),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5564),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5564),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5564),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5564),
    [anon_sym_ATproperty] = ACTIONS(5566),
    [anon_sym_BOOL] = ACTIONS(5564),
    [anon_sym_IMP] = ACTIONS(5564),
    [anon_sym_SEL] = ACTIONS(5564),
    [anon_sym_Class] = ACTIONS(5564),
    [anon_sym_id] = ACTIONS(5564),
  },
  [2418] = {
    [sym_identifier] = ACTIONS(3590),
    [aux_sym_preproc_def_token1] = ACTIONS(3590),
    [aux_sym_preproc_if_token1] = ACTIONS(3590),
    [aux_sym_preproc_if_token2] = ACTIONS(3590),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3590),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3590),
    [sym_preproc_directive] = ACTIONS(3590),
    [anon_sym_DASH] = ACTIONS(5612),
    [anon_sym_PLUS] = ACTIONS(5612),
    [anon_sym___extension__] = ACTIONS(3590),
    [anon_sym_typedef] = ACTIONS(3590),
    [anon_sym_extern] = ACTIONS(3590),
    [anon_sym___attribute__] = ACTIONS(3590),
    [anon_sym___attribute] = ACTIONS(3590),
    [anon_sym_noreturn] = ACTIONS(3590),
    [anon_sym_LBRACK] = ACTIONS(5612),
    [anon_sym___declspec] = ACTIONS(3590),
    [anon_sym___cdecl] = ACTIONS(3590),
    [anon_sym___clrcall] = ACTIONS(3590),
    [anon_sym___stdcall] = ACTIONS(3590),
    [anon_sym___fastcall] = ACTIONS(3590),
    [anon_sym___thiscall] = ACTIONS(3590),
    [anon_sym___vectorcall] = ACTIONS(3590),
    [anon_sym_signed] = ACTIONS(3590),
    [anon_sym_unsigned] = ACTIONS(3590),
    [anon_sym_long] = ACTIONS(3590),
    [anon_sym_short] = ACTIONS(3590),
    [anon_sym_static] = ACTIONS(3590),
    [anon_sym_auto] = ACTIONS(3590),
    [anon_sym_register] = ACTIONS(3590),
    [anon_sym_inline] = ACTIONS(3590),
    [anon_sym___inline] = ACTIONS(3590),
    [anon_sym___inline__] = ACTIONS(3590),
    [anon_sym___forceinline] = ACTIONS(3590),
    [anon_sym_thread_local] = ACTIONS(3590),
    [anon_sym___thread] = ACTIONS(3590),
    [anon_sym_CG_EXTERN] = ACTIONS(3590),
    [anon_sym_CG_INLINE] = ACTIONS(3590),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(3590),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(3590),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(3590),
    [anon_sym_IBOutlet] = ACTIONS(3590),
    [anon_sym_IBInspectable] = ACTIONS(3590),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(3590),
    [anon_sym_NS_INLINE] = ACTIONS(3590),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(3590),
    [anon_sym_OBJC_EXPORT] = ACTIONS(3590),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(3590),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(3590),
    [anon_sym_const] = ACTIONS(3590),
    [anon_sym_constexpr] = ACTIONS(3590),
    [anon_sym_volatile] = ACTIONS(3590),
    [anon_sym_restrict] = ACTIONS(3590),
    [anon_sym___restrict__] = ACTIONS(3590),
    [anon_sym__Atomic] = ACTIONS(3590),
    [anon_sym__Noreturn] = ACTIONS(3590),
    [anon_sym__Nonnull] = ACTIONS(3590),
    [anon_sym_nullable] = ACTIONS(3590),
    [anon_sym__Complex] = ACTIONS(3590),
    [anon_sym__Nullable] = ACTIONS(3590),
    [anon_sym__Nullable_result] = ACTIONS(3590),
    [anon_sym__Null_unspecified] = ACTIONS(3590),
    [anon_sym___autoreleasing] = ACTIONS(3590),
    [anon_sym___block] = ACTIONS(3590),
    [anon_sym___bridge] = ACTIONS(3590),
    [anon_sym___bridge_retained] = ACTIONS(3590),
    [anon_sym___bridge_transfer] = ACTIONS(3590),
    [anon_sym___complex] = ACTIONS(3590),
    [anon_sym___const] = ACTIONS(3590),
    [anon_sym___imag] = ACTIONS(3590),
    [anon_sym___kindof] = ACTIONS(3590),
    [anon_sym___nonnull] = ACTIONS(3590),
    [anon_sym___nullable] = ACTIONS(3590),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(3590),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(3590),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(3590),
    [anon_sym___real] = ACTIONS(3590),
    [anon_sym___strong] = ACTIONS(3590),
    [anon_sym___unsafe_unretained] = ACTIONS(3590),
    [anon_sym___unused] = ACTIONS(3590),
    [anon_sym___weak] = ACTIONS(3590),
    [anon_sym_alignas] = ACTIONS(3590),
    [anon_sym__Alignas] = ACTIONS(3590),
    [sym_primitive_type] = ACTIONS(3590),
    [anon_sym_enum] = ACTIONS(3590),
    [anon_sym_struct] = ACTIONS(3590),
    [anon_sym_union] = ACTIONS(3590),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(3590),
    [anon_sym___typeof] = ACTIONS(3590),
    [anon_sym_typeof] = ACTIONS(3590),
    [aux_sym_preproc_undef_token1] = ACTIONS(3590),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(3590),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(3590),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(3590),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(3590),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(3590),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(3590),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(3590),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(3590),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(3590),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(3590),
    [anon_sym_NS_AVAILABLE] = ACTIONS(3590),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(3590),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(3590),
    [anon_sym_API_AVAILABLE] = ACTIONS(3590),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(3590),
    [anon_sym_API_DEPRECATED] = ACTIONS(3590),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(3590),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(3590),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(3590),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(3590),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(3590),
    [anon_sym___deprecated_msg] = ACTIONS(3590),
    [anon_sym___deprecated_enum_msg] = ACTIONS(3590),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(3590),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(3590),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(3590),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(3590),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(3590),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(3590),
    [anon_sym_ATproperty] = ACTIONS(5612),
    [anon_sym_BOOL] = ACTIONS(3590),
    [anon_sym_IMP] = ACTIONS(3590),
    [anon_sym_SEL] = ACTIONS(3590),
    [anon_sym_Class] = ACTIONS(3590),
    [anon_sym_id] = ACTIONS(3590),
  },
  [2419] = {
    [sym_identifier] = ACTIONS(5642),
    [aux_sym_preproc_def_token1] = ACTIONS(5642),
    [aux_sym_preproc_if_token1] = ACTIONS(5642),
    [aux_sym_preproc_if_token2] = ACTIONS(5642),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5642),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5642),
    [sym_preproc_directive] = ACTIONS(5642),
    [anon_sym_DASH] = ACTIONS(5644),
    [anon_sym_PLUS] = ACTIONS(5644),
    [anon_sym___extension__] = ACTIONS(5642),
    [anon_sym_typedef] = ACTIONS(5642),
    [anon_sym_extern] = ACTIONS(5642),
    [anon_sym___attribute__] = ACTIONS(5642),
    [anon_sym___attribute] = ACTIONS(5642),
    [anon_sym_noreturn] = ACTIONS(5642),
    [anon_sym_LBRACK] = ACTIONS(5644),
    [anon_sym___declspec] = ACTIONS(5642),
    [anon_sym___cdecl] = ACTIONS(5642),
    [anon_sym___clrcall] = ACTIONS(5642),
    [anon_sym___stdcall] = ACTIONS(5642),
    [anon_sym___fastcall] = ACTIONS(5642),
    [anon_sym___thiscall] = ACTIONS(5642),
    [anon_sym___vectorcall] = ACTIONS(5642),
    [anon_sym_signed] = ACTIONS(5642),
    [anon_sym_unsigned] = ACTIONS(5642),
    [anon_sym_long] = ACTIONS(5642),
    [anon_sym_short] = ACTIONS(5642),
    [anon_sym_static] = ACTIONS(5642),
    [anon_sym_auto] = ACTIONS(5642),
    [anon_sym_register] = ACTIONS(5642),
    [anon_sym_inline] = ACTIONS(5642),
    [anon_sym___inline] = ACTIONS(5642),
    [anon_sym___inline__] = ACTIONS(5642),
    [anon_sym___forceinline] = ACTIONS(5642),
    [anon_sym_thread_local] = ACTIONS(5642),
    [anon_sym___thread] = ACTIONS(5642),
    [anon_sym_CG_EXTERN] = ACTIONS(5642),
    [anon_sym_CG_INLINE] = ACTIONS(5642),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5642),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5642),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5642),
    [anon_sym_IBOutlet] = ACTIONS(5642),
    [anon_sym_IBInspectable] = ACTIONS(5642),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5642),
    [anon_sym_NS_INLINE] = ACTIONS(5642),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5642),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5642),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5642),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5642),
    [anon_sym_const] = ACTIONS(5642),
    [anon_sym_constexpr] = ACTIONS(5642),
    [anon_sym_volatile] = ACTIONS(5642),
    [anon_sym_restrict] = ACTIONS(5642),
    [anon_sym___restrict__] = ACTIONS(5642),
    [anon_sym__Atomic] = ACTIONS(5642),
    [anon_sym__Noreturn] = ACTIONS(5642),
    [anon_sym__Nonnull] = ACTIONS(5642),
    [anon_sym_nullable] = ACTIONS(5642),
    [anon_sym__Complex] = ACTIONS(5642),
    [anon_sym__Nullable] = ACTIONS(5642),
    [anon_sym__Nullable_result] = ACTIONS(5642),
    [anon_sym__Null_unspecified] = ACTIONS(5642),
    [anon_sym___autoreleasing] = ACTIONS(5642),
    [anon_sym___block] = ACTIONS(5642),
    [anon_sym___bridge] = ACTIONS(5642),
    [anon_sym___bridge_retained] = ACTIONS(5642),
    [anon_sym___bridge_transfer] = ACTIONS(5642),
    [anon_sym___complex] = ACTIONS(5642),
    [anon_sym___const] = ACTIONS(5642),
    [anon_sym___imag] = ACTIONS(5642),
    [anon_sym___kindof] = ACTIONS(5642),
    [anon_sym___nonnull] = ACTIONS(5642),
    [anon_sym___nullable] = ACTIONS(5642),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5642),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5642),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5642),
    [anon_sym___real] = ACTIONS(5642),
    [anon_sym___strong] = ACTIONS(5642),
    [anon_sym___unsafe_unretained] = ACTIONS(5642),
    [anon_sym___unused] = ACTIONS(5642),
    [anon_sym___weak] = ACTIONS(5642),
    [anon_sym_alignas] = ACTIONS(5642),
    [anon_sym__Alignas] = ACTIONS(5642),
    [sym_primitive_type] = ACTIONS(5642),
    [anon_sym_enum] = ACTIONS(5642),
    [anon_sym_struct] = ACTIONS(5642),
    [anon_sym_union] = ACTIONS(5642),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5642),
    [anon_sym___typeof] = ACTIONS(5642),
    [anon_sym_typeof] = ACTIONS(5642),
    [aux_sym_preproc_undef_token1] = ACTIONS(5642),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5642),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5642),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5642),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5642),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5642),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5642),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5642),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5642),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5642),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5642),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5642),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5642),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5642),
    [anon_sym_API_AVAILABLE] = ACTIONS(5642),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5642),
    [anon_sym_API_DEPRECATED] = ACTIONS(5642),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5642),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5642),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5642),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5642),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5642),
    [anon_sym___deprecated_msg] = ACTIONS(5642),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5642),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5642),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5642),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5642),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5642),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5642),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5642),
    [anon_sym_ATproperty] = ACTIONS(5644),
    [anon_sym_BOOL] = ACTIONS(5642),
    [anon_sym_IMP] = ACTIONS(5642),
    [anon_sym_SEL] = ACTIONS(5642),
    [anon_sym_Class] = ACTIONS(5642),
    [anon_sym_id] = ACTIONS(5642),
  },
  [2420] = {
    [sym__declaration_modifiers] = STATE(2675),
    [sym_attribute_specifier] = STATE(2675),
    [sym_attribute_declaration] = STATE(2675),
    [sym_ms_declspec_modifier] = STATE(2675),
    [sym_ms_based_modifier] = STATE(5923),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2901),
    [sym__type_declarator] = STATE(3260),
    [sym_parenthesized_type_declarator] = STATE(3256),
    [sym_pointer_type_declarator] = STATE(3256),
    [sym_function_type_declarator] = STATE(3256),
    [sym_array_type_declarator] = STATE(3256),
    [sym_storage_class_specifier] = STATE(2675),
    [sym_type_qualifier] = STATE(2675),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2675),
    [sym_block_pointer_type_declarator] = STATE(3256),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2675),
    [aux_sym_pointer_declarator_repeat1] = STATE(2901),
    [sym_identifier] = ACTIONS(5694),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_CARET] = ACTIONS(5708),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_signed] = ACTIONS(5702),
    [anon_sym_unsigned] = ACTIONS(5702),
    [anon_sym_long] = ACTIONS(5702),
    [anon_sym_short] = ACTIONS(5702),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2421] = {
    [sym_identifier] = ACTIONS(5586),
    [aux_sym_preproc_def_token1] = ACTIONS(5586),
    [aux_sym_preproc_if_token1] = ACTIONS(5586),
    [aux_sym_preproc_if_token2] = ACTIONS(5586),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5586),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5586),
    [sym_preproc_directive] = ACTIONS(5586),
    [anon_sym_DASH] = ACTIONS(5588),
    [anon_sym_PLUS] = ACTIONS(5588),
    [anon_sym___extension__] = ACTIONS(5586),
    [anon_sym_typedef] = ACTIONS(5586),
    [anon_sym_extern] = ACTIONS(5586),
    [anon_sym___attribute__] = ACTIONS(5586),
    [anon_sym___attribute] = ACTIONS(5586),
    [anon_sym_noreturn] = ACTIONS(5586),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [anon_sym___declspec] = ACTIONS(5586),
    [anon_sym___cdecl] = ACTIONS(5586),
    [anon_sym___clrcall] = ACTIONS(5586),
    [anon_sym___stdcall] = ACTIONS(5586),
    [anon_sym___fastcall] = ACTIONS(5586),
    [anon_sym___thiscall] = ACTIONS(5586),
    [anon_sym___vectorcall] = ACTIONS(5586),
    [anon_sym_signed] = ACTIONS(5586),
    [anon_sym_unsigned] = ACTIONS(5586),
    [anon_sym_long] = ACTIONS(5586),
    [anon_sym_short] = ACTIONS(5586),
    [anon_sym_static] = ACTIONS(5586),
    [anon_sym_auto] = ACTIONS(5586),
    [anon_sym_register] = ACTIONS(5586),
    [anon_sym_inline] = ACTIONS(5586),
    [anon_sym___inline] = ACTIONS(5586),
    [anon_sym___inline__] = ACTIONS(5586),
    [anon_sym___forceinline] = ACTIONS(5586),
    [anon_sym_thread_local] = ACTIONS(5586),
    [anon_sym___thread] = ACTIONS(5586),
    [anon_sym_CG_EXTERN] = ACTIONS(5586),
    [anon_sym_CG_INLINE] = ACTIONS(5586),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5586),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5586),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5586),
    [anon_sym_IBOutlet] = ACTIONS(5586),
    [anon_sym_IBInspectable] = ACTIONS(5586),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5586),
    [anon_sym_NS_INLINE] = ACTIONS(5586),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5586),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5586),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5586),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5586),
    [anon_sym_const] = ACTIONS(5586),
    [anon_sym_constexpr] = ACTIONS(5586),
    [anon_sym_volatile] = ACTIONS(5586),
    [anon_sym_restrict] = ACTIONS(5586),
    [anon_sym___restrict__] = ACTIONS(5586),
    [anon_sym__Atomic] = ACTIONS(5586),
    [anon_sym__Noreturn] = ACTIONS(5586),
    [anon_sym__Nonnull] = ACTIONS(5586),
    [anon_sym_nullable] = ACTIONS(5586),
    [anon_sym__Complex] = ACTIONS(5586),
    [anon_sym__Nullable] = ACTIONS(5586),
    [anon_sym__Nullable_result] = ACTIONS(5586),
    [anon_sym__Null_unspecified] = ACTIONS(5586),
    [anon_sym___autoreleasing] = ACTIONS(5586),
    [anon_sym___block] = ACTIONS(5586),
    [anon_sym___bridge] = ACTIONS(5586),
    [anon_sym___bridge_retained] = ACTIONS(5586),
    [anon_sym___bridge_transfer] = ACTIONS(5586),
    [anon_sym___complex] = ACTIONS(5586),
    [anon_sym___const] = ACTIONS(5586),
    [anon_sym___imag] = ACTIONS(5586),
    [anon_sym___kindof] = ACTIONS(5586),
    [anon_sym___nonnull] = ACTIONS(5586),
    [anon_sym___nullable] = ACTIONS(5586),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5586),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5586),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5586),
    [anon_sym___real] = ACTIONS(5586),
    [anon_sym___strong] = ACTIONS(5586),
    [anon_sym___unsafe_unretained] = ACTIONS(5586),
    [anon_sym___unused] = ACTIONS(5586),
    [anon_sym___weak] = ACTIONS(5586),
    [anon_sym_alignas] = ACTIONS(5586),
    [anon_sym__Alignas] = ACTIONS(5586),
    [sym_primitive_type] = ACTIONS(5586),
    [anon_sym_enum] = ACTIONS(5586),
    [anon_sym_struct] = ACTIONS(5586),
    [anon_sym_union] = ACTIONS(5586),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5586),
    [anon_sym___typeof] = ACTIONS(5586),
    [anon_sym_typeof] = ACTIONS(5586),
    [aux_sym_preproc_undef_token1] = ACTIONS(5586),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5586),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5586),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5586),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5586),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5586),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5586),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5586),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5586),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5586),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5586),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5586),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5586),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5586),
    [anon_sym_API_AVAILABLE] = ACTIONS(5586),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5586),
    [anon_sym_API_DEPRECATED] = ACTIONS(5586),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5586),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5586),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5586),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5586),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5586),
    [anon_sym___deprecated_msg] = ACTIONS(5586),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5586),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5586),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5586),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5586),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5586),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5586),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5586),
    [anon_sym_ATproperty] = ACTIONS(5588),
    [anon_sym_BOOL] = ACTIONS(5586),
    [anon_sym_IMP] = ACTIONS(5586),
    [anon_sym_SEL] = ACTIONS(5586),
    [anon_sym_Class] = ACTIONS(5586),
    [anon_sym_id] = ACTIONS(5586),
  },
  [2422] = {
    [sym_identifier] = ACTIONS(5652),
    [aux_sym_preproc_def_token1] = ACTIONS(5652),
    [aux_sym_preproc_if_token1] = ACTIONS(5652),
    [aux_sym_preproc_if_token2] = ACTIONS(5652),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5652),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5652),
    [sym_preproc_directive] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5654),
    [anon_sym_PLUS] = ACTIONS(5654),
    [anon_sym___extension__] = ACTIONS(5652),
    [anon_sym_typedef] = ACTIONS(5652),
    [anon_sym_extern] = ACTIONS(5652),
    [anon_sym___attribute__] = ACTIONS(5652),
    [anon_sym___attribute] = ACTIONS(5652),
    [anon_sym_noreturn] = ACTIONS(5652),
    [anon_sym_LBRACK] = ACTIONS(5654),
    [anon_sym___declspec] = ACTIONS(5652),
    [anon_sym___cdecl] = ACTIONS(5652),
    [anon_sym___clrcall] = ACTIONS(5652),
    [anon_sym___stdcall] = ACTIONS(5652),
    [anon_sym___fastcall] = ACTIONS(5652),
    [anon_sym___thiscall] = ACTIONS(5652),
    [anon_sym___vectorcall] = ACTIONS(5652),
    [anon_sym_signed] = ACTIONS(5652),
    [anon_sym_unsigned] = ACTIONS(5652),
    [anon_sym_long] = ACTIONS(5652),
    [anon_sym_short] = ACTIONS(5652),
    [anon_sym_static] = ACTIONS(5652),
    [anon_sym_auto] = ACTIONS(5652),
    [anon_sym_register] = ACTIONS(5652),
    [anon_sym_inline] = ACTIONS(5652),
    [anon_sym___inline] = ACTIONS(5652),
    [anon_sym___inline__] = ACTIONS(5652),
    [anon_sym___forceinline] = ACTIONS(5652),
    [anon_sym_thread_local] = ACTIONS(5652),
    [anon_sym___thread] = ACTIONS(5652),
    [anon_sym_CG_EXTERN] = ACTIONS(5652),
    [anon_sym_CG_INLINE] = ACTIONS(5652),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5652),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5652),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5652),
    [anon_sym_IBOutlet] = ACTIONS(5652),
    [anon_sym_IBInspectable] = ACTIONS(5652),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5652),
    [anon_sym_NS_INLINE] = ACTIONS(5652),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5652),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5652),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5652),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5652),
    [anon_sym_const] = ACTIONS(5652),
    [anon_sym_constexpr] = ACTIONS(5652),
    [anon_sym_volatile] = ACTIONS(5652),
    [anon_sym_restrict] = ACTIONS(5652),
    [anon_sym___restrict__] = ACTIONS(5652),
    [anon_sym__Atomic] = ACTIONS(5652),
    [anon_sym__Noreturn] = ACTIONS(5652),
    [anon_sym__Nonnull] = ACTIONS(5652),
    [anon_sym_nullable] = ACTIONS(5652),
    [anon_sym__Complex] = ACTIONS(5652),
    [anon_sym__Nullable] = ACTIONS(5652),
    [anon_sym__Nullable_result] = ACTIONS(5652),
    [anon_sym__Null_unspecified] = ACTIONS(5652),
    [anon_sym___autoreleasing] = ACTIONS(5652),
    [anon_sym___block] = ACTIONS(5652),
    [anon_sym___bridge] = ACTIONS(5652),
    [anon_sym___bridge_retained] = ACTIONS(5652),
    [anon_sym___bridge_transfer] = ACTIONS(5652),
    [anon_sym___complex] = ACTIONS(5652),
    [anon_sym___const] = ACTIONS(5652),
    [anon_sym___imag] = ACTIONS(5652),
    [anon_sym___kindof] = ACTIONS(5652),
    [anon_sym___nonnull] = ACTIONS(5652),
    [anon_sym___nullable] = ACTIONS(5652),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5652),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5652),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5652),
    [anon_sym___real] = ACTIONS(5652),
    [anon_sym___strong] = ACTIONS(5652),
    [anon_sym___unsafe_unretained] = ACTIONS(5652),
    [anon_sym___unused] = ACTIONS(5652),
    [anon_sym___weak] = ACTIONS(5652),
    [anon_sym_alignas] = ACTIONS(5652),
    [anon_sym__Alignas] = ACTIONS(5652),
    [sym_primitive_type] = ACTIONS(5652),
    [anon_sym_enum] = ACTIONS(5652),
    [anon_sym_struct] = ACTIONS(5652),
    [anon_sym_union] = ACTIONS(5652),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5652),
    [anon_sym___typeof] = ACTIONS(5652),
    [anon_sym_typeof] = ACTIONS(5652),
    [aux_sym_preproc_undef_token1] = ACTIONS(5652),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5652),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5652),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5652),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5652),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5652),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5652),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5652),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5652),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5652),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5652),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5652),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5652),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5652),
    [anon_sym_API_AVAILABLE] = ACTIONS(5652),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5652),
    [anon_sym_API_DEPRECATED] = ACTIONS(5652),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5652),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5652),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5652),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5652),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5652),
    [anon_sym___deprecated_msg] = ACTIONS(5652),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5652),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5652),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5652),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5652),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5652),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5652),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5652),
    [anon_sym_ATproperty] = ACTIONS(5654),
    [anon_sym_BOOL] = ACTIONS(5652),
    [anon_sym_IMP] = ACTIONS(5652),
    [anon_sym_SEL] = ACTIONS(5652),
    [anon_sym_Class] = ACTIONS(5652),
    [anon_sym_id] = ACTIONS(5652),
  },
  [2423] = {
    [sym_identifier] = ACTIONS(5543),
    [aux_sym_preproc_def_token1] = ACTIONS(5543),
    [aux_sym_preproc_if_token1] = ACTIONS(5543),
    [aux_sym_preproc_if_token2] = ACTIONS(5543),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5543),
    [sym_preproc_directive] = ACTIONS(5543),
    [anon_sym_DASH] = ACTIONS(5545),
    [anon_sym_PLUS] = ACTIONS(5545),
    [anon_sym___extension__] = ACTIONS(5543),
    [anon_sym_typedef] = ACTIONS(5543),
    [anon_sym_extern] = ACTIONS(5543),
    [anon_sym___attribute__] = ACTIONS(5543),
    [anon_sym___attribute] = ACTIONS(5543),
    [anon_sym_noreturn] = ACTIONS(5543),
    [anon_sym_LBRACK] = ACTIONS(5545),
    [anon_sym___declspec] = ACTIONS(5543),
    [anon_sym___cdecl] = ACTIONS(5543),
    [anon_sym___clrcall] = ACTIONS(5543),
    [anon_sym___stdcall] = ACTIONS(5543),
    [anon_sym___fastcall] = ACTIONS(5543),
    [anon_sym___thiscall] = ACTIONS(5543),
    [anon_sym___vectorcall] = ACTIONS(5543),
    [anon_sym_signed] = ACTIONS(5543),
    [anon_sym_unsigned] = ACTIONS(5543),
    [anon_sym_long] = ACTIONS(5543),
    [anon_sym_short] = ACTIONS(5543),
    [anon_sym_static] = ACTIONS(5543),
    [anon_sym_auto] = ACTIONS(5543),
    [anon_sym_register] = ACTIONS(5543),
    [anon_sym_inline] = ACTIONS(5543),
    [anon_sym___inline] = ACTIONS(5543),
    [anon_sym___inline__] = ACTIONS(5543),
    [anon_sym___forceinline] = ACTIONS(5543),
    [anon_sym_thread_local] = ACTIONS(5543),
    [anon_sym___thread] = ACTIONS(5543),
    [anon_sym_CG_EXTERN] = ACTIONS(5543),
    [anon_sym_CG_INLINE] = ACTIONS(5543),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5543),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5543),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5543),
    [anon_sym_IBOutlet] = ACTIONS(5543),
    [anon_sym_IBInspectable] = ACTIONS(5543),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5543),
    [anon_sym_NS_INLINE] = ACTIONS(5543),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5543),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5543),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5543),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5543),
    [anon_sym_const] = ACTIONS(5543),
    [anon_sym_constexpr] = ACTIONS(5543),
    [anon_sym_volatile] = ACTIONS(5543),
    [anon_sym_restrict] = ACTIONS(5543),
    [anon_sym___restrict__] = ACTIONS(5543),
    [anon_sym__Atomic] = ACTIONS(5543),
    [anon_sym__Noreturn] = ACTIONS(5543),
    [anon_sym__Nonnull] = ACTIONS(5543),
    [anon_sym_nullable] = ACTIONS(5543),
    [anon_sym__Complex] = ACTIONS(5543),
    [anon_sym__Nullable] = ACTIONS(5543),
    [anon_sym__Nullable_result] = ACTIONS(5543),
    [anon_sym__Null_unspecified] = ACTIONS(5543),
    [anon_sym___autoreleasing] = ACTIONS(5543),
    [anon_sym___block] = ACTIONS(5543),
    [anon_sym___bridge] = ACTIONS(5543),
    [anon_sym___bridge_retained] = ACTIONS(5543),
    [anon_sym___bridge_transfer] = ACTIONS(5543),
    [anon_sym___complex] = ACTIONS(5543),
    [anon_sym___const] = ACTIONS(5543),
    [anon_sym___imag] = ACTIONS(5543),
    [anon_sym___kindof] = ACTIONS(5543),
    [anon_sym___nonnull] = ACTIONS(5543),
    [anon_sym___nullable] = ACTIONS(5543),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5543),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5543),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5543),
    [anon_sym___real] = ACTIONS(5543),
    [anon_sym___strong] = ACTIONS(5543),
    [anon_sym___unsafe_unretained] = ACTIONS(5543),
    [anon_sym___unused] = ACTIONS(5543),
    [anon_sym___weak] = ACTIONS(5543),
    [anon_sym_alignas] = ACTIONS(5543),
    [anon_sym__Alignas] = ACTIONS(5543),
    [sym_primitive_type] = ACTIONS(5543),
    [anon_sym_enum] = ACTIONS(5543),
    [anon_sym_struct] = ACTIONS(5543),
    [anon_sym_union] = ACTIONS(5543),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5543),
    [anon_sym___typeof] = ACTIONS(5543),
    [anon_sym_typeof] = ACTIONS(5543),
    [aux_sym_preproc_undef_token1] = ACTIONS(5543),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5543),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5543),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5543),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5543),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5543),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5543),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5543),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5543),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5543),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5543),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5543),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5543),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5543),
    [anon_sym_API_AVAILABLE] = ACTIONS(5543),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5543),
    [anon_sym_API_DEPRECATED] = ACTIONS(5543),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5543),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5543),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5543),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5543),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5543),
    [anon_sym___deprecated_msg] = ACTIONS(5543),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5543),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5543),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5543),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5543),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5543),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5543),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5543),
    [anon_sym_ATproperty] = ACTIONS(5545),
    [anon_sym_BOOL] = ACTIONS(5543),
    [anon_sym_IMP] = ACTIONS(5543),
    [anon_sym_SEL] = ACTIONS(5543),
    [anon_sym_Class] = ACTIONS(5543),
    [anon_sym_id] = ACTIONS(5543),
  },
  [2424] = {
    [sym_identifier] = ACTIONS(5622),
    [aux_sym_preproc_def_token1] = ACTIONS(5622),
    [aux_sym_preproc_if_token1] = ACTIONS(5622),
    [aux_sym_preproc_if_token2] = ACTIONS(5622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5622),
    [sym_preproc_directive] = ACTIONS(5622),
    [anon_sym_DASH] = ACTIONS(5624),
    [anon_sym_PLUS] = ACTIONS(5624),
    [anon_sym___extension__] = ACTIONS(5622),
    [anon_sym_typedef] = ACTIONS(5622),
    [anon_sym_extern] = ACTIONS(5622),
    [anon_sym___attribute__] = ACTIONS(5622),
    [anon_sym___attribute] = ACTIONS(5622),
    [anon_sym_noreturn] = ACTIONS(5622),
    [anon_sym_LBRACK] = ACTIONS(5624),
    [anon_sym___declspec] = ACTIONS(5622),
    [anon_sym___cdecl] = ACTIONS(5622),
    [anon_sym___clrcall] = ACTIONS(5622),
    [anon_sym___stdcall] = ACTIONS(5622),
    [anon_sym___fastcall] = ACTIONS(5622),
    [anon_sym___thiscall] = ACTIONS(5622),
    [anon_sym___vectorcall] = ACTIONS(5622),
    [anon_sym_signed] = ACTIONS(5622),
    [anon_sym_unsigned] = ACTIONS(5622),
    [anon_sym_long] = ACTIONS(5622),
    [anon_sym_short] = ACTIONS(5622),
    [anon_sym_static] = ACTIONS(5622),
    [anon_sym_auto] = ACTIONS(5622),
    [anon_sym_register] = ACTIONS(5622),
    [anon_sym_inline] = ACTIONS(5622),
    [anon_sym___inline] = ACTIONS(5622),
    [anon_sym___inline__] = ACTIONS(5622),
    [anon_sym___forceinline] = ACTIONS(5622),
    [anon_sym_thread_local] = ACTIONS(5622),
    [anon_sym___thread] = ACTIONS(5622),
    [anon_sym_CG_EXTERN] = ACTIONS(5622),
    [anon_sym_CG_INLINE] = ACTIONS(5622),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5622),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5622),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5622),
    [anon_sym_IBOutlet] = ACTIONS(5622),
    [anon_sym_IBInspectable] = ACTIONS(5622),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5622),
    [anon_sym_NS_INLINE] = ACTIONS(5622),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5622),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5622),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5622),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5622),
    [anon_sym_const] = ACTIONS(5622),
    [anon_sym_constexpr] = ACTIONS(5622),
    [anon_sym_volatile] = ACTIONS(5622),
    [anon_sym_restrict] = ACTIONS(5622),
    [anon_sym___restrict__] = ACTIONS(5622),
    [anon_sym__Atomic] = ACTIONS(5622),
    [anon_sym__Noreturn] = ACTIONS(5622),
    [anon_sym__Nonnull] = ACTIONS(5622),
    [anon_sym_nullable] = ACTIONS(5622),
    [anon_sym__Complex] = ACTIONS(5622),
    [anon_sym__Nullable] = ACTIONS(5622),
    [anon_sym__Nullable_result] = ACTIONS(5622),
    [anon_sym__Null_unspecified] = ACTIONS(5622),
    [anon_sym___autoreleasing] = ACTIONS(5622),
    [anon_sym___block] = ACTIONS(5622),
    [anon_sym___bridge] = ACTIONS(5622),
    [anon_sym___bridge_retained] = ACTIONS(5622),
    [anon_sym___bridge_transfer] = ACTIONS(5622),
    [anon_sym___complex] = ACTIONS(5622),
    [anon_sym___const] = ACTIONS(5622),
    [anon_sym___imag] = ACTIONS(5622),
    [anon_sym___kindof] = ACTIONS(5622),
    [anon_sym___nonnull] = ACTIONS(5622),
    [anon_sym___nullable] = ACTIONS(5622),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5622),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5622),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5622),
    [anon_sym___real] = ACTIONS(5622),
    [anon_sym___strong] = ACTIONS(5622),
    [anon_sym___unsafe_unretained] = ACTIONS(5622),
    [anon_sym___unused] = ACTIONS(5622),
    [anon_sym___weak] = ACTIONS(5622),
    [anon_sym_alignas] = ACTIONS(5622),
    [anon_sym__Alignas] = ACTIONS(5622),
    [sym_primitive_type] = ACTIONS(5622),
    [anon_sym_enum] = ACTIONS(5622),
    [anon_sym_struct] = ACTIONS(5622),
    [anon_sym_union] = ACTIONS(5622),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5622),
    [anon_sym___typeof] = ACTIONS(5622),
    [anon_sym_typeof] = ACTIONS(5622),
    [aux_sym_preproc_undef_token1] = ACTIONS(5622),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5622),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5622),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5622),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5622),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5622),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5622),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5622),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5622),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5622),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5622),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5622),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5622),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5622),
    [anon_sym_API_AVAILABLE] = ACTIONS(5622),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5622),
    [anon_sym_API_DEPRECATED] = ACTIONS(5622),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5622),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5622),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5622),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5622),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5622),
    [anon_sym___deprecated_msg] = ACTIONS(5622),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5622),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5622),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5622),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5622),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5622),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5622),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5622),
    [anon_sym_ATproperty] = ACTIONS(5624),
    [anon_sym_BOOL] = ACTIONS(5622),
    [anon_sym_IMP] = ACTIONS(5622),
    [anon_sym_SEL] = ACTIONS(5622),
    [anon_sym_Class] = ACTIONS(5622),
    [anon_sym_id] = ACTIONS(5622),
  },
  [2425] = {
    [sym__declaration_modifiers] = STATE(2674),
    [sym_attribute_specifier] = STATE(2674),
    [sym_attribute_declaration] = STATE(2674),
    [sym_ms_declspec_modifier] = STATE(2674),
    [sym_ms_based_modifier] = STATE(6484),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2428),
    [sym__type_declarator] = STATE(5307),
    [sym_parenthesized_type_declarator] = STATE(3256),
    [sym_pointer_type_declarator] = STATE(3256),
    [sym_function_type_declarator] = STATE(3256),
    [sym_array_type_declarator] = STATE(3256),
    [sym_storage_class_specifier] = STATE(2674),
    [sym_type_qualifier] = STATE(2674),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2674),
    [sym_block_pointer_type_declarator] = STATE(3256),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2674),
    [aux_sym_pointer_declarator_repeat1] = STATE(2428),
    [sym_identifier] = ACTIONS(5694),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_STAR] = ACTIONS(5698),
    [anon_sym_CARET] = ACTIONS(5700),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_signed] = ACTIONS(5702),
    [anon_sym_unsigned] = ACTIONS(5702),
    [anon_sym_long] = ACTIONS(5702),
    [anon_sym_short] = ACTIONS(5702),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2426] = {
    [sym_identifier] = ACTIONS(5539),
    [aux_sym_preproc_def_token1] = ACTIONS(5539),
    [aux_sym_preproc_if_token1] = ACTIONS(5539),
    [aux_sym_preproc_if_token2] = ACTIONS(5539),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5539),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5539),
    [sym_preproc_directive] = ACTIONS(5539),
    [anon_sym_DASH] = ACTIONS(5541),
    [anon_sym_PLUS] = ACTIONS(5541),
    [anon_sym___extension__] = ACTIONS(5539),
    [anon_sym_typedef] = ACTIONS(5539),
    [anon_sym_extern] = ACTIONS(5539),
    [anon_sym___attribute__] = ACTIONS(5539),
    [anon_sym___attribute] = ACTIONS(5539),
    [anon_sym_noreturn] = ACTIONS(5539),
    [anon_sym_LBRACK] = ACTIONS(5541),
    [anon_sym___declspec] = ACTIONS(5539),
    [anon_sym___cdecl] = ACTIONS(5539),
    [anon_sym___clrcall] = ACTIONS(5539),
    [anon_sym___stdcall] = ACTIONS(5539),
    [anon_sym___fastcall] = ACTIONS(5539),
    [anon_sym___thiscall] = ACTIONS(5539),
    [anon_sym___vectorcall] = ACTIONS(5539),
    [anon_sym_signed] = ACTIONS(5539),
    [anon_sym_unsigned] = ACTIONS(5539),
    [anon_sym_long] = ACTIONS(5539),
    [anon_sym_short] = ACTIONS(5539),
    [anon_sym_static] = ACTIONS(5539),
    [anon_sym_auto] = ACTIONS(5539),
    [anon_sym_register] = ACTIONS(5539),
    [anon_sym_inline] = ACTIONS(5539),
    [anon_sym___inline] = ACTIONS(5539),
    [anon_sym___inline__] = ACTIONS(5539),
    [anon_sym___forceinline] = ACTIONS(5539),
    [anon_sym_thread_local] = ACTIONS(5539),
    [anon_sym___thread] = ACTIONS(5539),
    [anon_sym_CG_EXTERN] = ACTIONS(5539),
    [anon_sym_CG_INLINE] = ACTIONS(5539),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5539),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5539),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5539),
    [anon_sym_IBOutlet] = ACTIONS(5539),
    [anon_sym_IBInspectable] = ACTIONS(5539),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5539),
    [anon_sym_NS_INLINE] = ACTIONS(5539),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5539),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5539),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5539),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5539),
    [anon_sym_const] = ACTIONS(5539),
    [anon_sym_constexpr] = ACTIONS(5539),
    [anon_sym_volatile] = ACTIONS(5539),
    [anon_sym_restrict] = ACTIONS(5539),
    [anon_sym___restrict__] = ACTIONS(5539),
    [anon_sym__Atomic] = ACTIONS(5539),
    [anon_sym__Noreturn] = ACTIONS(5539),
    [anon_sym__Nonnull] = ACTIONS(5539),
    [anon_sym_nullable] = ACTIONS(5539),
    [anon_sym__Complex] = ACTIONS(5539),
    [anon_sym__Nullable] = ACTIONS(5539),
    [anon_sym__Nullable_result] = ACTIONS(5539),
    [anon_sym__Null_unspecified] = ACTIONS(5539),
    [anon_sym___autoreleasing] = ACTIONS(5539),
    [anon_sym___block] = ACTIONS(5539),
    [anon_sym___bridge] = ACTIONS(5539),
    [anon_sym___bridge_retained] = ACTIONS(5539),
    [anon_sym___bridge_transfer] = ACTIONS(5539),
    [anon_sym___complex] = ACTIONS(5539),
    [anon_sym___const] = ACTIONS(5539),
    [anon_sym___imag] = ACTIONS(5539),
    [anon_sym___kindof] = ACTIONS(5539),
    [anon_sym___nonnull] = ACTIONS(5539),
    [anon_sym___nullable] = ACTIONS(5539),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5539),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5539),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5539),
    [anon_sym___real] = ACTIONS(5539),
    [anon_sym___strong] = ACTIONS(5539),
    [anon_sym___unsafe_unretained] = ACTIONS(5539),
    [anon_sym___unused] = ACTIONS(5539),
    [anon_sym___weak] = ACTIONS(5539),
    [anon_sym_alignas] = ACTIONS(5539),
    [anon_sym__Alignas] = ACTIONS(5539),
    [sym_primitive_type] = ACTIONS(5539),
    [anon_sym_enum] = ACTIONS(5539),
    [anon_sym_struct] = ACTIONS(5539),
    [anon_sym_union] = ACTIONS(5539),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5539),
    [anon_sym___typeof] = ACTIONS(5539),
    [anon_sym_typeof] = ACTIONS(5539),
    [aux_sym_preproc_undef_token1] = ACTIONS(5539),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5539),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5539),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5539),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5539),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5539),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5539),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5539),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5539),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5539),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5539),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5539),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5539),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5539),
    [anon_sym_API_AVAILABLE] = ACTIONS(5539),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5539),
    [anon_sym_API_DEPRECATED] = ACTIONS(5539),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5539),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5539),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5539),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5539),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5539),
    [anon_sym___deprecated_msg] = ACTIONS(5539),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5539),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5539),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5539),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5539),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5539),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5539),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5539),
    [anon_sym_ATproperty] = ACTIONS(5541),
    [anon_sym_BOOL] = ACTIONS(5539),
    [anon_sym_IMP] = ACTIONS(5539),
    [anon_sym_SEL] = ACTIONS(5539),
    [anon_sym_Class] = ACTIONS(5539),
    [anon_sym_id] = ACTIONS(5539),
  },
  [2427] = {
    [sym_identifier] = ACTIONS(5557),
    [aux_sym_preproc_def_token1] = ACTIONS(5557),
    [aux_sym_preproc_if_token1] = ACTIONS(5557),
    [aux_sym_preproc_if_token2] = ACTIONS(5557),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5557),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5557),
    [sym_preproc_directive] = ACTIONS(5557),
    [anon_sym_DASH] = ACTIONS(5559),
    [anon_sym_PLUS] = ACTIONS(5559),
    [anon_sym___extension__] = ACTIONS(5557),
    [anon_sym_typedef] = ACTIONS(5557),
    [anon_sym_extern] = ACTIONS(5557),
    [anon_sym___attribute__] = ACTIONS(5557),
    [anon_sym___attribute] = ACTIONS(5557),
    [anon_sym_noreturn] = ACTIONS(5557),
    [anon_sym_LBRACK] = ACTIONS(5559),
    [anon_sym___declspec] = ACTIONS(5557),
    [anon_sym___cdecl] = ACTIONS(5557),
    [anon_sym___clrcall] = ACTIONS(5557),
    [anon_sym___stdcall] = ACTIONS(5557),
    [anon_sym___fastcall] = ACTIONS(5557),
    [anon_sym___thiscall] = ACTIONS(5557),
    [anon_sym___vectorcall] = ACTIONS(5557),
    [anon_sym_signed] = ACTIONS(5557),
    [anon_sym_unsigned] = ACTIONS(5557),
    [anon_sym_long] = ACTIONS(5557),
    [anon_sym_short] = ACTIONS(5557),
    [anon_sym_static] = ACTIONS(5557),
    [anon_sym_auto] = ACTIONS(5557),
    [anon_sym_register] = ACTIONS(5557),
    [anon_sym_inline] = ACTIONS(5557),
    [anon_sym___inline] = ACTIONS(5557),
    [anon_sym___inline__] = ACTIONS(5557),
    [anon_sym___forceinline] = ACTIONS(5557),
    [anon_sym_thread_local] = ACTIONS(5557),
    [anon_sym___thread] = ACTIONS(5557),
    [anon_sym_CG_EXTERN] = ACTIONS(5557),
    [anon_sym_CG_INLINE] = ACTIONS(5557),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5557),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5557),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5557),
    [anon_sym_IBOutlet] = ACTIONS(5557),
    [anon_sym_IBInspectable] = ACTIONS(5557),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5557),
    [anon_sym_NS_INLINE] = ACTIONS(5557),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5557),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5557),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5557),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5557),
    [anon_sym_const] = ACTIONS(5557),
    [anon_sym_constexpr] = ACTIONS(5557),
    [anon_sym_volatile] = ACTIONS(5557),
    [anon_sym_restrict] = ACTIONS(5557),
    [anon_sym___restrict__] = ACTIONS(5557),
    [anon_sym__Atomic] = ACTIONS(5557),
    [anon_sym__Noreturn] = ACTIONS(5557),
    [anon_sym__Nonnull] = ACTIONS(5557),
    [anon_sym_nullable] = ACTIONS(5557),
    [anon_sym__Complex] = ACTIONS(5557),
    [anon_sym__Nullable] = ACTIONS(5557),
    [anon_sym__Nullable_result] = ACTIONS(5557),
    [anon_sym__Null_unspecified] = ACTIONS(5557),
    [anon_sym___autoreleasing] = ACTIONS(5557),
    [anon_sym___block] = ACTIONS(5557),
    [anon_sym___bridge] = ACTIONS(5557),
    [anon_sym___bridge_retained] = ACTIONS(5557),
    [anon_sym___bridge_transfer] = ACTIONS(5557),
    [anon_sym___complex] = ACTIONS(5557),
    [anon_sym___const] = ACTIONS(5557),
    [anon_sym___imag] = ACTIONS(5557),
    [anon_sym___kindof] = ACTIONS(5557),
    [anon_sym___nonnull] = ACTIONS(5557),
    [anon_sym___nullable] = ACTIONS(5557),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5557),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5557),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5557),
    [anon_sym___real] = ACTIONS(5557),
    [anon_sym___strong] = ACTIONS(5557),
    [anon_sym___unsafe_unretained] = ACTIONS(5557),
    [anon_sym___unused] = ACTIONS(5557),
    [anon_sym___weak] = ACTIONS(5557),
    [anon_sym_alignas] = ACTIONS(5557),
    [anon_sym__Alignas] = ACTIONS(5557),
    [sym_primitive_type] = ACTIONS(5557),
    [anon_sym_enum] = ACTIONS(5557),
    [anon_sym_struct] = ACTIONS(5557),
    [anon_sym_union] = ACTIONS(5557),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5557),
    [anon_sym___typeof] = ACTIONS(5557),
    [anon_sym_typeof] = ACTIONS(5557),
    [aux_sym_preproc_undef_token1] = ACTIONS(5557),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5557),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5557),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5557),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5557),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5557),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5557),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5557),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5557),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5557),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5557),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5557),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5557),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5557),
    [anon_sym_API_AVAILABLE] = ACTIONS(5557),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5557),
    [anon_sym_API_DEPRECATED] = ACTIONS(5557),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5557),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5557),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5557),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5557),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5557),
    [anon_sym___deprecated_msg] = ACTIONS(5557),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5557),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5557),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5557),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5557),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5557),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5557),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5557),
    [anon_sym_ATproperty] = ACTIONS(5559),
    [anon_sym_BOOL] = ACTIONS(5557),
    [anon_sym_IMP] = ACTIONS(5557),
    [anon_sym_SEL] = ACTIONS(5557),
    [anon_sym_Class] = ACTIONS(5557),
    [anon_sym_id] = ACTIONS(5557),
  },
  [2428] = {
    [sym__declaration_modifiers] = STATE(2685),
    [sym_attribute_specifier] = STATE(2685),
    [sym_attribute_declaration] = STATE(2685),
    [sym_ms_declspec_modifier] = STATE(2685),
    [sym_ms_based_modifier] = STATE(6484),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2901),
    [sym__type_declarator] = STATE(5251),
    [sym_parenthesized_type_declarator] = STATE(3256),
    [sym_pointer_type_declarator] = STATE(3256),
    [sym_function_type_declarator] = STATE(3256),
    [sym_array_type_declarator] = STATE(3256),
    [sym_storage_class_specifier] = STATE(2685),
    [sym_type_qualifier] = STATE(2685),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2685),
    [sym_block_pointer_type_declarator] = STATE(3256),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2685),
    [aux_sym_pointer_declarator_repeat1] = STATE(2901),
    [sym_identifier] = ACTIONS(5694),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_STAR] = ACTIONS(5698),
    [anon_sym_CARET] = ACTIONS(5700),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_signed] = ACTIONS(5702),
    [anon_sym_unsigned] = ACTIONS(5702),
    [anon_sym_long] = ACTIONS(5702),
    [anon_sym_short] = ACTIONS(5702),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2429] = {
    [sym_identifier] = ACTIONS(5656),
    [aux_sym_preproc_def_token1] = ACTIONS(5656),
    [aux_sym_preproc_if_token1] = ACTIONS(5656),
    [aux_sym_preproc_if_token2] = ACTIONS(5656),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5656),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5656),
    [sym_preproc_directive] = ACTIONS(5656),
    [anon_sym_DASH] = ACTIONS(5658),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym___extension__] = ACTIONS(5656),
    [anon_sym_typedef] = ACTIONS(5656),
    [anon_sym_extern] = ACTIONS(5656),
    [anon_sym___attribute__] = ACTIONS(5656),
    [anon_sym___attribute] = ACTIONS(5656),
    [anon_sym_noreturn] = ACTIONS(5656),
    [anon_sym_LBRACK] = ACTIONS(5658),
    [anon_sym___declspec] = ACTIONS(5656),
    [anon_sym___cdecl] = ACTIONS(5656),
    [anon_sym___clrcall] = ACTIONS(5656),
    [anon_sym___stdcall] = ACTIONS(5656),
    [anon_sym___fastcall] = ACTIONS(5656),
    [anon_sym___thiscall] = ACTIONS(5656),
    [anon_sym___vectorcall] = ACTIONS(5656),
    [anon_sym_signed] = ACTIONS(5656),
    [anon_sym_unsigned] = ACTIONS(5656),
    [anon_sym_long] = ACTIONS(5656),
    [anon_sym_short] = ACTIONS(5656),
    [anon_sym_static] = ACTIONS(5656),
    [anon_sym_auto] = ACTIONS(5656),
    [anon_sym_register] = ACTIONS(5656),
    [anon_sym_inline] = ACTIONS(5656),
    [anon_sym___inline] = ACTIONS(5656),
    [anon_sym___inline__] = ACTIONS(5656),
    [anon_sym___forceinline] = ACTIONS(5656),
    [anon_sym_thread_local] = ACTIONS(5656),
    [anon_sym___thread] = ACTIONS(5656),
    [anon_sym_CG_EXTERN] = ACTIONS(5656),
    [anon_sym_CG_INLINE] = ACTIONS(5656),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5656),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5656),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5656),
    [anon_sym_IBOutlet] = ACTIONS(5656),
    [anon_sym_IBInspectable] = ACTIONS(5656),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5656),
    [anon_sym_NS_INLINE] = ACTIONS(5656),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5656),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5656),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5656),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5656),
    [anon_sym_const] = ACTIONS(5656),
    [anon_sym_constexpr] = ACTIONS(5656),
    [anon_sym_volatile] = ACTIONS(5656),
    [anon_sym_restrict] = ACTIONS(5656),
    [anon_sym___restrict__] = ACTIONS(5656),
    [anon_sym__Atomic] = ACTIONS(5656),
    [anon_sym__Noreturn] = ACTIONS(5656),
    [anon_sym__Nonnull] = ACTIONS(5656),
    [anon_sym_nullable] = ACTIONS(5656),
    [anon_sym__Complex] = ACTIONS(5656),
    [anon_sym__Nullable] = ACTIONS(5656),
    [anon_sym__Nullable_result] = ACTIONS(5656),
    [anon_sym__Null_unspecified] = ACTIONS(5656),
    [anon_sym___autoreleasing] = ACTIONS(5656),
    [anon_sym___block] = ACTIONS(5656),
    [anon_sym___bridge] = ACTIONS(5656),
    [anon_sym___bridge_retained] = ACTIONS(5656),
    [anon_sym___bridge_transfer] = ACTIONS(5656),
    [anon_sym___complex] = ACTIONS(5656),
    [anon_sym___const] = ACTIONS(5656),
    [anon_sym___imag] = ACTIONS(5656),
    [anon_sym___kindof] = ACTIONS(5656),
    [anon_sym___nonnull] = ACTIONS(5656),
    [anon_sym___nullable] = ACTIONS(5656),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5656),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5656),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5656),
    [anon_sym___real] = ACTIONS(5656),
    [anon_sym___strong] = ACTIONS(5656),
    [anon_sym___unsafe_unretained] = ACTIONS(5656),
    [anon_sym___unused] = ACTIONS(5656),
    [anon_sym___weak] = ACTIONS(5656),
    [anon_sym_alignas] = ACTIONS(5656),
    [anon_sym__Alignas] = ACTIONS(5656),
    [sym_primitive_type] = ACTIONS(5656),
    [anon_sym_enum] = ACTIONS(5656),
    [anon_sym_struct] = ACTIONS(5656),
    [anon_sym_union] = ACTIONS(5656),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5656),
    [anon_sym___typeof] = ACTIONS(5656),
    [anon_sym_typeof] = ACTIONS(5656),
    [aux_sym_preproc_undef_token1] = ACTIONS(5656),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5656),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5656),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5656),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5656),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5656),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5656),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5656),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5656),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5656),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5656),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5656),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5656),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5656),
    [anon_sym_API_AVAILABLE] = ACTIONS(5656),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5656),
    [anon_sym_API_DEPRECATED] = ACTIONS(5656),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5656),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5656),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5656),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5656),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5656),
    [anon_sym___deprecated_msg] = ACTIONS(5656),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5656),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5656),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5656),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5656),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5656),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5656),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5656),
    [anon_sym_ATproperty] = ACTIONS(5658),
    [anon_sym_BOOL] = ACTIONS(5656),
    [anon_sym_IMP] = ACTIONS(5656),
    [anon_sym_SEL] = ACTIONS(5656),
    [anon_sym_Class] = ACTIONS(5656),
    [anon_sym_id] = ACTIONS(5656),
  },
  [2430] = {
    [sym_identifier] = ACTIONS(5535),
    [aux_sym_preproc_def_token1] = ACTIONS(5535),
    [aux_sym_preproc_if_token1] = ACTIONS(5535),
    [aux_sym_preproc_if_token2] = ACTIONS(5535),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5535),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5535),
    [sym_preproc_directive] = ACTIONS(5535),
    [anon_sym_DASH] = ACTIONS(5537),
    [anon_sym_PLUS] = ACTIONS(5537),
    [anon_sym___extension__] = ACTIONS(5535),
    [anon_sym_typedef] = ACTIONS(5535),
    [anon_sym_extern] = ACTIONS(5535),
    [anon_sym___attribute__] = ACTIONS(5535),
    [anon_sym___attribute] = ACTIONS(5535),
    [anon_sym_noreturn] = ACTIONS(5535),
    [anon_sym_LBRACK] = ACTIONS(5537),
    [anon_sym___declspec] = ACTIONS(5535),
    [anon_sym___cdecl] = ACTIONS(5535),
    [anon_sym___clrcall] = ACTIONS(5535),
    [anon_sym___stdcall] = ACTIONS(5535),
    [anon_sym___fastcall] = ACTIONS(5535),
    [anon_sym___thiscall] = ACTIONS(5535),
    [anon_sym___vectorcall] = ACTIONS(5535),
    [anon_sym_signed] = ACTIONS(5535),
    [anon_sym_unsigned] = ACTIONS(5535),
    [anon_sym_long] = ACTIONS(5535),
    [anon_sym_short] = ACTIONS(5535),
    [anon_sym_static] = ACTIONS(5535),
    [anon_sym_auto] = ACTIONS(5535),
    [anon_sym_register] = ACTIONS(5535),
    [anon_sym_inline] = ACTIONS(5535),
    [anon_sym___inline] = ACTIONS(5535),
    [anon_sym___inline__] = ACTIONS(5535),
    [anon_sym___forceinline] = ACTIONS(5535),
    [anon_sym_thread_local] = ACTIONS(5535),
    [anon_sym___thread] = ACTIONS(5535),
    [anon_sym_CG_EXTERN] = ACTIONS(5535),
    [anon_sym_CG_INLINE] = ACTIONS(5535),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5535),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5535),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5535),
    [anon_sym_IBOutlet] = ACTIONS(5535),
    [anon_sym_IBInspectable] = ACTIONS(5535),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5535),
    [anon_sym_NS_INLINE] = ACTIONS(5535),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5535),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5535),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5535),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5535),
    [anon_sym_const] = ACTIONS(5535),
    [anon_sym_constexpr] = ACTIONS(5535),
    [anon_sym_volatile] = ACTIONS(5535),
    [anon_sym_restrict] = ACTIONS(5535),
    [anon_sym___restrict__] = ACTIONS(5535),
    [anon_sym__Atomic] = ACTIONS(5535),
    [anon_sym__Noreturn] = ACTIONS(5535),
    [anon_sym__Nonnull] = ACTIONS(5535),
    [anon_sym_nullable] = ACTIONS(5535),
    [anon_sym__Complex] = ACTIONS(5535),
    [anon_sym__Nullable] = ACTIONS(5535),
    [anon_sym__Nullable_result] = ACTIONS(5535),
    [anon_sym__Null_unspecified] = ACTIONS(5535),
    [anon_sym___autoreleasing] = ACTIONS(5535),
    [anon_sym___block] = ACTIONS(5535),
    [anon_sym___bridge] = ACTIONS(5535),
    [anon_sym___bridge_retained] = ACTIONS(5535),
    [anon_sym___bridge_transfer] = ACTIONS(5535),
    [anon_sym___complex] = ACTIONS(5535),
    [anon_sym___const] = ACTIONS(5535),
    [anon_sym___imag] = ACTIONS(5535),
    [anon_sym___kindof] = ACTIONS(5535),
    [anon_sym___nonnull] = ACTIONS(5535),
    [anon_sym___nullable] = ACTIONS(5535),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5535),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5535),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5535),
    [anon_sym___real] = ACTIONS(5535),
    [anon_sym___strong] = ACTIONS(5535),
    [anon_sym___unsafe_unretained] = ACTIONS(5535),
    [anon_sym___unused] = ACTIONS(5535),
    [anon_sym___weak] = ACTIONS(5535),
    [anon_sym_alignas] = ACTIONS(5535),
    [anon_sym__Alignas] = ACTIONS(5535),
    [sym_primitive_type] = ACTIONS(5535),
    [anon_sym_enum] = ACTIONS(5535),
    [anon_sym_struct] = ACTIONS(5535),
    [anon_sym_union] = ACTIONS(5535),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5535),
    [anon_sym___typeof] = ACTIONS(5535),
    [anon_sym_typeof] = ACTIONS(5535),
    [aux_sym_preproc_undef_token1] = ACTIONS(5535),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5535),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5535),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5535),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5535),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5535),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5535),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5535),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5535),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5535),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5535),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5535),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5535),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5535),
    [anon_sym_API_AVAILABLE] = ACTIONS(5535),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5535),
    [anon_sym_API_DEPRECATED] = ACTIONS(5535),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5535),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5535),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5535),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5535),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5535),
    [anon_sym___deprecated_msg] = ACTIONS(5535),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5535),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5535),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5535),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5535),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5535),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5535),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5535),
    [anon_sym_ATproperty] = ACTIONS(5537),
    [anon_sym_BOOL] = ACTIONS(5535),
    [anon_sym_IMP] = ACTIONS(5535),
    [anon_sym_SEL] = ACTIONS(5535),
    [anon_sym_Class] = ACTIONS(5535),
    [anon_sym_id] = ACTIONS(5535),
  },
  [2431] = {
    [sym_identifier] = ACTIONS(5574),
    [aux_sym_preproc_def_token1] = ACTIONS(5574),
    [aux_sym_preproc_if_token1] = ACTIONS(5574),
    [aux_sym_preproc_if_token2] = ACTIONS(5574),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5574),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5574),
    [sym_preproc_directive] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5576),
    [anon_sym_PLUS] = ACTIONS(5576),
    [anon_sym___extension__] = ACTIONS(5574),
    [anon_sym_typedef] = ACTIONS(5574),
    [anon_sym_extern] = ACTIONS(5574),
    [anon_sym___attribute__] = ACTIONS(5574),
    [anon_sym___attribute] = ACTIONS(5574),
    [anon_sym_noreturn] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [anon_sym___declspec] = ACTIONS(5574),
    [anon_sym___cdecl] = ACTIONS(5574),
    [anon_sym___clrcall] = ACTIONS(5574),
    [anon_sym___stdcall] = ACTIONS(5574),
    [anon_sym___fastcall] = ACTIONS(5574),
    [anon_sym___thiscall] = ACTIONS(5574),
    [anon_sym___vectorcall] = ACTIONS(5574),
    [anon_sym_signed] = ACTIONS(5574),
    [anon_sym_unsigned] = ACTIONS(5574),
    [anon_sym_long] = ACTIONS(5574),
    [anon_sym_short] = ACTIONS(5574),
    [anon_sym_static] = ACTIONS(5574),
    [anon_sym_auto] = ACTIONS(5574),
    [anon_sym_register] = ACTIONS(5574),
    [anon_sym_inline] = ACTIONS(5574),
    [anon_sym___inline] = ACTIONS(5574),
    [anon_sym___inline__] = ACTIONS(5574),
    [anon_sym___forceinline] = ACTIONS(5574),
    [anon_sym_thread_local] = ACTIONS(5574),
    [anon_sym___thread] = ACTIONS(5574),
    [anon_sym_CG_EXTERN] = ACTIONS(5574),
    [anon_sym_CG_INLINE] = ACTIONS(5574),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5574),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5574),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5574),
    [anon_sym_IBOutlet] = ACTIONS(5574),
    [anon_sym_IBInspectable] = ACTIONS(5574),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5574),
    [anon_sym_NS_INLINE] = ACTIONS(5574),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5574),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5574),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5574),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5574),
    [anon_sym_const] = ACTIONS(5574),
    [anon_sym_constexpr] = ACTIONS(5574),
    [anon_sym_volatile] = ACTIONS(5574),
    [anon_sym_restrict] = ACTIONS(5574),
    [anon_sym___restrict__] = ACTIONS(5574),
    [anon_sym__Atomic] = ACTIONS(5574),
    [anon_sym__Noreturn] = ACTIONS(5574),
    [anon_sym__Nonnull] = ACTIONS(5574),
    [anon_sym_nullable] = ACTIONS(5574),
    [anon_sym__Complex] = ACTIONS(5574),
    [anon_sym__Nullable] = ACTIONS(5574),
    [anon_sym__Nullable_result] = ACTIONS(5574),
    [anon_sym__Null_unspecified] = ACTIONS(5574),
    [anon_sym___autoreleasing] = ACTIONS(5574),
    [anon_sym___block] = ACTIONS(5574),
    [anon_sym___bridge] = ACTIONS(5574),
    [anon_sym___bridge_retained] = ACTIONS(5574),
    [anon_sym___bridge_transfer] = ACTIONS(5574),
    [anon_sym___complex] = ACTIONS(5574),
    [anon_sym___const] = ACTIONS(5574),
    [anon_sym___imag] = ACTIONS(5574),
    [anon_sym___kindof] = ACTIONS(5574),
    [anon_sym___nonnull] = ACTIONS(5574),
    [anon_sym___nullable] = ACTIONS(5574),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5574),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5574),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5574),
    [anon_sym___real] = ACTIONS(5574),
    [anon_sym___strong] = ACTIONS(5574),
    [anon_sym___unsafe_unretained] = ACTIONS(5574),
    [anon_sym___unused] = ACTIONS(5574),
    [anon_sym___weak] = ACTIONS(5574),
    [anon_sym_alignas] = ACTIONS(5574),
    [anon_sym__Alignas] = ACTIONS(5574),
    [sym_primitive_type] = ACTIONS(5574),
    [anon_sym_enum] = ACTIONS(5574),
    [anon_sym_struct] = ACTIONS(5574),
    [anon_sym_union] = ACTIONS(5574),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5574),
    [anon_sym___typeof] = ACTIONS(5574),
    [anon_sym_typeof] = ACTIONS(5574),
    [aux_sym_preproc_undef_token1] = ACTIONS(5574),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5574),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5574),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5574),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5574),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5574),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5574),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5574),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5574),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5574),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5574),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5574),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5574),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5574),
    [anon_sym_API_AVAILABLE] = ACTIONS(5574),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5574),
    [anon_sym_API_DEPRECATED] = ACTIONS(5574),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5574),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5574),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5574),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5574),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5574),
    [anon_sym___deprecated_msg] = ACTIONS(5574),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5574),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5574),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5574),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5574),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5574),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5574),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5574),
    [anon_sym_ATproperty] = ACTIONS(5576),
    [anon_sym_BOOL] = ACTIONS(5574),
    [anon_sym_IMP] = ACTIONS(5574),
    [anon_sym_SEL] = ACTIONS(5574),
    [anon_sym_Class] = ACTIONS(5574),
    [anon_sym_id] = ACTIONS(5574),
  },
  [2432] = {
    [sym_compound_statement] = STATE(5795),
    [sym_type_qualifier] = STATE(3331),
    [sym_alignas_qualifier] = STATE(4156),
    [sym_expression] = STATE(4454),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_typeof_specifier] = STATE(5795),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5164),
    [anon_sym_noreturn] = ACTIONS(5172),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(5170),
    [anon_sym_constexpr] = ACTIONS(5172),
    [anon_sym_volatile] = ACTIONS(5172),
    [anon_sym_restrict] = ACTIONS(5172),
    [anon_sym___restrict__] = ACTIONS(5172),
    [anon_sym__Atomic] = ACTIONS(5172),
    [anon_sym__Noreturn] = ACTIONS(5172),
    [anon_sym__Nonnull] = ACTIONS(5172),
    [anon_sym_nullable] = ACTIONS(5172),
    [anon_sym__Complex] = ACTIONS(5172),
    [anon_sym__Nullable] = ACTIONS(5172),
    [anon_sym__Nullable_result] = ACTIONS(5172),
    [anon_sym__Null_unspecified] = ACTIONS(5172),
    [anon_sym___autoreleasing] = ACTIONS(5172),
    [anon_sym___block] = ACTIONS(5172),
    [anon_sym___bridge] = ACTIONS(5172),
    [anon_sym___bridge_retained] = ACTIONS(5172),
    [anon_sym___bridge_transfer] = ACTIONS(5172),
    [anon_sym___complex] = ACTIONS(5172),
    [anon_sym___const] = ACTIONS(5172),
    [anon_sym___imag] = ACTIONS(5174),
    [anon_sym___kindof] = ACTIONS(5172),
    [anon_sym___nonnull] = ACTIONS(5172),
    [anon_sym___nullable] = ACTIONS(5172),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5172),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5172),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5172),
    [anon_sym___real] = ACTIONS(5174),
    [anon_sym___strong] = ACTIONS(5172),
    [anon_sym___unsafe_unretained] = ACTIONS(5172),
    [anon_sym___unused] = ACTIONS(5172),
    [anon_sym___weak] = ACTIONS(5172),
    [anon_sym_alignas] = ACTIONS(5176),
    [anon_sym__Alignas] = ACTIONS(5176),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2433] = {
    [sym__declaration_modifiers] = STATE(2684),
    [sym_attribute_specifier] = STATE(2684),
    [sym_attribute_declaration] = STATE(2684),
    [sym_ms_declspec_modifier] = STATE(2684),
    [sym_ms_based_modifier] = STATE(5923),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2414),
    [sym__type_declarator] = STATE(3265),
    [sym_parenthesized_type_declarator] = STATE(3256),
    [sym_pointer_type_declarator] = STATE(3256),
    [sym_function_type_declarator] = STATE(3256),
    [sym_array_type_declarator] = STATE(3256),
    [sym_storage_class_specifier] = STATE(2684),
    [sym_type_qualifier] = STATE(2684),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2684),
    [sym_block_pointer_type_declarator] = STATE(3256),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2684),
    [aux_sym_pointer_declarator_repeat1] = STATE(2414),
    [sym_identifier] = ACTIONS(5694),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_CARET] = ACTIONS(5708),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_signed] = ACTIONS(5702),
    [anon_sym_unsigned] = ACTIONS(5702),
    [anon_sym_long] = ACTIONS(5702),
    [anon_sym_short] = ACTIONS(5702),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2434] = {
    [sym_identifier] = ACTIONS(5570),
    [aux_sym_preproc_def_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_if_token2] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5570),
    [sym_preproc_directive] = ACTIONS(5570),
    [anon_sym_DASH] = ACTIONS(5572),
    [anon_sym_PLUS] = ACTIONS(5572),
    [anon_sym___extension__] = ACTIONS(5570),
    [anon_sym_typedef] = ACTIONS(5570),
    [anon_sym_extern] = ACTIONS(5570),
    [anon_sym___attribute__] = ACTIONS(5570),
    [anon_sym___attribute] = ACTIONS(5570),
    [anon_sym_noreturn] = ACTIONS(5570),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [anon_sym___declspec] = ACTIONS(5570),
    [anon_sym___cdecl] = ACTIONS(5570),
    [anon_sym___clrcall] = ACTIONS(5570),
    [anon_sym___stdcall] = ACTIONS(5570),
    [anon_sym___fastcall] = ACTIONS(5570),
    [anon_sym___thiscall] = ACTIONS(5570),
    [anon_sym___vectorcall] = ACTIONS(5570),
    [anon_sym_signed] = ACTIONS(5570),
    [anon_sym_unsigned] = ACTIONS(5570),
    [anon_sym_long] = ACTIONS(5570),
    [anon_sym_short] = ACTIONS(5570),
    [anon_sym_static] = ACTIONS(5570),
    [anon_sym_auto] = ACTIONS(5570),
    [anon_sym_register] = ACTIONS(5570),
    [anon_sym_inline] = ACTIONS(5570),
    [anon_sym___inline] = ACTIONS(5570),
    [anon_sym___inline__] = ACTIONS(5570),
    [anon_sym___forceinline] = ACTIONS(5570),
    [anon_sym_thread_local] = ACTIONS(5570),
    [anon_sym___thread] = ACTIONS(5570),
    [anon_sym_CG_EXTERN] = ACTIONS(5570),
    [anon_sym_CG_INLINE] = ACTIONS(5570),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5570),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5570),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5570),
    [anon_sym_IBOutlet] = ACTIONS(5570),
    [anon_sym_IBInspectable] = ACTIONS(5570),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5570),
    [anon_sym_NS_INLINE] = ACTIONS(5570),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5570),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5570),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5570),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5570),
    [anon_sym_const] = ACTIONS(5570),
    [anon_sym_constexpr] = ACTIONS(5570),
    [anon_sym_volatile] = ACTIONS(5570),
    [anon_sym_restrict] = ACTIONS(5570),
    [anon_sym___restrict__] = ACTIONS(5570),
    [anon_sym__Atomic] = ACTIONS(5570),
    [anon_sym__Noreturn] = ACTIONS(5570),
    [anon_sym__Nonnull] = ACTIONS(5570),
    [anon_sym_nullable] = ACTIONS(5570),
    [anon_sym__Complex] = ACTIONS(5570),
    [anon_sym__Nullable] = ACTIONS(5570),
    [anon_sym__Nullable_result] = ACTIONS(5570),
    [anon_sym__Null_unspecified] = ACTIONS(5570),
    [anon_sym___autoreleasing] = ACTIONS(5570),
    [anon_sym___block] = ACTIONS(5570),
    [anon_sym___bridge] = ACTIONS(5570),
    [anon_sym___bridge_retained] = ACTIONS(5570),
    [anon_sym___bridge_transfer] = ACTIONS(5570),
    [anon_sym___complex] = ACTIONS(5570),
    [anon_sym___const] = ACTIONS(5570),
    [anon_sym___imag] = ACTIONS(5570),
    [anon_sym___kindof] = ACTIONS(5570),
    [anon_sym___nonnull] = ACTIONS(5570),
    [anon_sym___nullable] = ACTIONS(5570),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5570),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5570),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5570),
    [anon_sym___real] = ACTIONS(5570),
    [anon_sym___strong] = ACTIONS(5570),
    [anon_sym___unsafe_unretained] = ACTIONS(5570),
    [anon_sym___unused] = ACTIONS(5570),
    [anon_sym___weak] = ACTIONS(5570),
    [anon_sym_alignas] = ACTIONS(5570),
    [anon_sym__Alignas] = ACTIONS(5570),
    [sym_primitive_type] = ACTIONS(5570),
    [anon_sym_enum] = ACTIONS(5570),
    [anon_sym_struct] = ACTIONS(5570),
    [anon_sym_union] = ACTIONS(5570),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5570),
    [anon_sym___typeof] = ACTIONS(5570),
    [anon_sym_typeof] = ACTIONS(5570),
    [aux_sym_preproc_undef_token1] = ACTIONS(5570),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5570),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5570),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5570),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5570),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5570),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5570),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5570),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5570),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5570),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5570),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5570),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5570),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5570),
    [anon_sym_API_AVAILABLE] = ACTIONS(5570),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5570),
    [anon_sym_API_DEPRECATED] = ACTIONS(5570),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5570),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5570),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5570),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5570),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5570),
    [anon_sym___deprecated_msg] = ACTIONS(5570),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5570),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5570),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5570),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5570),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5570),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5570),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5570),
    [anon_sym_ATproperty] = ACTIONS(5572),
    [anon_sym_BOOL] = ACTIONS(5570),
    [anon_sym_IMP] = ACTIONS(5570),
    [anon_sym_SEL] = ACTIONS(5570),
    [anon_sym_Class] = ACTIONS(5570),
    [anon_sym_id] = ACTIONS(5570),
  },
  [2435] = {
    [sym_attribute_declaration] = STATE(2463),
    [sym_compound_statement] = STATE(935),
    [sym_attributed_statement] = STATE(935),
    [sym_statement] = STATE(947),
    [sym_labeled_statement] = STATE(935),
    [sym_expression_statement] = STATE(935),
    [sym_if_statement] = STATE(935),
    [sym_switch_statement] = STATE(935),
    [sym_case_statement] = STATE(935),
    [sym_while_statement] = STATE(935),
    [sym_do_statement] = STATE(935),
    [sym_for_statement] = STATE(935),
    [sym_return_statement] = STATE(935),
    [sym_break_statement] = STATE(935),
    [sym_continue_statement] = STATE(935),
    [sym_goto_statement] = STATE(935),
    [sym_expression] = STATE(4461),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6022),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(935),
    [sym_throw_statement] = STATE(935),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(935),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(935),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2134),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_switch] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_default] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(85),
    [anon_sym_break] = ACTIONS(87),
    [anon_sym_continue] = ACTIONS(89),
    [anon_sym_goto] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2138),
    [anon_sym___try] = ACTIONS(2140),
    [anon_sym_ATthrow] = ACTIONS(2142),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2144),
    [anon_sym_id] = ACTIONS(203),
  },
  [2436] = {
    [sym_attribute_declaration] = STATE(2442),
    [sym_compound_statement] = STATE(804),
    [sym_attributed_statement] = STATE(804),
    [sym_statement] = STATE(6518),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2442),
    [sym_identifier] = ACTIONS(5714),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(2128),
    [anon_sym_default] = ACTIONS(2130),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(85),
    [anon_sym_break] = ACTIONS(87),
    [anon_sym_continue] = ACTIONS(89),
    [anon_sym_goto] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2214),
    [anon_sym___try] = ACTIONS(2216),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2218),
    [anon_sym_id] = ACTIONS(203),
  },
  [2437] = {
    [sym_attribute_declaration] = STATE(2442),
    [sym_compound_statement] = STATE(804),
    [sym_attributed_statement] = STATE(804),
    [sym_statement] = STATE(5536),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2442),
    [sym_identifier] = ACTIONS(5714),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(2128),
    [anon_sym_default] = ACTIONS(2130),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(85),
    [anon_sym_break] = ACTIONS(87),
    [anon_sym_continue] = ACTIONS(89),
    [anon_sym_goto] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2214),
    [anon_sym___try] = ACTIONS(2216),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2218),
    [anon_sym_id] = ACTIONS(203),
  },
  [2438] = {
    [sym_attribute_declaration] = STATE(2442),
    [sym_compound_statement] = STATE(804),
    [sym_attributed_statement] = STATE(804),
    [sym_statement] = STATE(947),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2442),
    [sym_identifier] = ACTIONS(5714),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(2128),
    [anon_sym_default] = ACTIONS(2130),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(85),
    [anon_sym_break] = ACTIONS(87),
    [anon_sym_continue] = ACTIONS(89),
    [anon_sym_goto] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2214),
    [anon_sym___try] = ACTIONS(2216),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2218),
    [anon_sym_id] = ACTIONS(203),
  },
  [2439] = {
    [sym_attribute_declaration] = STATE(2439),
    [sym_compound_statement] = STATE(804),
    [sym_attributed_statement] = STATE(804),
    [sym_statement] = STATE(984),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2439),
    [sym_identifier] = ACTIONS(5716),
    [anon_sym_LPAREN2] = ACTIONS(5719),
    [anon_sym_BANG] = ACTIONS(5722),
    [anon_sym_TILDE] = ACTIONS(5722),
    [anon_sym_DASH] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5725),
    [anon_sym_STAR] = ACTIONS(5728),
    [anon_sym_CARET] = ACTIONS(5731),
    [anon_sym_AMP] = ACTIONS(5728),
    [anon_sym_SEMI] = ACTIONS(5734),
    [anon_sym___extension__] = ACTIONS(5737),
    [anon_sym_LBRACK] = ACTIONS(5740),
    [anon_sym_LBRACE] = ACTIONS(5743),
    [anon_sym_ATautoreleasepool] = ACTIONS(5746),
    [anon_sym_const] = ACTIONS(5749),
    [anon_sym___imag] = ACTIONS(5752),
    [anon_sym___real] = ACTIONS(5752),
    [anon_sym_struct] = ACTIONS(5749),
    [anon_sym_if] = ACTIONS(5755),
    [anon_sym_switch] = ACTIONS(5758),
    [anon_sym_case] = ACTIONS(5761),
    [anon_sym_default] = ACTIONS(5764),
    [anon_sym_while] = ACTIONS(5767),
    [anon_sym_do] = ACTIONS(5770),
    [anon_sym_for] = ACTIONS(5773),
    [anon_sym_in] = ACTIONS(5749),
    [anon_sym_return] = ACTIONS(5776),
    [anon_sym_break] = ACTIONS(5779),
    [anon_sym_continue] = ACTIONS(5782),
    [anon_sym_goto] = ACTIONS(5785),
    [anon_sym_DASH_DASH] = ACTIONS(5788),
    [anon_sym_PLUS_PLUS] = ACTIONS(5788),
    [anon_sym_sizeof] = ACTIONS(5791),
    [anon_sym___alignof__] = ACTIONS(5794),
    [anon_sym___alignof] = ACTIONS(5794),
    [anon_sym__alignof] = ACTIONS(5794),
    [anon_sym_alignof] = ACTIONS(5794),
    [anon_sym__Alignof] = ACTIONS(5794),
    [anon_sym_offsetof] = ACTIONS(5797),
    [anon_sym__Generic] = ACTIONS(5800),
    [anon_sym_asm] = ACTIONS(5803),
    [anon_sym___asm__] = ACTIONS(5803),
    [anon_sym___asm] = ACTIONS(5806),
    [sym_number_literal] = ACTIONS(5809),
    [anon_sym_L_SQUOTE] = ACTIONS(5812),
    [anon_sym_u_SQUOTE] = ACTIONS(5812),
    [anon_sym_U_SQUOTE] = ACTIONS(5812),
    [anon_sym_u8_SQUOTE] = ACTIONS(5812),
    [anon_sym_SQUOTE] = ACTIONS(5812),
    [anon_sym_AT] = ACTIONS(5815),
    [anon_sym_DQUOTE] = ACTIONS(5818),
    [anon_sym_L_DQUOTE] = ACTIONS(5818),
    [anon_sym_u_DQUOTE] = ACTIONS(5818),
    [anon_sym_U_DQUOTE] = ACTIONS(5818),
    [anon_sym_u8_DQUOTE] = ACTIONS(5818),
    [sym_true] = ACTIONS(5821),
    [sym_false] = ACTIONS(5821),
    [anon_sym_NULL] = ACTIONS(5824),
    [anon_sym_nullptr] = ACTIONS(5824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(5827),
    [anon_sym___try] = ACTIONS(5830),
    [anon_sym_ATthrow] = ACTIONS(5833),
    [anon_sym_ATselector] = ACTIONS(5836),
    [anon_sym_ATavailable] = ACTIONS(5839),
    [anon_sym___builtin_available] = ACTIONS(5842),
    [anon_sym_va_arg] = ACTIONS(5845),
    [anon_sym_ATencode] = ACTIONS(5848),
    [anon_sym_ATsynchronized] = ACTIONS(5851),
    [anon_sym_id] = ACTIONS(5749),
  },
  [2440] = {
    [sym_attribute_declaration] = STATE(2442),
    [sym_compound_statement] = STATE(804),
    [sym_attributed_statement] = STATE(804),
    [sym_statement] = STATE(936),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2442),
    [sym_identifier] = ACTIONS(5714),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(2128),
    [anon_sym_default] = ACTIONS(2130),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(85),
    [anon_sym_break] = ACTIONS(87),
    [anon_sym_continue] = ACTIONS(89),
    [anon_sym_goto] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2214),
    [anon_sym___try] = ACTIONS(2216),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2218),
    [anon_sym_id] = ACTIONS(203),
  },
  [2441] = {
    [sym_attribute_declaration] = STATE(2442),
    [sym_compound_statement] = STATE(804),
    [sym_attributed_statement] = STATE(804),
    [sym_statement] = STATE(938),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2442),
    [sym_identifier] = ACTIONS(5714),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(2128),
    [anon_sym_default] = ACTIONS(2130),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(85),
    [anon_sym_break] = ACTIONS(87),
    [anon_sym_continue] = ACTIONS(89),
    [anon_sym_goto] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2214),
    [anon_sym___try] = ACTIONS(2216),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2218),
    [anon_sym_id] = ACTIONS(203),
  },
  [2442] = {
    [sym_attribute_declaration] = STATE(2439),
    [sym_compound_statement] = STATE(804),
    [sym_attributed_statement] = STATE(804),
    [sym_statement] = STATE(984),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2439),
    [sym_identifier] = ACTIONS(5714),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(2128),
    [anon_sym_default] = ACTIONS(2130),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(85),
    [anon_sym_break] = ACTIONS(87),
    [anon_sym_continue] = ACTIONS(89),
    [anon_sym_goto] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2214),
    [anon_sym___try] = ACTIONS(2216),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2218),
    [anon_sym_id] = ACTIONS(203),
  },
  [2443] = {
    [sym_attribute_declaration] = STATE(2460),
    [sym_compound_statement] = STATE(759),
    [sym_attributed_statement] = STATE(759),
    [sym_statement] = STATE(689),
    [sym_labeled_statement] = STATE(759),
    [sym_expression_statement] = STATE(759),
    [sym_if_statement] = STATE(759),
    [sym_switch_statement] = STATE(759),
    [sym_case_statement] = STATE(759),
    [sym_while_statement] = STATE(759),
    [sym_do_statement] = STATE(759),
    [sym_for_statement] = STATE(759),
    [sym_return_statement] = STATE(759),
    [sym_break_statement] = STATE(759),
    [sym_continue_statement] = STATE(759),
    [sym_goto_statement] = STATE(759),
    [sym_expression] = STATE(4485),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6796),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(759),
    [sym_throw_statement] = STATE(759),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(759),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(759),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2460),
    [sym_identifier] = ACTIONS(5854),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(1934),
    [anon_sym_ATautoreleasepool] = ACTIONS(1936),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(1938),
    [anon_sym_switch] = ACTIONS(1940),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_default] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_for] = ACTIONS(1946),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(1948),
    [anon_sym_break] = ACTIONS(1950),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1954),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(1958),
    [anon_sym___try] = ACTIONS(1960),
    [anon_sym_ATthrow] = ACTIONS(1962),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(1964),
    [anon_sym_id] = ACTIONS(203),
  },
  [2444] = {
    [sym_attribute_declaration] = STATE(2460),
    [sym_compound_statement] = STATE(759),
    [sym_attributed_statement] = STATE(759),
    [sym_statement] = STATE(830),
    [sym_labeled_statement] = STATE(759),
    [sym_expression_statement] = STATE(759),
    [sym_if_statement] = STATE(759),
    [sym_switch_statement] = STATE(759),
    [sym_case_statement] = STATE(759),
    [sym_while_statement] = STATE(759),
    [sym_do_statement] = STATE(759),
    [sym_for_statement] = STATE(759),
    [sym_return_statement] = STATE(759),
    [sym_break_statement] = STATE(759),
    [sym_continue_statement] = STATE(759),
    [sym_goto_statement] = STATE(759),
    [sym_expression] = STATE(4485),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6796),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(759),
    [sym_throw_statement] = STATE(759),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(759),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(759),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2460),
    [sym_identifier] = ACTIONS(5854),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(1934),
    [anon_sym_ATautoreleasepool] = ACTIONS(1936),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(1938),
    [anon_sym_switch] = ACTIONS(1940),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_default] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_for] = ACTIONS(1946),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(1948),
    [anon_sym_break] = ACTIONS(1950),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1954),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(1958),
    [anon_sym___try] = ACTIONS(1960),
    [anon_sym_ATthrow] = ACTIONS(1962),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(1964),
    [anon_sym_id] = ACTIONS(203),
  },
  [2445] = {
    [sym_attribute_declaration] = STATE(2445),
    [sym_compound_statement] = STATE(759),
    [sym_attributed_statement] = STATE(759),
    [sym_statement] = STATE(825),
    [sym_labeled_statement] = STATE(759),
    [sym_expression_statement] = STATE(759),
    [sym_if_statement] = STATE(759),
    [sym_switch_statement] = STATE(759),
    [sym_case_statement] = STATE(759),
    [sym_while_statement] = STATE(759),
    [sym_do_statement] = STATE(759),
    [sym_for_statement] = STATE(759),
    [sym_return_statement] = STATE(759),
    [sym_break_statement] = STATE(759),
    [sym_continue_statement] = STATE(759),
    [sym_goto_statement] = STATE(759),
    [sym_expression] = STATE(4485),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6796),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(759),
    [sym_throw_statement] = STATE(759),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(759),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(759),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2445),
    [sym_identifier] = ACTIONS(5856),
    [anon_sym_LPAREN2] = ACTIONS(5719),
    [anon_sym_BANG] = ACTIONS(5722),
    [anon_sym_TILDE] = ACTIONS(5722),
    [anon_sym_DASH] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5725),
    [anon_sym_STAR] = ACTIONS(5728),
    [anon_sym_CARET] = ACTIONS(5731),
    [anon_sym_AMP] = ACTIONS(5728),
    [anon_sym_SEMI] = ACTIONS(5859),
    [anon_sym___extension__] = ACTIONS(5737),
    [anon_sym_LBRACK] = ACTIONS(5740),
    [anon_sym_LBRACE] = ACTIONS(5862),
    [anon_sym_ATautoreleasepool] = ACTIONS(5865),
    [anon_sym_const] = ACTIONS(5749),
    [anon_sym___imag] = ACTIONS(5752),
    [anon_sym___real] = ACTIONS(5752),
    [anon_sym_struct] = ACTIONS(5749),
    [anon_sym_if] = ACTIONS(5868),
    [anon_sym_switch] = ACTIONS(5871),
    [anon_sym_case] = ACTIONS(5874),
    [anon_sym_default] = ACTIONS(5877),
    [anon_sym_while] = ACTIONS(5880),
    [anon_sym_do] = ACTIONS(5883),
    [anon_sym_for] = ACTIONS(5886),
    [anon_sym_in] = ACTIONS(5749),
    [anon_sym_return] = ACTIONS(5889),
    [anon_sym_break] = ACTIONS(5892),
    [anon_sym_continue] = ACTIONS(5895),
    [anon_sym_goto] = ACTIONS(5898),
    [anon_sym_DASH_DASH] = ACTIONS(5788),
    [anon_sym_PLUS_PLUS] = ACTIONS(5788),
    [anon_sym_sizeof] = ACTIONS(5791),
    [anon_sym___alignof__] = ACTIONS(5794),
    [anon_sym___alignof] = ACTIONS(5794),
    [anon_sym__alignof] = ACTIONS(5794),
    [anon_sym_alignof] = ACTIONS(5794),
    [anon_sym__Alignof] = ACTIONS(5794),
    [anon_sym_offsetof] = ACTIONS(5797),
    [anon_sym__Generic] = ACTIONS(5800),
    [anon_sym_asm] = ACTIONS(5803),
    [anon_sym___asm__] = ACTIONS(5803),
    [anon_sym___asm] = ACTIONS(5901),
    [sym_number_literal] = ACTIONS(5809),
    [anon_sym_L_SQUOTE] = ACTIONS(5812),
    [anon_sym_u_SQUOTE] = ACTIONS(5812),
    [anon_sym_U_SQUOTE] = ACTIONS(5812),
    [anon_sym_u8_SQUOTE] = ACTIONS(5812),
    [anon_sym_SQUOTE] = ACTIONS(5812),
    [anon_sym_AT] = ACTIONS(5815),
    [anon_sym_DQUOTE] = ACTIONS(5818),
    [anon_sym_L_DQUOTE] = ACTIONS(5818),
    [anon_sym_u_DQUOTE] = ACTIONS(5818),
    [anon_sym_U_DQUOTE] = ACTIONS(5818),
    [anon_sym_u8_DQUOTE] = ACTIONS(5818),
    [sym_true] = ACTIONS(5821),
    [sym_false] = ACTIONS(5821),
    [anon_sym_NULL] = ACTIONS(5824),
    [anon_sym_nullptr] = ACTIONS(5824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(5904),
    [anon_sym___try] = ACTIONS(5907),
    [anon_sym_ATthrow] = ACTIONS(5910),
    [anon_sym_ATselector] = ACTIONS(5836),
    [anon_sym_ATavailable] = ACTIONS(5839),
    [anon_sym___builtin_available] = ACTIONS(5842),
    [anon_sym_va_arg] = ACTIONS(5845),
    [anon_sym_ATencode] = ACTIONS(5848),
    [anon_sym_ATsynchronized] = ACTIONS(5913),
    [anon_sym_id] = ACTIONS(5749),
  },
  [2446] = {
    [sym_attribute_declaration] = STATE(2460),
    [sym_compound_statement] = STATE(759),
    [sym_attributed_statement] = STATE(759),
    [sym_statement] = STATE(776),
    [sym_labeled_statement] = STATE(759),
    [sym_expression_statement] = STATE(759),
    [sym_if_statement] = STATE(759),
    [sym_switch_statement] = STATE(759),
    [sym_case_statement] = STATE(759),
    [sym_while_statement] = STATE(759),
    [sym_do_statement] = STATE(759),
    [sym_for_statement] = STATE(759),
    [sym_return_statement] = STATE(759),
    [sym_break_statement] = STATE(759),
    [sym_continue_statement] = STATE(759),
    [sym_goto_statement] = STATE(759),
    [sym_expression] = STATE(4485),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6796),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(759),
    [sym_throw_statement] = STATE(759),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(759),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(759),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2460),
    [sym_identifier] = ACTIONS(5854),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(1934),
    [anon_sym_ATautoreleasepool] = ACTIONS(1936),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(1938),
    [anon_sym_switch] = ACTIONS(1940),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_default] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_for] = ACTIONS(1946),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(1948),
    [anon_sym_break] = ACTIONS(1950),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1954),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(1958),
    [anon_sym___try] = ACTIONS(1960),
    [anon_sym_ATthrow] = ACTIONS(1962),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(1964),
    [anon_sym_id] = ACTIONS(203),
  },
  [2447] = {
    [sym_attribute_declaration] = STATE(2460),
    [sym_compound_statement] = STATE(759),
    [sym_attributed_statement] = STATE(759),
    [sym_statement] = STATE(718),
    [sym_labeled_statement] = STATE(759),
    [sym_expression_statement] = STATE(759),
    [sym_if_statement] = STATE(759),
    [sym_switch_statement] = STATE(759),
    [sym_case_statement] = STATE(759),
    [sym_while_statement] = STATE(759),
    [sym_do_statement] = STATE(759),
    [sym_for_statement] = STATE(759),
    [sym_return_statement] = STATE(759),
    [sym_break_statement] = STATE(759),
    [sym_continue_statement] = STATE(759),
    [sym_goto_statement] = STATE(759),
    [sym_expression] = STATE(4485),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6796),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(759),
    [sym_throw_statement] = STATE(759),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(759),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(759),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2460),
    [sym_identifier] = ACTIONS(5854),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(1934),
    [anon_sym_ATautoreleasepool] = ACTIONS(1936),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(1938),
    [anon_sym_switch] = ACTIONS(1940),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_default] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_for] = ACTIONS(1946),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(1948),
    [anon_sym_break] = ACTIONS(1950),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1954),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(1958),
    [anon_sym___try] = ACTIONS(1960),
    [anon_sym_ATthrow] = ACTIONS(1962),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(1964),
    [anon_sym_id] = ACTIONS(203),
  },
  [2448] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3827),
    [aux_sym_generic_specifier_repeat1] = STATE(3829),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_COMMA] = ACTIONS(5916),
    [anon_sym_LPAREN2] = ACTIONS(5918),
    [anon_sym_STAR] = ACTIONS(5922),
    [anon_sym_CARET] = ACTIONS(5922),
    [anon_sym_LT] = ACTIONS(5924),
    [anon_sym_SEMI] = ACTIONS(5916),
    [anon_sym___extension__] = ACTIONS(5926),
    [anon_sym_extern] = ACTIONS(5929),
    [anon_sym___attribute__] = ACTIONS(5929),
    [anon_sym___attribute] = ACTIONS(5929),
    [anon_sym_noreturn] = ACTIONS(5926),
    [anon_sym_LBRACK] = ACTIONS(5931),
    [anon_sym___declspec] = ACTIONS(5929),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(5934),
    [anon_sym_unsigned] = ACTIONS(5934),
    [anon_sym_long] = ACTIONS(5934),
    [anon_sym_short] = ACTIONS(5934),
    [anon_sym_static] = ACTIONS(5929),
    [anon_sym_auto] = ACTIONS(5929),
    [anon_sym_register] = ACTIONS(5929),
    [anon_sym_inline] = ACTIONS(5929),
    [anon_sym___inline] = ACTIONS(5929),
    [anon_sym___inline__] = ACTIONS(5929),
    [anon_sym___forceinline] = ACTIONS(5929),
    [anon_sym_thread_local] = ACTIONS(5929),
    [anon_sym___thread] = ACTIONS(5929),
    [anon_sym_CG_EXTERN] = ACTIONS(5929),
    [anon_sym_CG_INLINE] = ACTIONS(5929),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5929),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5929),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5929),
    [anon_sym_IBOutlet] = ACTIONS(5929),
    [anon_sym_IBInspectable] = ACTIONS(5929),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5929),
    [anon_sym_NS_INLINE] = ACTIONS(5929),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5929),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5929),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5929),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5929),
    [anon_sym_const] = ACTIONS(5926),
    [anon_sym_constexpr] = ACTIONS(5926),
    [anon_sym_volatile] = ACTIONS(5926),
    [anon_sym_restrict] = ACTIONS(5926),
    [anon_sym___restrict__] = ACTIONS(5926),
    [anon_sym__Atomic] = ACTIONS(5926),
    [anon_sym__Noreturn] = ACTIONS(5926),
    [anon_sym__Nonnull] = ACTIONS(5926),
    [anon_sym_nullable] = ACTIONS(5926),
    [anon_sym__Complex] = ACTIONS(5926),
    [anon_sym__Nullable] = ACTIONS(5926),
    [anon_sym__Nullable_result] = ACTIONS(5926),
    [anon_sym__Null_unspecified] = ACTIONS(5926),
    [anon_sym___autoreleasing] = ACTIONS(5926),
    [anon_sym___block] = ACTIONS(5926),
    [anon_sym___bridge] = ACTIONS(5926),
    [anon_sym___bridge_retained] = ACTIONS(5926),
    [anon_sym___bridge_transfer] = ACTIONS(5926),
    [anon_sym___complex] = ACTIONS(5926),
    [anon_sym___const] = ACTIONS(5926),
    [anon_sym___imag] = ACTIONS(5926),
    [anon_sym___kindof] = ACTIONS(5926),
    [anon_sym___nonnull] = ACTIONS(5926),
    [anon_sym___nullable] = ACTIONS(5926),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5926),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5926),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5926),
    [anon_sym___real] = ACTIONS(5926),
    [anon_sym___strong] = ACTIONS(5926),
    [anon_sym___unsafe_unretained] = ACTIONS(5926),
    [anon_sym___unused] = ACTIONS(5926),
    [anon_sym___weak] = ACTIONS(5926),
    [anon_sym_alignas] = ACTIONS(5926),
    [anon_sym__Alignas] = ACTIONS(5926),
    [sym_primitive_type] = ACTIONS(4502),
    [anon_sym_enum] = ACTIONS(4502),
    [anon_sym_COLON] = ACTIONS(5931),
    [anon_sym_struct] = ACTIONS(4502),
    [anon_sym_union] = ACTIONS(4502),
    [anon_sym_in] = ACTIONS(4502),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4502),
    [anon_sym___typeof] = ACTIONS(4502),
    [anon_sym_typeof] = ACTIONS(4502),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5929),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5929),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5929),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5929),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5929),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5929),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5929),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5929),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5929),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5929),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5929),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5929),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5929),
    [anon_sym_API_AVAILABLE] = ACTIONS(5929),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5929),
    [anon_sym_API_DEPRECATED] = ACTIONS(5929),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5929),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5929),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5929),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5929),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5929),
    [anon_sym___deprecated_msg] = ACTIONS(5929),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5929),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5929),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5929),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5929),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5929),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5929),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5929),
    [anon_sym_BOOL] = ACTIONS(4502),
    [anon_sym_IMP] = ACTIONS(4502),
    [anon_sym_SEL] = ACTIONS(4502),
    [anon_sym_Class] = ACTIONS(4502),
    [anon_sym_id] = ACTIONS(4502),
    [anon_sym_out] = ACTIONS(4502),
    [anon_sym_inout] = ACTIONS(4502),
    [anon_sym_bycopy] = ACTIONS(4502),
    [anon_sym_byref] = ACTIONS(4502),
    [anon_sym_oneway] = ACTIONS(4502),
  },
  [2449] = {
    [sym_attribute_declaration] = STATE(2459),
    [sym_compound_statement] = STATE(203),
    [sym_attributed_statement] = STATE(203),
    [sym_statement] = STATE(199),
    [sym_labeled_statement] = STATE(203),
    [sym_expression_statement] = STATE(203),
    [sym_if_statement] = STATE(203),
    [sym_switch_statement] = STATE(203),
    [sym_case_statement] = STATE(203),
    [sym_while_statement] = STATE(203),
    [sym_do_statement] = STATE(203),
    [sym_for_statement] = STATE(203),
    [sym_return_statement] = STATE(203),
    [sym_break_statement] = STATE(203),
    [sym_continue_statement] = STATE(203),
    [sym_goto_statement] = STATE(203),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(203),
    [sym_throw_statement] = STATE(203),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(203),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(203),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2459),
    [sym_identifier] = ACTIONS(5937),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_id] = ACTIONS(203),
  },
  [2450] = {
    [sym_attribute_declaration] = STATE(2471),
    [sym_compound_statement] = STATE(368),
    [sym_attributed_statement] = STATE(368),
    [sym_statement] = STATE(346),
    [sym_labeled_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_case_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_goto_statement] = STATE(368),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(368),
    [sym_throw_statement] = STATE(368),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(368),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(368),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [sym_identifier] = ACTIONS(5939),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(311),
    [anon_sym_default] = ACTIONS(313),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_id] = ACTIONS(203),
  },
  [2451] = {
    [sym_attribute_declaration] = STATE(2471),
    [sym_compound_statement] = STATE(368),
    [sym_attributed_statement] = STATE(368),
    [sym_statement] = STATE(411),
    [sym_labeled_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_case_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_goto_statement] = STATE(368),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(368),
    [sym_throw_statement] = STATE(368),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(368),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(368),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [sym_identifier] = ACTIONS(5939),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(311),
    [anon_sym_default] = ACTIONS(313),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_id] = ACTIONS(203),
  },
  [2452] = {
    [sym_attribute_declaration] = STATE(2452),
    [sym_compound_statement] = STATE(368),
    [sym_attributed_statement] = STATE(368),
    [sym_statement] = STATE(443),
    [sym_labeled_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_case_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_goto_statement] = STATE(368),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(368),
    [sym_throw_statement] = STATE(368),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(368),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(368),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2452),
    [sym_identifier] = ACTIONS(5941),
    [anon_sym_LPAREN2] = ACTIONS(5719),
    [anon_sym_BANG] = ACTIONS(5722),
    [anon_sym_TILDE] = ACTIONS(5722),
    [anon_sym_DASH] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5725),
    [anon_sym_STAR] = ACTIONS(5728),
    [anon_sym_CARET] = ACTIONS(5731),
    [anon_sym_AMP] = ACTIONS(5728),
    [anon_sym_SEMI] = ACTIONS(5944),
    [anon_sym___extension__] = ACTIONS(5737),
    [anon_sym_LBRACK] = ACTIONS(5740),
    [anon_sym_LBRACE] = ACTIONS(5947),
    [anon_sym_ATautoreleasepool] = ACTIONS(5950),
    [anon_sym_const] = ACTIONS(5749),
    [anon_sym___imag] = ACTIONS(5752),
    [anon_sym___real] = ACTIONS(5752),
    [anon_sym_struct] = ACTIONS(5749),
    [anon_sym_if] = ACTIONS(5953),
    [anon_sym_switch] = ACTIONS(5956),
    [anon_sym_case] = ACTIONS(5959),
    [anon_sym_default] = ACTIONS(5962),
    [anon_sym_while] = ACTIONS(5965),
    [anon_sym_do] = ACTIONS(5968),
    [anon_sym_for] = ACTIONS(5971),
    [anon_sym_in] = ACTIONS(5749),
    [anon_sym_return] = ACTIONS(5974),
    [anon_sym_break] = ACTIONS(5977),
    [anon_sym_continue] = ACTIONS(5980),
    [anon_sym_goto] = ACTIONS(5983),
    [anon_sym_DASH_DASH] = ACTIONS(5788),
    [anon_sym_PLUS_PLUS] = ACTIONS(5788),
    [anon_sym_sizeof] = ACTIONS(5791),
    [anon_sym___alignof__] = ACTIONS(5794),
    [anon_sym___alignof] = ACTIONS(5794),
    [anon_sym__alignof] = ACTIONS(5794),
    [anon_sym_alignof] = ACTIONS(5794),
    [anon_sym__Alignof] = ACTIONS(5794),
    [anon_sym_offsetof] = ACTIONS(5797),
    [anon_sym__Generic] = ACTIONS(5800),
    [anon_sym_asm] = ACTIONS(5803),
    [anon_sym___asm__] = ACTIONS(5803),
    [anon_sym___asm] = ACTIONS(5986),
    [sym_number_literal] = ACTIONS(5809),
    [anon_sym_L_SQUOTE] = ACTIONS(5812),
    [anon_sym_u_SQUOTE] = ACTIONS(5812),
    [anon_sym_U_SQUOTE] = ACTIONS(5812),
    [anon_sym_u8_SQUOTE] = ACTIONS(5812),
    [anon_sym_SQUOTE] = ACTIONS(5812),
    [anon_sym_AT] = ACTIONS(5815),
    [anon_sym_DQUOTE] = ACTIONS(5818),
    [anon_sym_L_DQUOTE] = ACTIONS(5818),
    [anon_sym_u_DQUOTE] = ACTIONS(5818),
    [anon_sym_U_DQUOTE] = ACTIONS(5818),
    [anon_sym_u8_DQUOTE] = ACTIONS(5818),
    [sym_true] = ACTIONS(5821),
    [sym_false] = ACTIONS(5821),
    [anon_sym_NULL] = ACTIONS(5824),
    [anon_sym_nullptr] = ACTIONS(5824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(5989),
    [anon_sym___try] = ACTIONS(5992),
    [anon_sym_ATthrow] = ACTIONS(5995),
    [anon_sym_ATselector] = ACTIONS(5836),
    [anon_sym_ATavailable] = ACTIONS(5839),
    [anon_sym___builtin_available] = ACTIONS(5842),
    [anon_sym_va_arg] = ACTIONS(5845),
    [anon_sym_ATencode] = ACTIONS(5848),
    [anon_sym_ATsynchronized] = ACTIONS(5998),
    [anon_sym_id] = ACTIONS(5749),
  },
  [2453] = {
    [sym_attribute_declaration] = STATE(2471),
    [sym_compound_statement] = STATE(368),
    [sym_attributed_statement] = STATE(368),
    [sym_statement] = STATE(421),
    [sym_labeled_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_case_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_goto_statement] = STATE(368),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(368),
    [sym_throw_statement] = STATE(368),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(368),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(368),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [sym_identifier] = ACTIONS(5939),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(311),
    [anon_sym_default] = ACTIONS(313),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_id] = ACTIONS(203),
  },
  [2454] = {
    [sym_attribute_declaration] = STATE(2471),
    [sym_compound_statement] = STATE(368),
    [sym_attributed_statement] = STATE(368),
    [sym_statement] = STATE(423),
    [sym_labeled_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_case_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_goto_statement] = STATE(368),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(368),
    [sym_throw_statement] = STATE(368),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(368),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(368),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [sym_identifier] = ACTIONS(5939),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(311),
    [anon_sym_default] = ACTIONS(313),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_id] = ACTIONS(203),
  },
  [2455] = {
    [sym_attribute_declaration] = STATE(2469),
    [sym_compound_statement] = STATE(804),
    [sym_attributed_statement] = STATE(804),
    [sym_statement] = STATE(731),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2469),
    [sym_identifier] = ACTIONS(6001),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_id] = ACTIONS(203),
  },
  [2456] = {
    [sym_attribute_declaration] = STATE(2442),
    [sym_compound_statement] = STATE(804),
    [sym_attributed_statement] = STATE(804),
    [sym_statement] = STATE(6714),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2442),
    [sym_identifier] = ACTIONS(5714),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(2128),
    [anon_sym_default] = ACTIONS(2130),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(85),
    [anon_sym_break] = ACTIONS(87),
    [anon_sym_continue] = ACTIONS(89),
    [anon_sym_goto] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2214),
    [anon_sym___try] = ACTIONS(2216),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2218),
    [anon_sym_id] = ACTIONS(203),
  },
  [2457] = {
    [sym_attribute_declaration] = STATE(2449),
    [sym_compound_statement] = STATE(203),
    [sym_attributed_statement] = STATE(203),
    [sym_statement] = STATE(198),
    [sym_labeled_statement] = STATE(203),
    [sym_expression_statement] = STATE(203),
    [sym_if_statement] = STATE(203),
    [sym_switch_statement] = STATE(203),
    [sym_case_statement] = STATE(203),
    [sym_while_statement] = STATE(203),
    [sym_do_statement] = STATE(203),
    [sym_for_statement] = STATE(203),
    [sym_return_statement] = STATE(203),
    [sym_break_statement] = STATE(203),
    [sym_continue_statement] = STATE(203),
    [sym_goto_statement] = STATE(203),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(203),
    [sym_throw_statement] = STATE(203),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(203),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(203),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [sym_identifier] = ACTIONS(5937),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_id] = ACTIONS(203),
  },
  [2458] = {
    [sym_attribute_declaration] = STATE(2449),
    [sym_compound_statement] = STATE(203),
    [sym_attributed_statement] = STATE(203),
    [sym_statement] = STATE(234),
    [sym_labeled_statement] = STATE(203),
    [sym_expression_statement] = STATE(203),
    [sym_if_statement] = STATE(203),
    [sym_switch_statement] = STATE(203),
    [sym_case_statement] = STATE(203),
    [sym_while_statement] = STATE(203),
    [sym_do_statement] = STATE(203),
    [sym_for_statement] = STATE(203),
    [sym_return_statement] = STATE(203),
    [sym_break_statement] = STATE(203),
    [sym_continue_statement] = STATE(203),
    [sym_goto_statement] = STATE(203),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(203),
    [sym_throw_statement] = STATE(203),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(203),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(203),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [sym_identifier] = ACTIONS(5937),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_id] = ACTIONS(203),
  },
  [2459] = {
    [sym_attribute_declaration] = STATE(2459),
    [sym_compound_statement] = STATE(203),
    [sym_attributed_statement] = STATE(203),
    [sym_statement] = STATE(199),
    [sym_labeled_statement] = STATE(203),
    [sym_expression_statement] = STATE(203),
    [sym_if_statement] = STATE(203),
    [sym_switch_statement] = STATE(203),
    [sym_case_statement] = STATE(203),
    [sym_while_statement] = STATE(203),
    [sym_do_statement] = STATE(203),
    [sym_for_statement] = STATE(203),
    [sym_return_statement] = STATE(203),
    [sym_break_statement] = STATE(203),
    [sym_continue_statement] = STATE(203),
    [sym_goto_statement] = STATE(203),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(203),
    [sym_throw_statement] = STATE(203),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(203),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(203),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2459),
    [sym_identifier] = ACTIONS(6003),
    [anon_sym_LPAREN2] = ACTIONS(5719),
    [anon_sym_BANG] = ACTIONS(5722),
    [anon_sym_TILDE] = ACTIONS(5722),
    [anon_sym_DASH] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5725),
    [anon_sym_STAR] = ACTIONS(5728),
    [anon_sym_CARET] = ACTIONS(5731),
    [anon_sym_AMP] = ACTIONS(5728),
    [anon_sym_SEMI] = ACTIONS(6006),
    [anon_sym___extension__] = ACTIONS(5737),
    [anon_sym_LBRACK] = ACTIONS(5740),
    [anon_sym_LBRACE] = ACTIONS(6009),
    [anon_sym_ATautoreleasepool] = ACTIONS(6012),
    [anon_sym_const] = ACTIONS(5749),
    [anon_sym___imag] = ACTIONS(5752),
    [anon_sym___real] = ACTIONS(5752),
    [anon_sym_struct] = ACTIONS(5749),
    [anon_sym_if] = ACTIONS(6015),
    [anon_sym_switch] = ACTIONS(6018),
    [anon_sym_case] = ACTIONS(6021),
    [anon_sym_default] = ACTIONS(6024),
    [anon_sym_while] = ACTIONS(6027),
    [anon_sym_do] = ACTIONS(6030),
    [anon_sym_for] = ACTIONS(6033),
    [anon_sym_in] = ACTIONS(5749),
    [anon_sym_return] = ACTIONS(6036),
    [anon_sym_break] = ACTIONS(6039),
    [anon_sym_continue] = ACTIONS(6042),
    [anon_sym_goto] = ACTIONS(6045),
    [anon_sym_DASH_DASH] = ACTIONS(5788),
    [anon_sym_PLUS_PLUS] = ACTIONS(5788),
    [anon_sym_sizeof] = ACTIONS(5791),
    [anon_sym___alignof__] = ACTIONS(5794),
    [anon_sym___alignof] = ACTIONS(5794),
    [anon_sym__alignof] = ACTIONS(5794),
    [anon_sym_alignof] = ACTIONS(5794),
    [anon_sym__Alignof] = ACTIONS(5794),
    [anon_sym_offsetof] = ACTIONS(5797),
    [anon_sym__Generic] = ACTIONS(5800),
    [anon_sym_asm] = ACTIONS(5803),
    [anon_sym___asm__] = ACTIONS(5803),
    [anon_sym___asm] = ACTIONS(6048),
    [sym_number_literal] = ACTIONS(5809),
    [anon_sym_L_SQUOTE] = ACTIONS(5812),
    [anon_sym_u_SQUOTE] = ACTIONS(5812),
    [anon_sym_U_SQUOTE] = ACTIONS(5812),
    [anon_sym_u8_SQUOTE] = ACTIONS(5812),
    [anon_sym_SQUOTE] = ACTIONS(5812),
    [anon_sym_AT] = ACTIONS(5815),
    [anon_sym_DQUOTE] = ACTIONS(5818),
    [anon_sym_L_DQUOTE] = ACTIONS(5818),
    [anon_sym_u_DQUOTE] = ACTIONS(5818),
    [anon_sym_U_DQUOTE] = ACTIONS(5818),
    [anon_sym_u8_DQUOTE] = ACTIONS(5818),
    [sym_true] = ACTIONS(5821),
    [sym_false] = ACTIONS(5821),
    [anon_sym_NULL] = ACTIONS(5824),
    [anon_sym_nullptr] = ACTIONS(5824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(6051),
    [anon_sym___try] = ACTIONS(6054),
    [anon_sym_ATthrow] = ACTIONS(6057),
    [anon_sym_ATselector] = ACTIONS(5836),
    [anon_sym_ATavailable] = ACTIONS(5839),
    [anon_sym___builtin_available] = ACTIONS(5842),
    [anon_sym_va_arg] = ACTIONS(5845),
    [anon_sym_ATencode] = ACTIONS(5848),
    [anon_sym_ATsynchronized] = ACTIONS(6060),
    [anon_sym_id] = ACTIONS(5749),
  },
  [2460] = {
    [sym_attribute_declaration] = STATE(2445),
    [sym_compound_statement] = STATE(759),
    [sym_attributed_statement] = STATE(759),
    [sym_statement] = STATE(825),
    [sym_labeled_statement] = STATE(759),
    [sym_expression_statement] = STATE(759),
    [sym_if_statement] = STATE(759),
    [sym_switch_statement] = STATE(759),
    [sym_case_statement] = STATE(759),
    [sym_while_statement] = STATE(759),
    [sym_do_statement] = STATE(759),
    [sym_for_statement] = STATE(759),
    [sym_return_statement] = STATE(759),
    [sym_break_statement] = STATE(759),
    [sym_continue_statement] = STATE(759),
    [sym_goto_statement] = STATE(759),
    [sym_expression] = STATE(4485),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6796),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(759),
    [sym_throw_statement] = STATE(759),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(759),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(759),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2445),
    [sym_identifier] = ACTIONS(5854),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(1934),
    [anon_sym_ATautoreleasepool] = ACTIONS(1936),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(1938),
    [anon_sym_switch] = ACTIONS(1940),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_default] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_for] = ACTIONS(1946),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(1948),
    [anon_sym_break] = ACTIONS(1950),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1954),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(1958),
    [anon_sym___try] = ACTIONS(1960),
    [anon_sym_ATthrow] = ACTIONS(1962),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(1964),
    [anon_sym_id] = ACTIONS(203),
  },
  [2461] = {
    [sym_attribute_declaration] = STATE(2477),
    [sym_compound_statement] = STATE(570),
    [sym_attributed_statement] = STATE(570),
    [sym_statement] = STATE(528),
    [sym_labeled_statement] = STATE(570),
    [sym_expression_statement] = STATE(570),
    [sym_if_statement] = STATE(570),
    [sym_switch_statement] = STATE(570),
    [sym_case_statement] = STATE(570),
    [sym_while_statement] = STATE(570),
    [sym_do_statement] = STATE(570),
    [sym_for_statement] = STATE(570),
    [sym_return_statement] = STATE(570),
    [sym_break_statement] = STATE(570),
    [sym_continue_statement] = STATE(570),
    [sym_goto_statement] = STATE(570),
    [sym_expression] = STATE(4447),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6524),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(570),
    [sym_throw_statement] = STATE(570),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(570),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(570),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2477),
    [sym_identifier] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(860),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(870),
    [anon_sym_ATautoreleasepool] = ACTIONS(872),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(876),
    [anon_sym_case] = ACTIONS(878),
    [anon_sym_default] = ACTIONS(880),
    [anon_sym_while] = ACTIONS(882),
    [anon_sym_do] = ACTIONS(884),
    [anon_sym_for] = ACTIONS(886),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_break] = ACTIONS(890),
    [anon_sym_continue] = ACTIONS(892),
    [anon_sym_goto] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(896),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(914),
    [anon_sym___try] = ACTIONS(916),
    [anon_sym_ATthrow] = ACTIONS(918),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(920),
    [anon_sym_id] = ACTIONS(203),
  },
  [2462] = {
    [sym_attribute_declaration] = STATE(2477),
    [sym_compound_statement] = STATE(570),
    [sym_attributed_statement] = STATE(570),
    [sym_statement] = STATE(599),
    [sym_labeled_statement] = STATE(570),
    [sym_expression_statement] = STATE(570),
    [sym_if_statement] = STATE(570),
    [sym_switch_statement] = STATE(570),
    [sym_case_statement] = STATE(570),
    [sym_while_statement] = STATE(570),
    [sym_do_statement] = STATE(570),
    [sym_for_statement] = STATE(570),
    [sym_return_statement] = STATE(570),
    [sym_break_statement] = STATE(570),
    [sym_continue_statement] = STATE(570),
    [sym_goto_statement] = STATE(570),
    [sym_expression] = STATE(4447),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6524),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(570),
    [sym_throw_statement] = STATE(570),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(570),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(570),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2477),
    [sym_identifier] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(860),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(870),
    [anon_sym_ATautoreleasepool] = ACTIONS(872),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(876),
    [anon_sym_case] = ACTIONS(878),
    [anon_sym_default] = ACTIONS(880),
    [anon_sym_while] = ACTIONS(882),
    [anon_sym_do] = ACTIONS(884),
    [anon_sym_for] = ACTIONS(886),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_break] = ACTIONS(890),
    [anon_sym_continue] = ACTIONS(892),
    [anon_sym_goto] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(896),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(914),
    [anon_sym___try] = ACTIONS(916),
    [anon_sym_ATthrow] = ACTIONS(918),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(920),
    [anon_sym_id] = ACTIONS(203),
  },
  [2463] = {
    [sym_attribute_declaration] = STATE(2479),
    [sym_compound_statement] = STATE(935),
    [sym_attributed_statement] = STATE(935),
    [sym_statement] = STATE(984),
    [sym_labeled_statement] = STATE(935),
    [sym_expression_statement] = STATE(935),
    [sym_if_statement] = STATE(935),
    [sym_switch_statement] = STATE(935),
    [sym_case_statement] = STATE(935),
    [sym_while_statement] = STATE(935),
    [sym_do_statement] = STATE(935),
    [sym_for_statement] = STATE(935),
    [sym_return_statement] = STATE(935),
    [sym_break_statement] = STATE(935),
    [sym_continue_statement] = STATE(935),
    [sym_goto_statement] = STATE(935),
    [sym_expression] = STATE(4461),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6022),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(935),
    [sym_throw_statement] = STATE(935),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(935),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(935),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2479),
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2134),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_switch] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_default] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(85),
    [anon_sym_break] = ACTIONS(87),
    [anon_sym_continue] = ACTIONS(89),
    [anon_sym_goto] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2138),
    [anon_sym___try] = ACTIONS(2140),
    [anon_sym_ATthrow] = ACTIONS(2142),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2144),
    [anon_sym_id] = ACTIONS(203),
  },
  [2464] = {
    [sym_attribute_declaration] = STATE(2464),
    [sym_compound_statement] = STATE(570),
    [sym_attributed_statement] = STATE(570),
    [sym_statement] = STATE(595),
    [sym_labeled_statement] = STATE(570),
    [sym_expression_statement] = STATE(570),
    [sym_if_statement] = STATE(570),
    [sym_switch_statement] = STATE(570),
    [sym_case_statement] = STATE(570),
    [sym_while_statement] = STATE(570),
    [sym_do_statement] = STATE(570),
    [sym_for_statement] = STATE(570),
    [sym_return_statement] = STATE(570),
    [sym_break_statement] = STATE(570),
    [sym_continue_statement] = STATE(570),
    [sym_goto_statement] = STATE(570),
    [sym_expression] = STATE(4447),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6524),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(570),
    [sym_throw_statement] = STATE(570),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(570),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(570),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2464),
    [sym_identifier] = ACTIONS(6065),
    [anon_sym_LPAREN2] = ACTIONS(5719),
    [anon_sym_BANG] = ACTIONS(5722),
    [anon_sym_TILDE] = ACTIONS(5722),
    [anon_sym_DASH] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5725),
    [anon_sym_STAR] = ACTIONS(5728),
    [anon_sym_CARET] = ACTIONS(5731),
    [anon_sym_AMP] = ACTIONS(5728),
    [anon_sym_SEMI] = ACTIONS(6068),
    [anon_sym___extension__] = ACTIONS(5737),
    [anon_sym_LBRACK] = ACTIONS(5740),
    [anon_sym_LBRACE] = ACTIONS(6071),
    [anon_sym_ATautoreleasepool] = ACTIONS(6074),
    [anon_sym_const] = ACTIONS(5749),
    [anon_sym___imag] = ACTIONS(5752),
    [anon_sym___real] = ACTIONS(5752),
    [anon_sym_struct] = ACTIONS(5749),
    [anon_sym_if] = ACTIONS(6077),
    [anon_sym_switch] = ACTIONS(6080),
    [anon_sym_case] = ACTIONS(6083),
    [anon_sym_default] = ACTIONS(6086),
    [anon_sym_while] = ACTIONS(6089),
    [anon_sym_do] = ACTIONS(6092),
    [anon_sym_for] = ACTIONS(6095),
    [anon_sym_in] = ACTIONS(5749),
    [anon_sym_return] = ACTIONS(6098),
    [anon_sym_break] = ACTIONS(6101),
    [anon_sym_continue] = ACTIONS(6104),
    [anon_sym_goto] = ACTIONS(6107),
    [anon_sym_DASH_DASH] = ACTIONS(5788),
    [anon_sym_PLUS_PLUS] = ACTIONS(5788),
    [anon_sym_sizeof] = ACTIONS(5791),
    [anon_sym___alignof__] = ACTIONS(5794),
    [anon_sym___alignof] = ACTIONS(5794),
    [anon_sym__alignof] = ACTIONS(5794),
    [anon_sym_alignof] = ACTIONS(5794),
    [anon_sym__Alignof] = ACTIONS(5794),
    [anon_sym_offsetof] = ACTIONS(5797),
    [anon_sym__Generic] = ACTIONS(5800),
    [anon_sym_asm] = ACTIONS(5803),
    [anon_sym___asm__] = ACTIONS(5803),
    [anon_sym___asm] = ACTIONS(6110),
    [sym_number_literal] = ACTIONS(5809),
    [anon_sym_L_SQUOTE] = ACTIONS(5812),
    [anon_sym_u_SQUOTE] = ACTIONS(5812),
    [anon_sym_U_SQUOTE] = ACTIONS(5812),
    [anon_sym_u8_SQUOTE] = ACTIONS(5812),
    [anon_sym_SQUOTE] = ACTIONS(5812),
    [anon_sym_AT] = ACTIONS(5815),
    [anon_sym_DQUOTE] = ACTIONS(5818),
    [anon_sym_L_DQUOTE] = ACTIONS(5818),
    [anon_sym_u_DQUOTE] = ACTIONS(5818),
    [anon_sym_U_DQUOTE] = ACTIONS(5818),
    [anon_sym_u8_DQUOTE] = ACTIONS(5818),
    [sym_true] = ACTIONS(5821),
    [sym_false] = ACTIONS(5821),
    [anon_sym_NULL] = ACTIONS(5824),
    [anon_sym_nullptr] = ACTIONS(5824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(6113),
    [anon_sym___try] = ACTIONS(6116),
    [anon_sym_ATthrow] = ACTIONS(6119),
    [anon_sym_ATselector] = ACTIONS(5836),
    [anon_sym_ATavailable] = ACTIONS(5839),
    [anon_sym___builtin_available] = ACTIONS(5842),
    [anon_sym_va_arg] = ACTIONS(5845),
    [anon_sym_ATencode] = ACTIONS(5848),
    [anon_sym_ATsynchronized] = ACTIONS(6122),
    [anon_sym_id] = ACTIONS(5749),
  },
  [2465] = {
    [sym_attribute_declaration] = STATE(2455),
    [sym_compound_statement] = STATE(804),
    [sym_attributed_statement] = STATE(804),
    [sym_statement] = STATE(607),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [sym_identifier] = ACTIONS(6001),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_id] = ACTIONS(203),
  },
  [2466] = {
    [sym_attribute_declaration] = STATE(2455),
    [sym_compound_statement] = STATE(804),
    [sym_attributed_statement] = STATE(804),
    [sym_statement] = STATE(739),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [sym_identifier] = ACTIONS(6001),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_id] = ACTIONS(203),
  },
  [2467] = {
    [sym_attribute_declaration] = STATE(2477),
    [sym_compound_statement] = STATE(570),
    [sym_attributed_statement] = STATE(570),
    [sym_statement] = STATE(576),
    [sym_labeled_statement] = STATE(570),
    [sym_expression_statement] = STATE(570),
    [sym_if_statement] = STATE(570),
    [sym_switch_statement] = STATE(570),
    [sym_case_statement] = STATE(570),
    [sym_while_statement] = STATE(570),
    [sym_do_statement] = STATE(570),
    [sym_for_statement] = STATE(570),
    [sym_return_statement] = STATE(570),
    [sym_break_statement] = STATE(570),
    [sym_continue_statement] = STATE(570),
    [sym_goto_statement] = STATE(570),
    [sym_expression] = STATE(4447),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6524),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(570),
    [sym_throw_statement] = STATE(570),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(570),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(570),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2477),
    [sym_identifier] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(860),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(870),
    [anon_sym_ATautoreleasepool] = ACTIONS(872),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(876),
    [anon_sym_case] = ACTIONS(878),
    [anon_sym_default] = ACTIONS(880),
    [anon_sym_while] = ACTIONS(882),
    [anon_sym_do] = ACTIONS(884),
    [anon_sym_for] = ACTIONS(886),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_break] = ACTIONS(890),
    [anon_sym_continue] = ACTIONS(892),
    [anon_sym_goto] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(896),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(914),
    [anon_sym___try] = ACTIONS(916),
    [anon_sym_ATthrow] = ACTIONS(918),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(920),
    [anon_sym_id] = ACTIONS(203),
  },
  [2468] = {
    [sym_attribute_declaration] = STATE(2477),
    [sym_compound_statement] = STATE(570),
    [sym_attributed_statement] = STATE(570),
    [sym_statement] = STATE(578),
    [sym_labeled_statement] = STATE(570),
    [sym_expression_statement] = STATE(570),
    [sym_if_statement] = STATE(570),
    [sym_switch_statement] = STATE(570),
    [sym_case_statement] = STATE(570),
    [sym_while_statement] = STATE(570),
    [sym_do_statement] = STATE(570),
    [sym_for_statement] = STATE(570),
    [sym_return_statement] = STATE(570),
    [sym_break_statement] = STATE(570),
    [sym_continue_statement] = STATE(570),
    [sym_goto_statement] = STATE(570),
    [sym_expression] = STATE(4447),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6524),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(570),
    [sym_throw_statement] = STATE(570),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(570),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(570),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2477),
    [sym_identifier] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(860),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(870),
    [anon_sym_ATautoreleasepool] = ACTIONS(872),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(876),
    [anon_sym_case] = ACTIONS(878),
    [anon_sym_default] = ACTIONS(880),
    [anon_sym_while] = ACTIONS(882),
    [anon_sym_do] = ACTIONS(884),
    [anon_sym_for] = ACTIONS(886),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_break] = ACTIONS(890),
    [anon_sym_continue] = ACTIONS(892),
    [anon_sym_goto] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(896),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(914),
    [anon_sym___try] = ACTIONS(916),
    [anon_sym_ATthrow] = ACTIONS(918),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(920),
    [anon_sym_id] = ACTIONS(203),
  },
  [2469] = {
    [sym_attribute_declaration] = STATE(2469),
    [sym_compound_statement] = STATE(804),
    [sym_attributed_statement] = STATE(804),
    [sym_statement] = STATE(731),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2469),
    [sym_identifier] = ACTIONS(6125),
    [anon_sym_LPAREN2] = ACTIONS(5719),
    [anon_sym_BANG] = ACTIONS(5722),
    [anon_sym_TILDE] = ACTIONS(5722),
    [anon_sym_DASH] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5725),
    [anon_sym_STAR] = ACTIONS(5728),
    [anon_sym_CARET] = ACTIONS(5731),
    [anon_sym_AMP] = ACTIONS(5728),
    [anon_sym_SEMI] = ACTIONS(5734),
    [anon_sym___extension__] = ACTIONS(5737),
    [anon_sym_LBRACK] = ACTIONS(5740),
    [anon_sym_LBRACE] = ACTIONS(6128),
    [anon_sym_ATautoreleasepool] = ACTIONS(6131),
    [anon_sym_const] = ACTIONS(5749),
    [anon_sym___imag] = ACTIONS(5752),
    [anon_sym___real] = ACTIONS(5752),
    [anon_sym_struct] = ACTIONS(5749),
    [anon_sym_if] = ACTIONS(6134),
    [anon_sym_switch] = ACTIONS(6137),
    [anon_sym_case] = ACTIONS(6140),
    [anon_sym_default] = ACTIONS(6143),
    [anon_sym_while] = ACTIONS(6146),
    [anon_sym_do] = ACTIONS(6149),
    [anon_sym_for] = ACTIONS(6152),
    [anon_sym_in] = ACTIONS(5749),
    [anon_sym_return] = ACTIONS(6155),
    [anon_sym_break] = ACTIONS(6158),
    [anon_sym_continue] = ACTIONS(6161),
    [anon_sym_goto] = ACTIONS(6164),
    [anon_sym_DASH_DASH] = ACTIONS(5788),
    [anon_sym_PLUS_PLUS] = ACTIONS(5788),
    [anon_sym_sizeof] = ACTIONS(5791),
    [anon_sym___alignof__] = ACTIONS(5794),
    [anon_sym___alignof] = ACTIONS(5794),
    [anon_sym__alignof] = ACTIONS(5794),
    [anon_sym_alignof] = ACTIONS(5794),
    [anon_sym__Alignof] = ACTIONS(5794),
    [anon_sym_offsetof] = ACTIONS(5797),
    [anon_sym__Generic] = ACTIONS(5800),
    [anon_sym_asm] = ACTIONS(5803),
    [anon_sym___asm__] = ACTIONS(5803),
    [anon_sym___asm] = ACTIONS(5806),
    [sym_number_literal] = ACTIONS(5809),
    [anon_sym_L_SQUOTE] = ACTIONS(5812),
    [anon_sym_u_SQUOTE] = ACTIONS(5812),
    [anon_sym_U_SQUOTE] = ACTIONS(5812),
    [anon_sym_u8_SQUOTE] = ACTIONS(5812),
    [anon_sym_SQUOTE] = ACTIONS(5812),
    [anon_sym_AT] = ACTIONS(5815),
    [anon_sym_DQUOTE] = ACTIONS(5818),
    [anon_sym_L_DQUOTE] = ACTIONS(5818),
    [anon_sym_u_DQUOTE] = ACTIONS(5818),
    [anon_sym_U_DQUOTE] = ACTIONS(5818),
    [anon_sym_u8_DQUOTE] = ACTIONS(5818),
    [sym_true] = ACTIONS(5821),
    [sym_false] = ACTIONS(5821),
    [anon_sym_NULL] = ACTIONS(5824),
    [anon_sym_nullptr] = ACTIONS(5824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(6167),
    [anon_sym___try] = ACTIONS(6170),
    [anon_sym_ATthrow] = ACTIONS(5833),
    [anon_sym_ATselector] = ACTIONS(5836),
    [anon_sym_ATavailable] = ACTIONS(5839),
    [anon_sym___builtin_available] = ACTIONS(5842),
    [anon_sym_va_arg] = ACTIONS(5845),
    [anon_sym_ATencode] = ACTIONS(5848),
    [anon_sym_ATsynchronized] = ACTIONS(6173),
    [anon_sym_id] = ACTIONS(5749),
  },
  [2470] = {
    [sym_attribute_declaration] = STATE(2463),
    [sym_compound_statement] = STATE(935),
    [sym_attributed_statement] = STATE(935),
    [sym_statement] = STATE(936),
    [sym_labeled_statement] = STATE(935),
    [sym_expression_statement] = STATE(935),
    [sym_if_statement] = STATE(935),
    [sym_switch_statement] = STATE(935),
    [sym_case_statement] = STATE(935),
    [sym_while_statement] = STATE(935),
    [sym_do_statement] = STATE(935),
    [sym_for_statement] = STATE(935),
    [sym_return_statement] = STATE(935),
    [sym_break_statement] = STATE(935),
    [sym_continue_statement] = STATE(935),
    [sym_goto_statement] = STATE(935),
    [sym_expression] = STATE(4461),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6022),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(935),
    [sym_throw_statement] = STATE(935),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(935),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(935),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2134),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_switch] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_default] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(85),
    [anon_sym_break] = ACTIONS(87),
    [anon_sym_continue] = ACTIONS(89),
    [anon_sym_goto] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2138),
    [anon_sym___try] = ACTIONS(2140),
    [anon_sym_ATthrow] = ACTIONS(2142),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2144),
    [anon_sym_id] = ACTIONS(203),
  },
  [2471] = {
    [sym_attribute_declaration] = STATE(2452),
    [sym_compound_statement] = STATE(368),
    [sym_attributed_statement] = STATE(368),
    [sym_statement] = STATE(443),
    [sym_labeled_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_case_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_goto_statement] = STATE(368),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(368),
    [sym_throw_statement] = STATE(368),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(368),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(368),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2452),
    [sym_identifier] = ACTIONS(5939),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_case] = ACTIONS(311),
    [anon_sym_default] = ACTIONS(313),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_id] = ACTIONS(203),
  },
  [2472] = {
    [sym_attribute_declaration] = STATE(2478),
    [sym_compound_statement] = STATE(1100),
    [sym_attributed_statement] = STATE(1100),
    [sym_statement] = STATE(1096),
    [sym_labeled_statement] = STATE(1100),
    [sym_expression_statement] = STATE(1100),
    [sym_if_statement] = STATE(1100),
    [sym_switch_statement] = STATE(1100),
    [sym_case_statement] = STATE(1100),
    [sym_while_statement] = STATE(1100),
    [sym_do_statement] = STATE(1100),
    [sym_for_statement] = STATE(1100),
    [sym_return_statement] = STATE(1100),
    [sym_break_statement] = STATE(1100),
    [sym_continue_statement] = STATE(1100),
    [sym_goto_statement] = STATE(1100),
    [sym_expression] = STATE(4441),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(5933),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(1100),
    [sym_throw_statement] = STATE(1100),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(1100),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(1100),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2478),
    [sym_identifier] = ACTIONS(6176),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2088),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(2094),
    [anon_sym_ATautoreleasepool] = ACTIONS(2096),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(2098),
    [anon_sym_switch] = ACTIONS(2100),
    [anon_sym_case] = ACTIONS(2128),
    [anon_sym_default] = ACTIONS(2130),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_do] = ACTIONS(2104),
    [anon_sym_for] = ACTIONS(2106),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(2108),
    [anon_sym_break] = ACTIONS(2110),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_goto] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(2116),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2118),
    [anon_sym___try] = ACTIONS(2120),
    [anon_sym_ATthrow] = ACTIONS(2122),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2124),
    [anon_sym_id] = ACTIONS(203),
  },
  [2473] = {
    [sym_attribute_declaration] = STATE(2478),
    [sym_compound_statement] = STATE(1100),
    [sym_attributed_statement] = STATE(1100),
    [sym_statement] = STATE(1128),
    [sym_labeled_statement] = STATE(1100),
    [sym_expression_statement] = STATE(1100),
    [sym_if_statement] = STATE(1100),
    [sym_switch_statement] = STATE(1100),
    [sym_case_statement] = STATE(1100),
    [sym_while_statement] = STATE(1100),
    [sym_do_statement] = STATE(1100),
    [sym_for_statement] = STATE(1100),
    [sym_return_statement] = STATE(1100),
    [sym_break_statement] = STATE(1100),
    [sym_continue_statement] = STATE(1100),
    [sym_goto_statement] = STATE(1100),
    [sym_expression] = STATE(4441),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(5933),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(1100),
    [sym_throw_statement] = STATE(1100),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(1100),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(1100),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2478),
    [sym_identifier] = ACTIONS(6176),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2088),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(2094),
    [anon_sym_ATautoreleasepool] = ACTIONS(2096),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(2098),
    [anon_sym_switch] = ACTIONS(2100),
    [anon_sym_case] = ACTIONS(2128),
    [anon_sym_default] = ACTIONS(2130),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_do] = ACTIONS(2104),
    [anon_sym_for] = ACTIONS(2106),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(2108),
    [anon_sym_break] = ACTIONS(2110),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_goto] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(2116),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2118),
    [anon_sym___try] = ACTIONS(2120),
    [anon_sym_ATthrow] = ACTIONS(2122),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2124),
    [anon_sym_id] = ACTIONS(203),
  },
  [2474] = {
    [sym_attribute_declaration] = STATE(2474),
    [sym_compound_statement] = STATE(1100),
    [sym_attributed_statement] = STATE(1100),
    [sym_statement] = STATE(1118),
    [sym_labeled_statement] = STATE(1100),
    [sym_expression_statement] = STATE(1100),
    [sym_if_statement] = STATE(1100),
    [sym_switch_statement] = STATE(1100),
    [sym_case_statement] = STATE(1100),
    [sym_while_statement] = STATE(1100),
    [sym_do_statement] = STATE(1100),
    [sym_for_statement] = STATE(1100),
    [sym_return_statement] = STATE(1100),
    [sym_break_statement] = STATE(1100),
    [sym_continue_statement] = STATE(1100),
    [sym_goto_statement] = STATE(1100),
    [sym_expression] = STATE(4441),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(5933),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(1100),
    [sym_throw_statement] = STATE(1100),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(1100),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(1100),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2474),
    [sym_identifier] = ACTIONS(6178),
    [anon_sym_LPAREN2] = ACTIONS(5719),
    [anon_sym_BANG] = ACTIONS(5722),
    [anon_sym_TILDE] = ACTIONS(5722),
    [anon_sym_DASH] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5725),
    [anon_sym_STAR] = ACTIONS(5728),
    [anon_sym_CARET] = ACTIONS(5731),
    [anon_sym_AMP] = ACTIONS(5728),
    [anon_sym_SEMI] = ACTIONS(6181),
    [anon_sym___extension__] = ACTIONS(5737),
    [anon_sym_LBRACK] = ACTIONS(5740),
    [anon_sym_LBRACE] = ACTIONS(6184),
    [anon_sym_ATautoreleasepool] = ACTIONS(6187),
    [anon_sym_const] = ACTIONS(5749),
    [anon_sym___imag] = ACTIONS(5752),
    [anon_sym___real] = ACTIONS(5752),
    [anon_sym_struct] = ACTIONS(5749),
    [anon_sym_if] = ACTIONS(6190),
    [anon_sym_switch] = ACTIONS(6193),
    [anon_sym_case] = ACTIONS(5761),
    [anon_sym_default] = ACTIONS(5764),
    [anon_sym_while] = ACTIONS(6196),
    [anon_sym_do] = ACTIONS(6199),
    [anon_sym_for] = ACTIONS(6202),
    [anon_sym_in] = ACTIONS(5749),
    [anon_sym_return] = ACTIONS(6205),
    [anon_sym_break] = ACTIONS(6208),
    [anon_sym_continue] = ACTIONS(6211),
    [anon_sym_goto] = ACTIONS(6214),
    [anon_sym_DASH_DASH] = ACTIONS(5788),
    [anon_sym_PLUS_PLUS] = ACTIONS(5788),
    [anon_sym_sizeof] = ACTIONS(5791),
    [anon_sym___alignof__] = ACTIONS(5794),
    [anon_sym___alignof] = ACTIONS(5794),
    [anon_sym__alignof] = ACTIONS(5794),
    [anon_sym_alignof] = ACTIONS(5794),
    [anon_sym__Alignof] = ACTIONS(5794),
    [anon_sym_offsetof] = ACTIONS(5797),
    [anon_sym__Generic] = ACTIONS(5800),
    [anon_sym_asm] = ACTIONS(5803),
    [anon_sym___asm__] = ACTIONS(5803),
    [anon_sym___asm] = ACTIONS(6217),
    [sym_number_literal] = ACTIONS(5809),
    [anon_sym_L_SQUOTE] = ACTIONS(5812),
    [anon_sym_u_SQUOTE] = ACTIONS(5812),
    [anon_sym_U_SQUOTE] = ACTIONS(5812),
    [anon_sym_u8_SQUOTE] = ACTIONS(5812),
    [anon_sym_SQUOTE] = ACTIONS(5812),
    [anon_sym_AT] = ACTIONS(5815),
    [anon_sym_DQUOTE] = ACTIONS(5818),
    [anon_sym_L_DQUOTE] = ACTIONS(5818),
    [anon_sym_u_DQUOTE] = ACTIONS(5818),
    [anon_sym_U_DQUOTE] = ACTIONS(5818),
    [anon_sym_u8_DQUOTE] = ACTIONS(5818),
    [sym_true] = ACTIONS(5821),
    [sym_false] = ACTIONS(5821),
    [anon_sym_NULL] = ACTIONS(5824),
    [anon_sym_nullptr] = ACTIONS(5824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(6220),
    [anon_sym___try] = ACTIONS(6223),
    [anon_sym_ATthrow] = ACTIONS(6226),
    [anon_sym_ATselector] = ACTIONS(5836),
    [anon_sym_ATavailable] = ACTIONS(5839),
    [anon_sym___builtin_available] = ACTIONS(5842),
    [anon_sym_va_arg] = ACTIONS(5845),
    [anon_sym_ATencode] = ACTIONS(5848),
    [anon_sym_ATsynchronized] = ACTIONS(6229),
    [anon_sym_id] = ACTIONS(5749),
  },
  [2475] = {
    [sym_attribute_declaration] = STATE(2478),
    [sym_compound_statement] = STATE(1100),
    [sym_attributed_statement] = STATE(1100),
    [sym_statement] = STATE(1171),
    [sym_labeled_statement] = STATE(1100),
    [sym_expression_statement] = STATE(1100),
    [sym_if_statement] = STATE(1100),
    [sym_switch_statement] = STATE(1100),
    [sym_case_statement] = STATE(1100),
    [sym_while_statement] = STATE(1100),
    [sym_do_statement] = STATE(1100),
    [sym_for_statement] = STATE(1100),
    [sym_return_statement] = STATE(1100),
    [sym_break_statement] = STATE(1100),
    [sym_continue_statement] = STATE(1100),
    [sym_goto_statement] = STATE(1100),
    [sym_expression] = STATE(4441),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(5933),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(1100),
    [sym_throw_statement] = STATE(1100),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(1100),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(1100),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2478),
    [sym_identifier] = ACTIONS(6176),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2088),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(2094),
    [anon_sym_ATautoreleasepool] = ACTIONS(2096),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(2098),
    [anon_sym_switch] = ACTIONS(2100),
    [anon_sym_case] = ACTIONS(2128),
    [anon_sym_default] = ACTIONS(2130),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_do] = ACTIONS(2104),
    [anon_sym_for] = ACTIONS(2106),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(2108),
    [anon_sym_break] = ACTIONS(2110),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_goto] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(2116),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2118),
    [anon_sym___try] = ACTIONS(2120),
    [anon_sym_ATthrow] = ACTIONS(2122),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2124),
    [anon_sym_id] = ACTIONS(203),
  },
  [2476] = {
    [sym_attribute_declaration] = STATE(2478),
    [sym_compound_statement] = STATE(1100),
    [sym_attributed_statement] = STATE(1100),
    [sym_statement] = STATE(1101),
    [sym_labeled_statement] = STATE(1100),
    [sym_expression_statement] = STATE(1100),
    [sym_if_statement] = STATE(1100),
    [sym_switch_statement] = STATE(1100),
    [sym_case_statement] = STATE(1100),
    [sym_while_statement] = STATE(1100),
    [sym_do_statement] = STATE(1100),
    [sym_for_statement] = STATE(1100),
    [sym_return_statement] = STATE(1100),
    [sym_break_statement] = STATE(1100),
    [sym_continue_statement] = STATE(1100),
    [sym_goto_statement] = STATE(1100),
    [sym_expression] = STATE(4441),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(5933),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(1100),
    [sym_throw_statement] = STATE(1100),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(1100),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(1100),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2478),
    [sym_identifier] = ACTIONS(6176),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2088),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(2094),
    [anon_sym_ATautoreleasepool] = ACTIONS(2096),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(2098),
    [anon_sym_switch] = ACTIONS(2100),
    [anon_sym_case] = ACTIONS(2128),
    [anon_sym_default] = ACTIONS(2130),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_do] = ACTIONS(2104),
    [anon_sym_for] = ACTIONS(2106),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(2108),
    [anon_sym_break] = ACTIONS(2110),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_goto] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(2116),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2118),
    [anon_sym___try] = ACTIONS(2120),
    [anon_sym_ATthrow] = ACTIONS(2122),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2124),
    [anon_sym_id] = ACTIONS(203),
  },
  [2477] = {
    [sym_attribute_declaration] = STATE(2464),
    [sym_compound_statement] = STATE(570),
    [sym_attributed_statement] = STATE(570),
    [sym_statement] = STATE(595),
    [sym_labeled_statement] = STATE(570),
    [sym_expression_statement] = STATE(570),
    [sym_if_statement] = STATE(570),
    [sym_switch_statement] = STATE(570),
    [sym_case_statement] = STATE(570),
    [sym_while_statement] = STATE(570),
    [sym_do_statement] = STATE(570),
    [sym_for_statement] = STATE(570),
    [sym_return_statement] = STATE(570),
    [sym_break_statement] = STATE(570),
    [sym_continue_statement] = STATE(570),
    [sym_goto_statement] = STATE(570),
    [sym_expression] = STATE(4447),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6524),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(570),
    [sym_throw_statement] = STATE(570),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(570),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(570),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2464),
    [sym_identifier] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(860),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(870),
    [anon_sym_ATautoreleasepool] = ACTIONS(872),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(876),
    [anon_sym_case] = ACTIONS(878),
    [anon_sym_default] = ACTIONS(880),
    [anon_sym_while] = ACTIONS(882),
    [anon_sym_do] = ACTIONS(884),
    [anon_sym_for] = ACTIONS(886),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_break] = ACTIONS(890),
    [anon_sym_continue] = ACTIONS(892),
    [anon_sym_goto] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(896),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(914),
    [anon_sym___try] = ACTIONS(916),
    [anon_sym_ATthrow] = ACTIONS(918),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(920),
    [anon_sym_id] = ACTIONS(203),
  },
  [2478] = {
    [sym_attribute_declaration] = STATE(2474),
    [sym_compound_statement] = STATE(1100),
    [sym_attributed_statement] = STATE(1100),
    [sym_statement] = STATE(1118),
    [sym_labeled_statement] = STATE(1100),
    [sym_expression_statement] = STATE(1100),
    [sym_if_statement] = STATE(1100),
    [sym_switch_statement] = STATE(1100),
    [sym_case_statement] = STATE(1100),
    [sym_while_statement] = STATE(1100),
    [sym_do_statement] = STATE(1100),
    [sym_for_statement] = STATE(1100),
    [sym_return_statement] = STATE(1100),
    [sym_break_statement] = STATE(1100),
    [sym_continue_statement] = STATE(1100),
    [sym_goto_statement] = STATE(1100),
    [sym_expression] = STATE(4441),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(5933),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(1100),
    [sym_throw_statement] = STATE(1100),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(1100),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(1100),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2474),
    [sym_identifier] = ACTIONS(6176),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2088),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(2094),
    [anon_sym_ATautoreleasepool] = ACTIONS(2096),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(2098),
    [anon_sym_switch] = ACTIONS(2100),
    [anon_sym_case] = ACTIONS(2128),
    [anon_sym_default] = ACTIONS(2130),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_do] = ACTIONS(2104),
    [anon_sym_for] = ACTIONS(2106),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(2108),
    [anon_sym_break] = ACTIONS(2110),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_goto] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(2116),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2118),
    [anon_sym___try] = ACTIONS(2120),
    [anon_sym_ATthrow] = ACTIONS(2122),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2124),
    [anon_sym_id] = ACTIONS(203),
  },
  [2479] = {
    [sym_attribute_declaration] = STATE(2479),
    [sym_compound_statement] = STATE(935),
    [sym_attributed_statement] = STATE(935),
    [sym_statement] = STATE(984),
    [sym_labeled_statement] = STATE(935),
    [sym_expression_statement] = STATE(935),
    [sym_if_statement] = STATE(935),
    [sym_switch_statement] = STATE(935),
    [sym_case_statement] = STATE(935),
    [sym_while_statement] = STATE(935),
    [sym_do_statement] = STATE(935),
    [sym_for_statement] = STATE(935),
    [sym_return_statement] = STATE(935),
    [sym_break_statement] = STATE(935),
    [sym_continue_statement] = STATE(935),
    [sym_goto_statement] = STATE(935),
    [sym_expression] = STATE(4461),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6022),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(935),
    [sym_throw_statement] = STATE(935),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(935),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(935),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2479),
    [sym_identifier] = ACTIONS(6232),
    [anon_sym_LPAREN2] = ACTIONS(5719),
    [anon_sym_BANG] = ACTIONS(5722),
    [anon_sym_TILDE] = ACTIONS(5722),
    [anon_sym_DASH] = ACTIONS(5725),
    [anon_sym_PLUS] = ACTIONS(5725),
    [anon_sym_STAR] = ACTIONS(5728),
    [anon_sym_CARET] = ACTIONS(5731),
    [anon_sym_AMP] = ACTIONS(5728),
    [anon_sym_SEMI] = ACTIONS(6235),
    [anon_sym___extension__] = ACTIONS(5737),
    [anon_sym_LBRACK] = ACTIONS(5740),
    [anon_sym_LBRACE] = ACTIONS(5743),
    [anon_sym_ATautoreleasepool] = ACTIONS(5746),
    [anon_sym_const] = ACTIONS(5749),
    [anon_sym___imag] = ACTIONS(5752),
    [anon_sym___real] = ACTIONS(5752),
    [anon_sym_struct] = ACTIONS(5749),
    [anon_sym_if] = ACTIONS(6238),
    [anon_sym_switch] = ACTIONS(5758),
    [anon_sym_case] = ACTIONS(5874),
    [anon_sym_default] = ACTIONS(5877),
    [anon_sym_while] = ACTIONS(6241),
    [anon_sym_do] = ACTIONS(5770),
    [anon_sym_for] = ACTIONS(6244),
    [anon_sym_in] = ACTIONS(5749),
    [anon_sym_return] = ACTIONS(5776),
    [anon_sym_break] = ACTIONS(5779),
    [anon_sym_continue] = ACTIONS(5782),
    [anon_sym_goto] = ACTIONS(5785),
    [anon_sym_DASH_DASH] = ACTIONS(5788),
    [anon_sym_PLUS_PLUS] = ACTIONS(5788),
    [anon_sym_sizeof] = ACTIONS(5791),
    [anon_sym___alignof__] = ACTIONS(5794),
    [anon_sym___alignof] = ACTIONS(5794),
    [anon_sym__alignof] = ACTIONS(5794),
    [anon_sym_alignof] = ACTIONS(5794),
    [anon_sym__Alignof] = ACTIONS(5794),
    [anon_sym_offsetof] = ACTIONS(5797),
    [anon_sym__Generic] = ACTIONS(5800),
    [anon_sym_asm] = ACTIONS(5803),
    [anon_sym___asm__] = ACTIONS(5803),
    [anon_sym___asm] = ACTIONS(6247),
    [sym_number_literal] = ACTIONS(5809),
    [anon_sym_L_SQUOTE] = ACTIONS(5812),
    [anon_sym_u_SQUOTE] = ACTIONS(5812),
    [anon_sym_U_SQUOTE] = ACTIONS(5812),
    [anon_sym_u8_SQUOTE] = ACTIONS(5812),
    [anon_sym_SQUOTE] = ACTIONS(5812),
    [anon_sym_AT] = ACTIONS(5815),
    [anon_sym_DQUOTE] = ACTIONS(5818),
    [anon_sym_L_DQUOTE] = ACTIONS(5818),
    [anon_sym_u_DQUOTE] = ACTIONS(5818),
    [anon_sym_U_DQUOTE] = ACTIONS(5818),
    [anon_sym_u8_DQUOTE] = ACTIONS(5818),
    [sym_true] = ACTIONS(5821),
    [sym_false] = ACTIONS(5821),
    [anon_sym_NULL] = ACTIONS(5824),
    [anon_sym_nullptr] = ACTIONS(5824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(6250),
    [anon_sym___try] = ACTIONS(6253),
    [anon_sym_ATthrow] = ACTIONS(6256),
    [anon_sym_ATselector] = ACTIONS(5836),
    [anon_sym_ATavailable] = ACTIONS(5839),
    [anon_sym___builtin_available] = ACTIONS(5842),
    [anon_sym_va_arg] = ACTIONS(5845),
    [anon_sym_ATencode] = ACTIONS(5848),
    [anon_sym_ATsynchronized] = ACTIONS(6259),
    [anon_sym_id] = ACTIONS(5749),
  },
  [2480] = {
    [sym_attribute_declaration] = STATE(2455),
    [sym_compound_statement] = STATE(804),
    [sym_attributed_statement] = STATE(804),
    [sym_statement] = STATE(745),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [sym_identifier] = ACTIONS(6001),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_id] = ACTIONS(203),
  },
  [2481] = {
    [sym_attribute_declaration] = STATE(2455),
    [sym_compound_statement] = STATE(804),
    [sym_attributed_statement] = STATE(804),
    [sym_statement] = STATE(750),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [sym_identifier] = ACTIONS(6001),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_case] = ACTIONS(954),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_id] = ACTIONS(203),
  },
  [2482] = {
    [sym_attribute_declaration] = STATE(2463),
    [sym_compound_statement] = STATE(935),
    [sym_attributed_statement] = STATE(935),
    [sym_statement] = STATE(925),
    [sym_labeled_statement] = STATE(935),
    [sym_expression_statement] = STATE(935),
    [sym_if_statement] = STATE(935),
    [sym_switch_statement] = STATE(935),
    [sym_case_statement] = STATE(935),
    [sym_while_statement] = STATE(935),
    [sym_do_statement] = STATE(935),
    [sym_for_statement] = STATE(935),
    [sym_return_statement] = STATE(935),
    [sym_break_statement] = STATE(935),
    [sym_continue_statement] = STATE(935),
    [sym_goto_statement] = STATE(935),
    [sym_expression] = STATE(4461),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6022),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(935),
    [sym_throw_statement] = STATE(935),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(935),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(935),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2134),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_switch] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_default] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(85),
    [anon_sym_break] = ACTIONS(87),
    [anon_sym_continue] = ACTIONS(89),
    [anon_sym_goto] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2138),
    [anon_sym___try] = ACTIONS(2140),
    [anon_sym_ATthrow] = ACTIONS(2142),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2144),
    [anon_sym_id] = ACTIONS(203),
  },
  [2483] = {
    [sym_attribute_declaration] = STATE(2449),
    [sym_compound_statement] = STATE(203),
    [sym_attributed_statement] = STATE(203),
    [sym_statement] = STATE(249),
    [sym_labeled_statement] = STATE(203),
    [sym_expression_statement] = STATE(203),
    [sym_if_statement] = STATE(203),
    [sym_switch_statement] = STATE(203),
    [sym_case_statement] = STATE(203),
    [sym_while_statement] = STATE(203),
    [sym_do_statement] = STATE(203),
    [sym_for_statement] = STATE(203),
    [sym_return_statement] = STATE(203),
    [sym_break_statement] = STATE(203),
    [sym_continue_statement] = STATE(203),
    [sym_goto_statement] = STATE(203),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(203),
    [sym_throw_statement] = STATE(203),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(203),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(203),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [sym_identifier] = ACTIONS(5937),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_id] = ACTIONS(203),
  },
  [2484] = {
    [sym_attribute_declaration] = STATE(2449),
    [sym_compound_statement] = STATE(203),
    [sym_attributed_statement] = STATE(203),
    [sym_statement] = STATE(251),
    [sym_labeled_statement] = STATE(203),
    [sym_expression_statement] = STATE(203),
    [sym_if_statement] = STATE(203),
    [sym_switch_statement] = STATE(203),
    [sym_case_statement] = STATE(203),
    [sym_while_statement] = STATE(203),
    [sym_do_statement] = STATE(203),
    [sym_for_statement] = STATE(203),
    [sym_return_statement] = STATE(203),
    [sym_break_statement] = STATE(203),
    [sym_continue_statement] = STATE(203),
    [sym_goto_statement] = STATE(203),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(203),
    [sym_throw_statement] = STATE(203),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(203),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(203),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [sym_identifier] = ACTIONS(5937),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_id] = ACTIONS(203),
  },
  [2485] = {
    [sym_attribute_declaration] = STATE(2463),
    [sym_compound_statement] = STATE(935),
    [sym_attributed_statement] = STATE(935),
    [sym_statement] = STATE(938),
    [sym_labeled_statement] = STATE(935),
    [sym_expression_statement] = STATE(935),
    [sym_if_statement] = STATE(935),
    [sym_switch_statement] = STATE(935),
    [sym_case_statement] = STATE(935),
    [sym_while_statement] = STATE(935),
    [sym_do_statement] = STATE(935),
    [sym_for_statement] = STATE(935),
    [sym_return_statement] = STATE(935),
    [sym_break_statement] = STATE(935),
    [sym_continue_statement] = STATE(935),
    [sym_goto_statement] = STATE(935),
    [sym_expression] = STATE(4461),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6022),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(935),
    [sym_throw_statement] = STATE(935),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(935),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(935),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2134),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_switch] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(73),
    [anon_sym_default] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(85),
    [anon_sym_break] = ACTIONS(87),
    [anon_sym_continue] = ACTIONS(89),
    [anon_sym_goto] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2138),
    [anon_sym___try] = ACTIONS(2140),
    [anon_sym_ATthrow] = ACTIONS(2142),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2144),
    [anon_sym_id] = ACTIONS(203),
  },
  [2486] = {
    [sym_attribute_declaration] = STATE(2442),
    [sym_compound_statement] = STATE(804),
    [sym_attributed_statement] = STATE(804),
    [sym_statement] = STATE(6215),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2442),
    [sym_identifier] = ACTIONS(5714),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(2128),
    [anon_sym_default] = ACTIONS(2130),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(85),
    [anon_sym_break] = ACTIONS(87),
    [anon_sym_continue] = ACTIONS(89),
    [anon_sym_goto] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2214),
    [anon_sym___try] = ACTIONS(2216),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2218),
    [anon_sym_id] = ACTIONS(203),
  },
  [2487] = {
    [sym_attribute_declaration] = STATE(2442),
    [sym_compound_statement] = STATE(804),
    [sym_attributed_statement] = STATE(804),
    [sym_statement] = STATE(6402),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2442),
    [sym_identifier] = ACTIONS(5714),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(2128),
    [anon_sym_default] = ACTIONS(2130),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(85),
    [anon_sym_break] = ACTIONS(87),
    [anon_sym_continue] = ACTIONS(89),
    [anon_sym_goto] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2214),
    [anon_sym___try] = ACTIONS(2216),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2218),
    [anon_sym_id] = ACTIONS(203),
  },
  [2488] = {
    [sym_attribute_declaration] = STATE(2442),
    [sym_compound_statement] = STATE(804),
    [sym_attributed_statement] = STATE(804),
    [sym_statement] = STATE(6469),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2442),
    [sym_identifier] = ACTIONS(5714),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(2128),
    [anon_sym_default] = ACTIONS(2130),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(85),
    [anon_sym_break] = ACTIONS(87),
    [anon_sym_continue] = ACTIONS(89),
    [anon_sym_goto] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2214),
    [anon_sym___try] = ACTIONS(2216),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2218),
    [anon_sym_id] = ACTIONS(203),
  },
  [2489] = {
    [sym_attribute_declaration] = STATE(2442),
    [sym_compound_statement] = STATE(804),
    [sym_attributed_statement] = STATE(804),
    [sym_statement] = STATE(6497),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2442),
    [sym_identifier] = ACTIONS(5714),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(2128),
    [anon_sym_default] = ACTIONS(2130),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(85),
    [anon_sym_break] = ACTIONS(87),
    [anon_sym_continue] = ACTIONS(89),
    [anon_sym_goto] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2214),
    [anon_sym___try] = ACTIONS(2216),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2218),
    [anon_sym_id] = ACTIONS(203),
  },
  [2490] = {
    [sym_attribute_declaration] = STATE(2442),
    [sym_compound_statement] = STATE(804),
    [sym_attributed_statement] = STATE(804),
    [sym_statement] = STATE(6538),
    [sym_labeled_statement] = STATE(804),
    [sym_expression_statement] = STATE(804),
    [sym_if_statement] = STATE(804),
    [sym_switch_statement] = STATE(804),
    [sym_case_statement] = STATE(804),
    [sym_while_statement] = STATE(804),
    [sym_do_statement] = STATE(804),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(804),
    [sym_break_statement] = STATE(804),
    [sym_continue_statement] = STATE(804),
    [sym_goto_statement] = STATE(804),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(804),
    [sym_throw_statement] = STATE(804),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(804),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(804),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2442),
    [sym_identifier] = ACTIONS(5714),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(2128),
    [anon_sym_default] = ACTIONS(2130),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(85),
    [anon_sym_break] = ACTIONS(87),
    [anon_sym_continue] = ACTIONS(89),
    [anon_sym_goto] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2214),
    [anon_sym___try] = ACTIONS(2216),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2218),
    [anon_sym_id] = ACTIONS(203),
  },
  [2491] = {
    [sym__declaration_modifiers] = STATE(2500),
    [sym_attribute_specifier] = STATE(2500),
    [sym_attribute_declaration] = STATE(2500),
    [sym_ms_declspec_modifier] = STATE(2500),
    [sym_storage_class_specifier] = STATE(2500),
    [sym_type_qualifier] = STATE(2500),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2500),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2500),
    [sym_identifier] = ACTIONS(2922),
    [anon_sym_COMMA] = ACTIONS(6262),
    [anon_sym_SEMI] = ACTIONS(6262),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(6262),
    [anon_sym_signed] = ACTIONS(6264),
    [anon_sym_unsigned] = ACTIONS(6264),
    [anon_sym_long] = ACTIONS(6264),
    [anon_sym_short] = ACTIONS(6264),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(6262),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(2922),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(6264),
    [anon_sym_enum] = ACTIONS(6264),
    [anon_sym_COLON] = ACTIONS(6262),
    [anon_sym_struct] = ACTIONS(2922),
    [anon_sym_union] = ACTIONS(6264),
    [anon_sym_in] = ACTIONS(2922),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6264),
    [anon_sym___typeof] = ACTIONS(6264),
    [anon_sym_typeof] = ACTIONS(6264),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(6264),
    [anon_sym_IMP] = ACTIONS(6264),
    [anon_sym_SEL] = ACTIONS(6264),
    [anon_sym_Class] = ACTIONS(6264),
    [anon_sym_id] = ACTIONS(2922),
  },
  [2492] = {
    [sym__declaration_modifiers] = STATE(2521),
    [sym_attribute_specifier] = STATE(2521),
    [sym_attribute_declaration] = STATE(2521),
    [sym_ms_declspec_modifier] = STATE(2521),
    [sym_storage_class_specifier] = STATE(2521),
    [sym_type_qualifier] = STATE(2521),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2521),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2521),
    [sym_identifier] = ACTIONS(2922),
    [anon_sym_COMMA] = ACTIONS(6266),
    [anon_sym_SEMI] = ACTIONS(6266),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(6266),
    [anon_sym_signed] = ACTIONS(6268),
    [anon_sym_unsigned] = ACTIONS(6268),
    [anon_sym_long] = ACTIONS(6268),
    [anon_sym_short] = ACTIONS(6268),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(6266),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(2922),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(6268),
    [anon_sym_enum] = ACTIONS(6268),
    [anon_sym_COLON] = ACTIONS(6266),
    [anon_sym_struct] = ACTIONS(2922),
    [anon_sym_union] = ACTIONS(6268),
    [anon_sym_in] = ACTIONS(2922),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6268),
    [anon_sym___typeof] = ACTIONS(6268),
    [anon_sym_typeof] = ACTIONS(6268),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(6268),
    [anon_sym_IMP] = ACTIONS(6268),
    [anon_sym_SEL] = ACTIONS(6268),
    [anon_sym_Class] = ACTIONS(6268),
    [anon_sym_id] = ACTIONS(2922),
  },
  [2493] = {
    [sym__declaration_modifiers] = STATE(2521),
    [sym_attribute_specifier] = STATE(2521),
    [sym_attribute_declaration] = STATE(2521),
    [sym_ms_declspec_modifier] = STATE(2521),
    [sym_storage_class_specifier] = STATE(2521),
    [sym_type_qualifier] = STATE(2521),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2521),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2521),
    [sym_identifier] = ACTIONS(6268),
    [anon_sym_COMMA] = ACTIONS(6266),
    [anon_sym_SEMI] = ACTIONS(6266),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(6266),
    [anon_sym_signed] = ACTIONS(6268),
    [anon_sym_unsigned] = ACTIONS(6268),
    [anon_sym_long] = ACTIONS(6268),
    [anon_sym_short] = ACTIONS(6268),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(6266),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(6268),
    [anon_sym_enum] = ACTIONS(6268),
    [anon_sym_COLON] = ACTIONS(6266),
    [anon_sym_struct] = ACTIONS(6268),
    [anon_sym_union] = ACTIONS(6268),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6268),
    [anon_sym___typeof] = ACTIONS(6268),
    [anon_sym_typeof] = ACTIONS(6268),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(6268),
    [anon_sym_IMP] = ACTIONS(6268),
    [anon_sym_SEL] = ACTIONS(6268),
    [anon_sym_Class] = ACTIONS(6268),
    [anon_sym_id] = ACTIONS(6268),
  },
  [2494] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(6270),
    [anon_sym_COMMA] = ACTIONS(6272),
    [anon_sym_SEMI] = ACTIONS(6272),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(6272),
    [anon_sym_signed] = ACTIONS(6270),
    [anon_sym_unsigned] = ACTIONS(6270),
    [anon_sym_long] = ACTIONS(6270),
    [anon_sym_short] = ACTIONS(6270),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(6272),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(6270),
    [anon_sym_enum] = ACTIONS(6270),
    [anon_sym_COLON] = ACTIONS(6272),
    [anon_sym_struct] = ACTIONS(6270),
    [anon_sym_union] = ACTIONS(6270),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6270),
    [anon_sym___typeof] = ACTIONS(6270),
    [anon_sym_typeof] = ACTIONS(6270),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(6270),
    [anon_sym_IMP] = ACTIONS(6270),
    [anon_sym_SEL] = ACTIONS(6270),
    [anon_sym_Class] = ACTIONS(6270),
    [anon_sym_id] = ACTIONS(6270),
  },
  [2495] = {
    [sym__declaration_modifiers] = STATE(2494),
    [sym_attribute_specifier] = STATE(2494),
    [sym_attribute_declaration] = STATE(2494),
    [sym_ms_declspec_modifier] = STATE(2494),
    [sym_storage_class_specifier] = STATE(2494),
    [sym_type_qualifier] = STATE(2494),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2494),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2494),
    [sym_identifier] = ACTIONS(6274),
    [anon_sym_COMMA] = ACTIONS(6276),
    [anon_sym_SEMI] = ACTIONS(6276),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(6276),
    [anon_sym_signed] = ACTIONS(6274),
    [anon_sym_unsigned] = ACTIONS(6274),
    [anon_sym_long] = ACTIONS(6274),
    [anon_sym_short] = ACTIONS(6274),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(6276),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(6274),
    [anon_sym_enum] = ACTIONS(6274),
    [anon_sym_COLON] = ACTIONS(6276),
    [anon_sym_struct] = ACTIONS(6274),
    [anon_sym_union] = ACTIONS(6274),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6274),
    [anon_sym___typeof] = ACTIONS(6274),
    [anon_sym_typeof] = ACTIONS(6274),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(6274),
    [anon_sym_IMP] = ACTIONS(6274),
    [anon_sym_SEL] = ACTIONS(6274),
    [anon_sym_Class] = ACTIONS(6274),
    [anon_sym_id] = ACTIONS(6274),
  },
  [2496] = {
    [sym__declaration_modifiers] = STATE(2499),
    [sym_attribute_specifier] = STATE(2499),
    [sym_attribute_declaration] = STATE(2499),
    [sym_ms_declspec_modifier] = STATE(2499),
    [sym_storage_class_specifier] = STATE(2499),
    [sym_type_qualifier] = STATE(2499),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2499),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2499),
    [sym_identifier] = ACTIONS(6278),
    [anon_sym_COMMA] = ACTIONS(6280),
    [anon_sym_SEMI] = ACTIONS(6280),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(6280),
    [anon_sym_signed] = ACTIONS(6278),
    [anon_sym_unsigned] = ACTIONS(6278),
    [anon_sym_long] = ACTIONS(6278),
    [anon_sym_short] = ACTIONS(6278),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(6280),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(6278),
    [anon_sym_enum] = ACTIONS(6278),
    [anon_sym_COLON] = ACTIONS(6280),
    [anon_sym_struct] = ACTIONS(6278),
    [anon_sym_union] = ACTIONS(6278),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6278),
    [anon_sym___typeof] = ACTIONS(6278),
    [anon_sym_typeof] = ACTIONS(6278),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(6278),
    [anon_sym_IMP] = ACTIONS(6278),
    [anon_sym_SEL] = ACTIONS(6278),
    [anon_sym_Class] = ACTIONS(6278),
    [anon_sym_id] = ACTIONS(6278),
  },
  [2497] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3968),
    [sym__abstract_declarator] = STATE(4979),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_abstract_parenthesized_declarator] = STATE(4850),
    [sym_pointer_declarator] = STATE(3994),
    [sym_abstract_pointer_declarator] = STATE(4850),
    [sym_function_declarator] = STATE(3994),
    [sym_abstract_function_declarator] = STATE(4850),
    [sym_array_declarator] = STATE(3994),
    [sym_abstract_array_declarator] = STATE(4850),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(4274),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_abstract_block_pointer_declarator] = STATE(4850),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_COMMA] = ACTIONS(6282),
    [anon_sym_RPAREN] = ACTIONS(6282),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_STAR] = ACTIONS(5338),
    [anon_sym_CARET] = ACTIONS(5340),
    [anon_sym_GT] = ACTIONS(6282),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(4216),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2498] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(6284),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6286),
    [anon_sym_COMMA] = ACTIONS(6288),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6288),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6288),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6290),
    [anon_sym_PLUS] = ACTIONS(6290),
    [anon_sym_STAR] = ACTIONS(6292),
    [anon_sym_SLASH] = ACTIONS(6294),
    [anon_sym_PERCENT] = ACTIONS(6292),
    [anon_sym_PIPE_PIPE] = ACTIONS(6296),
    [anon_sym_AMP_AMP] = ACTIONS(6298),
    [anon_sym_PIPE] = ACTIONS(6300),
    [anon_sym_CARET] = ACTIONS(6302),
    [anon_sym_AMP] = ACTIONS(6304),
    [anon_sym_EQ_EQ] = ACTIONS(6306),
    [anon_sym_BANG_EQ] = ACTIONS(6306),
    [anon_sym_GT] = ACTIONS(6308),
    [anon_sym_GT_EQ] = ACTIONS(6310),
    [anon_sym_LT_EQ] = ACTIONS(6310),
    [anon_sym_LT] = ACTIONS(6308),
    [anon_sym_LT_LT] = ACTIONS(6312),
    [anon_sym_GT_GT] = ACTIONS(6312),
    [anon_sym___extension__] = ACTIONS(6284),
    [anon_sym_extern] = ACTIONS(6284),
    [anon_sym___attribute__] = ACTIONS(6284),
    [anon_sym___attribute] = ACTIONS(6284),
    [anon_sym_noreturn] = ACTIONS(6284),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(6284),
    [anon_sym_RBRACE] = ACTIONS(6288),
    [anon_sym_static] = ACTIONS(6284),
    [anon_sym_auto] = ACTIONS(6284),
    [anon_sym_register] = ACTIONS(6284),
    [anon_sym_inline] = ACTIONS(6284),
    [anon_sym___inline] = ACTIONS(6284),
    [anon_sym___inline__] = ACTIONS(6284),
    [anon_sym___forceinline] = ACTIONS(6284),
    [anon_sym_thread_local] = ACTIONS(6284),
    [anon_sym___thread] = ACTIONS(6284),
    [anon_sym_CG_EXTERN] = ACTIONS(6284),
    [anon_sym_CG_INLINE] = ACTIONS(6284),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6284),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6284),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6284),
    [anon_sym_IBOutlet] = ACTIONS(6284),
    [anon_sym_IBInspectable] = ACTIONS(6284),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6284),
    [anon_sym_NS_INLINE] = ACTIONS(6284),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6284),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6284),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6284),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6284),
    [anon_sym_const] = ACTIONS(6284),
    [anon_sym_constexpr] = ACTIONS(6284),
    [anon_sym_volatile] = ACTIONS(6284),
    [anon_sym_restrict] = ACTIONS(6284),
    [anon_sym___restrict__] = ACTIONS(6284),
    [anon_sym__Atomic] = ACTIONS(6284),
    [anon_sym__Noreturn] = ACTIONS(6284),
    [anon_sym__Nonnull] = ACTIONS(6284),
    [anon_sym_nullable] = ACTIONS(6284),
    [anon_sym__Complex] = ACTIONS(6284),
    [anon_sym__Nullable] = ACTIONS(6284),
    [anon_sym__Nullable_result] = ACTIONS(6284),
    [anon_sym__Null_unspecified] = ACTIONS(6284),
    [anon_sym___autoreleasing] = ACTIONS(6284),
    [anon_sym___block] = ACTIONS(6284),
    [anon_sym___bridge] = ACTIONS(6284),
    [anon_sym___bridge_retained] = ACTIONS(6284),
    [anon_sym___bridge_transfer] = ACTIONS(6284),
    [anon_sym___complex] = ACTIONS(6284),
    [anon_sym___const] = ACTIONS(6284),
    [anon_sym___imag] = ACTIONS(6284),
    [anon_sym___kindof] = ACTIONS(6284),
    [anon_sym___nonnull] = ACTIONS(6284),
    [anon_sym___nullable] = ACTIONS(6284),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6284),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6284),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6284),
    [anon_sym___real] = ACTIONS(6284),
    [anon_sym___strong] = ACTIONS(6284),
    [anon_sym___unsafe_unretained] = ACTIONS(6284),
    [anon_sym___unused] = ACTIONS(6284),
    [anon_sym___weak] = ACTIONS(6284),
    [anon_sym_alignas] = ACTIONS(6284),
    [anon_sym__Alignas] = ACTIONS(6284),
    [anon_sym_QMARK] = ACTIONS(6314),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6284),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6284),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6284),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6284),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6284),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6284),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6284),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6284),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6284),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6284),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6284),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6284),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6284),
    [anon_sym_API_AVAILABLE] = ACTIONS(6284),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6284),
    [anon_sym_API_DEPRECATED] = ACTIONS(6284),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6284),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6284),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6284),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6284),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6284),
    [anon_sym___deprecated_msg] = ACTIONS(6284),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6284),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6284),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6284),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6284),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6284),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6284),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6284),
  },
  [2499] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(6316),
    [anon_sym_COMMA] = ACTIONS(6318),
    [anon_sym_SEMI] = ACTIONS(6318),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(6318),
    [anon_sym_signed] = ACTIONS(6316),
    [anon_sym_unsigned] = ACTIONS(6316),
    [anon_sym_long] = ACTIONS(6316),
    [anon_sym_short] = ACTIONS(6316),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(6318),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(6316),
    [anon_sym_enum] = ACTIONS(6316),
    [anon_sym_COLON] = ACTIONS(6318),
    [anon_sym_struct] = ACTIONS(6316),
    [anon_sym_union] = ACTIONS(6316),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6316),
    [anon_sym___typeof] = ACTIONS(6316),
    [anon_sym_typeof] = ACTIONS(6316),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(6316),
    [anon_sym_IMP] = ACTIONS(6316),
    [anon_sym_SEL] = ACTIONS(6316),
    [anon_sym_Class] = ACTIONS(6316),
    [anon_sym_id] = ACTIONS(6316),
  },
  [2500] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(6320),
    [anon_sym_COMMA] = ACTIONS(6322),
    [anon_sym_SEMI] = ACTIONS(6322),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(6322),
    [anon_sym_signed] = ACTIONS(6320),
    [anon_sym_unsigned] = ACTIONS(6320),
    [anon_sym_long] = ACTIONS(6320),
    [anon_sym_short] = ACTIONS(6320),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(6322),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(6320),
    [anon_sym_enum] = ACTIONS(6320),
    [anon_sym_COLON] = ACTIONS(6322),
    [anon_sym_struct] = ACTIONS(6320),
    [anon_sym_union] = ACTIONS(6320),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6320),
    [anon_sym___typeof] = ACTIONS(6320),
    [anon_sym_typeof] = ACTIONS(6320),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(6320),
    [anon_sym_IMP] = ACTIONS(6320),
    [anon_sym_SEL] = ACTIONS(6320),
    [anon_sym_Class] = ACTIONS(6320),
    [anon_sym_id] = ACTIONS(6320),
  },
  [2501] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6286),
    [anon_sym_COMMA] = ACTIONS(4419),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4419),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4419),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6290),
    [anon_sym_PLUS] = ACTIONS(6290),
    [anon_sym_STAR] = ACTIONS(6292),
    [anon_sym_SLASH] = ACTIONS(6294),
    [anon_sym_PERCENT] = ACTIONS(6292),
    [anon_sym_PIPE_PIPE] = ACTIONS(6296),
    [anon_sym_AMP_AMP] = ACTIONS(6298),
    [anon_sym_PIPE] = ACTIONS(6300),
    [anon_sym_CARET] = ACTIONS(6302),
    [anon_sym_AMP] = ACTIONS(6304),
    [anon_sym_EQ_EQ] = ACTIONS(6306),
    [anon_sym_BANG_EQ] = ACTIONS(6306),
    [anon_sym_GT] = ACTIONS(6308),
    [anon_sym_GT_EQ] = ACTIONS(6310),
    [anon_sym_LT_EQ] = ACTIONS(6310),
    [anon_sym_LT] = ACTIONS(6308),
    [anon_sym_LT_LT] = ACTIONS(6312),
    [anon_sym_GT_GT] = ACTIONS(6312),
    [anon_sym___extension__] = ACTIONS(4417),
    [anon_sym_extern] = ACTIONS(4417),
    [anon_sym___attribute__] = ACTIONS(4417),
    [anon_sym___attribute] = ACTIONS(4417),
    [anon_sym_noreturn] = ACTIONS(4417),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4417),
    [anon_sym_RBRACE] = ACTIONS(4419),
    [anon_sym_static] = ACTIONS(4417),
    [anon_sym_auto] = ACTIONS(4417),
    [anon_sym_register] = ACTIONS(4417),
    [anon_sym_inline] = ACTIONS(4417),
    [anon_sym___inline] = ACTIONS(4417),
    [anon_sym___inline__] = ACTIONS(4417),
    [anon_sym___forceinline] = ACTIONS(4417),
    [anon_sym_thread_local] = ACTIONS(4417),
    [anon_sym___thread] = ACTIONS(4417),
    [anon_sym_CG_EXTERN] = ACTIONS(4417),
    [anon_sym_CG_INLINE] = ACTIONS(4417),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4417),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4417),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4417),
    [anon_sym_IBOutlet] = ACTIONS(4417),
    [anon_sym_IBInspectable] = ACTIONS(4417),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4417),
    [anon_sym_NS_INLINE] = ACTIONS(4417),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4417),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4417),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4417),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4417),
    [anon_sym_const] = ACTIONS(4417),
    [anon_sym_constexpr] = ACTIONS(4417),
    [anon_sym_volatile] = ACTIONS(4417),
    [anon_sym_restrict] = ACTIONS(4417),
    [anon_sym___restrict__] = ACTIONS(4417),
    [anon_sym__Atomic] = ACTIONS(4417),
    [anon_sym__Noreturn] = ACTIONS(4417),
    [anon_sym__Nonnull] = ACTIONS(4417),
    [anon_sym_nullable] = ACTIONS(4417),
    [anon_sym__Complex] = ACTIONS(4417),
    [anon_sym__Nullable] = ACTIONS(4417),
    [anon_sym__Nullable_result] = ACTIONS(4417),
    [anon_sym__Null_unspecified] = ACTIONS(4417),
    [anon_sym___autoreleasing] = ACTIONS(4417),
    [anon_sym___block] = ACTIONS(4417),
    [anon_sym___bridge] = ACTIONS(4417),
    [anon_sym___bridge_retained] = ACTIONS(4417),
    [anon_sym___bridge_transfer] = ACTIONS(4417),
    [anon_sym___complex] = ACTIONS(4417),
    [anon_sym___const] = ACTIONS(4417),
    [anon_sym___imag] = ACTIONS(4417),
    [anon_sym___kindof] = ACTIONS(4417),
    [anon_sym___nonnull] = ACTIONS(4417),
    [anon_sym___nullable] = ACTIONS(4417),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4417),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4417),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4417),
    [anon_sym___real] = ACTIONS(4417),
    [anon_sym___strong] = ACTIONS(4417),
    [anon_sym___unsafe_unretained] = ACTIONS(4417),
    [anon_sym___unused] = ACTIONS(4417),
    [anon_sym___weak] = ACTIONS(4417),
    [anon_sym_alignas] = ACTIONS(4417),
    [anon_sym__Alignas] = ACTIONS(4417),
    [anon_sym_QMARK] = ACTIONS(6314),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4417),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4417),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4417),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4417),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4417),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4417),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4417),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4417),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4417),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4417),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4417),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4417),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4417),
    [anon_sym_API_AVAILABLE] = ACTIONS(4417),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4417),
    [anon_sym_API_DEPRECATED] = ACTIONS(4417),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4417),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4417),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4417),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4417),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4417),
    [anon_sym___deprecated_msg] = ACTIONS(4417),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4417),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4417),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4417),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4417),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4417),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4417),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4417),
  },
  [2502] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6286),
    [anon_sym_COMMA] = ACTIONS(4415),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4415),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4415),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6290),
    [anon_sym_PLUS] = ACTIONS(6290),
    [anon_sym_STAR] = ACTIONS(6292),
    [anon_sym_SLASH] = ACTIONS(6294),
    [anon_sym_PERCENT] = ACTIONS(6292),
    [anon_sym_PIPE_PIPE] = ACTIONS(6296),
    [anon_sym_AMP_AMP] = ACTIONS(6298),
    [anon_sym_PIPE] = ACTIONS(6300),
    [anon_sym_CARET] = ACTIONS(6302),
    [anon_sym_AMP] = ACTIONS(6304),
    [anon_sym_EQ_EQ] = ACTIONS(6306),
    [anon_sym_BANG_EQ] = ACTIONS(6306),
    [anon_sym_GT] = ACTIONS(6308),
    [anon_sym_GT_EQ] = ACTIONS(6310),
    [anon_sym_LT_EQ] = ACTIONS(6310),
    [anon_sym_LT] = ACTIONS(6308),
    [anon_sym_LT_LT] = ACTIONS(6312),
    [anon_sym_GT_GT] = ACTIONS(6312),
    [anon_sym___extension__] = ACTIONS(4413),
    [anon_sym_extern] = ACTIONS(4413),
    [anon_sym___attribute__] = ACTIONS(4413),
    [anon_sym___attribute] = ACTIONS(4413),
    [anon_sym_noreturn] = ACTIONS(4413),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4413),
    [anon_sym_RBRACE] = ACTIONS(4415),
    [anon_sym_static] = ACTIONS(4413),
    [anon_sym_auto] = ACTIONS(4413),
    [anon_sym_register] = ACTIONS(4413),
    [anon_sym_inline] = ACTIONS(4413),
    [anon_sym___inline] = ACTIONS(4413),
    [anon_sym___inline__] = ACTIONS(4413),
    [anon_sym___forceinline] = ACTIONS(4413),
    [anon_sym_thread_local] = ACTIONS(4413),
    [anon_sym___thread] = ACTIONS(4413),
    [anon_sym_CG_EXTERN] = ACTIONS(4413),
    [anon_sym_CG_INLINE] = ACTIONS(4413),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4413),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4413),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4413),
    [anon_sym_IBOutlet] = ACTIONS(4413),
    [anon_sym_IBInspectable] = ACTIONS(4413),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4413),
    [anon_sym_NS_INLINE] = ACTIONS(4413),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4413),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4413),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4413),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4413),
    [anon_sym_const] = ACTIONS(4413),
    [anon_sym_constexpr] = ACTIONS(4413),
    [anon_sym_volatile] = ACTIONS(4413),
    [anon_sym_restrict] = ACTIONS(4413),
    [anon_sym___restrict__] = ACTIONS(4413),
    [anon_sym__Atomic] = ACTIONS(4413),
    [anon_sym__Noreturn] = ACTIONS(4413),
    [anon_sym__Nonnull] = ACTIONS(4413),
    [anon_sym_nullable] = ACTIONS(4413),
    [anon_sym__Complex] = ACTIONS(4413),
    [anon_sym__Nullable] = ACTIONS(4413),
    [anon_sym__Nullable_result] = ACTIONS(4413),
    [anon_sym__Null_unspecified] = ACTIONS(4413),
    [anon_sym___autoreleasing] = ACTIONS(4413),
    [anon_sym___block] = ACTIONS(4413),
    [anon_sym___bridge] = ACTIONS(4413),
    [anon_sym___bridge_retained] = ACTIONS(4413),
    [anon_sym___bridge_transfer] = ACTIONS(4413),
    [anon_sym___complex] = ACTIONS(4413),
    [anon_sym___const] = ACTIONS(4413),
    [anon_sym___imag] = ACTIONS(4413),
    [anon_sym___kindof] = ACTIONS(4413),
    [anon_sym___nonnull] = ACTIONS(4413),
    [anon_sym___nullable] = ACTIONS(4413),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4413),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4413),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4413),
    [anon_sym___real] = ACTIONS(4413),
    [anon_sym___strong] = ACTIONS(4413),
    [anon_sym___unsafe_unretained] = ACTIONS(4413),
    [anon_sym___unused] = ACTIONS(4413),
    [anon_sym___weak] = ACTIONS(4413),
    [anon_sym_alignas] = ACTIONS(4413),
    [anon_sym__Alignas] = ACTIONS(4413),
    [anon_sym_QMARK] = ACTIONS(4415),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4413),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4413),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4413),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4413),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4413),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4413),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4413),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4413),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4413),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4413),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4413),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4413),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4413),
    [anon_sym_API_AVAILABLE] = ACTIONS(4413),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4413),
    [anon_sym_API_DEPRECATED] = ACTIONS(4413),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4413),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4413),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4413),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4413),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4413),
    [anon_sym___deprecated_msg] = ACTIONS(4413),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4413),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4413),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4413),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4413),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4413),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4413),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4413),
  },
  [2503] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4034),
    [anon_sym_PLUS] = ACTIONS(4034),
    [anon_sym_STAR] = ACTIONS(6292),
    [anon_sym_SLASH] = ACTIONS(6294),
    [anon_sym_PERCENT] = ACTIONS(6292),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4036),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(4034),
    [anon_sym_GT_EQ] = ACTIONS(4036),
    [anon_sym_LT_EQ] = ACTIONS(4036),
    [anon_sym_LT] = ACTIONS(4034),
    [anon_sym_LT_LT] = ACTIONS(4036),
    [anon_sym_GT_GT] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_RBRACE] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
  },
  [2504] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6290),
    [anon_sym_PLUS] = ACTIONS(6290),
    [anon_sym_STAR] = ACTIONS(6292),
    [anon_sym_SLASH] = ACTIONS(6294),
    [anon_sym_PERCENT] = ACTIONS(6292),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(6298),
    [anon_sym_PIPE] = ACTIONS(6300),
    [anon_sym_CARET] = ACTIONS(6302),
    [anon_sym_AMP] = ACTIONS(6304),
    [anon_sym_EQ_EQ] = ACTIONS(6306),
    [anon_sym_BANG_EQ] = ACTIONS(6306),
    [anon_sym_GT] = ACTIONS(6308),
    [anon_sym_GT_EQ] = ACTIONS(6310),
    [anon_sym_LT_EQ] = ACTIONS(6310),
    [anon_sym_LT] = ACTIONS(6308),
    [anon_sym_LT_LT] = ACTIONS(6312),
    [anon_sym_GT_GT] = ACTIONS(6312),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_RBRACE] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
  },
  [2505] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6290),
    [anon_sym_PLUS] = ACTIONS(6290),
    [anon_sym_STAR] = ACTIONS(6292),
    [anon_sym_SLASH] = ACTIONS(6294),
    [anon_sym_PERCENT] = ACTIONS(6292),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(6300),
    [anon_sym_CARET] = ACTIONS(6302),
    [anon_sym_AMP] = ACTIONS(6304),
    [anon_sym_EQ_EQ] = ACTIONS(6306),
    [anon_sym_BANG_EQ] = ACTIONS(6306),
    [anon_sym_GT] = ACTIONS(6308),
    [anon_sym_GT_EQ] = ACTIONS(6310),
    [anon_sym_LT_EQ] = ACTIONS(6310),
    [anon_sym_LT] = ACTIONS(6308),
    [anon_sym_LT_LT] = ACTIONS(6312),
    [anon_sym_GT_GT] = ACTIONS(6312),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_RBRACE] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
  },
  [2506] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6290),
    [anon_sym_PLUS] = ACTIONS(6290),
    [anon_sym_STAR] = ACTIONS(6292),
    [anon_sym_SLASH] = ACTIONS(6294),
    [anon_sym_PERCENT] = ACTIONS(6292),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(6302),
    [anon_sym_AMP] = ACTIONS(6304),
    [anon_sym_EQ_EQ] = ACTIONS(6306),
    [anon_sym_BANG_EQ] = ACTIONS(6306),
    [anon_sym_GT] = ACTIONS(6308),
    [anon_sym_GT_EQ] = ACTIONS(6310),
    [anon_sym_LT_EQ] = ACTIONS(6310),
    [anon_sym_LT] = ACTIONS(6308),
    [anon_sym_LT_LT] = ACTIONS(6312),
    [anon_sym_GT_GT] = ACTIONS(6312),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_RBRACE] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
  },
  [2507] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6290),
    [anon_sym_PLUS] = ACTIONS(6290),
    [anon_sym_STAR] = ACTIONS(6292),
    [anon_sym_SLASH] = ACTIONS(6294),
    [anon_sym_PERCENT] = ACTIONS(6292),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4036),
    [anon_sym_AMP] = ACTIONS(6304),
    [anon_sym_EQ_EQ] = ACTIONS(6306),
    [anon_sym_BANG_EQ] = ACTIONS(6306),
    [anon_sym_GT] = ACTIONS(6308),
    [anon_sym_GT_EQ] = ACTIONS(6310),
    [anon_sym_LT_EQ] = ACTIONS(6310),
    [anon_sym_LT] = ACTIONS(6308),
    [anon_sym_LT_LT] = ACTIONS(6312),
    [anon_sym_GT_GT] = ACTIONS(6312),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_RBRACE] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
  },
  [2508] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6290),
    [anon_sym_PLUS] = ACTIONS(6290),
    [anon_sym_STAR] = ACTIONS(6292),
    [anon_sym_SLASH] = ACTIONS(6294),
    [anon_sym_PERCENT] = ACTIONS(6292),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4036),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(6306),
    [anon_sym_BANG_EQ] = ACTIONS(6306),
    [anon_sym_GT] = ACTIONS(6308),
    [anon_sym_GT_EQ] = ACTIONS(6310),
    [anon_sym_LT_EQ] = ACTIONS(6310),
    [anon_sym_LT] = ACTIONS(6308),
    [anon_sym_LT_LT] = ACTIONS(6312),
    [anon_sym_GT_GT] = ACTIONS(6312),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_RBRACE] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
  },
  [2509] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6290),
    [anon_sym_PLUS] = ACTIONS(6290),
    [anon_sym_STAR] = ACTIONS(6292),
    [anon_sym_SLASH] = ACTIONS(6294),
    [anon_sym_PERCENT] = ACTIONS(6292),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4036),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(6308),
    [anon_sym_GT_EQ] = ACTIONS(6310),
    [anon_sym_LT_EQ] = ACTIONS(6310),
    [anon_sym_LT] = ACTIONS(6308),
    [anon_sym_LT_LT] = ACTIONS(6312),
    [anon_sym_GT_GT] = ACTIONS(6312),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_RBRACE] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
  },
  [2510] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6290),
    [anon_sym_PLUS] = ACTIONS(6290),
    [anon_sym_STAR] = ACTIONS(6292),
    [anon_sym_SLASH] = ACTIONS(6294),
    [anon_sym_PERCENT] = ACTIONS(6292),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4036),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(4034),
    [anon_sym_GT_EQ] = ACTIONS(4036),
    [anon_sym_LT_EQ] = ACTIONS(4036),
    [anon_sym_LT] = ACTIONS(4034),
    [anon_sym_LT_LT] = ACTIONS(6312),
    [anon_sym_GT_GT] = ACTIONS(6312),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_RBRACE] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
  },
  [2511] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4036),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6290),
    [anon_sym_PLUS] = ACTIONS(6290),
    [anon_sym_STAR] = ACTIONS(6292),
    [anon_sym_SLASH] = ACTIONS(6294),
    [anon_sym_PERCENT] = ACTIONS(6292),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4036),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(4034),
    [anon_sym_GT_EQ] = ACTIONS(4036),
    [anon_sym_LT_EQ] = ACTIONS(4036),
    [anon_sym_LT] = ACTIONS(4034),
    [anon_sym_LT_LT] = ACTIONS(4036),
    [anon_sym_GT_GT] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_RBRACE] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_auto] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_CG_EXTERN] = ACTIONS(4034),
    [anon_sym_CG_INLINE] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4034),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4034),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4034),
    [anon_sym_IBOutlet] = ACTIONS(4034),
    [anon_sym_IBInspectable] = ACTIONS(4034),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4034),
    [anon_sym_NS_INLINE] = ACTIONS(4034),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4034),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4034),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym__Nonnull] = ACTIONS(4034),
    [anon_sym_nullable] = ACTIONS(4034),
    [anon_sym__Complex] = ACTIONS(4034),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4034),
    [anon_sym__Null_unspecified] = ACTIONS(4034),
    [anon_sym___autoreleasing] = ACTIONS(4034),
    [anon_sym___block] = ACTIONS(4034),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4034),
    [anon_sym___bridge_transfer] = ACTIONS(4034),
    [anon_sym___complex] = ACTIONS(4034),
    [anon_sym___const] = ACTIONS(4034),
    [anon_sym___imag] = ACTIONS(4034),
    [anon_sym___kindof] = ACTIONS(4034),
    [anon_sym___nonnull] = ACTIONS(4034),
    [anon_sym___nullable] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4034),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4034),
    [anon_sym___real] = ACTIONS(4034),
    [anon_sym___strong] = ACTIONS(4034),
    [anon_sym___unsafe_unretained] = ACTIONS(4034),
    [anon_sym___unused] = ACTIONS(4034),
    [anon_sym___weak] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym__Alignas] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4034),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4034),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4034),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4034),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_API_AVAILABLE] = ACTIONS(4034),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_API_DEPRECATED] = ACTIONS(4034),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4034),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4034),
    [anon_sym___deprecated_msg] = ACTIONS(4034),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4034),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4034),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4034),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4034),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4034),
  },
  [2512] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6286),
    [anon_sym_COMMA] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4405),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6290),
    [anon_sym_PLUS] = ACTIONS(6290),
    [anon_sym_STAR] = ACTIONS(6292),
    [anon_sym_SLASH] = ACTIONS(6294),
    [anon_sym_PERCENT] = ACTIONS(6292),
    [anon_sym_PIPE_PIPE] = ACTIONS(6296),
    [anon_sym_AMP_AMP] = ACTIONS(6298),
    [anon_sym_PIPE] = ACTIONS(6300),
    [anon_sym_CARET] = ACTIONS(6302),
    [anon_sym_AMP] = ACTIONS(6304),
    [anon_sym_EQ_EQ] = ACTIONS(6306),
    [anon_sym_BANG_EQ] = ACTIONS(6306),
    [anon_sym_GT] = ACTIONS(6308),
    [anon_sym_GT_EQ] = ACTIONS(6310),
    [anon_sym_LT_EQ] = ACTIONS(6310),
    [anon_sym_LT] = ACTIONS(6308),
    [anon_sym_LT_LT] = ACTIONS(6312),
    [anon_sym_GT_GT] = ACTIONS(6312),
    [anon_sym___extension__] = ACTIONS(4401),
    [anon_sym_extern] = ACTIONS(4401),
    [anon_sym___attribute__] = ACTIONS(4401),
    [anon_sym___attribute] = ACTIONS(4401),
    [anon_sym_noreturn] = ACTIONS(4401),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4401),
    [anon_sym_RBRACE] = ACTIONS(4405),
    [anon_sym_static] = ACTIONS(4401),
    [anon_sym_auto] = ACTIONS(4401),
    [anon_sym_register] = ACTIONS(4401),
    [anon_sym_inline] = ACTIONS(4401),
    [anon_sym___inline] = ACTIONS(4401),
    [anon_sym___inline__] = ACTIONS(4401),
    [anon_sym___forceinline] = ACTIONS(4401),
    [anon_sym_thread_local] = ACTIONS(4401),
    [anon_sym___thread] = ACTIONS(4401),
    [anon_sym_CG_EXTERN] = ACTIONS(4401),
    [anon_sym_CG_INLINE] = ACTIONS(4401),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4401),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4401),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4401),
    [anon_sym_IBOutlet] = ACTIONS(4401),
    [anon_sym_IBInspectable] = ACTIONS(4401),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4401),
    [anon_sym_NS_INLINE] = ACTIONS(4401),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4401),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4401),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4401),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4401),
    [anon_sym_const] = ACTIONS(4401),
    [anon_sym_constexpr] = ACTIONS(4401),
    [anon_sym_volatile] = ACTIONS(4401),
    [anon_sym_restrict] = ACTIONS(4401),
    [anon_sym___restrict__] = ACTIONS(4401),
    [anon_sym__Atomic] = ACTIONS(4401),
    [anon_sym__Noreturn] = ACTIONS(4401),
    [anon_sym__Nonnull] = ACTIONS(4401),
    [anon_sym_nullable] = ACTIONS(4401),
    [anon_sym__Complex] = ACTIONS(4401),
    [anon_sym__Nullable] = ACTIONS(4401),
    [anon_sym__Nullable_result] = ACTIONS(4401),
    [anon_sym__Null_unspecified] = ACTIONS(4401),
    [anon_sym___autoreleasing] = ACTIONS(4401),
    [anon_sym___block] = ACTIONS(4401),
    [anon_sym___bridge] = ACTIONS(4401),
    [anon_sym___bridge_retained] = ACTIONS(4401),
    [anon_sym___bridge_transfer] = ACTIONS(4401),
    [anon_sym___complex] = ACTIONS(4401),
    [anon_sym___const] = ACTIONS(4401),
    [anon_sym___imag] = ACTIONS(4401),
    [anon_sym___kindof] = ACTIONS(4401),
    [anon_sym___nonnull] = ACTIONS(4401),
    [anon_sym___nullable] = ACTIONS(4401),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4401),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4401),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4401),
    [anon_sym___real] = ACTIONS(4401),
    [anon_sym___strong] = ACTIONS(4401),
    [anon_sym___unsafe_unretained] = ACTIONS(4401),
    [anon_sym___unused] = ACTIONS(4401),
    [anon_sym___weak] = ACTIONS(4401),
    [anon_sym_alignas] = ACTIONS(4401),
    [anon_sym__Alignas] = ACTIONS(4401),
    [anon_sym_QMARK] = ACTIONS(6314),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4401),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4401),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4401),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4401),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4401),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4401),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4401),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4401),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4401),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4401),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4401),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4401),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4401),
    [anon_sym_API_AVAILABLE] = ACTIONS(4401),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4401),
    [anon_sym_API_DEPRECATED] = ACTIONS(4401),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4401),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4401),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4401),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4401),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4401),
    [anon_sym___deprecated_msg] = ACTIONS(4401),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4401),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4401),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4401),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4401),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4401),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4401),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4401),
  },
  [2513] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6286),
    [anon_sym_COMMA] = ACTIONS(4423),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4423),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4423),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6290),
    [anon_sym_PLUS] = ACTIONS(6290),
    [anon_sym_STAR] = ACTIONS(6292),
    [anon_sym_SLASH] = ACTIONS(6294),
    [anon_sym_PERCENT] = ACTIONS(6292),
    [anon_sym_PIPE_PIPE] = ACTIONS(6296),
    [anon_sym_AMP_AMP] = ACTIONS(6298),
    [anon_sym_PIPE] = ACTIONS(6300),
    [anon_sym_CARET] = ACTIONS(6302),
    [anon_sym_AMP] = ACTIONS(6304),
    [anon_sym_EQ_EQ] = ACTIONS(6306),
    [anon_sym_BANG_EQ] = ACTIONS(6306),
    [anon_sym_GT] = ACTIONS(6308),
    [anon_sym_GT_EQ] = ACTIONS(6310),
    [anon_sym_LT_EQ] = ACTIONS(6310),
    [anon_sym_LT] = ACTIONS(6308),
    [anon_sym_LT_LT] = ACTIONS(6312),
    [anon_sym_GT_GT] = ACTIONS(6312),
    [anon_sym___extension__] = ACTIONS(4421),
    [anon_sym_extern] = ACTIONS(4421),
    [anon_sym___attribute__] = ACTIONS(4421),
    [anon_sym___attribute] = ACTIONS(4421),
    [anon_sym_noreturn] = ACTIONS(4421),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4421),
    [anon_sym_RBRACE] = ACTIONS(4423),
    [anon_sym_static] = ACTIONS(4421),
    [anon_sym_auto] = ACTIONS(4421),
    [anon_sym_register] = ACTIONS(4421),
    [anon_sym_inline] = ACTIONS(4421),
    [anon_sym___inline] = ACTIONS(4421),
    [anon_sym___inline__] = ACTIONS(4421),
    [anon_sym___forceinline] = ACTIONS(4421),
    [anon_sym_thread_local] = ACTIONS(4421),
    [anon_sym___thread] = ACTIONS(4421),
    [anon_sym_CG_EXTERN] = ACTIONS(4421),
    [anon_sym_CG_INLINE] = ACTIONS(4421),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4421),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4421),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4421),
    [anon_sym_IBOutlet] = ACTIONS(4421),
    [anon_sym_IBInspectable] = ACTIONS(4421),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4421),
    [anon_sym_NS_INLINE] = ACTIONS(4421),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4421),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4421),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4421),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4421),
    [anon_sym_const] = ACTIONS(4421),
    [anon_sym_constexpr] = ACTIONS(4421),
    [anon_sym_volatile] = ACTIONS(4421),
    [anon_sym_restrict] = ACTIONS(4421),
    [anon_sym___restrict__] = ACTIONS(4421),
    [anon_sym__Atomic] = ACTIONS(4421),
    [anon_sym__Noreturn] = ACTIONS(4421),
    [anon_sym__Nonnull] = ACTIONS(4421),
    [anon_sym_nullable] = ACTIONS(4421),
    [anon_sym__Complex] = ACTIONS(4421),
    [anon_sym__Nullable] = ACTIONS(4421),
    [anon_sym__Nullable_result] = ACTIONS(4421),
    [anon_sym__Null_unspecified] = ACTIONS(4421),
    [anon_sym___autoreleasing] = ACTIONS(4421),
    [anon_sym___block] = ACTIONS(4421),
    [anon_sym___bridge] = ACTIONS(4421),
    [anon_sym___bridge_retained] = ACTIONS(4421),
    [anon_sym___bridge_transfer] = ACTIONS(4421),
    [anon_sym___complex] = ACTIONS(4421),
    [anon_sym___const] = ACTIONS(4421),
    [anon_sym___imag] = ACTIONS(4421),
    [anon_sym___kindof] = ACTIONS(4421),
    [anon_sym___nonnull] = ACTIONS(4421),
    [anon_sym___nullable] = ACTIONS(4421),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4421),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4421),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4421),
    [anon_sym___real] = ACTIONS(4421),
    [anon_sym___strong] = ACTIONS(4421),
    [anon_sym___unsafe_unretained] = ACTIONS(4421),
    [anon_sym___unused] = ACTIONS(4421),
    [anon_sym___weak] = ACTIONS(4421),
    [anon_sym_alignas] = ACTIONS(4421),
    [anon_sym__Alignas] = ACTIONS(4421),
    [anon_sym_QMARK] = ACTIONS(6314),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4421),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4421),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4421),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4421),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4421),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4421),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4421),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4421),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4421),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4421),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4421),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4421),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4421),
    [anon_sym_API_AVAILABLE] = ACTIONS(4421),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4421),
    [anon_sym_API_DEPRECATED] = ACTIONS(4421),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4421),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4421),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4421),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4421),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4421),
    [anon_sym___deprecated_msg] = ACTIONS(4421),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4421),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4421),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4421),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4421),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4421),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4421),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4421),
  },
  [2514] = {
    [sym_protocol_reference_list] = STATE(2949),
    [sym_identifier] = ACTIONS(6324),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4138),
    [anon_sym_COMMA] = ACTIONS(4138),
    [anon_sym_RPAREN] = ACTIONS(6326),
    [anon_sym_LPAREN2] = ACTIONS(6326),
    [anon_sym_DASH] = ACTIONS(4136),
    [anon_sym_PLUS] = ACTIONS(4136),
    [anon_sym_STAR] = ACTIONS(6326),
    [anon_sym_SLASH] = ACTIONS(4136),
    [anon_sym_PERCENT] = ACTIONS(4138),
    [anon_sym_PIPE_PIPE] = ACTIONS(4138),
    [anon_sym_AMP_AMP] = ACTIONS(4138),
    [anon_sym_PIPE] = ACTIONS(4136),
    [anon_sym_CARET] = ACTIONS(6326),
    [anon_sym_AMP] = ACTIONS(4136),
    [anon_sym_EQ_EQ] = ACTIONS(4138),
    [anon_sym_BANG_EQ] = ACTIONS(4138),
    [anon_sym_GT] = ACTIONS(4136),
    [anon_sym_GT_EQ] = ACTIONS(4138),
    [anon_sym_LT_EQ] = ACTIONS(4138),
    [anon_sym_LT] = ACTIONS(6328),
    [anon_sym_LT_LT] = ACTIONS(4138),
    [anon_sym_GT_GT] = ACTIONS(4138),
    [anon_sym_SEMI] = ACTIONS(6326),
    [anon_sym___extension__] = ACTIONS(6324),
    [anon_sym_extern] = ACTIONS(6324),
    [anon_sym___attribute__] = ACTIONS(6324),
    [anon_sym___attribute] = ACTIONS(6324),
    [anon_sym_noreturn] = ACTIONS(6324),
    [anon_sym_LBRACK] = ACTIONS(6326),
    [anon_sym___declspec] = ACTIONS(6324),
    [anon_sym___based] = ACTIONS(6324),
    [anon_sym_static] = ACTIONS(6324),
    [anon_sym_auto] = ACTIONS(6324),
    [anon_sym_register] = ACTIONS(6324),
    [anon_sym_inline] = ACTIONS(6324),
    [anon_sym___inline] = ACTIONS(6324),
    [anon_sym___inline__] = ACTIONS(6324),
    [anon_sym___forceinline] = ACTIONS(6324),
    [anon_sym_thread_local] = ACTIONS(6324),
    [anon_sym___thread] = ACTIONS(6324),
    [anon_sym_CG_EXTERN] = ACTIONS(6324),
    [anon_sym_CG_INLINE] = ACTIONS(6324),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6324),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6324),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6324),
    [anon_sym_IBOutlet] = ACTIONS(6324),
    [anon_sym_IBInspectable] = ACTIONS(6324),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6324),
    [anon_sym_NS_INLINE] = ACTIONS(6324),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6324),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6324),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6324),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6324),
    [anon_sym_const] = ACTIONS(6324),
    [anon_sym_constexpr] = ACTIONS(6324),
    [anon_sym_volatile] = ACTIONS(6324),
    [anon_sym_restrict] = ACTIONS(6324),
    [anon_sym___restrict__] = ACTIONS(6324),
    [anon_sym__Atomic] = ACTIONS(6324),
    [anon_sym__Noreturn] = ACTIONS(6324),
    [anon_sym__Nonnull] = ACTIONS(6324),
    [anon_sym_nullable] = ACTIONS(6324),
    [anon_sym__Complex] = ACTIONS(6324),
    [anon_sym__Nullable] = ACTIONS(6324),
    [anon_sym__Nullable_result] = ACTIONS(6324),
    [anon_sym__Null_unspecified] = ACTIONS(6324),
    [anon_sym___autoreleasing] = ACTIONS(6324),
    [anon_sym___block] = ACTIONS(6324),
    [anon_sym___bridge] = ACTIONS(6324),
    [anon_sym___bridge_retained] = ACTIONS(6324),
    [anon_sym___bridge_transfer] = ACTIONS(6324),
    [anon_sym___complex] = ACTIONS(6324),
    [anon_sym___const] = ACTIONS(6324),
    [anon_sym___imag] = ACTIONS(6324),
    [anon_sym___kindof] = ACTIONS(6324),
    [anon_sym___nonnull] = ACTIONS(6324),
    [anon_sym___nullable] = ACTIONS(6324),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6324),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6324),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6324),
    [anon_sym___real] = ACTIONS(6324),
    [anon_sym___strong] = ACTIONS(6324),
    [anon_sym___unsafe_unretained] = ACTIONS(6324),
    [anon_sym___unused] = ACTIONS(6324),
    [anon_sym___weak] = ACTIONS(6324),
    [anon_sym_alignas] = ACTIONS(6324),
    [anon_sym__Alignas] = ACTIONS(6324),
    [anon_sym_QMARK] = ACTIONS(4138),
    [anon_sym_DASH_DASH] = ACTIONS(4138),
    [anon_sym_PLUS_PLUS] = ACTIONS(4138),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_DASH_GT] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6324),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6324),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6324),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6324),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6324),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6324),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6324),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6324),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6324),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6324),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6324),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6324),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6324),
    [anon_sym_API_AVAILABLE] = ACTIONS(6324),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6324),
    [anon_sym_API_DEPRECATED] = ACTIONS(6324),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6324),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6324),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6324),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6324),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6324),
    [anon_sym___deprecated_msg] = ACTIONS(6324),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6324),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6324),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6324),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6324),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6324),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6324),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6324),
  },
  [2515] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4372),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6330),
    [anon_sym_COMMA] = ACTIONS(4377),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4377),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4377),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6290),
    [anon_sym_PLUS] = ACTIONS(6290),
    [anon_sym_STAR] = ACTIONS(6292),
    [anon_sym_SLASH] = ACTIONS(6294),
    [anon_sym_PERCENT] = ACTIONS(6292),
    [anon_sym_PIPE_PIPE] = ACTIONS(6296),
    [anon_sym_AMP_AMP] = ACTIONS(6298),
    [anon_sym_PIPE] = ACTIONS(6300),
    [anon_sym_CARET] = ACTIONS(6302),
    [anon_sym_AMP] = ACTIONS(6304),
    [anon_sym_EQ_EQ] = ACTIONS(6306),
    [anon_sym_BANG_EQ] = ACTIONS(6306),
    [anon_sym_GT] = ACTIONS(6308),
    [anon_sym_GT_EQ] = ACTIONS(6310),
    [anon_sym_LT_EQ] = ACTIONS(6310),
    [anon_sym_LT] = ACTIONS(6308),
    [anon_sym_LT_LT] = ACTIONS(6312),
    [anon_sym_GT_GT] = ACTIONS(6312),
    [anon_sym___extension__] = ACTIONS(4372),
    [anon_sym_extern] = ACTIONS(4372),
    [anon_sym___attribute__] = ACTIONS(4372),
    [anon_sym___attribute] = ACTIONS(4372),
    [anon_sym_noreturn] = ACTIONS(4372),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4372),
    [anon_sym_RBRACE] = ACTIONS(4377),
    [anon_sym_static] = ACTIONS(4372),
    [anon_sym_auto] = ACTIONS(4372),
    [anon_sym_register] = ACTIONS(4372),
    [anon_sym_inline] = ACTIONS(4372),
    [anon_sym___inline] = ACTIONS(4372),
    [anon_sym___inline__] = ACTIONS(4372),
    [anon_sym___forceinline] = ACTIONS(4372),
    [anon_sym_thread_local] = ACTIONS(4372),
    [anon_sym___thread] = ACTIONS(4372),
    [anon_sym_CG_EXTERN] = ACTIONS(4372),
    [anon_sym_CG_INLINE] = ACTIONS(4372),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4372),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4372),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4372),
    [anon_sym_IBOutlet] = ACTIONS(4372),
    [anon_sym_IBInspectable] = ACTIONS(4372),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4372),
    [anon_sym_NS_INLINE] = ACTIONS(4372),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4372),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4372),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4372),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4372),
    [anon_sym_const] = ACTIONS(4372),
    [anon_sym_constexpr] = ACTIONS(4372),
    [anon_sym_volatile] = ACTIONS(4372),
    [anon_sym_restrict] = ACTIONS(4372),
    [anon_sym___restrict__] = ACTIONS(4372),
    [anon_sym__Atomic] = ACTIONS(4372),
    [anon_sym__Noreturn] = ACTIONS(4372),
    [anon_sym__Nonnull] = ACTIONS(4372),
    [anon_sym_nullable] = ACTIONS(4372),
    [anon_sym__Complex] = ACTIONS(4372),
    [anon_sym__Nullable] = ACTIONS(4372),
    [anon_sym__Nullable_result] = ACTIONS(4372),
    [anon_sym__Null_unspecified] = ACTIONS(4372),
    [anon_sym___autoreleasing] = ACTIONS(4372),
    [anon_sym___block] = ACTIONS(4372),
    [anon_sym___bridge] = ACTIONS(4372),
    [anon_sym___bridge_retained] = ACTIONS(4372),
    [anon_sym___bridge_transfer] = ACTIONS(4372),
    [anon_sym___complex] = ACTIONS(4372),
    [anon_sym___const] = ACTIONS(4372),
    [anon_sym___imag] = ACTIONS(4372),
    [anon_sym___kindof] = ACTIONS(4372),
    [anon_sym___nonnull] = ACTIONS(4372),
    [anon_sym___nullable] = ACTIONS(4372),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4372),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4372),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4372),
    [anon_sym___real] = ACTIONS(4372),
    [anon_sym___strong] = ACTIONS(4372),
    [anon_sym___unsafe_unretained] = ACTIONS(4372),
    [anon_sym___unused] = ACTIONS(4372),
    [anon_sym___weak] = ACTIONS(4372),
    [anon_sym_alignas] = ACTIONS(4372),
    [anon_sym__Alignas] = ACTIONS(4372),
    [anon_sym_QMARK] = ACTIONS(4377),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4372),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4372),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4372),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4372),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4372),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4372),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4372),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4372),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4372),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4372),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4372),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4372),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4372),
    [anon_sym_API_AVAILABLE] = ACTIONS(4372),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4372),
    [anon_sym_API_DEPRECATED] = ACTIONS(4372),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4372),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4372),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4372),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4372),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4372),
    [anon_sym___deprecated_msg] = ACTIONS(4372),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4372),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4372),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4372),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4372),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4372),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4372),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4372),
  },
  [2516] = {
    [sym_argument_list] = STATE(1465),
    [sym_identifier] = ACTIONS(4409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6286),
    [anon_sym_COMMA] = ACTIONS(4411),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(4411),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(4411),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6290),
    [anon_sym_PLUS] = ACTIONS(6290),
    [anon_sym_STAR] = ACTIONS(6292),
    [anon_sym_SLASH] = ACTIONS(6294),
    [anon_sym_PERCENT] = ACTIONS(6292),
    [anon_sym_PIPE_PIPE] = ACTIONS(6296),
    [anon_sym_AMP_AMP] = ACTIONS(6298),
    [anon_sym_PIPE] = ACTIONS(6300),
    [anon_sym_CARET] = ACTIONS(6302),
    [anon_sym_AMP] = ACTIONS(6304),
    [anon_sym_EQ_EQ] = ACTIONS(6306),
    [anon_sym_BANG_EQ] = ACTIONS(6306),
    [anon_sym_GT] = ACTIONS(6308),
    [anon_sym_GT_EQ] = ACTIONS(6310),
    [anon_sym_LT_EQ] = ACTIONS(6310),
    [anon_sym_LT] = ACTIONS(6308),
    [anon_sym_LT_LT] = ACTIONS(6312),
    [anon_sym_GT_GT] = ACTIONS(6312),
    [anon_sym___extension__] = ACTIONS(4409),
    [anon_sym_extern] = ACTIONS(4409),
    [anon_sym___attribute__] = ACTIONS(4409),
    [anon_sym___attribute] = ACTIONS(4409),
    [anon_sym_noreturn] = ACTIONS(4409),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4409),
    [anon_sym_RBRACE] = ACTIONS(4411),
    [anon_sym_static] = ACTIONS(4409),
    [anon_sym_auto] = ACTIONS(4409),
    [anon_sym_register] = ACTIONS(4409),
    [anon_sym_inline] = ACTIONS(4409),
    [anon_sym___inline] = ACTIONS(4409),
    [anon_sym___inline__] = ACTIONS(4409),
    [anon_sym___forceinline] = ACTIONS(4409),
    [anon_sym_thread_local] = ACTIONS(4409),
    [anon_sym___thread] = ACTIONS(4409),
    [anon_sym_CG_EXTERN] = ACTIONS(4409),
    [anon_sym_CG_INLINE] = ACTIONS(4409),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4409),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4409),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4409),
    [anon_sym_IBOutlet] = ACTIONS(4409),
    [anon_sym_IBInspectable] = ACTIONS(4409),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4409),
    [anon_sym_NS_INLINE] = ACTIONS(4409),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4409),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4409),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4409),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4409),
    [anon_sym_const] = ACTIONS(4409),
    [anon_sym_constexpr] = ACTIONS(4409),
    [anon_sym_volatile] = ACTIONS(4409),
    [anon_sym_restrict] = ACTIONS(4409),
    [anon_sym___restrict__] = ACTIONS(4409),
    [anon_sym__Atomic] = ACTIONS(4409),
    [anon_sym__Noreturn] = ACTIONS(4409),
    [anon_sym__Nonnull] = ACTIONS(4409),
    [anon_sym_nullable] = ACTIONS(4409),
    [anon_sym__Complex] = ACTIONS(4409),
    [anon_sym__Nullable] = ACTIONS(4409),
    [anon_sym__Nullable_result] = ACTIONS(4409),
    [anon_sym__Null_unspecified] = ACTIONS(4409),
    [anon_sym___autoreleasing] = ACTIONS(4409),
    [anon_sym___block] = ACTIONS(4409),
    [anon_sym___bridge] = ACTIONS(4409),
    [anon_sym___bridge_retained] = ACTIONS(4409),
    [anon_sym___bridge_transfer] = ACTIONS(4409),
    [anon_sym___complex] = ACTIONS(4409),
    [anon_sym___const] = ACTIONS(4409),
    [anon_sym___imag] = ACTIONS(4409),
    [anon_sym___kindof] = ACTIONS(4409),
    [anon_sym___nonnull] = ACTIONS(4409),
    [anon_sym___nullable] = ACTIONS(4409),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4409),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4409),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4409),
    [anon_sym___real] = ACTIONS(4409),
    [anon_sym___strong] = ACTIONS(4409),
    [anon_sym___unsafe_unretained] = ACTIONS(4409),
    [anon_sym___unused] = ACTIONS(4409),
    [anon_sym___weak] = ACTIONS(4409),
    [anon_sym_alignas] = ACTIONS(4409),
    [anon_sym__Alignas] = ACTIONS(4409),
    [anon_sym_QMARK] = ACTIONS(4411),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4409),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4409),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4409),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4409),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4409),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4409),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4409),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4409),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4409),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4409),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4409),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4409),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4409),
    [anon_sym_API_AVAILABLE] = ACTIONS(4409),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4409),
    [anon_sym_API_DEPRECATED] = ACTIONS(4409),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4409),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4409),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4409),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4409),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4409),
    [anon_sym___deprecated_msg] = ACTIONS(4409),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4409),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4409),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4409),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4409),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4409),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4409),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4409),
  },
  [2517] = {
    [sym_type_qualifier] = STATE(3560),
    [sym_alignas_qualifier] = STATE(3521),
    [sym_expression] = STATE(4532),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(2604),
    [aux_sym_array_declarator_repeat1] = STATE(2548),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(6333),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6335),
    [anon_sym_noreturn] = ACTIONS(6337),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACK] = ACTIONS(6339),
    [anon_sym_static] = ACTIONS(6341),
    [anon_sym_const] = ACTIONS(6343),
    [anon_sym_constexpr] = ACTIONS(6337),
    [anon_sym_volatile] = ACTIONS(6337),
    [anon_sym_restrict] = ACTIONS(6337),
    [anon_sym___restrict__] = ACTIONS(6337),
    [anon_sym__Atomic] = ACTIONS(6337),
    [anon_sym__Noreturn] = ACTIONS(6337),
    [anon_sym__Nonnull] = ACTIONS(6337),
    [anon_sym_nullable] = ACTIONS(6337),
    [anon_sym__Complex] = ACTIONS(6337),
    [anon_sym__Nullable] = ACTIONS(6337),
    [anon_sym__Nullable_result] = ACTIONS(6337),
    [anon_sym__Null_unspecified] = ACTIONS(6337),
    [anon_sym___autoreleasing] = ACTIONS(6337),
    [anon_sym___block] = ACTIONS(6337),
    [anon_sym___bridge] = ACTIONS(6337),
    [anon_sym___bridge_retained] = ACTIONS(6337),
    [anon_sym___bridge_transfer] = ACTIONS(6337),
    [anon_sym___complex] = ACTIONS(6337),
    [anon_sym___const] = ACTIONS(6337),
    [anon_sym___imag] = ACTIONS(6345),
    [anon_sym___kindof] = ACTIONS(6337),
    [anon_sym___nonnull] = ACTIONS(6337),
    [anon_sym___nullable] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6337),
    [anon_sym___real] = ACTIONS(6345),
    [anon_sym___strong] = ACTIONS(6337),
    [anon_sym___unsafe_unretained] = ACTIONS(6337),
    [anon_sym___unused] = ACTIONS(6337),
    [anon_sym___weak] = ACTIONS(6337),
    [anon_sym_alignas] = ACTIONS(6347),
    [anon_sym__Alignas] = ACTIONS(6347),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2518] = {
    [sym_type_qualifier] = STATE(2518),
    [sym_alignas_qualifier] = STATE(2412),
    [aux_sym__type_definition_type_repeat1] = STATE(2518),
    [sym_identifier] = ACTIONS(6349),
    [anon_sym_COMMA] = ACTIONS(6351),
    [anon_sym_RPAREN] = ACTIONS(6351),
    [anon_sym_LPAREN2] = ACTIONS(6351),
    [anon_sym_STAR] = ACTIONS(6351),
    [anon_sym_CARET] = ACTIONS(6351),
    [anon_sym_GT] = ACTIONS(6351),
    [anon_sym_SEMI] = ACTIONS(6351),
    [anon_sym___extension__] = ACTIONS(6353),
    [anon_sym_extern] = ACTIONS(6349),
    [anon_sym___attribute__] = ACTIONS(6349),
    [anon_sym___attribute] = ACTIONS(6349),
    [anon_sym_noreturn] = ACTIONS(6353),
    [anon_sym_LBRACK] = ACTIONS(6351),
    [anon_sym___declspec] = ACTIONS(6349),
    [anon_sym___based] = ACTIONS(6349),
    [anon_sym_LBRACE] = ACTIONS(6351),
    [anon_sym_signed] = ACTIONS(6349),
    [anon_sym_unsigned] = ACTIONS(6349),
    [anon_sym_long] = ACTIONS(6349),
    [anon_sym_short] = ACTIONS(6349),
    [anon_sym_static] = ACTIONS(6349),
    [anon_sym_ATautoreleasepool] = ACTIONS(6351),
    [anon_sym_auto] = ACTIONS(6349),
    [anon_sym_register] = ACTIONS(6349),
    [anon_sym_inline] = ACTIONS(6349),
    [anon_sym___inline] = ACTIONS(6349),
    [anon_sym___inline__] = ACTIONS(6349),
    [anon_sym___forceinline] = ACTIONS(6349),
    [anon_sym_thread_local] = ACTIONS(6349),
    [anon_sym___thread] = ACTIONS(6349),
    [anon_sym_CG_EXTERN] = ACTIONS(6349),
    [anon_sym_CG_INLINE] = ACTIONS(6349),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6349),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6349),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6349),
    [anon_sym_IBOutlet] = ACTIONS(6349),
    [anon_sym_IBInspectable] = ACTIONS(6349),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6349),
    [anon_sym_NS_INLINE] = ACTIONS(6349),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6349),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6349),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6349),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6349),
    [anon_sym_const] = ACTIONS(6353),
    [anon_sym_constexpr] = ACTIONS(6353),
    [anon_sym_volatile] = ACTIONS(6353),
    [anon_sym_restrict] = ACTIONS(6353),
    [anon_sym___restrict__] = ACTIONS(6353),
    [anon_sym__Atomic] = ACTIONS(6353),
    [anon_sym__Noreturn] = ACTIONS(6353),
    [anon_sym__Nonnull] = ACTIONS(6353),
    [anon_sym_nullable] = ACTIONS(6353),
    [anon_sym__Complex] = ACTIONS(6353),
    [anon_sym__Nullable] = ACTIONS(6353),
    [anon_sym__Nullable_result] = ACTIONS(6353),
    [anon_sym__Null_unspecified] = ACTIONS(6353),
    [anon_sym___autoreleasing] = ACTIONS(6353),
    [anon_sym___block] = ACTIONS(6353),
    [anon_sym___bridge] = ACTIONS(6353),
    [anon_sym___bridge_retained] = ACTIONS(6353),
    [anon_sym___bridge_transfer] = ACTIONS(6353),
    [anon_sym___complex] = ACTIONS(6353),
    [anon_sym___const] = ACTIONS(6353),
    [anon_sym___imag] = ACTIONS(6353),
    [anon_sym___kindof] = ACTIONS(6353),
    [anon_sym___nonnull] = ACTIONS(6353),
    [anon_sym___nullable] = ACTIONS(6353),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6353),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6353),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6353),
    [anon_sym___real] = ACTIONS(6353),
    [anon_sym___strong] = ACTIONS(6353),
    [anon_sym___unsafe_unretained] = ACTIONS(6353),
    [anon_sym___unused] = ACTIONS(6353),
    [anon_sym___weak] = ACTIONS(6353),
    [anon_sym_alignas] = ACTIONS(6356),
    [anon_sym__Alignas] = ACTIONS(6356),
    [sym_primitive_type] = ACTIONS(6349),
    [anon_sym_enum] = ACTIONS(6349),
    [anon_sym_COLON] = ACTIONS(6351),
    [anon_sym_struct] = ACTIONS(6349),
    [anon_sym_union] = ACTIONS(6349),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6349),
    [anon_sym___typeof] = ACTIONS(6349),
    [anon_sym_typeof] = ACTIONS(6349),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6349),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6349),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6349),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6349),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6349),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6349),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6349),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6349),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6349),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6349),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6349),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6349),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6349),
    [anon_sym_API_AVAILABLE] = ACTIONS(6349),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6349),
    [anon_sym_API_DEPRECATED] = ACTIONS(6349),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6349),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6349),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6349),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6349),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6349),
    [anon_sym___deprecated_msg] = ACTIONS(6349),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6349),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6349),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6349),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6349),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6349),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6349),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6349),
    [anon_sym_BOOL] = ACTIONS(6349),
    [anon_sym_IMP] = ACTIONS(6349),
    [anon_sym_SEL] = ACTIONS(6349),
    [anon_sym_Class] = ACTIONS(6349),
    [anon_sym_id] = ACTIONS(6349),
  },
  [2519] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(6278),
    [anon_sym_COMMA] = ACTIONS(6280),
    [anon_sym_SEMI] = ACTIONS(6280),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(6280),
    [anon_sym_signed] = ACTIONS(6278),
    [anon_sym_unsigned] = ACTIONS(6278),
    [anon_sym_long] = ACTIONS(6278),
    [anon_sym_short] = ACTIONS(6278),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(6280),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(6278),
    [anon_sym_enum] = ACTIONS(6278),
    [anon_sym_COLON] = ACTIONS(6280),
    [anon_sym_struct] = ACTIONS(6278),
    [anon_sym_union] = ACTIONS(6278),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6278),
    [anon_sym___typeof] = ACTIONS(6278),
    [anon_sym_typeof] = ACTIONS(6278),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(6278),
    [anon_sym_IMP] = ACTIONS(6278),
    [anon_sym_SEL] = ACTIONS(6278),
    [anon_sym_Class] = ACTIONS(6278),
    [anon_sym_id] = ACTIONS(6278),
  },
  [2520] = {
    [sym__declaration_modifiers] = STATE(2522),
    [sym_attribute_specifier] = STATE(2522),
    [sym_attribute_declaration] = STATE(2522),
    [sym_ms_declspec_modifier] = STATE(2522),
    [sym_storage_class_specifier] = STATE(2522),
    [sym_type_qualifier] = STATE(2522),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2522),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2522),
    [sym_identifier] = ACTIONS(6359),
    [anon_sym_COMMA] = ACTIONS(6361),
    [anon_sym_SEMI] = ACTIONS(6361),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(6361),
    [anon_sym_signed] = ACTIONS(6359),
    [anon_sym_unsigned] = ACTIONS(6359),
    [anon_sym_long] = ACTIONS(6359),
    [anon_sym_short] = ACTIONS(6359),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(6361),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(6359),
    [anon_sym_enum] = ACTIONS(6359),
    [anon_sym_COLON] = ACTIONS(6361),
    [anon_sym_struct] = ACTIONS(6359),
    [anon_sym_union] = ACTIONS(6359),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6359),
    [anon_sym___typeof] = ACTIONS(6359),
    [anon_sym_typeof] = ACTIONS(6359),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(6359),
    [anon_sym_IMP] = ACTIONS(6359),
    [anon_sym_SEL] = ACTIONS(6359),
    [anon_sym_Class] = ACTIONS(6359),
    [anon_sym_id] = ACTIONS(6359),
  },
  [2521] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(6363),
    [anon_sym_COMMA] = ACTIONS(6365),
    [anon_sym_SEMI] = ACTIONS(6365),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(6365),
    [anon_sym_signed] = ACTIONS(6363),
    [anon_sym_unsigned] = ACTIONS(6363),
    [anon_sym_long] = ACTIONS(6363),
    [anon_sym_short] = ACTIONS(6363),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(6365),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(6363),
    [anon_sym_enum] = ACTIONS(6363),
    [anon_sym_COLON] = ACTIONS(6365),
    [anon_sym_struct] = ACTIONS(6363),
    [anon_sym_union] = ACTIONS(6363),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6363),
    [anon_sym___typeof] = ACTIONS(6363),
    [anon_sym_typeof] = ACTIONS(6363),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(6363),
    [anon_sym_IMP] = ACTIONS(6363),
    [anon_sym_SEL] = ACTIONS(6363),
    [anon_sym_Class] = ACTIONS(6363),
    [anon_sym_id] = ACTIONS(6363),
  },
  [2522] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(6367),
    [anon_sym_COMMA] = ACTIONS(6369),
    [anon_sym_SEMI] = ACTIONS(6369),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(6369),
    [anon_sym_signed] = ACTIONS(6367),
    [anon_sym_unsigned] = ACTIONS(6367),
    [anon_sym_long] = ACTIONS(6367),
    [anon_sym_short] = ACTIONS(6367),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(6369),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(6367),
    [anon_sym_enum] = ACTIONS(6367),
    [anon_sym_COLON] = ACTIONS(6369),
    [anon_sym_struct] = ACTIONS(6367),
    [anon_sym_union] = ACTIONS(6367),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6367),
    [anon_sym___typeof] = ACTIONS(6367),
    [anon_sym_typeof] = ACTIONS(6367),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(6367),
    [anon_sym_IMP] = ACTIONS(6367),
    [anon_sym_SEL] = ACTIONS(6367),
    [anon_sym_Class] = ACTIONS(6367),
    [anon_sym_id] = ACTIONS(6367),
  },
  [2523] = {
    [sym__declaration_modifiers] = STATE(2500),
    [sym_attribute_specifier] = STATE(2500),
    [sym_attribute_declaration] = STATE(2500),
    [sym_ms_declspec_modifier] = STATE(2500),
    [sym_storage_class_specifier] = STATE(2500),
    [sym_type_qualifier] = STATE(2500),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2500),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2500),
    [sym_identifier] = ACTIONS(6264),
    [anon_sym_COMMA] = ACTIONS(6262),
    [anon_sym_SEMI] = ACTIONS(6262),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(6262),
    [anon_sym_signed] = ACTIONS(6264),
    [anon_sym_unsigned] = ACTIONS(6264),
    [anon_sym_long] = ACTIONS(6264),
    [anon_sym_short] = ACTIONS(6264),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(6262),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(6264),
    [anon_sym_enum] = ACTIONS(6264),
    [anon_sym_COLON] = ACTIONS(6262),
    [anon_sym_struct] = ACTIONS(6264),
    [anon_sym_union] = ACTIONS(6264),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6264),
    [anon_sym___typeof] = ACTIONS(6264),
    [anon_sym_typeof] = ACTIONS(6264),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(6264),
    [anon_sym_IMP] = ACTIONS(6264),
    [anon_sym_SEL] = ACTIONS(6264),
    [anon_sym_Class] = ACTIONS(6264),
    [anon_sym_id] = ACTIONS(6264),
  },
  [2524] = {
    [sym__declaration_modifiers] = STATE(2519),
    [sym_attribute_specifier] = STATE(2519),
    [sym_attribute_declaration] = STATE(2519),
    [sym_ms_declspec_modifier] = STATE(2519),
    [sym_storage_class_specifier] = STATE(2519),
    [sym_type_qualifier] = STATE(2519),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2519),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2519),
    [sym_identifier] = ACTIONS(6367),
    [anon_sym_COMMA] = ACTIONS(6369),
    [anon_sym_SEMI] = ACTIONS(6369),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(6369),
    [anon_sym_signed] = ACTIONS(6367),
    [anon_sym_unsigned] = ACTIONS(6367),
    [anon_sym_long] = ACTIONS(6367),
    [anon_sym_short] = ACTIONS(6367),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(6369),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(6367),
    [anon_sym_enum] = ACTIONS(6367),
    [anon_sym_COLON] = ACTIONS(6369),
    [anon_sym_struct] = ACTIONS(6367),
    [anon_sym_union] = ACTIONS(6367),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6367),
    [anon_sym___typeof] = ACTIONS(6367),
    [anon_sym_typeof] = ACTIONS(6367),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_BOOL] = ACTIONS(6367),
    [anon_sym_IMP] = ACTIONS(6367),
    [anon_sym_SEL] = ACTIONS(6367),
    [anon_sym_Class] = ACTIONS(6367),
    [anon_sym_id] = ACTIONS(6367),
  },
  [2525] = {
    [sym_expression] = STATE(1456),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_initializer_list] = STATE(1515),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2222),
    [anon_sym_COMMA] = ACTIONS(2222),
    [anon_sym_LPAREN2] = ACTIONS(2222),
    [anon_sym_BANG] = ACTIONS(6371),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(2220),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_STAR] = ACTIONS(2220),
    [anon_sym_SLASH] = ACTIONS(2220),
    [anon_sym_PERCENT] = ACTIONS(2220),
    [anon_sym_PIPE_PIPE] = ACTIONS(2222),
    [anon_sym_AMP_AMP] = ACTIONS(2222),
    [anon_sym_PIPE] = ACTIONS(2220),
    [anon_sym_CARET] = ACTIONS(2220),
    [anon_sym_AMP] = ACTIONS(2220),
    [anon_sym_EQ_EQ] = ACTIONS(2222),
    [anon_sym_BANG_EQ] = ACTIONS(2222),
    [anon_sym_GT] = ACTIONS(2220),
    [anon_sym_GT_EQ] = ACTIONS(2222),
    [anon_sym_LT_EQ] = ACTIONS(2222),
    [anon_sym_LT] = ACTIONS(2220),
    [anon_sym_LT_LT] = ACTIONS(2220),
    [anon_sym_GT_GT] = ACTIONS(2220),
    [anon_sym_SEMI] = ACTIONS(2222),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym___attribute__] = ACTIONS(2220),
    [anon_sym___attribute] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2222),
    [anon_sym_RBRACK] = ACTIONS(2222),
    [anon_sym_LBRACE] = ACTIONS(2298),
    [anon_sym_RBRACE] = ACTIONS(2222),
    [anon_sym_EQ] = ACTIONS(2220),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_COLON] = ACTIONS(2222),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_QMARK] = ACTIONS(2222),
    [anon_sym_STAR_EQ] = ACTIONS(2222),
    [anon_sym_SLASH_EQ] = ACTIONS(2222),
    [anon_sym_PERCENT_EQ] = ACTIONS(2222),
    [anon_sym_PLUS_EQ] = ACTIONS(2222),
    [anon_sym_DASH_EQ] = ACTIONS(2222),
    [anon_sym_LT_LT_EQ] = ACTIONS(2222),
    [anon_sym_GT_GT_EQ] = ACTIONS(2222),
    [anon_sym_AMP_EQ] = ACTIONS(2222),
    [anon_sym_CARET_EQ] = ACTIONS(2222),
    [anon_sym_PIPE_EQ] = ACTIONS(2222),
    [anon_sym_DASH_DASH] = ACTIONS(2222),
    [anon_sym_PLUS_PLUS] = ACTIONS(2222),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [anon_sym_DOT] = ACTIONS(2220),
    [anon_sym_DASH_GT] = ACTIONS(2222),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [2526] = {
    [sym_type_qualifier] = STATE(2531),
    [sym_alignas_qualifier] = STATE(3521),
    [sym_expression] = STATE(4542),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_array_declarator_repeat1] = STATE(2531),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(6383),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6335),
    [anon_sym_noreturn] = ACTIONS(6337),
    [anon_sym_LBRACK] = ACTIONS(6385),
    [anon_sym_RBRACK] = ACTIONS(6387),
    [anon_sym_static] = ACTIONS(6389),
    [anon_sym_const] = ACTIONS(6343),
    [anon_sym_constexpr] = ACTIONS(6337),
    [anon_sym_volatile] = ACTIONS(6337),
    [anon_sym_restrict] = ACTIONS(6337),
    [anon_sym___restrict__] = ACTIONS(6337),
    [anon_sym__Atomic] = ACTIONS(6337),
    [anon_sym__Noreturn] = ACTIONS(6337),
    [anon_sym__Nonnull] = ACTIONS(6337),
    [anon_sym_nullable] = ACTIONS(6337),
    [anon_sym__Complex] = ACTIONS(6337),
    [anon_sym__Nullable] = ACTIONS(6337),
    [anon_sym__Nullable_result] = ACTIONS(6337),
    [anon_sym__Null_unspecified] = ACTIONS(6337),
    [anon_sym___autoreleasing] = ACTIONS(6337),
    [anon_sym___block] = ACTIONS(6337),
    [anon_sym___bridge] = ACTIONS(6337),
    [anon_sym___bridge_retained] = ACTIONS(6337),
    [anon_sym___bridge_transfer] = ACTIONS(6337),
    [anon_sym___complex] = ACTIONS(6337),
    [anon_sym___const] = ACTIONS(6337),
    [anon_sym___imag] = ACTIONS(6345),
    [anon_sym___kindof] = ACTIONS(6337),
    [anon_sym___nonnull] = ACTIONS(6337),
    [anon_sym___nullable] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6337),
    [anon_sym___real] = ACTIONS(6345),
    [anon_sym___strong] = ACTIONS(6337),
    [anon_sym___unsafe_unretained] = ACTIONS(6337),
    [anon_sym___unused] = ACTIONS(6337),
    [anon_sym___weak] = ACTIONS(6337),
    [anon_sym_alignas] = ACTIONS(6347),
    [anon_sym__Alignas] = ACTIONS(6347),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2527] = {
    [sym_type_qualifier] = STATE(2548),
    [sym_alignas_qualifier] = STATE(3521),
    [sym_expression] = STATE(4571),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_array_declarator_repeat1] = STATE(2548),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(6333),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6335),
    [anon_sym_noreturn] = ACTIONS(6337),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACK] = ACTIONS(6391),
    [anon_sym_static] = ACTIONS(6341),
    [anon_sym_const] = ACTIONS(6343),
    [anon_sym_constexpr] = ACTIONS(6337),
    [anon_sym_volatile] = ACTIONS(6337),
    [anon_sym_restrict] = ACTIONS(6337),
    [anon_sym___restrict__] = ACTIONS(6337),
    [anon_sym__Atomic] = ACTIONS(6337),
    [anon_sym__Noreturn] = ACTIONS(6337),
    [anon_sym__Nonnull] = ACTIONS(6337),
    [anon_sym_nullable] = ACTIONS(6337),
    [anon_sym__Complex] = ACTIONS(6337),
    [anon_sym__Nullable] = ACTIONS(6337),
    [anon_sym__Nullable_result] = ACTIONS(6337),
    [anon_sym__Null_unspecified] = ACTIONS(6337),
    [anon_sym___autoreleasing] = ACTIONS(6337),
    [anon_sym___block] = ACTIONS(6337),
    [anon_sym___bridge] = ACTIONS(6337),
    [anon_sym___bridge_retained] = ACTIONS(6337),
    [anon_sym___bridge_transfer] = ACTIONS(6337),
    [anon_sym___complex] = ACTIONS(6337),
    [anon_sym___const] = ACTIONS(6337),
    [anon_sym___imag] = ACTIONS(6345),
    [anon_sym___kindof] = ACTIONS(6337),
    [anon_sym___nonnull] = ACTIONS(6337),
    [anon_sym___nullable] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6337),
    [anon_sym___real] = ACTIONS(6345),
    [anon_sym___strong] = ACTIONS(6337),
    [anon_sym___unsafe_unretained] = ACTIONS(6337),
    [anon_sym___unused] = ACTIONS(6337),
    [anon_sym___weak] = ACTIONS(6337),
    [anon_sym_alignas] = ACTIONS(6347),
    [anon_sym__Alignas] = ACTIONS(6347),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2528] = {
    [sym_type_qualifier] = STATE(2548),
    [sym_alignas_qualifier] = STATE(3521),
    [sym_expression] = STATE(4571),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_array_declarator_repeat1] = STATE(2548),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(6333),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6335),
    [anon_sym_noreturn] = ACTIONS(6337),
    [anon_sym_LBRACK] = ACTIONS(6393),
    [anon_sym_RBRACK] = ACTIONS(6391),
    [anon_sym_static] = ACTIONS(6341),
    [anon_sym_const] = ACTIONS(6343),
    [anon_sym_constexpr] = ACTIONS(6337),
    [anon_sym_volatile] = ACTIONS(6337),
    [anon_sym_restrict] = ACTIONS(6337),
    [anon_sym___restrict__] = ACTIONS(6337),
    [anon_sym__Atomic] = ACTIONS(6337),
    [anon_sym__Noreturn] = ACTIONS(6337),
    [anon_sym__Nonnull] = ACTIONS(6337),
    [anon_sym_nullable] = ACTIONS(6337),
    [anon_sym__Complex] = ACTIONS(6337),
    [anon_sym__Nullable] = ACTIONS(6337),
    [anon_sym__Nullable_result] = ACTIONS(6337),
    [anon_sym__Null_unspecified] = ACTIONS(6337),
    [anon_sym___autoreleasing] = ACTIONS(6337),
    [anon_sym___block] = ACTIONS(6337),
    [anon_sym___bridge] = ACTIONS(6337),
    [anon_sym___bridge_retained] = ACTIONS(6337),
    [anon_sym___bridge_transfer] = ACTIONS(6337),
    [anon_sym___complex] = ACTIONS(6337),
    [anon_sym___const] = ACTIONS(6337),
    [anon_sym___imag] = ACTIONS(6345),
    [anon_sym___kindof] = ACTIONS(6337),
    [anon_sym___nonnull] = ACTIONS(6337),
    [anon_sym___nullable] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6337),
    [anon_sym___real] = ACTIONS(6345),
    [anon_sym___strong] = ACTIONS(6337),
    [anon_sym___unsafe_unretained] = ACTIONS(6337),
    [anon_sym___unused] = ACTIONS(6337),
    [anon_sym___weak] = ACTIONS(6337),
    [anon_sym_alignas] = ACTIONS(6347),
    [anon_sym__Alignas] = ACTIONS(6347),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2529] = {
    [sym_type_qualifier] = STATE(2531),
    [sym_alignas_qualifier] = STATE(3521),
    [sym_expression] = STATE(4542),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_array_declarator_repeat1] = STATE(2531),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(6383),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6335),
    [anon_sym_noreturn] = ACTIONS(6337),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACK] = ACTIONS(6387),
    [anon_sym_static] = ACTIONS(6389),
    [anon_sym_const] = ACTIONS(6343),
    [anon_sym_constexpr] = ACTIONS(6337),
    [anon_sym_volatile] = ACTIONS(6337),
    [anon_sym_restrict] = ACTIONS(6337),
    [anon_sym___restrict__] = ACTIONS(6337),
    [anon_sym__Atomic] = ACTIONS(6337),
    [anon_sym__Noreturn] = ACTIONS(6337),
    [anon_sym__Nonnull] = ACTIONS(6337),
    [anon_sym_nullable] = ACTIONS(6337),
    [anon_sym__Complex] = ACTIONS(6337),
    [anon_sym__Nullable] = ACTIONS(6337),
    [anon_sym__Nullable_result] = ACTIONS(6337),
    [anon_sym__Null_unspecified] = ACTIONS(6337),
    [anon_sym___autoreleasing] = ACTIONS(6337),
    [anon_sym___block] = ACTIONS(6337),
    [anon_sym___bridge] = ACTIONS(6337),
    [anon_sym___bridge_retained] = ACTIONS(6337),
    [anon_sym___bridge_transfer] = ACTIONS(6337),
    [anon_sym___complex] = ACTIONS(6337),
    [anon_sym___const] = ACTIONS(6337),
    [anon_sym___imag] = ACTIONS(6345),
    [anon_sym___kindof] = ACTIONS(6337),
    [anon_sym___nonnull] = ACTIONS(6337),
    [anon_sym___nullable] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6337),
    [anon_sym___real] = ACTIONS(6345),
    [anon_sym___strong] = ACTIONS(6337),
    [anon_sym___unsafe_unretained] = ACTIONS(6337),
    [anon_sym___unused] = ACTIONS(6337),
    [anon_sym___weak] = ACTIONS(6337),
    [anon_sym_alignas] = ACTIONS(6347),
    [anon_sym__Alignas] = ACTIONS(6347),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2530] = {
    [sym_type_qualifier] = STATE(2544),
    [sym_alignas_qualifier] = STATE(3521),
    [sym_expression] = STATE(4522),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_array_declarator_repeat1] = STATE(2544),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(6395),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6335),
    [anon_sym_noreturn] = ACTIONS(6337),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACK] = ACTIONS(6397),
    [anon_sym_static] = ACTIONS(6399),
    [anon_sym_const] = ACTIONS(6343),
    [anon_sym_constexpr] = ACTIONS(6337),
    [anon_sym_volatile] = ACTIONS(6337),
    [anon_sym_restrict] = ACTIONS(6337),
    [anon_sym___restrict__] = ACTIONS(6337),
    [anon_sym__Atomic] = ACTIONS(6337),
    [anon_sym__Noreturn] = ACTIONS(6337),
    [anon_sym__Nonnull] = ACTIONS(6337),
    [anon_sym_nullable] = ACTIONS(6337),
    [anon_sym__Complex] = ACTIONS(6337),
    [anon_sym__Nullable] = ACTIONS(6337),
    [anon_sym__Nullable_result] = ACTIONS(6337),
    [anon_sym__Null_unspecified] = ACTIONS(6337),
    [anon_sym___autoreleasing] = ACTIONS(6337),
    [anon_sym___block] = ACTIONS(6337),
    [anon_sym___bridge] = ACTIONS(6337),
    [anon_sym___bridge_retained] = ACTIONS(6337),
    [anon_sym___bridge_transfer] = ACTIONS(6337),
    [anon_sym___complex] = ACTIONS(6337),
    [anon_sym___const] = ACTIONS(6337),
    [anon_sym___imag] = ACTIONS(6345),
    [anon_sym___kindof] = ACTIONS(6337),
    [anon_sym___nonnull] = ACTIONS(6337),
    [anon_sym___nullable] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6337),
    [anon_sym___real] = ACTIONS(6345),
    [anon_sym___strong] = ACTIONS(6337),
    [anon_sym___unsafe_unretained] = ACTIONS(6337),
    [anon_sym___unused] = ACTIONS(6337),
    [anon_sym___weak] = ACTIONS(6337),
    [anon_sym_alignas] = ACTIONS(6347),
    [anon_sym__Alignas] = ACTIONS(6347),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2531] = {
    [sym_type_qualifier] = STATE(3338),
    [sym_alignas_qualifier] = STATE(3521),
    [sym_expression] = STATE(4531),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_array_declarator_repeat1] = STATE(3338),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(6401),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6335),
    [anon_sym_noreturn] = ACTIONS(6337),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACK] = ACTIONS(6403),
    [anon_sym_static] = ACTIONS(6405),
    [anon_sym_const] = ACTIONS(6343),
    [anon_sym_constexpr] = ACTIONS(6337),
    [anon_sym_volatile] = ACTIONS(6337),
    [anon_sym_restrict] = ACTIONS(6337),
    [anon_sym___restrict__] = ACTIONS(6337),
    [anon_sym__Atomic] = ACTIONS(6337),
    [anon_sym__Noreturn] = ACTIONS(6337),
    [anon_sym__Nonnull] = ACTIONS(6337),
    [anon_sym_nullable] = ACTIONS(6337),
    [anon_sym__Complex] = ACTIONS(6337),
    [anon_sym__Nullable] = ACTIONS(6337),
    [anon_sym__Nullable_result] = ACTIONS(6337),
    [anon_sym__Null_unspecified] = ACTIONS(6337),
    [anon_sym___autoreleasing] = ACTIONS(6337),
    [anon_sym___block] = ACTIONS(6337),
    [anon_sym___bridge] = ACTIONS(6337),
    [anon_sym___bridge_retained] = ACTIONS(6337),
    [anon_sym___bridge_transfer] = ACTIONS(6337),
    [anon_sym___complex] = ACTIONS(6337),
    [anon_sym___const] = ACTIONS(6337),
    [anon_sym___imag] = ACTIONS(6345),
    [anon_sym___kindof] = ACTIONS(6337),
    [anon_sym___nonnull] = ACTIONS(6337),
    [anon_sym___nullable] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6337),
    [anon_sym___real] = ACTIONS(6345),
    [anon_sym___strong] = ACTIONS(6337),
    [anon_sym___unsafe_unretained] = ACTIONS(6337),
    [anon_sym___unused] = ACTIONS(6337),
    [anon_sym___weak] = ACTIONS(6337),
    [anon_sym_alignas] = ACTIONS(6347),
    [anon_sym__Alignas] = ACTIONS(6347),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2532] = {
    [sym_type_qualifier] = STATE(3338),
    [sym_alignas_qualifier] = STATE(3521),
    [sym_expression] = STATE(4545),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_array_declarator_repeat1] = STATE(3338),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(6407),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6335),
    [anon_sym_noreturn] = ACTIONS(6337),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACK] = ACTIONS(6409),
    [anon_sym_static] = ACTIONS(6405),
    [anon_sym_const] = ACTIONS(6343),
    [anon_sym_constexpr] = ACTIONS(6337),
    [anon_sym_volatile] = ACTIONS(6337),
    [anon_sym_restrict] = ACTIONS(6337),
    [anon_sym___restrict__] = ACTIONS(6337),
    [anon_sym__Atomic] = ACTIONS(6337),
    [anon_sym__Noreturn] = ACTIONS(6337),
    [anon_sym__Nonnull] = ACTIONS(6337),
    [anon_sym_nullable] = ACTIONS(6337),
    [anon_sym__Complex] = ACTIONS(6337),
    [anon_sym__Nullable] = ACTIONS(6337),
    [anon_sym__Nullable_result] = ACTIONS(6337),
    [anon_sym__Null_unspecified] = ACTIONS(6337),
    [anon_sym___autoreleasing] = ACTIONS(6337),
    [anon_sym___block] = ACTIONS(6337),
    [anon_sym___bridge] = ACTIONS(6337),
    [anon_sym___bridge_retained] = ACTIONS(6337),
    [anon_sym___bridge_transfer] = ACTIONS(6337),
    [anon_sym___complex] = ACTIONS(6337),
    [anon_sym___const] = ACTIONS(6337),
    [anon_sym___imag] = ACTIONS(6345),
    [anon_sym___kindof] = ACTIONS(6337),
    [anon_sym___nonnull] = ACTIONS(6337),
    [anon_sym___nullable] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6337),
    [anon_sym___real] = ACTIONS(6345),
    [anon_sym___strong] = ACTIONS(6337),
    [anon_sym___unsafe_unretained] = ACTIONS(6337),
    [anon_sym___unused] = ACTIONS(6337),
    [anon_sym___weak] = ACTIONS(6337),
    [anon_sym_alignas] = ACTIONS(6347),
    [anon_sym__Alignas] = ACTIONS(6347),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2533] = {
    [sym__declaration_modifiers] = STATE(2810),
    [sym_attribute_specifier] = STATE(2810),
    [sym_attribute_declaration] = STATE(2810),
    [sym_ms_declspec_modifier] = STATE(2810),
    [sym_ms_based_modifier] = STATE(6012),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2538),
    [sym__field_declarator] = STATE(4880),
    [sym_parenthesized_field_declarator] = STATE(4910),
    [sym_attributed_field_declarator] = STATE(4910),
    [sym_pointer_field_declarator] = STATE(4910),
    [sym_function_field_declarator] = STATE(4910),
    [sym_array_field_declarator] = STATE(4910),
    [sym_storage_class_specifier] = STATE(2810),
    [sym_type_qualifier] = STATE(2810),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2810),
    [sym_block_pointer_field_declarator] = STATE(4910),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2810),
    [aux_sym_pointer_declarator_repeat1] = STATE(2538),
    [sym_identifier] = ACTIONS(6411),
    [anon_sym_LPAREN2] = ACTIONS(6413),
    [anon_sym_STAR] = ACTIONS(6415),
    [anon_sym_CARET] = ACTIONS(6417),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2534] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(5960),
    [sym__declarator] = STATE(3080),
    [sym__abstract_declarator] = STATE(4979),
    [sym_parenthesized_declarator] = STATE(3082),
    [sym_abstract_parenthesized_declarator] = STATE(4850),
    [sym_pointer_declarator] = STATE(3082),
    [sym_abstract_pointer_declarator] = STATE(4850),
    [sym_function_declarator] = STATE(3082),
    [sym_abstract_function_declarator] = STATE(4850),
    [sym_array_declarator] = STATE(3082),
    [sym_abstract_array_declarator] = STATE(4850),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(4274),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_declarator] = STATE(3082),
    [sym_abstract_block_pointer_declarator] = STATE(4850),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(5469),
    [anon_sym_COMMA] = ACTIONS(6282),
    [anon_sym_RPAREN] = ACTIONS(6282),
    [anon_sym_LPAREN2] = ACTIONS(5471),
    [anon_sym_STAR] = ACTIONS(5473),
    [anon_sym_CARET] = ACTIONS(5475),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(4216),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2535] = {
    [sym__declaration_modifiers] = STATE(2819),
    [sym_attribute_specifier] = STATE(2819),
    [sym_attribute_declaration] = STATE(2819),
    [sym_ms_declspec_modifier] = STATE(2819),
    [sym_ms_based_modifier] = STATE(6267),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2901),
    [sym__field_declarator] = STATE(5023),
    [sym_parenthesized_field_declarator] = STATE(4910),
    [sym_attributed_field_declarator] = STATE(4910),
    [sym_pointer_field_declarator] = STATE(4910),
    [sym_function_field_declarator] = STATE(4910),
    [sym_array_field_declarator] = STATE(4910),
    [sym_storage_class_specifier] = STATE(2819),
    [sym_type_qualifier] = STATE(2819),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2819),
    [sym_block_pointer_field_declarator] = STATE(4910),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2819),
    [aux_sym_pointer_declarator_repeat1] = STATE(2901),
    [sym_identifier] = ACTIONS(6411),
    [anon_sym_LPAREN2] = ACTIONS(6413),
    [anon_sym_STAR] = ACTIONS(6419),
    [anon_sym_CARET] = ACTIONS(6421),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2536] = {
    [sym__declaration_modifiers] = STATE(2819),
    [sym_attribute_specifier] = STATE(2819),
    [sym_attribute_declaration] = STATE(2819),
    [sym_ms_declspec_modifier] = STATE(2819),
    [sym_ms_based_modifier] = STATE(6267),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2537),
    [sym__field_declarator] = STATE(5023),
    [sym_parenthesized_field_declarator] = STATE(4910),
    [sym_attributed_field_declarator] = STATE(4910),
    [sym_pointer_field_declarator] = STATE(4910),
    [sym_function_field_declarator] = STATE(4910),
    [sym_array_field_declarator] = STATE(4910),
    [sym_storage_class_specifier] = STATE(2819),
    [sym_type_qualifier] = STATE(2819),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2819),
    [sym_block_pointer_field_declarator] = STATE(4910),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2819),
    [aux_sym_pointer_declarator_repeat1] = STATE(2537),
    [sym_identifier] = ACTIONS(6411),
    [anon_sym_LPAREN2] = ACTIONS(6413),
    [anon_sym_STAR] = ACTIONS(6419),
    [anon_sym_CARET] = ACTIONS(6421),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2537] = {
    [sym__declaration_modifiers] = STATE(2813),
    [sym_attribute_specifier] = STATE(2813),
    [sym_attribute_declaration] = STATE(2813),
    [sym_ms_declspec_modifier] = STATE(2813),
    [sym_ms_based_modifier] = STATE(6267),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2901),
    [sym__field_declarator] = STATE(5049),
    [sym_parenthesized_field_declarator] = STATE(4910),
    [sym_attributed_field_declarator] = STATE(4910),
    [sym_pointer_field_declarator] = STATE(4910),
    [sym_function_field_declarator] = STATE(4910),
    [sym_array_field_declarator] = STATE(4910),
    [sym_storage_class_specifier] = STATE(2813),
    [sym_type_qualifier] = STATE(2813),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2813),
    [sym_block_pointer_field_declarator] = STATE(4910),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2813),
    [aux_sym_pointer_declarator_repeat1] = STATE(2901),
    [sym_identifier] = ACTIONS(6411),
    [anon_sym_LPAREN2] = ACTIONS(6413),
    [anon_sym_STAR] = ACTIONS(6419),
    [anon_sym_CARET] = ACTIONS(6421),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2538] = {
    [sym__declaration_modifiers] = STATE(2804),
    [sym_attribute_specifier] = STATE(2804),
    [sym_attribute_declaration] = STATE(2804),
    [sym_ms_declspec_modifier] = STATE(2804),
    [sym_ms_based_modifier] = STATE(6012),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2901),
    [sym__field_declarator] = STATE(4864),
    [sym_parenthesized_field_declarator] = STATE(4910),
    [sym_attributed_field_declarator] = STATE(4910),
    [sym_pointer_field_declarator] = STATE(4910),
    [sym_function_field_declarator] = STATE(4910),
    [sym_array_field_declarator] = STATE(4910),
    [sym_storage_class_specifier] = STATE(2804),
    [sym_type_qualifier] = STATE(2804),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2804),
    [sym_block_pointer_field_declarator] = STATE(4910),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2804),
    [aux_sym_pointer_declarator_repeat1] = STATE(2901),
    [sym_identifier] = ACTIONS(6411),
    [anon_sym_LPAREN2] = ACTIONS(6413),
    [anon_sym_STAR] = ACTIONS(6415),
    [anon_sym_CARET] = ACTIONS(6417),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2539] = {
    [sym__declaration_modifiers] = STATE(2804),
    [sym_attribute_specifier] = STATE(2804),
    [sym_attribute_declaration] = STATE(2804),
    [sym_ms_declspec_modifier] = STATE(2804),
    [sym_ms_based_modifier] = STATE(6012),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2551),
    [sym__field_declarator] = STATE(4864),
    [sym_parenthesized_field_declarator] = STATE(4910),
    [sym_attributed_field_declarator] = STATE(4910),
    [sym_pointer_field_declarator] = STATE(4910),
    [sym_function_field_declarator] = STATE(4910),
    [sym_array_field_declarator] = STATE(4910),
    [sym_storage_class_specifier] = STATE(2804),
    [sym_type_qualifier] = STATE(2804),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2804),
    [sym_block_pointer_field_declarator] = STATE(4910),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2804),
    [aux_sym_pointer_declarator_repeat1] = STATE(2551),
    [sym_identifier] = ACTIONS(6411),
    [anon_sym_LPAREN2] = ACTIONS(6413),
    [anon_sym_STAR] = ACTIONS(6415),
    [anon_sym_CARET] = ACTIONS(6417),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2540] = {
    [sym_type_qualifier] = STATE(2552),
    [sym_alignas_qualifier] = STATE(3521),
    [sym_expression] = STATE(4540),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_array_declarator_repeat1] = STATE(2552),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(6423),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6335),
    [anon_sym_noreturn] = ACTIONS(6337),
    [anon_sym_LBRACK] = ACTIONS(6385),
    [anon_sym_RBRACK] = ACTIONS(6425),
    [anon_sym_static] = ACTIONS(6427),
    [anon_sym_const] = ACTIONS(6343),
    [anon_sym_constexpr] = ACTIONS(6337),
    [anon_sym_volatile] = ACTIONS(6337),
    [anon_sym_restrict] = ACTIONS(6337),
    [anon_sym___restrict__] = ACTIONS(6337),
    [anon_sym__Atomic] = ACTIONS(6337),
    [anon_sym__Noreturn] = ACTIONS(6337),
    [anon_sym__Nonnull] = ACTIONS(6337),
    [anon_sym_nullable] = ACTIONS(6337),
    [anon_sym__Complex] = ACTIONS(6337),
    [anon_sym__Nullable] = ACTIONS(6337),
    [anon_sym__Nullable_result] = ACTIONS(6337),
    [anon_sym__Null_unspecified] = ACTIONS(6337),
    [anon_sym___autoreleasing] = ACTIONS(6337),
    [anon_sym___block] = ACTIONS(6337),
    [anon_sym___bridge] = ACTIONS(6337),
    [anon_sym___bridge_retained] = ACTIONS(6337),
    [anon_sym___bridge_transfer] = ACTIONS(6337),
    [anon_sym___complex] = ACTIONS(6337),
    [anon_sym___const] = ACTIONS(6337),
    [anon_sym___imag] = ACTIONS(6345),
    [anon_sym___kindof] = ACTIONS(6337),
    [anon_sym___nonnull] = ACTIONS(6337),
    [anon_sym___nullable] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6337),
    [anon_sym___real] = ACTIONS(6345),
    [anon_sym___strong] = ACTIONS(6337),
    [anon_sym___unsafe_unretained] = ACTIONS(6337),
    [anon_sym___unused] = ACTIONS(6337),
    [anon_sym___weak] = ACTIONS(6337),
    [anon_sym_alignas] = ACTIONS(6347),
    [anon_sym__Alignas] = ACTIONS(6347),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2541] = {
    [sym_type_qualifier] = STATE(2543),
    [sym_alignas_qualifier] = STATE(3521),
    [sym_expression] = STATE(4559),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_array_declarator_repeat1] = STATE(2543),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(6429),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6335),
    [anon_sym_noreturn] = ACTIONS(6337),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACK] = ACTIONS(6431),
    [anon_sym_static] = ACTIONS(6433),
    [anon_sym_const] = ACTIONS(6343),
    [anon_sym_constexpr] = ACTIONS(6337),
    [anon_sym_volatile] = ACTIONS(6337),
    [anon_sym_restrict] = ACTIONS(6337),
    [anon_sym___restrict__] = ACTIONS(6337),
    [anon_sym__Atomic] = ACTIONS(6337),
    [anon_sym__Noreturn] = ACTIONS(6337),
    [anon_sym__Nonnull] = ACTIONS(6337),
    [anon_sym_nullable] = ACTIONS(6337),
    [anon_sym__Complex] = ACTIONS(6337),
    [anon_sym__Nullable] = ACTIONS(6337),
    [anon_sym__Nullable_result] = ACTIONS(6337),
    [anon_sym__Null_unspecified] = ACTIONS(6337),
    [anon_sym___autoreleasing] = ACTIONS(6337),
    [anon_sym___block] = ACTIONS(6337),
    [anon_sym___bridge] = ACTIONS(6337),
    [anon_sym___bridge_retained] = ACTIONS(6337),
    [anon_sym___bridge_transfer] = ACTIONS(6337),
    [anon_sym___complex] = ACTIONS(6337),
    [anon_sym___const] = ACTIONS(6337),
    [anon_sym___imag] = ACTIONS(6345),
    [anon_sym___kindof] = ACTIONS(6337),
    [anon_sym___nonnull] = ACTIONS(6337),
    [anon_sym___nullable] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6337),
    [anon_sym___real] = ACTIONS(6345),
    [anon_sym___strong] = ACTIONS(6337),
    [anon_sym___unsafe_unretained] = ACTIONS(6337),
    [anon_sym___unused] = ACTIONS(6337),
    [anon_sym___weak] = ACTIONS(6337),
    [anon_sym_alignas] = ACTIONS(6347),
    [anon_sym__Alignas] = ACTIONS(6347),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2542] = {
    [sym_type_qualifier] = STATE(2548),
    [sym_alignas_qualifier] = STATE(3521),
    [sym_expression] = STATE(4571),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_array_declarator_repeat1] = STATE(2548),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(6333),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6335),
    [anon_sym_noreturn] = ACTIONS(6337),
    [anon_sym_LBRACK] = ACTIONS(6385),
    [anon_sym_RBRACK] = ACTIONS(6391),
    [anon_sym_static] = ACTIONS(6341),
    [anon_sym_const] = ACTIONS(6343),
    [anon_sym_constexpr] = ACTIONS(6337),
    [anon_sym_volatile] = ACTIONS(6337),
    [anon_sym_restrict] = ACTIONS(6337),
    [anon_sym___restrict__] = ACTIONS(6337),
    [anon_sym__Atomic] = ACTIONS(6337),
    [anon_sym__Noreturn] = ACTIONS(6337),
    [anon_sym__Nonnull] = ACTIONS(6337),
    [anon_sym_nullable] = ACTIONS(6337),
    [anon_sym__Complex] = ACTIONS(6337),
    [anon_sym__Nullable] = ACTIONS(6337),
    [anon_sym__Nullable_result] = ACTIONS(6337),
    [anon_sym__Null_unspecified] = ACTIONS(6337),
    [anon_sym___autoreleasing] = ACTIONS(6337),
    [anon_sym___block] = ACTIONS(6337),
    [anon_sym___bridge] = ACTIONS(6337),
    [anon_sym___bridge_retained] = ACTIONS(6337),
    [anon_sym___bridge_transfer] = ACTIONS(6337),
    [anon_sym___complex] = ACTIONS(6337),
    [anon_sym___const] = ACTIONS(6337),
    [anon_sym___imag] = ACTIONS(6345),
    [anon_sym___kindof] = ACTIONS(6337),
    [anon_sym___nonnull] = ACTIONS(6337),
    [anon_sym___nullable] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6337),
    [anon_sym___real] = ACTIONS(6345),
    [anon_sym___strong] = ACTIONS(6337),
    [anon_sym___unsafe_unretained] = ACTIONS(6337),
    [anon_sym___unused] = ACTIONS(6337),
    [anon_sym___weak] = ACTIONS(6337),
    [anon_sym_alignas] = ACTIONS(6347),
    [anon_sym__Alignas] = ACTIONS(6347),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2543] = {
    [sym_type_qualifier] = STATE(3338),
    [sym_alignas_qualifier] = STATE(3521),
    [sym_expression] = STATE(4560),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_array_declarator_repeat1] = STATE(3338),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(6435),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6335),
    [anon_sym_noreturn] = ACTIONS(6337),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACK] = ACTIONS(6437),
    [anon_sym_static] = ACTIONS(6405),
    [anon_sym_const] = ACTIONS(6343),
    [anon_sym_constexpr] = ACTIONS(6337),
    [anon_sym_volatile] = ACTIONS(6337),
    [anon_sym_restrict] = ACTIONS(6337),
    [anon_sym___restrict__] = ACTIONS(6337),
    [anon_sym__Atomic] = ACTIONS(6337),
    [anon_sym__Noreturn] = ACTIONS(6337),
    [anon_sym__Nonnull] = ACTIONS(6337),
    [anon_sym_nullable] = ACTIONS(6337),
    [anon_sym__Complex] = ACTIONS(6337),
    [anon_sym__Nullable] = ACTIONS(6337),
    [anon_sym__Nullable_result] = ACTIONS(6337),
    [anon_sym__Null_unspecified] = ACTIONS(6337),
    [anon_sym___autoreleasing] = ACTIONS(6337),
    [anon_sym___block] = ACTIONS(6337),
    [anon_sym___bridge] = ACTIONS(6337),
    [anon_sym___bridge_retained] = ACTIONS(6337),
    [anon_sym___bridge_transfer] = ACTIONS(6337),
    [anon_sym___complex] = ACTIONS(6337),
    [anon_sym___const] = ACTIONS(6337),
    [anon_sym___imag] = ACTIONS(6345),
    [anon_sym___kindof] = ACTIONS(6337),
    [anon_sym___nonnull] = ACTIONS(6337),
    [anon_sym___nullable] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6337),
    [anon_sym___real] = ACTIONS(6345),
    [anon_sym___strong] = ACTIONS(6337),
    [anon_sym___unsafe_unretained] = ACTIONS(6337),
    [anon_sym___unused] = ACTIONS(6337),
    [anon_sym___weak] = ACTIONS(6337),
    [anon_sym_alignas] = ACTIONS(6347),
    [anon_sym__Alignas] = ACTIONS(6347),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2544] = {
    [sym_type_qualifier] = STATE(3338),
    [sym_alignas_qualifier] = STATE(3521),
    [sym_expression] = STATE(4529),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_array_declarator_repeat1] = STATE(3338),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(6439),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6335),
    [anon_sym_noreturn] = ACTIONS(6337),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACK] = ACTIONS(6441),
    [anon_sym_static] = ACTIONS(6405),
    [anon_sym_const] = ACTIONS(6343),
    [anon_sym_constexpr] = ACTIONS(6337),
    [anon_sym_volatile] = ACTIONS(6337),
    [anon_sym_restrict] = ACTIONS(6337),
    [anon_sym___restrict__] = ACTIONS(6337),
    [anon_sym__Atomic] = ACTIONS(6337),
    [anon_sym__Noreturn] = ACTIONS(6337),
    [anon_sym__Nonnull] = ACTIONS(6337),
    [anon_sym_nullable] = ACTIONS(6337),
    [anon_sym__Complex] = ACTIONS(6337),
    [anon_sym__Nullable] = ACTIONS(6337),
    [anon_sym__Nullable_result] = ACTIONS(6337),
    [anon_sym__Null_unspecified] = ACTIONS(6337),
    [anon_sym___autoreleasing] = ACTIONS(6337),
    [anon_sym___block] = ACTIONS(6337),
    [anon_sym___bridge] = ACTIONS(6337),
    [anon_sym___bridge_retained] = ACTIONS(6337),
    [anon_sym___bridge_transfer] = ACTIONS(6337),
    [anon_sym___complex] = ACTIONS(6337),
    [anon_sym___const] = ACTIONS(6337),
    [anon_sym___imag] = ACTIONS(6345),
    [anon_sym___kindof] = ACTIONS(6337),
    [anon_sym___nonnull] = ACTIONS(6337),
    [anon_sym___nullable] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6337),
    [anon_sym___real] = ACTIONS(6345),
    [anon_sym___strong] = ACTIONS(6337),
    [anon_sym___unsafe_unretained] = ACTIONS(6337),
    [anon_sym___unused] = ACTIONS(6337),
    [anon_sym___weak] = ACTIONS(6337),
    [anon_sym_alignas] = ACTIONS(6347),
    [anon_sym__Alignas] = ACTIONS(6347),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2545] = {
    [sym_type_qualifier] = STATE(2532),
    [sym_alignas_qualifier] = STATE(3521),
    [sym_expression] = STATE(4534),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_array_declarator_repeat1] = STATE(2532),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(6443),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6335),
    [anon_sym_noreturn] = ACTIONS(6337),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACK] = ACTIONS(6445),
    [anon_sym_static] = ACTIONS(6447),
    [anon_sym_const] = ACTIONS(6343),
    [anon_sym_constexpr] = ACTIONS(6337),
    [anon_sym_volatile] = ACTIONS(6337),
    [anon_sym_restrict] = ACTIONS(6337),
    [anon_sym___restrict__] = ACTIONS(6337),
    [anon_sym__Atomic] = ACTIONS(6337),
    [anon_sym__Noreturn] = ACTIONS(6337),
    [anon_sym__Nonnull] = ACTIONS(6337),
    [anon_sym_nullable] = ACTIONS(6337),
    [anon_sym__Complex] = ACTIONS(6337),
    [anon_sym__Nullable] = ACTIONS(6337),
    [anon_sym__Nullable_result] = ACTIONS(6337),
    [anon_sym__Null_unspecified] = ACTIONS(6337),
    [anon_sym___autoreleasing] = ACTIONS(6337),
    [anon_sym___block] = ACTIONS(6337),
    [anon_sym___bridge] = ACTIONS(6337),
    [anon_sym___bridge_retained] = ACTIONS(6337),
    [anon_sym___bridge_transfer] = ACTIONS(6337),
    [anon_sym___complex] = ACTIONS(6337),
    [anon_sym___const] = ACTIONS(6337),
    [anon_sym___imag] = ACTIONS(6345),
    [anon_sym___kindof] = ACTIONS(6337),
    [anon_sym___nonnull] = ACTIONS(6337),
    [anon_sym___nullable] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6337),
    [anon_sym___real] = ACTIONS(6345),
    [anon_sym___strong] = ACTIONS(6337),
    [anon_sym___unsafe_unretained] = ACTIONS(6337),
    [anon_sym___unused] = ACTIONS(6337),
    [anon_sym___weak] = ACTIONS(6337),
    [anon_sym_alignas] = ACTIONS(6347),
    [anon_sym__Alignas] = ACTIONS(6347),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2546] = {
    [sym_type_qualifier] = STATE(2532),
    [sym_alignas_qualifier] = STATE(3521),
    [sym_expression] = STATE(4534),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_array_declarator_repeat1] = STATE(2532),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(6443),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6335),
    [anon_sym_noreturn] = ACTIONS(6337),
    [anon_sym_LBRACK] = ACTIONS(6385),
    [anon_sym_RBRACK] = ACTIONS(6445),
    [anon_sym_static] = ACTIONS(6447),
    [anon_sym_const] = ACTIONS(6343),
    [anon_sym_constexpr] = ACTIONS(6337),
    [anon_sym_volatile] = ACTIONS(6337),
    [anon_sym_restrict] = ACTIONS(6337),
    [anon_sym___restrict__] = ACTIONS(6337),
    [anon_sym__Atomic] = ACTIONS(6337),
    [anon_sym__Noreturn] = ACTIONS(6337),
    [anon_sym__Nonnull] = ACTIONS(6337),
    [anon_sym_nullable] = ACTIONS(6337),
    [anon_sym__Complex] = ACTIONS(6337),
    [anon_sym__Nullable] = ACTIONS(6337),
    [anon_sym__Nullable_result] = ACTIONS(6337),
    [anon_sym__Null_unspecified] = ACTIONS(6337),
    [anon_sym___autoreleasing] = ACTIONS(6337),
    [anon_sym___block] = ACTIONS(6337),
    [anon_sym___bridge] = ACTIONS(6337),
    [anon_sym___bridge_retained] = ACTIONS(6337),
    [anon_sym___bridge_transfer] = ACTIONS(6337),
    [anon_sym___complex] = ACTIONS(6337),
    [anon_sym___const] = ACTIONS(6337),
    [anon_sym___imag] = ACTIONS(6345),
    [anon_sym___kindof] = ACTIONS(6337),
    [anon_sym___nonnull] = ACTIONS(6337),
    [anon_sym___nullable] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6337),
    [anon_sym___real] = ACTIONS(6345),
    [anon_sym___strong] = ACTIONS(6337),
    [anon_sym___unsafe_unretained] = ACTIONS(6337),
    [anon_sym___unused] = ACTIONS(6337),
    [anon_sym___weak] = ACTIONS(6337),
    [anon_sym_alignas] = ACTIONS(6347),
    [anon_sym__Alignas] = ACTIONS(6347),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2547] = {
    [sym_protocol_reference_list] = STATE(2949),
    [sym_identifier] = ACTIONS(6324),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4138),
    [anon_sym_COMMA] = ACTIONS(4138),
    [anon_sym_LPAREN2] = ACTIONS(6326),
    [anon_sym_DASH] = ACTIONS(4136),
    [anon_sym_PLUS] = ACTIONS(4136),
    [anon_sym_STAR] = ACTIONS(6326),
    [anon_sym_SLASH] = ACTIONS(4136),
    [anon_sym_PERCENT] = ACTIONS(4138),
    [anon_sym_PIPE_PIPE] = ACTIONS(4138),
    [anon_sym_AMP_AMP] = ACTIONS(4138),
    [anon_sym_PIPE] = ACTIONS(4136),
    [anon_sym_CARET] = ACTIONS(6326),
    [anon_sym_AMP] = ACTIONS(4136),
    [anon_sym_EQ_EQ] = ACTIONS(4138),
    [anon_sym_BANG_EQ] = ACTIONS(4138),
    [anon_sym_GT] = ACTIONS(4136),
    [anon_sym_GT_EQ] = ACTIONS(4138),
    [anon_sym_LT_EQ] = ACTIONS(4138),
    [anon_sym_LT] = ACTIONS(6328),
    [anon_sym_LT_LT] = ACTIONS(4138),
    [anon_sym_GT_GT] = ACTIONS(4138),
    [anon_sym_SEMI] = ACTIONS(4138),
    [anon_sym___extension__] = ACTIONS(6324),
    [anon_sym_extern] = ACTIONS(6324),
    [anon_sym___attribute__] = ACTIONS(6324),
    [anon_sym___attribute] = ACTIONS(6324),
    [anon_sym_noreturn] = ACTIONS(6324),
    [anon_sym_LBRACK] = ACTIONS(6326),
    [anon_sym___declspec] = ACTIONS(6324),
    [anon_sym___based] = ACTIONS(6324),
    [anon_sym_static] = ACTIONS(6324),
    [anon_sym_auto] = ACTIONS(6324),
    [anon_sym_register] = ACTIONS(6324),
    [anon_sym_inline] = ACTIONS(6324),
    [anon_sym___inline] = ACTIONS(6324),
    [anon_sym___inline__] = ACTIONS(6324),
    [anon_sym___forceinline] = ACTIONS(6324),
    [anon_sym_thread_local] = ACTIONS(6324),
    [anon_sym___thread] = ACTIONS(6324),
    [anon_sym_CG_EXTERN] = ACTIONS(6324),
    [anon_sym_CG_INLINE] = ACTIONS(6324),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6324),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6324),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6324),
    [anon_sym_IBOutlet] = ACTIONS(6324),
    [anon_sym_IBInspectable] = ACTIONS(6324),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6324),
    [anon_sym_NS_INLINE] = ACTIONS(6324),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6324),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6324),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6324),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6324),
    [anon_sym_const] = ACTIONS(6324),
    [anon_sym_constexpr] = ACTIONS(6324),
    [anon_sym_volatile] = ACTIONS(6324),
    [anon_sym_restrict] = ACTIONS(6324),
    [anon_sym___restrict__] = ACTIONS(6324),
    [anon_sym__Atomic] = ACTIONS(6324),
    [anon_sym__Noreturn] = ACTIONS(6324),
    [anon_sym__Nonnull] = ACTIONS(6324),
    [anon_sym_nullable] = ACTIONS(6324),
    [anon_sym__Complex] = ACTIONS(6324),
    [anon_sym__Nullable] = ACTIONS(6324),
    [anon_sym__Nullable_result] = ACTIONS(6324),
    [anon_sym__Null_unspecified] = ACTIONS(6324),
    [anon_sym___autoreleasing] = ACTIONS(6324),
    [anon_sym___block] = ACTIONS(6324),
    [anon_sym___bridge] = ACTIONS(6324),
    [anon_sym___bridge_retained] = ACTIONS(6324),
    [anon_sym___bridge_transfer] = ACTIONS(6324),
    [anon_sym___complex] = ACTIONS(6324),
    [anon_sym___const] = ACTIONS(6324),
    [anon_sym___imag] = ACTIONS(6324),
    [anon_sym___kindof] = ACTIONS(6324),
    [anon_sym___nonnull] = ACTIONS(6324),
    [anon_sym___nullable] = ACTIONS(6324),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6324),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6324),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6324),
    [anon_sym___real] = ACTIONS(6324),
    [anon_sym___strong] = ACTIONS(6324),
    [anon_sym___unsafe_unretained] = ACTIONS(6324),
    [anon_sym___unused] = ACTIONS(6324),
    [anon_sym___weak] = ACTIONS(6324),
    [anon_sym_alignas] = ACTIONS(6324),
    [anon_sym__Alignas] = ACTIONS(6324),
    [anon_sym_QMARK] = ACTIONS(4138),
    [anon_sym_DASH_DASH] = ACTIONS(4138),
    [anon_sym_PLUS_PLUS] = ACTIONS(4138),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_DASH_GT] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6324),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6324),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6324),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6324),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6324),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6324),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6324),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6324),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6324),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6324),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6324),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6324),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6324),
    [anon_sym_API_AVAILABLE] = ACTIONS(6324),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6324),
    [anon_sym_API_DEPRECATED] = ACTIONS(6324),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6324),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6324),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6324),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6324),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6324),
    [anon_sym___deprecated_msg] = ACTIONS(6324),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6324),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6324),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6324),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6324),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6324),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6324),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6324),
  },
  [2548] = {
    [sym_type_qualifier] = STATE(3338),
    [sym_alignas_qualifier] = STATE(3521),
    [sym_expression] = STATE(4526),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_array_declarator_repeat1] = STATE(3338),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(6449),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6335),
    [anon_sym_noreturn] = ACTIONS(6337),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACK] = ACTIONS(6451),
    [anon_sym_static] = ACTIONS(6405),
    [anon_sym_const] = ACTIONS(6343),
    [anon_sym_constexpr] = ACTIONS(6337),
    [anon_sym_volatile] = ACTIONS(6337),
    [anon_sym_restrict] = ACTIONS(6337),
    [anon_sym___restrict__] = ACTIONS(6337),
    [anon_sym__Atomic] = ACTIONS(6337),
    [anon_sym__Noreturn] = ACTIONS(6337),
    [anon_sym__Nonnull] = ACTIONS(6337),
    [anon_sym_nullable] = ACTIONS(6337),
    [anon_sym__Complex] = ACTIONS(6337),
    [anon_sym__Nullable] = ACTIONS(6337),
    [anon_sym__Nullable_result] = ACTIONS(6337),
    [anon_sym__Null_unspecified] = ACTIONS(6337),
    [anon_sym___autoreleasing] = ACTIONS(6337),
    [anon_sym___block] = ACTIONS(6337),
    [anon_sym___bridge] = ACTIONS(6337),
    [anon_sym___bridge_retained] = ACTIONS(6337),
    [anon_sym___bridge_transfer] = ACTIONS(6337),
    [anon_sym___complex] = ACTIONS(6337),
    [anon_sym___const] = ACTIONS(6337),
    [anon_sym___imag] = ACTIONS(6345),
    [anon_sym___kindof] = ACTIONS(6337),
    [anon_sym___nonnull] = ACTIONS(6337),
    [anon_sym___nullable] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6337),
    [anon_sym___real] = ACTIONS(6345),
    [anon_sym___strong] = ACTIONS(6337),
    [anon_sym___unsafe_unretained] = ACTIONS(6337),
    [anon_sym___unused] = ACTIONS(6337),
    [anon_sym___weak] = ACTIONS(6337),
    [anon_sym_alignas] = ACTIONS(6347),
    [anon_sym__Alignas] = ACTIONS(6347),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2549] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3968),
    [sym__abstract_declarator] = STATE(4986),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_abstract_parenthesized_declarator] = STATE(4850),
    [sym_pointer_declarator] = STATE(3994),
    [sym_abstract_pointer_declarator] = STATE(4850),
    [sym_function_declarator] = STATE(3994),
    [sym_abstract_function_declarator] = STATE(4850),
    [sym_array_declarator] = STATE(3994),
    [sym_abstract_array_declarator] = STATE(4850),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(4301),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_abstract_block_pointer_declarator] = STATE(4850),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_STAR] = ACTIONS(5359),
    [anon_sym_CARET] = ACTIONS(5361),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(4216),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_LBRACE] = ACTIONS(6282),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_ATautoreleasepool] = ACTIONS(6282),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2550] = {
    [sym_type_qualifier] = STATE(2553),
    [sym_alignas_qualifier] = STATE(3521),
    [sym_expression] = STATE(4527),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_array_declarator_repeat1] = STATE(2553),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(6453),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6335),
    [anon_sym_noreturn] = ACTIONS(6337),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACK] = ACTIONS(6455),
    [anon_sym_static] = ACTIONS(6457),
    [anon_sym_const] = ACTIONS(6343),
    [anon_sym_constexpr] = ACTIONS(6337),
    [anon_sym_volatile] = ACTIONS(6337),
    [anon_sym_restrict] = ACTIONS(6337),
    [anon_sym___restrict__] = ACTIONS(6337),
    [anon_sym__Atomic] = ACTIONS(6337),
    [anon_sym__Noreturn] = ACTIONS(6337),
    [anon_sym__Nonnull] = ACTIONS(6337),
    [anon_sym_nullable] = ACTIONS(6337),
    [anon_sym__Complex] = ACTIONS(6337),
    [anon_sym__Nullable] = ACTIONS(6337),
    [anon_sym__Nullable_result] = ACTIONS(6337),
    [anon_sym__Null_unspecified] = ACTIONS(6337),
    [anon_sym___autoreleasing] = ACTIONS(6337),
    [anon_sym___block] = ACTIONS(6337),
    [anon_sym___bridge] = ACTIONS(6337),
    [anon_sym___bridge_retained] = ACTIONS(6337),
    [anon_sym___bridge_transfer] = ACTIONS(6337),
    [anon_sym___complex] = ACTIONS(6337),
    [anon_sym___const] = ACTIONS(6337),
    [anon_sym___imag] = ACTIONS(6345),
    [anon_sym___kindof] = ACTIONS(6337),
    [anon_sym___nonnull] = ACTIONS(6337),
    [anon_sym___nullable] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6337),
    [anon_sym___real] = ACTIONS(6345),
    [anon_sym___strong] = ACTIONS(6337),
    [anon_sym___unsafe_unretained] = ACTIONS(6337),
    [anon_sym___unused] = ACTIONS(6337),
    [anon_sym___weak] = ACTIONS(6337),
    [anon_sym_alignas] = ACTIONS(6347),
    [anon_sym__Alignas] = ACTIONS(6347),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2551] = {
    [sym__declaration_modifiers] = STATE(2817),
    [sym_attribute_specifier] = STATE(2817),
    [sym_attribute_declaration] = STATE(2817),
    [sym_ms_declspec_modifier] = STATE(2817),
    [sym_ms_based_modifier] = STATE(6012),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2901),
    [sym__field_declarator] = STATE(4865),
    [sym_parenthesized_field_declarator] = STATE(4910),
    [sym_attributed_field_declarator] = STATE(4910),
    [sym_pointer_field_declarator] = STATE(4910),
    [sym_function_field_declarator] = STATE(4910),
    [sym_array_field_declarator] = STATE(4910),
    [sym_storage_class_specifier] = STATE(2817),
    [sym_type_qualifier] = STATE(2817),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2817),
    [sym_block_pointer_field_declarator] = STATE(4910),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2817),
    [aux_sym_pointer_declarator_repeat1] = STATE(2901),
    [sym_identifier] = ACTIONS(6411),
    [anon_sym_LPAREN2] = ACTIONS(6413),
    [anon_sym_STAR] = ACTIONS(6415),
    [anon_sym_CARET] = ACTIONS(6417),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2552] = {
    [sym_type_qualifier] = STATE(3338),
    [sym_alignas_qualifier] = STATE(3521),
    [sym_expression] = STATE(4551),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_array_declarator_repeat1] = STATE(3338),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(6459),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6335),
    [anon_sym_noreturn] = ACTIONS(6337),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACK] = ACTIONS(6461),
    [anon_sym_static] = ACTIONS(6405),
    [anon_sym_const] = ACTIONS(6343),
    [anon_sym_constexpr] = ACTIONS(6337),
    [anon_sym_volatile] = ACTIONS(6337),
    [anon_sym_restrict] = ACTIONS(6337),
    [anon_sym___restrict__] = ACTIONS(6337),
    [anon_sym__Atomic] = ACTIONS(6337),
    [anon_sym__Noreturn] = ACTIONS(6337),
    [anon_sym__Nonnull] = ACTIONS(6337),
    [anon_sym_nullable] = ACTIONS(6337),
    [anon_sym__Complex] = ACTIONS(6337),
    [anon_sym__Nullable] = ACTIONS(6337),
    [anon_sym__Nullable_result] = ACTIONS(6337),
    [anon_sym__Null_unspecified] = ACTIONS(6337),
    [anon_sym___autoreleasing] = ACTIONS(6337),
    [anon_sym___block] = ACTIONS(6337),
    [anon_sym___bridge] = ACTIONS(6337),
    [anon_sym___bridge_retained] = ACTIONS(6337),
    [anon_sym___bridge_transfer] = ACTIONS(6337),
    [anon_sym___complex] = ACTIONS(6337),
    [anon_sym___const] = ACTIONS(6337),
    [anon_sym___imag] = ACTIONS(6345),
    [anon_sym___kindof] = ACTIONS(6337),
    [anon_sym___nonnull] = ACTIONS(6337),
    [anon_sym___nullable] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6337),
    [anon_sym___real] = ACTIONS(6345),
    [anon_sym___strong] = ACTIONS(6337),
    [anon_sym___unsafe_unretained] = ACTIONS(6337),
    [anon_sym___unused] = ACTIONS(6337),
    [anon_sym___weak] = ACTIONS(6337),
    [anon_sym_alignas] = ACTIONS(6347),
    [anon_sym__Alignas] = ACTIONS(6347),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2553] = {
    [sym_type_qualifier] = STATE(3338),
    [sym_alignas_qualifier] = STATE(3521),
    [sym_expression] = STATE(4525),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_array_declarator_repeat1] = STATE(3338),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(6463),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6335),
    [anon_sym_noreturn] = ACTIONS(6337),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACK] = ACTIONS(6465),
    [anon_sym_static] = ACTIONS(6405),
    [anon_sym_const] = ACTIONS(6343),
    [anon_sym_constexpr] = ACTIONS(6337),
    [anon_sym_volatile] = ACTIONS(6337),
    [anon_sym_restrict] = ACTIONS(6337),
    [anon_sym___restrict__] = ACTIONS(6337),
    [anon_sym__Atomic] = ACTIONS(6337),
    [anon_sym__Noreturn] = ACTIONS(6337),
    [anon_sym__Nonnull] = ACTIONS(6337),
    [anon_sym_nullable] = ACTIONS(6337),
    [anon_sym__Complex] = ACTIONS(6337),
    [anon_sym__Nullable] = ACTIONS(6337),
    [anon_sym__Nullable_result] = ACTIONS(6337),
    [anon_sym__Null_unspecified] = ACTIONS(6337),
    [anon_sym___autoreleasing] = ACTIONS(6337),
    [anon_sym___block] = ACTIONS(6337),
    [anon_sym___bridge] = ACTIONS(6337),
    [anon_sym___bridge_retained] = ACTIONS(6337),
    [anon_sym___bridge_transfer] = ACTIONS(6337),
    [anon_sym___complex] = ACTIONS(6337),
    [anon_sym___const] = ACTIONS(6337),
    [anon_sym___imag] = ACTIONS(6345),
    [anon_sym___kindof] = ACTIONS(6337),
    [anon_sym___nonnull] = ACTIONS(6337),
    [anon_sym___nullable] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6337),
    [anon_sym___real] = ACTIONS(6345),
    [anon_sym___strong] = ACTIONS(6337),
    [anon_sym___unsafe_unretained] = ACTIONS(6337),
    [anon_sym___unused] = ACTIONS(6337),
    [anon_sym___weak] = ACTIONS(6337),
    [anon_sym_alignas] = ACTIONS(6347),
    [anon_sym__Alignas] = ACTIONS(6347),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2554] = {
    [sym__declaration_modifiers] = STATE(2807),
    [sym_attribute_specifier] = STATE(2807),
    [sym_attribute_declaration] = STATE(2807),
    [sym_ms_declspec_modifier] = STATE(2807),
    [sym_ms_based_modifier] = STATE(6267),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2535),
    [sym__field_declarator] = STATE(5039),
    [sym_parenthesized_field_declarator] = STATE(4910),
    [sym_attributed_field_declarator] = STATE(4910),
    [sym_pointer_field_declarator] = STATE(4910),
    [sym_function_field_declarator] = STATE(4910),
    [sym_array_field_declarator] = STATE(4910),
    [sym_storage_class_specifier] = STATE(2807),
    [sym_type_qualifier] = STATE(2807),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2807),
    [sym_block_pointer_field_declarator] = STATE(4910),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2807),
    [aux_sym_pointer_declarator_repeat1] = STATE(2535),
    [sym_identifier] = ACTIONS(6411),
    [anon_sym_LPAREN2] = ACTIONS(6413),
    [anon_sym_STAR] = ACTIONS(6419),
    [anon_sym_CARET] = ACTIONS(6421),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2555] = {
    [sym_attribute_declaration] = STATE(2463),
    [sym_compound_statement] = STATE(968),
    [sym_attributed_statement] = STATE(968),
    [sym_labeled_statement] = STATE(968),
    [sym_expression_statement] = STATE(968),
    [sym_if_statement] = STATE(968),
    [sym_switch_statement] = STATE(968),
    [sym_while_statement] = STATE(968),
    [sym_do_statement] = STATE(968),
    [sym_for_statement] = STATE(968),
    [sym_return_statement] = STATE(968),
    [sym_break_statement] = STATE(968),
    [sym_continue_statement] = STATE(968),
    [sym_goto_statement] = STATE(968),
    [sym_expression] = STATE(4461),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6022),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(968),
    [sym_throw_statement] = STATE(968),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(968),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(968),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2134),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_switch] = ACTIONS(71),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(85),
    [anon_sym_break] = ACTIONS(87),
    [anon_sym_continue] = ACTIONS(89),
    [anon_sym_goto] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2138),
    [anon_sym___try] = ACTIONS(2140),
    [anon_sym_ATthrow] = ACTIONS(2142),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2144),
    [anon_sym_id] = ACTIONS(203),
  },
  [2556] = {
    [sym_type_qualifier] = STATE(2604),
    [sym_alignas_qualifier] = STATE(3521),
    [sym_expression] = STATE(4536),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(2604),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6335),
    [anon_sym_noreturn] = ACTIONS(6337),
    [anon_sym_LBRACK] = ACTIONS(6393),
    [anon_sym_RBRACK] = ACTIONS(6467),
    [anon_sym_const] = ACTIONS(6469),
    [anon_sym_constexpr] = ACTIONS(6337),
    [anon_sym_volatile] = ACTIONS(6337),
    [anon_sym_restrict] = ACTIONS(6337),
    [anon_sym___restrict__] = ACTIONS(6337),
    [anon_sym__Atomic] = ACTIONS(6337),
    [anon_sym__Noreturn] = ACTIONS(6337),
    [anon_sym__Nonnull] = ACTIONS(6337),
    [anon_sym_nullable] = ACTIONS(6337),
    [anon_sym__Complex] = ACTIONS(6337),
    [anon_sym__Nullable] = ACTIONS(6337),
    [anon_sym__Nullable_result] = ACTIONS(6337),
    [anon_sym__Null_unspecified] = ACTIONS(6337),
    [anon_sym___autoreleasing] = ACTIONS(6337),
    [anon_sym___block] = ACTIONS(6337),
    [anon_sym___bridge] = ACTIONS(6337),
    [anon_sym___bridge_retained] = ACTIONS(6337),
    [anon_sym___bridge_transfer] = ACTIONS(6337),
    [anon_sym___complex] = ACTIONS(6337),
    [anon_sym___const] = ACTIONS(6337),
    [anon_sym___imag] = ACTIONS(6345),
    [anon_sym___kindof] = ACTIONS(6337),
    [anon_sym___nonnull] = ACTIONS(6337),
    [anon_sym___nullable] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6337),
    [anon_sym___real] = ACTIONS(6345),
    [anon_sym___strong] = ACTIONS(6337),
    [anon_sym___unsafe_unretained] = ACTIONS(6337),
    [anon_sym___unused] = ACTIONS(6337),
    [anon_sym___weak] = ACTIONS(6337),
    [anon_sym_alignas] = ACTIONS(6347),
    [anon_sym__Alignas] = ACTIONS(6347),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2557] = {
    [sym_attribute_declaration] = STATE(2478),
    [sym_compound_statement] = STATE(1166),
    [sym_attributed_statement] = STATE(1168),
    [sym_labeled_statement] = STATE(1173),
    [sym_expression_statement] = STATE(1105),
    [sym_if_statement] = STATE(1106),
    [sym_switch_statement] = STATE(1108),
    [sym_while_statement] = STATE(1112),
    [sym_do_statement] = STATE(1129),
    [sym_for_statement] = STATE(1148),
    [sym_return_statement] = STATE(1151),
    [sym_break_statement] = STATE(1152),
    [sym_continue_statement] = STATE(1154),
    [sym_goto_statement] = STATE(1155),
    [sym_expression] = STATE(4441),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(5933),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(1156),
    [sym_throw_statement] = STATE(1157),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(1159),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(1160),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2478),
    [sym_identifier] = ACTIONS(6176),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2088),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(2094),
    [anon_sym_ATautoreleasepool] = ACTIONS(2096),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(2098),
    [anon_sym_switch] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_do] = ACTIONS(2104),
    [anon_sym_for] = ACTIONS(2106),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(2108),
    [anon_sym_break] = ACTIONS(2110),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_goto] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(2116),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2118),
    [anon_sym___try] = ACTIONS(2120),
    [anon_sym_ATthrow] = ACTIONS(2122),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2124),
    [anon_sym_id] = ACTIONS(203),
  },
  [2558] = {
    [sym__declaration_modifiers] = STATE(2841),
    [sym_attribute_specifier] = STATE(2841),
    [sym_attribute_declaration] = STATE(2841),
    [sym_ms_declspec_modifier] = STATE(2841),
    [sym_ms_based_modifier] = STATE(6208),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2562),
    [sym__declarator] = STATE(5057),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_storage_class_specifier] = STATE(2841),
    [sym_type_qualifier] = STATE(2841),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2841),
    [sym_block_pointer_declarator] = STATE(3994),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2841),
    [aux_sym_pointer_declarator_repeat1] = STATE(2562),
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(4492),
    [anon_sym_CARET] = ACTIONS(4494),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2559] = {
    [sym_protocol_reference_list] = STATE(2949),
    [sym_identifier] = ACTIONS(6324),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4138),
    [anon_sym_LPAREN2] = ACTIONS(6326),
    [anon_sym_DASH] = ACTIONS(4136),
    [anon_sym_PLUS] = ACTIONS(4136),
    [anon_sym_STAR] = ACTIONS(6326),
    [anon_sym_SLASH] = ACTIONS(4136),
    [anon_sym_PERCENT] = ACTIONS(4138),
    [anon_sym_PIPE_PIPE] = ACTIONS(4138),
    [anon_sym_AMP_AMP] = ACTIONS(4138),
    [anon_sym_PIPE] = ACTIONS(4136),
    [anon_sym_CARET] = ACTIONS(6326),
    [anon_sym_AMP] = ACTIONS(4136),
    [anon_sym_EQ_EQ] = ACTIONS(4138),
    [anon_sym_BANG_EQ] = ACTIONS(4138),
    [anon_sym_GT] = ACTIONS(4136),
    [anon_sym_GT_EQ] = ACTIONS(4138),
    [anon_sym_LT_EQ] = ACTIONS(4138),
    [anon_sym_LT] = ACTIONS(6328),
    [anon_sym_LT_LT] = ACTIONS(4138),
    [anon_sym_GT_GT] = ACTIONS(4138),
    [anon_sym_SEMI] = ACTIONS(6326),
    [anon_sym___extension__] = ACTIONS(6324),
    [anon_sym_extern] = ACTIONS(6324),
    [anon_sym___attribute__] = ACTIONS(6324),
    [anon_sym___attribute] = ACTIONS(6324),
    [anon_sym_noreturn] = ACTIONS(6324),
    [anon_sym_LBRACK] = ACTIONS(6326),
    [anon_sym___declspec] = ACTIONS(6324),
    [anon_sym___based] = ACTIONS(6324),
    [anon_sym_static] = ACTIONS(6324),
    [anon_sym_auto] = ACTIONS(6324),
    [anon_sym_register] = ACTIONS(6324),
    [anon_sym_inline] = ACTIONS(6324),
    [anon_sym___inline] = ACTIONS(6324),
    [anon_sym___inline__] = ACTIONS(6324),
    [anon_sym___forceinline] = ACTIONS(6324),
    [anon_sym_thread_local] = ACTIONS(6324),
    [anon_sym___thread] = ACTIONS(6324),
    [anon_sym_CG_EXTERN] = ACTIONS(6324),
    [anon_sym_CG_INLINE] = ACTIONS(6324),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6324),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6324),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6324),
    [anon_sym_IBOutlet] = ACTIONS(6324),
    [anon_sym_IBInspectable] = ACTIONS(6324),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6324),
    [anon_sym_NS_INLINE] = ACTIONS(6324),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6324),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6324),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6324),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6324),
    [anon_sym_const] = ACTIONS(6324),
    [anon_sym_constexpr] = ACTIONS(6324),
    [anon_sym_volatile] = ACTIONS(6324),
    [anon_sym_restrict] = ACTIONS(6324),
    [anon_sym___restrict__] = ACTIONS(6324),
    [anon_sym__Atomic] = ACTIONS(6324),
    [anon_sym__Noreturn] = ACTIONS(6324),
    [anon_sym__Nonnull] = ACTIONS(6324),
    [anon_sym_nullable] = ACTIONS(6324),
    [anon_sym__Complex] = ACTIONS(6324),
    [anon_sym__Nullable] = ACTIONS(6324),
    [anon_sym__Nullable_result] = ACTIONS(6324),
    [anon_sym__Null_unspecified] = ACTIONS(6324),
    [anon_sym___autoreleasing] = ACTIONS(6324),
    [anon_sym___block] = ACTIONS(6324),
    [anon_sym___bridge] = ACTIONS(6324),
    [anon_sym___bridge_retained] = ACTIONS(6324),
    [anon_sym___bridge_transfer] = ACTIONS(6324),
    [anon_sym___complex] = ACTIONS(6324),
    [anon_sym___const] = ACTIONS(6324),
    [anon_sym___imag] = ACTIONS(6324),
    [anon_sym___kindof] = ACTIONS(6324),
    [anon_sym___nonnull] = ACTIONS(6324),
    [anon_sym___nullable] = ACTIONS(6324),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6324),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6324),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6324),
    [anon_sym___real] = ACTIONS(6324),
    [anon_sym___strong] = ACTIONS(6324),
    [anon_sym___unsafe_unretained] = ACTIONS(6324),
    [anon_sym___unused] = ACTIONS(6324),
    [anon_sym___weak] = ACTIONS(6324),
    [anon_sym_alignas] = ACTIONS(6324),
    [anon_sym__Alignas] = ACTIONS(6324),
    [anon_sym_QMARK] = ACTIONS(4138),
    [anon_sym_DASH_DASH] = ACTIONS(4138),
    [anon_sym_PLUS_PLUS] = ACTIONS(4138),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_DASH_GT] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6324),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6324),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6324),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6324),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6324),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6324),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6324),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6324),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6324),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6324),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6324),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6324),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6324),
    [anon_sym_API_AVAILABLE] = ACTIONS(6324),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6324),
    [anon_sym_API_DEPRECATED] = ACTIONS(6324),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6324),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6324),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6324),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6324),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6324),
    [anon_sym___deprecated_msg] = ACTIONS(6324),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6324),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6324),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6324),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6324),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6324),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6324),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6324),
  },
  [2560] = {
    [sym_attribute_declaration] = STATE(2471),
    [sym_compound_statement] = STATE(427),
    [sym_attributed_statement] = STATE(428),
    [sym_labeled_statement] = STATE(429),
    [sym_expression_statement] = STATE(430),
    [sym_if_statement] = STATE(431),
    [sym_switch_statement] = STATE(432),
    [sym_while_statement] = STATE(433),
    [sym_do_statement] = STATE(434),
    [sym_for_statement] = STATE(435),
    [sym_return_statement] = STATE(436),
    [sym_break_statement] = STATE(437),
    [sym_continue_statement] = STATE(438),
    [sym_goto_statement] = STATE(439),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(440),
    [sym_throw_statement] = STATE(441),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(442),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(407),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [sym_identifier] = ACTIONS(5939),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_id] = ACTIONS(203),
  },
  [2561] = {
    [sym_attribute_declaration] = STATE(2463),
    [sym_compound_statement] = STATE(969),
    [sym_attributed_statement] = STATE(970),
    [sym_labeled_statement] = STATE(971),
    [sym_expression_statement] = STATE(972),
    [sym_if_statement] = STATE(973),
    [sym_switch_statement] = STATE(974),
    [sym_while_statement] = STATE(975),
    [sym_do_statement] = STATE(976),
    [sym_for_statement] = STATE(977),
    [sym_return_statement] = STATE(978),
    [sym_break_statement] = STATE(926),
    [sym_continue_statement] = STATE(952),
    [sym_goto_statement] = STATE(979),
    [sym_expression] = STATE(4461),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6022),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(933),
    [sym_throw_statement] = STATE(951),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(966),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(967),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2463),
    [sym_identifier] = ACTIONS(5710),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2134),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(69),
    [anon_sym_switch] = ACTIONS(71),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(85),
    [anon_sym_break] = ACTIONS(87),
    [anon_sym_continue] = ACTIONS(89),
    [anon_sym_goto] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2138),
    [anon_sym___try] = ACTIONS(2140),
    [anon_sym_ATthrow] = ACTIONS(2142),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2144),
    [anon_sym_id] = ACTIONS(203),
  },
  [2562] = {
    [sym__declaration_modifiers] = STATE(2843),
    [sym_attribute_specifier] = STATE(2843),
    [sym_attribute_declaration] = STATE(2843),
    [sym_ms_declspec_modifier] = STATE(2843),
    [sym_ms_based_modifier] = STATE(6208),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2901),
    [sym__declarator] = STATE(5064),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_storage_class_specifier] = STATE(2843),
    [sym_type_qualifier] = STATE(2843),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2843),
    [sym_block_pointer_declarator] = STATE(3994),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2843),
    [aux_sym_pointer_declarator_repeat1] = STATE(2901),
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(4492),
    [anon_sym_CARET] = ACTIONS(4494),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2563] = {
    [sym__declaration_modifiers] = STATE(2843),
    [sym_attribute_specifier] = STATE(2843),
    [sym_attribute_declaration] = STATE(2843),
    [sym_ms_declspec_modifier] = STATE(2843),
    [sym_ms_based_modifier] = STATE(6208),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2564),
    [sym__declarator] = STATE(5064),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_storage_class_specifier] = STATE(2843),
    [sym_type_qualifier] = STATE(2843),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2843),
    [sym_block_pointer_declarator] = STATE(3994),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2843),
    [aux_sym_pointer_declarator_repeat1] = STATE(2564),
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(4492),
    [anon_sym_CARET] = ACTIONS(4494),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2564] = {
    [sym__declaration_modifiers] = STATE(2844),
    [sym_attribute_specifier] = STATE(2844),
    [sym_attribute_declaration] = STATE(2844),
    [sym_ms_declspec_modifier] = STATE(2844),
    [sym_ms_based_modifier] = STATE(6208),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2901),
    [sym__declarator] = STATE(5041),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_storage_class_specifier] = STATE(2844),
    [sym_type_qualifier] = STATE(2844),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2844),
    [sym_block_pointer_declarator] = STATE(3994),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2844),
    [aux_sym_pointer_declarator_repeat1] = STATE(2901),
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(4492),
    [anon_sym_CARET] = ACTIONS(4494),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2565] = {
    [sym_type_qualifier] = STATE(2604),
    [sym_alignas_qualifier] = STATE(3521),
    [sym_expression] = STATE(4536),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(2604),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6335),
    [anon_sym_noreturn] = ACTIONS(6337),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACK] = ACTIONS(6467),
    [anon_sym_const] = ACTIONS(6469),
    [anon_sym_constexpr] = ACTIONS(6337),
    [anon_sym_volatile] = ACTIONS(6337),
    [anon_sym_restrict] = ACTIONS(6337),
    [anon_sym___restrict__] = ACTIONS(6337),
    [anon_sym__Atomic] = ACTIONS(6337),
    [anon_sym__Noreturn] = ACTIONS(6337),
    [anon_sym__Nonnull] = ACTIONS(6337),
    [anon_sym_nullable] = ACTIONS(6337),
    [anon_sym__Complex] = ACTIONS(6337),
    [anon_sym__Nullable] = ACTIONS(6337),
    [anon_sym__Nullable_result] = ACTIONS(6337),
    [anon_sym__Null_unspecified] = ACTIONS(6337),
    [anon_sym___autoreleasing] = ACTIONS(6337),
    [anon_sym___block] = ACTIONS(6337),
    [anon_sym___bridge] = ACTIONS(6337),
    [anon_sym___bridge_retained] = ACTIONS(6337),
    [anon_sym___bridge_transfer] = ACTIONS(6337),
    [anon_sym___complex] = ACTIONS(6337),
    [anon_sym___const] = ACTIONS(6337),
    [anon_sym___imag] = ACTIONS(6345),
    [anon_sym___kindof] = ACTIONS(6337),
    [anon_sym___nonnull] = ACTIONS(6337),
    [anon_sym___nullable] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6337),
    [anon_sym___real] = ACTIONS(6345),
    [anon_sym___strong] = ACTIONS(6337),
    [anon_sym___unsafe_unretained] = ACTIONS(6337),
    [anon_sym___unused] = ACTIONS(6337),
    [anon_sym___weak] = ACTIONS(6337),
    [anon_sym_alignas] = ACTIONS(6347),
    [anon_sym__Alignas] = ACTIONS(6347),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2566] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(6208),
    [sym__declarator] = STATE(5064),
    [sym__abstract_declarator] = STATE(4979),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_abstract_parenthesized_declarator] = STATE(4850),
    [sym_pointer_declarator] = STATE(3994),
    [sym_abstract_pointer_declarator] = STATE(4850),
    [sym_function_declarator] = STATE(3994),
    [sym_abstract_function_declarator] = STATE(4850),
    [sym_array_declarator] = STATE(3994),
    [sym_abstract_array_declarator] = STATE(4850),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(4274),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_abstract_block_pointer_declarator] = STATE(4850),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_RPAREN] = ACTIONS(6282),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_STAR] = ACTIONS(4212),
    [anon_sym_CARET] = ACTIONS(4214),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(4216),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2567] = {
    [sym_attribute_declaration] = STATE(2442),
    [sym_compound_statement] = STATE(968),
    [sym_attributed_statement] = STATE(968),
    [sym_labeled_statement] = STATE(968),
    [sym_expression_statement] = STATE(968),
    [sym_if_statement] = STATE(968),
    [sym_switch_statement] = STATE(968),
    [sym_while_statement] = STATE(968),
    [sym_do_statement] = STATE(968),
    [sym_for_statement] = STATE(968),
    [sym_return_statement] = STATE(968),
    [sym_break_statement] = STATE(968),
    [sym_continue_statement] = STATE(968),
    [sym_goto_statement] = STATE(968),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(968),
    [sym_throw_statement] = STATE(968),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(968),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(968),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2442),
    [sym_identifier] = ACTIONS(5714),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(71),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(85),
    [anon_sym_break] = ACTIONS(87),
    [anon_sym_continue] = ACTIONS(89),
    [anon_sym_goto] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2214),
    [anon_sym___try] = ACTIONS(2216),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2218),
    [anon_sym_id] = ACTIONS(203),
  },
  [2568] = {
    [sym_attribute_declaration] = STATE(2442),
    [sym_compound_statement] = STATE(969),
    [sym_attributed_statement] = STATE(970),
    [sym_labeled_statement] = STATE(971),
    [sym_expression_statement] = STATE(972),
    [sym_if_statement] = STATE(973),
    [sym_switch_statement] = STATE(974),
    [sym_while_statement] = STATE(975),
    [sym_do_statement] = STATE(976),
    [sym_for_statement] = STATE(977),
    [sym_return_statement] = STATE(978),
    [sym_break_statement] = STATE(926),
    [sym_continue_statement] = STATE(952),
    [sym_goto_statement] = STATE(979),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(933),
    [sym_throw_statement] = STATE(951),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(966),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(967),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2442),
    [sym_identifier] = ACTIONS(5714),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(71),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(85),
    [anon_sym_break] = ACTIONS(87),
    [anon_sym_continue] = ACTIONS(89),
    [anon_sym_goto] = ACTIONS(91),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2214),
    [anon_sym___try] = ACTIONS(2216),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2218),
    [anon_sym_id] = ACTIONS(203),
  },
  [2569] = {
    [sym__declaration_modifiers] = STATE(2834),
    [sym_attribute_specifier] = STATE(2834),
    [sym_attribute_declaration] = STATE(2834),
    [sym_ms_declspec_modifier] = STATE(2834),
    [sym_ms_based_modifier] = STATE(5997),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2901),
    [sym__declarator] = STATE(3977),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_storage_class_specifier] = STATE(2834),
    [sym_type_qualifier] = STATE(2834),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2834),
    [sym_block_pointer_declarator] = STATE(3994),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2834),
    [aux_sym_pointer_declarator_repeat1] = STATE(2901),
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2570] = {
    [sym_attribute_declaration] = STATE(2460),
    [sym_compound_statement] = STATE(777),
    [sym_attributed_statement] = STATE(805),
    [sym_labeled_statement] = STATE(820),
    [sym_expression_statement] = STATE(821),
    [sym_if_statement] = STATE(828),
    [sym_switch_statement] = STATE(770),
    [sym_while_statement] = STATE(771),
    [sym_do_statement] = STATE(692),
    [sym_for_statement] = STATE(693),
    [sym_return_statement] = STATE(694),
    [sym_break_statement] = STATE(695),
    [sym_continue_statement] = STATE(699),
    [sym_goto_statement] = STATE(704),
    [sym_expression] = STATE(4485),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6796),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(705),
    [sym_throw_statement] = STATE(706),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(713),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(714),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2460),
    [sym_identifier] = ACTIONS(5854),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(1934),
    [anon_sym_ATautoreleasepool] = ACTIONS(1936),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(1938),
    [anon_sym_switch] = ACTIONS(1940),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_for] = ACTIONS(1946),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(1948),
    [anon_sym_break] = ACTIONS(1950),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1954),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(1958),
    [anon_sym___try] = ACTIONS(1960),
    [anon_sym_ATthrow] = ACTIONS(1962),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(1964),
    [anon_sym_id] = ACTIONS(203),
  },
  [2571] = {
    [sym__declaration_modifiers] = STATE(2832),
    [sym_attribute_specifier] = STATE(2832),
    [sym_attribute_declaration] = STATE(2832),
    [sym_ms_declspec_modifier] = STATE(2832),
    [sym_ms_based_modifier] = STATE(5960),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2578),
    [sym__declarator] = STATE(3074),
    [sym_parenthesized_declarator] = STATE(3082),
    [sym_pointer_declarator] = STATE(3082),
    [sym_function_declarator] = STATE(3082),
    [sym_array_declarator] = STATE(3082),
    [sym_storage_class_specifier] = STATE(2832),
    [sym_type_qualifier] = STATE(2832),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2832),
    [sym_block_pointer_declarator] = STATE(3082),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2832),
    [aux_sym_pointer_declarator_repeat1] = STATE(2578),
    [sym_identifier] = ACTIONS(5469),
    [anon_sym_LPAREN2] = ACTIONS(6475),
    [anon_sym_STAR] = ACTIONS(6477),
    [anon_sym_CARET] = ACTIONS(6479),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2572] = {
    [sym_attribute_specifier] = STATE(2688),
    [sym_gnu_asm_expression] = STATE(2690),
    [aux_sym_function_declarator_repeat1] = STATE(2688),
    [sym_identifier] = ACTIONS(6481),
    [anon_sym_COMMA] = ACTIONS(6483),
    [anon_sym_LPAREN2] = ACTIONS(6483),
    [anon_sym_SEMI] = ACTIONS(6483),
    [anon_sym___extension__] = ACTIONS(6481),
    [anon_sym_extern] = ACTIONS(6481),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6481),
    [anon_sym_LBRACK] = ACTIONS(6483),
    [anon_sym___declspec] = ACTIONS(6481),
    [anon_sym_LBRACE] = ACTIONS(6483),
    [anon_sym_signed] = ACTIONS(6481),
    [anon_sym_unsigned] = ACTIONS(6481),
    [anon_sym_long] = ACTIONS(6481),
    [anon_sym_short] = ACTIONS(6481),
    [anon_sym_static] = ACTIONS(6481),
    [anon_sym_EQ] = ACTIONS(6483),
    [anon_sym_ATautoreleasepool] = ACTIONS(6483),
    [anon_sym_auto] = ACTIONS(6481),
    [anon_sym_register] = ACTIONS(6481),
    [anon_sym_inline] = ACTIONS(6481),
    [anon_sym___inline] = ACTIONS(6481),
    [anon_sym___inline__] = ACTIONS(6481),
    [anon_sym___forceinline] = ACTIONS(6481),
    [anon_sym_thread_local] = ACTIONS(6481),
    [anon_sym___thread] = ACTIONS(6481),
    [anon_sym_CG_EXTERN] = ACTIONS(6481),
    [anon_sym_CG_INLINE] = ACTIONS(6481),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6481),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6481),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6481),
    [anon_sym_IBOutlet] = ACTIONS(6481),
    [anon_sym_IBInspectable] = ACTIONS(6481),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6481),
    [anon_sym_NS_INLINE] = ACTIONS(6481),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6481),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6481),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6481),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6481),
    [anon_sym_const] = ACTIONS(6481),
    [anon_sym_constexpr] = ACTIONS(6481),
    [anon_sym_volatile] = ACTIONS(6481),
    [anon_sym_restrict] = ACTIONS(6481),
    [anon_sym___restrict__] = ACTIONS(6481),
    [anon_sym__Atomic] = ACTIONS(6481),
    [anon_sym__Noreturn] = ACTIONS(6481),
    [anon_sym__Nonnull] = ACTIONS(6481),
    [anon_sym_nullable] = ACTIONS(6481),
    [anon_sym__Complex] = ACTIONS(6481),
    [anon_sym__Nullable] = ACTIONS(6481),
    [anon_sym__Nullable_result] = ACTIONS(6481),
    [anon_sym__Null_unspecified] = ACTIONS(6481),
    [anon_sym___autoreleasing] = ACTIONS(6481),
    [anon_sym___block] = ACTIONS(6481),
    [anon_sym___bridge] = ACTIONS(6481),
    [anon_sym___bridge_retained] = ACTIONS(6481),
    [anon_sym___bridge_transfer] = ACTIONS(6481),
    [anon_sym___complex] = ACTIONS(6481),
    [anon_sym___const] = ACTIONS(6481),
    [anon_sym___imag] = ACTIONS(6481),
    [anon_sym___kindof] = ACTIONS(6481),
    [anon_sym___nonnull] = ACTIONS(6481),
    [anon_sym___nullable] = ACTIONS(6481),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6481),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6481),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6481),
    [anon_sym___real] = ACTIONS(6481),
    [anon_sym___strong] = ACTIONS(6481),
    [anon_sym___unsafe_unretained] = ACTIONS(6481),
    [anon_sym___unused] = ACTIONS(6481),
    [anon_sym___weak] = ACTIONS(6481),
    [anon_sym_alignas] = ACTIONS(6481),
    [anon_sym__Alignas] = ACTIONS(6481),
    [sym_primitive_type] = ACTIONS(6481),
    [anon_sym_enum] = ACTIONS(6481),
    [anon_sym_struct] = ACTIONS(6481),
    [anon_sym_union] = ACTIONS(6481),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6481),
    [anon_sym___typeof] = ACTIONS(6481),
    [anon_sym_typeof] = ACTIONS(6481),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6481),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6481),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6481),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6481),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6481),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6481),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6481),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6481),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6481),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6481),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6481),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6481),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6481),
    [anon_sym_API_AVAILABLE] = ACTIONS(6481),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6481),
    [anon_sym_API_DEPRECATED] = ACTIONS(6481),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6481),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6481),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6481),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6481),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6481),
    [anon_sym___deprecated_msg] = ACTIONS(6481),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6481),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6481),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6481),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6481),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6481),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6481),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6481),
    [anon_sym_BOOL] = ACTIONS(6481),
    [anon_sym_IMP] = ACTIONS(6481),
    [anon_sym_SEL] = ACTIONS(6481),
    [anon_sym_Class] = ACTIONS(6481),
    [anon_sym_id] = ACTIONS(6481),
  },
  [2573] = {
    [sym__declaration_modifiers] = STATE(2828),
    [sym_attribute_specifier] = STATE(2828),
    [sym_attribute_declaration] = STATE(2828),
    [sym_ms_declspec_modifier] = STATE(2828),
    [sym_ms_based_modifier] = STATE(5997),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2901),
    [sym__declarator] = STATE(3968),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_storage_class_specifier] = STATE(2828),
    [sym_type_qualifier] = STATE(2828),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2828),
    [sym_block_pointer_declarator] = STATE(3994),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2828),
    [aux_sym_pointer_declarator_repeat1] = STATE(2901),
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2574] = {
    [sym_attribute_declaration] = STATE(2460),
    [sym_compound_statement] = STATE(772),
    [sym_attributed_statement] = STATE(772),
    [sym_labeled_statement] = STATE(772),
    [sym_expression_statement] = STATE(772),
    [sym_if_statement] = STATE(772),
    [sym_switch_statement] = STATE(772),
    [sym_while_statement] = STATE(772),
    [sym_do_statement] = STATE(772),
    [sym_for_statement] = STATE(772),
    [sym_return_statement] = STATE(772),
    [sym_break_statement] = STATE(772),
    [sym_continue_statement] = STATE(772),
    [sym_goto_statement] = STATE(772),
    [sym_expression] = STATE(4485),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6796),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(772),
    [sym_throw_statement] = STATE(772),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(772),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(772),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2460),
    [sym_identifier] = ACTIONS(5854),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1928),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(1934),
    [anon_sym_ATautoreleasepool] = ACTIONS(1936),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(1938),
    [anon_sym_switch] = ACTIONS(1940),
    [anon_sym_while] = ACTIONS(1942),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_for] = ACTIONS(1946),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(1948),
    [anon_sym_break] = ACTIONS(1950),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_goto] = ACTIONS(1954),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(1956),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(1958),
    [anon_sym___try] = ACTIONS(1960),
    [anon_sym_ATthrow] = ACTIONS(1962),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(1964),
    [anon_sym_id] = ACTIONS(203),
  },
  [2575] = {
    [sym__declaration_modifiers] = STATE(2830),
    [sym_attribute_specifier] = STATE(2830),
    [sym_attribute_declaration] = STATE(2830),
    [sym_ms_declspec_modifier] = STATE(2830),
    [sym_ms_based_modifier] = STATE(6231),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2593),
    [sym__declarator] = STATE(2717),
    [sym_parenthesized_declarator] = STATE(2789),
    [sym_pointer_declarator] = STATE(2789),
    [sym_function_declarator] = STATE(2789),
    [sym_array_declarator] = STATE(2789),
    [sym_storage_class_specifier] = STATE(2830),
    [sym_type_qualifier] = STATE(2830),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2830),
    [sym_block_pointer_declarator] = STATE(2789),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2830),
    [aux_sym_pointer_declarator_repeat1] = STATE(2593),
    [sym_identifier] = ACTIONS(6485),
    [anon_sym_LPAREN2] = ACTIONS(6487),
    [anon_sym_STAR] = ACTIONS(6489),
    [anon_sym_CARET] = ACTIONS(6491),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2576] = {
    [sym_attribute_declaration] = STATE(2455),
    [sym_compound_statement] = STATE(783),
    [sym_attributed_statement] = STATE(784),
    [sym_labeled_statement] = STATE(785),
    [sym_expression_statement] = STATE(786),
    [sym_if_statement] = STATE(787),
    [sym_switch_statement] = STATE(789),
    [sym_while_statement] = STATE(790),
    [sym_do_statement] = STATE(791),
    [sym_for_statement] = STATE(792),
    [sym_return_statement] = STATE(793),
    [sym_break_statement] = STATE(794),
    [sym_continue_statement] = STATE(795),
    [sym_goto_statement] = STATE(796),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(797),
    [sym_throw_statement] = STATE(798),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(799),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(800),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [sym_identifier] = ACTIONS(6001),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_id] = ACTIONS(203),
  },
  [2577] = {
    [sym_attribute_declaration] = STATE(2449),
    [sym_compound_statement] = STATE(256),
    [sym_attributed_statement] = STATE(257),
    [sym_labeled_statement] = STATE(258),
    [sym_expression_statement] = STATE(259),
    [sym_if_statement] = STATE(260),
    [sym_switch_statement] = STATE(261),
    [sym_while_statement] = STATE(262),
    [sym_do_statement] = STATE(263),
    [sym_for_statement] = STATE(264),
    [sym_return_statement] = STATE(265),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(267),
    [sym_goto_statement] = STATE(268),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(272),
    [sym_throw_statement] = STATE(273),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(216),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(243),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [sym_identifier] = ACTIONS(5937),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_id] = ACTIONS(203),
  },
  [2578] = {
    [sym__declaration_modifiers] = STATE(2838),
    [sym_attribute_specifier] = STATE(2838),
    [sym_attribute_declaration] = STATE(2838),
    [sym_ms_declspec_modifier] = STATE(2838),
    [sym_ms_based_modifier] = STATE(5960),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2901),
    [sym__declarator] = STATE(3080),
    [sym_parenthesized_declarator] = STATE(3082),
    [sym_pointer_declarator] = STATE(3082),
    [sym_function_declarator] = STATE(3082),
    [sym_array_declarator] = STATE(3082),
    [sym_storage_class_specifier] = STATE(2838),
    [sym_type_qualifier] = STATE(2838),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2838),
    [sym_block_pointer_declarator] = STATE(3082),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2838),
    [aux_sym_pointer_declarator_repeat1] = STATE(2901),
    [sym_identifier] = ACTIONS(5469),
    [anon_sym_LPAREN2] = ACTIONS(6475),
    [anon_sym_STAR] = ACTIONS(6477),
    [anon_sym_CARET] = ACTIONS(6479),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2579] = {
    [sym__declaration_modifiers] = STATE(2838),
    [sym_attribute_specifier] = STATE(2838),
    [sym_attribute_declaration] = STATE(2838),
    [sym_ms_declspec_modifier] = STATE(2838),
    [sym_ms_based_modifier] = STATE(5960),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2591),
    [sym__declarator] = STATE(3080),
    [sym_parenthesized_declarator] = STATE(3082),
    [sym_pointer_declarator] = STATE(3082),
    [sym_function_declarator] = STATE(3082),
    [sym_array_declarator] = STATE(3082),
    [sym_storage_class_specifier] = STATE(2838),
    [sym_type_qualifier] = STATE(2838),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2838),
    [sym_block_pointer_declarator] = STATE(3082),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2838),
    [aux_sym_pointer_declarator_repeat1] = STATE(2591),
    [sym_identifier] = ACTIONS(5469),
    [anon_sym_LPAREN2] = ACTIONS(6475),
    [anon_sym_STAR] = ACTIONS(6477),
    [anon_sym_CARET] = ACTIONS(6479),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2580] = {
    [sym_attribute_declaration] = STATE(2477),
    [sym_compound_statement] = STATE(573),
    [sym_attributed_statement] = STATE(573),
    [sym_labeled_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_switch_statement] = STATE(573),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_expression] = STATE(4447),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6524),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(573),
    [sym_throw_statement] = STATE(573),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(573),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(573),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2477),
    [sym_identifier] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(860),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(870),
    [anon_sym_ATautoreleasepool] = ACTIONS(872),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(882),
    [anon_sym_do] = ACTIONS(884),
    [anon_sym_for] = ACTIONS(886),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_break] = ACTIONS(890),
    [anon_sym_continue] = ACTIONS(892),
    [anon_sym_goto] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(896),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(914),
    [anon_sym___try] = ACTIONS(916),
    [anon_sym_ATthrow] = ACTIONS(918),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(920),
    [anon_sym_id] = ACTIONS(203),
  },
  [2581] = {
    [sym_attribute_declaration] = STATE(2478),
    [sym_compound_statement] = STATE(1164),
    [sym_attributed_statement] = STATE(1164),
    [sym_labeled_statement] = STATE(1164),
    [sym_expression_statement] = STATE(1164),
    [sym_if_statement] = STATE(1164),
    [sym_switch_statement] = STATE(1164),
    [sym_while_statement] = STATE(1164),
    [sym_do_statement] = STATE(1164),
    [sym_for_statement] = STATE(1164),
    [sym_return_statement] = STATE(1164),
    [sym_break_statement] = STATE(1164),
    [sym_continue_statement] = STATE(1164),
    [sym_goto_statement] = STATE(1164),
    [sym_expression] = STATE(4441),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(5933),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(1164),
    [sym_throw_statement] = STATE(1164),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(1164),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(1164),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2478),
    [sym_identifier] = ACTIONS(6176),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(2088),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(2094),
    [anon_sym_ATautoreleasepool] = ACTIONS(2096),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(2098),
    [anon_sym_switch] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_do] = ACTIONS(2104),
    [anon_sym_for] = ACTIONS(2106),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(2108),
    [anon_sym_break] = ACTIONS(2110),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_goto] = ACTIONS(2114),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(2116),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2118),
    [anon_sym___try] = ACTIONS(2120),
    [anon_sym_ATthrow] = ACTIONS(2122),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(2124),
    [anon_sym_id] = ACTIONS(203),
  },
  [2582] = {
    [sym__declaration_modifiers] = STATE(2854),
    [sym_attribute_specifier] = STATE(2854),
    [sym_attribute_declaration] = STATE(2854),
    [sym_ms_declspec_modifier] = STATE(2854),
    [sym_ms_based_modifier] = STATE(6666),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2901),
    [sym__declarator] = STATE(3226),
    [sym_parenthesized_declarator] = STATE(3082),
    [sym_pointer_declarator] = STATE(3082),
    [sym_function_declarator] = STATE(3082),
    [sym_array_declarator] = STATE(3082),
    [sym_storage_class_specifier] = STATE(2854),
    [sym_type_qualifier] = STATE(2854),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2854),
    [sym_block_pointer_declarator] = STATE(3082),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2854),
    [aux_sym_pointer_declarator_repeat1] = STATE(2901),
    [sym_identifier] = ACTIONS(5469),
    [anon_sym_LPAREN2] = ACTIONS(6475),
    [anon_sym_STAR] = ACTIONS(6493),
    [anon_sym_CARET] = ACTIONS(6495),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2583] = {
    [sym__declaration_modifiers] = STATE(2854),
    [sym_attribute_specifier] = STATE(2854),
    [sym_attribute_declaration] = STATE(2854),
    [sym_ms_declspec_modifier] = STATE(2854),
    [sym_ms_based_modifier] = STATE(6666),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2584),
    [sym__declarator] = STATE(3226),
    [sym_parenthesized_declarator] = STATE(3082),
    [sym_pointer_declarator] = STATE(3082),
    [sym_function_declarator] = STATE(3082),
    [sym_array_declarator] = STATE(3082),
    [sym_storage_class_specifier] = STATE(2854),
    [sym_type_qualifier] = STATE(2854),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2854),
    [sym_block_pointer_declarator] = STATE(3082),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2854),
    [aux_sym_pointer_declarator_repeat1] = STATE(2584),
    [sym_identifier] = ACTIONS(5469),
    [anon_sym_LPAREN2] = ACTIONS(6475),
    [anon_sym_STAR] = ACTIONS(6493),
    [anon_sym_CARET] = ACTIONS(6495),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2584] = {
    [sym__declaration_modifiers] = STATE(2856),
    [sym_attribute_specifier] = STATE(2856),
    [sym_attribute_declaration] = STATE(2856),
    [sym_ms_declspec_modifier] = STATE(2856),
    [sym_ms_based_modifier] = STATE(6666),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2901),
    [sym__declarator] = STATE(3221),
    [sym_parenthesized_declarator] = STATE(3082),
    [sym_pointer_declarator] = STATE(3082),
    [sym_function_declarator] = STATE(3082),
    [sym_array_declarator] = STATE(3082),
    [sym_storage_class_specifier] = STATE(2856),
    [sym_type_qualifier] = STATE(2856),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2856),
    [sym_block_pointer_declarator] = STATE(3082),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2856),
    [aux_sym_pointer_declarator_repeat1] = STATE(2901),
    [sym_identifier] = ACTIONS(5469),
    [anon_sym_LPAREN2] = ACTIONS(6475),
    [anon_sym_STAR] = ACTIONS(6493),
    [anon_sym_CARET] = ACTIONS(6495),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2585] = {
    [sym__declaration_modifiers] = STATE(2853),
    [sym_attribute_specifier] = STATE(2853),
    [sym_attribute_declaration] = STATE(2853),
    [sym_ms_declspec_modifier] = STATE(2853),
    [sym_ms_based_modifier] = STATE(6666),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2582),
    [sym__declarator] = STATE(3225),
    [sym_parenthesized_declarator] = STATE(3082),
    [sym_pointer_declarator] = STATE(3082),
    [sym_function_declarator] = STATE(3082),
    [sym_array_declarator] = STATE(3082),
    [sym_storage_class_specifier] = STATE(2853),
    [sym_type_qualifier] = STATE(2853),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2853),
    [sym_block_pointer_declarator] = STATE(3082),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2853),
    [aux_sym_pointer_declarator_repeat1] = STATE(2582),
    [sym_identifier] = ACTIONS(5469),
    [anon_sym_LPAREN2] = ACTIONS(6475),
    [anon_sym_STAR] = ACTIONS(6493),
    [anon_sym_CARET] = ACTIONS(6495),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2586] = {
    [sym__declaration_modifiers] = STATE(2827),
    [sym_attribute_specifier] = STATE(2827),
    [sym_attribute_declaration] = STATE(2827),
    [sym_ms_declspec_modifier] = STATE(2827),
    [sym_ms_based_modifier] = STATE(6231),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2589),
    [sym__declarator] = STATE(2714),
    [sym_parenthesized_declarator] = STATE(2789),
    [sym_pointer_declarator] = STATE(2789),
    [sym_function_declarator] = STATE(2789),
    [sym_array_declarator] = STATE(2789),
    [sym_storage_class_specifier] = STATE(2827),
    [sym_type_qualifier] = STATE(2827),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2827),
    [sym_block_pointer_declarator] = STATE(2789),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2827),
    [aux_sym_pointer_declarator_repeat1] = STATE(2589),
    [sym_identifier] = ACTIONS(6485),
    [anon_sym_LPAREN2] = ACTIONS(6487),
    [anon_sym_STAR] = ACTIONS(6489),
    [anon_sym_CARET] = ACTIONS(6491),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2587] = {
    [sym_attribute_declaration] = STATE(2477),
    [sym_compound_statement] = STATE(542),
    [sym_attributed_statement] = STATE(543),
    [sym_labeled_statement] = STATE(563),
    [sym_expression_statement] = STATE(558),
    [sym_if_statement] = STATE(565),
    [sym_switch_statement] = STATE(569),
    [sym_while_statement] = STATE(579),
    [sym_do_statement] = STATE(581),
    [sym_for_statement] = STATE(591),
    [sym_return_statement] = STATE(531),
    [sym_break_statement] = STATE(532),
    [sym_continue_statement] = STATE(533),
    [sym_goto_statement] = STATE(535),
    [sym_expression] = STATE(4447),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6524),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(538),
    [sym_throw_statement] = STATE(539),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(540),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(541),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2477),
    [sym_identifier] = ACTIONS(6063),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(860),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(870),
    [anon_sym_ATautoreleasepool] = ACTIONS(872),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(882),
    [anon_sym_do] = ACTIONS(884),
    [anon_sym_for] = ACTIONS(886),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_break] = ACTIONS(890),
    [anon_sym_continue] = ACTIONS(892),
    [anon_sym_goto] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(896),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(914),
    [anon_sym___try] = ACTIONS(916),
    [anon_sym_ATthrow] = ACTIONS(918),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(920),
    [anon_sym_id] = ACTIONS(203),
  },
  [2588] = {
    [sym__declaration_modifiers] = STATE(2828),
    [sym_attribute_specifier] = STATE(2828),
    [sym_attribute_declaration] = STATE(2828),
    [sym_ms_declspec_modifier] = STATE(2828),
    [sym_ms_based_modifier] = STATE(5997),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2569),
    [sym__declarator] = STATE(3968),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_storage_class_specifier] = STATE(2828),
    [sym_type_qualifier] = STATE(2828),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2828),
    [sym_block_pointer_declarator] = STATE(3994),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2828),
    [aux_sym_pointer_declarator_repeat1] = STATE(2569),
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2589] = {
    [sym__declaration_modifiers] = STATE(2830),
    [sym_attribute_specifier] = STATE(2830),
    [sym_attribute_declaration] = STATE(2830),
    [sym_ms_declspec_modifier] = STATE(2830),
    [sym_ms_based_modifier] = STATE(6231),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2901),
    [sym__declarator] = STATE(2717),
    [sym_parenthesized_declarator] = STATE(2789),
    [sym_pointer_declarator] = STATE(2789),
    [sym_function_declarator] = STATE(2789),
    [sym_array_declarator] = STATE(2789),
    [sym_storage_class_specifier] = STATE(2830),
    [sym_type_qualifier] = STATE(2830),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2830),
    [sym_block_pointer_declarator] = STATE(2789),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2830),
    [aux_sym_pointer_declarator_repeat1] = STATE(2901),
    [sym_identifier] = ACTIONS(6485),
    [anon_sym_LPAREN2] = ACTIONS(6487),
    [anon_sym_STAR] = ACTIONS(6489),
    [anon_sym_CARET] = ACTIONS(6491),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2590] = {
    [sym_attribute_declaration] = STATE(2471),
    [sym_compound_statement] = STATE(426),
    [sym_attributed_statement] = STATE(426),
    [sym_labeled_statement] = STATE(426),
    [sym_expression_statement] = STATE(426),
    [sym_if_statement] = STATE(426),
    [sym_switch_statement] = STATE(426),
    [sym_while_statement] = STATE(426),
    [sym_do_statement] = STATE(426),
    [sym_for_statement] = STATE(426),
    [sym_return_statement] = STATE(426),
    [sym_break_statement] = STATE(426),
    [sym_continue_statement] = STATE(426),
    [sym_goto_statement] = STATE(426),
    [sym_expression] = STATE(4448),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6503),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(426),
    [sym_throw_statement] = STATE(426),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(426),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(426),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2471),
    [sym_identifier] = ACTIONS(5939),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(293),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(307),
    [anon_sym_switch] = ACTIONS(309),
    [anon_sym_while] = ACTIONS(315),
    [anon_sym_do] = ACTIONS(317),
    [anon_sym_for] = ACTIONS(319),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(321),
    [anon_sym_break] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(325),
    [anon_sym_goto] = ACTIONS(327),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(329),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(347),
    [anon_sym___try] = ACTIONS(349),
    [anon_sym_ATthrow] = ACTIONS(351),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(353),
    [anon_sym_id] = ACTIONS(203),
  },
  [2591] = {
    [sym__declaration_modifiers] = STATE(2849),
    [sym_attribute_specifier] = STATE(2849),
    [sym_attribute_declaration] = STATE(2849),
    [sym_ms_declspec_modifier] = STATE(2849),
    [sym_ms_based_modifier] = STATE(5960),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2901),
    [sym__declarator] = STATE(3056),
    [sym_parenthesized_declarator] = STATE(3082),
    [sym_pointer_declarator] = STATE(3082),
    [sym_function_declarator] = STATE(3082),
    [sym_array_declarator] = STATE(3082),
    [sym_storage_class_specifier] = STATE(2849),
    [sym_type_qualifier] = STATE(2849),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2849),
    [sym_block_pointer_declarator] = STATE(3082),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2849),
    [aux_sym_pointer_declarator_repeat1] = STATE(2901),
    [sym_identifier] = ACTIONS(5469),
    [anon_sym_LPAREN2] = ACTIONS(6475),
    [anon_sym_STAR] = ACTIONS(6477),
    [anon_sym_CARET] = ACTIONS(6479),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2592] = {
    [sym_attribute_declaration] = STATE(2455),
    [sym_compound_statement] = STATE(780),
    [sym_attributed_statement] = STATE(780),
    [sym_labeled_statement] = STATE(780),
    [sym_expression_statement] = STATE(780),
    [sym_if_statement] = STATE(780),
    [sym_switch_statement] = STATE(780),
    [sym_while_statement] = STATE(780),
    [sym_do_statement] = STATE(780),
    [sym_for_statement] = STATE(780),
    [sym_return_statement] = STATE(780),
    [sym_break_statement] = STATE(780),
    [sym_continue_statement] = STATE(780),
    [sym_goto_statement] = STATE(780),
    [sym_expression] = STATE(4450),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6301),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(780),
    [sym_throw_statement] = STATE(780),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(780),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(780),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2455),
    [sym_identifier] = ACTIONS(6001),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(936),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(950),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_while] = ACTIONS(958),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(966),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_goto] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(972),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(986),
    [anon_sym___try] = ACTIONS(988),
    [anon_sym_ATthrow] = ACTIONS(990),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(992),
    [anon_sym_id] = ACTIONS(203),
  },
  [2593] = {
    [sym__declaration_modifiers] = STATE(2858),
    [sym_attribute_specifier] = STATE(2858),
    [sym_attribute_declaration] = STATE(2858),
    [sym_ms_declspec_modifier] = STATE(2858),
    [sym_ms_based_modifier] = STATE(6231),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2901),
    [sym__declarator] = STATE(2711),
    [sym_parenthesized_declarator] = STATE(2789),
    [sym_pointer_declarator] = STATE(2789),
    [sym_function_declarator] = STATE(2789),
    [sym_array_declarator] = STATE(2789),
    [sym_storage_class_specifier] = STATE(2858),
    [sym_type_qualifier] = STATE(2858),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2858),
    [sym_block_pointer_declarator] = STATE(2789),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2858),
    [aux_sym_pointer_declarator_repeat1] = STATE(2901),
    [sym_identifier] = ACTIONS(6485),
    [anon_sym_LPAREN2] = ACTIONS(6487),
    [anon_sym_STAR] = ACTIONS(6489),
    [anon_sym_CARET] = ACTIONS(6491),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2594] = {
    [sym_type_qualifier] = STATE(2621),
    [sym_alignas_qualifier] = STATE(3521),
    [sym_expression] = STATE(4528),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(2621),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6335),
    [anon_sym_noreturn] = ACTIONS(6337),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACK] = ACTIONS(6497),
    [anon_sym_const] = ACTIONS(6469),
    [anon_sym_constexpr] = ACTIONS(6337),
    [anon_sym_volatile] = ACTIONS(6337),
    [anon_sym_restrict] = ACTIONS(6337),
    [anon_sym___restrict__] = ACTIONS(6337),
    [anon_sym__Atomic] = ACTIONS(6337),
    [anon_sym__Noreturn] = ACTIONS(6337),
    [anon_sym__Nonnull] = ACTIONS(6337),
    [anon_sym_nullable] = ACTIONS(6337),
    [anon_sym__Complex] = ACTIONS(6337),
    [anon_sym__Nullable] = ACTIONS(6337),
    [anon_sym__Nullable_result] = ACTIONS(6337),
    [anon_sym__Null_unspecified] = ACTIONS(6337),
    [anon_sym___autoreleasing] = ACTIONS(6337),
    [anon_sym___block] = ACTIONS(6337),
    [anon_sym___bridge] = ACTIONS(6337),
    [anon_sym___bridge_retained] = ACTIONS(6337),
    [anon_sym___bridge_transfer] = ACTIONS(6337),
    [anon_sym___complex] = ACTIONS(6337),
    [anon_sym___const] = ACTIONS(6337),
    [anon_sym___imag] = ACTIONS(6345),
    [anon_sym___kindof] = ACTIONS(6337),
    [anon_sym___nonnull] = ACTIONS(6337),
    [anon_sym___nullable] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6337),
    [anon_sym___real] = ACTIONS(6345),
    [anon_sym___strong] = ACTIONS(6337),
    [anon_sym___unsafe_unretained] = ACTIONS(6337),
    [anon_sym___unused] = ACTIONS(6337),
    [anon_sym___weak] = ACTIONS(6337),
    [anon_sym_alignas] = ACTIONS(6347),
    [anon_sym__Alignas] = ACTIONS(6347),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2595] = {
    [sym_attribute_declaration] = STATE(2449),
    [sym_compound_statement] = STATE(254),
    [sym_attributed_statement] = STATE(254),
    [sym_labeled_statement] = STATE(254),
    [sym_expression_statement] = STATE(254),
    [sym_if_statement] = STATE(254),
    [sym_switch_statement] = STATE(254),
    [sym_while_statement] = STATE(254),
    [sym_do_statement] = STATE(254),
    [sym_for_statement] = STATE(254),
    [sym_return_statement] = STATE(254),
    [sym_break_statement] = STATE(254),
    [sym_continue_statement] = STATE(254),
    [sym_goto_statement] = STATE(254),
    [sym_expression] = STATE(4460),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6236),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_try_statement] = STATE(254),
    [sym_throw_statement] = STATE(254),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_ms_asm_block] = STATE(254),
    [sym_encode_expression] = STATE(1675),
    [sym_synchronized_statement] = STATE(254),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_attributed_field_declarator_repeat1] = STATE(2449),
    [sym_identifier] = ACTIONS(5937),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(171),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(5712),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_return] = ACTIONS(205),
    [anon_sym_break] = ACTIONS(207),
    [anon_sym_continue] = ACTIONS(209),
    [anon_sym_goto] = ACTIONS(211),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(213),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(235),
    [anon_sym___try] = ACTIONS(237),
    [anon_sym_ATthrow] = ACTIONS(239),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_ATsynchronized] = ACTIONS(241),
    [anon_sym_id] = ACTIONS(203),
  },
  [2596] = {
    [sym__declaration_modifiers] = STATE(2821),
    [sym_attribute_specifier] = STATE(2821),
    [sym_attribute_declaration] = STATE(2821),
    [sym_ms_declspec_modifier] = STATE(2821),
    [sym_ms_based_modifier] = STATE(5997),
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2573),
    [sym__declarator] = STATE(3835),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_storage_class_specifier] = STATE(2821),
    [sym_type_qualifier] = STATE(2821),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2821),
    [sym_block_pointer_declarator] = STATE(3994),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2821),
    [aux_sym_pointer_declarator_repeat1] = STATE(2573),
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [sym_ms_restrict_modifier] = ACTIONS(5342),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(5342),
    [sym_ms_signed_ptr_modifier] = ACTIONS(5342),
    [anon_sym__unaligned] = ACTIONS(5344),
    [anon_sym___unaligned] = ACTIONS(5344),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2597] = {
    [sym_identifier] = ACTIONS(6499),
    [aux_sym_preproc_def_token1] = ACTIONS(6499),
    [aux_sym_preproc_if_token1] = ACTIONS(6499),
    [aux_sym_preproc_if_token2] = ACTIONS(6499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6499),
    [aux_sym_preproc_else_token1] = ACTIONS(6499),
    [aux_sym_preproc_elif_token1] = ACTIONS(6499),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6499),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6499),
    [sym_preproc_directive] = ACTIONS(6499),
    [anon_sym___extension__] = ACTIONS(6499),
    [anon_sym_extern] = ACTIONS(6499),
    [anon_sym___attribute__] = ACTIONS(6499),
    [anon_sym___attribute] = ACTIONS(6499),
    [anon_sym_noreturn] = ACTIONS(6499),
    [anon_sym_LBRACK] = ACTIONS(6501),
    [anon_sym___declspec] = ACTIONS(6499),
    [anon_sym_signed] = ACTIONS(6499),
    [anon_sym_unsigned] = ACTIONS(6499),
    [anon_sym_long] = ACTIONS(6499),
    [anon_sym_short] = ACTIONS(6499),
    [anon_sym_static] = ACTIONS(6499),
    [anon_sym_auto] = ACTIONS(6499),
    [anon_sym_register] = ACTIONS(6499),
    [anon_sym_inline] = ACTIONS(6499),
    [anon_sym___inline] = ACTIONS(6499),
    [anon_sym___inline__] = ACTIONS(6499),
    [anon_sym___forceinline] = ACTIONS(6499),
    [anon_sym_thread_local] = ACTIONS(6499),
    [anon_sym___thread] = ACTIONS(6499),
    [anon_sym_CG_EXTERN] = ACTIONS(6499),
    [anon_sym_CG_INLINE] = ACTIONS(6499),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6499),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6499),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6499),
    [anon_sym_IBOutlet] = ACTIONS(6499),
    [anon_sym_IBInspectable] = ACTIONS(6499),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6499),
    [anon_sym_NS_INLINE] = ACTIONS(6499),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6499),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6499),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6499),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6499),
    [anon_sym_const] = ACTIONS(6499),
    [anon_sym_constexpr] = ACTIONS(6499),
    [anon_sym_volatile] = ACTIONS(6499),
    [anon_sym_restrict] = ACTIONS(6499),
    [anon_sym___restrict__] = ACTIONS(6499),
    [anon_sym__Atomic] = ACTIONS(6499),
    [anon_sym__Noreturn] = ACTIONS(6499),
    [anon_sym__Nonnull] = ACTIONS(6499),
    [anon_sym_nullable] = ACTIONS(6499),
    [anon_sym__Complex] = ACTIONS(6499),
    [anon_sym__Nullable] = ACTIONS(6499),
    [anon_sym__Nullable_result] = ACTIONS(6499),
    [anon_sym__Null_unspecified] = ACTIONS(6499),
    [anon_sym___autoreleasing] = ACTIONS(6499),
    [anon_sym___block] = ACTIONS(6499),
    [anon_sym___bridge] = ACTIONS(6499),
    [anon_sym___bridge_retained] = ACTIONS(6499),
    [anon_sym___bridge_transfer] = ACTIONS(6499),
    [anon_sym___complex] = ACTIONS(6499),
    [anon_sym___const] = ACTIONS(6499),
    [anon_sym___imag] = ACTIONS(6499),
    [anon_sym___kindof] = ACTIONS(6499),
    [anon_sym___nonnull] = ACTIONS(6499),
    [anon_sym___nullable] = ACTIONS(6499),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6499),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6499),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6499),
    [anon_sym___real] = ACTIONS(6499),
    [anon_sym___strong] = ACTIONS(6499),
    [anon_sym___unsafe_unretained] = ACTIONS(6499),
    [anon_sym___unused] = ACTIONS(6499),
    [anon_sym___weak] = ACTIONS(6499),
    [anon_sym_alignas] = ACTIONS(6499),
    [anon_sym__Alignas] = ACTIONS(6499),
    [sym_primitive_type] = ACTIONS(6499),
    [anon_sym_enum] = ACTIONS(6499),
    [anon_sym_struct] = ACTIONS(6499),
    [anon_sym_union] = ACTIONS(6499),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6499),
    [anon_sym___typeof] = ACTIONS(6499),
    [anon_sym_typeof] = ACTIONS(6499),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6499),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6499),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6499),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6499),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6499),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6499),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6499),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6499),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6499),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6499),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6499),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6499),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6499),
    [anon_sym_API_AVAILABLE] = ACTIONS(6499),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6499),
    [anon_sym_API_DEPRECATED] = ACTIONS(6499),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6499),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6499),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6499),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6499),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6499),
    [anon_sym___deprecated_msg] = ACTIONS(6499),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6499),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6499),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6499),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6499),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6499),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6499),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6499),
    [anon_sym_BOOL] = ACTIONS(6499),
    [anon_sym_IMP] = ACTIONS(6499),
    [anon_sym_SEL] = ACTIONS(6499),
    [anon_sym_Class] = ACTIONS(6499),
    [anon_sym_id] = ACTIONS(6499),
    [anon_sym_ATdefs] = ACTIONS(6501),
  },
  [2598] = {
    [sym_identifier] = ACTIONS(6503),
    [aux_sym_preproc_def_token1] = ACTIONS(6503),
    [aux_sym_preproc_if_token1] = ACTIONS(6503),
    [aux_sym_preproc_if_token2] = ACTIONS(6503),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6503),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6503),
    [aux_sym_preproc_else_token1] = ACTIONS(6503),
    [aux_sym_preproc_elif_token1] = ACTIONS(6503),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6503),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6503),
    [sym_preproc_directive] = ACTIONS(6503),
    [anon_sym___extension__] = ACTIONS(6503),
    [anon_sym_extern] = ACTIONS(6503),
    [anon_sym___attribute__] = ACTIONS(6503),
    [anon_sym___attribute] = ACTIONS(6503),
    [anon_sym_noreturn] = ACTIONS(6503),
    [anon_sym_LBRACK] = ACTIONS(6505),
    [anon_sym___declspec] = ACTIONS(6503),
    [anon_sym_signed] = ACTIONS(6503),
    [anon_sym_unsigned] = ACTIONS(6503),
    [anon_sym_long] = ACTIONS(6503),
    [anon_sym_short] = ACTIONS(6503),
    [anon_sym_static] = ACTIONS(6503),
    [anon_sym_auto] = ACTIONS(6503),
    [anon_sym_register] = ACTIONS(6503),
    [anon_sym_inline] = ACTIONS(6503),
    [anon_sym___inline] = ACTIONS(6503),
    [anon_sym___inline__] = ACTIONS(6503),
    [anon_sym___forceinline] = ACTIONS(6503),
    [anon_sym_thread_local] = ACTIONS(6503),
    [anon_sym___thread] = ACTIONS(6503),
    [anon_sym_CG_EXTERN] = ACTIONS(6503),
    [anon_sym_CG_INLINE] = ACTIONS(6503),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6503),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6503),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6503),
    [anon_sym_IBOutlet] = ACTIONS(6503),
    [anon_sym_IBInspectable] = ACTIONS(6503),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6503),
    [anon_sym_NS_INLINE] = ACTIONS(6503),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6503),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6503),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6503),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6503),
    [anon_sym_const] = ACTIONS(6503),
    [anon_sym_constexpr] = ACTIONS(6503),
    [anon_sym_volatile] = ACTIONS(6503),
    [anon_sym_restrict] = ACTIONS(6503),
    [anon_sym___restrict__] = ACTIONS(6503),
    [anon_sym__Atomic] = ACTIONS(6503),
    [anon_sym__Noreturn] = ACTIONS(6503),
    [anon_sym__Nonnull] = ACTIONS(6503),
    [anon_sym_nullable] = ACTIONS(6503),
    [anon_sym__Complex] = ACTIONS(6503),
    [anon_sym__Nullable] = ACTIONS(6503),
    [anon_sym__Nullable_result] = ACTIONS(6503),
    [anon_sym__Null_unspecified] = ACTIONS(6503),
    [anon_sym___autoreleasing] = ACTIONS(6503),
    [anon_sym___block] = ACTIONS(6503),
    [anon_sym___bridge] = ACTIONS(6503),
    [anon_sym___bridge_retained] = ACTIONS(6503),
    [anon_sym___bridge_transfer] = ACTIONS(6503),
    [anon_sym___complex] = ACTIONS(6503),
    [anon_sym___const] = ACTIONS(6503),
    [anon_sym___imag] = ACTIONS(6503),
    [anon_sym___kindof] = ACTIONS(6503),
    [anon_sym___nonnull] = ACTIONS(6503),
    [anon_sym___nullable] = ACTIONS(6503),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6503),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6503),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6503),
    [anon_sym___real] = ACTIONS(6503),
    [anon_sym___strong] = ACTIONS(6503),
    [anon_sym___unsafe_unretained] = ACTIONS(6503),
    [anon_sym___unused] = ACTIONS(6503),
    [anon_sym___weak] = ACTIONS(6503),
    [anon_sym_alignas] = ACTIONS(6503),
    [anon_sym__Alignas] = ACTIONS(6503),
    [sym_primitive_type] = ACTIONS(6503),
    [anon_sym_enum] = ACTIONS(6503),
    [anon_sym_struct] = ACTIONS(6503),
    [anon_sym_union] = ACTIONS(6503),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6503),
    [anon_sym___typeof] = ACTIONS(6503),
    [anon_sym_typeof] = ACTIONS(6503),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6503),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6503),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6503),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6503),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6503),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6503),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6503),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6503),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6503),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6503),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6503),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6503),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6503),
    [anon_sym_API_AVAILABLE] = ACTIONS(6503),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6503),
    [anon_sym_API_DEPRECATED] = ACTIONS(6503),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6503),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6503),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6503),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6503),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6503),
    [anon_sym___deprecated_msg] = ACTIONS(6503),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6503),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6503),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6503),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6503),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6503),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6503),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6503),
    [anon_sym_BOOL] = ACTIONS(6503),
    [anon_sym_IMP] = ACTIONS(6503),
    [anon_sym_SEL] = ACTIONS(6503),
    [anon_sym_Class] = ACTIONS(6503),
    [anon_sym_id] = ACTIONS(6503),
    [anon_sym_ATdefs] = ACTIONS(6505),
  },
  [2599] = {
    [sym_identifier] = ACTIONS(2718),
    [aux_sym_preproc_def_token1] = ACTIONS(2718),
    [aux_sym_preproc_if_token1] = ACTIONS(2718),
    [aux_sym_preproc_if_token2] = ACTIONS(2718),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2718),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2718),
    [aux_sym_preproc_else_token1] = ACTIONS(2718),
    [aux_sym_preproc_elif_token1] = ACTIONS(2718),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2718),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2718),
    [sym_preproc_directive] = ACTIONS(2718),
    [anon_sym___extension__] = ACTIONS(2718),
    [anon_sym_extern] = ACTIONS(2718),
    [anon_sym___attribute__] = ACTIONS(2718),
    [anon_sym___attribute] = ACTIONS(2718),
    [anon_sym_noreturn] = ACTIONS(2718),
    [anon_sym_LBRACK] = ACTIONS(2720),
    [anon_sym___declspec] = ACTIONS(2718),
    [anon_sym_signed] = ACTIONS(2718),
    [anon_sym_unsigned] = ACTIONS(2718),
    [anon_sym_long] = ACTIONS(2718),
    [anon_sym_short] = ACTIONS(2718),
    [anon_sym_static] = ACTIONS(2718),
    [anon_sym_auto] = ACTIONS(2718),
    [anon_sym_register] = ACTIONS(2718),
    [anon_sym_inline] = ACTIONS(2718),
    [anon_sym___inline] = ACTIONS(2718),
    [anon_sym___inline__] = ACTIONS(2718),
    [anon_sym___forceinline] = ACTIONS(2718),
    [anon_sym_thread_local] = ACTIONS(2718),
    [anon_sym___thread] = ACTIONS(2718),
    [anon_sym_CG_EXTERN] = ACTIONS(2718),
    [anon_sym_CG_INLINE] = ACTIONS(2718),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2718),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2718),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2718),
    [anon_sym_IBOutlet] = ACTIONS(2718),
    [anon_sym_IBInspectable] = ACTIONS(2718),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2718),
    [anon_sym_NS_INLINE] = ACTIONS(2718),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2718),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2718),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2718),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2718),
    [anon_sym_const] = ACTIONS(2718),
    [anon_sym_constexpr] = ACTIONS(2718),
    [anon_sym_volatile] = ACTIONS(2718),
    [anon_sym_restrict] = ACTIONS(2718),
    [anon_sym___restrict__] = ACTIONS(2718),
    [anon_sym__Atomic] = ACTIONS(2718),
    [anon_sym__Noreturn] = ACTIONS(2718),
    [anon_sym__Nonnull] = ACTIONS(2718),
    [anon_sym_nullable] = ACTIONS(2718),
    [anon_sym__Complex] = ACTIONS(2718),
    [anon_sym__Nullable] = ACTIONS(2718),
    [anon_sym__Nullable_result] = ACTIONS(2718),
    [anon_sym__Null_unspecified] = ACTIONS(2718),
    [anon_sym___autoreleasing] = ACTIONS(2718),
    [anon_sym___block] = ACTIONS(2718),
    [anon_sym___bridge] = ACTIONS(2718),
    [anon_sym___bridge_retained] = ACTIONS(2718),
    [anon_sym___bridge_transfer] = ACTIONS(2718),
    [anon_sym___complex] = ACTIONS(2718),
    [anon_sym___const] = ACTIONS(2718),
    [anon_sym___imag] = ACTIONS(2718),
    [anon_sym___kindof] = ACTIONS(2718),
    [anon_sym___nonnull] = ACTIONS(2718),
    [anon_sym___nullable] = ACTIONS(2718),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2718),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2718),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2718),
    [anon_sym___real] = ACTIONS(2718),
    [anon_sym___strong] = ACTIONS(2718),
    [anon_sym___unsafe_unretained] = ACTIONS(2718),
    [anon_sym___unused] = ACTIONS(2718),
    [anon_sym___weak] = ACTIONS(2718),
    [anon_sym_alignas] = ACTIONS(2718),
    [anon_sym__Alignas] = ACTIONS(2718),
    [sym_primitive_type] = ACTIONS(2718),
    [anon_sym_enum] = ACTIONS(2718),
    [anon_sym_struct] = ACTIONS(2718),
    [anon_sym_union] = ACTIONS(2718),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2718),
    [anon_sym___typeof] = ACTIONS(2718),
    [anon_sym_typeof] = ACTIONS(2718),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2718),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2718),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2718),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2718),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2718),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2718),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2718),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2718),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2718),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_API_AVAILABLE] = ACTIONS(2718),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_API_DEPRECATED] = ACTIONS(2718),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2718),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2718),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2718),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2718),
    [anon_sym___deprecated_msg] = ACTIONS(2718),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2718),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2718),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2718),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2718),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2718),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2718),
    [anon_sym_BOOL] = ACTIONS(2718),
    [anon_sym_IMP] = ACTIONS(2718),
    [anon_sym_SEL] = ACTIONS(2718),
    [anon_sym_Class] = ACTIONS(2718),
    [anon_sym_id] = ACTIONS(2718),
    [anon_sym_ATdefs] = ACTIONS(2720),
  },
  [2600] = {
    [sym_identifier] = ACTIONS(6507),
    [aux_sym_preproc_def_token1] = ACTIONS(6507),
    [aux_sym_preproc_if_token1] = ACTIONS(6507),
    [aux_sym_preproc_if_token2] = ACTIONS(6507),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6507),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6507),
    [aux_sym_preproc_else_token1] = ACTIONS(6507),
    [aux_sym_preproc_elif_token1] = ACTIONS(6507),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6507),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6507),
    [sym_preproc_directive] = ACTIONS(6507),
    [anon_sym___extension__] = ACTIONS(6507),
    [anon_sym_extern] = ACTIONS(6507),
    [anon_sym___attribute__] = ACTIONS(6507),
    [anon_sym___attribute] = ACTIONS(6507),
    [anon_sym_noreturn] = ACTIONS(6507),
    [anon_sym_LBRACK] = ACTIONS(6509),
    [anon_sym___declspec] = ACTIONS(6507),
    [anon_sym_signed] = ACTIONS(6507),
    [anon_sym_unsigned] = ACTIONS(6507),
    [anon_sym_long] = ACTIONS(6507),
    [anon_sym_short] = ACTIONS(6507),
    [anon_sym_static] = ACTIONS(6507),
    [anon_sym_auto] = ACTIONS(6507),
    [anon_sym_register] = ACTIONS(6507),
    [anon_sym_inline] = ACTIONS(6507),
    [anon_sym___inline] = ACTIONS(6507),
    [anon_sym___inline__] = ACTIONS(6507),
    [anon_sym___forceinline] = ACTIONS(6507),
    [anon_sym_thread_local] = ACTIONS(6507),
    [anon_sym___thread] = ACTIONS(6507),
    [anon_sym_CG_EXTERN] = ACTIONS(6507),
    [anon_sym_CG_INLINE] = ACTIONS(6507),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6507),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6507),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6507),
    [anon_sym_IBOutlet] = ACTIONS(6507),
    [anon_sym_IBInspectable] = ACTIONS(6507),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6507),
    [anon_sym_NS_INLINE] = ACTIONS(6507),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6507),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6507),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6507),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6507),
    [anon_sym_const] = ACTIONS(6507),
    [anon_sym_constexpr] = ACTIONS(6507),
    [anon_sym_volatile] = ACTIONS(6507),
    [anon_sym_restrict] = ACTIONS(6507),
    [anon_sym___restrict__] = ACTIONS(6507),
    [anon_sym__Atomic] = ACTIONS(6507),
    [anon_sym__Noreturn] = ACTIONS(6507),
    [anon_sym__Nonnull] = ACTIONS(6507),
    [anon_sym_nullable] = ACTIONS(6507),
    [anon_sym__Complex] = ACTIONS(6507),
    [anon_sym__Nullable] = ACTIONS(6507),
    [anon_sym__Nullable_result] = ACTIONS(6507),
    [anon_sym__Null_unspecified] = ACTIONS(6507),
    [anon_sym___autoreleasing] = ACTIONS(6507),
    [anon_sym___block] = ACTIONS(6507),
    [anon_sym___bridge] = ACTIONS(6507),
    [anon_sym___bridge_retained] = ACTIONS(6507),
    [anon_sym___bridge_transfer] = ACTIONS(6507),
    [anon_sym___complex] = ACTIONS(6507),
    [anon_sym___const] = ACTIONS(6507),
    [anon_sym___imag] = ACTIONS(6507),
    [anon_sym___kindof] = ACTIONS(6507),
    [anon_sym___nonnull] = ACTIONS(6507),
    [anon_sym___nullable] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6507),
    [anon_sym___real] = ACTIONS(6507),
    [anon_sym___strong] = ACTIONS(6507),
    [anon_sym___unsafe_unretained] = ACTIONS(6507),
    [anon_sym___unused] = ACTIONS(6507),
    [anon_sym___weak] = ACTIONS(6507),
    [anon_sym_alignas] = ACTIONS(6507),
    [anon_sym__Alignas] = ACTIONS(6507),
    [sym_primitive_type] = ACTIONS(6507),
    [anon_sym_enum] = ACTIONS(6507),
    [anon_sym_struct] = ACTIONS(6507),
    [anon_sym_union] = ACTIONS(6507),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6507),
    [anon_sym___typeof] = ACTIONS(6507),
    [anon_sym_typeof] = ACTIONS(6507),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6507),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6507),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6507),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6507),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6507),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6507),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6507),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_API_AVAILABLE] = ACTIONS(6507),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_API_DEPRECATED] = ACTIONS(6507),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6507),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym___deprecated_msg] = ACTIONS(6507),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6507),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6507),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6507),
    [anon_sym_BOOL] = ACTIONS(6507),
    [anon_sym_IMP] = ACTIONS(6507),
    [anon_sym_SEL] = ACTIONS(6507),
    [anon_sym_Class] = ACTIONS(6507),
    [anon_sym_id] = ACTIONS(6507),
    [anon_sym_ATdefs] = ACTIONS(6509),
  },
  [2601] = {
    [sym_identifier] = ACTIONS(2790),
    [aux_sym_preproc_def_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token1] = ACTIONS(2790),
    [aux_sym_preproc_if_token2] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2790),
    [aux_sym_preproc_else_token1] = ACTIONS(2790),
    [aux_sym_preproc_elif_token1] = ACTIONS(2790),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2790),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2790),
    [sym_preproc_directive] = ACTIONS(2790),
    [anon_sym___extension__] = ACTIONS(2790),
    [anon_sym_extern] = ACTIONS(2790),
    [anon_sym___attribute__] = ACTIONS(2790),
    [anon_sym___attribute] = ACTIONS(2790),
    [anon_sym_noreturn] = ACTIONS(2790),
    [anon_sym_LBRACK] = ACTIONS(2792),
    [anon_sym___declspec] = ACTIONS(2790),
    [anon_sym_signed] = ACTIONS(2790),
    [anon_sym_unsigned] = ACTIONS(2790),
    [anon_sym_long] = ACTIONS(2790),
    [anon_sym_short] = ACTIONS(2790),
    [anon_sym_static] = ACTIONS(2790),
    [anon_sym_auto] = ACTIONS(2790),
    [anon_sym_register] = ACTIONS(2790),
    [anon_sym_inline] = ACTIONS(2790),
    [anon_sym___inline] = ACTIONS(2790),
    [anon_sym___inline__] = ACTIONS(2790),
    [anon_sym___forceinline] = ACTIONS(2790),
    [anon_sym_thread_local] = ACTIONS(2790),
    [anon_sym___thread] = ACTIONS(2790),
    [anon_sym_CG_EXTERN] = ACTIONS(2790),
    [anon_sym_CG_INLINE] = ACTIONS(2790),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2790),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2790),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2790),
    [anon_sym_IBOutlet] = ACTIONS(2790),
    [anon_sym_IBInspectable] = ACTIONS(2790),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2790),
    [anon_sym_NS_INLINE] = ACTIONS(2790),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2790),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2790),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2790),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2790),
    [anon_sym_const] = ACTIONS(2790),
    [anon_sym_constexpr] = ACTIONS(2790),
    [anon_sym_volatile] = ACTIONS(2790),
    [anon_sym_restrict] = ACTIONS(2790),
    [anon_sym___restrict__] = ACTIONS(2790),
    [anon_sym__Atomic] = ACTIONS(2790),
    [anon_sym__Noreturn] = ACTIONS(2790),
    [anon_sym__Nonnull] = ACTIONS(2790),
    [anon_sym_nullable] = ACTIONS(2790),
    [anon_sym__Complex] = ACTIONS(2790),
    [anon_sym__Nullable] = ACTIONS(2790),
    [anon_sym__Nullable_result] = ACTIONS(2790),
    [anon_sym__Null_unspecified] = ACTIONS(2790),
    [anon_sym___autoreleasing] = ACTIONS(2790),
    [anon_sym___block] = ACTIONS(2790),
    [anon_sym___bridge] = ACTIONS(2790),
    [anon_sym___bridge_retained] = ACTIONS(2790),
    [anon_sym___bridge_transfer] = ACTIONS(2790),
    [anon_sym___complex] = ACTIONS(2790),
    [anon_sym___const] = ACTIONS(2790),
    [anon_sym___imag] = ACTIONS(2790),
    [anon_sym___kindof] = ACTIONS(2790),
    [anon_sym___nonnull] = ACTIONS(2790),
    [anon_sym___nullable] = ACTIONS(2790),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2790),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2790),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2790),
    [anon_sym___real] = ACTIONS(2790),
    [anon_sym___strong] = ACTIONS(2790),
    [anon_sym___unsafe_unretained] = ACTIONS(2790),
    [anon_sym___unused] = ACTIONS(2790),
    [anon_sym___weak] = ACTIONS(2790),
    [anon_sym_alignas] = ACTIONS(2790),
    [anon_sym__Alignas] = ACTIONS(2790),
    [sym_primitive_type] = ACTIONS(2790),
    [anon_sym_enum] = ACTIONS(2790),
    [anon_sym_struct] = ACTIONS(2790),
    [anon_sym_union] = ACTIONS(2790),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2790),
    [anon_sym___typeof] = ACTIONS(2790),
    [anon_sym_typeof] = ACTIONS(2790),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2790),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2790),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2790),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2790),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2790),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2790),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2790),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2790),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2790),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_API_AVAILABLE] = ACTIONS(2790),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_API_DEPRECATED] = ACTIONS(2790),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2790),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2790),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2790),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2790),
    [anon_sym___deprecated_msg] = ACTIONS(2790),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2790),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2790),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2790),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2790),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2790),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2790),
    [anon_sym_BOOL] = ACTIONS(2790),
    [anon_sym_IMP] = ACTIONS(2790),
    [anon_sym_SEL] = ACTIONS(2790),
    [anon_sym_Class] = ACTIONS(2790),
    [anon_sym_id] = ACTIONS(2790),
    [anon_sym_ATdefs] = ACTIONS(2792),
  },
  [2602] = {
    [sym_identifier] = ACTIONS(6499),
    [aux_sym_preproc_def_token1] = ACTIONS(6499),
    [aux_sym_preproc_if_token1] = ACTIONS(6499),
    [aux_sym_preproc_if_token2] = ACTIONS(6499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6499),
    [aux_sym_preproc_else_token1] = ACTIONS(6499),
    [aux_sym_preproc_elif_token1] = ACTIONS(6499),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6499),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6499),
    [sym_preproc_directive] = ACTIONS(6499),
    [anon_sym___extension__] = ACTIONS(6499),
    [anon_sym_extern] = ACTIONS(6499),
    [anon_sym___attribute__] = ACTIONS(6499),
    [anon_sym___attribute] = ACTIONS(6499),
    [anon_sym_noreturn] = ACTIONS(6499),
    [anon_sym_LBRACK] = ACTIONS(6501),
    [anon_sym___declspec] = ACTIONS(6499),
    [anon_sym_signed] = ACTIONS(6499),
    [anon_sym_unsigned] = ACTIONS(6499),
    [anon_sym_long] = ACTIONS(6499),
    [anon_sym_short] = ACTIONS(6499),
    [anon_sym_static] = ACTIONS(6499),
    [anon_sym_auto] = ACTIONS(6499),
    [anon_sym_register] = ACTIONS(6499),
    [anon_sym_inline] = ACTIONS(6499),
    [anon_sym___inline] = ACTIONS(6499),
    [anon_sym___inline__] = ACTIONS(6499),
    [anon_sym___forceinline] = ACTIONS(6499),
    [anon_sym_thread_local] = ACTIONS(6499),
    [anon_sym___thread] = ACTIONS(6499),
    [anon_sym_CG_EXTERN] = ACTIONS(6499),
    [anon_sym_CG_INLINE] = ACTIONS(6499),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6499),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6499),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6499),
    [anon_sym_IBOutlet] = ACTIONS(6499),
    [anon_sym_IBInspectable] = ACTIONS(6499),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6499),
    [anon_sym_NS_INLINE] = ACTIONS(6499),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6499),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6499),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6499),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6499),
    [anon_sym_const] = ACTIONS(6499),
    [anon_sym_constexpr] = ACTIONS(6499),
    [anon_sym_volatile] = ACTIONS(6499),
    [anon_sym_restrict] = ACTIONS(6499),
    [anon_sym___restrict__] = ACTIONS(6499),
    [anon_sym__Atomic] = ACTIONS(6499),
    [anon_sym__Noreturn] = ACTIONS(6499),
    [anon_sym__Nonnull] = ACTIONS(6499),
    [anon_sym_nullable] = ACTIONS(6499),
    [anon_sym__Complex] = ACTIONS(6499),
    [anon_sym__Nullable] = ACTIONS(6499),
    [anon_sym__Nullable_result] = ACTIONS(6499),
    [anon_sym__Null_unspecified] = ACTIONS(6499),
    [anon_sym___autoreleasing] = ACTIONS(6499),
    [anon_sym___block] = ACTIONS(6499),
    [anon_sym___bridge] = ACTIONS(6499),
    [anon_sym___bridge_retained] = ACTIONS(6499),
    [anon_sym___bridge_transfer] = ACTIONS(6499),
    [anon_sym___complex] = ACTIONS(6499),
    [anon_sym___const] = ACTIONS(6499),
    [anon_sym___imag] = ACTIONS(6499),
    [anon_sym___kindof] = ACTIONS(6499),
    [anon_sym___nonnull] = ACTIONS(6499),
    [anon_sym___nullable] = ACTIONS(6499),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6499),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6499),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6499),
    [anon_sym___real] = ACTIONS(6499),
    [anon_sym___strong] = ACTIONS(6499),
    [anon_sym___unsafe_unretained] = ACTIONS(6499),
    [anon_sym___unused] = ACTIONS(6499),
    [anon_sym___weak] = ACTIONS(6499),
    [anon_sym_alignas] = ACTIONS(6499),
    [anon_sym__Alignas] = ACTIONS(6499),
    [sym_primitive_type] = ACTIONS(6499),
    [anon_sym_enum] = ACTIONS(6499),
    [anon_sym_struct] = ACTIONS(6499),
    [anon_sym_union] = ACTIONS(6499),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6499),
    [anon_sym___typeof] = ACTIONS(6499),
    [anon_sym_typeof] = ACTIONS(6499),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6499),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6499),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6499),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6499),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6499),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6499),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6499),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6499),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6499),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6499),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6499),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6499),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6499),
    [anon_sym_API_AVAILABLE] = ACTIONS(6499),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6499),
    [anon_sym_API_DEPRECATED] = ACTIONS(6499),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6499),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6499),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6499),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6499),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6499),
    [anon_sym___deprecated_msg] = ACTIONS(6499),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6499),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6499),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6499),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6499),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6499),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6499),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6499),
    [anon_sym_BOOL] = ACTIONS(6499),
    [anon_sym_IMP] = ACTIONS(6499),
    [anon_sym_SEL] = ACTIONS(6499),
    [anon_sym_Class] = ACTIONS(6499),
    [anon_sym_id] = ACTIONS(6499),
    [anon_sym_ATdefs] = ACTIONS(6501),
  },
  [2603] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6511),
    [anon_sym_COMMA] = ACTIONS(6513),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6515),
    [anon_sym_PLUS] = ACTIONS(6515),
    [anon_sym_STAR] = ACTIONS(6517),
    [anon_sym_SLASH] = ACTIONS(6519),
    [anon_sym_PERCENT] = ACTIONS(6517),
    [anon_sym_PIPE_PIPE] = ACTIONS(6521),
    [anon_sym_AMP_AMP] = ACTIONS(6523),
    [anon_sym_PIPE] = ACTIONS(6525),
    [anon_sym_CARET] = ACTIONS(6527),
    [anon_sym_AMP] = ACTIONS(6529),
    [anon_sym_EQ_EQ] = ACTIONS(6531),
    [anon_sym_BANG_EQ] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6533),
    [anon_sym_GT_EQ] = ACTIONS(6535),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_LT] = ACTIONS(6533),
    [anon_sym_LT_LT] = ACTIONS(6537),
    [anon_sym_GT_GT] = ACTIONS(6537),
    [anon_sym_SEMI] = ACTIONS(6513),
    [anon_sym___extension__] = ACTIONS(6513),
    [anon_sym_extern] = ACTIONS(6513),
    [anon_sym___attribute__] = ACTIONS(6513),
    [anon_sym___attribute] = ACTIONS(6539),
    [anon_sym_noreturn] = ACTIONS(6513),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(6513),
    [anon_sym_static] = ACTIONS(6513),
    [anon_sym_auto] = ACTIONS(6513),
    [anon_sym_register] = ACTIONS(6513),
    [anon_sym_inline] = ACTIONS(6513),
    [anon_sym___inline] = ACTIONS(6539),
    [anon_sym___inline__] = ACTIONS(6513),
    [anon_sym___forceinline] = ACTIONS(6513),
    [anon_sym_thread_local] = ACTIONS(6513),
    [anon_sym___thread] = ACTIONS(6513),
    [anon_sym_CG_EXTERN] = ACTIONS(6513),
    [anon_sym_CG_INLINE] = ACTIONS(6513),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6513),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6513),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6513),
    [anon_sym_IBOutlet] = ACTIONS(6513),
    [anon_sym_IBInspectable] = ACTIONS(6513),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6513),
    [anon_sym_NS_INLINE] = ACTIONS(6513),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6513),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6513),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6513),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6513),
    [anon_sym_const] = ACTIONS(6539),
    [anon_sym_constexpr] = ACTIONS(6513),
    [anon_sym_volatile] = ACTIONS(6513),
    [anon_sym_restrict] = ACTIONS(6513),
    [anon_sym___restrict__] = ACTIONS(6513),
    [anon_sym__Atomic] = ACTIONS(6513),
    [anon_sym__Noreturn] = ACTIONS(6513),
    [anon_sym__Nonnull] = ACTIONS(6513),
    [anon_sym_nullable] = ACTIONS(6513),
    [anon_sym__Complex] = ACTIONS(6513),
    [anon_sym__Nullable] = ACTIONS(6539),
    [anon_sym__Nullable_result] = ACTIONS(6513),
    [anon_sym__Null_unspecified] = ACTIONS(6513),
    [anon_sym___autoreleasing] = ACTIONS(6513),
    [anon_sym___block] = ACTIONS(6513),
    [anon_sym___bridge] = ACTIONS(6539),
    [anon_sym___bridge_retained] = ACTIONS(6513),
    [anon_sym___bridge_transfer] = ACTIONS(6513),
    [anon_sym___complex] = ACTIONS(6513),
    [anon_sym___const] = ACTIONS(6513),
    [anon_sym___imag] = ACTIONS(6513),
    [anon_sym___kindof] = ACTIONS(6513),
    [anon_sym___nonnull] = ACTIONS(6513),
    [anon_sym___nullable] = ACTIONS(6513),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6513),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6513),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6513),
    [anon_sym___real] = ACTIONS(6513),
    [anon_sym___strong] = ACTIONS(6513),
    [anon_sym___unsafe_unretained] = ACTIONS(6513),
    [anon_sym___unused] = ACTIONS(6513),
    [anon_sym___weak] = ACTIONS(6513),
    [anon_sym_alignas] = ACTIONS(6513),
    [anon_sym__Alignas] = ACTIONS(6513),
    [anon_sym_QMARK] = ACTIONS(6541),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6513),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6513),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6513),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6513),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6513),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6513),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6513),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6513),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6513),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6513),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6539),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6513),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6513),
    [anon_sym_API_AVAILABLE] = ACTIONS(6513),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6513),
    [anon_sym_API_DEPRECATED] = ACTIONS(6513),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6513),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6513),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6513),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6513),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6513),
    [anon_sym___deprecated_msg] = ACTIONS(6513),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6513),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6513),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6513),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6513),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6513),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6513),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6513),
  },
  [2604] = {
    [sym_type_qualifier] = STATE(3421),
    [sym_alignas_qualifier] = STATE(3521),
    [sym_expression] = STATE(4504),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(3421),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6335),
    [anon_sym_noreturn] = ACTIONS(6337),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(6469),
    [anon_sym_constexpr] = ACTIONS(6337),
    [anon_sym_volatile] = ACTIONS(6337),
    [anon_sym_restrict] = ACTIONS(6337),
    [anon_sym___restrict__] = ACTIONS(6337),
    [anon_sym__Atomic] = ACTIONS(6337),
    [anon_sym__Noreturn] = ACTIONS(6337),
    [anon_sym__Nonnull] = ACTIONS(6337),
    [anon_sym_nullable] = ACTIONS(6337),
    [anon_sym__Complex] = ACTIONS(6337),
    [anon_sym__Nullable] = ACTIONS(6337),
    [anon_sym__Nullable_result] = ACTIONS(6337),
    [anon_sym__Null_unspecified] = ACTIONS(6337),
    [anon_sym___autoreleasing] = ACTIONS(6337),
    [anon_sym___block] = ACTIONS(6337),
    [anon_sym___bridge] = ACTIONS(6337),
    [anon_sym___bridge_retained] = ACTIONS(6337),
    [anon_sym___bridge_transfer] = ACTIONS(6337),
    [anon_sym___complex] = ACTIONS(6337),
    [anon_sym___const] = ACTIONS(6337),
    [anon_sym___imag] = ACTIONS(6345),
    [anon_sym___kindof] = ACTIONS(6337),
    [anon_sym___nonnull] = ACTIONS(6337),
    [anon_sym___nullable] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6337),
    [anon_sym___real] = ACTIONS(6345),
    [anon_sym___strong] = ACTIONS(6337),
    [anon_sym___unsafe_unretained] = ACTIONS(6337),
    [anon_sym___unused] = ACTIONS(6337),
    [anon_sym___weak] = ACTIONS(6337),
    [anon_sym_alignas] = ACTIONS(6347),
    [anon_sym__Alignas] = ACTIONS(6347),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2605] = {
    [sym_identifier] = ACTIONS(6543),
    [aux_sym_preproc_def_token1] = ACTIONS(6543),
    [aux_sym_preproc_if_token1] = ACTIONS(6543),
    [aux_sym_preproc_if_token2] = ACTIONS(6543),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6543),
    [aux_sym_preproc_else_token1] = ACTIONS(6543),
    [aux_sym_preproc_elif_token1] = ACTIONS(6543),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6543),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6543),
    [sym_preproc_directive] = ACTIONS(6543),
    [anon_sym___extension__] = ACTIONS(6543),
    [anon_sym_extern] = ACTIONS(6543),
    [anon_sym___attribute__] = ACTIONS(6543),
    [anon_sym___attribute] = ACTIONS(6543),
    [anon_sym_noreturn] = ACTIONS(6543),
    [anon_sym_LBRACK] = ACTIONS(6545),
    [anon_sym___declspec] = ACTIONS(6543),
    [anon_sym_signed] = ACTIONS(6543),
    [anon_sym_unsigned] = ACTIONS(6543),
    [anon_sym_long] = ACTIONS(6543),
    [anon_sym_short] = ACTIONS(6543),
    [anon_sym_static] = ACTIONS(6543),
    [anon_sym_auto] = ACTIONS(6543),
    [anon_sym_register] = ACTIONS(6543),
    [anon_sym_inline] = ACTIONS(6543),
    [anon_sym___inline] = ACTIONS(6543),
    [anon_sym___inline__] = ACTIONS(6543),
    [anon_sym___forceinline] = ACTIONS(6543),
    [anon_sym_thread_local] = ACTIONS(6543),
    [anon_sym___thread] = ACTIONS(6543),
    [anon_sym_CG_EXTERN] = ACTIONS(6543),
    [anon_sym_CG_INLINE] = ACTIONS(6543),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6543),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6543),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6543),
    [anon_sym_IBOutlet] = ACTIONS(6543),
    [anon_sym_IBInspectable] = ACTIONS(6543),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6543),
    [anon_sym_NS_INLINE] = ACTIONS(6543),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6543),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6543),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6543),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6543),
    [anon_sym_const] = ACTIONS(6543),
    [anon_sym_constexpr] = ACTIONS(6543),
    [anon_sym_volatile] = ACTIONS(6543),
    [anon_sym_restrict] = ACTIONS(6543),
    [anon_sym___restrict__] = ACTIONS(6543),
    [anon_sym__Atomic] = ACTIONS(6543),
    [anon_sym__Noreturn] = ACTIONS(6543),
    [anon_sym__Nonnull] = ACTIONS(6543),
    [anon_sym_nullable] = ACTIONS(6543),
    [anon_sym__Complex] = ACTIONS(6543),
    [anon_sym__Nullable] = ACTIONS(6543),
    [anon_sym__Nullable_result] = ACTIONS(6543),
    [anon_sym__Null_unspecified] = ACTIONS(6543),
    [anon_sym___autoreleasing] = ACTIONS(6543),
    [anon_sym___block] = ACTIONS(6543),
    [anon_sym___bridge] = ACTIONS(6543),
    [anon_sym___bridge_retained] = ACTIONS(6543),
    [anon_sym___bridge_transfer] = ACTIONS(6543),
    [anon_sym___complex] = ACTIONS(6543),
    [anon_sym___const] = ACTIONS(6543),
    [anon_sym___imag] = ACTIONS(6543),
    [anon_sym___kindof] = ACTIONS(6543),
    [anon_sym___nonnull] = ACTIONS(6543),
    [anon_sym___nullable] = ACTIONS(6543),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6543),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6543),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6543),
    [anon_sym___real] = ACTIONS(6543),
    [anon_sym___strong] = ACTIONS(6543),
    [anon_sym___unsafe_unretained] = ACTIONS(6543),
    [anon_sym___unused] = ACTIONS(6543),
    [anon_sym___weak] = ACTIONS(6543),
    [anon_sym_alignas] = ACTIONS(6543),
    [anon_sym__Alignas] = ACTIONS(6543),
    [sym_primitive_type] = ACTIONS(6543),
    [anon_sym_enum] = ACTIONS(6543),
    [anon_sym_struct] = ACTIONS(6543),
    [anon_sym_union] = ACTIONS(6543),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6543),
    [anon_sym___typeof] = ACTIONS(6543),
    [anon_sym_typeof] = ACTIONS(6543),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6543),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6543),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6543),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6543),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6543),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6543),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6543),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6543),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6543),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6543),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6543),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6543),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6543),
    [anon_sym_API_AVAILABLE] = ACTIONS(6543),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6543),
    [anon_sym_API_DEPRECATED] = ACTIONS(6543),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6543),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6543),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6543),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6543),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6543),
    [anon_sym___deprecated_msg] = ACTIONS(6543),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6543),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6543),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6543),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6543),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6543),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6543),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6543),
    [anon_sym_BOOL] = ACTIONS(6543),
    [anon_sym_IMP] = ACTIONS(6543),
    [anon_sym_SEL] = ACTIONS(6543),
    [anon_sym_Class] = ACTIONS(6543),
    [anon_sym_id] = ACTIONS(6543),
    [anon_sym_ATdefs] = ACTIONS(6545),
  },
  [2606] = {
    [sym_identifier] = ACTIONS(6547),
    [aux_sym_preproc_def_token1] = ACTIONS(6547),
    [aux_sym_preproc_if_token1] = ACTIONS(6547),
    [aux_sym_preproc_if_token2] = ACTIONS(6547),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6547),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6547),
    [aux_sym_preproc_else_token1] = ACTIONS(6547),
    [aux_sym_preproc_elif_token1] = ACTIONS(6547),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6547),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6547),
    [sym_preproc_directive] = ACTIONS(6547),
    [anon_sym___extension__] = ACTIONS(6547),
    [anon_sym_extern] = ACTIONS(6547),
    [anon_sym___attribute__] = ACTIONS(6547),
    [anon_sym___attribute] = ACTIONS(6547),
    [anon_sym_noreturn] = ACTIONS(6547),
    [anon_sym_LBRACK] = ACTIONS(6549),
    [anon_sym___declspec] = ACTIONS(6547),
    [anon_sym_signed] = ACTIONS(6547),
    [anon_sym_unsigned] = ACTIONS(6547),
    [anon_sym_long] = ACTIONS(6547),
    [anon_sym_short] = ACTIONS(6547),
    [anon_sym_static] = ACTIONS(6547),
    [anon_sym_auto] = ACTIONS(6547),
    [anon_sym_register] = ACTIONS(6547),
    [anon_sym_inline] = ACTIONS(6547),
    [anon_sym___inline] = ACTIONS(6547),
    [anon_sym___inline__] = ACTIONS(6547),
    [anon_sym___forceinline] = ACTIONS(6547),
    [anon_sym_thread_local] = ACTIONS(6547),
    [anon_sym___thread] = ACTIONS(6547),
    [anon_sym_CG_EXTERN] = ACTIONS(6547),
    [anon_sym_CG_INLINE] = ACTIONS(6547),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6547),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6547),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6547),
    [anon_sym_IBOutlet] = ACTIONS(6547),
    [anon_sym_IBInspectable] = ACTIONS(6547),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6547),
    [anon_sym_NS_INLINE] = ACTIONS(6547),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6547),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6547),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6547),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6547),
    [anon_sym_const] = ACTIONS(6547),
    [anon_sym_constexpr] = ACTIONS(6547),
    [anon_sym_volatile] = ACTIONS(6547),
    [anon_sym_restrict] = ACTIONS(6547),
    [anon_sym___restrict__] = ACTIONS(6547),
    [anon_sym__Atomic] = ACTIONS(6547),
    [anon_sym__Noreturn] = ACTIONS(6547),
    [anon_sym__Nonnull] = ACTIONS(6547),
    [anon_sym_nullable] = ACTIONS(6547),
    [anon_sym__Complex] = ACTIONS(6547),
    [anon_sym__Nullable] = ACTIONS(6547),
    [anon_sym__Nullable_result] = ACTIONS(6547),
    [anon_sym__Null_unspecified] = ACTIONS(6547),
    [anon_sym___autoreleasing] = ACTIONS(6547),
    [anon_sym___block] = ACTIONS(6547),
    [anon_sym___bridge] = ACTIONS(6547),
    [anon_sym___bridge_retained] = ACTIONS(6547),
    [anon_sym___bridge_transfer] = ACTIONS(6547),
    [anon_sym___complex] = ACTIONS(6547),
    [anon_sym___const] = ACTIONS(6547),
    [anon_sym___imag] = ACTIONS(6547),
    [anon_sym___kindof] = ACTIONS(6547),
    [anon_sym___nonnull] = ACTIONS(6547),
    [anon_sym___nullable] = ACTIONS(6547),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6547),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6547),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6547),
    [anon_sym___real] = ACTIONS(6547),
    [anon_sym___strong] = ACTIONS(6547),
    [anon_sym___unsafe_unretained] = ACTIONS(6547),
    [anon_sym___unused] = ACTIONS(6547),
    [anon_sym___weak] = ACTIONS(6547),
    [anon_sym_alignas] = ACTIONS(6547),
    [anon_sym__Alignas] = ACTIONS(6547),
    [sym_primitive_type] = ACTIONS(6547),
    [anon_sym_enum] = ACTIONS(6547),
    [anon_sym_struct] = ACTIONS(6547),
    [anon_sym_union] = ACTIONS(6547),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6547),
    [anon_sym___typeof] = ACTIONS(6547),
    [anon_sym_typeof] = ACTIONS(6547),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6547),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6547),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6547),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6547),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6547),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6547),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6547),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6547),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6547),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6547),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6547),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6547),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6547),
    [anon_sym_API_AVAILABLE] = ACTIONS(6547),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6547),
    [anon_sym_API_DEPRECATED] = ACTIONS(6547),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6547),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6547),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6547),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6547),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6547),
    [anon_sym___deprecated_msg] = ACTIONS(6547),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6547),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6547),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6547),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6547),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6547),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6547),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6547),
    [anon_sym_BOOL] = ACTIONS(6547),
    [anon_sym_IMP] = ACTIONS(6547),
    [anon_sym_SEL] = ACTIONS(6547),
    [anon_sym_Class] = ACTIONS(6547),
    [anon_sym_id] = ACTIONS(6547),
    [anon_sym_ATdefs] = ACTIONS(6549),
  },
  [2607] = {
    [sym_identifier] = ACTIONS(6551),
    [aux_sym_preproc_def_token1] = ACTIONS(6551),
    [aux_sym_preproc_if_token1] = ACTIONS(6551),
    [aux_sym_preproc_if_token2] = ACTIONS(6551),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6551),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6551),
    [aux_sym_preproc_else_token1] = ACTIONS(6551),
    [aux_sym_preproc_elif_token1] = ACTIONS(6551),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6551),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6551),
    [sym_preproc_directive] = ACTIONS(6551),
    [anon_sym___extension__] = ACTIONS(6551),
    [anon_sym_extern] = ACTIONS(6551),
    [anon_sym___attribute__] = ACTIONS(6551),
    [anon_sym___attribute] = ACTIONS(6551),
    [anon_sym_noreturn] = ACTIONS(6551),
    [anon_sym_LBRACK] = ACTIONS(6553),
    [anon_sym___declspec] = ACTIONS(6551),
    [anon_sym_signed] = ACTIONS(6551),
    [anon_sym_unsigned] = ACTIONS(6551),
    [anon_sym_long] = ACTIONS(6551),
    [anon_sym_short] = ACTIONS(6551),
    [anon_sym_static] = ACTIONS(6551),
    [anon_sym_auto] = ACTIONS(6551),
    [anon_sym_register] = ACTIONS(6551),
    [anon_sym_inline] = ACTIONS(6551),
    [anon_sym___inline] = ACTIONS(6551),
    [anon_sym___inline__] = ACTIONS(6551),
    [anon_sym___forceinline] = ACTIONS(6551),
    [anon_sym_thread_local] = ACTIONS(6551),
    [anon_sym___thread] = ACTIONS(6551),
    [anon_sym_CG_EXTERN] = ACTIONS(6551),
    [anon_sym_CG_INLINE] = ACTIONS(6551),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6551),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6551),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6551),
    [anon_sym_IBOutlet] = ACTIONS(6551),
    [anon_sym_IBInspectable] = ACTIONS(6551),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6551),
    [anon_sym_NS_INLINE] = ACTIONS(6551),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6551),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6551),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6551),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6551),
    [anon_sym_const] = ACTIONS(6551),
    [anon_sym_constexpr] = ACTIONS(6551),
    [anon_sym_volatile] = ACTIONS(6551),
    [anon_sym_restrict] = ACTIONS(6551),
    [anon_sym___restrict__] = ACTIONS(6551),
    [anon_sym__Atomic] = ACTIONS(6551),
    [anon_sym__Noreturn] = ACTIONS(6551),
    [anon_sym__Nonnull] = ACTIONS(6551),
    [anon_sym_nullable] = ACTIONS(6551),
    [anon_sym__Complex] = ACTIONS(6551),
    [anon_sym__Nullable] = ACTIONS(6551),
    [anon_sym__Nullable_result] = ACTIONS(6551),
    [anon_sym__Null_unspecified] = ACTIONS(6551),
    [anon_sym___autoreleasing] = ACTIONS(6551),
    [anon_sym___block] = ACTIONS(6551),
    [anon_sym___bridge] = ACTIONS(6551),
    [anon_sym___bridge_retained] = ACTIONS(6551),
    [anon_sym___bridge_transfer] = ACTIONS(6551),
    [anon_sym___complex] = ACTIONS(6551),
    [anon_sym___const] = ACTIONS(6551),
    [anon_sym___imag] = ACTIONS(6551),
    [anon_sym___kindof] = ACTIONS(6551),
    [anon_sym___nonnull] = ACTIONS(6551),
    [anon_sym___nullable] = ACTIONS(6551),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6551),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6551),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6551),
    [anon_sym___real] = ACTIONS(6551),
    [anon_sym___strong] = ACTIONS(6551),
    [anon_sym___unsafe_unretained] = ACTIONS(6551),
    [anon_sym___unused] = ACTIONS(6551),
    [anon_sym___weak] = ACTIONS(6551),
    [anon_sym_alignas] = ACTIONS(6551),
    [anon_sym__Alignas] = ACTIONS(6551),
    [sym_primitive_type] = ACTIONS(6551),
    [anon_sym_enum] = ACTIONS(6551),
    [anon_sym_struct] = ACTIONS(6551),
    [anon_sym_union] = ACTIONS(6551),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6551),
    [anon_sym___typeof] = ACTIONS(6551),
    [anon_sym_typeof] = ACTIONS(6551),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6551),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6551),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6551),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6551),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6551),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6551),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6551),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6551),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6551),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6551),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6551),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6551),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6551),
    [anon_sym_API_AVAILABLE] = ACTIONS(6551),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6551),
    [anon_sym_API_DEPRECATED] = ACTIONS(6551),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6551),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6551),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6551),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6551),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6551),
    [anon_sym___deprecated_msg] = ACTIONS(6551),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6551),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6551),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6551),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6551),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6551),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6551),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6551),
    [anon_sym_BOOL] = ACTIONS(6551),
    [anon_sym_IMP] = ACTIONS(6551),
    [anon_sym_SEL] = ACTIONS(6551),
    [anon_sym_Class] = ACTIONS(6551),
    [anon_sym_id] = ACTIONS(6551),
    [anon_sym_ATdefs] = ACTIONS(6553),
  },
  [2608] = {
    [sym_identifier] = ACTIONS(6555),
    [aux_sym_preproc_def_token1] = ACTIONS(6555),
    [aux_sym_preproc_if_token1] = ACTIONS(6555),
    [aux_sym_preproc_if_token2] = ACTIONS(6555),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6555),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6555),
    [aux_sym_preproc_else_token1] = ACTIONS(6555),
    [aux_sym_preproc_elif_token1] = ACTIONS(6555),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6555),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6555),
    [sym_preproc_directive] = ACTIONS(6555),
    [anon_sym___extension__] = ACTIONS(6555),
    [anon_sym_extern] = ACTIONS(6555),
    [anon_sym___attribute__] = ACTIONS(6555),
    [anon_sym___attribute] = ACTIONS(6555),
    [anon_sym_noreturn] = ACTIONS(6555),
    [anon_sym_LBRACK] = ACTIONS(6557),
    [anon_sym___declspec] = ACTIONS(6555),
    [anon_sym_signed] = ACTIONS(6555),
    [anon_sym_unsigned] = ACTIONS(6555),
    [anon_sym_long] = ACTIONS(6555),
    [anon_sym_short] = ACTIONS(6555),
    [anon_sym_static] = ACTIONS(6555),
    [anon_sym_auto] = ACTIONS(6555),
    [anon_sym_register] = ACTIONS(6555),
    [anon_sym_inline] = ACTIONS(6555),
    [anon_sym___inline] = ACTIONS(6555),
    [anon_sym___inline__] = ACTIONS(6555),
    [anon_sym___forceinline] = ACTIONS(6555),
    [anon_sym_thread_local] = ACTIONS(6555),
    [anon_sym___thread] = ACTIONS(6555),
    [anon_sym_CG_EXTERN] = ACTIONS(6555),
    [anon_sym_CG_INLINE] = ACTIONS(6555),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6555),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6555),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6555),
    [anon_sym_IBOutlet] = ACTIONS(6555),
    [anon_sym_IBInspectable] = ACTIONS(6555),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6555),
    [anon_sym_NS_INLINE] = ACTIONS(6555),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6555),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6555),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6555),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6555),
    [anon_sym_const] = ACTIONS(6555),
    [anon_sym_constexpr] = ACTIONS(6555),
    [anon_sym_volatile] = ACTIONS(6555),
    [anon_sym_restrict] = ACTIONS(6555),
    [anon_sym___restrict__] = ACTIONS(6555),
    [anon_sym__Atomic] = ACTIONS(6555),
    [anon_sym__Noreturn] = ACTIONS(6555),
    [anon_sym__Nonnull] = ACTIONS(6555),
    [anon_sym_nullable] = ACTIONS(6555),
    [anon_sym__Complex] = ACTIONS(6555),
    [anon_sym__Nullable] = ACTIONS(6555),
    [anon_sym__Nullable_result] = ACTIONS(6555),
    [anon_sym__Null_unspecified] = ACTIONS(6555),
    [anon_sym___autoreleasing] = ACTIONS(6555),
    [anon_sym___block] = ACTIONS(6555),
    [anon_sym___bridge] = ACTIONS(6555),
    [anon_sym___bridge_retained] = ACTIONS(6555),
    [anon_sym___bridge_transfer] = ACTIONS(6555),
    [anon_sym___complex] = ACTIONS(6555),
    [anon_sym___const] = ACTIONS(6555),
    [anon_sym___imag] = ACTIONS(6555),
    [anon_sym___kindof] = ACTIONS(6555),
    [anon_sym___nonnull] = ACTIONS(6555),
    [anon_sym___nullable] = ACTIONS(6555),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6555),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6555),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6555),
    [anon_sym___real] = ACTIONS(6555),
    [anon_sym___strong] = ACTIONS(6555),
    [anon_sym___unsafe_unretained] = ACTIONS(6555),
    [anon_sym___unused] = ACTIONS(6555),
    [anon_sym___weak] = ACTIONS(6555),
    [anon_sym_alignas] = ACTIONS(6555),
    [anon_sym__Alignas] = ACTIONS(6555),
    [sym_primitive_type] = ACTIONS(6555),
    [anon_sym_enum] = ACTIONS(6555),
    [anon_sym_struct] = ACTIONS(6555),
    [anon_sym_union] = ACTIONS(6555),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6555),
    [anon_sym___typeof] = ACTIONS(6555),
    [anon_sym_typeof] = ACTIONS(6555),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6555),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6555),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6555),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6555),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6555),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6555),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6555),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6555),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6555),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6555),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6555),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6555),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6555),
    [anon_sym_API_AVAILABLE] = ACTIONS(6555),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6555),
    [anon_sym_API_DEPRECATED] = ACTIONS(6555),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6555),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6555),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6555),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6555),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6555),
    [anon_sym___deprecated_msg] = ACTIONS(6555),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6555),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6555),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6555),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6555),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6555),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6555),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6555),
    [anon_sym_BOOL] = ACTIONS(6555),
    [anon_sym_IMP] = ACTIONS(6555),
    [anon_sym_SEL] = ACTIONS(6555),
    [anon_sym_Class] = ACTIONS(6555),
    [anon_sym_id] = ACTIONS(6555),
    [anon_sym_ATdefs] = ACTIONS(6557),
  },
  [2609] = {
    [sym_identifier] = ACTIONS(6559),
    [aux_sym_preproc_def_token1] = ACTIONS(6559),
    [aux_sym_preproc_if_token1] = ACTIONS(6559),
    [aux_sym_preproc_if_token2] = ACTIONS(6559),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6559),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6559),
    [aux_sym_preproc_else_token1] = ACTIONS(6559),
    [aux_sym_preproc_elif_token1] = ACTIONS(6559),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6559),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6559),
    [sym_preproc_directive] = ACTIONS(6559),
    [anon_sym___extension__] = ACTIONS(6559),
    [anon_sym_extern] = ACTIONS(6559),
    [anon_sym___attribute__] = ACTIONS(6559),
    [anon_sym___attribute] = ACTIONS(6559),
    [anon_sym_noreturn] = ACTIONS(6559),
    [anon_sym_LBRACK] = ACTIONS(6561),
    [anon_sym___declspec] = ACTIONS(6559),
    [anon_sym_signed] = ACTIONS(6559),
    [anon_sym_unsigned] = ACTIONS(6559),
    [anon_sym_long] = ACTIONS(6559),
    [anon_sym_short] = ACTIONS(6559),
    [anon_sym_static] = ACTIONS(6559),
    [anon_sym_auto] = ACTIONS(6559),
    [anon_sym_register] = ACTIONS(6559),
    [anon_sym_inline] = ACTIONS(6559),
    [anon_sym___inline] = ACTIONS(6559),
    [anon_sym___inline__] = ACTIONS(6559),
    [anon_sym___forceinline] = ACTIONS(6559),
    [anon_sym_thread_local] = ACTIONS(6559),
    [anon_sym___thread] = ACTIONS(6559),
    [anon_sym_CG_EXTERN] = ACTIONS(6559),
    [anon_sym_CG_INLINE] = ACTIONS(6559),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6559),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6559),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6559),
    [anon_sym_IBOutlet] = ACTIONS(6559),
    [anon_sym_IBInspectable] = ACTIONS(6559),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6559),
    [anon_sym_NS_INLINE] = ACTIONS(6559),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6559),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6559),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6559),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6559),
    [anon_sym_const] = ACTIONS(6559),
    [anon_sym_constexpr] = ACTIONS(6559),
    [anon_sym_volatile] = ACTIONS(6559),
    [anon_sym_restrict] = ACTIONS(6559),
    [anon_sym___restrict__] = ACTIONS(6559),
    [anon_sym__Atomic] = ACTIONS(6559),
    [anon_sym__Noreturn] = ACTIONS(6559),
    [anon_sym__Nonnull] = ACTIONS(6559),
    [anon_sym_nullable] = ACTIONS(6559),
    [anon_sym__Complex] = ACTIONS(6559),
    [anon_sym__Nullable] = ACTIONS(6559),
    [anon_sym__Nullable_result] = ACTIONS(6559),
    [anon_sym__Null_unspecified] = ACTIONS(6559),
    [anon_sym___autoreleasing] = ACTIONS(6559),
    [anon_sym___block] = ACTIONS(6559),
    [anon_sym___bridge] = ACTIONS(6559),
    [anon_sym___bridge_retained] = ACTIONS(6559),
    [anon_sym___bridge_transfer] = ACTIONS(6559),
    [anon_sym___complex] = ACTIONS(6559),
    [anon_sym___const] = ACTIONS(6559),
    [anon_sym___imag] = ACTIONS(6559),
    [anon_sym___kindof] = ACTIONS(6559),
    [anon_sym___nonnull] = ACTIONS(6559),
    [anon_sym___nullable] = ACTIONS(6559),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6559),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6559),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6559),
    [anon_sym___real] = ACTIONS(6559),
    [anon_sym___strong] = ACTIONS(6559),
    [anon_sym___unsafe_unretained] = ACTIONS(6559),
    [anon_sym___unused] = ACTIONS(6559),
    [anon_sym___weak] = ACTIONS(6559),
    [anon_sym_alignas] = ACTIONS(6559),
    [anon_sym__Alignas] = ACTIONS(6559),
    [sym_primitive_type] = ACTIONS(6559),
    [anon_sym_enum] = ACTIONS(6559),
    [anon_sym_struct] = ACTIONS(6559),
    [anon_sym_union] = ACTIONS(6559),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6559),
    [anon_sym___typeof] = ACTIONS(6559),
    [anon_sym_typeof] = ACTIONS(6559),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6559),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6559),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6559),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6559),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6559),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6559),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6559),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6559),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6559),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6559),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6559),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6559),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6559),
    [anon_sym_API_AVAILABLE] = ACTIONS(6559),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6559),
    [anon_sym_API_DEPRECATED] = ACTIONS(6559),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6559),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6559),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6559),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6559),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6559),
    [anon_sym___deprecated_msg] = ACTIONS(6559),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6559),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6559),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6559),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6559),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6559),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6559),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6559),
    [anon_sym_BOOL] = ACTIONS(6559),
    [anon_sym_IMP] = ACTIONS(6559),
    [anon_sym_SEL] = ACTIONS(6559),
    [anon_sym_Class] = ACTIONS(6559),
    [anon_sym_id] = ACTIONS(6559),
    [anon_sym_ATdefs] = ACTIONS(6561),
  },
  [2610] = {
    [sym_identifier] = ACTIONS(6563),
    [aux_sym_preproc_def_token1] = ACTIONS(6563),
    [aux_sym_preproc_if_token1] = ACTIONS(6563),
    [aux_sym_preproc_if_token2] = ACTIONS(6563),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6563),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6563),
    [aux_sym_preproc_else_token1] = ACTIONS(6563),
    [aux_sym_preproc_elif_token1] = ACTIONS(6563),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6563),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6563),
    [sym_preproc_directive] = ACTIONS(6563),
    [anon_sym___extension__] = ACTIONS(6563),
    [anon_sym_extern] = ACTIONS(6563),
    [anon_sym___attribute__] = ACTIONS(6563),
    [anon_sym___attribute] = ACTIONS(6563),
    [anon_sym_noreturn] = ACTIONS(6563),
    [anon_sym_LBRACK] = ACTIONS(6565),
    [anon_sym___declspec] = ACTIONS(6563),
    [anon_sym_signed] = ACTIONS(6563),
    [anon_sym_unsigned] = ACTIONS(6563),
    [anon_sym_long] = ACTIONS(6563),
    [anon_sym_short] = ACTIONS(6563),
    [anon_sym_static] = ACTIONS(6563),
    [anon_sym_auto] = ACTIONS(6563),
    [anon_sym_register] = ACTIONS(6563),
    [anon_sym_inline] = ACTIONS(6563),
    [anon_sym___inline] = ACTIONS(6563),
    [anon_sym___inline__] = ACTIONS(6563),
    [anon_sym___forceinline] = ACTIONS(6563),
    [anon_sym_thread_local] = ACTIONS(6563),
    [anon_sym___thread] = ACTIONS(6563),
    [anon_sym_CG_EXTERN] = ACTIONS(6563),
    [anon_sym_CG_INLINE] = ACTIONS(6563),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6563),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6563),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6563),
    [anon_sym_IBOutlet] = ACTIONS(6563),
    [anon_sym_IBInspectable] = ACTIONS(6563),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6563),
    [anon_sym_NS_INLINE] = ACTIONS(6563),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6563),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6563),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6563),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6563),
    [anon_sym_const] = ACTIONS(6563),
    [anon_sym_constexpr] = ACTIONS(6563),
    [anon_sym_volatile] = ACTIONS(6563),
    [anon_sym_restrict] = ACTIONS(6563),
    [anon_sym___restrict__] = ACTIONS(6563),
    [anon_sym__Atomic] = ACTIONS(6563),
    [anon_sym__Noreturn] = ACTIONS(6563),
    [anon_sym__Nonnull] = ACTIONS(6563),
    [anon_sym_nullable] = ACTIONS(6563),
    [anon_sym__Complex] = ACTIONS(6563),
    [anon_sym__Nullable] = ACTIONS(6563),
    [anon_sym__Nullable_result] = ACTIONS(6563),
    [anon_sym__Null_unspecified] = ACTIONS(6563),
    [anon_sym___autoreleasing] = ACTIONS(6563),
    [anon_sym___block] = ACTIONS(6563),
    [anon_sym___bridge] = ACTIONS(6563),
    [anon_sym___bridge_retained] = ACTIONS(6563),
    [anon_sym___bridge_transfer] = ACTIONS(6563),
    [anon_sym___complex] = ACTIONS(6563),
    [anon_sym___const] = ACTIONS(6563),
    [anon_sym___imag] = ACTIONS(6563),
    [anon_sym___kindof] = ACTIONS(6563),
    [anon_sym___nonnull] = ACTIONS(6563),
    [anon_sym___nullable] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6563),
    [anon_sym___real] = ACTIONS(6563),
    [anon_sym___strong] = ACTIONS(6563),
    [anon_sym___unsafe_unretained] = ACTIONS(6563),
    [anon_sym___unused] = ACTIONS(6563),
    [anon_sym___weak] = ACTIONS(6563),
    [anon_sym_alignas] = ACTIONS(6563),
    [anon_sym__Alignas] = ACTIONS(6563),
    [sym_primitive_type] = ACTIONS(6563),
    [anon_sym_enum] = ACTIONS(6563),
    [anon_sym_struct] = ACTIONS(6563),
    [anon_sym_union] = ACTIONS(6563),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6563),
    [anon_sym___typeof] = ACTIONS(6563),
    [anon_sym_typeof] = ACTIONS(6563),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6563),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6563),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6563),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6563),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6563),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6563),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6563),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_API_AVAILABLE] = ACTIONS(6563),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_API_DEPRECATED] = ACTIONS(6563),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6563),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym___deprecated_msg] = ACTIONS(6563),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6563),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6563),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6563),
    [anon_sym_BOOL] = ACTIONS(6563),
    [anon_sym_IMP] = ACTIONS(6563),
    [anon_sym_SEL] = ACTIONS(6563),
    [anon_sym_Class] = ACTIONS(6563),
    [anon_sym_id] = ACTIONS(6563),
    [anon_sym_ATdefs] = ACTIONS(6565),
  },
  [2611] = {
    [sym_identifier] = ACTIONS(6567),
    [aux_sym_preproc_def_token1] = ACTIONS(6567),
    [aux_sym_preproc_if_token1] = ACTIONS(6567),
    [aux_sym_preproc_if_token2] = ACTIONS(6567),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6567),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6567),
    [aux_sym_preproc_else_token1] = ACTIONS(6567),
    [aux_sym_preproc_elif_token1] = ACTIONS(6567),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6567),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6567),
    [sym_preproc_directive] = ACTIONS(6567),
    [anon_sym___extension__] = ACTIONS(6567),
    [anon_sym_extern] = ACTIONS(6567),
    [anon_sym___attribute__] = ACTIONS(6567),
    [anon_sym___attribute] = ACTIONS(6567),
    [anon_sym_noreturn] = ACTIONS(6567),
    [anon_sym_LBRACK] = ACTIONS(6569),
    [anon_sym___declspec] = ACTIONS(6567),
    [anon_sym_signed] = ACTIONS(6567),
    [anon_sym_unsigned] = ACTIONS(6567),
    [anon_sym_long] = ACTIONS(6567),
    [anon_sym_short] = ACTIONS(6567),
    [anon_sym_static] = ACTIONS(6567),
    [anon_sym_auto] = ACTIONS(6567),
    [anon_sym_register] = ACTIONS(6567),
    [anon_sym_inline] = ACTIONS(6567),
    [anon_sym___inline] = ACTIONS(6567),
    [anon_sym___inline__] = ACTIONS(6567),
    [anon_sym___forceinline] = ACTIONS(6567),
    [anon_sym_thread_local] = ACTIONS(6567),
    [anon_sym___thread] = ACTIONS(6567),
    [anon_sym_CG_EXTERN] = ACTIONS(6567),
    [anon_sym_CG_INLINE] = ACTIONS(6567),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6567),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6567),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6567),
    [anon_sym_IBOutlet] = ACTIONS(6567),
    [anon_sym_IBInspectable] = ACTIONS(6567),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6567),
    [anon_sym_NS_INLINE] = ACTIONS(6567),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6567),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6567),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6567),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6567),
    [anon_sym_const] = ACTIONS(6567),
    [anon_sym_constexpr] = ACTIONS(6567),
    [anon_sym_volatile] = ACTIONS(6567),
    [anon_sym_restrict] = ACTIONS(6567),
    [anon_sym___restrict__] = ACTIONS(6567),
    [anon_sym__Atomic] = ACTIONS(6567),
    [anon_sym__Noreturn] = ACTIONS(6567),
    [anon_sym__Nonnull] = ACTIONS(6567),
    [anon_sym_nullable] = ACTIONS(6567),
    [anon_sym__Complex] = ACTIONS(6567),
    [anon_sym__Nullable] = ACTIONS(6567),
    [anon_sym__Nullable_result] = ACTIONS(6567),
    [anon_sym__Null_unspecified] = ACTIONS(6567),
    [anon_sym___autoreleasing] = ACTIONS(6567),
    [anon_sym___block] = ACTIONS(6567),
    [anon_sym___bridge] = ACTIONS(6567),
    [anon_sym___bridge_retained] = ACTIONS(6567),
    [anon_sym___bridge_transfer] = ACTIONS(6567),
    [anon_sym___complex] = ACTIONS(6567),
    [anon_sym___const] = ACTIONS(6567),
    [anon_sym___imag] = ACTIONS(6567),
    [anon_sym___kindof] = ACTIONS(6567),
    [anon_sym___nonnull] = ACTIONS(6567),
    [anon_sym___nullable] = ACTIONS(6567),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6567),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6567),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6567),
    [anon_sym___real] = ACTIONS(6567),
    [anon_sym___strong] = ACTIONS(6567),
    [anon_sym___unsafe_unretained] = ACTIONS(6567),
    [anon_sym___unused] = ACTIONS(6567),
    [anon_sym___weak] = ACTIONS(6567),
    [anon_sym_alignas] = ACTIONS(6567),
    [anon_sym__Alignas] = ACTIONS(6567),
    [sym_primitive_type] = ACTIONS(6567),
    [anon_sym_enum] = ACTIONS(6567),
    [anon_sym_struct] = ACTIONS(6567),
    [anon_sym_union] = ACTIONS(6567),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6567),
    [anon_sym___typeof] = ACTIONS(6567),
    [anon_sym_typeof] = ACTIONS(6567),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6567),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6567),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6567),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6567),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6567),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6567),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6567),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6567),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6567),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6567),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6567),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6567),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6567),
    [anon_sym_API_AVAILABLE] = ACTIONS(6567),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6567),
    [anon_sym_API_DEPRECATED] = ACTIONS(6567),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6567),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6567),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6567),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6567),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6567),
    [anon_sym___deprecated_msg] = ACTIONS(6567),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6567),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6567),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6567),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6567),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6567),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6567),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6567),
    [anon_sym_BOOL] = ACTIONS(6567),
    [anon_sym_IMP] = ACTIONS(6567),
    [anon_sym_SEL] = ACTIONS(6567),
    [anon_sym_Class] = ACTIONS(6567),
    [anon_sym_id] = ACTIONS(6567),
    [anon_sym_ATdefs] = ACTIONS(6569),
  },
  [2612] = {
    [sym_identifier] = ACTIONS(6563),
    [aux_sym_preproc_def_token1] = ACTIONS(6563),
    [aux_sym_preproc_if_token1] = ACTIONS(6563),
    [aux_sym_preproc_if_token2] = ACTIONS(6563),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6563),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6563),
    [aux_sym_preproc_else_token1] = ACTIONS(6563),
    [aux_sym_preproc_elif_token1] = ACTIONS(6563),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6563),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6563),
    [sym_preproc_directive] = ACTIONS(6563),
    [anon_sym___extension__] = ACTIONS(6563),
    [anon_sym_extern] = ACTIONS(6563),
    [anon_sym___attribute__] = ACTIONS(6563),
    [anon_sym___attribute] = ACTIONS(6563),
    [anon_sym_noreturn] = ACTIONS(6563),
    [anon_sym_LBRACK] = ACTIONS(6565),
    [anon_sym___declspec] = ACTIONS(6563),
    [anon_sym_signed] = ACTIONS(6563),
    [anon_sym_unsigned] = ACTIONS(6563),
    [anon_sym_long] = ACTIONS(6563),
    [anon_sym_short] = ACTIONS(6563),
    [anon_sym_static] = ACTIONS(6563),
    [anon_sym_auto] = ACTIONS(6563),
    [anon_sym_register] = ACTIONS(6563),
    [anon_sym_inline] = ACTIONS(6563),
    [anon_sym___inline] = ACTIONS(6563),
    [anon_sym___inline__] = ACTIONS(6563),
    [anon_sym___forceinline] = ACTIONS(6563),
    [anon_sym_thread_local] = ACTIONS(6563),
    [anon_sym___thread] = ACTIONS(6563),
    [anon_sym_CG_EXTERN] = ACTIONS(6563),
    [anon_sym_CG_INLINE] = ACTIONS(6563),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6563),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6563),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6563),
    [anon_sym_IBOutlet] = ACTIONS(6563),
    [anon_sym_IBInspectable] = ACTIONS(6563),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6563),
    [anon_sym_NS_INLINE] = ACTIONS(6563),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6563),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6563),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6563),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6563),
    [anon_sym_const] = ACTIONS(6563),
    [anon_sym_constexpr] = ACTIONS(6563),
    [anon_sym_volatile] = ACTIONS(6563),
    [anon_sym_restrict] = ACTIONS(6563),
    [anon_sym___restrict__] = ACTIONS(6563),
    [anon_sym__Atomic] = ACTIONS(6563),
    [anon_sym__Noreturn] = ACTIONS(6563),
    [anon_sym__Nonnull] = ACTIONS(6563),
    [anon_sym_nullable] = ACTIONS(6563),
    [anon_sym__Complex] = ACTIONS(6563),
    [anon_sym__Nullable] = ACTIONS(6563),
    [anon_sym__Nullable_result] = ACTIONS(6563),
    [anon_sym__Null_unspecified] = ACTIONS(6563),
    [anon_sym___autoreleasing] = ACTIONS(6563),
    [anon_sym___block] = ACTIONS(6563),
    [anon_sym___bridge] = ACTIONS(6563),
    [anon_sym___bridge_retained] = ACTIONS(6563),
    [anon_sym___bridge_transfer] = ACTIONS(6563),
    [anon_sym___complex] = ACTIONS(6563),
    [anon_sym___const] = ACTIONS(6563),
    [anon_sym___imag] = ACTIONS(6563),
    [anon_sym___kindof] = ACTIONS(6563),
    [anon_sym___nonnull] = ACTIONS(6563),
    [anon_sym___nullable] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6563),
    [anon_sym___real] = ACTIONS(6563),
    [anon_sym___strong] = ACTIONS(6563),
    [anon_sym___unsafe_unretained] = ACTIONS(6563),
    [anon_sym___unused] = ACTIONS(6563),
    [anon_sym___weak] = ACTIONS(6563),
    [anon_sym_alignas] = ACTIONS(6563),
    [anon_sym__Alignas] = ACTIONS(6563),
    [sym_primitive_type] = ACTIONS(6563),
    [anon_sym_enum] = ACTIONS(6563),
    [anon_sym_struct] = ACTIONS(6563),
    [anon_sym_union] = ACTIONS(6563),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6563),
    [anon_sym___typeof] = ACTIONS(6563),
    [anon_sym_typeof] = ACTIONS(6563),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6563),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6563),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6563),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6563),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6563),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6563),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6563),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_API_AVAILABLE] = ACTIONS(6563),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_API_DEPRECATED] = ACTIONS(6563),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6563),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym___deprecated_msg] = ACTIONS(6563),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6563),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6563),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6563),
    [anon_sym_BOOL] = ACTIONS(6563),
    [anon_sym_IMP] = ACTIONS(6563),
    [anon_sym_SEL] = ACTIONS(6563),
    [anon_sym_Class] = ACTIONS(6563),
    [anon_sym_id] = ACTIONS(6563),
    [anon_sym_ATdefs] = ACTIONS(6565),
  },
  [2613] = {
    [sym_identifier] = ACTIONS(6571),
    [aux_sym_preproc_def_token1] = ACTIONS(6571),
    [aux_sym_preproc_if_token1] = ACTIONS(6571),
    [aux_sym_preproc_if_token2] = ACTIONS(6571),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6571),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6571),
    [aux_sym_preproc_else_token1] = ACTIONS(6571),
    [aux_sym_preproc_elif_token1] = ACTIONS(6571),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6571),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6571),
    [sym_preproc_directive] = ACTIONS(6571),
    [anon_sym___extension__] = ACTIONS(6571),
    [anon_sym_extern] = ACTIONS(6571),
    [anon_sym___attribute__] = ACTIONS(6571),
    [anon_sym___attribute] = ACTIONS(6571),
    [anon_sym_noreturn] = ACTIONS(6571),
    [anon_sym_LBRACK] = ACTIONS(6573),
    [anon_sym___declspec] = ACTIONS(6571),
    [anon_sym_signed] = ACTIONS(6571),
    [anon_sym_unsigned] = ACTIONS(6571),
    [anon_sym_long] = ACTIONS(6571),
    [anon_sym_short] = ACTIONS(6571),
    [anon_sym_static] = ACTIONS(6571),
    [anon_sym_auto] = ACTIONS(6571),
    [anon_sym_register] = ACTIONS(6571),
    [anon_sym_inline] = ACTIONS(6571),
    [anon_sym___inline] = ACTIONS(6571),
    [anon_sym___inline__] = ACTIONS(6571),
    [anon_sym___forceinline] = ACTIONS(6571),
    [anon_sym_thread_local] = ACTIONS(6571),
    [anon_sym___thread] = ACTIONS(6571),
    [anon_sym_CG_EXTERN] = ACTIONS(6571),
    [anon_sym_CG_INLINE] = ACTIONS(6571),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6571),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6571),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6571),
    [anon_sym_IBOutlet] = ACTIONS(6571),
    [anon_sym_IBInspectable] = ACTIONS(6571),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6571),
    [anon_sym_NS_INLINE] = ACTIONS(6571),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6571),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6571),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6571),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6571),
    [anon_sym_const] = ACTIONS(6571),
    [anon_sym_constexpr] = ACTIONS(6571),
    [anon_sym_volatile] = ACTIONS(6571),
    [anon_sym_restrict] = ACTIONS(6571),
    [anon_sym___restrict__] = ACTIONS(6571),
    [anon_sym__Atomic] = ACTIONS(6571),
    [anon_sym__Noreturn] = ACTIONS(6571),
    [anon_sym__Nonnull] = ACTIONS(6571),
    [anon_sym_nullable] = ACTIONS(6571),
    [anon_sym__Complex] = ACTIONS(6571),
    [anon_sym__Nullable] = ACTIONS(6571),
    [anon_sym__Nullable_result] = ACTIONS(6571),
    [anon_sym__Null_unspecified] = ACTIONS(6571),
    [anon_sym___autoreleasing] = ACTIONS(6571),
    [anon_sym___block] = ACTIONS(6571),
    [anon_sym___bridge] = ACTIONS(6571),
    [anon_sym___bridge_retained] = ACTIONS(6571),
    [anon_sym___bridge_transfer] = ACTIONS(6571),
    [anon_sym___complex] = ACTIONS(6571),
    [anon_sym___const] = ACTIONS(6571),
    [anon_sym___imag] = ACTIONS(6571),
    [anon_sym___kindof] = ACTIONS(6571),
    [anon_sym___nonnull] = ACTIONS(6571),
    [anon_sym___nullable] = ACTIONS(6571),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6571),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6571),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6571),
    [anon_sym___real] = ACTIONS(6571),
    [anon_sym___strong] = ACTIONS(6571),
    [anon_sym___unsafe_unretained] = ACTIONS(6571),
    [anon_sym___unused] = ACTIONS(6571),
    [anon_sym___weak] = ACTIONS(6571),
    [anon_sym_alignas] = ACTIONS(6571),
    [anon_sym__Alignas] = ACTIONS(6571),
    [sym_primitive_type] = ACTIONS(6571),
    [anon_sym_enum] = ACTIONS(6571),
    [anon_sym_struct] = ACTIONS(6571),
    [anon_sym_union] = ACTIONS(6571),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6571),
    [anon_sym___typeof] = ACTIONS(6571),
    [anon_sym_typeof] = ACTIONS(6571),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6571),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6571),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6571),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6571),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6571),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6571),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6571),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6571),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6571),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6571),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6571),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6571),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6571),
    [anon_sym_API_AVAILABLE] = ACTIONS(6571),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6571),
    [anon_sym_API_DEPRECATED] = ACTIONS(6571),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6571),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6571),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6571),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6571),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6571),
    [anon_sym___deprecated_msg] = ACTIONS(6571),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6571),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6571),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6571),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6571),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6571),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6571),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6571),
    [anon_sym_BOOL] = ACTIONS(6571),
    [anon_sym_IMP] = ACTIONS(6571),
    [anon_sym_SEL] = ACTIONS(6571),
    [anon_sym_Class] = ACTIONS(6571),
    [anon_sym_id] = ACTIONS(6571),
    [anon_sym_ATdefs] = ACTIONS(6573),
  },
  [2614] = {
    [sym_identifier] = ACTIONS(6575),
    [aux_sym_preproc_def_token1] = ACTIONS(6575),
    [aux_sym_preproc_if_token1] = ACTIONS(6575),
    [aux_sym_preproc_if_token2] = ACTIONS(6575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6575),
    [aux_sym_preproc_else_token1] = ACTIONS(6575),
    [aux_sym_preproc_elif_token1] = ACTIONS(6575),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6575),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6575),
    [sym_preproc_directive] = ACTIONS(6575),
    [anon_sym___extension__] = ACTIONS(6575),
    [anon_sym_extern] = ACTIONS(6575),
    [anon_sym___attribute__] = ACTIONS(6575),
    [anon_sym___attribute] = ACTIONS(6575),
    [anon_sym_noreturn] = ACTIONS(6575),
    [anon_sym_LBRACK] = ACTIONS(6577),
    [anon_sym___declspec] = ACTIONS(6575),
    [anon_sym_signed] = ACTIONS(6575),
    [anon_sym_unsigned] = ACTIONS(6575),
    [anon_sym_long] = ACTIONS(6575),
    [anon_sym_short] = ACTIONS(6575),
    [anon_sym_static] = ACTIONS(6575),
    [anon_sym_auto] = ACTIONS(6575),
    [anon_sym_register] = ACTIONS(6575),
    [anon_sym_inline] = ACTIONS(6575),
    [anon_sym___inline] = ACTIONS(6575),
    [anon_sym___inline__] = ACTIONS(6575),
    [anon_sym___forceinline] = ACTIONS(6575),
    [anon_sym_thread_local] = ACTIONS(6575),
    [anon_sym___thread] = ACTIONS(6575),
    [anon_sym_CG_EXTERN] = ACTIONS(6575),
    [anon_sym_CG_INLINE] = ACTIONS(6575),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6575),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6575),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6575),
    [anon_sym_IBOutlet] = ACTIONS(6575),
    [anon_sym_IBInspectable] = ACTIONS(6575),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6575),
    [anon_sym_NS_INLINE] = ACTIONS(6575),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6575),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6575),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6575),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6575),
    [anon_sym_const] = ACTIONS(6575),
    [anon_sym_constexpr] = ACTIONS(6575),
    [anon_sym_volatile] = ACTIONS(6575),
    [anon_sym_restrict] = ACTIONS(6575),
    [anon_sym___restrict__] = ACTIONS(6575),
    [anon_sym__Atomic] = ACTIONS(6575),
    [anon_sym__Noreturn] = ACTIONS(6575),
    [anon_sym__Nonnull] = ACTIONS(6575),
    [anon_sym_nullable] = ACTIONS(6575),
    [anon_sym__Complex] = ACTIONS(6575),
    [anon_sym__Nullable] = ACTIONS(6575),
    [anon_sym__Nullable_result] = ACTIONS(6575),
    [anon_sym__Null_unspecified] = ACTIONS(6575),
    [anon_sym___autoreleasing] = ACTIONS(6575),
    [anon_sym___block] = ACTIONS(6575),
    [anon_sym___bridge] = ACTIONS(6575),
    [anon_sym___bridge_retained] = ACTIONS(6575),
    [anon_sym___bridge_transfer] = ACTIONS(6575),
    [anon_sym___complex] = ACTIONS(6575),
    [anon_sym___const] = ACTIONS(6575),
    [anon_sym___imag] = ACTIONS(6575),
    [anon_sym___kindof] = ACTIONS(6575),
    [anon_sym___nonnull] = ACTIONS(6575),
    [anon_sym___nullable] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6575),
    [anon_sym___real] = ACTIONS(6575),
    [anon_sym___strong] = ACTIONS(6575),
    [anon_sym___unsafe_unretained] = ACTIONS(6575),
    [anon_sym___unused] = ACTIONS(6575),
    [anon_sym___weak] = ACTIONS(6575),
    [anon_sym_alignas] = ACTIONS(6575),
    [anon_sym__Alignas] = ACTIONS(6575),
    [sym_primitive_type] = ACTIONS(6575),
    [anon_sym_enum] = ACTIONS(6575),
    [anon_sym_struct] = ACTIONS(6575),
    [anon_sym_union] = ACTIONS(6575),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6575),
    [anon_sym___typeof] = ACTIONS(6575),
    [anon_sym_typeof] = ACTIONS(6575),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6575),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6575),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6575),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6575),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6575),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6575),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6575),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_API_AVAILABLE] = ACTIONS(6575),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_API_DEPRECATED] = ACTIONS(6575),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6575),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym___deprecated_msg] = ACTIONS(6575),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6575),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6575),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6575),
    [anon_sym_BOOL] = ACTIONS(6575),
    [anon_sym_IMP] = ACTIONS(6575),
    [anon_sym_SEL] = ACTIONS(6575),
    [anon_sym_Class] = ACTIONS(6575),
    [anon_sym_id] = ACTIONS(6575),
    [anon_sym_ATdefs] = ACTIONS(6577),
  },
  [2615] = {
    [sym_identifier] = ACTIONS(2662),
    [aux_sym_preproc_def_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token1] = ACTIONS(2662),
    [aux_sym_preproc_if_token2] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2662),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2662),
    [aux_sym_preproc_else_token1] = ACTIONS(2662),
    [aux_sym_preproc_elif_token1] = ACTIONS(2662),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2662),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2662),
    [sym_preproc_directive] = ACTIONS(2662),
    [anon_sym___extension__] = ACTIONS(2662),
    [anon_sym_extern] = ACTIONS(2662),
    [anon_sym___attribute__] = ACTIONS(2662),
    [anon_sym___attribute] = ACTIONS(2662),
    [anon_sym_noreturn] = ACTIONS(2662),
    [anon_sym_LBRACK] = ACTIONS(2664),
    [anon_sym___declspec] = ACTIONS(2662),
    [anon_sym_signed] = ACTIONS(2662),
    [anon_sym_unsigned] = ACTIONS(2662),
    [anon_sym_long] = ACTIONS(2662),
    [anon_sym_short] = ACTIONS(2662),
    [anon_sym_static] = ACTIONS(2662),
    [anon_sym_auto] = ACTIONS(2662),
    [anon_sym_register] = ACTIONS(2662),
    [anon_sym_inline] = ACTIONS(2662),
    [anon_sym___inline] = ACTIONS(2662),
    [anon_sym___inline__] = ACTIONS(2662),
    [anon_sym___forceinline] = ACTIONS(2662),
    [anon_sym_thread_local] = ACTIONS(2662),
    [anon_sym___thread] = ACTIONS(2662),
    [anon_sym_CG_EXTERN] = ACTIONS(2662),
    [anon_sym_CG_INLINE] = ACTIONS(2662),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2662),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2662),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2662),
    [anon_sym_IBOutlet] = ACTIONS(2662),
    [anon_sym_IBInspectable] = ACTIONS(2662),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2662),
    [anon_sym_NS_INLINE] = ACTIONS(2662),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2662),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2662),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2662),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2662),
    [anon_sym_const] = ACTIONS(2662),
    [anon_sym_constexpr] = ACTIONS(2662),
    [anon_sym_volatile] = ACTIONS(2662),
    [anon_sym_restrict] = ACTIONS(2662),
    [anon_sym___restrict__] = ACTIONS(2662),
    [anon_sym__Atomic] = ACTIONS(2662),
    [anon_sym__Noreturn] = ACTIONS(2662),
    [anon_sym__Nonnull] = ACTIONS(2662),
    [anon_sym_nullable] = ACTIONS(2662),
    [anon_sym__Complex] = ACTIONS(2662),
    [anon_sym__Nullable] = ACTIONS(2662),
    [anon_sym__Nullable_result] = ACTIONS(2662),
    [anon_sym__Null_unspecified] = ACTIONS(2662),
    [anon_sym___autoreleasing] = ACTIONS(2662),
    [anon_sym___block] = ACTIONS(2662),
    [anon_sym___bridge] = ACTIONS(2662),
    [anon_sym___bridge_retained] = ACTIONS(2662),
    [anon_sym___bridge_transfer] = ACTIONS(2662),
    [anon_sym___complex] = ACTIONS(2662),
    [anon_sym___const] = ACTIONS(2662),
    [anon_sym___imag] = ACTIONS(2662),
    [anon_sym___kindof] = ACTIONS(2662),
    [anon_sym___nonnull] = ACTIONS(2662),
    [anon_sym___nullable] = ACTIONS(2662),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2662),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2662),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2662),
    [anon_sym___real] = ACTIONS(2662),
    [anon_sym___strong] = ACTIONS(2662),
    [anon_sym___unsafe_unretained] = ACTIONS(2662),
    [anon_sym___unused] = ACTIONS(2662),
    [anon_sym___weak] = ACTIONS(2662),
    [anon_sym_alignas] = ACTIONS(2662),
    [anon_sym__Alignas] = ACTIONS(2662),
    [sym_primitive_type] = ACTIONS(2662),
    [anon_sym_enum] = ACTIONS(2662),
    [anon_sym_struct] = ACTIONS(2662),
    [anon_sym_union] = ACTIONS(2662),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2662),
    [anon_sym___typeof] = ACTIONS(2662),
    [anon_sym_typeof] = ACTIONS(2662),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2662),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2662),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2662),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2662),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2662),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2662),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2662),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2662),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2662),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_API_AVAILABLE] = ACTIONS(2662),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_API_DEPRECATED] = ACTIONS(2662),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2662),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2662),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2662),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2662),
    [anon_sym___deprecated_msg] = ACTIONS(2662),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2662),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2662),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2662),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2662),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2662),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2662),
    [anon_sym_BOOL] = ACTIONS(2662),
    [anon_sym_IMP] = ACTIONS(2662),
    [anon_sym_SEL] = ACTIONS(2662),
    [anon_sym_Class] = ACTIONS(2662),
    [anon_sym_id] = ACTIONS(2662),
    [anon_sym_ATdefs] = ACTIONS(2664),
  },
  [2616] = {
    [sym_identifier] = ACTIONS(6575),
    [aux_sym_preproc_def_token1] = ACTIONS(6575),
    [aux_sym_preproc_if_token1] = ACTIONS(6575),
    [aux_sym_preproc_if_token2] = ACTIONS(6575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6575),
    [aux_sym_preproc_else_token1] = ACTIONS(6575),
    [aux_sym_preproc_elif_token1] = ACTIONS(6575),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6575),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6575),
    [sym_preproc_directive] = ACTIONS(6575),
    [anon_sym___extension__] = ACTIONS(6575),
    [anon_sym_extern] = ACTIONS(6575),
    [anon_sym___attribute__] = ACTIONS(6575),
    [anon_sym___attribute] = ACTIONS(6575),
    [anon_sym_noreturn] = ACTIONS(6575),
    [anon_sym_LBRACK] = ACTIONS(6577),
    [anon_sym___declspec] = ACTIONS(6575),
    [anon_sym_signed] = ACTIONS(6575),
    [anon_sym_unsigned] = ACTIONS(6575),
    [anon_sym_long] = ACTIONS(6575),
    [anon_sym_short] = ACTIONS(6575),
    [anon_sym_static] = ACTIONS(6575),
    [anon_sym_auto] = ACTIONS(6575),
    [anon_sym_register] = ACTIONS(6575),
    [anon_sym_inline] = ACTIONS(6575),
    [anon_sym___inline] = ACTIONS(6575),
    [anon_sym___inline__] = ACTIONS(6575),
    [anon_sym___forceinline] = ACTIONS(6575),
    [anon_sym_thread_local] = ACTIONS(6575),
    [anon_sym___thread] = ACTIONS(6575),
    [anon_sym_CG_EXTERN] = ACTIONS(6575),
    [anon_sym_CG_INLINE] = ACTIONS(6575),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6575),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6575),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6575),
    [anon_sym_IBOutlet] = ACTIONS(6575),
    [anon_sym_IBInspectable] = ACTIONS(6575),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6575),
    [anon_sym_NS_INLINE] = ACTIONS(6575),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6575),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6575),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6575),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6575),
    [anon_sym_const] = ACTIONS(6575),
    [anon_sym_constexpr] = ACTIONS(6575),
    [anon_sym_volatile] = ACTIONS(6575),
    [anon_sym_restrict] = ACTIONS(6575),
    [anon_sym___restrict__] = ACTIONS(6575),
    [anon_sym__Atomic] = ACTIONS(6575),
    [anon_sym__Noreturn] = ACTIONS(6575),
    [anon_sym__Nonnull] = ACTIONS(6575),
    [anon_sym_nullable] = ACTIONS(6575),
    [anon_sym__Complex] = ACTIONS(6575),
    [anon_sym__Nullable] = ACTIONS(6575),
    [anon_sym__Nullable_result] = ACTIONS(6575),
    [anon_sym__Null_unspecified] = ACTIONS(6575),
    [anon_sym___autoreleasing] = ACTIONS(6575),
    [anon_sym___block] = ACTIONS(6575),
    [anon_sym___bridge] = ACTIONS(6575),
    [anon_sym___bridge_retained] = ACTIONS(6575),
    [anon_sym___bridge_transfer] = ACTIONS(6575),
    [anon_sym___complex] = ACTIONS(6575),
    [anon_sym___const] = ACTIONS(6575),
    [anon_sym___imag] = ACTIONS(6575),
    [anon_sym___kindof] = ACTIONS(6575),
    [anon_sym___nonnull] = ACTIONS(6575),
    [anon_sym___nullable] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6575),
    [anon_sym___real] = ACTIONS(6575),
    [anon_sym___strong] = ACTIONS(6575),
    [anon_sym___unsafe_unretained] = ACTIONS(6575),
    [anon_sym___unused] = ACTIONS(6575),
    [anon_sym___weak] = ACTIONS(6575),
    [anon_sym_alignas] = ACTIONS(6575),
    [anon_sym__Alignas] = ACTIONS(6575),
    [sym_primitive_type] = ACTIONS(6575),
    [anon_sym_enum] = ACTIONS(6575),
    [anon_sym_struct] = ACTIONS(6575),
    [anon_sym_union] = ACTIONS(6575),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6575),
    [anon_sym___typeof] = ACTIONS(6575),
    [anon_sym_typeof] = ACTIONS(6575),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6575),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6575),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6575),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6575),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6575),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6575),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6575),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_API_AVAILABLE] = ACTIONS(6575),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_API_DEPRECATED] = ACTIONS(6575),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6575),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym___deprecated_msg] = ACTIONS(6575),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6575),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6575),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6575),
    [anon_sym_BOOL] = ACTIONS(6575),
    [anon_sym_IMP] = ACTIONS(6575),
    [anon_sym_SEL] = ACTIONS(6575),
    [anon_sym_Class] = ACTIONS(6575),
    [anon_sym_id] = ACTIONS(6575),
    [anon_sym_ATdefs] = ACTIONS(6577),
  },
  [2617] = {
    [sym_identifier] = ACTIONS(6579),
    [aux_sym_preproc_def_token1] = ACTIONS(6579),
    [aux_sym_preproc_if_token1] = ACTIONS(6579),
    [aux_sym_preproc_if_token2] = ACTIONS(6579),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6579),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6579),
    [aux_sym_preproc_else_token1] = ACTIONS(6579),
    [aux_sym_preproc_elif_token1] = ACTIONS(6579),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6579),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6579),
    [sym_preproc_directive] = ACTIONS(6579),
    [anon_sym___extension__] = ACTIONS(6579),
    [anon_sym_extern] = ACTIONS(6579),
    [anon_sym___attribute__] = ACTIONS(6579),
    [anon_sym___attribute] = ACTIONS(6579),
    [anon_sym_noreturn] = ACTIONS(6579),
    [anon_sym_LBRACK] = ACTIONS(6581),
    [anon_sym___declspec] = ACTIONS(6579),
    [anon_sym_signed] = ACTIONS(6579),
    [anon_sym_unsigned] = ACTIONS(6579),
    [anon_sym_long] = ACTIONS(6579),
    [anon_sym_short] = ACTIONS(6579),
    [anon_sym_static] = ACTIONS(6579),
    [anon_sym_auto] = ACTIONS(6579),
    [anon_sym_register] = ACTIONS(6579),
    [anon_sym_inline] = ACTIONS(6579),
    [anon_sym___inline] = ACTIONS(6579),
    [anon_sym___inline__] = ACTIONS(6579),
    [anon_sym___forceinline] = ACTIONS(6579),
    [anon_sym_thread_local] = ACTIONS(6579),
    [anon_sym___thread] = ACTIONS(6579),
    [anon_sym_CG_EXTERN] = ACTIONS(6579),
    [anon_sym_CG_INLINE] = ACTIONS(6579),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6579),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6579),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6579),
    [anon_sym_IBOutlet] = ACTIONS(6579),
    [anon_sym_IBInspectable] = ACTIONS(6579),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6579),
    [anon_sym_NS_INLINE] = ACTIONS(6579),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6579),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6579),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6579),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6579),
    [anon_sym_const] = ACTIONS(6579),
    [anon_sym_constexpr] = ACTIONS(6579),
    [anon_sym_volatile] = ACTIONS(6579),
    [anon_sym_restrict] = ACTIONS(6579),
    [anon_sym___restrict__] = ACTIONS(6579),
    [anon_sym__Atomic] = ACTIONS(6579),
    [anon_sym__Noreturn] = ACTIONS(6579),
    [anon_sym__Nonnull] = ACTIONS(6579),
    [anon_sym_nullable] = ACTIONS(6579),
    [anon_sym__Complex] = ACTIONS(6579),
    [anon_sym__Nullable] = ACTIONS(6579),
    [anon_sym__Nullable_result] = ACTIONS(6579),
    [anon_sym__Null_unspecified] = ACTIONS(6579),
    [anon_sym___autoreleasing] = ACTIONS(6579),
    [anon_sym___block] = ACTIONS(6579),
    [anon_sym___bridge] = ACTIONS(6579),
    [anon_sym___bridge_retained] = ACTIONS(6579),
    [anon_sym___bridge_transfer] = ACTIONS(6579),
    [anon_sym___complex] = ACTIONS(6579),
    [anon_sym___const] = ACTIONS(6579),
    [anon_sym___imag] = ACTIONS(6579),
    [anon_sym___kindof] = ACTIONS(6579),
    [anon_sym___nonnull] = ACTIONS(6579),
    [anon_sym___nullable] = ACTIONS(6579),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6579),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6579),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6579),
    [anon_sym___real] = ACTIONS(6579),
    [anon_sym___strong] = ACTIONS(6579),
    [anon_sym___unsafe_unretained] = ACTIONS(6579),
    [anon_sym___unused] = ACTIONS(6579),
    [anon_sym___weak] = ACTIONS(6579),
    [anon_sym_alignas] = ACTIONS(6579),
    [anon_sym__Alignas] = ACTIONS(6579),
    [sym_primitive_type] = ACTIONS(6579),
    [anon_sym_enum] = ACTIONS(6579),
    [anon_sym_struct] = ACTIONS(6579),
    [anon_sym_union] = ACTIONS(6579),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6579),
    [anon_sym___typeof] = ACTIONS(6579),
    [anon_sym_typeof] = ACTIONS(6579),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6579),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6579),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6579),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6579),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6579),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6579),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6579),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6579),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6579),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6579),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6579),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6579),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6579),
    [anon_sym_API_AVAILABLE] = ACTIONS(6579),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6579),
    [anon_sym_API_DEPRECATED] = ACTIONS(6579),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6579),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6579),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6579),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6579),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6579),
    [anon_sym___deprecated_msg] = ACTIONS(6579),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6579),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6579),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6579),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6579),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6579),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6579),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6579),
    [anon_sym_BOOL] = ACTIONS(6579),
    [anon_sym_IMP] = ACTIONS(6579),
    [anon_sym_SEL] = ACTIONS(6579),
    [anon_sym_Class] = ACTIONS(6579),
    [anon_sym_id] = ACTIONS(6579),
    [anon_sym_ATdefs] = ACTIONS(6581),
  },
  [2618] = {
    [sym_identifier] = ACTIONS(6563),
    [aux_sym_preproc_def_token1] = ACTIONS(6563),
    [aux_sym_preproc_if_token1] = ACTIONS(6563),
    [aux_sym_preproc_if_token2] = ACTIONS(6563),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6563),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6563),
    [aux_sym_preproc_else_token1] = ACTIONS(6563),
    [aux_sym_preproc_elif_token1] = ACTIONS(6563),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6563),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6563),
    [sym_preproc_directive] = ACTIONS(6563),
    [anon_sym___extension__] = ACTIONS(6563),
    [anon_sym_extern] = ACTIONS(6563),
    [anon_sym___attribute__] = ACTIONS(6563),
    [anon_sym___attribute] = ACTIONS(6563),
    [anon_sym_noreturn] = ACTIONS(6563),
    [anon_sym_LBRACK] = ACTIONS(6565),
    [anon_sym___declspec] = ACTIONS(6563),
    [anon_sym_signed] = ACTIONS(6563),
    [anon_sym_unsigned] = ACTIONS(6563),
    [anon_sym_long] = ACTIONS(6563),
    [anon_sym_short] = ACTIONS(6563),
    [anon_sym_static] = ACTIONS(6563),
    [anon_sym_auto] = ACTIONS(6563),
    [anon_sym_register] = ACTIONS(6563),
    [anon_sym_inline] = ACTIONS(6563),
    [anon_sym___inline] = ACTIONS(6563),
    [anon_sym___inline__] = ACTIONS(6563),
    [anon_sym___forceinline] = ACTIONS(6563),
    [anon_sym_thread_local] = ACTIONS(6563),
    [anon_sym___thread] = ACTIONS(6563),
    [anon_sym_CG_EXTERN] = ACTIONS(6563),
    [anon_sym_CG_INLINE] = ACTIONS(6563),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6563),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6563),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6563),
    [anon_sym_IBOutlet] = ACTIONS(6563),
    [anon_sym_IBInspectable] = ACTIONS(6563),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6563),
    [anon_sym_NS_INLINE] = ACTIONS(6563),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6563),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6563),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6563),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6563),
    [anon_sym_const] = ACTIONS(6563),
    [anon_sym_constexpr] = ACTIONS(6563),
    [anon_sym_volatile] = ACTIONS(6563),
    [anon_sym_restrict] = ACTIONS(6563),
    [anon_sym___restrict__] = ACTIONS(6563),
    [anon_sym__Atomic] = ACTIONS(6563),
    [anon_sym__Noreturn] = ACTIONS(6563),
    [anon_sym__Nonnull] = ACTIONS(6563),
    [anon_sym_nullable] = ACTIONS(6563),
    [anon_sym__Complex] = ACTIONS(6563),
    [anon_sym__Nullable] = ACTIONS(6563),
    [anon_sym__Nullable_result] = ACTIONS(6563),
    [anon_sym__Null_unspecified] = ACTIONS(6563),
    [anon_sym___autoreleasing] = ACTIONS(6563),
    [anon_sym___block] = ACTIONS(6563),
    [anon_sym___bridge] = ACTIONS(6563),
    [anon_sym___bridge_retained] = ACTIONS(6563),
    [anon_sym___bridge_transfer] = ACTIONS(6563),
    [anon_sym___complex] = ACTIONS(6563),
    [anon_sym___const] = ACTIONS(6563),
    [anon_sym___imag] = ACTIONS(6563),
    [anon_sym___kindof] = ACTIONS(6563),
    [anon_sym___nonnull] = ACTIONS(6563),
    [anon_sym___nullable] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6563),
    [anon_sym___real] = ACTIONS(6563),
    [anon_sym___strong] = ACTIONS(6563),
    [anon_sym___unsafe_unretained] = ACTIONS(6563),
    [anon_sym___unused] = ACTIONS(6563),
    [anon_sym___weak] = ACTIONS(6563),
    [anon_sym_alignas] = ACTIONS(6563),
    [anon_sym__Alignas] = ACTIONS(6563),
    [sym_primitive_type] = ACTIONS(6563),
    [anon_sym_enum] = ACTIONS(6563),
    [anon_sym_struct] = ACTIONS(6563),
    [anon_sym_union] = ACTIONS(6563),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6563),
    [anon_sym___typeof] = ACTIONS(6563),
    [anon_sym_typeof] = ACTIONS(6563),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6563),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6563),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6563),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6563),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6563),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6563),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6563),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_API_AVAILABLE] = ACTIONS(6563),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_API_DEPRECATED] = ACTIONS(6563),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6563),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym___deprecated_msg] = ACTIONS(6563),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6563),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6563),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6563),
    [anon_sym_BOOL] = ACTIONS(6563),
    [anon_sym_IMP] = ACTIONS(6563),
    [anon_sym_SEL] = ACTIONS(6563),
    [anon_sym_Class] = ACTIONS(6563),
    [anon_sym_id] = ACTIONS(6563),
    [anon_sym_ATdefs] = ACTIONS(6565),
  },
  [2619] = {
    [sym_identifier] = ACTIONS(6563),
    [aux_sym_preproc_def_token1] = ACTIONS(6563),
    [aux_sym_preproc_if_token1] = ACTIONS(6563),
    [aux_sym_preproc_if_token2] = ACTIONS(6563),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6563),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6563),
    [aux_sym_preproc_else_token1] = ACTIONS(6563),
    [aux_sym_preproc_elif_token1] = ACTIONS(6563),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6563),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6563),
    [sym_preproc_directive] = ACTIONS(6563),
    [anon_sym___extension__] = ACTIONS(6563),
    [anon_sym_extern] = ACTIONS(6563),
    [anon_sym___attribute__] = ACTIONS(6563),
    [anon_sym___attribute] = ACTIONS(6563),
    [anon_sym_noreturn] = ACTIONS(6563),
    [anon_sym_LBRACK] = ACTIONS(6565),
    [anon_sym___declspec] = ACTIONS(6563),
    [anon_sym_signed] = ACTIONS(6563),
    [anon_sym_unsigned] = ACTIONS(6563),
    [anon_sym_long] = ACTIONS(6563),
    [anon_sym_short] = ACTIONS(6563),
    [anon_sym_static] = ACTIONS(6563),
    [anon_sym_auto] = ACTIONS(6563),
    [anon_sym_register] = ACTIONS(6563),
    [anon_sym_inline] = ACTIONS(6563),
    [anon_sym___inline] = ACTIONS(6563),
    [anon_sym___inline__] = ACTIONS(6563),
    [anon_sym___forceinline] = ACTIONS(6563),
    [anon_sym_thread_local] = ACTIONS(6563),
    [anon_sym___thread] = ACTIONS(6563),
    [anon_sym_CG_EXTERN] = ACTIONS(6563),
    [anon_sym_CG_INLINE] = ACTIONS(6563),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6563),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6563),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6563),
    [anon_sym_IBOutlet] = ACTIONS(6563),
    [anon_sym_IBInspectable] = ACTIONS(6563),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6563),
    [anon_sym_NS_INLINE] = ACTIONS(6563),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6563),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6563),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6563),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6563),
    [anon_sym_const] = ACTIONS(6563),
    [anon_sym_constexpr] = ACTIONS(6563),
    [anon_sym_volatile] = ACTIONS(6563),
    [anon_sym_restrict] = ACTIONS(6563),
    [anon_sym___restrict__] = ACTIONS(6563),
    [anon_sym__Atomic] = ACTIONS(6563),
    [anon_sym__Noreturn] = ACTIONS(6563),
    [anon_sym__Nonnull] = ACTIONS(6563),
    [anon_sym_nullable] = ACTIONS(6563),
    [anon_sym__Complex] = ACTIONS(6563),
    [anon_sym__Nullable] = ACTIONS(6563),
    [anon_sym__Nullable_result] = ACTIONS(6563),
    [anon_sym__Null_unspecified] = ACTIONS(6563),
    [anon_sym___autoreleasing] = ACTIONS(6563),
    [anon_sym___block] = ACTIONS(6563),
    [anon_sym___bridge] = ACTIONS(6563),
    [anon_sym___bridge_retained] = ACTIONS(6563),
    [anon_sym___bridge_transfer] = ACTIONS(6563),
    [anon_sym___complex] = ACTIONS(6563),
    [anon_sym___const] = ACTIONS(6563),
    [anon_sym___imag] = ACTIONS(6563),
    [anon_sym___kindof] = ACTIONS(6563),
    [anon_sym___nonnull] = ACTIONS(6563),
    [anon_sym___nullable] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6563),
    [anon_sym___real] = ACTIONS(6563),
    [anon_sym___strong] = ACTIONS(6563),
    [anon_sym___unsafe_unretained] = ACTIONS(6563),
    [anon_sym___unused] = ACTIONS(6563),
    [anon_sym___weak] = ACTIONS(6563),
    [anon_sym_alignas] = ACTIONS(6563),
    [anon_sym__Alignas] = ACTIONS(6563),
    [sym_primitive_type] = ACTIONS(6563),
    [anon_sym_enum] = ACTIONS(6563),
    [anon_sym_struct] = ACTIONS(6563),
    [anon_sym_union] = ACTIONS(6563),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6563),
    [anon_sym___typeof] = ACTIONS(6563),
    [anon_sym_typeof] = ACTIONS(6563),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6563),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6563),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6563),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6563),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6563),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6563),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6563),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_API_AVAILABLE] = ACTIONS(6563),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_API_DEPRECATED] = ACTIONS(6563),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6563),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym___deprecated_msg] = ACTIONS(6563),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6563),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6563),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6563),
    [anon_sym_BOOL] = ACTIONS(6563),
    [anon_sym_IMP] = ACTIONS(6563),
    [anon_sym_SEL] = ACTIONS(6563),
    [anon_sym_Class] = ACTIONS(6563),
    [anon_sym_id] = ACTIONS(6563),
    [anon_sym_ATdefs] = ACTIONS(6565),
  },
  [2620] = {
    [sym_identifier] = ACTIONS(6571),
    [aux_sym_preproc_def_token1] = ACTIONS(6571),
    [aux_sym_preproc_if_token1] = ACTIONS(6571),
    [aux_sym_preproc_if_token2] = ACTIONS(6571),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6571),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6571),
    [aux_sym_preproc_else_token1] = ACTIONS(6571),
    [aux_sym_preproc_elif_token1] = ACTIONS(6571),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6571),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6571),
    [sym_preproc_directive] = ACTIONS(6571),
    [anon_sym___extension__] = ACTIONS(6571),
    [anon_sym_extern] = ACTIONS(6571),
    [anon_sym___attribute__] = ACTIONS(6571),
    [anon_sym___attribute] = ACTIONS(6571),
    [anon_sym_noreturn] = ACTIONS(6571),
    [anon_sym_LBRACK] = ACTIONS(6573),
    [anon_sym___declspec] = ACTIONS(6571),
    [anon_sym_signed] = ACTIONS(6571),
    [anon_sym_unsigned] = ACTIONS(6571),
    [anon_sym_long] = ACTIONS(6571),
    [anon_sym_short] = ACTIONS(6571),
    [anon_sym_static] = ACTIONS(6571),
    [anon_sym_auto] = ACTIONS(6571),
    [anon_sym_register] = ACTIONS(6571),
    [anon_sym_inline] = ACTIONS(6571),
    [anon_sym___inline] = ACTIONS(6571),
    [anon_sym___inline__] = ACTIONS(6571),
    [anon_sym___forceinline] = ACTIONS(6571),
    [anon_sym_thread_local] = ACTIONS(6571),
    [anon_sym___thread] = ACTIONS(6571),
    [anon_sym_CG_EXTERN] = ACTIONS(6571),
    [anon_sym_CG_INLINE] = ACTIONS(6571),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6571),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6571),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6571),
    [anon_sym_IBOutlet] = ACTIONS(6571),
    [anon_sym_IBInspectable] = ACTIONS(6571),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6571),
    [anon_sym_NS_INLINE] = ACTIONS(6571),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6571),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6571),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6571),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6571),
    [anon_sym_const] = ACTIONS(6571),
    [anon_sym_constexpr] = ACTIONS(6571),
    [anon_sym_volatile] = ACTIONS(6571),
    [anon_sym_restrict] = ACTIONS(6571),
    [anon_sym___restrict__] = ACTIONS(6571),
    [anon_sym__Atomic] = ACTIONS(6571),
    [anon_sym__Noreturn] = ACTIONS(6571),
    [anon_sym__Nonnull] = ACTIONS(6571),
    [anon_sym_nullable] = ACTIONS(6571),
    [anon_sym__Complex] = ACTIONS(6571),
    [anon_sym__Nullable] = ACTIONS(6571),
    [anon_sym__Nullable_result] = ACTIONS(6571),
    [anon_sym__Null_unspecified] = ACTIONS(6571),
    [anon_sym___autoreleasing] = ACTIONS(6571),
    [anon_sym___block] = ACTIONS(6571),
    [anon_sym___bridge] = ACTIONS(6571),
    [anon_sym___bridge_retained] = ACTIONS(6571),
    [anon_sym___bridge_transfer] = ACTIONS(6571),
    [anon_sym___complex] = ACTIONS(6571),
    [anon_sym___const] = ACTIONS(6571),
    [anon_sym___imag] = ACTIONS(6571),
    [anon_sym___kindof] = ACTIONS(6571),
    [anon_sym___nonnull] = ACTIONS(6571),
    [anon_sym___nullable] = ACTIONS(6571),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6571),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6571),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6571),
    [anon_sym___real] = ACTIONS(6571),
    [anon_sym___strong] = ACTIONS(6571),
    [anon_sym___unsafe_unretained] = ACTIONS(6571),
    [anon_sym___unused] = ACTIONS(6571),
    [anon_sym___weak] = ACTIONS(6571),
    [anon_sym_alignas] = ACTIONS(6571),
    [anon_sym__Alignas] = ACTIONS(6571),
    [sym_primitive_type] = ACTIONS(6571),
    [anon_sym_enum] = ACTIONS(6571),
    [anon_sym_struct] = ACTIONS(6571),
    [anon_sym_union] = ACTIONS(6571),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6571),
    [anon_sym___typeof] = ACTIONS(6571),
    [anon_sym_typeof] = ACTIONS(6571),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6571),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6571),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6571),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6571),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6571),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6571),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6571),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6571),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6571),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6571),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6571),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6571),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6571),
    [anon_sym_API_AVAILABLE] = ACTIONS(6571),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6571),
    [anon_sym_API_DEPRECATED] = ACTIONS(6571),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6571),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6571),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6571),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6571),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6571),
    [anon_sym___deprecated_msg] = ACTIONS(6571),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6571),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6571),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6571),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6571),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6571),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6571),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6571),
    [anon_sym_BOOL] = ACTIONS(6571),
    [anon_sym_IMP] = ACTIONS(6571),
    [anon_sym_SEL] = ACTIONS(6571),
    [anon_sym_Class] = ACTIONS(6571),
    [anon_sym_id] = ACTIONS(6571),
    [anon_sym_ATdefs] = ACTIONS(6573),
  },
  [2621] = {
    [sym_type_qualifier] = STATE(3421),
    [sym_alignas_qualifier] = STATE(3521),
    [sym_expression] = STATE(4497),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym__type_definition_type_repeat1] = STATE(3421),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6335),
    [anon_sym_noreturn] = ACTIONS(6337),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(6469),
    [anon_sym_constexpr] = ACTIONS(6337),
    [anon_sym_volatile] = ACTIONS(6337),
    [anon_sym_restrict] = ACTIONS(6337),
    [anon_sym___restrict__] = ACTIONS(6337),
    [anon_sym__Atomic] = ACTIONS(6337),
    [anon_sym__Noreturn] = ACTIONS(6337),
    [anon_sym__Nonnull] = ACTIONS(6337),
    [anon_sym_nullable] = ACTIONS(6337),
    [anon_sym__Complex] = ACTIONS(6337),
    [anon_sym__Nullable] = ACTIONS(6337),
    [anon_sym__Nullable_result] = ACTIONS(6337),
    [anon_sym__Null_unspecified] = ACTIONS(6337),
    [anon_sym___autoreleasing] = ACTIONS(6337),
    [anon_sym___block] = ACTIONS(6337),
    [anon_sym___bridge] = ACTIONS(6337),
    [anon_sym___bridge_retained] = ACTIONS(6337),
    [anon_sym___bridge_transfer] = ACTIONS(6337),
    [anon_sym___complex] = ACTIONS(6337),
    [anon_sym___const] = ACTIONS(6337),
    [anon_sym___imag] = ACTIONS(6345),
    [anon_sym___kindof] = ACTIONS(6337),
    [anon_sym___nonnull] = ACTIONS(6337),
    [anon_sym___nullable] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6337),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6337),
    [anon_sym___real] = ACTIONS(6345),
    [anon_sym___strong] = ACTIONS(6337),
    [anon_sym___unsafe_unretained] = ACTIONS(6337),
    [anon_sym___unused] = ACTIONS(6337),
    [anon_sym___weak] = ACTIONS(6337),
    [anon_sym_alignas] = ACTIONS(6347),
    [anon_sym__Alignas] = ACTIONS(6347),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2622] = {
    [sym_identifier] = ACTIONS(6575),
    [aux_sym_preproc_def_token1] = ACTIONS(6575),
    [aux_sym_preproc_if_token1] = ACTIONS(6575),
    [aux_sym_preproc_if_token2] = ACTIONS(6575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6575),
    [aux_sym_preproc_else_token1] = ACTIONS(6575),
    [aux_sym_preproc_elif_token1] = ACTIONS(6575),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6575),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6575),
    [sym_preproc_directive] = ACTIONS(6575),
    [anon_sym___extension__] = ACTIONS(6575),
    [anon_sym_extern] = ACTIONS(6575),
    [anon_sym___attribute__] = ACTIONS(6575),
    [anon_sym___attribute] = ACTIONS(6575),
    [anon_sym_noreturn] = ACTIONS(6575),
    [anon_sym_LBRACK] = ACTIONS(6577),
    [anon_sym___declspec] = ACTIONS(6575),
    [anon_sym_signed] = ACTIONS(6575),
    [anon_sym_unsigned] = ACTIONS(6575),
    [anon_sym_long] = ACTIONS(6575),
    [anon_sym_short] = ACTIONS(6575),
    [anon_sym_static] = ACTIONS(6575),
    [anon_sym_auto] = ACTIONS(6575),
    [anon_sym_register] = ACTIONS(6575),
    [anon_sym_inline] = ACTIONS(6575),
    [anon_sym___inline] = ACTIONS(6575),
    [anon_sym___inline__] = ACTIONS(6575),
    [anon_sym___forceinline] = ACTIONS(6575),
    [anon_sym_thread_local] = ACTIONS(6575),
    [anon_sym___thread] = ACTIONS(6575),
    [anon_sym_CG_EXTERN] = ACTIONS(6575),
    [anon_sym_CG_INLINE] = ACTIONS(6575),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6575),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6575),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6575),
    [anon_sym_IBOutlet] = ACTIONS(6575),
    [anon_sym_IBInspectable] = ACTIONS(6575),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6575),
    [anon_sym_NS_INLINE] = ACTIONS(6575),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6575),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6575),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6575),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6575),
    [anon_sym_const] = ACTIONS(6575),
    [anon_sym_constexpr] = ACTIONS(6575),
    [anon_sym_volatile] = ACTIONS(6575),
    [anon_sym_restrict] = ACTIONS(6575),
    [anon_sym___restrict__] = ACTIONS(6575),
    [anon_sym__Atomic] = ACTIONS(6575),
    [anon_sym__Noreturn] = ACTIONS(6575),
    [anon_sym__Nonnull] = ACTIONS(6575),
    [anon_sym_nullable] = ACTIONS(6575),
    [anon_sym__Complex] = ACTIONS(6575),
    [anon_sym__Nullable] = ACTIONS(6575),
    [anon_sym__Nullable_result] = ACTIONS(6575),
    [anon_sym__Null_unspecified] = ACTIONS(6575),
    [anon_sym___autoreleasing] = ACTIONS(6575),
    [anon_sym___block] = ACTIONS(6575),
    [anon_sym___bridge] = ACTIONS(6575),
    [anon_sym___bridge_retained] = ACTIONS(6575),
    [anon_sym___bridge_transfer] = ACTIONS(6575),
    [anon_sym___complex] = ACTIONS(6575),
    [anon_sym___const] = ACTIONS(6575),
    [anon_sym___imag] = ACTIONS(6575),
    [anon_sym___kindof] = ACTIONS(6575),
    [anon_sym___nonnull] = ACTIONS(6575),
    [anon_sym___nullable] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6575),
    [anon_sym___real] = ACTIONS(6575),
    [anon_sym___strong] = ACTIONS(6575),
    [anon_sym___unsafe_unretained] = ACTIONS(6575),
    [anon_sym___unused] = ACTIONS(6575),
    [anon_sym___weak] = ACTIONS(6575),
    [anon_sym_alignas] = ACTIONS(6575),
    [anon_sym__Alignas] = ACTIONS(6575),
    [sym_primitive_type] = ACTIONS(6575),
    [anon_sym_enum] = ACTIONS(6575),
    [anon_sym_struct] = ACTIONS(6575),
    [anon_sym_union] = ACTIONS(6575),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6575),
    [anon_sym___typeof] = ACTIONS(6575),
    [anon_sym_typeof] = ACTIONS(6575),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6575),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6575),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6575),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6575),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6575),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6575),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6575),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_API_AVAILABLE] = ACTIONS(6575),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_API_DEPRECATED] = ACTIONS(6575),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6575),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym___deprecated_msg] = ACTIONS(6575),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6575),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6575),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6575),
    [anon_sym_BOOL] = ACTIONS(6575),
    [anon_sym_IMP] = ACTIONS(6575),
    [anon_sym_SEL] = ACTIONS(6575),
    [anon_sym_Class] = ACTIONS(6575),
    [anon_sym_id] = ACTIONS(6575),
    [anon_sym_ATdefs] = ACTIONS(6577),
  },
  [2623] = {
    [sym_identifier] = ACTIONS(6575),
    [aux_sym_preproc_def_token1] = ACTIONS(6575),
    [aux_sym_preproc_if_token1] = ACTIONS(6575),
    [aux_sym_preproc_if_token2] = ACTIONS(6575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6575),
    [aux_sym_preproc_else_token1] = ACTIONS(6575),
    [aux_sym_preproc_elif_token1] = ACTIONS(6575),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6575),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6575),
    [sym_preproc_directive] = ACTIONS(6575),
    [anon_sym___extension__] = ACTIONS(6575),
    [anon_sym_extern] = ACTIONS(6575),
    [anon_sym___attribute__] = ACTIONS(6575),
    [anon_sym___attribute] = ACTIONS(6575),
    [anon_sym_noreturn] = ACTIONS(6575),
    [anon_sym_LBRACK] = ACTIONS(6577),
    [anon_sym___declspec] = ACTIONS(6575),
    [anon_sym_signed] = ACTIONS(6575),
    [anon_sym_unsigned] = ACTIONS(6575),
    [anon_sym_long] = ACTIONS(6575),
    [anon_sym_short] = ACTIONS(6575),
    [anon_sym_static] = ACTIONS(6575),
    [anon_sym_auto] = ACTIONS(6575),
    [anon_sym_register] = ACTIONS(6575),
    [anon_sym_inline] = ACTIONS(6575),
    [anon_sym___inline] = ACTIONS(6575),
    [anon_sym___inline__] = ACTIONS(6575),
    [anon_sym___forceinline] = ACTIONS(6575),
    [anon_sym_thread_local] = ACTIONS(6575),
    [anon_sym___thread] = ACTIONS(6575),
    [anon_sym_CG_EXTERN] = ACTIONS(6575),
    [anon_sym_CG_INLINE] = ACTIONS(6575),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6575),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6575),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6575),
    [anon_sym_IBOutlet] = ACTIONS(6575),
    [anon_sym_IBInspectable] = ACTIONS(6575),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6575),
    [anon_sym_NS_INLINE] = ACTIONS(6575),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6575),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6575),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6575),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6575),
    [anon_sym_const] = ACTIONS(6575),
    [anon_sym_constexpr] = ACTIONS(6575),
    [anon_sym_volatile] = ACTIONS(6575),
    [anon_sym_restrict] = ACTIONS(6575),
    [anon_sym___restrict__] = ACTIONS(6575),
    [anon_sym__Atomic] = ACTIONS(6575),
    [anon_sym__Noreturn] = ACTIONS(6575),
    [anon_sym__Nonnull] = ACTIONS(6575),
    [anon_sym_nullable] = ACTIONS(6575),
    [anon_sym__Complex] = ACTIONS(6575),
    [anon_sym__Nullable] = ACTIONS(6575),
    [anon_sym__Nullable_result] = ACTIONS(6575),
    [anon_sym__Null_unspecified] = ACTIONS(6575),
    [anon_sym___autoreleasing] = ACTIONS(6575),
    [anon_sym___block] = ACTIONS(6575),
    [anon_sym___bridge] = ACTIONS(6575),
    [anon_sym___bridge_retained] = ACTIONS(6575),
    [anon_sym___bridge_transfer] = ACTIONS(6575),
    [anon_sym___complex] = ACTIONS(6575),
    [anon_sym___const] = ACTIONS(6575),
    [anon_sym___imag] = ACTIONS(6575),
    [anon_sym___kindof] = ACTIONS(6575),
    [anon_sym___nonnull] = ACTIONS(6575),
    [anon_sym___nullable] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6575),
    [anon_sym___real] = ACTIONS(6575),
    [anon_sym___strong] = ACTIONS(6575),
    [anon_sym___unsafe_unretained] = ACTIONS(6575),
    [anon_sym___unused] = ACTIONS(6575),
    [anon_sym___weak] = ACTIONS(6575),
    [anon_sym_alignas] = ACTIONS(6575),
    [anon_sym__Alignas] = ACTIONS(6575),
    [sym_primitive_type] = ACTIONS(6575),
    [anon_sym_enum] = ACTIONS(6575),
    [anon_sym_struct] = ACTIONS(6575),
    [anon_sym_union] = ACTIONS(6575),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6575),
    [anon_sym___typeof] = ACTIONS(6575),
    [anon_sym_typeof] = ACTIONS(6575),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6575),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6575),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6575),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6575),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6575),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6575),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6575),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_API_AVAILABLE] = ACTIONS(6575),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_API_DEPRECATED] = ACTIONS(6575),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6575),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym___deprecated_msg] = ACTIONS(6575),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6575),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6575),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6575),
    [anon_sym_BOOL] = ACTIONS(6575),
    [anon_sym_IMP] = ACTIONS(6575),
    [anon_sym_SEL] = ACTIONS(6575),
    [anon_sym_Class] = ACTIONS(6575),
    [anon_sym_id] = ACTIONS(6575),
    [anon_sym_ATdefs] = ACTIONS(6577),
  },
  [2624] = {
    [sym_identifier] = ACTIONS(2798),
    [aux_sym_preproc_def_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token1] = ACTIONS(2798),
    [aux_sym_preproc_if_token2] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2798),
    [aux_sym_preproc_else_token1] = ACTIONS(2798),
    [aux_sym_preproc_elif_token1] = ACTIONS(2798),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2798),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2798),
    [sym_preproc_directive] = ACTIONS(2798),
    [anon_sym___extension__] = ACTIONS(2798),
    [anon_sym_extern] = ACTIONS(2798),
    [anon_sym___attribute__] = ACTIONS(2798),
    [anon_sym___attribute] = ACTIONS(2798),
    [anon_sym_noreturn] = ACTIONS(2798),
    [anon_sym_LBRACK] = ACTIONS(2800),
    [anon_sym___declspec] = ACTIONS(2798),
    [anon_sym_signed] = ACTIONS(2798),
    [anon_sym_unsigned] = ACTIONS(2798),
    [anon_sym_long] = ACTIONS(2798),
    [anon_sym_short] = ACTIONS(2798),
    [anon_sym_static] = ACTIONS(2798),
    [anon_sym_auto] = ACTIONS(2798),
    [anon_sym_register] = ACTIONS(2798),
    [anon_sym_inline] = ACTIONS(2798),
    [anon_sym___inline] = ACTIONS(2798),
    [anon_sym___inline__] = ACTIONS(2798),
    [anon_sym___forceinline] = ACTIONS(2798),
    [anon_sym_thread_local] = ACTIONS(2798),
    [anon_sym___thread] = ACTIONS(2798),
    [anon_sym_CG_EXTERN] = ACTIONS(2798),
    [anon_sym_CG_INLINE] = ACTIONS(2798),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2798),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2798),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2798),
    [anon_sym_IBOutlet] = ACTIONS(2798),
    [anon_sym_IBInspectable] = ACTIONS(2798),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2798),
    [anon_sym_NS_INLINE] = ACTIONS(2798),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2798),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2798),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2798),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2798),
    [anon_sym_const] = ACTIONS(2798),
    [anon_sym_constexpr] = ACTIONS(2798),
    [anon_sym_volatile] = ACTIONS(2798),
    [anon_sym_restrict] = ACTIONS(2798),
    [anon_sym___restrict__] = ACTIONS(2798),
    [anon_sym__Atomic] = ACTIONS(2798),
    [anon_sym__Noreturn] = ACTIONS(2798),
    [anon_sym__Nonnull] = ACTIONS(2798),
    [anon_sym_nullable] = ACTIONS(2798),
    [anon_sym__Complex] = ACTIONS(2798),
    [anon_sym__Nullable] = ACTIONS(2798),
    [anon_sym__Nullable_result] = ACTIONS(2798),
    [anon_sym__Null_unspecified] = ACTIONS(2798),
    [anon_sym___autoreleasing] = ACTIONS(2798),
    [anon_sym___block] = ACTIONS(2798),
    [anon_sym___bridge] = ACTIONS(2798),
    [anon_sym___bridge_retained] = ACTIONS(2798),
    [anon_sym___bridge_transfer] = ACTIONS(2798),
    [anon_sym___complex] = ACTIONS(2798),
    [anon_sym___const] = ACTIONS(2798),
    [anon_sym___imag] = ACTIONS(2798),
    [anon_sym___kindof] = ACTIONS(2798),
    [anon_sym___nonnull] = ACTIONS(2798),
    [anon_sym___nullable] = ACTIONS(2798),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2798),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2798),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2798),
    [anon_sym___real] = ACTIONS(2798),
    [anon_sym___strong] = ACTIONS(2798),
    [anon_sym___unsafe_unretained] = ACTIONS(2798),
    [anon_sym___unused] = ACTIONS(2798),
    [anon_sym___weak] = ACTIONS(2798),
    [anon_sym_alignas] = ACTIONS(2798),
    [anon_sym__Alignas] = ACTIONS(2798),
    [sym_primitive_type] = ACTIONS(2798),
    [anon_sym_enum] = ACTIONS(2798),
    [anon_sym_struct] = ACTIONS(2798),
    [anon_sym_union] = ACTIONS(2798),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2798),
    [anon_sym___typeof] = ACTIONS(2798),
    [anon_sym_typeof] = ACTIONS(2798),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2798),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2798),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2798),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2798),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2798),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2798),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2798),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2798),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_API_AVAILABLE] = ACTIONS(2798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_API_DEPRECATED] = ACTIONS(2798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2798),
    [anon_sym___deprecated_msg] = ACTIONS(2798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2798),
    [anon_sym_BOOL] = ACTIONS(2798),
    [anon_sym_IMP] = ACTIONS(2798),
    [anon_sym_SEL] = ACTIONS(2798),
    [anon_sym_Class] = ACTIONS(2798),
    [anon_sym_id] = ACTIONS(2798),
    [anon_sym_ATdefs] = ACTIONS(2800),
  },
  [2625] = {
    [sym_identifier] = ACTIONS(6583),
    [aux_sym_preproc_def_token1] = ACTIONS(6583),
    [aux_sym_preproc_if_token1] = ACTIONS(6583),
    [aux_sym_preproc_if_token2] = ACTIONS(6583),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6583),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6583),
    [aux_sym_preproc_else_token1] = ACTIONS(6583),
    [aux_sym_preproc_elif_token1] = ACTIONS(6583),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6583),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6583),
    [sym_preproc_directive] = ACTIONS(6583),
    [anon_sym___extension__] = ACTIONS(6583),
    [anon_sym_extern] = ACTIONS(6583),
    [anon_sym___attribute__] = ACTIONS(6583),
    [anon_sym___attribute] = ACTIONS(6583),
    [anon_sym_noreturn] = ACTIONS(6583),
    [anon_sym_LBRACK] = ACTIONS(6585),
    [anon_sym___declspec] = ACTIONS(6583),
    [anon_sym_signed] = ACTIONS(6583),
    [anon_sym_unsigned] = ACTIONS(6583),
    [anon_sym_long] = ACTIONS(6583),
    [anon_sym_short] = ACTIONS(6583),
    [anon_sym_static] = ACTIONS(6583),
    [anon_sym_auto] = ACTIONS(6583),
    [anon_sym_register] = ACTIONS(6583),
    [anon_sym_inline] = ACTIONS(6583),
    [anon_sym___inline] = ACTIONS(6583),
    [anon_sym___inline__] = ACTIONS(6583),
    [anon_sym___forceinline] = ACTIONS(6583),
    [anon_sym_thread_local] = ACTIONS(6583),
    [anon_sym___thread] = ACTIONS(6583),
    [anon_sym_CG_EXTERN] = ACTIONS(6583),
    [anon_sym_CG_INLINE] = ACTIONS(6583),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6583),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6583),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6583),
    [anon_sym_IBOutlet] = ACTIONS(6583),
    [anon_sym_IBInspectable] = ACTIONS(6583),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6583),
    [anon_sym_NS_INLINE] = ACTIONS(6583),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6583),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6583),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6583),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6583),
    [anon_sym_const] = ACTIONS(6583),
    [anon_sym_constexpr] = ACTIONS(6583),
    [anon_sym_volatile] = ACTIONS(6583),
    [anon_sym_restrict] = ACTIONS(6583),
    [anon_sym___restrict__] = ACTIONS(6583),
    [anon_sym__Atomic] = ACTIONS(6583),
    [anon_sym__Noreturn] = ACTIONS(6583),
    [anon_sym__Nonnull] = ACTIONS(6583),
    [anon_sym_nullable] = ACTIONS(6583),
    [anon_sym__Complex] = ACTIONS(6583),
    [anon_sym__Nullable] = ACTIONS(6583),
    [anon_sym__Nullable_result] = ACTIONS(6583),
    [anon_sym__Null_unspecified] = ACTIONS(6583),
    [anon_sym___autoreleasing] = ACTIONS(6583),
    [anon_sym___block] = ACTIONS(6583),
    [anon_sym___bridge] = ACTIONS(6583),
    [anon_sym___bridge_retained] = ACTIONS(6583),
    [anon_sym___bridge_transfer] = ACTIONS(6583),
    [anon_sym___complex] = ACTIONS(6583),
    [anon_sym___const] = ACTIONS(6583),
    [anon_sym___imag] = ACTIONS(6583),
    [anon_sym___kindof] = ACTIONS(6583),
    [anon_sym___nonnull] = ACTIONS(6583),
    [anon_sym___nullable] = ACTIONS(6583),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6583),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6583),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6583),
    [anon_sym___real] = ACTIONS(6583),
    [anon_sym___strong] = ACTIONS(6583),
    [anon_sym___unsafe_unretained] = ACTIONS(6583),
    [anon_sym___unused] = ACTIONS(6583),
    [anon_sym___weak] = ACTIONS(6583),
    [anon_sym_alignas] = ACTIONS(6583),
    [anon_sym__Alignas] = ACTIONS(6583),
    [sym_primitive_type] = ACTIONS(6583),
    [anon_sym_enum] = ACTIONS(6583),
    [anon_sym_struct] = ACTIONS(6583),
    [anon_sym_union] = ACTIONS(6583),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6583),
    [anon_sym___typeof] = ACTIONS(6583),
    [anon_sym_typeof] = ACTIONS(6583),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6583),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6583),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6583),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6583),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6583),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6583),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6583),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6583),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6583),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6583),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6583),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6583),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6583),
    [anon_sym_API_AVAILABLE] = ACTIONS(6583),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6583),
    [anon_sym_API_DEPRECATED] = ACTIONS(6583),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6583),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6583),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6583),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6583),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6583),
    [anon_sym___deprecated_msg] = ACTIONS(6583),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6583),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6583),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6583),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6583),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6583),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6583),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6583),
    [anon_sym_BOOL] = ACTIONS(6583),
    [anon_sym_IMP] = ACTIONS(6583),
    [anon_sym_SEL] = ACTIONS(6583),
    [anon_sym_Class] = ACTIONS(6583),
    [anon_sym_id] = ACTIONS(6583),
    [anon_sym_ATdefs] = ACTIONS(6585),
  },
  [2626] = {
    [sym_identifier] = ACTIONS(2576),
    [aux_sym_preproc_def_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token1] = ACTIONS(2576),
    [aux_sym_preproc_if_token2] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2576),
    [aux_sym_preproc_else_token1] = ACTIONS(2576),
    [aux_sym_preproc_elif_token1] = ACTIONS(2576),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2576),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2576),
    [sym_preproc_directive] = ACTIONS(2576),
    [anon_sym___extension__] = ACTIONS(2576),
    [anon_sym_extern] = ACTIONS(2576),
    [anon_sym___attribute__] = ACTIONS(2576),
    [anon_sym___attribute] = ACTIONS(2576),
    [anon_sym_noreturn] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2578),
    [anon_sym___declspec] = ACTIONS(2576),
    [anon_sym_signed] = ACTIONS(2576),
    [anon_sym_unsigned] = ACTIONS(2576),
    [anon_sym_long] = ACTIONS(2576),
    [anon_sym_short] = ACTIONS(2576),
    [anon_sym_static] = ACTIONS(2576),
    [anon_sym_auto] = ACTIONS(2576),
    [anon_sym_register] = ACTIONS(2576),
    [anon_sym_inline] = ACTIONS(2576),
    [anon_sym___inline] = ACTIONS(2576),
    [anon_sym___inline__] = ACTIONS(2576),
    [anon_sym___forceinline] = ACTIONS(2576),
    [anon_sym_thread_local] = ACTIONS(2576),
    [anon_sym___thread] = ACTIONS(2576),
    [anon_sym_CG_EXTERN] = ACTIONS(2576),
    [anon_sym_CG_INLINE] = ACTIONS(2576),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2576),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2576),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2576),
    [anon_sym_IBOutlet] = ACTIONS(2576),
    [anon_sym_IBInspectable] = ACTIONS(2576),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2576),
    [anon_sym_NS_INLINE] = ACTIONS(2576),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2576),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2576),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2576),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2576),
    [anon_sym_const] = ACTIONS(2576),
    [anon_sym_constexpr] = ACTIONS(2576),
    [anon_sym_volatile] = ACTIONS(2576),
    [anon_sym_restrict] = ACTIONS(2576),
    [anon_sym___restrict__] = ACTIONS(2576),
    [anon_sym__Atomic] = ACTIONS(2576),
    [anon_sym__Noreturn] = ACTIONS(2576),
    [anon_sym__Nonnull] = ACTIONS(2576),
    [anon_sym_nullable] = ACTIONS(2576),
    [anon_sym__Complex] = ACTIONS(2576),
    [anon_sym__Nullable] = ACTIONS(2576),
    [anon_sym__Nullable_result] = ACTIONS(2576),
    [anon_sym__Null_unspecified] = ACTIONS(2576),
    [anon_sym___autoreleasing] = ACTIONS(2576),
    [anon_sym___block] = ACTIONS(2576),
    [anon_sym___bridge] = ACTIONS(2576),
    [anon_sym___bridge_retained] = ACTIONS(2576),
    [anon_sym___bridge_transfer] = ACTIONS(2576),
    [anon_sym___complex] = ACTIONS(2576),
    [anon_sym___const] = ACTIONS(2576),
    [anon_sym___imag] = ACTIONS(2576),
    [anon_sym___kindof] = ACTIONS(2576),
    [anon_sym___nonnull] = ACTIONS(2576),
    [anon_sym___nullable] = ACTIONS(2576),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2576),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2576),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2576),
    [anon_sym___real] = ACTIONS(2576),
    [anon_sym___strong] = ACTIONS(2576),
    [anon_sym___unsafe_unretained] = ACTIONS(2576),
    [anon_sym___unused] = ACTIONS(2576),
    [anon_sym___weak] = ACTIONS(2576),
    [anon_sym_alignas] = ACTIONS(2576),
    [anon_sym__Alignas] = ACTIONS(2576),
    [sym_primitive_type] = ACTIONS(2576),
    [anon_sym_enum] = ACTIONS(2576),
    [anon_sym_struct] = ACTIONS(2576),
    [anon_sym_union] = ACTIONS(2576),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2576),
    [anon_sym___typeof] = ACTIONS(2576),
    [anon_sym_typeof] = ACTIONS(2576),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2576),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2576),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2576),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2576),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2576),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2576),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2576),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2576),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2576),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_API_AVAILABLE] = ACTIONS(2576),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_API_DEPRECATED] = ACTIONS(2576),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2576),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2576),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2576),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2576),
    [anon_sym___deprecated_msg] = ACTIONS(2576),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2576),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2576),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2576),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2576),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2576),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2576),
    [anon_sym_BOOL] = ACTIONS(2576),
    [anon_sym_IMP] = ACTIONS(2576),
    [anon_sym_SEL] = ACTIONS(2576),
    [anon_sym_Class] = ACTIONS(2576),
    [anon_sym_id] = ACTIONS(2576),
    [anon_sym_ATdefs] = ACTIONS(2578),
  },
  [2627] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6511),
    [anon_sym_COMMA] = ACTIONS(6587),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6515),
    [anon_sym_PLUS] = ACTIONS(6515),
    [anon_sym_STAR] = ACTIONS(6517),
    [anon_sym_SLASH] = ACTIONS(6519),
    [anon_sym_PERCENT] = ACTIONS(6517),
    [anon_sym_PIPE_PIPE] = ACTIONS(6521),
    [anon_sym_AMP_AMP] = ACTIONS(6523),
    [anon_sym_PIPE] = ACTIONS(6525),
    [anon_sym_CARET] = ACTIONS(6527),
    [anon_sym_AMP] = ACTIONS(6529),
    [anon_sym_EQ_EQ] = ACTIONS(6531),
    [anon_sym_BANG_EQ] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6533),
    [anon_sym_GT_EQ] = ACTIONS(6535),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_LT] = ACTIONS(6533),
    [anon_sym_LT_LT] = ACTIONS(6537),
    [anon_sym_GT_GT] = ACTIONS(6537),
    [anon_sym_SEMI] = ACTIONS(6587),
    [anon_sym___extension__] = ACTIONS(6587),
    [anon_sym_extern] = ACTIONS(6587),
    [anon_sym___attribute__] = ACTIONS(6587),
    [anon_sym___attribute] = ACTIONS(6589),
    [anon_sym_noreturn] = ACTIONS(6587),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(6587),
    [anon_sym_static] = ACTIONS(6587),
    [anon_sym_auto] = ACTIONS(6587),
    [anon_sym_register] = ACTIONS(6587),
    [anon_sym_inline] = ACTIONS(6587),
    [anon_sym___inline] = ACTIONS(6589),
    [anon_sym___inline__] = ACTIONS(6587),
    [anon_sym___forceinline] = ACTIONS(6587),
    [anon_sym_thread_local] = ACTIONS(6587),
    [anon_sym___thread] = ACTIONS(6587),
    [anon_sym_CG_EXTERN] = ACTIONS(6587),
    [anon_sym_CG_INLINE] = ACTIONS(6587),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6587),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6587),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6587),
    [anon_sym_IBOutlet] = ACTIONS(6587),
    [anon_sym_IBInspectable] = ACTIONS(6587),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6587),
    [anon_sym_NS_INLINE] = ACTIONS(6587),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6587),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6587),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6587),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6587),
    [anon_sym_const] = ACTIONS(6589),
    [anon_sym_constexpr] = ACTIONS(6587),
    [anon_sym_volatile] = ACTIONS(6587),
    [anon_sym_restrict] = ACTIONS(6587),
    [anon_sym___restrict__] = ACTIONS(6587),
    [anon_sym__Atomic] = ACTIONS(6587),
    [anon_sym__Noreturn] = ACTIONS(6587),
    [anon_sym__Nonnull] = ACTIONS(6587),
    [anon_sym_nullable] = ACTIONS(6587),
    [anon_sym__Complex] = ACTIONS(6587),
    [anon_sym__Nullable] = ACTIONS(6589),
    [anon_sym__Nullable_result] = ACTIONS(6587),
    [anon_sym__Null_unspecified] = ACTIONS(6587),
    [anon_sym___autoreleasing] = ACTIONS(6587),
    [anon_sym___block] = ACTIONS(6587),
    [anon_sym___bridge] = ACTIONS(6589),
    [anon_sym___bridge_retained] = ACTIONS(6587),
    [anon_sym___bridge_transfer] = ACTIONS(6587),
    [anon_sym___complex] = ACTIONS(6587),
    [anon_sym___const] = ACTIONS(6587),
    [anon_sym___imag] = ACTIONS(6587),
    [anon_sym___kindof] = ACTIONS(6587),
    [anon_sym___nonnull] = ACTIONS(6587),
    [anon_sym___nullable] = ACTIONS(6587),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6587),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6587),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6587),
    [anon_sym___real] = ACTIONS(6587),
    [anon_sym___strong] = ACTIONS(6587),
    [anon_sym___unsafe_unretained] = ACTIONS(6587),
    [anon_sym___unused] = ACTIONS(6587),
    [anon_sym___weak] = ACTIONS(6587),
    [anon_sym_alignas] = ACTIONS(6587),
    [anon_sym__Alignas] = ACTIONS(6587),
    [anon_sym_QMARK] = ACTIONS(6541),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6587),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6587),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6587),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6587),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6587),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6587),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6587),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6587),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6587),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6587),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6589),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6587),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6587),
    [anon_sym_API_AVAILABLE] = ACTIONS(6587),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6587),
    [anon_sym_API_DEPRECATED] = ACTIONS(6587),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6587),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6587),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6587),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6587),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6587),
    [anon_sym___deprecated_msg] = ACTIONS(6587),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6587),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6587),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6587),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6587),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6587),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6587),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6587),
  },
  [2628] = {
    [sym_identifier] = ACTIONS(6507),
    [aux_sym_preproc_def_token1] = ACTIONS(6507),
    [aux_sym_preproc_if_token1] = ACTIONS(6507),
    [aux_sym_preproc_if_token2] = ACTIONS(6507),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6507),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6507),
    [aux_sym_preproc_else_token1] = ACTIONS(6507),
    [aux_sym_preproc_elif_token1] = ACTIONS(6507),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6507),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6507),
    [sym_preproc_directive] = ACTIONS(6507),
    [anon_sym___extension__] = ACTIONS(6507),
    [anon_sym_extern] = ACTIONS(6507),
    [anon_sym___attribute__] = ACTIONS(6507),
    [anon_sym___attribute] = ACTIONS(6507),
    [anon_sym_noreturn] = ACTIONS(6507),
    [anon_sym_LBRACK] = ACTIONS(6509),
    [anon_sym___declspec] = ACTIONS(6507),
    [anon_sym_signed] = ACTIONS(6507),
    [anon_sym_unsigned] = ACTIONS(6507),
    [anon_sym_long] = ACTIONS(6507),
    [anon_sym_short] = ACTIONS(6507),
    [anon_sym_static] = ACTIONS(6507),
    [anon_sym_auto] = ACTIONS(6507),
    [anon_sym_register] = ACTIONS(6507),
    [anon_sym_inline] = ACTIONS(6507),
    [anon_sym___inline] = ACTIONS(6507),
    [anon_sym___inline__] = ACTIONS(6507),
    [anon_sym___forceinline] = ACTIONS(6507),
    [anon_sym_thread_local] = ACTIONS(6507),
    [anon_sym___thread] = ACTIONS(6507),
    [anon_sym_CG_EXTERN] = ACTIONS(6507),
    [anon_sym_CG_INLINE] = ACTIONS(6507),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6507),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6507),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6507),
    [anon_sym_IBOutlet] = ACTIONS(6507),
    [anon_sym_IBInspectable] = ACTIONS(6507),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6507),
    [anon_sym_NS_INLINE] = ACTIONS(6507),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6507),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6507),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6507),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6507),
    [anon_sym_const] = ACTIONS(6507),
    [anon_sym_constexpr] = ACTIONS(6507),
    [anon_sym_volatile] = ACTIONS(6507),
    [anon_sym_restrict] = ACTIONS(6507),
    [anon_sym___restrict__] = ACTIONS(6507),
    [anon_sym__Atomic] = ACTIONS(6507),
    [anon_sym__Noreturn] = ACTIONS(6507),
    [anon_sym__Nonnull] = ACTIONS(6507),
    [anon_sym_nullable] = ACTIONS(6507),
    [anon_sym__Complex] = ACTIONS(6507),
    [anon_sym__Nullable] = ACTIONS(6507),
    [anon_sym__Nullable_result] = ACTIONS(6507),
    [anon_sym__Null_unspecified] = ACTIONS(6507),
    [anon_sym___autoreleasing] = ACTIONS(6507),
    [anon_sym___block] = ACTIONS(6507),
    [anon_sym___bridge] = ACTIONS(6507),
    [anon_sym___bridge_retained] = ACTIONS(6507),
    [anon_sym___bridge_transfer] = ACTIONS(6507),
    [anon_sym___complex] = ACTIONS(6507),
    [anon_sym___const] = ACTIONS(6507),
    [anon_sym___imag] = ACTIONS(6507),
    [anon_sym___kindof] = ACTIONS(6507),
    [anon_sym___nonnull] = ACTIONS(6507),
    [anon_sym___nullable] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6507),
    [anon_sym___real] = ACTIONS(6507),
    [anon_sym___strong] = ACTIONS(6507),
    [anon_sym___unsafe_unretained] = ACTIONS(6507),
    [anon_sym___unused] = ACTIONS(6507),
    [anon_sym___weak] = ACTIONS(6507),
    [anon_sym_alignas] = ACTIONS(6507),
    [anon_sym__Alignas] = ACTIONS(6507),
    [sym_primitive_type] = ACTIONS(6507),
    [anon_sym_enum] = ACTIONS(6507),
    [anon_sym_struct] = ACTIONS(6507),
    [anon_sym_union] = ACTIONS(6507),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6507),
    [anon_sym___typeof] = ACTIONS(6507),
    [anon_sym_typeof] = ACTIONS(6507),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6507),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6507),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6507),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6507),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6507),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6507),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6507),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_API_AVAILABLE] = ACTIONS(6507),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_API_DEPRECATED] = ACTIONS(6507),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6507),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym___deprecated_msg] = ACTIONS(6507),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6507),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6507),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6507),
    [anon_sym_BOOL] = ACTIONS(6507),
    [anon_sym_IMP] = ACTIONS(6507),
    [anon_sym_SEL] = ACTIONS(6507),
    [anon_sym_Class] = ACTIONS(6507),
    [anon_sym_id] = ACTIONS(6507),
    [anon_sym_ATdefs] = ACTIONS(6509),
  },
  [2629] = {
    [sym_identifier] = ACTIONS(6507),
    [aux_sym_preproc_def_token1] = ACTIONS(6507),
    [aux_sym_preproc_if_token1] = ACTIONS(6507),
    [aux_sym_preproc_if_token2] = ACTIONS(6507),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6507),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6507),
    [aux_sym_preproc_else_token1] = ACTIONS(6507),
    [aux_sym_preproc_elif_token1] = ACTIONS(6507),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6507),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6507),
    [sym_preproc_directive] = ACTIONS(6507),
    [anon_sym___extension__] = ACTIONS(6507),
    [anon_sym_extern] = ACTIONS(6507),
    [anon_sym___attribute__] = ACTIONS(6507),
    [anon_sym___attribute] = ACTIONS(6507),
    [anon_sym_noreturn] = ACTIONS(6507),
    [anon_sym_LBRACK] = ACTIONS(6509),
    [anon_sym___declspec] = ACTIONS(6507),
    [anon_sym_signed] = ACTIONS(6507),
    [anon_sym_unsigned] = ACTIONS(6507),
    [anon_sym_long] = ACTIONS(6507),
    [anon_sym_short] = ACTIONS(6507),
    [anon_sym_static] = ACTIONS(6507),
    [anon_sym_auto] = ACTIONS(6507),
    [anon_sym_register] = ACTIONS(6507),
    [anon_sym_inline] = ACTIONS(6507),
    [anon_sym___inline] = ACTIONS(6507),
    [anon_sym___inline__] = ACTIONS(6507),
    [anon_sym___forceinline] = ACTIONS(6507),
    [anon_sym_thread_local] = ACTIONS(6507),
    [anon_sym___thread] = ACTIONS(6507),
    [anon_sym_CG_EXTERN] = ACTIONS(6507),
    [anon_sym_CG_INLINE] = ACTIONS(6507),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6507),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6507),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6507),
    [anon_sym_IBOutlet] = ACTIONS(6507),
    [anon_sym_IBInspectable] = ACTIONS(6507),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6507),
    [anon_sym_NS_INLINE] = ACTIONS(6507),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6507),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6507),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6507),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6507),
    [anon_sym_const] = ACTIONS(6507),
    [anon_sym_constexpr] = ACTIONS(6507),
    [anon_sym_volatile] = ACTIONS(6507),
    [anon_sym_restrict] = ACTIONS(6507),
    [anon_sym___restrict__] = ACTIONS(6507),
    [anon_sym__Atomic] = ACTIONS(6507),
    [anon_sym__Noreturn] = ACTIONS(6507),
    [anon_sym__Nonnull] = ACTIONS(6507),
    [anon_sym_nullable] = ACTIONS(6507),
    [anon_sym__Complex] = ACTIONS(6507),
    [anon_sym__Nullable] = ACTIONS(6507),
    [anon_sym__Nullable_result] = ACTIONS(6507),
    [anon_sym__Null_unspecified] = ACTIONS(6507),
    [anon_sym___autoreleasing] = ACTIONS(6507),
    [anon_sym___block] = ACTIONS(6507),
    [anon_sym___bridge] = ACTIONS(6507),
    [anon_sym___bridge_retained] = ACTIONS(6507),
    [anon_sym___bridge_transfer] = ACTIONS(6507),
    [anon_sym___complex] = ACTIONS(6507),
    [anon_sym___const] = ACTIONS(6507),
    [anon_sym___imag] = ACTIONS(6507),
    [anon_sym___kindof] = ACTIONS(6507),
    [anon_sym___nonnull] = ACTIONS(6507),
    [anon_sym___nullable] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6507),
    [anon_sym___real] = ACTIONS(6507),
    [anon_sym___strong] = ACTIONS(6507),
    [anon_sym___unsafe_unretained] = ACTIONS(6507),
    [anon_sym___unused] = ACTIONS(6507),
    [anon_sym___weak] = ACTIONS(6507),
    [anon_sym_alignas] = ACTIONS(6507),
    [anon_sym__Alignas] = ACTIONS(6507),
    [sym_primitive_type] = ACTIONS(6507),
    [anon_sym_enum] = ACTIONS(6507),
    [anon_sym_struct] = ACTIONS(6507),
    [anon_sym_union] = ACTIONS(6507),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6507),
    [anon_sym___typeof] = ACTIONS(6507),
    [anon_sym_typeof] = ACTIONS(6507),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6507),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6507),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6507),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6507),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6507),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6507),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6507),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_API_AVAILABLE] = ACTIONS(6507),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_API_DEPRECATED] = ACTIONS(6507),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6507),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym___deprecated_msg] = ACTIONS(6507),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6507),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6507),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6507),
    [anon_sym_BOOL] = ACTIONS(6507),
    [anon_sym_IMP] = ACTIONS(6507),
    [anon_sym_SEL] = ACTIONS(6507),
    [anon_sym_Class] = ACTIONS(6507),
    [anon_sym_id] = ACTIONS(6507),
    [anon_sym_ATdefs] = ACTIONS(6509),
  },
  [2630] = {
    [sym_identifier] = ACTIONS(6591),
    [aux_sym_preproc_def_token1] = ACTIONS(6591),
    [aux_sym_preproc_if_token1] = ACTIONS(6591),
    [aux_sym_preproc_if_token2] = ACTIONS(6591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6591),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6591),
    [aux_sym_preproc_else_token1] = ACTIONS(6591),
    [aux_sym_preproc_elif_token1] = ACTIONS(6591),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6591),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6591),
    [sym_preproc_directive] = ACTIONS(6591),
    [anon_sym___extension__] = ACTIONS(6591),
    [anon_sym_extern] = ACTIONS(6591),
    [anon_sym___attribute__] = ACTIONS(6591),
    [anon_sym___attribute] = ACTIONS(6591),
    [anon_sym_noreturn] = ACTIONS(6591),
    [anon_sym_LBRACK] = ACTIONS(6593),
    [anon_sym___declspec] = ACTIONS(6591),
    [anon_sym_signed] = ACTIONS(6591),
    [anon_sym_unsigned] = ACTIONS(6591),
    [anon_sym_long] = ACTIONS(6591),
    [anon_sym_short] = ACTIONS(6591),
    [anon_sym_static] = ACTIONS(6591),
    [anon_sym_auto] = ACTIONS(6591),
    [anon_sym_register] = ACTIONS(6591),
    [anon_sym_inline] = ACTIONS(6591),
    [anon_sym___inline] = ACTIONS(6591),
    [anon_sym___inline__] = ACTIONS(6591),
    [anon_sym___forceinline] = ACTIONS(6591),
    [anon_sym_thread_local] = ACTIONS(6591),
    [anon_sym___thread] = ACTIONS(6591),
    [anon_sym_CG_EXTERN] = ACTIONS(6591),
    [anon_sym_CG_INLINE] = ACTIONS(6591),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6591),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6591),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6591),
    [anon_sym_IBOutlet] = ACTIONS(6591),
    [anon_sym_IBInspectable] = ACTIONS(6591),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6591),
    [anon_sym_NS_INLINE] = ACTIONS(6591),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6591),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6591),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6591),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6591),
    [anon_sym_const] = ACTIONS(6591),
    [anon_sym_constexpr] = ACTIONS(6591),
    [anon_sym_volatile] = ACTIONS(6591),
    [anon_sym_restrict] = ACTIONS(6591),
    [anon_sym___restrict__] = ACTIONS(6591),
    [anon_sym__Atomic] = ACTIONS(6591),
    [anon_sym__Noreturn] = ACTIONS(6591),
    [anon_sym__Nonnull] = ACTIONS(6591),
    [anon_sym_nullable] = ACTIONS(6591),
    [anon_sym__Complex] = ACTIONS(6591),
    [anon_sym__Nullable] = ACTIONS(6591),
    [anon_sym__Nullable_result] = ACTIONS(6591),
    [anon_sym__Null_unspecified] = ACTIONS(6591),
    [anon_sym___autoreleasing] = ACTIONS(6591),
    [anon_sym___block] = ACTIONS(6591),
    [anon_sym___bridge] = ACTIONS(6591),
    [anon_sym___bridge_retained] = ACTIONS(6591),
    [anon_sym___bridge_transfer] = ACTIONS(6591),
    [anon_sym___complex] = ACTIONS(6591),
    [anon_sym___const] = ACTIONS(6591),
    [anon_sym___imag] = ACTIONS(6591),
    [anon_sym___kindof] = ACTIONS(6591),
    [anon_sym___nonnull] = ACTIONS(6591),
    [anon_sym___nullable] = ACTIONS(6591),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6591),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6591),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6591),
    [anon_sym___real] = ACTIONS(6591),
    [anon_sym___strong] = ACTIONS(6591),
    [anon_sym___unsafe_unretained] = ACTIONS(6591),
    [anon_sym___unused] = ACTIONS(6591),
    [anon_sym___weak] = ACTIONS(6591),
    [anon_sym_alignas] = ACTIONS(6591),
    [anon_sym__Alignas] = ACTIONS(6591),
    [sym_primitive_type] = ACTIONS(6591),
    [anon_sym_enum] = ACTIONS(6591),
    [anon_sym_struct] = ACTIONS(6591),
    [anon_sym_union] = ACTIONS(6591),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6591),
    [anon_sym___typeof] = ACTIONS(6591),
    [anon_sym_typeof] = ACTIONS(6591),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6591),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6591),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6591),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6591),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6591),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6591),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6591),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6591),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6591),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6591),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6591),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6591),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6591),
    [anon_sym_API_AVAILABLE] = ACTIONS(6591),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6591),
    [anon_sym_API_DEPRECATED] = ACTIONS(6591),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6591),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6591),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6591),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6591),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6591),
    [anon_sym___deprecated_msg] = ACTIONS(6591),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6591),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6591),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6591),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6591),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6591),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6591),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6591),
    [anon_sym_BOOL] = ACTIONS(6591),
    [anon_sym_IMP] = ACTIONS(6591),
    [anon_sym_SEL] = ACTIONS(6591),
    [anon_sym_Class] = ACTIONS(6591),
    [anon_sym_id] = ACTIONS(6591),
    [anon_sym_ATdefs] = ACTIONS(6593),
  },
  [2631] = {
    [sym_identifier] = ACTIONS(6591),
    [aux_sym_preproc_def_token1] = ACTIONS(6591),
    [aux_sym_preproc_if_token1] = ACTIONS(6591),
    [aux_sym_preproc_if_token2] = ACTIONS(6591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6591),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6591),
    [aux_sym_preproc_else_token1] = ACTIONS(6591),
    [aux_sym_preproc_elif_token1] = ACTIONS(6591),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6591),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6591),
    [sym_preproc_directive] = ACTIONS(6591),
    [anon_sym___extension__] = ACTIONS(6591),
    [anon_sym_extern] = ACTIONS(6591),
    [anon_sym___attribute__] = ACTIONS(6591),
    [anon_sym___attribute] = ACTIONS(6591),
    [anon_sym_noreturn] = ACTIONS(6591),
    [anon_sym_LBRACK] = ACTIONS(6593),
    [anon_sym___declspec] = ACTIONS(6591),
    [anon_sym_signed] = ACTIONS(6591),
    [anon_sym_unsigned] = ACTIONS(6591),
    [anon_sym_long] = ACTIONS(6591),
    [anon_sym_short] = ACTIONS(6591),
    [anon_sym_static] = ACTIONS(6591),
    [anon_sym_auto] = ACTIONS(6591),
    [anon_sym_register] = ACTIONS(6591),
    [anon_sym_inline] = ACTIONS(6591),
    [anon_sym___inline] = ACTIONS(6591),
    [anon_sym___inline__] = ACTIONS(6591),
    [anon_sym___forceinline] = ACTIONS(6591),
    [anon_sym_thread_local] = ACTIONS(6591),
    [anon_sym___thread] = ACTIONS(6591),
    [anon_sym_CG_EXTERN] = ACTIONS(6591),
    [anon_sym_CG_INLINE] = ACTIONS(6591),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6591),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6591),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6591),
    [anon_sym_IBOutlet] = ACTIONS(6591),
    [anon_sym_IBInspectable] = ACTIONS(6591),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6591),
    [anon_sym_NS_INLINE] = ACTIONS(6591),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6591),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6591),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6591),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6591),
    [anon_sym_const] = ACTIONS(6591),
    [anon_sym_constexpr] = ACTIONS(6591),
    [anon_sym_volatile] = ACTIONS(6591),
    [anon_sym_restrict] = ACTIONS(6591),
    [anon_sym___restrict__] = ACTIONS(6591),
    [anon_sym__Atomic] = ACTIONS(6591),
    [anon_sym__Noreturn] = ACTIONS(6591),
    [anon_sym__Nonnull] = ACTIONS(6591),
    [anon_sym_nullable] = ACTIONS(6591),
    [anon_sym__Complex] = ACTIONS(6591),
    [anon_sym__Nullable] = ACTIONS(6591),
    [anon_sym__Nullable_result] = ACTIONS(6591),
    [anon_sym__Null_unspecified] = ACTIONS(6591),
    [anon_sym___autoreleasing] = ACTIONS(6591),
    [anon_sym___block] = ACTIONS(6591),
    [anon_sym___bridge] = ACTIONS(6591),
    [anon_sym___bridge_retained] = ACTIONS(6591),
    [anon_sym___bridge_transfer] = ACTIONS(6591),
    [anon_sym___complex] = ACTIONS(6591),
    [anon_sym___const] = ACTIONS(6591),
    [anon_sym___imag] = ACTIONS(6591),
    [anon_sym___kindof] = ACTIONS(6591),
    [anon_sym___nonnull] = ACTIONS(6591),
    [anon_sym___nullable] = ACTIONS(6591),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6591),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6591),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6591),
    [anon_sym___real] = ACTIONS(6591),
    [anon_sym___strong] = ACTIONS(6591),
    [anon_sym___unsafe_unretained] = ACTIONS(6591),
    [anon_sym___unused] = ACTIONS(6591),
    [anon_sym___weak] = ACTIONS(6591),
    [anon_sym_alignas] = ACTIONS(6591),
    [anon_sym__Alignas] = ACTIONS(6591),
    [sym_primitive_type] = ACTIONS(6591),
    [anon_sym_enum] = ACTIONS(6591),
    [anon_sym_struct] = ACTIONS(6591),
    [anon_sym_union] = ACTIONS(6591),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6591),
    [anon_sym___typeof] = ACTIONS(6591),
    [anon_sym_typeof] = ACTIONS(6591),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6591),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6591),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6591),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6591),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6591),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6591),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6591),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6591),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6591),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6591),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6591),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6591),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6591),
    [anon_sym_API_AVAILABLE] = ACTIONS(6591),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6591),
    [anon_sym_API_DEPRECATED] = ACTIONS(6591),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6591),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6591),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6591),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6591),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6591),
    [anon_sym___deprecated_msg] = ACTIONS(6591),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6591),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6591),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6591),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6591),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6591),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6591),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6591),
    [anon_sym_BOOL] = ACTIONS(6591),
    [anon_sym_IMP] = ACTIONS(6591),
    [anon_sym_SEL] = ACTIONS(6591),
    [anon_sym_Class] = ACTIONS(6591),
    [anon_sym_id] = ACTIONS(6591),
    [anon_sym_ATdefs] = ACTIONS(6593),
  },
  [2632] = {
    [sym_identifier] = ACTIONS(6595),
    [aux_sym_preproc_def_token1] = ACTIONS(6595),
    [aux_sym_preproc_if_token1] = ACTIONS(6595),
    [aux_sym_preproc_if_token2] = ACTIONS(6595),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6595),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6595),
    [aux_sym_preproc_else_token1] = ACTIONS(6595),
    [aux_sym_preproc_elif_token1] = ACTIONS(6595),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6595),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6595),
    [sym_preproc_directive] = ACTIONS(6595),
    [anon_sym___extension__] = ACTIONS(6595),
    [anon_sym_extern] = ACTIONS(6595),
    [anon_sym___attribute__] = ACTIONS(6595),
    [anon_sym___attribute] = ACTIONS(6595),
    [anon_sym_noreturn] = ACTIONS(6595),
    [anon_sym_LBRACK] = ACTIONS(6597),
    [anon_sym___declspec] = ACTIONS(6595),
    [anon_sym_signed] = ACTIONS(6595),
    [anon_sym_unsigned] = ACTIONS(6595),
    [anon_sym_long] = ACTIONS(6595),
    [anon_sym_short] = ACTIONS(6595),
    [anon_sym_static] = ACTIONS(6595),
    [anon_sym_auto] = ACTIONS(6595),
    [anon_sym_register] = ACTIONS(6595),
    [anon_sym_inline] = ACTIONS(6595),
    [anon_sym___inline] = ACTIONS(6595),
    [anon_sym___inline__] = ACTIONS(6595),
    [anon_sym___forceinline] = ACTIONS(6595),
    [anon_sym_thread_local] = ACTIONS(6595),
    [anon_sym___thread] = ACTIONS(6595),
    [anon_sym_CG_EXTERN] = ACTIONS(6595),
    [anon_sym_CG_INLINE] = ACTIONS(6595),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6595),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6595),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6595),
    [anon_sym_IBOutlet] = ACTIONS(6595),
    [anon_sym_IBInspectable] = ACTIONS(6595),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6595),
    [anon_sym_NS_INLINE] = ACTIONS(6595),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6595),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6595),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6595),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6595),
    [anon_sym_const] = ACTIONS(6595),
    [anon_sym_constexpr] = ACTIONS(6595),
    [anon_sym_volatile] = ACTIONS(6595),
    [anon_sym_restrict] = ACTIONS(6595),
    [anon_sym___restrict__] = ACTIONS(6595),
    [anon_sym__Atomic] = ACTIONS(6595),
    [anon_sym__Noreturn] = ACTIONS(6595),
    [anon_sym__Nonnull] = ACTIONS(6595),
    [anon_sym_nullable] = ACTIONS(6595),
    [anon_sym__Complex] = ACTIONS(6595),
    [anon_sym__Nullable] = ACTIONS(6595),
    [anon_sym__Nullable_result] = ACTIONS(6595),
    [anon_sym__Null_unspecified] = ACTIONS(6595),
    [anon_sym___autoreleasing] = ACTIONS(6595),
    [anon_sym___block] = ACTIONS(6595),
    [anon_sym___bridge] = ACTIONS(6595),
    [anon_sym___bridge_retained] = ACTIONS(6595),
    [anon_sym___bridge_transfer] = ACTIONS(6595),
    [anon_sym___complex] = ACTIONS(6595),
    [anon_sym___const] = ACTIONS(6595),
    [anon_sym___imag] = ACTIONS(6595),
    [anon_sym___kindof] = ACTIONS(6595),
    [anon_sym___nonnull] = ACTIONS(6595),
    [anon_sym___nullable] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6595),
    [anon_sym___real] = ACTIONS(6595),
    [anon_sym___strong] = ACTIONS(6595),
    [anon_sym___unsafe_unretained] = ACTIONS(6595),
    [anon_sym___unused] = ACTIONS(6595),
    [anon_sym___weak] = ACTIONS(6595),
    [anon_sym_alignas] = ACTIONS(6595),
    [anon_sym__Alignas] = ACTIONS(6595),
    [sym_primitive_type] = ACTIONS(6595),
    [anon_sym_enum] = ACTIONS(6595),
    [anon_sym_struct] = ACTIONS(6595),
    [anon_sym_union] = ACTIONS(6595),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6595),
    [anon_sym___typeof] = ACTIONS(6595),
    [anon_sym_typeof] = ACTIONS(6595),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6595),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6595),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6595),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6595),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6595),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6595),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6595),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_API_AVAILABLE] = ACTIONS(6595),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_API_DEPRECATED] = ACTIONS(6595),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6595),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym___deprecated_msg] = ACTIONS(6595),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6595),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6595),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6595),
    [anon_sym_BOOL] = ACTIONS(6595),
    [anon_sym_IMP] = ACTIONS(6595),
    [anon_sym_SEL] = ACTIONS(6595),
    [anon_sym_Class] = ACTIONS(6595),
    [anon_sym_id] = ACTIONS(6595),
    [anon_sym_ATdefs] = ACTIONS(6597),
  },
  [2633] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6511),
    [anon_sym_COMMA] = ACTIONS(4848),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6515),
    [anon_sym_PLUS] = ACTIONS(6515),
    [anon_sym_STAR] = ACTIONS(6517),
    [anon_sym_SLASH] = ACTIONS(6519),
    [anon_sym_PERCENT] = ACTIONS(6517),
    [anon_sym_PIPE_PIPE] = ACTIONS(6521),
    [anon_sym_AMP_AMP] = ACTIONS(6523),
    [anon_sym_PIPE] = ACTIONS(6525),
    [anon_sym_CARET] = ACTIONS(6527),
    [anon_sym_AMP] = ACTIONS(6529),
    [anon_sym_EQ_EQ] = ACTIONS(6531),
    [anon_sym_BANG_EQ] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6533),
    [anon_sym_GT_EQ] = ACTIONS(6535),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_LT] = ACTIONS(6533),
    [anon_sym_LT_LT] = ACTIONS(6537),
    [anon_sym_GT_GT] = ACTIONS(6537),
    [anon_sym_SEMI] = ACTIONS(4848),
    [anon_sym___extension__] = ACTIONS(4848),
    [anon_sym_extern] = ACTIONS(4848),
    [anon_sym___attribute__] = ACTIONS(4848),
    [anon_sym___attribute] = ACTIONS(4846),
    [anon_sym_noreturn] = ACTIONS(4848),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4848),
    [anon_sym_static] = ACTIONS(4848),
    [anon_sym_auto] = ACTIONS(4848),
    [anon_sym_register] = ACTIONS(4848),
    [anon_sym_inline] = ACTIONS(4848),
    [anon_sym___inline] = ACTIONS(4846),
    [anon_sym___inline__] = ACTIONS(4848),
    [anon_sym___forceinline] = ACTIONS(4848),
    [anon_sym_thread_local] = ACTIONS(4848),
    [anon_sym___thread] = ACTIONS(4848),
    [anon_sym_CG_EXTERN] = ACTIONS(4848),
    [anon_sym_CG_INLINE] = ACTIONS(4848),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4848),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4848),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4848),
    [anon_sym_IBOutlet] = ACTIONS(4848),
    [anon_sym_IBInspectable] = ACTIONS(4848),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4848),
    [anon_sym_NS_INLINE] = ACTIONS(4848),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4848),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4848),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4848),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4848),
    [anon_sym_const] = ACTIONS(4846),
    [anon_sym_constexpr] = ACTIONS(4848),
    [anon_sym_volatile] = ACTIONS(4848),
    [anon_sym_restrict] = ACTIONS(4848),
    [anon_sym___restrict__] = ACTIONS(4848),
    [anon_sym__Atomic] = ACTIONS(4848),
    [anon_sym__Noreturn] = ACTIONS(4848),
    [anon_sym__Nonnull] = ACTIONS(4848),
    [anon_sym_nullable] = ACTIONS(4848),
    [anon_sym__Complex] = ACTIONS(4848),
    [anon_sym__Nullable] = ACTIONS(4846),
    [anon_sym__Nullable_result] = ACTIONS(4848),
    [anon_sym__Null_unspecified] = ACTIONS(4848),
    [anon_sym___autoreleasing] = ACTIONS(4848),
    [anon_sym___block] = ACTIONS(4848),
    [anon_sym___bridge] = ACTIONS(4846),
    [anon_sym___bridge_retained] = ACTIONS(4848),
    [anon_sym___bridge_transfer] = ACTIONS(4848),
    [anon_sym___complex] = ACTIONS(4848),
    [anon_sym___const] = ACTIONS(4848),
    [anon_sym___imag] = ACTIONS(4848),
    [anon_sym___kindof] = ACTIONS(4848),
    [anon_sym___nonnull] = ACTIONS(4848),
    [anon_sym___nullable] = ACTIONS(4848),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4848),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4848),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4848),
    [anon_sym___real] = ACTIONS(4848),
    [anon_sym___strong] = ACTIONS(4848),
    [anon_sym___unsafe_unretained] = ACTIONS(4848),
    [anon_sym___unused] = ACTIONS(4848),
    [anon_sym___weak] = ACTIONS(4848),
    [anon_sym_alignas] = ACTIONS(4848),
    [anon_sym__Alignas] = ACTIONS(4848),
    [anon_sym_QMARK] = ACTIONS(6541),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4848),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4848),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4848),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4848),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4848),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4848),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4848),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4848),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4848),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4848),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4846),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4848),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4848),
    [anon_sym_API_AVAILABLE] = ACTIONS(4848),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4848),
    [anon_sym_API_DEPRECATED] = ACTIONS(4848),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4848),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4848),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4848),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4848),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4848),
    [anon_sym___deprecated_msg] = ACTIONS(4848),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4848),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4848),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4848),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4848),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4848),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4848),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4848),
  },
  [2634] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6511),
    [anon_sym_COMMA] = ACTIONS(4868),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6515),
    [anon_sym_PLUS] = ACTIONS(6515),
    [anon_sym_STAR] = ACTIONS(6517),
    [anon_sym_SLASH] = ACTIONS(6519),
    [anon_sym_PERCENT] = ACTIONS(6517),
    [anon_sym_PIPE_PIPE] = ACTIONS(6521),
    [anon_sym_AMP_AMP] = ACTIONS(6523),
    [anon_sym_PIPE] = ACTIONS(6525),
    [anon_sym_CARET] = ACTIONS(6527),
    [anon_sym_AMP] = ACTIONS(6529),
    [anon_sym_EQ_EQ] = ACTIONS(6531),
    [anon_sym_BANG_EQ] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6533),
    [anon_sym_GT_EQ] = ACTIONS(6535),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_LT] = ACTIONS(6533),
    [anon_sym_LT_LT] = ACTIONS(6537),
    [anon_sym_GT_GT] = ACTIONS(6537),
    [anon_sym_SEMI] = ACTIONS(4868),
    [anon_sym___extension__] = ACTIONS(4868),
    [anon_sym_extern] = ACTIONS(4868),
    [anon_sym___attribute__] = ACTIONS(4868),
    [anon_sym___attribute] = ACTIONS(4866),
    [anon_sym_noreturn] = ACTIONS(4868),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4868),
    [anon_sym_static] = ACTIONS(4868),
    [anon_sym_auto] = ACTIONS(4868),
    [anon_sym_register] = ACTIONS(4868),
    [anon_sym_inline] = ACTIONS(4868),
    [anon_sym___inline] = ACTIONS(4866),
    [anon_sym___inline__] = ACTIONS(4868),
    [anon_sym___forceinline] = ACTIONS(4868),
    [anon_sym_thread_local] = ACTIONS(4868),
    [anon_sym___thread] = ACTIONS(4868),
    [anon_sym_CG_EXTERN] = ACTIONS(4868),
    [anon_sym_CG_INLINE] = ACTIONS(4868),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4868),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4868),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4868),
    [anon_sym_IBOutlet] = ACTIONS(4868),
    [anon_sym_IBInspectable] = ACTIONS(4868),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4868),
    [anon_sym_NS_INLINE] = ACTIONS(4868),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4868),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4868),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4868),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4868),
    [anon_sym_const] = ACTIONS(4866),
    [anon_sym_constexpr] = ACTIONS(4868),
    [anon_sym_volatile] = ACTIONS(4868),
    [anon_sym_restrict] = ACTIONS(4868),
    [anon_sym___restrict__] = ACTIONS(4868),
    [anon_sym__Atomic] = ACTIONS(4868),
    [anon_sym__Noreturn] = ACTIONS(4868),
    [anon_sym__Nonnull] = ACTIONS(4868),
    [anon_sym_nullable] = ACTIONS(4868),
    [anon_sym__Complex] = ACTIONS(4868),
    [anon_sym__Nullable] = ACTIONS(4866),
    [anon_sym__Nullable_result] = ACTIONS(4868),
    [anon_sym__Null_unspecified] = ACTIONS(4868),
    [anon_sym___autoreleasing] = ACTIONS(4868),
    [anon_sym___block] = ACTIONS(4868),
    [anon_sym___bridge] = ACTIONS(4866),
    [anon_sym___bridge_retained] = ACTIONS(4868),
    [anon_sym___bridge_transfer] = ACTIONS(4868),
    [anon_sym___complex] = ACTIONS(4868),
    [anon_sym___const] = ACTIONS(4868),
    [anon_sym___imag] = ACTIONS(4868),
    [anon_sym___kindof] = ACTIONS(4868),
    [anon_sym___nonnull] = ACTIONS(4868),
    [anon_sym___nullable] = ACTIONS(4868),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4868),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4868),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4868),
    [anon_sym___real] = ACTIONS(4868),
    [anon_sym___strong] = ACTIONS(4868),
    [anon_sym___unsafe_unretained] = ACTIONS(4868),
    [anon_sym___unused] = ACTIONS(4868),
    [anon_sym___weak] = ACTIONS(4868),
    [anon_sym_alignas] = ACTIONS(4868),
    [anon_sym__Alignas] = ACTIONS(4868),
    [anon_sym_QMARK] = ACTIONS(6541),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4868),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4868),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4868),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4868),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4868),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4868),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4868),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4868),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4868),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4868),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4866),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4868),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4868),
    [anon_sym_API_AVAILABLE] = ACTIONS(4868),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4868),
    [anon_sym_API_DEPRECATED] = ACTIONS(4868),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4868),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4868),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4868),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4868),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4868),
    [anon_sym___deprecated_msg] = ACTIONS(4868),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4868),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4868),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4868),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4868),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4868),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4868),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4868),
  },
  [2635] = {
    [sym_identifier] = ACTIONS(6595),
    [aux_sym_preproc_def_token1] = ACTIONS(6595),
    [aux_sym_preproc_if_token1] = ACTIONS(6595),
    [aux_sym_preproc_if_token2] = ACTIONS(6595),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6595),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6595),
    [aux_sym_preproc_else_token1] = ACTIONS(6595),
    [aux_sym_preproc_elif_token1] = ACTIONS(6595),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6595),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6595),
    [sym_preproc_directive] = ACTIONS(6595),
    [anon_sym___extension__] = ACTIONS(6595),
    [anon_sym_extern] = ACTIONS(6595),
    [anon_sym___attribute__] = ACTIONS(6595),
    [anon_sym___attribute] = ACTIONS(6595),
    [anon_sym_noreturn] = ACTIONS(6595),
    [anon_sym_LBRACK] = ACTIONS(6597),
    [anon_sym___declspec] = ACTIONS(6595),
    [anon_sym_signed] = ACTIONS(6595),
    [anon_sym_unsigned] = ACTIONS(6595),
    [anon_sym_long] = ACTIONS(6595),
    [anon_sym_short] = ACTIONS(6595),
    [anon_sym_static] = ACTIONS(6595),
    [anon_sym_auto] = ACTIONS(6595),
    [anon_sym_register] = ACTIONS(6595),
    [anon_sym_inline] = ACTIONS(6595),
    [anon_sym___inline] = ACTIONS(6595),
    [anon_sym___inline__] = ACTIONS(6595),
    [anon_sym___forceinline] = ACTIONS(6595),
    [anon_sym_thread_local] = ACTIONS(6595),
    [anon_sym___thread] = ACTIONS(6595),
    [anon_sym_CG_EXTERN] = ACTIONS(6595),
    [anon_sym_CG_INLINE] = ACTIONS(6595),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6595),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6595),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6595),
    [anon_sym_IBOutlet] = ACTIONS(6595),
    [anon_sym_IBInspectable] = ACTIONS(6595),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6595),
    [anon_sym_NS_INLINE] = ACTIONS(6595),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6595),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6595),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6595),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6595),
    [anon_sym_const] = ACTIONS(6595),
    [anon_sym_constexpr] = ACTIONS(6595),
    [anon_sym_volatile] = ACTIONS(6595),
    [anon_sym_restrict] = ACTIONS(6595),
    [anon_sym___restrict__] = ACTIONS(6595),
    [anon_sym__Atomic] = ACTIONS(6595),
    [anon_sym__Noreturn] = ACTIONS(6595),
    [anon_sym__Nonnull] = ACTIONS(6595),
    [anon_sym_nullable] = ACTIONS(6595),
    [anon_sym__Complex] = ACTIONS(6595),
    [anon_sym__Nullable] = ACTIONS(6595),
    [anon_sym__Nullable_result] = ACTIONS(6595),
    [anon_sym__Null_unspecified] = ACTIONS(6595),
    [anon_sym___autoreleasing] = ACTIONS(6595),
    [anon_sym___block] = ACTIONS(6595),
    [anon_sym___bridge] = ACTIONS(6595),
    [anon_sym___bridge_retained] = ACTIONS(6595),
    [anon_sym___bridge_transfer] = ACTIONS(6595),
    [anon_sym___complex] = ACTIONS(6595),
    [anon_sym___const] = ACTIONS(6595),
    [anon_sym___imag] = ACTIONS(6595),
    [anon_sym___kindof] = ACTIONS(6595),
    [anon_sym___nonnull] = ACTIONS(6595),
    [anon_sym___nullable] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6595),
    [anon_sym___real] = ACTIONS(6595),
    [anon_sym___strong] = ACTIONS(6595),
    [anon_sym___unsafe_unretained] = ACTIONS(6595),
    [anon_sym___unused] = ACTIONS(6595),
    [anon_sym___weak] = ACTIONS(6595),
    [anon_sym_alignas] = ACTIONS(6595),
    [anon_sym__Alignas] = ACTIONS(6595),
    [sym_primitive_type] = ACTIONS(6595),
    [anon_sym_enum] = ACTIONS(6595),
    [anon_sym_struct] = ACTIONS(6595),
    [anon_sym_union] = ACTIONS(6595),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6595),
    [anon_sym___typeof] = ACTIONS(6595),
    [anon_sym_typeof] = ACTIONS(6595),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6595),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6595),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6595),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6595),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6595),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6595),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6595),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_API_AVAILABLE] = ACTIONS(6595),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_API_DEPRECATED] = ACTIONS(6595),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6595),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym___deprecated_msg] = ACTIONS(6595),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6595),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6595),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6595),
    [anon_sym_BOOL] = ACTIONS(6595),
    [anon_sym_IMP] = ACTIONS(6595),
    [anon_sym_SEL] = ACTIONS(6595),
    [anon_sym_Class] = ACTIONS(6595),
    [anon_sym_id] = ACTIONS(6595),
    [anon_sym_ATdefs] = ACTIONS(6597),
  },
  [2636] = {
    [sym_identifier] = ACTIONS(6599),
    [aux_sym_preproc_def_token1] = ACTIONS(6599),
    [aux_sym_preproc_if_token1] = ACTIONS(6599),
    [aux_sym_preproc_if_token2] = ACTIONS(6599),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6599),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6599),
    [aux_sym_preproc_else_token1] = ACTIONS(6599),
    [aux_sym_preproc_elif_token1] = ACTIONS(6599),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6599),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6599),
    [sym_preproc_directive] = ACTIONS(6599),
    [anon_sym___extension__] = ACTIONS(6599),
    [anon_sym_extern] = ACTIONS(6599),
    [anon_sym___attribute__] = ACTIONS(6599),
    [anon_sym___attribute] = ACTIONS(6599),
    [anon_sym_noreturn] = ACTIONS(6599),
    [anon_sym_LBRACK] = ACTIONS(6601),
    [anon_sym___declspec] = ACTIONS(6599),
    [anon_sym_signed] = ACTIONS(6599),
    [anon_sym_unsigned] = ACTIONS(6599),
    [anon_sym_long] = ACTIONS(6599),
    [anon_sym_short] = ACTIONS(6599),
    [anon_sym_static] = ACTIONS(6599),
    [anon_sym_auto] = ACTIONS(6599),
    [anon_sym_register] = ACTIONS(6599),
    [anon_sym_inline] = ACTIONS(6599),
    [anon_sym___inline] = ACTIONS(6599),
    [anon_sym___inline__] = ACTIONS(6599),
    [anon_sym___forceinline] = ACTIONS(6599),
    [anon_sym_thread_local] = ACTIONS(6599),
    [anon_sym___thread] = ACTIONS(6599),
    [anon_sym_CG_EXTERN] = ACTIONS(6599),
    [anon_sym_CG_INLINE] = ACTIONS(6599),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6599),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6599),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6599),
    [anon_sym_IBOutlet] = ACTIONS(6599),
    [anon_sym_IBInspectable] = ACTIONS(6599),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6599),
    [anon_sym_NS_INLINE] = ACTIONS(6599),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6599),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6599),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6599),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6599),
    [anon_sym_const] = ACTIONS(6599),
    [anon_sym_constexpr] = ACTIONS(6599),
    [anon_sym_volatile] = ACTIONS(6599),
    [anon_sym_restrict] = ACTIONS(6599),
    [anon_sym___restrict__] = ACTIONS(6599),
    [anon_sym__Atomic] = ACTIONS(6599),
    [anon_sym__Noreturn] = ACTIONS(6599),
    [anon_sym__Nonnull] = ACTIONS(6599),
    [anon_sym_nullable] = ACTIONS(6599),
    [anon_sym__Complex] = ACTIONS(6599),
    [anon_sym__Nullable] = ACTIONS(6599),
    [anon_sym__Nullable_result] = ACTIONS(6599),
    [anon_sym__Null_unspecified] = ACTIONS(6599),
    [anon_sym___autoreleasing] = ACTIONS(6599),
    [anon_sym___block] = ACTIONS(6599),
    [anon_sym___bridge] = ACTIONS(6599),
    [anon_sym___bridge_retained] = ACTIONS(6599),
    [anon_sym___bridge_transfer] = ACTIONS(6599),
    [anon_sym___complex] = ACTIONS(6599),
    [anon_sym___const] = ACTIONS(6599),
    [anon_sym___imag] = ACTIONS(6599),
    [anon_sym___kindof] = ACTIONS(6599),
    [anon_sym___nonnull] = ACTIONS(6599),
    [anon_sym___nullable] = ACTIONS(6599),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6599),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6599),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6599),
    [anon_sym___real] = ACTIONS(6599),
    [anon_sym___strong] = ACTIONS(6599),
    [anon_sym___unsafe_unretained] = ACTIONS(6599),
    [anon_sym___unused] = ACTIONS(6599),
    [anon_sym___weak] = ACTIONS(6599),
    [anon_sym_alignas] = ACTIONS(6599),
    [anon_sym__Alignas] = ACTIONS(6599),
    [sym_primitive_type] = ACTIONS(6599),
    [anon_sym_enum] = ACTIONS(6599),
    [anon_sym_struct] = ACTIONS(6599),
    [anon_sym_union] = ACTIONS(6599),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6599),
    [anon_sym___typeof] = ACTIONS(6599),
    [anon_sym_typeof] = ACTIONS(6599),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6599),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6599),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6599),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6599),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6599),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6599),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6599),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6599),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6599),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6599),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6599),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6599),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6599),
    [anon_sym_API_AVAILABLE] = ACTIONS(6599),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6599),
    [anon_sym_API_DEPRECATED] = ACTIONS(6599),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6599),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6599),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6599),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6599),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6599),
    [anon_sym___deprecated_msg] = ACTIONS(6599),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6599),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6599),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6599),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6599),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6599),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6599),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6599),
    [anon_sym_BOOL] = ACTIONS(6599),
    [anon_sym_IMP] = ACTIONS(6599),
    [anon_sym_SEL] = ACTIONS(6599),
    [anon_sym_Class] = ACTIONS(6599),
    [anon_sym_id] = ACTIONS(6599),
    [anon_sym_ATdefs] = ACTIONS(6601),
  },
  [2637] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6511),
    [anon_sym_COMMA] = ACTIONS(4419),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6515),
    [anon_sym_PLUS] = ACTIONS(6515),
    [anon_sym_STAR] = ACTIONS(6517),
    [anon_sym_SLASH] = ACTIONS(6519),
    [anon_sym_PERCENT] = ACTIONS(6517),
    [anon_sym_PIPE_PIPE] = ACTIONS(6521),
    [anon_sym_AMP_AMP] = ACTIONS(6523),
    [anon_sym_PIPE] = ACTIONS(6525),
    [anon_sym_CARET] = ACTIONS(6527),
    [anon_sym_AMP] = ACTIONS(6529),
    [anon_sym_EQ_EQ] = ACTIONS(6531),
    [anon_sym_BANG_EQ] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6533),
    [anon_sym_GT_EQ] = ACTIONS(6535),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_LT] = ACTIONS(6533),
    [anon_sym_LT_LT] = ACTIONS(6537),
    [anon_sym_GT_GT] = ACTIONS(6537),
    [anon_sym_SEMI] = ACTIONS(4419),
    [anon_sym___extension__] = ACTIONS(4419),
    [anon_sym_extern] = ACTIONS(4419),
    [anon_sym___attribute__] = ACTIONS(4419),
    [anon_sym___attribute] = ACTIONS(4417),
    [anon_sym_noreturn] = ACTIONS(4419),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4419),
    [anon_sym_static] = ACTIONS(4419),
    [anon_sym_auto] = ACTIONS(4419),
    [anon_sym_register] = ACTIONS(4419),
    [anon_sym_inline] = ACTIONS(4419),
    [anon_sym___inline] = ACTIONS(4417),
    [anon_sym___inline__] = ACTIONS(4419),
    [anon_sym___forceinline] = ACTIONS(4419),
    [anon_sym_thread_local] = ACTIONS(4419),
    [anon_sym___thread] = ACTIONS(4419),
    [anon_sym_CG_EXTERN] = ACTIONS(4419),
    [anon_sym_CG_INLINE] = ACTIONS(4419),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4419),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4419),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4419),
    [anon_sym_IBOutlet] = ACTIONS(4419),
    [anon_sym_IBInspectable] = ACTIONS(4419),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4419),
    [anon_sym_NS_INLINE] = ACTIONS(4419),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4419),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4419),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4419),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4419),
    [anon_sym_const] = ACTIONS(4417),
    [anon_sym_constexpr] = ACTIONS(4419),
    [anon_sym_volatile] = ACTIONS(4419),
    [anon_sym_restrict] = ACTIONS(4419),
    [anon_sym___restrict__] = ACTIONS(4419),
    [anon_sym__Atomic] = ACTIONS(4419),
    [anon_sym__Noreturn] = ACTIONS(4419),
    [anon_sym__Nonnull] = ACTIONS(4419),
    [anon_sym_nullable] = ACTIONS(4419),
    [anon_sym__Complex] = ACTIONS(4419),
    [anon_sym__Nullable] = ACTIONS(4417),
    [anon_sym__Nullable_result] = ACTIONS(4419),
    [anon_sym__Null_unspecified] = ACTIONS(4419),
    [anon_sym___autoreleasing] = ACTIONS(4419),
    [anon_sym___block] = ACTIONS(4419),
    [anon_sym___bridge] = ACTIONS(4417),
    [anon_sym___bridge_retained] = ACTIONS(4419),
    [anon_sym___bridge_transfer] = ACTIONS(4419),
    [anon_sym___complex] = ACTIONS(4419),
    [anon_sym___const] = ACTIONS(4419),
    [anon_sym___imag] = ACTIONS(4419),
    [anon_sym___kindof] = ACTIONS(4419),
    [anon_sym___nonnull] = ACTIONS(4419),
    [anon_sym___nullable] = ACTIONS(4419),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4419),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4419),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4419),
    [anon_sym___real] = ACTIONS(4419),
    [anon_sym___strong] = ACTIONS(4419),
    [anon_sym___unsafe_unretained] = ACTIONS(4419),
    [anon_sym___unused] = ACTIONS(4419),
    [anon_sym___weak] = ACTIONS(4419),
    [anon_sym_alignas] = ACTIONS(4419),
    [anon_sym__Alignas] = ACTIONS(4419),
    [anon_sym_QMARK] = ACTIONS(6541),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4419),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4419),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4419),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4419),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4419),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4419),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4419),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4419),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4419),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4419),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4417),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4419),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4419),
    [anon_sym_API_AVAILABLE] = ACTIONS(4419),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4419),
    [anon_sym_API_DEPRECATED] = ACTIONS(4419),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4419),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4419),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4419),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4419),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4419),
    [anon_sym___deprecated_msg] = ACTIONS(4419),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4419),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4419),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4419),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4419),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4419),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4419),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4419),
  },
  [2638] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6511),
    [anon_sym_COMMA] = ACTIONS(4415),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6515),
    [anon_sym_PLUS] = ACTIONS(6515),
    [anon_sym_STAR] = ACTIONS(6517),
    [anon_sym_SLASH] = ACTIONS(6519),
    [anon_sym_PERCENT] = ACTIONS(6517),
    [anon_sym_PIPE_PIPE] = ACTIONS(6521),
    [anon_sym_AMP_AMP] = ACTIONS(6523),
    [anon_sym_PIPE] = ACTIONS(6525),
    [anon_sym_CARET] = ACTIONS(6527),
    [anon_sym_AMP] = ACTIONS(6529),
    [anon_sym_EQ_EQ] = ACTIONS(6531),
    [anon_sym_BANG_EQ] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6533),
    [anon_sym_GT_EQ] = ACTIONS(6535),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_LT] = ACTIONS(6533),
    [anon_sym_LT_LT] = ACTIONS(6537),
    [anon_sym_GT_GT] = ACTIONS(6537),
    [anon_sym_SEMI] = ACTIONS(4415),
    [anon_sym___extension__] = ACTIONS(4415),
    [anon_sym_extern] = ACTIONS(4415),
    [anon_sym___attribute__] = ACTIONS(4415),
    [anon_sym___attribute] = ACTIONS(4413),
    [anon_sym_noreturn] = ACTIONS(4415),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4415),
    [anon_sym_static] = ACTIONS(4415),
    [anon_sym_auto] = ACTIONS(4415),
    [anon_sym_register] = ACTIONS(4415),
    [anon_sym_inline] = ACTIONS(4415),
    [anon_sym___inline] = ACTIONS(4413),
    [anon_sym___inline__] = ACTIONS(4415),
    [anon_sym___forceinline] = ACTIONS(4415),
    [anon_sym_thread_local] = ACTIONS(4415),
    [anon_sym___thread] = ACTIONS(4415),
    [anon_sym_CG_EXTERN] = ACTIONS(4415),
    [anon_sym_CG_INLINE] = ACTIONS(4415),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4415),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4415),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4415),
    [anon_sym_IBOutlet] = ACTIONS(4415),
    [anon_sym_IBInspectable] = ACTIONS(4415),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4415),
    [anon_sym_NS_INLINE] = ACTIONS(4415),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4415),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4415),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4415),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4415),
    [anon_sym_const] = ACTIONS(4413),
    [anon_sym_constexpr] = ACTIONS(4415),
    [anon_sym_volatile] = ACTIONS(4415),
    [anon_sym_restrict] = ACTIONS(4415),
    [anon_sym___restrict__] = ACTIONS(4415),
    [anon_sym__Atomic] = ACTIONS(4415),
    [anon_sym__Noreturn] = ACTIONS(4415),
    [anon_sym__Nonnull] = ACTIONS(4415),
    [anon_sym_nullable] = ACTIONS(4415),
    [anon_sym__Complex] = ACTIONS(4415),
    [anon_sym__Nullable] = ACTIONS(4413),
    [anon_sym__Nullable_result] = ACTIONS(4415),
    [anon_sym__Null_unspecified] = ACTIONS(4415),
    [anon_sym___autoreleasing] = ACTIONS(4415),
    [anon_sym___block] = ACTIONS(4415),
    [anon_sym___bridge] = ACTIONS(4413),
    [anon_sym___bridge_retained] = ACTIONS(4415),
    [anon_sym___bridge_transfer] = ACTIONS(4415),
    [anon_sym___complex] = ACTIONS(4415),
    [anon_sym___const] = ACTIONS(4415),
    [anon_sym___imag] = ACTIONS(4415),
    [anon_sym___kindof] = ACTIONS(4415),
    [anon_sym___nonnull] = ACTIONS(4415),
    [anon_sym___nullable] = ACTIONS(4415),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4415),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4415),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4415),
    [anon_sym___real] = ACTIONS(4415),
    [anon_sym___strong] = ACTIONS(4415),
    [anon_sym___unsafe_unretained] = ACTIONS(4415),
    [anon_sym___unused] = ACTIONS(4415),
    [anon_sym___weak] = ACTIONS(4415),
    [anon_sym_alignas] = ACTIONS(4415),
    [anon_sym__Alignas] = ACTIONS(4415),
    [anon_sym_QMARK] = ACTIONS(4415),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4415),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4415),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4415),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4415),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4415),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4415),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4415),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4415),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4415),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4415),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4413),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4415),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4415),
    [anon_sym_API_AVAILABLE] = ACTIONS(4415),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4415),
    [anon_sym_API_DEPRECATED] = ACTIONS(4415),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4415),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4415),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4415),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4415),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4415),
    [anon_sym___deprecated_msg] = ACTIONS(4415),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4415),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4415),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4415),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4415),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4415),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4415),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4415),
  },
  [2639] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(4034),
    [anon_sym_PLUS] = ACTIONS(4034),
    [anon_sym_STAR] = ACTIONS(6517),
    [anon_sym_SLASH] = ACTIONS(6519),
    [anon_sym_PERCENT] = ACTIONS(6517),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4036),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(4034),
    [anon_sym_GT_EQ] = ACTIONS(4036),
    [anon_sym_LT_EQ] = ACTIONS(4036),
    [anon_sym_LT] = ACTIONS(4034),
    [anon_sym_LT_LT] = ACTIONS(4036),
    [anon_sym_GT_GT] = ACTIONS(4036),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4036),
    [anon_sym_extern] = ACTIONS(4036),
    [anon_sym___attribute__] = ACTIONS(4036),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4036),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4036),
    [anon_sym_register] = ACTIONS(4036),
    [anon_sym_inline] = ACTIONS(4036),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4036),
    [anon_sym___forceinline] = ACTIONS(4036),
    [anon_sym_thread_local] = ACTIONS(4036),
    [anon_sym___thread] = ACTIONS(4036),
    [anon_sym_CG_EXTERN] = ACTIONS(4036),
    [anon_sym_CG_INLINE] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4036),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4036),
    [anon_sym_IBOutlet] = ACTIONS(4036),
    [anon_sym_IBInspectable] = ACTIONS(4036),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4036),
    [anon_sym_NS_INLINE] = ACTIONS(4036),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4036),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4036),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4036),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4036),
    [anon_sym_volatile] = ACTIONS(4036),
    [anon_sym_restrict] = ACTIONS(4036),
    [anon_sym___restrict__] = ACTIONS(4036),
    [anon_sym__Atomic] = ACTIONS(4036),
    [anon_sym__Noreturn] = ACTIONS(4036),
    [anon_sym__Nonnull] = ACTIONS(4036),
    [anon_sym_nullable] = ACTIONS(4036),
    [anon_sym__Complex] = ACTIONS(4036),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4036),
    [anon_sym__Null_unspecified] = ACTIONS(4036),
    [anon_sym___autoreleasing] = ACTIONS(4036),
    [anon_sym___block] = ACTIONS(4036),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4036),
    [anon_sym___bridge_transfer] = ACTIONS(4036),
    [anon_sym___complex] = ACTIONS(4036),
    [anon_sym___const] = ACTIONS(4036),
    [anon_sym___imag] = ACTIONS(4036),
    [anon_sym___kindof] = ACTIONS(4036),
    [anon_sym___nonnull] = ACTIONS(4036),
    [anon_sym___nullable] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4036),
    [anon_sym___real] = ACTIONS(4036),
    [anon_sym___strong] = ACTIONS(4036),
    [anon_sym___unsafe_unretained] = ACTIONS(4036),
    [anon_sym___unused] = ACTIONS(4036),
    [anon_sym___weak] = ACTIONS(4036),
    [anon_sym_alignas] = ACTIONS(4036),
    [anon_sym__Alignas] = ACTIONS(4036),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4036),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4036),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_API_AVAILABLE] = ACTIONS(4036),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_API_DEPRECATED] = ACTIONS(4036),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym___deprecated_msg] = ACTIONS(4036),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4036),
  },
  [2640] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6515),
    [anon_sym_PLUS] = ACTIONS(6515),
    [anon_sym_STAR] = ACTIONS(6517),
    [anon_sym_SLASH] = ACTIONS(6519),
    [anon_sym_PERCENT] = ACTIONS(6517),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(6523),
    [anon_sym_PIPE] = ACTIONS(6525),
    [anon_sym_CARET] = ACTIONS(6527),
    [anon_sym_AMP] = ACTIONS(6529),
    [anon_sym_EQ_EQ] = ACTIONS(6531),
    [anon_sym_BANG_EQ] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6533),
    [anon_sym_GT_EQ] = ACTIONS(6535),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_LT] = ACTIONS(6533),
    [anon_sym_LT_LT] = ACTIONS(6537),
    [anon_sym_GT_GT] = ACTIONS(6537),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4036),
    [anon_sym_extern] = ACTIONS(4036),
    [anon_sym___attribute__] = ACTIONS(4036),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4036),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4036),
    [anon_sym_register] = ACTIONS(4036),
    [anon_sym_inline] = ACTIONS(4036),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4036),
    [anon_sym___forceinline] = ACTIONS(4036),
    [anon_sym_thread_local] = ACTIONS(4036),
    [anon_sym___thread] = ACTIONS(4036),
    [anon_sym_CG_EXTERN] = ACTIONS(4036),
    [anon_sym_CG_INLINE] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4036),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4036),
    [anon_sym_IBOutlet] = ACTIONS(4036),
    [anon_sym_IBInspectable] = ACTIONS(4036),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4036),
    [anon_sym_NS_INLINE] = ACTIONS(4036),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4036),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4036),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4036),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4036),
    [anon_sym_volatile] = ACTIONS(4036),
    [anon_sym_restrict] = ACTIONS(4036),
    [anon_sym___restrict__] = ACTIONS(4036),
    [anon_sym__Atomic] = ACTIONS(4036),
    [anon_sym__Noreturn] = ACTIONS(4036),
    [anon_sym__Nonnull] = ACTIONS(4036),
    [anon_sym_nullable] = ACTIONS(4036),
    [anon_sym__Complex] = ACTIONS(4036),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4036),
    [anon_sym__Null_unspecified] = ACTIONS(4036),
    [anon_sym___autoreleasing] = ACTIONS(4036),
    [anon_sym___block] = ACTIONS(4036),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4036),
    [anon_sym___bridge_transfer] = ACTIONS(4036),
    [anon_sym___complex] = ACTIONS(4036),
    [anon_sym___const] = ACTIONS(4036),
    [anon_sym___imag] = ACTIONS(4036),
    [anon_sym___kindof] = ACTIONS(4036),
    [anon_sym___nonnull] = ACTIONS(4036),
    [anon_sym___nullable] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4036),
    [anon_sym___real] = ACTIONS(4036),
    [anon_sym___strong] = ACTIONS(4036),
    [anon_sym___unsafe_unretained] = ACTIONS(4036),
    [anon_sym___unused] = ACTIONS(4036),
    [anon_sym___weak] = ACTIONS(4036),
    [anon_sym_alignas] = ACTIONS(4036),
    [anon_sym__Alignas] = ACTIONS(4036),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4036),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4036),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_API_AVAILABLE] = ACTIONS(4036),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_API_DEPRECATED] = ACTIONS(4036),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym___deprecated_msg] = ACTIONS(4036),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4036),
  },
  [2641] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6515),
    [anon_sym_PLUS] = ACTIONS(6515),
    [anon_sym_STAR] = ACTIONS(6517),
    [anon_sym_SLASH] = ACTIONS(6519),
    [anon_sym_PERCENT] = ACTIONS(6517),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(6525),
    [anon_sym_CARET] = ACTIONS(6527),
    [anon_sym_AMP] = ACTIONS(6529),
    [anon_sym_EQ_EQ] = ACTIONS(6531),
    [anon_sym_BANG_EQ] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6533),
    [anon_sym_GT_EQ] = ACTIONS(6535),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_LT] = ACTIONS(6533),
    [anon_sym_LT_LT] = ACTIONS(6537),
    [anon_sym_GT_GT] = ACTIONS(6537),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4036),
    [anon_sym_extern] = ACTIONS(4036),
    [anon_sym___attribute__] = ACTIONS(4036),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4036),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4036),
    [anon_sym_register] = ACTIONS(4036),
    [anon_sym_inline] = ACTIONS(4036),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4036),
    [anon_sym___forceinline] = ACTIONS(4036),
    [anon_sym_thread_local] = ACTIONS(4036),
    [anon_sym___thread] = ACTIONS(4036),
    [anon_sym_CG_EXTERN] = ACTIONS(4036),
    [anon_sym_CG_INLINE] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4036),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4036),
    [anon_sym_IBOutlet] = ACTIONS(4036),
    [anon_sym_IBInspectable] = ACTIONS(4036),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4036),
    [anon_sym_NS_INLINE] = ACTIONS(4036),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4036),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4036),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4036),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4036),
    [anon_sym_volatile] = ACTIONS(4036),
    [anon_sym_restrict] = ACTIONS(4036),
    [anon_sym___restrict__] = ACTIONS(4036),
    [anon_sym__Atomic] = ACTIONS(4036),
    [anon_sym__Noreturn] = ACTIONS(4036),
    [anon_sym__Nonnull] = ACTIONS(4036),
    [anon_sym_nullable] = ACTIONS(4036),
    [anon_sym__Complex] = ACTIONS(4036),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4036),
    [anon_sym__Null_unspecified] = ACTIONS(4036),
    [anon_sym___autoreleasing] = ACTIONS(4036),
    [anon_sym___block] = ACTIONS(4036),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4036),
    [anon_sym___bridge_transfer] = ACTIONS(4036),
    [anon_sym___complex] = ACTIONS(4036),
    [anon_sym___const] = ACTIONS(4036),
    [anon_sym___imag] = ACTIONS(4036),
    [anon_sym___kindof] = ACTIONS(4036),
    [anon_sym___nonnull] = ACTIONS(4036),
    [anon_sym___nullable] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4036),
    [anon_sym___real] = ACTIONS(4036),
    [anon_sym___strong] = ACTIONS(4036),
    [anon_sym___unsafe_unretained] = ACTIONS(4036),
    [anon_sym___unused] = ACTIONS(4036),
    [anon_sym___weak] = ACTIONS(4036),
    [anon_sym_alignas] = ACTIONS(4036),
    [anon_sym__Alignas] = ACTIONS(4036),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4036),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4036),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_API_AVAILABLE] = ACTIONS(4036),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_API_DEPRECATED] = ACTIONS(4036),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym___deprecated_msg] = ACTIONS(4036),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4036),
  },
  [2642] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6515),
    [anon_sym_PLUS] = ACTIONS(6515),
    [anon_sym_STAR] = ACTIONS(6517),
    [anon_sym_SLASH] = ACTIONS(6519),
    [anon_sym_PERCENT] = ACTIONS(6517),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(6527),
    [anon_sym_AMP] = ACTIONS(6529),
    [anon_sym_EQ_EQ] = ACTIONS(6531),
    [anon_sym_BANG_EQ] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6533),
    [anon_sym_GT_EQ] = ACTIONS(6535),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_LT] = ACTIONS(6533),
    [anon_sym_LT_LT] = ACTIONS(6537),
    [anon_sym_GT_GT] = ACTIONS(6537),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4036),
    [anon_sym_extern] = ACTIONS(4036),
    [anon_sym___attribute__] = ACTIONS(4036),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4036),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4036),
    [anon_sym_register] = ACTIONS(4036),
    [anon_sym_inline] = ACTIONS(4036),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4036),
    [anon_sym___forceinline] = ACTIONS(4036),
    [anon_sym_thread_local] = ACTIONS(4036),
    [anon_sym___thread] = ACTIONS(4036),
    [anon_sym_CG_EXTERN] = ACTIONS(4036),
    [anon_sym_CG_INLINE] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4036),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4036),
    [anon_sym_IBOutlet] = ACTIONS(4036),
    [anon_sym_IBInspectable] = ACTIONS(4036),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4036),
    [anon_sym_NS_INLINE] = ACTIONS(4036),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4036),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4036),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4036),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4036),
    [anon_sym_volatile] = ACTIONS(4036),
    [anon_sym_restrict] = ACTIONS(4036),
    [anon_sym___restrict__] = ACTIONS(4036),
    [anon_sym__Atomic] = ACTIONS(4036),
    [anon_sym__Noreturn] = ACTIONS(4036),
    [anon_sym__Nonnull] = ACTIONS(4036),
    [anon_sym_nullable] = ACTIONS(4036),
    [anon_sym__Complex] = ACTIONS(4036),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4036),
    [anon_sym__Null_unspecified] = ACTIONS(4036),
    [anon_sym___autoreleasing] = ACTIONS(4036),
    [anon_sym___block] = ACTIONS(4036),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4036),
    [anon_sym___bridge_transfer] = ACTIONS(4036),
    [anon_sym___complex] = ACTIONS(4036),
    [anon_sym___const] = ACTIONS(4036),
    [anon_sym___imag] = ACTIONS(4036),
    [anon_sym___kindof] = ACTIONS(4036),
    [anon_sym___nonnull] = ACTIONS(4036),
    [anon_sym___nullable] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4036),
    [anon_sym___real] = ACTIONS(4036),
    [anon_sym___strong] = ACTIONS(4036),
    [anon_sym___unsafe_unretained] = ACTIONS(4036),
    [anon_sym___unused] = ACTIONS(4036),
    [anon_sym___weak] = ACTIONS(4036),
    [anon_sym_alignas] = ACTIONS(4036),
    [anon_sym__Alignas] = ACTIONS(4036),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4036),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4036),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_API_AVAILABLE] = ACTIONS(4036),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_API_DEPRECATED] = ACTIONS(4036),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym___deprecated_msg] = ACTIONS(4036),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4036),
  },
  [2643] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6515),
    [anon_sym_PLUS] = ACTIONS(6515),
    [anon_sym_STAR] = ACTIONS(6517),
    [anon_sym_SLASH] = ACTIONS(6519),
    [anon_sym_PERCENT] = ACTIONS(6517),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4036),
    [anon_sym_AMP] = ACTIONS(6529),
    [anon_sym_EQ_EQ] = ACTIONS(6531),
    [anon_sym_BANG_EQ] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6533),
    [anon_sym_GT_EQ] = ACTIONS(6535),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_LT] = ACTIONS(6533),
    [anon_sym_LT_LT] = ACTIONS(6537),
    [anon_sym_GT_GT] = ACTIONS(6537),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4036),
    [anon_sym_extern] = ACTIONS(4036),
    [anon_sym___attribute__] = ACTIONS(4036),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4036),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4036),
    [anon_sym_register] = ACTIONS(4036),
    [anon_sym_inline] = ACTIONS(4036),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4036),
    [anon_sym___forceinline] = ACTIONS(4036),
    [anon_sym_thread_local] = ACTIONS(4036),
    [anon_sym___thread] = ACTIONS(4036),
    [anon_sym_CG_EXTERN] = ACTIONS(4036),
    [anon_sym_CG_INLINE] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4036),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4036),
    [anon_sym_IBOutlet] = ACTIONS(4036),
    [anon_sym_IBInspectable] = ACTIONS(4036),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4036),
    [anon_sym_NS_INLINE] = ACTIONS(4036),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4036),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4036),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4036),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4036),
    [anon_sym_volatile] = ACTIONS(4036),
    [anon_sym_restrict] = ACTIONS(4036),
    [anon_sym___restrict__] = ACTIONS(4036),
    [anon_sym__Atomic] = ACTIONS(4036),
    [anon_sym__Noreturn] = ACTIONS(4036),
    [anon_sym__Nonnull] = ACTIONS(4036),
    [anon_sym_nullable] = ACTIONS(4036),
    [anon_sym__Complex] = ACTIONS(4036),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4036),
    [anon_sym__Null_unspecified] = ACTIONS(4036),
    [anon_sym___autoreleasing] = ACTIONS(4036),
    [anon_sym___block] = ACTIONS(4036),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4036),
    [anon_sym___bridge_transfer] = ACTIONS(4036),
    [anon_sym___complex] = ACTIONS(4036),
    [anon_sym___const] = ACTIONS(4036),
    [anon_sym___imag] = ACTIONS(4036),
    [anon_sym___kindof] = ACTIONS(4036),
    [anon_sym___nonnull] = ACTIONS(4036),
    [anon_sym___nullable] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4036),
    [anon_sym___real] = ACTIONS(4036),
    [anon_sym___strong] = ACTIONS(4036),
    [anon_sym___unsafe_unretained] = ACTIONS(4036),
    [anon_sym___unused] = ACTIONS(4036),
    [anon_sym___weak] = ACTIONS(4036),
    [anon_sym_alignas] = ACTIONS(4036),
    [anon_sym__Alignas] = ACTIONS(4036),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4036),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4036),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_API_AVAILABLE] = ACTIONS(4036),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_API_DEPRECATED] = ACTIONS(4036),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym___deprecated_msg] = ACTIONS(4036),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4036),
  },
  [2644] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6515),
    [anon_sym_PLUS] = ACTIONS(6515),
    [anon_sym_STAR] = ACTIONS(6517),
    [anon_sym_SLASH] = ACTIONS(6519),
    [anon_sym_PERCENT] = ACTIONS(6517),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4036),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(6531),
    [anon_sym_BANG_EQ] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6533),
    [anon_sym_GT_EQ] = ACTIONS(6535),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_LT] = ACTIONS(6533),
    [anon_sym_LT_LT] = ACTIONS(6537),
    [anon_sym_GT_GT] = ACTIONS(6537),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4036),
    [anon_sym_extern] = ACTIONS(4036),
    [anon_sym___attribute__] = ACTIONS(4036),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4036),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4036),
    [anon_sym_register] = ACTIONS(4036),
    [anon_sym_inline] = ACTIONS(4036),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4036),
    [anon_sym___forceinline] = ACTIONS(4036),
    [anon_sym_thread_local] = ACTIONS(4036),
    [anon_sym___thread] = ACTIONS(4036),
    [anon_sym_CG_EXTERN] = ACTIONS(4036),
    [anon_sym_CG_INLINE] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4036),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4036),
    [anon_sym_IBOutlet] = ACTIONS(4036),
    [anon_sym_IBInspectable] = ACTIONS(4036),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4036),
    [anon_sym_NS_INLINE] = ACTIONS(4036),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4036),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4036),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4036),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4036),
    [anon_sym_volatile] = ACTIONS(4036),
    [anon_sym_restrict] = ACTIONS(4036),
    [anon_sym___restrict__] = ACTIONS(4036),
    [anon_sym__Atomic] = ACTIONS(4036),
    [anon_sym__Noreturn] = ACTIONS(4036),
    [anon_sym__Nonnull] = ACTIONS(4036),
    [anon_sym_nullable] = ACTIONS(4036),
    [anon_sym__Complex] = ACTIONS(4036),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4036),
    [anon_sym__Null_unspecified] = ACTIONS(4036),
    [anon_sym___autoreleasing] = ACTIONS(4036),
    [anon_sym___block] = ACTIONS(4036),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4036),
    [anon_sym___bridge_transfer] = ACTIONS(4036),
    [anon_sym___complex] = ACTIONS(4036),
    [anon_sym___const] = ACTIONS(4036),
    [anon_sym___imag] = ACTIONS(4036),
    [anon_sym___kindof] = ACTIONS(4036),
    [anon_sym___nonnull] = ACTIONS(4036),
    [anon_sym___nullable] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4036),
    [anon_sym___real] = ACTIONS(4036),
    [anon_sym___strong] = ACTIONS(4036),
    [anon_sym___unsafe_unretained] = ACTIONS(4036),
    [anon_sym___unused] = ACTIONS(4036),
    [anon_sym___weak] = ACTIONS(4036),
    [anon_sym_alignas] = ACTIONS(4036),
    [anon_sym__Alignas] = ACTIONS(4036),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4036),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4036),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_API_AVAILABLE] = ACTIONS(4036),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_API_DEPRECATED] = ACTIONS(4036),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym___deprecated_msg] = ACTIONS(4036),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4036),
  },
  [2645] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6515),
    [anon_sym_PLUS] = ACTIONS(6515),
    [anon_sym_STAR] = ACTIONS(6517),
    [anon_sym_SLASH] = ACTIONS(6519),
    [anon_sym_PERCENT] = ACTIONS(6517),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4036),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(6533),
    [anon_sym_GT_EQ] = ACTIONS(6535),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_LT] = ACTIONS(6533),
    [anon_sym_LT_LT] = ACTIONS(6537),
    [anon_sym_GT_GT] = ACTIONS(6537),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4036),
    [anon_sym_extern] = ACTIONS(4036),
    [anon_sym___attribute__] = ACTIONS(4036),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4036),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4036),
    [anon_sym_register] = ACTIONS(4036),
    [anon_sym_inline] = ACTIONS(4036),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4036),
    [anon_sym___forceinline] = ACTIONS(4036),
    [anon_sym_thread_local] = ACTIONS(4036),
    [anon_sym___thread] = ACTIONS(4036),
    [anon_sym_CG_EXTERN] = ACTIONS(4036),
    [anon_sym_CG_INLINE] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4036),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4036),
    [anon_sym_IBOutlet] = ACTIONS(4036),
    [anon_sym_IBInspectable] = ACTIONS(4036),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4036),
    [anon_sym_NS_INLINE] = ACTIONS(4036),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4036),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4036),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4036),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4036),
    [anon_sym_volatile] = ACTIONS(4036),
    [anon_sym_restrict] = ACTIONS(4036),
    [anon_sym___restrict__] = ACTIONS(4036),
    [anon_sym__Atomic] = ACTIONS(4036),
    [anon_sym__Noreturn] = ACTIONS(4036),
    [anon_sym__Nonnull] = ACTIONS(4036),
    [anon_sym_nullable] = ACTIONS(4036),
    [anon_sym__Complex] = ACTIONS(4036),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4036),
    [anon_sym__Null_unspecified] = ACTIONS(4036),
    [anon_sym___autoreleasing] = ACTIONS(4036),
    [anon_sym___block] = ACTIONS(4036),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4036),
    [anon_sym___bridge_transfer] = ACTIONS(4036),
    [anon_sym___complex] = ACTIONS(4036),
    [anon_sym___const] = ACTIONS(4036),
    [anon_sym___imag] = ACTIONS(4036),
    [anon_sym___kindof] = ACTIONS(4036),
    [anon_sym___nonnull] = ACTIONS(4036),
    [anon_sym___nullable] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4036),
    [anon_sym___real] = ACTIONS(4036),
    [anon_sym___strong] = ACTIONS(4036),
    [anon_sym___unsafe_unretained] = ACTIONS(4036),
    [anon_sym___unused] = ACTIONS(4036),
    [anon_sym___weak] = ACTIONS(4036),
    [anon_sym_alignas] = ACTIONS(4036),
    [anon_sym__Alignas] = ACTIONS(4036),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4036),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4036),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_API_AVAILABLE] = ACTIONS(4036),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_API_DEPRECATED] = ACTIONS(4036),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym___deprecated_msg] = ACTIONS(4036),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4036),
  },
  [2646] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6515),
    [anon_sym_PLUS] = ACTIONS(6515),
    [anon_sym_STAR] = ACTIONS(6517),
    [anon_sym_SLASH] = ACTIONS(6519),
    [anon_sym_PERCENT] = ACTIONS(6517),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4036),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(4034),
    [anon_sym_GT_EQ] = ACTIONS(4036),
    [anon_sym_LT_EQ] = ACTIONS(4036),
    [anon_sym_LT] = ACTIONS(4034),
    [anon_sym_LT_LT] = ACTIONS(6537),
    [anon_sym_GT_GT] = ACTIONS(6537),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4036),
    [anon_sym_extern] = ACTIONS(4036),
    [anon_sym___attribute__] = ACTIONS(4036),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4036),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4036),
    [anon_sym_register] = ACTIONS(4036),
    [anon_sym_inline] = ACTIONS(4036),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4036),
    [anon_sym___forceinline] = ACTIONS(4036),
    [anon_sym_thread_local] = ACTIONS(4036),
    [anon_sym___thread] = ACTIONS(4036),
    [anon_sym_CG_EXTERN] = ACTIONS(4036),
    [anon_sym_CG_INLINE] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4036),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4036),
    [anon_sym_IBOutlet] = ACTIONS(4036),
    [anon_sym_IBInspectable] = ACTIONS(4036),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4036),
    [anon_sym_NS_INLINE] = ACTIONS(4036),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4036),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4036),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4036),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4036),
    [anon_sym_volatile] = ACTIONS(4036),
    [anon_sym_restrict] = ACTIONS(4036),
    [anon_sym___restrict__] = ACTIONS(4036),
    [anon_sym__Atomic] = ACTIONS(4036),
    [anon_sym__Noreturn] = ACTIONS(4036),
    [anon_sym__Nonnull] = ACTIONS(4036),
    [anon_sym_nullable] = ACTIONS(4036),
    [anon_sym__Complex] = ACTIONS(4036),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4036),
    [anon_sym__Null_unspecified] = ACTIONS(4036),
    [anon_sym___autoreleasing] = ACTIONS(4036),
    [anon_sym___block] = ACTIONS(4036),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4036),
    [anon_sym___bridge_transfer] = ACTIONS(4036),
    [anon_sym___complex] = ACTIONS(4036),
    [anon_sym___const] = ACTIONS(4036),
    [anon_sym___imag] = ACTIONS(4036),
    [anon_sym___kindof] = ACTIONS(4036),
    [anon_sym___nonnull] = ACTIONS(4036),
    [anon_sym___nullable] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4036),
    [anon_sym___real] = ACTIONS(4036),
    [anon_sym___strong] = ACTIONS(4036),
    [anon_sym___unsafe_unretained] = ACTIONS(4036),
    [anon_sym___unused] = ACTIONS(4036),
    [anon_sym___weak] = ACTIONS(4036),
    [anon_sym_alignas] = ACTIONS(4036),
    [anon_sym__Alignas] = ACTIONS(4036),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4036),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4036),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_API_AVAILABLE] = ACTIONS(4036),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_API_DEPRECATED] = ACTIONS(4036),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym___deprecated_msg] = ACTIONS(4036),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4036),
  },
  [2647] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4036),
    [anon_sym_COMMA] = ACTIONS(4036),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6515),
    [anon_sym_PLUS] = ACTIONS(6515),
    [anon_sym_STAR] = ACTIONS(6517),
    [anon_sym_SLASH] = ACTIONS(6519),
    [anon_sym_PERCENT] = ACTIONS(6517),
    [anon_sym_PIPE_PIPE] = ACTIONS(4036),
    [anon_sym_AMP_AMP] = ACTIONS(4036),
    [anon_sym_PIPE] = ACTIONS(4034),
    [anon_sym_CARET] = ACTIONS(4036),
    [anon_sym_AMP] = ACTIONS(4034),
    [anon_sym_EQ_EQ] = ACTIONS(4036),
    [anon_sym_BANG_EQ] = ACTIONS(4036),
    [anon_sym_GT] = ACTIONS(4034),
    [anon_sym_GT_EQ] = ACTIONS(4036),
    [anon_sym_LT_EQ] = ACTIONS(4036),
    [anon_sym_LT] = ACTIONS(4034),
    [anon_sym_LT_LT] = ACTIONS(4036),
    [anon_sym_GT_GT] = ACTIONS(4036),
    [anon_sym_SEMI] = ACTIONS(4036),
    [anon_sym___extension__] = ACTIONS(4036),
    [anon_sym_extern] = ACTIONS(4036),
    [anon_sym___attribute__] = ACTIONS(4036),
    [anon_sym___attribute] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4036),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4036),
    [anon_sym_static] = ACTIONS(4036),
    [anon_sym_auto] = ACTIONS(4036),
    [anon_sym_register] = ACTIONS(4036),
    [anon_sym_inline] = ACTIONS(4036),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4036),
    [anon_sym___forceinline] = ACTIONS(4036),
    [anon_sym_thread_local] = ACTIONS(4036),
    [anon_sym___thread] = ACTIONS(4036),
    [anon_sym_CG_EXTERN] = ACTIONS(4036),
    [anon_sym_CG_INLINE] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4036),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4036),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4036),
    [anon_sym_IBOutlet] = ACTIONS(4036),
    [anon_sym_IBInspectable] = ACTIONS(4036),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4036),
    [anon_sym_NS_INLINE] = ACTIONS(4036),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4036),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4036),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4036),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4036),
    [anon_sym_volatile] = ACTIONS(4036),
    [anon_sym_restrict] = ACTIONS(4036),
    [anon_sym___restrict__] = ACTIONS(4036),
    [anon_sym__Atomic] = ACTIONS(4036),
    [anon_sym__Noreturn] = ACTIONS(4036),
    [anon_sym__Nonnull] = ACTIONS(4036),
    [anon_sym_nullable] = ACTIONS(4036),
    [anon_sym__Complex] = ACTIONS(4036),
    [anon_sym__Nullable] = ACTIONS(4034),
    [anon_sym__Nullable_result] = ACTIONS(4036),
    [anon_sym__Null_unspecified] = ACTIONS(4036),
    [anon_sym___autoreleasing] = ACTIONS(4036),
    [anon_sym___block] = ACTIONS(4036),
    [anon_sym___bridge] = ACTIONS(4034),
    [anon_sym___bridge_retained] = ACTIONS(4036),
    [anon_sym___bridge_transfer] = ACTIONS(4036),
    [anon_sym___complex] = ACTIONS(4036),
    [anon_sym___const] = ACTIONS(4036),
    [anon_sym___imag] = ACTIONS(4036),
    [anon_sym___kindof] = ACTIONS(4036),
    [anon_sym___nonnull] = ACTIONS(4036),
    [anon_sym___nullable] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4036),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4036),
    [anon_sym___real] = ACTIONS(4036),
    [anon_sym___strong] = ACTIONS(4036),
    [anon_sym___unsafe_unretained] = ACTIONS(4036),
    [anon_sym___unused] = ACTIONS(4036),
    [anon_sym___weak] = ACTIONS(4036),
    [anon_sym_alignas] = ACTIONS(4036),
    [anon_sym__Alignas] = ACTIONS(4036),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4036),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4036),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4036),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4036),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4034),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_API_AVAILABLE] = ACTIONS(4036),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_API_DEPRECATED] = ACTIONS(4036),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4036),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4036),
    [anon_sym___deprecated_msg] = ACTIONS(4036),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4036),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4036),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4036),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4036),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4036),
  },
  [2648] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6511),
    [anon_sym_COMMA] = ACTIONS(4405),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6515),
    [anon_sym_PLUS] = ACTIONS(6515),
    [anon_sym_STAR] = ACTIONS(6517),
    [anon_sym_SLASH] = ACTIONS(6519),
    [anon_sym_PERCENT] = ACTIONS(6517),
    [anon_sym_PIPE_PIPE] = ACTIONS(6521),
    [anon_sym_AMP_AMP] = ACTIONS(6523),
    [anon_sym_PIPE] = ACTIONS(6525),
    [anon_sym_CARET] = ACTIONS(6527),
    [anon_sym_AMP] = ACTIONS(6529),
    [anon_sym_EQ_EQ] = ACTIONS(6531),
    [anon_sym_BANG_EQ] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6533),
    [anon_sym_GT_EQ] = ACTIONS(6535),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_LT] = ACTIONS(6533),
    [anon_sym_LT_LT] = ACTIONS(6537),
    [anon_sym_GT_GT] = ACTIONS(6537),
    [anon_sym_SEMI] = ACTIONS(4405),
    [anon_sym___extension__] = ACTIONS(4405),
    [anon_sym_extern] = ACTIONS(4405),
    [anon_sym___attribute__] = ACTIONS(4405),
    [anon_sym___attribute] = ACTIONS(4401),
    [anon_sym_noreturn] = ACTIONS(4405),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4405),
    [anon_sym_static] = ACTIONS(4405),
    [anon_sym_auto] = ACTIONS(4405),
    [anon_sym_register] = ACTIONS(4405),
    [anon_sym_inline] = ACTIONS(4405),
    [anon_sym___inline] = ACTIONS(4401),
    [anon_sym___inline__] = ACTIONS(4405),
    [anon_sym___forceinline] = ACTIONS(4405),
    [anon_sym_thread_local] = ACTIONS(4405),
    [anon_sym___thread] = ACTIONS(4405),
    [anon_sym_CG_EXTERN] = ACTIONS(4405),
    [anon_sym_CG_INLINE] = ACTIONS(4405),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4405),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4405),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4405),
    [anon_sym_IBOutlet] = ACTIONS(4405),
    [anon_sym_IBInspectable] = ACTIONS(4405),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4405),
    [anon_sym_NS_INLINE] = ACTIONS(4405),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4405),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4405),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4405),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4405),
    [anon_sym_const] = ACTIONS(4401),
    [anon_sym_constexpr] = ACTIONS(4405),
    [anon_sym_volatile] = ACTIONS(4405),
    [anon_sym_restrict] = ACTIONS(4405),
    [anon_sym___restrict__] = ACTIONS(4405),
    [anon_sym__Atomic] = ACTIONS(4405),
    [anon_sym__Noreturn] = ACTIONS(4405),
    [anon_sym__Nonnull] = ACTIONS(4405),
    [anon_sym_nullable] = ACTIONS(4405),
    [anon_sym__Complex] = ACTIONS(4405),
    [anon_sym__Nullable] = ACTIONS(4401),
    [anon_sym__Nullable_result] = ACTIONS(4405),
    [anon_sym__Null_unspecified] = ACTIONS(4405),
    [anon_sym___autoreleasing] = ACTIONS(4405),
    [anon_sym___block] = ACTIONS(4405),
    [anon_sym___bridge] = ACTIONS(4401),
    [anon_sym___bridge_retained] = ACTIONS(4405),
    [anon_sym___bridge_transfer] = ACTIONS(4405),
    [anon_sym___complex] = ACTIONS(4405),
    [anon_sym___const] = ACTIONS(4405),
    [anon_sym___imag] = ACTIONS(4405),
    [anon_sym___kindof] = ACTIONS(4405),
    [anon_sym___nonnull] = ACTIONS(4405),
    [anon_sym___nullable] = ACTIONS(4405),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4405),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4405),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4405),
    [anon_sym___real] = ACTIONS(4405),
    [anon_sym___strong] = ACTIONS(4405),
    [anon_sym___unsafe_unretained] = ACTIONS(4405),
    [anon_sym___unused] = ACTIONS(4405),
    [anon_sym___weak] = ACTIONS(4405),
    [anon_sym_alignas] = ACTIONS(4405),
    [anon_sym__Alignas] = ACTIONS(4405),
    [anon_sym_QMARK] = ACTIONS(6541),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4405),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4405),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4405),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4405),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4405),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4405),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4405),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4405),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4405),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4405),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4401),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4405),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4405),
    [anon_sym_API_AVAILABLE] = ACTIONS(4405),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4405),
    [anon_sym_API_DEPRECATED] = ACTIONS(4405),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4405),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4405),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4405),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4405),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4405),
    [anon_sym___deprecated_msg] = ACTIONS(4405),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4405),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4405),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4405),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4405),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4405),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4405),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4405),
  },
  [2649] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6511),
    [anon_sym_COMMA] = ACTIONS(4423),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6515),
    [anon_sym_PLUS] = ACTIONS(6515),
    [anon_sym_STAR] = ACTIONS(6517),
    [anon_sym_SLASH] = ACTIONS(6519),
    [anon_sym_PERCENT] = ACTIONS(6517),
    [anon_sym_PIPE_PIPE] = ACTIONS(6521),
    [anon_sym_AMP_AMP] = ACTIONS(6523),
    [anon_sym_PIPE] = ACTIONS(6525),
    [anon_sym_CARET] = ACTIONS(6527),
    [anon_sym_AMP] = ACTIONS(6529),
    [anon_sym_EQ_EQ] = ACTIONS(6531),
    [anon_sym_BANG_EQ] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6533),
    [anon_sym_GT_EQ] = ACTIONS(6535),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_LT] = ACTIONS(6533),
    [anon_sym_LT_LT] = ACTIONS(6537),
    [anon_sym_GT_GT] = ACTIONS(6537),
    [anon_sym_SEMI] = ACTIONS(4423),
    [anon_sym___extension__] = ACTIONS(4423),
    [anon_sym_extern] = ACTIONS(4423),
    [anon_sym___attribute__] = ACTIONS(4423),
    [anon_sym___attribute] = ACTIONS(4421),
    [anon_sym_noreturn] = ACTIONS(4423),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4423),
    [anon_sym_static] = ACTIONS(4423),
    [anon_sym_auto] = ACTIONS(4423),
    [anon_sym_register] = ACTIONS(4423),
    [anon_sym_inline] = ACTIONS(4423),
    [anon_sym___inline] = ACTIONS(4421),
    [anon_sym___inline__] = ACTIONS(4423),
    [anon_sym___forceinline] = ACTIONS(4423),
    [anon_sym_thread_local] = ACTIONS(4423),
    [anon_sym___thread] = ACTIONS(4423),
    [anon_sym_CG_EXTERN] = ACTIONS(4423),
    [anon_sym_CG_INLINE] = ACTIONS(4423),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4423),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4423),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4423),
    [anon_sym_IBOutlet] = ACTIONS(4423),
    [anon_sym_IBInspectable] = ACTIONS(4423),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4423),
    [anon_sym_NS_INLINE] = ACTIONS(4423),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4423),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4423),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4423),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4423),
    [anon_sym_const] = ACTIONS(4421),
    [anon_sym_constexpr] = ACTIONS(4423),
    [anon_sym_volatile] = ACTIONS(4423),
    [anon_sym_restrict] = ACTIONS(4423),
    [anon_sym___restrict__] = ACTIONS(4423),
    [anon_sym__Atomic] = ACTIONS(4423),
    [anon_sym__Noreturn] = ACTIONS(4423),
    [anon_sym__Nonnull] = ACTIONS(4423),
    [anon_sym_nullable] = ACTIONS(4423),
    [anon_sym__Complex] = ACTIONS(4423),
    [anon_sym__Nullable] = ACTIONS(4421),
    [anon_sym__Nullable_result] = ACTIONS(4423),
    [anon_sym__Null_unspecified] = ACTIONS(4423),
    [anon_sym___autoreleasing] = ACTIONS(4423),
    [anon_sym___block] = ACTIONS(4423),
    [anon_sym___bridge] = ACTIONS(4421),
    [anon_sym___bridge_retained] = ACTIONS(4423),
    [anon_sym___bridge_transfer] = ACTIONS(4423),
    [anon_sym___complex] = ACTIONS(4423),
    [anon_sym___const] = ACTIONS(4423),
    [anon_sym___imag] = ACTIONS(4423),
    [anon_sym___kindof] = ACTIONS(4423),
    [anon_sym___nonnull] = ACTIONS(4423),
    [anon_sym___nullable] = ACTIONS(4423),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4423),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4423),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4423),
    [anon_sym___real] = ACTIONS(4423),
    [anon_sym___strong] = ACTIONS(4423),
    [anon_sym___unsafe_unretained] = ACTIONS(4423),
    [anon_sym___unused] = ACTIONS(4423),
    [anon_sym___weak] = ACTIONS(4423),
    [anon_sym_alignas] = ACTIONS(4423),
    [anon_sym__Alignas] = ACTIONS(4423),
    [anon_sym_QMARK] = ACTIONS(6541),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4423),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4423),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4423),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4423),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4423),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4423),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4423),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4423),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4423),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4423),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4421),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4423),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4423),
    [anon_sym_API_AVAILABLE] = ACTIONS(4423),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4423),
    [anon_sym_API_DEPRECATED] = ACTIONS(4423),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4423),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4423),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4423),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4423),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4423),
    [anon_sym___deprecated_msg] = ACTIONS(4423),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4423),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4423),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4423),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4423),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4423),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4423),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4423),
  },
  [2650] = {
    [sym_identifier] = ACTIONS(6583),
    [aux_sym_preproc_def_token1] = ACTIONS(6583),
    [aux_sym_preproc_if_token1] = ACTIONS(6583),
    [aux_sym_preproc_if_token2] = ACTIONS(6583),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6583),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6583),
    [aux_sym_preproc_else_token1] = ACTIONS(6583),
    [aux_sym_preproc_elif_token1] = ACTIONS(6583),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6583),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6583),
    [sym_preproc_directive] = ACTIONS(6583),
    [anon_sym___extension__] = ACTIONS(6583),
    [anon_sym_extern] = ACTIONS(6583),
    [anon_sym___attribute__] = ACTIONS(6583),
    [anon_sym___attribute] = ACTIONS(6583),
    [anon_sym_noreturn] = ACTIONS(6583),
    [anon_sym_LBRACK] = ACTIONS(6585),
    [anon_sym___declspec] = ACTIONS(6583),
    [anon_sym_signed] = ACTIONS(6583),
    [anon_sym_unsigned] = ACTIONS(6583),
    [anon_sym_long] = ACTIONS(6583),
    [anon_sym_short] = ACTIONS(6583),
    [anon_sym_static] = ACTIONS(6583),
    [anon_sym_auto] = ACTIONS(6583),
    [anon_sym_register] = ACTIONS(6583),
    [anon_sym_inline] = ACTIONS(6583),
    [anon_sym___inline] = ACTIONS(6583),
    [anon_sym___inline__] = ACTIONS(6583),
    [anon_sym___forceinline] = ACTIONS(6583),
    [anon_sym_thread_local] = ACTIONS(6583),
    [anon_sym___thread] = ACTIONS(6583),
    [anon_sym_CG_EXTERN] = ACTIONS(6583),
    [anon_sym_CG_INLINE] = ACTIONS(6583),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6583),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6583),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6583),
    [anon_sym_IBOutlet] = ACTIONS(6583),
    [anon_sym_IBInspectable] = ACTIONS(6583),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6583),
    [anon_sym_NS_INLINE] = ACTIONS(6583),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6583),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6583),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6583),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6583),
    [anon_sym_const] = ACTIONS(6583),
    [anon_sym_constexpr] = ACTIONS(6583),
    [anon_sym_volatile] = ACTIONS(6583),
    [anon_sym_restrict] = ACTIONS(6583),
    [anon_sym___restrict__] = ACTIONS(6583),
    [anon_sym__Atomic] = ACTIONS(6583),
    [anon_sym__Noreturn] = ACTIONS(6583),
    [anon_sym__Nonnull] = ACTIONS(6583),
    [anon_sym_nullable] = ACTIONS(6583),
    [anon_sym__Complex] = ACTIONS(6583),
    [anon_sym__Nullable] = ACTIONS(6583),
    [anon_sym__Nullable_result] = ACTIONS(6583),
    [anon_sym__Null_unspecified] = ACTIONS(6583),
    [anon_sym___autoreleasing] = ACTIONS(6583),
    [anon_sym___block] = ACTIONS(6583),
    [anon_sym___bridge] = ACTIONS(6583),
    [anon_sym___bridge_retained] = ACTIONS(6583),
    [anon_sym___bridge_transfer] = ACTIONS(6583),
    [anon_sym___complex] = ACTIONS(6583),
    [anon_sym___const] = ACTIONS(6583),
    [anon_sym___imag] = ACTIONS(6583),
    [anon_sym___kindof] = ACTIONS(6583),
    [anon_sym___nonnull] = ACTIONS(6583),
    [anon_sym___nullable] = ACTIONS(6583),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6583),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6583),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6583),
    [anon_sym___real] = ACTIONS(6583),
    [anon_sym___strong] = ACTIONS(6583),
    [anon_sym___unsafe_unretained] = ACTIONS(6583),
    [anon_sym___unused] = ACTIONS(6583),
    [anon_sym___weak] = ACTIONS(6583),
    [anon_sym_alignas] = ACTIONS(6583),
    [anon_sym__Alignas] = ACTIONS(6583),
    [sym_primitive_type] = ACTIONS(6583),
    [anon_sym_enum] = ACTIONS(6583),
    [anon_sym_struct] = ACTIONS(6583),
    [anon_sym_union] = ACTIONS(6583),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6583),
    [anon_sym___typeof] = ACTIONS(6583),
    [anon_sym_typeof] = ACTIONS(6583),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6583),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6583),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6583),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6583),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6583),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6583),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6583),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6583),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6583),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6583),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6583),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6583),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6583),
    [anon_sym_API_AVAILABLE] = ACTIONS(6583),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6583),
    [anon_sym_API_DEPRECATED] = ACTIONS(6583),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6583),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6583),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6583),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6583),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6583),
    [anon_sym___deprecated_msg] = ACTIONS(6583),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6583),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6583),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6583),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6583),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6583),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6583),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6583),
    [anon_sym_BOOL] = ACTIONS(6583),
    [anon_sym_IMP] = ACTIONS(6583),
    [anon_sym_SEL] = ACTIONS(6583),
    [anon_sym_Class] = ACTIONS(6583),
    [anon_sym_id] = ACTIONS(6583),
    [anon_sym_ATdefs] = ACTIONS(6585),
  },
  [2651] = {
    [sym_identifier] = ACTIONS(6603),
    [aux_sym_preproc_def_token1] = ACTIONS(6603),
    [aux_sym_preproc_if_token1] = ACTIONS(6603),
    [aux_sym_preproc_if_token2] = ACTIONS(6603),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6603),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6603),
    [aux_sym_preproc_else_token1] = ACTIONS(6603),
    [aux_sym_preproc_elif_token1] = ACTIONS(6603),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6603),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6603),
    [sym_preproc_directive] = ACTIONS(6603),
    [anon_sym___extension__] = ACTIONS(6603),
    [anon_sym_extern] = ACTIONS(6603),
    [anon_sym___attribute__] = ACTIONS(6603),
    [anon_sym___attribute] = ACTIONS(6603),
    [anon_sym_noreturn] = ACTIONS(6603),
    [anon_sym_LBRACK] = ACTIONS(6605),
    [anon_sym___declspec] = ACTIONS(6603),
    [anon_sym_signed] = ACTIONS(6603),
    [anon_sym_unsigned] = ACTIONS(6603),
    [anon_sym_long] = ACTIONS(6603),
    [anon_sym_short] = ACTIONS(6603),
    [anon_sym_static] = ACTIONS(6603),
    [anon_sym_auto] = ACTIONS(6603),
    [anon_sym_register] = ACTIONS(6603),
    [anon_sym_inline] = ACTIONS(6603),
    [anon_sym___inline] = ACTIONS(6603),
    [anon_sym___inline__] = ACTIONS(6603),
    [anon_sym___forceinline] = ACTIONS(6603),
    [anon_sym_thread_local] = ACTIONS(6603),
    [anon_sym___thread] = ACTIONS(6603),
    [anon_sym_CG_EXTERN] = ACTIONS(6603),
    [anon_sym_CG_INLINE] = ACTIONS(6603),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6603),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6603),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6603),
    [anon_sym_IBOutlet] = ACTIONS(6603),
    [anon_sym_IBInspectable] = ACTIONS(6603),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6603),
    [anon_sym_NS_INLINE] = ACTIONS(6603),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6603),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6603),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6603),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6603),
    [anon_sym_const] = ACTIONS(6603),
    [anon_sym_constexpr] = ACTIONS(6603),
    [anon_sym_volatile] = ACTIONS(6603),
    [anon_sym_restrict] = ACTIONS(6603),
    [anon_sym___restrict__] = ACTIONS(6603),
    [anon_sym__Atomic] = ACTIONS(6603),
    [anon_sym__Noreturn] = ACTIONS(6603),
    [anon_sym__Nonnull] = ACTIONS(6603),
    [anon_sym_nullable] = ACTIONS(6603),
    [anon_sym__Complex] = ACTIONS(6603),
    [anon_sym__Nullable] = ACTIONS(6603),
    [anon_sym__Nullable_result] = ACTIONS(6603),
    [anon_sym__Null_unspecified] = ACTIONS(6603),
    [anon_sym___autoreleasing] = ACTIONS(6603),
    [anon_sym___block] = ACTIONS(6603),
    [anon_sym___bridge] = ACTIONS(6603),
    [anon_sym___bridge_retained] = ACTIONS(6603),
    [anon_sym___bridge_transfer] = ACTIONS(6603),
    [anon_sym___complex] = ACTIONS(6603),
    [anon_sym___const] = ACTIONS(6603),
    [anon_sym___imag] = ACTIONS(6603),
    [anon_sym___kindof] = ACTIONS(6603),
    [anon_sym___nonnull] = ACTIONS(6603),
    [anon_sym___nullable] = ACTIONS(6603),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6603),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6603),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6603),
    [anon_sym___real] = ACTIONS(6603),
    [anon_sym___strong] = ACTIONS(6603),
    [anon_sym___unsafe_unretained] = ACTIONS(6603),
    [anon_sym___unused] = ACTIONS(6603),
    [anon_sym___weak] = ACTIONS(6603),
    [anon_sym_alignas] = ACTIONS(6603),
    [anon_sym__Alignas] = ACTIONS(6603),
    [sym_primitive_type] = ACTIONS(6603),
    [anon_sym_enum] = ACTIONS(6603),
    [anon_sym_struct] = ACTIONS(6603),
    [anon_sym_union] = ACTIONS(6603),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6603),
    [anon_sym___typeof] = ACTIONS(6603),
    [anon_sym_typeof] = ACTIONS(6603),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6603),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6603),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6603),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6603),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6603),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6603),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6603),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6603),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6603),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6603),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6603),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6603),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6603),
    [anon_sym_API_AVAILABLE] = ACTIONS(6603),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6603),
    [anon_sym_API_DEPRECATED] = ACTIONS(6603),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6603),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6603),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6603),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6603),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6603),
    [anon_sym___deprecated_msg] = ACTIONS(6603),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6603),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6603),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6603),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6603),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6603),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6603),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6603),
    [anon_sym_BOOL] = ACTIONS(6603),
    [anon_sym_IMP] = ACTIONS(6603),
    [anon_sym_SEL] = ACTIONS(6603),
    [anon_sym_Class] = ACTIONS(6603),
    [anon_sym_id] = ACTIONS(6603),
    [anon_sym_ATdefs] = ACTIONS(6605),
  },
  [2652] = {
    [sym_identifier] = ACTIONS(6607),
    [aux_sym_preproc_def_token1] = ACTIONS(6607),
    [aux_sym_preproc_if_token1] = ACTIONS(6607),
    [aux_sym_preproc_if_token2] = ACTIONS(6607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6607),
    [aux_sym_preproc_else_token1] = ACTIONS(6607),
    [aux_sym_preproc_elif_token1] = ACTIONS(6607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6607),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6607),
    [sym_preproc_directive] = ACTIONS(6607),
    [anon_sym___extension__] = ACTIONS(6607),
    [anon_sym_extern] = ACTIONS(6607),
    [anon_sym___attribute__] = ACTIONS(6607),
    [anon_sym___attribute] = ACTIONS(6607),
    [anon_sym_noreturn] = ACTIONS(6607),
    [anon_sym_LBRACK] = ACTIONS(6609),
    [anon_sym___declspec] = ACTIONS(6607),
    [anon_sym_signed] = ACTIONS(6607),
    [anon_sym_unsigned] = ACTIONS(6607),
    [anon_sym_long] = ACTIONS(6607),
    [anon_sym_short] = ACTIONS(6607),
    [anon_sym_static] = ACTIONS(6607),
    [anon_sym_auto] = ACTIONS(6607),
    [anon_sym_register] = ACTIONS(6607),
    [anon_sym_inline] = ACTIONS(6607),
    [anon_sym___inline] = ACTIONS(6607),
    [anon_sym___inline__] = ACTIONS(6607),
    [anon_sym___forceinline] = ACTIONS(6607),
    [anon_sym_thread_local] = ACTIONS(6607),
    [anon_sym___thread] = ACTIONS(6607),
    [anon_sym_CG_EXTERN] = ACTIONS(6607),
    [anon_sym_CG_INLINE] = ACTIONS(6607),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6607),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6607),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6607),
    [anon_sym_IBOutlet] = ACTIONS(6607),
    [anon_sym_IBInspectable] = ACTIONS(6607),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6607),
    [anon_sym_NS_INLINE] = ACTIONS(6607),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6607),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6607),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6607),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6607),
    [anon_sym_const] = ACTIONS(6607),
    [anon_sym_constexpr] = ACTIONS(6607),
    [anon_sym_volatile] = ACTIONS(6607),
    [anon_sym_restrict] = ACTIONS(6607),
    [anon_sym___restrict__] = ACTIONS(6607),
    [anon_sym__Atomic] = ACTIONS(6607),
    [anon_sym__Noreturn] = ACTIONS(6607),
    [anon_sym__Nonnull] = ACTIONS(6607),
    [anon_sym_nullable] = ACTIONS(6607),
    [anon_sym__Complex] = ACTIONS(6607),
    [anon_sym__Nullable] = ACTIONS(6607),
    [anon_sym__Nullable_result] = ACTIONS(6607),
    [anon_sym__Null_unspecified] = ACTIONS(6607),
    [anon_sym___autoreleasing] = ACTIONS(6607),
    [anon_sym___block] = ACTIONS(6607),
    [anon_sym___bridge] = ACTIONS(6607),
    [anon_sym___bridge_retained] = ACTIONS(6607),
    [anon_sym___bridge_transfer] = ACTIONS(6607),
    [anon_sym___complex] = ACTIONS(6607),
    [anon_sym___const] = ACTIONS(6607),
    [anon_sym___imag] = ACTIONS(6607),
    [anon_sym___kindof] = ACTIONS(6607),
    [anon_sym___nonnull] = ACTIONS(6607),
    [anon_sym___nullable] = ACTIONS(6607),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6607),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6607),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6607),
    [anon_sym___real] = ACTIONS(6607),
    [anon_sym___strong] = ACTIONS(6607),
    [anon_sym___unsafe_unretained] = ACTIONS(6607),
    [anon_sym___unused] = ACTIONS(6607),
    [anon_sym___weak] = ACTIONS(6607),
    [anon_sym_alignas] = ACTIONS(6607),
    [anon_sym__Alignas] = ACTIONS(6607),
    [sym_primitive_type] = ACTIONS(6607),
    [anon_sym_enum] = ACTIONS(6607),
    [anon_sym_struct] = ACTIONS(6607),
    [anon_sym_union] = ACTIONS(6607),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6607),
    [anon_sym___typeof] = ACTIONS(6607),
    [anon_sym_typeof] = ACTIONS(6607),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6607),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6607),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6607),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6607),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6607),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6607),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6607),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6607),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6607),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6607),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6607),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6607),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6607),
    [anon_sym_API_AVAILABLE] = ACTIONS(6607),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6607),
    [anon_sym_API_DEPRECATED] = ACTIONS(6607),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6607),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6607),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6607),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6607),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6607),
    [anon_sym___deprecated_msg] = ACTIONS(6607),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6607),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6607),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6607),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6607),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6607),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6607),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6607),
    [anon_sym_BOOL] = ACTIONS(6607),
    [anon_sym_IMP] = ACTIONS(6607),
    [anon_sym_SEL] = ACTIONS(6607),
    [anon_sym_Class] = ACTIONS(6607),
    [anon_sym_id] = ACTIONS(6607),
    [anon_sym_ATdefs] = ACTIONS(6609),
  },
  [2653] = {
    [sym_identifier] = ACTIONS(6611),
    [aux_sym_preproc_def_token1] = ACTIONS(6611),
    [aux_sym_preproc_if_token1] = ACTIONS(6611),
    [aux_sym_preproc_if_token2] = ACTIONS(6611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6611),
    [aux_sym_preproc_else_token1] = ACTIONS(6611),
    [aux_sym_preproc_elif_token1] = ACTIONS(6611),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6611),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6611),
    [sym_preproc_directive] = ACTIONS(6611),
    [anon_sym___extension__] = ACTIONS(6611),
    [anon_sym_extern] = ACTIONS(6611),
    [anon_sym___attribute__] = ACTIONS(6611),
    [anon_sym___attribute] = ACTIONS(6611),
    [anon_sym_noreturn] = ACTIONS(6611),
    [anon_sym_LBRACK] = ACTIONS(6613),
    [anon_sym___declspec] = ACTIONS(6611),
    [anon_sym_signed] = ACTIONS(6611),
    [anon_sym_unsigned] = ACTIONS(6611),
    [anon_sym_long] = ACTIONS(6611),
    [anon_sym_short] = ACTIONS(6611),
    [anon_sym_static] = ACTIONS(6611),
    [anon_sym_auto] = ACTIONS(6611),
    [anon_sym_register] = ACTIONS(6611),
    [anon_sym_inline] = ACTIONS(6611),
    [anon_sym___inline] = ACTIONS(6611),
    [anon_sym___inline__] = ACTIONS(6611),
    [anon_sym___forceinline] = ACTIONS(6611),
    [anon_sym_thread_local] = ACTIONS(6611),
    [anon_sym___thread] = ACTIONS(6611),
    [anon_sym_CG_EXTERN] = ACTIONS(6611),
    [anon_sym_CG_INLINE] = ACTIONS(6611),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6611),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6611),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6611),
    [anon_sym_IBOutlet] = ACTIONS(6611),
    [anon_sym_IBInspectable] = ACTIONS(6611),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6611),
    [anon_sym_NS_INLINE] = ACTIONS(6611),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6611),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6611),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6611),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6611),
    [anon_sym_const] = ACTIONS(6611),
    [anon_sym_constexpr] = ACTIONS(6611),
    [anon_sym_volatile] = ACTIONS(6611),
    [anon_sym_restrict] = ACTIONS(6611),
    [anon_sym___restrict__] = ACTIONS(6611),
    [anon_sym__Atomic] = ACTIONS(6611),
    [anon_sym__Noreturn] = ACTIONS(6611),
    [anon_sym__Nonnull] = ACTIONS(6611),
    [anon_sym_nullable] = ACTIONS(6611),
    [anon_sym__Complex] = ACTIONS(6611),
    [anon_sym__Nullable] = ACTIONS(6611),
    [anon_sym__Nullable_result] = ACTIONS(6611),
    [anon_sym__Null_unspecified] = ACTIONS(6611),
    [anon_sym___autoreleasing] = ACTIONS(6611),
    [anon_sym___block] = ACTIONS(6611),
    [anon_sym___bridge] = ACTIONS(6611),
    [anon_sym___bridge_retained] = ACTIONS(6611),
    [anon_sym___bridge_transfer] = ACTIONS(6611),
    [anon_sym___complex] = ACTIONS(6611),
    [anon_sym___const] = ACTIONS(6611),
    [anon_sym___imag] = ACTIONS(6611),
    [anon_sym___kindof] = ACTIONS(6611),
    [anon_sym___nonnull] = ACTIONS(6611),
    [anon_sym___nullable] = ACTIONS(6611),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6611),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6611),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6611),
    [anon_sym___real] = ACTIONS(6611),
    [anon_sym___strong] = ACTIONS(6611),
    [anon_sym___unsafe_unretained] = ACTIONS(6611),
    [anon_sym___unused] = ACTIONS(6611),
    [anon_sym___weak] = ACTIONS(6611),
    [anon_sym_alignas] = ACTIONS(6611),
    [anon_sym__Alignas] = ACTIONS(6611),
    [sym_primitive_type] = ACTIONS(6611),
    [anon_sym_enum] = ACTIONS(6611),
    [anon_sym_struct] = ACTIONS(6611),
    [anon_sym_union] = ACTIONS(6611),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6611),
    [anon_sym___typeof] = ACTIONS(6611),
    [anon_sym_typeof] = ACTIONS(6611),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6611),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6611),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6611),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6611),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6611),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6611),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6611),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6611),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6611),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6611),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6611),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6611),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6611),
    [anon_sym_API_AVAILABLE] = ACTIONS(6611),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6611),
    [anon_sym_API_DEPRECATED] = ACTIONS(6611),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6611),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6611),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6611),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6611),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6611),
    [anon_sym___deprecated_msg] = ACTIONS(6611),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6611),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6611),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6611),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6611),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6611),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6611),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6611),
    [anon_sym_BOOL] = ACTIONS(6611),
    [anon_sym_IMP] = ACTIONS(6611),
    [anon_sym_SEL] = ACTIONS(6611),
    [anon_sym_Class] = ACTIONS(6611),
    [anon_sym_id] = ACTIONS(6611),
    [anon_sym_ATdefs] = ACTIONS(6613),
  },
  [2654] = {
    [sym_identifier] = ACTIONS(6611),
    [aux_sym_preproc_def_token1] = ACTIONS(6611),
    [aux_sym_preproc_if_token1] = ACTIONS(6611),
    [aux_sym_preproc_if_token2] = ACTIONS(6611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6611),
    [aux_sym_preproc_else_token1] = ACTIONS(6611),
    [aux_sym_preproc_elif_token1] = ACTIONS(6611),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6611),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6611),
    [sym_preproc_directive] = ACTIONS(6611),
    [anon_sym___extension__] = ACTIONS(6611),
    [anon_sym_extern] = ACTIONS(6611),
    [anon_sym___attribute__] = ACTIONS(6611),
    [anon_sym___attribute] = ACTIONS(6611),
    [anon_sym_noreturn] = ACTIONS(6611),
    [anon_sym_LBRACK] = ACTIONS(6613),
    [anon_sym___declspec] = ACTIONS(6611),
    [anon_sym_signed] = ACTIONS(6611),
    [anon_sym_unsigned] = ACTIONS(6611),
    [anon_sym_long] = ACTIONS(6611),
    [anon_sym_short] = ACTIONS(6611),
    [anon_sym_static] = ACTIONS(6611),
    [anon_sym_auto] = ACTIONS(6611),
    [anon_sym_register] = ACTIONS(6611),
    [anon_sym_inline] = ACTIONS(6611),
    [anon_sym___inline] = ACTIONS(6611),
    [anon_sym___inline__] = ACTIONS(6611),
    [anon_sym___forceinline] = ACTIONS(6611),
    [anon_sym_thread_local] = ACTIONS(6611),
    [anon_sym___thread] = ACTIONS(6611),
    [anon_sym_CG_EXTERN] = ACTIONS(6611),
    [anon_sym_CG_INLINE] = ACTIONS(6611),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6611),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6611),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6611),
    [anon_sym_IBOutlet] = ACTIONS(6611),
    [anon_sym_IBInspectable] = ACTIONS(6611),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6611),
    [anon_sym_NS_INLINE] = ACTIONS(6611),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6611),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6611),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6611),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6611),
    [anon_sym_const] = ACTIONS(6611),
    [anon_sym_constexpr] = ACTIONS(6611),
    [anon_sym_volatile] = ACTIONS(6611),
    [anon_sym_restrict] = ACTIONS(6611),
    [anon_sym___restrict__] = ACTIONS(6611),
    [anon_sym__Atomic] = ACTIONS(6611),
    [anon_sym__Noreturn] = ACTIONS(6611),
    [anon_sym__Nonnull] = ACTIONS(6611),
    [anon_sym_nullable] = ACTIONS(6611),
    [anon_sym__Complex] = ACTIONS(6611),
    [anon_sym__Nullable] = ACTIONS(6611),
    [anon_sym__Nullable_result] = ACTIONS(6611),
    [anon_sym__Null_unspecified] = ACTIONS(6611),
    [anon_sym___autoreleasing] = ACTIONS(6611),
    [anon_sym___block] = ACTIONS(6611),
    [anon_sym___bridge] = ACTIONS(6611),
    [anon_sym___bridge_retained] = ACTIONS(6611),
    [anon_sym___bridge_transfer] = ACTIONS(6611),
    [anon_sym___complex] = ACTIONS(6611),
    [anon_sym___const] = ACTIONS(6611),
    [anon_sym___imag] = ACTIONS(6611),
    [anon_sym___kindof] = ACTIONS(6611),
    [anon_sym___nonnull] = ACTIONS(6611),
    [anon_sym___nullable] = ACTIONS(6611),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6611),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6611),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6611),
    [anon_sym___real] = ACTIONS(6611),
    [anon_sym___strong] = ACTIONS(6611),
    [anon_sym___unsafe_unretained] = ACTIONS(6611),
    [anon_sym___unused] = ACTIONS(6611),
    [anon_sym___weak] = ACTIONS(6611),
    [anon_sym_alignas] = ACTIONS(6611),
    [anon_sym__Alignas] = ACTIONS(6611),
    [sym_primitive_type] = ACTIONS(6611),
    [anon_sym_enum] = ACTIONS(6611),
    [anon_sym_struct] = ACTIONS(6611),
    [anon_sym_union] = ACTIONS(6611),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6611),
    [anon_sym___typeof] = ACTIONS(6611),
    [anon_sym_typeof] = ACTIONS(6611),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6611),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6611),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6611),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6611),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6611),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6611),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6611),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6611),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6611),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6611),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6611),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6611),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6611),
    [anon_sym_API_AVAILABLE] = ACTIONS(6611),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6611),
    [anon_sym_API_DEPRECATED] = ACTIONS(6611),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6611),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6611),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6611),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6611),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6611),
    [anon_sym___deprecated_msg] = ACTIONS(6611),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6611),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6611),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6611),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6611),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6611),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6611),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6611),
    [anon_sym_BOOL] = ACTIONS(6611),
    [anon_sym_IMP] = ACTIONS(6611),
    [anon_sym_SEL] = ACTIONS(6611),
    [anon_sym_Class] = ACTIONS(6611),
    [anon_sym_id] = ACTIONS(6611),
    [anon_sym_ATdefs] = ACTIONS(6613),
  },
  [2655] = {
    [sym_identifier] = ACTIONS(6607),
    [aux_sym_preproc_def_token1] = ACTIONS(6607),
    [aux_sym_preproc_if_token1] = ACTIONS(6607),
    [aux_sym_preproc_if_token2] = ACTIONS(6607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6607),
    [aux_sym_preproc_else_token1] = ACTIONS(6607),
    [aux_sym_preproc_elif_token1] = ACTIONS(6607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6607),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6607),
    [sym_preproc_directive] = ACTIONS(6607),
    [anon_sym___extension__] = ACTIONS(6607),
    [anon_sym_extern] = ACTIONS(6607),
    [anon_sym___attribute__] = ACTIONS(6607),
    [anon_sym___attribute] = ACTIONS(6607),
    [anon_sym_noreturn] = ACTIONS(6607),
    [anon_sym_LBRACK] = ACTIONS(6609),
    [anon_sym___declspec] = ACTIONS(6607),
    [anon_sym_signed] = ACTIONS(6607),
    [anon_sym_unsigned] = ACTIONS(6607),
    [anon_sym_long] = ACTIONS(6607),
    [anon_sym_short] = ACTIONS(6607),
    [anon_sym_static] = ACTIONS(6607),
    [anon_sym_auto] = ACTIONS(6607),
    [anon_sym_register] = ACTIONS(6607),
    [anon_sym_inline] = ACTIONS(6607),
    [anon_sym___inline] = ACTIONS(6607),
    [anon_sym___inline__] = ACTIONS(6607),
    [anon_sym___forceinline] = ACTIONS(6607),
    [anon_sym_thread_local] = ACTIONS(6607),
    [anon_sym___thread] = ACTIONS(6607),
    [anon_sym_CG_EXTERN] = ACTIONS(6607),
    [anon_sym_CG_INLINE] = ACTIONS(6607),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6607),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6607),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6607),
    [anon_sym_IBOutlet] = ACTIONS(6607),
    [anon_sym_IBInspectable] = ACTIONS(6607),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6607),
    [anon_sym_NS_INLINE] = ACTIONS(6607),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6607),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6607),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6607),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6607),
    [anon_sym_const] = ACTIONS(6607),
    [anon_sym_constexpr] = ACTIONS(6607),
    [anon_sym_volatile] = ACTIONS(6607),
    [anon_sym_restrict] = ACTIONS(6607),
    [anon_sym___restrict__] = ACTIONS(6607),
    [anon_sym__Atomic] = ACTIONS(6607),
    [anon_sym__Noreturn] = ACTIONS(6607),
    [anon_sym__Nonnull] = ACTIONS(6607),
    [anon_sym_nullable] = ACTIONS(6607),
    [anon_sym__Complex] = ACTIONS(6607),
    [anon_sym__Nullable] = ACTIONS(6607),
    [anon_sym__Nullable_result] = ACTIONS(6607),
    [anon_sym__Null_unspecified] = ACTIONS(6607),
    [anon_sym___autoreleasing] = ACTIONS(6607),
    [anon_sym___block] = ACTIONS(6607),
    [anon_sym___bridge] = ACTIONS(6607),
    [anon_sym___bridge_retained] = ACTIONS(6607),
    [anon_sym___bridge_transfer] = ACTIONS(6607),
    [anon_sym___complex] = ACTIONS(6607),
    [anon_sym___const] = ACTIONS(6607),
    [anon_sym___imag] = ACTIONS(6607),
    [anon_sym___kindof] = ACTIONS(6607),
    [anon_sym___nonnull] = ACTIONS(6607),
    [anon_sym___nullable] = ACTIONS(6607),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6607),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6607),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6607),
    [anon_sym___real] = ACTIONS(6607),
    [anon_sym___strong] = ACTIONS(6607),
    [anon_sym___unsafe_unretained] = ACTIONS(6607),
    [anon_sym___unused] = ACTIONS(6607),
    [anon_sym___weak] = ACTIONS(6607),
    [anon_sym_alignas] = ACTIONS(6607),
    [anon_sym__Alignas] = ACTIONS(6607),
    [sym_primitive_type] = ACTIONS(6607),
    [anon_sym_enum] = ACTIONS(6607),
    [anon_sym_struct] = ACTIONS(6607),
    [anon_sym_union] = ACTIONS(6607),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6607),
    [anon_sym___typeof] = ACTIONS(6607),
    [anon_sym_typeof] = ACTIONS(6607),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6607),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6607),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6607),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6607),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6607),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6607),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6607),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6607),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6607),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6607),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6607),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6607),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6607),
    [anon_sym_API_AVAILABLE] = ACTIONS(6607),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6607),
    [anon_sym_API_DEPRECATED] = ACTIONS(6607),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6607),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6607),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6607),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6607),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6607),
    [anon_sym___deprecated_msg] = ACTIONS(6607),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6607),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6607),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6607),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6607),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6607),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6607),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6607),
    [anon_sym_BOOL] = ACTIONS(6607),
    [anon_sym_IMP] = ACTIONS(6607),
    [anon_sym_SEL] = ACTIONS(6607),
    [anon_sym_Class] = ACTIONS(6607),
    [anon_sym_id] = ACTIONS(6607),
    [anon_sym_ATdefs] = ACTIONS(6609),
  },
  [2656] = {
    [sym_identifier] = ACTIONS(6595),
    [aux_sym_preproc_def_token1] = ACTIONS(6595),
    [aux_sym_preproc_if_token1] = ACTIONS(6595),
    [aux_sym_preproc_if_token2] = ACTIONS(6595),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6595),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6595),
    [aux_sym_preproc_else_token1] = ACTIONS(6595),
    [aux_sym_preproc_elif_token1] = ACTIONS(6595),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6595),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6595),
    [sym_preproc_directive] = ACTIONS(6595),
    [anon_sym___extension__] = ACTIONS(6595),
    [anon_sym_extern] = ACTIONS(6595),
    [anon_sym___attribute__] = ACTIONS(6595),
    [anon_sym___attribute] = ACTIONS(6595),
    [anon_sym_noreturn] = ACTIONS(6595),
    [anon_sym_LBRACK] = ACTIONS(6597),
    [anon_sym___declspec] = ACTIONS(6595),
    [anon_sym_signed] = ACTIONS(6595),
    [anon_sym_unsigned] = ACTIONS(6595),
    [anon_sym_long] = ACTIONS(6595),
    [anon_sym_short] = ACTIONS(6595),
    [anon_sym_static] = ACTIONS(6595),
    [anon_sym_auto] = ACTIONS(6595),
    [anon_sym_register] = ACTIONS(6595),
    [anon_sym_inline] = ACTIONS(6595),
    [anon_sym___inline] = ACTIONS(6595),
    [anon_sym___inline__] = ACTIONS(6595),
    [anon_sym___forceinline] = ACTIONS(6595),
    [anon_sym_thread_local] = ACTIONS(6595),
    [anon_sym___thread] = ACTIONS(6595),
    [anon_sym_CG_EXTERN] = ACTIONS(6595),
    [anon_sym_CG_INLINE] = ACTIONS(6595),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6595),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6595),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6595),
    [anon_sym_IBOutlet] = ACTIONS(6595),
    [anon_sym_IBInspectable] = ACTIONS(6595),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6595),
    [anon_sym_NS_INLINE] = ACTIONS(6595),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6595),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6595),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6595),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6595),
    [anon_sym_const] = ACTIONS(6595),
    [anon_sym_constexpr] = ACTIONS(6595),
    [anon_sym_volatile] = ACTIONS(6595),
    [anon_sym_restrict] = ACTIONS(6595),
    [anon_sym___restrict__] = ACTIONS(6595),
    [anon_sym__Atomic] = ACTIONS(6595),
    [anon_sym__Noreturn] = ACTIONS(6595),
    [anon_sym__Nonnull] = ACTIONS(6595),
    [anon_sym_nullable] = ACTIONS(6595),
    [anon_sym__Complex] = ACTIONS(6595),
    [anon_sym__Nullable] = ACTIONS(6595),
    [anon_sym__Nullable_result] = ACTIONS(6595),
    [anon_sym__Null_unspecified] = ACTIONS(6595),
    [anon_sym___autoreleasing] = ACTIONS(6595),
    [anon_sym___block] = ACTIONS(6595),
    [anon_sym___bridge] = ACTIONS(6595),
    [anon_sym___bridge_retained] = ACTIONS(6595),
    [anon_sym___bridge_transfer] = ACTIONS(6595),
    [anon_sym___complex] = ACTIONS(6595),
    [anon_sym___const] = ACTIONS(6595),
    [anon_sym___imag] = ACTIONS(6595),
    [anon_sym___kindof] = ACTIONS(6595),
    [anon_sym___nonnull] = ACTIONS(6595),
    [anon_sym___nullable] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6595),
    [anon_sym___real] = ACTIONS(6595),
    [anon_sym___strong] = ACTIONS(6595),
    [anon_sym___unsafe_unretained] = ACTIONS(6595),
    [anon_sym___unused] = ACTIONS(6595),
    [anon_sym___weak] = ACTIONS(6595),
    [anon_sym_alignas] = ACTIONS(6595),
    [anon_sym__Alignas] = ACTIONS(6595),
    [sym_primitive_type] = ACTIONS(6595),
    [anon_sym_enum] = ACTIONS(6595),
    [anon_sym_struct] = ACTIONS(6595),
    [anon_sym_union] = ACTIONS(6595),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6595),
    [anon_sym___typeof] = ACTIONS(6595),
    [anon_sym_typeof] = ACTIONS(6595),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6595),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6595),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6595),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6595),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6595),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6595),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6595),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_API_AVAILABLE] = ACTIONS(6595),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_API_DEPRECATED] = ACTIONS(6595),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6595),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym___deprecated_msg] = ACTIONS(6595),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6595),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6595),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6595),
    [anon_sym_BOOL] = ACTIONS(6595),
    [anon_sym_IMP] = ACTIONS(6595),
    [anon_sym_SEL] = ACTIONS(6595),
    [anon_sym_Class] = ACTIONS(6595),
    [anon_sym_id] = ACTIONS(6595),
    [anon_sym_ATdefs] = ACTIONS(6597),
  },
  [2657] = {
    [sym_identifier] = ACTIONS(6615),
    [aux_sym_preproc_def_token1] = ACTIONS(6615),
    [aux_sym_preproc_if_token1] = ACTIONS(6615),
    [aux_sym_preproc_if_token2] = ACTIONS(6615),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6615),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6615),
    [aux_sym_preproc_else_token1] = ACTIONS(6615),
    [aux_sym_preproc_elif_token1] = ACTIONS(6615),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6615),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6615),
    [sym_preproc_directive] = ACTIONS(6615),
    [anon_sym___extension__] = ACTIONS(6615),
    [anon_sym_extern] = ACTIONS(6615),
    [anon_sym___attribute__] = ACTIONS(6615),
    [anon_sym___attribute] = ACTIONS(6615),
    [anon_sym_noreturn] = ACTIONS(6615),
    [anon_sym_LBRACK] = ACTIONS(6617),
    [anon_sym___declspec] = ACTIONS(6615),
    [anon_sym_signed] = ACTIONS(6615),
    [anon_sym_unsigned] = ACTIONS(6615),
    [anon_sym_long] = ACTIONS(6615),
    [anon_sym_short] = ACTIONS(6615),
    [anon_sym_static] = ACTIONS(6615),
    [anon_sym_auto] = ACTIONS(6615),
    [anon_sym_register] = ACTIONS(6615),
    [anon_sym_inline] = ACTIONS(6615),
    [anon_sym___inline] = ACTIONS(6615),
    [anon_sym___inline__] = ACTIONS(6615),
    [anon_sym___forceinline] = ACTIONS(6615),
    [anon_sym_thread_local] = ACTIONS(6615),
    [anon_sym___thread] = ACTIONS(6615),
    [anon_sym_CG_EXTERN] = ACTIONS(6615),
    [anon_sym_CG_INLINE] = ACTIONS(6615),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6615),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6615),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6615),
    [anon_sym_IBOutlet] = ACTIONS(6615),
    [anon_sym_IBInspectable] = ACTIONS(6615),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6615),
    [anon_sym_NS_INLINE] = ACTIONS(6615),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6615),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6615),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6615),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6615),
    [anon_sym_const] = ACTIONS(6615),
    [anon_sym_constexpr] = ACTIONS(6615),
    [anon_sym_volatile] = ACTIONS(6615),
    [anon_sym_restrict] = ACTIONS(6615),
    [anon_sym___restrict__] = ACTIONS(6615),
    [anon_sym__Atomic] = ACTIONS(6615),
    [anon_sym__Noreturn] = ACTIONS(6615),
    [anon_sym__Nonnull] = ACTIONS(6615),
    [anon_sym_nullable] = ACTIONS(6615),
    [anon_sym__Complex] = ACTIONS(6615),
    [anon_sym__Nullable] = ACTIONS(6615),
    [anon_sym__Nullable_result] = ACTIONS(6615),
    [anon_sym__Null_unspecified] = ACTIONS(6615),
    [anon_sym___autoreleasing] = ACTIONS(6615),
    [anon_sym___block] = ACTIONS(6615),
    [anon_sym___bridge] = ACTIONS(6615),
    [anon_sym___bridge_retained] = ACTIONS(6615),
    [anon_sym___bridge_transfer] = ACTIONS(6615),
    [anon_sym___complex] = ACTIONS(6615),
    [anon_sym___const] = ACTIONS(6615),
    [anon_sym___imag] = ACTIONS(6615),
    [anon_sym___kindof] = ACTIONS(6615),
    [anon_sym___nonnull] = ACTIONS(6615),
    [anon_sym___nullable] = ACTIONS(6615),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6615),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6615),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6615),
    [anon_sym___real] = ACTIONS(6615),
    [anon_sym___strong] = ACTIONS(6615),
    [anon_sym___unsafe_unretained] = ACTIONS(6615),
    [anon_sym___unused] = ACTIONS(6615),
    [anon_sym___weak] = ACTIONS(6615),
    [anon_sym_alignas] = ACTIONS(6615),
    [anon_sym__Alignas] = ACTIONS(6615),
    [sym_primitive_type] = ACTIONS(6615),
    [anon_sym_enum] = ACTIONS(6615),
    [anon_sym_struct] = ACTIONS(6615),
    [anon_sym_union] = ACTIONS(6615),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6615),
    [anon_sym___typeof] = ACTIONS(6615),
    [anon_sym_typeof] = ACTIONS(6615),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6615),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6615),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6615),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6615),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6615),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6615),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6615),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6615),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6615),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6615),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6615),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6615),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6615),
    [anon_sym_API_AVAILABLE] = ACTIONS(6615),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6615),
    [anon_sym_API_DEPRECATED] = ACTIONS(6615),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6615),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6615),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6615),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6615),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6615),
    [anon_sym___deprecated_msg] = ACTIONS(6615),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6615),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6615),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6615),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6615),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6615),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6615),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6615),
    [anon_sym_BOOL] = ACTIONS(6615),
    [anon_sym_IMP] = ACTIONS(6615),
    [anon_sym_SEL] = ACTIONS(6615),
    [anon_sym_Class] = ACTIONS(6615),
    [anon_sym_id] = ACTIONS(6615),
    [anon_sym_ATdefs] = ACTIONS(6617),
  },
  [2658] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6619),
    [anon_sym_COMMA] = ACTIONS(4377),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6515),
    [anon_sym_PLUS] = ACTIONS(6515),
    [anon_sym_STAR] = ACTIONS(6517),
    [anon_sym_SLASH] = ACTIONS(6519),
    [anon_sym_PERCENT] = ACTIONS(6517),
    [anon_sym_PIPE_PIPE] = ACTIONS(6521),
    [anon_sym_AMP_AMP] = ACTIONS(6523),
    [anon_sym_PIPE] = ACTIONS(6525),
    [anon_sym_CARET] = ACTIONS(6527),
    [anon_sym_AMP] = ACTIONS(6529),
    [anon_sym_EQ_EQ] = ACTIONS(6531),
    [anon_sym_BANG_EQ] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6533),
    [anon_sym_GT_EQ] = ACTIONS(6535),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_LT] = ACTIONS(6533),
    [anon_sym_LT_LT] = ACTIONS(6537),
    [anon_sym_GT_GT] = ACTIONS(6537),
    [anon_sym_SEMI] = ACTIONS(4377),
    [anon_sym___extension__] = ACTIONS(4377),
    [anon_sym_extern] = ACTIONS(4377),
    [anon_sym___attribute__] = ACTIONS(4377),
    [anon_sym___attribute] = ACTIONS(4372),
    [anon_sym_noreturn] = ACTIONS(4377),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4377),
    [anon_sym_static] = ACTIONS(4377),
    [anon_sym_auto] = ACTIONS(4377),
    [anon_sym_register] = ACTIONS(4377),
    [anon_sym_inline] = ACTIONS(4377),
    [anon_sym___inline] = ACTIONS(4372),
    [anon_sym___inline__] = ACTIONS(4377),
    [anon_sym___forceinline] = ACTIONS(4377),
    [anon_sym_thread_local] = ACTIONS(4377),
    [anon_sym___thread] = ACTIONS(4377),
    [anon_sym_CG_EXTERN] = ACTIONS(4377),
    [anon_sym_CG_INLINE] = ACTIONS(4377),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4377),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4377),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4377),
    [anon_sym_IBOutlet] = ACTIONS(4377),
    [anon_sym_IBInspectable] = ACTIONS(4377),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4377),
    [anon_sym_NS_INLINE] = ACTIONS(4377),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4377),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4377),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4377),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4377),
    [anon_sym_const] = ACTIONS(4372),
    [anon_sym_constexpr] = ACTIONS(4377),
    [anon_sym_volatile] = ACTIONS(4377),
    [anon_sym_restrict] = ACTIONS(4377),
    [anon_sym___restrict__] = ACTIONS(4377),
    [anon_sym__Atomic] = ACTIONS(4377),
    [anon_sym__Noreturn] = ACTIONS(4377),
    [anon_sym__Nonnull] = ACTIONS(4377),
    [anon_sym_nullable] = ACTIONS(4377),
    [anon_sym__Complex] = ACTIONS(4377),
    [anon_sym__Nullable] = ACTIONS(4372),
    [anon_sym__Nullable_result] = ACTIONS(4377),
    [anon_sym__Null_unspecified] = ACTIONS(4377),
    [anon_sym___autoreleasing] = ACTIONS(4377),
    [anon_sym___block] = ACTIONS(4377),
    [anon_sym___bridge] = ACTIONS(4372),
    [anon_sym___bridge_retained] = ACTIONS(4377),
    [anon_sym___bridge_transfer] = ACTIONS(4377),
    [anon_sym___complex] = ACTIONS(4377),
    [anon_sym___const] = ACTIONS(4377),
    [anon_sym___imag] = ACTIONS(4377),
    [anon_sym___kindof] = ACTIONS(4377),
    [anon_sym___nonnull] = ACTIONS(4377),
    [anon_sym___nullable] = ACTIONS(4377),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4377),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4377),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4377),
    [anon_sym___real] = ACTIONS(4377),
    [anon_sym___strong] = ACTIONS(4377),
    [anon_sym___unsafe_unretained] = ACTIONS(4377),
    [anon_sym___unused] = ACTIONS(4377),
    [anon_sym___weak] = ACTIONS(4377),
    [anon_sym_alignas] = ACTIONS(4377),
    [anon_sym__Alignas] = ACTIONS(4377),
    [anon_sym_QMARK] = ACTIONS(4377),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4377),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4377),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4377),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4377),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4377),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4377),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4377),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4377),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4377),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4377),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4372),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4377),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4377),
    [anon_sym_API_AVAILABLE] = ACTIONS(4377),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4377),
    [anon_sym_API_DEPRECATED] = ACTIONS(4377),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4377),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4377),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4377),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4377),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4377),
    [anon_sym___deprecated_msg] = ACTIONS(4377),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4377),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4377),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4377),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4377),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4377),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4377),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4377),
  },
  [2659] = {
    [sym_argument_list] = STATE(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6511),
    [anon_sym_COMMA] = ACTIONS(4411),
    [anon_sym_LPAREN2] = ACTIONS(3981),
    [anon_sym_DASH] = ACTIONS(6515),
    [anon_sym_PLUS] = ACTIONS(6515),
    [anon_sym_STAR] = ACTIONS(6517),
    [anon_sym_SLASH] = ACTIONS(6519),
    [anon_sym_PERCENT] = ACTIONS(6517),
    [anon_sym_PIPE_PIPE] = ACTIONS(6521),
    [anon_sym_AMP_AMP] = ACTIONS(6523),
    [anon_sym_PIPE] = ACTIONS(6525),
    [anon_sym_CARET] = ACTIONS(6527),
    [anon_sym_AMP] = ACTIONS(6529),
    [anon_sym_EQ_EQ] = ACTIONS(6531),
    [anon_sym_BANG_EQ] = ACTIONS(6531),
    [anon_sym_GT] = ACTIONS(6533),
    [anon_sym_GT_EQ] = ACTIONS(6535),
    [anon_sym_LT_EQ] = ACTIONS(6535),
    [anon_sym_LT] = ACTIONS(6533),
    [anon_sym_LT_LT] = ACTIONS(6537),
    [anon_sym_GT_GT] = ACTIONS(6537),
    [anon_sym_SEMI] = ACTIONS(4411),
    [anon_sym___extension__] = ACTIONS(4411),
    [anon_sym_extern] = ACTIONS(4411),
    [anon_sym___attribute__] = ACTIONS(4411),
    [anon_sym___attribute] = ACTIONS(4409),
    [anon_sym_noreturn] = ACTIONS(4411),
    [anon_sym_LBRACK] = ACTIONS(3983),
    [anon_sym___declspec] = ACTIONS(4411),
    [anon_sym_static] = ACTIONS(4411),
    [anon_sym_auto] = ACTIONS(4411),
    [anon_sym_register] = ACTIONS(4411),
    [anon_sym_inline] = ACTIONS(4411),
    [anon_sym___inline] = ACTIONS(4409),
    [anon_sym___inline__] = ACTIONS(4411),
    [anon_sym___forceinline] = ACTIONS(4411),
    [anon_sym_thread_local] = ACTIONS(4411),
    [anon_sym___thread] = ACTIONS(4411),
    [anon_sym_CG_EXTERN] = ACTIONS(4411),
    [anon_sym_CG_INLINE] = ACTIONS(4411),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4411),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4411),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4411),
    [anon_sym_IBOutlet] = ACTIONS(4411),
    [anon_sym_IBInspectable] = ACTIONS(4411),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4411),
    [anon_sym_NS_INLINE] = ACTIONS(4411),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4411),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4411),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4411),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4411),
    [anon_sym_const] = ACTIONS(4409),
    [anon_sym_constexpr] = ACTIONS(4411),
    [anon_sym_volatile] = ACTIONS(4411),
    [anon_sym_restrict] = ACTIONS(4411),
    [anon_sym___restrict__] = ACTIONS(4411),
    [anon_sym__Atomic] = ACTIONS(4411),
    [anon_sym__Noreturn] = ACTIONS(4411),
    [anon_sym__Nonnull] = ACTIONS(4411),
    [anon_sym_nullable] = ACTIONS(4411),
    [anon_sym__Complex] = ACTIONS(4411),
    [anon_sym__Nullable] = ACTIONS(4409),
    [anon_sym__Nullable_result] = ACTIONS(4411),
    [anon_sym__Null_unspecified] = ACTIONS(4411),
    [anon_sym___autoreleasing] = ACTIONS(4411),
    [anon_sym___block] = ACTIONS(4411),
    [anon_sym___bridge] = ACTIONS(4409),
    [anon_sym___bridge_retained] = ACTIONS(4411),
    [anon_sym___bridge_transfer] = ACTIONS(4411),
    [anon_sym___complex] = ACTIONS(4411),
    [anon_sym___const] = ACTIONS(4411),
    [anon_sym___imag] = ACTIONS(4411),
    [anon_sym___kindof] = ACTIONS(4411),
    [anon_sym___nonnull] = ACTIONS(4411),
    [anon_sym___nullable] = ACTIONS(4411),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4411),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4411),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4411),
    [anon_sym___real] = ACTIONS(4411),
    [anon_sym___strong] = ACTIONS(4411),
    [anon_sym___unsafe_unretained] = ACTIONS(4411),
    [anon_sym___unused] = ACTIONS(4411),
    [anon_sym___weak] = ACTIONS(4411),
    [anon_sym_alignas] = ACTIONS(4411),
    [anon_sym__Alignas] = ACTIONS(4411),
    [anon_sym_QMARK] = ACTIONS(4411),
    [anon_sym_DASH_DASH] = ACTIONS(4647),
    [anon_sym_PLUS_PLUS] = ACTIONS(4647),
    [anon_sym_DOT] = ACTIONS(3987),
    [anon_sym_DASH_GT] = ACTIONS(3989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4411),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4411),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4411),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4411),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4411),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4411),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4411),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4411),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4411),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4411),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4409),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4411),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4411),
    [anon_sym_API_AVAILABLE] = ACTIONS(4411),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4411),
    [anon_sym_API_DEPRECATED] = ACTIONS(4411),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4411),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4411),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4411),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4411),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4411),
    [anon_sym___deprecated_msg] = ACTIONS(4411),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4411),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4411),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4411),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4411),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4411),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4411),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4411),
  },
  [2660] = {
    [sym_identifier] = ACTIONS(6507),
    [aux_sym_preproc_def_token1] = ACTIONS(6507),
    [aux_sym_preproc_if_token1] = ACTIONS(6507),
    [aux_sym_preproc_if_token2] = ACTIONS(6507),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6507),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6507),
    [aux_sym_preproc_else_token1] = ACTIONS(6507),
    [aux_sym_preproc_elif_token1] = ACTIONS(6507),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6507),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6507),
    [sym_preproc_directive] = ACTIONS(6507),
    [anon_sym___extension__] = ACTIONS(6507),
    [anon_sym_extern] = ACTIONS(6507),
    [anon_sym___attribute__] = ACTIONS(6507),
    [anon_sym___attribute] = ACTIONS(6507),
    [anon_sym_noreturn] = ACTIONS(6507),
    [anon_sym_LBRACK] = ACTIONS(6509),
    [anon_sym___declspec] = ACTIONS(6507),
    [anon_sym_signed] = ACTIONS(6507),
    [anon_sym_unsigned] = ACTIONS(6507),
    [anon_sym_long] = ACTIONS(6507),
    [anon_sym_short] = ACTIONS(6507),
    [anon_sym_static] = ACTIONS(6507),
    [anon_sym_auto] = ACTIONS(6507),
    [anon_sym_register] = ACTIONS(6507),
    [anon_sym_inline] = ACTIONS(6507),
    [anon_sym___inline] = ACTIONS(6507),
    [anon_sym___inline__] = ACTIONS(6507),
    [anon_sym___forceinline] = ACTIONS(6507),
    [anon_sym_thread_local] = ACTIONS(6507),
    [anon_sym___thread] = ACTIONS(6507),
    [anon_sym_CG_EXTERN] = ACTIONS(6507),
    [anon_sym_CG_INLINE] = ACTIONS(6507),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6507),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6507),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6507),
    [anon_sym_IBOutlet] = ACTIONS(6507),
    [anon_sym_IBInspectable] = ACTIONS(6507),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6507),
    [anon_sym_NS_INLINE] = ACTIONS(6507),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6507),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6507),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6507),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6507),
    [anon_sym_const] = ACTIONS(6507),
    [anon_sym_constexpr] = ACTIONS(6507),
    [anon_sym_volatile] = ACTIONS(6507),
    [anon_sym_restrict] = ACTIONS(6507),
    [anon_sym___restrict__] = ACTIONS(6507),
    [anon_sym__Atomic] = ACTIONS(6507),
    [anon_sym__Noreturn] = ACTIONS(6507),
    [anon_sym__Nonnull] = ACTIONS(6507),
    [anon_sym_nullable] = ACTIONS(6507),
    [anon_sym__Complex] = ACTIONS(6507),
    [anon_sym__Nullable] = ACTIONS(6507),
    [anon_sym__Nullable_result] = ACTIONS(6507),
    [anon_sym__Null_unspecified] = ACTIONS(6507),
    [anon_sym___autoreleasing] = ACTIONS(6507),
    [anon_sym___block] = ACTIONS(6507),
    [anon_sym___bridge] = ACTIONS(6507),
    [anon_sym___bridge_retained] = ACTIONS(6507),
    [anon_sym___bridge_transfer] = ACTIONS(6507),
    [anon_sym___complex] = ACTIONS(6507),
    [anon_sym___const] = ACTIONS(6507),
    [anon_sym___imag] = ACTIONS(6507),
    [anon_sym___kindof] = ACTIONS(6507),
    [anon_sym___nonnull] = ACTIONS(6507),
    [anon_sym___nullable] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6507),
    [anon_sym___real] = ACTIONS(6507),
    [anon_sym___strong] = ACTIONS(6507),
    [anon_sym___unsafe_unretained] = ACTIONS(6507),
    [anon_sym___unused] = ACTIONS(6507),
    [anon_sym___weak] = ACTIONS(6507),
    [anon_sym_alignas] = ACTIONS(6507),
    [anon_sym__Alignas] = ACTIONS(6507),
    [sym_primitive_type] = ACTIONS(6507),
    [anon_sym_enum] = ACTIONS(6507),
    [anon_sym_struct] = ACTIONS(6507),
    [anon_sym_union] = ACTIONS(6507),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6507),
    [anon_sym___typeof] = ACTIONS(6507),
    [anon_sym_typeof] = ACTIONS(6507),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6507),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6507),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6507),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6507),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6507),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6507),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6507),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_API_AVAILABLE] = ACTIONS(6507),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_API_DEPRECATED] = ACTIONS(6507),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6507),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym___deprecated_msg] = ACTIONS(6507),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6507),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6507),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6507),
    [anon_sym_BOOL] = ACTIONS(6507),
    [anon_sym_IMP] = ACTIONS(6507),
    [anon_sym_SEL] = ACTIONS(6507),
    [anon_sym_Class] = ACTIONS(6507),
    [anon_sym_id] = ACTIONS(6507),
    [anon_sym_ATdefs] = ACTIONS(6509),
  },
  [2661] = {
    [sym_identifier] = ACTIONS(6595),
    [aux_sym_preproc_def_token1] = ACTIONS(6595),
    [aux_sym_preproc_if_token1] = ACTIONS(6595),
    [aux_sym_preproc_if_token2] = ACTIONS(6595),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6595),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6595),
    [aux_sym_preproc_else_token1] = ACTIONS(6595),
    [aux_sym_preproc_elif_token1] = ACTIONS(6595),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6595),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6595),
    [sym_preproc_directive] = ACTIONS(6595),
    [anon_sym___extension__] = ACTIONS(6595),
    [anon_sym_extern] = ACTIONS(6595),
    [anon_sym___attribute__] = ACTIONS(6595),
    [anon_sym___attribute] = ACTIONS(6595),
    [anon_sym_noreturn] = ACTIONS(6595),
    [anon_sym_LBRACK] = ACTIONS(6597),
    [anon_sym___declspec] = ACTIONS(6595),
    [anon_sym_signed] = ACTIONS(6595),
    [anon_sym_unsigned] = ACTIONS(6595),
    [anon_sym_long] = ACTIONS(6595),
    [anon_sym_short] = ACTIONS(6595),
    [anon_sym_static] = ACTIONS(6595),
    [anon_sym_auto] = ACTIONS(6595),
    [anon_sym_register] = ACTIONS(6595),
    [anon_sym_inline] = ACTIONS(6595),
    [anon_sym___inline] = ACTIONS(6595),
    [anon_sym___inline__] = ACTIONS(6595),
    [anon_sym___forceinline] = ACTIONS(6595),
    [anon_sym_thread_local] = ACTIONS(6595),
    [anon_sym___thread] = ACTIONS(6595),
    [anon_sym_CG_EXTERN] = ACTIONS(6595),
    [anon_sym_CG_INLINE] = ACTIONS(6595),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6595),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6595),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6595),
    [anon_sym_IBOutlet] = ACTIONS(6595),
    [anon_sym_IBInspectable] = ACTIONS(6595),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6595),
    [anon_sym_NS_INLINE] = ACTIONS(6595),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6595),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6595),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6595),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6595),
    [anon_sym_const] = ACTIONS(6595),
    [anon_sym_constexpr] = ACTIONS(6595),
    [anon_sym_volatile] = ACTIONS(6595),
    [anon_sym_restrict] = ACTIONS(6595),
    [anon_sym___restrict__] = ACTIONS(6595),
    [anon_sym__Atomic] = ACTIONS(6595),
    [anon_sym__Noreturn] = ACTIONS(6595),
    [anon_sym__Nonnull] = ACTIONS(6595),
    [anon_sym_nullable] = ACTIONS(6595),
    [anon_sym__Complex] = ACTIONS(6595),
    [anon_sym__Nullable] = ACTIONS(6595),
    [anon_sym__Nullable_result] = ACTIONS(6595),
    [anon_sym__Null_unspecified] = ACTIONS(6595),
    [anon_sym___autoreleasing] = ACTIONS(6595),
    [anon_sym___block] = ACTIONS(6595),
    [anon_sym___bridge] = ACTIONS(6595),
    [anon_sym___bridge_retained] = ACTIONS(6595),
    [anon_sym___bridge_transfer] = ACTIONS(6595),
    [anon_sym___complex] = ACTIONS(6595),
    [anon_sym___const] = ACTIONS(6595),
    [anon_sym___imag] = ACTIONS(6595),
    [anon_sym___kindof] = ACTIONS(6595),
    [anon_sym___nonnull] = ACTIONS(6595),
    [anon_sym___nullable] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6595),
    [anon_sym___real] = ACTIONS(6595),
    [anon_sym___strong] = ACTIONS(6595),
    [anon_sym___unsafe_unretained] = ACTIONS(6595),
    [anon_sym___unused] = ACTIONS(6595),
    [anon_sym___weak] = ACTIONS(6595),
    [anon_sym_alignas] = ACTIONS(6595),
    [anon_sym__Alignas] = ACTIONS(6595),
    [sym_primitive_type] = ACTIONS(6595),
    [anon_sym_enum] = ACTIONS(6595),
    [anon_sym_struct] = ACTIONS(6595),
    [anon_sym_union] = ACTIONS(6595),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6595),
    [anon_sym___typeof] = ACTIONS(6595),
    [anon_sym_typeof] = ACTIONS(6595),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6595),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6595),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6595),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6595),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6595),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6595),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6595),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_API_AVAILABLE] = ACTIONS(6595),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_API_DEPRECATED] = ACTIONS(6595),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6595),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym___deprecated_msg] = ACTIONS(6595),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6595),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6595),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6595),
    [anon_sym_BOOL] = ACTIONS(6595),
    [anon_sym_IMP] = ACTIONS(6595),
    [anon_sym_SEL] = ACTIONS(6595),
    [anon_sym_Class] = ACTIONS(6595),
    [anon_sym_id] = ACTIONS(6595),
    [anon_sym_ATdefs] = ACTIONS(6597),
  },
  [2662] = {
    [sym_identifier] = ACTIONS(6599),
    [aux_sym_preproc_def_token1] = ACTIONS(6599),
    [aux_sym_preproc_if_token1] = ACTIONS(6599),
    [aux_sym_preproc_if_token2] = ACTIONS(6599),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6599),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6599),
    [aux_sym_preproc_else_token1] = ACTIONS(6599),
    [aux_sym_preproc_elif_token1] = ACTIONS(6599),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6599),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6599),
    [sym_preproc_directive] = ACTIONS(6599),
    [anon_sym___extension__] = ACTIONS(6599),
    [anon_sym_extern] = ACTIONS(6599),
    [anon_sym___attribute__] = ACTIONS(6599),
    [anon_sym___attribute] = ACTIONS(6599),
    [anon_sym_noreturn] = ACTIONS(6599),
    [anon_sym_LBRACK] = ACTIONS(6601),
    [anon_sym___declspec] = ACTIONS(6599),
    [anon_sym_signed] = ACTIONS(6599),
    [anon_sym_unsigned] = ACTIONS(6599),
    [anon_sym_long] = ACTIONS(6599),
    [anon_sym_short] = ACTIONS(6599),
    [anon_sym_static] = ACTIONS(6599),
    [anon_sym_auto] = ACTIONS(6599),
    [anon_sym_register] = ACTIONS(6599),
    [anon_sym_inline] = ACTIONS(6599),
    [anon_sym___inline] = ACTIONS(6599),
    [anon_sym___inline__] = ACTIONS(6599),
    [anon_sym___forceinline] = ACTIONS(6599),
    [anon_sym_thread_local] = ACTIONS(6599),
    [anon_sym___thread] = ACTIONS(6599),
    [anon_sym_CG_EXTERN] = ACTIONS(6599),
    [anon_sym_CG_INLINE] = ACTIONS(6599),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6599),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6599),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6599),
    [anon_sym_IBOutlet] = ACTIONS(6599),
    [anon_sym_IBInspectable] = ACTIONS(6599),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6599),
    [anon_sym_NS_INLINE] = ACTIONS(6599),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6599),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6599),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6599),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6599),
    [anon_sym_const] = ACTIONS(6599),
    [anon_sym_constexpr] = ACTIONS(6599),
    [anon_sym_volatile] = ACTIONS(6599),
    [anon_sym_restrict] = ACTIONS(6599),
    [anon_sym___restrict__] = ACTIONS(6599),
    [anon_sym__Atomic] = ACTIONS(6599),
    [anon_sym__Noreturn] = ACTIONS(6599),
    [anon_sym__Nonnull] = ACTIONS(6599),
    [anon_sym_nullable] = ACTIONS(6599),
    [anon_sym__Complex] = ACTIONS(6599),
    [anon_sym__Nullable] = ACTIONS(6599),
    [anon_sym__Nullable_result] = ACTIONS(6599),
    [anon_sym__Null_unspecified] = ACTIONS(6599),
    [anon_sym___autoreleasing] = ACTIONS(6599),
    [anon_sym___block] = ACTIONS(6599),
    [anon_sym___bridge] = ACTIONS(6599),
    [anon_sym___bridge_retained] = ACTIONS(6599),
    [anon_sym___bridge_transfer] = ACTIONS(6599),
    [anon_sym___complex] = ACTIONS(6599),
    [anon_sym___const] = ACTIONS(6599),
    [anon_sym___imag] = ACTIONS(6599),
    [anon_sym___kindof] = ACTIONS(6599),
    [anon_sym___nonnull] = ACTIONS(6599),
    [anon_sym___nullable] = ACTIONS(6599),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6599),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6599),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6599),
    [anon_sym___real] = ACTIONS(6599),
    [anon_sym___strong] = ACTIONS(6599),
    [anon_sym___unsafe_unretained] = ACTIONS(6599),
    [anon_sym___unused] = ACTIONS(6599),
    [anon_sym___weak] = ACTIONS(6599),
    [anon_sym_alignas] = ACTIONS(6599),
    [anon_sym__Alignas] = ACTIONS(6599),
    [sym_primitive_type] = ACTIONS(6599),
    [anon_sym_enum] = ACTIONS(6599),
    [anon_sym_struct] = ACTIONS(6599),
    [anon_sym_union] = ACTIONS(6599),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6599),
    [anon_sym___typeof] = ACTIONS(6599),
    [anon_sym_typeof] = ACTIONS(6599),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6599),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6599),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6599),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6599),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6599),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6599),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6599),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6599),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6599),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6599),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6599),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6599),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6599),
    [anon_sym_API_AVAILABLE] = ACTIONS(6599),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6599),
    [anon_sym_API_DEPRECATED] = ACTIONS(6599),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6599),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6599),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6599),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6599),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6599),
    [anon_sym___deprecated_msg] = ACTIONS(6599),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6599),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6599),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6599),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6599),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6599),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6599),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6599),
    [anon_sym_BOOL] = ACTIONS(6599),
    [anon_sym_IMP] = ACTIONS(6599),
    [anon_sym_SEL] = ACTIONS(6599),
    [anon_sym_Class] = ACTIONS(6599),
    [anon_sym_id] = ACTIONS(6599),
    [anon_sym_ATdefs] = ACTIONS(6601),
  },
  [2663] = {
    [sym_identifier] = ACTIONS(6622),
    [aux_sym_preproc_def_token1] = ACTIONS(6622),
    [aux_sym_preproc_if_token1] = ACTIONS(6622),
    [aux_sym_preproc_if_token2] = ACTIONS(6622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6622),
    [aux_sym_preproc_else_token1] = ACTIONS(6622),
    [aux_sym_preproc_elif_token1] = ACTIONS(6622),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6622),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6622),
    [sym_preproc_directive] = ACTIONS(6622),
    [anon_sym___extension__] = ACTIONS(6622),
    [anon_sym_extern] = ACTIONS(6622),
    [anon_sym___attribute__] = ACTIONS(6622),
    [anon_sym___attribute] = ACTIONS(6622),
    [anon_sym_noreturn] = ACTIONS(6622),
    [anon_sym_LBRACK] = ACTIONS(6624),
    [anon_sym___declspec] = ACTIONS(6622),
    [anon_sym_signed] = ACTIONS(6622),
    [anon_sym_unsigned] = ACTIONS(6622),
    [anon_sym_long] = ACTIONS(6622),
    [anon_sym_short] = ACTIONS(6622),
    [anon_sym_static] = ACTIONS(6622),
    [anon_sym_auto] = ACTIONS(6622),
    [anon_sym_register] = ACTIONS(6622),
    [anon_sym_inline] = ACTIONS(6622),
    [anon_sym___inline] = ACTIONS(6622),
    [anon_sym___inline__] = ACTIONS(6622),
    [anon_sym___forceinline] = ACTIONS(6622),
    [anon_sym_thread_local] = ACTIONS(6622),
    [anon_sym___thread] = ACTIONS(6622),
    [anon_sym_CG_EXTERN] = ACTIONS(6622),
    [anon_sym_CG_INLINE] = ACTIONS(6622),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6622),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6622),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6622),
    [anon_sym_IBOutlet] = ACTIONS(6622),
    [anon_sym_IBInspectable] = ACTIONS(6622),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6622),
    [anon_sym_NS_INLINE] = ACTIONS(6622),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6622),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6622),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6622),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6622),
    [anon_sym_const] = ACTIONS(6622),
    [anon_sym_constexpr] = ACTIONS(6622),
    [anon_sym_volatile] = ACTIONS(6622),
    [anon_sym_restrict] = ACTIONS(6622),
    [anon_sym___restrict__] = ACTIONS(6622),
    [anon_sym__Atomic] = ACTIONS(6622),
    [anon_sym__Noreturn] = ACTIONS(6622),
    [anon_sym__Nonnull] = ACTIONS(6622),
    [anon_sym_nullable] = ACTIONS(6622),
    [anon_sym__Complex] = ACTIONS(6622),
    [anon_sym__Nullable] = ACTIONS(6622),
    [anon_sym__Nullable_result] = ACTIONS(6622),
    [anon_sym__Null_unspecified] = ACTIONS(6622),
    [anon_sym___autoreleasing] = ACTIONS(6622),
    [anon_sym___block] = ACTIONS(6622),
    [anon_sym___bridge] = ACTIONS(6622),
    [anon_sym___bridge_retained] = ACTIONS(6622),
    [anon_sym___bridge_transfer] = ACTIONS(6622),
    [anon_sym___complex] = ACTIONS(6622),
    [anon_sym___const] = ACTIONS(6622),
    [anon_sym___imag] = ACTIONS(6622),
    [anon_sym___kindof] = ACTIONS(6622),
    [anon_sym___nonnull] = ACTIONS(6622),
    [anon_sym___nullable] = ACTIONS(6622),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6622),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6622),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6622),
    [anon_sym___real] = ACTIONS(6622),
    [anon_sym___strong] = ACTIONS(6622),
    [anon_sym___unsafe_unretained] = ACTIONS(6622),
    [anon_sym___unused] = ACTIONS(6622),
    [anon_sym___weak] = ACTIONS(6622),
    [anon_sym_alignas] = ACTIONS(6622),
    [anon_sym__Alignas] = ACTIONS(6622),
    [sym_primitive_type] = ACTIONS(6622),
    [anon_sym_enum] = ACTIONS(6622),
    [anon_sym_struct] = ACTIONS(6622),
    [anon_sym_union] = ACTIONS(6622),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6622),
    [anon_sym___typeof] = ACTIONS(6622),
    [anon_sym_typeof] = ACTIONS(6622),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6622),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6622),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6622),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6622),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6622),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6622),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6622),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6622),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6622),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6622),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6622),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6622),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6622),
    [anon_sym_API_AVAILABLE] = ACTIONS(6622),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6622),
    [anon_sym_API_DEPRECATED] = ACTIONS(6622),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6622),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6622),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6622),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6622),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6622),
    [anon_sym___deprecated_msg] = ACTIONS(6622),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6622),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6622),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6622),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6622),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6622),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6622),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6622),
    [anon_sym_BOOL] = ACTIONS(6622),
    [anon_sym_IMP] = ACTIONS(6622),
    [anon_sym_SEL] = ACTIONS(6622),
    [anon_sym_Class] = ACTIONS(6622),
    [anon_sym_id] = ACTIONS(6622),
    [anon_sym_ATdefs] = ACTIONS(6624),
  },
  [2664] = {
    [sym_identifier] = ACTIONS(2774),
    [aux_sym_preproc_def_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token1] = ACTIONS(2774),
    [aux_sym_preproc_if_token2] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2774),
    [aux_sym_preproc_else_token1] = ACTIONS(2774),
    [aux_sym_preproc_elif_token1] = ACTIONS(2774),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2774),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2774),
    [sym_preproc_directive] = ACTIONS(2774),
    [anon_sym___extension__] = ACTIONS(2774),
    [anon_sym_extern] = ACTIONS(2774),
    [anon_sym___attribute__] = ACTIONS(2774),
    [anon_sym___attribute] = ACTIONS(2774),
    [anon_sym_noreturn] = ACTIONS(2774),
    [anon_sym_LBRACK] = ACTIONS(2776),
    [anon_sym___declspec] = ACTIONS(2774),
    [anon_sym_signed] = ACTIONS(2774),
    [anon_sym_unsigned] = ACTIONS(2774),
    [anon_sym_long] = ACTIONS(2774),
    [anon_sym_short] = ACTIONS(2774),
    [anon_sym_static] = ACTIONS(2774),
    [anon_sym_auto] = ACTIONS(2774),
    [anon_sym_register] = ACTIONS(2774),
    [anon_sym_inline] = ACTIONS(2774),
    [anon_sym___inline] = ACTIONS(2774),
    [anon_sym___inline__] = ACTIONS(2774),
    [anon_sym___forceinline] = ACTIONS(2774),
    [anon_sym_thread_local] = ACTIONS(2774),
    [anon_sym___thread] = ACTIONS(2774),
    [anon_sym_CG_EXTERN] = ACTIONS(2774),
    [anon_sym_CG_INLINE] = ACTIONS(2774),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2774),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2774),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2774),
    [anon_sym_IBOutlet] = ACTIONS(2774),
    [anon_sym_IBInspectable] = ACTIONS(2774),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2774),
    [anon_sym_NS_INLINE] = ACTIONS(2774),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2774),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2774),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2774),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2774),
    [anon_sym_const] = ACTIONS(2774),
    [anon_sym_constexpr] = ACTIONS(2774),
    [anon_sym_volatile] = ACTIONS(2774),
    [anon_sym_restrict] = ACTIONS(2774),
    [anon_sym___restrict__] = ACTIONS(2774),
    [anon_sym__Atomic] = ACTIONS(2774),
    [anon_sym__Noreturn] = ACTIONS(2774),
    [anon_sym__Nonnull] = ACTIONS(2774),
    [anon_sym_nullable] = ACTIONS(2774),
    [anon_sym__Complex] = ACTIONS(2774),
    [anon_sym__Nullable] = ACTIONS(2774),
    [anon_sym__Nullable_result] = ACTIONS(2774),
    [anon_sym__Null_unspecified] = ACTIONS(2774),
    [anon_sym___autoreleasing] = ACTIONS(2774),
    [anon_sym___block] = ACTIONS(2774),
    [anon_sym___bridge] = ACTIONS(2774),
    [anon_sym___bridge_retained] = ACTIONS(2774),
    [anon_sym___bridge_transfer] = ACTIONS(2774),
    [anon_sym___complex] = ACTIONS(2774),
    [anon_sym___const] = ACTIONS(2774),
    [anon_sym___imag] = ACTIONS(2774),
    [anon_sym___kindof] = ACTIONS(2774),
    [anon_sym___nonnull] = ACTIONS(2774),
    [anon_sym___nullable] = ACTIONS(2774),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2774),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2774),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2774),
    [anon_sym___real] = ACTIONS(2774),
    [anon_sym___strong] = ACTIONS(2774),
    [anon_sym___unsafe_unretained] = ACTIONS(2774),
    [anon_sym___unused] = ACTIONS(2774),
    [anon_sym___weak] = ACTIONS(2774),
    [anon_sym_alignas] = ACTIONS(2774),
    [anon_sym__Alignas] = ACTIONS(2774),
    [sym_primitive_type] = ACTIONS(2774),
    [anon_sym_enum] = ACTIONS(2774),
    [anon_sym_struct] = ACTIONS(2774),
    [anon_sym_union] = ACTIONS(2774),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2774),
    [anon_sym___typeof] = ACTIONS(2774),
    [anon_sym_typeof] = ACTIONS(2774),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2774),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2774),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2774),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2774),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2774),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2774),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2774),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2774),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2774),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_API_AVAILABLE] = ACTIONS(2774),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_API_DEPRECATED] = ACTIONS(2774),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2774),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2774),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2774),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2774),
    [anon_sym___deprecated_msg] = ACTIONS(2774),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2774),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2774),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2774),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2774),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2774),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2774),
    [anon_sym_BOOL] = ACTIONS(2774),
    [anon_sym_IMP] = ACTIONS(2774),
    [anon_sym_SEL] = ACTIONS(2774),
    [anon_sym_Class] = ACTIONS(2774),
    [anon_sym_id] = ACTIONS(2774),
    [anon_sym_ATdefs] = ACTIONS(2776),
  },
  [2665] = {
    [sym_expression] = STATE(4380),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2666] = {
    [sym_string_literal] = STATE(1726),
    [sym_identifier] = ACTIONS(5662),
    [anon_sym___extension__] = ACTIONS(5662),
    [anon_sym_extern] = ACTIONS(5662),
    [anon_sym___attribute__] = ACTIONS(5662),
    [anon_sym___attribute] = ACTIONS(5662),
    [anon_sym_noreturn] = ACTIONS(5662),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [anon_sym___declspec] = ACTIONS(5662),
    [anon_sym_signed] = ACTIONS(5662),
    [anon_sym_unsigned] = ACTIONS(5662),
    [anon_sym_long] = ACTIONS(5662),
    [anon_sym_short] = ACTIONS(5662),
    [anon_sym_static] = ACTIONS(5662),
    [anon_sym_auto] = ACTIONS(5662),
    [anon_sym_register] = ACTIONS(5662),
    [anon_sym_inline] = ACTIONS(5662),
    [anon_sym___inline] = ACTIONS(5662),
    [anon_sym___inline__] = ACTIONS(5662),
    [anon_sym___forceinline] = ACTIONS(5662),
    [anon_sym_thread_local] = ACTIONS(5662),
    [anon_sym___thread] = ACTIONS(5662),
    [anon_sym_CG_EXTERN] = ACTIONS(5662),
    [anon_sym_CG_INLINE] = ACTIONS(5662),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5662),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5662),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5662),
    [anon_sym_IBOutlet] = ACTIONS(5662),
    [anon_sym_IBInspectable] = ACTIONS(5662),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5662),
    [anon_sym_NS_INLINE] = ACTIONS(5662),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5662),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5662),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5662),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5662),
    [anon_sym_const] = ACTIONS(5662),
    [anon_sym_constexpr] = ACTIONS(5662),
    [anon_sym_volatile] = ACTIONS(5662),
    [anon_sym_restrict] = ACTIONS(5662),
    [anon_sym___restrict__] = ACTIONS(5662),
    [anon_sym__Atomic] = ACTIONS(5662),
    [anon_sym__Noreturn] = ACTIONS(5662),
    [anon_sym__Nonnull] = ACTIONS(5662),
    [anon_sym_nullable] = ACTIONS(5662),
    [anon_sym__Complex] = ACTIONS(5662),
    [anon_sym__Nullable] = ACTIONS(5662),
    [anon_sym__Nullable_result] = ACTIONS(5662),
    [anon_sym__Null_unspecified] = ACTIONS(5662),
    [anon_sym___autoreleasing] = ACTIONS(5662),
    [anon_sym___block] = ACTIONS(5662),
    [anon_sym___bridge] = ACTIONS(5662),
    [anon_sym___bridge_retained] = ACTIONS(5662),
    [anon_sym___bridge_transfer] = ACTIONS(5662),
    [anon_sym___complex] = ACTIONS(5662),
    [anon_sym___const] = ACTIONS(5662),
    [anon_sym___imag] = ACTIONS(5662),
    [anon_sym___kindof] = ACTIONS(5662),
    [anon_sym___nonnull] = ACTIONS(5662),
    [anon_sym___nullable] = ACTIONS(5662),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5662),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5662),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5662),
    [anon_sym___real] = ACTIONS(5662),
    [anon_sym___strong] = ACTIONS(5662),
    [anon_sym___unsafe_unretained] = ACTIONS(5662),
    [anon_sym___unused] = ACTIONS(5662),
    [anon_sym___weak] = ACTIONS(5662),
    [anon_sym_alignas] = ACTIONS(5662),
    [anon_sym__Alignas] = ACTIONS(5662),
    [sym_primitive_type] = ACTIONS(5662),
    [anon_sym_enum] = ACTIONS(5662),
    [anon_sym_struct] = ACTIONS(5662),
    [anon_sym_union] = ACTIONS(5662),
    [anon_sym_AT] = ACTIONS(6626),
    [anon_sym_DQUOTE] = ACTIONS(6628),
    [anon_sym_L_DQUOTE] = ACTIONS(6628),
    [anon_sym_u_DQUOTE] = ACTIONS(6628),
    [anon_sym_U_DQUOTE] = ACTIONS(6628),
    [anon_sym_u8_DQUOTE] = ACTIONS(6628),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5662),
    [anon_sym___typeof] = ACTIONS(5662),
    [anon_sym_typeof] = ACTIONS(5662),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5662),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5662),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5662),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5662),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5662),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5662),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5662),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5662),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5662),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5662),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5662),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5662),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5662),
    [anon_sym_API_AVAILABLE] = ACTIONS(5662),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5662),
    [anon_sym_API_DEPRECATED] = ACTIONS(5662),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5662),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5662),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5662),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5662),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5662),
    [anon_sym___deprecated_msg] = ACTIONS(5662),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5662),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5662),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5662),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5662),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5662),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5662),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5662),
    [anon_sym_ATprotocol] = ACTIONS(5664),
    [anon_sym_ATinterface] = ACTIONS(5664),
    [anon_sym_ATimplementation] = ACTIONS(5664),
    [anon_sym_BOOL] = ACTIONS(5662),
    [anon_sym_IMP] = ACTIONS(5662),
    [anon_sym_SEL] = ACTIONS(5662),
    [anon_sym_Class] = ACTIONS(5662),
    [anon_sym_id] = ACTIONS(5662),
  },
  [2667] = {
    [sym_string_literal] = STATE(1723),
    [sym_identifier] = ACTIONS(5662),
    [anon_sym___extension__] = ACTIONS(5662),
    [anon_sym_extern] = ACTIONS(5662),
    [anon_sym___attribute__] = ACTIONS(5662),
    [anon_sym___attribute] = ACTIONS(5662),
    [anon_sym_noreturn] = ACTIONS(5662),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [anon_sym___declspec] = ACTIONS(5662),
    [anon_sym_signed] = ACTIONS(5662),
    [anon_sym_unsigned] = ACTIONS(5662),
    [anon_sym_long] = ACTIONS(5662),
    [anon_sym_short] = ACTIONS(5662),
    [anon_sym_static] = ACTIONS(5662),
    [anon_sym_auto] = ACTIONS(5662),
    [anon_sym_register] = ACTIONS(5662),
    [anon_sym_inline] = ACTIONS(5662),
    [anon_sym___inline] = ACTIONS(5662),
    [anon_sym___inline__] = ACTIONS(5662),
    [anon_sym___forceinline] = ACTIONS(5662),
    [anon_sym_thread_local] = ACTIONS(5662),
    [anon_sym___thread] = ACTIONS(5662),
    [anon_sym_CG_EXTERN] = ACTIONS(5662),
    [anon_sym_CG_INLINE] = ACTIONS(5662),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5662),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5662),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5662),
    [anon_sym_IBOutlet] = ACTIONS(5662),
    [anon_sym_IBInspectable] = ACTIONS(5662),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5662),
    [anon_sym_NS_INLINE] = ACTIONS(5662),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5662),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5662),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5662),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5662),
    [anon_sym_const] = ACTIONS(5662),
    [anon_sym_constexpr] = ACTIONS(5662),
    [anon_sym_volatile] = ACTIONS(5662),
    [anon_sym_restrict] = ACTIONS(5662),
    [anon_sym___restrict__] = ACTIONS(5662),
    [anon_sym__Atomic] = ACTIONS(5662),
    [anon_sym__Noreturn] = ACTIONS(5662),
    [anon_sym__Nonnull] = ACTIONS(5662),
    [anon_sym_nullable] = ACTIONS(5662),
    [anon_sym__Complex] = ACTIONS(5662),
    [anon_sym__Nullable] = ACTIONS(5662),
    [anon_sym__Nullable_result] = ACTIONS(5662),
    [anon_sym__Null_unspecified] = ACTIONS(5662),
    [anon_sym___autoreleasing] = ACTIONS(5662),
    [anon_sym___block] = ACTIONS(5662),
    [anon_sym___bridge] = ACTIONS(5662),
    [anon_sym___bridge_retained] = ACTIONS(5662),
    [anon_sym___bridge_transfer] = ACTIONS(5662),
    [anon_sym___complex] = ACTIONS(5662),
    [anon_sym___const] = ACTIONS(5662),
    [anon_sym___imag] = ACTIONS(5662),
    [anon_sym___kindof] = ACTIONS(5662),
    [anon_sym___nonnull] = ACTIONS(5662),
    [anon_sym___nullable] = ACTIONS(5662),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5662),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5662),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5662),
    [anon_sym___real] = ACTIONS(5662),
    [anon_sym___strong] = ACTIONS(5662),
    [anon_sym___unsafe_unretained] = ACTIONS(5662),
    [anon_sym___unused] = ACTIONS(5662),
    [anon_sym___weak] = ACTIONS(5662),
    [anon_sym_alignas] = ACTIONS(5662),
    [anon_sym__Alignas] = ACTIONS(5662),
    [sym_primitive_type] = ACTIONS(5662),
    [anon_sym_enum] = ACTIONS(5662),
    [anon_sym_struct] = ACTIONS(5662),
    [anon_sym_union] = ACTIONS(5662),
    [anon_sym_AT] = ACTIONS(6626),
    [anon_sym_DQUOTE] = ACTIONS(6628),
    [anon_sym_L_DQUOTE] = ACTIONS(6628),
    [anon_sym_u_DQUOTE] = ACTIONS(6628),
    [anon_sym_U_DQUOTE] = ACTIONS(6628),
    [anon_sym_u8_DQUOTE] = ACTIONS(6628),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5662),
    [anon_sym___typeof] = ACTIONS(5662),
    [anon_sym_typeof] = ACTIONS(5662),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5662),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5662),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5662),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5662),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5662),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5662),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5662),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5662),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5662),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5662),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5662),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5662),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5662),
    [anon_sym_API_AVAILABLE] = ACTIONS(5662),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5662),
    [anon_sym_API_DEPRECATED] = ACTIONS(5662),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5662),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5662),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5662),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5662),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5662),
    [anon_sym___deprecated_msg] = ACTIONS(5662),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5662),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5662),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5662),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5662),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5662),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5662),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5662),
    [anon_sym_ATprotocol] = ACTIONS(5664),
    [anon_sym_ATinterface] = ACTIONS(5664),
    [anon_sym_ATimplementation] = ACTIONS(5664),
    [anon_sym_BOOL] = ACTIONS(5662),
    [anon_sym_IMP] = ACTIONS(5662),
    [anon_sym_SEL] = ACTIONS(5662),
    [anon_sym_Class] = ACTIONS(5662),
    [anon_sym_id] = ACTIONS(5662),
  },
  [2668] = {
    [sym_string_literal] = STATE(1735),
    [sym_identifier] = ACTIONS(5662),
    [anon_sym___extension__] = ACTIONS(5662),
    [anon_sym_extern] = ACTIONS(5662),
    [anon_sym___attribute__] = ACTIONS(5662),
    [anon_sym___attribute] = ACTIONS(5662),
    [anon_sym_noreturn] = ACTIONS(5662),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [anon_sym___declspec] = ACTIONS(5662),
    [anon_sym_signed] = ACTIONS(5662),
    [anon_sym_unsigned] = ACTIONS(5662),
    [anon_sym_long] = ACTIONS(5662),
    [anon_sym_short] = ACTIONS(5662),
    [anon_sym_static] = ACTIONS(5662),
    [anon_sym_auto] = ACTIONS(5662),
    [anon_sym_register] = ACTIONS(5662),
    [anon_sym_inline] = ACTIONS(5662),
    [anon_sym___inline] = ACTIONS(5662),
    [anon_sym___inline__] = ACTIONS(5662),
    [anon_sym___forceinline] = ACTIONS(5662),
    [anon_sym_thread_local] = ACTIONS(5662),
    [anon_sym___thread] = ACTIONS(5662),
    [anon_sym_CG_EXTERN] = ACTIONS(5662),
    [anon_sym_CG_INLINE] = ACTIONS(5662),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5662),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5662),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5662),
    [anon_sym_IBOutlet] = ACTIONS(5662),
    [anon_sym_IBInspectable] = ACTIONS(5662),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5662),
    [anon_sym_NS_INLINE] = ACTIONS(5662),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5662),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5662),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5662),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5662),
    [anon_sym_const] = ACTIONS(5662),
    [anon_sym_constexpr] = ACTIONS(5662),
    [anon_sym_volatile] = ACTIONS(5662),
    [anon_sym_restrict] = ACTIONS(5662),
    [anon_sym___restrict__] = ACTIONS(5662),
    [anon_sym__Atomic] = ACTIONS(5662),
    [anon_sym__Noreturn] = ACTIONS(5662),
    [anon_sym__Nonnull] = ACTIONS(5662),
    [anon_sym_nullable] = ACTIONS(5662),
    [anon_sym__Complex] = ACTIONS(5662),
    [anon_sym__Nullable] = ACTIONS(5662),
    [anon_sym__Nullable_result] = ACTIONS(5662),
    [anon_sym__Null_unspecified] = ACTIONS(5662),
    [anon_sym___autoreleasing] = ACTIONS(5662),
    [anon_sym___block] = ACTIONS(5662),
    [anon_sym___bridge] = ACTIONS(5662),
    [anon_sym___bridge_retained] = ACTIONS(5662),
    [anon_sym___bridge_transfer] = ACTIONS(5662),
    [anon_sym___complex] = ACTIONS(5662),
    [anon_sym___const] = ACTIONS(5662),
    [anon_sym___imag] = ACTIONS(5662),
    [anon_sym___kindof] = ACTIONS(5662),
    [anon_sym___nonnull] = ACTIONS(5662),
    [anon_sym___nullable] = ACTIONS(5662),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5662),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5662),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5662),
    [anon_sym___real] = ACTIONS(5662),
    [anon_sym___strong] = ACTIONS(5662),
    [anon_sym___unsafe_unretained] = ACTIONS(5662),
    [anon_sym___unused] = ACTIONS(5662),
    [anon_sym___weak] = ACTIONS(5662),
    [anon_sym_alignas] = ACTIONS(5662),
    [anon_sym__Alignas] = ACTIONS(5662),
    [sym_primitive_type] = ACTIONS(5662),
    [anon_sym_enum] = ACTIONS(5662),
    [anon_sym_struct] = ACTIONS(5662),
    [anon_sym_union] = ACTIONS(5662),
    [anon_sym_AT] = ACTIONS(6626),
    [anon_sym_DQUOTE] = ACTIONS(6628),
    [anon_sym_L_DQUOTE] = ACTIONS(6628),
    [anon_sym_u_DQUOTE] = ACTIONS(6628),
    [anon_sym_U_DQUOTE] = ACTIONS(6628),
    [anon_sym_u8_DQUOTE] = ACTIONS(6628),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5662),
    [anon_sym___typeof] = ACTIONS(5662),
    [anon_sym_typeof] = ACTIONS(5662),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5662),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5662),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5662),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5662),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5662),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5662),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5662),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5662),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5662),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5662),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5662),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5662),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5662),
    [anon_sym_API_AVAILABLE] = ACTIONS(5662),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5662),
    [anon_sym_API_DEPRECATED] = ACTIONS(5662),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5662),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5662),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5662),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5662),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5662),
    [anon_sym___deprecated_msg] = ACTIONS(5662),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5662),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5662),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5662),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5662),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5662),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5662),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5662),
    [anon_sym_ATprotocol] = ACTIONS(5664),
    [anon_sym_ATinterface] = ACTIONS(5664),
    [anon_sym_ATimplementation] = ACTIONS(5664),
    [anon_sym_BOOL] = ACTIONS(5662),
    [anon_sym_IMP] = ACTIONS(5662),
    [anon_sym_SEL] = ACTIONS(5662),
    [anon_sym_Class] = ACTIONS(5662),
    [anon_sym_id] = ACTIONS(5662),
  },
  [2669] = {
    [sym_string_literal] = STATE(1722),
    [sym_identifier] = ACTIONS(5662),
    [anon_sym___extension__] = ACTIONS(5662),
    [anon_sym_extern] = ACTIONS(5662),
    [anon_sym___attribute__] = ACTIONS(5662),
    [anon_sym___attribute] = ACTIONS(5662),
    [anon_sym_noreturn] = ACTIONS(5662),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [anon_sym___declspec] = ACTIONS(5662),
    [anon_sym_signed] = ACTIONS(5662),
    [anon_sym_unsigned] = ACTIONS(5662),
    [anon_sym_long] = ACTIONS(5662),
    [anon_sym_short] = ACTIONS(5662),
    [anon_sym_static] = ACTIONS(5662),
    [anon_sym_auto] = ACTIONS(5662),
    [anon_sym_register] = ACTIONS(5662),
    [anon_sym_inline] = ACTIONS(5662),
    [anon_sym___inline] = ACTIONS(5662),
    [anon_sym___inline__] = ACTIONS(5662),
    [anon_sym___forceinline] = ACTIONS(5662),
    [anon_sym_thread_local] = ACTIONS(5662),
    [anon_sym___thread] = ACTIONS(5662),
    [anon_sym_CG_EXTERN] = ACTIONS(5662),
    [anon_sym_CG_INLINE] = ACTIONS(5662),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5662),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5662),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5662),
    [anon_sym_IBOutlet] = ACTIONS(5662),
    [anon_sym_IBInspectable] = ACTIONS(5662),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5662),
    [anon_sym_NS_INLINE] = ACTIONS(5662),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5662),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5662),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5662),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5662),
    [anon_sym_const] = ACTIONS(5662),
    [anon_sym_constexpr] = ACTIONS(5662),
    [anon_sym_volatile] = ACTIONS(5662),
    [anon_sym_restrict] = ACTIONS(5662),
    [anon_sym___restrict__] = ACTIONS(5662),
    [anon_sym__Atomic] = ACTIONS(5662),
    [anon_sym__Noreturn] = ACTIONS(5662),
    [anon_sym__Nonnull] = ACTIONS(5662),
    [anon_sym_nullable] = ACTIONS(5662),
    [anon_sym__Complex] = ACTIONS(5662),
    [anon_sym__Nullable] = ACTIONS(5662),
    [anon_sym__Nullable_result] = ACTIONS(5662),
    [anon_sym__Null_unspecified] = ACTIONS(5662),
    [anon_sym___autoreleasing] = ACTIONS(5662),
    [anon_sym___block] = ACTIONS(5662),
    [anon_sym___bridge] = ACTIONS(5662),
    [anon_sym___bridge_retained] = ACTIONS(5662),
    [anon_sym___bridge_transfer] = ACTIONS(5662),
    [anon_sym___complex] = ACTIONS(5662),
    [anon_sym___const] = ACTIONS(5662),
    [anon_sym___imag] = ACTIONS(5662),
    [anon_sym___kindof] = ACTIONS(5662),
    [anon_sym___nonnull] = ACTIONS(5662),
    [anon_sym___nullable] = ACTIONS(5662),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5662),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5662),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5662),
    [anon_sym___real] = ACTIONS(5662),
    [anon_sym___strong] = ACTIONS(5662),
    [anon_sym___unsafe_unretained] = ACTIONS(5662),
    [anon_sym___unused] = ACTIONS(5662),
    [anon_sym___weak] = ACTIONS(5662),
    [anon_sym_alignas] = ACTIONS(5662),
    [anon_sym__Alignas] = ACTIONS(5662),
    [sym_primitive_type] = ACTIONS(5662),
    [anon_sym_enum] = ACTIONS(5662),
    [anon_sym_struct] = ACTIONS(5662),
    [anon_sym_union] = ACTIONS(5662),
    [anon_sym_AT] = ACTIONS(6626),
    [anon_sym_DQUOTE] = ACTIONS(6628),
    [anon_sym_L_DQUOTE] = ACTIONS(6628),
    [anon_sym_u_DQUOTE] = ACTIONS(6628),
    [anon_sym_U_DQUOTE] = ACTIONS(6628),
    [anon_sym_u8_DQUOTE] = ACTIONS(6628),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5662),
    [anon_sym___typeof] = ACTIONS(5662),
    [anon_sym_typeof] = ACTIONS(5662),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5662),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5662),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5662),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5662),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5662),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5662),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5662),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5662),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5662),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5662),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5662),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5662),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5662),
    [anon_sym_API_AVAILABLE] = ACTIONS(5662),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5662),
    [anon_sym_API_DEPRECATED] = ACTIONS(5662),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5662),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5662),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5662),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5662),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5662),
    [anon_sym___deprecated_msg] = ACTIONS(5662),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5662),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5662),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5662),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5662),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5662),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5662),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5662),
    [anon_sym_ATprotocol] = ACTIONS(5664),
    [anon_sym_ATinterface] = ACTIONS(5664),
    [anon_sym_ATimplementation] = ACTIONS(5664),
    [anon_sym_BOOL] = ACTIONS(5662),
    [anon_sym_IMP] = ACTIONS(5662),
    [anon_sym_SEL] = ACTIONS(5662),
    [anon_sym_Class] = ACTIONS(5662),
    [anon_sym_id] = ACTIONS(5662),
  },
  [2670] = {
    [sym_string_literal] = STATE(1725),
    [sym_identifier] = ACTIONS(5662),
    [anon_sym___extension__] = ACTIONS(5662),
    [anon_sym_extern] = ACTIONS(5662),
    [anon_sym___attribute__] = ACTIONS(5662),
    [anon_sym___attribute] = ACTIONS(5662),
    [anon_sym_noreturn] = ACTIONS(5662),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [anon_sym___declspec] = ACTIONS(5662),
    [anon_sym_signed] = ACTIONS(5662),
    [anon_sym_unsigned] = ACTIONS(5662),
    [anon_sym_long] = ACTIONS(5662),
    [anon_sym_short] = ACTIONS(5662),
    [anon_sym_static] = ACTIONS(5662),
    [anon_sym_auto] = ACTIONS(5662),
    [anon_sym_register] = ACTIONS(5662),
    [anon_sym_inline] = ACTIONS(5662),
    [anon_sym___inline] = ACTIONS(5662),
    [anon_sym___inline__] = ACTIONS(5662),
    [anon_sym___forceinline] = ACTIONS(5662),
    [anon_sym_thread_local] = ACTIONS(5662),
    [anon_sym___thread] = ACTIONS(5662),
    [anon_sym_CG_EXTERN] = ACTIONS(5662),
    [anon_sym_CG_INLINE] = ACTIONS(5662),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5662),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5662),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5662),
    [anon_sym_IBOutlet] = ACTIONS(5662),
    [anon_sym_IBInspectable] = ACTIONS(5662),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5662),
    [anon_sym_NS_INLINE] = ACTIONS(5662),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5662),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5662),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5662),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5662),
    [anon_sym_const] = ACTIONS(5662),
    [anon_sym_constexpr] = ACTIONS(5662),
    [anon_sym_volatile] = ACTIONS(5662),
    [anon_sym_restrict] = ACTIONS(5662),
    [anon_sym___restrict__] = ACTIONS(5662),
    [anon_sym__Atomic] = ACTIONS(5662),
    [anon_sym__Noreturn] = ACTIONS(5662),
    [anon_sym__Nonnull] = ACTIONS(5662),
    [anon_sym_nullable] = ACTIONS(5662),
    [anon_sym__Complex] = ACTIONS(5662),
    [anon_sym__Nullable] = ACTIONS(5662),
    [anon_sym__Nullable_result] = ACTIONS(5662),
    [anon_sym__Null_unspecified] = ACTIONS(5662),
    [anon_sym___autoreleasing] = ACTIONS(5662),
    [anon_sym___block] = ACTIONS(5662),
    [anon_sym___bridge] = ACTIONS(5662),
    [anon_sym___bridge_retained] = ACTIONS(5662),
    [anon_sym___bridge_transfer] = ACTIONS(5662),
    [anon_sym___complex] = ACTIONS(5662),
    [anon_sym___const] = ACTIONS(5662),
    [anon_sym___imag] = ACTIONS(5662),
    [anon_sym___kindof] = ACTIONS(5662),
    [anon_sym___nonnull] = ACTIONS(5662),
    [anon_sym___nullable] = ACTIONS(5662),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5662),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5662),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5662),
    [anon_sym___real] = ACTIONS(5662),
    [anon_sym___strong] = ACTIONS(5662),
    [anon_sym___unsafe_unretained] = ACTIONS(5662),
    [anon_sym___unused] = ACTIONS(5662),
    [anon_sym___weak] = ACTIONS(5662),
    [anon_sym_alignas] = ACTIONS(5662),
    [anon_sym__Alignas] = ACTIONS(5662),
    [sym_primitive_type] = ACTIONS(5662),
    [anon_sym_enum] = ACTIONS(5662),
    [anon_sym_struct] = ACTIONS(5662),
    [anon_sym_union] = ACTIONS(5662),
    [anon_sym_AT] = ACTIONS(6626),
    [anon_sym_DQUOTE] = ACTIONS(6628),
    [anon_sym_L_DQUOTE] = ACTIONS(6628),
    [anon_sym_u_DQUOTE] = ACTIONS(6628),
    [anon_sym_U_DQUOTE] = ACTIONS(6628),
    [anon_sym_u8_DQUOTE] = ACTIONS(6628),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5662),
    [anon_sym___typeof] = ACTIONS(5662),
    [anon_sym_typeof] = ACTIONS(5662),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5662),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5662),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5662),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5662),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5662),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5662),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5662),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5662),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5662),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5662),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5662),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5662),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5662),
    [anon_sym_API_AVAILABLE] = ACTIONS(5662),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5662),
    [anon_sym_API_DEPRECATED] = ACTIONS(5662),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5662),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5662),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5662),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5662),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5662),
    [anon_sym___deprecated_msg] = ACTIONS(5662),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5662),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5662),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5662),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5662),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5662),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5662),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5662),
    [anon_sym_ATprotocol] = ACTIONS(5664),
    [anon_sym_ATinterface] = ACTIONS(5664),
    [anon_sym_ATimplementation] = ACTIONS(5664),
    [anon_sym_BOOL] = ACTIONS(5662),
    [anon_sym_IMP] = ACTIONS(5662),
    [anon_sym_SEL] = ACTIONS(5662),
    [anon_sym_Class] = ACTIONS(5662),
    [anon_sym_id] = ACTIONS(5662),
  },
  [2671] = {
    [sym_expression] = STATE(1631),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2672] = {
    [sym_keyword_declarator] = STATE(4982),
    [sym_method_parameter] = STATE(2672),
    [aux_sym_method_definition_repeat1] = STATE(2672),
    [aux_sym_keyword_selector_repeat1] = STATE(4982),
    [sym_identifier] = ACTIONS(6630),
    [anon_sym_COMMA] = ACTIONS(6633),
    [anon_sym_SEMI] = ACTIONS(6635),
    [anon_sym___extension__] = ACTIONS(6638),
    [anon_sym_extern] = ACTIONS(6638),
    [anon_sym___attribute__] = ACTIONS(6638),
    [anon_sym___attribute] = ACTIONS(6638),
    [anon_sym_noreturn] = ACTIONS(6638),
    [anon_sym_LBRACK] = ACTIONS(6633),
    [anon_sym___declspec] = ACTIONS(6638),
    [anon_sym_LBRACE] = ACTIONS(6633),
    [anon_sym_signed] = ACTIONS(6638),
    [anon_sym_unsigned] = ACTIONS(6638),
    [anon_sym_long] = ACTIONS(6638),
    [anon_sym_short] = ACTIONS(6638),
    [anon_sym_static] = ACTIONS(6638),
    [anon_sym_ATautoreleasepool] = ACTIONS(6633),
    [anon_sym_auto] = ACTIONS(6638),
    [anon_sym_register] = ACTIONS(6638),
    [anon_sym_inline] = ACTIONS(6638),
    [anon_sym___inline] = ACTIONS(6638),
    [anon_sym___inline__] = ACTIONS(6638),
    [anon_sym___forceinline] = ACTIONS(6638),
    [anon_sym_thread_local] = ACTIONS(6638),
    [anon_sym___thread] = ACTIONS(6638),
    [anon_sym_CG_EXTERN] = ACTIONS(6638),
    [anon_sym_CG_INLINE] = ACTIONS(6638),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6638),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6638),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6638),
    [anon_sym_IBOutlet] = ACTIONS(6638),
    [anon_sym_IBInspectable] = ACTIONS(6638),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6638),
    [anon_sym_NS_INLINE] = ACTIONS(6638),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6638),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6638),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6638),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6638),
    [anon_sym_const] = ACTIONS(6638),
    [anon_sym_constexpr] = ACTIONS(6638),
    [anon_sym_volatile] = ACTIONS(6638),
    [anon_sym_restrict] = ACTIONS(6638),
    [anon_sym___restrict__] = ACTIONS(6638),
    [anon_sym__Atomic] = ACTIONS(6638),
    [anon_sym__Noreturn] = ACTIONS(6638),
    [anon_sym__Nonnull] = ACTIONS(6638),
    [anon_sym_nullable] = ACTIONS(6638),
    [anon_sym__Complex] = ACTIONS(6638),
    [anon_sym__Nullable] = ACTIONS(6638),
    [anon_sym__Nullable_result] = ACTIONS(6638),
    [anon_sym__Null_unspecified] = ACTIONS(6638),
    [anon_sym___autoreleasing] = ACTIONS(6638),
    [anon_sym___block] = ACTIONS(6638),
    [anon_sym___bridge] = ACTIONS(6638),
    [anon_sym___bridge_retained] = ACTIONS(6638),
    [anon_sym___bridge_transfer] = ACTIONS(6638),
    [anon_sym___complex] = ACTIONS(6638),
    [anon_sym___const] = ACTIONS(6638),
    [anon_sym___imag] = ACTIONS(6638),
    [anon_sym___kindof] = ACTIONS(6638),
    [anon_sym___nonnull] = ACTIONS(6638),
    [anon_sym___nullable] = ACTIONS(6638),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6638),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6638),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6638),
    [anon_sym___real] = ACTIONS(6638),
    [anon_sym___strong] = ACTIONS(6638),
    [anon_sym___unsafe_unretained] = ACTIONS(6638),
    [anon_sym___unused] = ACTIONS(6638),
    [anon_sym___weak] = ACTIONS(6638),
    [anon_sym_alignas] = ACTIONS(6638),
    [anon_sym__Alignas] = ACTIONS(6638),
    [sym_primitive_type] = ACTIONS(6638),
    [anon_sym_enum] = ACTIONS(6638),
    [anon_sym_COLON] = ACTIONS(6640),
    [anon_sym_struct] = ACTIONS(6638),
    [anon_sym_union] = ACTIONS(6638),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6638),
    [anon_sym___typeof] = ACTIONS(6638),
    [anon_sym_typeof] = ACTIONS(6638),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6638),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6638),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6638),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6638),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6638),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6638),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6638),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6638),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6638),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6638),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6638),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6638),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6638),
    [anon_sym_API_AVAILABLE] = ACTIONS(6638),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6638),
    [anon_sym_API_DEPRECATED] = ACTIONS(6638),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6638),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6638),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6638),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6638),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6638),
    [anon_sym___deprecated_msg] = ACTIONS(6638),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6638),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6638),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6638),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6638),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6638),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6638),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6638),
    [anon_sym_BOOL] = ACTIONS(6638),
    [anon_sym_IMP] = ACTIONS(6638),
    [anon_sym_SEL] = ACTIONS(6638),
    [anon_sym_Class] = ACTIONS(6638),
    [anon_sym_id] = ACTIONS(6638),
  },
  [2673] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(5923),
    [sym__type_declarator] = STATE(3260),
    [sym_parenthesized_type_declarator] = STATE(3256),
    [sym_pointer_type_declarator] = STATE(3256),
    [sym_function_type_declarator] = STATE(3256),
    [sym_array_type_declarator] = STATE(3256),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_type_declarator] = STATE(3256),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(5694),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_CARET] = ACTIONS(5708),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(5702),
    [anon_sym_unsigned] = ACTIONS(5702),
    [anon_sym_long] = ACTIONS(5702),
    [anon_sym_short] = ACTIONS(5702),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2674] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(6484),
    [sym__type_declarator] = STATE(5251),
    [sym_parenthesized_type_declarator] = STATE(3256),
    [sym_pointer_type_declarator] = STATE(3256),
    [sym_function_type_declarator] = STATE(3256),
    [sym_array_type_declarator] = STATE(3256),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_type_declarator] = STATE(3256),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(5694),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_STAR] = ACTIONS(5698),
    [anon_sym_CARET] = ACTIONS(5700),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(5702),
    [anon_sym_unsigned] = ACTIONS(5702),
    [anon_sym_long] = ACTIONS(5702),
    [anon_sym_short] = ACTIONS(5702),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2675] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(5923),
    [sym__type_declarator] = STATE(3261),
    [sym_parenthesized_type_declarator] = STATE(3256),
    [sym_pointer_type_declarator] = STATE(3256),
    [sym_function_type_declarator] = STATE(3256),
    [sym_array_type_declarator] = STATE(3256),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_type_declarator] = STATE(3256),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(5694),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_CARET] = ACTIONS(5708),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(5702),
    [anon_sym_unsigned] = ACTIONS(5702),
    [anon_sym_long] = ACTIONS(5702),
    [anon_sym_short] = ACTIONS(5702),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2676] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(6484),
    [sym__type_declarator] = STATE(5250),
    [sym_parenthesized_type_declarator] = STATE(3256),
    [sym_pointer_type_declarator] = STATE(3256),
    [sym_function_type_declarator] = STATE(3256),
    [sym_array_type_declarator] = STATE(3256),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_type_declarator] = STATE(3256),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(5694),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_STAR] = ACTIONS(5698),
    [anon_sym_CARET] = ACTIONS(5700),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(5702),
    [anon_sym_unsigned] = ACTIONS(5702),
    [anon_sym_long] = ACTIONS(5702),
    [anon_sym_short] = ACTIONS(5702),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2677] = {
    [sym_identifier] = ACTIONS(6643),
    [anon_sym_COMMA] = ACTIONS(6645),
    [anon_sym_LPAREN2] = ACTIONS(6645),
    [anon_sym_SEMI] = ACTIONS(6645),
    [anon_sym___extension__] = ACTIONS(6643),
    [anon_sym_extern] = ACTIONS(6643),
    [anon_sym___attribute__] = ACTIONS(6643),
    [anon_sym___attribute] = ACTIONS(6643),
    [anon_sym_noreturn] = ACTIONS(6643),
    [anon_sym_LBRACK] = ACTIONS(6645),
    [anon_sym___declspec] = ACTIONS(6643),
    [anon_sym_LBRACE] = ACTIONS(6645),
    [anon_sym_signed] = ACTIONS(6643),
    [anon_sym_unsigned] = ACTIONS(6643),
    [anon_sym_long] = ACTIONS(6643),
    [anon_sym_short] = ACTIONS(6643),
    [anon_sym_static] = ACTIONS(6643),
    [anon_sym_EQ] = ACTIONS(6645),
    [anon_sym_ATautoreleasepool] = ACTIONS(6645),
    [anon_sym_auto] = ACTIONS(6643),
    [anon_sym_register] = ACTIONS(6643),
    [anon_sym_inline] = ACTIONS(6643),
    [anon_sym___inline] = ACTIONS(6643),
    [anon_sym___inline__] = ACTIONS(6643),
    [anon_sym___forceinline] = ACTIONS(6643),
    [anon_sym_thread_local] = ACTIONS(6643),
    [anon_sym___thread] = ACTIONS(6643),
    [anon_sym_CG_EXTERN] = ACTIONS(6643),
    [anon_sym_CG_INLINE] = ACTIONS(6643),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6643),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6643),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6643),
    [anon_sym_IBOutlet] = ACTIONS(6643),
    [anon_sym_IBInspectable] = ACTIONS(6643),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6643),
    [anon_sym_NS_INLINE] = ACTIONS(6643),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6643),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6643),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6643),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6643),
    [anon_sym_const] = ACTIONS(6643),
    [anon_sym_constexpr] = ACTIONS(6643),
    [anon_sym_volatile] = ACTIONS(6643),
    [anon_sym_restrict] = ACTIONS(6643),
    [anon_sym___restrict__] = ACTIONS(6643),
    [anon_sym__Atomic] = ACTIONS(6643),
    [anon_sym__Noreturn] = ACTIONS(6643),
    [anon_sym__Nonnull] = ACTIONS(6643),
    [anon_sym_nullable] = ACTIONS(6643),
    [anon_sym__Complex] = ACTIONS(6643),
    [anon_sym__Nullable] = ACTIONS(6643),
    [anon_sym__Nullable_result] = ACTIONS(6643),
    [anon_sym__Null_unspecified] = ACTIONS(6643),
    [anon_sym___autoreleasing] = ACTIONS(6643),
    [anon_sym___block] = ACTIONS(6643),
    [anon_sym___bridge] = ACTIONS(6643),
    [anon_sym___bridge_retained] = ACTIONS(6643),
    [anon_sym___bridge_transfer] = ACTIONS(6643),
    [anon_sym___complex] = ACTIONS(6643),
    [anon_sym___const] = ACTIONS(6643),
    [anon_sym___imag] = ACTIONS(6643),
    [anon_sym___kindof] = ACTIONS(6643),
    [anon_sym___nonnull] = ACTIONS(6643),
    [anon_sym___nullable] = ACTIONS(6643),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6643),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6643),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6643),
    [anon_sym___real] = ACTIONS(6643),
    [anon_sym___strong] = ACTIONS(6643),
    [anon_sym___unsafe_unretained] = ACTIONS(6643),
    [anon_sym___unused] = ACTIONS(6643),
    [anon_sym___weak] = ACTIONS(6643),
    [anon_sym_alignas] = ACTIONS(6643),
    [anon_sym__Alignas] = ACTIONS(6643),
    [sym_primitive_type] = ACTIONS(6643),
    [anon_sym_enum] = ACTIONS(6643),
    [anon_sym_struct] = ACTIONS(6643),
    [anon_sym_union] = ACTIONS(6643),
    [anon_sym_asm] = ACTIONS(6643),
    [anon_sym___asm__] = ACTIONS(6643),
    [anon_sym___asm] = ACTIONS(6643),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6643),
    [anon_sym___typeof] = ACTIONS(6643),
    [anon_sym_typeof] = ACTIONS(6643),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6643),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6643),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6643),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6643),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6643),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6643),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6643),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6643),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6643),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6643),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6643),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6643),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6643),
    [anon_sym_API_AVAILABLE] = ACTIONS(6643),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6643),
    [anon_sym_API_DEPRECATED] = ACTIONS(6643),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6643),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6643),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6643),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6643),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6643),
    [anon_sym___deprecated_msg] = ACTIONS(6643),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6643),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6643),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6643),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6643),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6643),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6643),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6643),
    [anon_sym_BOOL] = ACTIONS(6643),
    [anon_sym_IMP] = ACTIONS(6643),
    [anon_sym_SEL] = ACTIONS(6643),
    [anon_sym_Class] = ACTIONS(6643),
    [anon_sym_id] = ACTIONS(6643),
  },
  [2678] = {
    [sym_identifier] = ACTIONS(6647),
    [anon_sym_COMMA] = ACTIONS(6649),
    [anon_sym_LPAREN2] = ACTIONS(6649),
    [anon_sym_SEMI] = ACTIONS(6649),
    [anon_sym___extension__] = ACTIONS(6647),
    [anon_sym_extern] = ACTIONS(6647),
    [anon_sym___attribute__] = ACTIONS(6647),
    [anon_sym___attribute] = ACTIONS(6647),
    [anon_sym_noreturn] = ACTIONS(6647),
    [anon_sym_LBRACK] = ACTIONS(6649),
    [anon_sym___declspec] = ACTIONS(6647),
    [anon_sym_LBRACE] = ACTIONS(6649),
    [anon_sym_signed] = ACTIONS(6647),
    [anon_sym_unsigned] = ACTIONS(6647),
    [anon_sym_long] = ACTIONS(6647),
    [anon_sym_short] = ACTIONS(6647),
    [anon_sym_static] = ACTIONS(6647),
    [anon_sym_EQ] = ACTIONS(6649),
    [anon_sym_ATautoreleasepool] = ACTIONS(6649),
    [anon_sym_auto] = ACTIONS(6647),
    [anon_sym_register] = ACTIONS(6647),
    [anon_sym_inline] = ACTIONS(6647),
    [anon_sym___inline] = ACTIONS(6647),
    [anon_sym___inline__] = ACTIONS(6647),
    [anon_sym___forceinline] = ACTIONS(6647),
    [anon_sym_thread_local] = ACTIONS(6647),
    [anon_sym___thread] = ACTIONS(6647),
    [anon_sym_CG_EXTERN] = ACTIONS(6647),
    [anon_sym_CG_INLINE] = ACTIONS(6647),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6647),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6647),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6647),
    [anon_sym_IBOutlet] = ACTIONS(6647),
    [anon_sym_IBInspectable] = ACTIONS(6647),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6647),
    [anon_sym_NS_INLINE] = ACTIONS(6647),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6647),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6647),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6647),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6647),
    [anon_sym_const] = ACTIONS(6647),
    [anon_sym_constexpr] = ACTIONS(6647),
    [anon_sym_volatile] = ACTIONS(6647),
    [anon_sym_restrict] = ACTIONS(6647),
    [anon_sym___restrict__] = ACTIONS(6647),
    [anon_sym__Atomic] = ACTIONS(6647),
    [anon_sym__Noreturn] = ACTIONS(6647),
    [anon_sym__Nonnull] = ACTIONS(6647),
    [anon_sym_nullable] = ACTIONS(6647),
    [anon_sym__Complex] = ACTIONS(6647),
    [anon_sym__Nullable] = ACTIONS(6647),
    [anon_sym__Nullable_result] = ACTIONS(6647),
    [anon_sym__Null_unspecified] = ACTIONS(6647),
    [anon_sym___autoreleasing] = ACTIONS(6647),
    [anon_sym___block] = ACTIONS(6647),
    [anon_sym___bridge] = ACTIONS(6647),
    [anon_sym___bridge_retained] = ACTIONS(6647),
    [anon_sym___bridge_transfer] = ACTIONS(6647),
    [anon_sym___complex] = ACTIONS(6647),
    [anon_sym___const] = ACTIONS(6647),
    [anon_sym___imag] = ACTIONS(6647),
    [anon_sym___kindof] = ACTIONS(6647),
    [anon_sym___nonnull] = ACTIONS(6647),
    [anon_sym___nullable] = ACTIONS(6647),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6647),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6647),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6647),
    [anon_sym___real] = ACTIONS(6647),
    [anon_sym___strong] = ACTIONS(6647),
    [anon_sym___unsafe_unretained] = ACTIONS(6647),
    [anon_sym___unused] = ACTIONS(6647),
    [anon_sym___weak] = ACTIONS(6647),
    [anon_sym_alignas] = ACTIONS(6647),
    [anon_sym__Alignas] = ACTIONS(6647),
    [sym_primitive_type] = ACTIONS(6647),
    [anon_sym_enum] = ACTIONS(6647),
    [anon_sym_struct] = ACTIONS(6647),
    [anon_sym_union] = ACTIONS(6647),
    [anon_sym_asm] = ACTIONS(6647),
    [anon_sym___asm__] = ACTIONS(6647),
    [anon_sym___asm] = ACTIONS(6647),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6647),
    [anon_sym___typeof] = ACTIONS(6647),
    [anon_sym_typeof] = ACTIONS(6647),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6647),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6647),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6647),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6647),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6647),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6647),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6647),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6647),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6647),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6647),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6647),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6647),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6647),
    [anon_sym_API_AVAILABLE] = ACTIONS(6647),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6647),
    [anon_sym_API_DEPRECATED] = ACTIONS(6647),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6647),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6647),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6647),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6647),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6647),
    [anon_sym___deprecated_msg] = ACTIONS(6647),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6647),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6647),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6647),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6647),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6647),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6647),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6647),
    [anon_sym_BOOL] = ACTIONS(6647),
    [anon_sym_IMP] = ACTIONS(6647),
    [anon_sym_SEL] = ACTIONS(6647),
    [anon_sym_Class] = ACTIONS(6647),
    [anon_sym_id] = ACTIONS(6647),
  },
  [2679] = {
    [sym__declaration_modifiers] = STATE(2676),
    [sym_attribute_specifier] = STATE(2676),
    [sym_attribute_declaration] = STATE(2676),
    [sym_ms_declspec_modifier] = STATE(2676),
    [sym_ms_based_modifier] = STATE(6484),
    [sym__type_declarator] = STATE(5279),
    [sym_parenthesized_type_declarator] = STATE(3256),
    [sym_pointer_type_declarator] = STATE(3256),
    [sym_function_type_declarator] = STATE(3256),
    [sym_array_type_declarator] = STATE(3256),
    [sym_storage_class_specifier] = STATE(2676),
    [sym_type_qualifier] = STATE(2676),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2676),
    [sym_block_pointer_type_declarator] = STATE(3256),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2676),
    [sym_identifier] = ACTIONS(5694),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_STAR] = ACTIONS(5698),
    [anon_sym_CARET] = ACTIONS(5700),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(5702),
    [anon_sym_unsigned] = ACTIONS(5702),
    [anon_sym_long] = ACTIONS(5702),
    [anon_sym_short] = ACTIONS(5702),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2680] = {
    [sym_identifier] = ACTIONS(6651),
    [anon_sym_COMMA] = ACTIONS(6653),
    [anon_sym_LPAREN2] = ACTIONS(6653),
    [anon_sym_SEMI] = ACTIONS(6653),
    [anon_sym___extension__] = ACTIONS(6655),
    [anon_sym_extern] = ACTIONS(6655),
    [anon_sym___attribute__] = ACTIONS(6655),
    [anon_sym___attribute] = ACTIONS(6655),
    [anon_sym_noreturn] = ACTIONS(6655),
    [anon_sym_LBRACK] = ACTIONS(6658),
    [anon_sym___declspec] = ACTIONS(6655),
    [anon_sym_LBRACE] = ACTIONS(6658),
    [anon_sym_signed] = ACTIONS(6651),
    [anon_sym_unsigned] = ACTIONS(6651),
    [anon_sym_long] = ACTIONS(6651),
    [anon_sym_short] = ACTIONS(6651),
    [anon_sym_static] = ACTIONS(6655),
    [anon_sym_EQ] = ACTIONS(6653),
    [anon_sym_ATautoreleasepool] = ACTIONS(6658),
    [anon_sym_auto] = ACTIONS(6655),
    [anon_sym_register] = ACTIONS(6655),
    [anon_sym_inline] = ACTIONS(6655),
    [anon_sym___inline] = ACTIONS(6655),
    [anon_sym___inline__] = ACTIONS(6655),
    [anon_sym___forceinline] = ACTIONS(6655),
    [anon_sym_thread_local] = ACTIONS(6655),
    [anon_sym___thread] = ACTIONS(6655),
    [anon_sym_CG_EXTERN] = ACTIONS(6655),
    [anon_sym_CG_INLINE] = ACTIONS(6655),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6655),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6655),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6655),
    [anon_sym_IBOutlet] = ACTIONS(6655),
    [anon_sym_IBInspectable] = ACTIONS(6655),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6655),
    [anon_sym_NS_INLINE] = ACTIONS(6655),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6655),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6655),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6655),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6655),
    [anon_sym_const] = ACTIONS(6655),
    [anon_sym_constexpr] = ACTIONS(6655),
    [anon_sym_volatile] = ACTIONS(6655),
    [anon_sym_restrict] = ACTIONS(6655),
    [anon_sym___restrict__] = ACTIONS(6655),
    [anon_sym__Atomic] = ACTIONS(6655),
    [anon_sym__Noreturn] = ACTIONS(6655),
    [anon_sym__Nonnull] = ACTIONS(6655),
    [anon_sym_nullable] = ACTIONS(6655),
    [anon_sym__Complex] = ACTIONS(6655),
    [anon_sym__Nullable] = ACTIONS(6655),
    [anon_sym__Nullable_result] = ACTIONS(6655),
    [anon_sym__Null_unspecified] = ACTIONS(6655),
    [anon_sym___autoreleasing] = ACTIONS(6655),
    [anon_sym___block] = ACTIONS(6655),
    [anon_sym___bridge] = ACTIONS(6655),
    [anon_sym___bridge_retained] = ACTIONS(6655),
    [anon_sym___bridge_transfer] = ACTIONS(6655),
    [anon_sym___complex] = ACTIONS(6655),
    [anon_sym___const] = ACTIONS(6655),
    [anon_sym___imag] = ACTIONS(6655),
    [anon_sym___kindof] = ACTIONS(6655),
    [anon_sym___nonnull] = ACTIONS(6655),
    [anon_sym___nullable] = ACTIONS(6655),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6655),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6655),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6655),
    [anon_sym___real] = ACTIONS(6655),
    [anon_sym___strong] = ACTIONS(6655),
    [anon_sym___unsafe_unretained] = ACTIONS(6655),
    [anon_sym___unused] = ACTIONS(6655),
    [anon_sym___weak] = ACTIONS(6655),
    [anon_sym_alignas] = ACTIONS(6655),
    [anon_sym__Alignas] = ACTIONS(6655),
    [sym_primitive_type] = ACTIONS(6651),
    [anon_sym_enum] = ACTIONS(6651),
    [anon_sym_struct] = ACTIONS(6651),
    [anon_sym_union] = ACTIONS(6651),
    [anon_sym_asm] = ACTIONS(6661),
    [anon_sym___asm__] = ACTIONS(6661),
    [anon_sym___asm] = ACTIONS(6661),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6651),
    [anon_sym___typeof] = ACTIONS(6651),
    [anon_sym_typeof] = ACTIONS(6651),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6655),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6655),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6655),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6655),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6655),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6655),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6655),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6655),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6655),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6655),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6655),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6655),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6655),
    [anon_sym_API_AVAILABLE] = ACTIONS(6655),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6655),
    [anon_sym_API_DEPRECATED] = ACTIONS(6655),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6655),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6655),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6655),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6655),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6655),
    [anon_sym___deprecated_msg] = ACTIONS(6655),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6655),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6655),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6655),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6655),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6655),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6655),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6655),
    [anon_sym_BOOL] = ACTIONS(6651),
    [anon_sym_IMP] = ACTIONS(6651),
    [anon_sym_SEL] = ACTIONS(6651),
    [anon_sym_Class] = ACTIONS(6651),
    [anon_sym_id] = ACTIONS(6651),
  },
  [2681] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(6484),
    [sym__type_declarator] = STATE(5289),
    [sym_parenthesized_type_declarator] = STATE(3256),
    [sym_pointer_type_declarator] = STATE(3256),
    [sym_function_type_declarator] = STATE(3256),
    [sym_array_type_declarator] = STATE(3256),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_type_declarator] = STATE(3256),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(5694),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_STAR] = ACTIONS(5698),
    [anon_sym_CARET] = ACTIONS(5700),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(5702),
    [anon_sym_unsigned] = ACTIONS(5702),
    [anon_sym_long] = ACTIONS(5702),
    [anon_sym_short] = ACTIONS(5702),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2682] = {
    [sym_expression] = STATE(1456),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_initializer_list] = STATE(1515),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2220),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2222),
    [anon_sym_COMMA] = ACTIONS(2222),
    [anon_sym_LPAREN2] = ACTIONS(2222),
    [anon_sym_BANG] = ACTIONS(6663),
    [anon_sym_TILDE] = ACTIONS(6665),
    [anon_sym_DASH] = ACTIONS(2220),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_STAR] = ACTIONS(2220),
    [anon_sym_SLASH] = ACTIONS(2220),
    [anon_sym_PERCENT] = ACTIONS(2220),
    [anon_sym_PIPE_PIPE] = ACTIONS(2222),
    [anon_sym_AMP_AMP] = ACTIONS(2222),
    [anon_sym_PIPE] = ACTIONS(2220),
    [anon_sym_CARET] = ACTIONS(2220),
    [anon_sym_AMP] = ACTIONS(2220),
    [anon_sym_EQ_EQ] = ACTIONS(2222),
    [anon_sym_BANG_EQ] = ACTIONS(2222),
    [anon_sym_GT] = ACTIONS(2220),
    [anon_sym_GT_EQ] = ACTIONS(2222),
    [anon_sym_LT_EQ] = ACTIONS(2222),
    [anon_sym_LT] = ACTIONS(2220),
    [anon_sym_LT_LT] = ACTIONS(2220),
    [anon_sym_GT_GT] = ACTIONS(2220),
    [anon_sym___extension__] = ACTIONS(6667),
    [anon_sym_LBRACK] = ACTIONS(2222),
    [anon_sym_RBRACK] = ACTIONS(2222),
    [anon_sym_LBRACE] = ACTIONS(2298),
    [anon_sym_EQ] = ACTIONS(2220),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6669),
    [anon_sym___real] = ACTIONS(6669),
    [anon_sym_COLON] = ACTIONS(2222),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_QMARK] = ACTIONS(2222),
    [anon_sym_STAR_EQ] = ACTIONS(2222),
    [anon_sym_SLASH_EQ] = ACTIONS(2222),
    [anon_sym_PERCENT_EQ] = ACTIONS(2222),
    [anon_sym_PLUS_EQ] = ACTIONS(2222),
    [anon_sym_DASH_EQ] = ACTIONS(2222),
    [anon_sym_LT_LT_EQ] = ACTIONS(2222),
    [anon_sym_GT_GT_EQ] = ACTIONS(2222),
    [anon_sym_AMP_EQ] = ACTIONS(2222),
    [anon_sym_CARET_EQ] = ACTIONS(2222),
    [anon_sym_PIPE_EQ] = ACTIONS(2222),
    [anon_sym_DASH_DASH] = ACTIONS(2222),
    [anon_sym_PLUS_PLUS] = ACTIONS(2222),
    [anon_sym_sizeof] = ACTIONS(6671),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [anon_sym_DOT] = ACTIONS(2220),
    [anon_sym_DASH_GT] = ACTIONS(2222),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6673),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [2683] = {
    [sym_identifier] = ACTIONS(6675),
    [anon_sym_COMMA] = ACTIONS(6649),
    [anon_sym_LPAREN2] = ACTIONS(6649),
    [anon_sym_SEMI] = ACTIONS(6649),
    [anon_sym___extension__] = ACTIONS(6677),
    [anon_sym_extern] = ACTIONS(6677),
    [anon_sym___attribute__] = ACTIONS(6677),
    [anon_sym___attribute] = ACTIONS(6677),
    [anon_sym_noreturn] = ACTIONS(6677),
    [anon_sym_LBRACK] = ACTIONS(6680),
    [anon_sym___declspec] = ACTIONS(6677),
    [anon_sym_LBRACE] = ACTIONS(6680),
    [anon_sym_signed] = ACTIONS(6675),
    [anon_sym_unsigned] = ACTIONS(6675),
    [anon_sym_long] = ACTIONS(6675),
    [anon_sym_short] = ACTIONS(6675),
    [anon_sym_static] = ACTIONS(6677),
    [anon_sym_EQ] = ACTIONS(6649),
    [anon_sym_ATautoreleasepool] = ACTIONS(6680),
    [anon_sym_auto] = ACTIONS(6677),
    [anon_sym_register] = ACTIONS(6677),
    [anon_sym_inline] = ACTIONS(6677),
    [anon_sym___inline] = ACTIONS(6677),
    [anon_sym___inline__] = ACTIONS(6677),
    [anon_sym___forceinline] = ACTIONS(6677),
    [anon_sym_thread_local] = ACTIONS(6677),
    [anon_sym___thread] = ACTIONS(6677),
    [anon_sym_CG_EXTERN] = ACTIONS(6677),
    [anon_sym_CG_INLINE] = ACTIONS(6677),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6677),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6677),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6677),
    [anon_sym_IBOutlet] = ACTIONS(6677),
    [anon_sym_IBInspectable] = ACTIONS(6677),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6677),
    [anon_sym_NS_INLINE] = ACTIONS(6677),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6677),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6677),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6677),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6677),
    [anon_sym_const] = ACTIONS(6677),
    [anon_sym_constexpr] = ACTIONS(6677),
    [anon_sym_volatile] = ACTIONS(6677),
    [anon_sym_restrict] = ACTIONS(6677),
    [anon_sym___restrict__] = ACTIONS(6677),
    [anon_sym__Atomic] = ACTIONS(6677),
    [anon_sym__Noreturn] = ACTIONS(6677),
    [anon_sym__Nonnull] = ACTIONS(6677),
    [anon_sym_nullable] = ACTIONS(6677),
    [anon_sym__Complex] = ACTIONS(6677),
    [anon_sym__Nullable] = ACTIONS(6677),
    [anon_sym__Nullable_result] = ACTIONS(6677),
    [anon_sym__Null_unspecified] = ACTIONS(6677),
    [anon_sym___autoreleasing] = ACTIONS(6677),
    [anon_sym___block] = ACTIONS(6677),
    [anon_sym___bridge] = ACTIONS(6677),
    [anon_sym___bridge_retained] = ACTIONS(6677),
    [anon_sym___bridge_transfer] = ACTIONS(6677),
    [anon_sym___complex] = ACTIONS(6677),
    [anon_sym___const] = ACTIONS(6677),
    [anon_sym___imag] = ACTIONS(6677),
    [anon_sym___kindof] = ACTIONS(6677),
    [anon_sym___nonnull] = ACTIONS(6677),
    [anon_sym___nullable] = ACTIONS(6677),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6677),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6677),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6677),
    [anon_sym___real] = ACTIONS(6677),
    [anon_sym___strong] = ACTIONS(6677),
    [anon_sym___unsafe_unretained] = ACTIONS(6677),
    [anon_sym___unused] = ACTIONS(6677),
    [anon_sym___weak] = ACTIONS(6677),
    [anon_sym_alignas] = ACTIONS(6677),
    [anon_sym__Alignas] = ACTIONS(6677),
    [sym_primitive_type] = ACTIONS(6675),
    [anon_sym_enum] = ACTIONS(6675),
    [anon_sym_struct] = ACTIONS(6675),
    [anon_sym_union] = ACTIONS(6675),
    [anon_sym_asm] = ACTIONS(6647),
    [anon_sym___asm__] = ACTIONS(6647),
    [anon_sym___asm] = ACTIONS(6647),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6675),
    [anon_sym___typeof] = ACTIONS(6675),
    [anon_sym_typeof] = ACTIONS(6675),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6677),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6677),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6677),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6677),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6677),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6677),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6677),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6677),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6677),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6677),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6677),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6677),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6677),
    [anon_sym_API_AVAILABLE] = ACTIONS(6677),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6677),
    [anon_sym_API_DEPRECATED] = ACTIONS(6677),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6677),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6677),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6677),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6677),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6677),
    [anon_sym___deprecated_msg] = ACTIONS(6677),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6677),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6677),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6677),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6677),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6677),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6677),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6677),
    [anon_sym_BOOL] = ACTIONS(6675),
    [anon_sym_IMP] = ACTIONS(6675),
    [anon_sym_SEL] = ACTIONS(6675),
    [anon_sym_Class] = ACTIONS(6675),
    [anon_sym_id] = ACTIONS(6675),
  },
  [2684] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(5923),
    [sym__type_declarator] = STATE(3253),
    [sym_parenthesized_type_declarator] = STATE(3256),
    [sym_pointer_type_declarator] = STATE(3256),
    [sym_function_type_declarator] = STATE(3256),
    [sym_array_type_declarator] = STATE(3256),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_type_declarator] = STATE(3256),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(5694),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_STAR] = ACTIONS(5706),
    [anon_sym_CARET] = ACTIONS(5708),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(5702),
    [anon_sym_unsigned] = ACTIONS(5702),
    [anon_sym_long] = ACTIONS(5702),
    [anon_sym_short] = ACTIONS(5702),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2685] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(6484),
    [sym__type_declarator] = STATE(5267),
    [sym_parenthesized_type_declarator] = STATE(3256),
    [sym_pointer_type_declarator] = STATE(3256),
    [sym_function_type_declarator] = STATE(3256),
    [sym_array_type_declarator] = STATE(3256),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_type_declarator] = STATE(3256),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(5694),
    [anon_sym_LPAREN2] = ACTIONS(5696),
    [anon_sym_STAR] = ACTIONS(5698),
    [anon_sym_CARET] = ACTIONS(5700),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(5702),
    [anon_sym_unsigned] = ACTIONS(5702),
    [anon_sym_long] = ACTIONS(5702),
    [anon_sym_short] = ACTIONS(5702),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(5704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2686] = {
    [sym_identifier] = ACTIONS(6661),
    [anon_sym_COMMA] = ACTIONS(6653),
    [anon_sym_LPAREN2] = ACTIONS(6653),
    [anon_sym_SEMI] = ACTIONS(6653),
    [anon_sym___extension__] = ACTIONS(6661),
    [anon_sym_extern] = ACTIONS(6661),
    [anon_sym___attribute__] = ACTIONS(6661),
    [anon_sym___attribute] = ACTIONS(6661),
    [anon_sym_noreturn] = ACTIONS(6661),
    [anon_sym_LBRACK] = ACTIONS(6653),
    [anon_sym___declspec] = ACTIONS(6661),
    [anon_sym_LBRACE] = ACTIONS(6653),
    [anon_sym_signed] = ACTIONS(6661),
    [anon_sym_unsigned] = ACTIONS(6661),
    [anon_sym_long] = ACTIONS(6661),
    [anon_sym_short] = ACTIONS(6661),
    [anon_sym_static] = ACTIONS(6661),
    [anon_sym_EQ] = ACTIONS(6653),
    [anon_sym_ATautoreleasepool] = ACTIONS(6653),
    [anon_sym_auto] = ACTIONS(6661),
    [anon_sym_register] = ACTIONS(6661),
    [anon_sym_inline] = ACTIONS(6661),
    [anon_sym___inline] = ACTIONS(6661),
    [anon_sym___inline__] = ACTIONS(6661),
    [anon_sym___forceinline] = ACTIONS(6661),
    [anon_sym_thread_local] = ACTIONS(6661),
    [anon_sym___thread] = ACTIONS(6661),
    [anon_sym_CG_EXTERN] = ACTIONS(6661),
    [anon_sym_CG_INLINE] = ACTIONS(6661),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6661),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6661),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6661),
    [anon_sym_IBOutlet] = ACTIONS(6661),
    [anon_sym_IBInspectable] = ACTIONS(6661),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6661),
    [anon_sym_NS_INLINE] = ACTIONS(6661),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6661),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6661),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6661),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6661),
    [anon_sym_const] = ACTIONS(6661),
    [anon_sym_constexpr] = ACTIONS(6661),
    [anon_sym_volatile] = ACTIONS(6661),
    [anon_sym_restrict] = ACTIONS(6661),
    [anon_sym___restrict__] = ACTIONS(6661),
    [anon_sym__Atomic] = ACTIONS(6661),
    [anon_sym__Noreturn] = ACTIONS(6661),
    [anon_sym__Nonnull] = ACTIONS(6661),
    [anon_sym_nullable] = ACTIONS(6661),
    [anon_sym__Complex] = ACTIONS(6661),
    [anon_sym__Nullable] = ACTIONS(6661),
    [anon_sym__Nullable_result] = ACTIONS(6661),
    [anon_sym__Null_unspecified] = ACTIONS(6661),
    [anon_sym___autoreleasing] = ACTIONS(6661),
    [anon_sym___block] = ACTIONS(6661),
    [anon_sym___bridge] = ACTIONS(6661),
    [anon_sym___bridge_retained] = ACTIONS(6661),
    [anon_sym___bridge_transfer] = ACTIONS(6661),
    [anon_sym___complex] = ACTIONS(6661),
    [anon_sym___const] = ACTIONS(6661),
    [anon_sym___imag] = ACTIONS(6661),
    [anon_sym___kindof] = ACTIONS(6661),
    [anon_sym___nonnull] = ACTIONS(6661),
    [anon_sym___nullable] = ACTIONS(6661),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6661),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6661),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6661),
    [anon_sym___real] = ACTIONS(6661),
    [anon_sym___strong] = ACTIONS(6661),
    [anon_sym___unsafe_unretained] = ACTIONS(6661),
    [anon_sym___unused] = ACTIONS(6661),
    [anon_sym___weak] = ACTIONS(6661),
    [anon_sym_alignas] = ACTIONS(6661),
    [anon_sym__Alignas] = ACTIONS(6661),
    [sym_primitive_type] = ACTIONS(6661),
    [anon_sym_enum] = ACTIONS(6661),
    [anon_sym_struct] = ACTIONS(6661),
    [anon_sym_union] = ACTIONS(6661),
    [anon_sym_asm] = ACTIONS(6661),
    [anon_sym___asm__] = ACTIONS(6661),
    [anon_sym___asm] = ACTIONS(6661),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6661),
    [anon_sym___typeof] = ACTIONS(6661),
    [anon_sym_typeof] = ACTIONS(6661),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6661),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6661),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6661),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6661),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6661),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6661),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6661),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6661),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6661),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6661),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6661),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6661),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6661),
    [anon_sym_API_AVAILABLE] = ACTIONS(6661),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6661),
    [anon_sym_API_DEPRECATED] = ACTIONS(6661),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6661),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6661),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6661),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6661),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6661),
    [anon_sym___deprecated_msg] = ACTIONS(6661),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6661),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6661),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6661),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6661),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6661),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6661),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6661),
    [anon_sym_BOOL] = ACTIONS(6661),
    [anon_sym_IMP] = ACTIONS(6661),
    [anon_sym_SEL] = ACTIONS(6661),
    [anon_sym_Class] = ACTIONS(6661),
    [anon_sym_id] = ACTIONS(6661),
  },
  [2687] = {
    [sym_attribute_specifier] = STATE(6629),
    [sym_parameter_list] = STATE(2572),
    [aux_sym_c_method_parameter_repeat1] = STATE(2798),
    [sym_identifier] = ACTIONS(6683),
    [anon_sym_COMMA] = ACTIONS(6685),
    [anon_sym_LPAREN2] = ACTIONS(6687),
    [anon_sym_SEMI] = ACTIONS(6685),
    [anon_sym___extension__] = ACTIONS(6683),
    [anon_sym_extern] = ACTIONS(6683),
    [anon_sym___attribute__] = ACTIONS(6683),
    [anon_sym___attribute] = ACTIONS(6683),
    [anon_sym_noreturn] = ACTIONS(6683),
    [anon_sym_LBRACK] = ACTIONS(6689),
    [anon_sym___declspec] = ACTIONS(6683),
    [anon_sym_LBRACE] = ACTIONS(6685),
    [anon_sym_signed] = ACTIONS(6683),
    [anon_sym_unsigned] = ACTIONS(6683),
    [anon_sym_long] = ACTIONS(6683),
    [anon_sym_short] = ACTIONS(6683),
    [anon_sym_static] = ACTIONS(6683),
    [anon_sym_EQ] = ACTIONS(6691),
    [anon_sym_ATautoreleasepool] = ACTIONS(6685),
    [anon_sym_auto] = ACTIONS(6683),
    [anon_sym_register] = ACTIONS(6683),
    [anon_sym_inline] = ACTIONS(6683),
    [anon_sym___inline] = ACTIONS(6683),
    [anon_sym___inline__] = ACTIONS(6683),
    [anon_sym___forceinline] = ACTIONS(6683),
    [anon_sym_thread_local] = ACTIONS(6683),
    [anon_sym___thread] = ACTIONS(6683),
    [anon_sym_CG_EXTERN] = ACTIONS(6683),
    [anon_sym_CG_INLINE] = ACTIONS(6683),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6683),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6683),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6683),
    [anon_sym_IBOutlet] = ACTIONS(6683),
    [anon_sym_IBInspectable] = ACTIONS(6683),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6683),
    [anon_sym_NS_INLINE] = ACTIONS(6683),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6683),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6683),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6683),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6683),
    [anon_sym_const] = ACTIONS(6683),
    [anon_sym_constexpr] = ACTIONS(6683),
    [anon_sym_volatile] = ACTIONS(6683),
    [anon_sym_restrict] = ACTIONS(6683),
    [anon_sym___restrict__] = ACTIONS(6683),
    [anon_sym__Atomic] = ACTIONS(6683),
    [anon_sym__Noreturn] = ACTIONS(6683),
    [anon_sym__Nonnull] = ACTIONS(6683),
    [anon_sym_nullable] = ACTIONS(6683),
    [anon_sym__Complex] = ACTIONS(6683),
    [anon_sym__Nullable] = ACTIONS(6683),
    [anon_sym__Nullable_result] = ACTIONS(6683),
    [anon_sym__Null_unspecified] = ACTIONS(6683),
    [anon_sym___autoreleasing] = ACTIONS(6683),
    [anon_sym___block] = ACTIONS(6683),
    [anon_sym___bridge] = ACTIONS(6683),
    [anon_sym___bridge_retained] = ACTIONS(6683),
    [anon_sym___bridge_transfer] = ACTIONS(6683),
    [anon_sym___complex] = ACTIONS(6683),
    [anon_sym___const] = ACTIONS(6683),
    [anon_sym___imag] = ACTIONS(6683),
    [anon_sym___kindof] = ACTIONS(6683),
    [anon_sym___nonnull] = ACTIONS(6683),
    [anon_sym___nullable] = ACTIONS(6683),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6683),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6683),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6683),
    [anon_sym___real] = ACTIONS(6683),
    [anon_sym___strong] = ACTIONS(6683),
    [anon_sym___unsafe_unretained] = ACTIONS(6683),
    [anon_sym___unused] = ACTIONS(6683),
    [anon_sym___weak] = ACTIONS(6683),
    [anon_sym_alignas] = ACTIONS(6683),
    [anon_sym__Alignas] = ACTIONS(6683),
    [sym_primitive_type] = ACTIONS(6683),
    [anon_sym_enum] = ACTIONS(6683),
    [anon_sym_struct] = ACTIONS(6683),
    [anon_sym_union] = ACTIONS(6683),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6683),
    [anon_sym___typeof] = ACTIONS(6683),
    [anon_sym_typeof] = ACTIONS(6683),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6683),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6683),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6683),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6683),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6683),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6683),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6683),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6683),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6683),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6683),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6683),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6683),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6683),
    [anon_sym_API_AVAILABLE] = ACTIONS(6683),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6683),
    [anon_sym_API_DEPRECATED] = ACTIONS(6683),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6683),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6683),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6683),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6683),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6683),
    [anon_sym___deprecated_msg] = ACTIONS(6683),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6683),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6683),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6683),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6683),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6683),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6683),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6683),
    [anon_sym_BOOL] = ACTIONS(6683),
    [anon_sym_IMP] = ACTIONS(6683),
    [anon_sym_SEL] = ACTIONS(6683),
    [anon_sym_Class] = ACTIONS(6683),
    [anon_sym_id] = ACTIONS(6683),
  },
  [2688] = {
    [sym_attribute_specifier] = STATE(2692),
    [aux_sym_function_declarator_repeat1] = STATE(2692),
    [sym_identifier] = ACTIONS(6693),
    [anon_sym_COMMA] = ACTIONS(6695),
    [anon_sym_LPAREN2] = ACTIONS(6695),
    [anon_sym_SEMI] = ACTIONS(6695),
    [anon_sym___extension__] = ACTIONS(6693),
    [anon_sym_extern] = ACTIONS(6693),
    [anon_sym___attribute__] = ACTIONS(6693),
    [anon_sym___attribute] = ACTIONS(6693),
    [anon_sym_noreturn] = ACTIONS(6693),
    [anon_sym_LBRACK] = ACTIONS(6695),
    [anon_sym___declspec] = ACTIONS(6693),
    [anon_sym_LBRACE] = ACTIONS(6695),
    [anon_sym_signed] = ACTIONS(6693),
    [anon_sym_unsigned] = ACTIONS(6693),
    [anon_sym_long] = ACTIONS(6693),
    [anon_sym_short] = ACTIONS(6693),
    [anon_sym_static] = ACTIONS(6693),
    [anon_sym_EQ] = ACTIONS(6695),
    [anon_sym_ATautoreleasepool] = ACTIONS(6695),
    [anon_sym_auto] = ACTIONS(6693),
    [anon_sym_register] = ACTIONS(6693),
    [anon_sym_inline] = ACTIONS(6693),
    [anon_sym___inline] = ACTIONS(6693),
    [anon_sym___inline__] = ACTIONS(6693),
    [anon_sym___forceinline] = ACTIONS(6693),
    [anon_sym_thread_local] = ACTIONS(6693),
    [anon_sym___thread] = ACTIONS(6693),
    [anon_sym_CG_EXTERN] = ACTIONS(6693),
    [anon_sym_CG_INLINE] = ACTIONS(6693),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6693),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6693),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6693),
    [anon_sym_IBOutlet] = ACTIONS(6693),
    [anon_sym_IBInspectable] = ACTIONS(6693),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6693),
    [anon_sym_NS_INLINE] = ACTIONS(6693),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6693),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6693),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6693),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6693),
    [anon_sym_const] = ACTIONS(6693),
    [anon_sym_constexpr] = ACTIONS(6693),
    [anon_sym_volatile] = ACTIONS(6693),
    [anon_sym_restrict] = ACTIONS(6693),
    [anon_sym___restrict__] = ACTIONS(6693),
    [anon_sym__Atomic] = ACTIONS(6693),
    [anon_sym__Noreturn] = ACTIONS(6693),
    [anon_sym__Nonnull] = ACTIONS(6693),
    [anon_sym_nullable] = ACTIONS(6693),
    [anon_sym__Complex] = ACTIONS(6693),
    [anon_sym__Nullable] = ACTIONS(6693),
    [anon_sym__Nullable_result] = ACTIONS(6693),
    [anon_sym__Null_unspecified] = ACTIONS(6693),
    [anon_sym___autoreleasing] = ACTIONS(6693),
    [anon_sym___block] = ACTIONS(6693),
    [anon_sym___bridge] = ACTIONS(6693),
    [anon_sym___bridge_retained] = ACTIONS(6693),
    [anon_sym___bridge_transfer] = ACTIONS(6693),
    [anon_sym___complex] = ACTIONS(6693),
    [anon_sym___const] = ACTIONS(6693),
    [anon_sym___imag] = ACTIONS(6693),
    [anon_sym___kindof] = ACTIONS(6693),
    [anon_sym___nonnull] = ACTIONS(6693),
    [anon_sym___nullable] = ACTIONS(6693),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6693),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6693),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6693),
    [anon_sym___real] = ACTIONS(6693),
    [anon_sym___strong] = ACTIONS(6693),
    [anon_sym___unsafe_unretained] = ACTIONS(6693),
    [anon_sym___unused] = ACTIONS(6693),
    [anon_sym___weak] = ACTIONS(6693),
    [anon_sym_alignas] = ACTIONS(6693),
    [anon_sym__Alignas] = ACTIONS(6693),
    [sym_primitive_type] = ACTIONS(6693),
    [anon_sym_enum] = ACTIONS(6693),
    [anon_sym_struct] = ACTIONS(6693),
    [anon_sym_union] = ACTIONS(6693),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6693),
    [anon_sym___typeof] = ACTIONS(6693),
    [anon_sym_typeof] = ACTIONS(6693),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6693),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6693),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6693),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6693),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6693),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6693),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6693),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6693),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6693),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6693),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6693),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6693),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6693),
    [anon_sym_API_AVAILABLE] = ACTIONS(6693),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6693),
    [anon_sym_API_DEPRECATED] = ACTIONS(6693),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6693),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6693),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6693),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6693),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6693),
    [anon_sym___deprecated_msg] = ACTIONS(6693),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6693),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6693),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6693),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6693),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6693),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6693),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6693),
    [anon_sym_BOOL] = ACTIONS(6693),
    [anon_sym_IMP] = ACTIONS(6693),
    [anon_sym_SEL] = ACTIONS(6693),
    [anon_sym_Class] = ACTIONS(6693),
    [anon_sym_id] = ACTIONS(6693),
  },
  [2689] = {
    [sym_attribute_specifier] = STATE(6629),
    [sym_parameter_list] = STATE(2572),
    [sym_identifier] = ACTIONS(6697),
    [anon_sym_COMMA] = ACTIONS(6699),
    [anon_sym_LPAREN2] = ACTIONS(6687),
    [anon_sym_SEMI] = ACTIONS(6699),
    [anon_sym___extension__] = ACTIONS(6697),
    [anon_sym_extern] = ACTIONS(6697),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6697),
    [anon_sym_LBRACK] = ACTIONS(6689),
    [anon_sym___declspec] = ACTIONS(6697),
    [anon_sym_LBRACE] = ACTIONS(6699),
    [anon_sym_signed] = ACTIONS(6697),
    [anon_sym_unsigned] = ACTIONS(6697),
    [anon_sym_long] = ACTIONS(6697),
    [anon_sym_short] = ACTIONS(6697),
    [anon_sym_static] = ACTIONS(6697),
    [anon_sym_EQ] = ACTIONS(6691),
    [anon_sym_ATautoreleasepool] = ACTIONS(6699),
    [anon_sym_auto] = ACTIONS(6697),
    [anon_sym_register] = ACTIONS(6697),
    [anon_sym_inline] = ACTIONS(6697),
    [anon_sym___inline] = ACTIONS(6697),
    [anon_sym___inline__] = ACTIONS(6697),
    [anon_sym___forceinline] = ACTIONS(6697),
    [anon_sym_thread_local] = ACTIONS(6697),
    [anon_sym___thread] = ACTIONS(6697),
    [anon_sym_CG_EXTERN] = ACTIONS(6697),
    [anon_sym_CG_INLINE] = ACTIONS(6697),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6697),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6697),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6697),
    [anon_sym_IBOutlet] = ACTIONS(6697),
    [anon_sym_IBInspectable] = ACTIONS(6697),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6697),
    [anon_sym_NS_INLINE] = ACTIONS(6697),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6697),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6697),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6697),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6697),
    [anon_sym_const] = ACTIONS(6697),
    [anon_sym_constexpr] = ACTIONS(6697),
    [anon_sym_volatile] = ACTIONS(6697),
    [anon_sym_restrict] = ACTIONS(6697),
    [anon_sym___restrict__] = ACTIONS(6697),
    [anon_sym__Atomic] = ACTIONS(6697),
    [anon_sym__Noreturn] = ACTIONS(6697),
    [anon_sym__Nonnull] = ACTIONS(6697),
    [anon_sym_nullable] = ACTIONS(6697),
    [anon_sym__Complex] = ACTIONS(6697),
    [anon_sym__Nullable] = ACTIONS(6697),
    [anon_sym__Nullable_result] = ACTIONS(6697),
    [anon_sym__Null_unspecified] = ACTIONS(6697),
    [anon_sym___autoreleasing] = ACTIONS(6697),
    [anon_sym___block] = ACTIONS(6697),
    [anon_sym___bridge] = ACTIONS(6697),
    [anon_sym___bridge_retained] = ACTIONS(6697),
    [anon_sym___bridge_transfer] = ACTIONS(6697),
    [anon_sym___complex] = ACTIONS(6697),
    [anon_sym___const] = ACTIONS(6697),
    [anon_sym___imag] = ACTIONS(6697),
    [anon_sym___kindof] = ACTIONS(6697),
    [anon_sym___nonnull] = ACTIONS(6697),
    [anon_sym___nullable] = ACTIONS(6697),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6697),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6697),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6697),
    [anon_sym___real] = ACTIONS(6697),
    [anon_sym___strong] = ACTIONS(6697),
    [anon_sym___unsafe_unretained] = ACTIONS(6697),
    [anon_sym___unused] = ACTIONS(6697),
    [anon_sym___weak] = ACTIONS(6697),
    [anon_sym_alignas] = ACTIONS(6697),
    [anon_sym__Alignas] = ACTIONS(6697),
    [sym_primitive_type] = ACTIONS(6697),
    [anon_sym_enum] = ACTIONS(6697),
    [anon_sym_struct] = ACTIONS(6697),
    [anon_sym_union] = ACTIONS(6697),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6697),
    [anon_sym___typeof] = ACTIONS(6697),
    [anon_sym_typeof] = ACTIONS(6697),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6697),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6697),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6697),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6697),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6697),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6697),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6697),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6697),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6697),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6697),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6697),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6697),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6697),
    [anon_sym_API_AVAILABLE] = ACTIONS(6697),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6697),
    [anon_sym_API_DEPRECATED] = ACTIONS(6697),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6697),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6697),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6697),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6697),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6697),
    [anon_sym___deprecated_msg] = ACTIONS(6697),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6697),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6697),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6697),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6697),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6697),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6697),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6697),
    [anon_sym_BOOL] = ACTIONS(6697),
    [anon_sym_IMP] = ACTIONS(6697),
    [anon_sym_SEL] = ACTIONS(6697),
    [anon_sym_Class] = ACTIONS(6697),
    [anon_sym_id] = ACTIONS(6697),
  },
  [2690] = {
    [sym_attribute_specifier] = STATE(2691),
    [aux_sym_function_declarator_repeat1] = STATE(2691),
    [sym_identifier] = ACTIONS(6693),
    [anon_sym_COMMA] = ACTIONS(6695),
    [anon_sym_LPAREN2] = ACTIONS(6695),
    [anon_sym_SEMI] = ACTIONS(6695),
    [anon_sym___extension__] = ACTIONS(6693),
    [anon_sym_extern] = ACTIONS(6693),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6693),
    [anon_sym_LBRACK] = ACTIONS(6695),
    [anon_sym___declspec] = ACTIONS(6693),
    [anon_sym_LBRACE] = ACTIONS(6695),
    [anon_sym_signed] = ACTIONS(6693),
    [anon_sym_unsigned] = ACTIONS(6693),
    [anon_sym_long] = ACTIONS(6693),
    [anon_sym_short] = ACTIONS(6693),
    [anon_sym_static] = ACTIONS(6693),
    [anon_sym_EQ] = ACTIONS(6695),
    [anon_sym_ATautoreleasepool] = ACTIONS(6695),
    [anon_sym_auto] = ACTIONS(6693),
    [anon_sym_register] = ACTIONS(6693),
    [anon_sym_inline] = ACTIONS(6693),
    [anon_sym___inline] = ACTIONS(6693),
    [anon_sym___inline__] = ACTIONS(6693),
    [anon_sym___forceinline] = ACTIONS(6693),
    [anon_sym_thread_local] = ACTIONS(6693),
    [anon_sym___thread] = ACTIONS(6693),
    [anon_sym_CG_EXTERN] = ACTIONS(6693),
    [anon_sym_CG_INLINE] = ACTIONS(6693),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6693),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6693),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6693),
    [anon_sym_IBOutlet] = ACTIONS(6693),
    [anon_sym_IBInspectable] = ACTIONS(6693),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6693),
    [anon_sym_NS_INLINE] = ACTIONS(6693),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6693),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6693),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6693),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6693),
    [anon_sym_const] = ACTIONS(6693),
    [anon_sym_constexpr] = ACTIONS(6693),
    [anon_sym_volatile] = ACTIONS(6693),
    [anon_sym_restrict] = ACTIONS(6693),
    [anon_sym___restrict__] = ACTIONS(6693),
    [anon_sym__Atomic] = ACTIONS(6693),
    [anon_sym__Noreturn] = ACTIONS(6693),
    [anon_sym__Nonnull] = ACTIONS(6693),
    [anon_sym_nullable] = ACTIONS(6693),
    [anon_sym__Complex] = ACTIONS(6693),
    [anon_sym__Nullable] = ACTIONS(6693),
    [anon_sym__Nullable_result] = ACTIONS(6693),
    [anon_sym__Null_unspecified] = ACTIONS(6693),
    [anon_sym___autoreleasing] = ACTIONS(6693),
    [anon_sym___block] = ACTIONS(6693),
    [anon_sym___bridge] = ACTIONS(6693),
    [anon_sym___bridge_retained] = ACTIONS(6693),
    [anon_sym___bridge_transfer] = ACTIONS(6693),
    [anon_sym___complex] = ACTIONS(6693),
    [anon_sym___const] = ACTIONS(6693),
    [anon_sym___imag] = ACTIONS(6693),
    [anon_sym___kindof] = ACTIONS(6693),
    [anon_sym___nonnull] = ACTIONS(6693),
    [anon_sym___nullable] = ACTIONS(6693),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6693),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6693),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6693),
    [anon_sym___real] = ACTIONS(6693),
    [anon_sym___strong] = ACTIONS(6693),
    [anon_sym___unsafe_unretained] = ACTIONS(6693),
    [anon_sym___unused] = ACTIONS(6693),
    [anon_sym___weak] = ACTIONS(6693),
    [anon_sym_alignas] = ACTIONS(6693),
    [anon_sym__Alignas] = ACTIONS(6693),
    [sym_primitive_type] = ACTIONS(6693),
    [anon_sym_enum] = ACTIONS(6693),
    [anon_sym_struct] = ACTIONS(6693),
    [anon_sym_union] = ACTIONS(6693),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6693),
    [anon_sym___typeof] = ACTIONS(6693),
    [anon_sym_typeof] = ACTIONS(6693),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6693),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6693),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6693),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6693),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6693),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6693),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6693),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6693),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6693),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6693),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6693),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6693),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6693),
    [anon_sym_API_AVAILABLE] = ACTIONS(6693),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6693),
    [anon_sym_API_DEPRECATED] = ACTIONS(6693),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6693),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6693),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6693),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6693),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6693),
    [anon_sym___deprecated_msg] = ACTIONS(6693),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6693),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6693),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6693),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6693),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6693),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6693),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6693),
    [anon_sym_BOOL] = ACTIONS(6693),
    [anon_sym_IMP] = ACTIONS(6693),
    [anon_sym_SEL] = ACTIONS(6693),
    [anon_sym_Class] = ACTIONS(6693),
    [anon_sym_id] = ACTIONS(6693),
  },
  [2691] = {
    [sym_attribute_specifier] = STATE(2692),
    [aux_sym_function_declarator_repeat1] = STATE(2692),
    [sym_identifier] = ACTIONS(6701),
    [anon_sym_COMMA] = ACTIONS(6703),
    [anon_sym_LPAREN2] = ACTIONS(6703),
    [anon_sym_SEMI] = ACTIONS(6703),
    [anon_sym___extension__] = ACTIONS(6701),
    [anon_sym_extern] = ACTIONS(6701),
    [anon_sym___attribute__] = ACTIONS(6701),
    [anon_sym___attribute] = ACTIONS(6701),
    [anon_sym_noreturn] = ACTIONS(6701),
    [anon_sym_LBRACK] = ACTIONS(6703),
    [anon_sym___declspec] = ACTIONS(6701),
    [anon_sym_LBRACE] = ACTIONS(6703),
    [anon_sym_signed] = ACTIONS(6701),
    [anon_sym_unsigned] = ACTIONS(6701),
    [anon_sym_long] = ACTIONS(6701),
    [anon_sym_short] = ACTIONS(6701),
    [anon_sym_static] = ACTIONS(6701),
    [anon_sym_EQ] = ACTIONS(6703),
    [anon_sym_ATautoreleasepool] = ACTIONS(6703),
    [anon_sym_auto] = ACTIONS(6701),
    [anon_sym_register] = ACTIONS(6701),
    [anon_sym_inline] = ACTIONS(6701),
    [anon_sym___inline] = ACTIONS(6701),
    [anon_sym___inline__] = ACTIONS(6701),
    [anon_sym___forceinline] = ACTIONS(6701),
    [anon_sym_thread_local] = ACTIONS(6701),
    [anon_sym___thread] = ACTIONS(6701),
    [anon_sym_CG_EXTERN] = ACTIONS(6701),
    [anon_sym_CG_INLINE] = ACTIONS(6701),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6701),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6701),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6701),
    [anon_sym_IBOutlet] = ACTIONS(6701),
    [anon_sym_IBInspectable] = ACTIONS(6701),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6701),
    [anon_sym_NS_INLINE] = ACTIONS(6701),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6701),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6701),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6701),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6701),
    [anon_sym_const] = ACTIONS(6701),
    [anon_sym_constexpr] = ACTIONS(6701),
    [anon_sym_volatile] = ACTIONS(6701),
    [anon_sym_restrict] = ACTIONS(6701),
    [anon_sym___restrict__] = ACTIONS(6701),
    [anon_sym__Atomic] = ACTIONS(6701),
    [anon_sym__Noreturn] = ACTIONS(6701),
    [anon_sym__Nonnull] = ACTIONS(6701),
    [anon_sym_nullable] = ACTIONS(6701),
    [anon_sym__Complex] = ACTIONS(6701),
    [anon_sym__Nullable] = ACTIONS(6701),
    [anon_sym__Nullable_result] = ACTIONS(6701),
    [anon_sym__Null_unspecified] = ACTIONS(6701),
    [anon_sym___autoreleasing] = ACTIONS(6701),
    [anon_sym___block] = ACTIONS(6701),
    [anon_sym___bridge] = ACTIONS(6701),
    [anon_sym___bridge_retained] = ACTIONS(6701),
    [anon_sym___bridge_transfer] = ACTIONS(6701),
    [anon_sym___complex] = ACTIONS(6701),
    [anon_sym___const] = ACTIONS(6701),
    [anon_sym___imag] = ACTIONS(6701),
    [anon_sym___kindof] = ACTIONS(6701),
    [anon_sym___nonnull] = ACTIONS(6701),
    [anon_sym___nullable] = ACTIONS(6701),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6701),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6701),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6701),
    [anon_sym___real] = ACTIONS(6701),
    [anon_sym___strong] = ACTIONS(6701),
    [anon_sym___unsafe_unretained] = ACTIONS(6701),
    [anon_sym___unused] = ACTIONS(6701),
    [anon_sym___weak] = ACTIONS(6701),
    [anon_sym_alignas] = ACTIONS(6701),
    [anon_sym__Alignas] = ACTIONS(6701),
    [sym_primitive_type] = ACTIONS(6701),
    [anon_sym_enum] = ACTIONS(6701),
    [anon_sym_struct] = ACTIONS(6701),
    [anon_sym_union] = ACTIONS(6701),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6701),
    [anon_sym___typeof] = ACTIONS(6701),
    [anon_sym_typeof] = ACTIONS(6701),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6701),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6701),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6701),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6701),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6701),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6701),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6701),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6701),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6701),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6701),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6701),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6701),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6701),
    [anon_sym_API_AVAILABLE] = ACTIONS(6701),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6701),
    [anon_sym_API_DEPRECATED] = ACTIONS(6701),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6701),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6701),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6701),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6701),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6701),
    [anon_sym___deprecated_msg] = ACTIONS(6701),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6701),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6701),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6701),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6701),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6701),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6701),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6701),
    [anon_sym_BOOL] = ACTIONS(6701),
    [anon_sym_IMP] = ACTIONS(6701),
    [anon_sym_SEL] = ACTIONS(6701),
    [anon_sym_Class] = ACTIONS(6701),
    [anon_sym_id] = ACTIONS(6701),
  },
  [2692] = {
    [sym_attribute_specifier] = STATE(2692),
    [aux_sym_function_declarator_repeat1] = STATE(2692),
    [sym_identifier] = ACTIONS(6705),
    [anon_sym_COMMA] = ACTIONS(6707),
    [anon_sym_LPAREN2] = ACTIONS(6707),
    [anon_sym_SEMI] = ACTIONS(6707),
    [anon_sym___extension__] = ACTIONS(6705),
    [anon_sym_extern] = ACTIONS(6705),
    [anon_sym___attribute__] = ACTIONS(6709),
    [anon_sym___attribute] = ACTIONS(6709),
    [anon_sym_noreturn] = ACTIONS(6705),
    [anon_sym_LBRACK] = ACTIONS(6707),
    [anon_sym___declspec] = ACTIONS(6705),
    [anon_sym_LBRACE] = ACTIONS(6707),
    [anon_sym_signed] = ACTIONS(6705),
    [anon_sym_unsigned] = ACTIONS(6705),
    [anon_sym_long] = ACTIONS(6705),
    [anon_sym_short] = ACTIONS(6705),
    [anon_sym_static] = ACTIONS(6705),
    [anon_sym_EQ] = ACTIONS(6707),
    [anon_sym_ATautoreleasepool] = ACTIONS(6707),
    [anon_sym_auto] = ACTIONS(6705),
    [anon_sym_register] = ACTIONS(6705),
    [anon_sym_inline] = ACTIONS(6705),
    [anon_sym___inline] = ACTIONS(6705),
    [anon_sym___inline__] = ACTIONS(6705),
    [anon_sym___forceinline] = ACTIONS(6705),
    [anon_sym_thread_local] = ACTIONS(6705),
    [anon_sym___thread] = ACTIONS(6705),
    [anon_sym_CG_EXTERN] = ACTIONS(6705),
    [anon_sym_CG_INLINE] = ACTIONS(6705),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6705),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6705),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6705),
    [anon_sym_IBOutlet] = ACTIONS(6705),
    [anon_sym_IBInspectable] = ACTIONS(6705),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6705),
    [anon_sym_NS_INLINE] = ACTIONS(6705),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6705),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6705),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6705),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6705),
    [anon_sym_const] = ACTIONS(6705),
    [anon_sym_constexpr] = ACTIONS(6705),
    [anon_sym_volatile] = ACTIONS(6705),
    [anon_sym_restrict] = ACTIONS(6705),
    [anon_sym___restrict__] = ACTIONS(6705),
    [anon_sym__Atomic] = ACTIONS(6705),
    [anon_sym__Noreturn] = ACTIONS(6705),
    [anon_sym__Nonnull] = ACTIONS(6705),
    [anon_sym_nullable] = ACTIONS(6705),
    [anon_sym__Complex] = ACTIONS(6705),
    [anon_sym__Nullable] = ACTIONS(6705),
    [anon_sym__Nullable_result] = ACTIONS(6705),
    [anon_sym__Null_unspecified] = ACTIONS(6705),
    [anon_sym___autoreleasing] = ACTIONS(6705),
    [anon_sym___block] = ACTIONS(6705),
    [anon_sym___bridge] = ACTIONS(6705),
    [anon_sym___bridge_retained] = ACTIONS(6705),
    [anon_sym___bridge_transfer] = ACTIONS(6705),
    [anon_sym___complex] = ACTIONS(6705),
    [anon_sym___const] = ACTIONS(6705),
    [anon_sym___imag] = ACTIONS(6705),
    [anon_sym___kindof] = ACTIONS(6705),
    [anon_sym___nonnull] = ACTIONS(6705),
    [anon_sym___nullable] = ACTIONS(6705),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6705),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6705),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6705),
    [anon_sym___real] = ACTIONS(6705),
    [anon_sym___strong] = ACTIONS(6705),
    [anon_sym___unsafe_unretained] = ACTIONS(6705),
    [anon_sym___unused] = ACTIONS(6705),
    [anon_sym___weak] = ACTIONS(6705),
    [anon_sym_alignas] = ACTIONS(6705),
    [anon_sym__Alignas] = ACTIONS(6705),
    [sym_primitive_type] = ACTIONS(6705),
    [anon_sym_enum] = ACTIONS(6705),
    [anon_sym_struct] = ACTIONS(6705),
    [anon_sym_union] = ACTIONS(6705),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6705),
    [anon_sym___typeof] = ACTIONS(6705),
    [anon_sym_typeof] = ACTIONS(6705),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6705),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6705),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6705),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6705),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6705),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6705),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6705),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6705),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6705),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6705),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6705),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6705),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6705),
    [anon_sym_API_AVAILABLE] = ACTIONS(6705),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6705),
    [anon_sym_API_DEPRECATED] = ACTIONS(6705),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6705),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6705),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6705),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6705),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6705),
    [anon_sym___deprecated_msg] = ACTIONS(6705),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6705),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6705),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6705),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6705),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6705),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6705),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6705),
    [anon_sym_BOOL] = ACTIONS(6705),
    [anon_sym_IMP] = ACTIONS(6705),
    [anon_sym_SEL] = ACTIONS(6705),
    [anon_sym_Class] = ACTIONS(6705),
    [anon_sym_id] = ACTIONS(6705),
  },
  [2693] = {
    [sym_identifier] = ACTIONS(4244),
    [anon_sym_LPAREN2] = ACTIONS(4246),
    [anon_sym___extension__] = ACTIONS(4244),
    [anon_sym_extern] = ACTIONS(4244),
    [anon_sym___attribute__] = ACTIONS(4244),
    [anon_sym___attribute] = ACTIONS(4244),
    [anon_sym_noreturn] = ACTIONS(4244),
    [anon_sym_LBRACK] = ACTIONS(4246),
    [anon_sym___declspec] = ACTIONS(4244),
    [anon_sym___cdecl] = ACTIONS(4244),
    [anon_sym___clrcall] = ACTIONS(4244),
    [anon_sym___stdcall] = ACTIONS(4244),
    [anon_sym___fastcall] = ACTIONS(4244),
    [anon_sym___thiscall] = ACTIONS(4244),
    [anon_sym___vectorcall] = ACTIONS(4244),
    [anon_sym_LBRACE] = ACTIONS(4246),
    [anon_sym_signed] = ACTIONS(4244),
    [anon_sym_unsigned] = ACTIONS(4244),
    [anon_sym_long] = ACTIONS(4244),
    [anon_sym_short] = ACTIONS(4244),
    [anon_sym_static] = ACTIONS(4244),
    [anon_sym_auto] = ACTIONS(4244),
    [anon_sym_register] = ACTIONS(4244),
    [anon_sym_inline] = ACTIONS(4244),
    [anon_sym___inline] = ACTIONS(4244),
    [anon_sym___inline__] = ACTIONS(4244),
    [anon_sym___forceinline] = ACTIONS(4244),
    [anon_sym_thread_local] = ACTIONS(4244),
    [anon_sym___thread] = ACTIONS(4244),
    [anon_sym_CG_EXTERN] = ACTIONS(4244),
    [anon_sym_CG_INLINE] = ACTIONS(4244),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4244),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4244),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4244),
    [anon_sym_IBOutlet] = ACTIONS(4244),
    [anon_sym_IBInspectable] = ACTIONS(4244),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4244),
    [anon_sym_NS_INLINE] = ACTIONS(4244),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4244),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4244),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4244),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4244),
    [anon_sym_const] = ACTIONS(4244),
    [anon_sym_constexpr] = ACTIONS(4244),
    [anon_sym_volatile] = ACTIONS(4244),
    [anon_sym_restrict] = ACTIONS(4244),
    [anon_sym___restrict__] = ACTIONS(4244),
    [anon_sym__Atomic] = ACTIONS(4244),
    [anon_sym__Noreturn] = ACTIONS(4244),
    [anon_sym__Nonnull] = ACTIONS(4244),
    [anon_sym_nullable] = ACTIONS(4244),
    [anon_sym__Complex] = ACTIONS(4244),
    [anon_sym__Nullable] = ACTIONS(4244),
    [anon_sym__Nullable_result] = ACTIONS(4244),
    [anon_sym__Null_unspecified] = ACTIONS(4244),
    [anon_sym___autoreleasing] = ACTIONS(4244),
    [anon_sym___block] = ACTIONS(4244),
    [anon_sym___bridge] = ACTIONS(4244),
    [anon_sym___bridge_retained] = ACTIONS(4244),
    [anon_sym___bridge_transfer] = ACTIONS(4244),
    [anon_sym___complex] = ACTIONS(4244),
    [anon_sym___const] = ACTIONS(4244),
    [anon_sym___imag] = ACTIONS(4244),
    [anon_sym___kindof] = ACTIONS(4244),
    [anon_sym___nonnull] = ACTIONS(4244),
    [anon_sym___nullable] = ACTIONS(4244),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4244),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4244),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4244),
    [anon_sym___real] = ACTIONS(4244),
    [anon_sym___strong] = ACTIONS(4244),
    [anon_sym___unsafe_unretained] = ACTIONS(4244),
    [anon_sym___unused] = ACTIONS(4244),
    [anon_sym___weak] = ACTIONS(4244),
    [anon_sym_alignas] = ACTIONS(4244),
    [anon_sym__Alignas] = ACTIONS(4244),
    [sym_primitive_type] = ACTIONS(4244),
    [anon_sym_enum] = ACTIONS(4244),
    [anon_sym_struct] = ACTIONS(4244),
    [anon_sym_union] = ACTIONS(4244),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4244),
    [anon_sym___typeof] = ACTIONS(4244),
    [anon_sym_typeof] = ACTIONS(4244),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4244),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4244),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4244),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4244),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4244),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4244),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4244),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4244),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4244),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4244),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4244),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4244),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4244),
    [anon_sym_API_AVAILABLE] = ACTIONS(4244),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4244),
    [anon_sym_API_DEPRECATED] = ACTIONS(4244),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4244),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4244),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4244),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4244),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4244),
    [anon_sym___deprecated_msg] = ACTIONS(4244),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4244),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4244),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4244),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4244),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4244),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4244),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4244),
    [anon_sym_BOOL] = ACTIONS(4244),
    [anon_sym_IMP] = ACTIONS(4244),
    [anon_sym_SEL] = ACTIONS(4244),
    [anon_sym_Class] = ACTIONS(4244),
    [anon_sym_id] = ACTIONS(4244),
  },
  [2694] = {
    [sym_expression] = STATE(1456),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_initializer_list] = STATE(1515),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2222),
    [anon_sym_COMMA] = ACTIONS(2222),
    [anon_sym_RPAREN] = ACTIONS(2222),
    [anon_sym_LPAREN2] = ACTIONS(2222),
    [anon_sym_BANG] = ACTIONS(6712),
    [anon_sym_TILDE] = ACTIONS(6714),
    [anon_sym_DASH] = ACTIONS(2220),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_STAR] = ACTIONS(2220),
    [anon_sym_SLASH] = ACTIONS(2220),
    [anon_sym_PERCENT] = ACTIONS(2220),
    [anon_sym_PIPE_PIPE] = ACTIONS(2222),
    [anon_sym_AMP_AMP] = ACTIONS(2222),
    [anon_sym_PIPE] = ACTIONS(2220),
    [anon_sym_CARET] = ACTIONS(2220),
    [anon_sym_AMP] = ACTIONS(2220),
    [anon_sym_EQ_EQ] = ACTIONS(2222),
    [anon_sym_BANG_EQ] = ACTIONS(2222),
    [anon_sym_GT] = ACTIONS(2220),
    [anon_sym_GT_EQ] = ACTIONS(2222),
    [anon_sym_LT_EQ] = ACTIONS(2222),
    [anon_sym_LT] = ACTIONS(2220),
    [anon_sym_LT_LT] = ACTIONS(2220),
    [anon_sym_GT_GT] = ACTIONS(2220),
    [anon_sym___extension__] = ACTIONS(6716),
    [anon_sym_LBRACK] = ACTIONS(2222),
    [anon_sym_LBRACE] = ACTIONS(2298),
    [anon_sym_EQ] = ACTIONS(2220),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6718),
    [anon_sym___real] = ACTIONS(6718),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_QMARK] = ACTIONS(2222),
    [anon_sym_STAR_EQ] = ACTIONS(2222),
    [anon_sym_SLASH_EQ] = ACTIONS(2222),
    [anon_sym_PERCENT_EQ] = ACTIONS(2222),
    [anon_sym_PLUS_EQ] = ACTIONS(2222),
    [anon_sym_DASH_EQ] = ACTIONS(2222),
    [anon_sym_LT_LT_EQ] = ACTIONS(2222),
    [anon_sym_GT_GT_EQ] = ACTIONS(2222),
    [anon_sym_AMP_EQ] = ACTIONS(2222),
    [anon_sym_CARET_EQ] = ACTIONS(2222),
    [anon_sym_PIPE_EQ] = ACTIONS(2222),
    [anon_sym_DASH_DASH] = ACTIONS(2222),
    [anon_sym_PLUS_PLUS] = ACTIONS(2222),
    [anon_sym_sizeof] = ACTIONS(6720),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [anon_sym_DOT] = ACTIONS(2220),
    [anon_sym_DASH_GT] = ACTIONS(2222),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6722),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(6724),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [2695] = {
    [sym_identifier] = ACTIONS(6583),
    [aux_sym_preproc_def_token1] = ACTIONS(6583),
    [aux_sym_preproc_if_token1] = ACTIONS(6583),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6583),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6583),
    [sym_preproc_directive] = ACTIONS(6583),
    [anon_sym___extension__] = ACTIONS(6583),
    [anon_sym_extern] = ACTIONS(6583),
    [anon_sym___attribute__] = ACTIONS(6583),
    [anon_sym___attribute] = ACTIONS(6583),
    [anon_sym_noreturn] = ACTIONS(6583),
    [anon_sym_LBRACK] = ACTIONS(6585),
    [anon_sym___declspec] = ACTIONS(6583),
    [anon_sym_RBRACE] = ACTIONS(6585),
    [anon_sym_signed] = ACTIONS(6583),
    [anon_sym_unsigned] = ACTIONS(6583),
    [anon_sym_long] = ACTIONS(6583),
    [anon_sym_short] = ACTIONS(6583),
    [anon_sym_static] = ACTIONS(6583),
    [anon_sym_auto] = ACTIONS(6583),
    [anon_sym_register] = ACTIONS(6583),
    [anon_sym_inline] = ACTIONS(6583),
    [anon_sym___inline] = ACTIONS(6583),
    [anon_sym___inline__] = ACTIONS(6583),
    [anon_sym___forceinline] = ACTIONS(6583),
    [anon_sym_thread_local] = ACTIONS(6583),
    [anon_sym___thread] = ACTIONS(6583),
    [anon_sym_CG_EXTERN] = ACTIONS(6583),
    [anon_sym_CG_INLINE] = ACTIONS(6583),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6583),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6583),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6583),
    [anon_sym_IBOutlet] = ACTIONS(6583),
    [anon_sym_IBInspectable] = ACTIONS(6583),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6583),
    [anon_sym_NS_INLINE] = ACTIONS(6583),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6583),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6583),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6583),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6583),
    [anon_sym_const] = ACTIONS(6583),
    [anon_sym_constexpr] = ACTIONS(6583),
    [anon_sym_volatile] = ACTIONS(6583),
    [anon_sym_restrict] = ACTIONS(6583),
    [anon_sym___restrict__] = ACTIONS(6583),
    [anon_sym__Atomic] = ACTIONS(6583),
    [anon_sym__Noreturn] = ACTIONS(6583),
    [anon_sym__Nonnull] = ACTIONS(6583),
    [anon_sym_nullable] = ACTIONS(6583),
    [anon_sym__Complex] = ACTIONS(6583),
    [anon_sym__Nullable] = ACTIONS(6583),
    [anon_sym__Nullable_result] = ACTIONS(6583),
    [anon_sym__Null_unspecified] = ACTIONS(6583),
    [anon_sym___autoreleasing] = ACTIONS(6583),
    [anon_sym___block] = ACTIONS(6583),
    [anon_sym___bridge] = ACTIONS(6583),
    [anon_sym___bridge_retained] = ACTIONS(6583),
    [anon_sym___bridge_transfer] = ACTIONS(6583),
    [anon_sym___complex] = ACTIONS(6583),
    [anon_sym___const] = ACTIONS(6583),
    [anon_sym___imag] = ACTIONS(6583),
    [anon_sym___kindof] = ACTIONS(6583),
    [anon_sym___nonnull] = ACTIONS(6583),
    [anon_sym___nullable] = ACTIONS(6583),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6583),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6583),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6583),
    [anon_sym___real] = ACTIONS(6583),
    [anon_sym___strong] = ACTIONS(6583),
    [anon_sym___unsafe_unretained] = ACTIONS(6583),
    [anon_sym___unused] = ACTIONS(6583),
    [anon_sym___weak] = ACTIONS(6583),
    [anon_sym_alignas] = ACTIONS(6583),
    [anon_sym__Alignas] = ACTIONS(6583),
    [sym_primitive_type] = ACTIONS(6583),
    [anon_sym_enum] = ACTIONS(6583),
    [anon_sym_struct] = ACTIONS(6583),
    [anon_sym_union] = ACTIONS(6583),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6583),
    [anon_sym___typeof] = ACTIONS(6583),
    [anon_sym_typeof] = ACTIONS(6583),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6583),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6583),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6583),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6583),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6583),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6583),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6583),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6583),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6583),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6583),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6583),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6583),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6583),
    [anon_sym_API_AVAILABLE] = ACTIONS(6583),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6583),
    [anon_sym_API_DEPRECATED] = ACTIONS(6583),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6583),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6583),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6583),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6583),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6583),
    [anon_sym___deprecated_msg] = ACTIONS(6583),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6583),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6583),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6583),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6583),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6583),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6583),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6583),
    [anon_sym_BOOL] = ACTIONS(6583),
    [anon_sym_IMP] = ACTIONS(6583),
    [anon_sym_SEL] = ACTIONS(6583),
    [anon_sym_Class] = ACTIONS(6583),
    [anon_sym_id] = ACTIONS(6583),
    [anon_sym_ATdefs] = ACTIONS(6585),
  },
  [2696] = {
    [sym_identifier] = ACTIONS(6499),
    [aux_sym_preproc_def_token1] = ACTIONS(6499),
    [aux_sym_preproc_if_token1] = ACTIONS(6499),
    [aux_sym_preproc_if_token2] = ACTIONS(6499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6499),
    [sym_preproc_directive] = ACTIONS(6499),
    [anon_sym___extension__] = ACTIONS(6499),
    [anon_sym_extern] = ACTIONS(6499),
    [anon_sym___attribute__] = ACTIONS(6499),
    [anon_sym___attribute] = ACTIONS(6499),
    [anon_sym_noreturn] = ACTIONS(6499),
    [anon_sym_LBRACK] = ACTIONS(6501),
    [anon_sym___declspec] = ACTIONS(6499),
    [anon_sym_signed] = ACTIONS(6499),
    [anon_sym_unsigned] = ACTIONS(6499),
    [anon_sym_long] = ACTIONS(6499),
    [anon_sym_short] = ACTIONS(6499),
    [anon_sym_static] = ACTIONS(6499),
    [anon_sym_auto] = ACTIONS(6499),
    [anon_sym_register] = ACTIONS(6499),
    [anon_sym_inline] = ACTIONS(6499),
    [anon_sym___inline] = ACTIONS(6499),
    [anon_sym___inline__] = ACTIONS(6499),
    [anon_sym___forceinline] = ACTIONS(6499),
    [anon_sym_thread_local] = ACTIONS(6499),
    [anon_sym___thread] = ACTIONS(6499),
    [anon_sym_CG_EXTERN] = ACTIONS(6499),
    [anon_sym_CG_INLINE] = ACTIONS(6499),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6499),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6499),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6499),
    [anon_sym_IBOutlet] = ACTIONS(6499),
    [anon_sym_IBInspectable] = ACTIONS(6499),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6499),
    [anon_sym_NS_INLINE] = ACTIONS(6499),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6499),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6499),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6499),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6499),
    [anon_sym_const] = ACTIONS(6499),
    [anon_sym_constexpr] = ACTIONS(6499),
    [anon_sym_volatile] = ACTIONS(6499),
    [anon_sym_restrict] = ACTIONS(6499),
    [anon_sym___restrict__] = ACTIONS(6499),
    [anon_sym__Atomic] = ACTIONS(6499),
    [anon_sym__Noreturn] = ACTIONS(6499),
    [anon_sym__Nonnull] = ACTIONS(6499),
    [anon_sym_nullable] = ACTIONS(6499),
    [anon_sym__Complex] = ACTIONS(6499),
    [anon_sym__Nullable] = ACTIONS(6499),
    [anon_sym__Nullable_result] = ACTIONS(6499),
    [anon_sym__Null_unspecified] = ACTIONS(6499),
    [anon_sym___autoreleasing] = ACTIONS(6499),
    [anon_sym___block] = ACTIONS(6499),
    [anon_sym___bridge] = ACTIONS(6499),
    [anon_sym___bridge_retained] = ACTIONS(6499),
    [anon_sym___bridge_transfer] = ACTIONS(6499),
    [anon_sym___complex] = ACTIONS(6499),
    [anon_sym___const] = ACTIONS(6499),
    [anon_sym___imag] = ACTIONS(6499),
    [anon_sym___kindof] = ACTIONS(6499),
    [anon_sym___nonnull] = ACTIONS(6499),
    [anon_sym___nullable] = ACTIONS(6499),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6499),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6499),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6499),
    [anon_sym___real] = ACTIONS(6499),
    [anon_sym___strong] = ACTIONS(6499),
    [anon_sym___unsafe_unretained] = ACTIONS(6499),
    [anon_sym___unused] = ACTIONS(6499),
    [anon_sym___weak] = ACTIONS(6499),
    [anon_sym_alignas] = ACTIONS(6499),
    [anon_sym__Alignas] = ACTIONS(6499),
    [sym_primitive_type] = ACTIONS(6499),
    [anon_sym_enum] = ACTIONS(6499),
    [anon_sym_struct] = ACTIONS(6499),
    [anon_sym_union] = ACTIONS(6499),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6499),
    [anon_sym___typeof] = ACTIONS(6499),
    [anon_sym_typeof] = ACTIONS(6499),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6499),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6499),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6499),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6499),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6499),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6499),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6499),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6499),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6499),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6499),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6499),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6499),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6499),
    [anon_sym_API_AVAILABLE] = ACTIONS(6499),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6499),
    [anon_sym_API_DEPRECATED] = ACTIONS(6499),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6499),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6499),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6499),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6499),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6499),
    [anon_sym___deprecated_msg] = ACTIONS(6499),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6499),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6499),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6499),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6499),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6499),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6499),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6499),
    [anon_sym_BOOL] = ACTIONS(6499),
    [anon_sym_IMP] = ACTIONS(6499),
    [anon_sym_SEL] = ACTIONS(6499),
    [anon_sym_Class] = ACTIONS(6499),
    [anon_sym_id] = ACTIONS(6499),
    [anon_sym_ATdefs] = ACTIONS(6501),
  },
  [2697] = {
    [sym_identifier] = ACTIONS(6615),
    [aux_sym_preproc_def_token1] = ACTIONS(6615),
    [aux_sym_preproc_if_token1] = ACTIONS(6615),
    [aux_sym_preproc_if_token2] = ACTIONS(6615),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6615),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6615),
    [sym_preproc_directive] = ACTIONS(6615),
    [anon_sym___extension__] = ACTIONS(6615),
    [anon_sym_extern] = ACTIONS(6615),
    [anon_sym___attribute__] = ACTIONS(6615),
    [anon_sym___attribute] = ACTIONS(6615),
    [anon_sym_noreturn] = ACTIONS(6615),
    [anon_sym_LBRACK] = ACTIONS(6617),
    [anon_sym___declspec] = ACTIONS(6615),
    [anon_sym_signed] = ACTIONS(6615),
    [anon_sym_unsigned] = ACTIONS(6615),
    [anon_sym_long] = ACTIONS(6615),
    [anon_sym_short] = ACTIONS(6615),
    [anon_sym_static] = ACTIONS(6615),
    [anon_sym_auto] = ACTIONS(6615),
    [anon_sym_register] = ACTIONS(6615),
    [anon_sym_inline] = ACTIONS(6615),
    [anon_sym___inline] = ACTIONS(6615),
    [anon_sym___inline__] = ACTIONS(6615),
    [anon_sym___forceinline] = ACTIONS(6615),
    [anon_sym_thread_local] = ACTIONS(6615),
    [anon_sym___thread] = ACTIONS(6615),
    [anon_sym_CG_EXTERN] = ACTIONS(6615),
    [anon_sym_CG_INLINE] = ACTIONS(6615),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6615),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6615),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6615),
    [anon_sym_IBOutlet] = ACTIONS(6615),
    [anon_sym_IBInspectable] = ACTIONS(6615),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6615),
    [anon_sym_NS_INLINE] = ACTIONS(6615),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6615),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6615),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6615),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6615),
    [anon_sym_const] = ACTIONS(6615),
    [anon_sym_constexpr] = ACTIONS(6615),
    [anon_sym_volatile] = ACTIONS(6615),
    [anon_sym_restrict] = ACTIONS(6615),
    [anon_sym___restrict__] = ACTIONS(6615),
    [anon_sym__Atomic] = ACTIONS(6615),
    [anon_sym__Noreturn] = ACTIONS(6615),
    [anon_sym__Nonnull] = ACTIONS(6615),
    [anon_sym_nullable] = ACTIONS(6615),
    [anon_sym__Complex] = ACTIONS(6615),
    [anon_sym__Nullable] = ACTIONS(6615),
    [anon_sym__Nullable_result] = ACTIONS(6615),
    [anon_sym__Null_unspecified] = ACTIONS(6615),
    [anon_sym___autoreleasing] = ACTIONS(6615),
    [anon_sym___block] = ACTIONS(6615),
    [anon_sym___bridge] = ACTIONS(6615),
    [anon_sym___bridge_retained] = ACTIONS(6615),
    [anon_sym___bridge_transfer] = ACTIONS(6615),
    [anon_sym___complex] = ACTIONS(6615),
    [anon_sym___const] = ACTIONS(6615),
    [anon_sym___imag] = ACTIONS(6615),
    [anon_sym___kindof] = ACTIONS(6615),
    [anon_sym___nonnull] = ACTIONS(6615),
    [anon_sym___nullable] = ACTIONS(6615),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6615),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6615),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6615),
    [anon_sym___real] = ACTIONS(6615),
    [anon_sym___strong] = ACTIONS(6615),
    [anon_sym___unsafe_unretained] = ACTIONS(6615),
    [anon_sym___unused] = ACTIONS(6615),
    [anon_sym___weak] = ACTIONS(6615),
    [anon_sym_alignas] = ACTIONS(6615),
    [anon_sym__Alignas] = ACTIONS(6615),
    [sym_primitive_type] = ACTIONS(6615),
    [anon_sym_enum] = ACTIONS(6615),
    [anon_sym_struct] = ACTIONS(6615),
    [anon_sym_union] = ACTIONS(6615),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6615),
    [anon_sym___typeof] = ACTIONS(6615),
    [anon_sym_typeof] = ACTIONS(6615),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6615),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6615),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6615),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6615),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6615),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6615),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6615),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6615),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6615),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6615),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6615),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6615),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6615),
    [anon_sym_API_AVAILABLE] = ACTIONS(6615),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6615),
    [anon_sym_API_DEPRECATED] = ACTIONS(6615),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6615),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6615),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6615),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6615),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6615),
    [anon_sym___deprecated_msg] = ACTIONS(6615),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6615),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6615),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6615),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6615),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6615),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6615),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6615),
    [anon_sym_BOOL] = ACTIONS(6615),
    [anon_sym_IMP] = ACTIONS(6615),
    [anon_sym_SEL] = ACTIONS(6615),
    [anon_sym_Class] = ACTIONS(6615),
    [anon_sym_id] = ACTIONS(6615),
    [anon_sym_ATdefs] = ACTIONS(6617),
  },
  [2698] = {
    [sym_identifier] = ACTIONS(6563),
    [aux_sym_preproc_def_token1] = ACTIONS(6563),
    [aux_sym_preproc_if_token1] = ACTIONS(6563),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6563),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6563),
    [sym_preproc_directive] = ACTIONS(6563),
    [anon_sym___extension__] = ACTIONS(6563),
    [anon_sym_extern] = ACTIONS(6563),
    [anon_sym___attribute__] = ACTIONS(6563),
    [anon_sym___attribute] = ACTIONS(6563),
    [anon_sym_noreturn] = ACTIONS(6563),
    [anon_sym_LBRACK] = ACTIONS(6565),
    [anon_sym___declspec] = ACTIONS(6563),
    [anon_sym_RBRACE] = ACTIONS(6565),
    [anon_sym_signed] = ACTIONS(6563),
    [anon_sym_unsigned] = ACTIONS(6563),
    [anon_sym_long] = ACTIONS(6563),
    [anon_sym_short] = ACTIONS(6563),
    [anon_sym_static] = ACTIONS(6563),
    [anon_sym_auto] = ACTIONS(6563),
    [anon_sym_register] = ACTIONS(6563),
    [anon_sym_inline] = ACTIONS(6563),
    [anon_sym___inline] = ACTIONS(6563),
    [anon_sym___inline__] = ACTIONS(6563),
    [anon_sym___forceinline] = ACTIONS(6563),
    [anon_sym_thread_local] = ACTIONS(6563),
    [anon_sym___thread] = ACTIONS(6563),
    [anon_sym_CG_EXTERN] = ACTIONS(6563),
    [anon_sym_CG_INLINE] = ACTIONS(6563),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6563),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6563),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6563),
    [anon_sym_IBOutlet] = ACTIONS(6563),
    [anon_sym_IBInspectable] = ACTIONS(6563),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6563),
    [anon_sym_NS_INLINE] = ACTIONS(6563),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6563),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6563),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6563),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6563),
    [anon_sym_const] = ACTIONS(6563),
    [anon_sym_constexpr] = ACTIONS(6563),
    [anon_sym_volatile] = ACTIONS(6563),
    [anon_sym_restrict] = ACTIONS(6563),
    [anon_sym___restrict__] = ACTIONS(6563),
    [anon_sym__Atomic] = ACTIONS(6563),
    [anon_sym__Noreturn] = ACTIONS(6563),
    [anon_sym__Nonnull] = ACTIONS(6563),
    [anon_sym_nullable] = ACTIONS(6563),
    [anon_sym__Complex] = ACTIONS(6563),
    [anon_sym__Nullable] = ACTIONS(6563),
    [anon_sym__Nullable_result] = ACTIONS(6563),
    [anon_sym__Null_unspecified] = ACTIONS(6563),
    [anon_sym___autoreleasing] = ACTIONS(6563),
    [anon_sym___block] = ACTIONS(6563),
    [anon_sym___bridge] = ACTIONS(6563),
    [anon_sym___bridge_retained] = ACTIONS(6563),
    [anon_sym___bridge_transfer] = ACTIONS(6563),
    [anon_sym___complex] = ACTIONS(6563),
    [anon_sym___const] = ACTIONS(6563),
    [anon_sym___imag] = ACTIONS(6563),
    [anon_sym___kindof] = ACTIONS(6563),
    [anon_sym___nonnull] = ACTIONS(6563),
    [anon_sym___nullable] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6563),
    [anon_sym___real] = ACTIONS(6563),
    [anon_sym___strong] = ACTIONS(6563),
    [anon_sym___unsafe_unretained] = ACTIONS(6563),
    [anon_sym___unused] = ACTIONS(6563),
    [anon_sym___weak] = ACTIONS(6563),
    [anon_sym_alignas] = ACTIONS(6563),
    [anon_sym__Alignas] = ACTIONS(6563),
    [sym_primitive_type] = ACTIONS(6563),
    [anon_sym_enum] = ACTIONS(6563),
    [anon_sym_struct] = ACTIONS(6563),
    [anon_sym_union] = ACTIONS(6563),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6563),
    [anon_sym___typeof] = ACTIONS(6563),
    [anon_sym_typeof] = ACTIONS(6563),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6563),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6563),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6563),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6563),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6563),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6563),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6563),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_API_AVAILABLE] = ACTIONS(6563),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_API_DEPRECATED] = ACTIONS(6563),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6563),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym___deprecated_msg] = ACTIONS(6563),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6563),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6563),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6563),
    [anon_sym_BOOL] = ACTIONS(6563),
    [anon_sym_IMP] = ACTIONS(6563),
    [anon_sym_SEL] = ACTIONS(6563),
    [anon_sym_Class] = ACTIONS(6563),
    [anon_sym_id] = ACTIONS(6563),
    [anon_sym_ATdefs] = ACTIONS(6565),
  },
  [2699] = {
    [sym_identifier] = ACTIONS(6599),
    [aux_sym_preproc_def_token1] = ACTIONS(6599),
    [aux_sym_preproc_if_token1] = ACTIONS(6599),
    [aux_sym_preproc_if_token2] = ACTIONS(6599),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6599),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6599),
    [sym_preproc_directive] = ACTIONS(6599),
    [anon_sym___extension__] = ACTIONS(6599),
    [anon_sym_extern] = ACTIONS(6599),
    [anon_sym___attribute__] = ACTIONS(6599),
    [anon_sym___attribute] = ACTIONS(6599),
    [anon_sym_noreturn] = ACTIONS(6599),
    [anon_sym_LBRACK] = ACTIONS(6601),
    [anon_sym___declspec] = ACTIONS(6599),
    [anon_sym_signed] = ACTIONS(6599),
    [anon_sym_unsigned] = ACTIONS(6599),
    [anon_sym_long] = ACTIONS(6599),
    [anon_sym_short] = ACTIONS(6599),
    [anon_sym_static] = ACTIONS(6599),
    [anon_sym_auto] = ACTIONS(6599),
    [anon_sym_register] = ACTIONS(6599),
    [anon_sym_inline] = ACTIONS(6599),
    [anon_sym___inline] = ACTIONS(6599),
    [anon_sym___inline__] = ACTIONS(6599),
    [anon_sym___forceinline] = ACTIONS(6599),
    [anon_sym_thread_local] = ACTIONS(6599),
    [anon_sym___thread] = ACTIONS(6599),
    [anon_sym_CG_EXTERN] = ACTIONS(6599),
    [anon_sym_CG_INLINE] = ACTIONS(6599),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6599),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6599),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6599),
    [anon_sym_IBOutlet] = ACTIONS(6599),
    [anon_sym_IBInspectable] = ACTIONS(6599),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6599),
    [anon_sym_NS_INLINE] = ACTIONS(6599),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6599),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6599),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6599),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6599),
    [anon_sym_const] = ACTIONS(6599),
    [anon_sym_constexpr] = ACTIONS(6599),
    [anon_sym_volatile] = ACTIONS(6599),
    [anon_sym_restrict] = ACTIONS(6599),
    [anon_sym___restrict__] = ACTIONS(6599),
    [anon_sym__Atomic] = ACTIONS(6599),
    [anon_sym__Noreturn] = ACTIONS(6599),
    [anon_sym__Nonnull] = ACTIONS(6599),
    [anon_sym_nullable] = ACTIONS(6599),
    [anon_sym__Complex] = ACTIONS(6599),
    [anon_sym__Nullable] = ACTIONS(6599),
    [anon_sym__Nullable_result] = ACTIONS(6599),
    [anon_sym__Null_unspecified] = ACTIONS(6599),
    [anon_sym___autoreleasing] = ACTIONS(6599),
    [anon_sym___block] = ACTIONS(6599),
    [anon_sym___bridge] = ACTIONS(6599),
    [anon_sym___bridge_retained] = ACTIONS(6599),
    [anon_sym___bridge_transfer] = ACTIONS(6599),
    [anon_sym___complex] = ACTIONS(6599),
    [anon_sym___const] = ACTIONS(6599),
    [anon_sym___imag] = ACTIONS(6599),
    [anon_sym___kindof] = ACTIONS(6599),
    [anon_sym___nonnull] = ACTIONS(6599),
    [anon_sym___nullable] = ACTIONS(6599),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6599),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6599),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6599),
    [anon_sym___real] = ACTIONS(6599),
    [anon_sym___strong] = ACTIONS(6599),
    [anon_sym___unsafe_unretained] = ACTIONS(6599),
    [anon_sym___unused] = ACTIONS(6599),
    [anon_sym___weak] = ACTIONS(6599),
    [anon_sym_alignas] = ACTIONS(6599),
    [anon_sym__Alignas] = ACTIONS(6599),
    [sym_primitive_type] = ACTIONS(6599),
    [anon_sym_enum] = ACTIONS(6599),
    [anon_sym_struct] = ACTIONS(6599),
    [anon_sym_union] = ACTIONS(6599),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6599),
    [anon_sym___typeof] = ACTIONS(6599),
    [anon_sym_typeof] = ACTIONS(6599),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6599),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6599),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6599),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6599),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6599),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6599),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6599),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6599),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6599),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6599),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6599),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6599),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6599),
    [anon_sym_API_AVAILABLE] = ACTIONS(6599),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6599),
    [anon_sym_API_DEPRECATED] = ACTIONS(6599),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6599),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6599),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6599),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6599),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6599),
    [anon_sym___deprecated_msg] = ACTIONS(6599),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6599),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6599),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6599),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6599),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6599),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6599),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6599),
    [anon_sym_BOOL] = ACTIONS(6599),
    [anon_sym_IMP] = ACTIONS(6599),
    [anon_sym_SEL] = ACTIONS(6599),
    [anon_sym_Class] = ACTIONS(6599),
    [anon_sym_id] = ACTIONS(6599),
    [anon_sym_ATdefs] = ACTIONS(6601),
  },
  [2700] = {
    [sym_identifier] = ACTIONS(6607),
    [aux_sym_preproc_def_token1] = ACTIONS(6607),
    [aux_sym_preproc_if_token1] = ACTIONS(6607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6607),
    [sym_preproc_directive] = ACTIONS(6607),
    [anon_sym___extension__] = ACTIONS(6607),
    [anon_sym_extern] = ACTIONS(6607),
    [anon_sym___attribute__] = ACTIONS(6607),
    [anon_sym___attribute] = ACTIONS(6607),
    [anon_sym_noreturn] = ACTIONS(6607),
    [anon_sym_LBRACK] = ACTIONS(6609),
    [anon_sym___declspec] = ACTIONS(6607),
    [anon_sym_RBRACE] = ACTIONS(6609),
    [anon_sym_signed] = ACTIONS(6607),
    [anon_sym_unsigned] = ACTIONS(6607),
    [anon_sym_long] = ACTIONS(6607),
    [anon_sym_short] = ACTIONS(6607),
    [anon_sym_static] = ACTIONS(6607),
    [anon_sym_auto] = ACTIONS(6607),
    [anon_sym_register] = ACTIONS(6607),
    [anon_sym_inline] = ACTIONS(6607),
    [anon_sym___inline] = ACTIONS(6607),
    [anon_sym___inline__] = ACTIONS(6607),
    [anon_sym___forceinline] = ACTIONS(6607),
    [anon_sym_thread_local] = ACTIONS(6607),
    [anon_sym___thread] = ACTIONS(6607),
    [anon_sym_CG_EXTERN] = ACTIONS(6607),
    [anon_sym_CG_INLINE] = ACTIONS(6607),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6607),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6607),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6607),
    [anon_sym_IBOutlet] = ACTIONS(6607),
    [anon_sym_IBInspectable] = ACTIONS(6607),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6607),
    [anon_sym_NS_INLINE] = ACTIONS(6607),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6607),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6607),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6607),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6607),
    [anon_sym_const] = ACTIONS(6607),
    [anon_sym_constexpr] = ACTIONS(6607),
    [anon_sym_volatile] = ACTIONS(6607),
    [anon_sym_restrict] = ACTIONS(6607),
    [anon_sym___restrict__] = ACTIONS(6607),
    [anon_sym__Atomic] = ACTIONS(6607),
    [anon_sym__Noreturn] = ACTIONS(6607),
    [anon_sym__Nonnull] = ACTIONS(6607),
    [anon_sym_nullable] = ACTIONS(6607),
    [anon_sym__Complex] = ACTIONS(6607),
    [anon_sym__Nullable] = ACTIONS(6607),
    [anon_sym__Nullable_result] = ACTIONS(6607),
    [anon_sym__Null_unspecified] = ACTIONS(6607),
    [anon_sym___autoreleasing] = ACTIONS(6607),
    [anon_sym___block] = ACTIONS(6607),
    [anon_sym___bridge] = ACTIONS(6607),
    [anon_sym___bridge_retained] = ACTIONS(6607),
    [anon_sym___bridge_transfer] = ACTIONS(6607),
    [anon_sym___complex] = ACTIONS(6607),
    [anon_sym___const] = ACTIONS(6607),
    [anon_sym___imag] = ACTIONS(6607),
    [anon_sym___kindof] = ACTIONS(6607),
    [anon_sym___nonnull] = ACTIONS(6607),
    [anon_sym___nullable] = ACTIONS(6607),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6607),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6607),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6607),
    [anon_sym___real] = ACTIONS(6607),
    [anon_sym___strong] = ACTIONS(6607),
    [anon_sym___unsafe_unretained] = ACTIONS(6607),
    [anon_sym___unused] = ACTIONS(6607),
    [anon_sym___weak] = ACTIONS(6607),
    [anon_sym_alignas] = ACTIONS(6607),
    [anon_sym__Alignas] = ACTIONS(6607),
    [sym_primitive_type] = ACTIONS(6607),
    [anon_sym_enum] = ACTIONS(6607),
    [anon_sym_struct] = ACTIONS(6607),
    [anon_sym_union] = ACTIONS(6607),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6607),
    [anon_sym___typeof] = ACTIONS(6607),
    [anon_sym_typeof] = ACTIONS(6607),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6607),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6607),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6607),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6607),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6607),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6607),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6607),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6607),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6607),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6607),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6607),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6607),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6607),
    [anon_sym_API_AVAILABLE] = ACTIONS(6607),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6607),
    [anon_sym_API_DEPRECATED] = ACTIONS(6607),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6607),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6607),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6607),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6607),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6607),
    [anon_sym___deprecated_msg] = ACTIONS(6607),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6607),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6607),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6607),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6607),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6607),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6607),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6607),
    [anon_sym_BOOL] = ACTIONS(6607),
    [anon_sym_IMP] = ACTIONS(6607),
    [anon_sym_SEL] = ACTIONS(6607),
    [anon_sym_Class] = ACTIONS(6607),
    [anon_sym_id] = ACTIONS(6607),
    [anon_sym_ATdefs] = ACTIONS(6609),
  },
  [2701] = {
    [sym_identifier] = ACTIONS(6583),
    [aux_sym_preproc_def_token1] = ACTIONS(6583),
    [aux_sym_preproc_if_token1] = ACTIONS(6583),
    [aux_sym_preproc_if_token2] = ACTIONS(6583),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6583),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6583),
    [sym_preproc_directive] = ACTIONS(6583),
    [anon_sym___extension__] = ACTIONS(6583),
    [anon_sym_extern] = ACTIONS(6583),
    [anon_sym___attribute__] = ACTIONS(6583),
    [anon_sym___attribute] = ACTIONS(6583),
    [anon_sym_noreturn] = ACTIONS(6583),
    [anon_sym_LBRACK] = ACTIONS(6585),
    [anon_sym___declspec] = ACTIONS(6583),
    [anon_sym_signed] = ACTIONS(6583),
    [anon_sym_unsigned] = ACTIONS(6583),
    [anon_sym_long] = ACTIONS(6583),
    [anon_sym_short] = ACTIONS(6583),
    [anon_sym_static] = ACTIONS(6583),
    [anon_sym_auto] = ACTIONS(6583),
    [anon_sym_register] = ACTIONS(6583),
    [anon_sym_inline] = ACTIONS(6583),
    [anon_sym___inline] = ACTIONS(6583),
    [anon_sym___inline__] = ACTIONS(6583),
    [anon_sym___forceinline] = ACTIONS(6583),
    [anon_sym_thread_local] = ACTIONS(6583),
    [anon_sym___thread] = ACTIONS(6583),
    [anon_sym_CG_EXTERN] = ACTIONS(6583),
    [anon_sym_CG_INLINE] = ACTIONS(6583),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6583),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6583),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6583),
    [anon_sym_IBOutlet] = ACTIONS(6583),
    [anon_sym_IBInspectable] = ACTIONS(6583),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6583),
    [anon_sym_NS_INLINE] = ACTIONS(6583),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6583),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6583),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6583),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6583),
    [anon_sym_const] = ACTIONS(6583),
    [anon_sym_constexpr] = ACTIONS(6583),
    [anon_sym_volatile] = ACTIONS(6583),
    [anon_sym_restrict] = ACTIONS(6583),
    [anon_sym___restrict__] = ACTIONS(6583),
    [anon_sym__Atomic] = ACTIONS(6583),
    [anon_sym__Noreturn] = ACTIONS(6583),
    [anon_sym__Nonnull] = ACTIONS(6583),
    [anon_sym_nullable] = ACTIONS(6583),
    [anon_sym__Complex] = ACTIONS(6583),
    [anon_sym__Nullable] = ACTIONS(6583),
    [anon_sym__Nullable_result] = ACTIONS(6583),
    [anon_sym__Null_unspecified] = ACTIONS(6583),
    [anon_sym___autoreleasing] = ACTIONS(6583),
    [anon_sym___block] = ACTIONS(6583),
    [anon_sym___bridge] = ACTIONS(6583),
    [anon_sym___bridge_retained] = ACTIONS(6583),
    [anon_sym___bridge_transfer] = ACTIONS(6583),
    [anon_sym___complex] = ACTIONS(6583),
    [anon_sym___const] = ACTIONS(6583),
    [anon_sym___imag] = ACTIONS(6583),
    [anon_sym___kindof] = ACTIONS(6583),
    [anon_sym___nonnull] = ACTIONS(6583),
    [anon_sym___nullable] = ACTIONS(6583),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6583),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6583),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6583),
    [anon_sym___real] = ACTIONS(6583),
    [anon_sym___strong] = ACTIONS(6583),
    [anon_sym___unsafe_unretained] = ACTIONS(6583),
    [anon_sym___unused] = ACTIONS(6583),
    [anon_sym___weak] = ACTIONS(6583),
    [anon_sym_alignas] = ACTIONS(6583),
    [anon_sym__Alignas] = ACTIONS(6583),
    [sym_primitive_type] = ACTIONS(6583),
    [anon_sym_enum] = ACTIONS(6583),
    [anon_sym_struct] = ACTIONS(6583),
    [anon_sym_union] = ACTIONS(6583),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6583),
    [anon_sym___typeof] = ACTIONS(6583),
    [anon_sym_typeof] = ACTIONS(6583),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6583),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6583),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6583),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6583),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6583),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6583),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6583),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6583),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6583),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6583),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6583),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6583),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6583),
    [anon_sym_API_AVAILABLE] = ACTIONS(6583),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6583),
    [anon_sym_API_DEPRECATED] = ACTIONS(6583),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6583),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6583),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6583),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6583),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6583),
    [anon_sym___deprecated_msg] = ACTIONS(6583),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6583),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6583),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6583),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6583),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6583),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6583),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6583),
    [anon_sym_BOOL] = ACTIONS(6583),
    [anon_sym_IMP] = ACTIONS(6583),
    [anon_sym_SEL] = ACTIONS(6583),
    [anon_sym_Class] = ACTIONS(6583),
    [anon_sym_id] = ACTIONS(6583),
    [anon_sym_ATdefs] = ACTIONS(6585),
  },
  [2702] = {
    [sym_identifier] = ACTIONS(6611),
    [aux_sym_preproc_def_token1] = ACTIONS(6611),
    [aux_sym_preproc_if_token1] = ACTIONS(6611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6611),
    [sym_preproc_directive] = ACTIONS(6611),
    [anon_sym___extension__] = ACTIONS(6611),
    [anon_sym_extern] = ACTIONS(6611),
    [anon_sym___attribute__] = ACTIONS(6611),
    [anon_sym___attribute] = ACTIONS(6611),
    [anon_sym_noreturn] = ACTIONS(6611),
    [anon_sym_LBRACK] = ACTIONS(6613),
    [anon_sym___declspec] = ACTIONS(6611),
    [anon_sym_RBRACE] = ACTIONS(6613),
    [anon_sym_signed] = ACTIONS(6611),
    [anon_sym_unsigned] = ACTIONS(6611),
    [anon_sym_long] = ACTIONS(6611),
    [anon_sym_short] = ACTIONS(6611),
    [anon_sym_static] = ACTIONS(6611),
    [anon_sym_auto] = ACTIONS(6611),
    [anon_sym_register] = ACTIONS(6611),
    [anon_sym_inline] = ACTIONS(6611),
    [anon_sym___inline] = ACTIONS(6611),
    [anon_sym___inline__] = ACTIONS(6611),
    [anon_sym___forceinline] = ACTIONS(6611),
    [anon_sym_thread_local] = ACTIONS(6611),
    [anon_sym___thread] = ACTIONS(6611),
    [anon_sym_CG_EXTERN] = ACTIONS(6611),
    [anon_sym_CG_INLINE] = ACTIONS(6611),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6611),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6611),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6611),
    [anon_sym_IBOutlet] = ACTIONS(6611),
    [anon_sym_IBInspectable] = ACTIONS(6611),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6611),
    [anon_sym_NS_INLINE] = ACTIONS(6611),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6611),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6611),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6611),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6611),
    [anon_sym_const] = ACTIONS(6611),
    [anon_sym_constexpr] = ACTIONS(6611),
    [anon_sym_volatile] = ACTIONS(6611),
    [anon_sym_restrict] = ACTIONS(6611),
    [anon_sym___restrict__] = ACTIONS(6611),
    [anon_sym__Atomic] = ACTIONS(6611),
    [anon_sym__Noreturn] = ACTIONS(6611),
    [anon_sym__Nonnull] = ACTIONS(6611),
    [anon_sym_nullable] = ACTIONS(6611),
    [anon_sym__Complex] = ACTIONS(6611),
    [anon_sym__Nullable] = ACTIONS(6611),
    [anon_sym__Nullable_result] = ACTIONS(6611),
    [anon_sym__Null_unspecified] = ACTIONS(6611),
    [anon_sym___autoreleasing] = ACTIONS(6611),
    [anon_sym___block] = ACTIONS(6611),
    [anon_sym___bridge] = ACTIONS(6611),
    [anon_sym___bridge_retained] = ACTIONS(6611),
    [anon_sym___bridge_transfer] = ACTIONS(6611),
    [anon_sym___complex] = ACTIONS(6611),
    [anon_sym___const] = ACTIONS(6611),
    [anon_sym___imag] = ACTIONS(6611),
    [anon_sym___kindof] = ACTIONS(6611),
    [anon_sym___nonnull] = ACTIONS(6611),
    [anon_sym___nullable] = ACTIONS(6611),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6611),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6611),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6611),
    [anon_sym___real] = ACTIONS(6611),
    [anon_sym___strong] = ACTIONS(6611),
    [anon_sym___unsafe_unretained] = ACTIONS(6611),
    [anon_sym___unused] = ACTIONS(6611),
    [anon_sym___weak] = ACTIONS(6611),
    [anon_sym_alignas] = ACTIONS(6611),
    [anon_sym__Alignas] = ACTIONS(6611),
    [sym_primitive_type] = ACTIONS(6611),
    [anon_sym_enum] = ACTIONS(6611),
    [anon_sym_struct] = ACTIONS(6611),
    [anon_sym_union] = ACTIONS(6611),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6611),
    [anon_sym___typeof] = ACTIONS(6611),
    [anon_sym_typeof] = ACTIONS(6611),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6611),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6611),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6611),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6611),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6611),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6611),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6611),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6611),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6611),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6611),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6611),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6611),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6611),
    [anon_sym_API_AVAILABLE] = ACTIONS(6611),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6611),
    [anon_sym_API_DEPRECATED] = ACTIONS(6611),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6611),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6611),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6611),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6611),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6611),
    [anon_sym___deprecated_msg] = ACTIONS(6611),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6611),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6611),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6611),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6611),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6611),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6611),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6611),
    [anon_sym_BOOL] = ACTIONS(6611),
    [anon_sym_IMP] = ACTIONS(6611),
    [anon_sym_SEL] = ACTIONS(6611),
    [anon_sym_Class] = ACTIONS(6611),
    [anon_sym_id] = ACTIONS(6611),
    [anon_sym_ATdefs] = ACTIONS(6613),
  },
  [2703] = {
    [sym_identifier] = ACTIONS(6547),
    [aux_sym_preproc_def_token1] = ACTIONS(6547),
    [aux_sym_preproc_if_token1] = ACTIONS(6547),
    [aux_sym_preproc_if_token2] = ACTIONS(6547),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6547),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6547),
    [sym_preproc_directive] = ACTIONS(6547),
    [anon_sym___extension__] = ACTIONS(6547),
    [anon_sym_extern] = ACTIONS(6547),
    [anon_sym___attribute__] = ACTIONS(6547),
    [anon_sym___attribute] = ACTIONS(6547),
    [anon_sym_noreturn] = ACTIONS(6547),
    [anon_sym_LBRACK] = ACTIONS(6549),
    [anon_sym___declspec] = ACTIONS(6547),
    [anon_sym_signed] = ACTIONS(6547),
    [anon_sym_unsigned] = ACTIONS(6547),
    [anon_sym_long] = ACTIONS(6547),
    [anon_sym_short] = ACTIONS(6547),
    [anon_sym_static] = ACTIONS(6547),
    [anon_sym_auto] = ACTIONS(6547),
    [anon_sym_register] = ACTIONS(6547),
    [anon_sym_inline] = ACTIONS(6547),
    [anon_sym___inline] = ACTIONS(6547),
    [anon_sym___inline__] = ACTIONS(6547),
    [anon_sym___forceinline] = ACTIONS(6547),
    [anon_sym_thread_local] = ACTIONS(6547),
    [anon_sym___thread] = ACTIONS(6547),
    [anon_sym_CG_EXTERN] = ACTIONS(6547),
    [anon_sym_CG_INLINE] = ACTIONS(6547),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6547),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6547),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6547),
    [anon_sym_IBOutlet] = ACTIONS(6547),
    [anon_sym_IBInspectable] = ACTIONS(6547),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6547),
    [anon_sym_NS_INLINE] = ACTIONS(6547),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6547),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6547),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6547),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6547),
    [anon_sym_const] = ACTIONS(6547),
    [anon_sym_constexpr] = ACTIONS(6547),
    [anon_sym_volatile] = ACTIONS(6547),
    [anon_sym_restrict] = ACTIONS(6547),
    [anon_sym___restrict__] = ACTIONS(6547),
    [anon_sym__Atomic] = ACTIONS(6547),
    [anon_sym__Noreturn] = ACTIONS(6547),
    [anon_sym__Nonnull] = ACTIONS(6547),
    [anon_sym_nullable] = ACTIONS(6547),
    [anon_sym__Complex] = ACTIONS(6547),
    [anon_sym__Nullable] = ACTIONS(6547),
    [anon_sym__Nullable_result] = ACTIONS(6547),
    [anon_sym__Null_unspecified] = ACTIONS(6547),
    [anon_sym___autoreleasing] = ACTIONS(6547),
    [anon_sym___block] = ACTIONS(6547),
    [anon_sym___bridge] = ACTIONS(6547),
    [anon_sym___bridge_retained] = ACTIONS(6547),
    [anon_sym___bridge_transfer] = ACTIONS(6547),
    [anon_sym___complex] = ACTIONS(6547),
    [anon_sym___const] = ACTIONS(6547),
    [anon_sym___imag] = ACTIONS(6547),
    [anon_sym___kindof] = ACTIONS(6547),
    [anon_sym___nonnull] = ACTIONS(6547),
    [anon_sym___nullable] = ACTIONS(6547),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6547),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6547),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6547),
    [anon_sym___real] = ACTIONS(6547),
    [anon_sym___strong] = ACTIONS(6547),
    [anon_sym___unsafe_unretained] = ACTIONS(6547),
    [anon_sym___unused] = ACTIONS(6547),
    [anon_sym___weak] = ACTIONS(6547),
    [anon_sym_alignas] = ACTIONS(6547),
    [anon_sym__Alignas] = ACTIONS(6547),
    [sym_primitive_type] = ACTIONS(6547),
    [anon_sym_enum] = ACTIONS(6547),
    [anon_sym_struct] = ACTIONS(6547),
    [anon_sym_union] = ACTIONS(6547),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6547),
    [anon_sym___typeof] = ACTIONS(6547),
    [anon_sym_typeof] = ACTIONS(6547),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6547),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6547),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6547),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6547),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6547),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6547),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6547),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6547),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6547),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6547),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6547),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6547),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6547),
    [anon_sym_API_AVAILABLE] = ACTIONS(6547),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6547),
    [anon_sym_API_DEPRECATED] = ACTIONS(6547),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6547),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6547),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6547),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6547),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6547),
    [anon_sym___deprecated_msg] = ACTIONS(6547),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6547),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6547),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6547),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6547),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6547),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6547),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6547),
    [anon_sym_BOOL] = ACTIONS(6547),
    [anon_sym_IMP] = ACTIONS(6547),
    [anon_sym_SEL] = ACTIONS(6547),
    [anon_sym_Class] = ACTIONS(6547),
    [anon_sym_id] = ACTIONS(6547),
    [anon_sym_ATdefs] = ACTIONS(6549),
  },
  [2704] = {
    [sym_identifier] = ACTIONS(6611),
    [aux_sym_preproc_def_token1] = ACTIONS(6611),
    [aux_sym_preproc_if_token1] = ACTIONS(6611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6611),
    [sym_preproc_directive] = ACTIONS(6611),
    [anon_sym___extension__] = ACTIONS(6611),
    [anon_sym_extern] = ACTIONS(6611),
    [anon_sym___attribute__] = ACTIONS(6611),
    [anon_sym___attribute] = ACTIONS(6611),
    [anon_sym_noreturn] = ACTIONS(6611),
    [anon_sym_LBRACK] = ACTIONS(6613),
    [anon_sym___declspec] = ACTIONS(6611),
    [anon_sym_RBRACE] = ACTIONS(6613),
    [anon_sym_signed] = ACTIONS(6611),
    [anon_sym_unsigned] = ACTIONS(6611),
    [anon_sym_long] = ACTIONS(6611),
    [anon_sym_short] = ACTIONS(6611),
    [anon_sym_static] = ACTIONS(6611),
    [anon_sym_auto] = ACTIONS(6611),
    [anon_sym_register] = ACTIONS(6611),
    [anon_sym_inline] = ACTIONS(6611),
    [anon_sym___inline] = ACTIONS(6611),
    [anon_sym___inline__] = ACTIONS(6611),
    [anon_sym___forceinline] = ACTIONS(6611),
    [anon_sym_thread_local] = ACTIONS(6611),
    [anon_sym___thread] = ACTIONS(6611),
    [anon_sym_CG_EXTERN] = ACTIONS(6611),
    [anon_sym_CG_INLINE] = ACTIONS(6611),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6611),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6611),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6611),
    [anon_sym_IBOutlet] = ACTIONS(6611),
    [anon_sym_IBInspectable] = ACTIONS(6611),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6611),
    [anon_sym_NS_INLINE] = ACTIONS(6611),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6611),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6611),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6611),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6611),
    [anon_sym_const] = ACTIONS(6611),
    [anon_sym_constexpr] = ACTIONS(6611),
    [anon_sym_volatile] = ACTIONS(6611),
    [anon_sym_restrict] = ACTIONS(6611),
    [anon_sym___restrict__] = ACTIONS(6611),
    [anon_sym__Atomic] = ACTIONS(6611),
    [anon_sym__Noreturn] = ACTIONS(6611),
    [anon_sym__Nonnull] = ACTIONS(6611),
    [anon_sym_nullable] = ACTIONS(6611),
    [anon_sym__Complex] = ACTIONS(6611),
    [anon_sym__Nullable] = ACTIONS(6611),
    [anon_sym__Nullable_result] = ACTIONS(6611),
    [anon_sym__Null_unspecified] = ACTIONS(6611),
    [anon_sym___autoreleasing] = ACTIONS(6611),
    [anon_sym___block] = ACTIONS(6611),
    [anon_sym___bridge] = ACTIONS(6611),
    [anon_sym___bridge_retained] = ACTIONS(6611),
    [anon_sym___bridge_transfer] = ACTIONS(6611),
    [anon_sym___complex] = ACTIONS(6611),
    [anon_sym___const] = ACTIONS(6611),
    [anon_sym___imag] = ACTIONS(6611),
    [anon_sym___kindof] = ACTIONS(6611),
    [anon_sym___nonnull] = ACTIONS(6611),
    [anon_sym___nullable] = ACTIONS(6611),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6611),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6611),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6611),
    [anon_sym___real] = ACTIONS(6611),
    [anon_sym___strong] = ACTIONS(6611),
    [anon_sym___unsafe_unretained] = ACTIONS(6611),
    [anon_sym___unused] = ACTIONS(6611),
    [anon_sym___weak] = ACTIONS(6611),
    [anon_sym_alignas] = ACTIONS(6611),
    [anon_sym__Alignas] = ACTIONS(6611),
    [sym_primitive_type] = ACTIONS(6611),
    [anon_sym_enum] = ACTIONS(6611),
    [anon_sym_struct] = ACTIONS(6611),
    [anon_sym_union] = ACTIONS(6611),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6611),
    [anon_sym___typeof] = ACTIONS(6611),
    [anon_sym_typeof] = ACTIONS(6611),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6611),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6611),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6611),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6611),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6611),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6611),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6611),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6611),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6611),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6611),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6611),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6611),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6611),
    [anon_sym_API_AVAILABLE] = ACTIONS(6611),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6611),
    [anon_sym_API_DEPRECATED] = ACTIONS(6611),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6611),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6611),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6611),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6611),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6611),
    [anon_sym___deprecated_msg] = ACTIONS(6611),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6611),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6611),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6611),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6611),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6611),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6611),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6611),
    [anon_sym_BOOL] = ACTIONS(6611),
    [anon_sym_IMP] = ACTIONS(6611),
    [anon_sym_SEL] = ACTIONS(6611),
    [anon_sym_Class] = ACTIONS(6611),
    [anon_sym_id] = ACTIONS(6611),
    [anon_sym_ATdefs] = ACTIONS(6613),
  },
  [2705] = {
    [sym_identifier] = ACTIONS(6595),
    [aux_sym_preproc_def_token1] = ACTIONS(6595),
    [aux_sym_preproc_if_token1] = ACTIONS(6595),
    [aux_sym_preproc_if_token2] = ACTIONS(6595),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6595),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6595),
    [sym_preproc_directive] = ACTIONS(6595),
    [anon_sym___extension__] = ACTIONS(6595),
    [anon_sym_extern] = ACTIONS(6595),
    [anon_sym___attribute__] = ACTIONS(6595),
    [anon_sym___attribute] = ACTIONS(6595),
    [anon_sym_noreturn] = ACTIONS(6595),
    [anon_sym_LBRACK] = ACTIONS(6597),
    [anon_sym___declspec] = ACTIONS(6595),
    [anon_sym_signed] = ACTIONS(6595),
    [anon_sym_unsigned] = ACTIONS(6595),
    [anon_sym_long] = ACTIONS(6595),
    [anon_sym_short] = ACTIONS(6595),
    [anon_sym_static] = ACTIONS(6595),
    [anon_sym_auto] = ACTIONS(6595),
    [anon_sym_register] = ACTIONS(6595),
    [anon_sym_inline] = ACTIONS(6595),
    [anon_sym___inline] = ACTIONS(6595),
    [anon_sym___inline__] = ACTIONS(6595),
    [anon_sym___forceinline] = ACTIONS(6595),
    [anon_sym_thread_local] = ACTIONS(6595),
    [anon_sym___thread] = ACTIONS(6595),
    [anon_sym_CG_EXTERN] = ACTIONS(6595),
    [anon_sym_CG_INLINE] = ACTIONS(6595),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6595),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6595),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6595),
    [anon_sym_IBOutlet] = ACTIONS(6595),
    [anon_sym_IBInspectable] = ACTIONS(6595),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6595),
    [anon_sym_NS_INLINE] = ACTIONS(6595),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6595),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6595),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6595),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6595),
    [anon_sym_const] = ACTIONS(6595),
    [anon_sym_constexpr] = ACTIONS(6595),
    [anon_sym_volatile] = ACTIONS(6595),
    [anon_sym_restrict] = ACTIONS(6595),
    [anon_sym___restrict__] = ACTIONS(6595),
    [anon_sym__Atomic] = ACTIONS(6595),
    [anon_sym__Noreturn] = ACTIONS(6595),
    [anon_sym__Nonnull] = ACTIONS(6595),
    [anon_sym_nullable] = ACTIONS(6595),
    [anon_sym__Complex] = ACTIONS(6595),
    [anon_sym__Nullable] = ACTIONS(6595),
    [anon_sym__Nullable_result] = ACTIONS(6595),
    [anon_sym__Null_unspecified] = ACTIONS(6595),
    [anon_sym___autoreleasing] = ACTIONS(6595),
    [anon_sym___block] = ACTIONS(6595),
    [anon_sym___bridge] = ACTIONS(6595),
    [anon_sym___bridge_retained] = ACTIONS(6595),
    [anon_sym___bridge_transfer] = ACTIONS(6595),
    [anon_sym___complex] = ACTIONS(6595),
    [anon_sym___const] = ACTIONS(6595),
    [anon_sym___imag] = ACTIONS(6595),
    [anon_sym___kindof] = ACTIONS(6595),
    [anon_sym___nonnull] = ACTIONS(6595),
    [anon_sym___nullable] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6595),
    [anon_sym___real] = ACTIONS(6595),
    [anon_sym___strong] = ACTIONS(6595),
    [anon_sym___unsafe_unretained] = ACTIONS(6595),
    [anon_sym___unused] = ACTIONS(6595),
    [anon_sym___weak] = ACTIONS(6595),
    [anon_sym_alignas] = ACTIONS(6595),
    [anon_sym__Alignas] = ACTIONS(6595),
    [sym_primitive_type] = ACTIONS(6595),
    [anon_sym_enum] = ACTIONS(6595),
    [anon_sym_struct] = ACTIONS(6595),
    [anon_sym_union] = ACTIONS(6595),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6595),
    [anon_sym___typeof] = ACTIONS(6595),
    [anon_sym_typeof] = ACTIONS(6595),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6595),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6595),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6595),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6595),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6595),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6595),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6595),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_API_AVAILABLE] = ACTIONS(6595),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_API_DEPRECATED] = ACTIONS(6595),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6595),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym___deprecated_msg] = ACTIONS(6595),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6595),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6595),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6595),
    [anon_sym_BOOL] = ACTIONS(6595),
    [anon_sym_IMP] = ACTIONS(6595),
    [anon_sym_SEL] = ACTIONS(6595),
    [anon_sym_Class] = ACTIONS(6595),
    [anon_sym_id] = ACTIONS(6595),
    [anon_sym_ATdefs] = ACTIONS(6597),
  },
  [2706] = {
    [sym_identifier] = ACTIONS(6607),
    [aux_sym_preproc_def_token1] = ACTIONS(6607),
    [aux_sym_preproc_if_token1] = ACTIONS(6607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6607),
    [sym_preproc_directive] = ACTIONS(6607),
    [anon_sym___extension__] = ACTIONS(6607),
    [anon_sym_extern] = ACTIONS(6607),
    [anon_sym___attribute__] = ACTIONS(6607),
    [anon_sym___attribute] = ACTIONS(6607),
    [anon_sym_noreturn] = ACTIONS(6607),
    [anon_sym_LBRACK] = ACTIONS(6609),
    [anon_sym___declspec] = ACTIONS(6607),
    [anon_sym_RBRACE] = ACTIONS(6609),
    [anon_sym_signed] = ACTIONS(6607),
    [anon_sym_unsigned] = ACTIONS(6607),
    [anon_sym_long] = ACTIONS(6607),
    [anon_sym_short] = ACTIONS(6607),
    [anon_sym_static] = ACTIONS(6607),
    [anon_sym_auto] = ACTIONS(6607),
    [anon_sym_register] = ACTIONS(6607),
    [anon_sym_inline] = ACTIONS(6607),
    [anon_sym___inline] = ACTIONS(6607),
    [anon_sym___inline__] = ACTIONS(6607),
    [anon_sym___forceinline] = ACTIONS(6607),
    [anon_sym_thread_local] = ACTIONS(6607),
    [anon_sym___thread] = ACTIONS(6607),
    [anon_sym_CG_EXTERN] = ACTIONS(6607),
    [anon_sym_CG_INLINE] = ACTIONS(6607),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6607),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6607),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6607),
    [anon_sym_IBOutlet] = ACTIONS(6607),
    [anon_sym_IBInspectable] = ACTIONS(6607),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6607),
    [anon_sym_NS_INLINE] = ACTIONS(6607),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6607),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6607),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6607),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6607),
    [anon_sym_const] = ACTIONS(6607),
    [anon_sym_constexpr] = ACTIONS(6607),
    [anon_sym_volatile] = ACTIONS(6607),
    [anon_sym_restrict] = ACTIONS(6607),
    [anon_sym___restrict__] = ACTIONS(6607),
    [anon_sym__Atomic] = ACTIONS(6607),
    [anon_sym__Noreturn] = ACTIONS(6607),
    [anon_sym__Nonnull] = ACTIONS(6607),
    [anon_sym_nullable] = ACTIONS(6607),
    [anon_sym__Complex] = ACTIONS(6607),
    [anon_sym__Nullable] = ACTIONS(6607),
    [anon_sym__Nullable_result] = ACTIONS(6607),
    [anon_sym__Null_unspecified] = ACTIONS(6607),
    [anon_sym___autoreleasing] = ACTIONS(6607),
    [anon_sym___block] = ACTIONS(6607),
    [anon_sym___bridge] = ACTIONS(6607),
    [anon_sym___bridge_retained] = ACTIONS(6607),
    [anon_sym___bridge_transfer] = ACTIONS(6607),
    [anon_sym___complex] = ACTIONS(6607),
    [anon_sym___const] = ACTIONS(6607),
    [anon_sym___imag] = ACTIONS(6607),
    [anon_sym___kindof] = ACTIONS(6607),
    [anon_sym___nonnull] = ACTIONS(6607),
    [anon_sym___nullable] = ACTIONS(6607),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6607),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6607),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6607),
    [anon_sym___real] = ACTIONS(6607),
    [anon_sym___strong] = ACTIONS(6607),
    [anon_sym___unsafe_unretained] = ACTIONS(6607),
    [anon_sym___unused] = ACTIONS(6607),
    [anon_sym___weak] = ACTIONS(6607),
    [anon_sym_alignas] = ACTIONS(6607),
    [anon_sym__Alignas] = ACTIONS(6607),
    [sym_primitive_type] = ACTIONS(6607),
    [anon_sym_enum] = ACTIONS(6607),
    [anon_sym_struct] = ACTIONS(6607),
    [anon_sym_union] = ACTIONS(6607),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6607),
    [anon_sym___typeof] = ACTIONS(6607),
    [anon_sym_typeof] = ACTIONS(6607),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6607),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6607),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6607),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6607),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6607),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6607),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6607),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6607),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6607),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6607),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6607),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6607),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6607),
    [anon_sym_API_AVAILABLE] = ACTIONS(6607),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6607),
    [anon_sym_API_DEPRECATED] = ACTIONS(6607),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6607),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6607),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6607),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6607),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6607),
    [anon_sym___deprecated_msg] = ACTIONS(6607),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6607),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6607),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6607),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6607),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6607),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6607),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6607),
    [anon_sym_BOOL] = ACTIONS(6607),
    [anon_sym_IMP] = ACTIONS(6607),
    [anon_sym_SEL] = ACTIONS(6607),
    [anon_sym_Class] = ACTIONS(6607),
    [anon_sym_id] = ACTIONS(6607),
    [anon_sym_ATdefs] = ACTIONS(6609),
  },
  [2707] = {
    [sym_identifier] = ACTIONS(6595),
    [aux_sym_preproc_def_token1] = ACTIONS(6595),
    [aux_sym_preproc_if_token1] = ACTIONS(6595),
    [aux_sym_preproc_if_token2] = ACTIONS(6595),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6595),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6595),
    [sym_preproc_directive] = ACTIONS(6595),
    [anon_sym___extension__] = ACTIONS(6595),
    [anon_sym_extern] = ACTIONS(6595),
    [anon_sym___attribute__] = ACTIONS(6595),
    [anon_sym___attribute] = ACTIONS(6595),
    [anon_sym_noreturn] = ACTIONS(6595),
    [anon_sym_LBRACK] = ACTIONS(6597),
    [anon_sym___declspec] = ACTIONS(6595),
    [anon_sym_signed] = ACTIONS(6595),
    [anon_sym_unsigned] = ACTIONS(6595),
    [anon_sym_long] = ACTIONS(6595),
    [anon_sym_short] = ACTIONS(6595),
    [anon_sym_static] = ACTIONS(6595),
    [anon_sym_auto] = ACTIONS(6595),
    [anon_sym_register] = ACTIONS(6595),
    [anon_sym_inline] = ACTIONS(6595),
    [anon_sym___inline] = ACTIONS(6595),
    [anon_sym___inline__] = ACTIONS(6595),
    [anon_sym___forceinline] = ACTIONS(6595),
    [anon_sym_thread_local] = ACTIONS(6595),
    [anon_sym___thread] = ACTIONS(6595),
    [anon_sym_CG_EXTERN] = ACTIONS(6595),
    [anon_sym_CG_INLINE] = ACTIONS(6595),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6595),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6595),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6595),
    [anon_sym_IBOutlet] = ACTIONS(6595),
    [anon_sym_IBInspectable] = ACTIONS(6595),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6595),
    [anon_sym_NS_INLINE] = ACTIONS(6595),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6595),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6595),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6595),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6595),
    [anon_sym_const] = ACTIONS(6595),
    [anon_sym_constexpr] = ACTIONS(6595),
    [anon_sym_volatile] = ACTIONS(6595),
    [anon_sym_restrict] = ACTIONS(6595),
    [anon_sym___restrict__] = ACTIONS(6595),
    [anon_sym__Atomic] = ACTIONS(6595),
    [anon_sym__Noreturn] = ACTIONS(6595),
    [anon_sym__Nonnull] = ACTIONS(6595),
    [anon_sym_nullable] = ACTIONS(6595),
    [anon_sym__Complex] = ACTIONS(6595),
    [anon_sym__Nullable] = ACTIONS(6595),
    [anon_sym__Nullable_result] = ACTIONS(6595),
    [anon_sym__Null_unspecified] = ACTIONS(6595),
    [anon_sym___autoreleasing] = ACTIONS(6595),
    [anon_sym___block] = ACTIONS(6595),
    [anon_sym___bridge] = ACTIONS(6595),
    [anon_sym___bridge_retained] = ACTIONS(6595),
    [anon_sym___bridge_transfer] = ACTIONS(6595),
    [anon_sym___complex] = ACTIONS(6595),
    [anon_sym___const] = ACTIONS(6595),
    [anon_sym___imag] = ACTIONS(6595),
    [anon_sym___kindof] = ACTIONS(6595),
    [anon_sym___nonnull] = ACTIONS(6595),
    [anon_sym___nullable] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6595),
    [anon_sym___real] = ACTIONS(6595),
    [anon_sym___strong] = ACTIONS(6595),
    [anon_sym___unsafe_unretained] = ACTIONS(6595),
    [anon_sym___unused] = ACTIONS(6595),
    [anon_sym___weak] = ACTIONS(6595),
    [anon_sym_alignas] = ACTIONS(6595),
    [anon_sym__Alignas] = ACTIONS(6595),
    [sym_primitive_type] = ACTIONS(6595),
    [anon_sym_enum] = ACTIONS(6595),
    [anon_sym_struct] = ACTIONS(6595),
    [anon_sym_union] = ACTIONS(6595),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6595),
    [anon_sym___typeof] = ACTIONS(6595),
    [anon_sym_typeof] = ACTIONS(6595),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6595),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6595),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6595),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6595),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6595),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6595),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6595),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_API_AVAILABLE] = ACTIONS(6595),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_API_DEPRECATED] = ACTIONS(6595),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6595),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym___deprecated_msg] = ACTIONS(6595),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6595),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6595),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6595),
    [anon_sym_BOOL] = ACTIONS(6595),
    [anon_sym_IMP] = ACTIONS(6595),
    [anon_sym_SEL] = ACTIONS(6595),
    [anon_sym_Class] = ACTIONS(6595),
    [anon_sym_id] = ACTIONS(6595),
    [anon_sym_ATdefs] = ACTIONS(6597),
  },
  [2708] = {
    [sym_identifier] = ACTIONS(6551),
    [aux_sym_preproc_def_token1] = ACTIONS(6551),
    [aux_sym_preproc_if_token1] = ACTIONS(6551),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6551),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6551),
    [sym_preproc_directive] = ACTIONS(6551),
    [anon_sym___extension__] = ACTIONS(6551),
    [anon_sym_extern] = ACTIONS(6551),
    [anon_sym___attribute__] = ACTIONS(6551),
    [anon_sym___attribute] = ACTIONS(6551),
    [anon_sym_noreturn] = ACTIONS(6551),
    [anon_sym_LBRACK] = ACTIONS(6553),
    [anon_sym___declspec] = ACTIONS(6551),
    [anon_sym_RBRACE] = ACTIONS(6553),
    [anon_sym_signed] = ACTIONS(6551),
    [anon_sym_unsigned] = ACTIONS(6551),
    [anon_sym_long] = ACTIONS(6551),
    [anon_sym_short] = ACTIONS(6551),
    [anon_sym_static] = ACTIONS(6551),
    [anon_sym_auto] = ACTIONS(6551),
    [anon_sym_register] = ACTIONS(6551),
    [anon_sym_inline] = ACTIONS(6551),
    [anon_sym___inline] = ACTIONS(6551),
    [anon_sym___inline__] = ACTIONS(6551),
    [anon_sym___forceinline] = ACTIONS(6551),
    [anon_sym_thread_local] = ACTIONS(6551),
    [anon_sym___thread] = ACTIONS(6551),
    [anon_sym_CG_EXTERN] = ACTIONS(6551),
    [anon_sym_CG_INLINE] = ACTIONS(6551),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6551),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6551),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6551),
    [anon_sym_IBOutlet] = ACTIONS(6551),
    [anon_sym_IBInspectable] = ACTIONS(6551),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6551),
    [anon_sym_NS_INLINE] = ACTIONS(6551),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6551),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6551),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6551),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6551),
    [anon_sym_const] = ACTIONS(6551),
    [anon_sym_constexpr] = ACTIONS(6551),
    [anon_sym_volatile] = ACTIONS(6551),
    [anon_sym_restrict] = ACTIONS(6551),
    [anon_sym___restrict__] = ACTIONS(6551),
    [anon_sym__Atomic] = ACTIONS(6551),
    [anon_sym__Noreturn] = ACTIONS(6551),
    [anon_sym__Nonnull] = ACTIONS(6551),
    [anon_sym_nullable] = ACTIONS(6551),
    [anon_sym__Complex] = ACTIONS(6551),
    [anon_sym__Nullable] = ACTIONS(6551),
    [anon_sym__Nullable_result] = ACTIONS(6551),
    [anon_sym__Null_unspecified] = ACTIONS(6551),
    [anon_sym___autoreleasing] = ACTIONS(6551),
    [anon_sym___block] = ACTIONS(6551),
    [anon_sym___bridge] = ACTIONS(6551),
    [anon_sym___bridge_retained] = ACTIONS(6551),
    [anon_sym___bridge_transfer] = ACTIONS(6551),
    [anon_sym___complex] = ACTIONS(6551),
    [anon_sym___const] = ACTIONS(6551),
    [anon_sym___imag] = ACTIONS(6551),
    [anon_sym___kindof] = ACTIONS(6551),
    [anon_sym___nonnull] = ACTIONS(6551),
    [anon_sym___nullable] = ACTIONS(6551),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6551),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6551),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6551),
    [anon_sym___real] = ACTIONS(6551),
    [anon_sym___strong] = ACTIONS(6551),
    [anon_sym___unsafe_unretained] = ACTIONS(6551),
    [anon_sym___unused] = ACTIONS(6551),
    [anon_sym___weak] = ACTIONS(6551),
    [anon_sym_alignas] = ACTIONS(6551),
    [anon_sym__Alignas] = ACTIONS(6551),
    [sym_primitive_type] = ACTIONS(6551),
    [anon_sym_enum] = ACTIONS(6551),
    [anon_sym_struct] = ACTIONS(6551),
    [anon_sym_union] = ACTIONS(6551),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6551),
    [anon_sym___typeof] = ACTIONS(6551),
    [anon_sym_typeof] = ACTIONS(6551),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6551),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6551),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6551),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6551),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6551),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6551),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6551),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6551),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6551),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6551),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6551),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6551),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6551),
    [anon_sym_API_AVAILABLE] = ACTIONS(6551),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6551),
    [anon_sym_API_DEPRECATED] = ACTIONS(6551),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6551),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6551),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6551),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6551),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6551),
    [anon_sym___deprecated_msg] = ACTIONS(6551),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6551),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6551),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6551),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6551),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6551),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6551),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6551),
    [anon_sym_BOOL] = ACTIONS(6551),
    [anon_sym_IMP] = ACTIONS(6551),
    [anon_sym_SEL] = ACTIONS(6551),
    [anon_sym_Class] = ACTIONS(6551),
    [anon_sym_id] = ACTIONS(6551),
    [anon_sym_ATdefs] = ACTIONS(6553),
  },
  [2709] = {
    [sym_identifier] = ACTIONS(6559),
    [aux_sym_preproc_def_token1] = ACTIONS(6559),
    [aux_sym_preproc_if_token1] = ACTIONS(6559),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6559),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6559),
    [sym_preproc_directive] = ACTIONS(6559),
    [anon_sym___extension__] = ACTIONS(6559),
    [anon_sym_extern] = ACTIONS(6559),
    [anon_sym___attribute__] = ACTIONS(6559),
    [anon_sym___attribute] = ACTIONS(6559),
    [anon_sym_noreturn] = ACTIONS(6559),
    [anon_sym_LBRACK] = ACTIONS(6561),
    [anon_sym___declspec] = ACTIONS(6559),
    [anon_sym_RBRACE] = ACTIONS(6561),
    [anon_sym_signed] = ACTIONS(6559),
    [anon_sym_unsigned] = ACTIONS(6559),
    [anon_sym_long] = ACTIONS(6559),
    [anon_sym_short] = ACTIONS(6559),
    [anon_sym_static] = ACTIONS(6559),
    [anon_sym_auto] = ACTIONS(6559),
    [anon_sym_register] = ACTIONS(6559),
    [anon_sym_inline] = ACTIONS(6559),
    [anon_sym___inline] = ACTIONS(6559),
    [anon_sym___inline__] = ACTIONS(6559),
    [anon_sym___forceinline] = ACTIONS(6559),
    [anon_sym_thread_local] = ACTIONS(6559),
    [anon_sym___thread] = ACTIONS(6559),
    [anon_sym_CG_EXTERN] = ACTIONS(6559),
    [anon_sym_CG_INLINE] = ACTIONS(6559),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6559),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6559),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6559),
    [anon_sym_IBOutlet] = ACTIONS(6559),
    [anon_sym_IBInspectable] = ACTIONS(6559),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6559),
    [anon_sym_NS_INLINE] = ACTIONS(6559),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6559),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6559),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6559),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6559),
    [anon_sym_const] = ACTIONS(6559),
    [anon_sym_constexpr] = ACTIONS(6559),
    [anon_sym_volatile] = ACTIONS(6559),
    [anon_sym_restrict] = ACTIONS(6559),
    [anon_sym___restrict__] = ACTIONS(6559),
    [anon_sym__Atomic] = ACTIONS(6559),
    [anon_sym__Noreturn] = ACTIONS(6559),
    [anon_sym__Nonnull] = ACTIONS(6559),
    [anon_sym_nullable] = ACTIONS(6559),
    [anon_sym__Complex] = ACTIONS(6559),
    [anon_sym__Nullable] = ACTIONS(6559),
    [anon_sym__Nullable_result] = ACTIONS(6559),
    [anon_sym__Null_unspecified] = ACTIONS(6559),
    [anon_sym___autoreleasing] = ACTIONS(6559),
    [anon_sym___block] = ACTIONS(6559),
    [anon_sym___bridge] = ACTIONS(6559),
    [anon_sym___bridge_retained] = ACTIONS(6559),
    [anon_sym___bridge_transfer] = ACTIONS(6559),
    [anon_sym___complex] = ACTIONS(6559),
    [anon_sym___const] = ACTIONS(6559),
    [anon_sym___imag] = ACTIONS(6559),
    [anon_sym___kindof] = ACTIONS(6559),
    [anon_sym___nonnull] = ACTIONS(6559),
    [anon_sym___nullable] = ACTIONS(6559),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6559),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6559),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6559),
    [anon_sym___real] = ACTIONS(6559),
    [anon_sym___strong] = ACTIONS(6559),
    [anon_sym___unsafe_unretained] = ACTIONS(6559),
    [anon_sym___unused] = ACTIONS(6559),
    [anon_sym___weak] = ACTIONS(6559),
    [anon_sym_alignas] = ACTIONS(6559),
    [anon_sym__Alignas] = ACTIONS(6559),
    [sym_primitive_type] = ACTIONS(6559),
    [anon_sym_enum] = ACTIONS(6559),
    [anon_sym_struct] = ACTIONS(6559),
    [anon_sym_union] = ACTIONS(6559),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6559),
    [anon_sym___typeof] = ACTIONS(6559),
    [anon_sym_typeof] = ACTIONS(6559),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6559),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6559),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6559),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6559),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6559),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6559),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6559),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6559),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6559),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6559),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6559),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6559),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6559),
    [anon_sym_API_AVAILABLE] = ACTIONS(6559),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6559),
    [anon_sym_API_DEPRECATED] = ACTIONS(6559),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6559),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6559),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6559),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6559),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6559),
    [anon_sym___deprecated_msg] = ACTIONS(6559),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6559),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6559),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6559),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6559),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6559),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6559),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6559),
    [anon_sym_BOOL] = ACTIONS(6559),
    [anon_sym_IMP] = ACTIONS(6559),
    [anon_sym_SEL] = ACTIONS(6559),
    [anon_sym_Class] = ACTIONS(6559),
    [anon_sym_id] = ACTIONS(6559),
    [anon_sym_ATdefs] = ACTIONS(6561),
  },
  [2710] = {
    [sym_identifier] = ACTIONS(6591),
    [aux_sym_preproc_def_token1] = ACTIONS(6591),
    [aux_sym_preproc_if_token1] = ACTIONS(6591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6591),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6591),
    [sym_preproc_directive] = ACTIONS(6591),
    [anon_sym___extension__] = ACTIONS(6591),
    [anon_sym_extern] = ACTIONS(6591),
    [anon_sym___attribute__] = ACTIONS(6591),
    [anon_sym___attribute] = ACTIONS(6591),
    [anon_sym_noreturn] = ACTIONS(6591),
    [anon_sym_LBRACK] = ACTIONS(6593),
    [anon_sym___declspec] = ACTIONS(6591),
    [anon_sym_RBRACE] = ACTIONS(6593),
    [anon_sym_signed] = ACTIONS(6591),
    [anon_sym_unsigned] = ACTIONS(6591),
    [anon_sym_long] = ACTIONS(6591),
    [anon_sym_short] = ACTIONS(6591),
    [anon_sym_static] = ACTIONS(6591),
    [anon_sym_auto] = ACTIONS(6591),
    [anon_sym_register] = ACTIONS(6591),
    [anon_sym_inline] = ACTIONS(6591),
    [anon_sym___inline] = ACTIONS(6591),
    [anon_sym___inline__] = ACTIONS(6591),
    [anon_sym___forceinline] = ACTIONS(6591),
    [anon_sym_thread_local] = ACTIONS(6591),
    [anon_sym___thread] = ACTIONS(6591),
    [anon_sym_CG_EXTERN] = ACTIONS(6591),
    [anon_sym_CG_INLINE] = ACTIONS(6591),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6591),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6591),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6591),
    [anon_sym_IBOutlet] = ACTIONS(6591),
    [anon_sym_IBInspectable] = ACTIONS(6591),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6591),
    [anon_sym_NS_INLINE] = ACTIONS(6591),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6591),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6591),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6591),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6591),
    [anon_sym_const] = ACTIONS(6591),
    [anon_sym_constexpr] = ACTIONS(6591),
    [anon_sym_volatile] = ACTIONS(6591),
    [anon_sym_restrict] = ACTIONS(6591),
    [anon_sym___restrict__] = ACTIONS(6591),
    [anon_sym__Atomic] = ACTIONS(6591),
    [anon_sym__Noreturn] = ACTIONS(6591),
    [anon_sym__Nonnull] = ACTIONS(6591),
    [anon_sym_nullable] = ACTIONS(6591),
    [anon_sym__Complex] = ACTIONS(6591),
    [anon_sym__Nullable] = ACTIONS(6591),
    [anon_sym__Nullable_result] = ACTIONS(6591),
    [anon_sym__Null_unspecified] = ACTIONS(6591),
    [anon_sym___autoreleasing] = ACTIONS(6591),
    [anon_sym___block] = ACTIONS(6591),
    [anon_sym___bridge] = ACTIONS(6591),
    [anon_sym___bridge_retained] = ACTIONS(6591),
    [anon_sym___bridge_transfer] = ACTIONS(6591),
    [anon_sym___complex] = ACTIONS(6591),
    [anon_sym___const] = ACTIONS(6591),
    [anon_sym___imag] = ACTIONS(6591),
    [anon_sym___kindof] = ACTIONS(6591),
    [anon_sym___nonnull] = ACTIONS(6591),
    [anon_sym___nullable] = ACTIONS(6591),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6591),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6591),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6591),
    [anon_sym___real] = ACTIONS(6591),
    [anon_sym___strong] = ACTIONS(6591),
    [anon_sym___unsafe_unretained] = ACTIONS(6591),
    [anon_sym___unused] = ACTIONS(6591),
    [anon_sym___weak] = ACTIONS(6591),
    [anon_sym_alignas] = ACTIONS(6591),
    [anon_sym__Alignas] = ACTIONS(6591),
    [sym_primitive_type] = ACTIONS(6591),
    [anon_sym_enum] = ACTIONS(6591),
    [anon_sym_struct] = ACTIONS(6591),
    [anon_sym_union] = ACTIONS(6591),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6591),
    [anon_sym___typeof] = ACTIONS(6591),
    [anon_sym_typeof] = ACTIONS(6591),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6591),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6591),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6591),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6591),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6591),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6591),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6591),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6591),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6591),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6591),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6591),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6591),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6591),
    [anon_sym_API_AVAILABLE] = ACTIONS(6591),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6591),
    [anon_sym_API_DEPRECATED] = ACTIONS(6591),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6591),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6591),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6591),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6591),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6591),
    [anon_sym___deprecated_msg] = ACTIONS(6591),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6591),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6591),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6591),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6591),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6591),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6591),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6591),
    [anon_sym_BOOL] = ACTIONS(6591),
    [anon_sym_IMP] = ACTIONS(6591),
    [anon_sym_SEL] = ACTIONS(6591),
    [anon_sym_Class] = ACTIONS(6591),
    [anon_sym_id] = ACTIONS(6591),
    [anon_sym_ATdefs] = ACTIONS(6593),
  },
  [2711] = {
    [sym_parameter_list] = STATE(2572),
    [sym_identifier] = ACTIONS(6726),
    [anon_sym_COMMA] = ACTIONS(6728),
    [anon_sym_LPAREN2] = ACTIONS(6687),
    [anon_sym_SEMI] = ACTIONS(6728),
    [anon_sym___extension__] = ACTIONS(6726),
    [anon_sym_extern] = ACTIONS(6726),
    [anon_sym___attribute__] = ACTIONS(6726),
    [anon_sym___attribute] = ACTIONS(6726),
    [anon_sym_noreturn] = ACTIONS(6726),
    [anon_sym_LBRACK] = ACTIONS(6689),
    [anon_sym___declspec] = ACTIONS(6726),
    [anon_sym_LBRACE] = ACTIONS(6728),
    [anon_sym_signed] = ACTIONS(6726),
    [anon_sym_unsigned] = ACTIONS(6726),
    [anon_sym_long] = ACTIONS(6726),
    [anon_sym_short] = ACTIONS(6726),
    [anon_sym_static] = ACTIONS(6726),
    [anon_sym_EQ] = ACTIONS(6728),
    [anon_sym_ATautoreleasepool] = ACTIONS(6728),
    [anon_sym_auto] = ACTIONS(6726),
    [anon_sym_register] = ACTIONS(6726),
    [anon_sym_inline] = ACTIONS(6726),
    [anon_sym___inline] = ACTIONS(6726),
    [anon_sym___inline__] = ACTIONS(6726),
    [anon_sym___forceinline] = ACTIONS(6726),
    [anon_sym_thread_local] = ACTIONS(6726),
    [anon_sym___thread] = ACTIONS(6726),
    [anon_sym_CG_EXTERN] = ACTIONS(6726),
    [anon_sym_CG_INLINE] = ACTIONS(6726),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6726),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6726),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6726),
    [anon_sym_IBOutlet] = ACTIONS(6726),
    [anon_sym_IBInspectable] = ACTIONS(6726),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6726),
    [anon_sym_NS_INLINE] = ACTIONS(6726),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6726),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6726),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6726),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6726),
    [anon_sym_const] = ACTIONS(6726),
    [anon_sym_constexpr] = ACTIONS(6726),
    [anon_sym_volatile] = ACTIONS(6726),
    [anon_sym_restrict] = ACTIONS(6726),
    [anon_sym___restrict__] = ACTIONS(6726),
    [anon_sym__Atomic] = ACTIONS(6726),
    [anon_sym__Noreturn] = ACTIONS(6726),
    [anon_sym__Nonnull] = ACTIONS(6726),
    [anon_sym_nullable] = ACTIONS(6726),
    [anon_sym__Complex] = ACTIONS(6726),
    [anon_sym__Nullable] = ACTIONS(6726),
    [anon_sym__Nullable_result] = ACTIONS(6726),
    [anon_sym__Null_unspecified] = ACTIONS(6726),
    [anon_sym___autoreleasing] = ACTIONS(6726),
    [anon_sym___block] = ACTIONS(6726),
    [anon_sym___bridge] = ACTIONS(6726),
    [anon_sym___bridge_retained] = ACTIONS(6726),
    [anon_sym___bridge_transfer] = ACTIONS(6726),
    [anon_sym___complex] = ACTIONS(6726),
    [anon_sym___const] = ACTIONS(6726),
    [anon_sym___imag] = ACTIONS(6726),
    [anon_sym___kindof] = ACTIONS(6726),
    [anon_sym___nonnull] = ACTIONS(6726),
    [anon_sym___nullable] = ACTIONS(6726),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6726),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6726),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6726),
    [anon_sym___real] = ACTIONS(6726),
    [anon_sym___strong] = ACTIONS(6726),
    [anon_sym___unsafe_unretained] = ACTIONS(6726),
    [anon_sym___unused] = ACTIONS(6726),
    [anon_sym___weak] = ACTIONS(6726),
    [anon_sym_alignas] = ACTIONS(6726),
    [anon_sym__Alignas] = ACTIONS(6726),
    [sym_primitive_type] = ACTIONS(6726),
    [anon_sym_enum] = ACTIONS(6726),
    [anon_sym_struct] = ACTIONS(6726),
    [anon_sym_union] = ACTIONS(6726),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6726),
    [anon_sym___typeof] = ACTIONS(6726),
    [anon_sym_typeof] = ACTIONS(6726),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6726),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6726),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6726),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6726),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6726),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6726),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6726),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6726),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6726),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6726),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6726),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6726),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6726),
    [anon_sym_API_AVAILABLE] = ACTIONS(6726),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6726),
    [anon_sym_API_DEPRECATED] = ACTIONS(6726),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6726),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6726),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6726),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6726),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6726),
    [anon_sym___deprecated_msg] = ACTIONS(6726),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6726),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6726),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6726),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6726),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6726),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6726),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6726),
    [anon_sym_BOOL] = ACTIONS(6726),
    [anon_sym_IMP] = ACTIONS(6726),
    [anon_sym_SEL] = ACTIONS(6726),
    [anon_sym_Class] = ACTIONS(6726),
    [anon_sym_id] = ACTIONS(6726),
  },
  [2712] = {
    [sym_identifier] = ACTIONS(6622),
    [aux_sym_preproc_def_token1] = ACTIONS(6622),
    [aux_sym_preproc_if_token1] = ACTIONS(6622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6622),
    [sym_preproc_directive] = ACTIONS(6622),
    [anon_sym___extension__] = ACTIONS(6622),
    [anon_sym_extern] = ACTIONS(6622),
    [anon_sym___attribute__] = ACTIONS(6622),
    [anon_sym___attribute] = ACTIONS(6622),
    [anon_sym_noreturn] = ACTIONS(6622),
    [anon_sym_LBRACK] = ACTIONS(6624),
    [anon_sym___declspec] = ACTIONS(6622),
    [anon_sym_RBRACE] = ACTIONS(6624),
    [anon_sym_signed] = ACTIONS(6622),
    [anon_sym_unsigned] = ACTIONS(6622),
    [anon_sym_long] = ACTIONS(6622),
    [anon_sym_short] = ACTIONS(6622),
    [anon_sym_static] = ACTIONS(6622),
    [anon_sym_auto] = ACTIONS(6622),
    [anon_sym_register] = ACTIONS(6622),
    [anon_sym_inline] = ACTIONS(6622),
    [anon_sym___inline] = ACTIONS(6622),
    [anon_sym___inline__] = ACTIONS(6622),
    [anon_sym___forceinline] = ACTIONS(6622),
    [anon_sym_thread_local] = ACTIONS(6622),
    [anon_sym___thread] = ACTIONS(6622),
    [anon_sym_CG_EXTERN] = ACTIONS(6622),
    [anon_sym_CG_INLINE] = ACTIONS(6622),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6622),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6622),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6622),
    [anon_sym_IBOutlet] = ACTIONS(6622),
    [anon_sym_IBInspectable] = ACTIONS(6622),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6622),
    [anon_sym_NS_INLINE] = ACTIONS(6622),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6622),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6622),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6622),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6622),
    [anon_sym_const] = ACTIONS(6622),
    [anon_sym_constexpr] = ACTIONS(6622),
    [anon_sym_volatile] = ACTIONS(6622),
    [anon_sym_restrict] = ACTIONS(6622),
    [anon_sym___restrict__] = ACTIONS(6622),
    [anon_sym__Atomic] = ACTIONS(6622),
    [anon_sym__Noreturn] = ACTIONS(6622),
    [anon_sym__Nonnull] = ACTIONS(6622),
    [anon_sym_nullable] = ACTIONS(6622),
    [anon_sym__Complex] = ACTIONS(6622),
    [anon_sym__Nullable] = ACTIONS(6622),
    [anon_sym__Nullable_result] = ACTIONS(6622),
    [anon_sym__Null_unspecified] = ACTIONS(6622),
    [anon_sym___autoreleasing] = ACTIONS(6622),
    [anon_sym___block] = ACTIONS(6622),
    [anon_sym___bridge] = ACTIONS(6622),
    [anon_sym___bridge_retained] = ACTIONS(6622),
    [anon_sym___bridge_transfer] = ACTIONS(6622),
    [anon_sym___complex] = ACTIONS(6622),
    [anon_sym___const] = ACTIONS(6622),
    [anon_sym___imag] = ACTIONS(6622),
    [anon_sym___kindof] = ACTIONS(6622),
    [anon_sym___nonnull] = ACTIONS(6622),
    [anon_sym___nullable] = ACTIONS(6622),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6622),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6622),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6622),
    [anon_sym___real] = ACTIONS(6622),
    [anon_sym___strong] = ACTIONS(6622),
    [anon_sym___unsafe_unretained] = ACTIONS(6622),
    [anon_sym___unused] = ACTIONS(6622),
    [anon_sym___weak] = ACTIONS(6622),
    [anon_sym_alignas] = ACTIONS(6622),
    [anon_sym__Alignas] = ACTIONS(6622),
    [sym_primitive_type] = ACTIONS(6622),
    [anon_sym_enum] = ACTIONS(6622),
    [anon_sym_struct] = ACTIONS(6622),
    [anon_sym_union] = ACTIONS(6622),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6622),
    [anon_sym___typeof] = ACTIONS(6622),
    [anon_sym_typeof] = ACTIONS(6622),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6622),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6622),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6622),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6622),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6622),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6622),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6622),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6622),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6622),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6622),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6622),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6622),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6622),
    [anon_sym_API_AVAILABLE] = ACTIONS(6622),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6622),
    [anon_sym_API_DEPRECATED] = ACTIONS(6622),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6622),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6622),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6622),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6622),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6622),
    [anon_sym___deprecated_msg] = ACTIONS(6622),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6622),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6622),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6622),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6622),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6622),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6622),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6622),
    [anon_sym_BOOL] = ACTIONS(6622),
    [anon_sym_IMP] = ACTIONS(6622),
    [anon_sym_SEL] = ACTIONS(6622),
    [anon_sym_Class] = ACTIONS(6622),
    [anon_sym_id] = ACTIONS(6622),
    [anon_sym_ATdefs] = ACTIONS(6624),
  },
  [2713] = {
    [sym_parameter_list] = STATE(2572),
    [sym_identifier] = ACTIONS(6730),
    [anon_sym_COMMA] = ACTIONS(6732),
    [anon_sym_LPAREN2] = ACTIONS(6687),
    [anon_sym_SEMI] = ACTIONS(6732),
    [anon_sym___extension__] = ACTIONS(6730),
    [anon_sym_extern] = ACTIONS(6730),
    [anon_sym___attribute__] = ACTIONS(6730),
    [anon_sym___attribute] = ACTIONS(6730),
    [anon_sym_noreturn] = ACTIONS(6730),
    [anon_sym_LBRACK] = ACTIONS(6689),
    [anon_sym___declspec] = ACTIONS(6730),
    [anon_sym_LBRACE] = ACTIONS(6732),
    [anon_sym_signed] = ACTIONS(6730),
    [anon_sym_unsigned] = ACTIONS(6730),
    [anon_sym_long] = ACTIONS(6730),
    [anon_sym_short] = ACTIONS(6730),
    [anon_sym_static] = ACTIONS(6730),
    [anon_sym_EQ] = ACTIONS(6732),
    [anon_sym_ATautoreleasepool] = ACTIONS(6732),
    [anon_sym_auto] = ACTIONS(6730),
    [anon_sym_register] = ACTIONS(6730),
    [anon_sym_inline] = ACTIONS(6730),
    [anon_sym___inline] = ACTIONS(6730),
    [anon_sym___inline__] = ACTIONS(6730),
    [anon_sym___forceinline] = ACTIONS(6730),
    [anon_sym_thread_local] = ACTIONS(6730),
    [anon_sym___thread] = ACTIONS(6730),
    [anon_sym_CG_EXTERN] = ACTIONS(6730),
    [anon_sym_CG_INLINE] = ACTIONS(6730),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6730),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6730),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6730),
    [anon_sym_IBOutlet] = ACTIONS(6730),
    [anon_sym_IBInspectable] = ACTIONS(6730),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6730),
    [anon_sym_NS_INLINE] = ACTIONS(6730),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6730),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6730),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6730),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6730),
    [anon_sym_const] = ACTIONS(6730),
    [anon_sym_constexpr] = ACTIONS(6730),
    [anon_sym_volatile] = ACTIONS(6730),
    [anon_sym_restrict] = ACTIONS(6730),
    [anon_sym___restrict__] = ACTIONS(6730),
    [anon_sym__Atomic] = ACTIONS(6730),
    [anon_sym__Noreturn] = ACTIONS(6730),
    [anon_sym__Nonnull] = ACTIONS(6730),
    [anon_sym_nullable] = ACTIONS(6730),
    [anon_sym__Complex] = ACTIONS(6730),
    [anon_sym__Nullable] = ACTIONS(6730),
    [anon_sym__Nullable_result] = ACTIONS(6730),
    [anon_sym__Null_unspecified] = ACTIONS(6730),
    [anon_sym___autoreleasing] = ACTIONS(6730),
    [anon_sym___block] = ACTIONS(6730),
    [anon_sym___bridge] = ACTIONS(6730),
    [anon_sym___bridge_retained] = ACTIONS(6730),
    [anon_sym___bridge_transfer] = ACTIONS(6730),
    [anon_sym___complex] = ACTIONS(6730),
    [anon_sym___const] = ACTIONS(6730),
    [anon_sym___imag] = ACTIONS(6730),
    [anon_sym___kindof] = ACTIONS(6730),
    [anon_sym___nonnull] = ACTIONS(6730),
    [anon_sym___nullable] = ACTIONS(6730),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6730),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6730),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6730),
    [anon_sym___real] = ACTIONS(6730),
    [anon_sym___strong] = ACTIONS(6730),
    [anon_sym___unsafe_unretained] = ACTIONS(6730),
    [anon_sym___unused] = ACTIONS(6730),
    [anon_sym___weak] = ACTIONS(6730),
    [anon_sym_alignas] = ACTIONS(6730),
    [anon_sym__Alignas] = ACTIONS(6730),
    [sym_primitive_type] = ACTIONS(6730),
    [anon_sym_enum] = ACTIONS(6730),
    [anon_sym_struct] = ACTIONS(6730),
    [anon_sym_union] = ACTIONS(6730),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6730),
    [anon_sym___typeof] = ACTIONS(6730),
    [anon_sym_typeof] = ACTIONS(6730),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6730),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6730),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6730),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6730),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6730),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6730),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6730),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6730),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6730),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6730),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6730),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6730),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6730),
    [anon_sym_API_AVAILABLE] = ACTIONS(6730),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6730),
    [anon_sym_API_DEPRECATED] = ACTIONS(6730),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6730),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6730),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6730),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6730),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6730),
    [anon_sym___deprecated_msg] = ACTIONS(6730),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6730),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6730),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6730),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6730),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6730),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6730),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6730),
    [anon_sym_BOOL] = ACTIONS(6730),
    [anon_sym_IMP] = ACTIONS(6730),
    [anon_sym_SEL] = ACTIONS(6730),
    [anon_sym_Class] = ACTIONS(6730),
    [anon_sym_id] = ACTIONS(6730),
  },
  [2714] = {
    [sym_parameter_list] = STATE(2572),
    [sym_identifier] = ACTIONS(6734),
    [anon_sym_COMMA] = ACTIONS(6736),
    [anon_sym_LPAREN2] = ACTIONS(6687),
    [anon_sym_SEMI] = ACTIONS(6736),
    [anon_sym___extension__] = ACTIONS(6734),
    [anon_sym_extern] = ACTIONS(6734),
    [anon_sym___attribute__] = ACTIONS(6734),
    [anon_sym___attribute] = ACTIONS(6734),
    [anon_sym_noreturn] = ACTIONS(6734),
    [anon_sym_LBRACK] = ACTIONS(6689),
    [anon_sym___declspec] = ACTIONS(6734),
    [anon_sym_LBRACE] = ACTIONS(6736),
    [anon_sym_signed] = ACTIONS(6734),
    [anon_sym_unsigned] = ACTIONS(6734),
    [anon_sym_long] = ACTIONS(6734),
    [anon_sym_short] = ACTIONS(6734),
    [anon_sym_static] = ACTIONS(6734),
    [anon_sym_EQ] = ACTIONS(6736),
    [anon_sym_ATautoreleasepool] = ACTIONS(6736),
    [anon_sym_auto] = ACTIONS(6734),
    [anon_sym_register] = ACTIONS(6734),
    [anon_sym_inline] = ACTIONS(6734),
    [anon_sym___inline] = ACTIONS(6734),
    [anon_sym___inline__] = ACTIONS(6734),
    [anon_sym___forceinline] = ACTIONS(6734),
    [anon_sym_thread_local] = ACTIONS(6734),
    [anon_sym___thread] = ACTIONS(6734),
    [anon_sym_CG_EXTERN] = ACTIONS(6734),
    [anon_sym_CG_INLINE] = ACTIONS(6734),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6734),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6734),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6734),
    [anon_sym_IBOutlet] = ACTIONS(6734),
    [anon_sym_IBInspectable] = ACTIONS(6734),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6734),
    [anon_sym_NS_INLINE] = ACTIONS(6734),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6734),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6734),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6734),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6734),
    [anon_sym_const] = ACTIONS(6734),
    [anon_sym_constexpr] = ACTIONS(6734),
    [anon_sym_volatile] = ACTIONS(6734),
    [anon_sym_restrict] = ACTIONS(6734),
    [anon_sym___restrict__] = ACTIONS(6734),
    [anon_sym__Atomic] = ACTIONS(6734),
    [anon_sym__Noreturn] = ACTIONS(6734),
    [anon_sym__Nonnull] = ACTIONS(6734),
    [anon_sym_nullable] = ACTIONS(6734),
    [anon_sym__Complex] = ACTIONS(6734),
    [anon_sym__Nullable] = ACTIONS(6734),
    [anon_sym__Nullable_result] = ACTIONS(6734),
    [anon_sym__Null_unspecified] = ACTIONS(6734),
    [anon_sym___autoreleasing] = ACTIONS(6734),
    [anon_sym___block] = ACTIONS(6734),
    [anon_sym___bridge] = ACTIONS(6734),
    [anon_sym___bridge_retained] = ACTIONS(6734),
    [anon_sym___bridge_transfer] = ACTIONS(6734),
    [anon_sym___complex] = ACTIONS(6734),
    [anon_sym___const] = ACTIONS(6734),
    [anon_sym___imag] = ACTIONS(6734),
    [anon_sym___kindof] = ACTIONS(6734),
    [anon_sym___nonnull] = ACTIONS(6734),
    [anon_sym___nullable] = ACTIONS(6734),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6734),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6734),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6734),
    [anon_sym___real] = ACTIONS(6734),
    [anon_sym___strong] = ACTIONS(6734),
    [anon_sym___unsafe_unretained] = ACTIONS(6734),
    [anon_sym___unused] = ACTIONS(6734),
    [anon_sym___weak] = ACTIONS(6734),
    [anon_sym_alignas] = ACTIONS(6734),
    [anon_sym__Alignas] = ACTIONS(6734),
    [sym_primitive_type] = ACTIONS(6734),
    [anon_sym_enum] = ACTIONS(6734),
    [anon_sym_struct] = ACTIONS(6734),
    [anon_sym_union] = ACTIONS(6734),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6734),
    [anon_sym___typeof] = ACTIONS(6734),
    [anon_sym_typeof] = ACTIONS(6734),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6734),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6734),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6734),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6734),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6734),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6734),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6734),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6734),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6734),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6734),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6734),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6734),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6734),
    [anon_sym_API_AVAILABLE] = ACTIONS(6734),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6734),
    [anon_sym_API_DEPRECATED] = ACTIONS(6734),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6734),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6734),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6734),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6734),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6734),
    [anon_sym___deprecated_msg] = ACTIONS(6734),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6734),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6734),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6734),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6734),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6734),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6734),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6734),
    [anon_sym_BOOL] = ACTIONS(6734),
    [anon_sym_IMP] = ACTIONS(6734),
    [anon_sym_SEL] = ACTIONS(6734),
    [anon_sym_Class] = ACTIONS(6734),
    [anon_sym_id] = ACTIONS(6734),
  },
  [2715] = {
    [sym_identifier] = ACTIONS(6599),
    [aux_sym_preproc_def_token1] = ACTIONS(6599),
    [aux_sym_preproc_if_token1] = ACTIONS(6599),
    [aux_sym_preproc_if_token2] = ACTIONS(6599),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6599),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6599),
    [sym_preproc_directive] = ACTIONS(6599),
    [anon_sym___extension__] = ACTIONS(6599),
    [anon_sym_extern] = ACTIONS(6599),
    [anon_sym___attribute__] = ACTIONS(6599),
    [anon_sym___attribute] = ACTIONS(6599),
    [anon_sym_noreturn] = ACTIONS(6599),
    [anon_sym_LBRACK] = ACTIONS(6601),
    [anon_sym___declspec] = ACTIONS(6599),
    [anon_sym_signed] = ACTIONS(6599),
    [anon_sym_unsigned] = ACTIONS(6599),
    [anon_sym_long] = ACTIONS(6599),
    [anon_sym_short] = ACTIONS(6599),
    [anon_sym_static] = ACTIONS(6599),
    [anon_sym_auto] = ACTIONS(6599),
    [anon_sym_register] = ACTIONS(6599),
    [anon_sym_inline] = ACTIONS(6599),
    [anon_sym___inline] = ACTIONS(6599),
    [anon_sym___inline__] = ACTIONS(6599),
    [anon_sym___forceinline] = ACTIONS(6599),
    [anon_sym_thread_local] = ACTIONS(6599),
    [anon_sym___thread] = ACTIONS(6599),
    [anon_sym_CG_EXTERN] = ACTIONS(6599),
    [anon_sym_CG_INLINE] = ACTIONS(6599),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6599),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6599),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6599),
    [anon_sym_IBOutlet] = ACTIONS(6599),
    [anon_sym_IBInspectable] = ACTIONS(6599),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6599),
    [anon_sym_NS_INLINE] = ACTIONS(6599),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6599),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6599),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6599),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6599),
    [anon_sym_const] = ACTIONS(6599),
    [anon_sym_constexpr] = ACTIONS(6599),
    [anon_sym_volatile] = ACTIONS(6599),
    [anon_sym_restrict] = ACTIONS(6599),
    [anon_sym___restrict__] = ACTIONS(6599),
    [anon_sym__Atomic] = ACTIONS(6599),
    [anon_sym__Noreturn] = ACTIONS(6599),
    [anon_sym__Nonnull] = ACTIONS(6599),
    [anon_sym_nullable] = ACTIONS(6599),
    [anon_sym__Complex] = ACTIONS(6599),
    [anon_sym__Nullable] = ACTIONS(6599),
    [anon_sym__Nullable_result] = ACTIONS(6599),
    [anon_sym__Null_unspecified] = ACTIONS(6599),
    [anon_sym___autoreleasing] = ACTIONS(6599),
    [anon_sym___block] = ACTIONS(6599),
    [anon_sym___bridge] = ACTIONS(6599),
    [anon_sym___bridge_retained] = ACTIONS(6599),
    [anon_sym___bridge_transfer] = ACTIONS(6599),
    [anon_sym___complex] = ACTIONS(6599),
    [anon_sym___const] = ACTIONS(6599),
    [anon_sym___imag] = ACTIONS(6599),
    [anon_sym___kindof] = ACTIONS(6599),
    [anon_sym___nonnull] = ACTIONS(6599),
    [anon_sym___nullable] = ACTIONS(6599),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6599),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6599),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6599),
    [anon_sym___real] = ACTIONS(6599),
    [anon_sym___strong] = ACTIONS(6599),
    [anon_sym___unsafe_unretained] = ACTIONS(6599),
    [anon_sym___unused] = ACTIONS(6599),
    [anon_sym___weak] = ACTIONS(6599),
    [anon_sym_alignas] = ACTIONS(6599),
    [anon_sym__Alignas] = ACTIONS(6599),
    [sym_primitive_type] = ACTIONS(6599),
    [anon_sym_enum] = ACTIONS(6599),
    [anon_sym_struct] = ACTIONS(6599),
    [anon_sym_union] = ACTIONS(6599),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6599),
    [anon_sym___typeof] = ACTIONS(6599),
    [anon_sym_typeof] = ACTIONS(6599),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6599),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6599),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6599),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6599),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6599),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6599),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6599),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6599),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6599),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6599),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6599),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6599),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6599),
    [anon_sym_API_AVAILABLE] = ACTIONS(6599),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6599),
    [anon_sym_API_DEPRECATED] = ACTIONS(6599),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6599),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6599),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6599),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6599),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6599),
    [anon_sym___deprecated_msg] = ACTIONS(6599),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6599),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6599),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6599),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6599),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6599),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6599),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6599),
    [anon_sym_BOOL] = ACTIONS(6599),
    [anon_sym_IMP] = ACTIONS(6599),
    [anon_sym_SEL] = ACTIONS(6599),
    [anon_sym_Class] = ACTIONS(6599),
    [anon_sym_id] = ACTIONS(6599),
    [anon_sym_ATdefs] = ACTIONS(6601),
  },
  [2716] = {
    [sym_identifier] = ACTIONS(6555),
    [aux_sym_preproc_def_token1] = ACTIONS(6555),
    [aux_sym_preproc_if_token1] = ACTIONS(6555),
    [aux_sym_preproc_if_token2] = ACTIONS(6555),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6555),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6555),
    [sym_preproc_directive] = ACTIONS(6555),
    [anon_sym___extension__] = ACTIONS(6555),
    [anon_sym_extern] = ACTIONS(6555),
    [anon_sym___attribute__] = ACTIONS(6555),
    [anon_sym___attribute] = ACTIONS(6555),
    [anon_sym_noreturn] = ACTIONS(6555),
    [anon_sym_LBRACK] = ACTIONS(6557),
    [anon_sym___declspec] = ACTIONS(6555),
    [anon_sym_signed] = ACTIONS(6555),
    [anon_sym_unsigned] = ACTIONS(6555),
    [anon_sym_long] = ACTIONS(6555),
    [anon_sym_short] = ACTIONS(6555),
    [anon_sym_static] = ACTIONS(6555),
    [anon_sym_auto] = ACTIONS(6555),
    [anon_sym_register] = ACTIONS(6555),
    [anon_sym_inline] = ACTIONS(6555),
    [anon_sym___inline] = ACTIONS(6555),
    [anon_sym___inline__] = ACTIONS(6555),
    [anon_sym___forceinline] = ACTIONS(6555),
    [anon_sym_thread_local] = ACTIONS(6555),
    [anon_sym___thread] = ACTIONS(6555),
    [anon_sym_CG_EXTERN] = ACTIONS(6555),
    [anon_sym_CG_INLINE] = ACTIONS(6555),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6555),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6555),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6555),
    [anon_sym_IBOutlet] = ACTIONS(6555),
    [anon_sym_IBInspectable] = ACTIONS(6555),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6555),
    [anon_sym_NS_INLINE] = ACTIONS(6555),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6555),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6555),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6555),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6555),
    [anon_sym_const] = ACTIONS(6555),
    [anon_sym_constexpr] = ACTIONS(6555),
    [anon_sym_volatile] = ACTIONS(6555),
    [anon_sym_restrict] = ACTIONS(6555),
    [anon_sym___restrict__] = ACTIONS(6555),
    [anon_sym__Atomic] = ACTIONS(6555),
    [anon_sym__Noreturn] = ACTIONS(6555),
    [anon_sym__Nonnull] = ACTIONS(6555),
    [anon_sym_nullable] = ACTIONS(6555),
    [anon_sym__Complex] = ACTIONS(6555),
    [anon_sym__Nullable] = ACTIONS(6555),
    [anon_sym__Nullable_result] = ACTIONS(6555),
    [anon_sym__Null_unspecified] = ACTIONS(6555),
    [anon_sym___autoreleasing] = ACTIONS(6555),
    [anon_sym___block] = ACTIONS(6555),
    [anon_sym___bridge] = ACTIONS(6555),
    [anon_sym___bridge_retained] = ACTIONS(6555),
    [anon_sym___bridge_transfer] = ACTIONS(6555),
    [anon_sym___complex] = ACTIONS(6555),
    [anon_sym___const] = ACTIONS(6555),
    [anon_sym___imag] = ACTIONS(6555),
    [anon_sym___kindof] = ACTIONS(6555),
    [anon_sym___nonnull] = ACTIONS(6555),
    [anon_sym___nullable] = ACTIONS(6555),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6555),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6555),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6555),
    [anon_sym___real] = ACTIONS(6555),
    [anon_sym___strong] = ACTIONS(6555),
    [anon_sym___unsafe_unretained] = ACTIONS(6555),
    [anon_sym___unused] = ACTIONS(6555),
    [anon_sym___weak] = ACTIONS(6555),
    [anon_sym_alignas] = ACTIONS(6555),
    [anon_sym__Alignas] = ACTIONS(6555),
    [sym_primitive_type] = ACTIONS(6555),
    [anon_sym_enum] = ACTIONS(6555),
    [anon_sym_struct] = ACTIONS(6555),
    [anon_sym_union] = ACTIONS(6555),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6555),
    [anon_sym___typeof] = ACTIONS(6555),
    [anon_sym_typeof] = ACTIONS(6555),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6555),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6555),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6555),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6555),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6555),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6555),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6555),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6555),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6555),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6555),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6555),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6555),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6555),
    [anon_sym_API_AVAILABLE] = ACTIONS(6555),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6555),
    [anon_sym_API_DEPRECATED] = ACTIONS(6555),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6555),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6555),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6555),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6555),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6555),
    [anon_sym___deprecated_msg] = ACTIONS(6555),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6555),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6555),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6555),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6555),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6555),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6555),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6555),
    [anon_sym_BOOL] = ACTIONS(6555),
    [anon_sym_IMP] = ACTIONS(6555),
    [anon_sym_SEL] = ACTIONS(6555),
    [anon_sym_Class] = ACTIONS(6555),
    [anon_sym_id] = ACTIONS(6555),
    [anon_sym_ATdefs] = ACTIONS(6557),
  },
  [2717] = {
    [sym_parameter_list] = STATE(2572),
    [sym_identifier] = ACTIONS(6738),
    [anon_sym_COMMA] = ACTIONS(6740),
    [anon_sym_LPAREN2] = ACTIONS(6687),
    [anon_sym_SEMI] = ACTIONS(6740),
    [anon_sym___extension__] = ACTIONS(6738),
    [anon_sym_extern] = ACTIONS(6738),
    [anon_sym___attribute__] = ACTIONS(6738),
    [anon_sym___attribute] = ACTIONS(6738),
    [anon_sym_noreturn] = ACTIONS(6738),
    [anon_sym_LBRACK] = ACTIONS(6689),
    [anon_sym___declspec] = ACTIONS(6738),
    [anon_sym_LBRACE] = ACTIONS(6740),
    [anon_sym_signed] = ACTIONS(6738),
    [anon_sym_unsigned] = ACTIONS(6738),
    [anon_sym_long] = ACTIONS(6738),
    [anon_sym_short] = ACTIONS(6738),
    [anon_sym_static] = ACTIONS(6738),
    [anon_sym_EQ] = ACTIONS(6740),
    [anon_sym_ATautoreleasepool] = ACTIONS(6740),
    [anon_sym_auto] = ACTIONS(6738),
    [anon_sym_register] = ACTIONS(6738),
    [anon_sym_inline] = ACTIONS(6738),
    [anon_sym___inline] = ACTIONS(6738),
    [anon_sym___inline__] = ACTIONS(6738),
    [anon_sym___forceinline] = ACTIONS(6738),
    [anon_sym_thread_local] = ACTIONS(6738),
    [anon_sym___thread] = ACTIONS(6738),
    [anon_sym_CG_EXTERN] = ACTIONS(6738),
    [anon_sym_CG_INLINE] = ACTIONS(6738),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6738),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6738),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6738),
    [anon_sym_IBOutlet] = ACTIONS(6738),
    [anon_sym_IBInspectable] = ACTIONS(6738),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6738),
    [anon_sym_NS_INLINE] = ACTIONS(6738),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6738),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6738),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6738),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6738),
    [anon_sym_const] = ACTIONS(6738),
    [anon_sym_constexpr] = ACTIONS(6738),
    [anon_sym_volatile] = ACTIONS(6738),
    [anon_sym_restrict] = ACTIONS(6738),
    [anon_sym___restrict__] = ACTIONS(6738),
    [anon_sym__Atomic] = ACTIONS(6738),
    [anon_sym__Noreturn] = ACTIONS(6738),
    [anon_sym__Nonnull] = ACTIONS(6738),
    [anon_sym_nullable] = ACTIONS(6738),
    [anon_sym__Complex] = ACTIONS(6738),
    [anon_sym__Nullable] = ACTIONS(6738),
    [anon_sym__Nullable_result] = ACTIONS(6738),
    [anon_sym__Null_unspecified] = ACTIONS(6738),
    [anon_sym___autoreleasing] = ACTIONS(6738),
    [anon_sym___block] = ACTIONS(6738),
    [anon_sym___bridge] = ACTIONS(6738),
    [anon_sym___bridge_retained] = ACTIONS(6738),
    [anon_sym___bridge_transfer] = ACTIONS(6738),
    [anon_sym___complex] = ACTIONS(6738),
    [anon_sym___const] = ACTIONS(6738),
    [anon_sym___imag] = ACTIONS(6738),
    [anon_sym___kindof] = ACTIONS(6738),
    [anon_sym___nonnull] = ACTIONS(6738),
    [anon_sym___nullable] = ACTIONS(6738),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6738),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6738),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6738),
    [anon_sym___real] = ACTIONS(6738),
    [anon_sym___strong] = ACTIONS(6738),
    [anon_sym___unsafe_unretained] = ACTIONS(6738),
    [anon_sym___unused] = ACTIONS(6738),
    [anon_sym___weak] = ACTIONS(6738),
    [anon_sym_alignas] = ACTIONS(6738),
    [anon_sym__Alignas] = ACTIONS(6738),
    [sym_primitive_type] = ACTIONS(6738),
    [anon_sym_enum] = ACTIONS(6738),
    [anon_sym_struct] = ACTIONS(6738),
    [anon_sym_union] = ACTIONS(6738),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6738),
    [anon_sym___typeof] = ACTIONS(6738),
    [anon_sym_typeof] = ACTIONS(6738),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6738),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6738),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6738),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6738),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6738),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6738),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6738),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6738),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6738),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6738),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6738),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6738),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6738),
    [anon_sym_API_AVAILABLE] = ACTIONS(6738),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6738),
    [anon_sym_API_DEPRECATED] = ACTIONS(6738),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6738),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6738),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6738),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6738),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6738),
    [anon_sym___deprecated_msg] = ACTIONS(6738),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6738),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6738),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6738),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6738),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6738),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6738),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6738),
    [anon_sym_BOOL] = ACTIONS(6738),
    [anon_sym_IMP] = ACTIONS(6738),
    [anon_sym_SEL] = ACTIONS(6738),
    [anon_sym_Class] = ACTIONS(6738),
    [anon_sym_id] = ACTIONS(6738),
  },
  [2718] = {
    [sym_identifier] = ACTIONS(6622),
    [aux_sym_preproc_def_token1] = ACTIONS(6622),
    [aux_sym_preproc_if_token1] = ACTIONS(6622),
    [aux_sym_preproc_if_token2] = ACTIONS(6622),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6622),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6622),
    [sym_preproc_directive] = ACTIONS(6622),
    [anon_sym___extension__] = ACTIONS(6622),
    [anon_sym_extern] = ACTIONS(6622),
    [anon_sym___attribute__] = ACTIONS(6622),
    [anon_sym___attribute] = ACTIONS(6622),
    [anon_sym_noreturn] = ACTIONS(6622),
    [anon_sym_LBRACK] = ACTIONS(6624),
    [anon_sym___declspec] = ACTIONS(6622),
    [anon_sym_signed] = ACTIONS(6622),
    [anon_sym_unsigned] = ACTIONS(6622),
    [anon_sym_long] = ACTIONS(6622),
    [anon_sym_short] = ACTIONS(6622),
    [anon_sym_static] = ACTIONS(6622),
    [anon_sym_auto] = ACTIONS(6622),
    [anon_sym_register] = ACTIONS(6622),
    [anon_sym_inline] = ACTIONS(6622),
    [anon_sym___inline] = ACTIONS(6622),
    [anon_sym___inline__] = ACTIONS(6622),
    [anon_sym___forceinline] = ACTIONS(6622),
    [anon_sym_thread_local] = ACTIONS(6622),
    [anon_sym___thread] = ACTIONS(6622),
    [anon_sym_CG_EXTERN] = ACTIONS(6622),
    [anon_sym_CG_INLINE] = ACTIONS(6622),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6622),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6622),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6622),
    [anon_sym_IBOutlet] = ACTIONS(6622),
    [anon_sym_IBInspectable] = ACTIONS(6622),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6622),
    [anon_sym_NS_INLINE] = ACTIONS(6622),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6622),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6622),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6622),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6622),
    [anon_sym_const] = ACTIONS(6622),
    [anon_sym_constexpr] = ACTIONS(6622),
    [anon_sym_volatile] = ACTIONS(6622),
    [anon_sym_restrict] = ACTIONS(6622),
    [anon_sym___restrict__] = ACTIONS(6622),
    [anon_sym__Atomic] = ACTIONS(6622),
    [anon_sym__Noreturn] = ACTIONS(6622),
    [anon_sym__Nonnull] = ACTIONS(6622),
    [anon_sym_nullable] = ACTIONS(6622),
    [anon_sym__Complex] = ACTIONS(6622),
    [anon_sym__Nullable] = ACTIONS(6622),
    [anon_sym__Nullable_result] = ACTIONS(6622),
    [anon_sym__Null_unspecified] = ACTIONS(6622),
    [anon_sym___autoreleasing] = ACTIONS(6622),
    [anon_sym___block] = ACTIONS(6622),
    [anon_sym___bridge] = ACTIONS(6622),
    [anon_sym___bridge_retained] = ACTIONS(6622),
    [anon_sym___bridge_transfer] = ACTIONS(6622),
    [anon_sym___complex] = ACTIONS(6622),
    [anon_sym___const] = ACTIONS(6622),
    [anon_sym___imag] = ACTIONS(6622),
    [anon_sym___kindof] = ACTIONS(6622),
    [anon_sym___nonnull] = ACTIONS(6622),
    [anon_sym___nullable] = ACTIONS(6622),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6622),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6622),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6622),
    [anon_sym___real] = ACTIONS(6622),
    [anon_sym___strong] = ACTIONS(6622),
    [anon_sym___unsafe_unretained] = ACTIONS(6622),
    [anon_sym___unused] = ACTIONS(6622),
    [anon_sym___weak] = ACTIONS(6622),
    [anon_sym_alignas] = ACTIONS(6622),
    [anon_sym__Alignas] = ACTIONS(6622),
    [sym_primitive_type] = ACTIONS(6622),
    [anon_sym_enum] = ACTIONS(6622),
    [anon_sym_struct] = ACTIONS(6622),
    [anon_sym_union] = ACTIONS(6622),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6622),
    [anon_sym___typeof] = ACTIONS(6622),
    [anon_sym_typeof] = ACTIONS(6622),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6622),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6622),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6622),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6622),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6622),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6622),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6622),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6622),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6622),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6622),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6622),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6622),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6622),
    [anon_sym_API_AVAILABLE] = ACTIONS(6622),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6622),
    [anon_sym_API_DEPRECATED] = ACTIONS(6622),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6622),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6622),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6622),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6622),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6622),
    [anon_sym___deprecated_msg] = ACTIONS(6622),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6622),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6622),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6622),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6622),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6622),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6622),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6622),
    [anon_sym_BOOL] = ACTIONS(6622),
    [anon_sym_IMP] = ACTIONS(6622),
    [anon_sym_SEL] = ACTIONS(6622),
    [anon_sym_Class] = ACTIONS(6622),
    [anon_sym_id] = ACTIONS(6622),
    [anon_sym_ATdefs] = ACTIONS(6624),
  },
  [2719] = {
    [sym_identifier] = ACTIONS(6563),
    [aux_sym_preproc_def_token1] = ACTIONS(6563),
    [aux_sym_preproc_if_token1] = ACTIONS(6563),
    [aux_sym_preproc_if_token2] = ACTIONS(6563),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6563),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6563),
    [sym_preproc_directive] = ACTIONS(6563),
    [anon_sym___extension__] = ACTIONS(6563),
    [anon_sym_extern] = ACTIONS(6563),
    [anon_sym___attribute__] = ACTIONS(6563),
    [anon_sym___attribute] = ACTIONS(6563),
    [anon_sym_noreturn] = ACTIONS(6563),
    [anon_sym_LBRACK] = ACTIONS(6565),
    [anon_sym___declspec] = ACTIONS(6563),
    [anon_sym_signed] = ACTIONS(6563),
    [anon_sym_unsigned] = ACTIONS(6563),
    [anon_sym_long] = ACTIONS(6563),
    [anon_sym_short] = ACTIONS(6563),
    [anon_sym_static] = ACTIONS(6563),
    [anon_sym_auto] = ACTIONS(6563),
    [anon_sym_register] = ACTIONS(6563),
    [anon_sym_inline] = ACTIONS(6563),
    [anon_sym___inline] = ACTIONS(6563),
    [anon_sym___inline__] = ACTIONS(6563),
    [anon_sym___forceinline] = ACTIONS(6563),
    [anon_sym_thread_local] = ACTIONS(6563),
    [anon_sym___thread] = ACTIONS(6563),
    [anon_sym_CG_EXTERN] = ACTIONS(6563),
    [anon_sym_CG_INLINE] = ACTIONS(6563),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6563),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6563),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6563),
    [anon_sym_IBOutlet] = ACTIONS(6563),
    [anon_sym_IBInspectable] = ACTIONS(6563),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6563),
    [anon_sym_NS_INLINE] = ACTIONS(6563),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6563),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6563),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6563),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6563),
    [anon_sym_const] = ACTIONS(6563),
    [anon_sym_constexpr] = ACTIONS(6563),
    [anon_sym_volatile] = ACTIONS(6563),
    [anon_sym_restrict] = ACTIONS(6563),
    [anon_sym___restrict__] = ACTIONS(6563),
    [anon_sym__Atomic] = ACTIONS(6563),
    [anon_sym__Noreturn] = ACTIONS(6563),
    [anon_sym__Nonnull] = ACTIONS(6563),
    [anon_sym_nullable] = ACTIONS(6563),
    [anon_sym__Complex] = ACTIONS(6563),
    [anon_sym__Nullable] = ACTIONS(6563),
    [anon_sym__Nullable_result] = ACTIONS(6563),
    [anon_sym__Null_unspecified] = ACTIONS(6563),
    [anon_sym___autoreleasing] = ACTIONS(6563),
    [anon_sym___block] = ACTIONS(6563),
    [anon_sym___bridge] = ACTIONS(6563),
    [anon_sym___bridge_retained] = ACTIONS(6563),
    [anon_sym___bridge_transfer] = ACTIONS(6563),
    [anon_sym___complex] = ACTIONS(6563),
    [anon_sym___const] = ACTIONS(6563),
    [anon_sym___imag] = ACTIONS(6563),
    [anon_sym___kindof] = ACTIONS(6563),
    [anon_sym___nonnull] = ACTIONS(6563),
    [anon_sym___nullable] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6563),
    [anon_sym___real] = ACTIONS(6563),
    [anon_sym___strong] = ACTIONS(6563),
    [anon_sym___unsafe_unretained] = ACTIONS(6563),
    [anon_sym___unused] = ACTIONS(6563),
    [anon_sym___weak] = ACTIONS(6563),
    [anon_sym_alignas] = ACTIONS(6563),
    [anon_sym__Alignas] = ACTIONS(6563),
    [sym_primitive_type] = ACTIONS(6563),
    [anon_sym_enum] = ACTIONS(6563),
    [anon_sym_struct] = ACTIONS(6563),
    [anon_sym_union] = ACTIONS(6563),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6563),
    [anon_sym___typeof] = ACTIONS(6563),
    [anon_sym_typeof] = ACTIONS(6563),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6563),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6563),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6563),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6563),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6563),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6563),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6563),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_API_AVAILABLE] = ACTIONS(6563),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_API_DEPRECATED] = ACTIONS(6563),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6563),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym___deprecated_msg] = ACTIONS(6563),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6563),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6563),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6563),
    [anon_sym_BOOL] = ACTIONS(6563),
    [anon_sym_IMP] = ACTIONS(6563),
    [anon_sym_SEL] = ACTIONS(6563),
    [anon_sym_Class] = ACTIONS(6563),
    [anon_sym_id] = ACTIONS(6563),
    [anon_sym_ATdefs] = ACTIONS(6565),
  },
  [2720] = {
    [sym_identifier] = ACTIONS(6507),
    [aux_sym_preproc_def_token1] = ACTIONS(6507),
    [aux_sym_preproc_if_token1] = ACTIONS(6507),
    [aux_sym_preproc_if_token2] = ACTIONS(6507),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6507),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6507),
    [sym_preproc_directive] = ACTIONS(6507),
    [anon_sym___extension__] = ACTIONS(6507),
    [anon_sym_extern] = ACTIONS(6507),
    [anon_sym___attribute__] = ACTIONS(6507),
    [anon_sym___attribute] = ACTIONS(6507),
    [anon_sym_noreturn] = ACTIONS(6507),
    [anon_sym_LBRACK] = ACTIONS(6509),
    [anon_sym___declspec] = ACTIONS(6507),
    [anon_sym_signed] = ACTIONS(6507),
    [anon_sym_unsigned] = ACTIONS(6507),
    [anon_sym_long] = ACTIONS(6507),
    [anon_sym_short] = ACTIONS(6507),
    [anon_sym_static] = ACTIONS(6507),
    [anon_sym_auto] = ACTIONS(6507),
    [anon_sym_register] = ACTIONS(6507),
    [anon_sym_inline] = ACTIONS(6507),
    [anon_sym___inline] = ACTIONS(6507),
    [anon_sym___inline__] = ACTIONS(6507),
    [anon_sym___forceinline] = ACTIONS(6507),
    [anon_sym_thread_local] = ACTIONS(6507),
    [anon_sym___thread] = ACTIONS(6507),
    [anon_sym_CG_EXTERN] = ACTIONS(6507),
    [anon_sym_CG_INLINE] = ACTIONS(6507),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6507),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6507),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6507),
    [anon_sym_IBOutlet] = ACTIONS(6507),
    [anon_sym_IBInspectable] = ACTIONS(6507),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6507),
    [anon_sym_NS_INLINE] = ACTIONS(6507),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6507),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6507),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6507),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6507),
    [anon_sym_const] = ACTIONS(6507),
    [anon_sym_constexpr] = ACTIONS(6507),
    [anon_sym_volatile] = ACTIONS(6507),
    [anon_sym_restrict] = ACTIONS(6507),
    [anon_sym___restrict__] = ACTIONS(6507),
    [anon_sym__Atomic] = ACTIONS(6507),
    [anon_sym__Noreturn] = ACTIONS(6507),
    [anon_sym__Nonnull] = ACTIONS(6507),
    [anon_sym_nullable] = ACTIONS(6507),
    [anon_sym__Complex] = ACTIONS(6507),
    [anon_sym__Nullable] = ACTIONS(6507),
    [anon_sym__Nullable_result] = ACTIONS(6507),
    [anon_sym__Null_unspecified] = ACTIONS(6507),
    [anon_sym___autoreleasing] = ACTIONS(6507),
    [anon_sym___block] = ACTIONS(6507),
    [anon_sym___bridge] = ACTIONS(6507),
    [anon_sym___bridge_retained] = ACTIONS(6507),
    [anon_sym___bridge_transfer] = ACTIONS(6507),
    [anon_sym___complex] = ACTIONS(6507),
    [anon_sym___const] = ACTIONS(6507),
    [anon_sym___imag] = ACTIONS(6507),
    [anon_sym___kindof] = ACTIONS(6507),
    [anon_sym___nonnull] = ACTIONS(6507),
    [anon_sym___nullable] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6507),
    [anon_sym___real] = ACTIONS(6507),
    [anon_sym___strong] = ACTIONS(6507),
    [anon_sym___unsafe_unretained] = ACTIONS(6507),
    [anon_sym___unused] = ACTIONS(6507),
    [anon_sym___weak] = ACTIONS(6507),
    [anon_sym_alignas] = ACTIONS(6507),
    [anon_sym__Alignas] = ACTIONS(6507),
    [sym_primitive_type] = ACTIONS(6507),
    [anon_sym_enum] = ACTIONS(6507),
    [anon_sym_struct] = ACTIONS(6507),
    [anon_sym_union] = ACTIONS(6507),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6507),
    [anon_sym___typeof] = ACTIONS(6507),
    [anon_sym_typeof] = ACTIONS(6507),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6507),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6507),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6507),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6507),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6507),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6507),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6507),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_API_AVAILABLE] = ACTIONS(6507),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_API_DEPRECATED] = ACTIONS(6507),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6507),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym___deprecated_msg] = ACTIONS(6507),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6507),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6507),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6507),
    [anon_sym_BOOL] = ACTIONS(6507),
    [anon_sym_IMP] = ACTIONS(6507),
    [anon_sym_SEL] = ACTIONS(6507),
    [anon_sym_Class] = ACTIONS(6507),
    [anon_sym_id] = ACTIONS(6507),
    [anon_sym_ATdefs] = ACTIONS(6509),
  },
  [2721] = {
    [sym_identifier] = ACTIONS(4200),
    [anon_sym___extension__] = ACTIONS(4200),
    [anon_sym_extern] = ACTIONS(4200),
    [anon_sym___attribute__] = ACTIONS(4200),
    [anon_sym___attribute] = ACTIONS(4200),
    [anon_sym_noreturn] = ACTIONS(4200),
    [anon_sym_LBRACK] = ACTIONS(4202),
    [anon_sym___declspec] = ACTIONS(4200),
    [anon_sym___cdecl] = ACTIONS(4200),
    [anon_sym___clrcall] = ACTIONS(4200),
    [anon_sym___stdcall] = ACTIONS(4200),
    [anon_sym___fastcall] = ACTIONS(4200),
    [anon_sym___thiscall] = ACTIONS(4200),
    [anon_sym___vectorcall] = ACTIONS(4200),
    [anon_sym_LBRACE] = ACTIONS(4202),
    [anon_sym_signed] = ACTIONS(4200),
    [anon_sym_unsigned] = ACTIONS(4200),
    [anon_sym_long] = ACTIONS(4200),
    [anon_sym_short] = ACTIONS(4200),
    [anon_sym_static] = ACTIONS(4200),
    [anon_sym_auto] = ACTIONS(4200),
    [anon_sym_register] = ACTIONS(4200),
    [anon_sym_inline] = ACTIONS(4200),
    [anon_sym___inline] = ACTIONS(4200),
    [anon_sym___inline__] = ACTIONS(4200),
    [anon_sym___forceinline] = ACTIONS(4200),
    [anon_sym_thread_local] = ACTIONS(4200),
    [anon_sym___thread] = ACTIONS(4200),
    [anon_sym_CG_EXTERN] = ACTIONS(4200),
    [anon_sym_CG_INLINE] = ACTIONS(4200),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4200),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4200),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4200),
    [anon_sym_IBOutlet] = ACTIONS(4200),
    [anon_sym_IBInspectable] = ACTIONS(4200),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4200),
    [anon_sym_NS_INLINE] = ACTIONS(4200),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4200),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4200),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4200),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4200),
    [anon_sym_const] = ACTIONS(4200),
    [anon_sym_constexpr] = ACTIONS(4200),
    [anon_sym_volatile] = ACTIONS(4200),
    [anon_sym_restrict] = ACTIONS(4200),
    [anon_sym___restrict__] = ACTIONS(4200),
    [anon_sym__Atomic] = ACTIONS(4200),
    [anon_sym__Noreturn] = ACTIONS(4200),
    [anon_sym__Nonnull] = ACTIONS(4200),
    [anon_sym_nullable] = ACTIONS(4200),
    [anon_sym__Complex] = ACTIONS(4200),
    [anon_sym__Nullable] = ACTIONS(4200),
    [anon_sym__Nullable_result] = ACTIONS(4200),
    [anon_sym__Null_unspecified] = ACTIONS(4200),
    [anon_sym___autoreleasing] = ACTIONS(4200),
    [anon_sym___block] = ACTIONS(4200),
    [anon_sym___bridge] = ACTIONS(4200),
    [anon_sym___bridge_retained] = ACTIONS(4200),
    [anon_sym___bridge_transfer] = ACTIONS(4200),
    [anon_sym___complex] = ACTIONS(4200),
    [anon_sym___const] = ACTIONS(4200),
    [anon_sym___imag] = ACTIONS(4200),
    [anon_sym___kindof] = ACTIONS(4200),
    [anon_sym___nonnull] = ACTIONS(4200),
    [anon_sym___nullable] = ACTIONS(4200),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4200),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4200),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4200),
    [anon_sym___real] = ACTIONS(4200),
    [anon_sym___strong] = ACTIONS(4200),
    [anon_sym___unsafe_unretained] = ACTIONS(4200),
    [anon_sym___unused] = ACTIONS(4200),
    [anon_sym___weak] = ACTIONS(4200),
    [anon_sym_alignas] = ACTIONS(4200),
    [anon_sym__Alignas] = ACTIONS(4200),
    [sym_primitive_type] = ACTIONS(4200),
    [anon_sym_enum] = ACTIONS(4200),
    [anon_sym_struct] = ACTIONS(4200),
    [anon_sym_union] = ACTIONS(4200),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4200),
    [anon_sym___typeof] = ACTIONS(4200),
    [anon_sym_typeof] = ACTIONS(4200),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4200),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4200),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4200),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4200),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4200),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4200),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4200),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4200),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4200),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4200),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4200),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4200),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4200),
    [anon_sym_API_AVAILABLE] = ACTIONS(4200),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4200),
    [anon_sym_API_DEPRECATED] = ACTIONS(4200),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4200),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4200),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4200),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4200),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4200),
    [anon_sym___deprecated_msg] = ACTIONS(4200),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4200),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4200),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4200),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4200),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4200),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4200),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4200),
    [anon_sym_BOOL] = ACTIONS(4200),
    [anon_sym_IMP] = ACTIONS(4200),
    [anon_sym_SEL] = ACTIONS(4200),
    [anon_sym_Class] = ACTIONS(4200),
    [anon_sym_id] = ACTIONS(4200),
  },
  [2722] = {
    [sym_identifier] = ACTIONS(6567),
    [aux_sym_preproc_def_token1] = ACTIONS(6567),
    [aux_sym_preproc_if_token1] = ACTIONS(6567),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6567),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6567),
    [sym_preproc_directive] = ACTIONS(6567),
    [anon_sym___extension__] = ACTIONS(6567),
    [anon_sym_extern] = ACTIONS(6567),
    [anon_sym___attribute__] = ACTIONS(6567),
    [anon_sym___attribute] = ACTIONS(6567),
    [anon_sym_noreturn] = ACTIONS(6567),
    [anon_sym_LBRACK] = ACTIONS(6569),
    [anon_sym___declspec] = ACTIONS(6567),
    [anon_sym_RBRACE] = ACTIONS(6569),
    [anon_sym_signed] = ACTIONS(6567),
    [anon_sym_unsigned] = ACTIONS(6567),
    [anon_sym_long] = ACTIONS(6567),
    [anon_sym_short] = ACTIONS(6567),
    [anon_sym_static] = ACTIONS(6567),
    [anon_sym_auto] = ACTIONS(6567),
    [anon_sym_register] = ACTIONS(6567),
    [anon_sym_inline] = ACTIONS(6567),
    [anon_sym___inline] = ACTIONS(6567),
    [anon_sym___inline__] = ACTIONS(6567),
    [anon_sym___forceinline] = ACTIONS(6567),
    [anon_sym_thread_local] = ACTIONS(6567),
    [anon_sym___thread] = ACTIONS(6567),
    [anon_sym_CG_EXTERN] = ACTIONS(6567),
    [anon_sym_CG_INLINE] = ACTIONS(6567),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6567),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6567),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6567),
    [anon_sym_IBOutlet] = ACTIONS(6567),
    [anon_sym_IBInspectable] = ACTIONS(6567),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6567),
    [anon_sym_NS_INLINE] = ACTIONS(6567),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6567),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6567),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6567),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6567),
    [anon_sym_const] = ACTIONS(6567),
    [anon_sym_constexpr] = ACTIONS(6567),
    [anon_sym_volatile] = ACTIONS(6567),
    [anon_sym_restrict] = ACTIONS(6567),
    [anon_sym___restrict__] = ACTIONS(6567),
    [anon_sym__Atomic] = ACTIONS(6567),
    [anon_sym__Noreturn] = ACTIONS(6567),
    [anon_sym__Nonnull] = ACTIONS(6567),
    [anon_sym_nullable] = ACTIONS(6567),
    [anon_sym__Complex] = ACTIONS(6567),
    [anon_sym__Nullable] = ACTIONS(6567),
    [anon_sym__Nullable_result] = ACTIONS(6567),
    [anon_sym__Null_unspecified] = ACTIONS(6567),
    [anon_sym___autoreleasing] = ACTIONS(6567),
    [anon_sym___block] = ACTIONS(6567),
    [anon_sym___bridge] = ACTIONS(6567),
    [anon_sym___bridge_retained] = ACTIONS(6567),
    [anon_sym___bridge_transfer] = ACTIONS(6567),
    [anon_sym___complex] = ACTIONS(6567),
    [anon_sym___const] = ACTIONS(6567),
    [anon_sym___imag] = ACTIONS(6567),
    [anon_sym___kindof] = ACTIONS(6567),
    [anon_sym___nonnull] = ACTIONS(6567),
    [anon_sym___nullable] = ACTIONS(6567),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6567),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6567),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6567),
    [anon_sym___real] = ACTIONS(6567),
    [anon_sym___strong] = ACTIONS(6567),
    [anon_sym___unsafe_unretained] = ACTIONS(6567),
    [anon_sym___unused] = ACTIONS(6567),
    [anon_sym___weak] = ACTIONS(6567),
    [anon_sym_alignas] = ACTIONS(6567),
    [anon_sym__Alignas] = ACTIONS(6567),
    [sym_primitive_type] = ACTIONS(6567),
    [anon_sym_enum] = ACTIONS(6567),
    [anon_sym_struct] = ACTIONS(6567),
    [anon_sym_union] = ACTIONS(6567),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6567),
    [anon_sym___typeof] = ACTIONS(6567),
    [anon_sym_typeof] = ACTIONS(6567),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6567),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6567),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6567),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6567),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6567),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6567),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6567),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6567),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6567),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6567),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6567),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6567),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6567),
    [anon_sym_API_AVAILABLE] = ACTIONS(6567),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6567),
    [anon_sym_API_DEPRECATED] = ACTIONS(6567),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6567),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6567),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6567),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6567),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6567),
    [anon_sym___deprecated_msg] = ACTIONS(6567),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6567),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6567),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6567),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6567),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6567),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6567),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6567),
    [anon_sym_BOOL] = ACTIONS(6567),
    [anon_sym_IMP] = ACTIONS(6567),
    [anon_sym_SEL] = ACTIONS(6567),
    [anon_sym_Class] = ACTIONS(6567),
    [anon_sym_id] = ACTIONS(6567),
    [anon_sym_ATdefs] = ACTIONS(6569),
  },
  [2723] = {
    [sym_identifier] = ACTIONS(6507),
    [aux_sym_preproc_def_token1] = ACTIONS(6507),
    [aux_sym_preproc_if_token1] = ACTIONS(6507),
    [aux_sym_preproc_if_token2] = ACTIONS(6507),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6507),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6507),
    [sym_preproc_directive] = ACTIONS(6507),
    [anon_sym___extension__] = ACTIONS(6507),
    [anon_sym_extern] = ACTIONS(6507),
    [anon_sym___attribute__] = ACTIONS(6507),
    [anon_sym___attribute] = ACTIONS(6507),
    [anon_sym_noreturn] = ACTIONS(6507),
    [anon_sym_LBRACK] = ACTIONS(6509),
    [anon_sym___declspec] = ACTIONS(6507),
    [anon_sym_signed] = ACTIONS(6507),
    [anon_sym_unsigned] = ACTIONS(6507),
    [anon_sym_long] = ACTIONS(6507),
    [anon_sym_short] = ACTIONS(6507),
    [anon_sym_static] = ACTIONS(6507),
    [anon_sym_auto] = ACTIONS(6507),
    [anon_sym_register] = ACTIONS(6507),
    [anon_sym_inline] = ACTIONS(6507),
    [anon_sym___inline] = ACTIONS(6507),
    [anon_sym___inline__] = ACTIONS(6507),
    [anon_sym___forceinline] = ACTIONS(6507),
    [anon_sym_thread_local] = ACTIONS(6507),
    [anon_sym___thread] = ACTIONS(6507),
    [anon_sym_CG_EXTERN] = ACTIONS(6507),
    [anon_sym_CG_INLINE] = ACTIONS(6507),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6507),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6507),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6507),
    [anon_sym_IBOutlet] = ACTIONS(6507),
    [anon_sym_IBInspectable] = ACTIONS(6507),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6507),
    [anon_sym_NS_INLINE] = ACTIONS(6507),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6507),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6507),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6507),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6507),
    [anon_sym_const] = ACTIONS(6507),
    [anon_sym_constexpr] = ACTIONS(6507),
    [anon_sym_volatile] = ACTIONS(6507),
    [anon_sym_restrict] = ACTIONS(6507),
    [anon_sym___restrict__] = ACTIONS(6507),
    [anon_sym__Atomic] = ACTIONS(6507),
    [anon_sym__Noreturn] = ACTIONS(6507),
    [anon_sym__Nonnull] = ACTIONS(6507),
    [anon_sym_nullable] = ACTIONS(6507),
    [anon_sym__Complex] = ACTIONS(6507),
    [anon_sym__Nullable] = ACTIONS(6507),
    [anon_sym__Nullable_result] = ACTIONS(6507),
    [anon_sym__Null_unspecified] = ACTIONS(6507),
    [anon_sym___autoreleasing] = ACTIONS(6507),
    [anon_sym___block] = ACTIONS(6507),
    [anon_sym___bridge] = ACTIONS(6507),
    [anon_sym___bridge_retained] = ACTIONS(6507),
    [anon_sym___bridge_transfer] = ACTIONS(6507),
    [anon_sym___complex] = ACTIONS(6507),
    [anon_sym___const] = ACTIONS(6507),
    [anon_sym___imag] = ACTIONS(6507),
    [anon_sym___kindof] = ACTIONS(6507),
    [anon_sym___nonnull] = ACTIONS(6507),
    [anon_sym___nullable] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6507),
    [anon_sym___real] = ACTIONS(6507),
    [anon_sym___strong] = ACTIONS(6507),
    [anon_sym___unsafe_unretained] = ACTIONS(6507),
    [anon_sym___unused] = ACTIONS(6507),
    [anon_sym___weak] = ACTIONS(6507),
    [anon_sym_alignas] = ACTIONS(6507),
    [anon_sym__Alignas] = ACTIONS(6507),
    [sym_primitive_type] = ACTIONS(6507),
    [anon_sym_enum] = ACTIONS(6507),
    [anon_sym_struct] = ACTIONS(6507),
    [anon_sym_union] = ACTIONS(6507),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6507),
    [anon_sym___typeof] = ACTIONS(6507),
    [anon_sym_typeof] = ACTIONS(6507),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6507),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6507),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6507),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6507),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6507),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6507),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6507),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_API_AVAILABLE] = ACTIONS(6507),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_API_DEPRECATED] = ACTIONS(6507),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6507),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym___deprecated_msg] = ACTIONS(6507),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6507),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6507),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6507),
    [anon_sym_BOOL] = ACTIONS(6507),
    [anon_sym_IMP] = ACTIONS(6507),
    [anon_sym_SEL] = ACTIONS(6507),
    [anon_sym_Class] = ACTIONS(6507),
    [anon_sym_id] = ACTIONS(6507),
    [anon_sym_ATdefs] = ACTIONS(6509),
  },
  [2724] = {
    [sym_identifier] = ACTIONS(6583),
    [aux_sym_preproc_def_token1] = ACTIONS(6583),
    [aux_sym_preproc_if_token1] = ACTIONS(6583),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6583),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6583),
    [sym_preproc_directive] = ACTIONS(6583),
    [anon_sym___extension__] = ACTIONS(6583),
    [anon_sym_extern] = ACTIONS(6583),
    [anon_sym___attribute__] = ACTIONS(6583),
    [anon_sym___attribute] = ACTIONS(6583),
    [anon_sym_noreturn] = ACTIONS(6583),
    [anon_sym_LBRACK] = ACTIONS(6585),
    [anon_sym___declspec] = ACTIONS(6583),
    [anon_sym_RBRACE] = ACTIONS(6585),
    [anon_sym_signed] = ACTIONS(6583),
    [anon_sym_unsigned] = ACTIONS(6583),
    [anon_sym_long] = ACTIONS(6583),
    [anon_sym_short] = ACTIONS(6583),
    [anon_sym_static] = ACTIONS(6583),
    [anon_sym_auto] = ACTIONS(6583),
    [anon_sym_register] = ACTIONS(6583),
    [anon_sym_inline] = ACTIONS(6583),
    [anon_sym___inline] = ACTIONS(6583),
    [anon_sym___inline__] = ACTIONS(6583),
    [anon_sym___forceinline] = ACTIONS(6583),
    [anon_sym_thread_local] = ACTIONS(6583),
    [anon_sym___thread] = ACTIONS(6583),
    [anon_sym_CG_EXTERN] = ACTIONS(6583),
    [anon_sym_CG_INLINE] = ACTIONS(6583),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6583),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6583),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6583),
    [anon_sym_IBOutlet] = ACTIONS(6583),
    [anon_sym_IBInspectable] = ACTIONS(6583),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6583),
    [anon_sym_NS_INLINE] = ACTIONS(6583),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6583),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6583),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6583),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6583),
    [anon_sym_const] = ACTIONS(6583),
    [anon_sym_constexpr] = ACTIONS(6583),
    [anon_sym_volatile] = ACTIONS(6583),
    [anon_sym_restrict] = ACTIONS(6583),
    [anon_sym___restrict__] = ACTIONS(6583),
    [anon_sym__Atomic] = ACTIONS(6583),
    [anon_sym__Noreturn] = ACTIONS(6583),
    [anon_sym__Nonnull] = ACTIONS(6583),
    [anon_sym_nullable] = ACTIONS(6583),
    [anon_sym__Complex] = ACTIONS(6583),
    [anon_sym__Nullable] = ACTIONS(6583),
    [anon_sym__Nullable_result] = ACTIONS(6583),
    [anon_sym__Null_unspecified] = ACTIONS(6583),
    [anon_sym___autoreleasing] = ACTIONS(6583),
    [anon_sym___block] = ACTIONS(6583),
    [anon_sym___bridge] = ACTIONS(6583),
    [anon_sym___bridge_retained] = ACTIONS(6583),
    [anon_sym___bridge_transfer] = ACTIONS(6583),
    [anon_sym___complex] = ACTIONS(6583),
    [anon_sym___const] = ACTIONS(6583),
    [anon_sym___imag] = ACTIONS(6583),
    [anon_sym___kindof] = ACTIONS(6583),
    [anon_sym___nonnull] = ACTIONS(6583),
    [anon_sym___nullable] = ACTIONS(6583),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6583),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6583),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6583),
    [anon_sym___real] = ACTIONS(6583),
    [anon_sym___strong] = ACTIONS(6583),
    [anon_sym___unsafe_unretained] = ACTIONS(6583),
    [anon_sym___unused] = ACTIONS(6583),
    [anon_sym___weak] = ACTIONS(6583),
    [anon_sym_alignas] = ACTIONS(6583),
    [anon_sym__Alignas] = ACTIONS(6583),
    [sym_primitive_type] = ACTIONS(6583),
    [anon_sym_enum] = ACTIONS(6583),
    [anon_sym_struct] = ACTIONS(6583),
    [anon_sym_union] = ACTIONS(6583),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6583),
    [anon_sym___typeof] = ACTIONS(6583),
    [anon_sym_typeof] = ACTIONS(6583),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6583),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6583),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6583),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6583),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6583),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6583),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6583),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6583),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6583),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6583),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6583),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6583),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6583),
    [anon_sym_API_AVAILABLE] = ACTIONS(6583),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6583),
    [anon_sym_API_DEPRECATED] = ACTIONS(6583),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6583),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6583),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6583),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6583),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6583),
    [anon_sym___deprecated_msg] = ACTIONS(6583),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6583),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6583),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6583),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6583),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6583),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6583),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6583),
    [anon_sym_BOOL] = ACTIONS(6583),
    [anon_sym_IMP] = ACTIONS(6583),
    [anon_sym_SEL] = ACTIONS(6583),
    [anon_sym_Class] = ACTIONS(6583),
    [anon_sym_id] = ACTIONS(6583),
    [anon_sym_ATdefs] = ACTIONS(6585),
  },
  [2725] = {
    [sym_identifier] = ACTIONS(6595),
    [aux_sym_preproc_def_token1] = ACTIONS(6595),
    [aux_sym_preproc_if_token1] = ACTIONS(6595),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6595),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6595),
    [sym_preproc_directive] = ACTIONS(6595),
    [anon_sym___extension__] = ACTIONS(6595),
    [anon_sym_extern] = ACTIONS(6595),
    [anon_sym___attribute__] = ACTIONS(6595),
    [anon_sym___attribute] = ACTIONS(6595),
    [anon_sym_noreturn] = ACTIONS(6595),
    [anon_sym_LBRACK] = ACTIONS(6597),
    [anon_sym___declspec] = ACTIONS(6595),
    [anon_sym_RBRACE] = ACTIONS(6597),
    [anon_sym_signed] = ACTIONS(6595),
    [anon_sym_unsigned] = ACTIONS(6595),
    [anon_sym_long] = ACTIONS(6595),
    [anon_sym_short] = ACTIONS(6595),
    [anon_sym_static] = ACTIONS(6595),
    [anon_sym_auto] = ACTIONS(6595),
    [anon_sym_register] = ACTIONS(6595),
    [anon_sym_inline] = ACTIONS(6595),
    [anon_sym___inline] = ACTIONS(6595),
    [anon_sym___inline__] = ACTIONS(6595),
    [anon_sym___forceinline] = ACTIONS(6595),
    [anon_sym_thread_local] = ACTIONS(6595),
    [anon_sym___thread] = ACTIONS(6595),
    [anon_sym_CG_EXTERN] = ACTIONS(6595),
    [anon_sym_CG_INLINE] = ACTIONS(6595),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6595),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6595),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6595),
    [anon_sym_IBOutlet] = ACTIONS(6595),
    [anon_sym_IBInspectable] = ACTIONS(6595),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6595),
    [anon_sym_NS_INLINE] = ACTIONS(6595),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6595),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6595),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6595),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6595),
    [anon_sym_const] = ACTIONS(6595),
    [anon_sym_constexpr] = ACTIONS(6595),
    [anon_sym_volatile] = ACTIONS(6595),
    [anon_sym_restrict] = ACTIONS(6595),
    [anon_sym___restrict__] = ACTIONS(6595),
    [anon_sym__Atomic] = ACTIONS(6595),
    [anon_sym__Noreturn] = ACTIONS(6595),
    [anon_sym__Nonnull] = ACTIONS(6595),
    [anon_sym_nullable] = ACTIONS(6595),
    [anon_sym__Complex] = ACTIONS(6595),
    [anon_sym__Nullable] = ACTIONS(6595),
    [anon_sym__Nullable_result] = ACTIONS(6595),
    [anon_sym__Null_unspecified] = ACTIONS(6595),
    [anon_sym___autoreleasing] = ACTIONS(6595),
    [anon_sym___block] = ACTIONS(6595),
    [anon_sym___bridge] = ACTIONS(6595),
    [anon_sym___bridge_retained] = ACTIONS(6595),
    [anon_sym___bridge_transfer] = ACTIONS(6595),
    [anon_sym___complex] = ACTIONS(6595),
    [anon_sym___const] = ACTIONS(6595),
    [anon_sym___imag] = ACTIONS(6595),
    [anon_sym___kindof] = ACTIONS(6595),
    [anon_sym___nonnull] = ACTIONS(6595),
    [anon_sym___nullable] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6595),
    [anon_sym___real] = ACTIONS(6595),
    [anon_sym___strong] = ACTIONS(6595),
    [anon_sym___unsafe_unretained] = ACTIONS(6595),
    [anon_sym___unused] = ACTIONS(6595),
    [anon_sym___weak] = ACTIONS(6595),
    [anon_sym_alignas] = ACTIONS(6595),
    [anon_sym__Alignas] = ACTIONS(6595),
    [sym_primitive_type] = ACTIONS(6595),
    [anon_sym_enum] = ACTIONS(6595),
    [anon_sym_struct] = ACTIONS(6595),
    [anon_sym_union] = ACTIONS(6595),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6595),
    [anon_sym___typeof] = ACTIONS(6595),
    [anon_sym_typeof] = ACTIONS(6595),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6595),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6595),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6595),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6595),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6595),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6595),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6595),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_API_AVAILABLE] = ACTIONS(6595),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_API_DEPRECATED] = ACTIONS(6595),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6595),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym___deprecated_msg] = ACTIONS(6595),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6595),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6595),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6595),
    [anon_sym_BOOL] = ACTIONS(6595),
    [anon_sym_IMP] = ACTIONS(6595),
    [anon_sym_SEL] = ACTIONS(6595),
    [anon_sym_Class] = ACTIONS(6595),
    [anon_sym_id] = ACTIONS(6595),
    [anon_sym_ATdefs] = ACTIONS(6597),
  },
  [2726] = {
    [sym_identifier] = ACTIONS(6595),
    [aux_sym_preproc_def_token1] = ACTIONS(6595),
    [aux_sym_preproc_if_token1] = ACTIONS(6595),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6595),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6595),
    [sym_preproc_directive] = ACTIONS(6595),
    [anon_sym___extension__] = ACTIONS(6595),
    [anon_sym_extern] = ACTIONS(6595),
    [anon_sym___attribute__] = ACTIONS(6595),
    [anon_sym___attribute] = ACTIONS(6595),
    [anon_sym_noreturn] = ACTIONS(6595),
    [anon_sym_LBRACK] = ACTIONS(6597),
    [anon_sym___declspec] = ACTIONS(6595),
    [anon_sym_RBRACE] = ACTIONS(6597),
    [anon_sym_signed] = ACTIONS(6595),
    [anon_sym_unsigned] = ACTIONS(6595),
    [anon_sym_long] = ACTIONS(6595),
    [anon_sym_short] = ACTIONS(6595),
    [anon_sym_static] = ACTIONS(6595),
    [anon_sym_auto] = ACTIONS(6595),
    [anon_sym_register] = ACTIONS(6595),
    [anon_sym_inline] = ACTIONS(6595),
    [anon_sym___inline] = ACTIONS(6595),
    [anon_sym___inline__] = ACTIONS(6595),
    [anon_sym___forceinline] = ACTIONS(6595),
    [anon_sym_thread_local] = ACTIONS(6595),
    [anon_sym___thread] = ACTIONS(6595),
    [anon_sym_CG_EXTERN] = ACTIONS(6595),
    [anon_sym_CG_INLINE] = ACTIONS(6595),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6595),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6595),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6595),
    [anon_sym_IBOutlet] = ACTIONS(6595),
    [anon_sym_IBInspectable] = ACTIONS(6595),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6595),
    [anon_sym_NS_INLINE] = ACTIONS(6595),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6595),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6595),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6595),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6595),
    [anon_sym_const] = ACTIONS(6595),
    [anon_sym_constexpr] = ACTIONS(6595),
    [anon_sym_volatile] = ACTIONS(6595),
    [anon_sym_restrict] = ACTIONS(6595),
    [anon_sym___restrict__] = ACTIONS(6595),
    [anon_sym__Atomic] = ACTIONS(6595),
    [anon_sym__Noreturn] = ACTIONS(6595),
    [anon_sym__Nonnull] = ACTIONS(6595),
    [anon_sym_nullable] = ACTIONS(6595),
    [anon_sym__Complex] = ACTIONS(6595),
    [anon_sym__Nullable] = ACTIONS(6595),
    [anon_sym__Nullable_result] = ACTIONS(6595),
    [anon_sym__Null_unspecified] = ACTIONS(6595),
    [anon_sym___autoreleasing] = ACTIONS(6595),
    [anon_sym___block] = ACTIONS(6595),
    [anon_sym___bridge] = ACTIONS(6595),
    [anon_sym___bridge_retained] = ACTIONS(6595),
    [anon_sym___bridge_transfer] = ACTIONS(6595),
    [anon_sym___complex] = ACTIONS(6595),
    [anon_sym___const] = ACTIONS(6595),
    [anon_sym___imag] = ACTIONS(6595),
    [anon_sym___kindof] = ACTIONS(6595),
    [anon_sym___nonnull] = ACTIONS(6595),
    [anon_sym___nullable] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6595),
    [anon_sym___real] = ACTIONS(6595),
    [anon_sym___strong] = ACTIONS(6595),
    [anon_sym___unsafe_unretained] = ACTIONS(6595),
    [anon_sym___unused] = ACTIONS(6595),
    [anon_sym___weak] = ACTIONS(6595),
    [anon_sym_alignas] = ACTIONS(6595),
    [anon_sym__Alignas] = ACTIONS(6595),
    [sym_primitive_type] = ACTIONS(6595),
    [anon_sym_enum] = ACTIONS(6595),
    [anon_sym_struct] = ACTIONS(6595),
    [anon_sym_union] = ACTIONS(6595),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6595),
    [anon_sym___typeof] = ACTIONS(6595),
    [anon_sym_typeof] = ACTIONS(6595),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6595),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6595),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6595),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6595),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6595),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6595),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6595),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_API_AVAILABLE] = ACTIONS(6595),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_API_DEPRECATED] = ACTIONS(6595),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6595),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym___deprecated_msg] = ACTIONS(6595),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6595),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6595),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6595),
    [anon_sym_BOOL] = ACTIONS(6595),
    [anon_sym_IMP] = ACTIONS(6595),
    [anon_sym_SEL] = ACTIONS(6595),
    [anon_sym_Class] = ACTIONS(6595),
    [anon_sym_id] = ACTIONS(6595),
    [anon_sym_ATdefs] = ACTIONS(6597),
  },
  [2727] = {
    [sym_identifier] = ACTIONS(6599),
    [aux_sym_preproc_def_token1] = ACTIONS(6599),
    [aux_sym_preproc_if_token1] = ACTIONS(6599),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6599),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6599),
    [sym_preproc_directive] = ACTIONS(6599),
    [anon_sym___extension__] = ACTIONS(6599),
    [anon_sym_extern] = ACTIONS(6599),
    [anon_sym___attribute__] = ACTIONS(6599),
    [anon_sym___attribute] = ACTIONS(6599),
    [anon_sym_noreturn] = ACTIONS(6599),
    [anon_sym_LBRACK] = ACTIONS(6601),
    [anon_sym___declspec] = ACTIONS(6599),
    [anon_sym_RBRACE] = ACTIONS(6601),
    [anon_sym_signed] = ACTIONS(6599),
    [anon_sym_unsigned] = ACTIONS(6599),
    [anon_sym_long] = ACTIONS(6599),
    [anon_sym_short] = ACTIONS(6599),
    [anon_sym_static] = ACTIONS(6599),
    [anon_sym_auto] = ACTIONS(6599),
    [anon_sym_register] = ACTIONS(6599),
    [anon_sym_inline] = ACTIONS(6599),
    [anon_sym___inline] = ACTIONS(6599),
    [anon_sym___inline__] = ACTIONS(6599),
    [anon_sym___forceinline] = ACTIONS(6599),
    [anon_sym_thread_local] = ACTIONS(6599),
    [anon_sym___thread] = ACTIONS(6599),
    [anon_sym_CG_EXTERN] = ACTIONS(6599),
    [anon_sym_CG_INLINE] = ACTIONS(6599),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6599),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6599),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6599),
    [anon_sym_IBOutlet] = ACTIONS(6599),
    [anon_sym_IBInspectable] = ACTIONS(6599),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6599),
    [anon_sym_NS_INLINE] = ACTIONS(6599),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6599),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6599),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6599),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6599),
    [anon_sym_const] = ACTIONS(6599),
    [anon_sym_constexpr] = ACTIONS(6599),
    [anon_sym_volatile] = ACTIONS(6599),
    [anon_sym_restrict] = ACTIONS(6599),
    [anon_sym___restrict__] = ACTIONS(6599),
    [anon_sym__Atomic] = ACTIONS(6599),
    [anon_sym__Noreturn] = ACTIONS(6599),
    [anon_sym__Nonnull] = ACTIONS(6599),
    [anon_sym_nullable] = ACTIONS(6599),
    [anon_sym__Complex] = ACTIONS(6599),
    [anon_sym__Nullable] = ACTIONS(6599),
    [anon_sym__Nullable_result] = ACTIONS(6599),
    [anon_sym__Null_unspecified] = ACTIONS(6599),
    [anon_sym___autoreleasing] = ACTIONS(6599),
    [anon_sym___block] = ACTIONS(6599),
    [anon_sym___bridge] = ACTIONS(6599),
    [anon_sym___bridge_retained] = ACTIONS(6599),
    [anon_sym___bridge_transfer] = ACTIONS(6599),
    [anon_sym___complex] = ACTIONS(6599),
    [anon_sym___const] = ACTIONS(6599),
    [anon_sym___imag] = ACTIONS(6599),
    [anon_sym___kindof] = ACTIONS(6599),
    [anon_sym___nonnull] = ACTIONS(6599),
    [anon_sym___nullable] = ACTIONS(6599),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6599),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6599),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6599),
    [anon_sym___real] = ACTIONS(6599),
    [anon_sym___strong] = ACTIONS(6599),
    [anon_sym___unsafe_unretained] = ACTIONS(6599),
    [anon_sym___unused] = ACTIONS(6599),
    [anon_sym___weak] = ACTIONS(6599),
    [anon_sym_alignas] = ACTIONS(6599),
    [anon_sym__Alignas] = ACTIONS(6599),
    [sym_primitive_type] = ACTIONS(6599),
    [anon_sym_enum] = ACTIONS(6599),
    [anon_sym_struct] = ACTIONS(6599),
    [anon_sym_union] = ACTIONS(6599),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6599),
    [anon_sym___typeof] = ACTIONS(6599),
    [anon_sym_typeof] = ACTIONS(6599),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6599),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6599),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6599),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6599),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6599),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6599),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6599),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6599),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6599),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6599),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6599),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6599),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6599),
    [anon_sym_API_AVAILABLE] = ACTIONS(6599),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6599),
    [anon_sym_API_DEPRECATED] = ACTIONS(6599),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6599),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6599),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6599),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6599),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6599),
    [anon_sym___deprecated_msg] = ACTIONS(6599),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6599),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6599),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6599),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6599),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6599),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6599),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6599),
    [anon_sym_BOOL] = ACTIONS(6599),
    [anon_sym_IMP] = ACTIONS(6599),
    [anon_sym_SEL] = ACTIONS(6599),
    [anon_sym_Class] = ACTIONS(6599),
    [anon_sym_id] = ACTIONS(6599),
    [anon_sym_ATdefs] = ACTIONS(6601),
  },
  [2728] = {
    [sym_identifier] = ACTIONS(6507),
    [aux_sym_preproc_def_token1] = ACTIONS(6507),
    [aux_sym_preproc_if_token1] = ACTIONS(6507),
    [aux_sym_preproc_if_token2] = ACTIONS(6507),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6507),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6507),
    [sym_preproc_directive] = ACTIONS(6507),
    [anon_sym___extension__] = ACTIONS(6507),
    [anon_sym_extern] = ACTIONS(6507),
    [anon_sym___attribute__] = ACTIONS(6507),
    [anon_sym___attribute] = ACTIONS(6507),
    [anon_sym_noreturn] = ACTIONS(6507),
    [anon_sym_LBRACK] = ACTIONS(6509),
    [anon_sym___declspec] = ACTIONS(6507),
    [anon_sym_signed] = ACTIONS(6507),
    [anon_sym_unsigned] = ACTIONS(6507),
    [anon_sym_long] = ACTIONS(6507),
    [anon_sym_short] = ACTIONS(6507),
    [anon_sym_static] = ACTIONS(6507),
    [anon_sym_auto] = ACTIONS(6507),
    [anon_sym_register] = ACTIONS(6507),
    [anon_sym_inline] = ACTIONS(6507),
    [anon_sym___inline] = ACTIONS(6507),
    [anon_sym___inline__] = ACTIONS(6507),
    [anon_sym___forceinline] = ACTIONS(6507),
    [anon_sym_thread_local] = ACTIONS(6507),
    [anon_sym___thread] = ACTIONS(6507),
    [anon_sym_CG_EXTERN] = ACTIONS(6507),
    [anon_sym_CG_INLINE] = ACTIONS(6507),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6507),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6507),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6507),
    [anon_sym_IBOutlet] = ACTIONS(6507),
    [anon_sym_IBInspectable] = ACTIONS(6507),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6507),
    [anon_sym_NS_INLINE] = ACTIONS(6507),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6507),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6507),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6507),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6507),
    [anon_sym_const] = ACTIONS(6507),
    [anon_sym_constexpr] = ACTIONS(6507),
    [anon_sym_volatile] = ACTIONS(6507),
    [anon_sym_restrict] = ACTIONS(6507),
    [anon_sym___restrict__] = ACTIONS(6507),
    [anon_sym__Atomic] = ACTIONS(6507),
    [anon_sym__Noreturn] = ACTIONS(6507),
    [anon_sym__Nonnull] = ACTIONS(6507),
    [anon_sym_nullable] = ACTIONS(6507),
    [anon_sym__Complex] = ACTIONS(6507),
    [anon_sym__Nullable] = ACTIONS(6507),
    [anon_sym__Nullable_result] = ACTIONS(6507),
    [anon_sym__Null_unspecified] = ACTIONS(6507),
    [anon_sym___autoreleasing] = ACTIONS(6507),
    [anon_sym___block] = ACTIONS(6507),
    [anon_sym___bridge] = ACTIONS(6507),
    [anon_sym___bridge_retained] = ACTIONS(6507),
    [anon_sym___bridge_transfer] = ACTIONS(6507),
    [anon_sym___complex] = ACTIONS(6507),
    [anon_sym___const] = ACTIONS(6507),
    [anon_sym___imag] = ACTIONS(6507),
    [anon_sym___kindof] = ACTIONS(6507),
    [anon_sym___nonnull] = ACTIONS(6507),
    [anon_sym___nullable] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6507),
    [anon_sym___real] = ACTIONS(6507),
    [anon_sym___strong] = ACTIONS(6507),
    [anon_sym___unsafe_unretained] = ACTIONS(6507),
    [anon_sym___unused] = ACTIONS(6507),
    [anon_sym___weak] = ACTIONS(6507),
    [anon_sym_alignas] = ACTIONS(6507),
    [anon_sym__Alignas] = ACTIONS(6507),
    [sym_primitive_type] = ACTIONS(6507),
    [anon_sym_enum] = ACTIONS(6507),
    [anon_sym_struct] = ACTIONS(6507),
    [anon_sym_union] = ACTIONS(6507),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6507),
    [anon_sym___typeof] = ACTIONS(6507),
    [anon_sym_typeof] = ACTIONS(6507),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6507),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6507),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6507),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6507),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6507),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6507),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6507),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_API_AVAILABLE] = ACTIONS(6507),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_API_DEPRECATED] = ACTIONS(6507),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6507),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym___deprecated_msg] = ACTIONS(6507),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6507),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6507),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6507),
    [anon_sym_BOOL] = ACTIONS(6507),
    [anon_sym_IMP] = ACTIONS(6507),
    [anon_sym_SEL] = ACTIONS(6507),
    [anon_sym_Class] = ACTIONS(6507),
    [anon_sym_id] = ACTIONS(6507),
    [anon_sym_ATdefs] = ACTIONS(6509),
  },
  [2729] = {
    [sym_identifier] = ACTIONS(6595),
    [aux_sym_preproc_def_token1] = ACTIONS(6595),
    [aux_sym_preproc_if_token1] = ACTIONS(6595),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6595),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6595),
    [sym_preproc_directive] = ACTIONS(6595),
    [anon_sym___extension__] = ACTIONS(6595),
    [anon_sym_extern] = ACTIONS(6595),
    [anon_sym___attribute__] = ACTIONS(6595),
    [anon_sym___attribute] = ACTIONS(6595),
    [anon_sym_noreturn] = ACTIONS(6595),
    [anon_sym_LBRACK] = ACTIONS(6597),
    [anon_sym___declspec] = ACTIONS(6595),
    [anon_sym_RBRACE] = ACTIONS(6597),
    [anon_sym_signed] = ACTIONS(6595),
    [anon_sym_unsigned] = ACTIONS(6595),
    [anon_sym_long] = ACTIONS(6595),
    [anon_sym_short] = ACTIONS(6595),
    [anon_sym_static] = ACTIONS(6595),
    [anon_sym_auto] = ACTIONS(6595),
    [anon_sym_register] = ACTIONS(6595),
    [anon_sym_inline] = ACTIONS(6595),
    [anon_sym___inline] = ACTIONS(6595),
    [anon_sym___inline__] = ACTIONS(6595),
    [anon_sym___forceinline] = ACTIONS(6595),
    [anon_sym_thread_local] = ACTIONS(6595),
    [anon_sym___thread] = ACTIONS(6595),
    [anon_sym_CG_EXTERN] = ACTIONS(6595),
    [anon_sym_CG_INLINE] = ACTIONS(6595),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6595),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6595),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6595),
    [anon_sym_IBOutlet] = ACTIONS(6595),
    [anon_sym_IBInspectable] = ACTIONS(6595),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6595),
    [anon_sym_NS_INLINE] = ACTIONS(6595),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6595),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6595),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6595),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6595),
    [anon_sym_const] = ACTIONS(6595),
    [anon_sym_constexpr] = ACTIONS(6595),
    [anon_sym_volatile] = ACTIONS(6595),
    [anon_sym_restrict] = ACTIONS(6595),
    [anon_sym___restrict__] = ACTIONS(6595),
    [anon_sym__Atomic] = ACTIONS(6595),
    [anon_sym__Noreturn] = ACTIONS(6595),
    [anon_sym__Nonnull] = ACTIONS(6595),
    [anon_sym_nullable] = ACTIONS(6595),
    [anon_sym__Complex] = ACTIONS(6595),
    [anon_sym__Nullable] = ACTIONS(6595),
    [anon_sym__Nullable_result] = ACTIONS(6595),
    [anon_sym__Null_unspecified] = ACTIONS(6595),
    [anon_sym___autoreleasing] = ACTIONS(6595),
    [anon_sym___block] = ACTIONS(6595),
    [anon_sym___bridge] = ACTIONS(6595),
    [anon_sym___bridge_retained] = ACTIONS(6595),
    [anon_sym___bridge_transfer] = ACTIONS(6595),
    [anon_sym___complex] = ACTIONS(6595),
    [anon_sym___const] = ACTIONS(6595),
    [anon_sym___imag] = ACTIONS(6595),
    [anon_sym___kindof] = ACTIONS(6595),
    [anon_sym___nonnull] = ACTIONS(6595),
    [anon_sym___nullable] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6595),
    [anon_sym___real] = ACTIONS(6595),
    [anon_sym___strong] = ACTIONS(6595),
    [anon_sym___unsafe_unretained] = ACTIONS(6595),
    [anon_sym___unused] = ACTIONS(6595),
    [anon_sym___weak] = ACTIONS(6595),
    [anon_sym_alignas] = ACTIONS(6595),
    [anon_sym__Alignas] = ACTIONS(6595),
    [sym_primitive_type] = ACTIONS(6595),
    [anon_sym_enum] = ACTIONS(6595),
    [anon_sym_struct] = ACTIONS(6595),
    [anon_sym_union] = ACTIONS(6595),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6595),
    [anon_sym___typeof] = ACTIONS(6595),
    [anon_sym_typeof] = ACTIONS(6595),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6595),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6595),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6595),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6595),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6595),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6595),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6595),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_API_AVAILABLE] = ACTIONS(6595),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_API_DEPRECATED] = ACTIONS(6595),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6595),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym___deprecated_msg] = ACTIONS(6595),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6595),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6595),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6595),
    [anon_sym_BOOL] = ACTIONS(6595),
    [anon_sym_IMP] = ACTIONS(6595),
    [anon_sym_SEL] = ACTIONS(6595),
    [anon_sym_Class] = ACTIONS(6595),
    [anon_sym_id] = ACTIONS(6595),
    [anon_sym_ATdefs] = ACTIONS(6597),
  },
  [2730] = {
    [sym_identifier] = ACTIONS(6579),
    [aux_sym_preproc_def_token1] = ACTIONS(6579),
    [aux_sym_preproc_if_token1] = ACTIONS(6579),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6579),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6579),
    [sym_preproc_directive] = ACTIONS(6579),
    [anon_sym___extension__] = ACTIONS(6579),
    [anon_sym_extern] = ACTIONS(6579),
    [anon_sym___attribute__] = ACTIONS(6579),
    [anon_sym___attribute] = ACTIONS(6579),
    [anon_sym_noreturn] = ACTIONS(6579),
    [anon_sym_LBRACK] = ACTIONS(6581),
    [anon_sym___declspec] = ACTIONS(6579),
    [anon_sym_RBRACE] = ACTIONS(6581),
    [anon_sym_signed] = ACTIONS(6579),
    [anon_sym_unsigned] = ACTIONS(6579),
    [anon_sym_long] = ACTIONS(6579),
    [anon_sym_short] = ACTIONS(6579),
    [anon_sym_static] = ACTIONS(6579),
    [anon_sym_auto] = ACTIONS(6579),
    [anon_sym_register] = ACTIONS(6579),
    [anon_sym_inline] = ACTIONS(6579),
    [anon_sym___inline] = ACTIONS(6579),
    [anon_sym___inline__] = ACTIONS(6579),
    [anon_sym___forceinline] = ACTIONS(6579),
    [anon_sym_thread_local] = ACTIONS(6579),
    [anon_sym___thread] = ACTIONS(6579),
    [anon_sym_CG_EXTERN] = ACTIONS(6579),
    [anon_sym_CG_INLINE] = ACTIONS(6579),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6579),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6579),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6579),
    [anon_sym_IBOutlet] = ACTIONS(6579),
    [anon_sym_IBInspectable] = ACTIONS(6579),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6579),
    [anon_sym_NS_INLINE] = ACTIONS(6579),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6579),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6579),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6579),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6579),
    [anon_sym_const] = ACTIONS(6579),
    [anon_sym_constexpr] = ACTIONS(6579),
    [anon_sym_volatile] = ACTIONS(6579),
    [anon_sym_restrict] = ACTIONS(6579),
    [anon_sym___restrict__] = ACTIONS(6579),
    [anon_sym__Atomic] = ACTIONS(6579),
    [anon_sym__Noreturn] = ACTIONS(6579),
    [anon_sym__Nonnull] = ACTIONS(6579),
    [anon_sym_nullable] = ACTIONS(6579),
    [anon_sym__Complex] = ACTIONS(6579),
    [anon_sym__Nullable] = ACTIONS(6579),
    [anon_sym__Nullable_result] = ACTIONS(6579),
    [anon_sym__Null_unspecified] = ACTIONS(6579),
    [anon_sym___autoreleasing] = ACTIONS(6579),
    [anon_sym___block] = ACTIONS(6579),
    [anon_sym___bridge] = ACTIONS(6579),
    [anon_sym___bridge_retained] = ACTIONS(6579),
    [anon_sym___bridge_transfer] = ACTIONS(6579),
    [anon_sym___complex] = ACTIONS(6579),
    [anon_sym___const] = ACTIONS(6579),
    [anon_sym___imag] = ACTIONS(6579),
    [anon_sym___kindof] = ACTIONS(6579),
    [anon_sym___nonnull] = ACTIONS(6579),
    [anon_sym___nullable] = ACTIONS(6579),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6579),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6579),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6579),
    [anon_sym___real] = ACTIONS(6579),
    [anon_sym___strong] = ACTIONS(6579),
    [anon_sym___unsafe_unretained] = ACTIONS(6579),
    [anon_sym___unused] = ACTIONS(6579),
    [anon_sym___weak] = ACTIONS(6579),
    [anon_sym_alignas] = ACTIONS(6579),
    [anon_sym__Alignas] = ACTIONS(6579),
    [sym_primitive_type] = ACTIONS(6579),
    [anon_sym_enum] = ACTIONS(6579),
    [anon_sym_struct] = ACTIONS(6579),
    [anon_sym_union] = ACTIONS(6579),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6579),
    [anon_sym___typeof] = ACTIONS(6579),
    [anon_sym_typeof] = ACTIONS(6579),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6579),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6579),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6579),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6579),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6579),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6579),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6579),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6579),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6579),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6579),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6579),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6579),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6579),
    [anon_sym_API_AVAILABLE] = ACTIONS(6579),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6579),
    [anon_sym_API_DEPRECATED] = ACTIONS(6579),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6579),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6579),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6579),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6579),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6579),
    [anon_sym___deprecated_msg] = ACTIONS(6579),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6579),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6579),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6579),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6579),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6579),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6579),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6579),
    [anon_sym_BOOL] = ACTIONS(6579),
    [anon_sym_IMP] = ACTIONS(6579),
    [anon_sym_SEL] = ACTIONS(6579),
    [anon_sym_Class] = ACTIONS(6579),
    [anon_sym_id] = ACTIONS(6579),
    [anon_sym_ATdefs] = ACTIONS(6581),
  },
  [2731] = {
    [sym_identifier] = ACTIONS(6591),
    [aux_sym_preproc_def_token1] = ACTIONS(6591),
    [aux_sym_preproc_if_token1] = ACTIONS(6591),
    [aux_sym_preproc_if_token2] = ACTIONS(6591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6591),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6591),
    [sym_preproc_directive] = ACTIONS(6591),
    [anon_sym___extension__] = ACTIONS(6591),
    [anon_sym_extern] = ACTIONS(6591),
    [anon_sym___attribute__] = ACTIONS(6591),
    [anon_sym___attribute] = ACTIONS(6591),
    [anon_sym_noreturn] = ACTIONS(6591),
    [anon_sym_LBRACK] = ACTIONS(6593),
    [anon_sym___declspec] = ACTIONS(6591),
    [anon_sym_signed] = ACTIONS(6591),
    [anon_sym_unsigned] = ACTIONS(6591),
    [anon_sym_long] = ACTIONS(6591),
    [anon_sym_short] = ACTIONS(6591),
    [anon_sym_static] = ACTIONS(6591),
    [anon_sym_auto] = ACTIONS(6591),
    [anon_sym_register] = ACTIONS(6591),
    [anon_sym_inline] = ACTIONS(6591),
    [anon_sym___inline] = ACTIONS(6591),
    [anon_sym___inline__] = ACTIONS(6591),
    [anon_sym___forceinline] = ACTIONS(6591),
    [anon_sym_thread_local] = ACTIONS(6591),
    [anon_sym___thread] = ACTIONS(6591),
    [anon_sym_CG_EXTERN] = ACTIONS(6591),
    [anon_sym_CG_INLINE] = ACTIONS(6591),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6591),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6591),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6591),
    [anon_sym_IBOutlet] = ACTIONS(6591),
    [anon_sym_IBInspectable] = ACTIONS(6591),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6591),
    [anon_sym_NS_INLINE] = ACTIONS(6591),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6591),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6591),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6591),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6591),
    [anon_sym_const] = ACTIONS(6591),
    [anon_sym_constexpr] = ACTIONS(6591),
    [anon_sym_volatile] = ACTIONS(6591),
    [anon_sym_restrict] = ACTIONS(6591),
    [anon_sym___restrict__] = ACTIONS(6591),
    [anon_sym__Atomic] = ACTIONS(6591),
    [anon_sym__Noreturn] = ACTIONS(6591),
    [anon_sym__Nonnull] = ACTIONS(6591),
    [anon_sym_nullable] = ACTIONS(6591),
    [anon_sym__Complex] = ACTIONS(6591),
    [anon_sym__Nullable] = ACTIONS(6591),
    [anon_sym__Nullable_result] = ACTIONS(6591),
    [anon_sym__Null_unspecified] = ACTIONS(6591),
    [anon_sym___autoreleasing] = ACTIONS(6591),
    [anon_sym___block] = ACTIONS(6591),
    [anon_sym___bridge] = ACTIONS(6591),
    [anon_sym___bridge_retained] = ACTIONS(6591),
    [anon_sym___bridge_transfer] = ACTIONS(6591),
    [anon_sym___complex] = ACTIONS(6591),
    [anon_sym___const] = ACTIONS(6591),
    [anon_sym___imag] = ACTIONS(6591),
    [anon_sym___kindof] = ACTIONS(6591),
    [anon_sym___nonnull] = ACTIONS(6591),
    [anon_sym___nullable] = ACTIONS(6591),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6591),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6591),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6591),
    [anon_sym___real] = ACTIONS(6591),
    [anon_sym___strong] = ACTIONS(6591),
    [anon_sym___unsafe_unretained] = ACTIONS(6591),
    [anon_sym___unused] = ACTIONS(6591),
    [anon_sym___weak] = ACTIONS(6591),
    [anon_sym_alignas] = ACTIONS(6591),
    [anon_sym__Alignas] = ACTIONS(6591),
    [sym_primitive_type] = ACTIONS(6591),
    [anon_sym_enum] = ACTIONS(6591),
    [anon_sym_struct] = ACTIONS(6591),
    [anon_sym_union] = ACTIONS(6591),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6591),
    [anon_sym___typeof] = ACTIONS(6591),
    [anon_sym_typeof] = ACTIONS(6591),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6591),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6591),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6591),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6591),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6591),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6591),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6591),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6591),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6591),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6591),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6591),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6591),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6591),
    [anon_sym_API_AVAILABLE] = ACTIONS(6591),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6591),
    [anon_sym_API_DEPRECATED] = ACTIONS(6591),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6591),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6591),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6591),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6591),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6591),
    [anon_sym___deprecated_msg] = ACTIONS(6591),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6591),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6591),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6591),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6591),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6591),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6591),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6591),
    [anon_sym_BOOL] = ACTIONS(6591),
    [anon_sym_IMP] = ACTIONS(6591),
    [anon_sym_SEL] = ACTIONS(6591),
    [anon_sym_Class] = ACTIONS(6591),
    [anon_sym_id] = ACTIONS(6591),
    [anon_sym_ATdefs] = ACTIONS(6593),
  },
  [2732] = {
    [sym_identifier] = ACTIONS(6595),
    [aux_sym_preproc_def_token1] = ACTIONS(6595),
    [aux_sym_preproc_if_token1] = ACTIONS(6595),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6595),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6595),
    [sym_preproc_directive] = ACTIONS(6595),
    [anon_sym___extension__] = ACTIONS(6595),
    [anon_sym_extern] = ACTIONS(6595),
    [anon_sym___attribute__] = ACTIONS(6595),
    [anon_sym___attribute] = ACTIONS(6595),
    [anon_sym_noreturn] = ACTIONS(6595),
    [anon_sym_LBRACK] = ACTIONS(6597),
    [anon_sym___declspec] = ACTIONS(6595),
    [anon_sym_RBRACE] = ACTIONS(6597),
    [anon_sym_signed] = ACTIONS(6595),
    [anon_sym_unsigned] = ACTIONS(6595),
    [anon_sym_long] = ACTIONS(6595),
    [anon_sym_short] = ACTIONS(6595),
    [anon_sym_static] = ACTIONS(6595),
    [anon_sym_auto] = ACTIONS(6595),
    [anon_sym_register] = ACTIONS(6595),
    [anon_sym_inline] = ACTIONS(6595),
    [anon_sym___inline] = ACTIONS(6595),
    [anon_sym___inline__] = ACTIONS(6595),
    [anon_sym___forceinline] = ACTIONS(6595),
    [anon_sym_thread_local] = ACTIONS(6595),
    [anon_sym___thread] = ACTIONS(6595),
    [anon_sym_CG_EXTERN] = ACTIONS(6595),
    [anon_sym_CG_INLINE] = ACTIONS(6595),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6595),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6595),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6595),
    [anon_sym_IBOutlet] = ACTIONS(6595),
    [anon_sym_IBInspectable] = ACTIONS(6595),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6595),
    [anon_sym_NS_INLINE] = ACTIONS(6595),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6595),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6595),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6595),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6595),
    [anon_sym_const] = ACTIONS(6595),
    [anon_sym_constexpr] = ACTIONS(6595),
    [anon_sym_volatile] = ACTIONS(6595),
    [anon_sym_restrict] = ACTIONS(6595),
    [anon_sym___restrict__] = ACTIONS(6595),
    [anon_sym__Atomic] = ACTIONS(6595),
    [anon_sym__Noreturn] = ACTIONS(6595),
    [anon_sym__Nonnull] = ACTIONS(6595),
    [anon_sym_nullable] = ACTIONS(6595),
    [anon_sym__Complex] = ACTIONS(6595),
    [anon_sym__Nullable] = ACTIONS(6595),
    [anon_sym__Nullable_result] = ACTIONS(6595),
    [anon_sym__Null_unspecified] = ACTIONS(6595),
    [anon_sym___autoreleasing] = ACTIONS(6595),
    [anon_sym___block] = ACTIONS(6595),
    [anon_sym___bridge] = ACTIONS(6595),
    [anon_sym___bridge_retained] = ACTIONS(6595),
    [anon_sym___bridge_transfer] = ACTIONS(6595),
    [anon_sym___complex] = ACTIONS(6595),
    [anon_sym___const] = ACTIONS(6595),
    [anon_sym___imag] = ACTIONS(6595),
    [anon_sym___kindof] = ACTIONS(6595),
    [anon_sym___nonnull] = ACTIONS(6595),
    [anon_sym___nullable] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6595),
    [anon_sym___real] = ACTIONS(6595),
    [anon_sym___strong] = ACTIONS(6595),
    [anon_sym___unsafe_unretained] = ACTIONS(6595),
    [anon_sym___unused] = ACTIONS(6595),
    [anon_sym___weak] = ACTIONS(6595),
    [anon_sym_alignas] = ACTIONS(6595),
    [anon_sym__Alignas] = ACTIONS(6595),
    [sym_primitive_type] = ACTIONS(6595),
    [anon_sym_enum] = ACTIONS(6595),
    [anon_sym_struct] = ACTIONS(6595),
    [anon_sym_union] = ACTIONS(6595),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6595),
    [anon_sym___typeof] = ACTIONS(6595),
    [anon_sym_typeof] = ACTIONS(6595),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6595),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6595),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6595),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6595),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6595),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6595),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6595),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_API_AVAILABLE] = ACTIONS(6595),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_API_DEPRECATED] = ACTIONS(6595),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6595),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym___deprecated_msg] = ACTIONS(6595),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6595),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6595),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6595),
    [anon_sym_BOOL] = ACTIONS(6595),
    [anon_sym_IMP] = ACTIONS(6595),
    [anon_sym_SEL] = ACTIONS(6595),
    [anon_sym_Class] = ACTIONS(6595),
    [anon_sym_id] = ACTIONS(6595),
    [anon_sym_ATdefs] = ACTIONS(6597),
  },
  [2733] = {
    [sym_identifier] = ACTIONS(6599),
    [aux_sym_preproc_def_token1] = ACTIONS(6599),
    [aux_sym_preproc_if_token1] = ACTIONS(6599),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6599),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6599),
    [sym_preproc_directive] = ACTIONS(6599),
    [anon_sym___extension__] = ACTIONS(6599),
    [anon_sym_extern] = ACTIONS(6599),
    [anon_sym___attribute__] = ACTIONS(6599),
    [anon_sym___attribute] = ACTIONS(6599),
    [anon_sym_noreturn] = ACTIONS(6599),
    [anon_sym_LBRACK] = ACTIONS(6601),
    [anon_sym___declspec] = ACTIONS(6599),
    [anon_sym_RBRACE] = ACTIONS(6601),
    [anon_sym_signed] = ACTIONS(6599),
    [anon_sym_unsigned] = ACTIONS(6599),
    [anon_sym_long] = ACTIONS(6599),
    [anon_sym_short] = ACTIONS(6599),
    [anon_sym_static] = ACTIONS(6599),
    [anon_sym_auto] = ACTIONS(6599),
    [anon_sym_register] = ACTIONS(6599),
    [anon_sym_inline] = ACTIONS(6599),
    [anon_sym___inline] = ACTIONS(6599),
    [anon_sym___inline__] = ACTIONS(6599),
    [anon_sym___forceinline] = ACTIONS(6599),
    [anon_sym_thread_local] = ACTIONS(6599),
    [anon_sym___thread] = ACTIONS(6599),
    [anon_sym_CG_EXTERN] = ACTIONS(6599),
    [anon_sym_CG_INLINE] = ACTIONS(6599),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6599),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6599),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6599),
    [anon_sym_IBOutlet] = ACTIONS(6599),
    [anon_sym_IBInspectable] = ACTIONS(6599),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6599),
    [anon_sym_NS_INLINE] = ACTIONS(6599),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6599),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6599),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6599),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6599),
    [anon_sym_const] = ACTIONS(6599),
    [anon_sym_constexpr] = ACTIONS(6599),
    [anon_sym_volatile] = ACTIONS(6599),
    [anon_sym_restrict] = ACTIONS(6599),
    [anon_sym___restrict__] = ACTIONS(6599),
    [anon_sym__Atomic] = ACTIONS(6599),
    [anon_sym__Noreturn] = ACTIONS(6599),
    [anon_sym__Nonnull] = ACTIONS(6599),
    [anon_sym_nullable] = ACTIONS(6599),
    [anon_sym__Complex] = ACTIONS(6599),
    [anon_sym__Nullable] = ACTIONS(6599),
    [anon_sym__Nullable_result] = ACTIONS(6599),
    [anon_sym__Null_unspecified] = ACTIONS(6599),
    [anon_sym___autoreleasing] = ACTIONS(6599),
    [anon_sym___block] = ACTIONS(6599),
    [anon_sym___bridge] = ACTIONS(6599),
    [anon_sym___bridge_retained] = ACTIONS(6599),
    [anon_sym___bridge_transfer] = ACTIONS(6599),
    [anon_sym___complex] = ACTIONS(6599),
    [anon_sym___const] = ACTIONS(6599),
    [anon_sym___imag] = ACTIONS(6599),
    [anon_sym___kindof] = ACTIONS(6599),
    [anon_sym___nonnull] = ACTIONS(6599),
    [anon_sym___nullable] = ACTIONS(6599),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6599),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6599),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6599),
    [anon_sym___real] = ACTIONS(6599),
    [anon_sym___strong] = ACTIONS(6599),
    [anon_sym___unsafe_unretained] = ACTIONS(6599),
    [anon_sym___unused] = ACTIONS(6599),
    [anon_sym___weak] = ACTIONS(6599),
    [anon_sym_alignas] = ACTIONS(6599),
    [anon_sym__Alignas] = ACTIONS(6599),
    [sym_primitive_type] = ACTIONS(6599),
    [anon_sym_enum] = ACTIONS(6599),
    [anon_sym_struct] = ACTIONS(6599),
    [anon_sym_union] = ACTIONS(6599),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6599),
    [anon_sym___typeof] = ACTIONS(6599),
    [anon_sym_typeof] = ACTIONS(6599),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6599),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6599),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6599),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6599),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6599),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6599),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6599),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6599),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6599),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6599),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6599),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6599),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6599),
    [anon_sym_API_AVAILABLE] = ACTIONS(6599),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6599),
    [anon_sym_API_DEPRECATED] = ACTIONS(6599),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6599),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6599),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6599),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6599),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6599),
    [anon_sym___deprecated_msg] = ACTIONS(6599),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6599),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6599),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6599),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6599),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6599),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6599),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6599),
    [anon_sym_BOOL] = ACTIONS(6599),
    [anon_sym_IMP] = ACTIONS(6599),
    [anon_sym_SEL] = ACTIONS(6599),
    [anon_sym_Class] = ACTIONS(6599),
    [anon_sym_id] = ACTIONS(6599),
    [anon_sym_ATdefs] = ACTIONS(6601),
  },
  [2734] = {
    [sym_identifier] = ACTIONS(6563),
    [aux_sym_preproc_def_token1] = ACTIONS(6563),
    [aux_sym_preproc_if_token1] = ACTIONS(6563),
    [aux_sym_preproc_if_token2] = ACTIONS(6563),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6563),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6563),
    [sym_preproc_directive] = ACTIONS(6563),
    [anon_sym___extension__] = ACTIONS(6563),
    [anon_sym_extern] = ACTIONS(6563),
    [anon_sym___attribute__] = ACTIONS(6563),
    [anon_sym___attribute] = ACTIONS(6563),
    [anon_sym_noreturn] = ACTIONS(6563),
    [anon_sym_LBRACK] = ACTIONS(6565),
    [anon_sym___declspec] = ACTIONS(6563),
    [anon_sym_signed] = ACTIONS(6563),
    [anon_sym_unsigned] = ACTIONS(6563),
    [anon_sym_long] = ACTIONS(6563),
    [anon_sym_short] = ACTIONS(6563),
    [anon_sym_static] = ACTIONS(6563),
    [anon_sym_auto] = ACTIONS(6563),
    [anon_sym_register] = ACTIONS(6563),
    [anon_sym_inline] = ACTIONS(6563),
    [anon_sym___inline] = ACTIONS(6563),
    [anon_sym___inline__] = ACTIONS(6563),
    [anon_sym___forceinline] = ACTIONS(6563),
    [anon_sym_thread_local] = ACTIONS(6563),
    [anon_sym___thread] = ACTIONS(6563),
    [anon_sym_CG_EXTERN] = ACTIONS(6563),
    [anon_sym_CG_INLINE] = ACTIONS(6563),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6563),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6563),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6563),
    [anon_sym_IBOutlet] = ACTIONS(6563),
    [anon_sym_IBInspectable] = ACTIONS(6563),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6563),
    [anon_sym_NS_INLINE] = ACTIONS(6563),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6563),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6563),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6563),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6563),
    [anon_sym_const] = ACTIONS(6563),
    [anon_sym_constexpr] = ACTIONS(6563),
    [anon_sym_volatile] = ACTIONS(6563),
    [anon_sym_restrict] = ACTIONS(6563),
    [anon_sym___restrict__] = ACTIONS(6563),
    [anon_sym__Atomic] = ACTIONS(6563),
    [anon_sym__Noreturn] = ACTIONS(6563),
    [anon_sym__Nonnull] = ACTIONS(6563),
    [anon_sym_nullable] = ACTIONS(6563),
    [anon_sym__Complex] = ACTIONS(6563),
    [anon_sym__Nullable] = ACTIONS(6563),
    [anon_sym__Nullable_result] = ACTIONS(6563),
    [anon_sym__Null_unspecified] = ACTIONS(6563),
    [anon_sym___autoreleasing] = ACTIONS(6563),
    [anon_sym___block] = ACTIONS(6563),
    [anon_sym___bridge] = ACTIONS(6563),
    [anon_sym___bridge_retained] = ACTIONS(6563),
    [anon_sym___bridge_transfer] = ACTIONS(6563),
    [anon_sym___complex] = ACTIONS(6563),
    [anon_sym___const] = ACTIONS(6563),
    [anon_sym___imag] = ACTIONS(6563),
    [anon_sym___kindof] = ACTIONS(6563),
    [anon_sym___nonnull] = ACTIONS(6563),
    [anon_sym___nullable] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6563),
    [anon_sym___real] = ACTIONS(6563),
    [anon_sym___strong] = ACTIONS(6563),
    [anon_sym___unsafe_unretained] = ACTIONS(6563),
    [anon_sym___unused] = ACTIONS(6563),
    [anon_sym___weak] = ACTIONS(6563),
    [anon_sym_alignas] = ACTIONS(6563),
    [anon_sym__Alignas] = ACTIONS(6563),
    [sym_primitive_type] = ACTIONS(6563),
    [anon_sym_enum] = ACTIONS(6563),
    [anon_sym_struct] = ACTIONS(6563),
    [anon_sym_union] = ACTIONS(6563),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6563),
    [anon_sym___typeof] = ACTIONS(6563),
    [anon_sym_typeof] = ACTIONS(6563),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6563),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6563),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6563),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6563),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6563),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6563),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6563),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_API_AVAILABLE] = ACTIONS(6563),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_API_DEPRECATED] = ACTIONS(6563),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6563),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym___deprecated_msg] = ACTIONS(6563),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6563),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6563),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6563),
    [anon_sym_BOOL] = ACTIONS(6563),
    [anon_sym_IMP] = ACTIONS(6563),
    [anon_sym_SEL] = ACTIONS(6563),
    [anon_sym_Class] = ACTIONS(6563),
    [anon_sym_id] = ACTIONS(6563),
    [anon_sym_ATdefs] = ACTIONS(6565),
  },
  [2735] = {
    [sym_identifier] = ACTIONS(6591),
    [aux_sym_preproc_def_token1] = ACTIONS(6591),
    [aux_sym_preproc_if_token1] = ACTIONS(6591),
    [aux_sym_preproc_if_token2] = ACTIONS(6591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6591),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6591),
    [sym_preproc_directive] = ACTIONS(6591),
    [anon_sym___extension__] = ACTIONS(6591),
    [anon_sym_extern] = ACTIONS(6591),
    [anon_sym___attribute__] = ACTIONS(6591),
    [anon_sym___attribute] = ACTIONS(6591),
    [anon_sym_noreturn] = ACTIONS(6591),
    [anon_sym_LBRACK] = ACTIONS(6593),
    [anon_sym___declspec] = ACTIONS(6591),
    [anon_sym_signed] = ACTIONS(6591),
    [anon_sym_unsigned] = ACTIONS(6591),
    [anon_sym_long] = ACTIONS(6591),
    [anon_sym_short] = ACTIONS(6591),
    [anon_sym_static] = ACTIONS(6591),
    [anon_sym_auto] = ACTIONS(6591),
    [anon_sym_register] = ACTIONS(6591),
    [anon_sym_inline] = ACTIONS(6591),
    [anon_sym___inline] = ACTIONS(6591),
    [anon_sym___inline__] = ACTIONS(6591),
    [anon_sym___forceinline] = ACTIONS(6591),
    [anon_sym_thread_local] = ACTIONS(6591),
    [anon_sym___thread] = ACTIONS(6591),
    [anon_sym_CG_EXTERN] = ACTIONS(6591),
    [anon_sym_CG_INLINE] = ACTIONS(6591),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6591),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6591),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6591),
    [anon_sym_IBOutlet] = ACTIONS(6591),
    [anon_sym_IBInspectable] = ACTIONS(6591),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6591),
    [anon_sym_NS_INLINE] = ACTIONS(6591),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6591),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6591),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6591),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6591),
    [anon_sym_const] = ACTIONS(6591),
    [anon_sym_constexpr] = ACTIONS(6591),
    [anon_sym_volatile] = ACTIONS(6591),
    [anon_sym_restrict] = ACTIONS(6591),
    [anon_sym___restrict__] = ACTIONS(6591),
    [anon_sym__Atomic] = ACTIONS(6591),
    [anon_sym__Noreturn] = ACTIONS(6591),
    [anon_sym__Nonnull] = ACTIONS(6591),
    [anon_sym_nullable] = ACTIONS(6591),
    [anon_sym__Complex] = ACTIONS(6591),
    [anon_sym__Nullable] = ACTIONS(6591),
    [anon_sym__Nullable_result] = ACTIONS(6591),
    [anon_sym__Null_unspecified] = ACTIONS(6591),
    [anon_sym___autoreleasing] = ACTIONS(6591),
    [anon_sym___block] = ACTIONS(6591),
    [anon_sym___bridge] = ACTIONS(6591),
    [anon_sym___bridge_retained] = ACTIONS(6591),
    [anon_sym___bridge_transfer] = ACTIONS(6591),
    [anon_sym___complex] = ACTIONS(6591),
    [anon_sym___const] = ACTIONS(6591),
    [anon_sym___imag] = ACTIONS(6591),
    [anon_sym___kindof] = ACTIONS(6591),
    [anon_sym___nonnull] = ACTIONS(6591),
    [anon_sym___nullable] = ACTIONS(6591),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6591),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6591),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6591),
    [anon_sym___real] = ACTIONS(6591),
    [anon_sym___strong] = ACTIONS(6591),
    [anon_sym___unsafe_unretained] = ACTIONS(6591),
    [anon_sym___unused] = ACTIONS(6591),
    [anon_sym___weak] = ACTIONS(6591),
    [anon_sym_alignas] = ACTIONS(6591),
    [anon_sym__Alignas] = ACTIONS(6591),
    [sym_primitive_type] = ACTIONS(6591),
    [anon_sym_enum] = ACTIONS(6591),
    [anon_sym_struct] = ACTIONS(6591),
    [anon_sym_union] = ACTIONS(6591),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6591),
    [anon_sym___typeof] = ACTIONS(6591),
    [anon_sym_typeof] = ACTIONS(6591),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6591),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6591),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6591),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6591),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6591),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6591),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6591),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6591),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6591),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6591),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6591),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6591),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6591),
    [anon_sym_API_AVAILABLE] = ACTIONS(6591),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6591),
    [anon_sym_API_DEPRECATED] = ACTIONS(6591),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6591),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6591),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6591),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6591),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6591),
    [anon_sym___deprecated_msg] = ACTIONS(6591),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6591),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6591),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6591),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6591),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6591),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6591),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6591),
    [anon_sym_BOOL] = ACTIONS(6591),
    [anon_sym_IMP] = ACTIONS(6591),
    [anon_sym_SEL] = ACTIONS(6591),
    [anon_sym_Class] = ACTIONS(6591),
    [anon_sym_id] = ACTIONS(6591),
    [anon_sym_ATdefs] = ACTIONS(6593),
  },
  [2736] = {
    [sym_identifier] = ACTIONS(6571),
    [aux_sym_preproc_def_token1] = ACTIONS(6571),
    [aux_sym_preproc_if_token1] = ACTIONS(6571),
    [aux_sym_preproc_if_token2] = ACTIONS(6571),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6571),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6571),
    [sym_preproc_directive] = ACTIONS(6571),
    [anon_sym___extension__] = ACTIONS(6571),
    [anon_sym_extern] = ACTIONS(6571),
    [anon_sym___attribute__] = ACTIONS(6571),
    [anon_sym___attribute] = ACTIONS(6571),
    [anon_sym_noreturn] = ACTIONS(6571),
    [anon_sym_LBRACK] = ACTIONS(6573),
    [anon_sym___declspec] = ACTIONS(6571),
    [anon_sym_signed] = ACTIONS(6571),
    [anon_sym_unsigned] = ACTIONS(6571),
    [anon_sym_long] = ACTIONS(6571),
    [anon_sym_short] = ACTIONS(6571),
    [anon_sym_static] = ACTIONS(6571),
    [anon_sym_auto] = ACTIONS(6571),
    [anon_sym_register] = ACTIONS(6571),
    [anon_sym_inline] = ACTIONS(6571),
    [anon_sym___inline] = ACTIONS(6571),
    [anon_sym___inline__] = ACTIONS(6571),
    [anon_sym___forceinline] = ACTIONS(6571),
    [anon_sym_thread_local] = ACTIONS(6571),
    [anon_sym___thread] = ACTIONS(6571),
    [anon_sym_CG_EXTERN] = ACTIONS(6571),
    [anon_sym_CG_INLINE] = ACTIONS(6571),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6571),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6571),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6571),
    [anon_sym_IBOutlet] = ACTIONS(6571),
    [anon_sym_IBInspectable] = ACTIONS(6571),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6571),
    [anon_sym_NS_INLINE] = ACTIONS(6571),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6571),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6571),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6571),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6571),
    [anon_sym_const] = ACTIONS(6571),
    [anon_sym_constexpr] = ACTIONS(6571),
    [anon_sym_volatile] = ACTIONS(6571),
    [anon_sym_restrict] = ACTIONS(6571),
    [anon_sym___restrict__] = ACTIONS(6571),
    [anon_sym__Atomic] = ACTIONS(6571),
    [anon_sym__Noreturn] = ACTIONS(6571),
    [anon_sym__Nonnull] = ACTIONS(6571),
    [anon_sym_nullable] = ACTIONS(6571),
    [anon_sym__Complex] = ACTIONS(6571),
    [anon_sym__Nullable] = ACTIONS(6571),
    [anon_sym__Nullable_result] = ACTIONS(6571),
    [anon_sym__Null_unspecified] = ACTIONS(6571),
    [anon_sym___autoreleasing] = ACTIONS(6571),
    [anon_sym___block] = ACTIONS(6571),
    [anon_sym___bridge] = ACTIONS(6571),
    [anon_sym___bridge_retained] = ACTIONS(6571),
    [anon_sym___bridge_transfer] = ACTIONS(6571),
    [anon_sym___complex] = ACTIONS(6571),
    [anon_sym___const] = ACTIONS(6571),
    [anon_sym___imag] = ACTIONS(6571),
    [anon_sym___kindof] = ACTIONS(6571),
    [anon_sym___nonnull] = ACTIONS(6571),
    [anon_sym___nullable] = ACTIONS(6571),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6571),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6571),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6571),
    [anon_sym___real] = ACTIONS(6571),
    [anon_sym___strong] = ACTIONS(6571),
    [anon_sym___unsafe_unretained] = ACTIONS(6571),
    [anon_sym___unused] = ACTIONS(6571),
    [anon_sym___weak] = ACTIONS(6571),
    [anon_sym_alignas] = ACTIONS(6571),
    [anon_sym__Alignas] = ACTIONS(6571),
    [sym_primitive_type] = ACTIONS(6571),
    [anon_sym_enum] = ACTIONS(6571),
    [anon_sym_struct] = ACTIONS(6571),
    [anon_sym_union] = ACTIONS(6571),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6571),
    [anon_sym___typeof] = ACTIONS(6571),
    [anon_sym_typeof] = ACTIONS(6571),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6571),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6571),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6571),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6571),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6571),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6571),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6571),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6571),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6571),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6571),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6571),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6571),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6571),
    [anon_sym_API_AVAILABLE] = ACTIONS(6571),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6571),
    [anon_sym_API_DEPRECATED] = ACTIONS(6571),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6571),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6571),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6571),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6571),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6571),
    [anon_sym___deprecated_msg] = ACTIONS(6571),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6571),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6571),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6571),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6571),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6571),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6571),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6571),
    [anon_sym_BOOL] = ACTIONS(6571),
    [anon_sym_IMP] = ACTIONS(6571),
    [anon_sym_SEL] = ACTIONS(6571),
    [anon_sym_Class] = ACTIONS(6571),
    [anon_sym_id] = ACTIONS(6571),
    [anon_sym_ATdefs] = ACTIONS(6573),
  },
  [2737] = {
    [sym_identifier] = ACTIONS(6575),
    [aux_sym_preproc_def_token1] = ACTIONS(6575),
    [aux_sym_preproc_if_token1] = ACTIONS(6575),
    [aux_sym_preproc_if_token2] = ACTIONS(6575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6575),
    [sym_preproc_directive] = ACTIONS(6575),
    [anon_sym___extension__] = ACTIONS(6575),
    [anon_sym_extern] = ACTIONS(6575),
    [anon_sym___attribute__] = ACTIONS(6575),
    [anon_sym___attribute] = ACTIONS(6575),
    [anon_sym_noreturn] = ACTIONS(6575),
    [anon_sym_LBRACK] = ACTIONS(6577),
    [anon_sym___declspec] = ACTIONS(6575),
    [anon_sym_signed] = ACTIONS(6575),
    [anon_sym_unsigned] = ACTIONS(6575),
    [anon_sym_long] = ACTIONS(6575),
    [anon_sym_short] = ACTIONS(6575),
    [anon_sym_static] = ACTIONS(6575),
    [anon_sym_auto] = ACTIONS(6575),
    [anon_sym_register] = ACTIONS(6575),
    [anon_sym_inline] = ACTIONS(6575),
    [anon_sym___inline] = ACTIONS(6575),
    [anon_sym___inline__] = ACTIONS(6575),
    [anon_sym___forceinline] = ACTIONS(6575),
    [anon_sym_thread_local] = ACTIONS(6575),
    [anon_sym___thread] = ACTIONS(6575),
    [anon_sym_CG_EXTERN] = ACTIONS(6575),
    [anon_sym_CG_INLINE] = ACTIONS(6575),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6575),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6575),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6575),
    [anon_sym_IBOutlet] = ACTIONS(6575),
    [anon_sym_IBInspectable] = ACTIONS(6575),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6575),
    [anon_sym_NS_INLINE] = ACTIONS(6575),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6575),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6575),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6575),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6575),
    [anon_sym_const] = ACTIONS(6575),
    [anon_sym_constexpr] = ACTIONS(6575),
    [anon_sym_volatile] = ACTIONS(6575),
    [anon_sym_restrict] = ACTIONS(6575),
    [anon_sym___restrict__] = ACTIONS(6575),
    [anon_sym__Atomic] = ACTIONS(6575),
    [anon_sym__Noreturn] = ACTIONS(6575),
    [anon_sym__Nonnull] = ACTIONS(6575),
    [anon_sym_nullable] = ACTIONS(6575),
    [anon_sym__Complex] = ACTIONS(6575),
    [anon_sym__Nullable] = ACTIONS(6575),
    [anon_sym__Nullable_result] = ACTIONS(6575),
    [anon_sym__Null_unspecified] = ACTIONS(6575),
    [anon_sym___autoreleasing] = ACTIONS(6575),
    [anon_sym___block] = ACTIONS(6575),
    [anon_sym___bridge] = ACTIONS(6575),
    [anon_sym___bridge_retained] = ACTIONS(6575),
    [anon_sym___bridge_transfer] = ACTIONS(6575),
    [anon_sym___complex] = ACTIONS(6575),
    [anon_sym___const] = ACTIONS(6575),
    [anon_sym___imag] = ACTIONS(6575),
    [anon_sym___kindof] = ACTIONS(6575),
    [anon_sym___nonnull] = ACTIONS(6575),
    [anon_sym___nullable] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6575),
    [anon_sym___real] = ACTIONS(6575),
    [anon_sym___strong] = ACTIONS(6575),
    [anon_sym___unsafe_unretained] = ACTIONS(6575),
    [anon_sym___unused] = ACTIONS(6575),
    [anon_sym___weak] = ACTIONS(6575),
    [anon_sym_alignas] = ACTIONS(6575),
    [anon_sym__Alignas] = ACTIONS(6575),
    [sym_primitive_type] = ACTIONS(6575),
    [anon_sym_enum] = ACTIONS(6575),
    [anon_sym_struct] = ACTIONS(6575),
    [anon_sym_union] = ACTIONS(6575),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6575),
    [anon_sym___typeof] = ACTIONS(6575),
    [anon_sym_typeof] = ACTIONS(6575),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6575),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6575),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6575),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6575),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6575),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6575),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6575),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_API_AVAILABLE] = ACTIONS(6575),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_API_DEPRECATED] = ACTIONS(6575),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6575),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym___deprecated_msg] = ACTIONS(6575),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6575),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6575),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6575),
    [anon_sym_BOOL] = ACTIONS(6575),
    [anon_sym_IMP] = ACTIONS(6575),
    [anon_sym_SEL] = ACTIONS(6575),
    [anon_sym_Class] = ACTIONS(6575),
    [anon_sym_id] = ACTIONS(6575),
    [anon_sym_ATdefs] = ACTIONS(6577),
  },
  [2738] = {
    [sym_identifier] = ACTIONS(6575),
    [aux_sym_preproc_def_token1] = ACTIONS(6575),
    [aux_sym_preproc_if_token1] = ACTIONS(6575),
    [aux_sym_preproc_if_token2] = ACTIONS(6575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6575),
    [sym_preproc_directive] = ACTIONS(6575),
    [anon_sym___extension__] = ACTIONS(6575),
    [anon_sym_extern] = ACTIONS(6575),
    [anon_sym___attribute__] = ACTIONS(6575),
    [anon_sym___attribute] = ACTIONS(6575),
    [anon_sym_noreturn] = ACTIONS(6575),
    [anon_sym_LBRACK] = ACTIONS(6577),
    [anon_sym___declspec] = ACTIONS(6575),
    [anon_sym_signed] = ACTIONS(6575),
    [anon_sym_unsigned] = ACTIONS(6575),
    [anon_sym_long] = ACTIONS(6575),
    [anon_sym_short] = ACTIONS(6575),
    [anon_sym_static] = ACTIONS(6575),
    [anon_sym_auto] = ACTIONS(6575),
    [anon_sym_register] = ACTIONS(6575),
    [anon_sym_inline] = ACTIONS(6575),
    [anon_sym___inline] = ACTIONS(6575),
    [anon_sym___inline__] = ACTIONS(6575),
    [anon_sym___forceinline] = ACTIONS(6575),
    [anon_sym_thread_local] = ACTIONS(6575),
    [anon_sym___thread] = ACTIONS(6575),
    [anon_sym_CG_EXTERN] = ACTIONS(6575),
    [anon_sym_CG_INLINE] = ACTIONS(6575),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6575),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6575),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6575),
    [anon_sym_IBOutlet] = ACTIONS(6575),
    [anon_sym_IBInspectable] = ACTIONS(6575),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6575),
    [anon_sym_NS_INLINE] = ACTIONS(6575),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6575),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6575),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6575),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6575),
    [anon_sym_const] = ACTIONS(6575),
    [anon_sym_constexpr] = ACTIONS(6575),
    [anon_sym_volatile] = ACTIONS(6575),
    [anon_sym_restrict] = ACTIONS(6575),
    [anon_sym___restrict__] = ACTIONS(6575),
    [anon_sym__Atomic] = ACTIONS(6575),
    [anon_sym__Noreturn] = ACTIONS(6575),
    [anon_sym__Nonnull] = ACTIONS(6575),
    [anon_sym_nullable] = ACTIONS(6575),
    [anon_sym__Complex] = ACTIONS(6575),
    [anon_sym__Nullable] = ACTIONS(6575),
    [anon_sym__Nullable_result] = ACTIONS(6575),
    [anon_sym__Null_unspecified] = ACTIONS(6575),
    [anon_sym___autoreleasing] = ACTIONS(6575),
    [anon_sym___block] = ACTIONS(6575),
    [anon_sym___bridge] = ACTIONS(6575),
    [anon_sym___bridge_retained] = ACTIONS(6575),
    [anon_sym___bridge_transfer] = ACTIONS(6575),
    [anon_sym___complex] = ACTIONS(6575),
    [anon_sym___const] = ACTIONS(6575),
    [anon_sym___imag] = ACTIONS(6575),
    [anon_sym___kindof] = ACTIONS(6575),
    [anon_sym___nonnull] = ACTIONS(6575),
    [anon_sym___nullable] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6575),
    [anon_sym___real] = ACTIONS(6575),
    [anon_sym___strong] = ACTIONS(6575),
    [anon_sym___unsafe_unretained] = ACTIONS(6575),
    [anon_sym___unused] = ACTIONS(6575),
    [anon_sym___weak] = ACTIONS(6575),
    [anon_sym_alignas] = ACTIONS(6575),
    [anon_sym__Alignas] = ACTIONS(6575),
    [sym_primitive_type] = ACTIONS(6575),
    [anon_sym_enum] = ACTIONS(6575),
    [anon_sym_struct] = ACTIONS(6575),
    [anon_sym_union] = ACTIONS(6575),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6575),
    [anon_sym___typeof] = ACTIONS(6575),
    [anon_sym_typeof] = ACTIONS(6575),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6575),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6575),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6575),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6575),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6575),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6575),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6575),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_API_AVAILABLE] = ACTIONS(6575),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_API_DEPRECATED] = ACTIONS(6575),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6575),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym___deprecated_msg] = ACTIONS(6575),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6575),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6575),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6575),
    [anon_sym_BOOL] = ACTIONS(6575),
    [anon_sym_IMP] = ACTIONS(6575),
    [anon_sym_SEL] = ACTIONS(6575),
    [anon_sym_Class] = ACTIONS(6575),
    [anon_sym_id] = ACTIONS(6575),
    [anon_sym_ATdefs] = ACTIONS(6577),
  },
  [2739] = {
    [sym_identifier] = ACTIONS(4232),
    [anon_sym___extension__] = ACTIONS(4232),
    [anon_sym_extern] = ACTIONS(4232),
    [anon_sym___attribute__] = ACTIONS(4232),
    [anon_sym___attribute] = ACTIONS(4232),
    [anon_sym_noreturn] = ACTIONS(4232),
    [anon_sym_LBRACK] = ACTIONS(4234),
    [anon_sym___declspec] = ACTIONS(4232),
    [anon_sym___cdecl] = ACTIONS(4232),
    [anon_sym___clrcall] = ACTIONS(4232),
    [anon_sym___stdcall] = ACTIONS(4232),
    [anon_sym___fastcall] = ACTIONS(4232),
    [anon_sym___thiscall] = ACTIONS(4232),
    [anon_sym___vectorcall] = ACTIONS(4232),
    [anon_sym_LBRACE] = ACTIONS(4234),
    [anon_sym_signed] = ACTIONS(4232),
    [anon_sym_unsigned] = ACTIONS(4232),
    [anon_sym_long] = ACTIONS(4232),
    [anon_sym_short] = ACTIONS(4232),
    [anon_sym_static] = ACTIONS(4232),
    [anon_sym_auto] = ACTIONS(4232),
    [anon_sym_register] = ACTIONS(4232),
    [anon_sym_inline] = ACTIONS(4232),
    [anon_sym___inline] = ACTIONS(4232),
    [anon_sym___inline__] = ACTIONS(4232),
    [anon_sym___forceinline] = ACTIONS(4232),
    [anon_sym_thread_local] = ACTIONS(4232),
    [anon_sym___thread] = ACTIONS(4232),
    [anon_sym_CG_EXTERN] = ACTIONS(4232),
    [anon_sym_CG_INLINE] = ACTIONS(4232),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4232),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4232),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4232),
    [anon_sym_IBOutlet] = ACTIONS(4232),
    [anon_sym_IBInspectable] = ACTIONS(4232),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4232),
    [anon_sym_NS_INLINE] = ACTIONS(4232),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4232),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4232),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4232),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4232),
    [anon_sym_const] = ACTIONS(4232),
    [anon_sym_constexpr] = ACTIONS(4232),
    [anon_sym_volatile] = ACTIONS(4232),
    [anon_sym_restrict] = ACTIONS(4232),
    [anon_sym___restrict__] = ACTIONS(4232),
    [anon_sym__Atomic] = ACTIONS(4232),
    [anon_sym__Noreturn] = ACTIONS(4232),
    [anon_sym__Nonnull] = ACTIONS(4232),
    [anon_sym_nullable] = ACTIONS(4232),
    [anon_sym__Complex] = ACTIONS(4232),
    [anon_sym__Nullable] = ACTIONS(4232),
    [anon_sym__Nullable_result] = ACTIONS(4232),
    [anon_sym__Null_unspecified] = ACTIONS(4232),
    [anon_sym___autoreleasing] = ACTIONS(4232),
    [anon_sym___block] = ACTIONS(4232),
    [anon_sym___bridge] = ACTIONS(4232),
    [anon_sym___bridge_retained] = ACTIONS(4232),
    [anon_sym___bridge_transfer] = ACTIONS(4232),
    [anon_sym___complex] = ACTIONS(4232),
    [anon_sym___const] = ACTIONS(4232),
    [anon_sym___imag] = ACTIONS(4232),
    [anon_sym___kindof] = ACTIONS(4232),
    [anon_sym___nonnull] = ACTIONS(4232),
    [anon_sym___nullable] = ACTIONS(4232),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4232),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4232),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4232),
    [anon_sym___real] = ACTIONS(4232),
    [anon_sym___strong] = ACTIONS(4232),
    [anon_sym___unsafe_unretained] = ACTIONS(4232),
    [anon_sym___unused] = ACTIONS(4232),
    [anon_sym___weak] = ACTIONS(4232),
    [anon_sym_alignas] = ACTIONS(4232),
    [anon_sym__Alignas] = ACTIONS(4232),
    [sym_primitive_type] = ACTIONS(4232),
    [anon_sym_enum] = ACTIONS(4232),
    [anon_sym_struct] = ACTIONS(4232),
    [anon_sym_union] = ACTIONS(4232),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4232),
    [anon_sym___typeof] = ACTIONS(4232),
    [anon_sym_typeof] = ACTIONS(4232),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4232),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4232),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4232),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4232),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4232),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4232),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4232),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4232),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4232),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4232),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4232),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4232),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4232),
    [anon_sym_API_AVAILABLE] = ACTIONS(4232),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4232),
    [anon_sym_API_DEPRECATED] = ACTIONS(4232),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4232),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4232),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4232),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4232),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4232),
    [anon_sym___deprecated_msg] = ACTIONS(4232),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4232),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4232),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4232),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4232),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4232),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4232),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4232),
    [anon_sym_BOOL] = ACTIONS(4232),
    [anon_sym_IMP] = ACTIONS(4232),
    [anon_sym_SEL] = ACTIONS(4232),
    [anon_sym_Class] = ACTIONS(4232),
    [anon_sym_id] = ACTIONS(4232),
  },
  [2740] = {
    [sym_identifier] = ACTIONS(6563),
    [aux_sym_preproc_def_token1] = ACTIONS(6563),
    [aux_sym_preproc_if_token1] = ACTIONS(6563),
    [aux_sym_preproc_if_token2] = ACTIONS(6563),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6563),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6563),
    [sym_preproc_directive] = ACTIONS(6563),
    [anon_sym___extension__] = ACTIONS(6563),
    [anon_sym_extern] = ACTIONS(6563),
    [anon_sym___attribute__] = ACTIONS(6563),
    [anon_sym___attribute] = ACTIONS(6563),
    [anon_sym_noreturn] = ACTIONS(6563),
    [anon_sym_LBRACK] = ACTIONS(6565),
    [anon_sym___declspec] = ACTIONS(6563),
    [anon_sym_signed] = ACTIONS(6563),
    [anon_sym_unsigned] = ACTIONS(6563),
    [anon_sym_long] = ACTIONS(6563),
    [anon_sym_short] = ACTIONS(6563),
    [anon_sym_static] = ACTIONS(6563),
    [anon_sym_auto] = ACTIONS(6563),
    [anon_sym_register] = ACTIONS(6563),
    [anon_sym_inline] = ACTIONS(6563),
    [anon_sym___inline] = ACTIONS(6563),
    [anon_sym___inline__] = ACTIONS(6563),
    [anon_sym___forceinline] = ACTIONS(6563),
    [anon_sym_thread_local] = ACTIONS(6563),
    [anon_sym___thread] = ACTIONS(6563),
    [anon_sym_CG_EXTERN] = ACTIONS(6563),
    [anon_sym_CG_INLINE] = ACTIONS(6563),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6563),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6563),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6563),
    [anon_sym_IBOutlet] = ACTIONS(6563),
    [anon_sym_IBInspectable] = ACTIONS(6563),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6563),
    [anon_sym_NS_INLINE] = ACTIONS(6563),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6563),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6563),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6563),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6563),
    [anon_sym_const] = ACTIONS(6563),
    [anon_sym_constexpr] = ACTIONS(6563),
    [anon_sym_volatile] = ACTIONS(6563),
    [anon_sym_restrict] = ACTIONS(6563),
    [anon_sym___restrict__] = ACTIONS(6563),
    [anon_sym__Atomic] = ACTIONS(6563),
    [anon_sym__Noreturn] = ACTIONS(6563),
    [anon_sym__Nonnull] = ACTIONS(6563),
    [anon_sym_nullable] = ACTIONS(6563),
    [anon_sym__Complex] = ACTIONS(6563),
    [anon_sym__Nullable] = ACTIONS(6563),
    [anon_sym__Nullable_result] = ACTIONS(6563),
    [anon_sym__Null_unspecified] = ACTIONS(6563),
    [anon_sym___autoreleasing] = ACTIONS(6563),
    [anon_sym___block] = ACTIONS(6563),
    [anon_sym___bridge] = ACTIONS(6563),
    [anon_sym___bridge_retained] = ACTIONS(6563),
    [anon_sym___bridge_transfer] = ACTIONS(6563),
    [anon_sym___complex] = ACTIONS(6563),
    [anon_sym___const] = ACTIONS(6563),
    [anon_sym___imag] = ACTIONS(6563),
    [anon_sym___kindof] = ACTIONS(6563),
    [anon_sym___nonnull] = ACTIONS(6563),
    [anon_sym___nullable] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6563),
    [anon_sym___real] = ACTIONS(6563),
    [anon_sym___strong] = ACTIONS(6563),
    [anon_sym___unsafe_unretained] = ACTIONS(6563),
    [anon_sym___unused] = ACTIONS(6563),
    [anon_sym___weak] = ACTIONS(6563),
    [anon_sym_alignas] = ACTIONS(6563),
    [anon_sym__Alignas] = ACTIONS(6563),
    [sym_primitive_type] = ACTIONS(6563),
    [anon_sym_enum] = ACTIONS(6563),
    [anon_sym_struct] = ACTIONS(6563),
    [anon_sym_union] = ACTIONS(6563),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6563),
    [anon_sym___typeof] = ACTIONS(6563),
    [anon_sym_typeof] = ACTIONS(6563),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6563),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6563),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6563),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6563),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6563),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6563),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6563),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_API_AVAILABLE] = ACTIONS(6563),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_API_DEPRECATED] = ACTIONS(6563),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6563),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym___deprecated_msg] = ACTIONS(6563),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6563),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6563),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6563),
    [anon_sym_BOOL] = ACTIONS(6563),
    [anon_sym_IMP] = ACTIONS(6563),
    [anon_sym_SEL] = ACTIONS(6563),
    [anon_sym_Class] = ACTIONS(6563),
    [anon_sym_id] = ACTIONS(6563),
    [anon_sym_ATdefs] = ACTIONS(6565),
  },
  [2741] = {
    [sym_identifier] = ACTIONS(6563),
    [aux_sym_preproc_def_token1] = ACTIONS(6563),
    [aux_sym_preproc_if_token1] = ACTIONS(6563),
    [aux_sym_preproc_if_token2] = ACTIONS(6563),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6563),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6563),
    [sym_preproc_directive] = ACTIONS(6563),
    [anon_sym___extension__] = ACTIONS(6563),
    [anon_sym_extern] = ACTIONS(6563),
    [anon_sym___attribute__] = ACTIONS(6563),
    [anon_sym___attribute] = ACTIONS(6563),
    [anon_sym_noreturn] = ACTIONS(6563),
    [anon_sym_LBRACK] = ACTIONS(6565),
    [anon_sym___declspec] = ACTIONS(6563),
    [anon_sym_signed] = ACTIONS(6563),
    [anon_sym_unsigned] = ACTIONS(6563),
    [anon_sym_long] = ACTIONS(6563),
    [anon_sym_short] = ACTIONS(6563),
    [anon_sym_static] = ACTIONS(6563),
    [anon_sym_auto] = ACTIONS(6563),
    [anon_sym_register] = ACTIONS(6563),
    [anon_sym_inline] = ACTIONS(6563),
    [anon_sym___inline] = ACTIONS(6563),
    [anon_sym___inline__] = ACTIONS(6563),
    [anon_sym___forceinline] = ACTIONS(6563),
    [anon_sym_thread_local] = ACTIONS(6563),
    [anon_sym___thread] = ACTIONS(6563),
    [anon_sym_CG_EXTERN] = ACTIONS(6563),
    [anon_sym_CG_INLINE] = ACTIONS(6563),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6563),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6563),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6563),
    [anon_sym_IBOutlet] = ACTIONS(6563),
    [anon_sym_IBInspectable] = ACTIONS(6563),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6563),
    [anon_sym_NS_INLINE] = ACTIONS(6563),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6563),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6563),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6563),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6563),
    [anon_sym_const] = ACTIONS(6563),
    [anon_sym_constexpr] = ACTIONS(6563),
    [anon_sym_volatile] = ACTIONS(6563),
    [anon_sym_restrict] = ACTIONS(6563),
    [anon_sym___restrict__] = ACTIONS(6563),
    [anon_sym__Atomic] = ACTIONS(6563),
    [anon_sym__Noreturn] = ACTIONS(6563),
    [anon_sym__Nonnull] = ACTIONS(6563),
    [anon_sym_nullable] = ACTIONS(6563),
    [anon_sym__Complex] = ACTIONS(6563),
    [anon_sym__Nullable] = ACTIONS(6563),
    [anon_sym__Nullable_result] = ACTIONS(6563),
    [anon_sym__Null_unspecified] = ACTIONS(6563),
    [anon_sym___autoreleasing] = ACTIONS(6563),
    [anon_sym___block] = ACTIONS(6563),
    [anon_sym___bridge] = ACTIONS(6563),
    [anon_sym___bridge_retained] = ACTIONS(6563),
    [anon_sym___bridge_transfer] = ACTIONS(6563),
    [anon_sym___complex] = ACTIONS(6563),
    [anon_sym___const] = ACTIONS(6563),
    [anon_sym___imag] = ACTIONS(6563),
    [anon_sym___kindof] = ACTIONS(6563),
    [anon_sym___nonnull] = ACTIONS(6563),
    [anon_sym___nullable] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6563),
    [anon_sym___real] = ACTIONS(6563),
    [anon_sym___strong] = ACTIONS(6563),
    [anon_sym___unsafe_unretained] = ACTIONS(6563),
    [anon_sym___unused] = ACTIONS(6563),
    [anon_sym___weak] = ACTIONS(6563),
    [anon_sym_alignas] = ACTIONS(6563),
    [anon_sym__Alignas] = ACTIONS(6563),
    [sym_primitive_type] = ACTIONS(6563),
    [anon_sym_enum] = ACTIONS(6563),
    [anon_sym_struct] = ACTIONS(6563),
    [anon_sym_union] = ACTIONS(6563),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6563),
    [anon_sym___typeof] = ACTIONS(6563),
    [anon_sym_typeof] = ACTIONS(6563),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6563),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6563),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6563),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6563),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6563),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6563),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6563),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_API_AVAILABLE] = ACTIONS(6563),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_API_DEPRECATED] = ACTIONS(6563),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6563),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym___deprecated_msg] = ACTIONS(6563),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6563),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6563),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6563),
    [anon_sym_BOOL] = ACTIONS(6563),
    [anon_sym_IMP] = ACTIONS(6563),
    [anon_sym_SEL] = ACTIONS(6563),
    [anon_sym_Class] = ACTIONS(6563),
    [anon_sym_id] = ACTIONS(6563),
    [anon_sym_ATdefs] = ACTIONS(6565),
  },
  [2742] = {
    [sym_identifier] = ACTIONS(6571),
    [aux_sym_preproc_def_token1] = ACTIONS(6571),
    [aux_sym_preproc_if_token1] = ACTIONS(6571),
    [aux_sym_preproc_if_token2] = ACTIONS(6571),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6571),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6571),
    [sym_preproc_directive] = ACTIONS(6571),
    [anon_sym___extension__] = ACTIONS(6571),
    [anon_sym_extern] = ACTIONS(6571),
    [anon_sym___attribute__] = ACTIONS(6571),
    [anon_sym___attribute] = ACTIONS(6571),
    [anon_sym_noreturn] = ACTIONS(6571),
    [anon_sym_LBRACK] = ACTIONS(6573),
    [anon_sym___declspec] = ACTIONS(6571),
    [anon_sym_signed] = ACTIONS(6571),
    [anon_sym_unsigned] = ACTIONS(6571),
    [anon_sym_long] = ACTIONS(6571),
    [anon_sym_short] = ACTIONS(6571),
    [anon_sym_static] = ACTIONS(6571),
    [anon_sym_auto] = ACTIONS(6571),
    [anon_sym_register] = ACTIONS(6571),
    [anon_sym_inline] = ACTIONS(6571),
    [anon_sym___inline] = ACTIONS(6571),
    [anon_sym___inline__] = ACTIONS(6571),
    [anon_sym___forceinline] = ACTIONS(6571),
    [anon_sym_thread_local] = ACTIONS(6571),
    [anon_sym___thread] = ACTIONS(6571),
    [anon_sym_CG_EXTERN] = ACTIONS(6571),
    [anon_sym_CG_INLINE] = ACTIONS(6571),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6571),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6571),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6571),
    [anon_sym_IBOutlet] = ACTIONS(6571),
    [anon_sym_IBInspectable] = ACTIONS(6571),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6571),
    [anon_sym_NS_INLINE] = ACTIONS(6571),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6571),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6571),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6571),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6571),
    [anon_sym_const] = ACTIONS(6571),
    [anon_sym_constexpr] = ACTIONS(6571),
    [anon_sym_volatile] = ACTIONS(6571),
    [anon_sym_restrict] = ACTIONS(6571),
    [anon_sym___restrict__] = ACTIONS(6571),
    [anon_sym__Atomic] = ACTIONS(6571),
    [anon_sym__Noreturn] = ACTIONS(6571),
    [anon_sym__Nonnull] = ACTIONS(6571),
    [anon_sym_nullable] = ACTIONS(6571),
    [anon_sym__Complex] = ACTIONS(6571),
    [anon_sym__Nullable] = ACTIONS(6571),
    [anon_sym__Nullable_result] = ACTIONS(6571),
    [anon_sym__Null_unspecified] = ACTIONS(6571),
    [anon_sym___autoreleasing] = ACTIONS(6571),
    [anon_sym___block] = ACTIONS(6571),
    [anon_sym___bridge] = ACTIONS(6571),
    [anon_sym___bridge_retained] = ACTIONS(6571),
    [anon_sym___bridge_transfer] = ACTIONS(6571),
    [anon_sym___complex] = ACTIONS(6571),
    [anon_sym___const] = ACTIONS(6571),
    [anon_sym___imag] = ACTIONS(6571),
    [anon_sym___kindof] = ACTIONS(6571),
    [anon_sym___nonnull] = ACTIONS(6571),
    [anon_sym___nullable] = ACTIONS(6571),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6571),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6571),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6571),
    [anon_sym___real] = ACTIONS(6571),
    [anon_sym___strong] = ACTIONS(6571),
    [anon_sym___unsafe_unretained] = ACTIONS(6571),
    [anon_sym___unused] = ACTIONS(6571),
    [anon_sym___weak] = ACTIONS(6571),
    [anon_sym_alignas] = ACTIONS(6571),
    [anon_sym__Alignas] = ACTIONS(6571),
    [sym_primitive_type] = ACTIONS(6571),
    [anon_sym_enum] = ACTIONS(6571),
    [anon_sym_struct] = ACTIONS(6571),
    [anon_sym_union] = ACTIONS(6571),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6571),
    [anon_sym___typeof] = ACTIONS(6571),
    [anon_sym_typeof] = ACTIONS(6571),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6571),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6571),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6571),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6571),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6571),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6571),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6571),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6571),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6571),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6571),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6571),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6571),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6571),
    [anon_sym_API_AVAILABLE] = ACTIONS(6571),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6571),
    [anon_sym_API_DEPRECATED] = ACTIONS(6571),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6571),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6571),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6571),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6571),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6571),
    [anon_sym___deprecated_msg] = ACTIONS(6571),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6571),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6571),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6571),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6571),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6571),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6571),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6571),
    [anon_sym_BOOL] = ACTIONS(6571),
    [anon_sym_IMP] = ACTIONS(6571),
    [anon_sym_SEL] = ACTIONS(6571),
    [anon_sym_Class] = ACTIONS(6571),
    [anon_sym_id] = ACTIONS(6571),
    [anon_sym_ATdefs] = ACTIONS(6573),
  },
  [2743] = {
    [sym_identifier] = ACTIONS(6595),
    [aux_sym_preproc_def_token1] = ACTIONS(6595),
    [aux_sym_preproc_if_token1] = ACTIONS(6595),
    [aux_sym_preproc_if_token2] = ACTIONS(6595),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6595),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6595),
    [sym_preproc_directive] = ACTIONS(6595),
    [anon_sym___extension__] = ACTIONS(6595),
    [anon_sym_extern] = ACTIONS(6595),
    [anon_sym___attribute__] = ACTIONS(6595),
    [anon_sym___attribute] = ACTIONS(6595),
    [anon_sym_noreturn] = ACTIONS(6595),
    [anon_sym_LBRACK] = ACTIONS(6597),
    [anon_sym___declspec] = ACTIONS(6595),
    [anon_sym_signed] = ACTIONS(6595),
    [anon_sym_unsigned] = ACTIONS(6595),
    [anon_sym_long] = ACTIONS(6595),
    [anon_sym_short] = ACTIONS(6595),
    [anon_sym_static] = ACTIONS(6595),
    [anon_sym_auto] = ACTIONS(6595),
    [anon_sym_register] = ACTIONS(6595),
    [anon_sym_inline] = ACTIONS(6595),
    [anon_sym___inline] = ACTIONS(6595),
    [anon_sym___inline__] = ACTIONS(6595),
    [anon_sym___forceinline] = ACTIONS(6595),
    [anon_sym_thread_local] = ACTIONS(6595),
    [anon_sym___thread] = ACTIONS(6595),
    [anon_sym_CG_EXTERN] = ACTIONS(6595),
    [anon_sym_CG_INLINE] = ACTIONS(6595),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6595),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6595),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6595),
    [anon_sym_IBOutlet] = ACTIONS(6595),
    [anon_sym_IBInspectable] = ACTIONS(6595),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6595),
    [anon_sym_NS_INLINE] = ACTIONS(6595),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6595),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6595),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6595),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6595),
    [anon_sym_const] = ACTIONS(6595),
    [anon_sym_constexpr] = ACTIONS(6595),
    [anon_sym_volatile] = ACTIONS(6595),
    [anon_sym_restrict] = ACTIONS(6595),
    [anon_sym___restrict__] = ACTIONS(6595),
    [anon_sym__Atomic] = ACTIONS(6595),
    [anon_sym__Noreturn] = ACTIONS(6595),
    [anon_sym__Nonnull] = ACTIONS(6595),
    [anon_sym_nullable] = ACTIONS(6595),
    [anon_sym__Complex] = ACTIONS(6595),
    [anon_sym__Nullable] = ACTIONS(6595),
    [anon_sym__Nullable_result] = ACTIONS(6595),
    [anon_sym__Null_unspecified] = ACTIONS(6595),
    [anon_sym___autoreleasing] = ACTIONS(6595),
    [anon_sym___block] = ACTIONS(6595),
    [anon_sym___bridge] = ACTIONS(6595),
    [anon_sym___bridge_retained] = ACTIONS(6595),
    [anon_sym___bridge_transfer] = ACTIONS(6595),
    [anon_sym___complex] = ACTIONS(6595),
    [anon_sym___const] = ACTIONS(6595),
    [anon_sym___imag] = ACTIONS(6595),
    [anon_sym___kindof] = ACTIONS(6595),
    [anon_sym___nonnull] = ACTIONS(6595),
    [anon_sym___nullable] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6595),
    [anon_sym___real] = ACTIONS(6595),
    [anon_sym___strong] = ACTIONS(6595),
    [anon_sym___unsafe_unretained] = ACTIONS(6595),
    [anon_sym___unused] = ACTIONS(6595),
    [anon_sym___weak] = ACTIONS(6595),
    [anon_sym_alignas] = ACTIONS(6595),
    [anon_sym__Alignas] = ACTIONS(6595),
    [sym_primitive_type] = ACTIONS(6595),
    [anon_sym_enum] = ACTIONS(6595),
    [anon_sym_struct] = ACTIONS(6595),
    [anon_sym_union] = ACTIONS(6595),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6595),
    [anon_sym___typeof] = ACTIONS(6595),
    [anon_sym_typeof] = ACTIONS(6595),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6595),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6595),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6595),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6595),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6595),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6595),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6595),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_API_AVAILABLE] = ACTIONS(6595),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_API_DEPRECATED] = ACTIONS(6595),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6595),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym___deprecated_msg] = ACTIONS(6595),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6595),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6595),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6595),
    [anon_sym_BOOL] = ACTIONS(6595),
    [anon_sym_IMP] = ACTIONS(6595),
    [anon_sym_SEL] = ACTIONS(6595),
    [anon_sym_Class] = ACTIONS(6595),
    [anon_sym_id] = ACTIONS(6595),
    [anon_sym_ATdefs] = ACTIONS(6597),
  },
  [2744] = {
    [sym_identifier] = ACTIONS(6507),
    [aux_sym_preproc_def_token1] = ACTIONS(6507),
    [aux_sym_preproc_if_token1] = ACTIONS(6507),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6507),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6507),
    [sym_preproc_directive] = ACTIONS(6507),
    [anon_sym___extension__] = ACTIONS(6507),
    [anon_sym_extern] = ACTIONS(6507),
    [anon_sym___attribute__] = ACTIONS(6507),
    [anon_sym___attribute] = ACTIONS(6507),
    [anon_sym_noreturn] = ACTIONS(6507),
    [anon_sym_LBRACK] = ACTIONS(6509),
    [anon_sym___declspec] = ACTIONS(6507),
    [anon_sym_RBRACE] = ACTIONS(6509),
    [anon_sym_signed] = ACTIONS(6507),
    [anon_sym_unsigned] = ACTIONS(6507),
    [anon_sym_long] = ACTIONS(6507),
    [anon_sym_short] = ACTIONS(6507),
    [anon_sym_static] = ACTIONS(6507),
    [anon_sym_auto] = ACTIONS(6507),
    [anon_sym_register] = ACTIONS(6507),
    [anon_sym_inline] = ACTIONS(6507),
    [anon_sym___inline] = ACTIONS(6507),
    [anon_sym___inline__] = ACTIONS(6507),
    [anon_sym___forceinline] = ACTIONS(6507),
    [anon_sym_thread_local] = ACTIONS(6507),
    [anon_sym___thread] = ACTIONS(6507),
    [anon_sym_CG_EXTERN] = ACTIONS(6507),
    [anon_sym_CG_INLINE] = ACTIONS(6507),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6507),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6507),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6507),
    [anon_sym_IBOutlet] = ACTIONS(6507),
    [anon_sym_IBInspectable] = ACTIONS(6507),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6507),
    [anon_sym_NS_INLINE] = ACTIONS(6507),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6507),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6507),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6507),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6507),
    [anon_sym_const] = ACTIONS(6507),
    [anon_sym_constexpr] = ACTIONS(6507),
    [anon_sym_volatile] = ACTIONS(6507),
    [anon_sym_restrict] = ACTIONS(6507),
    [anon_sym___restrict__] = ACTIONS(6507),
    [anon_sym__Atomic] = ACTIONS(6507),
    [anon_sym__Noreturn] = ACTIONS(6507),
    [anon_sym__Nonnull] = ACTIONS(6507),
    [anon_sym_nullable] = ACTIONS(6507),
    [anon_sym__Complex] = ACTIONS(6507),
    [anon_sym__Nullable] = ACTIONS(6507),
    [anon_sym__Nullable_result] = ACTIONS(6507),
    [anon_sym__Null_unspecified] = ACTIONS(6507),
    [anon_sym___autoreleasing] = ACTIONS(6507),
    [anon_sym___block] = ACTIONS(6507),
    [anon_sym___bridge] = ACTIONS(6507),
    [anon_sym___bridge_retained] = ACTIONS(6507),
    [anon_sym___bridge_transfer] = ACTIONS(6507),
    [anon_sym___complex] = ACTIONS(6507),
    [anon_sym___const] = ACTIONS(6507),
    [anon_sym___imag] = ACTIONS(6507),
    [anon_sym___kindof] = ACTIONS(6507),
    [anon_sym___nonnull] = ACTIONS(6507),
    [anon_sym___nullable] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6507),
    [anon_sym___real] = ACTIONS(6507),
    [anon_sym___strong] = ACTIONS(6507),
    [anon_sym___unsafe_unretained] = ACTIONS(6507),
    [anon_sym___unused] = ACTIONS(6507),
    [anon_sym___weak] = ACTIONS(6507),
    [anon_sym_alignas] = ACTIONS(6507),
    [anon_sym__Alignas] = ACTIONS(6507),
    [sym_primitive_type] = ACTIONS(6507),
    [anon_sym_enum] = ACTIONS(6507),
    [anon_sym_struct] = ACTIONS(6507),
    [anon_sym_union] = ACTIONS(6507),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6507),
    [anon_sym___typeof] = ACTIONS(6507),
    [anon_sym_typeof] = ACTIONS(6507),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6507),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6507),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6507),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6507),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6507),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6507),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6507),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_API_AVAILABLE] = ACTIONS(6507),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_API_DEPRECATED] = ACTIONS(6507),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6507),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym___deprecated_msg] = ACTIONS(6507),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6507),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6507),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6507),
    [anon_sym_BOOL] = ACTIONS(6507),
    [anon_sym_IMP] = ACTIONS(6507),
    [anon_sym_SEL] = ACTIONS(6507),
    [anon_sym_Class] = ACTIONS(6507),
    [anon_sym_id] = ACTIONS(6507),
    [anon_sym_ATdefs] = ACTIONS(6509),
  },
  [2745] = {
    [sym_identifier] = ACTIONS(6575),
    [aux_sym_preproc_def_token1] = ACTIONS(6575),
    [aux_sym_preproc_if_token1] = ACTIONS(6575),
    [aux_sym_preproc_if_token2] = ACTIONS(6575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6575),
    [sym_preproc_directive] = ACTIONS(6575),
    [anon_sym___extension__] = ACTIONS(6575),
    [anon_sym_extern] = ACTIONS(6575),
    [anon_sym___attribute__] = ACTIONS(6575),
    [anon_sym___attribute] = ACTIONS(6575),
    [anon_sym_noreturn] = ACTIONS(6575),
    [anon_sym_LBRACK] = ACTIONS(6577),
    [anon_sym___declspec] = ACTIONS(6575),
    [anon_sym_signed] = ACTIONS(6575),
    [anon_sym_unsigned] = ACTIONS(6575),
    [anon_sym_long] = ACTIONS(6575),
    [anon_sym_short] = ACTIONS(6575),
    [anon_sym_static] = ACTIONS(6575),
    [anon_sym_auto] = ACTIONS(6575),
    [anon_sym_register] = ACTIONS(6575),
    [anon_sym_inline] = ACTIONS(6575),
    [anon_sym___inline] = ACTIONS(6575),
    [anon_sym___inline__] = ACTIONS(6575),
    [anon_sym___forceinline] = ACTIONS(6575),
    [anon_sym_thread_local] = ACTIONS(6575),
    [anon_sym___thread] = ACTIONS(6575),
    [anon_sym_CG_EXTERN] = ACTIONS(6575),
    [anon_sym_CG_INLINE] = ACTIONS(6575),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6575),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6575),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6575),
    [anon_sym_IBOutlet] = ACTIONS(6575),
    [anon_sym_IBInspectable] = ACTIONS(6575),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6575),
    [anon_sym_NS_INLINE] = ACTIONS(6575),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6575),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6575),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6575),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6575),
    [anon_sym_const] = ACTIONS(6575),
    [anon_sym_constexpr] = ACTIONS(6575),
    [anon_sym_volatile] = ACTIONS(6575),
    [anon_sym_restrict] = ACTIONS(6575),
    [anon_sym___restrict__] = ACTIONS(6575),
    [anon_sym__Atomic] = ACTIONS(6575),
    [anon_sym__Noreturn] = ACTIONS(6575),
    [anon_sym__Nonnull] = ACTIONS(6575),
    [anon_sym_nullable] = ACTIONS(6575),
    [anon_sym__Complex] = ACTIONS(6575),
    [anon_sym__Nullable] = ACTIONS(6575),
    [anon_sym__Nullable_result] = ACTIONS(6575),
    [anon_sym__Null_unspecified] = ACTIONS(6575),
    [anon_sym___autoreleasing] = ACTIONS(6575),
    [anon_sym___block] = ACTIONS(6575),
    [anon_sym___bridge] = ACTIONS(6575),
    [anon_sym___bridge_retained] = ACTIONS(6575),
    [anon_sym___bridge_transfer] = ACTIONS(6575),
    [anon_sym___complex] = ACTIONS(6575),
    [anon_sym___const] = ACTIONS(6575),
    [anon_sym___imag] = ACTIONS(6575),
    [anon_sym___kindof] = ACTIONS(6575),
    [anon_sym___nonnull] = ACTIONS(6575),
    [anon_sym___nullable] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6575),
    [anon_sym___real] = ACTIONS(6575),
    [anon_sym___strong] = ACTIONS(6575),
    [anon_sym___unsafe_unretained] = ACTIONS(6575),
    [anon_sym___unused] = ACTIONS(6575),
    [anon_sym___weak] = ACTIONS(6575),
    [anon_sym_alignas] = ACTIONS(6575),
    [anon_sym__Alignas] = ACTIONS(6575),
    [sym_primitive_type] = ACTIONS(6575),
    [anon_sym_enum] = ACTIONS(6575),
    [anon_sym_struct] = ACTIONS(6575),
    [anon_sym_union] = ACTIONS(6575),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6575),
    [anon_sym___typeof] = ACTIONS(6575),
    [anon_sym_typeof] = ACTIONS(6575),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6575),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6575),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6575),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6575),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6575),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6575),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6575),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_API_AVAILABLE] = ACTIONS(6575),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_API_DEPRECATED] = ACTIONS(6575),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6575),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym___deprecated_msg] = ACTIONS(6575),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6575),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6575),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6575),
    [anon_sym_BOOL] = ACTIONS(6575),
    [anon_sym_IMP] = ACTIONS(6575),
    [anon_sym_SEL] = ACTIONS(6575),
    [anon_sym_Class] = ACTIONS(6575),
    [anon_sym_id] = ACTIONS(6575),
    [anon_sym_ATdefs] = ACTIONS(6577),
  },
  [2746] = {
    [sym_identifier] = ACTIONS(6503),
    [aux_sym_preproc_def_token1] = ACTIONS(6503),
    [aux_sym_preproc_if_token1] = ACTIONS(6503),
    [aux_sym_preproc_if_token2] = ACTIONS(6503),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6503),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6503),
    [sym_preproc_directive] = ACTIONS(6503),
    [anon_sym___extension__] = ACTIONS(6503),
    [anon_sym_extern] = ACTIONS(6503),
    [anon_sym___attribute__] = ACTIONS(6503),
    [anon_sym___attribute] = ACTIONS(6503),
    [anon_sym_noreturn] = ACTIONS(6503),
    [anon_sym_LBRACK] = ACTIONS(6505),
    [anon_sym___declspec] = ACTIONS(6503),
    [anon_sym_signed] = ACTIONS(6503),
    [anon_sym_unsigned] = ACTIONS(6503),
    [anon_sym_long] = ACTIONS(6503),
    [anon_sym_short] = ACTIONS(6503),
    [anon_sym_static] = ACTIONS(6503),
    [anon_sym_auto] = ACTIONS(6503),
    [anon_sym_register] = ACTIONS(6503),
    [anon_sym_inline] = ACTIONS(6503),
    [anon_sym___inline] = ACTIONS(6503),
    [anon_sym___inline__] = ACTIONS(6503),
    [anon_sym___forceinline] = ACTIONS(6503),
    [anon_sym_thread_local] = ACTIONS(6503),
    [anon_sym___thread] = ACTIONS(6503),
    [anon_sym_CG_EXTERN] = ACTIONS(6503),
    [anon_sym_CG_INLINE] = ACTIONS(6503),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6503),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6503),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6503),
    [anon_sym_IBOutlet] = ACTIONS(6503),
    [anon_sym_IBInspectable] = ACTIONS(6503),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6503),
    [anon_sym_NS_INLINE] = ACTIONS(6503),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6503),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6503),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6503),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6503),
    [anon_sym_const] = ACTIONS(6503),
    [anon_sym_constexpr] = ACTIONS(6503),
    [anon_sym_volatile] = ACTIONS(6503),
    [anon_sym_restrict] = ACTIONS(6503),
    [anon_sym___restrict__] = ACTIONS(6503),
    [anon_sym__Atomic] = ACTIONS(6503),
    [anon_sym__Noreturn] = ACTIONS(6503),
    [anon_sym__Nonnull] = ACTIONS(6503),
    [anon_sym_nullable] = ACTIONS(6503),
    [anon_sym__Complex] = ACTIONS(6503),
    [anon_sym__Nullable] = ACTIONS(6503),
    [anon_sym__Nullable_result] = ACTIONS(6503),
    [anon_sym__Null_unspecified] = ACTIONS(6503),
    [anon_sym___autoreleasing] = ACTIONS(6503),
    [anon_sym___block] = ACTIONS(6503),
    [anon_sym___bridge] = ACTIONS(6503),
    [anon_sym___bridge_retained] = ACTIONS(6503),
    [anon_sym___bridge_transfer] = ACTIONS(6503),
    [anon_sym___complex] = ACTIONS(6503),
    [anon_sym___const] = ACTIONS(6503),
    [anon_sym___imag] = ACTIONS(6503),
    [anon_sym___kindof] = ACTIONS(6503),
    [anon_sym___nonnull] = ACTIONS(6503),
    [anon_sym___nullable] = ACTIONS(6503),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6503),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6503),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6503),
    [anon_sym___real] = ACTIONS(6503),
    [anon_sym___strong] = ACTIONS(6503),
    [anon_sym___unsafe_unretained] = ACTIONS(6503),
    [anon_sym___unused] = ACTIONS(6503),
    [anon_sym___weak] = ACTIONS(6503),
    [anon_sym_alignas] = ACTIONS(6503),
    [anon_sym__Alignas] = ACTIONS(6503),
    [sym_primitive_type] = ACTIONS(6503),
    [anon_sym_enum] = ACTIONS(6503),
    [anon_sym_struct] = ACTIONS(6503),
    [anon_sym_union] = ACTIONS(6503),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6503),
    [anon_sym___typeof] = ACTIONS(6503),
    [anon_sym_typeof] = ACTIONS(6503),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6503),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6503),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6503),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6503),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6503),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6503),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6503),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6503),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6503),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6503),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6503),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6503),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6503),
    [anon_sym_API_AVAILABLE] = ACTIONS(6503),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6503),
    [anon_sym_API_DEPRECATED] = ACTIONS(6503),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6503),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6503),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6503),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6503),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6503),
    [anon_sym___deprecated_msg] = ACTIONS(6503),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6503),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6503),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6503),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6503),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6503),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6503),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6503),
    [anon_sym_BOOL] = ACTIONS(6503),
    [anon_sym_IMP] = ACTIONS(6503),
    [anon_sym_SEL] = ACTIONS(6503),
    [anon_sym_Class] = ACTIONS(6503),
    [anon_sym_id] = ACTIONS(6503),
    [anon_sym_ATdefs] = ACTIONS(6505),
  },
  [2747] = {
    [sym_identifier] = ACTIONS(6499),
    [aux_sym_preproc_def_token1] = ACTIONS(6499),
    [aux_sym_preproc_if_token1] = ACTIONS(6499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6499),
    [sym_preproc_directive] = ACTIONS(6499),
    [anon_sym___extension__] = ACTIONS(6499),
    [anon_sym_extern] = ACTIONS(6499),
    [anon_sym___attribute__] = ACTIONS(6499),
    [anon_sym___attribute] = ACTIONS(6499),
    [anon_sym_noreturn] = ACTIONS(6499),
    [anon_sym_LBRACK] = ACTIONS(6501),
    [anon_sym___declspec] = ACTIONS(6499),
    [anon_sym_RBRACE] = ACTIONS(6501),
    [anon_sym_signed] = ACTIONS(6499),
    [anon_sym_unsigned] = ACTIONS(6499),
    [anon_sym_long] = ACTIONS(6499),
    [anon_sym_short] = ACTIONS(6499),
    [anon_sym_static] = ACTIONS(6499),
    [anon_sym_auto] = ACTIONS(6499),
    [anon_sym_register] = ACTIONS(6499),
    [anon_sym_inline] = ACTIONS(6499),
    [anon_sym___inline] = ACTIONS(6499),
    [anon_sym___inline__] = ACTIONS(6499),
    [anon_sym___forceinline] = ACTIONS(6499),
    [anon_sym_thread_local] = ACTIONS(6499),
    [anon_sym___thread] = ACTIONS(6499),
    [anon_sym_CG_EXTERN] = ACTIONS(6499),
    [anon_sym_CG_INLINE] = ACTIONS(6499),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6499),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6499),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6499),
    [anon_sym_IBOutlet] = ACTIONS(6499),
    [anon_sym_IBInspectable] = ACTIONS(6499),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6499),
    [anon_sym_NS_INLINE] = ACTIONS(6499),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6499),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6499),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6499),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6499),
    [anon_sym_const] = ACTIONS(6499),
    [anon_sym_constexpr] = ACTIONS(6499),
    [anon_sym_volatile] = ACTIONS(6499),
    [anon_sym_restrict] = ACTIONS(6499),
    [anon_sym___restrict__] = ACTIONS(6499),
    [anon_sym__Atomic] = ACTIONS(6499),
    [anon_sym__Noreturn] = ACTIONS(6499),
    [anon_sym__Nonnull] = ACTIONS(6499),
    [anon_sym_nullable] = ACTIONS(6499),
    [anon_sym__Complex] = ACTIONS(6499),
    [anon_sym__Nullable] = ACTIONS(6499),
    [anon_sym__Nullable_result] = ACTIONS(6499),
    [anon_sym__Null_unspecified] = ACTIONS(6499),
    [anon_sym___autoreleasing] = ACTIONS(6499),
    [anon_sym___block] = ACTIONS(6499),
    [anon_sym___bridge] = ACTIONS(6499),
    [anon_sym___bridge_retained] = ACTIONS(6499),
    [anon_sym___bridge_transfer] = ACTIONS(6499),
    [anon_sym___complex] = ACTIONS(6499),
    [anon_sym___const] = ACTIONS(6499),
    [anon_sym___imag] = ACTIONS(6499),
    [anon_sym___kindof] = ACTIONS(6499),
    [anon_sym___nonnull] = ACTIONS(6499),
    [anon_sym___nullable] = ACTIONS(6499),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6499),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6499),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6499),
    [anon_sym___real] = ACTIONS(6499),
    [anon_sym___strong] = ACTIONS(6499),
    [anon_sym___unsafe_unretained] = ACTIONS(6499),
    [anon_sym___unused] = ACTIONS(6499),
    [anon_sym___weak] = ACTIONS(6499),
    [anon_sym_alignas] = ACTIONS(6499),
    [anon_sym__Alignas] = ACTIONS(6499),
    [sym_primitive_type] = ACTIONS(6499),
    [anon_sym_enum] = ACTIONS(6499),
    [anon_sym_struct] = ACTIONS(6499),
    [anon_sym_union] = ACTIONS(6499),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6499),
    [anon_sym___typeof] = ACTIONS(6499),
    [anon_sym_typeof] = ACTIONS(6499),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6499),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6499),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6499),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6499),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6499),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6499),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6499),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6499),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6499),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6499),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6499),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6499),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6499),
    [anon_sym_API_AVAILABLE] = ACTIONS(6499),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6499),
    [anon_sym_API_DEPRECATED] = ACTIONS(6499),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6499),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6499),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6499),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6499),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6499),
    [anon_sym___deprecated_msg] = ACTIONS(6499),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6499),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6499),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6499),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6499),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6499),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6499),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6499),
    [anon_sym_BOOL] = ACTIONS(6499),
    [anon_sym_IMP] = ACTIONS(6499),
    [anon_sym_SEL] = ACTIONS(6499),
    [anon_sym_Class] = ACTIONS(6499),
    [anon_sym_id] = ACTIONS(6499),
    [anon_sym_ATdefs] = ACTIONS(6501),
  },
  [2748] = {
    [sym_identifier] = ACTIONS(6507),
    [aux_sym_preproc_def_token1] = ACTIONS(6507),
    [aux_sym_preproc_if_token1] = ACTIONS(6507),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6507),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6507),
    [sym_preproc_directive] = ACTIONS(6507),
    [anon_sym___extension__] = ACTIONS(6507),
    [anon_sym_extern] = ACTIONS(6507),
    [anon_sym___attribute__] = ACTIONS(6507),
    [anon_sym___attribute] = ACTIONS(6507),
    [anon_sym_noreturn] = ACTIONS(6507),
    [anon_sym_LBRACK] = ACTIONS(6509),
    [anon_sym___declspec] = ACTIONS(6507),
    [anon_sym_RBRACE] = ACTIONS(6509),
    [anon_sym_signed] = ACTIONS(6507),
    [anon_sym_unsigned] = ACTIONS(6507),
    [anon_sym_long] = ACTIONS(6507),
    [anon_sym_short] = ACTIONS(6507),
    [anon_sym_static] = ACTIONS(6507),
    [anon_sym_auto] = ACTIONS(6507),
    [anon_sym_register] = ACTIONS(6507),
    [anon_sym_inline] = ACTIONS(6507),
    [anon_sym___inline] = ACTIONS(6507),
    [anon_sym___inline__] = ACTIONS(6507),
    [anon_sym___forceinline] = ACTIONS(6507),
    [anon_sym_thread_local] = ACTIONS(6507),
    [anon_sym___thread] = ACTIONS(6507),
    [anon_sym_CG_EXTERN] = ACTIONS(6507),
    [anon_sym_CG_INLINE] = ACTIONS(6507),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6507),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6507),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6507),
    [anon_sym_IBOutlet] = ACTIONS(6507),
    [anon_sym_IBInspectable] = ACTIONS(6507),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6507),
    [anon_sym_NS_INLINE] = ACTIONS(6507),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6507),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6507),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6507),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6507),
    [anon_sym_const] = ACTIONS(6507),
    [anon_sym_constexpr] = ACTIONS(6507),
    [anon_sym_volatile] = ACTIONS(6507),
    [anon_sym_restrict] = ACTIONS(6507),
    [anon_sym___restrict__] = ACTIONS(6507),
    [anon_sym__Atomic] = ACTIONS(6507),
    [anon_sym__Noreturn] = ACTIONS(6507),
    [anon_sym__Nonnull] = ACTIONS(6507),
    [anon_sym_nullable] = ACTIONS(6507),
    [anon_sym__Complex] = ACTIONS(6507),
    [anon_sym__Nullable] = ACTIONS(6507),
    [anon_sym__Nullable_result] = ACTIONS(6507),
    [anon_sym__Null_unspecified] = ACTIONS(6507),
    [anon_sym___autoreleasing] = ACTIONS(6507),
    [anon_sym___block] = ACTIONS(6507),
    [anon_sym___bridge] = ACTIONS(6507),
    [anon_sym___bridge_retained] = ACTIONS(6507),
    [anon_sym___bridge_transfer] = ACTIONS(6507),
    [anon_sym___complex] = ACTIONS(6507),
    [anon_sym___const] = ACTIONS(6507),
    [anon_sym___imag] = ACTIONS(6507),
    [anon_sym___kindof] = ACTIONS(6507),
    [anon_sym___nonnull] = ACTIONS(6507),
    [anon_sym___nullable] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6507),
    [anon_sym___real] = ACTIONS(6507),
    [anon_sym___strong] = ACTIONS(6507),
    [anon_sym___unsafe_unretained] = ACTIONS(6507),
    [anon_sym___unused] = ACTIONS(6507),
    [anon_sym___weak] = ACTIONS(6507),
    [anon_sym_alignas] = ACTIONS(6507),
    [anon_sym__Alignas] = ACTIONS(6507),
    [sym_primitive_type] = ACTIONS(6507),
    [anon_sym_enum] = ACTIONS(6507),
    [anon_sym_struct] = ACTIONS(6507),
    [anon_sym_union] = ACTIONS(6507),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6507),
    [anon_sym___typeof] = ACTIONS(6507),
    [anon_sym_typeof] = ACTIONS(6507),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6507),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6507),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6507),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6507),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6507),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6507),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6507),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_API_AVAILABLE] = ACTIONS(6507),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_API_DEPRECATED] = ACTIONS(6507),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6507),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym___deprecated_msg] = ACTIONS(6507),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6507),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6507),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6507),
    [anon_sym_BOOL] = ACTIONS(6507),
    [anon_sym_IMP] = ACTIONS(6507),
    [anon_sym_SEL] = ACTIONS(6507),
    [anon_sym_Class] = ACTIONS(6507),
    [anon_sym_id] = ACTIONS(6507),
    [anon_sym_ATdefs] = ACTIONS(6509),
  },
  [2749] = {
    [sym_identifier] = ACTIONS(6551),
    [aux_sym_preproc_def_token1] = ACTIONS(6551),
    [aux_sym_preproc_if_token1] = ACTIONS(6551),
    [aux_sym_preproc_if_token2] = ACTIONS(6551),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6551),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6551),
    [sym_preproc_directive] = ACTIONS(6551),
    [anon_sym___extension__] = ACTIONS(6551),
    [anon_sym_extern] = ACTIONS(6551),
    [anon_sym___attribute__] = ACTIONS(6551),
    [anon_sym___attribute] = ACTIONS(6551),
    [anon_sym_noreturn] = ACTIONS(6551),
    [anon_sym_LBRACK] = ACTIONS(6553),
    [anon_sym___declspec] = ACTIONS(6551),
    [anon_sym_signed] = ACTIONS(6551),
    [anon_sym_unsigned] = ACTIONS(6551),
    [anon_sym_long] = ACTIONS(6551),
    [anon_sym_short] = ACTIONS(6551),
    [anon_sym_static] = ACTIONS(6551),
    [anon_sym_auto] = ACTIONS(6551),
    [anon_sym_register] = ACTIONS(6551),
    [anon_sym_inline] = ACTIONS(6551),
    [anon_sym___inline] = ACTIONS(6551),
    [anon_sym___inline__] = ACTIONS(6551),
    [anon_sym___forceinline] = ACTIONS(6551),
    [anon_sym_thread_local] = ACTIONS(6551),
    [anon_sym___thread] = ACTIONS(6551),
    [anon_sym_CG_EXTERN] = ACTIONS(6551),
    [anon_sym_CG_INLINE] = ACTIONS(6551),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6551),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6551),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6551),
    [anon_sym_IBOutlet] = ACTIONS(6551),
    [anon_sym_IBInspectable] = ACTIONS(6551),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6551),
    [anon_sym_NS_INLINE] = ACTIONS(6551),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6551),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6551),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6551),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6551),
    [anon_sym_const] = ACTIONS(6551),
    [anon_sym_constexpr] = ACTIONS(6551),
    [anon_sym_volatile] = ACTIONS(6551),
    [anon_sym_restrict] = ACTIONS(6551),
    [anon_sym___restrict__] = ACTIONS(6551),
    [anon_sym__Atomic] = ACTIONS(6551),
    [anon_sym__Noreturn] = ACTIONS(6551),
    [anon_sym__Nonnull] = ACTIONS(6551),
    [anon_sym_nullable] = ACTIONS(6551),
    [anon_sym__Complex] = ACTIONS(6551),
    [anon_sym__Nullable] = ACTIONS(6551),
    [anon_sym__Nullable_result] = ACTIONS(6551),
    [anon_sym__Null_unspecified] = ACTIONS(6551),
    [anon_sym___autoreleasing] = ACTIONS(6551),
    [anon_sym___block] = ACTIONS(6551),
    [anon_sym___bridge] = ACTIONS(6551),
    [anon_sym___bridge_retained] = ACTIONS(6551),
    [anon_sym___bridge_transfer] = ACTIONS(6551),
    [anon_sym___complex] = ACTIONS(6551),
    [anon_sym___const] = ACTIONS(6551),
    [anon_sym___imag] = ACTIONS(6551),
    [anon_sym___kindof] = ACTIONS(6551),
    [anon_sym___nonnull] = ACTIONS(6551),
    [anon_sym___nullable] = ACTIONS(6551),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6551),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6551),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6551),
    [anon_sym___real] = ACTIONS(6551),
    [anon_sym___strong] = ACTIONS(6551),
    [anon_sym___unsafe_unretained] = ACTIONS(6551),
    [anon_sym___unused] = ACTIONS(6551),
    [anon_sym___weak] = ACTIONS(6551),
    [anon_sym_alignas] = ACTIONS(6551),
    [anon_sym__Alignas] = ACTIONS(6551),
    [sym_primitive_type] = ACTIONS(6551),
    [anon_sym_enum] = ACTIONS(6551),
    [anon_sym_struct] = ACTIONS(6551),
    [anon_sym_union] = ACTIONS(6551),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6551),
    [anon_sym___typeof] = ACTIONS(6551),
    [anon_sym_typeof] = ACTIONS(6551),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6551),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6551),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6551),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6551),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6551),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6551),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6551),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6551),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6551),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6551),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6551),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6551),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6551),
    [anon_sym_API_AVAILABLE] = ACTIONS(6551),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6551),
    [anon_sym_API_DEPRECATED] = ACTIONS(6551),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6551),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6551),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6551),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6551),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6551),
    [anon_sym___deprecated_msg] = ACTIONS(6551),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6551),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6551),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6551),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6551),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6551),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6551),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6551),
    [anon_sym_BOOL] = ACTIONS(6551),
    [anon_sym_IMP] = ACTIONS(6551),
    [anon_sym_SEL] = ACTIONS(6551),
    [anon_sym_Class] = ACTIONS(6551),
    [anon_sym_id] = ACTIONS(6551),
    [anon_sym_ATdefs] = ACTIONS(6553),
  },
  [2750] = {
    [sym_identifier] = ACTIONS(6559),
    [aux_sym_preproc_def_token1] = ACTIONS(6559),
    [aux_sym_preproc_if_token1] = ACTIONS(6559),
    [aux_sym_preproc_if_token2] = ACTIONS(6559),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6559),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6559),
    [sym_preproc_directive] = ACTIONS(6559),
    [anon_sym___extension__] = ACTIONS(6559),
    [anon_sym_extern] = ACTIONS(6559),
    [anon_sym___attribute__] = ACTIONS(6559),
    [anon_sym___attribute] = ACTIONS(6559),
    [anon_sym_noreturn] = ACTIONS(6559),
    [anon_sym_LBRACK] = ACTIONS(6561),
    [anon_sym___declspec] = ACTIONS(6559),
    [anon_sym_signed] = ACTIONS(6559),
    [anon_sym_unsigned] = ACTIONS(6559),
    [anon_sym_long] = ACTIONS(6559),
    [anon_sym_short] = ACTIONS(6559),
    [anon_sym_static] = ACTIONS(6559),
    [anon_sym_auto] = ACTIONS(6559),
    [anon_sym_register] = ACTIONS(6559),
    [anon_sym_inline] = ACTIONS(6559),
    [anon_sym___inline] = ACTIONS(6559),
    [anon_sym___inline__] = ACTIONS(6559),
    [anon_sym___forceinline] = ACTIONS(6559),
    [anon_sym_thread_local] = ACTIONS(6559),
    [anon_sym___thread] = ACTIONS(6559),
    [anon_sym_CG_EXTERN] = ACTIONS(6559),
    [anon_sym_CG_INLINE] = ACTIONS(6559),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6559),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6559),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6559),
    [anon_sym_IBOutlet] = ACTIONS(6559),
    [anon_sym_IBInspectable] = ACTIONS(6559),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6559),
    [anon_sym_NS_INLINE] = ACTIONS(6559),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6559),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6559),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6559),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6559),
    [anon_sym_const] = ACTIONS(6559),
    [anon_sym_constexpr] = ACTIONS(6559),
    [anon_sym_volatile] = ACTIONS(6559),
    [anon_sym_restrict] = ACTIONS(6559),
    [anon_sym___restrict__] = ACTIONS(6559),
    [anon_sym__Atomic] = ACTIONS(6559),
    [anon_sym__Noreturn] = ACTIONS(6559),
    [anon_sym__Nonnull] = ACTIONS(6559),
    [anon_sym_nullable] = ACTIONS(6559),
    [anon_sym__Complex] = ACTIONS(6559),
    [anon_sym__Nullable] = ACTIONS(6559),
    [anon_sym__Nullable_result] = ACTIONS(6559),
    [anon_sym__Null_unspecified] = ACTIONS(6559),
    [anon_sym___autoreleasing] = ACTIONS(6559),
    [anon_sym___block] = ACTIONS(6559),
    [anon_sym___bridge] = ACTIONS(6559),
    [anon_sym___bridge_retained] = ACTIONS(6559),
    [anon_sym___bridge_transfer] = ACTIONS(6559),
    [anon_sym___complex] = ACTIONS(6559),
    [anon_sym___const] = ACTIONS(6559),
    [anon_sym___imag] = ACTIONS(6559),
    [anon_sym___kindof] = ACTIONS(6559),
    [anon_sym___nonnull] = ACTIONS(6559),
    [anon_sym___nullable] = ACTIONS(6559),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6559),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6559),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6559),
    [anon_sym___real] = ACTIONS(6559),
    [anon_sym___strong] = ACTIONS(6559),
    [anon_sym___unsafe_unretained] = ACTIONS(6559),
    [anon_sym___unused] = ACTIONS(6559),
    [anon_sym___weak] = ACTIONS(6559),
    [anon_sym_alignas] = ACTIONS(6559),
    [anon_sym__Alignas] = ACTIONS(6559),
    [sym_primitive_type] = ACTIONS(6559),
    [anon_sym_enum] = ACTIONS(6559),
    [anon_sym_struct] = ACTIONS(6559),
    [anon_sym_union] = ACTIONS(6559),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6559),
    [anon_sym___typeof] = ACTIONS(6559),
    [anon_sym_typeof] = ACTIONS(6559),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6559),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6559),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6559),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6559),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6559),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6559),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6559),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6559),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6559),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6559),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6559),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6559),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6559),
    [anon_sym_API_AVAILABLE] = ACTIONS(6559),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6559),
    [anon_sym_API_DEPRECATED] = ACTIONS(6559),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6559),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6559),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6559),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6559),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6559),
    [anon_sym___deprecated_msg] = ACTIONS(6559),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6559),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6559),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6559),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6559),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6559),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6559),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6559),
    [anon_sym_BOOL] = ACTIONS(6559),
    [anon_sym_IMP] = ACTIONS(6559),
    [anon_sym_SEL] = ACTIONS(6559),
    [anon_sym_Class] = ACTIONS(6559),
    [anon_sym_id] = ACTIONS(6559),
    [anon_sym_ATdefs] = ACTIONS(6561),
  },
  [2751] = {
    [sym_identifier] = ACTIONS(6507),
    [aux_sym_preproc_def_token1] = ACTIONS(6507),
    [aux_sym_preproc_if_token1] = ACTIONS(6507),
    [aux_sym_preproc_if_token2] = ACTIONS(6507),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6507),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6507),
    [sym_preproc_directive] = ACTIONS(6507),
    [anon_sym___extension__] = ACTIONS(6507),
    [anon_sym_extern] = ACTIONS(6507),
    [anon_sym___attribute__] = ACTIONS(6507),
    [anon_sym___attribute] = ACTIONS(6507),
    [anon_sym_noreturn] = ACTIONS(6507),
    [anon_sym_LBRACK] = ACTIONS(6509),
    [anon_sym___declspec] = ACTIONS(6507),
    [anon_sym_signed] = ACTIONS(6507),
    [anon_sym_unsigned] = ACTIONS(6507),
    [anon_sym_long] = ACTIONS(6507),
    [anon_sym_short] = ACTIONS(6507),
    [anon_sym_static] = ACTIONS(6507),
    [anon_sym_auto] = ACTIONS(6507),
    [anon_sym_register] = ACTIONS(6507),
    [anon_sym_inline] = ACTIONS(6507),
    [anon_sym___inline] = ACTIONS(6507),
    [anon_sym___inline__] = ACTIONS(6507),
    [anon_sym___forceinline] = ACTIONS(6507),
    [anon_sym_thread_local] = ACTIONS(6507),
    [anon_sym___thread] = ACTIONS(6507),
    [anon_sym_CG_EXTERN] = ACTIONS(6507),
    [anon_sym_CG_INLINE] = ACTIONS(6507),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6507),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6507),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6507),
    [anon_sym_IBOutlet] = ACTIONS(6507),
    [anon_sym_IBInspectable] = ACTIONS(6507),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6507),
    [anon_sym_NS_INLINE] = ACTIONS(6507),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6507),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6507),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6507),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6507),
    [anon_sym_const] = ACTIONS(6507),
    [anon_sym_constexpr] = ACTIONS(6507),
    [anon_sym_volatile] = ACTIONS(6507),
    [anon_sym_restrict] = ACTIONS(6507),
    [anon_sym___restrict__] = ACTIONS(6507),
    [anon_sym__Atomic] = ACTIONS(6507),
    [anon_sym__Noreturn] = ACTIONS(6507),
    [anon_sym__Nonnull] = ACTIONS(6507),
    [anon_sym_nullable] = ACTIONS(6507),
    [anon_sym__Complex] = ACTIONS(6507),
    [anon_sym__Nullable] = ACTIONS(6507),
    [anon_sym__Nullable_result] = ACTIONS(6507),
    [anon_sym__Null_unspecified] = ACTIONS(6507),
    [anon_sym___autoreleasing] = ACTIONS(6507),
    [anon_sym___block] = ACTIONS(6507),
    [anon_sym___bridge] = ACTIONS(6507),
    [anon_sym___bridge_retained] = ACTIONS(6507),
    [anon_sym___bridge_transfer] = ACTIONS(6507),
    [anon_sym___complex] = ACTIONS(6507),
    [anon_sym___const] = ACTIONS(6507),
    [anon_sym___imag] = ACTIONS(6507),
    [anon_sym___kindof] = ACTIONS(6507),
    [anon_sym___nonnull] = ACTIONS(6507),
    [anon_sym___nullable] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6507),
    [anon_sym___real] = ACTIONS(6507),
    [anon_sym___strong] = ACTIONS(6507),
    [anon_sym___unsafe_unretained] = ACTIONS(6507),
    [anon_sym___unused] = ACTIONS(6507),
    [anon_sym___weak] = ACTIONS(6507),
    [anon_sym_alignas] = ACTIONS(6507),
    [anon_sym__Alignas] = ACTIONS(6507),
    [sym_primitive_type] = ACTIONS(6507),
    [anon_sym_enum] = ACTIONS(6507),
    [anon_sym_struct] = ACTIONS(6507),
    [anon_sym_union] = ACTIONS(6507),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6507),
    [anon_sym___typeof] = ACTIONS(6507),
    [anon_sym_typeof] = ACTIONS(6507),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6507),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6507),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6507),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6507),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6507),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6507),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6507),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_API_AVAILABLE] = ACTIONS(6507),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_API_DEPRECATED] = ACTIONS(6507),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6507),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym___deprecated_msg] = ACTIONS(6507),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6507),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6507),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6507),
    [anon_sym_BOOL] = ACTIONS(6507),
    [anon_sym_IMP] = ACTIONS(6507),
    [anon_sym_SEL] = ACTIONS(6507),
    [anon_sym_Class] = ACTIONS(6507),
    [anon_sym_id] = ACTIONS(6507),
    [anon_sym_ATdefs] = ACTIONS(6509),
  },
  [2752] = {
    [sym_identifier] = ACTIONS(6507),
    [aux_sym_preproc_def_token1] = ACTIONS(6507),
    [aux_sym_preproc_if_token1] = ACTIONS(6507),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6507),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6507),
    [sym_preproc_directive] = ACTIONS(6507),
    [anon_sym___extension__] = ACTIONS(6507),
    [anon_sym_extern] = ACTIONS(6507),
    [anon_sym___attribute__] = ACTIONS(6507),
    [anon_sym___attribute] = ACTIONS(6507),
    [anon_sym_noreturn] = ACTIONS(6507),
    [anon_sym_LBRACK] = ACTIONS(6509),
    [anon_sym___declspec] = ACTIONS(6507),
    [anon_sym_RBRACE] = ACTIONS(6509),
    [anon_sym_signed] = ACTIONS(6507),
    [anon_sym_unsigned] = ACTIONS(6507),
    [anon_sym_long] = ACTIONS(6507),
    [anon_sym_short] = ACTIONS(6507),
    [anon_sym_static] = ACTIONS(6507),
    [anon_sym_auto] = ACTIONS(6507),
    [anon_sym_register] = ACTIONS(6507),
    [anon_sym_inline] = ACTIONS(6507),
    [anon_sym___inline] = ACTIONS(6507),
    [anon_sym___inline__] = ACTIONS(6507),
    [anon_sym___forceinline] = ACTIONS(6507),
    [anon_sym_thread_local] = ACTIONS(6507),
    [anon_sym___thread] = ACTIONS(6507),
    [anon_sym_CG_EXTERN] = ACTIONS(6507),
    [anon_sym_CG_INLINE] = ACTIONS(6507),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6507),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6507),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6507),
    [anon_sym_IBOutlet] = ACTIONS(6507),
    [anon_sym_IBInspectable] = ACTIONS(6507),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6507),
    [anon_sym_NS_INLINE] = ACTIONS(6507),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6507),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6507),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6507),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6507),
    [anon_sym_const] = ACTIONS(6507),
    [anon_sym_constexpr] = ACTIONS(6507),
    [anon_sym_volatile] = ACTIONS(6507),
    [anon_sym_restrict] = ACTIONS(6507),
    [anon_sym___restrict__] = ACTIONS(6507),
    [anon_sym__Atomic] = ACTIONS(6507),
    [anon_sym__Noreturn] = ACTIONS(6507),
    [anon_sym__Nonnull] = ACTIONS(6507),
    [anon_sym_nullable] = ACTIONS(6507),
    [anon_sym__Complex] = ACTIONS(6507),
    [anon_sym__Nullable] = ACTIONS(6507),
    [anon_sym__Nullable_result] = ACTIONS(6507),
    [anon_sym__Null_unspecified] = ACTIONS(6507),
    [anon_sym___autoreleasing] = ACTIONS(6507),
    [anon_sym___block] = ACTIONS(6507),
    [anon_sym___bridge] = ACTIONS(6507),
    [anon_sym___bridge_retained] = ACTIONS(6507),
    [anon_sym___bridge_transfer] = ACTIONS(6507),
    [anon_sym___complex] = ACTIONS(6507),
    [anon_sym___const] = ACTIONS(6507),
    [anon_sym___imag] = ACTIONS(6507),
    [anon_sym___kindof] = ACTIONS(6507),
    [anon_sym___nonnull] = ACTIONS(6507),
    [anon_sym___nullable] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6507),
    [anon_sym___real] = ACTIONS(6507),
    [anon_sym___strong] = ACTIONS(6507),
    [anon_sym___unsafe_unretained] = ACTIONS(6507),
    [anon_sym___unused] = ACTIONS(6507),
    [anon_sym___weak] = ACTIONS(6507),
    [anon_sym_alignas] = ACTIONS(6507),
    [anon_sym__Alignas] = ACTIONS(6507),
    [sym_primitive_type] = ACTIONS(6507),
    [anon_sym_enum] = ACTIONS(6507),
    [anon_sym_struct] = ACTIONS(6507),
    [anon_sym_union] = ACTIONS(6507),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6507),
    [anon_sym___typeof] = ACTIONS(6507),
    [anon_sym_typeof] = ACTIONS(6507),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6507),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6507),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6507),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6507),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6507),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6507),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6507),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_API_AVAILABLE] = ACTIONS(6507),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_API_DEPRECATED] = ACTIONS(6507),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6507),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym___deprecated_msg] = ACTIONS(6507),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6507),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6507),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6507),
    [anon_sym_BOOL] = ACTIONS(6507),
    [anon_sym_IMP] = ACTIONS(6507),
    [anon_sym_SEL] = ACTIONS(6507),
    [anon_sym_Class] = ACTIONS(6507),
    [anon_sym_id] = ACTIONS(6507),
    [anon_sym_ATdefs] = ACTIONS(6509),
  },
  [2753] = {
    [sym_identifier] = ACTIONS(6563),
    [aux_sym_preproc_def_token1] = ACTIONS(6563),
    [aux_sym_preproc_if_token1] = ACTIONS(6563),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6563),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6563),
    [sym_preproc_directive] = ACTIONS(6563),
    [anon_sym___extension__] = ACTIONS(6563),
    [anon_sym_extern] = ACTIONS(6563),
    [anon_sym___attribute__] = ACTIONS(6563),
    [anon_sym___attribute] = ACTIONS(6563),
    [anon_sym_noreturn] = ACTIONS(6563),
    [anon_sym_LBRACK] = ACTIONS(6565),
    [anon_sym___declspec] = ACTIONS(6563),
    [anon_sym_RBRACE] = ACTIONS(6565),
    [anon_sym_signed] = ACTIONS(6563),
    [anon_sym_unsigned] = ACTIONS(6563),
    [anon_sym_long] = ACTIONS(6563),
    [anon_sym_short] = ACTIONS(6563),
    [anon_sym_static] = ACTIONS(6563),
    [anon_sym_auto] = ACTIONS(6563),
    [anon_sym_register] = ACTIONS(6563),
    [anon_sym_inline] = ACTIONS(6563),
    [anon_sym___inline] = ACTIONS(6563),
    [anon_sym___inline__] = ACTIONS(6563),
    [anon_sym___forceinline] = ACTIONS(6563),
    [anon_sym_thread_local] = ACTIONS(6563),
    [anon_sym___thread] = ACTIONS(6563),
    [anon_sym_CG_EXTERN] = ACTIONS(6563),
    [anon_sym_CG_INLINE] = ACTIONS(6563),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6563),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6563),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6563),
    [anon_sym_IBOutlet] = ACTIONS(6563),
    [anon_sym_IBInspectable] = ACTIONS(6563),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6563),
    [anon_sym_NS_INLINE] = ACTIONS(6563),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6563),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6563),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6563),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6563),
    [anon_sym_const] = ACTIONS(6563),
    [anon_sym_constexpr] = ACTIONS(6563),
    [anon_sym_volatile] = ACTIONS(6563),
    [anon_sym_restrict] = ACTIONS(6563),
    [anon_sym___restrict__] = ACTIONS(6563),
    [anon_sym__Atomic] = ACTIONS(6563),
    [anon_sym__Noreturn] = ACTIONS(6563),
    [anon_sym__Nonnull] = ACTIONS(6563),
    [anon_sym_nullable] = ACTIONS(6563),
    [anon_sym__Complex] = ACTIONS(6563),
    [anon_sym__Nullable] = ACTIONS(6563),
    [anon_sym__Nullable_result] = ACTIONS(6563),
    [anon_sym__Null_unspecified] = ACTIONS(6563),
    [anon_sym___autoreleasing] = ACTIONS(6563),
    [anon_sym___block] = ACTIONS(6563),
    [anon_sym___bridge] = ACTIONS(6563),
    [anon_sym___bridge_retained] = ACTIONS(6563),
    [anon_sym___bridge_transfer] = ACTIONS(6563),
    [anon_sym___complex] = ACTIONS(6563),
    [anon_sym___const] = ACTIONS(6563),
    [anon_sym___imag] = ACTIONS(6563),
    [anon_sym___kindof] = ACTIONS(6563),
    [anon_sym___nonnull] = ACTIONS(6563),
    [anon_sym___nullable] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6563),
    [anon_sym___real] = ACTIONS(6563),
    [anon_sym___strong] = ACTIONS(6563),
    [anon_sym___unsafe_unretained] = ACTIONS(6563),
    [anon_sym___unused] = ACTIONS(6563),
    [anon_sym___weak] = ACTIONS(6563),
    [anon_sym_alignas] = ACTIONS(6563),
    [anon_sym__Alignas] = ACTIONS(6563),
    [sym_primitive_type] = ACTIONS(6563),
    [anon_sym_enum] = ACTIONS(6563),
    [anon_sym_struct] = ACTIONS(6563),
    [anon_sym_union] = ACTIONS(6563),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6563),
    [anon_sym___typeof] = ACTIONS(6563),
    [anon_sym_typeof] = ACTIONS(6563),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6563),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6563),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6563),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6563),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6563),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6563),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6563),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_API_AVAILABLE] = ACTIONS(6563),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_API_DEPRECATED] = ACTIONS(6563),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6563),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym___deprecated_msg] = ACTIONS(6563),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6563),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6563),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6563),
    [anon_sym_BOOL] = ACTIONS(6563),
    [anon_sym_IMP] = ACTIONS(6563),
    [anon_sym_SEL] = ACTIONS(6563),
    [anon_sym_Class] = ACTIONS(6563),
    [anon_sym_id] = ACTIONS(6563),
    [anon_sym_ATdefs] = ACTIONS(6565),
  },
  [2754] = {
    [sym_identifier] = ACTIONS(6499),
    [aux_sym_preproc_def_token1] = ACTIONS(6499),
    [aux_sym_preproc_if_token1] = ACTIONS(6499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6499),
    [sym_preproc_directive] = ACTIONS(6499),
    [anon_sym___extension__] = ACTIONS(6499),
    [anon_sym_extern] = ACTIONS(6499),
    [anon_sym___attribute__] = ACTIONS(6499),
    [anon_sym___attribute] = ACTIONS(6499),
    [anon_sym_noreturn] = ACTIONS(6499),
    [anon_sym_LBRACK] = ACTIONS(6501),
    [anon_sym___declspec] = ACTIONS(6499),
    [anon_sym_RBRACE] = ACTIONS(6501),
    [anon_sym_signed] = ACTIONS(6499),
    [anon_sym_unsigned] = ACTIONS(6499),
    [anon_sym_long] = ACTIONS(6499),
    [anon_sym_short] = ACTIONS(6499),
    [anon_sym_static] = ACTIONS(6499),
    [anon_sym_auto] = ACTIONS(6499),
    [anon_sym_register] = ACTIONS(6499),
    [anon_sym_inline] = ACTIONS(6499),
    [anon_sym___inline] = ACTIONS(6499),
    [anon_sym___inline__] = ACTIONS(6499),
    [anon_sym___forceinline] = ACTIONS(6499),
    [anon_sym_thread_local] = ACTIONS(6499),
    [anon_sym___thread] = ACTIONS(6499),
    [anon_sym_CG_EXTERN] = ACTIONS(6499),
    [anon_sym_CG_INLINE] = ACTIONS(6499),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6499),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6499),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6499),
    [anon_sym_IBOutlet] = ACTIONS(6499),
    [anon_sym_IBInspectable] = ACTIONS(6499),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6499),
    [anon_sym_NS_INLINE] = ACTIONS(6499),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6499),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6499),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6499),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6499),
    [anon_sym_const] = ACTIONS(6499),
    [anon_sym_constexpr] = ACTIONS(6499),
    [anon_sym_volatile] = ACTIONS(6499),
    [anon_sym_restrict] = ACTIONS(6499),
    [anon_sym___restrict__] = ACTIONS(6499),
    [anon_sym__Atomic] = ACTIONS(6499),
    [anon_sym__Noreturn] = ACTIONS(6499),
    [anon_sym__Nonnull] = ACTIONS(6499),
    [anon_sym_nullable] = ACTIONS(6499),
    [anon_sym__Complex] = ACTIONS(6499),
    [anon_sym__Nullable] = ACTIONS(6499),
    [anon_sym__Nullable_result] = ACTIONS(6499),
    [anon_sym__Null_unspecified] = ACTIONS(6499),
    [anon_sym___autoreleasing] = ACTIONS(6499),
    [anon_sym___block] = ACTIONS(6499),
    [anon_sym___bridge] = ACTIONS(6499),
    [anon_sym___bridge_retained] = ACTIONS(6499),
    [anon_sym___bridge_transfer] = ACTIONS(6499),
    [anon_sym___complex] = ACTIONS(6499),
    [anon_sym___const] = ACTIONS(6499),
    [anon_sym___imag] = ACTIONS(6499),
    [anon_sym___kindof] = ACTIONS(6499),
    [anon_sym___nonnull] = ACTIONS(6499),
    [anon_sym___nullable] = ACTIONS(6499),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6499),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6499),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6499),
    [anon_sym___real] = ACTIONS(6499),
    [anon_sym___strong] = ACTIONS(6499),
    [anon_sym___unsafe_unretained] = ACTIONS(6499),
    [anon_sym___unused] = ACTIONS(6499),
    [anon_sym___weak] = ACTIONS(6499),
    [anon_sym_alignas] = ACTIONS(6499),
    [anon_sym__Alignas] = ACTIONS(6499),
    [sym_primitive_type] = ACTIONS(6499),
    [anon_sym_enum] = ACTIONS(6499),
    [anon_sym_struct] = ACTIONS(6499),
    [anon_sym_union] = ACTIONS(6499),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6499),
    [anon_sym___typeof] = ACTIONS(6499),
    [anon_sym_typeof] = ACTIONS(6499),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6499),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6499),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6499),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6499),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6499),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6499),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6499),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6499),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6499),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6499),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6499),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6499),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6499),
    [anon_sym_API_AVAILABLE] = ACTIONS(6499),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6499),
    [anon_sym_API_DEPRECATED] = ACTIONS(6499),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6499),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6499),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6499),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6499),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6499),
    [anon_sym___deprecated_msg] = ACTIONS(6499),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6499),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6499),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6499),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6499),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6499),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6499),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6499),
    [anon_sym_BOOL] = ACTIONS(6499),
    [anon_sym_IMP] = ACTIONS(6499),
    [anon_sym_SEL] = ACTIONS(6499),
    [anon_sym_Class] = ACTIONS(6499),
    [anon_sym_id] = ACTIONS(6499),
    [anon_sym_ATdefs] = ACTIONS(6501),
  },
  [2755] = {
    [sym_identifier] = ACTIONS(6603),
    [aux_sym_preproc_def_token1] = ACTIONS(6603),
    [aux_sym_preproc_if_token1] = ACTIONS(6603),
    [aux_sym_preproc_if_token2] = ACTIONS(6603),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6603),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6603),
    [sym_preproc_directive] = ACTIONS(6603),
    [anon_sym___extension__] = ACTIONS(6603),
    [anon_sym_extern] = ACTIONS(6603),
    [anon_sym___attribute__] = ACTIONS(6603),
    [anon_sym___attribute] = ACTIONS(6603),
    [anon_sym_noreturn] = ACTIONS(6603),
    [anon_sym_LBRACK] = ACTIONS(6605),
    [anon_sym___declspec] = ACTIONS(6603),
    [anon_sym_signed] = ACTIONS(6603),
    [anon_sym_unsigned] = ACTIONS(6603),
    [anon_sym_long] = ACTIONS(6603),
    [anon_sym_short] = ACTIONS(6603),
    [anon_sym_static] = ACTIONS(6603),
    [anon_sym_auto] = ACTIONS(6603),
    [anon_sym_register] = ACTIONS(6603),
    [anon_sym_inline] = ACTIONS(6603),
    [anon_sym___inline] = ACTIONS(6603),
    [anon_sym___inline__] = ACTIONS(6603),
    [anon_sym___forceinline] = ACTIONS(6603),
    [anon_sym_thread_local] = ACTIONS(6603),
    [anon_sym___thread] = ACTIONS(6603),
    [anon_sym_CG_EXTERN] = ACTIONS(6603),
    [anon_sym_CG_INLINE] = ACTIONS(6603),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6603),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6603),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6603),
    [anon_sym_IBOutlet] = ACTIONS(6603),
    [anon_sym_IBInspectable] = ACTIONS(6603),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6603),
    [anon_sym_NS_INLINE] = ACTIONS(6603),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6603),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6603),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6603),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6603),
    [anon_sym_const] = ACTIONS(6603),
    [anon_sym_constexpr] = ACTIONS(6603),
    [anon_sym_volatile] = ACTIONS(6603),
    [anon_sym_restrict] = ACTIONS(6603),
    [anon_sym___restrict__] = ACTIONS(6603),
    [anon_sym__Atomic] = ACTIONS(6603),
    [anon_sym__Noreturn] = ACTIONS(6603),
    [anon_sym__Nonnull] = ACTIONS(6603),
    [anon_sym_nullable] = ACTIONS(6603),
    [anon_sym__Complex] = ACTIONS(6603),
    [anon_sym__Nullable] = ACTIONS(6603),
    [anon_sym__Nullable_result] = ACTIONS(6603),
    [anon_sym__Null_unspecified] = ACTIONS(6603),
    [anon_sym___autoreleasing] = ACTIONS(6603),
    [anon_sym___block] = ACTIONS(6603),
    [anon_sym___bridge] = ACTIONS(6603),
    [anon_sym___bridge_retained] = ACTIONS(6603),
    [anon_sym___bridge_transfer] = ACTIONS(6603),
    [anon_sym___complex] = ACTIONS(6603),
    [anon_sym___const] = ACTIONS(6603),
    [anon_sym___imag] = ACTIONS(6603),
    [anon_sym___kindof] = ACTIONS(6603),
    [anon_sym___nonnull] = ACTIONS(6603),
    [anon_sym___nullable] = ACTIONS(6603),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6603),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6603),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6603),
    [anon_sym___real] = ACTIONS(6603),
    [anon_sym___strong] = ACTIONS(6603),
    [anon_sym___unsafe_unretained] = ACTIONS(6603),
    [anon_sym___unused] = ACTIONS(6603),
    [anon_sym___weak] = ACTIONS(6603),
    [anon_sym_alignas] = ACTIONS(6603),
    [anon_sym__Alignas] = ACTIONS(6603),
    [sym_primitive_type] = ACTIONS(6603),
    [anon_sym_enum] = ACTIONS(6603),
    [anon_sym_struct] = ACTIONS(6603),
    [anon_sym_union] = ACTIONS(6603),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6603),
    [anon_sym___typeof] = ACTIONS(6603),
    [anon_sym_typeof] = ACTIONS(6603),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6603),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6603),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6603),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6603),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6603),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6603),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6603),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6603),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6603),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6603),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6603),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6603),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6603),
    [anon_sym_API_AVAILABLE] = ACTIONS(6603),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6603),
    [anon_sym_API_DEPRECATED] = ACTIONS(6603),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6603),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6603),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6603),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6603),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6603),
    [anon_sym___deprecated_msg] = ACTIONS(6603),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6603),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6603),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6603),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6603),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6603),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6603),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6603),
    [anon_sym_BOOL] = ACTIONS(6603),
    [anon_sym_IMP] = ACTIONS(6603),
    [anon_sym_SEL] = ACTIONS(6603),
    [anon_sym_Class] = ACTIONS(6603),
    [anon_sym_id] = ACTIONS(6603),
    [anon_sym_ATdefs] = ACTIONS(6605),
  },
  [2756] = {
    [sym_keyword_declarator] = STATE(2756),
    [aux_sym_keyword_selector_repeat1] = STATE(2756),
    [sym_identifier] = ACTIONS(6742),
    [anon_sym_COMMA] = ACTIONS(6745),
    [anon_sym_SEMI] = ACTIONS(6747),
    [anon_sym___extension__] = ACTIONS(6750),
    [anon_sym_extern] = ACTIONS(6750),
    [anon_sym___attribute__] = ACTIONS(6750),
    [anon_sym___attribute] = ACTIONS(6750),
    [anon_sym_noreturn] = ACTIONS(6750),
    [anon_sym_LBRACK] = ACTIONS(6745),
    [anon_sym___declspec] = ACTIONS(6750),
    [anon_sym_LBRACE] = ACTIONS(6745),
    [anon_sym_signed] = ACTIONS(6750),
    [anon_sym_unsigned] = ACTIONS(6750),
    [anon_sym_long] = ACTIONS(6750),
    [anon_sym_short] = ACTIONS(6750),
    [anon_sym_static] = ACTIONS(6750),
    [anon_sym_ATautoreleasepool] = ACTIONS(6745),
    [anon_sym_auto] = ACTIONS(6750),
    [anon_sym_register] = ACTIONS(6750),
    [anon_sym_inline] = ACTIONS(6750),
    [anon_sym___inline] = ACTIONS(6750),
    [anon_sym___inline__] = ACTIONS(6750),
    [anon_sym___forceinline] = ACTIONS(6750),
    [anon_sym_thread_local] = ACTIONS(6750),
    [anon_sym___thread] = ACTIONS(6750),
    [anon_sym_CG_EXTERN] = ACTIONS(6750),
    [anon_sym_CG_INLINE] = ACTIONS(6750),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6750),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6750),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6750),
    [anon_sym_IBOutlet] = ACTIONS(6750),
    [anon_sym_IBInspectable] = ACTIONS(6750),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6750),
    [anon_sym_NS_INLINE] = ACTIONS(6750),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6750),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6750),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6750),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6750),
    [anon_sym_const] = ACTIONS(6750),
    [anon_sym_constexpr] = ACTIONS(6750),
    [anon_sym_volatile] = ACTIONS(6750),
    [anon_sym_restrict] = ACTIONS(6750),
    [anon_sym___restrict__] = ACTIONS(6750),
    [anon_sym__Atomic] = ACTIONS(6750),
    [anon_sym__Noreturn] = ACTIONS(6750),
    [anon_sym__Nonnull] = ACTIONS(6750),
    [anon_sym_nullable] = ACTIONS(6750),
    [anon_sym__Complex] = ACTIONS(6750),
    [anon_sym__Nullable] = ACTIONS(6750),
    [anon_sym__Nullable_result] = ACTIONS(6750),
    [anon_sym__Null_unspecified] = ACTIONS(6750),
    [anon_sym___autoreleasing] = ACTIONS(6750),
    [anon_sym___block] = ACTIONS(6750),
    [anon_sym___bridge] = ACTIONS(6750),
    [anon_sym___bridge_retained] = ACTIONS(6750),
    [anon_sym___bridge_transfer] = ACTIONS(6750),
    [anon_sym___complex] = ACTIONS(6750),
    [anon_sym___const] = ACTIONS(6750),
    [anon_sym___imag] = ACTIONS(6750),
    [anon_sym___kindof] = ACTIONS(6750),
    [anon_sym___nonnull] = ACTIONS(6750),
    [anon_sym___nullable] = ACTIONS(6750),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6750),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6750),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6750),
    [anon_sym___real] = ACTIONS(6750),
    [anon_sym___strong] = ACTIONS(6750),
    [anon_sym___unsafe_unretained] = ACTIONS(6750),
    [anon_sym___unused] = ACTIONS(6750),
    [anon_sym___weak] = ACTIONS(6750),
    [anon_sym_alignas] = ACTIONS(6750),
    [anon_sym__Alignas] = ACTIONS(6750),
    [sym_primitive_type] = ACTIONS(6750),
    [anon_sym_enum] = ACTIONS(6750),
    [anon_sym_COLON] = ACTIONS(6745),
    [anon_sym_struct] = ACTIONS(6750),
    [anon_sym_union] = ACTIONS(6750),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6750),
    [anon_sym___typeof] = ACTIONS(6750),
    [anon_sym_typeof] = ACTIONS(6750),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6750),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6750),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6750),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6750),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6750),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6750),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6750),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6750),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6750),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6750),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6750),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6750),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6750),
    [anon_sym_API_AVAILABLE] = ACTIONS(6750),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6750),
    [anon_sym_API_DEPRECATED] = ACTIONS(6750),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6750),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6750),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6750),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6750),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6750),
    [anon_sym___deprecated_msg] = ACTIONS(6750),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6750),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6750),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6750),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6750),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6750),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6750),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6750),
    [anon_sym_BOOL] = ACTIONS(6750),
    [anon_sym_IMP] = ACTIONS(6750),
    [anon_sym_SEL] = ACTIONS(6750),
    [anon_sym_Class] = ACTIONS(6750),
    [anon_sym_id] = ACTIONS(6750),
  },
  [2757] = {
    [sym_identifier] = ACTIONS(6607),
    [aux_sym_preproc_def_token1] = ACTIONS(6607),
    [aux_sym_preproc_if_token1] = ACTIONS(6607),
    [aux_sym_preproc_if_token2] = ACTIONS(6607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6607),
    [sym_preproc_directive] = ACTIONS(6607),
    [anon_sym___extension__] = ACTIONS(6607),
    [anon_sym_extern] = ACTIONS(6607),
    [anon_sym___attribute__] = ACTIONS(6607),
    [anon_sym___attribute] = ACTIONS(6607),
    [anon_sym_noreturn] = ACTIONS(6607),
    [anon_sym_LBRACK] = ACTIONS(6609),
    [anon_sym___declspec] = ACTIONS(6607),
    [anon_sym_signed] = ACTIONS(6607),
    [anon_sym_unsigned] = ACTIONS(6607),
    [anon_sym_long] = ACTIONS(6607),
    [anon_sym_short] = ACTIONS(6607),
    [anon_sym_static] = ACTIONS(6607),
    [anon_sym_auto] = ACTIONS(6607),
    [anon_sym_register] = ACTIONS(6607),
    [anon_sym_inline] = ACTIONS(6607),
    [anon_sym___inline] = ACTIONS(6607),
    [anon_sym___inline__] = ACTIONS(6607),
    [anon_sym___forceinline] = ACTIONS(6607),
    [anon_sym_thread_local] = ACTIONS(6607),
    [anon_sym___thread] = ACTIONS(6607),
    [anon_sym_CG_EXTERN] = ACTIONS(6607),
    [anon_sym_CG_INLINE] = ACTIONS(6607),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6607),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6607),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6607),
    [anon_sym_IBOutlet] = ACTIONS(6607),
    [anon_sym_IBInspectable] = ACTIONS(6607),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6607),
    [anon_sym_NS_INLINE] = ACTIONS(6607),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6607),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6607),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6607),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6607),
    [anon_sym_const] = ACTIONS(6607),
    [anon_sym_constexpr] = ACTIONS(6607),
    [anon_sym_volatile] = ACTIONS(6607),
    [anon_sym_restrict] = ACTIONS(6607),
    [anon_sym___restrict__] = ACTIONS(6607),
    [anon_sym__Atomic] = ACTIONS(6607),
    [anon_sym__Noreturn] = ACTIONS(6607),
    [anon_sym__Nonnull] = ACTIONS(6607),
    [anon_sym_nullable] = ACTIONS(6607),
    [anon_sym__Complex] = ACTIONS(6607),
    [anon_sym__Nullable] = ACTIONS(6607),
    [anon_sym__Nullable_result] = ACTIONS(6607),
    [anon_sym__Null_unspecified] = ACTIONS(6607),
    [anon_sym___autoreleasing] = ACTIONS(6607),
    [anon_sym___block] = ACTIONS(6607),
    [anon_sym___bridge] = ACTIONS(6607),
    [anon_sym___bridge_retained] = ACTIONS(6607),
    [anon_sym___bridge_transfer] = ACTIONS(6607),
    [anon_sym___complex] = ACTIONS(6607),
    [anon_sym___const] = ACTIONS(6607),
    [anon_sym___imag] = ACTIONS(6607),
    [anon_sym___kindof] = ACTIONS(6607),
    [anon_sym___nonnull] = ACTIONS(6607),
    [anon_sym___nullable] = ACTIONS(6607),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6607),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6607),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6607),
    [anon_sym___real] = ACTIONS(6607),
    [anon_sym___strong] = ACTIONS(6607),
    [anon_sym___unsafe_unretained] = ACTIONS(6607),
    [anon_sym___unused] = ACTIONS(6607),
    [anon_sym___weak] = ACTIONS(6607),
    [anon_sym_alignas] = ACTIONS(6607),
    [anon_sym__Alignas] = ACTIONS(6607),
    [sym_primitive_type] = ACTIONS(6607),
    [anon_sym_enum] = ACTIONS(6607),
    [anon_sym_struct] = ACTIONS(6607),
    [anon_sym_union] = ACTIONS(6607),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6607),
    [anon_sym___typeof] = ACTIONS(6607),
    [anon_sym_typeof] = ACTIONS(6607),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6607),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6607),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6607),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6607),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6607),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6607),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6607),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6607),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6607),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6607),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6607),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6607),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6607),
    [anon_sym_API_AVAILABLE] = ACTIONS(6607),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6607),
    [anon_sym_API_DEPRECATED] = ACTIONS(6607),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6607),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6607),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6607),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6607),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6607),
    [anon_sym___deprecated_msg] = ACTIONS(6607),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6607),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6607),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6607),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6607),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6607),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6607),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6607),
    [anon_sym_BOOL] = ACTIONS(6607),
    [anon_sym_IMP] = ACTIONS(6607),
    [anon_sym_SEL] = ACTIONS(6607),
    [anon_sym_Class] = ACTIONS(6607),
    [anon_sym_id] = ACTIONS(6607),
    [anon_sym_ATdefs] = ACTIONS(6609),
  },
  [2758] = {
    [sym_identifier] = ACTIONS(6611),
    [aux_sym_preproc_def_token1] = ACTIONS(6611),
    [aux_sym_preproc_if_token1] = ACTIONS(6611),
    [aux_sym_preproc_if_token2] = ACTIONS(6611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6611),
    [sym_preproc_directive] = ACTIONS(6611),
    [anon_sym___extension__] = ACTIONS(6611),
    [anon_sym_extern] = ACTIONS(6611),
    [anon_sym___attribute__] = ACTIONS(6611),
    [anon_sym___attribute] = ACTIONS(6611),
    [anon_sym_noreturn] = ACTIONS(6611),
    [anon_sym_LBRACK] = ACTIONS(6613),
    [anon_sym___declspec] = ACTIONS(6611),
    [anon_sym_signed] = ACTIONS(6611),
    [anon_sym_unsigned] = ACTIONS(6611),
    [anon_sym_long] = ACTIONS(6611),
    [anon_sym_short] = ACTIONS(6611),
    [anon_sym_static] = ACTIONS(6611),
    [anon_sym_auto] = ACTIONS(6611),
    [anon_sym_register] = ACTIONS(6611),
    [anon_sym_inline] = ACTIONS(6611),
    [anon_sym___inline] = ACTIONS(6611),
    [anon_sym___inline__] = ACTIONS(6611),
    [anon_sym___forceinline] = ACTIONS(6611),
    [anon_sym_thread_local] = ACTIONS(6611),
    [anon_sym___thread] = ACTIONS(6611),
    [anon_sym_CG_EXTERN] = ACTIONS(6611),
    [anon_sym_CG_INLINE] = ACTIONS(6611),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6611),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6611),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6611),
    [anon_sym_IBOutlet] = ACTIONS(6611),
    [anon_sym_IBInspectable] = ACTIONS(6611),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6611),
    [anon_sym_NS_INLINE] = ACTIONS(6611),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6611),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6611),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6611),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6611),
    [anon_sym_const] = ACTIONS(6611),
    [anon_sym_constexpr] = ACTIONS(6611),
    [anon_sym_volatile] = ACTIONS(6611),
    [anon_sym_restrict] = ACTIONS(6611),
    [anon_sym___restrict__] = ACTIONS(6611),
    [anon_sym__Atomic] = ACTIONS(6611),
    [anon_sym__Noreturn] = ACTIONS(6611),
    [anon_sym__Nonnull] = ACTIONS(6611),
    [anon_sym_nullable] = ACTIONS(6611),
    [anon_sym__Complex] = ACTIONS(6611),
    [anon_sym__Nullable] = ACTIONS(6611),
    [anon_sym__Nullable_result] = ACTIONS(6611),
    [anon_sym__Null_unspecified] = ACTIONS(6611),
    [anon_sym___autoreleasing] = ACTIONS(6611),
    [anon_sym___block] = ACTIONS(6611),
    [anon_sym___bridge] = ACTIONS(6611),
    [anon_sym___bridge_retained] = ACTIONS(6611),
    [anon_sym___bridge_transfer] = ACTIONS(6611),
    [anon_sym___complex] = ACTIONS(6611),
    [anon_sym___const] = ACTIONS(6611),
    [anon_sym___imag] = ACTIONS(6611),
    [anon_sym___kindof] = ACTIONS(6611),
    [anon_sym___nonnull] = ACTIONS(6611),
    [anon_sym___nullable] = ACTIONS(6611),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6611),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6611),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6611),
    [anon_sym___real] = ACTIONS(6611),
    [anon_sym___strong] = ACTIONS(6611),
    [anon_sym___unsafe_unretained] = ACTIONS(6611),
    [anon_sym___unused] = ACTIONS(6611),
    [anon_sym___weak] = ACTIONS(6611),
    [anon_sym_alignas] = ACTIONS(6611),
    [anon_sym__Alignas] = ACTIONS(6611),
    [sym_primitive_type] = ACTIONS(6611),
    [anon_sym_enum] = ACTIONS(6611),
    [anon_sym_struct] = ACTIONS(6611),
    [anon_sym_union] = ACTIONS(6611),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6611),
    [anon_sym___typeof] = ACTIONS(6611),
    [anon_sym_typeof] = ACTIONS(6611),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6611),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6611),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6611),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6611),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6611),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6611),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6611),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6611),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6611),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6611),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6611),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6611),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6611),
    [anon_sym_API_AVAILABLE] = ACTIONS(6611),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6611),
    [anon_sym_API_DEPRECATED] = ACTIONS(6611),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6611),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6611),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6611),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6611),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6611),
    [anon_sym___deprecated_msg] = ACTIONS(6611),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6611),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6611),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6611),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6611),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6611),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6611),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6611),
    [anon_sym_BOOL] = ACTIONS(6611),
    [anon_sym_IMP] = ACTIONS(6611),
    [anon_sym_SEL] = ACTIONS(6611),
    [anon_sym_Class] = ACTIONS(6611),
    [anon_sym_id] = ACTIONS(6611),
    [anon_sym_ATdefs] = ACTIONS(6613),
  },
  [2759] = {
    [sym_parameter_list] = STATE(2572),
    [sym_identifier] = ACTIONS(6752),
    [anon_sym_COMMA] = ACTIONS(6754),
    [anon_sym_LPAREN2] = ACTIONS(6687),
    [anon_sym_SEMI] = ACTIONS(6754),
    [anon_sym___extension__] = ACTIONS(6752),
    [anon_sym_extern] = ACTIONS(6752),
    [anon_sym___attribute__] = ACTIONS(6752),
    [anon_sym___attribute] = ACTIONS(6752),
    [anon_sym_noreturn] = ACTIONS(6752),
    [anon_sym_LBRACK] = ACTIONS(6689),
    [anon_sym___declspec] = ACTIONS(6752),
    [anon_sym_LBRACE] = ACTIONS(6754),
    [anon_sym_signed] = ACTIONS(6752),
    [anon_sym_unsigned] = ACTIONS(6752),
    [anon_sym_long] = ACTIONS(6752),
    [anon_sym_short] = ACTIONS(6752),
    [anon_sym_static] = ACTIONS(6752),
    [anon_sym_EQ] = ACTIONS(6754),
    [anon_sym_ATautoreleasepool] = ACTIONS(6754),
    [anon_sym_auto] = ACTIONS(6752),
    [anon_sym_register] = ACTIONS(6752),
    [anon_sym_inline] = ACTIONS(6752),
    [anon_sym___inline] = ACTIONS(6752),
    [anon_sym___inline__] = ACTIONS(6752),
    [anon_sym___forceinline] = ACTIONS(6752),
    [anon_sym_thread_local] = ACTIONS(6752),
    [anon_sym___thread] = ACTIONS(6752),
    [anon_sym_CG_EXTERN] = ACTIONS(6752),
    [anon_sym_CG_INLINE] = ACTIONS(6752),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6752),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6752),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6752),
    [anon_sym_IBOutlet] = ACTIONS(6752),
    [anon_sym_IBInspectable] = ACTIONS(6752),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6752),
    [anon_sym_NS_INLINE] = ACTIONS(6752),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6752),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6752),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6752),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6752),
    [anon_sym_const] = ACTIONS(6752),
    [anon_sym_constexpr] = ACTIONS(6752),
    [anon_sym_volatile] = ACTIONS(6752),
    [anon_sym_restrict] = ACTIONS(6752),
    [anon_sym___restrict__] = ACTIONS(6752),
    [anon_sym__Atomic] = ACTIONS(6752),
    [anon_sym__Noreturn] = ACTIONS(6752),
    [anon_sym__Nonnull] = ACTIONS(6752),
    [anon_sym_nullable] = ACTIONS(6752),
    [anon_sym__Complex] = ACTIONS(6752),
    [anon_sym__Nullable] = ACTIONS(6752),
    [anon_sym__Nullable_result] = ACTIONS(6752),
    [anon_sym__Null_unspecified] = ACTIONS(6752),
    [anon_sym___autoreleasing] = ACTIONS(6752),
    [anon_sym___block] = ACTIONS(6752),
    [anon_sym___bridge] = ACTIONS(6752),
    [anon_sym___bridge_retained] = ACTIONS(6752),
    [anon_sym___bridge_transfer] = ACTIONS(6752),
    [anon_sym___complex] = ACTIONS(6752),
    [anon_sym___const] = ACTIONS(6752),
    [anon_sym___imag] = ACTIONS(6752),
    [anon_sym___kindof] = ACTIONS(6752),
    [anon_sym___nonnull] = ACTIONS(6752),
    [anon_sym___nullable] = ACTIONS(6752),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6752),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6752),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6752),
    [anon_sym___real] = ACTIONS(6752),
    [anon_sym___strong] = ACTIONS(6752),
    [anon_sym___unsafe_unretained] = ACTIONS(6752),
    [anon_sym___unused] = ACTIONS(6752),
    [anon_sym___weak] = ACTIONS(6752),
    [anon_sym_alignas] = ACTIONS(6752),
    [anon_sym__Alignas] = ACTIONS(6752),
    [sym_primitive_type] = ACTIONS(6752),
    [anon_sym_enum] = ACTIONS(6752),
    [anon_sym_struct] = ACTIONS(6752),
    [anon_sym_union] = ACTIONS(6752),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6752),
    [anon_sym___typeof] = ACTIONS(6752),
    [anon_sym_typeof] = ACTIONS(6752),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6752),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6752),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6752),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6752),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6752),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6752),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6752),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6752),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6752),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6752),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6752),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6752),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6752),
    [anon_sym_API_AVAILABLE] = ACTIONS(6752),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6752),
    [anon_sym_API_DEPRECATED] = ACTIONS(6752),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6752),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6752),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6752),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6752),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6752),
    [anon_sym___deprecated_msg] = ACTIONS(6752),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6752),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6752),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6752),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6752),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6752),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6752),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6752),
    [anon_sym_BOOL] = ACTIONS(6752),
    [anon_sym_IMP] = ACTIONS(6752),
    [anon_sym_SEL] = ACTIONS(6752),
    [anon_sym_Class] = ACTIONS(6752),
    [anon_sym_id] = ACTIONS(6752),
  },
  [2760] = {
    [sym_identifier] = ACTIONS(6615),
    [aux_sym_preproc_def_token1] = ACTIONS(6615),
    [aux_sym_preproc_if_token1] = ACTIONS(6615),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6615),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6615),
    [sym_preproc_directive] = ACTIONS(6615),
    [anon_sym___extension__] = ACTIONS(6615),
    [anon_sym_extern] = ACTIONS(6615),
    [anon_sym___attribute__] = ACTIONS(6615),
    [anon_sym___attribute] = ACTIONS(6615),
    [anon_sym_noreturn] = ACTIONS(6615),
    [anon_sym_LBRACK] = ACTIONS(6617),
    [anon_sym___declspec] = ACTIONS(6615),
    [anon_sym_RBRACE] = ACTIONS(6617),
    [anon_sym_signed] = ACTIONS(6615),
    [anon_sym_unsigned] = ACTIONS(6615),
    [anon_sym_long] = ACTIONS(6615),
    [anon_sym_short] = ACTIONS(6615),
    [anon_sym_static] = ACTIONS(6615),
    [anon_sym_auto] = ACTIONS(6615),
    [anon_sym_register] = ACTIONS(6615),
    [anon_sym_inline] = ACTIONS(6615),
    [anon_sym___inline] = ACTIONS(6615),
    [anon_sym___inline__] = ACTIONS(6615),
    [anon_sym___forceinline] = ACTIONS(6615),
    [anon_sym_thread_local] = ACTIONS(6615),
    [anon_sym___thread] = ACTIONS(6615),
    [anon_sym_CG_EXTERN] = ACTIONS(6615),
    [anon_sym_CG_INLINE] = ACTIONS(6615),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6615),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6615),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6615),
    [anon_sym_IBOutlet] = ACTIONS(6615),
    [anon_sym_IBInspectable] = ACTIONS(6615),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6615),
    [anon_sym_NS_INLINE] = ACTIONS(6615),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6615),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6615),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6615),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6615),
    [anon_sym_const] = ACTIONS(6615),
    [anon_sym_constexpr] = ACTIONS(6615),
    [anon_sym_volatile] = ACTIONS(6615),
    [anon_sym_restrict] = ACTIONS(6615),
    [anon_sym___restrict__] = ACTIONS(6615),
    [anon_sym__Atomic] = ACTIONS(6615),
    [anon_sym__Noreturn] = ACTIONS(6615),
    [anon_sym__Nonnull] = ACTIONS(6615),
    [anon_sym_nullable] = ACTIONS(6615),
    [anon_sym__Complex] = ACTIONS(6615),
    [anon_sym__Nullable] = ACTIONS(6615),
    [anon_sym__Nullable_result] = ACTIONS(6615),
    [anon_sym__Null_unspecified] = ACTIONS(6615),
    [anon_sym___autoreleasing] = ACTIONS(6615),
    [anon_sym___block] = ACTIONS(6615),
    [anon_sym___bridge] = ACTIONS(6615),
    [anon_sym___bridge_retained] = ACTIONS(6615),
    [anon_sym___bridge_transfer] = ACTIONS(6615),
    [anon_sym___complex] = ACTIONS(6615),
    [anon_sym___const] = ACTIONS(6615),
    [anon_sym___imag] = ACTIONS(6615),
    [anon_sym___kindof] = ACTIONS(6615),
    [anon_sym___nonnull] = ACTIONS(6615),
    [anon_sym___nullable] = ACTIONS(6615),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6615),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6615),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6615),
    [anon_sym___real] = ACTIONS(6615),
    [anon_sym___strong] = ACTIONS(6615),
    [anon_sym___unsafe_unretained] = ACTIONS(6615),
    [anon_sym___unused] = ACTIONS(6615),
    [anon_sym___weak] = ACTIONS(6615),
    [anon_sym_alignas] = ACTIONS(6615),
    [anon_sym__Alignas] = ACTIONS(6615),
    [sym_primitive_type] = ACTIONS(6615),
    [anon_sym_enum] = ACTIONS(6615),
    [anon_sym_struct] = ACTIONS(6615),
    [anon_sym_union] = ACTIONS(6615),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6615),
    [anon_sym___typeof] = ACTIONS(6615),
    [anon_sym_typeof] = ACTIONS(6615),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6615),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6615),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6615),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6615),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6615),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6615),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6615),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6615),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6615),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6615),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6615),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6615),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6615),
    [anon_sym_API_AVAILABLE] = ACTIONS(6615),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6615),
    [anon_sym_API_DEPRECATED] = ACTIONS(6615),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6615),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6615),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6615),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6615),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6615),
    [anon_sym___deprecated_msg] = ACTIONS(6615),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6615),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6615),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6615),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6615),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6615),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6615),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6615),
    [anon_sym_BOOL] = ACTIONS(6615),
    [anon_sym_IMP] = ACTIONS(6615),
    [anon_sym_SEL] = ACTIONS(6615),
    [anon_sym_Class] = ACTIONS(6615),
    [anon_sym_id] = ACTIONS(6615),
    [anon_sym_ATdefs] = ACTIONS(6617),
  },
  [2761] = {
    [sym_identifier] = ACTIONS(6611),
    [aux_sym_preproc_def_token1] = ACTIONS(6611),
    [aux_sym_preproc_if_token1] = ACTIONS(6611),
    [aux_sym_preproc_if_token2] = ACTIONS(6611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6611),
    [sym_preproc_directive] = ACTIONS(6611),
    [anon_sym___extension__] = ACTIONS(6611),
    [anon_sym_extern] = ACTIONS(6611),
    [anon_sym___attribute__] = ACTIONS(6611),
    [anon_sym___attribute] = ACTIONS(6611),
    [anon_sym_noreturn] = ACTIONS(6611),
    [anon_sym_LBRACK] = ACTIONS(6613),
    [anon_sym___declspec] = ACTIONS(6611),
    [anon_sym_signed] = ACTIONS(6611),
    [anon_sym_unsigned] = ACTIONS(6611),
    [anon_sym_long] = ACTIONS(6611),
    [anon_sym_short] = ACTIONS(6611),
    [anon_sym_static] = ACTIONS(6611),
    [anon_sym_auto] = ACTIONS(6611),
    [anon_sym_register] = ACTIONS(6611),
    [anon_sym_inline] = ACTIONS(6611),
    [anon_sym___inline] = ACTIONS(6611),
    [anon_sym___inline__] = ACTIONS(6611),
    [anon_sym___forceinline] = ACTIONS(6611),
    [anon_sym_thread_local] = ACTIONS(6611),
    [anon_sym___thread] = ACTIONS(6611),
    [anon_sym_CG_EXTERN] = ACTIONS(6611),
    [anon_sym_CG_INLINE] = ACTIONS(6611),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6611),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6611),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6611),
    [anon_sym_IBOutlet] = ACTIONS(6611),
    [anon_sym_IBInspectable] = ACTIONS(6611),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6611),
    [anon_sym_NS_INLINE] = ACTIONS(6611),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6611),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6611),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6611),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6611),
    [anon_sym_const] = ACTIONS(6611),
    [anon_sym_constexpr] = ACTIONS(6611),
    [anon_sym_volatile] = ACTIONS(6611),
    [anon_sym_restrict] = ACTIONS(6611),
    [anon_sym___restrict__] = ACTIONS(6611),
    [anon_sym__Atomic] = ACTIONS(6611),
    [anon_sym__Noreturn] = ACTIONS(6611),
    [anon_sym__Nonnull] = ACTIONS(6611),
    [anon_sym_nullable] = ACTIONS(6611),
    [anon_sym__Complex] = ACTIONS(6611),
    [anon_sym__Nullable] = ACTIONS(6611),
    [anon_sym__Nullable_result] = ACTIONS(6611),
    [anon_sym__Null_unspecified] = ACTIONS(6611),
    [anon_sym___autoreleasing] = ACTIONS(6611),
    [anon_sym___block] = ACTIONS(6611),
    [anon_sym___bridge] = ACTIONS(6611),
    [anon_sym___bridge_retained] = ACTIONS(6611),
    [anon_sym___bridge_transfer] = ACTIONS(6611),
    [anon_sym___complex] = ACTIONS(6611),
    [anon_sym___const] = ACTIONS(6611),
    [anon_sym___imag] = ACTIONS(6611),
    [anon_sym___kindof] = ACTIONS(6611),
    [anon_sym___nonnull] = ACTIONS(6611),
    [anon_sym___nullable] = ACTIONS(6611),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6611),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6611),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6611),
    [anon_sym___real] = ACTIONS(6611),
    [anon_sym___strong] = ACTIONS(6611),
    [anon_sym___unsafe_unretained] = ACTIONS(6611),
    [anon_sym___unused] = ACTIONS(6611),
    [anon_sym___weak] = ACTIONS(6611),
    [anon_sym_alignas] = ACTIONS(6611),
    [anon_sym__Alignas] = ACTIONS(6611),
    [sym_primitive_type] = ACTIONS(6611),
    [anon_sym_enum] = ACTIONS(6611),
    [anon_sym_struct] = ACTIONS(6611),
    [anon_sym_union] = ACTIONS(6611),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6611),
    [anon_sym___typeof] = ACTIONS(6611),
    [anon_sym_typeof] = ACTIONS(6611),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6611),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6611),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6611),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6611),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6611),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6611),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6611),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6611),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6611),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6611),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6611),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6611),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6611),
    [anon_sym_API_AVAILABLE] = ACTIONS(6611),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6611),
    [anon_sym_API_DEPRECATED] = ACTIONS(6611),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6611),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6611),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6611),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6611),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6611),
    [anon_sym___deprecated_msg] = ACTIONS(6611),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6611),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6611),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6611),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6611),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6611),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6611),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6611),
    [anon_sym_BOOL] = ACTIONS(6611),
    [anon_sym_IMP] = ACTIONS(6611),
    [anon_sym_SEL] = ACTIONS(6611),
    [anon_sym_Class] = ACTIONS(6611),
    [anon_sym_id] = ACTIONS(6611),
    [anon_sym_ATdefs] = ACTIONS(6613),
  },
  [2762] = {
    [sym_identifier] = ACTIONS(6607),
    [aux_sym_preproc_def_token1] = ACTIONS(6607),
    [aux_sym_preproc_if_token1] = ACTIONS(6607),
    [aux_sym_preproc_if_token2] = ACTIONS(6607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6607),
    [sym_preproc_directive] = ACTIONS(6607),
    [anon_sym___extension__] = ACTIONS(6607),
    [anon_sym_extern] = ACTIONS(6607),
    [anon_sym___attribute__] = ACTIONS(6607),
    [anon_sym___attribute] = ACTIONS(6607),
    [anon_sym_noreturn] = ACTIONS(6607),
    [anon_sym_LBRACK] = ACTIONS(6609),
    [anon_sym___declspec] = ACTIONS(6607),
    [anon_sym_signed] = ACTIONS(6607),
    [anon_sym_unsigned] = ACTIONS(6607),
    [anon_sym_long] = ACTIONS(6607),
    [anon_sym_short] = ACTIONS(6607),
    [anon_sym_static] = ACTIONS(6607),
    [anon_sym_auto] = ACTIONS(6607),
    [anon_sym_register] = ACTIONS(6607),
    [anon_sym_inline] = ACTIONS(6607),
    [anon_sym___inline] = ACTIONS(6607),
    [anon_sym___inline__] = ACTIONS(6607),
    [anon_sym___forceinline] = ACTIONS(6607),
    [anon_sym_thread_local] = ACTIONS(6607),
    [anon_sym___thread] = ACTIONS(6607),
    [anon_sym_CG_EXTERN] = ACTIONS(6607),
    [anon_sym_CG_INLINE] = ACTIONS(6607),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6607),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6607),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6607),
    [anon_sym_IBOutlet] = ACTIONS(6607),
    [anon_sym_IBInspectable] = ACTIONS(6607),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6607),
    [anon_sym_NS_INLINE] = ACTIONS(6607),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6607),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6607),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6607),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6607),
    [anon_sym_const] = ACTIONS(6607),
    [anon_sym_constexpr] = ACTIONS(6607),
    [anon_sym_volatile] = ACTIONS(6607),
    [anon_sym_restrict] = ACTIONS(6607),
    [anon_sym___restrict__] = ACTIONS(6607),
    [anon_sym__Atomic] = ACTIONS(6607),
    [anon_sym__Noreturn] = ACTIONS(6607),
    [anon_sym__Nonnull] = ACTIONS(6607),
    [anon_sym_nullable] = ACTIONS(6607),
    [anon_sym__Complex] = ACTIONS(6607),
    [anon_sym__Nullable] = ACTIONS(6607),
    [anon_sym__Nullable_result] = ACTIONS(6607),
    [anon_sym__Null_unspecified] = ACTIONS(6607),
    [anon_sym___autoreleasing] = ACTIONS(6607),
    [anon_sym___block] = ACTIONS(6607),
    [anon_sym___bridge] = ACTIONS(6607),
    [anon_sym___bridge_retained] = ACTIONS(6607),
    [anon_sym___bridge_transfer] = ACTIONS(6607),
    [anon_sym___complex] = ACTIONS(6607),
    [anon_sym___const] = ACTIONS(6607),
    [anon_sym___imag] = ACTIONS(6607),
    [anon_sym___kindof] = ACTIONS(6607),
    [anon_sym___nonnull] = ACTIONS(6607),
    [anon_sym___nullable] = ACTIONS(6607),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6607),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6607),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6607),
    [anon_sym___real] = ACTIONS(6607),
    [anon_sym___strong] = ACTIONS(6607),
    [anon_sym___unsafe_unretained] = ACTIONS(6607),
    [anon_sym___unused] = ACTIONS(6607),
    [anon_sym___weak] = ACTIONS(6607),
    [anon_sym_alignas] = ACTIONS(6607),
    [anon_sym__Alignas] = ACTIONS(6607),
    [sym_primitive_type] = ACTIONS(6607),
    [anon_sym_enum] = ACTIONS(6607),
    [anon_sym_struct] = ACTIONS(6607),
    [anon_sym_union] = ACTIONS(6607),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6607),
    [anon_sym___typeof] = ACTIONS(6607),
    [anon_sym_typeof] = ACTIONS(6607),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6607),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6607),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6607),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6607),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6607),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6607),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6607),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6607),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6607),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6607),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6607),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6607),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6607),
    [anon_sym_API_AVAILABLE] = ACTIONS(6607),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6607),
    [anon_sym_API_DEPRECATED] = ACTIONS(6607),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6607),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6607),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6607),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6607),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6607),
    [anon_sym___deprecated_msg] = ACTIONS(6607),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6607),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6607),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6607),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6607),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6607),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6607),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6607),
    [anon_sym_BOOL] = ACTIONS(6607),
    [anon_sym_IMP] = ACTIONS(6607),
    [anon_sym_SEL] = ACTIONS(6607),
    [anon_sym_Class] = ACTIONS(6607),
    [anon_sym_id] = ACTIONS(6607),
    [anon_sym_ATdefs] = ACTIONS(6609),
  },
  [2763] = {
    [sym_identifier] = ACTIONS(6575),
    [aux_sym_preproc_def_token1] = ACTIONS(6575),
    [aux_sym_preproc_if_token1] = ACTIONS(6575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6575),
    [sym_preproc_directive] = ACTIONS(6575),
    [anon_sym___extension__] = ACTIONS(6575),
    [anon_sym_extern] = ACTIONS(6575),
    [anon_sym___attribute__] = ACTIONS(6575),
    [anon_sym___attribute] = ACTIONS(6575),
    [anon_sym_noreturn] = ACTIONS(6575),
    [anon_sym_LBRACK] = ACTIONS(6577),
    [anon_sym___declspec] = ACTIONS(6575),
    [anon_sym_RBRACE] = ACTIONS(6577),
    [anon_sym_signed] = ACTIONS(6575),
    [anon_sym_unsigned] = ACTIONS(6575),
    [anon_sym_long] = ACTIONS(6575),
    [anon_sym_short] = ACTIONS(6575),
    [anon_sym_static] = ACTIONS(6575),
    [anon_sym_auto] = ACTIONS(6575),
    [anon_sym_register] = ACTIONS(6575),
    [anon_sym_inline] = ACTIONS(6575),
    [anon_sym___inline] = ACTIONS(6575),
    [anon_sym___inline__] = ACTIONS(6575),
    [anon_sym___forceinline] = ACTIONS(6575),
    [anon_sym_thread_local] = ACTIONS(6575),
    [anon_sym___thread] = ACTIONS(6575),
    [anon_sym_CG_EXTERN] = ACTIONS(6575),
    [anon_sym_CG_INLINE] = ACTIONS(6575),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6575),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6575),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6575),
    [anon_sym_IBOutlet] = ACTIONS(6575),
    [anon_sym_IBInspectable] = ACTIONS(6575),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6575),
    [anon_sym_NS_INLINE] = ACTIONS(6575),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6575),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6575),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6575),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6575),
    [anon_sym_const] = ACTIONS(6575),
    [anon_sym_constexpr] = ACTIONS(6575),
    [anon_sym_volatile] = ACTIONS(6575),
    [anon_sym_restrict] = ACTIONS(6575),
    [anon_sym___restrict__] = ACTIONS(6575),
    [anon_sym__Atomic] = ACTIONS(6575),
    [anon_sym__Noreturn] = ACTIONS(6575),
    [anon_sym__Nonnull] = ACTIONS(6575),
    [anon_sym_nullable] = ACTIONS(6575),
    [anon_sym__Complex] = ACTIONS(6575),
    [anon_sym__Nullable] = ACTIONS(6575),
    [anon_sym__Nullable_result] = ACTIONS(6575),
    [anon_sym__Null_unspecified] = ACTIONS(6575),
    [anon_sym___autoreleasing] = ACTIONS(6575),
    [anon_sym___block] = ACTIONS(6575),
    [anon_sym___bridge] = ACTIONS(6575),
    [anon_sym___bridge_retained] = ACTIONS(6575),
    [anon_sym___bridge_transfer] = ACTIONS(6575),
    [anon_sym___complex] = ACTIONS(6575),
    [anon_sym___const] = ACTIONS(6575),
    [anon_sym___imag] = ACTIONS(6575),
    [anon_sym___kindof] = ACTIONS(6575),
    [anon_sym___nonnull] = ACTIONS(6575),
    [anon_sym___nullable] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6575),
    [anon_sym___real] = ACTIONS(6575),
    [anon_sym___strong] = ACTIONS(6575),
    [anon_sym___unsafe_unretained] = ACTIONS(6575),
    [anon_sym___unused] = ACTIONS(6575),
    [anon_sym___weak] = ACTIONS(6575),
    [anon_sym_alignas] = ACTIONS(6575),
    [anon_sym__Alignas] = ACTIONS(6575),
    [sym_primitive_type] = ACTIONS(6575),
    [anon_sym_enum] = ACTIONS(6575),
    [anon_sym_struct] = ACTIONS(6575),
    [anon_sym_union] = ACTIONS(6575),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6575),
    [anon_sym___typeof] = ACTIONS(6575),
    [anon_sym_typeof] = ACTIONS(6575),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6575),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6575),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6575),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6575),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6575),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6575),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6575),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_API_AVAILABLE] = ACTIONS(6575),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_API_DEPRECATED] = ACTIONS(6575),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6575),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym___deprecated_msg] = ACTIONS(6575),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6575),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6575),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6575),
    [anon_sym_BOOL] = ACTIONS(6575),
    [anon_sym_IMP] = ACTIONS(6575),
    [anon_sym_SEL] = ACTIONS(6575),
    [anon_sym_Class] = ACTIONS(6575),
    [anon_sym_id] = ACTIONS(6575),
    [anon_sym_ATdefs] = ACTIONS(6577),
  },
  [2764] = {
    [sym_identifier] = ACTIONS(6571),
    [aux_sym_preproc_def_token1] = ACTIONS(6571),
    [aux_sym_preproc_if_token1] = ACTIONS(6571),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6571),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6571),
    [sym_preproc_directive] = ACTIONS(6571),
    [anon_sym___extension__] = ACTIONS(6571),
    [anon_sym_extern] = ACTIONS(6571),
    [anon_sym___attribute__] = ACTIONS(6571),
    [anon_sym___attribute] = ACTIONS(6571),
    [anon_sym_noreturn] = ACTIONS(6571),
    [anon_sym_LBRACK] = ACTIONS(6573),
    [anon_sym___declspec] = ACTIONS(6571),
    [anon_sym_RBRACE] = ACTIONS(6573),
    [anon_sym_signed] = ACTIONS(6571),
    [anon_sym_unsigned] = ACTIONS(6571),
    [anon_sym_long] = ACTIONS(6571),
    [anon_sym_short] = ACTIONS(6571),
    [anon_sym_static] = ACTIONS(6571),
    [anon_sym_auto] = ACTIONS(6571),
    [anon_sym_register] = ACTIONS(6571),
    [anon_sym_inline] = ACTIONS(6571),
    [anon_sym___inline] = ACTIONS(6571),
    [anon_sym___inline__] = ACTIONS(6571),
    [anon_sym___forceinline] = ACTIONS(6571),
    [anon_sym_thread_local] = ACTIONS(6571),
    [anon_sym___thread] = ACTIONS(6571),
    [anon_sym_CG_EXTERN] = ACTIONS(6571),
    [anon_sym_CG_INLINE] = ACTIONS(6571),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6571),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6571),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6571),
    [anon_sym_IBOutlet] = ACTIONS(6571),
    [anon_sym_IBInspectable] = ACTIONS(6571),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6571),
    [anon_sym_NS_INLINE] = ACTIONS(6571),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6571),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6571),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6571),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6571),
    [anon_sym_const] = ACTIONS(6571),
    [anon_sym_constexpr] = ACTIONS(6571),
    [anon_sym_volatile] = ACTIONS(6571),
    [anon_sym_restrict] = ACTIONS(6571),
    [anon_sym___restrict__] = ACTIONS(6571),
    [anon_sym__Atomic] = ACTIONS(6571),
    [anon_sym__Noreturn] = ACTIONS(6571),
    [anon_sym__Nonnull] = ACTIONS(6571),
    [anon_sym_nullable] = ACTIONS(6571),
    [anon_sym__Complex] = ACTIONS(6571),
    [anon_sym__Nullable] = ACTIONS(6571),
    [anon_sym__Nullable_result] = ACTIONS(6571),
    [anon_sym__Null_unspecified] = ACTIONS(6571),
    [anon_sym___autoreleasing] = ACTIONS(6571),
    [anon_sym___block] = ACTIONS(6571),
    [anon_sym___bridge] = ACTIONS(6571),
    [anon_sym___bridge_retained] = ACTIONS(6571),
    [anon_sym___bridge_transfer] = ACTIONS(6571),
    [anon_sym___complex] = ACTIONS(6571),
    [anon_sym___const] = ACTIONS(6571),
    [anon_sym___imag] = ACTIONS(6571),
    [anon_sym___kindof] = ACTIONS(6571),
    [anon_sym___nonnull] = ACTIONS(6571),
    [anon_sym___nullable] = ACTIONS(6571),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6571),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6571),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6571),
    [anon_sym___real] = ACTIONS(6571),
    [anon_sym___strong] = ACTIONS(6571),
    [anon_sym___unsafe_unretained] = ACTIONS(6571),
    [anon_sym___unused] = ACTIONS(6571),
    [anon_sym___weak] = ACTIONS(6571),
    [anon_sym_alignas] = ACTIONS(6571),
    [anon_sym__Alignas] = ACTIONS(6571),
    [sym_primitive_type] = ACTIONS(6571),
    [anon_sym_enum] = ACTIONS(6571),
    [anon_sym_struct] = ACTIONS(6571),
    [anon_sym_union] = ACTIONS(6571),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6571),
    [anon_sym___typeof] = ACTIONS(6571),
    [anon_sym_typeof] = ACTIONS(6571),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6571),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6571),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6571),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6571),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6571),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6571),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6571),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6571),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6571),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6571),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6571),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6571),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6571),
    [anon_sym_API_AVAILABLE] = ACTIONS(6571),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6571),
    [anon_sym_API_DEPRECATED] = ACTIONS(6571),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6571),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6571),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6571),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6571),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6571),
    [anon_sym___deprecated_msg] = ACTIONS(6571),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6571),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6571),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6571),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6571),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6571),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6571),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6571),
    [anon_sym_BOOL] = ACTIONS(6571),
    [anon_sym_IMP] = ACTIONS(6571),
    [anon_sym_SEL] = ACTIONS(6571),
    [anon_sym_Class] = ACTIONS(6571),
    [anon_sym_id] = ACTIONS(6571),
    [anon_sym_ATdefs] = ACTIONS(6573),
  },
  [2765] = {
    [sym_identifier] = ACTIONS(6591),
    [aux_sym_preproc_def_token1] = ACTIONS(6591),
    [aux_sym_preproc_if_token1] = ACTIONS(6591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6591),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6591),
    [sym_preproc_directive] = ACTIONS(6591),
    [anon_sym___extension__] = ACTIONS(6591),
    [anon_sym_extern] = ACTIONS(6591),
    [anon_sym___attribute__] = ACTIONS(6591),
    [anon_sym___attribute] = ACTIONS(6591),
    [anon_sym_noreturn] = ACTIONS(6591),
    [anon_sym_LBRACK] = ACTIONS(6593),
    [anon_sym___declspec] = ACTIONS(6591),
    [anon_sym_RBRACE] = ACTIONS(6593),
    [anon_sym_signed] = ACTIONS(6591),
    [anon_sym_unsigned] = ACTIONS(6591),
    [anon_sym_long] = ACTIONS(6591),
    [anon_sym_short] = ACTIONS(6591),
    [anon_sym_static] = ACTIONS(6591),
    [anon_sym_auto] = ACTIONS(6591),
    [anon_sym_register] = ACTIONS(6591),
    [anon_sym_inline] = ACTIONS(6591),
    [anon_sym___inline] = ACTIONS(6591),
    [anon_sym___inline__] = ACTIONS(6591),
    [anon_sym___forceinline] = ACTIONS(6591),
    [anon_sym_thread_local] = ACTIONS(6591),
    [anon_sym___thread] = ACTIONS(6591),
    [anon_sym_CG_EXTERN] = ACTIONS(6591),
    [anon_sym_CG_INLINE] = ACTIONS(6591),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6591),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6591),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6591),
    [anon_sym_IBOutlet] = ACTIONS(6591),
    [anon_sym_IBInspectable] = ACTIONS(6591),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6591),
    [anon_sym_NS_INLINE] = ACTIONS(6591),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6591),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6591),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6591),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6591),
    [anon_sym_const] = ACTIONS(6591),
    [anon_sym_constexpr] = ACTIONS(6591),
    [anon_sym_volatile] = ACTIONS(6591),
    [anon_sym_restrict] = ACTIONS(6591),
    [anon_sym___restrict__] = ACTIONS(6591),
    [anon_sym__Atomic] = ACTIONS(6591),
    [anon_sym__Noreturn] = ACTIONS(6591),
    [anon_sym__Nonnull] = ACTIONS(6591),
    [anon_sym_nullable] = ACTIONS(6591),
    [anon_sym__Complex] = ACTIONS(6591),
    [anon_sym__Nullable] = ACTIONS(6591),
    [anon_sym__Nullable_result] = ACTIONS(6591),
    [anon_sym__Null_unspecified] = ACTIONS(6591),
    [anon_sym___autoreleasing] = ACTIONS(6591),
    [anon_sym___block] = ACTIONS(6591),
    [anon_sym___bridge] = ACTIONS(6591),
    [anon_sym___bridge_retained] = ACTIONS(6591),
    [anon_sym___bridge_transfer] = ACTIONS(6591),
    [anon_sym___complex] = ACTIONS(6591),
    [anon_sym___const] = ACTIONS(6591),
    [anon_sym___imag] = ACTIONS(6591),
    [anon_sym___kindof] = ACTIONS(6591),
    [anon_sym___nonnull] = ACTIONS(6591),
    [anon_sym___nullable] = ACTIONS(6591),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6591),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6591),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6591),
    [anon_sym___real] = ACTIONS(6591),
    [anon_sym___strong] = ACTIONS(6591),
    [anon_sym___unsafe_unretained] = ACTIONS(6591),
    [anon_sym___unused] = ACTIONS(6591),
    [anon_sym___weak] = ACTIONS(6591),
    [anon_sym_alignas] = ACTIONS(6591),
    [anon_sym__Alignas] = ACTIONS(6591),
    [sym_primitive_type] = ACTIONS(6591),
    [anon_sym_enum] = ACTIONS(6591),
    [anon_sym_struct] = ACTIONS(6591),
    [anon_sym_union] = ACTIONS(6591),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6591),
    [anon_sym___typeof] = ACTIONS(6591),
    [anon_sym_typeof] = ACTIONS(6591),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6591),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6591),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6591),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6591),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6591),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6591),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6591),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6591),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6591),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6591),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6591),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6591),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6591),
    [anon_sym_API_AVAILABLE] = ACTIONS(6591),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6591),
    [anon_sym_API_DEPRECATED] = ACTIONS(6591),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6591),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6591),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6591),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6591),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6591),
    [anon_sym___deprecated_msg] = ACTIONS(6591),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6591),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6591),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6591),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6591),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6591),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6591),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6591),
    [anon_sym_BOOL] = ACTIONS(6591),
    [anon_sym_IMP] = ACTIONS(6591),
    [anon_sym_SEL] = ACTIONS(6591),
    [anon_sym_Class] = ACTIONS(6591),
    [anon_sym_id] = ACTIONS(6591),
    [anon_sym_ATdefs] = ACTIONS(6593),
  },
  [2766] = {
    [sym_identifier] = ACTIONS(6575),
    [aux_sym_preproc_def_token1] = ACTIONS(6575),
    [aux_sym_preproc_if_token1] = ACTIONS(6575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6575),
    [sym_preproc_directive] = ACTIONS(6575),
    [anon_sym___extension__] = ACTIONS(6575),
    [anon_sym_extern] = ACTIONS(6575),
    [anon_sym___attribute__] = ACTIONS(6575),
    [anon_sym___attribute] = ACTIONS(6575),
    [anon_sym_noreturn] = ACTIONS(6575),
    [anon_sym_LBRACK] = ACTIONS(6577),
    [anon_sym___declspec] = ACTIONS(6575),
    [anon_sym_RBRACE] = ACTIONS(6577),
    [anon_sym_signed] = ACTIONS(6575),
    [anon_sym_unsigned] = ACTIONS(6575),
    [anon_sym_long] = ACTIONS(6575),
    [anon_sym_short] = ACTIONS(6575),
    [anon_sym_static] = ACTIONS(6575),
    [anon_sym_auto] = ACTIONS(6575),
    [anon_sym_register] = ACTIONS(6575),
    [anon_sym_inline] = ACTIONS(6575),
    [anon_sym___inline] = ACTIONS(6575),
    [anon_sym___inline__] = ACTIONS(6575),
    [anon_sym___forceinline] = ACTIONS(6575),
    [anon_sym_thread_local] = ACTIONS(6575),
    [anon_sym___thread] = ACTIONS(6575),
    [anon_sym_CG_EXTERN] = ACTIONS(6575),
    [anon_sym_CG_INLINE] = ACTIONS(6575),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6575),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6575),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6575),
    [anon_sym_IBOutlet] = ACTIONS(6575),
    [anon_sym_IBInspectable] = ACTIONS(6575),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6575),
    [anon_sym_NS_INLINE] = ACTIONS(6575),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6575),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6575),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6575),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6575),
    [anon_sym_const] = ACTIONS(6575),
    [anon_sym_constexpr] = ACTIONS(6575),
    [anon_sym_volatile] = ACTIONS(6575),
    [anon_sym_restrict] = ACTIONS(6575),
    [anon_sym___restrict__] = ACTIONS(6575),
    [anon_sym__Atomic] = ACTIONS(6575),
    [anon_sym__Noreturn] = ACTIONS(6575),
    [anon_sym__Nonnull] = ACTIONS(6575),
    [anon_sym_nullable] = ACTIONS(6575),
    [anon_sym__Complex] = ACTIONS(6575),
    [anon_sym__Nullable] = ACTIONS(6575),
    [anon_sym__Nullable_result] = ACTIONS(6575),
    [anon_sym__Null_unspecified] = ACTIONS(6575),
    [anon_sym___autoreleasing] = ACTIONS(6575),
    [anon_sym___block] = ACTIONS(6575),
    [anon_sym___bridge] = ACTIONS(6575),
    [anon_sym___bridge_retained] = ACTIONS(6575),
    [anon_sym___bridge_transfer] = ACTIONS(6575),
    [anon_sym___complex] = ACTIONS(6575),
    [anon_sym___const] = ACTIONS(6575),
    [anon_sym___imag] = ACTIONS(6575),
    [anon_sym___kindof] = ACTIONS(6575),
    [anon_sym___nonnull] = ACTIONS(6575),
    [anon_sym___nullable] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6575),
    [anon_sym___real] = ACTIONS(6575),
    [anon_sym___strong] = ACTIONS(6575),
    [anon_sym___unsafe_unretained] = ACTIONS(6575),
    [anon_sym___unused] = ACTIONS(6575),
    [anon_sym___weak] = ACTIONS(6575),
    [anon_sym_alignas] = ACTIONS(6575),
    [anon_sym__Alignas] = ACTIONS(6575),
    [sym_primitive_type] = ACTIONS(6575),
    [anon_sym_enum] = ACTIONS(6575),
    [anon_sym_struct] = ACTIONS(6575),
    [anon_sym_union] = ACTIONS(6575),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6575),
    [anon_sym___typeof] = ACTIONS(6575),
    [anon_sym_typeof] = ACTIONS(6575),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6575),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6575),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6575),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6575),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6575),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6575),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6575),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_API_AVAILABLE] = ACTIONS(6575),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_API_DEPRECATED] = ACTIONS(6575),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6575),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym___deprecated_msg] = ACTIONS(6575),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6575),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6575),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6575),
    [anon_sym_BOOL] = ACTIONS(6575),
    [anon_sym_IMP] = ACTIONS(6575),
    [anon_sym_SEL] = ACTIONS(6575),
    [anon_sym_Class] = ACTIONS(6575),
    [anon_sym_id] = ACTIONS(6575),
    [anon_sym_ATdefs] = ACTIONS(6577),
  },
  [2767] = {
    [sym_identifier] = ACTIONS(6603),
    [aux_sym_preproc_def_token1] = ACTIONS(6603),
    [aux_sym_preproc_if_token1] = ACTIONS(6603),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6603),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6603),
    [sym_preproc_directive] = ACTIONS(6603),
    [anon_sym___extension__] = ACTIONS(6603),
    [anon_sym_extern] = ACTIONS(6603),
    [anon_sym___attribute__] = ACTIONS(6603),
    [anon_sym___attribute] = ACTIONS(6603),
    [anon_sym_noreturn] = ACTIONS(6603),
    [anon_sym_LBRACK] = ACTIONS(6605),
    [anon_sym___declspec] = ACTIONS(6603),
    [anon_sym_RBRACE] = ACTIONS(6605),
    [anon_sym_signed] = ACTIONS(6603),
    [anon_sym_unsigned] = ACTIONS(6603),
    [anon_sym_long] = ACTIONS(6603),
    [anon_sym_short] = ACTIONS(6603),
    [anon_sym_static] = ACTIONS(6603),
    [anon_sym_auto] = ACTIONS(6603),
    [anon_sym_register] = ACTIONS(6603),
    [anon_sym_inline] = ACTIONS(6603),
    [anon_sym___inline] = ACTIONS(6603),
    [anon_sym___inline__] = ACTIONS(6603),
    [anon_sym___forceinline] = ACTIONS(6603),
    [anon_sym_thread_local] = ACTIONS(6603),
    [anon_sym___thread] = ACTIONS(6603),
    [anon_sym_CG_EXTERN] = ACTIONS(6603),
    [anon_sym_CG_INLINE] = ACTIONS(6603),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6603),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6603),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6603),
    [anon_sym_IBOutlet] = ACTIONS(6603),
    [anon_sym_IBInspectable] = ACTIONS(6603),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6603),
    [anon_sym_NS_INLINE] = ACTIONS(6603),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6603),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6603),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6603),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6603),
    [anon_sym_const] = ACTIONS(6603),
    [anon_sym_constexpr] = ACTIONS(6603),
    [anon_sym_volatile] = ACTIONS(6603),
    [anon_sym_restrict] = ACTIONS(6603),
    [anon_sym___restrict__] = ACTIONS(6603),
    [anon_sym__Atomic] = ACTIONS(6603),
    [anon_sym__Noreturn] = ACTIONS(6603),
    [anon_sym__Nonnull] = ACTIONS(6603),
    [anon_sym_nullable] = ACTIONS(6603),
    [anon_sym__Complex] = ACTIONS(6603),
    [anon_sym__Nullable] = ACTIONS(6603),
    [anon_sym__Nullable_result] = ACTIONS(6603),
    [anon_sym__Null_unspecified] = ACTIONS(6603),
    [anon_sym___autoreleasing] = ACTIONS(6603),
    [anon_sym___block] = ACTIONS(6603),
    [anon_sym___bridge] = ACTIONS(6603),
    [anon_sym___bridge_retained] = ACTIONS(6603),
    [anon_sym___bridge_transfer] = ACTIONS(6603),
    [anon_sym___complex] = ACTIONS(6603),
    [anon_sym___const] = ACTIONS(6603),
    [anon_sym___imag] = ACTIONS(6603),
    [anon_sym___kindof] = ACTIONS(6603),
    [anon_sym___nonnull] = ACTIONS(6603),
    [anon_sym___nullable] = ACTIONS(6603),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6603),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6603),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6603),
    [anon_sym___real] = ACTIONS(6603),
    [anon_sym___strong] = ACTIONS(6603),
    [anon_sym___unsafe_unretained] = ACTIONS(6603),
    [anon_sym___unused] = ACTIONS(6603),
    [anon_sym___weak] = ACTIONS(6603),
    [anon_sym_alignas] = ACTIONS(6603),
    [anon_sym__Alignas] = ACTIONS(6603),
    [sym_primitive_type] = ACTIONS(6603),
    [anon_sym_enum] = ACTIONS(6603),
    [anon_sym_struct] = ACTIONS(6603),
    [anon_sym_union] = ACTIONS(6603),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6603),
    [anon_sym___typeof] = ACTIONS(6603),
    [anon_sym_typeof] = ACTIONS(6603),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6603),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6603),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6603),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6603),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6603),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6603),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6603),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6603),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6603),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6603),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6603),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6603),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6603),
    [anon_sym_API_AVAILABLE] = ACTIONS(6603),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6603),
    [anon_sym_API_DEPRECATED] = ACTIONS(6603),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6603),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6603),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6603),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6603),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6603),
    [anon_sym___deprecated_msg] = ACTIONS(6603),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6603),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6603),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6603),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6603),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6603),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6603),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6603),
    [anon_sym_BOOL] = ACTIONS(6603),
    [anon_sym_IMP] = ACTIONS(6603),
    [anon_sym_SEL] = ACTIONS(6603),
    [anon_sym_Class] = ACTIONS(6603),
    [anon_sym_id] = ACTIONS(6603),
    [anon_sym_ATdefs] = ACTIONS(6605),
  },
  [2768] = {
    [sym_identifier] = ACTIONS(6507),
    [aux_sym_preproc_def_token1] = ACTIONS(6507),
    [aux_sym_preproc_if_token1] = ACTIONS(6507),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6507),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6507),
    [sym_preproc_directive] = ACTIONS(6507),
    [anon_sym___extension__] = ACTIONS(6507),
    [anon_sym_extern] = ACTIONS(6507),
    [anon_sym___attribute__] = ACTIONS(6507),
    [anon_sym___attribute] = ACTIONS(6507),
    [anon_sym_noreturn] = ACTIONS(6507),
    [anon_sym_LBRACK] = ACTIONS(6509),
    [anon_sym___declspec] = ACTIONS(6507),
    [anon_sym_RBRACE] = ACTIONS(6509),
    [anon_sym_signed] = ACTIONS(6507),
    [anon_sym_unsigned] = ACTIONS(6507),
    [anon_sym_long] = ACTIONS(6507),
    [anon_sym_short] = ACTIONS(6507),
    [anon_sym_static] = ACTIONS(6507),
    [anon_sym_auto] = ACTIONS(6507),
    [anon_sym_register] = ACTIONS(6507),
    [anon_sym_inline] = ACTIONS(6507),
    [anon_sym___inline] = ACTIONS(6507),
    [anon_sym___inline__] = ACTIONS(6507),
    [anon_sym___forceinline] = ACTIONS(6507),
    [anon_sym_thread_local] = ACTIONS(6507),
    [anon_sym___thread] = ACTIONS(6507),
    [anon_sym_CG_EXTERN] = ACTIONS(6507),
    [anon_sym_CG_INLINE] = ACTIONS(6507),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6507),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6507),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6507),
    [anon_sym_IBOutlet] = ACTIONS(6507),
    [anon_sym_IBInspectable] = ACTIONS(6507),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6507),
    [anon_sym_NS_INLINE] = ACTIONS(6507),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6507),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6507),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6507),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6507),
    [anon_sym_const] = ACTIONS(6507),
    [anon_sym_constexpr] = ACTIONS(6507),
    [anon_sym_volatile] = ACTIONS(6507),
    [anon_sym_restrict] = ACTIONS(6507),
    [anon_sym___restrict__] = ACTIONS(6507),
    [anon_sym__Atomic] = ACTIONS(6507),
    [anon_sym__Noreturn] = ACTIONS(6507),
    [anon_sym__Nonnull] = ACTIONS(6507),
    [anon_sym_nullable] = ACTIONS(6507),
    [anon_sym__Complex] = ACTIONS(6507),
    [anon_sym__Nullable] = ACTIONS(6507),
    [anon_sym__Nullable_result] = ACTIONS(6507),
    [anon_sym__Null_unspecified] = ACTIONS(6507),
    [anon_sym___autoreleasing] = ACTIONS(6507),
    [anon_sym___block] = ACTIONS(6507),
    [anon_sym___bridge] = ACTIONS(6507),
    [anon_sym___bridge_retained] = ACTIONS(6507),
    [anon_sym___bridge_transfer] = ACTIONS(6507),
    [anon_sym___complex] = ACTIONS(6507),
    [anon_sym___const] = ACTIONS(6507),
    [anon_sym___imag] = ACTIONS(6507),
    [anon_sym___kindof] = ACTIONS(6507),
    [anon_sym___nonnull] = ACTIONS(6507),
    [anon_sym___nullable] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6507),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6507),
    [anon_sym___real] = ACTIONS(6507),
    [anon_sym___strong] = ACTIONS(6507),
    [anon_sym___unsafe_unretained] = ACTIONS(6507),
    [anon_sym___unused] = ACTIONS(6507),
    [anon_sym___weak] = ACTIONS(6507),
    [anon_sym_alignas] = ACTIONS(6507),
    [anon_sym__Alignas] = ACTIONS(6507),
    [sym_primitive_type] = ACTIONS(6507),
    [anon_sym_enum] = ACTIONS(6507),
    [anon_sym_struct] = ACTIONS(6507),
    [anon_sym_union] = ACTIONS(6507),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6507),
    [anon_sym___typeof] = ACTIONS(6507),
    [anon_sym_typeof] = ACTIONS(6507),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6507),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6507),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6507),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6507),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6507),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6507),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6507),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_API_AVAILABLE] = ACTIONS(6507),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_API_DEPRECATED] = ACTIONS(6507),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6507),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6507),
    [anon_sym___deprecated_msg] = ACTIONS(6507),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6507),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6507),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6507),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6507),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6507),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6507),
    [anon_sym_BOOL] = ACTIONS(6507),
    [anon_sym_IMP] = ACTIONS(6507),
    [anon_sym_SEL] = ACTIONS(6507),
    [anon_sym_Class] = ACTIONS(6507),
    [anon_sym_id] = ACTIONS(6507),
    [anon_sym_ATdefs] = ACTIONS(6509),
  },
  [2769] = {
    [sym_identifier] = ACTIONS(6579),
    [aux_sym_preproc_def_token1] = ACTIONS(6579),
    [aux_sym_preproc_if_token1] = ACTIONS(6579),
    [aux_sym_preproc_if_token2] = ACTIONS(6579),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6579),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6579),
    [sym_preproc_directive] = ACTIONS(6579),
    [anon_sym___extension__] = ACTIONS(6579),
    [anon_sym_extern] = ACTIONS(6579),
    [anon_sym___attribute__] = ACTIONS(6579),
    [anon_sym___attribute] = ACTIONS(6579),
    [anon_sym_noreturn] = ACTIONS(6579),
    [anon_sym_LBRACK] = ACTIONS(6581),
    [anon_sym___declspec] = ACTIONS(6579),
    [anon_sym_signed] = ACTIONS(6579),
    [anon_sym_unsigned] = ACTIONS(6579),
    [anon_sym_long] = ACTIONS(6579),
    [anon_sym_short] = ACTIONS(6579),
    [anon_sym_static] = ACTIONS(6579),
    [anon_sym_auto] = ACTIONS(6579),
    [anon_sym_register] = ACTIONS(6579),
    [anon_sym_inline] = ACTIONS(6579),
    [anon_sym___inline] = ACTIONS(6579),
    [anon_sym___inline__] = ACTIONS(6579),
    [anon_sym___forceinline] = ACTIONS(6579),
    [anon_sym_thread_local] = ACTIONS(6579),
    [anon_sym___thread] = ACTIONS(6579),
    [anon_sym_CG_EXTERN] = ACTIONS(6579),
    [anon_sym_CG_INLINE] = ACTIONS(6579),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6579),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6579),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6579),
    [anon_sym_IBOutlet] = ACTIONS(6579),
    [anon_sym_IBInspectable] = ACTIONS(6579),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6579),
    [anon_sym_NS_INLINE] = ACTIONS(6579),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6579),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6579),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6579),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6579),
    [anon_sym_const] = ACTIONS(6579),
    [anon_sym_constexpr] = ACTIONS(6579),
    [anon_sym_volatile] = ACTIONS(6579),
    [anon_sym_restrict] = ACTIONS(6579),
    [anon_sym___restrict__] = ACTIONS(6579),
    [anon_sym__Atomic] = ACTIONS(6579),
    [anon_sym__Noreturn] = ACTIONS(6579),
    [anon_sym__Nonnull] = ACTIONS(6579),
    [anon_sym_nullable] = ACTIONS(6579),
    [anon_sym__Complex] = ACTIONS(6579),
    [anon_sym__Nullable] = ACTIONS(6579),
    [anon_sym__Nullable_result] = ACTIONS(6579),
    [anon_sym__Null_unspecified] = ACTIONS(6579),
    [anon_sym___autoreleasing] = ACTIONS(6579),
    [anon_sym___block] = ACTIONS(6579),
    [anon_sym___bridge] = ACTIONS(6579),
    [anon_sym___bridge_retained] = ACTIONS(6579),
    [anon_sym___bridge_transfer] = ACTIONS(6579),
    [anon_sym___complex] = ACTIONS(6579),
    [anon_sym___const] = ACTIONS(6579),
    [anon_sym___imag] = ACTIONS(6579),
    [anon_sym___kindof] = ACTIONS(6579),
    [anon_sym___nonnull] = ACTIONS(6579),
    [anon_sym___nullable] = ACTIONS(6579),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6579),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6579),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6579),
    [anon_sym___real] = ACTIONS(6579),
    [anon_sym___strong] = ACTIONS(6579),
    [anon_sym___unsafe_unretained] = ACTIONS(6579),
    [anon_sym___unused] = ACTIONS(6579),
    [anon_sym___weak] = ACTIONS(6579),
    [anon_sym_alignas] = ACTIONS(6579),
    [anon_sym__Alignas] = ACTIONS(6579),
    [sym_primitive_type] = ACTIONS(6579),
    [anon_sym_enum] = ACTIONS(6579),
    [anon_sym_struct] = ACTIONS(6579),
    [anon_sym_union] = ACTIONS(6579),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6579),
    [anon_sym___typeof] = ACTIONS(6579),
    [anon_sym_typeof] = ACTIONS(6579),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6579),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6579),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6579),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6579),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6579),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6579),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6579),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6579),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6579),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6579),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6579),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6579),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6579),
    [anon_sym_API_AVAILABLE] = ACTIONS(6579),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6579),
    [anon_sym_API_DEPRECATED] = ACTIONS(6579),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6579),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6579),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6579),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6579),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6579),
    [anon_sym___deprecated_msg] = ACTIONS(6579),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6579),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6579),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6579),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6579),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6579),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6579),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6579),
    [anon_sym_BOOL] = ACTIONS(6579),
    [anon_sym_IMP] = ACTIONS(6579),
    [anon_sym_SEL] = ACTIONS(6579),
    [anon_sym_Class] = ACTIONS(6579),
    [anon_sym_id] = ACTIONS(6579),
    [anon_sym_ATdefs] = ACTIONS(6581),
  },
  [2770] = {
    [sym_identifier] = ACTIONS(6575),
    [aux_sym_preproc_def_token1] = ACTIONS(6575),
    [aux_sym_preproc_if_token1] = ACTIONS(6575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6575),
    [sym_preproc_directive] = ACTIONS(6575),
    [anon_sym___extension__] = ACTIONS(6575),
    [anon_sym_extern] = ACTIONS(6575),
    [anon_sym___attribute__] = ACTIONS(6575),
    [anon_sym___attribute] = ACTIONS(6575),
    [anon_sym_noreturn] = ACTIONS(6575),
    [anon_sym_LBRACK] = ACTIONS(6577),
    [anon_sym___declspec] = ACTIONS(6575),
    [anon_sym_RBRACE] = ACTIONS(6577),
    [anon_sym_signed] = ACTIONS(6575),
    [anon_sym_unsigned] = ACTIONS(6575),
    [anon_sym_long] = ACTIONS(6575),
    [anon_sym_short] = ACTIONS(6575),
    [anon_sym_static] = ACTIONS(6575),
    [anon_sym_auto] = ACTIONS(6575),
    [anon_sym_register] = ACTIONS(6575),
    [anon_sym_inline] = ACTIONS(6575),
    [anon_sym___inline] = ACTIONS(6575),
    [anon_sym___inline__] = ACTIONS(6575),
    [anon_sym___forceinline] = ACTIONS(6575),
    [anon_sym_thread_local] = ACTIONS(6575),
    [anon_sym___thread] = ACTIONS(6575),
    [anon_sym_CG_EXTERN] = ACTIONS(6575),
    [anon_sym_CG_INLINE] = ACTIONS(6575),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6575),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6575),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6575),
    [anon_sym_IBOutlet] = ACTIONS(6575),
    [anon_sym_IBInspectable] = ACTIONS(6575),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6575),
    [anon_sym_NS_INLINE] = ACTIONS(6575),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6575),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6575),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6575),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6575),
    [anon_sym_const] = ACTIONS(6575),
    [anon_sym_constexpr] = ACTIONS(6575),
    [anon_sym_volatile] = ACTIONS(6575),
    [anon_sym_restrict] = ACTIONS(6575),
    [anon_sym___restrict__] = ACTIONS(6575),
    [anon_sym__Atomic] = ACTIONS(6575),
    [anon_sym__Noreturn] = ACTIONS(6575),
    [anon_sym__Nonnull] = ACTIONS(6575),
    [anon_sym_nullable] = ACTIONS(6575),
    [anon_sym__Complex] = ACTIONS(6575),
    [anon_sym__Nullable] = ACTIONS(6575),
    [anon_sym__Nullable_result] = ACTIONS(6575),
    [anon_sym__Null_unspecified] = ACTIONS(6575),
    [anon_sym___autoreleasing] = ACTIONS(6575),
    [anon_sym___block] = ACTIONS(6575),
    [anon_sym___bridge] = ACTIONS(6575),
    [anon_sym___bridge_retained] = ACTIONS(6575),
    [anon_sym___bridge_transfer] = ACTIONS(6575),
    [anon_sym___complex] = ACTIONS(6575),
    [anon_sym___const] = ACTIONS(6575),
    [anon_sym___imag] = ACTIONS(6575),
    [anon_sym___kindof] = ACTIONS(6575),
    [anon_sym___nonnull] = ACTIONS(6575),
    [anon_sym___nullable] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6575),
    [anon_sym___real] = ACTIONS(6575),
    [anon_sym___strong] = ACTIONS(6575),
    [anon_sym___unsafe_unretained] = ACTIONS(6575),
    [anon_sym___unused] = ACTIONS(6575),
    [anon_sym___weak] = ACTIONS(6575),
    [anon_sym_alignas] = ACTIONS(6575),
    [anon_sym__Alignas] = ACTIONS(6575),
    [sym_primitive_type] = ACTIONS(6575),
    [anon_sym_enum] = ACTIONS(6575),
    [anon_sym_struct] = ACTIONS(6575),
    [anon_sym_union] = ACTIONS(6575),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6575),
    [anon_sym___typeof] = ACTIONS(6575),
    [anon_sym_typeof] = ACTIONS(6575),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6575),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6575),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6575),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6575),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6575),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6575),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6575),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_API_AVAILABLE] = ACTIONS(6575),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_API_DEPRECATED] = ACTIONS(6575),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6575),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym___deprecated_msg] = ACTIONS(6575),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6575),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6575),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6575),
    [anon_sym_BOOL] = ACTIONS(6575),
    [anon_sym_IMP] = ACTIONS(6575),
    [anon_sym_SEL] = ACTIONS(6575),
    [anon_sym_Class] = ACTIONS(6575),
    [anon_sym_id] = ACTIONS(6575),
    [anon_sym_ATdefs] = ACTIONS(6577),
  },
  [2771] = {
    [sym_identifier] = ACTIONS(6563),
    [aux_sym_preproc_def_token1] = ACTIONS(6563),
    [aux_sym_preproc_if_token1] = ACTIONS(6563),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6563),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6563),
    [sym_preproc_directive] = ACTIONS(6563),
    [anon_sym___extension__] = ACTIONS(6563),
    [anon_sym_extern] = ACTIONS(6563),
    [anon_sym___attribute__] = ACTIONS(6563),
    [anon_sym___attribute] = ACTIONS(6563),
    [anon_sym_noreturn] = ACTIONS(6563),
    [anon_sym_LBRACK] = ACTIONS(6565),
    [anon_sym___declspec] = ACTIONS(6563),
    [anon_sym_RBRACE] = ACTIONS(6565),
    [anon_sym_signed] = ACTIONS(6563),
    [anon_sym_unsigned] = ACTIONS(6563),
    [anon_sym_long] = ACTIONS(6563),
    [anon_sym_short] = ACTIONS(6563),
    [anon_sym_static] = ACTIONS(6563),
    [anon_sym_auto] = ACTIONS(6563),
    [anon_sym_register] = ACTIONS(6563),
    [anon_sym_inline] = ACTIONS(6563),
    [anon_sym___inline] = ACTIONS(6563),
    [anon_sym___inline__] = ACTIONS(6563),
    [anon_sym___forceinline] = ACTIONS(6563),
    [anon_sym_thread_local] = ACTIONS(6563),
    [anon_sym___thread] = ACTIONS(6563),
    [anon_sym_CG_EXTERN] = ACTIONS(6563),
    [anon_sym_CG_INLINE] = ACTIONS(6563),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6563),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6563),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6563),
    [anon_sym_IBOutlet] = ACTIONS(6563),
    [anon_sym_IBInspectable] = ACTIONS(6563),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6563),
    [anon_sym_NS_INLINE] = ACTIONS(6563),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6563),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6563),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6563),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6563),
    [anon_sym_const] = ACTIONS(6563),
    [anon_sym_constexpr] = ACTIONS(6563),
    [anon_sym_volatile] = ACTIONS(6563),
    [anon_sym_restrict] = ACTIONS(6563),
    [anon_sym___restrict__] = ACTIONS(6563),
    [anon_sym__Atomic] = ACTIONS(6563),
    [anon_sym__Noreturn] = ACTIONS(6563),
    [anon_sym__Nonnull] = ACTIONS(6563),
    [anon_sym_nullable] = ACTIONS(6563),
    [anon_sym__Complex] = ACTIONS(6563),
    [anon_sym__Nullable] = ACTIONS(6563),
    [anon_sym__Nullable_result] = ACTIONS(6563),
    [anon_sym__Null_unspecified] = ACTIONS(6563),
    [anon_sym___autoreleasing] = ACTIONS(6563),
    [anon_sym___block] = ACTIONS(6563),
    [anon_sym___bridge] = ACTIONS(6563),
    [anon_sym___bridge_retained] = ACTIONS(6563),
    [anon_sym___bridge_transfer] = ACTIONS(6563),
    [anon_sym___complex] = ACTIONS(6563),
    [anon_sym___const] = ACTIONS(6563),
    [anon_sym___imag] = ACTIONS(6563),
    [anon_sym___kindof] = ACTIONS(6563),
    [anon_sym___nonnull] = ACTIONS(6563),
    [anon_sym___nullable] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6563),
    [anon_sym___real] = ACTIONS(6563),
    [anon_sym___strong] = ACTIONS(6563),
    [anon_sym___unsafe_unretained] = ACTIONS(6563),
    [anon_sym___unused] = ACTIONS(6563),
    [anon_sym___weak] = ACTIONS(6563),
    [anon_sym_alignas] = ACTIONS(6563),
    [anon_sym__Alignas] = ACTIONS(6563),
    [sym_primitive_type] = ACTIONS(6563),
    [anon_sym_enum] = ACTIONS(6563),
    [anon_sym_struct] = ACTIONS(6563),
    [anon_sym_union] = ACTIONS(6563),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6563),
    [anon_sym___typeof] = ACTIONS(6563),
    [anon_sym_typeof] = ACTIONS(6563),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6563),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6563),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6563),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6563),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6563),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6563),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6563),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_API_AVAILABLE] = ACTIONS(6563),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_API_DEPRECATED] = ACTIONS(6563),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6563),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym___deprecated_msg] = ACTIONS(6563),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6563),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6563),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6563),
    [anon_sym_BOOL] = ACTIONS(6563),
    [anon_sym_IMP] = ACTIONS(6563),
    [anon_sym_SEL] = ACTIONS(6563),
    [anon_sym_Class] = ACTIONS(6563),
    [anon_sym_id] = ACTIONS(6563),
    [anon_sym_ATdefs] = ACTIONS(6565),
  },
  [2772] = {
    [sym_identifier] = ACTIONS(6543),
    [aux_sym_preproc_def_token1] = ACTIONS(6543),
    [aux_sym_preproc_if_token1] = ACTIONS(6543),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6543),
    [sym_preproc_directive] = ACTIONS(6543),
    [anon_sym___extension__] = ACTIONS(6543),
    [anon_sym_extern] = ACTIONS(6543),
    [anon_sym___attribute__] = ACTIONS(6543),
    [anon_sym___attribute] = ACTIONS(6543),
    [anon_sym_noreturn] = ACTIONS(6543),
    [anon_sym_LBRACK] = ACTIONS(6545),
    [anon_sym___declspec] = ACTIONS(6543),
    [anon_sym_RBRACE] = ACTIONS(6545),
    [anon_sym_signed] = ACTIONS(6543),
    [anon_sym_unsigned] = ACTIONS(6543),
    [anon_sym_long] = ACTIONS(6543),
    [anon_sym_short] = ACTIONS(6543),
    [anon_sym_static] = ACTIONS(6543),
    [anon_sym_auto] = ACTIONS(6543),
    [anon_sym_register] = ACTIONS(6543),
    [anon_sym_inline] = ACTIONS(6543),
    [anon_sym___inline] = ACTIONS(6543),
    [anon_sym___inline__] = ACTIONS(6543),
    [anon_sym___forceinline] = ACTIONS(6543),
    [anon_sym_thread_local] = ACTIONS(6543),
    [anon_sym___thread] = ACTIONS(6543),
    [anon_sym_CG_EXTERN] = ACTIONS(6543),
    [anon_sym_CG_INLINE] = ACTIONS(6543),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6543),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6543),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6543),
    [anon_sym_IBOutlet] = ACTIONS(6543),
    [anon_sym_IBInspectable] = ACTIONS(6543),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6543),
    [anon_sym_NS_INLINE] = ACTIONS(6543),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6543),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6543),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6543),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6543),
    [anon_sym_const] = ACTIONS(6543),
    [anon_sym_constexpr] = ACTIONS(6543),
    [anon_sym_volatile] = ACTIONS(6543),
    [anon_sym_restrict] = ACTIONS(6543),
    [anon_sym___restrict__] = ACTIONS(6543),
    [anon_sym__Atomic] = ACTIONS(6543),
    [anon_sym__Noreturn] = ACTIONS(6543),
    [anon_sym__Nonnull] = ACTIONS(6543),
    [anon_sym_nullable] = ACTIONS(6543),
    [anon_sym__Complex] = ACTIONS(6543),
    [anon_sym__Nullable] = ACTIONS(6543),
    [anon_sym__Nullable_result] = ACTIONS(6543),
    [anon_sym__Null_unspecified] = ACTIONS(6543),
    [anon_sym___autoreleasing] = ACTIONS(6543),
    [anon_sym___block] = ACTIONS(6543),
    [anon_sym___bridge] = ACTIONS(6543),
    [anon_sym___bridge_retained] = ACTIONS(6543),
    [anon_sym___bridge_transfer] = ACTIONS(6543),
    [anon_sym___complex] = ACTIONS(6543),
    [anon_sym___const] = ACTIONS(6543),
    [anon_sym___imag] = ACTIONS(6543),
    [anon_sym___kindof] = ACTIONS(6543),
    [anon_sym___nonnull] = ACTIONS(6543),
    [anon_sym___nullable] = ACTIONS(6543),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6543),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6543),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6543),
    [anon_sym___real] = ACTIONS(6543),
    [anon_sym___strong] = ACTIONS(6543),
    [anon_sym___unsafe_unretained] = ACTIONS(6543),
    [anon_sym___unused] = ACTIONS(6543),
    [anon_sym___weak] = ACTIONS(6543),
    [anon_sym_alignas] = ACTIONS(6543),
    [anon_sym__Alignas] = ACTIONS(6543),
    [sym_primitive_type] = ACTIONS(6543),
    [anon_sym_enum] = ACTIONS(6543),
    [anon_sym_struct] = ACTIONS(6543),
    [anon_sym_union] = ACTIONS(6543),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6543),
    [anon_sym___typeof] = ACTIONS(6543),
    [anon_sym_typeof] = ACTIONS(6543),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6543),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6543),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6543),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6543),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6543),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6543),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6543),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6543),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6543),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6543),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6543),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6543),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6543),
    [anon_sym_API_AVAILABLE] = ACTIONS(6543),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6543),
    [anon_sym_API_DEPRECATED] = ACTIONS(6543),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6543),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6543),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6543),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6543),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6543),
    [anon_sym___deprecated_msg] = ACTIONS(6543),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6543),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6543),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6543),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6543),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6543),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6543),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6543),
    [anon_sym_BOOL] = ACTIONS(6543),
    [anon_sym_IMP] = ACTIONS(6543),
    [anon_sym_SEL] = ACTIONS(6543),
    [anon_sym_Class] = ACTIONS(6543),
    [anon_sym_id] = ACTIONS(6543),
    [anon_sym_ATdefs] = ACTIONS(6545),
  },
  [2773] = {
    [sym_identifier] = ACTIONS(6543),
    [aux_sym_preproc_def_token1] = ACTIONS(6543),
    [aux_sym_preproc_if_token1] = ACTIONS(6543),
    [aux_sym_preproc_if_token2] = ACTIONS(6543),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6543),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6543),
    [sym_preproc_directive] = ACTIONS(6543),
    [anon_sym___extension__] = ACTIONS(6543),
    [anon_sym_extern] = ACTIONS(6543),
    [anon_sym___attribute__] = ACTIONS(6543),
    [anon_sym___attribute] = ACTIONS(6543),
    [anon_sym_noreturn] = ACTIONS(6543),
    [anon_sym_LBRACK] = ACTIONS(6545),
    [anon_sym___declspec] = ACTIONS(6543),
    [anon_sym_signed] = ACTIONS(6543),
    [anon_sym_unsigned] = ACTIONS(6543),
    [anon_sym_long] = ACTIONS(6543),
    [anon_sym_short] = ACTIONS(6543),
    [anon_sym_static] = ACTIONS(6543),
    [anon_sym_auto] = ACTIONS(6543),
    [anon_sym_register] = ACTIONS(6543),
    [anon_sym_inline] = ACTIONS(6543),
    [anon_sym___inline] = ACTIONS(6543),
    [anon_sym___inline__] = ACTIONS(6543),
    [anon_sym___forceinline] = ACTIONS(6543),
    [anon_sym_thread_local] = ACTIONS(6543),
    [anon_sym___thread] = ACTIONS(6543),
    [anon_sym_CG_EXTERN] = ACTIONS(6543),
    [anon_sym_CG_INLINE] = ACTIONS(6543),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6543),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6543),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6543),
    [anon_sym_IBOutlet] = ACTIONS(6543),
    [anon_sym_IBInspectable] = ACTIONS(6543),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6543),
    [anon_sym_NS_INLINE] = ACTIONS(6543),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6543),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6543),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6543),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6543),
    [anon_sym_const] = ACTIONS(6543),
    [anon_sym_constexpr] = ACTIONS(6543),
    [anon_sym_volatile] = ACTIONS(6543),
    [anon_sym_restrict] = ACTIONS(6543),
    [anon_sym___restrict__] = ACTIONS(6543),
    [anon_sym__Atomic] = ACTIONS(6543),
    [anon_sym__Noreturn] = ACTIONS(6543),
    [anon_sym__Nonnull] = ACTIONS(6543),
    [anon_sym_nullable] = ACTIONS(6543),
    [anon_sym__Complex] = ACTIONS(6543),
    [anon_sym__Nullable] = ACTIONS(6543),
    [anon_sym__Nullable_result] = ACTIONS(6543),
    [anon_sym__Null_unspecified] = ACTIONS(6543),
    [anon_sym___autoreleasing] = ACTIONS(6543),
    [anon_sym___block] = ACTIONS(6543),
    [anon_sym___bridge] = ACTIONS(6543),
    [anon_sym___bridge_retained] = ACTIONS(6543),
    [anon_sym___bridge_transfer] = ACTIONS(6543),
    [anon_sym___complex] = ACTIONS(6543),
    [anon_sym___const] = ACTIONS(6543),
    [anon_sym___imag] = ACTIONS(6543),
    [anon_sym___kindof] = ACTIONS(6543),
    [anon_sym___nonnull] = ACTIONS(6543),
    [anon_sym___nullable] = ACTIONS(6543),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6543),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6543),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6543),
    [anon_sym___real] = ACTIONS(6543),
    [anon_sym___strong] = ACTIONS(6543),
    [anon_sym___unsafe_unretained] = ACTIONS(6543),
    [anon_sym___unused] = ACTIONS(6543),
    [anon_sym___weak] = ACTIONS(6543),
    [anon_sym_alignas] = ACTIONS(6543),
    [anon_sym__Alignas] = ACTIONS(6543),
    [sym_primitive_type] = ACTIONS(6543),
    [anon_sym_enum] = ACTIONS(6543),
    [anon_sym_struct] = ACTIONS(6543),
    [anon_sym_union] = ACTIONS(6543),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6543),
    [anon_sym___typeof] = ACTIONS(6543),
    [anon_sym_typeof] = ACTIONS(6543),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6543),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6543),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6543),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6543),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6543),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6543),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6543),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6543),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6543),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6543),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6543),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6543),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6543),
    [anon_sym_API_AVAILABLE] = ACTIONS(6543),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6543),
    [anon_sym_API_DEPRECATED] = ACTIONS(6543),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6543),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6543),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6543),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6543),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6543),
    [anon_sym___deprecated_msg] = ACTIONS(6543),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6543),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6543),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6543),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6543),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6543),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6543),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6543),
    [anon_sym_BOOL] = ACTIONS(6543),
    [anon_sym_IMP] = ACTIONS(6543),
    [anon_sym_SEL] = ACTIONS(6543),
    [anon_sym_Class] = ACTIONS(6543),
    [anon_sym_id] = ACTIONS(6543),
    [anon_sym_ATdefs] = ACTIONS(6545),
  },
  [2774] = {
    [sym_identifier] = ACTIONS(6503),
    [aux_sym_preproc_def_token1] = ACTIONS(6503),
    [aux_sym_preproc_if_token1] = ACTIONS(6503),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6503),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6503),
    [sym_preproc_directive] = ACTIONS(6503),
    [anon_sym___extension__] = ACTIONS(6503),
    [anon_sym_extern] = ACTIONS(6503),
    [anon_sym___attribute__] = ACTIONS(6503),
    [anon_sym___attribute] = ACTIONS(6503),
    [anon_sym_noreturn] = ACTIONS(6503),
    [anon_sym_LBRACK] = ACTIONS(6505),
    [anon_sym___declspec] = ACTIONS(6503),
    [anon_sym_RBRACE] = ACTIONS(6505),
    [anon_sym_signed] = ACTIONS(6503),
    [anon_sym_unsigned] = ACTIONS(6503),
    [anon_sym_long] = ACTIONS(6503),
    [anon_sym_short] = ACTIONS(6503),
    [anon_sym_static] = ACTIONS(6503),
    [anon_sym_auto] = ACTIONS(6503),
    [anon_sym_register] = ACTIONS(6503),
    [anon_sym_inline] = ACTIONS(6503),
    [anon_sym___inline] = ACTIONS(6503),
    [anon_sym___inline__] = ACTIONS(6503),
    [anon_sym___forceinline] = ACTIONS(6503),
    [anon_sym_thread_local] = ACTIONS(6503),
    [anon_sym___thread] = ACTIONS(6503),
    [anon_sym_CG_EXTERN] = ACTIONS(6503),
    [anon_sym_CG_INLINE] = ACTIONS(6503),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6503),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6503),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6503),
    [anon_sym_IBOutlet] = ACTIONS(6503),
    [anon_sym_IBInspectable] = ACTIONS(6503),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6503),
    [anon_sym_NS_INLINE] = ACTIONS(6503),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6503),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6503),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6503),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6503),
    [anon_sym_const] = ACTIONS(6503),
    [anon_sym_constexpr] = ACTIONS(6503),
    [anon_sym_volatile] = ACTIONS(6503),
    [anon_sym_restrict] = ACTIONS(6503),
    [anon_sym___restrict__] = ACTIONS(6503),
    [anon_sym__Atomic] = ACTIONS(6503),
    [anon_sym__Noreturn] = ACTIONS(6503),
    [anon_sym__Nonnull] = ACTIONS(6503),
    [anon_sym_nullable] = ACTIONS(6503),
    [anon_sym__Complex] = ACTIONS(6503),
    [anon_sym__Nullable] = ACTIONS(6503),
    [anon_sym__Nullable_result] = ACTIONS(6503),
    [anon_sym__Null_unspecified] = ACTIONS(6503),
    [anon_sym___autoreleasing] = ACTIONS(6503),
    [anon_sym___block] = ACTIONS(6503),
    [anon_sym___bridge] = ACTIONS(6503),
    [anon_sym___bridge_retained] = ACTIONS(6503),
    [anon_sym___bridge_transfer] = ACTIONS(6503),
    [anon_sym___complex] = ACTIONS(6503),
    [anon_sym___const] = ACTIONS(6503),
    [anon_sym___imag] = ACTIONS(6503),
    [anon_sym___kindof] = ACTIONS(6503),
    [anon_sym___nonnull] = ACTIONS(6503),
    [anon_sym___nullable] = ACTIONS(6503),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6503),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6503),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6503),
    [anon_sym___real] = ACTIONS(6503),
    [anon_sym___strong] = ACTIONS(6503),
    [anon_sym___unsafe_unretained] = ACTIONS(6503),
    [anon_sym___unused] = ACTIONS(6503),
    [anon_sym___weak] = ACTIONS(6503),
    [anon_sym_alignas] = ACTIONS(6503),
    [anon_sym__Alignas] = ACTIONS(6503),
    [sym_primitive_type] = ACTIONS(6503),
    [anon_sym_enum] = ACTIONS(6503),
    [anon_sym_struct] = ACTIONS(6503),
    [anon_sym_union] = ACTIONS(6503),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6503),
    [anon_sym___typeof] = ACTIONS(6503),
    [anon_sym_typeof] = ACTIONS(6503),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6503),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6503),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6503),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6503),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6503),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6503),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6503),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6503),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6503),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6503),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6503),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6503),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6503),
    [anon_sym_API_AVAILABLE] = ACTIONS(6503),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6503),
    [anon_sym_API_DEPRECATED] = ACTIONS(6503),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6503),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6503),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6503),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6503),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6503),
    [anon_sym___deprecated_msg] = ACTIONS(6503),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6503),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6503),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6503),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6503),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6503),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6503),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6503),
    [anon_sym_BOOL] = ACTIONS(6503),
    [anon_sym_IMP] = ACTIONS(6503),
    [anon_sym_SEL] = ACTIONS(6503),
    [anon_sym_Class] = ACTIONS(6503),
    [anon_sym_id] = ACTIONS(6503),
    [anon_sym_ATdefs] = ACTIONS(6505),
  },
  [2775] = {
    [sym_identifier] = ACTIONS(6563),
    [aux_sym_preproc_def_token1] = ACTIONS(6563),
    [aux_sym_preproc_if_token1] = ACTIONS(6563),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6563),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6563),
    [sym_preproc_directive] = ACTIONS(6563),
    [anon_sym___extension__] = ACTIONS(6563),
    [anon_sym_extern] = ACTIONS(6563),
    [anon_sym___attribute__] = ACTIONS(6563),
    [anon_sym___attribute] = ACTIONS(6563),
    [anon_sym_noreturn] = ACTIONS(6563),
    [anon_sym_LBRACK] = ACTIONS(6565),
    [anon_sym___declspec] = ACTIONS(6563),
    [anon_sym_RBRACE] = ACTIONS(6565),
    [anon_sym_signed] = ACTIONS(6563),
    [anon_sym_unsigned] = ACTIONS(6563),
    [anon_sym_long] = ACTIONS(6563),
    [anon_sym_short] = ACTIONS(6563),
    [anon_sym_static] = ACTIONS(6563),
    [anon_sym_auto] = ACTIONS(6563),
    [anon_sym_register] = ACTIONS(6563),
    [anon_sym_inline] = ACTIONS(6563),
    [anon_sym___inline] = ACTIONS(6563),
    [anon_sym___inline__] = ACTIONS(6563),
    [anon_sym___forceinline] = ACTIONS(6563),
    [anon_sym_thread_local] = ACTIONS(6563),
    [anon_sym___thread] = ACTIONS(6563),
    [anon_sym_CG_EXTERN] = ACTIONS(6563),
    [anon_sym_CG_INLINE] = ACTIONS(6563),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6563),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6563),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6563),
    [anon_sym_IBOutlet] = ACTIONS(6563),
    [anon_sym_IBInspectable] = ACTIONS(6563),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6563),
    [anon_sym_NS_INLINE] = ACTIONS(6563),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6563),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6563),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6563),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6563),
    [anon_sym_const] = ACTIONS(6563),
    [anon_sym_constexpr] = ACTIONS(6563),
    [anon_sym_volatile] = ACTIONS(6563),
    [anon_sym_restrict] = ACTIONS(6563),
    [anon_sym___restrict__] = ACTIONS(6563),
    [anon_sym__Atomic] = ACTIONS(6563),
    [anon_sym__Noreturn] = ACTIONS(6563),
    [anon_sym__Nonnull] = ACTIONS(6563),
    [anon_sym_nullable] = ACTIONS(6563),
    [anon_sym__Complex] = ACTIONS(6563),
    [anon_sym__Nullable] = ACTIONS(6563),
    [anon_sym__Nullable_result] = ACTIONS(6563),
    [anon_sym__Null_unspecified] = ACTIONS(6563),
    [anon_sym___autoreleasing] = ACTIONS(6563),
    [anon_sym___block] = ACTIONS(6563),
    [anon_sym___bridge] = ACTIONS(6563),
    [anon_sym___bridge_retained] = ACTIONS(6563),
    [anon_sym___bridge_transfer] = ACTIONS(6563),
    [anon_sym___complex] = ACTIONS(6563),
    [anon_sym___const] = ACTIONS(6563),
    [anon_sym___imag] = ACTIONS(6563),
    [anon_sym___kindof] = ACTIONS(6563),
    [anon_sym___nonnull] = ACTIONS(6563),
    [anon_sym___nullable] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6563),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6563),
    [anon_sym___real] = ACTIONS(6563),
    [anon_sym___strong] = ACTIONS(6563),
    [anon_sym___unsafe_unretained] = ACTIONS(6563),
    [anon_sym___unused] = ACTIONS(6563),
    [anon_sym___weak] = ACTIONS(6563),
    [anon_sym_alignas] = ACTIONS(6563),
    [anon_sym__Alignas] = ACTIONS(6563),
    [sym_primitive_type] = ACTIONS(6563),
    [anon_sym_enum] = ACTIONS(6563),
    [anon_sym_struct] = ACTIONS(6563),
    [anon_sym_union] = ACTIONS(6563),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6563),
    [anon_sym___typeof] = ACTIONS(6563),
    [anon_sym_typeof] = ACTIONS(6563),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6563),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6563),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6563),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6563),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6563),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6563),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6563),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_API_AVAILABLE] = ACTIONS(6563),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_API_DEPRECATED] = ACTIONS(6563),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6563),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6563),
    [anon_sym___deprecated_msg] = ACTIONS(6563),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6563),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6563),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6563),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6563),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6563),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6563),
    [anon_sym_BOOL] = ACTIONS(6563),
    [anon_sym_IMP] = ACTIONS(6563),
    [anon_sym_SEL] = ACTIONS(6563),
    [anon_sym_Class] = ACTIONS(6563),
    [anon_sym_id] = ACTIONS(6563),
    [anon_sym_ATdefs] = ACTIONS(6565),
  },
  [2776] = {
    [sym_identifier] = ACTIONS(6571),
    [aux_sym_preproc_def_token1] = ACTIONS(6571),
    [aux_sym_preproc_if_token1] = ACTIONS(6571),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6571),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6571),
    [sym_preproc_directive] = ACTIONS(6571),
    [anon_sym___extension__] = ACTIONS(6571),
    [anon_sym_extern] = ACTIONS(6571),
    [anon_sym___attribute__] = ACTIONS(6571),
    [anon_sym___attribute] = ACTIONS(6571),
    [anon_sym_noreturn] = ACTIONS(6571),
    [anon_sym_LBRACK] = ACTIONS(6573),
    [anon_sym___declspec] = ACTIONS(6571),
    [anon_sym_RBRACE] = ACTIONS(6573),
    [anon_sym_signed] = ACTIONS(6571),
    [anon_sym_unsigned] = ACTIONS(6571),
    [anon_sym_long] = ACTIONS(6571),
    [anon_sym_short] = ACTIONS(6571),
    [anon_sym_static] = ACTIONS(6571),
    [anon_sym_auto] = ACTIONS(6571),
    [anon_sym_register] = ACTIONS(6571),
    [anon_sym_inline] = ACTIONS(6571),
    [anon_sym___inline] = ACTIONS(6571),
    [anon_sym___inline__] = ACTIONS(6571),
    [anon_sym___forceinline] = ACTIONS(6571),
    [anon_sym_thread_local] = ACTIONS(6571),
    [anon_sym___thread] = ACTIONS(6571),
    [anon_sym_CG_EXTERN] = ACTIONS(6571),
    [anon_sym_CG_INLINE] = ACTIONS(6571),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6571),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6571),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6571),
    [anon_sym_IBOutlet] = ACTIONS(6571),
    [anon_sym_IBInspectable] = ACTIONS(6571),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6571),
    [anon_sym_NS_INLINE] = ACTIONS(6571),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6571),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6571),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6571),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6571),
    [anon_sym_const] = ACTIONS(6571),
    [anon_sym_constexpr] = ACTIONS(6571),
    [anon_sym_volatile] = ACTIONS(6571),
    [anon_sym_restrict] = ACTIONS(6571),
    [anon_sym___restrict__] = ACTIONS(6571),
    [anon_sym__Atomic] = ACTIONS(6571),
    [anon_sym__Noreturn] = ACTIONS(6571),
    [anon_sym__Nonnull] = ACTIONS(6571),
    [anon_sym_nullable] = ACTIONS(6571),
    [anon_sym__Complex] = ACTIONS(6571),
    [anon_sym__Nullable] = ACTIONS(6571),
    [anon_sym__Nullable_result] = ACTIONS(6571),
    [anon_sym__Null_unspecified] = ACTIONS(6571),
    [anon_sym___autoreleasing] = ACTIONS(6571),
    [anon_sym___block] = ACTIONS(6571),
    [anon_sym___bridge] = ACTIONS(6571),
    [anon_sym___bridge_retained] = ACTIONS(6571),
    [anon_sym___bridge_transfer] = ACTIONS(6571),
    [anon_sym___complex] = ACTIONS(6571),
    [anon_sym___const] = ACTIONS(6571),
    [anon_sym___imag] = ACTIONS(6571),
    [anon_sym___kindof] = ACTIONS(6571),
    [anon_sym___nonnull] = ACTIONS(6571),
    [anon_sym___nullable] = ACTIONS(6571),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6571),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6571),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6571),
    [anon_sym___real] = ACTIONS(6571),
    [anon_sym___strong] = ACTIONS(6571),
    [anon_sym___unsafe_unretained] = ACTIONS(6571),
    [anon_sym___unused] = ACTIONS(6571),
    [anon_sym___weak] = ACTIONS(6571),
    [anon_sym_alignas] = ACTIONS(6571),
    [anon_sym__Alignas] = ACTIONS(6571),
    [sym_primitive_type] = ACTIONS(6571),
    [anon_sym_enum] = ACTIONS(6571),
    [anon_sym_struct] = ACTIONS(6571),
    [anon_sym_union] = ACTIONS(6571),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6571),
    [anon_sym___typeof] = ACTIONS(6571),
    [anon_sym_typeof] = ACTIONS(6571),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6571),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6571),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6571),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6571),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6571),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6571),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6571),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6571),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6571),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6571),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6571),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6571),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6571),
    [anon_sym_API_AVAILABLE] = ACTIONS(6571),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6571),
    [anon_sym_API_DEPRECATED] = ACTIONS(6571),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6571),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6571),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6571),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6571),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6571),
    [anon_sym___deprecated_msg] = ACTIONS(6571),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6571),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6571),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6571),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6571),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6571),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6571),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6571),
    [anon_sym_BOOL] = ACTIONS(6571),
    [anon_sym_IMP] = ACTIONS(6571),
    [anon_sym_SEL] = ACTIONS(6571),
    [anon_sym_Class] = ACTIONS(6571),
    [anon_sym_id] = ACTIONS(6571),
    [anon_sym_ATdefs] = ACTIONS(6573),
  },
  [2777] = {
    [sym_parameter_list] = STATE(2572),
    [sym_identifier] = ACTIONS(6756),
    [anon_sym_COMMA] = ACTIONS(6758),
    [anon_sym_LPAREN2] = ACTIONS(6687),
    [anon_sym_SEMI] = ACTIONS(6758),
    [anon_sym___extension__] = ACTIONS(6756),
    [anon_sym_extern] = ACTIONS(6756),
    [anon_sym___attribute__] = ACTIONS(6756),
    [anon_sym___attribute] = ACTIONS(6756),
    [anon_sym_noreturn] = ACTIONS(6756),
    [anon_sym_LBRACK] = ACTIONS(6689),
    [anon_sym___declspec] = ACTIONS(6756),
    [anon_sym_LBRACE] = ACTIONS(6758),
    [anon_sym_signed] = ACTIONS(6756),
    [anon_sym_unsigned] = ACTIONS(6756),
    [anon_sym_long] = ACTIONS(6756),
    [anon_sym_short] = ACTIONS(6756),
    [anon_sym_static] = ACTIONS(6756),
    [anon_sym_EQ] = ACTIONS(6758),
    [anon_sym_ATautoreleasepool] = ACTIONS(6758),
    [anon_sym_auto] = ACTIONS(6756),
    [anon_sym_register] = ACTIONS(6756),
    [anon_sym_inline] = ACTIONS(6756),
    [anon_sym___inline] = ACTIONS(6756),
    [anon_sym___inline__] = ACTIONS(6756),
    [anon_sym___forceinline] = ACTIONS(6756),
    [anon_sym_thread_local] = ACTIONS(6756),
    [anon_sym___thread] = ACTIONS(6756),
    [anon_sym_CG_EXTERN] = ACTIONS(6756),
    [anon_sym_CG_INLINE] = ACTIONS(6756),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6756),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6756),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6756),
    [anon_sym_IBOutlet] = ACTIONS(6756),
    [anon_sym_IBInspectable] = ACTIONS(6756),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6756),
    [anon_sym_NS_INLINE] = ACTIONS(6756),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6756),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6756),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6756),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6756),
    [anon_sym_const] = ACTIONS(6756),
    [anon_sym_constexpr] = ACTIONS(6756),
    [anon_sym_volatile] = ACTIONS(6756),
    [anon_sym_restrict] = ACTIONS(6756),
    [anon_sym___restrict__] = ACTIONS(6756),
    [anon_sym__Atomic] = ACTIONS(6756),
    [anon_sym__Noreturn] = ACTIONS(6756),
    [anon_sym__Nonnull] = ACTIONS(6756),
    [anon_sym_nullable] = ACTIONS(6756),
    [anon_sym__Complex] = ACTIONS(6756),
    [anon_sym__Nullable] = ACTIONS(6756),
    [anon_sym__Nullable_result] = ACTIONS(6756),
    [anon_sym__Null_unspecified] = ACTIONS(6756),
    [anon_sym___autoreleasing] = ACTIONS(6756),
    [anon_sym___block] = ACTIONS(6756),
    [anon_sym___bridge] = ACTIONS(6756),
    [anon_sym___bridge_retained] = ACTIONS(6756),
    [anon_sym___bridge_transfer] = ACTIONS(6756),
    [anon_sym___complex] = ACTIONS(6756),
    [anon_sym___const] = ACTIONS(6756),
    [anon_sym___imag] = ACTIONS(6756),
    [anon_sym___kindof] = ACTIONS(6756),
    [anon_sym___nonnull] = ACTIONS(6756),
    [anon_sym___nullable] = ACTIONS(6756),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6756),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6756),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6756),
    [anon_sym___real] = ACTIONS(6756),
    [anon_sym___strong] = ACTIONS(6756),
    [anon_sym___unsafe_unretained] = ACTIONS(6756),
    [anon_sym___unused] = ACTIONS(6756),
    [anon_sym___weak] = ACTIONS(6756),
    [anon_sym_alignas] = ACTIONS(6756),
    [anon_sym__Alignas] = ACTIONS(6756),
    [sym_primitive_type] = ACTIONS(6756),
    [anon_sym_enum] = ACTIONS(6756),
    [anon_sym_struct] = ACTIONS(6756),
    [anon_sym_union] = ACTIONS(6756),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6756),
    [anon_sym___typeof] = ACTIONS(6756),
    [anon_sym_typeof] = ACTIONS(6756),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6756),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6756),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6756),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6756),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6756),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6756),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6756),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6756),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6756),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6756),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6756),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6756),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6756),
    [anon_sym_API_AVAILABLE] = ACTIONS(6756),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6756),
    [anon_sym_API_DEPRECATED] = ACTIONS(6756),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6756),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6756),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6756),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6756),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6756),
    [anon_sym___deprecated_msg] = ACTIONS(6756),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6756),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6756),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6756),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6756),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6756),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6756),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6756),
    [anon_sym_BOOL] = ACTIONS(6756),
    [anon_sym_IMP] = ACTIONS(6756),
    [anon_sym_SEL] = ACTIONS(6756),
    [anon_sym_Class] = ACTIONS(6756),
    [anon_sym_id] = ACTIONS(6756),
  },
  [2778] = {
    [sym_identifier] = ACTIONS(6567),
    [aux_sym_preproc_def_token1] = ACTIONS(6567),
    [aux_sym_preproc_if_token1] = ACTIONS(6567),
    [aux_sym_preproc_if_token2] = ACTIONS(6567),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6567),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6567),
    [sym_preproc_directive] = ACTIONS(6567),
    [anon_sym___extension__] = ACTIONS(6567),
    [anon_sym_extern] = ACTIONS(6567),
    [anon_sym___attribute__] = ACTIONS(6567),
    [anon_sym___attribute] = ACTIONS(6567),
    [anon_sym_noreturn] = ACTIONS(6567),
    [anon_sym_LBRACK] = ACTIONS(6569),
    [anon_sym___declspec] = ACTIONS(6567),
    [anon_sym_signed] = ACTIONS(6567),
    [anon_sym_unsigned] = ACTIONS(6567),
    [anon_sym_long] = ACTIONS(6567),
    [anon_sym_short] = ACTIONS(6567),
    [anon_sym_static] = ACTIONS(6567),
    [anon_sym_auto] = ACTIONS(6567),
    [anon_sym_register] = ACTIONS(6567),
    [anon_sym_inline] = ACTIONS(6567),
    [anon_sym___inline] = ACTIONS(6567),
    [anon_sym___inline__] = ACTIONS(6567),
    [anon_sym___forceinline] = ACTIONS(6567),
    [anon_sym_thread_local] = ACTIONS(6567),
    [anon_sym___thread] = ACTIONS(6567),
    [anon_sym_CG_EXTERN] = ACTIONS(6567),
    [anon_sym_CG_INLINE] = ACTIONS(6567),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6567),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6567),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6567),
    [anon_sym_IBOutlet] = ACTIONS(6567),
    [anon_sym_IBInspectable] = ACTIONS(6567),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6567),
    [anon_sym_NS_INLINE] = ACTIONS(6567),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6567),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6567),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6567),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6567),
    [anon_sym_const] = ACTIONS(6567),
    [anon_sym_constexpr] = ACTIONS(6567),
    [anon_sym_volatile] = ACTIONS(6567),
    [anon_sym_restrict] = ACTIONS(6567),
    [anon_sym___restrict__] = ACTIONS(6567),
    [anon_sym__Atomic] = ACTIONS(6567),
    [anon_sym__Noreturn] = ACTIONS(6567),
    [anon_sym__Nonnull] = ACTIONS(6567),
    [anon_sym_nullable] = ACTIONS(6567),
    [anon_sym__Complex] = ACTIONS(6567),
    [anon_sym__Nullable] = ACTIONS(6567),
    [anon_sym__Nullable_result] = ACTIONS(6567),
    [anon_sym__Null_unspecified] = ACTIONS(6567),
    [anon_sym___autoreleasing] = ACTIONS(6567),
    [anon_sym___block] = ACTIONS(6567),
    [anon_sym___bridge] = ACTIONS(6567),
    [anon_sym___bridge_retained] = ACTIONS(6567),
    [anon_sym___bridge_transfer] = ACTIONS(6567),
    [anon_sym___complex] = ACTIONS(6567),
    [anon_sym___const] = ACTIONS(6567),
    [anon_sym___imag] = ACTIONS(6567),
    [anon_sym___kindof] = ACTIONS(6567),
    [anon_sym___nonnull] = ACTIONS(6567),
    [anon_sym___nullable] = ACTIONS(6567),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6567),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6567),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6567),
    [anon_sym___real] = ACTIONS(6567),
    [anon_sym___strong] = ACTIONS(6567),
    [anon_sym___unsafe_unretained] = ACTIONS(6567),
    [anon_sym___unused] = ACTIONS(6567),
    [anon_sym___weak] = ACTIONS(6567),
    [anon_sym_alignas] = ACTIONS(6567),
    [anon_sym__Alignas] = ACTIONS(6567),
    [sym_primitive_type] = ACTIONS(6567),
    [anon_sym_enum] = ACTIONS(6567),
    [anon_sym_struct] = ACTIONS(6567),
    [anon_sym_union] = ACTIONS(6567),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6567),
    [anon_sym___typeof] = ACTIONS(6567),
    [anon_sym_typeof] = ACTIONS(6567),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6567),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6567),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6567),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6567),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6567),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6567),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6567),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6567),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6567),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6567),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6567),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6567),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6567),
    [anon_sym_API_AVAILABLE] = ACTIONS(6567),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6567),
    [anon_sym_API_DEPRECATED] = ACTIONS(6567),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6567),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6567),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6567),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6567),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6567),
    [anon_sym___deprecated_msg] = ACTIONS(6567),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6567),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6567),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6567),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6567),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6567),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6567),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6567),
    [anon_sym_BOOL] = ACTIONS(6567),
    [anon_sym_IMP] = ACTIONS(6567),
    [anon_sym_SEL] = ACTIONS(6567),
    [anon_sym_Class] = ACTIONS(6567),
    [anon_sym_id] = ACTIONS(6567),
    [anon_sym_ATdefs] = ACTIONS(6569),
  },
  [2779] = {
    [sym_identifier] = ACTIONS(6583),
    [aux_sym_preproc_def_token1] = ACTIONS(6583),
    [aux_sym_preproc_if_token1] = ACTIONS(6583),
    [aux_sym_preproc_if_token2] = ACTIONS(6583),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6583),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6583),
    [sym_preproc_directive] = ACTIONS(6583),
    [anon_sym___extension__] = ACTIONS(6583),
    [anon_sym_extern] = ACTIONS(6583),
    [anon_sym___attribute__] = ACTIONS(6583),
    [anon_sym___attribute] = ACTIONS(6583),
    [anon_sym_noreturn] = ACTIONS(6583),
    [anon_sym_LBRACK] = ACTIONS(6585),
    [anon_sym___declspec] = ACTIONS(6583),
    [anon_sym_signed] = ACTIONS(6583),
    [anon_sym_unsigned] = ACTIONS(6583),
    [anon_sym_long] = ACTIONS(6583),
    [anon_sym_short] = ACTIONS(6583),
    [anon_sym_static] = ACTIONS(6583),
    [anon_sym_auto] = ACTIONS(6583),
    [anon_sym_register] = ACTIONS(6583),
    [anon_sym_inline] = ACTIONS(6583),
    [anon_sym___inline] = ACTIONS(6583),
    [anon_sym___inline__] = ACTIONS(6583),
    [anon_sym___forceinline] = ACTIONS(6583),
    [anon_sym_thread_local] = ACTIONS(6583),
    [anon_sym___thread] = ACTIONS(6583),
    [anon_sym_CG_EXTERN] = ACTIONS(6583),
    [anon_sym_CG_INLINE] = ACTIONS(6583),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6583),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6583),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6583),
    [anon_sym_IBOutlet] = ACTIONS(6583),
    [anon_sym_IBInspectable] = ACTIONS(6583),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6583),
    [anon_sym_NS_INLINE] = ACTIONS(6583),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6583),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6583),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6583),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6583),
    [anon_sym_const] = ACTIONS(6583),
    [anon_sym_constexpr] = ACTIONS(6583),
    [anon_sym_volatile] = ACTIONS(6583),
    [anon_sym_restrict] = ACTIONS(6583),
    [anon_sym___restrict__] = ACTIONS(6583),
    [anon_sym__Atomic] = ACTIONS(6583),
    [anon_sym__Noreturn] = ACTIONS(6583),
    [anon_sym__Nonnull] = ACTIONS(6583),
    [anon_sym_nullable] = ACTIONS(6583),
    [anon_sym__Complex] = ACTIONS(6583),
    [anon_sym__Nullable] = ACTIONS(6583),
    [anon_sym__Nullable_result] = ACTIONS(6583),
    [anon_sym__Null_unspecified] = ACTIONS(6583),
    [anon_sym___autoreleasing] = ACTIONS(6583),
    [anon_sym___block] = ACTIONS(6583),
    [anon_sym___bridge] = ACTIONS(6583),
    [anon_sym___bridge_retained] = ACTIONS(6583),
    [anon_sym___bridge_transfer] = ACTIONS(6583),
    [anon_sym___complex] = ACTIONS(6583),
    [anon_sym___const] = ACTIONS(6583),
    [anon_sym___imag] = ACTIONS(6583),
    [anon_sym___kindof] = ACTIONS(6583),
    [anon_sym___nonnull] = ACTIONS(6583),
    [anon_sym___nullable] = ACTIONS(6583),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6583),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6583),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6583),
    [anon_sym___real] = ACTIONS(6583),
    [anon_sym___strong] = ACTIONS(6583),
    [anon_sym___unsafe_unretained] = ACTIONS(6583),
    [anon_sym___unused] = ACTIONS(6583),
    [anon_sym___weak] = ACTIONS(6583),
    [anon_sym_alignas] = ACTIONS(6583),
    [anon_sym__Alignas] = ACTIONS(6583),
    [sym_primitive_type] = ACTIONS(6583),
    [anon_sym_enum] = ACTIONS(6583),
    [anon_sym_struct] = ACTIONS(6583),
    [anon_sym_union] = ACTIONS(6583),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6583),
    [anon_sym___typeof] = ACTIONS(6583),
    [anon_sym_typeof] = ACTIONS(6583),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6583),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6583),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6583),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6583),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6583),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6583),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6583),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6583),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6583),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6583),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6583),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6583),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6583),
    [anon_sym_API_AVAILABLE] = ACTIONS(6583),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6583),
    [anon_sym_API_DEPRECATED] = ACTIONS(6583),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6583),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6583),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6583),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6583),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6583),
    [anon_sym___deprecated_msg] = ACTIONS(6583),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6583),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6583),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6583),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6583),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6583),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6583),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6583),
    [anon_sym_BOOL] = ACTIONS(6583),
    [anon_sym_IMP] = ACTIONS(6583),
    [anon_sym_SEL] = ACTIONS(6583),
    [anon_sym_Class] = ACTIONS(6583),
    [anon_sym_id] = ACTIONS(6583),
    [anon_sym_ATdefs] = ACTIONS(6585),
  },
  [2780] = {
    [sym_identifier] = ACTIONS(6595),
    [aux_sym_preproc_def_token1] = ACTIONS(6595),
    [aux_sym_preproc_if_token1] = ACTIONS(6595),
    [aux_sym_preproc_if_token2] = ACTIONS(6595),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6595),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6595),
    [sym_preproc_directive] = ACTIONS(6595),
    [anon_sym___extension__] = ACTIONS(6595),
    [anon_sym_extern] = ACTIONS(6595),
    [anon_sym___attribute__] = ACTIONS(6595),
    [anon_sym___attribute] = ACTIONS(6595),
    [anon_sym_noreturn] = ACTIONS(6595),
    [anon_sym_LBRACK] = ACTIONS(6597),
    [anon_sym___declspec] = ACTIONS(6595),
    [anon_sym_signed] = ACTIONS(6595),
    [anon_sym_unsigned] = ACTIONS(6595),
    [anon_sym_long] = ACTIONS(6595),
    [anon_sym_short] = ACTIONS(6595),
    [anon_sym_static] = ACTIONS(6595),
    [anon_sym_auto] = ACTIONS(6595),
    [anon_sym_register] = ACTIONS(6595),
    [anon_sym_inline] = ACTIONS(6595),
    [anon_sym___inline] = ACTIONS(6595),
    [anon_sym___inline__] = ACTIONS(6595),
    [anon_sym___forceinline] = ACTIONS(6595),
    [anon_sym_thread_local] = ACTIONS(6595),
    [anon_sym___thread] = ACTIONS(6595),
    [anon_sym_CG_EXTERN] = ACTIONS(6595),
    [anon_sym_CG_INLINE] = ACTIONS(6595),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6595),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6595),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6595),
    [anon_sym_IBOutlet] = ACTIONS(6595),
    [anon_sym_IBInspectable] = ACTIONS(6595),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6595),
    [anon_sym_NS_INLINE] = ACTIONS(6595),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6595),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6595),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6595),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6595),
    [anon_sym_const] = ACTIONS(6595),
    [anon_sym_constexpr] = ACTIONS(6595),
    [anon_sym_volatile] = ACTIONS(6595),
    [anon_sym_restrict] = ACTIONS(6595),
    [anon_sym___restrict__] = ACTIONS(6595),
    [anon_sym__Atomic] = ACTIONS(6595),
    [anon_sym__Noreturn] = ACTIONS(6595),
    [anon_sym__Nonnull] = ACTIONS(6595),
    [anon_sym_nullable] = ACTIONS(6595),
    [anon_sym__Complex] = ACTIONS(6595),
    [anon_sym__Nullable] = ACTIONS(6595),
    [anon_sym__Nullable_result] = ACTIONS(6595),
    [anon_sym__Null_unspecified] = ACTIONS(6595),
    [anon_sym___autoreleasing] = ACTIONS(6595),
    [anon_sym___block] = ACTIONS(6595),
    [anon_sym___bridge] = ACTIONS(6595),
    [anon_sym___bridge_retained] = ACTIONS(6595),
    [anon_sym___bridge_transfer] = ACTIONS(6595),
    [anon_sym___complex] = ACTIONS(6595),
    [anon_sym___const] = ACTIONS(6595),
    [anon_sym___imag] = ACTIONS(6595),
    [anon_sym___kindof] = ACTIONS(6595),
    [anon_sym___nonnull] = ACTIONS(6595),
    [anon_sym___nullable] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6595),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6595),
    [anon_sym___real] = ACTIONS(6595),
    [anon_sym___strong] = ACTIONS(6595),
    [anon_sym___unsafe_unretained] = ACTIONS(6595),
    [anon_sym___unused] = ACTIONS(6595),
    [anon_sym___weak] = ACTIONS(6595),
    [anon_sym_alignas] = ACTIONS(6595),
    [anon_sym__Alignas] = ACTIONS(6595),
    [sym_primitive_type] = ACTIONS(6595),
    [anon_sym_enum] = ACTIONS(6595),
    [anon_sym_struct] = ACTIONS(6595),
    [anon_sym_union] = ACTIONS(6595),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6595),
    [anon_sym___typeof] = ACTIONS(6595),
    [anon_sym_typeof] = ACTIONS(6595),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6595),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6595),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6595),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6595),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6595),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6595),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6595),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_API_AVAILABLE] = ACTIONS(6595),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_API_DEPRECATED] = ACTIONS(6595),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6595),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6595),
    [anon_sym___deprecated_msg] = ACTIONS(6595),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6595),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6595),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6595),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6595),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6595),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6595),
    [anon_sym_BOOL] = ACTIONS(6595),
    [anon_sym_IMP] = ACTIONS(6595),
    [anon_sym_SEL] = ACTIONS(6595),
    [anon_sym_Class] = ACTIONS(6595),
    [anon_sym_id] = ACTIONS(6595),
    [anon_sym_ATdefs] = ACTIONS(6597),
  },
  [2781] = {
    [sym_identifier] = ACTIONS(6499),
    [aux_sym_preproc_def_token1] = ACTIONS(6499),
    [aux_sym_preproc_if_token1] = ACTIONS(6499),
    [aux_sym_preproc_if_token2] = ACTIONS(6499),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6499),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6499),
    [sym_preproc_directive] = ACTIONS(6499),
    [anon_sym___extension__] = ACTIONS(6499),
    [anon_sym_extern] = ACTIONS(6499),
    [anon_sym___attribute__] = ACTIONS(6499),
    [anon_sym___attribute] = ACTIONS(6499),
    [anon_sym_noreturn] = ACTIONS(6499),
    [anon_sym_LBRACK] = ACTIONS(6501),
    [anon_sym___declspec] = ACTIONS(6499),
    [anon_sym_signed] = ACTIONS(6499),
    [anon_sym_unsigned] = ACTIONS(6499),
    [anon_sym_long] = ACTIONS(6499),
    [anon_sym_short] = ACTIONS(6499),
    [anon_sym_static] = ACTIONS(6499),
    [anon_sym_auto] = ACTIONS(6499),
    [anon_sym_register] = ACTIONS(6499),
    [anon_sym_inline] = ACTIONS(6499),
    [anon_sym___inline] = ACTIONS(6499),
    [anon_sym___inline__] = ACTIONS(6499),
    [anon_sym___forceinline] = ACTIONS(6499),
    [anon_sym_thread_local] = ACTIONS(6499),
    [anon_sym___thread] = ACTIONS(6499),
    [anon_sym_CG_EXTERN] = ACTIONS(6499),
    [anon_sym_CG_INLINE] = ACTIONS(6499),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6499),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6499),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6499),
    [anon_sym_IBOutlet] = ACTIONS(6499),
    [anon_sym_IBInspectable] = ACTIONS(6499),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6499),
    [anon_sym_NS_INLINE] = ACTIONS(6499),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6499),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6499),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6499),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6499),
    [anon_sym_const] = ACTIONS(6499),
    [anon_sym_constexpr] = ACTIONS(6499),
    [anon_sym_volatile] = ACTIONS(6499),
    [anon_sym_restrict] = ACTIONS(6499),
    [anon_sym___restrict__] = ACTIONS(6499),
    [anon_sym__Atomic] = ACTIONS(6499),
    [anon_sym__Noreturn] = ACTIONS(6499),
    [anon_sym__Nonnull] = ACTIONS(6499),
    [anon_sym_nullable] = ACTIONS(6499),
    [anon_sym__Complex] = ACTIONS(6499),
    [anon_sym__Nullable] = ACTIONS(6499),
    [anon_sym__Nullable_result] = ACTIONS(6499),
    [anon_sym__Null_unspecified] = ACTIONS(6499),
    [anon_sym___autoreleasing] = ACTIONS(6499),
    [anon_sym___block] = ACTIONS(6499),
    [anon_sym___bridge] = ACTIONS(6499),
    [anon_sym___bridge_retained] = ACTIONS(6499),
    [anon_sym___bridge_transfer] = ACTIONS(6499),
    [anon_sym___complex] = ACTIONS(6499),
    [anon_sym___const] = ACTIONS(6499),
    [anon_sym___imag] = ACTIONS(6499),
    [anon_sym___kindof] = ACTIONS(6499),
    [anon_sym___nonnull] = ACTIONS(6499),
    [anon_sym___nullable] = ACTIONS(6499),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6499),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6499),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6499),
    [anon_sym___real] = ACTIONS(6499),
    [anon_sym___strong] = ACTIONS(6499),
    [anon_sym___unsafe_unretained] = ACTIONS(6499),
    [anon_sym___unused] = ACTIONS(6499),
    [anon_sym___weak] = ACTIONS(6499),
    [anon_sym_alignas] = ACTIONS(6499),
    [anon_sym__Alignas] = ACTIONS(6499),
    [sym_primitive_type] = ACTIONS(6499),
    [anon_sym_enum] = ACTIONS(6499),
    [anon_sym_struct] = ACTIONS(6499),
    [anon_sym_union] = ACTIONS(6499),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6499),
    [anon_sym___typeof] = ACTIONS(6499),
    [anon_sym_typeof] = ACTIONS(6499),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6499),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6499),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6499),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6499),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6499),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6499),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6499),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6499),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6499),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6499),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6499),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6499),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6499),
    [anon_sym_API_AVAILABLE] = ACTIONS(6499),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6499),
    [anon_sym_API_DEPRECATED] = ACTIONS(6499),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6499),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6499),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6499),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6499),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6499),
    [anon_sym___deprecated_msg] = ACTIONS(6499),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6499),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6499),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6499),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6499),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6499),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6499),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6499),
    [anon_sym_BOOL] = ACTIONS(6499),
    [anon_sym_IMP] = ACTIONS(6499),
    [anon_sym_SEL] = ACTIONS(6499),
    [anon_sym_Class] = ACTIONS(6499),
    [anon_sym_id] = ACTIONS(6499),
    [anon_sym_ATdefs] = ACTIONS(6501),
  },
  [2782] = {
    [sym_identifier] = ACTIONS(6547),
    [aux_sym_preproc_def_token1] = ACTIONS(6547),
    [aux_sym_preproc_if_token1] = ACTIONS(6547),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6547),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6547),
    [sym_preproc_directive] = ACTIONS(6547),
    [anon_sym___extension__] = ACTIONS(6547),
    [anon_sym_extern] = ACTIONS(6547),
    [anon_sym___attribute__] = ACTIONS(6547),
    [anon_sym___attribute] = ACTIONS(6547),
    [anon_sym_noreturn] = ACTIONS(6547),
    [anon_sym_LBRACK] = ACTIONS(6549),
    [anon_sym___declspec] = ACTIONS(6547),
    [anon_sym_RBRACE] = ACTIONS(6549),
    [anon_sym_signed] = ACTIONS(6547),
    [anon_sym_unsigned] = ACTIONS(6547),
    [anon_sym_long] = ACTIONS(6547),
    [anon_sym_short] = ACTIONS(6547),
    [anon_sym_static] = ACTIONS(6547),
    [anon_sym_auto] = ACTIONS(6547),
    [anon_sym_register] = ACTIONS(6547),
    [anon_sym_inline] = ACTIONS(6547),
    [anon_sym___inline] = ACTIONS(6547),
    [anon_sym___inline__] = ACTIONS(6547),
    [anon_sym___forceinline] = ACTIONS(6547),
    [anon_sym_thread_local] = ACTIONS(6547),
    [anon_sym___thread] = ACTIONS(6547),
    [anon_sym_CG_EXTERN] = ACTIONS(6547),
    [anon_sym_CG_INLINE] = ACTIONS(6547),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6547),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6547),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6547),
    [anon_sym_IBOutlet] = ACTIONS(6547),
    [anon_sym_IBInspectable] = ACTIONS(6547),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6547),
    [anon_sym_NS_INLINE] = ACTIONS(6547),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6547),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6547),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6547),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6547),
    [anon_sym_const] = ACTIONS(6547),
    [anon_sym_constexpr] = ACTIONS(6547),
    [anon_sym_volatile] = ACTIONS(6547),
    [anon_sym_restrict] = ACTIONS(6547),
    [anon_sym___restrict__] = ACTIONS(6547),
    [anon_sym__Atomic] = ACTIONS(6547),
    [anon_sym__Noreturn] = ACTIONS(6547),
    [anon_sym__Nonnull] = ACTIONS(6547),
    [anon_sym_nullable] = ACTIONS(6547),
    [anon_sym__Complex] = ACTIONS(6547),
    [anon_sym__Nullable] = ACTIONS(6547),
    [anon_sym__Nullable_result] = ACTIONS(6547),
    [anon_sym__Null_unspecified] = ACTIONS(6547),
    [anon_sym___autoreleasing] = ACTIONS(6547),
    [anon_sym___block] = ACTIONS(6547),
    [anon_sym___bridge] = ACTIONS(6547),
    [anon_sym___bridge_retained] = ACTIONS(6547),
    [anon_sym___bridge_transfer] = ACTIONS(6547),
    [anon_sym___complex] = ACTIONS(6547),
    [anon_sym___const] = ACTIONS(6547),
    [anon_sym___imag] = ACTIONS(6547),
    [anon_sym___kindof] = ACTIONS(6547),
    [anon_sym___nonnull] = ACTIONS(6547),
    [anon_sym___nullable] = ACTIONS(6547),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6547),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6547),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6547),
    [anon_sym___real] = ACTIONS(6547),
    [anon_sym___strong] = ACTIONS(6547),
    [anon_sym___unsafe_unretained] = ACTIONS(6547),
    [anon_sym___unused] = ACTIONS(6547),
    [anon_sym___weak] = ACTIONS(6547),
    [anon_sym_alignas] = ACTIONS(6547),
    [anon_sym__Alignas] = ACTIONS(6547),
    [sym_primitive_type] = ACTIONS(6547),
    [anon_sym_enum] = ACTIONS(6547),
    [anon_sym_struct] = ACTIONS(6547),
    [anon_sym_union] = ACTIONS(6547),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6547),
    [anon_sym___typeof] = ACTIONS(6547),
    [anon_sym_typeof] = ACTIONS(6547),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6547),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6547),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6547),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6547),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6547),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6547),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6547),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6547),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6547),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6547),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6547),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6547),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6547),
    [anon_sym_API_AVAILABLE] = ACTIONS(6547),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6547),
    [anon_sym_API_DEPRECATED] = ACTIONS(6547),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6547),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6547),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6547),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6547),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6547),
    [anon_sym___deprecated_msg] = ACTIONS(6547),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6547),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6547),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6547),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6547),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6547),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6547),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6547),
    [anon_sym_BOOL] = ACTIONS(6547),
    [anon_sym_IMP] = ACTIONS(6547),
    [anon_sym_SEL] = ACTIONS(6547),
    [anon_sym_Class] = ACTIONS(6547),
    [anon_sym_id] = ACTIONS(6547),
    [anon_sym_ATdefs] = ACTIONS(6549),
  },
  [2783] = {
    [sym_identifier] = ACTIONS(6555),
    [aux_sym_preproc_def_token1] = ACTIONS(6555),
    [aux_sym_preproc_if_token1] = ACTIONS(6555),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6555),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6555),
    [sym_preproc_directive] = ACTIONS(6555),
    [anon_sym___extension__] = ACTIONS(6555),
    [anon_sym_extern] = ACTIONS(6555),
    [anon_sym___attribute__] = ACTIONS(6555),
    [anon_sym___attribute] = ACTIONS(6555),
    [anon_sym_noreturn] = ACTIONS(6555),
    [anon_sym_LBRACK] = ACTIONS(6557),
    [anon_sym___declspec] = ACTIONS(6555),
    [anon_sym_RBRACE] = ACTIONS(6557),
    [anon_sym_signed] = ACTIONS(6555),
    [anon_sym_unsigned] = ACTIONS(6555),
    [anon_sym_long] = ACTIONS(6555),
    [anon_sym_short] = ACTIONS(6555),
    [anon_sym_static] = ACTIONS(6555),
    [anon_sym_auto] = ACTIONS(6555),
    [anon_sym_register] = ACTIONS(6555),
    [anon_sym_inline] = ACTIONS(6555),
    [anon_sym___inline] = ACTIONS(6555),
    [anon_sym___inline__] = ACTIONS(6555),
    [anon_sym___forceinline] = ACTIONS(6555),
    [anon_sym_thread_local] = ACTIONS(6555),
    [anon_sym___thread] = ACTIONS(6555),
    [anon_sym_CG_EXTERN] = ACTIONS(6555),
    [anon_sym_CG_INLINE] = ACTIONS(6555),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6555),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6555),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6555),
    [anon_sym_IBOutlet] = ACTIONS(6555),
    [anon_sym_IBInspectable] = ACTIONS(6555),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6555),
    [anon_sym_NS_INLINE] = ACTIONS(6555),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6555),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6555),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6555),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6555),
    [anon_sym_const] = ACTIONS(6555),
    [anon_sym_constexpr] = ACTIONS(6555),
    [anon_sym_volatile] = ACTIONS(6555),
    [anon_sym_restrict] = ACTIONS(6555),
    [anon_sym___restrict__] = ACTIONS(6555),
    [anon_sym__Atomic] = ACTIONS(6555),
    [anon_sym__Noreturn] = ACTIONS(6555),
    [anon_sym__Nonnull] = ACTIONS(6555),
    [anon_sym_nullable] = ACTIONS(6555),
    [anon_sym__Complex] = ACTIONS(6555),
    [anon_sym__Nullable] = ACTIONS(6555),
    [anon_sym__Nullable_result] = ACTIONS(6555),
    [anon_sym__Null_unspecified] = ACTIONS(6555),
    [anon_sym___autoreleasing] = ACTIONS(6555),
    [anon_sym___block] = ACTIONS(6555),
    [anon_sym___bridge] = ACTIONS(6555),
    [anon_sym___bridge_retained] = ACTIONS(6555),
    [anon_sym___bridge_transfer] = ACTIONS(6555),
    [anon_sym___complex] = ACTIONS(6555),
    [anon_sym___const] = ACTIONS(6555),
    [anon_sym___imag] = ACTIONS(6555),
    [anon_sym___kindof] = ACTIONS(6555),
    [anon_sym___nonnull] = ACTIONS(6555),
    [anon_sym___nullable] = ACTIONS(6555),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6555),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6555),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6555),
    [anon_sym___real] = ACTIONS(6555),
    [anon_sym___strong] = ACTIONS(6555),
    [anon_sym___unsafe_unretained] = ACTIONS(6555),
    [anon_sym___unused] = ACTIONS(6555),
    [anon_sym___weak] = ACTIONS(6555),
    [anon_sym_alignas] = ACTIONS(6555),
    [anon_sym__Alignas] = ACTIONS(6555),
    [sym_primitive_type] = ACTIONS(6555),
    [anon_sym_enum] = ACTIONS(6555),
    [anon_sym_struct] = ACTIONS(6555),
    [anon_sym_union] = ACTIONS(6555),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6555),
    [anon_sym___typeof] = ACTIONS(6555),
    [anon_sym_typeof] = ACTIONS(6555),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6555),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6555),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6555),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6555),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6555),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6555),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6555),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6555),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6555),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6555),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6555),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6555),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6555),
    [anon_sym_API_AVAILABLE] = ACTIONS(6555),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6555),
    [anon_sym_API_DEPRECATED] = ACTIONS(6555),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6555),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6555),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6555),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6555),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6555),
    [anon_sym___deprecated_msg] = ACTIONS(6555),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6555),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6555),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6555),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6555),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6555),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6555),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6555),
    [anon_sym_BOOL] = ACTIONS(6555),
    [anon_sym_IMP] = ACTIONS(6555),
    [anon_sym_SEL] = ACTIONS(6555),
    [anon_sym_Class] = ACTIONS(6555),
    [anon_sym_id] = ACTIONS(6555),
    [anon_sym_ATdefs] = ACTIONS(6557),
  },
  [2784] = {
    [sym_identifier] = ACTIONS(6575),
    [aux_sym_preproc_def_token1] = ACTIONS(6575),
    [aux_sym_preproc_if_token1] = ACTIONS(6575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6575),
    [sym_preproc_directive] = ACTIONS(6575),
    [anon_sym___extension__] = ACTIONS(6575),
    [anon_sym_extern] = ACTIONS(6575),
    [anon_sym___attribute__] = ACTIONS(6575),
    [anon_sym___attribute] = ACTIONS(6575),
    [anon_sym_noreturn] = ACTIONS(6575),
    [anon_sym_LBRACK] = ACTIONS(6577),
    [anon_sym___declspec] = ACTIONS(6575),
    [anon_sym_RBRACE] = ACTIONS(6577),
    [anon_sym_signed] = ACTIONS(6575),
    [anon_sym_unsigned] = ACTIONS(6575),
    [anon_sym_long] = ACTIONS(6575),
    [anon_sym_short] = ACTIONS(6575),
    [anon_sym_static] = ACTIONS(6575),
    [anon_sym_auto] = ACTIONS(6575),
    [anon_sym_register] = ACTIONS(6575),
    [anon_sym_inline] = ACTIONS(6575),
    [anon_sym___inline] = ACTIONS(6575),
    [anon_sym___inline__] = ACTIONS(6575),
    [anon_sym___forceinline] = ACTIONS(6575),
    [anon_sym_thread_local] = ACTIONS(6575),
    [anon_sym___thread] = ACTIONS(6575),
    [anon_sym_CG_EXTERN] = ACTIONS(6575),
    [anon_sym_CG_INLINE] = ACTIONS(6575),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6575),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6575),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6575),
    [anon_sym_IBOutlet] = ACTIONS(6575),
    [anon_sym_IBInspectable] = ACTIONS(6575),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6575),
    [anon_sym_NS_INLINE] = ACTIONS(6575),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6575),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6575),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6575),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6575),
    [anon_sym_const] = ACTIONS(6575),
    [anon_sym_constexpr] = ACTIONS(6575),
    [anon_sym_volatile] = ACTIONS(6575),
    [anon_sym_restrict] = ACTIONS(6575),
    [anon_sym___restrict__] = ACTIONS(6575),
    [anon_sym__Atomic] = ACTIONS(6575),
    [anon_sym__Noreturn] = ACTIONS(6575),
    [anon_sym__Nonnull] = ACTIONS(6575),
    [anon_sym_nullable] = ACTIONS(6575),
    [anon_sym__Complex] = ACTIONS(6575),
    [anon_sym__Nullable] = ACTIONS(6575),
    [anon_sym__Nullable_result] = ACTIONS(6575),
    [anon_sym__Null_unspecified] = ACTIONS(6575),
    [anon_sym___autoreleasing] = ACTIONS(6575),
    [anon_sym___block] = ACTIONS(6575),
    [anon_sym___bridge] = ACTIONS(6575),
    [anon_sym___bridge_retained] = ACTIONS(6575),
    [anon_sym___bridge_transfer] = ACTIONS(6575),
    [anon_sym___complex] = ACTIONS(6575),
    [anon_sym___const] = ACTIONS(6575),
    [anon_sym___imag] = ACTIONS(6575),
    [anon_sym___kindof] = ACTIONS(6575),
    [anon_sym___nonnull] = ACTIONS(6575),
    [anon_sym___nullable] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6575),
    [anon_sym___real] = ACTIONS(6575),
    [anon_sym___strong] = ACTIONS(6575),
    [anon_sym___unsafe_unretained] = ACTIONS(6575),
    [anon_sym___unused] = ACTIONS(6575),
    [anon_sym___weak] = ACTIONS(6575),
    [anon_sym_alignas] = ACTIONS(6575),
    [anon_sym__Alignas] = ACTIONS(6575),
    [sym_primitive_type] = ACTIONS(6575),
    [anon_sym_enum] = ACTIONS(6575),
    [anon_sym_struct] = ACTIONS(6575),
    [anon_sym_union] = ACTIONS(6575),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6575),
    [anon_sym___typeof] = ACTIONS(6575),
    [anon_sym_typeof] = ACTIONS(6575),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6575),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6575),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6575),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6575),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6575),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6575),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6575),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_API_AVAILABLE] = ACTIONS(6575),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_API_DEPRECATED] = ACTIONS(6575),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6575),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym___deprecated_msg] = ACTIONS(6575),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6575),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6575),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6575),
    [anon_sym_BOOL] = ACTIONS(6575),
    [anon_sym_IMP] = ACTIONS(6575),
    [anon_sym_SEL] = ACTIONS(6575),
    [anon_sym_Class] = ACTIONS(6575),
    [anon_sym_id] = ACTIONS(6575),
    [anon_sym_ATdefs] = ACTIONS(6577),
  },
  [2785] = {
    [sym_identifier] = ACTIONS(6575),
    [aux_sym_preproc_def_token1] = ACTIONS(6575),
    [aux_sym_preproc_if_token1] = ACTIONS(6575),
    [aux_sym_preproc_if_token2] = ACTIONS(6575),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(6575),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(6575),
    [sym_preproc_directive] = ACTIONS(6575),
    [anon_sym___extension__] = ACTIONS(6575),
    [anon_sym_extern] = ACTIONS(6575),
    [anon_sym___attribute__] = ACTIONS(6575),
    [anon_sym___attribute] = ACTIONS(6575),
    [anon_sym_noreturn] = ACTIONS(6575),
    [anon_sym_LBRACK] = ACTIONS(6577),
    [anon_sym___declspec] = ACTIONS(6575),
    [anon_sym_signed] = ACTIONS(6575),
    [anon_sym_unsigned] = ACTIONS(6575),
    [anon_sym_long] = ACTIONS(6575),
    [anon_sym_short] = ACTIONS(6575),
    [anon_sym_static] = ACTIONS(6575),
    [anon_sym_auto] = ACTIONS(6575),
    [anon_sym_register] = ACTIONS(6575),
    [anon_sym_inline] = ACTIONS(6575),
    [anon_sym___inline] = ACTIONS(6575),
    [anon_sym___inline__] = ACTIONS(6575),
    [anon_sym___forceinline] = ACTIONS(6575),
    [anon_sym_thread_local] = ACTIONS(6575),
    [anon_sym___thread] = ACTIONS(6575),
    [anon_sym_CG_EXTERN] = ACTIONS(6575),
    [anon_sym_CG_INLINE] = ACTIONS(6575),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6575),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6575),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6575),
    [anon_sym_IBOutlet] = ACTIONS(6575),
    [anon_sym_IBInspectable] = ACTIONS(6575),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6575),
    [anon_sym_NS_INLINE] = ACTIONS(6575),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6575),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6575),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6575),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6575),
    [anon_sym_const] = ACTIONS(6575),
    [anon_sym_constexpr] = ACTIONS(6575),
    [anon_sym_volatile] = ACTIONS(6575),
    [anon_sym_restrict] = ACTIONS(6575),
    [anon_sym___restrict__] = ACTIONS(6575),
    [anon_sym__Atomic] = ACTIONS(6575),
    [anon_sym__Noreturn] = ACTIONS(6575),
    [anon_sym__Nonnull] = ACTIONS(6575),
    [anon_sym_nullable] = ACTIONS(6575),
    [anon_sym__Complex] = ACTIONS(6575),
    [anon_sym__Nullable] = ACTIONS(6575),
    [anon_sym__Nullable_result] = ACTIONS(6575),
    [anon_sym__Null_unspecified] = ACTIONS(6575),
    [anon_sym___autoreleasing] = ACTIONS(6575),
    [anon_sym___block] = ACTIONS(6575),
    [anon_sym___bridge] = ACTIONS(6575),
    [anon_sym___bridge_retained] = ACTIONS(6575),
    [anon_sym___bridge_transfer] = ACTIONS(6575),
    [anon_sym___complex] = ACTIONS(6575),
    [anon_sym___const] = ACTIONS(6575),
    [anon_sym___imag] = ACTIONS(6575),
    [anon_sym___kindof] = ACTIONS(6575),
    [anon_sym___nonnull] = ACTIONS(6575),
    [anon_sym___nullable] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6575),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6575),
    [anon_sym___real] = ACTIONS(6575),
    [anon_sym___strong] = ACTIONS(6575),
    [anon_sym___unsafe_unretained] = ACTIONS(6575),
    [anon_sym___unused] = ACTIONS(6575),
    [anon_sym___weak] = ACTIONS(6575),
    [anon_sym_alignas] = ACTIONS(6575),
    [anon_sym__Alignas] = ACTIONS(6575),
    [sym_primitive_type] = ACTIONS(6575),
    [anon_sym_enum] = ACTIONS(6575),
    [anon_sym_struct] = ACTIONS(6575),
    [anon_sym_union] = ACTIONS(6575),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6575),
    [anon_sym___typeof] = ACTIONS(6575),
    [anon_sym_typeof] = ACTIONS(6575),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6575),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6575),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6575),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6575),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6575),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6575),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6575),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_API_AVAILABLE] = ACTIONS(6575),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_API_DEPRECATED] = ACTIONS(6575),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6575),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6575),
    [anon_sym___deprecated_msg] = ACTIONS(6575),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6575),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6575),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6575),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6575),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6575),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6575),
    [anon_sym_BOOL] = ACTIONS(6575),
    [anon_sym_IMP] = ACTIONS(6575),
    [anon_sym_SEL] = ACTIONS(6575),
    [anon_sym_Class] = ACTIONS(6575),
    [anon_sym_id] = ACTIONS(6575),
    [anon_sym_ATdefs] = ACTIONS(6577),
  },
  [2786] = {
    [sym_identifier] = ACTIONS(6760),
    [anon_sym_COMMA] = ACTIONS(6762),
    [anon_sym_LPAREN2] = ACTIONS(6762),
    [anon_sym_SEMI] = ACTIONS(6762),
    [anon_sym___extension__] = ACTIONS(6760),
    [anon_sym_extern] = ACTIONS(6760),
    [anon_sym___attribute__] = ACTIONS(6760),
    [anon_sym___attribute] = ACTIONS(6760),
    [anon_sym_noreturn] = ACTIONS(6760),
    [anon_sym_LBRACK] = ACTIONS(6762),
    [anon_sym___declspec] = ACTIONS(6760),
    [anon_sym_LBRACE] = ACTIONS(6762),
    [anon_sym_signed] = ACTIONS(6760),
    [anon_sym_unsigned] = ACTIONS(6760),
    [anon_sym_long] = ACTIONS(6760),
    [anon_sym_short] = ACTIONS(6760),
    [anon_sym_static] = ACTIONS(6760),
    [anon_sym_EQ] = ACTIONS(6762),
    [anon_sym_ATautoreleasepool] = ACTIONS(6762),
    [anon_sym_auto] = ACTIONS(6760),
    [anon_sym_register] = ACTIONS(6760),
    [anon_sym_inline] = ACTIONS(6760),
    [anon_sym___inline] = ACTIONS(6760),
    [anon_sym___inline__] = ACTIONS(6760),
    [anon_sym___forceinline] = ACTIONS(6760),
    [anon_sym_thread_local] = ACTIONS(6760),
    [anon_sym___thread] = ACTIONS(6760),
    [anon_sym_CG_EXTERN] = ACTIONS(6760),
    [anon_sym_CG_INLINE] = ACTIONS(6760),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6760),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6760),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6760),
    [anon_sym_IBOutlet] = ACTIONS(6760),
    [anon_sym_IBInspectable] = ACTIONS(6760),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6760),
    [anon_sym_NS_INLINE] = ACTIONS(6760),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6760),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6760),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6760),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6760),
    [anon_sym_const] = ACTIONS(6760),
    [anon_sym_constexpr] = ACTIONS(6760),
    [anon_sym_volatile] = ACTIONS(6760),
    [anon_sym_restrict] = ACTIONS(6760),
    [anon_sym___restrict__] = ACTIONS(6760),
    [anon_sym__Atomic] = ACTIONS(6760),
    [anon_sym__Noreturn] = ACTIONS(6760),
    [anon_sym__Nonnull] = ACTIONS(6760),
    [anon_sym_nullable] = ACTIONS(6760),
    [anon_sym__Complex] = ACTIONS(6760),
    [anon_sym__Nullable] = ACTIONS(6760),
    [anon_sym__Nullable_result] = ACTIONS(6760),
    [anon_sym__Null_unspecified] = ACTIONS(6760),
    [anon_sym___autoreleasing] = ACTIONS(6760),
    [anon_sym___block] = ACTIONS(6760),
    [anon_sym___bridge] = ACTIONS(6760),
    [anon_sym___bridge_retained] = ACTIONS(6760),
    [anon_sym___bridge_transfer] = ACTIONS(6760),
    [anon_sym___complex] = ACTIONS(6760),
    [anon_sym___const] = ACTIONS(6760),
    [anon_sym___imag] = ACTIONS(6760),
    [anon_sym___kindof] = ACTIONS(6760),
    [anon_sym___nonnull] = ACTIONS(6760),
    [anon_sym___nullable] = ACTIONS(6760),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6760),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6760),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6760),
    [anon_sym___real] = ACTIONS(6760),
    [anon_sym___strong] = ACTIONS(6760),
    [anon_sym___unsafe_unretained] = ACTIONS(6760),
    [anon_sym___unused] = ACTIONS(6760),
    [anon_sym___weak] = ACTIONS(6760),
    [anon_sym_alignas] = ACTIONS(6760),
    [anon_sym__Alignas] = ACTIONS(6760),
    [sym_primitive_type] = ACTIONS(6760),
    [anon_sym_enum] = ACTIONS(6760),
    [anon_sym_struct] = ACTIONS(6760),
    [anon_sym_union] = ACTIONS(6760),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6760),
    [anon_sym___typeof] = ACTIONS(6760),
    [anon_sym_typeof] = ACTIONS(6760),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6760),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6760),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6760),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6760),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6760),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6760),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6760),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6760),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6760),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6760),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6760),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6760),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6760),
    [anon_sym_API_AVAILABLE] = ACTIONS(6760),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6760),
    [anon_sym_API_DEPRECATED] = ACTIONS(6760),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6760),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6760),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6760),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6760),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6760),
    [anon_sym___deprecated_msg] = ACTIONS(6760),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6760),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6760),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6760),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6760),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6760),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6760),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6760),
    [anon_sym_BOOL] = ACTIONS(6760),
    [anon_sym_IMP] = ACTIONS(6760),
    [anon_sym_SEL] = ACTIONS(6760),
    [anon_sym_Class] = ACTIONS(6760),
    [anon_sym_id] = ACTIONS(6760),
  },
  [2787] = {
    [sym_identifier] = ACTIONS(6651),
    [anon_sym_LPAREN2] = ACTIONS(6653),
    [anon_sym___extension__] = ACTIONS(6651),
    [anon_sym_extern] = ACTIONS(6651),
    [anon_sym___attribute__] = ACTIONS(6655),
    [anon_sym___attribute] = ACTIONS(6655),
    [anon_sym_noreturn] = ACTIONS(6651),
    [anon_sym_LBRACK] = ACTIONS(6658),
    [anon_sym___declspec] = ACTIONS(6651),
    [anon_sym_LBRACE] = ACTIONS(6658),
    [anon_sym_signed] = ACTIONS(6651),
    [anon_sym_unsigned] = ACTIONS(6651),
    [anon_sym_long] = ACTIONS(6651),
    [anon_sym_short] = ACTIONS(6651),
    [anon_sym_static] = ACTIONS(6651),
    [anon_sym_ATautoreleasepool] = ACTIONS(6658),
    [anon_sym_auto] = ACTIONS(6651),
    [anon_sym_register] = ACTIONS(6651),
    [anon_sym_inline] = ACTIONS(6651),
    [anon_sym___inline] = ACTIONS(6651),
    [anon_sym___inline__] = ACTIONS(6651),
    [anon_sym___forceinline] = ACTIONS(6651),
    [anon_sym_thread_local] = ACTIONS(6651),
    [anon_sym___thread] = ACTIONS(6651),
    [anon_sym_CG_EXTERN] = ACTIONS(6651),
    [anon_sym_CG_INLINE] = ACTIONS(6651),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6651),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6651),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6651),
    [anon_sym_IBOutlet] = ACTIONS(6651),
    [anon_sym_IBInspectable] = ACTIONS(6651),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6651),
    [anon_sym_NS_INLINE] = ACTIONS(6651),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6651),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6651),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6651),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6651),
    [anon_sym_const] = ACTIONS(6651),
    [anon_sym_constexpr] = ACTIONS(6651),
    [anon_sym_volatile] = ACTIONS(6651),
    [anon_sym_restrict] = ACTIONS(6651),
    [anon_sym___restrict__] = ACTIONS(6651),
    [anon_sym__Atomic] = ACTIONS(6651),
    [anon_sym__Noreturn] = ACTIONS(6651),
    [anon_sym__Nonnull] = ACTIONS(6651),
    [anon_sym_nullable] = ACTIONS(6651),
    [anon_sym__Complex] = ACTIONS(6651),
    [anon_sym__Nullable] = ACTIONS(6651),
    [anon_sym__Nullable_result] = ACTIONS(6651),
    [anon_sym__Null_unspecified] = ACTIONS(6651),
    [anon_sym___autoreleasing] = ACTIONS(6651),
    [anon_sym___block] = ACTIONS(6651),
    [anon_sym___bridge] = ACTIONS(6651),
    [anon_sym___bridge_retained] = ACTIONS(6651),
    [anon_sym___bridge_transfer] = ACTIONS(6651),
    [anon_sym___complex] = ACTIONS(6651),
    [anon_sym___const] = ACTIONS(6651),
    [anon_sym___imag] = ACTIONS(6651),
    [anon_sym___kindof] = ACTIONS(6651),
    [anon_sym___nonnull] = ACTIONS(6651),
    [anon_sym___nullable] = ACTIONS(6651),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6651),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6651),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6651),
    [anon_sym___real] = ACTIONS(6651),
    [anon_sym___strong] = ACTIONS(6651),
    [anon_sym___unsafe_unretained] = ACTIONS(6651),
    [anon_sym___unused] = ACTIONS(6651),
    [anon_sym___weak] = ACTIONS(6651),
    [anon_sym_alignas] = ACTIONS(6651),
    [anon_sym__Alignas] = ACTIONS(6651),
    [sym_primitive_type] = ACTIONS(6651),
    [anon_sym_enum] = ACTIONS(6651),
    [anon_sym_struct] = ACTIONS(6651),
    [anon_sym_union] = ACTIONS(6651),
    [anon_sym_asm] = ACTIONS(6661),
    [anon_sym___asm__] = ACTIONS(6661),
    [anon_sym___asm] = ACTIONS(6661),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6651),
    [anon_sym___typeof] = ACTIONS(6651),
    [anon_sym_typeof] = ACTIONS(6651),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6651),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6651),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6651),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6651),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6651),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6651),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6651),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6651),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6651),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6651),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6651),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6651),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6651),
    [anon_sym_API_AVAILABLE] = ACTIONS(6651),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6651),
    [anon_sym_API_DEPRECATED] = ACTIONS(6651),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6651),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6651),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6651),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6651),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6651),
    [anon_sym___deprecated_msg] = ACTIONS(6651),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6651),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6651),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6651),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6651),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6651),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6651),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6651),
    [anon_sym_BOOL] = ACTIONS(6651),
    [anon_sym_IMP] = ACTIONS(6651),
    [anon_sym_SEL] = ACTIONS(6651),
    [anon_sym_Class] = ACTIONS(6651),
    [anon_sym_id] = ACTIONS(6651),
  },
  [2788] = {
    [sym_identifier] = ACTIONS(6764),
    [anon_sym_COMMA] = ACTIONS(6766),
    [anon_sym_LPAREN2] = ACTIONS(6766),
    [anon_sym_SEMI] = ACTIONS(6766),
    [anon_sym___extension__] = ACTIONS(6764),
    [anon_sym_extern] = ACTIONS(6764),
    [anon_sym___attribute__] = ACTIONS(6764),
    [anon_sym___attribute] = ACTIONS(6764),
    [anon_sym_noreturn] = ACTIONS(6764),
    [anon_sym_LBRACK] = ACTIONS(6766),
    [anon_sym___declspec] = ACTIONS(6764),
    [anon_sym_LBRACE] = ACTIONS(6766),
    [anon_sym_signed] = ACTIONS(6764),
    [anon_sym_unsigned] = ACTIONS(6764),
    [anon_sym_long] = ACTIONS(6764),
    [anon_sym_short] = ACTIONS(6764),
    [anon_sym_static] = ACTIONS(6764),
    [anon_sym_EQ] = ACTIONS(6766),
    [anon_sym_ATautoreleasepool] = ACTIONS(6766),
    [anon_sym_auto] = ACTIONS(6764),
    [anon_sym_register] = ACTIONS(6764),
    [anon_sym_inline] = ACTIONS(6764),
    [anon_sym___inline] = ACTIONS(6764),
    [anon_sym___inline__] = ACTIONS(6764),
    [anon_sym___forceinline] = ACTIONS(6764),
    [anon_sym_thread_local] = ACTIONS(6764),
    [anon_sym___thread] = ACTIONS(6764),
    [anon_sym_CG_EXTERN] = ACTIONS(6764),
    [anon_sym_CG_INLINE] = ACTIONS(6764),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6764),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6764),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6764),
    [anon_sym_IBOutlet] = ACTIONS(6764),
    [anon_sym_IBInspectable] = ACTIONS(6764),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6764),
    [anon_sym_NS_INLINE] = ACTIONS(6764),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6764),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6764),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6764),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6764),
    [anon_sym_const] = ACTIONS(6764),
    [anon_sym_constexpr] = ACTIONS(6764),
    [anon_sym_volatile] = ACTIONS(6764),
    [anon_sym_restrict] = ACTIONS(6764),
    [anon_sym___restrict__] = ACTIONS(6764),
    [anon_sym__Atomic] = ACTIONS(6764),
    [anon_sym__Noreturn] = ACTIONS(6764),
    [anon_sym__Nonnull] = ACTIONS(6764),
    [anon_sym_nullable] = ACTIONS(6764),
    [anon_sym__Complex] = ACTIONS(6764),
    [anon_sym__Nullable] = ACTIONS(6764),
    [anon_sym__Nullable_result] = ACTIONS(6764),
    [anon_sym__Null_unspecified] = ACTIONS(6764),
    [anon_sym___autoreleasing] = ACTIONS(6764),
    [anon_sym___block] = ACTIONS(6764),
    [anon_sym___bridge] = ACTIONS(6764),
    [anon_sym___bridge_retained] = ACTIONS(6764),
    [anon_sym___bridge_transfer] = ACTIONS(6764),
    [anon_sym___complex] = ACTIONS(6764),
    [anon_sym___const] = ACTIONS(6764),
    [anon_sym___imag] = ACTIONS(6764),
    [anon_sym___kindof] = ACTIONS(6764),
    [anon_sym___nonnull] = ACTIONS(6764),
    [anon_sym___nullable] = ACTIONS(6764),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6764),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6764),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6764),
    [anon_sym___real] = ACTIONS(6764),
    [anon_sym___strong] = ACTIONS(6764),
    [anon_sym___unsafe_unretained] = ACTIONS(6764),
    [anon_sym___unused] = ACTIONS(6764),
    [anon_sym___weak] = ACTIONS(6764),
    [anon_sym_alignas] = ACTIONS(6764),
    [anon_sym__Alignas] = ACTIONS(6764),
    [sym_primitive_type] = ACTIONS(6764),
    [anon_sym_enum] = ACTIONS(6764),
    [anon_sym_struct] = ACTIONS(6764),
    [anon_sym_union] = ACTIONS(6764),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6764),
    [anon_sym___typeof] = ACTIONS(6764),
    [anon_sym_typeof] = ACTIONS(6764),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6764),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6764),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6764),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6764),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6764),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6764),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6764),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6764),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6764),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6764),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6764),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6764),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6764),
    [anon_sym_API_AVAILABLE] = ACTIONS(6764),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6764),
    [anon_sym_API_DEPRECATED] = ACTIONS(6764),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6764),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6764),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6764),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6764),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6764),
    [anon_sym___deprecated_msg] = ACTIONS(6764),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6764),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6764),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6764),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6764),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6764),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6764),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6764),
    [anon_sym_BOOL] = ACTIONS(6764),
    [anon_sym_IMP] = ACTIONS(6764),
    [anon_sym_SEL] = ACTIONS(6764),
    [anon_sym_Class] = ACTIONS(6764),
    [anon_sym_id] = ACTIONS(6764),
  },
  [2789] = {
    [sym_identifier] = ACTIONS(5929),
    [anon_sym_COMMA] = ACTIONS(5916),
    [anon_sym_LPAREN2] = ACTIONS(5916),
    [anon_sym_SEMI] = ACTIONS(5916),
    [anon_sym___extension__] = ACTIONS(5929),
    [anon_sym_extern] = ACTIONS(5929),
    [anon_sym___attribute__] = ACTIONS(5929),
    [anon_sym___attribute] = ACTIONS(5929),
    [anon_sym_noreturn] = ACTIONS(5929),
    [anon_sym_LBRACK] = ACTIONS(5916),
    [anon_sym___declspec] = ACTIONS(5929),
    [anon_sym_LBRACE] = ACTIONS(5916),
    [anon_sym_signed] = ACTIONS(5929),
    [anon_sym_unsigned] = ACTIONS(5929),
    [anon_sym_long] = ACTIONS(5929),
    [anon_sym_short] = ACTIONS(5929),
    [anon_sym_static] = ACTIONS(5929),
    [anon_sym_EQ] = ACTIONS(5916),
    [anon_sym_ATautoreleasepool] = ACTIONS(5916),
    [anon_sym_auto] = ACTIONS(5929),
    [anon_sym_register] = ACTIONS(5929),
    [anon_sym_inline] = ACTIONS(5929),
    [anon_sym___inline] = ACTIONS(5929),
    [anon_sym___inline__] = ACTIONS(5929),
    [anon_sym___forceinline] = ACTIONS(5929),
    [anon_sym_thread_local] = ACTIONS(5929),
    [anon_sym___thread] = ACTIONS(5929),
    [anon_sym_CG_EXTERN] = ACTIONS(5929),
    [anon_sym_CG_INLINE] = ACTIONS(5929),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5929),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5929),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5929),
    [anon_sym_IBOutlet] = ACTIONS(5929),
    [anon_sym_IBInspectable] = ACTIONS(5929),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5929),
    [anon_sym_NS_INLINE] = ACTIONS(5929),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5929),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5929),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5929),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5929),
    [anon_sym_const] = ACTIONS(5929),
    [anon_sym_constexpr] = ACTIONS(5929),
    [anon_sym_volatile] = ACTIONS(5929),
    [anon_sym_restrict] = ACTIONS(5929),
    [anon_sym___restrict__] = ACTIONS(5929),
    [anon_sym__Atomic] = ACTIONS(5929),
    [anon_sym__Noreturn] = ACTIONS(5929),
    [anon_sym__Nonnull] = ACTIONS(5929),
    [anon_sym_nullable] = ACTIONS(5929),
    [anon_sym__Complex] = ACTIONS(5929),
    [anon_sym__Nullable] = ACTIONS(5929),
    [anon_sym__Nullable_result] = ACTIONS(5929),
    [anon_sym__Null_unspecified] = ACTIONS(5929),
    [anon_sym___autoreleasing] = ACTIONS(5929),
    [anon_sym___block] = ACTIONS(5929),
    [anon_sym___bridge] = ACTIONS(5929),
    [anon_sym___bridge_retained] = ACTIONS(5929),
    [anon_sym___bridge_transfer] = ACTIONS(5929),
    [anon_sym___complex] = ACTIONS(5929),
    [anon_sym___const] = ACTIONS(5929),
    [anon_sym___imag] = ACTIONS(5929),
    [anon_sym___kindof] = ACTIONS(5929),
    [anon_sym___nonnull] = ACTIONS(5929),
    [anon_sym___nullable] = ACTIONS(5929),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5929),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5929),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5929),
    [anon_sym___real] = ACTIONS(5929),
    [anon_sym___strong] = ACTIONS(5929),
    [anon_sym___unsafe_unretained] = ACTIONS(5929),
    [anon_sym___unused] = ACTIONS(5929),
    [anon_sym___weak] = ACTIONS(5929),
    [anon_sym_alignas] = ACTIONS(5929),
    [anon_sym__Alignas] = ACTIONS(5929),
    [sym_primitive_type] = ACTIONS(5929),
    [anon_sym_enum] = ACTIONS(5929),
    [anon_sym_struct] = ACTIONS(5929),
    [anon_sym_union] = ACTIONS(5929),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5929),
    [anon_sym___typeof] = ACTIONS(5929),
    [anon_sym_typeof] = ACTIONS(5929),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5929),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5929),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5929),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5929),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5929),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5929),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5929),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5929),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5929),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5929),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5929),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5929),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5929),
    [anon_sym_API_AVAILABLE] = ACTIONS(5929),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5929),
    [anon_sym_API_DEPRECATED] = ACTIONS(5929),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5929),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5929),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5929),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5929),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5929),
    [anon_sym___deprecated_msg] = ACTIONS(5929),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5929),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5929),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5929),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5929),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5929),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5929),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5929),
    [anon_sym_BOOL] = ACTIONS(5929),
    [anon_sym_IMP] = ACTIONS(5929),
    [anon_sym_SEL] = ACTIONS(5929),
    [anon_sym_Class] = ACTIONS(5929),
    [anon_sym_id] = ACTIONS(5929),
  },
  [2790] = {
    [sym_identifier] = ACTIONS(6768),
    [anon_sym_COMMA] = ACTIONS(6770),
    [anon_sym_LPAREN2] = ACTIONS(6770),
    [anon_sym_SEMI] = ACTIONS(6770),
    [anon_sym___extension__] = ACTIONS(6768),
    [anon_sym_extern] = ACTIONS(6768),
    [anon_sym___attribute__] = ACTIONS(6768),
    [anon_sym___attribute] = ACTIONS(6768),
    [anon_sym_noreturn] = ACTIONS(6768),
    [anon_sym_LBRACK] = ACTIONS(6770),
    [anon_sym___declspec] = ACTIONS(6768),
    [anon_sym_LBRACE] = ACTIONS(6770),
    [anon_sym_signed] = ACTIONS(6768),
    [anon_sym_unsigned] = ACTIONS(6768),
    [anon_sym_long] = ACTIONS(6768),
    [anon_sym_short] = ACTIONS(6768),
    [anon_sym_static] = ACTIONS(6768),
    [anon_sym_EQ] = ACTIONS(6770),
    [anon_sym_ATautoreleasepool] = ACTIONS(6770),
    [anon_sym_auto] = ACTIONS(6768),
    [anon_sym_register] = ACTIONS(6768),
    [anon_sym_inline] = ACTIONS(6768),
    [anon_sym___inline] = ACTIONS(6768),
    [anon_sym___inline__] = ACTIONS(6768),
    [anon_sym___forceinline] = ACTIONS(6768),
    [anon_sym_thread_local] = ACTIONS(6768),
    [anon_sym___thread] = ACTIONS(6768),
    [anon_sym_CG_EXTERN] = ACTIONS(6768),
    [anon_sym_CG_INLINE] = ACTIONS(6768),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6768),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6768),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6768),
    [anon_sym_IBOutlet] = ACTIONS(6768),
    [anon_sym_IBInspectable] = ACTIONS(6768),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6768),
    [anon_sym_NS_INLINE] = ACTIONS(6768),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6768),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6768),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6768),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6768),
    [anon_sym_const] = ACTIONS(6768),
    [anon_sym_constexpr] = ACTIONS(6768),
    [anon_sym_volatile] = ACTIONS(6768),
    [anon_sym_restrict] = ACTIONS(6768),
    [anon_sym___restrict__] = ACTIONS(6768),
    [anon_sym__Atomic] = ACTIONS(6768),
    [anon_sym__Noreturn] = ACTIONS(6768),
    [anon_sym__Nonnull] = ACTIONS(6768),
    [anon_sym_nullable] = ACTIONS(6768),
    [anon_sym__Complex] = ACTIONS(6768),
    [anon_sym__Nullable] = ACTIONS(6768),
    [anon_sym__Nullable_result] = ACTIONS(6768),
    [anon_sym__Null_unspecified] = ACTIONS(6768),
    [anon_sym___autoreleasing] = ACTIONS(6768),
    [anon_sym___block] = ACTIONS(6768),
    [anon_sym___bridge] = ACTIONS(6768),
    [anon_sym___bridge_retained] = ACTIONS(6768),
    [anon_sym___bridge_transfer] = ACTIONS(6768),
    [anon_sym___complex] = ACTIONS(6768),
    [anon_sym___const] = ACTIONS(6768),
    [anon_sym___imag] = ACTIONS(6768),
    [anon_sym___kindof] = ACTIONS(6768),
    [anon_sym___nonnull] = ACTIONS(6768),
    [anon_sym___nullable] = ACTIONS(6768),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6768),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6768),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6768),
    [anon_sym___real] = ACTIONS(6768),
    [anon_sym___strong] = ACTIONS(6768),
    [anon_sym___unsafe_unretained] = ACTIONS(6768),
    [anon_sym___unused] = ACTIONS(6768),
    [anon_sym___weak] = ACTIONS(6768),
    [anon_sym_alignas] = ACTIONS(6768),
    [anon_sym__Alignas] = ACTIONS(6768),
    [sym_primitive_type] = ACTIONS(6768),
    [anon_sym_enum] = ACTIONS(6768),
    [anon_sym_struct] = ACTIONS(6768),
    [anon_sym_union] = ACTIONS(6768),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6768),
    [anon_sym___typeof] = ACTIONS(6768),
    [anon_sym_typeof] = ACTIONS(6768),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6768),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6768),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6768),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6768),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6768),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6768),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6768),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6768),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6768),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6768),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6768),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6768),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6768),
    [anon_sym_API_AVAILABLE] = ACTIONS(6768),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6768),
    [anon_sym_API_DEPRECATED] = ACTIONS(6768),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6768),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6768),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6768),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6768),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6768),
    [anon_sym___deprecated_msg] = ACTIONS(6768),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6768),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6768),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6768),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6768),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6768),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6768),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6768),
    [anon_sym_BOOL] = ACTIONS(6768),
    [anon_sym_IMP] = ACTIONS(6768),
    [anon_sym_SEL] = ACTIONS(6768),
    [anon_sym_Class] = ACTIONS(6768),
    [anon_sym_id] = ACTIONS(6768),
  },
  [2791] = {
    [sym_identifier] = ACTIONS(6772),
    [anon_sym_COMMA] = ACTIONS(6774),
    [anon_sym_LPAREN2] = ACTIONS(6774),
    [anon_sym_SEMI] = ACTIONS(6774),
    [anon_sym___extension__] = ACTIONS(6772),
    [anon_sym_extern] = ACTIONS(6772),
    [anon_sym___attribute__] = ACTIONS(6772),
    [anon_sym___attribute] = ACTIONS(6772),
    [anon_sym_noreturn] = ACTIONS(6772),
    [anon_sym_LBRACK] = ACTIONS(6774),
    [anon_sym___declspec] = ACTIONS(6772),
    [anon_sym_LBRACE] = ACTIONS(6774),
    [anon_sym_signed] = ACTIONS(6772),
    [anon_sym_unsigned] = ACTIONS(6772),
    [anon_sym_long] = ACTIONS(6772),
    [anon_sym_short] = ACTIONS(6772),
    [anon_sym_static] = ACTIONS(6772),
    [anon_sym_EQ] = ACTIONS(6774),
    [anon_sym_ATautoreleasepool] = ACTIONS(6774),
    [anon_sym_auto] = ACTIONS(6772),
    [anon_sym_register] = ACTIONS(6772),
    [anon_sym_inline] = ACTIONS(6772),
    [anon_sym___inline] = ACTIONS(6772),
    [anon_sym___inline__] = ACTIONS(6772),
    [anon_sym___forceinline] = ACTIONS(6772),
    [anon_sym_thread_local] = ACTIONS(6772),
    [anon_sym___thread] = ACTIONS(6772),
    [anon_sym_CG_EXTERN] = ACTIONS(6772),
    [anon_sym_CG_INLINE] = ACTIONS(6772),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6772),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6772),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6772),
    [anon_sym_IBOutlet] = ACTIONS(6772),
    [anon_sym_IBInspectable] = ACTIONS(6772),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6772),
    [anon_sym_NS_INLINE] = ACTIONS(6772),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6772),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6772),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6772),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6772),
    [anon_sym_const] = ACTIONS(6772),
    [anon_sym_constexpr] = ACTIONS(6772),
    [anon_sym_volatile] = ACTIONS(6772),
    [anon_sym_restrict] = ACTIONS(6772),
    [anon_sym___restrict__] = ACTIONS(6772),
    [anon_sym__Atomic] = ACTIONS(6772),
    [anon_sym__Noreturn] = ACTIONS(6772),
    [anon_sym__Nonnull] = ACTIONS(6772),
    [anon_sym_nullable] = ACTIONS(6772),
    [anon_sym__Complex] = ACTIONS(6772),
    [anon_sym__Nullable] = ACTIONS(6772),
    [anon_sym__Nullable_result] = ACTIONS(6772),
    [anon_sym__Null_unspecified] = ACTIONS(6772),
    [anon_sym___autoreleasing] = ACTIONS(6772),
    [anon_sym___block] = ACTIONS(6772),
    [anon_sym___bridge] = ACTIONS(6772),
    [anon_sym___bridge_retained] = ACTIONS(6772),
    [anon_sym___bridge_transfer] = ACTIONS(6772),
    [anon_sym___complex] = ACTIONS(6772),
    [anon_sym___const] = ACTIONS(6772),
    [anon_sym___imag] = ACTIONS(6772),
    [anon_sym___kindof] = ACTIONS(6772),
    [anon_sym___nonnull] = ACTIONS(6772),
    [anon_sym___nullable] = ACTIONS(6772),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6772),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6772),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6772),
    [anon_sym___real] = ACTIONS(6772),
    [anon_sym___strong] = ACTIONS(6772),
    [anon_sym___unsafe_unretained] = ACTIONS(6772),
    [anon_sym___unused] = ACTIONS(6772),
    [anon_sym___weak] = ACTIONS(6772),
    [anon_sym_alignas] = ACTIONS(6772),
    [anon_sym__Alignas] = ACTIONS(6772),
    [sym_primitive_type] = ACTIONS(6772),
    [anon_sym_enum] = ACTIONS(6772),
    [anon_sym_struct] = ACTIONS(6772),
    [anon_sym_union] = ACTIONS(6772),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6772),
    [anon_sym___typeof] = ACTIONS(6772),
    [anon_sym_typeof] = ACTIONS(6772),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6772),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6772),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6772),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6772),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6772),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6772),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6772),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6772),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6772),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6772),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6772),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6772),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6772),
    [anon_sym_API_AVAILABLE] = ACTIONS(6772),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6772),
    [anon_sym_API_DEPRECATED] = ACTIONS(6772),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6772),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6772),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6772),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6772),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6772),
    [anon_sym___deprecated_msg] = ACTIONS(6772),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6772),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6772),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6772),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6772),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6772),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6772),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6772),
    [anon_sym_BOOL] = ACTIONS(6772),
    [anon_sym_IMP] = ACTIONS(6772),
    [anon_sym_SEL] = ACTIONS(6772),
    [anon_sym_Class] = ACTIONS(6772),
    [anon_sym_id] = ACTIONS(6772),
  },
  [2792] = {
    [sym_identifier] = ACTIONS(6776),
    [anon_sym_COMMA] = ACTIONS(6778),
    [anon_sym_LPAREN2] = ACTIONS(6778),
    [anon_sym_SEMI] = ACTIONS(6778),
    [anon_sym___extension__] = ACTIONS(6776),
    [anon_sym_extern] = ACTIONS(6776),
    [anon_sym___attribute__] = ACTIONS(6776),
    [anon_sym___attribute] = ACTIONS(6776),
    [anon_sym_noreturn] = ACTIONS(6776),
    [anon_sym_LBRACK] = ACTIONS(6778),
    [anon_sym___declspec] = ACTIONS(6776),
    [anon_sym_LBRACE] = ACTIONS(6778),
    [anon_sym_signed] = ACTIONS(6776),
    [anon_sym_unsigned] = ACTIONS(6776),
    [anon_sym_long] = ACTIONS(6776),
    [anon_sym_short] = ACTIONS(6776),
    [anon_sym_static] = ACTIONS(6776),
    [anon_sym_EQ] = ACTIONS(6778),
    [anon_sym_ATautoreleasepool] = ACTIONS(6778),
    [anon_sym_auto] = ACTIONS(6776),
    [anon_sym_register] = ACTIONS(6776),
    [anon_sym_inline] = ACTIONS(6776),
    [anon_sym___inline] = ACTIONS(6776),
    [anon_sym___inline__] = ACTIONS(6776),
    [anon_sym___forceinline] = ACTIONS(6776),
    [anon_sym_thread_local] = ACTIONS(6776),
    [anon_sym___thread] = ACTIONS(6776),
    [anon_sym_CG_EXTERN] = ACTIONS(6776),
    [anon_sym_CG_INLINE] = ACTIONS(6776),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6776),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6776),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6776),
    [anon_sym_IBOutlet] = ACTIONS(6776),
    [anon_sym_IBInspectable] = ACTIONS(6776),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6776),
    [anon_sym_NS_INLINE] = ACTIONS(6776),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6776),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6776),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6776),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6776),
    [anon_sym_const] = ACTIONS(6776),
    [anon_sym_constexpr] = ACTIONS(6776),
    [anon_sym_volatile] = ACTIONS(6776),
    [anon_sym_restrict] = ACTIONS(6776),
    [anon_sym___restrict__] = ACTIONS(6776),
    [anon_sym__Atomic] = ACTIONS(6776),
    [anon_sym__Noreturn] = ACTIONS(6776),
    [anon_sym__Nonnull] = ACTIONS(6776),
    [anon_sym_nullable] = ACTIONS(6776),
    [anon_sym__Complex] = ACTIONS(6776),
    [anon_sym__Nullable] = ACTIONS(6776),
    [anon_sym__Nullable_result] = ACTIONS(6776),
    [anon_sym__Null_unspecified] = ACTIONS(6776),
    [anon_sym___autoreleasing] = ACTIONS(6776),
    [anon_sym___block] = ACTIONS(6776),
    [anon_sym___bridge] = ACTIONS(6776),
    [anon_sym___bridge_retained] = ACTIONS(6776),
    [anon_sym___bridge_transfer] = ACTIONS(6776),
    [anon_sym___complex] = ACTIONS(6776),
    [anon_sym___const] = ACTIONS(6776),
    [anon_sym___imag] = ACTIONS(6776),
    [anon_sym___kindof] = ACTIONS(6776),
    [anon_sym___nonnull] = ACTIONS(6776),
    [anon_sym___nullable] = ACTIONS(6776),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6776),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6776),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6776),
    [anon_sym___real] = ACTIONS(6776),
    [anon_sym___strong] = ACTIONS(6776),
    [anon_sym___unsafe_unretained] = ACTIONS(6776),
    [anon_sym___unused] = ACTIONS(6776),
    [anon_sym___weak] = ACTIONS(6776),
    [anon_sym_alignas] = ACTIONS(6776),
    [anon_sym__Alignas] = ACTIONS(6776),
    [sym_primitive_type] = ACTIONS(6776),
    [anon_sym_enum] = ACTIONS(6776),
    [anon_sym_struct] = ACTIONS(6776),
    [anon_sym_union] = ACTIONS(6776),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6776),
    [anon_sym___typeof] = ACTIONS(6776),
    [anon_sym_typeof] = ACTIONS(6776),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6776),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6776),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6776),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6776),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6776),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6776),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6776),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6776),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6776),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6776),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6776),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6776),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6776),
    [anon_sym_API_AVAILABLE] = ACTIONS(6776),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6776),
    [anon_sym_API_DEPRECATED] = ACTIONS(6776),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6776),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6776),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6776),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6776),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6776),
    [anon_sym___deprecated_msg] = ACTIONS(6776),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6776),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6776),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6776),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6776),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6776),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6776),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6776),
    [anon_sym_BOOL] = ACTIONS(6776),
    [anon_sym_IMP] = ACTIONS(6776),
    [anon_sym_SEL] = ACTIONS(6776),
    [anon_sym_Class] = ACTIONS(6776),
    [anon_sym_id] = ACTIONS(6776),
  },
  [2793] = {
    [sym_identifier] = ACTIONS(6780),
    [anon_sym_COMMA] = ACTIONS(6782),
    [anon_sym_LPAREN2] = ACTIONS(6782),
    [anon_sym_SEMI] = ACTIONS(6782),
    [anon_sym___extension__] = ACTIONS(6780),
    [anon_sym_extern] = ACTIONS(6780),
    [anon_sym___attribute__] = ACTIONS(6780),
    [anon_sym___attribute] = ACTIONS(6780),
    [anon_sym_noreturn] = ACTIONS(6780),
    [anon_sym_LBRACK] = ACTIONS(6782),
    [anon_sym___declspec] = ACTIONS(6780),
    [anon_sym_LBRACE] = ACTIONS(6782),
    [anon_sym_signed] = ACTIONS(6780),
    [anon_sym_unsigned] = ACTIONS(6780),
    [anon_sym_long] = ACTIONS(6780),
    [anon_sym_short] = ACTIONS(6780),
    [anon_sym_static] = ACTIONS(6780),
    [anon_sym_EQ] = ACTIONS(6782),
    [anon_sym_ATautoreleasepool] = ACTIONS(6782),
    [anon_sym_auto] = ACTIONS(6780),
    [anon_sym_register] = ACTIONS(6780),
    [anon_sym_inline] = ACTIONS(6780),
    [anon_sym___inline] = ACTIONS(6780),
    [anon_sym___inline__] = ACTIONS(6780),
    [anon_sym___forceinline] = ACTIONS(6780),
    [anon_sym_thread_local] = ACTIONS(6780),
    [anon_sym___thread] = ACTIONS(6780),
    [anon_sym_CG_EXTERN] = ACTIONS(6780),
    [anon_sym_CG_INLINE] = ACTIONS(6780),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6780),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6780),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6780),
    [anon_sym_IBOutlet] = ACTIONS(6780),
    [anon_sym_IBInspectable] = ACTIONS(6780),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6780),
    [anon_sym_NS_INLINE] = ACTIONS(6780),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6780),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6780),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6780),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6780),
    [anon_sym_const] = ACTIONS(6780),
    [anon_sym_constexpr] = ACTIONS(6780),
    [anon_sym_volatile] = ACTIONS(6780),
    [anon_sym_restrict] = ACTIONS(6780),
    [anon_sym___restrict__] = ACTIONS(6780),
    [anon_sym__Atomic] = ACTIONS(6780),
    [anon_sym__Noreturn] = ACTIONS(6780),
    [anon_sym__Nonnull] = ACTIONS(6780),
    [anon_sym_nullable] = ACTIONS(6780),
    [anon_sym__Complex] = ACTIONS(6780),
    [anon_sym__Nullable] = ACTIONS(6780),
    [anon_sym__Nullable_result] = ACTIONS(6780),
    [anon_sym__Null_unspecified] = ACTIONS(6780),
    [anon_sym___autoreleasing] = ACTIONS(6780),
    [anon_sym___block] = ACTIONS(6780),
    [anon_sym___bridge] = ACTIONS(6780),
    [anon_sym___bridge_retained] = ACTIONS(6780),
    [anon_sym___bridge_transfer] = ACTIONS(6780),
    [anon_sym___complex] = ACTIONS(6780),
    [anon_sym___const] = ACTIONS(6780),
    [anon_sym___imag] = ACTIONS(6780),
    [anon_sym___kindof] = ACTIONS(6780),
    [anon_sym___nonnull] = ACTIONS(6780),
    [anon_sym___nullable] = ACTIONS(6780),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6780),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6780),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6780),
    [anon_sym___real] = ACTIONS(6780),
    [anon_sym___strong] = ACTIONS(6780),
    [anon_sym___unsafe_unretained] = ACTIONS(6780),
    [anon_sym___unused] = ACTIONS(6780),
    [anon_sym___weak] = ACTIONS(6780),
    [anon_sym_alignas] = ACTIONS(6780),
    [anon_sym__Alignas] = ACTIONS(6780),
    [sym_primitive_type] = ACTIONS(6780),
    [anon_sym_enum] = ACTIONS(6780),
    [anon_sym_struct] = ACTIONS(6780),
    [anon_sym_union] = ACTIONS(6780),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6780),
    [anon_sym___typeof] = ACTIONS(6780),
    [anon_sym_typeof] = ACTIONS(6780),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6780),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6780),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6780),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6780),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6780),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6780),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6780),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6780),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6780),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6780),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6780),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6780),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6780),
    [anon_sym_API_AVAILABLE] = ACTIONS(6780),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6780),
    [anon_sym_API_DEPRECATED] = ACTIONS(6780),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6780),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6780),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6780),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6780),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6780),
    [anon_sym___deprecated_msg] = ACTIONS(6780),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6780),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6780),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6780),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6780),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6780),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6780),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6780),
    [anon_sym_BOOL] = ACTIONS(6780),
    [anon_sym_IMP] = ACTIONS(6780),
    [anon_sym_SEL] = ACTIONS(6780),
    [anon_sym_Class] = ACTIONS(6780),
    [anon_sym_id] = ACTIONS(6780),
  },
  [2794] = {
    [sym_identifier] = ACTIONS(6675),
    [anon_sym_LPAREN2] = ACTIONS(6649),
    [anon_sym___extension__] = ACTIONS(6675),
    [anon_sym_extern] = ACTIONS(6675),
    [anon_sym___attribute__] = ACTIONS(6677),
    [anon_sym___attribute] = ACTIONS(6677),
    [anon_sym_noreturn] = ACTIONS(6675),
    [anon_sym_LBRACK] = ACTIONS(6680),
    [anon_sym___declspec] = ACTIONS(6675),
    [anon_sym_LBRACE] = ACTIONS(6680),
    [anon_sym_signed] = ACTIONS(6675),
    [anon_sym_unsigned] = ACTIONS(6675),
    [anon_sym_long] = ACTIONS(6675),
    [anon_sym_short] = ACTIONS(6675),
    [anon_sym_static] = ACTIONS(6675),
    [anon_sym_ATautoreleasepool] = ACTIONS(6680),
    [anon_sym_auto] = ACTIONS(6675),
    [anon_sym_register] = ACTIONS(6675),
    [anon_sym_inline] = ACTIONS(6675),
    [anon_sym___inline] = ACTIONS(6675),
    [anon_sym___inline__] = ACTIONS(6675),
    [anon_sym___forceinline] = ACTIONS(6675),
    [anon_sym_thread_local] = ACTIONS(6675),
    [anon_sym___thread] = ACTIONS(6675),
    [anon_sym_CG_EXTERN] = ACTIONS(6675),
    [anon_sym_CG_INLINE] = ACTIONS(6675),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6675),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6675),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6675),
    [anon_sym_IBOutlet] = ACTIONS(6675),
    [anon_sym_IBInspectable] = ACTIONS(6675),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6675),
    [anon_sym_NS_INLINE] = ACTIONS(6675),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6675),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6675),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6675),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6675),
    [anon_sym_const] = ACTIONS(6675),
    [anon_sym_constexpr] = ACTIONS(6675),
    [anon_sym_volatile] = ACTIONS(6675),
    [anon_sym_restrict] = ACTIONS(6675),
    [anon_sym___restrict__] = ACTIONS(6675),
    [anon_sym__Atomic] = ACTIONS(6675),
    [anon_sym__Noreturn] = ACTIONS(6675),
    [anon_sym__Nonnull] = ACTIONS(6675),
    [anon_sym_nullable] = ACTIONS(6675),
    [anon_sym__Complex] = ACTIONS(6675),
    [anon_sym__Nullable] = ACTIONS(6675),
    [anon_sym__Nullable_result] = ACTIONS(6675),
    [anon_sym__Null_unspecified] = ACTIONS(6675),
    [anon_sym___autoreleasing] = ACTIONS(6675),
    [anon_sym___block] = ACTIONS(6675),
    [anon_sym___bridge] = ACTIONS(6675),
    [anon_sym___bridge_retained] = ACTIONS(6675),
    [anon_sym___bridge_transfer] = ACTIONS(6675),
    [anon_sym___complex] = ACTIONS(6675),
    [anon_sym___const] = ACTIONS(6675),
    [anon_sym___imag] = ACTIONS(6675),
    [anon_sym___kindof] = ACTIONS(6675),
    [anon_sym___nonnull] = ACTIONS(6675),
    [anon_sym___nullable] = ACTIONS(6675),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6675),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6675),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6675),
    [anon_sym___real] = ACTIONS(6675),
    [anon_sym___strong] = ACTIONS(6675),
    [anon_sym___unsafe_unretained] = ACTIONS(6675),
    [anon_sym___unused] = ACTIONS(6675),
    [anon_sym___weak] = ACTIONS(6675),
    [anon_sym_alignas] = ACTIONS(6675),
    [anon_sym__Alignas] = ACTIONS(6675),
    [sym_primitive_type] = ACTIONS(6675),
    [anon_sym_enum] = ACTIONS(6675),
    [anon_sym_struct] = ACTIONS(6675),
    [anon_sym_union] = ACTIONS(6675),
    [anon_sym_asm] = ACTIONS(6647),
    [anon_sym___asm__] = ACTIONS(6647),
    [anon_sym___asm] = ACTIONS(6647),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6675),
    [anon_sym___typeof] = ACTIONS(6675),
    [anon_sym_typeof] = ACTIONS(6675),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6675),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6675),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6675),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6675),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6675),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6675),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6675),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6675),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6675),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6675),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6675),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6675),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6675),
    [anon_sym_API_AVAILABLE] = ACTIONS(6675),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6675),
    [anon_sym_API_DEPRECATED] = ACTIONS(6675),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6675),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6675),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6675),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6675),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6675),
    [anon_sym___deprecated_msg] = ACTIONS(6675),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6675),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6675),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6675),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6675),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6675),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6675),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6675),
    [anon_sym_BOOL] = ACTIONS(6675),
    [anon_sym_IMP] = ACTIONS(6675),
    [anon_sym_SEL] = ACTIONS(6675),
    [anon_sym_Class] = ACTIONS(6675),
    [anon_sym_id] = ACTIONS(6675),
  },
  [2795] = {
    [sym__declaration_modifiers] = STATE(2796),
    [sym_attribute_specifier] = STATE(2796),
    [sym_attribute_declaration] = STATE(2796),
    [sym_ms_declspec_modifier] = STATE(2796),
    [sym__abstract_declarator] = STATE(5003),
    [sym_abstract_parenthesized_declarator] = STATE(4850),
    [sym_abstract_pointer_declarator] = STATE(4850),
    [sym_abstract_function_declarator] = STATE(4850),
    [sym_abstract_array_declarator] = STATE(4850),
    [sym_storage_class_specifier] = STATE(2796),
    [sym_type_qualifier] = STATE(2796),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(4274),
    [sym_availability_attribute_specifier] = STATE(2796),
    [sym_abstract_block_pointer_declarator] = STATE(4850),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2796),
    [anon_sym_COMMA] = ACTIONS(5336),
    [anon_sym_RPAREN] = ACTIONS(5336),
    [anon_sym_LPAREN2] = ACTIONS(4496),
    [anon_sym_STAR] = ACTIONS(4498),
    [anon_sym_CARET] = ACTIONS(4500),
    [anon_sym_GT] = ACTIONS(5336),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6790),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_COLON] = ACTIONS(5336),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2796] = {
    [sym__declaration_modifiers] = STATE(2872),
    [sym_attribute_specifier] = STATE(2872),
    [sym_attribute_declaration] = STATE(2872),
    [sym_ms_declspec_modifier] = STATE(2872),
    [sym__abstract_declarator] = STATE(4979),
    [sym_abstract_parenthesized_declarator] = STATE(4850),
    [sym_abstract_pointer_declarator] = STATE(4850),
    [sym_abstract_function_declarator] = STATE(4850),
    [sym_abstract_array_declarator] = STATE(4850),
    [sym_storage_class_specifier] = STATE(2872),
    [sym_type_qualifier] = STATE(2872),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(4274),
    [sym_availability_attribute_specifier] = STATE(2872),
    [sym_abstract_block_pointer_declarator] = STATE(4850),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2872),
    [anon_sym_COMMA] = ACTIONS(6282),
    [anon_sym_RPAREN] = ACTIONS(6282),
    [anon_sym_LPAREN2] = ACTIONS(4496),
    [anon_sym_STAR] = ACTIONS(4498),
    [anon_sym_CARET] = ACTIONS(4500),
    [anon_sym_GT] = ACTIONS(6282),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6790),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_COLON] = ACTIONS(6282),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2797] = {
    [sym__declaration_modifiers] = STATE(2808),
    [sym_attribute_specifier] = STATE(2808),
    [sym_attribute_declaration] = STATE(2808),
    [sym_ms_declspec_modifier] = STATE(2808),
    [sym_ms_based_modifier] = STATE(6267),
    [sym__field_declarator] = STATE(5091),
    [sym_parenthesized_field_declarator] = STATE(4910),
    [sym_attributed_field_declarator] = STATE(4910),
    [sym_pointer_field_declarator] = STATE(4910),
    [sym_function_field_declarator] = STATE(4910),
    [sym_array_field_declarator] = STATE(4910),
    [sym_storage_class_specifier] = STATE(2808),
    [sym_type_qualifier] = STATE(2808),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2808),
    [sym_block_pointer_field_declarator] = STATE(4910),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2808),
    [sym_identifier] = ACTIONS(6411),
    [anon_sym_LPAREN2] = ACTIONS(6413),
    [anon_sym_STAR] = ACTIONS(6419),
    [anon_sym_CARET] = ACTIONS(6421),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2798] = {
    [aux_sym_c_method_parameter_repeat1] = STATE(2801),
    [sym_identifier] = ACTIONS(6800),
    [anon_sym_COMMA] = ACTIONS(6802),
    [anon_sym_SEMI] = ACTIONS(6802),
    [anon_sym___extension__] = ACTIONS(6800),
    [anon_sym_extern] = ACTIONS(6800),
    [anon_sym___attribute__] = ACTIONS(6800),
    [anon_sym___attribute] = ACTIONS(6800),
    [anon_sym_noreturn] = ACTIONS(6800),
    [anon_sym_LBRACK] = ACTIONS(6802),
    [anon_sym___declspec] = ACTIONS(6800),
    [anon_sym_LBRACE] = ACTIONS(6802),
    [anon_sym_signed] = ACTIONS(6800),
    [anon_sym_unsigned] = ACTIONS(6800),
    [anon_sym_long] = ACTIONS(6800),
    [anon_sym_short] = ACTIONS(6800),
    [anon_sym_static] = ACTIONS(6800),
    [anon_sym_ATautoreleasepool] = ACTIONS(6802),
    [anon_sym_auto] = ACTIONS(6800),
    [anon_sym_register] = ACTIONS(6800),
    [anon_sym_inline] = ACTIONS(6800),
    [anon_sym___inline] = ACTIONS(6800),
    [anon_sym___inline__] = ACTIONS(6800),
    [anon_sym___forceinline] = ACTIONS(6800),
    [anon_sym_thread_local] = ACTIONS(6800),
    [anon_sym___thread] = ACTIONS(6800),
    [anon_sym_CG_EXTERN] = ACTIONS(6800),
    [anon_sym_CG_INLINE] = ACTIONS(6800),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6800),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6800),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6800),
    [anon_sym_IBOutlet] = ACTIONS(6800),
    [anon_sym_IBInspectable] = ACTIONS(6800),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6800),
    [anon_sym_NS_INLINE] = ACTIONS(6800),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6800),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6800),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6800),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6800),
    [anon_sym_const] = ACTIONS(6800),
    [anon_sym_constexpr] = ACTIONS(6800),
    [anon_sym_volatile] = ACTIONS(6800),
    [anon_sym_restrict] = ACTIONS(6800),
    [anon_sym___restrict__] = ACTIONS(6800),
    [anon_sym__Atomic] = ACTIONS(6800),
    [anon_sym__Noreturn] = ACTIONS(6800),
    [anon_sym__Nonnull] = ACTIONS(6800),
    [anon_sym_nullable] = ACTIONS(6800),
    [anon_sym__Complex] = ACTIONS(6800),
    [anon_sym__Nullable] = ACTIONS(6800),
    [anon_sym__Nullable_result] = ACTIONS(6800),
    [anon_sym__Null_unspecified] = ACTIONS(6800),
    [anon_sym___autoreleasing] = ACTIONS(6800),
    [anon_sym___block] = ACTIONS(6800),
    [anon_sym___bridge] = ACTIONS(6800),
    [anon_sym___bridge_retained] = ACTIONS(6800),
    [anon_sym___bridge_transfer] = ACTIONS(6800),
    [anon_sym___complex] = ACTIONS(6800),
    [anon_sym___const] = ACTIONS(6800),
    [anon_sym___imag] = ACTIONS(6800),
    [anon_sym___kindof] = ACTIONS(6800),
    [anon_sym___nonnull] = ACTIONS(6800),
    [anon_sym___nullable] = ACTIONS(6800),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6800),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6800),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6800),
    [anon_sym___real] = ACTIONS(6800),
    [anon_sym___strong] = ACTIONS(6800),
    [anon_sym___unsafe_unretained] = ACTIONS(6800),
    [anon_sym___unused] = ACTIONS(6800),
    [anon_sym___weak] = ACTIONS(6800),
    [anon_sym_alignas] = ACTIONS(6800),
    [anon_sym__Alignas] = ACTIONS(6800),
    [sym_primitive_type] = ACTIONS(6800),
    [anon_sym_enum] = ACTIONS(6800),
    [anon_sym_struct] = ACTIONS(6800),
    [anon_sym_union] = ACTIONS(6800),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6800),
    [anon_sym___typeof] = ACTIONS(6800),
    [anon_sym_typeof] = ACTIONS(6800),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6800),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6800),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6800),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6800),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6800),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6800),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6800),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6800),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6800),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6800),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6800),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6800),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6800),
    [anon_sym_API_AVAILABLE] = ACTIONS(6800),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6800),
    [anon_sym_API_DEPRECATED] = ACTIONS(6800),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6800),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6800),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6800),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6800),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6800),
    [anon_sym___deprecated_msg] = ACTIONS(6800),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6800),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6800),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6800),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6800),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6800),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6800),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6800),
    [anon_sym_BOOL] = ACTIONS(6800),
    [anon_sym_IMP] = ACTIONS(6800),
    [anon_sym_SEL] = ACTIONS(6800),
    [anon_sym_Class] = ACTIONS(6800),
    [anon_sym_id] = ACTIONS(6800),
  },
  [2799] = {
    [aux_sym_c_method_parameter_repeat1] = STATE(2801),
    [sym_identifier] = ACTIONS(6800),
    [anon_sym_COMMA] = ACTIONS(6802),
    [anon_sym_SEMI] = ACTIONS(6802),
    [anon_sym___extension__] = ACTIONS(6800),
    [anon_sym_extern] = ACTIONS(6800),
    [anon_sym___attribute__] = ACTIONS(6800),
    [anon_sym___attribute] = ACTIONS(6800),
    [anon_sym_noreturn] = ACTIONS(6800),
    [anon_sym_LBRACK] = ACTIONS(6802),
    [anon_sym___declspec] = ACTIONS(6800),
    [anon_sym_LBRACE] = ACTIONS(6802),
    [anon_sym_signed] = ACTIONS(6800),
    [anon_sym_unsigned] = ACTIONS(6800),
    [anon_sym_long] = ACTIONS(6800),
    [anon_sym_short] = ACTIONS(6800),
    [anon_sym_static] = ACTIONS(6800),
    [anon_sym_ATautoreleasepool] = ACTIONS(6802),
    [anon_sym_auto] = ACTIONS(6800),
    [anon_sym_register] = ACTIONS(6800),
    [anon_sym_inline] = ACTIONS(6800),
    [anon_sym___inline] = ACTIONS(6800),
    [anon_sym___inline__] = ACTIONS(6800),
    [anon_sym___forceinline] = ACTIONS(6800),
    [anon_sym_thread_local] = ACTIONS(6800),
    [anon_sym___thread] = ACTIONS(6800),
    [anon_sym_CG_EXTERN] = ACTIONS(6800),
    [anon_sym_CG_INLINE] = ACTIONS(6800),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6800),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6800),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6800),
    [anon_sym_IBOutlet] = ACTIONS(6800),
    [anon_sym_IBInspectable] = ACTIONS(6800),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6800),
    [anon_sym_NS_INLINE] = ACTIONS(6800),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6800),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6800),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6800),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6800),
    [anon_sym_const] = ACTIONS(6800),
    [anon_sym_constexpr] = ACTIONS(6800),
    [anon_sym_volatile] = ACTIONS(6800),
    [anon_sym_restrict] = ACTIONS(6800),
    [anon_sym___restrict__] = ACTIONS(6800),
    [anon_sym__Atomic] = ACTIONS(6800),
    [anon_sym__Noreturn] = ACTIONS(6800),
    [anon_sym__Nonnull] = ACTIONS(6800),
    [anon_sym_nullable] = ACTIONS(6800),
    [anon_sym__Complex] = ACTIONS(6800),
    [anon_sym__Nullable] = ACTIONS(6800),
    [anon_sym__Nullable_result] = ACTIONS(6800),
    [anon_sym__Null_unspecified] = ACTIONS(6800),
    [anon_sym___autoreleasing] = ACTIONS(6800),
    [anon_sym___block] = ACTIONS(6800),
    [anon_sym___bridge] = ACTIONS(6800),
    [anon_sym___bridge_retained] = ACTIONS(6800),
    [anon_sym___bridge_transfer] = ACTIONS(6800),
    [anon_sym___complex] = ACTIONS(6800),
    [anon_sym___const] = ACTIONS(6800),
    [anon_sym___imag] = ACTIONS(6800),
    [anon_sym___kindof] = ACTIONS(6800),
    [anon_sym___nonnull] = ACTIONS(6800),
    [anon_sym___nullable] = ACTIONS(6800),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6800),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6800),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6800),
    [anon_sym___real] = ACTIONS(6800),
    [anon_sym___strong] = ACTIONS(6800),
    [anon_sym___unsafe_unretained] = ACTIONS(6800),
    [anon_sym___unused] = ACTIONS(6800),
    [anon_sym___weak] = ACTIONS(6800),
    [anon_sym_alignas] = ACTIONS(6800),
    [anon_sym__Alignas] = ACTIONS(6800),
    [sym_primitive_type] = ACTIONS(6800),
    [anon_sym_enum] = ACTIONS(6800),
    [anon_sym_struct] = ACTIONS(6800),
    [anon_sym_union] = ACTIONS(6800),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6800),
    [anon_sym___typeof] = ACTIONS(6800),
    [anon_sym_typeof] = ACTIONS(6800),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6800),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6800),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6800),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6800),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6800),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6800),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6800),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6800),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6800),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6800),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6800),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6800),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6800),
    [anon_sym_API_AVAILABLE] = ACTIONS(6800),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6800),
    [anon_sym_API_DEPRECATED] = ACTIONS(6800),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6800),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6800),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6800),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6800),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6800),
    [anon_sym___deprecated_msg] = ACTIONS(6800),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6800),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6800),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6800),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6800),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6800),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6800),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6800),
    [anon_sym_BOOL] = ACTIONS(6800),
    [anon_sym_IMP] = ACTIONS(6800),
    [anon_sym_SEL] = ACTIONS(6800),
    [anon_sym_Class] = ACTIONS(6800),
    [anon_sym_id] = ACTIONS(6800),
  },
  [2800] = {
    [sym__declaration_modifiers] = STATE(6527),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(6527),
    [sym_ms_declspec_modifier] = STATE(6527),
    [sym_compound_statement] = STATE(876),
    [sym_storage_class_specifier] = STATE(6527),
    [sym_type_qualifier] = STATE(6527),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3017),
    [sym__old_style_parameter_list] = STATE(2869),
    [sym_gnu_asm_expression] = STATE(3164),
    [sym_availability_attribute_specifier] = STATE(6527),
    [aux_sym_declaration_repeat1] = STATE(3165),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6806),
    [anon_sym_SEMI] = ACTIONS(6808),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2801] = {
    [aux_sym_c_method_parameter_repeat1] = STATE(2801),
    [sym_identifier] = ACTIONS(6816),
    [anon_sym_COMMA] = ACTIONS(6818),
    [anon_sym_SEMI] = ACTIONS(6821),
    [anon_sym___extension__] = ACTIONS(6816),
    [anon_sym_extern] = ACTIONS(6816),
    [anon_sym___attribute__] = ACTIONS(6816),
    [anon_sym___attribute] = ACTIONS(6816),
    [anon_sym_noreturn] = ACTIONS(6816),
    [anon_sym_LBRACK] = ACTIONS(6821),
    [anon_sym___declspec] = ACTIONS(6816),
    [anon_sym_LBRACE] = ACTIONS(6821),
    [anon_sym_signed] = ACTIONS(6816),
    [anon_sym_unsigned] = ACTIONS(6816),
    [anon_sym_long] = ACTIONS(6816),
    [anon_sym_short] = ACTIONS(6816),
    [anon_sym_static] = ACTIONS(6816),
    [anon_sym_ATautoreleasepool] = ACTIONS(6821),
    [anon_sym_auto] = ACTIONS(6816),
    [anon_sym_register] = ACTIONS(6816),
    [anon_sym_inline] = ACTIONS(6816),
    [anon_sym___inline] = ACTIONS(6816),
    [anon_sym___inline__] = ACTIONS(6816),
    [anon_sym___forceinline] = ACTIONS(6816),
    [anon_sym_thread_local] = ACTIONS(6816),
    [anon_sym___thread] = ACTIONS(6816),
    [anon_sym_CG_EXTERN] = ACTIONS(6816),
    [anon_sym_CG_INLINE] = ACTIONS(6816),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6816),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6816),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6816),
    [anon_sym_IBOutlet] = ACTIONS(6816),
    [anon_sym_IBInspectable] = ACTIONS(6816),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6816),
    [anon_sym_NS_INLINE] = ACTIONS(6816),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6816),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6816),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6816),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6816),
    [anon_sym_const] = ACTIONS(6816),
    [anon_sym_constexpr] = ACTIONS(6816),
    [anon_sym_volatile] = ACTIONS(6816),
    [anon_sym_restrict] = ACTIONS(6816),
    [anon_sym___restrict__] = ACTIONS(6816),
    [anon_sym__Atomic] = ACTIONS(6816),
    [anon_sym__Noreturn] = ACTIONS(6816),
    [anon_sym__Nonnull] = ACTIONS(6816),
    [anon_sym_nullable] = ACTIONS(6816),
    [anon_sym__Complex] = ACTIONS(6816),
    [anon_sym__Nullable] = ACTIONS(6816),
    [anon_sym__Nullable_result] = ACTIONS(6816),
    [anon_sym__Null_unspecified] = ACTIONS(6816),
    [anon_sym___autoreleasing] = ACTIONS(6816),
    [anon_sym___block] = ACTIONS(6816),
    [anon_sym___bridge] = ACTIONS(6816),
    [anon_sym___bridge_retained] = ACTIONS(6816),
    [anon_sym___bridge_transfer] = ACTIONS(6816),
    [anon_sym___complex] = ACTIONS(6816),
    [anon_sym___const] = ACTIONS(6816),
    [anon_sym___imag] = ACTIONS(6816),
    [anon_sym___kindof] = ACTIONS(6816),
    [anon_sym___nonnull] = ACTIONS(6816),
    [anon_sym___nullable] = ACTIONS(6816),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6816),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6816),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6816),
    [anon_sym___real] = ACTIONS(6816),
    [anon_sym___strong] = ACTIONS(6816),
    [anon_sym___unsafe_unretained] = ACTIONS(6816),
    [anon_sym___unused] = ACTIONS(6816),
    [anon_sym___weak] = ACTIONS(6816),
    [anon_sym_alignas] = ACTIONS(6816),
    [anon_sym__Alignas] = ACTIONS(6816),
    [sym_primitive_type] = ACTIONS(6816),
    [anon_sym_enum] = ACTIONS(6816),
    [anon_sym_struct] = ACTIONS(6816),
    [anon_sym_union] = ACTIONS(6816),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6816),
    [anon_sym___typeof] = ACTIONS(6816),
    [anon_sym_typeof] = ACTIONS(6816),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6816),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6816),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6816),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6816),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6816),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6816),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6816),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6816),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6816),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6816),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6816),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6816),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6816),
    [anon_sym_API_AVAILABLE] = ACTIONS(6816),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6816),
    [anon_sym_API_DEPRECATED] = ACTIONS(6816),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6816),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6816),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6816),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6816),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6816),
    [anon_sym___deprecated_msg] = ACTIONS(6816),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6816),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6816),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6816),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6816),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6816),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6816),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6816),
    [anon_sym_BOOL] = ACTIONS(6816),
    [anon_sym_IMP] = ACTIONS(6816),
    [anon_sym_SEL] = ACTIONS(6816),
    [anon_sym_Class] = ACTIONS(6816),
    [anon_sym_id] = ACTIONS(6816),
  },
  [2802] = {
    [sym_identifier] = ACTIONS(6823),
    [anon_sym_COMMA] = ACTIONS(6825),
    [anon_sym_SEMI] = ACTIONS(6825),
    [anon_sym___extension__] = ACTIONS(6823),
    [anon_sym_extern] = ACTIONS(6823),
    [anon_sym___attribute__] = ACTIONS(6823),
    [anon_sym___attribute] = ACTIONS(6823),
    [anon_sym_noreturn] = ACTIONS(6823),
    [anon_sym_LBRACK] = ACTIONS(6825),
    [anon_sym___declspec] = ACTIONS(6823),
    [anon_sym_LBRACE] = ACTIONS(6825),
    [anon_sym_signed] = ACTIONS(6823),
    [anon_sym_unsigned] = ACTIONS(6823),
    [anon_sym_long] = ACTIONS(6823),
    [anon_sym_short] = ACTIONS(6823),
    [anon_sym_static] = ACTIONS(6823),
    [anon_sym_ATautoreleasepool] = ACTIONS(6825),
    [anon_sym_auto] = ACTIONS(6823),
    [anon_sym_register] = ACTIONS(6823),
    [anon_sym_inline] = ACTIONS(6823),
    [anon_sym___inline] = ACTIONS(6823),
    [anon_sym___inline__] = ACTIONS(6823),
    [anon_sym___forceinline] = ACTIONS(6823),
    [anon_sym_thread_local] = ACTIONS(6823),
    [anon_sym___thread] = ACTIONS(6823),
    [anon_sym_CG_EXTERN] = ACTIONS(6823),
    [anon_sym_CG_INLINE] = ACTIONS(6823),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6823),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6823),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6823),
    [anon_sym_IBOutlet] = ACTIONS(6823),
    [anon_sym_IBInspectable] = ACTIONS(6823),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6823),
    [anon_sym_NS_INLINE] = ACTIONS(6823),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6823),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6823),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6823),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6823),
    [anon_sym_const] = ACTIONS(6823),
    [anon_sym_constexpr] = ACTIONS(6823),
    [anon_sym_volatile] = ACTIONS(6823),
    [anon_sym_restrict] = ACTIONS(6823),
    [anon_sym___restrict__] = ACTIONS(6823),
    [anon_sym__Atomic] = ACTIONS(6823),
    [anon_sym__Noreturn] = ACTIONS(6823),
    [anon_sym__Nonnull] = ACTIONS(6823),
    [anon_sym_nullable] = ACTIONS(6823),
    [anon_sym__Complex] = ACTIONS(6823),
    [anon_sym__Nullable] = ACTIONS(6823),
    [anon_sym__Nullable_result] = ACTIONS(6823),
    [anon_sym__Null_unspecified] = ACTIONS(6823),
    [anon_sym___autoreleasing] = ACTIONS(6823),
    [anon_sym___block] = ACTIONS(6823),
    [anon_sym___bridge] = ACTIONS(6823),
    [anon_sym___bridge_retained] = ACTIONS(6823),
    [anon_sym___bridge_transfer] = ACTIONS(6823),
    [anon_sym___complex] = ACTIONS(6823),
    [anon_sym___const] = ACTIONS(6823),
    [anon_sym___imag] = ACTIONS(6823),
    [anon_sym___kindof] = ACTIONS(6823),
    [anon_sym___nonnull] = ACTIONS(6823),
    [anon_sym___nullable] = ACTIONS(6823),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6823),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6823),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6823),
    [anon_sym___real] = ACTIONS(6823),
    [anon_sym___strong] = ACTIONS(6823),
    [anon_sym___unsafe_unretained] = ACTIONS(6823),
    [anon_sym___unused] = ACTIONS(6823),
    [anon_sym___weak] = ACTIONS(6823),
    [anon_sym_alignas] = ACTIONS(6823),
    [anon_sym__Alignas] = ACTIONS(6823),
    [sym_primitive_type] = ACTIONS(6823),
    [anon_sym_enum] = ACTIONS(6823),
    [anon_sym_COLON] = ACTIONS(6825),
    [anon_sym_struct] = ACTIONS(6823),
    [anon_sym_union] = ACTIONS(6823),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6823),
    [anon_sym___typeof] = ACTIONS(6823),
    [anon_sym_typeof] = ACTIONS(6823),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6823),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6823),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6823),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6823),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6823),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6823),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6823),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6823),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6823),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6823),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6823),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6823),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6823),
    [anon_sym_API_AVAILABLE] = ACTIONS(6823),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6823),
    [anon_sym_API_DEPRECATED] = ACTIONS(6823),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6823),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6823),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6823),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6823),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6823),
    [anon_sym___deprecated_msg] = ACTIONS(6823),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6823),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6823),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6823),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6823),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6823),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6823),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6823),
    [anon_sym_BOOL] = ACTIONS(6823),
    [anon_sym_IMP] = ACTIONS(6823),
    [anon_sym_SEL] = ACTIONS(6823),
    [anon_sym_Class] = ACTIONS(6823),
    [anon_sym_id] = ACTIONS(6823),
  },
  [2803] = {
    [sym_identifier] = ACTIONS(6827),
    [anon_sym_COMMA] = ACTIONS(6829),
    [anon_sym_SEMI] = ACTIONS(6829),
    [anon_sym___extension__] = ACTIONS(6827),
    [anon_sym_extern] = ACTIONS(6827),
    [anon_sym___attribute__] = ACTIONS(6827),
    [anon_sym___attribute] = ACTIONS(6827),
    [anon_sym_noreturn] = ACTIONS(6827),
    [anon_sym_LBRACK] = ACTIONS(6829),
    [anon_sym___declspec] = ACTIONS(6827),
    [anon_sym_LBRACE] = ACTIONS(6829),
    [anon_sym_signed] = ACTIONS(6827),
    [anon_sym_unsigned] = ACTIONS(6827),
    [anon_sym_long] = ACTIONS(6827),
    [anon_sym_short] = ACTIONS(6827),
    [anon_sym_static] = ACTIONS(6827),
    [anon_sym_ATautoreleasepool] = ACTIONS(6829),
    [anon_sym_auto] = ACTIONS(6827),
    [anon_sym_register] = ACTIONS(6827),
    [anon_sym_inline] = ACTIONS(6827),
    [anon_sym___inline] = ACTIONS(6827),
    [anon_sym___inline__] = ACTIONS(6827),
    [anon_sym___forceinline] = ACTIONS(6827),
    [anon_sym_thread_local] = ACTIONS(6827),
    [anon_sym___thread] = ACTIONS(6827),
    [anon_sym_CG_EXTERN] = ACTIONS(6827),
    [anon_sym_CG_INLINE] = ACTIONS(6827),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6827),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6827),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6827),
    [anon_sym_IBOutlet] = ACTIONS(6827),
    [anon_sym_IBInspectable] = ACTIONS(6827),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6827),
    [anon_sym_NS_INLINE] = ACTIONS(6827),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6827),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6827),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6827),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6827),
    [anon_sym_const] = ACTIONS(6827),
    [anon_sym_constexpr] = ACTIONS(6827),
    [anon_sym_volatile] = ACTIONS(6827),
    [anon_sym_restrict] = ACTIONS(6827),
    [anon_sym___restrict__] = ACTIONS(6827),
    [anon_sym__Atomic] = ACTIONS(6827),
    [anon_sym__Noreturn] = ACTIONS(6827),
    [anon_sym__Nonnull] = ACTIONS(6827),
    [anon_sym_nullable] = ACTIONS(6827),
    [anon_sym__Complex] = ACTIONS(6827),
    [anon_sym__Nullable] = ACTIONS(6827),
    [anon_sym__Nullable_result] = ACTIONS(6827),
    [anon_sym__Null_unspecified] = ACTIONS(6827),
    [anon_sym___autoreleasing] = ACTIONS(6827),
    [anon_sym___block] = ACTIONS(6827),
    [anon_sym___bridge] = ACTIONS(6827),
    [anon_sym___bridge_retained] = ACTIONS(6827),
    [anon_sym___bridge_transfer] = ACTIONS(6827),
    [anon_sym___complex] = ACTIONS(6827),
    [anon_sym___const] = ACTIONS(6827),
    [anon_sym___imag] = ACTIONS(6827),
    [anon_sym___kindof] = ACTIONS(6827),
    [anon_sym___nonnull] = ACTIONS(6827),
    [anon_sym___nullable] = ACTIONS(6827),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6827),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6827),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6827),
    [anon_sym___real] = ACTIONS(6827),
    [anon_sym___strong] = ACTIONS(6827),
    [anon_sym___unsafe_unretained] = ACTIONS(6827),
    [anon_sym___unused] = ACTIONS(6827),
    [anon_sym___weak] = ACTIONS(6827),
    [anon_sym_alignas] = ACTIONS(6827),
    [anon_sym__Alignas] = ACTIONS(6827),
    [sym_primitive_type] = ACTIONS(6827),
    [anon_sym_enum] = ACTIONS(6827),
    [anon_sym_COLON] = ACTIONS(6829),
    [anon_sym_struct] = ACTIONS(6827),
    [anon_sym_union] = ACTIONS(6827),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6827),
    [anon_sym___typeof] = ACTIONS(6827),
    [anon_sym_typeof] = ACTIONS(6827),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6827),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6827),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6827),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6827),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6827),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6827),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6827),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6827),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6827),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6827),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6827),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6827),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6827),
    [anon_sym_API_AVAILABLE] = ACTIONS(6827),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6827),
    [anon_sym_API_DEPRECATED] = ACTIONS(6827),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6827),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6827),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6827),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6827),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6827),
    [anon_sym___deprecated_msg] = ACTIONS(6827),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6827),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6827),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6827),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6827),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6827),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6827),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6827),
    [anon_sym_BOOL] = ACTIONS(6827),
    [anon_sym_IMP] = ACTIONS(6827),
    [anon_sym_SEL] = ACTIONS(6827),
    [anon_sym_Class] = ACTIONS(6827),
    [anon_sym_id] = ACTIONS(6827),
  },
  [2804] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(6012),
    [sym__field_declarator] = STATE(4865),
    [sym_parenthesized_field_declarator] = STATE(4910),
    [sym_attributed_field_declarator] = STATE(4910),
    [sym_pointer_field_declarator] = STATE(4910),
    [sym_function_field_declarator] = STATE(4910),
    [sym_array_field_declarator] = STATE(4910),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_field_declarator] = STATE(4910),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(6411),
    [anon_sym_LPAREN2] = ACTIONS(6413),
    [anon_sym_STAR] = ACTIONS(6415),
    [anon_sym_CARET] = ACTIONS(6417),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2805] = {
    [sym_identifier] = ACTIONS(6831),
    [anon_sym_COMMA] = ACTIONS(6833),
    [anon_sym_SEMI] = ACTIONS(6833),
    [anon_sym___extension__] = ACTIONS(6831),
    [anon_sym_extern] = ACTIONS(6831),
    [anon_sym___attribute__] = ACTIONS(6831),
    [anon_sym___attribute] = ACTIONS(6831),
    [anon_sym_noreturn] = ACTIONS(6831),
    [anon_sym_LBRACK] = ACTIONS(6833),
    [anon_sym___declspec] = ACTIONS(6831),
    [anon_sym_LBRACE] = ACTIONS(6833),
    [anon_sym_signed] = ACTIONS(6831),
    [anon_sym_unsigned] = ACTIONS(6831),
    [anon_sym_long] = ACTIONS(6831),
    [anon_sym_short] = ACTIONS(6831),
    [anon_sym_static] = ACTIONS(6831),
    [anon_sym_ATautoreleasepool] = ACTIONS(6833),
    [anon_sym_auto] = ACTIONS(6831),
    [anon_sym_register] = ACTIONS(6831),
    [anon_sym_inline] = ACTIONS(6831),
    [anon_sym___inline] = ACTIONS(6831),
    [anon_sym___inline__] = ACTIONS(6831),
    [anon_sym___forceinline] = ACTIONS(6831),
    [anon_sym_thread_local] = ACTIONS(6831),
    [anon_sym___thread] = ACTIONS(6831),
    [anon_sym_CG_EXTERN] = ACTIONS(6831),
    [anon_sym_CG_INLINE] = ACTIONS(6831),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6831),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6831),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6831),
    [anon_sym_IBOutlet] = ACTIONS(6831),
    [anon_sym_IBInspectable] = ACTIONS(6831),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6831),
    [anon_sym_NS_INLINE] = ACTIONS(6831),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6831),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6831),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6831),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6831),
    [anon_sym_const] = ACTIONS(6831),
    [anon_sym_constexpr] = ACTIONS(6831),
    [anon_sym_volatile] = ACTIONS(6831),
    [anon_sym_restrict] = ACTIONS(6831),
    [anon_sym___restrict__] = ACTIONS(6831),
    [anon_sym__Atomic] = ACTIONS(6831),
    [anon_sym__Noreturn] = ACTIONS(6831),
    [anon_sym__Nonnull] = ACTIONS(6831),
    [anon_sym_nullable] = ACTIONS(6831),
    [anon_sym__Complex] = ACTIONS(6831),
    [anon_sym__Nullable] = ACTIONS(6831),
    [anon_sym__Nullable_result] = ACTIONS(6831),
    [anon_sym__Null_unspecified] = ACTIONS(6831),
    [anon_sym___autoreleasing] = ACTIONS(6831),
    [anon_sym___block] = ACTIONS(6831),
    [anon_sym___bridge] = ACTIONS(6831),
    [anon_sym___bridge_retained] = ACTIONS(6831),
    [anon_sym___bridge_transfer] = ACTIONS(6831),
    [anon_sym___complex] = ACTIONS(6831),
    [anon_sym___const] = ACTIONS(6831),
    [anon_sym___imag] = ACTIONS(6831),
    [anon_sym___kindof] = ACTIONS(6831),
    [anon_sym___nonnull] = ACTIONS(6831),
    [anon_sym___nullable] = ACTIONS(6831),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6831),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6831),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6831),
    [anon_sym___real] = ACTIONS(6831),
    [anon_sym___strong] = ACTIONS(6831),
    [anon_sym___unsafe_unretained] = ACTIONS(6831),
    [anon_sym___unused] = ACTIONS(6831),
    [anon_sym___weak] = ACTIONS(6831),
    [anon_sym_alignas] = ACTIONS(6831),
    [anon_sym__Alignas] = ACTIONS(6831),
    [sym_primitive_type] = ACTIONS(6831),
    [anon_sym_enum] = ACTIONS(6831),
    [anon_sym_COLON] = ACTIONS(6833),
    [anon_sym_struct] = ACTIONS(6831),
    [anon_sym_union] = ACTIONS(6831),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6831),
    [anon_sym___typeof] = ACTIONS(6831),
    [anon_sym_typeof] = ACTIONS(6831),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6831),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6831),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6831),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6831),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6831),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6831),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6831),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6831),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6831),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6831),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6831),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6831),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6831),
    [anon_sym_API_AVAILABLE] = ACTIONS(6831),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6831),
    [anon_sym_API_DEPRECATED] = ACTIONS(6831),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6831),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6831),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6831),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6831),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6831),
    [anon_sym___deprecated_msg] = ACTIONS(6831),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6831),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6831),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6831),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6831),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6831),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6831),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6831),
    [anon_sym_BOOL] = ACTIONS(6831),
    [anon_sym_IMP] = ACTIONS(6831),
    [anon_sym_SEL] = ACTIONS(6831),
    [anon_sym_Class] = ACTIONS(6831),
    [anon_sym_id] = ACTIONS(6831),
  },
  [2806] = {
    [sym__declaration_modifiers] = STATE(6075),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(6075),
    [sym_ms_declspec_modifier] = STATE(6075),
    [sym_compound_statement] = STATE(674),
    [sym_storage_class_specifier] = STATE(6075),
    [sym_type_qualifier] = STATE(6075),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3017),
    [sym__old_style_parameter_list] = STATE(2869),
    [sym_gnu_asm_expression] = STATE(3093),
    [sym_availability_attribute_specifier] = STATE(6075),
    [aux_sym_declaration_repeat1] = STATE(3094),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6806),
    [anon_sym_SEMI] = ACTIONS(6835),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_LBRACE] = ACTIONS(870),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_ATautoreleasepool] = ACTIONS(872),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2807] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(6267),
    [sym__field_declarator] = STATE(5023),
    [sym_parenthesized_field_declarator] = STATE(4910),
    [sym_attributed_field_declarator] = STATE(4910),
    [sym_pointer_field_declarator] = STATE(4910),
    [sym_function_field_declarator] = STATE(4910),
    [sym_array_field_declarator] = STATE(4910),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_field_declarator] = STATE(4910),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(6411),
    [anon_sym_LPAREN2] = ACTIONS(6413),
    [anon_sym_STAR] = ACTIONS(6419),
    [anon_sym_CARET] = ACTIONS(6421),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2808] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(6267),
    [sym__field_declarator] = STATE(5100),
    [sym_parenthesized_field_declarator] = STATE(4910),
    [sym_attributed_field_declarator] = STATE(4910),
    [sym_pointer_field_declarator] = STATE(4910),
    [sym_function_field_declarator] = STATE(4910),
    [sym_array_field_declarator] = STATE(4910),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_field_declarator] = STATE(4910),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(6411),
    [anon_sym_LPAREN2] = ACTIONS(6413),
    [anon_sym_STAR] = ACTIONS(6419),
    [anon_sym_CARET] = ACTIONS(6421),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2809] = {
    [sym__declaration_modifiers] = STATE(5976),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(5976),
    [sym_ms_declspec_modifier] = STATE(5976),
    [sym_compound_statement] = STATE(501),
    [sym_storage_class_specifier] = STATE(5976),
    [sym_type_qualifier] = STATE(5976),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3017),
    [sym__old_style_parameter_list] = STATE(2869),
    [sym_gnu_asm_expression] = STATE(3084),
    [sym_availability_attribute_specifier] = STATE(5976),
    [aux_sym_declaration_repeat1] = STATE(3085),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6806),
    [anon_sym_SEMI] = ACTIONS(6837),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2810] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(6012),
    [sym__field_declarator] = STATE(4864),
    [sym_parenthesized_field_declarator] = STATE(4910),
    [sym_attributed_field_declarator] = STATE(4910),
    [sym_pointer_field_declarator] = STATE(4910),
    [sym_function_field_declarator] = STATE(4910),
    [sym_array_field_declarator] = STATE(4910),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_field_declarator] = STATE(4910),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(6411),
    [anon_sym_LPAREN2] = ACTIONS(6413),
    [anon_sym_STAR] = ACTIONS(6415),
    [anon_sym_CARET] = ACTIONS(6417),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2811] = {
    [sym__declaration_modifiers] = STATE(6579),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(6579),
    [sym_ms_declspec_modifier] = STATE(6579),
    [sym_compound_statement] = STATE(1059),
    [sym_storage_class_specifier] = STATE(6579),
    [sym_type_qualifier] = STATE(6579),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3017),
    [sym__old_style_parameter_list] = STATE(2869),
    [sym_gnu_asm_expression] = STATE(3145),
    [sym_availability_attribute_specifier] = STATE(6579),
    [aux_sym_declaration_repeat1] = STATE(3146),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6806),
    [anon_sym_SEMI] = ACTIONS(6839),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2812] = {
    [sym_identifier] = ACTIONS(6841),
    [anon_sym_COMMA] = ACTIONS(6843),
    [anon_sym_SEMI] = ACTIONS(6843),
    [anon_sym___extension__] = ACTIONS(6841),
    [anon_sym_extern] = ACTIONS(6841),
    [anon_sym___attribute__] = ACTIONS(6841),
    [anon_sym___attribute] = ACTIONS(6841),
    [anon_sym_noreturn] = ACTIONS(6841),
    [anon_sym_LBRACK] = ACTIONS(6843),
    [anon_sym___declspec] = ACTIONS(6841),
    [anon_sym_LBRACE] = ACTIONS(6843),
    [anon_sym_signed] = ACTIONS(6841),
    [anon_sym_unsigned] = ACTIONS(6841),
    [anon_sym_long] = ACTIONS(6841),
    [anon_sym_short] = ACTIONS(6841),
    [anon_sym_static] = ACTIONS(6841),
    [anon_sym_ATautoreleasepool] = ACTIONS(6843),
    [anon_sym_auto] = ACTIONS(6841),
    [anon_sym_register] = ACTIONS(6841),
    [anon_sym_inline] = ACTIONS(6841),
    [anon_sym___inline] = ACTIONS(6841),
    [anon_sym___inline__] = ACTIONS(6841),
    [anon_sym___forceinline] = ACTIONS(6841),
    [anon_sym_thread_local] = ACTIONS(6841),
    [anon_sym___thread] = ACTIONS(6841),
    [anon_sym_CG_EXTERN] = ACTIONS(6841),
    [anon_sym_CG_INLINE] = ACTIONS(6841),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6841),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6841),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6841),
    [anon_sym_IBOutlet] = ACTIONS(6841),
    [anon_sym_IBInspectable] = ACTIONS(6841),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6841),
    [anon_sym_NS_INLINE] = ACTIONS(6841),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6841),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6841),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6841),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6841),
    [anon_sym_const] = ACTIONS(6841),
    [anon_sym_constexpr] = ACTIONS(6841),
    [anon_sym_volatile] = ACTIONS(6841),
    [anon_sym_restrict] = ACTIONS(6841),
    [anon_sym___restrict__] = ACTIONS(6841),
    [anon_sym__Atomic] = ACTIONS(6841),
    [anon_sym__Noreturn] = ACTIONS(6841),
    [anon_sym__Nonnull] = ACTIONS(6841),
    [anon_sym_nullable] = ACTIONS(6841),
    [anon_sym__Complex] = ACTIONS(6841),
    [anon_sym__Nullable] = ACTIONS(6841),
    [anon_sym__Nullable_result] = ACTIONS(6841),
    [anon_sym__Null_unspecified] = ACTIONS(6841),
    [anon_sym___autoreleasing] = ACTIONS(6841),
    [anon_sym___block] = ACTIONS(6841),
    [anon_sym___bridge] = ACTIONS(6841),
    [anon_sym___bridge_retained] = ACTIONS(6841),
    [anon_sym___bridge_transfer] = ACTIONS(6841),
    [anon_sym___complex] = ACTIONS(6841),
    [anon_sym___const] = ACTIONS(6841),
    [anon_sym___imag] = ACTIONS(6841),
    [anon_sym___kindof] = ACTIONS(6841),
    [anon_sym___nonnull] = ACTIONS(6841),
    [anon_sym___nullable] = ACTIONS(6841),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6841),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6841),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6841),
    [anon_sym___real] = ACTIONS(6841),
    [anon_sym___strong] = ACTIONS(6841),
    [anon_sym___unsafe_unretained] = ACTIONS(6841),
    [anon_sym___unused] = ACTIONS(6841),
    [anon_sym___weak] = ACTIONS(6841),
    [anon_sym_alignas] = ACTIONS(6841),
    [anon_sym__Alignas] = ACTIONS(6841),
    [sym_primitive_type] = ACTIONS(6841),
    [anon_sym_enum] = ACTIONS(6841),
    [anon_sym_COLON] = ACTIONS(6843),
    [anon_sym_struct] = ACTIONS(6841),
    [anon_sym_union] = ACTIONS(6841),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6841),
    [anon_sym___typeof] = ACTIONS(6841),
    [anon_sym_typeof] = ACTIONS(6841),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6841),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6841),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6841),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6841),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6841),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6841),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6841),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6841),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6841),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6841),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6841),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6841),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6841),
    [anon_sym_API_AVAILABLE] = ACTIONS(6841),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6841),
    [anon_sym_API_DEPRECATED] = ACTIONS(6841),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6841),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6841),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6841),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6841),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6841),
    [anon_sym___deprecated_msg] = ACTIONS(6841),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6841),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6841),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6841),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6841),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6841),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6841),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6841),
    [anon_sym_BOOL] = ACTIONS(6841),
    [anon_sym_IMP] = ACTIONS(6841),
    [anon_sym_SEL] = ACTIONS(6841),
    [anon_sym_Class] = ACTIONS(6841),
    [anon_sym_id] = ACTIONS(6841),
  },
  [2813] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(6267),
    [sym__field_declarator] = STATE(5071),
    [sym_parenthesized_field_declarator] = STATE(4910),
    [sym_attributed_field_declarator] = STATE(4910),
    [sym_pointer_field_declarator] = STATE(4910),
    [sym_function_field_declarator] = STATE(4910),
    [sym_array_field_declarator] = STATE(4910),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_field_declarator] = STATE(4910),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(6411),
    [anon_sym_LPAREN2] = ACTIONS(6413),
    [anon_sym_STAR] = ACTIONS(6419),
    [anon_sym_CARET] = ACTIONS(6421),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2814] = {
    [aux_sym_c_method_parameter_repeat1] = STATE(2799),
    [sym_identifier] = ACTIONS(6683),
    [anon_sym_COMMA] = ACTIONS(6685),
    [anon_sym_SEMI] = ACTIONS(6685),
    [anon_sym___extension__] = ACTIONS(6683),
    [anon_sym_extern] = ACTIONS(6683),
    [anon_sym___attribute__] = ACTIONS(6683),
    [anon_sym___attribute] = ACTIONS(6683),
    [anon_sym_noreturn] = ACTIONS(6683),
    [anon_sym_LBRACK] = ACTIONS(6685),
    [anon_sym___declspec] = ACTIONS(6683),
    [anon_sym_LBRACE] = ACTIONS(6685),
    [anon_sym_signed] = ACTIONS(6683),
    [anon_sym_unsigned] = ACTIONS(6683),
    [anon_sym_long] = ACTIONS(6683),
    [anon_sym_short] = ACTIONS(6683),
    [anon_sym_static] = ACTIONS(6683),
    [anon_sym_ATautoreleasepool] = ACTIONS(6685),
    [anon_sym_auto] = ACTIONS(6683),
    [anon_sym_register] = ACTIONS(6683),
    [anon_sym_inline] = ACTIONS(6683),
    [anon_sym___inline] = ACTIONS(6683),
    [anon_sym___inline__] = ACTIONS(6683),
    [anon_sym___forceinline] = ACTIONS(6683),
    [anon_sym_thread_local] = ACTIONS(6683),
    [anon_sym___thread] = ACTIONS(6683),
    [anon_sym_CG_EXTERN] = ACTIONS(6683),
    [anon_sym_CG_INLINE] = ACTIONS(6683),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6683),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6683),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6683),
    [anon_sym_IBOutlet] = ACTIONS(6683),
    [anon_sym_IBInspectable] = ACTIONS(6683),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6683),
    [anon_sym_NS_INLINE] = ACTIONS(6683),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6683),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6683),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6683),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6683),
    [anon_sym_const] = ACTIONS(6683),
    [anon_sym_constexpr] = ACTIONS(6683),
    [anon_sym_volatile] = ACTIONS(6683),
    [anon_sym_restrict] = ACTIONS(6683),
    [anon_sym___restrict__] = ACTIONS(6683),
    [anon_sym__Atomic] = ACTIONS(6683),
    [anon_sym__Noreturn] = ACTIONS(6683),
    [anon_sym__Nonnull] = ACTIONS(6683),
    [anon_sym_nullable] = ACTIONS(6683),
    [anon_sym__Complex] = ACTIONS(6683),
    [anon_sym__Nullable] = ACTIONS(6683),
    [anon_sym__Nullable_result] = ACTIONS(6683),
    [anon_sym__Null_unspecified] = ACTIONS(6683),
    [anon_sym___autoreleasing] = ACTIONS(6683),
    [anon_sym___block] = ACTIONS(6683),
    [anon_sym___bridge] = ACTIONS(6683),
    [anon_sym___bridge_retained] = ACTIONS(6683),
    [anon_sym___bridge_transfer] = ACTIONS(6683),
    [anon_sym___complex] = ACTIONS(6683),
    [anon_sym___const] = ACTIONS(6683),
    [anon_sym___imag] = ACTIONS(6683),
    [anon_sym___kindof] = ACTIONS(6683),
    [anon_sym___nonnull] = ACTIONS(6683),
    [anon_sym___nullable] = ACTIONS(6683),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6683),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6683),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6683),
    [anon_sym___real] = ACTIONS(6683),
    [anon_sym___strong] = ACTIONS(6683),
    [anon_sym___unsafe_unretained] = ACTIONS(6683),
    [anon_sym___unused] = ACTIONS(6683),
    [anon_sym___weak] = ACTIONS(6683),
    [anon_sym_alignas] = ACTIONS(6683),
    [anon_sym__Alignas] = ACTIONS(6683),
    [sym_primitive_type] = ACTIONS(6683),
    [anon_sym_enum] = ACTIONS(6683),
    [anon_sym_struct] = ACTIONS(6683),
    [anon_sym_union] = ACTIONS(6683),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6683),
    [anon_sym___typeof] = ACTIONS(6683),
    [anon_sym_typeof] = ACTIONS(6683),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6683),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6683),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6683),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6683),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6683),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6683),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6683),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6683),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6683),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6683),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6683),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6683),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6683),
    [anon_sym_API_AVAILABLE] = ACTIONS(6683),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6683),
    [anon_sym_API_DEPRECATED] = ACTIONS(6683),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6683),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6683),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6683),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6683),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6683),
    [anon_sym___deprecated_msg] = ACTIONS(6683),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6683),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6683),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6683),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6683),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6683),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6683),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6683),
    [anon_sym_BOOL] = ACTIONS(6683),
    [anon_sym_IMP] = ACTIONS(6683),
    [anon_sym_SEL] = ACTIONS(6683),
    [anon_sym_Class] = ACTIONS(6683),
    [anon_sym_id] = ACTIONS(6683),
  },
  [2815] = {
    [sym_identifier] = ACTIONS(6845),
    [anon_sym_COMMA] = ACTIONS(6847),
    [anon_sym_SEMI] = ACTIONS(6847),
    [anon_sym___extension__] = ACTIONS(6845),
    [anon_sym_extern] = ACTIONS(6845),
    [anon_sym___attribute__] = ACTIONS(6845),
    [anon_sym___attribute] = ACTIONS(6845),
    [anon_sym_noreturn] = ACTIONS(6845),
    [anon_sym_LBRACK] = ACTIONS(6847),
    [anon_sym___declspec] = ACTIONS(6845),
    [anon_sym_LBRACE] = ACTIONS(6847),
    [anon_sym_signed] = ACTIONS(6845),
    [anon_sym_unsigned] = ACTIONS(6845),
    [anon_sym_long] = ACTIONS(6845),
    [anon_sym_short] = ACTIONS(6845),
    [anon_sym_static] = ACTIONS(6845),
    [anon_sym_ATautoreleasepool] = ACTIONS(6847),
    [anon_sym_auto] = ACTIONS(6845),
    [anon_sym_register] = ACTIONS(6845),
    [anon_sym_inline] = ACTIONS(6845),
    [anon_sym___inline] = ACTIONS(6845),
    [anon_sym___inline__] = ACTIONS(6845),
    [anon_sym___forceinline] = ACTIONS(6845),
    [anon_sym_thread_local] = ACTIONS(6845),
    [anon_sym___thread] = ACTIONS(6845),
    [anon_sym_CG_EXTERN] = ACTIONS(6845),
    [anon_sym_CG_INLINE] = ACTIONS(6845),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6845),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6845),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6845),
    [anon_sym_IBOutlet] = ACTIONS(6845),
    [anon_sym_IBInspectable] = ACTIONS(6845),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6845),
    [anon_sym_NS_INLINE] = ACTIONS(6845),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6845),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6845),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6845),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6845),
    [anon_sym_const] = ACTIONS(6845),
    [anon_sym_constexpr] = ACTIONS(6845),
    [anon_sym_volatile] = ACTIONS(6845),
    [anon_sym_restrict] = ACTIONS(6845),
    [anon_sym___restrict__] = ACTIONS(6845),
    [anon_sym__Atomic] = ACTIONS(6845),
    [anon_sym__Noreturn] = ACTIONS(6845),
    [anon_sym__Nonnull] = ACTIONS(6845),
    [anon_sym_nullable] = ACTIONS(6845),
    [anon_sym__Complex] = ACTIONS(6845),
    [anon_sym__Nullable] = ACTIONS(6845),
    [anon_sym__Nullable_result] = ACTIONS(6845),
    [anon_sym__Null_unspecified] = ACTIONS(6845),
    [anon_sym___autoreleasing] = ACTIONS(6845),
    [anon_sym___block] = ACTIONS(6845),
    [anon_sym___bridge] = ACTIONS(6845),
    [anon_sym___bridge_retained] = ACTIONS(6845),
    [anon_sym___bridge_transfer] = ACTIONS(6845),
    [anon_sym___complex] = ACTIONS(6845),
    [anon_sym___const] = ACTIONS(6845),
    [anon_sym___imag] = ACTIONS(6845),
    [anon_sym___kindof] = ACTIONS(6845),
    [anon_sym___nonnull] = ACTIONS(6845),
    [anon_sym___nullable] = ACTIONS(6845),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6845),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6845),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6845),
    [anon_sym___real] = ACTIONS(6845),
    [anon_sym___strong] = ACTIONS(6845),
    [anon_sym___unsafe_unretained] = ACTIONS(6845),
    [anon_sym___unused] = ACTIONS(6845),
    [anon_sym___weak] = ACTIONS(6845),
    [anon_sym_alignas] = ACTIONS(6845),
    [anon_sym__Alignas] = ACTIONS(6845),
    [sym_primitive_type] = ACTIONS(6845),
    [anon_sym_enum] = ACTIONS(6845),
    [anon_sym_COLON] = ACTIONS(6847),
    [anon_sym_struct] = ACTIONS(6845),
    [anon_sym_union] = ACTIONS(6845),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6845),
    [anon_sym___typeof] = ACTIONS(6845),
    [anon_sym_typeof] = ACTIONS(6845),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6845),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6845),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6845),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6845),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6845),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6845),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6845),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6845),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6845),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6845),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6845),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6845),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6845),
    [anon_sym_API_AVAILABLE] = ACTIONS(6845),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6845),
    [anon_sym_API_DEPRECATED] = ACTIONS(6845),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6845),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6845),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6845),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6845),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6845),
    [anon_sym___deprecated_msg] = ACTIONS(6845),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6845),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6845),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6845),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6845),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6845),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6845),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6845),
    [anon_sym_BOOL] = ACTIONS(6845),
    [anon_sym_IMP] = ACTIONS(6845),
    [anon_sym_SEL] = ACTIONS(6845),
    [anon_sym_Class] = ACTIONS(6845),
    [anon_sym_id] = ACTIONS(6845),
  },
  [2816] = {
    [aux_sym_method_definition_repeat2] = STATE(2816),
    [sym_identifier] = ACTIONS(6849),
    [anon_sym_COMMA] = ACTIONS(6851),
    [anon_sym_SEMI] = ACTIONS(6854),
    [anon_sym___extension__] = ACTIONS(6849),
    [anon_sym_extern] = ACTIONS(6849),
    [anon_sym___attribute__] = ACTIONS(6849),
    [anon_sym___attribute] = ACTIONS(6849),
    [anon_sym_noreturn] = ACTIONS(6849),
    [anon_sym_LBRACK] = ACTIONS(6854),
    [anon_sym___declspec] = ACTIONS(6849),
    [anon_sym_LBRACE] = ACTIONS(6854),
    [anon_sym_signed] = ACTIONS(6849),
    [anon_sym_unsigned] = ACTIONS(6849),
    [anon_sym_long] = ACTIONS(6849),
    [anon_sym_short] = ACTIONS(6849),
    [anon_sym_static] = ACTIONS(6849),
    [anon_sym_ATautoreleasepool] = ACTIONS(6854),
    [anon_sym_auto] = ACTIONS(6849),
    [anon_sym_register] = ACTIONS(6849),
    [anon_sym_inline] = ACTIONS(6849),
    [anon_sym___inline] = ACTIONS(6849),
    [anon_sym___inline__] = ACTIONS(6849),
    [anon_sym___forceinline] = ACTIONS(6849),
    [anon_sym_thread_local] = ACTIONS(6849),
    [anon_sym___thread] = ACTIONS(6849),
    [anon_sym_CG_EXTERN] = ACTIONS(6849),
    [anon_sym_CG_INLINE] = ACTIONS(6849),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6849),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6849),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6849),
    [anon_sym_IBOutlet] = ACTIONS(6849),
    [anon_sym_IBInspectable] = ACTIONS(6849),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6849),
    [anon_sym_NS_INLINE] = ACTIONS(6849),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6849),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6849),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6849),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6849),
    [anon_sym_const] = ACTIONS(6849),
    [anon_sym_constexpr] = ACTIONS(6849),
    [anon_sym_volatile] = ACTIONS(6849),
    [anon_sym_restrict] = ACTIONS(6849),
    [anon_sym___restrict__] = ACTIONS(6849),
    [anon_sym__Atomic] = ACTIONS(6849),
    [anon_sym__Noreturn] = ACTIONS(6849),
    [anon_sym__Nonnull] = ACTIONS(6849),
    [anon_sym_nullable] = ACTIONS(6849),
    [anon_sym__Complex] = ACTIONS(6849),
    [anon_sym__Nullable] = ACTIONS(6849),
    [anon_sym__Nullable_result] = ACTIONS(6849),
    [anon_sym__Null_unspecified] = ACTIONS(6849),
    [anon_sym___autoreleasing] = ACTIONS(6849),
    [anon_sym___block] = ACTIONS(6849),
    [anon_sym___bridge] = ACTIONS(6849),
    [anon_sym___bridge_retained] = ACTIONS(6849),
    [anon_sym___bridge_transfer] = ACTIONS(6849),
    [anon_sym___complex] = ACTIONS(6849),
    [anon_sym___const] = ACTIONS(6849),
    [anon_sym___imag] = ACTIONS(6849),
    [anon_sym___kindof] = ACTIONS(6849),
    [anon_sym___nonnull] = ACTIONS(6849),
    [anon_sym___nullable] = ACTIONS(6849),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6849),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6849),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6849),
    [anon_sym___real] = ACTIONS(6849),
    [anon_sym___strong] = ACTIONS(6849),
    [anon_sym___unsafe_unretained] = ACTIONS(6849),
    [anon_sym___unused] = ACTIONS(6849),
    [anon_sym___weak] = ACTIONS(6849),
    [anon_sym_alignas] = ACTIONS(6849),
    [anon_sym__Alignas] = ACTIONS(6849),
    [sym_primitive_type] = ACTIONS(6849),
    [anon_sym_enum] = ACTIONS(6849),
    [anon_sym_struct] = ACTIONS(6849),
    [anon_sym_union] = ACTIONS(6849),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6849),
    [anon_sym___typeof] = ACTIONS(6849),
    [anon_sym_typeof] = ACTIONS(6849),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6849),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6849),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6849),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6849),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6849),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6849),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6849),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6849),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6849),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6849),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6849),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6849),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6849),
    [anon_sym_API_AVAILABLE] = ACTIONS(6849),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6849),
    [anon_sym_API_DEPRECATED] = ACTIONS(6849),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6849),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6849),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6849),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6849),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6849),
    [anon_sym___deprecated_msg] = ACTIONS(6849),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6849),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6849),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6849),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6849),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6849),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6849),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6849),
    [anon_sym_BOOL] = ACTIONS(6849),
    [anon_sym_IMP] = ACTIONS(6849),
    [anon_sym_SEL] = ACTIONS(6849),
    [anon_sym_Class] = ACTIONS(6849),
    [anon_sym_id] = ACTIONS(6849),
  },
  [2817] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(6012),
    [sym__field_declarator] = STATE(4853),
    [sym_parenthesized_field_declarator] = STATE(4910),
    [sym_attributed_field_declarator] = STATE(4910),
    [sym_pointer_field_declarator] = STATE(4910),
    [sym_function_field_declarator] = STATE(4910),
    [sym_array_field_declarator] = STATE(4910),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_field_declarator] = STATE(4910),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(6411),
    [anon_sym_LPAREN2] = ACTIONS(6413),
    [anon_sym_STAR] = ACTIONS(6415),
    [anon_sym_CARET] = ACTIONS(6417),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2818] = {
    [sym_identifier] = ACTIONS(6638),
    [anon_sym_COMMA] = ACTIONS(6633),
    [anon_sym_SEMI] = ACTIONS(6633),
    [anon_sym___extension__] = ACTIONS(6638),
    [anon_sym_extern] = ACTIONS(6638),
    [anon_sym___attribute__] = ACTIONS(6638),
    [anon_sym___attribute] = ACTIONS(6638),
    [anon_sym_noreturn] = ACTIONS(6638),
    [anon_sym_LBRACK] = ACTIONS(6633),
    [anon_sym___declspec] = ACTIONS(6638),
    [anon_sym_LBRACE] = ACTIONS(6633),
    [anon_sym_signed] = ACTIONS(6638),
    [anon_sym_unsigned] = ACTIONS(6638),
    [anon_sym_long] = ACTIONS(6638),
    [anon_sym_short] = ACTIONS(6638),
    [anon_sym_static] = ACTIONS(6638),
    [anon_sym_ATautoreleasepool] = ACTIONS(6633),
    [anon_sym_auto] = ACTIONS(6638),
    [anon_sym_register] = ACTIONS(6638),
    [anon_sym_inline] = ACTIONS(6638),
    [anon_sym___inline] = ACTIONS(6638),
    [anon_sym___inline__] = ACTIONS(6638),
    [anon_sym___forceinline] = ACTIONS(6638),
    [anon_sym_thread_local] = ACTIONS(6638),
    [anon_sym___thread] = ACTIONS(6638),
    [anon_sym_CG_EXTERN] = ACTIONS(6638),
    [anon_sym_CG_INLINE] = ACTIONS(6638),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6638),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6638),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6638),
    [anon_sym_IBOutlet] = ACTIONS(6638),
    [anon_sym_IBInspectable] = ACTIONS(6638),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6638),
    [anon_sym_NS_INLINE] = ACTIONS(6638),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6638),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6638),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6638),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6638),
    [anon_sym_const] = ACTIONS(6638),
    [anon_sym_constexpr] = ACTIONS(6638),
    [anon_sym_volatile] = ACTIONS(6638),
    [anon_sym_restrict] = ACTIONS(6638),
    [anon_sym___restrict__] = ACTIONS(6638),
    [anon_sym__Atomic] = ACTIONS(6638),
    [anon_sym__Noreturn] = ACTIONS(6638),
    [anon_sym__Nonnull] = ACTIONS(6638),
    [anon_sym_nullable] = ACTIONS(6638),
    [anon_sym__Complex] = ACTIONS(6638),
    [anon_sym__Nullable] = ACTIONS(6638),
    [anon_sym__Nullable_result] = ACTIONS(6638),
    [anon_sym__Null_unspecified] = ACTIONS(6638),
    [anon_sym___autoreleasing] = ACTIONS(6638),
    [anon_sym___block] = ACTIONS(6638),
    [anon_sym___bridge] = ACTIONS(6638),
    [anon_sym___bridge_retained] = ACTIONS(6638),
    [anon_sym___bridge_transfer] = ACTIONS(6638),
    [anon_sym___complex] = ACTIONS(6638),
    [anon_sym___const] = ACTIONS(6638),
    [anon_sym___imag] = ACTIONS(6638),
    [anon_sym___kindof] = ACTIONS(6638),
    [anon_sym___nonnull] = ACTIONS(6638),
    [anon_sym___nullable] = ACTIONS(6638),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6638),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6638),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6638),
    [anon_sym___real] = ACTIONS(6638),
    [anon_sym___strong] = ACTIONS(6638),
    [anon_sym___unsafe_unretained] = ACTIONS(6638),
    [anon_sym___unused] = ACTIONS(6638),
    [anon_sym___weak] = ACTIONS(6638),
    [anon_sym_alignas] = ACTIONS(6638),
    [anon_sym__Alignas] = ACTIONS(6638),
    [sym_primitive_type] = ACTIONS(6638),
    [anon_sym_enum] = ACTIONS(6638),
    [anon_sym_COLON] = ACTIONS(6633),
    [anon_sym_struct] = ACTIONS(6638),
    [anon_sym_union] = ACTIONS(6638),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6638),
    [anon_sym___typeof] = ACTIONS(6638),
    [anon_sym_typeof] = ACTIONS(6638),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6638),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6638),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6638),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6638),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6638),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6638),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6638),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6638),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6638),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6638),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6638),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6638),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6638),
    [anon_sym_API_AVAILABLE] = ACTIONS(6638),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6638),
    [anon_sym_API_DEPRECATED] = ACTIONS(6638),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6638),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6638),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6638),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6638),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6638),
    [anon_sym___deprecated_msg] = ACTIONS(6638),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6638),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6638),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6638),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6638),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6638),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6638),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6638),
    [anon_sym_BOOL] = ACTIONS(6638),
    [anon_sym_IMP] = ACTIONS(6638),
    [anon_sym_SEL] = ACTIONS(6638),
    [anon_sym_Class] = ACTIONS(6638),
    [anon_sym_id] = ACTIONS(6638),
  },
  [2819] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(6267),
    [sym__field_declarator] = STATE(5049),
    [sym_parenthesized_field_declarator] = STATE(4910),
    [sym_attributed_field_declarator] = STATE(4910),
    [sym_pointer_field_declarator] = STATE(4910),
    [sym_function_field_declarator] = STATE(4910),
    [sym_array_field_declarator] = STATE(4910),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_field_declarator] = STATE(4910),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(6411),
    [anon_sym_LPAREN2] = ACTIONS(6413),
    [anon_sym_STAR] = ACTIONS(6419),
    [anon_sym_CARET] = ACTIONS(6421),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2820] = {
    [sym__declaration_modifiers] = STATE(6643),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(6643),
    [sym_ms_declspec_modifier] = STATE(6643),
    [sym_compound_statement] = STATE(305),
    [sym_storage_class_specifier] = STATE(6643),
    [sym_type_qualifier] = STATE(6643),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3017),
    [sym__old_style_parameter_list] = STATE(2869),
    [sym_gnu_asm_expression] = STATE(3182),
    [sym_availability_attribute_specifier] = STATE(6643),
    [aux_sym_declaration_repeat1] = STATE(3183),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6806),
    [anon_sym_SEMI] = ACTIONS(6856),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2821] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3968),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_declarator] = STATE(3994),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2822] = {
    [sym_identifier] = ACTIONS(4846),
    [anon_sym_COMMA] = ACTIONS(4848),
    [anon_sym_SEMI] = ACTIONS(4848),
    [anon_sym___extension__] = ACTIONS(4846),
    [anon_sym_extern] = ACTIONS(4846),
    [anon_sym___attribute__] = ACTIONS(4846),
    [anon_sym___attribute] = ACTIONS(4846),
    [anon_sym_noreturn] = ACTIONS(4846),
    [anon_sym_LBRACK] = ACTIONS(4848),
    [anon_sym___declspec] = ACTIONS(4846),
    [anon_sym_LBRACE] = ACTIONS(4848),
    [anon_sym_signed] = ACTIONS(4846),
    [anon_sym_unsigned] = ACTIONS(4846),
    [anon_sym_long] = ACTIONS(4846),
    [anon_sym_short] = ACTIONS(4846),
    [anon_sym_static] = ACTIONS(4846),
    [anon_sym_ATautoreleasepool] = ACTIONS(4848),
    [anon_sym_auto] = ACTIONS(4846),
    [anon_sym_register] = ACTIONS(4846),
    [anon_sym_inline] = ACTIONS(4846),
    [anon_sym___inline] = ACTIONS(4846),
    [anon_sym___inline__] = ACTIONS(4846),
    [anon_sym___forceinline] = ACTIONS(4846),
    [anon_sym_thread_local] = ACTIONS(4846),
    [anon_sym___thread] = ACTIONS(4846),
    [anon_sym_CG_EXTERN] = ACTIONS(4846),
    [anon_sym_CG_INLINE] = ACTIONS(4846),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4846),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4846),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4846),
    [anon_sym_IBOutlet] = ACTIONS(4846),
    [anon_sym_IBInspectable] = ACTIONS(4846),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4846),
    [anon_sym_NS_INLINE] = ACTIONS(4846),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4846),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4846),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4846),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4846),
    [anon_sym_const] = ACTIONS(4846),
    [anon_sym_constexpr] = ACTIONS(4846),
    [anon_sym_volatile] = ACTIONS(4846),
    [anon_sym_restrict] = ACTIONS(4846),
    [anon_sym___restrict__] = ACTIONS(4846),
    [anon_sym__Atomic] = ACTIONS(4846),
    [anon_sym__Noreturn] = ACTIONS(4846),
    [anon_sym__Nonnull] = ACTIONS(4846),
    [anon_sym_nullable] = ACTIONS(4846),
    [anon_sym__Complex] = ACTIONS(4846),
    [anon_sym__Nullable] = ACTIONS(4846),
    [anon_sym__Nullable_result] = ACTIONS(4846),
    [anon_sym__Null_unspecified] = ACTIONS(4846),
    [anon_sym___autoreleasing] = ACTIONS(4846),
    [anon_sym___block] = ACTIONS(4846),
    [anon_sym___bridge] = ACTIONS(4846),
    [anon_sym___bridge_retained] = ACTIONS(4846),
    [anon_sym___bridge_transfer] = ACTIONS(4846),
    [anon_sym___complex] = ACTIONS(4846),
    [anon_sym___const] = ACTIONS(4846),
    [anon_sym___imag] = ACTIONS(4846),
    [anon_sym___kindof] = ACTIONS(4846),
    [anon_sym___nonnull] = ACTIONS(4846),
    [anon_sym___nullable] = ACTIONS(4846),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4846),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4846),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4846),
    [anon_sym___real] = ACTIONS(4846),
    [anon_sym___strong] = ACTIONS(4846),
    [anon_sym___unsafe_unretained] = ACTIONS(4846),
    [anon_sym___unused] = ACTIONS(4846),
    [anon_sym___weak] = ACTIONS(4846),
    [anon_sym_alignas] = ACTIONS(4846),
    [anon_sym__Alignas] = ACTIONS(4846),
    [sym_primitive_type] = ACTIONS(4846),
    [anon_sym_enum] = ACTIONS(4846),
    [anon_sym_struct] = ACTIONS(4846),
    [anon_sym_union] = ACTIONS(4846),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4846),
    [anon_sym___typeof] = ACTIONS(4846),
    [anon_sym_typeof] = ACTIONS(4846),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4846),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4846),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4846),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4846),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4846),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4846),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4846),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4846),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4846),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4846),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4846),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4846),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4846),
    [anon_sym_API_AVAILABLE] = ACTIONS(4846),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4846),
    [anon_sym_API_DEPRECATED] = ACTIONS(4846),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4846),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4846),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4846),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4846),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4846),
    [anon_sym___deprecated_msg] = ACTIONS(4846),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4846),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4846),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4846),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4846),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4846),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4846),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4846),
    [anon_sym_BOOL] = ACTIONS(4846),
    [anon_sym_IMP] = ACTIONS(4846),
    [anon_sym_SEL] = ACTIONS(4846),
    [anon_sym_Class] = ACTIONS(4846),
    [anon_sym_id] = ACTIONS(4846),
  },
  [2823] = {
    [sym__declaration_modifiers] = STATE(2829),
    [sym_attribute_specifier] = STATE(2829),
    [sym_attribute_declaration] = STATE(2829),
    [sym_ms_declspec_modifier] = STATE(2829),
    [sym_ms_based_modifier] = STATE(6208),
    [sym__declarator] = STATE(5175),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_storage_class_specifier] = STATE(2829),
    [sym_type_qualifier] = STATE(2829),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2829),
    [sym_block_pointer_declarator] = STATE(3994),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2829),
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(4492),
    [anon_sym_CARET] = ACTIONS(4494),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2824] = {
    [sym_identifier] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(2920),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym___attribute] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_auto] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_CG_EXTERN] = ACTIONS(2995),
    [anon_sym_CG_INLINE] = ACTIONS(2995),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2995),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2995),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2995),
    [anon_sym_IBOutlet] = ACTIONS(2995),
    [anon_sym_IBInspectable] = ACTIONS(2995),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2995),
    [anon_sym_NS_INLINE] = ACTIONS(2995),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2995),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2995),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2995),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym__Nonnull] = ACTIONS(2995),
    [anon_sym_nullable] = ACTIONS(2995),
    [anon_sym__Complex] = ACTIONS(2995),
    [anon_sym__Nullable] = ACTIONS(2995),
    [anon_sym__Nullable_result] = ACTIONS(2995),
    [anon_sym__Null_unspecified] = ACTIONS(2995),
    [anon_sym___autoreleasing] = ACTIONS(2995),
    [anon_sym___block] = ACTIONS(2995),
    [anon_sym___bridge] = ACTIONS(2995),
    [anon_sym___bridge_retained] = ACTIONS(2995),
    [anon_sym___bridge_transfer] = ACTIONS(2995),
    [anon_sym___complex] = ACTIONS(2995),
    [anon_sym___const] = ACTIONS(2995),
    [anon_sym___imag] = ACTIONS(2995),
    [anon_sym___kindof] = ACTIONS(2995),
    [anon_sym___nonnull] = ACTIONS(2995),
    [anon_sym___nullable] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2995),
    [anon_sym___real] = ACTIONS(2995),
    [anon_sym___strong] = ACTIONS(2995),
    [anon_sym___unsafe_unretained] = ACTIONS(2995),
    [anon_sym___unused] = ACTIONS(2995),
    [anon_sym___weak] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym__Alignas] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2995),
    [anon_sym___typeof] = ACTIONS(2995),
    [anon_sym_typeof] = ACTIONS(2995),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2995),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2995),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2995),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2995),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2995),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2995),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2995),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_API_AVAILABLE] = ACTIONS(2995),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_API_DEPRECATED] = ACTIONS(2995),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2995),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym___deprecated_msg] = ACTIONS(2995),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2995),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2995),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2995),
    [anon_sym_ATprotocol] = ACTIONS(3000),
    [anon_sym_ATinterface] = ACTIONS(3000),
    [anon_sym_ATimplementation] = ACTIONS(3000),
    [anon_sym_BOOL] = ACTIONS(2995),
    [anon_sym_IMP] = ACTIONS(2995),
    [anon_sym_SEL] = ACTIONS(2995),
    [anon_sym_Class] = ACTIONS(2995),
    [anon_sym_id] = ACTIONS(2995),
  },
  [2825] = {
    [sym_identifier] = ACTIONS(6697),
    [anon_sym_COMMA] = ACTIONS(6699),
    [anon_sym_SEMI] = ACTIONS(6699),
    [anon_sym___extension__] = ACTIONS(6697),
    [anon_sym_extern] = ACTIONS(6697),
    [anon_sym___attribute__] = ACTIONS(6697),
    [anon_sym___attribute] = ACTIONS(6697),
    [anon_sym_noreturn] = ACTIONS(6697),
    [anon_sym_LBRACK] = ACTIONS(6699),
    [anon_sym___declspec] = ACTIONS(6697),
    [anon_sym_LBRACE] = ACTIONS(6699),
    [anon_sym_signed] = ACTIONS(6697),
    [anon_sym_unsigned] = ACTIONS(6697),
    [anon_sym_long] = ACTIONS(6697),
    [anon_sym_short] = ACTIONS(6697),
    [anon_sym_static] = ACTIONS(6697),
    [anon_sym_ATautoreleasepool] = ACTIONS(6699),
    [anon_sym_auto] = ACTIONS(6697),
    [anon_sym_register] = ACTIONS(6697),
    [anon_sym_inline] = ACTIONS(6697),
    [anon_sym___inline] = ACTIONS(6697),
    [anon_sym___inline__] = ACTIONS(6697),
    [anon_sym___forceinline] = ACTIONS(6697),
    [anon_sym_thread_local] = ACTIONS(6697),
    [anon_sym___thread] = ACTIONS(6697),
    [anon_sym_CG_EXTERN] = ACTIONS(6697),
    [anon_sym_CG_INLINE] = ACTIONS(6697),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6697),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6697),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6697),
    [anon_sym_IBOutlet] = ACTIONS(6697),
    [anon_sym_IBInspectable] = ACTIONS(6697),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6697),
    [anon_sym_NS_INLINE] = ACTIONS(6697),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6697),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6697),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6697),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6697),
    [anon_sym_const] = ACTIONS(6697),
    [anon_sym_constexpr] = ACTIONS(6697),
    [anon_sym_volatile] = ACTIONS(6697),
    [anon_sym_restrict] = ACTIONS(6697),
    [anon_sym___restrict__] = ACTIONS(6697),
    [anon_sym__Atomic] = ACTIONS(6697),
    [anon_sym__Noreturn] = ACTIONS(6697),
    [anon_sym__Nonnull] = ACTIONS(6697),
    [anon_sym_nullable] = ACTIONS(6697),
    [anon_sym__Complex] = ACTIONS(6697),
    [anon_sym__Nullable] = ACTIONS(6697),
    [anon_sym__Nullable_result] = ACTIONS(6697),
    [anon_sym__Null_unspecified] = ACTIONS(6697),
    [anon_sym___autoreleasing] = ACTIONS(6697),
    [anon_sym___block] = ACTIONS(6697),
    [anon_sym___bridge] = ACTIONS(6697),
    [anon_sym___bridge_retained] = ACTIONS(6697),
    [anon_sym___bridge_transfer] = ACTIONS(6697),
    [anon_sym___complex] = ACTIONS(6697),
    [anon_sym___const] = ACTIONS(6697),
    [anon_sym___imag] = ACTIONS(6697),
    [anon_sym___kindof] = ACTIONS(6697),
    [anon_sym___nonnull] = ACTIONS(6697),
    [anon_sym___nullable] = ACTIONS(6697),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6697),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6697),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6697),
    [anon_sym___real] = ACTIONS(6697),
    [anon_sym___strong] = ACTIONS(6697),
    [anon_sym___unsafe_unretained] = ACTIONS(6697),
    [anon_sym___unused] = ACTIONS(6697),
    [anon_sym___weak] = ACTIONS(6697),
    [anon_sym_alignas] = ACTIONS(6697),
    [anon_sym__Alignas] = ACTIONS(6697),
    [sym_primitive_type] = ACTIONS(6697),
    [anon_sym_enum] = ACTIONS(6697),
    [anon_sym_struct] = ACTIONS(6697),
    [anon_sym_union] = ACTIONS(6697),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6697),
    [anon_sym___typeof] = ACTIONS(6697),
    [anon_sym_typeof] = ACTIONS(6697),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6697),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6697),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6697),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6697),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6697),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6697),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6697),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6697),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6697),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6697),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6697),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6697),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6697),
    [anon_sym_API_AVAILABLE] = ACTIONS(6697),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6697),
    [anon_sym_API_DEPRECATED] = ACTIONS(6697),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6697),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6697),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6697),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6697),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6697),
    [anon_sym___deprecated_msg] = ACTIONS(6697),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6697),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6697),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6697),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6697),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6697),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6697),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6697),
    [anon_sym_BOOL] = ACTIONS(6697),
    [anon_sym_IMP] = ACTIONS(6697),
    [anon_sym_SEL] = ACTIONS(6697),
    [anon_sym_Class] = ACTIONS(6697),
    [anon_sym_id] = ACTIONS(6697),
  },
  [2826] = {
    [sym__declaration_modifiers] = STATE(6229),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(6229),
    [sym_ms_declspec_modifier] = STATE(6229),
    [sym_compound_statement] = STATE(2118),
    [sym_storage_class_specifier] = STATE(6229),
    [sym_type_qualifier] = STATE(6229),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3017),
    [sym_gnu_asm_expression] = STATE(3108),
    [sym_availability_attribute_specifier] = STATE(6229),
    [aux_sym_declaration_repeat1] = STATE(3109),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6860),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_LBRACE] = ACTIONS(4667),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_ATautoreleasepool] = ACTIONS(4669),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2827] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(6231),
    [sym__declarator] = STATE(2717),
    [sym_parenthesized_declarator] = STATE(2789),
    [sym_pointer_declarator] = STATE(2789),
    [sym_function_declarator] = STATE(2789),
    [sym_array_declarator] = STATE(2789),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_declarator] = STATE(2789),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(6485),
    [anon_sym_LPAREN2] = ACTIONS(6487),
    [anon_sym_STAR] = ACTIONS(6489),
    [anon_sym_CARET] = ACTIONS(6491),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2828] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3977),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_declarator] = STATE(3994),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2829] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(6208),
    [sym__declarator] = STATE(5296),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_declarator] = STATE(3994),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(4492),
    [anon_sym_CARET] = ACTIONS(4494),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2830] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(6231),
    [sym__declarator] = STATE(2711),
    [sym_parenthesized_declarator] = STATE(2789),
    [sym_pointer_declarator] = STATE(2789),
    [sym_function_declarator] = STATE(2789),
    [sym_array_declarator] = STATE(2789),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_declarator] = STATE(2789),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(6485),
    [anon_sym_LPAREN2] = ACTIONS(6487),
    [anon_sym_STAR] = ACTIONS(6489),
    [anon_sym_CARET] = ACTIONS(6491),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2831] = {
    [sym__declaration_modifiers] = STATE(5976),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(5976),
    [sym_ms_declspec_modifier] = STATE(5976),
    [sym_compound_statement] = STATE(501),
    [sym_storage_class_specifier] = STATE(5976),
    [sym_type_qualifier] = STATE(5976),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3017),
    [sym_gnu_asm_expression] = STATE(3084),
    [sym_availability_attribute_specifier] = STATE(5976),
    [aux_sym_declaration_repeat1] = STATE(3085),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6837),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_ATautoreleasepool] = ACTIONS(305),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2832] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(5960),
    [sym__declarator] = STATE(3080),
    [sym_parenthesized_declarator] = STATE(3082),
    [sym_pointer_declarator] = STATE(3082),
    [sym_function_declarator] = STATE(3082),
    [sym_array_declarator] = STATE(3082),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_declarator] = STATE(3082),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(5469),
    [anon_sym_LPAREN2] = ACTIONS(6475),
    [anon_sym_STAR] = ACTIONS(6477),
    [anon_sym_CARET] = ACTIONS(6479),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2833] = {
    [sym__declaration_modifiers] = STATE(6075),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(6075),
    [sym_ms_declspec_modifier] = STATE(6075),
    [sym_compound_statement] = STATE(674),
    [sym_storage_class_specifier] = STATE(6075),
    [sym_type_qualifier] = STATE(6075),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3017),
    [sym_gnu_asm_expression] = STATE(3093),
    [sym_availability_attribute_specifier] = STATE(6075),
    [aux_sym_declaration_repeat1] = STATE(3094),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6835),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_LBRACE] = ACTIONS(870),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_ATautoreleasepool] = ACTIONS(872),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2834] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3962),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_declarator] = STATE(3994),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2835] = {
    [sym__declaration_modifiers] = STATE(6275),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(6275),
    [sym_ms_declspec_modifier] = STATE(6275),
    [sym_compound_statement] = STATE(2268),
    [sym_storage_class_specifier] = STATE(6275),
    [sym_type_qualifier] = STATE(6275),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3017),
    [sym_gnu_asm_expression] = STATE(3115),
    [sym_availability_attribute_specifier] = STATE(6275),
    [aux_sym_declaration_repeat1] = STATE(3083),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6862),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_LBRACE] = ACTIONS(4689),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_ATautoreleasepool] = ACTIONS(4691),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2836] = {
    [sym__declaration_modifiers] = STATE(6339),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(6339),
    [sym_ms_declspec_modifier] = STATE(6339),
    [sym_compound_statement] = STATE(2149),
    [sym_storage_class_specifier] = STATE(6339),
    [sym_type_qualifier] = STATE(6339),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3017),
    [sym_gnu_asm_expression] = STATE(3151),
    [sym_availability_attribute_specifier] = STATE(6339),
    [aux_sym_declaration_repeat1] = STATE(3153),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6864),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_LBRACE] = ACTIONS(4657),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_ATautoreleasepool] = ACTIONS(4659),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2837] = {
    [sym__declaration_modifiers] = STATE(6579),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(6579),
    [sym_ms_declspec_modifier] = STATE(6579),
    [sym_compound_statement] = STATE(1059),
    [sym_storage_class_specifier] = STATE(6579),
    [sym_type_qualifier] = STATE(6579),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3017),
    [sym_gnu_asm_expression] = STATE(3145),
    [sym_availability_attribute_specifier] = STATE(6579),
    [aux_sym_declaration_repeat1] = STATE(3146),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6839),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2838] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(5960),
    [sym__declarator] = STATE(3056),
    [sym_parenthesized_declarator] = STATE(3082),
    [sym_pointer_declarator] = STATE(3082),
    [sym_function_declarator] = STATE(3082),
    [sym_array_declarator] = STATE(3082),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_declarator] = STATE(3082),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(5469),
    [anon_sym_LPAREN2] = ACTIONS(6475),
    [anon_sym_STAR] = ACTIONS(6477),
    [anon_sym_CARET] = ACTIONS(6479),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2839] = {
    [sym__declaration_modifiers] = STATE(2842),
    [sym_attribute_specifier] = STATE(2842),
    [sym_attribute_declaration] = STATE(2842),
    [sym_ms_declspec_modifier] = STATE(2842),
    [sym_ms_based_modifier] = STATE(6208),
    [sym__declarator] = STATE(5303),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_storage_class_specifier] = STATE(2842),
    [sym_type_qualifier] = STATE(2842),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2842),
    [sym_block_pointer_declarator] = STATE(3994),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2842),
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(4492),
    [anon_sym_CARET] = ACTIONS(4494),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2840] = {
    [sym_identifier] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(2930),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym___attribute] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_auto] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_CG_EXTERN] = ACTIONS(2995),
    [anon_sym_CG_INLINE] = ACTIONS(2995),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2995),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2995),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2995),
    [anon_sym_IBOutlet] = ACTIONS(2995),
    [anon_sym_IBInspectable] = ACTIONS(2995),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2995),
    [anon_sym_NS_INLINE] = ACTIONS(2995),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2995),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2995),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2995),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym__Nonnull] = ACTIONS(2995),
    [anon_sym_nullable] = ACTIONS(2995),
    [anon_sym__Complex] = ACTIONS(2995),
    [anon_sym__Nullable] = ACTIONS(2995),
    [anon_sym__Nullable_result] = ACTIONS(2995),
    [anon_sym__Null_unspecified] = ACTIONS(2995),
    [anon_sym___autoreleasing] = ACTIONS(2995),
    [anon_sym___block] = ACTIONS(2995),
    [anon_sym___bridge] = ACTIONS(2995),
    [anon_sym___bridge_retained] = ACTIONS(2995),
    [anon_sym___bridge_transfer] = ACTIONS(2995),
    [anon_sym___complex] = ACTIONS(2995),
    [anon_sym___const] = ACTIONS(2995),
    [anon_sym___imag] = ACTIONS(2995),
    [anon_sym___kindof] = ACTIONS(2995),
    [anon_sym___nonnull] = ACTIONS(2995),
    [anon_sym___nullable] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2995),
    [anon_sym___real] = ACTIONS(2995),
    [anon_sym___strong] = ACTIONS(2995),
    [anon_sym___unsafe_unretained] = ACTIONS(2995),
    [anon_sym___unused] = ACTIONS(2995),
    [anon_sym___weak] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym__Alignas] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2995),
    [anon_sym___typeof] = ACTIONS(2995),
    [anon_sym_typeof] = ACTIONS(2995),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2995),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2995),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2995),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2995),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2995),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2995),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2995),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_API_AVAILABLE] = ACTIONS(2995),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_API_DEPRECATED] = ACTIONS(2995),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2995),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym___deprecated_msg] = ACTIONS(2995),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2995),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2995),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2995),
    [anon_sym_ATprotocol] = ACTIONS(3000),
    [anon_sym_ATinterface] = ACTIONS(3000),
    [anon_sym_ATimplementation] = ACTIONS(3000),
    [anon_sym_BOOL] = ACTIONS(2995),
    [anon_sym_IMP] = ACTIONS(2995),
    [anon_sym_SEL] = ACTIONS(2995),
    [anon_sym_Class] = ACTIONS(2995),
    [anon_sym_id] = ACTIONS(2995),
  },
  [2841] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(6208),
    [sym__declarator] = STATE(5064),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_declarator] = STATE(3994),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(4492),
    [anon_sym_CARET] = ACTIONS(4494),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2842] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(6208),
    [sym__declarator] = STATE(5314),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_declarator] = STATE(3994),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(4492),
    [anon_sym_CARET] = ACTIONS(4494),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2843] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(6208),
    [sym__declarator] = STATE(5041),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_declarator] = STATE(3994),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(4492),
    [anon_sym_CARET] = ACTIONS(4494),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2844] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(6208),
    [sym__declarator] = STATE(5063),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_declarator] = STATE(3994),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(4492),
    [anon_sym_CARET] = ACTIONS(4494),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2845] = {
    [sym__declaration_modifiers] = STATE(2846),
    [sym_attribute_specifier] = STATE(2846),
    [sym_attribute_declaration] = STATE(2846),
    [sym_ms_declspec_modifier] = STATE(2846),
    [sym_ms_based_modifier] = STATE(6208),
    [sym__declarator] = STATE(5198),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_storage_class_specifier] = STATE(2846),
    [sym_type_qualifier] = STATE(2846),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2846),
    [sym_block_pointer_declarator] = STATE(3994),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2846),
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(4492),
    [anon_sym_CARET] = ACTIONS(4494),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2846] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(6208),
    [sym__declarator] = STATE(5227),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_declarator] = STATE(3994),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(5334),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(4492),
    [anon_sym_CARET] = ACTIONS(4494),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2847] = {
    [sym__declaration_modifiers] = STATE(6643),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(6643),
    [sym_ms_declspec_modifier] = STATE(6643),
    [sym_compound_statement] = STATE(305),
    [sym_storage_class_specifier] = STATE(6643),
    [sym_type_qualifier] = STATE(6643),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3017),
    [sym_gnu_asm_expression] = STATE(3182),
    [sym_availability_attribute_specifier] = STATE(6643),
    [aux_sym_declaration_repeat1] = STATE(3183),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6856),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_ATautoreleasepool] = ACTIONS(183),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2848] = {
    [sym__declaration_modifiers] = STATE(6527),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(6527),
    [sym_ms_declspec_modifier] = STATE(6527),
    [sym_compound_statement] = STATE(876),
    [sym_storage_class_specifier] = STATE(6527),
    [sym_type_qualifier] = STATE(6527),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3017),
    [sym_gnu_asm_expression] = STATE(3164),
    [sym_availability_attribute_specifier] = STATE(6527),
    [aux_sym_declaration_repeat1] = STATE(3165),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6808),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_LBRACE] = ACTIONS(944),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_ATautoreleasepool] = ACTIONS(948),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2849] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(5960),
    [sym__declarator] = STATE(3057),
    [sym_parenthesized_declarator] = STATE(3082),
    [sym_pointer_declarator] = STATE(3082),
    [sym_function_declarator] = STATE(3082),
    [sym_array_declarator] = STATE(3082),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_declarator] = STATE(3082),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(5469),
    [anon_sym_LPAREN2] = ACTIONS(6475),
    [anon_sym_STAR] = ACTIONS(6477),
    [anon_sym_CARET] = ACTIONS(6479),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2850] = {
    [sym_identifier] = ACTIONS(6849),
    [anon_sym_COMMA] = ACTIONS(6854),
    [anon_sym_SEMI] = ACTIONS(6854),
    [anon_sym___extension__] = ACTIONS(6849),
    [anon_sym_extern] = ACTIONS(6849),
    [anon_sym___attribute__] = ACTIONS(6849),
    [anon_sym___attribute] = ACTIONS(6849),
    [anon_sym_noreturn] = ACTIONS(6849),
    [anon_sym_LBRACK] = ACTIONS(6854),
    [anon_sym___declspec] = ACTIONS(6849),
    [anon_sym_LBRACE] = ACTIONS(6854),
    [anon_sym_signed] = ACTIONS(6849),
    [anon_sym_unsigned] = ACTIONS(6849),
    [anon_sym_long] = ACTIONS(6849),
    [anon_sym_short] = ACTIONS(6849),
    [anon_sym_static] = ACTIONS(6849),
    [anon_sym_ATautoreleasepool] = ACTIONS(6854),
    [anon_sym_auto] = ACTIONS(6849),
    [anon_sym_register] = ACTIONS(6849),
    [anon_sym_inline] = ACTIONS(6849),
    [anon_sym___inline] = ACTIONS(6849),
    [anon_sym___inline__] = ACTIONS(6849),
    [anon_sym___forceinline] = ACTIONS(6849),
    [anon_sym_thread_local] = ACTIONS(6849),
    [anon_sym___thread] = ACTIONS(6849),
    [anon_sym_CG_EXTERN] = ACTIONS(6849),
    [anon_sym_CG_INLINE] = ACTIONS(6849),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6849),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6849),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6849),
    [anon_sym_IBOutlet] = ACTIONS(6849),
    [anon_sym_IBInspectable] = ACTIONS(6849),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6849),
    [anon_sym_NS_INLINE] = ACTIONS(6849),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6849),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6849),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6849),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6849),
    [anon_sym_const] = ACTIONS(6849),
    [anon_sym_constexpr] = ACTIONS(6849),
    [anon_sym_volatile] = ACTIONS(6849),
    [anon_sym_restrict] = ACTIONS(6849),
    [anon_sym___restrict__] = ACTIONS(6849),
    [anon_sym__Atomic] = ACTIONS(6849),
    [anon_sym__Noreturn] = ACTIONS(6849),
    [anon_sym__Nonnull] = ACTIONS(6849),
    [anon_sym_nullable] = ACTIONS(6849),
    [anon_sym__Complex] = ACTIONS(6849),
    [anon_sym__Nullable] = ACTIONS(6849),
    [anon_sym__Nullable_result] = ACTIONS(6849),
    [anon_sym__Null_unspecified] = ACTIONS(6849),
    [anon_sym___autoreleasing] = ACTIONS(6849),
    [anon_sym___block] = ACTIONS(6849),
    [anon_sym___bridge] = ACTIONS(6849),
    [anon_sym___bridge_retained] = ACTIONS(6849),
    [anon_sym___bridge_transfer] = ACTIONS(6849),
    [anon_sym___complex] = ACTIONS(6849),
    [anon_sym___const] = ACTIONS(6849),
    [anon_sym___imag] = ACTIONS(6849),
    [anon_sym___kindof] = ACTIONS(6849),
    [anon_sym___nonnull] = ACTIONS(6849),
    [anon_sym___nullable] = ACTIONS(6849),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6849),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6849),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6849),
    [anon_sym___real] = ACTIONS(6849),
    [anon_sym___strong] = ACTIONS(6849),
    [anon_sym___unsafe_unretained] = ACTIONS(6849),
    [anon_sym___unused] = ACTIONS(6849),
    [anon_sym___weak] = ACTIONS(6849),
    [anon_sym_alignas] = ACTIONS(6849),
    [anon_sym__Alignas] = ACTIONS(6849),
    [sym_primitive_type] = ACTIONS(6849),
    [anon_sym_enum] = ACTIONS(6849),
    [anon_sym_struct] = ACTIONS(6849),
    [anon_sym_union] = ACTIONS(6849),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6849),
    [anon_sym___typeof] = ACTIONS(6849),
    [anon_sym_typeof] = ACTIONS(6849),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6849),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6849),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6849),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6849),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6849),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6849),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6849),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6849),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6849),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6849),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6849),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6849),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6849),
    [anon_sym_API_AVAILABLE] = ACTIONS(6849),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6849),
    [anon_sym_API_DEPRECATED] = ACTIONS(6849),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6849),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6849),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6849),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6849),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6849),
    [anon_sym___deprecated_msg] = ACTIONS(6849),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6849),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6849),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6849),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6849),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6849),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6849),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6849),
    [anon_sym_BOOL] = ACTIONS(6849),
    [anon_sym_IMP] = ACTIONS(6849),
    [anon_sym_SEL] = ACTIONS(6849),
    [anon_sym_Class] = ACTIONS(6849),
    [anon_sym_id] = ACTIONS(6849),
  },
  [2851] = {
    [sym_identifier] = ACTIONS(4866),
    [anon_sym_COMMA] = ACTIONS(4868),
    [anon_sym_SEMI] = ACTIONS(4868),
    [anon_sym___extension__] = ACTIONS(4866),
    [anon_sym_extern] = ACTIONS(4866),
    [anon_sym___attribute__] = ACTIONS(4866),
    [anon_sym___attribute] = ACTIONS(4866),
    [anon_sym_noreturn] = ACTIONS(4866),
    [anon_sym_LBRACK] = ACTIONS(4868),
    [anon_sym___declspec] = ACTIONS(4866),
    [anon_sym_LBRACE] = ACTIONS(4868),
    [anon_sym_signed] = ACTIONS(4866),
    [anon_sym_unsigned] = ACTIONS(4866),
    [anon_sym_long] = ACTIONS(4866),
    [anon_sym_short] = ACTIONS(4866),
    [anon_sym_static] = ACTIONS(4866),
    [anon_sym_ATautoreleasepool] = ACTIONS(4868),
    [anon_sym_auto] = ACTIONS(4866),
    [anon_sym_register] = ACTIONS(4866),
    [anon_sym_inline] = ACTIONS(4866),
    [anon_sym___inline] = ACTIONS(4866),
    [anon_sym___inline__] = ACTIONS(4866),
    [anon_sym___forceinline] = ACTIONS(4866),
    [anon_sym_thread_local] = ACTIONS(4866),
    [anon_sym___thread] = ACTIONS(4866),
    [anon_sym_CG_EXTERN] = ACTIONS(4866),
    [anon_sym_CG_INLINE] = ACTIONS(4866),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4866),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4866),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4866),
    [anon_sym_IBOutlet] = ACTIONS(4866),
    [anon_sym_IBInspectable] = ACTIONS(4866),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4866),
    [anon_sym_NS_INLINE] = ACTIONS(4866),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4866),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4866),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4866),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4866),
    [anon_sym_const] = ACTIONS(4866),
    [anon_sym_constexpr] = ACTIONS(4866),
    [anon_sym_volatile] = ACTIONS(4866),
    [anon_sym_restrict] = ACTIONS(4866),
    [anon_sym___restrict__] = ACTIONS(4866),
    [anon_sym__Atomic] = ACTIONS(4866),
    [anon_sym__Noreturn] = ACTIONS(4866),
    [anon_sym__Nonnull] = ACTIONS(4866),
    [anon_sym_nullable] = ACTIONS(4866),
    [anon_sym__Complex] = ACTIONS(4866),
    [anon_sym__Nullable] = ACTIONS(4866),
    [anon_sym__Nullable_result] = ACTIONS(4866),
    [anon_sym__Null_unspecified] = ACTIONS(4866),
    [anon_sym___autoreleasing] = ACTIONS(4866),
    [anon_sym___block] = ACTIONS(4866),
    [anon_sym___bridge] = ACTIONS(4866),
    [anon_sym___bridge_retained] = ACTIONS(4866),
    [anon_sym___bridge_transfer] = ACTIONS(4866),
    [anon_sym___complex] = ACTIONS(4866),
    [anon_sym___const] = ACTIONS(4866),
    [anon_sym___imag] = ACTIONS(4866),
    [anon_sym___kindof] = ACTIONS(4866),
    [anon_sym___nonnull] = ACTIONS(4866),
    [anon_sym___nullable] = ACTIONS(4866),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4866),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4866),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4866),
    [anon_sym___real] = ACTIONS(4866),
    [anon_sym___strong] = ACTIONS(4866),
    [anon_sym___unsafe_unretained] = ACTIONS(4866),
    [anon_sym___unused] = ACTIONS(4866),
    [anon_sym___weak] = ACTIONS(4866),
    [anon_sym_alignas] = ACTIONS(4866),
    [anon_sym__Alignas] = ACTIONS(4866),
    [sym_primitive_type] = ACTIONS(4866),
    [anon_sym_enum] = ACTIONS(4866),
    [anon_sym_struct] = ACTIONS(4866),
    [anon_sym_union] = ACTIONS(4866),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4866),
    [anon_sym___typeof] = ACTIONS(4866),
    [anon_sym_typeof] = ACTIONS(4866),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4866),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4866),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4866),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4866),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4866),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4866),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4866),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4866),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4866),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4866),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4866),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4866),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4866),
    [anon_sym_API_AVAILABLE] = ACTIONS(4866),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4866),
    [anon_sym_API_DEPRECATED] = ACTIONS(4866),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4866),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4866),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4866),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4866),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4866),
    [anon_sym___deprecated_msg] = ACTIONS(4866),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4866),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4866),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4866),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4866),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4866),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4866),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4866),
    [anon_sym_BOOL] = ACTIONS(4866),
    [anon_sym_IMP] = ACTIONS(4866),
    [anon_sym_SEL] = ACTIONS(4866),
    [anon_sym_Class] = ACTIONS(4866),
    [anon_sym_id] = ACTIONS(4866),
  },
  [2852] = {
    [sym_identifier] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(2932),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym___attribute] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_auto] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_CG_EXTERN] = ACTIONS(2995),
    [anon_sym_CG_INLINE] = ACTIONS(2995),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2995),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2995),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2995),
    [anon_sym_IBOutlet] = ACTIONS(2995),
    [anon_sym_IBInspectable] = ACTIONS(2995),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2995),
    [anon_sym_NS_INLINE] = ACTIONS(2995),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2995),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2995),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2995),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym__Nonnull] = ACTIONS(2995),
    [anon_sym_nullable] = ACTIONS(2995),
    [anon_sym__Complex] = ACTIONS(2995),
    [anon_sym__Nullable] = ACTIONS(2995),
    [anon_sym__Nullable_result] = ACTIONS(2995),
    [anon_sym__Null_unspecified] = ACTIONS(2995),
    [anon_sym___autoreleasing] = ACTIONS(2995),
    [anon_sym___block] = ACTIONS(2995),
    [anon_sym___bridge] = ACTIONS(2995),
    [anon_sym___bridge_retained] = ACTIONS(2995),
    [anon_sym___bridge_transfer] = ACTIONS(2995),
    [anon_sym___complex] = ACTIONS(2995),
    [anon_sym___const] = ACTIONS(2995),
    [anon_sym___imag] = ACTIONS(2995),
    [anon_sym___kindof] = ACTIONS(2995),
    [anon_sym___nonnull] = ACTIONS(2995),
    [anon_sym___nullable] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2995),
    [anon_sym___real] = ACTIONS(2995),
    [anon_sym___strong] = ACTIONS(2995),
    [anon_sym___unsafe_unretained] = ACTIONS(2995),
    [anon_sym___unused] = ACTIONS(2995),
    [anon_sym___weak] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym__Alignas] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2995),
    [anon_sym___typeof] = ACTIONS(2995),
    [anon_sym_typeof] = ACTIONS(2995),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2995),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2995),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2995),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2995),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2995),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2995),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2995),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_API_AVAILABLE] = ACTIONS(2995),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_API_DEPRECATED] = ACTIONS(2995),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2995),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym___deprecated_msg] = ACTIONS(2995),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2995),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2995),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2995),
    [anon_sym_ATprotocol] = ACTIONS(3000),
    [anon_sym_ATinterface] = ACTIONS(3000),
    [anon_sym_ATimplementation] = ACTIONS(3000),
    [anon_sym_BOOL] = ACTIONS(2995),
    [anon_sym_IMP] = ACTIONS(2995),
    [anon_sym_SEL] = ACTIONS(2995),
    [anon_sym_Class] = ACTIONS(2995),
    [anon_sym_id] = ACTIONS(2995),
  },
  [2853] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(6666),
    [sym__declarator] = STATE(3226),
    [sym_parenthesized_declarator] = STATE(3082),
    [sym_pointer_declarator] = STATE(3082),
    [sym_function_declarator] = STATE(3082),
    [sym_array_declarator] = STATE(3082),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_declarator] = STATE(3082),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(5469),
    [anon_sym_LPAREN2] = ACTIONS(6475),
    [anon_sym_STAR] = ACTIONS(6493),
    [anon_sym_CARET] = ACTIONS(6495),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2854] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(6666),
    [sym__declarator] = STATE(3221),
    [sym_parenthesized_declarator] = STATE(3082),
    [sym_pointer_declarator] = STATE(3082),
    [sym_function_declarator] = STATE(3082),
    [sym_array_declarator] = STATE(3082),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_declarator] = STATE(3082),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(5469),
    [anon_sym_LPAREN2] = ACTIONS(6475),
    [anon_sym_STAR] = ACTIONS(6493),
    [anon_sym_CARET] = ACTIONS(6495),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2855] = {
    [sym__declaration_modifiers] = STATE(2872),
    [sym_attribute_specifier] = STATE(2872),
    [sym_attribute_declaration] = STATE(2872),
    [sym_ms_declspec_modifier] = STATE(2872),
    [sym__abstract_declarator] = STATE(4986),
    [sym_abstract_parenthesized_declarator] = STATE(4850),
    [sym_abstract_pointer_declarator] = STATE(4850),
    [sym_abstract_function_declarator] = STATE(4850),
    [sym_abstract_array_declarator] = STATE(4850),
    [sym_storage_class_specifier] = STATE(2872),
    [sym_type_qualifier] = STATE(2872),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(4301),
    [sym_availability_attribute_specifier] = STATE(2872),
    [sym_abstract_block_pointer_declarator] = STATE(4850),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2872),
    [anon_sym_LPAREN2] = ACTIONS(4496),
    [anon_sym_STAR] = ACTIONS(6866),
    [anon_sym_CARET] = ACTIONS(6868),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6790),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_LBRACE] = ACTIONS(6282),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_ATautoreleasepool] = ACTIONS(6282),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2856] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(6666),
    [sym__declarator] = STATE(3220),
    [sym_parenthesized_declarator] = STATE(3082),
    [sym_pointer_declarator] = STATE(3082),
    [sym_function_declarator] = STATE(3082),
    [sym_array_declarator] = STATE(3082),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_declarator] = STATE(3082),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(5469),
    [anon_sym_LPAREN2] = ACTIONS(6475),
    [anon_sym_STAR] = ACTIONS(6493),
    [anon_sym_CARET] = ACTIONS(6495),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2857] = {
    [sym_identifier] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(2934),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym___attribute] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_auto] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_CG_EXTERN] = ACTIONS(2995),
    [anon_sym_CG_INLINE] = ACTIONS(2995),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2995),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2995),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2995),
    [anon_sym_IBOutlet] = ACTIONS(2995),
    [anon_sym_IBInspectable] = ACTIONS(2995),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2995),
    [anon_sym_NS_INLINE] = ACTIONS(2995),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2995),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2995),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2995),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym__Nonnull] = ACTIONS(2995),
    [anon_sym_nullable] = ACTIONS(2995),
    [anon_sym__Complex] = ACTIONS(2995),
    [anon_sym__Nullable] = ACTIONS(2995),
    [anon_sym__Nullable_result] = ACTIONS(2995),
    [anon_sym__Null_unspecified] = ACTIONS(2995),
    [anon_sym___autoreleasing] = ACTIONS(2995),
    [anon_sym___block] = ACTIONS(2995),
    [anon_sym___bridge] = ACTIONS(2995),
    [anon_sym___bridge_retained] = ACTIONS(2995),
    [anon_sym___bridge_transfer] = ACTIONS(2995),
    [anon_sym___complex] = ACTIONS(2995),
    [anon_sym___const] = ACTIONS(2995),
    [anon_sym___imag] = ACTIONS(2995),
    [anon_sym___kindof] = ACTIONS(2995),
    [anon_sym___nonnull] = ACTIONS(2995),
    [anon_sym___nullable] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2995),
    [anon_sym___real] = ACTIONS(2995),
    [anon_sym___strong] = ACTIONS(2995),
    [anon_sym___unsafe_unretained] = ACTIONS(2995),
    [anon_sym___unused] = ACTIONS(2995),
    [anon_sym___weak] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym__Alignas] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2995),
    [anon_sym___typeof] = ACTIONS(2995),
    [anon_sym_typeof] = ACTIONS(2995),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2995),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2995),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2995),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2995),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2995),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2995),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2995),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_API_AVAILABLE] = ACTIONS(2995),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_API_DEPRECATED] = ACTIONS(2995),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2995),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym___deprecated_msg] = ACTIONS(2995),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2995),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2995),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2995),
    [anon_sym_ATprotocol] = ACTIONS(3000),
    [anon_sym_ATinterface] = ACTIONS(3000),
    [anon_sym_ATimplementation] = ACTIONS(3000),
    [anon_sym_BOOL] = ACTIONS(2995),
    [anon_sym_IMP] = ACTIONS(2995),
    [anon_sym_SEL] = ACTIONS(2995),
    [anon_sym_Class] = ACTIONS(2995),
    [anon_sym_id] = ACTIONS(2995),
  },
  [2858] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_ms_based_modifier] = STATE(6231),
    [sym__declarator] = STATE(2777),
    [sym_parenthesized_declarator] = STATE(2789),
    [sym_pointer_declarator] = STATE(2789),
    [sym_function_declarator] = STATE(2789),
    [sym_array_declarator] = STATE(2789),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [sym_block_pointer_declarator] = STATE(2789),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(6485),
    [anon_sym_LPAREN2] = ACTIONS(6487),
    [anon_sym_STAR] = ACTIONS(6489),
    [anon_sym_CARET] = ACTIONS(6491),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2859] = {
    [sym_identifier] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(2936),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym___attribute] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_auto] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_CG_EXTERN] = ACTIONS(2995),
    [anon_sym_CG_INLINE] = ACTIONS(2995),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2995),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2995),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2995),
    [anon_sym_IBOutlet] = ACTIONS(2995),
    [anon_sym_IBInspectable] = ACTIONS(2995),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2995),
    [anon_sym_NS_INLINE] = ACTIONS(2995),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2995),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2995),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2995),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym__Nonnull] = ACTIONS(2995),
    [anon_sym_nullable] = ACTIONS(2995),
    [anon_sym__Complex] = ACTIONS(2995),
    [anon_sym__Nullable] = ACTIONS(2995),
    [anon_sym__Nullable_result] = ACTIONS(2995),
    [anon_sym__Null_unspecified] = ACTIONS(2995),
    [anon_sym___autoreleasing] = ACTIONS(2995),
    [anon_sym___block] = ACTIONS(2995),
    [anon_sym___bridge] = ACTIONS(2995),
    [anon_sym___bridge_retained] = ACTIONS(2995),
    [anon_sym___bridge_transfer] = ACTIONS(2995),
    [anon_sym___complex] = ACTIONS(2995),
    [anon_sym___const] = ACTIONS(2995),
    [anon_sym___imag] = ACTIONS(2995),
    [anon_sym___kindof] = ACTIONS(2995),
    [anon_sym___nonnull] = ACTIONS(2995),
    [anon_sym___nullable] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2995),
    [anon_sym___real] = ACTIONS(2995),
    [anon_sym___strong] = ACTIONS(2995),
    [anon_sym___unsafe_unretained] = ACTIONS(2995),
    [anon_sym___unused] = ACTIONS(2995),
    [anon_sym___weak] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym__Alignas] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2995),
    [anon_sym___typeof] = ACTIONS(2995),
    [anon_sym_typeof] = ACTIONS(2995),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2995),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2995),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2995),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2995),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2995),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2995),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2995),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_API_AVAILABLE] = ACTIONS(2995),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_API_DEPRECATED] = ACTIONS(2995),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2995),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym___deprecated_msg] = ACTIONS(2995),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2995),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2995),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2995),
    [anon_sym_ATprotocol] = ACTIONS(3000),
    [anon_sym_ATinterface] = ACTIONS(3000),
    [anon_sym_ATimplementation] = ACTIONS(3000),
    [anon_sym_BOOL] = ACTIONS(2995),
    [anon_sym_IMP] = ACTIONS(2995),
    [anon_sym_SEL] = ACTIONS(2995),
    [anon_sym_Class] = ACTIONS(2995),
    [anon_sym_id] = ACTIONS(2995),
  },
  [2860] = {
    [sym__declaration_modifiers] = STATE(2855),
    [sym_attribute_specifier] = STATE(2855),
    [sym_attribute_declaration] = STATE(2855),
    [sym_ms_declspec_modifier] = STATE(2855),
    [sym__abstract_declarator] = STATE(4967),
    [sym_abstract_parenthesized_declarator] = STATE(4850),
    [sym_abstract_pointer_declarator] = STATE(4850),
    [sym_abstract_function_declarator] = STATE(4850),
    [sym_abstract_array_declarator] = STATE(4850),
    [sym_storage_class_specifier] = STATE(2855),
    [sym_type_qualifier] = STATE(2855),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(4301),
    [sym_availability_attribute_specifier] = STATE(2855),
    [sym_abstract_block_pointer_declarator] = STATE(4850),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2855),
    [anon_sym_LPAREN2] = ACTIONS(4496),
    [anon_sym_STAR] = ACTIONS(6866),
    [anon_sym_CARET] = ACTIONS(6868),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6790),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_LBRACE] = ACTIONS(5336),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_ATautoreleasepool] = ACTIONS(5336),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2861] = {
    [sym_ms_declspec_modifier] = STATE(6686),
    [sym_identifier] = ACTIONS(2922),
    [anon_sym___extension__] = ACTIONS(2922),
    [anon_sym_typedef] = ACTIONS(6870),
    [anon_sym_extern] = ACTIONS(2922),
    [anon_sym___attribute__] = ACTIONS(2922),
    [anon_sym___attribute] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_static] = ACTIONS(2922),
    [anon_sym_auto] = ACTIONS(2922),
    [anon_sym_register] = ACTIONS(2922),
    [anon_sym_inline] = ACTIONS(2922),
    [anon_sym___inline] = ACTIONS(2922),
    [anon_sym___inline__] = ACTIONS(2922),
    [anon_sym___forceinline] = ACTIONS(2922),
    [anon_sym_thread_local] = ACTIONS(2922),
    [anon_sym___thread] = ACTIONS(2922),
    [anon_sym_CG_EXTERN] = ACTIONS(2922),
    [anon_sym_CG_INLINE] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2922),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2922),
    [anon_sym_IBOutlet] = ACTIONS(2922),
    [anon_sym_IBInspectable] = ACTIONS(2922),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2922),
    [anon_sym_NS_INLINE] = ACTIONS(2922),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2922),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2922),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(2922),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2922),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2922),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(2922),
    [anon_sym_union] = ACTIONS(2922),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2922),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2922),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2922),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_API_AVAILABLE] = ACTIONS(2922),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_API_DEPRECATED] = ACTIONS(2922),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym___deprecated_msg] = ACTIONS(2922),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2922),
    [anon_sym_ATproperty] = ACTIONS(2928),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(2922),
  },
  [2862] = {
    [sym_ms_declspec_modifier] = STATE(6776),
    [sym_identifier] = ACTIONS(2922),
    [anon_sym___extension__] = ACTIONS(2922),
    [anon_sym_typedef] = ACTIONS(6872),
    [anon_sym_extern] = ACTIONS(2922),
    [anon_sym___attribute__] = ACTIONS(2922),
    [anon_sym___attribute] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_static] = ACTIONS(2922),
    [anon_sym_auto] = ACTIONS(2922),
    [anon_sym_register] = ACTIONS(2922),
    [anon_sym_inline] = ACTIONS(2922),
    [anon_sym___inline] = ACTIONS(2922),
    [anon_sym___inline__] = ACTIONS(2922),
    [anon_sym___forceinline] = ACTIONS(2922),
    [anon_sym_thread_local] = ACTIONS(2922),
    [anon_sym___thread] = ACTIONS(2922),
    [anon_sym_CG_EXTERN] = ACTIONS(2922),
    [anon_sym_CG_INLINE] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2922),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2922),
    [anon_sym_IBOutlet] = ACTIONS(2922),
    [anon_sym_IBInspectable] = ACTIONS(2922),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2922),
    [anon_sym_NS_INLINE] = ACTIONS(2922),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2922),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2922),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(2922),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2922),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2922),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(2922),
    [anon_sym_union] = ACTIONS(2922),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2922),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2922),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2922),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_API_AVAILABLE] = ACTIONS(2922),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_API_DEPRECATED] = ACTIONS(2922),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym___deprecated_msg] = ACTIONS(2922),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2922),
    [anon_sym_ATproperty] = ACTIONS(2928),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(2922),
  },
  [2863] = {
    [sym_ms_declspec_modifier] = STATE(6778),
    [sym_identifier] = ACTIONS(2922),
    [anon_sym___extension__] = ACTIONS(2922),
    [anon_sym_typedef] = ACTIONS(6874),
    [anon_sym_extern] = ACTIONS(2922),
    [anon_sym___attribute__] = ACTIONS(2922),
    [anon_sym___attribute] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_static] = ACTIONS(2922),
    [anon_sym_auto] = ACTIONS(2922),
    [anon_sym_register] = ACTIONS(2922),
    [anon_sym_inline] = ACTIONS(2922),
    [anon_sym___inline] = ACTIONS(2922),
    [anon_sym___inline__] = ACTIONS(2922),
    [anon_sym___forceinline] = ACTIONS(2922),
    [anon_sym_thread_local] = ACTIONS(2922),
    [anon_sym___thread] = ACTIONS(2922),
    [anon_sym_CG_EXTERN] = ACTIONS(2922),
    [anon_sym_CG_INLINE] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2922),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2922),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2922),
    [anon_sym_IBOutlet] = ACTIONS(2922),
    [anon_sym_IBInspectable] = ACTIONS(2922),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2922),
    [anon_sym_NS_INLINE] = ACTIONS(2922),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2922),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2922),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(2922),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2922),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2922),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(2922),
    [anon_sym_union] = ACTIONS(2922),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2922),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2922),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2922),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2922),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2922),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_API_AVAILABLE] = ACTIONS(2922),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_API_DEPRECATED] = ACTIONS(2922),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2922),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2922),
    [anon_sym___deprecated_msg] = ACTIONS(2922),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2922),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2922),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2922),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2922),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2922),
    [anon_sym_ATproperty] = ACTIONS(2928),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(2922),
  },
  [2864] = {
    [sym__declaration_modifiers] = STATE(6611),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(6611),
    [sym_ms_declspec_modifier] = STATE(6611),
    [sym_storage_class_specifier] = STATE(6611),
    [sym_type_qualifier] = STATE(6611),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3161),
    [sym_gnu_asm_expression] = STATE(3197),
    [sym_availability_attribute_specifier] = STATE(6611),
    [aux_sym_declaration_repeat1] = STATE(3198),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6876),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_in] = ACTIONS(6878),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2865] = {
    [sym__declaration_modifiers] = STATE(2875),
    [sym_attribute_specifier] = STATE(2875),
    [sym_attribute_declaration] = STATE(2875),
    [sym_ms_declspec_modifier] = STATE(2875),
    [sym_storage_class_specifier] = STATE(2875),
    [sym_type_qualifier] = STATE(2875),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2875),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2875),
    [sym_identifier] = ACTIONS(6880),
    [anon_sym_COMMA] = ACTIONS(6882),
    [anon_sym_RPAREN] = ACTIONS(6882),
    [anon_sym_LPAREN2] = ACTIONS(6882),
    [anon_sym_STAR] = ACTIONS(6882),
    [anon_sym_CARET] = ACTIONS(6882),
    [anon_sym_SEMI] = ACTIONS(6882),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(6884),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(6880),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(6880),
    [anon_sym_COLON] = ACTIONS(6882),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2866] = {
    [sym__declaration_modifiers] = STATE(6611),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(6611),
    [sym_ms_declspec_modifier] = STATE(6611),
    [sym_storage_class_specifier] = STATE(6611),
    [sym_type_qualifier] = STATE(6611),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3161),
    [sym_gnu_asm_expression] = STATE(3197),
    [sym_availability_attribute_specifier] = STATE(6611),
    [aux_sym_declaration_repeat1] = STATE(3198),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6876),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_in] = ACTIONS(6886),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2867] = {
    [sym_expression] = STATE(1636),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_initializer_list] = STATE(1676),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2222),
    [anon_sym_COMMA] = ACTIONS(2222),
    [anon_sym_LPAREN2] = ACTIONS(2222),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(2220),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_STAR] = ACTIONS(2222),
    [anon_sym_SLASH] = ACTIONS(2220),
    [anon_sym_PERCENT] = ACTIONS(2222),
    [anon_sym_PIPE_PIPE] = ACTIONS(2222),
    [anon_sym_AMP_AMP] = ACTIONS(2222),
    [anon_sym_PIPE] = ACTIONS(2220),
    [anon_sym_CARET] = ACTIONS(2222),
    [anon_sym_AMP] = ACTIONS(2220),
    [anon_sym_EQ_EQ] = ACTIONS(2222),
    [anon_sym_BANG_EQ] = ACTIONS(2222),
    [anon_sym_GT] = ACTIONS(2220),
    [anon_sym_GT_EQ] = ACTIONS(2222),
    [anon_sym_LT_EQ] = ACTIONS(2222),
    [anon_sym_LT] = ACTIONS(2220),
    [anon_sym_LT_LT] = ACTIONS(2222),
    [anon_sym_GT_GT] = ACTIONS(2222),
    [anon_sym_SEMI] = ACTIONS(2222),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym___attribute__] = ACTIONS(2220),
    [anon_sym___attribute] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2222),
    [anon_sym_RBRACK] = ACTIONS(2222),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_RBRACE] = ACTIONS(2222),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_COLON] = ACTIONS(2222),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(2222),
    [anon_sym_DASH_DASH] = ACTIONS(2222),
    [anon_sym_PLUS_PLUS] = ACTIONS(2222),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [anon_sym_DOT] = ACTIONS(2220),
    [anon_sym_DASH_GT] = ACTIONS(2222),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2868] = {
    [sym_type_qualifier] = STATE(2870),
    [sym_alignas_qualifier] = STATE(2412),
    [aux_sym__type_definition_type_repeat1] = STATE(2870),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2922),
    [sym_identifier] = ACTIONS(6888),
    [anon_sym_COMMA] = ACTIONS(6891),
    [anon_sym_RPAREN] = ACTIONS(6891),
    [anon_sym_LPAREN2] = ACTIONS(6891),
    [anon_sym_STAR] = ACTIONS(6891),
    [anon_sym_CARET] = ACTIONS(6891),
    [anon_sym_SEMI] = ACTIONS(6891),
    [anon_sym___extension__] = ACTIONS(6893),
    [anon_sym_extern] = ACTIONS(6896),
    [anon_sym___attribute__] = ACTIONS(6896),
    [anon_sym___attribute] = ACTIONS(6896),
    [anon_sym_noreturn] = ACTIONS(6893),
    [anon_sym_LBRACK] = ACTIONS(6891),
    [anon_sym___declspec] = ACTIONS(6896),
    [anon_sym___based] = ACTIONS(6896),
    [anon_sym_signed] = ACTIONS(6898),
    [anon_sym_unsigned] = ACTIONS(6898),
    [anon_sym_long] = ACTIONS(6898),
    [anon_sym_short] = ACTIONS(6898),
    [anon_sym_static] = ACTIONS(6896),
    [anon_sym_auto] = ACTIONS(6896),
    [anon_sym_register] = ACTIONS(6896),
    [anon_sym_inline] = ACTIONS(6896),
    [anon_sym___inline] = ACTIONS(6896),
    [anon_sym___inline__] = ACTIONS(6896),
    [anon_sym___forceinline] = ACTIONS(6896),
    [anon_sym_thread_local] = ACTIONS(6896),
    [anon_sym___thread] = ACTIONS(6896),
    [anon_sym_CG_EXTERN] = ACTIONS(6896),
    [anon_sym_CG_INLINE] = ACTIONS(6896),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6896),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6896),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6896),
    [anon_sym_IBOutlet] = ACTIONS(6896),
    [anon_sym_IBInspectable] = ACTIONS(6896),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6896),
    [anon_sym_NS_INLINE] = ACTIONS(6896),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6896),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6896),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6896),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6896),
    [anon_sym_const] = ACTIONS(6893),
    [anon_sym_constexpr] = ACTIONS(6893),
    [anon_sym_volatile] = ACTIONS(6893),
    [anon_sym_restrict] = ACTIONS(6893),
    [anon_sym___restrict__] = ACTIONS(6893),
    [anon_sym__Atomic] = ACTIONS(6893),
    [anon_sym__Noreturn] = ACTIONS(6893),
    [anon_sym__Nonnull] = ACTIONS(6893),
    [anon_sym_nullable] = ACTIONS(6893),
    [anon_sym__Complex] = ACTIONS(6893),
    [anon_sym__Nullable] = ACTIONS(6893),
    [anon_sym__Nullable_result] = ACTIONS(6893),
    [anon_sym__Null_unspecified] = ACTIONS(6893),
    [anon_sym___autoreleasing] = ACTIONS(6893),
    [anon_sym___block] = ACTIONS(6893),
    [anon_sym___bridge] = ACTIONS(6893),
    [anon_sym___bridge_retained] = ACTIONS(6893),
    [anon_sym___bridge_transfer] = ACTIONS(6893),
    [anon_sym___complex] = ACTIONS(6893),
    [anon_sym___const] = ACTIONS(6893),
    [anon_sym___imag] = ACTIONS(6893),
    [anon_sym___kindof] = ACTIONS(6893),
    [anon_sym___nonnull] = ACTIONS(6893),
    [anon_sym___nullable] = ACTIONS(6893),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6893),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6893),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6893),
    [anon_sym___real] = ACTIONS(6893),
    [anon_sym___strong] = ACTIONS(6893),
    [anon_sym___unsafe_unretained] = ACTIONS(6893),
    [anon_sym___unused] = ACTIONS(6893),
    [anon_sym___weak] = ACTIONS(6893),
    [anon_sym_alignas] = ACTIONS(6900),
    [anon_sym__Alignas] = ACTIONS(6900),
    [sym_primitive_type] = ACTIONS(6903),
    [anon_sym_enum] = ACTIONS(6896),
    [anon_sym_COLON] = ACTIONS(6891),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6896),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6896),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6896),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6896),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6896),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6896),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6896),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6896),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6896),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6896),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6896),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6896),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6896),
    [anon_sym_API_AVAILABLE] = ACTIONS(6896),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6896),
    [anon_sym_API_DEPRECATED] = ACTIONS(6896),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6896),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6896),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6896),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6896),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6896),
    [anon_sym___deprecated_msg] = ACTIONS(6896),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6896),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6896),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6896),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6896),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6896),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6896),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6896),
  },
  [2869] = {
    [sym_identifier] = ACTIONS(6905),
    [anon_sym___extension__] = ACTIONS(6905),
    [anon_sym_extern] = ACTIONS(6905),
    [anon_sym___attribute__] = ACTIONS(6905),
    [anon_sym___attribute] = ACTIONS(6905),
    [anon_sym_noreturn] = ACTIONS(6905),
    [anon_sym_LBRACK] = ACTIONS(6907),
    [anon_sym___declspec] = ACTIONS(6905),
    [anon_sym_LBRACE] = ACTIONS(6907),
    [anon_sym_signed] = ACTIONS(6905),
    [anon_sym_unsigned] = ACTIONS(6905),
    [anon_sym_long] = ACTIONS(6905),
    [anon_sym_short] = ACTIONS(6905),
    [anon_sym_static] = ACTIONS(6905),
    [anon_sym_ATautoreleasepool] = ACTIONS(6907),
    [anon_sym_auto] = ACTIONS(6905),
    [anon_sym_register] = ACTIONS(6905),
    [anon_sym_inline] = ACTIONS(6905),
    [anon_sym___inline] = ACTIONS(6905),
    [anon_sym___inline__] = ACTIONS(6905),
    [anon_sym___forceinline] = ACTIONS(6905),
    [anon_sym_thread_local] = ACTIONS(6905),
    [anon_sym___thread] = ACTIONS(6905),
    [anon_sym_CG_EXTERN] = ACTIONS(6905),
    [anon_sym_CG_INLINE] = ACTIONS(6905),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6905),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6905),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6905),
    [anon_sym_IBOutlet] = ACTIONS(6905),
    [anon_sym_IBInspectable] = ACTIONS(6905),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6905),
    [anon_sym_NS_INLINE] = ACTIONS(6905),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6905),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6905),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6905),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6905),
    [anon_sym_const] = ACTIONS(6905),
    [anon_sym_constexpr] = ACTIONS(6905),
    [anon_sym_volatile] = ACTIONS(6905),
    [anon_sym_restrict] = ACTIONS(6905),
    [anon_sym___restrict__] = ACTIONS(6905),
    [anon_sym__Atomic] = ACTIONS(6905),
    [anon_sym__Noreturn] = ACTIONS(6905),
    [anon_sym__Nonnull] = ACTIONS(6905),
    [anon_sym_nullable] = ACTIONS(6905),
    [anon_sym__Complex] = ACTIONS(6905),
    [anon_sym__Nullable] = ACTIONS(6905),
    [anon_sym__Nullable_result] = ACTIONS(6905),
    [anon_sym__Null_unspecified] = ACTIONS(6905),
    [anon_sym___autoreleasing] = ACTIONS(6905),
    [anon_sym___block] = ACTIONS(6905),
    [anon_sym___bridge] = ACTIONS(6905),
    [anon_sym___bridge_retained] = ACTIONS(6905),
    [anon_sym___bridge_transfer] = ACTIONS(6905),
    [anon_sym___complex] = ACTIONS(6905),
    [anon_sym___const] = ACTIONS(6905),
    [anon_sym___imag] = ACTIONS(6905),
    [anon_sym___kindof] = ACTIONS(6905),
    [anon_sym___nonnull] = ACTIONS(6905),
    [anon_sym___nullable] = ACTIONS(6905),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6905),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6905),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6905),
    [anon_sym___real] = ACTIONS(6905),
    [anon_sym___strong] = ACTIONS(6905),
    [anon_sym___unsafe_unretained] = ACTIONS(6905),
    [anon_sym___unused] = ACTIONS(6905),
    [anon_sym___weak] = ACTIONS(6905),
    [anon_sym_alignas] = ACTIONS(6905),
    [anon_sym__Alignas] = ACTIONS(6905),
    [sym_primitive_type] = ACTIONS(6905),
    [anon_sym_enum] = ACTIONS(6905),
    [anon_sym_struct] = ACTIONS(6905),
    [anon_sym_union] = ACTIONS(6905),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6905),
    [anon_sym___typeof] = ACTIONS(6905),
    [anon_sym_typeof] = ACTIONS(6905),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6905),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6905),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6905),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6905),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6905),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6905),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6905),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6905),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6905),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6905),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6905),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6905),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6905),
    [anon_sym_API_AVAILABLE] = ACTIONS(6905),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6905),
    [anon_sym_API_DEPRECATED] = ACTIONS(6905),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6905),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6905),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6905),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6905),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6905),
    [anon_sym___deprecated_msg] = ACTIONS(6905),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6905),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6905),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6905),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6905),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6905),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6905),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6905),
    [anon_sym_BOOL] = ACTIONS(6905),
    [anon_sym_IMP] = ACTIONS(6905),
    [anon_sym_SEL] = ACTIONS(6905),
    [anon_sym_Class] = ACTIONS(6905),
    [anon_sym_id] = ACTIONS(6905),
  },
  [2870] = {
    [sym_type_qualifier] = STATE(2518),
    [sym_alignas_qualifier] = STATE(2412),
    [aux_sym__type_definition_type_repeat1] = STATE(2518),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3005),
    [sym_identifier] = ACTIONS(6909),
    [anon_sym_COMMA] = ACTIONS(6912),
    [anon_sym_RPAREN] = ACTIONS(6912),
    [anon_sym_LPAREN2] = ACTIONS(6912),
    [anon_sym_STAR] = ACTIONS(6912),
    [anon_sym_CARET] = ACTIONS(6912),
    [anon_sym_SEMI] = ACTIONS(6912),
    [anon_sym___extension__] = ACTIONS(6914),
    [anon_sym_extern] = ACTIONS(6917),
    [anon_sym___attribute__] = ACTIONS(6917),
    [anon_sym___attribute] = ACTIONS(6917),
    [anon_sym_noreturn] = ACTIONS(6914),
    [anon_sym_LBRACK] = ACTIONS(6912),
    [anon_sym___declspec] = ACTIONS(6917),
    [anon_sym___based] = ACTIONS(6917),
    [anon_sym_signed] = ACTIONS(6919),
    [anon_sym_unsigned] = ACTIONS(6919),
    [anon_sym_long] = ACTIONS(6919),
    [anon_sym_short] = ACTIONS(6919),
    [anon_sym_static] = ACTIONS(6917),
    [anon_sym_auto] = ACTIONS(6917),
    [anon_sym_register] = ACTIONS(6917),
    [anon_sym_inline] = ACTIONS(6917),
    [anon_sym___inline] = ACTIONS(6917),
    [anon_sym___inline__] = ACTIONS(6917),
    [anon_sym___forceinline] = ACTIONS(6917),
    [anon_sym_thread_local] = ACTIONS(6917),
    [anon_sym___thread] = ACTIONS(6917),
    [anon_sym_CG_EXTERN] = ACTIONS(6917),
    [anon_sym_CG_INLINE] = ACTIONS(6917),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6917),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6917),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6917),
    [anon_sym_IBOutlet] = ACTIONS(6917),
    [anon_sym_IBInspectable] = ACTIONS(6917),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6917),
    [anon_sym_NS_INLINE] = ACTIONS(6917),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6917),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6917),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6917),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6917),
    [anon_sym_const] = ACTIONS(6914),
    [anon_sym_constexpr] = ACTIONS(6914),
    [anon_sym_volatile] = ACTIONS(6914),
    [anon_sym_restrict] = ACTIONS(6914),
    [anon_sym___restrict__] = ACTIONS(6914),
    [anon_sym__Atomic] = ACTIONS(6914),
    [anon_sym__Noreturn] = ACTIONS(6914),
    [anon_sym__Nonnull] = ACTIONS(6914),
    [anon_sym_nullable] = ACTIONS(6914),
    [anon_sym__Complex] = ACTIONS(6914),
    [anon_sym__Nullable] = ACTIONS(6914),
    [anon_sym__Nullable_result] = ACTIONS(6914),
    [anon_sym__Null_unspecified] = ACTIONS(6914),
    [anon_sym___autoreleasing] = ACTIONS(6914),
    [anon_sym___block] = ACTIONS(6914),
    [anon_sym___bridge] = ACTIONS(6914),
    [anon_sym___bridge_retained] = ACTIONS(6914),
    [anon_sym___bridge_transfer] = ACTIONS(6914),
    [anon_sym___complex] = ACTIONS(6914),
    [anon_sym___const] = ACTIONS(6914),
    [anon_sym___imag] = ACTIONS(6914),
    [anon_sym___kindof] = ACTIONS(6914),
    [anon_sym___nonnull] = ACTIONS(6914),
    [anon_sym___nullable] = ACTIONS(6914),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6914),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6914),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6914),
    [anon_sym___real] = ACTIONS(6914),
    [anon_sym___strong] = ACTIONS(6914),
    [anon_sym___unsafe_unretained] = ACTIONS(6914),
    [anon_sym___unused] = ACTIONS(6914),
    [anon_sym___weak] = ACTIONS(6914),
    [anon_sym_alignas] = ACTIONS(6921),
    [anon_sym__Alignas] = ACTIONS(6921),
    [sym_primitive_type] = ACTIONS(6924),
    [anon_sym_enum] = ACTIONS(6917),
    [anon_sym_COLON] = ACTIONS(6912),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6917),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6917),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6917),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6917),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6917),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6917),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6917),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6917),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6917),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6917),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6917),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6917),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6917),
    [anon_sym_API_AVAILABLE] = ACTIONS(6917),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6917),
    [anon_sym_API_DEPRECATED] = ACTIONS(6917),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6917),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6917),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6917),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6917),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6917),
    [anon_sym___deprecated_msg] = ACTIONS(6917),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6917),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6917),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6917),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6917),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6917),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6917),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6917),
  },
  [2871] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(6926),
    [anon_sym_COMMA] = ACTIONS(6928),
    [anon_sym_RPAREN] = ACTIONS(6928),
    [anon_sym_LPAREN2] = ACTIONS(6928),
    [anon_sym_STAR] = ACTIONS(6928),
    [anon_sym_CARET] = ACTIONS(6928),
    [anon_sym_SEMI] = ACTIONS(6928),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(6926),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(6926),
    [anon_sym_COLON] = ACTIONS(6928),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2872] = {
    [sym__declaration_modifiers] = STATE(2872),
    [sym_attribute_specifier] = STATE(2872),
    [sym_attribute_declaration] = STATE(2872),
    [sym_ms_declspec_modifier] = STATE(2872),
    [sym_storage_class_specifier] = STATE(2872),
    [sym_type_qualifier] = STATE(2872),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2872),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2872),
    [anon_sym_COMMA] = ACTIONS(5098),
    [anon_sym_RPAREN] = ACTIONS(5098),
    [anon_sym_LPAREN2] = ACTIONS(5098),
    [anon_sym_STAR] = ACTIONS(5098),
    [anon_sym_CARET] = ACTIONS(5098),
    [anon_sym_GT] = ACTIONS(5098),
    [anon_sym_SEMI] = ACTIONS(5098),
    [anon_sym___extension__] = ACTIONS(6930),
    [anon_sym_extern] = ACTIONS(6933),
    [anon_sym___attribute__] = ACTIONS(6936),
    [anon_sym___attribute] = ACTIONS(5106),
    [anon_sym_noreturn] = ACTIONS(6930),
    [anon_sym_LBRACK] = ACTIONS(6939),
    [anon_sym___declspec] = ACTIONS(6942),
    [anon_sym_LBRACE] = ACTIONS(5098),
    [anon_sym_static] = ACTIONS(6933),
    [anon_sym_ATautoreleasepool] = ACTIONS(5098),
    [anon_sym_auto] = ACTIONS(6933),
    [anon_sym_register] = ACTIONS(6933),
    [anon_sym_inline] = ACTIONS(6933),
    [anon_sym___inline] = ACTIONS(5103),
    [anon_sym___inline__] = ACTIONS(6933),
    [anon_sym___forceinline] = ACTIONS(6933),
    [anon_sym_thread_local] = ACTIONS(6933),
    [anon_sym___thread] = ACTIONS(6933),
    [anon_sym_CG_EXTERN] = ACTIONS(6933),
    [anon_sym_CG_INLINE] = ACTIONS(6933),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6933),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6933),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6933),
    [anon_sym_IBOutlet] = ACTIONS(6933),
    [anon_sym_IBInspectable] = ACTIONS(6933),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6933),
    [anon_sym_NS_INLINE] = ACTIONS(6933),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6933),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6933),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6933),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6933),
    [anon_sym_const] = ACTIONS(5100),
    [anon_sym_constexpr] = ACTIONS(6930),
    [anon_sym_volatile] = ACTIONS(6930),
    [anon_sym_restrict] = ACTIONS(6930),
    [anon_sym___restrict__] = ACTIONS(6930),
    [anon_sym__Atomic] = ACTIONS(6930),
    [anon_sym__Noreturn] = ACTIONS(6930),
    [anon_sym__Nonnull] = ACTIONS(6930),
    [anon_sym_nullable] = ACTIONS(6930),
    [anon_sym__Complex] = ACTIONS(6930),
    [anon_sym__Nullable] = ACTIONS(5100),
    [anon_sym__Nullable_result] = ACTIONS(6930),
    [anon_sym__Null_unspecified] = ACTIONS(6930),
    [anon_sym___autoreleasing] = ACTIONS(6930),
    [anon_sym___block] = ACTIONS(6930),
    [anon_sym___bridge] = ACTIONS(5100),
    [anon_sym___bridge_retained] = ACTIONS(6930),
    [anon_sym___bridge_transfer] = ACTIONS(6930),
    [anon_sym___complex] = ACTIONS(6930),
    [anon_sym___const] = ACTIONS(6930),
    [anon_sym___imag] = ACTIONS(6930),
    [anon_sym___kindof] = ACTIONS(6930),
    [anon_sym___nonnull] = ACTIONS(6930),
    [anon_sym___nullable] = ACTIONS(6930),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6930),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6930),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6930),
    [anon_sym___real] = ACTIONS(6930),
    [anon_sym___strong] = ACTIONS(6930),
    [anon_sym___unsafe_unretained] = ACTIONS(6930),
    [anon_sym___unused] = ACTIONS(6930),
    [anon_sym___weak] = ACTIONS(6930),
    [anon_sym_alignas] = ACTIONS(6945),
    [anon_sym__Alignas] = ACTIONS(6945),
    [anon_sym_COLON] = ACTIONS(5098),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6948),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6948),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6948),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6948),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6948),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6948),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6948),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6948),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6948),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6951),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5121),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6951),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6951),
    [anon_sym_API_AVAILABLE] = ACTIONS(6951),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6951),
    [anon_sym_API_DEPRECATED] = ACTIONS(6951),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6951),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6951),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6951),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6951),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6951),
    [anon_sym___deprecated_msg] = ACTIONS(6951),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6951),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6951),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6951),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6951),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6951),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6951),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6951),
  },
  [2873] = {
    [sym__declaration_modifiers] = STATE(6611),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(6611),
    [sym_ms_declspec_modifier] = STATE(6611),
    [sym_storage_class_specifier] = STATE(6611),
    [sym_type_qualifier] = STATE(6611),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3161),
    [sym_gnu_asm_expression] = STATE(3197),
    [sym_availability_attribute_specifier] = STATE(6611),
    [aux_sym_declaration_repeat1] = STATE(3198),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6876),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_in] = ACTIONS(6954),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2874] = {
    [sym_identifier] = ACTIONS(6675),
    [anon_sym___extension__] = ACTIONS(6675),
    [anon_sym_extern] = ACTIONS(6675),
    [anon_sym___attribute__] = ACTIONS(6675),
    [anon_sym___attribute] = ACTIONS(6675),
    [anon_sym_noreturn] = ACTIONS(6675),
    [anon_sym_LBRACK] = ACTIONS(6956),
    [anon_sym___declspec] = ACTIONS(6675),
    [anon_sym_LBRACE] = ACTIONS(6956),
    [anon_sym_signed] = ACTIONS(6675),
    [anon_sym_unsigned] = ACTIONS(6675),
    [anon_sym_long] = ACTIONS(6675),
    [anon_sym_short] = ACTIONS(6675),
    [anon_sym_static] = ACTIONS(6675),
    [anon_sym_ATautoreleasepool] = ACTIONS(6956),
    [anon_sym_auto] = ACTIONS(6675),
    [anon_sym_register] = ACTIONS(6675),
    [anon_sym_inline] = ACTIONS(6675),
    [anon_sym___inline] = ACTIONS(6675),
    [anon_sym___inline__] = ACTIONS(6675),
    [anon_sym___forceinline] = ACTIONS(6675),
    [anon_sym_thread_local] = ACTIONS(6675),
    [anon_sym___thread] = ACTIONS(6675),
    [anon_sym_CG_EXTERN] = ACTIONS(6675),
    [anon_sym_CG_INLINE] = ACTIONS(6675),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6675),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6675),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6675),
    [anon_sym_IBOutlet] = ACTIONS(6675),
    [anon_sym_IBInspectable] = ACTIONS(6675),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6675),
    [anon_sym_NS_INLINE] = ACTIONS(6675),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6675),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6675),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6675),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6675),
    [anon_sym_const] = ACTIONS(6675),
    [anon_sym_constexpr] = ACTIONS(6675),
    [anon_sym_volatile] = ACTIONS(6675),
    [anon_sym_restrict] = ACTIONS(6675),
    [anon_sym___restrict__] = ACTIONS(6675),
    [anon_sym__Atomic] = ACTIONS(6675),
    [anon_sym__Noreturn] = ACTIONS(6675),
    [anon_sym__Nonnull] = ACTIONS(6675),
    [anon_sym_nullable] = ACTIONS(6675),
    [anon_sym__Complex] = ACTIONS(6675),
    [anon_sym__Nullable] = ACTIONS(6675),
    [anon_sym__Nullable_result] = ACTIONS(6675),
    [anon_sym__Null_unspecified] = ACTIONS(6675),
    [anon_sym___autoreleasing] = ACTIONS(6675),
    [anon_sym___block] = ACTIONS(6675),
    [anon_sym___bridge] = ACTIONS(6675),
    [anon_sym___bridge_retained] = ACTIONS(6675),
    [anon_sym___bridge_transfer] = ACTIONS(6675),
    [anon_sym___complex] = ACTIONS(6675),
    [anon_sym___const] = ACTIONS(6675),
    [anon_sym___imag] = ACTIONS(6675),
    [anon_sym___kindof] = ACTIONS(6675),
    [anon_sym___nonnull] = ACTIONS(6675),
    [anon_sym___nullable] = ACTIONS(6675),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6675),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6675),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6675),
    [anon_sym___real] = ACTIONS(6675),
    [anon_sym___strong] = ACTIONS(6675),
    [anon_sym___unsafe_unretained] = ACTIONS(6675),
    [anon_sym___unused] = ACTIONS(6675),
    [anon_sym___weak] = ACTIONS(6675),
    [anon_sym_alignas] = ACTIONS(6675),
    [anon_sym__Alignas] = ACTIONS(6675),
    [sym_primitive_type] = ACTIONS(6675),
    [anon_sym_enum] = ACTIONS(6675),
    [anon_sym_struct] = ACTIONS(6675),
    [anon_sym_union] = ACTIONS(6675),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6675),
    [anon_sym___typeof] = ACTIONS(6675),
    [anon_sym_typeof] = ACTIONS(6675),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6675),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6675),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6675),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6675),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6675),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6675),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6675),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6675),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6675),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6675),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6675),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6675),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6675),
    [anon_sym_API_AVAILABLE] = ACTIONS(6675),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6675),
    [anon_sym_API_DEPRECATED] = ACTIONS(6675),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6675),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6675),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6675),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6675),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6675),
    [anon_sym___deprecated_msg] = ACTIONS(6675),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6675),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6675),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6675),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6675),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6675),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6675),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6675),
    [anon_sym_BOOL] = ACTIONS(6675),
    [anon_sym_IMP] = ACTIONS(6675),
    [anon_sym_SEL] = ACTIONS(6675),
    [anon_sym_Class] = ACTIONS(6675),
    [anon_sym_id] = ACTIONS(6675),
  },
  [2875] = {
    [sym__declaration_modifiers] = STATE(2008),
    [sym_attribute_specifier] = STATE(2008),
    [sym_attribute_declaration] = STATE(2008),
    [sym_ms_declspec_modifier] = STATE(2008),
    [sym_storage_class_specifier] = STATE(2008),
    [sym_type_qualifier] = STATE(2008),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2008),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2008),
    [sym_identifier] = ACTIONS(6958),
    [anon_sym_COMMA] = ACTIONS(6960),
    [anon_sym_RPAREN] = ACTIONS(6960),
    [anon_sym_LPAREN2] = ACTIONS(6960),
    [anon_sym_STAR] = ACTIONS(6960),
    [anon_sym_CARET] = ACTIONS(6960),
    [anon_sym_SEMI] = ACTIONS(6960),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(6958),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(6958),
    [anon_sym_COLON] = ACTIONS(6960),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2876] = {
    [sym__declaration_modifiers] = STATE(6611),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(6611),
    [sym_ms_declspec_modifier] = STATE(6611),
    [sym_storage_class_specifier] = STATE(6611),
    [sym_type_qualifier] = STATE(6611),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3161),
    [sym_gnu_asm_expression] = STATE(3197),
    [sym_availability_attribute_specifier] = STATE(6611),
    [aux_sym_declaration_repeat1] = STATE(3198),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6876),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_in] = ACTIONS(6962),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2877] = {
    [sym__declaration_modifiers] = STATE(2871),
    [sym_attribute_specifier] = STATE(2871),
    [sym_attribute_declaration] = STATE(2871),
    [sym_ms_declspec_modifier] = STATE(2871),
    [sym_storage_class_specifier] = STATE(2871),
    [sym_type_qualifier] = STATE(2871),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2871),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2871),
    [sym_identifier] = ACTIONS(6964),
    [anon_sym_COMMA] = ACTIONS(6966),
    [anon_sym_RPAREN] = ACTIONS(6966),
    [anon_sym_LPAREN2] = ACTIONS(6966),
    [anon_sym_STAR] = ACTIONS(6966),
    [anon_sym_CARET] = ACTIONS(6966),
    [anon_sym_SEMI] = ACTIONS(6966),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(6884),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(6964),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [anon_sym_enum] = ACTIONS(6964),
    [anon_sym_COLON] = ACTIONS(6966),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2878] = {
    [sym__declaration_modifiers] = STATE(6611),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(6611),
    [sym_ms_declspec_modifier] = STATE(6611),
    [sym_storage_class_specifier] = STATE(6611),
    [sym_type_qualifier] = STATE(6611),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3161),
    [sym_gnu_asm_expression] = STATE(3197),
    [sym_availability_attribute_specifier] = STATE(6611),
    [aux_sym_declaration_repeat1] = STATE(3198),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6876),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_in] = ACTIONS(6968),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2879] = {
    [sym_identifier] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(6870),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym___attribute] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_auto] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_CG_EXTERN] = ACTIONS(2995),
    [anon_sym_CG_INLINE] = ACTIONS(2995),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2995),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2995),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2995),
    [anon_sym_IBOutlet] = ACTIONS(2995),
    [anon_sym_IBInspectable] = ACTIONS(2995),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2995),
    [anon_sym_NS_INLINE] = ACTIONS(2995),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2995),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2995),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2995),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym__Nonnull] = ACTIONS(2995),
    [anon_sym_nullable] = ACTIONS(2995),
    [anon_sym__Complex] = ACTIONS(2995),
    [anon_sym__Nullable] = ACTIONS(2995),
    [anon_sym__Nullable_result] = ACTIONS(2995),
    [anon_sym__Null_unspecified] = ACTIONS(2995),
    [anon_sym___autoreleasing] = ACTIONS(2995),
    [anon_sym___block] = ACTIONS(2995),
    [anon_sym___bridge] = ACTIONS(2995),
    [anon_sym___bridge_retained] = ACTIONS(2995),
    [anon_sym___bridge_transfer] = ACTIONS(2995),
    [anon_sym___complex] = ACTIONS(2995),
    [anon_sym___const] = ACTIONS(2995),
    [anon_sym___imag] = ACTIONS(2995),
    [anon_sym___kindof] = ACTIONS(2995),
    [anon_sym___nonnull] = ACTIONS(2995),
    [anon_sym___nullable] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2995),
    [anon_sym___real] = ACTIONS(2995),
    [anon_sym___strong] = ACTIONS(2995),
    [anon_sym___unsafe_unretained] = ACTIONS(2995),
    [anon_sym___unused] = ACTIONS(2995),
    [anon_sym___weak] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym__Alignas] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2995),
    [anon_sym___typeof] = ACTIONS(2995),
    [anon_sym_typeof] = ACTIONS(2995),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2995),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2995),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2995),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2995),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2995),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2995),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2995),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_API_AVAILABLE] = ACTIONS(2995),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_API_DEPRECATED] = ACTIONS(2995),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2995),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym___deprecated_msg] = ACTIONS(2995),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2995),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2995),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2995),
    [anon_sym_ATproperty] = ACTIONS(3000),
    [anon_sym_BOOL] = ACTIONS(2995),
    [anon_sym_IMP] = ACTIONS(2995),
    [anon_sym_SEL] = ACTIONS(2995),
    [anon_sym_Class] = ACTIONS(2995),
    [anon_sym_id] = ACTIONS(2995),
  },
  [2880] = {
    [sym__declaration_modifiers] = STATE(6611),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(6611),
    [sym_ms_declspec_modifier] = STATE(6611),
    [sym_storage_class_specifier] = STATE(6611),
    [sym_type_qualifier] = STATE(6611),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3161),
    [sym_gnu_asm_expression] = STATE(3197),
    [sym_availability_attribute_specifier] = STATE(6611),
    [aux_sym_declaration_repeat1] = STATE(3198),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6876),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_in] = ACTIONS(6970),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2881] = {
    [sym__declaration_modifiers] = STATE(6611),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(6611),
    [sym_ms_declspec_modifier] = STATE(6611),
    [sym_storage_class_specifier] = STATE(6611),
    [sym_type_qualifier] = STATE(6611),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3161),
    [sym_gnu_asm_expression] = STATE(3197),
    [sym_availability_attribute_specifier] = STATE(6611),
    [aux_sym_declaration_repeat1] = STATE(3198),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6876),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_in] = ACTIONS(6972),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2882] = {
    [sym__declaration_modifiers] = STATE(6611),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(6611),
    [sym_ms_declspec_modifier] = STATE(6611),
    [sym_storage_class_specifier] = STATE(6611),
    [sym_type_qualifier] = STATE(6611),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3161),
    [sym_gnu_asm_expression] = STATE(3197),
    [sym_availability_attribute_specifier] = STATE(6611),
    [aux_sym_declaration_repeat1] = STATE(3198),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6876),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_in] = ACTIONS(6974),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2883] = {
    [sym_identifier] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(6872),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym___attribute] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_auto] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_CG_EXTERN] = ACTIONS(2995),
    [anon_sym_CG_INLINE] = ACTIONS(2995),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2995),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2995),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2995),
    [anon_sym_IBOutlet] = ACTIONS(2995),
    [anon_sym_IBInspectable] = ACTIONS(2995),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2995),
    [anon_sym_NS_INLINE] = ACTIONS(2995),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2995),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2995),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2995),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym__Nonnull] = ACTIONS(2995),
    [anon_sym_nullable] = ACTIONS(2995),
    [anon_sym__Complex] = ACTIONS(2995),
    [anon_sym__Nullable] = ACTIONS(2995),
    [anon_sym__Nullable_result] = ACTIONS(2995),
    [anon_sym__Null_unspecified] = ACTIONS(2995),
    [anon_sym___autoreleasing] = ACTIONS(2995),
    [anon_sym___block] = ACTIONS(2995),
    [anon_sym___bridge] = ACTIONS(2995),
    [anon_sym___bridge_retained] = ACTIONS(2995),
    [anon_sym___bridge_transfer] = ACTIONS(2995),
    [anon_sym___complex] = ACTIONS(2995),
    [anon_sym___const] = ACTIONS(2995),
    [anon_sym___imag] = ACTIONS(2995),
    [anon_sym___kindof] = ACTIONS(2995),
    [anon_sym___nonnull] = ACTIONS(2995),
    [anon_sym___nullable] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2995),
    [anon_sym___real] = ACTIONS(2995),
    [anon_sym___strong] = ACTIONS(2995),
    [anon_sym___unsafe_unretained] = ACTIONS(2995),
    [anon_sym___unused] = ACTIONS(2995),
    [anon_sym___weak] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym__Alignas] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2995),
    [anon_sym___typeof] = ACTIONS(2995),
    [anon_sym_typeof] = ACTIONS(2995),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2995),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2995),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2995),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2995),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2995),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2995),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2995),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_API_AVAILABLE] = ACTIONS(2995),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_API_DEPRECATED] = ACTIONS(2995),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2995),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym___deprecated_msg] = ACTIONS(2995),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2995),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2995),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2995),
    [anon_sym_ATproperty] = ACTIONS(3000),
    [anon_sym_BOOL] = ACTIONS(2995),
    [anon_sym_IMP] = ACTIONS(2995),
    [anon_sym_SEL] = ACTIONS(2995),
    [anon_sym_Class] = ACTIONS(2995),
    [anon_sym_id] = ACTIONS(2995),
  },
  [2884] = {
    [sym_identifier] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(6874),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym___attribute] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_auto] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_CG_EXTERN] = ACTIONS(2995),
    [anon_sym_CG_INLINE] = ACTIONS(2995),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2995),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2995),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2995),
    [anon_sym_IBOutlet] = ACTIONS(2995),
    [anon_sym_IBInspectable] = ACTIONS(2995),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2995),
    [anon_sym_NS_INLINE] = ACTIONS(2995),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2995),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2995),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2995),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym__Nonnull] = ACTIONS(2995),
    [anon_sym_nullable] = ACTIONS(2995),
    [anon_sym__Complex] = ACTIONS(2995),
    [anon_sym__Nullable] = ACTIONS(2995),
    [anon_sym__Nullable_result] = ACTIONS(2995),
    [anon_sym__Null_unspecified] = ACTIONS(2995),
    [anon_sym___autoreleasing] = ACTIONS(2995),
    [anon_sym___block] = ACTIONS(2995),
    [anon_sym___bridge] = ACTIONS(2995),
    [anon_sym___bridge_retained] = ACTIONS(2995),
    [anon_sym___bridge_transfer] = ACTIONS(2995),
    [anon_sym___complex] = ACTIONS(2995),
    [anon_sym___const] = ACTIONS(2995),
    [anon_sym___imag] = ACTIONS(2995),
    [anon_sym___kindof] = ACTIONS(2995),
    [anon_sym___nonnull] = ACTIONS(2995),
    [anon_sym___nullable] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2995),
    [anon_sym___real] = ACTIONS(2995),
    [anon_sym___strong] = ACTIONS(2995),
    [anon_sym___unsafe_unretained] = ACTIONS(2995),
    [anon_sym___unused] = ACTIONS(2995),
    [anon_sym___weak] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym__Alignas] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2995),
    [anon_sym___typeof] = ACTIONS(2995),
    [anon_sym_typeof] = ACTIONS(2995),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2995),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2995),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2995),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2995),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2995),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2995),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2995),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_API_AVAILABLE] = ACTIONS(2995),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_API_DEPRECATED] = ACTIONS(2995),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2995),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym___deprecated_msg] = ACTIONS(2995),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2995),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2995),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2995),
    [anon_sym_ATproperty] = ACTIONS(3000),
    [anon_sym_BOOL] = ACTIONS(2995),
    [anon_sym_IMP] = ACTIONS(2995),
    [anon_sym_SEL] = ACTIONS(2995),
    [anon_sym_Class] = ACTIONS(2995),
    [anon_sym_id] = ACTIONS(2995),
  },
  [2885] = {
    [sym_identifier] = ACTIONS(6976),
    [anon_sym___extension__] = ACTIONS(6976),
    [anon_sym_extern] = ACTIONS(6976),
    [anon_sym___attribute__] = ACTIONS(6976),
    [anon_sym___attribute] = ACTIONS(6976),
    [anon_sym_noreturn] = ACTIONS(6976),
    [anon_sym_LBRACK] = ACTIONS(6978),
    [anon_sym___declspec] = ACTIONS(6976),
    [anon_sym_LBRACE] = ACTIONS(6978),
    [anon_sym_signed] = ACTIONS(6976),
    [anon_sym_unsigned] = ACTIONS(6976),
    [anon_sym_long] = ACTIONS(6976),
    [anon_sym_short] = ACTIONS(6976),
    [anon_sym_static] = ACTIONS(6976),
    [anon_sym_ATautoreleasepool] = ACTIONS(6978),
    [anon_sym_auto] = ACTIONS(6976),
    [anon_sym_register] = ACTIONS(6976),
    [anon_sym_inline] = ACTIONS(6976),
    [anon_sym___inline] = ACTIONS(6976),
    [anon_sym___inline__] = ACTIONS(6976),
    [anon_sym___forceinline] = ACTIONS(6976),
    [anon_sym_thread_local] = ACTIONS(6976),
    [anon_sym___thread] = ACTIONS(6976),
    [anon_sym_CG_EXTERN] = ACTIONS(6976),
    [anon_sym_CG_INLINE] = ACTIONS(6976),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6976),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6976),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6976),
    [anon_sym_IBOutlet] = ACTIONS(6976),
    [anon_sym_IBInspectable] = ACTIONS(6976),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6976),
    [anon_sym_NS_INLINE] = ACTIONS(6976),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6976),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6976),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6976),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6976),
    [anon_sym_const] = ACTIONS(6976),
    [anon_sym_constexpr] = ACTIONS(6976),
    [anon_sym_volatile] = ACTIONS(6976),
    [anon_sym_restrict] = ACTIONS(6976),
    [anon_sym___restrict__] = ACTIONS(6976),
    [anon_sym__Atomic] = ACTIONS(6976),
    [anon_sym__Noreturn] = ACTIONS(6976),
    [anon_sym__Nonnull] = ACTIONS(6976),
    [anon_sym_nullable] = ACTIONS(6976),
    [anon_sym__Complex] = ACTIONS(6976),
    [anon_sym__Nullable] = ACTIONS(6976),
    [anon_sym__Nullable_result] = ACTIONS(6976),
    [anon_sym__Null_unspecified] = ACTIONS(6976),
    [anon_sym___autoreleasing] = ACTIONS(6976),
    [anon_sym___block] = ACTIONS(6976),
    [anon_sym___bridge] = ACTIONS(6976),
    [anon_sym___bridge_retained] = ACTIONS(6976),
    [anon_sym___bridge_transfer] = ACTIONS(6976),
    [anon_sym___complex] = ACTIONS(6976),
    [anon_sym___const] = ACTIONS(6976),
    [anon_sym___imag] = ACTIONS(6976),
    [anon_sym___kindof] = ACTIONS(6976),
    [anon_sym___nonnull] = ACTIONS(6976),
    [anon_sym___nullable] = ACTIONS(6976),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6976),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6976),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6976),
    [anon_sym___real] = ACTIONS(6976),
    [anon_sym___strong] = ACTIONS(6976),
    [anon_sym___unsafe_unretained] = ACTIONS(6976),
    [anon_sym___unused] = ACTIONS(6976),
    [anon_sym___weak] = ACTIONS(6976),
    [anon_sym_alignas] = ACTIONS(6976),
    [anon_sym__Alignas] = ACTIONS(6976),
    [sym_primitive_type] = ACTIONS(6976),
    [anon_sym_enum] = ACTIONS(6976),
    [anon_sym_struct] = ACTIONS(6976),
    [anon_sym_union] = ACTIONS(6976),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6976),
    [anon_sym___typeof] = ACTIONS(6976),
    [anon_sym_typeof] = ACTIONS(6976),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6976),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6976),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6976),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6976),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6976),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6976),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6976),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6976),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6976),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6976),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6976),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6976),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6976),
    [anon_sym_API_AVAILABLE] = ACTIONS(6976),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6976),
    [anon_sym_API_DEPRECATED] = ACTIONS(6976),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6976),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6976),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6976),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6976),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6976),
    [anon_sym___deprecated_msg] = ACTIONS(6976),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6976),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6976),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6976),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6976),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6976),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6976),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6976),
    [anon_sym_BOOL] = ACTIONS(6976),
    [anon_sym_IMP] = ACTIONS(6976),
    [anon_sym_SEL] = ACTIONS(6976),
    [anon_sym_Class] = ACTIONS(6976),
    [anon_sym_id] = ACTIONS(6976),
  },
  [2886] = {
    [sym_identifier] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(2964),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym___attribute] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_auto] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_CG_EXTERN] = ACTIONS(2995),
    [anon_sym_CG_INLINE] = ACTIONS(2995),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2995),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2995),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2995),
    [anon_sym_IBOutlet] = ACTIONS(2995),
    [anon_sym_IBInspectable] = ACTIONS(2995),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2995),
    [anon_sym_NS_INLINE] = ACTIONS(2995),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2995),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2995),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2995),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym__Nonnull] = ACTIONS(2995),
    [anon_sym_nullable] = ACTIONS(2995),
    [anon_sym__Complex] = ACTIONS(2995),
    [anon_sym__Nullable] = ACTIONS(2995),
    [anon_sym__Nullable_result] = ACTIONS(2995),
    [anon_sym__Null_unspecified] = ACTIONS(2995),
    [anon_sym___autoreleasing] = ACTIONS(2995),
    [anon_sym___block] = ACTIONS(2995),
    [anon_sym___bridge] = ACTIONS(2995),
    [anon_sym___bridge_retained] = ACTIONS(2995),
    [anon_sym___bridge_transfer] = ACTIONS(2995),
    [anon_sym___complex] = ACTIONS(2995),
    [anon_sym___const] = ACTIONS(2995),
    [anon_sym___imag] = ACTIONS(2995),
    [anon_sym___kindof] = ACTIONS(2995),
    [anon_sym___nonnull] = ACTIONS(2995),
    [anon_sym___nullable] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2995),
    [anon_sym___real] = ACTIONS(2995),
    [anon_sym___strong] = ACTIONS(2995),
    [anon_sym___unsafe_unretained] = ACTIONS(2995),
    [anon_sym___unused] = ACTIONS(2995),
    [anon_sym___weak] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym__Alignas] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2995),
    [anon_sym___typeof] = ACTIONS(2995),
    [anon_sym_typeof] = ACTIONS(2995),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2995),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2995),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2995),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2995),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2995),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2995),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2995),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_API_AVAILABLE] = ACTIONS(2995),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_API_DEPRECATED] = ACTIONS(2995),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2995),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym___deprecated_msg] = ACTIONS(2995),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2995),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2995),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2995),
    [anon_sym_BOOL] = ACTIONS(2995),
    [anon_sym_IMP] = ACTIONS(2995),
    [anon_sym_SEL] = ACTIONS(2995),
    [anon_sym_Class] = ACTIONS(2995),
    [anon_sym_id] = ACTIONS(2995),
  },
  [2887] = {
    [sym__declaration_modifiers] = STATE(3180),
    [sym_attribute_specifier] = STATE(3180),
    [sym_attribute_declaration] = STATE(3180),
    [sym_ms_declspec_modifier] = STATE(3180),
    [sym_storage_class_specifier] = STATE(3180),
    [sym_type_qualifier] = STATE(3180),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3180),
    [sym_keyword_declarator] = STATE(3227),
    [sym_method_parameter] = STATE(3230),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3180),
    [aux_sym_keyword_selector_repeat1] = STATE(3227),
    [aux_sym_method_declaration_repeat1] = STATE(3230),
    [aux_sym_method_declaration_repeat2] = STATE(2264),
    [sym_identifier] = ACTIONS(6980),
    [anon_sym_COMMA] = ACTIONS(6982),
    [anon_sym_SEMI] = ACTIONS(6984),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [anon_sym_COLON] = ACTIONS(6988),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2888] = {
    [sym__declaration_modifiers] = STATE(3160),
    [sym_attribute_specifier] = STATE(3160),
    [sym_attribute_declaration] = STATE(3160),
    [sym_ms_declspec_modifier] = STATE(3160),
    [sym_storage_class_specifier] = STATE(3160),
    [sym_type_qualifier] = STATE(3160),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3160),
    [sym_keyword_declarator] = STATE(3227),
    [sym_method_parameter] = STATE(3230),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3160),
    [aux_sym_keyword_selector_repeat1] = STATE(3227),
    [aux_sym_method_declaration_repeat1] = STATE(3230),
    [aux_sym_method_declaration_repeat2] = STATE(2195),
    [sym_identifier] = ACTIONS(6980),
    [anon_sym_COMMA] = ACTIONS(6990),
    [anon_sym_SEMI] = ACTIONS(6992),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [anon_sym_COLON] = ACTIONS(6988),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2889] = {
    [sym__declaration_modifiers] = STATE(6643),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(6643),
    [sym_ms_declspec_modifier] = STATE(6643),
    [sym_storage_class_specifier] = STATE(6643),
    [sym_type_qualifier] = STATE(6643),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3017),
    [sym_gnu_asm_expression] = STATE(3182),
    [sym_availability_attribute_specifier] = STATE(6643),
    [aux_sym_declaration_repeat1] = STATE(3183),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6856),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2890] = {
    [sym_attribute_specifier] = STATE(2969),
    [sym_field_declaration_list] = STATE(2939),
    [sym_identifier] = ACTIONS(6994),
    [anon_sym_COMMA] = ACTIONS(6996),
    [anon_sym_RPAREN] = ACTIONS(6996),
    [anon_sym_LPAREN2] = ACTIONS(6996),
    [anon_sym_STAR] = ACTIONS(6996),
    [anon_sym_CARET] = ACTIONS(6996),
    [anon_sym_SEMI] = ACTIONS(6996),
    [anon_sym___extension__] = ACTIONS(6994),
    [anon_sym_extern] = ACTIONS(6994),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6994),
    [anon_sym_LBRACK] = ACTIONS(6996),
    [anon_sym___declspec] = ACTIONS(6994),
    [anon_sym___based] = ACTIONS(6994),
    [anon_sym_LBRACE] = ACTIONS(6998),
    [anon_sym_signed] = ACTIONS(6994),
    [anon_sym_unsigned] = ACTIONS(6994),
    [anon_sym_long] = ACTIONS(6994),
    [anon_sym_short] = ACTIONS(6994),
    [anon_sym_static] = ACTIONS(6994),
    [anon_sym_auto] = ACTIONS(6994),
    [anon_sym_register] = ACTIONS(6994),
    [anon_sym_inline] = ACTIONS(6994),
    [anon_sym___inline] = ACTIONS(6994),
    [anon_sym___inline__] = ACTIONS(6994),
    [anon_sym___forceinline] = ACTIONS(6994),
    [anon_sym_thread_local] = ACTIONS(6994),
    [anon_sym___thread] = ACTIONS(6994),
    [anon_sym_CG_EXTERN] = ACTIONS(6994),
    [anon_sym_CG_INLINE] = ACTIONS(6994),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6994),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6994),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6994),
    [anon_sym_IBOutlet] = ACTIONS(6994),
    [anon_sym_IBInspectable] = ACTIONS(6994),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6994),
    [anon_sym_NS_INLINE] = ACTIONS(6994),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6994),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6994),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6994),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6994),
    [anon_sym_const] = ACTIONS(6994),
    [anon_sym_constexpr] = ACTIONS(6994),
    [anon_sym_volatile] = ACTIONS(6994),
    [anon_sym_restrict] = ACTIONS(6994),
    [anon_sym___restrict__] = ACTIONS(6994),
    [anon_sym__Atomic] = ACTIONS(6994),
    [anon_sym__Noreturn] = ACTIONS(6994),
    [anon_sym__Nonnull] = ACTIONS(6994),
    [anon_sym_nullable] = ACTIONS(6994),
    [anon_sym__Complex] = ACTIONS(6994),
    [anon_sym__Nullable] = ACTIONS(6994),
    [anon_sym__Nullable_result] = ACTIONS(6994),
    [anon_sym__Null_unspecified] = ACTIONS(6994),
    [anon_sym___autoreleasing] = ACTIONS(6994),
    [anon_sym___block] = ACTIONS(6994),
    [anon_sym___bridge] = ACTIONS(6994),
    [anon_sym___bridge_retained] = ACTIONS(6994),
    [anon_sym___bridge_transfer] = ACTIONS(6994),
    [anon_sym___complex] = ACTIONS(6994),
    [anon_sym___const] = ACTIONS(6994),
    [anon_sym___imag] = ACTIONS(6994),
    [anon_sym___kindof] = ACTIONS(6994),
    [anon_sym___nonnull] = ACTIONS(6994),
    [anon_sym___nullable] = ACTIONS(6994),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6994),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6994),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6994),
    [anon_sym___real] = ACTIONS(6994),
    [anon_sym___strong] = ACTIONS(6994),
    [anon_sym___unsafe_unretained] = ACTIONS(6994),
    [anon_sym___unused] = ACTIONS(6994),
    [anon_sym___weak] = ACTIONS(6994),
    [anon_sym_alignas] = ACTIONS(6994),
    [anon_sym__Alignas] = ACTIONS(6994),
    [sym_primitive_type] = ACTIONS(6994),
    [anon_sym_enum] = ACTIONS(6994),
    [anon_sym_COLON] = ACTIONS(6996),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6994),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6994),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6994),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6994),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6994),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6994),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6994),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6994),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6994),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6994),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6994),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6994),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6994),
    [anon_sym_API_AVAILABLE] = ACTIONS(6994),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6994),
    [anon_sym_API_DEPRECATED] = ACTIONS(6994),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6994),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6994),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6994),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6994),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6994),
    [anon_sym___deprecated_msg] = ACTIONS(6994),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6994),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6994),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6994),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6994),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6994),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6994),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6994),
  },
  [2891] = {
    [sym__declaration_modifiers] = STATE(3088),
    [sym_attribute_specifier] = STATE(3088),
    [sym_attribute_declaration] = STATE(3088),
    [sym_ms_declspec_modifier] = STATE(3088),
    [sym_storage_class_specifier] = STATE(3088),
    [sym_type_qualifier] = STATE(3088),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3088),
    [sym_keyword_declarator] = STATE(3227),
    [sym_method_parameter] = STATE(3230),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3088),
    [aux_sym_keyword_selector_repeat1] = STATE(3227),
    [aux_sym_method_declaration_repeat1] = STATE(3230),
    [aux_sym_method_declaration_repeat2] = STATE(2189),
    [sym_identifier] = ACTIONS(6980),
    [anon_sym_COMMA] = ACTIONS(7000),
    [anon_sym_SEMI] = ACTIONS(7002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [anon_sym_COLON] = ACTIONS(6988),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2892] = {
    [sym__declaration_modifiers] = STATE(3207),
    [sym_attribute_specifier] = STATE(3207),
    [sym_attribute_declaration] = STATE(3207),
    [sym_ms_declspec_modifier] = STATE(3207),
    [sym_storage_class_specifier] = STATE(3207),
    [sym_type_qualifier] = STATE(3207),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3207),
    [sym_keyword_declarator] = STATE(3227),
    [sym_method_parameter] = STATE(3230),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3207),
    [aux_sym_keyword_selector_repeat1] = STATE(3227),
    [aux_sym_method_declaration_repeat1] = STATE(3230),
    [aux_sym_method_declaration_repeat2] = STATE(2162),
    [sym_identifier] = ACTIONS(6980),
    [anon_sym_COMMA] = ACTIONS(7004),
    [anon_sym_SEMI] = ACTIONS(7002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [anon_sym_COLON] = ACTIONS(6988),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2893] = {
    [sym__declaration_modifiers] = STATE(6527),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(6527),
    [sym_ms_declspec_modifier] = STATE(6527),
    [sym_storage_class_specifier] = STATE(6527),
    [sym_type_qualifier] = STATE(6527),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3017),
    [sym_gnu_asm_expression] = STATE(3164),
    [sym_availability_attribute_specifier] = STATE(6527),
    [aux_sym_declaration_repeat1] = STATE(3165),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6808),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2894] = {
    [sym__declaration_modifiers] = STATE(6579),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(6579),
    [sym_ms_declspec_modifier] = STATE(6579),
    [sym_storage_class_specifier] = STATE(6579),
    [sym_type_qualifier] = STATE(6579),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3017),
    [sym_gnu_asm_expression] = STATE(3145),
    [sym_availability_attribute_specifier] = STATE(6579),
    [aux_sym_declaration_repeat1] = STATE(3146),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6839),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2895] = {
    [sym__declaration_modifiers] = STATE(3194),
    [sym_attribute_specifier] = STATE(3194),
    [sym_attribute_declaration] = STATE(3194),
    [sym_ms_declspec_modifier] = STATE(3194),
    [sym_storage_class_specifier] = STATE(3194),
    [sym_type_qualifier] = STATE(3194),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3194),
    [sym_keyword_declarator] = STATE(3227),
    [sym_method_parameter] = STATE(3230),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3194),
    [aux_sym_keyword_selector_repeat1] = STATE(3227),
    [aux_sym_method_declaration_repeat1] = STATE(3230),
    [aux_sym_method_declaration_repeat2] = STATE(2270),
    [sym_identifier] = ACTIONS(6980),
    [anon_sym_COMMA] = ACTIONS(7006),
    [anon_sym_SEMI] = ACTIONS(6984),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [anon_sym_COLON] = ACTIONS(6988),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2896] = {
    [sym_identifier] = ACTIONS(7008),
    [anon_sym___extension__] = ACTIONS(7008),
    [anon_sym_extern] = ACTIONS(7008),
    [anon_sym___attribute__] = ACTIONS(7008),
    [anon_sym___attribute] = ACTIONS(7008),
    [anon_sym_noreturn] = ACTIONS(7008),
    [anon_sym_LBRACK] = ACTIONS(7010),
    [anon_sym___declspec] = ACTIONS(7008),
    [anon_sym_signed] = ACTIONS(7008),
    [anon_sym_unsigned] = ACTIONS(7008),
    [anon_sym_long] = ACTIONS(7008),
    [anon_sym_short] = ACTIONS(7008),
    [anon_sym_static] = ACTIONS(7008),
    [anon_sym_auto] = ACTIONS(7008),
    [anon_sym_register] = ACTIONS(7008),
    [anon_sym_inline] = ACTIONS(7008),
    [anon_sym___inline] = ACTIONS(7008),
    [anon_sym___inline__] = ACTIONS(7008),
    [anon_sym___forceinline] = ACTIONS(7008),
    [anon_sym_thread_local] = ACTIONS(7008),
    [anon_sym___thread] = ACTIONS(7008),
    [anon_sym_CG_EXTERN] = ACTIONS(7008),
    [anon_sym_CG_INLINE] = ACTIONS(7008),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7008),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7008),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7008),
    [anon_sym_IBOutlet] = ACTIONS(7008),
    [anon_sym_IBInspectable] = ACTIONS(7008),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7008),
    [anon_sym_NS_INLINE] = ACTIONS(7008),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7008),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7008),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7008),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7008),
    [anon_sym_const] = ACTIONS(7008),
    [anon_sym_constexpr] = ACTIONS(7008),
    [anon_sym_volatile] = ACTIONS(7008),
    [anon_sym_restrict] = ACTIONS(7008),
    [anon_sym___restrict__] = ACTIONS(7008),
    [anon_sym__Atomic] = ACTIONS(7008),
    [anon_sym__Noreturn] = ACTIONS(7008),
    [anon_sym__Nonnull] = ACTIONS(7008),
    [anon_sym_nullable] = ACTIONS(7008),
    [anon_sym__Complex] = ACTIONS(7008),
    [anon_sym__Nullable] = ACTIONS(7008),
    [anon_sym__Nullable_result] = ACTIONS(7008),
    [anon_sym__Null_unspecified] = ACTIONS(7008),
    [anon_sym___autoreleasing] = ACTIONS(7008),
    [anon_sym___block] = ACTIONS(7008),
    [anon_sym___bridge] = ACTIONS(7008),
    [anon_sym___bridge_retained] = ACTIONS(7008),
    [anon_sym___bridge_transfer] = ACTIONS(7008),
    [anon_sym___complex] = ACTIONS(7008),
    [anon_sym___const] = ACTIONS(7008),
    [anon_sym___imag] = ACTIONS(7008),
    [anon_sym___kindof] = ACTIONS(7008),
    [anon_sym___nonnull] = ACTIONS(7008),
    [anon_sym___nullable] = ACTIONS(7008),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7008),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7008),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7008),
    [anon_sym___real] = ACTIONS(7008),
    [anon_sym___strong] = ACTIONS(7008),
    [anon_sym___unsafe_unretained] = ACTIONS(7008),
    [anon_sym___unused] = ACTIONS(7008),
    [anon_sym___weak] = ACTIONS(7008),
    [anon_sym_alignas] = ACTIONS(7008),
    [anon_sym__Alignas] = ACTIONS(7008),
    [sym_primitive_type] = ACTIONS(7008),
    [anon_sym_enum] = ACTIONS(7008),
    [anon_sym_struct] = ACTIONS(7008),
    [anon_sym_union] = ACTIONS(7008),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7008),
    [anon_sym___typeof] = ACTIONS(7008),
    [anon_sym_typeof] = ACTIONS(7008),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7008),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7008),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7008),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7008),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7008),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7008),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7008),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7008),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7008),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7008),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7008),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7008),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7008),
    [anon_sym_API_AVAILABLE] = ACTIONS(7008),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7008),
    [anon_sym_API_DEPRECATED] = ACTIONS(7008),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7008),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7008),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7008),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7008),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7008),
    [anon_sym___deprecated_msg] = ACTIONS(7008),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7008),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7008),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7008),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7008),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7008),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7008),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7008),
    [anon_sym_ATproperty] = ACTIONS(7012),
    [anon_sym_BOOL] = ACTIONS(7008),
    [anon_sym_IMP] = ACTIONS(7008),
    [anon_sym_SEL] = ACTIONS(7008),
    [anon_sym_Class] = ACTIONS(7008),
    [anon_sym_id] = ACTIONS(7008),
  },
  [2897] = {
    [sym_attribute_specifier] = STATE(2960),
    [sym_field_declaration_list] = STATE(2931),
    [sym_identifier] = ACTIONS(7014),
    [anon_sym_COMMA] = ACTIONS(7016),
    [anon_sym_RPAREN] = ACTIONS(7016),
    [anon_sym_LPAREN2] = ACTIONS(7016),
    [anon_sym_STAR] = ACTIONS(7016),
    [anon_sym_CARET] = ACTIONS(7016),
    [anon_sym_SEMI] = ACTIONS(7016),
    [anon_sym___extension__] = ACTIONS(7014),
    [anon_sym_extern] = ACTIONS(7014),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(7014),
    [anon_sym_LBRACK] = ACTIONS(7016),
    [anon_sym___declspec] = ACTIONS(7014),
    [anon_sym___based] = ACTIONS(7014),
    [anon_sym_LBRACE] = ACTIONS(6998),
    [anon_sym_signed] = ACTIONS(7014),
    [anon_sym_unsigned] = ACTIONS(7014),
    [anon_sym_long] = ACTIONS(7014),
    [anon_sym_short] = ACTIONS(7014),
    [anon_sym_static] = ACTIONS(7014),
    [anon_sym_auto] = ACTIONS(7014),
    [anon_sym_register] = ACTIONS(7014),
    [anon_sym_inline] = ACTIONS(7014),
    [anon_sym___inline] = ACTIONS(7014),
    [anon_sym___inline__] = ACTIONS(7014),
    [anon_sym___forceinline] = ACTIONS(7014),
    [anon_sym_thread_local] = ACTIONS(7014),
    [anon_sym___thread] = ACTIONS(7014),
    [anon_sym_CG_EXTERN] = ACTIONS(7014),
    [anon_sym_CG_INLINE] = ACTIONS(7014),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7014),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7014),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7014),
    [anon_sym_IBOutlet] = ACTIONS(7014),
    [anon_sym_IBInspectable] = ACTIONS(7014),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7014),
    [anon_sym_NS_INLINE] = ACTIONS(7014),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7014),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7014),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7014),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7014),
    [anon_sym_const] = ACTIONS(7014),
    [anon_sym_constexpr] = ACTIONS(7014),
    [anon_sym_volatile] = ACTIONS(7014),
    [anon_sym_restrict] = ACTIONS(7014),
    [anon_sym___restrict__] = ACTIONS(7014),
    [anon_sym__Atomic] = ACTIONS(7014),
    [anon_sym__Noreturn] = ACTIONS(7014),
    [anon_sym__Nonnull] = ACTIONS(7014),
    [anon_sym_nullable] = ACTIONS(7014),
    [anon_sym__Complex] = ACTIONS(7014),
    [anon_sym__Nullable] = ACTIONS(7014),
    [anon_sym__Nullable_result] = ACTIONS(7014),
    [anon_sym__Null_unspecified] = ACTIONS(7014),
    [anon_sym___autoreleasing] = ACTIONS(7014),
    [anon_sym___block] = ACTIONS(7014),
    [anon_sym___bridge] = ACTIONS(7014),
    [anon_sym___bridge_retained] = ACTIONS(7014),
    [anon_sym___bridge_transfer] = ACTIONS(7014),
    [anon_sym___complex] = ACTIONS(7014),
    [anon_sym___const] = ACTIONS(7014),
    [anon_sym___imag] = ACTIONS(7014),
    [anon_sym___kindof] = ACTIONS(7014),
    [anon_sym___nonnull] = ACTIONS(7014),
    [anon_sym___nullable] = ACTIONS(7014),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7014),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7014),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7014),
    [anon_sym___real] = ACTIONS(7014),
    [anon_sym___strong] = ACTIONS(7014),
    [anon_sym___unsafe_unretained] = ACTIONS(7014),
    [anon_sym___unused] = ACTIONS(7014),
    [anon_sym___weak] = ACTIONS(7014),
    [anon_sym_alignas] = ACTIONS(7014),
    [anon_sym__Alignas] = ACTIONS(7014),
    [sym_primitive_type] = ACTIONS(7014),
    [anon_sym_enum] = ACTIONS(7014),
    [anon_sym_COLON] = ACTIONS(7016),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7014),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7014),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7014),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7014),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7014),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7014),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7014),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7014),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7014),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7014),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7014),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7014),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7014),
    [anon_sym_API_AVAILABLE] = ACTIONS(7014),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7014),
    [anon_sym_API_DEPRECATED] = ACTIONS(7014),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7014),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7014),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7014),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7014),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7014),
    [anon_sym___deprecated_msg] = ACTIONS(7014),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7014),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7014),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7014),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7014),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7014),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7014),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7014),
  },
  [2898] = {
    [sym__declaration_modifiers] = STATE(5953),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(5953),
    [sym_ms_declspec_modifier] = STATE(5953),
    [sym_storage_class_specifier] = STATE(5953),
    [sym_type_qualifier] = STATE(5953),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3017),
    [sym_gnu_asm_expression] = STATE(3150),
    [sym_availability_attribute_specifier] = STATE(5953),
    [aux_sym_declaration_repeat1] = STATE(3152),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(7018),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2899] = {
    [sym_identifier] = ACTIONS(7008),
    [anon_sym___extension__] = ACTIONS(7008),
    [anon_sym_extern] = ACTIONS(7008),
    [anon_sym___attribute__] = ACTIONS(7008),
    [anon_sym___attribute] = ACTIONS(7008),
    [anon_sym_noreturn] = ACTIONS(7008),
    [anon_sym_LBRACK] = ACTIONS(7010),
    [anon_sym___declspec] = ACTIONS(7008),
    [anon_sym_signed] = ACTIONS(7008),
    [anon_sym_unsigned] = ACTIONS(7008),
    [anon_sym_long] = ACTIONS(7008),
    [anon_sym_short] = ACTIONS(7008),
    [anon_sym_static] = ACTIONS(7008),
    [anon_sym_auto] = ACTIONS(7008),
    [anon_sym_register] = ACTIONS(7008),
    [anon_sym_inline] = ACTIONS(7008),
    [anon_sym___inline] = ACTIONS(7008),
    [anon_sym___inline__] = ACTIONS(7008),
    [anon_sym___forceinline] = ACTIONS(7008),
    [anon_sym_thread_local] = ACTIONS(7008),
    [anon_sym___thread] = ACTIONS(7008),
    [anon_sym_CG_EXTERN] = ACTIONS(7008),
    [anon_sym_CG_INLINE] = ACTIONS(7008),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7008),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7008),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7008),
    [anon_sym_IBOutlet] = ACTIONS(7008),
    [anon_sym_IBInspectable] = ACTIONS(7008),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7008),
    [anon_sym_NS_INLINE] = ACTIONS(7008),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7008),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7008),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7008),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7008),
    [anon_sym_const] = ACTIONS(7008),
    [anon_sym_constexpr] = ACTIONS(7008),
    [anon_sym_volatile] = ACTIONS(7008),
    [anon_sym_restrict] = ACTIONS(7008),
    [anon_sym___restrict__] = ACTIONS(7008),
    [anon_sym__Atomic] = ACTIONS(7008),
    [anon_sym__Noreturn] = ACTIONS(7008),
    [anon_sym__Nonnull] = ACTIONS(7008),
    [anon_sym_nullable] = ACTIONS(7008),
    [anon_sym__Complex] = ACTIONS(7008),
    [anon_sym__Nullable] = ACTIONS(7008),
    [anon_sym__Nullable_result] = ACTIONS(7008),
    [anon_sym__Null_unspecified] = ACTIONS(7008),
    [anon_sym___autoreleasing] = ACTIONS(7008),
    [anon_sym___block] = ACTIONS(7008),
    [anon_sym___bridge] = ACTIONS(7008),
    [anon_sym___bridge_retained] = ACTIONS(7008),
    [anon_sym___bridge_transfer] = ACTIONS(7008),
    [anon_sym___complex] = ACTIONS(7008),
    [anon_sym___const] = ACTIONS(7008),
    [anon_sym___imag] = ACTIONS(7008),
    [anon_sym___kindof] = ACTIONS(7008),
    [anon_sym___nonnull] = ACTIONS(7008),
    [anon_sym___nullable] = ACTIONS(7008),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7008),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7008),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7008),
    [anon_sym___real] = ACTIONS(7008),
    [anon_sym___strong] = ACTIONS(7008),
    [anon_sym___unsafe_unretained] = ACTIONS(7008),
    [anon_sym___unused] = ACTIONS(7008),
    [anon_sym___weak] = ACTIONS(7008),
    [anon_sym_alignas] = ACTIONS(7008),
    [anon_sym__Alignas] = ACTIONS(7008),
    [sym_primitive_type] = ACTIONS(7008),
    [anon_sym_enum] = ACTIONS(7008),
    [anon_sym_struct] = ACTIONS(7008),
    [anon_sym_union] = ACTIONS(7008),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7008),
    [anon_sym___typeof] = ACTIONS(7008),
    [anon_sym_typeof] = ACTIONS(7008),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7008),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7008),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7008),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7008),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7008),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7008),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7008),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7008),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7008),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7008),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7008),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7008),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7008),
    [anon_sym_API_AVAILABLE] = ACTIONS(7008),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7008),
    [anon_sym_API_DEPRECATED] = ACTIONS(7008),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7008),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7008),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7008),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7008),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7008),
    [anon_sym___deprecated_msg] = ACTIONS(7008),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7008),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7008),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7008),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7008),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7008),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7008),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7008),
    [anon_sym_ATproperty] = ACTIONS(7020),
    [anon_sym_BOOL] = ACTIONS(7008),
    [anon_sym_IMP] = ACTIONS(7008),
    [anon_sym_SEL] = ACTIONS(7008),
    [anon_sym_Class] = ACTIONS(7008),
    [anon_sym_id] = ACTIONS(7008),
  },
  [2900] = {
    [sym__declaration_modifiers] = STATE(5976),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(5976),
    [sym_ms_declspec_modifier] = STATE(5976),
    [sym_storage_class_specifier] = STATE(5976),
    [sym_type_qualifier] = STATE(5976),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3017),
    [sym_gnu_asm_expression] = STATE(3084),
    [sym_availability_attribute_specifier] = STATE(5976),
    [aux_sym_declaration_repeat1] = STATE(3085),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6837),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2901] = {
    [sym_ms_unaligned_ptr_modifier] = STATE(3006),
    [sym_ms_pointer_modifier] = STATE(2901),
    [aux_sym_pointer_declarator_repeat1] = STATE(2901),
    [sym_identifier] = ACTIONS(7022),
    [anon_sym_LPAREN2] = ACTIONS(7024),
    [anon_sym_STAR] = ACTIONS(7024),
    [anon_sym_CARET] = ACTIONS(7024),
    [anon_sym___extension__] = ACTIONS(7022),
    [anon_sym_extern] = ACTIONS(7022),
    [anon_sym___attribute__] = ACTIONS(7022),
    [anon_sym___attribute] = ACTIONS(7022),
    [anon_sym_noreturn] = ACTIONS(7022),
    [anon_sym_LBRACK] = ACTIONS(7024),
    [anon_sym___declspec] = ACTIONS(7022),
    [anon_sym___based] = ACTIONS(7022),
    [sym_ms_restrict_modifier] = ACTIONS(7026),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(7026),
    [sym_ms_signed_ptr_modifier] = ACTIONS(7026),
    [anon_sym__unaligned] = ACTIONS(7029),
    [anon_sym___unaligned] = ACTIONS(7029),
    [anon_sym_signed] = ACTIONS(7022),
    [anon_sym_unsigned] = ACTIONS(7022),
    [anon_sym_long] = ACTIONS(7022),
    [anon_sym_short] = ACTIONS(7022),
    [anon_sym_static] = ACTIONS(7022),
    [anon_sym_auto] = ACTIONS(7022),
    [anon_sym_register] = ACTIONS(7022),
    [anon_sym_inline] = ACTIONS(7022),
    [anon_sym___inline] = ACTIONS(7022),
    [anon_sym___inline__] = ACTIONS(7022),
    [anon_sym___forceinline] = ACTIONS(7022),
    [anon_sym_thread_local] = ACTIONS(7022),
    [anon_sym___thread] = ACTIONS(7022),
    [anon_sym_CG_EXTERN] = ACTIONS(7022),
    [anon_sym_CG_INLINE] = ACTIONS(7022),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7022),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7022),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7022),
    [anon_sym_IBOutlet] = ACTIONS(7022),
    [anon_sym_IBInspectable] = ACTIONS(7022),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7022),
    [anon_sym_NS_INLINE] = ACTIONS(7022),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7022),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7022),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7022),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7022),
    [anon_sym_const] = ACTIONS(7022),
    [anon_sym_constexpr] = ACTIONS(7022),
    [anon_sym_volatile] = ACTIONS(7022),
    [anon_sym_restrict] = ACTIONS(7022),
    [anon_sym___restrict__] = ACTIONS(7022),
    [anon_sym__Atomic] = ACTIONS(7022),
    [anon_sym__Noreturn] = ACTIONS(7022),
    [anon_sym__Nonnull] = ACTIONS(7022),
    [anon_sym_nullable] = ACTIONS(7022),
    [anon_sym__Complex] = ACTIONS(7022),
    [anon_sym__Nullable] = ACTIONS(7022),
    [anon_sym__Nullable_result] = ACTIONS(7022),
    [anon_sym__Null_unspecified] = ACTIONS(7022),
    [anon_sym___autoreleasing] = ACTIONS(7022),
    [anon_sym___block] = ACTIONS(7022),
    [anon_sym___bridge] = ACTIONS(7022),
    [anon_sym___bridge_retained] = ACTIONS(7022),
    [anon_sym___bridge_transfer] = ACTIONS(7022),
    [anon_sym___complex] = ACTIONS(7022),
    [anon_sym___const] = ACTIONS(7022),
    [anon_sym___imag] = ACTIONS(7022),
    [anon_sym___kindof] = ACTIONS(7022),
    [anon_sym___nonnull] = ACTIONS(7022),
    [anon_sym___nullable] = ACTIONS(7022),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7022),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7022),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7022),
    [anon_sym___real] = ACTIONS(7022),
    [anon_sym___strong] = ACTIONS(7022),
    [anon_sym___unsafe_unretained] = ACTIONS(7022),
    [anon_sym___unused] = ACTIONS(7022),
    [anon_sym___weak] = ACTIONS(7022),
    [anon_sym_alignas] = ACTIONS(7022),
    [anon_sym__Alignas] = ACTIONS(7022),
    [sym_primitive_type] = ACTIONS(7022),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7022),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7022),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7022),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7022),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7022),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7022),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7022),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7022),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7022),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7022),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7022),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7022),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7022),
    [anon_sym_API_AVAILABLE] = ACTIONS(7022),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7022),
    [anon_sym_API_DEPRECATED] = ACTIONS(7022),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7022),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7022),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7022),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7022),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7022),
    [anon_sym___deprecated_msg] = ACTIONS(7022),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7022),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7022),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7022),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7022),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7022),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7022),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7022),
  },
  [2902] = {
    [sym__declaration_modifiers] = STATE(3172),
    [sym_attribute_specifier] = STATE(3172),
    [sym_attribute_declaration] = STATE(3172),
    [sym_ms_declspec_modifier] = STATE(3172),
    [sym_storage_class_specifier] = STATE(3172),
    [sym_type_qualifier] = STATE(3172),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3172),
    [sym_keyword_declarator] = STATE(3227),
    [sym_method_parameter] = STATE(3230),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3172),
    [aux_sym_keyword_selector_repeat1] = STATE(3227),
    [aux_sym_method_declaration_repeat1] = STATE(3230),
    [aux_sym_method_declaration_repeat2] = STATE(2209),
    [sym_identifier] = ACTIONS(6980),
    [anon_sym_COMMA] = ACTIONS(7032),
    [anon_sym_SEMI] = ACTIONS(6992),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [anon_sym_COLON] = ACTIONS(6988),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2903] = {
    [sym__declaration_modifiers] = STATE(3192),
    [sym_attribute_specifier] = STATE(3192),
    [sym_attribute_declaration] = STATE(3192),
    [sym_ms_declspec_modifier] = STATE(3192),
    [sym_storage_class_specifier] = STATE(3192),
    [sym_type_qualifier] = STATE(3192),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3192),
    [sym_keyword_declarator] = STATE(3227),
    [sym_method_parameter] = STATE(3230),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3192),
    [aux_sym_keyword_selector_repeat1] = STATE(3227),
    [aux_sym_method_declaration_repeat1] = STATE(3230),
    [aux_sym_method_declaration_repeat2] = STATE(2275),
    [sym_identifier] = ACTIONS(6980),
    [anon_sym_COMMA] = ACTIONS(7034),
    [anon_sym_SEMI] = ACTIONS(6984),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [anon_sym_COLON] = ACTIONS(6988),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2904] = {
    [sym__declaration_modifiers] = STATE(6075),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(6075),
    [sym_ms_declspec_modifier] = STATE(6075),
    [sym_storage_class_specifier] = STATE(6075),
    [sym_type_qualifier] = STATE(6075),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3017),
    [sym_gnu_asm_expression] = STATE(3093),
    [sym_availability_attribute_specifier] = STATE(6075),
    [aux_sym_declaration_repeat1] = STATE(3094),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6835),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2905] = {
    [sym__declaration_modifiers] = STATE(6154),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(6154),
    [sym_ms_declspec_modifier] = STATE(6154),
    [sym_storage_class_specifier] = STATE(6154),
    [sym_type_qualifier] = STATE(6154),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3017),
    [sym_gnu_asm_expression] = STATE(3100),
    [sym_availability_attribute_specifier] = STATE(6154),
    [aux_sym_declaration_repeat1] = STATE(3101),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(7036),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2906] = {
    [sym_attribute_specifier] = STATE(2963),
    [sym_field_declaration_list] = STATE(2929),
    [sym_identifier] = ACTIONS(7038),
    [anon_sym_COMMA] = ACTIONS(7040),
    [anon_sym_RPAREN] = ACTIONS(7040),
    [anon_sym_LPAREN2] = ACTIONS(7040),
    [anon_sym_STAR] = ACTIONS(7040),
    [anon_sym_CARET] = ACTIONS(7040),
    [anon_sym_SEMI] = ACTIONS(7040),
    [anon_sym___extension__] = ACTIONS(7038),
    [anon_sym_extern] = ACTIONS(7038),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(7038),
    [anon_sym_LBRACK] = ACTIONS(7040),
    [anon_sym___declspec] = ACTIONS(7038),
    [anon_sym___based] = ACTIONS(7038),
    [anon_sym_LBRACE] = ACTIONS(6998),
    [anon_sym_signed] = ACTIONS(7038),
    [anon_sym_unsigned] = ACTIONS(7038),
    [anon_sym_long] = ACTIONS(7038),
    [anon_sym_short] = ACTIONS(7038),
    [anon_sym_static] = ACTIONS(7038),
    [anon_sym_auto] = ACTIONS(7038),
    [anon_sym_register] = ACTIONS(7038),
    [anon_sym_inline] = ACTIONS(7038),
    [anon_sym___inline] = ACTIONS(7038),
    [anon_sym___inline__] = ACTIONS(7038),
    [anon_sym___forceinline] = ACTIONS(7038),
    [anon_sym_thread_local] = ACTIONS(7038),
    [anon_sym___thread] = ACTIONS(7038),
    [anon_sym_CG_EXTERN] = ACTIONS(7038),
    [anon_sym_CG_INLINE] = ACTIONS(7038),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7038),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7038),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7038),
    [anon_sym_IBOutlet] = ACTIONS(7038),
    [anon_sym_IBInspectable] = ACTIONS(7038),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7038),
    [anon_sym_NS_INLINE] = ACTIONS(7038),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7038),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7038),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7038),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7038),
    [anon_sym_const] = ACTIONS(7038),
    [anon_sym_constexpr] = ACTIONS(7038),
    [anon_sym_volatile] = ACTIONS(7038),
    [anon_sym_restrict] = ACTIONS(7038),
    [anon_sym___restrict__] = ACTIONS(7038),
    [anon_sym__Atomic] = ACTIONS(7038),
    [anon_sym__Noreturn] = ACTIONS(7038),
    [anon_sym__Nonnull] = ACTIONS(7038),
    [anon_sym_nullable] = ACTIONS(7038),
    [anon_sym__Complex] = ACTIONS(7038),
    [anon_sym__Nullable] = ACTIONS(7038),
    [anon_sym__Nullable_result] = ACTIONS(7038),
    [anon_sym__Null_unspecified] = ACTIONS(7038),
    [anon_sym___autoreleasing] = ACTIONS(7038),
    [anon_sym___block] = ACTIONS(7038),
    [anon_sym___bridge] = ACTIONS(7038),
    [anon_sym___bridge_retained] = ACTIONS(7038),
    [anon_sym___bridge_transfer] = ACTIONS(7038),
    [anon_sym___complex] = ACTIONS(7038),
    [anon_sym___const] = ACTIONS(7038),
    [anon_sym___imag] = ACTIONS(7038),
    [anon_sym___kindof] = ACTIONS(7038),
    [anon_sym___nonnull] = ACTIONS(7038),
    [anon_sym___nullable] = ACTIONS(7038),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7038),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7038),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7038),
    [anon_sym___real] = ACTIONS(7038),
    [anon_sym___strong] = ACTIONS(7038),
    [anon_sym___unsafe_unretained] = ACTIONS(7038),
    [anon_sym___unused] = ACTIONS(7038),
    [anon_sym___weak] = ACTIONS(7038),
    [anon_sym_alignas] = ACTIONS(7038),
    [anon_sym__Alignas] = ACTIONS(7038),
    [sym_primitive_type] = ACTIONS(7038),
    [anon_sym_enum] = ACTIONS(7038),
    [anon_sym_COLON] = ACTIONS(7040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7038),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7038),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7038),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7038),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7038),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7038),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7038),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7038),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7038),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7038),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7038),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7038),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7038),
    [anon_sym_API_AVAILABLE] = ACTIONS(7038),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7038),
    [anon_sym_API_DEPRECATED] = ACTIONS(7038),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7038),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7038),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7038),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7038),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7038),
    [anon_sym___deprecated_msg] = ACTIONS(7038),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7038),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7038),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7038),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7038),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7038),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7038),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7038),
  },
  [2907] = {
    [sym_attribute_specifier] = STATE(2990),
    [sym_field_declaration_list] = STATE(2920),
    [sym_identifier] = ACTIONS(7042),
    [anon_sym_COMMA] = ACTIONS(7044),
    [anon_sym_RPAREN] = ACTIONS(7044),
    [anon_sym_LPAREN2] = ACTIONS(7044),
    [anon_sym_STAR] = ACTIONS(7044),
    [anon_sym_CARET] = ACTIONS(7044),
    [anon_sym_SEMI] = ACTIONS(7044),
    [anon_sym___extension__] = ACTIONS(7042),
    [anon_sym_extern] = ACTIONS(7042),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(7042),
    [anon_sym_LBRACK] = ACTIONS(7044),
    [anon_sym___declspec] = ACTIONS(7042),
    [anon_sym___based] = ACTIONS(7042),
    [anon_sym_LBRACE] = ACTIONS(6998),
    [anon_sym_signed] = ACTIONS(7042),
    [anon_sym_unsigned] = ACTIONS(7042),
    [anon_sym_long] = ACTIONS(7042),
    [anon_sym_short] = ACTIONS(7042),
    [anon_sym_static] = ACTIONS(7042),
    [anon_sym_auto] = ACTIONS(7042),
    [anon_sym_register] = ACTIONS(7042),
    [anon_sym_inline] = ACTIONS(7042),
    [anon_sym___inline] = ACTIONS(7042),
    [anon_sym___inline__] = ACTIONS(7042),
    [anon_sym___forceinline] = ACTIONS(7042),
    [anon_sym_thread_local] = ACTIONS(7042),
    [anon_sym___thread] = ACTIONS(7042),
    [anon_sym_CG_EXTERN] = ACTIONS(7042),
    [anon_sym_CG_INLINE] = ACTIONS(7042),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7042),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7042),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7042),
    [anon_sym_IBOutlet] = ACTIONS(7042),
    [anon_sym_IBInspectable] = ACTIONS(7042),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7042),
    [anon_sym_NS_INLINE] = ACTIONS(7042),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7042),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7042),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7042),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7042),
    [anon_sym_const] = ACTIONS(7042),
    [anon_sym_constexpr] = ACTIONS(7042),
    [anon_sym_volatile] = ACTIONS(7042),
    [anon_sym_restrict] = ACTIONS(7042),
    [anon_sym___restrict__] = ACTIONS(7042),
    [anon_sym__Atomic] = ACTIONS(7042),
    [anon_sym__Noreturn] = ACTIONS(7042),
    [anon_sym__Nonnull] = ACTIONS(7042),
    [anon_sym_nullable] = ACTIONS(7042),
    [anon_sym__Complex] = ACTIONS(7042),
    [anon_sym__Nullable] = ACTIONS(7042),
    [anon_sym__Nullable_result] = ACTIONS(7042),
    [anon_sym__Null_unspecified] = ACTIONS(7042),
    [anon_sym___autoreleasing] = ACTIONS(7042),
    [anon_sym___block] = ACTIONS(7042),
    [anon_sym___bridge] = ACTIONS(7042),
    [anon_sym___bridge_retained] = ACTIONS(7042),
    [anon_sym___bridge_transfer] = ACTIONS(7042),
    [anon_sym___complex] = ACTIONS(7042),
    [anon_sym___const] = ACTIONS(7042),
    [anon_sym___imag] = ACTIONS(7042),
    [anon_sym___kindof] = ACTIONS(7042),
    [anon_sym___nonnull] = ACTIONS(7042),
    [anon_sym___nullable] = ACTIONS(7042),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7042),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7042),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7042),
    [anon_sym___real] = ACTIONS(7042),
    [anon_sym___strong] = ACTIONS(7042),
    [anon_sym___unsafe_unretained] = ACTIONS(7042),
    [anon_sym___unused] = ACTIONS(7042),
    [anon_sym___weak] = ACTIONS(7042),
    [anon_sym_alignas] = ACTIONS(7042),
    [anon_sym__Alignas] = ACTIONS(7042),
    [sym_primitive_type] = ACTIONS(7042),
    [anon_sym_enum] = ACTIONS(7042),
    [anon_sym_COLON] = ACTIONS(7044),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7042),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7042),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7042),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7042),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7042),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7042),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7042),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7042),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7042),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7042),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7042),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7042),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7042),
    [anon_sym_API_AVAILABLE] = ACTIONS(7042),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7042),
    [anon_sym_API_DEPRECATED] = ACTIONS(7042),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7042),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7042),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7042),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7042),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7042),
    [anon_sym___deprecated_msg] = ACTIONS(7042),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7042),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7042),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7042),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7042),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7042),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7042),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7042),
  },
  [2908] = {
    [sym_attribute_specifier] = STATE(2978),
    [sym_field_declaration_list] = STATE(2936),
    [sym_identifier] = ACTIONS(7046),
    [anon_sym_COMMA] = ACTIONS(7048),
    [anon_sym_RPAREN] = ACTIONS(7048),
    [anon_sym_LPAREN2] = ACTIONS(7048),
    [anon_sym_STAR] = ACTIONS(7048),
    [anon_sym_CARET] = ACTIONS(7048),
    [anon_sym_SEMI] = ACTIONS(7048),
    [anon_sym___extension__] = ACTIONS(7046),
    [anon_sym_extern] = ACTIONS(7046),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(7046),
    [anon_sym_LBRACK] = ACTIONS(7048),
    [anon_sym___declspec] = ACTIONS(7046),
    [anon_sym___based] = ACTIONS(7046),
    [anon_sym_LBRACE] = ACTIONS(6998),
    [anon_sym_signed] = ACTIONS(7046),
    [anon_sym_unsigned] = ACTIONS(7046),
    [anon_sym_long] = ACTIONS(7046),
    [anon_sym_short] = ACTIONS(7046),
    [anon_sym_static] = ACTIONS(7046),
    [anon_sym_auto] = ACTIONS(7046),
    [anon_sym_register] = ACTIONS(7046),
    [anon_sym_inline] = ACTIONS(7046),
    [anon_sym___inline] = ACTIONS(7046),
    [anon_sym___inline__] = ACTIONS(7046),
    [anon_sym___forceinline] = ACTIONS(7046),
    [anon_sym_thread_local] = ACTIONS(7046),
    [anon_sym___thread] = ACTIONS(7046),
    [anon_sym_CG_EXTERN] = ACTIONS(7046),
    [anon_sym_CG_INLINE] = ACTIONS(7046),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7046),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7046),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7046),
    [anon_sym_IBOutlet] = ACTIONS(7046),
    [anon_sym_IBInspectable] = ACTIONS(7046),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7046),
    [anon_sym_NS_INLINE] = ACTIONS(7046),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7046),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7046),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7046),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7046),
    [anon_sym_const] = ACTIONS(7046),
    [anon_sym_constexpr] = ACTIONS(7046),
    [anon_sym_volatile] = ACTIONS(7046),
    [anon_sym_restrict] = ACTIONS(7046),
    [anon_sym___restrict__] = ACTIONS(7046),
    [anon_sym__Atomic] = ACTIONS(7046),
    [anon_sym__Noreturn] = ACTIONS(7046),
    [anon_sym__Nonnull] = ACTIONS(7046),
    [anon_sym_nullable] = ACTIONS(7046),
    [anon_sym__Complex] = ACTIONS(7046),
    [anon_sym__Nullable] = ACTIONS(7046),
    [anon_sym__Nullable_result] = ACTIONS(7046),
    [anon_sym__Null_unspecified] = ACTIONS(7046),
    [anon_sym___autoreleasing] = ACTIONS(7046),
    [anon_sym___block] = ACTIONS(7046),
    [anon_sym___bridge] = ACTIONS(7046),
    [anon_sym___bridge_retained] = ACTIONS(7046),
    [anon_sym___bridge_transfer] = ACTIONS(7046),
    [anon_sym___complex] = ACTIONS(7046),
    [anon_sym___const] = ACTIONS(7046),
    [anon_sym___imag] = ACTIONS(7046),
    [anon_sym___kindof] = ACTIONS(7046),
    [anon_sym___nonnull] = ACTIONS(7046),
    [anon_sym___nullable] = ACTIONS(7046),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7046),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7046),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7046),
    [anon_sym___real] = ACTIONS(7046),
    [anon_sym___strong] = ACTIONS(7046),
    [anon_sym___unsafe_unretained] = ACTIONS(7046),
    [anon_sym___unused] = ACTIONS(7046),
    [anon_sym___weak] = ACTIONS(7046),
    [anon_sym_alignas] = ACTIONS(7046),
    [anon_sym__Alignas] = ACTIONS(7046),
    [sym_primitive_type] = ACTIONS(7046),
    [anon_sym_enum] = ACTIONS(7046),
    [anon_sym_COLON] = ACTIONS(7048),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7046),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7046),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7046),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7046),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7046),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7046),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7046),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7046),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7046),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7046),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7046),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7046),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7046),
    [anon_sym_API_AVAILABLE] = ACTIONS(7046),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7046),
    [anon_sym_API_DEPRECATED] = ACTIONS(7046),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7046),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7046),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7046),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7046),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7046),
    [anon_sym___deprecated_msg] = ACTIONS(7046),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7046),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7046),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7046),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7046),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7046),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7046),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7046),
  },
  [2909] = {
    [sym__declaration_modifiers] = STATE(6339),
    [sym_attribute_specifier] = STATE(5789),
    [sym_attribute_declaration] = STATE(6339),
    [sym_ms_declspec_modifier] = STATE(6339),
    [sym_storage_class_specifier] = STATE(6339),
    [sym_type_qualifier] = STATE(6339),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3017),
    [sym_gnu_asm_expression] = STATE(3151),
    [sym_availability_attribute_specifier] = STATE(6339),
    [aux_sym_declaration_repeat1] = STATE(3153),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6864),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [2910] = {
    [sym__declaration_modifiers] = STATE(3148),
    [sym_attribute_specifier] = STATE(3148),
    [sym_attribute_declaration] = STATE(3148),
    [sym_ms_declspec_modifier] = STATE(3148),
    [sym_storage_class_specifier] = STATE(3148),
    [sym_type_qualifier] = STATE(3148),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3148),
    [sym_keyword_declarator] = STATE(3227),
    [sym_method_parameter] = STATE(3230),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3148),
    [aux_sym_keyword_selector_repeat1] = STATE(3227),
    [aux_sym_method_declaration_repeat1] = STATE(3230),
    [aux_sym_method_declaration_repeat2] = STATE(2113),
    [sym_identifier] = ACTIONS(6980),
    [anon_sym_COMMA] = ACTIONS(7050),
    [anon_sym_SEMI] = ACTIONS(6992),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [anon_sym_COLON] = ACTIONS(6988),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2911] = {
    [sym_identifier] = ACTIONS(2995),
    [anon_sym___extension__] = ACTIONS(2995),
    [anon_sym_typedef] = ACTIONS(2962),
    [anon_sym_extern] = ACTIONS(2995),
    [anon_sym___attribute__] = ACTIONS(2995),
    [anon_sym___attribute] = ACTIONS(2995),
    [anon_sym_noreturn] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(3000),
    [anon_sym___declspec] = ACTIONS(2995),
    [anon_sym_signed] = ACTIONS(2995),
    [anon_sym_unsigned] = ACTIONS(2995),
    [anon_sym_long] = ACTIONS(2995),
    [anon_sym_short] = ACTIONS(2995),
    [anon_sym_static] = ACTIONS(2995),
    [anon_sym_auto] = ACTIONS(2995),
    [anon_sym_register] = ACTIONS(2995),
    [anon_sym_inline] = ACTIONS(2995),
    [anon_sym___inline] = ACTIONS(2995),
    [anon_sym___inline__] = ACTIONS(2995),
    [anon_sym___forceinline] = ACTIONS(2995),
    [anon_sym_thread_local] = ACTIONS(2995),
    [anon_sym___thread] = ACTIONS(2995),
    [anon_sym_CG_EXTERN] = ACTIONS(2995),
    [anon_sym_CG_INLINE] = ACTIONS(2995),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2995),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2995),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2995),
    [anon_sym_IBOutlet] = ACTIONS(2995),
    [anon_sym_IBInspectable] = ACTIONS(2995),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2995),
    [anon_sym_NS_INLINE] = ACTIONS(2995),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2995),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2995),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2995),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2995),
    [anon_sym_const] = ACTIONS(2995),
    [anon_sym_constexpr] = ACTIONS(2995),
    [anon_sym_volatile] = ACTIONS(2995),
    [anon_sym_restrict] = ACTIONS(2995),
    [anon_sym___restrict__] = ACTIONS(2995),
    [anon_sym__Atomic] = ACTIONS(2995),
    [anon_sym__Noreturn] = ACTIONS(2995),
    [anon_sym__Nonnull] = ACTIONS(2995),
    [anon_sym_nullable] = ACTIONS(2995),
    [anon_sym__Complex] = ACTIONS(2995),
    [anon_sym__Nullable] = ACTIONS(2995),
    [anon_sym__Nullable_result] = ACTIONS(2995),
    [anon_sym__Null_unspecified] = ACTIONS(2995),
    [anon_sym___autoreleasing] = ACTIONS(2995),
    [anon_sym___block] = ACTIONS(2995),
    [anon_sym___bridge] = ACTIONS(2995),
    [anon_sym___bridge_retained] = ACTIONS(2995),
    [anon_sym___bridge_transfer] = ACTIONS(2995),
    [anon_sym___complex] = ACTIONS(2995),
    [anon_sym___const] = ACTIONS(2995),
    [anon_sym___imag] = ACTIONS(2995),
    [anon_sym___kindof] = ACTIONS(2995),
    [anon_sym___nonnull] = ACTIONS(2995),
    [anon_sym___nullable] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2995),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2995),
    [anon_sym___real] = ACTIONS(2995),
    [anon_sym___strong] = ACTIONS(2995),
    [anon_sym___unsafe_unretained] = ACTIONS(2995),
    [anon_sym___unused] = ACTIONS(2995),
    [anon_sym___weak] = ACTIONS(2995),
    [anon_sym_alignas] = ACTIONS(2995),
    [anon_sym__Alignas] = ACTIONS(2995),
    [sym_primitive_type] = ACTIONS(2995),
    [anon_sym_enum] = ACTIONS(2995),
    [anon_sym_struct] = ACTIONS(2995),
    [anon_sym_union] = ACTIONS(2995),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2995),
    [anon_sym___typeof] = ACTIONS(2995),
    [anon_sym_typeof] = ACTIONS(2995),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2995),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2995),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2995),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2995),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2995),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2995),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2995),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_API_AVAILABLE] = ACTIONS(2995),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_API_DEPRECATED] = ACTIONS(2995),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2995),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2995),
    [anon_sym___deprecated_msg] = ACTIONS(2995),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2995),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2995),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2995),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2995),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2995),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2995),
    [anon_sym_BOOL] = ACTIONS(2995),
    [anon_sym_IMP] = ACTIONS(2995),
    [anon_sym_SEL] = ACTIONS(2995),
    [anon_sym_Class] = ACTIONS(2995),
    [anon_sym_id] = ACTIONS(2995),
  },
  [2912] = {
    [sym__declaration_modifiers] = STATE(3190),
    [sym_attribute_specifier] = STATE(3190),
    [sym_attribute_declaration] = STATE(3190),
    [sym_ms_declspec_modifier] = STATE(3190),
    [sym_storage_class_specifier] = STATE(3190),
    [sym_type_qualifier] = STATE(3190),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3190),
    [sym_keyword_declarator] = STATE(3227),
    [sym_method_parameter] = STATE(3230),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3190),
    [aux_sym_keyword_selector_repeat1] = STATE(3227),
    [aux_sym_method_declaration_repeat1] = STATE(3230),
    [aux_sym_method_declaration_repeat2] = STATE(2173),
    [sym_identifier] = ACTIONS(6980),
    [anon_sym_COMMA] = ACTIONS(7052),
    [anon_sym_SEMI] = ACTIONS(7002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [anon_sym_COLON] = ACTIONS(6988),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2913] = {
    [sym_identifier] = ACTIONS(7008),
    [anon_sym___extension__] = ACTIONS(7008),
    [anon_sym_extern] = ACTIONS(7008),
    [anon_sym___attribute__] = ACTIONS(7008),
    [anon_sym___attribute] = ACTIONS(7008),
    [anon_sym_noreturn] = ACTIONS(7008),
    [anon_sym_LBRACK] = ACTIONS(7010),
    [anon_sym___declspec] = ACTIONS(7008),
    [anon_sym_signed] = ACTIONS(7008),
    [anon_sym_unsigned] = ACTIONS(7008),
    [anon_sym_long] = ACTIONS(7008),
    [anon_sym_short] = ACTIONS(7008),
    [anon_sym_static] = ACTIONS(7008),
    [anon_sym_auto] = ACTIONS(7008),
    [anon_sym_register] = ACTIONS(7008),
    [anon_sym_inline] = ACTIONS(7008),
    [anon_sym___inline] = ACTIONS(7008),
    [anon_sym___inline__] = ACTIONS(7008),
    [anon_sym___forceinline] = ACTIONS(7008),
    [anon_sym_thread_local] = ACTIONS(7008),
    [anon_sym___thread] = ACTIONS(7008),
    [anon_sym_CG_EXTERN] = ACTIONS(7008),
    [anon_sym_CG_INLINE] = ACTIONS(7008),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7008),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7008),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7008),
    [anon_sym_IBOutlet] = ACTIONS(7008),
    [anon_sym_IBInspectable] = ACTIONS(7008),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7008),
    [anon_sym_NS_INLINE] = ACTIONS(7008),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7008),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7008),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7008),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7008),
    [anon_sym_const] = ACTIONS(7008),
    [anon_sym_constexpr] = ACTIONS(7008),
    [anon_sym_volatile] = ACTIONS(7008),
    [anon_sym_restrict] = ACTIONS(7008),
    [anon_sym___restrict__] = ACTIONS(7008),
    [anon_sym__Atomic] = ACTIONS(7008),
    [anon_sym__Noreturn] = ACTIONS(7008),
    [anon_sym__Nonnull] = ACTIONS(7008),
    [anon_sym_nullable] = ACTIONS(7008),
    [anon_sym__Complex] = ACTIONS(7008),
    [anon_sym__Nullable] = ACTIONS(7008),
    [anon_sym__Nullable_result] = ACTIONS(7008),
    [anon_sym__Null_unspecified] = ACTIONS(7008),
    [anon_sym___autoreleasing] = ACTIONS(7008),
    [anon_sym___block] = ACTIONS(7008),
    [anon_sym___bridge] = ACTIONS(7008),
    [anon_sym___bridge_retained] = ACTIONS(7008),
    [anon_sym___bridge_transfer] = ACTIONS(7008),
    [anon_sym___complex] = ACTIONS(7008),
    [anon_sym___const] = ACTIONS(7008),
    [anon_sym___imag] = ACTIONS(7008),
    [anon_sym___kindof] = ACTIONS(7008),
    [anon_sym___nonnull] = ACTIONS(7008),
    [anon_sym___nullable] = ACTIONS(7008),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7008),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7008),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7008),
    [anon_sym___real] = ACTIONS(7008),
    [anon_sym___strong] = ACTIONS(7008),
    [anon_sym___unsafe_unretained] = ACTIONS(7008),
    [anon_sym___unused] = ACTIONS(7008),
    [anon_sym___weak] = ACTIONS(7008),
    [anon_sym_alignas] = ACTIONS(7008),
    [anon_sym__Alignas] = ACTIONS(7008),
    [sym_primitive_type] = ACTIONS(7008),
    [anon_sym_enum] = ACTIONS(7008),
    [anon_sym_struct] = ACTIONS(7008),
    [anon_sym_union] = ACTIONS(7008),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7008),
    [anon_sym___typeof] = ACTIONS(7008),
    [anon_sym_typeof] = ACTIONS(7008),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7008),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7008),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7008),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7008),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7008),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7008),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7008),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7008),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7008),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7008),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7008),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7008),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7008),
    [anon_sym_API_AVAILABLE] = ACTIONS(7008),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7008),
    [anon_sym_API_DEPRECATED] = ACTIONS(7008),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7008),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7008),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7008),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7008),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7008),
    [anon_sym___deprecated_msg] = ACTIONS(7008),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7008),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7008),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7008),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7008),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7008),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7008),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7008),
    [anon_sym_ATproperty] = ACTIONS(7054),
    [anon_sym_BOOL] = ACTIONS(7008),
    [anon_sym_IMP] = ACTIONS(7008),
    [anon_sym_SEL] = ACTIONS(7008),
    [anon_sym_Class] = ACTIONS(7008),
    [anon_sym_id] = ACTIONS(7008),
  },
  [2914] = {
    [sym_attribute_specifier] = STATE(2995),
    [sym_field_declaration_list] = STATE(2933),
    [sym_identifier] = ACTIONS(7056),
    [anon_sym_COMMA] = ACTIONS(7058),
    [anon_sym_RPAREN] = ACTIONS(7058),
    [anon_sym_LPAREN2] = ACTIONS(7058),
    [anon_sym_STAR] = ACTIONS(7058),
    [anon_sym_CARET] = ACTIONS(7058),
    [anon_sym_SEMI] = ACTIONS(7058),
    [anon_sym___extension__] = ACTIONS(7056),
    [anon_sym_extern] = ACTIONS(7056),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(7056),
    [anon_sym_LBRACK] = ACTIONS(7058),
    [anon_sym___declspec] = ACTIONS(7056),
    [anon_sym___based] = ACTIONS(7056),
    [anon_sym_LBRACE] = ACTIONS(6998),
    [anon_sym_signed] = ACTIONS(7056),
    [anon_sym_unsigned] = ACTIONS(7056),
    [anon_sym_long] = ACTIONS(7056),
    [anon_sym_short] = ACTIONS(7056),
    [anon_sym_static] = ACTIONS(7056),
    [anon_sym_auto] = ACTIONS(7056),
    [anon_sym_register] = ACTIONS(7056),
    [anon_sym_inline] = ACTIONS(7056),
    [anon_sym___inline] = ACTIONS(7056),
    [anon_sym___inline__] = ACTIONS(7056),
    [anon_sym___forceinline] = ACTIONS(7056),
    [anon_sym_thread_local] = ACTIONS(7056),
    [anon_sym___thread] = ACTIONS(7056),
    [anon_sym_CG_EXTERN] = ACTIONS(7056),
    [anon_sym_CG_INLINE] = ACTIONS(7056),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7056),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7056),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7056),
    [anon_sym_IBOutlet] = ACTIONS(7056),
    [anon_sym_IBInspectable] = ACTIONS(7056),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7056),
    [anon_sym_NS_INLINE] = ACTIONS(7056),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7056),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7056),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7056),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7056),
    [anon_sym_const] = ACTIONS(7056),
    [anon_sym_constexpr] = ACTIONS(7056),
    [anon_sym_volatile] = ACTIONS(7056),
    [anon_sym_restrict] = ACTIONS(7056),
    [anon_sym___restrict__] = ACTIONS(7056),
    [anon_sym__Atomic] = ACTIONS(7056),
    [anon_sym__Noreturn] = ACTIONS(7056),
    [anon_sym__Nonnull] = ACTIONS(7056),
    [anon_sym_nullable] = ACTIONS(7056),
    [anon_sym__Complex] = ACTIONS(7056),
    [anon_sym__Nullable] = ACTIONS(7056),
    [anon_sym__Nullable_result] = ACTIONS(7056),
    [anon_sym__Null_unspecified] = ACTIONS(7056),
    [anon_sym___autoreleasing] = ACTIONS(7056),
    [anon_sym___block] = ACTIONS(7056),
    [anon_sym___bridge] = ACTIONS(7056),
    [anon_sym___bridge_retained] = ACTIONS(7056),
    [anon_sym___bridge_transfer] = ACTIONS(7056),
    [anon_sym___complex] = ACTIONS(7056),
    [anon_sym___const] = ACTIONS(7056),
    [anon_sym___imag] = ACTIONS(7056),
    [anon_sym___kindof] = ACTIONS(7056),
    [anon_sym___nonnull] = ACTIONS(7056),
    [anon_sym___nullable] = ACTIONS(7056),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7056),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7056),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7056),
    [anon_sym___real] = ACTIONS(7056),
    [anon_sym___strong] = ACTIONS(7056),
    [anon_sym___unsafe_unretained] = ACTIONS(7056),
    [anon_sym___unused] = ACTIONS(7056),
    [anon_sym___weak] = ACTIONS(7056),
    [anon_sym_alignas] = ACTIONS(7056),
    [anon_sym__Alignas] = ACTIONS(7056),
    [sym_primitive_type] = ACTIONS(7056),
    [anon_sym_enum] = ACTIONS(7056),
    [anon_sym_COLON] = ACTIONS(7058),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7056),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7056),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7056),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7056),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7056),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7056),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7056),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7056),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7056),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7056),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7056),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7056),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7056),
    [anon_sym_API_AVAILABLE] = ACTIONS(7056),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7056),
    [anon_sym_API_DEPRECATED] = ACTIONS(7056),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7056),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7056),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7056),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7056),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7056),
    [anon_sym___deprecated_msg] = ACTIONS(7056),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7056),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7056),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7056),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7056),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7056),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7056),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7056),
  },
  [2915] = {
    [aux_sym_generic_specifier_repeat1] = STATE(2915),
    [sym_identifier] = ACTIONS(7060),
    [anon_sym_COMMA] = ACTIONS(7062),
    [anon_sym_RPAREN] = ACTIONS(7062),
    [anon_sym_LPAREN2] = ACTIONS(7062),
    [anon_sym_STAR] = ACTIONS(7062),
    [anon_sym_CARET] = ACTIONS(7062),
    [anon_sym_LT] = ACTIONS(7064),
    [anon_sym_SEMI] = ACTIONS(7062),
    [anon_sym___extension__] = ACTIONS(7060),
    [anon_sym_extern] = ACTIONS(7060),
    [anon_sym___attribute__] = ACTIONS(7060),
    [anon_sym___attribute] = ACTIONS(7060),
    [anon_sym_noreturn] = ACTIONS(7060),
    [anon_sym_LBRACK] = ACTIONS(7062),
    [anon_sym___declspec] = ACTIONS(7060),
    [anon_sym___based] = ACTIONS(7060),
    [anon_sym_signed] = ACTIONS(7060),
    [anon_sym_unsigned] = ACTIONS(7060),
    [anon_sym_long] = ACTIONS(7060),
    [anon_sym_short] = ACTIONS(7060),
    [anon_sym_static] = ACTIONS(7060),
    [anon_sym_auto] = ACTIONS(7060),
    [anon_sym_register] = ACTIONS(7060),
    [anon_sym_inline] = ACTIONS(7060),
    [anon_sym___inline] = ACTIONS(7060),
    [anon_sym___inline__] = ACTIONS(7060),
    [anon_sym___forceinline] = ACTIONS(7060),
    [anon_sym_thread_local] = ACTIONS(7060),
    [anon_sym___thread] = ACTIONS(7060),
    [anon_sym_CG_EXTERN] = ACTIONS(7060),
    [anon_sym_CG_INLINE] = ACTIONS(7060),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7060),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7060),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7060),
    [anon_sym_IBOutlet] = ACTIONS(7060),
    [anon_sym_IBInspectable] = ACTIONS(7060),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7060),
    [anon_sym_NS_INLINE] = ACTIONS(7060),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7060),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7060),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7060),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7060),
    [anon_sym_const] = ACTIONS(7060),
    [anon_sym_constexpr] = ACTIONS(7060),
    [anon_sym_volatile] = ACTIONS(7060),
    [anon_sym_restrict] = ACTIONS(7060),
    [anon_sym___restrict__] = ACTIONS(7060),
    [anon_sym__Atomic] = ACTIONS(7060),
    [anon_sym__Noreturn] = ACTIONS(7060),
    [anon_sym__Nonnull] = ACTIONS(7060),
    [anon_sym_nullable] = ACTIONS(7060),
    [anon_sym__Complex] = ACTIONS(7060),
    [anon_sym__Nullable] = ACTIONS(7060),
    [anon_sym__Nullable_result] = ACTIONS(7060),
    [anon_sym__Null_unspecified] = ACTIONS(7060),
    [anon_sym___autoreleasing] = ACTIONS(7060),
    [anon_sym___block] = ACTIONS(7060),
    [anon_sym___bridge] = ACTIONS(7060),
    [anon_sym___bridge_retained] = ACTIONS(7060),
    [anon_sym___bridge_transfer] = ACTIONS(7060),
    [anon_sym___complex] = ACTIONS(7060),
    [anon_sym___const] = ACTIONS(7060),
    [anon_sym___imag] = ACTIONS(7060),
    [anon_sym___kindof] = ACTIONS(7060),
    [anon_sym___nonnull] = ACTIONS(7060),
    [anon_sym___nullable] = ACTIONS(7060),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7060),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7060),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7060),
    [anon_sym___real] = ACTIONS(7060),
    [anon_sym___strong] = ACTIONS(7060),
    [anon_sym___unsafe_unretained] = ACTIONS(7060),
    [anon_sym___unused] = ACTIONS(7060),
    [anon_sym___weak] = ACTIONS(7060),
    [anon_sym_alignas] = ACTIONS(7060),
    [anon_sym__Alignas] = ACTIONS(7060),
    [sym_primitive_type] = ACTIONS(7060),
    [anon_sym_enum] = ACTIONS(7060),
    [anon_sym_COLON] = ACTIONS(7062),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7060),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7060),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7060),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7060),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7060),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7060),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7060),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7060),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7060),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7060),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7060),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7060),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7060),
    [anon_sym_API_AVAILABLE] = ACTIONS(7060),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7060),
    [anon_sym_API_DEPRECATED] = ACTIONS(7060),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7060),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7060),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7060),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7060),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7060),
    [anon_sym___deprecated_msg] = ACTIONS(7060),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7060),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7060),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7060),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7060),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7060),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7060),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7060),
  },
  [2916] = {
    [sym_protocol_reference_list] = STATE(2949),
    [sym_identifier] = ACTIONS(6324),
    [anon_sym_COMMA] = ACTIONS(6326),
    [anon_sym_RPAREN] = ACTIONS(6326),
    [anon_sym_LPAREN2] = ACTIONS(6326),
    [anon_sym_STAR] = ACTIONS(6326),
    [anon_sym_CARET] = ACTIONS(6326),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_SEMI] = ACTIONS(6326),
    [anon_sym___extension__] = ACTIONS(6324),
    [anon_sym_extern] = ACTIONS(6324),
    [anon_sym___attribute__] = ACTIONS(6324),
    [anon_sym___attribute] = ACTIONS(6324),
    [anon_sym_noreturn] = ACTIONS(6324),
    [anon_sym_LBRACK] = ACTIONS(6326),
    [anon_sym___declspec] = ACTIONS(6324),
    [anon_sym___based] = ACTIONS(6324),
    [anon_sym_signed] = ACTIONS(6324),
    [anon_sym_unsigned] = ACTIONS(6324),
    [anon_sym_long] = ACTIONS(6324),
    [anon_sym_short] = ACTIONS(6324),
    [anon_sym_static] = ACTIONS(6324),
    [anon_sym_auto] = ACTIONS(6324),
    [anon_sym_register] = ACTIONS(6324),
    [anon_sym_inline] = ACTIONS(6324),
    [anon_sym___inline] = ACTIONS(6324),
    [anon_sym___inline__] = ACTIONS(6324),
    [anon_sym___forceinline] = ACTIONS(6324),
    [anon_sym_thread_local] = ACTIONS(6324),
    [anon_sym___thread] = ACTIONS(6324),
    [anon_sym_CG_EXTERN] = ACTIONS(6324),
    [anon_sym_CG_INLINE] = ACTIONS(6324),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6324),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6324),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6324),
    [anon_sym_IBOutlet] = ACTIONS(6324),
    [anon_sym_IBInspectable] = ACTIONS(6324),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6324),
    [anon_sym_NS_INLINE] = ACTIONS(6324),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6324),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6324),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6324),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6324),
    [anon_sym_const] = ACTIONS(6324),
    [anon_sym_constexpr] = ACTIONS(6324),
    [anon_sym_volatile] = ACTIONS(6324),
    [anon_sym_restrict] = ACTIONS(6324),
    [anon_sym___restrict__] = ACTIONS(6324),
    [anon_sym__Atomic] = ACTIONS(6324),
    [anon_sym__Noreturn] = ACTIONS(6324),
    [anon_sym__Nonnull] = ACTIONS(6324),
    [anon_sym_nullable] = ACTIONS(6324),
    [anon_sym__Complex] = ACTIONS(6324),
    [anon_sym__Nullable] = ACTIONS(6324),
    [anon_sym__Nullable_result] = ACTIONS(6324),
    [anon_sym__Null_unspecified] = ACTIONS(6324),
    [anon_sym___autoreleasing] = ACTIONS(6324),
    [anon_sym___block] = ACTIONS(6324),
    [anon_sym___bridge] = ACTIONS(6324),
    [anon_sym___bridge_retained] = ACTIONS(6324),
    [anon_sym___bridge_transfer] = ACTIONS(6324),
    [anon_sym___complex] = ACTIONS(6324),
    [anon_sym___const] = ACTIONS(6324),
    [anon_sym___imag] = ACTIONS(6324),
    [anon_sym___kindof] = ACTIONS(6324),
    [anon_sym___nonnull] = ACTIONS(6324),
    [anon_sym___nullable] = ACTIONS(6324),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6324),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6324),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6324),
    [anon_sym___real] = ACTIONS(6324),
    [anon_sym___strong] = ACTIONS(6324),
    [anon_sym___unsafe_unretained] = ACTIONS(6324),
    [anon_sym___unused] = ACTIONS(6324),
    [anon_sym___weak] = ACTIONS(6324),
    [anon_sym_alignas] = ACTIONS(6324),
    [anon_sym__Alignas] = ACTIONS(6324),
    [sym_primitive_type] = ACTIONS(6324),
    [anon_sym_enum] = ACTIONS(6324),
    [anon_sym_COLON] = ACTIONS(6326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6324),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6324),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6324),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6324),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6324),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6324),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6324),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6324),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6324),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6324),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6324),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6324),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6324),
    [anon_sym_API_AVAILABLE] = ACTIONS(6324),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6324),
    [anon_sym_API_DEPRECATED] = ACTIONS(6324),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6324),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6324),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6324),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6324),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6324),
    [anon_sym___deprecated_msg] = ACTIONS(6324),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6324),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6324),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6324),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6324),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6324),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6324),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6324),
  },
  [2917] = {
    [sym_identifier] = ACTIONS(7067),
    [anon_sym___extension__] = ACTIONS(7067),
    [anon_sym_extern] = ACTIONS(7067),
    [anon_sym___attribute__] = ACTIONS(7067),
    [anon_sym___attribute] = ACTIONS(7067),
    [anon_sym_noreturn] = ACTIONS(7067),
    [anon_sym_LBRACK] = ACTIONS(7069),
    [anon_sym___declspec] = ACTIONS(7067),
    [anon_sym_signed] = ACTIONS(7067),
    [anon_sym_unsigned] = ACTIONS(7067),
    [anon_sym_long] = ACTIONS(7067),
    [anon_sym_short] = ACTIONS(7067),
    [anon_sym_static] = ACTIONS(7067),
    [anon_sym_auto] = ACTIONS(7067),
    [anon_sym_register] = ACTIONS(7067),
    [anon_sym_inline] = ACTIONS(7067),
    [anon_sym___inline] = ACTIONS(7067),
    [anon_sym___inline__] = ACTIONS(7067),
    [anon_sym___forceinline] = ACTIONS(7067),
    [anon_sym_thread_local] = ACTIONS(7067),
    [anon_sym___thread] = ACTIONS(7067),
    [anon_sym_CG_EXTERN] = ACTIONS(7067),
    [anon_sym_CG_INLINE] = ACTIONS(7067),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7067),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7067),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7067),
    [anon_sym_IBOutlet] = ACTIONS(7067),
    [anon_sym_IBInspectable] = ACTIONS(7067),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7067),
    [anon_sym_NS_INLINE] = ACTIONS(7067),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7067),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7067),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7067),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7067),
    [anon_sym_const] = ACTIONS(7067),
    [anon_sym_constexpr] = ACTIONS(7067),
    [anon_sym_volatile] = ACTIONS(7067),
    [anon_sym_restrict] = ACTIONS(7067),
    [anon_sym___restrict__] = ACTIONS(7067),
    [anon_sym__Atomic] = ACTIONS(7067),
    [anon_sym__Noreturn] = ACTIONS(7067),
    [anon_sym__Nonnull] = ACTIONS(7067),
    [anon_sym_nullable] = ACTIONS(7067),
    [anon_sym__Complex] = ACTIONS(7067),
    [anon_sym__Nullable] = ACTIONS(7067),
    [anon_sym__Nullable_result] = ACTIONS(7067),
    [anon_sym__Null_unspecified] = ACTIONS(7067),
    [anon_sym___autoreleasing] = ACTIONS(7067),
    [anon_sym___block] = ACTIONS(7067),
    [anon_sym___bridge] = ACTIONS(7067),
    [anon_sym___bridge_retained] = ACTIONS(7067),
    [anon_sym___bridge_transfer] = ACTIONS(7067),
    [anon_sym___complex] = ACTIONS(7067),
    [anon_sym___const] = ACTIONS(7067),
    [anon_sym___imag] = ACTIONS(7067),
    [anon_sym___kindof] = ACTIONS(7067),
    [anon_sym___nonnull] = ACTIONS(7067),
    [anon_sym___nullable] = ACTIONS(7067),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7067),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7067),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7067),
    [anon_sym___real] = ACTIONS(7067),
    [anon_sym___strong] = ACTIONS(7067),
    [anon_sym___unsafe_unretained] = ACTIONS(7067),
    [anon_sym___unused] = ACTIONS(7067),
    [anon_sym___weak] = ACTIONS(7067),
    [anon_sym_alignas] = ACTIONS(7067),
    [anon_sym__Alignas] = ACTIONS(7067),
    [sym_primitive_type] = ACTIONS(7067),
    [anon_sym_enum] = ACTIONS(7067),
    [anon_sym_struct] = ACTIONS(7067),
    [anon_sym_union] = ACTIONS(7067),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7067),
    [anon_sym___typeof] = ACTIONS(7067),
    [anon_sym_typeof] = ACTIONS(7067),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7067),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7067),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7067),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7067),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7067),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7067),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7067),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7067),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7067),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7067),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7067),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7067),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7067),
    [anon_sym_API_AVAILABLE] = ACTIONS(7067),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7067),
    [anon_sym_API_DEPRECATED] = ACTIONS(7067),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7067),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7067),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7067),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7067),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7067),
    [anon_sym___deprecated_msg] = ACTIONS(7067),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7067),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7067),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7067),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7067),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7067),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7067),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7067),
    [anon_sym_BOOL] = ACTIONS(7067),
    [anon_sym_IMP] = ACTIONS(7067),
    [anon_sym_SEL] = ACTIONS(7067),
    [anon_sym_Class] = ACTIONS(7067),
    [anon_sym_id] = ACTIONS(7067),
  },
  [2918] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_COMMA] = ACTIONS(5922),
    [anon_sym_RPAREN] = ACTIONS(5922),
    [anon_sym_LPAREN2] = ACTIONS(7071),
    [anon_sym_STAR] = ACTIONS(5922),
    [anon_sym_CARET] = ACTIONS(5922),
    [anon_sym_LT] = ACTIONS(7074),
    [anon_sym_SEMI] = ACTIONS(5922),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(5922),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [anon_sym_enum] = ACTIONS(4502),
    [anon_sym_COLON] = ACTIONS(5922),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [2919] = {
    [aux_sym_generic_specifier_repeat1] = STATE(2915),
    [sym_identifier] = ACTIONS(7076),
    [anon_sym_COMMA] = ACTIONS(7078),
    [anon_sym_RPAREN] = ACTIONS(7078),
    [anon_sym_LPAREN2] = ACTIONS(7078),
    [anon_sym_STAR] = ACTIONS(7078),
    [anon_sym_CARET] = ACTIONS(7078),
    [anon_sym_LT] = ACTIONS(7074),
    [anon_sym_SEMI] = ACTIONS(7078),
    [anon_sym___extension__] = ACTIONS(7076),
    [anon_sym_extern] = ACTIONS(7076),
    [anon_sym___attribute__] = ACTIONS(7076),
    [anon_sym___attribute] = ACTIONS(7076),
    [anon_sym_noreturn] = ACTIONS(7076),
    [anon_sym_LBRACK] = ACTIONS(7078),
    [anon_sym___declspec] = ACTIONS(7076),
    [anon_sym___based] = ACTIONS(7076),
    [anon_sym_signed] = ACTIONS(7076),
    [anon_sym_unsigned] = ACTIONS(7076),
    [anon_sym_long] = ACTIONS(7076),
    [anon_sym_short] = ACTIONS(7076),
    [anon_sym_static] = ACTIONS(7076),
    [anon_sym_auto] = ACTIONS(7076),
    [anon_sym_register] = ACTIONS(7076),
    [anon_sym_inline] = ACTIONS(7076),
    [anon_sym___inline] = ACTIONS(7076),
    [anon_sym___inline__] = ACTIONS(7076),
    [anon_sym___forceinline] = ACTIONS(7076),
    [anon_sym_thread_local] = ACTIONS(7076),
    [anon_sym___thread] = ACTIONS(7076),
    [anon_sym_CG_EXTERN] = ACTIONS(7076),
    [anon_sym_CG_INLINE] = ACTIONS(7076),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7076),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7076),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7076),
    [anon_sym_IBOutlet] = ACTIONS(7076),
    [anon_sym_IBInspectable] = ACTIONS(7076),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7076),
    [anon_sym_NS_INLINE] = ACTIONS(7076),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7076),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7076),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7076),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7076),
    [anon_sym_const] = ACTIONS(7076),
    [anon_sym_constexpr] = ACTIONS(7076),
    [anon_sym_volatile] = ACTIONS(7076),
    [anon_sym_restrict] = ACTIONS(7076),
    [anon_sym___restrict__] = ACTIONS(7076),
    [anon_sym__Atomic] = ACTIONS(7076),
    [anon_sym__Noreturn] = ACTIONS(7076),
    [anon_sym__Nonnull] = ACTIONS(7076),
    [anon_sym_nullable] = ACTIONS(7076),
    [anon_sym__Complex] = ACTIONS(7076),
    [anon_sym__Nullable] = ACTIONS(7076),
    [anon_sym__Nullable_result] = ACTIONS(7076),
    [anon_sym__Null_unspecified] = ACTIONS(7076),
    [anon_sym___autoreleasing] = ACTIONS(7076),
    [anon_sym___block] = ACTIONS(7076),
    [anon_sym___bridge] = ACTIONS(7076),
    [anon_sym___bridge_retained] = ACTIONS(7076),
    [anon_sym___bridge_transfer] = ACTIONS(7076),
    [anon_sym___complex] = ACTIONS(7076),
    [anon_sym___const] = ACTIONS(7076),
    [anon_sym___imag] = ACTIONS(7076),
    [anon_sym___kindof] = ACTIONS(7076),
    [anon_sym___nonnull] = ACTIONS(7076),
    [anon_sym___nullable] = ACTIONS(7076),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7076),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7076),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7076),
    [anon_sym___real] = ACTIONS(7076),
    [anon_sym___strong] = ACTIONS(7076),
    [anon_sym___unsafe_unretained] = ACTIONS(7076),
    [anon_sym___unused] = ACTIONS(7076),
    [anon_sym___weak] = ACTIONS(7076),
    [anon_sym_alignas] = ACTIONS(7076),
    [anon_sym__Alignas] = ACTIONS(7076),
    [sym_primitive_type] = ACTIONS(7076),
    [anon_sym_enum] = ACTIONS(7076),
    [anon_sym_COLON] = ACTIONS(7078),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7076),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7076),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7076),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7076),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7076),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7076),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7076),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7076),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7076),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7076),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7076),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7076),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7076),
    [anon_sym_API_AVAILABLE] = ACTIONS(7076),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7076),
    [anon_sym_API_DEPRECATED] = ACTIONS(7076),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7076),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7076),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7076),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7076),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7076),
    [anon_sym___deprecated_msg] = ACTIONS(7076),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7076),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7076),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7076),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7076),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7076),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7076),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7076),
  },
  [2920] = {
    [sym_attribute_specifier] = STATE(2959),
    [sym_identifier] = ACTIONS(7080),
    [anon_sym_COMMA] = ACTIONS(7082),
    [anon_sym_RPAREN] = ACTIONS(7082),
    [anon_sym_LPAREN2] = ACTIONS(7082),
    [anon_sym_STAR] = ACTIONS(7082),
    [anon_sym_CARET] = ACTIONS(7082),
    [anon_sym_SEMI] = ACTIONS(7082),
    [anon_sym___extension__] = ACTIONS(7080),
    [anon_sym_extern] = ACTIONS(7080),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(7080),
    [anon_sym_LBRACK] = ACTIONS(7082),
    [anon_sym___declspec] = ACTIONS(7080),
    [anon_sym___based] = ACTIONS(7080),
    [anon_sym_signed] = ACTIONS(7080),
    [anon_sym_unsigned] = ACTIONS(7080),
    [anon_sym_long] = ACTIONS(7080),
    [anon_sym_short] = ACTIONS(7080),
    [anon_sym_static] = ACTIONS(7080),
    [anon_sym_auto] = ACTIONS(7080),
    [anon_sym_register] = ACTIONS(7080),
    [anon_sym_inline] = ACTIONS(7080),
    [anon_sym___inline] = ACTIONS(7080),
    [anon_sym___inline__] = ACTIONS(7080),
    [anon_sym___forceinline] = ACTIONS(7080),
    [anon_sym_thread_local] = ACTIONS(7080),
    [anon_sym___thread] = ACTIONS(7080),
    [anon_sym_CG_EXTERN] = ACTIONS(7080),
    [anon_sym_CG_INLINE] = ACTIONS(7080),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7080),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7080),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7080),
    [anon_sym_IBOutlet] = ACTIONS(7080),
    [anon_sym_IBInspectable] = ACTIONS(7080),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7080),
    [anon_sym_NS_INLINE] = ACTIONS(7080),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7080),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7080),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7080),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7080),
    [anon_sym_const] = ACTIONS(7080),
    [anon_sym_constexpr] = ACTIONS(7080),
    [anon_sym_volatile] = ACTIONS(7080),
    [anon_sym_restrict] = ACTIONS(7080),
    [anon_sym___restrict__] = ACTIONS(7080),
    [anon_sym__Atomic] = ACTIONS(7080),
    [anon_sym__Noreturn] = ACTIONS(7080),
    [anon_sym__Nonnull] = ACTIONS(7080),
    [anon_sym_nullable] = ACTIONS(7080),
    [anon_sym__Complex] = ACTIONS(7080),
    [anon_sym__Nullable] = ACTIONS(7080),
    [anon_sym__Nullable_result] = ACTIONS(7080),
    [anon_sym__Null_unspecified] = ACTIONS(7080),
    [anon_sym___autoreleasing] = ACTIONS(7080),
    [anon_sym___block] = ACTIONS(7080),
    [anon_sym___bridge] = ACTIONS(7080),
    [anon_sym___bridge_retained] = ACTIONS(7080),
    [anon_sym___bridge_transfer] = ACTIONS(7080),
    [anon_sym___complex] = ACTIONS(7080),
    [anon_sym___const] = ACTIONS(7080),
    [anon_sym___imag] = ACTIONS(7080),
    [anon_sym___kindof] = ACTIONS(7080),
    [anon_sym___nonnull] = ACTIONS(7080),
    [anon_sym___nullable] = ACTIONS(7080),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7080),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7080),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7080),
    [anon_sym___real] = ACTIONS(7080),
    [anon_sym___strong] = ACTIONS(7080),
    [anon_sym___unsafe_unretained] = ACTIONS(7080),
    [anon_sym___unused] = ACTIONS(7080),
    [anon_sym___weak] = ACTIONS(7080),
    [anon_sym_alignas] = ACTIONS(7080),
    [anon_sym__Alignas] = ACTIONS(7080),
    [sym_primitive_type] = ACTIONS(7080),
    [anon_sym_enum] = ACTIONS(7080),
    [anon_sym_COLON] = ACTIONS(7082),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7080),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7080),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7080),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7080),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7080),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7080),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7080),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7080),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7080),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7080),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7080),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7080),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7080),
    [anon_sym_API_AVAILABLE] = ACTIONS(7080),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7080),
    [anon_sym_API_DEPRECATED] = ACTIONS(7080),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7080),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7080),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7080),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7080),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7080),
    [anon_sym___deprecated_msg] = ACTIONS(7080),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7080),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7080),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7080),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7080),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7080),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7080),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7080),
  },
  [2921] = {
    [sym_attribute_specifier] = STATE(2967),
    [sym_identifier] = ACTIONS(7084),
    [anon_sym_COMMA] = ACTIONS(7086),
    [anon_sym_RPAREN] = ACTIONS(7086),
    [anon_sym_LPAREN2] = ACTIONS(7086),
    [anon_sym_STAR] = ACTIONS(7086),
    [anon_sym_CARET] = ACTIONS(7086),
    [anon_sym_SEMI] = ACTIONS(7086),
    [anon_sym___extension__] = ACTIONS(7084),
    [anon_sym_extern] = ACTIONS(7084),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(7084),
    [anon_sym_LBRACK] = ACTIONS(7086),
    [anon_sym___declspec] = ACTIONS(7084),
    [anon_sym___based] = ACTIONS(7084),
    [anon_sym_signed] = ACTIONS(7084),
    [anon_sym_unsigned] = ACTIONS(7084),
    [anon_sym_long] = ACTIONS(7084),
    [anon_sym_short] = ACTIONS(7084),
    [anon_sym_static] = ACTIONS(7084),
    [anon_sym_auto] = ACTIONS(7084),
    [anon_sym_register] = ACTIONS(7084),
    [anon_sym_inline] = ACTIONS(7084),
    [anon_sym___inline] = ACTIONS(7084),
    [anon_sym___inline__] = ACTIONS(7084),
    [anon_sym___forceinline] = ACTIONS(7084),
    [anon_sym_thread_local] = ACTIONS(7084),
    [anon_sym___thread] = ACTIONS(7084),
    [anon_sym_CG_EXTERN] = ACTIONS(7084),
    [anon_sym_CG_INLINE] = ACTIONS(7084),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7084),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7084),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7084),
    [anon_sym_IBOutlet] = ACTIONS(7084),
    [anon_sym_IBInspectable] = ACTIONS(7084),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7084),
    [anon_sym_NS_INLINE] = ACTIONS(7084),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7084),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7084),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7084),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7084),
    [anon_sym_const] = ACTIONS(7084),
    [anon_sym_constexpr] = ACTIONS(7084),
    [anon_sym_volatile] = ACTIONS(7084),
    [anon_sym_restrict] = ACTIONS(7084),
    [anon_sym___restrict__] = ACTIONS(7084),
    [anon_sym__Atomic] = ACTIONS(7084),
    [anon_sym__Noreturn] = ACTIONS(7084),
    [anon_sym__Nonnull] = ACTIONS(7084),
    [anon_sym_nullable] = ACTIONS(7084),
    [anon_sym__Complex] = ACTIONS(7084),
    [anon_sym__Nullable] = ACTIONS(7084),
    [anon_sym__Nullable_result] = ACTIONS(7084),
    [anon_sym__Null_unspecified] = ACTIONS(7084),
    [anon_sym___autoreleasing] = ACTIONS(7084),
    [anon_sym___block] = ACTIONS(7084),
    [anon_sym___bridge] = ACTIONS(7084),
    [anon_sym___bridge_retained] = ACTIONS(7084),
    [anon_sym___bridge_transfer] = ACTIONS(7084),
    [anon_sym___complex] = ACTIONS(7084),
    [anon_sym___const] = ACTIONS(7084),
    [anon_sym___imag] = ACTIONS(7084),
    [anon_sym___kindof] = ACTIONS(7084),
    [anon_sym___nonnull] = ACTIONS(7084),
    [anon_sym___nullable] = ACTIONS(7084),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7084),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7084),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7084),
    [anon_sym___real] = ACTIONS(7084),
    [anon_sym___strong] = ACTIONS(7084),
    [anon_sym___unsafe_unretained] = ACTIONS(7084),
    [anon_sym___unused] = ACTIONS(7084),
    [anon_sym___weak] = ACTIONS(7084),
    [anon_sym_alignas] = ACTIONS(7084),
    [anon_sym__Alignas] = ACTIONS(7084),
    [sym_primitive_type] = ACTIONS(7084),
    [anon_sym_enum] = ACTIONS(7084),
    [anon_sym_COLON] = ACTIONS(7086),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7084),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7084),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7084),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7084),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7084),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7084),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7084),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7084),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7084),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7084),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7084),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7084),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7084),
    [anon_sym_API_AVAILABLE] = ACTIONS(7084),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7084),
    [anon_sym_API_DEPRECATED] = ACTIONS(7084),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7084),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7084),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7084),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7084),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7084),
    [anon_sym___deprecated_msg] = ACTIONS(7084),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7084),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7084),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7084),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7084),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7084),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7084),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7084),
  },
  [2922] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2937),
    [sym_identifier] = ACTIONS(7088),
    [anon_sym_COMMA] = ACTIONS(7091),
    [anon_sym_RPAREN] = ACTIONS(7091),
    [anon_sym_LPAREN2] = ACTIONS(7091),
    [anon_sym_STAR] = ACTIONS(7091),
    [anon_sym_CARET] = ACTIONS(7091),
    [anon_sym_SEMI] = ACTIONS(7091),
    [anon_sym___extension__] = ACTIONS(7088),
    [anon_sym_extern] = ACTIONS(7088),
    [anon_sym___attribute__] = ACTIONS(7088),
    [anon_sym___attribute] = ACTIONS(7088),
    [anon_sym_noreturn] = ACTIONS(7088),
    [anon_sym_LBRACK] = ACTIONS(7091),
    [anon_sym___declspec] = ACTIONS(7088),
    [anon_sym___based] = ACTIONS(7088),
    [anon_sym_signed] = ACTIONS(7094),
    [anon_sym_unsigned] = ACTIONS(7094),
    [anon_sym_long] = ACTIONS(7094),
    [anon_sym_short] = ACTIONS(7094),
    [anon_sym_static] = ACTIONS(7088),
    [anon_sym_auto] = ACTIONS(7088),
    [anon_sym_register] = ACTIONS(7088),
    [anon_sym_inline] = ACTIONS(7088),
    [anon_sym___inline] = ACTIONS(7088),
    [anon_sym___inline__] = ACTIONS(7088),
    [anon_sym___forceinline] = ACTIONS(7088),
    [anon_sym_thread_local] = ACTIONS(7088),
    [anon_sym___thread] = ACTIONS(7088),
    [anon_sym_CG_EXTERN] = ACTIONS(7088),
    [anon_sym_CG_INLINE] = ACTIONS(7088),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7088),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7088),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7088),
    [anon_sym_IBOutlet] = ACTIONS(7088),
    [anon_sym_IBInspectable] = ACTIONS(7088),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7088),
    [anon_sym_NS_INLINE] = ACTIONS(7088),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7088),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7088),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7088),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7088),
    [anon_sym_const] = ACTIONS(7088),
    [anon_sym_constexpr] = ACTIONS(7088),
    [anon_sym_volatile] = ACTIONS(7088),
    [anon_sym_restrict] = ACTIONS(7088),
    [anon_sym___restrict__] = ACTIONS(7088),
    [anon_sym__Atomic] = ACTIONS(7088),
    [anon_sym__Noreturn] = ACTIONS(7088),
    [anon_sym__Nonnull] = ACTIONS(7088),
    [anon_sym_nullable] = ACTIONS(7088),
    [anon_sym__Complex] = ACTIONS(7088),
    [anon_sym__Nullable] = ACTIONS(7088),
    [anon_sym__Nullable_result] = ACTIONS(7088),
    [anon_sym__Null_unspecified] = ACTIONS(7088),
    [anon_sym___autoreleasing] = ACTIONS(7088),
    [anon_sym___block] = ACTIONS(7088),
    [anon_sym___bridge] = ACTIONS(7088),
    [anon_sym___bridge_retained] = ACTIONS(7088),
    [anon_sym___bridge_transfer] = ACTIONS(7088),
    [anon_sym___complex] = ACTIONS(7088),
    [anon_sym___const] = ACTIONS(7088),
    [anon_sym___imag] = ACTIONS(7088),
    [anon_sym___kindof] = ACTIONS(7088),
    [anon_sym___nonnull] = ACTIONS(7088),
    [anon_sym___nullable] = ACTIONS(7088),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7088),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7088),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7088),
    [anon_sym___real] = ACTIONS(7088),
    [anon_sym___strong] = ACTIONS(7088),
    [anon_sym___unsafe_unretained] = ACTIONS(7088),
    [anon_sym___unused] = ACTIONS(7088),
    [anon_sym___weak] = ACTIONS(7088),
    [anon_sym_alignas] = ACTIONS(7088),
    [anon_sym__Alignas] = ACTIONS(7088),
    [sym_primitive_type] = ACTIONS(7097),
    [anon_sym_enum] = ACTIONS(7088),
    [anon_sym_COLON] = ACTIONS(7091),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7088),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7088),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7088),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7088),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7088),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7088),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7088),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7088),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7088),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7088),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7088),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7088),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7088),
    [anon_sym_API_AVAILABLE] = ACTIONS(7088),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7088),
    [anon_sym_API_DEPRECATED] = ACTIONS(7088),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7088),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7088),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7088),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7088),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7088),
    [anon_sym___deprecated_msg] = ACTIONS(7088),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7088),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7088),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7088),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7088),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7088),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7088),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7088),
  },
  [2923] = {
    [sym__declaration_modifiers] = STATE(4902),
    [sym_attribute_specifier] = STATE(4902),
    [sym_attribute_declaration] = STATE(4902),
    [sym_ms_declspec_modifier] = STATE(4902),
    [sym_storage_class_specifier] = STATE(4902),
    [sym_type_qualifier] = STATE(4902),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_enumerator] = STATE(3052),
    [sym_preproc_ifdef_in_enumerator] = STATE(4903),
    [sym_availability_attribute_specifier] = STATE(4902),
    [aux_sym_enumerator_list_repeat1] = STATE(4903),
    [sym_identifier] = ACTIONS(7099),
    [anon_sym_COMMA] = ACTIONS(7101),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7103),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7103),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(7105),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2924] = {
    [sym_attribute_specifier] = STATE(2972),
    [sym_identifier] = ACTIONS(7107),
    [anon_sym_COMMA] = ACTIONS(7109),
    [anon_sym_RPAREN] = ACTIONS(7109),
    [anon_sym_LPAREN2] = ACTIONS(7109),
    [anon_sym_STAR] = ACTIONS(7109),
    [anon_sym_CARET] = ACTIONS(7109),
    [anon_sym_SEMI] = ACTIONS(7109),
    [anon_sym___extension__] = ACTIONS(7107),
    [anon_sym_extern] = ACTIONS(7107),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(7107),
    [anon_sym_LBRACK] = ACTIONS(7109),
    [anon_sym___declspec] = ACTIONS(7107),
    [anon_sym___based] = ACTIONS(7107),
    [anon_sym_signed] = ACTIONS(7107),
    [anon_sym_unsigned] = ACTIONS(7107),
    [anon_sym_long] = ACTIONS(7107),
    [anon_sym_short] = ACTIONS(7107),
    [anon_sym_static] = ACTIONS(7107),
    [anon_sym_auto] = ACTIONS(7107),
    [anon_sym_register] = ACTIONS(7107),
    [anon_sym_inline] = ACTIONS(7107),
    [anon_sym___inline] = ACTIONS(7107),
    [anon_sym___inline__] = ACTIONS(7107),
    [anon_sym___forceinline] = ACTIONS(7107),
    [anon_sym_thread_local] = ACTIONS(7107),
    [anon_sym___thread] = ACTIONS(7107),
    [anon_sym_CG_EXTERN] = ACTIONS(7107),
    [anon_sym_CG_INLINE] = ACTIONS(7107),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7107),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7107),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7107),
    [anon_sym_IBOutlet] = ACTIONS(7107),
    [anon_sym_IBInspectable] = ACTIONS(7107),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7107),
    [anon_sym_NS_INLINE] = ACTIONS(7107),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7107),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7107),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7107),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7107),
    [anon_sym_const] = ACTIONS(7107),
    [anon_sym_constexpr] = ACTIONS(7107),
    [anon_sym_volatile] = ACTIONS(7107),
    [anon_sym_restrict] = ACTIONS(7107),
    [anon_sym___restrict__] = ACTIONS(7107),
    [anon_sym__Atomic] = ACTIONS(7107),
    [anon_sym__Noreturn] = ACTIONS(7107),
    [anon_sym__Nonnull] = ACTIONS(7107),
    [anon_sym_nullable] = ACTIONS(7107),
    [anon_sym__Complex] = ACTIONS(7107),
    [anon_sym__Nullable] = ACTIONS(7107),
    [anon_sym__Nullable_result] = ACTIONS(7107),
    [anon_sym__Null_unspecified] = ACTIONS(7107),
    [anon_sym___autoreleasing] = ACTIONS(7107),
    [anon_sym___block] = ACTIONS(7107),
    [anon_sym___bridge] = ACTIONS(7107),
    [anon_sym___bridge_retained] = ACTIONS(7107),
    [anon_sym___bridge_transfer] = ACTIONS(7107),
    [anon_sym___complex] = ACTIONS(7107),
    [anon_sym___const] = ACTIONS(7107),
    [anon_sym___imag] = ACTIONS(7107),
    [anon_sym___kindof] = ACTIONS(7107),
    [anon_sym___nonnull] = ACTIONS(7107),
    [anon_sym___nullable] = ACTIONS(7107),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7107),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7107),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7107),
    [anon_sym___real] = ACTIONS(7107),
    [anon_sym___strong] = ACTIONS(7107),
    [anon_sym___unsafe_unretained] = ACTIONS(7107),
    [anon_sym___unused] = ACTIONS(7107),
    [anon_sym___weak] = ACTIONS(7107),
    [anon_sym_alignas] = ACTIONS(7107),
    [anon_sym__Alignas] = ACTIONS(7107),
    [sym_primitive_type] = ACTIONS(7107),
    [anon_sym_enum] = ACTIONS(7107),
    [anon_sym_COLON] = ACTIONS(7109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7107),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7107),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7107),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7107),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7107),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7107),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7107),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7107),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7107),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7107),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7107),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7107),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7107),
    [anon_sym_API_AVAILABLE] = ACTIONS(7107),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7107),
    [anon_sym_API_DEPRECATED] = ACTIONS(7107),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7107),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7107),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7107),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7107),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7107),
    [anon_sym___deprecated_msg] = ACTIONS(7107),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7107),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7107),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7107),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7107),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7107),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7107),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7107),
  },
  [2925] = {
    [sym__declaration_modifiers] = STATE(2500),
    [sym_attribute_specifier] = STATE(2500),
    [sym_attribute_declaration] = STATE(2500),
    [sym_ms_declspec_modifier] = STATE(2500),
    [sym_storage_class_specifier] = STATE(2500),
    [sym_type_qualifier] = STATE(2500),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2500),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2500),
    [sym_identifier] = ACTIONS(2922),
    [anon_sym_COMMA] = ACTIONS(6262),
    [anon_sym_SEMI] = ACTIONS(6262),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(2922),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [anon_sym_COLON] = ACTIONS(6262),
    [anon_sym_struct] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(2922),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_id] = ACTIONS(2922),
  },
  [2926] = {
    [sym__declaration_modifiers] = STATE(2521),
    [sym_attribute_specifier] = STATE(2521),
    [sym_attribute_declaration] = STATE(2521),
    [sym_ms_declspec_modifier] = STATE(2521),
    [sym_storage_class_specifier] = STATE(2521),
    [sym_type_qualifier] = STATE(2521),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2521),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2521),
    [sym_identifier] = ACTIONS(2922),
    [anon_sym_COMMA] = ACTIONS(6266),
    [anon_sym_SEMI] = ACTIONS(6266),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(2922),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [anon_sym_COLON] = ACTIONS(6266),
    [anon_sym_struct] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(2922),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
    [anon_sym_id] = ACTIONS(2922),
  },
  [2927] = {
    [sym_attribute_specifier] = STATE(2971),
    [sym_identifier] = ACTIONS(7111),
    [anon_sym_COMMA] = ACTIONS(7113),
    [anon_sym_RPAREN] = ACTIONS(7113),
    [anon_sym_LPAREN2] = ACTIONS(7113),
    [anon_sym_STAR] = ACTIONS(7113),
    [anon_sym_CARET] = ACTIONS(7113),
    [anon_sym_SEMI] = ACTIONS(7113),
    [anon_sym___extension__] = ACTIONS(7111),
    [anon_sym_extern] = ACTIONS(7111),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(7111),
    [anon_sym_LBRACK] = ACTIONS(7113),
    [anon_sym___declspec] = ACTIONS(7111),
    [anon_sym___based] = ACTIONS(7111),
    [anon_sym_signed] = ACTIONS(7111),
    [anon_sym_unsigned] = ACTIONS(7111),
    [anon_sym_long] = ACTIONS(7111),
    [anon_sym_short] = ACTIONS(7111),
    [anon_sym_static] = ACTIONS(7111),
    [anon_sym_auto] = ACTIONS(7111),
    [anon_sym_register] = ACTIONS(7111),
    [anon_sym_inline] = ACTIONS(7111),
    [anon_sym___inline] = ACTIONS(7111),
    [anon_sym___inline__] = ACTIONS(7111),
    [anon_sym___forceinline] = ACTIONS(7111),
    [anon_sym_thread_local] = ACTIONS(7111),
    [anon_sym___thread] = ACTIONS(7111),
    [anon_sym_CG_EXTERN] = ACTIONS(7111),
    [anon_sym_CG_INLINE] = ACTIONS(7111),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7111),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7111),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7111),
    [anon_sym_IBOutlet] = ACTIONS(7111),
    [anon_sym_IBInspectable] = ACTIONS(7111),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7111),
    [anon_sym_NS_INLINE] = ACTIONS(7111),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7111),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7111),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7111),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7111),
    [anon_sym_const] = ACTIONS(7111),
    [anon_sym_constexpr] = ACTIONS(7111),
    [anon_sym_volatile] = ACTIONS(7111),
    [anon_sym_restrict] = ACTIONS(7111),
    [anon_sym___restrict__] = ACTIONS(7111),
    [anon_sym__Atomic] = ACTIONS(7111),
    [anon_sym__Noreturn] = ACTIONS(7111),
    [anon_sym__Nonnull] = ACTIONS(7111),
    [anon_sym_nullable] = ACTIONS(7111),
    [anon_sym__Complex] = ACTIONS(7111),
    [anon_sym__Nullable] = ACTIONS(7111),
    [anon_sym__Nullable_result] = ACTIONS(7111),
    [anon_sym__Null_unspecified] = ACTIONS(7111),
    [anon_sym___autoreleasing] = ACTIONS(7111),
    [anon_sym___block] = ACTIONS(7111),
    [anon_sym___bridge] = ACTIONS(7111),
    [anon_sym___bridge_retained] = ACTIONS(7111),
    [anon_sym___bridge_transfer] = ACTIONS(7111),
    [anon_sym___complex] = ACTIONS(7111),
    [anon_sym___const] = ACTIONS(7111),
    [anon_sym___imag] = ACTIONS(7111),
    [anon_sym___kindof] = ACTIONS(7111),
    [anon_sym___nonnull] = ACTIONS(7111),
    [anon_sym___nullable] = ACTIONS(7111),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7111),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7111),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7111),
    [anon_sym___real] = ACTIONS(7111),
    [anon_sym___strong] = ACTIONS(7111),
    [anon_sym___unsafe_unretained] = ACTIONS(7111),
    [anon_sym___unused] = ACTIONS(7111),
    [anon_sym___weak] = ACTIONS(7111),
    [anon_sym_alignas] = ACTIONS(7111),
    [anon_sym__Alignas] = ACTIONS(7111),
    [sym_primitive_type] = ACTIONS(7111),
    [anon_sym_enum] = ACTIONS(7111),
    [anon_sym_COLON] = ACTIONS(7113),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7111),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7111),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7111),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7111),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7111),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7111),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7111),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7111),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7111),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7111),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7111),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7111),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7111),
    [anon_sym_API_AVAILABLE] = ACTIONS(7111),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7111),
    [anon_sym_API_DEPRECATED] = ACTIONS(7111),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7111),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7111),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7111),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7111),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7111),
    [anon_sym___deprecated_msg] = ACTIONS(7111),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7111),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7111),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7111),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7111),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7111),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7111),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7111),
  },
  [2928] = {
    [sym_attribute_specifier] = STATE(2985),
    [sym_identifier] = ACTIONS(7115),
    [anon_sym_COMMA] = ACTIONS(7117),
    [anon_sym_RPAREN] = ACTIONS(7117),
    [anon_sym_LPAREN2] = ACTIONS(7117),
    [anon_sym_STAR] = ACTIONS(7117),
    [anon_sym_CARET] = ACTIONS(7117),
    [anon_sym_SEMI] = ACTIONS(7117),
    [anon_sym___extension__] = ACTIONS(7115),
    [anon_sym_extern] = ACTIONS(7115),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(7115),
    [anon_sym_LBRACK] = ACTIONS(7117),
    [anon_sym___declspec] = ACTIONS(7115),
    [anon_sym___based] = ACTIONS(7115),
    [anon_sym_signed] = ACTIONS(7115),
    [anon_sym_unsigned] = ACTIONS(7115),
    [anon_sym_long] = ACTIONS(7115),
    [anon_sym_short] = ACTIONS(7115),
    [anon_sym_static] = ACTIONS(7115),
    [anon_sym_auto] = ACTIONS(7115),
    [anon_sym_register] = ACTIONS(7115),
    [anon_sym_inline] = ACTIONS(7115),
    [anon_sym___inline] = ACTIONS(7115),
    [anon_sym___inline__] = ACTIONS(7115),
    [anon_sym___forceinline] = ACTIONS(7115),
    [anon_sym_thread_local] = ACTIONS(7115),
    [anon_sym___thread] = ACTIONS(7115),
    [anon_sym_CG_EXTERN] = ACTIONS(7115),
    [anon_sym_CG_INLINE] = ACTIONS(7115),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7115),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7115),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7115),
    [anon_sym_IBOutlet] = ACTIONS(7115),
    [anon_sym_IBInspectable] = ACTIONS(7115),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7115),
    [anon_sym_NS_INLINE] = ACTIONS(7115),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7115),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7115),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7115),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7115),
    [anon_sym_const] = ACTIONS(7115),
    [anon_sym_constexpr] = ACTIONS(7115),
    [anon_sym_volatile] = ACTIONS(7115),
    [anon_sym_restrict] = ACTIONS(7115),
    [anon_sym___restrict__] = ACTIONS(7115),
    [anon_sym__Atomic] = ACTIONS(7115),
    [anon_sym__Noreturn] = ACTIONS(7115),
    [anon_sym__Nonnull] = ACTIONS(7115),
    [anon_sym_nullable] = ACTIONS(7115),
    [anon_sym__Complex] = ACTIONS(7115),
    [anon_sym__Nullable] = ACTIONS(7115),
    [anon_sym__Nullable_result] = ACTIONS(7115),
    [anon_sym__Null_unspecified] = ACTIONS(7115),
    [anon_sym___autoreleasing] = ACTIONS(7115),
    [anon_sym___block] = ACTIONS(7115),
    [anon_sym___bridge] = ACTIONS(7115),
    [anon_sym___bridge_retained] = ACTIONS(7115),
    [anon_sym___bridge_transfer] = ACTIONS(7115),
    [anon_sym___complex] = ACTIONS(7115),
    [anon_sym___const] = ACTIONS(7115),
    [anon_sym___imag] = ACTIONS(7115),
    [anon_sym___kindof] = ACTIONS(7115),
    [anon_sym___nonnull] = ACTIONS(7115),
    [anon_sym___nullable] = ACTIONS(7115),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7115),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7115),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7115),
    [anon_sym___real] = ACTIONS(7115),
    [anon_sym___strong] = ACTIONS(7115),
    [anon_sym___unsafe_unretained] = ACTIONS(7115),
    [anon_sym___unused] = ACTIONS(7115),
    [anon_sym___weak] = ACTIONS(7115),
    [anon_sym_alignas] = ACTIONS(7115),
    [anon_sym__Alignas] = ACTIONS(7115),
    [sym_primitive_type] = ACTIONS(7115),
    [anon_sym_enum] = ACTIONS(7115),
    [anon_sym_COLON] = ACTIONS(7117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7115),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7115),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7115),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7115),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7115),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7115),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7115),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7115),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7115),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7115),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7115),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7115),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7115),
    [anon_sym_API_AVAILABLE] = ACTIONS(7115),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7115),
    [anon_sym_API_DEPRECATED] = ACTIONS(7115),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7115),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7115),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7115),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7115),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7115),
    [anon_sym___deprecated_msg] = ACTIONS(7115),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7115),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7115),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7115),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7115),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7115),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7115),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7115),
  },
  [2929] = {
    [sym_attribute_specifier] = STATE(3011),
    [sym_identifier] = ACTIONS(7119),
    [anon_sym_COMMA] = ACTIONS(7121),
    [anon_sym_RPAREN] = ACTIONS(7121),
    [anon_sym_LPAREN2] = ACTIONS(7121),
    [anon_sym_STAR] = ACTIONS(7121),
    [anon_sym_CARET] = ACTIONS(7121),
    [anon_sym_SEMI] = ACTIONS(7121),
    [anon_sym___extension__] = ACTIONS(7119),
    [anon_sym_extern] = ACTIONS(7119),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(7119),
    [anon_sym_LBRACK] = ACTIONS(7121),
    [anon_sym___declspec] = ACTIONS(7119),
    [anon_sym___based] = ACTIONS(7119),
    [anon_sym_signed] = ACTIONS(7119),
    [anon_sym_unsigned] = ACTIONS(7119),
    [anon_sym_long] = ACTIONS(7119),
    [anon_sym_short] = ACTIONS(7119),
    [anon_sym_static] = ACTIONS(7119),
    [anon_sym_auto] = ACTIONS(7119),
    [anon_sym_register] = ACTIONS(7119),
    [anon_sym_inline] = ACTIONS(7119),
    [anon_sym___inline] = ACTIONS(7119),
    [anon_sym___inline__] = ACTIONS(7119),
    [anon_sym___forceinline] = ACTIONS(7119),
    [anon_sym_thread_local] = ACTIONS(7119),
    [anon_sym___thread] = ACTIONS(7119),
    [anon_sym_CG_EXTERN] = ACTIONS(7119),
    [anon_sym_CG_INLINE] = ACTIONS(7119),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7119),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7119),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7119),
    [anon_sym_IBOutlet] = ACTIONS(7119),
    [anon_sym_IBInspectable] = ACTIONS(7119),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7119),
    [anon_sym_NS_INLINE] = ACTIONS(7119),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7119),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7119),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7119),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7119),
    [anon_sym_const] = ACTIONS(7119),
    [anon_sym_constexpr] = ACTIONS(7119),
    [anon_sym_volatile] = ACTIONS(7119),
    [anon_sym_restrict] = ACTIONS(7119),
    [anon_sym___restrict__] = ACTIONS(7119),
    [anon_sym__Atomic] = ACTIONS(7119),
    [anon_sym__Noreturn] = ACTIONS(7119),
    [anon_sym__Nonnull] = ACTIONS(7119),
    [anon_sym_nullable] = ACTIONS(7119),
    [anon_sym__Complex] = ACTIONS(7119),
    [anon_sym__Nullable] = ACTIONS(7119),
    [anon_sym__Nullable_result] = ACTIONS(7119),
    [anon_sym__Null_unspecified] = ACTIONS(7119),
    [anon_sym___autoreleasing] = ACTIONS(7119),
    [anon_sym___block] = ACTIONS(7119),
    [anon_sym___bridge] = ACTIONS(7119),
    [anon_sym___bridge_retained] = ACTIONS(7119),
    [anon_sym___bridge_transfer] = ACTIONS(7119),
    [anon_sym___complex] = ACTIONS(7119),
    [anon_sym___const] = ACTIONS(7119),
    [anon_sym___imag] = ACTIONS(7119),
    [anon_sym___kindof] = ACTIONS(7119),
    [anon_sym___nonnull] = ACTIONS(7119),
    [anon_sym___nullable] = ACTIONS(7119),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7119),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7119),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7119),
    [anon_sym___real] = ACTIONS(7119),
    [anon_sym___strong] = ACTIONS(7119),
    [anon_sym___unsafe_unretained] = ACTIONS(7119),
    [anon_sym___unused] = ACTIONS(7119),
    [anon_sym___weak] = ACTIONS(7119),
    [anon_sym_alignas] = ACTIONS(7119),
    [anon_sym__Alignas] = ACTIONS(7119),
    [sym_primitive_type] = ACTIONS(7119),
    [anon_sym_enum] = ACTIONS(7119),
    [anon_sym_COLON] = ACTIONS(7121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7119),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7119),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7119),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7119),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7119),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7119),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7119),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7119),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7119),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7119),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7119),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7119),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7119),
    [anon_sym_API_AVAILABLE] = ACTIONS(7119),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7119),
    [anon_sym_API_DEPRECATED] = ACTIONS(7119),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7119),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7119),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7119),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7119),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7119),
    [anon_sym___deprecated_msg] = ACTIONS(7119),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7119),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7119),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7119),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7119),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7119),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7119),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7119),
  },
  [2930] = {
    [sym_attribute_specifier] = STATE(2994),
    [sym_identifier] = ACTIONS(7123),
    [anon_sym_COMMA] = ACTIONS(7125),
    [anon_sym_RPAREN] = ACTIONS(7125),
    [anon_sym_LPAREN2] = ACTIONS(7125),
    [anon_sym_STAR] = ACTIONS(7125),
    [anon_sym_CARET] = ACTIONS(7125),
    [anon_sym_SEMI] = ACTIONS(7125),
    [anon_sym___extension__] = ACTIONS(7123),
    [anon_sym_extern] = ACTIONS(7123),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(7123),
    [anon_sym_LBRACK] = ACTIONS(7125),
    [anon_sym___declspec] = ACTIONS(7123),
    [anon_sym___based] = ACTIONS(7123),
    [anon_sym_signed] = ACTIONS(7123),
    [anon_sym_unsigned] = ACTIONS(7123),
    [anon_sym_long] = ACTIONS(7123),
    [anon_sym_short] = ACTIONS(7123),
    [anon_sym_static] = ACTIONS(7123),
    [anon_sym_auto] = ACTIONS(7123),
    [anon_sym_register] = ACTIONS(7123),
    [anon_sym_inline] = ACTIONS(7123),
    [anon_sym___inline] = ACTIONS(7123),
    [anon_sym___inline__] = ACTIONS(7123),
    [anon_sym___forceinline] = ACTIONS(7123),
    [anon_sym_thread_local] = ACTIONS(7123),
    [anon_sym___thread] = ACTIONS(7123),
    [anon_sym_CG_EXTERN] = ACTIONS(7123),
    [anon_sym_CG_INLINE] = ACTIONS(7123),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7123),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7123),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7123),
    [anon_sym_IBOutlet] = ACTIONS(7123),
    [anon_sym_IBInspectable] = ACTIONS(7123),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7123),
    [anon_sym_NS_INLINE] = ACTIONS(7123),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7123),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7123),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7123),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7123),
    [anon_sym_const] = ACTIONS(7123),
    [anon_sym_constexpr] = ACTIONS(7123),
    [anon_sym_volatile] = ACTIONS(7123),
    [anon_sym_restrict] = ACTIONS(7123),
    [anon_sym___restrict__] = ACTIONS(7123),
    [anon_sym__Atomic] = ACTIONS(7123),
    [anon_sym__Noreturn] = ACTIONS(7123),
    [anon_sym__Nonnull] = ACTIONS(7123),
    [anon_sym_nullable] = ACTIONS(7123),
    [anon_sym__Complex] = ACTIONS(7123),
    [anon_sym__Nullable] = ACTIONS(7123),
    [anon_sym__Nullable_result] = ACTIONS(7123),
    [anon_sym__Null_unspecified] = ACTIONS(7123),
    [anon_sym___autoreleasing] = ACTIONS(7123),
    [anon_sym___block] = ACTIONS(7123),
    [anon_sym___bridge] = ACTIONS(7123),
    [anon_sym___bridge_retained] = ACTIONS(7123),
    [anon_sym___bridge_transfer] = ACTIONS(7123),
    [anon_sym___complex] = ACTIONS(7123),
    [anon_sym___const] = ACTIONS(7123),
    [anon_sym___imag] = ACTIONS(7123),
    [anon_sym___kindof] = ACTIONS(7123),
    [anon_sym___nonnull] = ACTIONS(7123),
    [anon_sym___nullable] = ACTIONS(7123),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7123),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7123),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7123),
    [anon_sym___real] = ACTIONS(7123),
    [anon_sym___strong] = ACTIONS(7123),
    [anon_sym___unsafe_unretained] = ACTIONS(7123),
    [anon_sym___unused] = ACTIONS(7123),
    [anon_sym___weak] = ACTIONS(7123),
    [anon_sym_alignas] = ACTIONS(7123),
    [anon_sym__Alignas] = ACTIONS(7123),
    [sym_primitive_type] = ACTIONS(7123),
    [anon_sym_enum] = ACTIONS(7123),
    [anon_sym_COLON] = ACTIONS(7125),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7123),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7123),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7123),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7123),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7123),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7123),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7123),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7123),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7123),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7123),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7123),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7123),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7123),
    [anon_sym_API_AVAILABLE] = ACTIONS(7123),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7123),
    [anon_sym_API_DEPRECATED] = ACTIONS(7123),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7123),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7123),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7123),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7123),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7123),
    [anon_sym___deprecated_msg] = ACTIONS(7123),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7123),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7123),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7123),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7123),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7123),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7123),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7123),
  },
  [2931] = {
    [sym_attribute_specifier] = STATE(2962),
    [sym_identifier] = ACTIONS(7127),
    [anon_sym_COMMA] = ACTIONS(7129),
    [anon_sym_RPAREN] = ACTIONS(7129),
    [anon_sym_LPAREN2] = ACTIONS(7129),
    [anon_sym_STAR] = ACTIONS(7129),
    [anon_sym_CARET] = ACTIONS(7129),
    [anon_sym_SEMI] = ACTIONS(7129),
    [anon_sym___extension__] = ACTIONS(7127),
    [anon_sym_extern] = ACTIONS(7127),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(7127),
    [anon_sym_LBRACK] = ACTIONS(7129),
    [anon_sym___declspec] = ACTIONS(7127),
    [anon_sym___based] = ACTIONS(7127),
    [anon_sym_signed] = ACTIONS(7127),
    [anon_sym_unsigned] = ACTIONS(7127),
    [anon_sym_long] = ACTIONS(7127),
    [anon_sym_short] = ACTIONS(7127),
    [anon_sym_static] = ACTIONS(7127),
    [anon_sym_auto] = ACTIONS(7127),
    [anon_sym_register] = ACTIONS(7127),
    [anon_sym_inline] = ACTIONS(7127),
    [anon_sym___inline] = ACTIONS(7127),
    [anon_sym___inline__] = ACTIONS(7127),
    [anon_sym___forceinline] = ACTIONS(7127),
    [anon_sym_thread_local] = ACTIONS(7127),
    [anon_sym___thread] = ACTIONS(7127),
    [anon_sym_CG_EXTERN] = ACTIONS(7127),
    [anon_sym_CG_INLINE] = ACTIONS(7127),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7127),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7127),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7127),
    [anon_sym_IBOutlet] = ACTIONS(7127),
    [anon_sym_IBInspectable] = ACTIONS(7127),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7127),
    [anon_sym_NS_INLINE] = ACTIONS(7127),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7127),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7127),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7127),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7127),
    [anon_sym_const] = ACTIONS(7127),
    [anon_sym_constexpr] = ACTIONS(7127),
    [anon_sym_volatile] = ACTIONS(7127),
    [anon_sym_restrict] = ACTIONS(7127),
    [anon_sym___restrict__] = ACTIONS(7127),
    [anon_sym__Atomic] = ACTIONS(7127),
    [anon_sym__Noreturn] = ACTIONS(7127),
    [anon_sym__Nonnull] = ACTIONS(7127),
    [anon_sym_nullable] = ACTIONS(7127),
    [anon_sym__Complex] = ACTIONS(7127),
    [anon_sym__Nullable] = ACTIONS(7127),
    [anon_sym__Nullable_result] = ACTIONS(7127),
    [anon_sym__Null_unspecified] = ACTIONS(7127),
    [anon_sym___autoreleasing] = ACTIONS(7127),
    [anon_sym___block] = ACTIONS(7127),
    [anon_sym___bridge] = ACTIONS(7127),
    [anon_sym___bridge_retained] = ACTIONS(7127),
    [anon_sym___bridge_transfer] = ACTIONS(7127),
    [anon_sym___complex] = ACTIONS(7127),
    [anon_sym___const] = ACTIONS(7127),
    [anon_sym___imag] = ACTIONS(7127),
    [anon_sym___kindof] = ACTIONS(7127),
    [anon_sym___nonnull] = ACTIONS(7127),
    [anon_sym___nullable] = ACTIONS(7127),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7127),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7127),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7127),
    [anon_sym___real] = ACTIONS(7127),
    [anon_sym___strong] = ACTIONS(7127),
    [anon_sym___unsafe_unretained] = ACTIONS(7127),
    [anon_sym___unused] = ACTIONS(7127),
    [anon_sym___weak] = ACTIONS(7127),
    [anon_sym_alignas] = ACTIONS(7127),
    [anon_sym__Alignas] = ACTIONS(7127),
    [sym_primitive_type] = ACTIONS(7127),
    [anon_sym_enum] = ACTIONS(7127),
    [anon_sym_COLON] = ACTIONS(7129),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7127),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7127),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7127),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7127),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7127),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7127),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7127),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7127),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7127),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7127),
    [anon_sym_API_AVAILABLE] = ACTIONS(7127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7127),
    [anon_sym_API_DEPRECATED] = ACTIONS(7127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7127),
    [anon_sym___deprecated_msg] = ACTIONS(7127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7127),
  },
  [2932] = {
    [sym_attribute_specifier] = STATE(3010),
    [sym_identifier] = ACTIONS(7131),
    [anon_sym_COMMA] = ACTIONS(7133),
    [anon_sym_RPAREN] = ACTIONS(7133),
    [anon_sym_LPAREN2] = ACTIONS(7133),
    [anon_sym_STAR] = ACTIONS(7133),
    [anon_sym_CARET] = ACTIONS(7133),
    [anon_sym_SEMI] = ACTIONS(7133),
    [anon_sym___extension__] = ACTIONS(7131),
    [anon_sym_extern] = ACTIONS(7131),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(7131),
    [anon_sym_LBRACK] = ACTIONS(7133),
    [anon_sym___declspec] = ACTIONS(7131),
    [anon_sym___based] = ACTIONS(7131),
    [anon_sym_signed] = ACTIONS(7131),
    [anon_sym_unsigned] = ACTIONS(7131),
    [anon_sym_long] = ACTIONS(7131),
    [anon_sym_short] = ACTIONS(7131),
    [anon_sym_static] = ACTIONS(7131),
    [anon_sym_auto] = ACTIONS(7131),
    [anon_sym_register] = ACTIONS(7131),
    [anon_sym_inline] = ACTIONS(7131),
    [anon_sym___inline] = ACTIONS(7131),
    [anon_sym___inline__] = ACTIONS(7131),
    [anon_sym___forceinline] = ACTIONS(7131),
    [anon_sym_thread_local] = ACTIONS(7131),
    [anon_sym___thread] = ACTIONS(7131),
    [anon_sym_CG_EXTERN] = ACTIONS(7131),
    [anon_sym_CG_INLINE] = ACTIONS(7131),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7131),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7131),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7131),
    [anon_sym_IBOutlet] = ACTIONS(7131),
    [anon_sym_IBInspectable] = ACTIONS(7131),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7131),
    [anon_sym_NS_INLINE] = ACTIONS(7131),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7131),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7131),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7131),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7131),
    [anon_sym_const] = ACTIONS(7131),
    [anon_sym_constexpr] = ACTIONS(7131),
    [anon_sym_volatile] = ACTIONS(7131),
    [anon_sym_restrict] = ACTIONS(7131),
    [anon_sym___restrict__] = ACTIONS(7131),
    [anon_sym__Atomic] = ACTIONS(7131),
    [anon_sym__Noreturn] = ACTIONS(7131),
    [anon_sym__Nonnull] = ACTIONS(7131),
    [anon_sym_nullable] = ACTIONS(7131),
    [anon_sym__Complex] = ACTIONS(7131),
    [anon_sym__Nullable] = ACTIONS(7131),
    [anon_sym__Nullable_result] = ACTIONS(7131),
    [anon_sym__Null_unspecified] = ACTIONS(7131),
    [anon_sym___autoreleasing] = ACTIONS(7131),
    [anon_sym___block] = ACTIONS(7131),
    [anon_sym___bridge] = ACTIONS(7131),
    [anon_sym___bridge_retained] = ACTIONS(7131),
    [anon_sym___bridge_transfer] = ACTIONS(7131),
    [anon_sym___complex] = ACTIONS(7131),
    [anon_sym___const] = ACTIONS(7131),
    [anon_sym___imag] = ACTIONS(7131),
    [anon_sym___kindof] = ACTIONS(7131),
    [anon_sym___nonnull] = ACTIONS(7131),
    [anon_sym___nullable] = ACTIONS(7131),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7131),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7131),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7131),
    [anon_sym___real] = ACTIONS(7131),
    [anon_sym___strong] = ACTIONS(7131),
    [anon_sym___unsafe_unretained] = ACTIONS(7131),
    [anon_sym___unused] = ACTIONS(7131),
    [anon_sym___weak] = ACTIONS(7131),
    [anon_sym_alignas] = ACTIONS(7131),
    [anon_sym__Alignas] = ACTIONS(7131),
    [sym_primitive_type] = ACTIONS(7131),
    [anon_sym_enum] = ACTIONS(7131),
    [anon_sym_COLON] = ACTIONS(7133),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7131),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7131),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7131),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7131),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7131),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7131),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7131),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7131),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7131),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7131),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7131),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7131),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7131),
    [anon_sym_API_AVAILABLE] = ACTIONS(7131),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7131),
    [anon_sym_API_DEPRECATED] = ACTIONS(7131),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7131),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7131),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7131),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7131),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7131),
    [anon_sym___deprecated_msg] = ACTIONS(7131),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7131),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7131),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7131),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7131),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7131),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7131),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7131),
  },
  [2933] = {
    [sym_attribute_specifier] = STATE(3016),
    [sym_identifier] = ACTIONS(7135),
    [anon_sym_COMMA] = ACTIONS(7137),
    [anon_sym_RPAREN] = ACTIONS(7137),
    [anon_sym_LPAREN2] = ACTIONS(7137),
    [anon_sym_STAR] = ACTIONS(7137),
    [anon_sym_CARET] = ACTIONS(7137),
    [anon_sym_SEMI] = ACTIONS(7137),
    [anon_sym___extension__] = ACTIONS(7135),
    [anon_sym_extern] = ACTIONS(7135),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(7135),
    [anon_sym_LBRACK] = ACTIONS(7137),
    [anon_sym___declspec] = ACTIONS(7135),
    [anon_sym___based] = ACTIONS(7135),
    [anon_sym_signed] = ACTIONS(7135),
    [anon_sym_unsigned] = ACTIONS(7135),
    [anon_sym_long] = ACTIONS(7135),
    [anon_sym_short] = ACTIONS(7135),
    [anon_sym_static] = ACTIONS(7135),
    [anon_sym_auto] = ACTIONS(7135),
    [anon_sym_register] = ACTIONS(7135),
    [anon_sym_inline] = ACTIONS(7135),
    [anon_sym___inline] = ACTIONS(7135),
    [anon_sym___inline__] = ACTIONS(7135),
    [anon_sym___forceinline] = ACTIONS(7135),
    [anon_sym_thread_local] = ACTIONS(7135),
    [anon_sym___thread] = ACTIONS(7135),
    [anon_sym_CG_EXTERN] = ACTIONS(7135),
    [anon_sym_CG_INLINE] = ACTIONS(7135),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7135),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7135),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7135),
    [anon_sym_IBOutlet] = ACTIONS(7135),
    [anon_sym_IBInspectable] = ACTIONS(7135),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7135),
    [anon_sym_NS_INLINE] = ACTIONS(7135),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7135),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7135),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7135),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7135),
    [anon_sym_const] = ACTIONS(7135),
    [anon_sym_constexpr] = ACTIONS(7135),
    [anon_sym_volatile] = ACTIONS(7135),
    [anon_sym_restrict] = ACTIONS(7135),
    [anon_sym___restrict__] = ACTIONS(7135),
    [anon_sym__Atomic] = ACTIONS(7135),
    [anon_sym__Noreturn] = ACTIONS(7135),
    [anon_sym__Nonnull] = ACTIONS(7135),
    [anon_sym_nullable] = ACTIONS(7135),
    [anon_sym__Complex] = ACTIONS(7135),
    [anon_sym__Nullable] = ACTIONS(7135),
    [anon_sym__Nullable_result] = ACTIONS(7135),
    [anon_sym__Null_unspecified] = ACTIONS(7135),
    [anon_sym___autoreleasing] = ACTIONS(7135),
    [anon_sym___block] = ACTIONS(7135),
    [anon_sym___bridge] = ACTIONS(7135),
    [anon_sym___bridge_retained] = ACTIONS(7135),
    [anon_sym___bridge_transfer] = ACTIONS(7135),
    [anon_sym___complex] = ACTIONS(7135),
    [anon_sym___const] = ACTIONS(7135),
    [anon_sym___imag] = ACTIONS(7135),
    [anon_sym___kindof] = ACTIONS(7135),
    [anon_sym___nonnull] = ACTIONS(7135),
    [anon_sym___nullable] = ACTIONS(7135),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7135),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7135),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7135),
    [anon_sym___real] = ACTIONS(7135),
    [anon_sym___strong] = ACTIONS(7135),
    [anon_sym___unsafe_unretained] = ACTIONS(7135),
    [anon_sym___unused] = ACTIONS(7135),
    [anon_sym___weak] = ACTIONS(7135),
    [anon_sym_alignas] = ACTIONS(7135),
    [anon_sym__Alignas] = ACTIONS(7135),
    [sym_primitive_type] = ACTIONS(7135),
    [anon_sym_enum] = ACTIONS(7135),
    [anon_sym_COLON] = ACTIONS(7137),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7135),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7135),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7135),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7135),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7135),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7135),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7135),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7135),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7135),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7135),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7135),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7135),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7135),
    [anon_sym_API_AVAILABLE] = ACTIONS(7135),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7135),
    [anon_sym_API_DEPRECATED] = ACTIONS(7135),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7135),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7135),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7135),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7135),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7135),
    [anon_sym___deprecated_msg] = ACTIONS(7135),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7135),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7135),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7135),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7135),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7135),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7135),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7135),
  },
  [2934] = {
    [sym__declaration_modifiers] = STATE(4905),
    [sym_attribute_specifier] = STATE(4905),
    [sym_attribute_declaration] = STATE(4905),
    [sym_ms_declspec_modifier] = STATE(4905),
    [sym_storage_class_specifier] = STATE(4905),
    [sym_type_qualifier] = STATE(4905),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_enumerator] = STATE(3052),
    [sym_preproc_ifdef_in_enumerator] = STATE(4906),
    [sym_availability_attribute_specifier] = STATE(4905),
    [aux_sym_enumerator_list_repeat1] = STATE(4906),
    [sym_identifier] = ACTIONS(7099),
    [anon_sym_COMMA] = ACTIONS(7139),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7103),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7103),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(7141),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2935] = {
    [sym_identifier] = ACTIONS(7143),
    [anon_sym_COMMA] = ACTIONS(7145),
    [anon_sym_RPAREN] = ACTIONS(7145),
    [anon_sym_LPAREN2] = ACTIONS(7145),
    [anon_sym_STAR] = ACTIONS(7145),
    [anon_sym_CARET] = ACTIONS(7145),
    [anon_sym_LT] = ACTIONS(7145),
    [anon_sym_SEMI] = ACTIONS(7145),
    [anon_sym___extension__] = ACTIONS(7143),
    [anon_sym_extern] = ACTIONS(7143),
    [anon_sym___attribute__] = ACTIONS(7143),
    [anon_sym___attribute] = ACTIONS(7143),
    [anon_sym_noreturn] = ACTIONS(7143),
    [anon_sym_LBRACK] = ACTIONS(7145),
    [anon_sym___declspec] = ACTIONS(7143),
    [anon_sym___based] = ACTIONS(7143),
    [anon_sym_signed] = ACTIONS(7143),
    [anon_sym_unsigned] = ACTIONS(7143),
    [anon_sym_long] = ACTIONS(7143),
    [anon_sym_short] = ACTIONS(7143),
    [anon_sym_static] = ACTIONS(7143),
    [anon_sym_auto] = ACTIONS(7143),
    [anon_sym_register] = ACTIONS(7143),
    [anon_sym_inline] = ACTIONS(7143),
    [anon_sym___inline] = ACTIONS(7143),
    [anon_sym___inline__] = ACTIONS(7143),
    [anon_sym___forceinline] = ACTIONS(7143),
    [anon_sym_thread_local] = ACTIONS(7143),
    [anon_sym___thread] = ACTIONS(7143),
    [anon_sym_CG_EXTERN] = ACTIONS(7143),
    [anon_sym_CG_INLINE] = ACTIONS(7143),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7143),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7143),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7143),
    [anon_sym_IBOutlet] = ACTIONS(7143),
    [anon_sym_IBInspectable] = ACTIONS(7143),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7143),
    [anon_sym_NS_INLINE] = ACTIONS(7143),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7143),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7143),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7143),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7143),
    [anon_sym_const] = ACTIONS(7143),
    [anon_sym_constexpr] = ACTIONS(7143),
    [anon_sym_volatile] = ACTIONS(7143),
    [anon_sym_restrict] = ACTIONS(7143),
    [anon_sym___restrict__] = ACTIONS(7143),
    [anon_sym__Atomic] = ACTIONS(7143),
    [anon_sym__Noreturn] = ACTIONS(7143),
    [anon_sym__Nonnull] = ACTIONS(7143),
    [anon_sym_nullable] = ACTIONS(7143),
    [anon_sym__Complex] = ACTIONS(7143),
    [anon_sym__Nullable] = ACTIONS(7143),
    [anon_sym__Nullable_result] = ACTIONS(7143),
    [anon_sym__Null_unspecified] = ACTIONS(7143),
    [anon_sym___autoreleasing] = ACTIONS(7143),
    [anon_sym___block] = ACTIONS(7143),
    [anon_sym___bridge] = ACTIONS(7143),
    [anon_sym___bridge_retained] = ACTIONS(7143),
    [anon_sym___bridge_transfer] = ACTIONS(7143),
    [anon_sym___complex] = ACTIONS(7143),
    [anon_sym___const] = ACTIONS(7143),
    [anon_sym___imag] = ACTIONS(7143),
    [anon_sym___kindof] = ACTIONS(7143),
    [anon_sym___nonnull] = ACTIONS(7143),
    [anon_sym___nullable] = ACTIONS(7143),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7143),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7143),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7143),
    [anon_sym___real] = ACTIONS(7143),
    [anon_sym___strong] = ACTIONS(7143),
    [anon_sym___unsafe_unretained] = ACTIONS(7143),
    [anon_sym___unused] = ACTIONS(7143),
    [anon_sym___weak] = ACTIONS(7143),
    [anon_sym_alignas] = ACTIONS(7143),
    [anon_sym__Alignas] = ACTIONS(7143),
    [sym_primitive_type] = ACTIONS(7143),
    [anon_sym_enum] = ACTIONS(7143),
    [anon_sym_COLON] = ACTIONS(7145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7143),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7143),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7143),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7143),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7143),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7143),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7143),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7143),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7143),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7143),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7143),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7143),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7143),
    [anon_sym_API_AVAILABLE] = ACTIONS(7143),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7143),
    [anon_sym_API_DEPRECATED] = ACTIONS(7143),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7143),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7143),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7143),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7143),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7143),
    [anon_sym___deprecated_msg] = ACTIONS(7143),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7143),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7143),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7143),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7143),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7143),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7143),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7143),
  },
  [2936] = {
    [sym_attribute_specifier] = STATE(2968),
    [sym_identifier] = ACTIONS(7147),
    [anon_sym_COMMA] = ACTIONS(7149),
    [anon_sym_RPAREN] = ACTIONS(7149),
    [anon_sym_LPAREN2] = ACTIONS(7149),
    [anon_sym_STAR] = ACTIONS(7149),
    [anon_sym_CARET] = ACTIONS(7149),
    [anon_sym_SEMI] = ACTIONS(7149),
    [anon_sym___extension__] = ACTIONS(7147),
    [anon_sym_extern] = ACTIONS(7147),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(7147),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym___declspec] = ACTIONS(7147),
    [anon_sym___based] = ACTIONS(7147),
    [anon_sym_signed] = ACTIONS(7147),
    [anon_sym_unsigned] = ACTIONS(7147),
    [anon_sym_long] = ACTIONS(7147),
    [anon_sym_short] = ACTIONS(7147),
    [anon_sym_static] = ACTIONS(7147),
    [anon_sym_auto] = ACTIONS(7147),
    [anon_sym_register] = ACTIONS(7147),
    [anon_sym_inline] = ACTIONS(7147),
    [anon_sym___inline] = ACTIONS(7147),
    [anon_sym___inline__] = ACTIONS(7147),
    [anon_sym___forceinline] = ACTIONS(7147),
    [anon_sym_thread_local] = ACTIONS(7147),
    [anon_sym___thread] = ACTIONS(7147),
    [anon_sym_CG_EXTERN] = ACTIONS(7147),
    [anon_sym_CG_INLINE] = ACTIONS(7147),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7147),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7147),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7147),
    [anon_sym_IBOutlet] = ACTIONS(7147),
    [anon_sym_IBInspectable] = ACTIONS(7147),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7147),
    [anon_sym_NS_INLINE] = ACTIONS(7147),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7147),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7147),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7147),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7147),
    [anon_sym_const] = ACTIONS(7147),
    [anon_sym_constexpr] = ACTIONS(7147),
    [anon_sym_volatile] = ACTIONS(7147),
    [anon_sym_restrict] = ACTIONS(7147),
    [anon_sym___restrict__] = ACTIONS(7147),
    [anon_sym__Atomic] = ACTIONS(7147),
    [anon_sym__Noreturn] = ACTIONS(7147),
    [anon_sym__Nonnull] = ACTIONS(7147),
    [anon_sym_nullable] = ACTIONS(7147),
    [anon_sym__Complex] = ACTIONS(7147),
    [anon_sym__Nullable] = ACTIONS(7147),
    [anon_sym__Nullable_result] = ACTIONS(7147),
    [anon_sym__Null_unspecified] = ACTIONS(7147),
    [anon_sym___autoreleasing] = ACTIONS(7147),
    [anon_sym___block] = ACTIONS(7147),
    [anon_sym___bridge] = ACTIONS(7147),
    [anon_sym___bridge_retained] = ACTIONS(7147),
    [anon_sym___bridge_transfer] = ACTIONS(7147),
    [anon_sym___complex] = ACTIONS(7147),
    [anon_sym___const] = ACTIONS(7147),
    [anon_sym___imag] = ACTIONS(7147),
    [anon_sym___kindof] = ACTIONS(7147),
    [anon_sym___nonnull] = ACTIONS(7147),
    [anon_sym___nullable] = ACTIONS(7147),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7147),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7147),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7147),
    [anon_sym___real] = ACTIONS(7147),
    [anon_sym___strong] = ACTIONS(7147),
    [anon_sym___unsafe_unretained] = ACTIONS(7147),
    [anon_sym___unused] = ACTIONS(7147),
    [anon_sym___weak] = ACTIONS(7147),
    [anon_sym_alignas] = ACTIONS(7147),
    [anon_sym__Alignas] = ACTIONS(7147),
    [sym_primitive_type] = ACTIONS(7147),
    [anon_sym_enum] = ACTIONS(7147),
    [anon_sym_COLON] = ACTIONS(7149),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7147),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7147),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7147),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7147),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7147),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7147),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7147),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7147),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7147),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7147),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7147),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7147),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7147),
    [anon_sym_API_AVAILABLE] = ACTIONS(7147),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7147),
    [anon_sym_API_DEPRECATED] = ACTIONS(7147),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7147),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7147),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7147),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7147),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7147),
    [anon_sym___deprecated_msg] = ACTIONS(7147),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7147),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7147),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7147),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7147),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7147),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7147),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7147),
  },
  [2937] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2937),
    [sym_identifier] = ACTIONS(7097),
    [anon_sym_COMMA] = ACTIONS(7151),
    [anon_sym_RPAREN] = ACTIONS(7151),
    [anon_sym_LPAREN2] = ACTIONS(7151),
    [anon_sym_STAR] = ACTIONS(7151),
    [anon_sym_CARET] = ACTIONS(7151),
    [anon_sym_SEMI] = ACTIONS(7151),
    [anon_sym___extension__] = ACTIONS(7097),
    [anon_sym_extern] = ACTIONS(7097),
    [anon_sym___attribute__] = ACTIONS(7097),
    [anon_sym___attribute] = ACTIONS(7097),
    [anon_sym_noreturn] = ACTIONS(7097),
    [anon_sym_LBRACK] = ACTIONS(7151),
    [anon_sym___declspec] = ACTIONS(7097),
    [anon_sym___based] = ACTIONS(7097),
    [anon_sym_signed] = ACTIONS(7094),
    [anon_sym_unsigned] = ACTIONS(7094),
    [anon_sym_long] = ACTIONS(7094),
    [anon_sym_short] = ACTIONS(7094),
    [anon_sym_static] = ACTIONS(7097),
    [anon_sym_auto] = ACTIONS(7097),
    [anon_sym_register] = ACTIONS(7097),
    [anon_sym_inline] = ACTIONS(7097),
    [anon_sym___inline] = ACTIONS(7097),
    [anon_sym___inline__] = ACTIONS(7097),
    [anon_sym___forceinline] = ACTIONS(7097),
    [anon_sym_thread_local] = ACTIONS(7097),
    [anon_sym___thread] = ACTIONS(7097),
    [anon_sym_CG_EXTERN] = ACTIONS(7097),
    [anon_sym_CG_INLINE] = ACTIONS(7097),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7097),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7097),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7097),
    [anon_sym_IBOutlet] = ACTIONS(7097),
    [anon_sym_IBInspectable] = ACTIONS(7097),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7097),
    [anon_sym_NS_INLINE] = ACTIONS(7097),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7097),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7097),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7097),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7097),
    [anon_sym_const] = ACTIONS(7097),
    [anon_sym_constexpr] = ACTIONS(7097),
    [anon_sym_volatile] = ACTIONS(7097),
    [anon_sym_restrict] = ACTIONS(7097),
    [anon_sym___restrict__] = ACTIONS(7097),
    [anon_sym__Atomic] = ACTIONS(7097),
    [anon_sym__Noreturn] = ACTIONS(7097),
    [anon_sym__Nonnull] = ACTIONS(7097),
    [anon_sym_nullable] = ACTIONS(7097),
    [anon_sym__Complex] = ACTIONS(7097),
    [anon_sym__Nullable] = ACTIONS(7097),
    [anon_sym__Nullable_result] = ACTIONS(7097),
    [anon_sym__Null_unspecified] = ACTIONS(7097),
    [anon_sym___autoreleasing] = ACTIONS(7097),
    [anon_sym___block] = ACTIONS(7097),
    [anon_sym___bridge] = ACTIONS(7097),
    [anon_sym___bridge_retained] = ACTIONS(7097),
    [anon_sym___bridge_transfer] = ACTIONS(7097),
    [anon_sym___complex] = ACTIONS(7097),
    [anon_sym___const] = ACTIONS(7097),
    [anon_sym___imag] = ACTIONS(7097),
    [anon_sym___kindof] = ACTIONS(7097),
    [anon_sym___nonnull] = ACTIONS(7097),
    [anon_sym___nullable] = ACTIONS(7097),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7097),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7097),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7097),
    [anon_sym___real] = ACTIONS(7097),
    [anon_sym___strong] = ACTIONS(7097),
    [anon_sym___unsafe_unretained] = ACTIONS(7097),
    [anon_sym___unused] = ACTIONS(7097),
    [anon_sym___weak] = ACTIONS(7097),
    [anon_sym_alignas] = ACTIONS(7097),
    [anon_sym__Alignas] = ACTIONS(7097),
    [sym_primitive_type] = ACTIONS(7097),
    [anon_sym_enum] = ACTIONS(7097),
    [anon_sym_COLON] = ACTIONS(7151),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7097),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7097),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7097),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7097),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7097),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7097),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7097),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7097),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7097),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7097),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7097),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7097),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7097),
    [anon_sym_API_AVAILABLE] = ACTIONS(7097),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7097),
    [anon_sym_API_DEPRECATED] = ACTIONS(7097),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7097),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7097),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7097),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7097),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7097),
    [anon_sym___deprecated_msg] = ACTIONS(7097),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7097),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7097),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7097),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7097),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7097),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7097),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7097),
  },
  [2938] = {
    [sym_identifier] = ACTIONS(7153),
    [anon_sym_COMMA] = ACTIONS(7155),
    [anon_sym_RPAREN] = ACTIONS(7155),
    [anon_sym_LPAREN2] = ACTIONS(7155),
    [anon_sym_STAR] = ACTIONS(7155),
    [anon_sym_CARET] = ACTIONS(7155),
    [anon_sym_LT] = ACTIONS(7155),
    [anon_sym_SEMI] = ACTIONS(7155),
    [anon_sym___extension__] = ACTIONS(7153),
    [anon_sym_extern] = ACTIONS(7153),
    [anon_sym___attribute__] = ACTIONS(7153),
    [anon_sym___attribute] = ACTIONS(7153),
    [anon_sym_noreturn] = ACTIONS(7153),
    [anon_sym_LBRACK] = ACTIONS(7155),
    [anon_sym___declspec] = ACTIONS(7153),
    [anon_sym___based] = ACTIONS(7153),
    [anon_sym_signed] = ACTIONS(7153),
    [anon_sym_unsigned] = ACTIONS(7153),
    [anon_sym_long] = ACTIONS(7153),
    [anon_sym_short] = ACTIONS(7153),
    [anon_sym_static] = ACTIONS(7153),
    [anon_sym_auto] = ACTIONS(7153),
    [anon_sym_register] = ACTIONS(7153),
    [anon_sym_inline] = ACTIONS(7153),
    [anon_sym___inline] = ACTIONS(7153),
    [anon_sym___inline__] = ACTIONS(7153),
    [anon_sym___forceinline] = ACTIONS(7153),
    [anon_sym_thread_local] = ACTIONS(7153),
    [anon_sym___thread] = ACTIONS(7153),
    [anon_sym_CG_EXTERN] = ACTIONS(7153),
    [anon_sym_CG_INLINE] = ACTIONS(7153),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7153),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7153),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7153),
    [anon_sym_IBOutlet] = ACTIONS(7153),
    [anon_sym_IBInspectable] = ACTIONS(7153),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7153),
    [anon_sym_NS_INLINE] = ACTIONS(7153),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7153),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7153),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7153),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7153),
    [anon_sym_const] = ACTIONS(7153),
    [anon_sym_constexpr] = ACTIONS(7153),
    [anon_sym_volatile] = ACTIONS(7153),
    [anon_sym_restrict] = ACTIONS(7153),
    [anon_sym___restrict__] = ACTIONS(7153),
    [anon_sym__Atomic] = ACTIONS(7153),
    [anon_sym__Noreturn] = ACTIONS(7153),
    [anon_sym__Nonnull] = ACTIONS(7153),
    [anon_sym_nullable] = ACTIONS(7153),
    [anon_sym__Complex] = ACTIONS(7153),
    [anon_sym__Nullable] = ACTIONS(7153),
    [anon_sym__Nullable_result] = ACTIONS(7153),
    [anon_sym__Null_unspecified] = ACTIONS(7153),
    [anon_sym___autoreleasing] = ACTIONS(7153),
    [anon_sym___block] = ACTIONS(7153),
    [anon_sym___bridge] = ACTIONS(7153),
    [anon_sym___bridge_retained] = ACTIONS(7153),
    [anon_sym___bridge_transfer] = ACTIONS(7153),
    [anon_sym___complex] = ACTIONS(7153),
    [anon_sym___const] = ACTIONS(7153),
    [anon_sym___imag] = ACTIONS(7153),
    [anon_sym___kindof] = ACTIONS(7153),
    [anon_sym___nonnull] = ACTIONS(7153),
    [anon_sym___nullable] = ACTIONS(7153),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7153),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7153),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7153),
    [anon_sym___real] = ACTIONS(7153),
    [anon_sym___strong] = ACTIONS(7153),
    [anon_sym___unsafe_unretained] = ACTIONS(7153),
    [anon_sym___unused] = ACTIONS(7153),
    [anon_sym___weak] = ACTIONS(7153),
    [anon_sym_alignas] = ACTIONS(7153),
    [anon_sym__Alignas] = ACTIONS(7153),
    [sym_primitive_type] = ACTIONS(7153),
    [anon_sym_enum] = ACTIONS(7153),
    [anon_sym_COLON] = ACTIONS(7155),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7153),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7153),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7153),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7153),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7153),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7153),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7153),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7153),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7153),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7153),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7153),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7153),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7153),
    [anon_sym_API_AVAILABLE] = ACTIONS(7153),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7153),
    [anon_sym_API_DEPRECATED] = ACTIONS(7153),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7153),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7153),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7153),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7153),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7153),
    [anon_sym___deprecated_msg] = ACTIONS(7153),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7153),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7153),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7153),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7153),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7153),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7153),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7153),
  },
  [2939] = {
    [sym_attribute_specifier] = STATE(2977),
    [sym_identifier] = ACTIONS(7157),
    [anon_sym_COMMA] = ACTIONS(7159),
    [anon_sym_RPAREN] = ACTIONS(7159),
    [anon_sym_LPAREN2] = ACTIONS(7159),
    [anon_sym_STAR] = ACTIONS(7159),
    [anon_sym_CARET] = ACTIONS(7159),
    [anon_sym_SEMI] = ACTIONS(7159),
    [anon_sym___extension__] = ACTIONS(7157),
    [anon_sym_extern] = ACTIONS(7157),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(7157),
    [anon_sym_LBRACK] = ACTIONS(7159),
    [anon_sym___declspec] = ACTIONS(7157),
    [anon_sym___based] = ACTIONS(7157),
    [anon_sym_signed] = ACTIONS(7157),
    [anon_sym_unsigned] = ACTIONS(7157),
    [anon_sym_long] = ACTIONS(7157),
    [anon_sym_short] = ACTIONS(7157),
    [anon_sym_static] = ACTIONS(7157),
    [anon_sym_auto] = ACTIONS(7157),
    [anon_sym_register] = ACTIONS(7157),
    [anon_sym_inline] = ACTIONS(7157),
    [anon_sym___inline] = ACTIONS(7157),
    [anon_sym___inline__] = ACTIONS(7157),
    [anon_sym___forceinline] = ACTIONS(7157),
    [anon_sym_thread_local] = ACTIONS(7157),
    [anon_sym___thread] = ACTIONS(7157),
    [anon_sym_CG_EXTERN] = ACTIONS(7157),
    [anon_sym_CG_INLINE] = ACTIONS(7157),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7157),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7157),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7157),
    [anon_sym_IBOutlet] = ACTIONS(7157),
    [anon_sym_IBInspectable] = ACTIONS(7157),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7157),
    [anon_sym_NS_INLINE] = ACTIONS(7157),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7157),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7157),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7157),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7157),
    [anon_sym_const] = ACTIONS(7157),
    [anon_sym_constexpr] = ACTIONS(7157),
    [anon_sym_volatile] = ACTIONS(7157),
    [anon_sym_restrict] = ACTIONS(7157),
    [anon_sym___restrict__] = ACTIONS(7157),
    [anon_sym__Atomic] = ACTIONS(7157),
    [anon_sym__Noreturn] = ACTIONS(7157),
    [anon_sym__Nonnull] = ACTIONS(7157),
    [anon_sym_nullable] = ACTIONS(7157),
    [anon_sym__Complex] = ACTIONS(7157),
    [anon_sym__Nullable] = ACTIONS(7157),
    [anon_sym__Nullable_result] = ACTIONS(7157),
    [anon_sym__Null_unspecified] = ACTIONS(7157),
    [anon_sym___autoreleasing] = ACTIONS(7157),
    [anon_sym___block] = ACTIONS(7157),
    [anon_sym___bridge] = ACTIONS(7157),
    [anon_sym___bridge_retained] = ACTIONS(7157),
    [anon_sym___bridge_transfer] = ACTIONS(7157),
    [anon_sym___complex] = ACTIONS(7157),
    [anon_sym___const] = ACTIONS(7157),
    [anon_sym___imag] = ACTIONS(7157),
    [anon_sym___kindof] = ACTIONS(7157),
    [anon_sym___nonnull] = ACTIONS(7157),
    [anon_sym___nullable] = ACTIONS(7157),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7157),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7157),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7157),
    [anon_sym___real] = ACTIONS(7157),
    [anon_sym___strong] = ACTIONS(7157),
    [anon_sym___unsafe_unretained] = ACTIONS(7157),
    [anon_sym___unused] = ACTIONS(7157),
    [anon_sym___weak] = ACTIONS(7157),
    [anon_sym_alignas] = ACTIONS(7157),
    [anon_sym__Alignas] = ACTIONS(7157),
    [sym_primitive_type] = ACTIONS(7157),
    [anon_sym_enum] = ACTIONS(7157),
    [anon_sym_COLON] = ACTIONS(7159),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7157),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7157),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7157),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7157),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7157),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7157),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7157),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7157),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7157),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7157),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7157),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7157),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7157),
    [anon_sym_API_AVAILABLE] = ACTIONS(7157),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7157),
    [anon_sym_API_DEPRECATED] = ACTIONS(7157),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7157),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7157),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7157),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7157),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7157),
    [anon_sym___deprecated_msg] = ACTIONS(7157),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7157),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7157),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7157),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7157),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7157),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7157),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7157),
  },
  [2940] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2937),
    [sym_identifier] = ACTIONS(7161),
    [anon_sym_COMMA] = ACTIONS(7163),
    [anon_sym_RPAREN] = ACTIONS(7163),
    [anon_sym_LPAREN2] = ACTIONS(7163),
    [anon_sym_STAR] = ACTIONS(7163),
    [anon_sym_CARET] = ACTIONS(7163),
    [anon_sym_SEMI] = ACTIONS(7163),
    [anon_sym___extension__] = ACTIONS(7161),
    [anon_sym_extern] = ACTIONS(7161),
    [anon_sym___attribute__] = ACTIONS(7161),
    [anon_sym___attribute] = ACTIONS(7161),
    [anon_sym_noreturn] = ACTIONS(7161),
    [anon_sym_LBRACK] = ACTIONS(7163),
    [anon_sym___declspec] = ACTIONS(7161),
    [anon_sym___based] = ACTIONS(7161),
    [anon_sym_signed] = ACTIONS(7165),
    [anon_sym_unsigned] = ACTIONS(7165),
    [anon_sym_long] = ACTIONS(7165),
    [anon_sym_short] = ACTIONS(7165),
    [anon_sym_static] = ACTIONS(7161),
    [anon_sym_auto] = ACTIONS(7161),
    [anon_sym_register] = ACTIONS(7161),
    [anon_sym_inline] = ACTIONS(7161),
    [anon_sym___inline] = ACTIONS(7161),
    [anon_sym___inline__] = ACTIONS(7161),
    [anon_sym___forceinline] = ACTIONS(7161),
    [anon_sym_thread_local] = ACTIONS(7161),
    [anon_sym___thread] = ACTIONS(7161),
    [anon_sym_CG_EXTERN] = ACTIONS(7161),
    [anon_sym_CG_INLINE] = ACTIONS(7161),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7161),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7161),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7161),
    [anon_sym_IBOutlet] = ACTIONS(7161),
    [anon_sym_IBInspectable] = ACTIONS(7161),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7161),
    [anon_sym_NS_INLINE] = ACTIONS(7161),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7161),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7161),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7161),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7161),
    [anon_sym_const] = ACTIONS(7161),
    [anon_sym_constexpr] = ACTIONS(7161),
    [anon_sym_volatile] = ACTIONS(7161),
    [anon_sym_restrict] = ACTIONS(7161),
    [anon_sym___restrict__] = ACTIONS(7161),
    [anon_sym__Atomic] = ACTIONS(7161),
    [anon_sym__Noreturn] = ACTIONS(7161),
    [anon_sym__Nonnull] = ACTIONS(7161),
    [anon_sym_nullable] = ACTIONS(7161),
    [anon_sym__Complex] = ACTIONS(7161),
    [anon_sym__Nullable] = ACTIONS(7161),
    [anon_sym__Nullable_result] = ACTIONS(7161),
    [anon_sym__Null_unspecified] = ACTIONS(7161),
    [anon_sym___autoreleasing] = ACTIONS(7161),
    [anon_sym___block] = ACTIONS(7161),
    [anon_sym___bridge] = ACTIONS(7161),
    [anon_sym___bridge_retained] = ACTIONS(7161),
    [anon_sym___bridge_transfer] = ACTIONS(7161),
    [anon_sym___complex] = ACTIONS(7161),
    [anon_sym___const] = ACTIONS(7161),
    [anon_sym___imag] = ACTIONS(7161),
    [anon_sym___kindof] = ACTIONS(7161),
    [anon_sym___nonnull] = ACTIONS(7161),
    [anon_sym___nullable] = ACTIONS(7161),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7161),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7161),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7161),
    [anon_sym___real] = ACTIONS(7161),
    [anon_sym___strong] = ACTIONS(7161),
    [anon_sym___unsafe_unretained] = ACTIONS(7161),
    [anon_sym___unused] = ACTIONS(7161),
    [anon_sym___weak] = ACTIONS(7161),
    [anon_sym_alignas] = ACTIONS(7161),
    [anon_sym__Alignas] = ACTIONS(7161),
    [anon_sym_enum] = ACTIONS(7161),
    [anon_sym_COLON] = ACTIONS(7163),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7161),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7161),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7161),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7161),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7161),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7161),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7161),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7161),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7161),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7161),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7161),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7161),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7161),
    [anon_sym_API_AVAILABLE] = ACTIONS(7161),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7161),
    [anon_sym_API_DEPRECATED] = ACTIONS(7161),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7161),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7161),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7161),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7161),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7161),
    [anon_sym___deprecated_msg] = ACTIONS(7161),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7161),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7161),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7161),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7161),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7161),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7161),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7161),
  },
  [2941] = {
    [sym_expression] = STATE(1636),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_initializer_list] = STATE(1676),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2220),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2222),
    [anon_sym_COMMA] = ACTIONS(2222),
    [anon_sym_LPAREN2] = ACTIONS(2222),
    [anon_sym_BANG] = ACTIONS(7167),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(2220),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_STAR] = ACTIONS(2222),
    [anon_sym_SLASH] = ACTIONS(2220),
    [anon_sym_PERCENT] = ACTIONS(2222),
    [anon_sym_PIPE_PIPE] = ACTIONS(2222),
    [anon_sym_AMP_AMP] = ACTIONS(2222),
    [anon_sym_PIPE] = ACTIONS(2220),
    [anon_sym_CARET] = ACTIONS(2222),
    [anon_sym_AMP] = ACTIONS(2220),
    [anon_sym_EQ_EQ] = ACTIONS(2222),
    [anon_sym_BANG_EQ] = ACTIONS(2222),
    [anon_sym_GT] = ACTIONS(2220),
    [anon_sym_GT_EQ] = ACTIONS(2222),
    [anon_sym_LT_EQ] = ACTIONS(2222),
    [anon_sym_LT] = ACTIONS(2220),
    [anon_sym_LT_LT] = ACTIONS(2222),
    [anon_sym_GT_GT] = ACTIONS(2222),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2222),
    [anon_sym_RBRACK] = ACTIONS(2222),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_COLON] = ACTIONS(2222),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(2222),
    [anon_sym_DASH_DASH] = ACTIONS(2222),
    [anon_sym_PLUS_PLUS] = ACTIONS(2222),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [anon_sym_DOT] = ACTIONS(2220),
    [anon_sym_DASH_GT] = ACTIONS(2222),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [2942] = {
    [sym_identifier] = ACTIONS(7179),
    [anon_sym_COMMA] = ACTIONS(7181),
    [anon_sym_RPAREN] = ACTIONS(7181),
    [anon_sym_LPAREN2] = ACTIONS(7181),
    [anon_sym_STAR] = ACTIONS(7181),
    [anon_sym_CARET] = ACTIONS(7181),
    [anon_sym_SEMI] = ACTIONS(7181),
    [anon_sym___extension__] = ACTIONS(7179),
    [anon_sym_extern] = ACTIONS(7179),
    [anon_sym___attribute__] = ACTIONS(7179),
    [anon_sym___attribute] = ACTIONS(7179),
    [anon_sym_noreturn] = ACTIONS(7179),
    [anon_sym_LBRACK] = ACTIONS(7181),
    [anon_sym___declspec] = ACTIONS(7179),
    [anon_sym___based] = ACTIONS(7179),
    [anon_sym_signed] = ACTIONS(7179),
    [anon_sym_unsigned] = ACTIONS(7179),
    [anon_sym_long] = ACTIONS(7179),
    [anon_sym_short] = ACTIONS(7179),
    [anon_sym_static] = ACTIONS(7179),
    [anon_sym_auto] = ACTIONS(7179),
    [anon_sym_register] = ACTIONS(7179),
    [anon_sym_inline] = ACTIONS(7179),
    [anon_sym___inline] = ACTIONS(7179),
    [anon_sym___inline__] = ACTIONS(7179),
    [anon_sym___forceinline] = ACTIONS(7179),
    [anon_sym_thread_local] = ACTIONS(7179),
    [anon_sym___thread] = ACTIONS(7179),
    [anon_sym_CG_EXTERN] = ACTIONS(7179),
    [anon_sym_CG_INLINE] = ACTIONS(7179),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7179),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7179),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7179),
    [anon_sym_IBOutlet] = ACTIONS(7179),
    [anon_sym_IBInspectable] = ACTIONS(7179),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7179),
    [anon_sym_NS_INLINE] = ACTIONS(7179),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7179),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7179),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7179),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7179),
    [anon_sym_const] = ACTIONS(7179),
    [anon_sym_constexpr] = ACTIONS(7179),
    [anon_sym_volatile] = ACTIONS(7179),
    [anon_sym_restrict] = ACTIONS(7179),
    [anon_sym___restrict__] = ACTIONS(7179),
    [anon_sym__Atomic] = ACTIONS(7179),
    [anon_sym__Noreturn] = ACTIONS(7179),
    [anon_sym__Nonnull] = ACTIONS(7179),
    [anon_sym_nullable] = ACTIONS(7179),
    [anon_sym__Complex] = ACTIONS(7179),
    [anon_sym__Nullable] = ACTIONS(7179),
    [anon_sym__Nullable_result] = ACTIONS(7179),
    [anon_sym__Null_unspecified] = ACTIONS(7179),
    [anon_sym___autoreleasing] = ACTIONS(7179),
    [anon_sym___block] = ACTIONS(7179),
    [anon_sym___bridge] = ACTIONS(7179),
    [anon_sym___bridge_retained] = ACTIONS(7179),
    [anon_sym___bridge_transfer] = ACTIONS(7179),
    [anon_sym___complex] = ACTIONS(7179),
    [anon_sym___const] = ACTIONS(7179),
    [anon_sym___imag] = ACTIONS(7179),
    [anon_sym___kindof] = ACTIONS(7179),
    [anon_sym___nonnull] = ACTIONS(7179),
    [anon_sym___nullable] = ACTIONS(7179),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7179),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7179),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7179),
    [anon_sym___real] = ACTIONS(7179),
    [anon_sym___strong] = ACTIONS(7179),
    [anon_sym___unsafe_unretained] = ACTIONS(7179),
    [anon_sym___unused] = ACTIONS(7179),
    [anon_sym___weak] = ACTIONS(7179),
    [anon_sym_alignas] = ACTIONS(7179),
    [anon_sym__Alignas] = ACTIONS(7179),
    [sym_primitive_type] = ACTIONS(7179),
    [anon_sym_enum] = ACTIONS(7179),
    [anon_sym_COLON] = ACTIONS(7181),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7179),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7179),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7179),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7179),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7179),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7179),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7179),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7179),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7179),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7179),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7179),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7179),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7179),
    [anon_sym_API_AVAILABLE] = ACTIONS(7179),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7179),
    [anon_sym_API_DEPRECATED] = ACTIONS(7179),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7179),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7179),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7179),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7179),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7179),
    [anon_sym___deprecated_msg] = ACTIONS(7179),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7179),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7179),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7179),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7179),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7179),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7179),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7179),
  },
  [2943] = {
    [sym_identifier] = ACTIONS(7183),
    [anon_sym_COMMA] = ACTIONS(7185),
    [anon_sym_RPAREN] = ACTIONS(7185),
    [anon_sym_LPAREN2] = ACTIONS(7185),
    [anon_sym_STAR] = ACTIONS(7185),
    [anon_sym_CARET] = ACTIONS(7185),
    [anon_sym_SEMI] = ACTIONS(7185),
    [anon_sym___extension__] = ACTIONS(7183),
    [anon_sym_extern] = ACTIONS(7183),
    [anon_sym___attribute__] = ACTIONS(7183),
    [anon_sym___attribute] = ACTIONS(7183),
    [anon_sym_noreturn] = ACTIONS(7183),
    [anon_sym_LBRACK] = ACTIONS(7185),
    [anon_sym___declspec] = ACTIONS(7183),
    [anon_sym___based] = ACTIONS(7183),
    [anon_sym_signed] = ACTIONS(7183),
    [anon_sym_unsigned] = ACTIONS(7183),
    [anon_sym_long] = ACTIONS(7183),
    [anon_sym_short] = ACTIONS(7183),
    [anon_sym_static] = ACTIONS(7183),
    [anon_sym_auto] = ACTIONS(7183),
    [anon_sym_register] = ACTIONS(7183),
    [anon_sym_inline] = ACTIONS(7183),
    [anon_sym___inline] = ACTIONS(7183),
    [anon_sym___inline__] = ACTIONS(7183),
    [anon_sym___forceinline] = ACTIONS(7183),
    [anon_sym_thread_local] = ACTIONS(7183),
    [anon_sym___thread] = ACTIONS(7183),
    [anon_sym_CG_EXTERN] = ACTIONS(7183),
    [anon_sym_CG_INLINE] = ACTIONS(7183),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7183),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7183),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7183),
    [anon_sym_IBOutlet] = ACTIONS(7183),
    [anon_sym_IBInspectable] = ACTIONS(7183),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7183),
    [anon_sym_NS_INLINE] = ACTIONS(7183),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7183),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7183),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7183),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7183),
    [anon_sym_const] = ACTIONS(7183),
    [anon_sym_constexpr] = ACTIONS(7183),
    [anon_sym_volatile] = ACTIONS(7183),
    [anon_sym_restrict] = ACTIONS(7183),
    [anon_sym___restrict__] = ACTIONS(7183),
    [anon_sym__Atomic] = ACTIONS(7183),
    [anon_sym__Noreturn] = ACTIONS(7183),
    [anon_sym__Nonnull] = ACTIONS(7183),
    [anon_sym_nullable] = ACTIONS(7183),
    [anon_sym__Complex] = ACTIONS(7183),
    [anon_sym__Nullable] = ACTIONS(7183),
    [anon_sym__Nullable_result] = ACTIONS(7183),
    [anon_sym__Null_unspecified] = ACTIONS(7183),
    [anon_sym___autoreleasing] = ACTIONS(7183),
    [anon_sym___block] = ACTIONS(7183),
    [anon_sym___bridge] = ACTIONS(7183),
    [anon_sym___bridge_retained] = ACTIONS(7183),
    [anon_sym___bridge_transfer] = ACTIONS(7183),
    [anon_sym___complex] = ACTIONS(7183),
    [anon_sym___const] = ACTIONS(7183),
    [anon_sym___imag] = ACTIONS(7183),
    [anon_sym___kindof] = ACTIONS(7183),
    [anon_sym___nonnull] = ACTIONS(7183),
    [anon_sym___nullable] = ACTIONS(7183),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7183),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7183),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7183),
    [anon_sym___real] = ACTIONS(7183),
    [anon_sym___strong] = ACTIONS(7183),
    [anon_sym___unsafe_unretained] = ACTIONS(7183),
    [anon_sym___unused] = ACTIONS(7183),
    [anon_sym___weak] = ACTIONS(7183),
    [anon_sym_alignas] = ACTIONS(7183),
    [anon_sym__Alignas] = ACTIONS(7183),
    [sym_primitive_type] = ACTIONS(7183),
    [anon_sym_enum] = ACTIONS(7183),
    [anon_sym_COLON] = ACTIONS(7185),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7183),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7183),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7183),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7183),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7183),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7183),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7183),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7183),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7183),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7183),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7183),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7183),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7183),
    [anon_sym_API_AVAILABLE] = ACTIONS(7183),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7183),
    [anon_sym_API_DEPRECATED] = ACTIONS(7183),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7183),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7183),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7183),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7183),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7183),
    [anon_sym___deprecated_msg] = ACTIONS(7183),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7183),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7183),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7183),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7183),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7183),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7183),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7183),
  },
  [2944] = {
    [sym_identifier] = ACTIONS(7187),
    [anon_sym_COMMA] = ACTIONS(7189),
    [anon_sym_RPAREN] = ACTIONS(7189),
    [anon_sym_LPAREN2] = ACTIONS(7189),
    [anon_sym_STAR] = ACTIONS(7189),
    [anon_sym_CARET] = ACTIONS(7189),
    [anon_sym_SEMI] = ACTIONS(7189),
    [anon_sym___extension__] = ACTIONS(7187),
    [anon_sym_extern] = ACTIONS(7187),
    [anon_sym___attribute__] = ACTIONS(7187),
    [anon_sym___attribute] = ACTIONS(7187),
    [anon_sym_noreturn] = ACTIONS(7187),
    [anon_sym_LBRACK] = ACTIONS(7189),
    [anon_sym___declspec] = ACTIONS(7187),
    [anon_sym___based] = ACTIONS(7187),
    [anon_sym_signed] = ACTIONS(7187),
    [anon_sym_unsigned] = ACTIONS(7187),
    [anon_sym_long] = ACTIONS(7187),
    [anon_sym_short] = ACTIONS(7187),
    [anon_sym_static] = ACTIONS(7187),
    [anon_sym_auto] = ACTIONS(7187),
    [anon_sym_register] = ACTIONS(7187),
    [anon_sym_inline] = ACTIONS(7187),
    [anon_sym___inline] = ACTIONS(7187),
    [anon_sym___inline__] = ACTIONS(7187),
    [anon_sym___forceinline] = ACTIONS(7187),
    [anon_sym_thread_local] = ACTIONS(7187),
    [anon_sym___thread] = ACTIONS(7187),
    [anon_sym_CG_EXTERN] = ACTIONS(7187),
    [anon_sym_CG_INLINE] = ACTIONS(7187),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7187),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7187),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7187),
    [anon_sym_IBOutlet] = ACTIONS(7187),
    [anon_sym_IBInspectable] = ACTIONS(7187),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7187),
    [anon_sym_NS_INLINE] = ACTIONS(7187),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7187),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7187),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7187),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7187),
    [anon_sym_const] = ACTIONS(7187),
    [anon_sym_constexpr] = ACTIONS(7187),
    [anon_sym_volatile] = ACTIONS(7187),
    [anon_sym_restrict] = ACTIONS(7187),
    [anon_sym___restrict__] = ACTIONS(7187),
    [anon_sym__Atomic] = ACTIONS(7187),
    [anon_sym__Noreturn] = ACTIONS(7187),
    [anon_sym__Nonnull] = ACTIONS(7187),
    [anon_sym_nullable] = ACTIONS(7187),
    [anon_sym__Complex] = ACTIONS(7187),
    [anon_sym__Nullable] = ACTIONS(7187),
    [anon_sym__Nullable_result] = ACTIONS(7187),
    [anon_sym__Null_unspecified] = ACTIONS(7187),
    [anon_sym___autoreleasing] = ACTIONS(7187),
    [anon_sym___block] = ACTIONS(7187),
    [anon_sym___bridge] = ACTIONS(7187),
    [anon_sym___bridge_retained] = ACTIONS(7187),
    [anon_sym___bridge_transfer] = ACTIONS(7187),
    [anon_sym___complex] = ACTIONS(7187),
    [anon_sym___const] = ACTIONS(7187),
    [anon_sym___imag] = ACTIONS(7187),
    [anon_sym___kindof] = ACTIONS(7187),
    [anon_sym___nonnull] = ACTIONS(7187),
    [anon_sym___nullable] = ACTIONS(7187),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7187),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7187),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7187),
    [anon_sym___real] = ACTIONS(7187),
    [anon_sym___strong] = ACTIONS(7187),
    [anon_sym___unsafe_unretained] = ACTIONS(7187),
    [anon_sym___unused] = ACTIONS(7187),
    [anon_sym___weak] = ACTIONS(7187),
    [anon_sym_alignas] = ACTIONS(7187),
    [anon_sym__Alignas] = ACTIONS(7187),
    [sym_primitive_type] = ACTIONS(7187),
    [anon_sym_enum] = ACTIONS(7187),
    [anon_sym_COLON] = ACTIONS(7189),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7187),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7187),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7187),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7187),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7187),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7187),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7187),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7187),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7187),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7187),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7187),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7187),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7187),
    [anon_sym_API_AVAILABLE] = ACTIONS(7187),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7187),
    [anon_sym_API_DEPRECATED] = ACTIONS(7187),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7187),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7187),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7187),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7187),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7187),
    [anon_sym___deprecated_msg] = ACTIONS(7187),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7187),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7187),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7187),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7187),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7187),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7187),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7187),
  },
  [2945] = {
    [sym__declaration_modifiers] = STATE(2871),
    [sym_attribute_specifier] = STATE(2871),
    [sym_attribute_declaration] = STATE(2871),
    [sym_ms_declspec_modifier] = STATE(2871),
    [sym_storage_class_specifier] = STATE(2871),
    [sym_type_qualifier] = STATE(2871),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2871),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2871),
    [sym_identifier] = ACTIONS(6964),
    [anon_sym_LPAREN2] = ACTIONS(6966),
    [anon_sym_STAR] = ACTIONS(6966),
    [anon_sym_CARET] = ACTIONS(6966),
    [anon_sym_SEMI] = ACTIONS(7191),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(6884),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(6964),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2946] = {
    [sym_identifier] = ACTIONS(7193),
    [anon_sym_COMMA] = ACTIONS(7195),
    [anon_sym_RPAREN] = ACTIONS(7195),
    [anon_sym_LPAREN2] = ACTIONS(7195),
    [anon_sym_STAR] = ACTIONS(7195),
    [anon_sym_CARET] = ACTIONS(7195),
    [anon_sym_SEMI] = ACTIONS(7195),
    [anon_sym___extension__] = ACTIONS(7193),
    [anon_sym_extern] = ACTIONS(7193),
    [anon_sym___attribute__] = ACTIONS(7193),
    [anon_sym___attribute] = ACTIONS(7193),
    [anon_sym_noreturn] = ACTIONS(7193),
    [anon_sym_LBRACK] = ACTIONS(7195),
    [anon_sym___declspec] = ACTIONS(7193),
    [anon_sym___based] = ACTIONS(7193),
    [anon_sym_signed] = ACTIONS(7193),
    [anon_sym_unsigned] = ACTIONS(7193),
    [anon_sym_long] = ACTIONS(7193),
    [anon_sym_short] = ACTIONS(7193),
    [anon_sym_static] = ACTIONS(7193),
    [anon_sym_auto] = ACTIONS(7193),
    [anon_sym_register] = ACTIONS(7193),
    [anon_sym_inline] = ACTIONS(7193),
    [anon_sym___inline] = ACTIONS(7193),
    [anon_sym___inline__] = ACTIONS(7193),
    [anon_sym___forceinline] = ACTIONS(7193),
    [anon_sym_thread_local] = ACTIONS(7193),
    [anon_sym___thread] = ACTIONS(7193),
    [anon_sym_CG_EXTERN] = ACTIONS(7193),
    [anon_sym_CG_INLINE] = ACTIONS(7193),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7193),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7193),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7193),
    [anon_sym_IBOutlet] = ACTIONS(7193),
    [anon_sym_IBInspectable] = ACTIONS(7193),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7193),
    [anon_sym_NS_INLINE] = ACTIONS(7193),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7193),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7193),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7193),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7193),
    [anon_sym_const] = ACTIONS(7193),
    [anon_sym_constexpr] = ACTIONS(7193),
    [anon_sym_volatile] = ACTIONS(7193),
    [anon_sym_restrict] = ACTIONS(7193),
    [anon_sym___restrict__] = ACTIONS(7193),
    [anon_sym__Atomic] = ACTIONS(7193),
    [anon_sym__Noreturn] = ACTIONS(7193),
    [anon_sym__Nonnull] = ACTIONS(7193),
    [anon_sym_nullable] = ACTIONS(7193),
    [anon_sym__Complex] = ACTIONS(7193),
    [anon_sym__Nullable] = ACTIONS(7193),
    [anon_sym__Nullable_result] = ACTIONS(7193),
    [anon_sym__Null_unspecified] = ACTIONS(7193),
    [anon_sym___autoreleasing] = ACTIONS(7193),
    [anon_sym___block] = ACTIONS(7193),
    [anon_sym___bridge] = ACTIONS(7193),
    [anon_sym___bridge_retained] = ACTIONS(7193),
    [anon_sym___bridge_transfer] = ACTIONS(7193),
    [anon_sym___complex] = ACTIONS(7193),
    [anon_sym___const] = ACTIONS(7193),
    [anon_sym___imag] = ACTIONS(7193),
    [anon_sym___kindof] = ACTIONS(7193),
    [anon_sym___nonnull] = ACTIONS(7193),
    [anon_sym___nullable] = ACTIONS(7193),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7193),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7193),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7193),
    [anon_sym___real] = ACTIONS(7193),
    [anon_sym___strong] = ACTIONS(7193),
    [anon_sym___unsafe_unretained] = ACTIONS(7193),
    [anon_sym___unused] = ACTIONS(7193),
    [anon_sym___weak] = ACTIONS(7193),
    [anon_sym_alignas] = ACTIONS(7193),
    [anon_sym__Alignas] = ACTIONS(7193),
    [sym_primitive_type] = ACTIONS(7193),
    [anon_sym_enum] = ACTIONS(7193),
    [anon_sym_COLON] = ACTIONS(7195),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7193),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7193),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7193),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7193),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7193),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7193),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7193),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7193),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7193),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7193),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7193),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7193),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7193),
    [anon_sym_API_AVAILABLE] = ACTIONS(7193),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7193),
    [anon_sym_API_DEPRECATED] = ACTIONS(7193),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7193),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7193),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7193),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7193),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7193),
    [anon_sym___deprecated_msg] = ACTIONS(7193),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7193),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7193),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7193),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7193),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7193),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7193),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7193),
  },
  [2947] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2991),
    [sym_identifier] = ACTIONS(7197),
    [anon_sym_COMMA] = ACTIONS(7199),
    [anon_sym_RPAREN] = ACTIONS(7199),
    [anon_sym_LPAREN2] = ACTIONS(7199),
    [anon_sym_STAR] = ACTIONS(7199),
    [anon_sym_CARET] = ACTIONS(7199),
    [anon_sym_SEMI] = ACTIONS(7199),
    [anon_sym___extension__] = ACTIONS(7197),
    [anon_sym_extern] = ACTIONS(7197),
    [anon_sym___attribute__] = ACTIONS(7197),
    [anon_sym___attribute] = ACTIONS(7197),
    [anon_sym_noreturn] = ACTIONS(7197),
    [anon_sym_LBRACK] = ACTIONS(7199),
    [anon_sym___declspec] = ACTIONS(7197),
    [anon_sym___based] = ACTIONS(7197),
    [anon_sym_signed] = ACTIONS(7201),
    [anon_sym_unsigned] = ACTIONS(7201),
    [anon_sym_long] = ACTIONS(7201),
    [anon_sym_short] = ACTIONS(7201),
    [anon_sym_static] = ACTIONS(7197),
    [anon_sym_auto] = ACTIONS(7197),
    [anon_sym_register] = ACTIONS(7197),
    [anon_sym_inline] = ACTIONS(7197),
    [anon_sym___inline] = ACTIONS(7197),
    [anon_sym___inline__] = ACTIONS(7197),
    [anon_sym___forceinline] = ACTIONS(7197),
    [anon_sym_thread_local] = ACTIONS(7197),
    [anon_sym___thread] = ACTIONS(7197),
    [anon_sym_CG_EXTERN] = ACTIONS(7197),
    [anon_sym_CG_INLINE] = ACTIONS(7197),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7197),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7197),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7197),
    [anon_sym_IBOutlet] = ACTIONS(7197),
    [anon_sym_IBInspectable] = ACTIONS(7197),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7197),
    [anon_sym_NS_INLINE] = ACTIONS(7197),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7197),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7197),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7197),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7197),
    [anon_sym_const] = ACTIONS(7197),
    [anon_sym_constexpr] = ACTIONS(7197),
    [anon_sym_volatile] = ACTIONS(7197),
    [anon_sym_restrict] = ACTIONS(7197),
    [anon_sym___restrict__] = ACTIONS(7197),
    [anon_sym__Atomic] = ACTIONS(7197),
    [anon_sym__Noreturn] = ACTIONS(7197),
    [anon_sym__Nonnull] = ACTIONS(7197),
    [anon_sym_nullable] = ACTIONS(7197),
    [anon_sym__Complex] = ACTIONS(7197),
    [anon_sym__Nullable] = ACTIONS(7197),
    [anon_sym__Nullable_result] = ACTIONS(7197),
    [anon_sym__Null_unspecified] = ACTIONS(7197),
    [anon_sym___autoreleasing] = ACTIONS(7197),
    [anon_sym___block] = ACTIONS(7197),
    [anon_sym___bridge] = ACTIONS(7197),
    [anon_sym___bridge_retained] = ACTIONS(7197),
    [anon_sym___bridge_transfer] = ACTIONS(7197),
    [anon_sym___complex] = ACTIONS(7197),
    [anon_sym___const] = ACTIONS(7197),
    [anon_sym___imag] = ACTIONS(7197),
    [anon_sym___kindof] = ACTIONS(7197),
    [anon_sym___nonnull] = ACTIONS(7197),
    [anon_sym___nullable] = ACTIONS(7197),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7197),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7197),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7197),
    [anon_sym___real] = ACTIONS(7197),
    [anon_sym___strong] = ACTIONS(7197),
    [anon_sym___unsafe_unretained] = ACTIONS(7197),
    [anon_sym___unused] = ACTIONS(7197),
    [anon_sym___weak] = ACTIONS(7197),
    [anon_sym_alignas] = ACTIONS(7197),
    [anon_sym__Alignas] = ACTIONS(7197),
    [anon_sym_enum] = ACTIONS(7197),
    [anon_sym_COLON] = ACTIONS(7199),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7197),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7197),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7197),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7197),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7197),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7197),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7197),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7197),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7197),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7197),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7197),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7197),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7197),
    [anon_sym_API_AVAILABLE] = ACTIONS(7197),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7197),
    [anon_sym_API_DEPRECATED] = ACTIONS(7197),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7197),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7197),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7197),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7197),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7197),
    [anon_sym___deprecated_msg] = ACTIONS(7197),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7197),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7197),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7197),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7197),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7197),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7197),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7197),
  },
  [2948] = {
    [sym__declaration_modifiers] = STATE(2871),
    [sym_attribute_specifier] = STATE(2871),
    [sym_attribute_declaration] = STATE(2871),
    [sym_ms_declspec_modifier] = STATE(2871),
    [sym_storage_class_specifier] = STATE(2871),
    [sym_type_qualifier] = STATE(2871),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2871),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2871),
    [sym_identifier] = ACTIONS(6964),
    [anon_sym_LPAREN2] = ACTIONS(6966),
    [anon_sym_STAR] = ACTIONS(6966),
    [anon_sym_CARET] = ACTIONS(6966),
    [anon_sym_SEMI] = ACTIONS(7203),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(6884),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(6964),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2949] = {
    [sym_identifier] = ACTIONS(7205),
    [anon_sym_COMMA] = ACTIONS(7207),
    [anon_sym_RPAREN] = ACTIONS(7207),
    [anon_sym_LPAREN2] = ACTIONS(7207),
    [anon_sym_STAR] = ACTIONS(7207),
    [anon_sym_CARET] = ACTIONS(7207),
    [anon_sym_SEMI] = ACTIONS(7207),
    [anon_sym___extension__] = ACTIONS(7205),
    [anon_sym_extern] = ACTIONS(7205),
    [anon_sym___attribute__] = ACTIONS(7205),
    [anon_sym___attribute] = ACTIONS(7205),
    [anon_sym_noreturn] = ACTIONS(7205),
    [anon_sym_LBRACK] = ACTIONS(7207),
    [anon_sym___declspec] = ACTIONS(7205),
    [anon_sym___based] = ACTIONS(7205),
    [anon_sym_signed] = ACTIONS(7205),
    [anon_sym_unsigned] = ACTIONS(7205),
    [anon_sym_long] = ACTIONS(7205),
    [anon_sym_short] = ACTIONS(7205),
    [anon_sym_static] = ACTIONS(7205),
    [anon_sym_auto] = ACTIONS(7205),
    [anon_sym_register] = ACTIONS(7205),
    [anon_sym_inline] = ACTIONS(7205),
    [anon_sym___inline] = ACTIONS(7205),
    [anon_sym___inline__] = ACTIONS(7205),
    [anon_sym___forceinline] = ACTIONS(7205),
    [anon_sym_thread_local] = ACTIONS(7205),
    [anon_sym___thread] = ACTIONS(7205),
    [anon_sym_CG_EXTERN] = ACTIONS(7205),
    [anon_sym_CG_INLINE] = ACTIONS(7205),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7205),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7205),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7205),
    [anon_sym_IBOutlet] = ACTIONS(7205),
    [anon_sym_IBInspectable] = ACTIONS(7205),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7205),
    [anon_sym_NS_INLINE] = ACTIONS(7205),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7205),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7205),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7205),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7205),
    [anon_sym_const] = ACTIONS(7205),
    [anon_sym_constexpr] = ACTIONS(7205),
    [anon_sym_volatile] = ACTIONS(7205),
    [anon_sym_restrict] = ACTIONS(7205),
    [anon_sym___restrict__] = ACTIONS(7205),
    [anon_sym__Atomic] = ACTIONS(7205),
    [anon_sym__Noreturn] = ACTIONS(7205),
    [anon_sym__Nonnull] = ACTIONS(7205),
    [anon_sym_nullable] = ACTIONS(7205),
    [anon_sym__Complex] = ACTIONS(7205),
    [anon_sym__Nullable] = ACTIONS(7205),
    [anon_sym__Nullable_result] = ACTIONS(7205),
    [anon_sym__Null_unspecified] = ACTIONS(7205),
    [anon_sym___autoreleasing] = ACTIONS(7205),
    [anon_sym___block] = ACTIONS(7205),
    [anon_sym___bridge] = ACTIONS(7205),
    [anon_sym___bridge_retained] = ACTIONS(7205),
    [anon_sym___bridge_transfer] = ACTIONS(7205),
    [anon_sym___complex] = ACTIONS(7205),
    [anon_sym___const] = ACTIONS(7205),
    [anon_sym___imag] = ACTIONS(7205),
    [anon_sym___kindof] = ACTIONS(7205),
    [anon_sym___nonnull] = ACTIONS(7205),
    [anon_sym___nullable] = ACTIONS(7205),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7205),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7205),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7205),
    [anon_sym___real] = ACTIONS(7205),
    [anon_sym___strong] = ACTIONS(7205),
    [anon_sym___unsafe_unretained] = ACTIONS(7205),
    [anon_sym___unused] = ACTIONS(7205),
    [anon_sym___weak] = ACTIONS(7205),
    [anon_sym_alignas] = ACTIONS(7205),
    [anon_sym__Alignas] = ACTIONS(7205),
    [sym_primitive_type] = ACTIONS(7205),
    [anon_sym_enum] = ACTIONS(7205),
    [anon_sym_COLON] = ACTIONS(7207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7205),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7205),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7205),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7205),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7205),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7205),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7205),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7205),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7205),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7205),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7205),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7205),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7205),
    [anon_sym_API_AVAILABLE] = ACTIONS(7205),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7205),
    [anon_sym_API_DEPRECATED] = ACTIONS(7205),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7205),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7205),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7205),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7205),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7205),
    [anon_sym___deprecated_msg] = ACTIONS(7205),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7205),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7205),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7205),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7205),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7205),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7205),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7205),
  },
  [2950] = {
    [sym_identifier] = ACTIONS(7209),
    [anon_sym_COMMA] = ACTIONS(7211),
    [anon_sym_RPAREN] = ACTIONS(7211),
    [anon_sym_LPAREN2] = ACTIONS(7211),
    [anon_sym_STAR] = ACTIONS(7211),
    [anon_sym_CARET] = ACTIONS(7211),
    [anon_sym_SEMI] = ACTIONS(7211),
    [anon_sym___extension__] = ACTIONS(7209),
    [anon_sym_extern] = ACTIONS(7209),
    [anon_sym___attribute__] = ACTIONS(7209),
    [anon_sym___attribute] = ACTIONS(7209),
    [anon_sym_noreturn] = ACTIONS(7209),
    [anon_sym_LBRACK] = ACTIONS(7211),
    [anon_sym___declspec] = ACTIONS(7209),
    [anon_sym___based] = ACTIONS(7209),
    [anon_sym_signed] = ACTIONS(7209),
    [anon_sym_unsigned] = ACTIONS(7209),
    [anon_sym_long] = ACTIONS(7209),
    [anon_sym_short] = ACTIONS(7209),
    [anon_sym_static] = ACTIONS(7209),
    [anon_sym_auto] = ACTIONS(7209),
    [anon_sym_register] = ACTIONS(7209),
    [anon_sym_inline] = ACTIONS(7209),
    [anon_sym___inline] = ACTIONS(7209),
    [anon_sym___inline__] = ACTIONS(7209),
    [anon_sym___forceinline] = ACTIONS(7209),
    [anon_sym_thread_local] = ACTIONS(7209),
    [anon_sym___thread] = ACTIONS(7209),
    [anon_sym_CG_EXTERN] = ACTIONS(7209),
    [anon_sym_CG_INLINE] = ACTIONS(7209),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7209),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7209),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7209),
    [anon_sym_IBOutlet] = ACTIONS(7209),
    [anon_sym_IBInspectable] = ACTIONS(7209),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7209),
    [anon_sym_NS_INLINE] = ACTIONS(7209),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7209),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7209),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7209),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7209),
    [anon_sym_const] = ACTIONS(7209),
    [anon_sym_constexpr] = ACTIONS(7209),
    [anon_sym_volatile] = ACTIONS(7209),
    [anon_sym_restrict] = ACTIONS(7209),
    [anon_sym___restrict__] = ACTIONS(7209),
    [anon_sym__Atomic] = ACTIONS(7209),
    [anon_sym__Noreturn] = ACTIONS(7209),
    [anon_sym__Nonnull] = ACTIONS(7209),
    [anon_sym_nullable] = ACTIONS(7209),
    [anon_sym__Complex] = ACTIONS(7209),
    [anon_sym__Nullable] = ACTIONS(7209),
    [anon_sym__Nullable_result] = ACTIONS(7209),
    [anon_sym__Null_unspecified] = ACTIONS(7209),
    [anon_sym___autoreleasing] = ACTIONS(7209),
    [anon_sym___block] = ACTIONS(7209),
    [anon_sym___bridge] = ACTIONS(7209),
    [anon_sym___bridge_retained] = ACTIONS(7209),
    [anon_sym___bridge_transfer] = ACTIONS(7209),
    [anon_sym___complex] = ACTIONS(7209),
    [anon_sym___const] = ACTIONS(7209),
    [anon_sym___imag] = ACTIONS(7209),
    [anon_sym___kindof] = ACTIONS(7209),
    [anon_sym___nonnull] = ACTIONS(7209),
    [anon_sym___nullable] = ACTIONS(7209),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7209),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7209),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7209),
    [anon_sym___real] = ACTIONS(7209),
    [anon_sym___strong] = ACTIONS(7209),
    [anon_sym___unsafe_unretained] = ACTIONS(7209),
    [anon_sym___unused] = ACTIONS(7209),
    [anon_sym___weak] = ACTIONS(7209),
    [anon_sym_alignas] = ACTIONS(7209),
    [anon_sym__Alignas] = ACTIONS(7209),
    [sym_primitive_type] = ACTIONS(7209),
    [anon_sym_enum] = ACTIONS(7209),
    [anon_sym_COLON] = ACTIONS(7211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7209),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7209),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7209),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7209),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7209),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7209),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7209),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7209),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7209),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7209),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7209),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7209),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7209),
    [anon_sym_API_AVAILABLE] = ACTIONS(7209),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7209),
    [anon_sym_API_DEPRECATED] = ACTIONS(7209),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7209),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7209),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7209),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7209),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7209),
    [anon_sym___deprecated_msg] = ACTIONS(7209),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7209),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7209),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7209),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7209),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7209),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7209),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7209),
  },
  [2951] = {
    [sym_identifier] = ACTIONS(7213),
    [anon_sym_COMMA] = ACTIONS(7215),
    [anon_sym_RPAREN] = ACTIONS(7215),
    [anon_sym_LPAREN2] = ACTIONS(7215),
    [anon_sym_STAR] = ACTIONS(7215),
    [anon_sym_CARET] = ACTIONS(7215),
    [anon_sym_SEMI] = ACTIONS(7215),
    [anon_sym___extension__] = ACTIONS(7213),
    [anon_sym_extern] = ACTIONS(7213),
    [anon_sym___attribute__] = ACTIONS(7213),
    [anon_sym___attribute] = ACTIONS(7213),
    [anon_sym_noreturn] = ACTIONS(7213),
    [anon_sym_LBRACK] = ACTIONS(7215),
    [anon_sym___declspec] = ACTIONS(7213),
    [anon_sym___based] = ACTIONS(7213),
    [anon_sym_signed] = ACTIONS(7213),
    [anon_sym_unsigned] = ACTIONS(7213),
    [anon_sym_long] = ACTIONS(7213),
    [anon_sym_short] = ACTIONS(7213),
    [anon_sym_static] = ACTIONS(7213),
    [anon_sym_auto] = ACTIONS(7213),
    [anon_sym_register] = ACTIONS(7213),
    [anon_sym_inline] = ACTIONS(7213),
    [anon_sym___inline] = ACTIONS(7213),
    [anon_sym___inline__] = ACTIONS(7213),
    [anon_sym___forceinline] = ACTIONS(7213),
    [anon_sym_thread_local] = ACTIONS(7213),
    [anon_sym___thread] = ACTIONS(7213),
    [anon_sym_CG_EXTERN] = ACTIONS(7213),
    [anon_sym_CG_INLINE] = ACTIONS(7213),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7213),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7213),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7213),
    [anon_sym_IBOutlet] = ACTIONS(7213),
    [anon_sym_IBInspectable] = ACTIONS(7213),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7213),
    [anon_sym_NS_INLINE] = ACTIONS(7213),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7213),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7213),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7213),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7213),
    [anon_sym_const] = ACTIONS(7213),
    [anon_sym_constexpr] = ACTIONS(7213),
    [anon_sym_volatile] = ACTIONS(7213),
    [anon_sym_restrict] = ACTIONS(7213),
    [anon_sym___restrict__] = ACTIONS(7213),
    [anon_sym__Atomic] = ACTIONS(7213),
    [anon_sym__Noreturn] = ACTIONS(7213),
    [anon_sym__Nonnull] = ACTIONS(7213),
    [anon_sym_nullable] = ACTIONS(7213),
    [anon_sym__Complex] = ACTIONS(7213),
    [anon_sym__Nullable] = ACTIONS(7213),
    [anon_sym__Nullable_result] = ACTIONS(7213),
    [anon_sym__Null_unspecified] = ACTIONS(7213),
    [anon_sym___autoreleasing] = ACTIONS(7213),
    [anon_sym___block] = ACTIONS(7213),
    [anon_sym___bridge] = ACTIONS(7213),
    [anon_sym___bridge_retained] = ACTIONS(7213),
    [anon_sym___bridge_transfer] = ACTIONS(7213),
    [anon_sym___complex] = ACTIONS(7213),
    [anon_sym___const] = ACTIONS(7213),
    [anon_sym___imag] = ACTIONS(7213),
    [anon_sym___kindof] = ACTIONS(7213),
    [anon_sym___nonnull] = ACTIONS(7213),
    [anon_sym___nullable] = ACTIONS(7213),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7213),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7213),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7213),
    [anon_sym___real] = ACTIONS(7213),
    [anon_sym___strong] = ACTIONS(7213),
    [anon_sym___unsafe_unretained] = ACTIONS(7213),
    [anon_sym___unused] = ACTIONS(7213),
    [anon_sym___weak] = ACTIONS(7213),
    [anon_sym_alignas] = ACTIONS(7213),
    [anon_sym__Alignas] = ACTIONS(7213),
    [sym_primitive_type] = ACTIONS(7213),
    [anon_sym_enum] = ACTIONS(7213),
    [anon_sym_COLON] = ACTIONS(7215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7213),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7213),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7213),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7213),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7213),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7213),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7213),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7213),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7213),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7213),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7213),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7213),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7213),
    [anon_sym_API_AVAILABLE] = ACTIONS(7213),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7213),
    [anon_sym_API_DEPRECATED] = ACTIONS(7213),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7213),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7213),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7213),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7213),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7213),
    [anon_sym___deprecated_msg] = ACTIONS(7213),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7213),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7213),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7213),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7213),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7213),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7213),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7213),
  },
  [2952] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2937),
    [sym_identifier] = ACTIONS(7217),
    [anon_sym_COMMA] = ACTIONS(7219),
    [anon_sym_RPAREN] = ACTIONS(7219),
    [anon_sym_LPAREN2] = ACTIONS(7219),
    [anon_sym_STAR] = ACTIONS(7219),
    [anon_sym_CARET] = ACTIONS(7219),
    [anon_sym_SEMI] = ACTIONS(7219),
    [anon_sym___extension__] = ACTIONS(7217),
    [anon_sym_extern] = ACTIONS(7217),
    [anon_sym___attribute__] = ACTIONS(7217),
    [anon_sym___attribute] = ACTIONS(7217),
    [anon_sym_noreturn] = ACTIONS(7217),
    [anon_sym_LBRACK] = ACTIONS(7219),
    [anon_sym___declspec] = ACTIONS(7217),
    [anon_sym___based] = ACTIONS(7217),
    [anon_sym_signed] = ACTIONS(7165),
    [anon_sym_unsigned] = ACTIONS(7165),
    [anon_sym_long] = ACTIONS(7165),
    [anon_sym_short] = ACTIONS(7165),
    [anon_sym_static] = ACTIONS(7217),
    [anon_sym_auto] = ACTIONS(7217),
    [anon_sym_register] = ACTIONS(7217),
    [anon_sym_inline] = ACTIONS(7217),
    [anon_sym___inline] = ACTIONS(7217),
    [anon_sym___inline__] = ACTIONS(7217),
    [anon_sym___forceinline] = ACTIONS(7217),
    [anon_sym_thread_local] = ACTIONS(7217),
    [anon_sym___thread] = ACTIONS(7217),
    [anon_sym_CG_EXTERN] = ACTIONS(7217),
    [anon_sym_CG_INLINE] = ACTIONS(7217),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7217),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7217),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7217),
    [anon_sym_IBOutlet] = ACTIONS(7217),
    [anon_sym_IBInspectable] = ACTIONS(7217),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7217),
    [anon_sym_NS_INLINE] = ACTIONS(7217),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7217),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7217),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7217),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7217),
    [anon_sym_const] = ACTIONS(7217),
    [anon_sym_constexpr] = ACTIONS(7217),
    [anon_sym_volatile] = ACTIONS(7217),
    [anon_sym_restrict] = ACTIONS(7217),
    [anon_sym___restrict__] = ACTIONS(7217),
    [anon_sym__Atomic] = ACTIONS(7217),
    [anon_sym__Noreturn] = ACTIONS(7217),
    [anon_sym__Nonnull] = ACTIONS(7217),
    [anon_sym_nullable] = ACTIONS(7217),
    [anon_sym__Complex] = ACTIONS(7217),
    [anon_sym__Nullable] = ACTIONS(7217),
    [anon_sym__Nullable_result] = ACTIONS(7217),
    [anon_sym__Null_unspecified] = ACTIONS(7217),
    [anon_sym___autoreleasing] = ACTIONS(7217),
    [anon_sym___block] = ACTIONS(7217),
    [anon_sym___bridge] = ACTIONS(7217),
    [anon_sym___bridge_retained] = ACTIONS(7217),
    [anon_sym___bridge_transfer] = ACTIONS(7217),
    [anon_sym___complex] = ACTIONS(7217),
    [anon_sym___const] = ACTIONS(7217),
    [anon_sym___imag] = ACTIONS(7217),
    [anon_sym___kindof] = ACTIONS(7217),
    [anon_sym___nonnull] = ACTIONS(7217),
    [anon_sym___nullable] = ACTIONS(7217),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7217),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7217),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7217),
    [anon_sym___real] = ACTIONS(7217),
    [anon_sym___strong] = ACTIONS(7217),
    [anon_sym___unsafe_unretained] = ACTIONS(7217),
    [anon_sym___unused] = ACTIONS(7217),
    [anon_sym___weak] = ACTIONS(7217),
    [anon_sym_alignas] = ACTIONS(7217),
    [anon_sym__Alignas] = ACTIONS(7217),
    [anon_sym_enum] = ACTIONS(7217),
    [anon_sym_COLON] = ACTIONS(7219),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7217),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7217),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7217),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7217),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7217),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7217),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7217),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7217),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7217),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7217),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7217),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7217),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7217),
    [anon_sym_API_AVAILABLE] = ACTIONS(7217),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7217),
    [anon_sym_API_DEPRECATED] = ACTIONS(7217),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7217),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7217),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7217),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7217),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7217),
    [anon_sym___deprecated_msg] = ACTIONS(7217),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7217),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7217),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7217),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7217),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7217),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7217),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7217),
  },
  [2953] = {
    [sym_identifier] = ACTIONS(7221),
    [anon_sym_COMMA] = ACTIONS(7223),
    [anon_sym_RPAREN] = ACTIONS(7223),
    [anon_sym_LPAREN2] = ACTIONS(7223),
    [anon_sym_STAR] = ACTIONS(7223),
    [anon_sym_CARET] = ACTIONS(7223),
    [anon_sym_SEMI] = ACTIONS(7223),
    [anon_sym___extension__] = ACTIONS(7221),
    [anon_sym_extern] = ACTIONS(7221),
    [anon_sym___attribute__] = ACTIONS(7221),
    [anon_sym___attribute] = ACTIONS(7221),
    [anon_sym_noreturn] = ACTIONS(7221),
    [anon_sym_LBRACK] = ACTIONS(7223),
    [anon_sym___declspec] = ACTIONS(7221),
    [anon_sym___based] = ACTIONS(7221),
    [anon_sym_signed] = ACTIONS(7221),
    [anon_sym_unsigned] = ACTIONS(7221),
    [anon_sym_long] = ACTIONS(7221),
    [anon_sym_short] = ACTIONS(7221),
    [anon_sym_static] = ACTIONS(7221),
    [anon_sym_auto] = ACTIONS(7221),
    [anon_sym_register] = ACTIONS(7221),
    [anon_sym_inline] = ACTIONS(7221),
    [anon_sym___inline] = ACTIONS(7221),
    [anon_sym___inline__] = ACTIONS(7221),
    [anon_sym___forceinline] = ACTIONS(7221),
    [anon_sym_thread_local] = ACTIONS(7221),
    [anon_sym___thread] = ACTIONS(7221),
    [anon_sym_CG_EXTERN] = ACTIONS(7221),
    [anon_sym_CG_INLINE] = ACTIONS(7221),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7221),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7221),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7221),
    [anon_sym_IBOutlet] = ACTIONS(7221),
    [anon_sym_IBInspectable] = ACTIONS(7221),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7221),
    [anon_sym_NS_INLINE] = ACTIONS(7221),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7221),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7221),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7221),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7221),
    [anon_sym_const] = ACTIONS(7221),
    [anon_sym_constexpr] = ACTIONS(7221),
    [anon_sym_volatile] = ACTIONS(7221),
    [anon_sym_restrict] = ACTIONS(7221),
    [anon_sym___restrict__] = ACTIONS(7221),
    [anon_sym__Atomic] = ACTIONS(7221),
    [anon_sym__Noreturn] = ACTIONS(7221),
    [anon_sym__Nonnull] = ACTIONS(7221),
    [anon_sym_nullable] = ACTIONS(7221),
    [anon_sym__Complex] = ACTIONS(7221),
    [anon_sym__Nullable] = ACTIONS(7221),
    [anon_sym__Nullable_result] = ACTIONS(7221),
    [anon_sym__Null_unspecified] = ACTIONS(7221),
    [anon_sym___autoreleasing] = ACTIONS(7221),
    [anon_sym___block] = ACTIONS(7221),
    [anon_sym___bridge] = ACTIONS(7221),
    [anon_sym___bridge_retained] = ACTIONS(7221),
    [anon_sym___bridge_transfer] = ACTIONS(7221),
    [anon_sym___complex] = ACTIONS(7221),
    [anon_sym___const] = ACTIONS(7221),
    [anon_sym___imag] = ACTIONS(7221),
    [anon_sym___kindof] = ACTIONS(7221),
    [anon_sym___nonnull] = ACTIONS(7221),
    [anon_sym___nullable] = ACTIONS(7221),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7221),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7221),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7221),
    [anon_sym___real] = ACTIONS(7221),
    [anon_sym___strong] = ACTIONS(7221),
    [anon_sym___unsafe_unretained] = ACTIONS(7221),
    [anon_sym___unused] = ACTIONS(7221),
    [anon_sym___weak] = ACTIONS(7221),
    [anon_sym_alignas] = ACTIONS(7221),
    [anon_sym__Alignas] = ACTIONS(7221),
    [sym_primitive_type] = ACTIONS(7221),
    [anon_sym_enum] = ACTIONS(7221),
    [anon_sym_COLON] = ACTIONS(7223),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7221),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7221),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7221),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7221),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7221),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7221),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7221),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7221),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7221),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7221),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7221),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7221),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7221),
    [anon_sym_API_AVAILABLE] = ACTIONS(7221),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7221),
    [anon_sym_API_DEPRECATED] = ACTIONS(7221),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7221),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7221),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7221),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7221),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7221),
    [anon_sym___deprecated_msg] = ACTIONS(7221),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7221),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7221),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7221),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7221),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7221),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7221),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7221),
  },
  [2954] = {
    [sym_identifier] = ACTIONS(7225),
    [anon_sym_COMMA] = ACTIONS(7227),
    [anon_sym_RPAREN] = ACTIONS(7227),
    [anon_sym_LPAREN2] = ACTIONS(7227),
    [anon_sym_STAR] = ACTIONS(7227),
    [anon_sym_CARET] = ACTIONS(7227),
    [anon_sym_SEMI] = ACTIONS(7227),
    [anon_sym___extension__] = ACTIONS(7225),
    [anon_sym_extern] = ACTIONS(7225),
    [anon_sym___attribute__] = ACTIONS(7225),
    [anon_sym___attribute] = ACTIONS(7225),
    [anon_sym_noreturn] = ACTIONS(7225),
    [anon_sym_LBRACK] = ACTIONS(7227),
    [anon_sym___declspec] = ACTIONS(7225),
    [anon_sym___based] = ACTIONS(7225),
    [anon_sym_signed] = ACTIONS(7225),
    [anon_sym_unsigned] = ACTIONS(7225),
    [anon_sym_long] = ACTIONS(7225),
    [anon_sym_short] = ACTIONS(7225),
    [anon_sym_static] = ACTIONS(7225),
    [anon_sym_auto] = ACTIONS(7225),
    [anon_sym_register] = ACTIONS(7225),
    [anon_sym_inline] = ACTIONS(7225),
    [anon_sym___inline] = ACTIONS(7225),
    [anon_sym___inline__] = ACTIONS(7225),
    [anon_sym___forceinline] = ACTIONS(7225),
    [anon_sym_thread_local] = ACTIONS(7225),
    [anon_sym___thread] = ACTIONS(7225),
    [anon_sym_CG_EXTERN] = ACTIONS(7225),
    [anon_sym_CG_INLINE] = ACTIONS(7225),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7225),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7225),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7225),
    [anon_sym_IBOutlet] = ACTIONS(7225),
    [anon_sym_IBInspectable] = ACTIONS(7225),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7225),
    [anon_sym_NS_INLINE] = ACTIONS(7225),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7225),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7225),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7225),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7225),
    [anon_sym_const] = ACTIONS(7225),
    [anon_sym_constexpr] = ACTIONS(7225),
    [anon_sym_volatile] = ACTIONS(7225),
    [anon_sym_restrict] = ACTIONS(7225),
    [anon_sym___restrict__] = ACTIONS(7225),
    [anon_sym__Atomic] = ACTIONS(7225),
    [anon_sym__Noreturn] = ACTIONS(7225),
    [anon_sym__Nonnull] = ACTIONS(7225),
    [anon_sym_nullable] = ACTIONS(7225),
    [anon_sym__Complex] = ACTIONS(7225),
    [anon_sym__Nullable] = ACTIONS(7225),
    [anon_sym__Nullable_result] = ACTIONS(7225),
    [anon_sym__Null_unspecified] = ACTIONS(7225),
    [anon_sym___autoreleasing] = ACTIONS(7225),
    [anon_sym___block] = ACTIONS(7225),
    [anon_sym___bridge] = ACTIONS(7225),
    [anon_sym___bridge_retained] = ACTIONS(7225),
    [anon_sym___bridge_transfer] = ACTIONS(7225),
    [anon_sym___complex] = ACTIONS(7225),
    [anon_sym___const] = ACTIONS(7225),
    [anon_sym___imag] = ACTIONS(7225),
    [anon_sym___kindof] = ACTIONS(7225),
    [anon_sym___nonnull] = ACTIONS(7225),
    [anon_sym___nullable] = ACTIONS(7225),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7225),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7225),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7225),
    [anon_sym___real] = ACTIONS(7225),
    [anon_sym___strong] = ACTIONS(7225),
    [anon_sym___unsafe_unretained] = ACTIONS(7225),
    [anon_sym___unused] = ACTIONS(7225),
    [anon_sym___weak] = ACTIONS(7225),
    [anon_sym_alignas] = ACTIONS(7225),
    [anon_sym__Alignas] = ACTIONS(7225),
    [sym_primitive_type] = ACTIONS(7225),
    [anon_sym_enum] = ACTIONS(7225),
    [anon_sym_COLON] = ACTIONS(7227),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7225),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7225),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7225),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7225),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7225),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7225),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7225),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7225),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7225),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7225),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7225),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7225),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7225),
    [anon_sym_API_AVAILABLE] = ACTIONS(7225),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7225),
    [anon_sym_API_DEPRECATED] = ACTIONS(7225),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7225),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7225),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7225),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7225),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7225),
    [anon_sym___deprecated_msg] = ACTIONS(7225),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7225),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7225),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7225),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7225),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7225),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7225),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7225),
  },
  [2955] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2940),
    [sym_identifier] = ACTIONS(7229),
    [anon_sym_COMMA] = ACTIONS(7231),
    [anon_sym_RPAREN] = ACTIONS(7231),
    [anon_sym_LPAREN2] = ACTIONS(7231),
    [anon_sym_STAR] = ACTIONS(7231),
    [anon_sym_CARET] = ACTIONS(7231),
    [anon_sym_SEMI] = ACTIONS(7231),
    [anon_sym___extension__] = ACTIONS(7229),
    [anon_sym_extern] = ACTIONS(7229),
    [anon_sym___attribute__] = ACTIONS(7229),
    [anon_sym___attribute] = ACTIONS(7229),
    [anon_sym_noreturn] = ACTIONS(7229),
    [anon_sym_LBRACK] = ACTIONS(7231),
    [anon_sym___declspec] = ACTIONS(7229),
    [anon_sym___based] = ACTIONS(7229),
    [anon_sym_signed] = ACTIONS(7233),
    [anon_sym_unsigned] = ACTIONS(7233),
    [anon_sym_long] = ACTIONS(7233),
    [anon_sym_short] = ACTIONS(7233),
    [anon_sym_static] = ACTIONS(7229),
    [anon_sym_auto] = ACTIONS(7229),
    [anon_sym_register] = ACTIONS(7229),
    [anon_sym_inline] = ACTIONS(7229),
    [anon_sym___inline] = ACTIONS(7229),
    [anon_sym___inline__] = ACTIONS(7229),
    [anon_sym___forceinline] = ACTIONS(7229),
    [anon_sym_thread_local] = ACTIONS(7229),
    [anon_sym___thread] = ACTIONS(7229),
    [anon_sym_CG_EXTERN] = ACTIONS(7229),
    [anon_sym_CG_INLINE] = ACTIONS(7229),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7229),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7229),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7229),
    [anon_sym_IBOutlet] = ACTIONS(7229),
    [anon_sym_IBInspectable] = ACTIONS(7229),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7229),
    [anon_sym_NS_INLINE] = ACTIONS(7229),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7229),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7229),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7229),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7229),
    [anon_sym_const] = ACTIONS(7229),
    [anon_sym_constexpr] = ACTIONS(7229),
    [anon_sym_volatile] = ACTIONS(7229),
    [anon_sym_restrict] = ACTIONS(7229),
    [anon_sym___restrict__] = ACTIONS(7229),
    [anon_sym__Atomic] = ACTIONS(7229),
    [anon_sym__Noreturn] = ACTIONS(7229),
    [anon_sym__Nonnull] = ACTIONS(7229),
    [anon_sym_nullable] = ACTIONS(7229),
    [anon_sym__Complex] = ACTIONS(7229),
    [anon_sym__Nullable] = ACTIONS(7229),
    [anon_sym__Nullable_result] = ACTIONS(7229),
    [anon_sym__Null_unspecified] = ACTIONS(7229),
    [anon_sym___autoreleasing] = ACTIONS(7229),
    [anon_sym___block] = ACTIONS(7229),
    [anon_sym___bridge] = ACTIONS(7229),
    [anon_sym___bridge_retained] = ACTIONS(7229),
    [anon_sym___bridge_transfer] = ACTIONS(7229),
    [anon_sym___complex] = ACTIONS(7229),
    [anon_sym___const] = ACTIONS(7229),
    [anon_sym___imag] = ACTIONS(7229),
    [anon_sym___kindof] = ACTIONS(7229),
    [anon_sym___nonnull] = ACTIONS(7229),
    [anon_sym___nullable] = ACTIONS(7229),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7229),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7229),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7229),
    [anon_sym___real] = ACTIONS(7229),
    [anon_sym___strong] = ACTIONS(7229),
    [anon_sym___unsafe_unretained] = ACTIONS(7229),
    [anon_sym___unused] = ACTIONS(7229),
    [anon_sym___weak] = ACTIONS(7229),
    [anon_sym_alignas] = ACTIONS(7229),
    [anon_sym__Alignas] = ACTIONS(7229),
    [anon_sym_enum] = ACTIONS(7229),
    [anon_sym_COLON] = ACTIONS(7231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7229),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7229),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7229),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7229),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7229),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7229),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7229),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7229),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7229),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7229),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7229),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7229),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7229),
    [anon_sym_API_AVAILABLE] = ACTIONS(7229),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7229),
    [anon_sym_API_DEPRECATED] = ACTIONS(7229),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7229),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7229),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7229),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7229),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7229),
    [anon_sym___deprecated_msg] = ACTIONS(7229),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7229),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7229),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7229),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7229),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7229),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7229),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7229),
  },
  [2956] = {
    [sym_identifier] = ACTIONS(7235),
    [anon_sym_COMMA] = ACTIONS(7237),
    [anon_sym_RPAREN] = ACTIONS(7237),
    [anon_sym_LPAREN2] = ACTIONS(7237),
    [anon_sym_STAR] = ACTIONS(7237),
    [anon_sym_CARET] = ACTIONS(7237),
    [anon_sym_SEMI] = ACTIONS(7237),
    [anon_sym___extension__] = ACTIONS(7235),
    [anon_sym_extern] = ACTIONS(7235),
    [anon_sym___attribute__] = ACTIONS(7235),
    [anon_sym___attribute] = ACTIONS(7235),
    [anon_sym_noreturn] = ACTIONS(7235),
    [anon_sym_LBRACK] = ACTIONS(7237),
    [anon_sym___declspec] = ACTIONS(7235),
    [anon_sym___based] = ACTIONS(7235),
    [anon_sym_signed] = ACTIONS(7235),
    [anon_sym_unsigned] = ACTIONS(7235),
    [anon_sym_long] = ACTIONS(7235),
    [anon_sym_short] = ACTIONS(7235),
    [anon_sym_static] = ACTIONS(7235),
    [anon_sym_auto] = ACTIONS(7235),
    [anon_sym_register] = ACTIONS(7235),
    [anon_sym_inline] = ACTIONS(7235),
    [anon_sym___inline] = ACTIONS(7235),
    [anon_sym___inline__] = ACTIONS(7235),
    [anon_sym___forceinline] = ACTIONS(7235),
    [anon_sym_thread_local] = ACTIONS(7235),
    [anon_sym___thread] = ACTIONS(7235),
    [anon_sym_CG_EXTERN] = ACTIONS(7235),
    [anon_sym_CG_INLINE] = ACTIONS(7235),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7235),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7235),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7235),
    [anon_sym_IBOutlet] = ACTIONS(7235),
    [anon_sym_IBInspectable] = ACTIONS(7235),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7235),
    [anon_sym_NS_INLINE] = ACTIONS(7235),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7235),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7235),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7235),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7235),
    [anon_sym_const] = ACTIONS(7235),
    [anon_sym_constexpr] = ACTIONS(7235),
    [anon_sym_volatile] = ACTIONS(7235),
    [anon_sym_restrict] = ACTIONS(7235),
    [anon_sym___restrict__] = ACTIONS(7235),
    [anon_sym__Atomic] = ACTIONS(7235),
    [anon_sym__Noreturn] = ACTIONS(7235),
    [anon_sym__Nonnull] = ACTIONS(7235),
    [anon_sym_nullable] = ACTIONS(7235),
    [anon_sym__Complex] = ACTIONS(7235),
    [anon_sym__Nullable] = ACTIONS(7235),
    [anon_sym__Nullable_result] = ACTIONS(7235),
    [anon_sym__Null_unspecified] = ACTIONS(7235),
    [anon_sym___autoreleasing] = ACTIONS(7235),
    [anon_sym___block] = ACTIONS(7235),
    [anon_sym___bridge] = ACTIONS(7235),
    [anon_sym___bridge_retained] = ACTIONS(7235),
    [anon_sym___bridge_transfer] = ACTIONS(7235),
    [anon_sym___complex] = ACTIONS(7235),
    [anon_sym___const] = ACTIONS(7235),
    [anon_sym___imag] = ACTIONS(7235),
    [anon_sym___kindof] = ACTIONS(7235),
    [anon_sym___nonnull] = ACTIONS(7235),
    [anon_sym___nullable] = ACTIONS(7235),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7235),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7235),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7235),
    [anon_sym___real] = ACTIONS(7235),
    [anon_sym___strong] = ACTIONS(7235),
    [anon_sym___unsafe_unretained] = ACTIONS(7235),
    [anon_sym___unused] = ACTIONS(7235),
    [anon_sym___weak] = ACTIONS(7235),
    [anon_sym_alignas] = ACTIONS(7235),
    [anon_sym__Alignas] = ACTIONS(7235),
    [sym_primitive_type] = ACTIONS(7235),
    [anon_sym_enum] = ACTIONS(7235),
    [anon_sym_COLON] = ACTIONS(7237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7235),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7235),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7235),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7235),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7235),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7235),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7235),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7235),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7235),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7235),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7235),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7235),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7235),
    [anon_sym_API_AVAILABLE] = ACTIONS(7235),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7235),
    [anon_sym_API_DEPRECATED] = ACTIONS(7235),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7235),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7235),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7235),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7235),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7235),
    [anon_sym___deprecated_msg] = ACTIONS(7235),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7235),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7235),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7235),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7235),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7235),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7235),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7235),
  },
  [2957] = {
    [sym_identifier] = ACTIONS(7239),
    [anon_sym_COMMA] = ACTIONS(7241),
    [anon_sym_RPAREN] = ACTIONS(7241),
    [anon_sym_LPAREN2] = ACTIONS(7241),
    [anon_sym_STAR] = ACTIONS(7241),
    [anon_sym_CARET] = ACTIONS(7241),
    [anon_sym_SEMI] = ACTIONS(7241),
    [anon_sym___extension__] = ACTIONS(7239),
    [anon_sym_extern] = ACTIONS(7239),
    [anon_sym___attribute__] = ACTIONS(7239),
    [anon_sym___attribute] = ACTIONS(7239),
    [anon_sym_noreturn] = ACTIONS(7239),
    [anon_sym_LBRACK] = ACTIONS(7241),
    [anon_sym___declspec] = ACTIONS(7239),
    [anon_sym___based] = ACTIONS(7239),
    [anon_sym_signed] = ACTIONS(7239),
    [anon_sym_unsigned] = ACTIONS(7239),
    [anon_sym_long] = ACTIONS(7239),
    [anon_sym_short] = ACTIONS(7239),
    [anon_sym_static] = ACTIONS(7239),
    [anon_sym_auto] = ACTIONS(7239),
    [anon_sym_register] = ACTIONS(7239),
    [anon_sym_inline] = ACTIONS(7239),
    [anon_sym___inline] = ACTIONS(7239),
    [anon_sym___inline__] = ACTIONS(7239),
    [anon_sym___forceinline] = ACTIONS(7239),
    [anon_sym_thread_local] = ACTIONS(7239),
    [anon_sym___thread] = ACTIONS(7239),
    [anon_sym_CG_EXTERN] = ACTIONS(7239),
    [anon_sym_CG_INLINE] = ACTIONS(7239),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7239),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7239),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7239),
    [anon_sym_IBOutlet] = ACTIONS(7239),
    [anon_sym_IBInspectable] = ACTIONS(7239),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7239),
    [anon_sym_NS_INLINE] = ACTIONS(7239),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7239),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7239),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7239),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7239),
    [anon_sym_const] = ACTIONS(7239),
    [anon_sym_constexpr] = ACTIONS(7239),
    [anon_sym_volatile] = ACTIONS(7239),
    [anon_sym_restrict] = ACTIONS(7239),
    [anon_sym___restrict__] = ACTIONS(7239),
    [anon_sym__Atomic] = ACTIONS(7239),
    [anon_sym__Noreturn] = ACTIONS(7239),
    [anon_sym__Nonnull] = ACTIONS(7239),
    [anon_sym_nullable] = ACTIONS(7239),
    [anon_sym__Complex] = ACTIONS(7239),
    [anon_sym__Nullable] = ACTIONS(7239),
    [anon_sym__Nullable_result] = ACTIONS(7239),
    [anon_sym__Null_unspecified] = ACTIONS(7239),
    [anon_sym___autoreleasing] = ACTIONS(7239),
    [anon_sym___block] = ACTIONS(7239),
    [anon_sym___bridge] = ACTIONS(7239),
    [anon_sym___bridge_retained] = ACTIONS(7239),
    [anon_sym___bridge_transfer] = ACTIONS(7239),
    [anon_sym___complex] = ACTIONS(7239),
    [anon_sym___const] = ACTIONS(7239),
    [anon_sym___imag] = ACTIONS(7239),
    [anon_sym___kindof] = ACTIONS(7239),
    [anon_sym___nonnull] = ACTIONS(7239),
    [anon_sym___nullable] = ACTIONS(7239),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7239),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7239),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7239),
    [anon_sym___real] = ACTIONS(7239),
    [anon_sym___strong] = ACTIONS(7239),
    [anon_sym___unsafe_unretained] = ACTIONS(7239),
    [anon_sym___unused] = ACTIONS(7239),
    [anon_sym___weak] = ACTIONS(7239),
    [anon_sym_alignas] = ACTIONS(7239),
    [anon_sym__Alignas] = ACTIONS(7239),
    [sym_primitive_type] = ACTIONS(7239),
    [anon_sym_enum] = ACTIONS(7239),
    [anon_sym_COLON] = ACTIONS(7241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7239),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7239),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7239),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7239),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7239),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7239),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7239),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7239),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7239),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7239),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7239),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7239),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7239),
    [anon_sym_API_AVAILABLE] = ACTIONS(7239),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7239),
    [anon_sym_API_DEPRECATED] = ACTIONS(7239),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7239),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7239),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7239),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7239),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7239),
    [anon_sym___deprecated_msg] = ACTIONS(7239),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7239),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7239),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7239),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7239),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7239),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7239),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7239),
  },
  [2958] = {
    [sym_identifier] = ACTIONS(7243),
    [anon_sym_COMMA] = ACTIONS(7245),
    [anon_sym_RPAREN] = ACTIONS(7245),
    [anon_sym_LPAREN2] = ACTIONS(7245),
    [anon_sym_STAR] = ACTIONS(7245),
    [anon_sym_CARET] = ACTIONS(7245),
    [anon_sym_SEMI] = ACTIONS(7245),
    [anon_sym___extension__] = ACTIONS(7243),
    [anon_sym_extern] = ACTIONS(7243),
    [anon_sym___attribute__] = ACTIONS(7243),
    [anon_sym___attribute] = ACTIONS(7243),
    [anon_sym_noreturn] = ACTIONS(7243),
    [anon_sym_LBRACK] = ACTIONS(7245),
    [anon_sym___declspec] = ACTIONS(7243),
    [anon_sym___based] = ACTIONS(7243),
    [anon_sym_signed] = ACTIONS(7243),
    [anon_sym_unsigned] = ACTIONS(7243),
    [anon_sym_long] = ACTIONS(7243),
    [anon_sym_short] = ACTIONS(7243),
    [anon_sym_static] = ACTIONS(7243),
    [anon_sym_auto] = ACTIONS(7243),
    [anon_sym_register] = ACTIONS(7243),
    [anon_sym_inline] = ACTIONS(7243),
    [anon_sym___inline] = ACTIONS(7243),
    [anon_sym___inline__] = ACTIONS(7243),
    [anon_sym___forceinline] = ACTIONS(7243),
    [anon_sym_thread_local] = ACTIONS(7243),
    [anon_sym___thread] = ACTIONS(7243),
    [anon_sym_CG_EXTERN] = ACTIONS(7243),
    [anon_sym_CG_INLINE] = ACTIONS(7243),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7243),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7243),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7243),
    [anon_sym_IBOutlet] = ACTIONS(7243),
    [anon_sym_IBInspectable] = ACTIONS(7243),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7243),
    [anon_sym_NS_INLINE] = ACTIONS(7243),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7243),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7243),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7243),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7243),
    [anon_sym_const] = ACTIONS(7243),
    [anon_sym_constexpr] = ACTIONS(7243),
    [anon_sym_volatile] = ACTIONS(7243),
    [anon_sym_restrict] = ACTIONS(7243),
    [anon_sym___restrict__] = ACTIONS(7243),
    [anon_sym__Atomic] = ACTIONS(7243),
    [anon_sym__Noreturn] = ACTIONS(7243),
    [anon_sym__Nonnull] = ACTIONS(7243),
    [anon_sym_nullable] = ACTIONS(7243),
    [anon_sym__Complex] = ACTIONS(7243),
    [anon_sym__Nullable] = ACTIONS(7243),
    [anon_sym__Nullable_result] = ACTIONS(7243),
    [anon_sym__Null_unspecified] = ACTIONS(7243),
    [anon_sym___autoreleasing] = ACTIONS(7243),
    [anon_sym___block] = ACTIONS(7243),
    [anon_sym___bridge] = ACTIONS(7243),
    [anon_sym___bridge_retained] = ACTIONS(7243),
    [anon_sym___bridge_transfer] = ACTIONS(7243),
    [anon_sym___complex] = ACTIONS(7243),
    [anon_sym___const] = ACTIONS(7243),
    [anon_sym___imag] = ACTIONS(7243),
    [anon_sym___kindof] = ACTIONS(7243),
    [anon_sym___nonnull] = ACTIONS(7243),
    [anon_sym___nullable] = ACTIONS(7243),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7243),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7243),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7243),
    [anon_sym___real] = ACTIONS(7243),
    [anon_sym___strong] = ACTIONS(7243),
    [anon_sym___unsafe_unretained] = ACTIONS(7243),
    [anon_sym___unused] = ACTIONS(7243),
    [anon_sym___weak] = ACTIONS(7243),
    [anon_sym_alignas] = ACTIONS(7243),
    [anon_sym__Alignas] = ACTIONS(7243),
    [sym_primitive_type] = ACTIONS(7243),
    [anon_sym_enum] = ACTIONS(7243),
    [anon_sym_COLON] = ACTIONS(7245),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7243),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7243),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7243),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7243),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7243),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7243),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7243),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7243),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7243),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7243),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7243),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7243),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7243),
    [anon_sym_API_AVAILABLE] = ACTIONS(7243),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7243),
    [anon_sym_API_DEPRECATED] = ACTIONS(7243),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7243),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7243),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7243),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7243),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7243),
    [anon_sym___deprecated_msg] = ACTIONS(7243),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7243),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7243),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7243),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7243),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7243),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7243),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7243),
  },
  [2959] = {
    [sym_identifier] = ACTIONS(7247),
    [anon_sym_COMMA] = ACTIONS(7249),
    [anon_sym_RPAREN] = ACTIONS(7249),
    [anon_sym_LPAREN2] = ACTIONS(7249),
    [anon_sym_STAR] = ACTIONS(7249),
    [anon_sym_CARET] = ACTIONS(7249),
    [anon_sym_SEMI] = ACTIONS(7249),
    [anon_sym___extension__] = ACTIONS(7247),
    [anon_sym_extern] = ACTIONS(7247),
    [anon_sym___attribute__] = ACTIONS(7247),
    [anon_sym___attribute] = ACTIONS(7247),
    [anon_sym_noreturn] = ACTIONS(7247),
    [anon_sym_LBRACK] = ACTIONS(7249),
    [anon_sym___declspec] = ACTIONS(7247),
    [anon_sym___based] = ACTIONS(7247),
    [anon_sym_signed] = ACTIONS(7247),
    [anon_sym_unsigned] = ACTIONS(7247),
    [anon_sym_long] = ACTIONS(7247),
    [anon_sym_short] = ACTIONS(7247),
    [anon_sym_static] = ACTIONS(7247),
    [anon_sym_auto] = ACTIONS(7247),
    [anon_sym_register] = ACTIONS(7247),
    [anon_sym_inline] = ACTIONS(7247),
    [anon_sym___inline] = ACTIONS(7247),
    [anon_sym___inline__] = ACTIONS(7247),
    [anon_sym___forceinline] = ACTIONS(7247),
    [anon_sym_thread_local] = ACTIONS(7247),
    [anon_sym___thread] = ACTIONS(7247),
    [anon_sym_CG_EXTERN] = ACTIONS(7247),
    [anon_sym_CG_INLINE] = ACTIONS(7247),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7247),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7247),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7247),
    [anon_sym_IBOutlet] = ACTIONS(7247),
    [anon_sym_IBInspectable] = ACTIONS(7247),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7247),
    [anon_sym_NS_INLINE] = ACTIONS(7247),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7247),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7247),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7247),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7247),
    [anon_sym_const] = ACTIONS(7247),
    [anon_sym_constexpr] = ACTIONS(7247),
    [anon_sym_volatile] = ACTIONS(7247),
    [anon_sym_restrict] = ACTIONS(7247),
    [anon_sym___restrict__] = ACTIONS(7247),
    [anon_sym__Atomic] = ACTIONS(7247),
    [anon_sym__Noreturn] = ACTIONS(7247),
    [anon_sym__Nonnull] = ACTIONS(7247),
    [anon_sym_nullable] = ACTIONS(7247),
    [anon_sym__Complex] = ACTIONS(7247),
    [anon_sym__Nullable] = ACTIONS(7247),
    [anon_sym__Nullable_result] = ACTIONS(7247),
    [anon_sym__Null_unspecified] = ACTIONS(7247),
    [anon_sym___autoreleasing] = ACTIONS(7247),
    [anon_sym___block] = ACTIONS(7247),
    [anon_sym___bridge] = ACTIONS(7247),
    [anon_sym___bridge_retained] = ACTIONS(7247),
    [anon_sym___bridge_transfer] = ACTIONS(7247),
    [anon_sym___complex] = ACTIONS(7247),
    [anon_sym___const] = ACTIONS(7247),
    [anon_sym___imag] = ACTIONS(7247),
    [anon_sym___kindof] = ACTIONS(7247),
    [anon_sym___nonnull] = ACTIONS(7247),
    [anon_sym___nullable] = ACTIONS(7247),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7247),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7247),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7247),
    [anon_sym___real] = ACTIONS(7247),
    [anon_sym___strong] = ACTIONS(7247),
    [anon_sym___unsafe_unretained] = ACTIONS(7247),
    [anon_sym___unused] = ACTIONS(7247),
    [anon_sym___weak] = ACTIONS(7247),
    [anon_sym_alignas] = ACTIONS(7247),
    [anon_sym__Alignas] = ACTIONS(7247),
    [sym_primitive_type] = ACTIONS(7247),
    [anon_sym_enum] = ACTIONS(7247),
    [anon_sym_COLON] = ACTIONS(7249),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7247),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7247),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7247),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7247),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7247),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7247),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7247),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7247),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7247),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7247),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7247),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7247),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7247),
    [anon_sym_API_AVAILABLE] = ACTIONS(7247),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7247),
    [anon_sym_API_DEPRECATED] = ACTIONS(7247),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7247),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7247),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7247),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7247),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7247),
    [anon_sym___deprecated_msg] = ACTIONS(7247),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7247),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7247),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7247),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7247),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7247),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7247),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7247),
  },
  [2960] = {
    [sym_identifier] = ACTIONS(7251),
    [anon_sym_COMMA] = ACTIONS(7253),
    [anon_sym_RPAREN] = ACTIONS(7253),
    [anon_sym_LPAREN2] = ACTIONS(7253),
    [anon_sym_STAR] = ACTIONS(7253),
    [anon_sym_CARET] = ACTIONS(7253),
    [anon_sym_SEMI] = ACTIONS(7253),
    [anon_sym___extension__] = ACTIONS(7251),
    [anon_sym_extern] = ACTIONS(7251),
    [anon_sym___attribute__] = ACTIONS(7251),
    [anon_sym___attribute] = ACTIONS(7251),
    [anon_sym_noreturn] = ACTIONS(7251),
    [anon_sym_LBRACK] = ACTIONS(7253),
    [anon_sym___declspec] = ACTIONS(7251),
    [anon_sym___based] = ACTIONS(7251),
    [anon_sym_signed] = ACTIONS(7251),
    [anon_sym_unsigned] = ACTIONS(7251),
    [anon_sym_long] = ACTIONS(7251),
    [anon_sym_short] = ACTIONS(7251),
    [anon_sym_static] = ACTIONS(7251),
    [anon_sym_auto] = ACTIONS(7251),
    [anon_sym_register] = ACTIONS(7251),
    [anon_sym_inline] = ACTIONS(7251),
    [anon_sym___inline] = ACTIONS(7251),
    [anon_sym___inline__] = ACTIONS(7251),
    [anon_sym___forceinline] = ACTIONS(7251),
    [anon_sym_thread_local] = ACTIONS(7251),
    [anon_sym___thread] = ACTIONS(7251),
    [anon_sym_CG_EXTERN] = ACTIONS(7251),
    [anon_sym_CG_INLINE] = ACTIONS(7251),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7251),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7251),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7251),
    [anon_sym_IBOutlet] = ACTIONS(7251),
    [anon_sym_IBInspectable] = ACTIONS(7251),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7251),
    [anon_sym_NS_INLINE] = ACTIONS(7251),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7251),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7251),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7251),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7251),
    [anon_sym_const] = ACTIONS(7251),
    [anon_sym_constexpr] = ACTIONS(7251),
    [anon_sym_volatile] = ACTIONS(7251),
    [anon_sym_restrict] = ACTIONS(7251),
    [anon_sym___restrict__] = ACTIONS(7251),
    [anon_sym__Atomic] = ACTIONS(7251),
    [anon_sym__Noreturn] = ACTIONS(7251),
    [anon_sym__Nonnull] = ACTIONS(7251),
    [anon_sym_nullable] = ACTIONS(7251),
    [anon_sym__Complex] = ACTIONS(7251),
    [anon_sym__Nullable] = ACTIONS(7251),
    [anon_sym__Nullable_result] = ACTIONS(7251),
    [anon_sym__Null_unspecified] = ACTIONS(7251),
    [anon_sym___autoreleasing] = ACTIONS(7251),
    [anon_sym___block] = ACTIONS(7251),
    [anon_sym___bridge] = ACTIONS(7251),
    [anon_sym___bridge_retained] = ACTIONS(7251),
    [anon_sym___bridge_transfer] = ACTIONS(7251),
    [anon_sym___complex] = ACTIONS(7251),
    [anon_sym___const] = ACTIONS(7251),
    [anon_sym___imag] = ACTIONS(7251),
    [anon_sym___kindof] = ACTIONS(7251),
    [anon_sym___nonnull] = ACTIONS(7251),
    [anon_sym___nullable] = ACTIONS(7251),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7251),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7251),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7251),
    [anon_sym___real] = ACTIONS(7251),
    [anon_sym___strong] = ACTIONS(7251),
    [anon_sym___unsafe_unretained] = ACTIONS(7251),
    [anon_sym___unused] = ACTIONS(7251),
    [anon_sym___weak] = ACTIONS(7251),
    [anon_sym_alignas] = ACTIONS(7251),
    [anon_sym__Alignas] = ACTIONS(7251),
    [sym_primitive_type] = ACTIONS(7251),
    [anon_sym_enum] = ACTIONS(7251),
    [anon_sym_COLON] = ACTIONS(7253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7251),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7251),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7251),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7251),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7251),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7251),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7251),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7251),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7251),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7251),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7251),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7251),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7251),
    [anon_sym_API_AVAILABLE] = ACTIONS(7251),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7251),
    [anon_sym_API_DEPRECATED] = ACTIONS(7251),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7251),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7251),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7251),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7251),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7251),
    [anon_sym___deprecated_msg] = ACTIONS(7251),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7251),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7251),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7251),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7251),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7251),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7251),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7251),
  },
  [2961] = {
    [sym_method_parameter] = STATE(2818),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(7071),
    [anon_sym_STAR] = ACTIONS(5922),
    [anon_sym_CARET] = ACTIONS(5922),
    [anon_sym_LT] = ACTIONS(7074),
    [anon_sym_SEMI] = ACTIONS(7255),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(5922),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [anon_sym_COLON] = ACTIONS(4661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [2962] = {
    [sym_identifier] = ACTIONS(7257),
    [anon_sym_COMMA] = ACTIONS(7259),
    [anon_sym_RPAREN] = ACTIONS(7259),
    [anon_sym_LPAREN2] = ACTIONS(7259),
    [anon_sym_STAR] = ACTIONS(7259),
    [anon_sym_CARET] = ACTIONS(7259),
    [anon_sym_SEMI] = ACTIONS(7259),
    [anon_sym___extension__] = ACTIONS(7257),
    [anon_sym_extern] = ACTIONS(7257),
    [anon_sym___attribute__] = ACTIONS(7257),
    [anon_sym___attribute] = ACTIONS(7257),
    [anon_sym_noreturn] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym___declspec] = ACTIONS(7257),
    [anon_sym___based] = ACTIONS(7257),
    [anon_sym_signed] = ACTIONS(7257),
    [anon_sym_unsigned] = ACTIONS(7257),
    [anon_sym_long] = ACTIONS(7257),
    [anon_sym_short] = ACTIONS(7257),
    [anon_sym_static] = ACTIONS(7257),
    [anon_sym_auto] = ACTIONS(7257),
    [anon_sym_register] = ACTIONS(7257),
    [anon_sym_inline] = ACTIONS(7257),
    [anon_sym___inline] = ACTIONS(7257),
    [anon_sym___inline__] = ACTIONS(7257),
    [anon_sym___forceinline] = ACTIONS(7257),
    [anon_sym_thread_local] = ACTIONS(7257),
    [anon_sym___thread] = ACTIONS(7257),
    [anon_sym_CG_EXTERN] = ACTIONS(7257),
    [anon_sym_CG_INLINE] = ACTIONS(7257),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7257),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7257),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7257),
    [anon_sym_IBOutlet] = ACTIONS(7257),
    [anon_sym_IBInspectable] = ACTIONS(7257),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7257),
    [anon_sym_NS_INLINE] = ACTIONS(7257),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7257),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7257),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7257),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7257),
    [anon_sym_const] = ACTIONS(7257),
    [anon_sym_constexpr] = ACTIONS(7257),
    [anon_sym_volatile] = ACTIONS(7257),
    [anon_sym_restrict] = ACTIONS(7257),
    [anon_sym___restrict__] = ACTIONS(7257),
    [anon_sym__Atomic] = ACTIONS(7257),
    [anon_sym__Noreturn] = ACTIONS(7257),
    [anon_sym__Nonnull] = ACTIONS(7257),
    [anon_sym_nullable] = ACTIONS(7257),
    [anon_sym__Complex] = ACTIONS(7257),
    [anon_sym__Nullable] = ACTIONS(7257),
    [anon_sym__Nullable_result] = ACTIONS(7257),
    [anon_sym__Null_unspecified] = ACTIONS(7257),
    [anon_sym___autoreleasing] = ACTIONS(7257),
    [anon_sym___block] = ACTIONS(7257),
    [anon_sym___bridge] = ACTIONS(7257),
    [anon_sym___bridge_retained] = ACTIONS(7257),
    [anon_sym___bridge_transfer] = ACTIONS(7257),
    [anon_sym___complex] = ACTIONS(7257),
    [anon_sym___const] = ACTIONS(7257),
    [anon_sym___imag] = ACTIONS(7257),
    [anon_sym___kindof] = ACTIONS(7257),
    [anon_sym___nonnull] = ACTIONS(7257),
    [anon_sym___nullable] = ACTIONS(7257),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7257),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7257),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7257),
    [anon_sym___real] = ACTIONS(7257),
    [anon_sym___strong] = ACTIONS(7257),
    [anon_sym___unsafe_unretained] = ACTIONS(7257),
    [anon_sym___unused] = ACTIONS(7257),
    [anon_sym___weak] = ACTIONS(7257),
    [anon_sym_alignas] = ACTIONS(7257),
    [anon_sym__Alignas] = ACTIONS(7257),
    [sym_primitive_type] = ACTIONS(7257),
    [anon_sym_enum] = ACTIONS(7257),
    [anon_sym_COLON] = ACTIONS(7259),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7257),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7257),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7257),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7257),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7257),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7257),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7257),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7257),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7257),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7257),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7257),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7257),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7257),
    [anon_sym_API_AVAILABLE] = ACTIONS(7257),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7257),
    [anon_sym_API_DEPRECATED] = ACTIONS(7257),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7257),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7257),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7257),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7257),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7257),
    [anon_sym___deprecated_msg] = ACTIONS(7257),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7257),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7257),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7257),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7257),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7257),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7257),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7257),
  },
  [2963] = {
    [sym_identifier] = ACTIONS(7261),
    [anon_sym_COMMA] = ACTIONS(7263),
    [anon_sym_RPAREN] = ACTIONS(7263),
    [anon_sym_LPAREN2] = ACTIONS(7263),
    [anon_sym_STAR] = ACTIONS(7263),
    [anon_sym_CARET] = ACTIONS(7263),
    [anon_sym_SEMI] = ACTIONS(7263),
    [anon_sym___extension__] = ACTIONS(7261),
    [anon_sym_extern] = ACTIONS(7261),
    [anon_sym___attribute__] = ACTIONS(7261),
    [anon_sym___attribute] = ACTIONS(7261),
    [anon_sym_noreturn] = ACTIONS(7261),
    [anon_sym_LBRACK] = ACTIONS(7263),
    [anon_sym___declspec] = ACTIONS(7261),
    [anon_sym___based] = ACTIONS(7261),
    [anon_sym_signed] = ACTIONS(7261),
    [anon_sym_unsigned] = ACTIONS(7261),
    [anon_sym_long] = ACTIONS(7261),
    [anon_sym_short] = ACTIONS(7261),
    [anon_sym_static] = ACTIONS(7261),
    [anon_sym_auto] = ACTIONS(7261),
    [anon_sym_register] = ACTIONS(7261),
    [anon_sym_inline] = ACTIONS(7261),
    [anon_sym___inline] = ACTIONS(7261),
    [anon_sym___inline__] = ACTIONS(7261),
    [anon_sym___forceinline] = ACTIONS(7261),
    [anon_sym_thread_local] = ACTIONS(7261),
    [anon_sym___thread] = ACTIONS(7261),
    [anon_sym_CG_EXTERN] = ACTIONS(7261),
    [anon_sym_CG_INLINE] = ACTIONS(7261),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7261),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7261),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7261),
    [anon_sym_IBOutlet] = ACTIONS(7261),
    [anon_sym_IBInspectable] = ACTIONS(7261),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7261),
    [anon_sym_NS_INLINE] = ACTIONS(7261),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7261),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7261),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7261),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7261),
    [anon_sym_const] = ACTIONS(7261),
    [anon_sym_constexpr] = ACTIONS(7261),
    [anon_sym_volatile] = ACTIONS(7261),
    [anon_sym_restrict] = ACTIONS(7261),
    [anon_sym___restrict__] = ACTIONS(7261),
    [anon_sym__Atomic] = ACTIONS(7261),
    [anon_sym__Noreturn] = ACTIONS(7261),
    [anon_sym__Nonnull] = ACTIONS(7261),
    [anon_sym_nullable] = ACTIONS(7261),
    [anon_sym__Complex] = ACTIONS(7261),
    [anon_sym__Nullable] = ACTIONS(7261),
    [anon_sym__Nullable_result] = ACTIONS(7261),
    [anon_sym__Null_unspecified] = ACTIONS(7261),
    [anon_sym___autoreleasing] = ACTIONS(7261),
    [anon_sym___block] = ACTIONS(7261),
    [anon_sym___bridge] = ACTIONS(7261),
    [anon_sym___bridge_retained] = ACTIONS(7261),
    [anon_sym___bridge_transfer] = ACTIONS(7261),
    [anon_sym___complex] = ACTIONS(7261),
    [anon_sym___const] = ACTIONS(7261),
    [anon_sym___imag] = ACTIONS(7261),
    [anon_sym___kindof] = ACTIONS(7261),
    [anon_sym___nonnull] = ACTIONS(7261),
    [anon_sym___nullable] = ACTIONS(7261),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7261),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7261),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7261),
    [anon_sym___real] = ACTIONS(7261),
    [anon_sym___strong] = ACTIONS(7261),
    [anon_sym___unsafe_unretained] = ACTIONS(7261),
    [anon_sym___unused] = ACTIONS(7261),
    [anon_sym___weak] = ACTIONS(7261),
    [anon_sym_alignas] = ACTIONS(7261),
    [anon_sym__Alignas] = ACTIONS(7261),
    [sym_primitive_type] = ACTIONS(7261),
    [anon_sym_enum] = ACTIONS(7261),
    [anon_sym_COLON] = ACTIONS(7263),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7261),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7261),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7261),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7261),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7261),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7261),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7261),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7261),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7261),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7261),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7261),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7261),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7261),
    [anon_sym_API_AVAILABLE] = ACTIONS(7261),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7261),
    [anon_sym_API_DEPRECATED] = ACTIONS(7261),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7261),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7261),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7261),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7261),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7261),
    [anon_sym___deprecated_msg] = ACTIONS(7261),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7261),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7261),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7261),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7261),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7261),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7261),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7261),
  },
  [2964] = {
    [sym_identifier] = ACTIONS(7265),
    [anon_sym_COMMA] = ACTIONS(7267),
    [anon_sym_RPAREN] = ACTIONS(7267),
    [anon_sym_LPAREN2] = ACTIONS(7267),
    [anon_sym_STAR] = ACTIONS(7267),
    [anon_sym_CARET] = ACTIONS(7267),
    [anon_sym_SEMI] = ACTIONS(7267),
    [anon_sym___extension__] = ACTIONS(7265),
    [anon_sym_extern] = ACTIONS(7265),
    [anon_sym___attribute__] = ACTIONS(7265),
    [anon_sym___attribute] = ACTIONS(7265),
    [anon_sym_noreturn] = ACTIONS(7265),
    [anon_sym_LBRACK] = ACTIONS(7267),
    [anon_sym___declspec] = ACTIONS(7265),
    [anon_sym___based] = ACTIONS(7265),
    [anon_sym_signed] = ACTIONS(7265),
    [anon_sym_unsigned] = ACTIONS(7265),
    [anon_sym_long] = ACTIONS(7265),
    [anon_sym_short] = ACTIONS(7265),
    [anon_sym_static] = ACTIONS(7265),
    [anon_sym_auto] = ACTIONS(7265),
    [anon_sym_register] = ACTIONS(7265),
    [anon_sym_inline] = ACTIONS(7265),
    [anon_sym___inline] = ACTIONS(7265),
    [anon_sym___inline__] = ACTIONS(7265),
    [anon_sym___forceinline] = ACTIONS(7265),
    [anon_sym_thread_local] = ACTIONS(7265),
    [anon_sym___thread] = ACTIONS(7265),
    [anon_sym_CG_EXTERN] = ACTIONS(7265),
    [anon_sym_CG_INLINE] = ACTIONS(7265),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7265),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7265),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7265),
    [anon_sym_IBOutlet] = ACTIONS(7265),
    [anon_sym_IBInspectable] = ACTIONS(7265),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7265),
    [anon_sym_NS_INLINE] = ACTIONS(7265),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7265),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7265),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7265),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7265),
    [anon_sym_const] = ACTIONS(7265),
    [anon_sym_constexpr] = ACTIONS(7265),
    [anon_sym_volatile] = ACTIONS(7265),
    [anon_sym_restrict] = ACTIONS(7265),
    [anon_sym___restrict__] = ACTIONS(7265),
    [anon_sym__Atomic] = ACTIONS(7265),
    [anon_sym__Noreturn] = ACTIONS(7265),
    [anon_sym__Nonnull] = ACTIONS(7265),
    [anon_sym_nullable] = ACTIONS(7265),
    [anon_sym__Complex] = ACTIONS(7265),
    [anon_sym__Nullable] = ACTIONS(7265),
    [anon_sym__Nullable_result] = ACTIONS(7265),
    [anon_sym__Null_unspecified] = ACTIONS(7265),
    [anon_sym___autoreleasing] = ACTIONS(7265),
    [anon_sym___block] = ACTIONS(7265),
    [anon_sym___bridge] = ACTIONS(7265),
    [anon_sym___bridge_retained] = ACTIONS(7265),
    [anon_sym___bridge_transfer] = ACTIONS(7265),
    [anon_sym___complex] = ACTIONS(7265),
    [anon_sym___const] = ACTIONS(7265),
    [anon_sym___imag] = ACTIONS(7265),
    [anon_sym___kindof] = ACTIONS(7265),
    [anon_sym___nonnull] = ACTIONS(7265),
    [anon_sym___nullable] = ACTIONS(7265),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7265),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7265),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7265),
    [anon_sym___real] = ACTIONS(7265),
    [anon_sym___strong] = ACTIONS(7265),
    [anon_sym___unsafe_unretained] = ACTIONS(7265),
    [anon_sym___unused] = ACTIONS(7265),
    [anon_sym___weak] = ACTIONS(7265),
    [anon_sym_alignas] = ACTIONS(7265),
    [anon_sym__Alignas] = ACTIONS(7265),
    [sym_primitive_type] = ACTIONS(7265),
    [anon_sym_enum] = ACTIONS(7265),
    [anon_sym_COLON] = ACTIONS(7267),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7265),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7265),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7265),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7265),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7265),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7265),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7265),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7265),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7265),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7265),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7265),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7265),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7265),
    [anon_sym_API_AVAILABLE] = ACTIONS(7265),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7265),
    [anon_sym_API_DEPRECATED] = ACTIONS(7265),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7265),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7265),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7265),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7265),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7265),
    [anon_sym___deprecated_msg] = ACTIONS(7265),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7265),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7265),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7265),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7265),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7265),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7265),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7265),
  },
  [2965] = {
    [sym_identifier] = ACTIONS(7269),
    [anon_sym_COMMA] = ACTIONS(7271),
    [anon_sym_RPAREN] = ACTIONS(7271),
    [anon_sym_LPAREN2] = ACTIONS(7271),
    [anon_sym_STAR] = ACTIONS(7271),
    [anon_sym_CARET] = ACTIONS(7271),
    [anon_sym_SEMI] = ACTIONS(7271),
    [anon_sym___extension__] = ACTIONS(7269),
    [anon_sym_extern] = ACTIONS(7269),
    [anon_sym___attribute__] = ACTIONS(7269),
    [anon_sym___attribute] = ACTIONS(7269),
    [anon_sym_noreturn] = ACTIONS(7269),
    [anon_sym_LBRACK] = ACTIONS(7271),
    [anon_sym___declspec] = ACTIONS(7269),
    [anon_sym___based] = ACTIONS(7269),
    [anon_sym_signed] = ACTIONS(7269),
    [anon_sym_unsigned] = ACTIONS(7269),
    [anon_sym_long] = ACTIONS(7269),
    [anon_sym_short] = ACTIONS(7269),
    [anon_sym_static] = ACTIONS(7269),
    [anon_sym_auto] = ACTIONS(7269),
    [anon_sym_register] = ACTIONS(7269),
    [anon_sym_inline] = ACTIONS(7269),
    [anon_sym___inline] = ACTIONS(7269),
    [anon_sym___inline__] = ACTIONS(7269),
    [anon_sym___forceinline] = ACTIONS(7269),
    [anon_sym_thread_local] = ACTIONS(7269),
    [anon_sym___thread] = ACTIONS(7269),
    [anon_sym_CG_EXTERN] = ACTIONS(7269),
    [anon_sym_CG_INLINE] = ACTIONS(7269),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7269),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7269),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7269),
    [anon_sym_IBOutlet] = ACTIONS(7269),
    [anon_sym_IBInspectable] = ACTIONS(7269),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7269),
    [anon_sym_NS_INLINE] = ACTIONS(7269),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7269),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7269),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7269),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7269),
    [anon_sym_const] = ACTIONS(7269),
    [anon_sym_constexpr] = ACTIONS(7269),
    [anon_sym_volatile] = ACTIONS(7269),
    [anon_sym_restrict] = ACTIONS(7269),
    [anon_sym___restrict__] = ACTIONS(7269),
    [anon_sym__Atomic] = ACTIONS(7269),
    [anon_sym__Noreturn] = ACTIONS(7269),
    [anon_sym__Nonnull] = ACTIONS(7269),
    [anon_sym_nullable] = ACTIONS(7269),
    [anon_sym__Complex] = ACTIONS(7269),
    [anon_sym__Nullable] = ACTIONS(7269),
    [anon_sym__Nullable_result] = ACTIONS(7269),
    [anon_sym__Null_unspecified] = ACTIONS(7269),
    [anon_sym___autoreleasing] = ACTIONS(7269),
    [anon_sym___block] = ACTIONS(7269),
    [anon_sym___bridge] = ACTIONS(7269),
    [anon_sym___bridge_retained] = ACTIONS(7269),
    [anon_sym___bridge_transfer] = ACTIONS(7269),
    [anon_sym___complex] = ACTIONS(7269),
    [anon_sym___const] = ACTIONS(7269),
    [anon_sym___imag] = ACTIONS(7269),
    [anon_sym___kindof] = ACTIONS(7269),
    [anon_sym___nonnull] = ACTIONS(7269),
    [anon_sym___nullable] = ACTIONS(7269),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7269),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7269),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7269),
    [anon_sym___real] = ACTIONS(7269),
    [anon_sym___strong] = ACTIONS(7269),
    [anon_sym___unsafe_unretained] = ACTIONS(7269),
    [anon_sym___unused] = ACTIONS(7269),
    [anon_sym___weak] = ACTIONS(7269),
    [anon_sym_alignas] = ACTIONS(7269),
    [anon_sym__Alignas] = ACTIONS(7269),
    [sym_primitive_type] = ACTIONS(7269),
    [anon_sym_enum] = ACTIONS(7269),
    [anon_sym_COLON] = ACTIONS(7271),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7269),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7269),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7269),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7269),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7269),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7269),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7269),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7269),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7269),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7269),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7269),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7269),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7269),
    [anon_sym_API_AVAILABLE] = ACTIONS(7269),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7269),
    [anon_sym_API_DEPRECATED] = ACTIONS(7269),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7269),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7269),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7269),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7269),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7269),
    [anon_sym___deprecated_msg] = ACTIONS(7269),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7269),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7269),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7269),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7269),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7269),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7269),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7269),
  },
  [2966] = {
    [sym_identifier] = ACTIONS(5076),
    [anon_sym_COMMA] = ACTIONS(5072),
    [anon_sym_RPAREN] = ACTIONS(5072),
    [anon_sym_LPAREN2] = ACTIONS(5072),
    [anon_sym_STAR] = ACTIONS(5072),
    [anon_sym_CARET] = ACTIONS(5072),
    [anon_sym_SEMI] = ACTIONS(5072),
    [anon_sym___extension__] = ACTIONS(5076),
    [anon_sym_extern] = ACTIONS(5076),
    [anon_sym___attribute__] = ACTIONS(5076),
    [anon_sym___attribute] = ACTIONS(5076),
    [anon_sym_noreturn] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5072),
    [anon_sym___declspec] = ACTIONS(5076),
    [anon_sym___based] = ACTIONS(5076),
    [anon_sym_signed] = ACTIONS(5076),
    [anon_sym_unsigned] = ACTIONS(5076),
    [anon_sym_long] = ACTIONS(5076),
    [anon_sym_short] = ACTIONS(5076),
    [anon_sym_static] = ACTIONS(5076),
    [anon_sym_auto] = ACTIONS(5076),
    [anon_sym_register] = ACTIONS(5076),
    [anon_sym_inline] = ACTIONS(5076),
    [anon_sym___inline] = ACTIONS(5076),
    [anon_sym___inline__] = ACTIONS(5076),
    [anon_sym___forceinline] = ACTIONS(5076),
    [anon_sym_thread_local] = ACTIONS(5076),
    [anon_sym___thread] = ACTIONS(5076),
    [anon_sym_CG_EXTERN] = ACTIONS(5076),
    [anon_sym_CG_INLINE] = ACTIONS(5076),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5076),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5076),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5076),
    [anon_sym_IBOutlet] = ACTIONS(5076),
    [anon_sym_IBInspectable] = ACTIONS(5076),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5076),
    [anon_sym_NS_INLINE] = ACTIONS(5076),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5076),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5076),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5076),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5076),
    [anon_sym_const] = ACTIONS(5076),
    [anon_sym_constexpr] = ACTIONS(5076),
    [anon_sym_volatile] = ACTIONS(5076),
    [anon_sym_restrict] = ACTIONS(5076),
    [anon_sym___restrict__] = ACTIONS(5076),
    [anon_sym__Atomic] = ACTIONS(5076),
    [anon_sym__Noreturn] = ACTIONS(5076),
    [anon_sym__Nonnull] = ACTIONS(5076),
    [anon_sym_nullable] = ACTIONS(5076),
    [anon_sym__Complex] = ACTIONS(5076),
    [anon_sym__Nullable] = ACTIONS(5076),
    [anon_sym__Nullable_result] = ACTIONS(5076),
    [anon_sym__Null_unspecified] = ACTIONS(5076),
    [anon_sym___autoreleasing] = ACTIONS(5076),
    [anon_sym___block] = ACTIONS(5076),
    [anon_sym___bridge] = ACTIONS(5076),
    [anon_sym___bridge_retained] = ACTIONS(5076),
    [anon_sym___bridge_transfer] = ACTIONS(5076),
    [anon_sym___complex] = ACTIONS(5076),
    [anon_sym___const] = ACTIONS(5076),
    [anon_sym___imag] = ACTIONS(5076),
    [anon_sym___kindof] = ACTIONS(5076),
    [anon_sym___nonnull] = ACTIONS(5076),
    [anon_sym___nullable] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5076),
    [anon_sym___real] = ACTIONS(5076),
    [anon_sym___strong] = ACTIONS(5076),
    [anon_sym___unsafe_unretained] = ACTIONS(5076),
    [anon_sym___unused] = ACTIONS(5076),
    [anon_sym___weak] = ACTIONS(5076),
    [anon_sym_alignas] = ACTIONS(5076),
    [anon_sym__Alignas] = ACTIONS(5076),
    [sym_primitive_type] = ACTIONS(5076),
    [anon_sym_enum] = ACTIONS(5076),
    [anon_sym_COLON] = ACTIONS(5072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5076),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5076),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5076),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5076),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5076),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5076),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5076),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5076),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5076),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_API_AVAILABLE] = ACTIONS(5076),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_API_DEPRECATED] = ACTIONS(5076),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5076),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5076),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5076),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5076),
    [anon_sym___deprecated_msg] = ACTIONS(5076),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5076),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5076),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5076),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5076),
  },
  [2967] = {
    [sym_identifier] = ACTIONS(7273),
    [anon_sym_COMMA] = ACTIONS(7275),
    [anon_sym_RPAREN] = ACTIONS(7275),
    [anon_sym_LPAREN2] = ACTIONS(7275),
    [anon_sym_STAR] = ACTIONS(7275),
    [anon_sym_CARET] = ACTIONS(7275),
    [anon_sym_SEMI] = ACTIONS(7275),
    [anon_sym___extension__] = ACTIONS(7273),
    [anon_sym_extern] = ACTIONS(7273),
    [anon_sym___attribute__] = ACTIONS(7273),
    [anon_sym___attribute] = ACTIONS(7273),
    [anon_sym_noreturn] = ACTIONS(7273),
    [anon_sym_LBRACK] = ACTIONS(7275),
    [anon_sym___declspec] = ACTIONS(7273),
    [anon_sym___based] = ACTIONS(7273),
    [anon_sym_signed] = ACTIONS(7273),
    [anon_sym_unsigned] = ACTIONS(7273),
    [anon_sym_long] = ACTIONS(7273),
    [anon_sym_short] = ACTIONS(7273),
    [anon_sym_static] = ACTIONS(7273),
    [anon_sym_auto] = ACTIONS(7273),
    [anon_sym_register] = ACTIONS(7273),
    [anon_sym_inline] = ACTIONS(7273),
    [anon_sym___inline] = ACTIONS(7273),
    [anon_sym___inline__] = ACTIONS(7273),
    [anon_sym___forceinline] = ACTIONS(7273),
    [anon_sym_thread_local] = ACTIONS(7273),
    [anon_sym___thread] = ACTIONS(7273),
    [anon_sym_CG_EXTERN] = ACTIONS(7273),
    [anon_sym_CG_INLINE] = ACTIONS(7273),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7273),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7273),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7273),
    [anon_sym_IBOutlet] = ACTIONS(7273),
    [anon_sym_IBInspectable] = ACTIONS(7273),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7273),
    [anon_sym_NS_INLINE] = ACTIONS(7273),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7273),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7273),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7273),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7273),
    [anon_sym_const] = ACTIONS(7273),
    [anon_sym_constexpr] = ACTIONS(7273),
    [anon_sym_volatile] = ACTIONS(7273),
    [anon_sym_restrict] = ACTIONS(7273),
    [anon_sym___restrict__] = ACTIONS(7273),
    [anon_sym__Atomic] = ACTIONS(7273),
    [anon_sym__Noreturn] = ACTIONS(7273),
    [anon_sym__Nonnull] = ACTIONS(7273),
    [anon_sym_nullable] = ACTIONS(7273),
    [anon_sym__Complex] = ACTIONS(7273),
    [anon_sym__Nullable] = ACTIONS(7273),
    [anon_sym__Nullable_result] = ACTIONS(7273),
    [anon_sym__Null_unspecified] = ACTIONS(7273),
    [anon_sym___autoreleasing] = ACTIONS(7273),
    [anon_sym___block] = ACTIONS(7273),
    [anon_sym___bridge] = ACTIONS(7273),
    [anon_sym___bridge_retained] = ACTIONS(7273),
    [anon_sym___bridge_transfer] = ACTIONS(7273),
    [anon_sym___complex] = ACTIONS(7273),
    [anon_sym___const] = ACTIONS(7273),
    [anon_sym___imag] = ACTIONS(7273),
    [anon_sym___kindof] = ACTIONS(7273),
    [anon_sym___nonnull] = ACTIONS(7273),
    [anon_sym___nullable] = ACTIONS(7273),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7273),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7273),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7273),
    [anon_sym___real] = ACTIONS(7273),
    [anon_sym___strong] = ACTIONS(7273),
    [anon_sym___unsafe_unretained] = ACTIONS(7273),
    [anon_sym___unused] = ACTIONS(7273),
    [anon_sym___weak] = ACTIONS(7273),
    [anon_sym_alignas] = ACTIONS(7273),
    [anon_sym__Alignas] = ACTIONS(7273),
    [sym_primitive_type] = ACTIONS(7273),
    [anon_sym_enum] = ACTIONS(7273),
    [anon_sym_COLON] = ACTIONS(7275),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7273),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7273),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7273),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7273),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7273),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7273),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7273),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7273),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7273),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7273),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7273),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7273),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7273),
    [anon_sym_API_AVAILABLE] = ACTIONS(7273),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7273),
    [anon_sym_API_DEPRECATED] = ACTIONS(7273),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7273),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7273),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7273),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7273),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7273),
    [anon_sym___deprecated_msg] = ACTIONS(7273),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7273),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7273),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7273),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7273),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7273),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7273),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7273),
  },
  [2968] = {
    [sym_identifier] = ACTIONS(7277),
    [anon_sym_COMMA] = ACTIONS(7279),
    [anon_sym_RPAREN] = ACTIONS(7279),
    [anon_sym_LPAREN2] = ACTIONS(7279),
    [anon_sym_STAR] = ACTIONS(7279),
    [anon_sym_CARET] = ACTIONS(7279),
    [anon_sym_SEMI] = ACTIONS(7279),
    [anon_sym___extension__] = ACTIONS(7277),
    [anon_sym_extern] = ACTIONS(7277),
    [anon_sym___attribute__] = ACTIONS(7277),
    [anon_sym___attribute] = ACTIONS(7277),
    [anon_sym_noreturn] = ACTIONS(7277),
    [anon_sym_LBRACK] = ACTIONS(7279),
    [anon_sym___declspec] = ACTIONS(7277),
    [anon_sym___based] = ACTIONS(7277),
    [anon_sym_signed] = ACTIONS(7277),
    [anon_sym_unsigned] = ACTIONS(7277),
    [anon_sym_long] = ACTIONS(7277),
    [anon_sym_short] = ACTIONS(7277),
    [anon_sym_static] = ACTIONS(7277),
    [anon_sym_auto] = ACTIONS(7277),
    [anon_sym_register] = ACTIONS(7277),
    [anon_sym_inline] = ACTIONS(7277),
    [anon_sym___inline] = ACTIONS(7277),
    [anon_sym___inline__] = ACTIONS(7277),
    [anon_sym___forceinline] = ACTIONS(7277),
    [anon_sym_thread_local] = ACTIONS(7277),
    [anon_sym___thread] = ACTIONS(7277),
    [anon_sym_CG_EXTERN] = ACTIONS(7277),
    [anon_sym_CG_INLINE] = ACTIONS(7277),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7277),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7277),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7277),
    [anon_sym_IBOutlet] = ACTIONS(7277),
    [anon_sym_IBInspectable] = ACTIONS(7277),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7277),
    [anon_sym_NS_INLINE] = ACTIONS(7277),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7277),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7277),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7277),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7277),
    [anon_sym_const] = ACTIONS(7277),
    [anon_sym_constexpr] = ACTIONS(7277),
    [anon_sym_volatile] = ACTIONS(7277),
    [anon_sym_restrict] = ACTIONS(7277),
    [anon_sym___restrict__] = ACTIONS(7277),
    [anon_sym__Atomic] = ACTIONS(7277),
    [anon_sym__Noreturn] = ACTIONS(7277),
    [anon_sym__Nonnull] = ACTIONS(7277),
    [anon_sym_nullable] = ACTIONS(7277),
    [anon_sym__Complex] = ACTIONS(7277),
    [anon_sym__Nullable] = ACTIONS(7277),
    [anon_sym__Nullable_result] = ACTIONS(7277),
    [anon_sym__Null_unspecified] = ACTIONS(7277),
    [anon_sym___autoreleasing] = ACTIONS(7277),
    [anon_sym___block] = ACTIONS(7277),
    [anon_sym___bridge] = ACTIONS(7277),
    [anon_sym___bridge_retained] = ACTIONS(7277),
    [anon_sym___bridge_transfer] = ACTIONS(7277),
    [anon_sym___complex] = ACTIONS(7277),
    [anon_sym___const] = ACTIONS(7277),
    [anon_sym___imag] = ACTIONS(7277),
    [anon_sym___kindof] = ACTIONS(7277),
    [anon_sym___nonnull] = ACTIONS(7277),
    [anon_sym___nullable] = ACTIONS(7277),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7277),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7277),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7277),
    [anon_sym___real] = ACTIONS(7277),
    [anon_sym___strong] = ACTIONS(7277),
    [anon_sym___unsafe_unretained] = ACTIONS(7277),
    [anon_sym___unused] = ACTIONS(7277),
    [anon_sym___weak] = ACTIONS(7277),
    [anon_sym_alignas] = ACTIONS(7277),
    [anon_sym__Alignas] = ACTIONS(7277),
    [sym_primitive_type] = ACTIONS(7277),
    [anon_sym_enum] = ACTIONS(7277),
    [anon_sym_COLON] = ACTIONS(7279),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7277),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7277),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7277),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7277),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7277),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7277),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7277),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7277),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7277),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7277),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7277),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7277),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7277),
    [anon_sym_API_AVAILABLE] = ACTIONS(7277),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7277),
    [anon_sym_API_DEPRECATED] = ACTIONS(7277),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7277),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7277),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7277),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7277),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7277),
    [anon_sym___deprecated_msg] = ACTIONS(7277),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7277),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7277),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7277),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7277),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7277),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7277),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7277),
  },
  [2969] = {
    [sym_identifier] = ACTIONS(7281),
    [anon_sym_COMMA] = ACTIONS(7283),
    [anon_sym_RPAREN] = ACTIONS(7283),
    [anon_sym_LPAREN2] = ACTIONS(7283),
    [anon_sym_STAR] = ACTIONS(7283),
    [anon_sym_CARET] = ACTIONS(7283),
    [anon_sym_SEMI] = ACTIONS(7283),
    [anon_sym___extension__] = ACTIONS(7281),
    [anon_sym_extern] = ACTIONS(7281),
    [anon_sym___attribute__] = ACTIONS(7281),
    [anon_sym___attribute] = ACTIONS(7281),
    [anon_sym_noreturn] = ACTIONS(7281),
    [anon_sym_LBRACK] = ACTIONS(7283),
    [anon_sym___declspec] = ACTIONS(7281),
    [anon_sym___based] = ACTIONS(7281),
    [anon_sym_signed] = ACTIONS(7281),
    [anon_sym_unsigned] = ACTIONS(7281),
    [anon_sym_long] = ACTIONS(7281),
    [anon_sym_short] = ACTIONS(7281),
    [anon_sym_static] = ACTIONS(7281),
    [anon_sym_auto] = ACTIONS(7281),
    [anon_sym_register] = ACTIONS(7281),
    [anon_sym_inline] = ACTIONS(7281),
    [anon_sym___inline] = ACTIONS(7281),
    [anon_sym___inline__] = ACTIONS(7281),
    [anon_sym___forceinline] = ACTIONS(7281),
    [anon_sym_thread_local] = ACTIONS(7281),
    [anon_sym___thread] = ACTIONS(7281),
    [anon_sym_CG_EXTERN] = ACTIONS(7281),
    [anon_sym_CG_INLINE] = ACTIONS(7281),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7281),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7281),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7281),
    [anon_sym_IBOutlet] = ACTIONS(7281),
    [anon_sym_IBInspectable] = ACTIONS(7281),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7281),
    [anon_sym_NS_INLINE] = ACTIONS(7281),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7281),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7281),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7281),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7281),
    [anon_sym_const] = ACTIONS(7281),
    [anon_sym_constexpr] = ACTIONS(7281),
    [anon_sym_volatile] = ACTIONS(7281),
    [anon_sym_restrict] = ACTIONS(7281),
    [anon_sym___restrict__] = ACTIONS(7281),
    [anon_sym__Atomic] = ACTIONS(7281),
    [anon_sym__Noreturn] = ACTIONS(7281),
    [anon_sym__Nonnull] = ACTIONS(7281),
    [anon_sym_nullable] = ACTIONS(7281),
    [anon_sym__Complex] = ACTIONS(7281),
    [anon_sym__Nullable] = ACTIONS(7281),
    [anon_sym__Nullable_result] = ACTIONS(7281),
    [anon_sym__Null_unspecified] = ACTIONS(7281),
    [anon_sym___autoreleasing] = ACTIONS(7281),
    [anon_sym___block] = ACTIONS(7281),
    [anon_sym___bridge] = ACTIONS(7281),
    [anon_sym___bridge_retained] = ACTIONS(7281),
    [anon_sym___bridge_transfer] = ACTIONS(7281),
    [anon_sym___complex] = ACTIONS(7281),
    [anon_sym___const] = ACTIONS(7281),
    [anon_sym___imag] = ACTIONS(7281),
    [anon_sym___kindof] = ACTIONS(7281),
    [anon_sym___nonnull] = ACTIONS(7281),
    [anon_sym___nullable] = ACTIONS(7281),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7281),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7281),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7281),
    [anon_sym___real] = ACTIONS(7281),
    [anon_sym___strong] = ACTIONS(7281),
    [anon_sym___unsafe_unretained] = ACTIONS(7281),
    [anon_sym___unused] = ACTIONS(7281),
    [anon_sym___weak] = ACTIONS(7281),
    [anon_sym_alignas] = ACTIONS(7281),
    [anon_sym__Alignas] = ACTIONS(7281),
    [sym_primitive_type] = ACTIONS(7281),
    [anon_sym_enum] = ACTIONS(7281),
    [anon_sym_COLON] = ACTIONS(7283),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7281),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7281),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7281),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7281),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7281),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7281),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7281),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7281),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7281),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7281),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7281),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7281),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7281),
    [anon_sym_API_AVAILABLE] = ACTIONS(7281),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7281),
    [anon_sym_API_DEPRECATED] = ACTIONS(7281),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7281),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7281),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7281),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7281),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7281),
    [anon_sym___deprecated_msg] = ACTIONS(7281),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7281),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7281),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7281),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7281),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7281),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7281),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7281),
  },
  [2970] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2937),
    [sym_identifier] = ACTIONS(7285),
    [anon_sym_COMMA] = ACTIONS(7287),
    [anon_sym_RPAREN] = ACTIONS(7287),
    [anon_sym_LPAREN2] = ACTIONS(7287),
    [anon_sym_STAR] = ACTIONS(7287),
    [anon_sym_CARET] = ACTIONS(7287),
    [anon_sym_SEMI] = ACTIONS(7287),
    [anon_sym___extension__] = ACTIONS(7285),
    [anon_sym_extern] = ACTIONS(7285),
    [anon_sym___attribute__] = ACTIONS(7285),
    [anon_sym___attribute] = ACTIONS(7285),
    [anon_sym_noreturn] = ACTIONS(7285),
    [anon_sym_LBRACK] = ACTIONS(7287),
    [anon_sym___declspec] = ACTIONS(7285),
    [anon_sym___based] = ACTIONS(7285),
    [anon_sym_signed] = ACTIONS(7165),
    [anon_sym_unsigned] = ACTIONS(7165),
    [anon_sym_long] = ACTIONS(7165),
    [anon_sym_short] = ACTIONS(7165),
    [anon_sym_static] = ACTIONS(7285),
    [anon_sym_auto] = ACTIONS(7285),
    [anon_sym_register] = ACTIONS(7285),
    [anon_sym_inline] = ACTIONS(7285),
    [anon_sym___inline] = ACTIONS(7285),
    [anon_sym___inline__] = ACTIONS(7285),
    [anon_sym___forceinline] = ACTIONS(7285),
    [anon_sym_thread_local] = ACTIONS(7285),
    [anon_sym___thread] = ACTIONS(7285),
    [anon_sym_CG_EXTERN] = ACTIONS(7285),
    [anon_sym_CG_INLINE] = ACTIONS(7285),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7285),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7285),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7285),
    [anon_sym_IBOutlet] = ACTIONS(7285),
    [anon_sym_IBInspectable] = ACTIONS(7285),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7285),
    [anon_sym_NS_INLINE] = ACTIONS(7285),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7285),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7285),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7285),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7285),
    [anon_sym_const] = ACTIONS(7285),
    [anon_sym_constexpr] = ACTIONS(7285),
    [anon_sym_volatile] = ACTIONS(7285),
    [anon_sym_restrict] = ACTIONS(7285),
    [anon_sym___restrict__] = ACTIONS(7285),
    [anon_sym__Atomic] = ACTIONS(7285),
    [anon_sym__Noreturn] = ACTIONS(7285),
    [anon_sym__Nonnull] = ACTIONS(7285),
    [anon_sym_nullable] = ACTIONS(7285),
    [anon_sym__Complex] = ACTIONS(7285),
    [anon_sym__Nullable] = ACTIONS(7285),
    [anon_sym__Nullable_result] = ACTIONS(7285),
    [anon_sym__Null_unspecified] = ACTIONS(7285),
    [anon_sym___autoreleasing] = ACTIONS(7285),
    [anon_sym___block] = ACTIONS(7285),
    [anon_sym___bridge] = ACTIONS(7285),
    [anon_sym___bridge_retained] = ACTIONS(7285),
    [anon_sym___bridge_transfer] = ACTIONS(7285),
    [anon_sym___complex] = ACTIONS(7285),
    [anon_sym___const] = ACTIONS(7285),
    [anon_sym___imag] = ACTIONS(7285),
    [anon_sym___kindof] = ACTIONS(7285),
    [anon_sym___nonnull] = ACTIONS(7285),
    [anon_sym___nullable] = ACTIONS(7285),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7285),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7285),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7285),
    [anon_sym___real] = ACTIONS(7285),
    [anon_sym___strong] = ACTIONS(7285),
    [anon_sym___unsafe_unretained] = ACTIONS(7285),
    [anon_sym___unused] = ACTIONS(7285),
    [anon_sym___weak] = ACTIONS(7285),
    [anon_sym_alignas] = ACTIONS(7285),
    [anon_sym__Alignas] = ACTIONS(7285),
    [anon_sym_enum] = ACTIONS(7285),
    [anon_sym_COLON] = ACTIONS(7287),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7285),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7285),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7285),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7285),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7285),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7285),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7285),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7285),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7285),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7285),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7285),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7285),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7285),
    [anon_sym_API_AVAILABLE] = ACTIONS(7285),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7285),
    [anon_sym_API_DEPRECATED] = ACTIONS(7285),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7285),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7285),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7285),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7285),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7285),
    [anon_sym___deprecated_msg] = ACTIONS(7285),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7285),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7285),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7285),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7285),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7285),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7285),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7285),
  },
  [2971] = {
    [sym_identifier] = ACTIONS(7289),
    [anon_sym_COMMA] = ACTIONS(7291),
    [anon_sym_RPAREN] = ACTIONS(7291),
    [anon_sym_LPAREN2] = ACTIONS(7291),
    [anon_sym_STAR] = ACTIONS(7291),
    [anon_sym_CARET] = ACTIONS(7291),
    [anon_sym_SEMI] = ACTIONS(7291),
    [anon_sym___extension__] = ACTIONS(7289),
    [anon_sym_extern] = ACTIONS(7289),
    [anon_sym___attribute__] = ACTIONS(7289),
    [anon_sym___attribute] = ACTIONS(7289),
    [anon_sym_noreturn] = ACTIONS(7289),
    [anon_sym_LBRACK] = ACTIONS(7291),
    [anon_sym___declspec] = ACTIONS(7289),
    [anon_sym___based] = ACTIONS(7289),
    [anon_sym_signed] = ACTIONS(7289),
    [anon_sym_unsigned] = ACTIONS(7289),
    [anon_sym_long] = ACTIONS(7289),
    [anon_sym_short] = ACTIONS(7289),
    [anon_sym_static] = ACTIONS(7289),
    [anon_sym_auto] = ACTIONS(7289),
    [anon_sym_register] = ACTIONS(7289),
    [anon_sym_inline] = ACTIONS(7289),
    [anon_sym___inline] = ACTIONS(7289),
    [anon_sym___inline__] = ACTIONS(7289),
    [anon_sym___forceinline] = ACTIONS(7289),
    [anon_sym_thread_local] = ACTIONS(7289),
    [anon_sym___thread] = ACTIONS(7289),
    [anon_sym_CG_EXTERN] = ACTIONS(7289),
    [anon_sym_CG_INLINE] = ACTIONS(7289),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7289),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7289),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7289),
    [anon_sym_IBOutlet] = ACTIONS(7289),
    [anon_sym_IBInspectable] = ACTIONS(7289),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7289),
    [anon_sym_NS_INLINE] = ACTIONS(7289),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7289),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7289),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7289),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7289),
    [anon_sym_const] = ACTIONS(7289),
    [anon_sym_constexpr] = ACTIONS(7289),
    [anon_sym_volatile] = ACTIONS(7289),
    [anon_sym_restrict] = ACTIONS(7289),
    [anon_sym___restrict__] = ACTIONS(7289),
    [anon_sym__Atomic] = ACTIONS(7289),
    [anon_sym__Noreturn] = ACTIONS(7289),
    [anon_sym__Nonnull] = ACTIONS(7289),
    [anon_sym_nullable] = ACTIONS(7289),
    [anon_sym__Complex] = ACTIONS(7289),
    [anon_sym__Nullable] = ACTIONS(7289),
    [anon_sym__Nullable_result] = ACTIONS(7289),
    [anon_sym__Null_unspecified] = ACTIONS(7289),
    [anon_sym___autoreleasing] = ACTIONS(7289),
    [anon_sym___block] = ACTIONS(7289),
    [anon_sym___bridge] = ACTIONS(7289),
    [anon_sym___bridge_retained] = ACTIONS(7289),
    [anon_sym___bridge_transfer] = ACTIONS(7289),
    [anon_sym___complex] = ACTIONS(7289),
    [anon_sym___const] = ACTIONS(7289),
    [anon_sym___imag] = ACTIONS(7289),
    [anon_sym___kindof] = ACTIONS(7289),
    [anon_sym___nonnull] = ACTIONS(7289),
    [anon_sym___nullable] = ACTIONS(7289),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7289),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7289),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7289),
    [anon_sym___real] = ACTIONS(7289),
    [anon_sym___strong] = ACTIONS(7289),
    [anon_sym___unsafe_unretained] = ACTIONS(7289),
    [anon_sym___unused] = ACTIONS(7289),
    [anon_sym___weak] = ACTIONS(7289),
    [anon_sym_alignas] = ACTIONS(7289),
    [anon_sym__Alignas] = ACTIONS(7289),
    [sym_primitive_type] = ACTIONS(7289),
    [anon_sym_enum] = ACTIONS(7289),
    [anon_sym_COLON] = ACTIONS(7291),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7289),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7289),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7289),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7289),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7289),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7289),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7289),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7289),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7289),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7289),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7289),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7289),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7289),
    [anon_sym_API_AVAILABLE] = ACTIONS(7289),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7289),
    [anon_sym_API_DEPRECATED] = ACTIONS(7289),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7289),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7289),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7289),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7289),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7289),
    [anon_sym___deprecated_msg] = ACTIONS(7289),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7289),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7289),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7289),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7289),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7289),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7289),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7289),
  },
  [2972] = {
    [sym_identifier] = ACTIONS(7293),
    [anon_sym_COMMA] = ACTIONS(7295),
    [anon_sym_RPAREN] = ACTIONS(7295),
    [anon_sym_LPAREN2] = ACTIONS(7295),
    [anon_sym_STAR] = ACTIONS(7295),
    [anon_sym_CARET] = ACTIONS(7295),
    [anon_sym_SEMI] = ACTIONS(7295),
    [anon_sym___extension__] = ACTIONS(7293),
    [anon_sym_extern] = ACTIONS(7293),
    [anon_sym___attribute__] = ACTIONS(7293),
    [anon_sym___attribute] = ACTIONS(7293),
    [anon_sym_noreturn] = ACTIONS(7293),
    [anon_sym_LBRACK] = ACTIONS(7295),
    [anon_sym___declspec] = ACTIONS(7293),
    [anon_sym___based] = ACTIONS(7293),
    [anon_sym_signed] = ACTIONS(7293),
    [anon_sym_unsigned] = ACTIONS(7293),
    [anon_sym_long] = ACTIONS(7293),
    [anon_sym_short] = ACTIONS(7293),
    [anon_sym_static] = ACTIONS(7293),
    [anon_sym_auto] = ACTIONS(7293),
    [anon_sym_register] = ACTIONS(7293),
    [anon_sym_inline] = ACTIONS(7293),
    [anon_sym___inline] = ACTIONS(7293),
    [anon_sym___inline__] = ACTIONS(7293),
    [anon_sym___forceinline] = ACTIONS(7293),
    [anon_sym_thread_local] = ACTIONS(7293),
    [anon_sym___thread] = ACTIONS(7293),
    [anon_sym_CG_EXTERN] = ACTIONS(7293),
    [anon_sym_CG_INLINE] = ACTIONS(7293),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7293),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7293),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7293),
    [anon_sym_IBOutlet] = ACTIONS(7293),
    [anon_sym_IBInspectable] = ACTIONS(7293),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7293),
    [anon_sym_NS_INLINE] = ACTIONS(7293),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7293),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7293),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7293),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7293),
    [anon_sym_const] = ACTIONS(7293),
    [anon_sym_constexpr] = ACTIONS(7293),
    [anon_sym_volatile] = ACTIONS(7293),
    [anon_sym_restrict] = ACTIONS(7293),
    [anon_sym___restrict__] = ACTIONS(7293),
    [anon_sym__Atomic] = ACTIONS(7293),
    [anon_sym__Noreturn] = ACTIONS(7293),
    [anon_sym__Nonnull] = ACTIONS(7293),
    [anon_sym_nullable] = ACTIONS(7293),
    [anon_sym__Complex] = ACTIONS(7293),
    [anon_sym__Nullable] = ACTIONS(7293),
    [anon_sym__Nullable_result] = ACTIONS(7293),
    [anon_sym__Null_unspecified] = ACTIONS(7293),
    [anon_sym___autoreleasing] = ACTIONS(7293),
    [anon_sym___block] = ACTIONS(7293),
    [anon_sym___bridge] = ACTIONS(7293),
    [anon_sym___bridge_retained] = ACTIONS(7293),
    [anon_sym___bridge_transfer] = ACTIONS(7293),
    [anon_sym___complex] = ACTIONS(7293),
    [anon_sym___const] = ACTIONS(7293),
    [anon_sym___imag] = ACTIONS(7293),
    [anon_sym___kindof] = ACTIONS(7293),
    [anon_sym___nonnull] = ACTIONS(7293),
    [anon_sym___nullable] = ACTIONS(7293),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7293),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7293),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7293),
    [anon_sym___real] = ACTIONS(7293),
    [anon_sym___strong] = ACTIONS(7293),
    [anon_sym___unsafe_unretained] = ACTIONS(7293),
    [anon_sym___unused] = ACTIONS(7293),
    [anon_sym___weak] = ACTIONS(7293),
    [anon_sym_alignas] = ACTIONS(7293),
    [anon_sym__Alignas] = ACTIONS(7293),
    [sym_primitive_type] = ACTIONS(7293),
    [anon_sym_enum] = ACTIONS(7293),
    [anon_sym_COLON] = ACTIONS(7295),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7293),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7293),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7293),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7293),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7293),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7293),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7293),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7293),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7293),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7293),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7293),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7293),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7293),
    [anon_sym_API_AVAILABLE] = ACTIONS(7293),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7293),
    [anon_sym_API_DEPRECATED] = ACTIONS(7293),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7293),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7293),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7293),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7293),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7293),
    [anon_sym___deprecated_msg] = ACTIONS(7293),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7293),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7293),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7293),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7293),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7293),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7293),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7293),
  },
  [2973] = {
    [sym_identifier] = ACTIONS(7297),
    [anon_sym_COMMA] = ACTIONS(7299),
    [anon_sym_RPAREN] = ACTIONS(7299),
    [anon_sym_LPAREN2] = ACTIONS(7299),
    [anon_sym_STAR] = ACTIONS(7299),
    [anon_sym_CARET] = ACTIONS(7299),
    [anon_sym_SEMI] = ACTIONS(7299),
    [anon_sym___extension__] = ACTIONS(7297),
    [anon_sym_extern] = ACTIONS(7297),
    [anon_sym___attribute__] = ACTIONS(7297),
    [anon_sym___attribute] = ACTIONS(7297),
    [anon_sym_noreturn] = ACTIONS(7297),
    [anon_sym_LBRACK] = ACTIONS(7299),
    [anon_sym___declspec] = ACTIONS(7297),
    [anon_sym___based] = ACTIONS(7297),
    [anon_sym_signed] = ACTIONS(7297),
    [anon_sym_unsigned] = ACTIONS(7297),
    [anon_sym_long] = ACTIONS(7297),
    [anon_sym_short] = ACTIONS(7297),
    [anon_sym_static] = ACTIONS(7297),
    [anon_sym_auto] = ACTIONS(7297),
    [anon_sym_register] = ACTIONS(7297),
    [anon_sym_inline] = ACTIONS(7297),
    [anon_sym___inline] = ACTIONS(7297),
    [anon_sym___inline__] = ACTIONS(7297),
    [anon_sym___forceinline] = ACTIONS(7297),
    [anon_sym_thread_local] = ACTIONS(7297),
    [anon_sym___thread] = ACTIONS(7297),
    [anon_sym_CG_EXTERN] = ACTIONS(7297),
    [anon_sym_CG_INLINE] = ACTIONS(7297),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7297),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7297),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7297),
    [anon_sym_IBOutlet] = ACTIONS(7297),
    [anon_sym_IBInspectable] = ACTIONS(7297),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7297),
    [anon_sym_NS_INLINE] = ACTIONS(7297),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7297),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7297),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7297),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7297),
    [anon_sym_const] = ACTIONS(7297),
    [anon_sym_constexpr] = ACTIONS(7297),
    [anon_sym_volatile] = ACTIONS(7297),
    [anon_sym_restrict] = ACTIONS(7297),
    [anon_sym___restrict__] = ACTIONS(7297),
    [anon_sym__Atomic] = ACTIONS(7297),
    [anon_sym__Noreturn] = ACTIONS(7297),
    [anon_sym__Nonnull] = ACTIONS(7297),
    [anon_sym_nullable] = ACTIONS(7297),
    [anon_sym__Complex] = ACTIONS(7297),
    [anon_sym__Nullable] = ACTIONS(7297),
    [anon_sym__Nullable_result] = ACTIONS(7297),
    [anon_sym__Null_unspecified] = ACTIONS(7297),
    [anon_sym___autoreleasing] = ACTIONS(7297),
    [anon_sym___block] = ACTIONS(7297),
    [anon_sym___bridge] = ACTIONS(7297),
    [anon_sym___bridge_retained] = ACTIONS(7297),
    [anon_sym___bridge_transfer] = ACTIONS(7297),
    [anon_sym___complex] = ACTIONS(7297),
    [anon_sym___const] = ACTIONS(7297),
    [anon_sym___imag] = ACTIONS(7297),
    [anon_sym___kindof] = ACTIONS(7297),
    [anon_sym___nonnull] = ACTIONS(7297),
    [anon_sym___nullable] = ACTIONS(7297),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7297),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7297),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7297),
    [anon_sym___real] = ACTIONS(7297),
    [anon_sym___strong] = ACTIONS(7297),
    [anon_sym___unsafe_unretained] = ACTIONS(7297),
    [anon_sym___unused] = ACTIONS(7297),
    [anon_sym___weak] = ACTIONS(7297),
    [anon_sym_alignas] = ACTIONS(7297),
    [anon_sym__Alignas] = ACTIONS(7297),
    [sym_primitive_type] = ACTIONS(7297),
    [anon_sym_enum] = ACTIONS(7297),
    [anon_sym_COLON] = ACTIONS(7299),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7297),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7297),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7297),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7297),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7297),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7297),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7297),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7297),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7297),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7297),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7297),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7297),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7297),
    [anon_sym_API_AVAILABLE] = ACTIONS(7297),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7297),
    [anon_sym_API_DEPRECATED] = ACTIONS(7297),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7297),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7297),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7297),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7297),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7297),
    [anon_sym___deprecated_msg] = ACTIONS(7297),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7297),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7297),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7297),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7297),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7297),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7297),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7297),
  },
  [2974] = {
    [sym__declaration_modifiers] = STATE(2871),
    [sym_attribute_specifier] = STATE(2871),
    [sym_attribute_declaration] = STATE(2871),
    [sym_ms_declspec_modifier] = STATE(2871),
    [sym_storage_class_specifier] = STATE(2871),
    [sym_type_qualifier] = STATE(2871),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2871),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2871),
    [sym_identifier] = ACTIONS(6964),
    [anon_sym_LPAREN2] = ACTIONS(6966),
    [anon_sym_STAR] = ACTIONS(6966),
    [anon_sym_CARET] = ACTIONS(6966),
    [anon_sym_SEMI] = ACTIONS(7301),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(6884),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(6964),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2975] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2937),
    [sym_identifier] = ACTIONS(7303),
    [anon_sym_COMMA] = ACTIONS(7305),
    [anon_sym_RPAREN] = ACTIONS(7305),
    [anon_sym_LPAREN2] = ACTIONS(7305),
    [anon_sym_STAR] = ACTIONS(7305),
    [anon_sym_CARET] = ACTIONS(7305),
    [anon_sym_SEMI] = ACTIONS(7305),
    [anon_sym___extension__] = ACTIONS(7303),
    [anon_sym_extern] = ACTIONS(7303),
    [anon_sym___attribute__] = ACTIONS(7303),
    [anon_sym___attribute] = ACTIONS(7303),
    [anon_sym_noreturn] = ACTIONS(7303),
    [anon_sym_LBRACK] = ACTIONS(7305),
    [anon_sym___declspec] = ACTIONS(7303),
    [anon_sym___based] = ACTIONS(7303),
    [anon_sym_signed] = ACTIONS(7165),
    [anon_sym_unsigned] = ACTIONS(7165),
    [anon_sym_long] = ACTIONS(7165),
    [anon_sym_short] = ACTIONS(7165),
    [anon_sym_static] = ACTIONS(7303),
    [anon_sym_auto] = ACTIONS(7303),
    [anon_sym_register] = ACTIONS(7303),
    [anon_sym_inline] = ACTIONS(7303),
    [anon_sym___inline] = ACTIONS(7303),
    [anon_sym___inline__] = ACTIONS(7303),
    [anon_sym___forceinline] = ACTIONS(7303),
    [anon_sym_thread_local] = ACTIONS(7303),
    [anon_sym___thread] = ACTIONS(7303),
    [anon_sym_CG_EXTERN] = ACTIONS(7303),
    [anon_sym_CG_INLINE] = ACTIONS(7303),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7303),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7303),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7303),
    [anon_sym_IBOutlet] = ACTIONS(7303),
    [anon_sym_IBInspectable] = ACTIONS(7303),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7303),
    [anon_sym_NS_INLINE] = ACTIONS(7303),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7303),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7303),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7303),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7303),
    [anon_sym_const] = ACTIONS(7303),
    [anon_sym_constexpr] = ACTIONS(7303),
    [anon_sym_volatile] = ACTIONS(7303),
    [anon_sym_restrict] = ACTIONS(7303),
    [anon_sym___restrict__] = ACTIONS(7303),
    [anon_sym__Atomic] = ACTIONS(7303),
    [anon_sym__Noreturn] = ACTIONS(7303),
    [anon_sym__Nonnull] = ACTIONS(7303),
    [anon_sym_nullable] = ACTIONS(7303),
    [anon_sym__Complex] = ACTIONS(7303),
    [anon_sym__Nullable] = ACTIONS(7303),
    [anon_sym__Nullable_result] = ACTIONS(7303),
    [anon_sym__Null_unspecified] = ACTIONS(7303),
    [anon_sym___autoreleasing] = ACTIONS(7303),
    [anon_sym___block] = ACTIONS(7303),
    [anon_sym___bridge] = ACTIONS(7303),
    [anon_sym___bridge_retained] = ACTIONS(7303),
    [anon_sym___bridge_transfer] = ACTIONS(7303),
    [anon_sym___complex] = ACTIONS(7303),
    [anon_sym___const] = ACTIONS(7303),
    [anon_sym___imag] = ACTIONS(7303),
    [anon_sym___kindof] = ACTIONS(7303),
    [anon_sym___nonnull] = ACTIONS(7303),
    [anon_sym___nullable] = ACTIONS(7303),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7303),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7303),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7303),
    [anon_sym___real] = ACTIONS(7303),
    [anon_sym___strong] = ACTIONS(7303),
    [anon_sym___unsafe_unretained] = ACTIONS(7303),
    [anon_sym___unused] = ACTIONS(7303),
    [anon_sym___weak] = ACTIONS(7303),
    [anon_sym_alignas] = ACTIONS(7303),
    [anon_sym__Alignas] = ACTIONS(7303),
    [anon_sym_enum] = ACTIONS(7303),
    [anon_sym_COLON] = ACTIONS(7305),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7303),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7303),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7303),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7303),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7303),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7303),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7303),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7303),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7303),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7303),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7303),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7303),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7303),
    [anon_sym_API_AVAILABLE] = ACTIONS(7303),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7303),
    [anon_sym_API_DEPRECATED] = ACTIONS(7303),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7303),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7303),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7303),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7303),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7303),
    [anon_sym___deprecated_msg] = ACTIONS(7303),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7303),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7303),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7303),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7303),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7303),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7303),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7303),
  },
  [2976] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2937),
    [sym_identifier] = ACTIONS(7307),
    [anon_sym_COMMA] = ACTIONS(7309),
    [anon_sym_RPAREN] = ACTIONS(7309),
    [anon_sym_LPAREN2] = ACTIONS(7309),
    [anon_sym_STAR] = ACTIONS(7309),
    [anon_sym_CARET] = ACTIONS(7309),
    [anon_sym_SEMI] = ACTIONS(7309),
    [anon_sym___extension__] = ACTIONS(7307),
    [anon_sym_extern] = ACTIONS(7307),
    [anon_sym___attribute__] = ACTIONS(7307),
    [anon_sym___attribute] = ACTIONS(7307),
    [anon_sym_noreturn] = ACTIONS(7307),
    [anon_sym_LBRACK] = ACTIONS(7309),
    [anon_sym___declspec] = ACTIONS(7307),
    [anon_sym___based] = ACTIONS(7307),
    [anon_sym_signed] = ACTIONS(7165),
    [anon_sym_unsigned] = ACTIONS(7165),
    [anon_sym_long] = ACTIONS(7165),
    [anon_sym_short] = ACTIONS(7165),
    [anon_sym_static] = ACTIONS(7307),
    [anon_sym_auto] = ACTIONS(7307),
    [anon_sym_register] = ACTIONS(7307),
    [anon_sym_inline] = ACTIONS(7307),
    [anon_sym___inline] = ACTIONS(7307),
    [anon_sym___inline__] = ACTIONS(7307),
    [anon_sym___forceinline] = ACTIONS(7307),
    [anon_sym_thread_local] = ACTIONS(7307),
    [anon_sym___thread] = ACTIONS(7307),
    [anon_sym_CG_EXTERN] = ACTIONS(7307),
    [anon_sym_CG_INLINE] = ACTIONS(7307),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7307),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7307),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7307),
    [anon_sym_IBOutlet] = ACTIONS(7307),
    [anon_sym_IBInspectable] = ACTIONS(7307),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7307),
    [anon_sym_NS_INLINE] = ACTIONS(7307),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7307),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7307),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7307),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7307),
    [anon_sym_const] = ACTIONS(7307),
    [anon_sym_constexpr] = ACTIONS(7307),
    [anon_sym_volatile] = ACTIONS(7307),
    [anon_sym_restrict] = ACTIONS(7307),
    [anon_sym___restrict__] = ACTIONS(7307),
    [anon_sym__Atomic] = ACTIONS(7307),
    [anon_sym__Noreturn] = ACTIONS(7307),
    [anon_sym__Nonnull] = ACTIONS(7307),
    [anon_sym_nullable] = ACTIONS(7307),
    [anon_sym__Complex] = ACTIONS(7307),
    [anon_sym__Nullable] = ACTIONS(7307),
    [anon_sym__Nullable_result] = ACTIONS(7307),
    [anon_sym__Null_unspecified] = ACTIONS(7307),
    [anon_sym___autoreleasing] = ACTIONS(7307),
    [anon_sym___block] = ACTIONS(7307),
    [anon_sym___bridge] = ACTIONS(7307),
    [anon_sym___bridge_retained] = ACTIONS(7307),
    [anon_sym___bridge_transfer] = ACTIONS(7307),
    [anon_sym___complex] = ACTIONS(7307),
    [anon_sym___const] = ACTIONS(7307),
    [anon_sym___imag] = ACTIONS(7307),
    [anon_sym___kindof] = ACTIONS(7307),
    [anon_sym___nonnull] = ACTIONS(7307),
    [anon_sym___nullable] = ACTIONS(7307),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7307),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7307),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7307),
    [anon_sym___real] = ACTIONS(7307),
    [anon_sym___strong] = ACTIONS(7307),
    [anon_sym___unsafe_unretained] = ACTIONS(7307),
    [anon_sym___unused] = ACTIONS(7307),
    [anon_sym___weak] = ACTIONS(7307),
    [anon_sym_alignas] = ACTIONS(7307),
    [anon_sym__Alignas] = ACTIONS(7307),
    [anon_sym_enum] = ACTIONS(7307),
    [anon_sym_COLON] = ACTIONS(7309),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7307),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7307),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7307),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7307),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7307),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7307),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7307),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7307),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7307),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7307),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7307),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7307),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7307),
    [anon_sym_API_AVAILABLE] = ACTIONS(7307),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7307),
    [anon_sym_API_DEPRECATED] = ACTIONS(7307),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7307),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7307),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7307),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7307),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7307),
    [anon_sym___deprecated_msg] = ACTIONS(7307),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7307),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7307),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7307),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7307),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7307),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7307),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7307),
  },
  [2977] = {
    [sym_identifier] = ACTIONS(7311),
    [anon_sym_COMMA] = ACTIONS(7313),
    [anon_sym_RPAREN] = ACTIONS(7313),
    [anon_sym_LPAREN2] = ACTIONS(7313),
    [anon_sym_STAR] = ACTIONS(7313),
    [anon_sym_CARET] = ACTIONS(7313),
    [anon_sym_SEMI] = ACTIONS(7313),
    [anon_sym___extension__] = ACTIONS(7311),
    [anon_sym_extern] = ACTIONS(7311),
    [anon_sym___attribute__] = ACTIONS(7311),
    [anon_sym___attribute] = ACTIONS(7311),
    [anon_sym_noreturn] = ACTIONS(7311),
    [anon_sym_LBRACK] = ACTIONS(7313),
    [anon_sym___declspec] = ACTIONS(7311),
    [anon_sym___based] = ACTIONS(7311),
    [anon_sym_signed] = ACTIONS(7311),
    [anon_sym_unsigned] = ACTIONS(7311),
    [anon_sym_long] = ACTIONS(7311),
    [anon_sym_short] = ACTIONS(7311),
    [anon_sym_static] = ACTIONS(7311),
    [anon_sym_auto] = ACTIONS(7311),
    [anon_sym_register] = ACTIONS(7311),
    [anon_sym_inline] = ACTIONS(7311),
    [anon_sym___inline] = ACTIONS(7311),
    [anon_sym___inline__] = ACTIONS(7311),
    [anon_sym___forceinline] = ACTIONS(7311),
    [anon_sym_thread_local] = ACTIONS(7311),
    [anon_sym___thread] = ACTIONS(7311),
    [anon_sym_CG_EXTERN] = ACTIONS(7311),
    [anon_sym_CG_INLINE] = ACTIONS(7311),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7311),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7311),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7311),
    [anon_sym_IBOutlet] = ACTIONS(7311),
    [anon_sym_IBInspectable] = ACTIONS(7311),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7311),
    [anon_sym_NS_INLINE] = ACTIONS(7311),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7311),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7311),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7311),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7311),
    [anon_sym_const] = ACTIONS(7311),
    [anon_sym_constexpr] = ACTIONS(7311),
    [anon_sym_volatile] = ACTIONS(7311),
    [anon_sym_restrict] = ACTIONS(7311),
    [anon_sym___restrict__] = ACTIONS(7311),
    [anon_sym__Atomic] = ACTIONS(7311),
    [anon_sym__Noreturn] = ACTIONS(7311),
    [anon_sym__Nonnull] = ACTIONS(7311),
    [anon_sym_nullable] = ACTIONS(7311),
    [anon_sym__Complex] = ACTIONS(7311),
    [anon_sym__Nullable] = ACTIONS(7311),
    [anon_sym__Nullable_result] = ACTIONS(7311),
    [anon_sym__Null_unspecified] = ACTIONS(7311),
    [anon_sym___autoreleasing] = ACTIONS(7311),
    [anon_sym___block] = ACTIONS(7311),
    [anon_sym___bridge] = ACTIONS(7311),
    [anon_sym___bridge_retained] = ACTIONS(7311),
    [anon_sym___bridge_transfer] = ACTIONS(7311),
    [anon_sym___complex] = ACTIONS(7311),
    [anon_sym___const] = ACTIONS(7311),
    [anon_sym___imag] = ACTIONS(7311),
    [anon_sym___kindof] = ACTIONS(7311),
    [anon_sym___nonnull] = ACTIONS(7311),
    [anon_sym___nullable] = ACTIONS(7311),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7311),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7311),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7311),
    [anon_sym___real] = ACTIONS(7311),
    [anon_sym___strong] = ACTIONS(7311),
    [anon_sym___unsafe_unretained] = ACTIONS(7311),
    [anon_sym___unused] = ACTIONS(7311),
    [anon_sym___weak] = ACTIONS(7311),
    [anon_sym_alignas] = ACTIONS(7311),
    [anon_sym__Alignas] = ACTIONS(7311),
    [sym_primitive_type] = ACTIONS(7311),
    [anon_sym_enum] = ACTIONS(7311),
    [anon_sym_COLON] = ACTIONS(7313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7311),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7311),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7311),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7311),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7311),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7311),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7311),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7311),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7311),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7311),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7311),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7311),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7311),
    [anon_sym_API_AVAILABLE] = ACTIONS(7311),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7311),
    [anon_sym_API_DEPRECATED] = ACTIONS(7311),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7311),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7311),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7311),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7311),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7311),
    [anon_sym___deprecated_msg] = ACTIONS(7311),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7311),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7311),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7311),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7311),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7311),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7311),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7311),
  },
  [2978] = {
    [sym_identifier] = ACTIONS(7315),
    [anon_sym_COMMA] = ACTIONS(7317),
    [anon_sym_RPAREN] = ACTIONS(7317),
    [anon_sym_LPAREN2] = ACTIONS(7317),
    [anon_sym_STAR] = ACTIONS(7317),
    [anon_sym_CARET] = ACTIONS(7317),
    [anon_sym_SEMI] = ACTIONS(7317),
    [anon_sym___extension__] = ACTIONS(7315),
    [anon_sym_extern] = ACTIONS(7315),
    [anon_sym___attribute__] = ACTIONS(7315),
    [anon_sym___attribute] = ACTIONS(7315),
    [anon_sym_noreturn] = ACTIONS(7315),
    [anon_sym_LBRACK] = ACTIONS(7317),
    [anon_sym___declspec] = ACTIONS(7315),
    [anon_sym___based] = ACTIONS(7315),
    [anon_sym_signed] = ACTIONS(7315),
    [anon_sym_unsigned] = ACTIONS(7315),
    [anon_sym_long] = ACTIONS(7315),
    [anon_sym_short] = ACTIONS(7315),
    [anon_sym_static] = ACTIONS(7315),
    [anon_sym_auto] = ACTIONS(7315),
    [anon_sym_register] = ACTIONS(7315),
    [anon_sym_inline] = ACTIONS(7315),
    [anon_sym___inline] = ACTIONS(7315),
    [anon_sym___inline__] = ACTIONS(7315),
    [anon_sym___forceinline] = ACTIONS(7315),
    [anon_sym_thread_local] = ACTIONS(7315),
    [anon_sym___thread] = ACTIONS(7315),
    [anon_sym_CG_EXTERN] = ACTIONS(7315),
    [anon_sym_CG_INLINE] = ACTIONS(7315),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7315),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7315),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7315),
    [anon_sym_IBOutlet] = ACTIONS(7315),
    [anon_sym_IBInspectable] = ACTIONS(7315),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7315),
    [anon_sym_NS_INLINE] = ACTIONS(7315),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7315),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7315),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7315),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7315),
    [anon_sym_const] = ACTIONS(7315),
    [anon_sym_constexpr] = ACTIONS(7315),
    [anon_sym_volatile] = ACTIONS(7315),
    [anon_sym_restrict] = ACTIONS(7315),
    [anon_sym___restrict__] = ACTIONS(7315),
    [anon_sym__Atomic] = ACTIONS(7315),
    [anon_sym__Noreturn] = ACTIONS(7315),
    [anon_sym__Nonnull] = ACTIONS(7315),
    [anon_sym_nullable] = ACTIONS(7315),
    [anon_sym__Complex] = ACTIONS(7315),
    [anon_sym__Nullable] = ACTIONS(7315),
    [anon_sym__Nullable_result] = ACTIONS(7315),
    [anon_sym__Null_unspecified] = ACTIONS(7315),
    [anon_sym___autoreleasing] = ACTIONS(7315),
    [anon_sym___block] = ACTIONS(7315),
    [anon_sym___bridge] = ACTIONS(7315),
    [anon_sym___bridge_retained] = ACTIONS(7315),
    [anon_sym___bridge_transfer] = ACTIONS(7315),
    [anon_sym___complex] = ACTIONS(7315),
    [anon_sym___const] = ACTIONS(7315),
    [anon_sym___imag] = ACTIONS(7315),
    [anon_sym___kindof] = ACTIONS(7315),
    [anon_sym___nonnull] = ACTIONS(7315),
    [anon_sym___nullable] = ACTIONS(7315),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7315),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7315),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7315),
    [anon_sym___real] = ACTIONS(7315),
    [anon_sym___strong] = ACTIONS(7315),
    [anon_sym___unsafe_unretained] = ACTIONS(7315),
    [anon_sym___unused] = ACTIONS(7315),
    [anon_sym___weak] = ACTIONS(7315),
    [anon_sym_alignas] = ACTIONS(7315),
    [anon_sym__Alignas] = ACTIONS(7315),
    [sym_primitive_type] = ACTIONS(7315),
    [anon_sym_enum] = ACTIONS(7315),
    [anon_sym_COLON] = ACTIONS(7317),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7315),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7315),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7315),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7315),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7315),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7315),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7315),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7315),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7315),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7315),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7315),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7315),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7315),
    [anon_sym_API_AVAILABLE] = ACTIONS(7315),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7315),
    [anon_sym_API_DEPRECATED] = ACTIONS(7315),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7315),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7315),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7315),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7315),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7315),
    [anon_sym___deprecated_msg] = ACTIONS(7315),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7315),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7315),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7315),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7315),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7315),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7315),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7315),
  },
  [2979] = {
    [sym_identifier] = ACTIONS(7319),
    [anon_sym_COMMA] = ACTIONS(7321),
    [anon_sym_RPAREN] = ACTIONS(7321),
    [anon_sym_LPAREN2] = ACTIONS(7321),
    [anon_sym_STAR] = ACTIONS(7321),
    [anon_sym_CARET] = ACTIONS(7321),
    [anon_sym_SEMI] = ACTIONS(7321),
    [anon_sym___extension__] = ACTIONS(7319),
    [anon_sym_extern] = ACTIONS(7319),
    [anon_sym___attribute__] = ACTIONS(7319),
    [anon_sym___attribute] = ACTIONS(7319),
    [anon_sym_noreturn] = ACTIONS(7319),
    [anon_sym_LBRACK] = ACTIONS(7321),
    [anon_sym___declspec] = ACTIONS(7319),
    [anon_sym___based] = ACTIONS(7319),
    [anon_sym_signed] = ACTIONS(7319),
    [anon_sym_unsigned] = ACTIONS(7319),
    [anon_sym_long] = ACTIONS(7319),
    [anon_sym_short] = ACTIONS(7319),
    [anon_sym_static] = ACTIONS(7319),
    [anon_sym_auto] = ACTIONS(7319),
    [anon_sym_register] = ACTIONS(7319),
    [anon_sym_inline] = ACTIONS(7319),
    [anon_sym___inline] = ACTIONS(7319),
    [anon_sym___inline__] = ACTIONS(7319),
    [anon_sym___forceinline] = ACTIONS(7319),
    [anon_sym_thread_local] = ACTIONS(7319),
    [anon_sym___thread] = ACTIONS(7319),
    [anon_sym_CG_EXTERN] = ACTIONS(7319),
    [anon_sym_CG_INLINE] = ACTIONS(7319),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7319),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7319),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7319),
    [anon_sym_IBOutlet] = ACTIONS(7319),
    [anon_sym_IBInspectable] = ACTIONS(7319),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7319),
    [anon_sym_NS_INLINE] = ACTIONS(7319),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7319),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7319),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7319),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7319),
    [anon_sym_const] = ACTIONS(7319),
    [anon_sym_constexpr] = ACTIONS(7319),
    [anon_sym_volatile] = ACTIONS(7319),
    [anon_sym_restrict] = ACTIONS(7319),
    [anon_sym___restrict__] = ACTIONS(7319),
    [anon_sym__Atomic] = ACTIONS(7319),
    [anon_sym__Noreturn] = ACTIONS(7319),
    [anon_sym__Nonnull] = ACTIONS(7319),
    [anon_sym_nullable] = ACTIONS(7319),
    [anon_sym__Complex] = ACTIONS(7319),
    [anon_sym__Nullable] = ACTIONS(7319),
    [anon_sym__Nullable_result] = ACTIONS(7319),
    [anon_sym__Null_unspecified] = ACTIONS(7319),
    [anon_sym___autoreleasing] = ACTIONS(7319),
    [anon_sym___block] = ACTIONS(7319),
    [anon_sym___bridge] = ACTIONS(7319),
    [anon_sym___bridge_retained] = ACTIONS(7319),
    [anon_sym___bridge_transfer] = ACTIONS(7319),
    [anon_sym___complex] = ACTIONS(7319),
    [anon_sym___const] = ACTIONS(7319),
    [anon_sym___imag] = ACTIONS(7319),
    [anon_sym___kindof] = ACTIONS(7319),
    [anon_sym___nonnull] = ACTIONS(7319),
    [anon_sym___nullable] = ACTIONS(7319),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7319),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7319),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7319),
    [anon_sym___real] = ACTIONS(7319),
    [anon_sym___strong] = ACTIONS(7319),
    [anon_sym___unsafe_unretained] = ACTIONS(7319),
    [anon_sym___unused] = ACTIONS(7319),
    [anon_sym___weak] = ACTIONS(7319),
    [anon_sym_alignas] = ACTIONS(7319),
    [anon_sym__Alignas] = ACTIONS(7319),
    [sym_primitive_type] = ACTIONS(7319),
    [anon_sym_enum] = ACTIONS(7319),
    [anon_sym_COLON] = ACTIONS(7321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7319),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7319),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7319),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7319),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7319),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7319),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7319),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7319),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7319),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7319),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7319),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7319),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7319),
    [anon_sym_API_AVAILABLE] = ACTIONS(7319),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7319),
    [anon_sym_API_DEPRECATED] = ACTIONS(7319),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7319),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7319),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7319),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7319),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7319),
    [anon_sym___deprecated_msg] = ACTIONS(7319),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7319),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7319),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7319),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7319),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7319),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7319),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7319),
  },
  [2980] = {
    [sym_identifier] = ACTIONS(7323),
    [anon_sym_COMMA] = ACTIONS(7325),
    [anon_sym_RPAREN] = ACTIONS(7325),
    [anon_sym_LPAREN2] = ACTIONS(7325),
    [anon_sym_STAR] = ACTIONS(7325),
    [anon_sym_CARET] = ACTIONS(7325),
    [anon_sym_SEMI] = ACTIONS(7325),
    [anon_sym___extension__] = ACTIONS(7323),
    [anon_sym_extern] = ACTIONS(7323),
    [anon_sym___attribute__] = ACTIONS(7323),
    [anon_sym___attribute] = ACTIONS(7323),
    [anon_sym_noreturn] = ACTIONS(7323),
    [anon_sym_LBRACK] = ACTIONS(7325),
    [anon_sym___declspec] = ACTIONS(7323),
    [anon_sym___based] = ACTIONS(7323),
    [anon_sym_signed] = ACTIONS(7323),
    [anon_sym_unsigned] = ACTIONS(7323),
    [anon_sym_long] = ACTIONS(7323),
    [anon_sym_short] = ACTIONS(7323),
    [anon_sym_static] = ACTIONS(7323),
    [anon_sym_auto] = ACTIONS(7323),
    [anon_sym_register] = ACTIONS(7323),
    [anon_sym_inline] = ACTIONS(7323),
    [anon_sym___inline] = ACTIONS(7323),
    [anon_sym___inline__] = ACTIONS(7323),
    [anon_sym___forceinline] = ACTIONS(7323),
    [anon_sym_thread_local] = ACTIONS(7323),
    [anon_sym___thread] = ACTIONS(7323),
    [anon_sym_CG_EXTERN] = ACTIONS(7323),
    [anon_sym_CG_INLINE] = ACTIONS(7323),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7323),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7323),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7323),
    [anon_sym_IBOutlet] = ACTIONS(7323),
    [anon_sym_IBInspectable] = ACTIONS(7323),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7323),
    [anon_sym_NS_INLINE] = ACTIONS(7323),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7323),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7323),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7323),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7323),
    [anon_sym_const] = ACTIONS(7323),
    [anon_sym_constexpr] = ACTIONS(7323),
    [anon_sym_volatile] = ACTIONS(7323),
    [anon_sym_restrict] = ACTIONS(7323),
    [anon_sym___restrict__] = ACTIONS(7323),
    [anon_sym__Atomic] = ACTIONS(7323),
    [anon_sym__Noreturn] = ACTIONS(7323),
    [anon_sym__Nonnull] = ACTIONS(7323),
    [anon_sym_nullable] = ACTIONS(7323),
    [anon_sym__Complex] = ACTIONS(7323),
    [anon_sym__Nullable] = ACTIONS(7323),
    [anon_sym__Nullable_result] = ACTIONS(7323),
    [anon_sym__Null_unspecified] = ACTIONS(7323),
    [anon_sym___autoreleasing] = ACTIONS(7323),
    [anon_sym___block] = ACTIONS(7323),
    [anon_sym___bridge] = ACTIONS(7323),
    [anon_sym___bridge_retained] = ACTIONS(7323),
    [anon_sym___bridge_transfer] = ACTIONS(7323),
    [anon_sym___complex] = ACTIONS(7323),
    [anon_sym___const] = ACTIONS(7323),
    [anon_sym___imag] = ACTIONS(7323),
    [anon_sym___kindof] = ACTIONS(7323),
    [anon_sym___nonnull] = ACTIONS(7323),
    [anon_sym___nullable] = ACTIONS(7323),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7323),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7323),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7323),
    [anon_sym___real] = ACTIONS(7323),
    [anon_sym___strong] = ACTIONS(7323),
    [anon_sym___unsafe_unretained] = ACTIONS(7323),
    [anon_sym___unused] = ACTIONS(7323),
    [anon_sym___weak] = ACTIONS(7323),
    [anon_sym_alignas] = ACTIONS(7323),
    [anon_sym__Alignas] = ACTIONS(7323),
    [sym_primitive_type] = ACTIONS(7323),
    [anon_sym_enum] = ACTIONS(7323),
    [anon_sym_COLON] = ACTIONS(7325),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7323),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7323),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7323),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7323),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7323),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7323),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7323),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7323),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7323),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7323),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7323),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7323),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7323),
    [anon_sym_API_AVAILABLE] = ACTIONS(7323),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7323),
    [anon_sym_API_DEPRECATED] = ACTIONS(7323),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7323),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7323),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7323),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7323),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7323),
    [anon_sym___deprecated_msg] = ACTIONS(7323),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7323),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7323),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7323),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7323),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7323),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7323),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7323),
  },
  [2981] = {
    [sym_identifier] = ACTIONS(7327),
    [anon_sym_COMMA] = ACTIONS(7329),
    [anon_sym_RPAREN] = ACTIONS(7329),
    [anon_sym_LPAREN2] = ACTIONS(7329),
    [anon_sym_STAR] = ACTIONS(7329),
    [anon_sym_CARET] = ACTIONS(7329),
    [anon_sym_SEMI] = ACTIONS(7329),
    [anon_sym___extension__] = ACTIONS(7327),
    [anon_sym_extern] = ACTIONS(7327),
    [anon_sym___attribute__] = ACTIONS(7327),
    [anon_sym___attribute] = ACTIONS(7327),
    [anon_sym_noreturn] = ACTIONS(7327),
    [anon_sym_LBRACK] = ACTIONS(7329),
    [anon_sym___declspec] = ACTIONS(7327),
    [anon_sym___based] = ACTIONS(7327),
    [anon_sym_signed] = ACTIONS(7327),
    [anon_sym_unsigned] = ACTIONS(7327),
    [anon_sym_long] = ACTIONS(7327),
    [anon_sym_short] = ACTIONS(7327),
    [anon_sym_static] = ACTIONS(7327),
    [anon_sym_auto] = ACTIONS(7327),
    [anon_sym_register] = ACTIONS(7327),
    [anon_sym_inline] = ACTIONS(7327),
    [anon_sym___inline] = ACTIONS(7327),
    [anon_sym___inline__] = ACTIONS(7327),
    [anon_sym___forceinline] = ACTIONS(7327),
    [anon_sym_thread_local] = ACTIONS(7327),
    [anon_sym___thread] = ACTIONS(7327),
    [anon_sym_CG_EXTERN] = ACTIONS(7327),
    [anon_sym_CG_INLINE] = ACTIONS(7327),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7327),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7327),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7327),
    [anon_sym_IBOutlet] = ACTIONS(7327),
    [anon_sym_IBInspectable] = ACTIONS(7327),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7327),
    [anon_sym_NS_INLINE] = ACTIONS(7327),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7327),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7327),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7327),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7327),
    [anon_sym_const] = ACTIONS(7327),
    [anon_sym_constexpr] = ACTIONS(7327),
    [anon_sym_volatile] = ACTIONS(7327),
    [anon_sym_restrict] = ACTIONS(7327),
    [anon_sym___restrict__] = ACTIONS(7327),
    [anon_sym__Atomic] = ACTIONS(7327),
    [anon_sym__Noreturn] = ACTIONS(7327),
    [anon_sym__Nonnull] = ACTIONS(7327),
    [anon_sym_nullable] = ACTIONS(7327),
    [anon_sym__Complex] = ACTIONS(7327),
    [anon_sym__Nullable] = ACTIONS(7327),
    [anon_sym__Nullable_result] = ACTIONS(7327),
    [anon_sym__Null_unspecified] = ACTIONS(7327),
    [anon_sym___autoreleasing] = ACTIONS(7327),
    [anon_sym___block] = ACTIONS(7327),
    [anon_sym___bridge] = ACTIONS(7327),
    [anon_sym___bridge_retained] = ACTIONS(7327),
    [anon_sym___bridge_transfer] = ACTIONS(7327),
    [anon_sym___complex] = ACTIONS(7327),
    [anon_sym___const] = ACTIONS(7327),
    [anon_sym___imag] = ACTIONS(7327),
    [anon_sym___kindof] = ACTIONS(7327),
    [anon_sym___nonnull] = ACTIONS(7327),
    [anon_sym___nullable] = ACTIONS(7327),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7327),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7327),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7327),
    [anon_sym___real] = ACTIONS(7327),
    [anon_sym___strong] = ACTIONS(7327),
    [anon_sym___unsafe_unretained] = ACTIONS(7327),
    [anon_sym___unused] = ACTIONS(7327),
    [anon_sym___weak] = ACTIONS(7327),
    [anon_sym_alignas] = ACTIONS(7327),
    [anon_sym__Alignas] = ACTIONS(7327),
    [sym_primitive_type] = ACTIONS(7327),
    [anon_sym_enum] = ACTIONS(7327),
    [anon_sym_COLON] = ACTIONS(7329),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7327),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7327),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7327),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7327),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7327),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7327),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7327),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7327),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7327),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7327),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7327),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7327),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7327),
    [anon_sym_API_AVAILABLE] = ACTIONS(7327),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7327),
    [anon_sym_API_DEPRECATED] = ACTIONS(7327),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7327),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7327),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7327),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7327),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7327),
    [anon_sym___deprecated_msg] = ACTIONS(7327),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7327),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7327),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7327),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7327),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7327),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7327),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7327),
  },
  [2982] = {
    [sym_identifier] = ACTIONS(7331),
    [anon_sym_COMMA] = ACTIONS(7333),
    [anon_sym_RPAREN] = ACTIONS(7333),
    [anon_sym_LPAREN2] = ACTIONS(7333),
    [anon_sym_STAR] = ACTIONS(7333),
    [anon_sym_CARET] = ACTIONS(7333),
    [anon_sym_SEMI] = ACTIONS(7333),
    [anon_sym___extension__] = ACTIONS(7331),
    [anon_sym_extern] = ACTIONS(7331),
    [anon_sym___attribute__] = ACTIONS(7331),
    [anon_sym___attribute] = ACTIONS(7331),
    [anon_sym_noreturn] = ACTIONS(7331),
    [anon_sym_LBRACK] = ACTIONS(7333),
    [anon_sym___declspec] = ACTIONS(7331),
    [anon_sym___based] = ACTIONS(7331),
    [anon_sym_signed] = ACTIONS(7331),
    [anon_sym_unsigned] = ACTIONS(7331),
    [anon_sym_long] = ACTIONS(7331),
    [anon_sym_short] = ACTIONS(7331),
    [anon_sym_static] = ACTIONS(7331),
    [anon_sym_auto] = ACTIONS(7331),
    [anon_sym_register] = ACTIONS(7331),
    [anon_sym_inline] = ACTIONS(7331),
    [anon_sym___inline] = ACTIONS(7331),
    [anon_sym___inline__] = ACTIONS(7331),
    [anon_sym___forceinline] = ACTIONS(7331),
    [anon_sym_thread_local] = ACTIONS(7331),
    [anon_sym___thread] = ACTIONS(7331),
    [anon_sym_CG_EXTERN] = ACTIONS(7331),
    [anon_sym_CG_INLINE] = ACTIONS(7331),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7331),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7331),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7331),
    [anon_sym_IBOutlet] = ACTIONS(7331),
    [anon_sym_IBInspectable] = ACTIONS(7331),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7331),
    [anon_sym_NS_INLINE] = ACTIONS(7331),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7331),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7331),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7331),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7331),
    [anon_sym_const] = ACTIONS(7331),
    [anon_sym_constexpr] = ACTIONS(7331),
    [anon_sym_volatile] = ACTIONS(7331),
    [anon_sym_restrict] = ACTIONS(7331),
    [anon_sym___restrict__] = ACTIONS(7331),
    [anon_sym__Atomic] = ACTIONS(7331),
    [anon_sym__Noreturn] = ACTIONS(7331),
    [anon_sym__Nonnull] = ACTIONS(7331),
    [anon_sym_nullable] = ACTIONS(7331),
    [anon_sym__Complex] = ACTIONS(7331),
    [anon_sym__Nullable] = ACTIONS(7331),
    [anon_sym__Nullable_result] = ACTIONS(7331),
    [anon_sym__Null_unspecified] = ACTIONS(7331),
    [anon_sym___autoreleasing] = ACTIONS(7331),
    [anon_sym___block] = ACTIONS(7331),
    [anon_sym___bridge] = ACTIONS(7331),
    [anon_sym___bridge_retained] = ACTIONS(7331),
    [anon_sym___bridge_transfer] = ACTIONS(7331),
    [anon_sym___complex] = ACTIONS(7331),
    [anon_sym___const] = ACTIONS(7331),
    [anon_sym___imag] = ACTIONS(7331),
    [anon_sym___kindof] = ACTIONS(7331),
    [anon_sym___nonnull] = ACTIONS(7331),
    [anon_sym___nullable] = ACTIONS(7331),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7331),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7331),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7331),
    [anon_sym___real] = ACTIONS(7331),
    [anon_sym___strong] = ACTIONS(7331),
    [anon_sym___unsafe_unretained] = ACTIONS(7331),
    [anon_sym___unused] = ACTIONS(7331),
    [anon_sym___weak] = ACTIONS(7331),
    [anon_sym_alignas] = ACTIONS(7331),
    [anon_sym__Alignas] = ACTIONS(7331),
    [sym_primitive_type] = ACTIONS(7331),
    [anon_sym_enum] = ACTIONS(7331),
    [anon_sym_COLON] = ACTIONS(7333),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7331),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7331),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7331),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7331),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7331),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7331),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7331),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7331),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7331),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7331),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7331),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7331),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7331),
    [anon_sym_API_AVAILABLE] = ACTIONS(7331),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7331),
    [anon_sym_API_DEPRECATED] = ACTIONS(7331),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7331),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7331),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7331),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7331),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7331),
    [anon_sym___deprecated_msg] = ACTIONS(7331),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7331),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7331),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7331),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7331),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7331),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7331),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7331),
  },
  [2983] = {
    [sym_identifier] = ACTIONS(7335),
    [anon_sym_COMMA] = ACTIONS(7337),
    [anon_sym_RPAREN] = ACTIONS(7337),
    [anon_sym_LPAREN2] = ACTIONS(7337),
    [anon_sym_STAR] = ACTIONS(7337),
    [anon_sym_CARET] = ACTIONS(7337),
    [anon_sym_SEMI] = ACTIONS(7337),
    [anon_sym___extension__] = ACTIONS(7335),
    [anon_sym_extern] = ACTIONS(7335),
    [anon_sym___attribute__] = ACTIONS(7335),
    [anon_sym___attribute] = ACTIONS(7335),
    [anon_sym_noreturn] = ACTIONS(7335),
    [anon_sym_LBRACK] = ACTIONS(7337),
    [anon_sym___declspec] = ACTIONS(7335),
    [anon_sym___based] = ACTIONS(7335),
    [anon_sym_signed] = ACTIONS(7335),
    [anon_sym_unsigned] = ACTIONS(7335),
    [anon_sym_long] = ACTIONS(7335),
    [anon_sym_short] = ACTIONS(7335),
    [anon_sym_static] = ACTIONS(7335),
    [anon_sym_auto] = ACTIONS(7335),
    [anon_sym_register] = ACTIONS(7335),
    [anon_sym_inline] = ACTIONS(7335),
    [anon_sym___inline] = ACTIONS(7335),
    [anon_sym___inline__] = ACTIONS(7335),
    [anon_sym___forceinline] = ACTIONS(7335),
    [anon_sym_thread_local] = ACTIONS(7335),
    [anon_sym___thread] = ACTIONS(7335),
    [anon_sym_CG_EXTERN] = ACTIONS(7335),
    [anon_sym_CG_INLINE] = ACTIONS(7335),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7335),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7335),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7335),
    [anon_sym_IBOutlet] = ACTIONS(7335),
    [anon_sym_IBInspectable] = ACTIONS(7335),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7335),
    [anon_sym_NS_INLINE] = ACTIONS(7335),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7335),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7335),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7335),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7335),
    [anon_sym_const] = ACTIONS(7335),
    [anon_sym_constexpr] = ACTIONS(7335),
    [anon_sym_volatile] = ACTIONS(7335),
    [anon_sym_restrict] = ACTIONS(7335),
    [anon_sym___restrict__] = ACTIONS(7335),
    [anon_sym__Atomic] = ACTIONS(7335),
    [anon_sym__Noreturn] = ACTIONS(7335),
    [anon_sym__Nonnull] = ACTIONS(7335),
    [anon_sym_nullable] = ACTIONS(7335),
    [anon_sym__Complex] = ACTIONS(7335),
    [anon_sym__Nullable] = ACTIONS(7335),
    [anon_sym__Nullable_result] = ACTIONS(7335),
    [anon_sym__Null_unspecified] = ACTIONS(7335),
    [anon_sym___autoreleasing] = ACTIONS(7335),
    [anon_sym___block] = ACTIONS(7335),
    [anon_sym___bridge] = ACTIONS(7335),
    [anon_sym___bridge_retained] = ACTIONS(7335),
    [anon_sym___bridge_transfer] = ACTIONS(7335),
    [anon_sym___complex] = ACTIONS(7335),
    [anon_sym___const] = ACTIONS(7335),
    [anon_sym___imag] = ACTIONS(7335),
    [anon_sym___kindof] = ACTIONS(7335),
    [anon_sym___nonnull] = ACTIONS(7335),
    [anon_sym___nullable] = ACTIONS(7335),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7335),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7335),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7335),
    [anon_sym___real] = ACTIONS(7335),
    [anon_sym___strong] = ACTIONS(7335),
    [anon_sym___unsafe_unretained] = ACTIONS(7335),
    [anon_sym___unused] = ACTIONS(7335),
    [anon_sym___weak] = ACTIONS(7335),
    [anon_sym_alignas] = ACTIONS(7335),
    [anon_sym__Alignas] = ACTIONS(7335),
    [sym_primitive_type] = ACTIONS(7335),
    [anon_sym_enum] = ACTIONS(7335),
    [anon_sym_COLON] = ACTIONS(7337),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7335),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7335),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7335),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7335),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7335),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7335),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7335),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7335),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7335),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7335),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7335),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7335),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7335),
    [anon_sym_API_AVAILABLE] = ACTIONS(7335),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7335),
    [anon_sym_API_DEPRECATED] = ACTIONS(7335),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7335),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7335),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7335),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7335),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7335),
    [anon_sym___deprecated_msg] = ACTIONS(7335),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7335),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7335),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7335),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7335),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7335),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7335),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7335),
  },
  [2984] = {
    [sym_identifier] = ACTIONS(7339),
    [anon_sym_COMMA] = ACTIONS(7341),
    [anon_sym_RPAREN] = ACTIONS(7341),
    [anon_sym_LPAREN2] = ACTIONS(7341),
    [anon_sym_STAR] = ACTIONS(7341),
    [anon_sym_CARET] = ACTIONS(7341),
    [anon_sym_SEMI] = ACTIONS(7341),
    [anon_sym___extension__] = ACTIONS(7339),
    [anon_sym_extern] = ACTIONS(7339),
    [anon_sym___attribute__] = ACTIONS(7339),
    [anon_sym___attribute] = ACTIONS(7339),
    [anon_sym_noreturn] = ACTIONS(7339),
    [anon_sym_LBRACK] = ACTIONS(7341),
    [anon_sym___declspec] = ACTIONS(7339),
    [anon_sym___based] = ACTIONS(7339),
    [anon_sym_signed] = ACTIONS(7339),
    [anon_sym_unsigned] = ACTIONS(7339),
    [anon_sym_long] = ACTIONS(7339),
    [anon_sym_short] = ACTIONS(7339),
    [anon_sym_static] = ACTIONS(7339),
    [anon_sym_auto] = ACTIONS(7339),
    [anon_sym_register] = ACTIONS(7339),
    [anon_sym_inline] = ACTIONS(7339),
    [anon_sym___inline] = ACTIONS(7339),
    [anon_sym___inline__] = ACTIONS(7339),
    [anon_sym___forceinline] = ACTIONS(7339),
    [anon_sym_thread_local] = ACTIONS(7339),
    [anon_sym___thread] = ACTIONS(7339),
    [anon_sym_CG_EXTERN] = ACTIONS(7339),
    [anon_sym_CG_INLINE] = ACTIONS(7339),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7339),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7339),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7339),
    [anon_sym_IBOutlet] = ACTIONS(7339),
    [anon_sym_IBInspectable] = ACTIONS(7339),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7339),
    [anon_sym_NS_INLINE] = ACTIONS(7339),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7339),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7339),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7339),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7339),
    [anon_sym_const] = ACTIONS(7339),
    [anon_sym_constexpr] = ACTIONS(7339),
    [anon_sym_volatile] = ACTIONS(7339),
    [anon_sym_restrict] = ACTIONS(7339),
    [anon_sym___restrict__] = ACTIONS(7339),
    [anon_sym__Atomic] = ACTIONS(7339),
    [anon_sym__Noreturn] = ACTIONS(7339),
    [anon_sym__Nonnull] = ACTIONS(7339),
    [anon_sym_nullable] = ACTIONS(7339),
    [anon_sym__Complex] = ACTIONS(7339),
    [anon_sym__Nullable] = ACTIONS(7339),
    [anon_sym__Nullable_result] = ACTIONS(7339),
    [anon_sym__Null_unspecified] = ACTIONS(7339),
    [anon_sym___autoreleasing] = ACTIONS(7339),
    [anon_sym___block] = ACTIONS(7339),
    [anon_sym___bridge] = ACTIONS(7339),
    [anon_sym___bridge_retained] = ACTIONS(7339),
    [anon_sym___bridge_transfer] = ACTIONS(7339),
    [anon_sym___complex] = ACTIONS(7339),
    [anon_sym___const] = ACTIONS(7339),
    [anon_sym___imag] = ACTIONS(7339),
    [anon_sym___kindof] = ACTIONS(7339),
    [anon_sym___nonnull] = ACTIONS(7339),
    [anon_sym___nullable] = ACTIONS(7339),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7339),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7339),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7339),
    [anon_sym___real] = ACTIONS(7339),
    [anon_sym___strong] = ACTIONS(7339),
    [anon_sym___unsafe_unretained] = ACTIONS(7339),
    [anon_sym___unused] = ACTIONS(7339),
    [anon_sym___weak] = ACTIONS(7339),
    [anon_sym_alignas] = ACTIONS(7339),
    [anon_sym__Alignas] = ACTIONS(7339),
    [sym_primitive_type] = ACTIONS(7339),
    [anon_sym_enum] = ACTIONS(7339),
    [anon_sym_COLON] = ACTIONS(7341),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7339),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7339),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7339),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7339),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7339),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7339),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7339),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7339),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7339),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7339),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7339),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7339),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7339),
    [anon_sym_API_AVAILABLE] = ACTIONS(7339),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7339),
    [anon_sym_API_DEPRECATED] = ACTIONS(7339),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7339),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7339),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7339),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7339),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7339),
    [anon_sym___deprecated_msg] = ACTIONS(7339),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7339),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7339),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7339),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7339),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7339),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7339),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7339),
  },
  [2985] = {
    [sym_identifier] = ACTIONS(7343),
    [anon_sym_COMMA] = ACTIONS(7345),
    [anon_sym_RPAREN] = ACTIONS(7345),
    [anon_sym_LPAREN2] = ACTIONS(7345),
    [anon_sym_STAR] = ACTIONS(7345),
    [anon_sym_CARET] = ACTIONS(7345),
    [anon_sym_SEMI] = ACTIONS(7345),
    [anon_sym___extension__] = ACTIONS(7343),
    [anon_sym_extern] = ACTIONS(7343),
    [anon_sym___attribute__] = ACTIONS(7343),
    [anon_sym___attribute] = ACTIONS(7343),
    [anon_sym_noreturn] = ACTIONS(7343),
    [anon_sym_LBRACK] = ACTIONS(7345),
    [anon_sym___declspec] = ACTIONS(7343),
    [anon_sym___based] = ACTIONS(7343),
    [anon_sym_signed] = ACTIONS(7343),
    [anon_sym_unsigned] = ACTIONS(7343),
    [anon_sym_long] = ACTIONS(7343),
    [anon_sym_short] = ACTIONS(7343),
    [anon_sym_static] = ACTIONS(7343),
    [anon_sym_auto] = ACTIONS(7343),
    [anon_sym_register] = ACTIONS(7343),
    [anon_sym_inline] = ACTIONS(7343),
    [anon_sym___inline] = ACTIONS(7343),
    [anon_sym___inline__] = ACTIONS(7343),
    [anon_sym___forceinline] = ACTIONS(7343),
    [anon_sym_thread_local] = ACTIONS(7343),
    [anon_sym___thread] = ACTIONS(7343),
    [anon_sym_CG_EXTERN] = ACTIONS(7343),
    [anon_sym_CG_INLINE] = ACTIONS(7343),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7343),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7343),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7343),
    [anon_sym_IBOutlet] = ACTIONS(7343),
    [anon_sym_IBInspectable] = ACTIONS(7343),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7343),
    [anon_sym_NS_INLINE] = ACTIONS(7343),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7343),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7343),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7343),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7343),
    [anon_sym_const] = ACTIONS(7343),
    [anon_sym_constexpr] = ACTIONS(7343),
    [anon_sym_volatile] = ACTIONS(7343),
    [anon_sym_restrict] = ACTIONS(7343),
    [anon_sym___restrict__] = ACTIONS(7343),
    [anon_sym__Atomic] = ACTIONS(7343),
    [anon_sym__Noreturn] = ACTIONS(7343),
    [anon_sym__Nonnull] = ACTIONS(7343),
    [anon_sym_nullable] = ACTIONS(7343),
    [anon_sym__Complex] = ACTIONS(7343),
    [anon_sym__Nullable] = ACTIONS(7343),
    [anon_sym__Nullable_result] = ACTIONS(7343),
    [anon_sym__Null_unspecified] = ACTIONS(7343),
    [anon_sym___autoreleasing] = ACTIONS(7343),
    [anon_sym___block] = ACTIONS(7343),
    [anon_sym___bridge] = ACTIONS(7343),
    [anon_sym___bridge_retained] = ACTIONS(7343),
    [anon_sym___bridge_transfer] = ACTIONS(7343),
    [anon_sym___complex] = ACTIONS(7343),
    [anon_sym___const] = ACTIONS(7343),
    [anon_sym___imag] = ACTIONS(7343),
    [anon_sym___kindof] = ACTIONS(7343),
    [anon_sym___nonnull] = ACTIONS(7343),
    [anon_sym___nullable] = ACTIONS(7343),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7343),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7343),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7343),
    [anon_sym___real] = ACTIONS(7343),
    [anon_sym___strong] = ACTIONS(7343),
    [anon_sym___unsafe_unretained] = ACTIONS(7343),
    [anon_sym___unused] = ACTIONS(7343),
    [anon_sym___weak] = ACTIONS(7343),
    [anon_sym_alignas] = ACTIONS(7343),
    [anon_sym__Alignas] = ACTIONS(7343),
    [sym_primitive_type] = ACTIONS(7343),
    [anon_sym_enum] = ACTIONS(7343),
    [anon_sym_COLON] = ACTIONS(7345),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7343),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7343),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7343),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7343),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7343),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7343),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7343),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7343),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7343),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7343),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7343),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7343),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7343),
    [anon_sym_API_AVAILABLE] = ACTIONS(7343),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7343),
    [anon_sym_API_DEPRECATED] = ACTIONS(7343),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7343),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7343),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7343),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7343),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7343),
    [anon_sym___deprecated_msg] = ACTIONS(7343),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7343),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7343),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7343),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7343),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7343),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7343),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7343),
  },
  [2986] = {
    [sym_identifier] = ACTIONS(7347),
    [anon_sym_COMMA] = ACTIONS(7349),
    [anon_sym_RPAREN] = ACTIONS(7349),
    [anon_sym_LPAREN2] = ACTIONS(7349),
    [anon_sym_STAR] = ACTIONS(7349),
    [anon_sym_CARET] = ACTIONS(7349),
    [anon_sym_SEMI] = ACTIONS(7349),
    [anon_sym___extension__] = ACTIONS(7347),
    [anon_sym_extern] = ACTIONS(7347),
    [anon_sym___attribute__] = ACTIONS(7347),
    [anon_sym___attribute] = ACTIONS(7347),
    [anon_sym_noreturn] = ACTIONS(7347),
    [anon_sym_LBRACK] = ACTIONS(7349),
    [anon_sym___declspec] = ACTIONS(7347),
    [anon_sym___based] = ACTIONS(7347),
    [anon_sym_signed] = ACTIONS(7347),
    [anon_sym_unsigned] = ACTIONS(7347),
    [anon_sym_long] = ACTIONS(7347),
    [anon_sym_short] = ACTIONS(7347),
    [anon_sym_static] = ACTIONS(7347),
    [anon_sym_auto] = ACTIONS(7347),
    [anon_sym_register] = ACTIONS(7347),
    [anon_sym_inline] = ACTIONS(7347),
    [anon_sym___inline] = ACTIONS(7347),
    [anon_sym___inline__] = ACTIONS(7347),
    [anon_sym___forceinline] = ACTIONS(7347),
    [anon_sym_thread_local] = ACTIONS(7347),
    [anon_sym___thread] = ACTIONS(7347),
    [anon_sym_CG_EXTERN] = ACTIONS(7347),
    [anon_sym_CG_INLINE] = ACTIONS(7347),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7347),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7347),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7347),
    [anon_sym_IBOutlet] = ACTIONS(7347),
    [anon_sym_IBInspectable] = ACTIONS(7347),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7347),
    [anon_sym_NS_INLINE] = ACTIONS(7347),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7347),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7347),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7347),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7347),
    [anon_sym_const] = ACTIONS(7347),
    [anon_sym_constexpr] = ACTIONS(7347),
    [anon_sym_volatile] = ACTIONS(7347),
    [anon_sym_restrict] = ACTIONS(7347),
    [anon_sym___restrict__] = ACTIONS(7347),
    [anon_sym__Atomic] = ACTIONS(7347),
    [anon_sym__Noreturn] = ACTIONS(7347),
    [anon_sym__Nonnull] = ACTIONS(7347),
    [anon_sym_nullable] = ACTIONS(7347),
    [anon_sym__Complex] = ACTIONS(7347),
    [anon_sym__Nullable] = ACTIONS(7347),
    [anon_sym__Nullable_result] = ACTIONS(7347),
    [anon_sym__Null_unspecified] = ACTIONS(7347),
    [anon_sym___autoreleasing] = ACTIONS(7347),
    [anon_sym___block] = ACTIONS(7347),
    [anon_sym___bridge] = ACTIONS(7347),
    [anon_sym___bridge_retained] = ACTIONS(7347),
    [anon_sym___bridge_transfer] = ACTIONS(7347),
    [anon_sym___complex] = ACTIONS(7347),
    [anon_sym___const] = ACTIONS(7347),
    [anon_sym___imag] = ACTIONS(7347),
    [anon_sym___kindof] = ACTIONS(7347),
    [anon_sym___nonnull] = ACTIONS(7347),
    [anon_sym___nullable] = ACTIONS(7347),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7347),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7347),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7347),
    [anon_sym___real] = ACTIONS(7347),
    [anon_sym___strong] = ACTIONS(7347),
    [anon_sym___unsafe_unretained] = ACTIONS(7347),
    [anon_sym___unused] = ACTIONS(7347),
    [anon_sym___weak] = ACTIONS(7347),
    [anon_sym_alignas] = ACTIONS(7347),
    [anon_sym__Alignas] = ACTIONS(7347),
    [sym_primitive_type] = ACTIONS(7347),
    [anon_sym_enum] = ACTIONS(7347),
    [anon_sym_COLON] = ACTIONS(7349),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7347),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7347),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7347),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7347),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7347),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7347),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7347),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7347),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7347),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7347),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7347),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7347),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7347),
    [anon_sym_API_AVAILABLE] = ACTIONS(7347),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7347),
    [anon_sym_API_DEPRECATED] = ACTIONS(7347),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7347),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7347),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7347),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7347),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7347),
    [anon_sym___deprecated_msg] = ACTIONS(7347),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7347),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7347),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7347),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7347),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7347),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7347),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7347),
  },
  [2987] = {
    [sym_identifier] = ACTIONS(7351),
    [anon_sym_COMMA] = ACTIONS(7353),
    [anon_sym_RPAREN] = ACTIONS(7353),
    [anon_sym_LPAREN2] = ACTIONS(7353),
    [anon_sym_STAR] = ACTIONS(7353),
    [anon_sym_CARET] = ACTIONS(7353),
    [anon_sym_SEMI] = ACTIONS(7353),
    [anon_sym___extension__] = ACTIONS(7351),
    [anon_sym_extern] = ACTIONS(7351),
    [anon_sym___attribute__] = ACTIONS(7351),
    [anon_sym___attribute] = ACTIONS(7351),
    [anon_sym_noreturn] = ACTIONS(7351),
    [anon_sym_LBRACK] = ACTIONS(7353),
    [anon_sym___declspec] = ACTIONS(7351),
    [anon_sym___based] = ACTIONS(7351),
    [anon_sym_signed] = ACTIONS(7351),
    [anon_sym_unsigned] = ACTIONS(7351),
    [anon_sym_long] = ACTIONS(7351),
    [anon_sym_short] = ACTIONS(7351),
    [anon_sym_static] = ACTIONS(7351),
    [anon_sym_auto] = ACTIONS(7351),
    [anon_sym_register] = ACTIONS(7351),
    [anon_sym_inline] = ACTIONS(7351),
    [anon_sym___inline] = ACTIONS(7351),
    [anon_sym___inline__] = ACTIONS(7351),
    [anon_sym___forceinline] = ACTIONS(7351),
    [anon_sym_thread_local] = ACTIONS(7351),
    [anon_sym___thread] = ACTIONS(7351),
    [anon_sym_CG_EXTERN] = ACTIONS(7351),
    [anon_sym_CG_INLINE] = ACTIONS(7351),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7351),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7351),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7351),
    [anon_sym_IBOutlet] = ACTIONS(7351),
    [anon_sym_IBInspectable] = ACTIONS(7351),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7351),
    [anon_sym_NS_INLINE] = ACTIONS(7351),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7351),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7351),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7351),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7351),
    [anon_sym_const] = ACTIONS(7351),
    [anon_sym_constexpr] = ACTIONS(7351),
    [anon_sym_volatile] = ACTIONS(7351),
    [anon_sym_restrict] = ACTIONS(7351),
    [anon_sym___restrict__] = ACTIONS(7351),
    [anon_sym__Atomic] = ACTIONS(7351),
    [anon_sym__Noreturn] = ACTIONS(7351),
    [anon_sym__Nonnull] = ACTIONS(7351),
    [anon_sym_nullable] = ACTIONS(7351),
    [anon_sym__Complex] = ACTIONS(7351),
    [anon_sym__Nullable] = ACTIONS(7351),
    [anon_sym__Nullable_result] = ACTIONS(7351),
    [anon_sym__Null_unspecified] = ACTIONS(7351),
    [anon_sym___autoreleasing] = ACTIONS(7351),
    [anon_sym___block] = ACTIONS(7351),
    [anon_sym___bridge] = ACTIONS(7351),
    [anon_sym___bridge_retained] = ACTIONS(7351),
    [anon_sym___bridge_transfer] = ACTIONS(7351),
    [anon_sym___complex] = ACTIONS(7351),
    [anon_sym___const] = ACTIONS(7351),
    [anon_sym___imag] = ACTIONS(7351),
    [anon_sym___kindof] = ACTIONS(7351),
    [anon_sym___nonnull] = ACTIONS(7351),
    [anon_sym___nullable] = ACTIONS(7351),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7351),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7351),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7351),
    [anon_sym___real] = ACTIONS(7351),
    [anon_sym___strong] = ACTIONS(7351),
    [anon_sym___unsafe_unretained] = ACTIONS(7351),
    [anon_sym___unused] = ACTIONS(7351),
    [anon_sym___weak] = ACTIONS(7351),
    [anon_sym_alignas] = ACTIONS(7351),
    [anon_sym__Alignas] = ACTIONS(7351),
    [sym_primitive_type] = ACTIONS(7351),
    [anon_sym_enum] = ACTIONS(7351),
    [anon_sym_COLON] = ACTIONS(7353),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7351),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7351),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7351),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7351),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7351),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7351),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7351),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7351),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7351),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7351),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7351),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7351),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7351),
    [anon_sym_API_AVAILABLE] = ACTIONS(7351),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7351),
    [anon_sym_API_DEPRECATED] = ACTIONS(7351),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7351),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7351),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7351),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7351),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7351),
    [anon_sym___deprecated_msg] = ACTIONS(7351),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7351),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7351),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7351),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7351),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7351),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7351),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7351),
  },
  [2988] = {
    [sym__declaration_modifiers] = STATE(2871),
    [sym_attribute_specifier] = STATE(2871),
    [sym_attribute_declaration] = STATE(2871),
    [sym_ms_declspec_modifier] = STATE(2871),
    [sym_storage_class_specifier] = STATE(2871),
    [sym_type_qualifier] = STATE(2871),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2871),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2871),
    [sym_identifier] = ACTIONS(6964),
    [anon_sym_LPAREN2] = ACTIONS(6966),
    [anon_sym_STAR] = ACTIONS(6966),
    [anon_sym_CARET] = ACTIONS(6966),
    [anon_sym_SEMI] = ACTIONS(7355),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(6884),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(6964),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [2989] = {
    [sym_identifier] = ACTIONS(7357),
    [anon_sym_COMMA] = ACTIONS(7359),
    [anon_sym_RPAREN] = ACTIONS(7359),
    [anon_sym_LPAREN2] = ACTIONS(7359),
    [anon_sym_STAR] = ACTIONS(7359),
    [anon_sym_CARET] = ACTIONS(7359),
    [anon_sym_SEMI] = ACTIONS(7359),
    [anon_sym___extension__] = ACTIONS(7357),
    [anon_sym_extern] = ACTIONS(7357),
    [anon_sym___attribute__] = ACTIONS(7357),
    [anon_sym___attribute] = ACTIONS(7357),
    [anon_sym_noreturn] = ACTIONS(7357),
    [anon_sym_LBRACK] = ACTIONS(7359),
    [anon_sym___declspec] = ACTIONS(7357),
    [anon_sym___based] = ACTIONS(7357),
    [anon_sym_signed] = ACTIONS(7357),
    [anon_sym_unsigned] = ACTIONS(7357),
    [anon_sym_long] = ACTIONS(7357),
    [anon_sym_short] = ACTIONS(7357),
    [anon_sym_static] = ACTIONS(7357),
    [anon_sym_auto] = ACTIONS(7357),
    [anon_sym_register] = ACTIONS(7357),
    [anon_sym_inline] = ACTIONS(7357),
    [anon_sym___inline] = ACTIONS(7357),
    [anon_sym___inline__] = ACTIONS(7357),
    [anon_sym___forceinline] = ACTIONS(7357),
    [anon_sym_thread_local] = ACTIONS(7357),
    [anon_sym___thread] = ACTIONS(7357),
    [anon_sym_CG_EXTERN] = ACTIONS(7357),
    [anon_sym_CG_INLINE] = ACTIONS(7357),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7357),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7357),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7357),
    [anon_sym_IBOutlet] = ACTIONS(7357),
    [anon_sym_IBInspectable] = ACTIONS(7357),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7357),
    [anon_sym_NS_INLINE] = ACTIONS(7357),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7357),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7357),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7357),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7357),
    [anon_sym_const] = ACTIONS(7357),
    [anon_sym_constexpr] = ACTIONS(7357),
    [anon_sym_volatile] = ACTIONS(7357),
    [anon_sym_restrict] = ACTIONS(7357),
    [anon_sym___restrict__] = ACTIONS(7357),
    [anon_sym__Atomic] = ACTIONS(7357),
    [anon_sym__Noreturn] = ACTIONS(7357),
    [anon_sym__Nonnull] = ACTIONS(7357),
    [anon_sym_nullable] = ACTIONS(7357),
    [anon_sym__Complex] = ACTIONS(7357),
    [anon_sym__Nullable] = ACTIONS(7357),
    [anon_sym__Nullable_result] = ACTIONS(7357),
    [anon_sym__Null_unspecified] = ACTIONS(7357),
    [anon_sym___autoreleasing] = ACTIONS(7357),
    [anon_sym___block] = ACTIONS(7357),
    [anon_sym___bridge] = ACTIONS(7357),
    [anon_sym___bridge_retained] = ACTIONS(7357),
    [anon_sym___bridge_transfer] = ACTIONS(7357),
    [anon_sym___complex] = ACTIONS(7357),
    [anon_sym___const] = ACTIONS(7357),
    [anon_sym___imag] = ACTIONS(7357),
    [anon_sym___kindof] = ACTIONS(7357),
    [anon_sym___nonnull] = ACTIONS(7357),
    [anon_sym___nullable] = ACTIONS(7357),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7357),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7357),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7357),
    [anon_sym___real] = ACTIONS(7357),
    [anon_sym___strong] = ACTIONS(7357),
    [anon_sym___unsafe_unretained] = ACTIONS(7357),
    [anon_sym___unused] = ACTIONS(7357),
    [anon_sym___weak] = ACTIONS(7357),
    [anon_sym_alignas] = ACTIONS(7357),
    [anon_sym__Alignas] = ACTIONS(7357),
    [sym_primitive_type] = ACTIONS(7357),
    [anon_sym_enum] = ACTIONS(7357),
    [anon_sym_COLON] = ACTIONS(7359),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7357),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7357),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7357),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7357),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7357),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7357),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7357),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7357),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7357),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7357),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7357),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7357),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7357),
    [anon_sym_API_AVAILABLE] = ACTIONS(7357),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7357),
    [anon_sym_API_DEPRECATED] = ACTIONS(7357),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7357),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7357),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7357),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7357),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7357),
    [anon_sym___deprecated_msg] = ACTIONS(7357),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7357),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7357),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7357),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7357),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7357),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7357),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7357),
  },
  [2990] = {
    [sym_identifier] = ACTIONS(7361),
    [anon_sym_COMMA] = ACTIONS(7363),
    [anon_sym_RPAREN] = ACTIONS(7363),
    [anon_sym_LPAREN2] = ACTIONS(7363),
    [anon_sym_STAR] = ACTIONS(7363),
    [anon_sym_CARET] = ACTIONS(7363),
    [anon_sym_SEMI] = ACTIONS(7363),
    [anon_sym___extension__] = ACTIONS(7361),
    [anon_sym_extern] = ACTIONS(7361),
    [anon_sym___attribute__] = ACTIONS(7361),
    [anon_sym___attribute] = ACTIONS(7361),
    [anon_sym_noreturn] = ACTIONS(7361),
    [anon_sym_LBRACK] = ACTIONS(7363),
    [anon_sym___declspec] = ACTIONS(7361),
    [anon_sym___based] = ACTIONS(7361),
    [anon_sym_signed] = ACTIONS(7361),
    [anon_sym_unsigned] = ACTIONS(7361),
    [anon_sym_long] = ACTIONS(7361),
    [anon_sym_short] = ACTIONS(7361),
    [anon_sym_static] = ACTIONS(7361),
    [anon_sym_auto] = ACTIONS(7361),
    [anon_sym_register] = ACTIONS(7361),
    [anon_sym_inline] = ACTIONS(7361),
    [anon_sym___inline] = ACTIONS(7361),
    [anon_sym___inline__] = ACTIONS(7361),
    [anon_sym___forceinline] = ACTIONS(7361),
    [anon_sym_thread_local] = ACTIONS(7361),
    [anon_sym___thread] = ACTIONS(7361),
    [anon_sym_CG_EXTERN] = ACTIONS(7361),
    [anon_sym_CG_INLINE] = ACTIONS(7361),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7361),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7361),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7361),
    [anon_sym_IBOutlet] = ACTIONS(7361),
    [anon_sym_IBInspectable] = ACTIONS(7361),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7361),
    [anon_sym_NS_INLINE] = ACTIONS(7361),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7361),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7361),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7361),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7361),
    [anon_sym_const] = ACTIONS(7361),
    [anon_sym_constexpr] = ACTIONS(7361),
    [anon_sym_volatile] = ACTIONS(7361),
    [anon_sym_restrict] = ACTIONS(7361),
    [anon_sym___restrict__] = ACTIONS(7361),
    [anon_sym__Atomic] = ACTIONS(7361),
    [anon_sym__Noreturn] = ACTIONS(7361),
    [anon_sym__Nonnull] = ACTIONS(7361),
    [anon_sym_nullable] = ACTIONS(7361),
    [anon_sym__Complex] = ACTIONS(7361),
    [anon_sym__Nullable] = ACTIONS(7361),
    [anon_sym__Nullable_result] = ACTIONS(7361),
    [anon_sym__Null_unspecified] = ACTIONS(7361),
    [anon_sym___autoreleasing] = ACTIONS(7361),
    [anon_sym___block] = ACTIONS(7361),
    [anon_sym___bridge] = ACTIONS(7361),
    [anon_sym___bridge_retained] = ACTIONS(7361),
    [anon_sym___bridge_transfer] = ACTIONS(7361),
    [anon_sym___complex] = ACTIONS(7361),
    [anon_sym___const] = ACTIONS(7361),
    [anon_sym___imag] = ACTIONS(7361),
    [anon_sym___kindof] = ACTIONS(7361),
    [anon_sym___nonnull] = ACTIONS(7361),
    [anon_sym___nullable] = ACTIONS(7361),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7361),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7361),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7361),
    [anon_sym___real] = ACTIONS(7361),
    [anon_sym___strong] = ACTIONS(7361),
    [anon_sym___unsafe_unretained] = ACTIONS(7361),
    [anon_sym___unused] = ACTIONS(7361),
    [anon_sym___weak] = ACTIONS(7361),
    [anon_sym_alignas] = ACTIONS(7361),
    [anon_sym__Alignas] = ACTIONS(7361),
    [sym_primitive_type] = ACTIONS(7361),
    [anon_sym_enum] = ACTIONS(7361),
    [anon_sym_COLON] = ACTIONS(7363),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7361),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7361),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7361),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7361),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7361),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7361),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7361),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7361),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7361),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7361),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7361),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7361),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7361),
    [anon_sym_API_AVAILABLE] = ACTIONS(7361),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7361),
    [anon_sym_API_DEPRECATED] = ACTIONS(7361),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7361),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7361),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7361),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7361),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7361),
    [anon_sym___deprecated_msg] = ACTIONS(7361),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7361),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7361),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7361),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7361),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7361),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7361),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7361),
  },
  [2991] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2937),
    [sym_identifier] = ACTIONS(7365),
    [anon_sym_COMMA] = ACTIONS(7367),
    [anon_sym_RPAREN] = ACTIONS(7367),
    [anon_sym_LPAREN2] = ACTIONS(7367),
    [anon_sym_STAR] = ACTIONS(7367),
    [anon_sym_CARET] = ACTIONS(7367),
    [anon_sym_SEMI] = ACTIONS(7367),
    [anon_sym___extension__] = ACTIONS(7365),
    [anon_sym_extern] = ACTIONS(7365),
    [anon_sym___attribute__] = ACTIONS(7365),
    [anon_sym___attribute] = ACTIONS(7365),
    [anon_sym_noreturn] = ACTIONS(7365),
    [anon_sym_LBRACK] = ACTIONS(7367),
    [anon_sym___declspec] = ACTIONS(7365),
    [anon_sym___based] = ACTIONS(7365),
    [anon_sym_signed] = ACTIONS(7165),
    [anon_sym_unsigned] = ACTIONS(7165),
    [anon_sym_long] = ACTIONS(7165),
    [anon_sym_short] = ACTIONS(7165),
    [anon_sym_static] = ACTIONS(7365),
    [anon_sym_auto] = ACTIONS(7365),
    [anon_sym_register] = ACTIONS(7365),
    [anon_sym_inline] = ACTIONS(7365),
    [anon_sym___inline] = ACTIONS(7365),
    [anon_sym___inline__] = ACTIONS(7365),
    [anon_sym___forceinline] = ACTIONS(7365),
    [anon_sym_thread_local] = ACTIONS(7365),
    [anon_sym___thread] = ACTIONS(7365),
    [anon_sym_CG_EXTERN] = ACTIONS(7365),
    [anon_sym_CG_INLINE] = ACTIONS(7365),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7365),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7365),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7365),
    [anon_sym_IBOutlet] = ACTIONS(7365),
    [anon_sym_IBInspectable] = ACTIONS(7365),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7365),
    [anon_sym_NS_INLINE] = ACTIONS(7365),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7365),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7365),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7365),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7365),
    [anon_sym_const] = ACTIONS(7365),
    [anon_sym_constexpr] = ACTIONS(7365),
    [anon_sym_volatile] = ACTIONS(7365),
    [anon_sym_restrict] = ACTIONS(7365),
    [anon_sym___restrict__] = ACTIONS(7365),
    [anon_sym__Atomic] = ACTIONS(7365),
    [anon_sym__Noreturn] = ACTIONS(7365),
    [anon_sym__Nonnull] = ACTIONS(7365),
    [anon_sym_nullable] = ACTIONS(7365),
    [anon_sym__Complex] = ACTIONS(7365),
    [anon_sym__Nullable] = ACTIONS(7365),
    [anon_sym__Nullable_result] = ACTIONS(7365),
    [anon_sym__Null_unspecified] = ACTIONS(7365),
    [anon_sym___autoreleasing] = ACTIONS(7365),
    [anon_sym___block] = ACTIONS(7365),
    [anon_sym___bridge] = ACTIONS(7365),
    [anon_sym___bridge_retained] = ACTIONS(7365),
    [anon_sym___bridge_transfer] = ACTIONS(7365),
    [anon_sym___complex] = ACTIONS(7365),
    [anon_sym___const] = ACTIONS(7365),
    [anon_sym___imag] = ACTIONS(7365),
    [anon_sym___kindof] = ACTIONS(7365),
    [anon_sym___nonnull] = ACTIONS(7365),
    [anon_sym___nullable] = ACTIONS(7365),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7365),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7365),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7365),
    [anon_sym___real] = ACTIONS(7365),
    [anon_sym___strong] = ACTIONS(7365),
    [anon_sym___unsafe_unretained] = ACTIONS(7365),
    [anon_sym___unused] = ACTIONS(7365),
    [anon_sym___weak] = ACTIONS(7365),
    [anon_sym_alignas] = ACTIONS(7365),
    [anon_sym__Alignas] = ACTIONS(7365),
    [anon_sym_enum] = ACTIONS(7365),
    [anon_sym_COLON] = ACTIONS(7367),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7365),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7365),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7365),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7365),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7365),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7365),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7365),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7365),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7365),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7365),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7365),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7365),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7365),
    [anon_sym_API_AVAILABLE] = ACTIONS(7365),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7365),
    [anon_sym_API_DEPRECATED] = ACTIONS(7365),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7365),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7365),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7365),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7365),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7365),
    [anon_sym___deprecated_msg] = ACTIONS(7365),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7365),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7365),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7365),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7365),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7365),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7365),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7365),
  },
  [2992] = {
    [sym_identifier] = ACTIONS(7369),
    [anon_sym_COMMA] = ACTIONS(7371),
    [anon_sym_RPAREN] = ACTIONS(7371),
    [anon_sym_LPAREN2] = ACTIONS(7371),
    [anon_sym_STAR] = ACTIONS(7371),
    [anon_sym_CARET] = ACTIONS(7371),
    [anon_sym_SEMI] = ACTIONS(7371),
    [anon_sym___extension__] = ACTIONS(7369),
    [anon_sym_extern] = ACTIONS(7369),
    [anon_sym___attribute__] = ACTIONS(7369),
    [anon_sym___attribute] = ACTIONS(7369),
    [anon_sym_noreturn] = ACTIONS(7369),
    [anon_sym_LBRACK] = ACTIONS(7371),
    [anon_sym___declspec] = ACTIONS(7369),
    [anon_sym___based] = ACTIONS(7369),
    [anon_sym_signed] = ACTIONS(7369),
    [anon_sym_unsigned] = ACTIONS(7369),
    [anon_sym_long] = ACTIONS(7369),
    [anon_sym_short] = ACTIONS(7369),
    [anon_sym_static] = ACTIONS(7369),
    [anon_sym_auto] = ACTIONS(7369),
    [anon_sym_register] = ACTIONS(7369),
    [anon_sym_inline] = ACTIONS(7369),
    [anon_sym___inline] = ACTIONS(7369),
    [anon_sym___inline__] = ACTIONS(7369),
    [anon_sym___forceinline] = ACTIONS(7369),
    [anon_sym_thread_local] = ACTIONS(7369),
    [anon_sym___thread] = ACTIONS(7369),
    [anon_sym_CG_EXTERN] = ACTIONS(7369),
    [anon_sym_CG_INLINE] = ACTIONS(7369),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7369),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7369),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7369),
    [anon_sym_IBOutlet] = ACTIONS(7369),
    [anon_sym_IBInspectable] = ACTIONS(7369),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7369),
    [anon_sym_NS_INLINE] = ACTIONS(7369),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7369),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7369),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7369),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7369),
    [anon_sym_const] = ACTIONS(7369),
    [anon_sym_constexpr] = ACTIONS(7369),
    [anon_sym_volatile] = ACTIONS(7369),
    [anon_sym_restrict] = ACTIONS(7369),
    [anon_sym___restrict__] = ACTIONS(7369),
    [anon_sym__Atomic] = ACTIONS(7369),
    [anon_sym__Noreturn] = ACTIONS(7369),
    [anon_sym__Nonnull] = ACTIONS(7369),
    [anon_sym_nullable] = ACTIONS(7369),
    [anon_sym__Complex] = ACTIONS(7369),
    [anon_sym__Nullable] = ACTIONS(7369),
    [anon_sym__Nullable_result] = ACTIONS(7369),
    [anon_sym__Null_unspecified] = ACTIONS(7369),
    [anon_sym___autoreleasing] = ACTIONS(7369),
    [anon_sym___block] = ACTIONS(7369),
    [anon_sym___bridge] = ACTIONS(7369),
    [anon_sym___bridge_retained] = ACTIONS(7369),
    [anon_sym___bridge_transfer] = ACTIONS(7369),
    [anon_sym___complex] = ACTIONS(7369),
    [anon_sym___const] = ACTIONS(7369),
    [anon_sym___imag] = ACTIONS(7369),
    [anon_sym___kindof] = ACTIONS(7369),
    [anon_sym___nonnull] = ACTIONS(7369),
    [anon_sym___nullable] = ACTIONS(7369),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7369),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7369),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7369),
    [anon_sym___real] = ACTIONS(7369),
    [anon_sym___strong] = ACTIONS(7369),
    [anon_sym___unsafe_unretained] = ACTIONS(7369),
    [anon_sym___unused] = ACTIONS(7369),
    [anon_sym___weak] = ACTIONS(7369),
    [anon_sym_alignas] = ACTIONS(7369),
    [anon_sym__Alignas] = ACTIONS(7369),
    [sym_primitive_type] = ACTIONS(7369),
    [anon_sym_enum] = ACTIONS(7369),
    [anon_sym_COLON] = ACTIONS(7371),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7369),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7369),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7369),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7369),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7369),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7369),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7369),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7369),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7369),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7369),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7369),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7369),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7369),
    [anon_sym_API_AVAILABLE] = ACTIONS(7369),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7369),
    [anon_sym_API_DEPRECATED] = ACTIONS(7369),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7369),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7369),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7369),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7369),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7369),
    [anon_sym___deprecated_msg] = ACTIONS(7369),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7369),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7369),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7369),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7369),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7369),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7369),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7369),
  },
  [2993] = {
    [sym_identifier] = ACTIONS(7373),
    [anon_sym_COMMA] = ACTIONS(7375),
    [anon_sym_RPAREN] = ACTIONS(7375),
    [anon_sym_LPAREN2] = ACTIONS(7375),
    [anon_sym_STAR] = ACTIONS(7375),
    [anon_sym_CARET] = ACTIONS(7375),
    [anon_sym_SEMI] = ACTIONS(7375),
    [anon_sym___extension__] = ACTIONS(7373),
    [anon_sym_extern] = ACTIONS(7373),
    [anon_sym___attribute__] = ACTIONS(7373),
    [anon_sym___attribute] = ACTIONS(7373),
    [anon_sym_noreturn] = ACTIONS(7373),
    [anon_sym_LBRACK] = ACTIONS(7375),
    [anon_sym___declspec] = ACTIONS(7373),
    [anon_sym___based] = ACTIONS(7373),
    [anon_sym_signed] = ACTIONS(7373),
    [anon_sym_unsigned] = ACTIONS(7373),
    [anon_sym_long] = ACTIONS(7373),
    [anon_sym_short] = ACTIONS(7373),
    [anon_sym_static] = ACTIONS(7373),
    [anon_sym_auto] = ACTIONS(7373),
    [anon_sym_register] = ACTIONS(7373),
    [anon_sym_inline] = ACTIONS(7373),
    [anon_sym___inline] = ACTIONS(7373),
    [anon_sym___inline__] = ACTIONS(7373),
    [anon_sym___forceinline] = ACTIONS(7373),
    [anon_sym_thread_local] = ACTIONS(7373),
    [anon_sym___thread] = ACTIONS(7373),
    [anon_sym_CG_EXTERN] = ACTIONS(7373),
    [anon_sym_CG_INLINE] = ACTIONS(7373),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7373),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7373),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7373),
    [anon_sym_IBOutlet] = ACTIONS(7373),
    [anon_sym_IBInspectable] = ACTIONS(7373),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7373),
    [anon_sym_NS_INLINE] = ACTIONS(7373),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7373),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7373),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7373),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7373),
    [anon_sym_const] = ACTIONS(7373),
    [anon_sym_constexpr] = ACTIONS(7373),
    [anon_sym_volatile] = ACTIONS(7373),
    [anon_sym_restrict] = ACTIONS(7373),
    [anon_sym___restrict__] = ACTIONS(7373),
    [anon_sym__Atomic] = ACTIONS(7373),
    [anon_sym__Noreturn] = ACTIONS(7373),
    [anon_sym__Nonnull] = ACTIONS(7373),
    [anon_sym_nullable] = ACTIONS(7373),
    [anon_sym__Complex] = ACTIONS(7373),
    [anon_sym__Nullable] = ACTIONS(7373),
    [anon_sym__Nullable_result] = ACTIONS(7373),
    [anon_sym__Null_unspecified] = ACTIONS(7373),
    [anon_sym___autoreleasing] = ACTIONS(7373),
    [anon_sym___block] = ACTIONS(7373),
    [anon_sym___bridge] = ACTIONS(7373),
    [anon_sym___bridge_retained] = ACTIONS(7373),
    [anon_sym___bridge_transfer] = ACTIONS(7373),
    [anon_sym___complex] = ACTIONS(7373),
    [anon_sym___const] = ACTIONS(7373),
    [anon_sym___imag] = ACTIONS(7373),
    [anon_sym___kindof] = ACTIONS(7373),
    [anon_sym___nonnull] = ACTIONS(7373),
    [anon_sym___nullable] = ACTIONS(7373),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7373),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7373),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7373),
    [anon_sym___real] = ACTIONS(7373),
    [anon_sym___strong] = ACTIONS(7373),
    [anon_sym___unsafe_unretained] = ACTIONS(7373),
    [anon_sym___unused] = ACTIONS(7373),
    [anon_sym___weak] = ACTIONS(7373),
    [anon_sym_alignas] = ACTIONS(7373),
    [anon_sym__Alignas] = ACTIONS(7373),
    [sym_primitive_type] = ACTIONS(7373),
    [anon_sym_enum] = ACTIONS(7373),
    [anon_sym_COLON] = ACTIONS(7375),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7373),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7373),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7373),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7373),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7373),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7373),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7373),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7373),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7373),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7373),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7373),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7373),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7373),
    [anon_sym_API_AVAILABLE] = ACTIONS(7373),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7373),
    [anon_sym_API_DEPRECATED] = ACTIONS(7373),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7373),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7373),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7373),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7373),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7373),
    [anon_sym___deprecated_msg] = ACTIONS(7373),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7373),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7373),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7373),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7373),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7373),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7373),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7373),
  },
  [2994] = {
    [sym_identifier] = ACTIONS(7377),
    [anon_sym_COMMA] = ACTIONS(7379),
    [anon_sym_RPAREN] = ACTIONS(7379),
    [anon_sym_LPAREN2] = ACTIONS(7379),
    [anon_sym_STAR] = ACTIONS(7379),
    [anon_sym_CARET] = ACTIONS(7379),
    [anon_sym_SEMI] = ACTIONS(7379),
    [anon_sym___extension__] = ACTIONS(7377),
    [anon_sym_extern] = ACTIONS(7377),
    [anon_sym___attribute__] = ACTIONS(7377),
    [anon_sym___attribute] = ACTIONS(7377),
    [anon_sym_noreturn] = ACTIONS(7377),
    [anon_sym_LBRACK] = ACTIONS(7379),
    [anon_sym___declspec] = ACTIONS(7377),
    [anon_sym___based] = ACTIONS(7377),
    [anon_sym_signed] = ACTIONS(7377),
    [anon_sym_unsigned] = ACTIONS(7377),
    [anon_sym_long] = ACTIONS(7377),
    [anon_sym_short] = ACTIONS(7377),
    [anon_sym_static] = ACTIONS(7377),
    [anon_sym_auto] = ACTIONS(7377),
    [anon_sym_register] = ACTIONS(7377),
    [anon_sym_inline] = ACTIONS(7377),
    [anon_sym___inline] = ACTIONS(7377),
    [anon_sym___inline__] = ACTIONS(7377),
    [anon_sym___forceinline] = ACTIONS(7377),
    [anon_sym_thread_local] = ACTIONS(7377),
    [anon_sym___thread] = ACTIONS(7377),
    [anon_sym_CG_EXTERN] = ACTIONS(7377),
    [anon_sym_CG_INLINE] = ACTIONS(7377),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7377),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7377),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7377),
    [anon_sym_IBOutlet] = ACTIONS(7377),
    [anon_sym_IBInspectable] = ACTIONS(7377),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7377),
    [anon_sym_NS_INLINE] = ACTIONS(7377),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7377),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7377),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7377),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7377),
    [anon_sym_const] = ACTIONS(7377),
    [anon_sym_constexpr] = ACTIONS(7377),
    [anon_sym_volatile] = ACTIONS(7377),
    [anon_sym_restrict] = ACTIONS(7377),
    [anon_sym___restrict__] = ACTIONS(7377),
    [anon_sym__Atomic] = ACTIONS(7377),
    [anon_sym__Noreturn] = ACTIONS(7377),
    [anon_sym__Nonnull] = ACTIONS(7377),
    [anon_sym_nullable] = ACTIONS(7377),
    [anon_sym__Complex] = ACTIONS(7377),
    [anon_sym__Nullable] = ACTIONS(7377),
    [anon_sym__Nullable_result] = ACTIONS(7377),
    [anon_sym__Null_unspecified] = ACTIONS(7377),
    [anon_sym___autoreleasing] = ACTIONS(7377),
    [anon_sym___block] = ACTIONS(7377),
    [anon_sym___bridge] = ACTIONS(7377),
    [anon_sym___bridge_retained] = ACTIONS(7377),
    [anon_sym___bridge_transfer] = ACTIONS(7377),
    [anon_sym___complex] = ACTIONS(7377),
    [anon_sym___const] = ACTIONS(7377),
    [anon_sym___imag] = ACTIONS(7377),
    [anon_sym___kindof] = ACTIONS(7377),
    [anon_sym___nonnull] = ACTIONS(7377),
    [anon_sym___nullable] = ACTIONS(7377),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7377),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7377),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7377),
    [anon_sym___real] = ACTIONS(7377),
    [anon_sym___strong] = ACTIONS(7377),
    [anon_sym___unsafe_unretained] = ACTIONS(7377),
    [anon_sym___unused] = ACTIONS(7377),
    [anon_sym___weak] = ACTIONS(7377),
    [anon_sym_alignas] = ACTIONS(7377),
    [anon_sym__Alignas] = ACTIONS(7377),
    [sym_primitive_type] = ACTIONS(7377),
    [anon_sym_enum] = ACTIONS(7377),
    [anon_sym_COLON] = ACTIONS(7379),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7377),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7377),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7377),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7377),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7377),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7377),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7377),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7377),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7377),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7377),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7377),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7377),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7377),
    [anon_sym_API_AVAILABLE] = ACTIONS(7377),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7377),
    [anon_sym_API_DEPRECATED] = ACTIONS(7377),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7377),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7377),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7377),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7377),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7377),
    [anon_sym___deprecated_msg] = ACTIONS(7377),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7377),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7377),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7377),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7377),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7377),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7377),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7377),
  },
  [2995] = {
    [sym_identifier] = ACTIONS(7381),
    [anon_sym_COMMA] = ACTIONS(7383),
    [anon_sym_RPAREN] = ACTIONS(7383),
    [anon_sym_LPAREN2] = ACTIONS(7383),
    [anon_sym_STAR] = ACTIONS(7383),
    [anon_sym_CARET] = ACTIONS(7383),
    [anon_sym_SEMI] = ACTIONS(7383),
    [anon_sym___extension__] = ACTIONS(7381),
    [anon_sym_extern] = ACTIONS(7381),
    [anon_sym___attribute__] = ACTIONS(7381),
    [anon_sym___attribute] = ACTIONS(7381),
    [anon_sym_noreturn] = ACTIONS(7381),
    [anon_sym_LBRACK] = ACTIONS(7383),
    [anon_sym___declspec] = ACTIONS(7381),
    [anon_sym___based] = ACTIONS(7381),
    [anon_sym_signed] = ACTIONS(7381),
    [anon_sym_unsigned] = ACTIONS(7381),
    [anon_sym_long] = ACTIONS(7381),
    [anon_sym_short] = ACTIONS(7381),
    [anon_sym_static] = ACTIONS(7381),
    [anon_sym_auto] = ACTIONS(7381),
    [anon_sym_register] = ACTIONS(7381),
    [anon_sym_inline] = ACTIONS(7381),
    [anon_sym___inline] = ACTIONS(7381),
    [anon_sym___inline__] = ACTIONS(7381),
    [anon_sym___forceinline] = ACTIONS(7381),
    [anon_sym_thread_local] = ACTIONS(7381),
    [anon_sym___thread] = ACTIONS(7381),
    [anon_sym_CG_EXTERN] = ACTIONS(7381),
    [anon_sym_CG_INLINE] = ACTIONS(7381),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7381),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7381),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7381),
    [anon_sym_IBOutlet] = ACTIONS(7381),
    [anon_sym_IBInspectable] = ACTIONS(7381),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7381),
    [anon_sym_NS_INLINE] = ACTIONS(7381),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7381),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7381),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7381),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7381),
    [anon_sym_const] = ACTIONS(7381),
    [anon_sym_constexpr] = ACTIONS(7381),
    [anon_sym_volatile] = ACTIONS(7381),
    [anon_sym_restrict] = ACTIONS(7381),
    [anon_sym___restrict__] = ACTIONS(7381),
    [anon_sym__Atomic] = ACTIONS(7381),
    [anon_sym__Noreturn] = ACTIONS(7381),
    [anon_sym__Nonnull] = ACTIONS(7381),
    [anon_sym_nullable] = ACTIONS(7381),
    [anon_sym__Complex] = ACTIONS(7381),
    [anon_sym__Nullable] = ACTIONS(7381),
    [anon_sym__Nullable_result] = ACTIONS(7381),
    [anon_sym__Null_unspecified] = ACTIONS(7381),
    [anon_sym___autoreleasing] = ACTIONS(7381),
    [anon_sym___block] = ACTIONS(7381),
    [anon_sym___bridge] = ACTIONS(7381),
    [anon_sym___bridge_retained] = ACTIONS(7381),
    [anon_sym___bridge_transfer] = ACTIONS(7381),
    [anon_sym___complex] = ACTIONS(7381),
    [anon_sym___const] = ACTIONS(7381),
    [anon_sym___imag] = ACTIONS(7381),
    [anon_sym___kindof] = ACTIONS(7381),
    [anon_sym___nonnull] = ACTIONS(7381),
    [anon_sym___nullable] = ACTIONS(7381),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7381),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7381),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7381),
    [anon_sym___real] = ACTIONS(7381),
    [anon_sym___strong] = ACTIONS(7381),
    [anon_sym___unsafe_unretained] = ACTIONS(7381),
    [anon_sym___unused] = ACTIONS(7381),
    [anon_sym___weak] = ACTIONS(7381),
    [anon_sym_alignas] = ACTIONS(7381),
    [anon_sym__Alignas] = ACTIONS(7381),
    [sym_primitive_type] = ACTIONS(7381),
    [anon_sym_enum] = ACTIONS(7381),
    [anon_sym_COLON] = ACTIONS(7383),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7381),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7381),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7381),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7381),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7381),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7381),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7381),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7381),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7381),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7381),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7381),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7381),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7381),
    [anon_sym_API_AVAILABLE] = ACTIONS(7381),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7381),
    [anon_sym_API_DEPRECATED] = ACTIONS(7381),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7381),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7381),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7381),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7381),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7381),
    [anon_sym___deprecated_msg] = ACTIONS(7381),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7381),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7381),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7381),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7381),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7381),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7381),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7381),
  },
  [2996] = {
    [sym_identifier] = ACTIONS(7385),
    [anon_sym_COMMA] = ACTIONS(7387),
    [anon_sym_RPAREN] = ACTIONS(7387),
    [anon_sym_LPAREN2] = ACTIONS(7387),
    [anon_sym_STAR] = ACTIONS(7387),
    [anon_sym_CARET] = ACTIONS(7387),
    [anon_sym_SEMI] = ACTIONS(7387),
    [anon_sym___extension__] = ACTIONS(7385),
    [anon_sym_extern] = ACTIONS(7385),
    [anon_sym___attribute__] = ACTIONS(7385),
    [anon_sym___attribute] = ACTIONS(7385),
    [anon_sym_noreturn] = ACTIONS(7385),
    [anon_sym_LBRACK] = ACTIONS(7387),
    [anon_sym___declspec] = ACTIONS(7385),
    [anon_sym___based] = ACTIONS(7385),
    [anon_sym_signed] = ACTIONS(7385),
    [anon_sym_unsigned] = ACTIONS(7385),
    [anon_sym_long] = ACTIONS(7385),
    [anon_sym_short] = ACTIONS(7385),
    [anon_sym_static] = ACTIONS(7385),
    [anon_sym_auto] = ACTIONS(7385),
    [anon_sym_register] = ACTIONS(7385),
    [anon_sym_inline] = ACTIONS(7385),
    [anon_sym___inline] = ACTIONS(7385),
    [anon_sym___inline__] = ACTIONS(7385),
    [anon_sym___forceinline] = ACTIONS(7385),
    [anon_sym_thread_local] = ACTIONS(7385),
    [anon_sym___thread] = ACTIONS(7385),
    [anon_sym_CG_EXTERN] = ACTIONS(7385),
    [anon_sym_CG_INLINE] = ACTIONS(7385),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7385),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7385),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7385),
    [anon_sym_IBOutlet] = ACTIONS(7385),
    [anon_sym_IBInspectable] = ACTIONS(7385),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7385),
    [anon_sym_NS_INLINE] = ACTIONS(7385),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7385),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7385),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7385),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7385),
    [anon_sym_const] = ACTIONS(7385),
    [anon_sym_constexpr] = ACTIONS(7385),
    [anon_sym_volatile] = ACTIONS(7385),
    [anon_sym_restrict] = ACTIONS(7385),
    [anon_sym___restrict__] = ACTIONS(7385),
    [anon_sym__Atomic] = ACTIONS(7385),
    [anon_sym__Noreturn] = ACTIONS(7385),
    [anon_sym__Nonnull] = ACTIONS(7385),
    [anon_sym_nullable] = ACTIONS(7385),
    [anon_sym__Complex] = ACTIONS(7385),
    [anon_sym__Nullable] = ACTIONS(7385),
    [anon_sym__Nullable_result] = ACTIONS(7385),
    [anon_sym__Null_unspecified] = ACTIONS(7385),
    [anon_sym___autoreleasing] = ACTIONS(7385),
    [anon_sym___block] = ACTIONS(7385),
    [anon_sym___bridge] = ACTIONS(7385),
    [anon_sym___bridge_retained] = ACTIONS(7385),
    [anon_sym___bridge_transfer] = ACTIONS(7385),
    [anon_sym___complex] = ACTIONS(7385),
    [anon_sym___const] = ACTIONS(7385),
    [anon_sym___imag] = ACTIONS(7385),
    [anon_sym___kindof] = ACTIONS(7385),
    [anon_sym___nonnull] = ACTIONS(7385),
    [anon_sym___nullable] = ACTIONS(7385),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7385),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7385),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7385),
    [anon_sym___real] = ACTIONS(7385),
    [anon_sym___strong] = ACTIONS(7385),
    [anon_sym___unsafe_unretained] = ACTIONS(7385),
    [anon_sym___unused] = ACTIONS(7385),
    [anon_sym___weak] = ACTIONS(7385),
    [anon_sym_alignas] = ACTIONS(7385),
    [anon_sym__Alignas] = ACTIONS(7385),
    [sym_primitive_type] = ACTIONS(7385),
    [anon_sym_enum] = ACTIONS(7385),
    [anon_sym_COLON] = ACTIONS(7387),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7385),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7385),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7385),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7385),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7385),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7385),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7385),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7385),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7385),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7385),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7385),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7385),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7385),
    [anon_sym_API_AVAILABLE] = ACTIONS(7385),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7385),
    [anon_sym_API_DEPRECATED] = ACTIONS(7385),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7385),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7385),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7385),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7385),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7385),
    [anon_sym___deprecated_msg] = ACTIONS(7385),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7385),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7385),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7385),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7385),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7385),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7385),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7385),
  },
  [2997] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2975),
    [sym_identifier] = ACTIONS(7389),
    [anon_sym_COMMA] = ACTIONS(7391),
    [anon_sym_RPAREN] = ACTIONS(7391),
    [anon_sym_LPAREN2] = ACTIONS(7391),
    [anon_sym_STAR] = ACTIONS(7391),
    [anon_sym_CARET] = ACTIONS(7391),
    [anon_sym_SEMI] = ACTIONS(7391),
    [anon_sym___extension__] = ACTIONS(7389),
    [anon_sym_extern] = ACTIONS(7389),
    [anon_sym___attribute__] = ACTIONS(7389),
    [anon_sym___attribute] = ACTIONS(7389),
    [anon_sym_noreturn] = ACTIONS(7389),
    [anon_sym_LBRACK] = ACTIONS(7391),
    [anon_sym___declspec] = ACTIONS(7389),
    [anon_sym___based] = ACTIONS(7389),
    [anon_sym_signed] = ACTIONS(7393),
    [anon_sym_unsigned] = ACTIONS(7393),
    [anon_sym_long] = ACTIONS(7393),
    [anon_sym_short] = ACTIONS(7393),
    [anon_sym_static] = ACTIONS(7389),
    [anon_sym_auto] = ACTIONS(7389),
    [anon_sym_register] = ACTIONS(7389),
    [anon_sym_inline] = ACTIONS(7389),
    [anon_sym___inline] = ACTIONS(7389),
    [anon_sym___inline__] = ACTIONS(7389),
    [anon_sym___forceinline] = ACTIONS(7389),
    [anon_sym_thread_local] = ACTIONS(7389),
    [anon_sym___thread] = ACTIONS(7389),
    [anon_sym_CG_EXTERN] = ACTIONS(7389),
    [anon_sym_CG_INLINE] = ACTIONS(7389),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7389),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7389),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7389),
    [anon_sym_IBOutlet] = ACTIONS(7389),
    [anon_sym_IBInspectable] = ACTIONS(7389),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7389),
    [anon_sym_NS_INLINE] = ACTIONS(7389),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7389),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7389),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7389),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7389),
    [anon_sym_const] = ACTIONS(7389),
    [anon_sym_constexpr] = ACTIONS(7389),
    [anon_sym_volatile] = ACTIONS(7389),
    [anon_sym_restrict] = ACTIONS(7389),
    [anon_sym___restrict__] = ACTIONS(7389),
    [anon_sym__Atomic] = ACTIONS(7389),
    [anon_sym__Noreturn] = ACTIONS(7389),
    [anon_sym__Nonnull] = ACTIONS(7389),
    [anon_sym_nullable] = ACTIONS(7389),
    [anon_sym__Complex] = ACTIONS(7389),
    [anon_sym__Nullable] = ACTIONS(7389),
    [anon_sym__Nullable_result] = ACTIONS(7389),
    [anon_sym__Null_unspecified] = ACTIONS(7389),
    [anon_sym___autoreleasing] = ACTIONS(7389),
    [anon_sym___block] = ACTIONS(7389),
    [anon_sym___bridge] = ACTIONS(7389),
    [anon_sym___bridge_retained] = ACTIONS(7389),
    [anon_sym___bridge_transfer] = ACTIONS(7389),
    [anon_sym___complex] = ACTIONS(7389),
    [anon_sym___const] = ACTIONS(7389),
    [anon_sym___imag] = ACTIONS(7389),
    [anon_sym___kindof] = ACTIONS(7389),
    [anon_sym___nonnull] = ACTIONS(7389),
    [anon_sym___nullable] = ACTIONS(7389),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7389),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7389),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7389),
    [anon_sym___real] = ACTIONS(7389),
    [anon_sym___strong] = ACTIONS(7389),
    [anon_sym___unsafe_unretained] = ACTIONS(7389),
    [anon_sym___unused] = ACTIONS(7389),
    [anon_sym___weak] = ACTIONS(7389),
    [anon_sym_alignas] = ACTIONS(7389),
    [anon_sym__Alignas] = ACTIONS(7389),
    [anon_sym_enum] = ACTIONS(7389),
    [anon_sym_COLON] = ACTIONS(7391),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7389),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7389),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7389),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7389),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7389),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7389),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7389),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7389),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7389),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7389),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7389),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7389),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7389),
    [anon_sym_API_AVAILABLE] = ACTIONS(7389),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7389),
    [anon_sym_API_DEPRECATED] = ACTIONS(7389),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7389),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7389),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7389),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7389),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7389),
    [anon_sym___deprecated_msg] = ACTIONS(7389),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7389),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7389),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7389),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7389),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7389),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7389),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7389),
  },
  [2998] = {
    [sym_identifier] = ACTIONS(7395),
    [anon_sym_COMMA] = ACTIONS(7397),
    [anon_sym_RPAREN] = ACTIONS(7397),
    [anon_sym_LPAREN2] = ACTIONS(7397),
    [anon_sym_STAR] = ACTIONS(7397),
    [anon_sym_CARET] = ACTIONS(7397),
    [anon_sym_SEMI] = ACTIONS(7397),
    [anon_sym___extension__] = ACTIONS(7395),
    [anon_sym_extern] = ACTIONS(7395),
    [anon_sym___attribute__] = ACTIONS(7395),
    [anon_sym___attribute] = ACTIONS(7395),
    [anon_sym_noreturn] = ACTIONS(7395),
    [anon_sym_LBRACK] = ACTIONS(7397),
    [anon_sym___declspec] = ACTIONS(7395),
    [anon_sym___based] = ACTIONS(7395),
    [anon_sym_signed] = ACTIONS(7395),
    [anon_sym_unsigned] = ACTIONS(7395),
    [anon_sym_long] = ACTIONS(7395),
    [anon_sym_short] = ACTIONS(7395),
    [anon_sym_static] = ACTIONS(7395),
    [anon_sym_auto] = ACTIONS(7395),
    [anon_sym_register] = ACTIONS(7395),
    [anon_sym_inline] = ACTIONS(7395),
    [anon_sym___inline] = ACTIONS(7395),
    [anon_sym___inline__] = ACTIONS(7395),
    [anon_sym___forceinline] = ACTIONS(7395),
    [anon_sym_thread_local] = ACTIONS(7395),
    [anon_sym___thread] = ACTIONS(7395),
    [anon_sym_CG_EXTERN] = ACTIONS(7395),
    [anon_sym_CG_INLINE] = ACTIONS(7395),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7395),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7395),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7395),
    [anon_sym_IBOutlet] = ACTIONS(7395),
    [anon_sym_IBInspectable] = ACTIONS(7395),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7395),
    [anon_sym_NS_INLINE] = ACTIONS(7395),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7395),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7395),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7395),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7395),
    [anon_sym_const] = ACTIONS(7395),
    [anon_sym_constexpr] = ACTIONS(7395),
    [anon_sym_volatile] = ACTIONS(7395),
    [anon_sym_restrict] = ACTIONS(7395),
    [anon_sym___restrict__] = ACTIONS(7395),
    [anon_sym__Atomic] = ACTIONS(7395),
    [anon_sym__Noreturn] = ACTIONS(7395),
    [anon_sym__Nonnull] = ACTIONS(7395),
    [anon_sym_nullable] = ACTIONS(7395),
    [anon_sym__Complex] = ACTIONS(7395),
    [anon_sym__Nullable] = ACTIONS(7395),
    [anon_sym__Nullable_result] = ACTIONS(7395),
    [anon_sym__Null_unspecified] = ACTIONS(7395),
    [anon_sym___autoreleasing] = ACTIONS(7395),
    [anon_sym___block] = ACTIONS(7395),
    [anon_sym___bridge] = ACTIONS(7395),
    [anon_sym___bridge_retained] = ACTIONS(7395),
    [anon_sym___bridge_transfer] = ACTIONS(7395),
    [anon_sym___complex] = ACTIONS(7395),
    [anon_sym___const] = ACTIONS(7395),
    [anon_sym___imag] = ACTIONS(7395),
    [anon_sym___kindof] = ACTIONS(7395),
    [anon_sym___nonnull] = ACTIONS(7395),
    [anon_sym___nullable] = ACTIONS(7395),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7395),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7395),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7395),
    [anon_sym___real] = ACTIONS(7395),
    [anon_sym___strong] = ACTIONS(7395),
    [anon_sym___unsafe_unretained] = ACTIONS(7395),
    [anon_sym___unused] = ACTIONS(7395),
    [anon_sym___weak] = ACTIONS(7395),
    [anon_sym_alignas] = ACTIONS(7395),
    [anon_sym__Alignas] = ACTIONS(7395),
    [sym_primitive_type] = ACTIONS(7395),
    [anon_sym_enum] = ACTIONS(7395),
    [anon_sym_COLON] = ACTIONS(7397),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7395),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7395),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7395),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7395),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7395),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7395),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7395),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7395),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7395),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7395),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7395),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7395),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7395),
    [anon_sym_API_AVAILABLE] = ACTIONS(7395),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7395),
    [anon_sym_API_DEPRECATED] = ACTIONS(7395),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7395),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7395),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7395),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7395),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7395),
    [anon_sym___deprecated_msg] = ACTIONS(7395),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7395),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7395),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7395),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7395),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7395),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7395),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7395),
  },
  [2999] = {
    [sym_identifier] = ACTIONS(7399),
    [anon_sym_COMMA] = ACTIONS(7401),
    [anon_sym_RPAREN] = ACTIONS(7401),
    [anon_sym_LPAREN2] = ACTIONS(7401),
    [anon_sym_STAR] = ACTIONS(7401),
    [anon_sym_CARET] = ACTIONS(7401),
    [anon_sym_SEMI] = ACTIONS(7401),
    [anon_sym___extension__] = ACTIONS(7399),
    [anon_sym_extern] = ACTIONS(7399),
    [anon_sym___attribute__] = ACTIONS(7399),
    [anon_sym___attribute] = ACTIONS(7399),
    [anon_sym_noreturn] = ACTIONS(7399),
    [anon_sym_LBRACK] = ACTIONS(7401),
    [anon_sym___declspec] = ACTIONS(7399),
    [anon_sym___based] = ACTIONS(7399),
    [anon_sym_signed] = ACTIONS(7399),
    [anon_sym_unsigned] = ACTIONS(7399),
    [anon_sym_long] = ACTIONS(7399),
    [anon_sym_short] = ACTIONS(7399),
    [anon_sym_static] = ACTIONS(7399),
    [anon_sym_auto] = ACTIONS(7399),
    [anon_sym_register] = ACTIONS(7399),
    [anon_sym_inline] = ACTIONS(7399),
    [anon_sym___inline] = ACTIONS(7399),
    [anon_sym___inline__] = ACTIONS(7399),
    [anon_sym___forceinline] = ACTIONS(7399),
    [anon_sym_thread_local] = ACTIONS(7399),
    [anon_sym___thread] = ACTIONS(7399),
    [anon_sym_CG_EXTERN] = ACTIONS(7399),
    [anon_sym_CG_INLINE] = ACTIONS(7399),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7399),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7399),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7399),
    [anon_sym_IBOutlet] = ACTIONS(7399),
    [anon_sym_IBInspectable] = ACTIONS(7399),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7399),
    [anon_sym_NS_INLINE] = ACTIONS(7399),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7399),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7399),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7399),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7399),
    [anon_sym_const] = ACTIONS(7399),
    [anon_sym_constexpr] = ACTIONS(7399),
    [anon_sym_volatile] = ACTIONS(7399),
    [anon_sym_restrict] = ACTIONS(7399),
    [anon_sym___restrict__] = ACTIONS(7399),
    [anon_sym__Atomic] = ACTIONS(7399),
    [anon_sym__Noreturn] = ACTIONS(7399),
    [anon_sym__Nonnull] = ACTIONS(7399),
    [anon_sym_nullable] = ACTIONS(7399),
    [anon_sym__Complex] = ACTIONS(7399),
    [anon_sym__Nullable] = ACTIONS(7399),
    [anon_sym__Nullable_result] = ACTIONS(7399),
    [anon_sym__Null_unspecified] = ACTIONS(7399),
    [anon_sym___autoreleasing] = ACTIONS(7399),
    [anon_sym___block] = ACTIONS(7399),
    [anon_sym___bridge] = ACTIONS(7399),
    [anon_sym___bridge_retained] = ACTIONS(7399),
    [anon_sym___bridge_transfer] = ACTIONS(7399),
    [anon_sym___complex] = ACTIONS(7399),
    [anon_sym___const] = ACTIONS(7399),
    [anon_sym___imag] = ACTIONS(7399),
    [anon_sym___kindof] = ACTIONS(7399),
    [anon_sym___nonnull] = ACTIONS(7399),
    [anon_sym___nullable] = ACTIONS(7399),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7399),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7399),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7399),
    [anon_sym___real] = ACTIONS(7399),
    [anon_sym___strong] = ACTIONS(7399),
    [anon_sym___unsafe_unretained] = ACTIONS(7399),
    [anon_sym___unused] = ACTIONS(7399),
    [anon_sym___weak] = ACTIONS(7399),
    [anon_sym_alignas] = ACTIONS(7399),
    [anon_sym__Alignas] = ACTIONS(7399),
    [sym_primitive_type] = ACTIONS(7399),
    [anon_sym_enum] = ACTIONS(7399),
    [anon_sym_COLON] = ACTIONS(7401),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7399),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7399),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7399),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7399),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7399),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7399),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7399),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7399),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7399),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7399),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7399),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7399),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7399),
    [anon_sym_API_AVAILABLE] = ACTIONS(7399),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7399),
    [anon_sym_API_DEPRECATED] = ACTIONS(7399),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7399),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7399),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7399),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7399),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7399),
    [anon_sym___deprecated_msg] = ACTIONS(7399),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7399),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7399),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7399),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7399),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7399),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7399),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7399),
  },
  [3000] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym__old_style_parameter_list_repeat1] = STATE(5355),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_COMMA] = ACTIONS(7403),
    [anon_sym_RPAREN] = ACTIONS(7406),
    [anon_sym_LPAREN2] = ACTIONS(7071),
    [anon_sym_STAR] = ACTIONS(5922),
    [anon_sym_CARET] = ACTIONS(5922),
    [anon_sym_LT] = ACTIONS(7074),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(5922),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [3001] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2976),
    [sym_identifier] = ACTIONS(7409),
    [anon_sym_COMMA] = ACTIONS(7411),
    [anon_sym_RPAREN] = ACTIONS(7411),
    [anon_sym_LPAREN2] = ACTIONS(7411),
    [anon_sym_STAR] = ACTIONS(7411),
    [anon_sym_CARET] = ACTIONS(7411),
    [anon_sym_SEMI] = ACTIONS(7411),
    [anon_sym___extension__] = ACTIONS(7409),
    [anon_sym_extern] = ACTIONS(7409),
    [anon_sym___attribute__] = ACTIONS(7409),
    [anon_sym___attribute] = ACTIONS(7409),
    [anon_sym_noreturn] = ACTIONS(7409),
    [anon_sym_LBRACK] = ACTIONS(7411),
    [anon_sym___declspec] = ACTIONS(7409),
    [anon_sym___based] = ACTIONS(7409),
    [anon_sym_signed] = ACTIONS(7413),
    [anon_sym_unsigned] = ACTIONS(7413),
    [anon_sym_long] = ACTIONS(7413),
    [anon_sym_short] = ACTIONS(7413),
    [anon_sym_static] = ACTIONS(7409),
    [anon_sym_auto] = ACTIONS(7409),
    [anon_sym_register] = ACTIONS(7409),
    [anon_sym_inline] = ACTIONS(7409),
    [anon_sym___inline] = ACTIONS(7409),
    [anon_sym___inline__] = ACTIONS(7409),
    [anon_sym___forceinline] = ACTIONS(7409),
    [anon_sym_thread_local] = ACTIONS(7409),
    [anon_sym___thread] = ACTIONS(7409),
    [anon_sym_CG_EXTERN] = ACTIONS(7409),
    [anon_sym_CG_INLINE] = ACTIONS(7409),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7409),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7409),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7409),
    [anon_sym_IBOutlet] = ACTIONS(7409),
    [anon_sym_IBInspectable] = ACTIONS(7409),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7409),
    [anon_sym_NS_INLINE] = ACTIONS(7409),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7409),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7409),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7409),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7409),
    [anon_sym_const] = ACTIONS(7409),
    [anon_sym_constexpr] = ACTIONS(7409),
    [anon_sym_volatile] = ACTIONS(7409),
    [anon_sym_restrict] = ACTIONS(7409),
    [anon_sym___restrict__] = ACTIONS(7409),
    [anon_sym__Atomic] = ACTIONS(7409),
    [anon_sym__Noreturn] = ACTIONS(7409),
    [anon_sym__Nonnull] = ACTIONS(7409),
    [anon_sym_nullable] = ACTIONS(7409),
    [anon_sym__Complex] = ACTIONS(7409),
    [anon_sym__Nullable] = ACTIONS(7409),
    [anon_sym__Nullable_result] = ACTIONS(7409),
    [anon_sym__Null_unspecified] = ACTIONS(7409),
    [anon_sym___autoreleasing] = ACTIONS(7409),
    [anon_sym___block] = ACTIONS(7409),
    [anon_sym___bridge] = ACTIONS(7409),
    [anon_sym___bridge_retained] = ACTIONS(7409),
    [anon_sym___bridge_transfer] = ACTIONS(7409),
    [anon_sym___complex] = ACTIONS(7409),
    [anon_sym___const] = ACTIONS(7409),
    [anon_sym___imag] = ACTIONS(7409),
    [anon_sym___kindof] = ACTIONS(7409),
    [anon_sym___nonnull] = ACTIONS(7409),
    [anon_sym___nullable] = ACTIONS(7409),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7409),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7409),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7409),
    [anon_sym___real] = ACTIONS(7409),
    [anon_sym___strong] = ACTIONS(7409),
    [anon_sym___unsafe_unretained] = ACTIONS(7409),
    [anon_sym___unused] = ACTIONS(7409),
    [anon_sym___weak] = ACTIONS(7409),
    [anon_sym_alignas] = ACTIONS(7409),
    [anon_sym__Alignas] = ACTIONS(7409),
    [anon_sym_enum] = ACTIONS(7409),
    [anon_sym_COLON] = ACTIONS(7411),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7409),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7409),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7409),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7409),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7409),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7409),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7409),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7409),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7409),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7409),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7409),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7409),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7409),
    [anon_sym_API_AVAILABLE] = ACTIONS(7409),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7409),
    [anon_sym_API_DEPRECATED] = ACTIONS(7409),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7409),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7409),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7409),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7409),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7409),
    [anon_sym___deprecated_msg] = ACTIONS(7409),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7409),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7409),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7409),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7409),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7409),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7409),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7409),
  },
  [3002] = {
    [sym__declaration_modifiers] = STATE(2871),
    [sym_attribute_specifier] = STATE(2871),
    [sym_attribute_declaration] = STATE(2871),
    [sym_ms_declspec_modifier] = STATE(2871),
    [sym_storage_class_specifier] = STATE(2871),
    [sym_type_qualifier] = STATE(2871),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2871),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2871),
    [sym_identifier] = ACTIONS(6964),
    [anon_sym_LPAREN2] = ACTIONS(6966),
    [anon_sym_STAR] = ACTIONS(6966),
    [anon_sym_CARET] = ACTIONS(6966),
    [anon_sym_SEMI] = ACTIONS(7415),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(6884),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(6964),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [3003] = {
    [sym_identifier] = ACTIONS(7417),
    [anon_sym_COMMA] = ACTIONS(7419),
    [anon_sym_RPAREN] = ACTIONS(7419),
    [anon_sym_LPAREN2] = ACTIONS(7419),
    [anon_sym_STAR] = ACTIONS(7419),
    [anon_sym_CARET] = ACTIONS(7419),
    [anon_sym_SEMI] = ACTIONS(7419),
    [anon_sym___extension__] = ACTIONS(7417),
    [anon_sym_extern] = ACTIONS(7417),
    [anon_sym___attribute__] = ACTIONS(7417),
    [anon_sym___attribute] = ACTIONS(7417),
    [anon_sym_noreturn] = ACTIONS(7417),
    [anon_sym_LBRACK] = ACTIONS(7419),
    [anon_sym___declspec] = ACTIONS(7417),
    [anon_sym___based] = ACTIONS(7417),
    [anon_sym_signed] = ACTIONS(7417),
    [anon_sym_unsigned] = ACTIONS(7417),
    [anon_sym_long] = ACTIONS(7417),
    [anon_sym_short] = ACTIONS(7417),
    [anon_sym_static] = ACTIONS(7417),
    [anon_sym_auto] = ACTIONS(7417),
    [anon_sym_register] = ACTIONS(7417),
    [anon_sym_inline] = ACTIONS(7417),
    [anon_sym___inline] = ACTIONS(7417),
    [anon_sym___inline__] = ACTIONS(7417),
    [anon_sym___forceinline] = ACTIONS(7417),
    [anon_sym_thread_local] = ACTIONS(7417),
    [anon_sym___thread] = ACTIONS(7417),
    [anon_sym_CG_EXTERN] = ACTIONS(7417),
    [anon_sym_CG_INLINE] = ACTIONS(7417),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7417),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7417),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7417),
    [anon_sym_IBOutlet] = ACTIONS(7417),
    [anon_sym_IBInspectable] = ACTIONS(7417),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7417),
    [anon_sym_NS_INLINE] = ACTIONS(7417),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7417),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7417),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7417),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7417),
    [anon_sym_const] = ACTIONS(7417),
    [anon_sym_constexpr] = ACTIONS(7417),
    [anon_sym_volatile] = ACTIONS(7417),
    [anon_sym_restrict] = ACTIONS(7417),
    [anon_sym___restrict__] = ACTIONS(7417),
    [anon_sym__Atomic] = ACTIONS(7417),
    [anon_sym__Noreturn] = ACTIONS(7417),
    [anon_sym__Nonnull] = ACTIONS(7417),
    [anon_sym_nullable] = ACTIONS(7417),
    [anon_sym__Complex] = ACTIONS(7417),
    [anon_sym__Nullable] = ACTIONS(7417),
    [anon_sym__Nullable_result] = ACTIONS(7417),
    [anon_sym__Null_unspecified] = ACTIONS(7417),
    [anon_sym___autoreleasing] = ACTIONS(7417),
    [anon_sym___block] = ACTIONS(7417),
    [anon_sym___bridge] = ACTIONS(7417),
    [anon_sym___bridge_retained] = ACTIONS(7417),
    [anon_sym___bridge_transfer] = ACTIONS(7417),
    [anon_sym___complex] = ACTIONS(7417),
    [anon_sym___const] = ACTIONS(7417),
    [anon_sym___imag] = ACTIONS(7417),
    [anon_sym___kindof] = ACTIONS(7417),
    [anon_sym___nonnull] = ACTIONS(7417),
    [anon_sym___nullable] = ACTIONS(7417),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7417),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7417),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7417),
    [anon_sym___real] = ACTIONS(7417),
    [anon_sym___strong] = ACTIONS(7417),
    [anon_sym___unsafe_unretained] = ACTIONS(7417),
    [anon_sym___unused] = ACTIONS(7417),
    [anon_sym___weak] = ACTIONS(7417),
    [anon_sym_alignas] = ACTIONS(7417),
    [anon_sym__Alignas] = ACTIONS(7417),
    [sym_primitive_type] = ACTIONS(7417),
    [anon_sym_enum] = ACTIONS(7417),
    [anon_sym_COLON] = ACTIONS(7419),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7417),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7417),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7417),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7417),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7417),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7417),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7417),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7417),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7417),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7417),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7417),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7417),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7417),
    [anon_sym_API_AVAILABLE] = ACTIONS(7417),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7417),
    [anon_sym_API_DEPRECATED] = ACTIONS(7417),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7417),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7417),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7417),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7417),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7417),
    [anon_sym___deprecated_msg] = ACTIONS(7417),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7417),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7417),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7417),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7417),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7417),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7417),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7417),
  },
  [3004] = {
    [sym_identifier] = ACTIONS(7421),
    [anon_sym_COMMA] = ACTIONS(7423),
    [anon_sym_RPAREN] = ACTIONS(7423),
    [anon_sym_LPAREN2] = ACTIONS(7423),
    [anon_sym_STAR] = ACTIONS(7423),
    [anon_sym_CARET] = ACTIONS(7423),
    [anon_sym_SEMI] = ACTIONS(7423),
    [anon_sym___extension__] = ACTIONS(7421),
    [anon_sym_extern] = ACTIONS(7421),
    [anon_sym___attribute__] = ACTIONS(7421),
    [anon_sym___attribute] = ACTIONS(7421),
    [anon_sym_noreturn] = ACTIONS(7421),
    [anon_sym_LBRACK] = ACTIONS(7423),
    [anon_sym___declspec] = ACTIONS(7421),
    [anon_sym___based] = ACTIONS(7421),
    [anon_sym_signed] = ACTIONS(7421),
    [anon_sym_unsigned] = ACTIONS(7421),
    [anon_sym_long] = ACTIONS(7421),
    [anon_sym_short] = ACTIONS(7421),
    [anon_sym_static] = ACTIONS(7421),
    [anon_sym_auto] = ACTIONS(7421),
    [anon_sym_register] = ACTIONS(7421),
    [anon_sym_inline] = ACTIONS(7421),
    [anon_sym___inline] = ACTIONS(7421),
    [anon_sym___inline__] = ACTIONS(7421),
    [anon_sym___forceinline] = ACTIONS(7421),
    [anon_sym_thread_local] = ACTIONS(7421),
    [anon_sym___thread] = ACTIONS(7421),
    [anon_sym_CG_EXTERN] = ACTIONS(7421),
    [anon_sym_CG_INLINE] = ACTIONS(7421),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7421),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7421),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7421),
    [anon_sym_IBOutlet] = ACTIONS(7421),
    [anon_sym_IBInspectable] = ACTIONS(7421),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7421),
    [anon_sym_NS_INLINE] = ACTIONS(7421),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7421),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7421),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7421),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7421),
    [anon_sym_const] = ACTIONS(7421),
    [anon_sym_constexpr] = ACTIONS(7421),
    [anon_sym_volatile] = ACTIONS(7421),
    [anon_sym_restrict] = ACTIONS(7421),
    [anon_sym___restrict__] = ACTIONS(7421),
    [anon_sym__Atomic] = ACTIONS(7421),
    [anon_sym__Noreturn] = ACTIONS(7421),
    [anon_sym__Nonnull] = ACTIONS(7421),
    [anon_sym_nullable] = ACTIONS(7421),
    [anon_sym__Complex] = ACTIONS(7421),
    [anon_sym__Nullable] = ACTIONS(7421),
    [anon_sym__Nullable_result] = ACTIONS(7421),
    [anon_sym__Null_unspecified] = ACTIONS(7421),
    [anon_sym___autoreleasing] = ACTIONS(7421),
    [anon_sym___block] = ACTIONS(7421),
    [anon_sym___bridge] = ACTIONS(7421),
    [anon_sym___bridge_retained] = ACTIONS(7421),
    [anon_sym___bridge_transfer] = ACTIONS(7421),
    [anon_sym___complex] = ACTIONS(7421),
    [anon_sym___const] = ACTIONS(7421),
    [anon_sym___imag] = ACTIONS(7421),
    [anon_sym___kindof] = ACTIONS(7421),
    [anon_sym___nonnull] = ACTIONS(7421),
    [anon_sym___nullable] = ACTIONS(7421),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7421),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7421),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7421),
    [anon_sym___real] = ACTIONS(7421),
    [anon_sym___strong] = ACTIONS(7421),
    [anon_sym___unsafe_unretained] = ACTIONS(7421),
    [anon_sym___unused] = ACTIONS(7421),
    [anon_sym___weak] = ACTIONS(7421),
    [anon_sym_alignas] = ACTIONS(7421),
    [anon_sym__Alignas] = ACTIONS(7421),
    [sym_primitive_type] = ACTIONS(7421),
    [anon_sym_enum] = ACTIONS(7421),
    [anon_sym_COLON] = ACTIONS(7423),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7421),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7421),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7421),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7421),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7421),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7421),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7421),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7421),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7421),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7421),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7421),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7421),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7421),
    [anon_sym_API_AVAILABLE] = ACTIONS(7421),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7421),
    [anon_sym_API_DEPRECATED] = ACTIONS(7421),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7421),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7421),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7421),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7421),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7421),
    [anon_sym___deprecated_msg] = ACTIONS(7421),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7421),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7421),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7421),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7421),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7421),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7421),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7421),
  },
  [3005] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2937),
    [sym_identifier] = ACTIONS(7425),
    [anon_sym_COMMA] = ACTIONS(7427),
    [anon_sym_RPAREN] = ACTIONS(7427),
    [anon_sym_LPAREN2] = ACTIONS(7427),
    [anon_sym_STAR] = ACTIONS(7427),
    [anon_sym_CARET] = ACTIONS(7427),
    [anon_sym_SEMI] = ACTIONS(7427),
    [anon_sym___extension__] = ACTIONS(7425),
    [anon_sym_extern] = ACTIONS(7425),
    [anon_sym___attribute__] = ACTIONS(7425),
    [anon_sym___attribute] = ACTIONS(7425),
    [anon_sym_noreturn] = ACTIONS(7425),
    [anon_sym_LBRACK] = ACTIONS(7427),
    [anon_sym___declspec] = ACTIONS(7425),
    [anon_sym___based] = ACTIONS(7425),
    [anon_sym_signed] = ACTIONS(7165),
    [anon_sym_unsigned] = ACTIONS(7165),
    [anon_sym_long] = ACTIONS(7165),
    [anon_sym_short] = ACTIONS(7165),
    [anon_sym_static] = ACTIONS(7425),
    [anon_sym_auto] = ACTIONS(7425),
    [anon_sym_register] = ACTIONS(7425),
    [anon_sym_inline] = ACTIONS(7425),
    [anon_sym___inline] = ACTIONS(7425),
    [anon_sym___inline__] = ACTIONS(7425),
    [anon_sym___forceinline] = ACTIONS(7425),
    [anon_sym_thread_local] = ACTIONS(7425),
    [anon_sym___thread] = ACTIONS(7425),
    [anon_sym_CG_EXTERN] = ACTIONS(7425),
    [anon_sym_CG_INLINE] = ACTIONS(7425),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7425),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7425),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7425),
    [anon_sym_IBOutlet] = ACTIONS(7425),
    [anon_sym_IBInspectable] = ACTIONS(7425),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7425),
    [anon_sym_NS_INLINE] = ACTIONS(7425),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7425),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7425),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7425),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7425),
    [anon_sym_const] = ACTIONS(7425),
    [anon_sym_constexpr] = ACTIONS(7425),
    [anon_sym_volatile] = ACTIONS(7425),
    [anon_sym_restrict] = ACTIONS(7425),
    [anon_sym___restrict__] = ACTIONS(7425),
    [anon_sym__Atomic] = ACTIONS(7425),
    [anon_sym__Noreturn] = ACTIONS(7425),
    [anon_sym__Nonnull] = ACTIONS(7425),
    [anon_sym_nullable] = ACTIONS(7425),
    [anon_sym__Complex] = ACTIONS(7425),
    [anon_sym__Nullable] = ACTIONS(7425),
    [anon_sym__Nullable_result] = ACTIONS(7425),
    [anon_sym__Null_unspecified] = ACTIONS(7425),
    [anon_sym___autoreleasing] = ACTIONS(7425),
    [anon_sym___block] = ACTIONS(7425),
    [anon_sym___bridge] = ACTIONS(7425),
    [anon_sym___bridge_retained] = ACTIONS(7425),
    [anon_sym___bridge_transfer] = ACTIONS(7425),
    [anon_sym___complex] = ACTIONS(7425),
    [anon_sym___const] = ACTIONS(7425),
    [anon_sym___imag] = ACTIONS(7425),
    [anon_sym___kindof] = ACTIONS(7425),
    [anon_sym___nonnull] = ACTIONS(7425),
    [anon_sym___nullable] = ACTIONS(7425),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7425),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7425),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7425),
    [anon_sym___real] = ACTIONS(7425),
    [anon_sym___strong] = ACTIONS(7425),
    [anon_sym___unsafe_unretained] = ACTIONS(7425),
    [anon_sym___unused] = ACTIONS(7425),
    [anon_sym___weak] = ACTIONS(7425),
    [anon_sym_alignas] = ACTIONS(7425),
    [anon_sym__Alignas] = ACTIONS(7425),
    [anon_sym_enum] = ACTIONS(7425),
    [anon_sym_COLON] = ACTIONS(7427),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7425),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7425),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7425),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7425),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7425),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7425),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7425),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7425),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7425),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7425),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7425),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7425),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7425),
    [anon_sym_API_AVAILABLE] = ACTIONS(7425),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7425),
    [anon_sym_API_DEPRECATED] = ACTIONS(7425),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7425),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7425),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7425),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7425),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7425),
    [anon_sym___deprecated_msg] = ACTIONS(7425),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7425),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7425),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7425),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7425),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7425),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7425),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7425),
  },
  [3006] = {
    [sym_identifier] = ACTIONS(7429),
    [anon_sym_LPAREN2] = ACTIONS(7431),
    [anon_sym_STAR] = ACTIONS(7431),
    [anon_sym_CARET] = ACTIONS(7431),
    [anon_sym___extension__] = ACTIONS(7429),
    [anon_sym_extern] = ACTIONS(7429),
    [anon_sym___attribute__] = ACTIONS(7429),
    [anon_sym___attribute] = ACTIONS(7429),
    [anon_sym_noreturn] = ACTIONS(7429),
    [anon_sym_LBRACK] = ACTIONS(7431),
    [anon_sym___declspec] = ACTIONS(7429),
    [anon_sym___based] = ACTIONS(7429),
    [sym_ms_restrict_modifier] = ACTIONS(7429),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(7429),
    [sym_ms_signed_ptr_modifier] = ACTIONS(7429),
    [anon_sym__unaligned] = ACTIONS(7429),
    [anon_sym___unaligned] = ACTIONS(7429),
    [anon_sym_signed] = ACTIONS(7429),
    [anon_sym_unsigned] = ACTIONS(7429),
    [anon_sym_long] = ACTIONS(7429),
    [anon_sym_short] = ACTIONS(7429),
    [anon_sym_static] = ACTIONS(7429),
    [anon_sym_auto] = ACTIONS(7429),
    [anon_sym_register] = ACTIONS(7429),
    [anon_sym_inline] = ACTIONS(7429),
    [anon_sym___inline] = ACTIONS(7429),
    [anon_sym___inline__] = ACTIONS(7429),
    [anon_sym___forceinline] = ACTIONS(7429),
    [anon_sym_thread_local] = ACTIONS(7429),
    [anon_sym___thread] = ACTIONS(7429),
    [anon_sym_CG_EXTERN] = ACTIONS(7429),
    [anon_sym_CG_INLINE] = ACTIONS(7429),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7429),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7429),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7429),
    [anon_sym_IBOutlet] = ACTIONS(7429),
    [anon_sym_IBInspectable] = ACTIONS(7429),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7429),
    [anon_sym_NS_INLINE] = ACTIONS(7429),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7429),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7429),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7429),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7429),
    [anon_sym_const] = ACTIONS(7429),
    [anon_sym_constexpr] = ACTIONS(7429),
    [anon_sym_volatile] = ACTIONS(7429),
    [anon_sym_restrict] = ACTIONS(7429),
    [anon_sym___restrict__] = ACTIONS(7429),
    [anon_sym__Atomic] = ACTIONS(7429),
    [anon_sym__Noreturn] = ACTIONS(7429),
    [anon_sym__Nonnull] = ACTIONS(7429),
    [anon_sym_nullable] = ACTIONS(7429),
    [anon_sym__Complex] = ACTIONS(7429),
    [anon_sym__Nullable] = ACTIONS(7429),
    [anon_sym__Nullable_result] = ACTIONS(7429),
    [anon_sym__Null_unspecified] = ACTIONS(7429),
    [anon_sym___autoreleasing] = ACTIONS(7429),
    [anon_sym___block] = ACTIONS(7429),
    [anon_sym___bridge] = ACTIONS(7429),
    [anon_sym___bridge_retained] = ACTIONS(7429),
    [anon_sym___bridge_transfer] = ACTIONS(7429),
    [anon_sym___complex] = ACTIONS(7429),
    [anon_sym___const] = ACTIONS(7429),
    [anon_sym___imag] = ACTIONS(7429),
    [anon_sym___kindof] = ACTIONS(7429),
    [anon_sym___nonnull] = ACTIONS(7429),
    [anon_sym___nullable] = ACTIONS(7429),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7429),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7429),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7429),
    [anon_sym___real] = ACTIONS(7429),
    [anon_sym___strong] = ACTIONS(7429),
    [anon_sym___unsafe_unretained] = ACTIONS(7429),
    [anon_sym___unused] = ACTIONS(7429),
    [anon_sym___weak] = ACTIONS(7429),
    [anon_sym_alignas] = ACTIONS(7429),
    [anon_sym__Alignas] = ACTIONS(7429),
    [sym_primitive_type] = ACTIONS(7429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7429),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7429),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7429),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7429),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7429),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7429),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7429),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7429),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7429),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7429),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7429),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7429),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7429),
    [anon_sym_API_AVAILABLE] = ACTIONS(7429),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7429),
    [anon_sym_API_DEPRECATED] = ACTIONS(7429),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7429),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7429),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7429),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7429),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7429),
    [anon_sym___deprecated_msg] = ACTIONS(7429),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7429),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7429),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7429),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7429),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7429),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7429),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7429),
  },
  [3007] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2970),
    [sym_identifier] = ACTIONS(5076),
    [anon_sym_COMMA] = ACTIONS(5072),
    [anon_sym_RPAREN] = ACTIONS(5072),
    [anon_sym_LPAREN2] = ACTIONS(5072),
    [anon_sym_STAR] = ACTIONS(5072),
    [anon_sym_CARET] = ACTIONS(5072),
    [anon_sym_SEMI] = ACTIONS(5072),
    [anon_sym___extension__] = ACTIONS(5076),
    [anon_sym_extern] = ACTIONS(5076),
    [anon_sym___attribute__] = ACTIONS(5076),
    [anon_sym___attribute] = ACTIONS(5076),
    [anon_sym_noreturn] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5072),
    [anon_sym___declspec] = ACTIONS(5076),
    [anon_sym___based] = ACTIONS(5076),
    [anon_sym_signed] = ACTIONS(7433),
    [anon_sym_unsigned] = ACTIONS(7433),
    [anon_sym_long] = ACTIONS(7433),
    [anon_sym_short] = ACTIONS(7433),
    [anon_sym_static] = ACTIONS(5076),
    [anon_sym_auto] = ACTIONS(5076),
    [anon_sym_register] = ACTIONS(5076),
    [anon_sym_inline] = ACTIONS(5076),
    [anon_sym___inline] = ACTIONS(5076),
    [anon_sym___inline__] = ACTIONS(5076),
    [anon_sym___forceinline] = ACTIONS(5076),
    [anon_sym_thread_local] = ACTIONS(5076),
    [anon_sym___thread] = ACTIONS(5076),
    [anon_sym_CG_EXTERN] = ACTIONS(5076),
    [anon_sym_CG_INLINE] = ACTIONS(5076),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5076),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5076),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5076),
    [anon_sym_IBOutlet] = ACTIONS(5076),
    [anon_sym_IBInspectable] = ACTIONS(5076),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5076),
    [anon_sym_NS_INLINE] = ACTIONS(5076),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5076),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5076),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5076),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5076),
    [anon_sym_const] = ACTIONS(5076),
    [anon_sym_constexpr] = ACTIONS(5076),
    [anon_sym_volatile] = ACTIONS(5076),
    [anon_sym_restrict] = ACTIONS(5076),
    [anon_sym___restrict__] = ACTIONS(5076),
    [anon_sym__Atomic] = ACTIONS(5076),
    [anon_sym__Noreturn] = ACTIONS(5076),
    [anon_sym__Nonnull] = ACTIONS(5076),
    [anon_sym_nullable] = ACTIONS(5076),
    [anon_sym__Complex] = ACTIONS(5076),
    [anon_sym__Nullable] = ACTIONS(5076),
    [anon_sym__Nullable_result] = ACTIONS(5076),
    [anon_sym__Null_unspecified] = ACTIONS(5076),
    [anon_sym___autoreleasing] = ACTIONS(5076),
    [anon_sym___block] = ACTIONS(5076),
    [anon_sym___bridge] = ACTIONS(5076),
    [anon_sym___bridge_retained] = ACTIONS(5076),
    [anon_sym___bridge_transfer] = ACTIONS(5076),
    [anon_sym___complex] = ACTIONS(5076),
    [anon_sym___const] = ACTIONS(5076),
    [anon_sym___imag] = ACTIONS(5076),
    [anon_sym___kindof] = ACTIONS(5076),
    [anon_sym___nonnull] = ACTIONS(5076),
    [anon_sym___nullable] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5076),
    [anon_sym___real] = ACTIONS(5076),
    [anon_sym___strong] = ACTIONS(5076),
    [anon_sym___unsafe_unretained] = ACTIONS(5076),
    [anon_sym___unused] = ACTIONS(5076),
    [anon_sym___weak] = ACTIONS(5076),
    [anon_sym_alignas] = ACTIONS(5076),
    [anon_sym__Alignas] = ACTIONS(5076),
    [anon_sym_enum] = ACTIONS(5076),
    [anon_sym_COLON] = ACTIONS(5072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5076),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5076),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5076),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5076),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5076),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5076),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5076),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5076),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5076),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_API_AVAILABLE] = ACTIONS(5076),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_API_DEPRECATED] = ACTIONS(5076),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5076),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5076),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5076),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5076),
    [anon_sym___deprecated_msg] = ACTIONS(5076),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5076),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5076),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5076),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5076),
  },
  [3008] = {
    [sym_identifier] = ACTIONS(7435),
    [anon_sym_COMMA] = ACTIONS(7437),
    [anon_sym_RPAREN] = ACTIONS(7437),
    [anon_sym_LPAREN2] = ACTIONS(7437),
    [anon_sym_STAR] = ACTIONS(7437),
    [anon_sym_CARET] = ACTIONS(7437),
    [anon_sym_SEMI] = ACTIONS(7437),
    [anon_sym___extension__] = ACTIONS(7435),
    [anon_sym_extern] = ACTIONS(7435),
    [anon_sym___attribute__] = ACTIONS(7435),
    [anon_sym___attribute] = ACTIONS(7435),
    [anon_sym_noreturn] = ACTIONS(7435),
    [anon_sym_LBRACK] = ACTIONS(7437),
    [anon_sym___declspec] = ACTIONS(7435),
    [anon_sym___based] = ACTIONS(7435),
    [anon_sym_signed] = ACTIONS(7435),
    [anon_sym_unsigned] = ACTIONS(7435),
    [anon_sym_long] = ACTIONS(7435),
    [anon_sym_short] = ACTIONS(7435),
    [anon_sym_static] = ACTIONS(7435),
    [anon_sym_auto] = ACTIONS(7435),
    [anon_sym_register] = ACTIONS(7435),
    [anon_sym_inline] = ACTIONS(7435),
    [anon_sym___inline] = ACTIONS(7435),
    [anon_sym___inline__] = ACTIONS(7435),
    [anon_sym___forceinline] = ACTIONS(7435),
    [anon_sym_thread_local] = ACTIONS(7435),
    [anon_sym___thread] = ACTIONS(7435),
    [anon_sym_CG_EXTERN] = ACTIONS(7435),
    [anon_sym_CG_INLINE] = ACTIONS(7435),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7435),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7435),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7435),
    [anon_sym_IBOutlet] = ACTIONS(7435),
    [anon_sym_IBInspectable] = ACTIONS(7435),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7435),
    [anon_sym_NS_INLINE] = ACTIONS(7435),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7435),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7435),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7435),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7435),
    [anon_sym_const] = ACTIONS(7435),
    [anon_sym_constexpr] = ACTIONS(7435),
    [anon_sym_volatile] = ACTIONS(7435),
    [anon_sym_restrict] = ACTIONS(7435),
    [anon_sym___restrict__] = ACTIONS(7435),
    [anon_sym__Atomic] = ACTIONS(7435),
    [anon_sym__Noreturn] = ACTIONS(7435),
    [anon_sym__Nonnull] = ACTIONS(7435),
    [anon_sym_nullable] = ACTIONS(7435),
    [anon_sym__Complex] = ACTIONS(7435),
    [anon_sym__Nullable] = ACTIONS(7435),
    [anon_sym__Nullable_result] = ACTIONS(7435),
    [anon_sym__Null_unspecified] = ACTIONS(7435),
    [anon_sym___autoreleasing] = ACTIONS(7435),
    [anon_sym___block] = ACTIONS(7435),
    [anon_sym___bridge] = ACTIONS(7435),
    [anon_sym___bridge_retained] = ACTIONS(7435),
    [anon_sym___bridge_transfer] = ACTIONS(7435),
    [anon_sym___complex] = ACTIONS(7435),
    [anon_sym___const] = ACTIONS(7435),
    [anon_sym___imag] = ACTIONS(7435),
    [anon_sym___kindof] = ACTIONS(7435),
    [anon_sym___nonnull] = ACTIONS(7435),
    [anon_sym___nullable] = ACTIONS(7435),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7435),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7435),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7435),
    [anon_sym___real] = ACTIONS(7435),
    [anon_sym___strong] = ACTIONS(7435),
    [anon_sym___unsafe_unretained] = ACTIONS(7435),
    [anon_sym___unused] = ACTIONS(7435),
    [anon_sym___weak] = ACTIONS(7435),
    [anon_sym_alignas] = ACTIONS(7435),
    [anon_sym__Alignas] = ACTIONS(7435),
    [sym_primitive_type] = ACTIONS(7435),
    [anon_sym_enum] = ACTIONS(7435),
    [anon_sym_COLON] = ACTIONS(7437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7435),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7435),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7435),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7435),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7435),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7435),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7435),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7435),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7435),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7435),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7435),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7435),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7435),
    [anon_sym_API_AVAILABLE] = ACTIONS(7435),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7435),
    [anon_sym_API_DEPRECATED] = ACTIONS(7435),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7435),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7435),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7435),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7435),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7435),
    [anon_sym___deprecated_msg] = ACTIONS(7435),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7435),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7435),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7435),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7435),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7435),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7435),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7435),
  },
  [3009] = {
    [sym_identifier] = ACTIONS(7439),
    [anon_sym_LPAREN2] = ACTIONS(7441),
    [anon_sym_STAR] = ACTIONS(7441),
    [anon_sym_CARET] = ACTIONS(7441),
    [anon_sym___extension__] = ACTIONS(7439),
    [anon_sym_extern] = ACTIONS(7439),
    [anon_sym___attribute__] = ACTIONS(7439),
    [anon_sym___attribute] = ACTIONS(7439),
    [anon_sym_noreturn] = ACTIONS(7439),
    [anon_sym_LBRACK] = ACTIONS(7441),
    [anon_sym___declspec] = ACTIONS(7439),
    [anon_sym___based] = ACTIONS(7439),
    [sym_ms_restrict_modifier] = ACTIONS(7439),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(7439),
    [sym_ms_signed_ptr_modifier] = ACTIONS(7439),
    [anon_sym__unaligned] = ACTIONS(7439),
    [anon_sym___unaligned] = ACTIONS(7439),
    [anon_sym_signed] = ACTIONS(7439),
    [anon_sym_unsigned] = ACTIONS(7439),
    [anon_sym_long] = ACTIONS(7439),
    [anon_sym_short] = ACTIONS(7439),
    [anon_sym_static] = ACTIONS(7439),
    [anon_sym_auto] = ACTIONS(7439),
    [anon_sym_register] = ACTIONS(7439),
    [anon_sym_inline] = ACTIONS(7439),
    [anon_sym___inline] = ACTIONS(7439),
    [anon_sym___inline__] = ACTIONS(7439),
    [anon_sym___forceinline] = ACTIONS(7439),
    [anon_sym_thread_local] = ACTIONS(7439),
    [anon_sym___thread] = ACTIONS(7439),
    [anon_sym_CG_EXTERN] = ACTIONS(7439),
    [anon_sym_CG_INLINE] = ACTIONS(7439),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7439),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7439),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7439),
    [anon_sym_IBOutlet] = ACTIONS(7439),
    [anon_sym_IBInspectable] = ACTIONS(7439),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7439),
    [anon_sym_NS_INLINE] = ACTIONS(7439),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7439),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7439),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7439),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7439),
    [anon_sym_const] = ACTIONS(7439),
    [anon_sym_constexpr] = ACTIONS(7439),
    [anon_sym_volatile] = ACTIONS(7439),
    [anon_sym_restrict] = ACTIONS(7439),
    [anon_sym___restrict__] = ACTIONS(7439),
    [anon_sym__Atomic] = ACTIONS(7439),
    [anon_sym__Noreturn] = ACTIONS(7439),
    [anon_sym__Nonnull] = ACTIONS(7439),
    [anon_sym_nullable] = ACTIONS(7439),
    [anon_sym__Complex] = ACTIONS(7439),
    [anon_sym__Nullable] = ACTIONS(7439),
    [anon_sym__Nullable_result] = ACTIONS(7439),
    [anon_sym__Null_unspecified] = ACTIONS(7439),
    [anon_sym___autoreleasing] = ACTIONS(7439),
    [anon_sym___block] = ACTIONS(7439),
    [anon_sym___bridge] = ACTIONS(7439),
    [anon_sym___bridge_retained] = ACTIONS(7439),
    [anon_sym___bridge_transfer] = ACTIONS(7439),
    [anon_sym___complex] = ACTIONS(7439),
    [anon_sym___const] = ACTIONS(7439),
    [anon_sym___imag] = ACTIONS(7439),
    [anon_sym___kindof] = ACTIONS(7439),
    [anon_sym___nonnull] = ACTIONS(7439),
    [anon_sym___nullable] = ACTIONS(7439),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7439),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7439),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7439),
    [anon_sym___real] = ACTIONS(7439),
    [anon_sym___strong] = ACTIONS(7439),
    [anon_sym___unsafe_unretained] = ACTIONS(7439),
    [anon_sym___unused] = ACTIONS(7439),
    [anon_sym___weak] = ACTIONS(7439),
    [anon_sym_alignas] = ACTIONS(7439),
    [anon_sym__Alignas] = ACTIONS(7439),
    [sym_primitive_type] = ACTIONS(7439),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7439),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7439),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7439),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7439),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7439),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7439),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7439),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7439),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7439),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7439),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7439),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7439),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7439),
    [anon_sym_API_AVAILABLE] = ACTIONS(7439),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7439),
    [anon_sym_API_DEPRECATED] = ACTIONS(7439),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7439),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7439),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7439),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7439),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7439),
    [anon_sym___deprecated_msg] = ACTIONS(7439),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7439),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7439),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7439),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7439),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7439),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7439),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7439),
  },
  [3010] = {
    [sym_identifier] = ACTIONS(7443),
    [anon_sym_COMMA] = ACTIONS(7445),
    [anon_sym_RPAREN] = ACTIONS(7445),
    [anon_sym_LPAREN2] = ACTIONS(7445),
    [anon_sym_STAR] = ACTIONS(7445),
    [anon_sym_CARET] = ACTIONS(7445),
    [anon_sym_SEMI] = ACTIONS(7445),
    [anon_sym___extension__] = ACTIONS(7443),
    [anon_sym_extern] = ACTIONS(7443),
    [anon_sym___attribute__] = ACTIONS(7443),
    [anon_sym___attribute] = ACTIONS(7443),
    [anon_sym_noreturn] = ACTIONS(7443),
    [anon_sym_LBRACK] = ACTIONS(7445),
    [anon_sym___declspec] = ACTIONS(7443),
    [anon_sym___based] = ACTIONS(7443),
    [anon_sym_signed] = ACTIONS(7443),
    [anon_sym_unsigned] = ACTIONS(7443),
    [anon_sym_long] = ACTIONS(7443),
    [anon_sym_short] = ACTIONS(7443),
    [anon_sym_static] = ACTIONS(7443),
    [anon_sym_auto] = ACTIONS(7443),
    [anon_sym_register] = ACTIONS(7443),
    [anon_sym_inline] = ACTIONS(7443),
    [anon_sym___inline] = ACTIONS(7443),
    [anon_sym___inline__] = ACTIONS(7443),
    [anon_sym___forceinline] = ACTIONS(7443),
    [anon_sym_thread_local] = ACTIONS(7443),
    [anon_sym___thread] = ACTIONS(7443),
    [anon_sym_CG_EXTERN] = ACTIONS(7443),
    [anon_sym_CG_INLINE] = ACTIONS(7443),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7443),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7443),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7443),
    [anon_sym_IBOutlet] = ACTIONS(7443),
    [anon_sym_IBInspectable] = ACTIONS(7443),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7443),
    [anon_sym_NS_INLINE] = ACTIONS(7443),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7443),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7443),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7443),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7443),
    [anon_sym_const] = ACTIONS(7443),
    [anon_sym_constexpr] = ACTIONS(7443),
    [anon_sym_volatile] = ACTIONS(7443),
    [anon_sym_restrict] = ACTIONS(7443),
    [anon_sym___restrict__] = ACTIONS(7443),
    [anon_sym__Atomic] = ACTIONS(7443),
    [anon_sym__Noreturn] = ACTIONS(7443),
    [anon_sym__Nonnull] = ACTIONS(7443),
    [anon_sym_nullable] = ACTIONS(7443),
    [anon_sym__Complex] = ACTIONS(7443),
    [anon_sym__Nullable] = ACTIONS(7443),
    [anon_sym__Nullable_result] = ACTIONS(7443),
    [anon_sym__Null_unspecified] = ACTIONS(7443),
    [anon_sym___autoreleasing] = ACTIONS(7443),
    [anon_sym___block] = ACTIONS(7443),
    [anon_sym___bridge] = ACTIONS(7443),
    [anon_sym___bridge_retained] = ACTIONS(7443),
    [anon_sym___bridge_transfer] = ACTIONS(7443),
    [anon_sym___complex] = ACTIONS(7443),
    [anon_sym___const] = ACTIONS(7443),
    [anon_sym___imag] = ACTIONS(7443),
    [anon_sym___kindof] = ACTIONS(7443),
    [anon_sym___nonnull] = ACTIONS(7443),
    [anon_sym___nullable] = ACTIONS(7443),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7443),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7443),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7443),
    [anon_sym___real] = ACTIONS(7443),
    [anon_sym___strong] = ACTIONS(7443),
    [anon_sym___unsafe_unretained] = ACTIONS(7443),
    [anon_sym___unused] = ACTIONS(7443),
    [anon_sym___weak] = ACTIONS(7443),
    [anon_sym_alignas] = ACTIONS(7443),
    [anon_sym__Alignas] = ACTIONS(7443),
    [sym_primitive_type] = ACTIONS(7443),
    [anon_sym_enum] = ACTIONS(7443),
    [anon_sym_COLON] = ACTIONS(7445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7443),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7443),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7443),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7443),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7443),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7443),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7443),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7443),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7443),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7443),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7443),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7443),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7443),
    [anon_sym_API_AVAILABLE] = ACTIONS(7443),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7443),
    [anon_sym_API_DEPRECATED] = ACTIONS(7443),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7443),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7443),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7443),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7443),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7443),
    [anon_sym___deprecated_msg] = ACTIONS(7443),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7443),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7443),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7443),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7443),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7443),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7443),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7443),
  },
  [3011] = {
    [sym_identifier] = ACTIONS(7447),
    [anon_sym_COMMA] = ACTIONS(7449),
    [anon_sym_RPAREN] = ACTIONS(7449),
    [anon_sym_LPAREN2] = ACTIONS(7449),
    [anon_sym_STAR] = ACTIONS(7449),
    [anon_sym_CARET] = ACTIONS(7449),
    [anon_sym_SEMI] = ACTIONS(7449),
    [anon_sym___extension__] = ACTIONS(7447),
    [anon_sym_extern] = ACTIONS(7447),
    [anon_sym___attribute__] = ACTIONS(7447),
    [anon_sym___attribute] = ACTIONS(7447),
    [anon_sym_noreturn] = ACTIONS(7447),
    [anon_sym_LBRACK] = ACTIONS(7449),
    [anon_sym___declspec] = ACTIONS(7447),
    [anon_sym___based] = ACTIONS(7447),
    [anon_sym_signed] = ACTIONS(7447),
    [anon_sym_unsigned] = ACTIONS(7447),
    [anon_sym_long] = ACTIONS(7447),
    [anon_sym_short] = ACTIONS(7447),
    [anon_sym_static] = ACTIONS(7447),
    [anon_sym_auto] = ACTIONS(7447),
    [anon_sym_register] = ACTIONS(7447),
    [anon_sym_inline] = ACTIONS(7447),
    [anon_sym___inline] = ACTIONS(7447),
    [anon_sym___inline__] = ACTIONS(7447),
    [anon_sym___forceinline] = ACTIONS(7447),
    [anon_sym_thread_local] = ACTIONS(7447),
    [anon_sym___thread] = ACTIONS(7447),
    [anon_sym_CG_EXTERN] = ACTIONS(7447),
    [anon_sym_CG_INLINE] = ACTIONS(7447),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7447),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7447),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7447),
    [anon_sym_IBOutlet] = ACTIONS(7447),
    [anon_sym_IBInspectable] = ACTIONS(7447),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7447),
    [anon_sym_NS_INLINE] = ACTIONS(7447),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7447),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7447),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7447),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7447),
    [anon_sym_const] = ACTIONS(7447),
    [anon_sym_constexpr] = ACTIONS(7447),
    [anon_sym_volatile] = ACTIONS(7447),
    [anon_sym_restrict] = ACTIONS(7447),
    [anon_sym___restrict__] = ACTIONS(7447),
    [anon_sym__Atomic] = ACTIONS(7447),
    [anon_sym__Noreturn] = ACTIONS(7447),
    [anon_sym__Nonnull] = ACTIONS(7447),
    [anon_sym_nullable] = ACTIONS(7447),
    [anon_sym__Complex] = ACTIONS(7447),
    [anon_sym__Nullable] = ACTIONS(7447),
    [anon_sym__Nullable_result] = ACTIONS(7447),
    [anon_sym__Null_unspecified] = ACTIONS(7447),
    [anon_sym___autoreleasing] = ACTIONS(7447),
    [anon_sym___block] = ACTIONS(7447),
    [anon_sym___bridge] = ACTIONS(7447),
    [anon_sym___bridge_retained] = ACTIONS(7447),
    [anon_sym___bridge_transfer] = ACTIONS(7447),
    [anon_sym___complex] = ACTIONS(7447),
    [anon_sym___const] = ACTIONS(7447),
    [anon_sym___imag] = ACTIONS(7447),
    [anon_sym___kindof] = ACTIONS(7447),
    [anon_sym___nonnull] = ACTIONS(7447),
    [anon_sym___nullable] = ACTIONS(7447),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7447),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7447),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7447),
    [anon_sym___real] = ACTIONS(7447),
    [anon_sym___strong] = ACTIONS(7447),
    [anon_sym___unsafe_unretained] = ACTIONS(7447),
    [anon_sym___unused] = ACTIONS(7447),
    [anon_sym___weak] = ACTIONS(7447),
    [anon_sym_alignas] = ACTIONS(7447),
    [anon_sym__Alignas] = ACTIONS(7447),
    [sym_primitive_type] = ACTIONS(7447),
    [anon_sym_enum] = ACTIONS(7447),
    [anon_sym_COLON] = ACTIONS(7449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7447),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7447),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7447),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7447),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7447),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7447),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7447),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7447),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7447),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7447),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7447),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7447),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7447),
    [anon_sym_API_AVAILABLE] = ACTIONS(7447),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7447),
    [anon_sym_API_DEPRECATED] = ACTIONS(7447),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7447),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7447),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7447),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7447),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7447),
    [anon_sym___deprecated_msg] = ACTIONS(7447),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7447),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7447),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7447),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7447),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7447),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7447),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7447),
  },
  [3012] = {
    [sym_identifier] = ACTIONS(7451),
    [anon_sym_COMMA] = ACTIONS(7453),
    [anon_sym_RPAREN] = ACTIONS(7453),
    [anon_sym_LPAREN2] = ACTIONS(7453),
    [anon_sym_STAR] = ACTIONS(7453),
    [anon_sym_CARET] = ACTIONS(7453),
    [anon_sym_SEMI] = ACTIONS(7453),
    [anon_sym___extension__] = ACTIONS(7451),
    [anon_sym_extern] = ACTIONS(7451),
    [anon_sym___attribute__] = ACTIONS(7451),
    [anon_sym___attribute] = ACTIONS(7451),
    [anon_sym_noreturn] = ACTIONS(7451),
    [anon_sym_LBRACK] = ACTIONS(7453),
    [anon_sym___declspec] = ACTIONS(7451),
    [anon_sym___based] = ACTIONS(7451),
    [anon_sym_signed] = ACTIONS(7451),
    [anon_sym_unsigned] = ACTIONS(7451),
    [anon_sym_long] = ACTIONS(7451),
    [anon_sym_short] = ACTIONS(7451),
    [anon_sym_static] = ACTIONS(7451),
    [anon_sym_auto] = ACTIONS(7451),
    [anon_sym_register] = ACTIONS(7451),
    [anon_sym_inline] = ACTIONS(7451),
    [anon_sym___inline] = ACTIONS(7451),
    [anon_sym___inline__] = ACTIONS(7451),
    [anon_sym___forceinline] = ACTIONS(7451),
    [anon_sym_thread_local] = ACTIONS(7451),
    [anon_sym___thread] = ACTIONS(7451),
    [anon_sym_CG_EXTERN] = ACTIONS(7451),
    [anon_sym_CG_INLINE] = ACTIONS(7451),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7451),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7451),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7451),
    [anon_sym_IBOutlet] = ACTIONS(7451),
    [anon_sym_IBInspectable] = ACTIONS(7451),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7451),
    [anon_sym_NS_INLINE] = ACTIONS(7451),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7451),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7451),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7451),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7451),
    [anon_sym_const] = ACTIONS(7451),
    [anon_sym_constexpr] = ACTIONS(7451),
    [anon_sym_volatile] = ACTIONS(7451),
    [anon_sym_restrict] = ACTIONS(7451),
    [anon_sym___restrict__] = ACTIONS(7451),
    [anon_sym__Atomic] = ACTIONS(7451),
    [anon_sym__Noreturn] = ACTIONS(7451),
    [anon_sym__Nonnull] = ACTIONS(7451),
    [anon_sym_nullable] = ACTIONS(7451),
    [anon_sym__Complex] = ACTIONS(7451),
    [anon_sym__Nullable] = ACTIONS(7451),
    [anon_sym__Nullable_result] = ACTIONS(7451),
    [anon_sym__Null_unspecified] = ACTIONS(7451),
    [anon_sym___autoreleasing] = ACTIONS(7451),
    [anon_sym___block] = ACTIONS(7451),
    [anon_sym___bridge] = ACTIONS(7451),
    [anon_sym___bridge_retained] = ACTIONS(7451),
    [anon_sym___bridge_transfer] = ACTIONS(7451),
    [anon_sym___complex] = ACTIONS(7451),
    [anon_sym___const] = ACTIONS(7451),
    [anon_sym___imag] = ACTIONS(7451),
    [anon_sym___kindof] = ACTIONS(7451),
    [anon_sym___nonnull] = ACTIONS(7451),
    [anon_sym___nullable] = ACTIONS(7451),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7451),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7451),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7451),
    [anon_sym___real] = ACTIONS(7451),
    [anon_sym___strong] = ACTIONS(7451),
    [anon_sym___unsafe_unretained] = ACTIONS(7451),
    [anon_sym___unused] = ACTIONS(7451),
    [anon_sym___weak] = ACTIONS(7451),
    [anon_sym_alignas] = ACTIONS(7451),
    [anon_sym__Alignas] = ACTIONS(7451),
    [sym_primitive_type] = ACTIONS(7451),
    [anon_sym_enum] = ACTIONS(7451),
    [anon_sym_COLON] = ACTIONS(7453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7451),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7451),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7451),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7451),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7451),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7451),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7451),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7451),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7451),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7451),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7451),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7451),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7451),
    [anon_sym_API_AVAILABLE] = ACTIONS(7451),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7451),
    [anon_sym_API_DEPRECATED] = ACTIONS(7451),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7451),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7451),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7451),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7451),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7451),
    [anon_sym___deprecated_msg] = ACTIONS(7451),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7451),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7451),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7451),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7451),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7451),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7451),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7451),
  },
  [3013] = {
    [sym_identifier] = ACTIONS(7455),
    [anon_sym_COMMA] = ACTIONS(7457),
    [anon_sym_RPAREN] = ACTIONS(7457),
    [anon_sym_LPAREN2] = ACTIONS(7457),
    [anon_sym_STAR] = ACTIONS(7457),
    [anon_sym_CARET] = ACTIONS(7457),
    [anon_sym_SEMI] = ACTIONS(7457),
    [anon_sym___extension__] = ACTIONS(7455),
    [anon_sym_extern] = ACTIONS(7455),
    [anon_sym___attribute__] = ACTIONS(7455),
    [anon_sym___attribute] = ACTIONS(7455),
    [anon_sym_noreturn] = ACTIONS(7455),
    [anon_sym_LBRACK] = ACTIONS(7457),
    [anon_sym___declspec] = ACTIONS(7455),
    [anon_sym___based] = ACTIONS(7455),
    [anon_sym_signed] = ACTIONS(7455),
    [anon_sym_unsigned] = ACTIONS(7455),
    [anon_sym_long] = ACTIONS(7455),
    [anon_sym_short] = ACTIONS(7455),
    [anon_sym_static] = ACTIONS(7455),
    [anon_sym_auto] = ACTIONS(7455),
    [anon_sym_register] = ACTIONS(7455),
    [anon_sym_inline] = ACTIONS(7455),
    [anon_sym___inline] = ACTIONS(7455),
    [anon_sym___inline__] = ACTIONS(7455),
    [anon_sym___forceinline] = ACTIONS(7455),
    [anon_sym_thread_local] = ACTIONS(7455),
    [anon_sym___thread] = ACTIONS(7455),
    [anon_sym_CG_EXTERN] = ACTIONS(7455),
    [anon_sym_CG_INLINE] = ACTIONS(7455),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7455),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7455),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7455),
    [anon_sym_IBOutlet] = ACTIONS(7455),
    [anon_sym_IBInspectable] = ACTIONS(7455),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7455),
    [anon_sym_NS_INLINE] = ACTIONS(7455),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7455),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7455),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7455),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7455),
    [anon_sym_const] = ACTIONS(7455),
    [anon_sym_constexpr] = ACTIONS(7455),
    [anon_sym_volatile] = ACTIONS(7455),
    [anon_sym_restrict] = ACTIONS(7455),
    [anon_sym___restrict__] = ACTIONS(7455),
    [anon_sym__Atomic] = ACTIONS(7455),
    [anon_sym__Noreturn] = ACTIONS(7455),
    [anon_sym__Nonnull] = ACTIONS(7455),
    [anon_sym_nullable] = ACTIONS(7455),
    [anon_sym__Complex] = ACTIONS(7455),
    [anon_sym__Nullable] = ACTIONS(7455),
    [anon_sym__Nullable_result] = ACTIONS(7455),
    [anon_sym__Null_unspecified] = ACTIONS(7455),
    [anon_sym___autoreleasing] = ACTIONS(7455),
    [anon_sym___block] = ACTIONS(7455),
    [anon_sym___bridge] = ACTIONS(7455),
    [anon_sym___bridge_retained] = ACTIONS(7455),
    [anon_sym___bridge_transfer] = ACTIONS(7455),
    [anon_sym___complex] = ACTIONS(7455),
    [anon_sym___const] = ACTIONS(7455),
    [anon_sym___imag] = ACTIONS(7455),
    [anon_sym___kindof] = ACTIONS(7455),
    [anon_sym___nonnull] = ACTIONS(7455),
    [anon_sym___nullable] = ACTIONS(7455),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7455),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7455),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7455),
    [anon_sym___real] = ACTIONS(7455),
    [anon_sym___strong] = ACTIONS(7455),
    [anon_sym___unsafe_unretained] = ACTIONS(7455),
    [anon_sym___unused] = ACTIONS(7455),
    [anon_sym___weak] = ACTIONS(7455),
    [anon_sym_alignas] = ACTIONS(7455),
    [anon_sym__Alignas] = ACTIONS(7455),
    [sym_primitive_type] = ACTIONS(7455),
    [anon_sym_enum] = ACTIONS(7455),
    [anon_sym_COLON] = ACTIONS(7457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7455),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7455),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7455),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7455),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7455),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7455),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7455),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7455),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7455),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7455),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7455),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7455),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7455),
    [anon_sym_API_AVAILABLE] = ACTIONS(7455),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7455),
    [anon_sym_API_DEPRECATED] = ACTIONS(7455),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7455),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7455),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7455),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7455),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7455),
    [anon_sym___deprecated_msg] = ACTIONS(7455),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7455),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7455),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7455),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7455),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7455),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7455),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7455),
  },
  [3014] = {
    [sym_identifier] = ACTIONS(7459),
    [anon_sym_COMMA] = ACTIONS(7461),
    [anon_sym_RPAREN] = ACTIONS(7461),
    [anon_sym_LPAREN2] = ACTIONS(7461),
    [anon_sym_STAR] = ACTIONS(7461),
    [anon_sym_CARET] = ACTIONS(7461),
    [anon_sym_SEMI] = ACTIONS(7461),
    [anon_sym___extension__] = ACTIONS(7459),
    [anon_sym_extern] = ACTIONS(7459),
    [anon_sym___attribute__] = ACTIONS(7459),
    [anon_sym___attribute] = ACTIONS(7459),
    [anon_sym_noreturn] = ACTIONS(7459),
    [anon_sym_LBRACK] = ACTIONS(7461),
    [anon_sym___declspec] = ACTIONS(7459),
    [anon_sym___based] = ACTIONS(7459),
    [anon_sym_signed] = ACTIONS(7459),
    [anon_sym_unsigned] = ACTIONS(7459),
    [anon_sym_long] = ACTIONS(7459),
    [anon_sym_short] = ACTIONS(7459),
    [anon_sym_static] = ACTIONS(7459),
    [anon_sym_auto] = ACTIONS(7459),
    [anon_sym_register] = ACTIONS(7459),
    [anon_sym_inline] = ACTIONS(7459),
    [anon_sym___inline] = ACTIONS(7459),
    [anon_sym___inline__] = ACTIONS(7459),
    [anon_sym___forceinline] = ACTIONS(7459),
    [anon_sym_thread_local] = ACTIONS(7459),
    [anon_sym___thread] = ACTIONS(7459),
    [anon_sym_CG_EXTERN] = ACTIONS(7459),
    [anon_sym_CG_INLINE] = ACTIONS(7459),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7459),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7459),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7459),
    [anon_sym_IBOutlet] = ACTIONS(7459),
    [anon_sym_IBInspectable] = ACTIONS(7459),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7459),
    [anon_sym_NS_INLINE] = ACTIONS(7459),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7459),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7459),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7459),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7459),
    [anon_sym_const] = ACTIONS(7459),
    [anon_sym_constexpr] = ACTIONS(7459),
    [anon_sym_volatile] = ACTIONS(7459),
    [anon_sym_restrict] = ACTIONS(7459),
    [anon_sym___restrict__] = ACTIONS(7459),
    [anon_sym__Atomic] = ACTIONS(7459),
    [anon_sym__Noreturn] = ACTIONS(7459),
    [anon_sym__Nonnull] = ACTIONS(7459),
    [anon_sym_nullable] = ACTIONS(7459),
    [anon_sym__Complex] = ACTIONS(7459),
    [anon_sym__Nullable] = ACTIONS(7459),
    [anon_sym__Nullable_result] = ACTIONS(7459),
    [anon_sym__Null_unspecified] = ACTIONS(7459),
    [anon_sym___autoreleasing] = ACTIONS(7459),
    [anon_sym___block] = ACTIONS(7459),
    [anon_sym___bridge] = ACTIONS(7459),
    [anon_sym___bridge_retained] = ACTIONS(7459),
    [anon_sym___bridge_transfer] = ACTIONS(7459),
    [anon_sym___complex] = ACTIONS(7459),
    [anon_sym___const] = ACTIONS(7459),
    [anon_sym___imag] = ACTIONS(7459),
    [anon_sym___kindof] = ACTIONS(7459),
    [anon_sym___nonnull] = ACTIONS(7459),
    [anon_sym___nullable] = ACTIONS(7459),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7459),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7459),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7459),
    [anon_sym___real] = ACTIONS(7459),
    [anon_sym___strong] = ACTIONS(7459),
    [anon_sym___unsafe_unretained] = ACTIONS(7459),
    [anon_sym___unused] = ACTIONS(7459),
    [anon_sym___weak] = ACTIONS(7459),
    [anon_sym_alignas] = ACTIONS(7459),
    [anon_sym__Alignas] = ACTIONS(7459),
    [sym_primitive_type] = ACTIONS(7459),
    [anon_sym_enum] = ACTIONS(7459),
    [anon_sym_COLON] = ACTIONS(7461),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7459),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7459),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7459),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7459),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7459),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7459),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7459),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7459),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7459),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7459),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7459),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7459),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7459),
    [anon_sym_API_AVAILABLE] = ACTIONS(7459),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7459),
    [anon_sym_API_DEPRECATED] = ACTIONS(7459),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7459),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7459),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7459),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7459),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7459),
    [anon_sym___deprecated_msg] = ACTIONS(7459),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7459),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7459),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7459),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7459),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7459),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7459),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7459),
  },
  [3015] = {
    [sym_identifier] = ACTIONS(7463),
    [anon_sym_COMMA] = ACTIONS(7465),
    [anon_sym_RPAREN] = ACTIONS(7465),
    [anon_sym_LPAREN2] = ACTIONS(7465),
    [anon_sym_STAR] = ACTIONS(7465),
    [anon_sym_CARET] = ACTIONS(7465),
    [anon_sym_SEMI] = ACTIONS(7465),
    [anon_sym___extension__] = ACTIONS(7463),
    [anon_sym_extern] = ACTIONS(7463),
    [anon_sym___attribute__] = ACTIONS(7463),
    [anon_sym___attribute] = ACTIONS(7463),
    [anon_sym_noreturn] = ACTIONS(7463),
    [anon_sym_LBRACK] = ACTIONS(7465),
    [anon_sym___declspec] = ACTIONS(7463),
    [anon_sym___based] = ACTIONS(7463),
    [anon_sym_signed] = ACTIONS(7463),
    [anon_sym_unsigned] = ACTIONS(7463),
    [anon_sym_long] = ACTIONS(7463),
    [anon_sym_short] = ACTIONS(7463),
    [anon_sym_static] = ACTIONS(7463),
    [anon_sym_auto] = ACTIONS(7463),
    [anon_sym_register] = ACTIONS(7463),
    [anon_sym_inline] = ACTIONS(7463),
    [anon_sym___inline] = ACTIONS(7463),
    [anon_sym___inline__] = ACTIONS(7463),
    [anon_sym___forceinline] = ACTIONS(7463),
    [anon_sym_thread_local] = ACTIONS(7463),
    [anon_sym___thread] = ACTIONS(7463),
    [anon_sym_CG_EXTERN] = ACTIONS(7463),
    [anon_sym_CG_INLINE] = ACTIONS(7463),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7463),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7463),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7463),
    [anon_sym_IBOutlet] = ACTIONS(7463),
    [anon_sym_IBInspectable] = ACTIONS(7463),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7463),
    [anon_sym_NS_INLINE] = ACTIONS(7463),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7463),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7463),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7463),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7463),
    [anon_sym_const] = ACTIONS(7463),
    [anon_sym_constexpr] = ACTIONS(7463),
    [anon_sym_volatile] = ACTIONS(7463),
    [anon_sym_restrict] = ACTIONS(7463),
    [anon_sym___restrict__] = ACTIONS(7463),
    [anon_sym__Atomic] = ACTIONS(7463),
    [anon_sym__Noreturn] = ACTIONS(7463),
    [anon_sym__Nonnull] = ACTIONS(7463),
    [anon_sym_nullable] = ACTIONS(7463),
    [anon_sym__Complex] = ACTIONS(7463),
    [anon_sym__Nullable] = ACTIONS(7463),
    [anon_sym__Nullable_result] = ACTIONS(7463),
    [anon_sym__Null_unspecified] = ACTIONS(7463),
    [anon_sym___autoreleasing] = ACTIONS(7463),
    [anon_sym___block] = ACTIONS(7463),
    [anon_sym___bridge] = ACTIONS(7463),
    [anon_sym___bridge_retained] = ACTIONS(7463),
    [anon_sym___bridge_transfer] = ACTIONS(7463),
    [anon_sym___complex] = ACTIONS(7463),
    [anon_sym___const] = ACTIONS(7463),
    [anon_sym___imag] = ACTIONS(7463),
    [anon_sym___kindof] = ACTIONS(7463),
    [anon_sym___nonnull] = ACTIONS(7463),
    [anon_sym___nullable] = ACTIONS(7463),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7463),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7463),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7463),
    [anon_sym___real] = ACTIONS(7463),
    [anon_sym___strong] = ACTIONS(7463),
    [anon_sym___unsafe_unretained] = ACTIONS(7463),
    [anon_sym___unused] = ACTIONS(7463),
    [anon_sym___weak] = ACTIONS(7463),
    [anon_sym_alignas] = ACTIONS(7463),
    [anon_sym__Alignas] = ACTIONS(7463),
    [sym_primitive_type] = ACTIONS(7463),
    [anon_sym_enum] = ACTIONS(7463),
    [anon_sym_COLON] = ACTIONS(7465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7463),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7463),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7463),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7463),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7463),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7463),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7463),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7463),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7463),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7463),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7463),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7463),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7463),
    [anon_sym_API_AVAILABLE] = ACTIONS(7463),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7463),
    [anon_sym_API_DEPRECATED] = ACTIONS(7463),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7463),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7463),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7463),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7463),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7463),
    [anon_sym___deprecated_msg] = ACTIONS(7463),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7463),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7463),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7463),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7463),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7463),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7463),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7463),
  },
  [3016] = {
    [sym_identifier] = ACTIONS(7467),
    [anon_sym_COMMA] = ACTIONS(7469),
    [anon_sym_RPAREN] = ACTIONS(7469),
    [anon_sym_LPAREN2] = ACTIONS(7469),
    [anon_sym_STAR] = ACTIONS(7469),
    [anon_sym_CARET] = ACTIONS(7469),
    [anon_sym_SEMI] = ACTIONS(7469),
    [anon_sym___extension__] = ACTIONS(7467),
    [anon_sym_extern] = ACTIONS(7467),
    [anon_sym___attribute__] = ACTIONS(7467),
    [anon_sym___attribute] = ACTIONS(7467),
    [anon_sym_noreturn] = ACTIONS(7467),
    [anon_sym_LBRACK] = ACTIONS(7469),
    [anon_sym___declspec] = ACTIONS(7467),
    [anon_sym___based] = ACTIONS(7467),
    [anon_sym_signed] = ACTIONS(7467),
    [anon_sym_unsigned] = ACTIONS(7467),
    [anon_sym_long] = ACTIONS(7467),
    [anon_sym_short] = ACTIONS(7467),
    [anon_sym_static] = ACTIONS(7467),
    [anon_sym_auto] = ACTIONS(7467),
    [anon_sym_register] = ACTIONS(7467),
    [anon_sym_inline] = ACTIONS(7467),
    [anon_sym___inline] = ACTIONS(7467),
    [anon_sym___inline__] = ACTIONS(7467),
    [anon_sym___forceinline] = ACTIONS(7467),
    [anon_sym_thread_local] = ACTIONS(7467),
    [anon_sym___thread] = ACTIONS(7467),
    [anon_sym_CG_EXTERN] = ACTIONS(7467),
    [anon_sym_CG_INLINE] = ACTIONS(7467),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7467),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7467),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7467),
    [anon_sym_IBOutlet] = ACTIONS(7467),
    [anon_sym_IBInspectable] = ACTIONS(7467),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7467),
    [anon_sym_NS_INLINE] = ACTIONS(7467),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7467),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7467),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7467),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7467),
    [anon_sym_const] = ACTIONS(7467),
    [anon_sym_constexpr] = ACTIONS(7467),
    [anon_sym_volatile] = ACTIONS(7467),
    [anon_sym_restrict] = ACTIONS(7467),
    [anon_sym___restrict__] = ACTIONS(7467),
    [anon_sym__Atomic] = ACTIONS(7467),
    [anon_sym__Noreturn] = ACTIONS(7467),
    [anon_sym__Nonnull] = ACTIONS(7467),
    [anon_sym_nullable] = ACTIONS(7467),
    [anon_sym__Complex] = ACTIONS(7467),
    [anon_sym__Nullable] = ACTIONS(7467),
    [anon_sym__Nullable_result] = ACTIONS(7467),
    [anon_sym__Null_unspecified] = ACTIONS(7467),
    [anon_sym___autoreleasing] = ACTIONS(7467),
    [anon_sym___block] = ACTIONS(7467),
    [anon_sym___bridge] = ACTIONS(7467),
    [anon_sym___bridge_retained] = ACTIONS(7467),
    [anon_sym___bridge_transfer] = ACTIONS(7467),
    [anon_sym___complex] = ACTIONS(7467),
    [anon_sym___const] = ACTIONS(7467),
    [anon_sym___imag] = ACTIONS(7467),
    [anon_sym___kindof] = ACTIONS(7467),
    [anon_sym___nonnull] = ACTIONS(7467),
    [anon_sym___nullable] = ACTIONS(7467),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7467),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7467),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7467),
    [anon_sym___real] = ACTIONS(7467),
    [anon_sym___strong] = ACTIONS(7467),
    [anon_sym___unsafe_unretained] = ACTIONS(7467),
    [anon_sym___unused] = ACTIONS(7467),
    [anon_sym___weak] = ACTIONS(7467),
    [anon_sym_alignas] = ACTIONS(7467),
    [anon_sym__Alignas] = ACTIONS(7467),
    [sym_primitive_type] = ACTIONS(7467),
    [anon_sym_enum] = ACTIONS(7467),
    [anon_sym_COLON] = ACTIONS(7469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7467),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7467),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7467),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7467),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7467),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7467),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7467),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7467),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7467),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7467),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7467),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7467),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7467),
    [anon_sym_API_AVAILABLE] = ACTIONS(7467),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7467),
    [anon_sym_API_DEPRECATED] = ACTIONS(7467),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7467),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7467),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7467),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7467),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7467),
    [anon_sym___deprecated_msg] = ACTIONS(7467),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7467),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7467),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7467),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7467),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7467),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7467),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7467),
  },
  [3017] = {
    [sym_attribute_specifier] = STATE(3033),
    [sym_gnu_asm_expression] = STATE(3039),
    [aux_sym_function_declarator_repeat1] = STATE(3033),
    [anon_sym_COMMA] = ACTIONS(6483),
    [anon_sym_RPAREN] = ACTIONS(6483),
    [anon_sym_LPAREN2] = ACTIONS(6483),
    [anon_sym_SEMI] = ACTIONS(6483),
    [anon_sym___extension__] = ACTIONS(6483),
    [anon_sym_extern] = ACTIONS(6483),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6483),
    [anon_sym_LBRACK] = ACTIONS(6483),
    [anon_sym___declspec] = ACTIONS(6483),
    [anon_sym_LBRACE] = ACTIONS(6483),
    [anon_sym_static] = ACTIONS(6483),
    [anon_sym_EQ] = ACTIONS(6483),
    [anon_sym_ATautoreleasepool] = ACTIONS(6483),
    [anon_sym_auto] = ACTIONS(6483),
    [anon_sym_register] = ACTIONS(6483),
    [anon_sym_inline] = ACTIONS(6483),
    [anon_sym___inline] = ACTIONS(6481),
    [anon_sym___inline__] = ACTIONS(6483),
    [anon_sym___forceinline] = ACTIONS(6483),
    [anon_sym_thread_local] = ACTIONS(6483),
    [anon_sym___thread] = ACTIONS(6483),
    [anon_sym_CG_EXTERN] = ACTIONS(6483),
    [anon_sym_CG_INLINE] = ACTIONS(6483),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6483),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6483),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6483),
    [anon_sym_IBOutlet] = ACTIONS(6483),
    [anon_sym_IBInspectable] = ACTIONS(6483),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6483),
    [anon_sym_NS_INLINE] = ACTIONS(6483),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6483),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6483),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6483),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6483),
    [anon_sym_const] = ACTIONS(6481),
    [anon_sym_constexpr] = ACTIONS(6483),
    [anon_sym_volatile] = ACTIONS(6483),
    [anon_sym_restrict] = ACTIONS(6483),
    [anon_sym___restrict__] = ACTIONS(6483),
    [anon_sym__Atomic] = ACTIONS(6483),
    [anon_sym__Noreturn] = ACTIONS(6483),
    [anon_sym__Nonnull] = ACTIONS(6483),
    [anon_sym_nullable] = ACTIONS(6483),
    [anon_sym__Complex] = ACTIONS(6483),
    [anon_sym__Nullable] = ACTIONS(6481),
    [anon_sym__Nullable_result] = ACTIONS(6483),
    [anon_sym__Null_unspecified] = ACTIONS(6483),
    [anon_sym___autoreleasing] = ACTIONS(6483),
    [anon_sym___block] = ACTIONS(6483),
    [anon_sym___bridge] = ACTIONS(6481),
    [anon_sym___bridge_retained] = ACTIONS(6483),
    [anon_sym___bridge_transfer] = ACTIONS(6483),
    [anon_sym___complex] = ACTIONS(6483),
    [anon_sym___const] = ACTIONS(6483),
    [anon_sym___imag] = ACTIONS(6483),
    [anon_sym___kindof] = ACTIONS(6483),
    [anon_sym___nonnull] = ACTIONS(6483),
    [anon_sym___nullable] = ACTIONS(6483),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6483),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6483),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6483),
    [anon_sym___real] = ACTIONS(6483),
    [anon_sym___strong] = ACTIONS(6483),
    [anon_sym___unsafe_unretained] = ACTIONS(6483),
    [anon_sym___unused] = ACTIONS(6483),
    [anon_sym___weak] = ACTIONS(6483),
    [anon_sym_alignas] = ACTIONS(6483),
    [anon_sym__Alignas] = ACTIONS(6483),
    [anon_sym_COLON] = ACTIONS(6483),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6483),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6483),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6483),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6483),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6483),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6483),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6483),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6483),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6483),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6483),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6481),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6483),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6483),
    [anon_sym_API_AVAILABLE] = ACTIONS(6483),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6483),
    [anon_sym_API_DEPRECATED] = ACTIONS(6483),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6483),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6483),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6483),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6483),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6483),
    [anon_sym___deprecated_msg] = ACTIONS(6483),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6483),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6483),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6483),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6483),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6483),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6483),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6483),
  },
  [3018] = {
    [sym__declaration_modifiers] = STATE(5158),
    [sym_attribute_specifier] = STATE(5158),
    [sym_attribute_declaration] = STATE(5158),
    [sym_ms_declspec_modifier] = STATE(5158),
    [sym_storage_class_specifier] = STATE(5158),
    [sym_type_qualifier] = STATE(5158),
    [sym_alignas_qualifier] = STATE(5137),
    [sym_availability_attribute_specifier] = STATE(5158),
    [sym_method_type] = STATE(3061),
    [sym_identifier] = ACTIONS(7471),
    [anon_sym_LPAREN2] = ACTIONS(5296),
    [anon_sym___extension__] = ACTIONS(7473),
    [anon_sym_extern] = ACTIONS(7475),
    [anon_sym___attribute__] = ACTIONS(7477),
    [anon_sym___attribute] = ACTIONS(7477),
    [anon_sym_noreturn] = ACTIONS(7473),
    [anon_sym_LBRACK] = ACTIONS(7479),
    [anon_sym___declspec] = ACTIONS(7481),
    [anon_sym_static] = ACTIONS(7475),
    [anon_sym_auto] = ACTIONS(7475),
    [anon_sym_register] = ACTIONS(7475),
    [anon_sym_inline] = ACTIONS(7475),
    [anon_sym___inline] = ACTIONS(7475),
    [anon_sym___inline__] = ACTIONS(7475),
    [anon_sym___forceinline] = ACTIONS(7475),
    [anon_sym_thread_local] = ACTIONS(7475),
    [anon_sym___thread] = ACTIONS(7475),
    [anon_sym_CG_EXTERN] = ACTIONS(7475),
    [anon_sym_CG_INLINE] = ACTIONS(7475),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7475),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7475),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7475),
    [anon_sym_IBOutlet] = ACTIONS(7475),
    [anon_sym_IBInspectable] = ACTIONS(7475),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7475),
    [anon_sym_NS_INLINE] = ACTIONS(7475),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7475),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7475),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7475),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7475),
    [anon_sym_const] = ACTIONS(7483),
    [anon_sym_constexpr] = ACTIONS(7473),
    [anon_sym_volatile] = ACTIONS(7473),
    [anon_sym_restrict] = ACTIONS(7473),
    [anon_sym___restrict__] = ACTIONS(7473),
    [anon_sym__Atomic] = ACTIONS(7473),
    [anon_sym__Noreturn] = ACTIONS(7473),
    [anon_sym__Nonnull] = ACTIONS(7473),
    [anon_sym_nullable] = ACTIONS(7473),
    [anon_sym__Complex] = ACTIONS(7473),
    [anon_sym__Nullable] = ACTIONS(7473),
    [anon_sym__Nullable_result] = ACTIONS(7473),
    [anon_sym__Null_unspecified] = ACTIONS(7473),
    [anon_sym___autoreleasing] = ACTIONS(7473),
    [anon_sym___block] = ACTIONS(7473),
    [anon_sym___bridge] = ACTIONS(7473),
    [anon_sym___bridge_retained] = ACTIONS(7473),
    [anon_sym___bridge_transfer] = ACTIONS(7473),
    [anon_sym___complex] = ACTIONS(7473),
    [anon_sym___const] = ACTIONS(7473),
    [anon_sym___imag] = ACTIONS(7473),
    [anon_sym___kindof] = ACTIONS(7473),
    [anon_sym___nonnull] = ACTIONS(7473),
    [anon_sym___nullable] = ACTIONS(7473),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7473),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7473),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7473),
    [anon_sym___real] = ACTIONS(7473),
    [anon_sym___strong] = ACTIONS(7473),
    [anon_sym___unsafe_unretained] = ACTIONS(7473),
    [anon_sym___unused] = ACTIONS(7473),
    [anon_sym___weak] = ACTIONS(7473),
    [anon_sym_alignas] = ACTIONS(7485),
    [anon_sym__Alignas] = ACTIONS(7485),
    [anon_sym_struct] = ACTIONS(7487),
    [anon_sym_in] = ACTIONS(7487),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7489),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7489),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7489),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7489),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7489),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7489),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7489),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7489),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7489),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7491),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7491),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7491),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7491),
    [anon_sym_API_AVAILABLE] = ACTIONS(7491),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7491),
    [anon_sym_API_DEPRECATED] = ACTIONS(7491),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7491),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7491),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7491),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7491),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7491),
    [anon_sym___deprecated_msg] = ACTIONS(7491),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7491),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7491),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7491),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7491),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7491),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7491),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7491),
    [anon_sym_id] = ACTIONS(7487),
  },
  [3019] = {
    [sym__declaration_modifiers] = STATE(5158),
    [sym_attribute_specifier] = STATE(5158),
    [sym_attribute_declaration] = STATE(5158),
    [sym_ms_declspec_modifier] = STATE(5158),
    [sym_storage_class_specifier] = STATE(5158),
    [sym_type_qualifier] = STATE(5158),
    [sym_alignas_qualifier] = STATE(5137),
    [sym_availability_attribute_specifier] = STATE(5158),
    [sym_method_type] = STATE(3078),
    [sym_identifier] = ACTIONS(7471),
    [anon_sym_LPAREN2] = ACTIONS(5296),
    [anon_sym___extension__] = ACTIONS(7473),
    [anon_sym_extern] = ACTIONS(7475),
    [anon_sym___attribute__] = ACTIONS(7477),
    [anon_sym___attribute] = ACTIONS(7477),
    [anon_sym_noreturn] = ACTIONS(7473),
    [anon_sym_LBRACK] = ACTIONS(7479),
    [anon_sym___declspec] = ACTIONS(7481),
    [anon_sym_static] = ACTIONS(7475),
    [anon_sym_auto] = ACTIONS(7475),
    [anon_sym_register] = ACTIONS(7475),
    [anon_sym_inline] = ACTIONS(7475),
    [anon_sym___inline] = ACTIONS(7475),
    [anon_sym___inline__] = ACTIONS(7475),
    [anon_sym___forceinline] = ACTIONS(7475),
    [anon_sym_thread_local] = ACTIONS(7475),
    [anon_sym___thread] = ACTIONS(7475),
    [anon_sym_CG_EXTERN] = ACTIONS(7475),
    [anon_sym_CG_INLINE] = ACTIONS(7475),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7475),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7475),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7475),
    [anon_sym_IBOutlet] = ACTIONS(7475),
    [anon_sym_IBInspectable] = ACTIONS(7475),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7475),
    [anon_sym_NS_INLINE] = ACTIONS(7475),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7475),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7475),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7475),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7475),
    [anon_sym_const] = ACTIONS(7493),
    [anon_sym_constexpr] = ACTIONS(7473),
    [anon_sym_volatile] = ACTIONS(7473),
    [anon_sym_restrict] = ACTIONS(7473),
    [anon_sym___restrict__] = ACTIONS(7473),
    [anon_sym__Atomic] = ACTIONS(7473),
    [anon_sym__Noreturn] = ACTIONS(7473),
    [anon_sym__Nonnull] = ACTIONS(7473),
    [anon_sym_nullable] = ACTIONS(7473),
    [anon_sym__Complex] = ACTIONS(7473),
    [anon_sym__Nullable] = ACTIONS(7473),
    [anon_sym__Nullable_result] = ACTIONS(7473),
    [anon_sym__Null_unspecified] = ACTIONS(7473),
    [anon_sym___autoreleasing] = ACTIONS(7473),
    [anon_sym___block] = ACTIONS(7473),
    [anon_sym___bridge] = ACTIONS(7473),
    [anon_sym___bridge_retained] = ACTIONS(7473),
    [anon_sym___bridge_transfer] = ACTIONS(7473),
    [anon_sym___complex] = ACTIONS(7473),
    [anon_sym___const] = ACTIONS(7473),
    [anon_sym___imag] = ACTIONS(7473),
    [anon_sym___kindof] = ACTIONS(7473),
    [anon_sym___nonnull] = ACTIONS(7473),
    [anon_sym___nullable] = ACTIONS(7473),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7473),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7473),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7473),
    [anon_sym___real] = ACTIONS(7473),
    [anon_sym___strong] = ACTIONS(7473),
    [anon_sym___unsafe_unretained] = ACTIONS(7473),
    [anon_sym___unused] = ACTIONS(7473),
    [anon_sym___weak] = ACTIONS(7473),
    [anon_sym_alignas] = ACTIONS(7485),
    [anon_sym__Alignas] = ACTIONS(7485),
    [anon_sym_struct] = ACTIONS(7487),
    [anon_sym_in] = ACTIONS(7487),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7489),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7489),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7489),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7489),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7489),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7489),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7489),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7489),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7489),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7491),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7491),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7491),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7491),
    [anon_sym_API_AVAILABLE] = ACTIONS(7491),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7491),
    [anon_sym_API_DEPRECATED] = ACTIONS(7491),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7491),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7491),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7491),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7491),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7491),
    [anon_sym___deprecated_msg] = ACTIONS(7491),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7491),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7491),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7491),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7491),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7491),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7491),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7491),
    [anon_sym_id] = ACTIONS(7487),
  },
  [3020] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_COMMA] = ACTIONS(5922),
    [anon_sym_RPAREN] = ACTIONS(5931),
    [anon_sym_LPAREN2] = ACTIONS(7495),
    [anon_sym_STAR] = ACTIONS(5922),
    [anon_sym_CARET] = ACTIONS(5922),
    [anon_sym_LT] = ACTIONS(7074),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(5931),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [3021] = {
    [sym_expression] = STATE(1636),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_initializer_list] = STATE(1676),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2222),
    [anon_sym_COMMA] = ACTIONS(2222),
    [anon_sym_RPAREN] = ACTIONS(2222),
    [anon_sym_LPAREN2] = ACTIONS(2222),
    [anon_sym_BANG] = ACTIONS(4350),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(2220),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_STAR] = ACTIONS(2222),
    [anon_sym_SLASH] = ACTIONS(2220),
    [anon_sym_PERCENT] = ACTIONS(2222),
    [anon_sym_PIPE_PIPE] = ACTIONS(2222),
    [anon_sym_AMP_AMP] = ACTIONS(2222),
    [anon_sym_PIPE] = ACTIONS(2220),
    [anon_sym_CARET] = ACTIONS(2222),
    [anon_sym_AMP] = ACTIONS(2220),
    [anon_sym_EQ_EQ] = ACTIONS(2222),
    [anon_sym_BANG_EQ] = ACTIONS(2222),
    [anon_sym_GT] = ACTIONS(2220),
    [anon_sym_GT_EQ] = ACTIONS(2222),
    [anon_sym_LT_EQ] = ACTIONS(2222),
    [anon_sym_LT] = ACTIONS(2220),
    [anon_sym_LT_LT] = ACTIONS(2222),
    [anon_sym_GT_GT] = ACTIONS(2222),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2222),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(2222),
    [anon_sym_DASH_DASH] = ACTIONS(2222),
    [anon_sym_PLUS_PLUS] = ACTIONS(2222),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [anon_sym_DOT] = ACTIONS(2220),
    [anon_sym_DASH_GT] = ACTIONS(2222),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3022] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_COMMA] = ACTIONS(7499),
    [anon_sym_RPAREN] = ACTIONS(7499),
    [anon_sym_LPAREN2] = ACTIONS(7071),
    [anon_sym_STAR] = ACTIONS(5922),
    [anon_sym_CARET] = ACTIONS(5922),
    [anon_sym_LT] = ACTIONS(7074),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(5922),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [3023] = {
    [sym__declaration_modifiers] = STATE(3132),
    [sym_attribute_specifier] = STATE(3132),
    [sym_attribute_declaration] = STATE(3132),
    [sym_ms_declspec_modifier] = STATE(3132),
    [sym_storage_class_specifier] = STATE(3132),
    [sym_type_qualifier] = STATE(3132),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3132),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3132),
    [aux_sym_method_definition_repeat2] = STATE(3053),
    [aux_sym_method_declaration_repeat2] = STATE(2115),
    [anon_sym_COMMA] = ACTIONS(7502),
    [anon_sym_SEMI] = ACTIONS(7504),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3024] = {
    [sym_attribute_specifier] = STATE(2993),
    [sym_enumerator_list] = STATE(3091),
    [sym_identifier] = ACTIONS(7506),
    [anon_sym_COMMA] = ACTIONS(7508),
    [anon_sym_RPAREN] = ACTIONS(7508),
    [anon_sym_LPAREN2] = ACTIONS(7508),
    [anon_sym_STAR] = ACTIONS(7508),
    [anon_sym_CARET] = ACTIONS(7508),
    [anon_sym_SEMI] = ACTIONS(7508),
    [anon_sym___extension__] = ACTIONS(7506),
    [anon_sym_extern] = ACTIONS(7506),
    [anon_sym___attribute__] = ACTIONS(7510),
    [anon_sym___attribute] = ACTIONS(7510),
    [anon_sym_noreturn] = ACTIONS(7506),
    [anon_sym_LBRACK] = ACTIONS(7508),
    [anon_sym___declspec] = ACTIONS(7506),
    [anon_sym___based] = ACTIONS(7506),
    [anon_sym_LBRACE] = ACTIONS(7513),
    [anon_sym_static] = ACTIONS(7506),
    [anon_sym_auto] = ACTIONS(7506),
    [anon_sym_register] = ACTIONS(7506),
    [anon_sym_inline] = ACTIONS(7506),
    [anon_sym___inline] = ACTIONS(7506),
    [anon_sym___inline__] = ACTIONS(7506),
    [anon_sym___forceinline] = ACTIONS(7506),
    [anon_sym_thread_local] = ACTIONS(7506),
    [anon_sym___thread] = ACTIONS(7506),
    [anon_sym_CG_EXTERN] = ACTIONS(7506),
    [anon_sym_CG_INLINE] = ACTIONS(7506),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7506),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7506),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7506),
    [anon_sym_IBOutlet] = ACTIONS(7506),
    [anon_sym_IBInspectable] = ACTIONS(7506),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7506),
    [anon_sym_NS_INLINE] = ACTIONS(7506),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7506),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7506),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7506),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7506),
    [anon_sym_const] = ACTIONS(7506),
    [anon_sym_constexpr] = ACTIONS(7506),
    [anon_sym_volatile] = ACTIONS(7506),
    [anon_sym_restrict] = ACTIONS(7506),
    [anon_sym___restrict__] = ACTIONS(7506),
    [anon_sym__Atomic] = ACTIONS(7506),
    [anon_sym__Noreturn] = ACTIONS(7506),
    [anon_sym__Nonnull] = ACTIONS(7506),
    [anon_sym_nullable] = ACTIONS(7506),
    [anon_sym__Complex] = ACTIONS(7506),
    [anon_sym__Nullable] = ACTIONS(7506),
    [anon_sym__Nullable_result] = ACTIONS(7506),
    [anon_sym__Null_unspecified] = ACTIONS(7506),
    [anon_sym___autoreleasing] = ACTIONS(7506),
    [anon_sym___block] = ACTIONS(7506),
    [anon_sym___bridge] = ACTIONS(7506),
    [anon_sym___bridge_retained] = ACTIONS(7506),
    [anon_sym___bridge_transfer] = ACTIONS(7506),
    [anon_sym___complex] = ACTIONS(7506),
    [anon_sym___const] = ACTIONS(7506),
    [anon_sym___imag] = ACTIONS(7506),
    [anon_sym___kindof] = ACTIONS(7506),
    [anon_sym___nonnull] = ACTIONS(7506),
    [anon_sym___nullable] = ACTIONS(7506),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7506),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7506),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7506),
    [anon_sym___real] = ACTIONS(7506),
    [anon_sym___strong] = ACTIONS(7506),
    [anon_sym___unsafe_unretained] = ACTIONS(7506),
    [anon_sym___unused] = ACTIONS(7506),
    [anon_sym___weak] = ACTIONS(7506),
    [anon_sym_alignas] = ACTIONS(7506),
    [anon_sym__Alignas] = ACTIONS(7506),
    [anon_sym_enum] = ACTIONS(7506),
    [anon_sym_COLON] = ACTIONS(7508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7506),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7506),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7506),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7506),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7506),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7506),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7506),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7506),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7506),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7506),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7506),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7506),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7506),
    [anon_sym_API_AVAILABLE] = ACTIONS(7506),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7506),
    [anon_sym_API_DEPRECATED] = ACTIONS(7506),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7506),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7506),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7506),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7506),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7506),
    [anon_sym___deprecated_msg] = ACTIONS(7506),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7506),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7506),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7506),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7506),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7506),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7506),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7506),
  },
  [3025] = {
    [sym__declaration_modifiers] = STATE(3148),
    [sym_attribute_specifier] = STATE(3148),
    [sym_attribute_declaration] = STATE(3148),
    [sym_ms_declspec_modifier] = STATE(3148),
    [sym_storage_class_specifier] = STATE(3148),
    [sym_type_qualifier] = STATE(3148),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3148),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3148),
    [aux_sym_method_definition_repeat2] = STATE(3054),
    [aux_sym_method_declaration_repeat2] = STATE(2113),
    [anon_sym_COMMA] = ACTIONS(7502),
    [anon_sym_SEMI] = ACTIONS(7515),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3026] = {
    [sym_attribute_specifier] = STATE(2951),
    [sym_enumerator_list] = STATE(3137),
    [sym_identifier] = ACTIONS(7517),
    [anon_sym_COMMA] = ACTIONS(7519),
    [anon_sym_RPAREN] = ACTIONS(7519),
    [anon_sym_LPAREN2] = ACTIONS(7519),
    [anon_sym_STAR] = ACTIONS(7519),
    [anon_sym_CARET] = ACTIONS(7519),
    [anon_sym_SEMI] = ACTIONS(7519),
    [anon_sym___extension__] = ACTIONS(7517),
    [anon_sym_extern] = ACTIONS(7517),
    [anon_sym___attribute__] = ACTIONS(7521),
    [anon_sym___attribute] = ACTIONS(7521),
    [anon_sym_noreturn] = ACTIONS(7517),
    [anon_sym_LBRACK] = ACTIONS(7519),
    [anon_sym___declspec] = ACTIONS(7517),
    [anon_sym___based] = ACTIONS(7517),
    [anon_sym_LBRACE] = ACTIONS(7513),
    [anon_sym_static] = ACTIONS(7517),
    [anon_sym_auto] = ACTIONS(7517),
    [anon_sym_register] = ACTIONS(7517),
    [anon_sym_inline] = ACTIONS(7517),
    [anon_sym___inline] = ACTIONS(7517),
    [anon_sym___inline__] = ACTIONS(7517),
    [anon_sym___forceinline] = ACTIONS(7517),
    [anon_sym_thread_local] = ACTIONS(7517),
    [anon_sym___thread] = ACTIONS(7517),
    [anon_sym_CG_EXTERN] = ACTIONS(7517),
    [anon_sym_CG_INLINE] = ACTIONS(7517),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7517),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7517),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7517),
    [anon_sym_IBOutlet] = ACTIONS(7517),
    [anon_sym_IBInspectable] = ACTIONS(7517),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7517),
    [anon_sym_NS_INLINE] = ACTIONS(7517),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7517),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7517),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7517),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7517),
    [anon_sym_const] = ACTIONS(7517),
    [anon_sym_constexpr] = ACTIONS(7517),
    [anon_sym_volatile] = ACTIONS(7517),
    [anon_sym_restrict] = ACTIONS(7517),
    [anon_sym___restrict__] = ACTIONS(7517),
    [anon_sym__Atomic] = ACTIONS(7517),
    [anon_sym__Noreturn] = ACTIONS(7517),
    [anon_sym__Nonnull] = ACTIONS(7517),
    [anon_sym_nullable] = ACTIONS(7517),
    [anon_sym__Complex] = ACTIONS(7517),
    [anon_sym__Nullable] = ACTIONS(7517),
    [anon_sym__Nullable_result] = ACTIONS(7517),
    [anon_sym__Null_unspecified] = ACTIONS(7517),
    [anon_sym___autoreleasing] = ACTIONS(7517),
    [anon_sym___block] = ACTIONS(7517),
    [anon_sym___bridge] = ACTIONS(7517),
    [anon_sym___bridge_retained] = ACTIONS(7517),
    [anon_sym___bridge_transfer] = ACTIONS(7517),
    [anon_sym___complex] = ACTIONS(7517),
    [anon_sym___const] = ACTIONS(7517),
    [anon_sym___imag] = ACTIONS(7517),
    [anon_sym___kindof] = ACTIONS(7517),
    [anon_sym___nonnull] = ACTIONS(7517),
    [anon_sym___nullable] = ACTIONS(7517),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7517),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7517),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7517),
    [anon_sym___real] = ACTIONS(7517),
    [anon_sym___strong] = ACTIONS(7517),
    [anon_sym___unsafe_unretained] = ACTIONS(7517),
    [anon_sym___unused] = ACTIONS(7517),
    [anon_sym___weak] = ACTIONS(7517),
    [anon_sym_alignas] = ACTIONS(7517),
    [anon_sym__Alignas] = ACTIONS(7517),
    [anon_sym_enum] = ACTIONS(7517),
    [anon_sym_COLON] = ACTIONS(7519),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7517),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7517),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7517),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7517),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7517),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7517),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7517),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7517),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7517),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7517),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7517),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7517),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7517),
    [anon_sym_API_AVAILABLE] = ACTIONS(7517),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7517),
    [anon_sym_API_DEPRECATED] = ACTIONS(7517),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7517),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7517),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7517),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7517),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7517),
    [anon_sym___deprecated_msg] = ACTIONS(7517),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7517),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7517),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7517),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7517),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7517),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7517),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7517),
  },
  [3027] = {
    [sym__declaration_modifiers] = STATE(3186),
    [sym_attribute_specifier] = STATE(3186),
    [sym_attribute_declaration] = STATE(3186),
    [sym_ms_declspec_modifier] = STATE(3186),
    [sym_storage_class_specifier] = STATE(3186),
    [sym_type_qualifier] = STATE(3186),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3186),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3186),
    [aux_sym_method_definition_repeat2] = STATE(3284),
    [aux_sym_method_declaration_repeat2] = STATE(2287),
    [anon_sym_COMMA] = ACTIONS(7502),
    [anon_sym_SEMI] = ACTIONS(7524),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3028] = {
    [sym__declaration_modifiers] = STATE(3186),
    [sym_attribute_specifier] = STATE(3186),
    [sym_attribute_declaration] = STATE(3186),
    [sym_ms_declspec_modifier] = STATE(3186),
    [sym_storage_class_specifier] = STATE(3186),
    [sym_type_qualifier] = STATE(3186),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3186),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3186),
    [aux_sym_method_definition_repeat2] = STATE(3036),
    [aux_sym_method_declaration_repeat2] = STATE(2287),
    [anon_sym_COMMA] = ACTIONS(7502),
    [anon_sym_SEMI] = ACTIONS(7524),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3029] = {
    [sym_attribute_specifier] = STATE(2956),
    [sym_enumerator_list] = STATE(3141),
    [sym_identifier] = ACTIONS(7526),
    [anon_sym_COMMA] = ACTIONS(7528),
    [anon_sym_RPAREN] = ACTIONS(7528),
    [anon_sym_LPAREN2] = ACTIONS(7528),
    [anon_sym_STAR] = ACTIONS(7528),
    [anon_sym_CARET] = ACTIONS(7528),
    [anon_sym_SEMI] = ACTIONS(7528),
    [anon_sym___extension__] = ACTIONS(7526),
    [anon_sym_extern] = ACTIONS(7526),
    [anon_sym___attribute__] = ACTIONS(7530),
    [anon_sym___attribute] = ACTIONS(7530),
    [anon_sym_noreturn] = ACTIONS(7526),
    [anon_sym_LBRACK] = ACTIONS(7528),
    [anon_sym___declspec] = ACTIONS(7526),
    [anon_sym___based] = ACTIONS(7526),
    [anon_sym_LBRACE] = ACTIONS(7513),
    [anon_sym_static] = ACTIONS(7526),
    [anon_sym_auto] = ACTIONS(7526),
    [anon_sym_register] = ACTIONS(7526),
    [anon_sym_inline] = ACTIONS(7526),
    [anon_sym___inline] = ACTIONS(7526),
    [anon_sym___inline__] = ACTIONS(7526),
    [anon_sym___forceinline] = ACTIONS(7526),
    [anon_sym_thread_local] = ACTIONS(7526),
    [anon_sym___thread] = ACTIONS(7526),
    [anon_sym_CG_EXTERN] = ACTIONS(7526),
    [anon_sym_CG_INLINE] = ACTIONS(7526),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7526),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7526),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7526),
    [anon_sym_IBOutlet] = ACTIONS(7526),
    [anon_sym_IBInspectable] = ACTIONS(7526),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7526),
    [anon_sym_NS_INLINE] = ACTIONS(7526),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7526),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7526),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7526),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7526),
    [anon_sym_const] = ACTIONS(7526),
    [anon_sym_constexpr] = ACTIONS(7526),
    [anon_sym_volatile] = ACTIONS(7526),
    [anon_sym_restrict] = ACTIONS(7526),
    [anon_sym___restrict__] = ACTIONS(7526),
    [anon_sym__Atomic] = ACTIONS(7526),
    [anon_sym__Noreturn] = ACTIONS(7526),
    [anon_sym__Nonnull] = ACTIONS(7526),
    [anon_sym_nullable] = ACTIONS(7526),
    [anon_sym__Complex] = ACTIONS(7526),
    [anon_sym__Nullable] = ACTIONS(7526),
    [anon_sym__Nullable_result] = ACTIONS(7526),
    [anon_sym__Null_unspecified] = ACTIONS(7526),
    [anon_sym___autoreleasing] = ACTIONS(7526),
    [anon_sym___block] = ACTIONS(7526),
    [anon_sym___bridge] = ACTIONS(7526),
    [anon_sym___bridge_retained] = ACTIONS(7526),
    [anon_sym___bridge_transfer] = ACTIONS(7526),
    [anon_sym___complex] = ACTIONS(7526),
    [anon_sym___const] = ACTIONS(7526),
    [anon_sym___imag] = ACTIONS(7526),
    [anon_sym___kindof] = ACTIONS(7526),
    [anon_sym___nonnull] = ACTIONS(7526),
    [anon_sym___nullable] = ACTIONS(7526),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7526),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7526),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7526),
    [anon_sym___real] = ACTIONS(7526),
    [anon_sym___strong] = ACTIONS(7526),
    [anon_sym___unsafe_unretained] = ACTIONS(7526),
    [anon_sym___unused] = ACTIONS(7526),
    [anon_sym___weak] = ACTIONS(7526),
    [anon_sym_alignas] = ACTIONS(7526),
    [anon_sym__Alignas] = ACTIONS(7526),
    [anon_sym_enum] = ACTIONS(7526),
    [anon_sym_COLON] = ACTIONS(7528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7526),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7526),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7526),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7526),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7526),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7526),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7526),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7526),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7526),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7526),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7526),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7526),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7526),
    [anon_sym_API_AVAILABLE] = ACTIONS(7526),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7526),
    [anon_sym_API_DEPRECATED] = ACTIONS(7526),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7526),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7526),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7526),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7526),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7526),
    [anon_sym___deprecated_msg] = ACTIONS(7526),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7526),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7526),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7526),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7526),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7526),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7526),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7526),
  },
  [3030] = {
    [sym__declaration_modifiers] = STATE(3147),
    [sym_attribute_specifier] = STATE(3147),
    [sym_attribute_declaration] = STATE(3147),
    [sym_ms_declspec_modifier] = STATE(3147),
    [sym_storage_class_specifier] = STATE(3147),
    [sym_type_qualifier] = STATE(3147),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3147),
    [aux_sym_method_definition_repeat2] = STATE(3027),
    [aux_sym_method_declaration_repeat2] = STATE(2282),
    [anon_sym_COMMA] = ACTIONS(7502),
    [anon_sym_SEMI] = ACTIONS(7533),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3031] = {
    [sym__declaration_modifiers] = STATE(3147),
    [sym_attribute_specifier] = STATE(3147),
    [sym_attribute_declaration] = STATE(3147),
    [sym_ms_declspec_modifier] = STATE(3147),
    [sym_storage_class_specifier] = STATE(3147),
    [sym_type_qualifier] = STATE(3147),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3147),
    [aux_sym_method_definition_repeat2] = STATE(3284),
    [aux_sym_method_declaration_repeat2] = STATE(2282),
    [anon_sym_COMMA] = ACTIONS(7502),
    [anon_sym_SEMI] = ACTIONS(7533),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3032] = {
    [sym_attribute_specifier] = STATE(3015),
    [sym_enumerator_list] = STATE(3127),
    [sym_identifier] = ACTIONS(7535),
    [anon_sym_COMMA] = ACTIONS(7537),
    [anon_sym_RPAREN] = ACTIONS(7537),
    [anon_sym_LPAREN2] = ACTIONS(7537),
    [anon_sym_STAR] = ACTIONS(7537),
    [anon_sym_CARET] = ACTIONS(7537),
    [anon_sym_SEMI] = ACTIONS(7537),
    [anon_sym___extension__] = ACTIONS(7535),
    [anon_sym_extern] = ACTIONS(7535),
    [anon_sym___attribute__] = ACTIONS(7539),
    [anon_sym___attribute] = ACTIONS(7539),
    [anon_sym_noreturn] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(7537),
    [anon_sym___declspec] = ACTIONS(7535),
    [anon_sym___based] = ACTIONS(7535),
    [anon_sym_LBRACE] = ACTIONS(7513),
    [anon_sym_static] = ACTIONS(7535),
    [anon_sym_auto] = ACTIONS(7535),
    [anon_sym_register] = ACTIONS(7535),
    [anon_sym_inline] = ACTIONS(7535),
    [anon_sym___inline] = ACTIONS(7535),
    [anon_sym___inline__] = ACTIONS(7535),
    [anon_sym___forceinline] = ACTIONS(7535),
    [anon_sym_thread_local] = ACTIONS(7535),
    [anon_sym___thread] = ACTIONS(7535),
    [anon_sym_CG_EXTERN] = ACTIONS(7535),
    [anon_sym_CG_INLINE] = ACTIONS(7535),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7535),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7535),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7535),
    [anon_sym_IBOutlet] = ACTIONS(7535),
    [anon_sym_IBInspectable] = ACTIONS(7535),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7535),
    [anon_sym_NS_INLINE] = ACTIONS(7535),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7535),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7535),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7535),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7535),
    [anon_sym_const] = ACTIONS(7535),
    [anon_sym_constexpr] = ACTIONS(7535),
    [anon_sym_volatile] = ACTIONS(7535),
    [anon_sym_restrict] = ACTIONS(7535),
    [anon_sym___restrict__] = ACTIONS(7535),
    [anon_sym__Atomic] = ACTIONS(7535),
    [anon_sym__Noreturn] = ACTIONS(7535),
    [anon_sym__Nonnull] = ACTIONS(7535),
    [anon_sym_nullable] = ACTIONS(7535),
    [anon_sym__Complex] = ACTIONS(7535),
    [anon_sym__Nullable] = ACTIONS(7535),
    [anon_sym__Nullable_result] = ACTIONS(7535),
    [anon_sym__Null_unspecified] = ACTIONS(7535),
    [anon_sym___autoreleasing] = ACTIONS(7535),
    [anon_sym___block] = ACTIONS(7535),
    [anon_sym___bridge] = ACTIONS(7535),
    [anon_sym___bridge_retained] = ACTIONS(7535),
    [anon_sym___bridge_transfer] = ACTIONS(7535),
    [anon_sym___complex] = ACTIONS(7535),
    [anon_sym___const] = ACTIONS(7535),
    [anon_sym___imag] = ACTIONS(7535),
    [anon_sym___kindof] = ACTIONS(7535),
    [anon_sym___nonnull] = ACTIONS(7535),
    [anon_sym___nullable] = ACTIONS(7535),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7535),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7535),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7535),
    [anon_sym___real] = ACTIONS(7535),
    [anon_sym___strong] = ACTIONS(7535),
    [anon_sym___unsafe_unretained] = ACTIONS(7535),
    [anon_sym___unused] = ACTIONS(7535),
    [anon_sym___weak] = ACTIONS(7535),
    [anon_sym_alignas] = ACTIONS(7535),
    [anon_sym__Alignas] = ACTIONS(7535),
    [anon_sym_enum] = ACTIONS(7535),
    [anon_sym_COLON] = ACTIONS(7537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7535),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7535),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7535),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7535),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7535),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7535),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7535),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7535),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7535),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7535),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7535),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7535),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7535),
    [anon_sym_API_AVAILABLE] = ACTIONS(7535),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7535),
    [anon_sym_API_DEPRECATED] = ACTIONS(7535),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7535),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7535),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7535),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7535),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7535),
    [anon_sym___deprecated_msg] = ACTIONS(7535),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7535),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7535),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7535),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7535),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7535),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7535),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7535),
  },
  [3033] = {
    [sym_attribute_specifier] = STATE(3046),
    [aux_sym_function_declarator_repeat1] = STATE(3046),
    [anon_sym_COMMA] = ACTIONS(6695),
    [anon_sym_RPAREN] = ACTIONS(6695),
    [anon_sym_LPAREN2] = ACTIONS(6695),
    [anon_sym_SEMI] = ACTIONS(6695),
    [anon_sym___extension__] = ACTIONS(6695),
    [anon_sym_extern] = ACTIONS(6695),
    [anon_sym___attribute__] = ACTIONS(6695),
    [anon_sym___attribute] = ACTIONS(6693),
    [anon_sym_noreturn] = ACTIONS(6695),
    [anon_sym_LBRACK] = ACTIONS(6695),
    [anon_sym___declspec] = ACTIONS(6695),
    [anon_sym_LBRACE] = ACTIONS(6695),
    [anon_sym_static] = ACTIONS(6695),
    [anon_sym_EQ] = ACTIONS(6695),
    [anon_sym_ATautoreleasepool] = ACTIONS(6695),
    [anon_sym_auto] = ACTIONS(6695),
    [anon_sym_register] = ACTIONS(6695),
    [anon_sym_inline] = ACTIONS(6695),
    [anon_sym___inline] = ACTIONS(6693),
    [anon_sym___inline__] = ACTIONS(6695),
    [anon_sym___forceinline] = ACTIONS(6695),
    [anon_sym_thread_local] = ACTIONS(6695),
    [anon_sym___thread] = ACTIONS(6695),
    [anon_sym_CG_EXTERN] = ACTIONS(6695),
    [anon_sym_CG_INLINE] = ACTIONS(6695),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6695),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6695),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6695),
    [anon_sym_IBOutlet] = ACTIONS(6695),
    [anon_sym_IBInspectable] = ACTIONS(6695),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6695),
    [anon_sym_NS_INLINE] = ACTIONS(6695),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6695),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6695),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6695),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6695),
    [anon_sym_const] = ACTIONS(6693),
    [anon_sym_constexpr] = ACTIONS(6695),
    [anon_sym_volatile] = ACTIONS(6695),
    [anon_sym_restrict] = ACTIONS(6695),
    [anon_sym___restrict__] = ACTIONS(6695),
    [anon_sym__Atomic] = ACTIONS(6695),
    [anon_sym__Noreturn] = ACTIONS(6695),
    [anon_sym__Nonnull] = ACTIONS(6695),
    [anon_sym_nullable] = ACTIONS(6695),
    [anon_sym__Complex] = ACTIONS(6695),
    [anon_sym__Nullable] = ACTIONS(6693),
    [anon_sym__Nullable_result] = ACTIONS(6695),
    [anon_sym__Null_unspecified] = ACTIONS(6695),
    [anon_sym___autoreleasing] = ACTIONS(6695),
    [anon_sym___block] = ACTIONS(6695),
    [anon_sym___bridge] = ACTIONS(6693),
    [anon_sym___bridge_retained] = ACTIONS(6695),
    [anon_sym___bridge_transfer] = ACTIONS(6695),
    [anon_sym___complex] = ACTIONS(6695),
    [anon_sym___const] = ACTIONS(6695),
    [anon_sym___imag] = ACTIONS(6695),
    [anon_sym___kindof] = ACTIONS(6695),
    [anon_sym___nonnull] = ACTIONS(6695),
    [anon_sym___nullable] = ACTIONS(6695),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6695),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6695),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6695),
    [anon_sym___real] = ACTIONS(6695),
    [anon_sym___strong] = ACTIONS(6695),
    [anon_sym___unsafe_unretained] = ACTIONS(6695),
    [anon_sym___unused] = ACTIONS(6695),
    [anon_sym___weak] = ACTIONS(6695),
    [anon_sym_alignas] = ACTIONS(6695),
    [anon_sym__Alignas] = ACTIONS(6695),
    [anon_sym_COLON] = ACTIONS(6695),
    [anon_sym_asm] = ACTIONS(6695),
    [anon_sym___asm__] = ACTIONS(6695),
    [anon_sym___asm] = ACTIONS(6693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6695),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6695),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6695),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6695),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6695),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6695),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6695),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6695),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6695),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6695),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6693),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6695),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6695),
    [anon_sym_API_AVAILABLE] = ACTIONS(6695),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6695),
    [anon_sym_API_DEPRECATED] = ACTIONS(6695),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6695),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6695),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6695),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6695),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6695),
    [anon_sym___deprecated_msg] = ACTIONS(6695),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6695),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6695),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6695),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6695),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6695),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6695),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6695),
  },
  [3034] = {
    [sym__declaration_modifiers] = STATE(3202),
    [sym_attribute_specifier] = STATE(3202),
    [sym_attribute_declaration] = STATE(3202),
    [sym_ms_declspec_modifier] = STATE(3202),
    [sym_storage_class_specifier] = STATE(3202),
    [sym_type_qualifier] = STATE(3202),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3202),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3202),
    [aux_sym_method_definition_repeat2] = STATE(3051),
    [aux_sym_method_declaration_repeat2] = STATE(2120),
    [anon_sym_COMMA] = ACTIONS(7502),
    [anon_sym_SEMI] = ACTIONS(7542),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3035] = {
    [sym__declaration_modifiers] = STATE(6477),
    [sym_attribute_specifier] = STATE(6477),
    [sym_attribute_declaration] = STATE(6477),
    [sym_ms_declspec_modifier] = STATE(6477),
    [sym_storage_class_specifier] = STATE(6477),
    [sym_type_qualifier] = STATE(6477),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3234),
    [sym_availability_attribute_specifier] = STATE(6477),
    [aux_sym__type_definition_declarators_repeat1] = STATE(3169),
    [anon_sym_COMMA] = ACTIONS(7544),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(7546),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(7548),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3036] = {
    [sym__declaration_modifiers] = STATE(3191),
    [sym_attribute_specifier] = STATE(3191),
    [sym_attribute_declaration] = STATE(3191),
    [sym_ms_declspec_modifier] = STATE(3191),
    [sym_storage_class_specifier] = STATE(3191),
    [sym_type_qualifier] = STATE(3191),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3191),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3191),
    [aux_sym_method_definition_repeat2] = STATE(3284),
    [aux_sym_method_declaration_repeat2] = STATE(2290),
    [anon_sym_COMMA] = ACTIONS(7502),
    [anon_sym_SEMI] = ACTIONS(7550),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3037] = {
    [sym__declaration_modifiers] = STATE(3190),
    [sym_attribute_specifier] = STATE(3190),
    [sym_attribute_declaration] = STATE(3190),
    [sym_ms_declspec_modifier] = STATE(3190),
    [sym_storage_class_specifier] = STATE(3190),
    [sym_type_qualifier] = STATE(3190),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3190),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3190),
    [aux_sym_method_definition_repeat2] = STATE(3049),
    [aux_sym_method_declaration_repeat2] = STATE(2173),
    [anon_sym_COMMA] = ACTIONS(7502),
    [anon_sym_SEMI] = ACTIONS(7552),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3038] = {
    [sym__declaration_modifiers] = STATE(3139),
    [sym_attribute_specifier] = STATE(3139),
    [sym_attribute_declaration] = STATE(3139),
    [sym_ms_declspec_modifier] = STATE(3139),
    [sym_storage_class_specifier] = STATE(3139),
    [sym_type_qualifier] = STATE(3139),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3139),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3139),
    [aux_sym_method_definition_repeat2] = STATE(3042),
    [aux_sym_method_declaration_repeat2] = STATE(2186),
    [anon_sym_COMMA] = ACTIONS(7502),
    [anon_sym_SEMI] = ACTIONS(7554),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3039] = {
    [sym_attribute_specifier] = STATE(3045),
    [aux_sym_function_declarator_repeat1] = STATE(3045),
    [anon_sym_COMMA] = ACTIONS(6695),
    [anon_sym_RPAREN] = ACTIONS(6695),
    [anon_sym_LPAREN2] = ACTIONS(6695),
    [anon_sym_SEMI] = ACTIONS(6695),
    [anon_sym___extension__] = ACTIONS(6695),
    [anon_sym_extern] = ACTIONS(6695),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6695),
    [anon_sym_LBRACK] = ACTIONS(6695),
    [anon_sym___declspec] = ACTIONS(6695),
    [anon_sym_LBRACE] = ACTIONS(6695),
    [anon_sym_static] = ACTIONS(6695),
    [anon_sym_EQ] = ACTIONS(6695),
    [anon_sym_ATautoreleasepool] = ACTIONS(6695),
    [anon_sym_auto] = ACTIONS(6695),
    [anon_sym_register] = ACTIONS(6695),
    [anon_sym_inline] = ACTIONS(6695),
    [anon_sym___inline] = ACTIONS(6693),
    [anon_sym___inline__] = ACTIONS(6695),
    [anon_sym___forceinline] = ACTIONS(6695),
    [anon_sym_thread_local] = ACTIONS(6695),
    [anon_sym___thread] = ACTIONS(6695),
    [anon_sym_CG_EXTERN] = ACTIONS(6695),
    [anon_sym_CG_INLINE] = ACTIONS(6695),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6695),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6695),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6695),
    [anon_sym_IBOutlet] = ACTIONS(6695),
    [anon_sym_IBInspectable] = ACTIONS(6695),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6695),
    [anon_sym_NS_INLINE] = ACTIONS(6695),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6695),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6695),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6695),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6695),
    [anon_sym_const] = ACTIONS(6693),
    [anon_sym_constexpr] = ACTIONS(6695),
    [anon_sym_volatile] = ACTIONS(6695),
    [anon_sym_restrict] = ACTIONS(6695),
    [anon_sym___restrict__] = ACTIONS(6695),
    [anon_sym__Atomic] = ACTIONS(6695),
    [anon_sym__Noreturn] = ACTIONS(6695),
    [anon_sym__Nonnull] = ACTIONS(6695),
    [anon_sym_nullable] = ACTIONS(6695),
    [anon_sym__Complex] = ACTIONS(6695),
    [anon_sym__Nullable] = ACTIONS(6693),
    [anon_sym__Nullable_result] = ACTIONS(6695),
    [anon_sym__Null_unspecified] = ACTIONS(6695),
    [anon_sym___autoreleasing] = ACTIONS(6695),
    [anon_sym___block] = ACTIONS(6695),
    [anon_sym___bridge] = ACTIONS(6693),
    [anon_sym___bridge_retained] = ACTIONS(6695),
    [anon_sym___bridge_transfer] = ACTIONS(6695),
    [anon_sym___complex] = ACTIONS(6695),
    [anon_sym___const] = ACTIONS(6695),
    [anon_sym___imag] = ACTIONS(6695),
    [anon_sym___kindof] = ACTIONS(6695),
    [anon_sym___nonnull] = ACTIONS(6695),
    [anon_sym___nullable] = ACTIONS(6695),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6695),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6695),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6695),
    [anon_sym___real] = ACTIONS(6695),
    [anon_sym___strong] = ACTIONS(6695),
    [anon_sym___unsafe_unretained] = ACTIONS(6695),
    [anon_sym___unused] = ACTIONS(6695),
    [anon_sym___weak] = ACTIONS(6695),
    [anon_sym_alignas] = ACTIONS(6695),
    [anon_sym__Alignas] = ACTIONS(6695),
    [anon_sym_COLON] = ACTIONS(6695),
    [anon_sym_asm] = ACTIONS(6695),
    [anon_sym___asm__] = ACTIONS(6695),
    [anon_sym___asm] = ACTIONS(6693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6695),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6695),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6695),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6695),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6695),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6695),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6695),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6695),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6695),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6695),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6693),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6695),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6695),
    [anon_sym_API_AVAILABLE] = ACTIONS(6695),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6695),
    [anon_sym_API_DEPRECATED] = ACTIONS(6695),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6695),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6695),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6695),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6695),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6695),
    [anon_sym___deprecated_msg] = ACTIONS(6695),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6695),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6695),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6695),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6695),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6695),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6695),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6695),
  },
  [3040] = {
    [sym_attribute_specifier] = STATE(2942),
    [sym_enumerator_list] = STATE(3129),
    [sym_identifier] = ACTIONS(7556),
    [anon_sym_COMMA] = ACTIONS(7558),
    [anon_sym_RPAREN] = ACTIONS(7558),
    [anon_sym_LPAREN2] = ACTIONS(7558),
    [anon_sym_STAR] = ACTIONS(7558),
    [anon_sym_CARET] = ACTIONS(7558),
    [anon_sym_SEMI] = ACTIONS(7558),
    [anon_sym___extension__] = ACTIONS(7556),
    [anon_sym_extern] = ACTIONS(7556),
    [anon_sym___attribute__] = ACTIONS(7560),
    [anon_sym___attribute] = ACTIONS(7560),
    [anon_sym_noreturn] = ACTIONS(7556),
    [anon_sym_LBRACK] = ACTIONS(7558),
    [anon_sym___declspec] = ACTIONS(7556),
    [anon_sym___based] = ACTIONS(7556),
    [anon_sym_LBRACE] = ACTIONS(7513),
    [anon_sym_static] = ACTIONS(7556),
    [anon_sym_auto] = ACTIONS(7556),
    [anon_sym_register] = ACTIONS(7556),
    [anon_sym_inline] = ACTIONS(7556),
    [anon_sym___inline] = ACTIONS(7556),
    [anon_sym___inline__] = ACTIONS(7556),
    [anon_sym___forceinline] = ACTIONS(7556),
    [anon_sym_thread_local] = ACTIONS(7556),
    [anon_sym___thread] = ACTIONS(7556),
    [anon_sym_CG_EXTERN] = ACTIONS(7556),
    [anon_sym_CG_INLINE] = ACTIONS(7556),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7556),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7556),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7556),
    [anon_sym_IBOutlet] = ACTIONS(7556),
    [anon_sym_IBInspectable] = ACTIONS(7556),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7556),
    [anon_sym_NS_INLINE] = ACTIONS(7556),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7556),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7556),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7556),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7556),
    [anon_sym_const] = ACTIONS(7556),
    [anon_sym_constexpr] = ACTIONS(7556),
    [anon_sym_volatile] = ACTIONS(7556),
    [anon_sym_restrict] = ACTIONS(7556),
    [anon_sym___restrict__] = ACTIONS(7556),
    [anon_sym__Atomic] = ACTIONS(7556),
    [anon_sym__Noreturn] = ACTIONS(7556),
    [anon_sym__Nonnull] = ACTIONS(7556),
    [anon_sym_nullable] = ACTIONS(7556),
    [anon_sym__Complex] = ACTIONS(7556),
    [anon_sym__Nullable] = ACTIONS(7556),
    [anon_sym__Nullable_result] = ACTIONS(7556),
    [anon_sym__Null_unspecified] = ACTIONS(7556),
    [anon_sym___autoreleasing] = ACTIONS(7556),
    [anon_sym___block] = ACTIONS(7556),
    [anon_sym___bridge] = ACTIONS(7556),
    [anon_sym___bridge_retained] = ACTIONS(7556),
    [anon_sym___bridge_transfer] = ACTIONS(7556),
    [anon_sym___complex] = ACTIONS(7556),
    [anon_sym___const] = ACTIONS(7556),
    [anon_sym___imag] = ACTIONS(7556),
    [anon_sym___kindof] = ACTIONS(7556),
    [anon_sym___nonnull] = ACTIONS(7556),
    [anon_sym___nullable] = ACTIONS(7556),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7556),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7556),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7556),
    [anon_sym___real] = ACTIONS(7556),
    [anon_sym___strong] = ACTIONS(7556),
    [anon_sym___unsafe_unretained] = ACTIONS(7556),
    [anon_sym___unused] = ACTIONS(7556),
    [anon_sym___weak] = ACTIONS(7556),
    [anon_sym_alignas] = ACTIONS(7556),
    [anon_sym__Alignas] = ACTIONS(7556),
    [anon_sym_enum] = ACTIONS(7556),
    [anon_sym_COLON] = ACTIONS(7558),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7556),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7556),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7556),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7556),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7556),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7556),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7556),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7556),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7556),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7556),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7556),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7556),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7556),
    [anon_sym_API_AVAILABLE] = ACTIONS(7556),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7556),
    [anon_sym_API_DEPRECATED] = ACTIONS(7556),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7556),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7556),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7556),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7556),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7556),
    [anon_sym___deprecated_msg] = ACTIONS(7556),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7556),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7556),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7556),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7556),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7556),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7556),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7556),
  },
  [3041] = {
    [sym_attribute_specifier] = STATE(2984),
    [sym_enumerator_list] = STATE(3208),
    [sym_identifier] = ACTIONS(7563),
    [anon_sym_COMMA] = ACTIONS(7565),
    [anon_sym_RPAREN] = ACTIONS(7565),
    [anon_sym_LPAREN2] = ACTIONS(7565),
    [anon_sym_STAR] = ACTIONS(7565),
    [anon_sym_CARET] = ACTIONS(7565),
    [anon_sym_SEMI] = ACTIONS(7565),
    [anon_sym___extension__] = ACTIONS(7563),
    [anon_sym_extern] = ACTIONS(7563),
    [anon_sym___attribute__] = ACTIONS(7567),
    [anon_sym___attribute] = ACTIONS(7567),
    [anon_sym_noreturn] = ACTIONS(7563),
    [anon_sym_LBRACK] = ACTIONS(7565),
    [anon_sym___declspec] = ACTIONS(7563),
    [anon_sym___based] = ACTIONS(7563),
    [anon_sym_LBRACE] = ACTIONS(7513),
    [anon_sym_static] = ACTIONS(7563),
    [anon_sym_auto] = ACTIONS(7563),
    [anon_sym_register] = ACTIONS(7563),
    [anon_sym_inline] = ACTIONS(7563),
    [anon_sym___inline] = ACTIONS(7563),
    [anon_sym___inline__] = ACTIONS(7563),
    [anon_sym___forceinline] = ACTIONS(7563),
    [anon_sym_thread_local] = ACTIONS(7563),
    [anon_sym___thread] = ACTIONS(7563),
    [anon_sym_CG_EXTERN] = ACTIONS(7563),
    [anon_sym_CG_INLINE] = ACTIONS(7563),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7563),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7563),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7563),
    [anon_sym_IBOutlet] = ACTIONS(7563),
    [anon_sym_IBInspectable] = ACTIONS(7563),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7563),
    [anon_sym_NS_INLINE] = ACTIONS(7563),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7563),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7563),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7563),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7563),
    [anon_sym_const] = ACTIONS(7563),
    [anon_sym_constexpr] = ACTIONS(7563),
    [anon_sym_volatile] = ACTIONS(7563),
    [anon_sym_restrict] = ACTIONS(7563),
    [anon_sym___restrict__] = ACTIONS(7563),
    [anon_sym__Atomic] = ACTIONS(7563),
    [anon_sym__Noreturn] = ACTIONS(7563),
    [anon_sym__Nonnull] = ACTIONS(7563),
    [anon_sym_nullable] = ACTIONS(7563),
    [anon_sym__Complex] = ACTIONS(7563),
    [anon_sym__Nullable] = ACTIONS(7563),
    [anon_sym__Nullable_result] = ACTIONS(7563),
    [anon_sym__Null_unspecified] = ACTIONS(7563),
    [anon_sym___autoreleasing] = ACTIONS(7563),
    [anon_sym___block] = ACTIONS(7563),
    [anon_sym___bridge] = ACTIONS(7563),
    [anon_sym___bridge_retained] = ACTIONS(7563),
    [anon_sym___bridge_transfer] = ACTIONS(7563),
    [anon_sym___complex] = ACTIONS(7563),
    [anon_sym___const] = ACTIONS(7563),
    [anon_sym___imag] = ACTIONS(7563),
    [anon_sym___kindof] = ACTIONS(7563),
    [anon_sym___nonnull] = ACTIONS(7563),
    [anon_sym___nullable] = ACTIONS(7563),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7563),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7563),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7563),
    [anon_sym___real] = ACTIONS(7563),
    [anon_sym___strong] = ACTIONS(7563),
    [anon_sym___unsafe_unretained] = ACTIONS(7563),
    [anon_sym___unused] = ACTIONS(7563),
    [anon_sym___weak] = ACTIONS(7563),
    [anon_sym_alignas] = ACTIONS(7563),
    [anon_sym__Alignas] = ACTIONS(7563),
    [anon_sym_enum] = ACTIONS(7563),
    [anon_sym_COLON] = ACTIONS(7565),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7563),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7563),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7563),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7563),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7563),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7563),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7563),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7563),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7563),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7563),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7563),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7563),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7563),
    [anon_sym_API_AVAILABLE] = ACTIONS(7563),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7563),
    [anon_sym_API_DEPRECATED] = ACTIONS(7563),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7563),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7563),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7563),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7563),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7563),
    [anon_sym___deprecated_msg] = ACTIONS(7563),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7563),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7563),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7563),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7563),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7563),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7563),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7563),
  },
  [3042] = {
    [sym__declaration_modifiers] = STATE(3184),
    [sym_attribute_specifier] = STATE(3184),
    [sym_attribute_declaration] = STATE(3184),
    [sym_ms_declspec_modifier] = STATE(3184),
    [sym_storage_class_specifier] = STATE(3184),
    [sym_type_qualifier] = STATE(3184),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3184),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3184),
    [aux_sym_method_definition_repeat2] = STATE(3284),
    [aux_sym_method_declaration_repeat2] = STATE(2188),
    [anon_sym_COMMA] = ACTIONS(7502),
    [anon_sym_SEMI] = ACTIONS(7570),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3043] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(7071),
    [anon_sym_STAR] = ACTIONS(5922),
    [anon_sym_CARET] = ACTIONS(5922),
    [anon_sym_LT] = ACTIONS(7074),
    [anon_sym_SEMI] = ACTIONS(7255),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(5922),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [3044] = {
    [sym__declaration_modifiers] = STATE(3192),
    [sym_attribute_specifier] = STATE(3192),
    [sym_attribute_declaration] = STATE(3192),
    [sym_ms_declspec_modifier] = STATE(3192),
    [sym_storage_class_specifier] = STATE(3192),
    [sym_type_qualifier] = STATE(3192),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3192),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3192),
    [aux_sym_method_definition_repeat2] = STATE(3031),
    [aux_sym_method_declaration_repeat2] = STATE(2275),
    [anon_sym_COMMA] = ACTIONS(7502),
    [anon_sym_SEMI] = ACTIONS(7572),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3045] = {
    [sym_attribute_specifier] = STATE(3046),
    [aux_sym_function_declarator_repeat1] = STATE(3046),
    [anon_sym_COMMA] = ACTIONS(6703),
    [anon_sym_RPAREN] = ACTIONS(6703),
    [anon_sym_LPAREN2] = ACTIONS(6703),
    [anon_sym_SEMI] = ACTIONS(6703),
    [anon_sym___extension__] = ACTIONS(6703),
    [anon_sym_extern] = ACTIONS(6703),
    [anon_sym___attribute__] = ACTIONS(6703),
    [anon_sym___attribute] = ACTIONS(6701),
    [anon_sym_noreturn] = ACTIONS(6703),
    [anon_sym_LBRACK] = ACTIONS(6703),
    [anon_sym___declspec] = ACTIONS(6703),
    [anon_sym_LBRACE] = ACTIONS(6703),
    [anon_sym_static] = ACTIONS(6703),
    [anon_sym_EQ] = ACTIONS(6703),
    [anon_sym_ATautoreleasepool] = ACTIONS(6703),
    [anon_sym_auto] = ACTIONS(6703),
    [anon_sym_register] = ACTIONS(6703),
    [anon_sym_inline] = ACTIONS(6703),
    [anon_sym___inline] = ACTIONS(6701),
    [anon_sym___inline__] = ACTIONS(6703),
    [anon_sym___forceinline] = ACTIONS(6703),
    [anon_sym_thread_local] = ACTIONS(6703),
    [anon_sym___thread] = ACTIONS(6703),
    [anon_sym_CG_EXTERN] = ACTIONS(6703),
    [anon_sym_CG_INLINE] = ACTIONS(6703),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6703),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6703),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6703),
    [anon_sym_IBOutlet] = ACTIONS(6703),
    [anon_sym_IBInspectable] = ACTIONS(6703),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6703),
    [anon_sym_NS_INLINE] = ACTIONS(6703),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6703),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6703),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6703),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6703),
    [anon_sym_const] = ACTIONS(6701),
    [anon_sym_constexpr] = ACTIONS(6703),
    [anon_sym_volatile] = ACTIONS(6703),
    [anon_sym_restrict] = ACTIONS(6703),
    [anon_sym___restrict__] = ACTIONS(6703),
    [anon_sym__Atomic] = ACTIONS(6703),
    [anon_sym__Noreturn] = ACTIONS(6703),
    [anon_sym__Nonnull] = ACTIONS(6703),
    [anon_sym_nullable] = ACTIONS(6703),
    [anon_sym__Complex] = ACTIONS(6703),
    [anon_sym__Nullable] = ACTIONS(6701),
    [anon_sym__Nullable_result] = ACTIONS(6703),
    [anon_sym__Null_unspecified] = ACTIONS(6703),
    [anon_sym___autoreleasing] = ACTIONS(6703),
    [anon_sym___block] = ACTIONS(6703),
    [anon_sym___bridge] = ACTIONS(6701),
    [anon_sym___bridge_retained] = ACTIONS(6703),
    [anon_sym___bridge_transfer] = ACTIONS(6703),
    [anon_sym___complex] = ACTIONS(6703),
    [anon_sym___const] = ACTIONS(6703),
    [anon_sym___imag] = ACTIONS(6703),
    [anon_sym___kindof] = ACTIONS(6703),
    [anon_sym___nonnull] = ACTIONS(6703),
    [anon_sym___nullable] = ACTIONS(6703),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6703),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6703),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6703),
    [anon_sym___real] = ACTIONS(6703),
    [anon_sym___strong] = ACTIONS(6703),
    [anon_sym___unsafe_unretained] = ACTIONS(6703),
    [anon_sym___unused] = ACTIONS(6703),
    [anon_sym___weak] = ACTIONS(6703),
    [anon_sym_alignas] = ACTIONS(6703),
    [anon_sym__Alignas] = ACTIONS(6703),
    [anon_sym_COLON] = ACTIONS(6703),
    [anon_sym_asm] = ACTIONS(6703),
    [anon_sym___asm__] = ACTIONS(6703),
    [anon_sym___asm] = ACTIONS(6701),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6703),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6703),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6703),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6703),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6703),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6703),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6703),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6703),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6703),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6703),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6701),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6703),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6703),
    [anon_sym_API_AVAILABLE] = ACTIONS(6703),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6703),
    [anon_sym_API_DEPRECATED] = ACTIONS(6703),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6703),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6703),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6703),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6703),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6703),
    [anon_sym___deprecated_msg] = ACTIONS(6703),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6703),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6703),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6703),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6703),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6703),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6703),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6703),
  },
  [3046] = {
    [sym_attribute_specifier] = STATE(3046),
    [aux_sym_function_declarator_repeat1] = STATE(3046),
    [anon_sym_COMMA] = ACTIONS(6707),
    [anon_sym_RPAREN] = ACTIONS(6707),
    [anon_sym_LPAREN2] = ACTIONS(6707),
    [anon_sym_SEMI] = ACTIONS(6707),
    [anon_sym___extension__] = ACTIONS(6707),
    [anon_sym_extern] = ACTIONS(6707),
    [anon_sym___attribute__] = ACTIONS(7574),
    [anon_sym___attribute] = ACTIONS(6709),
    [anon_sym_noreturn] = ACTIONS(6707),
    [anon_sym_LBRACK] = ACTIONS(6707),
    [anon_sym___declspec] = ACTIONS(6707),
    [anon_sym_LBRACE] = ACTIONS(6707),
    [anon_sym_static] = ACTIONS(6707),
    [anon_sym_EQ] = ACTIONS(6707),
    [anon_sym_ATautoreleasepool] = ACTIONS(6707),
    [anon_sym_auto] = ACTIONS(6707),
    [anon_sym_register] = ACTIONS(6707),
    [anon_sym_inline] = ACTIONS(6707),
    [anon_sym___inline] = ACTIONS(6705),
    [anon_sym___inline__] = ACTIONS(6707),
    [anon_sym___forceinline] = ACTIONS(6707),
    [anon_sym_thread_local] = ACTIONS(6707),
    [anon_sym___thread] = ACTIONS(6707),
    [anon_sym_CG_EXTERN] = ACTIONS(6707),
    [anon_sym_CG_INLINE] = ACTIONS(6707),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6707),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6707),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6707),
    [anon_sym_IBOutlet] = ACTIONS(6707),
    [anon_sym_IBInspectable] = ACTIONS(6707),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6707),
    [anon_sym_NS_INLINE] = ACTIONS(6707),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6707),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6707),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6707),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6707),
    [anon_sym_const] = ACTIONS(6705),
    [anon_sym_constexpr] = ACTIONS(6707),
    [anon_sym_volatile] = ACTIONS(6707),
    [anon_sym_restrict] = ACTIONS(6707),
    [anon_sym___restrict__] = ACTIONS(6707),
    [anon_sym__Atomic] = ACTIONS(6707),
    [anon_sym__Noreturn] = ACTIONS(6707),
    [anon_sym__Nonnull] = ACTIONS(6707),
    [anon_sym_nullable] = ACTIONS(6707),
    [anon_sym__Complex] = ACTIONS(6707),
    [anon_sym__Nullable] = ACTIONS(6705),
    [anon_sym__Nullable_result] = ACTIONS(6707),
    [anon_sym__Null_unspecified] = ACTIONS(6707),
    [anon_sym___autoreleasing] = ACTIONS(6707),
    [anon_sym___block] = ACTIONS(6707),
    [anon_sym___bridge] = ACTIONS(6705),
    [anon_sym___bridge_retained] = ACTIONS(6707),
    [anon_sym___bridge_transfer] = ACTIONS(6707),
    [anon_sym___complex] = ACTIONS(6707),
    [anon_sym___const] = ACTIONS(6707),
    [anon_sym___imag] = ACTIONS(6707),
    [anon_sym___kindof] = ACTIONS(6707),
    [anon_sym___nonnull] = ACTIONS(6707),
    [anon_sym___nullable] = ACTIONS(6707),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6707),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6707),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6707),
    [anon_sym___real] = ACTIONS(6707),
    [anon_sym___strong] = ACTIONS(6707),
    [anon_sym___unsafe_unretained] = ACTIONS(6707),
    [anon_sym___unused] = ACTIONS(6707),
    [anon_sym___weak] = ACTIONS(6707),
    [anon_sym_alignas] = ACTIONS(6707),
    [anon_sym__Alignas] = ACTIONS(6707),
    [anon_sym_COLON] = ACTIONS(6707),
    [anon_sym_asm] = ACTIONS(6707),
    [anon_sym___asm__] = ACTIONS(6707),
    [anon_sym___asm] = ACTIONS(6705),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6707),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6707),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6707),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6707),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6707),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6707),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6707),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6707),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6707),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6707),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6705),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6707),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6707),
    [anon_sym_API_AVAILABLE] = ACTIONS(6707),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6707),
    [anon_sym_API_DEPRECATED] = ACTIONS(6707),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6707),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6707),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6707),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6707),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6707),
    [anon_sym___deprecated_msg] = ACTIONS(6707),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6707),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6707),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6707),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6707),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6707),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6707),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6707),
  },
  [3047] = {
    [sym__declaration_modifiers] = STATE(3139),
    [sym_attribute_specifier] = STATE(3139),
    [sym_attribute_declaration] = STATE(3139),
    [sym_ms_declspec_modifier] = STATE(3139),
    [sym_storage_class_specifier] = STATE(3139),
    [sym_type_qualifier] = STATE(3139),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3139),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3139),
    [aux_sym_method_definition_repeat2] = STATE(3284),
    [aux_sym_method_declaration_repeat2] = STATE(2186),
    [anon_sym_COMMA] = ACTIONS(7502),
    [anon_sym_SEMI] = ACTIONS(7554),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3048] = {
    [sym__declaration_modifiers] = STATE(3136),
    [sym_attribute_specifier] = STATE(3136),
    [sym_attribute_declaration] = STATE(3136),
    [sym_ms_declspec_modifier] = STATE(3136),
    [sym_storage_class_specifier] = STATE(3136),
    [sym_type_qualifier] = STATE(3136),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3136),
    [aux_sym_method_definition_repeat2] = STATE(3047),
    [aux_sym_method_declaration_repeat2] = STATE(2184),
    [anon_sym_COMMA] = ACTIONS(7502),
    [anon_sym_SEMI] = ACTIONS(7577),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3049] = {
    [sym__declaration_modifiers] = STATE(3136),
    [sym_attribute_specifier] = STATE(3136),
    [sym_attribute_declaration] = STATE(3136),
    [sym_ms_declspec_modifier] = STATE(3136),
    [sym_storage_class_specifier] = STATE(3136),
    [sym_type_qualifier] = STATE(3136),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3136),
    [aux_sym_method_definition_repeat2] = STATE(3284),
    [aux_sym_method_declaration_repeat2] = STATE(2184),
    [anon_sym_COMMA] = ACTIONS(7502),
    [anon_sym_SEMI] = ACTIONS(7577),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3050] = {
    [sym__declaration_modifiers] = STATE(5161),
    [sym_attribute_specifier] = STATE(5161),
    [sym_attribute_declaration] = STATE(5161),
    [sym_ms_declspec_modifier] = STATE(5161),
    [sym_storage_class_specifier] = STATE(5161),
    [sym_type_qualifier] = STATE(5161),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(5161),
    [sym_identifier] = ACTIONS(7579),
    [anon_sym_COMMA] = ACTIONS(7581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7581),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(7581),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [3051] = {
    [sym__declaration_modifiers] = STATE(3107),
    [sym_attribute_specifier] = STATE(3107),
    [sym_attribute_declaration] = STATE(3107),
    [sym_ms_declspec_modifier] = STATE(3107),
    [sym_storage_class_specifier] = STATE(3107),
    [sym_type_qualifier] = STATE(3107),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3107),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3107),
    [aux_sym_method_definition_repeat2] = STATE(3284),
    [aux_sym_method_declaration_repeat2] = STATE(2122),
    [anon_sym_COMMA] = ACTIONS(7502),
    [anon_sym_SEMI] = ACTIONS(7583),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3052] = {
    [sym__declaration_modifiers] = STATE(5151),
    [sym_attribute_specifier] = STATE(5151),
    [sym_attribute_declaration] = STATE(5151),
    [sym_ms_declspec_modifier] = STATE(5151),
    [sym_storage_class_specifier] = STATE(5151),
    [sym_type_qualifier] = STATE(5151),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(5151),
    [sym_identifier] = ACTIONS(7585),
    [anon_sym_COMMA] = ACTIONS(7587),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(7587),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(7587),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(3022),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(7587),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_CG_EXTERN] = ACTIONS(51),
    [anon_sym_CG_INLINE] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(51),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(51),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(51),
    [anon_sym_IBOutlet] = ACTIONS(51),
    [anon_sym_IBInspectable] = ACTIONS(51),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(51),
    [anon_sym_NS_INLINE] = ACTIONS(51),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(51),
    [anon_sym_OBJC_EXPORT] = ACTIONS(51),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(51),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(125),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(125),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(125),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(125),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(125),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(125),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(125),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_API_AVAILABLE] = ACTIONS(127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_API_DEPRECATED] = ACTIONS(127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(127),
    [anon_sym___deprecated_msg] = ACTIONS(127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(127),
  },
  [3053] = {
    [sym__declaration_modifiers] = STATE(3202),
    [sym_attribute_specifier] = STATE(3202),
    [sym_attribute_declaration] = STATE(3202),
    [sym_ms_declspec_modifier] = STATE(3202),
    [sym_storage_class_specifier] = STATE(3202),
    [sym_type_qualifier] = STATE(3202),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3202),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3202),
    [aux_sym_method_definition_repeat2] = STATE(3284),
    [aux_sym_method_declaration_repeat2] = STATE(2120),
    [anon_sym_COMMA] = ACTIONS(7502),
    [anon_sym_SEMI] = ACTIONS(7542),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3054] = {
    [sym__declaration_modifiers] = STATE(3132),
    [sym_attribute_specifier] = STATE(3132),
    [sym_attribute_declaration] = STATE(3132),
    [sym_ms_declspec_modifier] = STATE(3132),
    [sym_storage_class_specifier] = STATE(3132),
    [sym_type_qualifier] = STATE(3132),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3132),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3132),
    [aux_sym_method_definition_repeat2] = STATE(3284),
    [aux_sym_method_declaration_repeat2] = STATE(2115),
    [anon_sym_COMMA] = ACTIONS(7502),
    [anon_sym_SEMI] = ACTIONS(7504),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3055] = {
    [anon_sym_COMMA] = ACTIONS(6766),
    [anon_sym_RPAREN] = ACTIONS(6766),
    [anon_sym_LPAREN2] = ACTIONS(6766),
    [anon_sym_SEMI] = ACTIONS(6766),
    [anon_sym___extension__] = ACTIONS(6766),
    [anon_sym_extern] = ACTIONS(6766),
    [anon_sym___attribute__] = ACTIONS(6766),
    [anon_sym___attribute] = ACTIONS(6764),
    [anon_sym_noreturn] = ACTIONS(6766),
    [anon_sym_LBRACK] = ACTIONS(6766),
    [anon_sym___declspec] = ACTIONS(6766),
    [anon_sym_LBRACE] = ACTIONS(6766),
    [anon_sym_static] = ACTIONS(6766),
    [anon_sym_EQ] = ACTIONS(6766),
    [anon_sym_ATautoreleasepool] = ACTIONS(6766),
    [anon_sym_auto] = ACTIONS(6766),
    [anon_sym_register] = ACTIONS(6766),
    [anon_sym_inline] = ACTIONS(6766),
    [anon_sym___inline] = ACTIONS(6764),
    [anon_sym___inline__] = ACTIONS(6766),
    [anon_sym___forceinline] = ACTIONS(6766),
    [anon_sym_thread_local] = ACTIONS(6766),
    [anon_sym___thread] = ACTIONS(6766),
    [anon_sym_CG_EXTERN] = ACTIONS(6766),
    [anon_sym_CG_INLINE] = ACTIONS(6766),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6766),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6766),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6766),
    [anon_sym_IBOutlet] = ACTIONS(6766),
    [anon_sym_IBInspectable] = ACTIONS(6766),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6766),
    [anon_sym_NS_INLINE] = ACTIONS(6766),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6766),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6766),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6766),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6766),
    [anon_sym_const] = ACTIONS(6764),
    [anon_sym_constexpr] = ACTIONS(6766),
    [anon_sym_volatile] = ACTIONS(6766),
    [anon_sym_restrict] = ACTIONS(6766),
    [anon_sym___restrict__] = ACTIONS(6766),
    [anon_sym__Atomic] = ACTIONS(6766),
    [anon_sym__Noreturn] = ACTIONS(6766),
    [anon_sym__Nonnull] = ACTIONS(6766),
    [anon_sym_nullable] = ACTIONS(6766),
    [anon_sym__Complex] = ACTIONS(6766),
    [anon_sym__Nullable] = ACTIONS(6764),
    [anon_sym__Nullable_result] = ACTIONS(6766),
    [anon_sym__Null_unspecified] = ACTIONS(6766),
    [anon_sym___autoreleasing] = ACTIONS(6766),
    [anon_sym___block] = ACTIONS(6766),
    [anon_sym___bridge] = ACTIONS(6764),
    [anon_sym___bridge_retained] = ACTIONS(6766),
    [anon_sym___bridge_transfer] = ACTIONS(6766),
    [anon_sym___complex] = ACTIONS(6766),
    [anon_sym___const] = ACTIONS(6766),
    [anon_sym___imag] = ACTIONS(6766),
    [anon_sym___kindof] = ACTIONS(6766),
    [anon_sym___nonnull] = ACTIONS(6766),
    [anon_sym___nullable] = ACTIONS(6766),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6766),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6766),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6766),
    [anon_sym___real] = ACTIONS(6766),
    [anon_sym___strong] = ACTIONS(6766),
    [anon_sym___unsafe_unretained] = ACTIONS(6766),
    [anon_sym___unused] = ACTIONS(6766),
    [anon_sym___weak] = ACTIONS(6766),
    [anon_sym_alignas] = ACTIONS(6766),
    [anon_sym__Alignas] = ACTIONS(6766),
    [anon_sym_COLON] = ACTIONS(6766),
    [anon_sym_in] = ACTIONS(6764),
    [anon_sym_asm] = ACTIONS(6766),
    [anon_sym___asm__] = ACTIONS(6766),
    [anon_sym___asm] = ACTIONS(6764),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6766),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6766),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6766),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6766),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6766),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6766),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6766),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6766),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6766),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6766),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6764),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6766),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6766),
    [anon_sym_API_AVAILABLE] = ACTIONS(6766),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6766),
    [anon_sym_API_DEPRECATED] = ACTIONS(6766),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6766),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6766),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6766),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6766),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6766),
    [anon_sym___deprecated_msg] = ACTIONS(6766),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6766),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6766),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6766),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6766),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6766),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6766),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6766),
  },
  [3056] = {
    [sym_parameter_list] = STATE(3017),
    [anon_sym_COMMA] = ACTIONS(6728),
    [anon_sym_RPAREN] = ACTIONS(6728),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6728),
    [anon_sym___extension__] = ACTIONS(6728),
    [anon_sym_extern] = ACTIONS(6728),
    [anon_sym___attribute__] = ACTIONS(6728),
    [anon_sym___attribute] = ACTIONS(6726),
    [anon_sym_noreturn] = ACTIONS(6728),
    [anon_sym_LBRACK] = ACTIONS(7589),
    [anon_sym___declspec] = ACTIONS(6728),
    [anon_sym_LBRACE] = ACTIONS(6728),
    [anon_sym_static] = ACTIONS(6728),
    [anon_sym_EQ] = ACTIONS(6728),
    [anon_sym_ATautoreleasepool] = ACTIONS(6728),
    [anon_sym_auto] = ACTIONS(6728),
    [anon_sym_register] = ACTIONS(6728),
    [anon_sym_inline] = ACTIONS(6728),
    [anon_sym___inline] = ACTIONS(6726),
    [anon_sym___inline__] = ACTIONS(6728),
    [anon_sym___forceinline] = ACTIONS(6728),
    [anon_sym_thread_local] = ACTIONS(6728),
    [anon_sym___thread] = ACTIONS(6728),
    [anon_sym_CG_EXTERN] = ACTIONS(6728),
    [anon_sym_CG_INLINE] = ACTIONS(6728),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6728),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6728),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6728),
    [anon_sym_IBOutlet] = ACTIONS(6728),
    [anon_sym_IBInspectable] = ACTIONS(6728),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6728),
    [anon_sym_NS_INLINE] = ACTIONS(6728),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6728),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6728),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6728),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6728),
    [anon_sym_const] = ACTIONS(6726),
    [anon_sym_constexpr] = ACTIONS(6728),
    [anon_sym_volatile] = ACTIONS(6728),
    [anon_sym_restrict] = ACTIONS(6728),
    [anon_sym___restrict__] = ACTIONS(6728),
    [anon_sym__Atomic] = ACTIONS(6728),
    [anon_sym__Noreturn] = ACTIONS(6728),
    [anon_sym__Nonnull] = ACTIONS(6728),
    [anon_sym_nullable] = ACTIONS(6728),
    [anon_sym__Complex] = ACTIONS(6728),
    [anon_sym__Nullable] = ACTIONS(6726),
    [anon_sym__Nullable_result] = ACTIONS(6728),
    [anon_sym__Null_unspecified] = ACTIONS(6728),
    [anon_sym___autoreleasing] = ACTIONS(6728),
    [anon_sym___block] = ACTIONS(6728),
    [anon_sym___bridge] = ACTIONS(6726),
    [anon_sym___bridge_retained] = ACTIONS(6728),
    [anon_sym___bridge_transfer] = ACTIONS(6728),
    [anon_sym___complex] = ACTIONS(6728),
    [anon_sym___const] = ACTIONS(6728),
    [anon_sym___imag] = ACTIONS(6728),
    [anon_sym___kindof] = ACTIONS(6728),
    [anon_sym___nonnull] = ACTIONS(6728),
    [anon_sym___nullable] = ACTIONS(6728),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6728),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6728),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6728),
    [anon_sym___real] = ACTIONS(6728),
    [anon_sym___strong] = ACTIONS(6728),
    [anon_sym___unsafe_unretained] = ACTIONS(6728),
    [anon_sym___unused] = ACTIONS(6728),
    [anon_sym___weak] = ACTIONS(6728),
    [anon_sym_alignas] = ACTIONS(6728),
    [anon_sym__Alignas] = ACTIONS(6728),
    [anon_sym_COLON] = ACTIONS(6728),
    [anon_sym_asm] = ACTIONS(6728),
    [anon_sym___asm__] = ACTIONS(6728),
    [anon_sym___asm] = ACTIONS(6726),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6728),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6728),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6728),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6728),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6728),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6728),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6728),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6728),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6728),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6728),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6726),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6728),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6728),
    [anon_sym_API_AVAILABLE] = ACTIONS(6728),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6728),
    [anon_sym_API_DEPRECATED] = ACTIONS(6728),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6728),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6728),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6728),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6728),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6728),
    [anon_sym___deprecated_msg] = ACTIONS(6728),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6728),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6728),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6728),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6728),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6728),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6728),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6728),
  },
  [3057] = {
    [sym_parameter_list] = STATE(3017),
    [anon_sym_COMMA] = ACTIONS(6758),
    [anon_sym_RPAREN] = ACTIONS(6758),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6758),
    [anon_sym___extension__] = ACTIONS(6758),
    [anon_sym_extern] = ACTIONS(6758),
    [anon_sym___attribute__] = ACTIONS(6758),
    [anon_sym___attribute] = ACTIONS(6756),
    [anon_sym_noreturn] = ACTIONS(6758),
    [anon_sym_LBRACK] = ACTIONS(7589),
    [anon_sym___declspec] = ACTIONS(6758),
    [anon_sym_LBRACE] = ACTIONS(6758),
    [anon_sym_static] = ACTIONS(6758),
    [anon_sym_EQ] = ACTIONS(6758),
    [anon_sym_ATautoreleasepool] = ACTIONS(6758),
    [anon_sym_auto] = ACTIONS(6758),
    [anon_sym_register] = ACTIONS(6758),
    [anon_sym_inline] = ACTIONS(6758),
    [anon_sym___inline] = ACTIONS(6756),
    [anon_sym___inline__] = ACTIONS(6758),
    [anon_sym___forceinline] = ACTIONS(6758),
    [anon_sym_thread_local] = ACTIONS(6758),
    [anon_sym___thread] = ACTIONS(6758),
    [anon_sym_CG_EXTERN] = ACTIONS(6758),
    [anon_sym_CG_INLINE] = ACTIONS(6758),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6758),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6758),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6758),
    [anon_sym_IBOutlet] = ACTIONS(6758),
    [anon_sym_IBInspectable] = ACTIONS(6758),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6758),
    [anon_sym_NS_INLINE] = ACTIONS(6758),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6758),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6758),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6758),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6758),
    [anon_sym_const] = ACTIONS(6756),
    [anon_sym_constexpr] = ACTIONS(6758),
    [anon_sym_volatile] = ACTIONS(6758),
    [anon_sym_restrict] = ACTIONS(6758),
    [anon_sym___restrict__] = ACTIONS(6758),
    [anon_sym__Atomic] = ACTIONS(6758),
    [anon_sym__Noreturn] = ACTIONS(6758),
    [anon_sym__Nonnull] = ACTIONS(6758),
    [anon_sym_nullable] = ACTIONS(6758),
    [anon_sym__Complex] = ACTIONS(6758),
    [anon_sym__Nullable] = ACTIONS(6756),
    [anon_sym__Nullable_result] = ACTIONS(6758),
    [anon_sym__Null_unspecified] = ACTIONS(6758),
    [anon_sym___autoreleasing] = ACTIONS(6758),
    [anon_sym___block] = ACTIONS(6758),
    [anon_sym___bridge] = ACTIONS(6756),
    [anon_sym___bridge_retained] = ACTIONS(6758),
    [anon_sym___bridge_transfer] = ACTIONS(6758),
    [anon_sym___complex] = ACTIONS(6758),
    [anon_sym___const] = ACTIONS(6758),
    [anon_sym___imag] = ACTIONS(6758),
    [anon_sym___kindof] = ACTIONS(6758),
    [anon_sym___nonnull] = ACTIONS(6758),
    [anon_sym___nullable] = ACTIONS(6758),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6758),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6758),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6758),
    [anon_sym___real] = ACTIONS(6758),
    [anon_sym___strong] = ACTIONS(6758),
    [anon_sym___unsafe_unretained] = ACTIONS(6758),
    [anon_sym___unused] = ACTIONS(6758),
    [anon_sym___weak] = ACTIONS(6758),
    [anon_sym_alignas] = ACTIONS(6758),
    [anon_sym__Alignas] = ACTIONS(6758),
    [anon_sym_COLON] = ACTIONS(6758),
    [anon_sym_asm] = ACTIONS(6758),
    [anon_sym___asm__] = ACTIONS(6758),
    [anon_sym___asm] = ACTIONS(6756),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6758),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6758),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6758),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6758),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6758),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6758),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6758),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6758),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6758),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6758),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6756),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6758),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6758),
    [anon_sym_API_AVAILABLE] = ACTIONS(6758),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6758),
    [anon_sym_API_DEPRECATED] = ACTIONS(6758),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6758),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6758),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6758),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6758),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6758),
    [anon_sym___deprecated_msg] = ACTIONS(6758),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6758),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6758),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6758),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6758),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6758),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6758),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6758),
  },
  [3058] = {
    [anon_sym_COMMA] = ACTIONS(6770),
    [anon_sym_RPAREN] = ACTIONS(6770),
    [anon_sym_LPAREN2] = ACTIONS(6770),
    [anon_sym_SEMI] = ACTIONS(6770),
    [anon_sym___extension__] = ACTIONS(6770),
    [anon_sym_extern] = ACTIONS(6770),
    [anon_sym___attribute__] = ACTIONS(6770),
    [anon_sym___attribute] = ACTIONS(6768),
    [anon_sym_noreturn] = ACTIONS(6770),
    [anon_sym_LBRACK] = ACTIONS(6770),
    [anon_sym___declspec] = ACTIONS(6770),
    [anon_sym_LBRACE] = ACTIONS(6770),
    [anon_sym_static] = ACTIONS(6770),
    [anon_sym_EQ] = ACTIONS(6770),
    [anon_sym_ATautoreleasepool] = ACTIONS(6770),
    [anon_sym_auto] = ACTIONS(6770),
    [anon_sym_register] = ACTIONS(6770),
    [anon_sym_inline] = ACTIONS(6770),
    [anon_sym___inline] = ACTIONS(6768),
    [anon_sym___inline__] = ACTIONS(6770),
    [anon_sym___forceinline] = ACTIONS(6770),
    [anon_sym_thread_local] = ACTIONS(6770),
    [anon_sym___thread] = ACTIONS(6770),
    [anon_sym_CG_EXTERN] = ACTIONS(6770),
    [anon_sym_CG_INLINE] = ACTIONS(6770),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6770),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6770),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6770),
    [anon_sym_IBOutlet] = ACTIONS(6770),
    [anon_sym_IBInspectable] = ACTIONS(6770),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6770),
    [anon_sym_NS_INLINE] = ACTIONS(6770),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6770),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6770),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6770),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6770),
    [anon_sym_const] = ACTIONS(6768),
    [anon_sym_constexpr] = ACTIONS(6770),
    [anon_sym_volatile] = ACTIONS(6770),
    [anon_sym_restrict] = ACTIONS(6770),
    [anon_sym___restrict__] = ACTIONS(6770),
    [anon_sym__Atomic] = ACTIONS(6770),
    [anon_sym__Noreturn] = ACTIONS(6770),
    [anon_sym__Nonnull] = ACTIONS(6770),
    [anon_sym_nullable] = ACTIONS(6770),
    [anon_sym__Complex] = ACTIONS(6770),
    [anon_sym__Nullable] = ACTIONS(6768),
    [anon_sym__Nullable_result] = ACTIONS(6770),
    [anon_sym__Null_unspecified] = ACTIONS(6770),
    [anon_sym___autoreleasing] = ACTIONS(6770),
    [anon_sym___block] = ACTIONS(6770),
    [anon_sym___bridge] = ACTIONS(6768),
    [anon_sym___bridge_retained] = ACTIONS(6770),
    [anon_sym___bridge_transfer] = ACTIONS(6770),
    [anon_sym___complex] = ACTIONS(6770),
    [anon_sym___const] = ACTIONS(6770),
    [anon_sym___imag] = ACTIONS(6770),
    [anon_sym___kindof] = ACTIONS(6770),
    [anon_sym___nonnull] = ACTIONS(6770),
    [anon_sym___nullable] = ACTIONS(6770),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6770),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6770),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6770),
    [anon_sym___real] = ACTIONS(6770),
    [anon_sym___strong] = ACTIONS(6770),
    [anon_sym___unsafe_unretained] = ACTIONS(6770),
    [anon_sym___unused] = ACTIONS(6770),
    [anon_sym___weak] = ACTIONS(6770),
    [anon_sym_alignas] = ACTIONS(6770),
    [anon_sym__Alignas] = ACTIONS(6770),
    [anon_sym_COLON] = ACTIONS(6770),
    [anon_sym_in] = ACTIONS(6768),
    [anon_sym_asm] = ACTIONS(6770),
    [anon_sym___asm__] = ACTIONS(6770),
    [anon_sym___asm] = ACTIONS(6768),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6770),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6770),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6770),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6770),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6770),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6770),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6770),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6770),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6770),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6770),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6768),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6770),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6770),
    [anon_sym_API_AVAILABLE] = ACTIONS(6770),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6770),
    [anon_sym_API_DEPRECATED] = ACTIONS(6770),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6770),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6770),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6770),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6770),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6770),
    [anon_sym___deprecated_msg] = ACTIONS(6770),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6770),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6770),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6770),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6770),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6770),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6770),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6770),
  },
  [3059] = {
    [sym_parameter_list] = STATE(3017),
    [anon_sym_COMMA] = ACTIONS(6732),
    [anon_sym_RPAREN] = ACTIONS(6732),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6732),
    [anon_sym___extension__] = ACTIONS(6732),
    [anon_sym_extern] = ACTIONS(6732),
    [anon_sym___attribute__] = ACTIONS(6732),
    [anon_sym___attribute] = ACTIONS(6730),
    [anon_sym_noreturn] = ACTIONS(6732),
    [anon_sym_LBRACK] = ACTIONS(7589),
    [anon_sym___declspec] = ACTIONS(6732),
    [anon_sym_LBRACE] = ACTIONS(6732),
    [anon_sym_static] = ACTIONS(6732),
    [anon_sym_EQ] = ACTIONS(6732),
    [anon_sym_ATautoreleasepool] = ACTIONS(6732),
    [anon_sym_auto] = ACTIONS(6732),
    [anon_sym_register] = ACTIONS(6732),
    [anon_sym_inline] = ACTIONS(6732),
    [anon_sym___inline] = ACTIONS(6730),
    [anon_sym___inline__] = ACTIONS(6732),
    [anon_sym___forceinline] = ACTIONS(6732),
    [anon_sym_thread_local] = ACTIONS(6732),
    [anon_sym___thread] = ACTIONS(6732),
    [anon_sym_CG_EXTERN] = ACTIONS(6732),
    [anon_sym_CG_INLINE] = ACTIONS(6732),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6732),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6732),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6732),
    [anon_sym_IBOutlet] = ACTIONS(6732),
    [anon_sym_IBInspectable] = ACTIONS(6732),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6732),
    [anon_sym_NS_INLINE] = ACTIONS(6732),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6732),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6732),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6732),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6732),
    [anon_sym_const] = ACTIONS(6730),
    [anon_sym_constexpr] = ACTIONS(6732),
    [anon_sym_volatile] = ACTIONS(6732),
    [anon_sym_restrict] = ACTIONS(6732),
    [anon_sym___restrict__] = ACTIONS(6732),
    [anon_sym__Atomic] = ACTIONS(6732),
    [anon_sym__Noreturn] = ACTIONS(6732),
    [anon_sym__Nonnull] = ACTIONS(6732),
    [anon_sym_nullable] = ACTIONS(6732),
    [anon_sym__Complex] = ACTIONS(6732),
    [anon_sym__Nullable] = ACTIONS(6730),
    [anon_sym__Nullable_result] = ACTIONS(6732),
    [anon_sym__Null_unspecified] = ACTIONS(6732),
    [anon_sym___autoreleasing] = ACTIONS(6732),
    [anon_sym___block] = ACTIONS(6732),
    [anon_sym___bridge] = ACTIONS(6730),
    [anon_sym___bridge_retained] = ACTIONS(6732),
    [anon_sym___bridge_transfer] = ACTIONS(6732),
    [anon_sym___complex] = ACTIONS(6732),
    [anon_sym___const] = ACTIONS(6732),
    [anon_sym___imag] = ACTIONS(6732),
    [anon_sym___kindof] = ACTIONS(6732),
    [anon_sym___nonnull] = ACTIONS(6732),
    [anon_sym___nullable] = ACTIONS(6732),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6732),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6732),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6732),
    [anon_sym___real] = ACTIONS(6732),
    [anon_sym___strong] = ACTIONS(6732),
    [anon_sym___unsafe_unretained] = ACTIONS(6732),
    [anon_sym___unused] = ACTIONS(6732),
    [anon_sym___weak] = ACTIONS(6732),
    [anon_sym_alignas] = ACTIONS(6732),
    [anon_sym__Alignas] = ACTIONS(6732),
    [anon_sym_COLON] = ACTIONS(6732),
    [anon_sym_asm] = ACTIONS(6732),
    [anon_sym___asm__] = ACTIONS(6732),
    [anon_sym___asm] = ACTIONS(6730),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6732),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6732),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6732),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6732),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6732),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6732),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6732),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6732),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6732),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6732),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6730),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6732),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6732),
    [anon_sym_API_AVAILABLE] = ACTIONS(6732),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6732),
    [anon_sym_API_DEPRECATED] = ACTIONS(6732),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6732),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6732),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6732),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6732),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6732),
    [anon_sym___deprecated_msg] = ACTIONS(6732),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6732),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6732),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6732),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6732),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6732),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6732),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6732),
  },
  [3060] = {
    [sym_attribute_specifier] = STATE(3012),
    [sym_enumerator_list] = STATE(3143),
    [sym_identifier] = ACTIONS(7591),
    [anon_sym_COMMA] = ACTIONS(7593),
    [anon_sym_RPAREN] = ACTIONS(7593),
    [anon_sym_LPAREN2] = ACTIONS(7593),
    [anon_sym_STAR] = ACTIONS(7593),
    [anon_sym_CARET] = ACTIONS(7593),
    [anon_sym_SEMI] = ACTIONS(7593),
    [anon_sym___extension__] = ACTIONS(7591),
    [anon_sym_extern] = ACTIONS(7591),
    [anon_sym___attribute__] = ACTIONS(7595),
    [anon_sym___attribute] = ACTIONS(7595),
    [anon_sym_noreturn] = ACTIONS(7591),
    [anon_sym_LBRACK] = ACTIONS(7593),
    [anon_sym___declspec] = ACTIONS(7591),
    [anon_sym___based] = ACTIONS(7591),
    [anon_sym_LBRACE] = ACTIONS(7513),
    [anon_sym_static] = ACTIONS(7591),
    [anon_sym_auto] = ACTIONS(7591),
    [anon_sym_register] = ACTIONS(7591),
    [anon_sym_inline] = ACTIONS(7591),
    [anon_sym___inline] = ACTIONS(7591),
    [anon_sym___inline__] = ACTIONS(7591),
    [anon_sym___forceinline] = ACTIONS(7591),
    [anon_sym_thread_local] = ACTIONS(7591),
    [anon_sym___thread] = ACTIONS(7591),
    [anon_sym_CG_EXTERN] = ACTIONS(7591),
    [anon_sym_CG_INLINE] = ACTIONS(7591),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7591),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7591),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7591),
    [anon_sym_IBOutlet] = ACTIONS(7591),
    [anon_sym_IBInspectable] = ACTIONS(7591),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7591),
    [anon_sym_NS_INLINE] = ACTIONS(7591),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7591),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7591),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7591),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7591),
    [anon_sym_const] = ACTIONS(7591),
    [anon_sym_constexpr] = ACTIONS(7591),
    [anon_sym_volatile] = ACTIONS(7591),
    [anon_sym_restrict] = ACTIONS(7591),
    [anon_sym___restrict__] = ACTIONS(7591),
    [anon_sym__Atomic] = ACTIONS(7591),
    [anon_sym__Noreturn] = ACTIONS(7591),
    [anon_sym__Nonnull] = ACTIONS(7591),
    [anon_sym_nullable] = ACTIONS(7591),
    [anon_sym__Complex] = ACTIONS(7591),
    [anon_sym__Nullable] = ACTIONS(7591),
    [anon_sym__Nullable_result] = ACTIONS(7591),
    [anon_sym__Null_unspecified] = ACTIONS(7591),
    [anon_sym___autoreleasing] = ACTIONS(7591),
    [anon_sym___block] = ACTIONS(7591),
    [anon_sym___bridge] = ACTIONS(7591),
    [anon_sym___bridge_retained] = ACTIONS(7591),
    [anon_sym___bridge_transfer] = ACTIONS(7591),
    [anon_sym___complex] = ACTIONS(7591),
    [anon_sym___const] = ACTIONS(7591),
    [anon_sym___imag] = ACTIONS(7591),
    [anon_sym___kindof] = ACTIONS(7591),
    [anon_sym___nonnull] = ACTIONS(7591),
    [anon_sym___nullable] = ACTIONS(7591),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7591),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7591),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7591),
    [anon_sym___real] = ACTIONS(7591),
    [anon_sym___strong] = ACTIONS(7591),
    [anon_sym___unsafe_unretained] = ACTIONS(7591),
    [anon_sym___unused] = ACTIONS(7591),
    [anon_sym___weak] = ACTIONS(7591),
    [anon_sym_alignas] = ACTIONS(7591),
    [anon_sym__Alignas] = ACTIONS(7591),
    [anon_sym_COLON] = ACTIONS(7598),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7591),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7591),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7591),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7591),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7591),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7591),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7591),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7591),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7591),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7591),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7591),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7591),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7591),
    [anon_sym_API_AVAILABLE] = ACTIONS(7591),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7591),
    [anon_sym_API_DEPRECATED] = ACTIONS(7591),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7591),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7591),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7591),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7591),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7591),
    [anon_sym___deprecated_msg] = ACTIONS(7591),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7591),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7591),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7591),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7591),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7591),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7591),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7591),
  },
  [3061] = {
    [sym__declaration_modifiers] = STATE(5164),
    [sym_attribute_specifier] = STATE(5164),
    [sym_attribute_declaration] = STATE(5164),
    [sym_ms_declspec_modifier] = STATE(5164),
    [sym_storage_class_specifier] = STATE(5164),
    [sym_type_qualifier] = STATE(5164),
    [sym_alignas_qualifier] = STATE(5137),
    [sym_availability_attribute_specifier] = STATE(5164),
    [sym_identifier] = ACTIONS(7600),
    [anon_sym___extension__] = ACTIONS(7473),
    [anon_sym_extern] = ACTIONS(7475),
    [anon_sym___attribute__] = ACTIONS(7477),
    [anon_sym___attribute] = ACTIONS(7477),
    [anon_sym_noreturn] = ACTIONS(7473),
    [anon_sym_LBRACK] = ACTIONS(7479),
    [anon_sym___declspec] = ACTIONS(7481),
    [anon_sym_static] = ACTIONS(7475),
    [anon_sym_auto] = ACTIONS(7475),
    [anon_sym_register] = ACTIONS(7475),
    [anon_sym_inline] = ACTIONS(7475),
    [anon_sym___inline] = ACTIONS(7475),
    [anon_sym___inline__] = ACTIONS(7475),
    [anon_sym___forceinline] = ACTIONS(7475),
    [anon_sym_thread_local] = ACTIONS(7475),
    [anon_sym___thread] = ACTIONS(7475),
    [anon_sym_CG_EXTERN] = ACTIONS(7475),
    [anon_sym_CG_INLINE] = ACTIONS(7475),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7475),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7475),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7475),
    [anon_sym_IBOutlet] = ACTIONS(7475),
    [anon_sym_IBInspectable] = ACTIONS(7475),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7475),
    [anon_sym_NS_INLINE] = ACTIONS(7475),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7475),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7475),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7475),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7475),
    [anon_sym_const] = ACTIONS(7602),
    [anon_sym_constexpr] = ACTIONS(7473),
    [anon_sym_volatile] = ACTIONS(7473),
    [anon_sym_restrict] = ACTIONS(7473),
    [anon_sym___restrict__] = ACTIONS(7473),
    [anon_sym__Atomic] = ACTIONS(7473),
    [anon_sym__Noreturn] = ACTIONS(7473),
    [anon_sym__Nonnull] = ACTIONS(7473),
    [anon_sym_nullable] = ACTIONS(7473),
    [anon_sym__Complex] = ACTIONS(7473),
    [anon_sym__Nullable] = ACTIONS(7473),
    [anon_sym__Nullable_result] = ACTIONS(7473),
    [anon_sym__Null_unspecified] = ACTIONS(7473),
    [anon_sym___autoreleasing] = ACTIONS(7473),
    [anon_sym___block] = ACTIONS(7473),
    [anon_sym___bridge] = ACTIONS(7473),
    [anon_sym___bridge_retained] = ACTIONS(7473),
    [anon_sym___bridge_transfer] = ACTIONS(7473),
    [anon_sym___complex] = ACTIONS(7473),
    [anon_sym___const] = ACTIONS(7473),
    [anon_sym___imag] = ACTIONS(7473),
    [anon_sym___kindof] = ACTIONS(7473),
    [anon_sym___nonnull] = ACTIONS(7473),
    [anon_sym___nullable] = ACTIONS(7473),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7473),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7473),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7473),
    [anon_sym___real] = ACTIONS(7473),
    [anon_sym___strong] = ACTIONS(7473),
    [anon_sym___unsafe_unretained] = ACTIONS(7473),
    [anon_sym___unused] = ACTIONS(7473),
    [anon_sym___weak] = ACTIONS(7473),
    [anon_sym_alignas] = ACTIONS(7485),
    [anon_sym__Alignas] = ACTIONS(7485),
    [anon_sym_struct] = ACTIONS(7604),
    [anon_sym_in] = ACTIONS(7604),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7489),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7489),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7489),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7489),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7489),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7489),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7489),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7489),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7489),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7491),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7491),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7491),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7491),
    [anon_sym_API_AVAILABLE] = ACTIONS(7491),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7491),
    [anon_sym_API_DEPRECATED] = ACTIONS(7491),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7491),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7491),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7491),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7491),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7491),
    [anon_sym___deprecated_msg] = ACTIONS(7491),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7491),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7491),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7491),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7491),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7491),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7491),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7491),
    [anon_sym_id] = ACTIONS(7604),
  },
  [3062] = {
    [sym_attribute_specifier] = STATE(3004),
    [sym_enumerator_list] = STATE(3178),
    [sym_identifier] = ACTIONS(7606),
    [anon_sym_COMMA] = ACTIONS(7608),
    [anon_sym_LPAREN2] = ACTIONS(7608),
    [anon_sym_STAR] = ACTIONS(7608),
    [anon_sym_CARET] = ACTIONS(7608),
    [anon_sym_SEMI] = ACTIONS(7608),
    [anon_sym___extension__] = ACTIONS(7606),
    [anon_sym_extern] = ACTIONS(7606),
    [anon_sym___attribute__] = ACTIONS(7610),
    [anon_sym___attribute] = ACTIONS(7610),
    [anon_sym_noreturn] = ACTIONS(7606),
    [anon_sym_LBRACK] = ACTIONS(7608),
    [anon_sym___declspec] = ACTIONS(7606),
    [anon_sym___based] = ACTIONS(7606),
    [anon_sym_LBRACE] = ACTIONS(7513),
    [anon_sym_static] = ACTIONS(7606),
    [anon_sym_auto] = ACTIONS(7606),
    [anon_sym_register] = ACTIONS(7606),
    [anon_sym_inline] = ACTIONS(7606),
    [anon_sym___inline] = ACTIONS(7606),
    [anon_sym___inline__] = ACTIONS(7606),
    [anon_sym___forceinline] = ACTIONS(7606),
    [anon_sym_thread_local] = ACTIONS(7606),
    [anon_sym___thread] = ACTIONS(7606),
    [anon_sym_CG_EXTERN] = ACTIONS(7606),
    [anon_sym_CG_INLINE] = ACTIONS(7606),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7606),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7606),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7606),
    [anon_sym_IBOutlet] = ACTIONS(7606),
    [anon_sym_IBInspectable] = ACTIONS(7606),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7606),
    [anon_sym_NS_INLINE] = ACTIONS(7606),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7606),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7606),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7606),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7606),
    [anon_sym_const] = ACTIONS(7606),
    [anon_sym_constexpr] = ACTIONS(7606),
    [anon_sym_volatile] = ACTIONS(7606),
    [anon_sym_restrict] = ACTIONS(7606),
    [anon_sym___restrict__] = ACTIONS(7606),
    [anon_sym__Atomic] = ACTIONS(7606),
    [anon_sym__Noreturn] = ACTIONS(7606),
    [anon_sym__Nonnull] = ACTIONS(7606),
    [anon_sym_nullable] = ACTIONS(7606),
    [anon_sym__Complex] = ACTIONS(7606),
    [anon_sym__Nullable] = ACTIONS(7606),
    [anon_sym__Nullable_result] = ACTIONS(7606),
    [anon_sym__Null_unspecified] = ACTIONS(7606),
    [anon_sym___autoreleasing] = ACTIONS(7606),
    [anon_sym___block] = ACTIONS(7606),
    [anon_sym___bridge] = ACTIONS(7606),
    [anon_sym___bridge_retained] = ACTIONS(7606),
    [anon_sym___bridge_transfer] = ACTIONS(7606),
    [anon_sym___complex] = ACTIONS(7606),
    [anon_sym___const] = ACTIONS(7606),
    [anon_sym___imag] = ACTIONS(7606),
    [anon_sym___kindof] = ACTIONS(7606),
    [anon_sym___nonnull] = ACTIONS(7606),
    [anon_sym___nullable] = ACTIONS(7606),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7606),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7606),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7606),
    [anon_sym___real] = ACTIONS(7606),
    [anon_sym___strong] = ACTIONS(7606),
    [anon_sym___unsafe_unretained] = ACTIONS(7606),
    [anon_sym___unused] = ACTIONS(7606),
    [anon_sym___weak] = ACTIONS(7606),
    [anon_sym_alignas] = ACTIONS(7606),
    [anon_sym__Alignas] = ACTIONS(7606),
    [anon_sym_enum] = ACTIONS(7606),
    [anon_sym_COLON] = ACTIONS(7613),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7606),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7606),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7606),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7606),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7606),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7606),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7606),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7606),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7606),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7606),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7606),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7606),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7606),
    [anon_sym_API_AVAILABLE] = ACTIONS(7606),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7606),
    [anon_sym_API_DEPRECATED] = ACTIONS(7606),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7606),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7606),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7606),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7606),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7606),
    [anon_sym___deprecated_msg] = ACTIONS(7606),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7606),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7606),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7606),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7606),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7606),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7606),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7606),
  },
  [3063] = {
    [anon_sym_COMMA] = ACTIONS(6778),
    [anon_sym_RPAREN] = ACTIONS(6778),
    [anon_sym_LPAREN2] = ACTIONS(6778),
    [anon_sym_SEMI] = ACTIONS(6778),
    [anon_sym___extension__] = ACTIONS(6778),
    [anon_sym_extern] = ACTIONS(6778),
    [anon_sym___attribute__] = ACTIONS(6778),
    [anon_sym___attribute] = ACTIONS(6776),
    [anon_sym_noreturn] = ACTIONS(6778),
    [anon_sym_LBRACK] = ACTIONS(6778),
    [anon_sym___declspec] = ACTIONS(6778),
    [anon_sym_LBRACE] = ACTIONS(6778),
    [anon_sym_static] = ACTIONS(6778),
    [anon_sym_EQ] = ACTIONS(6778),
    [anon_sym_ATautoreleasepool] = ACTIONS(6778),
    [anon_sym_auto] = ACTIONS(6778),
    [anon_sym_register] = ACTIONS(6778),
    [anon_sym_inline] = ACTIONS(6778),
    [anon_sym___inline] = ACTIONS(6776),
    [anon_sym___inline__] = ACTIONS(6778),
    [anon_sym___forceinline] = ACTIONS(6778),
    [anon_sym_thread_local] = ACTIONS(6778),
    [anon_sym___thread] = ACTIONS(6778),
    [anon_sym_CG_EXTERN] = ACTIONS(6778),
    [anon_sym_CG_INLINE] = ACTIONS(6778),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6778),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6778),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6778),
    [anon_sym_IBOutlet] = ACTIONS(6778),
    [anon_sym_IBInspectable] = ACTIONS(6778),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6778),
    [anon_sym_NS_INLINE] = ACTIONS(6778),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6778),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6778),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6778),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6778),
    [anon_sym_const] = ACTIONS(6776),
    [anon_sym_constexpr] = ACTIONS(6778),
    [anon_sym_volatile] = ACTIONS(6778),
    [anon_sym_restrict] = ACTIONS(6778),
    [anon_sym___restrict__] = ACTIONS(6778),
    [anon_sym__Atomic] = ACTIONS(6778),
    [anon_sym__Noreturn] = ACTIONS(6778),
    [anon_sym__Nonnull] = ACTIONS(6778),
    [anon_sym_nullable] = ACTIONS(6778),
    [anon_sym__Complex] = ACTIONS(6778),
    [anon_sym__Nullable] = ACTIONS(6776),
    [anon_sym__Nullable_result] = ACTIONS(6778),
    [anon_sym__Null_unspecified] = ACTIONS(6778),
    [anon_sym___autoreleasing] = ACTIONS(6778),
    [anon_sym___block] = ACTIONS(6778),
    [anon_sym___bridge] = ACTIONS(6776),
    [anon_sym___bridge_retained] = ACTIONS(6778),
    [anon_sym___bridge_transfer] = ACTIONS(6778),
    [anon_sym___complex] = ACTIONS(6778),
    [anon_sym___const] = ACTIONS(6778),
    [anon_sym___imag] = ACTIONS(6778),
    [anon_sym___kindof] = ACTIONS(6778),
    [anon_sym___nonnull] = ACTIONS(6778),
    [anon_sym___nullable] = ACTIONS(6778),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6778),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6778),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6778),
    [anon_sym___real] = ACTIONS(6778),
    [anon_sym___strong] = ACTIONS(6778),
    [anon_sym___unsafe_unretained] = ACTIONS(6778),
    [anon_sym___unused] = ACTIONS(6778),
    [anon_sym___weak] = ACTIONS(6778),
    [anon_sym_alignas] = ACTIONS(6778),
    [anon_sym__Alignas] = ACTIONS(6778),
    [anon_sym_COLON] = ACTIONS(6778),
    [anon_sym_in] = ACTIONS(6776),
    [anon_sym_asm] = ACTIONS(6778),
    [anon_sym___asm__] = ACTIONS(6778),
    [anon_sym___asm] = ACTIONS(6776),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6778),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6778),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6778),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6778),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6778),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6778),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6778),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6778),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6778),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6778),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6776),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6778),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6778),
    [anon_sym_API_AVAILABLE] = ACTIONS(6778),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6778),
    [anon_sym_API_DEPRECATED] = ACTIONS(6778),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6778),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6778),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6778),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6778),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6778),
    [anon_sym___deprecated_msg] = ACTIONS(6778),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6778),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6778),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6778),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6778),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6778),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6778),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6778),
  },
  [3064] = {
    [anon_sym_COMMA] = ACTIONS(6782),
    [anon_sym_RPAREN] = ACTIONS(6782),
    [anon_sym_LPAREN2] = ACTIONS(6782),
    [anon_sym_SEMI] = ACTIONS(6782),
    [anon_sym___extension__] = ACTIONS(6782),
    [anon_sym_extern] = ACTIONS(6782),
    [anon_sym___attribute__] = ACTIONS(6782),
    [anon_sym___attribute] = ACTIONS(6780),
    [anon_sym_noreturn] = ACTIONS(6782),
    [anon_sym_LBRACK] = ACTIONS(6782),
    [anon_sym___declspec] = ACTIONS(6782),
    [anon_sym_LBRACE] = ACTIONS(6782),
    [anon_sym_static] = ACTIONS(6782),
    [anon_sym_EQ] = ACTIONS(6782),
    [anon_sym_ATautoreleasepool] = ACTIONS(6782),
    [anon_sym_auto] = ACTIONS(6782),
    [anon_sym_register] = ACTIONS(6782),
    [anon_sym_inline] = ACTIONS(6782),
    [anon_sym___inline] = ACTIONS(6780),
    [anon_sym___inline__] = ACTIONS(6782),
    [anon_sym___forceinline] = ACTIONS(6782),
    [anon_sym_thread_local] = ACTIONS(6782),
    [anon_sym___thread] = ACTIONS(6782),
    [anon_sym_CG_EXTERN] = ACTIONS(6782),
    [anon_sym_CG_INLINE] = ACTIONS(6782),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6782),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6782),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6782),
    [anon_sym_IBOutlet] = ACTIONS(6782),
    [anon_sym_IBInspectable] = ACTIONS(6782),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6782),
    [anon_sym_NS_INLINE] = ACTIONS(6782),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6782),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6782),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6782),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6782),
    [anon_sym_const] = ACTIONS(6780),
    [anon_sym_constexpr] = ACTIONS(6782),
    [anon_sym_volatile] = ACTIONS(6782),
    [anon_sym_restrict] = ACTIONS(6782),
    [anon_sym___restrict__] = ACTIONS(6782),
    [anon_sym__Atomic] = ACTIONS(6782),
    [anon_sym__Noreturn] = ACTIONS(6782),
    [anon_sym__Nonnull] = ACTIONS(6782),
    [anon_sym_nullable] = ACTIONS(6782),
    [anon_sym__Complex] = ACTIONS(6782),
    [anon_sym__Nullable] = ACTIONS(6780),
    [anon_sym__Nullable_result] = ACTIONS(6782),
    [anon_sym__Null_unspecified] = ACTIONS(6782),
    [anon_sym___autoreleasing] = ACTIONS(6782),
    [anon_sym___block] = ACTIONS(6782),
    [anon_sym___bridge] = ACTIONS(6780),
    [anon_sym___bridge_retained] = ACTIONS(6782),
    [anon_sym___bridge_transfer] = ACTIONS(6782),
    [anon_sym___complex] = ACTIONS(6782),
    [anon_sym___const] = ACTIONS(6782),
    [anon_sym___imag] = ACTIONS(6782),
    [anon_sym___kindof] = ACTIONS(6782),
    [anon_sym___nonnull] = ACTIONS(6782),
    [anon_sym___nullable] = ACTIONS(6782),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6782),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6782),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6782),
    [anon_sym___real] = ACTIONS(6782),
    [anon_sym___strong] = ACTIONS(6782),
    [anon_sym___unsafe_unretained] = ACTIONS(6782),
    [anon_sym___unused] = ACTIONS(6782),
    [anon_sym___weak] = ACTIONS(6782),
    [anon_sym_alignas] = ACTIONS(6782),
    [anon_sym__Alignas] = ACTIONS(6782),
    [anon_sym_COLON] = ACTIONS(6782),
    [anon_sym_in] = ACTIONS(6780),
    [anon_sym_asm] = ACTIONS(6782),
    [anon_sym___asm__] = ACTIONS(6782),
    [anon_sym___asm] = ACTIONS(6780),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6782),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6782),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6782),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6782),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6782),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6782),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6782),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6782),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6782),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6782),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6780),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6782),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6782),
    [anon_sym_API_AVAILABLE] = ACTIONS(6782),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6782),
    [anon_sym_API_DEPRECATED] = ACTIONS(6782),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6782),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6782),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6782),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6782),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6782),
    [anon_sym___deprecated_msg] = ACTIONS(6782),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6782),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6782),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6782),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6782),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6782),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6782),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6782),
  },
  [3065] = {
    [anon_sym_COMMA] = ACTIONS(6762),
    [anon_sym_RPAREN] = ACTIONS(6762),
    [anon_sym_LPAREN2] = ACTIONS(6762),
    [anon_sym_SEMI] = ACTIONS(6762),
    [anon_sym___extension__] = ACTIONS(6762),
    [anon_sym_extern] = ACTIONS(6762),
    [anon_sym___attribute__] = ACTIONS(6762),
    [anon_sym___attribute] = ACTIONS(6760),
    [anon_sym_noreturn] = ACTIONS(6762),
    [anon_sym_LBRACK] = ACTIONS(6762),
    [anon_sym___declspec] = ACTIONS(6762),
    [anon_sym_LBRACE] = ACTIONS(6762),
    [anon_sym_static] = ACTIONS(6762),
    [anon_sym_EQ] = ACTIONS(6762),
    [anon_sym_ATautoreleasepool] = ACTIONS(6762),
    [anon_sym_auto] = ACTIONS(6762),
    [anon_sym_register] = ACTIONS(6762),
    [anon_sym_inline] = ACTIONS(6762),
    [anon_sym___inline] = ACTIONS(6760),
    [anon_sym___inline__] = ACTIONS(6762),
    [anon_sym___forceinline] = ACTIONS(6762),
    [anon_sym_thread_local] = ACTIONS(6762),
    [anon_sym___thread] = ACTIONS(6762),
    [anon_sym_CG_EXTERN] = ACTIONS(6762),
    [anon_sym_CG_INLINE] = ACTIONS(6762),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6762),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6762),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6762),
    [anon_sym_IBOutlet] = ACTIONS(6762),
    [anon_sym_IBInspectable] = ACTIONS(6762),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6762),
    [anon_sym_NS_INLINE] = ACTIONS(6762),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6762),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6762),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6762),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6762),
    [anon_sym_const] = ACTIONS(6760),
    [anon_sym_constexpr] = ACTIONS(6762),
    [anon_sym_volatile] = ACTIONS(6762),
    [anon_sym_restrict] = ACTIONS(6762),
    [anon_sym___restrict__] = ACTIONS(6762),
    [anon_sym__Atomic] = ACTIONS(6762),
    [anon_sym__Noreturn] = ACTIONS(6762),
    [anon_sym__Nonnull] = ACTIONS(6762),
    [anon_sym_nullable] = ACTIONS(6762),
    [anon_sym__Complex] = ACTIONS(6762),
    [anon_sym__Nullable] = ACTIONS(6760),
    [anon_sym__Nullable_result] = ACTIONS(6762),
    [anon_sym__Null_unspecified] = ACTIONS(6762),
    [anon_sym___autoreleasing] = ACTIONS(6762),
    [anon_sym___block] = ACTIONS(6762),
    [anon_sym___bridge] = ACTIONS(6760),
    [anon_sym___bridge_retained] = ACTIONS(6762),
    [anon_sym___bridge_transfer] = ACTIONS(6762),
    [anon_sym___complex] = ACTIONS(6762),
    [anon_sym___const] = ACTIONS(6762),
    [anon_sym___imag] = ACTIONS(6762),
    [anon_sym___kindof] = ACTIONS(6762),
    [anon_sym___nonnull] = ACTIONS(6762),
    [anon_sym___nullable] = ACTIONS(6762),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6762),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6762),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6762),
    [anon_sym___real] = ACTIONS(6762),
    [anon_sym___strong] = ACTIONS(6762),
    [anon_sym___unsafe_unretained] = ACTIONS(6762),
    [anon_sym___unused] = ACTIONS(6762),
    [anon_sym___weak] = ACTIONS(6762),
    [anon_sym_alignas] = ACTIONS(6762),
    [anon_sym__Alignas] = ACTIONS(6762),
    [anon_sym_COLON] = ACTIONS(6762),
    [anon_sym_in] = ACTIONS(6760),
    [anon_sym_asm] = ACTIONS(6762),
    [anon_sym___asm__] = ACTIONS(6762),
    [anon_sym___asm] = ACTIONS(6760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6762),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6762),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6762),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6762),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6762),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6762),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6762),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6762),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6762),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6762),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6760),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6762),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6762),
    [anon_sym_API_AVAILABLE] = ACTIONS(6762),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6762),
    [anon_sym_API_DEPRECATED] = ACTIONS(6762),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6762),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6762),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6762),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6762),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6762),
    [anon_sym___deprecated_msg] = ACTIONS(6762),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6762),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6762),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6762),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6762),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6762),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6762),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6762),
  },
  [3066] = {
    [sym_attribute_specifier] = STATE(2944),
    [sym_enumerator_list] = STATE(3133),
    [sym_identifier] = ACTIONS(7616),
    [anon_sym_COMMA] = ACTIONS(7618),
    [anon_sym_RPAREN] = ACTIONS(7618),
    [anon_sym_LPAREN2] = ACTIONS(7618),
    [anon_sym_STAR] = ACTIONS(7618),
    [anon_sym_CARET] = ACTIONS(7618),
    [anon_sym_SEMI] = ACTIONS(7618),
    [anon_sym___extension__] = ACTIONS(7616),
    [anon_sym_extern] = ACTIONS(7616),
    [anon_sym___attribute__] = ACTIONS(7620),
    [anon_sym___attribute] = ACTIONS(7620),
    [anon_sym_noreturn] = ACTIONS(7616),
    [anon_sym_LBRACK] = ACTIONS(7618),
    [anon_sym___declspec] = ACTIONS(7616),
    [anon_sym___based] = ACTIONS(7616),
    [anon_sym_LBRACE] = ACTIONS(7513),
    [anon_sym_static] = ACTIONS(7616),
    [anon_sym_auto] = ACTIONS(7616),
    [anon_sym_register] = ACTIONS(7616),
    [anon_sym_inline] = ACTIONS(7616),
    [anon_sym___inline] = ACTIONS(7616),
    [anon_sym___inline__] = ACTIONS(7616),
    [anon_sym___forceinline] = ACTIONS(7616),
    [anon_sym_thread_local] = ACTIONS(7616),
    [anon_sym___thread] = ACTIONS(7616),
    [anon_sym_CG_EXTERN] = ACTIONS(7616),
    [anon_sym_CG_INLINE] = ACTIONS(7616),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7616),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7616),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7616),
    [anon_sym_IBOutlet] = ACTIONS(7616),
    [anon_sym_IBInspectable] = ACTIONS(7616),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7616),
    [anon_sym_NS_INLINE] = ACTIONS(7616),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7616),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7616),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7616),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7616),
    [anon_sym_const] = ACTIONS(7616),
    [anon_sym_constexpr] = ACTIONS(7616),
    [anon_sym_volatile] = ACTIONS(7616),
    [anon_sym_restrict] = ACTIONS(7616),
    [anon_sym___restrict__] = ACTIONS(7616),
    [anon_sym__Atomic] = ACTIONS(7616),
    [anon_sym__Noreturn] = ACTIONS(7616),
    [anon_sym__Nonnull] = ACTIONS(7616),
    [anon_sym_nullable] = ACTIONS(7616),
    [anon_sym__Complex] = ACTIONS(7616),
    [anon_sym__Nullable] = ACTIONS(7616),
    [anon_sym__Nullable_result] = ACTIONS(7616),
    [anon_sym__Null_unspecified] = ACTIONS(7616),
    [anon_sym___autoreleasing] = ACTIONS(7616),
    [anon_sym___block] = ACTIONS(7616),
    [anon_sym___bridge] = ACTIONS(7616),
    [anon_sym___bridge_retained] = ACTIONS(7616),
    [anon_sym___bridge_transfer] = ACTIONS(7616),
    [anon_sym___complex] = ACTIONS(7616),
    [anon_sym___const] = ACTIONS(7616),
    [anon_sym___imag] = ACTIONS(7616),
    [anon_sym___kindof] = ACTIONS(7616),
    [anon_sym___nonnull] = ACTIONS(7616),
    [anon_sym___nullable] = ACTIONS(7616),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7616),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7616),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7616),
    [anon_sym___real] = ACTIONS(7616),
    [anon_sym___strong] = ACTIONS(7616),
    [anon_sym___unsafe_unretained] = ACTIONS(7616),
    [anon_sym___unused] = ACTIONS(7616),
    [anon_sym___weak] = ACTIONS(7616),
    [anon_sym_alignas] = ACTIONS(7616),
    [anon_sym__Alignas] = ACTIONS(7616),
    [anon_sym_COLON] = ACTIONS(7623),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7616),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7616),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7616),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7616),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7616),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7616),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7616),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7616),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7616),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7616),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7616),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7616),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7616),
    [anon_sym_API_AVAILABLE] = ACTIONS(7616),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7616),
    [anon_sym_API_DEPRECATED] = ACTIONS(7616),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7616),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7616),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7616),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7616),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7616),
    [anon_sym___deprecated_msg] = ACTIONS(7616),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7616),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7616),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7616),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7616),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7616),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7616),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7616),
  },
  [3067] = {
    [sym_attribute_specifier] = STATE(3067),
    [sym_type_qualifier] = STATE(3067),
    [sym_alignas_qualifier] = STATE(2412),
    [aux_sym_function_field_declarator_repeat1] = STATE(3067),
    [anon_sym_COMMA] = ACTIONS(7625),
    [anon_sym_RPAREN] = ACTIONS(7625),
    [anon_sym_LPAREN2] = ACTIONS(7625),
    [anon_sym_GT] = ACTIONS(7625),
    [anon_sym_SEMI] = ACTIONS(7625),
    [anon_sym___extension__] = ACTIONS(7627),
    [anon_sym_extern] = ACTIONS(7625),
    [anon_sym___attribute__] = ACTIONS(7630),
    [anon_sym___attribute] = ACTIONS(7633),
    [anon_sym_noreturn] = ACTIONS(7627),
    [anon_sym_LBRACK] = ACTIONS(7625),
    [anon_sym___declspec] = ACTIONS(7625),
    [anon_sym_LBRACE] = ACTIONS(7625),
    [anon_sym_static] = ACTIONS(7625),
    [anon_sym_ATautoreleasepool] = ACTIONS(7625),
    [anon_sym_auto] = ACTIONS(7625),
    [anon_sym_register] = ACTIONS(7625),
    [anon_sym_inline] = ACTIONS(7625),
    [anon_sym___inline] = ACTIONS(7636),
    [anon_sym___inline__] = ACTIONS(7625),
    [anon_sym___forceinline] = ACTIONS(7625),
    [anon_sym_thread_local] = ACTIONS(7625),
    [anon_sym___thread] = ACTIONS(7625),
    [anon_sym_CG_EXTERN] = ACTIONS(7625),
    [anon_sym_CG_INLINE] = ACTIONS(7625),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7625),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7625),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7625),
    [anon_sym_IBOutlet] = ACTIONS(7625),
    [anon_sym_IBInspectable] = ACTIONS(7625),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7625),
    [anon_sym_NS_INLINE] = ACTIONS(7625),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7625),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7625),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7625),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7625),
    [anon_sym_const] = ACTIONS(7638),
    [anon_sym_constexpr] = ACTIONS(7627),
    [anon_sym_volatile] = ACTIONS(7627),
    [anon_sym_restrict] = ACTIONS(7627),
    [anon_sym___restrict__] = ACTIONS(7627),
    [anon_sym__Atomic] = ACTIONS(7627),
    [anon_sym__Noreturn] = ACTIONS(7627),
    [anon_sym__Nonnull] = ACTIONS(7627),
    [anon_sym_nullable] = ACTIONS(7627),
    [anon_sym__Complex] = ACTIONS(7627),
    [anon_sym__Nullable] = ACTIONS(7638),
    [anon_sym__Nullable_result] = ACTIONS(7627),
    [anon_sym__Null_unspecified] = ACTIONS(7627),
    [anon_sym___autoreleasing] = ACTIONS(7627),
    [anon_sym___block] = ACTIONS(7627),
    [anon_sym___bridge] = ACTIONS(7638),
    [anon_sym___bridge_retained] = ACTIONS(7627),
    [anon_sym___bridge_transfer] = ACTIONS(7627),
    [anon_sym___complex] = ACTIONS(7627),
    [anon_sym___const] = ACTIONS(7627),
    [anon_sym___imag] = ACTIONS(7627),
    [anon_sym___kindof] = ACTIONS(7627),
    [anon_sym___nonnull] = ACTIONS(7627),
    [anon_sym___nullable] = ACTIONS(7627),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7627),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7627),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7627),
    [anon_sym___real] = ACTIONS(7627),
    [anon_sym___strong] = ACTIONS(7627),
    [anon_sym___unsafe_unretained] = ACTIONS(7627),
    [anon_sym___unused] = ACTIONS(7627),
    [anon_sym___weak] = ACTIONS(7627),
    [anon_sym_alignas] = ACTIONS(7641),
    [anon_sym__Alignas] = ACTIONS(7641),
    [anon_sym_COLON] = ACTIONS(7625),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7625),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7625),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7625),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7625),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7625),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7625),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7625),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7625),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7625),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7625),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7636),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7625),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7625),
    [anon_sym_API_AVAILABLE] = ACTIONS(7625),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7625),
    [anon_sym_API_DEPRECATED] = ACTIONS(7625),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7625),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7625),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7625),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7625),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7625),
    [anon_sym___deprecated_msg] = ACTIONS(7625),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7625),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7625),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7625),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7625),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7625),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7625),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7625),
  },
  [3068] = {
    [sym__declaration_modifiers] = STATE(5906),
    [sym_attribute_specifier] = STATE(5906),
    [sym_attribute_declaration] = STATE(5906),
    [sym_ms_declspec_modifier] = STATE(5906),
    [sym_storage_class_specifier] = STATE(5906),
    [sym_type_qualifier] = STATE(5906),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_parameter_list] = STATE(3017),
    [sym_availability_attribute_specifier] = STATE(5906),
    [anon_sym_COMMA] = ACTIONS(7644),
    [anon_sym_RPAREN] = ACTIONS(7644),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6810),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3069] = {
    [sym_attribute_specifier] = STATE(3004),
    [sym_enumerator_list] = STATE(3178),
    [sym_identifier] = ACTIONS(7606),
    [anon_sym_COMMA] = ACTIONS(7608),
    [anon_sym_RPAREN] = ACTIONS(7608),
    [anon_sym_LPAREN2] = ACTIONS(7608),
    [anon_sym_STAR] = ACTIONS(7608),
    [anon_sym_CARET] = ACTIONS(7608),
    [anon_sym_SEMI] = ACTIONS(7608),
    [anon_sym___extension__] = ACTIONS(7606),
    [anon_sym_extern] = ACTIONS(7606),
    [anon_sym___attribute__] = ACTIONS(7610),
    [anon_sym___attribute] = ACTIONS(7610),
    [anon_sym_noreturn] = ACTIONS(7606),
    [anon_sym_LBRACK] = ACTIONS(7608),
    [anon_sym___declspec] = ACTIONS(7606),
    [anon_sym___based] = ACTIONS(7606),
    [anon_sym_LBRACE] = ACTIONS(7513),
    [anon_sym_static] = ACTIONS(7606),
    [anon_sym_auto] = ACTIONS(7606),
    [anon_sym_register] = ACTIONS(7606),
    [anon_sym_inline] = ACTIONS(7606),
    [anon_sym___inline] = ACTIONS(7606),
    [anon_sym___inline__] = ACTIONS(7606),
    [anon_sym___forceinline] = ACTIONS(7606),
    [anon_sym_thread_local] = ACTIONS(7606),
    [anon_sym___thread] = ACTIONS(7606),
    [anon_sym_CG_EXTERN] = ACTIONS(7606),
    [anon_sym_CG_INLINE] = ACTIONS(7606),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7606),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7606),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7606),
    [anon_sym_IBOutlet] = ACTIONS(7606),
    [anon_sym_IBInspectable] = ACTIONS(7606),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7606),
    [anon_sym_NS_INLINE] = ACTIONS(7606),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7606),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7606),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7606),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7606),
    [anon_sym_const] = ACTIONS(7606),
    [anon_sym_constexpr] = ACTIONS(7606),
    [anon_sym_volatile] = ACTIONS(7606),
    [anon_sym_restrict] = ACTIONS(7606),
    [anon_sym___restrict__] = ACTIONS(7606),
    [anon_sym__Atomic] = ACTIONS(7606),
    [anon_sym__Noreturn] = ACTIONS(7606),
    [anon_sym__Nonnull] = ACTIONS(7606),
    [anon_sym_nullable] = ACTIONS(7606),
    [anon_sym__Complex] = ACTIONS(7606),
    [anon_sym__Nullable] = ACTIONS(7606),
    [anon_sym__Nullable_result] = ACTIONS(7606),
    [anon_sym__Null_unspecified] = ACTIONS(7606),
    [anon_sym___autoreleasing] = ACTIONS(7606),
    [anon_sym___block] = ACTIONS(7606),
    [anon_sym___bridge] = ACTIONS(7606),
    [anon_sym___bridge_retained] = ACTIONS(7606),
    [anon_sym___bridge_transfer] = ACTIONS(7606),
    [anon_sym___complex] = ACTIONS(7606),
    [anon_sym___const] = ACTIONS(7606),
    [anon_sym___imag] = ACTIONS(7606),
    [anon_sym___kindof] = ACTIONS(7606),
    [anon_sym___nonnull] = ACTIONS(7606),
    [anon_sym___nullable] = ACTIONS(7606),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7606),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7606),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7606),
    [anon_sym___real] = ACTIONS(7606),
    [anon_sym___strong] = ACTIONS(7606),
    [anon_sym___unsafe_unretained] = ACTIONS(7606),
    [anon_sym___unused] = ACTIONS(7606),
    [anon_sym___weak] = ACTIONS(7606),
    [anon_sym_alignas] = ACTIONS(7606),
    [anon_sym__Alignas] = ACTIONS(7606),
    [anon_sym_COLON] = ACTIONS(7646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7606),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7606),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7606),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7606),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7606),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7606),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7606),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7606),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7606),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7606),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7606),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7606),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7606),
    [anon_sym_API_AVAILABLE] = ACTIONS(7606),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7606),
    [anon_sym_API_DEPRECATED] = ACTIONS(7606),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7606),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7606),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7606),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7606),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7606),
    [anon_sym___deprecated_msg] = ACTIONS(7606),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7606),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7606),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7606),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7606),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7606),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7606),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7606),
  },
  [3070] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(7648),
    [anon_sym_STAR] = ACTIONS(5922),
    [anon_sym_CARET] = ACTIONS(5922),
    [anon_sym_LT] = ACTIONS(7074),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(5922),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [3071] = {
    [sym_attribute_specifier] = STATE(2944),
    [sym_enumerator_list] = STATE(3133),
    [sym_identifier] = ACTIONS(7616),
    [anon_sym_COMMA] = ACTIONS(7618),
    [anon_sym_LPAREN2] = ACTIONS(7618),
    [anon_sym_STAR] = ACTIONS(7618),
    [anon_sym_CARET] = ACTIONS(7618),
    [anon_sym_SEMI] = ACTIONS(7618),
    [anon_sym___extension__] = ACTIONS(7616),
    [anon_sym_extern] = ACTIONS(7616),
    [anon_sym___attribute__] = ACTIONS(7620),
    [anon_sym___attribute] = ACTIONS(7620),
    [anon_sym_noreturn] = ACTIONS(7616),
    [anon_sym_LBRACK] = ACTIONS(7618),
    [anon_sym___declspec] = ACTIONS(7616),
    [anon_sym___based] = ACTIONS(7616),
    [anon_sym_LBRACE] = ACTIONS(7513),
    [anon_sym_static] = ACTIONS(7616),
    [anon_sym_auto] = ACTIONS(7616),
    [anon_sym_register] = ACTIONS(7616),
    [anon_sym_inline] = ACTIONS(7616),
    [anon_sym___inline] = ACTIONS(7616),
    [anon_sym___inline__] = ACTIONS(7616),
    [anon_sym___forceinline] = ACTIONS(7616),
    [anon_sym_thread_local] = ACTIONS(7616),
    [anon_sym___thread] = ACTIONS(7616),
    [anon_sym_CG_EXTERN] = ACTIONS(7616),
    [anon_sym_CG_INLINE] = ACTIONS(7616),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7616),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7616),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7616),
    [anon_sym_IBOutlet] = ACTIONS(7616),
    [anon_sym_IBInspectable] = ACTIONS(7616),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7616),
    [anon_sym_NS_INLINE] = ACTIONS(7616),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7616),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7616),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7616),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7616),
    [anon_sym_const] = ACTIONS(7616),
    [anon_sym_constexpr] = ACTIONS(7616),
    [anon_sym_volatile] = ACTIONS(7616),
    [anon_sym_restrict] = ACTIONS(7616),
    [anon_sym___restrict__] = ACTIONS(7616),
    [anon_sym__Atomic] = ACTIONS(7616),
    [anon_sym__Noreturn] = ACTIONS(7616),
    [anon_sym__Nonnull] = ACTIONS(7616),
    [anon_sym_nullable] = ACTIONS(7616),
    [anon_sym__Complex] = ACTIONS(7616),
    [anon_sym__Nullable] = ACTIONS(7616),
    [anon_sym__Nullable_result] = ACTIONS(7616),
    [anon_sym__Null_unspecified] = ACTIONS(7616),
    [anon_sym___autoreleasing] = ACTIONS(7616),
    [anon_sym___block] = ACTIONS(7616),
    [anon_sym___bridge] = ACTIONS(7616),
    [anon_sym___bridge_retained] = ACTIONS(7616),
    [anon_sym___bridge_transfer] = ACTIONS(7616),
    [anon_sym___complex] = ACTIONS(7616),
    [anon_sym___const] = ACTIONS(7616),
    [anon_sym___imag] = ACTIONS(7616),
    [anon_sym___kindof] = ACTIONS(7616),
    [anon_sym___nonnull] = ACTIONS(7616),
    [anon_sym___nullable] = ACTIONS(7616),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7616),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7616),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7616),
    [anon_sym___real] = ACTIONS(7616),
    [anon_sym___strong] = ACTIONS(7616),
    [anon_sym___unsafe_unretained] = ACTIONS(7616),
    [anon_sym___unused] = ACTIONS(7616),
    [anon_sym___weak] = ACTIONS(7616),
    [anon_sym_alignas] = ACTIONS(7616),
    [anon_sym__Alignas] = ACTIONS(7616),
    [anon_sym_enum] = ACTIONS(7616),
    [anon_sym_COLON] = ACTIONS(7651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7616),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7616),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7616),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7616),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7616),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7616),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7616),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7616),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7616),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7616),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7616),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7616),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7616),
    [anon_sym_API_AVAILABLE] = ACTIONS(7616),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7616),
    [anon_sym_API_DEPRECATED] = ACTIONS(7616),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7616),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7616),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7616),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7616),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7616),
    [anon_sym___deprecated_msg] = ACTIONS(7616),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7616),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7616),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7616),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7616),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7616),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7616),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7616),
  },
  [3072] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(7654),
    [anon_sym_STAR] = ACTIONS(5922),
    [anon_sym_CARET] = ACTIONS(5922),
    [anon_sym_LT] = ACTIONS(7074),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_extern] = ACTIONS(4502),
    [anon_sym___attribute__] = ACTIONS(4502),
    [anon_sym___attribute] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(5922),
    [anon_sym___declspec] = ACTIONS(4502),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(4517),
    [anon_sym_unsigned] = ACTIONS(4517),
    [anon_sym_long] = ACTIONS(4517),
    [anon_sym_short] = ACTIONS(4517),
    [anon_sym_static] = ACTIONS(4502),
    [anon_sym_auto] = ACTIONS(4502),
    [anon_sym_register] = ACTIONS(4502),
    [anon_sym_inline] = ACTIONS(4502),
    [anon_sym___inline] = ACTIONS(4502),
    [anon_sym___inline__] = ACTIONS(4502),
    [anon_sym___forceinline] = ACTIONS(4502),
    [anon_sym_thread_local] = ACTIONS(4502),
    [anon_sym___thread] = ACTIONS(4502),
    [anon_sym_CG_EXTERN] = ACTIONS(4502),
    [anon_sym_CG_INLINE] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(4502),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(4502),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(4502),
    [anon_sym_IBOutlet] = ACTIONS(4502),
    [anon_sym_IBInspectable] = ACTIONS(4502),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(4502),
    [anon_sym_NS_INLINE] = ACTIONS(4502),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(4502),
    [anon_sym_OBJC_EXPORT] = ACTIONS(4502),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(4502),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(4502),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(4502),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(4502),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(4502),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE] = ACTIONS(4502),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_API_AVAILABLE] = ACTIONS(4502),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_API_DEPRECATED] = ACTIONS(4502),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(4502),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(4502),
    [anon_sym___deprecated_msg] = ACTIONS(4502),
    [anon_sym___deprecated_enum_msg] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(4502),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(4502),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(4502),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(4502),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(4502),
  },
  [3073] = {
    [sym_parameter_list] = STATE(3017),
    [anon_sym_COMMA] = ACTIONS(6754),
    [anon_sym_RPAREN] = ACTIONS(6754),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6754),
    [anon_sym___extension__] = ACTIONS(6754),
    [anon_sym_extern] = ACTIONS(6754),
    [anon_sym___attribute__] = ACTIONS(6754),
    [anon_sym___attribute] = ACTIONS(6752),
    [anon_sym_noreturn] = ACTIONS(6754),
    [anon_sym_LBRACK] = ACTIONS(7589),
    [anon_sym___declspec] = ACTIONS(6754),
    [anon_sym_LBRACE] = ACTIONS(6754),
    [anon_sym_static] = ACTIONS(6754),
    [anon_sym_EQ] = ACTIONS(6754),
    [anon_sym_ATautoreleasepool] = ACTIONS(6754),
    [anon_sym_auto] = ACTIONS(6754),
    [anon_sym_register] = ACTIONS(6754),
    [anon_sym_inline] = ACTIONS(6754),
    [anon_sym___inline] = ACTIONS(6752),
    [anon_sym___inline__] = ACTIONS(6754),
    [anon_sym___forceinline] = ACTIONS(6754),
    [anon_sym_thread_local] = ACTIONS(6754),
    [anon_sym___thread] = ACTIONS(6754),
    [anon_sym_CG_EXTERN] = ACTIONS(6754),
    [anon_sym_CG_INLINE] = ACTIONS(6754),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6754),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6754),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6754),
    [anon_sym_IBOutlet] = ACTIONS(6754),
    [anon_sym_IBInspectable] = ACTIONS(6754),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6754),
    [anon_sym_NS_INLINE] = ACTIONS(6754),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6754),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6754),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6754),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6754),
    [anon_sym_const] = ACTIONS(6752),
    [anon_sym_constexpr] = ACTIONS(6754),
    [anon_sym_volatile] = ACTIONS(6754),
    [anon_sym_restrict] = ACTIONS(6754),
    [anon_sym___restrict__] = ACTIONS(6754),
    [anon_sym__Atomic] = ACTIONS(6754),
    [anon_sym__Noreturn] = ACTIONS(6754),
    [anon_sym__Nonnull] = ACTIONS(6754),
    [anon_sym_nullable] = ACTIONS(6754),
    [anon_sym__Complex] = ACTIONS(6754),
    [anon_sym__Nullable] = ACTIONS(6752),
    [anon_sym__Nullable_result] = ACTIONS(6754),
    [anon_sym__Null_unspecified] = ACTIONS(6754),
    [anon_sym___autoreleasing] = ACTIONS(6754),
    [anon_sym___block] = ACTIONS(6754),
    [anon_sym___bridge] = ACTIONS(6752),
    [anon_sym___bridge_retained] = ACTIONS(6754),
    [anon_sym___bridge_transfer] = ACTIONS(6754),
    [anon_sym___complex] = ACTIONS(6754),
    [anon_sym___const] = ACTIONS(6754),
    [anon_sym___imag] = ACTIONS(6754),
    [anon_sym___kindof] = ACTIONS(6754),
    [anon_sym___nonnull] = ACTIONS(6754),
    [anon_sym___nullable] = ACTIONS(6754),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6754),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6754),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6754),
    [anon_sym___real] = ACTIONS(6754),
    [anon_sym___strong] = ACTIONS(6754),
    [anon_sym___unsafe_unretained] = ACTIONS(6754),
    [anon_sym___unused] = ACTIONS(6754),
    [anon_sym___weak] = ACTIONS(6754),
    [anon_sym_alignas] = ACTIONS(6754),
    [anon_sym__Alignas] = ACTIONS(6754),
    [anon_sym_COLON] = ACTIONS(6754),
    [anon_sym_asm] = ACTIONS(6754),
    [anon_sym___asm__] = ACTIONS(6754),
    [anon_sym___asm] = ACTIONS(6752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6754),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6754),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6754),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6754),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6754),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6754),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6754),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6754),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6754),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6754),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6752),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6754),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6754),
    [anon_sym_API_AVAILABLE] = ACTIONS(6754),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6754),
    [anon_sym_API_DEPRECATED] = ACTIONS(6754),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6754),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6754),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6754),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6754),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6754),
    [anon_sym___deprecated_msg] = ACTIONS(6754),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6754),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6754),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6754),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6754),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6754),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6754),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6754),
  },
  [3074] = {
    [sym_parameter_list] = STATE(3017),
    [anon_sym_COMMA] = ACTIONS(6736),
    [anon_sym_RPAREN] = ACTIONS(6736),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6736),
    [anon_sym___extension__] = ACTIONS(6736),
    [anon_sym_extern] = ACTIONS(6736),
    [anon_sym___attribute__] = ACTIONS(6736),
    [anon_sym___attribute] = ACTIONS(6734),
    [anon_sym_noreturn] = ACTIONS(6736),
    [anon_sym_LBRACK] = ACTIONS(7589),
    [anon_sym___declspec] = ACTIONS(6736),
    [anon_sym_LBRACE] = ACTIONS(6736),
    [anon_sym_static] = ACTIONS(6736),
    [anon_sym_EQ] = ACTIONS(6736),
    [anon_sym_ATautoreleasepool] = ACTIONS(6736),
    [anon_sym_auto] = ACTIONS(6736),
    [anon_sym_register] = ACTIONS(6736),
    [anon_sym_inline] = ACTIONS(6736),
    [anon_sym___inline] = ACTIONS(6734),
    [anon_sym___inline__] = ACTIONS(6736),
    [anon_sym___forceinline] = ACTIONS(6736),
    [anon_sym_thread_local] = ACTIONS(6736),
    [anon_sym___thread] = ACTIONS(6736),
    [anon_sym_CG_EXTERN] = ACTIONS(6736),
    [anon_sym_CG_INLINE] = ACTIONS(6736),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6736),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6736),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6736),
    [anon_sym_IBOutlet] = ACTIONS(6736),
    [anon_sym_IBInspectable] = ACTIONS(6736),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6736),
    [anon_sym_NS_INLINE] = ACTIONS(6736),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6736),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6736),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6736),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6736),
    [anon_sym_const] = ACTIONS(6734),
    [anon_sym_constexpr] = ACTIONS(6736),
    [anon_sym_volatile] = ACTIONS(6736),
    [anon_sym_restrict] = ACTIONS(6736),
    [anon_sym___restrict__] = ACTIONS(6736),
    [anon_sym__Atomic] = ACTIONS(6736),
    [anon_sym__Noreturn] = ACTIONS(6736),
    [anon_sym__Nonnull] = ACTIONS(6736),
    [anon_sym_nullable] = ACTIONS(6736),
    [anon_sym__Complex] = ACTIONS(6736),
    [anon_sym__Nullable] = ACTIONS(6734),
    [anon_sym__Nullable_result] = ACTIONS(6736),
    [anon_sym__Null_unspecified] = ACTIONS(6736),
    [anon_sym___autoreleasing] = ACTIONS(6736),
    [anon_sym___block] = ACTIONS(6736),
    [anon_sym___bridge] = ACTIONS(6734),
    [anon_sym___bridge_retained] = ACTIONS(6736),
    [anon_sym___bridge_transfer] = ACTIONS(6736),
    [anon_sym___complex] = ACTIONS(6736),
    [anon_sym___const] = ACTIONS(6736),
    [anon_sym___imag] = ACTIONS(6736),
    [anon_sym___kindof] = ACTIONS(6736),
    [anon_sym___nonnull] = ACTIONS(6736),
    [anon_sym___nullable] = ACTIONS(6736),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6736),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6736),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6736),
    [anon_sym___real] = ACTIONS(6736),
    [anon_sym___strong] = ACTIONS(6736),
    [anon_sym___unsafe_unretained] = ACTIONS(6736),
    [anon_sym___unused] = ACTIONS(6736),
    [anon_sym___weak] = ACTIONS(6736),
    [anon_sym_alignas] = ACTIONS(6736),
    [anon_sym__Alignas] = ACTIONS(6736),
    [anon_sym_COLON] = ACTIONS(6736),
    [anon_sym_asm] = ACTIONS(6736),
    [anon_sym___asm__] = ACTIONS(6736),
    [anon_sym___asm] = ACTIONS(6734),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6736),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6736),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6736),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6736),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6736),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6736),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6736),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6736),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6736),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6736),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6734),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6736),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6736),
    [anon_sym_API_AVAILABLE] = ACTIONS(6736),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6736),
    [anon_sym_API_DEPRECATED] = ACTIONS(6736),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6736),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6736),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6736),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6736),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6736),
    [anon_sym___deprecated_msg] = ACTIONS(6736),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6736),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6736),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6736),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6736),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6736),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6736),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6736),
  },
  [3075] = {
    [anon_sym_COMMA] = ACTIONS(6645),
    [anon_sym_RPAREN] = ACTIONS(6645),
    [anon_sym_LPAREN2] = ACTIONS(6645),
    [anon_sym_SEMI] = ACTIONS(6645),
    [anon_sym___extension__] = ACTIONS(6645),
    [anon_sym_extern] = ACTIONS(6645),
    [anon_sym___attribute__] = ACTIONS(6645),
    [anon_sym___attribute] = ACTIONS(6643),
    [anon_sym_noreturn] = ACTIONS(6645),
    [anon_sym_LBRACK] = ACTIONS(6645),
    [anon_sym___declspec] = ACTIONS(6645),
    [anon_sym_LBRACE] = ACTIONS(6645),
    [anon_sym_static] = ACTIONS(6645),
    [anon_sym_EQ] = ACTIONS(6645),
    [anon_sym_ATautoreleasepool] = ACTIONS(6645),
    [anon_sym_auto] = ACTIONS(6645),
    [anon_sym_register] = ACTIONS(6645),
    [anon_sym_inline] = ACTIONS(6645),
    [anon_sym___inline] = ACTIONS(6643),
    [anon_sym___inline__] = ACTIONS(6645),
    [anon_sym___forceinline] = ACTIONS(6645),
    [anon_sym_thread_local] = ACTIONS(6645),
    [anon_sym___thread] = ACTIONS(6645),
    [anon_sym_CG_EXTERN] = ACTIONS(6645),
    [anon_sym_CG_INLINE] = ACTIONS(6645),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6645),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6645),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6645),
    [anon_sym_IBOutlet] = ACTIONS(6645),
    [anon_sym_IBInspectable] = ACTIONS(6645),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6645),
    [anon_sym_NS_INLINE] = ACTIONS(6645),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6645),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6645),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6645),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6645),
    [anon_sym_const] = ACTIONS(6643),
    [anon_sym_constexpr] = ACTIONS(6645),
    [anon_sym_volatile] = ACTIONS(6645),
    [anon_sym_restrict] = ACTIONS(6645),
    [anon_sym___restrict__] = ACTIONS(6645),
    [anon_sym__Atomic] = ACTIONS(6645),
    [anon_sym__Noreturn] = ACTIONS(6645),
    [anon_sym__Nonnull] = ACTIONS(6645),
    [anon_sym_nullable] = ACTIONS(6645),
    [anon_sym__Complex] = ACTIONS(6645),
    [anon_sym__Nullable] = ACTIONS(6643),
    [anon_sym__Nullable_result] = ACTIONS(6645),
    [anon_sym__Null_unspecified] = ACTIONS(6645),
    [anon_sym___autoreleasing] = ACTIONS(6645),
    [anon_sym___block] = ACTIONS(6645),
    [anon_sym___bridge] = ACTIONS(6643),
    [anon_sym___bridge_retained] = ACTIONS(6645),
    [anon_sym___bridge_transfer] = ACTIONS(6645),
    [anon_sym___complex] = ACTIONS(6645),
    [anon_sym___const] = ACTIONS(6645),
    [anon_sym___imag] = ACTIONS(6645),
    [anon_sym___kindof] = ACTIONS(6645),
    [anon_sym___nonnull] = ACTIONS(6645),
    [anon_sym___nullable] = ACTIONS(6645),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6645),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6645),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6645),
    [anon_sym___real] = ACTIONS(6645),
    [anon_sym___strong] = ACTIONS(6645),
    [anon_sym___unsafe_unretained] = ACTIONS(6645),
    [anon_sym___unused] = ACTIONS(6645),
    [anon_sym___weak] = ACTIONS(6645),
    [anon_sym_alignas] = ACTIONS(6645),
    [anon_sym__Alignas] = ACTIONS(6645),
    [anon_sym_COLON] = ACTIONS(6645),
    [anon_sym_in] = ACTIONS(6643),
    [anon_sym_asm] = ACTIONS(6645),
    [anon_sym___asm__] = ACTIONS(6645),
    [anon_sym___asm] = ACTIONS(6643),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6645),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6645),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6645),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6645),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6645),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6645),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6645),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6645),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6645),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6645),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6643),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6645),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6645),
    [anon_sym_API_AVAILABLE] = ACTIONS(6645),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6645),
    [anon_sym_API_DEPRECATED] = ACTIONS(6645),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6645),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6645),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6645),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6645),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6645),
    [anon_sym___deprecated_msg] = ACTIONS(6645),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6645),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6645),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6645),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6645),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6645),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6645),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6645),
  },
  [3076] = {
    [anon_sym_COMMA] = ACTIONS(6653),
    [anon_sym_RPAREN] = ACTIONS(6653),
    [anon_sym_LPAREN2] = ACTIONS(6653),
    [anon_sym_SEMI] = ACTIONS(6653),
    [anon_sym___extension__] = ACTIONS(6653),
    [anon_sym_extern] = ACTIONS(6653),
    [anon_sym___attribute__] = ACTIONS(6653),
    [anon_sym___attribute] = ACTIONS(6661),
    [anon_sym_noreturn] = ACTIONS(6653),
    [anon_sym_LBRACK] = ACTIONS(6653),
    [anon_sym___declspec] = ACTIONS(6653),
    [anon_sym_LBRACE] = ACTIONS(6653),
    [anon_sym_static] = ACTIONS(6653),
    [anon_sym_EQ] = ACTIONS(6653),
    [anon_sym_ATautoreleasepool] = ACTIONS(6653),
    [anon_sym_auto] = ACTIONS(6653),
    [anon_sym_register] = ACTIONS(6653),
    [anon_sym_inline] = ACTIONS(6653),
    [anon_sym___inline] = ACTIONS(6661),
    [anon_sym___inline__] = ACTIONS(6653),
    [anon_sym___forceinline] = ACTIONS(6653),
    [anon_sym_thread_local] = ACTIONS(6653),
    [anon_sym___thread] = ACTIONS(6653),
    [anon_sym_CG_EXTERN] = ACTIONS(6653),
    [anon_sym_CG_INLINE] = ACTIONS(6653),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6653),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6653),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6653),
    [anon_sym_IBOutlet] = ACTIONS(6653),
    [anon_sym_IBInspectable] = ACTIONS(6653),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6653),
    [anon_sym_NS_INLINE] = ACTIONS(6653),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6653),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6653),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6653),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6653),
    [anon_sym_const] = ACTIONS(6661),
    [anon_sym_constexpr] = ACTIONS(6653),
    [anon_sym_volatile] = ACTIONS(6653),
    [anon_sym_restrict] = ACTIONS(6653),
    [anon_sym___restrict__] = ACTIONS(6653),
    [anon_sym__Atomic] = ACTIONS(6653),
    [anon_sym__Noreturn] = ACTIONS(6653),
    [anon_sym__Nonnull] = ACTIONS(6653),
    [anon_sym_nullable] = ACTIONS(6653),
    [anon_sym__Complex] = ACTIONS(6653),
    [anon_sym__Nullable] = ACTIONS(6661),
    [anon_sym__Nullable_result] = ACTIONS(6653),
    [anon_sym__Null_unspecified] = ACTIONS(6653),
    [anon_sym___autoreleasing] = ACTIONS(6653),
    [anon_sym___block] = ACTIONS(6653),
    [anon_sym___bridge] = ACTIONS(6661),
    [anon_sym___bridge_retained] = ACTIONS(6653),
    [anon_sym___bridge_transfer] = ACTIONS(6653),
    [anon_sym___complex] = ACTIONS(6653),
    [anon_sym___const] = ACTIONS(6653),
    [anon_sym___imag] = ACTIONS(6653),
    [anon_sym___kindof] = ACTIONS(6653),
    [anon_sym___nonnull] = ACTIONS(6653),
    [anon_sym___nullable] = ACTIONS(6653),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6653),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6653),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6653),
    [anon_sym___real] = ACTIONS(6653),
    [anon_sym___strong] = ACTIONS(6653),
    [anon_sym___unsafe_unretained] = ACTIONS(6653),
    [anon_sym___unused] = ACTIONS(6653),
    [anon_sym___weak] = ACTIONS(6653),
    [anon_sym_alignas] = ACTIONS(6653),
    [anon_sym__Alignas] = ACTIONS(6653),
    [anon_sym_COLON] = ACTIONS(6653),
    [anon_sym_in] = ACTIONS(6661),
    [anon_sym_asm] = ACTIONS(6653),
    [anon_sym___asm__] = ACTIONS(6653),
    [anon_sym___asm] = ACTIONS(6661),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6653),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6653),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6653),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6653),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6653),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6653),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6653),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6653),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6653),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6653),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6661),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6653),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6653),
    [anon_sym_API_AVAILABLE] = ACTIONS(6653),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6653),
    [anon_sym_API_DEPRECATED] = ACTIONS(6653),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6653),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6653),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6653),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6653),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6653),
    [anon_sym___deprecated_msg] = ACTIONS(6653),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6653),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6653),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6653),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6653),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6653),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6653),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6653),
  },
  [3077] = {
    [anon_sym_COMMA] = ACTIONS(6774),
    [anon_sym_RPAREN] = ACTIONS(6774),
    [anon_sym_LPAREN2] = ACTIONS(6774),
    [anon_sym_SEMI] = ACTIONS(6774),
    [anon_sym___extension__] = ACTIONS(6774),
    [anon_sym_extern] = ACTIONS(6774),
    [anon_sym___attribute__] = ACTIONS(6774),
    [anon_sym___attribute] = ACTIONS(6772),
    [anon_sym_noreturn] = ACTIONS(6774),
    [anon_sym_LBRACK] = ACTIONS(6774),
    [anon_sym___declspec] = ACTIONS(6774),
    [anon_sym_LBRACE] = ACTIONS(6774),
    [anon_sym_static] = ACTIONS(6774),
    [anon_sym_EQ] = ACTIONS(6774),
    [anon_sym_ATautoreleasepool] = ACTIONS(6774),
    [anon_sym_auto] = ACTIONS(6774),
    [anon_sym_register] = ACTIONS(6774),
    [anon_sym_inline] = ACTIONS(6774),
    [anon_sym___inline] = ACTIONS(6772),
    [anon_sym___inline__] = ACTIONS(6774),
    [anon_sym___forceinline] = ACTIONS(6774),
    [anon_sym_thread_local] = ACTIONS(6774),
    [anon_sym___thread] = ACTIONS(6774),
    [anon_sym_CG_EXTERN] = ACTIONS(6774),
    [anon_sym_CG_INLINE] = ACTIONS(6774),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6774),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6774),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6774),
    [anon_sym_IBOutlet] = ACTIONS(6774),
    [anon_sym_IBInspectable] = ACTIONS(6774),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6774),
    [anon_sym_NS_INLINE] = ACTIONS(6774),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6774),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6774),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6774),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6774),
    [anon_sym_const] = ACTIONS(6772),
    [anon_sym_constexpr] = ACTIONS(6774),
    [anon_sym_volatile] = ACTIONS(6774),
    [anon_sym_restrict] = ACTIONS(6774),
    [anon_sym___restrict__] = ACTIONS(6774),
    [anon_sym__Atomic] = ACTIONS(6774),
    [anon_sym__Noreturn] = ACTIONS(6774),
    [anon_sym__Nonnull] = ACTIONS(6774),
    [anon_sym_nullable] = ACTIONS(6774),
    [anon_sym__Complex] = ACTIONS(6774),
    [anon_sym__Nullable] = ACTIONS(6772),
    [anon_sym__Nullable_result] = ACTIONS(6774),
    [anon_sym__Null_unspecified] = ACTIONS(6774),
    [anon_sym___autoreleasing] = ACTIONS(6774),
    [anon_sym___block] = ACTIONS(6774),
    [anon_sym___bridge] = ACTIONS(6772),
    [anon_sym___bridge_retained] = ACTIONS(6774),
    [anon_sym___bridge_transfer] = ACTIONS(6774),
    [anon_sym___complex] = ACTIONS(6774),
    [anon_sym___const] = ACTIONS(6774),
    [anon_sym___imag] = ACTIONS(6774),
    [anon_sym___kindof] = ACTIONS(6774),
    [anon_sym___nonnull] = ACTIONS(6774),
    [anon_sym___nullable] = ACTIONS(6774),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6774),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6774),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6774),
    [anon_sym___real] = ACTIONS(6774),
    [anon_sym___strong] = ACTIONS(6774),
    [anon_sym___unsafe_unretained] = ACTIONS(6774),
    [anon_sym___unused] = ACTIONS(6774),
    [anon_sym___weak] = ACTIONS(6774),
    [anon_sym_alignas] = ACTIONS(6774),
    [anon_sym__Alignas] = ACTIONS(6774),
    [anon_sym_COLON] = ACTIONS(6774),
    [anon_sym_in] = ACTIONS(6772),
    [anon_sym_asm] = ACTIONS(6774),
    [anon_sym___asm__] = ACTIONS(6774),
    [anon_sym___asm] = ACTIONS(6772),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6774),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6774),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6774),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6774),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6774),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6774),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6774),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6774),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6774),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6774),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6772),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6774),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6774),
    [anon_sym_API_AVAILABLE] = ACTIONS(6774),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6774),
    [anon_sym_API_DEPRECATED] = ACTIONS(6774),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6774),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6774),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6774),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6774),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6774),
    [anon_sym___deprecated_msg] = ACTIONS(6774),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6774),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6774),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6774),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6774),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6774),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6774),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6774),
  },
  [3078] = {
    [sym__declaration_modifiers] = STATE(5164),
    [sym_attribute_specifier] = STATE(5164),
    [sym_attribute_declaration] = STATE(5164),
    [sym_ms_declspec_modifier] = STATE(5164),
    [sym_storage_class_specifier] = STATE(5164),
    [sym_type_qualifier] = STATE(5164),
    [sym_alignas_qualifier] = STATE(5137),
    [sym_availability_attribute_specifier] = STATE(5164),
    [sym_identifier] = ACTIONS(7600),
    [anon_sym___extension__] = ACTIONS(7473),
    [anon_sym_extern] = ACTIONS(7475),
    [anon_sym___attribute__] = ACTIONS(7477),
    [anon_sym___attribute] = ACTIONS(7477),
    [anon_sym_noreturn] = ACTIONS(7473),
    [anon_sym_LBRACK] = ACTIONS(7479),
    [anon_sym___declspec] = ACTIONS(7481),
    [anon_sym_static] = ACTIONS(7475),
    [anon_sym_auto] = ACTIONS(7475),
    [anon_sym_register] = ACTIONS(7475),
    [anon_sym_inline] = ACTIONS(7475),
    [anon_sym___inline] = ACTIONS(7475),
    [anon_sym___inline__] = ACTIONS(7475),
    [anon_sym___forceinline] = ACTIONS(7475),
    [anon_sym_thread_local] = ACTIONS(7475),
    [anon_sym___thread] = ACTIONS(7475),
    [anon_sym_CG_EXTERN] = ACTIONS(7475),
    [anon_sym_CG_INLINE] = ACTIONS(7475),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7475),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7475),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7475),
    [anon_sym_IBOutlet] = ACTIONS(7475),
    [anon_sym_IBInspectable] = ACTIONS(7475),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7475),
    [anon_sym_NS_INLINE] = ACTIONS(7475),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7475),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7475),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7475),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7475),
    [anon_sym_const] = ACTIONS(7657),
    [anon_sym_constexpr] = ACTIONS(7473),
    [anon_sym_volatile] = ACTIONS(7473),
    [anon_sym_restrict] = ACTIONS(7473),
    [anon_sym___restrict__] = ACTIONS(7473),
    [anon_sym__Atomic] = ACTIONS(7473),
    [anon_sym__Noreturn] = ACTIONS(7473),
    [anon_sym__Nonnull] = ACTIONS(7473),
    [anon_sym_nullable] = ACTIONS(7473),
    [anon_sym__Complex] = ACTIONS(7473),
    [anon_sym__Nullable] = ACTIONS(7473),
    [anon_sym__Nullable_result] = ACTIONS(7473),
    [anon_sym__Null_unspecified] = ACTIONS(7473),
    [anon_sym___autoreleasing] = ACTIONS(7473),
    [anon_sym___block] = ACTIONS(7473),
    [anon_sym___bridge] = ACTIONS(7473),
    [anon_sym___bridge_retained] = ACTIONS(7473),
    [anon_sym___bridge_transfer] = ACTIONS(7473),
    [anon_sym___complex] = ACTIONS(7473),
    [anon_sym___const] = ACTIONS(7473),
    [anon_sym___imag] = ACTIONS(7473),
    [anon_sym___kindof] = ACTIONS(7473),
    [anon_sym___nonnull] = ACTIONS(7473),
    [anon_sym___nullable] = ACTIONS(7473),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7473),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7473),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7473),
    [anon_sym___real] = ACTIONS(7473),
    [anon_sym___strong] = ACTIONS(7473),
    [anon_sym___unsafe_unretained] = ACTIONS(7473),
    [anon_sym___unused] = ACTIONS(7473),
    [anon_sym___weak] = ACTIONS(7473),
    [anon_sym_alignas] = ACTIONS(7485),
    [anon_sym__Alignas] = ACTIONS(7485),
    [anon_sym_struct] = ACTIONS(7604),
    [anon_sym_in] = ACTIONS(7604),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7489),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7489),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7489),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7489),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7489),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7489),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7489),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7489),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7489),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7491),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7491),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7491),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7491),
    [anon_sym_API_AVAILABLE] = ACTIONS(7491),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7491),
    [anon_sym_API_DEPRECATED] = ACTIONS(7491),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7491),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7491),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7491),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7491),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7491),
    [anon_sym___deprecated_msg] = ACTIONS(7491),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7491),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7491),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7491),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7491),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7491),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7491),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7491),
    [anon_sym_id] = ACTIONS(7604),
  },
  [3079] = {
    [anon_sym_COMMA] = ACTIONS(6649),
    [anon_sym_RPAREN] = ACTIONS(6649),
    [anon_sym_LPAREN2] = ACTIONS(6649),
    [anon_sym_SEMI] = ACTIONS(6649),
    [anon_sym___extension__] = ACTIONS(6649),
    [anon_sym_extern] = ACTIONS(6649),
    [anon_sym___attribute__] = ACTIONS(6649),
    [anon_sym___attribute] = ACTIONS(6647),
    [anon_sym_noreturn] = ACTIONS(6649),
    [anon_sym_LBRACK] = ACTIONS(6649),
    [anon_sym___declspec] = ACTIONS(6649),
    [anon_sym_LBRACE] = ACTIONS(6649),
    [anon_sym_static] = ACTIONS(6649),
    [anon_sym_EQ] = ACTIONS(6649),
    [anon_sym_ATautoreleasepool] = ACTIONS(6649),
    [anon_sym_auto] = ACTIONS(6649),
    [anon_sym_register] = ACTIONS(6649),
    [anon_sym_inline] = ACTIONS(6649),
    [anon_sym___inline] = ACTIONS(6647),
    [anon_sym___inline__] = ACTIONS(6649),
    [anon_sym___forceinline] = ACTIONS(6649),
    [anon_sym_thread_local] = ACTIONS(6649),
    [anon_sym___thread] = ACTIONS(6649),
    [anon_sym_CG_EXTERN] = ACTIONS(6649),
    [anon_sym_CG_INLINE] = ACTIONS(6649),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6649),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6649),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6649),
    [anon_sym_IBOutlet] = ACTIONS(6649),
    [anon_sym_IBInspectable] = ACTIONS(6649),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6649),
    [anon_sym_NS_INLINE] = ACTIONS(6649),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6649),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6649),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6649),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6649),
    [anon_sym_const] = ACTIONS(6647),
    [anon_sym_constexpr] = ACTIONS(6649),
    [anon_sym_volatile] = ACTIONS(6649),
    [anon_sym_restrict] = ACTIONS(6649),
    [anon_sym___restrict__] = ACTIONS(6649),
    [anon_sym__Atomic] = ACTIONS(6649),
    [anon_sym__Noreturn] = ACTIONS(6649),
    [anon_sym__Nonnull] = ACTIONS(6649),
    [anon_sym_nullable] = ACTIONS(6649),
    [anon_sym__Complex] = ACTIONS(6649),
    [anon_sym__Nullable] = ACTIONS(6647),
    [anon_sym__Nullable_result] = ACTIONS(6649),
    [anon_sym__Null_unspecified] = ACTIONS(6649),
    [anon_sym___autoreleasing] = ACTIONS(6649),
    [anon_sym___block] = ACTIONS(6649),
    [anon_sym___bridge] = ACTIONS(6647),
    [anon_sym___bridge_retained] = ACTIONS(6649),
    [anon_sym___bridge_transfer] = ACTIONS(6649),
    [anon_sym___complex] = ACTIONS(6649),
    [anon_sym___const] = ACTIONS(6649),
    [anon_sym___imag] = ACTIONS(6649),
    [anon_sym___kindof] = ACTIONS(6649),
    [anon_sym___nonnull] = ACTIONS(6649),
    [anon_sym___nullable] = ACTIONS(6649),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6649),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6649),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6649),
    [anon_sym___real] = ACTIONS(6649),
    [anon_sym___strong] = ACTIONS(6649),
    [anon_sym___unsafe_unretained] = ACTIONS(6649),
    [anon_sym___unused] = ACTIONS(6649),
    [anon_sym___weak] = ACTIONS(6649),
    [anon_sym_alignas] = ACTIONS(6649),
    [anon_sym__Alignas] = ACTIONS(6649),
    [anon_sym_COLON] = ACTIONS(6649),
    [anon_sym_in] = ACTIONS(6647),
    [anon_sym_asm] = ACTIONS(6649),
    [anon_sym___asm__] = ACTIONS(6649),
    [anon_sym___asm] = ACTIONS(6647),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6649),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6649),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6649),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6649),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6649),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6649),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6649),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6649),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6649),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6649),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6647),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6649),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6649),
    [anon_sym_API_AVAILABLE] = ACTIONS(6649),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6649),
    [anon_sym_API_DEPRECATED] = ACTIONS(6649),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6649),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6649),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6649),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6649),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6649),
    [anon_sym___deprecated_msg] = ACTIONS(6649),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6649),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6649),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6649),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6649),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6649),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6649),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6649),
  },
  [3080] = {
    [sym_parameter_list] = STATE(3017),
    [anon_sym_COMMA] = ACTIONS(6740),
    [anon_sym_RPAREN] = ACTIONS(6740),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6740),
    [anon_sym___extension__] = ACTIONS(6740),
    [anon_sym_extern] = ACTIONS(6740),
    [anon_sym___attribute__] = ACTIONS(6740),
    [anon_sym___attribute] = ACTIONS(6738),
    [anon_sym_noreturn] = ACTIONS(6740),
    [anon_sym_LBRACK] = ACTIONS(7589),
    [anon_sym___declspec] = ACTIONS(6740),
    [anon_sym_LBRACE] = ACTIONS(6740),
    [anon_sym_static] = ACTIONS(6740),
    [anon_sym_EQ] = ACTIONS(6740),
    [anon_sym_ATautoreleasepool] = ACTIONS(6740),
    [anon_sym_auto] = ACTIONS(6740),
    [anon_sym_register] = ACTIONS(6740),
    [anon_sym_inline] = ACTIONS(6740),
    [anon_sym___inline] = ACTIONS(6738),
    [anon_sym___inline__] = ACTIONS(6740),
    [anon_sym___forceinline] = ACTIONS(6740),
    [anon_sym_thread_local] = ACTIONS(6740),
    [anon_sym___thread] = ACTIONS(6740),
    [anon_sym_CG_EXTERN] = ACTIONS(6740),
    [anon_sym_CG_INLINE] = ACTIONS(6740),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6740),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6740),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6740),
    [anon_sym_IBOutlet] = ACTIONS(6740),
    [anon_sym_IBInspectable] = ACTIONS(6740),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6740),
    [anon_sym_NS_INLINE] = ACTIONS(6740),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6740),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6740),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6740),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6740),
    [anon_sym_const] = ACTIONS(6738),
    [anon_sym_constexpr] = ACTIONS(6740),
    [anon_sym_volatile] = ACTIONS(6740),
    [anon_sym_restrict] = ACTIONS(6740),
    [anon_sym___restrict__] = ACTIONS(6740),
    [anon_sym__Atomic] = ACTIONS(6740),
    [anon_sym__Noreturn] = ACTIONS(6740),
    [anon_sym__Nonnull] = ACTIONS(6740),
    [anon_sym_nullable] = ACTIONS(6740),
    [anon_sym__Complex] = ACTIONS(6740),
    [anon_sym__Nullable] = ACTIONS(6738),
    [anon_sym__Nullable_result] = ACTIONS(6740),
    [anon_sym__Null_unspecified] = ACTIONS(6740),
    [anon_sym___autoreleasing] = ACTIONS(6740),
    [anon_sym___block] = ACTIONS(6740),
    [anon_sym___bridge] = ACTIONS(6738),
    [anon_sym___bridge_retained] = ACTIONS(6740),
    [anon_sym___bridge_transfer] = ACTIONS(6740),
    [anon_sym___complex] = ACTIONS(6740),
    [anon_sym___const] = ACTIONS(6740),
    [anon_sym___imag] = ACTIONS(6740),
    [anon_sym___kindof] = ACTIONS(6740),
    [anon_sym___nonnull] = ACTIONS(6740),
    [anon_sym___nullable] = ACTIONS(6740),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6740),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6740),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6740),
    [anon_sym___real] = ACTIONS(6740),
    [anon_sym___strong] = ACTIONS(6740),
    [anon_sym___unsafe_unretained] = ACTIONS(6740),
    [anon_sym___unused] = ACTIONS(6740),
    [anon_sym___weak] = ACTIONS(6740),
    [anon_sym_alignas] = ACTIONS(6740),
    [anon_sym__Alignas] = ACTIONS(6740),
    [anon_sym_COLON] = ACTIONS(6740),
    [anon_sym_asm] = ACTIONS(6740),
    [anon_sym___asm__] = ACTIONS(6740),
    [anon_sym___asm] = ACTIONS(6738),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6740),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6740),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6740),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6740),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6740),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6740),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6740),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6740),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6740),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6740),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6738),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6740),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6740),
    [anon_sym_API_AVAILABLE] = ACTIONS(6740),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6740),
    [anon_sym_API_DEPRECATED] = ACTIONS(6740),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6740),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6740),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6740),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6740),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6740),
    [anon_sym___deprecated_msg] = ACTIONS(6740),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6740),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6740),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6740),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6740),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6740),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6740),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6740),
  },
  [3081] = {
    [sym_attribute_specifier] = STATE(3012),
    [sym_enumerator_list] = STATE(3143),
    [sym_identifier] = ACTIONS(7591),
    [anon_sym_COMMA] = ACTIONS(7593),
    [anon_sym_LPAREN2] = ACTIONS(7593),
    [anon_sym_STAR] = ACTIONS(7593),
    [anon_sym_CARET] = ACTIONS(7593),
    [anon_sym_SEMI] = ACTIONS(7593),
    [anon_sym___extension__] = ACTIONS(7591),
    [anon_sym_extern] = ACTIONS(7591),
    [anon_sym___attribute__] = ACTIONS(7595),
    [anon_sym___attribute] = ACTIONS(7595),
    [anon_sym_noreturn] = ACTIONS(7591),
    [anon_sym_LBRACK] = ACTIONS(7593),
    [anon_sym___declspec] = ACTIONS(7591),
    [anon_sym___based] = ACTIONS(7591),
    [anon_sym_LBRACE] = ACTIONS(7513),
    [anon_sym_static] = ACTIONS(7591),
    [anon_sym_auto] = ACTIONS(7591),
    [anon_sym_register] = ACTIONS(7591),
    [anon_sym_inline] = ACTIONS(7591),
    [anon_sym___inline] = ACTIONS(7591),
    [anon_sym___inline__] = ACTIONS(7591),
    [anon_sym___forceinline] = ACTIONS(7591),
    [anon_sym_thread_local] = ACTIONS(7591),
    [anon_sym___thread] = ACTIONS(7591),
    [anon_sym_CG_EXTERN] = ACTIONS(7591),
    [anon_sym_CG_INLINE] = ACTIONS(7591),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7591),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7591),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7591),
    [anon_sym_IBOutlet] = ACTIONS(7591),
    [anon_sym_IBInspectable] = ACTIONS(7591),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7591),
    [anon_sym_NS_INLINE] = ACTIONS(7591),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7591),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7591),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7591),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7591),
    [anon_sym_const] = ACTIONS(7591),
    [anon_sym_constexpr] = ACTIONS(7591),
    [anon_sym_volatile] = ACTIONS(7591),
    [anon_sym_restrict] = ACTIONS(7591),
    [anon_sym___restrict__] = ACTIONS(7591),
    [anon_sym__Atomic] = ACTIONS(7591),
    [anon_sym__Noreturn] = ACTIONS(7591),
    [anon_sym__Nonnull] = ACTIONS(7591),
    [anon_sym_nullable] = ACTIONS(7591),
    [anon_sym__Complex] = ACTIONS(7591),
    [anon_sym__Nullable] = ACTIONS(7591),
    [anon_sym__Nullable_result] = ACTIONS(7591),
    [anon_sym__Null_unspecified] = ACTIONS(7591),
    [anon_sym___autoreleasing] = ACTIONS(7591),
    [anon_sym___block] = ACTIONS(7591),
    [anon_sym___bridge] = ACTIONS(7591),
    [anon_sym___bridge_retained] = ACTIONS(7591),
    [anon_sym___bridge_transfer] = ACTIONS(7591),
    [anon_sym___complex] = ACTIONS(7591),
    [anon_sym___const] = ACTIONS(7591),
    [anon_sym___imag] = ACTIONS(7591),
    [anon_sym___kindof] = ACTIONS(7591),
    [anon_sym___nonnull] = ACTIONS(7591),
    [anon_sym___nullable] = ACTIONS(7591),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7591),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7591),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7591),
    [anon_sym___real] = ACTIONS(7591),
    [anon_sym___strong] = ACTIONS(7591),
    [anon_sym___unsafe_unretained] = ACTIONS(7591),
    [anon_sym___unused] = ACTIONS(7591),
    [anon_sym___weak] = ACTIONS(7591),
    [anon_sym_alignas] = ACTIONS(7591),
    [anon_sym__Alignas] = ACTIONS(7591),
    [anon_sym_enum] = ACTIONS(7591),
    [anon_sym_COLON] = ACTIONS(7659),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7591),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7591),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7591),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7591),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7591),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7591),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7591),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7591),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7591),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7591),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7591),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7591),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7591),
    [anon_sym_API_AVAILABLE] = ACTIONS(7591),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7591),
    [anon_sym_API_DEPRECATED] = ACTIONS(7591),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7591),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7591),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7591),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7591),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7591),
    [anon_sym___deprecated_msg] = ACTIONS(7591),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7591),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7591),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7591),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7591),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7591),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7591),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7591),
  },
  [3082] = {
    [anon_sym_COMMA] = ACTIONS(5916),
    [anon_sym_RPAREN] = ACTIONS(5916),
    [anon_sym_LPAREN2] = ACTIONS(5916),
    [anon_sym_SEMI] = ACTIONS(5916),
    [anon_sym___extension__] = ACTIONS(5916),
    [anon_sym_extern] = ACTIONS(5916),
    [anon_sym___attribute__] = ACTIONS(5916),
    [anon_sym___attribute] = ACTIONS(5929),
    [anon_sym_noreturn] = ACTIONS(5916),
    [anon_sym_LBRACK] = ACTIONS(5916),
    [anon_sym___declspec] = ACTIONS(5916),
    [anon_sym_LBRACE] = ACTIONS(5916),
    [anon_sym_static] = ACTIONS(5916),
    [anon_sym_EQ] = ACTIONS(5916),
    [anon_sym_ATautoreleasepool] = ACTIONS(5916),
    [anon_sym_auto] = ACTIONS(5916),
    [anon_sym_register] = ACTIONS(5916),
    [anon_sym_inline] = ACTIONS(5916),
    [anon_sym___inline] = ACTIONS(5929),
    [anon_sym___inline__] = ACTIONS(5916),
    [anon_sym___forceinline] = ACTIONS(5916),
    [anon_sym_thread_local] = ACTIONS(5916),
    [anon_sym___thread] = ACTIONS(5916),
    [anon_sym_CG_EXTERN] = ACTIONS(5916),
    [anon_sym_CG_INLINE] = ACTIONS(5916),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5916),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5916),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5916),
    [anon_sym_IBOutlet] = ACTIONS(5916),
    [anon_sym_IBInspectable] = ACTIONS(5916),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5916),
    [anon_sym_NS_INLINE] = ACTIONS(5916),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5916),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5916),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5916),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5916),
    [anon_sym_const] = ACTIONS(5929),
    [anon_sym_constexpr] = ACTIONS(5916),
    [anon_sym_volatile] = ACTIONS(5916),
    [anon_sym_restrict] = ACTIONS(5916),
    [anon_sym___restrict__] = ACTIONS(5916),
    [anon_sym__Atomic] = ACTIONS(5916),
    [anon_sym__Noreturn] = ACTIONS(5916),
    [anon_sym__Nonnull] = ACTIONS(5916),
    [anon_sym_nullable] = ACTIONS(5916),
    [anon_sym__Complex] = ACTIONS(5916),
    [anon_sym__Nullable] = ACTIONS(5929),
    [anon_sym__Nullable_result] = ACTIONS(5916),
    [anon_sym__Null_unspecified] = ACTIONS(5916),
    [anon_sym___autoreleasing] = ACTIONS(5916),
    [anon_sym___block] = ACTIONS(5916),
    [anon_sym___bridge] = ACTIONS(5929),
    [anon_sym___bridge_retained] = ACTIONS(5916),
    [anon_sym___bridge_transfer] = ACTIONS(5916),
    [anon_sym___complex] = ACTIONS(5916),
    [anon_sym___const] = ACTIONS(5916),
    [anon_sym___imag] = ACTIONS(5916),
    [anon_sym___kindof] = ACTIONS(5916),
    [anon_sym___nonnull] = ACTIONS(5916),
    [anon_sym___nullable] = ACTIONS(5916),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5916),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5916),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5916),
    [anon_sym___real] = ACTIONS(5916),
    [anon_sym___strong] = ACTIONS(5916),
    [anon_sym___unsafe_unretained] = ACTIONS(5916),
    [anon_sym___unused] = ACTIONS(5916),
    [anon_sym___weak] = ACTIONS(5916),
    [anon_sym_alignas] = ACTIONS(5916),
    [anon_sym__Alignas] = ACTIONS(5916),
    [anon_sym_COLON] = ACTIONS(5916),
    [anon_sym_in] = ACTIONS(5929),
    [anon_sym_asm] = ACTIONS(5916),
    [anon_sym___asm__] = ACTIONS(5916),
    [anon_sym___asm] = ACTIONS(5929),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5916),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5916),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5916),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5916),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5916),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5916),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5916),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5916),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5916),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5916),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5929),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5916),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5916),
    [anon_sym_API_AVAILABLE] = ACTIONS(5916),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5916),
    [anon_sym_API_DEPRECATED] = ACTIONS(5916),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5916),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5916),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5916),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5916),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5916),
    [anon_sym___deprecated_msg] = ACTIONS(5916),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5916),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5916),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5916),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5916),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5916),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5916),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5916),
  },
  [3083] = {
    [sym__declaration_modifiers] = STATE(6288),
    [sym_attribute_specifier] = STATE(6288),
    [sym_attribute_declaration] = STATE(6288),
    [sym_ms_declspec_modifier] = STATE(6288),
    [sym_storage_class_specifier] = STATE(6288),
    [sym_type_qualifier] = STATE(6288),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6288),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7662),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3084] = {
    [sym__declaration_modifiers] = STATE(6006),
    [sym_attribute_specifier] = STATE(6006),
    [sym_attribute_declaration] = STATE(6006),
    [sym_ms_declspec_modifier] = STATE(6006),
    [sym_storage_class_specifier] = STATE(6006),
    [sym_type_qualifier] = STATE(6006),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6006),
    [aux_sym_declaration_repeat1] = STATE(3089),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7664),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3085] = {
    [sym__declaration_modifiers] = STATE(6015),
    [sym_attribute_specifier] = STATE(6015),
    [sym_attribute_declaration] = STATE(6015),
    [sym_ms_declspec_modifier] = STATE(6015),
    [sym_storage_class_specifier] = STATE(6015),
    [sym_type_qualifier] = STATE(6015),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6015),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7666),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3086] = {
    [sym__declaration_modifiers] = STATE(6016),
    [sym_attribute_specifier] = STATE(6016),
    [sym_attribute_declaration] = STATE(6016),
    [sym_ms_declspec_modifier] = STATE(6016),
    [sym_storage_class_specifier] = STATE(6016),
    [sym_type_qualifier] = STATE(6016),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6016),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7668),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3087] = {
    [sym__declaration_modifiers] = STATE(6017),
    [sym_attribute_specifier] = STATE(6017),
    [sym_attribute_declaration] = STATE(6017),
    [sym_ms_declspec_modifier] = STATE(6017),
    [sym_storage_class_specifier] = STATE(6017),
    [sym_type_qualifier] = STATE(6017),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6017),
    [aux_sym_declaration_repeat1] = STATE(3090),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7670),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3088] = {
    [sym__declaration_modifiers] = STATE(2872),
    [sym_attribute_specifier] = STATE(2872),
    [sym_attribute_declaration] = STATE(2872),
    [sym_ms_declspec_modifier] = STATE(2872),
    [sym_storage_class_specifier] = STATE(2872),
    [sym_type_qualifier] = STATE(2872),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2872),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2872),
    [aux_sym_method_declaration_repeat2] = STATE(2162),
    [anon_sym_SEMI] = ACTIONS(7672),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3089] = {
    [sym__declaration_modifiers] = STATE(6035),
    [sym_attribute_specifier] = STATE(6035),
    [sym_attribute_declaration] = STATE(6035),
    [sym_ms_declspec_modifier] = STATE(6035),
    [sym_storage_class_specifier] = STATE(6035),
    [sym_type_qualifier] = STATE(6035),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6035),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7674),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3090] = {
    [sym__declaration_modifiers] = STATE(6037),
    [sym_attribute_specifier] = STATE(6037),
    [sym_attribute_declaration] = STATE(6037),
    [sym_ms_declspec_modifier] = STATE(6037),
    [sym_storage_class_specifier] = STATE(6037),
    [sym_type_qualifier] = STATE(6037),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6037),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7676),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3091] = {
    [sym_attribute_specifier] = STATE(2950),
    [sym_identifier] = ACTIONS(7678),
    [anon_sym_COMMA] = ACTIONS(7680),
    [anon_sym_RPAREN] = ACTIONS(7680),
    [anon_sym_LPAREN2] = ACTIONS(7680),
    [anon_sym_STAR] = ACTIONS(7680),
    [anon_sym_CARET] = ACTIONS(7680),
    [anon_sym_SEMI] = ACTIONS(7680),
    [anon_sym___extension__] = ACTIONS(7678),
    [anon_sym_extern] = ACTIONS(7678),
    [anon_sym___attribute__] = ACTIONS(7682),
    [anon_sym___attribute] = ACTIONS(7682),
    [anon_sym_noreturn] = ACTIONS(7678),
    [anon_sym_LBRACK] = ACTIONS(7680),
    [anon_sym___declspec] = ACTIONS(7678),
    [anon_sym___based] = ACTIONS(7678),
    [anon_sym_static] = ACTIONS(7678),
    [anon_sym_auto] = ACTIONS(7678),
    [anon_sym_register] = ACTIONS(7678),
    [anon_sym_inline] = ACTIONS(7678),
    [anon_sym___inline] = ACTIONS(7678),
    [anon_sym___inline__] = ACTIONS(7678),
    [anon_sym___forceinline] = ACTIONS(7678),
    [anon_sym_thread_local] = ACTIONS(7678),
    [anon_sym___thread] = ACTIONS(7678),
    [anon_sym_CG_EXTERN] = ACTIONS(7678),
    [anon_sym_CG_INLINE] = ACTIONS(7678),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7678),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7678),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7678),
    [anon_sym_IBOutlet] = ACTIONS(7678),
    [anon_sym_IBInspectable] = ACTIONS(7678),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7678),
    [anon_sym_NS_INLINE] = ACTIONS(7678),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7678),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7678),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7678),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7678),
    [anon_sym_const] = ACTIONS(7678),
    [anon_sym_constexpr] = ACTIONS(7678),
    [anon_sym_volatile] = ACTIONS(7678),
    [anon_sym_restrict] = ACTIONS(7678),
    [anon_sym___restrict__] = ACTIONS(7678),
    [anon_sym__Atomic] = ACTIONS(7678),
    [anon_sym__Noreturn] = ACTIONS(7678),
    [anon_sym__Nonnull] = ACTIONS(7678),
    [anon_sym_nullable] = ACTIONS(7678),
    [anon_sym__Complex] = ACTIONS(7678),
    [anon_sym__Nullable] = ACTIONS(7678),
    [anon_sym__Nullable_result] = ACTIONS(7678),
    [anon_sym__Null_unspecified] = ACTIONS(7678),
    [anon_sym___autoreleasing] = ACTIONS(7678),
    [anon_sym___block] = ACTIONS(7678),
    [anon_sym___bridge] = ACTIONS(7678),
    [anon_sym___bridge_retained] = ACTIONS(7678),
    [anon_sym___bridge_transfer] = ACTIONS(7678),
    [anon_sym___complex] = ACTIONS(7678),
    [anon_sym___const] = ACTIONS(7678),
    [anon_sym___imag] = ACTIONS(7678),
    [anon_sym___kindof] = ACTIONS(7678),
    [anon_sym___nonnull] = ACTIONS(7678),
    [anon_sym___nullable] = ACTIONS(7678),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7678),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7678),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7678),
    [anon_sym___real] = ACTIONS(7678),
    [anon_sym___strong] = ACTIONS(7678),
    [anon_sym___unsafe_unretained] = ACTIONS(7678),
    [anon_sym___unused] = ACTIONS(7678),
    [anon_sym___weak] = ACTIONS(7678),
    [anon_sym_alignas] = ACTIONS(7678),
    [anon_sym__Alignas] = ACTIONS(7678),
    [anon_sym_enum] = ACTIONS(7678),
    [anon_sym_COLON] = ACTIONS(7680),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7678),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7678),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7678),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7678),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7678),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7678),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7678),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7678),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7678),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7678),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7678),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7678),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7678),
    [anon_sym_API_AVAILABLE] = ACTIONS(7678),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7678),
    [anon_sym_API_DEPRECATED] = ACTIONS(7678),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7678),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7678),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7678),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7678),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7678),
    [anon_sym___deprecated_msg] = ACTIONS(7678),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7678),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7678),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7678),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7678),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7678),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7678),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7678),
  },
  [3092] = {
    [sym__declaration_modifiers] = STATE(6080),
    [sym_attribute_specifier] = STATE(6080),
    [sym_attribute_declaration] = STATE(6080),
    [sym_ms_declspec_modifier] = STATE(6080),
    [sym_storage_class_specifier] = STATE(6080),
    [sym_type_qualifier] = STATE(6080),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6080),
    [aux_sym_declaration_repeat1] = STATE(3095),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7685),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3093] = {
    [sym__declaration_modifiers] = STATE(6095),
    [sym_attribute_specifier] = STATE(6095),
    [sym_attribute_declaration] = STATE(6095),
    [sym_ms_declspec_modifier] = STATE(6095),
    [sym_storage_class_specifier] = STATE(6095),
    [sym_type_qualifier] = STATE(6095),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6095),
    [aux_sym_declaration_repeat1] = STATE(3097),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7687),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3094] = {
    [sym__declaration_modifiers] = STATE(6101),
    [sym_attribute_specifier] = STATE(6101),
    [sym_attribute_declaration] = STATE(6101),
    [sym_ms_declspec_modifier] = STATE(6101),
    [sym_storage_class_specifier] = STATE(6101),
    [sym_type_qualifier] = STATE(6101),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6101),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7689),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3095] = {
    [sym__declaration_modifiers] = STATE(6106),
    [sym_attribute_specifier] = STATE(6106),
    [sym_attribute_declaration] = STATE(6106),
    [sym_ms_declspec_modifier] = STATE(6106),
    [sym_storage_class_specifier] = STATE(6106),
    [sym_type_qualifier] = STATE(6106),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6106),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7691),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3096] = {
    [sym__declaration_modifiers] = STATE(6107),
    [sym_attribute_specifier] = STATE(6107),
    [sym_attribute_declaration] = STATE(6107),
    [sym_ms_declspec_modifier] = STATE(6107),
    [sym_storage_class_specifier] = STATE(6107),
    [sym_type_qualifier] = STATE(6107),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6107),
    [aux_sym_declaration_repeat1] = STATE(3098),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7693),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3097] = {
    [sym__declaration_modifiers] = STATE(6120),
    [sym_attribute_specifier] = STATE(6120),
    [sym_attribute_declaration] = STATE(6120),
    [sym_ms_declspec_modifier] = STATE(6120),
    [sym_storage_class_specifier] = STATE(6120),
    [sym_type_qualifier] = STATE(6120),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6120),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7695),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3098] = {
    [sym__declaration_modifiers] = STATE(6121),
    [sym_attribute_specifier] = STATE(6121),
    [sym_attribute_declaration] = STATE(6121),
    [sym_ms_declspec_modifier] = STATE(6121),
    [sym_storage_class_specifier] = STATE(6121),
    [sym_type_qualifier] = STATE(6121),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6121),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7697),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3099] = {
    [sym__declaration_modifiers] = STATE(6158),
    [sym_attribute_specifier] = STATE(6158),
    [sym_attribute_declaration] = STATE(6158),
    [sym_ms_declspec_modifier] = STATE(6158),
    [sym_storage_class_specifier] = STATE(6158),
    [sym_type_qualifier] = STATE(6158),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6158),
    [aux_sym_declaration_repeat1] = STATE(3102),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7699),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3100] = {
    [sym__declaration_modifiers] = STATE(6171),
    [sym_attribute_specifier] = STATE(6171),
    [sym_attribute_declaration] = STATE(6171),
    [sym_ms_declspec_modifier] = STATE(6171),
    [sym_storage_class_specifier] = STATE(6171),
    [sym_type_qualifier] = STATE(6171),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6171),
    [aux_sym_declaration_repeat1] = STATE(3104),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7701),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3101] = {
    [sym__declaration_modifiers] = STATE(6184),
    [sym_attribute_specifier] = STATE(6184),
    [sym_attribute_declaration] = STATE(6184),
    [sym_ms_declspec_modifier] = STATE(6184),
    [sym_storage_class_specifier] = STATE(6184),
    [sym_type_qualifier] = STATE(6184),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6184),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7703),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3102] = {
    [sym__declaration_modifiers] = STATE(6185),
    [sym_attribute_specifier] = STATE(6185),
    [sym_attribute_declaration] = STATE(6185),
    [sym_ms_declspec_modifier] = STATE(6185),
    [sym_storage_class_specifier] = STATE(6185),
    [sym_type_qualifier] = STATE(6185),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6185),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7705),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3103] = {
    [sym__declaration_modifiers] = STATE(6192),
    [sym_attribute_specifier] = STATE(6192),
    [sym_attribute_declaration] = STATE(6192),
    [sym_ms_declspec_modifier] = STATE(6192),
    [sym_storage_class_specifier] = STATE(6192),
    [sym_type_qualifier] = STATE(6192),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6192),
    [aux_sym_declaration_repeat1] = STATE(3105),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7707),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3104] = {
    [sym__declaration_modifiers] = STATE(6206),
    [sym_attribute_specifier] = STATE(6206),
    [sym_attribute_declaration] = STATE(6206),
    [sym_ms_declspec_modifier] = STATE(6206),
    [sym_storage_class_specifier] = STATE(6206),
    [sym_type_qualifier] = STATE(6206),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6206),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7709),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3105] = {
    [sym__declaration_modifiers] = STATE(6209),
    [sym_attribute_specifier] = STATE(6209),
    [sym_attribute_declaration] = STATE(6209),
    [sym_ms_declspec_modifier] = STATE(6209),
    [sym_storage_class_specifier] = STATE(6209),
    [sym_type_qualifier] = STATE(6209),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6209),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7711),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3106] = {
    [sym__declaration_modifiers] = STATE(6234),
    [sym_attribute_specifier] = STATE(6234),
    [sym_attribute_declaration] = STATE(6234),
    [sym_ms_declspec_modifier] = STATE(6234),
    [sym_storage_class_specifier] = STATE(6234),
    [sym_type_qualifier] = STATE(6234),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6234),
    [aux_sym_declaration_repeat1] = STATE(3110),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7713),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3107] = {
    [sym__declaration_modifiers] = STATE(2872),
    [sym_attribute_specifier] = STATE(2872),
    [sym_attribute_declaration] = STATE(2872),
    [sym_ms_declspec_modifier] = STATE(2872),
    [sym_storage_class_specifier] = STATE(2872),
    [sym_type_qualifier] = STATE(2872),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2872),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2872),
    [aux_sym_method_declaration_repeat2] = STATE(2124),
    [anon_sym_SEMI] = ACTIONS(7715),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3108] = {
    [sym__declaration_modifiers] = STATE(6242),
    [sym_attribute_specifier] = STATE(6242),
    [sym_attribute_declaration] = STATE(6242),
    [sym_ms_declspec_modifier] = STATE(6242),
    [sym_storage_class_specifier] = STATE(6242),
    [sym_type_qualifier] = STATE(6242),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6242),
    [aux_sym_declaration_repeat1] = STATE(3112),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7717),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3109] = {
    [sym__declaration_modifiers] = STATE(6245),
    [sym_attribute_specifier] = STATE(6245),
    [sym_attribute_declaration] = STATE(6245),
    [sym_ms_declspec_modifier] = STATE(6245),
    [sym_storage_class_specifier] = STATE(6245),
    [sym_type_qualifier] = STATE(6245),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6245),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7719),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3110] = {
    [sym__declaration_modifiers] = STATE(6247),
    [sym_attribute_specifier] = STATE(6247),
    [sym_attribute_declaration] = STATE(6247),
    [sym_ms_declspec_modifier] = STATE(6247),
    [sym_storage_class_specifier] = STATE(6247),
    [sym_type_qualifier] = STATE(6247),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6247),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7721),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3111] = {
    [sym__declaration_modifiers] = STATE(6248),
    [sym_attribute_specifier] = STATE(6248),
    [sym_attribute_declaration] = STATE(6248),
    [sym_ms_declspec_modifier] = STATE(6248),
    [sym_storage_class_specifier] = STATE(6248),
    [sym_type_qualifier] = STATE(6248),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6248),
    [aux_sym_declaration_repeat1] = STATE(3113),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7723),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3112] = {
    [sym__declaration_modifiers] = STATE(6258),
    [sym_attribute_specifier] = STATE(6258),
    [sym_attribute_declaration] = STATE(6258),
    [sym_ms_declspec_modifier] = STATE(6258),
    [sym_storage_class_specifier] = STATE(6258),
    [sym_type_qualifier] = STATE(6258),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6258),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7725),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3113] = {
    [sym__declaration_modifiers] = STATE(6259),
    [sym_attribute_specifier] = STATE(6259),
    [sym_attribute_declaration] = STATE(6259),
    [sym_ms_declspec_modifier] = STATE(6259),
    [sym_storage_class_specifier] = STATE(6259),
    [sym_type_qualifier] = STATE(6259),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6259),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7727),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3114] = {
    [sym__declaration_modifiers] = STATE(6280),
    [sym_attribute_specifier] = STATE(6280),
    [sym_attribute_declaration] = STATE(6280),
    [sym_ms_declspec_modifier] = STATE(6280),
    [sym_storage_class_specifier] = STATE(6280),
    [sym_type_qualifier] = STATE(6280),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6280),
    [aux_sym_declaration_repeat1] = STATE(3116),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7729),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3115] = {
    [sym__declaration_modifiers] = STATE(6286),
    [sym_attribute_specifier] = STATE(6286),
    [sym_attribute_declaration] = STATE(6286),
    [sym_ms_declspec_modifier] = STATE(6286),
    [sym_storage_class_specifier] = STATE(6286),
    [sym_type_qualifier] = STATE(6286),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6286),
    [aux_sym_declaration_repeat1] = STATE(3118),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7731),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3116] = {
    [sym__declaration_modifiers] = STATE(6289),
    [sym_attribute_specifier] = STATE(6289),
    [sym_attribute_declaration] = STATE(6289),
    [sym_ms_declspec_modifier] = STATE(6289),
    [sym_storage_class_specifier] = STATE(6289),
    [sym_type_qualifier] = STATE(6289),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6289),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7733),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3117] = {
    [sym__declaration_modifiers] = STATE(6290),
    [sym_attribute_specifier] = STATE(6290),
    [sym_attribute_declaration] = STATE(6290),
    [sym_ms_declspec_modifier] = STATE(6290),
    [sym_storage_class_specifier] = STATE(6290),
    [sym_type_qualifier] = STATE(6290),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6290),
    [aux_sym_declaration_repeat1] = STATE(3119),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7735),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3118] = {
    [sym__declaration_modifiers] = STATE(6293),
    [sym_attribute_specifier] = STATE(6293),
    [sym_attribute_declaration] = STATE(6293),
    [sym_ms_declspec_modifier] = STATE(6293),
    [sym_storage_class_specifier] = STATE(6293),
    [sym_type_qualifier] = STATE(6293),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6293),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7737),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3119] = {
    [sym__declaration_modifiers] = STATE(6295),
    [sym_attribute_specifier] = STATE(6295),
    [sym_attribute_declaration] = STATE(6295),
    [sym_ms_declspec_modifier] = STATE(6295),
    [sym_storage_class_specifier] = STATE(6295),
    [sym_type_qualifier] = STATE(6295),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6295),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7739),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3120] = {
    [sym__declaration_modifiers] = STATE(5916),
    [sym_attribute_specifier] = STATE(5916),
    [sym_attribute_declaration] = STATE(5916),
    [sym_ms_declspec_modifier] = STATE(5916),
    [sym_storage_class_specifier] = STATE(5916),
    [sym_type_qualifier] = STATE(5916),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(5916),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7741),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3121] = {
    [sym__declaration_modifiers] = STATE(6630),
    [sym_attribute_specifier] = STATE(6630),
    [sym_attribute_declaration] = STATE(6630),
    [sym_ms_declspec_modifier] = STATE(6630),
    [sym_storage_class_specifier] = STATE(6630),
    [sym_type_qualifier] = STATE(6630),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6630),
    [aux_sym_declaration_repeat1] = STATE(3162),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7743),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3122] = {
    [sym__declaration_modifiers] = STATE(6049),
    [sym_attribute_specifier] = STATE(6049),
    [sym_attribute_declaration] = STATE(6049),
    [sym_ms_declspec_modifier] = STATE(6049),
    [sym_storage_class_specifier] = STATE(6049),
    [sym_type_qualifier] = STATE(6049),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6049),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7745),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3123] = {
    [sym__declaration_modifiers] = STATE(6050),
    [sym_attribute_specifier] = STATE(6050),
    [sym_attribute_declaration] = STATE(6050),
    [sym_ms_declspec_modifier] = STATE(6050),
    [sym_storage_class_specifier] = STATE(6050),
    [sym_type_qualifier] = STATE(6050),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6050),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7747),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3124] = {
    [sym__declaration_modifiers] = STATE(6795),
    [sym_attribute_specifier] = STATE(6795),
    [sym_attribute_declaration] = STATE(6795),
    [sym_ms_declspec_modifier] = STATE(6795),
    [sym_storage_class_specifier] = STATE(6795),
    [sym_type_qualifier] = STATE(6795),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6795),
    [aux_sym_struct_declaration_repeat2] = STATE(3126),
    [anon_sym_COMMA] = ACTIONS(7749),
    [anon_sym_SEMI] = ACTIONS(7751),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3125] = {
    [sym__declaration_modifiers] = STATE(6058),
    [sym_attribute_specifier] = STATE(6058),
    [sym_attribute_declaration] = STATE(6058),
    [sym_ms_declspec_modifier] = STATE(6058),
    [sym_storage_class_specifier] = STATE(6058),
    [sym_type_qualifier] = STATE(6058),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6058),
    [aux_sym_struct_declaration_repeat2] = STATE(3131),
    [anon_sym_COMMA] = ACTIONS(7749),
    [anon_sym_SEMI] = ACTIONS(7753),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3126] = {
    [sym__declaration_modifiers] = STATE(5966),
    [sym_attribute_specifier] = STATE(5966),
    [sym_attribute_declaration] = STATE(5966),
    [sym_ms_declspec_modifier] = STATE(5966),
    [sym_storage_class_specifier] = STATE(5966),
    [sym_type_qualifier] = STATE(5966),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(5966),
    [aux_sym_struct_declaration_repeat2] = STATE(3278),
    [anon_sym_COMMA] = ACTIONS(7749),
    [anon_sym_SEMI] = ACTIONS(7755),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3127] = {
    [sym_attribute_specifier] = STATE(2981),
    [sym_identifier] = ACTIONS(7757),
    [anon_sym_COMMA] = ACTIONS(7759),
    [anon_sym_RPAREN] = ACTIONS(7759),
    [anon_sym_LPAREN2] = ACTIONS(7759),
    [anon_sym_STAR] = ACTIONS(7759),
    [anon_sym_CARET] = ACTIONS(7759),
    [anon_sym_SEMI] = ACTIONS(7759),
    [anon_sym___extension__] = ACTIONS(7757),
    [anon_sym_extern] = ACTIONS(7757),
    [anon_sym___attribute__] = ACTIONS(7761),
    [anon_sym___attribute] = ACTIONS(7761),
    [anon_sym_noreturn] = ACTIONS(7757),
    [anon_sym_LBRACK] = ACTIONS(7759),
    [anon_sym___declspec] = ACTIONS(7757),
    [anon_sym___based] = ACTIONS(7757),
    [anon_sym_static] = ACTIONS(7757),
    [anon_sym_auto] = ACTIONS(7757),
    [anon_sym_register] = ACTIONS(7757),
    [anon_sym_inline] = ACTIONS(7757),
    [anon_sym___inline] = ACTIONS(7757),
    [anon_sym___inline__] = ACTIONS(7757),
    [anon_sym___forceinline] = ACTIONS(7757),
    [anon_sym_thread_local] = ACTIONS(7757),
    [anon_sym___thread] = ACTIONS(7757),
    [anon_sym_CG_EXTERN] = ACTIONS(7757),
    [anon_sym_CG_INLINE] = ACTIONS(7757),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7757),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7757),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7757),
    [anon_sym_IBOutlet] = ACTIONS(7757),
    [anon_sym_IBInspectable] = ACTIONS(7757),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7757),
    [anon_sym_NS_INLINE] = ACTIONS(7757),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7757),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7757),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7757),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7757),
    [anon_sym_const] = ACTIONS(7757),
    [anon_sym_constexpr] = ACTIONS(7757),
    [anon_sym_volatile] = ACTIONS(7757),
    [anon_sym_restrict] = ACTIONS(7757),
    [anon_sym___restrict__] = ACTIONS(7757),
    [anon_sym__Atomic] = ACTIONS(7757),
    [anon_sym__Noreturn] = ACTIONS(7757),
    [anon_sym__Nonnull] = ACTIONS(7757),
    [anon_sym_nullable] = ACTIONS(7757),
    [anon_sym__Complex] = ACTIONS(7757),
    [anon_sym__Nullable] = ACTIONS(7757),
    [anon_sym__Nullable_result] = ACTIONS(7757),
    [anon_sym__Null_unspecified] = ACTIONS(7757),
    [anon_sym___autoreleasing] = ACTIONS(7757),
    [anon_sym___block] = ACTIONS(7757),
    [anon_sym___bridge] = ACTIONS(7757),
    [anon_sym___bridge_retained] = ACTIONS(7757),
    [anon_sym___bridge_transfer] = ACTIONS(7757),
    [anon_sym___complex] = ACTIONS(7757),
    [anon_sym___const] = ACTIONS(7757),
    [anon_sym___imag] = ACTIONS(7757),
    [anon_sym___kindof] = ACTIONS(7757),
    [anon_sym___nonnull] = ACTIONS(7757),
    [anon_sym___nullable] = ACTIONS(7757),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7757),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7757),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7757),
    [anon_sym___real] = ACTIONS(7757),
    [anon_sym___strong] = ACTIONS(7757),
    [anon_sym___unsafe_unretained] = ACTIONS(7757),
    [anon_sym___unused] = ACTIONS(7757),
    [anon_sym___weak] = ACTIONS(7757),
    [anon_sym_alignas] = ACTIONS(7757),
    [anon_sym__Alignas] = ACTIONS(7757),
    [anon_sym_enum] = ACTIONS(7757),
    [anon_sym_COLON] = ACTIONS(7759),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7757),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7757),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7757),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7757),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7757),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7757),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7757),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7757),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7757),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7757),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7757),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7757),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7757),
    [anon_sym_API_AVAILABLE] = ACTIONS(7757),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7757),
    [anon_sym_API_DEPRECATED] = ACTIONS(7757),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7757),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7757),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7757),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7757),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7757),
    [anon_sym___deprecated_msg] = ACTIONS(7757),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7757),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7757),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7757),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7757),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7757),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7757),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7757),
  },
  [3128] = {
    [sym_attribute_specifier] = STATE(2946),
    [sym_identifier] = ACTIONS(7764),
    [anon_sym_COMMA] = ACTIONS(7766),
    [anon_sym_RPAREN] = ACTIONS(7766),
    [anon_sym_LPAREN2] = ACTIONS(7766),
    [anon_sym_STAR] = ACTIONS(7766),
    [anon_sym_CARET] = ACTIONS(7766),
    [anon_sym_SEMI] = ACTIONS(7766),
    [anon_sym___extension__] = ACTIONS(7764),
    [anon_sym_extern] = ACTIONS(7764),
    [anon_sym___attribute__] = ACTIONS(7768),
    [anon_sym___attribute] = ACTIONS(7768),
    [anon_sym_noreturn] = ACTIONS(7764),
    [anon_sym_LBRACK] = ACTIONS(7766),
    [anon_sym___declspec] = ACTIONS(7764),
    [anon_sym___based] = ACTIONS(7764),
    [anon_sym_static] = ACTIONS(7764),
    [anon_sym_auto] = ACTIONS(7764),
    [anon_sym_register] = ACTIONS(7764),
    [anon_sym_inline] = ACTIONS(7764),
    [anon_sym___inline] = ACTIONS(7764),
    [anon_sym___inline__] = ACTIONS(7764),
    [anon_sym___forceinline] = ACTIONS(7764),
    [anon_sym_thread_local] = ACTIONS(7764),
    [anon_sym___thread] = ACTIONS(7764),
    [anon_sym_CG_EXTERN] = ACTIONS(7764),
    [anon_sym_CG_INLINE] = ACTIONS(7764),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7764),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7764),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7764),
    [anon_sym_IBOutlet] = ACTIONS(7764),
    [anon_sym_IBInspectable] = ACTIONS(7764),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7764),
    [anon_sym_NS_INLINE] = ACTIONS(7764),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7764),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7764),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7764),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7764),
    [anon_sym_const] = ACTIONS(7764),
    [anon_sym_constexpr] = ACTIONS(7764),
    [anon_sym_volatile] = ACTIONS(7764),
    [anon_sym_restrict] = ACTIONS(7764),
    [anon_sym___restrict__] = ACTIONS(7764),
    [anon_sym__Atomic] = ACTIONS(7764),
    [anon_sym__Noreturn] = ACTIONS(7764),
    [anon_sym__Nonnull] = ACTIONS(7764),
    [anon_sym_nullable] = ACTIONS(7764),
    [anon_sym__Complex] = ACTIONS(7764),
    [anon_sym__Nullable] = ACTIONS(7764),
    [anon_sym__Nullable_result] = ACTIONS(7764),
    [anon_sym__Null_unspecified] = ACTIONS(7764),
    [anon_sym___autoreleasing] = ACTIONS(7764),
    [anon_sym___block] = ACTIONS(7764),
    [anon_sym___bridge] = ACTIONS(7764),
    [anon_sym___bridge_retained] = ACTIONS(7764),
    [anon_sym___bridge_transfer] = ACTIONS(7764),
    [anon_sym___complex] = ACTIONS(7764),
    [anon_sym___const] = ACTIONS(7764),
    [anon_sym___imag] = ACTIONS(7764),
    [anon_sym___kindof] = ACTIONS(7764),
    [anon_sym___nonnull] = ACTIONS(7764),
    [anon_sym___nullable] = ACTIONS(7764),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7764),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7764),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7764),
    [anon_sym___real] = ACTIONS(7764),
    [anon_sym___strong] = ACTIONS(7764),
    [anon_sym___unsafe_unretained] = ACTIONS(7764),
    [anon_sym___unused] = ACTIONS(7764),
    [anon_sym___weak] = ACTIONS(7764),
    [anon_sym_alignas] = ACTIONS(7764),
    [anon_sym__Alignas] = ACTIONS(7764),
    [anon_sym_enum] = ACTIONS(7764),
    [anon_sym_COLON] = ACTIONS(7766),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7764),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7764),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7764),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7764),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7764),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7764),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7764),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7764),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7764),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7764),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7764),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7764),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7764),
    [anon_sym_API_AVAILABLE] = ACTIONS(7764),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7764),
    [anon_sym_API_DEPRECATED] = ACTIONS(7764),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7764),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7764),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7764),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7764),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7764),
    [anon_sym___deprecated_msg] = ACTIONS(7764),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7764),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7764),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7764),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7764),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7764),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7764),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7764),
  },
  [3129] = {
    [sym_attribute_specifier] = STATE(2982),
    [sym_identifier] = ACTIONS(7771),
    [anon_sym_COMMA] = ACTIONS(7773),
    [anon_sym_RPAREN] = ACTIONS(7773),
    [anon_sym_LPAREN2] = ACTIONS(7773),
    [anon_sym_STAR] = ACTIONS(7773),
    [anon_sym_CARET] = ACTIONS(7773),
    [anon_sym_SEMI] = ACTIONS(7773),
    [anon_sym___extension__] = ACTIONS(7771),
    [anon_sym_extern] = ACTIONS(7771),
    [anon_sym___attribute__] = ACTIONS(7775),
    [anon_sym___attribute] = ACTIONS(7775),
    [anon_sym_noreturn] = ACTIONS(7771),
    [anon_sym_LBRACK] = ACTIONS(7773),
    [anon_sym___declspec] = ACTIONS(7771),
    [anon_sym___based] = ACTIONS(7771),
    [anon_sym_static] = ACTIONS(7771),
    [anon_sym_auto] = ACTIONS(7771),
    [anon_sym_register] = ACTIONS(7771),
    [anon_sym_inline] = ACTIONS(7771),
    [anon_sym___inline] = ACTIONS(7771),
    [anon_sym___inline__] = ACTIONS(7771),
    [anon_sym___forceinline] = ACTIONS(7771),
    [anon_sym_thread_local] = ACTIONS(7771),
    [anon_sym___thread] = ACTIONS(7771),
    [anon_sym_CG_EXTERN] = ACTIONS(7771),
    [anon_sym_CG_INLINE] = ACTIONS(7771),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7771),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7771),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7771),
    [anon_sym_IBOutlet] = ACTIONS(7771),
    [anon_sym_IBInspectable] = ACTIONS(7771),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7771),
    [anon_sym_NS_INLINE] = ACTIONS(7771),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7771),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7771),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7771),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7771),
    [anon_sym_const] = ACTIONS(7771),
    [anon_sym_constexpr] = ACTIONS(7771),
    [anon_sym_volatile] = ACTIONS(7771),
    [anon_sym_restrict] = ACTIONS(7771),
    [anon_sym___restrict__] = ACTIONS(7771),
    [anon_sym__Atomic] = ACTIONS(7771),
    [anon_sym__Noreturn] = ACTIONS(7771),
    [anon_sym__Nonnull] = ACTIONS(7771),
    [anon_sym_nullable] = ACTIONS(7771),
    [anon_sym__Complex] = ACTIONS(7771),
    [anon_sym__Nullable] = ACTIONS(7771),
    [anon_sym__Nullable_result] = ACTIONS(7771),
    [anon_sym__Null_unspecified] = ACTIONS(7771),
    [anon_sym___autoreleasing] = ACTIONS(7771),
    [anon_sym___block] = ACTIONS(7771),
    [anon_sym___bridge] = ACTIONS(7771),
    [anon_sym___bridge_retained] = ACTIONS(7771),
    [anon_sym___bridge_transfer] = ACTIONS(7771),
    [anon_sym___complex] = ACTIONS(7771),
    [anon_sym___const] = ACTIONS(7771),
    [anon_sym___imag] = ACTIONS(7771),
    [anon_sym___kindof] = ACTIONS(7771),
    [anon_sym___nonnull] = ACTIONS(7771),
    [anon_sym___nullable] = ACTIONS(7771),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7771),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7771),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7771),
    [anon_sym___real] = ACTIONS(7771),
    [anon_sym___strong] = ACTIONS(7771),
    [anon_sym___unsafe_unretained] = ACTIONS(7771),
    [anon_sym___unused] = ACTIONS(7771),
    [anon_sym___weak] = ACTIONS(7771),
    [anon_sym_alignas] = ACTIONS(7771),
    [anon_sym__Alignas] = ACTIONS(7771),
    [anon_sym_enum] = ACTIONS(7771),
    [anon_sym_COLON] = ACTIONS(7773),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7771),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7771),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7771),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7771),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7771),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7771),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7771),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7771),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7771),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7771),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7771),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7771),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7771),
    [anon_sym_API_AVAILABLE] = ACTIONS(7771),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7771),
    [anon_sym_API_DEPRECATED] = ACTIONS(7771),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7771),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7771),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7771),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7771),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7771),
    [anon_sym___deprecated_msg] = ACTIONS(7771),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7771),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7771),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7771),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7771),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7771),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7771),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7771),
  },
  [3130] = {
    [sym_attribute_specifier] = STATE(2987),
    [sym_identifier] = ACTIONS(7778),
    [anon_sym_COMMA] = ACTIONS(7780),
    [anon_sym_RPAREN] = ACTIONS(7780),
    [anon_sym_LPAREN2] = ACTIONS(7780),
    [anon_sym_STAR] = ACTIONS(7780),
    [anon_sym_CARET] = ACTIONS(7780),
    [anon_sym_SEMI] = ACTIONS(7780),
    [anon_sym___extension__] = ACTIONS(7778),
    [anon_sym_extern] = ACTIONS(7778),
    [anon_sym___attribute__] = ACTIONS(7782),
    [anon_sym___attribute] = ACTIONS(7782),
    [anon_sym_noreturn] = ACTIONS(7778),
    [anon_sym_LBRACK] = ACTIONS(7780),
    [anon_sym___declspec] = ACTIONS(7778),
    [anon_sym___based] = ACTIONS(7778),
    [anon_sym_static] = ACTIONS(7778),
    [anon_sym_auto] = ACTIONS(7778),
    [anon_sym_register] = ACTIONS(7778),
    [anon_sym_inline] = ACTIONS(7778),
    [anon_sym___inline] = ACTIONS(7778),
    [anon_sym___inline__] = ACTIONS(7778),
    [anon_sym___forceinline] = ACTIONS(7778),
    [anon_sym_thread_local] = ACTIONS(7778),
    [anon_sym___thread] = ACTIONS(7778),
    [anon_sym_CG_EXTERN] = ACTIONS(7778),
    [anon_sym_CG_INLINE] = ACTIONS(7778),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7778),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7778),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7778),
    [anon_sym_IBOutlet] = ACTIONS(7778),
    [anon_sym_IBInspectable] = ACTIONS(7778),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7778),
    [anon_sym_NS_INLINE] = ACTIONS(7778),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7778),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7778),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7778),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7778),
    [anon_sym_const] = ACTIONS(7778),
    [anon_sym_constexpr] = ACTIONS(7778),
    [anon_sym_volatile] = ACTIONS(7778),
    [anon_sym_restrict] = ACTIONS(7778),
    [anon_sym___restrict__] = ACTIONS(7778),
    [anon_sym__Atomic] = ACTIONS(7778),
    [anon_sym__Noreturn] = ACTIONS(7778),
    [anon_sym__Nonnull] = ACTIONS(7778),
    [anon_sym_nullable] = ACTIONS(7778),
    [anon_sym__Complex] = ACTIONS(7778),
    [anon_sym__Nullable] = ACTIONS(7778),
    [anon_sym__Nullable_result] = ACTIONS(7778),
    [anon_sym__Null_unspecified] = ACTIONS(7778),
    [anon_sym___autoreleasing] = ACTIONS(7778),
    [anon_sym___block] = ACTIONS(7778),
    [anon_sym___bridge] = ACTIONS(7778),
    [anon_sym___bridge_retained] = ACTIONS(7778),
    [anon_sym___bridge_transfer] = ACTIONS(7778),
    [anon_sym___complex] = ACTIONS(7778),
    [anon_sym___const] = ACTIONS(7778),
    [anon_sym___imag] = ACTIONS(7778),
    [anon_sym___kindof] = ACTIONS(7778),
    [anon_sym___nonnull] = ACTIONS(7778),
    [anon_sym___nullable] = ACTIONS(7778),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7778),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7778),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7778),
    [anon_sym___real] = ACTIONS(7778),
    [anon_sym___strong] = ACTIONS(7778),
    [anon_sym___unsafe_unretained] = ACTIONS(7778),
    [anon_sym___unused] = ACTIONS(7778),
    [anon_sym___weak] = ACTIONS(7778),
    [anon_sym_alignas] = ACTIONS(7778),
    [anon_sym__Alignas] = ACTIONS(7778),
    [anon_sym_enum] = ACTIONS(7778),
    [anon_sym_COLON] = ACTIONS(7780),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7778),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7778),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7778),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7778),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7778),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7778),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7778),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7778),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7778),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7778),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7778),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7778),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7778),
    [anon_sym_API_AVAILABLE] = ACTIONS(7778),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7778),
    [anon_sym_API_DEPRECATED] = ACTIONS(7778),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7778),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7778),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7778),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7778),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7778),
    [anon_sym___deprecated_msg] = ACTIONS(7778),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7778),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7778),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7778),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7778),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7778),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7778),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7778),
  },
  [3131] = {
    [sym__declaration_modifiers] = STATE(6307),
    [sym_attribute_specifier] = STATE(6307),
    [sym_attribute_declaration] = STATE(6307),
    [sym_ms_declspec_modifier] = STATE(6307),
    [sym_storage_class_specifier] = STATE(6307),
    [sym_type_qualifier] = STATE(6307),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6307),
    [aux_sym_struct_declaration_repeat2] = STATE(3278),
    [anon_sym_COMMA] = ACTIONS(7749),
    [anon_sym_SEMI] = ACTIONS(7785),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3132] = {
    [sym__declaration_modifiers] = STATE(2872),
    [sym_attribute_specifier] = STATE(2872),
    [sym_attribute_declaration] = STATE(2872),
    [sym_ms_declspec_modifier] = STATE(2872),
    [sym_storage_class_specifier] = STATE(2872),
    [sym_type_qualifier] = STATE(2872),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2872),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2872),
    [aux_sym_method_declaration_repeat2] = STATE(2120),
    [anon_sym_SEMI] = ACTIONS(7542),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3133] = {
    [sym_attribute_specifier] = STATE(2979),
    [sym_identifier] = ACTIONS(7787),
    [anon_sym_COMMA] = ACTIONS(7789),
    [anon_sym_RPAREN] = ACTIONS(7789),
    [anon_sym_LPAREN2] = ACTIONS(7789),
    [anon_sym_STAR] = ACTIONS(7789),
    [anon_sym_CARET] = ACTIONS(7789),
    [anon_sym_SEMI] = ACTIONS(7789),
    [anon_sym___extension__] = ACTIONS(7787),
    [anon_sym_extern] = ACTIONS(7787),
    [anon_sym___attribute__] = ACTIONS(7791),
    [anon_sym___attribute] = ACTIONS(7791),
    [anon_sym_noreturn] = ACTIONS(7787),
    [anon_sym_LBRACK] = ACTIONS(7789),
    [anon_sym___declspec] = ACTIONS(7787),
    [anon_sym___based] = ACTIONS(7787),
    [anon_sym_static] = ACTIONS(7787),
    [anon_sym_auto] = ACTIONS(7787),
    [anon_sym_register] = ACTIONS(7787),
    [anon_sym_inline] = ACTIONS(7787),
    [anon_sym___inline] = ACTIONS(7787),
    [anon_sym___inline__] = ACTIONS(7787),
    [anon_sym___forceinline] = ACTIONS(7787),
    [anon_sym_thread_local] = ACTIONS(7787),
    [anon_sym___thread] = ACTIONS(7787),
    [anon_sym_CG_EXTERN] = ACTIONS(7787),
    [anon_sym_CG_INLINE] = ACTIONS(7787),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7787),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7787),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7787),
    [anon_sym_IBOutlet] = ACTIONS(7787),
    [anon_sym_IBInspectable] = ACTIONS(7787),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7787),
    [anon_sym_NS_INLINE] = ACTIONS(7787),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7787),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7787),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7787),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7787),
    [anon_sym_const] = ACTIONS(7787),
    [anon_sym_constexpr] = ACTIONS(7787),
    [anon_sym_volatile] = ACTIONS(7787),
    [anon_sym_restrict] = ACTIONS(7787),
    [anon_sym___restrict__] = ACTIONS(7787),
    [anon_sym__Atomic] = ACTIONS(7787),
    [anon_sym__Noreturn] = ACTIONS(7787),
    [anon_sym__Nonnull] = ACTIONS(7787),
    [anon_sym_nullable] = ACTIONS(7787),
    [anon_sym__Complex] = ACTIONS(7787),
    [anon_sym__Nullable] = ACTIONS(7787),
    [anon_sym__Nullable_result] = ACTIONS(7787),
    [anon_sym__Null_unspecified] = ACTIONS(7787),
    [anon_sym___autoreleasing] = ACTIONS(7787),
    [anon_sym___block] = ACTIONS(7787),
    [anon_sym___bridge] = ACTIONS(7787),
    [anon_sym___bridge_retained] = ACTIONS(7787),
    [anon_sym___bridge_transfer] = ACTIONS(7787),
    [anon_sym___complex] = ACTIONS(7787),
    [anon_sym___const] = ACTIONS(7787),
    [anon_sym___imag] = ACTIONS(7787),
    [anon_sym___kindof] = ACTIONS(7787),
    [anon_sym___nonnull] = ACTIONS(7787),
    [anon_sym___nullable] = ACTIONS(7787),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7787),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7787),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7787),
    [anon_sym___real] = ACTIONS(7787),
    [anon_sym___strong] = ACTIONS(7787),
    [anon_sym___unsafe_unretained] = ACTIONS(7787),
    [anon_sym___unused] = ACTIONS(7787),
    [anon_sym___weak] = ACTIONS(7787),
    [anon_sym_alignas] = ACTIONS(7787),
    [anon_sym__Alignas] = ACTIONS(7787),
    [anon_sym_enum] = ACTIONS(7787),
    [anon_sym_COLON] = ACTIONS(7789),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7787),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7787),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7787),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7787),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7787),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7787),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7787),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7787),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7787),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7787),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7787),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7787),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7787),
    [anon_sym_API_AVAILABLE] = ACTIONS(7787),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7787),
    [anon_sym_API_DEPRECATED] = ACTIONS(7787),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7787),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7787),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7787),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7787),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7787),
    [anon_sym___deprecated_msg] = ACTIONS(7787),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7787),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7787),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7787),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7787),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7787),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7787),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7787),
  },
  [3134] = {
    [sym__declaration_modifiers] = STATE(6539),
    [sym_attribute_specifier] = STATE(6539),
    [sym_attribute_declaration] = STATE(6539),
    [sym_ms_declspec_modifier] = STATE(6539),
    [sym_storage_class_specifier] = STATE(6539),
    [sym_type_qualifier] = STATE(6539),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6539),
    [aux_sym_declaration_repeat1] = STATE(3166),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7794),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3135] = {
    [sym__declaration_modifiers] = STATE(3202),
    [sym_attribute_specifier] = STATE(3202),
    [sym_attribute_declaration] = STATE(3202),
    [sym_ms_declspec_modifier] = STATE(3202),
    [sym_storage_class_specifier] = STATE(3202),
    [sym_type_qualifier] = STATE(3202),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3202),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3202),
    [aux_sym_method_declaration_repeat2] = STATE(2120),
    [anon_sym_SEMI] = ACTIONS(7542),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3136] = {
    [sym__declaration_modifiers] = STATE(2872),
    [sym_attribute_specifier] = STATE(2872),
    [sym_attribute_declaration] = STATE(2872),
    [sym_ms_declspec_modifier] = STATE(2872),
    [sym_storage_class_specifier] = STATE(2872),
    [sym_type_qualifier] = STATE(2872),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2872),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2872),
    [aux_sym_method_declaration_repeat2] = STATE(2186),
    [anon_sym_SEMI] = ACTIONS(7554),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3137] = {
    [sym_attribute_specifier] = STATE(2957),
    [sym_identifier] = ACTIONS(7796),
    [anon_sym_COMMA] = ACTIONS(7798),
    [anon_sym_RPAREN] = ACTIONS(7798),
    [anon_sym_LPAREN2] = ACTIONS(7798),
    [anon_sym_STAR] = ACTIONS(7798),
    [anon_sym_CARET] = ACTIONS(7798),
    [anon_sym_SEMI] = ACTIONS(7798),
    [anon_sym___extension__] = ACTIONS(7796),
    [anon_sym_extern] = ACTIONS(7796),
    [anon_sym___attribute__] = ACTIONS(7800),
    [anon_sym___attribute] = ACTIONS(7800),
    [anon_sym_noreturn] = ACTIONS(7796),
    [anon_sym_LBRACK] = ACTIONS(7798),
    [anon_sym___declspec] = ACTIONS(7796),
    [anon_sym___based] = ACTIONS(7796),
    [anon_sym_static] = ACTIONS(7796),
    [anon_sym_auto] = ACTIONS(7796),
    [anon_sym_register] = ACTIONS(7796),
    [anon_sym_inline] = ACTIONS(7796),
    [anon_sym___inline] = ACTIONS(7796),
    [anon_sym___inline__] = ACTIONS(7796),
    [anon_sym___forceinline] = ACTIONS(7796),
    [anon_sym_thread_local] = ACTIONS(7796),
    [anon_sym___thread] = ACTIONS(7796),
    [anon_sym_CG_EXTERN] = ACTIONS(7796),
    [anon_sym_CG_INLINE] = ACTIONS(7796),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7796),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7796),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7796),
    [anon_sym_IBOutlet] = ACTIONS(7796),
    [anon_sym_IBInspectable] = ACTIONS(7796),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7796),
    [anon_sym_NS_INLINE] = ACTIONS(7796),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7796),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7796),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7796),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7796),
    [anon_sym_const] = ACTIONS(7796),
    [anon_sym_constexpr] = ACTIONS(7796),
    [anon_sym_volatile] = ACTIONS(7796),
    [anon_sym_restrict] = ACTIONS(7796),
    [anon_sym___restrict__] = ACTIONS(7796),
    [anon_sym__Atomic] = ACTIONS(7796),
    [anon_sym__Noreturn] = ACTIONS(7796),
    [anon_sym__Nonnull] = ACTIONS(7796),
    [anon_sym_nullable] = ACTIONS(7796),
    [anon_sym__Complex] = ACTIONS(7796),
    [anon_sym__Nullable] = ACTIONS(7796),
    [anon_sym__Nullable_result] = ACTIONS(7796),
    [anon_sym__Null_unspecified] = ACTIONS(7796),
    [anon_sym___autoreleasing] = ACTIONS(7796),
    [anon_sym___block] = ACTIONS(7796),
    [anon_sym___bridge] = ACTIONS(7796),
    [anon_sym___bridge_retained] = ACTIONS(7796),
    [anon_sym___bridge_transfer] = ACTIONS(7796),
    [anon_sym___complex] = ACTIONS(7796),
    [anon_sym___const] = ACTIONS(7796),
    [anon_sym___imag] = ACTIONS(7796),
    [anon_sym___kindof] = ACTIONS(7796),
    [anon_sym___nonnull] = ACTIONS(7796),
    [anon_sym___nullable] = ACTIONS(7796),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7796),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7796),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7796),
    [anon_sym___real] = ACTIONS(7796),
    [anon_sym___strong] = ACTIONS(7796),
    [anon_sym___unsafe_unretained] = ACTIONS(7796),
    [anon_sym___unused] = ACTIONS(7796),
    [anon_sym___weak] = ACTIONS(7796),
    [anon_sym_alignas] = ACTIONS(7796),
    [anon_sym__Alignas] = ACTIONS(7796),
    [anon_sym_enum] = ACTIONS(7796),
    [anon_sym_COLON] = ACTIONS(7798),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7796),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7796),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7796),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7796),
    [anon_sym_API_AVAILABLE] = ACTIONS(7796),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7796),
    [anon_sym_API_DEPRECATED] = ACTIONS(7796),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7796),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7796),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7796),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7796),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7796),
    [anon_sym___deprecated_msg] = ACTIONS(7796),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7796),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7796),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7796),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7796),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7796),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7796),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7796),
  },
  [3138] = {
    [sym__declaration_modifiers] = STATE(6355),
    [sym_attribute_specifier] = STATE(6355),
    [sym_attribute_declaration] = STATE(6355),
    [sym_ms_declspec_modifier] = STATE(6355),
    [sym_storage_class_specifier] = STATE(6355),
    [sym_type_qualifier] = STATE(6355),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6355),
    [aux_sym_declaration_repeat1] = STATE(3154),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7803),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3139] = {
    [sym__declaration_modifiers] = STATE(2872),
    [sym_attribute_specifier] = STATE(2872),
    [sym_attribute_declaration] = STATE(2872),
    [sym_ms_declspec_modifier] = STATE(2872),
    [sym_storage_class_specifier] = STATE(2872),
    [sym_type_qualifier] = STATE(2872),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2872),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2872),
    [aux_sym_method_declaration_repeat2] = STATE(2188),
    [anon_sym_SEMI] = ACTIONS(7570),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3140] = {
    [sym__declaration_modifiers] = STATE(3136),
    [sym_attribute_specifier] = STATE(3136),
    [sym_attribute_declaration] = STATE(3136),
    [sym_ms_declspec_modifier] = STATE(3136),
    [sym_storage_class_specifier] = STATE(3136),
    [sym_type_qualifier] = STATE(3136),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3136),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3136),
    [aux_sym_method_declaration_repeat2] = STATE(2184),
    [anon_sym_SEMI] = ACTIONS(7577),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3141] = {
    [sym_attribute_specifier] = STATE(2964),
    [sym_identifier] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7807),
    [anon_sym_RPAREN] = ACTIONS(7807),
    [anon_sym_LPAREN2] = ACTIONS(7807),
    [anon_sym_STAR] = ACTIONS(7807),
    [anon_sym_CARET] = ACTIONS(7807),
    [anon_sym_SEMI] = ACTIONS(7807),
    [anon_sym___extension__] = ACTIONS(7805),
    [anon_sym_extern] = ACTIONS(7805),
    [anon_sym___attribute__] = ACTIONS(7809),
    [anon_sym___attribute] = ACTIONS(7809),
    [anon_sym_noreturn] = ACTIONS(7805),
    [anon_sym_LBRACK] = ACTIONS(7807),
    [anon_sym___declspec] = ACTIONS(7805),
    [anon_sym___based] = ACTIONS(7805),
    [anon_sym_static] = ACTIONS(7805),
    [anon_sym_auto] = ACTIONS(7805),
    [anon_sym_register] = ACTIONS(7805),
    [anon_sym_inline] = ACTIONS(7805),
    [anon_sym___inline] = ACTIONS(7805),
    [anon_sym___inline__] = ACTIONS(7805),
    [anon_sym___forceinline] = ACTIONS(7805),
    [anon_sym_thread_local] = ACTIONS(7805),
    [anon_sym___thread] = ACTIONS(7805),
    [anon_sym_CG_EXTERN] = ACTIONS(7805),
    [anon_sym_CG_INLINE] = ACTIONS(7805),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7805),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7805),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7805),
    [anon_sym_IBOutlet] = ACTIONS(7805),
    [anon_sym_IBInspectable] = ACTIONS(7805),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7805),
    [anon_sym_NS_INLINE] = ACTIONS(7805),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7805),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7805),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7805),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7805),
    [anon_sym_const] = ACTIONS(7805),
    [anon_sym_constexpr] = ACTIONS(7805),
    [anon_sym_volatile] = ACTIONS(7805),
    [anon_sym_restrict] = ACTIONS(7805),
    [anon_sym___restrict__] = ACTIONS(7805),
    [anon_sym__Atomic] = ACTIONS(7805),
    [anon_sym__Noreturn] = ACTIONS(7805),
    [anon_sym__Nonnull] = ACTIONS(7805),
    [anon_sym_nullable] = ACTIONS(7805),
    [anon_sym__Complex] = ACTIONS(7805),
    [anon_sym__Nullable] = ACTIONS(7805),
    [anon_sym__Nullable_result] = ACTIONS(7805),
    [anon_sym__Null_unspecified] = ACTIONS(7805),
    [anon_sym___autoreleasing] = ACTIONS(7805),
    [anon_sym___block] = ACTIONS(7805),
    [anon_sym___bridge] = ACTIONS(7805),
    [anon_sym___bridge_retained] = ACTIONS(7805),
    [anon_sym___bridge_transfer] = ACTIONS(7805),
    [anon_sym___complex] = ACTIONS(7805),
    [anon_sym___const] = ACTIONS(7805),
    [anon_sym___imag] = ACTIONS(7805),
    [anon_sym___kindof] = ACTIONS(7805),
    [anon_sym___nonnull] = ACTIONS(7805),
    [anon_sym___nullable] = ACTIONS(7805),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7805),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7805),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7805),
    [anon_sym___real] = ACTIONS(7805),
    [anon_sym___strong] = ACTIONS(7805),
    [anon_sym___unsafe_unretained] = ACTIONS(7805),
    [anon_sym___unused] = ACTIONS(7805),
    [anon_sym___weak] = ACTIONS(7805),
    [anon_sym_alignas] = ACTIONS(7805),
    [anon_sym__Alignas] = ACTIONS(7805),
    [anon_sym_enum] = ACTIONS(7805),
    [anon_sym_COLON] = ACTIONS(7807),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7805),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7805),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7805),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7805),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7805),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7805),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7805),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7805),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7805),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7805),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7805),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7805),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7805),
    [anon_sym_API_AVAILABLE] = ACTIONS(7805),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7805),
    [anon_sym_API_DEPRECATED] = ACTIONS(7805),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7805),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7805),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7805),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7805),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7805),
    [anon_sym___deprecated_msg] = ACTIONS(7805),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7805),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7805),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7805),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7805),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7805),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7805),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7805),
  },
  [3142] = {
    [sym_attribute_specifier] = STATE(2983),
    [sym_identifier] = ACTIONS(7812),
    [anon_sym_COMMA] = ACTIONS(7814),
    [anon_sym_RPAREN] = ACTIONS(7814),
    [anon_sym_LPAREN2] = ACTIONS(7814),
    [anon_sym_STAR] = ACTIONS(7814),
    [anon_sym_CARET] = ACTIONS(7814),
    [anon_sym_SEMI] = ACTIONS(7814),
    [anon_sym___extension__] = ACTIONS(7812),
    [anon_sym_extern] = ACTIONS(7812),
    [anon_sym___attribute__] = ACTIONS(7816),
    [anon_sym___attribute] = ACTIONS(7816),
    [anon_sym_noreturn] = ACTIONS(7812),
    [anon_sym_LBRACK] = ACTIONS(7814),
    [anon_sym___declspec] = ACTIONS(7812),
    [anon_sym___based] = ACTIONS(7812),
    [anon_sym_static] = ACTIONS(7812),
    [anon_sym_auto] = ACTIONS(7812),
    [anon_sym_register] = ACTIONS(7812),
    [anon_sym_inline] = ACTIONS(7812),
    [anon_sym___inline] = ACTIONS(7812),
    [anon_sym___inline__] = ACTIONS(7812),
    [anon_sym___forceinline] = ACTIONS(7812),
    [anon_sym_thread_local] = ACTIONS(7812),
    [anon_sym___thread] = ACTIONS(7812),
    [anon_sym_CG_EXTERN] = ACTIONS(7812),
    [anon_sym_CG_INLINE] = ACTIONS(7812),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7812),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7812),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7812),
    [anon_sym_IBOutlet] = ACTIONS(7812),
    [anon_sym_IBInspectable] = ACTIONS(7812),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7812),
    [anon_sym_NS_INLINE] = ACTIONS(7812),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7812),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7812),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7812),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7812),
    [anon_sym_const] = ACTIONS(7812),
    [anon_sym_constexpr] = ACTIONS(7812),
    [anon_sym_volatile] = ACTIONS(7812),
    [anon_sym_restrict] = ACTIONS(7812),
    [anon_sym___restrict__] = ACTIONS(7812),
    [anon_sym__Atomic] = ACTIONS(7812),
    [anon_sym__Noreturn] = ACTIONS(7812),
    [anon_sym__Nonnull] = ACTIONS(7812),
    [anon_sym_nullable] = ACTIONS(7812),
    [anon_sym__Complex] = ACTIONS(7812),
    [anon_sym__Nullable] = ACTIONS(7812),
    [anon_sym__Nullable_result] = ACTIONS(7812),
    [anon_sym__Null_unspecified] = ACTIONS(7812),
    [anon_sym___autoreleasing] = ACTIONS(7812),
    [anon_sym___block] = ACTIONS(7812),
    [anon_sym___bridge] = ACTIONS(7812),
    [anon_sym___bridge_retained] = ACTIONS(7812),
    [anon_sym___bridge_transfer] = ACTIONS(7812),
    [anon_sym___complex] = ACTIONS(7812),
    [anon_sym___const] = ACTIONS(7812),
    [anon_sym___imag] = ACTIONS(7812),
    [anon_sym___kindof] = ACTIONS(7812),
    [anon_sym___nonnull] = ACTIONS(7812),
    [anon_sym___nullable] = ACTIONS(7812),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7812),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7812),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7812),
    [anon_sym___real] = ACTIONS(7812),
    [anon_sym___strong] = ACTIONS(7812),
    [anon_sym___unsafe_unretained] = ACTIONS(7812),
    [anon_sym___unused] = ACTIONS(7812),
    [anon_sym___weak] = ACTIONS(7812),
    [anon_sym_alignas] = ACTIONS(7812),
    [anon_sym__Alignas] = ACTIONS(7812),
    [anon_sym_enum] = ACTIONS(7812),
    [anon_sym_COLON] = ACTIONS(7814),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7812),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7812),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7812),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7812),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7812),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7812),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7812),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7812),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7812),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7812),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7812),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7812),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7812),
    [anon_sym_API_AVAILABLE] = ACTIONS(7812),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7812),
    [anon_sym_API_DEPRECATED] = ACTIONS(7812),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7812),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7812),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7812),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7812),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7812),
    [anon_sym___deprecated_msg] = ACTIONS(7812),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7812),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7812),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7812),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7812),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7812),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7812),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7812),
  },
  [3143] = {
    [sym_attribute_specifier] = STATE(2943),
    [sym_identifier] = ACTIONS(7819),
    [anon_sym_COMMA] = ACTIONS(7821),
    [anon_sym_RPAREN] = ACTIONS(7821),
    [anon_sym_LPAREN2] = ACTIONS(7821),
    [anon_sym_STAR] = ACTIONS(7821),
    [anon_sym_CARET] = ACTIONS(7821),
    [anon_sym_SEMI] = ACTIONS(7821),
    [anon_sym___extension__] = ACTIONS(7819),
    [anon_sym_extern] = ACTIONS(7819),
    [anon_sym___attribute__] = ACTIONS(7823),
    [anon_sym___attribute] = ACTIONS(7823),
    [anon_sym_noreturn] = ACTIONS(7819),
    [anon_sym_LBRACK] = ACTIONS(7821),
    [anon_sym___declspec] = ACTIONS(7819),
    [anon_sym___based] = ACTIONS(7819),
    [anon_sym_static] = ACTIONS(7819),
    [anon_sym_auto] = ACTIONS(7819),
    [anon_sym_register] = ACTIONS(7819),
    [anon_sym_inline] = ACTIONS(7819),
    [anon_sym___inline] = ACTIONS(7819),
    [anon_sym___inline__] = ACTIONS(7819),
    [anon_sym___forceinline] = ACTIONS(7819),
    [anon_sym_thread_local] = ACTIONS(7819),
    [anon_sym___thread] = ACTIONS(7819),
    [anon_sym_CG_EXTERN] = ACTIONS(7819),
    [anon_sym_CG_INLINE] = ACTIONS(7819),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7819),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7819),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7819),
    [anon_sym_IBOutlet] = ACTIONS(7819),
    [anon_sym_IBInspectable] = ACTIONS(7819),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7819),
    [anon_sym_NS_INLINE] = ACTIONS(7819),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7819),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7819),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7819),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7819),
    [anon_sym_const] = ACTIONS(7819),
    [anon_sym_constexpr] = ACTIONS(7819),
    [anon_sym_volatile] = ACTIONS(7819),
    [anon_sym_restrict] = ACTIONS(7819),
    [anon_sym___restrict__] = ACTIONS(7819),
    [anon_sym__Atomic] = ACTIONS(7819),
    [anon_sym__Noreturn] = ACTIONS(7819),
    [anon_sym__Nonnull] = ACTIONS(7819),
    [anon_sym_nullable] = ACTIONS(7819),
    [anon_sym__Complex] = ACTIONS(7819),
    [anon_sym__Nullable] = ACTIONS(7819),
    [anon_sym__Nullable_result] = ACTIONS(7819),
    [anon_sym__Null_unspecified] = ACTIONS(7819),
    [anon_sym___autoreleasing] = ACTIONS(7819),
    [anon_sym___block] = ACTIONS(7819),
    [anon_sym___bridge] = ACTIONS(7819),
    [anon_sym___bridge_retained] = ACTIONS(7819),
    [anon_sym___bridge_transfer] = ACTIONS(7819),
    [anon_sym___complex] = ACTIONS(7819),
    [anon_sym___const] = ACTIONS(7819),
    [anon_sym___imag] = ACTIONS(7819),
    [anon_sym___kindof] = ACTIONS(7819),
    [anon_sym___nonnull] = ACTIONS(7819),
    [anon_sym___nullable] = ACTIONS(7819),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7819),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7819),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7819),
    [anon_sym___real] = ACTIONS(7819),
    [anon_sym___strong] = ACTIONS(7819),
    [anon_sym___unsafe_unretained] = ACTIONS(7819),
    [anon_sym___unused] = ACTIONS(7819),
    [anon_sym___weak] = ACTIONS(7819),
    [anon_sym_alignas] = ACTIONS(7819),
    [anon_sym__Alignas] = ACTIONS(7819),
    [anon_sym_enum] = ACTIONS(7819),
    [anon_sym_COLON] = ACTIONS(7821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7819),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7819),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7819),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7819),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7819),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7819),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7819),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7819),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7819),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7819),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7819),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7819),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7819),
    [anon_sym_API_AVAILABLE] = ACTIONS(7819),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7819),
    [anon_sym_API_DEPRECATED] = ACTIONS(7819),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7819),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7819),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7819),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7819),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7819),
    [anon_sym___deprecated_msg] = ACTIONS(7819),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7819),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7819),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7819),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7819),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7819),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7819),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7819),
  },
  [3144] = {
    [sym__declaration_modifiers] = STATE(5967),
    [sym_attribute_specifier] = STATE(5967),
    [sym_attribute_declaration] = STATE(5967),
    [sym_ms_declspec_modifier] = STATE(5967),
    [sym_storage_class_specifier] = STATE(5967),
    [sym_type_qualifier] = STATE(5967),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(5967),
    [aux_sym_declaration_repeat1] = STATE(3156),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7826),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3145] = {
    [sym__declaration_modifiers] = STATE(6348),
    [sym_attribute_specifier] = STATE(6348),
    [sym_attribute_declaration] = STATE(6348),
    [sym_ms_declspec_modifier] = STATE(6348),
    [sym_storage_class_specifier] = STATE(6348),
    [sym_type_qualifier] = STATE(6348),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6348),
    [aux_sym_declaration_repeat1] = STATE(3171),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7828),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3146] = {
    [sym__declaration_modifiers] = STATE(6368),
    [sym_attribute_specifier] = STATE(6368),
    [sym_attribute_declaration] = STATE(6368),
    [sym_ms_declspec_modifier] = STATE(6368),
    [sym_storage_class_specifier] = STATE(6368),
    [sym_type_qualifier] = STATE(6368),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6368),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7830),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3147] = {
    [sym__declaration_modifiers] = STATE(2872),
    [sym_attribute_specifier] = STATE(2872),
    [sym_attribute_declaration] = STATE(2872),
    [sym_ms_declspec_modifier] = STATE(2872),
    [sym_storage_class_specifier] = STATE(2872),
    [sym_type_qualifier] = STATE(2872),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2872),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2872),
    [aux_sym_method_declaration_repeat2] = STATE(2287),
    [anon_sym_SEMI] = ACTIONS(7524),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3148] = {
    [sym__declaration_modifiers] = STATE(2872),
    [sym_attribute_specifier] = STATE(2872),
    [sym_attribute_declaration] = STATE(2872),
    [sym_ms_declspec_modifier] = STATE(2872),
    [sym_storage_class_specifier] = STATE(2872),
    [sym_type_qualifier] = STATE(2872),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2872),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2872),
    [aux_sym_method_declaration_repeat2] = STATE(2115),
    [anon_sym_SEMI] = ACTIONS(7504),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3149] = {
    [sym__declaration_modifiers] = STATE(3186),
    [sym_attribute_specifier] = STATE(3186),
    [sym_attribute_declaration] = STATE(3186),
    [sym_ms_declspec_modifier] = STATE(3186),
    [sym_storage_class_specifier] = STATE(3186),
    [sym_type_qualifier] = STATE(3186),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3186),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3186),
    [aux_sym_method_declaration_repeat2] = STATE(2287),
    [anon_sym_SEMI] = ACTIONS(7524),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3150] = {
    [sym__declaration_modifiers] = STATE(6235),
    [sym_attribute_specifier] = STATE(6235),
    [sym_attribute_declaration] = STATE(6235),
    [sym_ms_declspec_modifier] = STATE(6235),
    [sym_storage_class_specifier] = STATE(6235),
    [sym_type_qualifier] = STATE(6235),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6235),
    [aux_sym_declaration_repeat1] = STATE(3173),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7832),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3151] = {
    [sym__declaration_modifiers] = STATE(6483),
    [sym_attribute_specifier] = STATE(6483),
    [sym_attribute_declaration] = STATE(6483),
    [sym_ms_declspec_modifier] = STATE(6483),
    [sym_storage_class_specifier] = STATE(6483),
    [sym_type_qualifier] = STATE(6483),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6483),
    [aux_sym_declaration_repeat1] = STATE(3176),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7834),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3152] = {
    [sym__declaration_modifiers] = STATE(6269),
    [sym_attribute_specifier] = STATE(6269),
    [sym_attribute_declaration] = STATE(6269),
    [sym_ms_declspec_modifier] = STATE(6269),
    [sym_storage_class_specifier] = STATE(6269),
    [sym_type_qualifier] = STATE(6269),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6269),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7836),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3153] = {
    [sym__declaration_modifiers] = STATE(6486),
    [sym_attribute_specifier] = STATE(6486),
    [sym_attribute_declaration] = STATE(6486),
    [sym_ms_declspec_modifier] = STATE(6486),
    [sym_storage_class_specifier] = STATE(6486),
    [sym_type_qualifier] = STATE(6486),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6486),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7838),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3154] = {
    [sym__declaration_modifiers] = STATE(6493),
    [sym_attribute_specifier] = STATE(6493),
    [sym_attribute_declaration] = STATE(6493),
    [sym_ms_declspec_modifier] = STATE(6493),
    [sym_storage_class_specifier] = STATE(6493),
    [sym_type_qualifier] = STATE(6493),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6493),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7840),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3155] = {
    [sym__declaration_modifiers] = STATE(6790),
    [sym_attribute_specifier] = STATE(6790),
    [sym_attribute_declaration] = STATE(6790),
    [sym_ms_declspec_modifier] = STATE(6790),
    [sym_storage_class_specifier] = STATE(6790),
    [sym_type_qualifier] = STATE(6790),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6790),
    [aux_sym_declaration_repeat1] = STATE(3185),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7842),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3156] = {
    [sym__declaration_modifiers] = STATE(6270),
    [sym_attribute_specifier] = STATE(6270),
    [sym_attribute_declaration] = STATE(6270),
    [sym_ms_declspec_modifier] = STATE(6270),
    [sym_storage_class_specifier] = STATE(6270),
    [sym_type_qualifier] = STATE(6270),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6270),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7844),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3157] = {
    [sym__declaration_modifiers] = STATE(6494),
    [sym_attribute_specifier] = STATE(6494),
    [sym_attribute_declaration] = STATE(6494),
    [sym_ms_declspec_modifier] = STATE(6494),
    [sym_storage_class_specifier] = STATE(6494),
    [sym_type_qualifier] = STATE(6494),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6494),
    [aux_sym_declaration_repeat1] = STATE(3177),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7846),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3158] = {
    [sym__declaration_modifiers] = STATE(3139),
    [sym_attribute_specifier] = STATE(3139),
    [sym_attribute_declaration] = STATE(3139),
    [sym_ms_declspec_modifier] = STATE(3139),
    [sym_storage_class_specifier] = STATE(3139),
    [sym_type_qualifier] = STATE(3139),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3139),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3139),
    [aux_sym_method_declaration_repeat2] = STATE(2186),
    [anon_sym_SEMI] = ACTIONS(7554),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3159] = {
    [sym__declaration_modifiers] = STATE(6272),
    [sym_attribute_specifier] = STATE(6272),
    [sym_attribute_declaration] = STATE(6272),
    [sym_ms_declspec_modifier] = STATE(6272),
    [sym_storage_class_specifier] = STATE(6272),
    [sym_type_qualifier] = STATE(6272),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6272),
    [aux_sym_declaration_repeat1] = STATE(3174),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7848),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3160] = {
    [sym__declaration_modifiers] = STATE(2872),
    [sym_attribute_specifier] = STATE(2872),
    [sym_attribute_declaration] = STATE(2872),
    [sym_ms_declspec_modifier] = STATE(2872),
    [sym_storage_class_specifier] = STATE(2872),
    [sym_type_qualifier] = STATE(2872),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2872),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2872),
    [aux_sym_method_declaration_repeat2] = STATE(2209),
    [anon_sym_SEMI] = ACTIONS(7850),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3161] = {
    [sym_attribute_specifier] = STATE(3212),
    [sym_gnu_asm_expression] = STATE(3214),
    [aux_sym_function_declarator_repeat1] = STATE(3212),
    [anon_sym_COMMA] = ACTIONS(6483),
    [anon_sym_LPAREN2] = ACTIONS(6483),
    [anon_sym_SEMI] = ACTIONS(6483),
    [anon_sym___extension__] = ACTIONS(6483),
    [anon_sym_extern] = ACTIONS(6483),
    [anon_sym___attribute__] = ACTIONS(7852),
    [anon_sym___attribute] = ACTIONS(7854),
    [anon_sym_noreturn] = ACTIONS(6483),
    [anon_sym_LBRACK] = ACTIONS(6483),
    [anon_sym___declspec] = ACTIONS(6483),
    [anon_sym_static] = ACTIONS(6483),
    [anon_sym_EQ] = ACTIONS(6483),
    [anon_sym_auto] = ACTIONS(6483),
    [anon_sym_register] = ACTIONS(6483),
    [anon_sym_inline] = ACTIONS(6483),
    [anon_sym___inline] = ACTIONS(6481),
    [anon_sym___inline__] = ACTIONS(6483),
    [anon_sym___forceinline] = ACTIONS(6483),
    [anon_sym_thread_local] = ACTIONS(6483),
    [anon_sym___thread] = ACTIONS(6483),
    [anon_sym_CG_EXTERN] = ACTIONS(6483),
    [anon_sym_CG_INLINE] = ACTIONS(6483),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6483),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6483),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6483),
    [anon_sym_IBOutlet] = ACTIONS(6483),
    [anon_sym_IBInspectable] = ACTIONS(6483),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6483),
    [anon_sym_NS_INLINE] = ACTIONS(6483),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6483),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6483),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6483),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6483),
    [anon_sym_const] = ACTIONS(6481),
    [anon_sym_constexpr] = ACTIONS(6483),
    [anon_sym_volatile] = ACTIONS(6483),
    [anon_sym_restrict] = ACTIONS(6483),
    [anon_sym___restrict__] = ACTIONS(6483),
    [anon_sym__Atomic] = ACTIONS(6483),
    [anon_sym__Noreturn] = ACTIONS(6483),
    [anon_sym__Nonnull] = ACTIONS(6483),
    [anon_sym_nullable] = ACTIONS(6483),
    [anon_sym__Complex] = ACTIONS(6483),
    [anon_sym__Nullable] = ACTIONS(6481),
    [anon_sym__Nullable_result] = ACTIONS(6483),
    [anon_sym__Null_unspecified] = ACTIONS(6483),
    [anon_sym___autoreleasing] = ACTIONS(6483),
    [anon_sym___block] = ACTIONS(6483),
    [anon_sym___bridge] = ACTIONS(6481),
    [anon_sym___bridge_retained] = ACTIONS(6483),
    [anon_sym___bridge_transfer] = ACTIONS(6483),
    [anon_sym___complex] = ACTIONS(6483),
    [anon_sym___const] = ACTIONS(6483),
    [anon_sym___imag] = ACTIONS(6483),
    [anon_sym___kindof] = ACTIONS(6483),
    [anon_sym___nonnull] = ACTIONS(6483),
    [anon_sym___nullable] = ACTIONS(6483),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6483),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6483),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6483),
    [anon_sym___real] = ACTIONS(6483),
    [anon_sym___strong] = ACTIONS(6483),
    [anon_sym___unsafe_unretained] = ACTIONS(6483),
    [anon_sym___unused] = ACTIONS(6483),
    [anon_sym___weak] = ACTIONS(6483),
    [anon_sym_alignas] = ACTIONS(6483),
    [anon_sym__Alignas] = ACTIONS(6483),
    [anon_sym_in] = ACTIONS(6481),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6483),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6483),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6483),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6483),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6483),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6483),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6483),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6483),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6483),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6483),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6481),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6483),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6483),
    [anon_sym_API_AVAILABLE] = ACTIONS(6483),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6483),
    [anon_sym_API_DEPRECATED] = ACTIONS(6483),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6483),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6483),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6483),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6483),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6483),
    [anon_sym___deprecated_msg] = ACTIONS(6483),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6483),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6483),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6483),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6483),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6483),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6483),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6483),
  },
  [3162] = {
    [sym__declaration_modifiers] = STATE(6381),
    [sym_attribute_specifier] = STATE(6381),
    [sym_attribute_declaration] = STATE(6381),
    [sym_ms_declspec_modifier] = STATE(6381),
    [sym_storage_class_specifier] = STATE(6381),
    [sym_type_qualifier] = STATE(6381),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6381),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7856),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3163] = {
    [sym__declaration_modifiers] = STATE(6392),
    [sym_attribute_specifier] = STATE(6392),
    [sym_attribute_declaration] = STATE(6392),
    [sym_ms_declspec_modifier] = STATE(6392),
    [sym_storage_class_specifier] = STATE(6392),
    [sym_type_qualifier] = STATE(6392),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6392),
    [aux_sym_declaration_repeat1] = STATE(3120),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7858),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3164] = {
    [sym__declaration_modifiers] = STATE(6431),
    [sym_attribute_specifier] = STATE(6431),
    [sym_attribute_declaration] = STATE(6431),
    [sym_ms_declspec_modifier] = STATE(6431),
    [sym_storage_class_specifier] = STATE(6431),
    [sym_type_qualifier] = STATE(6431),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6431),
    [aux_sym_declaration_repeat1] = STATE(3204),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7860),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3165] = {
    [sym__declaration_modifiers] = STATE(6459),
    [sym_attribute_specifier] = STATE(6459),
    [sym_attribute_declaration] = STATE(6459),
    [sym_ms_declspec_modifier] = STATE(6459),
    [sym_storage_class_specifier] = STATE(6459),
    [sym_type_qualifier] = STATE(6459),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6459),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7862),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3166] = {
    [sym__declaration_modifiers] = STATE(6472),
    [sym_attribute_specifier] = STATE(6472),
    [sym_attribute_declaration] = STATE(6472),
    [sym_ms_declspec_modifier] = STATE(6472),
    [sym_storage_class_specifier] = STATE(6472),
    [sym_type_qualifier] = STATE(6472),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6472),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7864),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3167] = {
    [sym__declaration_modifiers] = STATE(6480),
    [sym_attribute_specifier] = STATE(6480),
    [sym_attribute_declaration] = STATE(6480),
    [sym_ms_declspec_modifier] = STATE(6480),
    [sym_storage_class_specifier] = STATE(6480),
    [sym_type_qualifier] = STATE(6480),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6480),
    [aux_sym_declaration_repeat1] = STATE(3205),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7866),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3168] = {
    [sym_attribute_specifier] = STATE(3014),
    [sym_identifier] = ACTIONS(7868),
    [anon_sym_COMMA] = ACTIONS(7870),
    [anon_sym_RPAREN] = ACTIONS(7870),
    [anon_sym_LPAREN2] = ACTIONS(7870),
    [anon_sym_STAR] = ACTIONS(7870),
    [anon_sym_CARET] = ACTIONS(7870),
    [anon_sym_SEMI] = ACTIONS(7870),
    [anon_sym___extension__] = ACTIONS(7868),
    [anon_sym_extern] = ACTIONS(7868),
    [anon_sym___attribute__] = ACTIONS(7872),
    [anon_sym___attribute] = ACTIONS(7872),
    [anon_sym_noreturn] = ACTIONS(7868),
    [anon_sym_LBRACK] = ACTIONS(7870),
    [anon_sym___declspec] = ACTIONS(7868),
    [anon_sym___based] = ACTIONS(7868),
    [anon_sym_static] = ACTIONS(7868),
    [anon_sym_auto] = ACTIONS(7868),
    [anon_sym_register] = ACTIONS(7868),
    [anon_sym_inline] = ACTIONS(7868),
    [anon_sym___inline] = ACTIONS(7868),
    [anon_sym___inline__] = ACTIONS(7868),
    [anon_sym___forceinline] = ACTIONS(7868),
    [anon_sym_thread_local] = ACTIONS(7868),
    [anon_sym___thread] = ACTIONS(7868),
    [anon_sym_CG_EXTERN] = ACTIONS(7868),
    [anon_sym_CG_INLINE] = ACTIONS(7868),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7868),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7868),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7868),
    [anon_sym_IBOutlet] = ACTIONS(7868),
    [anon_sym_IBInspectable] = ACTIONS(7868),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7868),
    [anon_sym_NS_INLINE] = ACTIONS(7868),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7868),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7868),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7868),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7868),
    [anon_sym_const] = ACTIONS(7868),
    [anon_sym_constexpr] = ACTIONS(7868),
    [anon_sym_volatile] = ACTIONS(7868),
    [anon_sym_restrict] = ACTIONS(7868),
    [anon_sym___restrict__] = ACTIONS(7868),
    [anon_sym__Atomic] = ACTIONS(7868),
    [anon_sym__Noreturn] = ACTIONS(7868),
    [anon_sym__Nonnull] = ACTIONS(7868),
    [anon_sym_nullable] = ACTIONS(7868),
    [anon_sym__Complex] = ACTIONS(7868),
    [anon_sym__Nullable] = ACTIONS(7868),
    [anon_sym__Nullable_result] = ACTIONS(7868),
    [anon_sym__Null_unspecified] = ACTIONS(7868),
    [anon_sym___autoreleasing] = ACTIONS(7868),
    [anon_sym___block] = ACTIONS(7868),
    [anon_sym___bridge] = ACTIONS(7868),
    [anon_sym___bridge_retained] = ACTIONS(7868),
    [anon_sym___bridge_transfer] = ACTIONS(7868),
    [anon_sym___complex] = ACTIONS(7868),
    [anon_sym___const] = ACTIONS(7868),
    [anon_sym___imag] = ACTIONS(7868),
    [anon_sym___kindof] = ACTIONS(7868),
    [anon_sym___nonnull] = ACTIONS(7868),
    [anon_sym___nullable] = ACTIONS(7868),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7868),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7868),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7868),
    [anon_sym___real] = ACTIONS(7868),
    [anon_sym___strong] = ACTIONS(7868),
    [anon_sym___unsafe_unretained] = ACTIONS(7868),
    [anon_sym___unused] = ACTIONS(7868),
    [anon_sym___weak] = ACTIONS(7868),
    [anon_sym_alignas] = ACTIONS(7868),
    [anon_sym__Alignas] = ACTIONS(7868),
    [anon_sym_enum] = ACTIONS(7868),
    [anon_sym_COLON] = ACTIONS(7870),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7868),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7868),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7868),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7868),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7868),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7868),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7868),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7868),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7868),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7868),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7868),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7868),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7868),
    [anon_sym_API_AVAILABLE] = ACTIONS(7868),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7868),
    [anon_sym_API_DEPRECATED] = ACTIONS(7868),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7868),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7868),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7868),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7868),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7868),
    [anon_sym___deprecated_msg] = ACTIONS(7868),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7868),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7868),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7868),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7868),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7868),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7868),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7868),
  },
  [3169] = {
    [sym__declaration_modifiers] = STATE(6139),
    [sym_attribute_specifier] = STATE(6139),
    [sym_attribute_declaration] = STATE(6139),
    [sym_ms_declspec_modifier] = STATE(6139),
    [sym_storage_class_specifier] = STATE(6139),
    [sym_type_qualifier] = STATE(6139),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6139),
    [aux_sym__type_definition_declarators_repeat1] = STATE(3289),
    [anon_sym_COMMA] = ACTIONS(7544),
    [anon_sym_SEMI] = ACTIONS(7875),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3170] = {
    [sym_attribute_specifier] = STATE(2999),
    [sym_identifier] = ACTIONS(7877),
    [anon_sym_COMMA] = ACTIONS(7879),
    [anon_sym_RPAREN] = ACTIONS(7879),
    [anon_sym_LPAREN2] = ACTIONS(7879),
    [anon_sym_STAR] = ACTIONS(7879),
    [anon_sym_CARET] = ACTIONS(7879),
    [anon_sym_SEMI] = ACTIONS(7879),
    [anon_sym___extension__] = ACTIONS(7877),
    [anon_sym_extern] = ACTIONS(7877),
    [anon_sym___attribute__] = ACTIONS(7881),
    [anon_sym___attribute] = ACTIONS(7881),
    [anon_sym_noreturn] = ACTIONS(7877),
    [anon_sym_LBRACK] = ACTIONS(7879),
    [anon_sym___declspec] = ACTIONS(7877),
    [anon_sym___based] = ACTIONS(7877),
    [anon_sym_static] = ACTIONS(7877),
    [anon_sym_auto] = ACTIONS(7877),
    [anon_sym_register] = ACTIONS(7877),
    [anon_sym_inline] = ACTIONS(7877),
    [anon_sym___inline] = ACTIONS(7877),
    [anon_sym___inline__] = ACTIONS(7877),
    [anon_sym___forceinline] = ACTIONS(7877),
    [anon_sym_thread_local] = ACTIONS(7877),
    [anon_sym___thread] = ACTIONS(7877),
    [anon_sym_CG_EXTERN] = ACTIONS(7877),
    [anon_sym_CG_INLINE] = ACTIONS(7877),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7877),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7877),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7877),
    [anon_sym_IBOutlet] = ACTIONS(7877),
    [anon_sym_IBInspectable] = ACTIONS(7877),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7877),
    [anon_sym_NS_INLINE] = ACTIONS(7877),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7877),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7877),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7877),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7877),
    [anon_sym_const] = ACTIONS(7877),
    [anon_sym_constexpr] = ACTIONS(7877),
    [anon_sym_volatile] = ACTIONS(7877),
    [anon_sym_restrict] = ACTIONS(7877),
    [anon_sym___restrict__] = ACTIONS(7877),
    [anon_sym__Atomic] = ACTIONS(7877),
    [anon_sym__Noreturn] = ACTIONS(7877),
    [anon_sym__Nonnull] = ACTIONS(7877),
    [anon_sym_nullable] = ACTIONS(7877),
    [anon_sym__Complex] = ACTIONS(7877),
    [anon_sym__Nullable] = ACTIONS(7877),
    [anon_sym__Nullable_result] = ACTIONS(7877),
    [anon_sym__Null_unspecified] = ACTIONS(7877),
    [anon_sym___autoreleasing] = ACTIONS(7877),
    [anon_sym___block] = ACTIONS(7877),
    [anon_sym___bridge] = ACTIONS(7877),
    [anon_sym___bridge_retained] = ACTIONS(7877),
    [anon_sym___bridge_transfer] = ACTIONS(7877),
    [anon_sym___complex] = ACTIONS(7877),
    [anon_sym___const] = ACTIONS(7877),
    [anon_sym___imag] = ACTIONS(7877),
    [anon_sym___kindof] = ACTIONS(7877),
    [anon_sym___nonnull] = ACTIONS(7877),
    [anon_sym___nullable] = ACTIONS(7877),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7877),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7877),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7877),
    [anon_sym___real] = ACTIONS(7877),
    [anon_sym___strong] = ACTIONS(7877),
    [anon_sym___unsafe_unretained] = ACTIONS(7877),
    [anon_sym___unused] = ACTIONS(7877),
    [anon_sym___weak] = ACTIONS(7877),
    [anon_sym_alignas] = ACTIONS(7877),
    [anon_sym__Alignas] = ACTIONS(7877),
    [anon_sym_enum] = ACTIONS(7877),
    [anon_sym_COLON] = ACTIONS(7879),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7877),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7877),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7877),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7877),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7877),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7877),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7877),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7877),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7877),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7877),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7877),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7877),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7877),
    [anon_sym_API_AVAILABLE] = ACTIONS(7877),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7877),
    [anon_sym_API_DEPRECATED] = ACTIONS(7877),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7877),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7877),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7877),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7877),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7877),
    [anon_sym___deprecated_msg] = ACTIONS(7877),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7877),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7877),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7877),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7877),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7877),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7877),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7877),
  },
  [3171] = {
    [sym__declaration_modifiers] = STATE(6475),
    [sym_attribute_specifier] = STATE(6475),
    [sym_attribute_declaration] = STATE(6475),
    [sym_ms_declspec_modifier] = STATE(6475),
    [sym_storage_class_specifier] = STATE(6475),
    [sym_type_qualifier] = STATE(6475),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6475),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7884),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3172] = {
    [sym__declaration_modifiers] = STATE(2872),
    [sym_attribute_specifier] = STATE(2872),
    [sym_attribute_declaration] = STATE(2872),
    [sym_ms_declspec_modifier] = STATE(2872),
    [sym_storage_class_specifier] = STATE(2872),
    [sym_type_qualifier] = STATE(2872),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2872),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2872),
    [aux_sym_method_declaration_repeat2] = STATE(2113),
    [anon_sym_SEMI] = ACTIONS(7515),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3173] = {
    [sym__declaration_modifiers] = STATE(6410),
    [sym_attribute_specifier] = STATE(6410),
    [sym_attribute_declaration] = STATE(6410),
    [sym_ms_declspec_modifier] = STATE(6410),
    [sym_storage_class_specifier] = STATE(6410),
    [sym_type_qualifier] = STATE(6410),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6410),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7886),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3174] = {
    [sym__declaration_modifiers] = STATE(6413),
    [sym_attribute_specifier] = STATE(6413),
    [sym_attribute_declaration] = STATE(6413),
    [sym_ms_declspec_modifier] = STATE(6413),
    [sym_storage_class_specifier] = STATE(6413),
    [sym_type_qualifier] = STATE(6413),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6413),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7888),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3175] = {
    [sym__declaration_modifiers] = STATE(3148),
    [sym_attribute_specifier] = STATE(3148),
    [sym_attribute_declaration] = STATE(3148),
    [sym_ms_declspec_modifier] = STATE(3148),
    [sym_storage_class_specifier] = STATE(3148),
    [sym_type_qualifier] = STATE(3148),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3148),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3148),
    [aux_sym_method_declaration_repeat2] = STATE(2113),
    [anon_sym_SEMI] = ACTIONS(7515),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3176] = {
    [sym__declaration_modifiers] = STATE(6575),
    [sym_attribute_specifier] = STATE(6575),
    [sym_attribute_declaration] = STATE(6575),
    [sym_ms_declspec_modifier] = STATE(6575),
    [sym_storage_class_specifier] = STATE(6575),
    [sym_type_qualifier] = STATE(6575),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6575),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7890),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3177] = {
    [sym__declaration_modifiers] = STATE(6576),
    [sym_attribute_specifier] = STATE(6576),
    [sym_attribute_declaration] = STATE(6576),
    [sym_ms_declspec_modifier] = STATE(6576),
    [sym_storage_class_specifier] = STATE(6576),
    [sym_type_qualifier] = STATE(6576),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6576),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7892),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3178] = {
    [sym_attribute_specifier] = STATE(3003),
    [sym_identifier] = ACTIONS(7894),
    [anon_sym_COMMA] = ACTIONS(7896),
    [anon_sym_RPAREN] = ACTIONS(7896),
    [anon_sym_LPAREN2] = ACTIONS(7896),
    [anon_sym_STAR] = ACTIONS(7896),
    [anon_sym_CARET] = ACTIONS(7896),
    [anon_sym_SEMI] = ACTIONS(7896),
    [anon_sym___extension__] = ACTIONS(7894),
    [anon_sym_extern] = ACTIONS(7894),
    [anon_sym___attribute__] = ACTIONS(7898),
    [anon_sym___attribute] = ACTIONS(7898),
    [anon_sym_noreturn] = ACTIONS(7894),
    [anon_sym_LBRACK] = ACTIONS(7896),
    [anon_sym___declspec] = ACTIONS(7894),
    [anon_sym___based] = ACTIONS(7894),
    [anon_sym_static] = ACTIONS(7894),
    [anon_sym_auto] = ACTIONS(7894),
    [anon_sym_register] = ACTIONS(7894),
    [anon_sym_inline] = ACTIONS(7894),
    [anon_sym___inline] = ACTIONS(7894),
    [anon_sym___inline__] = ACTIONS(7894),
    [anon_sym___forceinline] = ACTIONS(7894),
    [anon_sym_thread_local] = ACTIONS(7894),
    [anon_sym___thread] = ACTIONS(7894),
    [anon_sym_CG_EXTERN] = ACTIONS(7894),
    [anon_sym_CG_INLINE] = ACTIONS(7894),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7894),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7894),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7894),
    [anon_sym_IBOutlet] = ACTIONS(7894),
    [anon_sym_IBInspectable] = ACTIONS(7894),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7894),
    [anon_sym_NS_INLINE] = ACTIONS(7894),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7894),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7894),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7894),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7894),
    [anon_sym_const] = ACTIONS(7894),
    [anon_sym_constexpr] = ACTIONS(7894),
    [anon_sym_volatile] = ACTIONS(7894),
    [anon_sym_restrict] = ACTIONS(7894),
    [anon_sym___restrict__] = ACTIONS(7894),
    [anon_sym__Atomic] = ACTIONS(7894),
    [anon_sym__Noreturn] = ACTIONS(7894),
    [anon_sym__Nonnull] = ACTIONS(7894),
    [anon_sym_nullable] = ACTIONS(7894),
    [anon_sym__Complex] = ACTIONS(7894),
    [anon_sym__Nullable] = ACTIONS(7894),
    [anon_sym__Nullable_result] = ACTIONS(7894),
    [anon_sym__Null_unspecified] = ACTIONS(7894),
    [anon_sym___autoreleasing] = ACTIONS(7894),
    [anon_sym___block] = ACTIONS(7894),
    [anon_sym___bridge] = ACTIONS(7894),
    [anon_sym___bridge_retained] = ACTIONS(7894),
    [anon_sym___bridge_transfer] = ACTIONS(7894),
    [anon_sym___complex] = ACTIONS(7894),
    [anon_sym___const] = ACTIONS(7894),
    [anon_sym___imag] = ACTIONS(7894),
    [anon_sym___kindof] = ACTIONS(7894),
    [anon_sym___nonnull] = ACTIONS(7894),
    [anon_sym___nullable] = ACTIONS(7894),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7894),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7894),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7894),
    [anon_sym___real] = ACTIONS(7894),
    [anon_sym___strong] = ACTIONS(7894),
    [anon_sym___unsafe_unretained] = ACTIONS(7894),
    [anon_sym___unused] = ACTIONS(7894),
    [anon_sym___weak] = ACTIONS(7894),
    [anon_sym_alignas] = ACTIONS(7894),
    [anon_sym__Alignas] = ACTIONS(7894),
    [anon_sym_enum] = ACTIONS(7894),
    [anon_sym_COLON] = ACTIONS(7896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7894),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7894),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7894),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7894),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7894),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7894),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7894),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7894),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7894),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7894),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7894),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7894),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7894),
    [anon_sym_API_AVAILABLE] = ACTIONS(7894),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7894),
    [anon_sym_API_DEPRECATED] = ACTIONS(7894),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7894),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7894),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7894),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7894),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7894),
    [anon_sym___deprecated_msg] = ACTIONS(7894),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7894),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7894),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7894),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7894),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7894),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7894),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7894),
  },
  [3179] = {
    [sym__declaration_modifiers] = STATE(6372),
    [sym_attribute_specifier] = STATE(6372),
    [sym_attribute_declaration] = STATE(6372),
    [sym_ms_declspec_modifier] = STATE(6372),
    [sym_storage_class_specifier] = STATE(6372),
    [sym_type_qualifier] = STATE(6372),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6372),
    [aux_sym_struct_declaration_repeat2] = STATE(3189),
    [anon_sym_COMMA] = ACTIONS(7749),
    [anon_sym_SEMI] = ACTIONS(7901),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3180] = {
    [sym__declaration_modifiers] = STATE(2872),
    [sym_attribute_specifier] = STATE(2872),
    [sym_attribute_declaration] = STATE(2872),
    [sym_ms_declspec_modifier] = STATE(2872),
    [sym_storage_class_specifier] = STATE(2872),
    [sym_type_qualifier] = STATE(2872),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2872),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2872),
    [aux_sym_method_declaration_repeat2] = STATE(2270),
    [anon_sym_SEMI] = ACTIONS(7903),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3181] = {
    [sym__declaration_modifiers] = STATE(6587),
    [sym_attribute_specifier] = STATE(6587),
    [sym_attribute_declaration] = STATE(6587),
    [sym_ms_declspec_modifier] = STATE(6587),
    [sym_storage_class_specifier] = STATE(6587),
    [sym_type_qualifier] = STATE(6587),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6587),
    [aux_sym_struct_declaration_repeat2] = STATE(3196),
    [anon_sym_COMMA] = ACTIONS(7749),
    [anon_sym_SEMI] = ACTIONS(7905),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3182] = {
    [sym__declaration_modifiers] = STATE(6535),
    [sym_attribute_specifier] = STATE(6535),
    [sym_attribute_declaration] = STATE(6535),
    [sym_ms_declspec_modifier] = STATE(6535),
    [sym_storage_class_specifier] = STATE(6535),
    [sym_type_qualifier] = STATE(6535),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6535),
    [aux_sym_declaration_repeat1] = STATE(3122),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7907),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3183] = {
    [sym__declaration_modifiers] = STATE(6537),
    [sym_attribute_specifier] = STATE(6537),
    [sym_attribute_declaration] = STATE(6537),
    [sym_ms_declspec_modifier] = STATE(6537),
    [sym_storage_class_specifier] = STATE(6537),
    [sym_type_qualifier] = STATE(6537),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6537),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7909),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3184] = {
    [sym__declaration_modifiers] = STATE(2872),
    [sym_attribute_specifier] = STATE(2872),
    [sym_attribute_declaration] = STATE(2872),
    [sym_ms_declspec_modifier] = STATE(2872),
    [sym_storage_class_specifier] = STATE(2872),
    [sym_type_qualifier] = STATE(2872),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2872),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2872),
    [aux_sym_method_declaration_repeat2] = STATE(2190),
    [anon_sym_SEMI] = ACTIONS(7911),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3185] = {
    [sym__declaration_modifiers] = STATE(6547),
    [sym_attribute_specifier] = STATE(6547),
    [sym_attribute_declaration] = STATE(6547),
    [sym_ms_declspec_modifier] = STATE(6547),
    [sym_storage_class_specifier] = STATE(6547),
    [sym_type_qualifier] = STATE(6547),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6547),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7913),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3186] = {
    [sym__declaration_modifiers] = STATE(2872),
    [sym_attribute_specifier] = STATE(2872),
    [sym_attribute_declaration] = STATE(2872),
    [sym_ms_declspec_modifier] = STATE(2872),
    [sym_storage_class_specifier] = STATE(2872),
    [sym_type_qualifier] = STATE(2872),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2872),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2872),
    [aux_sym_method_declaration_repeat2] = STATE(2290),
    [anon_sym_SEMI] = ACTIONS(7550),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3187] = {
    [sym__declaration_modifiers] = STATE(6563),
    [sym_attribute_specifier] = STATE(6563),
    [sym_attribute_declaration] = STATE(6563),
    [sym_ms_declspec_modifier] = STATE(6563),
    [sym_storage_class_specifier] = STATE(6563),
    [sym_type_qualifier] = STATE(6563),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6563),
    [aux_sym_declaration_repeat1] = STATE(3123),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7915),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3188] = {
    [sym__declaration_modifiers] = STATE(3147),
    [sym_attribute_specifier] = STATE(3147),
    [sym_attribute_declaration] = STATE(3147),
    [sym_ms_declspec_modifier] = STATE(3147),
    [sym_storage_class_specifier] = STATE(3147),
    [sym_type_qualifier] = STATE(3147),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3147),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3147),
    [aux_sym_method_declaration_repeat2] = STATE(2282),
    [anon_sym_SEMI] = ACTIONS(7533),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3189] = {
    [sym__declaration_modifiers] = STATE(6603),
    [sym_attribute_specifier] = STATE(6603),
    [sym_attribute_declaration] = STATE(6603),
    [sym_ms_declspec_modifier] = STATE(6603),
    [sym_storage_class_specifier] = STATE(6603),
    [sym_type_qualifier] = STATE(6603),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6603),
    [aux_sym_struct_declaration_repeat2] = STATE(3278),
    [anon_sym_COMMA] = ACTIONS(7749),
    [anon_sym_SEMI] = ACTIONS(7917),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3190] = {
    [sym__declaration_modifiers] = STATE(2872),
    [sym_attribute_specifier] = STATE(2872),
    [sym_attribute_declaration] = STATE(2872),
    [sym_ms_declspec_modifier] = STATE(2872),
    [sym_storage_class_specifier] = STATE(2872),
    [sym_type_qualifier] = STATE(2872),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2872),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2872),
    [aux_sym_method_declaration_repeat2] = STATE(2184),
    [anon_sym_SEMI] = ACTIONS(7577),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3191] = {
    [sym__declaration_modifiers] = STATE(2872),
    [sym_attribute_specifier] = STATE(2872),
    [sym_attribute_declaration] = STATE(2872),
    [sym_ms_declspec_modifier] = STATE(2872),
    [sym_storage_class_specifier] = STATE(2872),
    [sym_type_qualifier] = STATE(2872),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2872),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2872),
    [aux_sym_method_declaration_repeat2] = STATE(2292),
    [anon_sym_SEMI] = ACTIONS(7919),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3192] = {
    [sym__declaration_modifiers] = STATE(2872),
    [sym_attribute_specifier] = STATE(2872),
    [sym_attribute_declaration] = STATE(2872),
    [sym_ms_declspec_modifier] = STATE(2872),
    [sym_storage_class_specifier] = STATE(2872),
    [sym_type_qualifier] = STATE(2872),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2872),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2872),
    [aux_sym_method_declaration_repeat2] = STATE(2282),
    [anon_sym_SEMI] = ACTIONS(7533),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3193] = {
    [sym__declaration_modifiers] = STATE(6620),
    [sym_attribute_specifier] = STATE(6620),
    [sym_attribute_declaration] = STATE(6620),
    [sym_ms_declspec_modifier] = STATE(6620),
    [sym_storage_class_specifier] = STATE(6620),
    [sym_type_qualifier] = STATE(6620),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6620),
    [aux_sym_declaration_repeat1] = STATE(3199),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7921),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3194] = {
    [sym__declaration_modifiers] = STATE(2872),
    [sym_attribute_specifier] = STATE(2872),
    [sym_attribute_declaration] = STATE(2872),
    [sym_ms_declspec_modifier] = STATE(2872),
    [sym_storage_class_specifier] = STATE(2872),
    [sym_type_qualifier] = STATE(2872),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2872),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2872),
    [aux_sym_method_declaration_repeat2] = STATE(2275),
    [anon_sym_SEMI] = ACTIONS(7572),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3195] = {
    [sym__declaration_modifiers] = STATE(3192),
    [sym_attribute_specifier] = STATE(3192),
    [sym_attribute_declaration] = STATE(3192),
    [sym_ms_declspec_modifier] = STATE(3192),
    [sym_storage_class_specifier] = STATE(3192),
    [sym_type_qualifier] = STATE(3192),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3192),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3192),
    [aux_sym_method_declaration_repeat2] = STATE(2275),
    [anon_sym_SEMI] = ACTIONS(7572),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3196] = {
    [sym__declaration_modifiers] = STATE(6656),
    [sym_attribute_specifier] = STATE(6656),
    [sym_attribute_declaration] = STATE(6656),
    [sym_ms_declspec_modifier] = STATE(6656),
    [sym_storage_class_specifier] = STATE(6656),
    [sym_type_qualifier] = STATE(6656),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6656),
    [aux_sym_struct_declaration_repeat2] = STATE(3278),
    [anon_sym_COMMA] = ACTIONS(7749),
    [anon_sym_SEMI] = ACTIONS(7923),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3197] = {
    [sym__declaration_modifiers] = STATE(6685),
    [sym_attribute_specifier] = STATE(6685),
    [sym_attribute_declaration] = STATE(6685),
    [sym_ms_declspec_modifier] = STATE(6685),
    [sym_storage_class_specifier] = STATE(6685),
    [sym_type_qualifier] = STATE(6685),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6685),
    [aux_sym_declaration_repeat1] = STATE(3203),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7925),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3198] = {
    [sym__declaration_modifiers] = STATE(6694),
    [sym_attribute_specifier] = STATE(6694),
    [sym_attribute_declaration] = STATE(6694),
    [sym_ms_declspec_modifier] = STATE(6694),
    [sym_storage_class_specifier] = STATE(6694),
    [sym_type_qualifier] = STATE(6694),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6694),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7927),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3199] = {
    [sym__declaration_modifiers] = STATE(6705),
    [sym_attribute_specifier] = STATE(6705),
    [sym_attribute_declaration] = STATE(6705),
    [sym_ms_declspec_modifier] = STATE(6705),
    [sym_storage_class_specifier] = STATE(6705),
    [sym_type_qualifier] = STATE(6705),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6705),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7929),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3200] = {
    [sym__declaration_modifiers] = STATE(6707),
    [sym_attribute_specifier] = STATE(6707),
    [sym_attribute_declaration] = STATE(6707),
    [sym_ms_declspec_modifier] = STATE(6707),
    [sym_storage_class_specifier] = STATE(6707),
    [sym_type_qualifier] = STATE(6707),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6707),
    [aux_sym_declaration_repeat1] = STATE(3206),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7931),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3201] = {
    [sym_attribute_specifier] = STATE(2954),
    [sym_identifier] = ACTIONS(7933),
    [anon_sym_COMMA] = ACTIONS(7935),
    [anon_sym_RPAREN] = ACTIONS(7935),
    [anon_sym_LPAREN2] = ACTIONS(7935),
    [anon_sym_STAR] = ACTIONS(7935),
    [anon_sym_CARET] = ACTIONS(7935),
    [anon_sym_SEMI] = ACTIONS(7935),
    [anon_sym___extension__] = ACTIONS(7933),
    [anon_sym_extern] = ACTIONS(7933),
    [anon_sym___attribute__] = ACTIONS(7937),
    [anon_sym___attribute] = ACTIONS(7937),
    [anon_sym_noreturn] = ACTIONS(7933),
    [anon_sym_LBRACK] = ACTIONS(7935),
    [anon_sym___declspec] = ACTIONS(7933),
    [anon_sym___based] = ACTIONS(7933),
    [anon_sym_static] = ACTIONS(7933),
    [anon_sym_auto] = ACTIONS(7933),
    [anon_sym_register] = ACTIONS(7933),
    [anon_sym_inline] = ACTIONS(7933),
    [anon_sym___inline] = ACTIONS(7933),
    [anon_sym___inline__] = ACTIONS(7933),
    [anon_sym___forceinline] = ACTIONS(7933),
    [anon_sym_thread_local] = ACTIONS(7933),
    [anon_sym___thread] = ACTIONS(7933),
    [anon_sym_CG_EXTERN] = ACTIONS(7933),
    [anon_sym_CG_INLINE] = ACTIONS(7933),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7933),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7933),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7933),
    [anon_sym_IBOutlet] = ACTIONS(7933),
    [anon_sym_IBInspectable] = ACTIONS(7933),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7933),
    [anon_sym_NS_INLINE] = ACTIONS(7933),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7933),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7933),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7933),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7933),
    [anon_sym_const] = ACTIONS(7933),
    [anon_sym_constexpr] = ACTIONS(7933),
    [anon_sym_volatile] = ACTIONS(7933),
    [anon_sym_restrict] = ACTIONS(7933),
    [anon_sym___restrict__] = ACTIONS(7933),
    [anon_sym__Atomic] = ACTIONS(7933),
    [anon_sym__Noreturn] = ACTIONS(7933),
    [anon_sym__Nonnull] = ACTIONS(7933),
    [anon_sym_nullable] = ACTIONS(7933),
    [anon_sym__Complex] = ACTIONS(7933),
    [anon_sym__Nullable] = ACTIONS(7933),
    [anon_sym__Nullable_result] = ACTIONS(7933),
    [anon_sym__Null_unspecified] = ACTIONS(7933),
    [anon_sym___autoreleasing] = ACTIONS(7933),
    [anon_sym___block] = ACTIONS(7933),
    [anon_sym___bridge] = ACTIONS(7933),
    [anon_sym___bridge_retained] = ACTIONS(7933),
    [anon_sym___bridge_transfer] = ACTIONS(7933),
    [anon_sym___complex] = ACTIONS(7933),
    [anon_sym___const] = ACTIONS(7933),
    [anon_sym___imag] = ACTIONS(7933),
    [anon_sym___kindof] = ACTIONS(7933),
    [anon_sym___nonnull] = ACTIONS(7933),
    [anon_sym___nullable] = ACTIONS(7933),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7933),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7933),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7933),
    [anon_sym___real] = ACTIONS(7933),
    [anon_sym___strong] = ACTIONS(7933),
    [anon_sym___unsafe_unretained] = ACTIONS(7933),
    [anon_sym___unused] = ACTIONS(7933),
    [anon_sym___weak] = ACTIONS(7933),
    [anon_sym_alignas] = ACTIONS(7933),
    [anon_sym__Alignas] = ACTIONS(7933),
    [anon_sym_enum] = ACTIONS(7933),
    [anon_sym_COLON] = ACTIONS(7935),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7933),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7933),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7933),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7933),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7933),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7933),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7933),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7933),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7933),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7933),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7933),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7933),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7933),
    [anon_sym_API_AVAILABLE] = ACTIONS(7933),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7933),
    [anon_sym_API_DEPRECATED] = ACTIONS(7933),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7933),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7933),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7933),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7933),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7933),
    [anon_sym___deprecated_msg] = ACTIONS(7933),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7933),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7933),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7933),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7933),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7933),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7933),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7933),
  },
  [3202] = {
    [sym__declaration_modifiers] = STATE(2872),
    [sym_attribute_specifier] = STATE(2872),
    [sym_attribute_declaration] = STATE(2872),
    [sym_ms_declspec_modifier] = STATE(2872),
    [sym_storage_class_specifier] = STATE(2872),
    [sym_type_qualifier] = STATE(2872),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2872),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2872),
    [aux_sym_method_declaration_repeat2] = STATE(2122),
    [anon_sym_SEMI] = ACTIONS(7583),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3203] = {
    [sym__declaration_modifiers] = STATE(6759),
    [sym_attribute_specifier] = STATE(6759),
    [sym_attribute_declaration] = STATE(6759),
    [sym_ms_declspec_modifier] = STATE(6759),
    [sym_storage_class_specifier] = STATE(6759),
    [sym_type_qualifier] = STATE(6759),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6759),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7940),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3204] = {
    [sym__declaration_modifiers] = STATE(6300),
    [sym_attribute_specifier] = STATE(6300),
    [sym_attribute_declaration] = STATE(6300),
    [sym_ms_declspec_modifier] = STATE(6300),
    [sym_storage_class_specifier] = STATE(6300),
    [sym_type_qualifier] = STATE(6300),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6300),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7942),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3205] = {
    [sym__declaration_modifiers] = STATE(6313),
    [sym_attribute_specifier] = STATE(6313),
    [sym_attribute_declaration] = STATE(6313),
    [sym_ms_declspec_modifier] = STATE(6313),
    [sym_storage_class_specifier] = STATE(6313),
    [sym_type_qualifier] = STATE(6313),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6313),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7944),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3206] = {
    [sym__declaration_modifiers] = STATE(6760),
    [sym_attribute_specifier] = STATE(6760),
    [sym_attribute_declaration] = STATE(6760),
    [sym_ms_declspec_modifier] = STATE(6760),
    [sym_storage_class_specifier] = STATE(6760),
    [sym_type_qualifier] = STATE(6760),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(6760),
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7946),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3207] = {
    [sym__declaration_modifiers] = STATE(2872),
    [sym_attribute_specifier] = STATE(2872),
    [sym_attribute_declaration] = STATE(2872),
    [sym_ms_declspec_modifier] = STATE(2872),
    [sym_storage_class_specifier] = STATE(2872),
    [sym_type_qualifier] = STATE(2872),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(2872),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2872),
    [aux_sym_method_declaration_repeat2] = STATE(2173),
    [anon_sym_SEMI] = ACTIONS(7552),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3208] = {
    [sym_attribute_specifier] = STATE(3008),
    [sym_identifier] = ACTIONS(7948),
    [anon_sym_COMMA] = ACTIONS(7950),
    [anon_sym_RPAREN] = ACTIONS(7950),
    [anon_sym_LPAREN2] = ACTIONS(7950),
    [anon_sym_STAR] = ACTIONS(7950),
    [anon_sym_CARET] = ACTIONS(7950),
    [anon_sym_SEMI] = ACTIONS(7950),
    [anon_sym___extension__] = ACTIONS(7948),
    [anon_sym_extern] = ACTIONS(7948),
    [anon_sym___attribute__] = ACTIONS(7952),
    [anon_sym___attribute] = ACTIONS(7952),
    [anon_sym_noreturn] = ACTIONS(7948),
    [anon_sym_LBRACK] = ACTIONS(7950),
    [anon_sym___declspec] = ACTIONS(7948),
    [anon_sym___based] = ACTIONS(7948),
    [anon_sym_static] = ACTIONS(7948),
    [anon_sym_auto] = ACTIONS(7948),
    [anon_sym_register] = ACTIONS(7948),
    [anon_sym_inline] = ACTIONS(7948),
    [anon_sym___inline] = ACTIONS(7948),
    [anon_sym___inline__] = ACTIONS(7948),
    [anon_sym___forceinline] = ACTIONS(7948),
    [anon_sym_thread_local] = ACTIONS(7948),
    [anon_sym___thread] = ACTIONS(7948),
    [anon_sym_CG_EXTERN] = ACTIONS(7948),
    [anon_sym_CG_INLINE] = ACTIONS(7948),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7948),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7948),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7948),
    [anon_sym_IBOutlet] = ACTIONS(7948),
    [anon_sym_IBInspectable] = ACTIONS(7948),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7948),
    [anon_sym_NS_INLINE] = ACTIONS(7948),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7948),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7948),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7948),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7948),
    [anon_sym_const] = ACTIONS(7948),
    [anon_sym_constexpr] = ACTIONS(7948),
    [anon_sym_volatile] = ACTIONS(7948),
    [anon_sym_restrict] = ACTIONS(7948),
    [anon_sym___restrict__] = ACTIONS(7948),
    [anon_sym__Atomic] = ACTIONS(7948),
    [anon_sym__Noreturn] = ACTIONS(7948),
    [anon_sym__Nonnull] = ACTIONS(7948),
    [anon_sym_nullable] = ACTIONS(7948),
    [anon_sym__Complex] = ACTIONS(7948),
    [anon_sym__Nullable] = ACTIONS(7948),
    [anon_sym__Nullable_result] = ACTIONS(7948),
    [anon_sym__Null_unspecified] = ACTIONS(7948),
    [anon_sym___autoreleasing] = ACTIONS(7948),
    [anon_sym___block] = ACTIONS(7948),
    [anon_sym___bridge] = ACTIONS(7948),
    [anon_sym___bridge_retained] = ACTIONS(7948),
    [anon_sym___bridge_transfer] = ACTIONS(7948),
    [anon_sym___complex] = ACTIONS(7948),
    [anon_sym___const] = ACTIONS(7948),
    [anon_sym___imag] = ACTIONS(7948),
    [anon_sym___kindof] = ACTIONS(7948),
    [anon_sym___nonnull] = ACTIONS(7948),
    [anon_sym___nullable] = ACTIONS(7948),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7948),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7948),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7948),
    [anon_sym___real] = ACTIONS(7948),
    [anon_sym___strong] = ACTIONS(7948),
    [anon_sym___unsafe_unretained] = ACTIONS(7948),
    [anon_sym___unused] = ACTIONS(7948),
    [anon_sym___weak] = ACTIONS(7948),
    [anon_sym_alignas] = ACTIONS(7948),
    [anon_sym__Alignas] = ACTIONS(7948),
    [anon_sym_enum] = ACTIONS(7948),
    [anon_sym_COLON] = ACTIONS(7950),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7948),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7948),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7948),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7948),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7948),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7948),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7948),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7948),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7948),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7948),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7948),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7948),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7948),
    [anon_sym_API_AVAILABLE] = ACTIONS(7948),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7948),
    [anon_sym_API_DEPRECATED] = ACTIONS(7948),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7948),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7948),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7948),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7948),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7948),
    [anon_sym___deprecated_msg] = ACTIONS(7948),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7948),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7948),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7948),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7948),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7948),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7948),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7948),
  },
  [3209] = {
    [sym__declaration_modifiers] = STATE(3132),
    [sym_attribute_specifier] = STATE(3132),
    [sym_attribute_declaration] = STATE(3132),
    [sym_ms_declspec_modifier] = STATE(3132),
    [sym_storage_class_specifier] = STATE(3132),
    [sym_type_qualifier] = STATE(3132),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3132),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3132),
    [aux_sym_method_declaration_repeat2] = STATE(2115),
    [anon_sym_SEMI] = ACTIONS(7504),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3210] = {
    [sym__declaration_modifiers] = STATE(5982),
    [sym_attribute_specifier] = STATE(5982),
    [sym_attribute_declaration] = STATE(5982),
    [sym_ms_declspec_modifier] = STATE(5982),
    [sym_storage_class_specifier] = STATE(5982),
    [sym_type_qualifier] = STATE(5982),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(5982),
    [aux_sym_declaration_repeat1] = STATE(3086),
    [anon_sym_COMMA] = ACTIONS(6804),
    [anon_sym_SEMI] = ACTIONS(7955),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3211] = {
    [sym__declaration_modifiers] = STATE(3190),
    [sym_attribute_specifier] = STATE(3190),
    [sym_attribute_declaration] = STATE(3190),
    [sym_ms_declspec_modifier] = STATE(3190),
    [sym_storage_class_specifier] = STATE(3190),
    [sym_type_qualifier] = STATE(3190),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_availability_attribute_specifier] = STATE(3190),
    [aux_sym__declaration_specifiers_repeat1] = STATE(3190),
    [aux_sym_method_declaration_repeat2] = STATE(2173),
    [anon_sym_SEMI] = ACTIONS(7552),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(6786),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(6986),
    [anon_sym___declspec] = ACTIONS(6792),
    [anon_sym_static] = ACTIONS(6786),
    [anon_sym_auto] = ACTIONS(6786),
    [anon_sym_register] = ACTIONS(6786),
    [anon_sym_inline] = ACTIONS(6786),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(6786),
    [anon_sym___forceinline] = ACTIONS(6786),
    [anon_sym_thread_local] = ACTIONS(6786),
    [anon_sym___thread] = ACTIONS(6786),
    [anon_sym_CG_EXTERN] = ACTIONS(6786),
    [anon_sym_CG_INLINE] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6786),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6786),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6786),
    [anon_sym_IBOutlet] = ACTIONS(6786),
    [anon_sym_IBInspectable] = ACTIONS(6786),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6786),
    [anon_sym_NS_INLINE] = ACTIONS(6786),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6786),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6786),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6786),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6786),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6796),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6796),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6796),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6796),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6796),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6796),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE] = ACTIONS(127),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_API_AVAILABLE] = ACTIONS(6798),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_API_DEPRECATED] = ACTIONS(6798),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6798),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6798),
    [anon_sym___deprecated_msg] = ACTIONS(6798),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6798),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6798),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6798),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6798),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6798),
  },
  [3212] = {
    [sym_attribute_specifier] = STATE(3213),
    [aux_sym_function_declarator_repeat1] = STATE(3213),
    [anon_sym_COMMA] = ACTIONS(6695),
    [anon_sym_LPAREN2] = ACTIONS(6695),
    [anon_sym_SEMI] = ACTIONS(6695),
    [anon_sym___extension__] = ACTIONS(6695),
    [anon_sym_extern] = ACTIONS(6695),
    [anon_sym___attribute__] = ACTIONS(6695),
    [anon_sym___attribute] = ACTIONS(6693),
    [anon_sym_noreturn] = ACTIONS(6695),
    [anon_sym_LBRACK] = ACTIONS(6695),
    [anon_sym___declspec] = ACTIONS(6695),
    [anon_sym_static] = ACTIONS(6695),
    [anon_sym_EQ] = ACTIONS(6695),
    [anon_sym_auto] = ACTIONS(6695),
    [anon_sym_register] = ACTIONS(6695),
    [anon_sym_inline] = ACTIONS(6695),
    [anon_sym___inline] = ACTIONS(6693),
    [anon_sym___inline__] = ACTIONS(6695),
    [anon_sym___forceinline] = ACTIONS(6695),
    [anon_sym_thread_local] = ACTIONS(6695),
    [anon_sym___thread] = ACTIONS(6695),
    [anon_sym_CG_EXTERN] = ACTIONS(6695),
    [anon_sym_CG_INLINE] = ACTIONS(6695),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6695),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6695),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6695),
    [anon_sym_IBOutlet] = ACTIONS(6695),
    [anon_sym_IBInspectable] = ACTIONS(6695),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6695),
    [anon_sym_NS_INLINE] = ACTIONS(6695),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6695),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6695),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6695),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6695),
    [anon_sym_const] = ACTIONS(6693),
    [anon_sym_constexpr] = ACTIONS(6695),
    [anon_sym_volatile] = ACTIONS(6695),
    [anon_sym_restrict] = ACTIONS(6695),
    [anon_sym___restrict__] = ACTIONS(6695),
    [anon_sym__Atomic] = ACTIONS(6695),
    [anon_sym__Noreturn] = ACTIONS(6695),
    [anon_sym__Nonnull] = ACTIONS(6695),
    [anon_sym_nullable] = ACTIONS(6695),
    [anon_sym__Complex] = ACTIONS(6695),
    [anon_sym__Nullable] = ACTIONS(6693),
    [anon_sym__Nullable_result] = ACTIONS(6695),
    [anon_sym__Null_unspecified] = ACTIONS(6695),
    [anon_sym___autoreleasing] = ACTIONS(6695),
    [anon_sym___block] = ACTIONS(6695),
    [anon_sym___bridge] = ACTIONS(6693),
    [anon_sym___bridge_retained] = ACTIONS(6695),
    [anon_sym___bridge_transfer] = ACTIONS(6695),
    [anon_sym___complex] = ACTIONS(6695),
    [anon_sym___const] = ACTIONS(6695),
    [anon_sym___imag] = ACTIONS(6695),
    [anon_sym___kindof] = ACTIONS(6695),
    [anon_sym___nonnull] = ACTIONS(6695),
    [anon_sym___nullable] = ACTIONS(6695),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6695),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6695),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6695),
    [anon_sym___real] = ACTIONS(6695),
    [anon_sym___strong] = ACTIONS(6695),
    [anon_sym___unsafe_unretained] = ACTIONS(6695),
    [anon_sym___unused] = ACTIONS(6695),
    [anon_sym___weak] = ACTIONS(6695),
    [anon_sym_alignas] = ACTIONS(6695),
    [anon_sym__Alignas] = ACTIONS(6695),
    [anon_sym_in] = ACTIONS(6693),
    [anon_sym_asm] = ACTIONS(6695),
    [anon_sym___asm__] = ACTIONS(6695),
    [anon_sym___asm] = ACTIONS(6693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6695),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6695),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6695),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6695),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6695),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6695),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6695),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6695),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6695),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6695),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6693),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6695),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6695),
    [anon_sym_API_AVAILABLE] = ACTIONS(6695),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6695),
    [anon_sym_API_DEPRECATED] = ACTIONS(6695),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6695),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6695),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6695),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6695),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6695),
    [anon_sym___deprecated_msg] = ACTIONS(6695),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6695),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6695),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6695),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6695),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6695),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6695),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6695),
  },
  [3213] = {
    [sym_attribute_specifier] = STATE(3213),
    [aux_sym_function_declarator_repeat1] = STATE(3213),
    [anon_sym_COMMA] = ACTIONS(6707),
    [anon_sym_LPAREN2] = ACTIONS(6707),
    [anon_sym_SEMI] = ACTIONS(6707),
    [anon_sym___extension__] = ACTIONS(6707),
    [anon_sym_extern] = ACTIONS(6707),
    [anon_sym___attribute__] = ACTIONS(7957),
    [anon_sym___attribute] = ACTIONS(7960),
    [anon_sym_noreturn] = ACTIONS(6707),
    [anon_sym_LBRACK] = ACTIONS(6707),
    [anon_sym___declspec] = ACTIONS(6707),
    [anon_sym_static] = ACTIONS(6707),
    [anon_sym_EQ] = ACTIONS(6707),
    [anon_sym_auto] = ACTIONS(6707),
    [anon_sym_register] = ACTIONS(6707),
    [anon_sym_inline] = ACTIONS(6707),
    [anon_sym___inline] = ACTIONS(6705),
    [anon_sym___inline__] = ACTIONS(6707),
    [anon_sym___forceinline] = ACTIONS(6707),
    [anon_sym_thread_local] = ACTIONS(6707),
    [anon_sym___thread] = ACTIONS(6707),
    [anon_sym_CG_EXTERN] = ACTIONS(6707),
    [anon_sym_CG_INLINE] = ACTIONS(6707),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6707),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6707),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6707),
    [anon_sym_IBOutlet] = ACTIONS(6707),
    [anon_sym_IBInspectable] = ACTIONS(6707),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6707),
    [anon_sym_NS_INLINE] = ACTIONS(6707),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6707),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6707),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6707),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6707),
    [anon_sym_const] = ACTIONS(6705),
    [anon_sym_constexpr] = ACTIONS(6707),
    [anon_sym_volatile] = ACTIONS(6707),
    [anon_sym_restrict] = ACTIONS(6707),
    [anon_sym___restrict__] = ACTIONS(6707),
    [anon_sym__Atomic] = ACTIONS(6707),
    [anon_sym__Noreturn] = ACTIONS(6707),
    [anon_sym__Nonnull] = ACTIONS(6707),
    [anon_sym_nullable] = ACTIONS(6707),
    [anon_sym__Complex] = ACTIONS(6707),
    [anon_sym__Nullable] = ACTIONS(6705),
    [anon_sym__Nullable_result] = ACTIONS(6707),
    [anon_sym__Null_unspecified] = ACTIONS(6707),
    [anon_sym___autoreleasing] = ACTIONS(6707),
    [anon_sym___block] = ACTIONS(6707),
    [anon_sym___bridge] = ACTIONS(6705),
    [anon_sym___bridge_retained] = ACTIONS(6707),
    [anon_sym___bridge_transfer] = ACTIONS(6707),
    [anon_sym___complex] = ACTIONS(6707),
    [anon_sym___const] = ACTIONS(6707),
    [anon_sym___imag] = ACTIONS(6707),
    [anon_sym___kindof] = ACTIONS(6707),
    [anon_sym___nonnull] = ACTIONS(6707),
    [anon_sym___nullable] = ACTIONS(6707),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6707),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6707),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6707),
    [anon_sym___real] = ACTIONS(6707),
    [anon_sym___strong] = ACTIONS(6707),
    [anon_sym___unsafe_unretained] = ACTIONS(6707),
    [anon_sym___unused] = ACTIONS(6707),
    [anon_sym___weak] = ACTIONS(6707),
    [anon_sym_alignas] = ACTIONS(6707),
    [anon_sym__Alignas] = ACTIONS(6707),
    [anon_sym_in] = ACTIONS(6705),
    [anon_sym_asm] = ACTIONS(6707),
    [anon_sym___asm__] = ACTIONS(6707),
    [anon_sym___asm] = ACTIONS(6705),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6707),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6707),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6707),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6707),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6707),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6707),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6707),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6707),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6707),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6707),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6705),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6707),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6707),
    [anon_sym_API_AVAILABLE] = ACTIONS(6707),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6707),
    [anon_sym_API_DEPRECATED] = ACTIONS(6707),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6707),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6707),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6707),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6707),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6707),
    [anon_sym___deprecated_msg] = ACTIONS(6707),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6707),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6707),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6707),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6707),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6707),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6707),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6707),
  },
  [3214] = {
    [sym_attribute_specifier] = STATE(3215),
    [aux_sym_function_declarator_repeat1] = STATE(3215),
    [anon_sym_COMMA] = ACTIONS(6695),
    [anon_sym_LPAREN2] = ACTIONS(6695),
    [anon_sym_SEMI] = ACTIONS(6695),
    [anon_sym___extension__] = ACTIONS(6695),
    [anon_sym_extern] = ACTIONS(6695),
    [anon_sym___attribute__] = ACTIONS(7852),
    [anon_sym___attribute] = ACTIONS(7854),
    [anon_sym_noreturn] = ACTIONS(6695),
    [anon_sym_LBRACK] = ACTIONS(6695),
    [anon_sym___declspec] = ACTIONS(6695),
    [anon_sym_static] = ACTIONS(6695),
    [anon_sym_EQ] = ACTIONS(6695),
    [anon_sym_auto] = ACTIONS(6695),
    [anon_sym_register] = ACTIONS(6695),
    [anon_sym_inline] = ACTIONS(6695),
    [anon_sym___inline] = ACTIONS(6693),
    [anon_sym___inline__] = ACTIONS(6695),
    [anon_sym___forceinline] = ACTIONS(6695),
    [anon_sym_thread_local] = ACTIONS(6695),
    [anon_sym___thread] = ACTIONS(6695),
    [anon_sym_CG_EXTERN] = ACTIONS(6695),
    [anon_sym_CG_INLINE] = ACTIONS(6695),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6695),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6695),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6695),
    [anon_sym_IBOutlet] = ACTIONS(6695),
    [anon_sym_IBInspectable] = ACTIONS(6695),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6695),
    [anon_sym_NS_INLINE] = ACTIONS(6695),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6695),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6695),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6695),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6695),
    [anon_sym_const] = ACTIONS(6693),
    [anon_sym_constexpr] = ACTIONS(6695),
    [anon_sym_volatile] = ACTIONS(6695),
    [anon_sym_restrict] = ACTIONS(6695),
    [anon_sym___restrict__] = ACTIONS(6695),
    [anon_sym__Atomic] = ACTIONS(6695),
    [anon_sym__Noreturn] = ACTIONS(6695),
    [anon_sym__Nonnull] = ACTIONS(6695),
    [anon_sym_nullable] = ACTIONS(6695),
    [anon_sym__Complex] = ACTIONS(6695),
    [anon_sym__Nullable] = ACTIONS(6693),
    [anon_sym__Nullable_result] = ACTIONS(6695),
    [anon_sym__Null_unspecified] = ACTIONS(6695),
    [anon_sym___autoreleasing] = ACTIONS(6695),
    [anon_sym___block] = ACTIONS(6695),
    [anon_sym___bridge] = ACTIONS(6693),
    [anon_sym___bridge_retained] = ACTIONS(6695),
    [anon_sym___bridge_transfer] = ACTIONS(6695),
    [anon_sym___complex] = ACTIONS(6695),
    [anon_sym___const] = ACTIONS(6695),
    [anon_sym___imag] = ACTIONS(6695),
    [anon_sym___kindof] = ACTIONS(6695),
    [anon_sym___nonnull] = ACTIONS(6695),
    [anon_sym___nullable] = ACTIONS(6695),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6695),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6695),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6695),
    [anon_sym___real] = ACTIONS(6695),
    [anon_sym___strong] = ACTIONS(6695),
    [anon_sym___unsafe_unretained] = ACTIONS(6695),
    [anon_sym___unused] = ACTIONS(6695),
    [anon_sym___weak] = ACTIONS(6695),
    [anon_sym_alignas] = ACTIONS(6695),
    [anon_sym__Alignas] = ACTIONS(6695),
    [anon_sym_in] = ACTIONS(6693),
    [anon_sym_asm] = ACTIONS(6695),
    [anon_sym___asm__] = ACTIONS(6695),
    [anon_sym___asm] = ACTIONS(6693),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6695),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6695),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6695),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6695),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6695),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6695),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6695),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6695),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6695),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6695),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6693),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6695),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6695),
    [anon_sym_API_AVAILABLE] = ACTIONS(6695),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6695),
    [anon_sym_API_DEPRECATED] = ACTIONS(6695),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6695),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6695),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6695),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6695),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6695),
    [anon_sym___deprecated_msg] = ACTIONS(6695),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6695),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6695),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6695),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6695),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6695),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6695),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6695),
  },
  [3215] = {
    [sym_attribute_specifier] = STATE(3213),
    [aux_sym_function_declarator_repeat1] = STATE(3213),
    [anon_sym_COMMA] = ACTIONS(6703),
    [anon_sym_LPAREN2] = ACTIONS(6703),
    [anon_sym_SEMI] = ACTIONS(6703),
    [anon_sym___extension__] = ACTIONS(6703),
    [anon_sym_extern] = ACTIONS(6703),
    [anon_sym___attribute__] = ACTIONS(6703),
    [anon_sym___attribute] = ACTIONS(6701),
    [anon_sym_noreturn] = ACTIONS(6703),
    [anon_sym_LBRACK] = ACTIONS(6703),
    [anon_sym___declspec] = ACTIONS(6703),
    [anon_sym_static] = ACTIONS(6703),
    [anon_sym_EQ] = ACTIONS(6703),
    [anon_sym_auto] = ACTIONS(6703),
    [anon_sym_register] = ACTIONS(6703),
    [anon_sym_inline] = ACTIONS(6703),
    [anon_sym___inline] = ACTIONS(6701),
    [anon_sym___inline__] = ACTIONS(6703),
    [anon_sym___forceinline] = ACTIONS(6703),
    [anon_sym_thread_local] = ACTIONS(6703),
    [anon_sym___thread] = ACTIONS(6703),
    [anon_sym_CG_EXTERN] = ACTIONS(6703),
    [anon_sym_CG_INLINE] = ACTIONS(6703),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6703),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6703),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6703),
    [anon_sym_IBOutlet] = ACTIONS(6703),
    [anon_sym_IBInspectable] = ACTIONS(6703),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6703),
    [anon_sym_NS_INLINE] = ACTIONS(6703),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6703),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6703),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6703),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6703),
    [anon_sym_const] = ACTIONS(6701),
    [anon_sym_constexpr] = ACTIONS(6703),
    [anon_sym_volatile] = ACTIONS(6703),
    [anon_sym_restrict] = ACTIONS(6703),
    [anon_sym___restrict__] = ACTIONS(6703),
    [anon_sym__Atomic] = ACTIONS(6703),
    [anon_sym__Noreturn] = ACTIONS(6703),
    [anon_sym__Nonnull] = ACTIONS(6703),
    [anon_sym_nullable] = ACTIONS(6703),
    [anon_sym__Complex] = ACTIONS(6703),
    [anon_sym__Nullable] = ACTIONS(6701),
    [anon_sym__Nullable_result] = ACTIONS(6703),
    [anon_sym__Null_unspecified] = ACTIONS(6703),
    [anon_sym___autoreleasing] = ACTIONS(6703),
    [anon_sym___block] = ACTIONS(6703),
    [anon_sym___bridge] = ACTIONS(6701),
    [anon_sym___bridge_retained] = ACTIONS(6703),
    [anon_sym___bridge_transfer] = ACTIONS(6703),
    [anon_sym___complex] = ACTIONS(6703),
    [anon_sym___const] = ACTIONS(6703),
    [anon_sym___imag] = ACTIONS(6703),
    [anon_sym___kindof] = ACTIONS(6703),
    [anon_sym___nonnull] = ACTIONS(6703),
    [anon_sym___nullable] = ACTIONS(6703),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6703),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6703),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6703),
    [anon_sym___real] = ACTIONS(6703),
    [anon_sym___strong] = ACTIONS(6703),
    [anon_sym___unsafe_unretained] = ACTIONS(6703),
    [anon_sym___unused] = ACTIONS(6703),
    [anon_sym___weak] = ACTIONS(6703),
    [anon_sym_alignas] = ACTIONS(6703),
    [anon_sym__Alignas] = ACTIONS(6703),
    [anon_sym_in] = ACTIONS(6701),
    [anon_sym_asm] = ACTIONS(6703),
    [anon_sym___asm__] = ACTIONS(6703),
    [anon_sym___asm] = ACTIONS(6701),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6703),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6703),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6703),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6703),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6703),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6703),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6703),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6703),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6703),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6703),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6701),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6703),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6703),
    [anon_sym_API_AVAILABLE] = ACTIONS(6703),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6703),
    [anon_sym_API_DEPRECATED] = ACTIONS(6703),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6703),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6703),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6703),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6703),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6703),
    [anon_sym___deprecated_msg] = ACTIONS(6703),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6703),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6703),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6703),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6703),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6703),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6703),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6703),
  },
  [3216] = {
    [sym_attribute_specifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym__abstract_declarator] = STATE(5079),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_abstract_parenthesized_declarator] = STATE(4850),
    [sym_pointer_declarator] = STATE(3994),
    [sym_abstract_pointer_declarator] = STATE(4850),
    [sym_function_declarator] = STATE(3994),
    [sym_abstract_function_declarator] = STATE(4850),
    [sym_array_declarator] = STATE(3994),
    [sym_abstract_array_declarator] = STATE(4850),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_parameter_list] = STATE(4274),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_protocol_reference_list] = STATE(4802),
    [sym_specifier_qualifier] = STATE(3293),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_abstract_block_pointer_declarator] = STATE(4850),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3293),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_COMMA] = ACTIONS(7965),
    [anon_sym_RPAREN] = ACTIONS(7965),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_STAR] = ACTIONS(5338),
    [anon_sym_CARET] = ACTIONS(5340),
    [anon_sym_GT] = ACTIONS(7965),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_LBRACK] = ACTIONS(7971),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3217] = {
    [sym_attribute_specifier] = STATE(5983),
    [sym_parameter_list] = STATE(3017),
    [sym_gnu_asm_expression] = STATE(3299),
    [anon_sym_COMMA] = ACTIONS(7991),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(7991),
    [anon_sym___extension__] = ACTIONS(7991),
    [anon_sym_extern] = ACTIONS(7991),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(7991),
    [anon_sym_LBRACK] = ACTIONS(7589),
    [anon_sym___declspec] = ACTIONS(7991),
    [anon_sym_static] = ACTIONS(7991),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_auto] = ACTIONS(7991),
    [anon_sym_register] = ACTIONS(7991),
    [anon_sym_inline] = ACTIONS(7991),
    [anon_sym___inline] = ACTIONS(7993),
    [anon_sym___inline__] = ACTIONS(7991),
    [anon_sym___forceinline] = ACTIONS(7991),
    [anon_sym_thread_local] = ACTIONS(7991),
    [anon_sym___thread] = ACTIONS(7991),
    [anon_sym_CG_EXTERN] = ACTIONS(7991),
    [anon_sym_CG_INLINE] = ACTIONS(7991),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7991),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7991),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7991),
    [anon_sym_IBOutlet] = ACTIONS(7991),
    [anon_sym_IBInspectable] = ACTIONS(7991),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7991),
    [anon_sym_NS_INLINE] = ACTIONS(7991),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7991),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7991),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7991),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7991),
    [anon_sym_const] = ACTIONS(7993),
    [anon_sym_constexpr] = ACTIONS(7991),
    [anon_sym_volatile] = ACTIONS(7991),
    [anon_sym_restrict] = ACTIONS(7991),
    [anon_sym___restrict__] = ACTIONS(7991),
    [anon_sym__Atomic] = ACTIONS(7991),
    [anon_sym__Noreturn] = ACTIONS(7991),
    [anon_sym__Nonnull] = ACTIONS(7991),
    [anon_sym_nullable] = ACTIONS(7991),
    [anon_sym__Complex] = ACTIONS(7991),
    [anon_sym__Nullable] = ACTIONS(7993),
    [anon_sym__Nullable_result] = ACTIONS(7991),
    [anon_sym__Null_unspecified] = ACTIONS(7991),
    [anon_sym___autoreleasing] = ACTIONS(7991),
    [anon_sym___block] = ACTIONS(7991),
    [anon_sym___bridge] = ACTIONS(7993),
    [anon_sym___bridge_retained] = ACTIONS(7991),
    [anon_sym___bridge_transfer] = ACTIONS(7991),
    [anon_sym___complex] = ACTIONS(7991),
    [anon_sym___const] = ACTIONS(7991),
    [anon_sym___imag] = ACTIONS(7991),
    [anon_sym___kindof] = ACTIONS(7991),
    [anon_sym___nonnull] = ACTIONS(7991),
    [anon_sym___nullable] = ACTIONS(7991),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7991),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7991),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7991),
    [anon_sym___real] = ACTIONS(7991),
    [anon_sym___strong] = ACTIONS(7991),
    [anon_sym___unsafe_unretained] = ACTIONS(7991),
    [anon_sym___unused] = ACTIONS(7991),
    [anon_sym___weak] = ACTIONS(7991),
    [anon_sym_alignas] = ACTIONS(7991),
    [anon_sym__Alignas] = ACTIONS(7991),
    [anon_sym_asm] = ACTIONS(6814),
    [anon_sym___asm__] = ACTIONS(6814),
    [anon_sym___asm] = ACTIONS(103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7991),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7991),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7991),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7991),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7991),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7991),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7991),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7991),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7991),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7991),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7993),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7991),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7991),
    [anon_sym_API_AVAILABLE] = ACTIONS(7991),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7991),
    [anon_sym_API_DEPRECATED] = ACTIONS(7991),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7991),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7991),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7991),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7991),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7991),
    [anon_sym___deprecated_msg] = ACTIONS(7991),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7991),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7991),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7991),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7991),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7991),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7991),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7991),
  },
  [3218] = {
    [sym_identifier] = ACTIONS(2922),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4138),
    [anon_sym_LPAREN2] = ACTIONS(2928),
    [anon_sym_BANG] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2928),
    [anon_sym_DASH] = ACTIONS(2922),
    [anon_sym_PLUS] = ACTIONS(2922),
    [anon_sym_STAR] = ACTIONS(2928),
    [anon_sym_SLASH] = ACTIONS(4136),
    [anon_sym_PERCENT] = ACTIONS(4138),
    [anon_sym_PIPE_PIPE] = ACTIONS(4138),
    [anon_sym_AMP_AMP] = ACTIONS(4138),
    [anon_sym_PIPE] = ACTIONS(4136),
    [anon_sym_CARET] = ACTIONS(2928),
    [anon_sym_AMP] = ACTIONS(2922),
    [anon_sym_EQ_EQ] = ACTIONS(4138),
    [anon_sym_BANG_EQ] = ACTIONS(4138),
    [anon_sym_GT] = ACTIONS(4136),
    [anon_sym_GT_EQ] = ACTIONS(4138),
    [anon_sym_LT_EQ] = ACTIONS(4138),
    [anon_sym_LT] = ACTIONS(4136),
    [anon_sym_LT_LT] = ACTIONS(4138),
    [anon_sym_GT_GT] = ACTIONS(4138),
    [anon_sym___extension__] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_RBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(2922),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2922),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2922),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(2922),
    [anon_sym_QMARK] = ACTIONS(4138),
    [anon_sym_DASH_DASH] = ACTIONS(2928),
    [anon_sym_PLUS_PLUS] = ACTIONS(2928),
    [anon_sym_sizeof] = ACTIONS(2922),
    [anon_sym___alignof__] = ACTIONS(2922),
    [anon_sym___alignof] = ACTIONS(2922),
    [anon_sym__alignof] = ACTIONS(2922),
    [anon_sym_alignof] = ACTIONS(2922),
    [anon_sym__Alignof] = ACTIONS(2922),
    [anon_sym_offsetof] = ACTIONS(2922),
    [anon_sym__Generic] = ACTIONS(2922),
    [anon_sym_asm] = ACTIONS(2922),
    [anon_sym___asm__] = ACTIONS(2922),
    [anon_sym___asm] = ACTIONS(2922),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_DASH_GT] = ACTIONS(4138),
    [sym_number_literal] = ACTIONS(2928),
    [anon_sym_L_SQUOTE] = ACTIONS(2928),
    [anon_sym_u_SQUOTE] = ACTIONS(2928),
    [anon_sym_U_SQUOTE] = ACTIONS(2928),
    [anon_sym_u8_SQUOTE] = ACTIONS(2928),
    [anon_sym_SQUOTE] = ACTIONS(2928),
    [anon_sym_AT] = ACTIONS(2922),
    [anon_sym_DQUOTE] = ACTIONS(2928),
    [anon_sym_L_DQUOTE] = ACTIONS(2928),
    [anon_sym_u_DQUOTE] = ACTIONS(2928),
    [anon_sym_U_DQUOTE] = ACTIONS(2928),
    [anon_sym_u8_DQUOTE] = ACTIONS(2928),
    [sym_true] = ACTIONS(2922),
    [sym_false] = ACTIONS(2922),
    [anon_sym_NULL] = ACTIONS(2922),
    [anon_sym_nullptr] = ACTIONS(2922),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2928),
    [anon_sym_ATavailable] = ACTIONS(2928),
    [anon_sym___builtin_available] = ACTIONS(2922),
    [anon_sym_va_arg] = ACTIONS(2922),
    [anon_sym_ATencode] = ACTIONS(2928),
    [anon_sym_id] = ACTIONS(2922),
  },
  [3219] = {
    [sym_parameter_list] = STATE(3161),
    [anon_sym_COMMA] = ACTIONS(6732),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6732),
    [anon_sym___extension__] = ACTIONS(6732),
    [anon_sym_extern] = ACTIONS(6732),
    [anon_sym___attribute__] = ACTIONS(6732),
    [anon_sym___attribute] = ACTIONS(6730),
    [anon_sym_noreturn] = ACTIONS(6732),
    [anon_sym_LBRACK] = ACTIONS(7589),
    [anon_sym___declspec] = ACTIONS(6732),
    [anon_sym_static] = ACTIONS(6732),
    [anon_sym_EQ] = ACTIONS(6732),
    [anon_sym_auto] = ACTIONS(6732),
    [anon_sym_register] = ACTIONS(6732),
    [anon_sym_inline] = ACTIONS(6732),
    [anon_sym___inline] = ACTIONS(6730),
    [anon_sym___inline__] = ACTIONS(6732),
    [anon_sym___forceinline] = ACTIONS(6732),
    [anon_sym_thread_local] = ACTIONS(6732),
    [anon_sym___thread] = ACTIONS(6732),
    [anon_sym_CG_EXTERN] = ACTIONS(6732),
    [anon_sym_CG_INLINE] = ACTIONS(6732),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6732),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6732),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6732),
    [anon_sym_IBOutlet] = ACTIONS(6732),
    [anon_sym_IBInspectable] = ACTIONS(6732),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6732),
    [anon_sym_NS_INLINE] = ACTIONS(6732),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6732),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6732),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6732),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6732),
    [anon_sym_const] = ACTIONS(6730),
    [anon_sym_constexpr] = ACTIONS(6732),
    [anon_sym_volatile] = ACTIONS(6732),
    [anon_sym_restrict] = ACTIONS(6732),
    [anon_sym___restrict__] = ACTIONS(6732),
    [anon_sym__Atomic] = ACTIONS(6732),
    [anon_sym__Noreturn] = ACTIONS(6732),
    [anon_sym__Nonnull] = ACTIONS(6732),
    [anon_sym_nullable] = ACTIONS(6732),
    [anon_sym__Complex] = ACTIONS(6732),
    [anon_sym__Nullable] = ACTIONS(6730),
    [anon_sym__Nullable_result] = ACTIONS(6732),
    [anon_sym__Null_unspecified] = ACTIONS(6732),
    [anon_sym___autoreleasing] = ACTIONS(6732),
    [anon_sym___block] = ACTIONS(6732),
    [anon_sym___bridge] = ACTIONS(6730),
    [anon_sym___bridge_retained] = ACTIONS(6732),
    [anon_sym___bridge_transfer] = ACTIONS(6732),
    [anon_sym___complex] = ACTIONS(6732),
    [anon_sym___const] = ACTIONS(6732),
    [anon_sym___imag] = ACTIONS(6732),
    [anon_sym___kindof] = ACTIONS(6732),
    [anon_sym___nonnull] = ACTIONS(6732),
    [anon_sym___nullable] = ACTIONS(6732),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6732),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6732),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6732),
    [anon_sym___real] = ACTIONS(6732),
    [anon_sym___strong] = ACTIONS(6732),
    [anon_sym___unsafe_unretained] = ACTIONS(6732),
    [anon_sym___unused] = ACTIONS(6732),
    [anon_sym___weak] = ACTIONS(6732),
    [anon_sym_alignas] = ACTIONS(6732),
    [anon_sym__Alignas] = ACTIONS(6732),
    [anon_sym_in] = ACTIONS(6730),
    [anon_sym_asm] = ACTIONS(6732),
    [anon_sym___asm__] = ACTIONS(6732),
    [anon_sym___asm] = ACTIONS(6730),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6732),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6732),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6732),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6732),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6732),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6732),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6732),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6732),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6732),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6732),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6730),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6732),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6732),
    [anon_sym_API_AVAILABLE] = ACTIONS(6732),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6732),
    [anon_sym_API_DEPRECATED] = ACTIONS(6732),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6732),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6732),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6732),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6732),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6732),
    [anon_sym___deprecated_msg] = ACTIONS(6732),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6732),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6732),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6732),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6732),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6732),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6732),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6732),
  },
  [3220] = {
    [sym_parameter_list] = STATE(3161),
    [anon_sym_COMMA] = ACTIONS(6758),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6758),
    [anon_sym___extension__] = ACTIONS(6758),
    [anon_sym_extern] = ACTIONS(6758),
    [anon_sym___attribute__] = ACTIONS(6758),
    [anon_sym___attribute] = ACTIONS(6756),
    [anon_sym_noreturn] = ACTIONS(6758),
    [anon_sym_LBRACK] = ACTIONS(7589),
    [anon_sym___declspec] = ACTIONS(6758),
    [anon_sym_static] = ACTIONS(6758),
    [anon_sym_EQ] = ACTIONS(6758),
    [anon_sym_auto] = ACTIONS(6758),
    [anon_sym_register] = ACTIONS(6758),
    [anon_sym_inline] = ACTIONS(6758),
    [anon_sym___inline] = ACTIONS(6756),
    [anon_sym___inline__] = ACTIONS(6758),
    [anon_sym___forceinline] = ACTIONS(6758),
    [anon_sym_thread_local] = ACTIONS(6758),
    [anon_sym___thread] = ACTIONS(6758),
    [anon_sym_CG_EXTERN] = ACTIONS(6758),
    [anon_sym_CG_INLINE] = ACTIONS(6758),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6758),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6758),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6758),
    [anon_sym_IBOutlet] = ACTIONS(6758),
    [anon_sym_IBInspectable] = ACTIONS(6758),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6758),
    [anon_sym_NS_INLINE] = ACTIONS(6758),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6758),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6758),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6758),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6758),
    [anon_sym_const] = ACTIONS(6756),
    [anon_sym_constexpr] = ACTIONS(6758),
    [anon_sym_volatile] = ACTIONS(6758),
    [anon_sym_restrict] = ACTIONS(6758),
    [anon_sym___restrict__] = ACTIONS(6758),
    [anon_sym__Atomic] = ACTIONS(6758),
    [anon_sym__Noreturn] = ACTIONS(6758),
    [anon_sym__Nonnull] = ACTIONS(6758),
    [anon_sym_nullable] = ACTIONS(6758),
    [anon_sym__Complex] = ACTIONS(6758),
    [anon_sym__Nullable] = ACTIONS(6756),
    [anon_sym__Nullable_result] = ACTIONS(6758),
    [anon_sym__Null_unspecified] = ACTIONS(6758),
    [anon_sym___autoreleasing] = ACTIONS(6758),
    [anon_sym___block] = ACTIONS(6758),
    [anon_sym___bridge] = ACTIONS(6756),
    [anon_sym___bridge_retained] = ACTIONS(6758),
    [anon_sym___bridge_transfer] = ACTIONS(6758),
    [anon_sym___complex] = ACTIONS(6758),
    [anon_sym___const] = ACTIONS(6758),
    [anon_sym___imag] = ACTIONS(6758),
    [anon_sym___kindof] = ACTIONS(6758),
    [anon_sym___nonnull] = ACTIONS(6758),
    [anon_sym___nullable] = ACTIONS(6758),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6758),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6758),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6758),
    [anon_sym___real] = ACTIONS(6758),
    [anon_sym___strong] = ACTIONS(6758),
    [anon_sym___unsafe_unretained] = ACTIONS(6758),
    [anon_sym___unused] = ACTIONS(6758),
    [anon_sym___weak] = ACTIONS(6758),
    [anon_sym_alignas] = ACTIONS(6758),
    [anon_sym__Alignas] = ACTIONS(6758),
    [anon_sym_in] = ACTIONS(6756),
    [anon_sym_asm] = ACTIONS(6758),
    [anon_sym___asm__] = ACTIONS(6758),
    [anon_sym___asm] = ACTIONS(6756),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6758),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6758),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6758),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6758),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6758),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6758),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6758),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6758),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6758),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6758),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6756),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6758),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6758),
    [anon_sym_API_AVAILABLE] = ACTIONS(6758),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6758),
    [anon_sym_API_DEPRECATED] = ACTIONS(6758),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6758),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6758),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6758),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6758),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6758),
    [anon_sym___deprecated_msg] = ACTIONS(6758),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6758),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6758),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6758),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6758),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6758),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6758),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6758),
  },
  [3221] = {
    [sym_parameter_list] = STATE(3161),
    [anon_sym_COMMA] = ACTIONS(6728),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6728),
    [anon_sym___extension__] = ACTIONS(6728),
    [anon_sym_extern] = ACTIONS(6728),
    [anon_sym___attribute__] = ACTIONS(6728),
    [anon_sym___attribute] = ACTIONS(6726),
    [anon_sym_noreturn] = ACTIONS(6728),
    [anon_sym_LBRACK] = ACTIONS(7589),
    [anon_sym___declspec] = ACTIONS(6728),
    [anon_sym_static] = ACTIONS(6728),
    [anon_sym_EQ] = ACTIONS(6728),
    [anon_sym_auto] = ACTIONS(6728),
    [anon_sym_register] = ACTIONS(6728),
    [anon_sym_inline] = ACTIONS(6728),
    [anon_sym___inline] = ACTIONS(6726),
    [anon_sym___inline__] = ACTIONS(6728),
    [anon_sym___forceinline] = ACTIONS(6728),
    [anon_sym_thread_local] = ACTIONS(6728),
    [anon_sym___thread] = ACTIONS(6728),
    [anon_sym_CG_EXTERN] = ACTIONS(6728),
    [anon_sym_CG_INLINE] = ACTIONS(6728),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6728),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6728),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6728),
    [anon_sym_IBOutlet] = ACTIONS(6728),
    [anon_sym_IBInspectable] = ACTIONS(6728),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6728),
    [anon_sym_NS_INLINE] = ACTIONS(6728),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6728),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6728),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6728),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6728),
    [anon_sym_const] = ACTIONS(6726),
    [anon_sym_constexpr] = ACTIONS(6728),
    [anon_sym_volatile] = ACTIONS(6728),
    [anon_sym_restrict] = ACTIONS(6728),
    [anon_sym___restrict__] = ACTIONS(6728),
    [anon_sym__Atomic] = ACTIONS(6728),
    [anon_sym__Noreturn] = ACTIONS(6728),
    [anon_sym__Nonnull] = ACTIONS(6728),
    [anon_sym_nullable] = ACTIONS(6728),
    [anon_sym__Complex] = ACTIONS(6728),
    [anon_sym__Nullable] = ACTIONS(6726),
    [anon_sym__Nullable_result] = ACTIONS(6728),
    [anon_sym__Null_unspecified] = ACTIONS(6728),
    [anon_sym___autoreleasing] = ACTIONS(6728),
    [anon_sym___block] = ACTIONS(6728),
    [anon_sym___bridge] = ACTIONS(6726),
    [anon_sym___bridge_retained] = ACTIONS(6728),
    [anon_sym___bridge_transfer] = ACTIONS(6728),
    [anon_sym___complex] = ACTIONS(6728),
    [anon_sym___const] = ACTIONS(6728),
    [anon_sym___imag] = ACTIONS(6728),
    [anon_sym___kindof] = ACTIONS(6728),
    [anon_sym___nonnull] = ACTIONS(6728),
    [anon_sym___nullable] = ACTIONS(6728),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6728),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6728),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6728),
    [anon_sym___real] = ACTIONS(6728),
    [anon_sym___strong] = ACTIONS(6728),
    [anon_sym___unsafe_unretained] = ACTIONS(6728),
    [anon_sym___unused] = ACTIONS(6728),
    [anon_sym___weak] = ACTIONS(6728),
    [anon_sym_alignas] = ACTIONS(6728),
    [anon_sym__Alignas] = ACTIONS(6728),
    [anon_sym_in] = ACTIONS(6726),
    [anon_sym_asm] = ACTIONS(6728),
    [anon_sym___asm__] = ACTIONS(6728),
    [anon_sym___asm] = ACTIONS(6726),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6728),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6728),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6728),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6728),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6728),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6728),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6728),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6728),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6728),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6728),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6726),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6728),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6728),
    [anon_sym_API_AVAILABLE] = ACTIONS(6728),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6728),
    [anon_sym_API_DEPRECATED] = ACTIONS(6728),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6728),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6728),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6728),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6728),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6728),
    [anon_sym___deprecated_msg] = ACTIONS(6728),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6728),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6728),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6728),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6728),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6728),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6728),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6728),
  },
  [3222] = {
    [sym_parameter_list] = STATE(3161),
    [anon_sym_COMMA] = ACTIONS(6754),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6754),
    [anon_sym___extension__] = ACTIONS(6754),
    [anon_sym_extern] = ACTIONS(6754),
    [anon_sym___attribute__] = ACTIONS(6754),
    [anon_sym___attribute] = ACTIONS(6752),
    [anon_sym_noreturn] = ACTIONS(6754),
    [anon_sym_LBRACK] = ACTIONS(7589),
    [anon_sym___declspec] = ACTIONS(6754),
    [anon_sym_static] = ACTIONS(6754),
    [anon_sym_EQ] = ACTIONS(6754),
    [anon_sym_auto] = ACTIONS(6754),
    [anon_sym_register] = ACTIONS(6754),
    [anon_sym_inline] = ACTIONS(6754),
    [anon_sym___inline] = ACTIONS(6752),
    [anon_sym___inline__] = ACTIONS(6754),
    [anon_sym___forceinline] = ACTIONS(6754),
    [anon_sym_thread_local] = ACTIONS(6754),
    [anon_sym___thread] = ACTIONS(6754),
    [anon_sym_CG_EXTERN] = ACTIONS(6754),
    [anon_sym_CG_INLINE] = ACTIONS(6754),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6754),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6754),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6754),
    [anon_sym_IBOutlet] = ACTIONS(6754),
    [anon_sym_IBInspectable] = ACTIONS(6754),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6754),
    [anon_sym_NS_INLINE] = ACTIONS(6754),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6754),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6754),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6754),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6754),
    [anon_sym_const] = ACTIONS(6752),
    [anon_sym_constexpr] = ACTIONS(6754),
    [anon_sym_volatile] = ACTIONS(6754),
    [anon_sym_restrict] = ACTIONS(6754),
    [anon_sym___restrict__] = ACTIONS(6754),
    [anon_sym__Atomic] = ACTIONS(6754),
    [anon_sym__Noreturn] = ACTIONS(6754),
    [anon_sym__Nonnull] = ACTIONS(6754),
    [anon_sym_nullable] = ACTIONS(6754),
    [anon_sym__Complex] = ACTIONS(6754),
    [anon_sym__Nullable] = ACTIONS(6752),
    [anon_sym__Nullable_result] = ACTIONS(6754),
    [anon_sym__Null_unspecified] = ACTIONS(6754),
    [anon_sym___autoreleasing] = ACTIONS(6754),
    [anon_sym___block] = ACTIONS(6754),
    [anon_sym___bridge] = ACTIONS(6752),
    [anon_sym___bridge_retained] = ACTIONS(6754),
    [anon_sym___bridge_transfer] = ACTIONS(6754),
    [anon_sym___complex] = ACTIONS(6754),
    [anon_sym___const] = ACTIONS(6754),
    [anon_sym___imag] = ACTIONS(6754),
    [anon_sym___kindof] = ACTIONS(6754),
    [anon_sym___nonnull] = ACTIONS(6754),
    [anon_sym___nullable] = ACTIONS(6754),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6754),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6754),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6754),
    [anon_sym___real] = ACTIONS(6754),
    [anon_sym___strong] = ACTIONS(6754),
    [anon_sym___unsafe_unretained] = ACTIONS(6754),
    [anon_sym___unused] = ACTIONS(6754),
    [anon_sym___weak] = ACTIONS(6754),
    [anon_sym_alignas] = ACTIONS(6754),
    [anon_sym__Alignas] = ACTIONS(6754),
    [anon_sym_in] = ACTIONS(6752),
    [anon_sym_asm] = ACTIONS(6754),
    [anon_sym___asm__] = ACTIONS(6754),
    [anon_sym___asm] = ACTIONS(6752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6754),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6754),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6754),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6754),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6754),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6754),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6754),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6754),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6754),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6754),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6752),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6754),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6754),
    [anon_sym_API_AVAILABLE] = ACTIONS(6754),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6754),
    [anon_sym_API_DEPRECATED] = ACTIONS(6754),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6754),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6754),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6754),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6754),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6754),
    [anon_sym___deprecated_msg] = ACTIONS(6754),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6754),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6754),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6754),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6754),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6754),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6754),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6754),
  },
  [3223] = {
    [sym_identifier] = ACTIONS(2922),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4138),
    [anon_sym_LPAREN2] = ACTIONS(2928),
    [anon_sym_BANG] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2928),
    [anon_sym_DASH] = ACTIONS(2922),
    [anon_sym_PLUS] = ACTIONS(2922),
    [anon_sym_STAR] = ACTIONS(2928),
    [anon_sym_SLASH] = ACTIONS(4136),
    [anon_sym_PERCENT] = ACTIONS(4138),
    [anon_sym_PIPE_PIPE] = ACTIONS(4138),
    [anon_sym_AMP_AMP] = ACTIONS(4138),
    [anon_sym_PIPE] = ACTIONS(4136),
    [anon_sym_CARET] = ACTIONS(2928),
    [anon_sym_AMP] = ACTIONS(2922),
    [anon_sym_EQ_EQ] = ACTIONS(4138),
    [anon_sym_BANG_EQ] = ACTIONS(4138),
    [anon_sym_GT] = ACTIONS(4136),
    [anon_sym_GT_EQ] = ACTIONS(4138),
    [anon_sym_LT_EQ] = ACTIONS(4138),
    [anon_sym_LT] = ACTIONS(4136),
    [anon_sym_LT_LT] = ACTIONS(4138),
    [anon_sym_GT_GT] = ACTIONS(4138),
    [anon_sym___extension__] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_RBRACK] = ACTIONS(4138),
    [anon_sym_const] = ACTIONS(2922),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2922),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2922),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(2922),
    [anon_sym_QMARK] = ACTIONS(4138),
    [anon_sym_DASH_DASH] = ACTIONS(2928),
    [anon_sym_PLUS_PLUS] = ACTIONS(2928),
    [anon_sym_sizeof] = ACTIONS(2922),
    [anon_sym___alignof__] = ACTIONS(2922),
    [anon_sym___alignof] = ACTIONS(2922),
    [anon_sym__alignof] = ACTIONS(2922),
    [anon_sym_alignof] = ACTIONS(2922),
    [anon_sym__Alignof] = ACTIONS(2922),
    [anon_sym_offsetof] = ACTIONS(2922),
    [anon_sym__Generic] = ACTIONS(2922),
    [anon_sym_asm] = ACTIONS(2922),
    [anon_sym___asm__] = ACTIONS(2922),
    [anon_sym___asm] = ACTIONS(2922),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_DASH_GT] = ACTIONS(4138),
    [sym_number_literal] = ACTIONS(2928),
    [anon_sym_L_SQUOTE] = ACTIONS(2928),
    [anon_sym_u_SQUOTE] = ACTIONS(2928),
    [anon_sym_U_SQUOTE] = ACTIONS(2928),
    [anon_sym_u8_SQUOTE] = ACTIONS(2928),
    [anon_sym_SQUOTE] = ACTIONS(2928),
    [anon_sym_AT] = ACTIONS(2922),
    [anon_sym_DQUOTE] = ACTIONS(2928),
    [anon_sym_L_DQUOTE] = ACTIONS(2928),
    [anon_sym_u_DQUOTE] = ACTIONS(2928),
    [anon_sym_U_DQUOTE] = ACTIONS(2928),
    [anon_sym_u8_DQUOTE] = ACTIONS(2928),
    [sym_true] = ACTIONS(2922),
    [sym_false] = ACTIONS(2922),
    [anon_sym_NULL] = ACTIONS(2922),
    [anon_sym_nullptr] = ACTIONS(2922),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2928),
    [anon_sym_ATavailable] = ACTIONS(2928),
    [anon_sym___builtin_available] = ACTIONS(2922),
    [anon_sym_va_arg] = ACTIONS(2922),
    [anon_sym_ATencode] = ACTIONS(2928),
    [anon_sym_id] = ACTIONS(2922),
  },
  [3224] = {
    [sym_attribute_specifier] = STATE(3301),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym__abstract_declarator] = STATE(4969),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_abstract_parenthesized_declarator] = STATE(4850),
    [sym_pointer_declarator] = STATE(3994),
    [sym_abstract_pointer_declarator] = STATE(4850),
    [sym_function_declarator] = STATE(3994),
    [sym_abstract_function_declarator] = STATE(4850),
    [sym_array_declarator] = STATE(3994),
    [sym_abstract_array_declarator] = STATE(4850),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_parameter_list] = STATE(4301),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_protocol_reference_list] = STATE(4798),
    [sym_specifier_qualifier] = STATE(3301),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_abstract_block_pointer_declarator] = STATE(4850),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3301),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_LPAREN2] = ACTIONS(4210),
    [anon_sym_STAR] = ACTIONS(5359),
    [anon_sym_CARET] = ACTIONS(5361),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_LBRACK] = ACTIONS(7971),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_LBRACE] = ACTIONS(7965),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_ATautoreleasepool] = ACTIONS(7965),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7995),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3225] = {
    [sym_parameter_list] = STATE(3161),
    [anon_sym_COMMA] = ACTIONS(6736),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6736),
    [anon_sym___extension__] = ACTIONS(6736),
    [anon_sym_extern] = ACTIONS(6736),
    [anon_sym___attribute__] = ACTIONS(6736),
    [anon_sym___attribute] = ACTIONS(6734),
    [anon_sym_noreturn] = ACTIONS(6736),
    [anon_sym_LBRACK] = ACTIONS(7589),
    [anon_sym___declspec] = ACTIONS(6736),
    [anon_sym_static] = ACTIONS(6736),
    [anon_sym_EQ] = ACTIONS(6736),
    [anon_sym_auto] = ACTIONS(6736),
    [anon_sym_register] = ACTIONS(6736),
    [anon_sym_inline] = ACTIONS(6736),
    [anon_sym___inline] = ACTIONS(6734),
    [anon_sym___inline__] = ACTIONS(6736),
    [anon_sym___forceinline] = ACTIONS(6736),
    [anon_sym_thread_local] = ACTIONS(6736),
    [anon_sym___thread] = ACTIONS(6736),
    [anon_sym_CG_EXTERN] = ACTIONS(6736),
    [anon_sym_CG_INLINE] = ACTIONS(6736),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6736),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6736),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6736),
    [anon_sym_IBOutlet] = ACTIONS(6736),
    [anon_sym_IBInspectable] = ACTIONS(6736),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6736),
    [anon_sym_NS_INLINE] = ACTIONS(6736),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6736),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6736),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6736),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6736),
    [anon_sym_const] = ACTIONS(6734),
    [anon_sym_constexpr] = ACTIONS(6736),
    [anon_sym_volatile] = ACTIONS(6736),
    [anon_sym_restrict] = ACTIONS(6736),
    [anon_sym___restrict__] = ACTIONS(6736),
    [anon_sym__Atomic] = ACTIONS(6736),
    [anon_sym__Noreturn] = ACTIONS(6736),
    [anon_sym__Nonnull] = ACTIONS(6736),
    [anon_sym_nullable] = ACTIONS(6736),
    [anon_sym__Complex] = ACTIONS(6736),
    [anon_sym__Nullable] = ACTIONS(6734),
    [anon_sym__Nullable_result] = ACTIONS(6736),
    [anon_sym__Null_unspecified] = ACTIONS(6736),
    [anon_sym___autoreleasing] = ACTIONS(6736),
    [anon_sym___block] = ACTIONS(6736),
    [anon_sym___bridge] = ACTIONS(6734),
    [anon_sym___bridge_retained] = ACTIONS(6736),
    [anon_sym___bridge_transfer] = ACTIONS(6736),
    [anon_sym___complex] = ACTIONS(6736),
    [anon_sym___const] = ACTIONS(6736),
    [anon_sym___imag] = ACTIONS(6736),
    [anon_sym___kindof] = ACTIONS(6736),
    [anon_sym___nonnull] = ACTIONS(6736),
    [anon_sym___nullable] = ACTIONS(6736),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6736),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6736),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6736),
    [anon_sym___real] = ACTIONS(6736),
    [anon_sym___strong] = ACTIONS(6736),
    [anon_sym___unsafe_unretained] = ACTIONS(6736),
    [anon_sym___unused] = ACTIONS(6736),
    [anon_sym___weak] = ACTIONS(6736),
    [anon_sym_alignas] = ACTIONS(6736),
    [anon_sym__Alignas] = ACTIONS(6736),
    [anon_sym_in] = ACTIONS(6734),
    [anon_sym_asm] = ACTIONS(6736),
    [anon_sym___asm__] = ACTIONS(6736),
    [anon_sym___asm] = ACTIONS(6734),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6736),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6736),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6736),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6736),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6736),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6736),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6736),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6736),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6736),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6736),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6734),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6736),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6736),
    [anon_sym_API_AVAILABLE] = ACTIONS(6736),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6736),
    [anon_sym_API_DEPRECATED] = ACTIONS(6736),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6736),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6736),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6736),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6736),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6736),
    [anon_sym___deprecated_msg] = ACTIONS(6736),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6736),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6736),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6736),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6736),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6736),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6736),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6736),
  },
  [3226] = {
    [sym_parameter_list] = STATE(3161),
    [anon_sym_COMMA] = ACTIONS(6740),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6740),
    [anon_sym___extension__] = ACTIONS(6740),
    [anon_sym_extern] = ACTIONS(6740),
    [anon_sym___attribute__] = ACTIONS(6740),
    [anon_sym___attribute] = ACTIONS(6738),
    [anon_sym_noreturn] = ACTIONS(6740),
    [anon_sym_LBRACK] = ACTIONS(7589),
    [anon_sym___declspec] = ACTIONS(6740),
    [anon_sym_static] = ACTIONS(6740),
    [anon_sym_EQ] = ACTIONS(6740),
    [anon_sym_auto] = ACTIONS(6740),
    [anon_sym_register] = ACTIONS(6740),
    [anon_sym_inline] = ACTIONS(6740),
    [anon_sym___inline] = ACTIONS(6738),
    [anon_sym___inline__] = ACTIONS(6740),
    [anon_sym___forceinline] = ACTIONS(6740),
    [anon_sym_thread_local] = ACTIONS(6740),
    [anon_sym___thread] = ACTIONS(6740),
    [anon_sym_CG_EXTERN] = ACTIONS(6740),
    [anon_sym_CG_INLINE] = ACTIONS(6740),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6740),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6740),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6740),
    [anon_sym_IBOutlet] = ACTIONS(6740),
    [anon_sym_IBInspectable] = ACTIONS(6740),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6740),
    [anon_sym_NS_INLINE] = ACTIONS(6740),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6740),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6740),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6740),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6740),
    [anon_sym_const] = ACTIONS(6738),
    [anon_sym_constexpr] = ACTIONS(6740),
    [anon_sym_volatile] = ACTIONS(6740),
    [anon_sym_restrict] = ACTIONS(6740),
    [anon_sym___restrict__] = ACTIONS(6740),
    [anon_sym__Atomic] = ACTIONS(6740),
    [anon_sym__Noreturn] = ACTIONS(6740),
    [anon_sym__Nonnull] = ACTIONS(6740),
    [anon_sym_nullable] = ACTIONS(6740),
    [anon_sym__Complex] = ACTIONS(6740),
    [anon_sym__Nullable] = ACTIONS(6738),
    [anon_sym__Nullable_result] = ACTIONS(6740),
    [anon_sym__Null_unspecified] = ACTIONS(6740),
    [anon_sym___autoreleasing] = ACTIONS(6740),
    [anon_sym___block] = ACTIONS(6740),
    [anon_sym___bridge] = ACTIONS(6738),
    [anon_sym___bridge_retained] = ACTIONS(6740),
    [anon_sym___bridge_transfer] = ACTIONS(6740),
    [anon_sym___complex] = ACTIONS(6740),
    [anon_sym___const] = ACTIONS(6740),
    [anon_sym___imag] = ACTIONS(6740),
    [anon_sym___kindof] = ACTIONS(6740),
    [anon_sym___nonnull] = ACTIONS(6740),
    [anon_sym___nullable] = ACTIONS(6740),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6740),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6740),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6740),
    [anon_sym___real] = ACTIONS(6740),
    [anon_sym___strong] = ACTIONS(6740),
    [anon_sym___unsafe_unretained] = ACTIONS(6740),
    [anon_sym___unused] = ACTIONS(6740),
    [anon_sym___weak] = ACTIONS(6740),
    [anon_sym_alignas] = ACTIONS(6740),
    [anon_sym__Alignas] = ACTIONS(6740),
    [anon_sym_in] = ACTIONS(6738),
    [anon_sym_asm] = ACTIONS(6740),
    [anon_sym___asm__] = ACTIONS(6740),
    [anon_sym___asm] = ACTIONS(6738),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6740),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6740),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6740),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6740),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6740),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6740),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6740),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6740),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6740),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6740),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6738),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6740),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6740),
    [anon_sym_API_AVAILABLE] = ACTIONS(6740),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6740),
    [anon_sym_API_DEPRECATED] = ACTIONS(6740),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6740),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6740),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6740),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6740),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6740),
    [anon_sym___deprecated_msg] = ACTIONS(6740),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6740),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6740),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6740),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6740),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6740),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6740),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6740),
  },
  [3227] = {
    [sym_attribute_specifier] = STATE(3251),
    [sym_keyword_declarator] = STATE(2756),
    [sym_method_parameter] = STATE(3255),
    [aux_sym_keyword_selector_repeat1] = STATE(2756),
    [sym_identifier] = ACTIONS(7997),
    [anon_sym_COMMA] = ACTIONS(7999),
    [anon_sym_SEMI] = ACTIONS(8002),
    [anon_sym___extension__] = ACTIONS(7997),
    [anon_sym_extern] = ACTIONS(7997),
    [anon_sym___attribute__] = ACTIONS(8004),
    [anon_sym___attribute] = ACTIONS(8004),
    [anon_sym_noreturn] = ACTIONS(7997),
    [anon_sym_LBRACK] = ACTIONS(8002),
    [anon_sym___declspec] = ACTIONS(7997),
    [anon_sym_static] = ACTIONS(7997),
    [anon_sym_auto] = ACTIONS(7997),
    [anon_sym_register] = ACTIONS(7997),
    [anon_sym_inline] = ACTIONS(7997),
    [anon_sym___inline] = ACTIONS(7997),
    [anon_sym___inline__] = ACTIONS(7997),
    [anon_sym___forceinline] = ACTIONS(7997),
    [anon_sym_thread_local] = ACTIONS(7997),
    [anon_sym___thread] = ACTIONS(7997),
    [anon_sym_CG_EXTERN] = ACTIONS(7997),
    [anon_sym_CG_INLINE] = ACTIONS(7997),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7997),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7997),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7997),
    [anon_sym_IBOutlet] = ACTIONS(7997),
    [anon_sym_IBInspectable] = ACTIONS(7997),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7997),
    [anon_sym_NS_INLINE] = ACTIONS(7997),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7997),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7997),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7997),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7997),
    [anon_sym_const] = ACTIONS(7997),
    [anon_sym_constexpr] = ACTIONS(7997),
    [anon_sym_volatile] = ACTIONS(7997),
    [anon_sym_restrict] = ACTIONS(7997),
    [anon_sym___restrict__] = ACTIONS(7997),
    [anon_sym__Atomic] = ACTIONS(7997),
    [anon_sym__Noreturn] = ACTIONS(7997),
    [anon_sym__Nonnull] = ACTIONS(7997),
    [anon_sym_nullable] = ACTIONS(7997),
    [anon_sym__Complex] = ACTIONS(7997),
    [anon_sym__Nullable] = ACTIONS(7997),
    [anon_sym__Nullable_result] = ACTIONS(7997),
    [anon_sym__Null_unspecified] = ACTIONS(7997),
    [anon_sym___autoreleasing] = ACTIONS(7997),
    [anon_sym___block] = ACTIONS(7997),
    [anon_sym___bridge] = ACTIONS(7997),
    [anon_sym___bridge_retained] = ACTIONS(7997),
    [anon_sym___bridge_transfer] = ACTIONS(7997),
    [anon_sym___complex] = ACTIONS(7997),
    [anon_sym___const] = ACTIONS(7997),
    [anon_sym___imag] = ACTIONS(7997),
    [anon_sym___kindof] = ACTIONS(7997),
    [anon_sym___nonnull] = ACTIONS(7997),
    [anon_sym___nullable] = ACTIONS(7997),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7997),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7997),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7997),
    [anon_sym___real] = ACTIONS(7997),
    [anon_sym___strong] = ACTIONS(7997),
    [anon_sym___unsafe_unretained] = ACTIONS(7997),
    [anon_sym___unused] = ACTIONS(7997),
    [anon_sym___weak] = ACTIONS(7997),
    [anon_sym_alignas] = ACTIONS(7997),
    [anon_sym__Alignas] = ACTIONS(7997),
    [anon_sym_COLON] = ACTIONS(8007),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7997),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7997),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7997),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7997),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7997),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7997),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7997),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7997),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7997),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7997),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7997),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7997),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7997),
    [anon_sym_API_AVAILABLE] = ACTIONS(7997),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7997),
    [anon_sym_API_DEPRECATED] = ACTIONS(7997),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7997),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7997),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7997),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7997),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7997),
    [anon_sym___deprecated_msg] = ACTIONS(7997),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7997),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7997),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7997),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7997),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7997),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7997),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7997),
  },
  [3228] = {
    [anon_sym_COMMA] = ACTIONS(2768),
    [anon_sym_LPAREN2] = ACTIONS(2768),
    [anon_sym_SEMI] = ACTIONS(2768),
    [anon_sym___extension__] = ACTIONS(2768),
    [anon_sym_extern] = ACTIONS(2768),
    [anon_sym___attribute__] = ACTIONS(2768),
    [anon_sym___attribute] = ACTIONS(2766),
    [anon_sym_noreturn] = ACTIONS(2768),
    [anon_sym_LBRACK] = ACTIONS(2768),
    [anon_sym___declspec] = ACTIONS(2768),
    [anon_sym_static] = ACTIONS(2768),
    [anon_sym_EQ] = ACTIONS(2768),
    [anon_sym_auto] = ACTIONS(2768),
    [anon_sym_register] = ACTIONS(2768),
    [anon_sym_inline] = ACTIONS(2768),
    [anon_sym___inline] = ACTIONS(2766),
    [anon_sym___inline__] = ACTIONS(2768),
    [anon_sym___forceinline] = ACTIONS(2768),
    [anon_sym_thread_local] = ACTIONS(2768),
    [anon_sym___thread] = ACTIONS(2768),
    [anon_sym_CG_EXTERN] = ACTIONS(2768),
    [anon_sym_CG_INLINE] = ACTIONS(2768),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2768),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2768),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2768),
    [anon_sym_IBOutlet] = ACTIONS(2768),
    [anon_sym_IBInspectable] = ACTIONS(2768),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2768),
    [anon_sym_NS_INLINE] = ACTIONS(2768),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2768),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2768),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2768),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2768),
    [anon_sym_const] = ACTIONS(2766),
    [anon_sym_constexpr] = ACTIONS(2768),
    [anon_sym_volatile] = ACTIONS(2768),
    [anon_sym_restrict] = ACTIONS(2768),
    [anon_sym___restrict__] = ACTIONS(2768),
    [anon_sym__Atomic] = ACTIONS(2768),
    [anon_sym__Noreturn] = ACTIONS(2768),
    [anon_sym__Nonnull] = ACTIONS(2768),
    [anon_sym_nullable] = ACTIONS(2768),
    [anon_sym__Complex] = ACTIONS(2768),
    [anon_sym__Nullable] = ACTIONS(2766),
    [anon_sym__Nullable_result] = ACTIONS(2768),
    [anon_sym__Null_unspecified] = ACTIONS(2768),
    [anon_sym___autoreleasing] = ACTIONS(2768),
    [anon_sym___block] = ACTIONS(2768),
    [anon_sym___bridge] = ACTIONS(2766),
    [anon_sym___bridge_retained] = ACTIONS(2768),
    [anon_sym___bridge_transfer] = ACTIONS(2768),
    [anon_sym___complex] = ACTIONS(2768),
    [anon_sym___const] = ACTIONS(2768),
    [anon_sym___imag] = ACTIONS(2768),
    [anon_sym___kindof] = ACTIONS(2768),
    [anon_sym___nonnull] = ACTIONS(2768),
    [anon_sym___nullable] = ACTIONS(2768),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2768),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2768),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2768),
    [anon_sym___real] = ACTIONS(2768),
    [anon_sym___strong] = ACTIONS(2768),
    [anon_sym___unsafe_unretained] = ACTIONS(2768),
    [anon_sym___unused] = ACTIONS(2768),
    [anon_sym___weak] = ACTIONS(2768),
    [anon_sym_alignas] = ACTIONS(2768),
    [anon_sym__Alignas] = ACTIONS(2768),
    [anon_sym_in] = ACTIONS(2766),
    [anon_sym_asm] = ACTIONS(2768),
    [anon_sym___asm__] = ACTIONS(2768),
    [anon_sym___asm] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2768),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2768),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2768),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2768),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2768),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2768),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2768),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2768),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2768),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2768),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2766),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2768),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2768),
    [anon_sym_API_AVAILABLE] = ACTIONS(2768),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2768),
    [anon_sym_API_DEPRECATED] = ACTIONS(2768),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2768),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2768),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2768),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2768),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2768),
    [anon_sym___deprecated_msg] = ACTIONS(2768),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2768),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2768),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2768),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2768),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2768),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2768),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2768),
  },
  [3229] = {
    [anon_sym_COMMA] = ACTIONS(2732),
    [anon_sym_LPAREN2] = ACTIONS(2732),
    [anon_sym_SEMI] = ACTIONS(2732),
    [anon_sym___extension__] = ACTIONS(2732),
    [anon_sym_extern] = ACTIONS(2732),
    [anon_sym___attribute__] = ACTIONS(2732),
    [anon_sym___attribute] = ACTIONS(2730),
    [anon_sym_noreturn] = ACTIONS(2732),
    [anon_sym_LBRACK] = ACTIONS(2732),
    [anon_sym___declspec] = ACTIONS(2732),
    [anon_sym_static] = ACTIONS(2732),
    [anon_sym_EQ] = ACTIONS(2732),
    [anon_sym_auto] = ACTIONS(2732),
    [anon_sym_register] = ACTIONS(2732),
    [anon_sym_inline] = ACTIONS(2732),
    [anon_sym___inline] = ACTIONS(2730),
    [anon_sym___inline__] = ACTIONS(2732),
    [anon_sym___forceinline] = ACTIONS(2732),
    [anon_sym_thread_local] = ACTIONS(2732),
    [anon_sym___thread] = ACTIONS(2732),
    [anon_sym_CG_EXTERN] = ACTIONS(2732),
    [anon_sym_CG_INLINE] = ACTIONS(2732),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2732),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2732),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2732),
    [anon_sym_IBOutlet] = ACTIONS(2732),
    [anon_sym_IBInspectable] = ACTIONS(2732),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2732),
    [anon_sym_NS_INLINE] = ACTIONS(2732),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2732),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2732),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2732),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2732),
    [anon_sym_const] = ACTIONS(2730),
    [anon_sym_constexpr] = ACTIONS(2732),
    [anon_sym_volatile] = ACTIONS(2732),
    [anon_sym_restrict] = ACTIONS(2732),
    [anon_sym___restrict__] = ACTIONS(2732),
    [anon_sym__Atomic] = ACTIONS(2732),
    [anon_sym__Noreturn] = ACTIONS(2732),
    [anon_sym__Nonnull] = ACTIONS(2732),
    [anon_sym_nullable] = ACTIONS(2732),
    [anon_sym__Complex] = ACTIONS(2732),
    [anon_sym__Nullable] = ACTIONS(2730),
    [anon_sym__Nullable_result] = ACTIONS(2732),
    [anon_sym__Null_unspecified] = ACTIONS(2732),
    [anon_sym___autoreleasing] = ACTIONS(2732),
    [anon_sym___block] = ACTIONS(2732),
    [anon_sym___bridge] = ACTIONS(2730),
    [anon_sym___bridge_retained] = ACTIONS(2732),
    [anon_sym___bridge_transfer] = ACTIONS(2732),
    [anon_sym___complex] = ACTIONS(2732),
    [anon_sym___const] = ACTIONS(2732),
    [anon_sym___imag] = ACTIONS(2732),
    [anon_sym___kindof] = ACTIONS(2732),
    [anon_sym___nonnull] = ACTIONS(2732),
    [anon_sym___nullable] = ACTIONS(2732),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2732),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2732),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2732),
    [anon_sym___real] = ACTIONS(2732),
    [anon_sym___strong] = ACTIONS(2732),
    [anon_sym___unsafe_unretained] = ACTIONS(2732),
    [anon_sym___unused] = ACTIONS(2732),
    [anon_sym___weak] = ACTIONS(2732),
    [anon_sym_alignas] = ACTIONS(2732),
    [anon_sym__Alignas] = ACTIONS(2732),
    [anon_sym_in] = ACTIONS(2730),
    [anon_sym_asm] = ACTIONS(2732),
    [anon_sym___asm__] = ACTIONS(2732),
    [anon_sym___asm] = ACTIONS(2730),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2732),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2732),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2732),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2732),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2732),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2732),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2732),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2732),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2732),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2732),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2730),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2732),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2732),
    [anon_sym_API_AVAILABLE] = ACTIONS(2732),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2732),
    [anon_sym_API_DEPRECATED] = ACTIONS(2732),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2732),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2732),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2732),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2732),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2732),
    [anon_sym___deprecated_msg] = ACTIONS(2732),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2732),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2732),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2732),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2732),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2732),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2732),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2732),
  },
  [3230] = {
    [sym_keyword_declarator] = STATE(3227),
    [sym_method_parameter] = STATE(3230),
    [aux_sym_keyword_selector_repeat1] = STATE(3227),
    [aux_sym_method_declaration_repeat1] = STATE(3230),
    [sym_identifier] = ACTIONS(8010),
    [anon_sym_COMMA] = ACTIONS(8013),
    [anon_sym_SEMI] = ACTIONS(8015),
    [anon_sym___extension__] = ACTIONS(8018),
    [anon_sym_extern] = ACTIONS(8018),
    [anon_sym___attribute__] = ACTIONS(8018),
    [anon_sym___attribute] = ACTIONS(8018),
    [anon_sym_noreturn] = ACTIONS(8018),
    [anon_sym_LBRACK] = ACTIONS(8013),
    [anon_sym___declspec] = ACTIONS(8018),
    [anon_sym_static] = ACTIONS(8018),
    [anon_sym_auto] = ACTIONS(8018),
    [anon_sym_register] = ACTIONS(8018),
    [anon_sym_inline] = ACTIONS(8018),
    [anon_sym___inline] = ACTIONS(8018),
    [anon_sym___inline__] = ACTIONS(8018),
    [anon_sym___forceinline] = ACTIONS(8018),
    [anon_sym_thread_local] = ACTIONS(8018),
    [anon_sym___thread] = ACTIONS(8018),
    [anon_sym_CG_EXTERN] = ACTIONS(8018),
    [anon_sym_CG_INLINE] = ACTIONS(8018),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8018),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8018),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8018),
    [anon_sym_IBOutlet] = ACTIONS(8018),
    [anon_sym_IBInspectable] = ACTIONS(8018),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8018),
    [anon_sym_NS_INLINE] = ACTIONS(8018),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8018),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8018),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8018),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8018),
    [anon_sym_const] = ACTIONS(8018),
    [anon_sym_constexpr] = ACTIONS(8018),
    [anon_sym_volatile] = ACTIONS(8018),
    [anon_sym_restrict] = ACTIONS(8018),
    [anon_sym___restrict__] = ACTIONS(8018),
    [anon_sym__Atomic] = ACTIONS(8018),
    [anon_sym__Noreturn] = ACTIONS(8018),
    [anon_sym__Nonnull] = ACTIONS(8018),
    [anon_sym_nullable] = ACTIONS(8018),
    [anon_sym__Complex] = ACTIONS(8018),
    [anon_sym__Nullable] = ACTIONS(8018),
    [anon_sym__Nullable_result] = ACTIONS(8018),
    [anon_sym__Null_unspecified] = ACTIONS(8018),
    [anon_sym___autoreleasing] = ACTIONS(8018),
    [anon_sym___block] = ACTIONS(8018),
    [anon_sym___bridge] = ACTIONS(8018),
    [anon_sym___bridge_retained] = ACTIONS(8018),
    [anon_sym___bridge_transfer] = ACTIONS(8018),
    [anon_sym___complex] = ACTIONS(8018),
    [anon_sym___const] = ACTIONS(8018),
    [anon_sym___imag] = ACTIONS(8018),
    [anon_sym___kindof] = ACTIONS(8018),
    [anon_sym___nonnull] = ACTIONS(8018),
    [anon_sym___nullable] = ACTIONS(8018),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8018),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8018),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8018),
    [anon_sym___real] = ACTIONS(8018),
    [anon_sym___strong] = ACTIONS(8018),
    [anon_sym___unsafe_unretained] = ACTIONS(8018),
    [anon_sym___unused] = ACTIONS(8018),
    [anon_sym___weak] = ACTIONS(8018),
    [anon_sym_alignas] = ACTIONS(8018),
    [anon_sym__Alignas] = ACTIONS(8018),
    [anon_sym_COLON] = ACTIONS(8020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8018),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8018),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8018),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8018),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8018),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8018),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8018),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8018),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8018),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8018),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8018),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8018),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8018),
    [anon_sym_API_AVAILABLE] = ACTIONS(8018),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8018),
    [anon_sym_API_DEPRECATED] = ACTIONS(8018),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8018),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8018),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8018),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8018),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8018),
    [anon_sym___deprecated_msg] = ACTIONS(8018),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8018),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8018),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8018),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8018),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8018),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8018),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8018),
  },
  [3231] = {
    [anon_sym_COMMA] = ACTIONS(2862),
    [anon_sym_LPAREN2] = ACTIONS(2862),
    [anon_sym_SEMI] = ACTIONS(2862),
    [anon_sym___extension__] = ACTIONS(2862),
    [anon_sym_extern] = ACTIONS(2862),
    [anon_sym___attribute__] = ACTIONS(2862),
    [anon_sym___attribute] = ACTIONS(2860),
    [anon_sym_noreturn] = ACTIONS(2862),
    [anon_sym_LBRACK] = ACTIONS(2862),
    [anon_sym___declspec] = ACTIONS(2862),
    [anon_sym_static] = ACTIONS(2862),
    [anon_sym_EQ] = ACTIONS(2862),
    [anon_sym_auto] = ACTIONS(2862),
    [anon_sym_register] = ACTIONS(2862),
    [anon_sym_inline] = ACTIONS(2862),
    [anon_sym___inline] = ACTIONS(2860),
    [anon_sym___inline__] = ACTIONS(2862),
    [anon_sym___forceinline] = ACTIONS(2862),
    [anon_sym_thread_local] = ACTIONS(2862),
    [anon_sym___thread] = ACTIONS(2862),
    [anon_sym_CG_EXTERN] = ACTIONS(2862),
    [anon_sym_CG_INLINE] = ACTIONS(2862),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(2862),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(2862),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(2862),
    [anon_sym_IBOutlet] = ACTIONS(2862),
    [anon_sym_IBInspectable] = ACTIONS(2862),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(2862),
    [anon_sym_NS_INLINE] = ACTIONS(2862),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(2862),
    [anon_sym_OBJC_EXPORT] = ACTIONS(2862),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(2862),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(2862),
    [anon_sym_const] = ACTIONS(2860),
    [anon_sym_constexpr] = ACTIONS(2862),
    [anon_sym_volatile] = ACTIONS(2862),
    [anon_sym_restrict] = ACTIONS(2862),
    [anon_sym___restrict__] = ACTIONS(2862),
    [anon_sym__Atomic] = ACTIONS(2862),
    [anon_sym__Noreturn] = ACTIONS(2862),
    [anon_sym__Nonnull] = ACTIONS(2862),
    [anon_sym_nullable] = ACTIONS(2862),
    [anon_sym__Complex] = ACTIONS(2862),
    [anon_sym__Nullable] = ACTIONS(2860),
    [anon_sym__Nullable_result] = ACTIONS(2862),
    [anon_sym__Null_unspecified] = ACTIONS(2862),
    [anon_sym___autoreleasing] = ACTIONS(2862),
    [anon_sym___block] = ACTIONS(2862),
    [anon_sym___bridge] = ACTIONS(2860),
    [anon_sym___bridge_retained] = ACTIONS(2862),
    [anon_sym___bridge_transfer] = ACTIONS(2862),
    [anon_sym___complex] = ACTIONS(2862),
    [anon_sym___const] = ACTIONS(2862),
    [anon_sym___imag] = ACTIONS(2862),
    [anon_sym___kindof] = ACTIONS(2862),
    [anon_sym___nonnull] = ACTIONS(2862),
    [anon_sym___nullable] = ACTIONS(2862),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2862),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2862),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2862),
    [anon_sym___real] = ACTIONS(2862),
    [anon_sym___strong] = ACTIONS(2862),
    [anon_sym___unsafe_unretained] = ACTIONS(2862),
    [anon_sym___unused] = ACTIONS(2862),
    [anon_sym___weak] = ACTIONS(2862),
    [anon_sym_alignas] = ACTIONS(2862),
    [anon_sym__Alignas] = ACTIONS(2862),
    [anon_sym_in] = ACTIONS(2860),
    [anon_sym_asm] = ACTIONS(2862),
    [anon_sym___asm__] = ACTIONS(2862),
    [anon_sym___asm] = ACTIONS(2860),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(2862),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(2862),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(2862),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(2862),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(2862),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(2862),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(2862),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(2862),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(2862),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(2862),
    [anon_sym_NS_AVAILABLE] = ACTIONS(2860),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(2862),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(2862),
    [anon_sym_API_AVAILABLE] = ACTIONS(2862),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(2862),
    [anon_sym_API_DEPRECATED] = ACTIONS(2862),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(2862),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(2862),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(2862),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(2862),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(2862),
    [anon_sym___deprecated_msg] = ACTIONS(2862),
    [anon_sym___deprecated_enum_msg] = ACTIONS(2862),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(2862),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(2862),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(2862),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(2862),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(2862),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(2862),
  },
  [3232] = {
    [sym_attribute_specifier] = STATE(5983),
    [sym_parameter_list] = STATE(3017),
    [aux_sym_c_method_parameter_repeat1] = STATE(3286),
    [anon_sym_COMMA] = ACTIONS(6685),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6685),
    [anon_sym___extension__] = ACTIONS(6685),
    [anon_sym_extern] = ACTIONS(6685),
    [anon_sym___attribute__] = ACTIONS(6685),
    [anon_sym___attribute] = ACTIONS(6683),
    [anon_sym_noreturn] = ACTIONS(6685),
    [anon_sym_LBRACK] = ACTIONS(7589),
    [anon_sym___declspec] = ACTIONS(6685),
    [anon_sym_static] = ACTIONS(6685),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_auto] = ACTIONS(6685),
    [anon_sym_register] = ACTIONS(6685),
    [anon_sym_inline] = ACTIONS(6685),
    [anon_sym___inline] = ACTIONS(6683),
    [anon_sym___inline__] = ACTIONS(6685),
    [anon_sym___forceinline] = ACTIONS(6685),
    [anon_sym_thread_local] = ACTIONS(6685),
    [anon_sym___thread] = ACTIONS(6685),
    [anon_sym_CG_EXTERN] = ACTIONS(6685),
    [anon_sym_CG_INLINE] = ACTIONS(6685),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6685),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6685),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6685),
    [anon_sym_IBOutlet] = ACTIONS(6685),
    [anon_sym_IBInspectable] = ACTIONS(6685),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6685),
    [anon_sym_NS_INLINE] = ACTIONS(6685),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6685),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6685),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6685),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6685),
    [anon_sym_const] = ACTIONS(6683),
    [anon_sym_constexpr] = ACTIONS(6685),
    [anon_sym_volatile] = ACTIONS(6685),
    [anon_sym_restrict] = ACTIONS(6685),
    [anon_sym___restrict__] = ACTIONS(6685),
    [anon_sym__Atomic] = ACTIONS(6685),
    [anon_sym__Noreturn] = ACTIONS(6685),
    [anon_sym__Nonnull] = ACTIONS(6685),
    [anon_sym_nullable] = ACTIONS(6685),
    [anon_sym__Complex] = ACTIONS(6685),
    [anon_sym__Nullable] = ACTIONS(6683),
    [anon_sym__Nullable_result] = ACTIONS(6685),
    [anon_sym__Null_unspecified] = ACTIONS(6685),
    [anon_sym___autoreleasing] = ACTIONS(6685),
    [anon_sym___block] = ACTIONS(6685),
    [anon_sym___bridge] = ACTIONS(6683),
    [anon_sym___bridge_retained] = ACTIONS(6685),
    [anon_sym___bridge_transfer] = ACTIONS(6685),
    [anon_sym___complex] = ACTIONS(6685),
    [anon_sym___const] = ACTIONS(6685),
    [anon_sym___imag] = ACTIONS(6685),
    [anon_sym___kindof] = ACTIONS(6685),
    [anon_sym___nonnull] = ACTIONS(6685),
    [anon_sym___nullable] = ACTIONS(6685),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6685),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6685),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6685),
    [anon_sym___real] = ACTIONS(6685),
    [anon_sym___strong] = ACTIONS(6685),
    [anon_sym___unsafe_unretained] = ACTIONS(6685),
    [anon_sym___unused] = ACTIONS(6685),
    [anon_sym___weak] = ACTIONS(6685),
    [anon_sym_alignas] = ACTIONS(6685),
    [anon_sym__Alignas] = ACTIONS(6685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6685),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6685),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6685),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6685),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6685),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6685),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6685),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6685),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6685),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6685),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6683),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6685),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6685),
    [anon_sym_API_AVAILABLE] = ACTIONS(6685),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6685),
    [anon_sym_API_DEPRECATED] = ACTIONS(6685),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6685),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6685),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6685),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6685),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6685),
    [anon_sym___deprecated_msg] = ACTIONS(6685),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6685),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6685),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6685),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6685),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6685),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6685),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6685),
  },
  [3233] = {
    [sym_attribute_specifier] = STATE(3067),
    [sym_type_qualifier] = STATE(3067),
    [sym_alignas_qualifier] = STATE(2412),
    [aux_sym_function_field_declarator_repeat1] = STATE(3067),
    [anon_sym_COMMA] = ACTIONS(8023),
    [anon_sym_LPAREN2] = ACTIONS(8023),
    [anon_sym_SEMI] = ACTIONS(8023),
    [anon_sym___extension__] = ACTIONS(8023),
    [anon_sym_extern] = ACTIONS(8023),
    [anon_sym___attribute__] = ACTIONS(8023),
    [anon_sym___attribute] = ACTIONS(8025),
    [anon_sym_noreturn] = ACTIONS(8023),
    [anon_sym_LBRACK] = ACTIONS(8023),
    [anon_sym___declspec] = ACTIONS(8023),
    [anon_sym_static] = ACTIONS(8023),
    [anon_sym_auto] = ACTIONS(8023),
    [anon_sym_register] = ACTIONS(8023),
    [anon_sym_inline] = ACTIONS(8023),
    [anon_sym___inline] = ACTIONS(8025),
    [anon_sym___inline__] = ACTIONS(8023),
    [anon_sym___forceinline] = ACTIONS(8023),
    [anon_sym_thread_local] = ACTIONS(8023),
    [anon_sym___thread] = ACTIONS(8023),
    [anon_sym_CG_EXTERN] = ACTIONS(8023),
    [anon_sym_CG_INLINE] = ACTIONS(8023),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8023),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8023),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8023),
    [anon_sym_IBOutlet] = ACTIONS(8023),
    [anon_sym_IBInspectable] = ACTIONS(8023),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8023),
    [anon_sym_NS_INLINE] = ACTIONS(8023),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8023),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8023),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8023),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8023),
    [anon_sym_const] = ACTIONS(8025),
    [anon_sym_constexpr] = ACTIONS(8023),
    [anon_sym_volatile] = ACTIONS(8023),
    [anon_sym_restrict] = ACTIONS(8023),
    [anon_sym___restrict__] = ACTIONS(8023),
    [anon_sym__Atomic] = ACTIONS(8023),
    [anon_sym__Noreturn] = ACTIONS(8023),
    [anon_sym__Nonnull] = ACTIONS(8023),
    [anon_sym_nullable] = ACTIONS(8023),
    [anon_sym__Complex] = ACTIONS(8023),
    [anon_sym__Nullable] = ACTIONS(8025),
    [anon_sym__Nullable_result] = ACTIONS(8023),
    [anon_sym__Null_unspecified] = ACTIONS(8023),
    [anon_sym___autoreleasing] = ACTIONS(8023),
    [anon_sym___block] = ACTIONS(8023),
    [anon_sym___bridge] = ACTIONS(8025),
    [anon_sym___bridge_retained] = ACTIONS(8023),
    [anon_sym___bridge_transfer] = ACTIONS(8023),
    [anon_sym___complex] = ACTIONS(8023),
    [anon_sym___const] = ACTIONS(8023),
    [anon_sym___imag] = ACTIONS(8023),
    [anon_sym___kindof] = ACTIONS(8023),
    [anon_sym___nonnull] = ACTIONS(8023),
    [anon_sym___nullable] = ACTIONS(8023),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8023),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8023),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8023),
    [anon_sym___real] = ACTIONS(8023),
    [anon_sym___strong] = ACTIONS(8023),
    [anon_sym___unsafe_unretained] = ACTIONS(8023),
    [anon_sym___unused] = ACTIONS(8023),
    [anon_sym___weak] = ACTIONS(8023),
    [anon_sym_alignas] = ACTIONS(8023),
    [anon_sym__Alignas] = ACTIONS(8023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8023),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8023),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8023),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8023),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8023),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8023),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8023),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8023),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8023),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8023),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8025),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8023),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8023),
    [anon_sym_API_AVAILABLE] = ACTIONS(8023),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8023),
    [anon_sym_API_DEPRECATED] = ACTIONS(8023),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8023),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8023),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8023),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8023),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8023),
    [anon_sym___deprecated_msg] = ACTIONS(8023),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8023),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8023),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8023),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8023),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8023),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8023),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8023),
  },
  [3234] = {
    [sym_attribute_specifier] = STATE(3233),
    [sym_type_qualifier] = STATE(3233),
    [sym_alignas_qualifier] = STATE(2412),
    [aux_sym_function_field_declarator_repeat1] = STATE(3233),
    [anon_sym_COMMA] = ACTIONS(8027),
    [anon_sym_LPAREN2] = ACTIONS(8027),
    [anon_sym_SEMI] = ACTIONS(8027),
    [anon_sym___extension__] = ACTIONS(6784),
    [anon_sym_extern] = ACTIONS(8027),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6784),
    [anon_sym_LBRACK] = ACTIONS(8027),
    [anon_sym___declspec] = ACTIONS(8027),
    [anon_sym_static] = ACTIONS(8027),
    [anon_sym_auto] = ACTIONS(8027),
    [anon_sym_register] = ACTIONS(8027),
    [anon_sym_inline] = ACTIONS(8027),
    [anon_sym___inline] = ACTIONS(8029),
    [anon_sym___inline__] = ACTIONS(8027),
    [anon_sym___forceinline] = ACTIONS(8027),
    [anon_sym_thread_local] = ACTIONS(8027),
    [anon_sym___thread] = ACTIONS(8027),
    [anon_sym_CG_EXTERN] = ACTIONS(8027),
    [anon_sym_CG_INLINE] = ACTIONS(8027),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8027),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8027),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8027),
    [anon_sym_IBOutlet] = ACTIONS(8027),
    [anon_sym_IBInspectable] = ACTIONS(8027),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8027),
    [anon_sym_NS_INLINE] = ACTIONS(8027),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8027),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8027),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8027),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8027),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(6784),
    [anon_sym_volatile] = ACTIONS(6784),
    [anon_sym_restrict] = ACTIONS(6784),
    [anon_sym___restrict__] = ACTIONS(6784),
    [anon_sym__Atomic] = ACTIONS(6784),
    [anon_sym__Noreturn] = ACTIONS(6784),
    [anon_sym__Nonnull] = ACTIONS(6784),
    [anon_sym_nullable] = ACTIONS(6784),
    [anon_sym__Complex] = ACTIONS(6784),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(6784),
    [anon_sym__Null_unspecified] = ACTIONS(6784),
    [anon_sym___autoreleasing] = ACTIONS(6784),
    [anon_sym___block] = ACTIONS(6784),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(6784),
    [anon_sym___bridge_transfer] = ACTIONS(6784),
    [anon_sym___complex] = ACTIONS(6784),
    [anon_sym___const] = ACTIONS(6784),
    [anon_sym___imag] = ACTIONS(6784),
    [anon_sym___kindof] = ACTIONS(6784),
    [anon_sym___nonnull] = ACTIONS(6784),
    [anon_sym___nullable] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6784),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6784),
    [anon_sym___real] = ACTIONS(6784),
    [anon_sym___strong] = ACTIONS(6784),
    [anon_sym___unsafe_unretained] = ACTIONS(6784),
    [anon_sym___unused] = ACTIONS(6784),
    [anon_sym___weak] = ACTIONS(6784),
    [anon_sym_alignas] = ACTIONS(6794),
    [anon_sym__Alignas] = ACTIONS(6794),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8027),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8027),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8027),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8027),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8027),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8027),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8027),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8027),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8027),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8027),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8029),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8027),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8027),
    [anon_sym_API_AVAILABLE] = ACTIONS(8027),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8027),
    [anon_sym_API_DEPRECATED] = ACTIONS(8027),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8027),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8027),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8027),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8027),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8027),
    [anon_sym___deprecated_msg] = ACTIONS(8027),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8027),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8027),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8027),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8027),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8027),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8027),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8027),
  },
  [3235] = {
    [sym_attribute_specifier] = STATE(3249),
    [sym_method_parameter] = STATE(3270),
    [sym_identifier] = ACTIONS(8018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8031),
    [anon_sym_COMMA] = ACTIONS(8013),
    [anon_sym_SEMI] = ACTIONS(8013),
    [anon_sym___extension__] = ACTIONS(8018),
    [anon_sym_extern] = ACTIONS(8018),
    [anon_sym___attribute__] = ACTIONS(8033),
    [anon_sym___attribute] = ACTIONS(8033),
    [anon_sym_noreturn] = ACTIONS(8018),
    [anon_sym_LBRACK] = ACTIONS(8013),
    [anon_sym___declspec] = ACTIONS(8018),
    [anon_sym_static] = ACTIONS(8018),
    [anon_sym_auto] = ACTIONS(8018),
    [anon_sym_register] = ACTIONS(8018),
    [anon_sym_inline] = ACTIONS(8018),
    [anon_sym___inline] = ACTIONS(8018),
    [anon_sym___inline__] = ACTIONS(8018),
    [anon_sym___forceinline] = ACTIONS(8018),
    [anon_sym_thread_local] = ACTIONS(8018),
    [anon_sym___thread] = ACTIONS(8018),
    [anon_sym_CG_EXTERN] = ACTIONS(8018),
    [anon_sym_CG_INLINE] = ACTIONS(8018),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8018),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8018),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8018),
    [anon_sym_IBOutlet] = ACTIONS(8018),
    [anon_sym_IBInspectable] = ACTIONS(8018),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8018),
    [anon_sym_NS_INLINE] = ACTIONS(8018),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8018),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8018),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8018),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8018),
    [anon_sym_const] = ACTIONS(8018),
    [anon_sym_constexpr] = ACTIONS(8018),
    [anon_sym_volatile] = ACTIONS(8018),
    [anon_sym_restrict] = ACTIONS(8018),
    [anon_sym___restrict__] = ACTIONS(8018),
    [anon_sym__Atomic] = ACTIONS(8018),
    [anon_sym__Noreturn] = ACTIONS(8018),
    [anon_sym__Nonnull] = ACTIONS(8018),
    [anon_sym_nullable] = ACTIONS(8018),
    [anon_sym__Complex] = ACTIONS(8018),
    [anon_sym__Nullable] = ACTIONS(8018),
    [anon_sym__Nullable_result] = ACTIONS(8018),
    [anon_sym__Null_unspecified] = ACTIONS(8018),
    [anon_sym___autoreleasing] = ACTIONS(8018),
    [anon_sym___block] = ACTIONS(8018),
    [anon_sym___bridge] = ACTIONS(8018),
    [anon_sym___bridge_retained] = ACTIONS(8018),
    [anon_sym___bridge_transfer] = ACTIONS(8018),
    [anon_sym___complex] = ACTIONS(8018),
    [anon_sym___const] = ACTIONS(8018),
    [anon_sym___imag] = ACTIONS(8018),
    [anon_sym___kindof] = ACTIONS(8018),
    [anon_sym___nonnull] = ACTIONS(8018),
    [anon_sym___nullable] = ACTIONS(8018),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8018),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8018),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8018),
    [anon_sym___real] = ACTIONS(8018),
    [anon_sym___strong] = ACTIONS(8018),
    [anon_sym___unsafe_unretained] = ACTIONS(8018),
    [anon_sym___unused] = ACTIONS(8018),
    [anon_sym___weak] = ACTIONS(8018),
    [anon_sym_alignas] = ACTIONS(8018),
    [anon_sym__Alignas] = ACTIONS(8018),
    [anon_sym_COLON] = ACTIONS(8020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8018),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8018),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8018),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8018),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8018),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8018),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8018),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8018),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8018),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8018),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8018),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8018),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8018),
    [anon_sym_API_AVAILABLE] = ACTIONS(8018),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8018),
    [anon_sym_API_DEPRECATED] = ACTIONS(8018),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8018),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8018),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8018),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8018),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8018),
    [anon_sym___deprecated_msg] = ACTIONS(8018),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8018),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8018),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8018),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8018),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8018),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8018),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8018),
  },
  [3236] = {
    [sym_identifier] = ACTIONS(5076),
    [anon_sym_LPAREN2] = ACTIONS(5072),
    [anon_sym_STAR] = ACTIONS(5072),
    [anon_sym_CARET] = ACTIONS(5072),
    [anon_sym_SEMI] = ACTIONS(8036),
    [anon_sym___extension__] = ACTIONS(5076),
    [anon_sym_extern] = ACTIONS(5076),
    [anon_sym___attribute__] = ACTIONS(5076),
    [anon_sym___attribute] = ACTIONS(5076),
    [anon_sym_noreturn] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5072),
    [anon_sym___declspec] = ACTIONS(5076),
    [anon_sym___based] = ACTIONS(5076),
    [anon_sym_static] = ACTIONS(5076),
    [anon_sym_auto] = ACTIONS(5076),
    [anon_sym_register] = ACTIONS(5076),
    [anon_sym_inline] = ACTIONS(5076),
    [anon_sym___inline] = ACTIONS(5076),
    [anon_sym___inline__] = ACTIONS(5076),
    [anon_sym___forceinline] = ACTIONS(5076),
    [anon_sym_thread_local] = ACTIONS(5076),
    [anon_sym___thread] = ACTIONS(5076),
    [anon_sym_CG_EXTERN] = ACTIONS(5076),
    [anon_sym_CG_INLINE] = ACTIONS(5076),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5076),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5076),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5076),
    [anon_sym_IBOutlet] = ACTIONS(5076),
    [anon_sym_IBInspectable] = ACTIONS(5076),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5076),
    [anon_sym_NS_INLINE] = ACTIONS(5076),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5076),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5076),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5076),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5076),
    [anon_sym_const] = ACTIONS(5076),
    [anon_sym_constexpr] = ACTIONS(5076),
    [anon_sym_volatile] = ACTIONS(5076),
    [anon_sym_restrict] = ACTIONS(5076),
    [anon_sym___restrict__] = ACTIONS(5076),
    [anon_sym__Atomic] = ACTIONS(5076),
    [anon_sym__Noreturn] = ACTIONS(5076),
    [anon_sym__Nonnull] = ACTIONS(5076),
    [anon_sym_nullable] = ACTIONS(5076),
    [anon_sym__Complex] = ACTIONS(5076),
    [anon_sym__Nullable] = ACTIONS(5076),
    [anon_sym__Nullable_result] = ACTIONS(5076),
    [anon_sym__Null_unspecified] = ACTIONS(5076),
    [anon_sym___autoreleasing] = ACTIONS(5076),
    [anon_sym___block] = ACTIONS(5076),
    [anon_sym___bridge] = ACTIONS(5076),
    [anon_sym___bridge_retained] = ACTIONS(5076),
    [anon_sym___bridge_transfer] = ACTIONS(5076),
    [anon_sym___complex] = ACTIONS(5076),
    [anon_sym___const] = ACTIONS(5076),
    [anon_sym___imag] = ACTIONS(5076),
    [anon_sym___kindof] = ACTIONS(5076),
    [anon_sym___nonnull] = ACTIONS(5076),
    [anon_sym___nullable] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5076),
    [anon_sym___real] = ACTIONS(5076),
    [anon_sym___strong] = ACTIONS(5076),
    [anon_sym___unsafe_unretained] = ACTIONS(5076),
    [anon_sym___unused] = ACTIONS(5076),
    [anon_sym___weak] = ACTIONS(5076),
    [anon_sym_alignas] = ACTIONS(5076),
    [anon_sym__Alignas] = ACTIONS(5076),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5076),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5076),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5076),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5076),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5076),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5076),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5076),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5076),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5076),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_API_AVAILABLE] = ACTIONS(5076),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_API_DEPRECATED] = ACTIONS(5076),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5076),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5076),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5076),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5076),
    [anon_sym___deprecated_msg] = ACTIONS(5076),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5076),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5076),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5076),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5076),
  },
  [3237] = {
    [sym_identifier] = ACTIONS(5076),
    [anon_sym_LPAREN2] = ACTIONS(5072),
    [anon_sym_STAR] = ACTIONS(5072),
    [anon_sym_CARET] = ACTIONS(5072),
    [anon_sym_SEMI] = ACTIONS(8038),
    [anon_sym___extension__] = ACTIONS(5076),
    [anon_sym_extern] = ACTIONS(5076),
    [anon_sym___attribute__] = ACTIONS(5076),
    [anon_sym___attribute] = ACTIONS(5076),
    [anon_sym_noreturn] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5072),
    [anon_sym___declspec] = ACTIONS(5076),
    [anon_sym___based] = ACTIONS(5076),
    [anon_sym_static] = ACTIONS(5076),
    [anon_sym_auto] = ACTIONS(5076),
    [anon_sym_register] = ACTIONS(5076),
    [anon_sym_inline] = ACTIONS(5076),
    [anon_sym___inline] = ACTIONS(5076),
    [anon_sym___inline__] = ACTIONS(5076),
    [anon_sym___forceinline] = ACTIONS(5076),
    [anon_sym_thread_local] = ACTIONS(5076),
    [anon_sym___thread] = ACTIONS(5076),
    [anon_sym_CG_EXTERN] = ACTIONS(5076),
    [anon_sym_CG_INLINE] = ACTIONS(5076),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5076),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5076),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5076),
    [anon_sym_IBOutlet] = ACTIONS(5076),
    [anon_sym_IBInspectable] = ACTIONS(5076),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5076),
    [anon_sym_NS_INLINE] = ACTIONS(5076),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5076),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5076),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5076),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5076),
    [anon_sym_const] = ACTIONS(5076),
    [anon_sym_constexpr] = ACTIONS(5076),
    [anon_sym_volatile] = ACTIONS(5076),
    [anon_sym_restrict] = ACTIONS(5076),
    [anon_sym___restrict__] = ACTIONS(5076),
    [anon_sym__Atomic] = ACTIONS(5076),
    [anon_sym__Noreturn] = ACTIONS(5076),
    [anon_sym__Nonnull] = ACTIONS(5076),
    [anon_sym_nullable] = ACTIONS(5076),
    [anon_sym__Complex] = ACTIONS(5076),
    [anon_sym__Nullable] = ACTIONS(5076),
    [anon_sym__Nullable_result] = ACTIONS(5076),
    [anon_sym__Null_unspecified] = ACTIONS(5076),
    [anon_sym___autoreleasing] = ACTIONS(5076),
    [anon_sym___block] = ACTIONS(5076),
    [anon_sym___bridge] = ACTIONS(5076),
    [anon_sym___bridge_retained] = ACTIONS(5076),
    [anon_sym___bridge_transfer] = ACTIONS(5076),
    [anon_sym___complex] = ACTIONS(5076),
    [anon_sym___const] = ACTIONS(5076),
    [anon_sym___imag] = ACTIONS(5076),
    [anon_sym___kindof] = ACTIONS(5076),
    [anon_sym___nonnull] = ACTIONS(5076),
    [anon_sym___nullable] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5076),
    [anon_sym___real] = ACTIONS(5076),
    [anon_sym___strong] = ACTIONS(5076),
    [anon_sym___unsafe_unretained] = ACTIONS(5076),
    [anon_sym___unused] = ACTIONS(5076),
    [anon_sym___weak] = ACTIONS(5076),
    [anon_sym_alignas] = ACTIONS(5076),
    [anon_sym__Alignas] = ACTIONS(5076),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5076),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5076),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5076),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5076),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5076),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5076),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5076),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5076),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5076),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_API_AVAILABLE] = ACTIONS(5076),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_API_DEPRECATED] = ACTIONS(5076),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5076),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5076),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5076),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5076),
    [anon_sym___deprecated_msg] = ACTIONS(5076),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5076),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5076),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5076),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5076),
  },
  [3238] = {
    [sym_identifier] = ACTIONS(8040),
    [anon_sym_COMMA] = ACTIONS(8042),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(8042),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(8042),
    [anon_sym___extension__] = ACTIONS(8040),
    [anon_sym_extern] = ACTIONS(8040),
    [anon_sym___attribute__] = ACTIONS(8040),
    [anon_sym___attribute] = ACTIONS(8040),
    [anon_sym_noreturn] = ACTIONS(8040),
    [anon_sym_LBRACK] = ACTIONS(8042),
    [anon_sym___declspec] = ACTIONS(8040),
    [anon_sym_RBRACE] = ACTIONS(8042),
    [anon_sym_static] = ACTIONS(8040),
    [anon_sym_EQ] = ACTIONS(8044),
    [anon_sym_auto] = ACTIONS(8040),
    [anon_sym_register] = ACTIONS(8040),
    [anon_sym_inline] = ACTIONS(8040),
    [anon_sym___inline] = ACTIONS(8040),
    [anon_sym___inline__] = ACTIONS(8040),
    [anon_sym___forceinline] = ACTIONS(8040),
    [anon_sym_thread_local] = ACTIONS(8040),
    [anon_sym___thread] = ACTIONS(8040),
    [anon_sym_CG_EXTERN] = ACTIONS(8040),
    [anon_sym_CG_INLINE] = ACTIONS(8040),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8040),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8040),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8040),
    [anon_sym_IBOutlet] = ACTIONS(8040),
    [anon_sym_IBInspectable] = ACTIONS(8040),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8040),
    [anon_sym_NS_INLINE] = ACTIONS(8040),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8040),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8040),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8040),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8040),
    [anon_sym_const] = ACTIONS(8040),
    [anon_sym_constexpr] = ACTIONS(8040),
    [anon_sym_volatile] = ACTIONS(8040),
    [anon_sym_restrict] = ACTIONS(8040),
    [anon_sym___restrict__] = ACTIONS(8040),
    [anon_sym__Atomic] = ACTIONS(8040),
    [anon_sym__Noreturn] = ACTIONS(8040),
    [anon_sym__Nonnull] = ACTIONS(8040),
    [anon_sym_nullable] = ACTIONS(8040),
    [anon_sym__Complex] = ACTIONS(8040),
    [anon_sym__Nullable] = ACTIONS(8040),
    [anon_sym__Nullable_result] = ACTIONS(8040),
    [anon_sym__Null_unspecified] = ACTIONS(8040),
    [anon_sym___autoreleasing] = ACTIONS(8040),
    [anon_sym___block] = ACTIONS(8040),
    [anon_sym___bridge] = ACTIONS(8040),
    [anon_sym___bridge_retained] = ACTIONS(8040),
    [anon_sym___bridge_transfer] = ACTIONS(8040),
    [anon_sym___complex] = ACTIONS(8040),
    [anon_sym___const] = ACTIONS(8040),
    [anon_sym___imag] = ACTIONS(8040),
    [anon_sym___kindof] = ACTIONS(8040),
    [anon_sym___nonnull] = ACTIONS(8040),
    [anon_sym___nullable] = ACTIONS(8040),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8040),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8040),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8040),
    [anon_sym___real] = ACTIONS(8040),
    [anon_sym___strong] = ACTIONS(8040),
    [anon_sym___unsafe_unretained] = ACTIONS(8040),
    [anon_sym___unused] = ACTIONS(8040),
    [anon_sym___weak] = ACTIONS(8040),
    [anon_sym_alignas] = ACTIONS(8040),
    [anon_sym__Alignas] = ACTIONS(8040),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8040),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8040),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8040),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8040),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8040),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8040),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8040),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8040),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8040),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8040),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8040),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8040),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8040),
    [anon_sym_API_AVAILABLE] = ACTIONS(8040),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8040),
    [anon_sym_API_DEPRECATED] = ACTIONS(8040),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8040),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8040),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8040),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8040),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8040),
    [anon_sym___deprecated_msg] = ACTIONS(8040),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8040),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8040),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8040),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8040),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8040),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8040),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8040),
  },
  [3239] = {
    [sym_identifier] = ACTIONS(5076),
    [anon_sym_LPAREN2] = ACTIONS(5072),
    [anon_sym_STAR] = ACTIONS(5072),
    [anon_sym_CARET] = ACTIONS(5072),
    [anon_sym_SEMI] = ACTIONS(8046),
    [anon_sym___extension__] = ACTIONS(5076),
    [anon_sym_extern] = ACTIONS(5076),
    [anon_sym___attribute__] = ACTIONS(5076),
    [anon_sym___attribute] = ACTIONS(5076),
    [anon_sym_noreturn] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5072),
    [anon_sym___declspec] = ACTIONS(5076),
    [anon_sym___based] = ACTIONS(5076),
    [anon_sym_static] = ACTIONS(5076),
    [anon_sym_auto] = ACTIONS(5076),
    [anon_sym_register] = ACTIONS(5076),
    [anon_sym_inline] = ACTIONS(5076),
    [anon_sym___inline] = ACTIONS(5076),
    [anon_sym___inline__] = ACTIONS(5076),
    [anon_sym___forceinline] = ACTIONS(5076),
    [anon_sym_thread_local] = ACTIONS(5076),
    [anon_sym___thread] = ACTIONS(5076),
    [anon_sym_CG_EXTERN] = ACTIONS(5076),
    [anon_sym_CG_INLINE] = ACTIONS(5076),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5076),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5076),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5076),
    [anon_sym_IBOutlet] = ACTIONS(5076),
    [anon_sym_IBInspectable] = ACTIONS(5076),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5076),
    [anon_sym_NS_INLINE] = ACTIONS(5076),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5076),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5076),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5076),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5076),
    [anon_sym_const] = ACTIONS(5076),
    [anon_sym_constexpr] = ACTIONS(5076),
    [anon_sym_volatile] = ACTIONS(5076),
    [anon_sym_restrict] = ACTIONS(5076),
    [anon_sym___restrict__] = ACTIONS(5076),
    [anon_sym__Atomic] = ACTIONS(5076),
    [anon_sym__Noreturn] = ACTIONS(5076),
    [anon_sym__Nonnull] = ACTIONS(5076),
    [anon_sym_nullable] = ACTIONS(5076),
    [anon_sym__Complex] = ACTIONS(5076),
    [anon_sym__Nullable] = ACTIONS(5076),
    [anon_sym__Nullable_result] = ACTIONS(5076),
    [anon_sym__Null_unspecified] = ACTIONS(5076),
    [anon_sym___autoreleasing] = ACTIONS(5076),
    [anon_sym___block] = ACTIONS(5076),
    [anon_sym___bridge] = ACTIONS(5076),
    [anon_sym___bridge_retained] = ACTIONS(5076),
    [anon_sym___bridge_transfer] = ACTIONS(5076),
    [anon_sym___complex] = ACTIONS(5076),
    [anon_sym___const] = ACTIONS(5076),
    [anon_sym___imag] = ACTIONS(5076),
    [anon_sym___kindof] = ACTIONS(5076),
    [anon_sym___nonnull] = ACTIONS(5076),
    [anon_sym___nullable] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5076),
    [anon_sym___real] = ACTIONS(5076),
    [anon_sym___strong] = ACTIONS(5076),
    [anon_sym___unsafe_unretained] = ACTIONS(5076),
    [anon_sym___unused] = ACTIONS(5076),
    [anon_sym___weak] = ACTIONS(5076),
    [anon_sym_alignas] = ACTIONS(5076),
    [anon_sym__Alignas] = ACTIONS(5076),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5076),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5076),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5076),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5076),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5076),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5076),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5076),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5076),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5076),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_API_AVAILABLE] = ACTIONS(5076),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_API_DEPRECATED] = ACTIONS(5076),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5076),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5076),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5076),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5076),
    [anon_sym___deprecated_msg] = ACTIONS(5076),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5076),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5076),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5076),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5076),
  },
  [3240] = {
    [sym_identifier] = ACTIONS(8048),
    [anon_sym_SEMI] = ACTIONS(8050),
    [anon_sym___extension__] = ACTIONS(8048),
    [anon_sym_extern] = ACTIONS(8048),
    [anon_sym___attribute__] = ACTIONS(8048),
    [anon_sym___attribute] = ACTIONS(8048),
    [anon_sym_noreturn] = ACTIONS(8048),
    [anon_sym_LBRACK] = ACTIONS(8050),
    [anon_sym___declspec] = ACTIONS(8048),
    [anon_sym_static] = ACTIONS(8048),
    [anon_sym_auto] = ACTIONS(8048),
    [anon_sym_register] = ACTIONS(8048),
    [anon_sym_inline] = ACTIONS(8048),
    [anon_sym___inline] = ACTIONS(8048),
    [anon_sym___inline__] = ACTIONS(8048),
    [anon_sym___forceinline] = ACTIONS(8048),
    [anon_sym_thread_local] = ACTIONS(8048),
    [anon_sym___thread] = ACTIONS(8048),
    [anon_sym_CG_EXTERN] = ACTIONS(8048),
    [anon_sym_CG_INLINE] = ACTIONS(8048),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8048),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8048),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8048),
    [anon_sym_IBOutlet] = ACTIONS(8048),
    [anon_sym_IBInspectable] = ACTIONS(8048),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8048),
    [anon_sym_NS_INLINE] = ACTIONS(8048),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8048),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8048),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8048),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8048),
    [anon_sym_const] = ACTIONS(8048),
    [anon_sym_constexpr] = ACTIONS(8048),
    [anon_sym_volatile] = ACTIONS(8048),
    [anon_sym_restrict] = ACTIONS(8048),
    [anon_sym___restrict__] = ACTIONS(8048),
    [anon_sym__Atomic] = ACTIONS(8048),
    [anon_sym__Noreturn] = ACTIONS(8048),
    [anon_sym__Nonnull] = ACTIONS(8048),
    [anon_sym_nullable] = ACTIONS(8048),
    [anon_sym__Complex] = ACTIONS(8048),
    [anon_sym__Nullable] = ACTIONS(8048),
    [anon_sym__Nullable_result] = ACTIONS(8048),
    [anon_sym__Null_unspecified] = ACTIONS(8048),
    [anon_sym___autoreleasing] = ACTIONS(8048),
    [anon_sym___block] = ACTIONS(8048),
    [anon_sym___bridge] = ACTIONS(8048),
    [anon_sym___bridge_retained] = ACTIONS(8048),
    [anon_sym___bridge_transfer] = ACTIONS(8048),
    [anon_sym___complex] = ACTIONS(8048),
    [anon_sym___const] = ACTIONS(8048),
    [anon_sym___imag] = ACTIONS(8048),
    [anon_sym___kindof] = ACTIONS(8048),
    [anon_sym___nonnull] = ACTIONS(8048),
    [anon_sym___nullable] = ACTIONS(8048),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8048),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8048),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8048),
    [anon_sym___real] = ACTIONS(8048),
    [anon_sym___strong] = ACTIONS(8048),
    [anon_sym___unsafe_unretained] = ACTIONS(8048),
    [anon_sym___unused] = ACTIONS(8048),
    [anon_sym___weak] = ACTIONS(8048),
    [anon_sym_alignas] = ACTIONS(8048),
    [anon_sym__Alignas] = ACTIONS(8048),
    [anon_sym_COLON] = ACTIONS(8050),
    [anon_sym_struct] = ACTIONS(8048),
    [anon_sym_in] = ACTIONS(8048),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8048),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8048),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8048),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8048),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8048),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8048),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8048),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8048),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8048),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8048),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8048),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8048),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8048),
    [anon_sym_API_AVAILABLE] = ACTIONS(8048),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8048),
    [anon_sym_API_DEPRECATED] = ACTIONS(8048),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8048),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8048),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8048),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8048),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8048),
    [anon_sym___deprecated_msg] = ACTIONS(8048),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8048),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8048),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8048),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8048),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8048),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8048),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8048),
    [anon_sym_id] = ACTIONS(8048),
  },
  [3241] = {
    [sym_attribute_specifier] = STATE(3251),
    [sym_method_parameter] = STATE(3255),
    [sym_identifier] = ACTIONS(7997),
    [anon_sym_COMMA] = ACTIONS(8002),
    [anon_sym_SEMI] = ACTIONS(8002),
    [anon_sym___extension__] = ACTIONS(7997),
    [anon_sym_extern] = ACTIONS(7997),
    [anon_sym___attribute__] = ACTIONS(8004),
    [anon_sym___attribute] = ACTIONS(8004),
    [anon_sym_noreturn] = ACTIONS(7997),
    [anon_sym_LBRACK] = ACTIONS(8002),
    [anon_sym___declspec] = ACTIONS(7997),
    [anon_sym_static] = ACTIONS(7997),
    [anon_sym_auto] = ACTIONS(7997),
    [anon_sym_register] = ACTIONS(7997),
    [anon_sym_inline] = ACTIONS(7997),
    [anon_sym___inline] = ACTIONS(7997),
    [anon_sym___inline__] = ACTIONS(7997),
    [anon_sym___forceinline] = ACTIONS(7997),
    [anon_sym_thread_local] = ACTIONS(7997),
    [anon_sym___thread] = ACTIONS(7997),
    [anon_sym_CG_EXTERN] = ACTIONS(7997),
    [anon_sym_CG_INLINE] = ACTIONS(7997),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7997),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7997),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7997),
    [anon_sym_IBOutlet] = ACTIONS(7997),
    [anon_sym_IBInspectable] = ACTIONS(7997),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7997),
    [anon_sym_NS_INLINE] = ACTIONS(7997),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7997),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7997),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7997),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7997),
    [anon_sym_const] = ACTIONS(7997),
    [anon_sym_constexpr] = ACTIONS(7997),
    [anon_sym_volatile] = ACTIONS(7997),
    [anon_sym_restrict] = ACTIONS(7997),
    [anon_sym___restrict__] = ACTIONS(7997),
    [anon_sym__Atomic] = ACTIONS(7997),
    [anon_sym__Noreturn] = ACTIONS(7997),
    [anon_sym__Nonnull] = ACTIONS(7997),
    [anon_sym_nullable] = ACTIONS(7997),
    [anon_sym__Complex] = ACTIONS(7997),
    [anon_sym__Nullable] = ACTIONS(7997),
    [anon_sym__Nullable_result] = ACTIONS(7997),
    [anon_sym__Null_unspecified] = ACTIONS(7997),
    [anon_sym___autoreleasing] = ACTIONS(7997),
    [anon_sym___block] = ACTIONS(7997),
    [anon_sym___bridge] = ACTIONS(7997),
    [anon_sym___bridge_retained] = ACTIONS(7997),
    [anon_sym___bridge_transfer] = ACTIONS(7997),
    [anon_sym___complex] = ACTIONS(7997),
    [anon_sym___const] = ACTIONS(7997),
    [anon_sym___imag] = ACTIONS(7997),
    [anon_sym___kindof] = ACTIONS(7997),
    [anon_sym___nonnull] = ACTIONS(7997),
    [anon_sym___nullable] = ACTIONS(7997),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7997),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7997),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7997),
    [anon_sym___real] = ACTIONS(7997),
    [anon_sym___strong] = ACTIONS(7997),
    [anon_sym___unsafe_unretained] = ACTIONS(7997),
    [anon_sym___unused] = ACTIONS(7997),
    [anon_sym___weak] = ACTIONS(7997),
    [anon_sym_alignas] = ACTIONS(7997),
    [anon_sym__Alignas] = ACTIONS(7997),
    [anon_sym_COLON] = ACTIONS(8007),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7997),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7997),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7997),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7997),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7997),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7997),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7997),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7997),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7997),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7997),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7997),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7997),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7997),
    [anon_sym_API_AVAILABLE] = ACTIONS(7997),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7997),
    [anon_sym_API_DEPRECATED] = ACTIONS(7997),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7997),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7997),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7997),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7997),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7997),
    [anon_sym___deprecated_msg] = ACTIONS(7997),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7997),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7997),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7997),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7997),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7997),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7997),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7997),
  },
  [3242] = {
    [sym_identifier] = ACTIONS(8052),
    [anon_sym_SEMI] = ACTIONS(8054),
    [anon_sym___extension__] = ACTIONS(8052),
    [anon_sym_extern] = ACTIONS(8052),
    [anon_sym___attribute__] = ACTIONS(8052),
    [anon_sym___attribute] = ACTIONS(8052),
    [anon_sym_noreturn] = ACTIONS(8052),
    [anon_sym_LBRACK] = ACTIONS(8054),
    [anon_sym___declspec] = ACTIONS(8052),
    [anon_sym_static] = ACTIONS(8052),
    [anon_sym_auto] = ACTIONS(8052),
    [anon_sym_register] = ACTIONS(8052),
    [anon_sym_inline] = ACTIONS(8052),
    [anon_sym___inline] = ACTIONS(8052),
    [anon_sym___inline__] = ACTIONS(8052),
    [anon_sym___forceinline] = ACTIONS(8052),
    [anon_sym_thread_local] = ACTIONS(8052),
    [anon_sym___thread] = ACTIONS(8052),
    [anon_sym_CG_EXTERN] = ACTIONS(8052),
    [anon_sym_CG_INLINE] = ACTIONS(8052),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8052),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8052),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8052),
    [anon_sym_IBOutlet] = ACTIONS(8052),
    [anon_sym_IBInspectable] = ACTIONS(8052),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8052),
    [anon_sym_NS_INLINE] = ACTIONS(8052),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8052),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8052),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8052),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8052),
    [anon_sym_const] = ACTIONS(8052),
    [anon_sym_constexpr] = ACTIONS(8052),
    [anon_sym_volatile] = ACTIONS(8052),
    [anon_sym_restrict] = ACTIONS(8052),
    [anon_sym___restrict__] = ACTIONS(8052),
    [anon_sym__Atomic] = ACTIONS(8052),
    [anon_sym__Noreturn] = ACTIONS(8052),
    [anon_sym__Nonnull] = ACTIONS(8052),
    [anon_sym_nullable] = ACTIONS(8052),
    [anon_sym__Complex] = ACTIONS(8052),
    [anon_sym__Nullable] = ACTIONS(8052),
    [anon_sym__Nullable_result] = ACTIONS(8052),
    [anon_sym__Null_unspecified] = ACTIONS(8052),
    [anon_sym___autoreleasing] = ACTIONS(8052),
    [anon_sym___block] = ACTIONS(8052),
    [anon_sym___bridge] = ACTIONS(8052),
    [anon_sym___bridge_retained] = ACTIONS(8052),
    [anon_sym___bridge_transfer] = ACTIONS(8052),
    [anon_sym___complex] = ACTIONS(8052),
    [anon_sym___const] = ACTIONS(8052),
    [anon_sym___imag] = ACTIONS(8052),
    [anon_sym___kindof] = ACTIONS(8052),
    [anon_sym___nonnull] = ACTIONS(8052),
    [anon_sym___nullable] = ACTIONS(8052),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8052),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8052),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8052),
    [anon_sym___real] = ACTIONS(8052),
    [anon_sym___strong] = ACTIONS(8052),
    [anon_sym___unsafe_unretained] = ACTIONS(8052),
    [anon_sym___unused] = ACTIONS(8052),
    [anon_sym___weak] = ACTIONS(8052),
    [anon_sym_alignas] = ACTIONS(8052),
    [anon_sym__Alignas] = ACTIONS(8052),
    [anon_sym_COLON] = ACTIONS(8054),
    [anon_sym_struct] = ACTIONS(8052),
    [anon_sym_in] = ACTIONS(8052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8052),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8052),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8052),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8052),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8052),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8052),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8052),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8052),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8052),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8052),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8052),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8052),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8052),
    [anon_sym_API_AVAILABLE] = ACTIONS(8052),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8052),
    [anon_sym_API_DEPRECATED] = ACTIONS(8052),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8052),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8052),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8052),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8052),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8052),
    [anon_sym___deprecated_msg] = ACTIONS(8052),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8052),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8052),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8052),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8052),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8052),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8052),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8052),
    [anon_sym_id] = ACTIONS(8052),
  },
  [3243] = {
    [sym_identifier] = ACTIONS(5076),
    [anon_sym_LPAREN2] = ACTIONS(5072),
    [anon_sym_STAR] = ACTIONS(5072),
    [anon_sym_CARET] = ACTIONS(5072),
    [anon_sym_SEMI] = ACTIONS(8056),
    [anon_sym___extension__] = ACTIONS(5076),
    [anon_sym_extern] = ACTIONS(5076),
    [anon_sym___attribute__] = ACTIONS(5076),
    [anon_sym___attribute] = ACTIONS(5076),
    [anon_sym_noreturn] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5072),
    [anon_sym___declspec] = ACTIONS(5076),
    [anon_sym___based] = ACTIONS(5076),
    [anon_sym_static] = ACTIONS(5076),
    [anon_sym_auto] = ACTIONS(5076),
    [anon_sym_register] = ACTIONS(5076),
    [anon_sym_inline] = ACTIONS(5076),
    [anon_sym___inline] = ACTIONS(5076),
    [anon_sym___inline__] = ACTIONS(5076),
    [anon_sym___forceinline] = ACTIONS(5076),
    [anon_sym_thread_local] = ACTIONS(5076),
    [anon_sym___thread] = ACTIONS(5076),
    [anon_sym_CG_EXTERN] = ACTIONS(5076),
    [anon_sym_CG_INLINE] = ACTIONS(5076),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5076),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5076),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5076),
    [anon_sym_IBOutlet] = ACTIONS(5076),
    [anon_sym_IBInspectable] = ACTIONS(5076),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5076),
    [anon_sym_NS_INLINE] = ACTIONS(5076),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5076),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5076),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5076),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5076),
    [anon_sym_const] = ACTIONS(5076),
    [anon_sym_constexpr] = ACTIONS(5076),
    [anon_sym_volatile] = ACTIONS(5076),
    [anon_sym_restrict] = ACTIONS(5076),
    [anon_sym___restrict__] = ACTIONS(5076),
    [anon_sym__Atomic] = ACTIONS(5076),
    [anon_sym__Noreturn] = ACTIONS(5076),
    [anon_sym__Nonnull] = ACTIONS(5076),
    [anon_sym_nullable] = ACTIONS(5076),
    [anon_sym__Complex] = ACTIONS(5076),
    [anon_sym__Nullable] = ACTIONS(5076),
    [anon_sym__Nullable_result] = ACTIONS(5076),
    [anon_sym__Null_unspecified] = ACTIONS(5076),
    [anon_sym___autoreleasing] = ACTIONS(5076),
    [anon_sym___block] = ACTIONS(5076),
    [anon_sym___bridge] = ACTIONS(5076),
    [anon_sym___bridge_retained] = ACTIONS(5076),
    [anon_sym___bridge_transfer] = ACTIONS(5076),
    [anon_sym___complex] = ACTIONS(5076),
    [anon_sym___const] = ACTIONS(5076),
    [anon_sym___imag] = ACTIONS(5076),
    [anon_sym___kindof] = ACTIONS(5076),
    [anon_sym___nonnull] = ACTIONS(5076),
    [anon_sym___nullable] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5076),
    [anon_sym___real] = ACTIONS(5076),
    [anon_sym___strong] = ACTIONS(5076),
    [anon_sym___unsafe_unretained] = ACTIONS(5076),
    [anon_sym___unused] = ACTIONS(5076),
    [anon_sym___weak] = ACTIONS(5076),
    [anon_sym_alignas] = ACTIONS(5076),
    [anon_sym__Alignas] = ACTIONS(5076),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5076),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5076),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5076),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5076),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5076),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5076),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5076),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5076),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5076),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_API_AVAILABLE] = ACTIONS(5076),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_API_DEPRECATED] = ACTIONS(5076),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5076),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5076),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5076),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5076),
    [anon_sym___deprecated_msg] = ACTIONS(5076),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5076),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5076),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5076),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5076),
  },
  [3244] = {
    [sym_identifier] = ACTIONS(5076),
    [anon_sym_LPAREN2] = ACTIONS(5072),
    [anon_sym_STAR] = ACTIONS(5072),
    [anon_sym_CARET] = ACTIONS(5072),
    [anon_sym_SEMI] = ACTIONS(8058),
    [anon_sym___extension__] = ACTIONS(5076),
    [anon_sym_extern] = ACTIONS(5076),
    [anon_sym___attribute__] = ACTIONS(5076),
    [anon_sym___attribute] = ACTIONS(5076),
    [anon_sym_noreturn] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5072),
    [anon_sym___declspec] = ACTIONS(5076),
    [anon_sym___based] = ACTIONS(5076),
    [anon_sym_static] = ACTIONS(5076),
    [anon_sym_auto] = ACTIONS(5076),
    [anon_sym_register] = ACTIONS(5076),
    [anon_sym_inline] = ACTIONS(5076),
    [anon_sym___inline] = ACTIONS(5076),
    [anon_sym___inline__] = ACTIONS(5076),
    [anon_sym___forceinline] = ACTIONS(5076),
    [anon_sym_thread_local] = ACTIONS(5076),
    [anon_sym___thread] = ACTIONS(5076),
    [anon_sym_CG_EXTERN] = ACTIONS(5076),
    [anon_sym_CG_INLINE] = ACTIONS(5076),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5076),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5076),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5076),
    [anon_sym_IBOutlet] = ACTIONS(5076),
    [anon_sym_IBInspectable] = ACTIONS(5076),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5076),
    [anon_sym_NS_INLINE] = ACTIONS(5076),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5076),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5076),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5076),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5076),
    [anon_sym_const] = ACTIONS(5076),
    [anon_sym_constexpr] = ACTIONS(5076),
    [anon_sym_volatile] = ACTIONS(5076),
    [anon_sym_restrict] = ACTIONS(5076),
    [anon_sym___restrict__] = ACTIONS(5076),
    [anon_sym__Atomic] = ACTIONS(5076),
    [anon_sym__Noreturn] = ACTIONS(5076),
    [anon_sym__Nonnull] = ACTIONS(5076),
    [anon_sym_nullable] = ACTIONS(5076),
    [anon_sym__Complex] = ACTIONS(5076),
    [anon_sym__Nullable] = ACTIONS(5076),
    [anon_sym__Nullable_result] = ACTIONS(5076),
    [anon_sym__Null_unspecified] = ACTIONS(5076),
    [anon_sym___autoreleasing] = ACTIONS(5076),
    [anon_sym___block] = ACTIONS(5076),
    [anon_sym___bridge] = ACTIONS(5076),
    [anon_sym___bridge_retained] = ACTIONS(5076),
    [anon_sym___bridge_transfer] = ACTIONS(5076),
    [anon_sym___complex] = ACTIONS(5076),
    [anon_sym___const] = ACTIONS(5076),
    [anon_sym___imag] = ACTIONS(5076),
    [anon_sym___kindof] = ACTIONS(5076),
    [anon_sym___nonnull] = ACTIONS(5076),
    [anon_sym___nullable] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5076),
    [anon_sym___real] = ACTIONS(5076),
    [anon_sym___strong] = ACTIONS(5076),
    [anon_sym___unsafe_unretained] = ACTIONS(5076),
    [anon_sym___unused] = ACTIONS(5076),
    [anon_sym___weak] = ACTIONS(5076),
    [anon_sym_alignas] = ACTIONS(5076),
    [anon_sym__Alignas] = ACTIONS(5076),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5076),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5076),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5076),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5076),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5076),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5076),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5076),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5076),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5076),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_API_AVAILABLE] = ACTIONS(5076),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_API_DEPRECATED] = ACTIONS(5076),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5076),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5076),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5076),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5076),
    [anon_sym___deprecated_msg] = ACTIONS(5076),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5076),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5076),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5076),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5076),
  },
  [3245] = {
    [sym_identifier] = ACTIONS(5076),
    [anon_sym_LPAREN2] = ACTIONS(5072),
    [anon_sym_STAR] = ACTIONS(5072),
    [anon_sym_CARET] = ACTIONS(5072),
    [anon_sym_SEMI] = ACTIONS(8060),
    [anon_sym___extension__] = ACTIONS(5076),
    [anon_sym_extern] = ACTIONS(5076),
    [anon_sym___attribute__] = ACTIONS(5076),
    [anon_sym___attribute] = ACTIONS(5076),
    [anon_sym_noreturn] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5072),
    [anon_sym___declspec] = ACTIONS(5076),
    [anon_sym___based] = ACTIONS(5076),
    [anon_sym_static] = ACTIONS(5076),
    [anon_sym_auto] = ACTIONS(5076),
    [anon_sym_register] = ACTIONS(5076),
    [anon_sym_inline] = ACTIONS(5076),
    [anon_sym___inline] = ACTIONS(5076),
    [anon_sym___inline__] = ACTIONS(5076),
    [anon_sym___forceinline] = ACTIONS(5076),
    [anon_sym_thread_local] = ACTIONS(5076),
    [anon_sym___thread] = ACTIONS(5076),
    [anon_sym_CG_EXTERN] = ACTIONS(5076),
    [anon_sym_CG_INLINE] = ACTIONS(5076),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(5076),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(5076),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(5076),
    [anon_sym_IBOutlet] = ACTIONS(5076),
    [anon_sym_IBInspectable] = ACTIONS(5076),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(5076),
    [anon_sym_NS_INLINE] = ACTIONS(5076),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(5076),
    [anon_sym_OBJC_EXPORT] = ACTIONS(5076),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(5076),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(5076),
    [anon_sym_const] = ACTIONS(5076),
    [anon_sym_constexpr] = ACTIONS(5076),
    [anon_sym_volatile] = ACTIONS(5076),
    [anon_sym_restrict] = ACTIONS(5076),
    [anon_sym___restrict__] = ACTIONS(5076),
    [anon_sym__Atomic] = ACTIONS(5076),
    [anon_sym__Noreturn] = ACTIONS(5076),
    [anon_sym__Nonnull] = ACTIONS(5076),
    [anon_sym_nullable] = ACTIONS(5076),
    [anon_sym__Complex] = ACTIONS(5076),
    [anon_sym__Nullable] = ACTIONS(5076),
    [anon_sym__Nullable_result] = ACTIONS(5076),
    [anon_sym__Null_unspecified] = ACTIONS(5076),
    [anon_sym___autoreleasing] = ACTIONS(5076),
    [anon_sym___block] = ACTIONS(5076),
    [anon_sym___bridge] = ACTIONS(5076),
    [anon_sym___bridge_retained] = ACTIONS(5076),
    [anon_sym___bridge_transfer] = ACTIONS(5076),
    [anon_sym___complex] = ACTIONS(5076),
    [anon_sym___const] = ACTIONS(5076),
    [anon_sym___imag] = ACTIONS(5076),
    [anon_sym___kindof] = ACTIONS(5076),
    [anon_sym___nonnull] = ACTIONS(5076),
    [anon_sym___nullable] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5076),
    [anon_sym___real] = ACTIONS(5076),
    [anon_sym___strong] = ACTIONS(5076),
    [anon_sym___unsafe_unretained] = ACTIONS(5076),
    [anon_sym___unused] = ACTIONS(5076),
    [anon_sym___weak] = ACTIONS(5076),
    [anon_sym_alignas] = ACTIONS(5076),
    [anon_sym__Alignas] = ACTIONS(5076),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(5076),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(5076),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(5076),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(5076),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(5076),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(5076),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(5076),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(5076),
    [anon_sym_NS_AVAILABLE] = ACTIONS(5076),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_API_AVAILABLE] = ACTIONS(5076),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_API_DEPRECATED] = ACTIONS(5076),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(5076),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(5076),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(5076),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(5076),
    [anon_sym___deprecated_msg] = ACTIONS(5076),
    [anon_sym___deprecated_enum_msg] = ACTIONS(5076),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(5076),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(5076),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(5076),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(5076),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(5076),
  },
  [3246] = {
    [sym_attribute_specifier] = STATE(5983),
    [sym_parameter_list] = STATE(3017),
    [anon_sym_COMMA] = ACTIONS(6699),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(6699),
    [anon_sym___extension__] = ACTIONS(6699),
    [anon_sym_extern] = ACTIONS(6699),
    [anon_sym___attribute__] = ACTIONS(6788),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(6699),
    [anon_sym_LBRACK] = ACTIONS(7589),
    [anon_sym___declspec] = ACTIONS(6699),
    [anon_sym_static] = ACTIONS(6699),
    [anon_sym_EQ] = ACTIONS(6812),
    [anon_sym_auto] = ACTIONS(6699),
    [anon_sym_register] = ACTIONS(6699),
    [anon_sym_inline] = ACTIONS(6699),
    [anon_sym___inline] = ACTIONS(6697),
    [anon_sym___inline__] = ACTIONS(6699),
    [anon_sym___forceinline] = ACTIONS(6699),
    [anon_sym_thread_local] = ACTIONS(6699),
    [anon_sym___thread] = ACTIONS(6699),
    [anon_sym_CG_EXTERN] = ACTIONS(6699),
    [anon_sym_CG_INLINE] = ACTIONS(6699),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6699),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6699),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6699),
    [anon_sym_IBOutlet] = ACTIONS(6699),
    [anon_sym_IBInspectable] = ACTIONS(6699),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6699),
    [anon_sym_NS_INLINE] = ACTIONS(6699),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6699),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6699),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6699),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6699),
    [anon_sym_const] = ACTIONS(6697),
    [anon_sym_constexpr] = ACTIONS(6699),
    [anon_sym_volatile] = ACTIONS(6699),
    [anon_sym_restrict] = ACTIONS(6699),
    [anon_sym___restrict__] = ACTIONS(6699),
    [anon_sym__Atomic] = ACTIONS(6699),
    [anon_sym__Noreturn] = ACTIONS(6699),
    [anon_sym__Nonnull] = ACTIONS(6699),
    [anon_sym_nullable] = ACTIONS(6699),
    [anon_sym__Complex] = ACTIONS(6699),
    [anon_sym__Nullable] = ACTIONS(6697),
    [anon_sym__Nullable_result] = ACTIONS(6699),
    [anon_sym__Null_unspecified] = ACTIONS(6699),
    [anon_sym___autoreleasing] = ACTIONS(6699),
    [anon_sym___block] = ACTIONS(6699),
    [anon_sym___bridge] = ACTIONS(6697),
    [anon_sym___bridge_retained] = ACTIONS(6699),
    [anon_sym___bridge_transfer] = ACTIONS(6699),
    [anon_sym___complex] = ACTIONS(6699),
    [anon_sym___const] = ACTIONS(6699),
    [anon_sym___imag] = ACTIONS(6699),
    [anon_sym___kindof] = ACTIONS(6699),
    [anon_sym___nonnull] = ACTIONS(6699),
    [anon_sym___nullable] = ACTIONS(6699),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6699),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6699),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6699),
    [anon_sym___real] = ACTIONS(6699),
    [anon_sym___strong] = ACTIONS(6699),
    [anon_sym___unsafe_unretained] = ACTIONS(6699),
    [anon_sym___unused] = ACTIONS(6699),
    [anon_sym___weak] = ACTIONS(6699),
    [anon_sym_alignas] = ACTIONS(6699),
    [anon_sym__Alignas] = ACTIONS(6699),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6699),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6699),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6699),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6699),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6699),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6699),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6699),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6699),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6699),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6699),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6697),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6699),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6699),
    [anon_sym_API_AVAILABLE] = ACTIONS(6699),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6699),
    [anon_sym_API_DEPRECATED] = ACTIONS(6699),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6699),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6699),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6699),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6699),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6699),
    [anon_sym___deprecated_msg] = ACTIONS(6699),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6699),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6699),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6699),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6699),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6699),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6699),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6699),
  },
  [3247] = {
    [sym_attribute_specifier] = STATE(3252),
    [sym_method_parameter] = STATE(3271),
    [sym_identifier] = ACTIONS(8062),
    [anon_sym_COMMA] = ACTIONS(8064),
    [anon_sym_SEMI] = ACTIONS(8064),
    [anon_sym___extension__] = ACTIONS(8062),
    [anon_sym_extern] = ACTIONS(8062),
    [anon_sym___attribute__] = ACTIONS(8066),
    [anon_sym___attribute] = ACTIONS(8066),
    [anon_sym_noreturn] = ACTIONS(8062),
    [anon_sym_LBRACK] = ACTIONS(8064),
    [anon_sym___declspec] = ACTIONS(8062),
    [anon_sym_static] = ACTIONS(8062),
    [anon_sym_auto] = ACTIONS(8062),
    [anon_sym_register] = ACTIONS(8062),
    [anon_sym_inline] = ACTIONS(8062),
    [anon_sym___inline] = ACTIONS(8062),
    [anon_sym___inline__] = ACTIONS(8062),
    [anon_sym___forceinline] = ACTIONS(8062),
    [anon_sym_thread_local] = ACTIONS(8062),
    [anon_sym___thread] = ACTIONS(8062),
    [anon_sym_CG_EXTERN] = ACTIONS(8062),
    [anon_sym_CG_INLINE] = ACTIONS(8062),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8062),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8062),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8062),
    [anon_sym_IBOutlet] = ACTIONS(8062),
    [anon_sym_IBInspectable] = ACTIONS(8062),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8062),
    [anon_sym_NS_INLINE] = ACTIONS(8062),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8062),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8062),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8062),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8062),
    [anon_sym_const] = ACTIONS(8062),
    [anon_sym_constexpr] = ACTIONS(8062),
    [anon_sym_volatile] = ACTIONS(8062),
    [anon_sym_restrict] = ACTIONS(8062),
    [anon_sym___restrict__] = ACTIONS(8062),
    [anon_sym__Atomic] = ACTIONS(8062),
    [anon_sym__Noreturn] = ACTIONS(8062),
    [anon_sym__Nonnull] = ACTIONS(8062),
    [anon_sym_nullable] = ACTIONS(8062),
    [anon_sym__Complex] = ACTIONS(8062),
    [anon_sym__Nullable] = ACTIONS(8062),
    [anon_sym__Nullable_result] = ACTIONS(8062),
    [anon_sym__Null_unspecified] = ACTIONS(8062),
    [anon_sym___autoreleasing] = ACTIONS(8062),
    [anon_sym___block] = ACTIONS(8062),
    [anon_sym___bridge] = ACTIONS(8062),
    [anon_sym___bridge_retained] = ACTIONS(8062),
    [anon_sym___bridge_transfer] = ACTIONS(8062),
    [anon_sym___complex] = ACTIONS(8062),
    [anon_sym___const] = ACTIONS(8062),
    [anon_sym___imag] = ACTIONS(8062),
    [anon_sym___kindof] = ACTIONS(8062),
    [anon_sym___nonnull] = ACTIONS(8062),
    [anon_sym___nullable] = ACTIONS(8062),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8062),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8062),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8062),
    [anon_sym___real] = ACTIONS(8062),
    [anon_sym___strong] = ACTIONS(8062),
    [anon_sym___unsafe_unretained] = ACTIONS(8062),
    [anon_sym___unused] = ACTIONS(8062),
    [anon_sym___weak] = ACTIONS(8062),
    [anon_sym_alignas] = ACTIONS(8062),
    [anon_sym__Alignas] = ACTIONS(8062),
    [anon_sym_COLON] = ACTIONS(8069),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8062),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8062),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8062),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8062),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8062),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8062),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8062),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8062),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8062),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8062),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8062),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8062),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8062),
    [anon_sym_API_AVAILABLE] = ACTIONS(8062),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8062),
    [anon_sym_API_DEPRECATED] = ACTIONS(8062),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8062),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8062),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8062),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8062),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8062),
    [anon_sym___deprecated_msg] = ACTIONS(8062),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8062),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8062),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8062),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8062),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8062),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8062),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8062),
  },
  [3248] = {
    [sym_identifier] = ACTIONS(8072),
    [anon_sym_SEMI] = ACTIONS(8074),
    [anon_sym___extension__] = ACTIONS(8072),
    [anon_sym_extern] = ACTIONS(8072),
    [anon_sym___attribute__] = ACTIONS(8072),
    [anon_sym___attribute] = ACTIONS(8072),
    [anon_sym_noreturn] = ACTIONS(8072),
    [anon_sym_LBRACK] = ACTIONS(8074),
    [anon_sym___declspec] = ACTIONS(8072),
    [anon_sym_static] = ACTIONS(8072),
    [anon_sym_auto] = ACTIONS(8072),
    [anon_sym_register] = ACTIONS(8072),
    [anon_sym_inline] = ACTIONS(8072),
    [anon_sym___inline] = ACTIONS(8072),
    [anon_sym___inline__] = ACTIONS(8072),
    [anon_sym___forceinline] = ACTIONS(8072),
    [anon_sym_thread_local] = ACTIONS(8072),
    [anon_sym___thread] = ACTIONS(8072),
    [anon_sym_CG_EXTERN] = ACTIONS(8072),
    [anon_sym_CG_INLINE] = ACTIONS(8072),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8072),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8072),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8072),
    [anon_sym_IBOutlet] = ACTIONS(8072),
    [anon_sym_IBInspectable] = ACTIONS(8072),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8072),
    [anon_sym_NS_INLINE] = ACTIONS(8072),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8072),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8072),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8072),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8072),
    [anon_sym_const] = ACTIONS(8072),
    [anon_sym_constexpr] = ACTIONS(8072),
    [anon_sym_volatile] = ACTIONS(8072),
    [anon_sym_restrict] = ACTIONS(8072),
    [anon_sym___restrict__] = ACTIONS(8072),
    [anon_sym__Atomic] = ACTIONS(8072),
    [anon_sym__Noreturn] = ACTIONS(8072),
    [anon_sym__Nonnull] = ACTIONS(8072),
    [anon_sym_nullable] = ACTIONS(8072),
    [anon_sym__Complex] = ACTIONS(8072),
    [anon_sym__Nullable] = ACTIONS(8072),
    [anon_sym__Nullable_result] = ACTIONS(8072),
    [anon_sym__Null_unspecified] = ACTIONS(8072),
    [anon_sym___autoreleasing] = ACTIONS(8072),
    [anon_sym___block] = ACTIONS(8072),
    [anon_sym___bridge] = ACTIONS(8072),
    [anon_sym___bridge_retained] = ACTIONS(8072),
    [anon_sym___bridge_transfer] = ACTIONS(8072),
    [anon_sym___complex] = ACTIONS(8072),
    [anon_sym___const] = ACTIONS(8072),
    [anon_sym___imag] = ACTIONS(8072),
    [anon_sym___kindof] = ACTIONS(8072),
    [anon_sym___nonnull] = ACTIONS(8072),
    [anon_sym___nullable] = ACTIONS(8072),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8072),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8072),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8072),
    [anon_sym___real] = ACTIONS(8072),
    [anon_sym___strong] = ACTIONS(8072),
    [anon_sym___unsafe_unretained] = ACTIONS(8072),
    [anon_sym___unused] = ACTIONS(8072),
    [anon_sym___weak] = ACTIONS(8072),
    [anon_sym_alignas] = ACTIONS(8072),
    [anon_sym__Alignas] = ACTIONS(8072),
    [anon_sym_COLON] = ACTIONS(8074),
    [anon_sym_struct] = ACTIONS(8072),
    [anon_sym_in] = ACTIONS(8072),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8072),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8072),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8072),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8072),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8072),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8072),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8072),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8072),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8072),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8072),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8072),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8072),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8072),
    [anon_sym_API_AVAILABLE] = ACTIONS(8072),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8072),
    [anon_sym_API_DEPRECATED] = ACTIONS(8072),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8072),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8072),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8072),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8072),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8072),
    [anon_sym___deprecated_msg] = ACTIONS(8072),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8072),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8072),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8072),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8072),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8072),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8072),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8072),
    [anon_sym_id] = ACTIONS(8072),
  },
  [3249] = {
    [sym_method_parameter] = STATE(3271),
    [sym_identifier] = ACTIONS(8062),
    [anon_sym_COMMA] = ACTIONS(8064),
    [anon_sym_SEMI] = ACTIONS(8064),
    [anon_sym___extension__] = ACTIONS(8062),
    [anon_sym_extern] = ACTIONS(8062),
    [anon_sym___attribute__] = ACTIONS(8062),
    [anon_sym___attribute] = ACTIONS(8062),
    [anon_sym_noreturn] = ACTIONS(8062),
    [anon_sym_LBRACK] = ACTIONS(8064),
    [anon_sym___declspec] = ACTIONS(8062),
    [anon_sym_static] = ACTIONS(8062),
    [anon_sym_auto] = ACTIONS(8062),
    [anon_sym_register] = ACTIONS(8062),
    [anon_sym_inline] = ACTIONS(8062),
    [anon_sym___inline] = ACTIONS(8062),
    [anon_sym___inline__] = ACTIONS(8062),
    [anon_sym___forceinline] = ACTIONS(8062),
    [anon_sym_thread_local] = ACTIONS(8062),
    [anon_sym___thread] = ACTIONS(8062),
    [anon_sym_CG_EXTERN] = ACTIONS(8062),
    [anon_sym_CG_INLINE] = ACTIONS(8062),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8062),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8062),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8062),
    [anon_sym_IBOutlet] = ACTIONS(8062),
    [anon_sym_IBInspectable] = ACTIONS(8062),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8062),
    [anon_sym_NS_INLINE] = ACTIONS(8062),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8062),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8062),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8062),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8062),
    [anon_sym_const] = ACTIONS(8062),
    [anon_sym_constexpr] = ACTIONS(8062),
    [anon_sym_volatile] = ACTIONS(8062),
    [anon_sym_restrict] = ACTIONS(8062),
    [anon_sym___restrict__] = ACTIONS(8062),
    [anon_sym__Atomic] = ACTIONS(8062),
    [anon_sym__Noreturn] = ACTIONS(8062),
    [anon_sym__Nonnull] = ACTIONS(8062),
    [anon_sym_nullable] = ACTIONS(8062),
    [anon_sym__Complex] = ACTIONS(8062),
    [anon_sym__Nullable] = ACTIONS(8062),
    [anon_sym__Nullable_result] = ACTIONS(8062),
    [anon_sym__Null_unspecified] = ACTIONS(8062),
    [anon_sym___autoreleasing] = ACTIONS(8062),
    [anon_sym___block] = ACTIONS(8062),
    [anon_sym___bridge] = ACTIONS(8062),
    [anon_sym___bridge_retained] = ACTIONS(8062),
    [anon_sym___bridge_transfer] = ACTIONS(8062),
    [anon_sym___complex] = ACTIONS(8062),
    [anon_sym___const] = ACTIONS(8062),
    [anon_sym___imag] = ACTIONS(8062),
    [anon_sym___kindof] = ACTIONS(8062),
    [anon_sym___nonnull] = ACTIONS(8062),
    [anon_sym___nullable] = ACTIONS(8062),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8062),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8062),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8062),
    [anon_sym___real] = ACTIONS(8062),
    [anon_sym___strong] = ACTIONS(8062),
    [anon_sym___unsafe_unretained] = ACTIONS(8062),
    [anon_sym___unused] = ACTIONS(8062),
    [anon_sym___weak] = ACTIONS(8062),
    [anon_sym_alignas] = ACTIONS(8062),
    [anon_sym__Alignas] = ACTIONS(8062),
    [anon_sym_COLON] = ACTIONS(8069),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8062),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8062),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8062),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8062),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8062),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8062),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8062),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8062),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8062),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8062),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8062),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8062),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8062),
    [anon_sym_API_AVAILABLE] = ACTIONS(8062),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8062),
    [anon_sym_API_DEPRECATED] = ACTIONS(8062),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8062),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8062),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8062),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8062),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8062),
    [anon_sym___deprecated_msg] = ACTIONS(8062),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8062),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8062),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8062),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8062),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8062),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8062),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8062),
  },
  [3250] = {
    [sym_parameter_list] = STATE(3017),
    [anon_sym_COMMA] = ACTIONS(8076),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(8076),
    [anon_sym___extension__] = ACTIONS(8076),
    [anon_sym_extern] = ACTIONS(8076),
    [anon_sym___attribute__] = ACTIONS(8076),
    [anon_sym___attribute] = ACTIONS(8078),
    [anon_sym_noreturn] = ACTIONS(8076),
    [anon_sym_LBRACK] = ACTIONS(7589),
    [anon_sym___declspec] = ACTIONS(8076),
    [anon_sym_static] = ACTIONS(8076),
    [anon_sym_auto] = ACTIONS(8076),
    [anon_sym_register] = ACTIONS(8076),
    [anon_sym_inline] = ACTIONS(8076),
    [anon_sym___inline] = ACTIONS(8078),
    [anon_sym___inline__] = ACTIONS(8076),
    [anon_sym___forceinline] = ACTIONS(8076),
    [anon_sym_thread_local] = ACTIONS(8076),
    [anon_sym___thread] = ACTIONS(8076),
    [anon_sym_CG_EXTERN] = ACTIONS(8076),
    [anon_sym_CG_INLINE] = ACTIONS(8076),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8076),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8076),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8076),
    [anon_sym_IBOutlet] = ACTIONS(8076),
    [anon_sym_IBInspectable] = ACTIONS(8076),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8076),
    [anon_sym_NS_INLINE] = ACTIONS(8076),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8076),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8076),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8076),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8076),
    [anon_sym_const] = ACTIONS(8078),
    [anon_sym_constexpr] = ACTIONS(8076),
    [anon_sym_volatile] = ACTIONS(8076),
    [anon_sym_restrict] = ACTIONS(8076),
    [anon_sym___restrict__] = ACTIONS(8076),
    [anon_sym__Atomic] = ACTIONS(8076),
    [anon_sym__Noreturn] = ACTIONS(8076),
    [anon_sym__Nonnull] = ACTIONS(8076),
    [anon_sym_nullable] = ACTIONS(8076),
    [anon_sym__Complex] = ACTIONS(8076),
    [anon_sym__Nullable] = ACTIONS(8078),
    [anon_sym__Nullable_result] = ACTIONS(8076),
    [anon_sym__Null_unspecified] = ACTIONS(8076),
    [anon_sym___autoreleasing] = ACTIONS(8076),
    [anon_sym___block] = ACTIONS(8076),
    [anon_sym___bridge] = ACTIONS(8078),
    [anon_sym___bridge_retained] = ACTIONS(8076),
    [anon_sym___bridge_transfer] = ACTIONS(8076),
    [anon_sym___complex] = ACTIONS(8076),
    [anon_sym___const] = ACTIONS(8076),
    [anon_sym___imag] = ACTIONS(8076),
    [anon_sym___kindof] = ACTIONS(8076),
    [anon_sym___nonnull] = ACTIONS(8076),
    [anon_sym___nullable] = ACTIONS(8076),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8076),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8076),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8076),
    [anon_sym___real] = ACTIONS(8076),
    [anon_sym___strong] = ACTIONS(8076),
    [anon_sym___unsafe_unretained] = ACTIONS(8076),
    [anon_sym___unused] = ACTIONS(8076),
    [anon_sym___weak] = ACTIONS(8076),
    [anon_sym_alignas] = ACTIONS(8076),
    [anon_sym__Alignas] = ACTIONS(8076),
    [anon_sym_COLON] = ACTIONS(8080),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8076),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8076),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8076),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8076),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8076),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8076),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8076),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8076),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8076),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8076),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8078),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8076),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8076),
    [anon_sym_API_AVAILABLE] = ACTIONS(8076),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8076),
    [anon_sym_API_DEPRECATED] = ACTIONS(8076),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8076),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8076),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8076),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8076),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8076),
    [anon_sym___deprecated_msg] = ACTIONS(8076),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8076),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8076),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8076),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8076),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8076),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8076),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8076),
  },
  [3251] = {
    [sym_method_parameter] = STATE(3270),
    [sym_identifier] = ACTIONS(8018),
    [anon_sym_COMMA] = ACTIONS(8013),
    [anon_sym_SEMI] = ACTIONS(8013),
    [anon_sym___extension__] = ACTIONS(8018),
    [anon_sym_extern] = ACTIONS(8018),
    [anon_sym___attribute__] = ACTIONS(8018),
    [anon_sym___attribute] = ACTIONS(8018),
    [anon_sym_noreturn] = ACTIONS(8018),
    [anon_sym_LBRACK] = ACTIONS(8013),
    [anon_sym___declspec] = ACTIONS(8018),
    [anon_sym_static] = ACTIONS(8018),
    [anon_sym_auto] = ACTIONS(8018),
    [anon_sym_register] = ACTIONS(8018),
    [anon_sym_inline] = ACTIONS(8018),
    [anon_sym___inline] = ACTIONS(8018),
    [anon_sym___inline__] = ACTIONS(8018),
    [anon_sym___forceinline] = ACTIONS(8018),
    [anon_sym_thread_local] = ACTIONS(8018),
    [anon_sym___thread] = ACTIONS(8018),
    [anon_sym_CG_EXTERN] = ACTIONS(8018),
    [anon_sym_CG_INLINE] = ACTIONS(8018),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8018),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8018),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8018),
    [anon_sym_IBOutlet] = ACTIONS(8018),
    [anon_sym_IBInspectable] = ACTIONS(8018),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8018),
    [anon_sym_NS_INLINE] = ACTIONS(8018),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8018),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8018),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8018),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8018),
    [anon_sym_const] = ACTIONS(8018),
    [anon_sym_constexpr] = ACTIONS(8018),
    [anon_sym_volatile] = ACTIONS(8018),
    [anon_sym_restrict] = ACTIONS(8018),
    [anon_sym___restrict__] = ACTIONS(8018),
    [anon_sym__Atomic] = ACTIONS(8018),
    [anon_sym__Noreturn] = ACTIONS(8018),
    [anon_sym__Nonnull] = ACTIONS(8018),
    [anon_sym_nullable] = ACTIONS(8018),
    [anon_sym__Complex] = ACTIONS(8018),
    [anon_sym__Nullable] = ACTIONS(8018),
    [anon_sym__Nullable_result] = ACTIONS(8018),
    [anon_sym__Null_unspecified] = ACTIONS(8018),
    [anon_sym___autoreleasing] = ACTIONS(8018),
    [anon_sym___block] = ACTIONS(8018),
    [anon_sym___bridge] = ACTIONS(8018),
    [anon_sym___bridge_retained] = ACTIONS(8018),
    [anon_sym___bridge_transfer] = ACTIONS(8018),
    [anon_sym___complex] = ACTIONS(8018),
    [anon_sym___const] = ACTIONS(8018),
    [anon_sym___imag] = ACTIONS(8018),
    [anon_sym___kindof] = ACTIONS(8018),
    [anon_sym___nonnull] = ACTIONS(8018),
    [anon_sym___nullable] = ACTIONS(8018),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8018),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8018),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8018),
    [anon_sym___real] = ACTIONS(8018),
    [anon_sym___strong] = ACTIONS(8018),
    [anon_sym___unsafe_unretained] = ACTIONS(8018),
    [anon_sym___unused] = ACTIONS(8018),
    [anon_sym___weak] = ACTIONS(8018),
    [anon_sym_alignas] = ACTIONS(8018),
    [anon_sym__Alignas] = ACTIONS(8018),
    [anon_sym_COLON] = ACTIONS(8020),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8018),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8018),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8018),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8018),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8018),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8018),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8018),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8018),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8018),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8018),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8018),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8018),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8018),
    [anon_sym_API_AVAILABLE] = ACTIONS(8018),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8018),
    [anon_sym_API_DEPRECATED] = ACTIONS(8018),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8018),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8018),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8018),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8018),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8018),
    [anon_sym___deprecated_msg] = ACTIONS(8018),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8018),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8018),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8018),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8018),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8018),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8018),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8018),
  },
  [3252] = {
    [sym_method_parameter] = STATE(3254),
    [sym_identifier] = ACTIONS(8082),
    [anon_sym_COMMA] = ACTIONS(8084),
    [anon_sym_SEMI] = ACTIONS(8084),
    [anon_sym___extension__] = ACTIONS(8082),
    [anon_sym_extern] = ACTIONS(8082),
    [anon_sym___attribute__] = ACTIONS(8082),
    [anon_sym___attribute] = ACTIONS(8082),
    [anon_sym_noreturn] = ACTIONS(8082),
    [anon_sym_LBRACK] = ACTIONS(8084),
    [anon_sym___declspec] = ACTIONS(8082),
    [anon_sym_static] = ACTIONS(8082),
    [anon_sym_auto] = ACTIONS(8082),
    [anon_sym_register] = ACTIONS(8082),
    [anon_sym_inline] = ACTIONS(8082),
    [anon_sym___inline] = ACTIONS(8082),
    [anon_sym___inline__] = ACTIONS(8082),
    [anon_sym___forceinline] = ACTIONS(8082),
    [anon_sym_thread_local] = ACTIONS(8082),
    [anon_sym___thread] = ACTIONS(8082),
    [anon_sym_CG_EXTERN] = ACTIONS(8082),
    [anon_sym_CG_INLINE] = ACTIONS(8082),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8082),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8082),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8082),
    [anon_sym_IBOutlet] = ACTIONS(8082),
    [anon_sym_IBInspectable] = ACTIONS(8082),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8082),
    [anon_sym_NS_INLINE] = ACTIONS(8082),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8082),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8082),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8082),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8082),
    [anon_sym_const] = ACTIONS(8082),
    [anon_sym_constexpr] = ACTIONS(8082),
    [anon_sym_volatile] = ACTIONS(8082),
    [anon_sym_restrict] = ACTIONS(8082),
    [anon_sym___restrict__] = ACTIONS(8082),
    [anon_sym__Atomic] = ACTIONS(8082),
    [anon_sym__Noreturn] = ACTIONS(8082),
    [anon_sym__Nonnull] = ACTIONS(8082),
    [anon_sym_nullable] = ACTIONS(8082),
    [anon_sym__Complex] = ACTIONS(8082),
    [anon_sym__Nullable] = ACTIONS(8082),
    [anon_sym__Nullable_result] = ACTIONS(8082),
    [anon_sym__Null_unspecified] = ACTIONS(8082),
    [anon_sym___autoreleasing] = ACTIONS(8082),
    [anon_sym___block] = ACTIONS(8082),
    [anon_sym___bridge] = ACTIONS(8082),
    [anon_sym___bridge_retained] = ACTIONS(8082),
    [anon_sym___bridge_transfer] = ACTIONS(8082),
    [anon_sym___complex] = ACTIONS(8082),
    [anon_sym___const] = ACTIONS(8082),
    [anon_sym___imag] = ACTIONS(8082),
    [anon_sym___kindof] = ACTIONS(8082),
    [anon_sym___nonnull] = ACTIONS(8082),
    [anon_sym___nullable] = ACTIONS(8082),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8082),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8082),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8082),
    [anon_sym___real] = ACTIONS(8082),
    [anon_sym___strong] = ACTIONS(8082),
    [anon_sym___unsafe_unretained] = ACTIONS(8082),
    [anon_sym___unused] = ACTIONS(8082),
    [anon_sym___weak] = ACTIONS(8082),
    [anon_sym_alignas] = ACTIONS(8082),
    [anon_sym__Alignas] = ACTIONS(8082),
    [anon_sym_COLON] = ACTIONS(8086),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8082),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8082),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8082),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8082),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8082),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8082),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8082),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8082),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8082),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8082),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8082),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8082),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8082),
    [anon_sym_API_AVAILABLE] = ACTIONS(8082),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8082),
    [anon_sym_API_DEPRECATED] = ACTIONS(8082),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8082),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8082),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8082),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8082),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8082),
    [anon_sym___deprecated_msg] = ACTIONS(8082),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8082),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8082),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8082),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8082),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8082),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8082),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8082),
  },
  [3253] = {
    [sym_parameter_list] = STATE(3234),
    [anon_sym_COMMA] = ACTIONS(8089),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(8089),
    [anon_sym___extension__] = ACTIONS(8089),
    [anon_sym_extern] = ACTIONS(8089),
    [anon_sym___attribute__] = ACTIONS(8089),
    [anon_sym___attribute] = ACTIONS(8091),
    [anon_sym_noreturn] = ACTIONS(8089),
    [anon_sym_LBRACK] = ACTIONS(8093),
    [anon_sym___declspec] = ACTIONS(8089),
    [anon_sym_static] = ACTIONS(8089),
    [anon_sym_auto] = ACTIONS(8089),
    [anon_sym_register] = ACTIONS(8089),
    [anon_sym_inline] = ACTIONS(8089),
    [anon_sym___inline] = ACTIONS(8091),
    [anon_sym___inline__] = ACTIONS(8089),
    [anon_sym___forceinline] = ACTIONS(8089),
    [anon_sym_thread_local] = ACTIONS(8089),
    [anon_sym___thread] = ACTIONS(8089),
    [anon_sym_CG_EXTERN] = ACTIONS(8089),
    [anon_sym_CG_INLINE] = ACTIONS(8089),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8089),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8089),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8089),
    [anon_sym_IBOutlet] = ACTIONS(8089),
    [anon_sym_IBInspectable] = ACTIONS(8089),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8089),
    [anon_sym_NS_INLINE] = ACTIONS(8089),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8089),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8089),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8089),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8089),
    [anon_sym_const] = ACTIONS(8091),
    [anon_sym_constexpr] = ACTIONS(8089),
    [anon_sym_volatile] = ACTIONS(8089),
    [anon_sym_restrict] = ACTIONS(8089),
    [anon_sym___restrict__] = ACTIONS(8089),
    [anon_sym__Atomic] = ACTIONS(8089),
    [anon_sym__Noreturn] = ACTIONS(8089),
    [anon_sym__Nonnull] = ACTIONS(8089),
    [anon_sym_nullable] = ACTIONS(8089),
    [anon_sym__Complex] = ACTIONS(8089),
    [anon_sym__Nullable] = ACTIONS(8091),
    [anon_sym__Nullable_result] = ACTIONS(8089),
    [anon_sym__Null_unspecified] = ACTIONS(8089),
    [anon_sym___autoreleasing] = ACTIONS(8089),
    [anon_sym___block] = ACTIONS(8089),
    [anon_sym___bridge] = ACTIONS(8091),
    [anon_sym___bridge_retained] = ACTIONS(8089),
    [anon_sym___bridge_transfer] = ACTIONS(8089),
    [anon_sym___complex] = ACTIONS(8089),
    [anon_sym___const] = ACTIONS(8089),
    [anon_sym___imag] = ACTIONS(8089),
    [anon_sym___kindof] = ACTIONS(8089),
    [anon_sym___nonnull] = ACTIONS(8089),
    [anon_sym___nullable] = ACTIONS(8089),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8089),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8089),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8089),
    [anon_sym___real] = ACTIONS(8089),
    [anon_sym___strong] = ACTIONS(8089),
    [anon_sym___unsafe_unretained] = ACTIONS(8089),
    [anon_sym___unused] = ACTIONS(8089),
    [anon_sym___weak] = ACTIONS(8089),
    [anon_sym_alignas] = ACTIONS(8089),
    [anon_sym__Alignas] = ACTIONS(8089),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8089),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8089),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8089),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8089),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8089),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8089),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8089),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8089),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8089),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8089),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8091),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8089),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8089),
    [anon_sym_API_AVAILABLE] = ACTIONS(8089),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8089),
    [anon_sym_API_DEPRECATED] = ACTIONS(8089),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8089),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8089),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8089),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8089),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8089),
    [anon_sym___deprecated_msg] = ACTIONS(8089),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8089),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8089),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8089),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8089),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8089),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8089),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8089),
  },
  [3254] = {
    [sym_identifier] = ACTIONS(8095),
    [anon_sym_COMMA] = ACTIONS(8097),
    [anon_sym_SEMI] = ACTIONS(8097),
    [anon_sym___extension__] = ACTIONS(8095),
    [anon_sym_extern] = ACTIONS(8095),
    [anon_sym___attribute__] = ACTIONS(8095),
    [anon_sym___attribute] = ACTIONS(8095),
    [anon_sym_noreturn] = ACTIONS(8095),
    [anon_sym_LBRACK] = ACTIONS(8097),
    [anon_sym___declspec] = ACTIONS(8095),
    [anon_sym_static] = ACTIONS(8095),
    [anon_sym_auto] = ACTIONS(8095),
    [anon_sym_register] = ACTIONS(8095),
    [anon_sym_inline] = ACTIONS(8095),
    [anon_sym___inline] = ACTIONS(8095),
    [anon_sym___inline__] = ACTIONS(8095),
    [anon_sym___forceinline] = ACTIONS(8095),
    [anon_sym_thread_local] = ACTIONS(8095),
    [anon_sym___thread] = ACTIONS(8095),
    [anon_sym_CG_EXTERN] = ACTIONS(8095),
    [anon_sym_CG_INLINE] = ACTIONS(8095),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8095),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8095),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8095),
    [anon_sym_IBOutlet] = ACTIONS(8095),
    [anon_sym_IBInspectable] = ACTIONS(8095),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8095),
    [anon_sym_NS_INLINE] = ACTIONS(8095),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8095),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8095),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8095),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8095),
    [anon_sym_const] = ACTIONS(8095),
    [anon_sym_constexpr] = ACTIONS(8095),
    [anon_sym_volatile] = ACTIONS(8095),
    [anon_sym_restrict] = ACTIONS(8095),
    [anon_sym___restrict__] = ACTIONS(8095),
    [anon_sym__Atomic] = ACTIONS(8095),
    [anon_sym__Noreturn] = ACTIONS(8095),
    [anon_sym__Nonnull] = ACTIONS(8095),
    [anon_sym_nullable] = ACTIONS(8095),
    [anon_sym__Complex] = ACTIONS(8095),
    [anon_sym__Nullable] = ACTIONS(8095),
    [anon_sym__Nullable_result] = ACTIONS(8095),
    [anon_sym__Null_unspecified] = ACTIONS(8095),
    [anon_sym___autoreleasing] = ACTIONS(8095),
    [anon_sym___block] = ACTIONS(8095),
    [anon_sym___bridge] = ACTIONS(8095),
    [anon_sym___bridge_retained] = ACTIONS(8095),
    [anon_sym___bridge_transfer] = ACTIONS(8095),
    [anon_sym___complex] = ACTIONS(8095),
    [anon_sym___const] = ACTIONS(8095),
    [anon_sym___imag] = ACTIONS(8095),
    [anon_sym___kindof] = ACTIONS(8095),
    [anon_sym___nonnull] = ACTIONS(8095),
    [anon_sym___nullable] = ACTIONS(8095),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8095),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8095),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8095),
    [anon_sym___real] = ACTIONS(8095),
    [anon_sym___strong] = ACTIONS(8095),
    [anon_sym___unsafe_unretained] = ACTIONS(8095),
    [anon_sym___unused] = ACTIONS(8095),
    [anon_sym___weak] = ACTIONS(8095),
    [anon_sym_alignas] = ACTIONS(8095),
    [anon_sym__Alignas] = ACTIONS(8095),
    [anon_sym_COLON] = ACTIONS(8097),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8095),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8095),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8095),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8095),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8095),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8095),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8095),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8095),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8095),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8095),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8095),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8095),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8095),
    [anon_sym_API_AVAILABLE] = ACTIONS(8095),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8095),
    [anon_sym_API_DEPRECATED] = ACTIONS(8095),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8095),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8095),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8095),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8095),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8095),
    [anon_sym___deprecated_msg] = ACTIONS(8095),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8095),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8095),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8095),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8095),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8095),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8095),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8095),
  },
  [3255] = {
    [sym_identifier] = ACTIONS(8018),
    [anon_sym_COMMA] = ACTIONS(8013),
    [anon_sym_SEMI] = ACTIONS(8013),
    [anon_sym___extension__] = ACTIONS(8018),
    [anon_sym_extern] = ACTIONS(8018),
    [anon_sym___attribute__] = ACTIONS(8018),
    [anon_sym___attribute] = ACTIONS(8018),
    [anon_sym_noreturn] = ACTIONS(8018),
    [anon_sym_LBRACK] = ACTIONS(8013),
    [anon_sym___declspec] = ACTIONS(8018),
    [anon_sym_static] = ACTIONS(8018),
    [anon_sym_auto] = ACTIONS(8018),
    [anon_sym_register] = ACTIONS(8018),
    [anon_sym_inline] = ACTIONS(8018),
    [anon_sym___inline] = ACTIONS(8018),
    [anon_sym___inline__] = ACTIONS(8018),
    [anon_sym___forceinline] = ACTIONS(8018),
    [anon_sym_thread_local] = ACTIONS(8018),
    [anon_sym___thread] = ACTIONS(8018),
    [anon_sym_CG_EXTERN] = ACTIONS(8018),
    [anon_sym_CG_INLINE] = ACTIONS(8018),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8018),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8018),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8018),
    [anon_sym_IBOutlet] = ACTIONS(8018),
    [anon_sym_IBInspectable] = ACTIONS(8018),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8018),
    [anon_sym_NS_INLINE] = ACTIONS(8018),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8018),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8018),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8018),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8018),
    [anon_sym_const] = ACTIONS(8018),
    [anon_sym_constexpr] = ACTIONS(8018),
    [anon_sym_volatile] = ACTIONS(8018),
    [anon_sym_restrict] = ACTIONS(8018),
    [anon_sym___restrict__] = ACTIONS(8018),
    [anon_sym__Atomic] = ACTIONS(8018),
    [anon_sym__Noreturn] = ACTIONS(8018),
    [anon_sym__Nonnull] = ACTIONS(8018),
    [anon_sym_nullable] = ACTIONS(8018),
    [anon_sym__Complex] = ACTIONS(8018),
    [anon_sym__Nullable] = ACTIONS(8018),
    [anon_sym__Nullable_result] = ACTIONS(8018),
    [anon_sym__Null_unspecified] = ACTIONS(8018),
    [anon_sym___autoreleasing] = ACTIONS(8018),
    [anon_sym___block] = ACTIONS(8018),
    [anon_sym___bridge] = ACTIONS(8018),
    [anon_sym___bridge_retained] = ACTIONS(8018),
    [anon_sym___bridge_transfer] = ACTIONS(8018),
    [anon_sym___complex] = ACTIONS(8018),
    [anon_sym___const] = ACTIONS(8018),
    [anon_sym___imag] = ACTIONS(8018),
    [anon_sym___kindof] = ACTIONS(8018),
    [anon_sym___nonnull] = ACTIONS(8018),
    [anon_sym___nullable] = ACTIONS(8018),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8018),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8018),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8018),
    [anon_sym___real] = ACTIONS(8018),
    [anon_sym___strong] = ACTIONS(8018),
    [anon_sym___unsafe_unretained] = ACTIONS(8018),
    [anon_sym___unused] = ACTIONS(8018),
    [anon_sym___weak] = ACTIONS(8018),
    [anon_sym_alignas] = ACTIONS(8018),
    [anon_sym__Alignas] = ACTIONS(8018),
    [anon_sym_COLON] = ACTIONS(8013),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8018),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8018),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8018),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8018),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8018),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8018),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8018),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8018),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8018),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8018),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8018),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8018),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8018),
    [anon_sym_API_AVAILABLE] = ACTIONS(8018),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8018),
    [anon_sym_API_DEPRECATED] = ACTIONS(8018),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8018),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8018),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8018),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8018),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8018),
    [anon_sym___deprecated_msg] = ACTIONS(8018),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8018),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8018),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8018),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8018),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8018),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8018),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8018),
  },
  [3256] = {
    [anon_sym_COMMA] = ACTIONS(8099),
    [anon_sym_RPAREN] = ACTIONS(8099),
    [anon_sym_LPAREN2] = ACTIONS(8099),
    [anon_sym_SEMI] = ACTIONS(8099),
    [anon_sym___extension__] = ACTIONS(8099),
    [anon_sym_extern] = ACTIONS(8099),
    [anon_sym___attribute__] = ACTIONS(8099),
    [anon_sym___attribute] = ACTIONS(8101),
    [anon_sym_noreturn] = ACTIONS(8099),
    [anon_sym_LBRACK] = ACTIONS(8099),
    [anon_sym___declspec] = ACTIONS(8099),
    [anon_sym_static] = ACTIONS(8099),
    [anon_sym_auto] = ACTIONS(8099),
    [anon_sym_register] = ACTIONS(8099),
    [anon_sym_inline] = ACTIONS(8099),
    [anon_sym___inline] = ACTIONS(8101),
    [anon_sym___inline__] = ACTIONS(8099),
    [anon_sym___forceinline] = ACTIONS(8099),
    [anon_sym_thread_local] = ACTIONS(8099),
    [anon_sym___thread] = ACTIONS(8099),
    [anon_sym_CG_EXTERN] = ACTIONS(8099),
    [anon_sym_CG_INLINE] = ACTIONS(8099),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8099),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8099),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8099),
    [anon_sym_IBOutlet] = ACTIONS(8099),
    [anon_sym_IBInspectable] = ACTIONS(8099),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8099),
    [anon_sym_NS_INLINE] = ACTIONS(8099),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8099),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8099),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8099),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8099),
    [anon_sym_const] = ACTIONS(8101),
    [anon_sym_constexpr] = ACTIONS(8099),
    [anon_sym_volatile] = ACTIONS(8099),
    [anon_sym_restrict] = ACTIONS(8099),
    [anon_sym___restrict__] = ACTIONS(8099),
    [anon_sym__Atomic] = ACTIONS(8099),
    [anon_sym__Noreturn] = ACTIONS(8099),
    [anon_sym__Nonnull] = ACTIONS(8099),
    [anon_sym_nullable] = ACTIONS(8099),
    [anon_sym__Complex] = ACTIONS(8099),
    [anon_sym__Nullable] = ACTIONS(8101),
    [anon_sym__Nullable_result] = ACTIONS(8099),
    [anon_sym__Null_unspecified] = ACTIONS(8099),
    [anon_sym___autoreleasing] = ACTIONS(8099),
    [anon_sym___block] = ACTIONS(8099),
    [anon_sym___bridge] = ACTIONS(8101),
    [anon_sym___bridge_retained] = ACTIONS(8099),
    [anon_sym___bridge_transfer] = ACTIONS(8099),
    [anon_sym___complex] = ACTIONS(8099),
    [anon_sym___const] = ACTIONS(8099),
    [anon_sym___imag] = ACTIONS(8099),
    [anon_sym___kindof] = ACTIONS(8099),
    [anon_sym___nonnull] = ACTIONS(8099),
    [anon_sym___nullable] = ACTIONS(8099),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8099),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8099),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8099),
    [anon_sym___real] = ACTIONS(8099),
    [anon_sym___strong] = ACTIONS(8099),
    [anon_sym___unsafe_unretained] = ACTIONS(8099),
    [anon_sym___unused] = ACTIONS(8099),
    [anon_sym___weak] = ACTIONS(8099),
    [anon_sym_alignas] = ACTIONS(8099),
    [anon_sym__Alignas] = ACTIONS(8099),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8099),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8099),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8099),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8099),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8099),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8099),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8099),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8099),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8099),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8099),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8101),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8099),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8099),
    [anon_sym_API_AVAILABLE] = ACTIONS(8099),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8099),
    [anon_sym_API_DEPRECATED] = ACTIONS(8099),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8099),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8099),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8099),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8099),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8099),
    [anon_sym___deprecated_msg] = ACTIONS(8099),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8099),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8099),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8099),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8099),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8099),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8099),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8099),
  },
  [3257] = {
    [anon_sym_COMMA] = ACTIONS(8103),
    [anon_sym_RPAREN] = ACTIONS(8103),
    [anon_sym_LPAREN2] = ACTIONS(8103),
    [anon_sym_SEMI] = ACTIONS(8103),
    [anon_sym___extension__] = ACTIONS(8103),
    [anon_sym_extern] = ACTIONS(8103),
    [anon_sym___attribute__] = ACTIONS(8103),
    [anon_sym___attribute] = ACTIONS(8105),
    [anon_sym_noreturn] = ACTIONS(8103),
    [anon_sym_LBRACK] = ACTIONS(8103),
    [anon_sym___declspec] = ACTIONS(8103),
    [anon_sym_static] = ACTIONS(8103),
    [anon_sym_auto] = ACTIONS(8103),
    [anon_sym_register] = ACTIONS(8103),
    [anon_sym_inline] = ACTIONS(8103),
    [anon_sym___inline] = ACTIONS(8105),
    [anon_sym___inline__] = ACTIONS(8103),
    [anon_sym___forceinline] = ACTIONS(8103),
    [anon_sym_thread_local] = ACTIONS(8103),
    [anon_sym___thread] = ACTIONS(8103),
    [anon_sym_CG_EXTERN] = ACTIONS(8103),
    [anon_sym_CG_INLINE] = ACTIONS(8103),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8103),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8103),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8103),
    [anon_sym_IBOutlet] = ACTIONS(8103),
    [anon_sym_IBInspectable] = ACTIONS(8103),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8103),
    [anon_sym_NS_INLINE] = ACTIONS(8103),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8103),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8103),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8103),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8103),
    [anon_sym_const] = ACTIONS(8105),
    [anon_sym_constexpr] = ACTIONS(8103),
    [anon_sym_volatile] = ACTIONS(8103),
    [anon_sym_restrict] = ACTIONS(8103),
    [anon_sym___restrict__] = ACTIONS(8103),
    [anon_sym__Atomic] = ACTIONS(8103),
    [anon_sym__Noreturn] = ACTIONS(8103),
    [anon_sym__Nonnull] = ACTIONS(8103),
    [anon_sym_nullable] = ACTIONS(8103),
    [anon_sym__Complex] = ACTIONS(8103),
    [anon_sym__Nullable] = ACTIONS(8105),
    [anon_sym__Nullable_result] = ACTIONS(8103),
    [anon_sym__Null_unspecified] = ACTIONS(8103),
    [anon_sym___autoreleasing] = ACTIONS(8103),
    [anon_sym___block] = ACTIONS(8103),
    [anon_sym___bridge] = ACTIONS(8105),
    [anon_sym___bridge_retained] = ACTIONS(8103),
    [anon_sym___bridge_transfer] = ACTIONS(8103),
    [anon_sym___complex] = ACTIONS(8103),
    [anon_sym___const] = ACTIONS(8103),
    [anon_sym___imag] = ACTIONS(8103),
    [anon_sym___kindof] = ACTIONS(8103),
    [anon_sym___nonnull] = ACTIONS(8103),
    [anon_sym___nullable] = ACTIONS(8103),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8103),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8103),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8103),
    [anon_sym___real] = ACTIONS(8103),
    [anon_sym___strong] = ACTIONS(8103),
    [anon_sym___unsafe_unretained] = ACTIONS(8103),
    [anon_sym___unused] = ACTIONS(8103),
    [anon_sym___weak] = ACTIONS(8103),
    [anon_sym_alignas] = ACTIONS(8103),
    [anon_sym__Alignas] = ACTIONS(8103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8103),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8103),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8103),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8103),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8103),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8103),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8103),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8103),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8103),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8103),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8105),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8103),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8103),
    [anon_sym_API_AVAILABLE] = ACTIONS(8103),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8103),
    [anon_sym_API_DEPRECATED] = ACTIONS(8103),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8103),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8103),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8103),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8103),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8103),
    [anon_sym___deprecated_msg] = ACTIONS(8103),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8103),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8103),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8103),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8103),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8103),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8103),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8103),
  },
  [3258] = {
    [sym_attribute_specifier] = STATE(3991),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_compound_statement] = STATE(1508),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_parameter_list] = STATE(5040),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3224),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(4937),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3224),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_LPAREN2] = ACTIONS(8107),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym_LT] = ACTIONS(8109),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_LBRACK] = ACTIONS(8109),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_LBRACE] = ACTIONS(8111),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_ATautoreleasepool] = ACTIONS(8113),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7995),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3259] = {
    [anon_sym_COMMA] = ACTIONS(8115),
    [anon_sym_RPAREN] = ACTIONS(8115),
    [anon_sym_LPAREN2] = ACTIONS(8115),
    [anon_sym_SEMI] = ACTIONS(8115),
    [anon_sym___extension__] = ACTIONS(8115),
    [anon_sym_extern] = ACTIONS(8115),
    [anon_sym___attribute__] = ACTIONS(8115),
    [anon_sym___attribute] = ACTIONS(8117),
    [anon_sym_noreturn] = ACTIONS(8115),
    [anon_sym_LBRACK] = ACTIONS(8115),
    [anon_sym___declspec] = ACTIONS(8115),
    [anon_sym_static] = ACTIONS(8115),
    [anon_sym_auto] = ACTIONS(8115),
    [anon_sym_register] = ACTIONS(8115),
    [anon_sym_inline] = ACTIONS(8115),
    [anon_sym___inline] = ACTIONS(8117),
    [anon_sym___inline__] = ACTIONS(8115),
    [anon_sym___forceinline] = ACTIONS(8115),
    [anon_sym_thread_local] = ACTIONS(8115),
    [anon_sym___thread] = ACTIONS(8115),
    [anon_sym_CG_EXTERN] = ACTIONS(8115),
    [anon_sym_CG_INLINE] = ACTIONS(8115),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8115),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8115),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8115),
    [anon_sym_IBOutlet] = ACTIONS(8115),
    [anon_sym_IBInspectable] = ACTIONS(8115),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8115),
    [anon_sym_NS_INLINE] = ACTIONS(8115),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8115),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8115),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8115),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8115),
    [anon_sym_const] = ACTIONS(8117),
    [anon_sym_constexpr] = ACTIONS(8115),
    [anon_sym_volatile] = ACTIONS(8115),
    [anon_sym_restrict] = ACTIONS(8115),
    [anon_sym___restrict__] = ACTIONS(8115),
    [anon_sym__Atomic] = ACTIONS(8115),
    [anon_sym__Noreturn] = ACTIONS(8115),
    [anon_sym__Nonnull] = ACTIONS(8115),
    [anon_sym_nullable] = ACTIONS(8115),
    [anon_sym__Complex] = ACTIONS(8115),
    [anon_sym__Nullable] = ACTIONS(8117),
    [anon_sym__Nullable_result] = ACTIONS(8115),
    [anon_sym__Null_unspecified] = ACTIONS(8115),
    [anon_sym___autoreleasing] = ACTIONS(8115),
    [anon_sym___block] = ACTIONS(8115),
    [anon_sym___bridge] = ACTIONS(8117),
    [anon_sym___bridge_retained] = ACTIONS(8115),
    [anon_sym___bridge_transfer] = ACTIONS(8115),
    [anon_sym___complex] = ACTIONS(8115),
    [anon_sym___const] = ACTIONS(8115),
    [anon_sym___imag] = ACTIONS(8115),
    [anon_sym___kindof] = ACTIONS(8115),
    [anon_sym___nonnull] = ACTIONS(8115),
    [anon_sym___nullable] = ACTIONS(8115),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8115),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8115),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8115),
    [anon_sym___real] = ACTIONS(8115),
    [anon_sym___strong] = ACTIONS(8115),
    [anon_sym___unsafe_unretained] = ACTIONS(8115),
    [anon_sym___unused] = ACTIONS(8115),
    [anon_sym___weak] = ACTIONS(8115),
    [anon_sym_alignas] = ACTIONS(8115),
    [anon_sym__Alignas] = ACTIONS(8115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8115),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8115),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8115),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8115),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8115),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8115),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8115),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8115),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8115),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8115),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8117),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8115),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8115),
    [anon_sym_API_AVAILABLE] = ACTIONS(8115),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8115),
    [anon_sym_API_DEPRECATED] = ACTIONS(8115),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8115),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8115),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8115),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8115),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8115),
    [anon_sym___deprecated_msg] = ACTIONS(8115),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8115),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8115),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8115),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8115),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8115),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8115),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8115),
  },
  [3260] = {
    [sym_parameter_list] = STATE(3234),
    [anon_sym_COMMA] = ACTIONS(8119),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(8119),
    [anon_sym___extension__] = ACTIONS(8119),
    [anon_sym_extern] = ACTIONS(8119),
    [anon_sym___attribute__] = ACTIONS(8119),
    [anon_sym___attribute] = ACTIONS(8121),
    [anon_sym_noreturn] = ACTIONS(8119),
    [anon_sym_LBRACK] = ACTIONS(8093),
    [anon_sym___declspec] = ACTIONS(8119),
    [anon_sym_static] = ACTIONS(8119),
    [anon_sym_auto] = ACTIONS(8119),
    [anon_sym_register] = ACTIONS(8119),
    [anon_sym_inline] = ACTIONS(8119),
    [anon_sym___inline] = ACTIONS(8121),
    [anon_sym___inline__] = ACTIONS(8119),
    [anon_sym___forceinline] = ACTIONS(8119),
    [anon_sym_thread_local] = ACTIONS(8119),
    [anon_sym___thread] = ACTIONS(8119),
    [anon_sym_CG_EXTERN] = ACTIONS(8119),
    [anon_sym_CG_INLINE] = ACTIONS(8119),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8119),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8119),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8119),
    [anon_sym_IBOutlet] = ACTIONS(8119),
    [anon_sym_IBInspectable] = ACTIONS(8119),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8119),
    [anon_sym_NS_INLINE] = ACTIONS(8119),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8119),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8119),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8119),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8119),
    [anon_sym_const] = ACTIONS(8121),
    [anon_sym_constexpr] = ACTIONS(8119),
    [anon_sym_volatile] = ACTIONS(8119),
    [anon_sym_restrict] = ACTIONS(8119),
    [anon_sym___restrict__] = ACTIONS(8119),
    [anon_sym__Atomic] = ACTIONS(8119),
    [anon_sym__Noreturn] = ACTIONS(8119),
    [anon_sym__Nonnull] = ACTIONS(8119),
    [anon_sym_nullable] = ACTIONS(8119),
    [anon_sym__Complex] = ACTIONS(8119),
    [anon_sym__Nullable] = ACTIONS(8121),
    [anon_sym__Nullable_result] = ACTIONS(8119),
    [anon_sym__Null_unspecified] = ACTIONS(8119),
    [anon_sym___autoreleasing] = ACTIONS(8119),
    [anon_sym___block] = ACTIONS(8119),
    [anon_sym___bridge] = ACTIONS(8121),
    [anon_sym___bridge_retained] = ACTIONS(8119),
    [anon_sym___bridge_transfer] = ACTIONS(8119),
    [anon_sym___complex] = ACTIONS(8119),
    [anon_sym___const] = ACTIONS(8119),
    [anon_sym___imag] = ACTIONS(8119),
    [anon_sym___kindof] = ACTIONS(8119),
    [anon_sym___nonnull] = ACTIONS(8119),
    [anon_sym___nullable] = ACTIONS(8119),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8119),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8119),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8119),
    [anon_sym___real] = ACTIONS(8119),
    [anon_sym___strong] = ACTIONS(8119),
    [anon_sym___unsafe_unretained] = ACTIONS(8119),
    [anon_sym___unused] = ACTIONS(8119),
    [anon_sym___weak] = ACTIONS(8119),
    [anon_sym_alignas] = ACTIONS(8119),
    [anon_sym__Alignas] = ACTIONS(8119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8119),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8119),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8119),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8119),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8119),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8119),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8119),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8119),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8119),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8119),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8121),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8119),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8119),
    [anon_sym_API_AVAILABLE] = ACTIONS(8119),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8119),
    [anon_sym_API_DEPRECATED] = ACTIONS(8119),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8119),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8119),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8119),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8119),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8119),
    [anon_sym___deprecated_msg] = ACTIONS(8119),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8119),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8119),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8119),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8119),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8119),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8119),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8119),
  },
  [3261] = {
    [sym_parameter_list] = STATE(3234),
    [anon_sym_COMMA] = ACTIONS(8123),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(8123),
    [anon_sym___extension__] = ACTIONS(8123),
    [anon_sym_extern] = ACTIONS(8123),
    [anon_sym___attribute__] = ACTIONS(8123),
    [anon_sym___attribute] = ACTIONS(8125),
    [anon_sym_noreturn] = ACTIONS(8123),
    [anon_sym_LBRACK] = ACTIONS(8093),
    [anon_sym___declspec] = ACTIONS(8123),
    [anon_sym_static] = ACTIONS(8123),
    [anon_sym_auto] = ACTIONS(8123),
    [anon_sym_register] = ACTIONS(8123),
    [anon_sym_inline] = ACTIONS(8123),
    [anon_sym___inline] = ACTIONS(8125),
    [anon_sym___inline__] = ACTIONS(8123),
    [anon_sym___forceinline] = ACTIONS(8123),
    [anon_sym_thread_local] = ACTIONS(8123),
    [anon_sym___thread] = ACTIONS(8123),
    [anon_sym_CG_EXTERN] = ACTIONS(8123),
    [anon_sym_CG_INLINE] = ACTIONS(8123),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8123),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8123),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8123),
    [anon_sym_IBOutlet] = ACTIONS(8123),
    [anon_sym_IBInspectable] = ACTIONS(8123),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8123),
    [anon_sym_NS_INLINE] = ACTIONS(8123),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8123),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8123),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8123),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8123),
    [anon_sym_const] = ACTIONS(8125),
    [anon_sym_constexpr] = ACTIONS(8123),
    [anon_sym_volatile] = ACTIONS(8123),
    [anon_sym_restrict] = ACTIONS(8123),
    [anon_sym___restrict__] = ACTIONS(8123),
    [anon_sym__Atomic] = ACTIONS(8123),
    [anon_sym__Noreturn] = ACTIONS(8123),
    [anon_sym__Nonnull] = ACTIONS(8123),
    [anon_sym_nullable] = ACTIONS(8123),
    [anon_sym__Complex] = ACTIONS(8123),
    [anon_sym__Nullable] = ACTIONS(8125),
    [anon_sym__Nullable_result] = ACTIONS(8123),
    [anon_sym__Null_unspecified] = ACTIONS(8123),
    [anon_sym___autoreleasing] = ACTIONS(8123),
    [anon_sym___block] = ACTIONS(8123),
    [anon_sym___bridge] = ACTIONS(8125),
    [anon_sym___bridge_retained] = ACTIONS(8123),
    [anon_sym___bridge_transfer] = ACTIONS(8123),
    [anon_sym___complex] = ACTIONS(8123),
    [anon_sym___const] = ACTIONS(8123),
    [anon_sym___imag] = ACTIONS(8123),
    [anon_sym___kindof] = ACTIONS(8123),
    [anon_sym___nonnull] = ACTIONS(8123),
    [anon_sym___nullable] = ACTIONS(8123),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8123),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8123),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8123),
    [anon_sym___real] = ACTIONS(8123),
    [anon_sym___strong] = ACTIONS(8123),
    [anon_sym___unsafe_unretained] = ACTIONS(8123),
    [anon_sym___unused] = ACTIONS(8123),
    [anon_sym___weak] = ACTIONS(8123),
    [anon_sym_alignas] = ACTIONS(8123),
    [anon_sym__Alignas] = ACTIONS(8123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8123),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8123),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8123),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8123),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8123),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8123),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8123),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8123),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8123),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8123),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8125),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8123),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8123),
    [anon_sym_API_AVAILABLE] = ACTIONS(8123),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8123),
    [anon_sym_API_DEPRECATED] = ACTIONS(8123),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8123),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8123),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8123),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8123),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8123),
    [anon_sym___deprecated_msg] = ACTIONS(8123),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8123),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8123),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8123),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8123),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8123),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8123),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8123),
  },
  [3262] = {
    [anon_sym_COMMA] = ACTIONS(8127),
    [anon_sym_RPAREN] = ACTIONS(8127),
    [anon_sym_LPAREN2] = ACTIONS(8127),
    [anon_sym_SEMI] = ACTIONS(8127),
    [anon_sym___extension__] = ACTIONS(8127),
    [anon_sym_extern] = ACTIONS(8127),
    [anon_sym___attribute__] = ACTIONS(8127),
    [anon_sym___attribute] = ACTIONS(8129),
    [anon_sym_noreturn] = ACTIONS(8127),
    [anon_sym_LBRACK] = ACTIONS(8127),
    [anon_sym___declspec] = ACTIONS(8127),
    [anon_sym_static] = ACTIONS(8127),
    [anon_sym_auto] = ACTIONS(8127),
    [anon_sym_register] = ACTIONS(8127),
    [anon_sym_inline] = ACTIONS(8127),
    [anon_sym___inline] = ACTIONS(8129),
    [anon_sym___inline__] = ACTIONS(8127),
    [anon_sym___forceinline] = ACTIONS(8127),
    [anon_sym_thread_local] = ACTIONS(8127),
    [anon_sym___thread] = ACTIONS(8127),
    [anon_sym_CG_EXTERN] = ACTIONS(8127),
    [anon_sym_CG_INLINE] = ACTIONS(8127),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8127),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8127),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8127),
    [anon_sym_IBOutlet] = ACTIONS(8127),
    [anon_sym_IBInspectable] = ACTIONS(8127),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8127),
    [anon_sym_NS_INLINE] = ACTIONS(8127),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8127),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8127),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8127),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8127),
    [anon_sym_const] = ACTIONS(8129),
    [anon_sym_constexpr] = ACTIONS(8127),
    [anon_sym_volatile] = ACTIONS(8127),
    [anon_sym_restrict] = ACTIONS(8127),
    [anon_sym___restrict__] = ACTIONS(8127),
    [anon_sym__Atomic] = ACTIONS(8127),
    [anon_sym__Noreturn] = ACTIONS(8127),
    [anon_sym__Nonnull] = ACTIONS(8127),
    [anon_sym_nullable] = ACTIONS(8127),
    [anon_sym__Complex] = ACTIONS(8127),
    [anon_sym__Nullable] = ACTIONS(8129),
    [anon_sym__Nullable_result] = ACTIONS(8127),
    [anon_sym__Null_unspecified] = ACTIONS(8127),
    [anon_sym___autoreleasing] = ACTIONS(8127),
    [anon_sym___block] = ACTIONS(8127),
    [anon_sym___bridge] = ACTIONS(8129),
    [anon_sym___bridge_retained] = ACTIONS(8127),
    [anon_sym___bridge_transfer] = ACTIONS(8127),
    [anon_sym___complex] = ACTIONS(8127),
    [anon_sym___const] = ACTIONS(8127),
    [anon_sym___imag] = ACTIONS(8127),
    [anon_sym___kindof] = ACTIONS(8127),
    [anon_sym___nonnull] = ACTIONS(8127),
    [anon_sym___nullable] = ACTIONS(8127),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8127),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8127),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8127),
    [anon_sym___real] = ACTIONS(8127),
    [anon_sym___strong] = ACTIONS(8127),
    [anon_sym___unsafe_unretained] = ACTIONS(8127),
    [anon_sym___unused] = ACTIONS(8127),
    [anon_sym___weak] = ACTIONS(8127),
    [anon_sym_alignas] = ACTIONS(8127),
    [anon_sym__Alignas] = ACTIONS(8127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8127),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8127),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8127),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8127),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8127),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8127),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8127),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8127),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8127),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8127),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8129),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8127),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8127),
    [anon_sym_API_AVAILABLE] = ACTIONS(8127),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8127),
    [anon_sym_API_DEPRECATED] = ACTIONS(8127),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8127),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8127),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8127),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8127),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8127),
    [anon_sym___deprecated_msg] = ACTIONS(8127),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8127),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8127),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8127),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8127),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8127),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8127),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8127),
  },
  [3263] = {
    [sym_parameter_list] = STATE(3234),
    [anon_sym_COMMA] = ACTIONS(8131),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(8131),
    [anon_sym___extension__] = ACTIONS(8131),
    [anon_sym_extern] = ACTIONS(8131),
    [anon_sym___attribute__] = ACTIONS(8131),
    [anon_sym___attribute] = ACTIONS(8133),
    [anon_sym_noreturn] = ACTIONS(8131),
    [anon_sym_LBRACK] = ACTIONS(8093),
    [anon_sym___declspec] = ACTIONS(8131),
    [anon_sym_static] = ACTIONS(8131),
    [anon_sym_auto] = ACTIONS(8131),
    [anon_sym_register] = ACTIONS(8131),
    [anon_sym_inline] = ACTIONS(8131),
    [anon_sym___inline] = ACTIONS(8133),
    [anon_sym___inline__] = ACTIONS(8131),
    [anon_sym___forceinline] = ACTIONS(8131),
    [anon_sym_thread_local] = ACTIONS(8131),
    [anon_sym___thread] = ACTIONS(8131),
    [anon_sym_CG_EXTERN] = ACTIONS(8131),
    [anon_sym_CG_INLINE] = ACTIONS(8131),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8131),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8131),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8131),
    [anon_sym_IBOutlet] = ACTIONS(8131),
    [anon_sym_IBInspectable] = ACTIONS(8131),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8131),
    [anon_sym_NS_INLINE] = ACTIONS(8131),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8131),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8131),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8131),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8131),
    [anon_sym_const] = ACTIONS(8133),
    [anon_sym_constexpr] = ACTIONS(8131),
    [anon_sym_volatile] = ACTIONS(8131),
    [anon_sym_restrict] = ACTIONS(8131),
    [anon_sym___restrict__] = ACTIONS(8131),
    [anon_sym__Atomic] = ACTIONS(8131),
    [anon_sym__Noreturn] = ACTIONS(8131),
    [anon_sym__Nonnull] = ACTIONS(8131),
    [anon_sym_nullable] = ACTIONS(8131),
    [anon_sym__Complex] = ACTIONS(8131),
    [anon_sym__Nullable] = ACTIONS(8133),
    [anon_sym__Nullable_result] = ACTIONS(8131),
    [anon_sym__Null_unspecified] = ACTIONS(8131),
    [anon_sym___autoreleasing] = ACTIONS(8131),
    [anon_sym___block] = ACTIONS(8131),
    [anon_sym___bridge] = ACTIONS(8133),
    [anon_sym___bridge_retained] = ACTIONS(8131),
    [anon_sym___bridge_transfer] = ACTIONS(8131),
    [anon_sym___complex] = ACTIONS(8131),
    [anon_sym___const] = ACTIONS(8131),
    [anon_sym___imag] = ACTIONS(8131),
    [anon_sym___kindof] = ACTIONS(8131),
    [anon_sym___nonnull] = ACTIONS(8131),
    [anon_sym___nullable] = ACTIONS(8131),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8131),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8131),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8131),
    [anon_sym___real] = ACTIONS(8131),
    [anon_sym___strong] = ACTIONS(8131),
    [anon_sym___unsafe_unretained] = ACTIONS(8131),
    [anon_sym___unused] = ACTIONS(8131),
    [anon_sym___weak] = ACTIONS(8131),
    [anon_sym_alignas] = ACTIONS(8131),
    [anon_sym__Alignas] = ACTIONS(8131),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8131),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8131),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8131),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8131),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8131),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8131),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8131),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8131),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8131),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8131),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8133),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8131),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8131),
    [anon_sym_API_AVAILABLE] = ACTIONS(8131),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8131),
    [anon_sym_API_DEPRECATED] = ACTIONS(8131),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8131),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8131),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8131),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8131),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8131),
    [anon_sym___deprecated_msg] = ACTIONS(8131),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8131),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8131),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8131),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8131),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8131),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8131),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8131),
  },
  [3264] = {
    [sym_parameter_list] = STATE(3234),
    [anon_sym_COMMA] = ACTIONS(8135),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(8135),
    [anon_sym___extension__] = ACTIONS(8135),
    [anon_sym_extern] = ACTIONS(8135),
    [anon_sym___attribute__] = ACTIONS(8135),
    [anon_sym___attribute] = ACTIONS(8137),
    [anon_sym_noreturn] = ACTIONS(8135),
    [anon_sym_LBRACK] = ACTIONS(8093),
    [anon_sym___declspec] = ACTIONS(8135),
    [anon_sym_static] = ACTIONS(8135),
    [anon_sym_auto] = ACTIONS(8135),
    [anon_sym_register] = ACTIONS(8135),
    [anon_sym_inline] = ACTIONS(8135),
    [anon_sym___inline] = ACTIONS(8137),
    [anon_sym___inline__] = ACTIONS(8135),
    [anon_sym___forceinline] = ACTIONS(8135),
    [anon_sym_thread_local] = ACTIONS(8135),
    [anon_sym___thread] = ACTIONS(8135),
    [anon_sym_CG_EXTERN] = ACTIONS(8135),
    [anon_sym_CG_INLINE] = ACTIONS(8135),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8135),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8135),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8135),
    [anon_sym_IBOutlet] = ACTIONS(8135),
    [anon_sym_IBInspectable] = ACTIONS(8135),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8135),
    [anon_sym_NS_INLINE] = ACTIONS(8135),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8135),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8135),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8135),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8135),
    [anon_sym_const] = ACTIONS(8137),
    [anon_sym_constexpr] = ACTIONS(8135),
    [anon_sym_volatile] = ACTIONS(8135),
    [anon_sym_restrict] = ACTIONS(8135),
    [anon_sym___restrict__] = ACTIONS(8135),
    [anon_sym__Atomic] = ACTIONS(8135),
    [anon_sym__Noreturn] = ACTIONS(8135),
    [anon_sym__Nonnull] = ACTIONS(8135),
    [anon_sym_nullable] = ACTIONS(8135),
    [anon_sym__Complex] = ACTIONS(8135),
    [anon_sym__Nullable] = ACTIONS(8137),
    [anon_sym__Nullable_result] = ACTIONS(8135),
    [anon_sym__Null_unspecified] = ACTIONS(8135),
    [anon_sym___autoreleasing] = ACTIONS(8135),
    [anon_sym___block] = ACTIONS(8135),
    [anon_sym___bridge] = ACTIONS(8137),
    [anon_sym___bridge_retained] = ACTIONS(8135),
    [anon_sym___bridge_transfer] = ACTIONS(8135),
    [anon_sym___complex] = ACTIONS(8135),
    [anon_sym___const] = ACTIONS(8135),
    [anon_sym___imag] = ACTIONS(8135),
    [anon_sym___kindof] = ACTIONS(8135),
    [anon_sym___nonnull] = ACTIONS(8135),
    [anon_sym___nullable] = ACTIONS(8135),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8135),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8135),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8135),
    [anon_sym___real] = ACTIONS(8135),
    [anon_sym___strong] = ACTIONS(8135),
    [anon_sym___unsafe_unretained] = ACTIONS(8135),
    [anon_sym___unused] = ACTIONS(8135),
    [anon_sym___weak] = ACTIONS(8135),
    [anon_sym_alignas] = ACTIONS(8135),
    [anon_sym__Alignas] = ACTIONS(8135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8135),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8135),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8135),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8135),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8135),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8135),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8135),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8135),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8135),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8135),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8137),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8135),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8135),
    [anon_sym_API_AVAILABLE] = ACTIONS(8135),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8135),
    [anon_sym_API_DEPRECATED] = ACTIONS(8135),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8135),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8135),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8135),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8135),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8135),
    [anon_sym___deprecated_msg] = ACTIONS(8135),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8135),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8135),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8135),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8135),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8135),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8135),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8135),
  },
  [3265] = {
    [sym_parameter_list] = STATE(3234),
    [anon_sym_COMMA] = ACTIONS(8139),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(8139),
    [anon_sym___extension__] = ACTIONS(8139),
    [anon_sym_extern] = ACTIONS(8139),
    [anon_sym___attribute__] = ACTIONS(8139),
    [anon_sym___attribute] = ACTIONS(8141),
    [anon_sym_noreturn] = ACTIONS(8139),
    [anon_sym_LBRACK] = ACTIONS(8093),
    [anon_sym___declspec] = ACTIONS(8139),
    [anon_sym_static] = ACTIONS(8139),
    [anon_sym_auto] = ACTIONS(8139),
    [anon_sym_register] = ACTIONS(8139),
    [anon_sym_inline] = ACTIONS(8139),
    [anon_sym___inline] = ACTIONS(8141),
    [anon_sym___inline__] = ACTIONS(8139),
    [anon_sym___forceinline] = ACTIONS(8139),
    [anon_sym_thread_local] = ACTIONS(8139),
    [anon_sym___thread] = ACTIONS(8139),
    [anon_sym_CG_EXTERN] = ACTIONS(8139),
    [anon_sym_CG_INLINE] = ACTIONS(8139),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8139),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8139),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8139),
    [anon_sym_IBOutlet] = ACTIONS(8139),
    [anon_sym_IBInspectable] = ACTIONS(8139),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8139),
    [anon_sym_NS_INLINE] = ACTIONS(8139),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8139),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8139),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8139),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8139),
    [anon_sym_const] = ACTIONS(8141),
    [anon_sym_constexpr] = ACTIONS(8139),
    [anon_sym_volatile] = ACTIONS(8139),
    [anon_sym_restrict] = ACTIONS(8139),
    [anon_sym___restrict__] = ACTIONS(8139),
    [anon_sym__Atomic] = ACTIONS(8139),
    [anon_sym__Noreturn] = ACTIONS(8139),
    [anon_sym__Nonnull] = ACTIONS(8139),
    [anon_sym_nullable] = ACTIONS(8139),
    [anon_sym__Complex] = ACTIONS(8139),
    [anon_sym__Nullable] = ACTIONS(8141),
    [anon_sym__Nullable_result] = ACTIONS(8139),
    [anon_sym__Null_unspecified] = ACTIONS(8139),
    [anon_sym___autoreleasing] = ACTIONS(8139),
    [anon_sym___block] = ACTIONS(8139),
    [anon_sym___bridge] = ACTIONS(8141),
    [anon_sym___bridge_retained] = ACTIONS(8139),
    [anon_sym___bridge_transfer] = ACTIONS(8139),
    [anon_sym___complex] = ACTIONS(8139),
    [anon_sym___const] = ACTIONS(8139),
    [anon_sym___imag] = ACTIONS(8139),
    [anon_sym___kindof] = ACTIONS(8139),
    [anon_sym___nonnull] = ACTIONS(8139),
    [anon_sym___nullable] = ACTIONS(8139),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8139),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8139),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8139),
    [anon_sym___real] = ACTIONS(8139),
    [anon_sym___strong] = ACTIONS(8139),
    [anon_sym___unsafe_unretained] = ACTIONS(8139),
    [anon_sym___unused] = ACTIONS(8139),
    [anon_sym___weak] = ACTIONS(8139),
    [anon_sym_alignas] = ACTIONS(8139),
    [anon_sym__Alignas] = ACTIONS(8139),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8139),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8139),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8139),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8139),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8139),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8139),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8139),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8139),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8139),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8139),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8141),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8139),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8139),
    [anon_sym_API_AVAILABLE] = ACTIONS(8139),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8139),
    [anon_sym_API_DEPRECATED] = ACTIONS(8139),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8139),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8139),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8139),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8139),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8139),
    [anon_sym___deprecated_msg] = ACTIONS(8139),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8139),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8139),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8139),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8139),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8139),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8139),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8139),
  },
  [3266] = {
    [anon_sym_COMMA] = ACTIONS(8143),
    [anon_sym_RPAREN] = ACTIONS(8143),
    [anon_sym_LPAREN2] = ACTIONS(8143),
    [anon_sym_SEMI] = ACTIONS(8143),
    [anon_sym___extension__] = ACTIONS(8143),
    [anon_sym_extern] = ACTIONS(8143),
    [anon_sym___attribute__] = ACTIONS(8143),
    [anon_sym___attribute] = ACTIONS(8145),
    [anon_sym_noreturn] = ACTIONS(8143),
    [anon_sym_LBRACK] = ACTIONS(8143),
    [anon_sym___declspec] = ACTIONS(8143),
    [anon_sym_static] = ACTIONS(8143),
    [anon_sym_auto] = ACTIONS(8143),
    [anon_sym_register] = ACTIONS(8143),
    [anon_sym_inline] = ACTIONS(8143),
    [anon_sym___inline] = ACTIONS(8145),
    [anon_sym___inline__] = ACTIONS(8143),
    [anon_sym___forceinline] = ACTIONS(8143),
    [anon_sym_thread_local] = ACTIONS(8143),
    [anon_sym___thread] = ACTIONS(8143),
    [anon_sym_CG_EXTERN] = ACTIONS(8143),
    [anon_sym_CG_INLINE] = ACTIONS(8143),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8143),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8143),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8143),
    [anon_sym_IBOutlet] = ACTIONS(8143),
    [anon_sym_IBInspectable] = ACTIONS(8143),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8143),
    [anon_sym_NS_INLINE] = ACTIONS(8143),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8143),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8143),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8143),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8143),
    [anon_sym_const] = ACTIONS(8145),
    [anon_sym_constexpr] = ACTIONS(8143),
    [anon_sym_volatile] = ACTIONS(8143),
    [anon_sym_restrict] = ACTIONS(8143),
    [anon_sym___restrict__] = ACTIONS(8143),
    [anon_sym__Atomic] = ACTIONS(8143),
    [anon_sym__Noreturn] = ACTIONS(8143),
    [anon_sym__Nonnull] = ACTIONS(8143),
    [anon_sym_nullable] = ACTIONS(8143),
    [anon_sym__Complex] = ACTIONS(8143),
    [anon_sym__Nullable] = ACTIONS(8145),
    [anon_sym__Nullable_result] = ACTIONS(8143),
    [anon_sym__Null_unspecified] = ACTIONS(8143),
    [anon_sym___autoreleasing] = ACTIONS(8143),
    [anon_sym___block] = ACTIONS(8143),
    [anon_sym___bridge] = ACTIONS(8145),
    [anon_sym___bridge_retained] = ACTIONS(8143),
    [anon_sym___bridge_transfer] = ACTIONS(8143),
    [anon_sym___complex] = ACTIONS(8143),
    [anon_sym___const] = ACTIONS(8143),
    [anon_sym___imag] = ACTIONS(8143),
    [anon_sym___kindof] = ACTIONS(8143),
    [anon_sym___nonnull] = ACTIONS(8143),
    [anon_sym___nullable] = ACTIONS(8143),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8143),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8143),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8143),
    [anon_sym___real] = ACTIONS(8143),
    [anon_sym___strong] = ACTIONS(8143),
    [anon_sym___unsafe_unretained] = ACTIONS(8143),
    [anon_sym___unused] = ACTIONS(8143),
    [anon_sym___weak] = ACTIONS(8143),
    [anon_sym_alignas] = ACTIONS(8143),
    [anon_sym__Alignas] = ACTIONS(8143),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8143),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8143),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8143),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8143),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8143),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8143),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8143),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8143),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8143),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8143),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8145),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8143),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8143),
    [anon_sym_API_AVAILABLE] = ACTIONS(8143),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8143),
    [anon_sym_API_DEPRECATED] = ACTIONS(8143),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8143),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8143),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8143),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8143),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8143),
    [anon_sym___deprecated_msg] = ACTIONS(8143),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8143),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8143),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8143),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8143),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8143),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8143),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8143),
  },
  [3267] = {
    [anon_sym_COMMA] = ACTIONS(8147),
    [anon_sym_RPAREN] = ACTIONS(8147),
    [anon_sym_LPAREN2] = ACTIONS(8147),
    [anon_sym_SEMI] = ACTIONS(8147),
    [anon_sym___extension__] = ACTIONS(8147),
    [anon_sym_extern] = ACTIONS(8147),
    [anon_sym___attribute__] = ACTIONS(8147),
    [anon_sym___attribute] = ACTIONS(8149),
    [anon_sym_noreturn] = ACTIONS(8147),
    [anon_sym_LBRACK] = ACTIONS(8147),
    [anon_sym___declspec] = ACTIONS(8147),
    [anon_sym_static] = ACTIONS(8147),
    [anon_sym_auto] = ACTIONS(8147),
    [anon_sym_register] = ACTIONS(8147),
    [anon_sym_inline] = ACTIONS(8147),
    [anon_sym___inline] = ACTIONS(8149),
    [anon_sym___inline__] = ACTIONS(8147),
    [anon_sym___forceinline] = ACTIONS(8147),
    [anon_sym_thread_local] = ACTIONS(8147),
    [anon_sym___thread] = ACTIONS(8147),
    [anon_sym_CG_EXTERN] = ACTIONS(8147),
    [anon_sym_CG_INLINE] = ACTIONS(8147),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8147),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8147),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8147),
    [anon_sym_IBOutlet] = ACTIONS(8147),
    [anon_sym_IBInspectable] = ACTIONS(8147),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8147),
    [anon_sym_NS_INLINE] = ACTIONS(8147),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8147),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8147),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8147),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8147),
    [anon_sym_const] = ACTIONS(8149),
    [anon_sym_constexpr] = ACTIONS(8147),
    [anon_sym_volatile] = ACTIONS(8147),
    [anon_sym_restrict] = ACTIONS(8147),
    [anon_sym___restrict__] = ACTIONS(8147),
    [anon_sym__Atomic] = ACTIONS(8147),
    [anon_sym__Noreturn] = ACTIONS(8147),
    [anon_sym__Nonnull] = ACTIONS(8147),
    [anon_sym_nullable] = ACTIONS(8147),
    [anon_sym__Complex] = ACTIONS(8147),
    [anon_sym__Nullable] = ACTIONS(8149),
    [anon_sym__Nullable_result] = ACTIONS(8147),
    [anon_sym__Null_unspecified] = ACTIONS(8147),
    [anon_sym___autoreleasing] = ACTIONS(8147),
    [anon_sym___block] = ACTIONS(8147),
    [anon_sym___bridge] = ACTIONS(8149),
    [anon_sym___bridge_retained] = ACTIONS(8147),
    [anon_sym___bridge_transfer] = ACTIONS(8147),
    [anon_sym___complex] = ACTIONS(8147),
    [anon_sym___const] = ACTIONS(8147),
    [anon_sym___imag] = ACTIONS(8147),
    [anon_sym___kindof] = ACTIONS(8147),
    [anon_sym___nonnull] = ACTIONS(8147),
    [anon_sym___nullable] = ACTIONS(8147),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8147),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8147),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8147),
    [anon_sym___real] = ACTIONS(8147),
    [anon_sym___strong] = ACTIONS(8147),
    [anon_sym___unsafe_unretained] = ACTIONS(8147),
    [anon_sym___unused] = ACTIONS(8147),
    [anon_sym___weak] = ACTIONS(8147),
    [anon_sym_alignas] = ACTIONS(8147),
    [anon_sym__Alignas] = ACTIONS(8147),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8147),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8147),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8147),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8147),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8147),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8147),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8147),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8147),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8147),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8147),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8149),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8147),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8147),
    [anon_sym_API_AVAILABLE] = ACTIONS(8147),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8147),
    [anon_sym_API_DEPRECATED] = ACTIONS(8147),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8147),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8147),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8147),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8147),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8147),
    [anon_sym___deprecated_msg] = ACTIONS(8147),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8147),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8147),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8147),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8147),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8147),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8147),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8147),
  },
  [3268] = {
    [sym_attribute_specifier] = STATE(4004),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_compound_statement] = STATE(1640),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_parameter_list] = STATE(5032),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3224),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(4921),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3224),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_LPAREN2] = ACTIONS(8107),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym_LT] = ACTIONS(8109),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_LBRACK] = ACTIONS(8109),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_LBRACE] = ACTIONS(8151),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_ATautoreleasepool] = ACTIONS(8153),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7995),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3269] = {
    [anon_sym_COMMA] = ACTIONS(8155),
    [anon_sym_RPAREN] = ACTIONS(8155),
    [anon_sym_LPAREN2] = ACTIONS(8155),
    [anon_sym_SEMI] = ACTIONS(8155),
    [anon_sym___extension__] = ACTIONS(8155),
    [anon_sym_extern] = ACTIONS(8155),
    [anon_sym___attribute__] = ACTIONS(8155),
    [anon_sym___attribute] = ACTIONS(8157),
    [anon_sym_noreturn] = ACTIONS(8155),
    [anon_sym_LBRACK] = ACTIONS(8155),
    [anon_sym___declspec] = ACTIONS(8155),
    [anon_sym_static] = ACTIONS(8155),
    [anon_sym_auto] = ACTIONS(8155),
    [anon_sym_register] = ACTIONS(8155),
    [anon_sym_inline] = ACTIONS(8155),
    [anon_sym___inline] = ACTIONS(8157),
    [anon_sym___inline__] = ACTIONS(8155),
    [anon_sym___forceinline] = ACTIONS(8155),
    [anon_sym_thread_local] = ACTIONS(8155),
    [anon_sym___thread] = ACTIONS(8155),
    [anon_sym_CG_EXTERN] = ACTIONS(8155),
    [anon_sym_CG_INLINE] = ACTIONS(8155),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8155),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8155),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8155),
    [anon_sym_IBOutlet] = ACTIONS(8155),
    [anon_sym_IBInspectable] = ACTIONS(8155),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8155),
    [anon_sym_NS_INLINE] = ACTIONS(8155),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8155),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8155),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8155),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8155),
    [anon_sym_const] = ACTIONS(8157),
    [anon_sym_constexpr] = ACTIONS(8155),
    [anon_sym_volatile] = ACTIONS(8155),
    [anon_sym_restrict] = ACTIONS(8155),
    [anon_sym___restrict__] = ACTIONS(8155),
    [anon_sym__Atomic] = ACTIONS(8155),
    [anon_sym__Noreturn] = ACTIONS(8155),
    [anon_sym__Nonnull] = ACTIONS(8155),
    [anon_sym_nullable] = ACTIONS(8155),
    [anon_sym__Complex] = ACTIONS(8155),
    [anon_sym__Nullable] = ACTIONS(8157),
    [anon_sym__Nullable_result] = ACTIONS(8155),
    [anon_sym__Null_unspecified] = ACTIONS(8155),
    [anon_sym___autoreleasing] = ACTIONS(8155),
    [anon_sym___block] = ACTIONS(8155),
    [anon_sym___bridge] = ACTIONS(8157),
    [anon_sym___bridge_retained] = ACTIONS(8155),
    [anon_sym___bridge_transfer] = ACTIONS(8155),
    [anon_sym___complex] = ACTIONS(8155),
    [anon_sym___const] = ACTIONS(8155),
    [anon_sym___imag] = ACTIONS(8155),
    [anon_sym___kindof] = ACTIONS(8155),
    [anon_sym___nonnull] = ACTIONS(8155),
    [anon_sym___nullable] = ACTIONS(8155),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8155),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8155),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8155),
    [anon_sym___real] = ACTIONS(8155),
    [anon_sym___strong] = ACTIONS(8155),
    [anon_sym___unsafe_unretained] = ACTIONS(8155),
    [anon_sym___unused] = ACTIONS(8155),
    [anon_sym___weak] = ACTIONS(8155),
    [anon_sym_alignas] = ACTIONS(8155),
    [anon_sym__Alignas] = ACTIONS(8155),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8155),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8155),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8155),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8155),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8155),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8155),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8155),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8155),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8155),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8155),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8157),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8155),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8155),
    [anon_sym_API_AVAILABLE] = ACTIONS(8155),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8155),
    [anon_sym_API_DEPRECATED] = ACTIONS(8155),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8155),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8155),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8155),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8155),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8155),
    [anon_sym___deprecated_msg] = ACTIONS(8155),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8155),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8155),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8155),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8155),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8155),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8155),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8155),
  },
  [3270] = {
    [sym_identifier] = ACTIONS(8062),
    [anon_sym_COMMA] = ACTIONS(8064),
    [anon_sym_SEMI] = ACTIONS(8064),
    [anon_sym___extension__] = ACTIONS(8062),
    [anon_sym_extern] = ACTIONS(8062),
    [anon_sym___attribute__] = ACTIONS(8062),
    [anon_sym___attribute] = ACTIONS(8062),
    [anon_sym_noreturn] = ACTIONS(8062),
    [anon_sym_LBRACK] = ACTIONS(8064),
    [anon_sym___declspec] = ACTIONS(8062),
    [anon_sym_static] = ACTIONS(8062),
    [anon_sym_auto] = ACTIONS(8062),
    [anon_sym_register] = ACTIONS(8062),
    [anon_sym_inline] = ACTIONS(8062),
    [anon_sym___inline] = ACTIONS(8062),
    [anon_sym___inline__] = ACTIONS(8062),
    [anon_sym___forceinline] = ACTIONS(8062),
    [anon_sym_thread_local] = ACTIONS(8062),
    [anon_sym___thread] = ACTIONS(8062),
    [anon_sym_CG_EXTERN] = ACTIONS(8062),
    [anon_sym_CG_INLINE] = ACTIONS(8062),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8062),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8062),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8062),
    [anon_sym_IBOutlet] = ACTIONS(8062),
    [anon_sym_IBInspectable] = ACTIONS(8062),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8062),
    [anon_sym_NS_INLINE] = ACTIONS(8062),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8062),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8062),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8062),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8062),
    [anon_sym_const] = ACTIONS(8062),
    [anon_sym_constexpr] = ACTIONS(8062),
    [anon_sym_volatile] = ACTIONS(8062),
    [anon_sym_restrict] = ACTIONS(8062),
    [anon_sym___restrict__] = ACTIONS(8062),
    [anon_sym__Atomic] = ACTIONS(8062),
    [anon_sym__Noreturn] = ACTIONS(8062),
    [anon_sym__Nonnull] = ACTIONS(8062),
    [anon_sym_nullable] = ACTIONS(8062),
    [anon_sym__Complex] = ACTIONS(8062),
    [anon_sym__Nullable] = ACTIONS(8062),
    [anon_sym__Nullable_result] = ACTIONS(8062),
    [anon_sym__Null_unspecified] = ACTIONS(8062),
    [anon_sym___autoreleasing] = ACTIONS(8062),
    [anon_sym___block] = ACTIONS(8062),
    [anon_sym___bridge] = ACTIONS(8062),
    [anon_sym___bridge_retained] = ACTIONS(8062),
    [anon_sym___bridge_transfer] = ACTIONS(8062),
    [anon_sym___complex] = ACTIONS(8062),
    [anon_sym___const] = ACTIONS(8062),
    [anon_sym___imag] = ACTIONS(8062),
    [anon_sym___kindof] = ACTIONS(8062),
    [anon_sym___nonnull] = ACTIONS(8062),
    [anon_sym___nullable] = ACTIONS(8062),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8062),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8062),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8062),
    [anon_sym___real] = ACTIONS(8062),
    [anon_sym___strong] = ACTIONS(8062),
    [anon_sym___unsafe_unretained] = ACTIONS(8062),
    [anon_sym___unused] = ACTIONS(8062),
    [anon_sym___weak] = ACTIONS(8062),
    [anon_sym_alignas] = ACTIONS(8062),
    [anon_sym__Alignas] = ACTIONS(8062),
    [anon_sym_COLON] = ACTIONS(8064),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8062),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8062),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8062),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8062),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8062),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8062),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8062),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8062),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8062),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8062),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8062),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8062),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8062),
    [anon_sym_API_AVAILABLE] = ACTIONS(8062),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8062),
    [anon_sym_API_DEPRECATED] = ACTIONS(8062),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8062),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8062),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8062),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8062),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8062),
    [anon_sym___deprecated_msg] = ACTIONS(8062),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8062),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8062),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8062),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8062),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8062),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8062),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8062),
  },
  [3271] = {
    [sym_identifier] = ACTIONS(8082),
    [anon_sym_COMMA] = ACTIONS(8084),
    [anon_sym_SEMI] = ACTIONS(8084),
    [anon_sym___extension__] = ACTIONS(8082),
    [anon_sym_extern] = ACTIONS(8082),
    [anon_sym___attribute__] = ACTIONS(8082),
    [anon_sym___attribute] = ACTIONS(8082),
    [anon_sym_noreturn] = ACTIONS(8082),
    [anon_sym_LBRACK] = ACTIONS(8084),
    [anon_sym___declspec] = ACTIONS(8082),
    [anon_sym_static] = ACTIONS(8082),
    [anon_sym_auto] = ACTIONS(8082),
    [anon_sym_register] = ACTIONS(8082),
    [anon_sym_inline] = ACTIONS(8082),
    [anon_sym___inline] = ACTIONS(8082),
    [anon_sym___inline__] = ACTIONS(8082),
    [anon_sym___forceinline] = ACTIONS(8082),
    [anon_sym_thread_local] = ACTIONS(8082),
    [anon_sym___thread] = ACTIONS(8082),
    [anon_sym_CG_EXTERN] = ACTIONS(8082),
    [anon_sym_CG_INLINE] = ACTIONS(8082),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8082),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8082),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8082),
    [anon_sym_IBOutlet] = ACTIONS(8082),
    [anon_sym_IBInspectable] = ACTIONS(8082),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8082),
    [anon_sym_NS_INLINE] = ACTIONS(8082),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8082),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8082),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8082),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8082),
    [anon_sym_const] = ACTIONS(8082),
    [anon_sym_constexpr] = ACTIONS(8082),
    [anon_sym_volatile] = ACTIONS(8082),
    [anon_sym_restrict] = ACTIONS(8082),
    [anon_sym___restrict__] = ACTIONS(8082),
    [anon_sym__Atomic] = ACTIONS(8082),
    [anon_sym__Noreturn] = ACTIONS(8082),
    [anon_sym__Nonnull] = ACTIONS(8082),
    [anon_sym_nullable] = ACTIONS(8082),
    [anon_sym__Complex] = ACTIONS(8082),
    [anon_sym__Nullable] = ACTIONS(8082),
    [anon_sym__Nullable_result] = ACTIONS(8082),
    [anon_sym__Null_unspecified] = ACTIONS(8082),
    [anon_sym___autoreleasing] = ACTIONS(8082),
    [anon_sym___block] = ACTIONS(8082),
    [anon_sym___bridge] = ACTIONS(8082),
    [anon_sym___bridge_retained] = ACTIONS(8082),
    [anon_sym___bridge_transfer] = ACTIONS(8082),
    [anon_sym___complex] = ACTIONS(8082),
    [anon_sym___const] = ACTIONS(8082),
    [anon_sym___imag] = ACTIONS(8082),
    [anon_sym___kindof] = ACTIONS(8082),
    [anon_sym___nonnull] = ACTIONS(8082),
    [anon_sym___nullable] = ACTIONS(8082),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8082),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8082),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8082),
    [anon_sym___real] = ACTIONS(8082),
    [anon_sym___strong] = ACTIONS(8082),
    [anon_sym___unsafe_unretained] = ACTIONS(8082),
    [anon_sym___unused] = ACTIONS(8082),
    [anon_sym___weak] = ACTIONS(8082),
    [anon_sym_alignas] = ACTIONS(8082),
    [anon_sym__Alignas] = ACTIONS(8082),
    [anon_sym_COLON] = ACTIONS(8084),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8082),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8082),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8082),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8082),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8082),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8082),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8082),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8082),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8082),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8082),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8082),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8082),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8082),
    [anon_sym_API_AVAILABLE] = ACTIONS(8082),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8082),
    [anon_sym_API_DEPRECATED] = ACTIONS(8082),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8082),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8082),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8082),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8082),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8082),
    [anon_sym___deprecated_msg] = ACTIONS(8082),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8082),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8082),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8082),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8082),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8082),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8082),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8082),
  },
  [3272] = {
    [sym_parameter_list] = STATE(3234),
    [anon_sym_COMMA] = ACTIONS(8159),
    [anon_sym_LPAREN2] = ACTIONS(6858),
    [anon_sym_SEMI] = ACTIONS(8159),
    [anon_sym___extension__] = ACTIONS(8159),
    [anon_sym_extern] = ACTIONS(8159),
    [anon_sym___attribute__] = ACTIONS(8159),
    [anon_sym___attribute] = ACTIONS(8161),
    [anon_sym_noreturn] = ACTIONS(8159),
    [anon_sym_LBRACK] = ACTIONS(8093),
    [anon_sym___declspec] = ACTIONS(8159),
    [anon_sym_static] = ACTIONS(8159),
    [anon_sym_auto] = ACTIONS(8159),
    [anon_sym_register] = ACTIONS(8159),
    [anon_sym_inline] = ACTIONS(8159),
    [anon_sym___inline] = ACTIONS(8161),
    [anon_sym___inline__] = ACTIONS(8159),
    [anon_sym___forceinline] = ACTIONS(8159),
    [anon_sym_thread_local] = ACTIONS(8159),
    [anon_sym___thread] = ACTIONS(8159),
    [anon_sym_CG_EXTERN] = ACTIONS(8159),
    [anon_sym_CG_INLINE] = ACTIONS(8159),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8159),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8159),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8159),
    [anon_sym_IBOutlet] = ACTIONS(8159),
    [anon_sym_IBInspectable] = ACTIONS(8159),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8159),
    [anon_sym_NS_INLINE] = ACTIONS(8159),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8159),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8159),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8159),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8159),
    [anon_sym_const] = ACTIONS(8161),
    [anon_sym_constexpr] = ACTIONS(8159),
    [anon_sym_volatile] = ACTIONS(8159),
    [anon_sym_restrict] = ACTIONS(8159),
    [anon_sym___restrict__] = ACTIONS(8159),
    [anon_sym__Atomic] = ACTIONS(8159),
    [anon_sym__Noreturn] = ACTIONS(8159),
    [anon_sym__Nonnull] = ACTIONS(8159),
    [anon_sym_nullable] = ACTIONS(8159),
    [anon_sym__Complex] = ACTIONS(8159),
    [anon_sym__Nullable] = ACTIONS(8161),
    [anon_sym__Nullable_result] = ACTIONS(8159),
    [anon_sym__Null_unspecified] = ACTIONS(8159),
    [anon_sym___autoreleasing] = ACTIONS(8159),
    [anon_sym___block] = ACTIONS(8159),
    [anon_sym___bridge] = ACTIONS(8161),
    [anon_sym___bridge_retained] = ACTIONS(8159),
    [anon_sym___bridge_transfer] = ACTIONS(8159),
    [anon_sym___complex] = ACTIONS(8159),
    [anon_sym___const] = ACTIONS(8159),
    [anon_sym___imag] = ACTIONS(8159),
    [anon_sym___kindof] = ACTIONS(8159),
    [anon_sym___nonnull] = ACTIONS(8159),
    [anon_sym___nullable] = ACTIONS(8159),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8159),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8159),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8159),
    [anon_sym___real] = ACTIONS(8159),
    [anon_sym___strong] = ACTIONS(8159),
    [anon_sym___unsafe_unretained] = ACTIONS(8159),
    [anon_sym___unused] = ACTIONS(8159),
    [anon_sym___weak] = ACTIONS(8159),
    [anon_sym_alignas] = ACTIONS(8159),
    [anon_sym__Alignas] = ACTIONS(8159),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8159),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8159),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8159),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8159),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8159),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8159),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8159),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8159),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8159),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8159),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8161),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8159),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8159),
    [anon_sym_API_AVAILABLE] = ACTIONS(8159),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8159),
    [anon_sym_API_DEPRECATED] = ACTIONS(8159),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8159),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8159),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8159),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8159),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8159),
    [anon_sym___deprecated_msg] = ACTIONS(8159),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8159),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8159),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8159),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8159),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8159),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8159),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8159),
  },
  [3273] = {
    [anon_sym_COMMA] = ACTIONS(8163),
    [anon_sym_RPAREN] = ACTIONS(8163),
    [anon_sym_LPAREN2] = ACTIONS(8163),
    [anon_sym_SEMI] = ACTIONS(8163),
    [anon_sym___extension__] = ACTIONS(8163),
    [anon_sym_extern] = ACTIONS(8163),
    [anon_sym___attribute__] = ACTIONS(8163),
    [anon_sym___attribute] = ACTIONS(8165),
    [anon_sym_noreturn] = ACTIONS(8163),
    [anon_sym_LBRACK] = ACTIONS(8163),
    [anon_sym___declspec] = ACTIONS(8163),
    [anon_sym_static] = ACTIONS(8163),
    [anon_sym_auto] = ACTIONS(8163),
    [anon_sym_register] = ACTIONS(8163),
    [anon_sym_inline] = ACTIONS(8163),
    [anon_sym___inline] = ACTIONS(8165),
    [anon_sym___inline__] = ACTIONS(8163),
    [anon_sym___forceinline] = ACTIONS(8163),
    [anon_sym_thread_local] = ACTIONS(8163),
    [anon_sym___thread] = ACTIONS(8163),
    [anon_sym_CG_EXTERN] = ACTIONS(8163),
    [anon_sym_CG_INLINE] = ACTIONS(8163),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8163),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8163),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8163),
    [anon_sym_IBOutlet] = ACTIONS(8163),
    [anon_sym_IBInspectable] = ACTIONS(8163),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8163),
    [anon_sym_NS_INLINE] = ACTIONS(8163),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8163),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8163),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8163),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8163),
    [anon_sym_const] = ACTIONS(8165),
    [anon_sym_constexpr] = ACTIONS(8163),
    [anon_sym_volatile] = ACTIONS(8163),
    [anon_sym_restrict] = ACTIONS(8163),
    [anon_sym___restrict__] = ACTIONS(8163),
    [anon_sym__Atomic] = ACTIONS(8163),
    [anon_sym__Noreturn] = ACTIONS(8163),
    [anon_sym__Nonnull] = ACTIONS(8163),
    [anon_sym_nullable] = ACTIONS(8163),
    [anon_sym__Complex] = ACTIONS(8163),
    [anon_sym__Nullable] = ACTIONS(8165),
    [anon_sym__Nullable_result] = ACTIONS(8163),
    [anon_sym__Null_unspecified] = ACTIONS(8163),
    [anon_sym___autoreleasing] = ACTIONS(8163),
    [anon_sym___block] = ACTIONS(8163),
    [anon_sym___bridge] = ACTIONS(8165),
    [anon_sym___bridge_retained] = ACTIONS(8163),
    [anon_sym___bridge_transfer] = ACTIONS(8163),
    [anon_sym___complex] = ACTIONS(8163),
    [anon_sym___const] = ACTIONS(8163),
    [anon_sym___imag] = ACTIONS(8163),
    [anon_sym___kindof] = ACTIONS(8163),
    [anon_sym___nonnull] = ACTIONS(8163),
    [anon_sym___nullable] = ACTIONS(8163),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8163),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8163),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8163),
    [anon_sym___real] = ACTIONS(8163),
    [anon_sym___strong] = ACTIONS(8163),
    [anon_sym___unsafe_unretained] = ACTIONS(8163),
    [anon_sym___unused] = ACTIONS(8163),
    [anon_sym___weak] = ACTIONS(8163),
    [anon_sym_alignas] = ACTIONS(8163),
    [anon_sym__Alignas] = ACTIONS(8163),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8163),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8163),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8163),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8163),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8163),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8163),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8163),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8163),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8163),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8163),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8165),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8163),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8163),
    [anon_sym_API_AVAILABLE] = ACTIONS(8163),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8163),
    [anon_sym_API_DEPRECATED] = ACTIONS(8163),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8163),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8163),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8163),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8163),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8163),
    [anon_sym___deprecated_msg] = ACTIONS(8163),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8163),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8163),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8163),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8163),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8163),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8163),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8163),
  },
  [3274] = {
    [anon_sym_COMMA] = ACTIONS(8167),
    [anon_sym_RPAREN] = ACTIONS(8167),
    [anon_sym_LPAREN2] = ACTIONS(8167),
    [anon_sym_SEMI] = ACTIONS(8167),
    [anon_sym___extension__] = ACTIONS(8167),
    [anon_sym_extern] = ACTIONS(8167),
    [anon_sym___attribute__] = ACTIONS(8167),
    [anon_sym___attribute] = ACTIONS(8169),
    [anon_sym_noreturn] = ACTIONS(8167),
    [anon_sym_LBRACK] = ACTIONS(8167),
    [anon_sym___declspec] = ACTIONS(8167),
    [anon_sym_static] = ACTIONS(8167),
    [anon_sym_auto] = ACTIONS(8167),
    [anon_sym_register] = ACTIONS(8167),
    [anon_sym_inline] = ACTIONS(8167),
    [anon_sym___inline] = ACTIONS(8169),
    [anon_sym___inline__] = ACTIONS(8167),
    [anon_sym___forceinline] = ACTIONS(8167),
    [anon_sym_thread_local] = ACTIONS(8167),
    [anon_sym___thread] = ACTIONS(8167),
    [anon_sym_CG_EXTERN] = ACTIONS(8167),
    [anon_sym_CG_INLINE] = ACTIONS(8167),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8167),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8167),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8167),
    [anon_sym_IBOutlet] = ACTIONS(8167),
    [anon_sym_IBInspectable] = ACTIONS(8167),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8167),
    [anon_sym_NS_INLINE] = ACTIONS(8167),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8167),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8167),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8167),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8167),
    [anon_sym_const] = ACTIONS(8169),
    [anon_sym_constexpr] = ACTIONS(8167),
    [anon_sym_volatile] = ACTIONS(8167),
    [anon_sym_restrict] = ACTIONS(8167),
    [anon_sym___restrict__] = ACTIONS(8167),
    [anon_sym__Atomic] = ACTIONS(8167),
    [anon_sym__Noreturn] = ACTIONS(8167),
    [anon_sym__Nonnull] = ACTIONS(8167),
    [anon_sym_nullable] = ACTIONS(8167),
    [anon_sym__Complex] = ACTIONS(8167),
    [anon_sym__Nullable] = ACTIONS(8169),
    [anon_sym__Nullable_result] = ACTIONS(8167),
    [anon_sym__Null_unspecified] = ACTIONS(8167),
    [anon_sym___autoreleasing] = ACTIONS(8167),
    [anon_sym___block] = ACTIONS(8167),
    [anon_sym___bridge] = ACTIONS(8169),
    [anon_sym___bridge_retained] = ACTIONS(8167),
    [anon_sym___bridge_transfer] = ACTIONS(8167),
    [anon_sym___complex] = ACTIONS(8167),
    [anon_sym___const] = ACTIONS(8167),
    [anon_sym___imag] = ACTIONS(8167),
    [anon_sym___kindof] = ACTIONS(8167),
    [anon_sym___nonnull] = ACTIONS(8167),
    [anon_sym___nullable] = ACTIONS(8167),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8167),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8167),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8167),
    [anon_sym___real] = ACTIONS(8167),
    [anon_sym___strong] = ACTIONS(8167),
    [anon_sym___unsafe_unretained] = ACTIONS(8167),
    [anon_sym___unused] = ACTIONS(8167),
    [anon_sym___weak] = ACTIONS(8167),
    [anon_sym_alignas] = ACTIONS(8167),
    [anon_sym__Alignas] = ACTIONS(8167),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8167),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8167),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8167),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8167),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8167),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8167),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8167),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8167),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8167),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8167),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8169),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8167),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8167),
    [anon_sym_API_AVAILABLE] = ACTIONS(8167),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8167),
    [anon_sym_API_DEPRECATED] = ACTIONS(8167),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8167),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8167),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8167),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8167),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8167),
    [anon_sym___deprecated_msg] = ACTIONS(8167),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8167),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8167),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8167),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8167),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8167),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8167),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8167),
  },
  [3275] = {
    [sym_preproc_if] = STATE(4066),
    [sym_preproc_ifdef] = STATE(4066),
    [sym_attribute_specifier] = STATE(3335),
    [sym_attribute_declaration] = STATE(3335),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_instance_variable] = STATE(3281),
    [sym_visibility_specification] = STATE(4066),
    [sym_struct_declaration] = STATE(4066),
    [sym_atomic_declaration] = STATE(4066),
    [sym_specifier_qualifier] = STATE(3339),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_instance_variables_repeat1] = STATE(3281),
    [aux_sym_struct_declaration_repeat1] = STATE(3339),
    [sym_identifier] = ACTIONS(8171),
    [aux_sym_preproc_if_token1] = ACTIONS(8173),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(8175),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(8175),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_LBRACK] = ACTIONS(8177),
    [anon_sym_RBRACE] = ACTIONS(8179),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(8181),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_ATprivate] = ACTIONS(8185),
    [anon_sym_ATprotected] = ACTIONS(8185),
    [anon_sym_ATpackage] = ACTIONS(8185),
    [anon_sym_ATpublic] = ACTIONS(8185),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3276] = {
    [sym_attribute_specifier] = STATE(3216),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_parameterized_arguments] = STATE(5678),
    [sym_specifier_qualifier] = STATE(3216),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(5678),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3216),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_COMMA] = ACTIONS(8109),
    [anon_sym_RPAREN] = ACTIONS(8109),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_LBRACK] = ACTIONS(8109),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3277] = {
    [aux_sym_declaration_repeat1] = STATE(3277),
    [anon_sym_COMMA] = ACTIONS(8187),
    [anon_sym_SEMI] = ACTIONS(8190),
    [anon_sym___extension__] = ACTIONS(8190),
    [anon_sym_extern] = ACTIONS(8190),
    [anon_sym___attribute__] = ACTIONS(8190),
    [anon_sym___attribute] = ACTIONS(8192),
    [anon_sym_noreturn] = ACTIONS(8190),
    [anon_sym_LBRACK] = ACTIONS(8190),
    [anon_sym___declspec] = ACTIONS(8190),
    [anon_sym_static] = ACTIONS(8190),
    [anon_sym_auto] = ACTIONS(8190),
    [anon_sym_register] = ACTIONS(8190),
    [anon_sym_inline] = ACTIONS(8190),
    [anon_sym___inline] = ACTIONS(8192),
    [anon_sym___inline__] = ACTIONS(8190),
    [anon_sym___forceinline] = ACTIONS(8190),
    [anon_sym_thread_local] = ACTIONS(8190),
    [anon_sym___thread] = ACTIONS(8190),
    [anon_sym_CG_EXTERN] = ACTIONS(8190),
    [anon_sym_CG_INLINE] = ACTIONS(8190),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8190),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8190),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8190),
    [anon_sym_IBOutlet] = ACTIONS(8190),
    [anon_sym_IBInspectable] = ACTIONS(8190),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8190),
    [anon_sym_NS_INLINE] = ACTIONS(8190),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8190),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8190),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8190),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8190),
    [anon_sym_const] = ACTIONS(8192),
    [anon_sym_constexpr] = ACTIONS(8190),
    [anon_sym_volatile] = ACTIONS(8190),
    [anon_sym_restrict] = ACTIONS(8190),
    [anon_sym___restrict__] = ACTIONS(8190),
    [anon_sym__Atomic] = ACTIONS(8190),
    [anon_sym__Noreturn] = ACTIONS(8190),
    [anon_sym__Nonnull] = ACTIONS(8190),
    [anon_sym_nullable] = ACTIONS(8190),
    [anon_sym__Complex] = ACTIONS(8190),
    [anon_sym__Nullable] = ACTIONS(8192),
    [anon_sym__Nullable_result] = ACTIONS(8190),
    [anon_sym__Null_unspecified] = ACTIONS(8190),
    [anon_sym___autoreleasing] = ACTIONS(8190),
    [anon_sym___block] = ACTIONS(8190),
    [anon_sym___bridge] = ACTIONS(8192),
    [anon_sym___bridge_retained] = ACTIONS(8190),
    [anon_sym___bridge_transfer] = ACTIONS(8190),
    [anon_sym___complex] = ACTIONS(8190),
    [anon_sym___const] = ACTIONS(8190),
    [anon_sym___imag] = ACTIONS(8190),
    [anon_sym___kindof] = ACTIONS(8190),
    [anon_sym___nonnull] = ACTIONS(8190),
    [anon_sym___nullable] = ACTIONS(8190),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8190),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8190),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8190),
    [anon_sym___real] = ACTIONS(8190),
    [anon_sym___strong] = ACTIONS(8190),
    [anon_sym___unsafe_unretained] = ACTIONS(8190),
    [anon_sym___unused] = ACTIONS(8190),
    [anon_sym___weak] = ACTIONS(8190),
    [anon_sym_alignas] = ACTIONS(8190),
    [anon_sym__Alignas] = ACTIONS(8190),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8190),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8190),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8190),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8190),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8190),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8190),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8190),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8190),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8190),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8190),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8192),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8190),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8190),
    [anon_sym_API_AVAILABLE] = ACTIONS(8190),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8190),
    [anon_sym_API_DEPRECATED] = ACTIONS(8190),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8190),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8190),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8190),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8190),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8190),
    [anon_sym___deprecated_msg] = ACTIONS(8190),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8190),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8190),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8190),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8190),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8190),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8190),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8190),
  },
  [3278] = {
    [aux_sym_struct_declaration_repeat2] = STATE(3278),
    [anon_sym_COMMA] = ACTIONS(8194),
    [anon_sym_SEMI] = ACTIONS(8197),
    [anon_sym___extension__] = ACTIONS(8197),
    [anon_sym_extern] = ACTIONS(8197),
    [anon_sym___attribute__] = ACTIONS(8197),
    [anon_sym___attribute] = ACTIONS(8199),
    [anon_sym_noreturn] = ACTIONS(8197),
    [anon_sym_LBRACK] = ACTIONS(8197),
    [anon_sym___declspec] = ACTIONS(8197),
    [anon_sym_static] = ACTIONS(8197),
    [anon_sym_auto] = ACTIONS(8197),
    [anon_sym_register] = ACTIONS(8197),
    [anon_sym_inline] = ACTIONS(8197),
    [anon_sym___inline] = ACTIONS(8199),
    [anon_sym___inline__] = ACTIONS(8197),
    [anon_sym___forceinline] = ACTIONS(8197),
    [anon_sym_thread_local] = ACTIONS(8197),
    [anon_sym___thread] = ACTIONS(8197),
    [anon_sym_CG_EXTERN] = ACTIONS(8197),
    [anon_sym_CG_INLINE] = ACTIONS(8197),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8197),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8197),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8197),
    [anon_sym_IBOutlet] = ACTIONS(8197),
    [anon_sym_IBInspectable] = ACTIONS(8197),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8197),
    [anon_sym_NS_INLINE] = ACTIONS(8197),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8197),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8197),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8197),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8197),
    [anon_sym_const] = ACTIONS(8199),
    [anon_sym_constexpr] = ACTIONS(8197),
    [anon_sym_volatile] = ACTIONS(8197),
    [anon_sym_restrict] = ACTIONS(8197),
    [anon_sym___restrict__] = ACTIONS(8197),
    [anon_sym__Atomic] = ACTIONS(8197),
    [anon_sym__Noreturn] = ACTIONS(8197),
    [anon_sym__Nonnull] = ACTIONS(8197),
    [anon_sym_nullable] = ACTIONS(8197),
    [anon_sym__Complex] = ACTIONS(8197),
    [anon_sym__Nullable] = ACTIONS(8199),
    [anon_sym__Nullable_result] = ACTIONS(8197),
    [anon_sym__Null_unspecified] = ACTIONS(8197),
    [anon_sym___autoreleasing] = ACTIONS(8197),
    [anon_sym___block] = ACTIONS(8197),
    [anon_sym___bridge] = ACTIONS(8199),
    [anon_sym___bridge_retained] = ACTIONS(8197),
    [anon_sym___bridge_transfer] = ACTIONS(8197),
    [anon_sym___complex] = ACTIONS(8197),
    [anon_sym___const] = ACTIONS(8197),
    [anon_sym___imag] = ACTIONS(8197),
    [anon_sym___kindof] = ACTIONS(8197),
    [anon_sym___nonnull] = ACTIONS(8197),
    [anon_sym___nullable] = ACTIONS(8197),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8197),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8197),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8197),
    [anon_sym___real] = ACTIONS(8197),
    [anon_sym___strong] = ACTIONS(8197),
    [anon_sym___unsafe_unretained] = ACTIONS(8197),
    [anon_sym___unused] = ACTIONS(8197),
    [anon_sym___weak] = ACTIONS(8197),
    [anon_sym_alignas] = ACTIONS(8197),
    [anon_sym__Alignas] = ACTIONS(8197),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8197),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8197),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8197),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8197),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8197),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8197),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8197),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8197),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8197),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8197),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8199),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8197),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8197),
    [anon_sym_API_AVAILABLE] = ACTIONS(8197),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8197),
    [anon_sym_API_DEPRECATED] = ACTIONS(8197),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8197),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8197),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8197),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8197),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8197),
    [anon_sym___deprecated_msg] = ACTIONS(8197),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8197),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8197),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8197),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8197),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8197),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8197),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8197),
  },
  [3279] = {
    [sym_preproc_if] = STATE(4066),
    [sym_preproc_ifdef] = STATE(4066),
    [sym_attribute_specifier] = STATE(3335),
    [sym_attribute_declaration] = STATE(3335),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_instance_variable] = STATE(3279),
    [sym_visibility_specification] = STATE(4066),
    [sym_struct_declaration] = STATE(4066),
    [sym_atomic_declaration] = STATE(4066),
    [sym_specifier_qualifier] = STATE(3339),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_instance_variables_repeat1] = STATE(3279),
    [aux_sym_struct_declaration_repeat1] = STATE(3339),
    [sym_identifier] = ACTIONS(8201),
    [aux_sym_preproc_if_token1] = ACTIONS(8204),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(8207),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(8207),
    [anon_sym___extension__] = ACTIONS(8210),
    [anon_sym___attribute__] = ACTIONS(8213),
    [anon_sym___attribute] = ACTIONS(8213),
    [anon_sym_noreturn] = ACTIONS(8210),
    [anon_sym_LBRACK] = ACTIONS(8216),
    [anon_sym_RBRACE] = ACTIONS(8219),
    [anon_sym_signed] = ACTIONS(8221),
    [anon_sym_unsigned] = ACTIONS(8221),
    [anon_sym_long] = ACTIONS(8221),
    [anon_sym_short] = ACTIONS(8221),
    [anon_sym_const] = ACTIONS(8210),
    [anon_sym_constexpr] = ACTIONS(8210),
    [anon_sym_volatile] = ACTIONS(8210),
    [anon_sym_restrict] = ACTIONS(8210),
    [anon_sym___restrict__] = ACTIONS(8210),
    [anon_sym__Atomic] = ACTIONS(8224),
    [anon_sym__Noreturn] = ACTIONS(8210),
    [anon_sym__Nonnull] = ACTIONS(8210),
    [anon_sym_nullable] = ACTIONS(8210),
    [anon_sym__Complex] = ACTIONS(8210),
    [anon_sym__Nullable] = ACTIONS(8210),
    [anon_sym__Nullable_result] = ACTIONS(8210),
    [anon_sym__Null_unspecified] = ACTIONS(8210),
    [anon_sym___autoreleasing] = ACTIONS(8210),
    [anon_sym___block] = ACTIONS(8210),
    [anon_sym___bridge] = ACTIONS(8210),
    [anon_sym___bridge_retained] = ACTIONS(8210),
    [anon_sym___bridge_transfer] = ACTIONS(8210),
    [anon_sym___complex] = ACTIONS(8210),
    [anon_sym___const] = ACTIONS(8210),
    [anon_sym___imag] = ACTIONS(8210),
    [anon_sym___kindof] = ACTIONS(8210),
    [anon_sym___nonnull] = ACTIONS(8210),
    [anon_sym___nullable] = ACTIONS(8210),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8210),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8210),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8210),
    [anon_sym___real] = ACTIONS(8210),
    [anon_sym___strong] = ACTIONS(8210),
    [anon_sym___unsafe_unretained] = ACTIONS(8210),
    [anon_sym___unused] = ACTIONS(8210),
    [anon_sym___weak] = ACTIONS(8210),
    [anon_sym_alignas] = ACTIONS(8227),
    [anon_sym__Alignas] = ACTIONS(8227),
    [sym_primitive_type] = ACTIONS(8230),
    [anon_sym_enum] = ACTIONS(8233),
    [anon_sym_struct] = ACTIONS(8236),
    [anon_sym_union] = ACTIONS(8239),
    [anon_sym_in] = ACTIONS(8242),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(8245),
    [anon_sym___typeof] = ACTIONS(8245),
    [anon_sym_typeof] = ACTIONS(8245),
    [anon_sym_ATprivate] = ACTIONS(8248),
    [anon_sym_ATprotected] = ACTIONS(8248),
    [anon_sym_ATpackage] = ACTIONS(8248),
    [anon_sym_ATpublic] = ACTIONS(8248),
    [anon_sym_BOOL] = ACTIONS(8251),
    [anon_sym_IMP] = ACTIONS(8251),
    [anon_sym_SEL] = ACTIONS(8251),
    [anon_sym_Class] = ACTIONS(8251),
    [anon_sym_id] = ACTIONS(8251),
    [anon_sym_out] = ACTIONS(8242),
    [anon_sym_inout] = ACTIONS(8242),
    [anon_sym_bycopy] = ACTIONS(8242),
    [anon_sym_byref] = ACTIONS(8242),
    [anon_sym_oneway] = ACTIONS(8242),
  },
  [3280] = {
    [sym_expression] = STATE(4408),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_initializer_list] = STATE(5671),
    [sym_initializer_pair] = STATE(5671),
    [sym_subscript_designator] = STATE(5011),
    [sym_subscript_range_designator] = STATE(5011),
    [sym_field_designator] = STATE(5011),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_initializer_pair_repeat1] = STATE(5011),
    [sym_identifier] = ACTIONS(8254),
    [anon_sym_COMMA] = ACTIONS(8256),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(8258),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_RBRACE] = ACTIONS(8260),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [anon_sym_DOT] = ACTIONS(8262),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3281] = {
    [sym_preproc_if] = STATE(4066),
    [sym_preproc_ifdef] = STATE(4066),
    [sym_attribute_specifier] = STATE(3335),
    [sym_attribute_declaration] = STATE(3335),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_instance_variable] = STATE(3279),
    [sym_visibility_specification] = STATE(4066),
    [sym_struct_declaration] = STATE(4066),
    [sym_atomic_declaration] = STATE(4066),
    [sym_specifier_qualifier] = STATE(3339),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_instance_variables_repeat1] = STATE(3279),
    [aux_sym_struct_declaration_repeat1] = STATE(3339),
    [sym_identifier] = ACTIONS(8171),
    [aux_sym_preproc_if_token1] = ACTIONS(8173),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(8175),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(8175),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_LBRACK] = ACTIONS(8177),
    [anon_sym_RBRACE] = ACTIONS(8264),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(8181),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_ATprivate] = ACTIONS(8185),
    [anon_sym_ATprotected] = ACTIONS(8185),
    [anon_sym_ATpackage] = ACTIONS(8185),
    [anon_sym_ATpublic] = ACTIONS(8185),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3282] = {
    [aux_sym_c_method_parameter_repeat1] = STATE(3283),
    [anon_sym_COMMA] = ACTIONS(6685),
    [anon_sym_SEMI] = ACTIONS(6685),
    [anon_sym___extension__] = ACTIONS(6685),
    [anon_sym_extern] = ACTIONS(6685),
    [anon_sym___attribute__] = ACTIONS(6685),
    [anon_sym___attribute] = ACTIONS(6683),
    [anon_sym_noreturn] = ACTIONS(6685),
    [anon_sym_LBRACK] = ACTIONS(6685),
    [anon_sym___declspec] = ACTIONS(6685),
    [anon_sym_static] = ACTIONS(6685),
    [anon_sym_auto] = ACTIONS(6685),
    [anon_sym_register] = ACTIONS(6685),
    [anon_sym_inline] = ACTIONS(6685),
    [anon_sym___inline] = ACTIONS(6683),
    [anon_sym___inline__] = ACTIONS(6685),
    [anon_sym___forceinline] = ACTIONS(6685),
    [anon_sym_thread_local] = ACTIONS(6685),
    [anon_sym___thread] = ACTIONS(6685),
    [anon_sym_CG_EXTERN] = ACTIONS(6685),
    [anon_sym_CG_INLINE] = ACTIONS(6685),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6685),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6685),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6685),
    [anon_sym_IBOutlet] = ACTIONS(6685),
    [anon_sym_IBInspectable] = ACTIONS(6685),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6685),
    [anon_sym_NS_INLINE] = ACTIONS(6685),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6685),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6685),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6685),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6685),
    [anon_sym_const] = ACTIONS(6683),
    [anon_sym_constexpr] = ACTIONS(6685),
    [anon_sym_volatile] = ACTIONS(6685),
    [anon_sym_restrict] = ACTIONS(6685),
    [anon_sym___restrict__] = ACTIONS(6685),
    [anon_sym__Atomic] = ACTIONS(6685),
    [anon_sym__Noreturn] = ACTIONS(6685),
    [anon_sym__Nonnull] = ACTIONS(6685),
    [anon_sym_nullable] = ACTIONS(6685),
    [anon_sym__Complex] = ACTIONS(6685),
    [anon_sym__Nullable] = ACTIONS(6683),
    [anon_sym__Nullable_result] = ACTIONS(6685),
    [anon_sym__Null_unspecified] = ACTIONS(6685),
    [anon_sym___autoreleasing] = ACTIONS(6685),
    [anon_sym___block] = ACTIONS(6685),
    [anon_sym___bridge] = ACTIONS(6683),
    [anon_sym___bridge_retained] = ACTIONS(6685),
    [anon_sym___bridge_transfer] = ACTIONS(6685),
    [anon_sym___complex] = ACTIONS(6685),
    [anon_sym___const] = ACTIONS(6685),
    [anon_sym___imag] = ACTIONS(6685),
    [anon_sym___kindof] = ACTIONS(6685),
    [anon_sym___nonnull] = ACTIONS(6685),
    [anon_sym___nullable] = ACTIONS(6685),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6685),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6685),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6685),
    [anon_sym___real] = ACTIONS(6685),
    [anon_sym___strong] = ACTIONS(6685),
    [anon_sym___unsafe_unretained] = ACTIONS(6685),
    [anon_sym___unused] = ACTIONS(6685),
    [anon_sym___weak] = ACTIONS(6685),
    [anon_sym_alignas] = ACTIONS(6685),
    [anon_sym__Alignas] = ACTIONS(6685),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6685),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6685),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6685),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6685),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6685),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6685),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6685),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6685),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6685),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6685),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6683),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6685),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6685),
    [anon_sym_API_AVAILABLE] = ACTIONS(6685),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6685),
    [anon_sym_API_DEPRECATED] = ACTIONS(6685),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6685),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6685),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6685),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6685),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6685),
    [anon_sym___deprecated_msg] = ACTIONS(6685),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6685),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6685),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6685),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6685),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6685),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6685),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6685),
  },
  [3283] = {
    [aux_sym_c_method_parameter_repeat1] = STATE(3285),
    [anon_sym_COMMA] = ACTIONS(6802),
    [anon_sym_SEMI] = ACTIONS(6802),
    [anon_sym___extension__] = ACTIONS(6802),
    [anon_sym_extern] = ACTIONS(6802),
    [anon_sym___attribute__] = ACTIONS(6802),
    [anon_sym___attribute] = ACTIONS(6800),
    [anon_sym_noreturn] = ACTIONS(6802),
    [anon_sym_LBRACK] = ACTIONS(6802),
    [anon_sym___declspec] = ACTIONS(6802),
    [anon_sym_static] = ACTIONS(6802),
    [anon_sym_auto] = ACTIONS(6802),
    [anon_sym_register] = ACTIONS(6802),
    [anon_sym_inline] = ACTIONS(6802),
    [anon_sym___inline] = ACTIONS(6800),
    [anon_sym___inline__] = ACTIONS(6802),
    [anon_sym___forceinline] = ACTIONS(6802),
    [anon_sym_thread_local] = ACTIONS(6802),
    [anon_sym___thread] = ACTIONS(6802),
    [anon_sym_CG_EXTERN] = ACTIONS(6802),
    [anon_sym_CG_INLINE] = ACTIONS(6802),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6802),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6802),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6802),
    [anon_sym_IBOutlet] = ACTIONS(6802),
    [anon_sym_IBInspectable] = ACTIONS(6802),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6802),
    [anon_sym_NS_INLINE] = ACTIONS(6802),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6802),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6802),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6802),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6802),
    [anon_sym_const] = ACTIONS(6800),
    [anon_sym_constexpr] = ACTIONS(6802),
    [anon_sym_volatile] = ACTIONS(6802),
    [anon_sym_restrict] = ACTIONS(6802),
    [anon_sym___restrict__] = ACTIONS(6802),
    [anon_sym__Atomic] = ACTIONS(6802),
    [anon_sym__Noreturn] = ACTIONS(6802),
    [anon_sym__Nonnull] = ACTIONS(6802),
    [anon_sym_nullable] = ACTIONS(6802),
    [anon_sym__Complex] = ACTIONS(6802),
    [anon_sym__Nullable] = ACTIONS(6800),
    [anon_sym__Nullable_result] = ACTIONS(6802),
    [anon_sym__Null_unspecified] = ACTIONS(6802),
    [anon_sym___autoreleasing] = ACTIONS(6802),
    [anon_sym___block] = ACTIONS(6802),
    [anon_sym___bridge] = ACTIONS(6800),
    [anon_sym___bridge_retained] = ACTIONS(6802),
    [anon_sym___bridge_transfer] = ACTIONS(6802),
    [anon_sym___complex] = ACTIONS(6802),
    [anon_sym___const] = ACTIONS(6802),
    [anon_sym___imag] = ACTIONS(6802),
    [anon_sym___kindof] = ACTIONS(6802),
    [anon_sym___nonnull] = ACTIONS(6802),
    [anon_sym___nullable] = ACTIONS(6802),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6802),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6802),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6802),
    [anon_sym___real] = ACTIONS(6802),
    [anon_sym___strong] = ACTIONS(6802),
    [anon_sym___unsafe_unretained] = ACTIONS(6802),
    [anon_sym___unused] = ACTIONS(6802),
    [anon_sym___weak] = ACTIONS(6802),
    [anon_sym_alignas] = ACTIONS(6802),
    [anon_sym__Alignas] = ACTIONS(6802),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6802),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6802),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6802),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6802),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6802),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6802),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6802),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6802),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6802),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6802),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6800),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6802),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6802),
    [anon_sym_API_AVAILABLE] = ACTIONS(6802),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6802),
    [anon_sym_API_DEPRECATED] = ACTIONS(6802),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6802),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6802),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6802),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6802),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6802),
    [anon_sym___deprecated_msg] = ACTIONS(6802),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6802),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6802),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6802),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6802),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6802),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6802),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6802),
  },
  [3284] = {
    [aux_sym_method_definition_repeat2] = STATE(3284),
    [anon_sym_COMMA] = ACTIONS(8266),
    [anon_sym_SEMI] = ACTIONS(6854),
    [anon_sym___extension__] = ACTIONS(6854),
    [anon_sym_extern] = ACTIONS(6854),
    [anon_sym___attribute__] = ACTIONS(6854),
    [anon_sym___attribute] = ACTIONS(6849),
    [anon_sym_noreturn] = ACTIONS(6854),
    [anon_sym_LBRACK] = ACTIONS(6854),
    [anon_sym___declspec] = ACTIONS(6854),
    [anon_sym_static] = ACTIONS(6854),
    [anon_sym_auto] = ACTIONS(6854),
    [anon_sym_register] = ACTIONS(6854),
    [anon_sym_inline] = ACTIONS(6854),
    [anon_sym___inline] = ACTIONS(6849),
    [anon_sym___inline__] = ACTIONS(6854),
    [anon_sym___forceinline] = ACTIONS(6854),
    [anon_sym_thread_local] = ACTIONS(6854),
    [anon_sym___thread] = ACTIONS(6854),
    [anon_sym_CG_EXTERN] = ACTIONS(6854),
    [anon_sym_CG_INLINE] = ACTIONS(6854),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6854),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6854),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6854),
    [anon_sym_IBOutlet] = ACTIONS(6854),
    [anon_sym_IBInspectable] = ACTIONS(6854),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6854),
    [anon_sym_NS_INLINE] = ACTIONS(6854),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6854),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6854),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6854),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6854),
    [anon_sym_const] = ACTIONS(6849),
    [anon_sym_constexpr] = ACTIONS(6854),
    [anon_sym_volatile] = ACTIONS(6854),
    [anon_sym_restrict] = ACTIONS(6854),
    [anon_sym___restrict__] = ACTIONS(6854),
    [anon_sym__Atomic] = ACTIONS(6854),
    [anon_sym__Noreturn] = ACTIONS(6854),
    [anon_sym__Nonnull] = ACTIONS(6854),
    [anon_sym_nullable] = ACTIONS(6854),
    [anon_sym__Complex] = ACTIONS(6854),
    [anon_sym__Nullable] = ACTIONS(6849),
    [anon_sym__Nullable_result] = ACTIONS(6854),
    [anon_sym__Null_unspecified] = ACTIONS(6854),
    [anon_sym___autoreleasing] = ACTIONS(6854),
    [anon_sym___block] = ACTIONS(6854),
    [anon_sym___bridge] = ACTIONS(6849),
    [anon_sym___bridge_retained] = ACTIONS(6854),
    [anon_sym___bridge_transfer] = ACTIONS(6854),
    [anon_sym___complex] = ACTIONS(6854),
    [anon_sym___const] = ACTIONS(6854),
    [anon_sym___imag] = ACTIONS(6854),
    [anon_sym___kindof] = ACTIONS(6854),
    [anon_sym___nonnull] = ACTIONS(6854),
    [anon_sym___nullable] = ACTIONS(6854),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6854),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6854),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6854),
    [anon_sym___real] = ACTIONS(6854),
    [anon_sym___strong] = ACTIONS(6854),
    [anon_sym___unsafe_unretained] = ACTIONS(6854),
    [anon_sym___unused] = ACTIONS(6854),
    [anon_sym___weak] = ACTIONS(6854),
    [anon_sym_alignas] = ACTIONS(6854),
    [anon_sym__Alignas] = ACTIONS(6854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6854),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6854),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6854),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6854),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6854),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6854),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6854),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6854),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6854),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6854),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6849),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6854),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6854),
    [anon_sym_API_AVAILABLE] = ACTIONS(6854),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6854),
    [anon_sym_API_DEPRECATED] = ACTIONS(6854),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6854),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6854),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6854),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6854),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6854),
    [anon_sym___deprecated_msg] = ACTIONS(6854),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6854),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6854),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6854),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6854),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6854),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6854),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6854),
  },
  [3285] = {
    [aux_sym_c_method_parameter_repeat1] = STATE(3285),
    [anon_sym_COMMA] = ACTIONS(8269),
    [anon_sym_SEMI] = ACTIONS(6821),
    [anon_sym___extension__] = ACTIONS(6821),
    [anon_sym_extern] = ACTIONS(6821),
    [anon_sym___attribute__] = ACTIONS(6821),
    [anon_sym___attribute] = ACTIONS(6816),
    [anon_sym_noreturn] = ACTIONS(6821),
    [anon_sym_LBRACK] = ACTIONS(6821),
    [anon_sym___declspec] = ACTIONS(6821),
    [anon_sym_static] = ACTIONS(6821),
    [anon_sym_auto] = ACTIONS(6821),
    [anon_sym_register] = ACTIONS(6821),
    [anon_sym_inline] = ACTIONS(6821),
    [anon_sym___inline] = ACTIONS(6816),
    [anon_sym___inline__] = ACTIONS(6821),
    [anon_sym___forceinline] = ACTIONS(6821),
    [anon_sym_thread_local] = ACTIONS(6821),
    [anon_sym___thread] = ACTIONS(6821),
    [anon_sym_CG_EXTERN] = ACTIONS(6821),
    [anon_sym_CG_INLINE] = ACTIONS(6821),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6821),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6821),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6821),
    [anon_sym_IBOutlet] = ACTIONS(6821),
    [anon_sym_IBInspectable] = ACTIONS(6821),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6821),
    [anon_sym_NS_INLINE] = ACTIONS(6821),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6821),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6821),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6821),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6821),
    [anon_sym_const] = ACTIONS(6816),
    [anon_sym_constexpr] = ACTIONS(6821),
    [anon_sym_volatile] = ACTIONS(6821),
    [anon_sym_restrict] = ACTIONS(6821),
    [anon_sym___restrict__] = ACTIONS(6821),
    [anon_sym__Atomic] = ACTIONS(6821),
    [anon_sym__Noreturn] = ACTIONS(6821),
    [anon_sym__Nonnull] = ACTIONS(6821),
    [anon_sym_nullable] = ACTIONS(6821),
    [anon_sym__Complex] = ACTIONS(6821),
    [anon_sym__Nullable] = ACTIONS(6816),
    [anon_sym__Nullable_result] = ACTIONS(6821),
    [anon_sym__Null_unspecified] = ACTIONS(6821),
    [anon_sym___autoreleasing] = ACTIONS(6821),
    [anon_sym___block] = ACTIONS(6821),
    [anon_sym___bridge] = ACTIONS(6816),
    [anon_sym___bridge_retained] = ACTIONS(6821),
    [anon_sym___bridge_transfer] = ACTIONS(6821),
    [anon_sym___complex] = ACTIONS(6821),
    [anon_sym___const] = ACTIONS(6821),
    [anon_sym___imag] = ACTIONS(6821),
    [anon_sym___kindof] = ACTIONS(6821),
    [anon_sym___nonnull] = ACTIONS(6821),
    [anon_sym___nullable] = ACTIONS(6821),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6821),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6821),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6821),
    [anon_sym___real] = ACTIONS(6821),
    [anon_sym___strong] = ACTIONS(6821),
    [anon_sym___unsafe_unretained] = ACTIONS(6821),
    [anon_sym___unused] = ACTIONS(6821),
    [anon_sym___weak] = ACTIONS(6821),
    [anon_sym_alignas] = ACTIONS(6821),
    [anon_sym__Alignas] = ACTIONS(6821),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6821),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6821),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6821),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6821),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6821),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6821),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6821),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6821),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6821),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6821),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6816),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6821),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6821),
    [anon_sym_API_AVAILABLE] = ACTIONS(6821),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6821),
    [anon_sym_API_DEPRECATED] = ACTIONS(6821),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6821),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6821),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6821),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6821),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6821),
    [anon_sym___deprecated_msg] = ACTIONS(6821),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6821),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6821),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6821),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6821),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6821),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6821),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6821),
  },
  [3286] = {
    [aux_sym_c_method_parameter_repeat1] = STATE(3285),
    [anon_sym_COMMA] = ACTIONS(6802),
    [anon_sym_SEMI] = ACTIONS(6802),
    [anon_sym___extension__] = ACTIONS(6802),
    [anon_sym_extern] = ACTIONS(6802),
    [anon_sym___attribute__] = ACTIONS(6802),
    [anon_sym___attribute] = ACTIONS(6800),
    [anon_sym_noreturn] = ACTIONS(6802),
    [anon_sym_LBRACK] = ACTIONS(6802),
    [anon_sym___declspec] = ACTIONS(6802),
    [anon_sym_static] = ACTIONS(6802),
    [anon_sym_auto] = ACTIONS(6802),
    [anon_sym_register] = ACTIONS(6802),
    [anon_sym_inline] = ACTIONS(6802),
    [anon_sym___inline] = ACTIONS(6800),
    [anon_sym___inline__] = ACTIONS(6802),
    [anon_sym___forceinline] = ACTIONS(6802),
    [anon_sym_thread_local] = ACTIONS(6802),
    [anon_sym___thread] = ACTIONS(6802),
    [anon_sym_CG_EXTERN] = ACTIONS(6802),
    [anon_sym_CG_INLINE] = ACTIONS(6802),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(6802),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(6802),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(6802),
    [anon_sym_IBOutlet] = ACTIONS(6802),
    [anon_sym_IBInspectable] = ACTIONS(6802),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(6802),
    [anon_sym_NS_INLINE] = ACTIONS(6802),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(6802),
    [anon_sym_OBJC_EXPORT] = ACTIONS(6802),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(6802),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(6802),
    [anon_sym_const] = ACTIONS(6800),
    [anon_sym_constexpr] = ACTIONS(6802),
    [anon_sym_volatile] = ACTIONS(6802),
    [anon_sym_restrict] = ACTIONS(6802),
    [anon_sym___restrict__] = ACTIONS(6802),
    [anon_sym__Atomic] = ACTIONS(6802),
    [anon_sym__Noreturn] = ACTIONS(6802),
    [anon_sym__Nonnull] = ACTIONS(6802),
    [anon_sym_nullable] = ACTIONS(6802),
    [anon_sym__Complex] = ACTIONS(6802),
    [anon_sym__Nullable] = ACTIONS(6800),
    [anon_sym__Nullable_result] = ACTIONS(6802),
    [anon_sym__Null_unspecified] = ACTIONS(6802),
    [anon_sym___autoreleasing] = ACTIONS(6802),
    [anon_sym___block] = ACTIONS(6802),
    [anon_sym___bridge] = ACTIONS(6800),
    [anon_sym___bridge_retained] = ACTIONS(6802),
    [anon_sym___bridge_transfer] = ACTIONS(6802),
    [anon_sym___complex] = ACTIONS(6802),
    [anon_sym___const] = ACTIONS(6802),
    [anon_sym___imag] = ACTIONS(6802),
    [anon_sym___kindof] = ACTIONS(6802),
    [anon_sym___nonnull] = ACTIONS(6802),
    [anon_sym___nullable] = ACTIONS(6802),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6802),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6802),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6802),
    [anon_sym___real] = ACTIONS(6802),
    [anon_sym___strong] = ACTIONS(6802),
    [anon_sym___unsafe_unretained] = ACTIONS(6802),
    [anon_sym___unused] = ACTIONS(6802),
    [anon_sym___weak] = ACTIONS(6802),
    [anon_sym_alignas] = ACTIONS(6802),
    [anon_sym__Alignas] = ACTIONS(6802),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(6802),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(6802),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(6802),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(6802),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(6802),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(6802),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(6802),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(6802),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(6802),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(6802),
    [anon_sym_NS_AVAILABLE] = ACTIONS(6800),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(6802),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(6802),
    [anon_sym_API_AVAILABLE] = ACTIONS(6802),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(6802),
    [anon_sym_API_DEPRECATED] = ACTIONS(6802),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(6802),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(6802),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(6802),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(6802),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(6802),
    [anon_sym___deprecated_msg] = ACTIONS(6802),
    [anon_sym___deprecated_enum_msg] = ACTIONS(6802),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(6802),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(6802),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(6802),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(6802),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(6802),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(6802),
  },
  [3287] = {
    [sym_expression] = STATE(4423),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_initializer_list] = STATE(5479),
    [sym_initializer_pair] = STATE(5479),
    [sym_subscript_designator] = STATE(5011),
    [sym_subscript_range_designator] = STATE(5011),
    [sym_field_designator] = STATE(5011),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_initializer_pair_repeat1] = STATE(5011),
    [sym_identifier] = ACTIONS(8254),
    [anon_sym_COMMA] = ACTIONS(8272),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(8258),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_RBRACE] = ACTIONS(8274),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [anon_sym_DOT] = ACTIONS(8262),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3288] = {
    [sym_attribute_specifier] = STATE(3216),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_parameterized_arguments] = STATE(5727),
    [sym_specifier_qualifier] = STATE(3216),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(5727),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3216),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_COMMA] = ACTIONS(8109),
    [anon_sym_RPAREN] = ACTIONS(8109),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_LBRACK] = ACTIONS(8109),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3289] = {
    [aux_sym__type_definition_declarators_repeat1] = STATE(3289),
    [anon_sym_COMMA] = ACTIONS(8276),
    [anon_sym_SEMI] = ACTIONS(8279),
    [anon_sym___extension__] = ACTIONS(8279),
    [anon_sym_extern] = ACTIONS(8279),
    [anon_sym___attribute__] = ACTIONS(8279),
    [anon_sym___attribute] = ACTIONS(8281),
    [anon_sym_noreturn] = ACTIONS(8279),
    [anon_sym_LBRACK] = ACTIONS(8279),
    [anon_sym___declspec] = ACTIONS(8279),
    [anon_sym_static] = ACTIONS(8279),
    [anon_sym_auto] = ACTIONS(8279),
    [anon_sym_register] = ACTIONS(8279),
    [anon_sym_inline] = ACTIONS(8279),
    [anon_sym___inline] = ACTIONS(8281),
    [anon_sym___inline__] = ACTIONS(8279),
    [anon_sym___forceinline] = ACTIONS(8279),
    [anon_sym_thread_local] = ACTIONS(8279),
    [anon_sym___thread] = ACTIONS(8279),
    [anon_sym_CG_EXTERN] = ACTIONS(8279),
    [anon_sym_CG_INLINE] = ACTIONS(8279),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8279),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8279),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8279),
    [anon_sym_IBOutlet] = ACTIONS(8279),
    [anon_sym_IBInspectable] = ACTIONS(8279),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8279),
    [anon_sym_NS_INLINE] = ACTIONS(8279),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8279),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8279),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8279),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8279),
    [anon_sym_const] = ACTIONS(8281),
    [anon_sym_constexpr] = ACTIONS(8279),
    [anon_sym_volatile] = ACTIONS(8279),
    [anon_sym_restrict] = ACTIONS(8279),
    [anon_sym___restrict__] = ACTIONS(8279),
    [anon_sym__Atomic] = ACTIONS(8279),
    [anon_sym__Noreturn] = ACTIONS(8279),
    [anon_sym__Nonnull] = ACTIONS(8279),
    [anon_sym_nullable] = ACTIONS(8279),
    [anon_sym__Complex] = ACTIONS(8279),
    [anon_sym__Nullable] = ACTIONS(8281),
    [anon_sym__Nullable_result] = ACTIONS(8279),
    [anon_sym__Null_unspecified] = ACTIONS(8279),
    [anon_sym___autoreleasing] = ACTIONS(8279),
    [anon_sym___block] = ACTIONS(8279),
    [anon_sym___bridge] = ACTIONS(8281),
    [anon_sym___bridge_retained] = ACTIONS(8279),
    [anon_sym___bridge_transfer] = ACTIONS(8279),
    [anon_sym___complex] = ACTIONS(8279),
    [anon_sym___const] = ACTIONS(8279),
    [anon_sym___imag] = ACTIONS(8279),
    [anon_sym___kindof] = ACTIONS(8279),
    [anon_sym___nonnull] = ACTIONS(8279),
    [anon_sym___nullable] = ACTIONS(8279),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8279),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8279),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8279),
    [anon_sym___real] = ACTIONS(8279),
    [anon_sym___strong] = ACTIONS(8279),
    [anon_sym___unsafe_unretained] = ACTIONS(8279),
    [anon_sym___unused] = ACTIONS(8279),
    [anon_sym___weak] = ACTIONS(8279),
    [anon_sym_alignas] = ACTIONS(8279),
    [anon_sym__Alignas] = ACTIONS(8279),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8279),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8279),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8279),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8279),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8279),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8279),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8279),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8279),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8279),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8279),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8281),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8279),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8279),
    [anon_sym_API_AVAILABLE] = ACTIONS(8279),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8279),
    [anon_sym_API_DEPRECATED] = ACTIONS(8279),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8279),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8279),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8279),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8279),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8279),
    [anon_sym___deprecated_msg] = ACTIONS(8279),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8279),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8279),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8279),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8279),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8279),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8279),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8279),
  },
  [3290] = {
    [sym_expression] = STATE(4428),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_initializer_list] = STATE(5888),
    [sym_initializer_pair] = STATE(5888),
    [sym_subscript_designator] = STATE(5011),
    [sym_subscript_range_designator] = STATE(5011),
    [sym_field_designator] = STATE(5011),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_initializer_pair_repeat1] = STATE(5011),
    [sym_identifier] = ACTIONS(8254),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(8258),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_RBRACE] = ACTIONS(8283),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [anon_sym_DOT] = ACTIONS(8262),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3291] = {
    [anon_sym_COMMA] = ACTIONS(7991),
    [anon_sym_SEMI] = ACTIONS(7991),
    [anon_sym___extension__] = ACTIONS(7991),
    [anon_sym_extern] = ACTIONS(7991),
    [anon_sym___attribute__] = ACTIONS(7991),
    [anon_sym___attribute] = ACTIONS(7993),
    [anon_sym_noreturn] = ACTIONS(7991),
    [anon_sym_LBRACK] = ACTIONS(7991),
    [anon_sym___declspec] = ACTIONS(7991),
    [anon_sym_static] = ACTIONS(7991),
    [anon_sym_auto] = ACTIONS(7991),
    [anon_sym_register] = ACTIONS(7991),
    [anon_sym_inline] = ACTIONS(7991),
    [anon_sym___inline] = ACTIONS(7993),
    [anon_sym___inline__] = ACTIONS(7991),
    [anon_sym___forceinline] = ACTIONS(7991),
    [anon_sym_thread_local] = ACTIONS(7991),
    [anon_sym___thread] = ACTIONS(7991),
    [anon_sym_CG_EXTERN] = ACTIONS(7991),
    [anon_sym_CG_INLINE] = ACTIONS(7991),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(7991),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(7991),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(7991),
    [anon_sym_IBOutlet] = ACTIONS(7991),
    [anon_sym_IBInspectable] = ACTIONS(7991),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(7991),
    [anon_sym_NS_INLINE] = ACTIONS(7991),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(7991),
    [anon_sym_OBJC_EXPORT] = ACTIONS(7991),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(7991),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(7991),
    [anon_sym_const] = ACTIONS(7993),
    [anon_sym_constexpr] = ACTIONS(7991),
    [anon_sym_volatile] = ACTIONS(7991),
    [anon_sym_restrict] = ACTIONS(7991),
    [anon_sym___restrict__] = ACTIONS(7991),
    [anon_sym__Atomic] = ACTIONS(7991),
    [anon_sym__Noreturn] = ACTIONS(7991),
    [anon_sym__Nonnull] = ACTIONS(7991),
    [anon_sym_nullable] = ACTIONS(7991),
    [anon_sym__Complex] = ACTIONS(7991),
    [anon_sym__Nullable] = ACTIONS(7993),
    [anon_sym__Nullable_result] = ACTIONS(7991),
    [anon_sym__Null_unspecified] = ACTIONS(7991),
    [anon_sym___autoreleasing] = ACTIONS(7991),
    [anon_sym___block] = ACTIONS(7991),
    [anon_sym___bridge] = ACTIONS(7993),
    [anon_sym___bridge_retained] = ACTIONS(7991),
    [anon_sym___bridge_transfer] = ACTIONS(7991),
    [anon_sym___complex] = ACTIONS(7991),
    [anon_sym___const] = ACTIONS(7991),
    [anon_sym___imag] = ACTIONS(7991),
    [anon_sym___kindof] = ACTIONS(7991),
    [anon_sym___nonnull] = ACTIONS(7991),
    [anon_sym___nullable] = ACTIONS(7991),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7991),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7991),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7991),
    [anon_sym___real] = ACTIONS(7991),
    [anon_sym___strong] = ACTIONS(7991),
    [anon_sym___unsafe_unretained] = ACTIONS(7991),
    [anon_sym___unused] = ACTIONS(7991),
    [anon_sym___weak] = ACTIONS(7991),
    [anon_sym_alignas] = ACTIONS(7991),
    [anon_sym__Alignas] = ACTIONS(7991),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(7991),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(7991),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(7991),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(7991),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(7991),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(7991),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(7991),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(7991),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(7991),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(7991),
    [anon_sym_NS_AVAILABLE] = ACTIONS(7993),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(7991),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(7991),
    [anon_sym_API_AVAILABLE] = ACTIONS(7991),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(7991),
    [anon_sym_API_DEPRECATED] = ACTIONS(7991),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(7991),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(7991),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(7991),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(7991),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(7991),
    [anon_sym___deprecated_msg] = ACTIONS(7991),
    [anon_sym___deprecated_enum_msg] = ACTIONS(7991),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(7991),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(7991),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(7991),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(7991),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(7991),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(7991),
  },
  [3292] = {
    [sym_expression] = STATE(4428),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_initializer_list] = STATE(5888),
    [sym_initializer_pair] = STATE(5888),
    [sym_subscript_designator] = STATE(5011),
    [sym_subscript_range_designator] = STATE(5011),
    [sym_field_designator] = STATE(5011),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_initializer_pair_repeat1] = STATE(5011),
    [sym_identifier] = ACTIONS(8254),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(8258),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_RBRACE] = ACTIONS(8285),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [anon_sym_DOT] = ACTIONS(8262),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3293] = {
    [sym_attribute_specifier] = STATE(3293),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3293),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3293),
    [sym_identifier] = ACTIONS(8287),
    [anon_sym_COMMA] = ACTIONS(8290),
    [anon_sym_RPAREN] = ACTIONS(8290),
    [anon_sym_LPAREN2] = ACTIONS(8292),
    [anon_sym_STAR] = ACTIONS(8295),
    [anon_sym_CARET] = ACTIONS(8298),
    [anon_sym_GT] = ACTIONS(8290),
    [anon_sym_LT] = ACTIONS(8290),
    [anon_sym___extension__] = ACTIONS(8301),
    [anon_sym___attribute__] = ACTIONS(8304),
    [anon_sym___attribute] = ACTIONS(8304),
    [anon_sym_noreturn] = ACTIONS(8301),
    [anon_sym_LBRACK] = ACTIONS(8290),
    [anon_sym___based] = ACTIONS(8307),
    [anon_sym_signed] = ACTIONS(8310),
    [anon_sym_unsigned] = ACTIONS(8310),
    [anon_sym_long] = ACTIONS(8310),
    [anon_sym_short] = ACTIONS(8310),
    [anon_sym_const] = ACTIONS(8301),
    [anon_sym_constexpr] = ACTIONS(8301),
    [anon_sym_volatile] = ACTIONS(8301),
    [anon_sym_restrict] = ACTIONS(8301),
    [anon_sym___restrict__] = ACTIONS(8301),
    [anon_sym__Atomic] = ACTIONS(8301),
    [anon_sym__Noreturn] = ACTIONS(8301),
    [anon_sym__Nonnull] = ACTIONS(8301),
    [anon_sym_nullable] = ACTIONS(8301),
    [anon_sym__Complex] = ACTIONS(8301),
    [anon_sym__Nullable] = ACTIONS(8301),
    [anon_sym__Nullable_result] = ACTIONS(8301),
    [anon_sym__Null_unspecified] = ACTIONS(8301),
    [anon_sym___autoreleasing] = ACTIONS(8301),
    [anon_sym___block] = ACTIONS(8301),
    [anon_sym___bridge] = ACTIONS(8301),
    [anon_sym___bridge_retained] = ACTIONS(8301),
    [anon_sym___bridge_transfer] = ACTIONS(8301),
    [anon_sym___complex] = ACTIONS(8301),
    [anon_sym___const] = ACTIONS(8301),
    [anon_sym___imag] = ACTIONS(8301),
    [anon_sym___kindof] = ACTIONS(8301),
    [anon_sym___nonnull] = ACTIONS(8301),
    [anon_sym___nullable] = ACTIONS(8301),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8301),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8301),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8301),
    [anon_sym___real] = ACTIONS(8301),
    [anon_sym___strong] = ACTIONS(8301),
    [anon_sym___unsafe_unretained] = ACTIONS(8301),
    [anon_sym___unused] = ACTIONS(8301),
    [anon_sym___weak] = ACTIONS(8301),
    [anon_sym_alignas] = ACTIONS(8313),
    [anon_sym__Alignas] = ACTIONS(8313),
    [sym_primitive_type] = ACTIONS(8316),
    [anon_sym_enum] = ACTIONS(8319),
    [anon_sym_struct] = ACTIONS(8322),
    [anon_sym_union] = ACTIONS(8325),
    [anon_sym_in] = ACTIONS(8328),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(8331),
    [anon_sym___typeof] = ACTIONS(8331),
    [anon_sym_typeof] = ACTIONS(8331),
    [anon_sym_BOOL] = ACTIONS(8334),
    [anon_sym_IMP] = ACTIONS(8334),
    [anon_sym_SEL] = ACTIONS(8334),
    [anon_sym_Class] = ACTIONS(8334),
    [anon_sym_id] = ACTIONS(8334),
    [anon_sym_out] = ACTIONS(8328),
    [anon_sym_inout] = ACTIONS(8328),
    [anon_sym_bycopy] = ACTIONS(8328),
    [anon_sym_byref] = ACTIONS(8328),
    [anon_sym_oneway] = ACTIONS(8328),
  },
  [3294] = {
    [sym_attribute_specifier] = STATE(3258),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_compound_statement] = STATE(1494),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_parameter_list] = STATE(5093),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3224),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(4931),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3224),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_LPAREN2] = ACTIONS(8107),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_LBRACE] = ACTIONS(8111),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_ATautoreleasepool] = ACTIONS(8113),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7995),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3295] = {
    [sym_expression] = STATE(4428),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_initializer_list] = STATE(5888),
    [sym_initializer_pair] = STATE(5888),
    [sym_subscript_designator] = STATE(5011),
    [sym_subscript_range_designator] = STATE(5011),
    [sym_field_designator] = STATE(5011),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_initializer_pair_repeat1] = STATE(5011),
    [sym_identifier] = ACTIONS(8254),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(8258),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_RBRACE] = ACTIONS(8337),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [anon_sym_DOT] = ACTIONS(8262),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3296] = {
    [sym_attribute_specifier] = STATE(3268),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_compound_statement] = STATE(1656),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_parameter_list] = STATE(5053),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3224),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(4940),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3224),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_LPAREN2] = ACTIONS(8107),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_LBRACE] = ACTIONS(8151),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_ATautoreleasepool] = ACTIONS(8153),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7995),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3297] = {
    [sym_expression] = STATE(4428),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_initializer_list] = STATE(5888),
    [sym_initializer_pair] = STATE(5888),
    [sym_subscript_designator] = STATE(5011),
    [sym_subscript_range_designator] = STATE(5011),
    [sym_field_designator] = STATE(5011),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_initializer_pair_repeat1] = STATE(5011),
    [sym_identifier] = ACTIONS(8254),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(8258),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_RBRACE] = ACTIONS(8339),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [anon_sym_DOT] = ACTIONS(8262),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3298] = {
    [anon_sym_COMMA] = ACTIONS(8197),
    [anon_sym_SEMI] = ACTIONS(8197),
    [anon_sym___extension__] = ACTIONS(8197),
    [anon_sym_extern] = ACTIONS(8197),
    [anon_sym___attribute__] = ACTIONS(8197),
    [anon_sym___attribute] = ACTIONS(8199),
    [anon_sym_noreturn] = ACTIONS(8197),
    [anon_sym_LBRACK] = ACTIONS(8197),
    [anon_sym___declspec] = ACTIONS(8197),
    [anon_sym_static] = ACTIONS(8197),
    [anon_sym_auto] = ACTIONS(8197),
    [anon_sym_register] = ACTIONS(8197),
    [anon_sym_inline] = ACTIONS(8197),
    [anon_sym___inline] = ACTIONS(8199),
    [anon_sym___inline__] = ACTIONS(8197),
    [anon_sym___forceinline] = ACTIONS(8197),
    [anon_sym_thread_local] = ACTIONS(8197),
    [anon_sym___thread] = ACTIONS(8197),
    [anon_sym_CG_EXTERN] = ACTIONS(8197),
    [anon_sym_CG_INLINE] = ACTIONS(8197),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8197),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8197),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8197),
    [anon_sym_IBOutlet] = ACTIONS(8197),
    [anon_sym_IBInspectable] = ACTIONS(8197),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8197),
    [anon_sym_NS_INLINE] = ACTIONS(8197),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8197),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8197),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8197),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8197),
    [anon_sym_const] = ACTIONS(8199),
    [anon_sym_constexpr] = ACTIONS(8197),
    [anon_sym_volatile] = ACTIONS(8197),
    [anon_sym_restrict] = ACTIONS(8197),
    [anon_sym___restrict__] = ACTIONS(8197),
    [anon_sym__Atomic] = ACTIONS(8197),
    [anon_sym__Noreturn] = ACTIONS(8197),
    [anon_sym__Nonnull] = ACTIONS(8197),
    [anon_sym_nullable] = ACTIONS(8197),
    [anon_sym__Complex] = ACTIONS(8197),
    [anon_sym__Nullable] = ACTIONS(8199),
    [anon_sym__Nullable_result] = ACTIONS(8197),
    [anon_sym__Null_unspecified] = ACTIONS(8197),
    [anon_sym___autoreleasing] = ACTIONS(8197),
    [anon_sym___block] = ACTIONS(8197),
    [anon_sym___bridge] = ACTIONS(8199),
    [anon_sym___bridge_retained] = ACTIONS(8197),
    [anon_sym___bridge_transfer] = ACTIONS(8197),
    [anon_sym___complex] = ACTIONS(8197),
    [anon_sym___const] = ACTIONS(8197),
    [anon_sym___imag] = ACTIONS(8197),
    [anon_sym___kindof] = ACTIONS(8197),
    [anon_sym___nonnull] = ACTIONS(8197),
    [anon_sym___nullable] = ACTIONS(8197),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8197),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8197),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8197),
    [anon_sym___real] = ACTIONS(8197),
    [anon_sym___strong] = ACTIONS(8197),
    [anon_sym___unsafe_unretained] = ACTIONS(8197),
    [anon_sym___unused] = ACTIONS(8197),
    [anon_sym___weak] = ACTIONS(8197),
    [anon_sym_alignas] = ACTIONS(8197),
    [anon_sym__Alignas] = ACTIONS(8197),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8197),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8197),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8197),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8197),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8197),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8197),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8197),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8197),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8197),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8197),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8199),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8197),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8197),
    [anon_sym_API_AVAILABLE] = ACTIONS(8197),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8197),
    [anon_sym_API_DEPRECATED] = ACTIONS(8197),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8197),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8197),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8197),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8197),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8197),
    [anon_sym___deprecated_msg] = ACTIONS(8197),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8197),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8197),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8197),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8197),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8197),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8197),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8197),
  },
  [3299] = {
    [anon_sym_COMMA] = ACTIONS(8341),
    [anon_sym_SEMI] = ACTIONS(8341),
    [anon_sym___extension__] = ACTIONS(8341),
    [anon_sym_extern] = ACTIONS(8341),
    [anon_sym___attribute__] = ACTIONS(8341),
    [anon_sym___attribute] = ACTIONS(8343),
    [anon_sym_noreturn] = ACTIONS(8341),
    [anon_sym_LBRACK] = ACTIONS(8341),
    [anon_sym___declspec] = ACTIONS(8341),
    [anon_sym_static] = ACTIONS(8341),
    [anon_sym_auto] = ACTIONS(8341),
    [anon_sym_register] = ACTIONS(8341),
    [anon_sym_inline] = ACTIONS(8341),
    [anon_sym___inline] = ACTIONS(8343),
    [anon_sym___inline__] = ACTIONS(8341),
    [anon_sym___forceinline] = ACTIONS(8341),
    [anon_sym_thread_local] = ACTIONS(8341),
    [anon_sym___thread] = ACTIONS(8341),
    [anon_sym_CG_EXTERN] = ACTIONS(8341),
    [anon_sym_CG_INLINE] = ACTIONS(8341),
    [anon_sym_FOUNDATION_EXPORT] = ACTIONS(8341),
    [anon_sym_FOUNDATION_EXTERN] = ACTIONS(8341),
    [anon_sym_FOUNDATION_STATIC_INLINE] = ACTIONS(8341),
    [anon_sym_IBOutlet] = ACTIONS(8341),
    [anon_sym_IBInspectable] = ACTIONS(8341),
    [anon_sym_IB_DESIGNABLE] = ACTIONS(8341),
    [anon_sym_NS_INLINE] = ACTIONS(8341),
    [anon_sym_NS_VALID_UNTIL_END_OF_SCOPE] = ACTIONS(8341),
    [anon_sym_OBJC_EXPORT] = ACTIONS(8341),
    [anon_sym_OBJC_ROOT_CLASS] = ACTIONS(8341),
    [anon_sym_UIKIT_EXTERN] = ACTIONS(8341),
    [anon_sym_const] = ACTIONS(8343),
    [anon_sym_constexpr] = ACTIONS(8341),
    [anon_sym_volatile] = ACTIONS(8341),
    [anon_sym_restrict] = ACTIONS(8341),
    [anon_sym___restrict__] = ACTIONS(8341),
    [anon_sym__Atomic] = ACTIONS(8341),
    [anon_sym__Noreturn] = ACTIONS(8341),
    [anon_sym__Nonnull] = ACTIONS(8341),
    [anon_sym_nullable] = ACTIONS(8341),
    [anon_sym__Complex] = ACTIONS(8341),
    [anon_sym__Nullable] = ACTIONS(8343),
    [anon_sym__Nullable_result] = ACTIONS(8341),
    [anon_sym__Null_unspecified] = ACTIONS(8341),
    [anon_sym___autoreleasing] = ACTIONS(8341),
    [anon_sym___block] = ACTIONS(8341),
    [anon_sym___bridge] = ACTIONS(8343),
    [anon_sym___bridge_retained] = ACTIONS(8341),
    [anon_sym___bridge_transfer] = ACTIONS(8341),
    [anon_sym___complex] = ACTIONS(8341),
    [anon_sym___const] = ACTIONS(8341),
    [anon_sym___imag] = ACTIONS(8341),
    [anon_sym___kindof] = ACTIONS(8341),
    [anon_sym___nonnull] = ACTIONS(8341),
    [anon_sym___nullable] = ACTIONS(8341),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8341),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8341),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8341),
    [anon_sym___real] = ACTIONS(8341),
    [anon_sym___strong] = ACTIONS(8341),
    [anon_sym___unsafe_unretained] = ACTIONS(8341),
    [anon_sym___unused] = ACTIONS(8341),
    [anon_sym___weak] = ACTIONS(8341),
    [anon_sym_alignas] = ACTIONS(8341),
    [anon_sym__Alignas] = ACTIONS(8341),
    [sym_comment] = ACTIONS(3),
    [anon_sym_NS_AUTOMATED_REFCOUNT_UNAVAILABLE] = ACTIONS(8341),
    [anon_sym_NS_ROOT_CLASS] = ACTIONS(8341),
    [anon_sym_NS_UNAVAILABLE] = ACTIONS(8341),
    [anon_sym_NS_REQUIRES_NIL_TERMINATION] = ACTIONS(8341),
    [anon_sym_CF_RETURNS_RETAINED] = ACTIONS(8341),
    [anon_sym_CF_RETURNS_NOT_RETAINED] = ACTIONS(8341),
    [anon_sym_DEPRECATED_ATTRIBUTE] = ACTIONS(8341),
    [anon_sym_UI_APPEARANCE_SELECTOR] = ACTIONS(8341),
    [anon_sym_UNAVAILABLE_ATTRIBUTE] = ACTIONS(8341),
    [anon_sym_CF_FORMAT_FUNCTION] = ACTIONS(8341),
    [anon_sym_NS_AVAILABLE] = ACTIONS(8343),
    [anon_sym___IOS_AVAILABLE] = ACTIONS(8341),
    [anon_sym_NS_AVAILABLE_IOS] = ACTIONS(8341),
    [anon_sym_API_AVAILABLE] = ACTIONS(8341),
    [anon_sym_API_UNAVAILABLE] = ACTIONS(8341),
    [anon_sym_API_DEPRECATED] = ACTIONS(8341),
    [anon_sym_NS_ENUM_AVAILABLE_IOS] = ACTIONS(8341),
    [anon_sym_NS_DEPRECATED_IOS] = ACTIONS(8341),
    [anon_sym_NS_ENUM_DEPRECATED_IOS] = ACTIONS(8341),
    [anon_sym_NS_FORMAT_FUNCTION] = ACTIONS(8341),
    [anon_sym_DEPRECATED_MSG_ATTRIBUTE] = ACTIONS(8341),
    [anon_sym___deprecated_msg] = ACTIONS(8341),
    [anon_sym___deprecated_enum_msg] = ACTIONS(8341),
    [anon_sym_NS_SWIFT_NAME] = ACTIONS(8341),
    [anon_sym_NS_SWIFT_UNAVAILABLE] = ACTIONS(8341),
    [anon_sym_NS_EXTENSION_UNAVAILABLE_IOS] = ACTIONS(8341),
    [anon_sym_NS_CLASS_AVAILABLE_IOS] = ACTIONS(8341),
    [anon_sym_NS_CLASS_DEPRECATED_IOS] = ACTIONS(8341),
    [anon_sym___OSX_AVAILABLE_STARTING] = ACTIONS(8341),
  },
  [3300] = {
    [sym_expression] = STATE(4428),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_initializer_list] = STATE(5888),
    [sym_initializer_pair] = STATE(5888),
    [sym_subscript_designator] = STATE(5011),
    [sym_subscript_range_designator] = STATE(5011),
    [sym_field_designator] = STATE(5011),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [aux_sym_initializer_pair_repeat1] = STATE(5011),
    [sym_identifier] = ACTIONS(8254),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(8258),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [anon_sym_DOT] = ACTIONS(8262),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3301] = {
    [sym_attribute_specifier] = STATE(3301),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3301),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3301),
    [sym_identifier] = ACTIONS(8287),
    [anon_sym_LPAREN2] = ACTIONS(8292),
    [anon_sym_STAR] = ACTIONS(8295),
    [anon_sym_CARET] = ACTIONS(8298),
    [anon_sym_LT] = ACTIONS(8290),
    [anon_sym___extension__] = ACTIONS(8301),
    [anon_sym___attribute__] = ACTIONS(8304),
    [anon_sym___attribute] = ACTIONS(8304),
    [anon_sym_noreturn] = ACTIONS(8301),
    [anon_sym_LBRACK] = ACTIONS(8290),
    [anon_sym___based] = ACTIONS(8307),
    [anon_sym_LBRACE] = ACTIONS(8290),
    [anon_sym_signed] = ACTIONS(8310),
    [anon_sym_unsigned] = ACTIONS(8310),
    [anon_sym_long] = ACTIONS(8310),
    [anon_sym_short] = ACTIONS(8310),
    [anon_sym_ATautoreleasepool] = ACTIONS(8290),
    [anon_sym_const] = ACTIONS(8301),
    [anon_sym_constexpr] = ACTIONS(8301),
    [anon_sym_volatile] = ACTIONS(8301),
    [anon_sym_restrict] = ACTIONS(8301),
    [anon_sym___restrict__] = ACTIONS(8301),
    [anon_sym__Atomic] = ACTIONS(8301),
    [anon_sym__Noreturn] = ACTIONS(8301),
    [anon_sym__Nonnull] = ACTIONS(8301),
    [anon_sym_nullable] = ACTIONS(8301),
    [anon_sym__Complex] = ACTIONS(8301),
    [anon_sym__Nullable] = ACTIONS(8301),
    [anon_sym__Nullable_result] = ACTIONS(8301),
    [anon_sym__Null_unspecified] = ACTIONS(8301),
    [anon_sym___autoreleasing] = ACTIONS(8301),
    [anon_sym___block] = ACTIONS(8301),
    [anon_sym___bridge] = ACTIONS(8301),
    [anon_sym___bridge_retained] = ACTIONS(8301),
    [anon_sym___bridge_transfer] = ACTIONS(8301),
    [anon_sym___complex] = ACTIONS(8301),
    [anon_sym___const] = ACTIONS(8301),
    [anon_sym___imag] = ACTIONS(8301),
    [anon_sym___kindof] = ACTIONS(8301),
    [anon_sym___nonnull] = ACTIONS(8301),
    [anon_sym___nullable] = ACTIONS(8301),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8301),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8301),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8301),
    [anon_sym___real] = ACTIONS(8301),
    [anon_sym___strong] = ACTIONS(8301),
    [anon_sym___unsafe_unretained] = ACTIONS(8301),
    [anon_sym___unused] = ACTIONS(8301),
    [anon_sym___weak] = ACTIONS(8301),
    [anon_sym_alignas] = ACTIONS(8313),
    [anon_sym__Alignas] = ACTIONS(8313),
    [sym_primitive_type] = ACTIONS(8316),
    [anon_sym_enum] = ACTIONS(8345),
    [anon_sym_struct] = ACTIONS(8322),
    [anon_sym_union] = ACTIONS(8325),
    [anon_sym_in] = ACTIONS(8328),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(8331),
    [anon_sym___typeof] = ACTIONS(8331),
    [anon_sym_typeof] = ACTIONS(8331),
    [anon_sym_BOOL] = ACTIONS(8334),
    [anon_sym_IMP] = ACTIONS(8334),
    [anon_sym_SEL] = ACTIONS(8334),
    [anon_sym_Class] = ACTIONS(8334),
    [anon_sym_id] = ACTIONS(8334),
    [anon_sym_out] = ACTIONS(8328),
    [anon_sym_inout] = ACTIONS(8328),
    [anon_sym_bycopy] = ACTIONS(8328),
    [anon_sym_byref] = ACTIONS(8328),
    [anon_sym_oneway] = ACTIONS(8328),
  },
  [3302] = {
    [sym_expression] = STATE(4416),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_version] = STATE(5697),
    [sym_platform] = STATE(5623),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_version_number] = ACTIONS(8348),
    [anon_sym_ios] = ACTIONS(8350),
    [anon_sym_tvos] = ACTIONS(8350),
    [anon_sym_macos] = ACTIONS(8350),
    [anon_sym_macosx] = ACTIONS(8350),
    [anon_sym_watchos] = ACTIONS(8350),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3303] = {
    [sym_expression] = STATE(4464),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_version] = STATE(5744),
    [sym_platform] = STATE(5623),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(219),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_version_number] = ACTIONS(8348),
    [anon_sym_ios] = ACTIONS(8350),
    [anon_sym_tvos] = ACTIONS(8350),
    [anon_sym_macos] = ACTIONS(8350),
    [anon_sym_macosx] = ACTIONS(8350),
    [anon_sym_watchos] = ACTIONS(8350),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3304] = {
    [sym_attribute_specifier] = STATE(3216),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3216),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(5339),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3216),
    [sym_identifier] = ACTIONS(8352),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym___covariant] = ACTIONS(8354),
    [anon_sym___contravariant] = ACTIONS(8354),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3305] = {
    [sym_attribute_specifier] = STATE(3288),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_parameterized_arguments] = STATE(5794),
    [sym_specifier_qualifier] = STATE(3216),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(5794),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3216),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3306] = {
    [sym_attribute_specifier] = STATE(3276),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_parameterized_arguments] = STATE(5642),
    [sym_specifier_qualifier] = STATE(3216),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(5642),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3216),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym_LT] = ACTIONS(3016),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3307] = {
    [sym_attribute_specifier] = STATE(3216),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3216),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(6051),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3216),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8356),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3308] = {
    [sym_attribute_specifier] = STATE(3216),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3216),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(6128),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3216),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8358),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3309] = {
    [sym_attribute_specifier] = STATE(3216),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3216),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(6096),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3216),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8360),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3310] = {
    [sym_attribute_specifier] = STATE(3216),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3216),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(6606),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3216),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8362),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3311] = {
    [sym_attribute_specifier] = STATE(3216),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3216),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(5993),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3216),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8364),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3312] = {
    [sym_attribute_specifier] = STATE(3216),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3216),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(6605),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3216),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8366),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3313] = {
    [sym_attribute_specifier] = STATE(3216),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3216),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(5918),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3216),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8368),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3314] = {
    [sym_attribute_specifier] = STATE(3216),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3216),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(6283),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3216),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(8370),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3315] = {
    [sym_attribute_specifier] = STATE(3216),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3216),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(5573),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3216),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3316] = {
    [sym_attribute_specifier] = STATE(3216),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3216),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(5887),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3216),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3317] = {
    [sym_attribute_specifier] = STATE(3216),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3216),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(5834),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3216),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3318] = {
    [sym_attribute_specifier] = STATE(3216),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3216),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(6204),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3216),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3319] = {
    [sym_attribute_specifier] = STATE(3216),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3216),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(5477),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3216),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3320] = {
    [sym_attribute_specifier] = STATE(3216),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3216),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(5839),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3216),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3321] = {
    [sym_attribute_specifier] = STATE(3216),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3216),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(5866),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3216),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3322] = {
    [sym_attribute_specifier] = STATE(3216),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3216),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(5667),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3216),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3323] = {
    [sym_attribute_specifier] = STATE(3216),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3216),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(5570),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3216),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3324] = {
    [sym_attribute_specifier] = STATE(3216),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3216),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(5903),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3216),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3325] = {
    [sym_attribute_specifier] = STATE(3216),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3216),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(6515),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3216),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3326] = {
    [sym_attribute_specifier] = STATE(3216),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3216),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(5659),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3216),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3327] = {
    [sym_attribute_specifier] = STATE(3216),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3216),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(5571),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3216),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3328] = {
    [sym_attribute_specifier] = STATE(3216),
    [sym_ms_based_modifier] = STATE(5997),
    [sym__declarator] = STATE(3877),
    [sym_parenthesized_declarator] = STATE(3994),
    [sym_pointer_declarator] = STATE(3994),
    [sym_function_declarator] = STATE(3994),
    [sym_array_declarator] = STATE(3994),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3216),
    [sym_block_pointer_declarator] = STATE(3994),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [sym_type_name] = STATE(5609),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_type_name_repeat1] = STATE(3216),
    [sym_identifier] = ACTIONS(7963),
    [anon_sym_LPAREN2] = ACTIONS(4490),
    [anon_sym_STAR] = ACTIONS(6471),
    [anon_sym_CARET] = ACTIONS(6473),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(7979),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3329] = {
    [sym_compound_statement] = STATE(6648),
    [sym_expression] = STATE(4458),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6648),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3330] = {
    [sym_compound_statement] = STATE(6532),
    [sym_expression] = STATE(4479),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6532),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_ATautoreleasepool] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3331] = {
    [sym_expression] = STATE(4456),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_typeof_specifier] = STATE(5746),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3332] = {
    [sym_expression] = STATE(4417),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_typeof_specifier] = STATE(5615),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3333] = {
    [sym_ms_based_modifier] = STATE(5960),
    [sym__declarator] = STATE(3250),
    [sym_parenthesized_declarator] = STATE(3082),
    [sym_pointer_declarator] = STATE(3082),
    [sym_function_declarator] = STATE(3082),
    [sym_array_declarator] = STATE(3082),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3773),
    [sym_struct_declarator] = STATE(3125),
    [sym_block_pointer_declarator] = STATE(3082),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_struct_declaration_repeat1] = STATE(3773),
    [sym_identifier] = ACTIONS(8372),
    [anon_sym_LPAREN2] = ACTIONS(6475),
    [anon_sym_STAR] = ACTIONS(6477),
    [anon_sym_CARET] = ACTIONS(6479),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_COLON] = ACTIONS(8374),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3334] = {
    [sym_expression] = STATE(4472),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3335] = {
    [sym_preproc_if] = STATE(4066),
    [sym_preproc_ifdef] = STATE(4066),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_instance_variable] = STATE(4075),
    [sym_visibility_specification] = STATE(4066),
    [sym_struct_declaration] = STATE(4066),
    [sym_atomic_declaration] = STATE(4066),
    [sym_specifier_qualifier] = STATE(3339),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_struct_declaration_repeat1] = STATE(3339),
    [sym_identifier] = ACTIONS(8171),
    [aux_sym_preproc_if_token1] = ACTIONS(8173),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(8175),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(8175),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(8181),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_ATprivate] = ACTIONS(8185),
    [anon_sym_ATprotected] = ACTIONS(8185),
    [anon_sym_ATpackage] = ACTIONS(8185),
    [anon_sym_ATpublic] = ACTIONS(8185),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3336] = {
    [sym_expression] = STATE(1631),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3337] = {
    [sym_string_literal] = STATE(1928),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2952),
    [aux_sym_generic_specifier_repeat1] = STATE(2919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4007),
    [anon_sym_COMMA] = ACTIONS(4007),
    [anon_sym_RPAREN] = ACTIONS(4514),
    [anon_sym_LPAREN2] = ACTIONS(4504),
    [anon_sym_DASH] = ACTIONS(4005),
    [anon_sym_PLUS] = ACTIONS(4005),
    [anon_sym_STAR] = ACTIONS(4508),
    [anon_sym_SLASH] = ACTIONS(4005),
    [anon_sym_PERCENT] = ACTIONS(4005),
    [anon_sym_PIPE_PIPE] = ACTIONS(4007),
    [anon_sym_AMP_AMP] = ACTIONS(4007),
    [anon_sym_PIPE] = ACTIONS(4005),
    [anon_sym_CARET] = ACTIONS(4508),
    [anon_sym_AMP] = ACTIONS(4005),
    [anon_sym_EQ_EQ] = ACTIONS(4007),
    [anon_sym_BANG_EQ] = ACTIONS(4007),
    [anon_sym_GT] = ACTIONS(4005),
    [anon_sym_GT_EQ] = ACTIONS(4007),
    [anon_sym_LT_EQ] = ACTIONS(4007),
    [anon_sym_LT] = ACTIONS(4511),
    [anon_sym_LT_LT] = ACTIONS(4005),
    [anon_sym_GT_GT] = ACTIONS(4005),
    [anon_sym___extension__] = ACTIONS(5922),
    [anon_sym_noreturn] = ACTIONS(5922),
    [anon_sym_LBRACK] = ACTIONS(4514),
    [anon_sym_signed] = ACTIONS(8376),
    [anon_sym_unsigned] = ACTIONS(8376),
    [anon_sym_long] = ACTIONS(8376),
    [anon_sym_short] = ACTIONS(8376),
    [anon_sym_EQ] = ACTIONS(8378),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(5922),
    [anon_sym_volatile] = ACTIONS(5922),
    [anon_sym_restrict] = ACTIONS(5922),
    [anon_sym___restrict__] = ACTIONS(5922),
    [anon_sym__Atomic] = ACTIONS(5922),
    [anon_sym__Noreturn] = ACTIONS(5922),
    [anon_sym__Nonnull] = ACTIONS(5922),
    [anon_sym_nullable] = ACTIONS(5922),
    [anon_sym__Complex] = ACTIONS(5922),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(5922),
    [anon_sym__Null_unspecified] = ACTIONS(5922),
    [anon_sym___autoreleasing] = ACTIONS(5922),
    [anon_sym___block] = ACTIONS(5922),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(5922),
    [anon_sym___bridge_transfer] = ACTIONS(5922),
    [anon_sym___complex] = ACTIONS(5922),
    [anon_sym___const] = ACTIONS(5922),
    [anon_sym___imag] = ACTIONS(5922),
    [anon_sym___kindof] = ACTIONS(5922),
    [anon_sym___nonnull] = ACTIONS(5922),
    [anon_sym___nullable] = ACTIONS(5922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5922),
    [anon_sym___real] = ACTIONS(5922),
    [anon_sym___strong] = ACTIONS(5922),
    [anon_sym___unsafe_unretained] = ACTIONS(5922),
    [anon_sym___unused] = ACTIONS(5922),
    [anon_sym___weak] = ACTIONS(5922),
    [anon_sym_alignas] = ACTIONS(5922),
    [anon_sym__Alignas] = ACTIONS(5922),
    [anon_sym_QMARK] = ACTIONS(4007),
    [anon_sym_STAR_EQ] = ACTIONS(8380),
    [anon_sym_SLASH_EQ] = ACTIONS(8380),
    [anon_sym_PERCENT_EQ] = ACTIONS(8380),
    [anon_sym_PLUS_EQ] = ACTIONS(8380),
    [anon_sym_DASH_EQ] = ACTIONS(8380),
    [anon_sym_LT_LT_EQ] = ACTIONS(8380),
    [anon_sym_GT_GT_EQ] = ACTIONS(8380),
    [anon_sym_AMP_EQ] = ACTIONS(8380),
    [anon_sym_CARET_EQ] = ACTIONS(8380),
    [anon_sym_PIPE_EQ] = ACTIONS(8380),
    [anon_sym_DASH_DASH] = ACTIONS(4007),
    [anon_sym_PLUS_PLUS] = ACTIONS(4007),
    [anon_sym_DOT] = ACTIONS(4005),
    [anon_sym_DASH_GT] = ACTIONS(4007),
    [anon_sym_AT] = ACTIONS(4525),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
  },
  [3338] = {
    [sym_type_qualifier] = STATE(3338),
    [sym_alignas_qualifier] = STATE(3521),
    [aux_sym_array_declarator_repeat1] = STATE(3338),
    [sym_identifier] = ACTIONS(8382),
    [anon_sym_LPAREN2] = ACTIONS(8384),
    [anon_sym_BANG] = ACTIONS(8384),
    [anon_sym_TILDE] = ACTIONS(8384),
    [anon_sym_DASH] = ACTIONS(8382),
    [anon_sym_PLUS] = ACTIONS(8382),
    [anon_sym_STAR] = ACTIONS(8384),
    [anon_sym_CARET] = ACTIONS(8384),
    [anon_sym_AMP] = ACTIONS(8384),
    [anon_sym___extension__] = ACTIONS(8386),
    [anon_sym_noreturn] = ACTIONS(8386),
    [anon_sym_LBRACK] = ACTIONS(8384),
    [anon_sym_RBRACK] = ACTIONS(8384),
    [anon_sym_static] = ACTIONS(8389),
    [anon_sym_const] = ACTIONS(8386),
    [anon_sym_constexpr] = ACTIONS(8386),
    [anon_sym_volatile] = ACTIONS(8386),
    [anon_sym_restrict] = ACTIONS(8386),
    [anon_sym___restrict__] = ACTIONS(8386),
    [anon_sym__Atomic] = ACTIONS(8386),
    [anon_sym__Noreturn] = ACTIONS(8386),
    [anon_sym__Nonnull] = ACTIONS(8386),
    [anon_sym_nullable] = ACTIONS(8386),
    [anon_sym__Complex] = ACTIONS(8386),
    [anon_sym__Nullable] = ACTIONS(8386),
    [anon_sym__Nullable_result] = ACTIONS(8386),
    [anon_sym__Null_unspecified] = ACTIONS(8386),
    [anon_sym___autoreleasing] = ACTIONS(8386),
    [anon_sym___block] = ACTIONS(8386),
    [anon_sym___bridge] = ACTIONS(8386),
    [anon_sym___bridge_retained] = ACTIONS(8386),
    [anon_sym___bridge_transfer] = ACTIONS(8386),
    [anon_sym___complex] = ACTIONS(8386),
    [anon_sym___const] = ACTIONS(8386),
    [anon_sym___imag] = ACTIONS(8386),
    [anon_sym___kindof] = ACTIONS(8386),
    [anon_sym___nonnull] = ACTIONS(8386),
    [anon_sym___nullable] = ACTIONS(8386),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8386),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8386),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8386),
    [anon_sym___real] = ACTIONS(8386),
    [anon_sym___strong] = ACTIONS(8386),
    [anon_sym___unsafe_unretained] = ACTIONS(8386),
    [anon_sym___unused] = ACTIONS(8386),
    [anon_sym___weak] = ACTIONS(8386),
    [anon_sym_alignas] = ACTIONS(8392),
    [anon_sym__Alignas] = ACTIONS(8392),
    [anon_sym_struct] = ACTIONS(8382),
    [anon_sym_in] = ACTIONS(8382),
    [anon_sym_DASH_DASH] = ACTIONS(8384),
    [anon_sym_PLUS_PLUS] = ACTIONS(8384),
    [anon_sym_sizeof] = ACTIONS(8382),
    [anon_sym___alignof__] = ACTIONS(8382),
    [anon_sym___alignof] = ACTIONS(8382),
    [anon_sym__alignof] = ACTIONS(8382),
    [anon_sym_alignof] = ACTIONS(8382),
    [anon_sym__Alignof] = ACTIONS(8382),
    [anon_sym_offsetof] = ACTIONS(8382),
    [anon_sym__Generic] = ACTIONS(8382),
    [anon_sym_asm] = ACTIONS(8382),
    [anon_sym___asm__] = ACTIONS(8382),
    [anon_sym___asm] = ACTIONS(8382),
    [sym_number_literal] = ACTIONS(8384),
    [anon_sym_L_SQUOTE] = ACTIONS(8384),
    [anon_sym_u_SQUOTE] = ACTIONS(8384),
    [anon_sym_U_SQUOTE] = ACTIONS(8384),
    [anon_sym_u8_SQUOTE] = ACTIONS(8384),
    [anon_sym_SQUOTE] = ACTIONS(8384),
    [anon_sym_AT] = ACTIONS(8382),
    [anon_sym_DQUOTE] = ACTIONS(8384),
    [anon_sym_L_DQUOTE] = ACTIONS(8384),
    [anon_sym_u_DQUOTE] = ACTIONS(8384),
    [anon_sym_U_DQUOTE] = ACTIONS(8384),
    [anon_sym_u8_DQUOTE] = ACTIONS(8384),
    [sym_true] = ACTIONS(8382),
    [sym_false] = ACTIONS(8382),
    [anon_sym_NULL] = ACTIONS(8382),
    [anon_sym_nullptr] = ACTIONS(8382),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(8384),
    [anon_sym_ATavailable] = ACTIONS(8384),
    [anon_sym___builtin_available] = ACTIONS(8382),
    [anon_sym_va_arg] = ACTIONS(8382),
    [anon_sym_ATencode] = ACTIONS(8384),
    [anon_sym_id] = ACTIONS(8382),
  },
  [3339] = {
    [sym_ms_based_modifier] = STATE(5960),
    [sym__declarator] = STATE(3250),
    [sym_parenthesized_declarator] = STATE(3082),
    [sym_pointer_declarator] = STATE(3082),
    [sym_function_declarator] = STATE(3082),
    [sym_array_declarator] = STATE(3082),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3773),
    [sym_struct_declarator] = STATE(3124),
    [sym_block_pointer_declarator] = STATE(3082),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_struct_declaration_repeat1] = STATE(3773),
    [sym_identifier] = ACTIONS(8372),
    [anon_sym_LPAREN2] = ACTIONS(6475),
    [anon_sym_STAR] = ACTIONS(6477),
    [anon_sym_CARET] = ACTIONS(6479),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_COLON] = ACTIONS(8374),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3340] = {
    [sym_ms_based_modifier] = STATE(5960),
    [sym__declarator] = STATE(3250),
    [sym_parenthesized_declarator] = STATE(3082),
    [sym_pointer_declarator] = STATE(3082),
    [sym_function_declarator] = STATE(3082),
    [sym_array_declarator] = STATE(3082),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3773),
    [sym_struct_declarator] = STATE(3179),
    [sym_block_pointer_declarator] = STATE(3082),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_struct_declaration_repeat1] = STATE(3773),
    [sym_identifier] = ACTIONS(8372),
    [anon_sym_LPAREN2] = ACTIONS(6475),
    [anon_sym_STAR] = ACTIONS(6477),
    [anon_sym_CARET] = ACTIONS(6479),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_COLON] = ACTIONS(8374),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3341] = {
    [sym_ms_based_modifier] = STATE(5960),
    [sym__declarator] = STATE(3250),
    [sym_parenthesized_declarator] = STATE(3082),
    [sym_pointer_declarator] = STATE(3082),
    [sym_function_declarator] = STATE(3082),
    [sym_array_declarator] = STATE(3082),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3773),
    [sym_struct_declarator] = STATE(3181),
    [sym_block_pointer_declarator] = STATE(3082),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_struct_declaration_repeat1] = STATE(3773),
    [sym_identifier] = ACTIONS(8372),
    [anon_sym_LPAREN2] = ACTIONS(6475),
    [anon_sym_STAR] = ACTIONS(6477),
    [anon_sym_CARET] = ACTIONS(6479),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym___based] = ACTIONS(4218),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(7967),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_COLON] = ACTIONS(8374),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3342] = {
    [sym_expression] = STATE(4451),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6314),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_RPAREN] = ACTIONS(8395),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3343] = {
    [sym_expression] = STATE(4488),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_initializer_list] = STATE(5884),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3344] = {
    [sym_expression] = STATE(1636),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1984),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1984),
    [sym_call_expression] = STATE(1984),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1984),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1984),
    [sym_initializer_list] = STATE(1676),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8397),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8403),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8405),
    [anon_sym___real] = ACTIONS(8405),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8407),
    [anon_sym_PLUS_PLUS] = ACTIONS(8407),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3345] = {
    [sym_expression] = STATE(1456),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_initializer_list] = STATE(1515),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_LBRACE] = ACTIONS(2298),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3346] = {
    [sym_expression] = STATE(1761),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1582),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1582),
    [sym_call_expression] = STATE(1582),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1582),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1582),
    [sym_initializer_list] = STATE(2822),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(1630),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8417),
    [anon_sym_LPAREN2] = ACTIONS(8419),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8423),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8425),
    [anon_sym___real] = ACTIONS(8425),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8427),
    [anon_sym_PLUS_PLUS] = ACTIONS(8427),
    [anon_sym_sizeof] = ACTIONS(2286),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3347] = {
    [sym_expression] = STATE(4373),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(8429),
    [anon_sym_LBRACE] = ACTIONS(8431),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(8433),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(8435),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3348] = {
    [sym_expression] = STATE(4429),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_initializer_list] = STATE(5821),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3349] = {
    [sym_attribute] = STATE(5407),
    [sym_expression] = STATE(4478),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(5835),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8437),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3350] = {
    [sym_expression] = STATE(4557),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_dictionary_pair] = STATE(5877),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACE] = ACTIONS(8445),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3351] = {
    [sym_expression] = STATE(1636),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1582),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1582),
    [sym_call_expression] = STATE(1582),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1582),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1582),
    [sym_initializer_list] = STATE(1676),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(1630),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8417),
    [anon_sym_LPAREN2] = ACTIONS(8419),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8423),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8425),
    [anon_sym___real] = ACTIONS(8425),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8427),
    [anon_sym_PLUS_PLUS] = ACTIONS(8427),
    [anon_sym_sizeof] = ACTIONS(2286),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3352] = {
    [sym_expression] = STATE(4373),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(8429),
    [anon_sym_LBRACE] = ACTIONS(8431),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(8433),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(8447),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3353] = {
    [sym_attribute] = STATE(5714),
    [sym_expression] = STATE(4478),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(5835),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8437),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3354] = {
    [sym_expression] = STATE(4557),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_dictionary_pair] = STATE(5877),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACE] = ACTIONS(8449),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3355] = {
    [sym_expression] = STATE(4491),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6274),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(8451),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3356] = {
    [sym_expression] = STATE(4470),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6511),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_COLON] = ACTIONS(8453),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3357] = {
    [sym_expression] = STATE(1456),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_initializer_list] = STATE(1515),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8455),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8457),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_LBRACE] = ACTIONS(2298),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8459),
    [anon_sym___real] = ACTIONS(8459),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8461),
    [anon_sym_PLUS_PLUS] = ACTIONS(8461),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3358] = {
    [sym_expression] = STATE(4427),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6726),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(8463),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3359] = {
    [sym_expression] = STATE(4466),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6083),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(8465),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3360] = {
    [sym_expression] = STATE(4459),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6555),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(8467),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3361] = {
    [sym_expression] = STATE(4373),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(8429),
    [anon_sym_LBRACE] = ACTIONS(8431),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(8433),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(8469),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3362] = {
    [sym_expression] = STATE(4476),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6609),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_COLON] = ACTIONS(8471),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3363] = {
    [sym_expression] = STATE(4493),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6683),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_RPAREN] = ACTIONS(8473),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3364] = {
    [sym_expression] = STATE(1636),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_initializer_list] = STATE(1676),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3365] = {
    [sym_expression] = STATE(1456),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_initializer_list] = STATE(1515),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8475),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_TILDE] = ACTIONS(6714),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(6716),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_LBRACE] = ACTIONS(2298),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6718),
    [anon_sym___real] = ACTIONS(6718),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8477),
    [anon_sym_PLUS_PLUS] = ACTIONS(8477),
    [anon_sym_sizeof] = ACTIONS(6720),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6722),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(6724),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3366] = {
    [sym_expression] = STATE(4492),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6421),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_RPAREN] = ACTIONS(8479),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3367] = {
    [sym_expression] = STATE(4465),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6367),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_COLON] = ACTIONS(8481),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3368] = {
    [sym_expression] = STATE(4489),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6143),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_RPAREN] = ACTIONS(8483),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3369] = {
    [sym_expression] = STATE(1636),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_initializer_list] = STATE(1676),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8485),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3370] = {
    [sym_expression] = STATE(4475),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6617),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_COLON] = ACTIONS(8487),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3371] = {
    [sym_attribute] = STATE(5530),
    [sym_expression] = STATE(4478),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(5835),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8437),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3372] = {
    [sym_expression] = STATE(4557),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_dictionary_pair] = STATE(5877),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACE] = ACTIONS(8489),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3373] = {
    [sym_expression] = STATE(4468),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6478),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(8491),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3374] = {
    [sym_expression] = STATE(4452),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6365),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_COLON] = ACTIONS(8493),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3375] = {
    [sym_expression] = STATE(4487),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6250),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_COLON] = ACTIONS(8495),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3376] = {
    [sym_expression] = STATE(2634),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(2207),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(2207),
    [sym_call_expression] = STATE(2207),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(2207),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_initializer_list] = STATE(2851),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(8497),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8501),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8503),
    [anon_sym___real] = ACTIONS(8503),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8505),
    [anon_sym_PLUS_PLUS] = ACTIONS(8505),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3377] = {
    [sym_expression] = STATE(4484),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6696),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_COLON] = ACTIONS(8507),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3378] = {
    [sym_expression] = STATE(4463),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(5936),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_COLON] = ACTIONS(8509),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3379] = {
    [sym_expression] = STATE(1456),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_initializer_list] = STATE(1515),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8511),
    [anon_sym_BANG] = ACTIONS(6665),
    [anon_sym_TILDE] = ACTIONS(6665),
    [anon_sym_DASH] = ACTIONS(6663),
    [anon_sym_PLUS] = ACTIONS(6663),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(6667),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_LBRACE] = ACTIONS(2298),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6669),
    [anon_sym___real] = ACTIONS(6669),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8513),
    [anon_sym_PLUS_PLUS] = ACTIONS(8513),
    [anon_sym_sizeof] = ACTIONS(6671),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6673),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3380] = {
    [sym_expression] = STATE(4482),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6210),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_RPAREN] = ACTIONS(8515),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3381] = {
    [sym_expression] = STATE(1456),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_initializer_list] = STATE(1515),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8517),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8519),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_LBRACE] = ACTIONS(2298),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8521),
    [anon_sym___real] = ACTIONS(8521),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8523),
    [anon_sym_PLUS_PLUS] = ACTIONS(8523),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3382] = {
    [sym_expression] = STATE(4486),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6423),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(8525),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3383] = {
    [sym_expression] = STATE(4453),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6377),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_COLON] = ACTIONS(8527),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3384] = {
    [sym_expression] = STATE(4557),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_dictionary_pair] = STATE(5474),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACE] = ACTIONS(8529),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3385] = {
    [sym_expression] = STATE(4449),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6544),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(8531),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3386] = {
    [sym_expression] = STATE(4389),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(5835),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8533),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACK] = ACTIONS(8535),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3387] = {
    [sym_expression] = STATE(4388),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(5841),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8533),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACK] = ACTIONS(8537),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3388] = {
    [sym_expression] = STATE(4373),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(8429),
    [anon_sym_LBRACE] = ACTIONS(8431),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(8433),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(8539),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3389] = {
    [sym_expression] = STATE(4490),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6738),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_COLON] = ACTIONS(8541),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3390] = {
    [sym_expression] = STATE(4469),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(5984),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_COLON] = ACTIONS(8543),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3391] = {
    [sym_expression] = STATE(4373),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(8429),
    [anon_sym_LBRACE] = ACTIONS(8431),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(8433),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(8545),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3392] = {
    [sym_expression] = STATE(2633),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(2207),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(2207),
    [sym_call_expression] = STATE(2207),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(2207),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_initializer_list] = STATE(2822),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(8497),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8501),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8503),
    [anon_sym___real] = ACTIONS(8503),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8505),
    [anon_sym_PLUS_PLUS] = ACTIONS(8505),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3393] = {
    [sym_expression] = STATE(4557),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_dictionary_pair] = STATE(5877),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACE] = ACTIONS(8547),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3394] = {
    [sym_expression] = STATE(1456),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_initializer_list] = STATE(1515),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1450),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(8549),
    [anon_sym_LPAREN2] = ACTIONS(8551),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8553),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_LBRACE] = ACTIONS(2298),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8555),
    [anon_sym___real] = ACTIONS(8555),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8557),
    [anon_sym_PLUS_PLUS] = ACTIONS(8557),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_L_DQUOTE] = ACTIONS(2246),
    [anon_sym_u_DQUOTE] = ACTIONS(2246),
    [anon_sym_U_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8_DQUOTE] = ACTIONS(2246),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3395] = {
    [sym_expression] = STATE(1776),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1582),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1582),
    [sym_call_expression] = STATE(1582),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1582),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1582),
    [sym_initializer_list] = STATE(2851),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(1630),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8417),
    [anon_sym_LPAREN2] = ACTIONS(8419),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8423),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8425),
    [anon_sym___real] = ACTIONS(8425),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8427),
    [anon_sym_PLUS_PLUS] = ACTIONS(8427),
    [anon_sym_sizeof] = ACTIONS(2286),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3396] = {
    [sym_expression] = STATE(4455),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6340),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(8559),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3397] = {
    [sym_expression] = STATE(4444),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(5948),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(8561),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3398] = {
    [sym_attribute] = STATE(5374),
    [sym_expression] = STATE(4478),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(5835),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8437),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3399] = {
    [sym_expression] = STATE(1636),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_initializer_list] = STATE(1676),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3400] = {
    [sym_expression] = STATE(4557),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_dictionary_pair] = STATE(5555),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACE] = ACTIONS(8563),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3401] = {
    [sym_expression] = STATE(1636),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(2207),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(2207),
    [sym_call_expression] = STATE(2207),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(2207),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_initializer_list] = STATE(1676),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(8497),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8501),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_LBRACE] = ACTIONS(2890),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8503),
    [anon_sym___real] = ACTIONS(8503),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8505),
    [anon_sym_PLUS_PLUS] = ACTIONS(8505),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3402] = {
    [sym_expression] = STATE(4462),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6252),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(8565),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3403] = {
    [sym_expression] = STATE(4467),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6105),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_RPAREN] = ACTIONS(8567),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3404] = {
    [sym_expression] = STATE(4481),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(6671),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_COLON] = ACTIONS(8569),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3405] = {
    [sym_expression] = STATE(1445),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_RBRACK] = ACTIONS(8571),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3406] = {
    [sym_expression] = STATE(4541),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_RPAREN] = ACTIONS(8573),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3407] = {
    [sym_expression] = STATE(4498),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(8575),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3408] = {
    [sym_expression] = STATE(4478),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(5835),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8533),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3409] = {
    [sym_expression] = STATE(1445),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_RBRACK] = ACTIONS(8577),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3410] = {
    [sym_expression] = STATE(4544),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(8579),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3411] = {
    [sym_expression] = STATE(4514),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_COMMA] = ACTIONS(8581),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3412] = {
    [sym_expression] = STATE(1445),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_RBRACK] = ACTIONS(8583),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3413] = {
    [sym_expression] = STATE(2108),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8517),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8519),
    [anon_sym_LBRACK] = ACTIONS(8585),
    [anon_sym_LBRACE] = ACTIONS(8587),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8521),
    [anon_sym___real] = ACTIONS(8521),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8523),
    [anon_sym_PLUS_PLUS] = ACTIONS(8523),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(8589),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3414] = {
    [sym_expression] = STATE(1445),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_RBRACK] = ACTIONS(8591),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3415] = {
    [sym_expression] = STATE(1445),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_RBRACK] = ACTIONS(8593),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3416] = {
    [sym_expression] = STATE(1445),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_RBRACK] = ACTIONS(8595),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3417] = {
    [sym_expression] = STATE(4364),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8475),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_TILDE] = ACTIONS(6714),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(6716),
    [anon_sym_LBRACK] = ACTIONS(8585),
    [anon_sym_LBRACE] = ACTIONS(8587),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6718),
    [anon_sym___real] = ACTIONS(6718),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8477),
    [anon_sym_PLUS_PLUS] = ACTIONS(8477),
    [anon_sym_sizeof] = ACTIONS(6720),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6722),
    [anon_sym_DQUOTE] = ACTIONS(8589),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(6724),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3418] = {
    [sym_expression] = STATE(4410),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_RPAREN] = ACTIONS(8597),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3419] = {
    [sym_expression] = STATE(4507),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(8599),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3420] = {
    [sym_expression] = STATE(1445),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_RBRACK] = ACTIONS(8601),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3421] = {
    [sym_type_qualifier] = STATE(3421),
    [sym_alignas_qualifier] = STATE(3521),
    [aux_sym__type_definition_type_repeat1] = STATE(3421),
    [sym_identifier] = ACTIONS(6349),
    [anon_sym_LPAREN2] = ACTIONS(6351),
    [anon_sym_BANG] = ACTIONS(6351),
    [anon_sym_TILDE] = ACTIONS(6351),
    [anon_sym_DASH] = ACTIONS(6349),
    [anon_sym_PLUS] = ACTIONS(6349),
    [anon_sym_STAR] = ACTIONS(6351),
    [anon_sym_CARET] = ACTIONS(6351),
    [anon_sym_AMP] = ACTIONS(6351),
    [anon_sym___extension__] = ACTIONS(8603),
    [anon_sym_noreturn] = ACTIONS(8603),
    [anon_sym_LBRACK] = ACTIONS(6351),
    [anon_sym_const] = ACTIONS(8603),
    [anon_sym_constexpr] = ACTIONS(8603),
    [anon_sym_volatile] = ACTIONS(8603),
    [anon_sym_restrict] = ACTIONS(8603),
    [anon_sym___restrict__] = ACTIONS(8603),
    [anon_sym__Atomic] = ACTIONS(8603),
    [anon_sym__Noreturn] = ACTIONS(8603),
    [anon_sym__Nonnull] = ACTIONS(8603),
    [anon_sym_nullable] = ACTIONS(8603),
    [anon_sym__Complex] = ACTIONS(8603),
    [anon_sym__Nullable] = ACTIONS(8603),
    [anon_sym__Nullable_result] = ACTIONS(8603),
    [anon_sym__Null_unspecified] = ACTIONS(8603),
    [anon_sym___autoreleasing] = ACTIONS(8603),
    [anon_sym___block] = ACTIONS(8603),
    [anon_sym___bridge] = ACTIONS(8603),
    [anon_sym___bridge_retained] = ACTIONS(8603),
    [anon_sym___bridge_transfer] = ACTIONS(8603),
    [anon_sym___complex] = ACTIONS(8603),
    [anon_sym___const] = ACTIONS(8603),
    [anon_sym___imag] = ACTIONS(8603),
    [anon_sym___kindof] = ACTIONS(8603),
    [anon_sym___nonnull] = ACTIONS(8603),
    [anon_sym___nullable] = ACTIONS(8603),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8603),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8603),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8603),
    [anon_sym___real] = ACTIONS(8603),
    [anon_sym___strong] = ACTIONS(8603),
    [anon_sym___unsafe_unretained] = ACTIONS(8603),
    [anon_sym___unused] = ACTIONS(8603),
    [anon_sym___weak] = ACTIONS(8603),
    [anon_sym_alignas] = ACTIONS(8606),
    [anon_sym__Alignas] = ACTIONS(8606),
    [anon_sym_struct] = ACTIONS(6349),
    [anon_sym_in] = ACTIONS(6349),
    [anon_sym_DASH_DASH] = ACTIONS(6351),
    [anon_sym_PLUS_PLUS] = ACTIONS(6351),
    [anon_sym_sizeof] = ACTIONS(6349),
    [anon_sym___alignof__] = ACTIONS(6349),
    [anon_sym___alignof] = ACTIONS(6349),
    [anon_sym__alignof] = ACTIONS(6349),
    [anon_sym_alignof] = ACTIONS(6349),
    [anon_sym__Alignof] = ACTIONS(6349),
    [anon_sym_offsetof] = ACTIONS(6349),
    [anon_sym__Generic] = ACTIONS(6349),
    [anon_sym_asm] = ACTIONS(6349),
    [anon_sym___asm__] = ACTIONS(6349),
    [anon_sym___asm] = ACTIONS(6349),
    [sym_number_literal] = ACTIONS(6351),
    [anon_sym_L_SQUOTE] = ACTIONS(6351),
    [anon_sym_u_SQUOTE] = ACTIONS(6351),
    [anon_sym_U_SQUOTE] = ACTIONS(6351),
    [anon_sym_u8_SQUOTE] = ACTIONS(6351),
    [anon_sym_SQUOTE] = ACTIONS(6351),
    [anon_sym_AT] = ACTIONS(6349),
    [anon_sym_DQUOTE] = ACTIONS(6351),
    [anon_sym_L_DQUOTE] = ACTIONS(6351),
    [anon_sym_u_DQUOTE] = ACTIONS(6351),
    [anon_sym_U_DQUOTE] = ACTIONS(6351),
    [anon_sym_u8_DQUOTE] = ACTIONS(6351),
    [sym_true] = ACTIONS(6349),
    [sym_false] = ACTIONS(6349),
    [anon_sym_NULL] = ACTIONS(6349),
    [anon_sym_nullptr] = ACTIONS(6349),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(6351),
    [anon_sym_ATavailable] = ACTIONS(6351),
    [anon_sym___builtin_available] = ACTIONS(6349),
    [anon_sym_va_arg] = ACTIONS(6349),
    [anon_sym_ATencode] = ACTIONS(6351),
    [anon_sym_id] = ACTIONS(6349),
  },
  [3422] = {
    [sym_expression] = STATE(1750),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1582),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1582),
    [sym_call_expression] = STATE(1582),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1582),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1582),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(1630),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8417),
    [anon_sym_LPAREN2] = ACTIONS(8419),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8423),
    [anon_sym_LBRACK] = ACTIONS(8429),
    [anon_sym_LBRACE] = ACTIONS(8431),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8425),
    [anon_sym___real] = ACTIONS(8425),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8427),
    [anon_sym_PLUS_PLUS] = ACTIONS(8427),
    [anon_sym_sizeof] = ACTIONS(2286),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(8609),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3423] = {
    [sym_expression] = STATE(4557),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_dictionary_pair] = STATE(5877),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3424] = {
    [sym_expression] = STATE(1445),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_RBRACK] = ACTIONS(8611),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3425] = {
    [sym_expression] = STATE(4414),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_RPAREN] = ACTIONS(8613),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3426] = {
    [sym_expression] = STATE(1445),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_RBRACK] = ACTIONS(8615),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3427] = {
    [sym_expression] = STATE(1927),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8455),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8457),
    [anon_sym_LBRACK] = ACTIONS(8585),
    [anon_sym_LBRACE] = ACTIONS(8587),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8459),
    [anon_sym___real] = ACTIONS(8459),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8461),
    [anon_sym_PLUS_PLUS] = ACTIONS(8461),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(8589),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3428] = {
    [sym_expression] = STATE(4473),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(8429),
    [anon_sym_LBRACE] = ACTIONS(8431),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(8433),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3429] = {
    [sym_expression] = STATE(4419),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(5835),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8533),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3430] = {
    [sym_expression] = STATE(1445),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_RBRACK] = ACTIONS(8617),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3431] = {
    [sym_expression] = STATE(4478),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(5835),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8533),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(6393),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3432] = {
    [sym_expression] = STATE(4471),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACK] = ACTIONS(8619),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3433] = {
    [sym_expression] = STATE(1567),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1450),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(8549),
    [anon_sym_LPAREN2] = ACTIONS(8551),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8553),
    [anon_sym_LBRACK] = ACTIONS(8585),
    [anon_sym_LBRACE] = ACTIONS(8587),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8555),
    [anon_sym___real] = ACTIONS(8555),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8557),
    [anon_sym_PLUS_PLUS] = ACTIONS(8557),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(8621),
    [anon_sym_L_DQUOTE] = ACTIONS(2246),
    [anon_sym_u_DQUOTE] = ACTIONS(2246),
    [anon_sym_U_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8_DQUOTE] = ACTIONS(2246),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3434] = {
    [sym_expression] = STATE(4471),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACK] = ACTIONS(8623),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3435] = {
    [sym_expression] = STATE(4561),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_RPAREN] = ACTIONS(8625),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3436] = {
    [sym_expression] = STATE(4563),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(8627),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3437] = {
    [sym_expression] = STATE(4478),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(5835),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8533),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(6385),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3438] = {
    [sym_expression] = STATE(4518),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(8629),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3439] = {
    [sym_expression] = STATE(4303),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8585),
    [anon_sym_LBRACE] = ACTIONS(8587),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(8589),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3440] = {
    [sym_expression] = STATE(4477),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(5684),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3441] = {
    [sym_expression] = STATE(1445),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_RBRACK] = ACTIONS(8631),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3442] = {
    [sym_expression] = STATE(2659),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(2207),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(2207),
    [sym_call_expression] = STATE(2207),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(2207),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(8497),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8501),
    [anon_sym_LBRACK] = ACTIONS(8429),
    [anon_sym_LBRACE] = ACTIONS(8431),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8503),
    [anon_sym___real] = ACTIONS(8503),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8505),
    [anon_sym_PLUS_PLUS] = ACTIONS(8505),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(8433),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3443] = {
    [sym_expression] = STATE(4471),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACK] = ACTIONS(8633),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3444] = {
    [sym_expression] = STATE(1445),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_RBRACK] = ACTIONS(8635),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3445] = {
    [sym_expression] = STATE(4566),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(8637),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3446] = {
    [sym_expression] = STATE(4326),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8511),
    [anon_sym_BANG] = ACTIONS(6665),
    [anon_sym_TILDE] = ACTIONS(6665),
    [anon_sym_DASH] = ACTIONS(6663),
    [anon_sym_PLUS] = ACTIONS(6663),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(6667),
    [anon_sym_LBRACK] = ACTIONS(8585),
    [anon_sym_LBRACE] = ACTIONS(8587),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6669),
    [anon_sym___real] = ACTIONS(6669),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8513),
    [anon_sym_PLUS_PLUS] = ACTIONS(8513),
    [anon_sym_sizeof] = ACTIONS(6671),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6673),
    [anon_sym_DQUOTE] = ACTIONS(8589),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3447] = {
    [sym_expression] = STATE(1445),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_RBRACK] = ACTIONS(8639),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3448] = {
    [sym_expression] = STATE(1445),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_RBRACK] = ACTIONS(8641),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3449] = {
    [sym_expression] = STATE(4524),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(8643),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3450] = {
    [sym_expression] = STATE(4457),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(5841),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8533),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3451] = {
    [sym_expression] = STATE(4403),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8485),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(8429),
    [anon_sym_LBRACE] = ACTIONS(8431),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(8433),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3452] = {
    [sym_expression] = STATE(4413),
    [sym__string] = STATE(1675),
    [sym_comma_expression] = STATE(5684),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3453] = {
    [sym_expression] = STATE(4478),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(5835),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8533),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(8645),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3454] = {
    [sym_expression] = STATE(4373),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(8429),
    [anon_sym_LBRACE] = ACTIONS(8431),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(8433),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3455] = {
    [sym_expression] = STATE(4478),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_generic_specifier] = STATE(5835),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8533),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(8647),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3456] = {
    [sym_expression] = STATE(2516),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1984),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1984),
    [sym_call_expression] = STATE(1984),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1984),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1984),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8397),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8403),
    [anon_sym_LBRACK] = ACTIONS(8429),
    [anon_sym_LBRACE] = ACTIONS(8431),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8405),
    [anon_sym___real] = ACTIONS(8405),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8407),
    [anon_sym_PLUS_PLUS] = ACTIONS(8407),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(8433),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3457] = {
    [sym_expression] = STATE(4471),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_RBRACK] = ACTIONS(8649),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3458] = {
    [sym_expression] = STATE(1448),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8455),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8457),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8459),
    [anon_sym___real] = ACTIONS(8459),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8461),
    [anon_sym_PLUS_PLUS] = ACTIONS(8461),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3459] = {
    [sym_expression] = STATE(1447),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3460] = {
    [sym_expression] = STATE(4308),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3461] = {
    [sym_expression] = STATE(4309),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3462] = {
    [sym_expression] = STATE(1455),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3463] = {
    [sym_expression] = STATE(4310),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3464] = {
    [sym_expression] = STATE(4311),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3465] = {
    [sym_expression] = STATE(4312),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3466] = {
    [sym_expression] = STATE(4313),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3467] = {
    [sym_expression] = STATE(4315),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3468] = {
    [sym_expression] = STATE(4316),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3469] = {
    [sym_expression] = STATE(4317),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3470] = {
    [sym_expression] = STATE(4318),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3471] = {
    [sym_expression] = STATE(1456),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3472] = {
    [sym_expression] = STATE(4378),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3473] = {
    [sym_expression] = STATE(4314),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3474] = {
    [sym_expression] = STATE(4302),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3475] = {
    [sym_expression] = STATE(4445),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3476] = {
    [sym_expression] = STATE(4569),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3477] = {
    [sym_expression] = STATE(1633),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3478] = {
    [sym_expression] = STATE(1635),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(8651),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3479] = {
    [sym_expression] = STATE(1448),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3480] = {
    [sym_expression] = STATE(1445),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8511),
    [anon_sym_BANG] = ACTIONS(6665),
    [anon_sym_TILDE] = ACTIONS(6665),
    [anon_sym_DASH] = ACTIONS(6663),
    [anon_sym_PLUS] = ACTIONS(6663),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(6667),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6669),
    [anon_sym___real] = ACTIONS(6669),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8513),
    [anon_sym_PLUS_PLUS] = ACTIONS(8513),
    [anon_sym_sizeof] = ACTIONS(6671),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6673),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3481] = {
    [sym_expression] = STATE(1452),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3482] = {
    [sym_expression] = STATE(1451),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8653),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3483] = {
    [sym_expression] = STATE(4400),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8485),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3484] = {
    [sym_expression] = STATE(1631),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8485),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3485] = {
    [sym_expression] = STATE(4397),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8485),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3486] = {
    [sym_expression] = STATE(4394),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8485),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3487] = {
    [sym_expression] = STATE(4395),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8485),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3488] = {
    [sym_expression] = STATE(1637),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8485),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3489] = {
    [sym_expression] = STATE(4396),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8485),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3490] = {
    [sym_expression] = STATE(4399),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8485),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3491] = {
    [sym_expression] = STATE(4401),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8485),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3492] = {
    [sym_expression] = STATE(4402),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8485),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3493] = {
    [sym_expression] = STATE(4404),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8485),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3494] = {
    [sym_expression] = STATE(4392),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8485),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3495] = {
    [sym_expression] = STATE(4405),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8485),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3496] = {
    [sym_expression] = STATE(4406),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8485),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3497] = {
    [sym_expression] = STATE(1636),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8485),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3498] = {
    [sym_expression] = STATE(4384),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3499] = {
    [sym_expression] = STATE(4565),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3500] = {
    [sym_expression] = STATE(4398),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8485),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3501] = {
    [sym_expression] = STATE(4387),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3502] = {
    [sym_expression] = STATE(4374),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3503] = {
    [sym_expression] = STATE(1637),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3504] = {
    [sym_expression] = STATE(4547),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3505] = {
    [sym_expression] = STATE(4375),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3506] = {
    [sym_expression] = STATE(4385),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3507] = {
    [sym_expression] = STATE(4407),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8485),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3508] = {
    [sym_expression] = STATE(4377),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3509] = {
    [sym_expression] = STATE(4386),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3510] = {
    [sym_expression] = STATE(4381),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3511] = {
    [sym_expression] = STATE(4379),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3512] = {
    [sym_expression] = STATE(4382),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3513] = {
    [sym_expression] = STATE(4383),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3514] = {
    [sym_expression] = STATE(4393),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8485),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3515] = {
    [sym_expression] = STATE(4523),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3516] = {
    [sym_expression] = STATE(4380),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3517] = {
    [sym_expression] = STATE(1631),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3518] = {
    [sym_expression] = STATE(4508),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3519] = {
    [sym_expression] = STATE(2603),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(2207),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(2207),
    [sym_call_expression] = STATE(2207),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(2207),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(8497),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8501),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8503),
    [anon_sym___real] = ACTIONS(8503),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8505),
    [anon_sym_PLUS_PLUS] = ACTIONS(8505),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3520] = {
    [sym_expression] = STATE(1632),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3521] = {
    [sym_identifier] = ACTIONS(2922),
    [anon_sym_LPAREN2] = ACTIONS(2928),
    [anon_sym_BANG] = ACTIONS(2928),
    [anon_sym_TILDE] = ACTIONS(2928),
    [anon_sym_DASH] = ACTIONS(2922),
    [anon_sym_PLUS] = ACTIONS(2922),
    [anon_sym_STAR] = ACTIONS(2928),
    [anon_sym_CARET] = ACTIONS(2928),
    [anon_sym_AMP] = ACTIONS(2928),
    [anon_sym___extension__] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_RBRACK] = ACTIONS(2928),
    [anon_sym_static] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(2922),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2922),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2922),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(2922),
    [anon_sym_DASH_DASH] = ACTIONS(2928),
    [anon_sym_PLUS_PLUS] = ACTIONS(2928),
    [anon_sym_sizeof] = ACTIONS(2922),
    [anon_sym___alignof__] = ACTIONS(2922),
    [anon_sym___alignof] = ACTIONS(2922),
    [anon_sym__alignof] = ACTIONS(2922),
    [anon_sym_alignof] = ACTIONS(2922),
    [anon_sym__Alignof] = ACTIONS(2922),
    [anon_sym_offsetof] = ACTIONS(2922),
    [anon_sym__Generic] = ACTIONS(2922),
    [anon_sym_asm] = ACTIONS(2922),
    [anon_sym___asm__] = ACTIONS(2922),
    [anon_sym___asm] = ACTIONS(2922),
    [sym_number_literal] = ACTIONS(2928),
    [anon_sym_L_SQUOTE] = ACTIONS(2928),
    [anon_sym_u_SQUOTE] = ACTIONS(2928),
    [anon_sym_U_SQUOTE] = ACTIONS(2928),
    [anon_sym_u8_SQUOTE] = ACTIONS(2928),
    [anon_sym_SQUOTE] = ACTIONS(2928),
    [anon_sym_AT] = ACTIONS(2922),
    [anon_sym_DQUOTE] = ACTIONS(2928),
    [anon_sym_L_DQUOTE] = ACTIONS(2928),
    [anon_sym_u_DQUOTE] = ACTIONS(2928),
    [anon_sym_U_DQUOTE] = ACTIONS(2928),
    [anon_sym_u8_DQUOTE] = ACTIONS(2928),
    [sym_true] = ACTIONS(2922),
    [sym_false] = ACTIONS(2922),
    [anon_sym_NULL] = ACTIONS(2922),
    [anon_sym_nullptr] = ACTIONS(2922),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2928),
    [anon_sym_ATavailable] = ACTIONS(2928),
    [anon_sym___builtin_available] = ACTIONS(2922),
    [anon_sym_va_arg] = ACTIONS(2922),
    [anon_sym_ATencode] = ACTIONS(2928),
    [anon_sym_id] = ACTIONS(2922),
  },
  [3522] = {
    [sym_expression] = STATE(4339),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8511),
    [anon_sym_BANG] = ACTIONS(6665),
    [anon_sym_TILDE] = ACTIONS(6665),
    [anon_sym_DASH] = ACTIONS(6663),
    [anon_sym_PLUS] = ACTIONS(6663),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(6667),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6669),
    [anon_sym___real] = ACTIONS(6669),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8513),
    [anon_sym_PLUS_PLUS] = ACTIONS(8513),
    [anon_sym_sizeof] = ACTIONS(6671),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6673),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3523] = {
    [sym_expression] = STATE(1447),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8511),
    [anon_sym_BANG] = ACTIONS(6665),
    [anon_sym_TILDE] = ACTIONS(6665),
    [anon_sym_DASH] = ACTIONS(6663),
    [anon_sym_PLUS] = ACTIONS(6663),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(6667),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6669),
    [anon_sym___real] = ACTIONS(6669),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8513),
    [anon_sym_PLUS_PLUS] = ACTIONS(8513),
    [anon_sym_sizeof] = ACTIONS(6671),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6673),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3524] = {
    [sym_expression] = STATE(4327),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8511),
    [anon_sym_BANG] = ACTIONS(6665),
    [anon_sym_TILDE] = ACTIONS(6665),
    [anon_sym_DASH] = ACTIONS(6663),
    [anon_sym_PLUS] = ACTIONS(6663),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(6667),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6669),
    [anon_sym___real] = ACTIONS(6669),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8513),
    [anon_sym_PLUS_PLUS] = ACTIONS(8513),
    [anon_sym_sizeof] = ACTIONS(6671),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6673),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3525] = {
    [sym_expression] = STATE(4330),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8511),
    [anon_sym_BANG] = ACTIONS(6665),
    [anon_sym_TILDE] = ACTIONS(6665),
    [anon_sym_DASH] = ACTIONS(6663),
    [anon_sym_PLUS] = ACTIONS(6663),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(6667),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6669),
    [anon_sym___real] = ACTIONS(6669),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8513),
    [anon_sym_PLUS_PLUS] = ACTIONS(8513),
    [anon_sym_sizeof] = ACTIONS(6671),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6673),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3526] = {
    [sym_expression] = STATE(1455),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8511),
    [anon_sym_BANG] = ACTIONS(6665),
    [anon_sym_TILDE] = ACTIONS(6665),
    [anon_sym_DASH] = ACTIONS(6663),
    [anon_sym_PLUS] = ACTIONS(6663),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(6667),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6669),
    [anon_sym___real] = ACTIONS(6669),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8513),
    [anon_sym_PLUS_PLUS] = ACTIONS(8513),
    [anon_sym_sizeof] = ACTIONS(6671),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6673),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3527] = {
    [sym_expression] = STATE(4329),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8511),
    [anon_sym_BANG] = ACTIONS(6665),
    [anon_sym_TILDE] = ACTIONS(6665),
    [anon_sym_DASH] = ACTIONS(6663),
    [anon_sym_PLUS] = ACTIONS(6663),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(6667),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6669),
    [anon_sym___real] = ACTIONS(6669),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8513),
    [anon_sym_PLUS_PLUS] = ACTIONS(8513),
    [anon_sym_sizeof] = ACTIONS(6671),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6673),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3528] = {
    [sym_expression] = STATE(4325),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8511),
    [anon_sym_BANG] = ACTIONS(6665),
    [anon_sym_TILDE] = ACTIONS(6665),
    [anon_sym_DASH] = ACTIONS(6663),
    [anon_sym_PLUS] = ACTIONS(6663),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(6667),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6669),
    [anon_sym___real] = ACTIONS(6669),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8513),
    [anon_sym_PLUS_PLUS] = ACTIONS(8513),
    [anon_sym_sizeof] = ACTIONS(6671),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6673),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3529] = {
    [sym_expression] = STATE(4331),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8511),
    [anon_sym_BANG] = ACTIONS(6665),
    [anon_sym_TILDE] = ACTIONS(6665),
    [anon_sym_DASH] = ACTIONS(6663),
    [anon_sym_PLUS] = ACTIONS(6663),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(6667),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6669),
    [anon_sym___real] = ACTIONS(6669),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8513),
    [anon_sym_PLUS_PLUS] = ACTIONS(8513),
    [anon_sym_sizeof] = ACTIONS(6671),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6673),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3530] = {
    [sym_expression] = STATE(4333),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8511),
    [anon_sym_BANG] = ACTIONS(6665),
    [anon_sym_TILDE] = ACTIONS(6665),
    [anon_sym_DASH] = ACTIONS(6663),
    [anon_sym_PLUS] = ACTIONS(6663),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(6667),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6669),
    [anon_sym___real] = ACTIONS(6669),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8513),
    [anon_sym_PLUS_PLUS] = ACTIONS(8513),
    [anon_sym_sizeof] = ACTIONS(6671),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6673),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3531] = {
    [sym_expression] = STATE(4334),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8511),
    [anon_sym_BANG] = ACTIONS(6665),
    [anon_sym_TILDE] = ACTIONS(6665),
    [anon_sym_DASH] = ACTIONS(6663),
    [anon_sym_PLUS] = ACTIONS(6663),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(6667),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6669),
    [anon_sym___real] = ACTIONS(6669),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8513),
    [anon_sym_PLUS_PLUS] = ACTIONS(8513),
    [anon_sym_sizeof] = ACTIONS(6671),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6673),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3532] = {
    [sym_expression] = STATE(4337),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8511),
    [anon_sym_BANG] = ACTIONS(6665),
    [anon_sym_TILDE] = ACTIONS(6665),
    [anon_sym_DASH] = ACTIONS(6663),
    [anon_sym_PLUS] = ACTIONS(6663),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(6667),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6669),
    [anon_sym___real] = ACTIONS(6669),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8513),
    [anon_sym_PLUS_PLUS] = ACTIONS(8513),
    [anon_sym_sizeof] = ACTIONS(6671),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6673),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3533] = {
    [sym_expression] = STATE(4336),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8511),
    [anon_sym_BANG] = ACTIONS(6665),
    [anon_sym_TILDE] = ACTIONS(6665),
    [anon_sym_DASH] = ACTIONS(6663),
    [anon_sym_PLUS] = ACTIONS(6663),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(6667),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6669),
    [anon_sym___real] = ACTIONS(6669),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8513),
    [anon_sym_PLUS_PLUS] = ACTIONS(8513),
    [anon_sym_sizeof] = ACTIONS(6671),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6673),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3534] = {
    [sym_expression] = STATE(4335),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8511),
    [anon_sym_BANG] = ACTIONS(6665),
    [anon_sym_TILDE] = ACTIONS(6665),
    [anon_sym_DASH] = ACTIONS(6663),
    [anon_sym_PLUS] = ACTIONS(6663),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(6667),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6669),
    [anon_sym___real] = ACTIONS(6669),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8513),
    [anon_sym_PLUS_PLUS] = ACTIONS(8513),
    [anon_sym_sizeof] = ACTIONS(6671),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6673),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3535] = {
    [sym_expression] = STATE(1456),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8511),
    [anon_sym_BANG] = ACTIONS(6665),
    [anon_sym_TILDE] = ACTIONS(6665),
    [anon_sym_DASH] = ACTIONS(6663),
    [anon_sym_PLUS] = ACTIONS(6663),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(6667),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6669),
    [anon_sym___real] = ACTIONS(6669),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8513),
    [anon_sym_PLUS_PLUS] = ACTIONS(8513),
    [anon_sym_sizeof] = ACTIONS(6671),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6673),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3536] = {
    [sym_expression] = STATE(4338),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8511),
    [anon_sym_BANG] = ACTIONS(6665),
    [anon_sym_TILDE] = ACTIONS(6665),
    [anon_sym_DASH] = ACTIONS(6663),
    [anon_sym_PLUS] = ACTIONS(6663),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(6667),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6669),
    [anon_sym___real] = ACTIONS(6669),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8513),
    [anon_sym_PLUS_PLUS] = ACTIONS(8513),
    [anon_sym_sizeof] = ACTIONS(6671),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6673),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3537] = {
    [sym_expression] = STATE(4332),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8511),
    [anon_sym_BANG] = ACTIONS(6665),
    [anon_sym_TILDE] = ACTIONS(6665),
    [anon_sym_DASH] = ACTIONS(6663),
    [anon_sym_PLUS] = ACTIONS(6663),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(6667),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6669),
    [anon_sym___real] = ACTIONS(6669),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8513),
    [anon_sym_PLUS_PLUS] = ACTIONS(8513),
    [anon_sym_sizeof] = ACTIONS(6671),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6673),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3538] = {
    [sym_expression] = STATE(1632),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8485),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3539] = {
    [sym_expression] = STATE(1445),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1450),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(8549),
    [anon_sym_LPAREN2] = ACTIONS(8551),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8553),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8555),
    [anon_sym___real] = ACTIONS(8555),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8557),
    [anon_sym_PLUS_PLUS] = ACTIONS(8557),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_L_DQUOTE] = ACTIONS(2246),
    [anon_sym_u_DQUOTE] = ACTIONS(2246),
    [anon_sym_U_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8_DQUOTE] = ACTIONS(2246),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3540] = {
    [sym_expression] = STATE(1633),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8485),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3541] = {
    [sym_expression] = STATE(1635),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8485),
    [anon_sym_LPAREN2] = ACTIONS(8655),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3542] = {
    [sym_expression] = STATE(1766),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1582),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1582),
    [sym_call_expression] = STATE(1582),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1582),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1582),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(1630),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8417),
    [anon_sym_LPAREN2] = ACTIONS(8419),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8423),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8425),
    [anon_sym___real] = ACTIONS(8425),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8427),
    [anon_sym_PLUS_PLUS] = ACTIONS(8427),
    [anon_sym_sizeof] = ACTIONS(2286),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3543] = {
    [sym_expression] = STATE(1773),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1582),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1582),
    [sym_call_expression] = STATE(1582),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1582),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1582),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(1630),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8417),
    [anon_sym_LPAREN2] = ACTIONS(8419),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8423),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8425),
    [anon_sym___real] = ACTIONS(8425),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8427),
    [anon_sym_PLUS_PLUS] = ACTIONS(8427),
    [anon_sym_sizeof] = ACTIONS(2286),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3544] = {
    [sym_expression] = STATE(1755),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1582),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1582),
    [sym_call_expression] = STATE(1582),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1582),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1582),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(1630),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8417),
    [anon_sym_LPAREN2] = ACTIONS(8419),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8423),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8425),
    [anon_sym___real] = ACTIONS(8425),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8427),
    [anon_sym_PLUS_PLUS] = ACTIONS(8427),
    [anon_sym_sizeof] = ACTIONS(2286),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3545] = {
    [sym_expression] = STATE(1631),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1582),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1582),
    [sym_call_expression] = STATE(1582),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1582),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1582),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(1630),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8417),
    [anon_sym_LPAREN2] = ACTIONS(8419),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8423),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8425),
    [anon_sym___real] = ACTIONS(8425),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8427),
    [anon_sym_PLUS_PLUS] = ACTIONS(8427),
    [anon_sym_sizeof] = ACTIONS(2286),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3546] = {
    [sym_expression] = STATE(1759),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1582),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1582),
    [sym_call_expression] = STATE(1582),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1582),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1582),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(1630),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8417),
    [anon_sym_LPAREN2] = ACTIONS(8419),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8423),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8425),
    [anon_sym___real] = ACTIONS(8425),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8427),
    [anon_sym_PLUS_PLUS] = ACTIONS(8427),
    [anon_sym_sizeof] = ACTIONS(2286),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3547] = {
    [sym_expression] = STATE(1637),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1582),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1582),
    [sym_call_expression] = STATE(1582),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1582),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1582),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(1630),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8417),
    [anon_sym_LPAREN2] = ACTIONS(8419),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8423),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8425),
    [anon_sym___real] = ACTIONS(8425),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8427),
    [anon_sym_PLUS_PLUS] = ACTIONS(8427),
    [anon_sym_sizeof] = ACTIONS(2286),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3548] = {
    [sym_expression] = STATE(1742),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1582),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1582),
    [sym_call_expression] = STATE(1582),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1582),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1582),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(1630),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8417),
    [anon_sym_LPAREN2] = ACTIONS(8419),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8423),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8425),
    [anon_sym___real] = ACTIONS(8425),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8427),
    [anon_sym_PLUS_PLUS] = ACTIONS(8427),
    [anon_sym_sizeof] = ACTIONS(2286),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3549] = {
    [sym_expression] = STATE(1758),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1582),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1582),
    [sym_call_expression] = STATE(1582),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1582),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1582),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(1630),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8417),
    [anon_sym_LPAREN2] = ACTIONS(8419),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8423),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8425),
    [anon_sym___real] = ACTIONS(8425),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8427),
    [anon_sym_PLUS_PLUS] = ACTIONS(8427),
    [anon_sym_sizeof] = ACTIONS(2286),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3550] = {
    [sym_expression] = STATE(1768),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1582),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1582),
    [sym_call_expression] = STATE(1582),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1582),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1582),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(1630),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8417),
    [anon_sym_LPAREN2] = ACTIONS(8419),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8423),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8425),
    [anon_sym___real] = ACTIONS(8425),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8427),
    [anon_sym_PLUS_PLUS] = ACTIONS(8427),
    [anon_sym_sizeof] = ACTIONS(2286),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3551] = {
    [sym_expression] = STATE(1769),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1582),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1582),
    [sym_call_expression] = STATE(1582),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1582),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1582),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(1630),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8417),
    [anon_sym_LPAREN2] = ACTIONS(8419),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8423),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8425),
    [anon_sym___real] = ACTIONS(8425),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8427),
    [anon_sym_PLUS_PLUS] = ACTIONS(8427),
    [anon_sym_sizeof] = ACTIONS(2286),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3552] = {
    [sym_expression] = STATE(1774),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1582),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1582),
    [sym_call_expression] = STATE(1582),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1582),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1582),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(1630),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8417),
    [anon_sym_LPAREN2] = ACTIONS(8419),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8423),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8425),
    [anon_sym___real] = ACTIONS(8425),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8427),
    [anon_sym_PLUS_PLUS] = ACTIONS(8427),
    [anon_sym_sizeof] = ACTIONS(2286),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3553] = {
    [sym_expression] = STATE(1739),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1582),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1582),
    [sym_call_expression] = STATE(1582),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1582),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1582),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(1630),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8417),
    [anon_sym_LPAREN2] = ACTIONS(8419),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8423),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8425),
    [anon_sym___real] = ACTIONS(8425),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8427),
    [anon_sym_PLUS_PLUS] = ACTIONS(8427),
    [anon_sym_sizeof] = ACTIONS(2286),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3554] = {
    [sym_expression] = STATE(1751),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1582),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1582),
    [sym_call_expression] = STATE(1582),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1582),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1582),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(1630),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8417),
    [anon_sym_LPAREN2] = ACTIONS(8419),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8423),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8425),
    [anon_sym___real] = ACTIONS(8425),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8427),
    [anon_sym_PLUS_PLUS] = ACTIONS(8427),
    [anon_sym_sizeof] = ACTIONS(2286),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3555] = {
    [sym_expression] = STATE(1744),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1582),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1582),
    [sym_call_expression] = STATE(1582),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1582),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1582),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(1630),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8417),
    [anon_sym_LPAREN2] = ACTIONS(8419),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8423),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8425),
    [anon_sym___real] = ACTIONS(8425),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8427),
    [anon_sym_PLUS_PLUS] = ACTIONS(8427),
    [anon_sym_sizeof] = ACTIONS(2286),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3556] = {
    [sym_expression] = STATE(1636),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1582),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1582),
    [sym_call_expression] = STATE(1582),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1582),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1582),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(1630),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8417),
    [anon_sym_LPAREN2] = ACTIONS(8419),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8423),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8425),
    [anon_sym___real] = ACTIONS(8425),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8427),
    [anon_sym_PLUS_PLUS] = ACTIONS(8427),
    [anon_sym_sizeof] = ACTIONS(2286),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3557] = {
    [sym_expression] = STATE(1445),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3558] = {
    [sym_expression] = STATE(4520),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3559] = {
    [sym_expression] = STATE(1767),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1582),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1582),
    [sym_call_expression] = STATE(1582),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1582),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1582),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(1630),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8417),
    [anon_sym_LPAREN2] = ACTIONS(8419),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8423),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8425),
    [anon_sym___real] = ACTIONS(8425),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8427),
    [anon_sym_PLUS_PLUS] = ACTIONS(8427),
    [anon_sym_sizeof] = ACTIONS(2286),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3560] = {
    [sym_identifier] = ACTIONS(8657),
    [anon_sym_LPAREN2] = ACTIONS(8660),
    [anon_sym_BANG] = ACTIONS(8660),
    [anon_sym_TILDE] = ACTIONS(8660),
    [anon_sym_DASH] = ACTIONS(8657),
    [anon_sym_PLUS] = ACTIONS(8657),
    [anon_sym_STAR] = ACTIONS(8660),
    [anon_sym_CARET] = ACTIONS(8660),
    [anon_sym_AMP] = ACTIONS(8660),
    [anon_sym___extension__] = ACTIONS(8657),
    [anon_sym_noreturn] = ACTIONS(8657),
    [anon_sym_LBRACK] = ACTIONS(8660),
    [anon_sym_RBRACK] = ACTIONS(8663),
    [anon_sym_static] = ACTIONS(8665),
    [anon_sym_const] = ACTIONS(8657),
    [anon_sym_constexpr] = ACTIONS(8657),
    [anon_sym_volatile] = ACTIONS(8657),
    [anon_sym_restrict] = ACTIONS(8657),
    [anon_sym___restrict__] = ACTIONS(8657),
    [anon_sym__Atomic] = ACTIONS(8657),
    [anon_sym__Noreturn] = ACTIONS(8657),
    [anon_sym__Nonnull] = ACTIONS(8657),
    [anon_sym_nullable] = ACTIONS(8657),
    [anon_sym__Complex] = ACTIONS(8657),
    [anon_sym__Nullable] = ACTIONS(8657),
    [anon_sym__Nullable_result] = ACTIONS(8657),
    [anon_sym__Null_unspecified] = ACTIONS(8657),
    [anon_sym___autoreleasing] = ACTIONS(8657),
    [anon_sym___block] = ACTIONS(8657),
    [anon_sym___bridge] = ACTIONS(8657),
    [anon_sym___bridge_retained] = ACTIONS(8657),
    [anon_sym___bridge_transfer] = ACTIONS(8657),
    [anon_sym___complex] = ACTIONS(8657),
    [anon_sym___const] = ACTIONS(8657),
    [anon_sym___imag] = ACTIONS(8657),
    [anon_sym___kindof] = ACTIONS(8657),
    [anon_sym___nonnull] = ACTIONS(8657),
    [anon_sym___nullable] = ACTIONS(8657),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8657),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8657),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8657),
    [anon_sym___real] = ACTIONS(8657),
    [anon_sym___strong] = ACTIONS(8657),
    [anon_sym___unsafe_unretained] = ACTIONS(8657),
    [anon_sym___unused] = ACTIONS(8657),
    [anon_sym___weak] = ACTIONS(8657),
    [anon_sym_alignas] = ACTIONS(8657),
    [anon_sym__Alignas] = ACTIONS(8657),
    [anon_sym_struct] = ACTIONS(8657),
    [anon_sym_in] = ACTIONS(8657),
    [anon_sym_DASH_DASH] = ACTIONS(8660),
    [anon_sym_PLUS_PLUS] = ACTIONS(8660),
    [anon_sym_sizeof] = ACTIONS(8657),
    [anon_sym___alignof__] = ACTIONS(8657),
    [anon_sym___alignof] = ACTIONS(8657),
    [anon_sym__alignof] = ACTIONS(8657),
    [anon_sym_alignof] = ACTIONS(8657),
    [anon_sym__Alignof] = ACTIONS(8657),
    [anon_sym_offsetof] = ACTIONS(8657),
    [anon_sym__Generic] = ACTIONS(8657),
    [anon_sym_asm] = ACTIONS(8657),
    [anon_sym___asm__] = ACTIONS(8657),
    [anon_sym___asm] = ACTIONS(8657),
    [sym_number_literal] = ACTIONS(8660),
    [anon_sym_L_SQUOTE] = ACTIONS(8660),
    [anon_sym_u_SQUOTE] = ACTIONS(8660),
    [anon_sym_U_SQUOTE] = ACTIONS(8660),
    [anon_sym_u8_SQUOTE] = ACTIONS(8660),
    [anon_sym_SQUOTE] = ACTIONS(8660),
    [anon_sym_AT] = ACTIONS(8657),
    [anon_sym_DQUOTE] = ACTIONS(8660),
    [anon_sym_L_DQUOTE] = ACTIONS(8660),
    [anon_sym_u_DQUOTE] = ACTIONS(8660),
    [anon_sym_U_DQUOTE] = ACTIONS(8660),
    [anon_sym_u8_DQUOTE] = ACTIONS(8660),
    [sym_true] = ACTIONS(8657),
    [sym_false] = ACTIONS(8657),
    [anon_sym_NULL] = ACTIONS(8657),
    [anon_sym_nullptr] = ACTIONS(8657),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(8660),
    [anon_sym_ATavailable] = ACTIONS(8660),
    [anon_sym___builtin_available] = ACTIONS(8657),
    [anon_sym_va_arg] = ACTIONS(8657),
    [anon_sym_ATencode] = ACTIONS(8660),
    [anon_sym_id] = ACTIONS(8657),
  },
  [3561] = {
    [sym_identifier] = ACTIONS(5674),
    [anon_sym_LPAREN2] = ACTIONS(5676),
    [anon_sym_BANG] = ACTIONS(5676),
    [anon_sym_TILDE] = ACTIONS(5676),
    [anon_sym_DASH] = ACTIONS(5674),
    [anon_sym_PLUS] = ACTIONS(5674),
    [anon_sym_STAR] = ACTIONS(5676),
    [anon_sym_CARET] = ACTIONS(5676),
    [anon_sym_AMP] = ACTIONS(5676),
    [anon_sym___extension__] = ACTIONS(5674),
    [anon_sym_noreturn] = ACTIONS(5674),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_RBRACK] = ACTIONS(5676),
    [anon_sym_static] = ACTIONS(5674),
    [anon_sym_const] = ACTIONS(5674),
    [anon_sym_constexpr] = ACTIONS(5674),
    [anon_sym_volatile] = ACTIONS(5674),
    [anon_sym_restrict] = ACTIONS(5674),
    [anon_sym___restrict__] = ACTIONS(5674),
    [anon_sym__Atomic] = ACTIONS(5674),
    [anon_sym__Noreturn] = ACTIONS(5674),
    [anon_sym__Nonnull] = ACTIONS(5674),
    [anon_sym_nullable] = ACTIONS(5674),
    [anon_sym__Complex] = ACTIONS(5674),
    [anon_sym__Nullable] = ACTIONS(5674),
    [anon_sym__Nullable_result] = ACTIONS(5674),
    [anon_sym__Null_unspecified] = ACTIONS(5674),
    [anon_sym___autoreleasing] = ACTIONS(5674),
    [anon_sym___block] = ACTIONS(5674),
    [anon_sym___bridge] = ACTIONS(5674),
    [anon_sym___bridge_retained] = ACTIONS(5674),
    [anon_sym___bridge_transfer] = ACTIONS(5674),
    [anon_sym___complex] = ACTIONS(5674),
    [anon_sym___const] = ACTIONS(5674),
    [anon_sym___imag] = ACTIONS(5674),
    [anon_sym___kindof] = ACTIONS(5674),
    [anon_sym___nonnull] = ACTIONS(5674),
    [anon_sym___nullable] = ACTIONS(5674),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5674),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5674),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5674),
    [anon_sym___real] = ACTIONS(5674),
    [anon_sym___strong] = ACTIONS(5674),
    [anon_sym___unsafe_unretained] = ACTIONS(5674),
    [anon_sym___unused] = ACTIONS(5674),
    [anon_sym___weak] = ACTIONS(5674),
    [anon_sym_alignas] = ACTIONS(5674),
    [anon_sym__Alignas] = ACTIONS(5674),
    [anon_sym_struct] = ACTIONS(5674),
    [anon_sym_in] = ACTIONS(5674),
    [anon_sym_DASH_DASH] = ACTIONS(5676),
    [anon_sym_PLUS_PLUS] = ACTIONS(5676),
    [anon_sym_sizeof] = ACTIONS(5674),
    [anon_sym___alignof__] = ACTIONS(5674),
    [anon_sym___alignof] = ACTIONS(5674),
    [anon_sym__alignof] = ACTIONS(5674),
    [anon_sym_alignof] = ACTIONS(5674),
    [anon_sym__Alignof] = ACTIONS(5674),
    [anon_sym_offsetof] = ACTIONS(5674),
    [anon_sym__Generic] = ACTIONS(5674),
    [anon_sym_asm] = ACTIONS(5674),
    [anon_sym___asm__] = ACTIONS(5674),
    [anon_sym___asm] = ACTIONS(5674),
    [sym_number_literal] = ACTIONS(5676),
    [anon_sym_L_SQUOTE] = ACTIONS(5676),
    [anon_sym_u_SQUOTE] = ACTIONS(5676),
    [anon_sym_U_SQUOTE] = ACTIONS(5676),
    [anon_sym_u8_SQUOTE] = ACTIONS(5676),
    [anon_sym_SQUOTE] = ACTIONS(5676),
    [anon_sym_AT] = ACTIONS(5674),
    [anon_sym_DQUOTE] = ACTIONS(5676),
    [anon_sym_L_DQUOTE] = ACTIONS(5676),
    [anon_sym_u_DQUOTE] = ACTIONS(5676),
    [anon_sym_U_DQUOTE] = ACTIONS(5676),
    [anon_sym_u8_DQUOTE] = ACTIONS(5676),
    [sym_true] = ACTIONS(5674),
    [sym_false] = ACTIONS(5674),
    [anon_sym_NULL] = ACTIONS(5674),
    [anon_sym_nullptr] = ACTIONS(5674),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(5676),
    [anon_sym_ATavailable] = ACTIONS(5676),
    [anon_sym___builtin_available] = ACTIONS(5674),
    [anon_sym_va_arg] = ACTIONS(5674),
    [anon_sym_ATencode] = ACTIONS(5676),
    [anon_sym_id] = ACTIONS(5674),
  },
  [3562] = {
    [sym_expression] = STATE(1765),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1582),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1582),
    [sym_call_expression] = STATE(1582),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1582),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1582),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(1630),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8417),
    [anon_sym_LPAREN2] = ACTIONS(8419),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8423),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8425),
    [anon_sym___real] = ACTIONS(8425),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8427),
    [anon_sym_PLUS_PLUS] = ACTIONS(8427),
    [anon_sym_sizeof] = ACTIONS(2286),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3563] = {
    [sym_expression] = STATE(1563),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1450),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(8549),
    [anon_sym_LPAREN2] = ACTIONS(8551),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8553),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8555),
    [anon_sym___real] = ACTIONS(8555),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8557),
    [anon_sym_PLUS_PLUS] = ACTIONS(8557),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_L_DQUOTE] = ACTIONS(2246),
    [anon_sym_u_DQUOTE] = ACTIONS(2246),
    [anon_sym_U_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8_DQUOTE] = ACTIONS(2246),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3564] = {
    [sym_expression] = STATE(1447),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1450),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(8549),
    [anon_sym_LPAREN2] = ACTIONS(8551),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8553),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8555),
    [anon_sym___real] = ACTIONS(8555),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8557),
    [anon_sym_PLUS_PLUS] = ACTIONS(8557),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_L_DQUOTE] = ACTIONS(2246),
    [anon_sym_u_DQUOTE] = ACTIONS(2246),
    [anon_sym_U_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8_DQUOTE] = ACTIONS(2246),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3565] = {
    [sym_expression] = STATE(1448),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8511),
    [anon_sym_BANG] = ACTIONS(6665),
    [anon_sym_TILDE] = ACTIONS(6665),
    [anon_sym_DASH] = ACTIONS(6663),
    [anon_sym_PLUS] = ACTIONS(6663),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(6667),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6669),
    [anon_sym___real] = ACTIONS(6669),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8513),
    [anon_sym_PLUS_PLUS] = ACTIONS(8513),
    [anon_sym_sizeof] = ACTIONS(6671),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6673),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3566] = {
    [sym_expression] = STATE(1452),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8511),
    [anon_sym_BANG] = ACTIONS(6665),
    [anon_sym_TILDE] = ACTIONS(6665),
    [anon_sym_DASH] = ACTIONS(6663),
    [anon_sym_PLUS] = ACTIONS(6663),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(6667),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6669),
    [anon_sym___real] = ACTIONS(6669),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8513),
    [anon_sym_PLUS_PLUS] = ACTIONS(8513),
    [anon_sym_sizeof] = ACTIONS(6671),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6673),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3567] = {
    [sym_expression] = STATE(1451),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8667),
    [anon_sym_BANG] = ACTIONS(6665),
    [anon_sym_TILDE] = ACTIONS(6665),
    [anon_sym_DASH] = ACTIONS(6663),
    [anon_sym_PLUS] = ACTIONS(6663),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(6667),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6669),
    [anon_sym___real] = ACTIONS(6669),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8513),
    [anon_sym_PLUS_PLUS] = ACTIONS(8513),
    [anon_sym_sizeof] = ACTIONS(6671),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6673),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3568] = {
    [sym_expression] = STATE(4420),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3569] = {
    [sym_expression] = STATE(4496),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3570] = {
    [sym_expression] = STATE(1632),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1582),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1582),
    [sym_call_expression] = STATE(1582),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1582),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1582),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(1630),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8417),
    [anon_sym_LPAREN2] = ACTIONS(8419),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8423),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8425),
    [anon_sym___real] = ACTIONS(8425),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8427),
    [anon_sym_PLUS_PLUS] = ACTIONS(8427),
    [anon_sym_sizeof] = ACTIONS(2286),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3571] = {
    [sym_expression] = STATE(1633),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1582),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1582),
    [sym_call_expression] = STATE(1582),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1582),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1582),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(1630),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8417),
    [anon_sym_LPAREN2] = ACTIONS(8419),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8423),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8425),
    [anon_sym___real] = ACTIONS(8425),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8427),
    [anon_sym_PLUS_PLUS] = ACTIONS(8427),
    [anon_sym_sizeof] = ACTIONS(2286),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3572] = {
    [sym_expression] = STATE(1635),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1582),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1582),
    [sym_call_expression] = STATE(1582),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1582),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1582),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(1630),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8417),
    [anon_sym_LPAREN2] = ACTIONS(8669),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8423),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8425),
    [anon_sym___real] = ACTIONS(8425),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8427),
    [anon_sym_PLUS_PLUS] = ACTIONS(8427),
    [anon_sym_sizeof] = ACTIONS(2286),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(2288),
    [anon_sym___asm__] = ACTIONS(2288),
    [anon_sym___asm] = ACTIONS(2288),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2290),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [anon_sym_L_DQUOTE] = ACTIONS(2292),
    [anon_sym_u_DQUOTE] = ACTIONS(2292),
    [anon_sym_U_DQUOTE] = ACTIONS(2292),
    [anon_sym_u8_DQUOTE] = ACTIONS(2292),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3573] = {
    [sym_expression] = STATE(4390),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8485),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3574] = {
    [sym_expression] = STATE(2498),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1984),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1984),
    [sym_call_expression] = STATE(1984),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1984),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1984),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8397),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8403),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8405),
    [anon_sym___real] = ACTIONS(8405),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8407),
    [anon_sym_PLUS_PLUS] = ACTIONS(8407),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3575] = {
    [sym_expression] = STATE(1636),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3576] = {
    [sym_expression] = STATE(1448),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1450),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(8549),
    [anon_sym_LPAREN2] = ACTIONS(8551),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8553),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8555),
    [anon_sym___real] = ACTIONS(8555),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8557),
    [anon_sym_PLUS_PLUS] = ACTIONS(8557),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_L_DQUOTE] = ACTIONS(2246),
    [anon_sym_u_DQUOTE] = ACTIONS(2246),
    [anon_sym_U_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8_DQUOTE] = ACTIONS(2246),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3577] = {
    [sym_expression] = STATE(1452),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1450),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(8549),
    [anon_sym_LPAREN2] = ACTIONS(8551),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8553),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8555),
    [anon_sym___real] = ACTIONS(8555),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8557),
    [anon_sym_PLUS_PLUS] = ACTIONS(8557),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_L_DQUOTE] = ACTIONS(2246),
    [anon_sym_u_DQUOTE] = ACTIONS(2246),
    [anon_sym_U_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8_DQUOTE] = ACTIONS(2246),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3578] = {
    [sym_expression] = STATE(1451),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1450),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(8549),
    [anon_sym_LPAREN2] = ACTIONS(8671),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8553),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8555),
    [anon_sym___real] = ACTIONS(8555),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8557),
    [anon_sym_PLUS_PLUS] = ACTIONS(8557),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_L_DQUOTE] = ACTIONS(2246),
    [anon_sym_u_DQUOTE] = ACTIONS(2246),
    [anon_sym_U_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8_DQUOTE] = ACTIONS(2246),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3579] = {
    [sym_expression] = STATE(4494),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4341),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4341),
    [sym_call_expression] = STATE(4341),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4341),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4341),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8485),
    [anon_sym_LPAREN2] = ACTIONS(8439),
    [anon_sym_BANG] = ACTIONS(7169),
    [anon_sym_TILDE] = ACTIONS(7169),
    [anon_sym_DASH] = ACTIONS(7167),
    [anon_sym_PLUS] = ACTIONS(7167),
    [anon_sym_STAR] = ACTIONS(8441),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8441),
    [anon_sym___extension__] = ACTIONS(7171),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(7173),
    [anon_sym___real] = ACTIONS(7173),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8443),
    [anon_sym_PLUS_PLUS] = ACTIONS(8443),
    [anon_sym_sizeof] = ACTIONS(7175),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(7177),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3580] = {
    [sym_expression] = STATE(4391),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3581] = {
    [sym_expression] = STATE(1568),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1450),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(8549),
    [anon_sym_LPAREN2] = ACTIONS(8551),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8553),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8555),
    [anon_sym___real] = ACTIONS(8555),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8557),
    [anon_sym_PLUS_PLUS] = ACTIONS(8557),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_L_DQUOTE] = ACTIONS(2246),
    [anon_sym_u_DQUOTE] = ACTIONS(2246),
    [anon_sym_U_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8_DQUOTE] = ACTIONS(2246),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3582] = {
    [sym_expression] = STATE(1571),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1450),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(8549),
    [anon_sym_LPAREN2] = ACTIONS(8551),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8553),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8555),
    [anon_sym___real] = ACTIONS(8555),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8557),
    [anon_sym_PLUS_PLUS] = ACTIONS(8557),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_L_DQUOTE] = ACTIONS(2246),
    [anon_sym_u_DQUOTE] = ACTIONS(2246),
    [anon_sym_U_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8_DQUOTE] = ACTIONS(2246),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3583] = {
    [sym_expression] = STATE(1455),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1450),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(8549),
    [anon_sym_LPAREN2] = ACTIONS(8551),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8553),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8555),
    [anon_sym___real] = ACTIONS(8555),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8557),
    [anon_sym_PLUS_PLUS] = ACTIONS(8557),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_L_DQUOTE] = ACTIONS(2246),
    [anon_sym_u_DQUOTE] = ACTIONS(2246),
    [anon_sym_U_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8_DQUOTE] = ACTIONS(2246),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3584] = {
    [sym_expression] = STATE(1581),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1450),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(8549),
    [anon_sym_LPAREN2] = ACTIONS(8551),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8553),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8555),
    [anon_sym___real] = ACTIONS(8555),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8557),
    [anon_sym_PLUS_PLUS] = ACTIONS(8557),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_L_DQUOTE] = ACTIONS(2246),
    [anon_sym_u_DQUOTE] = ACTIONS(2246),
    [anon_sym_U_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8_DQUOTE] = ACTIONS(2246),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3585] = {
    [sym_expression] = STATE(1566),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1450),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(8549),
    [anon_sym_LPAREN2] = ACTIONS(8551),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8553),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8555),
    [anon_sym___real] = ACTIONS(8555),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8557),
    [anon_sym_PLUS_PLUS] = ACTIONS(8557),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_L_DQUOTE] = ACTIONS(2246),
    [anon_sym_u_DQUOTE] = ACTIONS(2246),
    [anon_sym_U_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8_DQUOTE] = ACTIONS(2246),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3586] = {
    [sym_expression] = STATE(1570),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1450),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(8549),
    [anon_sym_LPAREN2] = ACTIONS(8551),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8553),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8555),
    [anon_sym___real] = ACTIONS(8555),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8557),
    [anon_sym_PLUS_PLUS] = ACTIONS(8557),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_L_DQUOTE] = ACTIONS(2246),
    [anon_sym_u_DQUOTE] = ACTIONS(2246),
    [anon_sym_U_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8_DQUOTE] = ACTIONS(2246),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3587] = {
    [sym_expression] = STATE(1575),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1450),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(8549),
    [anon_sym_LPAREN2] = ACTIONS(8551),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8553),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8555),
    [anon_sym___real] = ACTIONS(8555),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8557),
    [anon_sym_PLUS_PLUS] = ACTIONS(8557),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_L_DQUOTE] = ACTIONS(2246),
    [anon_sym_u_DQUOTE] = ACTIONS(2246),
    [anon_sym_U_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8_DQUOTE] = ACTIONS(2246),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3588] = {
    [sym_expression] = STATE(1580),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1450),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(8549),
    [anon_sym_LPAREN2] = ACTIONS(8551),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8553),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8555),
    [anon_sym___real] = ACTIONS(8555),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8557),
    [anon_sym_PLUS_PLUS] = ACTIONS(8557),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_L_DQUOTE] = ACTIONS(2246),
    [anon_sym_u_DQUOTE] = ACTIONS(2246),
    [anon_sym_U_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8_DQUOTE] = ACTIONS(2246),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3589] = {
    [sym_expression] = STATE(1572),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1450),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(8549),
    [anon_sym_LPAREN2] = ACTIONS(8551),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8553),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8555),
    [anon_sym___real] = ACTIONS(8555),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8557),
    [anon_sym_PLUS_PLUS] = ACTIONS(8557),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_L_DQUOTE] = ACTIONS(2246),
    [anon_sym_u_DQUOTE] = ACTIONS(2246),
    [anon_sym_U_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8_DQUOTE] = ACTIONS(2246),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3590] = {
    [sym_expression] = STATE(1578),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1450),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(8549),
    [anon_sym_LPAREN2] = ACTIONS(8551),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8553),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8555),
    [anon_sym___real] = ACTIONS(8555),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8557),
    [anon_sym_PLUS_PLUS] = ACTIONS(8557),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_L_DQUOTE] = ACTIONS(2246),
    [anon_sym_u_DQUOTE] = ACTIONS(2246),
    [anon_sym_U_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8_DQUOTE] = ACTIONS(2246),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3591] = {
    [sym_expression] = STATE(1569),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1450),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(8549),
    [anon_sym_LPAREN2] = ACTIONS(8551),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8553),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8555),
    [anon_sym___real] = ACTIONS(8555),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8557),
    [anon_sym_PLUS_PLUS] = ACTIONS(8557),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_L_DQUOTE] = ACTIONS(2246),
    [anon_sym_u_DQUOTE] = ACTIONS(2246),
    [anon_sym_U_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8_DQUOTE] = ACTIONS(2246),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3592] = {
    [sym_expression] = STATE(1456),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1450),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(8549),
    [anon_sym_LPAREN2] = ACTIONS(8551),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8553),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8555),
    [anon_sym___real] = ACTIONS(8555),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8557),
    [anon_sym_PLUS_PLUS] = ACTIONS(8557),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_L_DQUOTE] = ACTIONS(2246),
    [anon_sym_u_DQUOTE] = ACTIONS(2246),
    [anon_sym_U_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8_DQUOTE] = ACTIONS(2246),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3593] = {
    [sym_expression] = STATE(4546),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3594] = {
    [sym_expression] = STATE(1565),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1450),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(8549),
    [anon_sym_LPAREN2] = ACTIONS(8551),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8553),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8555),
    [anon_sym___real] = ACTIONS(8555),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8557),
    [anon_sym_PLUS_PLUS] = ACTIONS(8557),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_L_DQUOTE] = ACTIONS(2246),
    [anon_sym_u_DQUOTE] = ACTIONS(2246),
    [anon_sym_U_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8_DQUOTE] = ACTIONS(2246),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3595] = {
    [sym_expression] = STATE(4549),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3596] = {
    [sym_expression] = STATE(4515),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3597] = {
    [sym_expression] = STATE(4554),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3598] = {
    [sym_expression] = STATE(4570),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3599] = {
    [sym_expression] = STATE(1574),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1450),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(8549),
    [anon_sym_LPAREN2] = ACTIONS(8551),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_TILDE] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(8421),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8421),
    [anon_sym___extension__] = ACTIONS(8553),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8555),
    [anon_sym___real] = ACTIONS(8555),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8557),
    [anon_sym_PLUS_PLUS] = ACTIONS(8557),
    [anon_sym_sizeof] = ACTIONS(2230),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_L_DQUOTE] = ACTIONS(2246),
    [anon_sym_u_DQUOTE] = ACTIONS(2246),
    [anon_sym_U_DQUOTE] = ACTIONS(2246),
    [anon_sym_u8_DQUOTE] = ACTIONS(2246),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3600] = {
    [sym_expression] = STATE(4412),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3601] = {
    [sym_expression] = STATE(4442),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3602] = {
    [sym_expression] = STATE(1451),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8673),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8457),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8459),
    [anon_sym___real] = ACTIONS(8459),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8461),
    [anon_sym_PLUS_PLUS] = ACTIONS(8461),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3603] = {
    [sym_expression] = STATE(4510),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3604] = {
    [sym_expression] = STATE(4530),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3605] = {
    [sym_expression] = STATE(4535),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3606] = {
    [sym_expression] = STATE(4555),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3607] = {
    [sym_expression] = STATE(4572),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3608] = {
    [sym_expression] = STATE(4550),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3609] = {
    [sym_expression] = STATE(1635),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(2207),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(2207),
    [sym_call_expression] = STATE(2207),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(2207),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(8675),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8501),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8503),
    [anon_sym___real] = ACTIONS(8503),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8505),
    [anon_sym_PLUS_PLUS] = ACTIONS(8505),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3610] = {
    [sym_expression] = STATE(4568),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3611] = {
    [sym_expression] = STATE(1631),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3612] = {
    [sym_expression] = STATE(4430),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3613] = {
    [sym_expression] = STATE(4431),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3614] = {
    [sym_expression] = STATE(4432),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3615] = {
    [sym_expression] = STATE(1637),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3616] = {
    [sym_expression] = STATE(4433),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3617] = {
    [sym_expression] = STATE(4434),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3618] = {
    [sym_expression] = STATE(4435),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3619] = {
    [sym_expression] = STATE(4436),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3620] = {
    [sym_expression] = STATE(4437),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3621] = {
    [sym_expression] = STATE(4438),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3622] = {
    [sym_expression] = STATE(4439),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3623] = {
    [sym_expression] = STATE(4440),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3624] = {
    [sym_expression] = STATE(1636),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3625] = {
    [sym_expression] = STATE(4422),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3626] = {
    [sym_expression] = STATE(4443),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3627] = {
    [sym_expression] = STATE(4539),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3628] = {
    [sym_expression] = STATE(4446),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3629] = {
    [sym_expression] = STATE(4471),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3630] = {
    [sym_expression] = STATE(4543),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3631] = {
    [sym_expression] = STATE(1445),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8455),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8457),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8459),
    [anon_sym___real] = ACTIONS(8459),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8461),
    [anon_sym_PLUS_PLUS] = ACTIONS(8461),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3632] = {
    [sym_expression] = STATE(1451),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8677),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8519),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8521),
    [anon_sym___real] = ACTIONS(8521),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8523),
    [anon_sym_PLUS_PLUS] = ACTIONS(8523),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3633] = {
    [sym_expression] = STATE(2515),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1984),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1984),
    [sym_call_expression] = STATE(1984),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1984),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1984),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8397),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8403),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8405),
    [anon_sym___real] = ACTIONS(8405),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8407),
    [anon_sym_PLUS_PLUS] = ACTIONS(8407),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3634] = {
    [sym_expression] = STATE(1631),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1984),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1984),
    [sym_call_expression] = STATE(1984),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1984),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1984),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8397),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8403),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8405),
    [anon_sym___real] = ACTIONS(8405),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8407),
    [anon_sym_PLUS_PLUS] = ACTIONS(8407),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3635] = {
    [sym_expression] = STATE(2501),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1984),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1984),
    [sym_call_expression] = STATE(1984),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1984),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1984),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8397),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8403),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8405),
    [anon_sym___real] = ACTIONS(8405),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8407),
    [anon_sym_PLUS_PLUS] = ACTIONS(8407),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3636] = {
    [sym_expression] = STATE(2502),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1984),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1984),
    [sym_call_expression] = STATE(1984),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1984),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1984),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8397),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8403),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8405),
    [anon_sym___real] = ACTIONS(8405),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8407),
    [anon_sym_PLUS_PLUS] = ACTIONS(8407),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3637] = {
    [sym_expression] = STATE(2503),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1984),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1984),
    [sym_call_expression] = STATE(1984),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1984),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1984),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8397),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8403),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8405),
    [anon_sym___real] = ACTIONS(8405),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8407),
    [anon_sym_PLUS_PLUS] = ACTIONS(8407),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3638] = {
    [sym_expression] = STATE(1637),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1984),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1984),
    [sym_call_expression] = STATE(1984),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1984),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1984),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8397),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8403),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8405),
    [anon_sym___real] = ACTIONS(8405),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8407),
    [anon_sym_PLUS_PLUS] = ACTIONS(8407),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3639] = {
    [sym_expression] = STATE(2504),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1984),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1984),
    [sym_call_expression] = STATE(1984),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1984),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1984),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8397),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8403),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8405),
    [anon_sym___real] = ACTIONS(8405),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8407),
    [anon_sym_PLUS_PLUS] = ACTIONS(8407),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3640] = {
    [sym_expression] = STATE(2505),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1984),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1984),
    [sym_call_expression] = STATE(1984),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1984),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1984),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8397),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8403),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8405),
    [anon_sym___real] = ACTIONS(8405),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8407),
    [anon_sym_PLUS_PLUS] = ACTIONS(8407),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3641] = {
    [sym_expression] = STATE(2506),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1984),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1984),
    [sym_call_expression] = STATE(1984),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1984),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1984),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8397),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8403),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8405),
    [anon_sym___real] = ACTIONS(8405),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8407),
    [anon_sym_PLUS_PLUS] = ACTIONS(8407),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3642] = {
    [sym_expression] = STATE(2507),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1984),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1984),
    [sym_call_expression] = STATE(1984),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1984),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1984),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8397),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8403),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8405),
    [anon_sym___real] = ACTIONS(8405),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8407),
    [anon_sym_PLUS_PLUS] = ACTIONS(8407),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3643] = {
    [sym_expression] = STATE(2508),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1984),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1984),
    [sym_call_expression] = STATE(1984),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1984),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1984),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8397),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8403),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8405),
    [anon_sym___real] = ACTIONS(8405),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8407),
    [anon_sym_PLUS_PLUS] = ACTIONS(8407),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3644] = {
    [sym_expression] = STATE(2509),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1984),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1984),
    [sym_call_expression] = STATE(1984),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1984),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1984),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8397),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8403),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8405),
    [anon_sym___real] = ACTIONS(8405),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8407),
    [anon_sym_PLUS_PLUS] = ACTIONS(8407),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3645] = {
    [sym_expression] = STATE(2510),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1984),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1984),
    [sym_call_expression] = STATE(1984),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1984),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1984),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8397),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8403),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8405),
    [anon_sym___real] = ACTIONS(8405),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8407),
    [anon_sym_PLUS_PLUS] = ACTIONS(8407),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3646] = {
    [sym_expression] = STATE(2511),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1984),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1984),
    [sym_call_expression] = STATE(1984),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1984),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1984),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8397),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8403),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8405),
    [anon_sym___real] = ACTIONS(8405),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8407),
    [anon_sym_PLUS_PLUS] = ACTIONS(8407),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3647] = {
    [sym_expression] = STATE(1636),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1984),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1984),
    [sym_call_expression] = STATE(1984),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1984),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1984),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8397),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8403),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8405),
    [anon_sym___real] = ACTIONS(8405),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8407),
    [anon_sym_PLUS_PLUS] = ACTIONS(8407),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3648] = {
    [sym_expression] = STATE(2512),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1984),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1984),
    [sym_call_expression] = STATE(1984),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1984),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1984),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8397),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8403),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8405),
    [anon_sym___real] = ACTIONS(8405),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8407),
    [anon_sym_PLUS_PLUS] = ACTIONS(8407),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3649] = {
    [sym_expression] = STATE(2513),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1984),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1984),
    [sym_call_expression] = STATE(1984),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1984),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1984),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8397),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8403),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8405),
    [anon_sym___real] = ACTIONS(8405),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8407),
    [anon_sym_PLUS_PLUS] = ACTIONS(8407),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3650] = {
    [sym_expression] = STATE(1926),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8455),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8457),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8459),
    [anon_sym___real] = ACTIONS(8459),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8461),
    [anon_sym_PLUS_PLUS] = ACTIONS(8461),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3651] = {
    [sym_expression] = STATE(1447),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8455),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8457),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8459),
    [anon_sym___real] = ACTIONS(8459),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8461),
    [anon_sym_PLUS_PLUS] = ACTIONS(8461),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3652] = {
    [sym_expression] = STATE(1931),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8455),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8457),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8459),
    [anon_sym___real] = ACTIONS(8459),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8461),
    [anon_sym_PLUS_PLUS] = ACTIONS(8461),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3653] = {
    [sym_expression] = STATE(1932),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8455),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8457),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8459),
    [anon_sym___real] = ACTIONS(8459),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8461),
    [anon_sym_PLUS_PLUS] = ACTIONS(8461),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3654] = {
    [sym_expression] = STATE(1455),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8455),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8457),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8459),
    [anon_sym___real] = ACTIONS(8459),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8461),
    [anon_sym_PLUS_PLUS] = ACTIONS(8461),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3655] = {
    [sym_expression] = STATE(1933),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8455),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8457),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8459),
    [anon_sym___real] = ACTIONS(8459),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8461),
    [anon_sym_PLUS_PLUS] = ACTIONS(8461),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3656] = {
    [sym_expression] = STATE(1934),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8455),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8457),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8459),
    [anon_sym___real] = ACTIONS(8459),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8461),
    [anon_sym_PLUS_PLUS] = ACTIONS(8461),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3657] = {
    [sym_expression] = STATE(1935),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8455),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8457),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8459),
    [anon_sym___real] = ACTIONS(8459),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8461),
    [anon_sym_PLUS_PLUS] = ACTIONS(8461),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3658] = {
    [sym_expression] = STATE(1937),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8455),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8457),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8459),
    [anon_sym___real] = ACTIONS(8459),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8461),
    [anon_sym_PLUS_PLUS] = ACTIONS(8461),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3659] = {
    [sym_expression] = STATE(1920),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8455),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8457),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8459),
    [anon_sym___real] = ACTIONS(8459),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8461),
    [anon_sym_PLUS_PLUS] = ACTIONS(8461),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3660] = {
    [sym_expression] = STATE(1921),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8455),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8457),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8459),
    [anon_sym___real] = ACTIONS(8459),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8461),
    [anon_sym_PLUS_PLUS] = ACTIONS(8461),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3661] = {
    [sym_expression] = STATE(1922),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8455),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8457),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8459),
    [anon_sym___real] = ACTIONS(8459),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8461),
    [anon_sym_PLUS_PLUS] = ACTIONS(8461),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3662] = {
    [sym_expression] = STATE(1923),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8455),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8457),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8459),
    [anon_sym___real] = ACTIONS(8459),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8461),
    [anon_sym_PLUS_PLUS] = ACTIONS(8461),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3663] = {
    [sym_expression] = STATE(1456),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8455),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8457),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8459),
    [anon_sym___real] = ACTIONS(8459),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8461),
    [anon_sym_PLUS_PLUS] = ACTIONS(8461),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3664] = {
    [sym_expression] = STATE(1924),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8455),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8457),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8459),
    [anon_sym___real] = ACTIONS(8459),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8461),
    [anon_sym_PLUS_PLUS] = ACTIONS(8461),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3665] = {
    [sym_expression] = STATE(1925),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8455),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8457),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8459),
    [anon_sym___real] = ACTIONS(8459),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8461),
    [anon_sym_PLUS_PLUS] = ACTIONS(8461),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3666] = {
    [sym_expression] = STATE(1632),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1984),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1984),
    [sym_call_expression] = STATE(1984),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1984),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1984),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8397),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8403),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8405),
    [anon_sym___real] = ACTIONS(8405),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8407),
    [anon_sym_PLUS_PLUS] = ACTIONS(8407),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3667] = {
    [sym_expression] = STATE(1633),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1984),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1984),
    [sym_call_expression] = STATE(1984),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1984),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1984),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8397),
    [anon_sym_LPAREN2] = ACTIONS(8399),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8403),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8405),
    [anon_sym___real] = ACTIONS(8405),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8407),
    [anon_sym_PLUS_PLUS] = ACTIONS(8407),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3668] = {
    [sym_expression] = STATE(1635),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(1984),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(1984),
    [sym_call_expression] = STATE(1984),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(1984),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(1984),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2105),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(8397),
    [anon_sym_LPAREN2] = ACTIONS(8679),
    [anon_sym_BANG] = ACTIONS(2888),
    [anon_sym_TILDE] = ACTIONS(2888),
    [anon_sym_DASH] = ACTIONS(2886),
    [anon_sym_PLUS] = ACTIONS(2886),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8403),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8405),
    [anon_sym___real] = ACTIONS(8405),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8407),
    [anon_sym_PLUS_PLUS] = ACTIONS(8407),
    [anon_sym_sizeof] = ACTIONS(2892),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2894),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3669] = {
    [sym_expression] = STATE(1452),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1707),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8455),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(8401),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8401),
    [anon_sym___extension__] = ACTIONS(8457),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8459),
    [anon_sym___real] = ACTIONS(8459),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8461),
    [anon_sym_PLUS_PLUS] = ACTIONS(8461),
    [anon_sym_sizeof] = ACTIONS(2300),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3670] = {
    [sym_expression] = STATE(4424),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3671] = {
    [sym_expression] = STATE(2658),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(2207),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(2207),
    [sym_call_expression] = STATE(2207),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(2207),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(8497),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8501),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8503),
    [anon_sym___real] = ACTIONS(8503),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8505),
    [anon_sym_PLUS_PLUS] = ACTIONS(8505),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3672] = {
    [sym_expression] = STATE(1631),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(2207),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(2207),
    [sym_call_expression] = STATE(2207),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(2207),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(8497),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8501),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8503),
    [anon_sym___real] = ACTIONS(8503),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8505),
    [anon_sym_PLUS_PLUS] = ACTIONS(8505),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3673] = {
    [sym_expression] = STATE(4320),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8409),
    [anon_sym_BANG] = ACTIONS(6373),
    [anon_sym_TILDE] = ACTIONS(6373),
    [anon_sym_DASH] = ACTIONS(6371),
    [anon_sym_PLUS] = ACTIONS(6371),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(6375),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6377),
    [anon_sym___real] = ACTIONS(6377),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8415),
    [anon_sym_PLUS_PLUS] = ACTIONS(8415),
    [anon_sym_sizeof] = ACTIONS(6379),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6381),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3674] = {
    [sym_expression] = STATE(2637),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(2207),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(2207),
    [sym_call_expression] = STATE(2207),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(2207),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(8497),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8501),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8503),
    [anon_sym___real] = ACTIONS(8503),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8505),
    [anon_sym_PLUS_PLUS] = ACTIONS(8505),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3675] = {
    [sym_expression] = STATE(2638),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(2207),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(2207),
    [sym_call_expression] = STATE(2207),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(2207),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(8497),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8501),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8503),
    [anon_sym___real] = ACTIONS(8503),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8505),
    [anon_sym_PLUS_PLUS] = ACTIONS(8505),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3676] = {
    [sym_expression] = STATE(2639),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(2207),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(2207),
    [sym_call_expression] = STATE(2207),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(2207),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(8497),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8501),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8503),
    [anon_sym___real] = ACTIONS(8503),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8505),
    [anon_sym_PLUS_PLUS] = ACTIONS(8505),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3677] = {
    [sym_expression] = STATE(1637),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(2207),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(2207),
    [sym_call_expression] = STATE(2207),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(2207),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(8497),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8501),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8503),
    [anon_sym___real] = ACTIONS(8503),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8505),
    [anon_sym_PLUS_PLUS] = ACTIONS(8505),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3678] = {
    [sym_expression] = STATE(2640),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(2207),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(2207),
    [sym_call_expression] = STATE(2207),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(2207),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(8497),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8501),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8503),
    [anon_sym___real] = ACTIONS(8503),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8505),
    [anon_sym_PLUS_PLUS] = ACTIONS(8505),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3679] = {
    [sym_expression] = STATE(2641),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(2207),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(2207),
    [sym_call_expression] = STATE(2207),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(2207),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(8497),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8501),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8503),
    [anon_sym___real] = ACTIONS(8503),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8505),
    [anon_sym_PLUS_PLUS] = ACTIONS(8505),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3680] = {
    [sym_expression] = STATE(2642),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(2207),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(2207),
    [sym_call_expression] = STATE(2207),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(2207),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(8497),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8501),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8503),
    [anon_sym___real] = ACTIONS(8503),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8505),
    [anon_sym_PLUS_PLUS] = ACTIONS(8505),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3681] = {
    [sym_expression] = STATE(2643),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(2207),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(2207),
    [sym_call_expression] = STATE(2207),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(2207),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(8497),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8501),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8503),
    [anon_sym___real] = ACTIONS(8503),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8505),
    [anon_sym_PLUS_PLUS] = ACTIONS(8505),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3682] = {
    [sym_expression] = STATE(2644),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(2207),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(2207),
    [sym_call_expression] = STATE(2207),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(2207),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(8497),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8501),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8503),
    [anon_sym___real] = ACTIONS(8503),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8505),
    [anon_sym_PLUS_PLUS] = ACTIONS(8505),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3683] = {
    [sym_expression] = STATE(2645),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(2207),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(2207),
    [sym_call_expression] = STATE(2207),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(2207),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(8497),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8501),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8503),
    [anon_sym___real] = ACTIONS(8503),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8505),
    [anon_sym_PLUS_PLUS] = ACTIONS(8505),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3684] = {
    [sym_expression] = STATE(2646),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(2207),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(2207),
    [sym_call_expression] = STATE(2207),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(2207),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(8497),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8501),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8503),
    [anon_sym___real] = ACTIONS(8503),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8505),
    [anon_sym_PLUS_PLUS] = ACTIONS(8505),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3685] = {
    [sym_expression] = STATE(2647),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(2207),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(2207),
    [sym_call_expression] = STATE(2207),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(2207),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(8497),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8501),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8503),
    [anon_sym___real] = ACTIONS(8503),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8505),
    [anon_sym_PLUS_PLUS] = ACTIONS(8505),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3686] = {
    [sym_expression] = STATE(1636),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(2207),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(2207),
    [sym_call_expression] = STATE(2207),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(2207),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(8497),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8501),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8503),
    [anon_sym___real] = ACTIONS(8503),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8505),
    [anon_sym_PLUS_PLUS] = ACTIONS(8505),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3687] = {
    [sym_expression] = STATE(4421),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3688] = {
    [sym_expression] = STATE(4513),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3689] = {
    [sym_expression] = STATE(2648),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(2207),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(2207),
    [sym_call_expression] = STATE(2207),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(2207),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(8497),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8501),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8503),
    [anon_sym___real] = ACTIONS(8503),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8505),
    [anon_sym_PLUS_PLUS] = ACTIONS(8505),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3690] = {
    [sym_expression] = STATE(4495),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3691] = {
    [sym_expression] = STATE(2649),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(2207),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(2207),
    [sym_call_expression] = STATE(2207),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(2207),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(8497),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8501),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8503),
    [anon_sym___real] = ACTIONS(8503),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8505),
    [anon_sym_PLUS_PLUS] = ACTIONS(8505),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3692] = {
    [sym_expression] = STATE(4511),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3693] = {
    [sym_expression] = STATE(4538),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3694] = {
    [sym_expression] = STATE(4409),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3695] = {
    [sym_expression] = STATE(4500),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3696] = {
    [sym_expression] = STATE(4499),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3697] = {
    [sym_expression] = STATE(4415),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3698] = {
    [sym_expression] = STATE(4503),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3699] = {
    [sym_expression] = STATE(4505),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3700] = {
    [sym_expression] = STATE(4418),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3701] = {
    [sym_expression] = STATE(4512),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3702] = {
    [sym_expression] = STATE(4516),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3703] = {
    [sym_expression] = STATE(4376),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3704] = {
    [sym_expression] = STATE(4425),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3705] = {
    [sym_expression] = STATE(4426),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3706] = {
    [sym_expression] = STATE(1632),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3707] = {
    [sym_expression] = STATE(1445),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8475),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_TILDE] = ACTIONS(6714),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(6716),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6718),
    [anon_sym___real] = ACTIONS(6718),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8477),
    [anon_sym_PLUS_PLUS] = ACTIONS(8477),
    [anon_sym_sizeof] = ACTIONS(6720),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6722),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(6724),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3708] = {
    [sym_expression] = STATE(1633),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3709] = {
    [sym_expression] = STATE(1635),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(8681),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3710] = {
    [sym_expression] = STATE(4506),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3711] = {
    [sym_expression] = STATE(4483),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3712] = {
    [sym_expression] = STATE(4552),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3713] = {
    [sym_expression] = STATE(4363),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8475),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_TILDE] = ACTIONS(6714),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(6716),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6718),
    [anon_sym___real] = ACTIONS(6718),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8477),
    [anon_sym_PLUS_PLUS] = ACTIONS(8477),
    [anon_sym_sizeof] = ACTIONS(6720),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6722),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(6724),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3714] = {
    [sym_expression] = STATE(1447),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8475),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_TILDE] = ACTIONS(6714),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(6716),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6718),
    [anon_sym___real] = ACTIONS(6718),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8477),
    [anon_sym_PLUS_PLUS] = ACTIONS(8477),
    [anon_sym_sizeof] = ACTIONS(6720),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6722),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(6724),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3715] = {
    [sym_expression] = STATE(4366),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8475),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_TILDE] = ACTIONS(6714),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(6716),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6718),
    [anon_sym___real] = ACTIONS(6718),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8477),
    [anon_sym_PLUS_PLUS] = ACTIONS(8477),
    [anon_sym_sizeof] = ACTIONS(6720),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6722),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(6724),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3716] = {
    [sym_expression] = STATE(4367),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8475),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_TILDE] = ACTIONS(6714),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(6716),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6718),
    [anon_sym___real] = ACTIONS(6718),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8477),
    [anon_sym_PLUS_PLUS] = ACTIONS(8477),
    [anon_sym_sizeof] = ACTIONS(6720),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6722),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(6724),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3717] = {
    [sym_expression] = STATE(1455),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8475),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_TILDE] = ACTIONS(6714),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(6716),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6718),
    [anon_sym___real] = ACTIONS(6718),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8477),
    [anon_sym_PLUS_PLUS] = ACTIONS(8477),
    [anon_sym_sizeof] = ACTIONS(6720),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6722),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(6724),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3718] = {
    [sym_expression] = STATE(4353),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8475),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_TILDE] = ACTIONS(6714),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(6716),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6718),
    [anon_sym___real] = ACTIONS(6718),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8477),
    [anon_sym_PLUS_PLUS] = ACTIONS(8477),
    [anon_sym_sizeof] = ACTIONS(6720),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6722),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(6724),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3719] = {
    [sym_expression] = STATE(4368),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8475),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_TILDE] = ACTIONS(6714),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(6716),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6718),
    [anon_sym___real] = ACTIONS(6718),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8477),
    [anon_sym_PLUS_PLUS] = ACTIONS(8477),
    [anon_sym_sizeof] = ACTIONS(6720),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6722),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(6724),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3720] = {
    [sym_expression] = STATE(4354),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8475),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_TILDE] = ACTIONS(6714),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(6716),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6718),
    [anon_sym___real] = ACTIONS(6718),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8477),
    [anon_sym_PLUS_PLUS] = ACTIONS(8477),
    [anon_sym_sizeof] = ACTIONS(6720),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6722),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(6724),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3721] = {
    [sym_expression] = STATE(4355),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8475),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_TILDE] = ACTIONS(6714),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(6716),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6718),
    [anon_sym___real] = ACTIONS(6718),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8477),
    [anon_sym_PLUS_PLUS] = ACTIONS(8477),
    [anon_sym_sizeof] = ACTIONS(6720),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6722),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(6724),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3722] = {
    [sym_expression] = STATE(4356),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8475),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_TILDE] = ACTIONS(6714),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(6716),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6718),
    [anon_sym___real] = ACTIONS(6718),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8477),
    [anon_sym_PLUS_PLUS] = ACTIONS(8477),
    [anon_sym_sizeof] = ACTIONS(6720),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6722),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(6724),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3723] = {
    [sym_expression] = STATE(4357),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8475),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_TILDE] = ACTIONS(6714),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(6716),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6718),
    [anon_sym___real] = ACTIONS(6718),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8477),
    [anon_sym_PLUS_PLUS] = ACTIONS(8477),
    [anon_sym_sizeof] = ACTIONS(6720),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6722),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(6724),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3724] = {
    [sym_expression] = STATE(4358),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8475),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_TILDE] = ACTIONS(6714),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(6716),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6718),
    [anon_sym___real] = ACTIONS(6718),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8477),
    [anon_sym_PLUS_PLUS] = ACTIONS(8477),
    [anon_sym_sizeof] = ACTIONS(6720),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6722),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(6724),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3725] = {
    [sym_expression] = STATE(4359),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8475),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_TILDE] = ACTIONS(6714),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(6716),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6718),
    [anon_sym___real] = ACTIONS(6718),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8477),
    [anon_sym_PLUS_PLUS] = ACTIONS(8477),
    [anon_sym_sizeof] = ACTIONS(6720),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6722),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(6724),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3726] = {
    [sym_expression] = STATE(1456),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8475),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_TILDE] = ACTIONS(6714),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(6716),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6718),
    [anon_sym___real] = ACTIONS(6718),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8477),
    [anon_sym_PLUS_PLUS] = ACTIONS(8477),
    [anon_sym_sizeof] = ACTIONS(6720),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6722),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(6724),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3727] = {
    [sym_expression] = STATE(4360),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8475),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_TILDE] = ACTIONS(6714),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(6716),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6718),
    [anon_sym___real] = ACTIONS(6718),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8477),
    [anon_sym_PLUS_PLUS] = ACTIONS(8477),
    [anon_sym_sizeof] = ACTIONS(6720),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6722),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(6724),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3728] = {
    [sym_expression] = STATE(4361),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8475),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_TILDE] = ACTIONS(6714),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(6716),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6718),
    [anon_sym___real] = ACTIONS(6718),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8477),
    [anon_sym_PLUS_PLUS] = ACTIONS(8477),
    [anon_sym_sizeof] = ACTIONS(6720),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6722),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(6724),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3729] = {
    [sym_expression] = STATE(1448),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8475),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_TILDE] = ACTIONS(6714),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(6716),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6718),
    [anon_sym___real] = ACTIONS(6718),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8477),
    [anon_sym_PLUS_PLUS] = ACTIONS(8477),
    [anon_sym_sizeof] = ACTIONS(6720),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6722),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(6724),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3730] = {
    [sym_expression] = STATE(1452),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8475),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_TILDE] = ACTIONS(6714),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(6716),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6718),
    [anon_sym___real] = ACTIONS(6718),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8477),
    [anon_sym_PLUS_PLUS] = ACTIONS(8477),
    [anon_sym_sizeof] = ACTIONS(6720),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6722),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(6724),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3731] = {
    [sym_expression] = STATE(1451),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8683),
    [anon_sym_BANG] = ACTIONS(6714),
    [anon_sym_TILDE] = ACTIONS(6714),
    [anon_sym_DASH] = ACTIONS(6712),
    [anon_sym_PLUS] = ACTIONS(6712),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(6716),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(6718),
    [anon_sym___real] = ACTIONS(6718),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8477),
    [anon_sym_PLUS_PLUS] = ACTIONS(8477),
    [anon_sym_sizeof] = ACTIONS(6720),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(6722),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(6724),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3732] = {
    [sym_expression] = STATE(1632),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(2207),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(2207),
    [sym_call_expression] = STATE(2207),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(2207),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(8497),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8501),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8503),
    [anon_sym___real] = ACTIONS(8503),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8505),
    [anon_sym_PLUS_PLUS] = ACTIONS(8505),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3733] = {
    [sym_expression] = STATE(1445),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8517),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8519),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8521),
    [anon_sym___real] = ACTIONS(8521),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8523),
    [anon_sym_PLUS_PLUS] = ACTIONS(8523),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3734] = {
    [sym_expression] = STATE(1633),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(2207),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(2207),
    [sym_call_expression] = STATE(2207),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(2207),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(8497),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8501),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8503),
    [anon_sym___real] = ACTIONS(8503),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8505),
    [anon_sym_PLUS_PLUS] = ACTIONS(8505),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3735] = {
    [sym_expression] = STATE(2107),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8517),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8519),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8521),
    [anon_sym___real] = ACTIONS(8521),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8523),
    [anon_sym_PLUS_PLUS] = ACTIONS(8523),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3736] = {
    [sym_expression] = STATE(1447),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8517),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8519),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8521),
    [anon_sym___real] = ACTIONS(8521),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8523),
    [anon_sym_PLUS_PLUS] = ACTIONS(8523),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3737] = {
    [sym_expression] = STATE(2084),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8517),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8519),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8521),
    [anon_sym___real] = ACTIONS(8521),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8523),
    [anon_sym_PLUS_PLUS] = ACTIONS(8523),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3738] = {
    [sym_expression] = STATE(2085),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8517),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8519),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8521),
    [anon_sym___real] = ACTIONS(8521),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8523),
    [anon_sym_PLUS_PLUS] = ACTIONS(8523),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3739] = {
    [sym_expression] = STATE(1455),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8517),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8519),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8521),
    [anon_sym___real] = ACTIONS(8521),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8523),
    [anon_sym_PLUS_PLUS] = ACTIONS(8523),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3740] = {
    [sym_expression] = STATE(2086),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8517),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8519),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8521),
    [anon_sym___real] = ACTIONS(8521),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8523),
    [anon_sym_PLUS_PLUS] = ACTIONS(8523),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3741] = {
    [sym_expression] = STATE(2068),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8517),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8519),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8521),
    [anon_sym___real] = ACTIONS(8521),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8523),
    [anon_sym_PLUS_PLUS] = ACTIONS(8523),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3742] = {
    [sym_expression] = STATE(2109),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8517),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8519),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8521),
    [anon_sym___real] = ACTIONS(8521),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8523),
    [anon_sym_PLUS_PLUS] = ACTIONS(8523),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3743] = {
    [sym_expression] = STATE(2089),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8517),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8519),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8521),
    [anon_sym___real] = ACTIONS(8521),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8523),
    [anon_sym_PLUS_PLUS] = ACTIONS(8523),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3744] = {
    [sym_expression] = STATE(2090),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8517),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8519),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8521),
    [anon_sym___real] = ACTIONS(8521),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8523),
    [anon_sym_PLUS_PLUS] = ACTIONS(8523),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3745] = {
    [sym_expression] = STATE(2091),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8517),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8519),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8521),
    [anon_sym___real] = ACTIONS(8521),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8523),
    [anon_sym_PLUS_PLUS] = ACTIONS(8523),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3746] = {
    [sym_expression] = STATE(2092),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8517),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8519),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8521),
    [anon_sym___real] = ACTIONS(8521),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8523),
    [anon_sym_PLUS_PLUS] = ACTIONS(8523),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3747] = {
    [sym_expression] = STATE(2093),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8517),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8519),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8521),
    [anon_sym___real] = ACTIONS(8521),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8523),
    [anon_sym_PLUS_PLUS] = ACTIONS(8523),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3748] = {
    [sym_expression] = STATE(1456),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8517),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8519),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8521),
    [anon_sym___real] = ACTIONS(8521),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8523),
    [anon_sym_PLUS_PLUS] = ACTIONS(8523),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3749] = {
    [sym_expression] = STATE(2627),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(2207),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(2207),
    [sym_call_expression] = STATE(2207),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(2207),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(2207),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2906),
    [anon_sym_LPAREN2] = ACTIONS(8497),
    [anon_sym_BANG] = ACTIONS(2910),
    [anon_sym_TILDE] = ACTIONS(2910),
    [anon_sym_DASH] = ACTIONS(2908),
    [anon_sym_PLUS] = ACTIONS(2908),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8501),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(8503),
    [anon_sym___real] = ACTIONS(8503),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(8505),
    [anon_sym_PLUS_PLUS] = ACTIONS(8505),
    [anon_sym_sizeof] = ACTIONS(2912),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(2914),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3750] = {
    [sym_expression] = STATE(2094),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8517),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8519),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8521),
    [anon_sym___real] = ACTIONS(8521),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8523),
    [anon_sym_PLUS_PLUS] = ACTIONS(8523),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3751] = {
    [sym_expression] = STATE(2095),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8517),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8519),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8521),
    [anon_sym___real] = ACTIONS(8521),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8523),
    [anon_sym_PLUS_PLUS] = ACTIONS(8523),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3752] = {
    [sym_expression] = STATE(1448),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8517),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8519),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8521),
    [anon_sym___real] = ACTIONS(8521),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8523),
    [anon_sym_PLUS_PLUS] = ACTIONS(8523),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3753] = {
    [sym_expression] = STATE(1452),
    [sym__string] = STATE(1480),
    [sym_conditional_expression] = STATE(1480),
    [sym_assignment_expression] = STATE(1480),
    [sym_pointer_expression] = STATE(1484),
    [sym_unary_expression] = STATE(1480),
    [sym_binary_expression] = STATE(1480),
    [sym_update_expression] = STATE(1480),
    [sym_cast_expression] = STATE(1480),
    [sym_sizeof_expression] = STATE(1480),
    [sym_alignof_expression] = STATE(1480),
    [sym_offsetof_expression] = STATE(1480),
    [sym_generic_expression] = STATE(1480),
    [sym_subscript_expression] = STATE(1484),
    [sym_call_expression] = STATE(1484),
    [sym_gnu_asm_expression] = STATE(1480),
    [sym_extension_expression] = STATE(1480),
    [sym_field_expression] = STATE(1484),
    [sym_compound_literal_expression] = STATE(1480),
    [sym_parenthesized_expression] = STATE(1484),
    [sym_char_literal] = STATE(1480),
    [sym_concatenated_string] = STATE(1480),
    [sym_string_literal] = STATE(1687),
    [sym_null] = STATE(1480),
    [sym_selector_expression] = STATE(1480),
    [sym_available_expression] = STATE(1480),
    [sym_range_expression] = STATE(1480),
    [sym_block_literal] = STATE(1480),
    [sym_message_expression] = STATE(1480),
    [sym_va_arg_expression] = STATE(1480),
    [sym_encode_expression] = STATE(1480),
    [sym_at_expression] = STATE(1480),
    [sym_dictionary_literal] = STATE(1480),
    [sym_array_literal] = STATE(1480),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_LPAREN2] = ACTIONS(8517),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_STAR] = ACTIONS(8499),
    [anon_sym_CARET] = ACTIONS(8411),
    [anon_sym_AMP] = ACTIONS(8499),
    [anon_sym___extension__] = ACTIONS(8519),
    [anon_sym_LBRACK] = ACTIONS(8413),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym___imag] = ACTIONS(8521),
    [anon_sym___real] = ACTIONS(8521),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_in] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(8523),
    [anon_sym_PLUS_PLUS] = ACTIONS(8523),
    [anon_sym_sizeof] = ACTIONS(2334),
    [anon_sym___alignof__] = ACTIONS(2232),
    [anon_sym___alignof] = ACTIONS(2232),
    [anon_sym__alignof] = ACTIONS(2232),
    [anon_sym_alignof] = ACTIONS(2232),
    [anon_sym__Alignof] = ACTIONS(2232),
    [anon_sym_offsetof] = ACTIONS(2234),
    [anon_sym__Generic] = ACTIONS(2236),
    [anon_sym_asm] = ACTIONS(2238),
    [anon_sym___asm__] = ACTIONS(2238),
    [anon_sym___asm] = ACTIONS(2238),
    [sym_number_literal] = ACTIONS(2240),
    [anon_sym_L_SQUOTE] = ACTIONS(2242),
    [anon_sym_u_SQUOTE] = ACTIONS(2242),
    [anon_sym_U_SQUOTE] = ACTIONS(2242),
    [anon_sym_u8_SQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2304),
    [anon_sym_L_DQUOTE] = ACTIONS(2304),
    [anon_sym_u_DQUOTE] = ACTIONS(2304),
    [anon_sym_U_DQUOTE] = ACTIONS(2304),
    [anon_sym_u8_DQUOTE] = ACTIONS(2304),
    [sym_true] = ACTIONS(2248),
    [sym_false] = ACTIONS(2248),
    [anon_sym_NULL] = ACTIONS(2250),
    [anon_sym_nullptr] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(2252),
    [anon_sym_ATavailable] = ACTIONS(2254),
    [anon_sym___builtin_available] = ACTIONS(2256),
    [anon_sym_va_arg] = ACTIONS(2258),
    [anon_sym_ATencode] = ACTIONS(2260),
    [anon_sym_id] = ACTIONS(2228),
  },
  [3754] = {
    [sym_expression] = STATE(4548),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3755] = {
    [sym_expression] = STATE(4558),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4322),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4322),
    [sym_call_expression] = STATE(4322),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4322),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4322),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(2916),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(2918),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(2926),
    [anon_sym___real] = ACTIONS(2926),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(93),
    [anon_sym_PLUS_PLUS] = ACTIONS(93),
    [anon_sym_sizeof] = ACTIONS(95),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(1776),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(137),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3756] = {
    [sym_expression] = STATE(4472),
    [sym__string] = STATE(1675),
    [sym_conditional_expression] = STATE(1675),
    [sym_assignment_expression] = STATE(1675),
    [sym_pointer_expression] = STATE(4369),
    [sym_unary_expression] = STATE(1675),
    [sym_binary_expression] = STATE(1675),
    [sym_update_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1675),
    [sym_sizeof_expression] = STATE(1675),
    [sym_alignof_expression] = STATE(1675),
    [sym_offsetof_expression] = STATE(1675),
    [sym_generic_expression] = STATE(1675),
    [sym_subscript_expression] = STATE(4369),
    [sym_call_expression] = STATE(4369),
    [sym_gnu_asm_expression] = STATE(1675),
    [sym_extension_expression] = STATE(1675),
    [sym_field_expression] = STATE(4369),
    [sym_compound_literal_expression] = STATE(1675),
    [sym_parenthesized_expression] = STATE(4369),
    [sym_char_literal] = STATE(1675),
    [sym_concatenated_string] = STATE(1675),
    [sym_string_literal] = STATE(2071),
    [sym_null] = STATE(1675),
    [sym_selector_expression] = STATE(1675),
    [sym_available_expression] = STATE(1675),
    [sym_range_expression] = STATE(1675),
    [sym_block_literal] = STATE(1675),
    [sym_message_expression] = STATE(1675),
    [sym_va_arg_expression] = STATE(1675),
    [sym_encode_expression] = STATE(1675),
    [sym_at_expression] = STATE(1675),
    [sym_dictionary_literal] = STATE(1675),
    [sym_array_literal] = STATE(1675),
    [sym_identifier] = ACTIONS(5302),
    [anon_sym_LPAREN2] = ACTIONS(4346),
    [anon_sym_BANG] = ACTIONS(4348),
    [anon_sym_TILDE] = ACTIONS(4348),
    [anon_sym_DASH] = ACTIONS(4350),
    [anon_sym_PLUS] = ACTIONS(4350),
    [anon_sym_STAR] = ACTIONS(4352),
    [anon_sym_CARET] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(4352),
    [anon_sym___extension__] = ACTIONS(5304),
    [anon_sym_LBRACK] = ACTIONS(2924),
    [anon_sym_const] = ACTIONS(203),
    [anon_sym___imag] = ACTIONS(5306),
    [anon_sym___real] = ACTIONS(5306),
    [anon_sym_struct] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_DASH_DASH] = ACTIONS(4364),
    [anon_sym_PLUS_PLUS] = ACTIONS(4364),
    [anon_sym_sizeof] = ACTIONS(4366),
    [anon_sym___alignof__] = ACTIONS(97),
    [anon_sym___alignof] = ACTIONS(97),
    [anon_sym__alignof] = ACTIONS(97),
    [anon_sym_alignof] = ACTIONS(97),
    [anon_sym__Alignof] = ACTIONS(97),
    [anon_sym_offsetof] = ACTIONS(99),
    [anon_sym__Generic] = ACTIONS(101),
    [anon_sym_asm] = ACTIONS(103),
    [anon_sym___asm__] = ACTIONS(103),
    [anon_sym___asm] = ACTIONS(103),
    [sym_number_literal] = ACTIONS(215),
    [anon_sym_L_SQUOTE] = ACTIONS(107),
    [anon_sym_u_SQUOTE] = ACTIONS(107),
    [anon_sym_U_SQUOTE] = ACTIONS(107),
    [anon_sym_u8_SQUOTE] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(107),
    [anon_sym_AT] = ACTIONS(4368),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(219),
    [sym_false] = ACTIONS(219),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATselector] = ACTIONS(4370),
    [anon_sym_ATavailable] = ACTIONS(139),
    [anon_sym___builtin_available] = ACTIONS(141),
    [anon_sym_va_arg] = ACTIONS(143),
    [anon_sym_ATencode] = ACTIONS(145),
    [anon_sym_id] = ACTIONS(203),
  },
  [3757] = {
    [sym_attribute_specifier] = STATE(3781),
    [sym_attribute_declaration] = STATE(3781),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_property_attributes_declaration] = STATE(3765),
    [sym_struct_declaration] = STATE(2330),
    [sym_atomic_declaration] = STATE(2330),
    [sym_specifier_qualifier] = STATE(3341),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_struct_declaration_repeat1] = STATE(3341),
    [sym_identifier] = ACTIONS(8171),
    [anon_sym_LPAREN2] = ACTIONS(8685),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_LBRACK] = ACTIONS(8177),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(8687),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3758] = {
    [sym_attribute_specifier] = STATE(3783),
    [sym_attribute_declaration] = STATE(3783),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_property_attributes_declaration] = STATE(3766),
    [sym_struct_declaration] = STATE(2419),
    [sym_atomic_declaration] = STATE(2419),
    [sym_specifier_qualifier] = STATE(3333),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_struct_declaration_repeat1] = STATE(3333),
    [sym_identifier] = ACTIONS(8171),
    [anon_sym_LPAREN2] = ACTIONS(8685),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_LBRACK] = ACTIONS(8177),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(8689),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3759] = {
    [sym_attribute_specifier] = STATE(3788),
    [sym_attribute_declaration] = STATE(3788),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_property_attributes_declaration] = STATE(3763),
    [sym_struct_declaration] = STATE(2328),
    [sym_atomic_declaration] = STATE(2328),
    [sym_specifier_qualifier] = STATE(3340),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_struct_declaration_repeat1] = STATE(3340),
    [sym_identifier] = ACTIONS(8171),
    [anon_sym_LPAREN2] = ACTIONS(8685),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_LBRACK] = ACTIONS(8177),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(8691),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3760] = {
    [sym_attribute_specifier] = STATE(3786),
    [sym_attribute_declaration] = STATE(3786),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_property_attributes_declaration] = STATE(3764),
    [sym_struct_declaration] = STATE(2424),
    [sym_atomic_declaration] = STATE(2424),
    [sym_specifier_qualifier] = STATE(3333),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_struct_declaration_repeat1] = STATE(3333),
    [sym_identifier] = ACTIONS(8171),
    [anon_sym_LPAREN2] = ACTIONS(8685),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_LBRACK] = ACTIONS(8177),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(8689),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3761] = {
    [sym_attribute_specifier] = STATE(3785),
    [sym_attribute_declaration] = STATE(3785),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_property_attributes_declaration] = STATE(3767),
    [sym_struct_declaration] = STATE(2313),
    [sym_atomic_declaration] = STATE(2313),
    [sym_specifier_qualifier] = STATE(3340),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_struct_declaration_repeat1] = STATE(3340),
    [sym_identifier] = ACTIONS(8171),
    [anon_sym_LPAREN2] = ACTIONS(8685),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_LBRACK] = ACTIONS(8177),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(8691),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3762] = {
    [sym_attribute_specifier] = STATE(3787),
    [sym_attribute_declaration] = STATE(3787),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_property_attributes_declaration] = STATE(3768),
    [sym_struct_declaration] = STATE(2333),
    [sym_atomic_declaration] = STATE(2333),
    [sym_specifier_qualifier] = STATE(3341),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_struct_declaration_repeat1] = STATE(3341),
    [sym_identifier] = ACTIONS(8171),
    [anon_sym_LPAREN2] = ACTIONS(8685),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_LBRACK] = ACTIONS(8177),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(8687),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3763] = {
    [sym_attribute_specifier] = STATE(3785),
    [sym_attribute_declaration] = STATE(3785),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_struct_declaration] = STATE(2313),
    [sym_atomic_declaration] = STATE(2313),
    [sym_specifier_qualifier] = STATE(3340),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_struct_declaration_repeat1] = STATE(3340),
    [sym_identifier] = ACTIONS(8171),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_LBRACK] = ACTIONS(8177),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(8691),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3764] = {
    [sym_attribute_specifier] = STATE(3775),
    [sym_attribute_declaration] = STATE(3775),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_struct_declaration] = STATE(2429),
    [sym_atomic_declaration] = STATE(2429),
    [sym_specifier_qualifier] = STATE(3333),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_struct_declaration_repeat1] = STATE(3333),
    [sym_identifier] = ACTIONS(8171),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_LBRACK] = ACTIONS(8177),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(8689),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3765] = {
    [sym_attribute_specifier] = STATE(3787),
    [sym_attribute_declaration] = STATE(3787),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_struct_declaration] = STATE(2333),
    [sym_atomic_declaration] = STATE(2333),
    [sym_specifier_qualifier] = STATE(3341),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_struct_declaration_repeat1] = STATE(3341),
    [sym_identifier] = ACTIONS(8171),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_LBRACK] = ACTIONS(8177),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(8687),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3766] = {
    [sym_attribute_specifier] = STATE(3786),
    [sym_attribute_declaration] = STATE(3786),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_struct_declaration] = STATE(2424),
    [sym_atomic_declaration] = STATE(2424),
    [sym_specifier_qualifier] = STATE(3333),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_struct_declaration_repeat1] = STATE(3333),
    [sym_identifier] = ACTIONS(8171),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_LBRACK] = ACTIONS(8177),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(8689),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3767] = {
    [sym_attribute_specifier] = STATE(3784),
    [sym_attribute_declaration] = STATE(3784),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_struct_declaration] = STATE(2346),
    [sym_atomic_declaration] = STATE(2346),
    [sym_specifier_qualifier] = STATE(3340),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_struct_declaration_repeat1] = STATE(3340),
    [sym_identifier] = ACTIONS(8171),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_LBRACK] = ACTIONS(8177),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(8691),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3768] = {
    [sym_attribute_specifier] = STATE(3778),
    [sym_attribute_declaration] = STATE(3778),
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_struct_declaration] = STATE(2352),
    [sym_atomic_declaration] = STATE(2352),
    [sym_specifier_qualifier] = STATE(3341),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_struct_declaration_repeat1] = STATE(3341),
    [sym_identifier] = ACTIONS(8171),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_LBRACK] = ACTIONS(8177),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(8687),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3769] = {
    [sym_identifier] = ACTIONS(2922),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4138),
    [anon_sym_COMMA] = ACTIONS(4138),
    [anon_sym_RPAREN] = ACTIONS(4138),
    [anon_sym_LPAREN2] = ACTIONS(4138),
    [anon_sym_DASH] = ACTIONS(4136),
    [anon_sym_PLUS] = ACTIONS(4136),
    [anon_sym_STAR] = ACTIONS(4138),
    [anon_sym_SLASH] = ACTIONS(4136),
    [anon_sym_PERCENT] = ACTIONS(4138),
    [anon_sym_PIPE_PIPE] = ACTIONS(4138),
    [anon_sym_AMP_AMP] = ACTIONS(4138),
    [anon_sym_PIPE] = ACTIONS(4136),
    [anon_sym_CARET] = ACTIONS(4138),
    [anon_sym_AMP] = ACTIONS(4136),
    [anon_sym_EQ_EQ] = ACTIONS(4138),
    [anon_sym_BANG_EQ] = ACTIONS(4138),
    [anon_sym_GT] = ACTIONS(4136),
    [anon_sym_GT_EQ] = ACTIONS(4138),
    [anon_sym_LT_EQ] = ACTIONS(4138),
    [anon_sym_LT] = ACTIONS(4136),
    [anon_sym_LT_LT] = ACTIONS(4138),
    [anon_sym_GT_GT] = ACTIONS(4138),
    [anon_sym___extension__] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(4138),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(2922),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2922),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2922),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(2922),
    [anon_sym_union] = ACTIONS(2922),
    [anon_sym_QMARK] = ACTIONS(4138),
    [anon_sym_DASH_DASH] = ACTIONS(4138),
    [anon_sym_PLUS_PLUS] = ACTIONS(4138),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_DASH_GT] = ACTIONS(4138),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(2922),
  },
  [3770] = {
    [sym_identifier] = ACTIONS(2766),
    [anon_sym_COMMA] = ACTIONS(2768),
    [anon_sym_RPAREN] = ACTIONS(2768),
    [aux_sym_preproc_if_token1] = ACTIONS(2766),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2768),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2768),
    [anon_sym_LPAREN2] = ACTIONS(2768),
    [anon_sym_STAR] = ACTIONS(2768),
    [anon_sym_CARET] = ACTIONS(2768),
    [anon_sym_GT] = ACTIONS(2768),
    [anon_sym_LT] = ACTIONS(2768),
    [anon_sym___extension__] = ACTIONS(2766),
    [anon_sym___attribute__] = ACTIONS(2766),
    [anon_sym___attribute] = ACTIONS(2766),
    [anon_sym_noreturn] = ACTIONS(2766),
    [anon_sym_LBRACK] = ACTIONS(2768),
    [anon_sym___based] = ACTIONS(2766),
    [anon_sym_LBRACE] = ACTIONS(2768),
    [anon_sym_signed] = ACTIONS(2766),
    [anon_sym_unsigned] = ACTIONS(2766),
    [anon_sym_long] = ACTIONS(2766),
    [anon_sym_short] = ACTIONS(2766),
    [anon_sym_ATautoreleasepool] = ACTIONS(2768),
    [anon_sym_const] = ACTIONS(2766),
    [anon_sym_constexpr] = ACTIONS(2766),
    [anon_sym_volatile] = ACTIONS(2766),
    [anon_sym_restrict] = ACTIONS(2766),
    [anon_sym___restrict__] = ACTIONS(2766),
    [anon_sym__Atomic] = ACTIONS(2766),
    [anon_sym__Noreturn] = ACTIONS(2766),
    [anon_sym__Nonnull] = ACTIONS(2766),
    [anon_sym_nullable] = ACTIONS(2766),
    [anon_sym__Complex] = ACTIONS(2766),
    [anon_sym__Nullable] = ACTIONS(2766),
    [anon_sym__Nullable_result] = ACTIONS(2766),
    [anon_sym__Null_unspecified] = ACTIONS(2766),
    [anon_sym___autoreleasing] = ACTIONS(2766),
    [anon_sym___block] = ACTIONS(2766),
    [anon_sym___bridge] = ACTIONS(2766),
    [anon_sym___bridge_retained] = ACTIONS(2766),
    [anon_sym___bridge_transfer] = ACTIONS(2766),
    [anon_sym___complex] = ACTIONS(2766),
    [anon_sym___const] = ACTIONS(2766),
    [anon_sym___imag] = ACTIONS(2766),
    [anon_sym___kindof] = ACTIONS(2766),
    [anon_sym___nonnull] = ACTIONS(2766),
    [anon_sym___nullable] = ACTIONS(2766),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2766),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2766),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2766),
    [anon_sym___real] = ACTIONS(2766),
    [anon_sym___strong] = ACTIONS(2766),
    [anon_sym___unsafe_unretained] = ACTIONS(2766),
    [anon_sym___unused] = ACTIONS(2766),
    [anon_sym___weak] = ACTIONS(2766),
    [anon_sym_alignas] = ACTIONS(2766),
    [anon_sym__Alignas] = ACTIONS(2766),
    [sym_primitive_type] = ACTIONS(2766),
    [anon_sym_enum] = ACTIONS(2766),
    [anon_sym_COLON] = ACTIONS(2768),
    [anon_sym_struct] = ACTIONS(2766),
    [anon_sym_union] = ACTIONS(2766),
    [anon_sym_in] = ACTIONS(2766),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2766),
    [anon_sym___typeof] = ACTIONS(2766),
    [anon_sym_typeof] = ACTIONS(2766),
    [anon_sym_ATprivate] = ACTIONS(2768),
    [anon_sym_ATprotected] = ACTIONS(2768),
    [anon_sym_ATpackage] = ACTIONS(2768),
    [anon_sym_ATpublic] = ACTIONS(2768),
    [anon_sym_BOOL] = ACTIONS(2766),
    [anon_sym_IMP] = ACTIONS(2766),
    [anon_sym_SEL] = ACTIONS(2766),
    [anon_sym_Class] = ACTIONS(2766),
    [anon_sym_id] = ACTIONS(2766),
    [anon_sym_out] = ACTIONS(2766),
    [anon_sym_inout] = ACTIONS(2766),
    [anon_sym_bycopy] = ACTIONS(2766),
    [anon_sym_byref] = ACTIONS(2766),
    [anon_sym_oneway] = ACTIONS(2766),
  },
  [3771] = {
    [sym_identifier] = ACTIONS(2860),
    [anon_sym_COMMA] = ACTIONS(2862),
    [anon_sym_RPAREN] = ACTIONS(2862),
    [aux_sym_preproc_if_token1] = ACTIONS(2860),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2862),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2862),
    [anon_sym_LPAREN2] = ACTIONS(2862),
    [anon_sym_STAR] = ACTIONS(2862),
    [anon_sym_CARET] = ACTIONS(2862),
    [anon_sym_GT] = ACTIONS(2862),
    [anon_sym_LT] = ACTIONS(2862),
    [anon_sym___extension__] = ACTIONS(2860),
    [anon_sym___attribute__] = ACTIONS(2860),
    [anon_sym___attribute] = ACTIONS(2860),
    [anon_sym_noreturn] = ACTIONS(2860),
    [anon_sym_LBRACK] = ACTIONS(2862),
    [anon_sym___based] = ACTIONS(2860),
    [anon_sym_LBRACE] = ACTIONS(2862),
    [anon_sym_signed] = ACTIONS(2860),
    [anon_sym_unsigned] = ACTIONS(2860),
    [anon_sym_long] = ACTIONS(2860),
    [anon_sym_short] = ACTIONS(2860),
    [anon_sym_ATautoreleasepool] = ACTIONS(2862),
    [anon_sym_const] = ACTIONS(2860),
    [anon_sym_constexpr] = ACTIONS(2860),
    [anon_sym_volatile] = ACTIONS(2860),
    [anon_sym_restrict] = ACTIONS(2860),
    [anon_sym___restrict__] = ACTIONS(2860),
    [anon_sym__Atomic] = ACTIONS(2860),
    [anon_sym__Noreturn] = ACTIONS(2860),
    [anon_sym__Nonnull] = ACTIONS(2860),
    [anon_sym_nullable] = ACTIONS(2860),
    [anon_sym__Complex] = ACTIONS(2860),
    [anon_sym__Nullable] = ACTIONS(2860),
    [anon_sym__Nullable_result] = ACTIONS(2860),
    [anon_sym__Null_unspecified] = ACTIONS(2860),
    [anon_sym___autoreleasing] = ACTIONS(2860),
    [anon_sym___block] = ACTIONS(2860),
    [anon_sym___bridge] = ACTIONS(2860),
    [anon_sym___bridge_retained] = ACTIONS(2860),
    [anon_sym___bridge_transfer] = ACTIONS(2860),
    [anon_sym___complex] = ACTIONS(2860),
    [anon_sym___const] = ACTIONS(2860),
    [anon_sym___imag] = ACTIONS(2860),
    [anon_sym___kindof] = ACTIONS(2860),
    [anon_sym___nonnull] = ACTIONS(2860),
    [anon_sym___nullable] = ACTIONS(2860),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2860),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2860),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2860),
    [anon_sym___real] = ACTIONS(2860),
    [anon_sym___strong] = ACTIONS(2860),
    [anon_sym___unsafe_unretained] = ACTIONS(2860),
    [anon_sym___unused] = ACTIONS(2860),
    [anon_sym___weak] = ACTIONS(2860),
    [anon_sym_alignas] = ACTIONS(2860),
    [anon_sym__Alignas] = ACTIONS(2860),
    [sym_primitive_type] = ACTIONS(2860),
    [anon_sym_enum] = ACTIONS(2860),
    [anon_sym_COLON] = ACTIONS(2862),
    [anon_sym_struct] = ACTIONS(2860),
    [anon_sym_union] = ACTIONS(2860),
    [anon_sym_in] = ACTIONS(2860),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2860),
    [anon_sym___typeof] = ACTIONS(2860),
    [anon_sym_typeof] = ACTIONS(2860),
    [anon_sym_ATprivate] = ACTIONS(2862),
    [anon_sym_ATprotected] = ACTIONS(2862),
    [anon_sym_ATpackage] = ACTIONS(2862),
    [anon_sym_ATpublic] = ACTIONS(2862),
    [anon_sym_BOOL] = ACTIONS(2860),
    [anon_sym_IMP] = ACTIONS(2860),
    [anon_sym_SEL] = ACTIONS(2860),
    [anon_sym_Class] = ACTIONS(2860),
    [anon_sym_id] = ACTIONS(2860),
    [anon_sym_out] = ACTIONS(2860),
    [anon_sym_inout] = ACTIONS(2860),
    [anon_sym_bycopy] = ACTIONS(2860),
    [anon_sym_byref] = ACTIONS(2860),
    [anon_sym_oneway] = ACTIONS(2860),
  },
  [3772] = {
    [sym_identifier] = ACTIONS(2730),
    [anon_sym_COMMA] = ACTIONS(2732),
    [anon_sym_RPAREN] = ACTIONS(2732),
    [aux_sym_preproc_if_token1] = ACTIONS(2730),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2732),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2732),
    [anon_sym_LPAREN2] = ACTIONS(2732),
    [anon_sym_STAR] = ACTIONS(2732),
    [anon_sym_CARET] = ACTIONS(2732),
    [anon_sym_GT] = ACTIONS(2732),
    [anon_sym_LT] = ACTIONS(2732),
    [anon_sym___extension__] = ACTIONS(2730),
    [anon_sym___attribute__] = ACTIONS(2730),
    [anon_sym___attribute] = ACTIONS(2730),
    [anon_sym_noreturn] = ACTIONS(2730),
    [anon_sym_LBRACK] = ACTIONS(2732),
    [anon_sym___based] = ACTIONS(2730),
    [anon_sym_LBRACE] = ACTIONS(2732),
    [anon_sym_signed] = ACTIONS(2730),
    [anon_sym_unsigned] = ACTIONS(2730),
    [anon_sym_long] = ACTIONS(2730),
    [anon_sym_short] = ACTIONS(2730),
    [anon_sym_ATautoreleasepool] = ACTIONS(2732),
    [anon_sym_const] = ACTIONS(2730),
    [anon_sym_constexpr] = ACTIONS(2730),
    [anon_sym_volatile] = ACTIONS(2730),
    [anon_sym_restrict] = ACTIONS(2730),
    [anon_sym___restrict__] = ACTIONS(2730),
    [anon_sym__Atomic] = ACTIONS(2730),
    [anon_sym__Noreturn] = ACTIONS(2730),
    [anon_sym__Nonnull] = ACTIONS(2730),
    [anon_sym_nullable] = ACTIONS(2730),
    [anon_sym__Complex] = ACTIONS(2730),
    [anon_sym__Nullable] = ACTIONS(2730),
    [anon_sym__Nullable_result] = ACTIONS(2730),
    [anon_sym__Null_unspecified] = ACTIONS(2730),
    [anon_sym___autoreleasing] = ACTIONS(2730),
    [anon_sym___block] = ACTIONS(2730),
    [anon_sym___bridge] = ACTIONS(2730),
    [anon_sym___bridge_retained] = ACTIONS(2730),
    [anon_sym___bridge_transfer] = ACTIONS(2730),
    [anon_sym___complex] = ACTIONS(2730),
    [anon_sym___const] = ACTIONS(2730),
    [anon_sym___imag] = ACTIONS(2730),
    [anon_sym___kindof] = ACTIONS(2730),
    [anon_sym___nonnull] = ACTIONS(2730),
    [anon_sym___nullable] = ACTIONS(2730),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2730),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2730),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2730),
    [anon_sym___real] = ACTIONS(2730),
    [anon_sym___strong] = ACTIONS(2730),
    [anon_sym___unsafe_unretained] = ACTIONS(2730),
    [anon_sym___unused] = ACTIONS(2730),
    [anon_sym___weak] = ACTIONS(2730),
    [anon_sym_alignas] = ACTIONS(2730),
    [anon_sym__Alignas] = ACTIONS(2730),
    [sym_primitive_type] = ACTIONS(2730),
    [anon_sym_enum] = ACTIONS(2730),
    [anon_sym_COLON] = ACTIONS(2732),
    [anon_sym_struct] = ACTIONS(2730),
    [anon_sym_union] = ACTIONS(2730),
    [anon_sym_in] = ACTIONS(2730),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2730),
    [anon_sym___typeof] = ACTIONS(2730),
    [anon_sym_typeof] = ACTIONS(2730),
    [anon_sym_ATprivate] = ACTIONS(2732),
    [anon_sym_ATprotected] = ACTIONS(2732),
    [anon_sym_ATpackage] = ACTIONS(2732),
    [anon_sym_ATpublic] = ACTIONS(2732),
    [anon_sym_BOOL] = ACTIONS(2730),
    [anon_sym_IMP] = ACTIONS(2730),
    [anon_sym_SEL] = ACTIONS(2730),
    [anon_sym_Class] = ACTIONS(2730),
    [anon_sym_id] = ACTIONS(2730),
    [anon_sym_out] = ACTIONS(2730),
    [anon_sym_inout] = ACTIONS(2730),
    [anon_sym_bycopy] = ACTIONS(2730),
    [anon_sym_byref] = ACTIONS(2730),
    [anon_sym_oneway] = ACTIONS(2730),
  },
  [3773] = {
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_specifier_qualifier] = STATE(3773),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_struct_declaration_repeat1] = STATE(3773),
    [sym_identifier] = ACTIONS(8693),
    [anon_sym_LPAREN2] = ACTIONS(8696),
    [anon_sym_STAR] = ACTIONS(8696),
    [anon_sym_CARET] = ACTIONS(8696),
    [anon_sym___extension__] = ACTIONS(8698),
    [anon_sym_noreturn] = ACTIONS(8698),
    [anon_sym___based] = ACTIONS(8701),
    [anon_sym_signed] = ACTIONS(8703),
    [anon_sym_unsigned] = ACTIONS(8703),
    [anon_sym_long] = ACTIONS(8703),
    [anon_sym_short] = ACTIONS(8703),
    [anon_sym_const] = ACTIONS(8698),
    [anon_sym_constexpr] = ACTIONS(8698),
    [anon_sym_volatile] = ACTIONS(8698),
    [anon_sym_restrict] = ACTIONS(8698),
    [anon_sym___restrict__] = ACTIONS(8698),
    [anon_sym__Atomic] = ACTIONS(8698),
    [anon_sym__Noreturn] = ACTIONS(8698),
    [anon_sym__Nonnull] = ACTIONS(8698),
    [anon_sym_nullable] = ACTIONS(8698),
    [anon_sym__Complex] = ACTIONS(8698),
    [anon_sym__Nullable] = ACTIONS(8698),
    [anon_sym__Nullable_result] = ACTIONS(8698),
    [anon_sym__Null_unspecified] = ACTIONS(8698),
    [anon_sym___autoreleasing] = ACTIONS(8698),
    [anon_sym___block] = ACTIONS(8698),
    [anon_sym___bridge] = ACTIONS(8698),
    [anon_sym___bridge_retained] = ACTIONS(8698),
    [anon_sym___bridge_transfer] = ACTIONS(8698),
    [anon_sym___complex] = ACTIONS(8698),
    [anon_sym___const] = ACTIONS(8698),
    [anon_sym___imag] = ACTIONS(8698),
    [anon_sym___kindof] = ACTIONS(8698),
    [anon_sym___nonnull] = ACTIONS(8698),
    [anon_sym___nullable] = ACTIONS(8698),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8698),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8698),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8698),
    [anon_sym___real] = ACTIONS(8698),
    [anon_sym___strong] = ACTIONS(8698),
    [anon_sym___unsafe_unretained] = ACTIONS(8698),
    [anon_sym___unused] = ACTIONS(8698),
    [anon_sym___weak] = ACTIONS(8698),
    [anon_sym_alignas] = ACTIONS(8706),
    [anon_sym__Alignas] = ACTIONS(8706),
    [sym_primitive_type] = ACTIONS(8709),
    [anon_sym_enum] = ACTIONS(8712),
    [anon_sym_COLON] = ACTIONS(8696),
    [anon_sym_struct] = ACTIONS(8715),
    [anon_sym_union] = ACTIONS(8718),
    [anon_sym_in] = ACTIONS(8721),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(8724),
    [anon_sym___typeof] = ACTIONS(8724),
    [anon_sym_typeof] = ACTIONS(8724),
    [anon_sym_BOOL] = ACTIONS(8727),
    [anon_sym_IMP] = ACTIONS(8727),
    [anon_sym_SEL] = ACTIONS(8727),
    [anon_sym_Class] = ACTIONS(8727),
    [anon_sym_id] = ACTIONS(8727),
    [anon_sym_out] = ACTIONS(8721),
    [anon_sym_inout] = ACTIONS(8721),
    [anon_sym_bycopy] = ACTIONS(8721),
    [anon_sym_byref] = ACTIONS(8721),
    [anon_sym_oneway] = ACTIONS(8721),
  },
  [3774] = {
    [sym_attribute_specifier] = STATE(3831),
    [sym_gnu_asm_expression] = STATE(3830),
    [aux_sym_function_declarator_repeat1] = STATE(3831),
    [sym_identifier] = ACTIONS(6481),
    [anon_sym_COMMA] = ACTIONS(6483),
    [anon_sym_RPAREN] = ACTIONS(6483),
    [anon_sym_LPAREN2] = ACTIONS(6483),
    [anon_sym_STAR] = ACTIONS(6483),
    [anon_sym_CARET] = ACTIONS(6483),
    [anon_sym_GT] = ACTIONS(6483),
    [anon_sym_LT] = ACTIONS(6483),
    [anon_sym___extension__] = ACTIONS(6481),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(6481),
    [anon_sym_LBRACK] = ACTIONS(6483),
    [anon_sym___based] = ACTIONS(6481),
    [anon_sym_LBRACE] = ACTIONS(6483),
    [anon_sym_signed] = ACTIONS(6481),
    [anon_sym_unsigned] = ACTIONS(6481),
    [anon_sym_long] = ACTIONS(6481),
    [anon_sym_short] = ACTIONS(6481),
    [anon_sym_ATautoreleasepool] = ACTIONS(6483),
    [anon_sym_const] = ACTIONS(6481),
    [anon_sym_constexpr] = ACTIONS(6481),
    [anon_sym_volatile] = ACTIONS(6481),
    [anon_sym_restrict] = ACTIONS(6481),
    [anon_sym___restrict__] = ACTIONS(6481),
    [anon_sym__Atomic] = ACTIONS(6481),
    [anon_sym__Noreturn] = ACTIONS(6481),
    [anon_sym__Nonnull] = ACTIONS(6481),
    [anon_sym_nullable] = ACTIONS(6481),
    [anon_sym__Complex] = ACTIONS(6481),
    [anon_sym__Nullable] = ACTIONS(6481),
    [anon_sym__Nullable_result] = ACTIONS(6481),
    [anon_sym__Null_unspecified] = ACTIONS(6481),
    [anon_sym___autoreleasing] = ACTIONS(6481),
    [anon_sym___block] = ACTIONS(6481),
    [anon_sym___bridge] = ACTIONS(6481),
    [anon_sym___bridge_retained] = ACTIONS(6481),
    [anon_sym___bridge_transfer] = ACTIONS(6481),
    [anon_sym___complex] = ACTIONS(6481),
    [anon_sym___const] = ACTIONS(6481),
    [anon_sym___imag] = ACTIONS(6481),
    [anon_sym___kindof] = ACTIONS(6481),
    [anon_sym___nonnull] = ACTIONS(6481),
    [anon_sym___nullable] = ACTIONS(6481),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6481),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6481),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6481),
    [anon_sym___real] = ACTIONS(6481),
    [anon_sym___strong] = ACTIONS(6481),
    [anon_sym___unsafe_unretained] = ACTIONS(6481),
    [anon_sym___unused] = ACTIONS(6481),
    [anon_sym___weak] = ACTIONS(6481),
    [anon_sym_alignas] = ACTIONS(6481),
    [anon_sym__Alignas] = ACTIONS(6481),
    [sym_primitive_type] = ACTIONS(6481),
    [anon_sym_enum] = ACTIONS(6481),
    [anon_sym_struct] = ACTIONS(6481),
    [anon_sym_union] = ACTIONS(6481),
    [anon_sym_in] = ACTIONS(6481),
    [anon_sym_asm] = ACTIONS(8730),
    [anon_sym___asm__] = ACTIONS(8730),
    [anon_sym___asm] = ACTIONS(8730),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6481),
    [anon_sym___typeof] = ACTIONS(6481),
    [anon_sym_typeof] = ACTIONS(6481),
    [anon_sym_BOOL] = ACTIONS(6481),
    [anon_sym_IMP] = ACTIONS(6481),
    [anon_sym_SEL] = ACTIONS(6481),
    [anon_sym_Class] = ACTIONS(6481),
    [anon_sym_id] = ACTIONS(6481),
    [anon_sym_out] = ACTIONS(6481),
    [anon_sym_inout] = ACTIONS(6481),
    [anon_sym_bycopy] = ACTIONS(6481),
    [anon_sym_byref] = ACTIONS(6481),
    [anon_sym_oneway] = ACTIONS(6481),
  },
  [3775] = {
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_struct_declaration] = STATE(2423),
    [sym_atomic_declaration] = STATE(2423),
    [sym_specifier_qualifier] = STATE(3333),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_struct_declaration_repeat1] = STATE(3333),
    [sym_identifier] = ACTIONS(8171),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(8689),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3776] = {
    [sym_identifier] = ACTIONS(6643),
    [anon_sym_COMMA] = ACTIONS(6645),
    [anon_sym_RPAREN] = ACTIONS(6645),
    [anon_sym_LPAREN2] = ACTIONS(6645),
    [anon_sym_STAR] = ACTIONS(6645),
    [anon_sym_CARET] = ACTIONS(6645),
    [anon_sym_GT] = ACTIONS(6645),
    [anon_sym_LT] = ACTIONS(6645),
    [anon_sym_SEMI] = ACTIONS(6645),
    [anon_sym___extension__] = ACTIONS(6643),
    [anon_sym___attribute__] = ACTIONS(6643),
    [anon_sym___attribute] = ACTIONS(6643),
    [anon_sym_noreturn] = ACTIONS(6643),
    [anon_sym_LBRACK] = ACTIONS(6645),
    [anon_sym___based] = ACTIONS(6643),
    [anon_sym_LBRACE] = ACTIONS(6645),
    [anon_sym_signed] = ACTIONS(6643),
    [anon_sym_unsigned] = ACTIONS(6643),
    [anon_sym_long] = ACTIONS(6643),
    [anon_sym_short] = ACTIONS(6643),
    [anon_sym_ATautoreleasepool] = ACTIONS(6645),
    [anon_sym_const] = ACTIONS(6643),
    [anon_sym_constexpr] = ACTIONS(6643),
    [anon_sym_volatile] = ACTIONS(6643),
    [anon_sym_restrict] = ACTIONS(6643),
    [anon_sym___restrict__] = ACTIONS(6643),
    [anon_sym__Atomic] = ACTIONS(6643),
    [anon_sym__Noreturn] = ACTIONS(6643),
    [anon_sym__Nonnull] = ACTIONS(6643),
    [anon_sym_nullable] = ACTIONS(6643),
    [anon_sym__Complex] = ACTIONS(6643),
    [anon_sym__Nullable] = ACTIONS(6643),
    [anon_sym__Nullable_result] = ACTIONS(6643),
    [anon_sym__Null_unspecified] = ACTIONS(6643),
    [anon_sym___autoreleasing] = ACTIONS(6643),
    [anon_sym___block] = ACTIONS(6643),
    [anon_sym___bridge] = ACTIONS(6643),
    [anon_sym___bridge_retained] = ACTIONS(6643),
    [anon_sym___bridge_transfer] = ACTIONS(6643),
    [anon_sym___complex] = ACTIONS(6643),
    [anon_sym___const] = ACTIONS(6643),
    [anon_sym___imag] = ACTIONS(6643),
    [anon_sym___kindof] = ACTIONS(6643),
    [anon_sym___nonnull] = ACTIONS(6643),
    [anon_sym___nullable] = ACTIONS(6643),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6643),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6643),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6643),
    [anon_sym___real] = ACTIONS(6643),
    [anon_sym___strong] = ACTIONS(6643),
    [anon_sym___unsafe_unretained] = ACTIONS(6643),
    [anon_sym___unused] = ACTIONS(6643),
    [anon_sym___weak] = ACTIONS(6643),
    [anon_sym_alignas] = ACTIONS(6643),
    [anon_sym__Alignas] = ACTIONS(6643),
    [sym_primitive_type] = ACTIONS(6643),
    [anon_sym_enum] = ACTIONS(6643),
    [anon_sym_COLON] = ACTIONS(6645),
    [anon_sym_struct] = ACTIONS(6643),
    [anon_sym_union] = ACTIONS(6643),
    [anon_sym_in] = ACTIONS(6643),
    [anon_sym_asm] = ACTIONS(6643),
    [anon_sym___asm__] = ACTIONS(6643),
    [anon_sym___asm] = ACTIONS(6643),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6643),
    [anon_sym___typeof] = ACTIONS(6643),
    [anon_sym_typeof] = ACTIONS(6643),
    [anon_sym_BOOL] = ACTIONS(6643),
    [anon_sym_IMP] = ACTIONS(6643),
    [anon_sym_SEL] = ACTIONS(6643),
    [anon_sym_Class] = ACTIONS(6643),
    [anon_sym_id] = ACTIONS(6643),
    [anon_sym_out] = ACTIONS(6643),
    [anon_sym_inout] = ACTIONS(6643),
    [anon_sym_bycopy] = ACTIONS(6643),
    [anon_sym_byref] = ACTIONS(6643),
    [anon_sym_oneway] = ACTIONS(6643),
  },
  [3777] = {
    [sym_identifier] = ACTIONS(6661),
    [anon_sym_COMMA] = ACTIONS(6653),
    [anon_sym_RPAREN] = ACTIONS(6653),
    [anon_sym_LPAREN2] = ACTIONS(6653),
    [anon_sym_STAR] = ACTIONS(6653),
    [anon_sym_CARET] = ACTIONS(6653),
    [anon_sym_GT] = ACTIONS(6653),
    [anon_sym_LT] = ACTIONS(6653),
    [anon_sym_SEMI] = ACTIONS(6653),
    [anon_sym___extension__] = ACTIONS(6661),
    [anon_sym___attribute__] = ACTIONS(6661),
    [anon_sym___attribute] = ACTIONS(6661),
    [anon_sym_noreturn] = ACTIONS(6661),
    [anon_sym_LBRACK] = ACTIONS(6653),
    [anon_sym___based] = ACTIONS(6661),
    [anon_sym_LBRACE] = ACTIONS(6653),
    [anon_sym_signed] = ACTIONS(6661),
    [anon_sym_unsigned] = ACTIONS(6661),
    [anon_sym_long] = ACTIONS(6661),
    [anon_sym_short] = ACTIONS(6661),
    [anon_sym_ATautoreleasepool] = ACTIONS(6653),
    [anon_sym_const] = ACTIONS(6661),
    [anon_sym_constexpr] = ACTIONS(6661),
    [anon_sym_volatile] = ACTIONS(6661),
    [anon_sym_restrict] = ACTIONS(6661),
    [anon_sym___restrict__] = ACTIONS(6661),
    [anon_sym__Atomic] = ACTIONS(6661),
    [anon_sym__Noreturn] = ACTIONS(6661),
    [anon_sym__Nonnull] = ACTIONS(6661),
    [anon_sym_nullable] = ACTIONS(6661),
    [anon_sym__Complex] = ACTIONS(6661),
    [anon_sym__Nullable] = ACTIONS(6661),
    [anon_sym__Nullable_result] = ACTIONS(6661),
    [anon_sym__Null_unspecified] = ACTIONS(6661),
    [anon_sym___autoreleasing] = ACTIONS(6661),
    [anon_sym___block] = ACTIONS(6661),
    [anon_sym___bridge] = ACTIONS(6661),
    [anon_sym___bridge_retained] = ACTIONS(6661),
    [anon_sym___bridge_transfer] = ACTIONS(6661),
    [anon_sym___complex] = ACTIONS(6661),
    [anon_sym___const] = ACTIONS(6661),
    [anon_sym___imag] = ACTIONS(6661),
    [anon_sym___kindof] = ACTIONS(6661),
    [anon_sym___nonnull] = ACTIONS(6661),
    [anon_sym___nullable] = ACTIONS(6661),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6661),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6661),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6661),
    [anon_sym___real] = ACTIONS(6661),
    [anon_sym___strong] = ACTIONS(6661),
    [anon_sym___unsafe_unretained] = ACTIONS(6661),
    [anon_sym___unused] = ACTIONS(6661),
    [anon_sym___weak] = ACTIONS(6661),
    [anon_sym_alignas] = ACTIONS(6661),
    [anon_sym__Alignas] = ACTIONS(6661),
    [sym_primitive_type] = ACTIONS(6661),
    [anon_sym_enum] = ACTIONS(6661),
    [anon_sym_COLON] = ACTIONS(6653),
    [anon_sym_struct] = ACTIONS(6661),
    [anon_sym_union] = ACTIONS(6661),
    [anon_sym_in] = ACTIONS(6661),
    [anon_sym_asm] = ACTIONS(6661),
    [anon_sym___asm__] = ACTIONS(6661),
    [anon_sym___asm] = ACTIONS(6661),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6661),
    [anon_sym___typeof] = ACTIONS(6661),
    [anon_sym_typeof] = ACTIONS(6661),
    [anon_sym_BOOL] = ACTIONS(6661),
    [anon_sym_IMP] = ACTIONS(6661),
    [anon_sym_SEL] = ACTIONS(6661),
    [anon_sym_Class] = ACTIONS(6661),
    [anon_sym_id] = ACTIONS(6661),
    [anon_sym_out] = ACTIONS(6661),
    [anon_sym_inout] = ACTIONS(6661),
    [anon_sym_bycopy] = ACTIONS(6661),
    [anon_sym_byref] = ACTIONS(6661),
    [anon_sym_oneway] = ACTIONS(6661),
  },
  [3778] = {
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_struct_declaration] = STATE(2353),
    [sym_atomic_declaration] = STATE(2353),
    [sym_specifier_qualifier] = STATE(3341),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_struct_declaration_repeat1] = STATE(3341),
    [sym_identifier] = ACTIONS(8171),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(8687),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3779] = {
    [sym_identifier] = ACTIONS(6647),
    [anon_sym_COMMA] = ACTIONS(6649),
    [anon_sym_RPAREN] = ACTIONS(6649),
    [anon_sym_LPAREN2] = ACTIONS(6649),
    [anon_sym_STAR] = ACTIONS(6649),
    [anon_sym_CARET] = ACTIONS(6649),
    [anon_sym_GT] = ACTIONS(6649),
    [anon_sym_LT] = ACTIONS(6649),
    [anon_sym_SEMI] = ACTIONS(6649),
    [anon_sym___extension__] = ACTIONS(6647),
    [anon_sym___attribute__] = ACTIONS(6647),
    [anon_sym___attribute] = ACTIONS(6647),
    [anon_sym_noreturn] = ACTIONS(6647),
    [anon_sym_LBRACK] = ACTIONS(6649),
    [anon_sym___based] = ACTIONS(6647),
    [anon_sym_LBRACE] = ACTIONS(6649),
    [anon_sym_signed] = ACTIONS(6647),
    [anon_sym_unsigned] = ACTIONS(6647),
    [anon_sym_long] = ACTIONS(6647),
    [anon_sym_short] = ACTIONS(6647),
    [anon_sym_ATautoreleasepool] = ACTIONS(6649),
    [anon_sym_const] = ACTIONS(6647),
    [anon_sym_constexpr] = ACTIONS(6647),
    [anon_sym_volatile] = ACTIONS(6647),
    [anon_sym_restrict] = ACTIONS(6647),
    [anon_sym___restrict__] = ACTIONS(6647),
    [anon_sym__Atomic] = ACTIONS(6647),
    [anon_sym__Noreturn] = ACTIONS(6647),
    [anon_sym__Nonnull] = ACTIONS(6647),
    [anon_sym_nullable] = ACTIONS(6647),
    [anon_sym__Complex] = ACTIONS(6647),
    [anon_sym__Nullable] = ACTIONS(6647),
    [anon_sym__Nullable_result] = ACTIONS(6647),
    [anon_sym__Null_unspecified] = ACTIONS(6647),
    [anon_sym___autoreleasing] = ACTIONS(6647),
    [anon_sym___block] = ACTIONS(6647),
    [anon_sym___bridge] = ACTIONS(6647),
    [anon_sym___bridge_retained] = ACTIONS(6647),
    [anon_sym___bridge_transfer] = ACTIONS(6647),
    [anon_sym___complex] = ACTIONS(6647),
    [anon_sym___const] = ACTIONS(6647),
    [anon_sym___imag] = ACTIONS(6647),
    [anon_sym___kindof] = ACTIONS(6647),
    [anon_sym___nonnull] = ACTIONS(6647),
    [anon_sym___nullable] = ACTIONS(6647),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6647),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6647),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6647),
    [anon_sym___real] = ACTIONS(6647),
    [anon_sym___strong] = ACTIONS(6647),
    [anon_sym___unsafe_unretained] = ACTIONS(6647),
    [anon_sym___unused] = ACTIONS(6647),
    [anon_sym___weak] = ACTIONS(6647),
    [anon_sym_alignas] = ACTIONS(6647),
    [anon_sym__Alignas] = ACTIONS(6647),
    [sym_primitive_type] = ACTIONS(6647),
    [anon_sym_enum] = ACTIONS(6647),
    [anon_sym_COLON] = ACTIONS(6649),
    [anon_sym_struct] = ACTIONS(6647),
    [anon_sym_union] = ACTIONS(6647),
    [anon_sym_in] = ACTIONS(6647),
    [anon_sym_asm] = ACTIONS(6647),
    [anon_sym___asm__] = ACTIONS(6647),
    [anon_sym___asm] = ACTIONS(6647),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6647),
    [anon_sym___typeof] = ACTIONS(6647),
    [anon_sym_typeof] = ACTIONS(6647),
    [anon_sym_BOOL] = ACTIONS(6647),
    [anon_sym_IMP] = ACTIONS(6647),
    [anon_sym_SEL] = ACTIONS(6647),
    [anon_sym_Class] = ACTIONS(6647),
    [anon_sym_id] = ACTIONS(6647),
    [anon_sym_out] = ACTIONS(6647),
    [anon_sym_inout] = ACTIONS(6647),
    [anon_sym_bycopy] = ACTIONS(6647),
    [anon_sym_byref] = ACTIONS(6647),
    [anon_sym_oneway] = ACTIONS(6647),
  },
  [3780] = {
    [sym_type_qualifier] = STATE(3789),
    [sym_alignas_qualifier] = STATE(3984),
    [aux_sym__type_definition_type_repeat1] = STATE(3789),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3803),
    [sym_identifier] = ACTIONS(8732),
    [anon_sym_COMMA] = ACTIONS(6912),
    [anon_sym_RPAREN] = ACTIONS(6912),
    [anon_sym_LPAREN2] = ACTIONS(6912),
    [anon_sym_STAR] = ACTIONS(6912),
    [anon_sym_CARET] = ACTIONS(6912),
    [anon_sym_GT] = ACTIONS(6912),
    [anon_sym_LT] = ACTIONS(6912),
    [anon_sym___extension__] = ACTIONS(8735),
    [anon_sym___attribute__] = ACTIONS(6917),
    [anon_sym___attribute] = ACTIONS(6917),
    [anon_sym_noreturn] = ACTIONS(8735),
    [anon_sym_LBRACK] = ACTIONS(6912),
    [anon_sym___based] = ACTIONS(6917),
    [anon_sym_LBRACE] = ACTIONS(6912),
    [anon_sym_signed] = ACTIONS(8738),
    [anon_sym_unsigned] = ACTIONS(8738),
    [anon_sym_long] = ACTIONS(8738),
    [anon_sym_short] = ACTIONS(8738),
    [anon_sym_ATautoreleasepool] = ACTIONS(6912),
    [anon_sym_const] = ACTIONS(8735),
    [anon_sym_constexpr] = ACTIONS(8735),
    [anon_sym_volatile] = ACTIONS(8735),
    [anon_sym_restrict] = ACTIONS(8735),
    [anon_sym___restrict__] = ACTIONS(8735),
    [anon_sym__Atomic] = ACTIONS(8735),
    [anon_sym__Noreturn] = ACTIONS(8735),
    [anon_sym__Nonnull] = ACTIONS(8735),
    [anon_sym_nullable] = ACTIONS(8735),
    [anon_sym__Complex] = ACTIONS(8735),
    [anon_sym__Nullable] = ACTIONS(8735),
    [anon_sym__Nullable_result] = ACTIONS(8735),
    [anon_sym__Null_unspecified] = ACTIONS(8735),
    [anon_sym___autoreleasing] = ACTIONS(8735),
    [anon_sym___block] = ACTIONS(8735),
    [anon_sym___bridge] = ACTIONS(8735),
    [anon_sym___bridge_retained] = ACTIONS(8735),
    [anon_sym___bridge_transfer] = ACTIONS(8735),
    [anon_sym___complex] = ACTIONS(8735),
    [anon_sym___const] = ACTIONS(8735),
    [anon_sym___imag] = ACTIONS(8735),
    [anon_sym___kindof] = ACTIONS(8735),
    [anon_sym___nonnull] = ACTIONS(8735),
    [anon_sym___nullable] = ACTIONS(8735),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8735),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8735),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8735),
    [anon_sym___real] = ACTIONS(8735),
    [anon_sym___strong] = ACTIONS(8735),
    [anon_sym___unsafe_unretained] = ACTIONS(8735),
    [anon_sym___unused] = ACTIONS(8735),
    [anon_sym___weak] = ACTIONS(8735),
    [anon_sym_alignas] = ACTIONS(8741),
    [anon_sym__Alignas] = ACTIONS(8741),
    [sym_primitive_type] = ACTIONS(8744),
    [anon_sym_enum] = ACTIONS(6917),
    [anon_sym_COLON] = ACTIONS(6912),
    [anon_sym_struct] = ACTIONS(6917),
    [anon_sym_union] = ACTIONS(6917),
    [anon_sym_in] = ACTIONS(6917),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6917),
    [anon_sym___typeof] = ACTIONS(6917),
    [anon_sym_typeof] = ACTIONS(6917),
    [anon_sym_BOOL] = ACTIONS(6917),
    [anon_sym_IMP] = ACTIONS(6917),
    [anon_sym_SEL] = ACTIONS(6917),
    [anon_sym_Class] = ACTIONS(6917),
    [anon_sym_id] = ACTIONS(6917),
    [anon_sym_out] = ACTIONS(6917),
    [anon_sym_inout] = ACTIONS(6917),
    [anon_sym_bycopy] = ACTIONS(6917),
    [anon_sym_byref] = ACTIONS(6917),
    [anon_sym_oneway] = ACTIONS(6917),
  },
  [3781] = {
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_struct_declaration] = STATE(2333),
    [sym_atomic_declaration] = STATE(2333),
    [sym_specifier_qualifier] = STATE(3341),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_struct_declaration_repeat1] = STATE(3341),
    [sym_identifier] = ACTIONS(8171),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(8687),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3782] = {
    [sym_type_qualifier] = STATE(3780),
    [sym_alignas_qualifier] = STATE(3984),
    [aux_sym__type_definition_type_repeat1] = STATE(3780),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3822),
    [sym_identifier] = ACTIONS(8747),
    [anon_sym_COMMA] = ACTIONS(6891),
    [anon_sym_RPAREN] = ACTIONS(6891),
    [anon_sym_LPAREN2] = ACTIONS(6891),
    [anon_sym_STAR] = ACTIONS(6891),
    [anon_sym_CARET] = ACTIONS(6891),
    [anon_sym_GT] = ACTIONS(6891),
    [anon_sym_LT] = ACTIONS(6891),
    [anon_sym___extension__] = ACTIONS(8750),
    [anon_sym___attribute__] = ACTIONS(6896),
    [anon_sym___attribute] = ACTIONS(6896),
    [anon_sym_noreturn] = ACTIONS(8750),
    [anon_sym_LBRACK] = ACTIONS(6891),
    [anon_sym___based] = ACTIONS(6896),
    [anon_sym_LBRACE] = ACTIONS(6891),
    [anon_sym_signed] = ACTIONS(8753),
    [anon_sym_unsigned] = ACTIONS(8753),
    [anon_sym_long] = ACTIONS(8753),
    [anon_sym_short] = ACTIONS(8753),
    [anon_sym_ATautoreleasepool] = ACTIONS(6891),
    [anon_sym_const] = ACTIONS(8750),
    [anon_sym_constexpr] = ACTIONS(8750),
    [anon_sym_volatile] = ACTIONS(8750),
    [anon_sym_restrict] = ACTIONS(8750),
    [anon_sym___restrict__] = ACTIONS(8750),
    [anon_sym__Atomic] = ACTIONS(8750),
    [anon_sym__Noreturn] = ACTIONS(8750),
    [anon_sym__Nonnull] = ACTIONS(8750),
    [anon_sym_nullable] = ACTIONS(8750),
    [anon_sym__Complex] = ACTIONS(8750),
    [anon_sym__Nullable] = ACTIONS(8750),
    [anon_sym__Nullable_result] = ACTIONS(8750),
    [anon_sym__Null_unspecified] = ACTIONS(8750),
    [anon_sym___autoreleasing] = ACTIONS(8750),
    [anon_sym___block] = ACTIONS(8750),
    [anon_sym___bridge] = ACTIONS(8750),
    [anon_sym___bridge_retained] = ACTIONS(8750),
    [anon_sym___bridge_transfer] = ACTIONS(8750),
    [anon_sym___complex] = ACTIONS(8750),
    [anon_sym___const] = ACTIONS(8750),
    [anon_sym___imag] = ACTIONS(8750),
    [anon_sym___kindof] = ACTIONS(8750),
    [anon_sym___nonnull] = ACTIONS(8750),
    [anon_sym___nullable] = ACTIONS(8750),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8750),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8750),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8750),
    [anon_sym___real] = ACTIONS(8750),
    [anon_sym___strong] = ACTIONS(8750),
    [anon_sym___unsafe_unretained] = ACTIONS(8750),
    [anon_sym___unused] = ACTIONS(8750),
    [anon_sym___weak] = ACTIONS(8750),
    [anon_sym_alignas] = ACTIONS(8756),
    [anon_sym__Alignas] = ACTIONS(8756),
    [sym_primitive_type] = ACTIONS(8759),
    [anon_sym_enum] = ACTIONS(6896),
    [anon_sym_COLON] = ACTIONS(6891),
    [anon_sym_struct] = ACTIONS(6896),
    [anon_sym_union] = ACTIONS(6896),
    [anon_sym_in] = ACTIONS(6896),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6896),
    [anon_sym___typeof] = ACTIONS(6896),
    [anon_sym_typeof] = ACTIONS(6896),
    [anon_sym_BOOL] = ACTIONS(6896),
    [anon_sym_IMP] = ACTIONS(6896),
    [anon_sym_SEL] = ACTIONS(6896),
    [anon_sym_Class] = ACTIONS(6896),
    [anon_sym_id] = ACTIONS(6896),
    [anon_sym_out] = ACTIONS(6896),
    [anon_sym_inout] = ACTIONS(6896),
    [anon_sym_bycopy] = ACTIONS(6896),
    [anon_sym_byref] = ACTIONS(6896),
    [anon_sym_oneway] = ACTIONS(6896),
  },
  [3783] = {
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_struct_declaration] = STATE(2424),
    [sym_atomic_declaration] = STATE(2424),
    [sym_specifier_qualifier] = STATE(3333),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_struct_declaration_repeat1] = STATE(3333),
    [sym_identifier] = ACTIONS(8171),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(8689),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3784] = {
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_struct_declaration] = STATE(2260),
    [sym_atomic_declaration] = STATE(2260),
    [sym_specifier_qualifier] = STATE(3340),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_struct_declaration_repeat1] = STATE(3340),
    [sym_identifier] = ACTIONS(8171),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(8691),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3785] = {
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_struct_declaration] = STATE(2346),
    [sym_atomic_declaration] = STATE(2346),
    [sym_specifier_qualifier] = STATE(3340),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_struct_declaration_repeat1] = STATE(3340),
    [sym_identifier] = ACTIONS(8171),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(8691),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3786] = {
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_struct_declaration] = STATE(2429),
    [sym_atomic_declaration] = STATE(2429),
    [sym_specifier_qualifier] = STATE(3333),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_struct_declaration_repeat1] = STATE(3333),
    [sym_identifier] = ACTIONS(8171),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(8689),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3787] = {
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_struct_declaration] = STATE(2352),
    [sym_atomic_declaration] = STATE(2352),
    [sym_specifier_qualifier] = STATE(3341),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_struct_declaration_repeat1] = STATE(3341),
    [sym_identifier] = ACTIONS(8171),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(8687),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3788] = {
    [sym_type_qualifier] = STATE(3892),
    [sym_alignas_qualifier] = STATE(3984),
    [sym_type_specifier] = STATE(3943),
    [sym_sized_type_specifier] = STATE(3986),
    [sym_enum_specifier] = STATE(3986),
    [sym_struct_specifier] = STATE(3986),
    [sym_union_specifier] = STATE(3986),
    [sym_macro_type_specifier] = STATE(3986),
    [sym_typeof_specifier] = STATE(3986),
    [sym_struct_declaration] = STATE(2313),
    [sym_atomic_declaration] = STATE(2313),
    [sym_specifier_qualifier] = STATE(3340),
    [sym_generic_specifier] = STATE(3986),
    [sym_typedefed_specifier] = STATE(3986),
    [sym_array_type_specifier] = STATE(3986),
    [sym_protocol_qualifier] = STATE(3892),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3782),
    [aux_sym_struct_declaration_repeat1] = STATE(3340),
    [sym_identifier] = ACTIONS(8171),
    [anon_sym___extension__] = ACTIONS(7967),
    [anon_sym_noreturn] = ACTIONS(7967),
    [anon_sym_signed] = ACTIONS(7973),
    [anon_sym_unsigned] = ACTIONS(7973),
    [anon_sym_long] = ACTIONS(7973),
    [anon_sym_short] = ACTIONS(7973),
    [anon_sym_const] = ACTIONS(7967),
    [anon_sym_constexpr] = ACTIONS(7967),
    [anon_sym_volatile] = ACTIONS(7967),
    [anon_sym_restrict] = ACTIONS(7967),
    [anon_sym___restrict__] = ACTIONS(7967),
    [anon_sym__Atomic] = ACTIONS(8691),
    [anon_sym__Noreturn] = ACTIONS(7967),
    [anon_sym__Nonnull] = ACTIONS(7967),
    [anon_sym_nullable] = ACTIONS(7967),
    [anon_sym__Complex] = ACTIONS(7967),
    [anon_sym__Nullable] = ACTIONS(7967),
    [anon_sym__Nullable_result] = ACTIONS(7967),
    [anon_sym__Null_unspecified] = ACTIONS(7967),
    [anon_sym___autoreleasing] = ACTIONS(7967),
    [anon_sym___block] = ACTIONS(7967),
    [anon_sym___bridge] = ACTIONS(7967),
    [anon_sym___bridge_retained] = ACTIONS(7967),
    [anon_sym___bridge_transfer] = ACTIONS(7967),
    [anon_sym___complex] = ACTIONS(7967),
    [anon_sym___const] = ACTIONS(7967),
    [anon_sym___imag] = ACTIONS(7967),
    [anon_sym___kindof] = ACTIONS(7967),
    [anon_sym___nonnull] = ACTIONS(7967),
    [anon_sym___nullable] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7967),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7967),
    [anon_sym___real] = ACTIONS(7967),
    [anon_sym___strong] = ACTIONS(7967),
    [anon_sym___unsafe_unretained] = ACTIONS(7967),
    [anon_sym___unused] = ACTIONS(7967),
    [anon_sym___weak] = ACTIONS(7967),
    [anon_sym_alignas] = ACTIONS(7975),
    [anon_sym__Alignas] = ACTIONS(7975),
    [sym_primitive_type] = ACTIONS(7977),
    [anon_sym_enum] = ACTIONS(8183),
    [anon_sym_struct] = ACTIONS(7981),
    [anon_sym_union] = ACTIONS(7983),
    [anon_sym_in] = ACTIONS(7985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7987),
    [anon_sym___typeof] = ACTIONS(7987),
    [anon_sym_typeof] = ACTIONS(7987),
    [anon_sym_BOOL] = ACTIONS(7989),
    [anon_sym_IMP] = ACTIONS(7989),
    [anon_sym_SEL] = ACTIONS(7989),
    [anon_sym_Class] = ACTIONS(7989),
    [anon_sym_id] = ACTIONS(7989),
    [anon_sym_out] = ACTIONS(7985),
    [anon_sym_inout] = ACTIONS(7985),
    [anon_sym_bycopy] = ACTIONS(7985),
    [anon_sym_byref] = ACTIONS(7985),
    [anon_sym_oneway] = ACTIONS(7985),
  },
  [3789] = {
    [sym_type_qualifier] = STATE(3789),
    [sym_alignas_qualifier] = STATE(3984),
    [aux_sym__type_definition_type_repeat1] = STATE(3789),
    [sym_identifier] = ACTIONS(6349),
    [anon_sym_COMMA] = ACTIONS(6351),
    [anon_sym_RPAREN] = ACTIONS(6351),
    [anon_sym_LPAREN2] = ACTIONS(6351),
    [anon_sym_STAR] = ACTIONS(6351),
    [anon_sym_CARET] = ACTIONS(6351),
    [anon_sym_GT] = ACTIONS(6351),
    [anon_sym_LT] = ACTIONS(6351),
    [anon_sym___extension__] = ACTIONS(8762),
    [anon_sym___attribute__] = ACTIONS(6349),
    [anon_sym___attribute] = ACTIONS(6349),
    [anon_sym_noreturn] = ACTIONS(8762),
    [anon_sym_LBRACK] = ACTIONS(6351),
    [anon_sym___based] = ACTIONS(6349),
    [anon_sym_LBRACE] = ACTIONS(6351),
    [anon_sym_signed] = ACTIONS(6349),
    [anon_sym_unsigned] = ACTIONS(6349),
    [anon_sym_long] = ACTIONS(6349),
    [anon_sym_short] = ACTIONS(6349),
    [anon_sym_ATautoreleasepool] = ACTIONS(6351),
    [anon_sym_const] = ACTIONS(8762),
    [anon_sym_constexpr] = ACTIONS(8762),
    [anon_sym_volatile] = ACTIONS(8762),
    [anon_sym_restrict] = ACTIONS(8762),
    [anon_sym___restrict__] = ACTIONS(8762),
    [anon_sym__Atomic] = ACTIONS(8762),
    [anon_sym__Noreturn] = ACTIONS(8762),
    [anon_sym__Nonnull] = ACTIONS(8762),
    [anon_sym_nullable] = ACTIONS(8762),
    [anon_sym__Complex] = ACTIONS(8762),
    [anon_sym__Nullable] = ACTIONS(8762),
    [anon_sym__Nullable_result] = ACTIONS(8762),
    [anon_sym__Null_unspecified] = ACTIONS(8762),
    [anon_sym___autoreleasing] = ACTIONS(8762),
    [anon_sym___block] = ACTIONS(8762),
    [anon_sym___bridge] = ACTIONS(8762),
    [anon_sym___bridge_retained] = ACTIONS(8762),
    [anon_sym___bridge_transfer] = ACTIONS(8762),
    [anon_sym___complex] = ACTIONS(8762),
    [anon_sym___const] = ACTIONS(8762),
    [anon_sym___imag] = ACTIONS(8762),
    [anon_sym___kindof] = ACTIONS(8762),
    [anon_sym___nonnull] = ACTIONS(8762),
    [anon_sym___nullable] = ACTIONS(8762),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8762),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8762),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8762),
    [anon_sym___real] = ACTIONS(8762),
    [anon_sym___strong] = ACTIONS(8762),
    [anon_sym___unsafe_unretained] = ACTIONS(8762),
    [anon_sym___unused] = ACTIONS(8762),
    [anon_sym___weak] = ACTIONS(8762),
    [anon_sym_alignas] = ACTIONS(8765),
    [anon_sym__Alignas] = ACTIONS(8765),
    [sym_primitive_type] = ACTIONS(6349),
    [anon_sym_enum] = ACTIONS(6349),
    [anon_sym_COLON] = ACTIONS(6351),
    [anon_sym_struct] = ACTIONS(6349),
    [anon_sym_union] = ACTIONS(6349),
    [anon_sym_in] = ACTIONS(6349),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6349),
    [anon_sym___typeof] = ACTIONS(6349),
    [anon_sym_typeof] = ACTIONS(6349),
    [anon_sym_BOOL] = ACTIONS(6349),
    [anon_sym_IMP] = ACTIONS(6349),
    [anon_sym_SEL] = ACTIONS(6349),
    [anon_sym_Class] = ACTIONS(6349),
    [anon_sym_id] = ACTIONS(6349),
    [anon_sym_out] = ACTIONS(6349),
    [anon_sym_inout] = ACTIONS(6349),
    [anon_sym_bycopy] = ACTIONS(6349),
    [anon_sym_byref] = ACTIONS(6349),
    [anon_sym_oneway] = ACTIONS(6349),
  },
  [3790] = {
    [sym_attribute_specifier] = STATE(3960),
    [sym_field_declaration_list] = STATE(3825),
    [sym_identifier] = ACTIONS(7056),
    [anon_sym_COMMA] = ACTIONS(7058),
    [anon_sym_RPAREN] = ACTIONS(7058),
    [anon_sym_LPAREN2] = ACTIONS(7058),
    [anon_sym_STAR] = ACTIONS(7058),
    [anon_sym_CARET] = ACTIONS(7058),
    [anon_sym_GT] = ACTIONS(7058),
    [anon_sym_LT] = ACTIONS(7058),
    [anon_sym___extension__] = ACTIONS(7056),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7056),
    [anon_sym_LBRACK] = ACTIONS(7058),
    [anon_sym___based] = ACTIONS(7056),
    [anon_sym_LBRACE] = ACTIONS(8768),
    [anon_sym_signed] = ACTIONS(7056),
    [anon_sym_unsigned] = ACTIONS(7056),
    [anon_sym_long] = ACTIONS(7056),
    [anon_sym_short] = ACTIONS(7056),
    [anon_sym_ATautoreleasepool] = ACTIONS(7058),
    [anon_sym_const] = ACTIONS(7056),
    [anon_sym_constexpr] = ACTIONS(7056),
    [anon_sym_volatile] = ACTIONS(7056),
    [anon_sym_restrict] = ACTIONS(7056),
    [anon_sym___restrict__] = ACTIONS(7056),
    [anon_sym__Atomic] = ACTIONS(7056),
    [anon_sym__Noreturn] = ACTIONS(7056),
    [anon_sym__Nonnull] = ACTIONS(7056),
    [anon_sym_nullable] = ACTIONS(7056),
    [anon_sym__Complex] = ACTIONS(7056),
    [anon_sym__Nullable] = ACTIONS(7056),
    [anon_sym__Nullable_result] = ACTIONS(7056),
    [anon_sym__Null_unspecified] = ACTIONS(7056),
    [anon_sym___autoreleasing] = ACTIONS(7056),
    [anon_sym___block] = ACTIONS(7056),
    [anon_sym___bridge] = ACTIONS(7056),
    [anon_sym___bridge_retained] = ACTIONS(7056),
    [anon_sym___bridge_transfer] = ACTIONS(7056),
    [anon_sym___complex] = ACTIONS(7056),
    [anon_sym___const] = ACTIONS(7056),
    [anon_sym___imag] = ACTIONS(7056),
    [anon_sym___kindof] = ACTIONS(7056),
    [anon_sym___nonnull] = ACTIONS(7056),
    [anon_sym___nullable] = ACTIONS(7056),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7056),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7056),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7056),
    [anon_sym___real] = ACTIONS(7056),
    [anon_sym___strong] = ACTIONS(7056),
    [anon_sym___unsafe_unretained] = ACTIONS(7056),
    [anon_sym___unused] = ACTIONS(7056),
    [anon_sym___weak] = ACTIONS(7056),
    [anon_sym_alignas] = ACTIONS(7056),
    [anon_sym__Alignas] = ACTIONS(7056),
    [sym_primitive_type] = ACTIONS(7056),
    [anon_sym_enum] = ACTIONS(7056),
    [anon_sym_COLON] = ACTIONS(7058),
    [anon_sym_struct] = ACTIONS(7056),
    [anon_sym_union] = ACTIONS(7056),
    [anon_sym_in] = ACTIONS(7056),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7056),
    [anon_sym___typeof] = ACTIONS(7056),
    [anon_sym_typeof] = ACTIONS(7056),
    [anon_sym_BOOL] = ACTIONS(7056),
    [anon_sym_IMP] = ACTIONS(7056),
    [anon_sym_SEL] = ACTIONS(7056),
    [anon_sym_Class] = ACTIONS(7056),
    [anon_sym_id] = ACTIONS(7056),
    [anon_sym_out] = ACTIONS(7056),
    [anon_sym_inout] = ACTIONS(7056),
    [anon_sym_bycopy] = ACTIONS(7056),
    [anon_sym_byref] = ACTIONS(7056),
    [anon_sym_oneway] = ACTIONS(7056),
  },
  [3791] = {
    [sym_attribute_specifier] = STATE(3894),
    [sym_field_declaration_list] = STATE(3818),
    [sym_identifier] = ACTIONS(7038),
    [anon_sym_COMMA] = ACTIONS(7040),
    [anon_sym_RPAREN] = ACTIONS(7040),
    [anon_sym_LPAREN2] = ACTIONS(7040),
    [anon_sym_STAR] = ACTIONS(7040),
    [anon_sym_CARET] = ACTIONS(7040),
    [anon_sym_GT] = ACTIONS(7040),
    [anon_sym_LT] = ACTIONS(7040),
    [anon_sym___extension__] = ACTIONS(7038),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7038),
    [anon_sym_LBRACK] = ACTIONS(7040),
    [anon_sym___based] = ACTIONS(7038),
    [anon_sym_LBRACE] = ACTIONS(8768),
    [anon_sym_signed] = ACTIONS(7038),
    [anon_sym_unsigned] = ACTIONS(7038),
    [anon_sym_long] = ACTIONS(7038),
    [anon_sym_short] = ACTIONS(7038),
    [anon_sym_ATautoreleasepool] = ACTIONS(7040),
    [anon_sym_const] = ACTIONS(7038),
    [anon_sym_constexpr] = ACTIONS(7038),
    [anon_sym_volatile] = ACTIONS(7038),
    [anon_sym_restrict] = ACTIONS(7038),
    [anon_sym___restrict__] = ACTIONS(7038),
    [anon_sym__Atomic] = ACTIONS(7038),
    [anon_sym__Noreturn] = ACTIONS(7038),
    [anon_sym__Nonnull] = ACTIONS(7038),
    [anon_sym_nullable] = ACTIONS(7038),
    [anon_sym__Complex] = ACTIONS(7038),
    [anon_sym__Nullable] = ACTIONS(7038),
    [anon_sym__Nullable_result] = ACTIONS(7038),
    [anon_sym__Null_unspecified] = ACTIONS(7038),
    [anon_sym___autoreleasing] = ACTIONS(7038),
    [anon_sym___block] = ACTIONS(7038),
    [anon_sym___bridge] = ACTIONS(7038),
    [anon_sym___bridge_retained] = ACTIONS(7038),
    [anon_sym___bridge_transfer] = ACTIONS(7038),
    [anon_sym___complex] = ACTIONS(7038),
    [anon_sym___const] = ACTIONS(7038),
    [anon_sym___imag] = ACTIONS(7038),
    [anon_sym___kindof] = ACTIONS(7038),
    [anon_sym___nonnull] = ACTIONS(7038),
    [anon_sym___nullable] = ACTIONS(7038),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7038),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7038),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7038),
    [anon_sym___real] = ACTIONS(7038),
    [anon_sym___strong] = ACTIONS(7038),
    [anon_sym___unsafe_unretained] = ACTIONS(7038),
    [anon_sym___unused] = ACTIONS(7038),
    [anon_sym___weak] = ACTIONS(7038),
    [anon_sym_alignas] = ACTIONS(7038),
    [anon_sym__Alignas] = ACTIONS(7038),
    [sym_primitive_type] = ACTIONS(7038),
    [anon_sym_enum] = ACTIONS(7038),
    [anon_sym_COLON] = ACTIONS(7040),
    [anon_sym_struct] = ACTIONS(7038),
    [anon_sym_union] = ACTIONS(7038),
    [anon_sym_in] = ACTIONS(7038),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7038),
    [anon_sym___typeof] = ACTIONS(7038),
    [anon_sym_typeof] = ACTIONS(7038),
    [anon_sym_BOOL] = ACTIONS(7038),
    [anon_sym_IMP] = ACTIONS(7038),
    [anon_sym_SEL] = ACTIONS(7038),
    [anon_sym_Class] = ACTIONS(7038),
    [anon_sym_id] = ACTIONS(7038),
    [anon_sym_out] = ACTIONS(7038),
    [anon_sym_inout] = ACTIONS(7038),
    [anon_sym_bycopy] = ACTIONS(7038),
    [anon_sym_byref] = ACTIONS(7038),
    [anon_sym_oneway] = ACTIONS(7038),
  },
  [3792] = {
    [sym_attribute_specifier] = STATE(3897),
    [sym_field_declaration_list] = STATE(3819),
    [sym_identifier] = ACTIONS(6994),
    [anon_sym_COMMA] = ACTIONS(6996),
    [anon_sym_RPAREN] = ACTIONS(6996),
    [anon_sym_LPAREN2] = ACTIONS(6996),
    [anon_sym_STAR] = ACTIONS(6996),
    [anon_sym_CARET] = ACTIONS(6996),
    [anon_sym_GT] = ACTIONS(6996),
    [anon_sym_LT] = ACTIONS(6996),
    [anon_sym___extension__] = ACTIONS(6994),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(6994),
    [anon_sym_LBRACK] = ACTIONS(6996),
    [anon_sym___based] = ACTIONS(6994),
    [anon_sym_LBRACE] = ACTIONS(8768),
    [anon_sym_signed] = ACTIONS(6994),
    [anon_sym_unsigned] = ACTIONS(6994),
    [anon_sym_long] = ACTIONS(6994),
    [anon_sym_short] = ACTIONS(6994),
    [anon_sym_ATautoreleasepool] = ACTIONS(6996),
    [anon_sym_const] = ACTIONS(6994),
    [anon_sym_constexpr] = ACTIONS(6994),
    [anon_sym_volatile] = ACTIONS(6994),
    [anon_sym_restrict] = ACTIONS(6994),
    [anon_sym___restrict__] = ACTIONS(6994),
    [anon_sym__Atomic] = ACTIONS(6994),
    [anon_sym__Noreturn] = ACTIONS(6994),
    [anon_sym__Nonnull] = ACTIONS(6994),
    [anon_sym_nullable] = ACTIONS(6994),
    [anon_sym__Complex] = ACTIONS(6994),
    [anon_sym__Nullable] = ACTIONS(6994),
    [anon_sym__Nullable_result] = ACTIONS(6994),
    [anon_sym__Null_unspecified] = ACTIONS(6994),
    [anon_sym___autoreleasing] = ACTIONS(6994),
    [anon_sym___block] = ACTIONS(6994),
    [anon_sym___bridge] = ACTIONS(6994),
    [anon_sym___bridge_retained] = ACTIONS(6994),
    [anon_sym___bridge_transfer] = ACTIONS(6994),
    [anon_sym___complex] = ACTIONS(6994),
    [anon_sym___const] = ACTIONS(6994),
    [anon_sym___imag] = ACTIONS(6994),
    [anon_sym___kindof] = ACTIONS(6994),
    [anon_sym___nonnull] = ACTIONS(6994),
    [anon_sym___nullable] = ACTIONS(6994),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6994),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6994),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6994),
    [anon_sym___real] = ACTIONS(6994),
    [anon_sym___strong] = ACTIONS(6994),
    [anon_sym___unsafe_unretained] = ACTIONS(6994),
    [anon_sym___unused] = ACTIONS(6994),
    [anon_sym___weak] = ACTIONS(6994),
    [anon_sym_alignas] = ACTIONS(6994),
    [anon_sym__Alignas] = ACTIONS(6994),
    [sym_primitive_type] = ACTIONS(6994),
    [anon_sym_enum] = ACTIONS(6994),
    [anon_sym_COLON] = ACTIONS(6996),
    [anon_sym_struct] = ACTIONS(6994),
    [anon_sym_union] = ACTIONS(6994),
    [anon_sym_in] = ACTIONS(6994),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6994),
    [anon_sym___typeof] = ACTIONS(6994),
    [anon_sym_typeof] = ACTIONS(6994),
    [anon_sym_BOOL] = ACTIONS(6994),
    [anon_sym_IMP] = ACTIONS(6994),
    [anon_sym_SEL] = ACTIONS(6994),
    [anon_sym_Class] = ACTIONS(6994),
    [anon_sym_id] = ACTIONS(6994),
    [anon_sym_out] = ACTIONS(6994),
    [anon_sym_inout] = ACTIONS(6994),
    [anon_sym_bycopy] = ACTIONS(6994),
    [anon_sym_byref] = ACTIONS(6994),
    [anon_sym_oneway] = ACTIONS(6994),
  },
  [3793] = {
    [sym_attribute_specifier] = STATE(3856),
    [sym_field_declaration_list] = STATE(3807),
    [sym_identifier] = ACTIONS(7014),
    [anon_sym_COMMA] = ACTIONS(7016),
    [anon_sym_RPAREN] = ACTIONS(7016),
    [anon_sym_LPAREN2] = ACTIONS(7016),
    [anon_sym_STAR] = ACTIONS(7016),
    [anon_sym_CARET] = ACTIONS(7016),
    [anon_sym_GT] = ACTIONS(7016),
    [anon_sym_LT] = ACTIONS(7016),
    [anon_sym___extension__] = ACTIONS(7014),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7014),
    [anon_sym_LBRACK] = ACTIONS(7016),
    [anon_sym___based] = ACTIONS(7014),
    [anon_sym_LBRACE] = ACTIONS(8768),
    [anon_sym_signed] = ACTIONS(7014),
    [anon_sym_unsigned] = ACTIONS(7014),
    [anon_sym_long] = ACTIONS(7014),
    [anon_sym_short] = ACTIONS(7014),
    [anon_sym_ATautoreleasepool] = ACTIONS(7016),
    [anon_sym_const] = ACTIONS(7014),
    [anon_sym_constexpr] = ACTIONS(7014),
    [anon_sym_volatile] = ACTIONS(7014),
    [anon_sym_restrict] = ACTIONS(7014),
    [anon_sym___restrict__] = ACTIONS(7014),
    [anon_sym__Atomic] = ACTIONS(7014),
    [anon_sym__Noreturn] = ACTIONS(7014),
    [anon_sym__Nonnull] = ACTIONS(7014),
    [anon_sym_nullable] = ACTIONS(7014),
    [anon_sym__Complex] = ACTIONS(7014),
    [anon_sym__Nullable] = ACTIONS(7014),
    [anon_sym__Nullable_result] = ACTIONS(7014),
    [anon_sym__Null_unspecified] = ACTIONS(7014),
    [anon_sym___autoreleasing] = ACTIONS(7014),
    [anon_sym___block] = ACTIONS(7014),
    [anon_sym___bridge] = ACTIONS(7014),
    [anon_sym___bridge_retained] = ACTIONS(7014),
    [anon_sym___bridge_transfer] = ACTIONS(7014),
    [anon_sym___complex] = ACTIONS(7014),
    [anon_sym___const] = ACTIONS(7014),
    [anon_sym___imag] = ACTIONS(7014),
    [anon_sym___kindof] = ACTIONS(7014),
    [anon_sym___nonnull] = ACTIONS(7014),
    [anon_sym___nullable] = ACTIONS(7014),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7014),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7014),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7014),
    [anon_sym___real] = ACTIONS(7014),
    [anon_sym___strong] = ACTIONS(7014),
    [anon_sym___unsafe_unretained] = ACTIONS(7014),
    [anon_sym___unused] = ACTIONS(7014),
    [anon_sym___weak] = ACTIONS(7014),
    [anon_sym_alignas] = ACTIONS(7014),
    [anon_sym__Alignas] = ACTIONS(7014),
    [sym_primitive_type] = ACTIONS(7014),
    [anon_sym_enum] = ACTIONS(7014),
    [anon_sym_COLON] = ACTIONS(7016),
    [anon_sym_struct] = ACTIONS(7014),
    [anon_sym_union] = ACTIONS(7014),
    [anon_sym_in] = ACTIONS(7014),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7014),
    [anon_sym___typeof] = ACTIONS(7014),
    [anon_sym_typeof] = ACTIONS(7014),
    [anon_sym_BOOL] = ACTIONS(7014),
    [anon_sym_IMP] = ACTIONS(7014),
    [anon_sym_SEL] = ACTIONS(7014),
    [anon_sym_Class] = ACTIONS(7014),
    [anon_sym_id] = ACTIONS(7014),
    [anon_sym_out] = ACTIONS(7014),
    [anon_sym_inout] = ACTIONS(7014),
    [anon_sym_bycopy] = ACTIONS(7014),
    [anon_sym_byref] = ACTIONS(7014),
    [anon_sym_oneway] = ACTIONS(7014),
  },
  [3794] = {
    [sym_attribute_specifier] = STATE(3861),
    [sym_field_declaration_list] = STATE(3810),
    [sym_identifier] = ACTIONS(7046),
    [anon_sym_COMMA] = ACTIONS(7048),
    [anon_sym_RPAREN] = ACTIONS(7048),
    [anon_sym_LPAREN2] = ACTIONS(7048),
    [anon_sym_STAR] = ACTIONS(7048),
    [anon_sym_CARET] = ACTIONS(7048),
    [anon_sym_GT] = ACTIONS(7048),
    [anon_sym_LT] = ACTIONS(7048),
    [anon_sym___extension__] = ACTIONS(7046),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7046),
    [anon_sym_LBRACK] = ACTIONS(7048),
    [anon_sym___based] = ACTIONS(7046),
    [anon_sym_LBRACE] = ACTIONS(8768),
    [anon_sym_signed] = ACTIONS(7046),
    [anon_sym_unsigned] = ACTIONS(7046),
    [anon_sym_long] = ACTIONS(7046),
    [anon_sym_short] = ACTIONS(7046),
    [anon_sym_ATautoreleasepool] = ACTIONS(7048),
    [anon_sym_const] = ACTIONS(7046),
    [anon_sym_constexpr] = ACTIONS(7046),
    [anon_sym_volatile] = ACTIONS(7046),
    [anon_sym_restrict] = ACTIONS(7046),
    [anon_sym___restrict__] = ACTIONS(7046),
    [anon_sym__Atomic] = ACTIONS(7046),
    [anon_sym__Noreturn] = ACTIONS(7046),
    [anon_sym__Nonnull] = ACTIONS(7046),
    [anon_sym_nullable] = ACTIONS(7046),
    [anon_sym__Complex] = ACTIONS(7046),
    [anon_sym__Nullable] = ACTIONS(7046),
    [anon_sym__Nullable_result] = ACTIONS(7046),
    [anon_sym__Null_unspecified] = ACTIONS(7046),
    [anon_sym___autoreleasing] = ACTIONS(7046),
    [anon_sym___block] = ACTIONS(7046),
    [anon_sym___bridge] = ACTIONS(7046),
    [anon_sym___bridge_retained] = ACTIONS(7046),
    [anon_sym___bridge_transfer] = ACTIONS(7046),
    [anon_sym___complex] = ACTIONS(7046),
    [anon_sym___const] = ACTIONS(7046),
    [anon_sym___imag] = ACTIONS(7046),
    [anon_sym___kindof] = ACTIONS(7046),
    [anon_sym___nonnull] = ACTIONS(7046),
    [anon_sym___nullable] = ACTIONS(7046),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7046),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7046),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7046),
    [anon_sym___real] = ACTIONS(7046),
    [anon_sym___strong] = ACTIONS(7046),
    [anon_sym___unsafe_unretained] = ACTIONS(7046),
    [anon_sym___unused] = ACTIONS(7046),
    [anon_sym___weak] = ACTIONS(7046),
    [anon_sym_alignas] = ACTIONS(7046),
    [anon_sym__Alignas] = ACTIONS(7046),
    [sym_primitive_type] = ACTIONS(7046),
    [anon_sym_enum] = ACTIONS(7046),
    [anon_sym_COLON] = ACTIONS(7048),
    [anon_sym_struct] = ACTIONS(7046),
    [anon_sym_union] = ACTIONS(7046),
    [anon_sym_in] = ACTIONS(7046),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7046),
    [anon_sym___typeof] = ACTIONS(7046),
    [anon_sym_typeof] = ACTIONS(7046),
    [anon_sym_BOOL] = ACTIONS(7046),
    [anon_sym_IMP] = ACTIONS(7046),
    [anon_sym_SEL] = ACTIONS(7046),
    [anon_sym_Class] = ACTIONS(7046),
    [anon_sym_id] = ACTIONS(7046),
    [anon_sym_out] = ACTIONS(7046),
    [anon_sym_inout] = ACTIONS(7046),
    [anon_sym_bycopy] = ACTIONS(7046),
    [anon_sym_byref] = ACTIONS(7046),
    [anon_sym_oneway] = ACTIONS(7046),
  },
  [3795] = {
    [sym_attribute_specifier] = STATE(3922),
    [sym_field_declaration_list] = STATE(3823),
    [sym_identifier] = ACTIONS(7042),
    [anon_sym_COMMA] = ACTIONS(7044),
    [anon_sym_RPAREN] = ACTIONS(7044),
    [anon_sym_LPAREN2] = ACTIONS(7044),
    [anon_sym_STAR] = ACTIONS(7044),
    [anon_sym_CARET] = ACTIONS(7044),
    [anon_sym_GT] = ACTIONS(7044),
    [anon_sym_LT] = ACTIONS(7044),
    [anon_sym___extension__] = ACTIONS(7042),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7042),
    [anon_sym_LBRACK] = ACTIONS(7044),
    [anon_sym___based] = ACTIONS(7042),
    [anon_sym_LBRACE] = ACTIONS(8768),
    [anon_sym_signed] = ACTIONS(7042),
    [anon_sym_unsigned] = ACTIONS(7042),
    [anon_sym_long] = ACTIONS(7042),
    [anon_sym_short] = ACTIONS(7042),
    [anon_sym_ATautoreleasepool] = ACTIONS(7044),
    [anon_sym_const] = ACTIONS(7042),
    [anon_sym_constexpr] = ACTIONS(7042),
    [anon_sym_volatile] = ACTIONS(7042),
    [anon_sym_restrict] = ACTIONS(7042),
    [anon_sym___restrict__] = ACTIONS(7042),
    [anon_sym__Atomic] = ACTIONS(7042),
    [anon_sym__Noreturn] = ACTIONS(7042),
    [anon_sym__Nonnull] = ACTIONS(7042),
    [anon_sym_nullable] = ACTIONS(7042),
    [anon_sym__Complex] = ACTIONS(7042),
    [anon_sym__Nullable] = ACTIONS(7042),
    [anon_sym__Nullable_result] = ACTIONS(7042),
    [anon_sym__Null_unspecified] = ACTIONS(7042),
    [anon_sym___autoreleasing] = ACTIONS(7042),
    [anon_sym___block] = ACTIONS(7042),
    [anon_sym___bridge] = ACTIONS(7042),
    [anon_sym___bridge_retained] = ACTIONS(7042),
    [anon_sym___bridge_transfer] = ACTIONS(7042),
    [anon_sym___complex] = ACTIONS(7042),
    [anon_sym___const] = ACTIONS(7042),
    [anon_sym___imag] = ACTIONS(7042),
    [anon_sym___kindof] = ACTIONS(7042),
    [anon_sym___nonnull] = ACTIONS(7042),
    [anon_sym___nullable] = ACTIONS(7042),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7042),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7042),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7042),
    [anon_sym___real] = ACTIONS(7042),
    [anon_sym___strong] = ACTIONS(7042),
    [anon_sym___unsafe_unretained] = ACTIONS(7042),
    [anon_sym___unused] = ACTIONS(7042),
    [anon_sym___weak] = ACTIONS(7042),
    [anon_sym_alignas] = ACTIONS(7042),
    [anon_sym__Alignas] = ACTIONS(7042),
    [sym_primitive_type] = ACTIONS(7042),
    [anon_sym_enum] = ACTIONS(7042),
    [anon_sym_COLON] = ACTIONS(7044),
    [anon_sym_struct] = ACTIONS(7042),
    [anon_sym_union] = ACTIONS(7042),
    [anon_sym_in] = ACTIONS(7042),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7042),
    [anon_sym___typeof] = ACTIONS(7042),
    [anon_sym_typeof] = ACTIONS(7042),
    [anon_sym_BOOL] = ACTIONS(7042),
    [anon_sym_IMP] = ACTIONS(7042),
    [anon_sym_SEL] = ACTIONS(7042),
    [anon_sym_Class] = ACTIONS(7042),
    [anon_sym_id] = ACTIONS(7042),
    [anon_sym_out] = ACTIONS(7042),
    [anon_sym_inout] = ACTIONS(7042),
    [anon_sym_bycopy] = ACTIONS(7042),
    [anon_sym_byref] = ACTIONS(7042),
    [anon_sym_oneway] = ACTIONS(7042),
  },
  [3796] = {
    [sym_attribute_specifier] = STATE(3963),
    [sym_identifier] = ACTIONS(7131),
    [anon_sym_COMMA] = ACTIONS(7133),
    [anon_sym_RPAREN] = ACTIONS(7133),
    [anon_sym_LPAREN2] = ACTIONS(7133),
    [anon_sym_STAR] = ACTIONS(7133),
    [anon_sym_CARET] = ACTIONS(7133),
    [anon_sym_GT] = ACTIONS(7133),
    [anon_sym_LT] = ACTIONS(7133),
    [anon_sym___extension__] = ACTIONS(7131),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7131),
    [anon_sym_LBRACK] = ACTIONS(7133),
    [anon_sym___based] = ACTIONS(7131),
    [anon_sym_LBRACE] = ACTIONS(7133),
    [anon_sym_signed] = ACTIONS(7131),
    [anon_sym_unsigned] = ACTIONS(7131),
    [anon_sym_long] = ACTIONS(7131),
    [anon_sym_short] = ACTIONS(7131),
    [anon_sym_ATautoreleasepool] = ACTIONS(7133),
    [anon_sym_const] = ACTIONS(7131),
    [anon_sym_constexpr] = ACTIONS(7131),
    [anon_sym_volatile] = ACTIONS(7131),
    [anon_sym_restrict] = ACTIONS(7131),
    [anon_sym___restrict__] = ACTIONS(7131),
    [anon_sym__Atomic] = ACTIONS(7131),
    [anon_sym__Noreturn] = ACTIONS(7131),
    [anon_sym__Nonnull] = ACTIONS(7131),
    [anon_sym_nullable] = ACTIONS(7131),
    [anon_sym__Complex] = ACTIONS(7131),
    [anon_sym__Nullable] = ACTIONS(7131),
    [anon_sym__Nullable_result] = ACTIONS(7131),
    [anon_sym__Null_unspecified] = ACTIONS(7131),
    [anon_sym___autoreleasing] = ACTIONS(7131),
    [anon_sym___block] = ACTIONS(7131),
    [anon_sym___bridge] = ACTIONS(7131),
    [anon_sym___bridge_retained] = ACTIONS(7131),
    [anon_sym___bridge_transfer] = ACTIONS(7131),
    [anon_sym___complex] = ACTIONS(7131),
    [anon_sym___const] = ACTIONS(7131),
    [anon_sym___imag] = ACTIONS(7131),
    [anon_sym___kindof] = ACTIONS(7131),
    [anon_sym___nonnull] = ACTIONS(7131),
    [anon_sym___nullable] = ACTIONS(7131),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7131),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7131),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7131),
    [anon_sym___real] = ACTIONS(7131),
    [anon_sym___strong] = ACTIONS(7131),
    [anon_sym___unsafe_unretained] = ACTIONS(7131),
    [anon_sym___unused] = ACTIONS(7131),
    [anon_sym___weak] = ACTIONS(7131),
    [anon_sym_alignas] = ACTIONS(7131),
    [anon_sym__Alignas] = ACTIONS(7131),
    [sym_primitive_type] = ACTIONS(7131),
    [anon_sym_enum] = ACTIONS(7131),
    [anon_sym_COLON] = ACTIONS(7133),
    [anon_sym_struct] = ACTIONS(7131),
    [anon_sym_union] = ACTIONS(7131),
    [anon_sym_in] = ACTIONS(7131),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7131),
    [anon_sym___typeof] = ACTIONS(7131),
    [anon_sym_typeof] = ACTIONS(7131),
    [anon_sym_BOOL] = ACTIONS(7131),
    [anon_sym_IMP] = ACTIONS(7131),
    [anon_sym_SEL] = ACTIONS(7131),
    [anon_sym_Class] = ACTIONS(7131),
    [anon_sym_id] = ACTIONS(7131),
    [anon_sym_out] = ACTIONS(7131),
    [anon_sym_inout] = ACTIONS(7131),
    [anon_sym_bycopy] = ACTIONS(7131),
    [anon_sym_byref] = ACTIONS(7131),
    [anon_sym_oneway] = ACTIONS(7131),
  },
  [3797] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3827),
    [aux_sym_parameterized_arguments_repeat1] = STATE(5142),
    [aux_sym_parameterized_arguments_repeat2] = STATE(5598),
    [aux_sym_generic_specifier_repeat1] = STATE(3829),
    [sym_identifier] = ACTIONS(5926),
    [anon_sym_COMMA] = ACTIONS(5931),
    [anon_sym_LPAREN2] = ACTIONS(5918),
    [anon_sym_STAR] = ACTIONS(5931),
    [anon_sym_CARET] = ACTIONS(5931),
    [anon_sym_GT] = ACTIONS(5931),
    [anon_sym_LT] = ACTIONS(8770),
    [anon_sym___extension__] = ACTIONS(5926),
    [anon_sym___attribute__] = ACTIONS(5926),
    [anon_sym___attribute] = ACTIONS(5926),
    [anon_sym_noreturn] = ACTIONS(5926),
    [anon_sym_LBRACK] = ACTIONS(5931),
    [anon_sym___based] = ACTIONS(5926),
    [anon_sym_signed] = ACTIONS(8774),
    [anon_sym_unsigned] = ACTIONS(8774),
    [anon_sym_long] = ACTIONS(8774),
    [anon_sym_short] = ACTIONS(8774),
    [anon_sym_const] = ACTIONS(5926),
    [anon_sym_constexpr] = ACTIONS(5926),
    [anon_sym_volatile] = ACTIONS(5926),
    [anon_sym_restrict] = ACTIONS(5926),
    [anon_sym___restrict__] = ACTIONS(5926),
    [anon_sym__Atomic] = ACTIONS(5926),
    [anon_sym__Noreturn] = ACTIONS(5926),
    [anon_sym__Nonnull] = ACTIONS(5926),
    [anon_sym_nullable] = ACTIONS(5926),
    [anon_sym__Complex] = ACTIONS(5926),
    [anon_sym__Nullable] = ACTIONS(5926),
    [anon_sym__Nullable_result] = ACTIONS(5926),
    [anon_sym__Null_unspecified] = ACTIONS(5926),
    [anon_sym___autoreleasing] = ACTIONS(5926),
    [anon_sym___block] = ACTIONS(5926),
    [anon_sym___bridge] = ACTIONS(5926),
    [anon_sym___bridge_retained] = ACTIONS(5926),
    [anon_sym___bridge_transfer] = ACTIONS(5926),
    [anon_sym___complex] = ACTIONS(5926),
    [anon_sym___const] = ACTIONS(5926),
    [anon_sym___imag] = ACTIONS(5926),
    [anon_sym___kindof] = ACTIONS(5926),
    [anon_sym___nonnull] = ACTIONS(5926),
    [anon_sym___nullable] = ACTIONS(5926),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5926),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5926),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5926),
    [anon_sym___real] = ACTIONS(5926),
    [anon_sym___strong] = ACTIONS(5926),
    [anon_sym___unsafe_unretained] = ACTIONS(5926),
    [anon_sym___unused] = ACTIONS(5926),
    [anon_sym___weak] = ACTIONS(5926),
    [anon_sym_alignas] = ACTIONS(5926),
    [anon_sym__Alignas] = ACTIONS(5926),
    [sym_primitive_type] = ACTIONS(5926),
    [anon_sym_enum] = ACTIONS(5926),
    [anon_sym_COLON] = ACTIONS(8778),
    [anon_sym_struct] = ACTIONS(5926),
    [anon_sym_union] = ACTIONS(5926),
    [anon_sym_in] = ACTIONS(5926),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5926),
    [anon_sym___typeof] = ACTIONS(5926),
    [anon_sym_typeof] = ACTIONS(5926),
    [anon_sym_BOOL] = ACTIONS(5926),
    [anon_sym_IMP] = ACTIONS(5926),
    [anon_sym_SEL] = ACTIONS(5926),
    [anon_sym_Class] = ACTIONS(5926),
    [anon_sym_id] = ACTIONS(5926),
    [anon_sym_out] = ACTIONS(5926),
    [anon_sym_inout] = ACTIONS(5926),
    [anon_sym_bycopy] = ACTIONS(5926),
    [anon_sym_byref] = ACTIONS(5926),
    [anon_sym_oneway] = ACTIONS(5926),
  },
  [3798] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3821),
    [sym_identifier] = ACTIONS(7365),
    [anon_sym_COMMA] = ACTIONS(7367),
    [anon_sym_RPAREN] = ACTIONS(7367),
    [anon_sym_LPAREN2] = ACTIONS(7367),
    [anon_sym_STAR] = ACTIONS(7367),
    [anon_sym_CARET] = ACTIONS(7367),
    [anon_sym_GT] = ACTIONS(7367),
    [anon_sym_LT] = ACTIONS(7367),
    [anon_sym___extension__] = ACTIONS(7365),
    [anon_sym___attribute__] = ACTIONS(7365),
    [anon_sym___attribute] = ACTIONS(7365),
    [anon_sym_noreturn] = ACTIONS(7365),
    [anon_sym_LBRACK] = ACTIONS(7367),
    [anon_sym___based] = ACTIONS(7365),
    [anon_sym_LBRACE] = ACTIONS(7367),
    [anon_sym_signed] = ACTIONS(8780),
    [anon_sym_unsigned] = ACTIONS(8780),
    [anon_sym_long] = ACTIONS(8780),
    [anon_sym_short] = ACTIONS(8780),
    [anon_sym_ATautoreleasepool] = ACTIONS(7367),
    [anon_sym_const] = ACTIONS(7365),
    [anon_sym_constexpr] = ACTIONS(7365),
    [anon_sym_volatile] = ACTIONS(7365),
    [anon_sym_restrict] = ACTIONS(7365),
    [anon_sym___restrict__] = ACTIONS(7365),
    [anon_sym__Atomic] = ACTIONS(7365),
    [anon_sym__Noreturn] = ACTIONS(7365),
    [anon_sym__Nonnull] = ACTIONS(7365),
    [anon_sym_nullable] = ACTIONS(7365),
    [anon_sym__Complex] = ACTIONS(7365),
    [anon_sym__Nullable] = ACTIONS(7365),
    [anon_sym__Nullable_result] = ACTIONS(7365),
    [anon_sym__Null_unspecified] = ACTIONS(7365),
    [anon_sym___autoreleasing] = ACTIONS(7365),
    [anon_sym___block] = ACTIONS(7365),
    [anon_sym___bridge] = ACTIONS(7365),
    [anon_sym___bridge_retained] = ACTIONS(7365),
    [anon_sym___bridge_transfer] = ACTIONS(7365),
    [anon_sym___complex] = ACTIONS(7365),
    [anon_sym___const] = ACTIONS(7365),
    [anon_sym___imag] = ACTIONS(7365),
    [anon_sym___kindof] = ACTIONS(7365),
    [anon_sym___nonnull] = ACTIONS(7365),
    [anon_sym___nullable] = ACTIONS(7365),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7365),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7365),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7365),
    [anon_sym___real] = ACTIONS(7365),
    [anon_sym___strong] = ACTIONS(7365),
    [anon_sym___unsafe_unretained] = ACTIONS(7365),
    [anon_sym___unused] = ACTIONS(7365),
    [anon_sym___weak] = ACTIONS(7365),
    [anon_sym_alignas] = ACTIONS(7365),
    [anon_sym__Alignas] = ACTIONS(7365),
    [sym_primitive_type] = ACTIONS(7365),
    [anon_sym_enum] = ACTIONS(7365),
    [anon_sym_COLON] = ACTIONS(7367),
    [anon_sym_struct] = ACTIONS(7365),
    [anon_sym_union] = ACTIONS(7365),
    [anon_sym_in] = ACTIONS(7365),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7365),
    [anon_sym___typeof] = ACTIONS(7365),
    [anon_sym_typeof] = ACTIONS(7365),
    [anon_sym_BOOL] = ACTIONS(7365),
    [anon_sym_IMP] = ACTIONS(7365),
    [anon_sym_SEL] = ACTIONS(7365),
    [anon_sym_Class] = ACTIONS(7365),
    [anon_sym_id] = ACTIONS(7365),
    [anon_sym_out] = ACTIONS(7365),
    [anon_sym_inout] = ACTIONS(7365),
    [anon_sym_bycopy] = ACTIONS(7365),
    [anon_sym_byref] = ACTIONS(7365),
    [anon_sym_oneway] = ACTIONS(7365),
  },
  [3799] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3821),
    [sym_identifier] = ACTIONS(7161),
    [anon_sym_COMMA] = ACTIONS(7163),
    [anon_sym_RPAREN] = ACTIONS(7163),
    [anon_sym_LPAREN2] = ACTIONS(7163),
    [anon_sym_STAR] = ACTIONS(7163),
    [anon_sym_CARET] = ACTIONS(7163),
    [anon_sym_GT] = ACTIONS(7163),
    [anon_sym_LT] = ACTIONS(7163),
    [anon_sym___extension__] = ACTIONS(7161),
    [anon_sym___attribute__] = ACTIONS(7161),
    [anon_sym___attribute] = ACTIONS(7161),
    [anon_sym_noreturn] = ACTIONS(7161),
    [anon_sym_LBRACK] = ACTIONS(7163),
    [anon_sym___based] = ACTIONS(7161),
    [anon_sym_LBRACE] = ACTIONS(7163),
    [anon_sym_signed] = ACTIONS(8783),
    [anon_sym_unsigned] = ACTIONS(8783),
    [anon_sym_long] = ACTIONS(8783),
    [anon_sym_short] = ACTIONS(8783),
    [anon_sym_ATautoreleasepool] = ACTIONS(7163),
    [anon_sym_const] = ACTIONS(7161),
    [anon_sym_constexpr] = ACTIONS(7161),
    [anon_sym_volatile] = ACTIONS(7161),
    [anon_sym_restrict] = ACTIONS(7161),
    [anon_sym___restrict__] = ACTIONS(7161),
    [anon_sym__Atomic] = ACTIONS(7161),
    [anon_sym__Noreturn] = ACTIONS(7161),
    [anon_sym__Nonnull] = ACTIONS(7161),
    [anon_sym_nullable] = ACTIONS(7161),
    [anon_sym__Complex] = ACTIONS(7161),
    [anon_sym__Nullable] = ACTIONS(7161),
    [anon_sym__Nullable_result] = ACTIONS(7161),
    [anon_sym__Null_unspecified] = ACTIONS(7161),
    [anon_sym___autoreleasing] = ACTIONS(7161),
    [anon_sym___block] = ACTIONS(7161),
    [anon_sym___bridge] = ACTIONS(7161),
    [anon_sym___bridge_retained] = ACTIONS(7161),
    [anon_sym___bridge_transfer] = ACTIONS(7161),
    [anon_sym___complex] = ACTIONS(7161),
    [anon_sym___const] = ACTIONS(7161),
    [anon_sym___imag] = ACTIONS(7161),
    [anon_sym___kindof] = ACTIONS(7161),
    [anon_sym___nonnull] = ACTIONS(7161),
    [anon_sym___nullable] = ACTIONS(7161),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7161),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7161),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7161),
    [anon_sym___real] = ACTIONS(7161),
    [anon_sym___strong] = ACTIONS(7161),
    [anon_sym___unsafe_unretained] = ACTIONS(7161),
    [anon_sym___unused] = ACTIONS(7161),
    [anon_sym___weak] = ACTIONS(7161),
    [anon_sym_alignas] = ACTIONS(7161),
    [anon_sym__Alignas] = ACTIONS(7161),
    [sym_primitive_type] = ACTIONS(7161),
    [anon_sym_enum] = ACTIONS(7161),
    [anon_sym_COLON] = ACTIONS(7163),
    [anon_sym_struct] = ACTIONS(7161),
    [anon_sym_union] = ACTIONS(7161),
    [anon_sym_in] = ACTIONS(7161),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7161),
    [anon_sym___typeof] = ACTIONS(7161),
    [anon_sym_typeof] = ACTIONS(7161),
    [anon_sym_BOOL] = ACTIONS(7161),
    [anon_sym_IMP] = ACTIONS(7161),
    [anon_sym_SEL] = ACTIONS(7161),
    [anon_sym_Class] = ACTIONS(7161),
    [anon_sym_id] = ACTIONS(7161),
    [anon_sym_out] = ACTIONS(7161),
    [anon_sym_inout] = ACTIONS(7161),
    [anon_sym_bycopy] = ACTIONS(7161),
    [anon_sym_byref] = ACTIONS(7161),
    [anon_sym_oneway] = ACTIONS(7161),
  },
  [3800] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3815),
    [sym_identifier] = ACTIONS(7389),
    [anon_sym_COMMA] = ACTIONS(7391),
    [anon_sym_RPAREN] = ACTIONS(7391),
    [anon_sym_LPAREN2] = ACTIONS(7391),
    [anon_sym_STAR] = ACTIONS(7391),
    [anon_sym_CARET] = ACTIONS(7391),
    [anon_sym_GT] = ACTIONS(7391),
    [anon_sym_LT] = ACTIONS(7391),
    [anon_sym___extension__] = ACTIONS(7389),
    [anon_sym___attribute__] = ACTIONS(7389),
    [anon_sym___attribute] = ACTIONS(7389),
    [anon_sym_noreturn] = ACTIONS(7389),
    [anon_sym_LBRACK] = ACTIONS(7391),
    [anon_sym___based] = ACTIONS(7389),
    [anon_sym_LBRACE] = ACTIONS(7391),
    [anon_sym_signed] = ACTIONS(8786),
    [anon_sym_unsigned] = ACTIONS(8786),
    [anon_sym_long] = ACTIONS(8786),
    [anon_sym_short] = ACTIONS(8786),
    [anon_sym_ATautoreleasepool] = ACTIONS(7391),
    [anon_sym_const] = ACTIONS(7389),
    [anon_sym_constexpr] = ACTIONS(7389),
    [anon_sym_volatile] = ACTIONS(7389),
    [anon_sym_restrict] = ACTIONS(7389),
    [anon_sym___restrict__] = ACTIONS(7389),
    [anon_sym__Atomic] = ACTIONS(7389),
    [anon_sym__Noreturn] = ACTIONS(7389),
    [anon_sym__Nonnull] = ACTIONS(7389),
    [anon_sym_nullable] = ACTIONS(7389),
    [anon_sym__Complex] = ACTIONS(7389),
    [anon_sym__Nullable] = ACTIONS(7389),
    [anon_sym__Nullable_result] = ACTIONS(7389),
    [anon_sym__Null_unspecified] = ACTIONS(7389),
    [anon_sym___autoreleasing] = ACTIONS(7389),
    [anon_sym___block] = ACTIONS(7389),
    [anon_sym___bridge] = ACTIONS(7389),
    [anon_sym___bridge_retained] = ACTIONS(7389),
    [anon_sym___bridge_transfer] = ACTIONS(7389),
    [anon_sym___complex] = ACTIONS(7389),
    [anon_sym___const] = ACTIONS(7389),
    [anon_sym___imag] = ACTIONS(7389),
    [anon_sym___kindof] = ACTIONS(7389),
    [anon_sym___nonnull] = ACTIONS(7389),
    [anon_sym___nullable] = ACTIONS(7389),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7389),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7389),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7389),
    [anon_sym___real] = ACTIONS(7389),
    [anon_sym___strong] = ACTIONS(7389),
    [anon_sym___unsafe_unretained] = ACTIONS(7389),
    [anon_sym___unused] = ACTIONS(7389),
    [anon_sym___weak] = ACTIONS(7389),
    [anon_sym_alignas] = ACTIONS(7389),
    [anon_sym__Alignas] = ACTIONS(7389),
    [sym_primitive_type] = ACTIONS(7389),
    [anon_sym_enum] = ACTIONS(7389),
    [anon_sym_COLON] = ACTIONS(7391),
    [anon_sym_struct] = ACTIONS(7389),
    [anon_sym_union] = ACTIONS(7389),
    [anon_sym_in] = ACTIONS(7389),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7389),
    [anon_sym___typeof] = ACTIONS(7389),
    [anon_sym_typeof] = ACTIONS(7389),
    [anon_sym_BOOL] = ACTIONS(7389),
    [anon_sym_IMP] = ACTIONS(7389),
    [anon_sym_SEL] = ACTIONS(7389),
    [anon_sym_Class] = ACTIONS(7389),
    [anon_sym_id] = ACTIONS(7389),
    [anon_sym_out] = ACTIONS(7389),
    [anon_sym_inout] = ACTIONS(7389),
    [anon_sym_bycopy] = ACTIONS(7389),
    [anon_sym_byref] = ACTIONS(7389),
    [anon_sym_oneway] = ACTIONS(7389),
  },
  [3801] = {
    [sym_attribute_specifier] = STATE(3912),
    [sym_enumerator_list] = STATE(3930),
    [sym_identifier] = ACTIONS(7606),
    [anon_sym_COMMA] = ACTIONS(7608),
    [anon_sym_RPAREN] = ACTIONS(7608),
    [anon_sym_LPAREN2] = ACTIONS(7608),
    [anon_sym_STAR] = ACTIONS(7608),
    [anon_sym_CARET] = ACTIONS(7608),
    [anon_sym_GT] = ACTIONS(7608),
    [anon_sym_LT] = ACTIONS(7608),
    [anon_sym___extension__] = ACTIONS(7606),
    [anon_sym___attribute__] = ACTIONS(8789),
    [anon_sym___attribute] = ACTIONS(8789),
    [anon_sym_noreturn] = ACTIONS(7606),
    [anon_sym_LBRACK] = ACTIONS(7608),
    [anon_sym___based] = ACTIONS(7606),
    [anon_sym_LBRACE] = ACTIONS(8792),
    [anon_sym_signed] = ACTIONS(7606),
    [anon_sym_unsigned] = ACTIONS(7606),
    [anon_sym_long] = ACTIONS(7606),
    [anon_sym_short] = ACTIONS(7606),
    [anon_sym_const] = ACTIONS(7606),
    [anon_sym_constexpr] = ACTIONS(7606),
    [anon_sym_volatile] = ACTIONS(7606),
    [anon_sym_restrict] = ACTIONS(7606),
    [anon_sym___restrict__] = ACTIONS(7606),
    [anon_sym__Atomic] = ACTIONS(7606),
    [anon_sym__Noreturn] = ACTIONS(7606),
    [anon_sym__Nonnull] = ACTIONS(7606),
    [anon_sym_nullable] = ACTIONS(7606),
    [anon_sym__Complex] = ACTIONS(7606),
    [anon_sym__Nullable] = ACTIONS(7606),
    [anon_sym__Nullable_result] = ACTIONS(7606),
    [anon_sym__Null_unspecified] = ACTIONS(7606),
    [anon_sym___autoreleasing] = ACTIONS(7606),
    [anon_sym___block] = ACTIONS(7606),
    [anon_sym___bridge] = ACTIONS(7606),
    [anon_sym___bridge_retained] = ACTIONS(7606),
    [anon_sym___bridge_transfer] = ACTIONS(7606),
    [anon_sym___complex] = ACTIONS(7606),
    [anon_sym___const] = ACTIONS(7606),
    [anon_sym___imag] = ACTIONS(7606),
    [anon_sym___kindof] = ACTIONS(7606),
    [anon_sym___nonnull] = ACTIONS(7606),
    [anon_sym___nullable] = ACTIONS(7606),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7606),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7606),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7606),
    [anon_sym___real] = ACTIONS(7606),
    [anon_sym___strong] = ACTIONS(7606),
    [anon_sym___unsafe_unretained] = ACTIONS(7606),
    [anon_sym___unused] = ACTIONS(7606),
    [anon_sym___weak] = ACTIONS(7606),
    [anon_sym_alignas] = ACTIONS(7606),
    [anon_sym__Alignas] = ACTIONS(7606),
    [sym_primitive_type] = ACTIONS(7606),
    [anon_sym_enum] = ACTIONS(7606),
    [anon_sym_COLON] = ACTIONS(8794),
    [anon_sym_struct] = ACTIONS(7606),
    [anon_sym_union] = ACTIONS(7606),
    [anon_sym_in] = ACTIONS(7606),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7606),
    [anon_sym___typeof] = ACTIONS(7606),
    [anon_sym_typeof] = ACTIONS(7606),
    [anon_sym_BOOL] = ACTIONS(7606),
    [anon_sym_IMP] = ACTIONS(7606),
    [anon_sym_SEL] = ACTIONS(7606),
    [anon_sym_Class] = ACTIONS(7606),
    [anon_sym_id] = ACTIONS(7606),
    [anon_sym_out] = ACTIONS(7606),
    [anon_sym_inout] = ACTIONS(7606),
    [anon_sym_bycopy] = ACTIONS(7606),
    [anon_sym_byref] = ACTIONS(7606),
    [anon_sym_oneway] = ACTIONS(7606),
  },
  [3802] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3816),
    [sym_identifier] = ACTIONS(7409),
    [anon_sym_COMMA] = ACTIONS(7411),
    [anon_sym_RPAREN] = ACTIONS(7411),
    [anon_sym_LPAREN2] = ACTIONS(7411),
    [anon_sym_STAR] = ACTIONS(7411),
    [anon_sym_CARET] = ACTIONS(7411),
    [anon_sym_GT] = ACTIONS(7411),
    [anon_sym_LT] = ACTIONS(7411),
    [anon_sym___extension__] = ACTIONS(7409),
    [anon_sym___attribute__] = ACTIONS(7409),
    [anon_sym___attribute] = ACTIONS(7409),
    [anon_sym_noreturn] = ACTIONS(7409),
    [anon_sym_LBRACK] = ACTIONS(7411),
    [anon_sym___based] = ACTIONS(7409),
    [anon_sym_LBRACE] = ACTIONS(7411),
    [anon_sym_signed] = ACTIONS(8796),
    [anon_sym_unsigned] = ACTIONS(8796),
    [anon_sym_long] = ACTIONS(8796),
    [anon_sym_short] = ACTIONS(8796),
    [anon_sym_ATautoreleasepool] = ACTIONS(7411),
    [anon_sym_const] = ACTIONS(7409),
    [anon_sym_constexpr] = ACTIONS(7409),
    [anon_sym_volatile] = ACTIONS(7409),
    [anon_sym_restrict] = ACTIONS(7409),
    [anon_sym___restrict__] = ACTIONS(7409),
    [anon_sym__Atomic] = ACTIONS(7409),
    [anon_sym__Noreturn] = ACTIONS(7409),
    [anon_sym__Nonnull] = ACTIONS(7409),
    [anon_sym_nullable] = ACTIONS(7409),
    [anon_sym__Complex] = ACTIONS(7409),
    [anon_sym__Nullable] = ACTIONS(7409),
    [anon_sym__Nullable_result] = ACTIONS(7409),
    [anon_sym__Null_unspecified] = ACTIONS(7409),
    [anon_sym___autoreleasing] = ACTIONS(7409),
    [anon_sym___block] = ACTIONS(7409),
    [anon_sym___bridge] = ACTIONS(7409),
    [anon_sym___bridge_retained] = ACTIONS(7409),
    [anon_sym___bridge_transfer] = ACTIONS(7409),
    [anon_sym___complex] = ACTIONS(7409),
    [anon_sym___const] = ACTIONS(7409),
    [anon_sym___imag] = ACTIONS(7409),
    [anon_sym___kindof] = ACTIONS(7409),
    [anon_sym___nonnull] = ACTIONS(7409),
    [anon_sym___nullable] = ACTIONS(7409),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7409),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7409),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7409),
    [anon_sym___real] = ACTIONS(7409),
    [anon_sym___strong] = ACTIONS(7409),
    [anon_sym___unsafe_unretained] = ACTIONS(7409),
    [anon_sym___unused] = ACTIONS(7409),
    [anon_sym___weak] = ACTIONS(7409),
    [anon_sym_alignas] = ACTIONS(7409),
    [anon_sym__Alignas] = ACTIONS(7409),
    [sym_primitive_type] = ACTIONS(7409),
    [anon_sym_enum] = ACTIONS(7409),
    [anon_sym_COLON] = ACTIONS(7411),
    [anon_sym_struct] = ACTIONS(7409),
    [anon_sym_union] = ACTIONS(7409),
    [anon_sym_in] = ACTIONS(7409),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7409),
    [anon_sym___typeof] = ACTIONS(7409),
    [anon_sym_typeof] = ACTIONS(7409),
    [anon_sym_BOOL] = ACTIONS(7409),
    [anon_sym_IMP] = ACTIONS(7409),
    [anon_sym_SEL] = ACTIONS(7409),
    [anon_sym_Class] = ACTIONS(7409),
    [anon_sym_id] = ACTIONS(7409),
    [anon_sym_out] = ACTIONS(7409),
    [anon_sym_inout] = ACTIONS(7409),
    [anon_sym_bycopy] = ACTIONS(7409),
    [anon_sym_byref] = ACTIONS(7409),
    [anon_sym_oneway] = ACTIONS(7409),
  },
  [3803] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3821),
    [sym_identifier] = ACTIONS(7425),
    [anon_sym_COMMA] = ACTIONS(7427),
    [anon_sym_RPAREN] = ACTIONS(7427),
    [anon_sym_LPAREN2] = ACTIONS(7427),
    [anon_sym_STAR] = ACTIONS(7427),
    [anon_sym_CARET] = ACTIONS(7427),
    [anon_sym_GT] = ACTIONS(7427),
    [anon_sym_LT] = ACTIONS(7427),
    [anon_sym___extension__] = ACTIONS(7425),
    [anon_sym___attribute__] = ACTIONS(7425),
    [anon_sym___attribute] = ACTIONS(7425),
    [anon_sym_noreturn] = ACTIONS(7425),
    [anon_sym_LBRACK] = ACTIONS(7427),
    [anon_sym___based] = ACTIONS(7425),
    [anon_sym_LBRACE] = ACTIONS(7427),
    [anon_sym_signed] = ACTIONS(8799),
    [anon_sym_unsigned] = ACTIONS(8799),
    [anon_sym_long] = ACTIONS(8799),
    [anon_sym_short] = ACTIONS(8799),
    [anon_sym_ATautoreleasepool] = ACTIONS(7427),
    [anon_sym_const] = ACTIONS(7425),
    [anon_sym_constexpr] = ACTIONS(7425),
    [anon_sym_volatile] = ACTIONS(7425),
    [anon_sym_restrict] = ACTIONS(7425),
    [anon_sym___restrict__] = ACTIONS(7425),
    [anon_sym__Atomic] = ACTIONS(7425),
    [anon_sym__Noreturn] = ACTIONS(7425),
    [anon_sym__Nonnull] = ACTIONS(7425),
    [anon_sym_nullable] = ACTIONS(7425),
    [anon_sym__Complex] = ACTIONS(7425),
    [anon_sym__Nullable] = ACTIONS(7425),
    [anon_sym__Nullable_result] = ACTIONS(7425),
    [anon_sym__Null_unspecified] = ACTIONS(7425),
    [anon_sym___autoreleasing] = ACTIONS(7425),
    [anon_sym___block] = ACTIONS(7425),
    [anon_sym___bridge] = ACTIONS(7425),
    [anon_sym___bridge_retained] = ACTIONS(7425),
    [anon_sym___bridge_transfer] = ACTIONS(7425),
    [anon_sym___complex] = ACTIONS(7425),
    [anon_sym___const] = ACTIONS(7425),
    [anon_sym___imag] = ACTIONS(7425),
    [anon_sym___kindof] = ACTIONS(7425),
    [anon_sym___nonnull] = ACTIONS(7425),
    [anon_sym___nullable] = ACTIONS(7425),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7425),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7425),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7425),
    [anon_sym___real] = ACTIONS(7425),
    [anon_sym___strong] = ACTIONS(7425),
    [anon_sym___unsafe_unretained] = ACTIONS(7425),
    [anon_sym___unused] = ACTIONS(7425),
    [anon_sym___weak] = ACTIONS(7425),
    [anon_sym_alignas] = ACTIONS(7425),
    [anon_sym__Alignas] = ACTIONS(7425),
    [sym_primitive_type] = ACTIONS(7425),
    [anon_sym_enum] = ACTIONS(7425),
    [anon_sym_COLON] = ACTIONS(7427),
    [anon_sym_struct] = ACTIONS(7425),
    [anon_sym_union] = ACTIONS(7425),
    [anon_sym_in] = ACTIONS(7425),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7425),
    [anon_sym___typeof] = ACTIONS(7425),
    [anon_sym_typeof] = ACTIONS(7425),
    [anon_sym_BOOL] = ACTIONS(7425),
    [anon_sym_IMP] = ACTIONS(7425),
    [anon_sym_SEL] = ACTIONS(7425),
    [anon_sym_Class] = ACTIONS(7425),
    [anon_sym_id] = ACTIONS(7425),
    [anon_sym_out] = ACTIONS(7425),
    [anon_sym_inout] = ACTIONS(7425),
    [anon_sym_bycopy] = ACTIONS(7425),
    [anon_sym_byref] = ACTIONS(7425),
    [anon_sym_oneway] = ACTIONS(7425),
  },
  [3804] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3798),
    [sym_identifier] = ACTIONS(7197),
    [anon_sym_COMMA] = ACTIONS(7199),
    [anon_sym_RPAREN] = ACTIONS(7199),
    [anon_sym_LPAREN2] = ACTIONS(7199),
    [anon_sym_STAR] = ACTIONS(7199),
    [anon_sym_CARET] = ACTIONS(7199),
    [anon_sym_GT] = ACTIONS(7199),
    [anon_sym_LT] = ACTIONS(7199),
    [anon_sym___extension__] = ACTIONS(7197),
    [anon_sym___attribute__] = ACTIONS(7197),
    [anon_sym___attribute] = ACTIONS(7197),
    [anon_sym_noreturn] = ACTIONS(7197),
    [anon_sym_LBRACK] = ACTIONS(7199),
    [anon_sym___based] = ACTIONS(7197),
    [anon_sym_LBRACE] = ACTIONS(7199),
    [anon_sym_signed] = ACTIONS(8802),
    [anon_sym_unsigned] = ACTIONS(8802),
    [anon_sym_long] = ACTIONS(8802),
    [anon_sym_short] = ACTIONS(8802),
    [anon_sym_ATautoreleasepool] = ACTIONS(7199),
    [anon_sym_const] = ACTIONS(7197),
    [anon_sym_constexpr] = ACTIONS(7197),
    [anon_sym_volatile] = ACTIONS(7197),
    [anon_sym_restrict] = ACTIONS(7197),
    [anon_sym___restrict__] = ACTIONS(7197),
    [anon_sym__Atomic] = ACTIONS(7197),
    [anon_sym__Noreturn] = ACTIONS(7197),
    [anon_sym__Nonnull] = ACTIONS(7197),
    [anon_sym_nullable] = ACTIONS(7197),
    [anon_sym__Complex] = ACTIONS(7197),
    [anon_sym__Nullable] = ACTIONS(7197),
    [anon_sym__Nullable_result] = ACTIONS(7197),
    [anon_sym__Null_unspecified] = ACTIONS(7197),
    [anon_sym___autoreleasing] = ACTIONS(7197),
    [anon_sym___block] = ACTIONS(7197),
    [anon_sym___bridge] = ACTIONS(7197),
    [anon_sym___bridge_retained] = ACTIONS(7197),
    [anon_sym___bridge_transfer] = ACTIONS(7197),
    [anon_sym___complex] = ACTIONS(7197),
    [anon_sym___const] = ACTIONS(7197),
    [anon_sym___imag] = ACTIONS(7197),
    [anon_sym___kindof] = ACTIONS(7197),
    [anon_sym___nonnull] = ACTIONS(7197),
    [anon_sym___nullable] = ACTIONS(7197),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7197),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7197),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7197),
    [anon_sym___real] = ACTIONS(7197),
    [anon_sym___strong] = ACTIONS(7197),
    [anon_sym___unsafe_unretained] = ACTIONS(7197),
    [anon_sym___unused] = ACTIONS(7197),
    [anon_sym___weak] = ACTIONS(7197),
    [anon_sym_alignas] = ACTIONS(7197),
    [anon_sym__Alignas] = ACTIONS(7197),
    [sym_primitive_type] = ACTIONS(7197),
    [anon_sym_enum] = ACTIONS(7197),
    [anon_sym_COLON] = ACTIONS(7199),
    [anon_sym_struct] = ACTIONS(7197),
    [anon_sym_union] = ACTIONS(7197),
    [anon_sym_in] = ACTIONS(7197),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7197),
    [anon_sym___typeof] = ACTIONS(7197),
    [anon_sym_typeof] = ACTIONS(7197),
    [anon_sym_BOOL] = ACTIONS(7197),
    [anon_sym_IMP] = ACTIONS(7197),
    [anon_sym_SEL] = ACTIONS(7197),
    [anon_sym_Class] = ACTIONS(7197),
    [anon_sym_id] = ACTIONS(7197),
    [anon_sym_out] = ACTIONS(7197),
    [anon_sym_inout] = ACTIONS(7197),
    [anon_sym_bycopy] = ACTIONS(7197),
    [anon_sym_byref] = ACTIONS(7197),
    [anon_sym_oneway] = ACTIONS(7197),
  },
  [3805] = {
    [sym_attribute_specifier] = STATE(3848),
    [sym_enumerator_list] = STATE(3965),
    [sym_identifier] = ACTIONS(7591),
    [anon_sym_COMMA] = ACTIONS(7593),
    [anon_sym_RPAREN] = ACTIONS(7593),
    [anon_sym_LPAREN2] = ACTIONS(7593),
    [anon_sym_STAR] = ACTIONS(7593),
    [anon_sym_CARET] = ACTIONS(7593),
    [anon_sym_GT] = ACTIONS(7593),
    [anon_sym_LT] = ACTIONS(7593),
    [anon_sym___extension__] = ACTIONS(7591),
    [anon_sym___attribute__] = ACTIONS(8805),
    [anon_sym___attribute] = ACTIONS(8805),
    [anon_sym_noreturn] = ACTIONS(7591),
    [anon_sym_LBRACK] = ACTIONS(7593),
    [anon_sym___based] = ACTIONS(7591),
    [anon_sym_LBRACE] = ACTIONS(8792),
    [anon_sym_signed] = ACTIONS(7591),
    [anon_sym_unsigned] = ACTIONS(7591),
    [anon_sym_long] = ACTIONS(7591),
    [anon_sym_short] = ACTIONS(7591),
    [anon_sym_const] = ACTIONS(7591),
    [anon_sym_constexpr] = ACTIONS(7591),
    [anon_sym_volatile] = ACTIONS(7591),
    [anon_sym_restrict] = ACTIONS(7591),
    [anon_sym___restrict__] = ACTIONS(7591),
    [anon_sym__Atomic] = ACTIONS(7591),
    [anon_sym__Noreturn] = ACTIONS(7591),
    [anon_sym__Nonnull] = ACTIONS(7591),
    [anon_sym_nullable] = ACTIONS(7591),
    [anon_sym__Complex] = ACTIONS(7591),
    [anon_sym__Nullable] = ACTIONS(7591),
    [anon_sym__Nullable_result] = ACTIONS(7591),
    [anon_sym__Null_unspecified] = ACTIONS(7591),
    [anon_sym___autoreleasing] = ACTIONS(7591),
    [anon_sym___block] = ACTIONS(7591),
    [anon_sym___bridge] = ACTIONS(7591),
    [anon_sym___bridge_retained] = ACTIONS(7591),
    [anon_sym___bridge_transfer] = ACTIONS(7591),
    [anon_sym___complex] = ACTIONS(7591),
    [anon_sym___const] = ACTIONS(7591),
    [anon_sym___imag] = ACTIONS(7591),
    [anon_sym___kindof] = ACTIONS(7591),
    [anon_sym___nonnull] = ACTIONS(7591),
    [anon_sym___nullable] = ACTIONS(7591),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7591),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7591),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7591),
    [anon_sym___real] = ACTIONS(7591),
    [anon_sym___strong] = ACTIONS(7591),
    [anon_sym___unsafe_unretained] = ACTIONS(7591),
    [anon_sym___unused] = ACTIONS(7591),
    [anon_sym___weak] = ACTIONS(7591),
    [anon_sym_alignas] = ACTIONS(7591),
    [anon_sym__Alignas] = ACTIONS(7591),
    [sym_primitive_type] = ACTIONS(7591),
    [anon_sym_enum] = ACTIONS(7591),
    [anon_sym_COLON] = ACTIONS(8808),
    [anon_sym_struct] = ACTIONS(7591),
    [anon_sym_union] = ACTIONS(7591),
    [anon_sym_in] = ACTIONS(7591),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7591),
    [anon_sym___typeof] = ACTIONS(7591),
    [anon_sym_typeof] = ACTIONS(7591),
    [anon_sym_BOOL] = ACTIONS(7591),
    [anon_sym_IMP] = ACTIONS(7591),
    [anon_sym_SEL] = ACTIONS(7591),
    [anon_sym_Class] = ACTIONS(7591),
    [anon_sym_id] = ACTIONS(7591),
    [anon_sym_out] = ACTIONS(7591),
    [anon_sym_inout] = ACTIONS(7591),
    [anon_sym_bycopy] = ACTIONS(7591),
    [anon_sym_byref] = ACTIONS(7591),
    [anon_sym_oneway] = ACTIONS(7591),
  },
  [3806] = {
    [sym_attribute_specifier] = STATE(3890),
    [sym_enumerator_list] = STATE(3976),
    [sym_identifier] = ACTIONS(7616),
    [anon_sym_COMMA] = ACTIONS(7618),
    [anon_sym_RPAREN] = ACTIONS(7618),
    [anon_sym_LPAREN2] = ACTIONS(7618),
    [anon_sym_STAR] = ACTIONS(7618),
    [anon_sym_CARET] = ACTIONS(7618),
    [anon_sym_GT] = ACTIONS(7618),
    [anon_sym_LT] = ACTIONS(7618),
    [anon_sym___extension__] = ACTIONS(7616),
    [anon_sym___attribute__] = ACTIONS(8810),
    [anon_sym___attribute] = ACTIONS(8810),
    [anon_sym_noreturn] = ACTIONS(7616),
    [anon_sym_LBRACK] = ACTIONS(7618),
    [anon_sym___based] = ACTIONS(7616),
    [anon_sym_LBRACE] = ACTIONS(8792),
    [anon_sym_signed] = ACTIONS(7616),
    [anon_sym_unsigned] = ACTIONS(7616),
    [anon_sym_long] = ACTIONS(7616),
    [anon_sym_short] = ACTIONS(7616),
    [anon_sym_const] = ACTIONS(7616),
    [anon_sym_constexpr] = ACTIONS(7616),
    [anon_sym_volatile] = ACTIONS(7616),
    [anon_sym_restrict] = ACTIONS(7616),
    [anon_sym___restrict__] = ACTIONS(7616),
    [anon_sym__Atomic] = ACTIONS(7616),
    [anon_sym__Noreturn] = ACTIONS(7616),
    [anon_sym__Nonnull] = ACTIONS(7616),
    [anon_sym_nullable] = ACTIONS(7616),
    [anon_sym__Complex] = ACTIONS(7616),
    [anon_sym__Nullable] = ACTIONS(7616),
    [anon_sym__Nullable_result] = ACTIONS(7616),
    [anon_sym__Null_unspecified] = ACTIONS(7616),
    [anon_sym___autoreleasing] = ACTIONS(7616),
    [anon_sym___block] = ACTIONS(7616),
    [anon_sym___bridge] = ACTIONS(7616),
    [anon_sym___bridge_retained] = ACTIONS(7616),
    [anon_sym___bridge_transfer] = ACTIONS(7616),
    [anon_sym___complex] = ACTIONS(7616),
    [anon_sym___const] = ACTIONS(7616),
    [anon_sym___imag] = ACTIONS(7616),
    [anon_sym___kindof] = ACTIONS(7616),
    [anon_sym___nonnull] = ACTIONS(7616),
    [anon_sym___nullable] = ACTIONS(7616),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7616),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7616),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7616),
    [anon_sym___real] = ACTIONS(7616),
    [anon_sym___strong] = ACTIONS(7616),
    [anon_sym___unsafe_unretained] = ACTIONS(7616),
    [anon_sym___unused] = ACTIONS(7616),
    [anon_sym___weak] = ACTIONS(7616),
    [anon_sym_alignas] = ACTIONS(7616),
    [anon_sym__Alignas] = ACTIONS(7616),
    [sym_primitive_type] = ACTIONS(7616),
    [anon_sym_enum] = ACTIONS(7616),
    [anon_sym_COLON] = ACTIONS(8813),
    [anon_sym_struct] = ACTIONS(7616),
    [anon_sym_union] = ACTIONS(7616),
    [anon_sym_in] = ACTIONS(7616),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7616),
    [anon_sym___typeof] = ACTIONS(7616),
    [anon_sym_typeof] = ACTIONS(7616),
    [anon_sym_BOOL] = ACTIONS(7616),
    [anon_sym_IMP] = ACTIONS(7616),
    [anon_sym_SEL] = ACTIONS(7616),
    [anon_sym_Class] = ACTIONS(7616),
    [anon_sym_id] = ACTIONS(7616),
    [anon_sym_out] = ACTIONS(7616),
    [anon_sym_inout] = ACTIONS(7616),
    [anon_sym_bycopy] = ACTIONS(7616),
    [anon_sym_byref] = ACTIONS(7616),
    [anon_sym_oneway] = ACTIONS(7616),
  },
  [3807] = {
    [sym_attribute_specifier] = STATE(3893),
    [sym_identifier] = ACTIONS(7127),
    [anon_sym_COMMA] = ACTIONS(7129),
    [anon_sym_RPAREN] = ACTIONS(7129),
    [anon_sym_LPAREN2] = ACTIONS(7129),
    [anon_sym_STAR] = ACTIONS(7129),
    [anon_sym_CARET] = ACTIONS(7129),
    [anon_sym_GT] = ACTIONS(7129),
    [anon_sym_LT] = ACTIONS(7129),
    [anon_sym___extension__] = ACTIONS(7127),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7127),
    [anon_sym_LBRACK] = ACTIONS(7129),
    [anon_sym___based] = ACTIONS(7127),
    [anon_sym_LBRACE] = ACTIONS(7129),
    [anon_sym_signed] = ACTIONS(7127),
    [anon_sym_unsigned] = ACTIONS(7127),
    [anon_sym_long] = ACTIONS(7127),
    [anon_sym_short] = ACTIONS(7127),
    [anon_sym_ATautoreleasepool] = ACTIONS(7129),
    [anon_sym_const] = ACTIONS(7127),
    [anon_sym_constexpr] = ACTIONS(7127),
    [anon_sym_volatile] = ACTIONS(7127),
    [anon_sym_restrict] = ACTIONS(7127),
    [anon_sym___restrict__] = ACTIONS(7127),
    [anon_sym__Atomic] = ACTIONS(7127),
    [anon_sym__Noreturn] = ACTIONS(7127),
    [anon_sym__Nonnull] = ACTIONS(7127),
    [anon_sym_nullable] = ACTIONS(7127),
    [anon_sym__Complex] = ACTIONS(7127),
    [anon_sym__Nullable] = ACTIONS(7127),
    [anon_sym__Nullable_result] = ACTIONS(7127),
    [anon_sym__Null_unspecified] = ACTIONS(7127),
    [anon_sym___autoreleasing] = ACTIONS(7127),
    [anon_sym___block] = ACTIONS(7127),
    [anon_sym___bridge] = ACTIONS(7127),
    [anon_sym___bridge_retained] = ACTIONS(7127),
    [anon_sym___bridge_transfer] = ACTIONS(7127),
    [anon_sym___complex] = ACTIONS(7127),
    [anon_sym___const] = ACTIONS(7127),
    [anon_sym___imag] = ACTIONS(7127),
    [anon_sym___kindof] = ACTIONS(7127),
    [anon_sym___nonnull] = ACTIONS(7127),
    [anon_sym___nullable] = ACTIONS(7127),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7127),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7127),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7127),
    [anon_sym___real] = ACTIONS(7127),
    [anon_sym___strong] = ACTIONS(7127),
    [anon_sym___unsafe_unretained] = ACTIONS(7127),
    [anon_sym___unused] = ACTIONS(7127),
    [anon_sym___weak] = ACTIONS(7127),
    [anon_sym_alignas] = ACTIONS(7127),
    [anon_sym__Alignas] = ACTIONS(7127),
    [sym_primitive_type] = ACTIONS(7127),
    [anon_sym_enum] = ACTIONS(7127),
    [anon_sym_COLON] = ACTIONS(7129),
    [anon_sym_struct] = ACTIONS(7127),
    [anon_sym_union] = ACTIONS(7127),
    [anon_sym_in] = ACTIONS(7127),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7127),
    [anon_sym___typeof] = ACTIONS(7127),
    [anon_sym_typeof] = ACTIONS(7127),
    [anon_sym_BOOL] = ACTIONS(7127),
    [anon_sym_IMP] = ACTIONS(7127),
    [anon_sym_SEL] = ACTIONS(7127),
    [anon_sym_Class] = ACTIONS(7127),
    [anon_sym_id] = ACTIONS(7127),
    [anon_sym_out] = ACTIONS(7127),
    [anon_sym_inout] = ACTIONS(7127),
    [anon_sym_bycopy] = ACTIONS(7127),
    [anon_sym_byref] = ACTIONS(7127),
    [anon_sym_oneway] = ACTIONS(7127),
  },
  [3808] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3799),
    [sym_identifier] = ACTIONS(7229),
    [anon_sym_COMMA] = ACTIONS(7231),
    [anon_sym_RPAREN] = ACTIONS(7231),
    [anon_sym_LPAREN2] = ACTIONS(7231),
    [anon_sym_STAR] = ACTIONS(7231),
    [anon_sym_CARET] = ACTIONS(7231),
    [anon_sym_GT] = ACTIONS(7231),
    [anon_sym_LT] = ACTIONS(7231),
    [anon_sym___extension__] = ACTIONS(7229),
    [anon_sym___attribute__] = ACTIONS(7229),
    [anon_sym___attribute] = ACTIONS(7229),
    [anon_sym_noreturn] = ACTIONS(7229),
    [anon_sym_LBRACK] = ACTIONS(7231),
    [anon_sym___based] = ACTIONS(7229),
    [anon_sym_LBRACE] = ACTIONS(7231),
    [anon_sym_signed] = ACTIONS(8815),
    [anon_sym_unsigned] = ACTIONS(8815),
    [anon_sym_long] = ACTIONS(8815),
    [anon_sym_short] = ACTIONS(8815),
    [anon_sym_ATautoreleasepool] = ACTIONS(7231),
    [anon_sym_const] = ACTIONS(7229),
    [anon_sym_constexpr] = ACTIONS(7229),
    [anon_sym_volatile] = ACTIONS(7229),
    [anon_sym_restrict] = ACTIONS(7229),
    [anon_sym___restrict__] = ACTIONS(7229),
    [anon_sym__Atomic] = ACTIONS(7229),
    [anon_sym__Noreturn] = ACTIONS(7229),
    [anon_sym__Nonnull] = ACTIONS(7229),
    [anon_sym_nullable] = ACTIONS(7229),
    [anon_sym__Complex] = ACTIONS(7229),
    [anon_sym__Nullable] = ACTIONS(7229),
    [anon_sym__Nullable_result] = ACTIONS(7229),
    [anon_sym__Null_unspecified] = ACTIONS(7229),
    [anon_sym___autoreleasing] = ACTIONS(7229),
    [anon_sym___block] = ACTIONS(7229),
    [anon_sym___bridge] = ACTIONS(7229),
    [anon_sym___bridge_retained] = ACTIONS(7229),
    [anon_sym___bridge_transfer] = ACTIONS(7229),
    [anon_sym___complex] = ACTIONS(7229),
    [anon_sym___const] = ACTIONS(7229),
    [anon_sym___imag] = ACTIONS(7229),
    [anon_sym___kindof] = ACTIONS(7229),
    [anon_sym___nonnull] = ACTIONS(7229),
    [anon_sym___nullable] = ACTIONS(7229),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7229),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7229),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7229),
    [anon_sym___real] = ACTIONS(7229),
    [anon_sym___strong] = ACTIONS(7229),
    [anon_sym___unsafe_unretained] = ACTIONS(7229),
    [anon_sym___unused] = ACTIONS(7229),
    [anon_sym___weak] = ACTIONS(7229),
    [anon_sym_alignas] = ACTIONS(7229),
    [anon_sym__Alignas] = ACTIONS(7229),
    [sym_primitive_type] = ACTIONS(7229),
    [anon_sym_enum] = ACTIONS(7229),
    [anon_sym_COLON] = ACTIONS(7231),
    [anon_sym_struct] = ACTIONS(7229),
    [anon_sym_union] = ACTIONS(7229),
    [anon_sym_in] = ACTIONS(7229),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7229),
    [anon_sym___typeof] = ACTIONS(7229),
    [anon_sym_typeof] = ACTIONS(7229),
    [anon_sym_BOOL] = ACTIONS(7229),
    [anon_sym_IMP] = ACTIONS(7229),
    [anon_sym_SEL] = ACTIONS(7229),
    [anon_sym_Class] = ACTIONS(7229),
    [anon_sym_id] = ACTIONS(7229),
    [anon_sym_out] = ACTIONS(7229),
    [anon_sym_inout] = ACTIONS(7229),
    [anon_sym_bycopy] = ACTIONS(7229),
    [anon_sym_byref] = ACTIONS(7229),
    [anon_sym_oneway] = ACTIONS(7229),
  },
  [3809] = {
    [sym_attribute_specifier] = STATE(3895),
    [sym_identifier] = ACTIONS(7084),
    [anon_sym_COMMA] = ACTIONS(7086),
    [anon_sym_RPAREN] = ACTIONS(7086),
    [anon_sym_LPAREN2] = ACTIONS(7086),
    [anon_sym_STAR] = ACTIONS(7086),
    [anon_sym_CARET] = ACTIONS(7086),
    [anon_sym_GT] = ACTIONS(7086),
    [anon_sym_LT] = ACTIONS(7086),
    [anon_sym___extension__] = ACTIONS(7084),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7084),
    [anon_sym_LBRACK] = ACTIONS(7086),
    [anon_sym___based] = ACTIONS(7084),
    [anon_sym_LBRACE] = ACTIONS(7086),
    [anon_sym_signed] = ACTIONS(7084),
    [anon_sym_unsigned] = ACTIONS(7084),
    [anon_sym_long] = ACTIONS(7084),
    [anon_sym_short] = ACTIONS(7084),
    [anon_sym_ATautoreleasepool] = ACTIONS(7086),
    [anon_sym_const] = ACTIONS(7084),
    [anon_sym_constexpr] = ACTIONS(7084),
    [anon_sym_volatile] = ACTIONS(7084),
    [anon_sym_restrict] = ACTIONS(7084),
    [anon_sym___restrict__] = ACTIONS(7084),
    [anon_sym__Atomic] = ACTIONS(7084),
    [anon_sym__Noreturn] = ACTIONS(7084),
    [anon_sym__Nonnull] = ACTIONS(7084),
    [anon_sym_nullable] = ACTIONS(7084),
    [anon_sym__Complex] = ACTIONS(7084),
    [anon_sym__Nullable] = ACTIONS(7084),
    [anon_sym__Nullable_result] = ACTIONS(7084),
    [anon_sym__Null_unspecified] = ACTIONS(7084),
    [anon_sym___autoreleasing] = ACTIONS(7084),
    [anon_sym___block] = ACTIONS(7084),
    [anon_sym___bridge] = ACTIONS(7084),
    [anon_sym___bridge_retained] = ACTIONS(7084),
    [anon_sym___bridge_transfer] = ACTIONS(7084),
    [anon_sym___complex] = ACTIONS(7084),
    [anon_sym___const] = ACTIONS(7084),
    [anon_sym___imag] = ACTIONS(7084),
    [anon_sym___kindof] = ACTIONS(7084),
    [anon_sym___nonnull] = ACTIONS(7084),
    [anon_sym___nullable] = ACTIONS(7084),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7084),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7084),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7084),
    [anon_sym___real] = ACTIONS(7084),
    [anon_sym___strong] = ACTIONS(7084),
    [anon_sym___unsafe_unretained] = ACTIONS(7084),
    [anon_sym___unused] = ACTIONS(7084),
    [anon_sym___weak] = ACTIONS(7084),
    [anon_sym_alignas] = ACTIONS(7084),
    [anon_sym__Alignas] = ACTIONS(7084),
    [sym_primitive_type] = ACTIONS(7084),
    [anon_sym_enum] = ACTIONS(7084),
    [anon_sym_COLON] = ACTIONS(7086),
    [anon_sym_struct] = ACTIONS(7084),
    [anon_sym_union] = ACTIONS(7084),
    [anon_sym_in] = ACTIONS(7084),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7084),
    [anon_sym___typeof] = ACTIONS(7084),
    [anon_sym_typeof] = ACTIONS(7084),
    [anon_sym_BOOL] = ACTIONS(7084),
    [anon_sym_IMP] = ACTIONS(7084),
    [anon_sym_SEL] = ACTIONS(7084),
    [anon_sym_Class] = ACTIONS(7084),
    [anon_sym_id] = ACTIONS(7084),
    [anon_sym_out] = ACTIONS(7084),
    [anon_sym_inout] = ACTIONS(7084),
    [anon_sym_bycopy] = ACTIONS(7084),
    [anon_sym_byref] = ACTIONS(7084),
    [anon_sym_oneway] = ACTIONS(7084),
  },
  [3810] = {
    [sym_attribute_specifier] = STATE(3896),
    [sym_identifier] = ACTIONS(7147),
    [anon_sym_COMMA] = ACTIONS(7149),
    [anon_sym_RPAREN] = ACTIONS(7149),
    [anon_sym_LPAREN2] = ACTIONS(7149),
    [anon_sym_STAR] = ACTIONS(7149),
    [anon_sym_CARET] = ACTIONS(7149),
    [anon_sym_GT] = ACTIONS(7149),
    [anon_sym_LT] = ACTIONS(7149),
    [anon_sym___extension__] = ACTIONS(7147),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7147),
    [anon_sym_LBRACK] = ACTIONS(7149),
    [anon_sym___based] = ACTIONS(7147),
    [anon_sym_LBRACE] = ACTIONS(7149),
    [anon_sym_signed] = ACTIONS(7147),
    [anon_sym_unsigned] = ACTIONS(7147),
    [anon_sym_long] = ACTIONS(7147),
    [anon_sym_short] = ACTIONS(7147),
    [anon_sym_ATautoreleasepool] = ACTIONS(7149),
    [anon_sym_const] = ACTIONS(7147),
    [anon_sym_constexpr] = ACTIONS(7147),
    [anon_sym_volatile] = ACTIONS(7147),
    [anon_sym_restrict] = ACTIONS(7147),
    [anon_sym___restrict__] = ACTIONS(7147),
    [anon_sym__Atomic] = ACTIONS(7147),
    [anon_sym__Noreturn] = ACTIONS(7147),
    [anon_sym__Nonnull] = ACTIONS(7147),
    [anon_sym_nullable] = ACTIONS(7147),
    [anon_sym__Complex] = ACTIONS(7147),
    [anon_sym__Nullable] = ACTIONS(7147),
    [anon_sym__Nullable_result] = ACTIONS(7147),
    [anon_sym__Null_unspecified] = ACTIONS(7147),
    [anon_sym___autoreleasing] = ACTIONS(7147),
    [anon_sym___block] = ACTIONS(7147),
    [anon_sym___bridge] = ACTIONS(7147),
    [anon_sym___bridge_retained] = ACTIONS(7147),
    [anon_sym___bridge_transfer] = ACTIONS(7147),
    [anon_sym___complex] = ACTIONS(7147),
    [anon_sym___const] = ACTIONS(7147),
    [anon_sym___imag] = ACTIONS(7147),
    [anon_sym___kindof] = ACTIONS(7147),
    [anon_sym___nonnull] = ACTIONS(7147),
    [anon_sym___nullable] = ACTIONS(7147),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7147),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7147),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7147),
    [anon_sym___real] = ACTIONS(7147),
    [anon_sym___strong] = ACTIONS(7147),
    [anon_sym___unsafe_unretained] = ACTIONS(7147),
    [anon_sym___unused] = ACTIONS(7147),
    [anon_sym___weak] = ACTIONS(7147),
    [anon_sym_alignas] = ACTIONS(7147),
    [anon_sym__Alignas] = ACTIONS(7147),
    [sym_primitive_type] = ACTIONS(7147),
    [anon_sym_enum] = ACTIONS(7147),
    [anon_sym_COLON] = ACTIONS(7149),
    [anon_sym_struct] = ACTIONS(7147),
    [anon_sym_union] = ACTIONS(7147),
    [anon_sym_in] = ACTIONS(7147),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7147),
    [anon_sym___typeof] = ACTIONS(7147),
    [anon_sym_typeof] = ACTIONS(7147),
    [anon_sym_BOOL] = ACTIONS(7147),
    [anon_sym_IMP] = ACTIONS(7147),
    [anon_sym_SEL] = ACTIONS(7147),
    [anon_sym_Class] = ACTIONS(7147),
    [anon_sym_id] = ACTIONS(7147),
    [anon_sym_out] = ACTIONS(7147),
    [anon_sym_inout] = ACTIONS(7147),
    [anon_sym_bycopy] = ACTIONS(7147),
    [anon_sym_byref] = ACTIONS(7147),
    [anon_sym_oneway] = ACTIONS(7147),
  },
  [3811] = {
    [sym_attribute_specifier] = STATE(3900),
    [sym_identifier] = ACTIONS(7111),
    [anon_sym_COMMA] = ACTIONS(7113),
    [anon_sym_RPAREN] = ACTIONS(7113),
    [anon_sym_LPAREN2] = ACTIONS(7113),
    [anon_sym_STAR] = ACTIONS(7113),
    [anon_sym_CARET] = ACTIONS(7113),
    [anon_sym_GT] = ACTIONS(7113),
    [anon_sym_LT] = ACTIONS(7113),
    [anon_sym___extension__] = ACTIONS(7111),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7111),
    [anon_sym_LBRACK] = ACTIONS(7113),
    [anon_sym___based] = ACTIONS(7111),
    [anon_sym_LBRACE] = ACTIONS(7113),
    [anon_sym_signed] = ACTIONS(7111),
    [anon_sym_unsigned] = ACTIONS(7111),
    [anon_sym_long] = ACTIONS(7111),
    [anon_sym_short] = ACTIONS(7111),
    [anon_sym_ATautoreleasepool] = ACTIONS(7113),
    [anon_sym_const] = ACTIONS(7111),
    [anon_sym_constexpr] = ACTIONS(7111),
    [anon_sym_volatile] = ACTIONS(7111),
    [anon_sym_restrict] = ACTIONS(7111),
    [anon_sym___restrict__] = ACTIONS(7111),
    [anon_sym__Atomic] = ACTIONS(7111),
    [anon_sym__Noreturn] = ACTIONS(7111),
    [anon_sym__Nonnull] = ACTIONS(7111),
    [anon_sym_nullable] = ACTIONS(7111),
    [anon_sym__Complex] = ACTIONS(7111),
    [anon_sym__Nullable] = ACTIONS(7111),
    [anon_sym__Nullable_result] = ACTIONS(7111),
    [anon_sym__Null_unspecified] = ACTIONS(7111),
    [anon_sym___autoreleasing] = ACTIONS(7111),
    [anon_sym___block] = ACTIONS(7111),
    [anon_sym___bridge] = ACTIONS(7111),
    [anon_sym___bridge_retained] = ACTIONS(7111),
    [anon_sym___bridge_transfer] = ACTIONS(7111),
    [anon_sym___complex] = ACTIONS(7111),
    [anon_sym___const] = ACTIONS(7111),
    [anon_sym___imag] = ACTIONS(7111),
    [anon_sym___kindof] = ACTIONS(7111),
    [anon_sym___nonnull] = ACTIONS(7111),
    [anon_sym___nullable] = ACTIONS(7111),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7111),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7111),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7111),
    [anon_sym___real] = ACTIONS(7111),
    [anon_sym___strong] = ACTIONS(7111),
    [anon_sym___unsafe_unretained] = ACTIONS(7111),
    [anon_sym___unused] = ACTIONS(7111),
    [anon_sym___weak] = ACTIONS(7111),
    [anon_sym_alignas] = ACTIONS(7111),
    [anon_sym__Alignas] = ACTIONS(7111),
    [sym_primitive_type] = ACTIONS(7111),
    [anon_sym_enum] = ACTIONS(7111),
    [anon_sym_COLON] = ACTIONS(7113),
    [anon_sym_struct] = ACTIONS(7111),
    [anon_sym_union] = ACTIONS(7111),
    [anon_sym_in] = ACTIONS(7111),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7111),
    [anon_sym___typeof] = ACTIONS(7111),
    [anon_sym_typeof] = ACTIONS(7111),
    [anon_sym_BOOL] = ACTIONS(7111),
    [anon_sym_IMP] = ACTIONS(7111),
    [anon_sym_SEL] = ACTIONS(7111),
    [anon_sym_Class] = ACTIONS(7111),
    [anon_sym_id] = ACTIONS(7111),
    [anon_sym_out] = ACTIONS(7111),
    [anon_sym_inout] = ACTIONS(7111),
    [anon_sym_bycopy] = ACTIONS(7111),
    [anon_sym_byref] = ACTIONS(7111),
    [anon_sym_oneway] = ACTIONS(7111),
  },
  [3812] = {
    [sym_protocol_reference_list] = STATE(3879),
    [sym_identifier] = ACTIONS(6324),
    [anon_sym_COMMA] = ACTIONS(6326),
    [anon_sym_RPAREN] = ACTIONS(6326),
    [anon_sym_LPAREN2] = ACTIONS(6326),
    [anon_sym_STAR] = ACTIONS(6326),
    [anon_sym_CARET] = ACTIONS(6326),
    [anon_sym_GT] = ACTIONS(6326),
    [anon_sym_LT] = ACTIONS(8818),
    [anon_sym___extension__] = ACTIONS(6324),
    [anon_sym___attribute__] = ACTIONS(6324),
    [anon_sym___attribute] = ACTIONS(6324),
    [anon_sym_noreturn] = ACTIONS(6324),
    [anon_sym_LBRACK] = ACTIONS(6326),
    [anon_sym___based] = ACTIONS(6324),
    [anon_sym_LBRACE] = ACTIONS(6326),
    [anon_sym_signed] = ACTIONS(6324),
    [anon_sym_unsigned] = ACTIONS(6324),
    [anon_sym_long] = ACTIONS(6324),
    [anon_sym_short] = ACTIONS(6324),
    [anon_sym_ATautoreleasepool] = ACTIONS(6326),
    [anon_sym_const] = ACTIONS(6324),
    [anon_sym_constexpr] = ACTIONS(6324),
    [anon_sym_volatile] = ACTIONS(6324),
    [anon_sym_restrict] = ACTIONS(6324),
    [anon_sym___restrict__] = ACTIONS(6324),
    [anon_sym__Atomic] = ACTIONS(6324),
    [anon_sym__Noreturn] = ACTIONS(6324),
    [anon_sym__Nonnull] = ACTIONS(6324),
    [anon_sym_nullable] = ACTIONS(6324),
    [anon_sym__Complex] = ACTIONS(6324),
    [anon_sym__Nullable] = ACTIONS(6324),
    [anon_sym__Nullable_result] = ACTIONS(6324),
    [anon_sym__Null_unspecified] = ACTIONS(6324),
    [anon_sym___autoreleasing] = ACTIONS(6324),
    [anon_sym___block] = ACTIONS(6324),
    [anon_sym___bridge] = ACTIONS(6324),
    [anon_sym___bridge_retained] = ACTIONS(6324),
    [anon_sym___bridge_transfer] = ACTIONS(6324),
    [anon_sym___complex] = ACTIONS(6324),
    [anon_sym___const] = ACTIONS(6324),
    [anon_sym___imag] = ACTIONS(6324),
    [anon_sym___kindof] = ACTIONS(6324),
    [anon_sym___nonnull] = ACTIONS(6324),
    [anon_sym___nullable] = ACTIONS(6324),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6324),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6324),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6324),
    [anon_sym___real] = ACTIONS(6324),
    [anon_sym___strong] = ACTIONS(6324),
    [anon_sym___unsafe_unretained] = ACTIONS(6324),
    [anon_sym___unused] = ACTIONS(6324),
    [anon_sym___weak] = ACTIONS(6324),
    [anon_sym_alignas] = ACTIONS(6324),
    [anon_sym__Alignas] = ACTIONS(6324),
    [sym_primitive_type] = ACTIONS(6324),
    [anon_sym_enum] = ACTIONS(6324),
    [anon_sym_COLON] = ACTIONS(6326),
    [anon_sym_struct] = ACTIONS(6324),
    [anon_sym_union] = ACTIONS(6324),
    [anon_sym_in] = ACTIONS(6324),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6324),
    [anon_sym___typeof] = ACTIONS(6324),
    [anon_sym_typeof] = ACTIONS(6324),
    [anon_sym_BOOL] = ACTIONS(6324),
    [anon_sym_IMP] = ACTIONS(6324),
    [anon_sym_SEL] = ACTIONS(6324),
    [anon_sym_Class] = ACTIONS(6324),
    [anon_sym_id] = ACTIONS(6324),
    [anon_sym_out] = ACTIONS(6324),
    [anon_sym_inout] = ACTIONS(6324),
    [anon_sym_bycopy] = ACTIONS(6324),
    [anon_sym_byref] = ACTIONS(6324),
    [anon_sym_oneway] = ACTIONS(6324),
  },
  [3813] = {
    [sym_attribute_specifier] = STATE(3813),
    [aux_sym_function_declarator_repeat1] = STATE(3813),
    [sym_identifier] = ACTIONS(6705),
    [anon_sym_COMMA] = ACTIONS(6707),
    [anon_sym_RPAREN] = ACTIONS(6707),
    [anon_sym_LPAREN2] = ACTIONS(6707),
    [anon_sym_STAR] = ACTIONS(6707),
    [anon_sym_CARET] = ACTIONS(6707),
    [anon_sym_GT] = ACTIONS(6707),
    [anon_sym_LT] = ACTIONS(6707),
    [anon_sym___extension__] = ACTIONS(6705),
    [anon_sym___attribute__] = ACTIONS(8820),
    [anon_sym___attribute] = ACTIONS(8820),
    [anon_sym_noreturn] = ACTIONS(6705),
    [anon_sym_LBRACK] = ACTIONS(6707),
    [anon_sym___based] = ACTIONS(6705),
    [anon_sym_LBRACE] = ACTIONS(6707),
    [anon_sym_signed] = ACTIONS(6705),
    [anon_sym_unsigned] = ACTIONS(6705),
    [anon_sym_long] = ACTIONS(6705),
    [anon_sym_short] = ACTIONS(6705),
    [anon_sym_ATautoreleasepool] = ACTIONS(6707),
    [anon_sym_const] = ACTIONS(6705),
    [anon_sym_constexpr] = ACTIONS(6705),
    [anon_sym_volatile] = ACTIONS(6705),
    [anon_sym_restrict] = ACTIONS(6705),
    [anon_sym___restrict__] = ACTIONS(6705),
    [anon_sym__Atomic] = ACTIONS(6705),
    [anon_sym__Noreturn] = ACTIONS(6705),
    [anon_sym__Nonnull] = ACTIONS(6705),
    [anon_sym_nullable] = ACTIONS(6705),
    [anon_sym__Complex] = ACTIONS(6705),
    [anon_sym__Nullable] = ACTIONS(6705),
    [anon_sym__Nullable_result] = ACTIONS(6705),
    [anon_sym__Null_unspecified] = ACTIONS(6705),
    [anon_sym___autoreleasing] = ACTIONS(6705),
    [anon_sym___block] = ACTIONS(6705),
    [anon_sym___bridge] = ACTIONS(6705),
    [anon_sym___bridge_retained] = ACTIONS(6705),
    [anon_sym___bridge_transfer] = ACTIONS(6705),
    [anon_sym___complex] = ACTIONS(6705),
    [anon_sym___const] = ACTIONS(6705),
    [anon_sym___imag] = ACTIONS(6705),
    [anon_sym___kindof] = ACTIONS(6705),
    [anon_sym___nonnull] = ACTIONS(6705),
    [anon_sym___nullable] = ACTIONS(6705),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6705),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6705),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6705),
    [anon_sym___real] = ACTIONS(6705),
    [anon_sym___strong] = ACTIONS(6705),
    [anon_sym___unsafe_unretained] = ACTIONS(6705),
    [anon_sym___unused] = ACTIONS(6705),
    [anon_sym___weak] = ACTIONS(6705),
    [anon_sym_alignas] = ACTIONS(6705),
    [anon_sym__Alignas] = ACTIONS(6705),
    [sym_primitive_type] = ACTIONS(6705),
    [anon_sym_enum] = ACTIONS(6705),
    [anon_sym_struct] = ACTIONS(6705),
    [anon_sym_union] = ACTIONS(6705),
    [anon_sym_in] = ACTIONS(6705),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6705),
    [anon_sym___typeof] = ACTIONS(6705),
    [anon_sym_typeof] = ACTIONS(6705),
    [anon_sym_BOOL] = ACTIONS(6705),
    [anon_sym_IMP] = ACTIONS(6705),
    [anon_sym_SEL] = ACTIONS(6705),
    [anon_sym_Class] = ACTIONS(6705),
    [anon_sym_id] = ACTIONS(6705),
    [anon_sym_out] = ACTIONS(6705),
    [anon_sym_inout] = ACTIONS(6705),
    [anon_sym_bycopy] = ACTIONS(6705),
    [anon_sym_byref] = ACTIONS(6705),
    [anon_sym_oneway] = ACTIONS(6705),
  },
  [3814] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3827),
    [aux_sym_generic_specifier_repeat1] = STATE(3829),
    [sym_identifier] = ACTIONS(5926),
    [anon_sym_COMMA] = ACTIONS(5931),
    [anon_sym_RPAREN] = ACTIONS(5931),
    [anon_sym_LPAREN2] = ACTIONS(5918),
    [anon_sym_STAR] = ACTIONS(5931),
    [anon_sym_CARET] = ACTIONS(5931),
    [anon_sym_GT] = ACTIONS(5931),
    [anon_sym_LT] = ACTIONS(8770),
    [anon_sym___extension__] = ACTIONS(5926),
    [anon_sym___attribute__] = ACTIONS(5926),
    [anon_sym___attribute] = ACTIONS(5926),
    [anon_sym_noreturn] = ACTIONS(5926),
    [anon_sym_LBRACK] = ACTIONS(5931),
    [anon_sym___based] = ACTIONS(5926),
    [anon_sym_LBRACE] = ACTIONS(5931),
    [anon_sym_signed] = ACTIONS(8774),
    [anon_sym_unsigned] = ACTIONS(8774),
    [anon_sym_long] = ACTIONS(8774),
    [anon_sym_short] = ACTIONS(8774),
    [anon_sym_ATautoreleasepool] = ACTIONS(5931),
    [anon_sym_const] = ACTIONS(5926),
    [anon_sym_constexpr] = ACTIONS(5926),
    [anon_sym_volatile] = ACTIONS(5926),
    [anon_sym_restrict] = ACTIONS(5926),
    [anon_sym___restrict__] = ACTIONS(5926),
    [anon_sym__Atomic] = ACTIONS(5926),
    [anon_sym__Noreturn] = ACTIONS(5926),
    [anon_sym__Nonnull] = ACTIONS(5926),
    [anon_sym_nullable] = ACTIONS(5926),
    [anon_sym__Complex] = ACTIONS(5926),
    [anon_sym__Nullable] = ACTIONS(5926),
    [anon_sym__Nullable_result] = ACTIONS(5926),
    [anon_sym__Null_unspecified] = ACTIONS(5926),
    [anon_sym___autoreleasing] = ACTIONS(5926),
    [anon_sym___block] = ACTIONS(5926),
    [anon_sym___bridge] = ACTIONS(5926),
    [anon_sym___bridge_retained] = ACTIONS(5926),
    [anon_sym___bridge_transfer] = ACTIONS(5926),
    [anon_sym___complex] = ACTIONS(5926),
    [anon_sym___const] = ACTIONS(5926),
    [anon_sym___imag] = ACTIONS(5926),
    [anon_sym___kindof] = ACTIONS(5926),
    [anon_sym___nonnull] = ACTIONS(5926),
    [anon_sym___nullable] = ACTIONS(5926),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5926),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5926),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5926),
    [anon_sym___real] = ACTIONS(5926),
    [anon_sym___strong] = ACTIONS(5926),
    [anon_sym___unsafe_unretained] = ACTIONS(5926),
    [anon_sym___unused] = ACTIONS(5926),
    [anon_sym___weak] = ACTIONS(5926),
    [anon_sym_alignas] = ACTIONS(5926),
    [anon_sym__Alignas] = ACTIONS(5926),
    [sym_primitive_type] = ACTIONS(5926),
    [anon_sym_enum] = ACTIONS(5926),
    [anon_sym_struct] = ACTIONS(5926),
    [anon_sym_union] = ACTIONS(5926),
    [anon_sym_in] = ACTIONS(5926),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5926),
    [anon_sym___typeof] = ACTIONS(5926),
    [anon_sym_typeof] = ACTIONS(5926),
    [anon_sym_BOOL] = ACTIONS(5926),
    [anon_sym_IMP] = ACTIONS(5926),
    [anon_sym_SEL] = ACTIONS(5926),
    [anon_sym_Class] = ACTIONS(5926),
    [anon_sym_id] = ACTIONS(5926),
    [anon_sym_out] = ACTIONS(5926),
    [anon_sym_inout] = ACTIONS(5926),
    [anon_sym_bycopy] = ACTIONS(5926),
    [anon_sym_byref] = ACTIONS(5926),
    [anon_sym_oneway] = ACTIONS(5926),
  },
  [3815] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3821),
    [sym_identifier] = ACTIONS(7303),
    [anon_sym_COMMA] = ACTIONS(7305),
    [anon_sym_RPAREN] = ACTIONS(7305),
    [anon_sym_LPAREN2] = ACTIONS(7305),
    [anon_sym_STAR] = ACTIONS(7305),
    [anon_sym_CARET] = ACTIONS(7305),
    [anon_sym_GT] = ACTIONS(7305),
    [anon_sym_LT] = ACTIONS(7305),
    [anon_sym___extension__] = ACTIONS(7303),
    [anon_sym___attribute__] = ACTIONS(7303),
    [anon_sym___attribute] = ACTIONS(7303),
    [anon_sym_noreturn] = ACTIONS(7303),
    [anon_sym_LBRACK] = ACTIONS(7305),
    [anon_sym___based] = ACTIONS(7303),
    [anon_sym_LBRACE] = ACTIONS(7305),
    [anon_sym_signed] = ACTIONS(8823),
    [anon_sym_unsigned] = ACTIONS(8823),
    [anon_sym_long] = ACTIONS(8823),
    [anon_sym_short] = ACTIONS(8823),
    [anon_sym_ATautoreleasepool] = ACTIONS(7305),
    [anon_sym_const] = ACTIONS(7303),
    [anon_sym_constexpr] = ACTIONS(7303),
    [anon_sym_volatile] = ACTIONS(7303),
    [anon_sym_restrict] = ACTIONS(7303),
    [anon_sym___restrict__] = ACTIONS(7303),
    [anon_sym__Atomic] = ACTIONS(7303),
    [anon_sym__Noreturn] = ACTIONS(7303),
    [anon_sym__Nonnull] = ACTIONS(7303),
    [anon_sym_nullable] = ACTIONS(7303),
    [anon_sym__Complex] = ACTIONS(7303),
    [anon_sym__Nullable] = ACTIONS(7303),
    [anon_sym__Nullable_result] = ACTIONS(7303),
    [anon_sym__Null_unspecified] = ACTIONS(7303),
    [anon_sym___autoreleasing] = ACTIONS(7303),
    [anon_sym___block] = ACTIONS(7303),
    [anon_sym___bridge] = ACTIONS(7303),
    [anon_sym___bridge_retained] = ACTIONS(7303),
    [anon_sym___bridge_transfer] = ACTIONS(7303),
    [anon_sym___complex] = ACTIONS(7303),
    [anon_sym___const] = ACTIONS(7303),
    [anon_sym___imag] = ACTIONS(7303),
    [anon_sym___kindof] = ACTIONS(7303),
    [anon_sym___nonnull] = ACTIONS(7303),
    [anon_sym___nullable] = ACTIONS(7303),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7303),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7303),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7303),
    [anon_sym___real] = ACTIONS(7303),
    [anon_sym___strong] = ACTIONS(7303),
    [anon_sym___unsafe_unretained] = ACTIONS(7303),
    [anon_sym___unused] = ACTIONS(7303),
    [anon_sym___weak] = ACTIONS(7303),
    [anon_sym_alignas] = ACTIONS(7303),
    [anon_sym__Alignas] = ACTIONS(7303),
    [sym_primitive_type] = ACTIONS(7303),
    [anon_sym_enum] = ACTIONS(7303),
    [anon_sym_COLON] = ACTIONS(7305),
    [anon_sym_struct] = ACTIONS(7303),
    [anon_sym_union] = ACTIONS(7303),
    [anon_sym_in] = ACTIONS(7303),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7303),
    [anon_sym___typeof] = ACTIONS(7303),
    [anon_sym_typeof] = ACTIONS(7303),
    [anon_sym_BOOL] = ACTIONS(7303),
    [anon_sym_IMP] = ACTIONS(7303),
    [anon_sym_SEL] = ACTIONS(7303),
    [anon_sym_Class] = ACTIONS(7303),
    [anon_sym_id] = ACTIONS(7303),
    [anon_sym_out] = ACTIONS(7303),
    [anon_sym_inout] = ACTIONS(7303),
    [anon_sym_bycopy] = ACTIONS(7303),
    [anon_sym_byref] = ACTIONS(7303),
    [anon_sym_oneway] = ACTIONS(7303),
  },
  [3816] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3821),
    [sym_identifier] = ACTIONS(7307),
    [anon_sym_COMMA] = ACTIONS(7309),
    [anon_sym_RPAREN] = ACTIONS(7309),
    [anon_sym_LPAREN2] = ACTIONS(7309),
    [anon_sym_STAR] = ACTIONS(7309),
    [anon_sym_CARET] = ACTIONS(7309),
    [anon_sym_GT] = ACTIONS(7309),
    [anon_sym_LT] = ACTIONS(7309),
    [anon_sym___extension__] = ACTIONS(7307),
    [anon_sym___attribute__] = ACTIONS(7307),
    [anon_sym___attribute] = ACTIONS(7307),
    [anon_sym_noreturn] = ACTIONS(7307),
    [anon_sym_LBRACK] = ACTIONS(7309),
    [anon_sym___based] = ACTIONS(7307),
    [anon_sym_LBRACE] = ACTIONS(7309),
    [anon_sym_signed] = ACTIONS(8826),
    [anon_sym_unsigned] = ACTIONS(8826),
    [anon_sym_long] = ACTIONS(8826),
    [anon_sym_short] = ACTIONS(8826),
    [anon_sym_ATautoreleasepool] = ACTIONS(7309),
    [anon_sym_const] = ACTIONS(7307),
    [anon_sym_constexpr] = ACTIONS(7307),
    [anon_sym_volatile] = ACTIONS(7307),
    [anon_sym_restrict] = ACTIONS(7307),
    [anon_sym___restrict__] = ACTIONS(7307),
    [anon_sym__Atomic] = ACTIONS(7307),
    [anon_sym__Noreturn] = ACTIONS(7307),
    [anon_sym__Nonnull] = ACTIONS(7307),
    [anon_sym_nullable] = ACTIONS(7307),
    [anon_sym__Complex] = ACTIONS(7307),
    [anon_sym__Nullable] = ACTIONS(7307),
    [anon_sym__Nullable_result] = ACTIONS(7307),
    [anon_sym__Null_unspecified] = ACTIONS(7307),
    [anon_sym___autoreleasing] = ACTIONS(7307),
    [anon_sym___block] = ACTIONS(7307),
    [anon_sym___bridge] = ACTIONS(7307),
    [anon_sym___bridge_retained] = ACTIONS(7307),
    [anon_sym___bridge_transfer] = ACTIONS(7307),
    [anon_sym___complex] = ACTIONS(7307),
    [anon_sym___const] = ACTIONS(7307),
    [anon_sym___imag] = ACTIONS(7307),
    [anon_sym___kindof] = ACTIONS(7307),
    [anon_sym___nonnull] = ACTIONS(7307),
    [anon_sym___nullable] = ACTIONS(7307),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7307),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7307),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7307),
    [anon_sym___real] = ACTIONS(7307),
    [anon_sym___strong] = ACTIONS(7307),
    [anon_sym___unsafe_unretained] = ACTIONS(7307),
    [anon_sym___unused] = ACTIONS(7307),
    [anon_sym___weak] = ACTIONS(7307),
    [anon_sym_alignas] = ACTIONS(7307),
    [anon_sym__Alignas] = ACTIONS(7307),
    [sym_primitive_type] = ACTIONS(7307),
    [anon_sym_enum] = ACTIONS(7307),
    [anon_sym_COLON] = ACTIONS(7309),
    [anon_sym_struct] = ACTIONS(7307),
    [anon_sym_union] = ACTIONS(7307),
    [anon_sym_in] = ACTIONS(7307),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7307),
    [anon_sym___typeof] = ACTIONS(7307),
    [anon_sym_typeof] = ACTIONS(7307),
    [anon_sym_BOOL] = ACTIONS(7307),
    [anon_sym_IMP] = ACTIONS(7307),
    [anon_sym_SEL] = ACTIONS(7307),
    [anon_sym_Class] = ACTIONS(7307),
    [anon_sym_id] = ACTIONS(7307),
    [anon_sym_out] = ACTIONS(7307),
    [anon_sym_inout] = ACTIONS(7307),
    [anon_sym_bycopy] = ACTIONS(7307),
    [anon_sym_byref] = ACTIONS(7307),
    [anon_sym_oneway] = ACTIONS(7307),
  },
  [3817] = {
    [sym_attribute_specifier] = STATE(3959),
    [sym_identifier] = ACTIONS(7123),
    [anon_sym_COMMA] = ACTIONS(7125),
    [anon_sym_RPAREN] = ACTIONS(7125),
    [anon_sym_LPAREN2] = ACTIONS(7125),
    [anon_sym_STAR] = ACTIONS(7125),
    [anon_sym_CARET] = ACTIONS(7125),
    [anon_sym_GT] = ACTIONS(7125),
    [anon_sym_LT] = ACTIONS(7125),
    [anon_sym___extension__] = ACTIONS(7123),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7123),
    [anon_sym_LBRACK] = ACTIONS(7125),
    [anon_sym___based] = ACTIONS(7123),
    [anon_sym_LBRACE] = ACTIONS(7125),
    [anon_sym_signed] = ACTIONS(7123),
    [anon_sym_unsigned] = ACTIONS(7123),
    [anon_sym_long] = ACTIONS(7123),
    [anon_sym_short] = ACTIONS(7123),
    [anon_sym_ATautoreleasepool] = ACTIONS(7125),
    [anon_sym_const] = ACTIONS(7123),
    [anon_sym_constexpr] = ACTIONS(7123),
    [anon_sym_volatile] = ACTIONS(7123),
    [anon_sym_restrict] = ACTIONS(7123),
    [anon_sym___restrict__] = ACTIONS(7123),
    [anon_sym__Atomic] = ACTIONS(7123),
    [anon_sym__Noreturn] = ACTIONS(7123),
    [anon_sym__Nonnull] = ACTIONS(7123),
    [anon_sym_nullable] = ACTIONS(7123),
    [anon_sym__Complex] = ACTIONS(7123),
    [anon_sym__Nullable] = ACTIONS(7123),
    [anon_sym__Nullable_result] = ACTIONS(7123),
    [anon_sym__Null_unspecified] = ACTIONS(7123),
    [anon_sym___autoreleasing] = ACTIONS(7123),
    [anon_sym___block] = ACTIONS(7123),
    [anon_sym___bridge] = ACTIONS(7123),
    [anon_sym___bridge_retained] = ACTIONS(7123),
    [anon_sym___bridge_transfer] = ACTIONS(7123),
    [anon_sym___complex] = ACTIONS(7123),
    [anon_sym___const] = ACTIONS(7123),
    [anon_sym___imag] = ACTIONS(7123),
    [anon_sym___kindof] = ACTIONS(7123),
    [anon_sym___nonnull] = ACTIONS(7123),
    [anon_sym___nullable] = ACTIONS(7123),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7123),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7123),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7123),
    [anon_sym___real] = ACTIONS(7123),
    [anon_sym___strong] = ACTIONS(7123),
    [anon_sym___unsafe_unretained] = ACTIONS(7123),
    [anon_sym___unused] = ACTIONS(7123),
    [anon_sym___weak] = ACTIONS(7123),
    [anon_sym_alignas] = ACTIONS(7123),
    [anon_sym__Alignas] = ACTIONS(7123),
    [sym_primitive_type] = ACTIONS(7123),
    [anon_sym_enum] = ACTIONS(7123),
    [anon_sym_COLON] = ACTIONS(7125),
    [anon_sym_struct] = ACTIONS(7123),
    [anon_sym_union] = ACTIONS(7123),
    [anon_sym_in] = ACTIONS(7123),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7123),
    [anon_sym___typeof] = ACTIONS(7123),
    [anon_sym_typeof] = ACTIONS(7123),
    [anon_sym_BOOL] = ACTIONS(7123),
    [anon_sym_IMP] = ACTIONS(7123),
    [anon_sym_SEL] = ACTIONS(7123),
    [anon_sym_Class] = ACTIONS(7123),
    [anon_sym_id] = ACTIONS(7123),
    [anon_sym_out] = ACTIONS(7123),
    [anon_sym_inout] = ACTIONS(7123),
    [anon_sym_bycopy] = ACTIONS(7123),
    [anon_sym_byref] = ACTIONS(7123),
    [anon_sym_oneway] = ACTIONS(7123),
  },
  [3818] = {
    [sym_attribute_specifier] = STATE(3903),
    [sym_identifier] = ACTIONS(7119),
    [anon_sym_COMMA] = ACTIONS(7121),
    [anon_sym_RPAREN] = ACTIONS(7121),
    [anon_sym_LPAREN2] = ACTIONS(7121),
    [anon_sym_STAR] = ACTIONS(7121),
    [anon_sym_CARET] = ACTIONS(7121),
    [anon_sym_GT] = ACTIONS(7121),
    [anon_sym_LT] = ACTIONS(7121),
    [anon_sym___extension__] = ACTIONS(7119),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7119),
    [anon_sym_LBRACK] = ACTIONS(7121),
    [anon_sym___based] = ACTIONS(7119),
    [anon_sym_LBRACE] = ACTIONS(7121),
    [anon_sym_signed] = ACTIONS(7119),
    [anon_sym_unsigned] = ACTIONS(7119),
    [anon_sym_long] = ACTIONS(7119),
    [anon_sym_short] = ACTIONS(7119),
    [anon_sym_ATautoreleasepool] = ACTIONS(7121),
    [anon_sym_const] = ACTIONS(7119),
    [anon_sym_constexpr] = ACTIONS(7119),
    [anon_sym_volatile] = ACTIONS(7119),
    [anon_sym_restrict] = ACTIONS(7119),
    [anon_sym___restrict__] = ACTIONS(7119),
    [anon_sym__Atomic] = ACTIONS(7119),
    [anon_sym__Noreturn] = ACTIONS(7119),
    [anon_sym__Nonnull] = ACTIONS(7119),
    [anon_sym_nullable] = ACTIONS(7119),
    [anon_sym__Complex] = ACTIONS(7119),
    [anon_sym__Nullable] = ACTIONS(7119),
    [anon_sym__Nullable_result] = ACTIONS(7119),
    [anon_sym__Null_unspecified] = ACTIONS(7119),
    [anon_sym___autoreleasing] = ACTIONS(7119),
    [anon_sym___block] = ACTIONS(7119),
    [anon_sym___bridge] = ACTIONS(7119),
    [anon_sym___bridge_retained] = ACTIONS(7119),
    [anon_sym___bridge_transfer] = ACTIONS(7119),
    [anon_sym___complex] = ACTIONS(7119),
    [anon_sym___const] = ACTIONS(7119),
    [anon_sym___imag] = ACTIONS(7119),
    [anon_sym___kindof] = ACTIONS(7119),
    [anon_sym___nonnull] = ACTIONS(7119),
    [anon_sym___nullable] = ACTIONS(7119),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7119),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7119),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7119),
    [anon_sym___real] = ACTIONS(7119),
    [anon_sym___strong] = ACTIONS(7119),
    [anon_sym___unsafe_unretained] = ACTIONS(7119),
    [anon_sym___unused] = ACTIONS(7119),
    [anon_sym___weak] = ACTIONS(7119),
    [anon_sym_alignas] = ACTIONS(7119),
    [anon_sym__Alignas] = ACTIONS(7119),
    [sym_primitive_type] = ACTIONS(7119),
    [anon_sym_enum] = ACTIONS(7119),
    [anon_sym_COLON] = ACTIONS(7121),
    [anon_sym_struct] = ACTIONS(7119),
    [anon_sym_union] = ACTIONS(7119),
    [anon_sym_in] = ACTIONS(7119),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7119),
    [anon_sym___typeof] = ACTIONS(7119),
    [anon_sym_typeof] = ACTIONS(7119),
    [anon_sym_BOOL] = ACTIONS(7119),
    [anon_sym_IMP] = ACTIONS(7119),
    [anon_sym_SEL] = ACTIONS(7119),
    [anon_sym_Class] = ACTIONS(7119),
    [anon_sym_id] = ACTIONS(7119),
    [anon_sym_out] = ACTIONS(7119),
    [anon_sym_inout] = ACTIONS(7119),
    [anon_sym_bycopy] = ACTIONS(7119),
    [anon_sym_byref] = ACTIONS(7119),
    [anon_sym_oneway] = ACTIONS(7119),
  },
  [3819] = {
    [sym_attribute_specifier] = STATE(3928),
    [sym_identifier] = ACTIONS(7157),
    [anon_sym_COMMA] = ACTIONS(7159),
    [anon_sym_RPAREN] = ACTIONS(7159),
    [anon_sym_LPAREN2] = ACTIONS(7159),
    [anon_sym_STAR] = ACTIONS(7159),
    [anon_sym_CARET] = ACTIONS(7159),
    [anon_sym_GT] = ACTIONS(7159),
    [anon_sym_LT] = ACTIONS(7159),
    [anon_sym___extension__] = ACTIONS(7157),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7157),
    [anon_sym_LBRACK] = ACTIONS(7159),
    [anon_sym___based] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_signed] = ACTIONS(7157),
    [anon_sym_unsigned] = ACTIONS(7157),
    [anon_sym_long] = ACTIONS(7157),
    [anon_sym_short] = ACTIONS(7157),
    [anon_sym_ATautoreleasepool] = ACTIONS(7159),
    [anon_sym_const] = ACTIONS(7157),
    [anon_sym_constexpr] = ACTIONS(7157),
    [anon_sym_volatile] = ACTIONS(7157),
    [anon_sym_restrict] = ACTIONS(7157),
    [anon_sym___restrict__] = ACTIONS(7157),
    [anon_sym__Atomic] = ACTIONS(7157),
    [anon_sym__Noreturn] = ACTIONS(7157),
    [anon_sym__Nonnull] = ACTIONS(7157),
    [anon_sym_nullable] = ACTIONS(7157),
    [anon_sym__Complex] = ACTIONS(7157),
    [anon_sym__Nullable] = ACTIONS(7157),
    [anon_sym__Nullable_result] = ACTIONS(7157),
    [anon_sym__Null_unspecified] = ACTIONS(7157),
    [anon_sym___autoreleasing] = ACTIONS(7157),
    [anon_sym___block] = ACTIONS(7157),
    [anon_sym___bridge] = ACTIONS(7157),
    [anon_sym___bridge_retained] = ACTIONS(7157),
    [anon_sym___bridge_transfer] = ACTIONS(7157),
    [anon_sym___complex] = ACTIONS(7157),
    [anon_sym___const] = ACTIONS(7157),
    [anon_sym___imag] = ACTIONS(7157),
    [anon_sym___kindof] = ACTIONS(7157),
    [anon_sym___nonnull] = ACTIONS(7157),
    [anon_sym___nullable] = ACTIONS(7157),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7157),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7157),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7157),
    [anon_sym___real] = ACTIONS(7157),
    [anon_sym___strong] = ACTIONS(7157),
    [anon_sym___unsafe_unretained] = ACTIONS(7157),
    [anon_sym___unused] = ACTIONS(7157),
    [anon_sym___weak] = ACTIONS(7157),
    [anon_sym_alignas] = ACTIONS(7157),
    [anon_sym__Alignas] = ACTIONS(7157),
    [sym_primitive_type] = ACTIONS(7157),
    [anon_sym_enum] = ACTIONS(7157),
    [anon_sym_COLON] = ACTIONS(7159),
    [anon_sym_struct] = ACTIONS(7157),
    [anon_sym_union] = ACTIONS(7157),
    [anon_sym_in] = ACTIONS(7157),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7157),
    [anon_sym___typeof] = ACTIONS(7157),
    [anon_sym_typeof] = ACTIONS(7157),
    [anon_sym_BOOL] = ACTIONS(7157),
    [anon_sym_IMP] = ACTIONS(7157),
    [anon_sym_SEL] = ACTIONS(7157),
    [anon_sym_Class] = ACTIONS(7157),
    [anon_sym_id] = ACTIONS(7157),
    [anon_sym_out] = ACTIONS(7157),
    [anon_sym_inout] = ACTIONS(7157),
    [anon_sym_bycopy] = ACTIONS(7157),
    [anon_sym_byref] = ACTIONS(7157),
    [anon_sym_oneway] = ACTIONS(7157),
  },
  [3820] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3821),
    [sym_identifier] = ACTIONS(7285),
    [anon_sym_COMMA] = ACTIONS(7287),
    [anon_sym_RPAREN] = ACTIONS(7287),
    [anon_sym_LPAREN2] = ACTIONS(7287),
    [anon_sym_STAR] = ACTIONS(7287),
    [anon_sym_CARET] = ACTIONS(7287),
    [anon_sym_GT] = ACTIONS(7287),
    [anon_sym_LT] = ACTIONS(7287),
    [anon_sym___extension__] = ACTIONS(7285),
    [anon_sym___attribute__] = ACTIONS(7285),
    [anon_sym___attribute] = ACTIONS(7285),
    [anon_sym_noreturn] = ACTIONS(7285),
    [anon_sym_LBRACK] = ACTIONS(7287),
    [anon_sym___based] = ACTIONS(7285),
    [anon_sym_LBRACE] = ACTIONS(7287),
    [anon_sym_signed] = ACTIONS(8829),
    [anon_sym_unsigned] = ACTIONS(8829),
    [anon_sym_long] = ACTIONS(8829),
    [anon_sym_short] = ACTIONS(8829),
    [anon_sym_ATautoreleasepool] = ACTIONS(7287),
    [anon_sym_const] = ACTIONS(7285),
    [anon_sym_constexpr] = ACTIONS(7285),
    [anon_sym_volatile] = ACTIONS(7285),
    [anon_sym_restrict] = ACTIONS(7285),
    [anon_sym___restrict__] = ACTIONS(7285),
    [anon_sym__Atomic] = ACTIONS(7285),
    [anon_sym__Noreturn] = ACTIONS(7285),
    [anon_sym__Nonnull] = ACTIONS(7285),
    [anon_sym_nullable] = ACTIONS(7285),
    [anon_sym__Complex] = ACTIONS(7285),
    [anon_sym__Nullable] = ACTIONS(7285),
    [anon_sym__Nullable_result] = ACTIONS(7285),
    [anon_sym__Null_unspecified] = ACTIONS(7285),
    [anon_sym___autoreleasing] = ACTIONS(7285),
    [anon_sym___block] = ACTIONS(7285),
    [anon_sym___bridge] = ACTIONS(7285),
    [anon_sym___bridge_retained] = ACTIONS(7285),
    [anon_sym___bridge_transfer] = ACTIONS(7285),
    [anon_sym___complex] = ACTIONS(7285),
    [anon_sym___const] = ACTIONS(7285),
    [anon_sym___imag] = ACTIONS(7285),
    [anon_sym___kindof] = ACTIONS(7285),
    [anon_sym___nonnull] = ACTIONS(7285),
    [anon_sym___nullable] = ACTIONS(7285),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7285),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7285),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7285),
    [anon_sym___real] = ACTIONS(7285),
    [anon_sym___strong] = ACTIONS(7285),
    [anon_sym___unsafe_unretained] = ACTIONS(7285),
    [anon_sym___unused] = ACTIONS(7285),
    [anon_sym___weak] = ACTIONS(7285),
    [anon_sym_alignas] = ACTIONS(7285),
    [anon_sym__Alignas] = ACTIONS(7285),
    [sym_primitive_type] = ACTIONS(7285),
    [anon_sym_enum] = ACTIONS(7285),
    [anon_sym_COLON] = ACTIONS(7287),
    [anon_sym_struct] = ACTIONS(7285),
    [anon_sym_union] = ACTIONS(7285),
    [anon_sym_in] = ACTIONS(7285),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7285),
    [anon_sym___typeof] = ACTIONS(7285),
    [anon_sym_typeof] = ACTIONS(7285),
    [anon_sym_BOOL] = ACTIONS(7285),
    [anon_sym_IMP] = ACTIONS(7285),
    [anon_sym_SEL] = ACTIONS(7285),
    [anon_sym_Class] = ACTIONS(7285),
    [anon_sym_id] = ACTIONS(7285),
    [anon_sym_out] = ACTIONS(7285),
    [anon_sym_inout] = ACTIONS(7285),
    [anon_sym_bycopy] = ACTIONS(7285),
    [anon_sym_byref] = ACTIONS(7285),
    [anon_sym_oneway] = ACTIONS(7285),
  },
  [3821] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3821),
    [sym_identifier] = ACTIONS(7097),
    [anon_sym_COMMA] = ACTIONS(7151),
    [anon_sym_RPAREN] = ACTIONS(7151),
    [anon_sym_LPAREN2] = ACTIONS(7151),
    [anon_sym_STAR] = ACTIONS(7151),
    [anon_sym_CARET] = ACTIONS(7151),
    [anon_sym_GT] = ACTIONS(7151),
    [anon_sym_LT] = ACTIONS(7151),
    [anon_sym___extension__] = ACTIONS(7097),
    [anon_sym___attribute__] = ACTIONS(7097),
    [anon_sym___attribute] = ACTIONS(7097),
    [anon_sym_noreturn] = ACTIONS(7097),
    [anon_sym_LBRACK] = ACTIONS(7151),
    [anon_sym___based] = ACTIONS(7097),
    [anon_sym_LBRACE] = ACTIONS(7151),
    [anon_sym_signed] = ACTIONS(8832),
    [anon_sym_unsigned] = ACTIONS(8832),
    [anon_sym_long] = ACTIONS(8832),
    [anon_sym_short] = ACTIONS(8832),
    [anon_sym_ATautoreleasepool] = ACTIONS(7151),
    [anon_sym_const] = ACTIONS(7097),
    [anon_sym_constexpr] = ACTIONS(7097),
    [anon_sym_volatile] = ACTIONS(7097),
    [anon_sym_restrict] = ACTIONS(7097),
    [anon_sym___restrict__] = ACTIONS(7097),
    [anon_sym__Atomic] = ACTIONS(7097),
    [anon_sym__Noreturn] = ACTIONS(7097),
    [anon_sym__Nonnull] = ACTIONS(7097),
    [anon_sym_nullable] = ACTIONS(7097),
    [anon_sym__Complex] = ACTIONS(7097),
    [anon_sym__Nullable] = ACTIONS(7097),
    [anon_sym__Nullable_result] = ACTIONS(7097),
    [anon_sym__Null_unspecified] = ACTIONS(7097),
    [anon_sym___autoreleasing] = ACTIONS(7097),
    [anon_sym___block] = ACTIONS(7097),
    [anon_sym___bridge] = ACTIONS(7097),
    [anon_sym___bridge_retained] = ACTIONS(7097),
    [anon_sym___bridge_transfer] = ACTIONS(7097),
    [anon_sym___complex] = ACTIONS(7097),
    [anon_sym___const] = ACTIONS(7097),
    [anon_sym___imag] = ACTIONS(7097),
    [anon_sym___kindof] = ACTIONS(7097),
    [anon_sym___nonnull] = ACTIONS(7097),
    [anon_sym___nullable] = ACTIONS(7097),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7097),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7097),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7097),
    [anon_sym___real] = ACTIONS(7097),
    [anon_sym___strong] = ACTIONS(7097),
    [anon_sym___unsafe_unretained] = ACTIONS(7097),
    [anon_sym___unused] = ACTIONS(7097),
    [anon_sym___weak] = ACTIONS(7097),
    [anon_sym_alignas] = ACTIONS(7097),
    [anon_sym__Alignas] = ACTIONS(7097),
    [sym_primitive_type] = ACTIONS(7097),
    [anon_sym_enum] = ACTIONS(7097),
    [anon_sym_COLON] = ACTIONS(7151),
    [anon_sym_struct] = ACTIONS(7097),
    [anon_sym_union] = ACTIONS(7097),
    [anon_sym_in] = ACTIONS(7097),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7097),
    [anon_sym___typeof] = ACTIONS(7097),
    [anon_sym_typeof] = ACTIONS(7097),
    [anon_sym_BOOL] = ACTIONS(7097),
    [anon_sym_IMP] = ACTIONS(7097),
    [anon_sym_SEL] = ACTIONS(7097),
    [anon_sym_Class] = ACTIONS(7097),
    [anon_sym_id] = ACTIONS(7097),
    [anon_sym_out] = ACTIONS(7097),
    [anon_sym_inout] = ACTIONS(7097),
    [anon_sym_bycopy] = ACTIONS(7097),
    [anon_sym_byref] = ACTIONS(7097),
    [anon_sym_oneway] = ACTIONS(7097),
  },
  [3822] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3821),
    [sym_identifier] = ACTIONS(7088),
    [anon_sym_COMMA] = ACTIONS(7091),
    [anon_sym_RPAREN] = ACTIONS(7091),
    [anon_sym_LPAREN2] = ACTIONS(7091),
    [anon_sym_STAR] = ACTIONS(7091),
    [anon_sym_CARET] = ACTIONS(7091),
    [anon_sym_GT] = ACTIONS(7091),
    [anon_sym_LT] = ACTIONS(7091),
    [anon_sym___extension__] = ACTIONS(7088),
    [anon_sym___attribute__] = ACTIONS(7088),
    [anon_sym___attribute] = ACTIONS(7088),
    [anon_sym_noreturn] = ACTIONS(7088),
    [anon_sym_LBRACK] = ACTIONS(7091),
    [anon_sym___based] = ACTIONS(7088),
    [anon_sym_LBRACE] = ACTIONS(7091),
    [anon_sym_signed] = ACTIONS(8835),
    [anon_sym_unsigned] = ACTIONS(8835),
    [anon_sym_long] = ACTIONS(8835),
    [anon_sym_short] = ACTIONS(8835),
    [anon_sym_ATautoreleasepool] = ACTIONS(7091),
    [anon_sym_const] = ACTIONS(7088),
    [anon_sym_constexpr] = ACTIONS(7088),
    [anon_sym_volatile] = ACTIONS(7088),
    [anon_sym_restrict] = ACTIONS(7088),
    [anon_sym___restrict__] = ACTIONS(7088),
    [anon_sym__Atomic] = ACTIONS(7088),
    [anon_sym__Noreturn] = ACTIONS(7088),
    [anon_sym__Nonnull] = ACTIONS(7088),
    [anon_sym_nullable] = ACTIONS(7088),
    [anon_sym__Complex] = ACTIONS(7088),
    [anon_sym__Nullable] = ACTIONS(7088),
    [anon_sym__Nullable_result] = ACTIONS(7088),
    [anon_sym__Null_unspecified] = ACTIONS(7088),
    [anon_sym___autoreleasing] = ACTIONS(7088),
    [anon_sym___block] = ACTIONS(7088),
    [anon_sym___bridge] = ACTIONS(7088),
    [anon_sym___bridge_retained] = ACTIONS(7088),
    [anon_sym___bridge_transfer] = ACTIONS(7088),
    [anon_sym___complex] = ACTIONS(7088),
    [anon_sym___const] = ACTIONS(7088),
    [anon_sym___imag] = ACTIONS(7088),
    [anon_sym___kindof] = ACTIONS(7088),
    [anon_sym___nonnull] = ACTIONS(7088),
    [anon_sym___nullable] = ACTIONS(7088),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7088),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7088),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7088),
    [anon_sym___real] = ACTIONS(7088),
    [anon_sym___strong] = ACTIONS(7088),
    [anon_sym___unsafe_unretained] = ACTIONS(7088),
    [anon_sym___unused] = ACTIONS(7088),
    [anon_sym___weak] = ACTIONS(7088),
    [anon_sym_alignas] = ACTIONS(7088),
    [anon_sym__Alignas] = ACTIONS(7088),
    [sym_primitive_type] = ACTIONS(7088),
    [anon_sym_enum] = ACTIONS(7088),
    [anon_sym_COLON] = ACTIONS(7091),
    [anon_sym_struct] = ACTIONS(7088),
    [anon_sym_union] = ACTIONS(7088),
    [anon_sym_in] = ACTIONS(7088),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7088),
    [anon_sym___typeof] = ACTIONS(7088),
    [anon_sym_typeof] = ACTIONS(7088),
    [anon_sym_BOOL] = ACTIONS(7088),
    [anon_sym_IMP] = ACTIONS(7088),
    [anon_sym_SEL] = ACTIONS(7088),
    [anon_sym_Class] = ACTIONS(7088),
    [anon_sym_id] = ACTIONS(7088),
    [anon_sym_out] = ACTIONS(7088),
    [anon_sym_inout] = ACTIONS(7088),
    [anon_sym_bycopy] = ACTIONS(7088),
    [anon_sym_byref] = ACTIONS(7088),
    [anon_sym_oneway] = ACTIONS(7088),
  },
  [3823] = {
    [sym_attribute_specifier] = STATE(3854),
    [sym_identifier] = ACTIONS(7080),
    [anon_sym_COMMA] = ACTIONS(7082),
    [anon_sym_RPAREN] = ACTIONS(7082),
    [anon_sym_LPAREN2] = ACTIONS(7082),
    [anon_sym_STAR] = ACTIONS(7082),
    [anon_sym_CARET] = ACTIONS(7082),
    [anon_sym_GT] = ACTIONS(7082),
    [anon_sym_LT] = ACTIONS(7082),
    [anon_sym___extension__] = ACTIONS(7080),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7080),
    [anon_sym_LBRACK] = ACTIONS(7082),
    [anon_sym___based] = ACTIONS(7080),
    [anon_sym_LBRACE] = ACTIONS(7082),
    [anon_sym_signed] = ACTIONS(7080),
    [anon_sym_unsigned] = ACTIONS(7080),
    [anon_sym_long] = ACTIONS(7080),
    [anon_sym_short] = ACTIONS(7080),
    [anon_sym_ATautoreleasepool] = ACTIONS(7082),
    [anon_sym_const] = ACTIONS(7080),
    [anon_sym_constexpr] = ACTIONS(7080),
    [anon_sym_volatile] = ACTIONS(7080),
    [anon_sym_restrict] = ACTIONS(7080),
    [anon_sym___restrict__] = ACTIONS(7080),
    [anon_sym__Atomic] = ACTIONS(7080),
    [anon_sym__Noreturn] = ACTIONS(7080),
    [anon_sym__Nonnull] = ACTIONS(7080),
    [anon_sym_nullable] = ACTIONS(7080),
    [anon_sym__Complex] = ACTIONS(7080),
    [anon_sym__Nullable] = ACTIONS(7080),
    [anon_sym__Nullable_result] = ACTIONS(7080),
    [anon_sym__Null_unspecified] = ACTIONS(7080),
    [anon_sym___autoreleasing] = ACTIONS(7080),
    [anon_sym___block] = ACTIONS(7080),
    [anon_sym___bridge] = ACTIONS(7080),
    [anon_sym___bridge_retained] = ACTIONS(7080),
    [anon_sym___bridge_transfer] = ACTIONS(7080),
    [anon_sym___complex] = ACTIONS(7080),
    [anon_sym___const] = ACTIONS(7080),
    [anon_sym___imag] = ACTIONS(7080),
    [anon_sym___kindof] = ACTIONS(7080),
    [anon_sym___nonnull] = ACTIONS(7080),
    [anon_sym___nullable] = ACTIONS(7080),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7080),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7080),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7080),
    [anon_sym___real] = ACTIONS(7080),
    [anon_sym___strong] = ACTIONS(7080),
    [anon_sym___unsafe_unretained] = ACTIONS(7080),
    [anon_sym___unused] = ACTIONS(7080),
    [anon_sym___weak] = ACTIONS(7080),
    [anon_sym_alignas] = ACTIONS(7080),
    [anon_sym__Alignas] = ACTIONS(7080),
    [sym_primitive_type] = ACTIONS(7080),
    [anon_sym_enum] = ACTIONS(7080),
    [anon_sym_COLON] = ACTIONS(7082),
    [anon_sym_struct] = ACTIONS(7080),
    [anon_sym_union] = ACTIONS(7080),
    [anon_sym_in] = ACTIONS(7080),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7080),
    [anon_sym___typeof] = ACTIONS(7080),
    [anon_sym_typeof] = ACTIONS(7080),
    [anon_sym_BOOL] = ACTIONS(7080),
    [anon_sym_IMP] = ACTIONS(7080),
    [anon_sym_SEL] = ACTIONS(7080),
    [anon_sym_Class] = ACTIONS(7080),
    [anon_sym_id] = ACTIONS(7080),
    [anon_sym_out] = ACTIONS(7080),
    [anon_sym_inout] = ACTIONS(7080),
    [anon_sym_bycopy] = ACTIONS(7080),
    [anon_sym_byref] = ACTIONS(7080),
    [anon_sym_oneway] = ACTIONS(7080),
  },
  [3824] = {
    [sym_attribute_specifier] = STATE(3859),
    [sym_identifier] = ACTIONS(7107),
    [anon_sym_COMMA] = ACTIONS(7109),
    [anon_sym_RPAREN] = ACTIONS(7109),
    [anon_sym_LPAREN2] = ACTIONS(7109),
    [anon_sym_STAR] = ACTIONS(7109),
    [anon_sym_CARET] = ACTIONS(7109),
    [anon_sym_GT] = ACTIONS(7109),
    [anon_sym_LT] = ACTIONS(7109),
    [anon_sym___extension__] = ACTIONS(7107),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7107),
    [anon_sym_LBRACK] = ACTIONS(7109),
    [anon_sym___based] = ACTIONS(7107),
    [anon_sym_LBRACE] = ACTIONS(7109),
    [anon_sym_signed] = ACTIONS(7107),
    [anon_sym_unsigned] = ACTIONS(7107),
    [anon_sym_long] = ACTIONS(7107),
    [anon_sym_short] = ACTIONS(7107),
    [anon_sym_ATautoreleasepool] = ACTIONS(7109),
    [anon_sym_const] = ACTIONS(7107),
    [anon_sym_constexpr] = ACTIONS(7107),
    [anon_sym_volatile] = ACTIONS(7107),
    [anon_sym_restrict] = ACTIONS(7107),
    [anon_sym___restrict__] = ACTIONS(7107),
    [anon_sym__Atomic] = ACTIONS(7107),
    [anon_sym__Noreturn] = ACTIONS(7107),
    [anon_sym__Nonnull] = ACTIONS(7107),
    [anon_sym_nullable] = ACTIONS(7107),
    [anon_sym__Complex] = ACTIONS(7107),
    [anon_sym__Nullable] = ACTIONS(7107),
    [anon_sym__Nullable_result] = ACTIONS(7107),
    [anon_sym__Null_unspecified] = ACTIONS(7107),
    [anon_sym___autoreleasing] = ACTIONS(7107),
    [anon_sym___block] = ACTIONS(7107),
    [anon_sym___bridge] = ACTIONS(7107),
    [anon_sym___bridge_retained] = ACTIONS(7107),
    [anon_sym___bridge_transfer] = ACTIONS(7107),
    [anon_sym___complex] = ACTIONS(7107),
    [anon_sym___const] = ACTIONS(7107),
    [anon_sym___imag] = ACTIONS(7107),
    [anon_sym___kindof] = ACTIONS(7107),
    [anon_sym___nonnull] = ACTIONS(7107),
    [anon_sym___nullable] = ACTIONS(7107),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7107),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7107),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7107),
    [anon_sym___real] = ACTIONS(7107),
    [anon_sym___strong] = ACTIONS(7107),
    [anon_sym___unsafe_unretained] = ACTIONS(7107),
    [anon_sym___unused] = ACTIONS(7107),
    [anon_sym___weak] = ACTIONS(7107),
    [anon_sym_alignas] = ACTIONS(7107),
    [anon_sym__Alignas] = ACTIONS(7107),
    [sym_primitive_type] = ACTIONS(7107),
    [anon_sym_enum] = ACTIONS(7107),
    [anon_sym_COLON] = ACTIONS(7109),
    [anon_sym_struct] = ACTIONS(7107),
    [anon_sym_union] = ACTIONS(7107),
    [anon_sym_in] = ACTIONS(7107),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7107),
    [anon_sym___typeof] = ACTIONS(7107),
    [anon_sym_typeof] = ACTIONS(7107),
    [anon_sym_BOOL] = ACTIONS(7107),
    [anon_sym_IMP] = ACTIONS(7107),
    [anon_sym_SEL] = ACTIONS(7107),
    [anon_sym_Class] = ACTIONS(7107),
    [anon_sym_id] = ACTIONS(7107),
    [anon_sym_out] = ACTIONS(7107),
    [anon_sym_inout] = ACTIONS(7107),
    [anon_sym_bycopy] = ACTIONS(7107),
    [anon_sym_byref] = ACTIONS(7107),
    [anon_sym_oneway] = ACTIONS(7107),
  },
  [3825] = {
    [sym_attribute_specifier] = STATE(3860),
    [sym_identifier] = ACTIONS(7135),
    [anon_sym_COMMA] = ACTIONS(7137),
    [anon_sym_RPAREN] = ACTIONS(7137),
    [anon_sym_LPAREN2] = ACTIONS(7137),
    [anon_sym_STAR] = ACTIONS(7137),
    [anon_sym_CARET] = ACTIONS(7137),
    [anon_sym_GT] = ACTIONS(7137),
    [anon_sym_LT] = ACTIONS(7137),
    [anon_sym___extension__] = ACTIONS(7135),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7135),
    [anon_sym_LBRACK] = ACTIONS(7137),
    [anon_sym___based] = ACTIONS(7135),
    [anon_sym_LBRACE] = ACTIONS(7137),
    [anon_sym_signed] = ACTIONS(7135),
    [anon_sym_unsigned] = ACTIONS(7135),
    [anon_sym_long] = ACTIONS(7135),
    [anon_sym_short] = ACTIONS(7135),
    [anon_sym_ATautoreleasepool] = ACTIONS(7137),
    [anon_sym_const] = ACTIONS(7135),
    [anon_sym_constexpr] = ACTIONS(7135),
    [anon_sym_volatile] = ACTIONS(7135),
    [anon_sym_restrict] = ACTIONS(7135),
    [anon_sym___restrict__] = ACTIONS(7135),
    [anon_sym__Atomic] = ACTIONS(7135),
    [anon_sym__Noreturn] = ACTIONS(7135),
    [anon_sym__Nonnull] = ACTIONS(7135),
    [anon_sym_nullable] = ACTIONS(7135),
    [anon_sym__Complex] = ACTIONS(7135),
    [anon_sym__Nullable] = ACTIONS(7135),
    [anon_sym__Nullable_result] = ACTIONS(7135),
    [anon_sym__Null_unspecified] = ACTIONS(7135),
    [anon_sym___autoreleasing] = ACTIONS(7135),
    [anon_sym___block] = ACTIONS(7135),
    [anon_sym___bridge] = ACTIONS(7135),
    [anon_sym___bridge_retained] = ACTIONS(7135),
    [anon_sym___bridge_transfer] = ACTIONS(7135),
    [anon_sym___complex] = ACTIONS(7135),
    [anon_sym___const] = ACTIONS(7135),
    [anon_sym___imag] = ACTIONS(7135),
    [anon_sym___kindof] = ACTIONS(7135),
    [anon_sym___nonnull] = ACTIONS(7135),
    [anon_sym___nullable] = ACTIONS(7135),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7135),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7135),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7135),
    [anon_sym___real] = ACTIONS(7135),
    [anon_sym___strong] = ACTIONS(7135),
    [anon_sym___unsafe_unretained] = ACTIONS(7135),
    [anon_sym___unused] = ACTIONS(7135),
    [anon_sym___weak] = ACTIONS(7135),
    [anon_sym_alignas] = ACTIONS(7135),
    [anon_sym__Alignas] = ACTIONS(7135),
    [sym_primitive_type] = ACTIONS(7135),
    [anon_sym_enum] = ACTIONS(7135),
    [anon_sym_COLON] = ACTIONS(7137),
    [anon_sym_struct] = ACTIONS(7135),
    [anon_sym_union] = ACTIONS(7135),
    [anon_sym_in] = ACTIONS(7135),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7135),
    [anon_sym___typeof] = ACTIONS(7135),
    [anon_sym_typeof] = ACTIONS(7135),
    [anon_sym_BOOL] = ACTIONS(7135),
    [anon_sym_IMP] = ACTIONS(7135),
    [anon_sym_SEL] = ACTIONS(7135),
    [anon_sym_Class] = ACTIONS(7135),
    [anon_sym_id] = ACTIONS(7135),
    [anon_sym_out] = ACTIONS(7135),
    [anon_sym_inout] = ACTIONS(7135),
    [anon_sym_bycopy] = ACTIONS(7135),
    [anon_sym_byref] = ACTIONS(7135),
    [anon_sym_oneway] = ACTIONS(7135),
  },
  [3826] = {
    [sym_attribute_specifier] = STATE(3866),
    [sym_identifier] = ACTIONS(7115),
    [anon_sym_COMMA] = ACTIONS(7117),
    [anon_sym_RPAREN] = ACTIONS(7117),
    [anon_sym_LPAREN2] = ACTIONS(7117),
    [anon_sym_STAR] = ACTIONS(7117),
    [anon_sym_CARET] = ACTIONS(7117),
    [anon_sym_GT] = ACTIONS(7117),
    [anon_sym_LT] = ACTIONS(7117),
    [anon_sym___extension__] = ACTIONS(7115),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7115),
    [anon_sym_LBRACK] = ACTIONS(7117),
    [anon_sym___based] = ACTIONS(7115),
    [anon_sym_LBRACE] = ACTIONS(7117),
    [anon_sym_signed] = ACTIONS(7115),
    [anon_sym_unsigned] = ACTIONS(7115),
    [anon_sym_long] = ACTIONS(7115),
    [anon_sym_short] = ACTIONS(7115),
    [anon_sym_ATautoreleasepool] = ACTIONS(7117),
    [anon_sym_const] = ACTIONS(7115),
    [anon_sym_constexpr] = ACTIONS(7115),
    [anon_sym_volatile] = ACTIONS(7115),
    [anon_sym_restrict] = ACTIONS(7115),
    [anon_sym___restrict__] = ACTIONS(7115),
    [anon_sym__Atomic] = ACTIONS(7115),
    [anon_sym__Noreturn] = ACTIONS(7115),
    [anon_sym__Nonnull] = ACTIONS(7115),
    [anon_sym_nullable] = ACTIONS(7115),
    [anon_sym__Complex] = ACTIONS(7115),
    [anon_sym__Nullable] = ACTIONS(7115),
    [anon_sym__Nullable_result] = ACTIONS(7115),
    [anon_sym__Null_unspecified] = ACTIONS(7115),
    [anon_sym___autoreleasing] = ACTIONS(7115),
    [anon_sym___block] = ACTIONS(7115),
    [anon_sym___bridge] = ACTIONS(7115),
    [anon_sym___bridge_retained] = ACTIONS(7115),
    [anon_sym___bridge_transfer] = ACTIONS(7115),
    [anon_sym___complex] = ACTIONS(7115),
    [anon_sym___const] = ACTIONS(7115),
    [anon_sym___imag] = ACTIONS(7115),
    [anon_sym___kindof] = ACTIONS(7115),
    [anon_sym___nonnull] = ACTIONS(7115),
    [anon_sym___nullable] = ACTIONS(7115),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7115),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7115),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7115),
    [anon_sym___real] = ACTIONS(7115),
    [anon_sym___strong] = ACTIONS(7115),
    [anon_sym___unsafe_unretained] = ACTIONS(7115),
    [anon_sym___unused] = ACTIONS(7115),
    [anon_sym___weak] = ACTIONS(7115),
    [anon_sym_alignas] = ACTIONS(7115),
    [anon_sym__Alignas] = ACTIONS(7115),
    [sym_primitive_type] = ACTIONS(7115),
    [anon_sym_enum] = ACTIONS(7115),
    [anon_sym_COLON] = ACTIONS(7117),
    [anon_sym_struct] = ACTIONS(7115),
    [anon_sym_union] = ACTIONS(7115),
    [anon_sym_in] = ACTIONS(7115),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7115),
    [anon_sym___typeof] = ACTIONS(7115),
    [anon_sym_typeof] = ACTIONS(7115),
    [anon_sym_BOOL] = ACTIONS(7115),
    [anon_sym_IMP] = ACTIONS(7115),
    [anon_sym_SEL] = ACTIONS(7115),
    [anon_sym_Class] = ACTIONS(7115),
    [anon_sym_id] = ACTIONS(7115),
    [anon_sym_out] = ACTIONS(7115),
    [anon_sym_inout] = ACTIONS(7115),
    [anon_sym_bycopy] = ACTIONS(7115),
    [anon_sym_byref] = ACTIONS(7115),
    [anon_sym_oneway] = ACTIONS(7115),
  },
  [3827] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3821),
    [sym_identifier] = ACTIONS(7217),
    [anon_sym_COMMA] = ACTIONS(7219),
    [anon_sym_RPAREN] = ACTIONS(7219),
    [anon_sym_LPAREN2] = ACTIONS(7219),
    [anon_sym_STAR] = ACTIONS(7219),
    [anon_sym_CARET] = ACTIONS(7219),
    [anon_sym_GT] = ACTIONS(7219),
    [anon_sym_LT] = ACTIONS(7219),
    [anon_sym___extension__] = ACTIONS(7217),
    [anon_sym___attribute__] = ACTIONS(7217),
    [anon_sym___attribute] = ACTIONS(7217),
    [anon_sym_noreturn] = ACTIONS(7217),
    [anon_sym_LBRACK] = ACTIONS(7219),
    [anon_sym___based] = ACTIONS(7217),
    [anon_sym_LBRACE] = ACTIONS(7219),
    [anon_sym_signed] = ACTIONS(8839),
    [anon_sym_unsigned] = ACTIONS(8839),
    [anon_sym_long] = ACTIONS(8839),
    [anon_sym_short] = ACTIONS(8839),
    [anon_sym_ATautoreleasepool] = ACTIONS(7219),
    [anon_sym_const] = ACTIONS(7217),
    [anon_sym_constexpr] = ACTIONS(7217),
    [anon_sym_volatile] = ACTIONS(7217),
    [anon_sym_restrict] = ACTIONS(7217),
    [anon_sym___restrict__] = ACTIONS(7217),
    [anon_sym__Atomic] = ACTIONS(7217),
    [anon_sym__Noreturn] = ACTIONS(7217),
    [anon_sym__Nonnull] = ACTIONS(7217),
    [anon_sym_nullable] = ACTIONS(7217),
    [anon_sym__Complex] = ACTIONS(7217),
    [anon_sym__Nullable] = ACTIONS(7217),
    [anon_sym__Nullable_result] = ACTIONS(7217),
    [anon_sym__Null_unspecified] = ACTIONS(7217),
    [anon_sym___autoreleasing] = ACTIONS(7217),
    [anon_sym___block] = ACTIONS(7217),
    [anon_sym___bridge] = ACTIONS(7217),
    [anon_sym___bridge_retained] = ACTIONS(7217),
    [anon_sym___bridge_transfer] = ACTIONS(7217),
    [anon_sym___complex] = ACTIONS(7217),
    [anon_sym___const] = ACTIONS(7217),
    [anon_sym___imag] = ACTIONS(7217),
    [anon_sym___kindof] = ACTIONS(7217),
    [anon_sym___nonnull] = ACTIONS(7217),
    [anon_sym___nullable] = ACTIONS(7217),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7217),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7217),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7217),
    [anon_sym___real] = ACTIONS(7217),
    [anon_sym___strong] = ACTIONS(7217),
    [anon_sym___unsafe_unretained] = ACTIONS(7217),
    [anon_sym___unused] = ACTIONS(7217),
    [anon_sym___weak] = ACTIONS(7217),
    [anon_sym_alignas] = ACTIONS(7217),
    [anon_sym__Alignas] = ACTIONS(7217),
    [sym_primitive_type] = ACTIONS(7217),
    [anon_sym_enum] = ACTIONS(7217),
    [anon_sym_COLON] = ACTIONS(7219),
    [anon_sym_struct] = ACTIONS(7217),
    [anon_sym_union] = ACTIONS(7217),
    [anon_sym_in] = ACTIONS(7217),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7217),
    [anon_sym___typeof] = ACTIONS(7217),
    [anon_sym_typeof] = ACTIONS(7217),
    [anon_sym_BOOL] = ACTIONS(7217),
    [anon_sym_IMP] = ACTIONS(7217),
    [anon_sym_SEL] = ACTIONS(7217),
    [anon_sym_Class] = ACTIONS(7217),
    [anon_sym_id] = ACTIONS(7217),
    [anon_sym_out] = ACTIONS(7217),
    [anon_sym_inout] = ACTIONS(7217),
    [anon_sym_bycopy] = ACTIONS(7217),
    [anon_sym_byref] = ACTIONS(7217),
    [anon_sym_oneway] = ACTIONS(7217),
  },
  [3828] = {
    [aux_sym_generic_specifier_repeat1] = STATE(3828),
    [sym_identifier] = ACTIONS(7060),
    [anon_sym_COMMA] = ACTIONS(7062),
    [anon_sym_RPAREN] = ACTIONS(7062),
    [anon_sym_LPAREN2] = ACTIONS(7062),
    [anon_sym_STAR] = ACTIONS(7062),
    [anon_sym_CARET] = ACTIONS(7062),
    [anon_sym_GT] = ACTIONS(7062),
    [anon_sym_LT] = ACTIONS(8842),
    [anon_sym___extension__] = ACTIONS(7060),
    [anon_sym___attribute__] = ACTIONS(7060),
    [anon_sym___attribute] = ACTIONS(7060),
    [anon_sym_noreturn] = ACTIONS(7060),
    [anon_sym_LBRACK] = ACTIONS(7062),
    [anon_sym___based] = ACTIONS(7060),
    [anon_sym_LBRACE] = ACTIONS(7062),
    [anon_sym_signed] = ACTIONS(7060),
    [anon_sym_unsigned] = ACTIONS(7060),
    [anon_sym_long] = ACTIONS(7060),
    [anon_sym_short] = ACTIONS(7060),
    [anon_sym_ATautoreleasepool] = ACTIONS(7062),
    [anon_sym_const] = ACTIONS(7060),
    [anon_sym_constexpr] = ACTIONS(7060),
    [anon_sym_volatile] = ACTIONS(7060),
    [anon_sym_restrict] = ACTIONS(7060),
    [anon_sym___restrict__] = ACTIONS(7060),
    [anon_sym__Atomic] = ACTIONS(7060),
    [anon_sym__Noreturn] = ACTIONS(7060),
    [anon_sym__Nonnull] = ACTIONS(7060),
    [anon_sym_nullable] = ACTIONS(7060),
    [anon_sym__Complex] = ACTIONS(7060),
    [anon_sym__Nullable] = ACTIONS(7060),
    [anon_sym__Nullable_result] = ACTIONS(7060),
    [anon_sym__Null_unspecified] = ACTIONS(7060),
    [anon_sym___autoreleasing] = ACTIONS(7060),
    [anon_sym___block] = ACTIONS(7060),
    [anon_sym___bridge] = ACTIONS(7060),
    [anon_sym___bridge_retained] = ACTIONS(7060),
    [anon_sym___bridge_transfer] = ACTIONS(7060),
    [anon_sym___complex] = ACTIONS(7060),
    [anon_sym___const] = ACTIONS(7060),
    [anon_sym___imag] = ACTIONS(7060),
    [anon_sym___kindof] = ACTIONS(7060),
    [anon_sym___nonnull] = ACTIONS(7060),
    [anon_sym___nullable] = ACTIONS(7060),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7060),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7060),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7060),
    [anon_sym___real] = ACTIONS(7060),
    [anon_sym___strong] = ACTIONS(7060),
    [anon_sym___unsafe_unretained] = ACTIONS(7060),
    [anon_sym___unused] = ACTIONS(7060),
    [anon_sym___weak] = ACTIONS(7060),
    [anon_sym_alignas] = ACTIONS(7060),
    [anon_sym__Alignas] = ACTIONS(7060),
    [sym_primitive_type] = ACTIONS(7060),
    [anon_sym_enum] = ACTIONS(7060),
    [anon_sym_COLON] = ACTIONS(7062),
    [anon_sym_struct] = ACTIONS(7060),
    [anon_sym_union] = ACTIONS(7060),
    [anon_sym_in] = ACTIONS(7060),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7060),
    [anon_sym___typeof] = ACTIONS(7060),
    [anon_sym_typeof] = ACTIONS(7060),
    [anon_sym_BOOL] = ACTIONS(7060),
    [anon_sym_IMP] = ACTIONS(7060),
    [anon_sym_SEL] = ACTIONS(7060),
    [anon_sym_Class] = ACTIONS(7060),
    [anon_sym_id] = ACTIONS(7060),
    [anon_sym_out] = ACTIONS(7060),
    [anon_sym_inout] = ACTIONS(7060),
    [anon_sym_bycopy] = ACTIONS(7060),
    [anon_sym_byref] = ACTIONS(7060),
    [anon_sym_oneway] = ACTIONS(7060),
  },
  [3829] = {
    [aux_sym_generic_specifier_repeat1] = STATE(3828),
    [sym_identifier] = ACTIONS(7076),
    [anon_sym_COMMA] = ACTIONS(7078),
    [anon_sym_RPAREN] = ACTIONS(7078),
    [anon_sym_LPAREN2] = ACTIONS(7078),
    [anon_sym_STAR] = ACTIONS(7078),
    [anon_sym_CARET] = ACTIONS(7078),
    [anon_sym_GT] = ACTIONS(7078),
    [anon_sym_LT] = ACTIONS(5924),
    [anon_sym___extension__] = ACTIONS(7076),
    [anon_sym___attribute__] = ACTIONS(7076),
    [anon_sym___attribute] = ACTIONS(7076),
    [anon_sym_noreturn] = ACTIONS(7076),
    [anon_sym_LBRACK] = ACTIONS(7078),
    [anon_sym___based] = ACTIONS(7076),
    [anon_sym_LBRACE] = ACTIONS(7078),
    [anon_sym_signed] = ACTIONS(7076),
    [anon_sym_unsigned] = ACTIONS(7076),
    [anon_sym_long] = ACTIONS(7076),
    [anon_sym_short] = ACTIONS(7076),
    [anon_sym_ATautoreleasepool] = ACTIONS(7078),
    [anon_sym_const] = ACTIONS(7076),
    [anon_sym_constexpr] = ACTIONS(7076),
    [anon_sym_volatile] = ACTIONS(7076),
    [anon_sym_restrict] = ACTIONS(7076),
    [anon_sym___restrict__] = ACTIONS(7076),
    [anon_sym__Atomic] = ACTIONS(7076),
    [anon_sym__Noreturn] = ACTIONS(7076),
    [anon_sym__Nonnull] = ACTIONS(7076),
    [anon_sym_nullable] = ACTIONS(7076),
    [anon_sym__Complex] = ACTIONS(7076),
    [anon_sym__Nullable] = ACTIONS(7076),
    [anon_sym__Nullable_result] = ACTIONS(7076),
    [anon_sym__Null_unspecified] = ACTIONS(7076),
    [anon_sym___autoreleasing] = ACTIONS(7076),
    [anon_sym___block] = ACTIONS(7076),
    [anon_sym___bridge] = ACTIONS(7076),
    [anon_sym___bridge_retained] = ACTIONS(7076),
    [anon_sym___bridge_transfer] = ACTIONS(7076),
    [anon_sym___complex] = ACTIONS(7076),
    [anon_sym___const] = ACTIONS(7076),
    [anon_sym___imag] = ACTIONS(7076),
    [anon_sym___kindof] = ACTIONS(7076),
    [anon_sym___nonnull] = ACTIONS(7076),
    [anon_sym___nullable] = ACTIONS(7076),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7076),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7076),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7076),
    [anon_sym___real] = ACTIONS(7076),
    [anon_sym___strong] = ACTIONS(7076),
    [anon_sym___unsafe_unretained] = ACTIONS(7076),
    [anon_sym___unused] = ACTIONS(7076),
    [anon_sym___weak] = ACTIONS(7076),
    [anon_sym_alignas] = ACTIONS(7076),
    [anon_sym__Alignas] = ACTIONS(7076),
    [sym_primitive_type] = ACTIONS(7076),
    [anon_sym_enum] = ACTIONS(7076),
    [anon_sym_COLON] = ACTIONS(7078),
    [anon_sym_struct] = ACTIONS(7076),
    [anon_sym_union] = ACTIONS(7076),
    [anon_sym_in] = ACTIONS(7076),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7076),
    [anon_sym___typeof] = ACTIONS(7076),
    [anon_sym_typeof] = ACTIONS(7076),
    [anon_sym_BOOL] = ACTIONS(7076),
    [anon_sym_IMP] = ACTIONS(7076),
    [anon_sym_SEL] = ACTIONS(7076),
    [anon_sym_Class] = ACTIONS(7076),
    [anon_sym_id] = ACTIONS(7076),
    [anon_sym_out] = ACTIONS(7076),
    [anon_sym_inout] = ACTIONS(7076),
    [anon_sym_bycopy] = ACTIONS(7076),
    [anon_sym_byref] = ACTIONS(7076),
    [anon_sym_oneway] = ACTIONS(7076),
  },
  [3830] = {
    [sym_attribute_specifier] = STATE(3833),
    [aux_sym_function_declarator_repeat1] = STATE(3833),
    [sym_identifier] = ACTIONS(6693),
    [anon_sym_COMMA] = ACTIONS(6695),
    [anon_sym_RPAREN] = ACTIONS(6695),
    [anon_sym_LPAREN2] = ACTIONS(6695),
    [anon_sym_STAR] = ACTIONS(6695),
    [anon_sym_CARET] = ACTIONS(6695),
    [anon_sym_GT] = ACTIONS(6695),
    [anon_sym_LT] = ACTIONS(6695),
    [anon_sym___extension__] = ACTIONS(6693),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(6693),
    [anon_sym_LBRACK] = ACTIONS(6695),
    [anon_sym___based] = ACTIONS(6693),
    [anon_sym_LBRACE] = ACTIONS(6695),
    [anon_sym_signed] = ACTIONS(6693),
    [anon_sym_unsigned] = ACTIONS(6693),
    [anon_sym_long] = ACTIONS(6693),
    [anon_sym_short] = ACTIONS(6693),
    [anon_sym_ATautoreleasepool] = ACTIONS(6695),
    [anon_sym_const] = ACTIONS(6693),
    [anon_sym_constexpr] = ACTIONS(6693),
    [anon_sym_volatile] = ACTIONS(6693),
    [anon_sym_restrict] = ACTIONS(6693),
    [anon_sym___restrict__] = ACTIONS(6693),
    [anon_sym__Atomic] = ACTIONS(6693),
    [anon_sym__Noreturn] = ACTIONS(6693),
    [anon_sym__Nonnull] = ACTIONS(6693),
    [anon_sym_nullable] = ACTIONS(6693),
    [anon_sym__Complex] = ACTIONS(6693),
    [anon_sym__Nullable] = ACTIONS(6693),
    [anon_sym__Nullable_result] = ACTIONS(6693),
    [anon_sym__Null_unspecified] = ACTIONS(6693),
    [anon_sym___autoreleasing] = ACTIONS(6693),
    [anon_sym___block] = ACTIONS(6693),
    [anon_sym___bridge] = ACTIONS(6693),
    [anon_sym___bridge_retained] = ACTIONS(6693),
    [anon_sym___bridge_transfer] = ACTIONS(6693),
    [anon_sym___complex] = ACTIONS(6693),
    [anon_sym___const] = ACTIONS(6693),
    [anon_sym___imag] = ACTIONS(6693),
    [anon_sym___kindof] = ACTIONS(6693),
    [anon_sym___nonnull] = ACTIONS(6693),
    [anon_sym___nullable] = ACTIONS(6693),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6693),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6693),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6693),
    [anon_sym___real] = ACTIONS(6693),
    [anon_sym___strong] = ACTIONS(6693),
    [anon_sym___unsafe_unretained] = ACTIONS(6693),
    [anon_sym___unused] = ACTIONS(6693),
    [anon_sym___weak] = ACTIONS(6693),
    [anon_sym_alignas] = ACTIONS(6693),
    [anon_sym__Alignas] = ACTIONS(6693),
    [sym_primitive_type] = ACTIONS(6693),
    [anon_sym_enum] = ACTIONS(6693),
    [anon_sym_struct] = ACTIONS(6693),
    [anon_sym_union] = ACTIONS(6693),
    [anon_sym_in] = ACTIONS(6693),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6693),
    [anon_sym___typeof] = ACTIONS(6693),
    [anon_sym_typeof] = ACTIONS(6693),
    [anon_sym_BOOL] = ACTIONS(6693),
    [anon_sym_IMP] = ACTIONS(6693),
    [anon_sym_SEL] = ACTIONS(6693),
    [anon_sym_Class] = ACTIONS(6693),
    [anon_sym_id] = ACTIONS(6693),
    [anon_sym_out] = ACTIONS(6693),
    [anon_sym_inout] = ACTIONS(6693),
    [anon_sym_bycopy] = ACTIONS(6693),
    [anon_sym_byref] = ACTIONS(6693),
    [anon_sym_oneway] = ACTIONS(6693),
  },
  [3831] = {
    [sym_attribute_specifier] = STATE(3813),
    [aux_sym_function_declarator_repeat1] = STATE(3813),
    [sym_identifier] = ACTIONS(6693),
    [anon_sym_COMMA] = ACTIONS(6695),
    [anon_sym_RPAREN] = ACTIONS(6695),
    [anon_sym_LPAREN2] = ACTIONS(6695),
    [anon_sym_STAR] = ACTIONS(6695),
    [anon_sym_CARET] = ACTIONS(6695),
    [anon_sym_GT] = ACTIONS(6695),
    [anon_sym_LT] = ACTIONS(6695),
    [anon_sym___extension__] = ACTIONS(6693),
    [anon_sym___attribute__] = ACTIONS(6693),
    [anon_sym___attribute] = ACTIONS(6693),
    [anon_sym_noreturn] = ACTIONS(6693),
    [anon_sym_LBRACK] = ACTIONS(6695),
    [anon_sym___based] = ACTIONS(6693),
    [anon_sym_LBRACE] = ACTIONS(6695),
    [anon_sym_signed] = ACTIONS(6693),
    [anon_sym_unsigned] = ACTIONS(6693),
    [anon_sym_long] = ACTIONS(6693),
    [anon_sym_short] = ACTIONS(6693),
    [anon_sym_ATautoreleasepool] = ACTIONS(6695),
    [anon_sym_const] = ACTIONS(6693),
    [anon_sym_constexpr] = ACTIONS(6693),
    [anon_sym_volatile] = ACTIONS(6693),
    [anon_sym_restrict] = ACTIONS(6693),
    [anon_sym___restrict__] = ACTIONS(6693),
    [anon_sym__Atomic] = ACTIONS(6693),
    [anon_sym__Noreturn] = ACTIONS(6693),
    [anon_sym__Nonnull] = ACTIONS(6693),
    [anon_sym_nullable] = ACTIONS(6693),
    [anon_sym__Complex] = ACTIONS(6693),
    [anon_sym__Nullable] = ACTIONS(6693),
    [anon_sym__Nullable_result] = ACTIONS(6693),
    [anon_sym__Null_unspecified] = ACTIONS(6693),
    [anon_sym___autoreleasing] = ACTIONS(6693),
    [anon_sym___block] = ACTIONS(6693),
    [anon_sym___bridge] = ACTIONS(6693),
    [anon_sym___bridge_retained] = ACTIONS(6693),
    [anon_sym___bridge_transfer] = ACTIONS(6693),
    [anon_sym___complex] = ACTIONS(6693),
    [anon_sym___const] = ACTIONS(6693),
    [anon_sym___imag] = ACTIONS(6693),
    [anon_sym___kindof] = ACTIONS(6693),
    [anon_sym___nonnull] = ACTIONS(6693),
    [anon_sym___nullable] = ACTIONS(6693),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6693),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6693),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6693),
    [anon_sym___real] = ACTIONS(6693),
    [anon_sym___strong] = ACTIONS(6693),
    [anon_sym___unsafe_unretained] = ACTIONS(6693),
    [anon_sym___unused] = ACTIONS(6693),
    [anon_sym___weak] = ACTIONS(6693),
    [anon_sym_alignas] = ACTIONS(6693),
    [anon_sym__Alignas] = ACTIONS(6693),
    [sym_primitive_type] = ACTIONS(6693),
    [anon_sym_enum] = ACTIONS(6693),
    [anon_sym_struct] = ACTIONS(6693),
    [anon_sym_union] = ACTIONS(6693),
    [anon_sym_in] = ACTIONS(6693),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6693),
    [anon_sym___typeof] = ACTIONS(6693),
    [anon_sym_typeof] = ACTIONS(6693),
    [anon_sym_BOOL] = ACTIONS(6693),
    [anon_sym_IMP] = ACTIONS(6693),
    [anon_sym_SEL] = ACTIONS(6693),
    [anon_sym_Class] = ACTIONS(6693),
    [anon_sym_id] = ACTIONS(6693),
    [anon_sym_out] = ACTIONS(6693),
    [anon_sym_inout] = ACTIONS(6693),
    [anon_sym_bycopy] = ACTIONS(6693),
    [anon_sym_byref] = ACTIONS(6693),
    [anon_sym_oneway] = ACTIONS(6693),
  },
  [3832] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3820),
    [sym_identifier] = ACTIONS(5076),
    [anon_sym_COMMA] = ACTIONS(5072),
    [anon_sym_RPAREN] = ACTIONS(5072),
    [anon_sym_LPAREN2] = ACTIONS(5072),
    [anon_sym_STAR] = ACTIONS(5072),
    [anon_sym_CARET] = ACTIONS(5072),
    [anon_sym_GT] = ACTIONS(5072),
    [anon_sym_LT] = ACTIONS(5072),
    [anon_sym___extension__] = ACTIONS(5076),
    [anon_sym___attribute__] = ACTIONS(5076),
    [anon_sym___attribute] = ACTIONS(5076),
    [anon_sym_noreturn] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5072),
    [anon_sym___based] = ACTIONS(5076),
    [anon_sym_LBRACE] = ACTIONS(5072),
    [anon_sym_signed] = ACTIONS(8845),
    [anon_sym_unsigned] = ACTIONS(8845),
    [anon_sym_long] = ACTIONS(8845),
    [anon_sym_short] = ACTIONS(8845),
    [anon_sym_ATautoreleasepool] = ACTIONS(5072),
    [anon_sym_const] = ACTIONS(5076),
    [anon_sym_constexpr] = ACTIONS(5076),
    [anon_sym_volatile] = ACTIONS(5076),
    [anon_sym_restrict] = ACTIONS(5076),
    [anon_sym___restrict__] = ACTIONS(5076),
    [anon_sym__Atomic] = ACTIONS(5076),
    [anon_sym__Noreturn] = ACTIONS(5076),
    [anon_sym__Nonnull] = ACTIONS(5076),
    [anon_sym_nullable] = ACTIONS(5076),
    [anon_sym__Complex] = ACTIONS(5076),
    [anon_sym__Nullable] = ACTIONS(5076),
    [anon_sym__Nullable_result] = ACTIONS(5076),
    [anon_sym__Null_unspecified] = ACTIONS(5076),
    [anon_sym___autoreleasing] = ACTIONS(5076),
    [anon_sym___block] = ACTIONS(5076),
    [anon_sym___bridge] = ACTIONS(5076),
    [anon_sym___bridge_retained] = ACTIONS(5076),
    [anon_sym___bridge_transfer] = ACTIONS(5076),
    [anon_sym___complex] = ACTIONS(5076),
    [anon_sym___const] = ACTIONS(5076),
    [anon_sym___imag] = ACTIONS(5076),
    [anon_sym___kindof] = ACTIONS(5076),
    [anon_sym___nonnull] = ACTIONS(5076),
    [anon_sym___nullable] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5076),
    [anon_sym___real] = ACTIONS(5076),
    [anon_sym___strong] = ACTIONS(5076),
    [anon_sym___unsafe_unretained] = ACTIONS(5076),
    [anon_sym___unused] = ACTIONS(5076),
    [anon_sym___weak] = ACTIONS(5076),
    [anon_sym_alignas] = ACTIONS(5076),
    [anon_sym__Alignas] = ACTIONS(5076),
    [sym_primitive_type] = ACTIONS(5076),
    [anon_sym_enum] = ACTIONS(5076),
    [anon_sym_COLON] = ACTIONS(5072),
    [anon_sym_struct] = ACTIONS(5076),
    [anon_sym_union] = ACTIONS(5076),
    [anon_sym_in] = ACTIONS(5076),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5076),
    [anon_sym___typeof] = ACTIONS(5076),
    [anon_sym_typeof] = ACTIONS(5076),
    [anon_sym_BOOL] = ACTIONS(5076),
    [anon_sym_IMP] = ACTIONS(5076),
    [anon_sym_SEL] = ACTIONS(5076),
    [anon_sym_Class] = ACTIONS(5076),
    [anon_sym_id] = ACTIONS(5076),
    [anon_sym_out] = ACTIONS(5076),
    [anon_sym_inout] = ACTIONS(5076),
    [anon_sym_bycopy] = ACTIONS(5076),
    [anon_sym_byref] = ACTIONS(5076),
    [anon_sym_oneway] = ACTIONS(5076),
  },
  [3833] = {
    [sym_attribute_specifier] = STATE(3813),
    [aux_sym_function_declarator_repeat1] = STATE(3813),
    [sym_identifier] = ACTIONS(6701),
    [anon_sym_COMMA] = ACTIONS(6703),
    [anon_sym_RPAREN] = ACTIONS(6703),
    [anon_sym_LPAREN2] = ACTIONS(6703),
    [anon_sym_STAR] = ACTIONS(6703),
    [anon_sym_CARET] = ACTIONS(6703),
    [anon_sym_GT] = ACTIONS(6703),
    [anon_sym_LT] = ACTIONS(6703),
    [anon_sym___extension__] = ACTIONS(6701),
    [anon_sym___attribute__] = ACTIONS(6701),
    [anon_sym___attribute] = ACTIONS(6701),
    [anon_sym_noreturn] = ACTIONS(6701),
    [anon_sym_LBRACK] = ACTIONS(6703),
    [anon_sym___based] = ACTIONS(6701),
    [anon_sym_LBRACE] = ACTIONS(6703),
    [anon_sym_signed] = ACTIONS(6701),
    [anon_sym_unsigned] = ACTIONS(6701),
    [anon_sym_long] = ACTIONS(6701),
    [anon_sym_short] = ACTIONS(6701),
    [anon_sym_ATautoreleasepool] = ACTIONS(6703),
    [anon_sym_const] = ACTIONS(6701),
    [anon_sym_constexpr] = ACTIONS(6701),
    [anon_sym_volatile] = ACTIONS(6701),
    [anon_sym_restrict] = ACTIONS(6701),
    [anon_sym___restrict__] = ACTIONS(6701),
    [anon_sym__Atomic] = ACTIONS(6701),
    [anon_sym__Noreturn] = ACTIONS(6701),
    [anon_sym__Nonnull] = ACTIONS(6701),
    [anon_sym_nullable] = ACTIONS(6701),
    [anon_sym__Complex] = ACTIONS(6701),
    [anon_sym__Nullable] = ACTIONS(6701),
    [anon_sym__Nullable_result] = ACTIONS(6701),
    [anon_sym__Null_unspecified] = ACTIONS(6701),
    [anon_sym___autoreleasing] = ACTIONS(6701),
    [anon_sym___block] = ACTIONS(6701),
    [anon_sym___bridge] = ACTIONS(6701),
    [anon_sym___bridge_retained] = ACTIONS(6701),
    [anon_sym___bridge_transfer] = ACTIONS(6701),
    [anon_sym___complex] = ACTIONS(6701),
    [anon_sym___const] = ACTIONS(6701),
    [anon_sym___imag] = ACTIONS(6701),
    [anon_sym___kindof] = ACTIONS(6701),
    [anon_sym___nonnull] = ACTIONS(6701),
    [anon_sym___nullable] = ACTIONS(6701),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6701),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6701),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6701),
    [anon_sym___real] = ACTIONS(6701),
    [anon_sym___strong] = ACTIONS(6701),
    [anon_sym___unsafe_unretained] = ACTIONS(6701),
    [anon_sym___unused] = ACTIONS(6701),
    [anon_sym___weak] = ACTIONS(6701),
    [anon_sym_alignas] = ACTIONS(6701),
    [anon_sym__Alignas] = ACTIONS(6701),
    [sym_primitive_type] = ACTIONS(6701),
    [anon_sym_enum] = ACTIONS(6701),
    [anon_sym_struct] = ACTIONS(6701),
    [anon_sym_union] = ACTIONS(6701),
    [anon_sym_in] = ACTIONS(6701),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6701),
    [anon_sym___typeof] = ACTIONS(6701),
    [anon_sym_typeof] = ACTIONS(6701),
    [anon_sym_BOOL] = ACTIONS(6701),
    [anon_sym_IMP] = ACTIONS(6701),
    [anon_sym_SEL] = ACTIONS(6701),
    [anon_sym_Class] = ACTIONS(6701),
    [anon_sym_id] = ACTIONS(6701),
    [anon_sym_out] = ACTIONS(6701),
    [anon_sym_inout] = ACTIONS(6701),
    [anon_sym_bycopy] = ACTIONS(6701),
    [anon_sym_byref] = ACTIONS(6701),
    [anon_sym_oneway] = ACTIONS(6701),
  },
  [3834] = {
    [sym_identifier] = ACTIONS(4852),
    [anon_sym_COMMA] = ACTIONS(4854),
    [anon_sym_RPAREN] = ACTIONS(4854),
    [anon_sym_LPAREN2] = ACTIONS(4854),
    [anon_sym_STAR] = ACTIONS(4854),
    [anon_sym_CARET] = ACTIONS(4854),
    [anon_sym_GT] = ACTIONS(4854),
    [anon_sym_LT] = ACTIONS(4854),
    [anon_sym___extension__] = ACTIONS(4852),
    [anon_sym___attribute__] = ACTIONS(4852),
    [anon_sym___attribute] = ACTIONS(4852),
    [anon_sym_noreturn] = ACTIONS(4852),
    [anon_sym_LBRACK] = ACTIONS(4854),
    [anon_sym___based] = ACTIONS(4852),
    [anon_sym_LBRACE] = ACTIONS(4854),
    [anon_sym_signed] = ACTIONS(4852),
    [anon_sym_unsigned] = ACTIONS(4852),
    [anon_sym_long] = ACTIONS(4852),
    [anon_sym_short] = ACTIONS(4852),
    [anon_sym_ATautoreleasepool] = ACTIONS(4854),
    [anon_sym_const] = ACTIONS(4852),
    [anon_sym_constexpr] = ACTIONS(4852),
    [anon_sym_volatile] = ACTIONS(4852),
    [anon_sym_restrict] = ACTIONS(4852),
    [anon_sym___restrict__] = ACTIONS(4852),
    [anon_sym__Atomic] = ACTIONS(4852),
    [anon_sym__Noreturn] = ACTIONS(4852),
    [anon_sym__Nonnull] = ACTIONS(4852),
    [anon_sym_nullable] = ACTIONS(4852),
    [anon_sym__Complex] = ACTIONS(4852),
    [anon_sym__Nullable] = ACTIONS(4852),
    [anon_sym__Nullable_result] = ACTIONS(4852),
    [anon_sym__Null_unspecified] = ACTIONS(4852),
    [anon_sym___autoreleasing] = ACTIONS(4852),
    [anon_sym___block] = ACTIONS(4852),
    [anon_sym___bridge] = ACTIONS(4852),
    [anon_sym___bridge_retained] = ACTIONS(4852),
    [anon_sym___bridge_transfer] = ACTIONS(4852),
    [anon_sym___complex] = ACTIONS(4852),
    [anon_sym___const] = ACTIONS(4852),
    [anon_sym___imag] = ACTIONS(4852),
    [anon_sym___kindof] = ACTIONS(4852),
    [anon_sym___nonnull] = ACTIONS(4852),
    [anon_sym___nullable] = ACTIONS(4852),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4852),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4852),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4852),
    [anon_sym___real] = ACTIONS(4852),
    [anon_sym___strong] = ACTIONS(4852),
    [anon_sym___unsafe_unretained] = ACTIONS(4852),
    [anon_sym___unused] = ACTIONS(4852),
    [anon_sym___weak] = ACTIONS(4852),
    [anon_sym_alignas] = ACTIONS(4852),
    [anon_sym__Alignas] = ACTIONS(4852),
    [sym_primitive_type] = ACTIONS(4852),
    [anon_sym_enum] = ACTIONS(4852),
    [anon_sym_COLON] = ACTIONS(4854),
    [anon_sym_struct] = ACTIONS(4852),
    [anon_sym_union] = ACTIONS(4852),
    [anon_sym_in] = ACTIONS(4852),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4852),
    [anon_sym___typeof] = ACTIONS(4852),
    [anon_sym_typeof] = ACTIONS(4852),
    [anon_sym_BOOL] = ACTIONS(4852),
    [anon_sym_IMP] = ACTIONS(4852),
    [anon_sym_SEL] = ACTIONS(4852),
    [anon_sym_Class] = ACTIONS(4852),
    [anon_sym_id] = ACTIONS(4852),
    [anon_sym_out] = ACTIONS(4852),
    [anon_sym_inout] = ACTIONS(4852),
    [anon_sym_bycopy] = ACTIONS(4852),
    [anon_sym_byref] = ACTIONS(4852),
    [anon_sym_oneway] = ACTIONS(4852),
  },
  [3835] = {
    [sym_parameter_list] = STATE(3774),
    [sym_identifier] = ACTIONS(6734),
    [anon_sym_COMMA] = ACTIONS(6736),
    [anon_sym_RPAREN] = ACTIONS(6736),
    [anon_sym_LPAREN2] = ACTIONS(8848),
    [anon_sym_STAR] = ACTIONS(6736),
    [anon_sym_CARET] = ACTIONS(6736),
    [anon_sym_GT] = ACTIONS(6736),
    [anon_sym_LT] = ACTIONS(6736),
    [anon_sym___extension__] = ACTIONS(6734),
    [anon_sym___attribute__] = ACTIONS(6734),
    [anon_sym___attribute] = ACTIONS(6734),
    [anon_sym_noreturn] = ACTIONS(6734),
    [anon_sym_LBRACK] = ACTIONS(8850),
    [anon_sym___based] = ACTIONS(6734),
    [anon_sym_LBRACE] = ACTIONS(6736),
    [anon_sym_signed] = ACTIONS(6734),
    [anon_sym_unsigned] = ACTIONS(6734),
    [anon_sym_long] = ACTIONS(6734),
    [anon_sym_short] = ACTIONS(6734),
    [anon_sym_ATautoreleasepool] = ACTIONS(6736),
    [anon_sym_const] = ACTIONS(6734),
    [anon_sym_constexpr] = ACTIONS(6734),
    [anon_sym_volatile] = ACTIONS(6734),
    [anon_sym_restrict] = ACTIONS(6734),
    [anon_sym___restrict__] = ACTIONS(6734),
    [anon_sym__Atomic] = ACTIONS(6734),
    [anon_sym__Noreturn] = ACTIONS(6734),
    [anon_sym__Nonnull] = ACTIONS(6734),
    [anon_sym_nullable] = ACTIONS(6734),
    [anon_sym__Complex] = ACTIONS(6734),
    [anon_sym__Nullable] = ACTIONS(6734),
    [anon_sym__Nullable_result] = ACTIONS(6734),
    [anon_sym__Null_unspecified] = ACTIONS(6734),
    [anon_sym___autoreleasing] = ACTIONS(6734),
    [anon_sym___block] = ACTIONS(6734),
    [anon_sym___bridge] = ACTIONS(6734),
    [anon_sym___bridge_retained] = ACTIONS(6734),
    [anon_sym___bridge_transfer] = ACTIONS(6734),
    [anon_sym___complex] = ACTIONS(6734),
    [anon_sym___const] = ACTIONS(6734),
    [anon_sym___imag] = ACTIONS(6734),
    [anon_sym___kindof] = ACTIONS(6734),
    [anon_sym___nonnull] = ACTIONS(6734),
    [anon_sym___nullable] = ACTIONS(6734),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6734),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6734),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6734),
    [anon_sym___real] = ACTIONS(6734),
    [anon_sym___strong] = ACTIONS(6734),
    [anon_sym___unsafe_unretained] = ACTIONS(6734),
    [anon_sym___unused] = ACTIONS(6734),
    [anon_sym___weak] = ACTIONS(6734),
    [anon_sym_alignas] = ACTIONS(6734),
    [anon_sym__Alignas] = ACTIONS(6734),
    [sym_primitive_type] = ACTIONS(6734),
    [anon_sym_enum] = ACTIONS(6734),
    [anon_sym_struct] = ACTIONS(6734),
    [anon_sym_union] = ACTIONS(6734),
    [anon_sym_in] = ACTIONS(6734),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6734),
    [anon_sym___typeof] = ACTIONS(6734),
    [anon_sym_typeof] = ACTIONS(6734),
    [anon_sym_BOOL] = ACTIONS(6734),
    [anon_sym_IMP] = ACTIONS(6734),
    [anon_sym_SEL] = ACTIONS(6734),
    [anon_sym_Class] = ACTIONS(6734),
    [anon_sym_id] = ACTIONS(6734),
    [anon_sym_out] = ACTIONS(6734),
    [anon_sym_inout] = ACTIONS(6734),
    [anon_sym_bycopy] = ACTIONS(6734),
    [anon_sym_byref] = ACTIONS(6734),
    [anon_sym_oneway] = ACTIONS(6734),
  },
  [3836] = {
    [sym_parameter_list] = STATE(3774),
    [sym_identifier] = ACTIONS(6730),
    [anon_sym_COMMA] = ACTIONS(6732),
    [anon_sym_RPAREN] = ACTIONS(6732),
    [anon_sym_LPAREN2] = ACTIONS(8848),
    [anon_sym_STAR] = ACTIONS(6732),
    [anon_sym_CARET] = ACTIONS(6732),
    [anon_sym_GT] = ACTIONS(6732),
    [anon_sym_LT] = ACTIONS(6732),
    [anon_sym___extension__] = ACTIONS(6730),
    [anon_sym___attribute__] = ACTIONS(6730),
    [anon_sym___attribute] = ACTIONS(6730),
    [anon_sym_noreturn] = ACTIONS(6730),
    [anon_sym_LBRACK] = ACTIONS(8850),
    [anon_sym___based] = ACTIONS(6730),
    [anon_sym_LBRACE] = ACTIONS(6732),
    [anon_sym_signed] = ACTIONS(6730),
    [anon_sym_unsigned] = ACTIONS(6730),
    [anon_sym_long] = ACTIONS(6730),
    [anon_sym_short] = ACTIONS(6730),
    [anon_sym_ATautoreleasepool] = ACTIONS(6732),
    [anon_sym_const] = ACTIONS(6730),
    [anon_sym_constexpr] = ACTIONS(6730),
    [anon_sym_volatile] = ACTIONS(6730),
    [anon_sym_restrict] = ACTIONS(6730),
    [anon_sym___restrict__] = ACTIONS(6730),
    [anon_sym__Atomic] = ACTIONS(6730),
    [anon_sym__Noreturn] = ACTIONS(6730),
    [anon_sym__Nonnull] = ACTIONS(6730),
    [anon_sym_nullable] = ACTIONS(6730),
    [anon_sym__Complex] = ACTIONS(6730),
    [anon_sym__Nullable] = ACTIONS(6730),
    [anon_sym__Nullable_result] = ACTIONS(6730),
    [anon_sym__Null_unspecified] = ACTIONS(6730),
    [anon_sym___autoreleasing] = ACTIONS(6730),
    [anon_sym___block] = ACTIONS(6730),
    [anon_sym___bridge] = ACTIONS(6730),
    [anon_sym___bridge_retained] = ACTIONS(6730),
    [anon_sym___bridge_transfer] = ACTIONS(6730),
    [anon_sym___complex] = ACTIONS(6730),
    [anon_sym___const] = ACTIONS(6730),
    [anon_sym___imag] = ACTIONS(6730),
    [anon_sym___kindof] = ACTIONS(6730),
    [anon_sym___nonnull] = ACTIONS(6730),
    [anon_sym___nullable] = ACTIONS(6730),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6730),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6730),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6730),
    [anon_sym___real] = ACTIONS(6730),
    [anon_sym___strong] = ACTIONS(6730),
    [anon_sym___unsafe_unretained] = ACTIONS(6730),
    [anon_sym___unused] = ACTIONS(6730),
    [anon_sym___weak] = ACTIONS(6730),
    [anon_sym_alignas] = ACTIONS(6730),
    [anon_sym__Alignas] = ACTIONS(6730),
    [sym_primitive_type] = ACTIONS(6730),
    [anon_sym_enum] = ACTIONS(6730),
    [anon_sym_struct] = ACTIONS(6730),
    [anon_sym_union] = ACTIONS(6730),
    [anon_sym_in] = ACTIONS(6730),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6730),
    [anon_sym___typeof] = ACTIONS(6730),
    [anon_sym_typeof] = ACTIONS(6730),
    [anon_sym_BOOL] = ACTIONS(6730),
    [anon_sym_IMP] = ACTIONS(6730),
    [anon_sym_SEL] = ACTIONS(6730),
    [anon_sym_Class] = ACTIONS(6730),
    [anon_sym_id] = ACTIONS(6730),
    [anon_sym_out] = ACTIONS(6730),
    [anon_sym_inout] = ACTIONS(6730),
    [anon_sym_bycopy] = ACTIONS(6730),
    [anon_sym_byref] = ACTIONS(6730),
    [anon_sym_oneway] = ACTIONS(6730),
  },
  [3837] = {
    [sym_identifier] = ACTIONS(7269),
    [anon_sym_COMMA] = ACTIONS(7271),
    [anon_sym_RPAREN] = ACTIONS(7271),
    [anon_sym_LPAREN2] = ACTIONS(7271),
    [anon_sym_STAR] = ACTIONS(7271),
    [anon_sym_CARET] = ACTIONS(7271),
    [anon_sym_GT] = ACTIONS(7271),
    [anon_sym_LT] = ACTIONS(7271),
    [anon_sym___extension__] = ACTIONS(7269),
    [anon_sym___attribute__] = ACTIONS(7269),
    [anon_sym___attribute] = ACTIONS(7269),
    [anon_sym_noreturn] = ACTIONS(7269),
    [anon_sym_LBRACK] = ACTIONS(7271),
    [anon_sym___based] = ACTIONS(7269),
    [anon_sym_LBRACE] = ACTIONS(7271),
    [anon_sym_signed] = ACTIONS(7269),
    [anon_sym_unsigned] = ACTIONS(7269),
    [anon_sym_long] = ACTIONS(7269),
    [anon_sym_short] = ACTIONS(7269),
    [anon_sym_ATautoreleasepool] = ACTIONS(7271),
    [anon_sym_const] = ACTIONS(7269),
    [anon_sym_constexpr] = ACTIONS(7269),
    [anon_sym_volatile] = ACTIONS(7269),
    [anon_sym_restrict] = ACTIONS(7269),
    [anon_sym___restrict__] = ACTIONS(7269),
    [anon_sym__Atomic] = ACTIONS(7269),
    [anon_sym__Noreturn] = ACTIONS(7269),
    [anon_sym__Nonnull] = ACTIONS(7269),
    [anon_sym_nullable] = ACTIONS(7269),
    [anon_sym__Complex] = ACTIONS(7269),
    [anon_sym__Nullable] = ACTIONS(7269),
    [anon_sym__Nullable_result] = ACTIONS(7269),
    [anon_sym__Null_unspecified] = ACTIONS(7269),
    [anon_sym___autoreleasing] = ACTIONS(7269),
    [anon_sym___block] = ACTIONS(7269),
    [anon_sym___bridge] = ACTIONS(7269),
    [anon_sym___bridge_retained] = ACTIONS(7269),
    [anon_sym___bridge_transfer] = ACTIONS(7269),
    [anon_sym___complex] = ACTIONS(7269),
    [anon_sym___const] = ACTIONS(7269),
    [anon_sym___imag] = ACTIONS(7269),
    [anon_sym___kindof] = ACTIONS(7269),
    [anon_sym___nonnull] = ACTIONS(7269),
    [anon_sym___nullable] = ACTIONS(7269),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7269),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7269),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7269),
    [anon_sym___real] = ACTIONS(7269),
    [anon_sym___strong] = ACTIONS(7269),
    [anon_sym___unsafe_unretained] = ACTIONS(7269),
    [anon_sym___unused] = ACTIONS(7269),
    [anon_sym___weak] = ACTIONS(7269),
    [anon_sym_alignas] = ACTIONS(7269),
    [anon_sym__Alignas] = ACTIONS(7269),
    [sym_primitive_type] = ACTIONS(7269),
    [anon_sym_enum] = ACTIONS(7269),
    [anon_sym_COLON] = ACTIONS(7271),
    [anon_sym_struct] = ACTIONS(7269),
    [anon_sym_union] = ACTIONS(7269),
    [anon_sym_in] = ACTIONS(7269),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7269),
    [anon_sym___typeof] = ACTIONS(7269),
    [anon_sym_typeof] = ACTIONS(7269),
    [anon_sym_BOOL] = ACTIONS(7269),
    [anon_sym_IMP] = ACTIONS(7269),
    [anon_sym_SEL] = ACTIONS(7269),
    [anon_sym_Class] = ACTIONS(7269),
    [anon_sym_id] = ACTIONS(7269),
    [anon_sym_out] = ACTIONS(7269),
    [anon_sym_inout] = ACTIONS(7269),
    [anon_sym_bycopy] = ACTIONS(7269),
    [anon_sym_byref] = ACTIONS(7269),
    [anon_sym_oneway] = ACTIONS(7269),
  },
  [3838] = {
    [sym_identifier] = ACTIONS(7221),
    [anon_sym_COMMA] = ACTIONS(7223),
    [anon_sym_RPAREN] = ACTIONS(7223),
    [anon_sym_LPAREN2] = ACTIONS(7223),
    [anon_sym_STAR] = ACTIONS(7223),
    [anon_sym_CARET] = ACTIONS(7223),
    [anon_sym_GT] = ACTIONS(7223),
    [anon_sym_LT] = ACTIONS(7223),
    [anon_sym___extension__] = ACTIONS(7221),
    [anon_sym___attribute__] = ACTIONS(7221),
    [anon_sym___attribute] = ACTIONS(7221),
    [anon_sym_noreturn] = ACTIONS(7221),
    [anon_sym_LBRACK] = ACTIONS(7223),
    [anon_sym___based] = ACTIONS(7221),
    [anon_sym_LBRACE] = ACTIONS(7223),
    [anon_sym_signed] = ACTIONS(7221),
    [anon_sym_unsigned] = ACTIONS(7221),
    [anon_sym_long] = ACTIONS(7221),
    [anon_sym_short] = ACTIONS(7221),
    [anon_sym_ATautoreleasepool] = ACTIONS(7223),
    [anon_sym_const] = ACTIONS(7221),
    [anon_sym_constexpr] = ACTIONS(7221),
    [anon_sym_volatile] = ACTIONS(7221),
    [anon_sym_restrict] = ACTIONS(7221),
    [anon_sym___restrict__] = ACTIONS(7221),
    [anon_sym__Atomic] = ACTIONS(7221),
    [anon_sym__Noreturn] = ACTIONS(7221),
    [anon_sym__Nonnull] = ACTIONS(7221),
    [anon_sym_nullable] = ACTIONS(7221),
    [anon_sym__Complex] = ACTIONS(7221),
    [anon_sym__Nullable] = ACTIONS(7221),
    [anon_sym__Nullable_result] = ACTIONS(7221),
    [anon_sym__Null_unspecified] = ACTIONS(7221),
    [anon_sym___autoreleasing] = ACTIONS(7221),
    [anon_sym___block] = ACTIONS(7221),
    [anon_sym___bridge] = ACTIONS(7221),
    [anon_sym___bridge_retained] = ACTIONS(7221),
    [anon_sym___bridge_transfer] = ACTIONS(7221),
    [anon_sym___complex] = ACTIONS(7221),
    [anon_sym___const] = ACTIONS(7221),
    [anon_sym___imag] = ACTIONS(7221),
    [anon_sym___kindof] = ACTIONS(7221),
    [anon_sym___nonnull] = ACTIONS(7221),
    [anon_sym___nullable] = ACTIONS(7221),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7221),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7221),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7221),
    [anon_sym___real] = ACTIONS(7221),
    [anon_sym___strong] = ACTIONS(7221),
    [anon_sym___unsafe_unretained] = ACTIONS(7221),
    [anon_sym___unused] = ACTIONS(7221),
    [anon_sym___weak] = ACTIONS(7221),
    [anon_sym_alignas] = ACTIONS(7221),
    [anon_sym__Alignas] = ACTIONS(7221),
    [sym_primitive_type] = ACTIONS(7221),
    [anon_sym_enum] = ACTIONS(7221),
    [anon_sym_COLON] = ACTIONS(7223),
    [anon_sym_struct] = ACTIONS(7221),
    [anon_sym_union] = ACTIONS(7221),
    [anon_sym_in] = ACTIONS(7221),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7221),
    [anon_sym___typeof] = ACTIONS(7221),
    [anon_sym_typeof] = ACTIONS(7221),
    [anon_sym_BOOL] = ACTIONS(7221),
    [anon_sym_IMP] = ACTIONS(7221),
    [anon_sym_SEL] = ACTIONS(7221),
    [anon_sym_Class] = ACTIONS(7221),
    [anon_sym_id] = ACTIONS(7221),
    [anon_sym_out] = ACTIONS(7221),
    [anon_sym_inout] = ACTIONS(7221),
    [anon_sym_bycopy] = ACTIONS(7221),
    [anon_sym_byref] = ACTIONS(7221),
    [anon_sym_oneway] = ACTIONS(7221),
  },
  [3839] = {
    [sym_identifier] = ACTIONS(7239),
    [anon_sym_COMMA] = ACTIONS(7241),
    [anon_sym_RPAREN] = ACTIONS(7241),
    [anon_sym_LPAREN2] = ACTIONS(7241),
    [anon_sym_STAR] = ACTIONS(7241),
    [anon_sym_CARET] = ACTIONS(7241),
    [anon_sym_GT] = ACTIONS(7241),
    [anon_sym_LT] = ACTIONS(7241),
    [anon_sym___extension__] = ACTIONS(7239),
    [anon_sym___attribute__] = ACTIONS(7239),
    [anon_sym___attribute] = ACTIONS(7239),
    [anon_sym_noreturn] = ACTIONS(7239),
    [anon_sym_LBRACK] = ACTIONS(7241),
    [anon_sym___based] = ACTIONS(7239),
    [anon_sym_LBRACE] = ACTIONS(7241),
    [anon_sym_signed] = ACTIONS(7239),
    [anon_sym_unsigned] = ACTIONS(7239),
    [anon_sym_long] = ACTIONS(7239),
    [anon_sym_short] = ACTIONS(7239),
    [anon_sym_ATautoreleasepool] = ACTIONS(7241),
    [anon_sym_const] = ACTIONS(7239),
    [anon_sym_constexpr] = ACTIONS(7239),
    [anon_sym_volatile] = ACTIONS(7239),
    [anon_sym_restrict] = ACTIONS(7239),
    [anon_sym___restrict__] = ACTIONS(7239),
    [anon_sym__Atomic] = ACTIONS(7239),
    [anon_sym__Noreturn] = ACTIONS(7239),
    [anon_sym__Nonnull] = ACTIONS(7239),
    [anon_sym_nullable] = ACTIONS(7239),
    [anon_sym__Complex] = ACTIONS(7239),
    [anon_sym__Nullable] = ACTIONS(7239),
    [anon_sym__Nullable_result] = ACTIONS(7239),
    [anon_sym__Null_unspecified] = ACTIONS(7239),
    [anon_sym___autoreleasing] = ACTIONS(7239),
    [anon_sym___block] = ACTIONS(7239),
    [anon_sym___bridge] = ACTIONS(7239),
    [anon_sym___bridge_retained] = ACTIONS(7239),
    [anon_sym___bridge_transfer] = ACTIONS(7239),
    [anon_sym___complex] = ACTIONS(7239),
    [anon_sym___const] = ACTIONS(7239),
    [anon_sym___imag] = ACTIONS(7239),
    [anon_sym___kindof] = ACTIONS(7239),
    [anon_sym___nonnull] = ACTIONS(7239),
    [anon_sym___nullable] = ACTIONS(7239),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7239),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7239),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7239),
    [anon_sym___real] = ACTIONS(7239),
    [anon_sym___strong] = ACTIONS(7239),
    [anon_sym___unsafe_unretained] = ACTIONS(7239),
    [anon_sym___unused] = ACTIONS(7239),
    [anon_sym___weak] = ACTIONS(7239),
    [anon_sym_alignas] = ACTIONS(7239),
    [anon_sym__Alignas] = ACTIONS(7239),
    [sym_primitive_type] = ACTIONS(7239),
    [anon_sym_enum] = ACTIONS(7239),
    [anon_sym_COLON] = ACTIONS(7241),
    [anon_sym_struct] = ACTIONS(7239),
    [anon_sym_union] = ACTIONS(7239),
    [anon_sym_in] = ACTIONS(7239),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7239),
    [anon_sym___typeof] = ACTIONS(7239),
    [anon_sym_typeof] = ACTIONS(7239),
    [anon_sym_BOOL] = ACTIONS(7239),
    [anon_sym_IMP] = ACTIONS(7239),
    [anon_sym_SEL] = ACTIONS(7239),
    [anon_sym_Class] = ACTIONS(7239),
    [anon_sym_id] = ACTIONS(7239),
    [anon_sym_out] = ACTIONS(7239),
    [anon_sym_inout] = ACTIONS(7239),
    [anon_sym_bycopy] = ACTIONS(7239),
    [anon_sym_byref] = ACTIONS(7239),
    [anon_sym_oneway] = ACTIONS(7239),
  },
  [3840] = {
    [sym_identifier] = ACTIONS(7417),
    [anon_sym_COMMA] = ACTIONS(7419),
    [anon_sym_RPAREN] = ACTIONS(7419),
    [anon_sym_LPAREN2] = ACTIONS(7419),
    [anon_sym_STAR] = ACTIONS(7419),
    [anon_sym_CARET] = ACTIONS(7419),
    [anon_sym_GT] = ACTIONS(7419),
    [anon_sym_LT] = ACTIONS(7419),
    [anon_sym___extension__] = ACTIONS(7417),
    [anon_sym___attribute__] = ACTIONS(7417),
    [anon_sym___attribute] = ACTIONS(7417),
    [anon_sym_noreturn] = ACTIONS(7417),
    [anon_sym_LBRACK] = ACTIONS(7419),
    [anon_sym___based] = ACTIONS(7417),
    [anon_sym_LBRACE] = ACTIONS(7419),
    [anon_sym_signed] = ACTIONS(7417),
    [anon_sym_unsigned] = ACTIONS(7417),
    [anon_sym_long] = ACTIONS(7417),
    [anon_sym_short] = ACTIONS(7417),
    [anon_sym_ATautoreleasepool] = ACTIONS(7419),
    [anon_sym_const] = ACTIONS(7417),
    [anon_sym_constexpr] = ACTIONS(7417),
    [anon_sym_volatile] = ACTIONS(7417),
    [anon_sym_restrict] = ACTIONS(7417),
    [anon_sym___restrict__] = ACTIONS(7417),
    [anon_sym__Atomic] = ACTIONS(7417),
    [anon_sym__Noreturn] = ACTIONS(7417),
    [anon_sym__Nonnull] = ACTIONS(7417),
    [anon_sym_nullable] = ACTIONS(7417),
    [anon_sym__Complex] = ACTIONS(7417),
    [anon_sym__Nullable] = ACTIONS(7417),
    [anon_sym__Nullable_result] = ACTIONS(7417),
    [anon_sym__Null_unspecified] = ACTIONS(7417),
    [anon_sym___autoreleasing] = ACTIONS(7417),
    [anon_sym___block] = ACTIONS(7417),
    [anon_sym___bridge] = ACTIONS(7417),
    [anon_sym___bridge_retained] = ACTIONS(7417),
    [anon_sym___bridge_transfer] = ACTIONS(7417),
    [anon_sym___complex] = ACTIONS(7417),
    [anon_sym___const] = ACTIONS(7417),
    [anon_sym___imag] = ACTIONS(7417),
    [anon_sym___kindof] = ACTIONS(7417),
    [anon_sym___nonnull] = ACTIONS(7417),
    [anon_sym___nullable] = ACTIONS(7417),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7417),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7417),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7417),
    [anon_sym___real] = ACTIONS(7417),
    [anon_sym___strong] = ACTIONS(7417),
    [anon_sym___unsafe_unretained] = ACTIONS(7417),
    [anon_sym___unused] = ACTIONS(7417),
    [anon_sym___weak] = ACTIONS(7417),
    [anon_sym_alignas] = ACTIONS(7417),
    [anon_sym__Alignas] = ACTIONS(7417),
    [sym_primitive_type] = ACTIONS(7417),
    [anon_sym_enum] = ACTIONS(7417),
    [anon_sym_COLON] = ACTIONS(7419),
    [anon_sym_struct] = ACTIONS(7417),
    [anon_sym_union] = ACTIONS(7417),
    [anon_sym_in] = ACTIONS(7417),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7417),
    [anon_sym___typeof] = ACTIONS(7417),
    [anon_sym_typeof] = ACTIONS(7417),
    [anon_sym_BOOL] = ACTIONS(7417),
    [anon_sym_IMP] = ACTIONS(7417),
    [anon_sym_SEL] = ACTIONS(7417),
    [anon_sym_Class] = ACTIONS(7417),
    [anon_sym_id] = ACTIONS(7417),
    [anon_sym_out] = ACTIONS(7417),
    [anon_sym_inout] = ACTIONS(7417),
    [anon_sym_bycopy] = ACTIONS(7417),
    [anon_sym_byref] = ACTIONS(7417),
    [anon_sym_oneway] = ACTIONS(7417),
  },
  [3841] = {
    [sym_attribute_specifier] = STATE(3882),
    [sym_enumerator_list] = STATE(3973),
    [sym_identifier] = ACTIONS(7535),
    [anon_sym_COMMA] = ACTIONS(7537),
    [anon_sym_RPAREN] = ACTIONS(7537),
    [anon_sym_LPAREN2] = ACTIONS(7537),
    [anon_sym_STAR] = ACTIONS(7537),
    [anon_sym_CARET] = ACTIONS(7537),
    [anon_sym_GT] = ACTIONS(7537),
    [anon_sym_LT] = ACTIONS(7537),
    [anon_sym___extension__] = ACTIONS(7535),
    [anon_sym___attribute__] = ACTIONS(8852),
    [anon_sym___attribute] = ACTIONS(8852),
    [anon_sym_noreturn] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(7537),
    [anon_sym___based] = ACTIONS(7535),
    [anon_sym_LBRACE] = ACTIONS(8792),
    [anon_sym_signed] = ACTIONS(7535),
    [anon_sym_unsigned] = ACTIONS(7535),
    [anon_sym_long] = ACTIONS(7535),
    [anon_sym_short] = ACTIONS(7535),
    [anon_sym_const] = ACTIONS(7535),
    [anon_sym_constexpr] = ACTIONS(7535),
    [anon_sym_volatile] = ACTIONS(7535),
    [anon_sym_restrict] = ACTIONS(7535),
    [anon_sym___restrict__] = ACTIONS(7535),
    [anon_sym__Atomic] = ACTIONS(7535),
    [anon_sym__Noreturn] = ACTIONS(7535),
    [anon_sym__Nonnull] = ACTIONS(7535),
    [anon_sym_nullable] = ACTIONS(7535),
    [anon_sym__Complex] = ACTIONS(7535),
    [anon_sym__Nullable] = ACTIONS(7535),
    [anon_sym__Nullable_result] = ACTIONS(7535),
    [anon_sym__Null_unspecified] = ACTIONS(7535),
    [anon_sym___autoreleasing] = ACTIONS(7535),
    [anon_sym___block] = ACTIONS(7535),
    [anon_sym___bridge] = ACTIONS(7535),
    [anon_sym___bridge_retained] = ACTIONS(7535),
    [anon_sym___bridge_transfer] = ACTIONS(7535),
    [anon_sym___complex] = ACTIONS(7535),
    [anon_sym___const] = ACTIONS(7535),
    [anon_sym___imag] = ACTIONS(7535),
    [anon_sym___kindof] = ACTIONS(7535),
    [anon_sym___nonnull] = ACTIONS(7535),
    [anon_sym___nullable] = ACTIONS(7535),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7535),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7535),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7535),
    [anon_sym___real] = ACTIONS(7535),
    [anon_sym___strong] = ACTIONS(7535),
    [anon_sym___unsafe_unretained] = ACTIONS(7535),
    [anon_sym___unused] = ACTIONS(7535),
    [anon_sym___weak] = ACTIONS(7535),
    [anon_sym_alignas] = ACTIONS(7535),
    [anon_sym__Alignas] = ACTIONS(7535),
    [sym_primitive_type] = ACTIONS(7535),
    [anon_sym_enum] = ACTIONS(7535),
    [anon_sym_struct] = ACTIONS(7535),
    [anon_sym_union] = ACTIONS(7535),
    [anon_sym_in] = ACTIONS(7535),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7535),
    [anon_sym___typeof] = ACTIONS(7535),
    [anon_sym_typeof] = ACTIONS(7535),
    [anon_sym_BOOL] = ACTIONS(7535),
    [anon_sym_IMP] = ACTIONS(7535),
    [anon_sym_SEL] = ACTIONS(7535),
    [anon_sym_Class] = ACTIONS(7535),
    [anon_sym_id] = ACTIONS(7535),
    [anon_sym_out] = ACTIONS(7535),
    [anon_sym_inout] = ACTIONS(7535),
    [anon_sym_bycopy] = ACTIONS(7535),
    [anon_sym_byref] = ACTIONS(7535),
    [anon_sym_oneway] = ACTIONS(7535),
  },
  [3842] = {
    [sym_identifier] = ACTIONS(7213),
    [anon_sym_COMMA] = ACTIONS(7215),
    [anon_sym_RPAREN] = ACTIONS(7215),
    [anon_sym_LPAREN2] = ACTIONS(7215),
    [anon_sym_STAR] = ACTIONS(7215),
    [anon_sym_CARET] = ACTIONS(7215),
    [anon_sym_GT] = ACTIONS(7215),
    [anon_sym_LT] = ACTIONS(7215),
    [anon_sym___extension__] = ACTIONS(7213),
    [anon_sym___attribute__] = ACTIONS(7213),
    [anon_sym___attribute] = ACTIONS(7213),
    [anon_sym_noreturn] = ACTIONS(7213),
    [anon_sym_LBRACK] = ACTIONS(7215),
    [anon_sym___based] = ACTIONS(7213),
    [anon_sym_LBRACE] = ACTIONS(7215),
    [anon_sym_signed] = ACTIONS(7213),
    [anon_sym_unsigned] = ACTIONS(7213),
    [anon_sym_long] = ACTIONS(7213),
    [anon_sym_short] = ACTIONS(7213),
    [anon_sym_ATautoreleasepool] = ACTIONS(7215),
    [anon_sym_const] = ACTIONS(7213),
    [anon_sym_constexpr] = ACTIONS(7213),
    [anon_sym_volatile] = ACTIONS(7213),
    [anon_sym_restrict] = ACTIONS(7213),
    [anon_sym___restrict__] = ACTIONS(7213),
    [anon_sym__Atomic] = ACTIONS(7213),
    [anon_sym__Noreturn] = ACTIONS(7213),
    [anon_sym__Nonnull] = ACTIONS(7213),
    [anon_sym_nullable] = ACTIONS(7213),
    [anon_sym__Complex] = ACTIONS(7213),
    [anon_sym__Nullable] = ACTIONS(7213),
    [anon_sym__Nullable_result] = ACTIONS(7213),
    [anon_sym__Null_unspecified] = ACTIONS(7213),
    [anon_sym___autoreleasing] = ACTIONS(7213),
    [anon_sym___block] = ACTIONS(7213),
    [anon_sym___bridge] = ACTIONS(7213),
    [anon_sym___bridge_retained] = ACTIONS(7213),
    [anon_sym___bridge_transfer] = ACTIONS(7213),
    [anon_sym___complex] = ACTIONS(7213),
    [anon_sym___const] = ACTIONS(7213),
    [anon_sym___imag] = ACTIONS(7213),
    [anon_sym___kindof] = ACTIONS(7213),
    [anon_sym___nonnull] = ACTIONS(7213),
    [anon_sym___nullable] = ACTIONS(7213),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7213),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7213),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7213),
    [anon_sym___real] = ACTIONS(7213),
    [anon_sym___strong] = ACTIONS(7213),
    [anon_sym___unsafe_unretained] = ACTIONS(7213),
    [anon_sym___unused] = ACTIONS(7213),
    [anon_sym___weak] = ACTIONS(7213),
    [anon_sym_alignas] = ACTIONS(7213),
    [anon_sym__Alignas] = ACTIONS(7213),
    [sym_primitive_type] = ACTIONS(7213),
    [anon_sym_enum] = ACTIONS(7213),
    [anon_sym_COLON] = ACTIONS(7215),
    [anon_sym_struct] = ACTIONS(7213),
    [anon_sym_union] = ACTIONS(7213),
    [anon_sym_in] = ACTIONS(7213),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7213),
    [anon_sym___typeof] = ACTIONS(7213),
    [anon_sym_typeof] = ACTIONS(7213),
    [anon_sym_BOOL] = ACTIONS(7213),
    [anon_sym_IMP] = ACTIONS(7213),
    [anon_sym_SEL] = ACTIONS(7213),
    [anon_sym_Class] = ACTIONS(7213),
    [anon_sym_id] = ACTIONS(7213),
    [anon_sym_out] = ACTIONS(7213),
    [anon_sym_inout] = ACTIONS(7213),
    [anon_sym_bycopy] = ACTIONS(7213),
    [anon_sym_byref] = ACTIONS(7213),
    [anon_sym_oneway] = ACTIONS(7213),
  },
  [3843] = {
    [sym_identifier] = ACTIONS(7265),
    [anon_sym_COMMA] = ACTIONS(7267),
    [anon_sym_RPAREN] = ACTIONS(7267),
    [anon_sym_LPAREN2] = ACTIONS(7267),
    [anon_sym_STAR] = ACTIONS(7267),
    [anon_sym_CARET] = ACTIONS(7267),
    [anon_sym_GT] = ACTIONS(7267),
    [anon_sym_LT] = ACTIONS(7267),
    [anon_sym___extension__] = ACTIONS(7265),
    [anon_sym___attribute__] = ACTIONS(7265),
    [anon_sym___attribute] = ACTIONS(7265),
    [anon_sym_noreturn] = ACTIONS(7265),
    [anon_sym_LBRACK] = ACTIONS(7267),
    [anon_sym___based] = ACTIONS(7265),
    [anon_sym_LBRACE] = ACTIONS(7267),
    [anon_sym_signed] = ACTIONS(7265),
    [anon_sym_unsigned] = ACTIONS(7265),
    [anon_sym_long] = ACTIONS(7265),
    [anon_sym_short] = ACTIONS(7265),
    [anon_sym_ATautoreleasepool] = ACTIONS(7267),
    [anon_sym_const] = ACTIONS(7265),
    [anon_sym_constexpr] = ACTIONS(7265),
    [anon_sym_volatile] = ACTIONS(7265),
    [anon_sym_restrict] = ACTIONS(7265),
    [anon_sym___restrict__] = ACTIONS(7265),
    [anon_sym__Atomic] = ACTIONS(7265),
    [anon_sym__Noreturn] = ACTIONS(7265),
    [anon_sym__Nonnull] = ACTIONS(7265),
    [anon_sym_nullable] = ACTIONS(7265),
    [anon_sym__Complex] = ACTIONS(7265),
    [anon_sym__Nullable] = ACTIONS(7265),
    [anon_sym__Nullable_result] = ACTIONS(7265),
    [anon_sym__Null_unspecified] = ACTIONS(7265),
    [anon_sym___autoreleasing] = ACTIONS(7265),
    [anon_sym___block] = ACTIONS(7265),
    [anon_sym___bridge] = ACTIONS(7265),
    [anon_sym___bridge_retained] = ACTIONS(7265),
    [anon_sym___bridge_transfer] = ACTIONS(7265),
    [anon_sym___complex] = ACTIONS(7265),
    [anon_sym___const] = ACTIONS(7265),
    [anon_sym___imag] = ACTIONS(7265),
    [anon_sym___kindof] = ACTIONS(7265),
    [anon_sym___nonnull] = ACTIONS(7265),
    [anon_sym___nullable] = ACTIONS(7265),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7265),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7265),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7265),
    [anon_sym___real] = ACTIONS(7265),
    [anon_sym___strong] = ACTIONS(7265),
    [anon_sym___unsafe_unretained] = ACTIONS(7265),
    [anon_sym___unused] = ACTIONS(7265),
    [anon_sym___weak] = ACTIONS(7265),
    [anon_sym_alignas] = ACTIONS(7265),
    [anon_sym__Alignas] = ACTIONS(7265),
    [sym_primitive_type] = ACTIONS(7265),
    [anon_sym_enum] = ACTIONS(7265),
    [anon_sym_COLON] = ACTIONS(7267),
    [anon_sym_struct] = ACTIONS(7265),
    [anon_sym_union] = ACTIONS(7265),
    [anon_sym_in] = ACTIONS(7265),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7265),
    [anon_sym___typeof] = ACTIONS(7265),
    [anon_sym_typeof] = ACTIONS(7265),
    [anon_sym_BOOL] = ACTIONS(7265),
    [anon_sym_IMP] = ACTIONS(7265),
    [anon_sym_SEL] = ACTIONS(7265),
    [anon_sym_Class] = ACTIONS(7265),
    [anon_sym_id] = ACTIONS(7265),
    [anon_sym_out] = ACTIONS(7265),
    [anon_sym_inout] = ACTIONS(7265),
    [anon_sym_bycopy] = ACTIONS(7265),
    [anon_sym_byref] = ACTIONS(7265),
    [anon_sym_oneway] = ACTIONS(7265),
  },
  [3844] = {
    [sym_identifier] = ACTIONS(7335),
    [anon_sym_COMMA] = ACTIONS(7337),
    [anon_sym_RPAREN] = ACTIONS(7337),
    [anon_sym_LPAREN2] = ACTIONS(7337),
    [anon_sym_STAR] = ACTIONS(7337),
    [anon_sym_CARET] = ACTIONS(7337),
    [anon_sym_GT] = ACTIONS(7337),
    [anon_sym_LT] = ACTIONS(7337),
    [anon_sym___extension__] = ACTIONS(7335),
    [anon_sym___attribute__] = ACTIONS(7335),
    [anon_sym___attribute] = ACTIONS(7335),
    [anon_sym_noreturn] = ACTIONS(7335),
    [anon_sym_LBRACK] = ACTIONS(7337),
    [anon_sym___based] = ACTIONS(7335),
    [anon_sym_LBRACE] = ACTIONS(7337),
    [anon_sym_signed] = ACTIONS(7335),
    [anon_sym_unsigned] = ACTIONS(7335),
    [anon_sym_long] = ACTIONS(7335),
    [anon_sym_short] = ACTIONS(7335),
    [anon_sym_ATautoreleasepool] = ACTIONS(7337),
    [anon_sym_const] = ACTIONS(7335),
    [anon_sym_constexpr] = ACTIONS(7335),
    [anon_sym_volatile] = ACTIONS(7335),
    [anon_sym_restrict] = ACTIONS(7335),
    [anon_sym___restrict__] = ACTIONS(7335),
    [anon_sym__Atomic] = ACTIONS(7335),
    [anon_sym__Noreturn] = ACTIONS(7335),
    [anon_sym__Nonnull] = ACTIONS(7335),
    [anon_sym_nullable] = ACTIONS(7335),
    [anon_sym__Complex] = ACTIONS(7335),
    [anon_sym__Nullable] = ACTIONS(7335),
    [anon_sym__Nullable_result] = ACTIONS(7335),
    [anon_sym__Null_unspecified] = ACTIONS(7335),
    [anon_sym___autoreleasing] = ACTIONS(7335),
    [anon_sym___block] = ACTIONS(7335),
    [anon_sym___bridge] = ACTIONS(7335),
    [anon_sym___bridge_retained] = ACTIONS(7335),
    [anon_sym___bridge_transfer] = ACTIONS(7335),
    [anon_sym___complex] = ACTIONS(7335),
    [anon_sym___const] = ACTIONS(7335),
    [anon_sym___imag] = ACTIONS(7335),
    [anon_sym___kindof] = ACTIONS(7335),
    [anon_sym___nonnull] = ACTIONS(7335),
    [anon_sym___nullable] = ACTIONS(7335),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7335),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7335),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7335),
    [anon_sym___real] = ACTIONS(7335),
    [anon_sym___strong] = ACTIONS(7335),
    [anon_sym___unsafe_unretained] = ACTIONS(7335),
    [anon_sym___unused] = ACTIONS(7335),
    [anon_sym___weak] = ACTIONS(7335),
    [anon_sym_alignas] = ACTIONS(7335),
    [anon_sym__Alignas] = ACTIONS(7335),
    [sym_primitive_type] = ACTIONS(7335),
    [anon_sym_enum] = ACTIONS(7335),
    [anon_sym_COLON] = ACTIONS(7337),
    [anon_sym_struct] = ACTIONS(7335),
    [anon_sym_union] = ACTIONS(7335),
    [anon_sym_in] = ACTIONS(7335),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7335),
    [anon_sym___typeof] = ACTIONS(7335),
    [anon_sym_typeof] = ACTIONS(7335),
    [anon_sym_BOOL] = ACTIONS(7335),
    [anon_sym_IMP] = ACTIONS(7335),
    [anon_sym_SEL] = ACTIONS(7335),
    [anon_sym_Class] = ACTIONS(7335),
    [anon_sym_id] = ACTIONS(7335),
    [anon_sym_out] = ACTIONS(7335),
    [anon_sym_inout] = ACTIONS(7335),
    [anon_sym_bycopy] = ACTIONS(7335),
    [anon_sym_byref] = ACTIONS(7335),
    [anon_sym_oneway] = ACTIONS(7335),
  },
  [3845] = {
    [sym__type_definition_type] = STATE(4749),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4050),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3846] = {
    [sym_identifier] = ACTIONS(7339),
    [anon_sym_COMMA] = ACTIONS(7341),
    [anon_sym_RPAREN] = ACTIONS(7341),
    [anon_sym_LPAREN2] = ACTIONS(7341),
    [anon_sym_STAR] = ACTIONS(7341),
    [anon_sym_CARET] = ACTIONS(7341),
    [anon_sym_GT] = ACTIONS(7341),
    [anon_sym_LT] = ACTIONS(7341),
    [anon_sym___extension__] = ACTIONS(7339),
    [anon_sym___attribute__] = ACTIONS(7339),
    [anon_sym___attribute] = ACTIONS(7339),
    [anon_sym_noreturn] = ACTIONS(7339),
    [anon_sym_LBRACK] = ACTIONS(7341),
    [anon_sym___based] = ACTIONS(7339),
    [anon_sym_LBRACE] = ACTIONS(7341),
    [anon_sym_signed] = ACTIONS(7339),
    [anon_sym_unsigned] = ACTIONS(7339),
    [anon_sym_long] = ACTIONS(7339),
    [anon_sym_short] = ACTIONS(7339),
    [anon_sym_ATautoreleasepool] = ACTIONS(7341),
    [anon_sym_const] = ACTIONS(7339),
    [anon_sym_constexpr] = ACTIONS(7339),
    [anon_sym_volatile] = ACTIONS(7339),
    [anon_sym_restrict] = ACTIONS(7339),
    [anon_sym___restrict__] = ACTIONS(7339),
    [anon_sym__Atomic] = ACTIONS(7339),
    [anon_sym__Noreturn] = ACTIONS(7339),
    [anon_sym__Nonnull] = ACTIONS(7339),
    [anon_sym_nullable] = ACTIONS(7339),
    [anon_sym__Complex] = ACTIONS(7339),
    [anon_sym__Nullable] = ACTIONS(7339),
    [anon_sym__Nullable_result] = ACTIONS(7339),
    [anon_sym__Null_unspecified] = ACTIONS(7339),
    [anon_sym___autoreleasing] = ACTIONS(7339),
    [anon_sym___block] = ACTIONS(7339),
    [anon_sym___bridge] = ACTIONS(7339),
    [anon_sym___bridge_retained] = ACTIONS(7339),
    [anon_sym___bridge_transfer] = ACTIONS(7339),
    [anon_sym___complex] = ACTIONS(7339),
    [anon_sym___const] = ACTIONS(7339),
    [anon_sym___imag] = ACTIONS(7339),
    [anon_sym___kindof] = ACTIONS(7339),
    [anon_sym___nonnull] = ACTIONS(7339),
    [anon_sym___nullable] = ACTIONS(7339),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7339),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7339),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7339),
    [anon_sym___real] = ACTIONS(7339),
    [anon_sym___strong] = ACTIONS(7339),
    [anon_sym___unsafe_unretained] = ACTIONS(7339),
    [anon_sym___unused] = ACTIONS(7339),
    [anon_sym___weak] = ACTIONS(7339),
    [anon_sym_alignas] = ACTIONS(7339),
    [anon_sym__Alignas] = ACTIONS(7339),
    [sym_primitive_type] = ACTIONS(7339),
    [anon_sym_enum] = ACTIONS(7339),
    [anon_sym_COLON] = ACTIONS(7341),
    [anon_sym_struct] = ACTIONS(7339),
    [anon_sym_union] = ACTIONS(7339),
    [anon_sym_in] = ACTIONS(7339),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7339),
    [anon_sym___typeof] = ACTIONS(7339),
    [anon_sym_typeof] = ACTIONS(7339),
    [anon_sym_BOOL] = ACTIONS(7339),
    [anon_sym_IMP] = ACTIONS(7339),
    [anon_sym_SEL] = ACTIONS(7339),
    [anon_sym_Class] = ACTIONS(7339),
    [anon_sym_id] = ACTIONS(7339),
    [anon_sym_out] = ACTIONS(7339),
    [anon_sym_inout] = ACTIONS(7339),
    [anon_sym_bycopy] = ACTIONS(7339),
    [anon_sym_byref] = ACTIONS(7339),
    [anon_sym_oneway] = ACTIONS(7339),
  },
  [3847] = {
    [sym_identifier] = ACTIONS(7373),
    [anon_sym_COMMA] = ACTIONS(7375),
    [anon_sym_RPAREN] = ACTIONS(7375),
    [anon_sym_LPAREN2] = ACTIONS(7375),
    [anon_sym_STAR] = ACTIONS(7375),
    [anon_sym_CARET] = ACTIONS(7375),
    [anon_sym_GT] = ACTIONS(7375),
    [anon_sym_LT] = ACTIONS(7375),
    [anon_sym___extension__] = ACTIONS(7373),
    [anon_sym___attribute__] = ACTIONS(7373),
    [anon_sym___attribute] = ACTIONS(7373),
    [anon_sym_noreturn] = ACTIONS(7373),
    [anon_sym_LBRACK] = ACTIONS(7375),
    [anon_sym___based] = ACTIONS(7373),
    [anon_sym_LBRACE] = ACTIONS(7375),
    [anon_sym_signed] = ACTIONS(7373),
    [anon_sym_unsigned] = ACTIONS(7373),
    [anon_sym_long] = ACTIONS(7373),
    [anon_sym_short] = ACTIONS(7373),
    [anon_sym_ATautoreleasepool] = ACTIONS(7375),
    [anon_sym_const] = ACTIONS(7373),
    [anon_sym_constexpr] = ACTIONS(7373),
    [anon_sym_volatile] = ACTIONS(7373),
    [anon_sym_restrict] = ACTIONS(7373),
    [anon_sym___restrict__] = ACTIONS(7373),
    [anon_sym__Atomic] = ACTIONS(7373),
    [anon_sym__Noreturn] = ACTIONS(7373),
    [anon_sym__Nonnull] = ACTIONS(7373),
    [anon_sym_nullable] = ACTIONS(7373),
    [anon_sym__Complex] = ACTIONS(7373),
    [anon_sym__Nullable] = ACTIONS(7373),
    [anon_sym__Nullable_result] = ACTIONS(7373),
    [anon_sym__Null_unspecified] = ACTIONS(7373),
    [anon_sym___autoreleasing] = ACTIONS(7373),
    [anon_sym___block] = ACTIONS(7373),
    [anon_sym___bridge] = ACTIONS(7373),
    [anon_sym___bridge_retained] = ACTIONS(7373),
    [anon_sym___bridge_transfer] = ACTIONS(7373),
    [anon_sym___complex] = ACTIONS(7373),
    [anon_sym___const] = ACTIONS(7373),
    [anon_sym___imag] = ACTIONS(7373),
    [anon_sym___kindof] = ACTIONS(7373),
    [anon_sym___nonnull] = ACTIONS(7373),
    [anon_sym___nullable] = ACTIONS(7373),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7373),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7373),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7373),
    [anon_sym___real] = ACTIONS(7373),
    [anon_sym___strong] = ACTIONS(7373),
    [anon_sym___unsafe_unretained] = ACTIONS(7373),
    [anon_sym___unused] = ACTIONS(7373),
    [anon_sym___weak] = ACTIONS(7373),
    [anon_sym_alignas] = ACTIONS(7373),
    [anon_sym__Alignas] = ACTIONS(7373),
    [sym_primitive_type] = ACTIONS(7373),
    [anon_sym_enum] = ACTIONS(7373),
    [anon_sym_COLON] = ACTIONS(7375),
    [anon_sym_struct] = ACTIONS(7373),
    [anon_sym_union] = ACTIONS(7373),
    [anon_sym_in] = ACTIONS(7373),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7373),
    [anon_sym___typeof] = ACTIONS(7373),
    [anon_sym_typeof] = ACTIONS(7373),
    [anon_sym_BOOL] = ACTIONS(7373),
    [anon_sym_IMP] = ACTIONS(7373),
    [anon_sym_SEL] = ACTIONS(7373),
    [anon_sym_Class] = ACTIONS(7373),
    [anon_sym_id] = ACTIONS(7373),
    [anon_sym_out] = ACTIONS(7373),
    [anon_sym_inout] = ACTIONS(7373),
    [anon_sym_bycopy] = ACTIONS(7373),
    [anon_sym_byref] = ACTIONS(7373),
    [anon_sym_oneway] = ACTIONS(7373),
  },
  [3848] = {
    [sym_identifier] = ACTIONS(7451),
    [anon_sym_COMMA] = ACTIONS(7453),
    [anon_sym_RPAREN] = ACTIONS(7453),
    [anon_sym_LPAREN2] = ACTIONS(7453),
    [anon_sym_STAR] = ACTIONS(7453),
    [anon_sym_CARET] = ACTIONS(7453),
    [anon_sym_GT] = ACTIONS(7453),
    [anon_sym_LT] = ACTIONS(7453),
    [anon_sym___extension__] = ACTIONS(7451),
    [anon_sym___attribute__] = ACTIONS(7451),
    [anon_sym___attribute] = ACTIONS(7451),
    [anon_sym_noreturn] = ACTIONS(7451),
    [anon_sym_LBRACK] = ACTIONS(7453),
    [anon_sym___based] = ACTIONS(7451),
    [anon_sym_LBRACE] = ACTIONS(7453),
    [anon_sym_signed] = ACTIONS(7451),
    [anon_sym_unsigned] = ACTIONS(7451),
    [anon_sym_long] = ACTIONS(7451),
    [anon_sym_short] = ACTIONS(7451),
    [anon_sym_ATautoreleasepool] = ACTIONS(7453),
    [anon_sym_const] = ACTIONS(7451),
    [anon_sym_constexpr] = ACTIONS(7451),
    [anon_sym_volatile] = ACTIONS(7451),
    [anon_sym_restrict] = ACTIONS(7451),
    [anon_sym___restrict__] = ACTIONS(7451),
    [anon_sym__Atomic] = ACTIONS(7451),
    [anon_sym__Noreturn] = ACTIONS(7451),
    [anon_sym__Nonnull] = ACTIONS(7451),
    [anon_sym_nullable] = ACTIONS(7451),
    [anon_sym__Complex] = ACTIONS(7451),
    [anon_sym__Nullable] = ACTIONS(7451),
    [anon_sym__Nullable_result] = ACTIONS(7451),
    [anon_sym__Null_unspecified] = ACTIONS(7451),
    [anon_sym___autoreleasing] = ACTIONS(7451),
    [anon_sym___block] = ACTIONS(7451),
    [anon_sym___bridge] = ACTIONS(7451),
    [anon_sym___bridge_retained] = ACTIONS(7451),
    [anon_sym___bridge_transfer] = ACTIONS(7451),
    [anon_sym___complex] = ACTIONS(7451),
    [anon_sym___const] = ACTIONS(7451),
    [anon_sym___imag] = ACTIONS(7451),
    [anon_sym___kindof] = ACTIONS(7451),
    [anon_sym___nonnull] = ACTIONS(7451),
    [anon_sym___nullable] = ACTIONS(7451),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7451),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7451),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7451),
    [anon_sym___real] = ACTIONS(7451),
    [anon_sym___strong] = ACTIONS(7451),
    [anon_sym___unsafe_unretained] = ACTIONS(7451),
    [anon_sym___unused] = ACTIONS(7451),
    [anon_sym___weak] = ACTIONS(7451),
    [anon_sym_alignas] = ACTIONS(7451),
    [anon_sym__Alignas] = ACTIONS(7451),
    [sym_primitive_type] = ACTIONS(7451),
    [anon_sym_enum] = ACTIONS(7451),
    [anon_sym_COLON] = ACTIONS(7453),
    [anon_sym_struct] = ACTIONS(7451),
    [anon_sym_union] = ACTIONS(7451),
    [anon_sym_in] = ACTIONS(7451),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7451),
    [anon_sym___typeof] = ACTIONS(7451),
    [anon_sym_typeof] = ACTIONS(7451),
    [anon_sym_BOOL] = ACTIONS(7451),
    [anon_sym_IMP] = ACTIONS(7451),
    [anon_sym_SEL] = ACTIONS(7451),
    [anon_sym_Class] = ACTIONS(7451),
    [anon_sym_id] = ACTIONS(7451),
    [anon_sym_out] = ACTIONS(7451),
    [anon_sym_inout] = ACTIONS(7451),
    [anon_sym_bycopy] = ACTIONS(7451),
    [anon_sym_byref] = ACTIONS(7451),
    [anon_sym_oneway] = ACTIONS(7451),
  },
  [3849] = {
    [sym__type_definition_type] = STATE(4791),
    [sym_attribute_specifier] = STATE(3980),
    [sym_ms_declspec_modifier] = STATE(4050),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3850] = {
    [sym_identifier] = ACTIONS(7225),
    [anon_sym_COMMA] = ACTIONS(7227),
    [anon_sym_RPAREN] = ACTIONS(7227),
    [anon_sym_LPAREN2] = ACTIONS(7227),
    [anon_sym_STAR] = ACTIONS(7227),
    [anon_sym_CARET] = ACTIONS(7227),
    [anon_sym_GT] = ACTIONS(7227),
    [anon_sym_LT] = ACTIONS(7227),
    [anon_sym___extension__] = ACTIONS(7225),
    [anon_sym___attribute__] = ACTIONS(7225),
    [anon_sym___attribute] = ACTIONS(7225),
    [anon_sym_noreturn] = ACTIONS(7225),
    [anon_sym_LBRACK] = ACTIONS(7227),
    [anon_sym___based] = ACTIONS(7225),
    [anon_sym_LBRACE] = ACTIONS(7227),
    [anon_sym_signed] = ACTIONS(7225),
    [anon_sym_unsigned] = ACTIONS(7225),
    [anon_sym_long] = ACTIONS(7225),
    [anon_sym_short] = ACTIONS(7225),
    [anon_sym_ATautoreleasepool] = ACTIONS(7227),
    [anon_sym_const] = ACTIONS(7225),
    [anon_sym_constexpr] = ACTIONS(7225),
    [anon_sym_volatile] = ACTIONS(7225),
    [anon_sym_restrict] = ACTIONS(7225),
    [anon_sym___restrict__] = ACTIONS(7225),
    [anon_sym__Atomic] = ACTIONS(7225),
    [anon_sym__Noreturn] = ACTIONS(7225),
    [anon_sym__Nonnull] = ACTIONS(7225),
    [anon_sym_nullable] = ACTIONS(7225),
    [anon_sym__Complex] = ACTIONS(7225),
    [anon_sym__Nullable] = ACTIONS(7225),
    [anon_sym__Nullable_result] = ACTIONS(7225),
    [anon_sym__Null_unspecified] = ACTIONS(7225),
    [anon_sym___autoreleasing] = ACTIONS(7225),
    [anon_sym___block] = ACTIONS(7225),
    [anon_sym___bridge] = ACTIONS(7225),
    [anon_sym___bridge_retained] = ACTIONS(7225),
    [anon_sym___bridge_transfer] = ACTIONS(7225),
    [anon_sym___complex] = ACTIONS(7225),
    [anon_sym___const] = ACTIONS(7225),
    [anon_sym___imag] = ACTIONS(7225),
    [anon_sym___kindof] = ACTIONS(7225),
    [anon_sym___nonnull] = ACTIONS(7225),
    [anon_sym___nullable] = ACTIONS(7225),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7225),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7225),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7225),
    [anon_sym___real] = ACTIONS(7225),
    [anon_sym___strong] = ACTIONS(7225),
    [anon_sym___unsafe_unretained] = ACTIONS(7225),
    [anon_sym___unused] = ACTIONS(7225),
    [anon_sym___weak] = ACTIONS(7225),
    [anon_sym_alignas] = ACTIONS(7225),
    [anon_sym__Alignas] = ACTIONS(7225),
    [sym_primitive_type] = ACTIONS(7225),
    [anon_sym_enum] = ACTIONS(7225),
    [anon_sym_COLON] = ACTIONS(7227),
    [anon_sym_struct] = ACTIONS(7225),
    [anon_sym_union] = ACTIONS(7225),
    [anon_sym_in] = ACTIONS(7225),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7225),
    [anon_sym___typeof] = ACTIONS(7225),
    [anon_sym_typeof] = ACTIONS(7225),
    [anon_sym_BOOL] = ACTIONS(7225),
    [anon_sym_IMP] = ACTIONS(7225),
    [anon_sym_SEL] = ACTIONS(7225),
    [anon_sym_Class] = ACTIONS(7225),
    [anon_sym_id] = ACTIONS(7225),
    [anon_sym_out] = ACTIONS(7225),
    [anon_sym_inout] = ACTIONS(7225),
    [anon_sym_bycopy] = ACTIONS(7225),
    [anon_sym_byref] = ACTIONS(7225),
    [anon_sym_oneway] = ACTIONS(7225),
  },
  [3851] = {
    [sym_attribute_specifier] = STATE(3842),
    [sym_enumerator_list] = STATE(3981),
    [sym_identifier] = ACTIONS(7517),
    [anon_sym_COMMA] = ACTIONS(7519),
    [anon_sym_RPAREN] = ACTIONS(7519),
    [anon_sym_LPAREN2] = ACTIONS(7519),
    [anon_sym_STAR] = ACTIONS(7519),
    [anon_sym_CARET] = ACTIONS(7519),
    [anon_sym_GT] = ACTIONS(7519),
    [anon_sym_LT] = ACTIONS(7519),
    [anon_sym___extension__] = ACTIONS(7517),
    [anon_sym___attribute__] = ACTIONS(8861),
    [anon_sym___attribute] = ACTIONS(8861),
    [anon_sym_noreturn] = ACTIONS(7517),
    [anon_sym_LBRACK] = ACTIONS(7519),
    [anon_sym___based] = ACTIONS(7517),
    [anon_sym_LBRACE] = ACTIONS(8792),
    [anon_sym_signed] = ACTIONS(7517),
    [anon_sym_unsigned] = ACTIONS(7517),
    [anon_sym_long] = ACTIONS(7517),
    [anon_sym_short] = ACTIONS(7517),
    [anon_sym_const] = ACTIONS(7517),
    [anon_sym_constexpr] = ACTIONS(7517),
    [anon_sym_volatile] = ACTIONS(7517),
    [anon_sym_restrict] = ACTIONS(7517),
    [anon_sym___restrict__] = ACTIONS(7517),
    [anon_sym__Atomic] = ACTIONS(7517),
    [anon_sym__Noreturn] = ACTIONS(7517),
    [anon_sym__Nonnull] = ACTIONS(7517),
    [anon_sym_nullable] = ACTIONS(7517),
    [anon_sym__Complex] = ACTIONS(7517),
    [anon_sym__Nullable] = ACTIONS(7517),
    [anon_sym__Nullable_result] = ACTIONS(7517),
    [anon_sym__Null_unspecified] = ACTIONS(7517),
    [anon_sym___autoreleasing] = ACTIONS(7517),
    [anon_sym___block] = ACTIONS(7517),
    [anon_sym___bridge] = ACTIONS(7517),
    [anon_sym___bridge_retained] = ACTIONS(7517),
    [anon_sym___bridge_transfer] = ACTIONS(7517),
    [anon_sym___complex] = ACTIONS(7517),
    [anon_sym___const] = ACTIONS(7517),
    [anon_sym___imag] = ACTIONS(7517),
    [anon_sym___kindof] = ACTIONS(7517),
    [anon_sym___nonnull] = ACTIONS(7517),
    [anon_sym___nullable] = ACTIONS(7517),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7517),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7517),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7517),
    [anon_sym___real] = ACTIONS(7517),
    [anon_sym___strong] = ACTIONS(7517),
    [anon_sym___unsafe_unretained] = ACTIONS(7517),
    [anon_sym___unused] = ACTIONS(7517),
    [anon_sym___weak] = ACTIONS(7517),
    [anon_sym_alignas] = ACTIONS(7517),
    [anon_sym__Alignas] = ACTIONS(7517),
    [sym_primitive_type] = ACTIONS(7517),
    [anon_sym_enum] = ACTIONS(7517),
    [anon_sym_struct] = ACTIONS(7517),
    [anon_sym_union] = ACTIONS(7517),
    [anon_sym_in] = ACTIONS(7517),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7517),
    [anon_sym___typeof] = ACTIONS(7517),
    [anon_sym_typeof] = ACTIONS(7517),
    [anon_sym_BOOL] = ACTIONS(7517),
    [anon_sym_IMP] = ACTIONS(7517),
    [anon_sym_SEL] = ACTIONS(7517),
    [anon_sym_Class] = ACTIONS(7517),
    [anon_sym_id] = ACTIONS(7517),
    [anon_sym_out] = ACTIONS(7517),
    [anon_sym_inout] = ACTIONS(7517),
    [anon_sym_bycopy] = ACTIONS(7517),
    [anon_sym_byref] = ACTIONS(7517),
    [anon_sym_oneway] = ACTIONS(7517),
  },
  [3852] = {
    [sym_attribute_specifier] = STATE(3865),
    [sym_enumerator_list] = STATE(3982),
    [sym_identifier] = ACTIONS(7526),
    [anon_sym_COMMA] = ACTIONS(7528),
    [anon_sym_RPAREN] = ACTIONS(7528),
    [anon_sym_LPAREN2] = ACTIONS(7528),
    [anon_sym_STAR] = ACTIONS(7528),
    [anon_sym_CARET] = ACTIONS(7528),
    [anon_sym_GT] = ACTIONS(7528),
    [anon_sym_LT] = ACTIONS(7528),
    [anon_sym___extension__] = ACTIONS(7526),
    [anon_sym___attribute__] = ACTIONS(8864),
    [anon_sym___attribute] = ACTIONS(8864),
    [anon_sym_noreturn] = ACTIONS(7526),
    [anon_sym_LBRACK] = ACTIONS(7528),
    [anon_sym___based] = ACTIONS(7526),
    [anon_sym_LBRACE] = ACTIONS(8792),
    [anon_sym_signed] = ACTIONS(7526),
    [anon_sym_unsigned] = ACTIONS(7526),
    [anon_sym_long] = ACTIONS(7526),
    [anon_sym_short] = ACTIONS(7526),
    [anon_sym_const] = ACTIONS(7526),
    [anon_sym_constexpr] = ACTIONS(7526),
    [anon_sym_volatile] = ACTIONS(7526),
    [anon_sym_restrict] = ACTIONS(7526),
    [anon_sym___restrict__] = ACTIONS(7526),
    [anon_sym__Atomic] = ACTIONS(7526),
    [anon_sym__Noreturn] = ACTIONS(7526),
    [anon_sym__Nonnull] = ACTIONS(7526),
    [anon_sym_nullable] = ACTIONS(7526),
    [anon_sym__Complex] = ACTIONS(7526),
    [anon_sym__Nullable] = ACTIONS(7526),
    [anon_sym__Nullable_result] = ACTIONS(7526),
    [anon_sym__Null_unspecified] = ACTIONS(7526),
    [anon_sym___autoreleasing] = ACTIONS(7526),
    [anon_sym___block] = ACTIONS(7526),
    [anon_sym___bridge] = ACTIONS(7526),
    [anon_sym___bridge_retained] = ACTIONS(7526),
    [anon_sym___bridge_transfer] = ACTIONS(7526),
    [anon_sym___complex] = ACTIONS(7526),
    [anon_sym___const] = ACTIONS(7526),
    [anon_sym___imag] = ACTIONS(7526),
    [anon_sym___kindof] = ACTIONS(7526),
    [anon_sym___nonnull] = ACTIONS(7526),
    [anon_sym___nullable] = ACTIONS(7526),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7526),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7526),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7526),
    [anon_sym___real] = ACTIONS(7526),
    [anon_sym___strong] = ACTIONS(7526),
    [anon_sym___unsafe_unretained] = ACTIONS(7526),
    [anon_sym___unused] = ACTIONS(7526),
    [anon_sym___weak] = ACTIONS(7526),
    [anon_sym_alignas] = ACTIONS(7526),
    [anon_sym__Alignas] = ACTIONS(7526),
    [sym_primitive_type] = ACTIONS(7526),
    [anon_sym_enum] = ACTIONS(7526),
    [anon_sym_struct] = ACTIONS(7526),
    [anon_sym_union] = ACTIONS(7526),
    [anon_sym_in] = ACTIONS(7526),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7526),
    [anon_sym___typeof] = ACTIONS(7526),
    [anon_sym_typeof] = ACTIONS(7526),
    [anon_sym_BOOL] = ACTIONS(7526),
    [anon_sym_IMP] = ACTIONS(7526),
    [anon_sym_SEL] = ACTIONS(7526),
    [anon_sym_Class] = ACTIONS(7526),
    [anon_sym_id] = ACTIONS(7526),
    [anon_sym_out] = ACTIONS(7526),
    [anon_sym_inout] = ACTIONS(7526),
    [anon_sym_bycopy] = ACTIONS(7526),
    [anon_sym_byref] = ACTIONS(7526),
    [anon_sym_oneway] = ACTIONS(7526),
  },
  [3853] = {
    [sym_identifier] = ACTIONS(7243),
    [anon_sym_COMMA] = ACTIONS(7245),
    [anon_sym_RPAREN] = ACTIONS(7245),
    [anon_sym_LPAREN2] = ACTIONS(7245),
    [anon_sym_STAR] = ACTIONS(7245),
    [anon_sym_CARET] = ACTIONS(7245),
    [anon_sym_GT] = ACTIONS(7245),
    [anon_sym_LT] = ACTIONS(7245),
    [anon_sym___extension__] = ACTIONS(7243),
    [anon_sym___attribute__] = ACTIONS(7243),
    [anon_sym___attribute] = ACTIONS(7243),
    [anon_sym_noreturn] = ACTIONS(7243),
    [anon_sym_LBRACK] = ACTIONS(7245),
    [anon_sym___based] = ACTIONS(7243),
    [anon_sym_LBRACE] = ACTIONS(7245),
    [anon_sym_signed] = ACTIONS(7243),
    [anon_sym_unsigned] = ACTIONS(7243),
    [anon_sym_long] = ACTIONS(7243),
    [anon_sym_short] = ACTIONS(7243),
    [anon_sym_ATautoreleasepool] = ACTIONS(7245),
    [anon_sym_const] = ACTIONS(7243),
    [anon_sym_constexpr] = ACTIONS(7243),
    [anon_sym_volatile] = ACTIONS(7243),
    [anon_sym_restrict] = ACTIONS(7243),
    [anon_sym___restrict__] = ACTIONS(7243),
    [anon_sym__Atomic] = ACTIONS(7243),
    [anon_sym__Noreturn] = ACTIONS(7243),
    [anon_sym__Nonnull] = ACTIONS(7243),
    [anon_sym_nullable] = ACTIONS(7243),
    [anon_sym__Complex] = ACTIONS(7243),
    [anon_sym__Nullable] = ACTIONS(7243),
    [anon_sym__Nullable_result] = ACTIONS(7243),
    [anon_sym__Null_unspecified] = ACTIONS(7243),
    [anon_sym___autoreleasing] = ACTIONS(7243),
    [anon_sym___block] = ACTIONS(7243),
    [anon_sym___bridge] = ACTIONS(7243),
    [anon_sym___bridge_retained] = ACTIONS(7243),
    [anon_sym___bridge_transfer] = ACTIONS(7243),
    [anon_sym___complex] = ACTIONS(7243),
    [anon_sym___const] = ACTIONS(7243),
    [anon_sym___imag] = ACTIONS(7243),
    [anon_sym___kindof] = ACTIONS(7243),
    [anon_sym___nonnull] = ACTIONS(7243),
    [anon_sym___nullable] = ACTIONS(7243),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7243),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7243),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7243),
    [anon_sym___real] = ACTIONS(7243),
    [anon_sym___strong] = ACTIONS(7243),
    [anon_sym___unsafe_unretained] = ACTIONS(7243),
    [anon_sym___unused] = ACTIONS(7243),
    [anon_sym___weak] = ACTIONS(7243),
    [anon_sym_alignas] = ACTIONS(7243),
    [anon_sym__Alignas] = ACTIONS(7243),
    [sym_primitive_type] = ACTIONS(7243),
    [anon_sym_enum] = ACTIONS(7243),
    [anon_sym_COLON] = ACTIONS(7245),
    [anon_sym_struct] = ACTIONS(7243),
    [anon_sym_union] = ACTIONS(7243),
    [anon_sym_in] = ACTIONS(7243),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7243),
    [anon_sym___typeof] = ACTIONS(7243),
    [anon_sym_typeof] = ACTIONS(7243),
    [anon_sym_BOOL] = ACTIONS(7243),
    [anon_sym_IMP] = ACTIONS(7243),
    [anon_sym_SEL] = ACTIONS(7243),
    [anon_sym_Class] = ACTIONS(7243),
    [anon_sym_id] = ACTIONS(7243),
    [anon_sym_out] = ACTIONS(7243),
    [anon_sym_inout] = ACTIONS(7243),
    [anon_sym_bycopy] = ACTIONS(7243),
    [anon_sym_byref] = ACTIONS(7243),
    [anon_sym_oneway] = ACTIONS(7243),
  },
  [3854] = {
    [sym_identifier] = ACTIONS(7247),
    [anon_sym_COMMA] = ACTIONS(7249),
    [anon_sym_RPAREN] = ACTIONS(7249),
    [anon_sym_LPAREN2] = ACTIONS(7249),
    [anon_sym_STAR] = ACTIONS(7249),
    [anon_sym_CARET] = ACTIONS(7249),
    [anon_sym_GT] = ACTIONS(7249),
    [anon_sym_LT] = ACTIONS(7249),
    [anon_sym___extension__] = ACTIONS(7247),
    [anon_sym___attribute__] = ACTIONS(7247),
    [anon_sym___attribute] = ACTIONS(7247),
    [anon_sym_noreturn] = ACTIONS(7247),
    [anon_sym_LBRACK] = ACTIONS(7249),
    [anon_sym___based] = ACTIONS(7247),
    [anon_sym_LBRACE] = ACTIONS(7249),
    [anon_sym_signed] = ACTIONS(7247),
    [anon_sym_unsigned] = ACTIONS(7247),
    [anon_sym_long] = ACTIONS(7247),
    [anon_sym_short] = ACTIONS(7247),
    [anon_sym_ATautoreleasepool] = ACTIONS(7249),
    [anon_sym_const] = ACTIONS(7247),
    [anon_sym_constexpr] = ACTIONS(7247),
    [anon_sym_volatile] = ACTIONS(7247),
    [anon_sym_restrict] = ACTIONS(7247),
    [anon_sym___restrict__] = ACTIONS(7247),
    [anon_sym__Atomic] = ACTIONS(7247),
    [anon_sym__Noreturn] = ACTIONS(7247),
    [anon_sym__Nonnull] = ACTIONS(7247),
    [anon_sym_nullable] = ACTIONS(7247),
    [anon_sym__Complex] = ACTIONS(7247),
    [anon_sym__Nullable] = ACTIONS(7247),
    [anon_sym__Nullable_result] = ACTIONS(7247),
    [anon_sym__Null_unspecified] = ACTIONS(7247),
    [anon_sym___autoreleasing] = ACTIONS(7247),
    [anon_sym___block] = ACTIONS(7247),
    [anon_sym___bridge] = ACTIONS(7247),
    [anon_sym___bridge_retained] = ACTIONS(7247),
    [anon_sym___bridge_transfer] = ACTIONS(7247),
    [anon_sym___complex] = ACTIONS(7247),
    [anon_sym___const] = ACTIONS(7247),
    [anon_sym___imag] = ACTIONS(7247),
    [anon_sym___kindof] = ACTIONS(7247),
    [anon_sym___nonnull] = ACTIONS(7247),
    [anon_sym___nullable] = ACTIONS(7247),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7247),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7247),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7247),
    [anon_sym___real] = ACTIONS(7247),
    [anon_sym___strong] = ACTIONS(7247),
    [anon_sym___unsafe_unretained] = ACTIONS(7247),
    [anon_sym___unused] = ACTIONS(7247),
    [anon_sym___weak] = ACTIONS(7247),
    [anon_sym_alignas] = ACTIONS(7247),
    [anon_sym__Alignas] = ACTIONS(7247),
    [sym_primitive_type] = ACTIONS(7247),
    [anon_sym_enum] = ACTIONS(7247),
    [anon_sym_COLON] = ACTIONS(7249),
    [anon_sym_struct] = ACTIONS(7247),
    [anon_sym_union] = ACTIONS(7247),
    [anon_sym_in] = ACTIONS(7247),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7247),
    [anon_sym___typeof] = ACTIONS(7247),
    [anon_sym_typeof] = ACTIONS(7247),
    [anon_sym_BOOL] = ACTIONS(7247),
    [anon_sym_IMP] = ACTIONS(7247),
    [anon_sym_SEL] = ACTIONS(7247),
    [anon_sym_Class] = ACTIONS(7247),
    [anon_sym_id] = ACTIONS(7247),
    [anon_sym_out] = ACTIONS(7247),
    [anon_sym_inout] = ACTIONS(7247),
    [anon_sym_bycopy] = ACTIONS(7247),
    [anon_sym_byref] = ACTIONS(7247),
    [anon_sym_oneway] = ACTIONS(7247),
  },
  [3855] = {
    [sym__type_definition_type] = STATE(4713),
    [sym_attribute_specifier] = STATE(3858),
    [sym_ms_declspec_modifier] = STATE(4046),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3856] = {
    [sym_identifier] = ACTIONS(7251),
    [anon_sym_COMMA] = ACTIONS(7253),
    [anon_sym_RPAREN] = ACTIONS(7253),
    [anon_sym_LPAREN2] = ACTIONS(7253),
    [anon_sym_STAR] = ACTIONS(7253),
    [anon_sym_CARET] = ACTIONS(7253),
    [anon_sym_GT] = ACTIONS(7253),
    [anon_sym_LT] = ACTIONS(7253),
    [anon_sym___extension__] = ACTIONS(7251),
    [anon_sym___attribute__] = ACTIONS(7251),
    [anon_sym___attribute] = ACTIONS(7251),
    [anon_sym_noreturn] = ACTIONS(7251),
    [anon_sym_LBRACK] = ACTIONS(7253),
    [anon_sym___based] = ACTIONS(7251),
    [anon_sym_LBRACE] = ACTIONS(7253),
    [anon_sym_signed] = ACTIONS(7251),
    [anon_sym_unsigned] = ACTIONS(7251),
    [anon_sym_long] = ACTIONS(7251),
    [anon_sym_short] = ACTIONS(7251),
    [anon_sym_ATautoreleasepool] = ACTIONS(7253),
    [anon_sym_const] = ACTIONS(7251),
    [anon_sym_constexpr] = ACTIONS(7251),
    [anon_sym_volatile] = ACTIONS(7251),
    [anon_sym_restrict] = ACTIONS(7251),
    [anon_sym___restrict__] = ACTIONS(7251),
    [anon_sym__Atomic] = ACTIONS(7251),
    [anon_sym__Noreturn] = ACTIONS(7251),
    [anon_sym__Nonnull] = ACTIONS(7251),
    [anon_sym_nullable] = ACTIONS(7251),
    [anon_sym__Complex] = ACTIONS(7251),
    [anon_sym__Nullable] = ACTIONS(7251),
    [anon_sym__Nullable_result] = ACTIONS(7251),
    [anon_sym__Null_unspecified] = ACTIONS(7251),
    [anon_sym___autoreleasing] = ACTIONS(7251),
    [anon_sym___block] = ACTIONS(7251),
    [anon_sym___bridge] = ACTIONS(7251),
    [anon_sym___bridge_retained] = ACTIONS(7251),
    [anon_sym___bridge_transfer] = ACTIONS(7251),
    [anon_sym___complex] = ACTIONS(7251),
    [anon_sym___const] = ACTIONS(7251),
    [anon_sym___imag] = ACTIONS(7251),
    [anon_sym___kindof] = ACTIONS(7251),
    [anon_sym___nonnull] = ACTIONS(7251),
    [anon_sym___nullable] = ACTIONS(7251),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7251),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7251),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7251),
    [anon_sym___real] = ACTIONS(7251),
    [anon_sym___strong] = ACTIONS(7251),
    [anon_sym___unsafe_unretained] = ACTIONS(7251),
    [anon_sym___unused] = ACTIONS(7251),
    [anon_sym___weak] = ACTIONS(7251),
    [anon_sym_alignas] = ACTIONS(7251),
    [anon_sym__Alignas] = ACTIONS(7251),
    [sym_primitive_type] = ACTIONS(7251),
    [anon_sym_enum] = ACTIONS(7251),
    [anon_sym_COLON] = ACTIONS(7253),
    [anon_sym_struct] = ACTIONS(7251),
    [anon_sym_union] = ACTIONS(7251),
    [anon_sym_in] = ACTIONS(7251),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7251),
    [anon_sym___typeof] = ACTIONS(7251),
    [anon_sym_typeof] = ACTIONS(7251),
    [anon_sym_BOOL] = ACTIONS(7251),
    [anon_sym_IMP] = ACTIONS(7251),
    [anon_sym_SEL] = ACTIONS(7251),
    [anon_sym_Class] = ACTIONS(7251),
    [anon_sym_id] = ACTIONS(7251),
    [anon_sym_out] = ACTIONS(7251),
    [anon_sym_inout] = ACTIONS(7251),
    [anon_sym_bycopy] = ACTIONS(7251),
    [anon_sym_byref] = ACTIONS(7251),
    [anon_sym_oneway] = ACTIONS(7251),
  },
  [3857] = {
    [sym__type_definition_type] = STATE(4709),
    [sym_attribute_specifier] = STATE(3867),
    [sym_ms_declspec_modifier] = STATE(4033),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3858] = {
    [sym__type_definition_type] = STATE(4710),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4033),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3859] = {
    [sym_identifier] = ACTIONS(7293),
    [anon_sym_COMMA] = ACTIONS(7295),
    [anon_sym_RPAREN] = ACTIONS(7295),
    [anon_sym_LPAREN2] = ACTIONS(7295),
    [anon_sym_STAR] = ACTIONS(7295),
    [anon_sym_CARET] = ACTIONS(7295),
    [anon_sym_GT] = ACTIONS(7295),
    [anon_sym_LT] = ACTIONS(7295),
    [anon_sym___extension__] = ACTIONS(7293),
    [anon_sym___attribute__] = ACTIONS(7293),
    [anon_sym___attribute] = ACTIONS(7293),
    [anon_sym_noreturn] = ACTIONS(7293),
    [anon_sym_LBRACK] = ACTIONS(7295),
    [anon_sym___based] = ACTIONS(7293),
    [anon_sym_LBRACE] = ACTIONS(7295),
    [anon_sym_signed] = ACTIONS(7293),
    [anon_sym_unsigned] = ACTIONS(7293),
    [anon_sym_long] = ACTIONS(7293),
    [anon_sym_short] = ACTIONS(7293),
    [anon_sym_ATautoreleasepool] = ACTIONS(7295),
    [anon_sym_const] = ACTIONS(7293),
    [anon_sym_constexpr] = ACTIONS(7293),
    [anon_sym_volatile] = ACTIONS(7293),
    [anon_sym_restrict] = ACTIONS(7293),
    [anon_sym___restrict__] = ACTIONS(7293),
    [anon_sym__Atomic] = ACTIONS(7293),
    [anon_sym__Noreturn] = ACTIONS(7293),
    [anon_sym__Nonnull] = ACTIONS(7293),
    [anon_sym_nullable] = ACTIONS(7293),
    [anon_sym__Complex] = ACTIONS(7293),
    [anon_sym__Nullable] = ACTIONS(7293),
    [anon_sym__Nullable_result] = ACTIONS(7293),
    [anon_sym__Null_unspecified] = ACTIONS(7293),
    [anon_sym___autoreleasing] = ACTIONS(7293),
    [anon_sym___block] = ACTIONS(7293),
    [anon_sym___bridge] = ACTIONS(7293),
    [anon_sym___bridge_retained] = ACTIONS(7293),
    [anon_sym___bridge_transfer] = ACTIONS(7293),
    [anon_sym___complex] = ACTIONS(7293),
    [anon_sym___const] = ACTIONS(7293),
    [anon_sym___imag] = ACTIONS(7293),
    [anon_sym___kindof] = ACTIONS(7293),
    [anon_sym___nonnull] = ACTIONS(7293),
    [anon_sym___nullable] = ACTIONS(7293),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7293),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7293),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7293),
    [anon_sym___real] = ACTIONS(7293),
    [anon_sym___strong] = ACTIONS(7293),
    [anon_sym___unsafe_unretained] = ACTIONS(7293),
    [anon_sym___unused] = ACTIONS(7293),
    [anon_sym___weak] = ACTIONS(7293),
    [anon_sym_alignas] = ACTIONS(7293),
    [anon_sym__Alignas] = ACTIONS(7293),
    [sym_primitive_type] = ACTIONS(7293),
    [anon_sym_enum] = ACTIONS(7293),
    [anon_sym_COLON] = ACTIONS(7295),
    [anon_sym_struct] = ACTIONS(7293),
    [anon_sym_union] = ACTIONS(7293),
    [anon_sym_in] = ACTIONS(7293),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7293),
    [anon_sym___typeof] = ACTIONS(7293),
    [anon_sym_typeof] = ACTIONS(7293),
    [anon_sym_BOOL] = ACTIONS(7293),
    [anon_sym_IMP] = ACTIONS(7293),
    [anon_sym_SEL] = ACTIONS(7293),
    [anon_sym_Class] = ACTIONS(7293),
    [anon_sym_id] = ACTIONS(7293),
    [anon_sym_out] = ACTIONS(7293),
    [anon_sym_inout] = ACTIONS(7293),
    [anon_sym_bycopy] = ACTIONS(7293),
    [anon_sym_byref] = ACTIONS(7293),
    [anon_sym_oneway] = ACTIONS(7293),
  },
  [3860] = {
    [sym_identifier] = ACTIONS(7467),
    [anon_sym_COMMA] = ACTIONS(7469),
    [anon_sym_RPAREN] = ACTIONS(7469),
    [anon_sym_LPAREN2] = ACTIONS(7469),
    [anon_sym_STAR] = ACTIONS(7469),
    [anon_sym_CARET] = ACTIONS(7469),
    [anon_sym_GT] = ACTIONS(7469),
    [anon_sym_LT] = ACTIONS(7469),
    [anon_sym___extension__] = ACTIONS(7467),
    [anon_sym___attribute__] = ACTIONS(7467),
    [anon_sym___attribute] = ACTIONS(7467),
    [anon_sym_noreturn] = ACTIONS(7467),
    [anon_sym_LBRACK] = ACTIONS(7469),
    [anon_sym___based] = ACTIONS(7467),
    [anon_sym_LBRACE] = ACTIONS(7469),
    [anon_sym_signed] = ACTIONS(7467),
    [anon_sym_unsigned] = ACTIONS(7467),
    [anon_sym_long] = ACTIONS(7467),
    [anon_sym_short] = ACTIONS(7467),
    [anon_sym_ATautoreleasepool] = ACTIONS(7469),
    [anon_sym_const] = ACTIONS(7467),
    [anon_sym_constexpr] = ACTIONS(7467),
    [anon_sym_volatile] = ACTIONS(7467),
    [anon_sym_restrict] = ACTIONS(7467),
    [anon_sym___restrict__] = ACTIONS(7467),
    [anon_sym__Atomic] = ACTIONS(7467),
    [anon_sym__Noreturn] = ACTIONS(7467),
    [anon_sym__Nonnull] = ACTIONS(7467),
    [anon_sym_nullable] = ACTIONS(7467),
    [anon_sym__Complex] = ACTIONS(7467),
    [anon_sym__Nullable] = ACTIONS(7467),
    [anon_sym__Nullable_result] = ACTIONS(7467),
    [anon_sym__Null_unspecified] = ACTIONS(7467),
    [anon_sym___autoreleasing] = ACTIONS(7467),
    [anon_sym___block] = ACTIONS(7467),
    [anon_sym___bridge] = ACTIONS(7467),
    [anon_sym___bridge_retained] = ACTIONS(7467),
    [anon_sym___bridge_transfer] = ACTIONS(7467),
    [anon_sym___complex] = ACTIONS(7467),
    [anon_sym___const] = ACTIONS(7467),
    [anon_sym___imag] = ACTIONS(7467),
    [anon_sym___kindof] = ACTIONS(7467),
    [anon_sym___nonnull] = ACTIONS(7467),
    [anon_sym___nullable] = ACTIONS(7467),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7467),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7467),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7467),
    [anon_sym___real] = ACTIONS(7467),
    [anon_sym___strong] = ACTIONS(7467),
    [anon_sym___unsafe_unretained] = ACTIONS(7467),
    [anon_sym___unused] = ACTIONS(7467),
    [anon_sym___weak] = ACTIONS(7467),
    [anon_sym_alignas] = ACTIONS(7467),
    [anon_sym__Alignas] = ACTIONS(7467),
    [sym_primitive_type] = ACTIONS(7467),
    [anon_sym_enum] = ACTIONS(7467),
    [anon_sym_COLON] = ACTIONS(7469),
    [anon_sym_struct] = ACTIONS(7467),
    [anon_sym_union] = ACTIONS(7467),
    [anon_sym_in] = ACTIONS(7467),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7467),
    [anon_sym___typeof] = ACTIONS(7467),
    [anon_sym_typeof] = ACTIONS(7467),
    [anon_sym_BOOL] = ACTIONS(7467),
    [anon_sym_IMP] = ACTIONS(7467),
    [anon_sym_SEL] = ACTIONS(7467),
    [anon_sym_Class] = ACTIONS(7467),
    [anon_sym_id] = ACTIONS(7467),
    [anon_sym_out] = ACTIONS(7467),
    [anon_sym_inout] = ACTIONS(7467),
    [anon_sym_bycopy] = ACTIONS(7467),
    [anon_sym_byref] = ACTIONS(7467),
    [anon_sym_oneway] = ACTIONS(7467),
  },
  [3861] = {
    [sym_identifier] = ACTIONS(7315),
    [anon_sym_COMMA] = ACTIONS(7317),
    [anon_sym_RPAREN] = ACTIONS(7317),
    [anon_sym_LPAREN2] = ACTIONS(7317),
    [anon_sym_STAR] = ACTIONS(7317),
    [anon_sym_CARET] = ACTIONS(7317),
    [anon_sym_GT] = ACTIONS(7317),
    [anon_sym_LT] = ACTIONS(7317),
    [anon_sym___extension__] = ACTIONS(7315),
    [anon_sym___attribute__] = ACTIONS(7315),
    [anon_sym___attribute] = ACTIONS(7315),
    [anon_sym_noreturn] = ACTIONS(7315),
    [anon_sym_LBRACK] = ACTIONS(7317),
    [anon_sym___based] = ACTIONS(7315),
    [anon_sym_LBRACE] = ACTIONS(7317),
    [anon_sym_signed] = ACTIONS(7315),
    [anon_sym_unsigned] = ACTIONS(7315),
    [anon_sym_long] = ACTIONS(7315),
    [anon_sym_short] = ACTIONS(7315),
    [anon_sym_ATautoreleasepool] = ACTIONS(7317),
    [anon_sym_const] = ACTIONS(7315),
    [anon_sym_constexpr] = ACTIONS(7315),
    [anon_sym_volatile] = ACTIONS(7315),
    [anon_sym_restrict] = ACTIONS(7315),
    [anon_sym___restrict__] = ACTIONS(7315),
    [anon_sym__Atomic] = ACTIONS(7315),
    [anon_sym__Noreturn] = ACTIONS(7315),
    [anon_sym__Nonnull] = ACTIONS(7315),
    [anon_sym_nullable] = ACTIONS(7315),
    [anon_sym__Complex] = ACTIONS(7315),
    [anon_sym__Nullable] = ACTIONS(7315),
    [anon_sym__Nullable_result] = ACTIONS(7315),
    [anon_sym__Null_unspecified] = ACTIONS(7315),
    [anon_sym___autoreleasing] = ACTIONS(7315),
    [anon_sym___block] = ACTIONS(7315),
    [anon_sym___bridge] = ACTIONS(7315),
    [anon_sym___bridge_retained] = ACTIONS(7315),
    [anon_sym___bridge_transfer] = ACTIONS(7315),
    [anon_sym___complex] = ACTIONS(7315),
    [anon_sym___const] = ACTIONS(7315),
    [anon_sym___imag] = ACTIONS(7315),
    [anon_sym___kindof] = ACTIONS(7315),
    [anon_sym___nonnull] = ACTIONS(7315),
    [anon_sym___nullable] = ACTIONS(7315),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7315),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7315),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7315),
    [anon_sym___real] = ACTIONS(7315),
    [anon_sym___strong] = ACTIONS(7315),
    [anon_sym___unsafe_unretained] = ACTIONS(7315),
    [anon_sym___unused] = ACTIONS(7315),
    [anon_sym___weak] = ACTIONS(7315),
    [anon_sym_alignas] = ACTIONS(7315),
    [anon_sym__Alignas] = ACTIONS(7315),
    [sym_primitive_type] = ACTIONS(7315),
    [anon_sym_enum] = ACTIONS(7315),
    [anon_sym_COLON] = ACTIONS(7317),
    [anon_sym_struct] = ACTIONS(7315),
    [anon_sym_union] = ACTIONS(7315),
    [anon_sym_in] = ACTIONS(7315),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7315),
    [anon_sym___typeof] = ACTIONS(7315),
    [anon_sym_typeof] = ACTIONS(7315),
    [anon_sym_BOOL] = ACTIONS(7315),
    [anon_sym_IMP] = ACTIONS(7315),
    [anon_sym_SEL] = ACTIONS(7315),
    [anon_sym_Class] = ACTIONS(7315),
    [anon_sym_id] = ACTIONS(7315),
    [anon_sym_out] = ACTIONS(7315),
    [anon_sym_inout] = ACTIONS(7315),
    [anon_sym_bycopy] = ACTIONS(7315),
    [anon_sym_byref] = ACTIONS(7315),
    [anon_sym_oneway] = ACTIONS(7315),
  },
  [3862] = {
    [sym_identifier] = ACTIONS(7319),
    [anon_sym_COMMA] = ACTIONS(7321),
    [anon_sym_RPAREN] = ACTIONS(7321),
    [anon_sym_LPAREN2] = ACTIONS(7321),
    [anon_sym_STAR] = ACTIONS(7321),
    [anon_sym_CARET] = ACTIONS(7321),
    [anon_sym_GT] = ACTIONS(7321),
    [anon_sym_LT] = ACTIONS(7321),
    [anon_sym___extension__] = ACTIONS(7319),
    [anon_sym___attribute__] = ACTIONS(7319),
    [anon_sym___attribute] = ACTIONS(7319),
    [anon_sym_noreturn] = ACTIONS(7319),
    [anon_sym_LBRACK] = ACTIONS(7321),
    [anon_sym___based] = ACTIONS(7319),
    [anon_sym_LBRACE] = ACTIONS(7321),
    [anon_sym_signed] = ACTIONS(7319),
    [anon_sym_unsigned] = ACTIONS(7319),
    [anon_sym_long] = ACTIONS(7319),
    [anon_sym_short] = ACTIONS(7319),
    [anon_sym_ATautoreleasepool] = ACTIONS(7321),
    [anon_sym_const] = ACTIONS(7319),
    [anon_sym_constexpr] = ACTIONS(7319),
    [anon_sym_volatile] = ACTIONS(7319),
    [anon_sym_restrict] = ACTIONS(7319),
    [anon_sym___restrict__] = ACTIONS(7319),
    [anon_sym__Atomic] = ACTIONS(7319),
    [anon_sym__Noreturn] = ACTIONS(7319),
    [anon_sym__Nonnull] = ACTIONS(7319),
    [anon_sym_nullable] = ACTIONS(7319),
    [anon_sym__Complex] = ACTIONS(7319),
    [anon_sym__Nullable] = ACTIONS(7319),
    [anon_sym__Nullable_result] = ACTIONS(7319),
    [anon_sym__Null_unspecified] = ACTIONS(7319),
    [anon_sym___autoreleasing] = ACTIONS(7319),
    [anon_sym___block] = ACTIONS(7319),
    [anon_sym___bridge] = ACTIONS(7319),
    [anon_sym___bridge_retained] = ACTIONS(7319),
    [anon_sym___bridge_transfer] = ACTIONS(7319),
    [anon_sym___complex] = ACTIONS(7319),
    [anon_sym___const] = ACTIONS(7319),
    [anon_sym___imag] = ACTIONS(7319),
    [anon_sym___kindof] = ACTIONS(7319),
    [anon_sym___nonnull] = ACTIONS(7319),
    [anon_sym___nullable] = ACTIONS(7319),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7319),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7319),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7319),
    [anon_sym___real] = ACTIONS(7319),
    [anon_sym___strong] = ACTIONS(7319),
    [anon_sym___unsafe_unretained] = ACTIONS(7319),
    [anon_sym___unused] = ACTIONS(7319),
    [anon_sym___weak] = ACTIONS(7319),
    [anon_sym_alignas] = ACTIONS(7319),
    [anon_sym__Alignas] = ACTIONS(7319),
    [sym_primitive_type] = ACTIONS(7319),
    [anon_sym_enum] = ACTIONS(7319),
    [anon_sym_COLON] = ACTIONS(7321),
    [anon_sym_struct] = ACTIONS(7319),
    [anon_sym_union] = ACTIONS(7319),
    [anon_sym_in] = ACTIONS(7319),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7319),
    [anon_sym___typeof] = ACTIONS(7319),
    [anon_sym_typeof] = ACTIONS(7319),
    [anon_sym_BOOL] = ACTIONS(7319),
    [anon_sym_IMP] = ACTIONS(7319),
    [anon_sym_SEL] = ACTIONS(7319),
    [anon_sym_Class] = ACTIONS(7319),
    [anon_sym_id] = ACTIONS(7319),
    [anon_sym_out] = ACTIONS(7319),
    [anon_sym_inout] = ACTIONS(7319),
    [anon_sym_bycopy] = ACTIONS(7319),
    [anon_sym_byref] = ACTIONS(7319),
    [anon_sym_oneway] = ACTIONS(7319),
  },
  [3863] = {
    [sym_identifier] = ACTIONS(7435),
    [anon_sym_COMMA] = ACTIONS(7437),
    [anon_sym_RPAREN] = ACTIONS(7437),
    [anon_sym_LPAREN2] = ACTIONS(7437),
    [anon_sym_STAR] = ACTIONS(7437),
    [anon_sym_CARET] = ACTIONS(7437),
    [anon_sym_GT] = ACTIONS(7437),
    [anon_sym_LT] = ACTIONS(7437),
    [anon_sym___extension__] = ACTIONS(7435),
    [anon_sym___attribute__] = ACTIONS(7435),
    [anon_sym___attribute] = ACTIONS(7435),
    [anon_sym_noreturn] = ACTIONS(7435),
    [anon_sym_LBRACK] = ACTIONS(7437),
    [anon_sym___based] = ACTIONS(7435),
    [anon_sym_LBRACE] = ACTIONS(7437),
    [anon_sym_signed] = ACTIONS(7435),
    [anon_sym_unsigned] = ACTIONS(7435),
    [anon_sym_long] = ACTIONS(7435),
    [anon_sym_short] = ACTIONS(7435),
    [anon_sym_ATautoreleasepool] = ACTIONS(7437),
    [anon_sym_const] = ACTIONS(7435),
    [anon_sym_constexpr] = ACTIONS(7435),
    [anon_sym_volatile] = ACTIONS(7435),
    [anon_sym_restrict] = ACTIONS(7435),
    [anon_sym___restrict__] = ACTIONS(7435),
    [anon_sym__Atomic] = ACTIONS(7435),
    [anon_sym__Noreturn] = ACTIONS(7435),
    [anon_sym__Nonnull] = ACTIONS(7435),
    [anon_sym_nullable] = ACTIONS(7435),
    [anon_sym__Complex] = ACTIONS(7435),
    [anon_sym__Nullable] = ACTIONS(7435),
    [anon_sym__Nullable_result] = ACTIONS(7435),
    [anon_sym__Null_unspecified] = ACTIONS(7435),
    [anon_sym___autoreleasing] = ACTIONS(7435),
    [anon_sym___block] = ACTIONS(7435),
    [anon_sym___bridge] = ACTIONS(7435),
    [anon_sym___bridge_retained] = ACTIONS(7435),
    [anon_sym___bridge_transfer] = ACTIONS(7435),
    [anon_sym___complex] = ACTIONS(7435),
    [anon_sym___const] = ACTIONS(7435),
    [anon_sym___imag] = ACTIONS(7435),
    [anon_sym___kindof] = ACTIONS(7435),
    [anon_sym___nonnull] = ACTIONS(7435),
    [anon_sym___nullable] = ACTIONS(7435),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7435),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7435),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7435),
    [anon_sym___real] = ACTIONS(7435),
    [anon_sym___strong] = ACTIONS(7435),
    [anon_sym___unsafe_unretained] = ACTIONS(7435),
    [anon_sym___unused] = ACTIONS(7435),
    [anon_sym___weak] = ACTIONS(7435),
    [anon_sym_alignas] = ACTIONS(7435),
    [anon_sym__Alignas] = ACTIONS(7435),
    [sym_primitive_type] = ACTIONS(7435),
    [anon_sym_enum] = ACTIONS(7435),
    [anon_sym_COLON] = ACTIONS(7437),
    [anon_sym_struct] = ACTIONS(7435),
    [anon_sym_union] = ACTIONS(7435),
    [anon_sym_in] = ACTIONS(7435),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7435),
    [anon_sym___typeof] = ACTIONS(7435),
    [anon_sym_typeof] = ACTIONS(7435),
    [anon_sym_BOOL] = ACTIONS(7435),
    [anon_sym_IMP] = ACTIONS(7435),
    [anon_sym_SEL] = ACTIONS(7435),
    [anon_sym_Class] = ACTIONS(7435),
    [anon_sym_id] = ACTIONS(7435),
    [anon_sym_out] = ACTIONS(7435),
    [anon_sym_inout] = ACTIONS(7435),
    [anon_sym_bycopy] = ACTIONS(7435),
    [anon_sym_byref] = ACTIONS(7435),
    [anon_sym_oneway] = ACTIONS(7435),
  },
  [3864] = {
    [sym_identifier] = ACTIONS(7209),
    [anon_sym_COMMA] = ACTIONS(7211),
    [anon_sym_RPAREN] = ACTIONS(7211),
    [anon_sym_LPAREN2] = ACTIONS(7211),
    [anon_sym_STAR] = ACTIONS(7211),
    [anon_sym_CARET] = ACTIONS(7211),
    [anon_sym_GT] = ACTIONS(7211),
    [anon_sym_LT] = ACTIONS(7211),
    [anon_sym___extension__] = ACTIONS(7209),
    [anon_sym___attribute__] = ACTIONS(7209),
    [anon_sym___attribute] = ACTIONS(7209),
    [anon_sym_noreturn] = ACTIONS(7209),
    [anon_sym_LBRACK] = ACTIONS(7211),
    [anon_sym___based] = ACTIONS(7209),
    [anon_sym_LBRACE] = ACTIONS(7211),
    [anon_sym_signed] = ACTIONS(7209),
    [anon_sym_unsigned] = ACTIONS(7209),
    [anon_sym_long] = ACTIONS(7209),
    [anon_sym_short] = ACTIONS(7209),
    [anon_sym_ATautoreleasepool] = ACTIONS(7211),
    [anon_sym_const] = ACTIONS(7209),
    [anon_sym_constexpr] = ACTIONS(7209),
    [anon_sym_volatile] = ACTIONS(7209),
    [anon_sym_restrict] = ACTIONS(7209),
    [anon_sym___restrict__] = ACTIONS(7209),
    [anon_sym__Atomic] = ACTIONS(7209),
    [anon_sym__Noreturn] = ACTIONS(7209),
    [anon_sym__Nonnull] = ACTIONS(7209),
    [anon_sym_nullable] = ACTIONS(7209),
    [anon_sym__Complex] = ACTIONS(7209),
    [anon_sym__Nullable] = ACTIONS(7209),
    [anon_sym__Nullable_result] = ACTIONS(7209),
    [anon_sym__Null_unspecified] = ACTIONS(7209),
    [anon_sym___autoreleasing] = ACTIONS(7209),
    [anon_sym___block] = ACTIONS(7209),
    [anon_sym___bridge] = ACTIONS(7209),
    [anon_sym___bridge_retained] = ACTIONS(7209),
    [anon_sym___bridge_transfer] = ACTIONS(7209),
    [anon_sym___complex] = ACTIONS(7209),
    [anon_sym___const] = ACTIONS(7209),
    [anon_sym___imag] = ACTIONS(7209),
    [anon_sym___kindof] = ACTIONS(7209),
    [anon_sym___nonnull] = ACTIONS(7209),
    [anon_sym___nullable] = ACTIONS(7209),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7209),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7209),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7209),
    [anon_sym___real] = ACTIONS(7209),
    [anon_sym___strong] = ACTIONS(7209),
    [anon_sym___unsafe_unretained] = ACTIONS(7209),
    [anon_sym___unused] = ACTIONS(7209),
    [anon_sym___weak] = ACTIONS(7209),
    [anon_sym_alignas] = ACTIONS(7209),
    [anon_sym__Alignas] = ACTIONS(7209),
    [sym_primitive_type] = ACTIONS(7209),
    [anon_sym_enum] = ACTIONS(7209),
    [anon_sym_COLON] = ACTIONS(7211),
    [anon_sym_struct] = ACTIONS(7209),
    [anon_sym_union] = ACTIONS(7209),
    [anon_sym_in] = ACTIONS(7209),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7209),
    [anon_sym___typeof] = ACTIONS(7209),
    [anon_sym_typeof] = ACTIONS(7209),
    [anon_sym_BOOL] = ACTIONS(7209),
    [anon_sym_IMP] = ACTIONS(7209),
    [anon_sym_SEL] = ACTIONS(7209),
    [anon_sym_Class] = ACTIONS(7209),
    [anon_sym_id] = ACTIONS(7209),
    [anon_sym_out] = ACTIONS(7209),
    [anon_sym_inout] = ACTIONS(7209),
    [anon_sym_bycopy] = ACTIONS(7209),
    [anon_sym_byref] = ACTIONS(7209),
    [anon_sym_oneway] = ACTIONS(7209),
  },
  [3865] = {
    [sym_identifier] = ACTIONS(7235),
    [anon_sym_COMMA] = ACTIONS(7237),
    [anon_sym_RPAREN] = ACTIONS(7237),
    [anon_sym_LPAREN2] = ACTIONS(7237),
    [anon_sym_STAR] = ACTIONS(7237),
    [anon_sym_CARET] = ACTIONS(7237),
    [anon_sym_GT] = ACTIONS(7237),
    [anon_sym_LT] = ACTIONS(7237),
    [anon_sym___extension__] = ACTIONS(7235),
    [anon_sym___attribute__] = ACTIONS(7235),
    [anon_sym___attribute] = ACTIONS(7235),
    [anon_sym_noreturn] = ACTIONS(7235),
    [anon_sym_LBRACK] = ACTIONS(7237),
    [anon_sym___based] = ACTIONS(7235),
    [anon_sym_LBRACE] = ACTIONS(7237),
    [anon_sym_signed] = ACTIONS(7235),
    [anon_sym_unsigned] = ACTIONS(7235),
    [anon_sym_long] = ACTIONS(7235),
    [anon_sym_short] = ACTIONS(7235),
    [anon_sym_ATautoreleasepool] = ACTIONS(7237),
    [anon_sym_const] = ACTIONS(7235),
    [anon_sym_constexpr] = ACTIONS(7235),
    [anon_sym_volatile] = ACTIONS(7235),
    [anon_sym_restrict] = ACTIONS(7235),
    [anon_sym___restrict__] = ACTIONS(7235),
    [anon_sym__Atomic] = ACTIONS(7235),
    [anon_sym__Noreturn] = ACTIONS(7235),
    [anon_sym__Nonnull] = ACTIONS(7235),
    [anon_sym_nullable] = ACTIONS(7235),
    [anon_sym__Complex] = ACTIONS(7235),
    [anon_sym__Nullable] = ACTIONS(7235),
    [anon_sym__Nullable_result] = ACTIONS(7235),
    [anon_sym__Null_unspecified] = ACTIONS(7235),
    [anon_sym___autoreleasing] = ACTIONS(7235),
    [anon_sym___block] = ACTIONS(7235),
    [anon_sym___bridge] = ACTIONS(7235),
    [anon_sym___bridge_retained] = ACTIONS(7235),
    [anon_sym___bridge_transfer] = ACTIONS(7235),
    [anon_sym___complex] = ACTIONS(7235),
    [anon_sym___const] = ACTIONS(7235),
    [anon_sym___imag] = ACTIONS(7235),
    [anon_sym___kindof] = ACTIONS(7235),
    [anon_sym___nonnull] = ACTIONS(7235),
    [anon_sym___nullable] = ACTIONS(7235),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7235),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7235),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7235),
    [anon_sym___real] = ACTIONS(7235),
    [anon_sym___strong] = ACTIONS(7235),
    [anon_sym___unsafe_unretained] = ACTIONS(7235),
    [anon_sym___unused] = ACTIONS(7235),
    [anon_sym___weak] = ACTIONS(7235),
    [anon_sym_alignas] = ACTIONS(7235),
    [anon_sym__Alignas] = ACTIONS(7235),
    [sym_primitive_type] = ACTIONS(7235),
    [anon_sym_enum] = ACTIONS(7235),
    [anon_sym_COLON] = ACTIONS(7237),
    [anon_sym_struct] = ACTIONS(7235),
    [anon_sym_union] = ACTIONS(7235),
    [anon_sym_in] = ACTIONS(7235),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7235),
    [anon_sym___typeof] = ACTIONS(7235),
    [anon_sym_typeof] = ACTIONS(7235),
    [anon_sym_BOOL] = ACTIONS(7235),
    [anon_sym_IMP] = ACTIONS(7235),
    [anon_sym_SEL] = ACTIONS(7235),
    [anon_sym_Class] = ACTIONS(7235),
    [anon_sym_id] = ACTIONS(7235),
    [anon_sym_out] = ACTIONS(7235),
    [anon_sym_inout] = ACTIONS(7235),
    [anon_sym_bycopy] = ACTIONS(7235),
    [anon_sym_byref] = ACTIONS(7235),
    [anon_sym_oneway] = ACTIONS(7235),
  },
  [3866] = {
    [sym_identifier] = ACTIONS(7343),
    [anon_sym_COMMA] = ACTIONS(7345),
    [anon_sym_RPAREN] = ACTIONS(7345),
    [anon_sym_LPAREN2] = ACTIONS(7345),
    [anon_sym_STAR] = ACTIONS(7345),
    [anon_sym_CARET] = ACTIONS(7345),
    [anon_sym_GT] = ACTIONS(7345),
    [anon_sym_LT] = ACTIONS(7345),
    [anon_sym___extension__] = ACTIONS(7343),
    [anon_sym___attribute__] = ACTIONS(7343),
    [anon_sym___attribute] = ACTIONS(7343),
    [anon_sym_noreturn] = ACTIONS(7343),
    [anon_sym_LBRACK] = ACTIONS(7345),
    [anon_sym___based] = ACTIONS(7343),
    [anon_sym_LBRACE] = ACTIONS(7345),
    [anon_sym_signed] = ACTIONS(7343),
    [anon_sym_unsigned] = ACTIONS(7343),
    [anon_sym_long] = ACTIONS(7343),
    [anon_sym_short] = ACTIONS(7343),
    [anon_sym_ATautoreleasepool] = ACTIONS(7345),
    [anon_sym_const] = ACTIONS(7343),
    [anon_sym_constexpr] = ACTIONS(7343),
    [anon_sym_volatile] = ACTIONS(7343),
    [anon_sym_restrict] = ACTIONS(7343),
    [anon_sym___restrict__] = ACTIONS(7343),
    [anon_sym__Atomic] = ACTIONS(7343),
    [anon_sym__Noreturn] = ACTIONS(7343),
    [anon_sym__Nonnull] = ACTIONS(7343),
    [anon_sym_nullable] = ACTIONS(7343),
    [anon_sym__Complex] = ACTIONS(7343),
    [anon_sym__Nullable] = ACTIONS(7343),
    [anon_sym__Nullable_result] = ACTIONS(7343),
    [anon_sym__Null_unspecified] = ACTIONS(7343),
    [anon_sym___autoreleasing] = ACTIONS(7343),
    [anon_sym___block] = ACTIONS(7343),
    [anon_sym___bridge] = ACTIONS(7343),
    [anon_sym___bridge_retained] = ACTIONS(7343),
    [anon_sym___bridge_transfer] = ACTIONS(7343),
    [anon_sym___complex] = ACTIONS(7343),
    [anon_sym___const] = ACTIONS(7343),
    [anon_sym___imag] = ACTIONS(7343),
    [anon_sym___kindof] = ACTIONS(7343),
    [anon_sym___nonnull] = ACTIONS(7343),
    [anon_sym___nullable] = ACTIONS(7343),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7343),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7343),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7343),
    [anon_sym___real] = ACTIONS(7343),
    [anon_sym___strong] = ACTIONS(7343),
    [anon_sym___unsafe_unretained] = ACTIONS(7343),
    [anon_sym___unused] = ACTIONS(7343),
    [anon_sym___weak] = ACTIONS(7343),
    [anon_sym_alignas] = ACTIONS(7343),
    [anon_sym__Alignas] = ACTIONS(7343),
    [sym_primitive_type] = ACTIONS(7343),
    [anon_sym_enum] = ACTIONS(7343),
    [anon_sym_COLON] = ACTIONS(7345),
    [anon_sym_struct] = ACTIONS(7343),
    [anon_sym_union] = ACTIONS(7343),
    [anon_sym_in] = ACTIONS(7343),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7343),
    [anon_sym___typeof] = ACTIONS(7343),
    [anon_sym_typeof] = ACTIONS(7343),
    [anon_sym_BOOL] = ACTIONS(7343),
    [anon_sym_IMP] = ACTIONS(7343),
    [anon_sym_SEL] = ACTIONS(7343),
    [anon_sym_Class] = ACTIONS(7343),
    [anon_sym_id] = ACTIONS(7343),
    [anon_sym_out] = ACTIONS(7343),
    [anon_sym_inout] = ACTIONS(7343),
    [anon_sym_bycopy] = ACTIONS(7343),
    [anon_sym_byref] = ACTIONS(7343),
    [anon_sym_oneway] = ACTIONS(7343),
  },
  [3867] = {
    [sym__type_definition_type] = STATE(4724),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4043),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3868] = {
    [sym__type_definition_type] = STATE(4726),
    [sym_attribute_specifier] = STATE(3869),
    [sym_ms_declspec_modifier] = STATE(4043),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3869] = {
    [sym__type_definition_type] = STATE(4737),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4030),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3870] = {
    [sym_attribute_specifier] = STATE(3846),
    [sym_enumerator_list] = STATE(3957),
    [sym_identifier] = ACTIONS(7563),
    [anon_sym_COMMA] = ACTIONS(7565),
    [anon_sym_RPAREN] = ACTIONS(7565),
    [anon_sym_LPAREN2] = ACTIONS(7565),
    [anon_sym_STAR] = ACTIONS(7565),
    [anon_sym_CARET] = ACTIONS(7565),
    [anon_sym_GT] = ACTIONS(7565),
    [anon_sym_LT] = ACTIONS(7565),
    [anon_sym___extension__] = ACTIONS(7563),
    [anon_sym___attribute__] = ACTIONS(8867),
    [anon_sym___attribute] = ACTIONS(8867),
    [anon_sym_noreturn] = ACTIONS(7563),
    [anon_sym_LBRACK] = ACTIONS(7565),
    [anon_sym___based] = ACTIONS(7563),
    [anon_sym_LBRACE] = ACTIONS(8792),
    [anon_sym_signed] = ACTIONS(7563),
    [anon_sym_unsigned] = ACTIONS(7563),
    [anon_sym_long] = ACTIONS(7563),
    [anon_sym_short] = ACTIONS(7563),
    [anon_sym_const] = ACTIONS(7563),
    [anon_sym_constexpr] = ACTIONS(7563),
    [anon_sym_volatile] = ACTIONS(7563),
    [anon_sym_restrict] = ACTIONS(7563),
    [anon_sym___restrict__] = ACTIONS(7563),
    [anon_sym__Atomic] = ACTIONS(7563),
    [anon_sym__Noreturn] = ACTIONS(7563),
    [anon_sym__Nonnull] = ACTIONS(7563),
    [anon_sym_nullable] = ACTIONS(7563),
    [anon_sym__Complex] = ACTIONS(7563),
    [anon_sym__Nullable] = ACTIONS(7563),
    [anon_sym__Nullable_result] = ACTIONS(7563),
    [anon_sym__Null_unspecified] = ACTIONS(7563),
    [anon_sym___autoreleasing] = ACTIONS(7563),
    [anon_sym___block] = ACTIONS(7563),
    [anon_sym___bridge] = ACTIONS(7563),
    [anon_sym___bridge_retained] = ACTIONS(7563),
    [anon_sym___bridge_transfer] = ACTIONS(7563),
    [anon_sym___complex] = ACTIONS(7563),
    [anon_sym___const] = ACTIONS(7563),
    [anon_sym___imag] = ACTIONS(7563),
    [anon_sym___kindof] = ACTIONS(7563),
    [anon_sym___nonnull] = ACTIONS(7563),
    [anon_sym___nullable] = ACTIONS(7563),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7563),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7563),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7563),
    [anon_sym___real] = ACTIONS(7563),
    [anon_sym___strong] = ACTIONS(7563),
    [anon_sym___unsafe_unretained] = ACTIONS(7563),
    [anon_sym___unused] = ACTIONS(7563),
    [anon_sym___weak] = ACTIONS(7563),
    [anon_sym_alignas] = ACTIONS(7563),
    [anon_sym__Alignas] = ACTIONS(7563),
    [sym_primitive_type] = ACTIONS(7563),
    [anon_sym_enum] = ACTIONS(7563),
    [anon_sym_struct] = ACTIONS(7563),
    [anon_sym_union] = ACTIONS(7563),
    [anon_sym_in] = ACTIONS(7563),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7563),
    [anon_sym___typeof] = ACTIONS(7563),
    [anon_sym_typeof] = ACTIONS(7563),
    [anon_sym_BOOL] = ACTIONS(7563),
    [anon_sym_IMP] = ACTIONS(7563),
    [anon_sym_SEL] = ACTIONS(7563),
    [anon_sym_Class] = ACTIONS(7563),
    [anon_sym_id] = ACTIONS(7563),
    [anon_sym_out] = ACTIONS(7563),
    [anon_sym_inout] = ACTIONS(7563),
    [anon_sym_bycopy] = ACTIONS(7563),
    [anon_sym_byref] = ACTIONS(7563),
    [anon_sym_oneway] = ACTIONS(7563),
  },
  [3871] = {
    [sym_attribute_specifier] = STATE(3847),
    [sym_enumerator_list] = STATE(3961),
    [sym_identifier] = ACTIONS(7506),
    [anon_sym_COMMA] = ACTIONS(7508),
    [anon_sym_RPAREN] = ACTIONS(7508),
    [anon_sym_LPAREN2] = ACTIONS(7508),
    [anon_sym_STAR] = ACTIONS(7508),
    [anon_sym_CARET] = ACTIONS(7508),
    [anon_sym_GT] = ACTIONS(7508),
    [anon_sym_LT] = ACTIONS(7508),
    [anon_sym___extension__] = ACTIONS(7506),
    [anon_sym___attribute__] = ACTIONS(8870),
    [anon_sym___attribute] = ACTIONS(8870),
    [anon_sym_noreturn] = ACTIONS(7506),
    [anon_sym_LBRACK] = ACTIONS(7508),
    [anon_sym___based] = ACTIONS(7506),
    [anon_sym_LBRACE] = ACTIONS(8792),
    [anon_sym_signed] = ACTIONS(7506),
    [anon_sym_unsigned] = ACTIONS(7506),
    [anon_sym_long] = ACTIONS(7506),
    [anon_sym_short] = ACTIONS(7506),
    [anon_sym_const] = ACTIONS(7506),
    [anon_sym_constexpr] = ACTIONS(7506),
    [anon_sym_volatile] = ACTIONS(7506),
    [anon_sym_restrict] = ACTIONS(7506),
    [anon_sym___restrict__] = ACTIONS(7506),
    [anon_sym__Atomic] = ACTIONS(7506),
    [anon_sym__Noreturn] = ACTIONS(7506),
    [anon_sym__Nonnull] = ACTIONS(7506),
    [anon_sym_nullable] = ACTIONS(7506),
    [anon_sym__Complex] = ACTIONS(7506),
    [anon_sym__Nullable] = ACTIONS(7506),
    [anon_sym__Nullable_result] = ACTIONS(7506),
    [anon_sym__Null_unspecified] = ACTIONS(7506),
    [anon_sym___autoreleasing] = ACTIONS(7506),
    [anon_sym___block] = ACTIONS(7506),
    [anon_sym___bridge] = ACTIONS(7506),
    [anon_sym___bridge_retained] = ACTIONS(7506),
    [anon_sym___bridge_transfer] = ACTIONS(7506),
    [anon_sym___complex] = ACTIONS(7506),
    [anon_sym___const] = ACTIONS(7506),
    [anon_sym___imag] = ACTIONS(7506),
    [anon_sym___kindof] = ACTIONS(7506),
    [anon_sym___nonnull] = ACTIONS(7506),
    [anon_sym___nullable] = ACTIONS(7506),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7506),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7506),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7506),
    [anon_sym___real] = ACTIONS(7506),
    [anon_sym___strong] = ACTIONS(7506),
    [anon_sym___unsafe_unretained] = ACTIONS(7506),
    [anon_sym___unused] = ACTIONS(7506),
    [anon_sym___weak] = ACTIONS(7506),
    [anon_sym_alignas] = ACTIONS(7506),
    [anon_sym__Alignas] = ACTIONS(7506),
    [sym_primitive_type] = ACTIONS(7506),
    [anon_sym_enum] = ACTIONS(7506),
    [anon_sym_struct] = ACTIONS(7506),
    [anon_sym_union] = ACTIONS(7506),
    [anon_sym_in] = ACTIONS(7506),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7506),
    [anon_sym___typeof] = ACTIONS(7506),
    [anon_sym_typeof] = ACTIONS(7506),
    [anon_sym_BOOL] = ACTIONS(7506),
    [anon_sym_IMP] = ACTIONS(7506),
    [anon_sym_SEL] = ACTIONS(7506),
    [anon_sym_Class] = ACTIONS(7506),
    [anon_sym_id] = ACTIONS(7506),
    [anon_sym_out] = ACTIONS(7506),
    [anon_sym_inout] = ACTIONS(7506),
    [anon_sym_bycopy] = ACTIONS(7506),
    [anon_sym_byref] = ACTIONS(7506),
    [anon_sym_oneway] = ACTIONS(7506),
  },
  [3872] = {
    [sym_identifier] = ACTIONS(4954),
    [anon_sym_COMMA] = ACTIONS(4956),
    [anon_sym_RPAREN] = ACTIONS(4956),
    [anon_sym_LPAREN2] = ACTIONS(4956),
    [anon_sym_STAR] = ACTIONS(4956),
    [anon_sym_CARET] = ACTIONS(4956),
    [anon_sym_GT] = ACTIONS(4956),
    [anon_sym_LT] = ACTIONS(4956),
    [anon_sym___extension__] = ACTIONS(4954),
    [anon_sym___attribute__] = ACTIONS(4954),
    [anon_sym___attribute] = ACTIONS(4954),
    [anon_sym_noreturn] = ACTIONS(4954),
    [anon_sym_LBRACK] = ACTIONS(4956),
    [anon_sym___based] = ACTIONS(4954),
    [anon_sym_LBRACE] = ACTIONS(4956),
    [anon_sym_signed] = ACTIONS(4954),
    [anon_sym_unsigned] = ACTIONS(4954),
    [anon_sym_long] = ACTIONS(4954),
    [anon_sym_short] = ACTIONS(4954),
    [anon_sym_ATautoreleasepool] = ACTIONS(4956),
    [anon_sym_const] = ACTIONS(4954),
    [anon_sym_constexpr] = ACTIONS(4954),
    [anon_sym_volatile] = ACTIONS(4954),
    [anon_sym_restrict] = ACTIONS(4954),
    [anon_sym___restrict__] = ACTIONS(4954),
    [anon_sym__Atomic] = ACTIONS(4954),
    [anon_sym__Noreturn] = ACTIONS(4954),
    [anon_sym__Nonnull] = ACTIONS(4954),
    [anon_sym_nullable] = ACTIONS(4954),
    [anon_sym__Complex] = ACTIONS(4954),
    [anon_sym__Nullable] = ACTIONS(4954),
    [anon_sym__Nullable_result] = ACTIONS(4954),
    [anon_sym__Null_unspecified] = ACTIONS(4954),
    [anon_sym___autoreleasing] = ACTIONS(4954),
    [anon_sym___block] = ACTIONS(4954),
    [anon_sym___bridge] = ACTIONS(4954),
    [anon_sym___bridge_retained] = ACTIONS(4954),
    [anon_sym___bridge_transfer] = ACTIONS(4954),
    [anon_sym___complex] = ACTIONS(4954),
    [anon_sym___const] = ACTIONS(4954),
    [anon_sym___imag] = ACTIONS(4954),
    [anon_sym___kindof] = ACTIONS(4954),
    [anon_sym___nonnull] = ACTIONS(4954),
    [anon_sym___nullable] = ACTIONS(4954),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4954),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4954),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4954),
    [anon_sym___real] = ACTIONS(4954),
    [anon_sym___strong] = ACTIONS(4954),
    [anon_sym___unsafe_unretained] = ACTIONS(4954),
    [anon_sym___unused] = ACTIONS(4954),
    [anon_sym___weak] = ACTIONS(4954),
    [anon_sym_alignas] = ACTIONS(4954),
    [anon_sym__Alignas] = ACTIONS(4954),
    [sym_primitive_type] = ACTIONS(4954),
    [anon_sym_enum] = ACTIONS(4954),
    [anon_sym_COLON] = ACTIONS(4956),
    [anon_sym_struct] = ACTIONS(4954),
    [anon_sym_union] = ACTIONS(4954),
    [anon_sym_in] = ACTIONS(4954),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4954),
    [anon_sym___typeof] = ACTIONS(4954),
    [anon_sym_typeof] = ACTIONS(4954),
    [anon_sym_BOOL] = ACTIONS(4954),
    [anon_sym_IMP] = ACTIONS(4954),
    [anon_sym_SEL] = ACTIONS(4954),
    [anon_sym_Class] = ACTIONS(4954),
    [anon_sym_id] = ACTIONS(4954),
    [anon_sym_out] = ACTIONS(4954),
    [anon_sym_inout] = ACTIONS(4954),
    [anon_sym_bycopy] = ACTIONS(4954),
    [anon_sym_byref] = ACTIONS(4954),
    [anon_sym_oneway] = ACTIONS(4954),
  },
  [3873] = {
    [sym_identifier] = ACTIONS(8873),
    [anon_sym_COMMA] = ACTIONS(8875),
    [anon_sym_RPAREN] = ACTIONS(8875),
    [anon_sym_LPAREN2] = ACTIONS(8875),
    [anon_sym_STAR] = ACTIONS(8875),
    [anon_sym_CARET] = ACTIONS(8875),
    [anon_sym_GT] = ACTIONS(8875),
    [anon_sym_LT] = ACTIONS(8875),
    [anon_sym___extension__] = ACTIONS(8873),
    [anon_sym___attribute__] = ACTIONS(8873),
    [anon_sym___attribute] = ACTIONS(8873),
    [anon_sym_noreturn] = ACTIONS(8873),
    [anon_sym_LBRACK] = ACTIONS(8875),
    [anon_sym___based] = ACTIONS(8873),
    [anon_sym_LBRACE] = ACTIONS(8875),
    [anon_sym_signed] = ACTIONS(8873),
    [anon_sym_unsigned] = ACTIONS(8873),
    [anon_sym_long] = ACTIONS(8873),
    [anon_sym_short] = ACTIONS(8873),
    [anon_sym_ATautoreleasepool] = ACTIONS(8875),
    [anon_sym_const] = ACTIONS(8873),
    [anon_sym_constexpr] = ACTIONS(8873),
    [anon_sym_volatile] = ACTIONS(8873),
    [anon_sym_restrict] = ACTIONS(8873),
    [anon_sym___restrict__] = ACTIONS(8873),
    [anon_sym__Atomic] = ACTIONS(8873),
    [anon_sym__Noreturn] = ACTIONS(8873),
    [anon_sym__Nonnull] = ACTIONS(8873),
    [anon_sym_nullable] = ACTIONS(8873),
    [anon_sym__Complex] = ACTIONS(8873),
    [anon_sym__Nullable] = ACTIONS(8873),
    [anon_sym__Nullable_result] = ACTIONS(8873),
    [anon_sym__Null_unspecified] = ACTIONS(8873),
    [anon_sym___autoreleasing] = ACTIONS(8873),
    [anon_sym___block] = ACTIONS(8873),
    [anon_sym___bridge] = ACTIONS(8873),
    [anon_sym___bridge_retained] = ACTIONS(8873),
    [anon_sym___bridge_transfer] = ACTIONS(8873),
    [anon_sym___complex] = ACTIONS(8873),
    [anon_sym___const] = ACTIONS(8873),
    [anon_sym___imag] = ACTIONS(8873),
    [anon_sym___kindof] = ACTIONS(8873),
    [anon_sym___nonnull] = ACTIONS(8873),
    [anon_sym___nullable] = ACTIONS(8873),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8873),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8873),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8873),
    [anon_sym___real] = ACTIONS(8873),
    [anon_sym___strong] = ACTIONS(8873),
    [anon_sym___unsafe_unretained] = ACTIONS(8873),
    [anon_sym___unused] = ACTIONS(8873),
    [anon_sym___weak] = ACTIONS(8873),
    [anon_sym_alignas] = ACTIONS(8873),
    [anon_sym__Alignas] = ACTIONS(8873),
    [sym_primitive_type] = ACTIONS(8873),
    [anon_sym_enum] = ACTIONS(8873),
    [anon_sym_COLON] = ACTIONS(8875),
    [anon_sym_struct] = ACTIONS(8873),
    [anon_sym_union] = ACTIONS(8873),
    [anon_sym_in] = ACTIONS(8873),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(8873),
    [anon_sym___typeof] = ACTIONS(8873),
    [anon_sym_typeof] = ACTIONS(8873),
    [anon_sym_BOOL] = ACTIONS(8873),
    [anon_sym_IMP] = ACTIONS(8873),
    [anon_sym_SEL] = ACTIONS(8873),
    [anon_sym_Class] = ACTIONS(8873),
    [anon_sym_id] = ACTIONS(8873),
    [anon_sym_out] = ACTIONS(8873),
    [anon_sym_inout] = ACTIONS(8873),
    [anon_sym_bycopy] = ACTIONS(8873),
    [anon_sym_byref] = ACTIONS(8873),
    [anon_sym_oneway] = ACTIONS(8873),
  },
  [3874] = {
    [sym_identifier] = ACTIONS(7143),
    [anon_sym_COMMA] = ACTIONS(7145),
    [anon_sym_RPAREN] = ACTIONS(7145),
    [anon_sym_LPAREN2] = ACTIONS(7145),
    [anon_sym_STAR] = ACTIONS(7145),
    [anon_sym_CARET] = ACTIONS(7145),
    [anon_sym_GT] = ACTIONS(7145),
    [anon_sym_LT] = ACTIONS(7145),
    [anon_sym___extension__] = ACTIONS(7143),
    [anon_sym___attribute__] = ACTIONS(7143),
    [anon_sym___attribute] = ACTIONS(7143),
    [anon_sym_noreturn] = ACTIONS(7143),
    [anon_sym_LBRACK] = ACTIONS(7145),
    [anon_sym___based] = ACTIONS(7143),
    [anon_sym_LBRACE] = ACTIONS(7145),
    [anon_sym_signed] = ACTIONS(7143),
    [anon_sym_unsigned] = ACTIONS(7143),
    [anon_sym_long] = ACTIONS(7143),
    [anon_sym_short] = ACTIONS(7143),
    [anon_sym_ATautoreleasepool] = ACTIONS(7145),
    [anon_sym_const] = ACTIONS(7143),
    [anon_sym_constexpr] = ACTIONS(7143),
    [anon_sym_volatile] = ACTIONS(7143),
    [anon_sym_restrict] = ACTIONS(7143),
    [anon_sym___restrict__] = ACTIONS(7143),
    [anon_sym__Atomic] = ACTIONS(7143),
    [anon_sym__Noreturn] = ACTIONS(7143),
    [anon_sym__Nonnull] = ACTIONS(7143),
    [anon_sym_nullable] = ACTIONS(7143),
    [anon_sym__Complex] = ACTIONS(7143),
    [anon_sym__Nullable] = ACTIONS(7143),
    [anon_sym__Nullable_result] = ACTIONS(7143),
    [anon_sym__Null_unspecified] = ACTIONS(7143),
    [anon_sym___autoreleasing] = ACTIONS(7143),
    [anon_sym___block] = ACTIONS(7143),
    [anon_sym___bridge] = ACTIONS(7143),
    [anon_sym___bridge_retained] = ACTIONS(7143),
    [anon_sym___bridge_transfer] = ACTIONS(7143),
    [anon_sym___complex] = ACTIONS(7143),
    [anon_sym___const] = ACTIONS(7143),
    [anon_sym___imag] = ACTIONS(7143),
    [anon_sym___kindof] = ACTIONS(7143),
    [anon_sym___nonnull] = ACTIONS(7143),
    [anon_sym___nullable] = ACTIONS(7143),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7143),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7143),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7143),
    [anon_sym___real] = ACTIONS(7143),
    [anon_sym___strong] = ACTIONS(7143),
    [anon_sym___unsafe_unretained] = ACTIONS(7143),
    [anon_sym___unused] = ACTIONS(7143),
    [anon_sym___weak] = ACTIONS(7143),
    [anon_sym_alignas] = ACTIONS(7143),
    [anon_sym__Alignas] = ACTIONS(7143),
    [sym_primitive_type] = ACTIONS(7143),
    [anon_sym_enum] = ACTIONS(7143),
    [anon_sym_COLON] = ACTIONS(7145),
    [anon_sym_struct] = ACTIONS(7143),
    [anon_sym_union] = ACTIONS(7143),
    [anon_sym_in] = ACTIONS(7143),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7143),
    [anon_sym___typeof] = ACTIONS(7143),
    [anon_sym_typeof] = ACTIONS(7143),
    [anon_sym_BOOL] = ACTIONS(7143),
    [anon_sym_IMP] = ACTIONS(7143),
    [anon_sym_SEL] = ACTIONS(7143),
    [anon_sym_Class] = ACTIONS(7143),
    [anon_sym_id] = ACTIONS(7143),
    [anon_sym_out] = ACTIONS(7143),
    [anon_sym_inout] = ACTIONS(7143),
    [anon_sym_bycopy] = ACTIONS(7143),
    [anon_sym_byref] = ACTIONS(7143),
    [anon_sym_oneway] = ACTIONS(7143),
  },
  [3875] = {
    [sym_identifier] = ACTIONS(7357),
    [anon_sym_COMMA] = ACTIONS(7359),
    [anon_sym_RPAREN] = ACTIONS(7359),
    [anon_sym_LPAREN2] = ACTIONS(7359),
    [anon_sym_STAR] = ACTIONS(7359),
    [anon_sym_CARET] = ACTIONS(7359),
    [anon_sym_GT] = ACTIONS(7359),
    [anon_sym_LT] = ACTIONS(7359),
    [anon_sym___extension__] = ACTIONS(7357),
    [anon_sym___attribute__] = ACTIONS(7357),
    [anon_sym___attribute] = ACTIONS(7357),
    [anon_sym_noreturn] = ACTIONS(7357),
    [anon_sym_LBRACK] = ACTIONS(7359),
    [anon_sym___based] = ACTIONS(7357),
    [anon_sym_LBRACE] = ACTIONS(7359),
    [anon_sym_signed] = ACTIONS(7357),
    [anon_sym_unsigned] = ACTIONS(7357),
    [anon_sym_long] = ACTIONS(7357),
    [anon_sym_short] = ACTIONS(7357),
    [anon_sym_ATautoreleasepool] = ACTIONS(7359),
    [anon_sym_const] = ACTIONS(7357),
    [anon_sym_constexpr] = ACTIONS(7357),
    [anon_sym_volatile] = ACTIONS(7357),
    [anon_sym_restrict] = ACTIONS(7357),
    [anon_sym___restrict__] = ACTIONS(7357),
    [anon_sym__Atomic] = ACTIONS(7357),
    [anon_sym__Noreturn] = ACTIONS(7357),
    [anon_sym__Nonnull] = ACTIONS(7357),
    [anon_sym_nullable] = ACTIONS(7357),
    [anon_sym__Complex] = ACTIONS(7357),
    [anon_sym__Nullable] = ACTIONS(7357),
    [anon_sym__Nullable_result] = ACTIONS(7357),
    [anon_sym__Null_unspecified] = ACTIONS(7357),
    [anon_sym___autoreleasing] = ACTIONS(7357),
    [anon_sym___block] = ACTIONS(7357),
    [anon_sym___bridge] = ACTIONS(7357),
    [anon_sym___bridge_retained] = ACTIONS(7357),
    [anon_sym___bridge_transfer] = ACTIONS(7357),
    [anon_sym___complex] = ACTIONS(7357),
    [anon_sym___const] = ACTIONS(7357),
    [anon_sym___imag] = ACTIONS(7357),
    [anon_sym___kindof] = ACTIONS(7357),
    [anon_sym___nonnull] = ACTIONS(7357),
    [anon_sym___nullable] = ACTIONS(7357),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7357),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7357),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7357),
    [anon_sym___real] = ACTIONS(7357),
    [anon_sym___strong] = ACTIONS(7357),
    [anon_sym___unsafe_unretained] = ACTIONS(7357),
    [anon_sym___unused] = ACTIONS(7357),
    [anon_sym___weak] = ACTIONS(7357),
    [anon_sym_alignas] = ACTIONS(7357),
    [anon_sym__Alignas] = ACTIONS(7357),
    [sym_primitive_type] = ACTIONS(7357),
    [anon_sym_enum] = ACTIONS(7357),
    [anon_sym_COLON] = ACTIONS(7359),
    [anon_sym_struct] = ACTIONS(7357),
    [anon_sym_union] = ACTIONS(7357),
    [anon_sym_in] = ACTIONS(7357),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7357),
    [anon_sym___typeof] = ACTIONS(7357),
    [anon_sym_typeof] = ACTIONS(7357),
    [anon_sym_BOOL] = ACTIONS(7357),
    [anon_sym_IMP] = ACTIONS(7357),
    [anon_sym_SEL] = ACTIONS(7357),
    [anon_sym_Class] = ACTIONS(7357),
    [anon_sym_id] = ACTIONS(7357),
    [anon_sym_out] = ACTIONS(7357),
    [anon_sym_inout] = ACTIONS(7357),
    [anon_sym_bycopy] = ACTIONS(7357),
    [anon_sym_byref] = ACTIONS(7357),
    [anon_sym_oneway] = ACTIONS(7357),
  },
  [3876] = {
    [sym_identifier] = ACTIONS(4840),
    [anon_sym_COMMA] = ACTIONS(4842),
    [anon_sym_RPAREN] = ACTIONS(4842),
    [anon_sym_LPAREN2] = ACTIONS(4842),
    [anon_sym_STAR] = ACTIONS(4842),
    [anon_sym_CARET] = ACTIONS(4842),
    [anon_sym_GT] = ACTIONS(4842),
    [anon_sym_LT] = ACTIONS(4842),
    [anon_sym___extension__] = ACTIONS(4840),
    [anon_sym___attribute__] = ACTIONS(4840),
    [anon_sym___attribute] = ACTIONS(4840),
    [anon_sym_noreturn] = ACTIONS(4840),
    [anon_sym_LBRACK] = ACTIONS(4842),
    [anon_sym___based] = ACTIONS(4840),
    [anon_sym_LBRACE] = ACTIONS(4842),
    [anon_sym_signed] = ACTIONS(4840),
    [anon_sym_unsigned] = ACTIONS(4840),
    [anon_sym_long] = ACTIONS(4840),
    [anon_sym_short] = ACTIONS(4840),
    [anon_sym_ATautoreleasepool] = ACTIONS(4842),
    [anon_sym_const] = ACTIONS(4840),
    [anon_sym_constexpr] = ACTIONS(4840),
    [anon_sym_volatile] = ACTIONS(4840),
    [anon_sym_restrict] = ACTIONS(4840),
    [anon_sym___restrict__] = ACTIONS(4840),
    [anon_sym__Atomic] = ACTIONS(4840),
    [anon_sym__Noreturn] = ACTIONS(4840),
    [anon_sym__Nonnull] = ACTIONS(4840),
    [anon_sym_nullable] = ACTIONS(4840),
    [anon_sym__Complex] = ACTIONS(4840),
    [anon_sym__Nullable] = ACTIONS(4840),
    [anon_sym__Nullable_result] = ACTIONS(4840),
    [anon_sym__Null_unspecified] = ACTIONS(4840),
    [anon_sym___autoreleasing] = ACTIONS(4840),
    [anon_sym___block] = ACTIONS(4840),
    [anon_sym___bridge] = ACTIONS(4840),
    [anon_sym___bridge_retained] = ACTIONS(4840),
    [anon_sym___bridge_transfer] = ACTIONS(4840),
    [anon_sym___complex] = ACTIONS(4840),
    [anon_sym___const] = ACTIONS(4840),
    [anon_sym___imag] = ACTIONS(4840),
    [anon_sym___kindof] = ACTIONS(4840),
    [anon_sym___nonnull] = ACTIONS(4840),
    [anon_sym___nullable] = ACTIONS(4840),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4840),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4840),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4840),
    [anon_sym___real] = ACTIONS(4840),
    [anon_sym___strong] = ACTIONS(4840),
    [anon_sym___unsafe_unretained] = ACTIONS(4840),
    [anon_sym___unused] = ACTIONS(4840),
    [anon_sym___weak] = ACTIONS(4840),
    [anon_sym_alignas] = ACTIONS(4840),
    [anon_sym__Alignas] = ACTIONS(4840),
    [sym_primitive_type] = ACTIONS(4840),
    [anon_sym_enum] = ACTIONS(4840),
    [anon_sym_COLON] = ACTIONS(4842),
    [anon_sym_struct] = ACTIONS(4840),
    [anon_sym_union] = ACTIONS(4840),
    [anon_sym_in] = ACTIONS(4840),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4840),
    [anon_sym___typeof] = ACTIONS(4840),
    [anon_sym_typeof] = ACTIONS(4840),
    [anon_sym_BOOL] = ACTIONS(4840),
    [anon_sym_IMP] = ACTIONS(4840),
    [anon_sym_SEL] = ACTIONS(4840),
    [anon_sym_Class] = ACTIONS(4840),
    [anon_sym_id] = ACTIONS(4840),
    [anon_sym_out] = ACTIONS(4840),
    [anon_sym_inout] = ACTIONS(4840),
    [anon_sym_bycopy] = ACTIONS(4840),
    [anon_sym_byref] = ACTIONS(4840),
    [anon_sym_oneway] = ACTIONS(4840),
  },
  [3877] = {
    [sym_parameter_list] = STATE(3774),
    [sym_identifier] = ACTIONS(8877),
    [anon_sym_COMMA] = ACTIONS(8109),
    [anon_sym_RPAREN] = ACTIONS(8109),
    [anon_sym_LPAREN2] = ACTIONS(8848),
    [anon_sym_STAR] = ACTIONS(8109),
    [anon_sym_CARET] = ACTIONS(8109),
    [anon_sym_GT] = ACTIONS(8109),
    [anon_sym_LT] = ACTIONS(8109),
    [anon_sym___extension__] = ACTIONS(8877),
    [anon_sym___attribute__] = ACTIONS(8877),
    [anon_sym___attribute] = ACTIONS(8877),
    [anon_sym_noreturn] = ACTIONS(8877),
    [anon_sym_LBRACK] = ACTIONS(8850),
    [anon_sym___based] = ACTIONS(8877),
    [anon_sym_LBRACE] = ACTIONS(8109),
    [anon_sym_signed] = ACTIONS(8877),
    [anon_sym_unsigned] = ACTIONS(8877),
    [anon_sym_long] = ACTIONS(8877),
    [anon_sym_short] = ACTIONS(8877),
    [anon_sym_ATautoreleasepool] = ACTIONS(8109),
    [anon_sym_const] = ACTIONS(8877),
    [anon_sym_constexpr] = ACTIONS(8877),
    [anon_sym_volatile] = ACTIONS(8877),
    [anon_sym_restrict] = ACTIONS(8877),
    [anon_sym___restrict__] = ACTIONS(8877),
    [anon_sym__Atomic] = ACTIONS(8877),
    [anon_sym__Noreturn] = ACTIONS(8877),
    [anon_sym__Nonnull] = ACTIONS(8877),
    [anon_sym_nullable] = ACTIONS(8877),
    [anon_sym__Complex] = ACTIONS(8877),
    [anon_sym__Nullable] = ACTIONS(8877),
    [anon_sym__Nullable_result] = ACTIONS(8877),
    [anon_sym__Null_unspecified] = ACTIONS(8877),
    [anon_sym___autoreleasing] = ACTIONS(8877),
    [anon_sym___block] = ACTIONS(8877),
    [anon_sym___bridge] = ACTIONS(8877),
    [anon_sym___bridge_retained] = ACTIONS(8877),
    [anon_sym___bridge_transfer] = ACTIONS(8877),
    [anon_sym___complex] = ACTIONS(8877),
    [anon_sym___const] = ACTIONS(8877),
    [anon_sym___imag] = ACTIONS(8877),
    [anon_sym___kindof] = ACTIONS(8877),
    [anon_sym___nonnull] = ACTIONS(8877),
    [anon_sym___nullable] = ACTIONS(8877),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8877),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8877),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8877),
    [anon_sym___real] = ACTIONS(8877),
    [anon_sym___strong] = ACTIONS(8877),
    [anon_sym___unsafe_unretained] = ACTIONS(8877),
    [anon_sym___unused] = ACTIONS(8877),
    [anon_sym___weak] = ACTIONS(8877),
    [anon_sym_alignas] = ACTIONS(8877),
    [anon_sym__Alignas] = ACTIONS(8877),
    [sym_primitive_type] = ACTIONS(8877),
    [anon_sym_enum] = ACTIONS(8877),
    [anon_sym_struct] = ACTIONS(8877),
    [anon_sym_union] = ACTIONS(8877),
    [anon_sym_in] = ACTIONS(8877),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(8877),
    [anon_sym___typeof] = ACTIONS(8877),
    [anon_sym_typeof] = ACTIONS(8877),
    [anon_sym_BOOL] = ACTIONS(8877),
    [anon_sym_IMP] = ACTIONS(8877),
    [anon_sym_SEL] = ACTIONS(8877),
    [anon_sym_Class] = ACTIONS(8877),
    [anon_sym_id] = ACTIONS(8877),
    [anon_sym_out] = ACTIONS(8877),
    [anon_sym_inout] = ACTIONS(8877),
    [anon_sym_bycopy] = ACTIONS(8877),
    [anon_sym_byref] = ACTIONS(8877),
    [anon_sym_oneway] = ACTIONS(8877),
  },
  [3878] = {
    [sym_identifier] = ACTIONS(7385),
    [anon_sym_COMMA] = ACTIONS(7387),
    [anon_sym_RPAREN] = ACTIONS(7387),
    [anon_sym_LPAREN2] = ACTIONS(7387),
    [anon_sym_STAR] = ACTIONS(7387),
    [anon_sym_CARET] = ACTIONS(7387),
    [anon_sym_GT] = ACTIONS(7387),
    [anon_sym_LT] = ACTIONS(7387),
    [anon_sym___extension__] = ACTIONS(7385),
    [anon_sym___attribute__] = ACTIONS(7385),
    [anon_sym___attribute] = ACTIONS(7385),
    [anon_sym_noreturn] = ACTIONS(7385),
    [anon_sym_LBRACK] = ACTIONS(7387),
    [anon_sym___based] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_signed] = ACTIONS(7385),
    [anon_sym_unsigned] = ACTIONS(7385),
    [anon_sym_long] = ACTIONS(7385),
    [anon_sym_short] = ACTIONS(7385),
    [anon_sym_ATautoreleasepool] = ACTIONS(7387),
    [anon_sym_const] = ACTIONS(7385),
    [anon_sym_constexpr] = ACTIONS(7385),
    [anon_sym_volatile] = ACTIONS(7385),
    [anon_sym_restrict] = ACTIONS(7385),
    [anon_sym___restrict__] = ACTIONS(7385),
    [anon_sym__Atomic] = ACTIONS(7385),
    [anon_sym__Noreturn] = ACTIONS(7385),
    [anon_sym__Nonnull] = ACTIONS(7385),
    [anon_sym_nullable] = ACTIONS(7385),
    [anon_sym__Complex] = ACTIONS(7385),
    [anon_sym__Nullable] = ACTIONS(7385),
    [anon_sym__Nullable_result] = ACTIONS(7385),
    [anon_sym__Null_unspecified] = ACTIONS(7385),
    [anon_sym___autoreleasing] = ACTIONS(7385),
    [anon_sym___block] = ACTIONS(7385),
    [anon_sym___bridge] = ACTIONS(7385),
    [anon_sym___bridge_retained] = ACTIONS(7385),
    [anon_sym___bridge_transfer] = ACTIONS(7385),
    [anon_sym___complex] = ACTIONS(7385),
    [anon_sym___const] = ACTIONS(7385),
    [anon_sym___imag] = ACTIONS(7385),
    [anon_sym___kindof] = ACTIONS(7385),
    [anon_sym___nonnull] = ACTIONS(7385),
    [anon_sym___nullable] = ACTIONS(7385),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7385),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7385),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7385),
    [anon_sym___real] = ACTIONS(7385),
    [anon_sym___strong] = ACTIONS(7385),
    [anon_sym___unsafe_unretained] = ACTIONS(7385),
    [anon_sym___unused] = ACTIONS(7385),
    [anon_sym___weak] = ACTIONS(7385),
    [anon_sym_alignas] = ACTIONS(7385),
    [anon_sym__Alignas] = ACTIONS(7385),
    [sym_primitive_type] = ACTIONS(7385),
    [anon_sym_enum] = ACTIONS(7385),
    [anon_sym_COLON] = ACTIONS(7387),
    [anon_sym_struct] = ACTIONS(7385),
    [anon_sym_union] = ACTIONS(7385),
    [anon_sym_in] = ACTIONS(7385),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7385),
    [anon_sym___typeof] = ACTIONS(7385),
    [anon_sym_typeof] = ACTIONS(7385),
    [anon_sym_BOOL] = ACTIONS(7385),
    [anon_sym_IMP] = ACTIONS(7385),
    [anon_sym_SEL] = ACTIONS(7385),
    [anon_sym_Class] = ACTIONS(7385),
    [anon_sym_id] = ACTIONS(7385),
    [anon_sym_out] = ACTIONS(7385),
    [anon_sym_inout] = ACTIONS(7385),
    [anon_sym_bycopy] = ACTIONS(7385),
    [anon_sym_byref] = ACTIONS(7385),
    [anon_sym_oneway] = ACTIONS(7385),
  },
  [3879] = {
    [sym_identifier] = ACTIONS(7205),
    [anon_sym_COMMA] = ACTIONS(7207),
    [anon_sym_RPAREN] = ACTIONS(7207),
    [anon_sym_LPAREN2] = ACTIONS(7207),
    [anon_sym_STAR] = ACTIONS(7207),
    [anon_sym_CARET] = ACTIONS(7207),
    [anon_sym_GT] = ACTIONS(7207),
    [anon_sym_LT] = ACTIONS(7207),
    [anon_sym___extension__] = ACTIONS(7205),
    [anon_sym___attribute__] = ACTIONS(7205),
    [anon_sym___attribute] = ACTIONS(7205),
    [anon_sym_noreturn] = ACTIONS(7205),
    [anon_sym_LBRACK] = ACTIONS(7207),
    [anon_sym___based] = ACTIONS(7205),
    [anon_sym_LBRACE] = ACTIONS(7207),
    [anon_sym_signed] = ACTIONS(7205),
    [anon_sym_unsigned] = ACTIONS(7205),
    [anon_sym_long] = ACTIONS(7205),
    [anon_sym_short] = ACTIONS(7205),
    [anon_sym_ATautoreleasepool] = ACTIONS(7207),
    [anon_sym_const] = ACTIONS(7205),
    [anon_sym_constexpr] = ACTIONS(7205),
    [anon_sym_volatile] = ACTIONS(7205),
    [anon_sym_restrict] = ACTIONS(7205),
    [anon_sym___restrict__] = ACTIONS(7205),
    [anon_sym__Atomic] = ACTIONS(7205),
    [anon_sym__Noreturn] = ACTIONS(7205),
    [anon_sym__Nonnull] = ACTIONS(7205),
    [anon_sym_nullable] = ACTIONS(7205),
    [anon_sym__Complex] = ACTIONS(7205),
    [anon_sym__Nullable] = ACTIONS(7205),
    [anon_sym__Nullable_result] = ACTIONS(7205),
    [anon_sym__Null_unspecified] = ACTIONS(7205),
    [anon_sym___autoreleasing] = ACTIONS(7205),
    [anon_sym___block] = ACTIONS(7205),
    [anon_sym___bridge] = ACTIONS(7205),
    [anon_sym___bridge_retained] = ACTIONS(7205),
    [anon_sym___bridge_transfer] = ACTIONS(7205),
    [anon_sym___complex] = ACTIONS(7205),
    [anon_sym___const] = ACTIONS(7205),
    [anon_sym___imag] = ACTIONS(7205),
    [anon_sym___kindof] = ACTIONS(7205),
    [anon_sym___nonnull] = ACTIONS(7205),
    [anon_sym___nullable] = ACTIONS(7205),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7205),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7205),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7205),
    [anon_sym___real] = ACTIONS(7205),
    [anon_sym___strong] = ACTIONS(7205),
    [anon_sym___unsafe_unretained] = ACTIONS(7205),
    [anon_sym___unused] = ACTIONS(7205),
    [anon_sym___weak] = ACTIONS(7205),
    [anon_sym_alignas] = ACTIONS(7205),
    [anon_sym__Alignas] = ACTIONS(7205),
    [sym_primitive_type] = ACTIONS(7205),
    [anon_sym_enum] = ACTIONS(7205),
    [anon_sym_COLON] = ACTIONS(7207),
    [anon_sym_struct] = ACTIONS(7205),
    [anon_sym_union] = ACTIONS(7205),
    [anon_sym_in] = ACTIONS(7205),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7205),
    [anon_sym___typeof] = ACTIONS(7205),
    [anon_sym_typeof] = ACTIONS(7205),
    [anon_sym_BOOL] = ACTIONS(7205),
    [anon_sym_IMP] = ACTIONS(7205),
    [anon_sym_SEL] = ACTIONS(7205),
    [anon_sym_Class] = ACTIONS(7205),
    [anon_sym_id] = ACTIONS(7205),
    [anon_sym_out] = ACTIONS(7205),
    [anon_sym_inout] = ACTIONS(7205),
    [anon_sym_bycopy] = ACTIONS(7205),
    [anon_sym_byref] = ACTIONS(7205),
    [anon_sym_oneway] = ACTIONS(7205),
  },
  [3880] = {
    [sym_identifier] = ACTIONS(7455),
    [anon_sym_COMMA] = ACTIONS(7457),
    [anon_sym_RPAREN] = ACTIONS(7457),
    [anon_sym_LPAREN2] = ACTIONS(7457),
    [anon_sym_STAR] = ACTIONS(7457),
    [anon_sym_CARET] = ACTIONS(7457),
    [anon_sym_GT] = ACTIONS(7457),
    [anon_sym_LT] = ACTIONS(7457),
    [anon_sym___extension__] = ACTIONS(7455),
    [anon_sym___attribute__] = ACTIONS(7455),
    [anon_sym___attribute] = ACTIONS(7455),
    [anon_sym_noreturn] = ACTIONS(7455),
    [anon_sym_LBRACK] = ACTIONS(7457),
    [anon_sym___based] = ACTIONS(7455),
    [anon_sym_LBRACE] = ACTIONS(7457),
    [anon_sym_signed] = ACTIONS(7455),
    [anon_sym_unsigned] = ACTIONS(7455),
    [anon_sym_long] = ACTIONS(7455),
    [anon_sym_short] = ACTIONS(7455),
    [anon_sym_ATautoreleasepool] = ACTIONS(7457),
    [anon_sym_const] = ACTIONS(7455),
    [anon_sym_constexpr] = ACTIONS(7455),
    [anon_sym_volatile] = ACTIONS(7455),
    [anon_sym_restrict] = ACTIONS(7455),
    [anon_sym___restrict__] = ACTIONS(7455),
    [anon_sym__Atomic] = ACTIONS(7455),
    [anon_sym__Noreturn] = ACTIONS(7455),
    [anon_sym__Nonnull] = ACTIONS(7455),
    [anon_sym_nullable] = ACTIONS(7455),
    [anon_sym__Complex] = ACTIONS(7455),
    [anon_sym__Nullable] = ACTIONS(7455),
    [anon_sym__Nullable_result] = ACTIONS(7455),
    [anon_sym__Null_unspecified] = ACTIONS(7455),
    [anon_sym___autoreleasing] = ACTIONS(7455),
    [anon_sym___block] = ACTIONS(7455),
    [anon_sym___bridge] = ACTIONS(7455),
    [anon_sym___bridge_retained] = ACTIONS(7455),
    [anon_sym___bridge_transfer] = ACTIONS(7455),
    [anon_sym___complex] = ACTIONS(7455),
    [anon_sym___const] = ACTIONS(7455),
    [anon_sym___imag] = ACTIONS(7455),
    [anon_sym___kindof] = ACTIONS(7455),
    [anon_sym___nonnull] = ACTIONS(7455),
    [anon_sym___nullable] = ACTIONS(7455),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7455),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7455),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7455),
    [anon_sym___real] = ACTIONS(7455),
    [anon_sym___strong] = ACTIONS(7455),
    [anon_sym___unsafe_unretained] = ACTIONS(7455),
    [anon_sym___unused] = ACTIONS(7455),
    [anon_sym___weak] = ACTIONS(7455),
    [anon_sym_alignas] = ACTIONS(7455),
    [anon_sym__Alignas] = ACTIONS(7455),
    [sym_primitive_type] = ACTIONS(7455),
    [anon_sym_enum] = ACTIONS(7455),
    [anon_sym_COLON] = ACTIONS(7457),
    [anon_sym_struct] = ACTIONS(7455),
    [anon_sym_union] = ACTIONS(7455),
    [anon_sym_in] = ACTIONS(7455),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7455),
    [anon_sym___typeof] = ACTIONS(7455),
    [anon_sym_typeof] = ACTIONS(7455),
    [anon_sym_BOOL] = ACTIONS(7455),
    [anon_sym_IMP] = ACTIONS(7455),
    [anon_sym_SEL] = ACTIONS(7455),
    [anon_sym_Class] = ACTIONS(7455),
    [anon_sym_id] = ACTIONS(7455),
    [anon_sym_out] = ACTIONS(7455),
    [anon_sym_inout] = ACTIONS(7455),
    [anon_sym_bycopy] = ACTIONS(7455),
    [anon_sym_byref] = ACTIONS(7455),
    [anon_sym_oneway] = ACTIONS(7455),
  },
  [3881] = {
    [sym_identifier] = ACTIONS(7459),
    [anon_sym_COMMA] = ACTIONS(7461),
    [anon_sym_RPAREN] = ACTIONS(7461),
    [anon_sym_LPAREN2] = ACTIONS(7461),
    [anon_sym_STAR] = ACTIONS(7461),
    [anon_sym_CARET] = ACTIONS(7461),
    [anon_sym_GT] = ACTIONS(7461),
    [anon_sym_LT] = ACTIONS(7461),
    [anon_sym___extension__] = ACTIONS(7459),
    [anon_sym___attribute__] = ACTIONS(7459),
    [anon_sym___attribute] = ACTIONS(7459),
    [anon_sym_noreturn] = ACTIONS(7459),
    [anon_sym_LBRACK] = ACTIONS(7461),
    [anon_sym___based] = ACTIONS(7459),
    [anon_sym_LBRACE] = ACTIONS(7461),
    [anon_sym_signed] = ACTIONS(7459),
    [anon_sym_unsigned] = ACTIONS(7459),
    [anon_sym_long] = ACTIONS(7459),
    [anon_sym_short] = ACTIONS(7459),
    [anon_sym_ATautoreleasepool] = ACTIONS(7461),
    [anon_sym_const] = ACTIONS(7459),
    [anon_sym_constexpr] = ACTIONS(7459),
    [anon_sym_volatile] = ACTIONS(7459),
    [anon_sym_restrict] = ACTIONS(7459),
    [anon_sym___restrict__] = ACTIONS(7459),
    [anon_sym__Atomic] = ACTIONS(7459),
    [anon_sym__Noreturn] = ACTIONS(7459),
    [anon_sym__Nonnull] = ACTIONS(7459),
    [anon_sym_nullable] = ACTIONS(7459),
    [anon_sym__Complex] = ACTIONS(7459),
    [anon_sym__Nullable] = ACTIONS(7459),
    [anon_sym__Nullable_result] = ACTIONS(7459),
    [anon_sym__Null_unspecified] = ACTIONS(7459),
    [anon_sym___autoreleasing] = ACTIONS(7459),
    [anon_sym___block] = ACTIONS(7459),
    [anon_sym___bridge] = ACTIONS(7459),
    [anon_sym___bridge_retained] = ACTIONS(7459),
    [anon_sym___bridge_transfer] = ACTIONS(7459),
    [anon_sym___complex] = ACTIONS(7459),
    [anon_sym___const] = ACTIONS(7459),
    [anon_sym___imag] = ACTIONS(7459),
    [anon_sym___kindof] = ACTIONS(7459),
    [anon_sym___nonnull] = ACTIONS(7459),
    [anon_sym___nullable] = ACTIONS(7459),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7459),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7459),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7459),
    [anon_sym___real] = ACTIONS(7459),
    [anon_sym___strong] = ACTIONS(7459),
    [anon_sym___unsafe_unretained] = ACTIONS(7459),
    [anon_sym___unused] = ACTIONS(7459),
    [anon_sym___weak] = ACTIONS(7459),
    [anon_sym_alignas] = ACTIONS(7459),
    [anon_sym__Alignas] = ACTIONS(7459),
    [sym_primitive_type] = ACTIONS(7459),
    [anon_sym_enum] = ACTIONS(7459),
    [anon_sym_COLON] = ACTIONS(7461),
    [anon_sym_struct] = ACTIONS(7459),
    [anon_sym_union] = ACTIONS(7459),
    [anon_sym_in] = ACTIONS(7459),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7459),
    [anon_sym___typeof] = ACTIONS(7459),
    [anon_sym_typeof] = ACTIONS(7459),
    [anon_sym_BOOL] = ACTIONS(7459),
    [anon_sym_IMP] = ACTIONS(7459),
    [anon_sym_SEL] = ACTIONS(7459),
    [anon_sym_Class] = ACTIONS(7459),
    [anon_sym_id] = ACTIONS(7459),
    [anon_sym_out] = ACTIONS(7459),
    [anon_sym_inout] = ACTIONS(7459),
    [anon_sym_bycopy] = ACTIONS(7459),
    [anon_sym_byref] = ACTIONS(7459),
    [anon_sym_oneway] = ACTIONS(7459),
  },
  [3882] = {
    [sym_identifier] = ACTIONS(7463),
    [anon_sym_COMMA] = ACTIONS(7465),
    [anon_sym_RPAREN] = ACTIONS(7465),
    [anon_sym_LPAREN2] = ACTIONS(7465),
    [anon_sym_STAR] = ACTIONS(7465),
    [anon_sym_CARET] = ACTIONS(7465),
    [anon_sym_GT] = ACTIONS(7465),
    [anon_sym_LT] = ACTIONS(7465),
    [anon_sym___extension__] = ACTIONS(7463),
    [anon_sym___attribute__] = ACTIONS(7463),
    [anon_sym___attribute] = ACTIONS(7463),
    [anon_sym_noreturn] = ACTIONS(7463),
    [anon_sym_LBRACK] = ACTIONS(7465),
    [anon_sym___based] = ACTIONS(7463),
    [anon_sym_LBRACE] = ACTIONS(7465),
    [anon_sym_signed] = ACTIONS(7463),
    [anon_sym_unsigned] = ACTIONS(7463),
    [anon_sym_long] = ACTIONS(7463),
    [anon_sym_short] = ACTIONS(7463),
    [anon_sym_ATautoreleasepool] = ACTIONS(7465),
    [anon_sym_const] = ACTIONS(7463),
    [anon_sym_constexpr] = ACTIONS(7463),
    [anon_sym_volatile] = ACTIONS(7463),
    [anon_sym_restrict] = ACTIONS(7463),
    [anon_sym___restrict__] = ACTIONS(7463),
    [anon_sym__Atomic] = ACTIONS(7463),
    [anon_sym__Noreturn] = ACTIONS(7463),
    [anon_sym__Nonnull] = ACTIONS(7463),
    [anon_sym_nullable] = ACTIONS(7463),
    [anon_sym__Complex] = ACTIONS(7463),
    [anon_sym__Nullable] = ACTIONS(7463),
    [anon_sym__Nullable_result] = ACTIONS(7463),
    [anon_sym__Null_unspecified] = ACTIONS(7463),
    [anon_sym___autoreleasing] = ACTIONS(7463),
    [anon_sym___block] = ACTIONS(7463),
    [anon_sym___bridge] = ACTIONS(7463),
    [anon_sym___bridge_retained] = ACTIONS(7463),
    [anon_sym___bridge_transfer] = ACTIONS(7463),
    [anon_sym___complex] = ACTIONS(7463),
    [anon_sym___const] = ACTIONS(7463),
    [anon_sym___imag] = ACTIONS(7463),
    [anon_sym___kindof] = ACTIONS(7463),
    [anon_sym___nonnull] = ACTIONS(7463),
    [anon_sym___nullable] = ACTIONS(7463),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7463),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7463),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7463),
    [anon_sym___real] = ACTIONS(7463),
    [anon_sym___strong] = ACTIONS(7463),
    [anon_sym___unsafe_unretained] = ACTIONS(7463),
    [anon_sym___unused] = ACTIONS(7463),
    [anon_sym___weak] = ACTIONS(7463),
    [anon_sym_alignas] = ACTIONS(7463),
    [anon_sym__Alignas] = ACTIONS(7463),
    [sym_primitive_type] = ACTIONS(7463),
    [anon_sym_enum] = ACTIONS(7463),
    [anon_sym_COLON] = ACTIONS(7465),
    [anon_sym_struct] = ACTIONS(7463),
    [anon_sym_union] = ACTIONS(7463),
    [anon_sym_in] = ACTIONS(7463),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7463),
    [anon_sym___typeof] = ACTIONS(7463),
    [anon_sym_typeof] = ACTIONS(7463),
    [anon_sym_BOOL] = ACTIONS(7463),
    [anon_sym_IMP] = ACTIONS(7463),
    [anon_sym_SEL] = ACTIONS(7463),
    [anon_sym_Class] = ACTIONS(7463),
    [anon_sym_id] = ACTIONS(7463),
    [anon_sym_out] = ACTIONS(7463),
    [anon_sym_inout] = ACTIONS(7463),
    [anon_sym_bycopy] = ACTIONS(7463),
    [anon_sym_byref] = ACTIONS(7463),
    [anon_sym_oneway] = ACTIONS(7463),
  },
  [3883] = {
    [sym_identifier] = ACTIONS(7179),
    [anon_sym_COMMA] = ACTIONS(7181),
    [anon_sym_RPAREN] = ACTIONS(7181),
    [anon_sym_LPAREN2] = ACTIONS(7181),
    [anon_sym_STAR] = ACTIONS(7181),
    [anon_sym_CARET] = ACTIONS(7181),
    [anon_sym_GT] = ACTIONS(7181),
    [anon_sym_LT] = ACTIONS(7181),
    [anon_sym___extension__] = ACTIONS(7179),
    [anon_sym___attribute__] = ACTIONS(7179),
    [anon_sym___attribute] = ACTIONS(7179),
    [anon_sym_noreturn] = ACTIONS(7179),
    [anon_sym_LBRACK] = ACTIONS(7181),
    [anon_sym___based] = ACTIONS(7179),
    [anon_sym_LBRACE] = ACTIONS(7181),
    [anon_sym_signed] = ACTIONS(7179),
    [anon_sym_unsigned] = ACTIONS(7179),
    [anon_sym_long] = ACTIONS(7179),
    [anon_sym_short] = ACTIONS(7179),
    [anon_sym_ATautoreleasepool] = ACTIONS(7181),
    [anon_sym_const] = ACTIONS(7179),
    [anon_sym_constexpr] = ACTIONS(7179),
    [anon_sym_volatile] = ACTIONS(7179),
    [anon_sym_restrict] = ACTIONS(7179),
    [anon_sym___restrict__] = ACTIONS(7179),
    [anon_sym__Atomic] = ACTIONS(7179),
    [anon_sym__Noreturn] = ACTIONS(7179),
    [anon_sym__Nonnull] = ACTIONS(7179),
    [anon_sym_nullable] = ACTIONS(7179),
    [anon_sym__Complex] = ACTIONS(7179),
    [anon_sym__Nullable] = ACTIONS(7179),
    [anon_sym__Nullable_result] = ACTIONS(7179),
    [anon_sym__Null_unspecified] = ACTIONS(7179),
    [anon_sym___autoreleasing] = ACTIONS(7179),
    [anon_sym___block] = ACTIONS(7179),
    [anon_sym___bridge] = ACTIONS(7179),
    [anon_sym___bridge_retained] = ACTIONS(7179),
    [anon_sym___bridge_transfer] = ACTIONS(7179),
    [anon_sym___complex] = ACTIONS(7179),
    [anon_sym___const] = ACTIONS(7179),
    [anon_sym___imag] = ACTIONS(7179),
    [anon_sym___kindof] = ACTIONS(7179),
    [anon_sym___nonnull] = ACTIONS(7179),
    [anon_sym___nullable] = ACTIONS(7179),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7179),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7179),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7179),
    [anon_sym___real] = ACTIONS(7179),
    [anon_sym___strong] = ACTIONS(7179),
    [anon_sym___unsafe_unretained] = ACTIONS(7179),
    [anon_sym___unused] = ACTIONS(7179),
    [anon_sym___weak] = ACTIONS(7179),
    [anon_sym_alignas] = ACTIONS(7179),
    [anon_sym__Alignas] = ACTIONS(7179),
    [sym_primitive_type] = ACTIONS(7179),
    [anon_sym_enum] = ACTIONS(7179),
    [anon_sym_COLON] = ACTIONS(7181),
    [anon_sym_struct] = ACTIONS(7179),
    [anon_sym_union] = ACTIONS(7179),
    [anon_sym_in] = ACTIONS(7179),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7179),
    [anon_sym___typeof] = ACTIONS(7179),
    [anon_sym_typeof] = ACTIONS(7179),
    [anon_sym_BOOL] = ACTIONS(7179),
    [anon_sym_IMP] = ACTIONS(7179),
    [anon_sym_SEL] = ACTIONS(7179),
    [anon_sym_Class] = ACTIONS(7179),
    [anon_sym_id] = ACTIONS(7179),
    [anon_sym_out] = ACTIONS(7179),
    [anon_sym_inout] = ACTIONS(7179),
    [anon_sym_bycopy] = ACTIONS(7179),
    [anon_sym_byref] = ACTIONS(7179),
    [anon_sym_oneway] = ACTIONS(7179),
  },
  [3884] = {
    [sym_identifier] = ACTIONS(7183),
    [anon_sym_COMMA] = ACTIONS(7185),
    [anon_sym_RPAREN] = ACTIONS(7185),
    [anon_sym_LPAREN2] = ACTIONS(7185),
    [anon_sym_STAR] = ACTIONS(7185),
    [anon_sym_CARET] = ACTIONS(7185),
    [anon_sym_GT] = ACTIONS(7185),
    [anon_sym_LT] = ACTIONS(7185),
    [anon_sym___extension__] = ACTIONS(7183),
    [anon_sym___attribute__] = ACTIONS(7183),
    [anon_sym___attribute] = ACTIONS(7183),
    [anon_sym_noreturn] = ACTIONS(7183),
    [anon_sym_LBRACK] = ACTIONS(7185),
    [anon_sym___based] = ACTIONS(7183),
    [anon_sym_LBRACE] = ACTIONS(7185),
    [anon_sym_signed] = ACTIONS(7183),
    [anon_sym_unsigned] = ACTIONS(7183),
    [anon_sym_long] = ACTIONS(7183),
    [anon_sym_short] = ACTIONS(7183),
    [anon_sym_ATautoreleasepool] = ACTIONS(7185),
    [anon_sym_const] = ACTIONS(7183),
    [anon_sym_constexpr] = ACTIONS(7183),
    [anon_sym_volatile] = ACTIONS(7183),
    [anon_sym_restrict] = ACTIONS(7183),
    [anon_sym___restrict__] = ACTIONS(7183),
    [anon_sym__Atomic] = ACTIONS(7183),
    [anon_sym__Noreturn] = ACTIONS(7183),
    [anon_sym__Nonnull] = ACTIONS(7183),
    [anon_sym_nullable] = ACTIONS(7183),
    [anon_sym__Complex] = ACTIONS(7183),
    [anon_sym__Nullable] = ACTIONS(7183),
    [anon_sym__Nullable_result] = ACTIONS(7183),
    [anon_sym__Null_unspecified] = ACTIONS(7183),
    [anon_sym___autoreleasing] = ACTIONS(7183),
    [anon_sym___block] = ACTIONS(7183),
    [anon_sym___bridge] = ACTIONS(7183),
    [anon_sym___bridge_retained] = ACTIONS(7183),
    [anon_sym___bridge_transfer] = ACTIONS(7183),
    [anon_sym___complex] = ACTIONS(7183),
    [anon_sym___const] = ACTIONS(7183),
    [anon_sym___imag] = ACTIONS(7183),
    [anon_sym___kindof] = ACTIONS(7183),
    [anon_sym___nonnull] = ACTIONS(7183),
    [anon_sym___nullable] = ACTIONS(7183),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7183),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7183),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7183),
    [anon_sym___real] = ACTIONS(7183),
    [anon_sym___strong] = ACTIONS(7183),
    [anon_sym___unsafe_unretained] = ACTIONS(7183),
    [anon_sym___unused] = ACTIONS(7183),
    [anon_sym___weak] = ACTIONS(7183),
    [anon_sym_alignas] = ACTIONS(7183),
    [anon_sym__Alignas] = ACTIONS(7183),
    [sym_primitive_type] = ACTIONS(7183),
    [anon_sym_enum] = ACTIONS(7183),
    [anon_sym_COLON] = ACTIONS(7185),
    [anon_sym_struct] = ACTIONS(7183),
    [anon_sym_union] = ACTIONS(7183),
    [anon_sym_in] = ACTIONS(7183),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7183),
    [anon_sym___typeof] = ACTIONS(7183),
    [anon_sym_typeof] = ACTIONS(7183),
    [anon_sym_BOOL] = ACTIONS(7183),
    [anon_sym_IMP] = ACTIONS(7183),
    [anon_sym_SEL] = ACTIONS(7183),
    [anon_sym_Class] = ACTIONS(7183),
    [anon_sym_id] = ACTIONS(7183),
    [anon_sym_out] = ACTIONS(7183),
    [anon_sym_inout] = ACTIONS(7183),
    [anon_sym_bycopy] = ACTIONS(7183),
    [anon_sym_byref] = ACTIONS(7183),
    [anon_sym_oneway] = ACTIONS(7183),
  },
  [3885] = {
    [sym__type_definition_type] = STATE(4763),
    [sym_attribute_specifier] = STATE(3887),
    [sym_ms_declspec_modifier] = STATE(4041),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3886] = {
    [sym__type_definition_type] = STATE(4771),
    [sym_attribute_specifier] = STATE(3898),
    [sym_ms_declspec_modifier] = STATE(4054),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3887] = {
    [sym__type_definition_type] = STATE(4772),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4054),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3888] = {
    [sym__type_definition_type] = STATE(4721),
    [sym_attribute_specifier] = STATE(3967),
    [sym_ms_declspec_modifier] = STATE(4044),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3889] = {
    [sym_attribute_specifier] = STATE(3914),
    [sym_identifier] = ACTIONS(7877),
    [anon_sym_COMMA] = ACTIONS(7879),
    [anon_sym_RPAREN] = ACTIONS(7879),
    [anon_sym_LPAREN2] = ACTIONS(7879),
    [anon_sym_STAR] = ACTIONS(7879),
    [anon_sym_CARET] = ACTIONS(7879),
    [anon_sym_GT] = ACTIONS(7879),
    [anon_sym_LT] = ACTIONS(7879),
    [anon_sym___extension__] = ACTIONS(7877),
    [anon_sym___attribute__] = ACTIONS(8879),
    [anon_sym___attribute] = ACTIONS(8879),
    [anon_sym_noreturn] = ACTIONS(7877),
    [anon_sym_LBRACK] = ACTIONS(7879),
    [anon_sym___based] = ACTIONS(7877),
    [anon_sym_LBRACE] = ACTIONS(7879),
    [anon_sym_signed] = ACTIONS(7877),
    [anon_sym_unsigned] = ACTIONS(7877),
    [anon_sym_long] = ACTIONS(7877),
    [anon_sym_short] = ACTIONS(7877),
    [anon_sym_ATautoreleasepool] = ACTIONS(7879),
    [anon_sym_const] = ACTIONS(7877),
    [anon_sym_constexpr] = ACTIONS(7877),
    [anon_sym_volatile] = ACTIONS(7877),
    [anon_sym_restrict] = ACTIONS(7877),
    [anon_sym___restrict__] = ACTIONS(7877),
    [anon_sym__Atomic] = ACTIONS(7877),
    [anon_sym__Noreturn] = ACTIONS(7877),
    [anon_sym__Nonnull] = ACTIONS(7877),
    [anon_sym_nullable] = ACTIONS(7877),
    [anon_sym__Complex] = ACTIONS(7877),
    [anon_sym__Nullable] = ACTIONS(7877),
    [anon_sym__Nullable_result] = ACTIONS(7877),
    [anon_sym__Null_unspecified] = ACTIONS(7877),
    [anon_sym___autoreleasing] = ACTIONS(7877),
    [anon_sym___block] = ACTIONS(7877),
    [anon_sym___bridge] = ACTIONS(7877),
    [anon_sym___bridge_retained] = ACTIONS(7877),
    [anon_sym___bridge_transfer] = ACTIONS(7877),
    [anon_sym___complex] = ACTIONS(7877),
    [anon_sym___const] = ACTIONS(7877),
    [anon_sym___imag] = ACTIONS(7877),
    [anon_sym___kindof] = ACTIONS(7877),
    [anon_sym___nonnull] = ACTIONS(7877),
    [anon_sym___nullable] = ACTIONS(7877),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7877),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7877),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7877),
    [anon_sym___real] = ACTIONS(7877),
    [anon_sym___strong] = ACTIONS(7877),
    [anon_sym___unsafe_unretained] = ACTIONS(7877),
    [anon_sym___unused] = ACTIONS(7877),
    [anon_sym___weak] = ACTIONS(7877),
    [anon_sym_alignas] = ACTIONS(7877),
    [anon_sym__Alignas] = ACTIONS(7877),
    [sym_primitive_type] = ACTIONS(7877),
    [anon_sym_enum] = ACTIONS(7877),
    [anon_sym_struct] = ACTIONS(7877),
    [anon_sym_union] = ACTIONS(7877),
    [anon_sym_in] = ACTIONS(7877),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7877),
    [anon_sym___typeof] = ACTIONS(7877),
    [anon_sym_typeof] = ACTIONS(7877),
    [anon_sym_BOOL] = ACTIONS(7877),
    [anon_sym_IMP] = ACTIONS(7877),
    [anon_sym_SEL] = ACTIONS(7877),
    [anon_sym_Class] = ACTIONS(7877),
    [anon_sym_id] = ACTIONS(7877),
    [anon_sym_out] = ACTIONS(7877),
    [anon_sym_inout] = ACTIONS(7877),
    [anon_sym_bycopy] = ACTIONS(7877),
    [anon_sym_byref] = ACTIONS(7877),
    [anon_sym_oneway] = ACTIONS(7877),
  },
  [3890] = {
    [sym_identifier] = ACTIONS(7187),
    [anon_sym_COMMA] = ACTIONS(7189),
    [anon_sym_RPAREN] = ACTIONS(7189),
    [anon_sym_LPAREN2] = ACTIONS(7189),
    [anon_sym_STAR] = ACTIONS(7189),
    [anon_sym_CARET] = ACTIONS(7189),
    [anon_sym_GT] = ACTIONS(7189),
    [anon_sym_LT] = ACTIONS(7189),
    [anon_sym___extension__] = ACTIONS(7187),
    [anon_sym___attribute__] = ACTIONS(7187),
    [anon_sym___attribute] = ACTIONS(7187),
    [anon_sym_noreturn] = ACTIONS(7187),
    [anon_sym_LBRACK] = ACTIONS(7189),
    [anon_sym___based] = ACTIONS(7187),
    [anon_sym_LBRACE] = ACTIONS(7189),
    [anon_sym_signed] = ACTIONS(7187),
    [anon_sym_unsigned] = ACTIONS(7187),
    [anon_sym_long] = ACTIONS(7187),
    [anon_sym_short] = ACTIONS(7187),
    [anon_sym_ATautoreleasepool] = ACTIONS(7189),
    [anon_sym_const] = ACTIONS(7187),
    [anon_sym_constexpr] = ACTIONS(7187),
    [anon_sym_volatile] = ACTIONS(7187),
    [anon_sym_restrict] = ACTIONS(7187),
    [anon_sym___restrict__] = ACTIONS(7187),
    [anon_sym__Atomic] = ACTIONS(7187),
    [anon_sym__Noreturn] = ACTIONS(7187),
    [anon_sym__Nonnull] = ACTIONS(7187),
    [anon_sym_nullable] = ACTIONS(7187),
    [anon_sym__Complex] = ACTIONS(7187),
    [anon_sym__Nullable] = ACTIONS(7187),
    [anon_sym__Nullable_result] = ACTIONS(7187),
    [anon_sym__Null_unspecified] = ACTIONS(7187),
    [anon_sym___autoreleasing] = ACTIONS(7187),
    [anon_sym___block] = ACTIONS(7187),
    [anon_sym___bridge] = ACTIONS(7187),
    [anon_sym___bridge_retained] = ACTIONS(7187),
    [anon_sym___bridge_transfer] = ACTIONS(7187),
    [anon_sym___complex] = ACTIONS(7187),
    [anon_sym___const] = ACTIONS(7187),
    [anon_sym___imag] = ACTIONS(7187),
    [anon_sym___kindof] = ACTIONS(7187),
    [anon_sym___nonnull] = ACTIONS(7187),
    [anon_sym___nullable] = ACTIONS(7187),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7187),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7187),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7187),
    [anon_sym___real] = ACTIONS(7187),
    [anon_sym___strong] = ACTIONS(7187),
    [anon_sym___unsafe_unretained] = ACTIONS(7187),
    [anon_sym___unused] = ACTIONS(7187),
    [anon_sym___weak] = ACTIONS(7187),
    [anon_sym_alignas] = ACTIONS(7187),
    [anon_sym__Alignas] = ACTIONS(7187),
    [sym_primitive_type] = ACTIONS(7187),
    [anon_sym_enum] = ACTIONS(7187),
    [anon_sym_COLON] = ACTIONS(7189),
    [anon_sym_struct] = ACTIONS(7187),
    [anon_sym_union] = ACTIONS(7187),
    [anon_sym_in] = ACTIONS(7187),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7187),
    [anon_sym___typeof] = ACTIONS(7187),
    [anon_sym_typeof] = ACTIONS(7187),
    [anon_sym_BOOL] = ACTIONS(7187),
    [anon_sym_IMP] = ACTIONS(7187),
    [anon_sym_SEL] = ACTIONS(7187),
    [anon_sym_Class] = ACTIONS(7187),
    [anon_sym_id] = ACTIONS(7187),
    [anon_sym_out] = ACTIONS(7187),
    [anon_sym_inout] = ACTIONS(7187),
    [anon_sym_bycopy] = ACTIONS(7187),
    [anon_sym_byref] = ACTIONS(7187),
    [anon_sym_oneway] = ACTIONS(7187),
  },
  [3891] = {
    [sym_identifier] = ACTIONS(7193),
    [anon_sym_COMMA] = ACTIONS(7195),
    [anon_sym_RPAREN] = ACTIONS(7195),
    [anon_sym_LPAREN2] = ACTIONS(7195),
    [anon_sym_STAR] = ACTIONS(7195),
    [anon_sym_CARET] = ACTIONS(7195),
    [anon_sym_GT] = ACTIONS(7195),
    [anon_sym_LT] = ACTIONS(7195),
    [anon_sym___extension__] = ACTIONS(7193),
    [anon_sym___attribute__] = ACTIONS(7193),
    [anon_sym___attribute] = ACTIONS(7193),
    [anon_sym_noreturn] = ACTIONS(7193),
    [anon_sym_LBRACK] = ACTIONS(7195),
    [anon_sym___based] = ACTIONS(7193),
    [anon_sym_LBRACE] = ACTIONS(7195),
    [anon_sym_signed] = ACTIONS(7193),
    [anon_sym_unsigned] = ACTIONS(7193),
    [anon_sym_long] = ACTIONS(7193),
    [anon_sym_short] = ACTIONS(7193),
    [anon_sym_ATautoreleasepool] = ACTIONS(7195),
    [anon_sym_const] = ACTIONS(7193),
    [anon_sym_constexpr] = ACTIONS(7193),
    [anon_sym_volatile] = ACTIONS(7193),
    [anon_sym_restrict] = ACTIONS(7193),
    [anon_sym___restrict__] = ACTIONS(7193),
    [anon_sym__Atomic] = ACTIONS(7193),
    [anon_sym__Noreturn] = ACTIONS(7193),
    [anon_sym__Nonnull] = ACTIONS(7193),
    [anon_sym_nullable] = ACTIONS(7193),
    [anon_sym__Complex] = ACTIONS(7193),
    [anon_sym__Nullable] = ACTIONS(7193),
    [anon_sym__Nullable_result] = ACTIONS(7193),
    [anon_sym__Null_unspecified] = ACTIONS(7193),
    [anon_sym___autoreleasing] = ACTIONS(7193),
    [anon_sym___block] = ACTIONS(7193),
    [anon_sym___bridge] = ACTIONS(7193),
    [anon_sym___bridge_retained] = ACTIONS(7193),
    [anon_sym___bridge_transfer] = ACTIONS(7193),
    [anon_sym___complex] = ACTIONS(7193),
    [anon_sym___const] = ACTIONS(7193),
    [anon_sym___imag] = ACTIONS(7193),
    [anon_sym___kindof] = ACTIONS(7193),
    [anon_sym___nonnull] = ACTIONS(7193),
    [anon_sym___nullable] = ACTIONS(7193),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7193),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7193),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7193),
    [anon_sym___real] = ACTIONS(7193),
    [anon_sym___strong] = ACTIONS(7193),
    [anon_sym___unsafe_unretained] = ACTIONS(7193),
    [anon_sym___unused] = ACTIONS(7193),
    [anon_sym___weak] = ACTIONS(7193),
    [anon_sym_alignas] = ACTIONS(7193),
    [anon_sym__Alignas] = ACTIONS(7193),
    [sym_primitive_type] = ACTIONS(7193),
    [anon_sym_enum] = ACTIONS(7193),
    [anon_sym_COLON] = ACTIONS(7195),
    [anon_sym_struct] = ACTIONS(7193),
    [anon_sym_union] = ACTIONS(7193),
    [anon_sym_in] = ACTIONS(7193),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7193),
    [anon_sym___typeof] = ACTIONS(7193),
    [anon_sym_typeof] = ACTIONS(7193),
    [anon_sym_BOOL] = ACTIONS(7193),
    [anon_sym_IMP] = ACTIONS(7193),
    [anon_sym_SEL] = ACTIONS(7193),
    [anon_sym_Class] = ACTIONS(7193),
    [anon_sym_id] = ACTIONS(7193),
    [anon_sym_out] = ACTIONS(7193),
    [anon_sym_inout] = ACTIONS(7193),
    [anon_sym_bycopy] = ACTIONS(7193),
    [anon_sym_byref] = ACTIONS(7193),
    [anon_sym_oneway] = ACTIONS(7193),
  },
  [3892] = {
    [sym_identifier] = ACTIONS(8882),
    [anon_sym_COMMA] = ACTIONS(8884),
    [anon_sym_RPAREN] = ACTIONS(8884),
    [anon_sym_LPAREN2] = ACTIONS(8884),
    [anon_sym_STAR] = ACTIONS(8884),
    [anon_sym_CARET] = ACTIONS(8884),
    [anon_sym_GT] = ACTIONS(8884),
    [anon_sym_LT] = ACTIONS(8884),
    [anon_sym___extension__] = ACTIONS(8882),
    [anon_sym___attribute__] = ACTIONS(8882),
    [anon_sym___attribute] = ACTIONS(8882),
    [anon_sym_noreturn] = ACTIONS(8882),
    [anon_sym_LBRACK] = ACTIONS(8884),
    [anon_sym___based] = ACTIONS(8882),
    [anon_sym_LBRACE] = ACTIONS(8884),
    [anon_sym_signed] = ACTIONS(8882),
    [anon_sym_unsigned] = ACTIONS(8882),
    [anon_sym_long] = ACTIONS(8882),
    [anon_sym_short] = ACTIONS(8882),
    [anon_sym_ATautoreleasepool] = ACTIONS(8884),
    [anon_sym_const] = ACTIONS(8882),
    [anon_sym_constexpr] = ACTIONS(8882),
    [anon_sym_volatile] = ACTIONS(8882),
    [anon_sym_restrict] = ACTIONS(8882),
    [anon_sym___restrict__] = ACTIONS(8882),
    [anon_sym__Atomic] = ACTIONS(8882),
    [anon_sym__Noreturn] = ACTIONS(8882),
    [anon_sym__Nonnull] = ACTIONS(8882),
    [anon_sym_nullable] = ACTIONS(8882),
    [anon_sym__Complex] = ACTIONS(8882),
    [anon_sym__Nullable] = ACTIONS(8882),
    [anon_sym__Nullable_result] = ACTIONS(8882),
    [anon_sym__Null_unspecified] = ACTIONS(8882),
    [anon_sym___autoreleasing] = ACTIONS(8882),
    [anon_sym___block] = ACTIONS(8882),
    [anon_sym___bridge] = ACTIONS(8882),
    [anon_sym___bridge_retained] = ACTIONS(8882),
    [anon_sym___bridge_transfer] = ACTIONS(8882),
    [anon_sym___complex] = ACTIONS(8882),
    [anon_sym___const] = ACTIONS(8882),
    [anon_sym___imag] = ACTIONS(8882),
    [anon_sym___kindof] = ACTIONS(8882),
    [anon_sym___nonnull] = ACTIONS(8882),
    [anon_sym___nullable] = ACTIONS(8882),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8882),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8882),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8882),
    [anon_sym___real] = ACTIONS(8882),
    [anon_sym___strong] = ACTIONS(8882),
    [anon_sym___unsafe_unretained] = ACTIONS(8882),
    [anon_sym___unused] = ACTIONS(8882),
    [anon_sym___weak] = ACTIONS(8882),
    [anon_sym_alignas] = ACTIONS(8882),
    [anon_sym__Alignas] = ACTIONS(8882),
    [sym_primitive_type] = ACTIONS(8882),
    [anon_sym_enum] = ACTIONS(8882),
    [anon_sym_COLON] = ACTIONS(8884),
    [anon_sym_struct] = ACTIONS(8882),
    [anon_sym_union] = ACTIONS(8882),
    [anon_sym_in] = ACTIONS(8882),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(8882),
    [anon_sym___typeof] = ACTIONS(8882),
    [anon_sym_typeof] = ACTIONS(8882),
    [anon_sym_BOOL] = ACTIONS(8882),
    [anon_sym_IMP] = ACTIONS(8882),
    [anon_sym_SEL] = ACTIONS(8882),
    [anon_sym_Class] = ACTIONS(8882),
    [anon_sym_id] = ACTIONS(8882),
    [anon_sym_out] = ACTIONS(8882),
    [anon_sym_inout] = ACTIONS(8882),
    [anon_sym_bycopy] = ACTIONS(8882),
    [anon_sym_byref] = ACTIONS(8882),
    [anon_sym_oneway] = ACTIONS(8882),
  },
  [3893] = {
    [sym_identifier] = ACTIONS(7257),
    [anon_sym_COMMA] = ACTIONS(7259),
    [anon_sym_RPAREN] = ACTIONS(7259),
    [anon_sym_LPAREN2] = ACTIONS(7259),
    [anon_sym_STAR] = ACTIONS(7259),
    [anon_sym_CARET] = ACTIONS(7259),
    [anon_sym_GT] = ACTIONS(7259),
    [anon_sym_LT] = ACTIONS(7259),
    [anon_sym___extension__] = ACTIONS(7257),
    [anon_sym___attribute__] = ACTIONS(7257),
    [anon_sym___attribute] = ACTIONS(7257),
    [anon_sym_noreturn] = ACTIONS(7257),
    [anon_sym_LBRACK] = ACTIONS(7259),
    [anon_sym___based] = ACTIONS(7257),
    [anon_sym_LBRACE] = ACTIONS(7259),
    [anon_sym_signed] = ACTIONS(7257),
    [anon_sym_unsigned] = ACTIONS(7257),
    [anon_sym_long] = ACTIONS(7257),
    [anon_sym_short] = ACTIONS(7257),
    [anon_sym_ATautoreleasepool] = ACTIONS(7259),
    [anon_sym_const] = ACTIONS(7257),
    [anon_sym_constexpr] = ACTIONS(7257),
    [anon_sym_volatile] = ACTIONS(7257),
    [anon_sym_restrict] = ACTIONS(7257),
    [anon_sym___restrict__] = ACTIONS(7257),
    [anon_sym__Atomic] = ACTIONS(7257),
    [anon_sym__Noreturn] = ACTIONS(7257),
    [anon_sym__Nonnull] = ACTIONS(7257),
    [anon_sym_nullable] = ACTIONS(7257),
    [anon_sym__Complex] = ACTIONS(7257),
    [anon_sym__Nullable] = ACTIONS(7257),
    [anon_sym__Nullable_result] = ACTIONS(7257),
    [anon_sym__Null_unspecified] = ACTIONS(7257),
    [anon_sym___autoreleasing] = ACTIONS(7257),
    [anon_sym___block] = ACTIONS(7257),
    [anon_sym___bridge] = ACTIONS(7257),
    [anon_sym___bridge_retained] = ACTIONS(7257),
    [anon_sym___bridge_transfer] = ACTIONS(7257),
    [anon_sym___complex] = ACTIONS(7257),
    [anon_sym___const] = ACTIONS(7257),
    [anon_sym___imag] = ACTIONS(7257),
    [anon_sym___kindof] = ACTIONS(7257),
    [anon_sym___nonnull] = ACTIONS(7257),
    [anon_sym___nullable] = ACTIONS(7257),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7257),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7257),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7257),
    [anon_sym___real] = ACTIONS(7257),
    [anon_sym___strong] = ACTIONS(7257),
    [anon_sym___unsafe_unretained] = ACTIONS(7257),
    [anon_sym___unused] = ACTIONS(7257),
    [anon_sym___weak] = ACTIONS(7257),
    [anon_sym_alignas] = ACTIONS(7257),
    [anon_sym__Alignas] = ACTIONS(7257),
    [sym_primitive_type] = ACTIONS(7257),
    [anon_sym_enum] = ACTIONS(7257),
    [anon_sym_COLON] = ACTIONS(7259),
    [anon_sym_struct] = ACTIONS(7257),
    [anon_sym_union] = ACTIONS(7257),
    [anon_sym_in] = ACTIONS(7257),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7257),
    [anon_sym___typeof] = ACTIONS(7257),
    [anon_sym_typeof] = ACTIONS(7257),
    [anon_sym_BOOL] = ACTIONS(7257),
    [anon_sym_IMP] = ACTIONS(7257),
    [anon_sym_SEL] = ACTIONS(7257),
    [anon_sym_Class] = ACTIONS(7257),
    [anon_sym_id] = ACTIONS(7257),
    [anon_sym_out] = ACTIONS(7257),
    [anon_sym_inout] = ACTIONS(7257),
    [anon_sym_bycopy] = ACTIONS(7257),
    [anon_sym_byref] = ACTIONS(7257),
    [anon_sym_oneway] = ACTIONS(7257),
  },
  [3894] = {
    [sym_identifier] = ACTIONS(7261),
    [anon_sym_COMMA] = ACTIONS(7263),
    [anon_sym_RPAREN] = ACTIONS(7263),
    [anon_sym_LPAREN2] = ACTIONS(7263),
    [anon_sym_STAR] = ACTIONS(7263),
    [anon_sym_CARET] = ACTIONS(7263),
    [anon_sym_GT] = ACTIONS(7263),
    [anon_sym_LT] = ACTIONS(7263),
    [anon_sym___extension__] = ACTIONS(7261),
    [anon_sym___attribute__] = ACTIONS(7261),
    [anon_sym___attribute] = ACTIONS(7261),
    [anon_sym_noreturn] = ACTIONS(7261),
    [anon_sym_LBRACK] = ACTIONS(7263),
    [anon_sym___based] = ACTIONS(7261),
    [anon_sym_LBRACE] = ACTIONS(7263),
    [anon_sym_signed] = ACTIONS(7261),
    [anon_sym_unsigned] = ACTIONS(7261),
    [anon_sym_long] = ACTIONS(7261),
    [anon_sym_short] = ACTIONS(7261),
    [anon_sym_ATautoreleasepool] = ACTIONS(7263),
    [anon_sym_const] = ACTIONS(7261),
    [anon_sym_constexpr] = ACTIONS(7261),
    [anon_sym_volatile] = ACTIONS(7261),
    [anon_sym_restrict] = ACTIONS(7261),
    [anon_sym___restrict__] = ACTIONS(7261),
    [anon_sym__Atomic] = ACTIONS(7261),
    [anon_sym__Noreturn] = ACTIONS(7261),
    [anon_sym__Nonnull] = ACTIONS(7261),
    [anon_sym_nullable] = ACTIONS(7261),
    [anon_sym__Complex] = ACTIONS(7261),
    [anon_sym__Nullable] = ACTIONS(7261),
    [anon_sym__Nullable_result] = ACTIONS(7261),
    [anon_sym__Null_unspecified] = ACTIONS(7261),
    [anon_sym___autoreleasing] = ACTIONS(7261),
    [anon_sym___block] = ACTIONS(7261),
    [anon_sym___bridge] = ACTIONS(7261),
    [anon_sym___bridge_retained] = ACTIONS(7261),
    [anon_sym___bridge_transfer] = ACTIONS(7261),
    [anon_sym___complex] = ACTIONS(7261),
    [anon_sym___const] = ACTIONS(7261),
    [anon_sym___imag] = ACTIONS(7261),
    [anon_sym___kindof] = ACTIONS(7261),
    [anon_sym___nonnull] = ACTIONS(7261),
    [anon_sym___nullable] = ACTIONS(7261),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7261),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7261),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7261),
    [anon_sym___real] = ACTIONS(7261),
    [anon_sym___strong] = ACTIONS(7261),
    [anon_sym___unsafe_unretained] = ACTIONS(7261),
    [anon_sym___unused] = ACTIONS(7261),
    [anon_sym___weak] = ACTIONS(7261),
    [anon_sym_alignas] = ACTIONS(7261),
    [anon_sym__Alignas] = ACTIONS(7261),
    [sym_primitive_type] = ACTIONS(7261),
    [anon_sym_enum] = ACTIONS(7261),
    [anon_sym_COLON] = ACTIONS(7263),
    [anon_sym_struct] = ACTIONS(7261),
    [anon_sym_union] = ACTIONS(7261),
    [anon_sym_in] = ACTIONS(7261),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7261),
    [anon_sym___typeof] = ACTIONS(7261),
    [anon_sym_typeof] = ACTIONS(7261),
    [anon_sym_BOOL] = ACTIONS(7261),
    [anon_sym_IMP] = ACTIONS(7261),
    [anon_sym_SEL] = ACTIONS(7261),
    [anon_sym_Class] = ACTIONS(7261),
    [anon_sym_id] = ACTIONS(7261),
    [anon_sym_out] = ACTIONS(7261),
    [anon_sym_inout] = ACTIONS(7261),
    [anon_sym_bycopy] = ACTIONS(7261),
    [anon_sym_byref] = ACTIONS(7261),
    [anon_sym_oneway] = ACTIONS(7261),
  },
  [3895] = {
    [sym_identifier] = ACTIONS(7273),
    [anon_sym_COMMA] = ACTIONS(7275),
    [anon_sym_RPAREN] = ACTIONS(7275),
    [anon_sym_LPAREN2] = ACTIONS(7275),
    [anon_sym_STAR] = ACTIONS(7275),
    [anon_sym_CARET] = ACTIONS(7275),
    [anon_sym_GT] = ACTIONS(7275),
    [anon_sym_LT] = ACTIONS(7275),
    [anon_sym___extension__] = ACTIONS(7273),
    [anon_sym___attribute__] = ACTIONS(7273),
    [anon_sym___attribute] = ACTIONS(7273),
    [anon_sym_noreturn] = ACTIONS(7273),
    [anon_sym_LBRACK] = ACTIONS(7275),
    [anon_sym___based] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_signed] = ACTIONS(7273),
    [anon_sym_unsigned] = ACTIONS(7273),
    [anon_sym_long] = ACTIONS(7273),
    [anon_sym_short] = ACTIONS(7273),
    [anon_sym_ATautoreleasepool] = ACTIONS(7275),
    [anon_sym_const] = ACTIONS(7273),
    [anon_sym_constexpr] = ACTIONS(7273),
    [anon_sym_volatile] = ACTIONS(7273),
    [anon_sym_restrict] = ACTIONS(7273),
    [anon_sym___restrict__] = ACTIONS(7273),
    [anon_sym__Atomic] = ACTIONS(7273),
    [anon_sym__Noreturn] = ACTIONS(7273),
    [anon_sym__Nonnull] = ACTIONS(7273),
    [anon_sym_nullable] = ACTIONS(7273),
    [anon_sym__Complex] = ACTIONS(7273),
    [anon_sym__Nullable] = ACTIONS(7273),
    [anon_sym__Nullable_result] = ACTIONS(7273),
    [anon_sym__Null_unspecified] = ACTIONS(7273),
    [anon_sym___autoreleasing] = ACTIONS(7273),
    [anon_sym___block] = ACTIONS(7273),
    [anon_sym___bridge] = ACTIONS(7273),
    [anon_sym___bridge_retained] = ACTIONS(7273),
    [anon_sym___bridge_transfer] = ACTIONS(7273),
    [anon_sym___complex] = ACTIONS(7273),
    [anon_sym___const] = ACTIONS(7273),
    [anon_sym___imag] = ACTIONS(7273),
    [anon_sym___kindof] = ACTIONS(7273),
    [anon_sym___nonnull] = ACTIONS(7273),
    [anon_sym___nullable] = ACTIONS(7273),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7273),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7273),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7273),
    [anon_sym___real] = ACTIONS(7273),
    [anon_sym___strong] = ACTIONS(7273),
    [anon_sym___unsafe_unretained] = ACTIONS(7273),
    [anon_sym___unused] = ACTIONS(7273),
    [anon_sym___weak] = ACTIONS(7273),
    [anon_sym_alignas] = ACTIONS(7273),
    [anon_sym__Alignas] = ACTIONS(7273),
    [sym_primitive_type] = ACTIONS(7273),
    [anon_sym_enum] = ACTIONS(7273),
    [anon_sym_COLON] = ACTIONS(7275),
    [anon_sym_struct] = ACTIONS(7273),
    [anon_sym_union] = ACTIONS(7273),
    [anon_sym_in] = ACTIONS(7273),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7273),
    [anon_sym___typeof] = ACTIONS(7273),
    [anon_sym_typeof] = ACTIONS(7273),
    [anon_sym_BOOL] = ACTIONS(7273),
    [anon_sym_IMP] = ACTIONS(7273),
    [anon_sym_SEL] = ACTIONS(7273),
    [anon_sym_Class] = ACTIONS(7273),
    [anon_sym_id] = ACTIONS(7273),
    [anon_sym_out] = ACTIONS(7273),
    [anon_sym_inout] = ACTIONS(7273),
    [anon_sym_bycopy] = ACTIONS(7273),
    [anon_sym_byref] = ACTIONS(7273),
    [anon_sym_oneway] = ACTIONS(7273),
  },
  [3896] = {
    [sym_identifier] = ACTIONS(7277),
    [anon_sym_COMMA] = ACTIONS(7279),
    [anon_sym_RPAREN] = ACTIONS(7279),
    [anon_sym_LPAREN2] = ACTIONS(7279),
    [anon_sym_STAR] = ACTIONS(7279),
    [anon_sym_CARET] = ACTIONS(7279),
    [anon_sym_GT] = ACTIONS(7279),
    [anon_sym_LT] = ACTIONS(7279),
    [anon_sym___extension__] = ACTIONS(7277),
    [anon_sym___attribute__] = ACTIONS(7277),
    [anon_sym___attribute] = ACTIONS(7277),
    [anon_sym_noreturn] = ACTIONS(7277),
    [anon_sym_LBRACK] = ACTIONS(7279),
    [anon_sym___based] = ACTIONS(7277),
    [anon_sym_LBRACE] = ACTIONS(7279),
    [anon_sym_signed] = ACTIONS(7277),
    [anon_sym_unsigned] = ACTIONS(7277),
    [anon_sym_long] = ACTIONS(7277),
    [anon_sym_short] = ACTIONS(7277),
    [anon_sym_ATautoreleasepool] = ACTIONS(7279),
    [anon_sym_const] = ACTIONS(7277),
    [anon_sym_constexpr] = ACTIONS(7277),
    [anon_sym_volatile] = ACTIONS(7277),
    [anon_sym_restrict] = ACTIONS(7277),
    [anon_sym___restrict__] = ACTIONS(7277),
    [anon_sym__Atomic] = ACTIONS(7277),
    [anon_sym__Noreturn] = ACTIONS(7277),
    [anon_sym__Nonnull] = ACTIONS(7277),
    [anon_sym_nullable] = ACTIONS(7277),
    [anon_sym__Complex] = ACTIONS(7277),
    [anon_sym__Nullable] = ACTIONS(7277),
    [anon_sym__Nullable_result] = ACTIONS(7277),
    [anon_sym__Null_unspecified] = ACTIONS(7277),
    [anon_sym___autoreleasing] = ACTIONS(7277),
    [anon_sym___block] = ACTIONS(7277),
    [anon_sym___bridge] = ACTIONS(7277),
    [anon_sym___bridge_retained] = ACTIONS(7277),
    [anon_sym___bridge_transfer] = ACTIONS(7277),
    [anon_sym___complex] = ACTIONS(7277),
    [anon_sym___const] = ACTIONS(7277),
    [anon_sym___imag] = ACTIONS(7277),
    [anon_sym___kindof] = ACTIONS(7277),
    [anon_sym___nonnull] = ACTIONS(7277),
    [anon_sym___nullable] = ACTIONS(7277),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7277),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7277),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7277),
    [anon_sym___real] = ACTIONS(7277),
    [anon_sym___strong] = ACTIONS(7277),
    [anon_sym___unsafe_unretained] = ACTIONS(7277),
    [anon_sym___unused] = ACTIONS(7277),
    [anon_sym___weak] = ACTIONS(7277),
    [anon_sym_alignas] = ACTIONS(7277),
    [anon_sym__Alignas] = ACTIONS(7277),
    [sym_primitive_type] = ACTIONS(7277),
    [anon_sym_enum] = ACTIONS(7277),
    [anon_sym_COLON] = ACTIONS(7279),
    [anon_sym_struct] = ACTIONS(7277),
    [anon_sym_union] = ACTIONS(7277),
    [anon_sym_in] = ACTIONS(7277),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7277),
    [anon_sym___typeof] = ACTIONS(7277),
    [anon_sym_typeof] = ACTIONS(7277),
    [anon_sym_BOOL] = ACTIONS(7277),
    [anon_sym_IMP] = ACTIONS(7277),
    [anon_sym_SEL] = ACTIONS(7277),
    [anon_sym_Class] = ACTIONS(7277),
    [anon_sym_id] = ACTIONS(7277),
    [anon_sym_out] = ACTIONS(7277),
    [anon_sym_inout] = ACTIONS(7277),
    [anon_sym_bycopy] = ACTIONS(7277),
    [anon_sym_byref] = ACTIONS(7277),
    [anon_sym_oneway] = ACTIONS(7277),
  },
  [3897] = {
    [sym_identifier] = ACTIONS(7281),
    [anon_sym_COMMA] = ACTIONS(7283),
    [anon_sym_RPAREN] = ACTIONS(7283),
    [anon_sym_LPAREN2] = ACTIONS(7283),
    [anon_sym_STAR] = ACTIONS(7283),
    [anon_sym_CARET] = ACTIONS(7283),
    [anon_sym_GT] = ACTIONS(7283),
    [anon_sym_LT] = ACTIONS(7283),
    [anon_sym___extension__] = ACTIONS(7281),
    [anon_sym___attribute__] = ACTIONS(7281),
    [anon_sym___attribute] = ACTIONS(7281),
    [anon_sym_noreturn] = ACTIONS(7281),
    [anon_sym_LBRACK] = ACTIONS(7283),
    [anon_sym___based] = ACTIONS(7281),
    [anon_sym_LBRACE] = ACTIONS(7283),
    [anon_sym_signed] = ACTIONS(7281),
    [anon_sym_unsigned] = ACTIONS(7281),
    [anon_sym_long] = ACTIONS(7281),
    [anon_sym_short] = ACTIONS(7281),
    [anon_sym_ATautoreleasepool] = ACTIONS(7283),
    [anon_sym_const] = ACTIONS(7281),
    [anon_sym_constexpr] = ACTIONS(7281),
    [anon_sym_volatile] = ACTIONS(7281),
    [anon_sym_restrict] = ACTIONS(7281),
    [anon_sym___restrict__] = ACTIONS(7281),
    [anon_sym__Atomic] = ACTIONS(7281),
    [anon_sym__Noreturn] = ACTIONS(7281),
    [anon_sym__Nonnull] = ACTIONS(7281),
    [anon_sym_nullable] = ACTIONS(7281),
    [anon_sym__Complex] = ACTIONS(7281),
    [anon_sym__Nullable] = ACTIONS(7281),
    [anon_sym__Nullable_result] = ACTIONS(7281),
    [anon_sym__Null_unspecified] = ACTIONS(7281),
    [anon_sym___autoreleasing] = ACTIONS(7281),
    [anon_sym___block] = ACTIONS(7281),
    [anon_sym___bridge] = ACTIONS(7281),
    [anon_sym___bridge_retained] = ACTIONS(7281),
    [anon_sym___bridge_transfer] = ACTIONS(7281),
    [anon_sym___complex] = ACTIONS(7281),
    [anon_sym___const] = ACTIONS(7281),
    [anon_sym___imag] = ACTIONS(7281),
    [anon_sym___kindof] = ACTIONS(7281),
    [anon_sym___nonnull] = ACTIONS(7281),
    [anon_sym___nullable] = ACTIONS(7281),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7281),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7281),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7281),
    [anon_sym___real] = ACTIONS(7281),
    [anon_sym___strong] = ACTIONS(7281),
    [anon_sym___unsafe_unretained] = ACTIONS(7281),
    [anon_sym___unused] = ACTIONS(7281),
    [anon_sym___weak] = ACTIONS(7281),
    [anon_sym_alignas] = ACTIONS(7281),
    [anon_sym__Alignas] = ACTIONS(7281),
    [sym_primitive_type] = ACTIONS(7281),
    [anon_sym_enum] = ACTIONS(7281),
    [anon_sym_COLON] = ACTIONS(7283),
    [anon_sym_struct] = ACTIONS(7281),
    [anon_sym_union] = ACTIONS(7281),
    [anon_sym_in] = ACTIONS(7281),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7281),
    [anon_sym___typeof] = ACTIONS(7281),
    [anon_sym_typeof] = ACTIONS(7281),
    [anon_sym_BOOL] = ACTIONS(7281),
    [anon_sym_IMP] = ACTIONS(7281),
    [anon_sym_SEL] = ACTIONS(7281),
    [anon_sym_Class] = ACTIONS(7281),
    [anon_sym_id] = ACTIONS(7281),
    [anon_sym_out] = ACTIONS(7281),
    [anon_sym_inout] = ACTIONS(7281),
    [anon_sym_bycopy] = ACTIONS(7281),
    [anon_sym_byref] = ACTIONS(7281),
    [anon_sym_oneway] = ACTIONS(7281),
  },
  [3898] = {
    [sym__type_definition_type] = STATE(4790),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4022),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3899] = {
    [sym__type_definition_type] = STATE(4793),
    [sym_attribute_specifier] = STATE(3902),
    [sym_ms_declspec_modifier] = STATE(4022),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3900] = {
    [sym_identifier] = ACTIONS(7289),
    [anon_sym_COMMA] = ACTIONS(7291),
    [anon_sym_RPAREN] = ACTIONS(7291),
    [anon_sym_LPAREN2] = ACTIONS(7291),
    [anon_sym_STAR] = ACTIONS(7291),
    [anon_sym_CARET] = ACTIONS(7291),
    [anon_sym_GT] = ACTIONS(7291),
    [anon_sym_LT] = ACTIONS(7291),
    [anon_sym___extension__] = ACTIONS(7289),
    [anon_sym___attribute__] = ACTIONS(7289),
    [anon_sym___attribute] = ACTIONS(7289),
    [anon_sym_noreturn] = ACTIONS(7289),
    [anon_sym_LBRACK] = ACTIONS(7291),
    [anon_sym___based] = ACTIONS(7289),
    [anon_sym_LBRACE] = ACTIONS(7291),
    [anon_sym_signed] = ACTIONS(7289),
    [anon_sym_unsigned] = ACTIONS(7289),
    [anon_sym_long] = ACTIONS(7289),
    [anon_sym_short] = ACTIONS(7289),
    [anon_sym_ATautoreleasepool] = ACTIONS(7291),
    [anon_sym_const] = ACTIONS(7289),
    [anon_sym_constexpr] = ACTIONS(7289),
    [anon_sym_volatile] = ACTIONS(7289),
    [anon_sym_restrict] = ACTIONS(7289),
    [anon_sym___restrict__] = ACTIONS(7289),
    [anon_sym__Atomic] = ACTIONS(7289),
    [anon_sym__Noreturn] = ACTIONS(7289),
    [anon_sym__Nonnull] = ACTIONS(7289),
    [anon_sym_nullable] = ACTIONS(7289),
    [anon_sym__Complex] = ACTIONS(7289),
    [anon_sym__Nullable] = ACTIONS(7289),
    [anon_sym__Nullable_result] = ACTIONS(7289),
    [anon_sym__Null_unspecified] = ACTIONS(7289),
    [anon_sym___autoreleasing] = ACTIONS(7289),
    [anon_sym___block] = ACTIONS(7289),
    [anon_sym___bridge] = ACTIONS(7289),
    [anon_sym___bridge_retained] = ACTIONS(7289),
    [anon_sym___bridge_transfer] = ACTIONS(7289),
    [anon_sym___complex] = ACTIONS(7289),
    [anon_sym___const] = ACTIONS(7289),
    [anon_sym___imag] = ACTIONS(7289),
    [anon_sym___kindof] = ACTIONS(7289),
    [anon_sym___nonnull] = ACTIONS(7289),
    [anon_sym___nullable] = ACTIONS(7289),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7289),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7289),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7289),
    [anon_sym___real] = ACTIONS(7289),
    [anon_sym___strong] = ACTIONS(7289),
    [anon_sym___unsafe_unretained] = ACTIONS(7289),
    [anon_sym___unused] = ACTIONS(7289),
    [anon_sym___weak] = ACTIONS(7289),
    [anon_sym_alignas] = ACTIONS(7289),
    [anon_sym__Alignas] = ACTIONS(7289),
    [sym_primitive_type] = ACTIONS(7289),
    [anon_sym_enum] = ACTIONS(7289),
    [anon_sym_COLON] = ACTIONS(7291),
    [anon_sym_struct] = ACTIONS(7289),
    [anon_sym_union] = ACTIONS(7289),
    [anon_sym_in] = ACTIONS(7289),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7289),
    [anon_sym___typeof] = ACTIONS(7289),
    [anon_sym_typeof] = ACTIONS(7289),
    [anon_sym_BOOL] = ACTIONS(7289),
    [anon_sym_IMP] = ACTIONS(7289),
    [anon_sym_SEL] = ACTIONS(7289),
    [anon_sym_Class] = ACTIONS(7289),
    [anon_sym_id] = ACTIONS(7289),
    [anon_sym_out] = ACTIONS(7289),
    [anon_sym_inout] = ACTIONS(7289),
    [anon_sym_bycopy] = ACTIONS(7289),
    [anon_sym_byref] = ACTIONS(7289),
    [anon_sym_oneway] = ACTIONS(7289),
  },
  [3901] = {
    [sym_identifier] = ACTIONS(7153),
    [anon_sym_COMMA] = ACTIONS(7155),
    [anon_sym_RPAREN] = ACTIONS(7155),
    [anon_sym_LPAREN2] = ACTIONS(7155),
    [anon_sym_STAR] = ACTIONS(7155),
    [anon_sym_CARET] = ACTIONS(7155),
    [anon_sym_GT] = ACTIONS(7155),
    [anon_sym_LT] = ACTIONS(7155),
    [anon_sym___extension__] = ACTIONS(7153),
    [anon_sym___attribute__] = ACTIONS(7153),
    [anon_sym___attribute] = ACTIONS(7153),
    [anon_sym_noreturn] = ACTIONS(7153),
    [anon_sym_LBRACK] = ACTIONS(7155),
    [anon_sym___based] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(7155),
    [anon_sym_signed] = ACTIONS(7153),
    [anon_sym_unsigned] = ACTIONS(7153),
    [anon_sym_long] = ACTIONS(7153),
    [anon_sym_short] = ACTIONS(7153),
    [anon_sym_ATautoreleasepool] = ACTIONS(7155),
    [anon_sym_const] = ACTIONS(7153),
    [anon_sym_constexpr] = ACTIONS(7153),
    [anon_sym_volatile] = ACTIONS(7153),
    [anon_sym_restrict] = ACTIONS(7153),
    [anon_sym___restrict__] = ACTIONS(7153),
    [anon_sym__Atomic] = ACTIONS(7153),
    [anon_sym__Noreturn] = ACTIONS(7153),
    [anon_sym__Nonnull] = ACTIONS(7153),
    [anon_sym_nullable] = ACTIONS(7153),
    [anon_sym__Complex] = ACTIONS(7153),
    [anon_sym__Nullable] = ACTIONS(7153),
    [anon_sym__Nullable_result] = ACTIONS(7153),
    [anon_sym__Null_unspecified] = ACTIONS(7153),
    [anon_sym___autoreleasing] = ACTIONS(7153),
    [anon_sym___block] = ACTIONS(7153),
    [anon_sym___bridge] = ACTIONS(7153),
    [anon_sym___bridge_retained] = ACTIONS(7153),
    [anon_sym___bridge_transfer] = ACTIONS(7153),
    [anon_sym___complex] = ACTIONS(7153),
    [anon_sym___const] = ACTIONS(7153),
    [anon_sym___imag] = ACTIONS(7153),
    [anon_sym___kindof] = ACTIONS(7153),
    [anon_sym___nonnull] = ACTIONS(7153),
    [anon_sym___nullable] = ACTIONS(7153),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7153),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7153),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7153),
    [anon_sym___real] = ACTIONS(7153),
    [anon_sym___strong] = ACTIONS(7153),
    [anon_sym___unsafe_unretained] = ACTIONS(7153),
    [anon_sym___unused] = ACTIONS(7153),
    [anon_sym___weak] = ACTIONS(7153),
    [anon_sym_alignas] = ACTIONS(7153),
    [anon_sym__Alignas] = ACTIONS(7153),
    [sym_primitive_type] = ACTIONS(7153),
    [anon_sym_enum] = ACTIONS(7153),
    [anon_sym_COLON] = ACTIONS(7155),
    [anon_sym_struct] = ACTIONS(7153),
    [anon_sym_union] = ACTIONS(7153),
    [anon_sym_in] = ACTIONS(7153),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7153),
    [anon_sym___typeof] = ACTIONS(7153),
    [anon_sym_typeof] = ACTIONS(7153),
    [anon_sym_BOOL] = ACTIONS(7153),
    [anon_sym_IMP] = ACTIONS(7153),
    [anon_sym_SEL] = ACTIONS(7153),
    [anon_sym_Class] = ACTIONS(7153),
    [anon_sym_id] = ACTIONS(7153),
    [anon_sym_out] = ACTIONS(7153),
    [anon_sym_inout] = ACTIONS(7153),
    [anon_sym_bycopy] = ACTIONS(7153),
    [anon_sym_byref] = ACTIONS(7153),
    [anon_sym_oneway] = ACTIONS(7153),
  },
  [3902] = {
    [sym__type_definition_type] = STATE(4788),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4010),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3903] = {
    [sym_identifier] = ACTIONS(7447),
    [anon_sym_COMMA] = ACTIONS(7449),
    [anon_sym_RPAREN] = ACTIONS(7449),
    [anon_sym_LPAREN2] = ACTIONS(7449),
    [anon_sym_STAR] = ACTIONS(7449),
    [anon_sym_CARET] = ACTIONS(7449),
    [anon_sym_GT] = ACTIONS(7449),
    [anon_sym_LT] = ACTIONS(7449),
    [anon_sym___extension__] = ACTIONS(7447),
    [anon_sym___attribute__] = ACTIONS(7447),
    [anon_sym___attribute] = ACTIONS(7447),
    [anon_sym_noreturn] = ACTIONS(7447),
    [anon_sym_LBRACK] = ACTIONS(7449),
    [anon_sym___based] = ACTIONS(7447),
    [anon_sym_LBRACE] = ACTIONS(7449),
    [anon_sym_signed] = ACTIONS(7447),
    [anon_sym_unsigned] = ACTIONS(7447),
    [anon_sym_long] = ACTIONS(7447),
    [anon_sym_short] = ACTIONS(7447),
    [anon_sym_ATautoreleasepool] = ACTIONS(7449),
    [anon_sym_const] = ACTIONS(7447),
    [anon_sym_constexpr] = ACTIONS(7447),
    [anon_sym_volatile] = ACTIONS(7447),
    [anon_sym_restrict] = ACTIONS(7447),
    [anon_sym___restrict__] = ACTIONS(7447),
    [anon_sym__Atomic] = ACTIONS(7447),
    [anon_sym__Noreturn] = ACTIONS(7447),
    [anon_sym__Nonnull] = ACTIONS(7447),
    [anon_sym_nullable] = ACTIONS(7447),
    [anon_sym__Complex] = ACTIONS(7447),
    [anon_sym__Nullable] = ACTIONS(7447),
    [anon_sym__Nullable_result] = ACTIONS(7447),
    [anon_sym__Null_unspecified] = ACTIONS(7447),
    [anon_sym___autoreleasing] = ACTIONS(7447),
    [anon_sym___block] = ACTIONS(7447),
    [anon_sym___bridge] = ACTIONS(7447),
    [anon_sym___bridge_retained] = ACTIONS(7447),
    [anon_sym___bridge_transfer] = ACTIONS(7447),
    [anon_sym___complex] = ACTIONS(7447),
    [anon_sym___const] = ACTIONS(7447),
    [anon_sym___imag] = ACTIONS(7447),
    [anon_sym___kindof] = ACTIONS(7447),
    [anon_sym___nonnull] = ACTIONS(7447),
    [anon_sym___nullable] = ACTIONS(7447),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7447),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7447),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7447),
    [anon_sym___real] = ACTIONS(7447),
    [anon_sym___strong] = ACTIONS(7447),
    [anon_sym___unsafe_unretained] = ACTIONS(7447),
    [anon_sym___unused] = ACTIONS(7447),
    [anon_sym___weak] = ACTIONS(7447),
    [anon_sym_alignas] = ACTIONS(7447),
    [anon_sym__Alignas] = ACTIONS(7447),
    [sym_primitive_type] = ACTIONS(7447),
    [anon_sym_enum] = ACTIONS(7447),
    [anon_sym_COLON] = ACTIONS(7449),
    [anon_sym_struct] = ACTIONS(7447),
    [anon_sym_union] = ACTIONS(7447),
    [anon_sym_in] = ACTIONS(7447),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7447),
    [anon_sym___typeof] = ACTIONS(7447),
    [anon_sym_typeof] = ACTIONS(7447),
    [anon_sym_BOOL] = ACTIONS(7447),
    [anon_sym_IMP] = ACTIONS(7447),
    [anon_sym_SEL] = ACTIONS(7447),
    [anon_sym_Class] = ACTIONS(7447),
    [anon_sym_id] = ACTIONS(7447),
    [anon_sym_out] = ACTIONS(7447),
    [anon_sym_inout] = ACTIONS(7447),
    [anon_sym_bycopy] = ACTIONS(7447),
    [anon_sym_byref] = ACTIONS(7447),
    [anon_sym_oneway] = ACTIONS(7447),
  },
  [3904] = {
    [sym_identifier] = ACTIONS(2922),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4138),
    [anon_sym_COMMA] = ACTIONS(4138),
    [anon_sym_RPAREN] = ACTIONS(4138),
    [anon_sym_LPAREN2] = ACTIONS(2928),
    [anon_sym_BANG] = ACTIONS(2922),
    [anon_sym_TILDE] = ACTIONS(2928),
    [anon_sym_DASH] = ACTIONS(2922),
    [anon_sym_PLUS] = ACTIONS(2922),
    [anon_sym_STAR] = ACTIONS(2928),
    [anon_sym_SLASH] = ACTIONS(4136),
    [anon_sym_PERCENT] = ACTIONS(4138),
    [anon_sym_PIPE_PIPE] = ACTIONS(4138),
    [anon_sym_AMP_AMP] = ACTIONS(4138),
    [anon_sym_PIPE] = ACTIONS(4136),
    [anon_sym_CARET] = ACTIONS(2928),
    [anon_sym_AMP] = ACTIONS(2922),
    [anon_sym_EQ_EQ] = ACTIONS(4138),
    [anon_sym_BANG_EQ] = ACTIONS(4138),
    [anon_sym_GT] = ACTIONS(4136),
    [anon_sym_GT_EQ] = ACTIONS(4138),
    [anon_sym_LT_EQ] = ACTIONS(4138),
    [anon_sym_LT] = ACTIONS(4136),
    [anon_sym_LT_LT] = ACTIONS(4138),
    [anon_sym_GT_GT] = ACTIONS(4138),
    [anon_sym___extension__] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2922),
    [anon_sym_struct] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(2922),
    [anon_sym_QMARK] = ACTIONS(4138),
    [anon_sym_DASH_DASH] = ACTIONS(2928),
    [anon_sym_PLUS_PLUS] = ACTIONS(2928),
    [anon_sym_sizeof] = ACTIONS(2922),
    [anon_sym___alignof__] = ACTIONS(2922),
    [anon_sym___alignof] = ACTIONS(2922),
    [anon_sym__alignof] = ACTIONS(2922),
    [anon_sym_alignof] = ACTIONS(2922),
    [anon_sym__Alignof] = ACTIONS(2922),
    [anon_sym_offsetof] = ACTIONS(2922),
    [anon_sym__Generic] = ACTIONS(2922),
    [anon_sym_asm] = ACTIONS(2922),
    [anon_sym___asm__] = ACTIONS(2922),
    [anon_sym___asm] = ACTIONS(2922),
    [anon_sym_DOT] = ACTIONS(4136),
    [anon_sym_DASH_GT] = ACTIONS(4138),
    [sym_number_literal] = ACTIONS(2928),
    [anon_sym_L_SQUOTE] = ACTIONS(2928),
    [anon_sym_u_SQUOTE] = ACTIONS(2928),
    [anon_sym_U_SQUOTE] = ACTIONS(2928),
    [anon_sym_u8_SQUOTE] = ACTIONS(2928),
    [anon_sym_SQUOTE] = ACTIONS(2928),
    [anon_sym_AT] = ACTIONS(2922),
    [anon_sym_DQUOTE] = ACTIONS(2928),
    [anon_sym_L_DQUOTE] = ACTIONS(2928),
    [anon_sym_u_DQUOTE] = ACTIONS(2928),
    [anon_sym_U_DQUOTE] = ACTIONS(2928),
    [anon_sym_u8_DQUOTE] = ACTIONS(2928),
    [sym_true] = ACTIONS(2922),
    [sym_false] = ACTIONS(2922),
    [anon_sym_NULL] = ACTIONS(2922),
    [anon_sym_nullptr] = ACTIONS(2922),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_ATselector] = ACTIONS(2928),
    [anon_sym_ATavailable] = ACTIONS(2928),
    [anon_sym___builtin_available] = ACTIONS(2922),
    [anon_sym_va_arg] = ACTIONS(2922),
    [anon_sym_ATencode] = ACTIONS(2928),
    [anon_sym_id] = ACTIONS(2922),
  },
  [3905] = {
    [sym_identifier] = ACTIONS(7395),
    [anon_sym_COMMA] = ACTIONS(7397),
    [anon_sym_RPAREN] = ACTIONS(7397),
    [anon_sym_LPAREN2] = ACTIONS(7397),
    [anon_sym_STAR] = ACTIONS(7397),
    [anon_sym_CARET] = ACTIONS(7397),
    [anon_sym_GT] = ACTIONS(7397),
    [anon_sym_LT] = ACTIONS(7397),
    [anon_sym___extension__] = ACTIONS(7395),
    [anon_sym___attribute__] = ACTIONS(7395),
    [anon_sym___attribute] = ACTIONS(7395),
    [anon_sym_noreturn] = ACTIONS(7395),
    [anon_sym_LBRACK] = ACTIONS(7397),
    [anon_sym___based] = ACTIONS(7395),
    [anon_sym_LBRACE] = ACTIONS(7397),
    [anon_sym_signed] = ACTIONS(7395),
    [anon_sym_unsigned] = ACTIONS(7395),
    [anon_sym_long] = ACTIONS(7395),
    [anon_sym_short] = ACTIONS(7395),
    [anon_sym_ATautoreleasepool] = ACTIONS(7397),
    [anon_sym_const] = ACTIONS(7395),
    [anon_sym_constexpr] = ACTIONS(7395),
    [anon_sym_volatile] = ACTIONS(7395),
    [anon_sym_restrict] = ACTIONS(7395),
    [anon_sym___restrict__] = ACTIONS(7395),
    [anon_sym__Atomic] = ACTIONS(7395),
    [anon_sym__Noreturn] = ACTIONS(7395),
    [anon_sym__Nonnull] = ACTIONS(7395),
    [anon_sym_nullable] = ACTIONS(7395),
    [anon_sym__Complex] = ACTIONS(7395),
    [anon_sym__Nullable] = ACTIONS(7395),
    [anon_sym__Nullable_result] = ACTIONS(7395),
    [anon_sym__Null_unspecified] = ACTIONS(7395),
    [anon_sym___autoreleasing] = ACTIONS(7395),
    [anon_sym___block] = ACTIONS(7395),
    [anon_sym___bridge] = ACTIONS(7395),
    [anon_sym___bridge_retained] = ACTIONS(7395),
    [anon_sym___bridge_transfer] = ACTIONS(7395),
    [anon_sym___complex] = ACTIONS(7395),
    [anon_sym___const] = ACTIONS(7395),
    [anon_sym___imag] = ACTIONS(7395),
    [anon_sym___kindof] = ACTIONS(7395),
    [anon_sym___nonnull] = ACTIONS(7395),
    [anon_sym___nullable] = ACTIONS(7395),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7395),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7395),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7395),
    [anon_sym___real] = ACTIONS(7395),
    [anon_sym___strong] = ACTIONS(7395),
    [anon_sym___unsafe_unretained] = ACTIONS(7395),
    [anon_sym___unused] = ACTIONS(7395),
    [anon_sym___weak] = ACTIONS(7395),
    [anon_sym_alignas] = ACTIONS(7395),
    [anon_sym__Alignas] = ACTIONS(7395),
    [sym_primitive_type] = ACTIONS(7395),
    [anon_sym_enum] = ACTIONS(7395),
    [anon_sym_COLON] = ACTIONS(7397),
    [anon_sym_struct] = ACTIONS(7395),
    [anon_sym_union] = ACTIONS(7395),
    [anon_sym_in] = ACTIONS(7395),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7395),
    [anon_sym___typeof] = ACTIONS(7395),
    [anon_sym_typeof] = ACTIONS(7395),
    [anon_sym_BOOL] = ACTIONS(7395),
    [anon_sym_IMP] = ACTIONS(7395),
    [anon_sym_SEL] = ACTIONS(7395),
    [anon_sym_Class] = ACTIONS(7395),
    [anon_sym_id] = ACTIONS(7395),
    [anon_sym_out] = ACTIONS(7395),
    [anon_sym_inout] = ACTIONS(7395),
    [anon_sym_bycopy] = ACTIONS(7395),
    [anon_sym_byref] = ACTIONS(7395),
    [anon_sym_oneway] = ACTIONS(7395),
  },
  [3906] = {
    [sym__type_definition_type] = STATE(4730),
    [sym_attribute_specifier] = STATE(3909),
    [sym_ms_declspec_modifier] = STATE(4040),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3907] = {
    [sym_identifier] = ACTIONS(7369),
    [anon_sym_COMMA] = ACTIONS(7371),
    [anon_sym_RPAREN] = ACTIONS(7371),
    [anon_sym_LPAREN2] = ACTIONS(7371),
    [anon_sym_STAR] = ACTIONS(7371),
    [anon_sym_CARET] = ACTIONS(7371),
    [anon_sym_GT] = ACTIONS(7371),
    [anon_sym_LT] = ACTIONS(7371),
    [anon_sym___extension__] = ACTIONS(7369),
    [anon_sym___attribute__] = ACTIONS(7369),
    [anon_sym___attribute] = ACTIONS(7369),
    [anon_sym_noreturn] = ACTIONS(7369),
    [anon_sym_LBRACK] = ACTIONS(7371),
    [anon_sym___based] = ACTIONS(7369),
    [anon_sym_LBRACE] = ACTIONS(7371),
    [anon_sym_signed] = ACTIONS(7369),
    [anon_sym_unsigned] = ACTIONS(7369),
    [anon_sym_long] = ACTIONS(7369),
    [anon_sym_short] = ACTIONS(7369),
    [anon_sym_ATautoreleasepool] = ACTIONS(7371),
    [anon_sym_const] = ACTIONS(7369),
    [anon_sym_constexpr] = ACTIONS(7369),
    [anon_sym_volatile] = ACTIONS(7369),
    [anon_sym_restrict] = ACTIONS(7369),
    [anon_sym___restrict__] = ACTIONS(7369),
    [anon_sym__Atomic] = ACTIONS(7369),
    [anon_sym__Noreturn] = ACTIONS(7369),
    [anon_sym__Nonnull] = ACTIONS(7369),
    [anon_sym_nullable] = ACTIONS(7369),
    [anon_sym__Complex] = ACTIONS(7369),
    [anon_sym__Nullable] = ACTIONS(7369),
    [anon_sym__Nullable_result] = ACTIONS(7369),
    [anon_sym__Null_unspecified] = ACTIONS(7369),
    [anon_sym___autoreleasing] = ACTIONS(7369),
    [anon_sym___block] = ACTIONS(7369),
    [anon_sym___bridge] = ACTIONS(7369),
    [anon_sym___bridge_retained] = ACTIONS(7369),
    [anon_sym___bridge_transfer] = ACTIONS(7369),
    [anon_sym___complex] = ACTIONS(7369),
    [anon_sym___const] = ACTIONS(7369),
    [anon_sym___imag] = ACTIONS(7369),
    [anon_sym___kindof] = ACTIONS(7369),
    [anon_sym___nonnull] = ACTIONS(7369),
    [anon_sym___nullable] = ACTIONS(7369),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7369),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7369),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7369),
    [anon_sym___real] = ACTIONS(7369),
    [anon_sym___strong] = ACTIONS(7369),
    [anon_sym___unsafe_unretained] = ACTIONS(7369),
    [anon_sym___unused] = ACTIONS(7369),
    [anon_sym___weak] = ACTIONS(7369),
    [anon_sym_alignas] = ACTIONS(7369),
    [anon_sym__Alignas] = ACTIONS(7369),
    [sym_primitive_type] = ACTIONS(7369),
    [anon_sym_enum] = ACTIONS(7369),
    [anon_sym_COLON] = ACTIONS(7371),
    [anon_sym_struct] = ACTIONS(7369),
    [anon_sym_union] = ACTIONS(7369),
    [anon_sym_in] = ACTIONS(7369),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7369),
    [anon_sym___typeof] = ACTIONS(7369),
    [anon_sym_typeof] = ACTIONS(7369),
    [anon_sym_BOOL] = ACTIONS(7369),
    [anon_sym_IMP] = ACTIONS(7369),
    [anon_sym_SEL] = ACTIONS(7369),
    [anon_sym_Class] = ACTIONS(7369),
    [anon_sym_id] = ACTIONS(7369),
    [anon_sym_out] = ACTIONS(7369),
    [anon_sym_inout] = ACTIONS(7369),
    [anon_sym_bycopy] = ACTIONS(7369),
    [anon_sym_byref] = ACTIONS(7369),
    [anon_sym_oneway] = ACTIONS(7369),
  },
  [3908] = {
    [sym__type_definition_type] = STATE(4699),
    [sym_attribute_specifier] = STATE(3910),
    [sym_ms_declspec_modifier] = STATE(4042),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3909] = {
    [sym__type_definition_type] = STATE(4701),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4042),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3910] = {
    [sym__type_definition_type] = STATE(4723),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4045),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3911] = {
    [sym__type_definition_type] = STATE(4744),
    [sym_attribute_specifier] = STATE(3913),
    [sym_ms_declspec_modifier] = STATE(4045),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3912] = {
    [sym_identifier] = ACTIONS(7421),
    [anon_sym_COMMA] = ACTIONS(7423),
    [anon_sym_RPAREN] = ACTIONS(7423),
    [anon_sym_LPAREN2] = ACTIONS(7423),
    [anon_sym_STAR] = ACTIONS(7423),
    [anon_sym_CARET] = ACTIONS(7423),
    [anon_sym_GT] = ACTIONS(7423),
    [anon_sym_LT] = ACTIONS(7423),
    [anon_sym___extension__] = ACTIONS(7421),
    [anon_sym___attribute__] = ACTIONS(7421),
    [anon_sym___attribute] = ACTIONS(7421),
    [anon_sym_noreturn] = ACTIONS(7421),
    [anon_sym_LBRACK] = ACTIONS(7423),
    [anon_sym___based] = ACTIONS(7421),
    [anon_sym_LBRACE] = ACTIONS(7423),
    [anon_sym_signed] = ACTIONS(7421),
    [anon_sym_unsigned] = ACTIONS(7421),
    [anon_sym_long] = ACTIONS(7421),
    [anon_sym_short] = ACTIONS(7421),
    [anon_sym_ATautoreleasepool] = ACTIONS(7423),
    [anon_sym_const] = ACTIONS(7421),
    [anon_sym_constexpr] = ACTIONS(7421),
    [anon_sym_volatile] = ACTIONS(7421),
    [anon_sym_restrict] = ACTIONS(7421),
    [anon_sym___restrict__] = ACTIONS(7421),
    [anon_sym__Atomic] = ACTIONS(7421),
    [anon_sym__Noreturn] = ACTIONS(7421),
    [anon_sym__Nonnull] = ACTIONS(7421),
    [anon_sym_nullable] = ACTIONS(7421),
    [anon_sym__Complex] = ACTIONS(7421),
    [anon_sym__Nullable] = ACTIONS(7421),
    [anon_sym__Nullable_result] = ACTIONS(7421),
    [anon_sym__Null_unspecified] = ACTIONS(7421),
    [anon_sym___autoreleasing] = ACTIONS(7421),
    [anon_sym___block] = ACTIONS(7421),
    [anon_sym___bridge] = ACTIONS(7421),
    [anon_sym___bridge_retained] = ACTIONS(7421),
    [anon_sym___bridge_transfer] = ACTIONS(7421),
    [anon_sym___complex] = ACTIONS(7421),
    [anon_sym___const] = ACTIONS(7421),
    [anon_sym___imag] = ACTIONS(7421),
    [anon_sym___kindof] = ACTIONS(7421),
    [anon_sym___nonnull] = ACTIONS(7421),
    [anon_sym___nullable] = ACTIONS(7421),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7421),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7421),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7421),
    [anon_sym___real] = ACTIONS(7421),
    [anon_sym___strong] = ACTIONS(7421),
    [anon_sym___unsafe_unretained] = ACTIONS(7421),
    [anon_sym___unused] = ACTIONS(7421),
    [anon_sym___weak] = ACTIONS(7421),
    [anon_sym_alignas] = ACTIONS(7421),
    [anon_sym__Alignas] = ACTIONS(7421),
    [sym_primitive_type] = ACTIONS(7421),
    [anon_sym_enum] = ACTIONS(7421),
    [anon_sym_COLON] = ACTIONS(7423),
    [anon_sym_struct] = ACTIONS(7421),
    [anon_sym_union] = ACTIONS(7421),
    [anon_sym_in] = ACTIONS(7421),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7421),
    [anon_sym___typeof] = ACTIONS(7421),
    [anon_sym_typeof] = ACTIONS(7421),
    [anon_sym_BOOL] = ACTIONS(7421),
    [anon_sym_IMP] = ACTIONS(7421),
    [anon_sym_SEL] = ACTIONS(7421),
    [anon_sym_Class] = ACTIONS(7421),
    [anon_sym_id] = ACTIONS(7421),
    [anon_sym_out] = ACTIONS(7421),
    [anon_sym_inout] = ACTIONS(7421),
    [anon_sym_bycopy] = ACTIONS(7421),
    [anon_sym_byref] = ACTIONS(7421),
    [anon_sym_oneway] = ACTIONS(7421),
  },
  [3913] = {
    [sym__type_definition_type] = STATE(4762),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4049),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3914] = {
    [sym_identifier] = ACTIONS(7399),
    [anon_sym_COMMA] = ACTIONS(7401),
    [anon_sym_RPAREN] = ACTIONS(7401),
    [anon_sym_LPAREN2] = ACTIONS(7401),
    [anon_sym_STAR] = ACTIONS(7401),
    [anon_sym_CARET] = ACTIONS(7401),
    [anon_sym_GT] = ACTIONS(7401),
    [anon_sym_LT] = ACTIONS(7401),
    [anon_sym___extension__] = ACTIONS(7399),
    [anon_sym___attribute__] = ACTIONS(7399),
    [anon_sym___attribute] = ACTIONS(7399),
    [anon_sym_noreturn] = ACTIONS(7399),
    [anon_sym_LBRACK] = ACTIONS(7401),
    [anon_sym___based] = ACTIONS(7399),
    [anon_sym_LBRACE] = ACTIONS(7401),
    [anon_sym_signed] = ACTIONS(7399),
    [anon_sym_unsigned] = ACTIONS(7399),
    [anon_sym_long] = ACTIONS(7399),
    [anon_sym_short] = ACTIONS(7399),
    [anon_sym_ATautoreleasepool] = ACTIONS(7401),
    [anon_sym_const] = ACTIONS(7399),
    [anon_sym_constexpr] = ACTIONS(7399),
    [anon_sym_volatile] = ACTIONS(7399),
    [anon_sym_restrict] = ACTIONS(7399),
    [anon_sym___restrict__] = ACTIONS(7399),
    [anon_sym__Atomic] = ACTIONS(7399),
    [anon_sym__Noreturn] = ACTIONS(7399),
    [anon_sym__Nonnull] = ACTIONS(7399),
    [anon_sym_nullable] = ACTIONS(7399),
    [anon_sym__Complex] = ACTIONS(7399),
    [anon_sym__Nullable] = ACTIONS(7399),
    [anon_sym__Nullable_result] = ACTIONS(7399),
    [anon_sym__Null_unspecified] = ACTIONS(7399),
    [anon_sym___autoreleasing] = ACTIONS(7399),
    [anon_sym___block] = ACTIONS(7399),
    [anon_sym___bridge] = ACTIONS(7399),
    [anon_sym___bridge_retained] = ACTIONS(7399),
    [anon_sym___bridge_transfer] = ACTIONS(7399),
    [anon_sym___complex] = ACTIONS(7399),
    [anon_sym___const] = ACTIONS(7399),
    [anon_sym___imag] = ACTIONS(7399),
    [anon_sym___kindof] = ACTIONS(7399),
    [anon_sym___nonnull] = ACTIONS(7399),
    [anon_sym___nullable] = ACTIONS(7399),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7399),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7399),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7399),
    [anon_sym___real] = ACTIONS(7399),
    [anon_sym___strong] = ACTIONS(7399),
    [anon_sym___unsafe_unretained] = ACTIONS(7399),
    [anon_sym___unused] = ACTIONS(7399),
    [anon_sym___weak] = ACTIONS(7399),
    [anon_sym_alignas] = ACTIONS(7399),
    [anon_sym__Alignas] = ACTIONS(7399),
    [sym_primitive_type] = ACTIONS(7399),
    [anon_sym_enum] = ACTIONS(7399),
    [anon_sym_COLON] = ACTIONS(7401),
    [anon_sym_struct] = ACTIONS(7399),
    [anon_sym_union] = ACTIONS(7399),
    [anon_sym_in] = ACTIONS(7399),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7399),
    [anon_sym___typeof] = ACTIONS(7399),
    [anon_sym_typeof] = ACTIONS(7399),
    [anon_sym_BOOL] = ACTIONS(7399),
    [anon_sym_IMP] = ACTIONS(7399),
    [anon_sym_SEL] = ACTIONS(7399),
    [anon_sym_Class] = ACTIONS(7399),
    [anon_sym_id] = ACTIONS(7399),
    [anon_sym_out] = ACTIONS(7399),
    [anon_sym_inout] = ACTIONS(7399),
    [anon_sym_bycopy] = ACTIONS(7399),
    [anon_sym_byref] = ACTIONS(7399),
    [anon_sym_oneway] = ACTIONS(7399),
  },
  [3915] = {
    [sym__type_definition_type] = STATE(4766),
    [sym_attribute_specifier] = STATE(3917),
    [sym_ms_declspec_modifier] = STATE(4011),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3916] = {
    [sym__type_definition_type] = STATE(4720),
    [sym_attribute_specifier] = STATE(3918),
    [sym_ms_declspec_modifier] = STATE(4012),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3917] = {
    [sym__type_definition_type] = STATE(4728),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4012),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3918] = {
    [sym__type_definition_type] = STATE(4741),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4013),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3919] = {
    [sym__type_definition_type] = STATE(4776),
    [sym_attribute_specifier] = STATE(3920),
    [sym_ms_declspec_modifier] = STATE(4013),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3920] = {
    [sym__type_definition_type] = STATE(4795),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4014),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3921] = {
    [sym_identifier] = ACTIONS(7347),
    [anon_sym_COMMA] = ACTIONS(7349),
    [anon_sym_RPAREN] = ACTIONS(7349),
    [anon_sym_LPAREN2] = ACTIONS(7349),
    [anon_sym_STAR] = ACTIONS(7349),
    [anon_sym_CARET] = ACTIONS(7349),
    [anon_sym_GT] = ACTIONS(7349),
    [anon_sym_LT] = ACTIONS(7349),
    [anon_sym___extension__] = ACTIONS(7347),
    [anon_sym___attribute__] = ACTIONS(7347),
    [anon_sym___attribute] = ACTIONS(7347),
    [anon_sym_noreturn] = ACTIONS(7347),
    [anon_sym_LBRACK] = ACTIONS(7349),
    [anon_sym___based] = ACTIONS(7347),
    [anon_sym_LBRACE] = ACTIONS(7349),
    [anon_sym_signed] = ACTIONS(7347),
    [anon_sym_unsigned] = ACTIONS(7347),
    [anon_sym_long] = ACTIONS(7347),
    [anon_sym_short] = ACTIONS(7347),
    [anon_sym_ATautoreleasepool] = ACTIONS(7349),
    [anon_sym_const] = ACTIONS(7347),
    [anon_sym_constexpr] = ACTIONS(7347),
    [anon_sym_volatile] = ACTIONS(7347),
    [anon_sym_restrict] = ACTIONS(7347),
    [anon_sym___restrict__] = ACTIONS(7347),
    [anon_sym__Atomic] = ACTIONS(7347),
    [anon_sym__Noreturn] = ACTIONS(7347),
    [anon_sym__Nonnull] = ACTIONS(7347),
    [anon_sym_nullable] = ACTIONS(7347),
    [anon_sym__Complex] = ACTIONS(7347),
    [anon_sym__Nullable] = ACTIONS(7347),
    [anon_sym__Nullable_result] = ACTIONS(7347),
    [anon_sym__Null_unspecified] = ACTIONS(7347),
    [anon_sym___autoreleasing] = ACTIONS(7347),
    [anon_sym___block] = ACTIONS(7347),
    [anon_sym___bridge] = ACTIONS(7347),
    [anon_sym___bridge_retained] = ACTIONS(7347),
    [anon_sym___bridge_transfer] = ACTIONS(7347),
    [anon_sym___complex] = ACTIONS(7347),
    [anon_sym___const] = ACTIONS(7347),
    [anon_sym___imag] = ACTIONS(7347),
    [anon_sym___kindof] = ACTIONS(7347),
    [anon_sym___nonnull] = ACTIONS(7347),
    [anon_sym___nullable] = ACTIONS(7347),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7347),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7347),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7347),
    [anon_sym___real] = ACTIONS(7347),
    [anon_sym___strong] = ACTIONS(7347),
    [anon_sym___unsafe_unretained] = ACTIONS(7347),
    [anon_sym___unused] = ACTIONS(7347),
    [anon_sym___weak] = ACTIONS(7347),
    [anon_sym_alignas] = ACTIONS(7347),
    [anon_sym__Alignas] = ACTIONS(7347),
    [sym_primitive_type] = ACTIONS(7347),
    [anon_sym_enum] = ACTIONS(7347),
    [anon_sym_COLON] = ACTIONS(7349),
    [anon_sym_struct] = ACTIONS(7347),
    [anon_sym_union] = ACTIONS(7347),
    [anon_sym_in] = ACTIONS(7347),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7347),
    [anon_sym___typeof] = ACTIONS(7347),
    [anon_sym_typeof] = ACTIONS(7347),
    [anon_sym_BOOL] = ACTIONS(7347),
    [anon_sym_IMP] = ACTIONS(7347),
    [anon_sym_SEL] = ACTIONS(7347),
    [anon_sym_Class] = ACTIONS(7347),
    [anon_sym_id] = ACTIONS(7347),
    [anon_sym_out] = ACTIONS(7347),
    [anon_sym_inout] = ACTIONS(7347),
    [anon_sym_bycopy] = ACTIONS(7347),
    [anon_sym_byref] = ACTIONS(7347),
    [anon_sym_oneway] = ACTIONS(7347),
  },
  [3922] = {
    [sym_identifier] = ACTIONS(7361),
    [anon_sym_COMMA] = ACTIONS(7363),
    [anon_sym_RPAREN] = ACTIONS(7363),
    [anon_sym_LPAREN2] = ACTIONS(7363),
    [anon_sym_STAR] = ACTIONS(7363),
    [anon_sym_CARET] = ACTIONS(7363),
    [anon_sym_GT] = ACTIONS(7363),
    [anon_sym_LT] = ACTIONS(7363),
    [anon_sym___extension__] = ACTIONS(7361),
    [anon_sym___attribute__] = ACTIONS(7361),
    [anon_sym___attribute] = ACTIONS(7361),
    [anon_sym_noreturn] = ACTIONS(7361),
    [anon_sym_LBRACK] = ACTIONS(7363),
    [anon_sym___based] = ACTIONS(7361),
    [anon_sym_LBRACE] = ACTIONS(7363),
    [anon_sym_signed] = ACTIONS(7361),
    [anon_sym_unsigned] = ACTIONS(7361),
    [anon_sym_long] = ACTIONS(7361),
    [anon_sym_short] = ACTIONS(7361),
    [anon_sym_ATautoreleasepool] = ACTIONS(7363),
    [anon_sym_const] = ACTIONS(7361),
    [anon_sym_constexpr] = ACTIONS(7361),
    [anon_sym_volatile] = ACTIONS(7361),
    [anon_sym_restrict] = ACTIONS(7361),
    [anon_sym___restrict__] = ACTIONS(7361),
    [anon_sym__Atomic] = ACTIONS(7361),
    [anon_sym__Noreturn] = ACTIONS(7361),
    [anon_sym__Nonnull] = ACTIONS(7361),
    [anon_sym_nullable] = ACTIONS(7361),
    [anon_sym__Complex] = ACTIONS(7361),
    [anon_sym__Nullable] = ACTIONS(7361),
    [anon_sym__Nullable_result] = ACTIONS(7361),
    [anon_sym__Null_unspecified] = ACTIONS(7361),
    [anon_sym___autoreleasing] = ACTIONS(7361),
    [anon_sym___block] = ACTIONS(7361),
    [anon_sym___bridge] = ACTIONS(7361),
    [anon_sym___bridge_retained] = ACTIONS(7361),
    [anon_sym___bridge_transfer] = ACTIONS(7361),
    [anon_sym___complex] = ACTIONS(7361),
    [anon_sym___const] = ACTIONS(7361),
    [anon_sym___imag] = ACTIONS(7361),
    [anon_sym___kindof] = ACTIONS(7361),
    [anon_sym___nonnull] = ACTIONS(7361),
    [anon_sym___nullable] = ACTIONS(7361),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7361),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7361),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7361),
    [anon_sym___real] = ACTIONS(7361),
    [anon_sym___strong] = ACTIONS(7361),
    [anon_sym___unsafe_unretained] = ACTIONS(7361),
    [anon_sym___unused] = ACTIONS(7361),
    [anon_sym___weak] = ACTIONS(7361),
    [anon_sym_alignas] = ACTIONS(7361),
    [anon_sym__Alignas] = ACTIONS(7361),
    [sym_primitive_type] = ACTIONS(7361),
    [anon_sym_enum] = ACTIONS(7361),
    [anon_sym_COLON] = ACTIONS(7363),
    [anon_sym_struct] = ACTIONS(7361),
    [anon_sym_union] = ACTIONS(7361),
    [anon_sym_in] = ACTIONS(7361),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7361),
    [anon_sym___typeof] = ACTIONS(7361),
    [anon_sym_typeof] = ACTIONS(7361),
    [anon_sym_BOOL] = ACTIONS(7361),
    [anon_sym_IMP] = ACTIONS(7361),
    [anon_sym_SEL] = ACTIONS(7361),
    [anon_sym_Class] = ACTIONS(7361),
    [anon_sym_id] = ACTIONS(7361),
    [anon_sym_out] = ACTIONS(7361),
    [anon_sym_inout] = ACTIONS(7361),
    [anon_sym_bycopy] = ACTIONS(7361),
    [anon_sym_byref] = ACTIONS(7361),
    [anon_sym_oneway] = ACTIONS(7361),
  },
  [3923] = {
    [sym__type_definition_type] = STATE(4700),
    [sym_attribute_specifier] = STATE(3925),
    [sym_ms_declspec_modifier] = STATE(4016),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3924] = {
    [sym__type_definition_type] = STATE(4702),
    [sym_attribute_specifier] = STATE(3926),
    [sym_ms_declspec_modifier] = STATE(4017),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3925] = {
    [sym__type_definition_type] = STATE(4703),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4017),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3926] = {
    [sym__type_definition_type] = STATE(4706),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4018),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3927] = {
    [sym__type_definition_type] = STATE(4708),
    [sym_attribute_specifier] = STATE(3929),
    [sym_ms_declspec_modifier] = STATE(4018),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3928] = {
    [sym_identifier] = ACTIONS(7311),
    [anon_sym_COMMA] = ACTIONS(7313),
    [anon_sym_RPAREN] = ACTIONS(7313),
    [anon_sym_LPAREN2] = ACTIONS(7313),
    [anon_sym_STAR] = ACTIONS(7313),
    [anon_sym_CARET] = ACTIONS(7313),
    [anon_sym_GT] = ACTIONS(7313),
    [anon_sym_LT] = ACTIONS(7313),
    [anon_sym___extension__] = ACTIONS(7311),
    [anon_sym___attribute__] = ACTIONS(7311),
    [anon_sym___attribute] = ACTIONS(7311),
    [anon_sym_noreturn] = ACTIONS(7311),
    [anon_sym_LBRACK] = ACTIONS(7313),
    [anon_sym___based] = ACTIONS(7311),
    [anon_sym_LBRACE] = ACTIONS(7313),
    [anon_sym_signed] = ACTIONS(7311),
    [anon_sym_unsigned] = ACTIONS(7311),
    [anon_sym_long] = ACTIONS(7311),
    [anon_sym_short] = ACTIONS(7311),
    [anon_sym_ATautoreleasepool] = ACTIONS(7313),
    [anon_sym_const] = ACTIONS(7311),
    [anon_sym_constexpr] = ACTIONS(7311),
    [anon_sym_volatile] = ACTIONS(7311),
    [anon_sym_restrict] = ACTIONS(7311),
    [anon_sym___restrict__] = ACTIONS(7311),
    [anon_sym__Atomic] = ACTIONS(7311),
    [anon_sym__Noreturn] = ACTIONS(7311),
    [anon_sym__Nonnull] = ACTIONS(7311),
    [anon_sym_nullable] = ACTIONS(7311),
    [anon_sym__Complex] = ACTIONS(7311),
    [anon_sym__Nullable] = ACTIONS(7311),
    [anon_sym__Nullable_result] = ACTIONS(7311),
    [anon_sym__Null_unspecified] = ACTIONS(7311),
    [anon_sym___autoreleasing] = ACTIONS(7311),
    [anon_sym___block] = ACTIONS(7311),
    [anon_sym___bridge] = ACTIONS(7311),
    [anon_sym___bridge_retained] = ACTIONS(7311),
    [anon_sym___bridge_transfer] = ACTIONS(7311),
    [anon_sym___complex] = ACTIONS(7311),
    [anon_sym___const] = ACTIONS(7311),
    [anon_sym___imag] = ACTIONS(7311),
    [anon_sym___kindof] = ACTIONS(7311),
    [anon_sym___nonnull] = ACTIONS(7311),
    [anon_sym___nullable] = ACTIONS(7311),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7311),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7311),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7311),
    [anon_sym___real] = ACTIONS(7311),
    [anon_sym___strong] = ACTIONS(7311),
    [anon_sym___unsafe_unretained] = ACTIONS(7311),
    [anon_sym___unused] = ACTIONS(7311),
    [anon_sym___weak] = ACTIONS(7311),
    [anon_sym_alignas] = ACTIONS(7311),
    [anon_sym__Alignas] = ACTIONS(7311),
    [sym_primitive_type] = ACTIONS(7311),
    [anon_sym_enum] = ACTIONS(7311),
    [anon_sym_COLON] = ACTIONS(7313),
    [anon_sym_struct] = ACTIONS(7311),
    [anon_sym_union] = ACTIONS(7311),
    [anon_sym_in] = ACTIONS(7311),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7311),
    [anon_sym___typeof] = ACTIONS(7311),
    [anon_sym_typeof] = ACTIONS(7311),
    [anon_sym_BOOL] = ACTIONS(7311),
    [anon_sym_IMP] = ACTIONS(7311),
    [anon_sym_SEL] = ACTIONS(7311),
    [anon_sym_Class] = ACTIONS(7311),
    [anon_sym_id] = ACTIONS(7311),
    [anon_sym_out] = ACTIONS(7311),
    [anon_sym_inout] = ACTIONS(7311),
    [anon_sym_bycopy] = ACTIONS(7311),
    [anon_sym_byref] = ACTIONS(7311),
    [anon_sym_oneway] = ACTIONS(7311),
  },
  [3929] = {
    [sym__type_definition_type] = STATE(4716),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4019),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3930] = {
    [sym_attribute_specifier] = STATE(3840),
    [sym_identifier] = ACTIONS(7894),
    [anon_sym_COMMA] = ACTIONS(7896),
    [anon_sym_RPAREN] = ACTIONS(7896),
    [anon_sym_LPAREN2] = ACTIONS(7896),
    [anon_sym_STAR] = ACTIONS(7896),
    [anon_sym_CARET] = ACTIONS(7896),
    [anon_sym_GT] = ACTIONS(7896),
    [anon_sym_LT] = ACTIONS(7896),
    [anon_sym___extension__] = ACTIONS(7894),
    [anon_sym___attribute__] = ACTIONS(8886),
    [anon_sym___attribute] = ACTIONS(8886),
    [anon_sym_noreturn] = ACTIONS(7894),
    [anon_sym_LBRACK] = ACTIONS(7896),
    [anon_sym___based] = ACTIONS(7894),
    [anon_sym_LBRACE] = ACTIONS(7896),
    [anon_sym_signed] = ACTIONS(7894),
    [anon_sym_unsigned] = ACTIONS(7894),
    [anon_sym_long] = ACTIONS(7894),
    [anon_sym_short] = ACTIONS(7894),
    [anon_sym_ATautoreleasepool] = ACTIONS(7896),
    [anon_sym_const] = ACTIONS(7894),
    [anon_sym_constexpr] = ACTIONS(7894),
    [anon_sym_volatile] = ACTIONS(7894),
    [anon_sym_restrict] = ACTIONS(7894),
    [anon_sym___restrict__] = ACTIONS(7894),
    [anon_sym__Atomic] = ACTIONS(7894),
    [anon_sym__Noreturn] = ACTIONS(7894),
    [anon_sym__Nonnull] = ACTIONS(7894),
    [anon_sym_nullable] = ACTIONS(7894),
    [anon_sym__Complex] = ACTIONS(7894),
    [anon_sym__Nullable] = ACTIONS(7894),
    [anon_sym__Nullable_result] = ACTIONS(7894),
    [anon_sym__Null_unspecified] = ACTIONS(7894),
    [anon_sym___autoreleasing] = ACTIONS(7894),
    [anon_sym___block] = ACTIONS(7894),
    [anon_sym___bridge] = ACTIONS(7894),
    [anon_sym___bridge_retained] = ACTIONS(7894),
    [anon_sym___bridge_transfer] = ACTIONS(7894),
    [anon_sym___complex] = ACTIONS(7894),
    [anon_sym___const] = ACTIONS(7894),
    [anon_sym___imag] = ACTIONS(7894),
    [anon_sym___kindof] = ACTIONS(7894),
    [anon_sym___nonnull] = ACTIONS(7894),
    [anon_sym___nullable] = ACTIONS(7894),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7894),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7894),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7894),
    [anon_sym___real] = ACTIONS(7894),
    [anon_sym___strong] = ACTIONS(7894),
    [anon_sym___unsafe_unretained] = ACTIONS(7894),
    [anon_sym___unused] = ACTIONS(7894),
    [anon_sym___weak] = ACTIONS(7894),
    [anon_sym_alignas] = ACTIONS(7894),
    [anon_sym__Alignas] = ACTIONS(7894),
    [sym_primitive_type] = ACTIONS(7894),
    [anon_sym_enum] = ACTIONS(7894),
    [anon_sym_struct] = ACTIONS(7894),
    [anon_sym_union] = ACTIONS(7894),
    [anon_sym_in] = ACTIONS(7894),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7894),
    [anon_sym___typeof] = ACTIONS(7894),
    [anon_sym_typeof] = ACTIONS(7894),
    [anon_sym_BOOL] = ACTIONS(7894),
    [anon_sym_IMP] = ACTIONS(7894),
    [anon_sym_SEL] = ACTIONS(7894),
    [anon_sym_Class] = ACTIONS(7894),
    [anon_sym_id] = ACTIONS(7894),
    [anon_sym_out] = ACTIONS(7894),
    [anon_sym_inout] = ACTIONS(7894),
    [anon_sym_bycopy] = ACTIONS(7894),
    [anon_sym_byref] = ACTIONS(7894),
    [anon_sym_oneway] = ACTIONS(7894),
  },
  [3931] = {
    [sym__type_definition_type] = STATE(4722),
    [sym_attribute_specifier] = STATE(3933),
    [sym_ms_declspec_modifier] = STATE(4020),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3932] = {
    [sym__type_definition_type] = STATE(4727),
    [sym_attribute_specifier] = STATE(3934),
    [sym_ms_declspec_modifier] = STATE(4021),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3933] = {
    [sym__type_definition_type] = STATE(4732),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4021),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3934] = {
    [sym__type_definition_type] = STATE(4736),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4023),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3935] = {
    [sym__type_definition_type] = STATE(4739),
    [sym_attribute_specifier] = STATE(3937),
    [sym_ms_declspec_modifier] = STATE(4023),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3936] = {
    [sym_attribute_specifier] = STATE(3850),
    [sym_identifier] = ACTIONS(7933),
    [anon_sym_COMMA] = ACTIONS(7935),
    [anon_sym_RPAREN] = ACTIONS(7935),
    [anon_sym_LPAREN2] = ACTIONS(7935),
    [anon_sym_STAR] = ACTIONS(7935),
    [anon_sym_CARET] = ACTIONS(7935),
    [anon_sym_GT] = ACTIONS(7935),
    [anon_sym_LT] = ACTIONS(7935),
    [anon_sym___extension__] = ACTIONS(7933),
    [anon_sym___attribute__] = ACTIONS(8889),
    [anon_sym___attribute] = ACTIONS(8889),
    [anon_sym_noreturn] = ACTIONS(7933),
    [anon_sym_LBRACK] = ACTIONS(7935),
    [anon_sym___based] = ACTIONS(7933),
    [anon_sym_LBRACE] = ACTIONS(7935),
    [anon_sym_signed] = ACTIONS(7933),
    [anon_sym_unsigned] = ACTIONS(7933),
    [anon_sym_long] = ACTIONS(7933),
    [anon_sym_short] = ACTIONS(7933),
    [anon_sym_ATautoreleasepool] = ACTIONS(7935),
    [anon_sym_const] = ACTIONS(7933),
    [anon_sym_constexpr] = ACTIONS(7933),
    [anon_sym_volatile] = ACTIONS(7933),
    [anon_sym_restrict] = ACTIONS(7933),
    [anon_sym___restrict__] = ACTIONS(7933),
    [anon_sym__Atomic] = ACTIONS(7933),
    [anon_sym__Noreturn] = ACTIONS(7933),
    [anon_sym__Nonnull] = ACTIONS(7933),
    [anon_sym_nullable] = ACTIONS(7933),
    [anon_sym__Complex] = ACTIONS(7933),
    [anon_sym__Nullable] = ACTIONS(7933),
    [anon_sym__Nullable_result] = ACTIONS(7933),
    [anon_sym__Null_unspecified] = ACTIONS(7933),
    [anon_sym___autoreleasing] = ACTIONS(7933),
    [anon_sym___block] = ACTIONS(7933),
    [anon_sym___bridge] = ACTIONS(7933),
    [anon_sym___bridge_retained] = ACTIONS(7933),
    [anon_sym___bridge_transfer] = ACTIONS(7933),
    [anon_sym___complex] = ACTIONS(7933),
    [anon_sym___const] = ACTIONS(7933),
    [anon_sym___imag] = ACTIONS(7933),
    [anon_sym___kindof] = ACTIONS(7933),
    [anon_sym___nonnull] = ACTIONS(7933),
    [anon_sym___nullable] = ACTIONS(7933),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7933),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7933),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7933),
    [anon_sym___real] = ACTIONS(7933),
    [anon_sym___strong] = ACTIONS(7933),
    [anon_sym___unsafe_unretained] = ACTIONS(7933),
    [anon_sym___unused] = ACTIONS(7933),
    [anon_sym___weak] = ACTIONS(7933),
    [anon_sym_alignas] = ACTIONS(7933),
    [anon_sym__Alignas] = ACTIONS(7933),
    [sym_primitive_type] = ACTIONS(7933),
    [anon_sym_enum] = ACTIONS(7933),
    [anon_sym_struct] = ACTIONS(7933),
    [anon_sym_union] = ACTIONS(7933),
    [anon_sym_in] = ACTIONS(7933),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7933),
    [anon_sym___typeof] = ACTIONS(7933),
    [anon_sym_typeof] = ACTIONS(7933),
    [anon_sym_BOOL] = ACTIONS(7933),
    [anon_sym_IMP] = ACTIONS(7933),
    [anon_sym_SEL] = ACTIONS(7933),
    [anon_sym_Class] = ACTIONS(7933),
    [anon_sym_id] = ACTIONS(7933),
    [anon_sym_out] = ACTIONS(7933),
    [anon_sym_inout] = ACTIONS(7933),
    [anon_sym_bycopy] = ACTIONS(7933),
    [anon_sym_byref] = ACTIONS(7933),
    [anon_sym_oneway] = ACTIONS(7933),
  },
  [3937] = {
    [sym__type_definition_type] = STATE(4697),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4024),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3938] = {
    [sym__type_definition_type] = STATE(4751),
    [sym_attribute_specifier] = STATE(3940),
    [sym_ms_declspec_modifier] = STATE(4025),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3939] = {
    [sym__type_definition_type] = STATE(4752),
    [sym_attribute_specifier] = STATE(3941),
    [sym_ms_declspec_modifier] = STATE(4026),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3940] = {
    [sym__type_definition_type] = STATE(4753),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4026),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3941] = {
    [sym__type_definition_type] = STATE(4756),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4027),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3942] = {
    [sym__type_definition_type] = STATE(4758),
    [sym_attribute_specifier] = STATE(3944),
    [sym_ms_declspec_modifier] = STATE(4027),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3943] = {
    [sym_identifier] = ACTIONS(8882),
    [anon_sym_COMMA] = ACTIONS(8884),
    [anon_sym_RPAREN] = ACTIONS(8884),
    [anon_sym_LPAREN2] = ACTIONS(8884),
    [anon_sym_STAR] = ACTIONS(8884),
    [anon_sym_CARET] = ACTIONS(8884),
    [anon_sym_GT] = ACTIONS(8884),
    [anon_sym_LT] = ACTIONS(8884),
    [anon_sym___extension__] = ACTIONS(8882),
    [anon_sym___attribute__] = ACTIONS(8882),
    [anon_sym___attribute] = ACTIONS(8882),
    [anon_sym_noreturn] = ACTIONS(8882),
    [anon_sym_LBRACK] = ACTIONS(8892),
    [anon_sym___based] = ACTIONS(8882),
    [anon_sym_LBRACE] = ACTIONS(8884),
    [anon_sym_signed] = ACTIONS(8882),
    [anon_sym_unsigned] = ACTIONS(8882),
    [anon_sym_long] = ACTIONS(8882),
    [anon_sym_short] = ACTIONS(8882),
    [anon_sym_ATautoreleasepool] = ACTIONS(8884),
    [anon_sym_const] = ACTIONS(8882),
    [anon_sym_constexpr] = ACTIONS(8882),
    [anon_sym_volatile] = ACTIONS(8882),
    [anon_sym_restrict] = ACTIONS(8882),
    [anon_sym___restrict__] = ACTIONS(8882),
    [anon_sym__Atomic] = ACTIONS(8882),
    [anon_sym__Noreturn] = ACTIONS(8882),
    [anon_sym__Nonnull] = ACTIONS(8882),
    [anon_sym_nullable] = ACTIONS(8882),
    [anon_sym__Complex] = ACTIONS(8882),
    [anon_sym__Nullable] = ACTIONS(8882),
    [anon_sym__Nullable_result] = ACTIONS(8882),
    [anon_sym__Null_unspecified] = ACTIONS(8882),
    [anon_sym___autoreleasing] = ACTIONS(8882),
    [anon_sym___block] = ACTIONS(8882),
    [anon_sym___bridge] = ACTIONS(8882),
    [anon_sym___bridge_retained] = ACTIONS(8882),
    [anon_sym___bridge_transfer] = ACTIONS(8882),
    [anon_sym___complex] = ACTIONS(8882),
    [anon_sym___const] = ACTIONS(8882),
    [anon_sym___imag] = ACTIONS(8882),
    [anon_sym___kindof] = ACTIONS(8882),
    [anon_sym___nonnull] = ACTIONS(8882),
    [anon_sym___nullable] = ACTIONS(8882),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8882),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8882),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8882),
    [anon_sym___real] = ACTIONS(8882),
    [anon_sym___strong] = ACTIONS(8882),
    [anon_sym___unsafe_unretained] = ACTIONS(8882),
    [anon_sym___unused] = ACTIONS(8882),
    [anon_sym___weak] = ACTIONS(8882),
    [anon_sym_alignas] = ACTIONS(8882),
    [anon_sym__Alignas] = ACTIONS(8882),
    [sym_primitive_type] = ACTIONS(8882),
    [anon_sym_enum] = ACTIONS(8882),
    [anon_sym_COLON] = ACTIONS(8884),
    [anon_sym_struct] = ACTIONS(8882),
    [anon_sym_union] = ACTIONS(8882),
    [anon_sym_in] = ACTIONS(8882),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(8882),
    [anon_sym___typeof] = ACTIONS(8882),
    [anon_sym_typeof] = ACTIONS(8882),
    [anon_sym_BOOL] = ACTIONS(8882),
    [anon_sym_IMP] = ACTIONS(8882),
    [anon_sym_SEL] = ACTIONS(8882),
    [anon_sym_Class] = ACTIONS(8882),
    [anon_sym_id] = ACTIONS(8882),
    [anon_sym_out] = ACTIONS(8882),
    [anon_sym_inout] = ACTIONS(8882),
    [anon_sym_bycopy] = ACTIONS(8882),
    [anon_sym_byref] = ACTIONS(8882),
    [anon_sym_oneway] = ACTIONS(8882),
  },
  [3944] = {
    [sym__type_definition_type] = STATE(4761),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4028),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3945] = {
    [sym__type_definition_type] = STATE(4765),
    [sym_attribute_specifier] = STATE(3947),
    [sym_ms_declspec_modifier] = STATE(4029),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3946] = {
    [sym__type_definition_type] = STATE(4767),
    [sym_attribute_specifier] = STATE(3948),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3947] = {
    [sym__type_definition_type] = STATE(4768),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4055),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3948] = {
    [sym__type_definition_type] = STATE(4770),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4031),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3949] = {
    [sym__type_definition_type] = STATE(4775),
    [sym_attribute_specifier] = STATE(3950),
    [sym_ms_declspec_modifier] = STATE(4031),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3950] = {
    [sym__type_definition_type] = STATE(4778),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4032),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3951] = {
    [sym__type_definition_type] = STATE(4781),
    [sym_attribute_specifier] = STATE(3953),
    [sym_ms_declspec_modifier] = STATE(4034),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3952] = {
    [sym__type_definition_type] = STATE(4782),
    [sym_attribute_specifier] = STATE(3954),
    [sym_ms_declspec_modifier] = STATE(4035),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3953] = {
    [sym__type_definition_type] = STATE(4783),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4035),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3954] = {
    [sym__type_definition_type] = STATE(4786),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4036),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3955] = {
    [sym__type_definition_type] = STATE(4794),
    [sym_attribute_specifier] = STATE(3956),
    [sym_ms_declspec_modifier] = STATE(4036),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3956] = {
    [sym__type_definition_type] = STATE(4748),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4037),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3957] = {
    [sym_attribute_specifier] = STATE(3863),
    [sym_identifier] = ACTIONS(7948),
    [anon_sym_COMMA] = ACTIONS(7950),
    [anon_sym_RPAREN] = ACTIONS(7950),
    [anon_sym_LPAREN2] = ACTIONS(7950),
    [anon_sym_STAR] = ACTIONS(7950),
    [anon_sym_CARET] = ACTIONS(7950),
    [anon_sym_GT] = ACTIONS(7950),
    [anon_sym_LT] = ACTIONS(7950),
    [anon_sym___extension__] = ACTIONS(7948),
    [anon_sym___attribute__] = ACTIONS(8894),
    [anon_sym___attribute] = ACTIONS(8894),
    [anon_sym_noreturn] = ACTIONS(7948),
    [anon_sym_LBRACK] = ACTIONS(7950),
    [anon_sym___based] = ACTIONS(7948),
    [anon_sym_LBRACE] = ACTIONS(7950),
    [anon_sym_signed] = ACTIONS(7948),
    [anon_sym_unsigned] = ACTIONS(7948),
    [anon_sym_long] = ACTIONS(7948),
    [anon_sym_short] = ACTIONS(7948),
    [anon_sym_ATautoreleasepool] = ACTIONS(7950),
    [anon_sym_const] = ACTIONS(7948),
    [anon_sym_constexpr] = ACTIONS(7948),
    [anon_sym_volatile] = ACTIONS(7948),
    [anon_sym_restrict] = ACTIONS(7948),
    [anon_sym___restrict__] = ACTIONS(7948),
    [anon_sym__Atomic] = ACTIONS(7948),
    [anon_sym__Noreturn] = ACTIONS(7948),
    [anon_sym__Nonnull] = ACTIONS(7948),
    [anon_sym_nullable] = ACTIONS(7948),
    [anon_sym__Complex] = ACTIONS(7948),
    [anon_sym__Nullable] = ACTIONS(7948),
    [anon_sym__Nullable_result] = ACTIONS(7948),
    [anon_sym__Null_unspecified] = ACTIONS(7948),
    [anon_sym___autoreleasing] = ACTIONS(7948),
    [anon_sym___block] = ACTIONS(7948),
    [anon_sym___bridge] = ACTIONS(7948),
    [anon_sym___bridge_retained] = ACTIONS(7948),
    [anon_sym___bridge_transfer] = ACTIONS(7948),
    [anon_sym___complex] = ACTIONS(7948),
    [anon_sym___const] = ACTIONS(7948),
    [anon_sym___imag] = ACTIONS(7948),
    [anon_sym___kindof] = ACTIONS(7948),
    [anon_sym___nonnull] = ACTIONS(7948),
    [anon_sym___nullable] = ACTIONS(7948),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7948),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7948),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7948),
    [anon_sym___real] = ACTIONS(7948),
    [anon_sym___strong] = ACTIONS(7948),
    [anon_sym___unsafe_unretained] = ACTIONS(7948),
    [anon_sym___unused] = ACTIONS(7948),
    [anon_sym___weak] = ACTIONS(7948),
    [anon_sym_alignas] = ACTIONS(7948),
    [anon_sym__Alignas] = ACTIONS(7948),
    [sym_primitive_type] = ACTIONS(7948),
    [anon_sym_enum] = ACTIONS(7948),
    [anon_sym_struct] = ACTIONS(7948),
    [anon_sym_union] = ACTIONS(7948),
    [anon_sym_in] = ACTIONS(7948),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7948),
    [anon_sym___typeof] = ACTIONS(7948),
    [anon_sym_typeof] = ACTIONS(7948),
    [anon_sym_BOOL] = ACTIONS(7948),
    [anon_sym_IMP] = ACTIONS(7948),
    [anon_sym_SEL] = ACTIONS(7948),
    [anon_sym_Class] = ACTIONS(7948),
    [anon_sym_id] = ACTIONS(7948),
    [anon_sym_out] = ACTIONS(7948),
    [anon_sym_inout] = ACTIONS(7948),
    [anon_sym_bycopy] = ACTIONS(7948),
    [anon_sym_byref] = ACTIONS(7948),
    [anon_sym_oneway] = ACTIONS(7948),
  },
  [3958] = {
    [sym__type_definition_type] = STATE(4742),
    [sym_attribute_specifier] = STATE(3845),
    [sym_ms_declspec_modifier] = STATE(4052),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3959] = {
    [sym_identifier] = ACTIONS(7377),
    [anon_sym_COMMA] = ACTIONS(7379),
    [anon_sym_RPAREN] = ACTIONS(7379),
    [anon_sym_LPAREN2] = ACTIONS(7379),
    [anon_sym_STAR] = ACTIONS(7379),
    [anon_sym_CARET] = ACTIONS(7379),
    [anon_sym_GT] = ACTIONS(7379),
    [anon_sym_LT] = ACTIONS(7379),
    [anon_sym___extension__] = ACTIONS(7377),
    [anon_sym___attribute__] = ACTIONS(7377),
    [anon_sym___attribute] = ACTIONS(7377),
    [anon_sym_noreturn] = ACTIONS(7377),
    [anon_sym_LBRACK] = ACTIONS(7379),
    [anon_sym___based] = ACTIONS(7377),
    [anon_sym_LBRACE] = ACTIONS(7379),
    [anon_sym_signed] = ACTIONS(7377),
    [anon_sym_unsigned] = ACTIONS(7377),
    [anon_sym_long] = ACTIONS(7377),
    [anon_sym_short] = ACTIONS(7377),
    [anon_sym_ATautoreleasepool] = ACTIONS(7379),
    [anon_sym_const] = ACTIONS(7377),
    [anon_sym_constexpr] = ACTIONS(7377),
    [anon_sym_volatile] = ACTIONS(7377),
    [anon_sym_restrict] = ACTIONS(7377),
    [anon_sym___restrict__] = ACTIONS(7377),
    [anon_sym__Atomic] = ACTIONS(7377),
    [anon_sym__Noreturn] = ACTIONS(7377),
    [anon_sym__Nonnull] = ACTIONS(7377),
    [anon_sym_nullable] = ACTIONS(7377),
    [anon_sym__Complex] = ACTIONS(7377),
    [anon_sym__Nullable] = ACTIONS(7377),
    [anon_sym__Nullable_result] = ACTIONS(7377),
    [anon_sym__Null_unspecified] = ACTIONS(7377),
    [anon_sym___autoreleasing] = ACTIONS(7377),
    [anon_sym___block] = ACTIONS(7377),
    [anon_sym___bridge] = ACTIONS(7377),
    [anon_sym___bridge_retained] = ACTIONS(7377),
    [anon_sym___bridge_transfer] = ACTIONS(7377),
    [anon_sym___complex] = ACTIONS(7377),
    [anon_sym___const] = ACTIONS(7377),
    [anon_sym___imag] = ACTIONS(7377),
    [anon_sym___kindof] = ACTIONS(7377),
    [anon_sym___nonnull] = ACTIONS(7377),
    [anon_sym___nullable] = ACTIONS(7377),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7377),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7377),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7377),
    [anon_sym___real] = ACTIONS(7377),
    [anon_sym___strong] = ACTIONS(7377),
    [anon_sym___unsafe_unretained] = ACTIONS(7377),
    [anon_sym___unused] = ACTIONS(7377),
    [anon_sym___weak] = ACTIONS(7377),
    [anon_sym_alignas] = ACTIONS(7377),
    [anon_sym__Alignas] = ACTIONS(7377),
    [sym_primitive_type] = ACTIONS(7377),
    [anon_sym_enum] = ACTIONS(7377),
    [anon_sym_COLON] = ACTIONS(7379),
    [anon_sym_struct] = ACTIONS(7377),
    [anon_sym_union] = ACTIONS(7377),
    [anon_sym_in] = ACTIONS(7377),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7377),
    [anon_sym___typeof] = ACTIONS(7377),
    [anon_sym_typeof] = ACTIONS(7377),
    [anon_sym_BOOL] = ACTIONS(7377),
    [anon_sym_IMP] = ACTIONS(7377),
    [anon_sym_SEL] = ACTIONS(7377),
    [anon_sym_Class] = ACTIONS(7377),
    [anon_sym_id] = ACTIONS(7377),
    [anon_sym_out] = ACTIONS(7377),
    [anon_sym_inout] = ACTIONS(7377),
    [anon_sym_bycopy] = ACTIONS(7377),
    [anon_sym_byref] = ACTIONS(7377),
    [anon_sym_oneway] = ACTIONS(7377),
  },
  [3960] = {
    [sym_identifier] = ACTIONS(7381),
    [anon_sym_COMMA] = ACTIONS(7383),
    [anon_sym_RPAREN] = ACTIONS(7383),
    [anon_sym_LPAREN2] = ACTIONS(7383),
    [anon_sym_STAR] = ACTIONS(7383),
    [anon_sym_CARET] = ACTIONS(7383),
    [anon_sym_GT] = ACTIONS(7383),
    [anon_sym_LT] = ACTIONS(7383),
    [anon_sym___extension__] = ACTIONS(7381),
    [anon_sym___attribute__] = ACTIONS(7381),
    [anon_sym___attribute] = ACTIONS(7381),
    [anon_sym_noreturn] = ACTIONS(7381),
    [anon_sym_LBRACK] = ACTIONS(7383),
    [anon_sym___based] = ACTIONS(7381),
    [anon_sym_LBRACE] = ACTIONS(7383),
    [anon_sym_signed] = ACTIONS(7381),
    [anon_sym_unsigned] = ACTIONS(7381),
    [anon_sym_long] = ACTIONS(7381),
    [anon_sym_short] = ACTIONS(7381),
    [anon_sym_ATautoreleasepool] = ACTIONS(7383),
    [anon_sym_const] = ACTIONS(7381),
    [anon_sym_constexpr] = ACTIONS(7381),
    [anon_sym_volatile] = ACTIONS(7381),
    [anon_sym_restrict] = ACTIONS(7381),
    [anon_sym___restrict__] = ACTIONS(7381),
    [anon_sym__Atomic] = ACTIONS(7381),
    [anon_sym__Noreturn] = ACTIONS(7381),
    [anon_sym__Nonnull] = ACTIONS(7381),
    [anon_sym_nullable] = ACTIONS(7381),
    [anon_sym__Complex] = ACTIONS(7381),
    [anon_sym__Nullable] = ACTIONS(7381),
    [anon_sym__Nullable_result] = ACTIONS(7381),
    [anon_sym__Null_unspecified] = ACTIONS(7381),
    [anon_sym___autoreleasing] = ACTIONS(7381),
    [anon_sym___block] = ACTIONS(7381),
    [anon_sym___bridge] = ACTIONS(7381),
    [anon_sym___bridge_retained] = ACTIONS(7381),
    [anon_sym___bridge_transfer] = ACTIONS(7381),
    [anon_sym___complex] = ACTIONS(7381),
    [anon_sym___const] = ACTIONS(7381),
    [anon_sym___imag] = ACTIONS(7381),
    [anon_sym___kindof] = ACTIONS(7381),
    [anon_sym___nonnull] = ACTIONS(7381),
    [anon_sym___nullable] = ACTIONS(7381),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7381),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7381),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7381),
    [anon_sym___real] = ACTIONS(7381),
    [anon_sym___strong] = ACTIONS(7381),
    [anon_sym___unsafe_unretained] = ACTIONS(7381),
    [anon_sym___unused] = ACTIONS(7381),
    [anon_sym___weak] = ACTIONS(7381),
    [anon_sym_alignas] = ACTIONS(7381),
    [anon_sym__Alignas] = ACTIONS(7381),
    [sym_primitive_type] = ACTIONS(7381),
    [anon_sym_enum] = ACTIONS(7381),
    [anon_sym_COLON] = ACTIONS(7383),
    [anon_sym_struct] = ACTIONS(7381),
    [anon_sym_union] = ACTIONS(7381),
    [anon_sym_in] = ACTIONS(7381),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7381),
    [anon_sym___typeof] = ACTIONS(7381),
    [anon_sym_typeof] = ACTIONS(7381),
    [anon_sym_BOOL] = ACTIONS(7381),
    [anon_sym_IMP] = ACTIONS(7381),
    [anon_sym_SEL] = ACTIONS(7381),
    [anon_sym_Class] = ACTIONS(7381),
    [anon_sym_id] = ACTIONS(7381),
    [anon_sym_out] = ACTIONS(7381),
    [anon_sym_inout] = ACTIONS(7381),
    [anon_sym_bycopy] = ACTIONS(7381),
    [anon_sym_byref] = ACTIONS(7381),
    [anon_sym_oneway] = ACTIONS(7381),
  },
  [3961] = {
    [sym_attribute_specifier] = STATE(3864),
    [sym_identifier] = ACTIONS(7678),
    [anon_sym_COMMA] = ACTIONS(7680),
    [anon_sym_RPAREN] = ACTIONS(7680),
    [anon_sym_LPAREN2] = ACTIONS(7680),
    [anon_sym_STAR] = ACTIONS(7680),
    [anon_sym_CARET] = ACTIONS(7680),
    [anon_sym_GT] = ACTIONS(7680),
    [anon_sym_LT] = ACTIONS(7680),
    [anon_sym___extension__] = ACTIONS(7678),
    [anon_sym___attribute__] = ACTIONS(8897),
    [anon_sym___attribute] = ACTIONS(8897),
    [anon_sym_noreturn] = ACTIONS(7678),
    [anon_sym_LBRACK] = ACTIONS(7680),
    [anon_sym___based] = ACTIONS(7678),
    [anon_sym_LBRACE] = ACTIONS(7680),
    [anon_sym_signed] = ACTIONS(7678),
    [anon_sym_unsigned] = ACTIONS(7678),
    [anon_sym_long] = ACTIONS(7678),
    [anon_sym_short] = ACTIONS(7678),
    [anon_sym_ATautoreleasepool] = ACTIONS(7680),
    [anon_sym_const] = ACTIONS(7678),
    [anon_sym_constexpr] = ACTIONS(7678),
    [anon_sym_volatile] = ACTIONS(7678),
    [anon_sym_restrict] = ACTIONS(7678),
    [anon_sym___restrict__] = ACTIONS(7678),
    [anon_sym__Atomic] = ACTIONS(7678),
    [anon_sym__Noreturn] = ACTIONS(7678),
    [anon_sym__Nonnull] = ACTIONS(7678),
    [anon_sym_nullable] = ACTIONS(7678),
    [anon_sym__Complex] = ACTIONS(7678),
    [anon_sym__Nullable] = ACTIONS(7678),
    [anon_sym__Nullable_result] = ACTIONS(7678),
    [anon_sym__Null_unspecified] = ACTIONS(7678),
    [anon_sym___autoreleasing] = ACTIONS(7678),
    [anon_sym___block] = ACTIONS(7678),
    [anon_sym___bridge] = ACTIONS(7678),
    [anon_sym___bridge_retained] = ACTIONS(7678),
    [anon_sym___bridge_transfer] = ACTIONS(7678),
    [anon_sym___complex] = ACTIONS(7678),
    [anon_sym___const] = ACTIONS(7678),
    [anon_sym___imag] = ACTIONS(7678),
    [anon_sym___kindof] = ACTIONS(7678),
    [anon_sym___nonnull] = ACTIONS(7678),
    [anon_sym___nullable] = ACTIONS(7678),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7678),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7678),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7678),
    [anon_sym___real] = ACTIONS(7678),
    [anon_sym___strong] = ACTIONS(7678),
    [anon_sym___unsafe_unretained] = ACTIONS(7678),
    [anon_sym___unused] = ACTIONS(7678),
    [anon_sym___weak] = ACTIONS(7678),
    [anon_sym_alignas] = ACTIONS(7678),
    [anon_sym__Alignas] = ACTIONS(7678),
    [sym_primitive_type] = ACTIONS(7678),
    [anon_sym_enum] = ACTIONS(7678),
    [anon_sym_struct] = ACTIONS(7678),
    [anon_sym_union] = ACTIONS(7678),
    [anon_sym_in] = ACTIONS(7678),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7678),
    [anon_sym___typeof] = ACTIONS(7678),
    [anon_sym_typeof] = ACTIONS(7678),
    [anon_sym_BOOL] = ACTIONS(7678),
    [anon_sym_IMP] = ACTIONS(7678),
    [anon_sym_SEL] = ACTIONS(7678),
    [anon_sym_Class] = ACTIONS(7678),
    [anon_sym_id] = ACTIONS(7678),
    [anon_sym_out] = ACTIONS(7678),
    [anon_sym_inout] = ACTIONS(7678),
    [anon_sym_bycopy] = ACTIONS(7678),
    [anon_sym_byref] = ACTIONS(7678),
    [anon_sym_oneway] = ACTIONS(7678),
  },
  [3962] = {
    [sym_parameter_list] = STATE(3774),
    [sym_identifier] = ACTIONS(6756),
    [anon_sym_COMMA] = ACTIONS(6758),
    [anon_sym_RPAREN] = ACTIONS(6758),
    [anon_sym_LPAREN2] = ACTIONS(8848),
    [anon_sym_STAR] = ACTIONS(6758),
    [anon_sym_CARET] = ACTIONS(6758),
    [anon_sym_GT] = ACTIONS(6758),
    [anon_sym_LT] = ACTIONS(6758),
    [anon_sym___extension__] = ACTIONS(6756),
    [anon_sym___attribute__] = ACTIONS(6756),
    [anon_sym___attribute] = ACTIONS(6756),
    [anon_sym_noreturn] = ACTIONS(6756),
    [anon_sym_LBRACK] = ACTIONS(8850),
    [anon_sym___based] = ACTIONS(6756),
    [anon_sym_LBRACE] = ACTIONS(6758),
    [anon_sym_signed] = ACTIONS(6756),
    [anon_sym_unsigned] = ACTIONS(6756),
    [anon_sym_long] = ACTIONS(6756),
    [anon_sym_short] = ACTIONS(6756),
    [anon_sym_ATautoreleasepool] = ACTIONS(6758),
    [anon_sym_const] = ACTIONS(6756),
    [anon_sym_constexpr] = ACTIONS(6756),
    [anon_sym_volatile] = ACTIONS(6756),
    [anon_sym_restrict] = ACTIONS(6756),
    [anon_sym___restrict__] = ACTIONS(6756),
    [anon_sym__Atomic] = ACTIONS(6756),
    [anon_sym__Noreturn] = ACTIONS(6756),
    [anon_sym__Nonnull] = ACTIONS(6756),
    [anon_sym_nullable] = ACTIONS(6756),
    [anon_sym__Complex] = ACTIONS(6756),
    [anon_sym__Nullable] = ACTIONS(6756),
    [anon_sym__Nullable_result] = ACTIONS(6756),
    [anon_sym__Null_unspecified] = ACTIONS(6756),
    [anon_sym___autoreleasing] = ACTIONS(6756),
    [anon_sym___block] = ACTIONS(6756),
    [anon_sym___bridge] = ACTIONS(6756),
    [anon_sym___bridge_retained] = ACTIONS(6756),
    [anon_sym___bridge_transfer] = ACTIONS(6756),
    [anon_sym___complex] = ACTIONS(6756),
    [anon_sym___const] = ACTIONS(6756),
    [anon_sym___imag] = ACTIONS(6756),
    [anon_sym___kindof] = ACTIONS(6756),
    [anon_sym___nonnull] = ACTIONS(6756),
    [anon_sym___nullable] = ACTIONS(6756),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6756),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6756),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6756),
    [anon_sym___real] = ACTIONS(6756),
    [anon_sym___strong] = ACTIONS(6756),
    [anon_sym___unsafe_unretained] = ACTIONS(6756),
    [anon_sym___unused] = ACTIONS(6756),
    [anon_sym___weak] = ACTIONS(6756),
    [anon_sym_alignas] = ACTIONS(6756),
    [anon_sym__Alignas] = ACTIONS(6756),
    [sym_primitive_type] = ACTIONS(6756),
    [anon_sym_enum] = ACTIONS(6756),
    [anon_sym_struct] = ACTIONS(6756),
    [anon_sym_union] = ACTIONS(6756),
    [anon_sym_in] = ACTIONS(6756),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6756),
    [anon_sym___typeof] = ACTIONS(6756),
    [anon_sym_typeof] = ACTIONS(6756),
    [anon_sym_BOOL] = ACTIONS(6756),
    [anon_sym_IMP] = ACTIONS(6756),
    [anon_sym_SEL] = ACTIONS(6756),
    [anon_sym_Class] = ACTIONS(6756),
    [anon_sym_id] = ACTIONS(6756),
    [anon_sym_out] = ACTIONS(6756),
    [anon_sym_inout] = ACTIONS(6756),
    [anon_sym_bycopy] = ACTIONS(6756),
    [anon_sym_byref] = ACTIONS(6756),
    [anon_sym_oneway] = ACTIONS(6756),
  },
  [3963] = {
    [sym_identifier] = ACTIONS(7443),
    [anon_sym_COMMA] = ACTIONS(7445),
    [anon_sym_RPAREN] = ACTIONS(7445),
    [anon_sym_LPAREN2] = ACTIONS(7445),
    [anon_sym_STAR] = ACTIONS(7445),
    [anon_sym_CARET] = ACTIONS(7445),
    [anon_sym_GT] = ACTIONS(7445),
    [anon_sym_LT] = ACTIONS(7445),
    [anon_sym___extension__] = ACTIONS(7443),
    [anon_sym___attribute__] = ACTIONS(7443),
    [anon_sym___attribute] = ACTIONS(7443),
    [anon_sym_noreturn] = ACTIONS(7443),
    [anon_sym_LBRACK] = ACTIONS(7445),
    [anon_sym___based] = ACTIONS(7443),
    [anon_sym_LBRACE] = ACTIONS(7445),
    [anon_sym_signed] = ACTIONS(7443),
    [anon_sym_unsigned] = ACTIONS(7443),
    [anon_sym_long] = ACTIONS(7443),
    [anon_sym_short] = ACTIONS(7443),
    [anon_sym_ATautoreleasepool] = ACTIONS(7445),
    [anon_sym_const] = ACTIONS(7443),
    [anon_sym_constexpr] = ACTIONS(7443),
    [anon_sym_volatile] = ACTIONS(7443),
    [anon_sym_restrict] = ACTIONS(7443),
    [anon_sym___restrict__] = ACTIONS(7443),
    [anon_sym__Atomic] = ACTIONS(7443),
    [anon_sym__Noreturn] = ACTIONS(7443),
    [anon_sym__Nonnull] = ACTIONS(7443),
    [anon_sym_nullable] = ACTIONS(7443),
    [anon_sym__Complex] = ACTIONS(7443),
    [anon_sym__Nullable] = ACTIONS(7443),
    [anon_sym__Nullable_result] = ACTIONS(7443),
    [anon_sym__Null_unspecified] = ACTIONS(7443),
    [anon_sym___autoreleasing] = ACTIONS(7443),
    [anon_sym___block] = ACTIONS(7443),
    [anon_sym___bridge] = ACTIONS(7443),
    [anon_sym___bridge_retained] = ACTIONS(7443),
    [anon_sym___bridge_transfer] = ACTIONS(7443),
    [anon_sym___complex] = ACTIONS(7443),
    [anon_sym___const] = ACTIONS(7443),
    [anon_sym___imag] = ACTIONS(7443),
    [anon_sym___kindof] = ACTIONS(7443),
    [anon_sym___nonnull] = ACTIONS(7443),
    [anon_sym___nullable] = ACTIONS(7443),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7443),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7443),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7443),
    [anon_sym___real] = ACTIONS(7443),
    [anon_sym___strong] = ACTIONS(7443),
    [anon_sym___unsafe_unretained] = ACTIONS(7443),
    [anon_sym___unused] = ACTIONS(7443),
    [anon_sym___weak] = ACTIONS(7443),
    [anon_sym_alignas] = ACTIONS(7443),
    [anon_sym__Alignas] = ACTIONS(7443),
    [sym_primitive_type] = ACTIONS(7443),
    [anon_sym_enum] = ACTIONS(7443),
    [anon_sym_COLON] = ACTIONS(7445),
    [anon_sym_struct] = ACTIONS(7443),
    [anon_sym_union] = ACTIONS(7443),
    [anon_sym_in] = ACTIONS(7443),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7443),
    [anon_sym___typeof] = ACTIONS(7443),
    [anon_sym_typeof] = ACTIONS(7443),
    [anon_sym_BOOL] = ACTIONS(7443),
    [anon_sym_IMP] = ACTIONS(7443),
    [anon_sym_SEL] = ACTIONS(7443),
    [anon_sym_Class] = ACTIONS(7443),
    [anon_sym_id] = ACTIONS(7443),
    [anon_sym_out] = ACTIONS(7443),
    [anon_sym_inout] = ACTIONS(7443),
    [anon_sym_bycopy] = ACTIONS(7443),
    [anon_sym_byref] = ACTIONS(7443),
    [anon_sym_oneway] = ACTIONS(7443),
  },
  [3964] = {
    [sym_attribute_specifier] = STATE(3881),
    [sym_identifier] = ACTIONS(7868),
    [anon_sym_COMMA] = ACTIONS(7870),
    [anon_sym_RPAREN] = ACTIONS(7870),
    [anon_sym_LPAREN2] = ACTIONS(7870),
    [anon_sym_STAR] = ACTIONS(7870),
    [anon_sym_CARET] = ACTIONS(7870),
    [anon_sym_GT] = ACTIONS(7870),
    [anon_sym_LT] = ACTIONS(7870),
    [anon_sym___extension__] = ACTIONS(7868),
    [anon_sym___attribute__] = ACTIONS(8900),
    [anon_sym___attribute] = ACTIONS(8900),
    [anon_sym_noreturn] = ACTIONS(7868),
    [anon_sym_LBRACK] = ACTIONS(7870),
    [anon_sym___based] = ACTIONS(7868),
    [anon_sym_LBRACE] = ACTIONS(7870),
    [anon_sym_signed] = ACTIONS(7868),
    [anon_sym_unsigned] = ACTIONS(7868),
    [anon_sym_long] = ACTIONS(7868),
    [anon_sym_short] = ACTIONS(7868),
    [anon_sym_ATautoreleasepool] = ACTIONS(7870),
    [anon_sym_const] = ACTIONS(7868),
    [anon_sym_constexpr] = ACTIONS(7868),
    [anon_sym_volatile] = ACTIONS(7868),
    [anon_sym_restrict] = ACTIONS(7868),
    [anon_sym___restrict__] = ACTIONS(7868),
    [anon_sym__Atomic] = ACTIONS(7868),
    [anon_sym__Noreturn] = ACTIONS(7868),
    [anon_sym__Nonnull] = ACTIONS(7868),
    [anon_sym_nullable] = ACTIONS(7868),
    [anon_sym__Complex] = ACTIONS(7868),
    [anon_sym__Nullable] = ACTIONS(7868),
    [anon_sym__Nullable_result] = ACTIONS(7868),
    [anon_sym__Null_unspecified] = ACTIONS(7868),
    [anon_sym___autoreleasing] = ACTIONS(7868),
    [anon_sym___block] = ACTIONS(7868),
    [anon_sym___bridge] = ACTIONS(7868),
    [anon_sym___bridge_retained] = ACTIONS(7868),
    [anon_sym___bridge_transfer] = ACTIONS(7868),
    [anon_sym___complex] = ACTIONS(7868),
    [anon_sym___const] = ACTIONS(7868),
    [anon_sym___imag] = ACTIONS(7868),
    [anon_sym___kindof] = ACTIONS(7868),
    [anon_sym___nonnull] = ACTIONS(7868),
    [anon_sym___nullable] = ACTIONS(7868),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7868),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7868),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7868),
    [anon_sym___real] = ACTIONS(7868),
    [anon_sym___strong] = ACTIONS(7868),
    [anon_sym___unsafe_unretained] = ACTIONS(7868),
    [anon_sym___unused] = ACTIONS(7868),
    [anon_sym___weak] = ACTIONS(7868),
    [anon_sym_alignas] = ACTIONS(7868),
    [anon_sym__Alignas] = ACTIONS(7868),
    [sym_primitive_type] = ACTIONS(7868),
    [anon_sym_enum] = ACTIONS(7868),
    [anon_sym_struct] = ACTIONS(7868),
    [anon_sym_union] = ACTIONS(7868),
    [anon_sym_in] = ACTIONS(7868),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7868),
    [anon_sym___typeof] = ACTIONS(7868),
    [anon_sym_typeof] = ACTIONS(7868),
    [anon_sym_BOOL] = ACTIONS(7868),
    [anon_sym_IMP] = ACTIONS(7868),
    [anon_sym_SEL] = ACTIONS(7868),
    [anon_sym_Class] = ACTIONS(7868),
    [anon_sym_id] = ACTIONS(7868),
    [anon_sym_out] = ACTIONS(7868),
    [anon_sym_inout] = ACTIONS(7868),
    [anon_sym_bycopy] = ACTIONS(7868),
    [anon_sym_byref] = ACTIONS(7868),
    [anon_sym_oneway] = ACTIONS(7868),
  },
  [3965] = {
    [sym_attribute_specifier] = STATE(3884),
    [sym_identifier] = ACTIONS(7819),
    [anon_sym_COMMA] = ACTIONS(7821),
    [anon_sym_RPAREN] = ACTIONS(7821),
    [anon_sym_LPAREN2] = ACTIONS(7821),
    [anon_sym_STAR] = ACTIONS(7821),
    [anon_sym_CARET] = ACTIONS(7821),
    [anon_sym_GT] = ACTIONS(7821),
    [anon_sym_LT] = ACTIONS(7821),
    [anon_sym___extension__] = ACTIONS(7819),
    [anon_sym___attribute__] = ACTIONS(8903),
    [anon_sym___attribute] = ACTIONS(8903),
    [anon_sym_noreturn] = ACTIONS(7819),
    [anon_sym_LBRACK] = ACTIONS(7821),
    [anon_sym___based] = ACTIONS(7819),
    [anon_sym_LBRACE] = ACTIONS(7821),
    [anon_sym_signed] = ACTIONS(7819),
    [anon_sym_unsigned] = ACTIONS(7819),
    [anon_sym_long] = ACTIONS(7819),
    [anon_sym_short] = ACTIONS(7819),
    [anon_sym_ATautoreleasepool] = ACTIONS(7821),
    [anon_sym_const] = ACTIONS(7819),
    [anon_sym_constexpr] = ACTIONS(7819),
    [anon_sym_volatile] = ACTIONS(7819),
    [anon_sym_restrict] = ACTIONS(7819),
    [anon_sym___restrict__] = ACTIONS(7819),
    [anon_sym__Atomic] = ACTIONS(7819),
    [anon_sym__Noreturn] = ACTIONS(7819),
    [anon_sym__Nonnull] = ACTIONS(7819),
    [anon_sym_nullable] = ACTIONS(7819),
    [anon_sym__Complex] = ACTIONS(7819),
    [anon_sym__Nullable] = ACTIONS(7819),
    [anon_sym__Nullable_result] = ACTIONS(7819),
    [anon_sym__Null_unspecified] = ACTIONS(7819),
    [anon_sym___autoreleasing] = ACTIONS(7819),
    [anon_sym___block] = ACTIONS(7819),
    [anon_sym___bridge] = ACTIONS(7819),
    [anon_sym___bridge_retained] = ACTIONS(7819),
    [anon_sym___bridge_transfer] = ACTIONS(7819),
    [anon_sym___complex] = ACTIONS(7819),
    [anon_sym___const] = ACTIONS(7819),
    [anon_sym___imag] = ACTIONS(7819),
    [anon_sym___kindof] = ACTIONS(7819),
    [anon_sym___nonnull] = ACTIONS(7819),
    [anon_sym___nullable] = ACTIONS(7819),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7819),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7819),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7819),
    [anon_sym___real] = ACTIONS(7819),
    [anon_sym___strong] = ACTIONS(7819),
    [anon_sym___unsafe_unretained] = ACTIONS(7819),
    [anon_sym___unused] = ACTIONS(7819),
    [anon_sym___weak] = ACTIONS(7819),
    [anon_sym_alignas] = ACTIONS(7819),
    [anon_sym__Alignas] = ACTIONS(7819),
    [sym_primitive_type] = ACTIONS(7819),
    [anon_sym_enum] = ACTIONS(7819),
    [anon_sym_struct] = ACTIONS(7819),
    [anon_sym_union] = ACTIONS(7819),
    [anon_sym_in] = ACTIONS(7819),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7819),
    [anon_sym___typeof] = ACTIONS(7819),
    [anon_sym_typeof] = ACTIONS(7819),
    [anon_sym_BOOL] = ACTIONS(7819),
    [anon_sym_IMP] = ACTIONS(7819),
    [anon_sym_SEL] = ACTIONS(7819),
    [anon_sym_Class] = ACTIONS(7819),
    [anon_sym_id] = ACTIONS(7819),
    [anon_sym_out] = ACTIONS(7819),
    [anon_sym_inout] = ACTIONS(7819),
    [anon_sym_bycopy] = ACTIONS(7819),
    [anon_sym_byref] = ACTIONS(7819),
    [anon_sym_oneway] = ACTIONS(7819),
  },
  [3966] = {
    [sym_attribute_specifier] = STATE(3891),
    [sym_identifier] = ACTIONS(7764),
    [anon_sym_COMMA] = ACTIONS(7766),
    [anon_sym_RPAREN] = ACTIONS(7766),
    [anon_sym_LPAREN2] = ACTIONS(7766),
    [anon_sym_STAR] = ACTIONS(7766),
    [anon_sym_CARET] = ACTIONS(7766),
    [anon_sym_GT] = ACTIONS(7766),
    [anon_sym_LT] = ACTIONS(7766),
    [anon_sym___extension__] = ACTIONS(7764),
    [anon_sym___attribute__] = ACTIONS(8906),
    [anon_sym___attribute] = ACTIONS(8906),
    [anon_sym_noreturn] = ACTIONS(7764),
    [anon_sym_LBRACK] = ACTIONS(7766),
    [anon_sym___based] = ACTIONS(7764),
    [anon_sym_LBRACE] = ACTIONS(7766),
    [anon_sym_signed] = ACTIONS(7764),
    [anon_sym_unsigned] = ACTIONS(7764),
    [anon_sym_long] = ACTIONS(7764),
    [anon_sym_short] = ACTIONS(7764),
    [anon_sym_ATautoreleasepool] = ACTIONS(7766),
    [anon_sym_const] = ACTIONS(7764),
    [anon_sym_constexpr] = ACTIONS(7764),
    [anon_sym_volatile] = ACTIONS(7764),
    [anon_sym_restrict] = ACTIONS(7764),
    [anon_sym___restrict__] = ACTIONS(7764),
    [anon_sym__Atomic] = ACTIONS(7764),
    [anon_sym__Noreturn] = ACTIONS(7764),
    [anon_sym__Nonnull] = ACTIONS(7764),
    [anon_sym_nullable] = ACTIONS(7764),
    [anon_sym__Complex] = ACTIONS(7764),
    [anon_sym__Nullable] = ACTIONS(7764),
    [anon_sym__Nullable_result] = ACTIONS(7764),
    [anon_sym__Null_unspecified] = ACTIONS(7764),
    [anon_sym___autoreleasing] = ACTIONS(7764),
    [anon_sym___block] = ACTIONS(7764),
    [anon_sym___bridge] = ACTIONS(7764),
    [anon_sym___bridge_retained] = ACTIONS(7764),
    [anon_sym___bridge_transfer] = ACTIONS(7764),
    [anon_sym___complex] = ACTIONS(7764),
    [anon_sym___const] = ACTIONS(7764),
    [anon_sym___imag] = ACTIONS(7764),
    [anon_sym___kindof] = ACTIONS(7764),
    [anon_sym___nonnull] = ACTIONS(7764),
    [anon_sym___nullable] = ACTIONS(7764),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7764),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7764),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7764),
    [anon_sym___real] = ACTIONS(7764),
    [anon_sym___strong] = ACTIONS(7764),
    [anon_sym___unsafe_unretained] = ACTIONS(7764),
    [anon_sym___unused] = ACTIONS(7764),
    [anon_sym___weak] = ACTIONS(7764),
    [anon_sym_alignas] = ACTIONS(7764),
    [anon_sym__Alignas] = ACTIONS(7764),
    [sym_primitive_type] = ACTIONS(7764),
    [anon_sym_enum] = ACTIONS(7764),
    [anon_sym_struct] = ACTIONS(7764),
    [anon_sym_union] = ACTIONS(7764),
    [anon_sym_in] = ACTIONS(7764),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7764),
    [anon_sym___typeof] = ACTIONS(7764),
    [anon_sym_typeof] = ACTIONS(7764),
    [anon_sym_BOOL] = ACTIONS(7764),
    [anon_sym_IMP] = ACTIONS(7764),
    [anon_sym_SEL] = ACTIONS(7764),
    [anon_sym_Class] = ACTIONS(7764),
    [anon_sym_id] = ACTIONS(7764),
    [anon_sym_out] = ACTIONS(7764),
    [anon_sym_inout] = ACTIONS(7764),
    [anon_sym_bycopy] = ACTIONS(7764),
    [anon_sym_byref] = ACTIONS(7764),
    [anon_sym_oneway] = ACTIONS(7764),
  },
  [3967] = {
    [sym__type_definition_type] = STATE(4717),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4052),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3968] = {
    [sym_parameter_list] = STATE(3774),
    [sym_identifier] = ACTIONS(6738),
    [anon_sym_COMMA] = ACTIONS(6740),
    [anon_sym_RPAREN] = ACTIONS(6740),
    [anon_sym_LPAREN2] = ACTIONS(8848),
    [anon_sym_STAR] = ACTIONS(6740),
    [anon_sym_CARET] = ACTIONS(6740),
    [anon_sym_GT] = ACTIONS(6740),
    [anon_sym_LT] = ACTIONS(6740),
    [anon_sym___extension__] = ACTIONS(6738),
    [anon_sym___attribute__] = ACTIONS(6738),
    [anon_sym___attribute] = ACTIONS(6738),
    [anon_sym_noreturn] = ACTIONS(6738),
    [anon_sym_LBRACK] = ACTIONS(8850),
    [anon_sym___based] = ACTIONS(6738),
    [anon_sym_LBRACE] = ACTIONS(6740),
    [anon_sym_signed] = ACTIONS(6738),
    [anon_sym_unsigned] = ACTIONS(6738),
    [anon_sym_long] = ACTIONS(6738),
    [anon_sym_short] = ACTIONS(6738),
    [anon_sym_ATautoreleasepool] = ACTIONS(6740),
    [anon_sym_const] = ACTIONS(6738),
    [anon_sym_constexpr] = ACTIONS(6738),
    [anon_sym_volatile] = ACTIONS(6738),
    [anon_sym_restrict] = ACTIONS(6738),
    [anon_sym___restrict__] = ACTIONS(6738),
    [anon_sym__Atomic] = ACTIONS(6738),
    [anon_sym__Noreturn] = ACTIONS(6738),
    [anon_sym__Nonnull] = ACTIONS(6738),
    [anon_sym_nullable] = ACTIONS(6738),
    [anon_sym__Complex] = ACTIONS(6738),
    [anon_sym__Nullable] = ACTIONS(6738),
    [anon_sym__Nullable_result] = ACTIONS(6738),
    [anon_sym__Null_unspecified] = ACTIONS(6738),
    [anon_sym___autoreleasing] = ACTIONS(6738),
    [anon_sym___block] = ACTIONS(6738),
    [anon_sym___bridge] = ACTIONS(6738),
    [anon_sym___bridge_retained] = ACTIONS(6738),
    [anon_sym___bridge_transfer] = ACTIONS(6738),
    [anon_sym___complex] = ACTIONS(6738),
    [anon_sym___const] = ACTIONS(6738),
    [anon_sym___imag] = ACTIONS(6738),
    [anon_sym___kindof] = ACTIONS(6738),
    [anon_sym___nonnull] = ACTIONS(6738),
    [anon_sym___nullable] = ACTIONS(6738),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6738),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6738),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6738),
    [anon_sym___real] = ACTIONS(6738),
    [anon_sym___strong] = ACTIONS(6738),
    [anon_sym___unsafe_unretained] = ACTIONS(6738),
    [anon_sym___unused] = ACTIONS(6738),
    [anon_sym___weak] = ACTIONS(6738),
    [anon_sym_alignas] = ACTIONS(6738),
    [anon_sym__Alignas] = ACTIONS(6738),
    [sym_primitive_type] = ACTIONS(6738),
    [anon_sym_enum] = ACTIONS(6738),
    [anon_sym_struct] = ACTIONS(6738),
    [anon_sym_union] = ACTIONS(6738),
    [anon_sym_in] = ACTIONS(6738),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6738),
    [anon_sym___typeof] = ACTIONS(6738),
    [anon_sym_typeof] = ACTIONS(6738),
    [anon_sym_BOOL] = ACTIONS(6738),
    [anon_sym_IMP] = ACTIONS(6738),
    [anon_sym_SEL] = ACTIONS(6738),
    [anon_sym_Class] = ACTIONS(6738),
    [anon_sym_id] = ACTIONS(6738),
    [anon_sym_out] = ACTIONS(6738),
    [anon_sym_inout] = ACTIONS(6738),
    [anon_sym_bycopy] = ACTIONS(6738),
    [anon_sym_byref] = ACTIONS(6738),
    [anon_sym_oneway] = ACTIONS(6738),
  },
  [3969] = {
    [sym_parameter_list] = STATE(3774),
    [sym_identifier] = ACTIONS(6752),
    [anon_sym_COMMA] = ACTIONS(6754),
    [anon_sym_RPAREN] = ACTIONS(6754),
    [anon_sym_LPAREN2] = ACTIONS(8848),
    [anon_sym_STAR] = ACTIONS(6754),
    [anon_sym_CARET] = ACTIONS(6754),
    [anon_sym_GT] = ACTIONS(6754),
    [anon_sym_LT] = ACTIONS(6754),
    [anon_sym___extension__] = ACTIONS(6752),
    [anon_sym___attribute__] = ACTIONS(6752),
    [anon_sym___attribute] = ACTIONS(6752),
    [anon_sym_noreturn] = ACTIONS(6752),
    [anon_sym_LBRACK] = ACTIONS(8850),
    [anon_sym___based] = ACTIONS(6752),
    [anon_sym_LBRACE] = ACTIONS(6754),
    [anon_sym_signed] = ACTIONS(6752),
    [anon_sym_unsigned] = ACTIONS(6752),
    [anon_sym_long] = ACTIONS(6752),
    [anon_sym_short] = ACTIONS(6752),
    [anon_sym_ATautoreleasepool] = ACTIONS(6754),
    [anon_sym_const] = ACTIONS(6752),
    [anon_sym_constexpr] = ACTIONS(6752),
    [anon_sym_volatile] = ACTIONS(6752),
    [anon_sym_restrict] = ACTIONS(6752),
    [anon_sym___restrict__] = ACTIONS(6752),
    [anon_sym__Atomic] = ACTIONS(6752),
    [anon_sym__Noreturn] = ACTIONS(6752),
    [anon_sym__Nonnull] = ACTIONS(6752),
    [anon_sym_nullable] = ACTIONS(6752),
    [anon_sym__Complex] = ACTIONS(6752),
    [anon_sym__Nullable] = ACTIONS(6752),
    [anon_sym__Nullable_result] = ACTIONS(6752),
    [anon_sym__Null_unspecified] = ACTIONS(6752),
    [anon_sym___autoreleasing] = ACTIONS(6752),
    [anon_sym___block] = ACTIONS(6752),
    [anon_sym___bridge] = ACTIONS(6752),
    [anon_sym___bridge_retained] = ACTIONS(6752),
    [anon_sym___bridge_transfer] = ACTIONS(6752),
    [anon_sym___complex] = ACTIONS(6752),
    [anon_sym___const] = ACTIONS(6752),
    [anon_sym___imag] = ACTIONS(6752),
    [anon_sym___kindof] = ACTIONS(6752),
    [anon_sym___nonnull] = ACTIONS(6752),
    [anon_sym___nullable] = ACTIONS(6752),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6752),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6752),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6752),
    [anon_sym___real] = ACTIONS(6752),
    [anon_sym___strong] = ACTIONS(6752),
    [anon_sym___unsafe_unretained] = ACTIONS(6752),
    [anon_sym___unused] = ACTIONS(6752),
    [anon_sym___weak] = ACTIONS(6752),
    [anon_sym_alignas] = ACTIONS(6752),
    [anon_sym__Alignas] = ACTIONS(6752),
    [sym_primitive_type] = ACTIONS(6752),
    [anon_sym_enum] = ACTIONS(6752),
    [anon_sym_struct] = ACTIONS(6752),
    [anon_sym_union] = ACTIONS(6752),
    [anon_sym_in] = ACTIONS(6752),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6752),
    [anon_sym___typeof] = ACTIONS(6752),
    [anon_sym_typeof] = ACTIONS(6752),
    [anon_sym_BOOL] = ACTIONS(6752),
    [anon_sym_IMP] = ACTIONS(6752),
    [anon_sym_SEL] = ACTIONS(6752),
    [anon_sym_Class] = ACTIONS(6752),
    [anon_sym_id] = ACTIONS(6752),
    [anon_sym_out] = ACTIONS(6752),
    [anon_sym_inout] = ACTIONS(6752),
    [anon_sym_bycopy] = ACTIONS(6752),
    [anon_sym_byref] = ACTIONS(6752),
    [anon_sym_oneway] = ACTIONS(6752),
  },
  [3970] = {
    [sym_identifier] = ACTIONS(7297),
    [anon_sym_COMMA] = ACTIONS(7299),
    [anon_sym_RPAREN] = ACTIONS(7299),
    [anon_sym_LPAREN2] = ACTIONS(7299),
    [anon_sym_STAR] = ACTIONS(7299),
    [anon_sym_CARET] = ACTIONS(7299),
    [anon_sym_GT] = ACTIONS(7299),
    [anon_sym_LT] = ACTIONS(7299),
    [anon_sym___extension__] = ACTIONS(7297),
    [anon_sym___attribute__] = ACTIONS(7297),
    [anon_sym___attribute] = ACTIONS(7297),
    [anon_sym_noreturn] = ACTIONS(7297),
    [anon_sym_LBRACK] = ACTIONS(7299),
    [anon_sym___based] = ACTIONS(7297),
    [anon_sym_LBRACE] = ACTIONS(7299),
    [anon_sym_signed] = ACTIONS(7297),
    [anon_sym_unsigned] = ACTIONS(7297),
    [anon_sym_long] = ACTIONS(7297),
    [anon_sym_short] = ACTIONS(7297),
    [anon_sym_ATautoreleasepool] = ACTIONS(7299),
    [anon_sym_const] = ACTIONS(7297),
    [anon_sym_constexpr] = ACTIONS(7297),
    [anon_sym_volatile] = ACTIONS(7297),
    [anon_sym_restrict] = ACTIONS(7297),
    [anon_sym___restrict__] = ACTIONS(7297),
    [anon_sym__Atomic] = ACTIONS(7297),
    [anon_sym__Noreturn] = ACTIONS(7297),
    [anon_sym__Nonnull] = ACTIONS(7297),
    [anon_sym_nullable] = ACTIONS(7297),
    [anon_sym__Complex] = ACTIONS(7297),
    [anon_sym__Nullable] = ACTIONS(7297),
    [anon_sym__Nullable_result] = ACTIONS(7297),
    [anon_sym__Null_unspecified] = ACTIONS(7297),
    [anon_sym___autoreleasing] = ACTIONS(7297),
    [anon_sym___block] = ACTIONS(7297),
    [anon_sym___bridge] = ACTIONS(7297),
    [anon_sym___bridge_retained] = ACTIONS(7297),
    [anon_sym___bridge_transfer] = ACTIONS(7297),
    [anon_sym___complex] = ACTIONS(7297),
    [anon_sym___const] = ACTIONS(7297),
    [anon_sym___imag] = ACTIONS(7297),
    [anon_sym___kindof] = ACTIONS(7297),
    [anon_sym___nonnull] = ACTIONS(7297),
    [anon_sym___nullable] = ACTIONS(7297),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7297),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7297),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7297),
    [anon_sym___real] = ACTIONS(7297),
    [anon_sym___strong] = ACTIONS(7297),
    [anon_sym___unsafe_unretained] = ACTIONS(7297),
    [anon_sym___unused] = ACTIONS(7297),
    [anon_sym___weak] = ACTIONS(7297),
    [anon_sym_alignas] = ACTIONS(7297),
    [anon_sym__Alignas] = ACTIONS(7297),
    [sym_primitive_type] = ACTIONS(7297),
    [anon_sym_enum] = ACTIONS(7297),
    [anon_sym_COLON] = ACTIONS(7299),
    [anon_sym_struct] = ACTIONS(7297),
    [anon_sym_union] = ACTIONS(7297),
    [anon_sym_in] = ACTIONS(7297),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7297),
    [anon_sym___typeof] = ACTIONS(7297),
    [anon_sym_typeof] = ACTIONS(7297),
    [anon_sym_BOOL] = ACTIONS(7297),
    [anon_sym_IMP] = ACTIONS(7297),
    [anon_sym_SEL] = ACTIONS(7297),
    [anon_sym_Class] = ACTIONS(7297),
    [anon_sym_id] = ACTIONS(7297),
    [anon_sym_out] = ACTIONS(7297),
    [anon_sym_inout] = ACTIONS(7297),
    [anon_sym_bycopy] = ACTIONS(7297),
    [anon_sym_byref] = ACTIONS(7297),
    [anon_sym_oneway] = ACTIONS(7297),
  },
  [3971] = {
    [sym_identifier] = ACTIONS(7323),
    [anon_sym_COMMA] = ACTIONS(7325),
    [anon_sym_RPAREN] = ACTIONS(7325),
    [anon_sym_LPAREN2] = ACTIONS(7325),
    [anon_sym_STAR] = ACTIONS(7325),
    [anon_sym_CARET] = ACTIONS(7325),
    [anon_sym_GT] = ACTIONS(7325),
    [anon_sym_LT] = ACTIONS(7325),
    [anon_sym___extension__] = ACTIONS(7323),
    [anon_sym___attribute__] = ACTIONS(7323),
    [anon_sym___attribute] = ACTIONS(7323),
    [anon_sym_noreturn] = ACTIONS(7323),
    [anon_sym_LBRACK] = ACTIONS(7325),
    [anon_sym___based] = ACTIONS(7323),
    [anon_sym_LBRACE] = ACTIONS(7325),
    [anon_sym_signed] = ACTIONS(7323),
    [anon_sym_unsigned] = ACTIONS(7323),
    [anon_sym_long] = ACTIONS(7323),
    [anon_sym_short] = ACTIONS(7323),
    [anon_sym_ATautoreleasepool] = ACTIONS(7325),
    [anon_sym_const] = ACTIONS(7323),
    [anon_sym_constexpr] = ACTIONS(7323),
    [anon_sym_volatile] = ACTIONS(7323),
    [anon_sym_restrict] = ACTIONS(7323),
    [anon_sym___restrict__] = ACTIONS(7323),
    [anon_sym__Atomic] = ACTIONS(7323),
    [anon_sym__Noreturn] = ACTIONS(7323),
    [anon_sym__Nonnull] = ACTIONS(7323),
    [anon_sym_nullable] = ACTIONS(7323),
    [anon_sym__Complex] = ACTIONS(7323),
    [anon_sym__Nullable] = ACTIONS(7323),
    [anon_sym__Nullable_result] = ACTIONS(7323),
    [anon_sym__Null_unspecified] = ACTIONS(7323),
    [anon_sym___autoreleasing] = ACTIONS(7323),
    [anon_sym___block] = ACTIONS(7323),
    [anon_sym___bridge] = ACTIONS(7323),
    [anon_sym___bridge_retained] = ACTIONS(7323),
    [anon_sym___bridge_transfer] = ACTIONS(7323),
    [anon_sym___complex] = ACTIONS(7323),
    [anon_sym___const] = ACTIONS(7323),
    [anon_sym___imag] = ACTIONS(7323),
    [anon_sym___kindof] = ACTIONS(7323),
    [anon_sym___nonnull] = ACTIONS(7323),
    [anon_sym___nullable] = ACTIONS(7323),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7323),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7323),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7323),
    [anon_sym___real] = ACTIONS(7323),
    [anon_sym___strong] = ACTIONS(7323),
    [anon_sym___unsafe_unretained] = ACTIONS(7323),
    [anon_sym___unused] = ACTIONS(7323),
    [anon_sym___weak] = ACTIONS(7323),
    [anon_sym_alignas] = ACTIONS(7323),
    [anon_sym__Alignas] = ACTIONS(7323),
    [sym_primitive_type] = ACTIONS(7323),
    [anon_sym_enum] = ACTIONS(7323),
    [anon_sym_COLON] = ACTIONS(7325),
    [anon_sym_struct] = ACTIONS(7323),
    [anon_sym_union] = ACTIONS(7323),
    [anon_sym_in] = ACTIONS(7323),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7323),
    [anon_sym___typeof] = ACTIONS(7323),
    [anon_sym_typeof] = ACTIONS(7323),
    [anon_sym_BOOL] = ACTIONS(7323),
    [anon_sym_IMP] = ACTIONS(7323),
    [anon_sym_SEL] = ACTIONS(7323),
    [anon_sym_Class] = ACTIONS(7323),
    [anon_sym_id] = ACTIONS(7323),
    [anon_sym_out] = ACTIONS(7323),
    [anon_sym_inout] = ACTIONS(7323),
    [anon_sym_bycopy] = ACTIONS(7323),
    [anon_sym_byref] = ACTIONS(7323),
    [anon_sym_oneway] = ACTIONS(7323),
  },
  [3972] = {
    [sym_identifier] = ACTIONS(7327),
    [anon_sym_COMMA] = ACTIONS(7329),
    [anon_sym_RPAREN] = ACTIONS(7329),
    [anon_sym_LPAREN2] = ACTIONS(7329),
    [anon_sym_STAR] = ACTIONS(7329),
    [anon_sym_CARET] = ACTIONS(7329),
    [anon_sym_GT] = ACTIONS(7329),
    [anon_sym_LT] = ACTIONS(7329),
    [anon_sym___extension__] = ACTIONS(7327),
    [anon_sym___attribute__] = ACTIONS(7327),
    [anon_sym___attribute] = ACTIONS(7327),
    [anon_sym_noreturn] = ACTIONS(7327),
    [anon_sym_LBRACK] = ACTIONS(7329),
    [anon_sym___based] = ACTIONS(7327),
    [anon_sym_LBRACE] = ACTIONS(7329),
    [anon_sym_signed] = ACTIONS(7327),
    [anon_sym_unsigned] = ACTIONS(7327),
    [anon_sym_long] = ACTIONS(7327),
    [anon_sym_short] = ACTIONS(7327),
    [anon_sym_ATautoreleasepool] = ACTIONS(7329),
    [anon_sym_const] = ACTIONS(7327),
    [anon_sym_constexpr] = ACTIONS(7327),
    [anon_sym_volatile] = ACTIONS(7327),
    [anon_sym_restrict] = ACTIONS(7327),
    [anon_sym___restrict__] = ACTIONS(7327),
    [anon_sym__Atomic] = ACTIONS(7327),
    [anon_sym__Noreturn] = ACTIONS(7327),
    [anon_sym__Nonnull] = ACTIONS(7327),
    [anon_sym_nullable] = ACTIONS(7327),
    [anon_sym__Complex] = ACTIONS(7327),
    [anon_sym__Nullable] = ACTIONS(7327),
    [anon_sym__Nullable_result] = ACTIONS(7327),
    [anon_sym__Null_unspecified] = ACTIONS(7327),
    [anon_sym___autoreleasing] = ACTIONS(7327),
    [anon_sym___block] = ACTIONS(7327),
    [anon_sym___bridge] = ACTIONS(7327),
    [anon_sym___bridge_retained] = ACTIONS(7327),
    [anon_sym___bridge_transfer] = ACTIONS(7327),
    [anon_sym___complex] = ACTIONS(7327),
    [anon_sym___const] = ACTIONS(7327),
    [anon_sym___imag] = ACTIONS(7327),
    [anon_sym___kindof] = ACTIONS(7327),
    [anon_sym___nonnull] = ACTIONS(7327),
    [anon_sym___nullable] = ACTIONS(7327),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7327),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7327),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7327),
    [anon_sym___real] = ACTIONS(7327),
    [anon_sym___strong] = ACTIONS(7327),
    [anon_sym___unsafe_unretained] = ACTIONS(7327),
    [anon_sym___unused] = ACTIONS(7327),
    [anon_sym___weak] = ACTIONS(7327),
    [anon_sym_alignas] = ACTIONS(7327),
    [anon_sym__Alignas] = ACTIONS(7327),
    [sym_primitive_type] = ACTIONS(7327),
    [anon_sym_enum] = ACTIONS(7327),
    [anon_sym_COLON] = ACTIONS(7329),
    [anon_sym_struct] = ACTIONS(7327),
    [anon_sym_union] = ACTIONS(7327),
    [anon_sym_in] = ACTIONS(7327),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7327),
    [anon_sym___typeof] = ACTIONS(7327),
    [anon_sym_typeof] = ACTIONS(7327),
    [anon_sym_BOOL] = ACTIONS(7327),
    [anon_sym_IMP] = ACTIONS(7327),
    [anon_sym_SEL] = ACTIONS(7327),
    [anon_sym_Class] = ACTIONS(7327),
    [anon_sym_id] = ACTIONS(7327),
    [anon_sym_out] = ACTIONS(7327),
    [anon_sym_inout] = ACTIONS(7327),
    [anon_sym_bycopy] = ACTIONS(7327),
    [anon_sym_byref] = ACTIONS(7327),
    [anon_sym_oneway] = ACTIONS(7327),
  },
  [3973] = {
    [sym_attribute_specifier] = STATE(3972),
    [sym_identifier] = ACTIONS(7757),
    [anon_sym_COMMA] = ACTIONS(7759),
    [anon_sym_RPAREN] = ACTIONS(7759),
    [anon_sym_LPAREN2] = ACTIONS(7759),
    [anon_sym_STAR] = ACTIONS(7759),
    [anon_sym_CARET] = ACTIONS(7759),
    [anon_sym_GT] = ACTIONS(7759),
    [anon_sym_LT] = ACTIONS(7759),
    [anon_sym___extension__] = ACTIONS(7757),
    [anon_sym___attribute__] = ACTIONS(8909),
    [anon_sym___attribute] = ACTIONS(8909),
    [anon_sym_noreturn] = ACTIONS(7757),
    [anon_sym_LBRACK] = ACTIONS(7759),
    [anon_sym___based] = ACTIONS(7757),
    [anon_sym_LBRACE] = ACTIONS(7759),
    [anon_sym_signed] = ACTIONS(7757),
    [anon_sym_unsigned] = ACTIONS(7757),
    [anon_sym_long] = ACTIONS(7757),
    [anon_sym_short] = ACTIONS(7757),
    [anon_sym_ATautoreleasepool] = ACTIONS(7759),
    [anon_sym_const] = ACTIONS(7757),
    [anon_sym_constexpr] = ACTIONS(7757),
    [anon_sym_volatile] = ACTIONS(7757),
    [anon_sym_restrict] = ACTIONS(7757),
    [anon_sym___restrict__] = ACTIONS(7757),
    [anon_sym__Atomic] = ACTIONS(7757),
    [anon_sym__Noreturn] = ACTIONS(7757),
    [anon_sym__Nonnull] = ACTIONS(7757),
    [anon_sym_nullable] = ACTIONS(7757),
    [anon_sym__Complex] = ACTIONS(7757),
    [anon_sym__Nullable] = ACTIONS(7757),
    [anon_sym__Nullable_result] = ACTIONS(7757),
    [anon_sym__Null_unspecified] = ACTIONS(7757),
    [anon_sym___autoreleasing] = ACTIONS(7757),
    [anon_sym___block] = ACTIONS(7757),
    [anon_sym___bridge] = ACTIONS(7757),
    [anon_sym___bridge_retained] = ACTIONS(7757),
    [anon_sym___bridge_transfer] = ACTIONS(7757),
    [anon_sym___complex] = ACTIONS(7757),
    [anon_sym___const] = ACTIONS(7757),
    [anon_sym___imag] = ACTIONS(7757),
    [anon_sym___kindof] = ACTIONS(7757),
    [anon_sym___nonnull] = ACTIONS(7757),
    [anon_sym___nullable] = ACTIONS(7757),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7757),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7757),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7757),
    [anon_sym___real] = ACTIONS(7757),
    [anon_sym___strong] = ACTIONS(7757),
    [anon_sym___unsafe_unretained] = ACTIONS(7757),
    [anon_sym___unused] = ACTIONS(7757),
    [anon_sym___weak] = ACTIONS(7757),
    [anon_sym_alignas] = ACTIONS(7757),
    [anon_sym__Alignas] = ACTIONS(7757),
    [sym_primitive_type] = ACTIONS(7757),
    [anon_sym_enum] = ACTIONS(7757),
    [anon_sym_struct] = ACTIONS(7757),
    [anon_sym_union] = ACTIONS(7757),
    [anon_sym_in] = ACTIONS(7757),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7757),
    [anon_sym___typeof] = ACTIONS(7757),
    [anon_sym_typeof] = ACTIONS(7757),
    [anon_sym_BOOL] = ACTIONS(7757),
    [anon_sym_IMP] = ACTIONS(7757),
    [anon_sym_SEL] = ACTIONS(7757),
    [anon_sym_Class] = ACTIONS(7757),
    [anon_sym_id] = ACTIONS(7757),
    [anon_sym_out] = ACTIONS(7757),
    [anon_sym_inout] = ACTIONS(7757),
    [anon_sym_bycopy] = ACTIONS(7757),
    [anon_sym_byref] = ACTIONS(7757),
    [anon_sym_oneway] = ACTIONS(7757),
  },
  [3974] = {
    [sym_attribute_specifier] = STATE(3978),
    [sym_identifier] = ACTIONS(7771),
    [anon_sym_COMMA] = ACTIONS(7773),
    [anon_sym_RPAREN] = ACTIONS(7773),
    [anon_sym_LPAREN2] = ACTIONS(7773),
    [anon_sym_STAR] = ACTIONS(7773),
    [anon_sym_CARET] = ACTIONS(7773),
    [anon_sym_GT] = ACTIONS(7773),
    [anon_sym_LT] = ACTIONS(7773),
    [anon_sym___extension__] = ACTIONS(7771),
    [anon_sym___attribute__] = ACTIONS(8912),
    [anon_sym___attribute] = ACTIONS(8912),
    [anon_sym_noreturn] = ACTIONS(7771),
    [anon_sym_LBRACK] = ACTIONS(7773),
    [anon_sym___based] = ACTIONS(7771),
    [anon_sym_LBRACE] = ACTIONS(7773),
    [anon_sym_signed] = ACTIONS(7771),
    [anon_sym_unsigned] = ACTIONS(7771),
    [anon_sym_long] = ACTIONS(7771),
    [anon_sym_short] = ACTIONS(7771),
    [anon_sym_ATautoreleasepool] = ACTIONS(7773),
    [anon_sym_const] = ACTIONS(7771),
    [anon_sym_constexpr] = ACTIONS(7771),
    [anon_sym_volatile] = ACTIONS(7771),
    [anon_sym_restrict] = ACTIONS(7771),
    [anon_sym___restrict__] = ACTIONS(7771),
    [anon_sym__Atomic] = ACTIONS(7771),
    [anon_sym__Noreturn] = ACTIONS(7771),
    [anon_sym__Nonnull] = ACTIONS(7771),
    [anon_sym_nullable] = ACTIONS(7771),
    [anon_sym__Complex] = ACTIONS(7771),
    [anon_sym__Nullable] = ACTIONS(7771),
    [anon_sym__Nullable_result] = ACTIONS(7771),
    [anon_sym__Null_unspecified] = ACTIONS(7771),
    [anon_sym___autoreleasing] = ACTIONS(7771),
    [anon_sym___block] = ACTIONS(7771),
    [anon_sym___bridge] = ACTIONS(7771),
    [anon_sym___bridge_retained] = ACTIONS(7771),
    [anon_sym___bridge_transfer] = ACTIONS(7771),
    [anon_sym___complex] = ACTIONS(7771),
    [anon_sym___const] = ACTIONS(7771),
    [anon_sym___imag] = ACTIONS(7771),
    [anon_sym___kindof] = ACTIONS(7771),
    [anon_sym___nonnull] = ACTIONS(7771),
    [anon_sym___nullable] = ACTIONS(7771),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7771),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7771),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7771),
    [anon_sym___real] = ACTIONS(7771),
    [anon_sym___strong] = ACTIONS(7771),
    [anon_sym___unsafe_unretained] = ACTIONS(7771),
    [anon_sym___unused] = ACTIONS(7771),
    [anon_sym___weak] = ACTIONS(7771),
    [anon_sym_alignas] = ACTIONS(7771),
    [anon_sym__Alignas] = ACTIONS(7771),
    [sym_primitive_type] = ACTIONS(7771),
    [anon_sym_enum] = ACTIONS(7771),
    [anon_sym_struct] = ACTIONS(7771),
    [anon_sym_union] = ACTIONS(7771),
    [anon_sym_in] = ACTIONS(7771),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7771),
    [anon_sym___typeof] = ACTIONS(7771),
    [anon_sym_typeof] = ACTIONS(7771),
    [anon_sym_BOOL] = ACTIONS(7771),
    [anon_sym_IMP] = ACTIONS(7771),
    [anon_sym_SEL] = ACTIONS(7771),
    [anon_sym_Class] = ACTIONS(7771),
    [anon_sym_id] = ACTIONS(7771),
    [anon_sym_out] = ACTIONS(7771),
    [anon_sym_inout] = ACTIONS(7771),
    [anon_sym_bycopy] = ACTIONS(7771),
    [anon_sym_byref] = ACTIONS(7771),
    [anon_sym_oneway] = ACTIONS(7771),
  },
  [3975] = {
    [sym_attribute_specifier] = STATE(3979),
    [sym_identifier] = ACTIONS(7778),
    [anon_sym_COMMA] = ACTIONS(7780),
    [anon_sym_RPAREN] = ACTIONS(7780),
    [anon_sym_LPAREN2] = ACTIONS(7780),
    [anon_sym_STAR] = ACTIONS(7780),
    [anon_sym_CARET] = ACTIONS(7780),
    [anon_sym_GT] = ACTIONS(7780),
    [anon_sym_LT] = ACTIONS(7780),
    [anon_sym___extension__] = ACTIONS(7778),
    [anon_sym___attribute__] = ACTIONS(8915),
    [anon_sym___attribute] = ACTIONS(8915),
    [anon_sym_noreturn] = ACTIONS(7778),
    [anon_sym_LBRACK] = ACTIONS(7780),
    [anon_sym___based] = ACTIONS(7778),
    [anon_sym_LBRACE] = ACTIONS(7780),
    [anon_sym_signed] = ACTIONS(7778),
    [anon_sym_unsigned] = ACTIONS(7778),
    [anon_sym_long] = ACTIONS(7778),
    [anon_sym_short] = ACTIONS(7778),
    [anon_sym_ATautoreleasepool] = ACTIONS(7780),
    [anon_sym_const] = ACTIONS(7778),
    [anon_sym_constexpr] = ACTIONS(7778),
    [anon_sym_volatile] = ACTIONS(7778),
    [anon_sym_restrict] = ACTIONS(7778),
    [anon_sym___restrict__] = ACTIONS(7778),
    [anon_sym__Atomic] = ACTIONS(7778),
    [anon_sym__Noreturn] = ACTIONS(7778),
    [anon_sym__Nonnull] = ACTIONS(7778),
    [anon_sym_nullable] = ACTIONS(7778),
    [anon_sym__Complex] = ACTIONS(7778),
    [anon_sym__Nullable] = ACTIONS(7778),
    [anon_sym__Nullable_result] = ACTIONS(7778),
    [anon_sym__Null_unspecified] = ACTIONS(7778),
    [anon_sym___autoreleasing] = ACTIONS(7778),
    [anon_sym___block] = ACTIONS(7778),
    [anon_sym___bridge] = ACTIONS(7778),
    [anon_sym___bridge_retained] = ACTIONS(7778),
    [anon_sym___bridge_transfer] = ACTIONS(7778),
    [anon_sym___complex] = ACTIONS(7778),
    [anon_sym___const] = ACTIONS(7778),
    [anon_sym___imag] = ACTIONS(7778),
    [anon_sym___kindof] = ACTIONS(7778),
    [anon_sym___nonnull] = ACTIONS(7778),
    [anon_sym___nullable] = ACTIONS(7778),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7778),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7778),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7778),
    [anon_sym___real] = ACTIONS(7778),
    [anon_sym___strong] = ACTIONS(7778),
    [anon_sym___unsafe_unretained] = ACTIONS(7778),
    [anon_sym___unused] = ACTIONS(7778),
    [anon_sym___weak] = ACTIONS(7778),
    [anon_sym_alignas] = ACTIONS(7778),
    [anon_sym__Alignas] = ACTIONS(7778),
    [sym_primitive_type] = ACTIONS(7778),
    [anon_sym_enum] = ACTIONS(7778),
    [anon_sym_struct] = ACTIONS(7778),
    [anon_sym_union] = ACTIONS(7778),
    [anon_sym_in] = ACTIONS(7778),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7778),
    [anon_sym___typeof] = ACTIONS(7778),
    [anon_sym_typeof] = ACTIONS(7778),
    [anon_sym_BOOL] = ACTIONS(7778),
    [anon_sym_IMP] = ACTIONS(7778),
    [anon_sym_SEL] = ACTIONS(7778),
    [anon_sym_Class] = ACTIONS(7778),
    [anon_sym_id] = ACTIONS(7778),
    [anon_sym_out] = ACTIONS(7778),
    [anon_sym_inout] = ACTIONS(7778),
    [anon_sym_bycopy] = ACTIONS(7778),
    [anon_sym_byref] = ACTIONS(7778),
    [anon_sym_oneway] = ACTIONS(7778),
  },
  [3976] = {
    [sym_attribute_specifier] = STATE(3862),
    [sym_identifier] = ACTIONS(7787),
    [anon_sym_COMMA] = ACTIONS(7789),
    [anon_sym_RPAREN] = ACTIONS(7789),
    [anon_sym_LPAREN2] = ACTIONS(7789),
    [anon_sym_STAR] = ACTIONS(7789),
    [anon_sym_CARET] = ACTIONS(7789),
    [anon_sym_GT] = ACTIONS(7789),
    [anon_sym_LT] = ACTIONS(7789),
    [anon_sym___extension__] = ACTIONS(7787),
    [anon_sym___attribute__] = ACTIONS(8918),
    [anon_sym___attribute] = ACTIONS(8918),
    [anon_sym_noreturn] = ACTIONS(7787),
    [anon_sym_LBRACK] = ACTIONS(7789),
    [anon_sym___based] = ACTIONS(7787),
    [anon_sym_LBRACE] = ACTIONS(7789),
    [anon_sym_signed] = ACTIONS(7787),
    [anon_sym_unsigned] = ACTIONS(7787),
    [anon_sym_long] = ACTIONS(7787),
    [anon_sym_short] = ACTIONS(7787),
    [anon_sym_ATautoreleasepool] = ACTIONS(7789),
    [anon_sym_const] = ACTIONS(7787),
    [anon_sym_constexpr] = ACTIONS(7787),
    [anon_sym_volatile] = ACTIONS(7787),
    [anon_sym_restrict] = ACTIONS(7787),
    [anon_sym___restrict__] = ACTIONS(7787),
    [anon_sym__Atomic] = ACTIONS(7787),
    [anon_sym__Noreturn] = ACTIONS(7787),
    [anon_sym__Nonnull] = ACTIONS(7787),
    [anon_sym_nullable] = ACTIONS(7787),
    [anon_sym__Complex] = ACTIONS(7787),
    [anon_sym__Nullable] = ACTIONS(7787),
    [anon_sym__Nullable_result] = ACTIONS(7787),
    [anon_sym__Null_unspecified] = ACTIONS(7787),
    [anon_sym___autoreleasing] = ACTIONS(7787),
    [anon_sym___block] = ACTIONS(7787),
    [anon_sym___bridge] = ACTIONS(7787),
    [anon_sym___bridge_retained] = ACTIONS(7787),
    [anon_sym___bridge_transfer] = ACTIONS(7787),
    [anon_sym___complex] = ACTIONS(7787),
    [anon_sym___const] = ACTIONS(7787),
    [anon_sym___imag] = ACTIONS(7787),
    [anon_sym___kindof] = ACTIONS(7787),
    [anon_sym___nonnull] = ACTIONS(7787),
    [anon_sym___nullable] = ACTIONS(7787),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7787),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7787),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7787),
    [anon_sym___real] = ACTIONS(7787),
    [anon_sym___strong] = ACTIONS(7787),
    [anon_sym___unsafe_unretained] = ACTIONS(7787),
    [anon_sym___unused] = ACTIONS(7787),
    [anon_sym___weak] = ACTIONS(7787),
    [anon_sym_alignas] = ACTIONS(7787),
    [anon_sym__Alignas] = ACTIONS(7787),
    [sym_primitive_type] = ACTIONS(7787),
    [anon_sym_enum] = ACTIONS(7787),
    [anon_sym_struct] = ACTIONS(7787),
    [anon_sym_union] = ACTIONS(7787),
    [anon_sym_in] = ACTIONS(7787),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7787),
    [anon_sym___typeof] = ACTIONS(7787),
    [anon_sym_typeof] = ACTIONS(7787),
    [anon_sym_BOOL] = ACTIONS(7787),
    [anon_sym_IMP] = ACTIONS(7787),
    [anon_sym_SEL] = ACTIONS(7787),
    [anon_sym_Class] = ACTIONS(7787),
    [anon_sym_id] = ACTIONS(7787),
    [anon_sym_out] = ACTIONS(7787),
    [anon_sym_inout] = ACTIONS(7787),
    [anon_sym_bycopy] = ACTIONS(7787),
    [anon_sym_byref] = ACTIONS(7787),
    [anon_sym_oneway] = ACTIONS(7787),
  },
  [3977] = {
    [sym_parameter_list] = STATE(3774),
    [sym_identifier] = ACTIONS(6726),
    [anon_sym_COMMA] = ACTIONS(6728),
    [anon_sym_RPAREN] = ACTIONS(6728),
    [anon_sym_LPAREN2] = ACTIONS(8848),
    [anon_sym_STAR] = ACTIONS(6728),
    [anon_sym_CARET] = ACTIONS(6728),
    [anon_sym_GT] = ACTIONS(6728),
    [anon_sym_LT] = ACTIONS(6728),
    [anon_sym___extension__] = ACTIONS(6726),
    [anon_sym___attribute__] = ACTIONS(6726),
    [anon_sym___attribute] = ACTIONS(6726),
    [anon_sym_noreturn] = ACTIONS(6726),
    [anon_sym_LBRACK] = ACTIONS(8850),
    [anon_sym___based] = ACTIONS(6726),
    [anon_sym_LBRACE] = ACTIONS(6728),
    [anon_sym_signed] = ACTIONS(6726),
    [anon_sym_unsigned] = ACTIONS(6726),
    [anon_sym_long] = ACTIONS(6726),
    [anon_sym_short] = ACTIONS(6726),
    [anon_sym_ATautoreleasepool] = ACTIONS(6728),
    [anon_sym_const] = ACTIONS(6726),
    [anon_sym_constexpr] = ACTIONS(6726),
    [anon_sym_volatile] = ACTIONS(6726),
    [anon_sym_restrict] = ACTIONS(6726),
    [anon_sym___restrict__] = ACTIONS(6726),
    [anon_sym__Atomic] = ACTIONS(6726),
    [anon_sym__Noreturn] = ACTIONS(6726),
    [anon_sym__Nonnull] = ACTIONS(6726),
    [anon_sym_nullable] = ACTIONS(6726),
    [anon_sym__Complex] = ACTIONS(6726),
    [anon_sym__Nullable] = ACTIONS(6726),
    [anon_sym__Nullable_result] = ACTIONS(6726),
    [anon_sym__Null_unspecified] = ACTIONS(6726),
    [anon_sym___autoreleasing] = ACTIONS(6726),
    [anon_sym___block] = ACTIONS(6726),
    [anon_sym___bridge] = ACTIONS(6726),
    [anon_sym___bridge_retained] = ACTIONS(6726),
    [anon_sym___bridge_transfer] = ACTIONS(6726),
    [anon_sym___complex] = ACTIONS(6726),
    [anon_sym___const] = ACTIONS(6726),
    [anon_sym___imag] = ACTIONS(6726),
    [anon_sym___kindof] = ACTIONS(6726),
    [anon_sym___nonnull] = ACTIONS(6726),
    [anon_sym___nullable] = ACTIONS(6726),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6726),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6726),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6726),
    [anon_sym___real] = ACTIONS(6726),
    [anon_sym___strong] = ACTIONS(6726),
    [anon_sym___unsafe_unretained] = ACTIONS(6726),
    [anon_sym___unused] = ACTIONS(6726),
    [anon_sym___weak] = ACTIONS(6726),
    [anon_sym_alignas] = ACTIONS(6726),
    [anon_sym__Alignas] = ACTIONS(6726),
    [sym_primitive_type] = ACTIONS(6726),
    [anon_sym_enum] = ACTIONS(6726),
    [anon_sym_struct] = ACTIONS(6726),
    [anon_sym_union] = ACTIONS(6726),
    [anon_sym_in] = ACTIONS(6726),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6726),
    [anon_sym___typeof] = ACTIONS(6726),
    [anon_sym_typeof] = ACTIONS(6726),
    [anon_sym_BOOL] = ACTIONS(6726),
    [anon_sym_IMP] = ACTIONS(6726),
    [anon_sym_SEL] = ACTIONS(6726),
    [anon_sym_Class] = ACTIONS(6726),
    [anon_sym_id] = ACTIONS(6726),
    [anon_sym_out] = ACTIONS(6726),
    [anon_sym_inout] = ACTIONS(6726),
    [anon_sym_bycopy] = ACTIONS(6726),
    [anon_sym_byref] = ACTIONS(6726),
    [anon_sym_oneway] = ACTIONS(6726),
  },
  [3978] = {
    [sym_identifier] = ACTIONS(7331),
    [anon_sym_COMMA] = ACTIONS(7333),
    [anon_sym_RPAREN] = ACTIONS(7333),
    [anon_sym_LPAREN2] = ACTIONS(7333),
    [anon_sym_STAR] = ACTIONS(7333),
    [anon_sym_CARET] = ACTIONS(7333),
    [anon_sym_GT] = ACTIONS(7333),
    [anon_sym_LT] = ACTIONS(7333),
    [anon_sym___extension__] = ACTIONS(7331),
    [anon_sym___attribute__] = ACTIONS(7331),
    [anon_sym___attribute] = ACTIONS(7331),
    [anon_sym_noreturn] = ACTIONS(7331),
    [anon_sym_LBRACK] = ACTIONS(7333),
    [anon_sym___based] = ACTIONS(7331),
    [anon_sym_LBRACE] = ACTIONS(7333),
    [anon_sym_signed] = ACTIONS(7331),
    [anon_sym_unsigned] = ACTIONS(7331),
    [anon_sym_long] = ACTIONS(7331),
    [anon_sym_short] = ACTIONS(7331),
    [anon_sym_ATautoreleasepool] = ACTIONS(7333),
    [anon_sym_const] = ACTIONS(7331),
    [anon_sym_constexpr] = ACTIONS(7331),
    [anon_sym_volatile] = ACTIONS(7331),
    [anon_sym_restrict] = ACTIONS(7331),
    [anon_sym___restrict__] = ACTIONS(7331),
    [anon_sym__Atomic] = ACTIONS(7331),
    [anon_sym__Noreturn] = ACTIONS(7331),
    [anon_sym__Nonnull] = ACTIONS(7331),
    [anon_sym_nullable] = ACTIONS(7331),
    [anon_sym__Complex] = ACTIONS(7331),
    [anon_sym__Nullable] = ACTIONS(7331),
    [anon_sym__Nullable_result] = ACTIONS(7331),
    [anon_sym__Null_unspecified] = ACTIONS(7331),
    [anon_sym___autoreleasing] = ACTIONS(7331),
    [anon_sym___block] = ACTIONS(7331),
    [anon_sym___bridge] = ACTIONS(7331),
    [anon_sym___bridge_retained] = ACTIONS(7331),
    [anon_sym___bridge_transfer] = ACTIONS(7331),
    [anon_sym___complex] = ACTIONS(7331),
    [anon_sym___const] = ACTIONS(7331),
    [anon_sym___imag] = ACTIONS(7331),
    [anon_sym___kindof] = ACTIONS(7331),
    [anon_sym___nonnull] = ACTIONS(7331),
    [anon_sym___nullable] = ACTIONS(7331),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7331),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7331),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7331),
    [anon_sym___real] = ACTIONS(7331),
    [anon_sym___strong] = ACTIONS(7331),
    [anon_sym___unsafe_unretained] = ACTIONS(7331),
    [anon_sym___unused] = ACTIONS(7331),
    [anon_sym___weak] = ACTIONS(7331),
    [anon_sym_alignas] = ACTIONS(7331),
    [anon_sym__Alignas] = ACTIONS(7331),
    [sym_primitive_type] = ACTIONS(7331),
    [anon_sym_enum] = ACTIONS(7331),
    [anon_sym_COLON] = ACTIONS(7333),
    [anon_sym_struct] = ACTIONS(7331),
    [anon_sym_union] = ACTIONS(7331),
    [anon_sym_in] = ACTIONS(7331),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7331),
    [anon_sym___typeof] = ACTIONS(7331),
    [anon_sym_typeof] = ACTIONS(7331),
    [anon_sym_BOOL] = ACTIONS(7331),
    [anon_sym_IMP] = ACTIONS(7331),
    [anon_sym_SEL] = ACTIONS(7331),
    [anon_sym_Class] = ACTIONS(7331),
    [anon_sym_id] = ACTIONS(7331),
    [anon_sym_out] = ACTIONS(7331),
    [anon_sym_inout] = ACTIONS(7331),
    [anon_sym_bycopy] = ACTIONS(7331),
    [anon_sym_byref] = ACTIONS(7331),
    [anon_sym_oneway] = ACTIONS(7331),
  },
  [3979] = {
    [sym_identifier] = ACTIONS(7351),
    [anon_sym_COMMA] = ACTIONS(7353),
    [anon_sym_RPAREN] = ACTIONS(7353),
    [anon_sym_LPAREN2] = ACTIONS(7353),
    [anon_sym_STAR] = ACTIONS(7353),
    [anon_sym_CARET] = ACTIONS(7353),
    [anon_sym_GT] = ACTIONS(7353),
    [anon_sym_LT] = ACTIONS(7353),
    [anon_sym___extension__] = ACTIONS(7351),
    [anon_sym___attribute__] = ACTIONS(7351),
    [anon_sym___attribute] = ACTIONS(7351),
    [anon_sym_noreturn] = ACTIONS(7351),
    [anon_sym_LBRACK] = ACTIONS(7353),
    [anon_sym___based] = ACTIONS(7351),
    [anon_sym_LBRACE] = ACTIONS(7353),
    [anon_sym_signed] = ACTIONS(7351),
    [anon_sym_unsigned] = ACTIONS(7351),
    [anon_sym_long] = ACTIONS(7351),
    [anon_sym_short] = ACTIONS(7351),
    [anon_sym_ATautoreleasepool] = ACTIONS(7353),
    [anon_sym_const] = ACTIONS(7351),
    [anon_sym_constexpr] = ACTIONS(7351),
    [anon_sym_volatile] = ACTIONS(7351),
    [anon_sym_restrict] = ACTIONS(7351),
    [anon_sym___restrict__] = ACTIONS(7351),
    [anon_sym__Atomic] = ACTIONS(7351),
    [anon_sym__Noreturn] = ACTIONS(7351),
    [anon_sym__Nonnull] = ACTIONS(7351),
    [anon_sym_nullable] = ACTIONS(7351),
    [anon_sym__Complex] = ACTIONS(7351),
    [anon_sym__Nullable] = ACTIONS(7351),
    [anon_sym__Nullable_result] = ACTIONS(7351),
    [anon_sym__Null_unspecified] = ACTIONS(7351),
    [anon_sym___autoreleasing] = ACTIONS(7351),
    [anon_sym___block] = ACTIONS(7351),
    [anon_sym___bridge] = ACTIONS(7351),
    [anon_sym___bridge_retained] = ACTIONS(7351),
    [anon_sym___bridge_transfer] = ACTIONS(7351),
    [anon_sym___complex] = ACTIONS(7351),
    [anon_sym___const] = ACTIONS(7351),
    [anon_sym___imag] = ACTIONS(7351),
    [anon_sym___kindof] = ACTIONS(7351),
    [anon_sym___nonnull] = ACTIONS(7351),
    [anon_sym___nullable] = ACTIONS(7351),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7351),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7351),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7351),
    [anon_sym___real] = ACTIONS(7351),
    [anon_sym___strong] = ACTIONS(7351),
    [anon_sym___unsafe_unretained] = ACTIONS(7351),
    [anon_sym___unused] = ACTIONS(7351),
    [anon_sym___weak] = ACTIONS(7351),
    [anon_sym_alignas] = ACTIONS(7351),
    [anon_sym__Alignas] = ACTIONS(7351),
    [sym_primitive_type] = ACTIONS(7351),
    [anon_sym_enum] = ACTIONS(7351),
    [anon_sym_COLON] = ACTIONS(7353),
    [anon_sym_struct] = ACTIONS(7351),
    [anon_sym_union] = ACTIONS(7351),
    [anon_sym_in] = ACTIONS(7351),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7351),
    [anon_sym___typeof] = ACTIONS(7351),
    [anon_sym_typeof] = ACTIONS(7351),
    [anon_sym_BOOL] = ACTIONS(7351),
    [anon_sym_IMP] = ACTIONS(7351),
    [anon_sym_SEL] = ACTIONS(7351),
    [anon_sym_Class] = ACTIONS(7351),
    [anon_sym_id] = ACTIONS(7351),
    [anon_sym_out] = ACTIONS(7351),
    [anon_sym_inout] = ACTIONS(7351),
    [anon_sym_bycopy] = ACTIONS(7351),
    [anon_sym_byref] = ACTIONS(7351),
    [anon_sym_oneway] = ACTIONS(7351),
  },
  [3980] = {
    [sym__type_definition_type] = STATE(4780),
    [sym_attribute_specifier] = STATE(4533),
    [sym_ms_declspec_modifier] = STATE(4015),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4184),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [3981] = {
    [sym_attribute_specifier] = STATE(3839),
    [sym_identifier] = ACTIONS(7796),
    [anon_sym_COMMA] = ACTIONS(7798),
    [anon_sym_RPAREN] = ACTIONS(7798),
    [anon_sym_LPAREN2] = ACTIONS(7798),
    [anon_sym_STAR] = ACTIONS(7798),
    [anon_sym_CARET] = ACTIONS(7798),
    [anon_sym_GT] = ACTIONS(7798),
    [anon_sym_LT] = ACTIONS(7798),
    [anon_sym___extension__] = ACTIONS(7796),
    [anon_sym___attribute__] = ACTIONS(8921),
    [anon_sym___attribute] = ACTIONS(8921),
    [anon_sym_noreturn] = ACTIONS(7796),
    [anon_sym_LBRACK] = ACTIONS(7798),
    [anon_sym___based] = ACTIONS(7796),
    [anon_sym_LBRACE] = ACTIONS(7798),
    [anon_sym_signed] = ACTIONS(7796),
    [anon_sym_unsigned] = ACTIONS(7796),
    [anon_sym_long] = ACTIONS(7796),
    [anon_sym_short] = ACTIONS(7796),
    [anon_sym_ATautoreleasepool] = ACTIONS(7798),
    [anon_sym_const] = ACTIONS(7796),
    [anon_sym_constexpr] = ACTIONS(7796),
    [anon_sym_volatile] = ACTIONS(7796),
    [anon_sym_restrict] = ACTIONS(7796),
    [anon_sym___restrict__] = ACTIONS(7796),
    [anon_sym__Atomic] = ACTIONS(7796),
    [anon_sym__Noreturn] = ACTIONS(7796),
    [anon_sym__Nonnull] = ACTIONS(7796),
    [anon_sym_nullable] = ACTIONS(7796),
    [anon_sym__Complex] = ACTIONS(7796),
    [anon_sym__Nullable] = ACTIONS(7796),
    [anon_sym__Nullable_result] = ACTIONS(7796),
    [anon_sym__Null_unspecified] = ACTIONS(7796),
    [anon_sym___autoreleasing] = ACTIONS(7796),
    [anon_sym___block] = ACTIONS(7796),
    [anon_sym___bridge] = ACTIONS(7796),
    [anon_sym___bridge_retained] = ACTIONS(7796),
    [anon_sym___bridge_transfer] = ACTIONS(7796),
    [anon_sym___complex] = ACTIONS(7796),
    [anon_sym___const] = ACTIONS(7796),
    [anon_sym___imag] = ACTIONS(7796),
    [anon_sym___kindof] = ACTIONS(7796),
    [anon_sym___nonnull] = ACTIONS(7796),
    [anon_sym___nullable] = ACTIONS(7796),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7796),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7796),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7796),
    [anon_sym___real] = ACTIONS(7796),
    [anon_sym___strong] = ACTIONS(7796),
    [anon_sym___unsafe_unretained] = ACTIONS(7796),
    [anon_sym___unused] = ACTIONS(7796),
    [anon_sym___weak] = ACTIONS(7796),
    [anon_sym_alignas] = ACTIONS(7796),
    [anon_sym__Alignas] = ACTIONS(7796),
    [sym_primitive_type] = ACTIONS(7796),
    [anon_sym_enum] = ACTIONS(7796),
    [anon_sym_struct] = ACTIONS(7796),
    [anon_sym_union] = ACTIONS(7796),
    [anon_sym_in] = ACTIONS(7796),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7796),
    [anon_sym___typeof] = ACTIONS(7796),
    [anon_sym_typeof] = ACTIONS(7796),
    [anon_sym_BOOL] = ACTIONS(7796),
    [anon_sym_IMP] = ACTIONS(7796),
    [anon_sym_SEL] = ACTIONS(7796),
    [anon_sym_Class] = ACTIONS(7796),
    [anon_sym_id] = ACTIONS(7796),
    [anon_sym_out] = ACTIONS(7796),
    [anon_sym_inout] = ACTIONS(7796),
    [anon_sym_bycopy] = ACTIONS(7796),
    [anon_sym_byref] = ACTIONS(7796),
    [anon_sym_oneway] = ACTIONS(7796),
  },
  [3982] = {
    [sym_attribute_specifier] = STATE(3843),
    [sym_identifier] = ACTIONS(7805),
    [anon_sym_COMMA] = ACTIONS(7807),
    [anon_sym_RPAREN] = ACTIONS(7807),
    [anon_sym_LPAREN2] = ACTIONS(7807),
    [anon_sym_STAR] = ACTIONS(7807),
    [anon_sym_CARET] = ACTIONS(7807),
    [anon_sym_GT] = ACTIONS(7807),
    [anon_sym_LT] = ACTIONS(7807),
    [anon_sym___extension__] = ACTIONS(7805),
    [anon_sym___attribute__] = ACTIONS(8924),
    [anon_sym___attribute] = ACTIONS(8924),
    [anon_sym_noreturn] = ACTIONS(7805),
    [anon_sym_LBRACK] = ACTIONS(7807),
    [anon_sym___based] = ACTIONS(7805),
    [anon_sym_LBRACE] = ACTIONS(7807),
    [anon_sym_signed] = ACTIONS(7805),
    [anon_sym_unsigned] = ACTIONS(7805),
    [anon_sym_long] = ACTIONS(7805),
    [anon_sym_short] = ACTIONS(7805),
    [anon_sym_ATautoreleasepool] = ACTIONS(7807),
    [anon_sym_const] = ACTIONS(7805),
    [anon_sym_constexpr] = ACTIONS(7805),
    [anon_sym_volatile] = ACTIONS(7805),
    [anon_sym_restrict] = ACTIONS(7805),
    [anon_sym___restrict__] = ACTIONS(7805),
    [anon_sym__Atomic] = ACTIONS(7805),
    [anon_sym__Noreturn] = ACTIONS(7805),
    [anon_sym__Nonnull] = ACTIONS(7805),
    [anon_sym_nullable] = ACTIONS(7805),
    [anon_sym__Complex] = ACTIONS(7805),
    [anon_sym__Nullable] = ACTIONS(7805),
    [anon_sym__Nullable_result] = ACTIONS(7805),
    [anon_sym__Null_unspecified] = ACTIONS(7805),
    [anon_sym___autoreleasing] = ACTIONS(7805),
    [anon_sym___block] = ACTIONS(7805),
    [anon_sym___bridge] = ACTIONS(7805),
    [anon_sym___bridge_retained] = ACTIONS(7805),
    [anon_sym___bridge_transfer] = ACTIONS(7805),
    [anon_sym___complex] = ACTIONS(7805),
    [anon_sym___const] = ACTIONS(7805),
    [anon_sym___imag] = ACTIONS(7805),
    [anon_sym___kindof] = ACTIONS(7805),
    [anon_sym___nonnull] = ACTIONS(7805),
    [anon_sym___nullable] = ACTIONS(7805),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7805),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7805),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7805),
    [anon_sym___real] = ACTIONS(7805),
    [anon_sym___strong] = ACTIONS(7805),
    [anon_sym___unsafe_unretained] = ACTIONS(7805),
    [anon_sym___unused] = ACTIONS(7805),
    [anon_sym___weak] = ACTIONS(7805),
    [anon_sym_alignas] = ACTIONS(7805),
    [anon_sym__Alignas] = ACTIONS(7805),
    [sym_primitive_type] = ACTIONS(7805),
    [anon_sym_enum] = ACTIONS(7805),
    [anon_sym_struct] = ACTIONS(7805),
    [anon_sym_union] = ACTIONS(7805),
    [anon_sym_in] = ACTIONS(7805),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7805),
    [anon_sym___typeof] = ACTIONS(7805),
    [anon_sym_typeof] = ACTIONS(7805),
    [anon_sym_BOOL] = ACTIONS(7805),
    [anon_sym_IMP] = ACTIONS(7805),
    [anon_sym_SEL] = ACTIONS(7805),
    [anon_sym_Class] = ACTIONS(7805),
    [anon_sym_id] = ACTIONS(7805),
    [anon_sym_out] = ACTIONS(7805),
    [anon_sym_inout] = ACTIONS(7805),
    [anon_sym_bycopy] = ACTIONS(7805),
    [anon_sym_byref] = ACTIONS(7805),
    [anon_sym_oneway] = ACTIONS(7805),
  },
  [3983] = {
    [sym_attribute_specifier] = STATE(3844),
    [sym_identifier] = ACTIONS(7812),
    [anon_sym_COMMA] = ACTIONS(7814),
    [anon_sym_RPAREN] = ACTIONS(7814),
    [anon_sym_LPAREN2] = ACTIONS(7814),
    [anon_sym_STAR] = ACTIONS(7814),
    [anon_sym_CARET] = ACTIONS(7814),
    [anon_sym_GT] = ACTIONS(7814),
    [anon_sym_LT] = ACTIONS(7814),
    [anon_sym___extension__] = ACTIONS(7812),
    [anon_sym___attribute__] = ACTIONS(8927),
    [anon_sym___attribute] = ACTIONS(8927),
    [anon_sym_noreturn] = ACTIONS(7812),
    [anon_sym_LBRACK] = ACTIONS(7814),
    [anon_sym___based] = ACTIONS(7812),
    [anon_sym_LBRACE] = ACTIONS(7814),
    [anon_sym_signed] = ACTIONS(7812),
    [anon_sym_unsigned] = ACTIONS(7812),
    [anon_sym_long] = ACTIONS(7812),
    [anon_sym_short] = ACTIONS(7812),
    [anon_sym_ATautoreleasepool] = ACTIONS(7814),
    [anon_sym_const] = ACTIONS(7812),
    [anon_sym_constexpr] = ACTIONS(7812),
    [anon_sym_volatile] = ACTIONS(7812),
    [anon_sym_restrict] = ACTIONS(7812),
    [anon_sym___restrict__] = ACTIONS(7812),
    [anon_sym__Atomic] = ACTIONS(7812),
    [anon_sym__Noreturn] = ACTIONS(7812),
    [anon_sym__Nonnull] = ACTIONS(7812),
    [anon_sym_nullable] = ACTIONS(7812),
    [anon_sym__Complex] = ACTIONS(7812),
    [anon_sym__Nullable] = ACTIONS(7812),
    [anon_sym__Nullable_result] = ACTIONS(7812),
    [anon_sym__Null_unspecified] = ACTIONS(7812),
    [anon_sym___autoreleasing] = ACTIONS(7812),
    [anon_sym___block] = ACTIONS(7812),
    [anon_sym___bridge] = ACTIONS(7812),
    [anon_sym___bridge_retained] = ACTIONS(7812),
    [anon_sym___bridge_transfer] = ACTIONS(7812),
    [anon_sym___complex] = ACTIONS(7812),
    [anon_sym___const] = ACTIONS(7812),
    [anon_sym___imag] = ACTIONS(7812),
    [anon_sym___kindof] = ACTIONS(7812),
    [anon_sym___nonnull] = ACTIONS(7812),
    [anon_sym___nullable] = ACTIONS(7812),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7812),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7812),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7812),
    [anon_sym___real] = ACTIONS(7812),
    [anon_sym___strong] = ACTIONS(7812),
    [anon_sym___unsafe_unretained] = ACTIONS(7812),
    [anon_sym___unused] = ACTIONS(7812),
    [anon_sym___weak] = ACTIONS(7812),
    [anon_sym_alignas] = ACTIONS(7812),
    [anon_sym__Alignas] = ACTIONS(7812),
    [sym_primitive_type] = ACTIONS(7812),
    [anon_sym_enum] = ACTIONS(7812),
    [anon_sym_struct] = ACTIONS(7812),
    [anon_sym_union] = ACTIONS(7812),
    [anon_sym_in] = ACTIONS(7812),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7812),
    [anon_sym___typeof] = ACTIONS(7812),
    [anon_sym_typeof] = ACTIONS(7812),
    [anon_sym_BOOL] = ACTIONS(7812),
    [anon_sym_IMP] = ACTIONS(7812),
    [anon_sym_SEL] = ACTIONS(7812),
    [anon_sym_Class] = ACTIONS(7812),
    [anon_sym_id] = ACTIONS(7812),
    [anon_sym_out] = ACTIONS(7812),
    [anon_sym_inout] = ACTIONS(7812),
    [anon_sym_bycopy] = ACTIONS(7812),
    [anon_sym_byref] = ACTIONS(7812),
    [anon_sym_oneway] = ACTIONS(7812),
  },
  [3984] = {
    [sym_identifier] = ACTIONS(2922),
    [anon_sym_COMMA] = ACTIONS(2928),
    [anon_sym_RPAREN] = ACTIONS(2928),
    [anon_sym_LPAREN2] = ACTIONS(2928),
    [anon_sym_STAR] = ACTIONS(2928),
    [anon_sym_CARET] = ACTIONS(2928),
    [anon_sym_GT] = ACTIONS(2928),
    [anon_sym_LT] = ACTIONS(2928),
    [anon_sym___extension__] = ACTIONS(2922),
    [anon_sym___attribute__] = ACTIONS(2922),
    [anon_sym___attribute] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym_LBRACK] = ACTIONS(2928),
    [anon_sym___based] = ACTIONS(2922),
    [anon_sym_LBRACE] = ACTIONS(2928),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_ATautoreleasepool] = ACTIONS(2928),
    [anon_sym_const] = ACTIONS(2922),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2922),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2922),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_COLON] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2922),
    [anon_sym_union] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(2922),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(2922),
    [anon_sym_out] = ACTIONS(2922),
    [anon_sym_inout] = ACTIONS(2922),
    [anon_sym_bycopy] = ACTIONS(2922),
    [anon_sym_byref] = ACTIONS(2922),
    [anon_sym_oneway] = ACTIONS(2922),
  },
  [3985] = {
    [sym_identifier] = ACTIONS(5674),
    [anon_sym_COMMA] = ACTIONS(5676),
    [anon_sym_RPAREN] = ACTIONS(5676),
    [anon_sym_LPAREN2] = ACTIONS(5676),
    [anon_sym_STAR] = ACTIONS(5676),
    [anon_sym_CARET] = ACTIONS(5676),
    [anon_sym_GT] = ACTIONS(5676),
    [anon_sym_LT] = ACTIONS(5676),
    [anon_sym___extension__] = ACTIONS(5674),
    [anon_sym___attribute__] = ACTIONS(5674),
    [anon_sym___attribute] = ACTIONS(5674),
    [anon_sym_noreturn] = ACTIONS(5674),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym___based] = ACTIONS(5674),
    [anon_sym_LBRACE] = ACTIONS(5676),
    [anon_sym_signed] = ACTIONS(5674),
    [anon_sym_unsigned] = ACTIONS(5674),
    [anon_sym_long] = ACTIONS(5674),
    [anon_sym_short] = ACTIONS(5674),
    [anon_sym_ATautoreleasepool] = ACTIONS(5676),
    [anon_sym_const] = ACTIONS(5674),
    [anon_sym_constexpr] = ACTIONS(5674),
    [anon_sym_volatile] = ACTIONS(5674),
    [anon_sym_restrict] = ACTIONS(5674),
    [anon_sym___restrict__] = ACTIONS(5674),
    [anon_sym__Atomic] = ACTIONS(5674),
    [anon_sym__Noreturn] = ACTIONS(5674),
    [anon_sym__Nonnull] = ACTIONS(5674),
    [anon_sym_nullable] = ACTIONS(5674),
    [anon_sym__Complex] = ACTIONS(5674),
    [anon_sym__Nullable] = ACTIONS(5674),
    [anon_sym__Nullable_result] = ACTIONS(5674),
    [anon_sym__Null_unspecified] = ACTIONS(5674),
    [anon_sym___autoreleasing] = ACTIONS(5674),
    [anon_sym___block] = ACTIONS(5674),
    [anon_sym___bridge] = ACTIONS(5674),
    [anon_sym___bridge_retained] = ACTIONS(5674),
    [anon_sym___bridge_transfer] = ACTIONS(5674),
    [anon_sym___complex] = ACTIONS(5674),
    [anon_sym___const] = ACTIONS(5674),
    [anon_sym___imag] = ACTIONS(5674),
    [anon_sym___kindof] = ACTIONS(5674),
    [anon_sym___nonnull] = ACTIONS(5674),
    [anon_sym___nullable] = ACTIONS(5674),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5674),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5674),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5674),
    [anon_sym___real] = ACTIONS(5674),
    [anon_sym___strong] = ACTIONS(5674),
    [anon_sym___unsafe_unretained] = ACTIONS(5674),
    [anon_sym___unused] = ACTIONS(5674),
    [anon_sym___weak] = ACTIONS(5674),
    [anon_sym_alignas] = ACTIONS(5674),
    [anon_sym__Alignas] = ACTIONS(5674),
    [sym_primitive_type] = ACTIONS(5674),
    [anon_sym_enum] = ACTIONS(5674),
    [anon_sym_COLON] = ACTIONS(5676),
    [anon_sym_struct] = ACTIONS(5674),
    [anon_sym_union] = ACTIONS(5674),
    [anon_sym_in] = ACTIONS(5674),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5674),
    [anon_sym___typeof] = ACTIONS(5674),
    [anon_sym_typeof] = ACTIONS(5674),
    [anon_sym_BOOL] = ACTIONS(5674),
    [anon_sym_IMP] = ACTIONS(5674),
    [anon_sym_SEL] = ACTIONS(5674),
    [anon_sym_Class] = ACTIONS(5674),
    [anon_sym_id] = ACTIONS(5674),
    [anon_sym_out] = ACTIONS(5674),
    [anon_sym_inout] = ACTIONS(5674),
    [anon_sym_bycopy] = ACTIONS(5674),
    [anon_sym_byref] = ACTIONS(5674),
    [anon_sym_oneway] = ACTIONS(5674),
  },
  [3986] = {
    [sym_identifier] = ACTIONS(5076),
    [anon_sym_COMMA] = ACTIONS(5072),
    [anon_sym_RPAREN] = ACTIONS(5072),
    [anon_sym_LPAREN2] = ACTIONS(5072),
    [anon_sym_STAR] = ACTIONS(5072),
    [anon_sym_CARET] = ACTIONS(5072),
    [anon_sym_GT] = ACTIONS(5072),
    [anon_sym_LT] = ACTIONS(5072),
    [anon_sym___extension__] = ACTIONS(5076),
    [anon_sym___attribute__] = ACTIONS(5076),
    [anon_sym___attribute] = ACTIONS(5076),
    [anon_sym_noreturn] = ACTIONS(5076),
    [anon_sym_LBRACK] = ACTIONS(5072),
    [anon_sym___based] = ACTIONS(5076),
    [anon_sym_LBRACE] = ACTIONS(5072),
    [anon_sym_signed] = ACTIONS(5076),
    [anon_sym_unsigned] = ACTIONS(5076),
    [anon_sym_long] = ACTIONS(5076),
    [anon_sym_short] = ACTIONS(5076),
    [anon_sym_ATautoreleasepool] = ACTIONS(5072),
    [anon_sym_const] = ACTIONS(5076),
    [anon_sym_constexpr] = ACTIONS(5076),
    [anon_sym_volatile] = ACTIONS(5076),
    [anon_sym_restrict] = ACTIONS(5076),
    [anon_sym___restrict__] = ACTIONS(5076),
    [anon_sym__Atomic] = ACTIONS(5076),
    [anon_sym__Noreturn] = ACTIONS(5076),
    [anon_sym__Nonnull] = ACTIONS(5076),
    [anon_sym_nullable] = ACTIONS(5076),
    [anon_sym__Complex] = ACTIONS(5076),
    [anon_sym__Nullable] = ACTIONS(5076),
    [anon_sym__Nullable_result] = ACTIONS(5076),
    [anon_sym__Null_unspecified] = ACTIONS(5076),
    [anon_sym___autoreleasing] = ACTIONS(5076),
    [anon_sym___block] = ACTIONS(5076),
    [anon_sym___bridge] = ACTIONS(5076),
    [anon_sym___bridge_retained] = ACTIONS(5076),
    [anon_sym___bridge_transfer] = ACTIONS(5076),
    [anon_sym___complex] = ACTIONS(5076),
    [anon_sym___const] = ACTIONS(5076),
    [anon_sym___imag] = ACTIONS(5076),
    [anon_sym___kindof] = ACTIONS(5076),
    [anon_sym___nonnull] = ACTIONS(5076),
    [anon_sym___nullable] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5076),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5076),
    [anon_sym___real] = ACTIONS(5076),
    [anon_sym___strong] = ACTIONS(5076),
    [anon_sym___unsafe_unretained] = ACTIONS(5076),
    [anon_sym___unused] = ACTIONS(5076),
    [anon_sym___weak] = ACTIONS(5076),
    [anon_sym_alignas] = ACTIONS(5076),
    [anon_sym__Alignas] = ACTIONS(5076),
    [sym_primitive_type] = ACTIONS(5076),
    [anon_sym_enum] = ACTIONS(5076),
    [anon_sym_COLON] = ACTIONS(5072),
    [anon_sym_struct] = ACTIONS(5076),
    [anon_sym_union] = ACTIONS(5076),
    [anon_sym_in] = ACTIONS(5076),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5076),
    [anon_sym___typeof] = ACTIONS(5076),
    [anon_sym_typeof] = ACTIONS(5076),
    [anon_sym_BOOL] = ACTIONS(5076),
    [anon_sym_IMP] = ACTIONS(5076),
    [anon_sym_SEL] = ACTIONS(5076),
    [anon_sym_Class] = ACTIONS(5076),
    [anon_sym_id] = ACTIONS(5076),
    [anon_sym_out] = ACTIONS(5076),
    [anon_sym_inout] = ACTIONS(5076),
    [anon_sym_bycopy] = ACTIONS(5076),
    [anon_sym_byref] = ACTIONS(5076),
    [anon_sym_oneway] = ACTIONS(5076),
  },
  [3987] = {
    [sym_attribute_specifier] = STATE(3883),
    [sym_enumerator_list] = STATE(3974),
    [sym_identifier] = ACTIONS(7556),
    [anon_sym_COMMA] = ACTIONS(7558),
    [anon_sym_RPAREN] = ACTIONS(7558),
    [anon_sym_LPAREN2] = ACTIONS(7558),
    [anon_sym_STAR] = ACTIONS(7558),
    [anon_sym_CARET] = ACTIONS(7558),
    [anon_sym_GT] = ACTIONS(7558),
    [anon_sym_LT] = ACTIONS(7558),
    [anon_sym___extension__] = ACTIONS(7556),
    [anon_sym___attribute__] = ACTIONS(8930),
    [anon_sym___attribute] = ACTIONS(8930),
    [anon_sym_noreturn] = ACTIONS(7556),
    [anon_sym_LBRACK] = ACTIONS(7558),
    [anon_sym___based] = ACTIONS(7556),
    [anon_sym_LBRACE] = ACTIONS(8792),
    [anon_sym_signed] = ACTIONS(7556),
    [anon_sym_unsigned] = ACTIONS(7556),
    [anon_sym_long] = ACTIONS(7556),
    [anon_sym_short] = ACTIONS(7556),
    [anon_sym_const] = ACTIONS(7556),
    [anon_sym_constexpr] = ACTIONS(7556),
    [anon_sym_volatile] = ACTIONS(7556),
    [anon_sym_restrict] = ACTIONS(7556),
    [anon_sym___restrict__] = ACTIONS(7556),
    [anon_sym__Atomic] = ACTIONS(7556),
    [anon_sym__Noreturn] = ACTIONS(7556),
    [anon_sym__Nonnull] = ACTIONS(7556),
    [anon_sym_nullable] = ACTIONS(7556),
    [anon_sym__Complex] = ACTIONS(7556),
    [anon_sym__Nullable] = ACTIONS(7556),
    [anon_sym__Nullable_result] = ACTIONS(7556),
    [anon_sym__Null_unspecified] = ACTIONS(7556),
    [anon_sym___autoreleasing] = ACTIONS(7556),
    [anon_sym___block] = ACTIONS(7556),
    [anon_sym___bridge] = ACTIONS(7556),
    [anon_sym___bridge_retained] = ACTIONS(7556),
    [anon_sym___bridge_transfer] = ACTIONS(7556),
    [anon_sym___complex] = ACTIONS(7556),
    [anon_sym___const] = ACTIONS(7556),
    [anon_sym___imag] = ACTIONS(7556),
    [anon_sym___kindof] = ACTIONS(7556),
    [anon_sym___nonnull] = ACTIONS(7556),
    [anon_sym___nullable] = ACTIONS(7556),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7556),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7556),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7556),
    [anon_sym___real] = ACTIONS(7556),
    [anon_sym___strong] = ACTIONS(7556),
    [anon_sym___unsafe_unretained] = ACTIONS(7556),
    [anon_sym___unused] = ACTIONS(7556),
    [anon_sym___weak] = ACTIONS(7556),
    [anon_sym_alignas] = ACTIONS(7556),
    [anon_sym__Alignas] = ACTIONS(7556),
    [sym_primitive_type] = ACTIONS(7556),
    [anon_sym_enum] = ACTIONS(7556),
    [anon_sym_struct] = ACTIONS(7556),
    [anon_sym_union] = ACTIONS(7556),
    [anon_sym_in] = ACTIONS(7556),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7556),
    [anon_sym___typeof] = ACTIONS(7556),
    [anon_sym_typeof] = ACTIONS(7556),
    [anon_sym_BOOL] = ACTIONS(7556),
    [anon_sym_IMP] = ACTIONS(7556),
    [anon_sym_SEL] = ACTIONS(7556),
    [anon_sym_Class] = ACTIONS(7556),
    [anon_sym_id] = ACTIONS(7556),
    [anon_sym_out] = ACTIONS(7556),
    [anon_sym_inout] = ACTIONS(7556),
    [anon_sym_bycopy] = ACTIONS(7556),
    [anon_sym_byref] = ACTIONS(7556),
    [anon_sym_oneway] = ACTIONS(7556),
  },
  [3988] = {
    [sym_identifier] = ACTIONS(4112),
    [anon_sym_COMMA] = ACTIONS(4114),
    [anon_sym_RPAREN] = ACTIONS(4114),
    [anon_sym_LPAREN2] = ACTIONS(4114),
    [anon_sym_STAR] = ACTIONS(4114),
    [anon_sym_CARET] = ACTIONS(4114),
    [anon_sym_GT] = ACTIONS(4114),
    [anon_sym_LT] = ACTIONS(4114),
    [anon_sym___extension__] = ACTIONS(4112),
    [anon_sym___attribute__] = ACTIONS(4112),
    [anon_sym___attribute] = ACTIONS(4112),
    [anon_sym_noreturn] = ACTIONS(4112),
    [anon_sym_LBRACK] = ACTIONS(4114),
    [anon_sym___based] = ACTIONS(4112),
    [anon_sym_LBRACE] = ACTIONS(4114),
    [anon_sym_signed] = ACTIONS(4112),
    [anon_sym_unsigned] = ACTIONS(4112),
    [anon_sym_long] = ACTIONS(4112),
    [anon_sym_short] = ACTIONS(4112),
    [anon_sym_ATautoreleasepool] = ACTIONS(4114),
    [anon_sym_const] = ACTIONS(4112),
    [anon_sym_constexpr] = ACTIONS(4112),
    [anon_sym_volatile] = ACTIONS(4112),
    [anon_sym_restrict] = ACTIONS(4112),
    [anon_sym___restrict__] = ACTIONS(4112),
    [anon_sym__Atomic] = ACTIONS(4112),
    [anon_sym__Noreturn] = ACTIONS(4112),
    [anon_sym__Nonnull] = ACTIONS(4112),
    [anon_sym_nullable] = ACTIONS(4112),
    [anon_sym__Complex] = ACTIONS(4112),
    [anon_sym__Nullable] = ACTIONS(4112),
    [anon_sym__Nullable_result] = ACTIONS(4112),
    [anon_sym__Null_unspecified] = ACTIONS(4112),
    [anon_sym___autoreleasing] = ACTIONS(4112),
    [anon_sym___block] = ACTIONS(4112),
    [anon_sym___bridge] = ACTIONS(4112),
    [anon_sym___bridge_retained] = ACTIONS(4112),
    [anon_sym___bridge_transfer] = ACTIONS(4112),
    [anon_sym___complex] = ACTIONS(4112),
    [anon_sym___const] = ACTIONS(4112),
    [anon_sym___imag] = ACTIONS(4112),
    [anon_sym___kindof] = ACTIONS(4112),
    [anon_sym___nonnull] = ACTIONS(4112),
    [anon_sym___nullable] = ACTIONS(4112),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4112),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4112),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4112),
    [anon_sym___real] = ACTIONS(4112),
    [anon_sym___strong] = ACTIONS(4112),
    [anon_sym___unsafe_unretained] = ACTIONS(4112),
    [anon_sym___unused] = ACTIONS(4112),
    [anon_sym___weak] = ACTIONS(4112),
    [anon_sym_alignas] = ACTIONS(4112),
    [anon_sym__Alignas] = ACTIONS(4112),
    [sym_primitive_type] = ACTIONS(4112),
    [anon_sym_enum] = ACTIONS(4112),
    [anon_sym_struct] = ACTIONS(4112),
    [anon_sym_union] = ACTIONS(4112),
    [anon_sym_in] = ACTIONS(4112),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4112),
    [anon_sym___typeof] = ACTIONS(4112),
    [anon_sym_typeof] = ACTIONS(4112),
    [anon_sym_BOOL] = ACTIONS(4112),
    [anon_sym_IMP] = ACTIONS(4112),
    [anon_sym_SEL] = ACTIONS(4112),
    [anon_sym_Class] = ACTIONS(4112),
    [anon_sym_id] = ACTIONS(4112),
    [anon_sym_out] = ACTIONS(4112),
    [anon_sym_inout] = ACTIONS(4112),
    [anon_sym_bycopy] = ACTIONS(4112),
    [anon_sym_byref] = ACTIONS(4112),
    [anon_sym_oneway] = ACTIONS(4112),
  },
  [3989] = {
    [sym_identifier] = ACTIONS(6776),
    [anon_sym_COMMA] = ACTIONS(6778),
    [anon_sym_RPAREN] = ACTIONS(6778),
    [anon_sym_LPAREN2] = ACTIONS(6778),
    [anon_sym_STAR] = ACTIONS(6778),
    [anon_sym_CARET] = ACTIONS(6778),
    [anon_sym_GT] = ACTIONS(6778),
    [anon_sym_LT] = ACTIONS(6778),
    [anon_sym___extension__] = ACTIONS(6776),
    [anon_sym___attribute__] = ACTIONS(6776),
    [anon_sym___attribute] = ACTIONS(6776),
    [anon_sym_noreturn] = ACTIONS(6776),
    [anon_sym_LBRACK] = ACTIONS(6778),
    [anon_sym___based] = ACTIONS(6776),
    [anon_sym_LBRACE] = ACTIONS(6778),
    [anon_sym_signed] = ACTIONS(6776),
    [anon_sym_unsigned] = ACTIONS(6776),
    [anon_sym_long] = ACTIONS(6776),
    [anon_sym_short] = ACTIONS(6776),
    [anon_sym_ATautoreleasepool] = ACTIONS(6778),
    [anon_sym_const] = ACTIONS(6776),
    [anon_sym_constexpr] = ACTIONS(6776),
    [anon_sym_volatile] = ACTIONS(6776),
    [anon_sym_restrict] = ACTIONS(6776),
    [anon_sym___restrict__] = ACTIONS(6776),
    [anon_sym__Atomic] = ACTIONS(6776),
    [anon_sym__Noreturn] = ACTIONS(6776),
    [anon_sym__Nonnull] = ACTIONS(6776),
    [anon_sym_nullable] = ACTIONS(6776),
    [anon_sym__Complex] = ACTIONS(6776),
    [anon_sym__Nullable] = ACTIONS(6776),
    [anon_sym__Nullable_result] = ACTIONS(6776),
    [anon_sym__Null_unspecified] = ACTIONS(6776),
    [anon_sym___autoreleasing] = ACTIONS(6776),
    [anon_sym___block] = ACTIONS(6776),
    [anon_sym___bridge] = ACTIONS(6776),
    [anon_sym___bridge_retained] = ACTIONS(6776),
    [anon_sym___bridge_transfer] = ACTIONS(6776),
    [anon_sym___complex] = ACTIONS(6776),
    [anon_sym___const] = ACTIONS(6776),
    [anon_sym___imag] = ACTIONS(6776),
    [anon_sym___kindof] = ACTIONS(6776),
    [anon_sym___nonnull] = ACTIONS(6776),
    [anon_sym___nullable] = ACTIONS(6776),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6776),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6776),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6776),
    [anon_sym___real] = ACTIONS(6776),
    [anon_sym___strong] = ACTIONS(6776),
    [anon_sym___unsafe_unretained] = ACTIONS(6776),
    [anon_sym___unused] = ACTIONS(6776),
    [anon_sym___weak] = ACTIONS(6776),
    [anon_sym_alignas] = ACTIONS(6776),
    [anon_sym__Alignas] = ACTIONS(6776),
    [sym_primitive_type] = ACTIONS(6776),
    [anon_sym_enum] = ACTIONS(6776),
    [anon_sym_struct] = ACTIONS(6776),
    [anon_sym_union] = ACTIONS(6776),
    [anon_sym_in] = ACTIONS(6776),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6776),
    [anon_sym___typeof] = ACTIONS(6776),
    [anon_sym_typeof] = ACTIONS(6776),
    [anon_sym_BOOL] = ACTIONS(6776),
    [anon_sym_IMP] = ACTIONS(6776),
    [anon_sym_SEL] = ACTIONS(6776),
    [anon_sym_Class] = ACTIONS(6776),
    [anon_sym_id] = ACTIONS(6776),
    [anon_sym_out] = ACTIONS(6776),
    [anon_sym_inout] = ACTIONS(6776),
    [anon_sym_bycopy] = ACTIONS(6776),
    [anon_sym_byref] = ACTIONS(6776),
    [anon_sym_oneway] = ACTIONS(6776),
  },
  [3990] = {
    [sym_identifier] = ACTIONS(6780),
    [anon_sym_COMMA] = ACTIONS(6782),
    [anon_sym_RPAREN] = ACTIONS(6782),
    [anon_sym_LPAREN2] = ACTIONS(6782),
    [anon_sym_STAR] = ACTIONS(6782),
    [anon_sym_CARET] = ACTIONS(6782),
    [anon_sym_GT] = ACTIONS(6782),
    [anon_sym_LT] = ACTIONS(6782),
    [anon_sym___extension__] = ACTIONS(6780),
    [anon_sym___attribute__] = ACTIONS(6780),
    [anon_sym___attribute] = ACTIONS(6780),
    [anon_sym_noreturn] = ACTIONS(6780),
    [anon_sym_LBRACK] = ACTIONS(6782),
    [anon_sym___based] = ACTIONS(6780),
    [anon_sym_LBRACE] = ACTIONS(6782),
    [anon_sym_signed] = ACTIONS(6780),
    [anon_sym_unsigned] = ACTIONS(6780),
    [anon_sym_long] = ACTIONS(6780),
    [anon_sym_short] = ACTIONS(6780),
    [anon_sym_ATautoreleasepool] = ACTIONS(6782),
    [anon_sym_const] = ACTIONS(6780),
    [anon_sym_constexpr] = ACTIONS(6780),
    [anon_sym_volatile] = ACTIONS(6780),
    [anon_sym_restrict] = ACTIONS(6780),
    [anon_sym___restrict__] = ACTIONS(6780),
    [anon_sym__Atomic] = ACTIONS(6780),
    [anon_sym__Noreturn] = ACTIONS(6780),
    [anon_sym__Nonnull] = ACTIONS(6780),
    [anon_sym_nullable] = ACTIONS(6780),
    [anon_sym__Complex] = ACTIONS(6780),
    [anon_sym__Nullable] = ACTIONS(6780),
    [anon_sym__Nullable_result] = ACTIONS(6780),
    [anon_sym__Null_unspecified] = ACTIONS(6780),
    [anon_sym___autoreleasing] = ACTIONS(6780),
    [anon_sym___block] = ACTIONS(6780),
    [anon_sym___bridge] = ACTIONS(6780),
    [anon_sym___bridge_retained] = ACTIONS(6780),
    [anon_sym___bridge_transfer] = ACTIONS(6780),
    [anon_sym___complex] = ACTIONS(6780),
    [anon_sym___const] = ACTIONS(6780),
    [anon_sym___imag] = ACTIONS(6780),
    [anon_sym___kindof] = ACTIONS(6780),
    [anon_sym___nonnull] = ACTIONS(6780),
    [anon_sym___nullable] = ACTIONS(6780),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6780),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6780),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6780),
    [anon_sym___real] = ACTIONS(6780),
    [anon_sym___strong] = ACTIONS(6780),
    [anon_sym___unsafe_unretained] = ACTIONS(6780),
    [anon_sym___unused] = ACTIONS(6780),
    [anon_sym___weak] = ACTIONS(6780),
    [anon_sym_alignas] = ACTIONS(6780),
    [anon_sym__Alignas] = ACTIONS(6780),
    [sym_primitive_type] = ACTIONS(6780),
    [anon_sym_enum] = ACTIONS(6780),
    [anon_sym_struct] = ACTIONS(6780),
    [anon_sym_union] = ACTIONS(6780),
    [anon_sym_in] = ACTIONS(6780),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6780),
    [anon_sym___typeof] = ACTIONS(6780),
    [anon_sym_typeof] = ACTIONS(6780),
    [anon_sym_BOOL] = ACTIONS(6780),
    [anon_sym_IMP] = ACTIONS(6780),
    [anon_sym_SEL] = ACTIONS(6780),
    [anon_sym_Class] = ACTIONS(6780),
    [anon_sym_id] = ACTIONS(6780),
    [anon_sym_out] = ACTIONS(6780),
    [anon_sym_inout] = ACTIONS(6780),
    [anon_sym_bycopy] = ACTIONS(6780),
    [anon_sym_byref] = ACTIONS(6780),
    [anon_sym_oneway] = ACTIONS(6780),
  },
  [3991] = {
    [sym_attribute_specifier] = STATE(5608),
    [sym_compound_statement] = STATE(1516),
    [sym_parameter_list] = STATE(5083),
    [sym_identifier] = ACTIONS(8877),
    [anon_sym_LPAREN2] = ACTIONS(8848),
    [anon_sym_STAR] = ACTIONS(8109),
    [anon_sym_CARET] = ACTIONS(8109),
    [anon_sym_LT] = ACTIONS(8109),
    [anon_sym___extension__] = ACTIONS(8877),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(8877),
    [anon_sym_LBRACK] = ACTIONS(8109),
    [anon_sym___based] = ACTIONS(8877),
    [anon_sym_LBRACE] = ACTIONS(8111),
    [anon_sym_signed] = ACTIONS(8877),
    [anon_sym_unsigned] = ACTIONS(8877),
    [anon_sym_long] = ACTIONS(8877),
    [anon_sym_short] = ACTIONS(8877),
    [anon_sym_ATautoreleasepool] = ACTIONS(8113),
    [anon_sym_const] = ACTIONS(8877),
    [anon_sym_constexpr] = ACTIONS(8877),
    [anon_sym_volatile] = ACTIONS(8877),
    [anon_sym_restrict] = ACTIONS(8877),
    [anon_sym___restrict__] = ACTIONS(8877),
    [anon_sym__Atomic] = ACTIONS(8877),
    [anon_sym__Noreturn] = ACTIONS(8877),
    [anon_sym__Nonnull] = ACTIONS(8877),
    [anon_sym_nullable] = ACTIONS(8877),
    [anon_sym__Complex] = ACTIONS(8877),
    [anon_sym__Nullable] = ACTIONS(8877),
    [anon_sym__Nullable_result] = ACTIONS(8877),
    [anon_sym__Null_unspecified] = ACTIONS(8877),
    [anon_sym___autoreleasing] = ACTIONS(8877),
    [anon_sym___block] = ACTIONS(8877),
    [anon_sym___bridge] = ACTIONS(8877),
    [anon_sym___bridge_retained] = ACTIONS(8877),
    [anon_sym___bridge_transfer] = ACTIONS(8877),
    [anon_sym___complex] = ACTIONS(8877),
    [anon_sym___const] = ACTIONS(8877),
    [anon_sym___imag] = ACTIONS(8877),
    [anon_sym___kindof] = ACTIONS(8877),
    [anon_sym___nonnull] = ACTIONS(8877),
    [anon_sym___nullable] = ACTIONS(8877),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8877),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8877),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8877),
    [anon_sym___real] = ACTIONS(8877),
    [anon_sym___strong] = ACTIONS(8877),
    [anon_sym___unsafe_unretained] = ACTIONS(8877),
    [anon_sym___unused] = ACTIONS(8877),
    [anon_sym___weak] = ACTIONS(8877),
    [anon_sym_alignas] = ACTIONS(8877),
    [anon_sym__Alignas] = ACTIONS(8877),
    [sym_primitive_type] = ACTIONS(8877),
    [anon_sym_enum] = ACTIONS(8877),
    [anon_sym_struct] = ACTIONS(8877),
    [anon_sym_union] = ACTIONS(8877),
    [anon_sym_in] = ACTIONS(8877),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(8877),
    [anon_sym___typeof] = ACTIONS(8877),
    [anon_sym_typeof] = ACTIONS(8877),
    [anon_sym_BOOL] = ACTIONS(8877),
    [anon_sym_IMP] = ACTIONS(8877),
    [anon_sym_SEL] = ACTIONS(8877),
    [anon_sym_Class] = ACTIONS(8877),
    [anon_sym_id] = ACTIONS(8877),
    [anon_sym_out] = ACTIONS(8877),
    [anon_sym_inout] = ACTIONS(8877),
    [anon_sym_bycopy] = ACTIONS(8877),
    [anon_sym_byref] = ACTIONS(8877),
    [anon_sym_oneway] = ACTIONS(8877),
  },
  [3992] = {
    [sym_identifier] = ACTIONS(4256),
    [anon_sym_COMMA] = ACTIONS(4258),
    [anon_sym_RPAREN] = ACTIONS(4258),
    [anon_sym_LPAREN2] = ACTIONS(4258),
    [anon_sym_STAR] = ACTIONS(4258),
    [anon_sym_CARET] = ACTIONS(4258),
    [anon_sym_GT] = ACTIONS(4258),
    [anon_sym_LT] = ACTIONS(4258),
    [anon_sym___extension__] = ACTIONS(4256),
    [anon_sym___attribute__] = ACTIONS(4256),
    [anon_sym___attribute] = ACTIONS(4256),
    [anon_sym_noreturn] = ACTIONS(4256),
    [anon_sym_LBRACK] = ACTIONS(4258),
    [anon_sym___based] = ACTIONS(4256),
    [anon_sym_LBRACE] = ACTIONS(4258),
    [anon_sym_signed] = ACTIONS(4256),
    [anon_sym_unsigned] = ACTIONS(4256),
    [anon_sym_long] = ACTIONS(4256),
    [anon_sym_short] = ACTIONS(4256),
    [anon_sym_ATautoreleasepool] = ACTIONS(4258),
    [anon_sym_const] = ACTIONS(4256),
    [anon_sym_constexpr] = ACTIONS(4256),
    [anon_sym_volatile] = ACTIONS(4256),
    [anon_sym_restrict] = ACTIONS(4256),
    [anon_sym___restrict__] = ACTIONS(4256),
    [anon_sym__Atomic] = ACTIONS(4256),
    [anon_sym__Noreturn] = ACTIONS(4256),
    [anon_sym__Nonnull] = ACTIONS(4256),
    [anon_sym_nullable] = ACTIONS(4256),
    [anon_sym__Complex] = ACTIONS(4256),
    [anon_sym__Nullable] = ACTIONS(4256),
    [anon_sym__Nullable_result] = ACTIONS(4256),
    [anon_sym__Null_unspecified] = ACTIONS(4256),
    [anon_sym___autoreleasing] = ACTIONS(4256),
    [anon_sym___block] = ACTIONS(4256),
    [anon_sym___bridge] = ACTIONS(4256),
    [anon_sym___bridge_retained] = ACTIONS(4256),
    [anon_sym___bridge_transfer] = ACTIONS(4256),
    [anon_sym___complex] = ACTIONS(4256),
    [anon_sym___const] = ACTIONS(4256),
    [anon_sym___imag] = ACTIONS(4256),
    [anon_sym___kindof] = ACTIONS(4256),
    [anon_sym___nonnull] = ACTIONS(4256),
    [anon_sym___nullable] = ACTIONS(4256),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4256),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4256),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4256),
    [anon_sym___real] = ACTIONS(4256),
    [anon_sym___strong] = ACTIONS(4256),
    [anon_sym___unsafe_unretained] = ACTIONS(4256),
    [anon_sym___unused] = ACTIONS(4256),
    [anon_sym___weak] = ACTIONS(4256),
    [anon_sym_alignas] = ACTIONS(4256),
    [anon_sym__Alignas] = ACTIONS(4256),
    [sym_primitive_type] = ACTIONS(4256),
    [anon_sym_enum] = ACTIONS(4256),
    [anon_sym_struct] = ACTIONS(4256),
    [anon_sym_union] = ACTIONS(4256),
    [anon_sym_in] = ACTIONS(4256),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4256),
    [anon_sym___typeof] = ACTIONS(4256),
    [anon_sym_typeof] = ACTIONS(4256),
    [anon_sym_BOOL] = ACTIONS(4256),
    [anon_sym_IMP] = ACTIONS(4256),
    [anon_sym_SEL] = ACTIONS(4256),
    [anon_sym_Class] = ACTIONS(4256),
    [anon_sym_id] = ACTIONS(4256),
    [anon_sym_out] = ACTIONS(4256),
    [anon_sym_inout] = ACTIONS(4256),
    [anon_sym_bycopy] = ACTIONS(4256),
    [anon_sym_byref] = ACTIONS(4256),
    [anon_sym_oneway] = ACTIONS(4256),
  },
  [3993] = {
    [sym_identifier] = ACTIONS(4116),
    [anon_sym_COMMA] = ACTIONS(4118),
    [anon_sym_RPAREN] = ACTIONS(4118),
    [anon_sym_LPAREN2] = ACTIONS(4118),
    [anon_sym_STAR] = ACTIONS(4118),
    [anon_sym_CARET] = ACTIONS(4118),
    [anon_sym_GT] = ACTIONS(4118),
    [anon_sym_LT] = ACTIONS(4118),
    [anon_sym___extension__] = ACTIONS(4116),
    [anon_sym___attribute__] = ACTIONS(4116),
    [anon_sym___attribute] = ACTIONS(4116),
    [anon_sym_noreturn] = ACTIONS(4116),
    [anon_sym_LBRACK] = ACTIONS(4118),
    [anon_sym___based] = ACTIONS(4116),
    [anon_sym_LBRACE] = ACTIONS(4118),
    [anon_sym_signed] = ACTIONS(4116),
    [anon_sym_unsigned] = ACTIONS(4116),
    [anon_sym_long] = ACTIONS(4116),
    [anon_sym_short] = ACTIONS(4116),
    [anon_sym_ATautoreleasepool] = ACTIONS(4118),
    [anon_sym_const] = ACTIONS(4116),
    [anon_sym_constexpr] = ACTIONS(4116),
    [anon_sym_volatile] = ACTIONS(4116),
    [anon_sym_restrict] = ACTIONS(4116),
    [anon_sym___restrict__] = ACTIONS(4116),
    [anon_sym__Atomic] = ACTIONS(4116),
    [anon_sym__Noreturn] = ACTIONS(4116),
    [anon_sym__Nonnull] = ACTIONS(4116),
    [anon_sym_nullable] = ACTIONS(4116),
    [anon_sym__Complex] = ACTIONS(4116),
    [anon_sym__Nullable] = ACTIONS(4116),
    [anon_sym__Nullable_result] = ACTIONS(4116),
    [anon_sym__Null_unspecified] = ACTIONS(4116),
    [anon_sym___autoreleasing] = ACTIONS(4116),
    [anon_sym___block] = ACTIONS(4116),
    [anon_sym___bridge] = ACTIONS(4116),
    [anon_sym___bridge_retained] = ACTIONS(4116),
    [anon_sym___bridge_transfer] = ACTIONS(4116),
    [anon_sym___complex] = ACTIONS(4116),
    [anon_sym___const] = ACTIONS(4116),
    [anon_sym___imag] = ACTIONS(4116),
    [anon_sym___kindof] = ACTIONS(4116),
    [anon_sym___nonnull] = ACTIONS(4116),
    [anon_sym___nullable] = ACTIONS(4116),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4116),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4116),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4116),
    [anon_sym___real] = ACTIONS(4116),
    [anon_sym___strong] = ACTIONS(4116),
    [anon_sym___unsafe_unretained] = ACTIONS(4116),
    [anon_sym___unused] = ACTIONS(4116),
    [anon_sym___weak] = ACTIONS(4116),
    [anon_sym_alignas] = ACTIONS(4116),
    [anon_sym__Alignas] = ACTIONS(4116),
    [sym_primitive_type] = ACTIONS(4116),
    [anon_sym_enum] = ACTIONS(4116),
    [anon_sym_struct] = ACTIONS(4116),
    [anon_sym_union] = ACTIONS(4116),
    [anon_sym_in] = ACTIONS(4116),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4116),
    [anon_sym___typeof] = ACTIONS(4116),
    [anon_sym_typeof] = ACTIONS(4116),
    [anon_sym_BOOL] = ACTIONS(4116),
    [anon_sym_IMP] = ACTIONS(4116),
    [anon_sym_SEL] = ACTIONS(4116),
    [anon_sym_Class] = ACTIONS(4116),
    [anon_sym_id] = ACTIONS(4116),
    [anon_sym_out] = ACTIONS(4116),
    [anon_sym_inout] = ACTIONS(4116),
    [anon_sym_bycopy] = ACTIONS(4116),
    [anon_sym_byref] = ACTIONS(4116),
    [anon_sym_oneway] = ACTIONS(4116),
  },
  [3994] = {
    [sym_identifier] = ACTIONS(5929),
    [anon_sym_COMMA] = ACTIONS(5916),
    [anon_sym_RPAREN] = ACTIONS(5916),
    [anon_sym_LPAREN2] = ACTIONS(5916),
    [anon_sym_STAR] = ACTIONS(5916),
    [anon_sym_CARET] = ACTIONS(5916),
    [anon_sym_GT] = ACTIONS(5916),
    [anon_sym_LT] = ACTIONS(5916),
    [anon_sym___extension__] = ACTIONS(5929),
    [anon_sym___attribute__] = ACTIONS(5929),
    [anon_sym___attribute] = ACTIONS(5929),
    [anon_sym_noreturn] = ACTIONS(5929),
    [anon_sym_LBRACK] = ACTIONS(5916),
    [anon_sym___based] = ACTIONS(5929),
    [anon_sym_LBRACE] = ACTIONS(5916),
    [anon_sym_signed] = ACTIONS(5929),
    [anon_sym_unsigned] = ACTIONS(5929),
    [anon_sym_long] = ACTIONS(5929),
    [anon_sym_short] = ACTIONS(5929),
    [anon_sym_ATautoreleasepool] = ACTIONS(5916),
    [anon_sym_const] = ACTIONS(5929),
    [anon_sym_constexpr] = ACTIONS(5929),
    [anon_sym_volatile] = ACTIONS(5929),
    [anon_sym_restrict] = ACTIONS(5929),
    [anon_sym___restrict__] = ACTIONS(5929),
    [anon_sym__Atomic] = ACTIONS(5929),
    [anon_sym__Noreturn] = ACTIONS(5929),
    [anon_sym__Nonnull] = ACTIONS(5929),
    [anon_sym_nullable] = ACTIONS(5929),
    [anon_sym__Complex] = ACTIONS(5929),
    [anon_sym__Nullable] = ACTIONS(5929),
    [anon_sym__Nullable_result] = ACTIONS(5929),
    [anon_sym__Null_unspecified] = ACTIONS(5929),
    [anon_sym___autoreleasing] = ACTIONS(5929),
    [anon_sym___block] = ACTIONS(5929),
    [anon_sym___bridge] = ACTIONS(5929),
    [anon_sym___bridge_retained] = ACTIONS(5929),
    [anon_sym___bridge_transfer] = ACTIONS(5929),
    [anon_sym___complex] = ACTIONS(5929),
    [anon_sym___const] = ACTIONS(5929),
    [anon_sym___imag] = ACTIONS(5929),
    [anon_sym___kindof] = ACTIONS(5929),
    [anon_sym___nonnull] = ACTIONS(5929),
    [anon_sym___nullable] = ACTIONS(5929),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5929),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5929),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5929),
    [anon_sym___real] = ACTIONS(5929),
    [anon_sym___strong] = ACTIONS(5929),
    [anon_sym___unsafe_unretained] = ACTIONS(5929),
    [anon_sym___unused] = ACTIONS(5929),
    [anon_sym___weak] = ACTIONS(5929),
    [anon_sym_alignas] = ACTIONS(5929),
    [anon_sym__Alignas] = ACTIONS(5929),
    [sym_primitive_type] = ACTIONS(5929),
    [anon_sym_enum] = ACTIONS(5929),
    [anon_sym_struct] = ACTIONS(5929),
    [anon_sym_union] = ACTIONS(5929),
    [anon_sym_in] = ACTIONS(5929),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5929),
    [anon_sym___typeof] = ACTIONS(5929),
    [anon_sym_typeof] = ACTIONS(5929),
    [anon_sym_BOOL] = ACTIONS(5929),
    [anon_sym_IMP] = ACTIONS(5929),
    [anon_sym_SEL] = ACTIONS(5929),
    [anon_sym_Class] = ACTIONS(5929),
    [anon_sym_id] = ACTIONS(5929),
    [anon_sym_out] = ACTIONS(5929),
    [anon_sym_inout] = ACTIONS(5929),
    [anon_sym_bycopy] = ACTIONS(5929),
    [anon_sym_byref] = ACTIONS(5929),
    [anon_sym_oneway] = ACTIONS(5929),
  },
  [3995] = {
    [sym_identifier] = ACTIONS(4046),
    [anon_sym_COMMA] = ACTIONS(4048),
    [anon_sym_RPAREN] = ACTIONS(4048),
    [anon_sym_LPAREN2] = ACTIONS(4048),
    [anon_sym_STAR] = ACTIONS(4048),
    [anon_sym_CARET] = ACTIONS(4048),
    [anon_sym_GT] = ACTIONS(4048),
    [anon_sym_LT] = ACTIONS(4048),
    [anon_sym___extension__] = ACTIONS(4046),
    [anon_sym___attribute__] = ACTIONS(4046),
    [anon_sym___attribute] = ACTIONS(4046),
    [anon_sym_noreturn] = ACTIONS(4046),
    [anon_sym_LBRACK] = ACTIONS(4048),
    [anon_sym___based] = ACTIONS(4046),
    [anon_sym_LBRACE] = ACTIONS(4048),
    [anon_sym_signed] = ACTIONS(4046),
    [anon_sym_unsigned] = ACTIONS(4046),
    [anon_sym_long] = ACTIONS(4046),
    [anon_sym_short] = ACTIONS(4046),
    [anon_sym_ATautoreleasepool] = ACTIONS(4048),
    [anon_sym_const] = ACTIONS(4046),
    [anon_sym_constexpr] = ACTIONS(4046),
    [anon_sym_volatile] = ACTIONS(4046),
    [anon_sym_restrict] = ACTIONS(4046),
    [anon_sym___restrict__] = ACTIONS(4046),
    [anon_sym__Atomic] = ACTIONS(4046),
    [anon_sym__Noreturn] = ACTIONS(4046),
    [anon_sym__Nonnull] = ACTIONS(4046),
    [anon_sym_nullable] = ACTIONS(4046),
    [anon_sym__Complex] = ACTIONS(4046),
    [anon_sym__Nullable] = ACTIONS(4046),
    [anon_sym__Nullable_result] = ACTIONS(4046),
    [anon_sym__Null_unspecified] = ACTIONS(4046),
    [anon_sym___autoreleasing] = ACTIONS(4046),
    [anon_sym___block] = ACTIONS(4046),
    [anon_sym___bridge] = ACTIONS(4046),
    [anon_sym___bridge_retained] = ACTIONS(4046),
    [anon_sym___bridge_transfer] = ACTIONS(4046),
    [anon_sym___complex] = ACTIONS(4046),
    [anon_sym___const] = ACTIONS(4046),
    [anon_sym___imag] = ACTIONS(4046),
    [anon_sym___kindof] = ACTIONS(4046),
    [anon_sym___nonnull] = ACTIONS(4046),
    [anon_sym___nullable] = ACTIONS(4046),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4046),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4046),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4046),
    [anon_sym___real] = ACTIONS(4046),
    [anon_sym___strong] = ACTIONS(4046),
    [anon_sym___unsafe_unretained] = ACTIONS(4046),
    [anon_sym___unused] = ACTIONS(4046),
    [anon_sym___weak] = ACTIONS(4046),
    [anon_sym_alignas] = ACTIONS(4046),
    [anon_sym__Alignas] = ACTIONS(4046),
    [sym_primitive_type] = ACTIONS(4046),
    [anon_sym_enum] = ACTIONS(4046),
    [anon_sym_struct] = ACTIONS(4046),
    [anon_sym_union] = ACTIONS(4046),
    [anon_sym_in] = ACTIONS(4046),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4046),
    [anon_sym___typeof] = ACTIONS(4046),
    [anon_sym_typeof] = ACTIONS(4046),
    [anon_sym_BOOL] = ACTIONS(4046),
    [anon_sym_IMP] = ACTIONS(4046),
    [anon_sym_SEL] = ACTIONS(4046),
    [anon_sym_Class] = ACTIONS(4046),
    [anon_sym_id] = ACTIONS(4046),
    [anon_sym_out] = ACTIONS(4046),
    [anon_sym_inout] = ACTIONS(4046),
    [anon_sym_bycopy] = ACTIONS(4046),
    [anon_sym_byref] = ACTIONS(4046),
    [anon_sym_oneway] = ACTIONS(4046),
  },
  [3996] = {
    [sym_attribute_specifier] = STATE(3848),
    [sym_enumerator_list] = STATE(3965),
    [sym_identifier] = ACTIONS(7591),
    [anon_sym_LPAREN2] = ACTIONS(7593),
    [anon_sym_STAR] = ACTIONS(7593),
    [anon_sym_CARET] = ACTIONS(7593),
    [anon_sym_LT] = ACTIONS(7593),
    [anon_sym___extension__] = ACTIONS(7591),
    [anon_sym___attribute__] = ACTIONS(8805),
    [anon_sym___attribute] = ACTIONS(8805),
    [anon_sym_noreturn] = ACTIONS(7591),
    [anon_sym_LBRACK] = ACTIONS(7593),
    [anon_sym___based] = ACTIONS(7591),
    [anon_sym_LBRACE] = ACTIONS(8933),
    [anon_sym_signed] = ACTIONS(7591),
    [anon_sym_unsigned] = ACTIONS(7591),
    [anon_sym_long] = ACTIONS(7591),
    [anon_sym_short] = ACTIONS(7591),
    [anon_sym_ATautoreleasepool] = ACTIONS(7593),
    [anon_sym_const] = ACTIONS(7591),
    [anon_sym_constexpr] = ACTIONS(7591),
    [anon_sym_volatile] = ACTIONS(7591),
    [anon_sym_restrict] = ACTIONS(7591),
    [anon_sym___restrict__] = ACTIONS(7591),
    [anon_sym__Atomic] = ACTIONS(7591),
    [anon_sym__Noreturn] = ACTIONS(7591),
    [anon_sym__Nonnull] = ACTIONS(7591),
    [anon_sym_nullable] = ACTIONS(7591),
    [anon_sym__Complex] = ACTIONS(7591),
    [anon_sym__Nullable] = ACTIONS(7591),
    [anon_sym__Nullable_result] = ACTIONS(7591),
    [anon_sym__Null_unspecified] = ACTIONS(7591),
    [anon_sym___autoreleasing] = ACTIONS(7591),
    [anon_sym___block] = ACTIONS(7591),
    [anon_sym___bridge] = ACTIONS(7591),
    [anon_sym___bridge_retained] = ACTIONS(7591),
    [anon_sym___bridge_transfer] = ACTIONS(7591),
    [anon_sym___complex] = ACTIONS(7591),
    [anon_sym___const] = ACTIONS(7591),
    [anon_sym___imag] = ACTIONS(7591),
    [anon_sym___kindof] = ACTIONS(7591),
    [anon_sym___nonnull] = ACTIONS(7591),
    [anon_sym___nullable] = ACTIONS(7591),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7591),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7591),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7591),
    [anon_sym___real] = ACTIONS(7591),
    [anon_sym___strong] = ACTIONS(7591),
    [anon_sym___unsafe_unretained] = ACTIONS(7591),
    [anon_sym___unused] = ACTIONS(7591),
    [anon_sym___weak] = ACTIONS(7591),
    [anon_sym_alignas] = ACTIONS(7591),
    [anon_sym__Alignas] = ACTIONS(7591),
    [sym_primitive_type] = ACTIONS(7591),
    [anon_sym_enum] = ACTIONS(7591),
    [anon_sym_COLON] = ACTIONS(8936),
    [anon_sym_struct] = ACTIONS(7591),
    [anon_sym_union] = ACTIONS(7591),
    [anon_sym_in] = ACTIONS(7591),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7591),
    [anon_sym___typeof] = ACTIONS(7591),
    [anon_sym_typeof] = ACTIONS(7591),
    [anon_sym_BOOL] = ACTIONS(7591),
    [anon_sym_IMP] = ACTIONS(7591),
    [anon_sym_SEL] = ACTIONS(7591),
    [anon_sym_Class] = ACTIONS(7591),
    [anon_sym_id] = ACTIONS(7591),
    [anon_sym_out] = ACTIONS(7591),
    [anon_sym_inout] = ACTIONS(7591),
    [anon_sym_bycopy] = ACTIONS(7591),
    [anon_sym_byref] = ACTIONS(7591),
    [anon_sym_oneway] = ACTIONS(7591),
  },
  [3997] = {
    [sym_identifier] = ACTIONS(4066),
    [anon_sym_COMMA] = ACTIONS(4068),
    [anon_sym_RPAREN] = ACTIONS(4068),
    [anon_sym_LPAREN2] = ACTIONS(4068),
    [anon_sym_STAR] = ACTIONS(4068),
    [anon_sym_CARET] = ACTIONS(4068),
    [anon_sym_GT] = ACTIONS(4068),
    [anon_sym_LT] = ACTIONS(4068),
    [anon_sym___extension__] = ACTIONS(4066),
    [anon_sym___attribute__] = ACTIONS(4066),
    [anon_sym___attribute] = ACTIONS(4066),
    [anon_sym_noreturn] = ACTIONS(4066),
    [anon_sym_LBRACK] = ACTIONS(4068),
    [anon_sym___based] = ACTIONS(4066),
    [anon_sym_LBRACE] = ACTIONS(4068),
    [anon_sym_signed] = ACTIONS(4066),
    [anon_sym_unsigned] = ACTIONS(4066),
    [anon_sym_long] = ACTIONS(4066),
    [anon_sym_short] = ACTIONS(4066),
    [anon_sym_ATautoreleasepool] = ACTIONS(4068),
    [anon_sym_const] = ACTIONS(4066),
    [anon_sym_constexpr] = ACTIONS(4066),
    [anon_sym_volatile] = ACTIONS(4066),
    [anon_sym_restrict] = ACTIONS(4066),
    [anon_sym___restrict__] = ACTIONS(4066),
    [anon_sym__Atomic] = ACTIONS(4066),
    [anon_sym__Noreturn] = ACTIONS(4066),
    [anon_sym__Nonnull] = ACTIONS(4066),
    [anon_sym_nullable] = ACTIONS(4066),
    [anon_sym__Complex] = ACTIONS(4066),
    [anon_sym__Nullable] = ACTIONS(4066),
    [anon_sym__Nullable_result] = ACTIONS(4066),
    [anon_sym__Null_unspecified] = ACTIONS(4066),
    [anon_sym___autoreleasing] = ACTIONS(4066),
    [anon_sym___block] = ACTIONS(4066),
    [anon_sym___bridge] = ACTIONS(4066),
    [anon_sym___bridge_retained] = ACTIONS(4066),
    [anon_sym___bridge_transfer] = ACTIONS(4066),
    [anon_sym___complex] = ACTIONS(4066),
    [anon_sym___const] = ACTIONS(4066),
    [anon_sym___imag] = ACTIONS(4066),
    [anon_sym___kindof] = ACTIONS(4066),
    [anon_sym___nonnull] = ACTIONS(4066),
    [anon_sym___nullable] = ACTIONS(4066),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4066),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4066),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4066),
    [anon_sym___real] = ACTIONS(4066),
    [anon_sym___strong] = ACTIONS(4066),
    [anon_sym___unsafe_unretained] = ACTIONS(4066),
    [anon_sym___unused] = ACTIONS(4066),
    [anon_sym___weak] = ACTIONS(4066),
    [anon_sym_alignas] = ACTIONS(4066),
    [anon_sym__Alignas] = ACTIONS(4066),
    [sym_primitive_type] = ACTIONS(4066),
    [anon_sym_enum] = ACTIONS(4066),
    [anon_sym_struct] = ACTIONS(4066),
    [anon_sym_union] = ACTIONS(4066),
    [anon_sym_in] = ACTIONS(4066),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4066),
    [anon_sym___typeof] = ACTIONS(4066),
    [anon_sym_typeof] = ACTIONS(4066),
    [anon_sym_BOOL] = ACTIONS(4066),
    [anon_sym_IMP] = ACTIONS(4066),
    [anon_sym_SEL] = ACTIONS(4066),
    [anon_sym_Class] = ACTIONS(4066),
    [anon_sym_id] = ACTIONS(4066),
    [anon_sym_out] = ACTIONS(4066),
    [anon_sym_inout] = ACTIONS(4066),
    [anon_sym_bycopy] = ACTIONS(4066),
    [anon_sym_byref] = ACTIONS(4066),
    [anon_sym_oneway] = ACTIONS(4066),
  },
  [3998] = {
    [sym_attribute_specifier] = STATE(3912),
    [sym_enumerator_list] = STATE(3930),
    [sym_identifier] = ACTIONS(7606),
    [anon_sym_LPAREN2] = ACTIONS(7608),
    [anon_sym_STAR] = ACTIONS(7608),
    [anon_sym_CARET] = ACTIONS(7608),
    [anon_sym_LT] = ACTIONS(7608),
    [anon_sym___extension__] = ACTIONS(7606),
    [anon_sym___attribute__] = ACTIONS(8789),
    [anon_sym___attribute] = ACTIONS(8789),
    [anon_sym_noreturn] = ACTIONS(7606),
    [anon_sym_LBRACK] = ACTIONS(7608),
    [anon_sym___based] = ACTIONS(7606),
    [anon_sym_LBRACE] = ACTIONS(8938),
    [anon_sym_signed] = ACTIONS(7606),
    [anon_sym_unsigned] = ACTIONS(7606),
    [anon_sym_long] = ACTIONS(7606),
    [anon_sym_short] = ACTIONS(7606),
    [anon_sym_ATautoreleasepool] = ACTIONS(7608),
    [anon_sym_const] = ACTIONS(7606),
    [anon_sym_constexpr] = ACTIONS(7606),
    [anon_sym_volatile] = ACTIONS(7606),
    [anon_sym_restrict] = ACTIONS(7606),
    [anon_sym___restrict__] = ACTIONS(7606),
    [anon_sym__Atomic] = ACTIONS(7606),
    [anon_sym__Noreturn] = ACTIONS(7606),
    [anon_sym__Nonnull] = ACTIONS(7606),
    [anon_sym_nullable] = ACTIONS(7606),
    [anon_sym__Complex] = ACTIONS(7606),
    [anon_sym__Nullable] = ACTIONS(7606),
    [anon_sym__Nullable_result] = ACTIONS(7606),
    [anon_sym__Null_unspecified] = ACTIONS(7606),
    [anon_sym___autoreleasing] = ACTIONS(7606),
    [anon_sym___block] = ACTIONS(7606),
    [anon_sym___bridge] = ACTIONS(7606),
    [anon_sym___bridge_retained] = ACTIONS(7606),
    [anon_sym___bridge_transfer] = ACTIONS(7606),
    [anon_sym___complex] = ACTIONS(7606),
    [anon_sym___const] = ACTIONS(7606),
    [anon_sym___imag] = ACTIONS(7606),
    [anon_sym___kindof] = ACTIONS(7606),
    [anon_sym___nonnull] = ACTIONS(7606),
    [anon_sym___nullable] = ACTIONS(7606),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7606),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7606),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7606),
    [anon_sym___real] = ACTIONS(7606),
    [anon_sym___strong] = ACTIONS(7606),
    [anon_sym___unsafe_unretained] = ACTIONS(7606),
    [anon_sym___unused] = ACTIONS(7606),
    [anon_sym___weak] = ACTIONS(7606),
    [anon_sym_alignas] = ACTIONS(7606),
    [anon_sym__Alignas] = ACTIONS(7606),
    [sym_primitive_type] = ACTIONS(7606),
    [anon_sym_enum] = ACTIONS(7606),
    [anon_sym_COLON] = ACTIONS(8941),
    [anon_sym_struct] = ACTIONS(7606),
    [anon_sym_union] = ACTIONS(7606),
    [anon_sym_in] = ACTIONS(7606),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7606),
    [anon_sym___typeof] = ACTIONS(7606),
    [anon_sym_typeof] = ACTIONS(7606),
    [anon_sym_BOOL] = ACTIONS(7606),
    [anon_sym_IMP] = ACTIONS(7606),
    [anon_sym_SEL] = ACTIONS(7606),
    [anon_sym_Class] = ACTIONS(7606),
    [anon_sym_id] = ACTIONS(7606),
    [anon_sym_out] = ACTIONS(7606),
    [anon_sym_inout] = ACTIONS(7606),
    [anon_sym_bycopy] = ACTIONS(7606),
    [anon_sym_byref] = ACTIONS(7606),
    [anon_sym_oneway] = ACTIONS(7606),
  },
  [3999] = {
    [sym_identifier] = ACTIONS(6760),
    [anon_sym_COMMA] = ACTIONS(6762),
    [anon_sym_RPAREN] = ACTIONS(6762),
    [anon_sym_LPAREN2] = ACTIONS(6762),
    [anon_sym_STAR] = ACTIONS(6762),
    [anon_sym_CARET] = ACTIONS(6762),
    [anon_sym_GT] = ACTIONS(6762),
    [anon_sym_LT] = ACTIONS(6762),
    [anon_sym___extension__] = ACTIONS(6760),
    [anon_sym___attribute__] = ACTIONS(6760),
    [anon_sym___attribute] = ACTIONS(6760),
    [anon_sym_noreturn] = ACTIONS(6760),
    [anon_sym_LBRACK] = ACTIONS(6762),
    [anon_sym___based] = ACTIONS(6760),
    [anon_sym_LBRACE] = ACTIONS(6762),
    [anon_sym_signed] = ACTIONS(6760),
    [anon_sym_unsigned] = ACTIONS(6760),
    [anon_sym_long] = ACTIONS(6760),
    [anon_sym_short] = ACTIONS(6760),
    [anon_sym_ATautoreleasepool] = ACTIONS(6762),
    [anon_sym_const] = ACTIONS(6760),
    [anon_sym_constexpr] = ACTIONS(6760),
    [anon_sym_volatile] = ACTIONS(6760),
    [anon_sym_restrict] = ACTIONS(6760),
    [anon_sym___restrict__] = ACTIONS(6760),
    [anon_sym__Atomic] = ACTIONS(6760),
    [anon_sym__Noreturn] = ACTIONS(6760),
    [anon_sym__Nonnull] = ACTIONS(6760),
    [anon_sym_nullable] = ACTIONS(6760),
    [anon_sym__Complex] = ACTIONS(6760),
    [anon_sym__Nullable] = ACTIONS(6760),
    [anon_sym__Nullable_result] = ACTIONS(6760),
    [anon_sym__Null_unspecified] = ACTIONS(6760),
    [anon_sym___autoreleasing] = ACTIONS(6760),
    [anon_sym___block] = ACTIONS(6760),
    [anon_sym___bridge] = ACTIONS(6760),
    [anon_sym___bridge_retained] = ACTIONS(6760),
    [anon_sym___bridge_transfer] = ACTIONS(6760),
    [anon_sym___complex] = ACTIONS(6760),
    [anon_sym___const] = ACTIONS(6760),
    [anon_sym___imag] = ACTIONS(6760),
    [anon_sym___kindof] = ACTIONS(6760),
    [anon_sym___nonnull] = ACTIONS(6760),
    [anon_sym___nullable] = ACTIONS(6760),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6760),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6760),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6760),
    [anon_sym___real] = ACTIONS(6760),
    [anon_sym___strong] = ACTIONS(6760),
    [anon_sym___unsafe_unretained] = ACTIONS(6760),
    [anon_sym___unused] = ACTIONS(6760),
    [anon_sym___weak] = ACTIONS(6760),
    [anon_sym_alignas] = ACTIONS(6760),
    [anon_sym__Alignas] = ACTIONS(6760),
    [sym_primitive_type] = ACTIONS(6760),
    [anon_sym_enum] = ACTIONS(6760),
    [anon_sym_struct] = ACTIONS(6760),
    [anon_sym_union] = ACTIONS(6760),
    [anon_sym_in] = ACTIONS(6760),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6760),
    [anon_sym___typeof] = ACTIONS(6760),
    [anon_sym_typeof] = ACTIONS(6760),
    [anon_sym_BOOL] = ACTIONS(6760),
    [anon_sym_IMP] = ACTIONS(6760),
    [anon_sym_SEL] = ACTIONS(6760),
    [anon_sym_Class] = ACTIONS(6760),
    [anon_sym_id] = ACTIONS(6760),
    [anon_sym_out] = ACTIONS(6760),
    [anon_sym_inout] = ACTIONS(6760),
    [anon_sym_bycopy] = ACTIONS(6760),
    [anon_sym_byref] = ACTIONS(6760),
    [anon_sym_oneway] = ACTIONS(6760),
  },
  [4000] = {
    [sym_attribute_specifier] = STATE(3890),
    [sym_enumerator_list] = STATE(3976),
    [sym_identifier] = ACTIONS(7616),
    [anon_sym_LPAREN2] = ACTIONS(7618),
    [anon_sym_STAR] = ACTIONS(7618),
    [anon_sym_CARET] = ACTIONS(7618),
    [anon_sym_LT] = ACTIONS(7618),
    [anon_sym___extension__] = ACTIONS(7616),
    [anon_sym___attribute__] = ACTIONS(8810),
    [anon_sym___attribute] = ACTIONS(8810),
    [anon_sym_noreturn] = ACTIONS(7616),
    [anon_sym_LBRACK] = ACTIONS(7618),
    [anon_sym___based] = ACTIONS(7616),
    [anon_sym_LBRACE] = ACTIONS(8943),
    [anon_sym_signed] = ACTIONS(7616),
    [anon_sym_unsigned] = ACTIONS(7616),
    [anon_sym_long] = ACTIONS(7616),
    [anon_sym_short] = ACTIONS(7616),
    [anon_sym_ATautoreleasepool] = ACTIONS(7618),
    [anon_sym_const] = ACTIONS(7616),
    [anon_sym_constexpr] = ACTIONS(7616),
    [anon_sym_volatile] = ACTIONS(7616),
    [anon_sym_restrict] = ACTIONS(7616),
    [anon_sym___restrict__] = ACTIONS(7616),
    [anon_sym__Atomic] = ACTIONS(7616),
    [anon_sym__Noreturn] = ACTIONS(7616),
    [anon_sym__Nonnull] = ACTIONS(7616),
    [anon_sym_nullable] = ACTIONS(7616),
    [anon_sym__Complex] = ACTIONS(7616),
    [anon_sym__Nullable] = ACTIONS(7616),
    [anon_sym__Nullable_result] = ACTIONS(7616),
    [anon_sym__Null_unspecified] = ACTIONS(7616),
    [anon_sym___autoreleasing] = ACTIONS(7616),
    [anon_sym___block] = ACTIONS(7616),
    [anon_sym___bridge] = ACTIONS(7616),
    [anon_sym___bridge_retained] = ACTIONS(7616),
    [anon_sym___bridge_transfer] = ACTIONS(7616),
    [anon_sym___complex] = ACTIONS(7616),
    [anon_sym___const] = ACTIONS(7616),
    [anon_sym___imag] = ACTIONS(7616),
    [anon_sym___kindof] = ACTIONS(7616),
    [anon_sym___nonnull] = ACTIONS(7616),
    [anon_sym___nullable] = ACTIONS(7616),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7616),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7616),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7616),
    [anon_sym___real] = ACTIONS(7616),
    [anon_sym___strong] = ACTIONS(7616),
    [anon_sym___unsafe_unretained] = ACTIONS(7616),
    [anon_sym___unused] = ACTIONS(7616),
    [anon_sym___weak] = ACTIONS(7616),
    [anon_sym_alignas] = ACTIONS(7616),
    [anon_sym__Alignas] = ACTIONS(7616),
    [sym_primitive_type] = ACTIONS(7616),
    [anon_sym_enum] = ACTIONS(7616),
    [anon_sym_COLON] = ACTIONS(8946),
    [anon_sym_struct] = ACTIONS(7616),
    [anon_sym_union] = ACTIONS(7616),
    [anon_sym_in] = ACTIONS(7616),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7616),
    [anon_sym___typeof] = ACTIONS(7616),
    [anon_sym_typeof] = ACTIONS(7616),
    [anon_sym_BOOL] = ACTIONS(7616),
    [anon_sym_IMP] = ACTIONS(7616),
    [anon_sym_SEL] = ACTIONS(7616),
    [anon_sym_Class] = ACTIONS(7616),
    [anon_sym_id] = ACTIONS(7616),
    [anon_sym_out] = ACTIONS(7616),
    [anon_sym_inout] = ACTIONS(7616),
    [anon_sym_bycopy] = ACTIONS(7616),
    [anon_sym_byref] = ACTIONS(7616),
    [anon_sym_oneway] = ACTIONS(7616),
  },
  [4001] = {
    [sym_identifier] = ACTIONS(4272),
    [anon_sym_COMMA] = ACTIONS(4274),
    [anon_sym_RPAREN] = ACTIONS(4274),
    [anon_sym_LPAREN2] = ACTIONS(4274),
    [anon_sym_STAR] = ACTIONS(4274),
    [anon_sym_CARET] = ACTIONS(4274),
    [anon_sym_GT] = ACTIONS(4274),
    [anon_sym_LT] = ACTIONS(4274),
    [anon_sym___extension__] = ACTIONS(4272),
    [anon_sym___attribute__] = ACTIONS(4272),
    [anon_sym___attribute] = ACTIONS(4272),
    [anon_sym_noreturn] = ACTIONS(4272),
    [anon_sym_LBRACK] = ACTIONS(4274),
    [anon_sym___based] = ACTIONS(4272),
    [anon_sym_LBRACE] = ACTIONS(4274),
    [anon_sym_signed] = ACTIONS(4272),
    [anon_sym_unsigned] = ACTIONS(4272),
    [anon_sym_long] = ACTIONS(4272),
    [anon_sym_short] = ACTIONS(4272),
    [anon_sym_ATautoreleasepool] = ACTIONS(4274),
    [anon_sym_const] = ACTIONS(4272),
    [anon_sym_constexpr] = ACTIONS(4272),
    [anon_sym_volatile] = ACTIONS(4272),
    [anon_sym_restrict] = ACTIONS(4272),
    [anon_sym___restrict__] = ACTIONS(4272),
    [anon_sym__Atomic] = ACTIONS(4272),
    [anon_sym__Noreturn] = ACTIONS(4272),
    [anon_sym__Nonnull] = ACTIONS(4272),
    [anon_sym_nullable] = ACTIONS(4272),
    [anon_sym__Complex] = ACTIONS(4272),
    [anon_sym__Nullable] = ACTIONS(4272),
    [anon_sym__Nullable_result] = ACTIONS(4272),
    [anon_sym__Null_unspecified] = ACTIONS(4272),
    [anon_sym___autoreleasing] = ACTIONS(4272),
    [anon_sym___block] = ACTIONS(4272),
    [anon_sym___bridge] = ACTIONS(4272),
    [anon_sym___bridge_retained] = ACTIONS(4272),
    [anon_sym___bridge_transfer] = ACTIONS(4272),
    [anon_sym___complex] = ACTIONS(4272),
    [anon_sym___const] = ACTIONS(4272),
    [anon_sym___imag] = ACTIONS(4272),
    [anon_sym___kindof] = ACTIONS(4272),
    [anon_sym___nonnull] = ACTIONS(4272),
    [anon_sym___nullable] = ACTIONS(4272),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4272),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4272),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4272),
    [anon_sym___real] = ACTIONS(4272),
    [anon_sym___strong] = ACTIONS(4272),
    [anon_sym___unsafe_unretained] = ACTIONS(4272),
    [anon_sym___unused] = ACTIONS(4272),
    [anon_sym___weak] = ACTIONS(4272),
    [anon_sym_alignas] = ACTIONS(4272),
    [anon_sym__Alignas] = ACTIONS(4272),
    [sym_primitive_type] = ACTIONS(4272),
    [anon_sym_enum] = ACTIONS(4272),
    [anon_sym_struct] = ACTIONS(4272),
    [anon_sym_union] = ACTIONS(4272),
    [anon_sym_in] = ACTIONS(4272),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4272),
    [anon_sym___typeof] = ACTIONS(4272),
    [anon_sym_typeof] = ACTIONS(4272),
    [anon_sym_BOOL] = ACTIONS(4272),
    [anon_sym_IMP] = ACTIONS(4272),
    [anon_sym_SEL] = ACTIONS(4272),
    [anon_sym_Class] = ACTIONS(4272),
    [anon_sym_id] = ACTIONS(4272),
    [anon_sym_out] = ACTIONS(4272),
    [anon_sym_inout] = ACTIONS(4272),
    [anon_sym_bycopy] = ACTIONS(4272),
    [anon_sym_byref] = ACTIONS(4272),
    [anon_sym_oneway] = ACTIONS(4272),
  },
  [4002] = {
    [sym_identifier] = ACTIONS(6772),
    [anon_sym_COMMA] = ACTIONS(6774),
    [anon_sym_RPAREN] = ACTIONS(6774),
    [anon_sym_LPAREN2] = ACTIONS(6774),
    [anon_sym_STAR] = ACTIONS(6774),
    [anon_sym_CARET] = ACTIONS(6774),
    [anon_sym_GT] = ACTIONS(6774),
    [anon_sym_LT] = ACTIONS(6774),
    [anon_sym___extension__] = ACTIONS(6772),
    [anon_sym___attribute__] = ACTIONS(6772),
    [anon_sym___attribute] = ACTIONS(6772),
    [anon_sym_noreturn] = ACTIONS(6772),
    [anon_sym_LBRACK] = ACTIONS(6774),
    [anon_sym___based] = ACTIONS(6772),
    [anon_sym_LBRACE] = ACTIONS(6774),
    [anon_sym_signed] = ACTIONS(6772),
    [anon_sym_unsigned] = ACTIONS(6772),
    [anon_sym_long] = ACTIONS(6772),
    [anon_sym_short] = ACTIONS(6772),
    [anon_sym_ATautoreleasepool] = ACTIONS(6774),
    [anon_sym_const] = ACTIONS(6772),
    [anon_sym_constexpr] = ACTIONS(6772),
    [anon_sym_volatile] = ACTIONS(6772),
    [anon_sym_restrict] = ACTIONS(6772),
    [anon_sym___restrict__] = ACTIONS(6772),
    [anon_sym__Atomic] = ACTIONS(6772),
    [anon_sym__Noreturn] = ACTIONS(6772),
    [anon_sym__Nonnull] = ACTIONS(6772),
    [anon_sym_nullable] = ACTIONS(6772),
    [anon_sym__Complex] = ACTIONS(6772),
    [anon_sym__Nullable] = ACTIONS(6772),
    [anon_sym__Nullable_result] = ACTIONS(6772),
    [anon_sym__Null_unspecified] = ACTIONS(6772),
    [anon_sym___autoreleasing] = ACTIONS(6772),
    [anon_sym___block] = ACTIONS(6772),
    [anon_sym___bridge] = ACTIONS(6772),
    [anon_sym___bridge_retained] = ACTIONS(6772),
    [anon_sym___bridge_transfer] = ACTIONS(6772),
    [anon_sym___complex] = ACTIONS(6772),
    [anon_sym___const] = ACTIONS(6772),
    [anon_sym___imag] = ACTIONS(6772),
    [anon_sym___kindof] = ACTIONS(6772),
    [anon_sym___nonnull] = ACTIONS(6772),
    [anon_sym___nullable] = ACTIONS(6772),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6772),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6772),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6772),
    [anon_sym___real] = ACTIONS(6772),
    [anon_sym___strong] = ACTIONS(6772),
    [anon_sym___unsafe_unretained] = ACTIONS(6772),
    [anon_sym___unused] = ACTIONS(6772),
    [anon_sym___weak] = ACTIONS(6772),
    [anon_sym_alignas] = ACTIONS(6772),
    [anon_sym__Alignas] = ACTIONS(6772),
    [sym_primitive_type] = ACTIONS(6772),
    [anon_sym_enum] = ACTIONS(6772),
    [anon_sym_struct] = ACTIONS(6772),
    [anon_sym_union] = ACTIONS(6772),
    [anon_sym_in] = ACTIONS(6772),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6772),
    [anon_sym___typeof] = ACTIONS(6772),
    [anon_sym_typeof] = ACTIONS(6772),
    [anon_sym_BOOL] = ACTIONS(6772),
    [anon_sym_IMP] = ACTIONS(6772),
    [anon_sym_SEL] = ACTIONS(6772),
    [anon_sym_Class] = ACTIONS(6772),
    [anon_sym_id] = ACTIONS(6772),
    [anon_sym_out] = ACTIONS(6772),
    [anon_sym_inout] = ACTIONS(6772),
    [anon_sym_bycopy] = ACTIONS(6772),
    [anon_sym_byref] = ACTIONS(6772),
    [anon_sym_oneway] = ACTIONS(6772),
  },
  [4003] = {
    [sym_identifier] = ACTIONS(4290),
    [anon_sym_COMMA] = ACTIONS(4292),
    [anon_sym_RPAREN] = ACTIONS(4292),
    [anon_sym_LPAREN2] = ACTIONS(4292),
    [anon_sym_STAR] = ACTIONS(4292),
    [anon_sym_CARET] = ACTIONS(4292),
    [anon_sym_GT] = ACTIONS(4292),
    [anon_sym_LT] = ACTIONS(4292),
    [anon_sym___extension__] = ACTIONS(4290),
    [anon_sym___attribute__] = ACTIONS(4290),
    [anon_sym___attribute] = ACTIONS(4290),
    [anon_sym_noreturn] = ACTIONS(4290),
    [anon_sym_LBRACK] = ACTIONS(4292),
    [anon_sym___based] = ACTIONS(4290),
    [anon_sym_LBRACE] = ACTIONS(4292),
    [anon_sym_signed] = ACTIONS(4290),
    [anon_sym_unsigned] = ACTIONS(4290),
    [anon_sym_long] = ACTIONS(4290),
    [anon_sym_short] = ACTIONS(4290),
    [anon_sym_ATautoreleasepool] = ACTIONS(4292),
    [anon_sym_const] = ACTIONS(4290),
    [anon_sym_constexpr] = ACTIONS(4290),
    [anon_sym_volatile] = ACTIONS(4290),
    [anon_sym_restrict] = ACTIONS(4290),
    [anon_sym___restrict__] = ACTIONS(4290),
    [anon_sym__Atomic] = ACTIONS(4290),
    [anon_sym__Noreturn] = ACTIONS(4290),
    [anon_sym__Nonnull] = ACTIONS(4290),
    [anon_sym_nullable] = ACTIONS(4290),
    [anon_sym__Complex] = ACTIONS(4290),
    [anon_sym__Nullable] = ACTIONS(4290),
    [anon_sym__Nullable_result] = ACTIONS(4290),
    [anon_sym__Null_unspecified] = ACTIONS(4290),
    [anon_sym___autoreleasing] = ACTIONS(4290),
    [anon_sym___block] = ACTIONS(4290),
    [anon_sym___bridge] = ACTIONS(4290),
    [anon_sym___bridge_retained] = ACTIONS(4290),
    [anon_sym___bridge_transfer] = ACTIONS(4290),
    [anon_sym___complex] = ACTIONS(4290),
    [anon_sym___const] = ACTIONS(4290),
    [anon_sym___imag] = ACTIONS(4290),
    [anon_sym___kindof] = ACTIONS(4290),
    [anon_sym___nonnull] = ACTIONS(4290),
    [anon_sym___nullable] = ACTIONS(4290),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4290),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4290),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4290),
    [anon_sym___real] = ACTIONS(4290),
    [anon_sym___strong] = ACTIONS(4290),
    [anon_sym___unsafe_unretained] = ACTIONS(4290),
    [anon_sym___unused] = ACTIONS(4290),
    [anon_sym___weak] = ACTIONS(4290),
    [anon_sym_alignas] = ACTIONS(4290),
    [anon_sym__Alignas] = ACTIONS(4290),
    [sym_primitive_type] = ACTIONS(4290),
    [anon_sym_enum] = ACTIONS(4290),
    [anon_sym_struct] = ACTIONS(4290),
    [anon_sym_union] = ACTIONS(4290),
    [anon_sym_in] = ACTIONS(4290),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4290),
    [anon_sym___typeof] = ACTIONS(4290),
    [anon_sym_typeof] = ACTIONS(4290),
    [anon_sym_BOOL] = ACTIONS(4290),
    [anon_sym_IMP] = ACTIONS(4290),
    [anon_sym_SEL] = ACTIONS(4290),
    [anon_sym_Class] = ACTIONS(4290),
    [anon_sym_id] = ACTIONS(4290),
    [anon_sym_out] = ACTIONS(4290),
    [anon_sym_inout] = ACTIONS(4290),
    [anon_sym_bycopy] = ACTIONS(4290),
    [anon_sym_byref] = ACTIONS(4290),
    [anon_sym_oneway] = ACTIONS(4290),
  },
  [4004] = {
    [sym_attribute_specifier] = STATE(5720),
    [sym_compound_statement] = STATE(1666),
    [sym_parameter_list] = STATE(5052),
    [sym_identifier] = ACTIONS(8877),
    [anon_sym_LPAREN2] = ACTIONS(8848),
    [anon_sym_STAR] = ACTIONS(8109),
    [anon_sym_CARET] = ACTIONS(8109),
    [anon_sym_LT] = ACTIONS(8109),
    [anon_sym___extension__] = ACTIONS(8877),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(8877),
    [anon_sym_LBRACK] = ACTIONS(8109),
    [anon_sym___based] = ACTIONS(8877),
    [anon_sym_LBRACE] = ACTIONS(8151),
    [anon_sym_signed] = ACTIONS(8877),
    [anon_sym_unsigned] = ACTIONS(8877),
    [anon_sym_long] = ACTIONS(8877),
    [anon_sym_short] = ACTIONS(8877),
    [anon_sym_ATautoreleasepool] = ACTIONS(8153),
    [anon_sym_const] = ACTIONS(8877),
    [anon_sym_constexpr] = ACTIONS(8877),
    [anon_sym_volatile] = ACTIONS(8877),
    [anon_sym_restrict] = ACTIONS(8877),
    [anon_sym___restrict__] = ACTIONS(8877),
    [anon_sym__Atomic] = ACTIONS(8877),
    [anon_sym__Noreturn] = ACTIONS(8877),
    [anon_sym__Nonnull] = ACTIONS(8877),
    [anon_sym_nullable] = ACTIONS(8877),
    [anon_sym__Complex] = ACTIONS(8877),
    [anon_sym__Nullable] = ACTIONS(8877),
    [anon_sym__Nullable_result] = ACTIONS(8877),
    [anon_sym__Null_unspecified] = ACTIONS(8877),
    [anon_sym___autoreleasing] = ACTIONS(8877),
    [anon_sym___block] = ACTIONS(8877),
    [anon_sym___bridge] = ACTIONS(8877),
    [anon_sym___bridge_retained] = ACTIONS(8877),
    [anon_sym___bridge_transfer] = ACTIONS(8877),
    [anon_sym___complex] = ACTIONS(8877),
    [anon_sym___const] = ACTIONS(8877),
    [anon_sym___imag] = ACTIONS(8877),
    [anon_sym___kindof] = ACTIONS(8877),
    [anon_sym___nonnull] = ACTIONS(8877),
    [anon_sym___nullable] = ACTIONS(8877),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8877),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8877),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8877),
    [anon_sym___real] = ACTIONS(8877),
    [anon_sym___strong] = ACTIONS(8877),
    [anon_sym___unsafe_unretained] = ACTIONS(8877),
    [anon_sym___unused] = ACTIONS(8877),
    [anon_sym___weak] = ACTIONS(8877),
    [anon_sym_alignas] = ACTIONS(8877),
    [anon_sym__Alignas] = ACTIONS(8877),
    [sym_primitive_type] = ACTIONS(8877),
    [anon_sym_enum] = ACTIONS(8877),
    [anon_sym_struct] = ACTIONS(8877),
    [anon_sym_union] = ACTIONS(8877),
    [anon_sym_in] = ACTIONS(8877),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(8877),
    [anon_sym___typeof] = ACTIONS(8877),
    [anon_sym_typeof] = ACTIONS(8877),
    [anon_sym_BOOL] = ACTIONS(8877),
    [anon_sym_IMP] = ACTIONS(8877),
    [anon_sym_SEL] = ACTIONS(8877),
    [anon_sym_Class] = ACTIONS(8877),
    [anon_sym_id] = ACTIONS(8877),
    [anon_sym_out] = ACTIONS(8877),
    [anon_sym_inout] = ACTIONS(8877),
    [anon_sym_bycopy] = ACTIONS(8877),
    [anon_sym_byref] = ACTIONS(8877),
    [anon_sym_oneway] = ACTIONS(8877),
  },
  [4005] = {
    [sym_identifier] = ACTIONS(6764),
    [anon_sym_COMMA] = ACTIONS(6766),
    [anon_sym_RPAREN] = ACTIONS(6766),
    [anon_sym_LPAREN2] = ACTIONS(6766),
    [anon_sym_STAR] = ACTIONS(6766),
    [anon_sym_CARET] = ACTIONS(6766),
    [anon_sym_GT] = ACTIONS(6766),
    [anon_sym_LT] = ACTIONS(6766),
    [anon_sym___extension__] = ACTIONS(6764),
    [anon_sym___attribute__] = ACTIONS(6764),
    [anon_sym___attribute] = ACTIONS(6764),
    [anon_sym_noreturn] = ACTIONS(6764),
    [anon_sym_LBRACK] = ACTIONS(6766),
    [anon_sym___based] = ACTIONS(6764),
    [anon_sym_LBRACE] = ACTIONS(6766),
    [anon_sym_signed] = ACTIONS(6764),
    [anon_sym_unsigned] = ACTIONS(6764),
    [anon_sym_long] = ACTIONS(6764),
    [anon_sym_short] = ACTIONS(6764),
    [anon_sym_ATautoreleasepool] = ACTIONS(6766),
    [anon_sym_const] = ACTIONS(6764),
    [anon_sym_constexpr] = ACTIONS(6764),
    [anon_sym_volatile] = ACTIONS(6764),
    [anon_sym_restrict] = ACTIONS(6764),
    [anon_sym___restrict__] = ACTIONS(6764),
    [anon_sym__Atomic] = ACTIONS(6764),
    [anon_sym__Noreturn] = ACTIONS(6764),
    [anon_sym__Nonnull] = ACTIONS(6764),
    [anon_sym_nullable] = ACTIONS(6764),
    [anon_sym__Complex] = ACTIONS(6764),
    [anon_sym__Nullable] = ACTIONS(6764),
    [anon_sym__Nullable_result] = ACTIONS(6764),
    [anon_sym__Null_unspecified] = ACTIONS(6764),
    [anon_sym___autoreleasing] = ACTIONS(6764),
    [anon_sym___block] = ACTIONS(6764),
    [anon_sym___bridge] = ACTIONS(6764),
    [anon_sym___bridge_retained] = ACTIONS(6764),
    [anon_sym___bridge_transfer] = ACTIONS(6764),
    [anon_sym___complex] = ACTIONS(6764),
    [anon_sym___const] = ACTIONS(6764),
    [anon_sym___imag] = ACTIONS(6764),
    [anon_sym___kindof] = ACTIONS(6764),
    [anon_sym___nonnull] = ACTIONS(6764),
    [anon_sym___nullable] = ACTIONS(6764),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6764),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6764),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6764),
    [anon_sym___real] = ACTIONS(6764),
    [anon_sym___strong] = ACTIONS(6764),
    [anon_sym___unsafe_unretained] = ACTIONS(6764),
    [anon_sym___unused] = ACTIONS(6764),
    [anon_sym___weak] = ACTIONS(6764),
    [anon_sym_alignas] = ACTIONS(6764),
    [anon_sym__Alignas] = ACTIONS(6764),
    [sym_primitive_type] = ACTIONS(6764),
    [anon_sym_enum] = ACTIONS(6764),
    [anon_sym_struct] = ACTIONS(6764),
    [anon_sym_union] = ACTIONS(6764),
    [anon_sym_in] = ACTIONS(6764),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6764),
    [anon_sym___typeof] = ACTIONS(6764),
    [anon_sym_typeof] = ACTIONS(6764),
    [anon_sym_BOOL] = ACTIONS(6764),
    [anon_sym_IMP] = ACTIONS(6764),
    [anon_sym_SEL] = ACTIONS(6764),
    [anon_sym_Class] = ACTIONS(6764),
    [anon_sym_id] = ACTIONS(6764),
    [anon_sym_out] = ACTIONS(6764),
    [anon_sym_inout] = ACTIONS(6764),
    [anon_sym_bycopy] = ACTIONS(6764),
    [anon_sym_byref] = ACTIONS(6764),
    [anon_sym_oneway] = ACTIONS(6764),
  },
  [4006] = {
    [sym_identifier] = ACTIONS(6768),
    [anon_sym_COMMA] = ACTIONS(6770),
    [anon_sym_RPAREN] = ACTIONS(6770),
    [anon_sym_LPAREN2] = ACTIONS(6770),
    [anon_sym_STAR] = ACTIONS(6770),
    [anon_sym_CARET] = ACTIONS(6770),
    [anon_sym_GT] = ACTIONS(6770),
    [anon_sym_LT] = ACTIONS(6770),
    [anon_sym___extension__] = ACTIONS(6768),
    [anon_sym___attribute__] = ACTIONS(6768),
    [anon_sym___attribute] = ACTIONS(6768),
    [anon_sym_noreturn] = ACTIONS(6768),
    [anon_sym_LBRACK] = ACTIONS(6770),
    [anon_sym___based] = ACTIONS(6768),
    [anon_sym_LBRACE] = ACTIONS(6770),
    [anon_sym_signed] = ACTIONS(6768),
    [anon_sym_unsigned] = ACTIONS(6768),
    [anon_sym_long] = ACTIONS(6768),
    [anon_sym_short] = ACTIONS(6768),
    [anon_sym_ATautoreleasepool] = ACTIONS(6770),
    [anon_sym_const] = ACTIONS(6768),
    [anon_sym_constexpr] = ACTIONS(6768),
    [anon_sym_volatile] = ACTIONS(6768),
    [anon_sym_restrict] = ACTIONS(6768),
    [anon_sym___restrict__] = ACTIONS(6768),
    [anon_sym__Atomic] = ACTIONS(6768),
    [anon_sym__Noreturn] = ACTIONS(6768),
    [anon_sym__Nonnull] = ACTIONS(6768),
    [anon_sym_nullable] = ACTIONS(6768),
    [anon_sym__Complex] = ACTIONS(6768),
    [anon_sym__Nullable] = ACTIONS(6768),
    [anon_sym__Nullable_result] = ACTIONS(6768),
    [anon_sym__Null_unspecified] = ACTIONS(6768),
    [anon_sym___autoreleasing] = ACTIONS(6768),
    [anon_sym___block] = ACTIONS(6768),
    [anon_sym___bridge] = ACTIONS(6768),
    [anon_sym___bridge_retained] = ACTIONS(6768),
    [anon_sym___bridge_transfer] = ACTIONS(6768),
    [anon_sym___complex] = ACTIONS(6768),
    [anon_sym___const] = ACTIONS(6768),
    [anon_sym___imag] = ACTIONS(6768),
    [anon_sym___kindof] = ACTIONS(6768),
    [anon_sym___nonnull] = ACTIONS(6768),
    [anon_sym___nullable] = ACTIONS(6768),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(6768),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(6768),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(6768),
    [anon_sym___real] = ACTIONS(6768),
    [anon_sym___strong] = ACTIONS(6768),
    [anon_sym___unsafe_unretained] = ACTIONS(6768),
    [anon_sym___unused] = ACTIONS(6768),
    [anon_sym___weak] = ACTIONS(6768),
    [anon_sym_alignas] = ACTIONS(6768),
    [anon_sym__Alignas] = ACTIONS(6768),
    [sym_primitive_type] = ACTIONS(6768),
    [anon_sym_enum] = ACTIONS(6768),
    [anon_sym_struct] = ACTIONS(6768),
    [anon_sym_union] = ACTIONS(6768),
    [anon_sym_in] = ACTIONS(6768),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(6768),
    [anon_sym___typeof] = ACTIONS(6768),
    [anon_sym_typeof] = ACTIONS(6768),
    [anon_sym_BOOL] = ACTIONS(6768),
    [anon_sym_IMP] = ACTIONS(6768),
    [anon_sym_SEL] = ACTIONS(6768),
    [anon_sym_Class] = ACTIONS(6768),
    [anon_sym_id] = ACTIONS(6768),
    [anon_sym_out] = ACTIONS(6768),
    [anon_sym_inout] = ACTIONS(6768),
    [anon_sym_bycopy] = ACTIONS(6768),
    [anon_sym_byref] = ACTIONS(6768),
    [anon_sym_oneway] = ACTIONS(6768),
  },
  [4007] = {
    [sym_identifier] = ACTIONS(4180),
    [anon_sym_COMMA] = ACTIONS(4182),
    [anon_sym_RPAREN] = ACTIONS(4182),
    [anon_sym_LPAREN2] = ACTIONS(4182),
    [anon_sym_STAR] = ACTIONS(4182),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_GT] = ACTIONS(4182),
    [anon_sym_LT] = ACTIONS(4182),
    [anon_sym___extension__] = ACTIONS(4180),
    [anon_sym___attribute__] = ACTIONS(4180),
    [anon_sym___attribute] = ACTIONS(4180),
    [anon_sym_noreturn] = ACTIONS(4180),
    [anon_sym_LBRACK] = ACTIONS(4182),
    [anon_sym___based] = ACTIONS(4180),
    [anon_sym_LBRACE] = ACTIONS(4182),
    [anon_sym_signed] = ACTIONS(4180),
    [anon_sym_unsigned] = ACTIONS(4180),
    [anon_sym_long] = ACTIONS(4180),
    [anon_sym_short] = ACTIONS(4180),
    [anon_sym_ATautoreleasepool] = ACTIONS(4182),
    [anon_sym_const] = ACTIONS(4180),
    [anon_sym_constexpr] = ACTIONS(4180),
    [anon_sym_volatile] = ACTIONS(4180),
    [anon_sym_restrict] = ACTIONS(4180),
    [anon_sym___restrict__] = ACTIONS(4180),
    [anon_sym__Atomic] = ACTIONS(4180),
    [anon_sym__Noreturn] = ACTIONS(4180),
    [anon_sym__Nonnull] = ACTIONS(4180),
    [anon_sym_nullable] = ACTIONS(4180),
    [anon_sym__Complex] = ACTIONS(4180),
    [anon_sym__Nullable] = ACTIONS(4180),
    [anon_sym__Nullable_result] = ACTIONS(4180),
    [anon_sym__Null_unspecified] = ACTIONS(4180),
    [anon_sym___autoreleasing] = ACTIONS(4180),
    [anon_sym___block] = ACTIONS(4180),
    [anon_sym___bridge] = ACTIONS(4180),
    [anon_sym___bridge_retained] = ACTIONS(4180),
    [anon_sym___bridge_transfer] = ACTIONS(4180),
    [anon_sym___complex] = ACTIONS(4180),
    [anon_sym___const] = ACTIONS(4180),
    [anon_sym___imag] = ACTIONS(4180),
    [anon_sym___kindof] = ACTIONS(4180),
    [anon_sym___nonnull] = ACTIONS(4180),
    [anon_sym___nullable] = ACTIONS(4180),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4180),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4180),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4180),
    [anon_sym___real] = ACTIONS(4180),
    [anon_sym___strong] = ACTIONS(4180),
    [anon_sym___unsafe_unretained] = ACTIONS(4180),
    [anon_sym___unused] = ACTIONS(4180),
    [anon_sym___weak] = ACTIONS(4180),
    [anon_sym_alignas] = ACTIONS(4180),
    [anon_sym__Alignas] = ACTIONS(4180),
    [sym_primitive_type] = ACTIONS(4180),
    [anon_sym_enum] = ACTIONS(4180),
    [anon_sym_struct] = ACTIONS(4180),
    [anon_sym_union] = ACTIONS(4180),
    [anon_sym_in] = ACTIONS(4180),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4180),
    [anon_sym___typeof] = ACTIONS(4180),
    [anon_sym_typeof] = ACTIONS(4180),
    [anon_sym_BOOL] = ACTIONS(4180),
    [anon_sym_IMP] = ACTIONS(4180),
    [anon_sym_SEL] = ACTIONS(4180),
    [anon_sym_Class] = ACTIONS(4180),
    [anon_sym_id] = ACTIONS(4180),
    [anon_sym_out] = ACTIONS(4180),
    [anon_sym_inout] = ACTIONS(4180),
    [anon_sym_bycopy] = ACTIONS(4180),
    [anon_sym_byref] = ACTIONS(4180),
    [anon_sym_oneway] = ACTIONS(4180),
  },
  [4008] = {
    [sym_identifier] = ACTIONS(4260),
    [anon_sym_COMMA] = ACTIONS(4262),
    [anon_sym_RPAREN] = ACTIONS(4262),
    [anon_sym_LPAREN2] = ACTIONS(4262),
    [anon_sym_STAR] = ACTIONS(4262),
    [anon_sym_CARET] = ACTIONS(4262),
    [anon_sym_GT] = ACTIONS(4262),
    [anon_sym_LT] = ACTIONS(4262),
    [anon_sym___extension__] = ACTIONS(4260),
    [anon_sym___attribute__] = ACTIONS(4260),
    [anon_sym___attribute] = ACTIONS(4260),
    [anon_sym_noreturn] = ACTIONS(4260),
    [anon_sym_LBRACK] = ACTIONS(4262),
    [anon_sym___based] = ACTIONS(4260),
    [anon_sym_LBRACE] = ACTIONS(4262),
    [anon_sym_signed] = ACTIONS(4260),
    [anon_sym_unsigned] = ACTIONS(4260),
    [anon_sym_long] = ACTIONS(4260),
    [anon_sym_short] = ACTIONS(4260),
    [anon_sym_ATautoreleasepool] = ACTIONS(4262),
    [anon_sym_const] = ACTIONS(4260),
    [anon_sym_constexpr] = ACTIONS(4260),
    [anon_sym_volatile] = ACTIONS(4260),
    [anon_sym_restrict] = ACTIONS(4260),
    [anon_sym___restrict__] = ACTIONS(4260),
    [anon_sym__Atomic] = ACTIONS(4260),
    [anon_sym__Noreturn] = ACTIONS(4260),
    [anon_sym__Nonnull] = ACTIONS(4260),
    [anon_sym_nullable] = ACTIONS(4260),
    [anon_sym__Complex] = ACTIONS(4260),
    [anon_sym__Nullable] = ACTIONS(4260),
    [anon_sym__Nullable_result] = ACTIONS(4260),
    [anon_sym__Null_unspecified] = ACTIONS(4260),
    [anon_sym___autoreleasing] = ACTIONS(4260),
    [anon_sym___block] = ACTIONS(4260),
    [anon_sym___bridge] = ACTIONS(4260),
    [anon_sym___bridge_retained] = ACTIONS(4260),
    [anon_sym___bridge_transfer] = ACTIONS(4260),
    [anon_sym___complex] = ACTIONS(4260),
    [anon_sym___const] = ACTIONS(4260),
    [anon_sym___imag] = ACTIONS(4260),
    [anon_sym___kindof] = ACTIONS(4260),
    [anon_sym___nonnull] = ACTIONS(4260),
    [anon_sym___nullable] = ACTIONS(4260),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4260),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4260),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4260),
    [anon_sym___real] = ACTIONS(4260),
    [anon_sym___strong] = ACTIONS(4260),
    [anon_sym___unsafe_unretained] = ACTIONS(4260),
    [anon_sym___unused] = ACTIONS(4260),
    [anon_sym___weak] = ACTIONS(4260),
    [anon_sym_alignas] = ACTIONS(4260),
    [anon_sym__Alignas] = ACTIONS(4260),
    [sym_primitive_type] = ACTIONS(4260),
    [anon_sym_enum] = ACTIONS(4260),
    [anon_sym_struct] = ACTIONS(4260),
    [anon_sym_union] = ACTIONS(4260),
    [anon_sym_in] = ACTIONS(4260),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4260),
    [anon_sym___typeof] = ACTIONS(4260),
    [anon_sym_typeof] = ACTIONS(4260),
    [anon_sym_BOOL] = ACTIONS(4260),
    [anon_sym_IMP] = ACTIONS(4260),
    [anon_sym_SEL] = ACTIONS(4260),
    [anon_sym_Class] = ACTIONS(4260),
    [anon_sym_id] = ACTIONS(4260),
    [anon_sym_out] = ACTIONS(4260),
    [anon_sym_inout] = ACTIONS(4260),
    [anon_sym_bycopy] = ACTIONS(4260),
    [anon_sym_byref] = ACTIONS(4260),
    [anon_sym_oneway] = ACTIONS(4260),
  },
  [4009] = {
    [sym_identifier] = ACTIONS(4282),
    [anon_sym_COMMA] = ACTIONS(4284),
    [anon_sym_RPAREN] = ACTIONS(4284),
    [anon_sym_LPAREN2] = ACTIONS(4284),
    [anon_sym_STAR] = ACTIONS(4284),
    [anon_sym_CARET] = ACTIONS(4284),
    [anon_sym_GT] = ACTIONS(4284),
    [anon_sym_LT] = ACTIONS(4284),
    [anon_sym___extension__] = ACTIONS(4282),
    [anon_sym___attribute__] = ACTIONS(4282),
    [anon_sym___attribute] = ACTIONS(4282),
    [anon_sym_noreturn] = ACTIONS(4282),
    [anon_sym_LBRACK] = ACTIONS(4284),
    [anon_sym___based] = ACTIONS(4282),
    [anon_sym_LBRACE] = ACTIONS(4284),
    [anon_sym_signed] = ACTIONS(4282),
    [anon_sym_unsigned] = ACTIONS(4282),
    [anon_sym_long] = ACTIONS(4282),
    [anon_sym_short] = ACTIONS(4282),
    [anon_sym_ATautoreleasepool] = ACTIONS(4284),
    [anon_sym_const] = ACTIONS(4282),
    [anon_sym_constexpr] = ACTIONS(4282),
    [anon_sym_volatile] = ACTIONS(4282),
    [anon_sym_restrict] = ACTIONS(4282),
    [anon_sym___restrict__] = ACTIONS(4282),
    [anon_sym__Atomic] = ACTIONS(4282),
    [anon_sym__Noreturn] = ACTIONS(4282),
    [anon_sym__Nonnull] = ACTIONS(4282),
    [anon_sym_nullable] = ACTIONS(4282),
    [anon_sym__Complex] = ACTIONS(4282),
    [anon_sym__Nullable] = ACTIONS(4282),
    [anon_sym__Nullable_result] = ACTIONS(4282),
    [anon_sym__Null_unspecified] = ACTIONS(4282),
    [anon_sym___autoreleasing] = ACTIONS(4282),
    [anon_sym___block] = ACTIONS(4282),
    [anon_sym___bridge] = ACTIONS(4282),
    [anon_sym___bridge_retained] = ACTIONS(4282),
    [anon_sym___bridge_transfer] = ACTIONS(4282),
    [anon_sym___complex] = ACTIONS(4282),
    [anon_sym___const] = ACTIONS(4282),
    [anon_sym___imag] = ACTIONS(4282),
    [anon_sym___kindof] = ACTIONS(4282),
    [anon_sym___nonnull] = ACTIONS(4282),
    [anon_sym___nullable] = ACTIONS(4282),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4282),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4282),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4282),
    [anon_sym___real] = ACTIONS(4282),
    [anon_sym___strong] = ACTIONS(4282),
    [anon_sym___unsafe_unretained] = ACTIONS(4282),
    [anon_sym___unused] = ACTIONS(4282),
    [anon_sym___weak] = ACTIONS(4282),
    [anon_sym_alignas] = ACTIONS(4282),
    [anon_sym__Alignas] = ACTIONS(4282),
    [sym_primitive_type] = ACTIONS(4282),
    [anon_sym_enum] = ACTIONS(4282),
    [anon_sym_struct] = ACTIONS(4282),
    [anon_sym_union] = ACTIONS(4282),
    [anon_sym_in] = ACTIONS(4282),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4282),
    [anon_sym___typeof] = ACTIONS(4282),
    [anon_sym_typeof] = ACTIONS(4282),
    [anon_sym_BOOL] = ACTIONS(4282),
    [anon_sym_IMP] = ACTIONS(4282),
    [anon_sym_SEL] = ACTIONS(4282),
    [anon_sym_Class] = ACTIONS(4282),
    [anon_sym_id] = ACTIONS(4282),
    [anon_sym_out] = ACTIONS(4282),
    [anon_sym_inout] = ACTIONS(4282),
    [anon_sym_bycopy] = ACTIONS(4282),
    [anon_sym_byref] = ACTIONS(4282),
    [anon_sym_oneway] = ACTIONS(4282),
  },
  [4010] = {
    [sym__type_definition_type] = STATE(4759),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4011] = {
    [sym__type_definition_type] = STATE(4729),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4012] = {
    [sym__type_definition_type] = STATE(4755),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4013] = {
    [sym__type_definition_type] = STATE(4789),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4014] = {
    [sym__type_definition_type] = STATE(4698),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4015] = {
    [sym__type_definition_type] = STATE(4715),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4016] = {
    [sym__type_definition_type] = STATE(4704),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4017] = {
    [sym__type_definition_type] = STATE(4707),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4018] = {
    [sym__type_definition_type] = STATE(4714),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4019] = {
    [sym__type_definition_type] = STATE(4718),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4020] = {
    [sym__type_definition_type] = STATE(4733),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4021] = {
    [sym__type_definition_type] = STATE(4738),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4022] = {
    [sym__type_definition_type] = STATE(4745),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4023] = {
    [sym__type_definition_type] = STATE(4747),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4024] = {
    [sym__type_definition_type] = STATE(4796),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4025] = {
    [sym__type_definition_type] = STATE(4754),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4026] = {
    [sym__type_definition_type] = STATE(4757),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4027] = {
    [sym__type_definition_type] = STATE(4760),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4028] = {
    [sym__type_definition_type] = STATE(4764),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4029] = {
    [sym__type_definition_type] = STATE(4769),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4030] = {
    [sym__type_definition_type] = STATE(4743),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4031] = {
    [sym__type_definition_type] = STATE(4777),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4032] = {
    [sym__type_definition_type] = STATE(4779),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4033] = {
    [sym__type_definition_type] = STATE(4725),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4034] = {
    [sym__type_definition_type] = STATE(4784),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4035] = {
    [sym__type_definition_type] = STATE(4787),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4036] = {
    [sym__type_definition_type] = STATE(4731),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4037] = {
    [sym__type_definition_type] = STATE(4705),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4038] = {
    [sym_attribute_specifier] = STATE(3882),
    [sym_enumerator_list] = STATE(3973),
    [sym_identifier] = ACTIONS(7535),
    [anon_sym_LPAREN2] = ACTIONS(7537),
    [anon_sym_STAR] = ACTIONS(7537),
    [anon_sym_CARET] = ACTIONS(7537),
    [anon_sym_LT] = ACTIONS(7537),
    [anon_sym___extension__] = ACTIONS(7535),
    [anon_sym___attribute__] = ACTIONS(8852),
    [anon_sym___attribute] = ACTIONS(8852),
    [anon_sym_noreturn] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(7537),
    [anon_sym___based] = ACTIONS(7535),
    [anon_sym_LBRACE] = ACTIONS(8948),
    [anon_sym_signed] = ACTIONS(7535),
    [anon_sym_unsigned] = ACTIONS(7535),
    [anon_sym_long] = ACTIONS(7535),
    [anon_sym_short] = ACTIONS(7535),
    [anon_sym_ATautoreleasepool] = ACTIONS(7537),
    [anon_sym_const] = ACTIONS(7535),
    [anon_sym_constexpr] = ACTIONS(7535),
    [anon_sym_volatile] = ACTIONS(7535),
    [anon_sym_restrict] = ACTIONS(7535),
    [anon_sym___restrict__] = ACTIONS(7535),
    [anon_sym__Atomic] = ACTIONS(7535),
    [anon_sym__Noreturn] = ACTIONS(7535),
    [anon_sym__Nonnull] = ACTIONS(7535),
    [anon_sym_nullable] = ACTIONS(7535),
    [anon_sym__Complex] = ACTIONS(7535),
    [anon_sym__Nullable] = ACTIONS(7535),
    [anon_sym__Nullable_result] = ACTIONS(7535),
    [anon_sym__Null_unspecified] = ACTIONS(7535),
    [anon_sym___autoreleasing] = ACTIONS(7535),
    [anon_sym___block] = ACTIONS(7535),
    [anon_sym___bridge] = ACTIONS(7535),
    [anon_sym___bridge_retained] = ACTIONS(7535),
    [anon_sym___bridge_transfer] = ACTIONS(7535),
    [anon_sym___complex] = ACTIONS(7535),
    [anon_sym___const] = ACTIONS(7535),
    [anon_sym___imag] = ACTIONS(7535),
    [anon_sym___kindof] = ACTIONS(7535),
    [anon_sym___nonnull] = ACTIONS(7535),
    [anon_sym___nullable] = ACTIONS(7535),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7535),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7535),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7535),
    [anon_sym___real] = ACTIONS(7535),
    [anon_sym___strong] = ACTIONS(7535),
    [anon_sym___unsafe_unretained] = ACTIONS(7535),
    [anon_sym___unused] = ACTIONS(7535),
    [anon_sym___weak] = ACTIONS(7535),
    [anon_sym_alignas] = ACTIONS(7535),
    [anon_sym__Alignas] = ACTIONS(7535),
    [sym_primitive_type] = ACTIONS(7535),
    [anon_sym_enum] = ACTIONS(7535),
    [anon_sym_struct] = ACTIONS(7535),
    [anon_sym_union] = ACTIONS(7535),
    [anon_sym_in] = ACTIONS(7535),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7535),
    [anon_sym___typeof] = ACTIONS(7535),
    [anon_sym_typeof] = ACTIONS(7535),
    [anon_sym_BOOL] = ACTIONS(7535),
    [anon_sym_IMP] = ACTIONS(7535),
    [anon_sym_SEL] = ACTIONS(7535),
    [anon_sym_Class] = ACTIONS(7535),
    [anon_sym_id] = ACTIONS(7535),
    [anon_sym_out] = ACTIONS(7535),
    [anon_sym_inout] = ACTIONS(7535),
    [anon_sym_bycopy] = ACTIONS(7535),
    [anon_sym_byref] = ACTIONS(7535),
    [anon_sym_oneway] = ACTIONS(7535),
  },
  [4039] = {
    [sym_attribute_specifier] = STATE(3883),
    [sym_enumerator_list] = STATE(3974),
    [sym_identifier] = ACTIONS(7556),
    [anon_sym_LPAREN2] = ACTIONS(7558),
    [anon_sym_STAR] = ACTIONS(7558),
    [anon_sym_CARET] = ACTIONS(7558),
    [anon_sym_LT] = ACTIONS(7558),
    [anon_sym___extension__] = ACTIONS(7556),
    [anon_sym___attribute__] = ACTIONS(8930),
    [anon_sym___attribute] = ACTIONS(8930),
    [anon_sym_noreturn] = ACTIONS(7556),
    [anon_sym_LBRACK] = ACTIONS(7558),
    [anon_sym___based] = ACTIONS(7556),
    [anon_sym_LBRACE] = ACTIONS(8951),
    [anon_sym_signed] = ACTIONS(7556),
    [anon_sym_unsigned] = ACTIONS(7556),
    [anon_sym_long] = ACTIONS(7556),
    [anon_sym_short] = ACTIONS(7556),
    [anon_sym_ATautoreleasepool] = ACTIONS(7558),
    [anon_sym_const] = ACTIONS(7556),
    [anon_sym_constexpr] = ACTIONS(7556),
    [anon_sym_volatile] = ACTIONS(7556),
    [anon_sym_restrict] = ACTIONS(7556),
    [anon_sym___restrict__] = ACTIONS(7556),
    [anon_sym__Atomic] = ACTIONS(7556),
    [anon_sym__Noreturn] = ACTIONS(7556),
    [anon_sym__Nonnull] = ACTIONS(7556),
    [anon_sym_nullable] = ACTIONS(7556),
    [anon_sym__Complex] = ACTIONS(7556),
    [anon_sym__Nullable] = ACTIONS(7556),
    [anon_sym__Nullable_result] = ACTIONS(7556),
    [anon_sym__Null_unspecified] = ACTIONS(7556),
    [anon_sym___autoreleasing] = ACTIONS(7556),
    [anon_sym___block] = ACTIONS(7556),
    [anon_sym___bridge] = ACTIONS(7556),
    [anon_sym___bridge_retained] = ACTIONS(7556),
    [anon_sym___bridge_transfer] = ACTIONS(7556),
    [anon_sym___complex] = ACTIONS(7556),
    [anon_sym___const] = ACTIONS(7556),
    [anon_sym___imag] = ACTIONS(7556),
    [anon_sym___kindof] = ACTIONS(7556),
    [anon_sym___nonnull] = ACTIONS(7556),
    [anon_sym___nullable] = ACTIONS(7556),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7556),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7556),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7556),
    [anon_sym___real] = ACTIONS(7556),
    [anon_sym___strong] = ACTIONS(7556),
    [anon_sym___unsafe_unretained] = ACTIONS(7556),
    [anon_sym___unused] = ACTIONS(7556),
    [anon_sym___weak] = ACTIONS(7556),
    [anon_sym_alignas] = ACTIONS(7556),
    [anon_sym__Alignas] = ACTIONS(7556),
    [sym_primitive_type] = ACTIONS(7556),
    [anon_sym_enum] = ACTIONS(7556),
    [anon_sym_struct] = ACTIONS(7556),
    [anon_sym_union] = ACTIONS(7556),
    [anon_sym_in] = ACTIONS(7556),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7556),
    [anon_sym___typeof] = ACTIONS(7556),
    [anon_sym_typeof] = ACTIONS(7556),
    [anon_sym_BOOL] = ACTIONS(7556),
    [anon_sym_IMP] = ACTIONS(7556),
    [anon_sym_SEL] = ACTIONS(7556),
    [anon_sym_Class] = ACTIONS(7556),
    [anon_sym_id] = ACTIONS(7556),
    [anon_sym_out] = ACTIONS(7556),
    [anon_sym_inout] = ACTIONS(7556),
    [anon_sym_bycopy] = ACTIONS(7556),
    [anon_sym_byref] = ACTIONS(7556),
    [anon_sym_oneway] = ACTIONS(7556),
  },
  [4040] = {
    [sym__type_definition_type] = STATE(4712),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4041] = {
    [sym__type_definition_type] = STATE(4773),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4042] = {
    [sym__type_definition_type] = STATE(4734),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4043] = {
    [sym__type_definition_type] = STATE(4735),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4044] = {
    [sym__type_definition_type] = STATE(4740),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4045] = {
    [sym__type_definition_type] = STATE(4750),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4046] = {
    [sym__type_definition_type] = STATE(4711),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4047] = {
    [sym_attribute_specifier] = STATE(3842),
    [sym_enumerator_list] = STATE(3981),
    [sym_identifier] = ACTIONS(7517),
    [anon_sym_LPAREN2] = ACTIONS(7519),
    [anon_sym_STAR] = ACTIONS(7519),
    [anon_sym_CARET] = ACTIONS(7519),
    [anon_sym_LT] = ACTIONS(7519),
    [anon_sym___extension__] = ACTIONS(7517),
    [anon_sym___attribute__] = ACTIONS(8861),
    [anon_sym___attribute] = ACTIONS(8861),
    [anon_sym_noreturn] = ACTIONS(7517),
    [anon_sym_LBRACK] = ACTIONS(7519),
    [anon_sym___based] = ACTIONS(7517),
    [anon_sym_LBRACE] = ACTIONS(8954),
    [anon_sym_signed] = ACTIONS(7517),
    [anon_sym_unsigned] = ACTIONS(7517),
    [anon_sym_long] = ACTIONS(7517),
    [anon_sym_short] = ACTIONS(7517),
    [anon_sym_ATautoreleasepool] = ACTIONS(7519),
    [anon_sym_const] = ACTIONS(7517),
    [anon_sym_constexpr] = ACTIONS(7517),
    [anon_sym_volatile] = ACTIONS(7517),
    [anon_sym_restrict] = ACTIONS(7517),
    [anon_sym___restrict__] = ACTIONS(7517),
    [anon_sym__Atomic] = ACTIONS(7517),
    [anon_sym__Noreturn] = ACTIONS(7517),
    [anon_sym__Nonnull] = ACTIONS(7517),
    [anon_sym_nullable] = ACTIONS(7517),
    [anon_sym__Complex] = ACTIONS(7517),
    [anon_sym__Nullable] = ACTIONS(7517),
    [anon_sym__Nullable_result] = ACTIONS(7517),
    [anon_sym__Null_unspecified] = ACTIONS(7517),
    [anon_sym___autoreleasing] = ACTIONS(7517),
    [anon_sym___block] = ACTIONS(7517),
    [anon_sym___bridge] = ACTIONS(7517),
    [anon_sym___bridge_retained] = ACTIONS(7517),
    [anon_sym___bridge_transfer] = ACTIONS(7517),
    [anon_sym___complex] = ACTIONS(7517),
    [anon_sym___const] = ACTIONS(7517),
    [anon_sym___imag] = ACTIONS(7517),
    [anon_sym___kindof] = ACTIONS(7517),
    [anon_sym___nonnull] = ACTIONS(7517),
    [anon_sym___nullable] = ACTIONS(7517),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7517),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7517),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7517),
    [anon_sym___real] = ACTIONS(7517),
    [anon_sym___strong] = ACTIONS(7517),
    [anon_sym___unsafe_unretained] = ACTIONS(7517),
    [anon_sym___unused] = ACTIONS(7517),
    [anon_sym___weak] = ACTIONS(7517),
    [anon_sym_alignas] = ACTIONS(7517),
    [anon_sym__Alignas] = ACTIONS(7517),
    [sym_primitive_type] = ACTIONS(7517),
    [anon_sym_enum] = ACTIONS(7517),
    [anon_sym_struct] = ACTIONS(7517),
    [anon_sym_union] = ACTIONS(7517),
    [anon_sym_in] = ACTIONS(7517),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7517),
    [anon_sym___typeof] = ACTIONS(7517),
    [anon_sym_typeof] = ACTIONS(7517),
    [anon_sym_BOOL] = ACTIONS(7517),
    [anon_sym_IMP] = ACTIONS(7517),
    [anon_sym_SEL] = ACTIONS(7517),
    [anon_sym_Class] = ACTIONS(7517),
    [anon_sym_id] = ACTIONS(7517),
    [anon_sym_out] = ACTIONS(7517),
    [anon_sym_inout] = ACTIONS(7517),
    [anon_sym_bycopy] = ACTIONS(7517),
    [anon_sym_byref] = ACTIONS(7517),
    [anon_sym_oneway] = ACTIONS(7517),
  },
  [4048] = {
    [sym_attribute_specifier] = STATE(3865),
    [sym_enumerator_list] = STATE(3982),
    [sym_identifier] = ACTIONS(7526),
    [anon_sym_LPAREN2] = ACTIONS(7528),
    [anon_sym_STAR] = ACTIONS(7528),
    [anon_sym_CARET] = ACTIONS(7528),
    [anon_sym_LT] = ACTIONS(7528),
    [anon_sym___extension__] = ACTIONS(7526),
    [anon_sym___attribute__] = ACTIONS(8864),
    [anon_sym___attribute] = ACTIONS(8864),
    [anon_sym_noreturn] = ACTIONS(7526),
    [anon_sym_LBRACK] = ACTIONS(7528),
    [anon_sym___based] = ACTIONS(7526),
    [anon_sym_LBRACE] = ACTIONS(8957),
    [anon_sym_signed] = ACTIONS(7526),
    [anon_sym_unsigned] = ACTIONS(7526),
    [anon_sym_long] = ACTIONS(7526),
    [anon_sym_short] = ACTIONS(7526),
    [anon_sym_ATautoreleasepool] = ACTIONS(7528),
    [anon_sym_const] = ACTIONS(7526),
    [anon_sym_constexpr] = ACTIONS(7526),
    [anon_sym_volatile] = ACTIONS(7526),
    [anon_sym_restrict] = ACTIONS(7526),
    [anon_sym___restrict__] = ACTIONS(7526),
    [anon_sym__Atomic] = ACTIONS(7526),
    [anon_sym__Noreturn] = ACTIONS(7526),
    [anon_sym__Nonnull] = ACTIONS(7526),
    [anon_sym_nullable] = ACTIONS(7526),
    [anon_sym__Complex] = ACTIONS(7526),
    [anon_sym__Nullable] = ACTIONS(7526),
    [anon_sym__Nullable_result] = ACTIONS(7526),
    [anon_sym__Null_unspecified] = ACTIONS(7526),
    [anon_sym___autoreleasing] = ACTIONS(7526),
    [anon_sym___block] = ACTIONS(7526),
    [anon_sym___bridge] = ACTIONS(7526),
    [anon_sym___bridge_retained] = ACTIONS(7526),
    [anon_sym___bridge_transfer] = ACTIONS(7526),
    [anon_sym___complex] = ACTIONS(7526),
    [anon_sym___const] = ACTIONS(7526),
    [anon_sym___imag] = ACTIONS(7526),
    [anon_sym___kindof] = ACTIONS(7526),
    [anon_sym___nonnull] = ACTIONS(7526),
    [anon_sym___nullable] = ACTIONS(7526),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7526),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7526),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7526),
    [anon_sym___real] = ACTIONS(7526),
    [anon_sym___strong] = ACTIONS(7526),
    [anon_sym___unsafe_unretained] = ACTIONS(7526),
    [anon_sym___unused] = ACTIONS(7526),
    [anon_sym___weak] = ACTIONS(7526),
    [anon_sym_alignas] = ACTIONS(7526),
    [anon_sym__Alignas] = ACTIONS(7526),
    [sym_primitive_type] = ACTIONS(7526),
    [anon_sym_enum] = ACTIONS(7526),
    [anon_sym_struct] = ACTIONS(7526),
    [anon_sym_union] = ACTIONS(7526),
    [anon_sym_in] = ACTIONS(7526),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7526),
    [anon_sym___typeof] = ACTIONS(7526),
    [anon_sym_typeof] = ACTIONS(7526),
    [anon_sym_BOOL] = ACTIONS(7526),
    [anon_sym_IMP] = ACTIONS(7526),
    [anon_sym_SEL] = ACTIONS(7526),
    [anon_sym_Class] = ACTIONS(7526),
    [anon_sym_id] = ACTIONS(7526),
    [anon_sym_out] = ACTIONS(7526),
    [anon_sym_inout] = ACTIONS(7526),
    [anon_sym_bycopy] = ACTIONS(7526),
    [anon_sym_byref] = ACTIONS(7526),
    [anon_sym_oneway] = ACTIONS(7526),
  },
  [4049] = {
    [sym__type_definition_type] = STATE(4746),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4050] = {
    [sym__type_definition_type] = STATE(4785),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4051] = {
    [sym_attribute_specifier] = STATE(3846),
    [sym_enumerator_list] = STATE(3957),
    [sym_identifier] = ACTIONS(7563),
    [anon_sym_LPAREN2] = ACTIONS(7565),
    [anon_sym_STAR] = ACTIONS(7565),
    [anon_sym_CARET] = ACTIONS(7565),
    [anon_sym_LT] = ACTIONS(7565),
    [anon_sym___extension__] = ACTIONS(7563),
    [anon_sym___attribute__] = ACTIONS(8867),
    [anon_sym___attribute] = ACTIONS(8867),
    [anon_sym_noreturn] = ACTIONS(7563),
    [anon_sym_LBRACK] = ACTIONS(7565),
    [anon_sym___based] = ACTIONS(7563),
    [anon_sym_LBRACE] = ACTIONS(8960),
    [anon_sym_signed] = ACTIONS(7563),
    [anon_sym_unsigned] = ACTIONS(7563),
    [anon_sym_long] = ACTIONS(7563),
    [anon_sym_short] = ACTIONS(7563),
    [anon_sym_ATautoreleasepool] = ACTIONS(7565),
    [anon_sym_const] = ACTIONS(7563),
    [anon_sym_constexpr] = ACTIONS(7563),
    [anon_sym_volatile] = ACTIONS(7563),
    [anon_sym_restrict] = ACTIONS(7563),
    [anon_sym___restrict__] = ACTIONS(7563),
    [anon_sym__Atomic] = ACTIONS(7563),
    [anon_sym__Noreturn] = ACTIONS(7563),
    [anon_sym__Nonnull] = ACTIONS(7563),
    [anon_sym_nullable] = ACTIONS(7563),
    [anon_sym__Complex] = ACTIONS(7563),
    [anon_sym__Nullable] = ACTIONS(7563),
    [anon_sym__Nullable_result] = ACTIONS(7563),
    [anon_sym__Null_unspecified] = ACTIONS(7563),
    [anon_sym___autoreleasing] = ACTIONS(7563),
    [anon_sym___block] = ACTIONS(7563),
    [anon_sym___bridge] = ACTIONS(7563),
    [anon_sym___bridge_retained] = ACTIONS(7563),
    [anon_sym___bridge_transfer] = ACTIONS(7563),
    [anon_sym___complex] = ACTIONS(7563),
    [anon_sym___const] = ACTIONS(7563),
    [anon_sym___imag] = ACTIONS(7563),
    [anon_sym___kindof] = ACTIONS(7563),
    [anon_sym___nonnull] = ACTIONS(7563),
    [anon_sym___nullable] = ACTIONS(7563),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7563),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7563),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7563),
    [anon_sym___real] = ACTIONS(7563),
    [anon_sym___strong] = ACTIONS(7563),
    [anon_sym___unsafe_unretained] = ACTIONS(7563),
    [anon_sym___unused] = ACTIONS(7563),
    [anon_sym___weak] = ACTIONS(7563),
    [anon_sym_alignas] = ACTIONS(7563),
    [anon_sym__Alignas] = ACTIONS(7563),
    [sym_primitive_type] = ACTIONS(7563),
    [anon_sym_enum] = ACTIONS(7563),
    [anon_sym_struct] = ACTIONS(7563),
    [anon_sym_union] = ACTIONS(7563),
    [anon_sym_in] = ACTIONS(7563),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7563),
    [anon_sym___typeof] = ACTIONS(7563),
    [anon_sym_typeof] = ACTIONS(7563),
    [anon_sym_BOOL] = ACTIONS(7563),
    [anon_sym_IMP] = ACTIONS(7563),
    [anon_sym_SEL] = ACTIONS(7563),
    [anon_sym_Class] = ACTIONS(7563),
    [anon_sym_id] = ACTIONS(7563),
    [anon_sym_out] = ACTIONS(7563),
    [anon_sym_inout] = ACTIONS(7563),
    [anon_sym_bycopy] = ACTIONS(7563),
    [anon_sym_byref] = ACTIONS(7563),
    [anon_sym_oneway] = ACTIONS(7563),
  },
  [4052] = {
    [sym__type_definition_type] = STATE(4719),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4053] = {
    [sym_attribute_specifier] = STATE(3847),
    [sym_enumerator_list] = STATE(3961),
    [sym_identifier] = ACTIONS(7506),
    [anon_sym_LPAREN2] = ACTIONS(7508),
    [anon_sym_STAR] = ACTIONS(7508),
    [anon_sym_CARET] = ACTIONS(7508),
    [anon_sym_LT] = ACTIONS(7508),
    [anon_sym___extension__] = ACTIONS(7506),
    [anon_sym___attribute__] = ACTIONS(8870),
    [anon_sym___attribute] = ACTIONS(8870),
    [anon_sym_noreturn] = ACTIONS(7506),
    [anon_sym_LBRACK] = ACTIONS(7508),
    [anon_sym___based] = ACTIONS(7506),
    [anon_sym_LBRACE] = ACTIONS(8963),
    [anon_sym_signed] = ACTIONS(7506),
    [anon_sym_unsigned] = ACTIONS(7506),
    [anon_sym_long] = ACTIONS(7506),
    [anon_sym_short] = ACTIONS(7506),
    [anon_sym_ATautoreleasepool] = ACTIONS(7508),
    [anon_sym_const] = ACTIONS(7506),
    [anon_sym_constexpr] = ACTIONS(7506),
    [anon_sym_volatile] = ACTIONS(7506),
    [anon_sym_restrict] = ACTIONS(7506),
    [anon_sym___restrict__] = ACTIONS(7506),
    [anon_sym__Atomic] = ACTIONS(7506),
    [anon_sym__Noreturn] = ACTIONS(7506),
    [anon_sym__Nonnull] = ACTIONS(7506),
    [anon_sym_nullable] = ACTIONS(7506),
    [anon_sym__Complex] = ACTIONS(7506),
    [anon_sym__Nullable] = ACTIONS(7506),
    [anon_sym__Nullable_result] = ACTIONS(7506),
    [anon_sym__Null_unspecified] = ACTIONS(7506),
    [anon_sym___autoreleasing] = ACTIONS(7506),
    [anon_sym___block] = ACTIONS(7506),
    [anon_sym___bridge] = ACTIONS(7506),
    [anon_sym___bridge_retained] = ACTIONS(7506),
    [anon_sym___bridge_transfer] = ACTIONS(7506),
    [anon_sym___complex] = ACTIONS(7506),
    [anon_sym___const] = ACTIONS(7506),
    [anon_sym___imag] = ACTIONS(7506),
    [anon_sym___kindof] = ACTIONS(7506),
    [anon_sym___nonnull] = ACTIONS(7506),
    [anon_sym___nullable] = ACTIONS(7506),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7506),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7506),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7506),
    [anon_sym___real] = ACTIONS(7506),
    [anon_sym___strong] = ACTIONS(7506),
    [anon_sym___unsafe_unretained] = ACTIONS(7506),
    [anon_sym___unused] = ACTIONS(7506),
    [anon_sym___weak] = ACTIONS(7506),
    [anon_sym_alignas] = ACTIONS(7506),
    [anon_sym__Alignas] = ACTIONS(7506),
    [sym_primitive_type] = ACTIONS(7506),
    [anon_sym_enum] = ACTIONS(7506),
    [anon_sym_struct] = ACTIONS(7506),
    [anon_sym_union] = ACTIONS(7506),
    [anon_sym_in] = ACTIONS(7506),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7506),
    [anon_sym___typeof] = ACTIONS(7506),
    [anon_sym_typeof] = ACTIONS(7506),
    [anon_sym_BOOL] = ACTIONS(7506),
    [anon_sym_IMP] = ACTIONS(7506),
    [anon_sym_SEL] = ACTIONS(7506),
    [anon_sym_Class] = ACTIONS(7506),
    [anon_sym_id] = ACTIONS(7506),
    [anon_sym_out] = ACTIONS(7506),
    [anon_sym_inout] = ACTIONS(7506),
    [anon_sym_bycopy] = ACTIONS(7506),
    [anon_sym_byref] = ACTIONS(7506),
    [anon_sym_oneway] = ACTIONS(7506),
  },
  [4054] = {
    [sym__type_definition_type] = STATE(4792),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4055] = {
    [sym__type_definition_type] = STATE(4774),
    [sym_attribute_specifier] = STATE(4533),
    [sym_type_qualifier] = STATE(4057),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4189),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4057),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4056] = {
    [sym_identifier] = ACTIONS(2868),
    [aux_sym_preproc_if_token1] = ACTIONS(2868),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2870),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2870),
    [anon_sym___extension__] = ACTIONS(2868),
    [anon_sym___attribute__] = ACTIONS(2868),
    [anon_sym___attribute] = ACTIONS(2868),
    [anon_sym_noreturn] = ACTIONS(2868),
    [anon_sym_LBRACK] = ACTIONS(2870),
    [anon_sym_RBRACE] = ACTIONS(2870),
    [anon_sym_signed] = ACTIONS(2868),
    [anon_sym_unsigned] = ACTIONS(2868),
    [anon_sym_long] = ACTIONS(2868),
    [anon_sym_short] = ACTIONS(2868),
    [anon_sym_const] = ACTIONS(2868),
    [anon_sym_constexpr] = ACTIONS(2868),
    [anon_sym_volatile] = ACTIONS(2868),
    [anon_sym_restrict] = ACTIONS(2868),
    [anon_sym___restrict__] = ACTIONS(2868),
    [anon_sym__Atomic] = ACTIONS(2868),
    [anon_sym__Noreturn] = ACTIONS(2868),
    [anon_sym__Nonnull] = ACTIONS(2868),
    [anon_sym_nullable] = ACTIONS(2868),
    [anon_sym__Complex] = ACTIONS(2868),
    [anon_sym__Nullable] = ACTIONS(2868),
    [anon_sym__Nullable_result] = ACTIONS(2868),
    [anon_sym__Null_unspecified] = ACTIONS(2868),
    [anon_sym___autoreleasing] = ACTIONS(2868),
    [anon_sym___block] = ACTIONS(2868),
    [anon_sym___bridge] = ACTIONS(2868),
    [anon_sym___bridge_retained] = ACTIONS(2868),
    [anon_sym___bridge_transfer] = ACTIONS(2868),
    [anon_sym___complex] = ACTIONS(2868),
    [anon_sym___const] = ACTIONS(2868),
    [anon_sym___imag] = ACTIONS(2868),
    [anon_sym___kindof] = ACTIONS(2868),
    [anon_sym___nonnull] = ACTIONS(2868),
    [anon_sym___nullable] = ACTIONS(2868),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2868),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2868),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2868),
    [anon_sym___real] = ACTIONS(2868),
    [anon_sym___strong] = ACTIONS(2868),
    [anon_sym___unsafe_unretained] = ACTIONS(2868),
    [anon_sym___unused] = ACTIONS(2868),
    [anon_sym___weak] = ACTIONS(2868),
    [anon_sym_alignas] = ACTIONS(2868),
    [anon_sym__Alignas] = ACTIONS(2868),
    [sym_primitive_type] = ACTIONS(2868),
    [anon_sym_enum] = ACTIONS(2868),
    [anon_sym_struct] = ACTIONS(2868),
    [anon_sym_union] = ACTIONS(2868),
    [anon_sym_in] = ACTIONS(2868),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2868),
    [anon_sym___typeof] = ACTIONS(2868),
    [anon_sym_typeof] = ACTIONS(2868),
    [anon_sym_ATprivate] = ACTIONS(2870),
    [anon_sym_ATprotected] = ACTIONS(2870),
    [anon_sym_ATpackage] = ACTIONS(2870),
    [anon_sym_ATpublic] = ACTIONS(2870),
    [anon_sym_BOOL] = ACTIONS(2868),
    [anon_sym_IMP] = ACTIONS(2868),
    [anon_sym_SEL] = ACTIONS(2868),
    [anon_sym_Class] = ACTIONS(2868),
    [anon_sym_id] = ACTIONS(2868),
    [anon_sym_out] = ACTIONS(2868),
    [anon_sym_inout] = ACTIONS(2868),
    [anon_sym_bycopy] = ACTIONS(2868),
    [anon_sym_byref] = ACTIONS(2868),
    [anon_sym_oneway] = ACTIONS(2868),
  },
  [4057] = {
    [sym_attribute_specifier] = STATE(4521),
    [sym_type_qualifier] = STATE(2518),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4187),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(2518),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4194),
    [sym_identifier] = ACTIONS(8855),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym___attribute__] = ACTIONS(37),
    [anon_sym___attribute] = ACTIONS(37),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(8857),
    [anon_sym_unsigned] = ACTIONS(8857),
    [anon_sym_long] = ACTIONS(8857),
    [anon_sym_short] = ACTIONS(8857),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(8859),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4058] = {
    [sym_identifier] = ACTIONS(8966),
    [aux_sym_preproc_if_token1] = ACTIONS(8966),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(8968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(8968),
    [anon_sym___extension__] = ACTIONS(8966),
    [anon_sym___attribute__] = ACTIONS(8966),
    [anon_sym___attribute] = ACTIONS(8966),
    [anon_sym_noreturn] = ACTIONS(8966),
    [anon_sym_LBRACK] = ACTIONS(8968),
    [anon_sym_RBRACE] = ACTIONS(8968),
    [anon_sym_signed] = ACTIONS(8966),
    [anon_sym_unsigned] = ACTIONS(8966),
    [anon_sym_long] = ACTIONS(8966),
    [anon_sym_short] = ACTIONS(8966),
    [anon_sym_const] = ACTIONS(8966),
    [anon_sym_constexpr] = ACTIONS(8966),
    [anon_sym_volatile] = ACTIONS(8966),
    [anon_sym_restrict] = ACTIONS(8966),
    [anon_sym___restrict__] = ACTIONS(8966),
    [anon_sym__Atomic] = ACTIONS(8966),
    [anon_sym__Noreturn] = ACTIONS(8966),
    [anon_sym__Nonnull] = ACTIONS(8966),
    [anon_sym_nullable] = ACTIONS(8966),
    [anon_sym__Complex] = ACTIONS(8966),
    [anon_sym__Nullable] = ACTIONS(8966),
    [anon_sym__Nullable_result] = ACTIONS(8966),
    [anon_sym__Null_unspecified] = ACTIONS(8966),
    [anon_sym___autoreleasing] = ACTIONS(8966),
    [anon_sym___block] = ACTIONS(8966),
    [anon_sym___bridge] = ACTIONS(8966),
    [anon_sym___bridge_retained] = ACTIONS(8966),
    [anon_sym___bridge_transfer] = ACTIONS(8966),
    [anon_sym___complex] = ACTIONS(8966),
    [anon_sym___const] = ACTIONS(8966),
    [anon_sym___imag] = ACTIONS(8966),
    [anon_sym___kindof] = ACTIONS(8966),
    [anon_sym___nonnull] = ACTIONS(8966),
    [anon_sym___nullable] = ACTIONS(8966),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8966),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8966),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8966),
    [anon_sym___real] = ACTIONS(8966),
    [anon_sym___strong] = ACTIONS(8966),
    [anon_sym___unsafe_unretained] = ACTIONS(8966),
    [anon_sym___unused] = ACTIONS(8966),
    [anon_sym___weak] = ACTIONS(8966),
    [anon_sym_alignas] = ACTIONS(8966),
    [anon_sym__Alignas] = ACTIONS(8966),
    [sym_primitive_type] = ACTIONS(8966),
    [anon_sym_enum] = ACTIONS(8966),
    [anon_sym_struct] = ACTIONS(8966),
    [anon_sym_union] = ACTIONS(8966),
    [anon_sym_in] = ACTIONS(8966),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(8966),
    [anon_sym___typeof] = ACTIONS(8966),
    [anon_sym_typeof] = ACTIONS(8966),
    [anon_sym_ATprivate] = ACTIONS(8968),
    [anon_sym_ATprotected] = ACTIONS(8968),
    [anon_sym_ATpackage] = ACTIONS(8968),
    [anon_sym_ATpublic] = ACTIONS(8968),
    [anon_sym_BOOL] = ACTIONS(8966),
    [anon_sym_IMP] = ACTIONS(8966),
    [anon_sym_SEL] = ACTIONS(8966),
    [anon_sym_Class] = ACTIONS(8966),
    [anon_sym_id] = ACTIONS(8966),
    [anon_sym_out] = ACTIONS(8966),
    [anon_sym_inout] = ACTIONS(8966),
    [anon_sym_bycopy] = ACTIONS(8966),
    [anon_sym_byref] = ACTIONS(8966),
    [anon_sym_oneway] = ACTIONS(8966),
  },
  [4059] = {
    [sym_attribute_specifier] = STATE(3846),
    [sym_enumerator_list] = STATE(4093),
    [sym_identifier] = ACTIONS(7563),
    [anon_sym_LPAREN2] = ACTIONS(7565),
    [anon_sym_STAR] = ACTIONS(7565),
    [anon_sym_CARET] = ACTIONS(7565),
    [anon_sym___extension__] = ACTIONS(7563),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7563),
    [anon_sym_LBRACK] = ACTIONS(7565),
    [anon_sym___based] = ACTIONS(7563),
    [anon_sym_LBRACE] = ACTIONS(8792),
    [anon_sym_signed] = ACTIONS(7563),
    [anon_sym_unsigned] = ACTIONS(7563),
    [anon_sym_long] = ACTIONS(7563),
    [anon_sym_short] = ACTIONS(7563),
    [anon_sym_const] = ACTIONS(7563),
    [anon_sym_constexpr] = ACTIONS(7563),
    [anon_sym_volatile] = ACTIONS(7563),
    [anon_sym_restrict] = ACTIONS(7563),
    [anon_sym___restrict__] = ACTIONS(7563),
    [anon_sym__Atomic] = ACTIONS(7563),
    [anon_sym__Noreturn] = ACTIONS(7563),
    [anon_sym__Nonnull] = ACTIONS(7563),
    [anon_sym_nullable] = ACTIONS(7563),
    [anon_sym__Complex] = ACTIONS(7563),
    [anon_sym__Nullable] = ACTIONS(7563),
    [anon_sym__Nullable_result] = ACTIONS(7563),
    [anon_sym__Null_unspecified] = ACTIONS(7563),
    [anon_sym___autoreleasing] = ACTIONS(7563),
    [anon_sym___block] = ACTIONS(7563),
    [anon_sym___bridge] = ACTIONS(7563),
    [anon_sym___bridge_retained] = ACTIONS(7563),
    [anon_sym___bridge_transfer] = ACTIONS(7563),
    [anon_sym___complex] = ACTIONS(7563),
    [anon_sym___const] = ACTIONS(7563),
    [anon_sym___imag] = ACTIONS(7563),
    [anon_sym___kindof] = ACTIONS(7563),
    [anon_sym___nonnull] = ACTIONS(7563),
    [anon_sym___nullable] = ACTIONS(7563),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7563),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7563),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7563),
    [anon_sym___real] = ACTIONS(7563),
    [anon_sym___strong] = ACTIONS(7563),
    [anon_sym___unsafe_unretained] = ACTIONS(7563),
    [anon_sym___unused] = ACTIONS(7563),
    [anon_sym___weak] = ACTIONS(7563),
    [anon_sym_alignas] = ACTIONS(7563),
    [anon_sym__Alignas] = ACTIONS(7563),
    [sym_primitive_type] = ACTIONS(7563),
    [anon_sym_enum] = ACTIONS(7563),
    [anon_sym_COLON] = ACTIONS(7565),
    [anon_sym_struct] = ACTIONS(7563),
    [anon_sym_union] = ACTIONS(7563),
    [anon_sym_in] = ACTIONS(7563),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7563),
    [anon_sym___typeof] = ACTIONS(7563),
    [anon_sym_typeof] = ACTIONS(7563),
    [anon_sym_BOOL] = ACTIONS(7563),
    [anon_sym_IMP] = ACTIONS(7563),
    [anon_sym_SEL] = ACTIONS(7563),
    [anon_sym_Class] = ACTIONS(7563),
    [anon_sym_id] = ACTIONS(7563),
    [anon_sym_out] = ACTIONS(7563),
    [anon_sym_inout] = ACTIONS(7563),
    [anon_sym_bycopy] = ACTIONS(7563),
    [anon_sym_byref] = ACTIONS(7563),
    [anon_sym_oneway] = ACTIONS(7563),
  },
  [4060] = {
    [sym_attribute_specifier] = STATE(3842),
    [sym_enumerator_list] = STATE(4089),
    [sym_identifier] = ACTIONS(7517),
    [anon_sym_LPAREN2] = ACTIONS(7519),
    [anon_sym_STAR] = ACTIONS(7519),
    [anon_sym_CARET] = ACTIONS(7519),
    [anon_sym___extension__] = ACTIONS(7517),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7517),
    [anon_sym_LBRACK] = ACTIONS(7519),
    [anon_sym___based] = ACTIONS(7517),
    [anon_sym_LBRACE] = ACTIONS(8792),
    [anon_sym_signed] = ACTIONS(7517),
    [anon_sym_unsigned] = ACTIONS(7517),
    [anon_sym_long] = ACTIONS(7517),
    [anon_sym_short] = ACTIONS(7517),
    [anon_sym_const] = ACTIONS(7517),
    [anon_sym_constexpr] = ACTIONS(7517),
    [anon_sym_volatile] = ACTIONS(7517),
    [anon_sym_restrict] = ACTIONS(7517),
    [anon_sym___restrict__] = ACTIONS(7517),
    [anon_sym__Atomic] = ACTIONS(7517),
    [anon_sym__Noreturn] = ACTIONS(7517),
    [anon_sym__Nonnull] = ACTIONS(7517),
    [anon_sym_nullable] = ACTIONS(7517),
    [anon_sym__Complex] = ACTIONS(7517),
    [anon_sym__Nullable] = ACTIONS(7517),
    [anon_sym__Nullable_result] = ACTIONS(7517),
    [anon_sym__Null_unspecified] = ACTIONS(7517),
    [anon_sym___autoreleasing] = ACTIONS(7517),
    [anon_sym___block] = ACTIONS(7517),
    [anon_sym___bridge] = ACTIONS(7517),
    [anon_sym___bridge_retained] = ACTIONS(7517),
    [anon_sym___bridge_transfer] = ACTIONS(7517),
    [anon_sym___complex] = ACTIONS(7517),
    [anon_sym___const] = ACTIONS(7517),
    [anon_sym___imag] = ACTIONS(7517),
    [anon_sym___kindof] = ACTIONS(7517),
    [anon_sym___nonnull] = ACTIONS(7517),
    [anon_sym___nullable] = ACTIONS(7517),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7517),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7517),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7517),
    [anon_sym___real] = ACTIONS(7517),
    [anon_sym___strong] = ACTIONS(7517),
    [anon_sym___unsafe_unretained] = ACTIONS(7517),
    [anon_sym___unused] = ACTIONS(7517),
    [anon_sym___weak] = ACTIONS(7517),
    [anon_sym_alignas] = ACTIONS(7517),
    [anon_sym__Alignas] = ACTIONS(7517),
    [sym_primitive_type] = ACTIONS(7517),
    [anon_sym_enum] = ACTIONS(7517),
    [anon_sym_COLON] = ACTIONS(7519),
    [anon_sym_struct] = ACTIONS(7517),
    [anon_sym_union] = ACTIONS(7517),
    [anon_sym_in] = ACTIONS(7517),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7517),
    [anon_sym___typeof] = ACTIONS(7517),
    [anon_sym_typeof] = ACTIONS(7517),
    [anon_sym_BOOL] = ACTIONS(7517),
    [anon_sym_IMP] = ACTIONS(7517),
    [anon_sym_SEL] = ACTIONS(7517),
    [anon_sym_Class] = ACTIONS(7517),
    [anon_sym_id] = ACTIONS(7517),
    [anon_sym_out] = ACTIONS(7517),
    [anon_sym_inout] = ACTIONS(7517),
    [anon_sym_bycopy] = ACTIONS(7517),
    [anon_sym_byref] = ACTIONS(7517),
    [anon_sym_oneway] = ACTIONS(7517),
  },
  [4061] = {
    [sym_attribute_specifier] = STATE(3847),
    [sym_enumerator_list] = STATE(4094),
    [sym_identifier] = ACTIONS(7506),
    [anon_sym_LPAREN2] = ACTIONS(7508),
    [anon_sym_STAR] = ACTIONS(7508),
    [anon_sym_CARET] = ACTIONS(7508),
    [anon_sym___extension__] = ACTIONS(7506),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7506),
    [anon_sym_LBRACK] = ACTIONS(7508),
    [anon_sym___based] = ACTIONS(7506),
    [anon_sym_LBRACE] = ACTIONS(8792),
    [anon_sym_signed] = ACTIONS(7506),
    [anon_sym_unsigned] = ACTIONS(7506),
    [anon_sym_long] = ACTIONS(7506),
    [anon_sym_short] = ACTIONS(7506),
    [anon_sym_const] = ACTIONS(7506),
    [anon_sym_constexpr] = ACTIONS(7506),
    [anon_sym_volatile] = ACTIONS(7506),
    [anon_sym_restrict] = ACTIONS(7506),
    [anon_sym___restrict__] = ACTIONS(7506),
    [anon_sym__Atomic] = ACTIONS(7506),
    [anon_sym__Noreturn] = ACTIONS(7506),
    [anon_sym__Nonnull] = ACTIONS(7506),
    [anon_sym_nullable] = ACTIONS(7506),
    [anon_sym__Complex] = ACTIONS(7506),
    [anon_sym__Nullable] = ACTIONS(7506),
    [anon_sym__Nullable_result] = ACTIONS(7506),
    [anon_sym__Null_unspecified] = ACTIONS(7506),
    [anon_sym___autoreleasing] = ACTIONS(7506),
    [anon_sym___block] = ACTIONS(7506),
    [anon_sym___bridge] = ACTIONS(7506),
    [anon_sym___bridge_retained] = ACTIONS(7506),
    [anon_sym___bridge_transfer] = ACTIONS(7506),
    [anon_sym___complex] = ACTIONS(7506),
    [anon_sym___const] = ACTIONS(7506),
    [anon_sym___imag] = ACTIONS(7506),
    [anon_sym___kindof] = ACTIONS(7506),
    [anon_sym___nonnull] = ACTIONS(7506),
    [anon_sym___nullable] = ACTIONS(7506),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7506),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7506),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7506),
    [anon_sym___real] = ACTIONS(7506),
    [anon_sym___strong] = ACTIONS(7506),
    [anon_sym___unsafe_unretained] = ACTIONS(7506),
    [anon_sym___unused] = ACTIONS(7506),
    [anon_sym___weak] = ACTIONS(7506),
    [anon_sym_alignas] = ACTIONS(7506),
    [anon_sym__Alignas] = ACTIONS(7506),
    [sym_primitive_type] = ACTIONS(7506),
    [anon_sym_enum] = ACTIONS(7506),
    [anon_sym_COLON] = ACTIONS(7508),
    [anon_sym_struct] = ACTIONS(7506),
    [anon_sym_union] = ACTIONS(7506),
    [anon_sym_in] = ACTIONS(7506),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7506),
    [anon_sym___typeof] = ACTIONS(7506),
    [anon_sym_typeof] = ACTIONS(7506),
    [anon_sym_BOOL] = ACTIONS(7506),
    [anon_sym_IMP] = ACTIONS(7506),
    [anon_sym_SEL] = ACTIONS(7506),
    [anon_sym_Class] = ACTIONS(7506),
    [anon_sym_id] = ACTIONS(7506),
    [anon_sym_out] = ACTIONS(7506),
    [anon_sym_inout] = ACTIONS(7506),
    [anon_sym_bycopy] = ACTIONS(7506),
    [anon_sym_byref] = ACTIONS(7506),
    [anon_sym_oneway] = ACTIONS(7506),
  },
  [4062] = {
    [sym_attribute_specifier] = STATE(3865),
    [sym_enumerator_list] = STATE(4112),
    [sym_identifier] = ACTIONS(7526),
    [anon_sym_LPAREN2] = ACTIONS(7528),
    [anon_sym_STAR] = ACTIONS(7528),
    [anon_sym_CARET] = ACTIONS(7528),
    [anon_sym___extension__] = ACTIONS(7526),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7526),
    [anon_sym_LBRACK] = ACTIONS(7528),
    [anon_sym___based] = ACTIONS(7526),
    [anon_sym_LBRACE] = ACTIONS(8792),
    [anon_sym_signed] = ACTIONS(7526),
    [anon_sym_unsigned] = ACTIONS(7526),
    [anon_sym_long] = ACTIONS(7526),
    [anon_sym_short] = ACTIONS(7526),
    [anon_sym_const] = ACTIONS(7526),
    [anon_sym_constexpr] = ACTIONS(7526),
    [anon_sym_volatile] = ACTIONS(7526),
    [anon_sym_restrict] = ACTIONS(7526),
    [anon_sym___restrict__] = ACTIONS(7526),
    [anon_sym__Atomic] = ACTIONS(7526),
    [anon_sym__Noreturn] = ACTIONS(7526),
    [anon_sym__Nonnull] = ACTIONS(7526),
    [anon_sym_nullable] = ACTIONS(7526),
    [anon_sym__Complex] = ACTIONS(7526),
    [anon_sym__Nullable] = ACTIONS(7526),
    [anon_sym__Nullable_result] = ACTIONS(7526),
    [anon_sym__Null_unspecified] = ACTIONS(7526),
    [anon_sym___autoreleasing] = ACTIONS(7526),
    [anon_sym___block] = ACTIONS(7526),
    [anon_sym___bridge] = ACTIONS(7526),
    [anon_sym___bridge_retained] = ACTIONS(7526),
    [anon_sym___bridge_transfer] = ACTIONS(7526),
    [anon_sym___complex] = ACTIONS(7526),
    [anon_sym___const] = ACTIONS(7526),
    [anon_sym___imag] = ACTIONS(7526),
    [anon_sym___kindof] = ACTIONS(7526),
    [anon_sym___nonnull] = ACTIONS(7526),
    [anon_sym___nullable] = ACTIONS(7526),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7526),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7526),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7526),
    [anon_sym___real] = ACTIONS(7526),
    [anon_sym___strong] = ACTIONS(7526),
    [anon_sym___unsafe_unretained] = ACTIONS(7526),
    [anon_sym___unused] = ACTIONS(7526),
    [anon_sym___weak] = ACTIONS(7526),
    [anon_sym_alignas] = ACTIONS(7526),
    [anon_sym__Alignas] = ACTIONS(7526),
    [sym_primitive_type] = ACTIONS(7526),
    [anon_sym_enum] = ACTIONS(7526),
    [anon_sym_COLON] = ACTIONS(7528),
    [anon_sym_struct] = ACTIONS(7526),
    [anon_sym_union] = ACTIONS(7526),
    [anon_sym_in] = ACTIONS(7526),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7526),
    [anon_sym___typeof] = ACTIONS(7526),
    [anon_sym_typeof] = ACTIONS(7526),
    [anon_sym_BOOL] = ACTIONS(7526),
    [anon_sym_IMP] = ACTIONS(7526),
    [anon_sym_SEL] = ACTIONS(7526),
    [anon_sym_Class] = ACTIONS(7526),
    [anon_sym_id] = ACTIONS(7526),
    [anon_sym_out] = ACTIONS(7526),
    [anon_sym_inout] = ACTIONS(7526),
    [anon_sym_bycopy] = ACTIONS(7526),
    [anon_sym_byref] = ACTIONS(7526),
    [anon_sym_oneway] = ACTIONS(7526),
  },
  [4063] = {
    [sym_identifier] = ACTIONS(2802),
    [aux_sym_preproc_if_token1] = ACTIONS(2802),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2804),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2804),
    [anon_sym___extension__] = ACTIONS(2802),
    [anon_sym___attribute__] = ACTIONS(2802),
    [anon_sym___attribute] = ACTIONS(2802),
    [anon_sym_noreturn] = ACTIONS(2802),
    [anon_sym_LBRACK] = ACTIONS(2804),
    [anon_sym_RBRACE] = ACTIONS(2804),
    [anon_sym_signed] = ACTIONS(2802),
    [anon_sym_unsigned] = ACTIONS(2802),
    [anon_sym_long] = ACTIONS(2802),
    [anon_sym_short] = ACTIONS(2802),
    [anon_sym_const] = ACTIONS(2802),
    [anon_sym_constexpr] = ACTIONS(2802),
    [anon_sym_volatile] = ACTIONS(2802),
    [anon_sym_restrict] = ACTIONS(2802),
    [anon_sym___restrict__] = ACTIONS(2802),
    [anon_sym__Atomic] = ACTIONS(2802),
    [anon_sym__Noreturn] = ACTIONS(2802),
    [anon_sym__Nonnull] = ACTIONS(2802),
    [anon_sym_nullable] = ACTIONS(2802),
    [anon_sym__Complex] = ACTIONS(2802),
    [anon_sym__Nullable] = ACTIONS(2802),
    [anon_sym__Nullable_result] = ACTIONS(2802),
    [anon_sym__Null_unspecified] = ACTIONS(2802),
    [anon_sym___autoreleasing] = ACTIONS(2802),
    [anon_sym___block] = ACTIONS(2802),
    [anon_sym___bridge] = ACTIONS(2802),
    [anon_sym___bridge_retained] = ACTIONS(2802),
    [anon_sym___bridge_transfer] = ACTIONS(2802),
    [anon_sym___complex] = ACTIONS(2802),
    [anon_sym___const] = ACTIONS(2802),
    [anon_sym___imag] = ACTIONS(2802),
    [anon_sym___kindof] = ACTIONS(2802),
    [anon_sym___nonnull] = ACTIONS(2802),
    [anon_sym___nullable] = ACTIONS(2802),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2802),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2802),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2802),
    [anon_sym___real] = ACTIONS(2802),
    [anon_sym___strong] = ACTIONS(2802),
    [anon_sym___unsafe_unretained] = ACTIONS(2802),
    [anon_sym___unused] = ACTIONS(2802),
    [anon_sym___weak] = ACTIONS(2802),
    [anon_sym_alignas] = ACTIONS(2802),
    [anon_sym__Alignas] = ACTIONS(2802),
    [sym_primitive_type] = ACTIONS(2802),
    [anon_sym_enum] = ACTIONS(2802),
    [anon_sym_struct] = ACTIONS(2802),
    [anon_sym_union] = ACTIONS(2802),
    [anon_sym_in] = ACTIONS(2802),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2802),
    [anon_sym___typeof] = ACTIONS(2802),
    [anon_sym_typeof] = ACTIONS(2802),
    [anon_sym_ATprivate] = ACTIONS(2804),
    [anon_sym_ATprotected] = ACTIONS(2804),
    [anon_sym_ATpackage] = ACTIONS(2804),
    [anon_sym_ATpublic] = ACTIONS(2804),
    [anon_sym_BOOL] = ACTIONS(2802),
    [anon_sym_IMP] = ACTIONS(2802),
    [anon_sym_SEL] = ACTIONS(2802),
    [anon_sym_Class] = ACTIONS(2802),
    [anon_sym_id] = ACTIONS(2802),
    [anon_sym_out] = ACTIONS(2802),
    [anon_sym_inout] = ACTIONS(2802),
    [anon_sym_bycopy] = ACTIONS(2802),
    [anon_sym_byref] = ACTIONS(2802),
    [anon_sym_oneway] = ACTIONS(2802),
  },
  [4064] = {
    [sym_identifier] = ACTIONS(2638),
    [aux_sym_preproc_if_token1] = ACTIONS(2638),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2640),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2640),
    [anon_sym___extension__] = ACTIONS(2638),
    [anon_sym___attribute__] = ACTIONS(2638),
    [anon_sym___attribute] = ACTIONS(2638),
    [anon_sym_noreturn] = ACTIONS(2638),
    [anon_sym_LBRACK] = ACTIONS(2640),
    [anon_sym_RBRACE] = ACTIONS(2640),
    [anon_sym_signed] = ACTIONS(2638),
    [anon_sym_unsigned] = ACTIONS(2638),
    [anon_sym_long] = ACTIONS(2638),
    [anon_sym_short] = ACTIONS(2638),
    [anon_sym_const] = ACTIONS(2638),
    [anon_sym_constexpr] = ACTIONS(2638),
    [anon_sym_volatile] = ACTIONS(2638),
    [anon_sym_restrict] = ACTIONS(2638),
    [anon_sym___restrict__] = ACTIONS(2638),
    [anon_sym__Atomic] = ACTIONS(2638),
    [anon_sym__Noreturn] = ACTIONS(2638),
    [anon_sym__Nonnull] = ACTIONS(2638),
    [anon_sym_nullable] = ACTIONS(2638),
    [anon_sym__Complex] = ACTIONS(2638),
    [anon_sym__Nullable] = ACTIONS(2638),
    [anon_sym__Nullable_result] = ACTIONS(2638),
    [anon_sym__Null_unspecified] = ACTIONS(2638),
    [anon_sym___autoreleasing] = ACTIONS(2638),
    [anon_sym___block] = ACTIONS(2638),
    [anon_sym___bridge] = ACTIONS(2638),
    [anon_sym___bridge_retained] = ACTIONS(2638),
    [anon_sym___bridge_transfer] = ACTIONS(2638),
    [anon_sym___complex] = ACTIONS(2638),
    [anon_sym___const] = ACTIONS(2638),
    [anon_sym___imag] = ACTIONS(2638),
    [anon_sym___kindof] = ACTIONS(2638),
    [anon_sym___nonnull] = ACTIONS(2638),
    [anon_sym___nullable] = ACTIONS(2638),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2638),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2638),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2638),
    [anon_sym___real] = ACTIONS(2638),
    [anon_sym___strong] = ACTIONS(2638),
    [anon_sym___unsafe_unretained] = ACTIONS(2638),
    [anon_sym___unused] = ACTIONS(2638),
    [anon_sym___weak] = ACTIONS(2638),
    [anon_sym_alignas] = ACTIONS(2638),
    [anon_sym__Alignas] = ACTIONS(2638),
    [sym_primitive_type] = ACTIONS(2638),
    [anon_sym_enum] = ACTIONS(2638),
    [anon_sym_struct] = ACTIONS(2638),
    [anon_sym_union] = ACTIONS(2638),
    [anon_sym_in] = ACTIONS(2638),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2638),
    [anon_sym___typeof] = ACTIONS(2638),
    [anon_sym_typeof] = ACTIONS(2638),
    [anon_sym_ATprivate] = ACTIONS(2640),
    [anon_sym_ATprotected] = ACTIONS(2640),
    [anon_sym_ATpackage] = ACTIONS(2640),
    [anon_sym_ATpublic] = ACTIONS(2640),
    [anon_sym_BOOL] = ACTIONS(2638),
    [anon_sym_IMP] = ACTIONS(2638),
    [anon_sym_SEL] = ACTIONS(2638),
    [anon_sym_Class] = ACTIONS(2638),
    [anon_sym_id] = ACTIONS(2638),
    [anon_sym_out] = ACTIONS(2638),
    [anon_sym_inout] = ACTIONS(2638),
    [anon_sym_bycopy] = ACTIONS(2638),
    [anon_sym_byref] = ACTIONS(2638),
    [anon_sym_oneway] = ACTIONS(2638),
  },
  [4065] = {
    [sym_identifier] = ACTIONS(5586),
    [aux_sym_preproc_if_token1] = ACTIONS(5586),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5588),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5588),
    [anon_sym___extension__] = ACTIONS(5586),
    [anon_sym___attribute__] = ACTIONS(5586),
    [anon_sym___attribute] = ACTIONS(5586),
    [anon_sym_noreturn] = ACTIONS(5586),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [anon_sym_RBRACE] = ACTIONS(5588),
    [anon_sym_signed] = ACTIONS(5586),
    [anon_sym_unsigned] = ACTIONS(5586),
    [anon_sym_long] = ACTIONS(5586),
    [anon_sym_short] = ACTIONS(5586),
    [anon_sym_const] = ACTIONS(5586),
    [anon_sym_constexpr] = ACTIONS(5586),
    [anon_sym_volatile] = ACTIONS(5586),
    [anon_sym_restrict] = ACTIONS(5586),
    [anon_sym___restrict__] = ACTIONS(5586),
    [anon_sym__Atomic] = ACTIONS(5586),
    [anon_sym__Noreturn] = ACTIONS(5586),
    [anon_sym__Nonnull] = ACTIONS(5586),
    [anon_sym_nullable] = ACTIONS(5586),
    [anon_sym__Complex] = ACTIONS(5586),
    [anon_sym__Nullable] = ACTIONS(5586),
    [anon_sym__Nullable_result] = ACTIONS(5586),
    [anon_sym__Null_unspecified] = ACTIONS(5586),
    [anon_sym___autoreleasing] = ACTIONS(5586),
    [anon_sym___block] = ACTIONS(5586),
    [anon_sym___bridge] = ACTIONS(5586),
    [anon_sym___bridge_retained] = ACTIONS(5586),
    [anon_sym___bridge_transfer] = ACTIONS(5586),
    [anon_sym___complex] = ACTIONS(5586),
    [anon_sym___const] = ACTIONS(5586),
    [anon_sym___imag] = ACTIONS(5586),
    [anon_sym___kindof] = ACTIONS(5586),
    [anon_sym___nonnull] = ACTIONS(5586),
    [anon_sym___nullable] = ACTIONS(5586),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5586),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5586),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5586),
    [anon_sym___real] = ACTIONS(5586),
    [anon_sym___strong] = ACTIONS(5586),
    [anon_sym___unsafe_unretained] = ACTIONS(5586),
    [anon_sym___unused] = ACTIONS(5586),
    [anon_sym___weak] = ACTIONS(5586),
    [anon_sym_alignas] = ACTIONS(5586),
    [anon_sym__Alignas] = ACTIONS(5586),
    [sym_primitive_type] = ACTIONS(5586),
    [anon_sym_enum] = ACTIONS(5586),
    [anon_sym_struct] = ACTIONS(5586),
    [anon_sym_union] = ACTIONS(5586),
    [anon_sym_in] = ACTIONS(5586),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5586),
    [anon_sym___typeof] = ACTIONS(5586),
    [anon_sym_typeof] = ACTIONS(5586),
    [anon_sym_ATprivate] = ACTIONS(5588),
    [anon_sym_ATprotected] = ACTIONS(5588),
    [anon_sym_ATpackage] = ACTIONS(5588),
    [anon_sym_ATpublic] = ACTIONS(5588),
    [anon_sym_BOOL] = ACTIONS(5586),
    [anon_sym_IMP] = ACTIONS(5586),
    [anon_sym_SEL] = ACTIONS(5586),
    [anon_sym_Class] = ACTIONS(5586),
    [anon_sym_id] = ACTIONS(5586),
    [anon_sym_out] = ACTIONS(5586),
    [anon_sym_inout] = ACTIONS(5586),
    [anon_sym_bycopy] = ACTIONS(5586),
    [anon_sym_byref] = ACTIONS(5586),
    [anon_sym_oneway] = ACTIONS(5586),
  },
  [4066] = {
    [sym_identifier] = ACTIONS(8970),
    [aux_sym_preproc_if_token1] = ACTIONS(8970),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(8972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(8972),
    [anon_sym___extension__] = ACTIONS(8970),
    [anon_sym___attribute__] = ACTIONS(8970),
    [anon_sym___attribute] = ACTIONS(8970),
    [anon_sym_noreturn] = ACTIONS(8970),
    [anon_sym_LBRACK] = ACTIONS(8972),
    [anon_sym_RBRACE] = ACTIONS(8972),
    [anon_sym_signed] = ACTIONS(8970),
    [anon_sym_unsigned] = ACTIONS(8970),
    [anon_sym_long] = ACTIONS(8970),
    [anon_sym_short] = ACTIONS(8970),
    [anon_sym_const] = ACTIONS(8970),
    [anon_sym_constexpr] = ACTIONS(8970),
    [anon_sym_volatile] = ACTIONS(8970),
    [anon_sym_restrict] = ACTIONS(8970),
    [anon_sym___restrict__] = ACTIONS(8970),
    [anon_sym__Atomic] = ACTIONS(8970),
    [anon_sym__Noreturn] = ACTIONS(8970),
    [anon_sym__Nonnull] = ACTIONS(8970),
    [anon_sym_nullable] = ACTIONS(8970),
    [anon_sym__Complex] = ACTIONS(8970),
    [anon_sym__Nullable] = ACTIONS(8970),
    [anon_sym__Nullable_result] = ACTIONS(8970),
    [anon_sym__Null_unspecified] = ACTIONS(8970),
    [anon_sym___autoreleasing] = ACTIONS(8970),
    [anon_sym___block] = ACTIONS(8970),
    [anon_sym___bridge] = ACTIONS(8970),
    [anon_sym___bridge_retained] = ACTIONS(8970),
    [anon_sym___bridge_transfer] = ACTIONS(8970),
    [anon_sym___complex] = ACTIONS(8970),
    [anon_sym___const] = ACTIONS(8970),
    [anon_sym___imag] = ACTIONS(8970),
    [anon_sym___kindof] = ACTIONS(8970),
    [anon_sym___nonnull] = ACTIONS(8970),
    [anon_sym___nullable] = ACTIONS(8970),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8970),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8970),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8970),
    [anon_sym___real] = ACTIONS(8970),
    [anon_sym___strong] = ACTIONS(8970),
    [anon_sym___unsafe_unretained] = ACTIONS(8970),
    [anon_sym___unused] = ACTIONS(8970),
    [anon_sym___weak] = ACTIONS(8970),
    [anon_sym_alignas] = ACTIONS(8970),
    [anon_sym__Alignas] = ACTIONS(8970),
    [sym_primitive_type] = ACTIONS(8970),
    [anon_sym_enum] = ACTIONS(8970),
    [anon_sym_struct] = ACTIONS(8970),
    [anon_sym_union] = ACTIONS(8970),
    [anon_sym_in] = ACTIONS(8970),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(8970),
    [anon_sym___typeof] = ACTIONS(8970),
    [anon_sym_typeof] = ACTIONS(8970),
    [anon_sym_ATprivate] = ACTIONS(8972),
    [anon_sym_ATprotected] = ACTIONS(8972),
    [anon_sym_ATpackage] = ACTIONS(8972),
    [anon_sym_ATpublic] = ACTIONS(8972),
    [anon_sym_BOOL] = ACTIONS(8970),
    [anon_sym_IMP] = ACTIONS(8970),
    [anon_sym_SEL] = ACTIONS(8970),
    [anon_sym_Class] = ACTIONS(8970),
    [anon_sym_id] = ACTIONS(8970),
    [anon_sym_out] = ACTIONS(8970),
    [anon_sym_inout] = ACTIONS(8970),
    [anon_sym_bycopy] = ACTIONS(8970),
    [anon_sym_byref] = ACTIONS(8970),
    [anon_sym_oneway] = ACTIONS(8970),
  },
  [4067] = {
    [sym_identifier] = ACTIONS(2642),
    [aux_sym_preproc_if_token1] = ACTIONS(2642),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2644),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2644),
    [anon_sym___extension__] = ACTIONS(2642),
    [anon_sym___attribute__] = ACTIONS(2642),
    [anon_sym___attribute] = ACTIONS(2642),
    [anon_sym_noreturn] = ACTIONS(2642),
    [anon_sym_LBRACK] = ACTIONS(2644),
    [anon_sym_RBRACE] = ACTIONS(2644),
    [anon_sym_signed] = ACTIONS(2642),
    [anon_sym_unsigned] = ACTIONS(2642),
    [anon_sym_long] = ACTIONS(2642),
    [anon_sym_short] = ACTIONS(2642),
    [anon_sym_const] = ACTIONS(2642),
    [anon_sym_constexpr] = ACTIONS(2642),
    [anon_sym_volatile] = ACTIONS(2642),
    [anon_sym_restrict] = ACTIONS(2642),
    [anon_sym___restrict__] = ACTIONS(2642),
    [anon_sym__Atomic] = ACTIONS(2642),
    [anon_sym__Noreturn] = ACTIONS(2642),
    [anon_sym__Nonnull] = ACTIONS(2642),
    [anon_sym_nullable] = ACTIONS(2642),
    [anon_sym__Complex] = ACTIONS(2642),
    [anon_sym__Nullable] = ACTIONS(2642),
    [anon_sym__Nullable_result] = ACTIONS(2642),
    [anon_sym__Null_unspecified] = ACTIONS(2642),
    [anon_sym___autoreleasing] = ACTIONS(2642),
    [anon_sym___block] = ACTIONS(2642),
    [anon_sym___bridge] = ACTIONS(2642),
    [anon_sym___bridge_retained] = ACTIONS(2642),
    [anon_sym___bridge_transfer] = ACTIONS(2642),
    [anon_sym___complex] = ACTIONS(2642),
    [anon_sym___const] = ACTIONS(2642),
    [anon_sym___imag] = ACTIONS(2642),
    [anon_sym___kindof] = ACTIONS(2642),
    [anon_sym___nonnull] = ACTIONS(2642),
    [anon_sym___nullable] = ACTIONS(2642),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2642),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2642),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2642),
    [anon_sym___real] = ACTIONS(2642),
    [anon_sym___strong] = ACTIONS(2642),
    [anon_sym___unsafe_unretained] = ACTIONS(2642),
    [anon_sym___unused] = ACTIONS(2642),
    [anon_sym___weak] = ACTIONS(2642),
    [anon_sym_alignas] = ACTIONS(2642),
    [anon_sym__Alignas] = ACTIONS(2642),
    [sym_primitive_type] = ACTIONS(2642),
    [anon_sym_enum] = ACTIONS(2642),
    [anon_sym_struct] = ACTIONS(2642),
    [anon_sym_union] = ACTIONS(2642),
    [anon_sym_in] = ACTIONS(2642),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2642),
    [anon_sym___typeof] = ACTIONS(2642),
    [anon_sym_typeof] = ACTIONS(2642),
    [anon_sym_ATprivate] = ACTIONS(2644),
    [anon_sym_ATprotected] = ACTIONS(2644),
    [anon_sym_ATpackage] = ACTIONS(2644),
    [anon_sym_ATpublic] = ACTIONS(2644),
    [anon_sym_BOOL] = ACTIONS(2642),
    [anon_sym_IMP] = ACTIONS(2642),
    [anon_sym_SEL] = ACTIONS(2642),
    [anon_sym_Class] = ACTIONS(2642),
    [anon_sym_id] = ACTIONS(2642),
    [anon_sym_out] = ACTIONS(2642),
    [anon_sym_inout] = ACTIONS(2642),
    [anon_sym_bycopy] = ACTIONS(2642),
    [anon_sym_byref] = ACTIONS(2642),
    [anon_sym_oneway] = ACTIONS(2642),
  },
  [4068] = {
    [sym_identifier] = ACTIONS(5564),
    [aux_sym_preproc_if_token1] = ACTIONS(5564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5566),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5566),
    [anon_sym___extension__] = ACTIONS(5564),
    [anon_sym___attribute__] = ACTIONS(5564),
    [anon_sym___attribute] = ACTIONS(5564),
    [anon_sym_noreturn] = ACTIONS(5564),
    [anon_sym_LBRACK] = ACTIONS(5566),
    [anon_sym_RBRACE] = ACTIONS(5566),
    [anon_sym_signed] = ACTIONS(5564),
    [anon_sym_unsigned] = ACTIONS(5564),
    [anon_sym_long] = ACTIONS(5564),
    [anon_sym_short] = ACTIONS(5564),
    [anon_sym_const] = ACTIONS(5564),
    [anon_sym_constexpr] = ACTIONS(5564),
    [anon_sym_volatile] = ACTIONS(5564),
    [anon_sym_restrict] = ACTIONS(5564),
    [anon_sym___restrict__] = ACTIONS(5564),
    [anon_sym__Atomic] = ACTIONS(5564),
    [anon_sym__Noreturn] = ACTIONS(5564),
    [anon_sym__Nonnull] = ACTIONS(5564),
    [anon_sym_nullable] = ACTIONS(5564),
    [anon_sym__Complex] = ACTIONS(5564),
    [anon_sym__Nullable] = ACTIONS(5564),
    [anon_sym__Nullable_result] = ACTIONS(5564),
    [anon_sym__Null_unspecified] = ACTIONS(5564),
    [anon_sym___autoreleasing] = ACTIONS(5564),
    [anon_sym___block] = ACTIONS(5564),
    [anon_sym___bridge] = ACTIONS(5564),
    [anon_sym___bridge_retained] = ACTIONS(5564),
    [anon_sym___bridge_transfer] = ACTIONS(5564),
    [anon_sym___complex] = ACTIONS(5564),
    [anon_sym___const] = ACTIONS(5564),
    [anon_sym___imag] = ACTIONS(5564),
    [anon_sym___kindof] = ACTIONS(5564),
    [anon_sym___nonnull] = ACTIONS(5564),
    [anon_sym___nullable] = ACTIONS(5564),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5564),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5564),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5564),
    [anon_sym___real] = ACTIONS(5564),
    [anon_sym___strong] = ACTIONS(5564),
    [anon_sym___unsafe_unretained] = ACTIONS(5564),
    [anon_sym___unused] = ACTIONS(5564),
    [anon_sym___weak] = ACTIONS(5564),
    [anon_sym_alignas] = ACTIONS(5564),
    [anon_sym__Alignas] = ACTIONS(5564),
    [sym_primitive_type] = ACTIONS(5564),
    [anon_sym_enum] = ACTIONS(5564),
    [anon_sym_struct] = ACTIONS(5564),
    [anon_sym_union] = ACTIONS(5564),
    [anon_sym_in] = ACTIONS(5564),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5564),
    [anon_sym___typeof] = ACTIONS(5564),
    [anon_sym_typeof] = ACTIONS(5564),
    [anon_sym_ATprivate] = ACTIONS(5566),
    [anon_sym_ATprotected] = ACTIONS(5566),
    [anon_sym_ATpackage] = ACTIONS(5566),
    [anon_sym_ATpublic] = ACTIONS(5566),
    [anon_sym_BOOL] = ACTIONS(5564),
    [anon_sym_IMP] = ACTIONS(5564),
    [anon_sym_SEL] = ACTIONS(5564),
    [anon_sym_Class] = ACTIONS(5564),
    [anon_sym_id] = ACTIONS(5564),
    [anon_sym_out] = ACTIONS(5564),
    [anon_sym_inout] = ACTIONS(5564),
    [anon_sym_bycopy] = ACTIONS(5564),
    [anon_sym_byref] = ACTIONS(5564),
    [anon_sym_oneway] = ACTIONS(5564),
  },
  [4069] = {
    [sym_attribute_specifier] = STATE(3912),
    [sym_enumerator_list] = STATE(4095),
    [sym_identifier] = ACTIONS(7606),
    [anon_sym_LPAREN2] = ACTIONS(7608),
    [anon_sym_STAR] = ACTIONS(7608),
    [anon_sym_CARET] = ACTIONS(7608),
    [anon_sym___extension__] = ACTIONS(7606),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7606),
    [anon_sym_LBRACK] = ACTIONS(7608),
    [anon_sym___based] = ACTIONS(7606),
    [anon_sym_LBRACE] = ACTIONS(8792),
    [anon_sym_signed] = ACTIONS(7606),
    [anon_sym_unsigned] = ACTIONS(7606),
    [anon_sym_long] = ACTIONS(7606),
    [anon_sym_short] = ACTIONS(7606),
    [anon_sym_const] = ACTIONS(7606),
    [anon_sym_constexpr] = ACTIONS(7606),
    [anon_sym_volatile] = ACTIONS(7606),
    [anon_sym_restrict] = ACTIONS(7606),
    [anon_sym___restrict__] = ACTIONS(7606),
    [anon_sym__Atomic] = ACTIONS(7606),
    [anon_sym__Noreturn] = ACTIONS(7606),
    [anon_sym__Nonnull] = ACTIONS(7606),
    [anon_sym_nullable] = ACTIONS(7606),
    [anon_sym__Complex] = ACTIONS(7606),
    [anon_sym__Nullable] = ACTIONS(7606),
    [anon_sym__Nullable_result] = ACTIONS(7606),
    [anon_sym__Null_unspecified] = ACTIONS(7606),
    [anon_sym___autoreleasing] = ACTIONS(7606),
    [anon_sym___block] = ACTIONS(7606),
    [anon_sym___bridge] = ACTIONS(7606),
    [anon_sym___bridge_retained] = ACTIONS(7606),
    [anon_sym___bridge_transfer] = ACTIONS(7606),
    [anon_sym___complex] = ACTIONS(7606),
    [anon_sym___const] = ACTIONS(7606),
    [anon_sym___imag] = ACTIONS(7606),
    [anon_sym___kindof] = ACTIONS(7606),
    [anon_sym___nonnull] = ACTIONS(7606),
    [anon_sym___nullable] = ACTIONS(7606),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7606),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7606),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7606),
    [anon_sym___real] = ACTIONS(7606),
    [anon_sym___strong] = ACTIONS(7606),
    [anon_sym___unsafe_unretained] = ACTIONS(7606),
    [anon_sym___unused] = ACTIONS(7606),
    [anon_sym___weak] = ACTIONS(7606),
    [anon_sym_alignas] = ACTIONS(7606),
    [anon_sym__Alignas] = ACTIONS(7606),
    [sym_primitive_type] = ACTIONS(7606),
    [anon_sym_enum] = ACTIONS(7606),
    [anon_sym_COLON] = ACTIONS(8974),
    [anon_sym_struct] = ACTIONS(7606),
    [anon_sym_union] = ACTIONS(7606),
    [anon_sym_in] = ACTIONS(7606),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7606),
    [anon_sym___typeof] = ACTIONS(7606),
    [anon_sym_typeof] = ACTIONS(7606),
    [anon_sym_BOOL] = ACTIONS(7606),
    [anon_sym_IMP] = ACTIONS(7606),
    [anon_sym_SEL] = ACTIONS(7606),
    [anon_sym_Class] = ACTIONS(7606),
    [anon_sym_id] = ACTIONS(7606),
    [anon_sym_out] = ACTIONS(7606),
    [anon_sym_inout] = ACTIONS(7606),
    [anon_sym_bycopy] = ACTIONS(7606),
    [anon_sym_byref] = ACTIONS(7606),
    [anon_sym_oneway] = ACTIONS(7606),
  },
  [4070] = {
    [sym_identifier] = ACTIONS(2848),
    [aux_sym_preproc_if_token1] = ACTIONS(2848),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2850),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2850),
    [anon_sym___extension__] = ACTIONS(2848),
    [anon_sym___attribute__] = ACTIONS(2848),
    [anon_sym___attribute] = ACTIONS(2848),
    [anon_sym_noreturn] = ACTIONS(2848),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym_RBRACE] = ACTIONS(2850),
    [anon_sym_signed] = ACTIONS(2848),
    [anon_sym_unsigned] = ACTIONS(2848),
    [anon_sym_long] = ACTIONS(2848),
    [anon_sym_short] = ACTIONS(2848),
    [anon_sym_const] = ACTIONS(2848),
    [anon_sym_constexpr] = ACTIONS(2848),
    [anon_sym_volatile] = ACTIONS(2848),
    [anon_sym_restrict] = ACTIONS(2848),
    [anon_sym___restrict__] = ACTIONS(2848),
    [anon_sym__Atomic] = ACTIONS(2848),
    [anon_sym__Noreturn] = ACTIONS(2848),
    [anon_sym__Nonnull] = ACTIONS(2848),
    [anon_sym_nullable] = ACTIONS(2848),
    [anon_sym__Complex] = ACTIONS(2848),
    [anon_sym__Nullable] = ACTIONS(2848),
    [anon_sym__Nullable_result] = ACTIONS(2848),
    [anon_sym__Null_unspecified] = ACTIONS(2848),
    [anon_sym___autoreleasing] = ACTIONS(2848),
    [anon_sym___block] = ACTIONS(2848),
    [anon_sym___bridge] = ACTIONS(2848),
    [anon_sym___bridge_retained] = ACTIONS(2848),
    [anon_sym___bridge_transfer] = ACTIONS(2848),
    [anon_sym___complex] = ACTIONS(2848),
    [anon_sym___const] = ACTIONS(2848),
    [anon_sym___imag] = ACTIONS(2848),
    [anon_sym___kindof] = ACTIONS(2848),
    [anon_sym___nonnull] = ACTIONS(2848),
    [anon_sym___nullable] = ACTIONS(2848),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2848),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2848),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2848),
    [anon_sym___real] = ACTIONS(2848),
    [anon_sym___strong] = ACTIONS(2848),
    [anon_sym___unsafe_unretained] = ACTIONS(2848),
    [anon_sym___unused] = ACTIONS(2848),
    [anon_sym___weak] = ACTIONS(2848),
    [anon_sym_alignas] = ACTIONS(2848),
    [anon_sym__Alignas] = ACTIONS(2848),
    [sym_primitive_type] = ACTIONS(2848),
    [anon_sym_enum] = ACTIONS(2848),
    [anon_sym_struct] = ACTIONS(2848),
    [anon_sym_union] = ACTIONS(2848),
    [anon_sym_in] = ACTIONS(2848),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2848),
    [anon_sym___typeof] = ACTIONS(2848),
    [anon_sym_typeof] = ACTIONS(2848),
    [anon_sym_ATprivate] = ACTIONS(2850),
    [anon_sym_ATprotected] = ACTIONS(2850),
    [anon_sym_ATpackage] = ACTIONS(2850),
    [anon_sym_ATpublic] = ACTIONS(2850),
    [anon_sym_BOOL] = ACTIONS(2848),
    [anon_sym_IMP] = ACTIONS(2848),
    [anon_sym_SEL] = ACTIONS(2848),
    [anon_sym_Class] = ACTIONS(2848),
    [anon_sym_id] = ACTIONS(2848),
    [anon_sym_out] = ACTIONS(2848),
    [anon_sym_inout] = ACTIONS(2848),
    [anon_sym_bycopy] = ACTIONS(2848),
    [anon_sym_byref] = ACTIONS(2848),
    [anon_sym_oneway] = ACTIONS(2848),
  },
  [4071] = {
    [sym_identifier] = ACTIONS(2770),
    [aux_sym_preproc_if_token1] = ACTIONS(2770),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2772),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2772),
    [anon_sym___extension__] = ACTIONS(2770),
    [anon_sym___attribute__] = ACTIONS(2770),
    [anon_sym___attribute] = ACTIONS(2770),
    [anon_sym_noreturn] = ACTIONS(2770),
    [anon_sym_LBRACK] = ACTIONS(2772),
    [anon_sym_RBRACE] = ACTIONS(2772),
    [anon_sym_signed] = ACTIONS(2770),
    [anon_sym_unsigned] = ACTIONS(2770),
    [anon_sym_long] = ACTIONS(2770),
    [anon_sym_short] = ACTIONS(2770),
    [anon_sym_const] = ACTIONS(2770),
    [anon_sym_constexpr] = ACTIONS(2770),
    [anon_sym_volatile] = ACTIONS(2770),
    [anon_sym_restrict] = ACTIONS(2770),
    [anon_sym___restrict__] = ACTIONS(2770),
    [anon_sym__Atomic] = ACTIONS(2770),
    [anon_sym__Noreturn] = ACTIONS(2770),
    [anon_sym__Nonnull] = ACTIONS(2770),
    [anon_sym_nullable] = ACTIONS(2770),
    [anon_sym__Complex] = ACTIONS(2770),
    [anon_sym__Nullable] = ACTIONS(2770),
    [anon_sym__Nullable_result] = ACTIONS(2770),
    [anon_sym__Null_unspecified] = ACTIONS(2770),
    [anon_sym___autoreleasing] = ACTIONS(2770),
    [anon_sym___block] = ACTIONS(2770),
    [anon_sym___bridge] = ACTIONS(2770),
    [anon_sym___bridge_retained] = ACTIONS(2770),
    [anon_sym___bridge_transfer] = ACTIONS(2770),
    [anon_sym___complex] = ACTIONS(2770),
    [anon_sym___const] = ACTIONS(2770),
    [anon_sym___imag] = ACTIONS(2770),
    [anon_sym___kindof] = ACTIONS(2770),
    [anon_sym___nonnull] = ACTIONS(2770),
    [anon_sym___nullable] = ACTIONS(2770),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2770),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2770),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2770),
    [anon_sym___real] = ACTIONS(2770),
    [anon_sym___strong] = ACTIONS(2770),
    [anon_sym___unsafe_unretained] = ACTIONS(2770),
    [anon_sym___unused] = ACTIONS(2770),
    [anon_sym___weak] = ACTIONS(2770),
    [anon_sym_alignas] = ACTIONS(2770),
    [anon_sym__Alignas] = ACTIONS(2770),
    [sym_primitive_type] = ACTIONS(2770),
    [anon_sym_enum] = ACTIONS(2770),
    [anon_sym_struct] = ACTIONS(2770),
    [anon_sym_union] = ACTIONS(2770),
    [anon_sym_in] = ACTIONS(2770),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2770),
    [anon_sym___typeof] = ACTIONS(2770),
    [anon_sym_typeof] = ACTIONS(2770),
    [anon_sym_ATprivate] = ACTIONS(2772),
    [anon_sym_ATprotected] = ACTIONS(2772),
    [anon_sym_ATpackage] = ACTIONS(2772),
    [anon_sym_ATpublic] = ACTIONS(2772),
    [anon_sym_BOOL] = ACTIONS(2770),
    [anon_sym_IMP] = ACTIONS(2770),
    [anon_sym_SEL] = ACTIONS(2770),
    [anon_sym_Class] = ACTIONS(2770),
    [anon_sym_id] = ACTIONS(2770),
    [anon_sym_out] = ACTIONS(2770),
    [anon_sym_inout] = ACTIONS(2770),
    [anon_sym_bycopy] = ACTIONS(2770),
    [anon_sym_byref] = ACTIONS(2770),
    [anon_sym_oneway] = ACTIONS(2770),
  },
  [4072] = {
    [sym_identifier] = ACTIONS(2726),
    [aux_sym_preproc_if_token1] = ACTIONS(2726),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2728),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2728),
    [anon_sym___extension__] = ACTIONS(2726),
    [anon_sym___attribute__] = ACTIONS(2726),
    [anon_sym___attribute] = ACTIONS(2726),
    [anon_sym_noreturn] = ACTIONS(2726),
    [anon_sym_LBRACK] = ACTIONS(2728),
    [anon_sym_RBRACE] = ACTIONS(2728),
    [anon_sym_signed] = ACTIONS(2726),
    [anon_sym_unsigned] = ACTIONS(2726),
    [anon_sym_long] = ACTIONS(2726),
    [anon_sym_short] = ACTIONS(2726),
    [anon_sym_const] = ACTIONS(2726),
    [anon_sym_constexpr] = ACTIONS(2726),
    [anon_sym_volatile] = ACTIONS(2726),
    [anon_sym_restrict] = ACTIONS(2726),
    [anon_sym___restrict__] = ACTIONS(2726),
    [anon_sym__Atomic] = ACTIONS(2726),
    [anon_sym__Noreturn] = ACTIONS(2726),
    [anon_sym__Nonnull] = ACTIONS(2726),
    [anon_sym_nullable] = ACTIONS(2726),
    [anon_sym__Complex] = ACTIONS(2726),
    [anon_sym__Nullable] = ACTIONS(2726),
    [anon_sym__Nullable_result] = ACTIONS(2726),
    [anon_sym__Null_unspecified] = ACTIONS(2726),
    [anon_sym___autoreleasing] = ACTIONS(2726),
    [anon_sym___block] = ACTIONS(2726),
    [anon_sym___bridge] = ACTIONS(2726),
    [anon_sym___bridge_retained] = ACTIONS(2726),
    [anon_sym___bridge_transfer] = ACTIONS(2726),
    [anon_sym___complex] = ACTIONS(2726),
    [anon_sym___const] = ACTIONS(2726),
    [anon_sym___imag] = ACTIONS(2726),
    [anon_sym___kindof] = ACTIONS(2726),
    [anon_sym___nonnull] = ACTIONS(2726),
    [anon_sym___nullable] = ACTIONS(2726),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2726),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2726),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2726),
    [anon_sym___real] = ACTIONS(2726),
    [anon_sym___strong] = ACTIONS(2726),
    [anon_sym___unsafe_unretained] = ACTIONS(2726),
    [anon_sym___unused] = ACTIONS(2726),
    [anon_sym___weak] = ACTIONS(2726),
    [anon_sym_alignas] = ACTIONS(2726),
    [anon_sym__Alignas] = ACTIONS(2726),
    [sym_primitive_type] = ACTIONS(2726),
    [anon_sym_enum] = ACTIONS(2726),
    [anon_sym_struct] = ACTIONS(2726),
    [anon_sym_union] = ACTIONS(2726),
    [anon_sym_in] = ACTIONS(2726),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2726),
    [anon_sym___typeof] = ACTIONS(2726),
    [anon_sym_typeof] = ACTIONS(2726),
    [anon_sym_ATprivate] = ACTIONS(2728),
    [anon_sym_ATprotected] = ACTIONS(2728),
    [anon_sym_ATpackage] = ACTIONS(2728),
    [anon_sym_ATpublic] = ACTIONS(2728),
    [anon_sym_BOOL] = ACTIONS(2726),
    [anon_sym_IMP] = ACTIONS(2726),
    [anon_sym_SEL] = ACTIONS(2726),
    [anon_sym_Class] = ACTIONS(2726),
    [anon_sym_id] = ACTIONS(2726),
    [anon_sym_out] = ACTIONS(2726),
    [anon_sym_inout] = ACTIONS(2726),
    [anon_sym_bycopy] = ACTIONS(2726),
    [anon_sym_byref] = ACTIONS(2726),
    [anon_sym_oneway] = ACTIONS(2726),
  },
  [4073] = {
    [sym_attribute_specifier] = STATE(3890),
    [sym_enumerator_list] = STATE(4100),
    [sym_identifier] = ACTIONS(7616),
    [anon_sym_LPAREN2] = ACTIONS(7618),
    [anon_sym_STAR] = ACTIONS(7618),
    [anon_sym_CARET] = ACTIONS(7618),
    [anon_sym___extension__] = ACTIONS(7616),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7616),
    [anon_sym_LBRACK] = ACTIONS(7618),
    [anon_sym___based] = ACTIONS(7616),
    [anon_sym_LBRACE] = ACTIONS(8792),
    [anon_sym_signed] = ACTIONS(7616),
    [anon_sym_unsigned] = ACTIONS(7616),
    [anon_sym_long] = ACTIONS(7616),
    [anon_sym_short] = ACTIONS(7616),
    [anon_sym_const] = ACTIONS(7616),
    [anon_sym_constexpr] = ACTIONS(7616),
    [anon_sym_volatile] = ACTIONS(7616),
    [anon_sym_restrict] = ACTIONS(7616),
    [anon_sym___restrict__] = ACTIONS(7616),
    [anon_sym__Atomic] = ACTIONS(7616),
    [anon_sym__Noreturn] = ACTIONS(7616),
    [anon_sym__Nonnull] = ACTIONS(7616),
    [anon_sym_nullable] = ACTIONS(7616),
    [anon_sym__Complex] = ACTIONS(7616),
    [anon_sym__Nullable] = ACTIONS(7616),
    [anon_sym__Nullable_result] = ACTIONS(7616),
    [anon_sym__Null_unspecified] = ACTIONS(7616),
    [anon_sym___autoreleasing] = ACTIONS(7616),
    [anon_sym___block] = ACTIONS(7616),
    [anon_sym___bridge] = ACTIONS(7616),
    [anon_sym___bridge_retained] = ACTIONS(7616),
    [anon_sym___bridge_transfer] = ACTIONS(7616),
    [anon_sym___complex] = ACTIONS(7616),
    [anon_sym___const] = ACTIONS(7616),
    [anon_sym___imag] = ACTIONS(7616),
    [anon_sym___kindof] = ACTIONS(7616),
    [anon_sym___nonnull] = ACTIONS(7616),
    [anon_sym___nullable] = ACTIONS(7616),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7616),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7616),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7616),
    [anon_sym___real] = ACTIONS(7616),
    [anon_sym___strong] = ACTIONS(7616),
    [anon_sym___unsafe_unretained] = ACTIONS(7616),
    [anon_sym___unused] = ACTIONS(7616),
    [anon_sym___weak] = ACTIONS(7616),
    [anon_sym_alignas] = ACTIONS(7616),
    [anon_sym__Alignas] = ACTIONS(7616),
    [sym_primitive_type] = ACTIONS(7616),
    [anon_sym_enum] = ACTIONS(7616),
    [anon_sym_COLON] = ACTIONS(8977),
    [anon_sym_struct] = ACTIONS(7616),
    [anon_sym_union] = ACTIONS(7616),
    [anon_sym_in] = ACTIONS(7616),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7616),
    [anon_sym___typeof] = ACTIONS(7616),
    [anon_sym_typeof] = ACTIONS(7616),
    [anon_sym_BOOL] = ACTIONS(7616),
    [anon_sym_IMP] = ACTIONS(7616),
    [anon_sym_SEL] = ACTIONS(7616),
    [anon_sym_Class] = ACTIONS(7616),
    [anon_sym_id] = ACTIONS(7616),
    [anon_sym_out] = ACTIONS(7616),
    [anon_sym_inout] = ACTIONS(7616),
    [anon_sym_bycopy] = ACTIONS(7616),
    [anon_sym_byref] = ACTIONS(7616),
    [anon_sym_oneway] = ACTIONS(7616),
  },
  [4074] = {
    [sym_attribute_specifier] = STATE(3882),
    [sym_enumerator_list] = STATE(4096),
    [sym_identifier] = ACTIONS(7535),
    [anon_sym_LPAREN2] = ACTIONS(7537),
    [anon_sym_STAR] = ACTIONS(7537),
    [anon_sym_CARET] = ACTIONS(7537),
    [anon_sym___extension__] = ACTIONS(7535),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(7537),
    [anon_sym___based] = ACTIONS(7535),
    [anon_sym_LBRACE] = ACTIONS(8792),
    [anon_sym_signed] = ACTIONS(7535),
    [anon_sym_unsigned] = ACTIONS(7535),
    [anon_sym_long] = ACTIONS(7535),
    [anon_sym_short] = ACTIONS(7535),
    [anon_sym_const] = ACTIONS(7535),
    [anon_sym_constexpr] = ACTIONS(7535),
    [anon_sym_volatile] = ACTIONS(7535),
    [anon_sym_restrict] = ACTIONS(7535),
    [anon_sym___restrict__] = ACTIONS(7535),
    [anon_sym__Atomic] = ACTIONS(7535),
    [anon_sym__Noreturn] = ACTIONS(7535),
    [anon_sym__Nonnull] = ACTIONS(7535),
    [anon_sym_nullable] = ACTIONS(7535),
    [anon_sym__Complex] = ACTIONS(7535),
    [anon_sym__Nullable] = ACTIONS(7535),
    [anon_sym__Nullable_result] = ACTIONS(7535),
    [anon_sym__Null_unspecified] = ACTIONS(7535),
    [anon_sym___autoreleasing] = ACTIONS(7535),
    [anon_sym___block] = ACTIONS(7535),
    [anon_sym___bridge] = ACTIONS(7535),
    [anon_sym___bridge_retained] = ACTIONS(7535),
    [anon_sym___bridge_transfer] = ACTIONS(7535),
    [anon_sym___complex] = ACTIONS(7535),
    [anon_sym___const] = ACTIONS(7535),
    [anon_sym___imag] = ACTIONS(7535),
    [anon_sym___kindof] = ACTIONS(7535),
    [anon_sym___nonnull] = ACTIONS(7535),
    [anon_sym___nullable] = ACTIONS(7535),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7535),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7535),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7535),
    [anon_sym___real] = ACTIONS(7535),
    [anon_sym___strong] = ACTIONS(7535),
    [anon_sym___unsafe_unretained] = ACTIONS(7535),
    [anon_sym___unused] = ACTIONS(7535),
    [anon_sym___weak] = ACTIONS(7535),
    [anon_sym_alignas] = ACTIONS(7535),
    [anon_sym__Alignas] = ACTIONS(7535),
    [sym_primitive_type] = ACTIONS(7535),
    [anon_sym_enum] = ACTIONS(7535),
    [anon_sym_COLON] = ACTIONS(7537),
    [anon_sym_struct] = ACTIONS(7535),
    [anon_sym_union] = ACTIONS(7535),
    [anon_sym_in] = ACTIONS(7535),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7535),
    [anon_sym___typeof] = ACTIONS(7535),
    [anon_sym_typeof] = ACTIONS(7535),
    [anon_sym_BOOL] = ACTIONS(7535),
    [anon_sym_IMP] = ACTIONS(7535),
    [anon_sym_SEL] = ACTIONS(7535),
    [anon_sym_Class] = ACTIONS(7535),
    [anon_sym_id] = ACTIONS(7535),
    [anon_sym_out] = ACTIONS(7535),
    [anon_sym_inout] = ACTIONS(7535),
    [anon_sym_bycopy] = ACTIONS(7535),
    [anon_sym_byref] = ACTIONS(7535),
    [anon_sym_oneway] = ACTIONS(7535),
  },
  [4075] = {
    [sym_identifier] = ACTIONS(8980),
    [aux_sym_preproc_if_token1] = ACTIONS(8980),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(8219),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(8219),
    [anon_sym___extension__] = ACTIONS(8980),
    [anon_sym___attribute__] = ACTIONS(8980),
    [anon_sym___attribute] = ACTIONS(8980),
    [anon_sym_noreturn] = ACTIONS(8980),
    [anon_sym_LBRACK] = ACTIONS(8219),
    [anon_sym_RBRACE] = ACTIONS(8219),
    [anon_sym_signed] = ACTIONS(8980),
    [anon_sym_unsigned] = ACTIONS(8980),
    [anon_sym_long] = ACTIONS(8980),
    [anon_sym_short] = ACTIONS(8980),
    [anon_sym_const] = ACTIONS(8980),
    [anon_sym_constexpr] = ACTIONS(8980),
    [anon_sym_volatile] = ACTIONS(8980),
    [anon_sym_restrict] = ACTIONS(8980),
    [anon_sym___restrict__] = ACTIONS(8980),
    [anon_sym__Atomic] = ACTIONS(8980),
    [anon_sym__Noreturn] = ACTIONS(8980),
    [anon_sym__Nonnull] = ACTIONS(8980),
    [anon_sym_nullable] = ACTIONS(8980),
    [anon_sym__Complex] = ACTIONS(8980),
    [anon_sym__Nullable] = ACTIONS(8980),
    [anon_sym__Nullable_result] = ACTIONS(8980),
    [anon_sym__Null_unspecified] = ACTIONS(8980),
    [anon_sym___autoreleasing] = ACTIONS(8980),
    [anon_sym___block] = ACTIONS(8980),
    [anon_sym___bridge] = ACTIONS(8980),
    [anon_sym___bridge_retained] = ACTIONS(8980),
    [anon_sym___bridge_transfer] = ACTIONS(8980),
    [anon_sym___complex] = ACTIONS(8980),
    [anon_sym___const] = ACTIONS(8980),
    [anon_sym___imag] = ACTIONS(8980),
    [anon_sym___kindof] = ACTIONS(8980),
    [anon_sym___nonnull] = ACTIONS(8980),
    [anon_sym___nullable] = ACTIONS(8980),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(8980),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(8980),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(8980),
    [anon_sym___real] = ACTIONS(8980),
    [anon_sym___strong] = ACTIONS(8980),
    [anon_sym___unsafe_unretained] = ACTIONS(8980),
    [anon_sym___unused] = ACTIONS(8980),
    [anon_sym___weak] = ACTIONS(8980),
    [anon_sym_alignas] = ACTIONS(8980),
    [anon_sym__Alignas] = ACTIONS(8980),
    [sym_primitive_type] = ACTIONS(8980),
    [anon_sym_enum] = ACTIONS(8980),
    [anon_sym_struct] = ACTIONS(8980),
    [anon_sym_union] = ACTIONS(8980),
    [anon_sym_in] = ACTIONS(8980),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(8980),
    [anon_sym___typeof] = ACTIONS(8980),
    [anon_sym_typeof] = ACTIONS(8980),
    [anon_sym_ATprivate] = ACTIONS(8219),
    [anon_sym_ATprotected] = ACTIONS(8219),
    [anon_sym_ATpackage] = ACTIONS(8219),
    [anon_sym_ATpublic] = ACTIONS(8219),
    [anon_sym_BOOL] = ACTIONS(8980),
    [anon_sym_IMP] = ACTIONS(8980),
    [anon_sym_SEL] = ACTIONS(8980),
    [anon_sym_Class] = ACTIONS(8980),
    [anon_sym_id] = ACTIONS(8980),
    [anon_sym_out] = ACTIONS(8980),
    [anon_sym_inout] = ACTIONS(8980),
    [anon_sym_bycopy] = ACTIONS(8980),
    [anon_sym_byref] = ACTIONS(8980),
    [anon_sym_oneway] = ACTIONS(8980),
  },
  [4076] = {
    [sym_identifier] = ACTIONS(2794),
    [aux_sym_preproc_if_token1] = ACTIONS(2794),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2796),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2796),
    [anon_sym___extension__] = ACTIONS(2794),
    [anon_sym___attribute__] = ACTIONS(2794),
    [anon_sym___attribute] = ACTIONS(2794),
    [anon_sym_noreturn] = ACTIONS(2794),
    [anon_sym_LBRACK] = ACTIONS(2796),
    [anon_sym_RBRACE] = ACTIONS(2796),
    [anon_sym_signed] = ACTIONS(2794),
    [anon_sym_unsigned] = ACTIONS(2794),
    [anon_sym_long] = ACTIONS(2794),
    [anon_sym_short] = ACTIONS(2794),
    [anon_sym_const] = ACTIONS(2794),
    [anon_sym_constexpr] = ACTIONS(2794),
    [anon_sym_volatile] = ACTIONS(2794),
    [anon_sym_restrict] = ACTIONS(2794),
    [anon_sym___restrict__] = ACTIONS(2794),
    [anon_sym__Atomic] = ACTIONS(2794),
    [anon_sym__Noreturn] = ACTIONS(2794),
    [anon_sym__Nonnull] = ACTIONS(2794),
    [anon_sym_nullable] = ACTIONS(2794),
    [anon_sym__Complex] = ACTIONS(2794),
    [anon_sym__Nullable] = ACTIONS(2794),
    [anon_sym__Nullable_result] = ACTIONS(2794),
    [anon_sym__Null_unspecified] = ACTIONS(2794),
    [anon_sym___autoreleasing] = ACTIONS(2794),
    [anon_sym___block] = ACTIONS(2794),
    [anon_sym___bridge] = ACTIONS(2794),
    [anon_sym___bridge_retained] = ACTIONS(2794),
    [anon_sym___bridge_transfer] = ACTIONS(2794),
    [anon_sym___complex] = ACTIONS(2794),
    [anon_sym___const] = ACTIONS(2794),
    [anon_sym___imag] = ACTIONS(2794),
    [anon_sym___kindof] = ACTIONS(2794),
    [anon_sym___nonnull] = ACTIONS(2794),
    [anon_sym___nullable] = ACTIONS(2794),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2794),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2794),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2794),
    [anon_sym___real] = ACTIONS(2794),
    [anon_sym___strong] = ACTIONS(2794),
    [anon_sym___unsafe_unretained] = ACTIONS(2794),
    [anon_sym___unused] = ACTIONS(2794),
    [anon_sym___weak] = ACTIONS(2794),
    [anon_sym_alignas] = ACTIONS(2794),
    [anon_sym__Alignas] = ACTIONS(2794),
    [sym_primitive_type] = ACTIONS(2794),
    [anon_sym_enum] = ACTIONS(2794),
    [anon_sym_struct] = ACTIONS(2794),
    [anon_sym_union] = ACTIONS(2794),
    [anon_sym_in] = ACTIONS(2794),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2794),
    [anon_sym___typeof] = ACTIONS(2794),
    [anon_sym_typeof] = ACTIONS(2794),
    [anon_sym_ATprivate] = ACTIONS(2796),
    [anon_sym_ATprotected] = ACTIONS(2796),
    [anon_sym_ATpackage] = ACTIONS(2796),
    [anon_sym_ATpublic] = ACTIONS(2796),
    [anon_sym_BOOL] = ACTIONS(2794),
    [anon_sym_IMP] = ACTIONS(2794),
    [anon_sym_SEL] = ACTIONS(2794),
    [anon_sym_Class] = ACTIONS(2794),
    [anon_sym_id] = ACTIONS(2794),
    [anon_sym_out] = ACTIONS(2794),
    [anon_sym_inout] = ACTIONS(2794),
    [anon_sym_bycopy] = ACTIONS(2794),
    [anon_sym_byref] = ACTIONS(2794),
    [anon_sym_oneway] = ACTIONS(2794),
  },
  [4077] = {
    [sym_identifier] = ACTIONS(5570),
    [aux_sym_preproc_if_token1] = ACTIONS(5570),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5572),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5572),
    [anon_sym___extension__] = ACTIONS(5570),
    [anon_sym___attribute__] = ACTIONS(5570),
    [anon_sym___attribute] = ACTIONS(5570),
    [anon_sym_noreturn] = ACTIONS(5570),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [anon_sym_RBRACE] = ACTIONS(5572),
    [anon_sym_signed] = ACTIONS(5570),
    [anon_sym_unsigned] = ACTIONS(5570),
    [anon_sym_long] = ACTIONS(5570),
    [anon_sym_short] = ACTIONS(5570),
    [anon_sym_const] = ACTIONS(5570),
    [anon_sym_constexpr] = ACTIONS(5570),
    [anon_sym_volatile] = ACTIONS(5570),
    [anon_sym_restrict] = ACTIONS(5570),
    [anon_sym___restrict__] = ACTIONS(5570),
    [anon_sym__Atomic] = ACTIONS(5570),
    [anon_sym__Noreturn] = ACTIONS(5570),
    [anon_sym__Nonnull] = ACTIONS(5570),
    [anon_sym_nullable] = ACTIONS(5570),
    [anon_sym__Complex] = ACTIONS(5570),
    [anon_sym__Nullable] = ACTIONS(5570),
    [anon_sym__Nullable_result] = ACTIONS(5570),
    [anon_sym__Null_unspecified] = ACTIONS(5570),
    [anon_sym___autoreleasing] = ACTIONS(5570),
    [anon_sym___block] = ACTIONS(5570),
    [anon_sym___bridge] = ACTIONS(5570),
    [anon_sym___bridge_retained] = ACTIONS(5570),
    [anon_sym___bridge_transfer] = ACTIONS(5570),
    [anon_sym___complex] = ACTIONS(5570),
    [anon_sym___const] = ACTIONS(5570),
    [anon_sym___imag] = ACTIONS(5570),
    [anon_sym___kindof] = ACTIONS(5570),
    [anon_sym___nonnull] = ACTIONS(5570),
    [anon_sym___nullable] = ACTIONS(5570),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5570),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5570),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5570),
    [anon_sym___real] = ACTIONS(5570),
    [anon_sym___strong] = ACTIONS(5570),
    [anon_sym___unsafe_unretained] = ACTIONS(5570),
    [anon_sym___unused] = ACTIONS(5570),
    [anon_sym___weak] = ACTIONS(5570),
    [anon_sym_alignas] = ACTIONS(5570),
    [anon_sym__Alignas] = ACTIONS(5570),
    [sym_primitive_type] = ACTIONS(5570),
    [anon_sym_enum] = ACTIONS(5570),
    [anon_sym_struct] = ACTIONS(5570),
    [anon_sym_union] = ACTIONS(5570),
    [anon_sym_in] = ACTIONS(5570),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5570),
    [anon_sym___typeof] = ACTIONS(5570),
    [anon_sym_typeof] = ACTIONS(5570),
    [anon_sym_ATprivate] = ACTIONS(5572),
    [anon_sym_ATprotected] = ACTIONS(5572),
    [anon_sym_ATpackage] = ACTIONS(5572),
    [anon_sym_ATpublic] = ACTIONS(5572),
    [anon_sym_BOOL] = ACTIONS(5570),
    [anon_sym_IMP] = ACTIONS(5570),
    [anon_sym_SEL] = ACTIONS(5570),
    [anon_sym_Class] = ACTIONS(5570),
    [anon_sym_id] = ACTIONS(5570),
    [anon_sym_out] = ACTIONS(5570),
    [anon_sym_inout] = ACTIONS(5570),
    [anon_sym_bycopy] = ACTIONS(5570),
    [anon_sym_byref] = ACTIONS(5570),
    [anon_sym_oneway] = ACTIONS(5570),
  },
  [4078] = {
    [sym_attribute_specifier] = STATE(3848),
    [sym_enumerator_list] = STATE(4108),
    [sym_identifier] = ACTIONS(7591),
    [anon_sym_LPAREN2] = ACTIONS(7593),
    [anon_sym_STAR] = ACTIONS(7593),
    [anon_sym_CARET] = ACTIONS(7593),
    [anon_sym___extension__] = ACTIONS(7591),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7591),
    [anon_sym_LBRACK] = ACTIONS(7593),
    [anon_sym___based] = ACTIONS(7591),
    [anon_sym_LBRACE] = ACTIONS(8792),
    [anon_sym_signed] = ACTIONS(7591),
    [anon_sym_unsigned] = ACTIONS(7591),
    [anon_sym_long] = ACTIONS(7591),
    [anon_sym_short] = ACTIONS(7591),
    [anon_sym_const] = ACTIONS(7591),
    [anon_sym_constexpr] = ACTIONS(7591),
    [anon_sym_volatile] = ACTIONS(7591),
    [anon_sym_restrict] = ACTIONS(7591),
    [anon_sym___restrict__] = ACTIONS(7591),
    [anon_sym__Atomic] = ACTIONS(7591),
    [anon_sym__Noreturn] = ACTIONS(7591),
    [anon_sym__Nonnull] = ACTIONS(7591),
    [anon_sym_nullable] = ACTIONS(7591),
    [anon_sym__Complex] = ACTIONS(7591),
    [anon_sym__Nullable] = ACTIONS(7591),
    [anon_sym__Nullable_result] = ACTIONS(7591),
    [anon_sym__Null_unspecified] = ACTIONS(7591),
    [anon_sym___autoreleasing] = ACTIONS(7591),
    [anon_sym___block] = ACTIONS(7591),
    [anon_sym___bridge] = ACTIONS(7591),
    [anon_sym___bridge_retained] = ACTIONS(7591),
    [anon_sym___bridge_transfer] = ACTIONS(7591),
    [anon_sym___complex] = ACTIONS(7591),
    [anon_sym___const] = ACTIONS(7591),
    [anon_sym___imag] = ACTIONS(7591),
    [anon_sym___kindof] = ACTIONS(7591),
    [anon_sym___nonnull] = ACTIONS(7591),
    [anon_sym___nullable] = ACTIONS(7591),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7591),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7591),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7591),
    [anon_sym___real] = ACTIONS(7591),
    [anon_sym___strong] = ACTIONS(7591),
    [anon_sym___unsafe_unretained] = ACTIONS(7591),
    [anon_sym___unused] = ACTIONS(7591),
    [anon_sym___weak] = ACTIONS(7591),
    [anon_sym_alignas] = ACTIONS(7591),
    [anon_sym__Alignas] = ACTIONS(7591),
    [sym_primitive_type] = ACTIONS(7591),
    [anon_sym_enum] = ACTIONS(7591),
    [anon_sym_COLON] = ACTIONS(8982),
    [anon_sym_struct] = ACTIONS(7591),
    [anon_sym_union] = ACTIONS(7591),
    [anon_sym_in] = ACTIONS(7591),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7591),
    [anon_sym___typeof] = ACTIONS(7591),
    [anon_sym_typeof] = ACTIONS(7591),
    [anon_sym_BOOL] = ACTIONS(7591),
    [anon_sym_IMP] = ACTIONS(7591),
    [anon_sym_SEL] = ACTIONS(7591),
    [anon_sym_Class] = ACTIONS(7591),
    [anon_sym_id] = ACTIONS(7591),
    [anon_sym_out] = ACTIONS(7591),
    [anon_sym_inout] = ACTIONS(7591),
    [anon_sym_bycopy] = ACTIONS(7591),
    [anon_sym_byref] = ACTIONS(7591),
    [anon_sym_oneway] = ACTIONS(7591),
  },
  [4079] = {
    [sym_attribute_specifier] = STATE(3883),
    [sym_enumerator_list] = STATE(4106),
    [sym_identifier] = ACTIONS(7556),
    [anon_sym_LPAREN2] = ACTIONS(7558),
    [anon_sym_STAR] = ACTIONS(7558),
    [anon_sym_CARET] = ACTIONS(7558),
    [anon_sym___extension__] = ACTIONS(7556),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7556),
    [anon_sym_LBRACK] = ACTIONS(7558),
    [anon_sym___based] = ACTIONS(7556),
    [anon_sym_LBRACE] = ACTIONS(8792),
    [anon_sym_signed] = ACTIONS(7556),
    [anon_sym_unsigned] = ACTIONS(7556),
    [anon_sym_long] = ACTIONS(7556),
    [anon_sym_short] = ACTIONS(7556),
    [anon_sym_const] = ACTIONS(7556),
    [anon_sym_constexpr] = ACTIONS(7556),
    [anon_sym_volatile] = ACTIONS(7556),
    [anon_sym_restrict] = ACTIONS(7556),
    [anon_sym___restrict__] = ACTIONS(7556),
    [anon_sym__Atomic] = ACTIONS(7556),
    [anon_sym__Noreturn] = ACTIONS(7556),
    [anon_sym__Nonnull] = ACTIONS(7556),
    [anon_sym_nullable] = ACTIONS(7556),
    [anon_sym__Complex] = ACTIONS(7556),
    [anon_sym__Nullable] = ACTIONS(7556),
    [anon_sym__Nullable_result] = ACTIONS(7556),
    [anon_sym__Null_unspecified] = ACTIONS(7556),
    [anon_sym___autoreleasing] = ACTIONS(7556),
    [anon_sym___block] = ACTIONS(7556),
    [anon_sym___bridge] = ACTIONS(7556),
    [anon_sym___bridge_retained] = ACTIONS(7556),
    [anon_sym___bridge_transfer] = ACTIONS(7556),
    [anon_sym___complex] = ACTIONS(7556),
    [anon_sym___const] = ACTIONS(7556),
    [anon_sym___imag] = ACTIONS(7556),
    [anon_sym___kindof] = ACTIONS(7556),
    [anon_sym___nonnull] = ACTIONS(7556),
    [anon_sym___nullable] = ACTIONS(7556),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7556),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7556),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7556),
    [anon_sym___real] = ACTIONS(7556),
    [anon_sym___strong] = ACTIONS(7556),
    [anon_sym___unsafe_unretained] = ACTIONS(7556),
    [anon_sym___unused] = ACTIONS(7556),
    [anon_sym___weak] = ACTIONS(7556),
    [anon_sym_alignas] = ACTIONS(7556),
    [anon_sym__Alignas] = ACTIONS(7556),
    [sym_primitive_type] = ACTIONS(7556),
    [anon_sym_enum] = ACTIONS(7556),
    [anon_sym_COLON] = ACTIONS(7558),
    [anon_sym_struct] = ACTIONS(7556),
    [anon_sym_union] = ACTIONS(7556),
    [anon_sym_in] = ACTIONS(7556),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7556),
    [anon_sym___typeof] = ACTIONS(7556),
    [anon_sym_typeof] = ACTIONS(7556),
    [anon_sym_BOOL] = ACTIONS(7556),
    [anon_sym_IMP] = ACTIONS(7556),
    [anon_sym_SEL] = ACTIONS(7556),
    [anon_sym_Class] = ACTIONS(7556),
    [anon_sym_id] = ACTIONS(7556),
    [anon_sym_out] = ACTIONS(7556),
    [anon_sym_inout] = ACTIONS(7556),
    [anon_sym_bycopy] = ACTIONS(7556),
    [anon_sym_byref] = ACTIONS(7556),
    [anon_sym_oneway] = ACTIONS(7556),
  },
  [4080] = {
    [sym_identifier] = ACTIONS(5574),
    [aux_sym_preproc_if_token1] = ACTIONS(5574),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5576),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5576),
    [anon_sym___extension__] = ACTIONS(5574),
    [anon_sym___attribute__] = ACTIONS(5574),
    [anon_sym___attribute] = ACTIONS(5574),
    [anon_sym_noreturn] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [anon_sym_RBRACE] = ACTIONS(5576),
    [anon_sym_signed] = ACTIONS(5574),
    [anon_sym_unsigned] = ACTIONS(5574),
    [anon_sym_long] = ACTIONS(5574),
    [anon_sym_short] = ACTIONS(5574),
    [anon_sym_const] = ACTIONS(5574),
    [anon_sym_constexpr] = ACTIONS(5574),
    [anon_sym_volatile] = ACTIONS(5574),
    [anon_sym_restrict] = ACTIONS(5574),
    [anon_sym___restrict__] = ACTIONS(5574),
    [anon_sym__Atomic] = ACTIONS(5574),
    [anon_sym__Noreturn] = ACTIONS(5574),
    [anon_sym__Nonnull] = ACTIONS(5574),
    [anon_sym_nullable] = ACTIONS(5574),
    [anon_sym__Complex] = ACTIONS(5574),
    [anon_sym__Nullable] = ACTIONS(5574),
    [anon_sym__Nullable_result] = ACTIONS(5574),
    [anon_sym__Null_unspecified] = ACTIONS(5574),
    [anon_sym___autoreleasing] = ACTIONS(5574),
    [anon_sym___block] = ACTIONS(5574),
    [anon_sym___bridge] = ACTIONS(5574),
    [anon_sym___bridge_retained] = ACTIONS(5574),
    [anon_sym___bridge_transfer] = ACTIONS(5574),
    [anon_sym___complex] = ACTIONS(5574),
    [anon_sym___const] = ACTIONS(5574),
    [anon_sym___imag] = ACTIONS(5574),
    [anon_sym___kindof] = ACTIONS(5574),
    [anon_sym___nonnull] = ACTIONS(5574),
    [anon_sym___nullable] = ACTIONS(5574),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(5574),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(5574),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(5574),
    [anon_sym___real] = ACTIONS(5574),
    [anon_sym___strong] = ACTIONS(5574),
    [anon_sym___unsafe_unretained] = ACTIONS(5574),
    [anon_sym___unused] = ACTIONS(5574),
    [anon_sym___weak] = ACTIONS(5574),
    [anon_sym_alignas] = ACTIONS(5574),
    [anon_sym__Alignas] = ACTIONS(5574),
    [sym_primitive_type] = ACTIONS(5574),
    [anon_sym_enum] = ACTIONS(5574),
    [anon_sym_struct] = ACTIONS(5574),
    [anon_sym_union] = ACTIONS(5574),
    [anon_sym_in] = ACTIONS(5574),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(5574),
    [anon_sym___typeof] = ACTIONS(5574),
    [anon_sym_typeof] = ACTIONS(5574),
    [anon_sym_ATprivate] = ACTIONS(5576),
    [anon_sym_ATprotected] = ACTIONS(5576),
    [anon_sym_ATpackage] = ACTIONS(5576),
    [anon_sym_ATpublic] = ACTIONS(5576),
    [anon_sym_BOOL] = ACTIONS(5574),
    [anon_sym_IMP] = ACTIONS(5574),
    [anon_sym_SEL] = ACTIONS(5574),
    [anon_sym_Class] = ACTIONS(5574),
    [anon_sym_id] = ACTIONS(5574),
    [anon_sym_out] = ACTIONS(5574),
    [anon_sym_inout] = ACTIONS(5574),
    [anon_sym_bycopy] = ACTIONS(5574),
    [anon_sym_byref] = ACTIONS(5574),
    [anon_sym_oneway] = ACTIONS(5574),
  },
  [4081] = {
    [sym_identifier] = ACTIONS(2970),
    [anon_sym_LPAREN2] = ACTIONS(2972),
    [anon_sym_BANG] = ACTIONS(2972),
    [anon_sym_TILDE] = ACTIONS(2972),
    [anon_sym_DASH] = ACTIONS(2970),
    [anon_sym_PLUS] = ACTIONS(2970),
    [anon_sym_STAR] = ACTIONS(2972),
    [anon_sym_CARET] = ACTIONS(2972),
    [anon_sym_AMP] = ACTIONS(2972),
    [anon_sym_SEMI] = ACTIONS(2972),
    [anon_sym___extension__] = ACTIONS(2970),
    [anon_sym_LBRACK] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(2972),
    [anon_sym_ATautoreleasepool] = ACTIONS(2972),
    [anon_sym_const] = ACTIONS(2970),
    [anon_sym___imag] = ACTIONS(2970),
    [anon_sym___real] = ACTIONS(2970),
    [anon_sym_struct] = ACTIONS(2970),
    [anon_sym_if] = ACTIONS(2970),
    [anon_sym_switch] = ACTIONS(2970),
    [anon_sym_case] = ACTIONS(2970),
    [anon_sym_default] = ACTIONS(2970),
    [anon_sym_while] = ACTIONS(2970),
    [anon_sym_do] = ACTIONS(2970),
    [anon_sym_for] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(2970),
    [anon_sym_return] = ACTIONS(2970),
    [anon_sym_break] = ACTIONS(2970),
    [anon_sym_continue] = ACTIONS(2970),
    [anon_sym_goto] = ACTIONS(2970),
    [anon_sym_DASH_DASH] = ACTIONS(2972),
    [anon_sym_PLUS_PLUS] = ACTIONS(2972),
    [anon_sym_sizeof] = ACTIONS(2970),
    [anon_sym___alignof__] = ACTIONS(2970),
    [anon_sym___alignof] = ACTIONS(2970),
    [anon_sym__alignof] = ACTIONS(2970),
    [anon_sym_alignof] = ACTIONS(2970),
    [anon_sym__Alignof] = ACTIONS(2970),
    [anon_sym_offsetof] = ACTIONS(2970),
    [anon_sym__Generic] = ACTIONS(2970),
    [anon_sym_asm] = ACTIONS(2970),
    [anon_sym___asm__] = ACTIONS(2970),
    [anon_sym___asm] = ACTIONS(2970),
    [sym_number_literal] = ACTIONS(2972),
    [anon_sym_L_SQUOTE] = ACTIONS(2972),
    [anon_sym_u_SQUOTE] = ACTIONS(2972),
    [anon_sym_U_SQUOTE] = ACTIONS(2972),
    [anon_sym_u8_SQUOTE] = ACTIONS(2972),
    [anon_sym_SQUOTE] = ACTIONS(2972),
    [anon_sym_AT] = ACTIONS(2970),
    [anon_sym_DQUOTE] = ACTIONS(2972),
    [anon_sym_L_DQUOTE] = ACTIONS(2972),
    [anon_sym_u_DQUOTE] = ACTIONS(2972),
    [anon_sym_U_DQUOTE] = ACTIONS(2972),
    [anon_sym_u8_DQUOTE] = ACTIONS(2972),
    [sym_true] = ACTIONS(2970),
    [sym_false] = ACTIONS(2970),
    [anon_sym_NULL] = ACTIONS(2970),
    [anon_sym_nullptr] = ACTIONS(2970),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2972),
    [anon_sym___try] = ACTIONS(2970),
    [anon_sym_ATthrow] = ACTIONS(2972),
    [anon_sym_ATselector] = ACTIONS(2972),
    [anon_sym_ATavailable] = ACTIONS(2972),
    [anon_sym___builtin_available] = ACTIONS(2970),
    [anon_sym_va_arg] = ACTIONS(2970),
    [anon_sym_ATencode] = ACTIONS(2972),
    [anon_sym_ATsynchronized] = ACTIONS(2972),
    [anon_sym_id] = ACTIONS(2970),
  },
  [4082] = {
    [sym_identifier] = ACTIONS(2966),
    [anon_sym_LPAREN2] = ACTIONS(2968),
    [anon_sym_BANG] = ACTIONS(2968),
    [anon_sym_TILDE] = ACTIONS(2968),
    [anon_sym_DASH] = ACTIONS(2966),
    [anon_sym_PLUS] = ACTIONS(2966),
    [anon_sym_STAR] = ACTIONS(2968),
    [anon_sym_CARET] = ACTIONS(2968),
    [anon_sym_AMP] = ACTIONS(2968),
    [anon_sym_SEMI] = ACTIONS(2968),
    [anon_sym___extension__] = ACTIONS(2966),
    [anon_sym_LBRACK] = ACTIONS(2968),
    [anon_sym_LBRACE] = ACTIONS(2968),
    [anon_sym_ATautoreleasepool] = ACTIONS(2968),
    [anon_sym_const] = ACTIONS(2966),
    [anon_sym___imag] = ACTIONS(2966),
    [anon_sym___real] = ACTIONS(2966),
    [anon_sym_struct] = ACTIONS(2966),
    [anon_sym_if] = ACTIONS(2966),
    [anon_sym_switch] = ACTIONS(2966),
    [anon_sym_case] = ACTIONS(2966),
    [anon_sym_default] = ACTIONS(2966),
    [anon_sym_while] = ACTIONS(2966),
    [anon_sym_do] = ACTIONS(2966),
    [anon_sym_for] = ACTIONS(2966),
    [anon_sym_in] = ACTIONS(2966),
    [anon_sym_return] = ACTIONS(2966),
    [anon_sym_break] = ACTIONS(2966),
    [anon_sym_continue] = ACTIONS(2966),
    [anon_sym_goto] = ACTIONS(2966),
    [anon_sym_DASH_DASH] = ACTIONS(2968),
    [anon_sym_PLUS_PLUS] = ACTIONS(2968),
    [anon_sym_sizeof] = ACTIONS(2966),
    [anon_sym___alignof__] = ACTIONS(2966),
    [anon_sym___alignof] = ACTIONS(2966),
    [anon_sym__alignof] = ACTIONS(2966),
    [anon_sym_alignof] = ACTIONS(2966),
    [anon_sym__Alignof] = ACTIONS(2966),
    [anon_sym_offsetof] = ACTIONS(2966),
    [anon_sym__Generic] = ACTIONS(2966),
    [anon_sym_asm] = ACTIONS(2966),
    [anon_sym___asm__] = ACTIONS(2966),
    [anon_sym___asm] = ACTIONS(2966),
    [sym_number_literal] = ACTIONS(2968),
    [anon_sym_L_SQUOTE] = ACTIONS(2968),
    [anon_sym_u_SQUOTE] = ACTIONS(2968),
    [anon_sym_U_SQUOTE] = ACTIONS(2968),
    [anon_sym_u8_SQUOTE] = ACTIONS(2968),
    [anon_sym_SQUOTE] = ACTIONS(2968),
    [anon_sym_AT] = ACTIONS(2966),
    [anon_sym_DQUOTE] = ACTIONS(2968),
    [anon_sym_L_DQUOTE] = ACTIONS(2968),
    [anon_sym_u_DQUOTE] = ACTIONS(2968),
    [anon_sym_U_DQUOTE] = ACTIONS(2968),
    [anon_sym_u8_DQUOTE] = ACTIONS(2968),
    [sym_true] = ACTIONS(2966),
    [sym_false] = ACTIONS(2966),
    [anon_sym_NULL] = ACTIONS(2966),
    [anon_sym_nullptr] = ACTIONS(2966),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(2968),
    [anon_sym___try] = ACTIONS(2966),
    [anon_sym_ATthrow] = ACTIONS(2968),
    [anon_sym_ATselector] = ACTIONS(2968),
    [anon_sym_ATavailable] = ACTIONS(2968),
    [anon_sym___builtin_available] = ACTIONS(2966),
    [anon_sym_va_arg] = ACTIONS(2966),
    [anon_sym_ATencode] = ACTIONS(2968),
    [anon_sym_ATsynchronized] = ACTIONS(2968),
    [anon_sym_id] = ACTIONS(2966),
  },
  [4083] = {
    [sym_identifier] = ACTIONS(4236),
    [anon_sym_LPAREN2] = ACTIONS(4238),
    [anon_sym_BANG] = ACTIONS(4238),
    [anon_sym_TILDE] = ACTIONS(4238),
    [anon_sym_DASH] = ACTIONS(4236),
    [anon_sym_PLUS] = ACTIONS(4236),
    [anon_sym_STAR] = ACTIONS(4238),
    [anon_sym_CARET] = ACTIONS(4238),
    [anon_sym_AMP] = ACTIONS(4238),
    [anon_sym_SEMI] = ACTIONS(4238),
    [anon_sym___extension__] = ACTIONS(4236),
    [anon_sym_LBRACK] = ACTIONS(4238),
    [anon_sym_LBRACE] = ACTIONS(4238),
    [anon_sym_ATautoreleasepool] = ACTIONS(4238),
    [anon_sym_const] = ACTIONS(4236),
    [anon_sym___imag] = ACTIONS(4236),
    [anon_sym___real] = ACTIONS(4236),
    [anon_sym_struct] = ACTIONS(4236),
    [anon_sym_if] = ACTIONS(4236),
    [anon_sym_switch] = ACTIONS(4236),
    [anon_sym_case] = ACTIONS(4236),
    [anon_sym_default] = ACTIONS(4236),
    [anon_sym_while] = ACTIONS(4236),
    [anon_sym_do] = ACTIONS(4236),
    [anon_sym_for] = ACTIONS(4236),
    [anon_sym_in] = ACTIONS(4236),
    [anon_sym_return] = ACTIONS(4236),
    [anon_sym_break] = ACTIONS(4236),
    [anon_sym_continue] = ACTIONS(4236),
    [anon_sym_goto] = ACTIONS(4236),
    [anon_sym_DASH_DASH] = ACTIONS(4238),
    [anon_sym_PLUS_PLUS] = ACTIONS(4238),
    [anon_sym_sizeof] = ACTIONS(4236),
    [anon_sym___alignof__] = ACTIONS(4236),
    [anon_sym___alignof] = ACTIONS(4236),
    [anon_sym__alignof] = ACTIONS(4236),
    [anon_sym_alignof] = ACTIONS(4236),
    [anon_sym__Alignof] = ACTIONS(4236),
    [anon_sym_offsetof] = ACTIONS(4236),
    [anon_sym__Generic] = ACTIONS(4236),
    [anon_sym_asm] = ACTIONS(4236),
    [anon_sym___asm__] = ACTIONS(4236),
    [anon_sym___asm] = ACTIONS(4236),
    [sym_number_literal] = ACTIONS(4238),
    [anon_sym_L_SQUOTE] = ACTIONS(4238),
    [anon_sym_u_SQUOTE] = ACTIONS(4238),
    [anon_sym_U_SQUOTE] = ACTIONS(4238),
    [anon_sym_u8_SQUOTE] = ACTIONS(4238),
    [anon_sym_SQUOTE] = ACTIONS(4238),
    [anon_sym_AT] = ACTIONS(4236),
    [anon_sym_DQUOTE] = ACTIONS(4238),
    [anon_sym_L_DQUOTE] = ACTIONS(4238),
    [anon_sym_u_DQUOTE] = ACTIONS(4238),
    [anon_sym_U_DQUOTE] = ACTIONS(4238),
    [anon_sym_u8_DQUOTE] = ACTIONS(4238),
    [sym_true] = ACTIONS(4236),
    [sym_false] = ACTIONS(4236),
    [anon_sym_NULL] = ACTIONS(4236),
    [anon_sym_nullptr] = ACTIONS(4236),
    [sym_comment] = ACTIONS(3),
    [anon_sym_ATtry] = ACTIONS(4238),
    [anon_sym___try] = ACTIONS(4236),
    [anon_sym_ATthrow] = ACTIONS(4238),
    [anon_sym_ATselector] = ACTIONS(4238),
    [anon_sym_ATavailable] = ACTIONS(4238),
    [anon_sym___builtin_available] = ACTIONS(4236),
    [anon_sym_va_arg] = ACTIONS(4236),
    [anon_sym_ATencode] = ACTIONS(4238),
    [anon_sym_ATsynchronized] = ACTIONS(4238),
    [anon_sym_id] = ACTIONS(4236),
  },
  [4084] = {
    [sym_attribute_specifier] = STATE(3914),
    [sym_identifier] = ACTIONS(7877),
    [anon_sym_LPAREN2] = ACTIONS(7879),
    [anon_sym_STAR] = ACTIONS(7879),
    [anon_sym_CARET] = ACTIONS(7879),
    [anon_sym___extension__] = ACTIONS(7877),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7877),
    [anon_sym_LBRACK] = ACTIONS(7879),
    [anon_sym___based] = ACTIONS(7877),
    [anon_sym_signed] = ACTIONS(7877),
    [anon_sym_unsigned] = ACTIONS(7877),
    [anon_sym_long] = ACTIONS(7877),
    [anon_sym_short] = ACTIONS(7877),
    [anon_sym_const] = ACTIONS(7877),
    [anon_sym_constexpr] = ACTIONS(7877),
    [anon_sym_volatile] = ACTIONS(7877),
    [anon_sym_restrict] = ACTIONS(7877),
    [anon_sym___restrict__] = ACTIONS(7877),
    [anon_sym__Atomic] = ACTIONS(7877),
    [anon_sym__Noreturn] = ACTIONS(7877),
    [anon_sym__Nonnull] = ACTIONS(7877),
    [anon_sym_nullable] = ACTIONS(7877),
    [anon_sym__Complex] = ACTIONS(7877),
    [anon_sym__Nullable] = ACTIONS(7877),
    [anon_sym__Nullable_result] = ACTIONS(7877),
    [anon_sym__Null_unspecified] = ACTIONS(7877),
    [anon_sym___autoreleasing] = ACTIONS(7877),
    [anon_sym___block] = ACTIONS(7877),
    [anon_sym___bridge] = ACTIONS(7877),
    [anon_sym___bridge_retained] = ACTIONS(7877),
    [anon_sym___bridge_transfer] = ACTIONS(7877),
    [anon_sym___complex] = ACTIONS(7877),
    [anon_sym___const] = ACTIONS(7877),
    [anon_sym___imag] = ACTIONS(7877),
    [anon_sym___kindof] = ACTIONS(7877),
    [anon_sym___nonnull] = ACTIONS(7877),
    [anon_sym___nullable] = ACTIONS(7877),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7877),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7877),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7877),
    [anon_sym___real] = ACTIONS(7877),
    [anon_sym___strong] = ACTIONS(7877),
    [anon_sym___unsafe_unretained] = ACTIONS(7877),
    [anon_sym___unused] = ACTIONS(7877),
    [anon_sym___weak] = ACTIONS(7877),
    [anon_sym_alignas] = ACTIONS(7877),
    [anon_sym__Alignas] = ACTIONS(7877),
    [sym_primitive_type] = ACTIONS(7877),
    [anon_sym_enum] = ACTIONS(7877),
    [anon_sym_COLON] = ACTIONS(7879),
    [anon_sym_struct] = ACTIONS(7877),
    [anon_sym_union] = ACTIONS(7877),
    [anon_sym_in] = ACTIONS(7877),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7877),
    [anon_sym___typeof] = ACTIONS(7877),
    [anon_sym_typeof] = ACTIONS(7877),
    [anon_sym_BOOL] = ACTIONS(7877),
    [anon_sym_IMP] = ACTIONS(7877),
    [anon_sym_SEL] = ACTIONS(7877),
    [anon_sym_Class] = ACTIONS(7877),
    [anon_sym_id] = ACTIONS(7877),
    [anon_sym_out] = ACTIONS(7877),
    [anon_sym_inout] = ACTIONS(7877),
    [anon_sym_bycopy] = ACTIONS(7877),
    [anon_sym_byref] = ACTIONS(7877),
    [anon_sym_oneway] = ACTIONS(7877),
  },
  [4085] = {
    [sym_type_qualifier] = STATE(4113),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_type_descriptor] = STATE(6306),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4113),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(8985),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4086] = {
    [sym_type_qualifier] = STATE(4113),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_type_descriptor] = STATE(6452),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4113),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(8985),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4087] = {
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_type_descriptor] = STATE(6246),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4088] = {
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_type_descriptor] = STATE(6582),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4089] = {
    [sym_attribute_specifier] = STATE(3839),
    [sym_identifier] = ACTIONS(7796),
    [anon_sym_LPAREN2] = ACTIONS(7798),
    [anon_sym_STAR] = ACTIONS(7798),
    [anon_sym_CARET] = ACTIONS(7798),
    [anon_sym___extension__] = ACTIONS(7796),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7796),
    [anon_sym_LBRACK] = ACTIONS(7798),
    [anon_sym___based] = ACTIONS(7796),
    [anon_sym_signed] = ACTIONS(7796),
    [anon_sym_unsigned] = ACTIONS(7796),
    [anon_sym_long] = ACTIONS(7796),
    [anon_sym_short] = ACTIONS(7796),
    [anon_sym_const] = ACTIONS(7796),
    [anon_sym_constexpr] = ACTIONS(7796),
    [anon_sym_volatile] = ACTIONS(7796),
    [anon_sym_restrict] = ACTIONS(7796),
    [anon_sym___restrict__] = ACTIONS(7796),
    [anon_sym__Atomic] = ACTIONS(7796),
    [anon_sym__Noreturn] = ACTIONS(7796),
    [anon_sym__Nonnull] = ACTIONS(7796),
    [anon_sym_nullable] = ACTIONS(7796),
    [anon_sym__Complex] = ACTIONS(7796),
    [anon_sym__Nullable] = ACTIONS(7796),
    [anon_sym__Nullable_result] = ACTIONS(7796),
    [anon_sym__Null_unspecified] = ACTIONS(7796),
    [anon_sym___autoreleasing] = ACTIONS(7796),
    [anon_sym___block] = ACTIONS(7796),
    [anon_sym___bridge] = ACTIONS(7796),
    [anon_sym___bridge_retained] = ACTIONS(7796),
    [anon_sym___bridge_transfer] = ACTIONS(7796),
    [anon_sym___complex] = ACTIONS(7796),
    [anon_sym___const] = ACTIONS(7796),
    [anon_sym___imag] = ACTIONS(7796),
    [anon_sym___kindof] = ACTIONS(7796),
    [anon_sym___nonnull] = ACTIONS(7796),
    [anon_sym___nullable] = ACTIONS(7796),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7796),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7796),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7796),
    [anon_sym___real] = ACTIONS(7796),
    [anon_sym___strong] = ACTIONS(7796),
    [anon_sym___unsafe_unretained] = ACTIONS(7796),
    [anon_sym___unused] = ACTIONS(7796),
    [anon_sym___weak] = ACTIONS(7796),
    [anon_sym_alignas] = ACTIONS(7796),
    [anon_sym__Alignas] = ACTIONS(7796),
    [sym_primitive_type] = ACTIONS(7796),
    [anon_sym_enum] = ACTIONS(7796),
    [anon_sym_COLON] = ACTIONS(7798),
    [anon_sym_struct] = ACTIONS(7796),
    [anon_sym_union] = ACTIONS(7796),
    [anon_sym_in] = ACTIONS(7796),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7796),
    [anon_sym___typeof] = ACTIONS(7796),
    [anon_sym_typeof] = ACTIONS(7796),
    [anon_sym_BOOL] = ACTIONS(7796),
    [anon_sym_IMP] = ACTIONS(7796),
    [anon_sym_SEL] = ACTIONS(7796),
    [anon_sym_Class] = ACTIONS(7796),
    [anon_sym_id] = ACTIONS(7796),
    [anon_sym_out] = ACTIONS(7796),
    [anon_sym_inout] = ACTIONS(7796),
    [anon_sym_bycopy] = ACTIONS(7796),
    [anon_sym_byref] = ACTIONS(7796),
    [anon_sym_oneway] = ACTIONS(7796),
  },
  [4090] = {
    [sym_attribute_specifier] = STATE(3979),
    [sym_identifier] = ACTIONS(7778),
    [anon_sym_LPAREN2] = ACTIONS(7780),
    [anon_sym_STAR] = ACTIONS(7780),
    [anon_sym_CARET] = ACTIONS(7780),
    [anon_sym___extension__] = ACTIONS(7778),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7778),
    [anon_sym_LBRACK] = ACTIONS(7780),
    [anon_sym___based] = ACTIONS(7778),
    [anon_sym_signed] = ACTIONS(7778),
    [anon_sym_unsigned] = ACTIONS(7778),
    [anon_sym_long] = ACTIONS(7778),
    [anon_sym_short] = ACTIONS(7778),
    [anon_sym_const] = ACTIONS(7778),
    [anon_sym_constexpr] = ACTIONS(7778),
    [anon_sym_volatile] = ACTIONS(7778),
    [anon_sym_restrict] = ACTIONS(7778),
    [anon_sym___restrict__] = ACTIONS(7778),
    [anon_sym__Atomic] = ACTIONS(7778),
    [anon_sym__Noreturn] = ACTIONS(7778),
    [anon_sym__Nonnull] = ACTIONS(7778),
    [anon_sym_nullable] = ACTIONS(7778),
    [anon_sym__Complex] = ACTIONS(7778),
    [anon_sym__Nullable] = ACTIONS(7778),
    [anon_sym__Nullable_result] = ACTIONS(7778),
    [anon_sym__Null_unspecified] = ACTIONS(7778),
    [anon_sym___autoreleasing] = ACTIONS(7778),
    [anon_sym___block] = ACTIONS(7778),
    [anon_sym___bridge] = ACTIONS(7778),
    [anon_sym___bridge_retained] = ACTIONS(7778),
    [anon_sym___bridge_transfer] = ACTIONS(7778),
    [anon_sym___complex] = ACTIONS(7778),
    [anon_sym___const] = ACTIONS(7778),
    [anon_sym___imag] = ACTIONS(7778),
    [anon_sym___kindof] = ACTIONS(7778),
    [anon_sym___nonnull] = ACTIONS(7778),
    [anon_sym___nullable] = ACTIONS(7778),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7778),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7778),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7778),
    [anon_sym___real] = ACTIONS(7778),
    [anon_sym___strong] = ACTIONS(7778),
    [anon_sym___unsafe_unretained] = ACTIONS(7778),
    [anon_sym___unused] = ACTIONS(7778),
    [anon_sym___weak] = ACTIONS(7778),
    [anon_sym_alignas] = ACTIONS(7778),
    [anon_sym__Alignas] = ACTIONS(7778),
    [sym_primitive_type] = ACTIONS(7778),
    [anon_sym_enum] = ACTIONS(7778),
    [anon_sym_COLON] = ACTIONS(7780),
    [anon_sym_struct] = ACTIONS(7778),
    [anon_sym_union] = ACTIONS(7778),
    [anon_sym_in] = ACTIONS(7778),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7778),
    [anon_sym___typeof] = ACTIONS(7778),
    [anon_sym_typeof] = ACTIONS(7778),
    [anon_sym_BOOL] = ACTIONS(7778),
    [anon_sym_IMP] = ACTIONS(7778),
    [anon_sym_SEL] = ACTIONS(7778),
    [anon_sym_Class] = ACTIONS(7778),
    [anon_sym_id] = ACTIONS(7778),
    [anon_sym_out] = ACTIONS(7778),
    [anon_sym_inout] = ACTIONS(7778),
    [anon_sym_bycopy] = ACTIONS(7778),
    [anon_sym_byref] = ACTIONS(7778),
    [anon_sym_oneway] = ACTIONS(7778),
  },
  [4091] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(3827),
    [aux_sym_generic_specifier_repeat1] = STATE(3829),
    [sym_identifier] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(8987),
    [anon_sym_STAR] = ACTIONS(5922),
    [anon_sym_CARET] = ACTIONS(5922),
    [anon_sym_LT] = ACTIONS(5924),
    [anon_sym___extension__] = ACTIONS(4502),
    [anon_sym_noreturn] = ACTIONS(4502),
    [anon_sym_LBRACK] = ACTIONS(5922),
    [anon_sym___based] = ACTIONS(4502),
    [anon_sym_signed] = ACTIONS(5934),
    [anon_sym_unsigned] = ACTIONS(5934),
    [anon_sym_long] = ACTIONS(5934),
    [anon_sym_short] = ACTIONS(5934),
    [anon_sym_const] = ACTIONS(4502),
    [anon_sym_constexpr] = ACTIONS(4502),
    [anon_sym_volatile] = ACTIONS(4502),
    [anon_sym_restrict] = ACTIONS(4502),
    [anon_sym___restrict__] = ACTIONS(4502),
    [anon_sym__Atomic] = ACTIONS(4502),
    [anon_sym__Noreturn] = ACTIONS(4502),
    [anon_sym__Nonnull] = ACTIONS(4502),
    [anon_sym_nullable] = ACTIONS(4502),
    [anon_sym__Complex] = ACTIONS(4502),
    [anon_sym__Nullable] = ACTIONS(4502),
    [anon_sym__Nullable_result] = ACTIONS(4502),
    [anon_sym__Null_unspecified] = ACTIONS(4502),
    [anon_sym___autoreleasing] = ACTIONS(4502),
    [anon_sym___block] = ACTIONS(4502),
    [anon_sym___bridge] = ACTIONS(4502),
    [anon_sym___bridge_retained] = ACTIONS(4502),
    [anon_sym___bridge_transfer] = ACTIONS(4502),
    [anon_sym___complex] = ACTIONS(4502),
    [anon_sym___const] = ACTIONS(4502),
    [anon_sym___imag] = ACTIONS(4502),
    [anon_sym___kindof] = ACTIONS(4502),
    [anon_sym___nonnull] = ACTIONS(4502),
    [anon_sym___nullable] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(4502),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(4502),
    [anon_sym___real] = ACTIONS(4502),
    [anon_sym___strong] = ACTIONS(4502),
    [anon_sym___unsafe_unretained] = ACTIONS(4502),
    [anon_sym___unused] = ACTIONS(4502),
    [anon_sym___weak] = ACTIONS(4502),
    [anon_sym_alignas] = ACTIONS(4502),
    [anon_sym__Alignas] = ACTIONS(4502),
    [sym_primitive_type] = ACTIONS(4502),
    [anon_sym_enum] = ACTIONS(4502),
    [anon_sym_COLON] = ACTIONS(5922),
    [anon_sym_struct] = ACTIONS(4502),
    [anon_sym_union] = ACTIONS(4502),
    [anon_sym_in] = ACTIONS(4502),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(4502),
    [anon_sym___typeof] = ACTIONS(4502),
    [anon_sym_typeof] = ACTIONS(4502),
    [anon_sym_BOOL] = ACTIONS(4502),
    [anon_sym_IMP] = ACTIONS(4502),
    [anon_sym_SEL] = ACTIONS(4502),
    [anon_sym_Class] = ACTIONS(4502),
    [anon_sym_id] = ACTIONS(4502),
    [anon_sym_out] = ACTIONS(4502),
    [anon_sym_inout] = ACTIONS(4502),
    [anon_sym_bycopy] = ACTIONS(4502),
    [anon_sym_byref] = ACTIONS(4502),
    [anon_sym_oneway] = ACTIONS(4502),
  },
  [4092] = {
    [sym_attribute_specifier] = STATE(3891),
    [sym_identifier] = ACTIONS(7764),
    [anon_sym_LPAREN2] = ACTIONS(7766),
    [anon_sym_STAR] = ACTIONS(7766),
    [anon_sym_CARET] = ACTIONS(7766),
    [anon_sym___extension__] = ACTIONS(7764),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7764),
    [anon_sym_LBRACK] = ACTIONS(7766),
    [anon_sym___based] = ACTIONS(7764),
    [anon_sym_signed] = ACTIONS(7764),
    [anon_sym_unsigned] = ACTIONS(7764),
    [anon_sym_long] = ACTIONS(7764),
    [anon_sym_short] = ACTIONS(7764),
    [anon_sym_const] = ACTIONS(7764),
    [anon_sym_constexpr] = ACTIONS(7764),
    [anon_sym_volatile] = ACTIONS(7764),
    [anon_sym_restrict] = ACTIONS(7764),
    [anon_sym___restrict__] = ACTIONS(7764),
    [anon_sym__Atomic] = ACTIONS(7764),
    [anon_sym__Noreturn] = ACTIONS(7764),
    [anon_sym__Nonnull] = ACTIONS(7764),
    [anon_sym_nullable] = ACTIONS(7764),
    [anon_sym__Complex] = ACTIONS(7764),
    [anon_sym__Nullable] = ACTIONS(7764),
    [anon_sym__Nullable_result] = ACTIONS(7764),
    [anon_sym__Null_unspecified] = ACTIONS(7764),
    [anon_sym___autoreleasing] = ACTIONS(7764),
    [anon_sym___block] = ACTIONS(7764),
    [anon_sym___bridge] = ACTIONS(7764),
    [anon_sym___bridge_retained] = ACTIONS(7764),
    [anon_sym___bridge_transfer] = ACTIONS(7764),
    [anon_sym___complex] = ACTIONS(7764),
    [anon_sym___const] = ACTIONS(7764),
    [anon_sym___imag] = ACTIONS(7764),
    [anon_sym___kindof] = ACTIONS(7764),
    [anon_sym___nonnull] = ACTIONS(7764),
    [anon_sym___nullable] = ACTIONS(7764),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7764),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7764),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7764),
    [anon_sym___real] = ACTIONS(7764),
    [anon_sym___strong] = ACTIONS(7764),
    [anon_sym___unsafe_unretained] = ACTIONS(7764),
    [anon_sym___unused] = ACTIONS(7764),
    [anon_sym___weak] = ACTIONS(7764),
    [anon_sym_alignas] = ACTIONS(7764),
    [anon_sym__Alignas] = ACTIONS(7764),
    [sym_primitive_type] = ACTIONS(7764),
    [anon_sym_enum] = ACTIONS(7764),
    [anon_sym_COLON] = ACTIONS(7766),
    [anon_sym_struct] = ACTIONS(7764),
    [anon_sym_union] = ACTIONS(7764),
    [anon_sym_in] = ACTIONS(7764),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7764),
    [anon_sym___typeof] = ACTIONS(7764),
    [anon_sym_typeof] = ACTIONS(7764),
    [anon_sym_BOOL] = ACTIONS(7764),
    [anon_sym_IMP] = ACTIONS(7764),
    [anon_sym_SEL] = ACTIONS(7764),
    [anon_sym_Class] = ACTIONS(7764),
    [anon_sym_id] = ACTIONS(7764),
    [anon_sym_out] = ACTIONS(7764),
    [anon_sym_inout] = ACTIONS(7764),
    [anon_sym_bycopy] = ACTIONS(7764),
    [anon_sym_byref] = ACTIONS(7764),
    [anon_sym_oneway] = ACTIONS(7764),
  },
  [4093] = {
    [sym_attribute_specifier] = STATE(3863),
    [sym_identifier] = ACTIONS(7948),
    [anon_sym_LPAREN2] = ACTIONS(7950),
    [anon_sym_STAR] = ACTIONS(7950),
    [anon_sym_CARET] = ACTIONS(7950),
    [anon_sym___extension__] = ACTIONS(7948),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7948),
    [anon_sym_LBRACK] = ACTIONS(7950),
    [anon_sym___based] = ACTIONS(7948),
    [anon_sym_signed] = ACTIONS(7948),
    [anon_sym_unsigned] = ACTIONS(7948),
    [anon_sym_long] = ACTIONS(7948),
    [anon_sym_short] = ACTIONS(7948),
    [anon_sym_const] = ACTIONS(7948),
    [anon_sym_constexpr] = ACTIONS(7948),
    [anon_sym_volatile] = ACTIONS(7948),
    [anon_sym_restrict] = ACTIONS(7948),
    [anon_sym___restrict__] = ACTIONS(7948),
    [anon_sym__Atomic] = ACTIONS(7948),
    [anon_sym__Noreturn] = ACTIONS(7948),
    [anon_sym__Nonnull] = ACTIONS(7948),
    [anon_sym_nullable] = ACTIONS(7948),
    [anon_sym__Complex] = ACTIONS(7948),
    [anon_sym__Nullable] = ACTIONS(7948),
    [anon_sym__Nullable_result] = ACTIONS(7948),
    [anon_sym__Null_unspecified] = ACTIONS(7948),
    [anon_sym___autoreleasing] = ACTIONS(7948),
    [anon_sym___block] = ACTIONS(7948),
    [anon_sym___bridge] = ACTIONS(7948),
    [anon_sym___bridge_retained] = ACTIONS(7948),
    [anon_sym___bridge_transfer] = ACTIONS(7948),
    [anon_sym___complex] = ACTIONS(7948),
    [anon_sym___const] = ACTIONS(7948),
    [anon_sym___imag] = ACTIONS(7948),
    [anon_sym___kindof] = ACTIONS(7948),
    [anon_sym___nonnull] = ACTIONS(7948),
    [anon_sym___nullable] = ACTIONS(7948),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7948),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7948),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7948),
    [anon_sym___real] = ACTIONS(7948),
    [anon_sym___strong] = ACTIONS(7948),
    [anon_sym___unsafe_unretained] = ACTIONS(7948),
    [anon_sym___unused] = ACTIONS(7948),
    [anon_sym___weak] = ACTIONS(7948),
    [anon_sym_alignas] = ACTIONS(7948),
    [anon_sym__Alignas] = ACTIONS(7948),
    [sym_primitive_type] = ACTIONS(7948),
    [anon_sym_enum] = ACTIONS(7948),
    [anon_sym_COLON] = ACTIONS(7950),
    [anon_sym_struct] = ACTIONS(7948),
    [anon_sym_union] = ACTIONS(7948),
    [anon_sym_in] = ACTIONS(7948),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7948),
    [anon_sym___typeof] = ACTIONS(7948),
    [anon_sym_typeof] = ACTIONS(7948),
    [anon_sym_BOOL] = ACTIONS(7948),
    [anon_sym_IMP] = ACTIONS(7948),
    [anon_sym_SEL] = ACTIONS(7948),
    [anon_sym_Class] = ACTIONS(7948),
    [anon_sym_id] = ACTIONS(7948),
    [anon_sym_out] = ACTIONS(7948),
    [anon_sym_inout] = ACTIONS(7948),
    [anon_sym_bycopy] = ACTIONS(7948),
    [anon_sym_byref] = ACTIONS(7948),
    [anon_sym_oneway] = ACTIONS(7948),
  },
  [4094] = {
    [sym_attribute_specifier] = STATE(3864),
    [sym_identifier] = ACTIONS(7678),
    [anon_sym_LPAREN2] = ACTIONS(7680),
    [anon_sym_STAR] = ACTIONS(7680),
    [anon_sym_CARET] = ACTIONS(7680),
    [anon_sym___extension__] = ACTIONS(7678),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7678),
    [anon_sym_LBRACK] = ACTIONS(7680),
    [anon_sym___based] = ACTIONS(7678),
    [anon_sym_signed] = ACTIONS(7678),
    [anon_sym_unsigned] = ACTIONS(7678),
    [anon_sym_long] = ACTIONS(7678),
    [anon_sym_short] = ACTIONS(7678),
    [anon_sym_const] = ACTIONS(7678),
    [anon_sym_constexpr] = ACTIONS(7678),
    [anon_sym_volatile] = ACTIONS(7678),
    [anon_sym_restrict] = ACTIONS(7678),
    [anon_sym___restrict__] = ACTIONS(7678),
    [anon_sym__Atomic] = ACTIONS(7678),
    [anon_sym__Noreturn] = ACTIONS(7678),
    [anon_sym__Nonnull] = ACTIONS(7678),
    [anon_sym_nullable] = ACTIONS(7678),
    [anon_sym__Complex] = ACTIONS(7678),
    [anon_sym__Nullable] = ACTIONS(7678),
    [anon_sym__Nullable_result] = ACTIONS(7678),
    [anon_sym__Null_unspecified] = ACTIONS(7678),
    [anon_sym___autoreleasing] = ACTIONS(7678),
    [anon_sym___block] = ACTIONS(7678),
    [anon_sym___bridge] = ACTIONS(7678),
    [anon_sym___bridge_retained] = ACTIONS(7678),
    [anon_sym___bridge_transfer] = ACTIONS(7678),
    [anon_sym___complex] = ACTIONS(7678),
    [anon_sym___const] = ACTIONS(7678),
    [anon_sym___imag] = ACTIONS(7678),
    [anon_sym___kindof] = ACTIONS(7678),
    [anon_sym___nonnull] = ACTIONS(7678),
    [anon_sym___nullable] = ACTIONS(7678),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7678),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7678),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7678),
    [anon_sym___real] = ACTIONS(7678),
    [anon_sym___strong] = ACTIONS(7678),
    [anon_sym___unsafe_unretained] = ACTIONS(7678),
    [anon_sym___unused] = ACTIONS(7678),
    [anon_sym___weak] = ACTIONS(7678),
    [anon_sym_alignas] = ACTIONS(7678),
    [anon_sym__Alignas] = ACTIONS(7678),
    [sym_primitive_type] = ACTIONS(7678),
    [anon_sym_enum] = ACTIONS(7678),
    [anon_sym_COLON] = ACTIONS(7680),
    [anon_sym_struct] = ACTIONS(7678),
    [anon_sym_union] = ACTIONS(7678),
    [anon_sym_in] = ACTIONS(7678),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7678),
    [anon_sym___typeof] = ACTIONS(7678),
    [anon_sym_typeof] = ACTIONS(7678),
    [anon_sym_BOOL] = ACTIONS(7678),
    [anon_sym_IMP] = ACTIONS(7678),
    [anon_sym_SEL] = ACTIONS(7678),
    [anon_sym_Class] = ACTIONS(7678),
    [anon_sym_id] = ACTIONS(7678),
    [anon_sym_out] = ACTIONS(7678),
    [anon_sym_inout] = ACTIONS(7678),
    [anon_sym_bycopy] = ACTIONS(7678),
    [anon_sym_byref] = ACTIONS(7678),
    [anon_sym_oneway] = ACTIONS(7678),
  },
  [4095] = {
    [sym_attribute_specifier] = STATE(3840),
    [sym_identifier] = ACTIONS(7894),
    [anon_sym_LPAREN2] = ACTIONS(7896),
    [anon_sym_STAR] = ACTIONS(7896),
    [anon_sym_CARET] = ACTIONS(7896),
    [anon_sym___extension__] = ACTIONS(7894),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7894),
    [anon_sym_LBRACK] = ACTIONS(7896),
    [anon_sym___based] = ACTIONS(7894),
    [anon_sym_signed] = ACTIONS(7894),
    [anon_sym_unsigned] = ACTIONS(7894),
    [anon_sym_long] = ACTIONS(7894),
    [anon_sym_short] = ACTIONS(7894),
    [anon_sym_const] = ACTIONS(7894),
    [anon_sym_constexpr] = ACTIONS(7894),
    [anon_sym_volatile] = ACTIONS(7894),
    [anon_sym_restrict] = ACTIONS(7894),
    [anon_sym___restrict__] = ACTIONS(7894),
    [anon_sym__Atomic] = ACTIONS(7894),
    [anon_sym__Noreturn] = ACTIONS(7894),
    [anon_sym__Nonnull] = ACTIONS(7894),
    [anon_sym_nullable] = ACTIONS(7894),
    [anon_sym__Complex] = ACTIONS(7894),
    [anon_sym__Nullable] = ACTIONS(7894),
    [anon_sym__Nullable_result] = ACTIONS(7894),
    [anon_sym__Null_unspecified] = ACTIONS(7894),
    [anon_sym___autoreleasing] = ACTIONS(7894),
    [anon_sym___block] = ACTIONS(7894),
    [anon_sym___bridge] = ACTIONS(7894),
    [anon_sym___bridge_retained] = ACTIONS(7894),
    [anon_sym___bridge_transfer] = ACTIONS(7894),
    [anon_sym___complex] = ACTIONS(7894),
    [anon_sym___const] = ACTIONS(7894),
    [anon_sym___imag] = ACTIONS(7894),
    [anon_sym___kindof] = ACTIONS(7894),
    [anon_sym___nonnull] = ACTIONS(7894),
    [anon_sym___nullable] = ACTIONS(7894),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7894),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7894),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7894),
    [anon_sym___real] = ACTIONS(7894),
    [anon_sym___strong] = ACTIONS(7894),
    [anon_sym___unsafe_unretained] = ACTIONS(7894),
    [anon_sym___unused] = ACTIONS(7894),
    [anon_sym___weak] = ACTIONS(7894),
    [anon_sym_alignas] = ACTIONS(7894),
    [anon_sym__Alignas] = ACTIONS(7894),
    [sym_primitive_type] = ACTIONS(7894),
    [anon_sym_enum] = ACTIONS(7894),
    [anon_sym_COLON] = ACTIONS(7896),
    [anon_sym_struct] = ACTIONS(7894),
    [anon_sym_union] = ACTIONS(7894),
    [anon_sym_in] = ACTIONS(7894),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7894),
    [anon_sym___typeof] = ACTIONS(7894),
    [anon_sym_typeof] = ACTIONS(7894),
    [anon_sym_BOOL] = ACTIONS(7894),
    [anon_sym_IMP] = ACTIONS(7894),
    [anon_sym_SEL] = ACTIONS(7894),
    [anon_sym_Class] = ACTIONS(7894),
    [anon_sym_id] = ACTIONS(7894),
    [anon_sym_out] = ACTIONS(7894),
    [anon_sym_inout] = ACTIONS(7894),
    [anon_sym_bycopy] = ACTIONS(7894),
    [anon_sym_byref] = ACTIONS(7894),
    [anon_sym_oneway] = ACTIONS(7894),
  },
  [4096] = {
    [sym_attribute_specifier] = STATE(3972),
    [sym_identifier] = ACTIONS(7757),
    [anon_sym_LPAREN2] = ACTIONS(7759),
    [anon_sym_STAR] = ACTIONS(7759),
    [anon_sym_CARET] = ACTIONS(7759),
    [anon_sym___extension__] = ACTIONS(7757),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7757),
    [anon_sym_LBRACK] = ACTIONS(7759),
    [anon_sym___based] = ACTIONS(7757),
    [anon_sym_signed] = ACTIONS(7757),
    [anon_sym_unsigned] = ACTIONS(7757),
    [anon_sym_long] = ACTIONS(7757),
    [anon_sym_short] = ACTIONS(7757),
    [anon_sym_const] = ACTIONS(7757),
    [anon_sym_constexpr] = ACTIONS(7757),
    [anon_sym_volatile] = ACTIONS(7757),
    [anon_sym_restrict] = ACTIONS(7757),
    [anon_sym___restrict__] = ACTIONS(7757),
    [anon_sym__Atomic] = ACTIONS(7757),
    [anon_sym__Noreturn] = ACTIONS(7757),
    [anon_sym__Nonnull] = ACTIONS(7757),
    [anon_sym_nullable] = ACTIONS(7757),
    [anon_sym__Complex] = ACTIONS(7757),
    [anon_sym__Nullable] = ACTIONS(7757),
    [anon_sym__Nullable_result] = ACTIONS(7757),
    [anon_sym__Null_unspecified] = ACTIONS(7757),
    [anon_sym___autoreleasing] = ACTIONS(7757),
    [anon_sym___block] = ACTIONS(7757),
    [anon_sym___bridge] = ACTIONS(7757),
    [anon_sym___bridge_retained] = ACTIONS(7757),
    [anon_sym___bridge_transfer] = ACTIONS(7757),
    [anon_sym___complex] = ACTIONS(7757),
    [anon_sym___const] = ACTIONS(7757),
    [anon_sym___imag] = ACTIONS(7757),
    [anon_sym___kindof] = ACTIONS(7757),
    [anon_sym___nonnull] = ACTIONS(7757),
    [anon_sym___nullable] = ACTIONS(7757),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7757),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7757),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7757),
    [anon_sym___real] = ACTIONS(7757),
    [anon_sym___strong] = ACTIONS(7757),
    [anon_sym___unsafe_unretained] = ACTIONS(7757),
    [anon_sym___unused] = ACTIONS(7757),
    [anon_sym___weak] = ACTIONS(7757),
    [anon_sym_alignas] = ACTIONS(7757),
    [anon_sym__Alignas] = ACTIONS(7757),
    [sym_primitive_type] = ACTIONS(7757),
    [anon_sym_enum] = ACTIONS(7757),
    [anon_sym_COLON] = ACTIONS(7759),
    [anon_sym_struct] = ACTIONS(7757),
    [anon_sym_union] = ACTIONS(7757),
    [anon_sym_in] = ACTIONS(7757),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7757),
    [anon_sym___typeof] = ACTIONS(7757),
    [anon_sym_typeof] = ACTIONS(7757),
    [anon_sym_BOOL] = ACTIONS(7757),
    [anon_sym_IMP] = ACTIONS(7757),
    [anon_sym_SEL] = ACTIONS(7757),
    [anon_sym_Class] = ACTIONS(7757),
    [anon_sym_id] = ACTIONS(7757),
    [anon_sym_out] = ACTIONS(7757),
    [anon_sym_inout] = ACTIONS(7757),
    [anon_sym_bycopy] = ACTIONS(7757),
    [anon_sym_byref] = ACTIONS(7757),
    [anon_sym_oneway] = ACTIONS(7757),
  },
  [4097] = {
    [sym_attribute_specifier] = STATE(3850),
    [sym_identifier] = ACTIONS(7933),
    [anon_sym_LPAREN2] = ACTIONS(7935),
    [anon_sym_STAR] = ACTIONS(7935),
    [anon_sym_CARET] = ACTIONS(7935),
    [anon_sym___extension__] = ACTIONS(7933),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7933),
    [anon_sym_LBRACK] = ACTIONS(7935),
    [anon_sym___based] = ACTIONS(7933),
    [anon_sym_signed] = ACTIONS(7933),
    [anon_sym_unsigned] = ACTIONS(7933),
    [anon_sym_long] = ACTIONS(7933),
    [anon_sym_short] = ACTIONS(7933),
    [anon_sym_const] = ACTIONS(7933),
    [anon_sym_constexpr] = ACTIONS(7933),
    [anon_sym_volatile] = ACTIONS(7933),
    [anon_sym_restrict] = ACTIONS(7933),
    [anon_sym___restrict__] = ACTIONS(7933),
    [anon_sym__Atomic] = ACTIONS(7933),
    [anon_sym__Noreturn] = ACTIONS(7933),
    [anon_sym__Nonnull] = ACTIONS(7933),
    [anon_sym_nullable] = ACTIONS(7933),
    [anon_sym__Complex] = ACTIONS(7933),
    [anon_sym__Nullable] = ACTIONS(7933),
    [anon_sym__Nullable_result] = ACTIONS(7933),
    [anon_sym__Null_unspecified] = ACTIONS(7933),
    [anon_sym___autoreleasing] = ACTIONS(7933),
    [anon_sym___block] = ACTIONS(7933),
    [anon_sym___bridge] = ACTIONS(7933),
    [anon_sym___bridge_retained] = ACTIONS(7933),
    [anon_sym___bridge_transfer] = ACTIONS(7933),
    [anon_sym___complex] = ACTIONS(7933),
    [anon_sym___const] = ACTIONS(7933),
    [anon_sym___imag] = ACTIONS(7933),
    [anon_sym___kindof] = ACTIONS(7933),
    [anon_sym___nonnull] = ACTIONS(7933),
    [anon_sym___nullable] = ACTIONS(7933),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7933),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7933),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7933),
    [anon_sym___real] = ACTIONS(7933),
    [anon_sym___strong] = ACTIONS(7933),
    [anon_sym___unsafe_unretained] = ACTIONS(7933),
    [anon_sym___unused] = ACTIONS(7933),
    [anon_sym___weak] = ACTIONS(7933),
    [anon_sym_alignas] = ACTIONS(7933),
    [anon_sym__Alignas] = ACTIONS(7933),
    [sym_primitive_type] = ACTIONS(7933),
    [anon_sym_enum] = ACTIONS(7933),
    [anon_sym_COLON] = ACTIONS(7935),
    [anon_sym_struct] = ACTIONS(7933),
    [anon_sym_union] = ACTIONS(7933),
    [anon_sym_in] = ACTIONS(7933),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7933),
    [anon_sym___typeof] = ACTIONS(7933),
    [anon_sym_typeof] = ACTIONS(7933),
    [anon_sym_BOOL] = ACTIONS(7933),
    [anon_sym_IMP] = ACTIONS(7933),
    [anon_sym_SEL] = ACTIONS(7933),
    [anon_sym_Class] = ACTIONS(7933),
    [anon_sym_id] = ACTIONS(7933),
    [anon_sym_out] = ACTIONS(7933),
    [anon_sym_inout] = ACTIONS(7933),
    [anon_sym_bycopy] = ACTIONS(7933),
    [anon_sym_byref] = ACTIONS(7933),
    [anon_sym_oneway] = ACTIONS(7933),
  },
  [4098] = {
    [sym_type_qualifier] = STATE(4113),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_type_descriptor] = STATE(6278),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4113),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(8985),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4099] = {
    [sym_attribute_specifier] = STATE(3881),
    [sym_identifier] = ACTIONS(7868),
    [anon_sym_LPAREN2] = ACTIONS(7870),
    [anon_sym_STAR] = ACTIONS(7870),
    [anon_sym_CARET] = ACTIONS(7870),
    [anon_sym___extension__] = ACTIONS(7868),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7868),
    [anon_sym_LBRACK] = ACTIONS(7870),
    [anon_sym___based] = ACTIONS(7868),
    [anon_sym_signed] = ACTIONS(7868),
    [anon_sym_unsigned] = ACTIONS(7868),
    [anon_sym_long] = ACTIONS(7868),
    [anon_sym_short] = ACTIONS(7868),
    [anon_sym_const] = ACTIONS(7868),
    [anon_sym_constexpr] = ACTIONS(7868),
    [anon_sym_volatile] = ACTIONS(7868),
    [anon_sym_restrict] = ACTIONS(7868),
    [anon_sym___restrict__] = ACTIONS(7868),
    [anon_sym__Atomic] = ACTIONS(7868),
    [anon_sym__Noreturn] = ACTIONS(7868),
    [anon_sym__Nonnull] = ACTIONS(7868),
    [anon_sym_nullable] = ACTIONS(7868),
    [anon_sym__Complex] = ACTIONS(7868),
    [anon_sym__Nullable] = ACTIONS(7868),
    [anon_sym__Nullable_result] = ACTIONS(7868),
    [anon_sym__Null_unspecified] = ACTIONS(7868),
    [anon_sym___autoreleasing] = ACTIONS(7868),
    [anon_sym___block] = ACTIONS(7868),
    [anon_sym___bridge] = ACTIONS(7868),
    [anon_sym___bridge_retained] = ACTIONS(7868),
    [anon_sym___bridge_transfer] = ACTIONS(7868),
    [anon_sym___complex] = ACTIONS(7868),
    [anon_sym___const] = ACTIONS(7868),
    [anon_sym___imag] = ACTIONS(7868),
    [anon_sym___kindof] = ACTIONS(7868),
    [anon_sym___nonnull] = ACTIONS(7868),
    [anon_sym___nullable] = ACTIONS(7868),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7868),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7868),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7868),
    [anon_sym___real] = ACTIONS(7868),
    [anon_sym___strong] = ACTIONS(7868),
    [anon_sym___unsafe_unretained] = ACTIONS(7868),
    [anon_sym___unused] = ACTIONS(7868),
    [anon_sym___weak] = ACTIONS(7868),
    [anon_sym_alignas] = ACTIONS(7868),
    [anon_sym__Alignas] = ACTIONS(7868),
    [sym_primitive_type] = ACTIONS(7868),
    [anon_sym_enum] = ACTIONS(7868),
    [anon_sym_COLON] = ACTIONS(7870),
    [anon_sym_struct] = ACTIONS(7868),
    [anon_sym_union] = ACTIONS(7868),
    [anon_sym_in] = ACTIONS(7868),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7868),
    [anon_sym___typeof] = ACTIONS(7868),
    [anon_sym_typeof] = ACTIONS(7868),
    [anon_sym_BOOL] = ACTIONS(7868),
    [anon_sym_IMP] = ACTIONS(7868),
    [anon_sym_SEL] = ACTIONS(7868),
    [anon_sym_Class] = ACTIONS(7868),
    [anon_sym_id] = ACTIONS(7868),
    [anon_sym_out] = ACTIONS(7868),
    [anon_sym_inout] = ACTIONS(7868),
    [anon_sym_bycopy] = ACTIONS(7868),
    [anon_sym_byref] = ACTIONS(7868),
    [anon_sym_oneway] = ACTIONS(7868),
  },
  [4100] = {
    [sym_attribute_specifier] = STATE(3862),
    [sym_identifier] = ACTIONS(7787),
    [anon_sym_LPAREN2] = ACTIONS(7789),
    [anon_sym_STAR] = ACTIONS(7789),
    [anon_sym_CARET] = ACTIONS(7789),
    [anon_sym___extension__] = ACTIONS(7787),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7787),
    [anon_sym_LBRACK] = ACTIONS(7789),
    [anon_sym___based] = ACTIONS(7787),
    [anon_sym_signed] = ACTIONS(7787),
    [anon_sym_unsigned] = ACTIONS(7787),
    [anon_sym_long] = ACTIONS(7787),
    [anon_sym_short] = ACTIONS(7787),
    [anon_sym_const] = ACTIONS(7787),
    [anon_sym_constexpr] = ACTIONS(7787),
    [anon_sym_volatile] = ACTIONS(7787),
    [anon_sym_restrict] = ACTIONS(7787),
    [anon_sym___restrict__] = ACTIONS(7787),
    [anon_sym__Atomic] = ACTIONS(7787),
    [anon_sym__Noreturn] = ACTIONS(7787),
    [anon_sym__Nonnull] = ACTIONS(7787),
    [anon_sym_nullable] = ACTIONS(7787),
    [anon_sym__Complex] = ACTIONS(7787),
    [anon_sym__Nullable] = ACTIONS(7787),
    [anon_sym__Nullable_result] = ACTIONS(7787),
    [anon_sym__Null_unspecified] = ACTIONS(7787),
    [anon_sym___autoreleasing] = ACTIONS(7787),
    [anon_sym___block] = ACTIONS(7787),
    [anon_sym___bridge] = ACTIONS(7787),
    [anon_sym___bridge_retained] = ACTIONS(7787),
    [anon_sym___bridge_transfer] = ACTIONS(7787),
    [anon_sym___complex] = ACTIONS(7787),
    [anon_sym___const] = ACTIONS(7787),
    [anon_sym___imag] = ACTIONS(7787),
    [anon_sym___kindof] = ACTIONS(7787),
    [anon_sym___nonnull] = ACTIONS(7787),
    [anon_sym___nullable] = ACTIONS(7787),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7787),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7787),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7787),
    [anon_sym___real] = ACTIONS(7787),
    [anon_sym___strong] = ACTIONS(7787),
    [anon_sym___unsafe_unretained] = ACTIONS(7787),
    [anon_sym___unused] = ACTIONS(7787),
    [anon_sym___weak] = ACTIONS(7787),
    [anon_sym_alignas] = ACTIONS(7787),
    [anon_sym__Alignas] = ACTIONS(7787),
    [sym_primitive_type] = ACTIONS(7787),
    [anon_sym_enum] = ACTIONS(7787),
    [anon_sym_COLON] = ACTIONS(7789),
    [anon_sym_struct] = ACTIONS(7787),
    [anon_sym_union] = ACTIONS(7787),
    [anon_sym_in] = ACTIONS(7787),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7787),
    [anon_sym___typeof] = ACTIONS(7787),
    [anon_sym_typeof] = ACTIONS(7787),
    [anon_sym_BOOL] = ACTIONS(7787),
    [anon_sym_IMP] = ACTIONS(7787),
    [anon_sym_SEL] = ACTIONS(7787),
    [anon_sym_Class] = ACTIONS(7787),
    [anon_sym_id] = ACTIONS(7787),
    [anon_sym_out] = ACTIONS(7787),
    [anon_sym_inout] = ACTIONS(7787),
    [anon_sym_bycopy] = ACTIONS(7787),
    [anon_sym_byref] = ACTIONS(7787),
    [anon_sym_oneway] = ACTIONS(7787),
  },
  [4101] = {
    [sym_attribute_specifier] = STATE(3844),
    [sym_identifier] = ACTIONS(7812),
    [anon_sym_LPAREN2] = ACTIONS(7814),
    [anon_sym_STAR] = ACTIONS(7814),
    [anon_sym_CARET] = ACTIONS(7814),
    [anon_sym___extension__] = ACTIONS(7812),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7812),
    [anon_sym_LBRACK] = ACTIONS(7814),
    [anon_sym___based] = ACTIONS(7812),
    [anon_sym_signed] = ACTIONS(7812),
    [anon_sym_unsigned] = ACTIONS(7812),
    [anon_sym_long] = ACTIONS(7812),
    [anon_sym_short] = ACTIONS(7812),
    [anon_sym_const] = ACTIONS(7812),
    [anon_sym_constexpr] = ACTIONS(7812),
    [anon_sym_volatile] = ACTIONS(7812),
    [anon_sym_restrict] = ACTIONS(7812),
    [anon_sym___restrict__] = ACTIONS(7812),
    [anon_sym__Atomic] = ACTIONS(7812),
    [anon_sym__Noreturn] = ACTIONS(7812),
    [anon_sym__Nonnull] = ACTIONS(7812),
    [anon_sym_nullable] = ACTIONS(7812),
    [anon_sym__Complex] = ACTIONS(7812),
    [anon_sym__Nullable] = ACTIONS(7812),
    [anon_sym__Nullable_result] = ACTIONS(7812),
    [anon_sym__Null_unspecified] = ACTIONS(7812),
    [anon_sym___autoreleasing] = ACTIONS(7812),
    [anon_sym___block] = ACTIONS(7812),
    [anon_sym___bridge] = ACTIONS(7812),
    [anon_sym___bridge_retained] = ACTIONS(7812),
    [anon_sym___bridge_transfer] = ACTIONS(7812),
    [anon_sym___complex] = ACTIONS(7812),
    [anon_sym___const] = ACTIONS(7812),
    [anon_sym___imag] = ACTIONS(7812),
    [anon_sym___kindof] = ACTIONS(7812),
    [anon_sym___nonnull] = ACTIONS(7812),
    [anon_sym___nullable] = ACTIONS(7812),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7812),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7812),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7812),
    [anon_sym___real] = ACTIONS(7812),
    [anon_sym___strong] = ACTIONS(7812),
    [anon_sym___unsafe_unretained] = ACTIONS(7812),
    [anon_sym___unused] = ACTIONS(7812),
    [anon_sym___weak] = ACTIONS(7812),
    [anon_sym_alignas] = ACTIONS(7812),
    [anon_sym__Alignas] = ACTIONS(7812),
    [sym_primitive_type] = ACTIONS(7812),
    [anon_sym_enum] = ACTIONS(7812),
    [anon_sym_COLON] = ACTIONS(7814),
    [anon_sym_struct] = ACTIONS(7812),
    [anon_sym_union] = ACTIONS(7812),
    [anon_sym_in] = ACTIONS(7812),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7812),
    [anon_sym___typeof] = ACTIONS(7812),
    [anon_sym_typeof] = ACTIONS(7812),
    [anon_sym_BOOL] = ACTIONS(7812),
    [anon_sym_IMP] = ACTIONS(7812),
    [anon_sym_SEL] = ACTIONS(7812),
    [anon_sym_Class] = ACTIONS(7812),
    [anon_sym_id] = ACTIONS(7812),
    [anon_sym_out] = ACTIONS(7812),
    [anon_sym_inout] = ACTIONS(7812),
    [anon_sym_bycopy] = ACTIONS(7812),
    [anon_sym_byref] = ACTIONS(7812),
    [anon_sym_oneway] = ACTIONS(7812),
  },
  [4102] = {
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_type_descriptor] = STATE(6330),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4103] = {
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_type_descriptor] = STATE(6291),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4104] = {
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_type_descriptor] = STATE(6374),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4105] = {
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_type_descriptor] = STATE(5961),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4106] = {
    [sym_attribute_specifier] = STATE(3978),
    [sym_identifier] = ACTIONS(7771),
    [anon_sym_LPAREN2] = ACTIONS(7773),
    [anon_sym_STAR] = ACTIONS(7773),
    [anon_sym_CARET] = ACTIONS(7773),
    [anon_sym___extension__] = ACTIONS(7771),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7771),
    [anon_sym_LBRACK] = ACTIONS(7773),
    [anon_sym___based] = ACTIONS(7771),
    [anon_sym_signed] = ACTIONS(7771),
    [anon_sym_unsigned] = ACTIONS(7771),
    [anon_sym_long] = ACTIONS(7771),
    [anon_sym_short] = ACTIONS(7771),
    [anon_sym_const] = ACTIONS(7771),
    [anon_sym_constexpr] = ACTIONS(7771),
    [anon_sym_volatile] = ACTIONS(7771),
    [anon_sym_restrict] = ACTIONS(7771),
    [anon_sym___restrict__] = ACTIONS(7771),
    [anon_sym__Atomic] = ACTIONS(7771),
    [anon_sym__Noreturn] = ACTIONS(7771),
    [anon_sym__Nonnull] = ACTIONS(7771),
    [anon_sym_nullable] = ACTIONS(7771),
    [anon_sym__Complex] = ACTIONS(7771),
    [anon_sym__Nullable] = ACTIONS(7771),
    [anon_sym__Nullable_result] = ACTIONS(7771),
    [anon_sym__Null_unspecified] = ACTIONS(7771),
    [anon_sym___autoreleasing] = ACTIONS(7771),
    [anon_sym___block] = ACTIONS(7771),
    [anon_sym___bridge] = ACTIONS(7771),
    [anon_sym___bridge_retained] = ACTIONS(7771),
    [anon_sym___bridge_transfer] = ACTIONS(7771),
    [anon_sym___complex] = ACTIONS(7771),
    [anon_sym___const] = ACTIONS(7771),
    [anon_sym___imag] = ACTIONS(7771),
    [anon_sym___kindof] = ACTIONS(7771),
    [anon_sym___nonnull] = ACTIONS(7771),
    [anon_sym___nullable] = ACTIONS(7771),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7771),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7771),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7771),
    [anon_sym___real] = ACTIONS(7771),
    [anon_sym___strong] = ACTIONS(7771),
    [anon_sym___unsafe_unretained] = ACTIONS(7771),
    [anon_sym___unused] = ACTIONS(7771),
    [anon_sym___weak] = ACTIONS(7771),
    [anon_sym_alignas] = ACTIONS(7771),
    [anon_sym__Alignas] = ACTIONS(7771),
    [sym_primitive_type] = ACTIONS(7771),
    [anon_sym_enum] = ACTIONS(7771),
    [anon_sym_COLON] = ACTIONS(7773),
    [anon_sym_struct] = ACTIONS(7771),
    [anon_sym_union] = ACTIONS(7771),
    [anon_sym_in] = ACTIONS(7771),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7771),
    [anon_sym___typeof] = ACTIONS(7771),
    [anon_sym_typeof] = ACTIONS(7771),
    [anon_sym_BOOL] = ACTIONS(7771),
    [anon_sym_IMP] = ACTIONS(7771),
    [anon_sym_SEL] = ACTIONS(7771),
    [anon_sym_Class] = ACTIONS(7771),
    [anon_sym_id] = ACTIONS(7771),
    [anon_sym_out] = ACTIONS(7771),
    [anon_sym_inout] = ACTIONS(7771),
    [anon_sym_bycopy] = ACTIONS(7771),
    [anon_sym_byref] = ACTIONS(7771),
    [anon_sym_oneway] = ACTIONS(7771),
  },
  [4107] = {
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_type_descriptor] = STATE(6534),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4108] = {
    [sym_attribute_specifier] = STATE(3884),
    [sym_identifier] = ACTIONS(7819),
    [anon_sym_LPAREN2] = ACTIONS(7821),
    [anon_sym_STAR] = ACTIONS(7821),
    [anon_sym_CARET] = ACTIONS(7821),
    [anon_sym___extension__] = ACTIONS(7819),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7819),
    [anon_sym_LBRACK] = ACTIONS(7821),
    [anon_sym___based] = ACTIONS(7819),
    [anon_sym_signed] = ACTIONS(7819),
    [anon_sym_unsigned] = ACTIONS(7819),
    [anon_sym_long] = ACTIONS(7819),
    [anon_sym_short] = ACTIONS(7819),
    [anon_sym_const] = ACTIONS(7819),
    [anon_sym_constexpr] = ACTIONS(7819),
    [anon_sym_volatile] = ACTIONS(7819),
    [anon_sym_restrict] = ACTIONS(7819),
    [anon_sym___restrict__] = ACTIONS(7819),
    [anon_sym__Atomic] = ACTIONS(7819),
    [anon_sym__Noreturn] = ACTIONS(7819),
    [anon_sym__Nonnull] = ACTIONS(7819),
    [anon_sym_nullable] = ACTIONS(7819),
    [anon_sym__Complex] = ACTIONS(7819),
    [anon_sym__Nullable] = ACTIONS(7819),
    [anon_sym__Nullable_result] = ACTIONS(7819),
    [anon_sym__Null_unspecified] = ACTIONS(7819),
    [anon_sym___autoreleasing] = ACTIONS(7819),
    [anon_sym___block] = ACTIONS(7819),
    [anon_sym___bridge] = ACTIONS(7819),
    [anon_sym___bridge_retained] = ACTIONS(7819),
    [anon_sym___bridge_transfer] = ACTIONS(7819),
    [anon_sym___complex] = ACTIONS(7819),
    [anon_sym___const] = ACTIONS(7819),
    [anon_sym___imag] = ACTIONS(7819),
    [anon_sym___kindof] = ACTIONS(7819),
    [anon_sym___nonnull] = ACTIONS(7819),
    [anon_sym___nullable] = ACTIONS(7819),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7819),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7819),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7819),
    [anon_sym___real] = ACTIONS(7819),
    [anon_sym___strong] = ACTIONS(7819),
    [anon_sym___unsafe_unretained] = ACTIONS(7819),
    [anon_sym___unused] = ACTIONS(7819),
    [anon_sym___weak] = ACTIONS(7819),
    [anon_sym_alignas] = ACTIONS(7819),
    [anon_sym__Alignas] = ACTIONS(7819),
    [sym_primitive_type] = ACTIONS(7819),
    [anon_sym_enum] = ACTIONS(7819),
    [anon_sym_COLON] = ACTIONS(7821),
    [anon_sym_struct] = ACTIONS(7819),
    [anon_sym_union] = ACTIONS(7819),
    [anon_sym_in] = ACTIONS(7819),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7819),
    [anon_sym___typeof] = ACTIONS(7819),
    [anon_sym_typeof] = ACTIONS(7819),
    [anon_sym_BOOL] = ACTIONS(7819),
    [anon_sym_IMP] = ACTIONS(7819),
    [anon_sym_SEL] = ACTIONS(7819),
    [anon_sym_Class] = ACTIONS(7819),
    [anon_sym_id] = ACTIONS(7819),
    [anon_sym_out] = ACTIONS(7819),
    [anon_sym_inout] = ACTIONS(7819),
    [anon_sym_bycopy] = ACTIONS(7819),
    [anon_sym_byref] = ACTIONS(7819),
    [anon_sym_oneway] = ACTIONS(7819),
  },
  [4109] = {
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_type_descriptor] = STATE(6396),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4110] = {
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_type_descriptor] = STATE(6116),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4111] = {
    [sym_type_qualifier] = STATE(4114),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4174),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_type_descriptor] = STATE(6135),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(4114),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4112] = {
    [sym_attribute_specifier] = STATE(3843),
    [sym_identifier] = ACTIONS(7805),
    [anon_sym_LPAREN2] = ACTIONS(7807),
    [anon_sym_STAR] = ACTIONS(7807),
    [anon_sym_CARET] = ACTIONS(7807),
    [anon_sym___extension__] = ACTIONS(7805),
    [anon_sym___attribute__] = ACTIONS(7969),
    [anon_sym___attribute] = ACTIONS(7969),
    [anon_sym_noreturn] = ACTIONS(7805),
    [anon_sym_LBRACK] = ACTIONS(7807),
    [anon_sym___based] = ACTIONS(7805),
    [anon_sym_signed] = ACTIONS(7805),
    [anon_sym_unsigned] = ACTIONS(7805),
    [anon_sym_long] = ACTIONS(7805),
    [anon_sym_short] = ACTIONS(7805),
    [anon_sym_const] = ACTIONS(7805),
    [anon_sym_constexpr] = ACTIONS(7805),
    [anon_sym_volatile] = ACTIONS(7805),
    [anon_sym_restrict] = ACTIONS(7805),
    [anon_sym___restrict__] = ACTIONS(7805),
    [anon_sym__Atomic] = ACTIONS(7805),
    [anon_sym__Noreturn] = ACTIONS(7805),
    [anon_sym__Nonnull] = ACTIONS(7805),
    [anon_sym_nullable] = ACTIONS(7805),
    [anon_sym__Complex] = ACTIONS(7805),
    [anon_sym__Nullable] = ACTIONS(7805),
    [anon_sym__Nullable_result] = ACTIONS(7805),
    [anon_sym__Null_unspecified] = ACTIONS(7805),
    [anon_sym___autoreleasing] = ACTIONS(7805),
    [anon_sym___block] = ACTIONS(7805),
    [anon_sym___bridge] = ACTIONS(7805),
    [anon_sym___bridge_retained] = ACTIONS(7805),
    [anon_sym___bridge_transfer] = ACTIONS(7805),
    [anon_sym___complex] = ACTIONS(7805),
    [anon_sym___const] = ACTIONS(7805),
    [anon_sym___imag] = ACTIONS(7805),
    [anon_sym___kindof] = ACTIONS(7805),
    [anon_sym___nonnull] = ACTIONS(7805),
    [anon_sym___nullable] = ACTIONS(7805),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(7805),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(7805),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(7805),
    [anon_sym___real] = ACTIONS(7805),
    [anon_sym___strong] = ACTIONS(7805),
    [anon_sym___unsafe_unretained] = ACTIONS(7805),
    [anon_sym___unused] = ACTIONS(7805),
    [anon_sym___weak] = ACTIONS(7805),
    [anon_sym_alignas] = ACTIONS(7805),
    [anon_sym__Alignas] = ACTIONS(7805),
    [sym_primitive_type] = ACTIONS(7805),
    [anon_sym_enum] = ACTIONS(7805),
    [anon_sym_COLON] = ACTIONS(7807),
    [anon_sym_struct] = ACTIONS(7805),
    [anon_sym_union] = ACTIONS(7805),
    [anon_sym_in] = ACTIONS(7805),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(7805),
    [anon_sym___typeof] = ACTIONS(7805),
    [anon_sym_typeof] = ACTIONS(7805),
    [anon_sym_BOOL] = ACTIONS(7805),
    [anon_sym_IMP] = ACTIONS(7805),
    [anon_sym_SEL] = ACTIONS(7805),
    [anon_sym_Class] = ACTIONS(7805),
    [anon_sym_id] = ACTIONS(7805),
    [anon_sym_out] = ACTIONS(7805),
    [anon_sym_inout] = ACTIONS(7805),
    [anon_sym_bycopy] = ACTIONS(7805),
    [anon_sym_byref] = ACTIONS(7805),
    [anon_sym_oneway] = ACTIONS(7805),
  },
  [4113] = {
    [sym_type_qualifier] = STATE(2518),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4173),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(2518),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(8985),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4114] = {
    [sym_type_qualifier] = STATE(2518),
    [sym_alignas_qualifier] = STATE(2412),
    [sym_type_specifier] = STATE(4173),
    [sym_sized_type_specifier] = STATE(2966),
    [sym_enum_specifier] = STATE(2966),
    [sym_struct_specifier] = STATE(2966),
    [sym_union_specifier] = STATE(2966),
    [sym_macro_type_specifier] = STATE(2966),
    [sym_typeof_specifier] = STATE(2966),
    [sym_generic_specifier] = STATE(2966),
    [sym_typedefed_specifier] = STATE(2966),
    [sym_array_type_specifier] = STATE(2966),
    [aux_sym__type_definition_type_repeat1] = STATE(2518),
    [aux_sym_sized_type_specifier_repeat1] = STATE(4178),
    [sym_identifier] = ACTIONS(3002),
    [anon_sym___extension__] = ACTIONS(39),
    [anon_sym_noreturn] = ACTIONS(39),
    [anon_sym_signed] = ACTIONS(4356),
    [anon_sym_unsigned] = ACTIONS(4356),
    [anon_sym_long] = ACTIONS(4356),
    [anon_sym_short] = ACTIONS(4356),
    [anon_sym_const] = ACTIONS(39),
    [anon_sym_constexpr] = ACTIONS(39),
    [anon_sym_volatile] = ACTIONS(39),
    [anon_sym_restrict] = ACTIONS(39),
    [anon_sym___restrict__] = ACTIONS(39),
    [anon_sym__Atomic] = ACTIONS(39),
    [anon_sym__Noreturn] = ACTIONS(39),
    [anon_sym__Nonnull] = ACTIONS(39),
    [anon_sym_nullable] = ACTIONS(39),
    [anon_sym__Complex] = ACTIONS(39),
    [anon_sym__Nullable] = ACTIONS(39),
    [anon_sym__Nullable_result] = ACTIONS(39),
    [anon_sym__Null_unspecified] = ACTIONS(39),
    [anon_sym___autoreleasing] = ACTIONS(39),
    [anon_sym___block] = ACTIONS(39),
    [anon_sym___bridge] = ACTIONS(39),
    [anon_sym___bridge_retained] = ACTIONS(39),
    [anon_sym___bridge_transfer] = ACTIONS(39),
    [anon_sym___complex] = ACTIONS(39),
    [anon_sym___const] = ACTIONS(39),
    [anon_sym___imag] = ACTIONS(39),
    [anon_sym___kindof] = ACTIONS(39),
    [anon_sym___nonnull] = ACTIONS(39),
    [anon_sym___nullable] = ACTIONS(39),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(39),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(39),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(39),
    [anon_sym___real] = ACTIONS(39),
    [anon_sym___strong] = ACTIONS(39),
    [anon_sym___unsafe_unretained] = ACTIONS(39),
    [anon_sym___unused] = ACTIONS(39),
    [anon_sym___weak] = ACTIONS(39),
    [anon_sym_alignas] = ACTIONS(59),
    [anon_sym__Alignas] = ACTIONS(59),
    [sym_primitive_type] = ACTIONS(61),
    [anon_sym_enum] = ACTIONS(4362),
    [anon_sym_struct] = ACTIONS(3028),
    [anon_sym_union] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(117),
    [anon_sym___typeof] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(117),
    [anon_sym_BOOL] = ACTIONS(147),
    [anon_sym_IMP] = ACTIONS(147),
    [anon_sym_SEL] = ACTIONS(147),
    [anon_sym_Class] = ACTIONS(147),
    [anon_sym_id] = ACTIONS(147),
  },
  [4115] = {
    [sym_identifier] = ACTIONS(2970),
    [aux_sym_preproc_if_token1] = ACTIONS(2970),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2972),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2972),
    [anon_sym___extension__] = ACTIONS(2970),
    [anon_sym_noreturn] = ACTIONS(2970),
    [anon_sym_signed] = ACTIONS(2970),
    [anon_sym_unsigned] = ACTIONS(2970),
    [anon_sym_long] = ACTIONS(2970),
    [anon_sym_short] = ACTIONS(2970),
    [anon_sym_const] = ACTIONS(2970),
    [anon_sym_constexpr] = ACTIONS(2970),
    [anon_sym_volatile] = ACTIONS(2970),
    [anon_sym_restrict] = ACTIONS(2970),
    [anon_sym___restrict__] = ACTIONS(2970),
    [anon_sym__Atomic] = ACTIONS(2970),
    [anon_sym__Noreturn] = ACTIONS(2970),
    [anon_sym__Nonnull] = ACTIONS(2970),
    [anon_sym_nullable] = ACTIONS(2970),
    [anon_sym__Complex] = ACTIONS(2970),
    [anon_sym__Nullable] = ACTIONS(2970),
    [anon_sym__Nullable_result] = ACTIONS(2970),
    [anon_sym__Null_unspecified] = ACTIONS(2970),
    [anon_sym___autoreleasing] = ACTIONS(2970),
    [anon_sym___block] = ACTIONS(2970),
    [anon_sym___bridge] = ACTIONS(2970),
    [anon_sym___bridge_retained] = ACTIONS(2970),
    [anon_sym___bridge_transfer] = ACTIONS(2970),
    [anon_sym___complex] = ACTIONS(2970),
    [anon_sym___const] = ACTIONS(2970),
    [anon_sym___imag] = ACTIONS(2970),
    [anon_sym___kindof] = ACTIONS(2970),
    [anon_sym___nonnull] = ACTIONS(2970),
    [anon_sym___nullable] = ACTIONS(2970),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2970),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2970),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2970),
    [anon_sym___real] = ACTIONS(2970),
    [anon_sym___strong] = ACTIONS(2970),
    [anon_sym___unsafe_unretained] = ACTIONS(2970),
    [anon_sym___unused] = ACTIONS(2970),
    [anon_sym___weak] = ACTIONS(2970),
    [anon_sym_alignas] = ACTIONS(2970),
    [anon_sym__Alignas] = ACTIONS(2970),
    [sym_primitive_type] = ACTIONS(2970),
    [anon_sym_enum] = ACTIONS(2970),
    [anon_sym_struct] = ACTIONS(2970),
    [anon_sym_union] = ACTIONS(2970),
    [anon_sym_in] = ACTIONS(2970),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2970),
    [anon_sym___typeof] = ACTIONS(2970),
    [anon_sym_typeof] = ACTIONS(2970),
    [anon_sym_ATprivate] = ACTIONS(2972),
    [anon_sym_ATprotected] = ACTIONS(2972),
    [anon_sym_ATpackage] = ACTIONS(2972),
    [anon_sym_ATpublic] = ACTIONS(2972),
    [anon_sym_BOOL] = ACTIONS(2970),
    [anon_sym_IMP] = ACTIONS(2970),
    [anon_sym_SEL] = ACTIONS(2970),
    [anon_sym_Class] = ACTIONS(2970),
    [anon_sym_id] = ACTIONS(2970),
    [anon_sym_out] = ACTIONS(2970),
    [anon_sym_inout] = ACTIONS(2970),
    [anon_sym_bycopy] = ACTIONS(2970),
    [anon_sym_byref] = ACTIONS(2970),
    [anon_sym_oneway] = ACTIONS(2970),
  },
  [4116] = {
    [sym_identifier] = ACTIONS(2966),
    [aux_sym_preproc_if_token1] = ACTIONS(2966),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2968),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2968),
    [anon_sym___extension__] = ACTIONS(2966),
    [anon_sym_noreturn] = ACTIONS(2966),
    [anon_sym_signed] = ACTIONS(2966),
    [anon_sym_unsigned] = ACTIONS(2966),
    [anon_sym_long] = ACTIONS(2966),
    [anon_sym_short] = ACTIONS(2966),
    [anon_sym_const] = ACTIONS(2966),
    [anon_sym_constexpr] = ACTIONS(2966),
    [anon_sym_volatile] = ACTIONS(2966),
    [anon_sym_restrict] = ACTIONS(2966),
    [anon_sym___restrict__] = ACTIONS(2966),
    [anon_sym__Atomic] = ACTIONS(2966),
    [anon_sym__Noreturn] = ACTIONS(2966),
    [anon_sym__Nonnull] = ACTIONS(2966),
    [anon_sym_nullable] = ACTIONS(2966),
    [anon_sym__Complex] = ACTIONS(2966),
    [anon_sym__Nullable] = ACTIONS(2966),
    [anon_sym__Nullable_result] = ACTIONS(2966),
    [anon_sym__Null_unspecified] = ACTIONS(2966),
    [anon_sym___autoreleasing] = ACTIONS(2966),
    [anon_sym___block] = ACTIONS(2966),
    [anon_sym___bridge] = ACTIONS(2966),
    [anon_sym___bridge_retained] = ACTIONS(2966),
    [anon_sym___bridge_transfer] = ACTIONS(2966),
    [anon_sym___complex] = ACTIONS(2966),
    [anon_sym___const] = ACTIONS(2966),
    [anon_sym___imag] = ACTIONS(2966),
    [anon_sym___kindof] = ACTIONS(2966),
    [anon_sym___nonnull] = ACTIONS(2966),
    [anon_sym___nullable] = ACTIONS(2966),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2966),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2966),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2966),
    [anon_sym___real] = ACTIONS(2966),
    [anon_sym___strong] = ACTIONS(2966),
    [anon_sym___unsafe_unretained] = ACTIONS(2966),
    [anon_sym___unused] = ACTIONS(2966),
    [anon_sym___weak] = ACTIONS(2966),
    [anon_sym_alignas] = ACTIONS(2966),
    [anon_sym__Alignas] = ACTIONS(2966),
    [sym_primitive_type] = ACTIONS(2966),
    [anon_sym_enum] = ACTIONS(2966),
    [anon_sym_struct] = ACTIONS(2966),
    [anon_sym_union] = ACTIONS(2966),
    [anon_sym_in] = ACTIONS(2966),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2966),
    [anon_sym___typeof] = ACTIONS(2966),
    [anon_sym_typeof] = ACTIONS(2966),
    [anon_sym_ATprivate] = ACTIONS(2968),
    [anon_sym_ATprotected] = ACTIONS(2968),
    [anon_sym_ATpackage] = ACTIONS(2968),
    [anon_sym_ATpublic] = ACTIONS(2968),
    [anon_sym_BOOL] = ACTIONS(2966),
    [anon_sym_IMP] = ACTIONS(2966),
    [anon_sym_SEL] = ACTIONS(2966),
    [anon_sym_Class] = ACTIONS(2966),
    [anon_sym_id] = ACTIONS(2966),
    [anon_sym_out] = ACTIONS(2966),
    [anon_sym_inout] = ACTIONS(2966),
    [anon_sym_bycopy] = ACTIONS(2966),
    [anon_sym_byref] = ACTIONS(2966),
    [anon_sym_oneway] = ACTIONS(2966),
  },
  [4117] = {
    [sym_identifier] = ACTIONS(2922),
    [anon_sym_LPAREN2] = ACTIONS(8990),
    [anon_sym_STAR] = ACTIONS(2928),
    [anon_sym_CARET] = ACTIONS(2928),
    [anon_sym___extension__] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym___based] = ACTIONS(2922),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(2922),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2922),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2922),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_COLON] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2922),
    [anon_sym_union] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(2922),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(2922),
    [anon_sym_out] = ACTIONS(2922),
    [anon_sym_inout] = ACTIONS(2922),
    [anon_sym_bycopy] = ACTIONS(2922),
    [anon_sym_byref] = ACTIONS(2922),
    [anon_sym_oneway] = ACTIONS(2922),
  },
  [4118] = {
    [sym_identifier] = ACTIONS(2922),
    [anon_sym_LPAREN2] = ACTIONS(8992),
    [anon_sym_STAR] = ACTIONS(2928),
    [anon_sym_CARET] = ACTIONS(2928),
    [anon_sym___extension__] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym___based] = ACTIONS(2922),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(2922),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2922),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2922),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_COLON] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2922),
    [anon_sym_union] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(2922),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(2922),
    [anon_sym_out] = ACTIONS(2922),
    [anon_sym_inout] = ACTIONS(2922),
    [anon_sym_bycopy] = ACTIONS(2922),
    [anon_sym_byref] = ACTIONS(2922),
    [anon_sym_oneway] = ACTIONS(2922),
  },
  [4119] = {
    [sym_identifier] = ACTIONS(2922),
    [anon_sym_LPAREN2] = ACTIONS(8994),
    [anon_sym_STAR] = ACTIONS(2928),
    [anon_sym_CARET] = ACTIONS(2928),
    [anon_sym___extension__] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym___based] = ACTIONS(2922),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(2922),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2922),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2922),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_COLON] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2922),
    [anon_sym_union] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(2922),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(2922),
    [anon_sym_out] = ACTIONS(2922),
    [anon_sym_inout] = ACTIONS(2922),
    [anon_sym_bycopy] = ACTIONS(2922),
    [anon_sym_byref] = ACTIONS(2922),
    [anon_sym_oneway] = ACTIONS(2922),
  },
  [4120] = {
    [sym_identifier] = ACTIONS(2922),
    [anon_sym_LPAREN2] = ACTIONS(8996),
    [anon_sym_STAR] = ACTIONS(2928),
    [anon_sym_CARET] = ACTIONS(2928),
    [anon_sym___extension__] = ACTIONS(2922),
    [anon_sym_noreturn] = ACTIONS(2922),
    [anon_sym___based] = ACTIONS(2922),
    [anon_sym_signed] = ACTIONS(2922),
    [anon_sym_unsigned] = ACTIONS(2922),
    [anon_sym_long] = ACTIONS(2922),
    [anon_sym_short] = ACTIONS(2922),
    [anon_sym_const] = ACTIONS(2922),
    [anon_sym_constexpr] = ACTIONS(2922),
    [anon_sym_volatile] = ACTIONS(2922),
    [anon_sym_restrict] = ACTIONS(2922),
    [anon_sym___restrict__] = ACTIONS(2922),
    [anon_sym__Atomic] = ACTIONS(2922),
    [anon_sym__Noreturn] = ACTIONS(2922),
    [anon_sym__Nonnull] = ACTIONS(2922),
    [anon_sym_nullable] = ACTIONS(2922),
    [anon_sym__Complex] = ACTIONS(2922),
    [anon_sym__Nullable] = ACTIONS(2922),
    [anon_sym__Nullable_result] = ACTIONS(2922),
    [anon_sym__Null_unspecified] = ACTIONS(2922),
    [anon_sym___autoreleasing] = ACTIONS(2922),
    [anon_sym___block] = ACTIONS(2922),
    [anon_sym___bridge] = ACTIONS(2922),
    [anon_sym___bridge_retained] = ACTIONS(2922),
    [anon_sym___bridge_transfer] = ACTIONS(2922),
    [anon_sym___complex] = ACTIONS(2922),
    [anon_sym___const] = ACTIONS(2922),
    [anon_sym___imag] = ACTIONS(2922),
    [anon_sym___kindof] = ACTIONS(2922),
    [anon_sym___nonnull] = ACTIONS(2922),
    [anon_sym___nullable] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_class_ro] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_isa_pointer] = ACTIONS(2922),
    [anon_sym___ptrauth_objc_super_pointer] = ACTIONS(2922),
    [anon_sym___real] = ACTIONS(2922),
    [anon_sym___strong] = ACTIONS(2922),
    [anon_sym___unsafe_unretained] = ACTIONS(2922),
    [anon_sym___unused] = ACTIONS(2922),
    [anon_sym___weak] = ACTIONS(2922),
    [anon_sym_alignas] = ACTIONS(2922),
    [anon_sym__Alignas] = ACTIONS(2922),
    [sym_primitive_type] = ACTIONS(2922),
    [anon_sym_enum] = ACTIONS(2922),
    [anon_sym_COLON] = ACTIONS(2928),
    [anon_sym_struct] = ACTIONS(2922),
    [anon_sym_union] = ACTIONS(2922),
    [anon_sym_in] = ACTIONS(2922),
    [sym_comment] = ACTIONS(3),
    [anon_sym___typeof__] = ACTIONS(2922),
    [anon_sym___typeof] = ACTIONS(2922),
    [anon_sym_typeof] = ACTIONS(2922),
    [anon_sym_BOOL] = ACTIONS(2922),
    [anon_sym_IMP] = ACTIONS(2922),
    [anon_sym_SEL] = ACTIONS(2922),
    [anon_sym_Class] = ACTIONS(2922),
    [anon_sym_id] = ACTIONS(2922),
    [anon_sym_out] = ACTIONS(2922),
    [anon_sym_inout] = ACTIONS(2922),
    [anon_sym_bycopy] = ACTIONS(2922),
    [anon_sym_byref] = ACTIONS(2922),
    [anon_sym_oneway] = ACTIONS(2922),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4210), 1,
      anon_sym_LPAREN2,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5334), 1,
      sym_identifier,
    ACTIONS(5359), 1,
      anon_sym_STAR,
    ACTIONS(5361), 1,
      anon_sym_CARET,
    ACTIONS(7971), 1,
      anon_sym_LBRACK,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(3969), 1,
      sym__declarator,
    STATE(4301), 1,
      sym_parameter_list,
    STATE(4987), 1,
      sym__abstract_declarator,
    STATE(5997), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(8998), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(9000), 2,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3994), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    STATE(4850), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [103] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4210), 1,
      anon_sym_LPAREN2,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5334), 1,
      sym_identifier,
    ACTIONS(5359), 1,
      anon_sym_STAR,
    ACTIONS(5361), 1,
      anon_sym_CARET,
    ACTIONS(7971), 1,
      anon_sym_LBRACK,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(3836), 1,
      sym__declarator,
    STATE(4301), 1,
      sym_parameter_list,
    STATE(4968), 1,
      sym__abstract_declarator,
    STATE(5997), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(9002), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(9004), 2,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
    STATE(4121), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3994), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    STATE(4850), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9008), 1,
      anon_sym_LBRACK,
    ACTIONS(9006), 61,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_in,
      sym_identifier,
      anon_sym___typeof__,
      anon_sym___typeof,
      anon_sym_typeof,
      anon_sym_BOOL,
      anon_sym_IMP,
      anon_sym_SEL,
      anon_sym_Class,
      anon_sym_id,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_bycopy,
      anon_sym_byref,
      anon_sym_oneway,
  [276] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4210), 1,
      anon_sym_LPAREN2,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5334), 1,
      sym_identifier,
    ACTIONS(5338), 1,
      anon_sym_STAR,
    ACTIONS(5340), 1,
      anon_sym_CARET,
    ACTIONS(7971), 1,
      anon_sym_LBRACK,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(3969), 1,
      sym__declarator,
    STATE(4274), 1,
      sym_parameter_list,
    STATE(4980), 1,
      sym__abstract_declarator,
    STATE(5997), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9000), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
    STATE(3994), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    STATE(4850), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9012), 1,
      anon_sym_LBRACK,
    ACTIONS(9010), 61,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_in,
      sym_identifier,
      anon_sym___typeof__,
      anon_sym___typeof,
      anon_sym_typeof,
      anon_sym_BOOL,
      anon_sym_IMP,
      anon_sym_SEL,
      anon_sym_Class,
      anon_sym_id,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_bycopy,
      anon_sym_byref,
      anon_sym_oneway,
  [446] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4210), 1,
      anon_sym_LPAREN2,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5334), 1,
      sym_identifier,
    ACTIONS(5338), 1,
      anon_sym_STAR,
    ACTIONS(5340), 1,
      anon_sym_CARET,
    ACTIONS(7971), 1,
      anon_sym_LBRACK,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(3836), 1,
      sym__declarator,
    STATE(4274), 1,
      sym_parameter_list,
    STATE(5004), 1,
      sym__abstract_declarator,
    STATE(5997), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4124), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9004), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
    STATE(3994), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    STATE(4850), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9016), 1,
      anon_sym_LBRACK,
    ACTIONS(9014), 61,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___attribute,
      anon_sym_noreturn,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_in,
      sym_identifier,
      anon_sym___typeof__,
      anon_sym___typeof,
      anon_sym_typeof,
      anon_sym_BOOL,
      anon_sym_IMP,
      anon_sym_SEL,
      anon_sym_Class,
      anon_sym_id,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_bycopy,
      anon_sym_byref,
      anon_sym_oneway,
  [616] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(5471), 1,
      anon_sym_LPAREN2,
    ACTIONS(5473), 1,
      anon_sym_STAR,
    ACTIONS(5475), 1,
      anon_sym_CARET,
    ACTIONS(7971), 1,
      anon_sym_LBRACK,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(3073), 1,
      sym__declarator,
    STATE(4274), 1,
      sym_parameter_list,
    STATE(4980), 1,
      sym__abstract_declarator,
    STATE(5960), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(9000), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    STATE(4850), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [715] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(5471), 1,
      anon_sym_LPAREN2,
    ACTIONS(5473), 1,
      anon_sym_STAR,
    ACTIONS(5475), 1,
      anon_sym_CARET,
    ACTIONS(7971), 1,
      anon_sym_LBRACK,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(3059), 1,
      sym__declarator,
    STATE(4274), 1,
      sym_parameter_list,
    STATE(5004), 1,
      sym__abstract_declarator,
    STATE(5960), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(9004), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(4128), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    STATE(4850), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [814] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4210), 1,
      anon_sym_LPAREN2,
    ACTIONS(4212), 1,
      anon_sym_STAR,
    ACTIONS(4214), 1,
      anon_sym_CARET,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5334), 1,
      sym_identifier,
    ACTIONS(7971), 1,
      anon_sym_LBRACK,
    ACTIONS(9004), 1,
      anon_sym_RPAREN,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(4274), 1,
      sym_parameter_list,
    STATE(5004), 1,
      sym__abstract_declarator,
    STATE(5060), 1,
      sym__declarator,
    STATE(6208), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4131), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3994), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    STATE(4850), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [912] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4210), 1,
      anon_sym_LPAREN2,
    ACTIONS(4212), 1,
      anon_sym_STAR,
    ACTIONS(4214), 1,
      anon_sym_CARET,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5334), 1,
      sym_identifier,
    ACTIONS(7971), 1,
      anon_sym_LBRACK,
    ACTIONS(9000), 1,
      anon_sym_RPAREN,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(4274), 1,
      sym_parameter_list,
    STATE(4980), 1,
      sym__abstract_declarator,
    STATE(5077), 1,
      sym__declarator,
    STATE(6208), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3994), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    STATE(4850), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [1010] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(9020), 1,
      anon_sym_RPAREN,
    STATE(5448), 1,
      aux_sym_attribute_specifier_repeat1,
    ACTIONS(2928), 23,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_ATselector,
      anon_sym_ATavailable,
      anon_sym_ATencode,
    ACTIONS(2922), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym___imag,
      anon_sym___real,
      anon_sym_struct,
      anon_sym_in,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_AT,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym___typeof__,
      anon_sym___typeof,
      anon_sym_typeof,
      anon_sym___builtin_available,
      anon_sym_va_arg,
      anon_sym_id,
  [1081] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(9022), 1,
      anon_sym_RPAREN,
    STATE(5387), 1,
      aux_sym_attribute_specifier_repeat1,
    ACTIONS(2928), 23,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_ATselector,
      anon_sym_ATavailable,
      anon_sym_ATencode,
    ACTIONS(2922), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym___imag,
      anon_sym___real,
      anon_sym_struct,
      anon_sym_in,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_AT,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym___typeof__,
      anon_sym___typeof,
      anon_sym_typeof,
      anon_sym___builtin_available,
      anon_sym_va_arg,
      anon_sym_id,
  [1152] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(9024), 1,
      anon_sym_RPAREN,
    STATE(5476), 1,
      aux_sym_attribute_specifier_repeat1,
    ACTIONS(2928), 23,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_ATselector,
      anon_sym_ATavailable,
      anon_sym_ATencode,
    ACTIONS(2922), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym___imag,
      anon_sym___real,
      anon_sym_struct,
      anon_sym_in,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_AT,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym___typeof__,
      anon_sym___typeof,
      anon_sym_typeof,
      anon_sym___builtin_available,
      anon_sym_va_arg,
      anon_sym_id,
  [1223] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(9026), 1,
      anon_sym_RPAREN,
    STATE(5342), 1,
      aux_sym_attribute_specifier_repeat1,
    ACTIONS(2928), 23,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_ATselector,
      anon_sym_ATavailable,
      anon_sym_ATencode,
    ACTIONS(2922), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym___imag,
      anon_sym___real,
      anon_sym_struct,
      anon_sym_in,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_AT,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym___typeof__,
      anon_sym___typeof,
      anon_sym_typeof,
      anon_sym___builtin_available,
      anon_sym_va_arg,
      anon_sym_id,
  [1294] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(9028), 1,
      anon_sym_RPAREN,
    STATE(5461), 1,
      aux_sym_attribute_specifier_repeat1,
    ACTIONS(2928), 23,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_ATselector,
      anon_sym_ATavailable,
      anon_sym_ATencode,
    ACTIONS(2922), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym___imag,
      anon_sym___real,
      anon_sym_struct,
      anon_sym_in,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_AT,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym___typeof__,
      anon_sym___typeof,
      anon_sym_typeof,
      anon_sym___builtin_available,
      anon_sym_va_arg,
      anon_sym_id,
  [1365] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(9030), 1,
      anon_sym_RPAREN,
    STATE(5413), 1,
      aux_sym_attribute_specifier_repeat1,
    ACTIONS(2928), 23,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_ATselector,
      anon_sym_ATavailable,
      anon_sym_ATencode,
    ACTIONS(2922), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym___imag,
      anon_sym___real,
      anon_sym_struct,
      anon_sym_in,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_AT,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym___typeof__,
      anon_sym___typeof,
      anon_sym_typeof,
      anon_sym___builtin_available,
      anon_sym_va_arg,
      anon_sym_id,
  [1436] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(9032), 1,
      anon_sym_RPAREN,
    STATE(5431), 1,
      aux_sym_attribute_specifier_repeat1,
    ACTIONS(2928), 23,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_ATselector,
      anon_sym_ATavailable,
      anon_sym_ATencode,
    ACTIONS(2922), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym___imag,
      anon_sym___real,
      anon_sym_struct,
      anon_sym_in,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_AT,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym___typeof__,
      anon_sym___typeof,
      anon_sym_typeof,
      anon_sym___builtin_available,
      anon_sym_va_arg,
      anon_sym_id,
  [1507] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    ACTIONS(9034), 1,
      anon_sym_COLON,
    STATE(3012), 1,
      sym_attribute_specifier,
    STATE(4171), 1,
      sym_enumerator_list,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7593), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
    ACTIONS(7591), 44,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [1581] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    STATE(2942), 1,
      sym_attribute_specifier,
    STATE(4163), 1,
      sym_enumerator_list,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7558), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(7556), 44,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [1653] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    ACTIONS(9036), 1,
      anon_sym_COLON,
    STATE(2944), 1,
      sym_attribute_specifier,
    STATE(4165), 1,
      sym_enumerator_list,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7618), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
    ACTIONS(7616), 44,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [1727] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    STATE(2951), 1,
      sym_attribute_specifier,
    STATE(4167), 1,
      sym_enumerator_list,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7519), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(7517), 44,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [1799] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    STATE(2993), 1,
      sym_attribute_specifier,
    STATE(4160), 1,
      sym_enumerator_list,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7508), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(7506), 44,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [1871] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_STAR,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5704), 1,
      sym_primitive_type,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(5310), 1,
      sym__type_declarator,
    STATE(6484), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4146), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [1959] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(3264), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4148), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [2047] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5698), 1,
      anon_sym_STAR,
    ACTIONS(5700), 1,
      anon_sym_CARET,
    ACTIONS(5704), 1,
      sym_primitive_type,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(5258), 1,
      sym__type_declarator,
    STATE(6484), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [2135] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    STATE(2984), 1,
      sym_attribute_specifier,
    STATE(4159), 1,
      sym_enumerator_list,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7565), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(7563), 44,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [2207] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(3263), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [2295] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    STATE(3015), 1,
      sym_attribute_specifier,
    STATE(4162), 1,
      sym_enumerator_list,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7537), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(7535), 44,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [2367] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    STATE(2956), 1,
      sym_attribute_specifier,
    STATE(4168), 1,
      sym_enumerator_list,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7528), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(7526), 44,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [2439] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    ACTIONS(9038), 1,
      anon_sym_COLON,
    STATE(3004), 1,
      sym_attribute_specifier,
    STATE(4172), 1,
      sym_enumerator_list,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7608), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
    ACTIONS(7606), 44,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [2513] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2999), 1,
      sym_attribute_specifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7879), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(7877), 44,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [2579] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2946), 1,
      sym_attribute_specifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7766), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(7764), 44,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [2645] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2954), 1,
      sym_attribute_specifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7935), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(7933), 44,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [2711] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4496), 1,
      anon_sym_LPAREN2,
    ACTIONS(4498), 1,
      anon_sym_STAR,
    ACTIONS(4500), 1,
      anon_sym_CARET,
    ACTIONS(7971), 1,
      anon_sym_LBRACK,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(4274), 1,
      sym_parameter_list,
    STATE(5004), 1,
      sym__abstract_declarator,
    ACTIONS(6794), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4166), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(39), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(9004), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_COLON,
    STATE(4850), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_block_pointer_declarator,
    ACTIONS(6784), 31,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [2795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 23,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_ATselector,
      anon_sym_ATavailable,
      anon_sym_ATencode,
    ACTIONS(2922), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym___imag,
      anon_sym___real,
      anon_sym_struct,
      anon_sym_in,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_AT,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym___typeof__,
      anon_sym___typeof,
      anon_sym_typeof,
      anon_sym___builtin_available,
      anon_sym_va_arg,
      anon_sym_id,
  [2857] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4496), 1,
      anon_sym_LPAREN2,
    ACTIONS(6866), 1,
      anon_sym_STAR,
    ACTIONS(6868), 1,
      anon_sym_CARET,
    ACTIONS(7971), 1,
      anon_sym_LBRACK,
    ACTIONS(8998), 1,
      anon_sym___attribute,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(4301), 1,
      sym_parameter_list,
    STATE(4987), 1,
      sym__abstract_declarator,
    ACTIONS(6794), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(39), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(9000), 3,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
    STATE(4850), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_block_pointer_declarator,
    ACTIONS(6784), 31,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [2943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5676), 23,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_ATselector,
      anon_sym_ATavailable,
      anon_sym_ATencode,
    ACTIONS(5674), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym___imag,
      anon_sym___real,
      anon_sym_struct,
      anon_sym_in,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_AT,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym___typeof__,
      anon_sym___typeof,
      anon_sym_typeof,
      anon_sym___builtin_available,
      anon_sym_va_arg,
      anon_sym_id,
  [3005] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3008), 1,
      sym_attribute_specifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7950), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(7948), 44,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [3071] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2950), 1,
      sym_attribute_specifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7680), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(7678), 44,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [3137] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4496), 1,
      anon_sym_LPAREN2,
    ACTIONS(6866), 1,
      anon_sym_STAR,
    ACTIONS(6868), 1,
      anon_sym_CARET,
    ACTIONS(7971), 1,
      anon_sym_LBRACK,
    ACTIONS(9002), 1,
      anon_sym___attribute,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(4301), 1,
      sym_parameter_list,
    STATE(4968), 1,
      sym__abstract_declarator,
    ACTIONS(6794), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4157), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(39), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(9004), 3,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
    STATE(4850), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_block_pointer_declarator,
    ACTIONS(6784), 31,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [3223] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2981), 1,
      sym_attribute_specifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7759), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(7757), 44,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [3289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2982), 1,
      sym_attribute_specifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7773), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(7771), 44,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [3355] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2987), 1,
      sym_attribute_specifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7780), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(7778), 44,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [3421] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2979), 1,
      sym_attribute_specifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7789), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(7787), 44,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [3487] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4496), 1,
      anon_sym_LPAREN2,
    ACTIONS(4498), 1,
      anon_sym_STAR,
    ACTIONS(4500), 1,
      anon_sym_CARET,
    ACTIONS(7971), 1,
      anon_sym_LBRACK,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(4274), 1,
      sym_parameter_list,
    STATE(4980), 1,
      sym__abstract_declarator,
    ACTIONS(6794), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(39), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(9000), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_COLON,
    STATE(4850), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_block_pointer_declarator,
    ACTIONS(6784), 31,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [3571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2957), 1,
      sym_attribute_specifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7798), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(7796), 44,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [3637] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2964), 1,
      sym_attribute_specifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7807), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(7805), 44,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [3703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2983), 1,
      sym_attribute_specifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7814), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(7812), 44,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [3769] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3014), 1,
      sym_attribute_specifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7870), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(7868), 44,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [3835] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2943), 1,
      sym_attribute_specifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7821), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(7819), 44,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [3901] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3003), 1,
      sym_attribute_specifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(7896), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(7894), 44,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [3967] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4496), 1,
      anon_sym_LPAREN2,
    ACTIONS(4498), 1,
      anon_sym_STAR,
    ACTIONS(4500), 1,
      anon_sym_CARET,
    ACTIONS(9042), 1,
      anon_sym_LBRACK,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(4274), 1,
      sym_parameter_list,
    STATE(5095), 1,
      sym__abstract_declarator,
    ACTIONS(6794), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4176), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(39), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(9040), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(4850), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_block_pointer_declarator,
    ACTIONS(6784), 31,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [4050] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4496), 1,
      anon_sym_LPAREN2,
    ACTIONS(4498), 1,
      anon_sym_STAR,
    ACTIONS(4500), 1,
      anon_sym_CARET,
    ACTIONS(9042), 1,
      anon_sym_LBRACK,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(4274), 1,
      sym_parameter_list,
    STATE(5035), 1,
      sym__abstract_declarator,
    ACTIONS(6794), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4175), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(39), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(9044), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(4850), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_block_pointer_declarator,
    ACTIONS(6784), 31,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [4133] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4496), 1,
      anon_sym_LPAREN2,
    ACTIONS(4498), 1,
      anon_sym_STAR,
    ACTIONS(4500), 1,
      anon_sym_CARET,
    ACTIONS(7971), 1,
      anon_sym_LBRACK,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(4274), 1,
      sym_parameter_list,
    STATE(5014), 1,
      sym__abstract_declarator,
    ACTIONS(6794), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(39), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(9046), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(4850), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_block_pointer_declarator,
    ACTIONS(6784), 31,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [4216] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4496), 1,
      anon_sym_LPAREN2,
    ACTIONS(4498), 1,
      anon_sym_STAR,
    ACTIONS(4500), 1,
      anon_sym_CARET,
    ACTIONS(7971), 1,
      anon_sym_LBRACK,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(4274), 1,
      sym_parameter_list,
    STATE(5102), 1,
      sym__abstract_declarator,
    ACTIONS(6794), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(39), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(9048), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(4850), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_block_pointer_declarator,
    ACTIONS(6784), 31,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [4299] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      sym_primitive_type,
    ACTIONS(9050), 1,
      sym_identifier,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(3005), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6921), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6919), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6912), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(6914), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [4374] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      sym_primitive_type,
    ACTIONS(9052), 1,
      sym_identifier,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(4247), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6900), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4177), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9054), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6891), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(6893), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [4449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2488), 24,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_ATselector,
      anon_sym_ATavailable,
      anon_sym_ATencode,
    ACTIONS(2486), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym___imag,
      anon_sym___real,
      anon_sym_struct,
      anon_sym_in,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_AT,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym___builtin_available,
      anon_sym_va_arg,
      anon_sym_id,
  [4509] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(6411), 1,
      sym_identifier,
    ACTIONS(6413), 1,
      anon_sym_LPAREN2,
    ACTIONS(6419), 1,
      anon_sym_STAR,
    ACTIONS(6421), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(5026), 1,
      sym__field_declarator,
    STATE(6267), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4910), 6,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_block_pointer_field_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [4589] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6477), 1,
      anon_sym_STAR,
    ACTIONS(6479), 1,
      anon_sym_CARET,
    STATE(1919), 1,
      sym__old_style_function_declarator,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2820), 1,
      sym__declarator,
    STATE(3155), 1,
      sym_init_declarator,
    STATE(5959), 1,
      sym_type_qualifier,
    STATE(5960), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [4673] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6477), 1,
      anon_sym_STAR,
    ACTIONS(6479), 1,
      anon_sym_CARET,
    STATE(1907), 1,
      sym__old_style_function_declarator,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2809), 1,
      sym__declarator,
    STATE(3210), 1,
      sym_init_declarator,
    STATE(5960), 1,
      sym_ms_based_modifier,
    STATE(6108), 1,
      sym_type_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [4757] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6477), 1,
      anon_sym_STAR,
    ACTIONS(6479), 1,
      anon_sym_CARET,
    STATE(1894), 1,
      sym__old_style_function_declarator,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2806), 1,
      sym__declarator,
    STATE(3092), 1,
      sym_init_declarator,
    STATE(5960), 1,
      sym_ms_based_modifier,
    STATE(6134), 1,
      sym_type_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [4841] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(9062), 1,
      anon_sym_LBRACK,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(4251), 1,
      sym_ms_declspec_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4271), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9059), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
    ACTIONS(9056), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [4915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2422), 24,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_ATselector,
      anon_sym_ATavailable,
      anon_sym_ATencode,
    ACTIONS(2420), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym___imag,
      anon_sym___real,
      anon_sym_struct,
      anon_sym_in,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_AT,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym___builtin_available,
      anon_sym_va_arg,
      anon_sym_id,
  [4975] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(6411), 1,
      sym_identifier,
    ACTIONS(6413), 1,
      anon_sym_LPAREN2,
    ACTIONS(6419), 1,
      anon_sym_STAR,
    ACTIONS(6421), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(5042), 1,
      sym__field_declarator,
    STATE(6267), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4180), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4910), 6,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_block_pointer_field_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [5055] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(9062), 1,
      anon_sym_LBRACK,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(4255), 1,
      sym_ms_declspec_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4249), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9066), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
    ACTIONS(9064), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [5129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2488), 24,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_ATselector,
      anon_sym_ATavailable,
      anon_sym_ATencode,
    ACTIONS(2486), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym___imag,
      anon_sym___real,
      anon_sym_struct,
      anon_sym_in,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_AT,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym___builtin_available,
      anon_sym_va_arg,
      anon_sym_id,
  [5189] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(9062), 1,
      anon_sym_LBRACK,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(4252), 1,
      sym_ms_declspec_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4262), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9070), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
    ACTIONS(9068), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [5263] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(6411), 1,
      sym_identifier,
    ACTIONS(6413), 1,
      anon_sym_LPAREN2,
    ACTIONS(6415), 1,
      anon_sym_STAR,
    ACTIONS(6417), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(4861), 1,
      sym__field_declarator,
    STATE(6012), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4193), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4910), 6,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_block_pointer_field_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [5343] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(9062), 1,
      anon_sym_LBRACK,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(4250), 1,
      sym_ms_declspec_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4256), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9074), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
    ACTIONS(9072), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [5417] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6477), 1,
      anon_sym_STAR,
    ACTIONS(6479), 1,
      anon_sym_CARET,
    STATE(1897), 1,
      sym__old_style_function_declarator,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2811), 1,
      sym__declarator,
    STATE(3121), 1,
      sym_init_declarator,
    STATE(5960), 1,
      sym_ms_based_modifier,
    STATE(6499), 1,
      sym_type_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [5501] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(6411), 1,
      sym_identifier,
    ACTIONS(6413), 1,
      anon_sym_LPAREN2,
    ACTIONS(6415), 1,
      anon_sym_STAR,
    ACTIONS(6417), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(4866), 1,
      sym__field_declarator,
    STATE(6012), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(4910), 6,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_block_pointer_field_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [5581] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9076), 1,
      sym_identifier,
    ACTIONS(9082), 1,
      sym_primitive_type,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(4257), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6896), 2,
      anon_sym___declspec,
      anon_sym___based,
    ACTIONS(6900), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4205), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6891), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
    ACTIONS(9079), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6893), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [5657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2438), 24,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_ATselector,
      anon_sym_ATavailable,
      anon_sym_ATencode,
    ACTIONS(2436), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym___imag,
      anon_sym___real,
      anon_sym_struct,
      anon_sym_in,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_AT,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym___builtin_available,
      anon_sym_va_arg,
      anon_sym_id,
  [5717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2450), 24,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_ATselector,
      anon_sym_ATavailable,
      anon_sym_ATencode,
    ACTIONS(2448), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym___imag,
      anon_sym___real,
      anon_sym_struct,
      anon_sym_in,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_AT,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym___builtin_available,
      anon_sym_va_arg,
      anon_sym_id,
  [5777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2454), 24,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_ATselector,
      anon_sym_ATavailable,
      anon_sym_ATencode,
    ACTIONS(2452), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym___imag,
      anon_sym___real,
      anon_sym_struct,
      anon_sym_in,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_AT,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym___builtin_available,
      anon_sym_va_arg,
      anon_sym_id,
  [5837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2438), 24,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_ATselector,
      anon_sym_ATavailable,
      anon_sym_ATencode,
    ACTIONS(2436), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym___imag,
      anon_sym___real,
      anon_sym_struct,
      anon_sym_in,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_AT,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym___builtin_available,
      anon_sym_va_arg,
      anon_sym_id,
  [5897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 24,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_ATselector,
      anon_sym_ATavailable,
      anon_sym_ATencode,
    ACTIONS(2564), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym___imag,
      anon_sym___real,
      anon_sym_struct,
      anon_sym_in,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_AT,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym___builtin_available,
      anon_sym_va_arg,
      anon_sym_id,
  [5957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2476), 24,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_ATselector,
      anon_sym_ATavailable,
      anon_sym_ATencode,
    ACTIONS(2474), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym___imag,
      anon_sym___real,
      anon_sym_struct,
      anon_sym_in,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_AT,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym___builtin_available,
      anon_sym_va_arg,
      anon_sym_id,
  [6017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2454), 24,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_ATselector,
      anon_sym_ATavailable,
      anon_sym_ATencode,
    ACTIONS(2452), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym___imag,
      anon_sym___real,
      anon_sym_struct,
      anon_sym_in,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_AT,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym___builtin_available,
      anon_sym_va_arg,
      anon_sym_id,
  [6077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2472), 24,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_ATselector,
      anon_sym_ATavailable,
      anon_sym_ATencode,
    ACTIONS(2470), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym___imag,
      anon_sym___real,
      anon_sym_struct,
      anon_sym_in,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_AT,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym___builtin_available,
      anon_sym_va_arg,
      anon_sym_id,
  [6137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2476), 24,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_ATselector,
      anon_sym_ATavailable,
      anon_sym_ATencode,
    ACTIONS(2474), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym___imag,
      anon_sym___real,
      anon_sym_struct,
      anon_sym_in,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_AT,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym___builtin_available,
      anon_sym_va_arg,
      anon_sym_id,
  [6197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2450), 24,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_ATselector,
      anon_sym_ATavailable,
      anon_sym_ATencode,
    ACTIONS(2448), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym___imag,
      anon_sym___real,
      anon_sym_struct,
      anon_sym_in,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_AT,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym___builtin_available,
      anon_sym_va_arg,
      anon_sym_id,
  [6257] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9085), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      sym_primitive_type,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(4270), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6917), 2,
      anon_sym___declspec,
      anon_sym___based,
    ACTIONS(6921), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6912), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
    ACTIONS(9088), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6914), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [6333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2472), 24,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_ATselector,
      anon_sym_ATavailable,
      anon_sym_ATencode,
    ACTIONS(2470), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym___imag,
      anon_sym___real,
      anon_sym_struct,
      anon_sym_in,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_AT,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym___builtin_available,
      anon_sym_va_arg,
      anon_sym_id,
  [6393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 24,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_ATselector,
      anon_sym_ATavailable,
      anon_sym_ATencode,
    ACTIONS(2564), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym___imag,
      anon_sym___real,
      anon_sym_struct,
      anon_sym_in,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_AT,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym___builtin_available,
      anon_sym_va_arg,
      anon_sym_id,
  [6453] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6477), 1,
      anon_sym_STAR,
    ACTIONS(6479), 1,
      anon_sym_CARET,
    STATE(1908), 1,
      sym__old_style_function_declarator,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2800), 1,
      sym__declarator,
    STATE(3134), 1,
      sym_init_declarator,
    STATE(5960), 1,
      sym_ms_based_modifier,
    STATE(6449), 1,
      sym_type_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [6537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2422), 24,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_ATselector,
      anon_sym_ATavailable,
      anon_sym_ATencode,
    ACTIONS(2420), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym___imag,
      anon_sym___real,
      anon_sym_struct,
      anon_sym_in,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym___asm,
      anon_sym_AT,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym___builtin_available,
      anon_sym_va_arg,
      anon_sym_id,
  [6597] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6477), 1,
      anon_sym_STAR,
    ACTIONS(6479), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2898), 1,
      sym__declarator,
    STATE(3144), 1,
      sym_init_declarator,
    STATE(5960), 1,
      sym_ms_based_modifier,
    STATE(6021), 1,
      sym_type_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [6678] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(4490), 1,
      anon_sym_LPAREN2,
    ACTIONS(4492), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      sym_identifier,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(5060), 1,
      sym__declarator,
    STATE(6208), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4217), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3994), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [6757] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6477), 1,
      anon_sym_STAR,
    ACTIONS(6479), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2836), 1,
      sym__declarator,
    STATE(3138), 1,
      sym_init_declarator,
    STATE(5960), 1,
      sym_ms_based_modifier,
    STATE(6712), 1,
      sym_type_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [6838] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4519), 1,
      anon_sym_EQ,
    ACTIONS(4525), 1,
      anon_sym_AT,
    STATE(1928), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
    ACTIONS(4523), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4005), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(4007), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [6907] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6477), 1,
      anon_sym_STAR,
    ACTIONS(6479), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(3217), 1,
      sym__declarator,
    STATE(3291), 1,
      sym_init_declarator,
    STATE(5960), 1,
      sym_ms_based_modifier,
    STATE(6309), 1,
      sym_type_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [6988] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(4490), 1,
      anon_sym_LPAREN2,
    ACTIONS(5334), 1,
      sym_identifier,
    ACTIONS(6471), 1,
      anon_sym_STAR,
    ACTIONS(6473), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(3836), 1,
      sym__declarator,
    STATE(5997), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4219), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3994), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [7067] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6477), 1,
      anon_sym_STAR,
    ACTIONS(6479), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2848), 1,
      sym__declarator,
    STATE(3134), 1,
      sym_init_declarator,
    STATE(5960), 1,
      sym_ms_based_modifier,
    STATE(6449), 1,
      sym_type_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [7148] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(4490), 1,
      anon_sym_LPAREN2,
    ACTIONS(4492), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      sym_identifier,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(5077), 1,
      sym__declarator,
    STATE(6208), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3994), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [7227] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6477), 1,
      anon_sym_STAR,
    ACTIONS(6479), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2909), 1,
      sym__declarator,
    STATE(3138), 1,
      sym_init_declarator,
    STATE(5960), 1,
      sym_ms_based_modifier,
    STATE(6712), 1,
      sym_type_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [7308] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(4490), 1,
      anon_sym_LPAREN2,
    ACTIONS(5334), 1,
      sym_identifier,
    ACTIONS(6471), 1,
      anon_sym_STAR,
    ACTIONS(6473), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(3969), 1,
      sym__declarator,
    STATE(5997), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3994), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [7387] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(6485), 1,
      sym_identifier,
    ACTIONS(6487), 1,
      anon_sym_LPAREN2,
    ACTIONS(6489), 1,
      anon_sym_STAR,
    ACTIONS(6491), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2713), 1,
      sym__declarator,
    STATE(6231), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4222), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2789), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [7466] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6477), 1,
      anon_sym_STAR,
    ACTIONS(6479), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(3059), 1,
      sym__declarator,
    STATE(5960), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4224), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [7545] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(6485), 1,
      sym_identifier,
    ACTIONS(6487), 1,
      anon_sym_LPAREN2,
    ACTIONS(6489), 1,
      anon_sym_STAR,
    ACTIONS(6491), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2759), 1,
      sym__declarator,
    STATE(6231), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2789), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [7624] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7071), 1,
      anon_sym_LPAREN2,
    ACTIONS(7074), 1,
      anon_sym_LT,
    STATE(2919), 1,
      aux_sym_generic_specifier_repeat1,
    STATE(4260), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5922), 3,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
    ACTIONS(9094), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4502), 40,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [7693] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6477), 1,
      anon_sym_STAR,
    ACTIONS(6479), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(3073), 1,
      sym__declarator,
    STATE(5960), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [7772] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6477), 1,
      anon_sym_STAR,
    ACTIONS(6479), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2837), 1,
      sym__declarator,
    STATE(3121), 1,
      sym_init_declarator,
    STATE(5960), 1,
      sym_ms_based_modifier,
    STATE(6499), 1,
      sym_type_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [7853] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6477), 1,
      anon_sym_STAR,
    ACTIONS(6479), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2847), 1,
      sym__declarator,
    STATE(3155), 1,
      sym_init_declarator,
    STATE(5959), 1,
      sym_type_qualifier,
    STATE(5960), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [7934] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6477), 1,
      anon_sym_STAR,
    ACTIONS(6479), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2893), 1,
      sym__declarator,
    STATE(3134), 1,
      sym_init_declarator,
    STATE(5960), 1,
      sym_ms_based_modifier,
    STATE(6449), 1,
      sym_type_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [8015] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6493), 1,
      anon_sym_STAR,
    ACTIONS(6495), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2873), 1,
      sym__declarator,
    STATE(3193), 1,
      sym_init_declarator,
    STATE(6068), 1,
      sym_type_qualifier,
    STATE(6666), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [8096] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6477), 1,
      anon_sym_STAR,
    ACTIONS(6479), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2826), 1,
      sym__declarator,
    STATE(3106), 1,
      sym_init_declarator,
    STATE(5960), 1,
      sym_ms_based_modifier,
    STATE(6163), 1,
      sym_type_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [8177] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6477), 1,
      anon_sym_STAR,
    ACTIONS(6479), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2905), 1,
      sym__declarator,
    STATE(3099), 1,
      sym_init_declarator,
    STATE(5960), 1,
      sym_ms_based_modifier,
    STATE(6151), 1,
      sym_type_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [8258] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6477), 1,
      anon_sym_STAR,
    ACTIONS(6479), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2831), 1,
      sym__declarator,
    STATE(3210), 1,
      sym_init_declarator,
    STATE(5960), 1,
      sym_ms_based_modifier,
    STATE(6108), 1,
      sym_type_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [8339] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6493), 1,
      anon_sym_STAR,
    ACTIONS(6495), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(3222), 1,
      sym__declarator,
    STATE(6666), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [8418] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6493), 1,
      anon_sym_STAR,
    ACTIONS(6495), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(3219), 1,
      sym__declarator,
    STATE(6666), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4232), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [8497] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6477), 1,
      anon_sym_STAR,
    ACTIONS(6479), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2894), 1,
      sym__declarator,
    STATE(3121), 1,
      sym_init_declarator,
    STATE(5960), 1,
      sym_ms_based_modifier,
    STATE(6499), 1,
      sym_type_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [8578] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6493), 1,
      anon_sym_STAR,
    ACTIONS(6495), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2876), 1,
      sym__declarator,
    STATE(3193), 1,
      sym_init_declarator,
    STATE(6068), 1,
      sym_type_qualifier,
    STATE(6666), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [8659] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6493), 1,
      anon_sym_STAR,
    ACTIONS(6495), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2866), 1,
      sym__declarator,
    STATE(3193), 1,
      sym_init_declarator,
    STATE(6068), 1,
      sym_type_qualifier,
    STATE(6666), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [8740] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6477), 1,
      anon_sym_STAR,
    ACTIONS(6479), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2889), 1,
      sym__declarator,
    STATE(3155), 1,
      sym_init_declarator,
    STATE(5959), 1,
      sym_type_qualifier,
    STATE(5960), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [8821] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6477), 1,
      anon_sym_STAR,
    ACTIONS(6479), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2833), 1,
      sym__declarator,
    STATE(3092), 1,
      sym_init_declarator,
    STATE(5960), 1,
      sym_ms_based_modifier,
    STATE(6134), 1,
      sym_type_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [8902] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6477), 1,
      anon_sym_STAR,
    ACTIONS(6479), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2900), 1,
      sym__declarator,
    STATE(3210), 1,
      sym_init_declarator,
    STATE(5960), 1,
      sym_ms_based_modifier,
    STATE(6108), 1,
      sym_type_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [8983] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6477), 1,
      anon_sym_STAR,
    ACTIONS(6479), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2835), 1,
      sym__declarator,
    STATE(3114), 1,
      sym_init_declarator,
    STATE(5960), 1,
      sym_ms_based_modifier,
    STATE(6174), 1,
      sym_type_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [9064] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6493), 1,
      anon_sym_STAR,
    ACTIONS(6495), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2878), 1,
      sym__declarator,
    STATE(3193), 1,
      sym_init_declarator,
    STATE(6068), 1,
      sym_type_qualifier,
    STATE(6666), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [9145] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6493), 1,
      anon_sym_STAR,
    ACTIONS(6495), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2864), 1,
      sym__declarator,
    STATE(3193), 1,
      sym_init_declarator,
    STATE(6068), 1,
      sym_type_qualifier,
    STATE(6666), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [9226] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6493), 1,
      anon_sym_STAR,
    ACTIONS(6495), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2882), 1,
      sym__declarator,
    STATE(3193), 1,
      sym_init_declarator,
    STATE(6068), 1,
      sym_type_qualifier,
    STATE(6666), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [9307] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6493), 1,
      anon_sym_STAR,
    ACTIONS(6495), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2880), 1,
      sym__declarator,
    STATE(3193), 1,
      sym_init_declarator,
    STATE(6068), 1,
      sym_type_qualifier,
    STATE(6666), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [9388] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6493), 1,
      anon_sym_STAR,
    ACTIONS(6495), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2881), 1,
      sym__declarator,
    STATE(3193), 1,
      sym_init_declarator,
    STATE(6068), 1,
      sym_type_qualifier,
    STATE(6666), 1,
      sym_ms_based_modifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [9469] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6477), 1,
      anon_sym_STAR,
    ACTIONS(6479), 1,
      anon_sym_CARET,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(2904), 1,
      sym__declarator,
    STATE(3092), 1,
      sym_init_declarator,
    STATE(5960), 1,
      sym_ms_based_modifier,
    STATE(6134), 1,
      sym_type_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [9550] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2937), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7097), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(7094), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(7091), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(7088), 36,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
  [9614] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2412), 1,
      sym_alignas_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9099), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
    ACTIONS(9097), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [9679] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2412), 1,
      sym_alignas_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9103), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
    ACTIONS(9101), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [9744] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2412), 1,
      sym_alignas_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4248), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9107), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
    ACTIONS(9105), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [9809] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2412), 1,
      sym_alignas_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4272), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9112), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
    ACTIONS(9109), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [9874] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2412), 1,
      sym_alignas_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4265), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9117), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
    ACTIONS(9115), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [9939] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4511), 1,
      anon_sym_LT,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(9121), 1,
      anon_sym_LPAREN2,
    ACTIONS(9124), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9126), 1,
      anon_sym_EQ,
    STATE(1928), 1,
      sym_string_literal,
    STATE(2919), 1,
      aux_sym_generic_specifier_repeat1,
    ACTIONS(9119), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
    ACTIONS(9128), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4007), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
    ACTIONS(4005), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      sym_identifier,
  [10016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2937), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7287), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
    ACTIONS(9130), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(7285), 40,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [10077] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2412), 1,
      sym_alignas_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(4258), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9103), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
    ACTIONS(9101), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [10142] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2412), 1,
      sym_alignas_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9107), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
    ACTIONS(9105), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [10207] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2937), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7091), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
    ACTIONS(9133), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(7088), 40,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [10268] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2412), 1,
      sym_alignas_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9139), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
    ACTIONS(9137), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [10333] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2937), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7305), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
    ACTIONS(9141), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(7303), 40,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [10394] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2937), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7219), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
    ACTIONS(9144), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(7217), 40,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [10455] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4254), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5072), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
    ACTIONS(9147), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5076), 40,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [10516] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2412), 1,
      sym_alignas_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9117), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
    ACTIONS(9115), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [10581] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4266), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7199), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
    ACTIONS(9150), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(7197), 40,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [10642] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4267), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7231), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
    ACTIONS(9153), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(7229), 40,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [10703] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2412), 1,
      sym_alignas_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9158), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
    ACTIONS(9156), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [10768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2937), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7367), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
    ACTIONS(9160), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(7365), 40,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [10829] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2937), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7163), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
    ACTIONS(9163), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(7161), 40,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [10890] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4259), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7391), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
    ACTIONS(9166), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(7389), 40,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [10951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4273), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7411), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
    ACTIONS(9169), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(7409), 40,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [11012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2937), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7427), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
    ACTIONS(9172), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(7425), 40,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [11073] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2412), 1,
      sym_alignas_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9112), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
    ACTIONS(9109), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [11138] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2412), 1,
      sym_alignas_qualifier,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9178), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
    ACTIONS(9175), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [11203] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2937), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7309), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_LBRACK,
    ACTIONS(9181), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(7307), 40,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [11264] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    STATE(2412), 1,
      sym_alignas_qualifier,
    ACTIONS(6794), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(39), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    STATE(4279), 3,
      sym_attribute_specifier,
      sym_type_qualifier,
      aux_sym_function_field_declarator_repeat1,
    ACTIONS(9184), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_GT,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(6784), 31,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [11332] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6903), 1,
      sym_primitive_type,
    ACTIONS(9052), 1,
      sym_identifier,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(4305), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6891), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    STATE(4276), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9186), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [11402] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6924), 1,
      sym_primitive_type,
    ACTIONS(9050), 1,
      sym_identifier,
    STATE(2412), 1,
      sym_alignas_qualifier,
    STATE(3005), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(59), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(6912), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    STATE(2518), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6919), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(39), 34,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [11472] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    STATE(2412), 1,
      sym_alignas_qualifier,
    ACTIONS(6794), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(39), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    STATE(4280), 3,
      sym_attribute_specifier,
      sym_type_qualifier,
      aux_sym_function_field_declarator_repeat1,
    ACTIONS(9188), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_GT,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(6784), 31,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [11540] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(9126), 1,
      anon_sym_EQ,
    STATE(1928), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
    ACTIONS(9128), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4005), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4007), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [11606] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    STATE(2412), 1,
      sym_alignas_qualifier,
    ACTIONS(6794), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(39), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    STATE(3067), 3,
      sym_attribute_specifier,
      sym_type_qualifier,
      aux_sym_function_field_declarator_repeat1,
    ACTIONS(9190), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_GT,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(6784), 31,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [11674] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    STATE(2412), 1,
      sym_alignas_qualifier,
    ACTIONS(6794), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(39), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    STATE(3067), 3,
      sym_attribute_specifier,
      sym_type_qualifier,
      aux_sym_function_field_declarator_repeat1,
    ACTIONS(9192), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_GT,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(6784), 31,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [11742] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4511), 1,
      anon_sym_LT,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(9126), 1,
      anon_sym_EQ,
    STATE(1928), 1,
      sym_string_literal,
    STATE(2919), 1,
      aux_sym_generic_specifier_repeat1,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
    ACTIONS(9128), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4005), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4007), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [11812] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4519), 1,
      anon_sym_EQ,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(4584), 1,
      anon_sym_COLON,
    STATE(1928), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
    ACTIONS(4523), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4005), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4007), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [11879] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4519), 1,
      anon_sym_EQ,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(4606), 1,
      anon_sym_COLON,
    STATE(1928), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
    ACTIONS(4523), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4005), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4007), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [11946] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(8378), 1,
      anon_sym_EQ,
    ACTIONS(9194), 1,
      anon_sym_LT2,
    STATE(1928), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
    ACTIONS(8380), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4005), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4007), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [12013] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    STATE(2412), 1,
      sym_alignas_qualifier,
    ACTIONS(6794), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(39), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    STATE(4291), 3,
      sym_attribute_specifier,
      sym_type_qualifier,
      aux_sym_function_field_declarator_repeat1,
    ACTIONS(9196), 5,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(6784), 31,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [12080] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4519), 1,
      anon_sym_EQ,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(4610), 1,
      anon_sym_COLON,
    STATE(1928), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
    ACTIONS(4523), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4005), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4007), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [12147] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4519), 1,
      anon_sym_EQ,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(4544), 1,
      anon_sym_COLON,
    STATE(1928), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
    ACTIONS(4523), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4005), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4007), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [12214] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4519), 1,
      anon_sym_EQ,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(4608), 1,
      anon_sym_COLON,
    STATE(1928), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
    ACTIONS(4523), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4005), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4007), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [12281] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4519), 1,
      anon_sym_EQ,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(4582), 1,
      anon_sym_COLON,
    STATE(1928), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
    ACTIONS(4523), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4005), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4007), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [12348] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4519), 1,
      anon_sym_EQ,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(9198), 1,
      anon_sym_COLON,
    STATE(1928), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
    ACTIONS(4523), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4005), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4007), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [12415] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym___attribute,
    STATE(2412), 1,
      sym_alignas_qualifier,
    ACTIONS(6794), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(39), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    STATE(3067), 3,
      sym_attribute_specifier,
      sym_type_qualifier,
      aux_sym_function_field_declarator_repeat1,
    ACTIONS(9200), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(6784), 31,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [12480] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4519), 1,
      anon_sym_EQ,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(4594), 1,
      anon_sym_COLON,
    STATE(1928), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
    ACTIONS(4523), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4005), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4007), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [12547] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4519), 1,
      anon_sym_EQ,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(4596), 1,
      anon_sym_COLON,
    STATE(1928), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
    ACTIONS(4523), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4005), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4007), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [12614] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    ACTIONS(9204), 1,
      anon_sym_COLON,
    STATE(3012), 1,
      sym_attribute_specifier,
    STATE(4171), 1,
      sym_enumerator_list,
    ACTIONS(7591), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(7593), 37,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
  [12680] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    STATE(2412), 1,
      sym_alignas_qualifier,
    ACTIONS(6794), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(39), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    STATE(4298), 3,
      sym_attribute_specifier,
      sym_type_qualifier,
      aux_sym_function_field_declarator_repeat1,
    ACTIONS(9188), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
    ACTIONS(6784), 31,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [12746] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    ACTIONS(9207), 1,
      anon_sym_COLON,
    STATE(3004), 1,
      sym_attribute_specifier,
    STATE(4172), 1,
      sym_enumerator_list,
    ACTIONS(7606), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(7608), 37,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
  [12812] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    ACTIONS(9210), 1,
      anon_sym_COLON,
    STATE(2944), 1,
      sym_attribute_specifier,
    STATE(4165), 1,
      sym_enumerator_list,
    ACTIONS(7616), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(7618), 37,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
  [12878] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9213), 1,
      anon_sym___attribute,
    STATE(2412), 1,
      sym_alignas_qualifier,
    ACTIONS(6794), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(39), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    STATE(3067), 3,
      sym_attribute_specifier,
      sym_type_qualifier,
      aux_sym_function_field_declarator_repeat1,
    ACTIONS(9192), 5,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
    ACTIONS(6784), 31,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [12942] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(8378), 1,
      anon_sym_EQ,
    STATE(1928), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
    ACTIONS(8380), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4005), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4007), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [13006] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9215), 1,
      anon_sym___attribute,
    STATE(2412), 1,
      sym_alignas_qualifier,
    ACTIONS(6794), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(39), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    STATE(3067), 3,
      sym_attribute_specifier,
      sym_type_qualifier,
      aux_sym_function_field_declarator_repeat1,
    ACTIONS(9190), 5,
      anon_sym_LPAREN2,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
    ACTIONS(6784), 31,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [13070] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    STATE(2412), 1,
      sym_alignas_qualifier,
    ACTIONS(6794), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(39), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    STATE(4300), 3,
      sym_attribute_specifier,
      sym_type_qualifier,
      aux_sym_function_field_declarator_repeat1,
    ACTIONS(9184), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
    ACTIONS(6784), 31,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [13136] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9227), 1,
      anon_sym_PIPE,
    ACTIONS(9229), 1,
      anon_sym_CARET,
    ACTIONS(9231), 1,
      anon_sym_AMP,
    ACTIONS(9241), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(4421), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(9219), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9221), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4423), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [13227] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9227), 1,
      anon_sym_PIPE,
    ACTIONS(9229), 1,
      anon_sym_CARET,
    ACTIONS(9231), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(4409), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(9219), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9221), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4411), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [13316] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    STATE(2412), 1,
      sym_alignas_qualifier,
    ACTIONS(6794), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(39), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(8023), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
    STATE(3067), 3,
      sym_attribute_specifier,
      sym_type_qualifier,
      aux_sym_function_field_declarator_repeat1,
    ACTIONS(6784), 31,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [13381] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2937), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7091), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(7094), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(7097), 38,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
      sym_primitive_type,
      sym_identifier,
  [13438] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9227), 1,
      anon_sym_PIPE,
    ACTIONS(9229), 1,
      anon_sym_CARET,
    ACTIONS(9231), 1,
      anon_sym_AMP,
    ACTIONS(9241), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(4417), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(9219), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9221), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4419), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [13529] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    STATE(2412), 1,
      sym_alignas_qualifier,
    ACTIONS(6794), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(39), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(8027), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
    STATE(4304), 3,
      sym_attribute_specifier,
      sym_type_qualifier,
      aux_sym_function_field_declarator_repeat1,
    ACTIONS(6784), 31,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [13594] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9227), 1,
      anon_sym_PIPE,
    ACTIONS(9229), 1,
      anon_sym_CARET,
    ACTIONS(9231), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(4413), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(9219), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9221), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4415), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [13683] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9221), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4034), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(4036), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [13750] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9227), 1,
      anon_sym_PIPE,
    ACTIONS(9229), 1,
      anon_sym_CARET,
    ACTIONS(9231), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(4034), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(9219), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9221), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4036), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [13835] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9227), 1,
      anon_sym_PIPE,
    ACTIONS(9229), 1,
      anon_sym_CARET,
    ACTIONS(9231), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(4034), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(9219), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9221), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4036), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [13918] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9229), 1,
      anon_sym_CARET,
    ACTIONS(9231), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9219), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4034), 3,
      anon_sym_PIPE,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(9221), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4036), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [13999] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9231), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9219), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9221), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4034), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(4036), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [14078] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9217), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9227), 1,
      anon_sym_PIPE,
    ACTIONS(9229), 1,
      anon_sym_CARET,
    ACTIONS(9231), 1,
      anon_sym_AMP,
    ACTIONS(9241), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(4401), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(9219), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9221), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4405), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [14169] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9219), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9221), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4034), 5,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(4036), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [14246] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9219), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9221), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4034), 5,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(4036), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [14321] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9219), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9221), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4034), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(4036), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [14392] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9219), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9221), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4034), 9,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(4036), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [14461] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    STATE(2412), 1,
      sym_alignas_qualifier,
    ACTIONS(6794), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(39), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(9196), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
    STATE(4321), 3,
      sym_attribute_specifier,
      sym_type_qualifier,
      aux_sym_function_field_declarator_repeat1,
    ACTIONS(6784), 31,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [14526] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9223), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9225), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9227), 1,
      anon_sym_PIPE,
    ACTIONS(9229), 1,
      anon_sym_CARET,
    ACTIONS(9231), 1,
      anon_sym_AMP,
    ACTIONS(9243), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(4372), 2,
      anon_sym___attribute,
      anon_sym_EQ,
    ACTIONS(9219), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9233), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9235), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9237), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9239), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9221), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4377), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [14615] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    STATE(2412), 1,
      sym_alignas_qualifier,
    ACTIONS(6794), 2,
      anon_sym_alignas,
      anon_sym__Alignas,
    ACTIONS(39), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(9200), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
    STATE(3067), 3,
      sym_attribute_specifier,
      sym_type_qualifier,
      aux_sym_function_field_declarator_repeat1,
    ACTIONS(6784), 31,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
  [14680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4519), 1,
      anon_sym_EQ,
    ACTIONS(4523), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4005), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute,
      anon_sym_DOT,
    ACTIONS(4007), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [14736] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(9246), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(7387), 35,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
  [14789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7297), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(9248), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(7299), 35,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
  [14842] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4034), 1,
      anon_sym_EQ,
    ACTIONS(9254), 1,
      anon_sym_PIPE,
    ACTIONS(9256), 1,
      anon_sym_CARET,
    ACTIONS(9258), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9250), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9262), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9264), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9252), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4036), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [14922] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4409), 1,
      anon_sym_EQ,
    ACTIONS(9254), 1,
      anon_sym_PIPE,
    ACTIONS(9256), 1,
      anon_sym_CARET,
    ACTIONS(9258), 1,
      anon_sym_AMP,
    ACTIONS(9268), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9272), 1,
      anon_sym_AMP_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9250), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9262), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9264), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9252), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4411), 15,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [15008] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4413), 1,
      anon_sym_EQ,
    ACTIONS(9254), 1,
      anon_sym_PIPE,
    ACTIONS(9256), 1,
      anon_sym_CARET,
    ACTIONS(9258), 1,
      anon_sym_AMP,
    ACTIONS(9268), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9272), 1,
      anon_sym_AMP_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9250), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9262), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9264), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9252), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4415), 15,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [15094] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4417), 1,
      anon_sym_EQ,
    ACTIONS(9254), 1,
      anon_sym_PIPE,
    ACTIONS(9256), 1,
      anon_sym_CARET,
    ACTIONS(9258), 1,
      anon_sym_AMP,
    ACTIONS(9268), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9274), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9250), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9262), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9264), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9252), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4419), 14,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [15182] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4034), 1,
      anon_sym_EQ,
    ACTIONS(9254), 1,
      anon_sym_PIPE,
    ACTIONS(9256), 1,
      anon_sym_CARET,
    ACTIONS(9258), 1,
      anon_sym_AMP,
    ACTIONS(9272), 1,
      anon_sym_AMP_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9250), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9262), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9264), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9252), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4036), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [15264] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9252), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4034), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(4036), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [15328] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9256), 1,
      anon_sym_CARET,
    ACTIONS(9258), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(4034), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(9250), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9262), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9264), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9252), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4036), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [15406] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4421), 1,
      anon_sym_EQ,
    ACTIONS(9254), 1,
      anon_sym_PIPE,
    ACTIONS(9256), 1,
      anon_sym_CARET,
    ACTIONS(9258), 1,
      anon_sym_AMP,
    ACTIONS(9268), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9274), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9250), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9262), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9264), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9252), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4423), 14,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [15494] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9258), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9250), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9262), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9264), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4034), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(9252), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4036), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [15570] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9250), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9262), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9264), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9252), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4034), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(4036), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [15644] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9250), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9252), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4034), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(4036), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [15710] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9250), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9252), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4034), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(4036), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [15778] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9250), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9262), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9264), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9252), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4034), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(4036), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [15850] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4401), 1,
      anon_sym_EQ,
    ACTIONS(9254), 1,
      anon_sym_PIPE,
    ACTIONS(9256), 1,
      anon_sym_CARET,
    ACTIONS(9258), 1,
      anon_sym_AMP,
    ACTIONS(9268), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9274), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9250), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9262), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9264), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9252), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4405), 14,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [15938] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4372), 1,
      anon_sym_EQ,
    ACTIONS(9254), 1,
      anon_sym_PIPE,
    ACTIONS(9256), 1,
      anon_sym_CARET,
    ACTIONS(9258), 1,
      anon_sym_AMP,
    ACTIONS(9270), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9272), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9276), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9250), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9260), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9262), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9264), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9266), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9252), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4377), 15,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [16024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9279), 1,
      anon_sym_RPAREN,
    ACTIONS(5076), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(5072), 37,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
  [16075] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9126), 1,
      anon_sym_EQ,
    ACTIONS(9128), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4005), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4007), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      sym_identifier,
  [16128] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9281), 1,
      anon_sym_RPAREN,
    ACTIONS(5076), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(5072), 37,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
  [16179] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9283), 1,
      anon_sym_RPAREN,
    ACTIONS(5076), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(5072), 37,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
  [16230] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9285), 1,
      anon_sym_RPAREN,
    ACTIONS(5076), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(5072), 37,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
  [16281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9287), 1,
      anon_sym_RPAREN,
    ACTIONS(5076), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(5072), 37,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
  [16332] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9289), 1,
      anon_sym_RPAREN,
    ACTIONS(5076), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(5072), 37,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
  [16383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9291), 1,
      anon_sym_RPAREN,
    ACTIONS(5076), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(5072), 37,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
  [16434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9293), 1,
      anon_sym_RPAREN,
    ACTIONS(5076), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(5072), 37,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
  [16485] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9295), 1,
      anon_sym_RPAREN,
    ACTIONS(5076), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(5072), 37,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
  [16536] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9297), 1,
      anon_sym_RPAREN,
    ACTIONS(5076), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(5072), 37,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
  [16587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9299), 1,
      anon_sym_RPAREN,
    ACTIONS(5076), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(5072), 37,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
  [16638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9301), 1,
      anon_sym_RPAREN,
    ACTIONS(5076), 3,
      anon_sym_const,
      anon_sym__Nullable,
      anon_sym___bridge,
    ACTIONS(5072), 37,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym___extension__,
      anon_sym_noreturn,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym__Nonnull,
      anon_sym_nullable,
      anon_sym__Complex,
      anon_sym__Nullable_result,
      anon_sym__Null_unspecified,
      anon_sym___autoreleasing,
      anon_sym___block,
      anon_sym___bridge_retained,
      anon_sym___bridge_transfer,
      anon_sym___complex,
      anon_sym___const,
      anon_sym___imag,
      anon_sym___kindof,
      anon_sym___nonnull,
      anon_sym___nullable,
      anon_sym___ptrauth_objc_class_ro,
      anon_sym___ptrauth_objc_isa_pointer,
      anon_sym___ptrauth_objc_super_pointer,
      anon_sym___real,
      anon_sym___strong,
      anon_sym___unsafe_unretained,
      anon_sym___unused,
      anon_sym___weak,
      anon_sym_alignas,
      anon_sym__Alignas,
  [16689] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4034), 1,
      anon_sym_EQ,
    ACTIONS(9307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9309), 1,
      anon_sym_PIPE,
    ACTIONS(9311), 1,
      anon_sym_CARET,
    ACTIONS(9313), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9303), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9315), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9317), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9319), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9305), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4036), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [16769] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9311), 1,
      anon_sym_CARET,
    ACTIONS(9313), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(4034), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(9303), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9315), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9317), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9319), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9305), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4036), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [16845] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9313), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9303), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9315), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9317), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9319), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4034), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(9305), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4036), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [16919] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9303), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9315), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9317), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9319), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9305), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4034), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(4036), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [16991] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9303), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9317), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9319), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9305), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4034), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(4036), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [17061] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9303), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9305), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4034), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(4036), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [17127] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9303), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9305), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4034), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(4036), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [17191] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4401), 1,
      anon_sym_EQ,
    ACTIONS(9307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9309), 1,
      anon_sym_PIPE,
    ACTIONS(9311), 1,
      anon_sym_CARET,
    ACTIONS(9313), 1,
      anon_sym_AMP,
    ACTIONS(9323), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9325), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9327), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9303), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9315), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9317), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9319), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9305), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4405), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [17277] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4421), 1,
      anon_sym_EQ,
    ACTIONS(9307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9309), 1,
      anon_sym_PIPE,
    ACTIONS(9311), 1,
      anon_sym_CARET,
    ACTIONS(9313), 1,
      anon_sym_AMP,
    ACTIONS(9323), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9325), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9327), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9303), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9315), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9317), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9319), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9305), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4423), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [17363] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1454), 1,
      aux_sym_selector_expression_repeat2,
    ACTIONS(3991), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3993), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [17413] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4372), 1,
      anon_sym_EQ,
    ACTIONS(9307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9309), 1,
      anon_sym_PIPE,
    ACTIONS(9311), 1,
      anon_sym_CARET,
    ACTIONS(9313), 1,
      anon_sym_AMP,
    ACTIONS(9325), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9329), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9303), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9315), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9317), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9319), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9305), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4377), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [17497] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4409), 1,
      anon_sym_EQ,
    ACTIONS(9307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9309), 1,
      anon_sym_PIPE,
    ACTIONS(9311), 1,
      anon_sym_CARET,
    ACTIONS(9313), 1,
      anon_sym_AMP,
    ACTIONS(9323), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9325), 1,
      anon_sym_PIPE_PIPE,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9303), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9315), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9317), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9319), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9305), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4411), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [17581] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4417), 1,
      anon_sym_EQ,
    ACTIONS(9307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9309), 1,
      anon_sym_PIPE,
    ACTIONS(9311), 1,
      anon_sym_CARET,
    ACTIONS(9313), 1,
      anon_sym_AMP,
    ACTIONS(9323), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9325), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9327), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9303), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9315), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9317), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9319), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9305), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4419), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [17667] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4413), 1,
      anon_sym_EQ,
    ACTIONS(9307), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9309), 1,
      anon_sym_PIPE,
    ACTIONS(9311), 1,
      anon_sym_CARET,
    ACTIONS(9313), 1,
      anon_sym_AMP,
    ACTIONS(9323), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9325), 1,
      anon_sym_PIPE_PIPE,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9303), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9315), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9317), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9319), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9305), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4415), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [17751] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9305), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4034), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(4036), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [17813] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4034), 1,
      anon_sym_EQ,
    ACTIONS(9309), 1,
      anon_sym_PIPE,
    ACTIONS(9311), 1,
      anon_sym_CARET,
    ACTIONS(9313), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(3985), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9303), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9315), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9317), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9319), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9305), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4036), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [17891] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8378), 1,
      anon_sym_EQ,
    ACTIONS(8380), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4005), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4007), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [17942] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4519), 1,
      anon_sym_EQ,
    ACTIONS(9332), 1,
      anon_sym_SEMI,
    ACTIONS(4523), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4005), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4007), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [17994] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(6998), 1,
      anon_sym_LBRACE,
    ACTIONS(9334), 1,
      sym_identifier,
    STATE(2930), 1,
      sym_field_declaration_list,
    STATE(5136), 1,
      sym_attribute_specifier,
    STATE(5559), 1,
      sym_ms_declspec_modifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(4136), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4138), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18053] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(4876), 1,
      anon_sym_SEMI,
    ACTIONS(6998), 1,
      anon_sym_LBRACE,
    ACTIONS(9334), 1,
      sym_identifier,
    STATE(2930), 1,
      sym_field_declaration_list,
    STATE(5136), 1,
      sym_attribute_specifier,
    STATE(5559), 1,
      sym_ms_declspec_modifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    ACTIONS(4136), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4138), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [18112] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4409), 1,
      anon_sym___attribute,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4411), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [18192] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4034), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute,
    ACTIONS(4036), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [18250] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4034), 1,
      anon_sym___attribute,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4036), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [18326] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4421), 1,
      anon_sym___attribute,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4423), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [18408] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4034), 2,
      anon_sym_PIPE,
      anon_sym___attribute,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4036), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [18480] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4417), 1,
      anon_sym___attribute,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4419), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [18562] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4034), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym___attribute,
    ACTIONS(4036), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [18628] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4372), 1,
      anon_sym___attribute,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9364), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4377), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [18708] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4034), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym___attribute,
    ACTIONS(4036), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [18776] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4034), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute,
    ACTIONS(4036), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [18838] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4034), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute,
    ACTIONS(4036), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [18898] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4401), 1,
      anon_sym___attribute,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4405), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [18980] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4034), 1,
      anon_sym___attribute,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4036), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [19054] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4034), 2,
      anon_sym_PIPE,
      anon_sym___attribute,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4036), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [19124] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4413), 1,
      anon_sym___attribute,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4415), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [19204] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9367), 1,
      sym_identifier,
    ACTIONS(9369), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9371), 1,
      anon_sym_COMMA,
    ACTIONS(9377), 1,
      anon_sym_SLASH,
    ACTIONS(9379), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9381), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9383), 1,
      anon_sym_PIPE,
    ACTIONS(9385), 1,
      anon_sym_CARET,
    ACTIONS(9387), 1,
      anon_sym_AMP,
    ACTIONS(9397), 1,
      anon_sym_RBRACK,
    ACTIONS(9399), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    STATE(5481), 1,
      aux_sym_attribute_repeat1,
    STATE(5511), 1,
      aux_sym_message_expression_repeat2,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9375), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9391), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9393), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19290] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9367), 1,
      sym_identifier,
    ACTIONS(9369), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9377), 1,
      anon_sym_SLASH,
    ACTIONS(9379), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9381), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9383), 1,
      anon_sym_PIPE,
    ACTIONS(9385), 1,
      anon_sym_CARET,
    ACTIONS(9387), 1,
      anon_sym_AMP,
    ACTIONS(9399), 1,
      anon_sym_QMARK,
    ACTIONS(9401), 1,
      anon_sym_COMMA,
    ACTIONS(9403), 1,
      anon_sym_RBRACK,
    STATE(1465), 1,
      sym_argument_list,
    STATE(5354), 1,
      aux_sym_attribute_repeat1,
    STATE(5546), 1,
      aux_sym_message_expression_repeat2,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9375), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9391), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9393), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19376] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9369), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9377), 1,
      anon_sym_SLASH,
    ACTIONS(9379), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9381), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9383), 1,
      anon_sym_PIPE,
    ACTIONS(9385), 1,
      anon_sym_CARET,
    ACTIONS(9387), 1,
      anon_sym_AMP,
    ACTIONS(9399), 1,
      anon_sym_QMARK,
    ACTIONS(9407), 1,
      anon_sym_COMMA,
    STATE(1465), 1,
      sym_argument_list,
    STATE(5153), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9375), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9391), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9393), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9405), 3,
      anon_sym_RBRACK,
      anon_sym_COLON,
      sym_identifier,
  [19458] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9411), 1,
      anon_sym___attribute,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9409), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [19538] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9377), 1,
      anon_sym_SLASH,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4034), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9375), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9391), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9393), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4036), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      sym_identifier,
  [19601] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9369), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9377), 1,
      anon_sym_SLASH,
    ACTIONS(9379), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9381), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9383), 1,
      anon_sym_PIPE,
    ACTIONS(9385), 1,
      anon_sym_CARET,
    ACTIONS(9387), 1,
      anon_sym_AMP,
    ACTIONS(9399), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9375), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9391), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9393), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9413), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      sym_identifier,
  [19678] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9369), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9377), 1,
      anon_sym_SLASH,
    ACTIONS(9379), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9381), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9383), 1,
      anon_sym_PIPE,
    ACTIONS(9385), 1,
      anon_sym_CARET,
    ACTIONS(9387), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9375), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9391), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9393), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4415), 5,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      sym_identifier,
  [19753] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9377), 1,
      anon_sym_SLASH,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9375), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4034), 6,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4036), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      sym_identifier,
  [19808] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9377), 1,
      anon_sym_SLASH,
    ACTIONS(9381), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9383), 1,
      anon_sym_PIPE,
    ACTIONS(9385), 1,
      anon_sym_CARET,
    ACTIONS(9387), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9375), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9391), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9393), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4036), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      sym_identifier,
  [19879] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9369), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9377), 1,
      anon_sym_SLASH,
    ACTIONS(9379), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9381), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9383), 1,
      anon_sym_PIPE,
    ACTIONS(9385), 1,
      anon_sym_CARET,
    ACTIONS(9387), 1,
      anon_sym_AMP,
    ACTIONS(9399), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9375), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9391), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9393), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4419), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      sym_identifier,
  [19956] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9369), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9377), 1,
      anon_sym_SLASH,
    ACTIONS(9379), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9381), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9383), 1,
      anon_sym_PIPE,
    ACTIONS(9385), 1,
      anon_sym_CARET,
    ACTIONS(9387), 1,
      anon_sym_AMP,
    ACTIONS(9399), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9375), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9391), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9393), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4405), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      sym_identifier,
  [20033] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9377), 1,
      anon_sym_SLASH,
    ACTIONS(9383), 1,
      anon_sym_PIPE,
    ACTIONS(9385), 1,
      anon_sym_CARET,
    ACTIONS(9387), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9375), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9391), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9393), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4036), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      sym_identifier,
  [20102] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9377), 1,
      anon_sym_SLASH,
    ACTIONS(9379), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9381), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9383), 1,
      anon_sym_PIPE,
    ACTIONS(9385), 1,
      anon_sym_CARET,
    ACTIONS(9387), 1,
      anon_sym_AMP,
    ACTIONS(9415), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9375), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9391), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9393), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4377), 5,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      sym_identifier,
  [20177] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4034), 1,
      anon_sym_PIPE,
    ACTIONS(9377), 1,
      anon_sym_SLASH,
    ACTIONS(9385), 1,
      anon_sym_CARET,
    ACTIONS(9387), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9375), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9391), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9393), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4036), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      sym_identifier,
  [20246] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4034), 1,
      anon_sym_PIPE,
    ACTIONS(9377), 1,
      anon_sym_SLASH,
    ACTIONS(9387), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9375), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9391), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9393), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4036), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      sym_identifier,
  [20313] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9369), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9377), 1,
      anon_sym_SLASH,
    ACTIONS(9379), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9381), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9383), 1,
      anon_sym_PIPE,
    ACTIONS(9385), 1,
      anon_sym_CARET,
    ACTIONS(9387), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9375), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9391), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9393), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4411), 5,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      sym_identifier,
  [20388] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9377), 1,
      anon_sym_SLASH,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4034), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9375), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9391), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9393), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4036), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      sym_identifier,
  [20453] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9377), 1,
      anon_sym_SLASH,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9375), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4034), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4036), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      sym_identifier,
  [20512] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9377), 1,
      anon_sym_SLASH,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9375), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4034), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4036), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      sym_identifier,
  [20569] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9369), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9377), 1,
      anon_sym_SLASH,
    ACTIONS(9379), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9381), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9383), 1,
      anon_sym_PIPE,
    ACTIONS(9385), 1,
      anon_sym_CARET,
    ACTIONS(9387), 1,
      anon_sym_AMP,
    ACTIONS(9399), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9375), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9391), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9393), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4423), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      sym_identifier,
  [20646] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9418), 1,
      anon_sym_COMMA,
    ACTIONS(9420), 1,
      anon_sym_RBRACE,
    STATE(1465), 1,
      sym_argument_list,
    STATE(5605), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20726] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9424), 1,
      anon_sym_COMMA,
    ACTIONS(9426), 1,
      anon_sym_RPAREN,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    STATE(5414), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20806] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9424), 1,
      anon_sym_COMMA,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9454), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    STATE(5643), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20886] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9456), 1,
      anon_sym_COMMA,
    ACTIONS(9458), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    STATE(5601), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20966] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9460), 1,
      anon_sym_COMMA,
    ACTIONS(9462), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    STATE(5390), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [21046] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9466), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
  [21124] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9424), 1,
      anon_sym_COMMA,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9468), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    STATE(5401), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [21204] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9424), 1,
      anon_sym_COMMA,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9470), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    STATE(5432), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [21284] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9472), 1,
      anon_sym_COMMA,
    ACTIONS(9474), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    STATE(5549), 1,
      aux_sym_availability_repeat1,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [21364] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9456), 1,
      anon_sym_COMMA,
    ACTIONS(9476), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    STATE(5665), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [21444] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9424), 1,
      anon_sym_COMMA,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9478), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    STATE(5449), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [21524] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9367), 1,
      sym_identifier,
    ACTIONS(9377), 1,
      anon_sym_SLASH,
    ACTIONS(9379), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9381), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9383), 1,
      anon_sym_PIPE,
    ACTIONS(9385), 1,
      anon_sym_CARET,
    ACTIONS(9387), 1,
      anon_sym_AMP,
    ACTIONS(9399), 1,
      anon_sym_QMARK,
    ACTIONS(9480), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9482), 1,
      anon_sym_RBRACK,
    STATE(1465), 1,
      sym_argument_list,
    STATE(5546), 1,
      aux_sym_message_expression_repeat2,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9375), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9391), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9393), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [21604] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9460), 1,
      anon_sym_COMMA,
    ACTIONS(9484), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    STATE(5531), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [21684] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9424), 1,
      anon_sym_COMMA,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9486), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    STATE(5388), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [21764] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9424), 1,
      anon_sym_COMMA,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9488), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    STATE(5343), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [21844] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9490), 1,
      anon_sym_COMMA,
    ACTIONS(9492), 1,
      anon_sym_RBRACE,
    STATE(1465), 1,
      sym_argument_list,
    STATE(5704), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [21924] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9424), 1,
      anon_sym_COMMA,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9494), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    STATE(5553), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [22004] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9424), 1,
      anon_sym_COMMA,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9496), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    STATE(5462), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [22084] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9424), 1,
      anon_sym_COMMA,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9498), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    STATE(5470), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [22164] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9500), 1,
      anon_sym_SEMI,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [22241] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9502), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [22316] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9504), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [22391] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4419), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [22466] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4415), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
  [22539] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4034), 6,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4036), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
  [22592] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4036), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
  [22661] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4036), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [22728] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4034), 1,
      anon_sym_PIPE,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4036), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [22795] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4034), 1,
      anon_sym_PIPE,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4036), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [22860] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4034), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4036), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [22923] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4034), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4036), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
  [22984] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4034), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4036), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
  [23041] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4034), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4036), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
  [23096] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9506), 1,
      anon_sym_SEMI,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [23173] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9508), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [23248] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4405), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [23323] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9510), 1,
      anon_sym_SEMI,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [23400] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9413), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [23475] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4423), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [23550] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9512), 1,
      anon_sym_SEMI,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [23627] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9514), 1,
      anon_sym_SEMI,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [23704] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9516), 1,
      anon_sym_SEMI,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [23781] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9518), 1,
      anon_sym_SEMI,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [23858] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9520), 1,
      anon_sym_COMMA,
    ACTIONS(9522), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [23935] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9524), 1,
      anon_sym_COLON,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [24012] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9526), 1,
      anon_sym_COLON,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [24089] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9528), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [24164] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9530), 1,
      anon_sym_SEMI,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [24241] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9532), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [24316] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9367), 1,
      sym_identifier,
    ACTIONS(9369), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9377), 1,
      anon_sym_SLASH,
    ACTIONS(9379), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9381), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9383), 1,
      anon_sym_PIPE,
    ACTIONS(9385), 1,
      anon_sym_CARET,
    ACTIONS(9387), 1,
      anon_sym_AMP,
    ACTIONS(9399), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    STATE(5511), 1,
      aux_sym_message_expression_repeat2,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9375), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9391), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9393), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [24393] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9520), 1,
      anon_sym_COMMA,
    ACTIONS(9534), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [24470] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9536), 1,
      anon_sym_SEMI,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [24547] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9538), 1,
      anon_sym_SEMI,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [24624] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9540), 1,
      anon_sym_SEMI,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [24701] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9542), 1,
      anon_sym_SEMI,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [24778] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9544), 1,
      anon_sym_COLON,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [24855] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9546), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [24930] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9548), 1,
      anon_sym_COLON,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [25007] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9550), 1,
      anon_sym_SEMI,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [25084] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9520), 1,
      anon_sym_COMMA,
    ACTIONS(9552), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [25161] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9554), 1,
      anon_sym_SEMI,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [25238] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9556), 1,
      anon_sym_COLON,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [25315] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9558), 1,
      anon_sym_COLON,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [25392] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9413), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [25467] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9560), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4377), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
  [25540] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4411), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
  [25613] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1627), 1,
      aux_sym_selector_expression_repeat2,
    ACTIONS(3991), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(3993), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [25652] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9563), 1,
      anon_sym_COLON,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [25729] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9565), 1,
      anon_sym_COLON,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [25806] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9466), 1,
      anon_sym_RPAREN,
    ACTIONS(9520), 1,
      anon_sym_COMMA,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [25883] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9367), 1,
      sym_identifier,
    ACTIONS(9369), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9377), 1,
      anon_sym_SLASH,
    ACTIONS(9379), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9381), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9383), 1,
      anon_sym_PIPE,
    ACTIONS(9385), 1,
      anon_sym_CARET,
    ACTIONS(9387), 1,
      anon_sym_AMP,
    ACTIONS(9399), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    STATE(5546), 1,
      aux_sym_message_expression_repeat2,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9375), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9391), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9393), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [25960] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9520), 1,
      anon_sym_COMMA,
    ACTIONS(9567), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [26037] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9569), 1,
      anon_sym_SEMI,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [26114] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9571), 1,
      anon_sym_COLON,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [26191] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9520), 1,
      anon_sym_COMMA,
    ACTIONS(9573), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [26268] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9575), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [26343] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9577), 1,
      anon_sym_COLON,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [26420] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9579), 1,
      anon_sym_SEMI,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [26497] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9581), 1,
      anon_sym_SEMI,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [26574] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9583), 1,
      anon_sym_COLON,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [26651] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9585), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [26726] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9520), 1,
      anon_sym_COMMA,
    ACTIONS(9587), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [26803] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9589), 1,
      anon_sym_COLON,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [26880] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9464), 1,
      anon_sym_COMMA,
    ACTIONS(9591), 1,
      anon_sym_SEMI,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [26957] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9520), 1,
      anon_sym_COMMA,
    ACTIONS(9593), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [27034] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9520), 1,
      anon_sym_COMMA,
    ACTIONS(9595), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [27111] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9369), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9377), 1,
      anon_sym_SLASH,
    ACTIONS(9379), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9381), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9383), 1,
      anon_sym_PIPE,
    ACTIONS(9385), 1,
      anon_sym_CARET,
    ACTIONS(9387), 1,
      anon_sym_AMP,
    ACTIONS(9597), 1,
      anon_sym_RBRACK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4415), 2,
      anon_sym_QMARK,
      sym_identifier,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9375), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9389), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9391), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9393), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [27186] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9599), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [27260] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9601), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [27334] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9603), 1,
      anon_sym_RBRACK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [27408] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9605), 1,
      anon_sym_SEMI,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [27482] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9607), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [27556] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9609), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [27630] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9611), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [27704] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9613), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [27778] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9615), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [27852] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9617), 1,
      anon_sym_RBRACK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [27926] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9619), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [28000] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9621), 1,
      anon_sym_COMMA,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [28074] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9623), 1,
      anon_sym_SEMI,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [28148] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(4415), 1,
      anon_sym_QMARK,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9597), 1,
      anon_sym_RBRACK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [28222] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9625), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [28296] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9627), 1,
      anon_sym_COLON,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [28370] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9629), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [28444] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9631), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [28518] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9633), 1,
      anon_sym_COMMA,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [28592] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9635), 1,
      anon_sym_COLON,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [28666] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9637), 1,
      anon_sym_COLON,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [28740] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9639), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [28814] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9641), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [28888] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9643), 1,
      anon_sym_SEMI,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [28962] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9645), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [29036] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9482), 1,
      anon_sym_RBRACK,
    ACTIONS(9647), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [29110] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(67), 1,
      anon_sym_union,
    ACTIONS(3028), 1,
      anon_sym_struct,
    ACTIONS(4362), 1,
      anon_sym_enum,
    ACTIONS(8855), 1,
      sym_identifier,
    ACTIONS(8859), 1,
      sym_primitive_type,
    STATE(4191), 1,
      sym_type_specifier,
    STATE(4194), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(117), 3,
      anon_sym___typeof__,
      anon_sym___typeof,
      anon_sym_typeof,
    ACTIONS(8857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(147), 5,
      anon_sym_BOOL,
      anon_sym_IMP,
      anon_sym_SEL,
      anon_sym_Class,
      anon_sym_id,
    STATE(2966), 9,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
      sym_typeof_specifier,
      sym_generic_specifier,
      sym_typedefed_specifier,
      sym_array_type_specifier,
  [29164] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8583), 1,
      anon_sym_RBRACK,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [29238] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9649), 1,
      anon_sym_RBRACK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [29312] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9651), 1,
      anon_sym_SEMI,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [29386] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8601), 1,
      anon_sym_RBRACK,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [29460] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8577), 1,
      anon_sym_RBRACK,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [29534] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8593), 1,
      anon_sym_RBRACK,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [29608] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9653), 1,
      anon_sym_RBRACK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [29682] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8611), 1,
      anon_sym_RBRACK,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [29756] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9655), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [29830] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8595), 1,
      anon_sym_RBRACK,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [29904] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9657), 1,
      anon_sym_RBRACK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [29978] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(67), 1,
      anon_sym_union,
    ACTIONS(3028), 1,
      anon_sym_struct,
    ACTIONS(4362), 1,
      anon_sym_enum,
    ACTIONS(8855), 1,
      sym_identifier,
    ACTIONS(8859), 1,
      sym_primitive_type,
    STATE(4187), 1,
      sym_type_specifier,
    STATE(4194), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(117), 3,
      anon_sym___typeof__,
      anon_sym___typeof,
      anon_sym_typeof,
    ACTIONS(8857), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(147), 5,
      anon_sym_BOOL,
      anon_sym_IMP,
      anon_sym_SEL,
      anon_sym_Class,
      anon_sym_id,
    STATE(2966), 9,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
      sym_typeof_specifier,
      sym_generic_specifier,
      sym_typedefed_specifier,
      sym_array_type_specifier,
  [30032] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8635), 1,
      anon_sym_RBRACK,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [30106] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9659), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [30180] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9661), 1,
      anon_sym_RBRACK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [30254] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      sym_primitive_type,
    ACTIONS(67), 1,
      anon_sym_union,
    ACTIONS(3028), 1,
      anon_sym_struct,
    ACTIONS(4362), 1,
      anon_sym_enum,
    ACTIONS(9663), 1,
      sym_identifier,
    STATE(4275), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5756), 1,
      sym_type_specifier,
    ACTIONS(117), 3,
      anon_sym___typeof__,
      anon_sym___typeof,
      anon_sym_typeof,
    ACTIONS(9665), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(147), 5,
      anon_sym_BOOL,
      anon_sym_IMP,
      anon_sym_SEL,
      anon_sym_Class,
      anon_sym_id,
    STATE(2966), 9,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
      sym_typeof_specifier,
      sym_generic_specifier,
      sym_typedefed_specifier,
      sym_array_type_specifier,
  [30308] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9667), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [30382] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9669), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [30456] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8617), 1,
      anon_sym_RBRACK,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [30530] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9671), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [30604] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8571), 1,
      anon_sym_RBRACK,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [30678] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9673), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [30752] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9675), 1,
      anon_sym_SEMI,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [30826] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8639), 1,
      anon_sym_RBRACK,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [30900] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9677), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [30974] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(6288), 1,
      anon_sym_COMMA,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [31048] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9679), 1,
      anon_sym_COLON,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [31122] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9681), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [31196] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9683), 1,
      anon_sym_COLON,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [31270] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8631), 1,
      anon_sym_RBRACK,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [31344] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9685), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [31418] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      sym_primitive_type,
    ACTIONS(67), 1,
      anon_sym_union,
    ACTIONS(3028), 1,
      anon_sym_struct,
    ACTIONS(4362), 1,
      anon_sym_enum,
    ACTIONS(9663), 1,
      sym_identifier,
    STATE(4275), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5898), 1,
      sym_type_specifier,
    ACTIONS(117), 3,
      anon_sym___typeof__,
      anon_sym___typeof,
      anon_sym_typeof,
    ACTIONS(9665), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(147), 5,
      anon_sym_BOOL,
      anon_sym_IMP,
      anon_sym_SEL,
      anon_sym_Class,
      anon_sym_id,
    STATE(2966), 9,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
      sym_typeof_specifier,
      sym_generic_specifier,
      sym_typedefed_specifier,
      sym_array_type_specifier,
  [31472] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9687), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [31546] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9689), 1,
      anon_sym_COLON,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [31620] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      sym_primitive_type,
    ACTIONS(67), 1,
      anon_sym_union,
    ACTIONS(3028), 1,
      anon_sym_struct,
    ACTIONS(4362), 1,
      anon_sym_enum,
    ACTIONS(9663), 1,
      sym_identifier,
    STATE(4275), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5757), 1,
      sym_type_specifier,
    ACTIONS(117), 3,
      anon_sym___typeof__,
      anon_sym___typeof,
      anon_sym_typeof,
    ACTIONS(9665), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(147), 5,
      anon_sym_BOOL,
      anon_sym_IMP,
      anon_sym_SEL,
      anon_sym_Class,
      anon_sym_id,
    STATE(2966), 9,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
      sym_typeof_specifier,
      sym_generic_specifier,
      sym_typedefed_specifier,
      sym_array_type_specifier,
  [31674] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9691), 1,
      anon_sym_COLON,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [31748] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9693), 1,
      anon_sym_COMMA,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [31822] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8591), 1,
      anon_sym_RBRACK,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [31896] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8641), 1,
      anon_sym_RBRACK,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [31970] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9695), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [32044] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      sym_primitive_type,
    ACTIONS(67), 1,
      anon_sym_union,
    ACTIONS(3028), 1,
      anon_sym_struct,
    ACTIONS(4362), 1,
      anon_sym_enum,
    ACTIONS(9663), 1,
      sym_identifier,
    STATE(4275), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5734), 1,
      sym_type_specifier,
    ACTIONS(117), 3,
      anon_sym___typeof__,
      anon_sym___typeof,
      anon_sym_typeof,
    ACTIONS(9665), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(147), 5,
      anon_sym_BOOL,
      anon_sym_IMP,
      anon_sym_SEL,
      anon_sym_Class,
      anon_sym_id,
    STATE(2966), 9,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
      sym_typeof_specifier,
      sym_generic_specifier,
      sym_typedefed_specifier,
      sym_array_type_specifier,
  [32098] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9697), 1,
      anon_sym_SEMI,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [32172] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9699), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [32246] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9701), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [32320] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9703), 1,
      anon_sym_SEMI,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [32394] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9705), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [32468] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9707), 1,
      anon_sym_COMMA,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [32542] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9709), 1,
      anon_sym_COMMA,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [32616] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9422), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9432), 1,
      anon_sym_SLASH,
    ACTIONS(9434), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9436), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9438), 1,
      anon_sym_PIPE,
    ACTIONS(9440), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_AMP,
    ACTIONS(9452), 1,
      anon_sym_QMARK,
    ACTIONS(9711), 1,
      anon_sym_RPAREN,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9444), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9446), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9448), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9450), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [32690] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(8615), 1,
      anon_sym_RBRACK,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [32764] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    ACTIONS(9713), 1,
      anon_sym_COLON,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [32838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_SEMI,
    ACTIONS(4136), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4138), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [32875] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    ACTIONS(3983), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_DOT,
    ACTIONS(3989), 1,
      anon_sym_DASH_GT,
    ACTIONS(9336), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9342), 1,
      anon_sym_SLASH,
    ACTIONS(9344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    ACTIONS(9350), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      anon_sym_AMP,
    ACTIONS(9362), 1,
      anon_sym_QMARK,
    STATE(1465), 1,
      sym_argument_list,
    ACTIONS(4647), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(9338), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9340), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9354), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9356), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9358), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9360), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [32946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9332), 1,
      anon_sym_SEMI,
    ACTIONS(4005), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4007), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [32983] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(5471), 1,
      anon_sym_LPAREN2,
    ACTIONS(5473), 1,
      anon_sym_STAR,
    ACTIONS(5475), 1,
      anon_sym_CARET,
    ACTIONS(7971), 1,
      anon_sym_LBRACK,
    STATE(3068), 1,
      sym__declarator,
    STATE(4274), 1,
      sym_parameter_list,
    STATE(5168), 1,
      sym__abstract_declarator,
    STATE(5960), 1,
      sym_ms_based_modifier,
    ACTIONS(9715), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
    STATE(4850), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_block_pointer_declarator,
  [33035] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9717), 1,
      sym_identifier,
    ACTIONS(9719), 1,
      anon_sym_RPAREN,
    ACTIONS(9721), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      anon_sym_defined,
    ACTIONS(9725), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9727), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9729), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9731), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4629), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [33079] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9735), 1,
      anon_sym_LPAREN2,
    STATE(4633), 1,
      sym_preproc_argument_list,
    ACTIONS(9737), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9733), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [33113] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9717), 1,
      sym_identifier,
    ACTIONS(9721), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      anon_sym_defined,
    ACTIONS(9739), 1,
      anon_sym_RPAREN,
    ACTIONS(9725), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9727), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9741), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9731), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4622), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [33157] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9717), 1,
      sym_identifier,
    ACTIONS(9721), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      anon_sym_defined,
    ACTIONS(9743), 1,
      anon_sym_RPAREN,
    ACTIONS(9725), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9727), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9745), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9731), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4614), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [33201] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9757), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4691), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [33242] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9761), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4668), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [33283] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9717), 1,
      sym_identifier,
    ACTIONS(9721), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      anon_sym_defined,
    ACTIONS(9725), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9727), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9763), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9731), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4638), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [33324] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9717), 1,
      sym_identifier,
    ACTIONS(9721), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      anon_sym_defined,
    ACTIONS(9725), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9727), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9765), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9731), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4643), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [33365] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9767), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4695), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [33406] = 5,
    ACTIONS(9733), 1,
      anon_sym_LF,
    ACTIONS(9769), 1,
      anon_sym_LPAREN2,
    ACTIONS(9771), 1,
      sym_comment,
    STATE(4689), 1,
      sym_preproc_argument_list,
    ACTIONS(9737), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [33439] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9773), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4693), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [33480] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9775), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4673), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [33521] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9777), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4694), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [33562] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9779), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4667), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [33603] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9781), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4661), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [33644] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9783), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4679), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [33685] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9785), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4669), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [33726] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9717), 1,
      sym_identifier,
    ACTIONS(9721), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      anon_sym_defined,
    ACTIONS(9725), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9727), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9787), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9731), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4646), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [33767] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9789), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4690), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [33808] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9791), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4657), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [33849] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9793), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4677), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [33890] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9795), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4682), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [33931] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9717), 1,
      sym_identifier,
    ACTIONS(9721), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      anon_sym_defined,
    ACTIONS(9725), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9727), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9797), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9731), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4634), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [33972] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9717), 1,
      sym_identifier,
    ACTIONS(9721), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      anon_sym_defined,
    ACTIONS(9725), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9727), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9799), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9731), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4637), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [34013] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9801), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4674), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [34054] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9803), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4684), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [34095] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9805), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4670), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [34136] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9807), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4680), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [34177] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9809), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4656), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [34218] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9717), 1,
      sym_identifier,
    ACTIONS(9721), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      anon_sym_defined,
    ACTIONS(9725), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9727), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9811), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9731), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4648), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [34259] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(4310), 1,
      anon_sym_enum,
    ACTIONS(6411), 1,
      sym_identifier,
    ACTIONS(6413), 1,
      anon_sym_LPAREN2,
    ACTIONS(6415), 1,
      anon_sym_STAR,
    ACTIONS(6417), 1,
      anon_sym_CARET,
    ACTIONS(9813), 1,
      anon_sym_SEMI,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    STATE(4810), 1,
      sym__field_declarator,
    STATE(4941), 1,
      sym_enum_specifier,
    STATE(5237), 1,
      sym_bitfield_clause,
    STATE(6012), 1,
      sym_ms_based_modifier,
    STATE(6451), 1,
      sym_attribute_specifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(4910), 6,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_block_pointer_field_declarator,
  [34314] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9717), 1,
      sym_identifier,
    ACTIONS(9721), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      anon_sym_defined,
    ACTIONS(9725), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9727), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9817), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9731), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4653), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [34355] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9717), 1,
      sym_identifier,
    ACTIONS(9721), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      anon_sym_defined,
    ACTIONS(9725), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9727), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9819), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9731), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4640), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [34396] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9717), 1,
      sym_identifier,
    ACTIONS(9721), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      anon_sym_defined,
    ACTIONS(9725), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9727), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9821), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9731), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4639), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [34437] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9717), 1,
      sym_identifier,
    ACTIONS(9721), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      anon_sym_defined,
    ACTIONS(9725), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9727), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9823), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9731), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4655), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [34478] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(4310), 1,
      anon_sym_enum,
    ACTIONS(6411), 1,
      sym_identifier,
    ACTIONS(6413), 1,
      anon_sym_LPAREN2,
    ACTIONS(6415), 1,
      anon_sym_STAR,
    ACTIONS(6417), 1,
      anon_sym_CARET,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(9825), 1,
      anon_sym_SEMI,
    STATE(4805), 1,
      sym__field_declarator,
    STATE(4911), 1,
      sym_enum_specifier,
    STATE(5288), 1,
      sym_bitfield_clause,
    STATE(6004), 1,
      sym_attribute_specifier,
    STATE(6012), 1,
      sym_ms_based_modifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(4910), 6,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_block_pointer_field_declarator,
  [34533] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9717), 1,
      sym_identifier,
    ACTIONS(9721), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      anon_sym_defined,
    ACTIONS(9725), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9727), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9827), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9731), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4654), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [34574] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9829), 1,
      anon_sym_COMMA,
    ACTIONS(9831), 1,
      anon_sym_RPAREN,
    ACTIONS(9837), 1,
      anon_sym_SLASH,
    ACTIONS(9839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9841), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9843), 1,
      anon_sym_PIPE,
    ACTIONS(9845), 1,
      anon_sym_CARET,
    ACTIONS(9847), 1,
      anon_sym_AMP,
    STATE(5627), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9833), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9835), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9849), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9851), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9853), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [34629] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9857), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4671), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [34670] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9859), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4685), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [34711] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9861), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4675), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [34752] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9863), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4658), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [34793] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9865), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4676), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [34834] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9867), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4659), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [34875] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9717), 1,
      sym_identifier,
    ACTIONS(9721), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      anon_sym_defined,
    ACTIONS(9725), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9727), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9869), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9731), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4683), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [34916] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9829), 1,
      anon_sym_COMMA,
    ACTIONS(9837), 1,
      anon_sym_SLASH,
    ACTIONS(9839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9841), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9843), 1,
      anon_sym_PIPE,
    ACTIONS(9845), 1,
      anon_sym_CARET,
    ACTIONS(9847), 1,
      anon_sym_AMP,
    ACTIONS(9871), 1,
      anon_sym_RPAREN,
    STATE(5455), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9833), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9835), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9849), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9851), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9853), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [34971] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9873), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4666), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [35012] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9717), 1,
      sym_identifier,
    ACTIONS(9721), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      anon_sym_defined,
    ACTIONS(9725), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9727), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9875), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9731), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4688), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [35053] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9877), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4660), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [35094] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9879), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4696), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [35135] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9717), 1,
      sym_identifier,
    ACTIONS(9721), 1,
      anon_sym_LPAREN2,
    ACTIONS(9723), 1,
      anon_sym_defined,
    ACTIONS(9725), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9727), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9881), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9731), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4645), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [35176] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9883), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4678), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [35217] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9829), 1,
      anon_sym_COMMA,
    ACTIONS(9837), 1,
      anon_sym_SLASH,
    ACTIONS(9839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9841), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9843), 1,
      anon_sym_PIPE,
    ACTIONS(9845), 1,
      anon_sym_CARET,
    ACTIONS(9847), 1,
      anon_sym_AMP,
    ACTIONS(9885), 1,
      anon_sym_RPAREN,
    STATE(5673), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9833), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9835), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9849), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9851), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9853), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [35272] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(4310), 1,
      anon_sym_enum,
    ACTIONS(6411), 1,
      sym_identifier,
    ACTIONS(6413), 1,
      anon_sym_LPAREN2,
    ACTIONS(6415), 1,
      anon_sym_STAR,
    ACTIONS(6417), 1,
      anon_sym_CARET,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(9887), 1,
      anon_sym_SEMI,
    STATE(4806), 1,
      sym__field_declarator,
    STATE(4904), 1,
      sym_enum_specifier,
    STATE(5238), 1,
      sym_bitfield_clause,
    STATE(6012), 1,
      sym_ms_based_modifier,
    STATE(6315), 1,
      sym_attribute_specifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(4910), 6,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_block_pointer_field_declarator,
  [35327] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9889), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4672), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [35368] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9747), 1,
      sym_identifier,
    ACTIONS(9749), 1,
      anon_sym_LPAREN2,
    ACTIONS(9751), 1,
      anon_sym_defined,
    ACTIONS(9753), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9755), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9891), 2,
      sym_number_literal,
      sym_system_lib_string,
    ACTIONS(9759), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(4664), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [35409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9895), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9893), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [35437] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9837), 1,
      anon_sym_SLASH,
    ACTIONS(9843), 1,
      anon_sym_PIPE,
    ACTIONS(9845), 1,
      anon_sym_CARET,
    ACTIONS(9847), 1,
      anon_sym_AMP,
    ACTIONS(9833), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9835), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9849), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9851), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9853), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9897), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [35483] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(9899), 1,
      sym_identifier,
    ACTIONS(9901), 1,
      sym_version_number,
    ACTIONS(9903), 1,
      anon_sym_COLON2,
    STATE(4848), 1,
      sym_string_literal,
    STATE(5045), 1,
      aux_sym_method_identifier_repeat1,
    STATE(5623), 1,
      sym_platform,
    STATE(5765), 3,
      sym_concatenated_string,
      sym_version,
      sym_method_identifier,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
    ACTIONS(8350), 5,
      anon_sym_ios,
      anon_sym_tvos,
      anon_sym_macos,
      anon_sym_macosx,
      anon_sym_watchos,
  [35527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9907), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9905), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [35555] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9837), 1,
      anon_sym_SLASH,
    ACTIONS(9833), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9835), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9851), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9853), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9909), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(9897), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [35595] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9837), 1,
      anon_sym_SLASH,
    ACTIONS(9833), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9835), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9909), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9897), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [35631] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9837), 1,
      anon_sym_SLASH,
    ACTIONS(9845), 1,
      anon_sym_CARET,
    ACTIONS(9847), 1,
      anon_sym_AMP,
    ACTIONS(9909), 1,
      anon_sym_PIPE,
    ACTIONS(9833), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9835), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9849), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9851), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9853), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9897), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [35677] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9837), 1,
      anon_sym_SLASH,
    ACTIONS(9833), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9835), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9909), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9897), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [35711] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(9901), 1,
      sym_version_number,
    ACTIONS(9903), 1,
      anon_sym_COLON2,
    ACTIONS(9911), 1,
      sym_identifier,
    STATE(4844), 1,
      sym_string_literal,
    STATE(5045), 1,
      aux_sym_method_identifier_repeat1,
    STATE(5623), 1,
      sym_platform,
    STATE(5648), 3,
      sym_concatenated_string,
      sym_version,
      sym_method_identifier,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
    ACTIONS(8350), 5,
      anon_sym_ios,
      anon_sym_tvos,
      anon_sym_macos,
      anon_sym_macosx,
      anon_sym_watchos,
  [35755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9915), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9913), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [35783] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9837), 1,
      anon_sym_SLASH,
    ACTIONS(9847), 1,
      anon_sym_AMP,
    ACTIONS(9909), 1,
      anon_sym_PIPE,
    ACTIONS(9833), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9835), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9849), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9851), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9853), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9897), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [35827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9919), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9917), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [35855] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9837), 1,
      anon_sym_SLASH,
    ACTIONS(9833), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9835), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9849), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9851), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9853), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9909), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(9897), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [35897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9923), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9921), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [35925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9927), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9925), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [35953] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9837), 1,
      anon_sym_SLASH,
    ACTIONS(9839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9841), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9843), 1,
      anon_sym_PIPE,
    ACTIONS(9845), 1,
      anon_sym_CARET,
    ACTIONS(9847), 1,
      anon_sym_AMP,
    ACTIONS(9833), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9835), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9849), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9851), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9853), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9929), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [36003] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(9901), 1,
      sym_version_number,
    ACTIONS(9903), 1,
      anon_sym_COLON2,
    ACTIONS(9931), 1,
      sym_identifier,
    STATE(4840), 1,
      sym_string_literal,
    STATE(5045), 1,
      aux_sym_method_identifier_repeat1,
    STATE(5623), 1,
      sym_platform,
    STATE(5589), 3,
      sym_concatenated_string,
      sym_version,
      sym_method_identifier,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
    ACTIONS(8350), 5,
      anon_sym_ios,
      anon_sym_tvos,
      anon_sym_macos,
      anon_sym_macosx,
      anon_sym_watchos,
  [36047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9935), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9933), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [36075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4164), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4166), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [36103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9939), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9937), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [36131] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9837), 1,
      anon_sym_SLASH,
    ACTIONS(9835), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9909), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9897), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [36163] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9837), 1,
      anon_sym_SLASH,
    ACTIONS(9841), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9843), 1,
      anon_sym_PIPE,
    ACTIONS(9845), 1,
      anon_sym_CARET,
    ACTIONS(9847), 1,
      anon_sym_AMP,
    ACTIONS(9833), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9835), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9849), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9851), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9853), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9897), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [36211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9909), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9897), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [36239] = 10,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9897), 1,
      anon_sym_LF,
    ACTIONS(9945), 1,
      anon_sym_CARET,
    ACTIONS(9947), 1,
      anon_sym_AMP,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9949), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9953), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9909), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9951), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [36280] = 12,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9945), 1,
      anon_sym_CARET,
    ACTIONS(9947), 1,
      anon_sym_AMP,
    ACTIONS(9955), 1,
      anon_sym_LF,
    ACTIONS(9957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9961), 1,
      anon_sym_PIPE,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9949), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9953), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9951), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [36325] = 4,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9897), 1,
      anon_sym_LF,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9909), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [36354] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9897), 1,
      anon_sym_LF,
    ACTIONS(9909), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [36381] = 12,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9945), 1,
      anon_sym_CARET,
    ACTIONS(9947), 1,
      anon_sym_AMP,
    ACTIONS(9957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9961), 1,
      anon_sym_PIPE,
    ACTIONS(9963), 1,
      anon_sym_LF,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9949), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9953), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9951), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [36426] = 12,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9945), 1,
      anon_sym_CARET,
    ACTIONS(9947), 1,
      anon_sym_AMP,
    ACTIONS(9957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9961), 1,
      anon_sym_PIPE,
    ACTIONS(9965), 1,
      anon_sym_LF,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9949), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9953), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9951), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [36471] = 3,
    ACTIONS(4166), 1,
      anon_sym_LF,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(4164), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [36498] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9913), 1,
      anon_sym_LF,
    ACTIONS(9915), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [36525] = 12,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9945), 1,
      anon_sym_CARET,
    ACTIONS(9947), 1,
      anon_sym_AMP,
    ACTIONS(9957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9961), 1,
      anon_sym_PIPE,
    ACTIONS(9967), 1,
      anon_sym_LF,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9949), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9953), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9951), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [36570] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9937), 1,
      anon_sym_LF,
    ACTIONS(9939), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [36597] = 12,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9945), 1,
      anon_sym_CARET,
    ACTIONS(9947), 1,
      anon_sym_AMP,
    ACTIONS(9957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9961), 1,
      anon_sym_PIPE,
    ACTIONS(9969), 1,
      anon_sym_LF,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9949), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9953), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9951), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [36642] = 11,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9897), 1,
      anon_sym_LF,
    ACTIONS(9945), 1,
      anon_sym_CARET,
    ACTIONS(9947), 1,
      anon_sym_AMP,
    ACTIONS(9961), 1,
      anon_sym_PIPE,
    ACTIONS(9909), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9949), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9953), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9951), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [36685] = 9,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9897), 1,
      anon_sym_LF,
    ACTIONS(9947), 1,
      anon_sym_AMP,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9949), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9953), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9909), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(9951), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [36724] = 8,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9897), 1,
      anon_sym_LF,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9949), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9953), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9951), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(9909), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [36761] = 7,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9897), 1,
      anon_sym_LF,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9951), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(9909), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [36796] = 6,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9897), 1,
      anon_sym_LF,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9953), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9909), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [36829] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9897), 1,
      anon_sym_LF,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9909), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [36860] = 12,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9945), 1,
      anon_sym_CARET,
    ACTIONS(9947), 1,
      anon_sym_AMP,
    ACTIONS(9957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9961), 1,
      anon_sym_PIPE,
    ACTIONS(9971), 1,
      anon_sym_LF,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9949), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9953), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9951), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [36905] = 12,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9945), 1,
      anon_sym_CARET,
    ACTIONS(9947), 1,
      anon_sym_AMP,
    ACTIONS(9957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9961), 1,
      anon_sym_PIPE,
    ACTIONS(9973), 1,
      anon_sym_LF,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9949), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9953), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9951), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [36950] = 12,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9945), 1,
      anon_sym_CARET,
    ACTIONS(9947), 1,
      anon_sym_AMP,
    ACTIONS(9957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9961), 1,
      anon_sym_PIPE,
    ACTIONS(9975), 1,
      anon_sym_LF,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9949), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9953), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9951), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [36995] = 12,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9945), 1,
      anon_sym_CARET,
    ACTIONS(9947), 1,
      anon_sym_AMP,
    ACTIONS(9957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9961), 1,
      anon_sym_PIPE,
    ACTIONS(9977), 1,
      anon_sym_LF,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9949), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9953), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9951), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [37040] = 12,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9945), 1,
      anon_sym_CARET,
    ACTIONS(9947), 1,
      anon_sym_AMP,
    ACTIONS(9957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9961), 1,
      anon_sym_PIPE,
    ACTIONS(9979), 1,
      anon_sym_LF,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9949), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9953), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9951), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [37085] = 12,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9945), 1,
      anon_sym_CARET,
    ACTIONS(9947), 1,
      anon_sym_AMP,
    ACTIONS(9957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9961), 1,
      anon_sym_PIPE,
    ACTIONS(9981), 1,
      anon_sym_LF,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9949), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9953), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9951), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [37130] = 12,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9945), 1,
      anon_sym_CARET,
    ACTIONS(9947), 1,
      anon_sym_AMP,
    ACTIONS(9957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9961), 1,
      anon_sym_PIPE,
    ACTIONS(9983), 1,
      anon_sym_LF,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9949), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9953), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9951), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [37175] = 12,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9945), 1,
      anon_sym_CARET,
    ACTIONS(9947), 1,
      anon_sym_AMP,
    ACTIONS(9957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9961), 1,
      anon_sym_PIPE,
    ACTIONS(9985), 1,
      anon_sym_LF,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9949), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9953), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9951), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [37220] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9933), 1,
      anon_sym_LF,
    ACTIONS(9935), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37247] = 12,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9945), 1,
      anon_sym_CARET,
    ACTIONS(9947), 1,
      anon_sym_AMP,
    ACTIONS(9957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9961), 1,
      anon_sym_PIPE,
    ACTIONS(9987), 1,
      anon_sym_LF,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9949), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9953), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9951), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [37292] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9837), 1,
      anon_sym_SLASH,
    ACTIONS(9839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9841), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9843), 1,
      anon_sym_PIPE,
    ACTIONS(9845), 1,
      anon_sym_CARET,
    ACTIONS(9847), 1,
      anon_sym_AMP,
    ACTIONS(9989), 1,
      anon_sym_RPAREN,
    ACTIONS(9833), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9835), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9849), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9851), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9853), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37341] = 12,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9945), 1,
      anon_sym_CARET,
    ACTIONS(9947), 1,
      anon_sym_AMP,
    ACTIONS(9957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9961), 1,
      anon_sym_PIPE,
    ACTIONS(9991), 1,
      anon_sym_LF,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9949), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9953), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9951), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [37386] = 12,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9945), 1,
      anon_sym_CARET,
    ACTIONS(9947), 1,
      anon_sym_AMP,
    ACTIONS(9957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9961), 1,
      anon_sym_PIPE,
    ACTIONS(9993), 1,
      anon_sym_LF,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9949), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9953), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9951), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [37431] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9905), 1,
      anon_sym_LF,
    ACTIONS(9907), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37458] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9917), 1,
      anon_sym_LF,
    ACTIONS(9919), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37485] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9837), 1,
      anon_sym_SLASH,
    ACTIONS(9839), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9841), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9843), 1,
      anon_sym_PIPE,
    ACTIONS(9845), 1,
      anon_sym_CARET,
    ACTIONS(9847), 1,
      anon_sym_AMP,
    ACTIONS(9995), 1,
      anon_sym_RPAREN,
    ACTIONS(9833), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9835), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9849), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9851), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9853), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9855), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37534] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9893), 1,
      anon_sym_LF,
    ACTIONS(9895), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37561] = 12,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9945), 1,
      anon_sym_CARET,
    ACTIONS(9947), 1,
      anon_sym_AMP,
    ACTIONS(9957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9961), 1,
      anon_sym_PIPE,
    ACTIONS(9997), 1,
      anon_sym_LF,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9949), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9953), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9951), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [37606] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9921), 1,
      anon_sym_LF,
    ACTIONS(9923), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37633] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9925), 1,
      anon_sym_LF,
    ACTIONS(9927), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37660] = 12,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9945), 1,
      anon_sym_CARET,
    ACTIONS(9947), 1,
      anon_sym_AMP,
    ACTIONS(9957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9961), 1,
      anon_sym_PIPE,
    ACTIONS(9999), 1,
      anon_sym_LF,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9949), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9953), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9951), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [37705] = 12,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9945), 1,
      anon_sym_CARET,
    ACTIONS(9947), 1,
      anon_sym_AMP,
    ACTIONS(9957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9961), 1,
      anon_sym_PIPE,
    ACTIONS(10001), 1,
      anon_sym_LF,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9949), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9953), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9951), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [37750] = 12,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9945), 1,
      anon_sym_CARET,
    ACTIONS(9947), 1,
      anon_sym_AMP,
    ACTIONS(9957), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9961), 1,
      anon_sym_PIPE,
    ACTIONS(10003), 1,
      anon_sym_LF,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9949), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9953), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9951), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [37795] = 12,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9897), 1,
      anon_sym_LF,
    ACTIONS(9909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9945), 1,
      anon_sym_CARET,
    ACTIONS(9947), 1,
      anon_sym_AMP,
    ACTIONS(9959), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9961), 1,
      anon_sym_PIPE,
    ACTIONS(9941), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9949), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9953), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9943), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9951), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [37840] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6039), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [37884] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6464), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [37928] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6317), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [37972] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6589), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [38016] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6320), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [38060] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6647), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [38104] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6649), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [38148] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6654), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [38192] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6265), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [38236] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6742), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [38280] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6747), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [38324] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6749), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [38368] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(5980), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [38412] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6329), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [38456] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6400), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [38500] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6323), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [38544] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6254), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [38588] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6779), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [38632] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6407), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [38676] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6782), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [38720] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6531), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [38764] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6792), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [38808] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6032), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [38852] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6118), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [38896] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6789), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [38940] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(5963), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [38984] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(5947), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [39028] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6627), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [39072] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6668), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [39116] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6677), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [39160] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(5992), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [39204] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6124), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [39248] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6126), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [39292] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6243), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [39336] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6261), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [39380] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(5994), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [39424] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(5996), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [39468] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(5951), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [39512] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6481), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [39556] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6023), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [39600] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6489), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [39644] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6025), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [39688] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6028), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [39732] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6585), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [39776] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6357), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [39820] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6156), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [39864] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6655), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [39908] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(5957), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [39952] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6624), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [39996] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6319), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [40040] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6038), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [40084] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6264), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [40128] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6014), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [40172] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6220), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [40216] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6071), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [40260] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6091), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [40304] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6092), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [40348] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6093), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [40392] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6359), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [40436] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6111), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [40480] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6112), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [40524] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6115), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [40568] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6693), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [40612] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6122), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [40656] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6123), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [40700] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6221), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [40744] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6302), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [40788] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6125), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [40832] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6146), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [40876] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6769), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [40920] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6166), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [40964] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6167), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [41008] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6170), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [41052] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6201), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [41096] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6432), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [41140] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6435), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [41184] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6439), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [41228] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6202), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [41272] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6203), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [41316] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6370), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [41360] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6211), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [41404] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6213), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [41448] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6214), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [41492] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6540), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [41536] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6225), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [41580] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6238), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [41624] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6239), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [41668] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6240), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [41712] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6521), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [41756] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6255), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [41800] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6256), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [41844] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6625), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [41888] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6440), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [41932] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6550), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [41976] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6046), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [42020] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6551), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [42064] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6552), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [42108] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6257), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [42152] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6444), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [42196] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3035), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    STATE(6042), 1,
      sym__type_definition_declarators,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [42240] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5694), 1,
      sym_identifier,
    ACTIONS(5696), 1,
      anon_sym_LPAREN2,
    ACTIONS(5704), 1,
      sym_primitive_type,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_CARET,
    STATE(3272), 1,
      sym__type_declarator,
    STATE(5923), 1,
      sym_ms_based_modifier,
    ACTIONS(5702), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3256), 5,
      sym_parenthesized_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
      sym_block_pointer_type_declarator,
  [42281] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4496), 1,
      anon_sym_LPAREN2,
    ACTIONS(6866), 1,
      anon_sym_STAR,
    ACTIONS(6868), 1,
      anon_sym_CARET,
    ACTIONS(7971), 1,
      anon_sym_LBRACK,
    ACTIONS(10007), 1,
      anon_sym___attribute,
    STATE(4301), 1,
      sym_parameter_list,
    STATE(5008), 1,
      sym__abstract_declarator,
    ACTIONS(10005), 3,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
    STATE(4850), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_block_pointer_declarator,
  [42318] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(4310), 1,
      anon_sym_enum,
    ACTIONS(6411), 1,
      sym_identifier,
    ACTIONS(6413), 1,
      anon_sym_LPAREN2,
    ACTIONS(6415), 1,
      anon_sym_STAR,
    ACTIONS(6417), 1,
      anon_sym_CARET,
    STATE(4842), 1,
      sym__field_declarator,
    STATE(5103), 1,
      sym_enum_specifier,
    STATE(6012), 1,
      sym_ms_based_modifier,
    STATE(4910), 6,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_block_pointer_field_declarator,
  [42357] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3022), 1,
      anon_sym_LBRACK,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(6980), 1,
      sym_identifier,
    ACTIONS(6988), 1,
      anon_sym_COLON,
    ACTIONS(10009), 1,
      anon_sym_SEMI,
    STATE(4822), 1,
      sym_method_type,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(2888), 2,
      sym_method_parameter,
      aux_sym_method_declaration_repeat1,
    STATE(3227), 2,
      sym_keyword_declarator,
      aux_sym_keyword_selector_repeat1,
    STATE(4966), 2,
      sym_attribute_specifier,
      sym_attribute_declaration,
  [42395] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6477), 1,
      anon_sym_STAR,
    ACTIONS(6479), 1,
      anon_sym_CARET,
    ACTIONS(8374), 1,
      anon_sym_COLON,
    STATE(3250), 1,
      sym__declarator,
    STATE(3298), 1,
      sym_struct_declarator,
    STATE(5960), 1,
      sym_ms_based_modifier,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
  [42433] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4496), 1,
      anon_sym_LPAREN2,
    ACTIONS(4498), 1,
      anon_sym_STAR,
    ACTIONS(4500), 1,
      anon_sym_CARET,
    ACTIONS(7971), 1,
      anon_sym_LBRACK,
    STATE(4274), 1,
      sym_parameter_list,
    STATE(5067), 1,
      sym__abstract_declarator,
    ACTIONS(10005), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
    STATE(4850), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_block_pointer_declarator,
  [42467] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3022), 1,
      anon_sym_LBRACK,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(6980), 1,
      sym_identifier,
    ACTIONS(6988), 1,
      anon_sym_COLON,
    ACTIONS(10009), 1,
      anon_sym_SEMI,
    STATE(4827), 1,
      sym_method_type,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(2891), 2,
      sym_method_parameter,
      aux_sym_method_declaration_repeat1,
    STATE(3227), 2,
      sym_keyword_declarator,
      aux_sym_keyword_selector_repeat1,
    STATE(4974), 2,
      sym_attribute_specifier,
      sym_attribute_declaration,
  [42505] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3022), 1,
      anon_sym_LBRACK,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(6980), 1,
      sym_identifier,
    ACTIONS(6988), 1,
      anon_sym_COLON,
    ACTIONS(10009), 1,
      anon_sym_SEMI,
    STATE(4825), 1,
      sym_method_type,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(2887), 2,
      sym_method_parameter,
      aux_sym_method_declaration_repeat1,
    STATE(3227), 2,
      sym_keyword_declarator,
      aux_sym_keyword_selector_repeat1,
    STATE(4972), 2,
      sym_attribute_specifier,
      sym_attribute_declaration,
  [42543] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(10011), 1,
      anon_sym_COMMA,
    ACTIONS(10013), 1,
      anon_sym_SEMI,
    ACTIONS(10015), 1,
      anon_sym_LBRACK,
    STATE(4285), 1,
      sym_parameter_list,
    STATE(4923), 1,
      sym_bitfield_clause,
    STATE(4924), 1,
      aux_sym_field_declaration_repeat1,
    STATE(6346), 1,
      sym_attribute_specifier,
    STATE(4852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_field_declarator_repeat1,
  [42584] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(10011), 1,
      anon_sym_COMMA,
    ACTIONS(10015), 1,
      anon_sym_LBRACK,
    ACTIONS(10017), 1,
      anon_sym_SEMI,
    STATE(4285), 1,
      sym_parameter_list,
    STATE(4913), 1,
      sym_bitfield_clause,
    STATE(4914), 1,
      aux_sym_field_declaration_repeat1,
    STATE(6078), 1,
      sym_attribute_specifier,
    STATE(4852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_field_declarator_repeat1,
  [42625] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(6485), 1,
      sym_identifier,
    ACTIONS(6487), 1,
      anon_sym_LPAREN2,
    ACTIONS(6489), 1,
      anon_sym_STAR,
    ACTIONS(6491), 1,
      anon_sym_CARET,
    STATE(2689), 1,
      sym__declarator,
    STATE(2825), 1,
      sym_init_declarator,
    STATE(6231), 1,
      sym_ms_based_modifier,
    STATE(2789), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
  [42660] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(4490), 1,
      anon_sym_LPAREN2,
    ACTIONS(4492), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      sym_identifier,
    STATE(1889), 1,
      sym__old_style_function_declarator,
    STATE(4962), 1,
      sym__declarator,
    STATE(6208), 1,
      sym_ms_based_modifier,
    STATE(3994), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
  [42695] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(4490), 1,
      anon_sym_LPAREN2,
    ACTIONS(4492), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      sym_identifier,
    STATE(1917), 1,
      sym__old_style_function_declarator,
    STATE(5012), 1,
      sym__declarator,
    STATE(6208), 1,
      sym_ms_based_modifier,
    STATE(3994), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
  [42730] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(10011), 1,
      anon_sym_COMMA,
    ACTIONS(10015), 1,
      anon_sym_LBRACK,
    ACTIONS(10019), 1,
      anon_sym_SEMI,
    STATE(4285), 1,
      sym_parameter_list,
    STATE(4946), 1,
      sym_bitfield_clause,
    STATE(4947), 1,
      aux_sym_field_declaration_repeat1,
    STATE(6562), 1,
      sym_attribute_specifier,
    STATE(4852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_field_declarator_repeat1,
  [42771] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(4490), 1,
      anon_sym_LPAREN2,
    ACTIONS(4492), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      sym_identifier,
    STATE(1898), 1,
      sym__old_style_function_declarator,
    STATE(4994), 1,
      sym__declarator,
    STATE(6208), 1,
      sym_ms_based_modifier,
    STATE(3994), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
  [42806] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(103), 1,
      anon_sym___asm,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    STATE(4885), 1,
      sym_gnu_asm_expression,
    ACTIONS(6814), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4890), 2,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(6483), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
  [42837] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(10021), 1,
      anon_sym_COMMA,
    ACTIONS(10023), 1,
      anon_sym_RPAREN,
    ACTIONS(10025), 1,
      anon_sym_LPAREN2,
    ACTIONS(10027), 1,
      anon_sym_COLON2,
    STATE(1928), 1,
      sym_string_literal,
    STATE(5020), 1,
      aux_sym_method_identifier_repeat1,
    STATE(5402), 1,
      aux_sym_availability_attribute_specifier_repeat1,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [42872] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6477), 1,
      anon_sym_STAR,
    ACTIONS(6479), 1,
      anon_sym_CARET,
    STATE(2825), 1,
      sym_init_declarator,
    STATE(3246), 1,
      sym__declarator,
    STATE(5960), 1,
      sym_ms_based_modifier,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
  [42907] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(10021), 1,
      anon_sym_COMMA,
    ACTIONS(10027), 1,
      anon_sym_COLON2,
    ACTIONS(10029), 1,
      anon_sym_RPAREN,
    ACTIONS(10031), 1,
      anon_sym_LPAREN2,
    STATE(1928), 1,
      sym_string_literal,
    STATE(5020), 1,
      aux_sym_method_identifier_repeat1,
    STATE(5582), 1,
      aux_sym_availability_attribute_specifier_repeat1,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [42942] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(5469), 1,
      sym_identifier,
    ACTIONS(6475), 1,
      anon_sym_LPAREN2,
    ACTIONS(6477), 1,
      anon_sym_STAR,
    ACTIONS(6479), 1,
      anon_sym_CARET,
    STATE(3232), 1,
      sym__declarator,
    STATE(3282), 1,
      sym_init_declarator,
    STATE(5960), 1,
      sym_ms_based_modifier,
    STATE(3082), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
  [42977] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(4490), 1,
      anon_sym_LPAREN2,
    ACTIONS(4492), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      sym_identifier,
    STATE(1916), 1,
      sym__old_style_function_declarator,
    STATE(5005), 1,
      sym__declarator,
    STATE(6208), 1,
      sym_ms_based_modifier,
    STATE(3994), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
  [43012] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(6485), 1,
      sym_identifier,
    ACTIONS(6487), 1,
      anon_sym_LPAREN2,
    ACTIONS(6489), 1,
      anon_sym_STAR,
    ACTIONS(6491), 1,
      anon_sym_CARET,
    STATE(2687), 1,
      sym__declarator,
    STATE(2814), 1,
      sym_init_declarator,
    STATE(6231), 1,
      sym_ms_based_modifier,
    STATE(2789), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
  [43047] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(4490), 1,
      anon_sym_LPAREN2,
    ACTIONS(4492), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      sym_identifier,
    STATE(1913), 1,
      sym__old_style_function_declarator,
    STATE(5007), 1,
      sym__declarator,
    STATE(6208), 1,
      sym_ms_based_modifier,
    STATE(3994), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
  [43082] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(4490), 1,
      anon_sym_LPAREN2,
    ACTIONS(4492), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      sym_identifier,
    STATE(5033), 1,
      sym__declarator,
    STATE(6208), 1,
      sym_ms_based_modifier,
    STATE(3994), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
  [43114] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(4490), 1,
      anon_sym_LPAREN2,
    ACTIONS(4492), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      sym_identifier,
    STATE(5054), 1,
      sym__declarator,
    STATE(6208), 1,
      sym_ms_based_modifier,
    STATE(3994), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
  [43146] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3022), 1,
      anon_sym_LBRACK,
    ACTIONS(6980), 1,
      sym_identifier,
    ACTIONS(6988), 1,
      anon_sym_COLON,
    ACTIONS(10009), 1,
      anon_sym_SEMI,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(2902), 2,
      sym_method_parameter,
      aux_sym_method_declaration_repeat1,
    STATE(3227), 2,
      sym_keyword_declarator,
      aux_sym_keyword_selector_repeat1,
    STATE(4983), 2,
      sym_attribute_specifier,
      sym_attribute_declaration,
  [43178] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(4490), 1,
      anon_sym_LPAREN2,
    ACTIONS(4492), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      sym_identifier,
    STATE(5072), 1,
      sym__declarator,
    STATE(6208), 1,
      sym_ms_based_modifier,
    STATE(3994), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
  [43210] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(4490), 1,
      anon_sym_LPAREN2,
    ACTIONS(4492), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      sym_identifier,
    STATE(5082), 1,
      sym__declarator,
    STATE(6208), 1,
      sym_ms_based_modifier,
    STATE(3994), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
  [43242] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3022), 1,
      anon_sym_LBRACK,
    ACTIONS(6980), 1,
      sym_identifier,
    ACTIONS(6988), 1,
      anon_sym_COLON,
    ACTIONS(10009), 1,
      anon_sym_SEMI,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(2895), 2,
      sym_method_parameter,
      aux_sym_method_declaration_repeat1,
    STATE(3227), 2,
      sym_keyword_declarator,
      aux_sym_keyword_selector_repeat1,
    STATE(5001), 2,
      sym_attribute_specifier,
      sym_attribute_declaration,
  [43274] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(4490), 1,
      anon_sym_LPAREN2,
    ACTIONS(4492), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      sym_identifier,
    STATE(5059), 1,
      sym__declarator,
    STATE(6208), 1,
      sym_ms_based_modifier,
    STATE(3994), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
  [43306] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3022), 1,
      anon_sym_LBRACK,
    ACTIONS(6980), 1,
      sym_identifier,
    ACTIONS(6988), 1,
      anon_sym_COLON,
    ACTIONS(10009), 1,
      anon_sym_SEMI,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(2892), 2,
      sym_method_parameter,
      aux_sym_method_declaration_repeat1,
    STATE(3227), 2,
      sym_keyword_declarator,
      aux_sym_keyword_selector_repeat1,
    STATE(5010), 2,
      sym_attribute_specifier,
      sym_attribute_declaration,
  [43338] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(4490), 1,
      anon_sym_LPAREN2,
    ACTIONS(4492), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      sym_identifier,
    STATE(5097), 1,
      sym__declarator,
    STATE(6208), 1,
      sym_ms_based_modifier,
    STATE(3994), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
  [43370] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(4490), 1,
      anon_sym_LPAREN2,
    ACTIONS(4492), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      sym_identifier,
    STATE(5085), 1,
      sym__declarator,
    STATE(6208), 1,
      sym_ms_based_modifier,
    STATE(3994), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
  [43402] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4218), 1,
      anon_sym___based,
    ACTIONS(4490), 1,
      anon_sym_LPAREN2,
    ACTIONS(4492), 1,
      anon_sym_STAR,
    ACTIONS(4494), 1,
      anon_sym_CARET,
    ACTIONS(5334), 1,
      sym_identifier,
    STATE(5104), 1,
      sym__declarator,
    STATE(6208), 1,
      sym_ms_based_modifier,
    STATE(3994), 5,
      sym_parenthesized_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_block_pointer_declarator,
  [43434] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(10033), 1,
      sym_identifier,
    STATE(2071), 1,
      sym_string_literal,
    ACTIONS(10035), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(5235), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [43462] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(10027), 1,
      anon_sym_COLON2,
    ACTIONS(10039), 1,
      anon_sym_LPAREN2,
    STATE(1928), 1,
      sym_string_literal,
    STATE(5020), 1,
      aux_sym_method_identifier_repeat1,
    ACTIONS(10037), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [43492] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8350), 1,
      anon_sym_macos,
    ACTIONS(9901), 1,
      sym_version_number,
    ACTIONS(10041), 1,
      anon_sym_COMMA,
    ACTIONS(10043), 1,
      anon_sym_RPAREN,
    STATE(5520), 1,
      aux_sym_available_expression_repeat1,
    STATE(5521), 1,
      sym_version,
    STATE(5623), 1,
      sym_platform,
    ACTIONS(10045), 4,
      anon_sym_ios,
      anon_sym_tvos,
      anon_sym_macosx,
      anon_sym_watchos,
  [43523] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10049), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10053), 1,
      aux_sym_preproc_elif_token1,
    STATE(4956), 1,
      aux_sym_preproc_ifdef_in_enumerator_repeat1,
    STATE(6485), 1,
      sym_enumerator,
    ACTIONS(10055), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6665), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_enumerator,
      sym_preproc_elif_in_enumerator,
  [43554] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4661), 1,
      anon_sym_COLON,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10009), 1,
      anon_sym_SEMI,
    ACTIONS(10057), 1,
      sym_identifier,
    STATE(1719), 1,
      sym_method_parameter,
    STATE(4886), 1,
      sym_method_type,
    STATE(5061), 1,
      sym_attribute_specifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(1734), 2,
      sym_keyword_declarator,
      aux_sym_keyword_selector_repeat1,
  [43587] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4661), 1,
      anon_sym_COLON,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10009), 1,
      anon_sym_SEMI,
    ACTIONS(10059), 1,
      sym_identifier,
    STATE(1686), 1,
      sym_method_parameter,
    STATE(4895), 1,
      sym_method_type,
    STATE(5027), 1,
      sym_attribute_specifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(1732), 2,
      sym_keyword_declarator,
      aux_sym_keyword_selector_repeat1,
  [43620] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10053), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10061), 1,
      aux_sym_preproc_if_token2,
    STATE(4834), 1,
      aux_sym_preproc_ifdef_in_enumerator_repeat1,
    STATE(6485), 1,
      sym_enumerator,
    ACTIONS(10055), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6473), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_enumerator,
      sym_preproc_elif_in_enumerator,
  [43651] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8350), 1,
      anon_sym_macos,
    ACTIONS(9901), 1,
      sym_version_number,
    ACTIONS(10041), 1,
      anon_sym_COMMA,
    ACTIONS(10063), 1,
      anon_sym_RPAREN,
    STATE(5595), 1,
      aux_sym_available_expression_repeat1,
    STATE(5599), 1,
      sym_version,
    STATE(5623), 1,
      sym_platform,
    ACTIONS(10045), 4,
      anon_sym_ios,
      anon_sym_tvos,
      anon_sym_macosx,
      anon_sym_watchos,
  [43682] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10067), 1,
      anon_sym_LBRACK,
    ACTIONS(10069), 1,
      anon_sym_AT,
    STATE(5255), 1,
      sym_gnu_asm_output_operand,
    STATE(6529), 1,
      sym_string_literal,
    ACTIONS(10065), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [43709] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(5300), 1,
      sym_identifier,
    ACTIONS(10021), 1,
      anon_sym_COMMA,
    ACTIONS(10029), 1,
      anon_sym_RPAREN,
    STATE(1928), 1,
      sym_string_literal,
    STATE(5582), 1,
      aux_sym_availability_attribute_specifier_repeat1,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [43738] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4661), 1,
      anon_sym_COLON,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10009), 1,
      anon_sym_SEMI,
    ACTIONS(10071), 1,
      sym_identifier,
    STATE(1701), 1,
      sym_method_parameter,
    STATE(4889), 1,
      sym_method_type,
    STATE(5044), 1,
      sym_attribute_specifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(1729), 2,
      sym_keyword_declarator,
      aux_sym_keyword_selector_repeat1,
  [43771] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10015), 1,
      anon_sym_LBRACK,
    ACTIONS(10075), 1,
      anon_sym___attribute,
    ACTIONS(10077), 1,
      anon_sym_COLON,
    STATE(4285), 1,
      sym_parameter_list,
    STATE(5128), 1,
      sym_bitfield_clause,
    STATE(4852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_field_declarator_repeat1,
    ACTIONS(10073), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [43802] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10069), 1,
      anon_sym_AT,
    ACTIONS(10082), 1,
      anon_sym_LBRACK,
    STATE(5176), 1,
      sym_gnu_asm_input_operand,
    STATE(6033), 1,
      sym_string_literal,
    ACTIONS(10080), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [43829] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(5300), 1,
      sym_identifier,
    ACTIONS(10021), 1,
      anon_sym_COMMA,
    ACTIONS(10023), 1,
      anon_sym_RPAREN,
    STATE(1928), 1,
      sym_string_literal,
    STATE(5402), 1,
      aux_sym_availability_attribute_specifier_repeat1,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [43858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10084), 1,
      anon_sym___attribute,
    ACTIONS(9248), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
      anon_sym_COLON,
  [43876] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(10033), 1,
      sym_identifier,
    STATE(2071), 1,
      sym_string_literal,
    STATE(5592), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [43900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10088), 1,
      anon_sym___attribute,
    ACTIONS(10086), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
      anon_sym_COLON,
  [43918] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(5300), 1,
      sym_identifier,
    STATE(1928), 1,
      sym_string_literal,
    ACTIONS(10037), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [43942] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10090), 1,
      sym_identifier,
    ACTIONS(10092), 1,
      anon_sym_AT,
    ACTIONS(10096), 1,
      sym_system_lib_string,
    STATE(6082), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10094), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [43966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10100), 1,
      anon_sym___attribute,
    ACTIONS(10098), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
      anon_sym_COLON,
  [43984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10104), 1,
      anon_sym___attribute,
    ACTIONS(10102), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
      anon_sym_COLON,
  [44002] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6986), 1,
      anon_sym_LBRACK,
    ACTIONS(10108), 1,
      anon_sym___attribute,
    STATE(4874), 2,
      sym_attribute_declaration,
      aux_sym_attributed_field_declarator_repeat1,
    ACTIONS(10106), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [44024] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10015), 1,
      anon_sym_LBRACK,
    ACTIONS(10112), 1,
      anon_sym___attribute,
    STATE(4285), 1,
      sym_parameter_list,
    STATE(4852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_field_declarator_repeat1,
    ACTIONS(10110), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [44050] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(10033), 1,
      sym_identifier,
    STATE(2071), 1,
      sym_string_literal,
    STATE(5378), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [44074] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(10033), 1,
      sym_identifier,
    STATE(2071), 1,
      sym_string_literal,
    STATE(5351), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [44098] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(10033), 1,
      sym_identifier,
    STATE(2071), 1,
      sym_string_literal,
    STATE(5594), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [44122] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(10033), 1,
      sym_identifier,
    STATE(2071), 1,
      sym_string_literal,
    STATE(5389), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [44146] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10092), 1,
      anon_sym_AT,
    ACTIONS(10114), 1,
      sym_identifier,
    ACTIONS(10116), 1,
      sym_system_lib_string,
    STATE(6512), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10094), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [44170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10120), 1,
      anon_sym___attribute,
    ACTIONS(10118), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
      anon_sym_COLON,
  [44188] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10092), 1,
      anon_sym_AT,
    ACTIONS(10122), 1,
      sym_identifier,
    ACTIONS(10124), 1,
      sym_system_lib_string,
    STATE(6437), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10094), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [44212] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10015), 1,
      anon_sym_LBRACK,
    ACTIONS(10128), 1,
      anon_sym___attribute,
    STATE(4285), 1,
      sym_parameter_list,
    STATE(4852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_field_declarator_repeat1,
    ACTIONS(10126), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [44238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10132), 1,
      anon_sym___attribute,
    ACTIONS(10130), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
      anon_sym_COLON,
  [44256] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10092), 1,
      anon_sym_AT,
    ACTIONS(10134), 1,
      sym_identifier,
    ACTIONS(10136), 1,
      sym_system_lib_string,
    STATE(6233), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10094), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [44280] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10015), 1,
      anon_sym_LBRACK,
    ACTIONS(10140), 1,
      anon_sym___attribute,
    STATE(4285), 1,
      sym_parameter_list,
    STATE(4852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_field_declarator_repeat1,
    ACTIONS(10138), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [44306] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10015), 1,
      anon_sym_LBRACK,
    ACTIONS(10144), 1,
      anon_sym___attribute,
    STATE(4285), 1,
      sym_parameter_list,
    STATE(4852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_field_declarator_repeat1,
    ACTIONS(10142), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [44332] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10015), 1,
      anon_sym_LBRACK,
    ACTIONS(10148), 1,
      anon_sym___attribute,
    STATE(4285), 1,
      sym_parameter_list,
    STATE(4852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_field_declarator_repeat1,
    ACTIONS(10146), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [44358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10152), 1,
      anon_sym___attribute,
    ACTIONS(10150), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
      anon_sym_COLON,
  [44376] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(10033), 1,
      sym_identifier,
    STATE(2071), 1,
      sym_string_literal,
    STATE(5552), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [44400] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8350), 1,
      anon_sym_macos,
    ACTIONS(9901), 1,
      sym_version_number,
    STATE(5623), 1,
      sym_platform,
    STATE(5771), 1,
      sym_version,
    ACTIONS(10154), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(10045), 4,
      anon_sym_ios,
      anon_sym_tvos,
      anon_sym_macosx,
      anon_sym_watchos,
  [44426] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10092), 1,
      anon_sym_AT,
    ACTIONS(10156), 1,
      sym_identifier,
    ACTIONS(10158), 1,
      sym_system_lib_string,
    STATE(6216), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(10094), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [44450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10162), 1,
      anon_sym___attribute,
    ACTIONS(10160), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
      anon_sym_COLON,
  [44468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10166), 1,
      anon_sym___attribute,
    ACTIONS(10164), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
      anon_sym_COLON,
  [44486] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(10033), 1,
      sym_identifier,
    STATE(2071), 1,
      sym_string_literal,
    STATE(5537), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [44510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10170), 1,
      anon_sym___attribute,
    ACTIONS(10172), 1,
      anon_sym_LBRACK,
    STATE(4874), 2,
      sym_attribute_declaration,
      aux_sym_attributed_field_declarator_repeat1,
    ACTIONS(10168), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [44532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10177), 1,
      anon_sym___attribute,
    ACTIONS(10175), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
      anon_sym_COLON,
  [44550] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(10033), 1,
      sym_identifier,
    STATE(2071), 1,
      sym_string_literal,
    STATE(5471), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [44574] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7074), 1,
      anon_sym_LT,
    ACTIONS(10179), 1,
      anon_sym_LPAREN2,
    STATE(2919), 1,
      aux_sym_generic_specifier_repeat1,
    STATE(2952), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5922), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(8376), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [44600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10181), 1,
      anon_sym___attribute,
    ACTIONS(9246), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
      anon_sym_COLON,
  [44618] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_AT,
    ACTIONS(10033), 1,
      sym_identifier,
    STATE(2071), 1,
      sym_string_literal,
    STATE(5478), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [44642] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10015), 1,
      anon_sym_LBRACK,
    ACTIONS(10185), 1,
      anon_sym___attribute,
    STATE(4285), 1,
      sym_parameter_list,
    STATE(4852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_field_declarator_repeat1,
    ACTIONS(10183), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [44668] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    ACTIONS(10187), 1,
      sym_identifier,
    ACTIONS(10189), 1,
      anon_sym_COLON,
    STATE(3170), 1,
      sym_enumerator_list,
    STATE(5099), 1,
      sym_attribute_specifier,
    STATE(5192), 1,
      sym_ms_declspec_modifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
  [44697] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10067), 1,
      anon_sym_LBRACK,
    ACTIONS(10069), 1,
      anon_sym_AT,
    STATE(5634), 1,
      sym_gnu_asm_output_operand,
    STATE(6529), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [44720] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(818), 1,
      sym_finally_clause,
    ACTIONS(2308), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(10191), 2,
      anon_sym_ATcatch,
      anon_sym___catch,
    ACTIONS(10193), 2,
      anon_sym_ATfinally,
      anon_sym___finally,
    STATE(4927), 2,
      sym_catch_clause,
      aux_sym_try_statement_repeat1,
  [44743] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(8792), 1,
      anon_sym_LBRACE,
    ACTIONS(10195), 1,
      sym_identifier,
    ACTIONS(10197), 1,
      anon_sym_COLON,
    STATE(4084), 1,
      sym_enumerator_list,
    STATE(5019), 1,
      sym_attribute_specifier,
    STATE(5273), 1,
      sym_ms_declspec_modifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
  [44772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    STATE(4896), 2,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(6695), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
  [44793] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4661), 1,
      anon_sym_COLON,
    ACTIONS(10009), 1,
      anon_sym_SEMI,
    ACTIONS(10199), 1,
      sym_identifier,
    STATE(1716), 1,
      sym_method_parameter,
    STATE(5069), 1,
      sym_attribute_specifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(1730), 2,
      sym_keyword_declarator,
      aux_sym_keyword_selector_repeat1,
  [44820] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    ACTIONS(10201), 1,
      sym_identifier,
    ACTIONS(10203), 1,
      anon_sym_COLON,
    STATE(4152), 1,
      sym_enumerator_list,
    STATE(5056), 1,
      sym_attribute_specifier,
    STATE(5182), 1,
      sym_ms_declspec_modifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
  [44849] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6709), 1,
      anon_sym___attribute,
    ACTIONS(7574), 1,
      anon_sym___attribute__,
    STATE(4888), 2,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(6707), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
  [44870] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4661), 1,
      anon_sym_COLON,
    ACTIONS(10009), 1,
      anon_sym_SEMI,
    ACTIONS(10205), 1,
      sym_identifier,
    STATE(1711), 1,
      sym_method_parameter,
    STATE(5029), 1,
      sym_attribute_specifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(1733), 2,
      sym_keyword_declarator,
      aux_sym_keyword_selector_repeat1,
  [44897] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    STATE(4888), 2,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(6695), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
  [44918] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(8792), 1,
      anon_sym_LBRACE,
    ACTIONS(10207), 1,
      sym_identifier,
    ACTIONS(10209), 1,
      anon_sym_COLON,
    STATE(3889), 1,
      sym_enumerator_list,
    STATE(5075), 1,
      sym_attribute_specifier,
    STATE(5243), 1,
      sym_ms_declspec_modifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
  [44947] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10069), 1,
      anon_sym_AT,
    ACTIONS(10082), 1,
      anon_sym_LBRACK,
    STATE(5534), 1,
      sym_gnu_asm_input_operand,
    STATE(6033), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [44970] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    ACTIONS(10203), 1,
      anon_sym_COLON,
    ACTIONS(10211), 1,
      sym_identifier,
    STATE(4152), 1,
      sym_enumerator_list,
    STATE(5024), 1,
      sym_attribute_specifier,
    STATE(5215), 1,
      sym_ms_declspec_modifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
  [44999] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    ACTIONS(10189), 1,
      anon_sym_COLON,
    ACTIONS(10213), 1,
      sym_identifier,
    STATE(3170), 1,
      sym_enumerator_list,
    STATE(5073), 1,
      sym_attribute_specifier,
    STATE(5196), 1,
      sym_ms_declspec_modifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
  [45028] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4661), 1,
      anon_sym_COLON,
    ACTIONS(10009), 1,
      anon_sym_SEMI,
    ACTIONS(10215), 1,
      sym_identifier,
    STATE(1695), 1,
      sym_method_parameter,
    STATE(5037), 1,
      sym_attribute_specifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
    STATE(1728), 2,
      sym_keyword_declarator,
      aux_sym_keyword_selector_repeat1,
  [45055] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    STATE(4888), 2,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(6703), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
  [45076] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(8792), 1,
      anon_sym_LBRACE,
    ACTIONS(10209), 1,
      anon_sym_COLON,
    ACTIONS(10217), 1,
      sym_identifier,
    STATE(3889), 1,
      sym_enumerator_list,
    STATE(5043), 1,
      sym_attribute_specifier,
    STATE(5184), 1,
      sym_ms_declspec_modifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
  [45105] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10219), 1,
      anon_sym_LPAREN2,
    ACTIONS(10221), 1,
      anon_sym_LBRACE,
    STATE(5009), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10223), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [45125] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(10011), 1,
      anon_sym_COMMA,
    ACTIONS(10225), 1,
      anon_sym_SEMI,
    STATE(5070), 1,
      aux_sym_field_declaration_repeat1,
    STATE(5202), 1,
      sym_bitfield_clause,
    STATE(6268), 1,
      sym_attribute_specifier,
  [45153] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(8111), 1,
      anon_sym_LBRACE,
    ACTIONS(8113), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    STATE(1500), 1,
      sym_compound_statement,
    STATE(5046), 1,
      sym_parameter_list,
    STATE(5486), 1,
      sym_attribute_specifier,
  [45181] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(10011), 1,
      anon_sym_COMMA,
    ACTIONS(10227), 1,
      anon_sym_SEMI,
    STATE(5070), 1,
      aux_sym_field_declaration_repeat1,
    STATE(5217), 1,
      sym_bitfield_clause,
    STATE(6297), 1,
      sym_attribute_specifier,
  [45209] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10229), 1,
      sym_identifier,
    ACTIONS(10231), 1,
      anon_sym_COMMA,
    ACTIONS(10233), 1,
      anon_sym_RBRACE,
    STATE(3052), 1,
      sym_enumerator,
    ACTIONS(7103), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(4907), 2,
      sym_preproc_ifdef_in_enumerator,
      aux_sym_enumerator_list_repeat1,
  [45233] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10229), 1,
      sym_identifier,
    ACTIONS(10231), 1,
      anon_sym_COMMA,
    ACTIONS(10233), 1,
      anon_sym_RBRACE,
    STATE(3052), 1,
      sym_enumerator,
    ACTIONS(7103), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(4952), 2,
      sym_preproc_ifdef_in_enumerator,
      aux_sym_enumerator_list_repeat1,
  [45257] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(10011), 1,
      anon_sym_COMMA,
    ACTIONS(10235), 1,
      anon_sym_SEMI,
    STATE(4915), 1,
      sym_bitfield_clause,
    STATE(4916), 1,
      aux_sym_field_declaration_repeat1,
    STATE(6109), 1,
      sym_attribute_specifier,
  [45285] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10229), 1,
      sym_identifier,
    ACTIONS(10237), 1,
      anon_sym_COMMA,
    ACTIONS(10239), 1,
      anon_sym_RBRACE,
    STATE(3052), 1,
      sym_enumerator,
    ACTIONS(7103), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(4951), 2,
      sym_preproc_ifdef_in_enumerator,
      aux_sym_enumerator_list_repeat1,
  [45309] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10229), 1,
      sym_identifier,
    ACTIONS(10237), 1,
      anon_sym_COMMA,
    ACTIONS(10239), 1,
      anon_sym_RBRACE,
    STATE(3052), 1,
      sym_enumerator,
    ACTIONS(7103), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(4952), 2,
      sym_preproc_ifdef_in_enumerator,
      aux_sym_enumerator_list_repeat1,
  [45333] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10229), 1,
      sym_identifier,
    ACTIONS(10241), 1,
      anon_sym_COMMA,
    ACTIONS(10243), 1,
      anon_sym_RBRACE,
    STATE(3052), 1,
      sym_enumerator,
    ACTIONS(7103), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(4952), 2,
      sym_preproc_ifdef_in_enumerator,
      aux_sym_enumerator_list_repeat1,
  [45357] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10245), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10247), 1,
      aux_sym_preproc_elif_token1,
    STATE(4934), 1,
      aux_sym_preproc_ifdef_in_enumerator_repeat1,
    STATE(5945), 1,
      sym_enumerator,
    STATE(5975), 2,
      sym_preproc_else_in_enumerator,
      sym_preproc_elif_in_enumerator,
  [45383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10251), 1,
      anon_sym___attribute,
    ACTIONS(10249), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [45399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10255), 1,
      anon_sym___attribute,
    ACTIONS(10253), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [45415] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(10011), 1,
      anon_sym_COMMA,
    ACTIONS(10257), 1,
      anon_sym_SEMI,
    STATE(4928), 1,
      sym_bitfield_clause,
    STATE(4929), 1,
      aux_sym_field_declaration_repeat1,
    STATE(6631), 1,
      sym_attribute_specifier,
  [45443] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10219), 1,
      anon_sym_LPAREN2,
    ACTIONS(10259), 1,
      anon_sym_LBRACE,
    STATE(5009), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10223), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [45463] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(10011), 1,
      anon_sym_COMMA,
    ACTIONS(10261), 1,
      anon_sym_SEMI,
    STATE(4925), 1,
      aux_sym_field_declaration_repeat1,
    STATE(5272), 1,
      sym_bitfield_clause,
    STATE(6525), 1,
      sym_attribute_specifier,
  [45491] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(10011), 1,
      anon_sym_COMMA,
    ACTIONS(10263), 1,
      anon_sym_SEMI,
    STATE(5070), 1,
      aux_sym_field_declaration_repeat1,
    STATE(5275), 1,
      sym_bitfield_clause,
    STATE(6541), 1,
      sym_attribute_specifier,
  [45519] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(10011), 1,
      anon_sym_COMMA,
    ACTIONS(10265), 1,
      anon_sym_SEMI,
    STATE(4958), 1,
      aux_sym_field_declaration_repeat1,
    STATE(5281), 1,
      sym_bitfield_clause,
    STATE(6543), 1,
      sym_attribute_specifier,
  [45547] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(10011), 1,
      anon_sym_COMMA,
    ACTIONS(10267), 1,
      anon_sym_SEMI,
    STATE(5070), 1,
      aux_sym_field_declaration_repeat1,
    STATE(5291), 1,
      sym_bitfield_clause,
    STATE(6557), 1,
      sym_attribute_specifier,
  [45575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10271), 1,
      anon_sym___attribute,
    ACTIONS(10269), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [45591] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(8768), 1,
      anon_sym_LBRACE,
    ACTIONS(10273), 1,
      sym_identifier,
    STATE(3796), 1,
      sym_field_declaration_list,
    STATE(5113), 1,
      sym_attribute_specifier,
    STATE(5436), 1,
      sym_ms_declspec_modifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
  [45617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10277), 1,
      anon_sym___attribute,
    ACTIONS(10275), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [45633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10281), 1,
      anon_sym___attribute,
    ACTIONS(10279), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [45649] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(8151), 1,
      anon_sym_LBRACE,
    ACTIONS(8153), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    STATE(1666), 1,
      sym_compound_statement,
    STATE(4926), 1,
      sym_attribute_specifier,
    STATE(5052), 1,
      sym_parameter_list,
  [45677] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(8151), 1,
      anon_sym_LBRACE,
    ACTIONS(8153), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    STATE(1666), 1,
      sym_compound_statement,
    STATE(5052), 1,
      sym_parameter_list,
    STATE(5720), 1,
      sym_attribute_specifier,
  [45705] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(10011), 1,
      anon_sym_COMMA,
    ACTIONS(10283), 1,
      anon_sym_SEMI,
    STATE(4899), 1,
      aux_sym_field_declaration_repeat1,
    STATE(5269), 1,
      sym_bitfield_clause,
    STATE(6344), 1,
      sym_attribute_specifier,
  [45733] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(10011), 1,
      anon_sym_COMMA,
    ACTIONS(10285), 1,
      anon_sym_SEMI,
    STATE(5070), 1,
      aux_sym_field_declaration_repeat1,
    STATE(5261), 1,
      sym_bitfield_clause,
    STATE(6574), 1,
      sym_attribute_specifier,
  [45761] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(10011), 1,
      anon_sym_COMMA,
    ACTIONS(10287), 1,
      anon_sym_SEMI,
    STATE(5070), 1,
      aux_sym_field_declaration_repeat1,
    STATE(5321), 1,
      sym_bitfield_clause,
    STATE(6699), 1,
      sym_attribute_specifier,
  [45789] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(8151), 1,
      anon_sym_LBRACE,
    ACTIONS(8153), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    STATE(1639), 1,
      sym_compound_statement,
    STATE(5017), 1,
      sym_parameter_list,
    STATE(5377), 1,
      sym_attribute_specifier,
  [45817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10289), 2,
      anon_sym_ATcatch,
      anon_sym___catch,
    STATE(4927), 2,
      sym_catch_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(2320), 4,
      anon_sym_else,
      anon_sym_while,
      anon_sym_ATfinally,
      anon_sym___finally,
  [45835] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(10011), 1,
      anon_sym_COMMA,
    ACTIONS(10292), 1,
      anon_sym_SEMI,
    STATE(4901), 1,
      aux_sym_field_declaration_repeat1,
    STATE(5284), 1,
      sym_bitfield_clause,
    STATE(6066), 1,
      sym_attribute_specifier,
  [45863] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(10011), 1,
      anon_sym_COMMA,
    ACTIONS(10294), 1,
      anon_sym_SEMI,
    STATE(5070), 1,
      aux_sym_field_declaration_repeat1,
    STATE(5222), 1,
      sym_bitfield_clause,
    STATE(5926), 1,
      sym_attribute_specifier,
  [45891] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(6998), 1,
      anon_sym_LBRACE,
    ACTIONS(9334), 1,
      sym_identifier,
    STATE(2930), 1,
      sym_field_declaration_list,
    STATE(5136), 1,
      sym_attribute_specifier,
    STATE(5559), 1,
      sym_ms_declspec_modifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
  [45917] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(8111), 1,
      anon_sym_LBRACE,
    ACTIONS(8113), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    STATE(1508), 1,
      sym_compound_statement,
    STATE(4938), 1,
      sym_attribute_specifier,
    STATE(5040), 1,
      sym_parameter_list,
  [45945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10298), 1,
      anon_sym___attribute,
    ACTIONS(10296), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [45961] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(8768), 1,
      anon_sym_LBRACE,
    ACTIONS(10300), 1,
      sym_identifier,
    STATE(3817), 1,
      sym_field_declaration_list,
    STATE(5111), 1,
      sym_attribute_specifier,
    STATE(5433), 1,
      sym_ms_declspec_modifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
  [45987] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10051), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10247), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10302), 1,
      aux_sym_preproc_if_token2,
    STATE(5028), 1,
      aux_sym_preproc_ifdef_in_enumerator_repeat1,
    STATE(5945), 1,
      sym_enumerator,
    STATE(6438), 2,
      sym_preproc_else_in_enumerator,
      sym_preproc_elif_in_enumerator,
  [46013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10306), 1,
      anon_sym___attribute,
    ACTIONS(10304), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [46029] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10219), 1,
      anon_sym_LPAREN2,
    ACTIONS(10308), 1,
      anon_sym_LBRACE,
    STATE(5009), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10223), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [46049] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(8111), 1,
      anon_sym_LBRACE,
    ACTIONS(8113), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    STATE(1516), 1,
      sym_compound_statement,
    STATE(4900), 1,
      sym_attribute_specifier,
    STATE(5083), 1,
      sym_parameter_list,
  [46077] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(8111), 1,
      anon_sym_LBRACE,
    ACTIONS(8113), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    STATE(1516), 1,
      sym_compound_statement,
    STATE(5083), 1,
      sym_parameter_list,
    STATE(5608), 1,
      sym_attribute_specifier,
  [46105] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7101), 1,
      anon_sym_COMMA,
    ACTIONS(7105), 1,
      anon_sym_RBRACE,
    ACTIONS(10229), 1,
      sym_identifier,
    STATE(3052), 1,
      sym_enumerator,
    ACTIONS(7103), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(4903), 2,
      sym_preproc_ifdef_in_enumerator,
      aux_sym_enumerator_list_repeat1,
  [46129] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(8151), 1,
      anon_sym_LBRACE,
    ACTIONS(8153), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    STATE(1640), 1,
      sym_compound_statement,
    STATE(4922), 1,
      sym_attribute_specifier,
    STATE(5032), 1,
      sym_parameter_list,
  [46157] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(10011), 1,
      anon_sym_COMMA,
    ACTIONS(10310), 1,
      anon_sym_SEMI,
    STATE(4948), 1,
      sym_bitfield_clause,
    STATE(4949), 1,
      aux_sym_field_declaration_repeat1,
    STATE(6565), 1,
      sym_attribute_specifier,
  [46185] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10219), 1,
      anon_sym_LPAREN2,
    ACTIONS(10312), 1,
      anon_sym_LBRACE,
    STATE(5009), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10223), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [46205] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10219), 1,
      anon_sym_LPAREN2,
    ACTIONS(10314), 1,
      anon_sym_LBRACE,
    STATE(5009), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10223), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [46225] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10219), 1,
      anon_sym_LPAREN2,
    ACTIONS(10316), 1,
      anon_sym_LBRACE,
    STATE(5009), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10223), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [46245] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10219), 1,
      anon_sym_LPAREN2,
    ACTIONS(10318), 1,
      anon_sym_LBRACE,
    STATE(5009), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10223), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [46265] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(10011), 1,
      anon_sym_COMMA,
    ACTIONS(10320), 1,
      anon_sym_SEMI,
    STATE(4953), 1,
      aux_sym_field_declaration_repeat1,
    STATE(5280), 1,
      sym_bitfield_clause,
    STATE(6635), 1,
      sym_attribute_specifier,
  [46293] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(10011), 1,
      anon_sym_COMMA,
    ACTIONS(10322), 1,
      anon_sym_SEMI,
    STATE(5070), 1,
      aux_sym_field_declaration_repeat1,
    STATE(5282), 1,
      sym_bitfield_clause,
    STATE(6639), 1,
      sym_attribute_specifier,
  [46321] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(10011), 1,
      anon_sym_COMMA,
    ACTIONS(10324), 1,
      anon_sym_SEMI,
    STATE(4954), 1,
      aux_sym_field_declaration_repeat1,
    STATE(5283), 1,
      sym_bitfield_clause,
    STATE(6641), 1,
      sym_attribute_specifier,
  [46349] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(10011), 1,
      anon_sym_COMMA,
    ACTIONS(10326), 1,
      anon_sym_SEMI,
    STATE(5070), 1,
      aux_sym_field_declaration_repeat1,
    STATE(5285), 1,
      sym_bitfield_clause,
    STATE(6644), 1,
      sym_attribute_specifier,
  [46377] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7139), 1,
      anon_sym_COMMA,
    ACTIONS(7141), 1,
      anon_sym_RBRACE,
    ACTIONS(10229), 1,
      sym_identifier,
    STATE(3052), 1,
      sym_enumerator,
    ACTIONS(7103), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(4906), 2,
      sym_preproc_ifdef_in_enumerator,
      aux_sym_enumerator_list_repeat1,
  [46401] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10229), 1,
      sym_identifier,
    ACTIONS(10328), 1,
      anon_sym_COMMA,
    ACTIONS(10330), 1,
      anon_sym_RBRACE,
    STATE(3052), 1,
      sym_enumerator,
    ACTIONS(7103), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(4952), 2,
      sym_preproc_ifdef_in_enumerator,
      aux_sym_enumerator_list_repeat1,
  [46425] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7581), 1,
      anon_sym_RBRACE,
    ACTIONS(10332), 1,
      sym_identifier,
    ACTIONS(10335), 1,
      anon_sym_COMMA,
    STATE(3052), 1,
      sym_enumerator,
    ACTIONS(10338), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(4952), 2,
      sym_preproc_ifdef_in_enumerator,
      aux_sym_enumerator_list_repeat1,
  [46449] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(10011), 1,
      anon_sym_COMMA,
    ACTIONS(10341), 1,
      anon_sym_SEMI,
    STATE(5070), 1,
      aux_sym_field_declaration_repeat1,
    STATE(5301), 1,
      sym_bitfield_clause,
    STATE(6700), 1,
      sym_attribute_specifier,
  [46477] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(10011), 1,
      anon_sym_COMMA,
    ACTIONS(10343), 1,
      anon_sym_SEMI,
    STATE(5070), 1,
      aux_sym_field_declaration_repeat1,
    STATE(5302), 1,
      sym_bitfield_clause,
    STATE(6704), 1,
      sym_attribute_specifier,
  [46505] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(6998), 1,
      anon_sym_LBRACE,
    ACTIONS(10345), 1,
      sym_identifier,
    STATE(2932), 1,
      sym_field_declaration_list,
    STATE(5140), 1,
      sym_attribute_specifier,
    STATE(5586), 1,
      sym_ms_declspec_modifier,
    ACTIONS(37), 2,
      anon_sym___attribute__,
      anon_sym___attribute,
  [46531] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10347), 1,
      sym_identifier,
    ACTIONS(10352), 1,
      aux_sym_preproc_elif_token1,
    STATE(4956), 1,
      aux_sym_preproc_ifdef_in_enumerator_repeat1,
    STATE(6485), 1,
      sym_enumerator,
    ACTIONS(10350), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [46553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10356), 1,
      anon_sym___attribute,
    ACTIONS(10354), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [46569] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(9815), 1,
      anon_sym_COLON,
    ACTIONS(10011), 1,
      anon_sym_COMMA,
    ACTIONS(10358), 1,
      anon_sym_SEMI,
    STATE(5070), 1,
      aux_sym_field_declaration_repeat1,
    STATE(5253), 1,
      sym_bitfield_clause,
    STATE(6720), 1,
      sym_attribute_specifier,
  [46597] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10092), 1,
      anon_sym_AT,
    STATE(5807), 1,
      sym_string_literal,
    ACTIONS(10094), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [46614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(415), 1,
      sym_finally_clause,
    ACTIONS(2338), 2,
      anon_sym_ATcatch,
      anon_sym___catch,
    ACTIONS(2342), 2,
      anon_sym_ATfinally,
      anon_sym___finally,
    STATE(182), 2,
      sym_catch_clause,
      aux_sym_try_statement_repeat1,
  [46633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10069), 1,
      anon_sym_AT,
    STATE(6318), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [46650] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(8850), 1,
      anon_sym_LBRACK,
    ACTIONS(10360), 1,
      anon_sym_LPAREN2,
    STATE(678), 1,
      sym_compound_statement,
    STATE(2869), 1,
      sym__old_style_parameter_list,
    STATE(4812), 1,
      sym_parameter_list,
  [46675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10092), 1,
      anon_sym_AT,
    STATE(5897), 1,
      sym_string_literal,
    ACTIONS(10094), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [46692] = 8,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10362), 1,
      sym_identifier,
    ACTIONS(10364), 1,
      anon_sym_LPAREN2,
    ACTIONS(10366), 1,
      aux_sym_selector_expression_token1,
    ACTIONS(10368), 1,
      anon_sym_COLON2,
    STATE(5045), 1,
      aux_sym_method_identifier_repeat1,
    STATE(5118), 1,
      aux_sym_selector_expression_repeat1,
    STATE(5747), 1,
      sym_method_identifier,
  [46717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(811), 1,
      sym_finally_clause,
    ACTIONS(10191), 2,
      anon_sym_ATcatch,
      anon_sym___catch,
    ACTIONS(10193), 2,
      anon_sym_ATfinally,
      anon_sym___finally,
    STATE(4883), 2,
      sym_catch_clause,
      aux_sym_try_statement_repeat1,
  [46736] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6988), 1,
      anon_sym_COLON,
    ACTIONS(10009), 1,
      anon_sym_SEMI,
    ACTIONS(10370), 1,
      sym_identifier,
    STATE(2902), 2,
      sym_method_parameter,
      aux_sym_method_declaration_repeat1,
    STATE(3227), 2,
      sym_keyword_declarator,
      aux_sym_keyword_selector_repeat1,
  [46757] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10374), 1,
      anon_sym___attribute,
    ACTIONS(10376), 1,
      anon_sym_LBRACK,
    STATE(4295), 1,
      sym_parameter_list,
    ACTIONS(10372), 3,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
  [46778] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10376), 1,
      anon_sym_LBRACK,
    ACTIONS(10380), 1,
      anon_sym___attribute,
    STATE(4295), 1,
      sym_parameter_list,
    ACTIONS(10378), 3,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
  [46799] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10007), 1,
      anon_sym___attribute,
    ACTIONS(10376), 1,
      anon_sym_LBRACK,
    STATE(4295), 1,
      sym_parameter_list,
    ACTIONS(10005), 3,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
  [46820] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10229), 1,
      sym_identifier,
    ACTIONS(10382), 1,
      anon_sym_COMMA,
    ACTIONS(10384), 1,
      anon_sym_RBRACE,
    STATE(2934), 1,
      sym_enumerator,
    STATE(4950), 1,
      sym_preproc_ifdef_in_enumerator,
    ACTIONS(7103), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [46843] = 8,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10364), 1,
      anon_sym_LPAREN2,
    ACTIONS(10368), 1,
      anon_sym_COLON2,
    ACTIONS(10386), 1,
      sym_identifier,
    ACTIONS(10388), 1,
      aux_sym_selector_expression_token1,
    STATE(5045), 1,
      aux_sym_method_identifier_repeat1,
    STATE(5118), 1,
      aux_sym_selector_expression_repeat1,
    STATE(5815), 1,
      sym_method_identifier,
  [46868] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6988), 1,
      anon_sym_COLON,
    ACTIONS(10009), 1,
      anon_sym_SEMI,
    ACTIONS(10370), 1,
      sym_identifier,
    STATE(2895), 2,
      sym_method_parameter,
      aux_sym_method_declaration_repeat1,
    STATE(3227), 2,
      sym_keyword_declarator,
      aux_sym_keyword_selector_repeat1,
  [46889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10219), 1,
      anon_sym_LPAREN2,
    STATE(5009), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10223), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [46906] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6988), 1,
      anon_sym_COLON,
    ACTIONS(10009), 1,
      anon_sym_SEMI,
    ACTIONS(10370), 1,
      sym_identifier,
    STATE(2892), 2,
      sym_method_parameter,
      aux_sym_method_declaration_repeat1,
    STATE(3227), 2,
      sym_keyword_declarator,
      aux_sym_keyword_selector_repeat1,
  [46927] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10092), 1,
      anon_sym_AT,
    STATE(5786), 1,
      sym_string_literal,
    ACTIONS(10094), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [46944] = 8,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10364), 1,
      anon_sym_LPAREN2,
    ACTIONS(10368), 1,
      anon_sym_COLON2,
    ACTIONS(10390), 1,
      sym_identifier,
    ACTIONS(10392), 1,
      aux_sym_selector_expression_token1,
    STATE(5045), 1,
      aux_sym_method_identifier_repeat1,
    STATE(5118), 1,
      aux_sym_selector_expression_repeat1,
    STATE(5907), 1,
      sym_method_identifier,
  [46969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10092), 1,
      anon_sym_AT,
    STATE(5729), 1,
      sym_string_literal,
    ACTIONS(10094), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [46986] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10229), 1,
      sym_identifier,
    ACTIONS(10394), 1,
      anon_sym_COMMA,
    ACTIONS(10396), 1,
      anon_sym_RBRACE,
    STATE(2923), 1,
      sym_enumerator,
    STATE(4939), 1,
      sym_preproc_ifdef_in_enumerator,
    ACTIONS(7103), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [47009] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10376), 1,
      anon_sym_LBRACK,
    STATE(4277), 1,
      sym_parameter_list,
    ACTIONS(10398), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_COLON,
  [47028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10376), 1,
      anon_sym_LBRACK,
    STATE(4277), 1,
      sym_parameter_list,
    ACTIONS(10400), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_COLON,
  [47047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10092), 1,
      anon_sym_AT,
    STATE(5730), 1,
      sym_string_literal,
    ACTIONS(10094), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [47064] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4661), 1,
      anon_sym_COLON,
    ACTIONS(10009), 1,
      anon_sym_SEMI,
    ACTIONS(10402), 1,
      sym_identifier,
    ACTIONS(10404), 1,
      anon_sym_COMMA,
    STATE(2818), 1,
      sym_method_parameter,
    STATE(2756), 2,
      sym_keyword_declarator,
      aux_sym_keyword_selector_repeat1,
  [47087] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6988), 1,
      anon_sym_COLON,
    ACTIONS(10009), 1,
      anon_sym_SEMI,
    ACTIONS(10370), 1,
      sym_identifier,
    STATE(2910), 2,
      sym_method_parameter,
      aux_sym_method_declaration_repeat1,
    STATE(3227), 2,
      sym_keyword_declarator,
      aux_sym_keyword_selector_repeat1,
  [47108] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10406), 1,
      anon_sym_LPAREN2,
    STATE(4984), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10408), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [47125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10411), 1,
      anon_sym_LPAREN2,
    STATE(4988), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10223), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [47142] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10376), 1,
      anon_sym_LBRACK,
    ACTIONS(10413), 1,
      anon_sym___attribute,
    STATE(4295), 1,
      sym_parameter_list,
    ACTIONS(10398), 3,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
  [47163] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10376), 1,
      anon_sym_LBRACK,
    ACTIONS(10415), 1,
      anon_sym___attribute,
    STATE(4295), 1,
      sym_parameter_list,
    ACTIONS(10400), 3,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
  [47184] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10417), 1,
      anon_sym_LPAREN2,
    STATE(4984), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10223), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [47201] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(580), 1,
      sym_finally_clause,
    ACTIONS(2372), 2,
      anon_sym_ATcatch,
      anon_sym___catch,
    ACTIONS(2376), 2,
      anon_sym_ATfinally,
      anon_sym___finally,
    STATE(189), 2,
      sym_catch_clause,
      aux_sym_try_statement_repeat1,
  [47220] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(959), 1,
      sym_finally_clause,
    ACTIONS(2878), 2,
      anon_sym_ATcatch,
      anon_sym___catch,
    ACTIONS(2882), 2,
      anon_sym_ATfinally,
      anon_sym___finally,
    STATE(530), 2,
      sym_catch_clause,
      aux_sym_try_statement_repeat1,
  [47239] = 8,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10364), 1,
      anon_sym_LPAREN2,
    ACTIONS(10368), 1,
      anon_sym_COLON2,
    ACTIONS(10419), 1,
      sym_identifier,
    ACTIONS(10421), 1,
      aux_sym_selector_expression_token1,
    STATE(5045), 1,
      aux_sym_method_identifier_repeat1,
    STATE(5118), 1,
      aux_sym_selector_expression_repeat1,
    STATE(5811), 1,
      sym_method_identifier,
  [47264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(276), 1,
      sym_finally_clause,
    ACTIONS(2310), 2,
      anon_sym_ATcatch,
      anon_sym___catch,
    ACTIONS(2314), 2,
      anon_sym_ATfinally,
      anon_sym___finally,
    STATE(179), 2,
      sym_catch_clause,
      aux_sym_try_statement_repeat1,
  [47283] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10069), 1,
      anon_sym_AT,
    STATE(6467), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [47300] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LBRACE,
    ACTIONS(183), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(8850), 1,
      anon_sym_LBRACK,
    ACTIONS(10360), 1,
      anon_sym_LPAREN2,
    STATE(340), 1,
      sym_compound_statement,
    STATE(2869), 1,
      sym__old_style_parameter_list,
    STATE(4812), 1,
      sym_parameter_list,
  [47325] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(811), 1,
      sym_finally_clause,
    ACTIONS(2386), 2,
      anon_sym_ATcatch,
      anon_sym___catch,
    ACTIONS(2390), 2,
      anon_sym_ATfinally,
      anon_sym___finally,
    STATE(196), 2,
      sym_catch_clause,
      aux_sym_try_statement_repeat1,
  [47344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10423), 1,
      anon_sym_LPAREN2,
    STATE(4997), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10223), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [47361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10425), 1,
      anon_sym_LPAREN2,
    STATE(4984), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10223), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [47378] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10427), 1,
      anon_sym_LPAREN2,
    STATE(4999), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10223), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [47395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10429), 1,
      anon_sym_LPAREN2,
    STATE(4984), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10223), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [47412] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1149), 1,
      sym_finally_clause,
    ACTIONS(2974), 2,
      anon_sym_ATcatch,
      anon_sym___catch,
    ACTIONS(2978), 2,
      anon_sym_ATfinally,
      anon_sym___finally,
    STATE(1086), 2,
      sym_catch_clause,
      aux_sym_try_statement_repeat1,
  [47431] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6988), 1,
      anon_sym_COLON,
    ACTIONS(10009), 1,
      anon_sym_SEMI,
    ACTIONS(10370), 1,
      sym_identifier,
    STATE(2903), 2,
      sym_method_parameter,
      aux_sym_method_declaration_repeat1,
    STATE(3227), 2,
      sym_keyword_declarator,
      aux_sym_keyword_selector_repeat1,
  [47452] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10431), 1,
      anon_sym_LBRACK,
    ACTIONS(10434), 1,
      anon_sym_EQ,
    ACTIONS(10436), 1,
      anon_sym_DOT,
    STATE(5002), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [47471] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10376), 1,
      anon_sym_LBRACK,
    STATE(4277), 1,
      sym_parameter_list,
    ACTIONS(10372), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_COLON,
  [47490] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10376), 1,
      anon_sym_LBRACK,
    STATE(4277), 1,
      sym_parameter_list,
    ACTIONS(10378), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_COLON,
  [47509] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(944), 1,
      anon_sym_LBRACE,
    ACTIONS(948), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(8850), 1,
      anon_sym_LBRACK,
    ACTIONS(10360), 1,
      anon_sym_LPAREN2,
    STATE(849), 1,
      sym_compound_statement,
    STATE(2869), 1,
      sym__old_style_parameter_list,
    STATE(4812), 1,
      sym_parameter_list,
  [47534] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(835), 1,
      sym_finally_clause,
    ACTIONS(2394), 2,
      anon_sym_ATcatch,
      anon_sym___catch,
    ACTIONS(2398), 2,
      anon_sym_ATfinally,
      anon_sym___finally,
    STATE(197), 2,
      sym_catch_clause,
      aux_sym_try_statement_repeat1,
  [47553] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(8850), 1,
      anon_sym_LBRACK,
    ACTIONS(10360), 1,
      anon_sym_LPAREN2,
    STATE(509), 1,
      sym_compound_statement,
    STATE(2869), 1,
      sym__old_style_parameter_list,
    STATE(4812), 1,
      sym_parameter_list,
  [47578] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10376), 1,
      anon_sym_LBRACK,
    ACTIONS(10441), 1,
      anon_sym___attribute,
    STATE(4295), 1,
      sym_parameter_list,
    ACTIONS(10439), 3,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
  [47599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10443), 1,
      anon_sym_LPAREN2,
    STATE(4984), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(10223), 4,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [47616] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6988), 1,
      anon_sym_COLON,
    ACTIONS(10009), 1,
      anon_sym_SEMI,
    ACTIONS(10370), 1,
      sym_identifier,
    STATE(2912), 2,
      sym_method_parameter,
      aux_sym_method_declaration_repeat1,
    STATE(3227), 2,
      sym_keyword_declarator,
      aux_sym_keyword_selector_repeat1,
  [47637] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10445), 1,
      anon_sym_LBRACK,
    ACTIONS(10447), 1,
      anon_sym_EQ,
    ACTIONS(10449), 1,
      anon_sym_DOT,
    STATE(5002), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [47656] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(8850), 1,
      anon_sym_LBRACK,
    ACTIONS(10360), 1,
      anon_sym_LPAREN2,
    STATE(1010), 1,
      sym_compound_statement,
    STATE(2869), 1,
      sym__old_style_parameter_list,
    STATE(4812), 1,
      sym_parameter_list,
  [47681] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_AT,
    STATE(1928), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_DQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
  [47698] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10376), 1,
      anon_sym_LBRACK,
    STATE(4277), 1,
      sym_parameter_list,
    ACTIONS(10451), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [47716] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 1,
      anon_sym_LBRACE,
    ACTIONS(4659), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10453), 1,
      sym_identifier,
    STATE(2286), 1,
      sym_compound_statement,
    STATE(6604), 1,
      sym_method_type,
  [47738] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LBRACE,
    ACTIONS(4669), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10455), 1,
      sym_identifier,
    STATE(2125), 1,
      sym_compound_statement,
    STATE(6636), 1,
      sym_method_type,
  [47760] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(8151), 1,
      anon_sym_LBRACE,
    ACTIONS(8153), 1,
      anon_sym_ATautoreleasepool,
    STATE(1647), 1,
      sym_compound_statement,
    STATE(5613), 1,
      sym_attribute_specifier,
  [47782] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LBRACE,
    ACTIONS(4669), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10455), 1,
      sym_identifier,
    STATE(2126), 1,
      sym_compound_statement,
    STATE(6636), 1,
      sym_method_type,
  [47804] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(8792), 1,
      anon_sym_LBRACE,
    ACTIONS(10457), 1,
      sym_identifier,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    STATE(4097), 1,
      sym_enumerator_list,
    STATE(5287), 1,
      sym_ms_declspec_modifier,
  [47826] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10461), 1,
      sym_identifier,
    ACTIONS(10465), 1,
      anon_sym_COLON2,
    STATE(5122), 1,
      aux_sym_method_identifier_repeat1,
    STATE(5245), 1,
      aux_sym_method_identifier_repeat2,
    ACTIONS(10463), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [47846] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LBRACE,
    ACTIONS(4669), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10455), 1,
      sym_identifier,
    STATE(2114), 1,
      sym_compound_statement,
    STATE(6636), 1,
      sym_method_type,
  [47868] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 1,
      anon_sym_LBRACE,
    ACTIONS(4659), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10453), 1,
      sym_identifier,
    STATE(2285), 1,
      sym_compound_statement,
    STATE(6604), 1,
      sym_method_type,
  [47890] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10015), 1,
      anon_sym_LBRACK,
    ACTIONS(10138), 1,
      anon_sym_RPAREN,
    STATE(4319), 1,
      sym_parameter_list,
    STATE(4852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_field_declarator_repeat1,
  [47910] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    ACTIONS(10467), 1,
      sym_identifier,
    ACTIONS(10469), 1,
      anon_sym_COLON,
    STATE(4154), 1,
      sym_enumerator_list,
    STATE(5197), 1,
      sym_ms_declspec_modifier,
  [47932] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 1,
      anon_sym_LBRACE,
    ACTIONS(4659), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10455), 1,
      sym_identifier,
    STATE(2261), 1,
      sym_compound_statement,
    STATE(6636), 1,
      sym_method_type,
  [47954] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10015), 1,
      anon_sym_LBRACK,
    ACTIONS(10146), 1,
      anon_sym_RPAREN,
    STATE(4319), 1,
      sym_parameter_list,
    STATE(4852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_field_declarator_repeat1,
  [47974] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4661), 1,
      anon_sym_COLON,
    ACTIONS(10009), 1,
      anon_sym_SEMI,
    ACTIONS(10471), 1,
      sym_identifier,
    STATE(1695), 1,
      sym_method_parameter,
    STATE(1728), 2,
      sym_keyword_declarator,
      aux_sym_keyword_selector_repeat1,
  [47994] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10347), 1,
      sym_identifier,
    STATE(5028), 1,
      aux_sym_preproc_ifdef_in_enumerator_repeat1,
    STATE(5945), 1,
      sym_enumerator,
    ACTIONS(10350), 3,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [48012] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4661), 1,
      anon_sym_COLON,
    ACTIONS(10009), 1,
      anon_sym_SEMI,
    ACTIONS(10473), 1,
      sym_identifier,
    STATE(1688), 1,
      sym_method_parameter,
    STATE(1724), 2,
      sym_keyword_declarator,
      aux_sym_keyword_selector_repeat1,
  [48032] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LBRACE,
    ACTIONS(4669), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10453), 1,
      sym_identifier,
    STATE(2114), 1,
      sym_compound_statement,
    STATE(6604), 1,
      sym_method_type,
  [48054] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 1,
      anon_sym_LBRACE,
    ACTIONS(4659), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10455), 1,
      sym_identifier,
    STATE(2285), 1,
      sym_compound_statement,
    STATE(6636), 1,
      sym_method_type,
  [48076] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(8151), 1,
      anon_sym_LBRACE,
    ACTIONS(8153), 1,
      anon_sym_ATautoreleasepool,
    STATE(1666), 1,
      sym_compound_statement,
    STATE(5720), 1,
      sym_attribute_specifier,
  [48098] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(8850), 1,
      anon_sym_LBRACK,
    STATE(1010), 1,
      sym_compound_statement,
    STATE(4812), 1,
      sym_parameter_list,
  [48120] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 1,
      anon_sym_LBRACE,
    ACTIONS(4659), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10453), 1,
      sym_identifier,
    STATE(2261), 1,
      sym_compound_statement,
    STATE(6604), 1,
      sym_method_type,
  [48142] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10376), 1,
      anon_sym_LBRACK,
    STATE(4277), 1,
      sym_parameter_list,
    ACTIONS(10475), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [48160] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LBRACE,
    ACTIONS(4669), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10455), 1,
      sym_identifier,
    STATE(2111), 1,
      sym_compound_statement,
    STATE(6636), 1,
      sym_method_type,
  [48182] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4661), 1,
      anon_sym_COLON,
    ACTIONS(10009), 1,
      anon_sym_SEMI,
    ACTIONS(10477), 1,
      sym_identifier,
    STATE(1705), 1,
      sym_method_parameter,
    STATE(1731), 2,
      sym_keyword_declarator,
      aux_sym_keyword_selector_repeat1,
  [48202] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10229), 1,
      sym_identifier,
    ACTIONS(10239), 1,
      anon_sym_RBRACE,
    STATE(3050), 1,
      sym_enumerator,
    STATE(5151), 1,
      sym_preproc_ifdef_in_enumerator,
    ACTIONS(7103), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [48222] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10015), 1,
      anon_sym_LBRACK,
    ACTIONS(10183), 1,
      anon_sym_RPAREN,
    STATE(4319), 1,
      sym_parameter_list,
    STATE(4852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_field_declarator_repeat1,
  [48242] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(8111), 1,
      anon_sym_LBRACE,
    ACTIONS(8113), 1,
      anon_sym_ATautoreleasepool,
    STATE(1516), 1,
      sym_compound_statement,
    STATE(5608), 1,
      sym_attribute_specifier,
  [48264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(8850), 1,
      anon_sym_LBRACK,
    STATE(4812), 1,
      sym_parameter_list,
    ACTIONS(6728), 3,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
  [48282] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10015), 1,
      anon_sym_LBRACK,
    ACTIONS(10126), 1,
      anon_sym_RPAREN,
    STATE(4319), 1,
      sym_parameter_list,
    STATE(4852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_field_declarator_repeat1,
  [48302] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(8792), 1,
      anon_sym_LBRACE,
    ACTIONS(10479), 1,
      sym_identifier,
    ACTIONS(10481), 1,
      anon_sym_COLON,
    STATE(3936), 1,
      sym_enumerator_list,
    STATE(5203), 1,
      sym_ms_declspec_modifier,
  [48324] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4661), 1,
      anon_sym_COLON,
    ACTIONS(10009), 1,
      anon_sym_SEMI,
    ACTIONS(10483), 1,
      sym_identifier,
    STATE(1711), 1,
      sym_method_parameter,
    STATE(1733), 2,
      sym_keyword_declarator,
      aux_sym_keyword_selector_repeat1,
  [48344] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10461), 1,
      sym_identifier,
    ACTIONS(10465), 1,
      anon_sym_COLON2,
    STATE(5122), 1,
      aux_sym_method_identifier_repeat1,
    STATE(5308), 1,
      aux_sym_method_identifier_repeat2,
    ACTIONS(10485), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [48364] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(8111), 1,
      anon_sym_LBRACE,
    ACTIONS(8113), 1,
      anon_sym_ATautoreleasepool,
    STATE(1468), 1,
      sym_compound_statement,
    STATE(5707), 1,
      sym_attribute_specifier,
  [48386] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LBRACE,
    ACTIONS(4669), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10455), 1,
      sym_identifier,
    STATE(2116), 1,
      sym_compound_statement,
    STATE(6636), 1,
      sym_method_type,
  [48408] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LBRACE,
    ACTIONS(4669), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10453), 1,
      sym_identifier,
    STATE(2116), 1,
      sym_compound_statement,
    STATE(6604), 1,
      sym_method_type,
  [48430] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10015), 1,
      anon_sym_LBRACK,
    ACTIONS(10142), 1,
      anon_sym_RPAREN,
    STATE(4319), 1,
      sym_parameter_list,
    STATE(4852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_field_declarator_repeat1,
  [48450] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 1,
      anon_sym_LBRACE,
    ACTIONS(4659), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10455), 1,
      sym_identifier,
    STATE(2302), 1,
      sym_compound_statement,
    STATE(6636), 1,
      sym_method_type,
  [48472] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LBRACE,
    ACTIONS(4669), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10453), 1,
      sym_identifier,
    STATE(2111), 1,
      sym_compound_statement,
    STATE(6604), 1,
      sym_method_type,
  [48494] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(8151), 1,
      anon_sym_LBRACE,
    ACTIONS(8153), 1,
      anon_sym_ATautoreleasepool,
    STATE(1639), 1,
      sym_compound_statement,
    STATE(5377), 1,
      sym_attribute_specifier,
  [48516] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(8151), 1,
      anon_sym_LBRACE,
    ACTIONS(8153), 1,
      anon_sym_ATautoreleasepool,
    STATE(1640), 1,
      sym_compound_statement,
    STATE(5633), 1,
      sym_attribute_specifier,
  [48538] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(8850), 1,
      anon_sym_LBRACK,
    STATE(509), 1,
      sym_compound_statement,
    STATE(4812), 1,
      sym_parameter_list,
  [48560] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 1,
      anon_sym_LBRACE,
    ACTIONS(4659), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10455), 1,
      sym_identifier,
    STATE(2305), 1,
      sym_compound_statement,
    STATE(6636), 1,
      sym_method_type,
  [48582] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    ACTIONS(10469), 1,
      anon_sym_COLON,
    ACTIONS(10487), 1,
      sym_identifier,
    STATE(4154), 1,
      sym_enumerator_list,
    STATE(5211), 1,
      sym_ms_declspec_modifier,
  [48604] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(8850), 1,
      anon_sym_LBRACK,
    STATE(4812), 1,
      sym_parameter_list,
    ACTIONS(6736), 3,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
  [48622] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10229), 1,
      sym_identifier,
    ACTIONS(10243), 1,
      anon_sym_RBRACE,
    STATE(3050), 1,
      sym_enumerator,
    STATE(5151), 1,
      sym_preproc_ifdef_in_enumerator,
    ACTIONS(7103), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [48642] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LBRACE,
    ACTIONS(4669), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(8850), 1,
      anon_sym_LBRACK,
    STATE(2119), 1,
      sym_compound_statement,
    STATE(4812), 1,
      sym_parameter_list,
  [48664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(8850), 1,
      anon_sym_LBRACK,
    STATE(4812), 1,
      sym_parameter_list,
    ACTIONS(6732), 3,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
  [48682] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4661), 1,
      anon_sym_COLON,
    ACTIONS(10009), 1,
      anon_sym_SEMI,
    ACTIONS(10489), 1,
      sym_identifier,
    STATE(1716), 1,
      sym_method_parameter,
    STATE(1730), 2,
      sym_keyword_declarator,
      aux_sym_keyword_selector_repeat1,
  [48702] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 1,
      anon_sym_LBRACE,
    ACTIONS(4659), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10455), 1,
      sym_identifier,
    STATE(2286), 1,
      sym_compound_statement,
    STATE(6636), 1,
      sym_method_type,
  [48724] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(8850), 1,
      anon_sym_LBRACK,
    STATE(4812), 1,
      sym_parameter_list,
    ACTIONS(6758), 3,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
  [48742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(8850), 1,
      anon_sym_LBRACK,
    STATE(4812), 1,
      sym_parameter_list,
    ACTIONS(6740), 3,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
  [48760] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_LBRACE,
    ACTIONS(4691), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10453), 1,
      sym_identifier,
    STATE(2273), 1,
      sym_compound_statement,
    STATE(6604), 1,
      sym_method_type,
  [48782] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_LBRACE,
    ACTIONS(4691), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10455), 1,
      sym_identifier,
    STATE(2273), 1,
      sym_compound_statement,
    STATE(6636), 1,
      sym_method_type,
  [48804] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10376), 1,
      anon_sym_LBRACK,
    STATE(4277), 1,
      sym_parameter_list,
    ACTIONS(10439), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [48822] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LBRACE,
    ACTIONS(4669), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10455), 1,
      sym_identifier,
    STATE(2121), 1,
      sym_compound_statement,
    STATE(6636), 1,
      sym_method_type,
  [48844] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4661), 1,
      anon_sym_COLON,
    ACTIONS(10009), 1,
      anon_sym_SEMI,
    ACTIONS(10491), 1,
      sym_identifier,
    STATE(1691), 1,
      sym_method_parameter,
    STATE(1727), 2,
      sym_keyword_declarator,
      aux_sym_keyword_selector_repeat1,
  [48864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10493), 1,
      anon_sym_COMMA,
    ACTIONS(10498), 1,
      anon_sym___attribute,
    STATE(5070), 1,
      aux_sym_field_declaration_repeat1,
    ACTIONS(10496), 3,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [48882] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10015), 1,
      anon_sym_LBRACK,
    ACTIONS(10110), 1,
      anon_sym_RPAREN,
    STATE(4319), 1,
      sym_parameter_list,
    STATE(4852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_field_declarator_repeat1,
  [48902] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(8850), 1,
      anon_sym_LBRACK,
    STATE(678), 1,
      sym_compound_statement,
    STATE(4812), 1,
      sym_parameter_list,
  [48924] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    ACTIONS(10500), 1,
      sym_identifier,
    ACTIONS(10502), 1,
      anon_sym_COLON,
    STATE(3201), 1,
      sym_enumerator_list,
    STATE(5290), 1,
      sym_ms_declspec_modifier,
  [48946] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10229), 1,
      sym_identifier,
    ACTIONS(10233), 1,
      anon_sym_RBRACE,
    STATE(3050), 1,
      sym_enumerator,
    STATE(5151), 1,
      sym_preproc_ifdef_in_enumerator,
    ACTIONS(7103), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [48966] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(8792), 1,
      anon_sym_LBRACE,
    ACTIONS(10481), 1,
      anon_sym_COLON,
    ACTIONS(10504), 1,
      sym_identifier,
    STATE(3936), 1,
      sym_enumerator_list,
    STATE(5270), 1,
      sym_ms_declspec_modifier,
  [48988] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10229), 1,
      sym_identifier,
    ACTIONS(10330), 1,
      anon_sym_RBRACE,
    STATE(3050), 1,
      sym_enumerator,
    STATE(5151), 1,
      sym_preproc_ifdef_in_enumerator,
    ACTIONS(7103), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [49008] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(8850), 1,
      anon_sym_LBRACK,
    STATE(4812), 1,
      sym_parameter_list,
    ACTIONS(6754), 3,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_ATautoreleasepool,
  [49026] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 1,
      anon_sym_LBRACE,
    ACTIONS(4659), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10455), 1,
      sym_identifier,
    STATE(2308), 1,
      sym_compound_statement,
    STATE(6636), 1,
      sym_method_type,
  [49048] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10376), 1,
      anon_sym_LBRACK,
    STATE(4277), 1,
      sym_parameter_list,
    ACTIONS(10005), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
  [49066] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_LBRACE,
    ACTIONS(4691), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10455), 1,
      sym_identifier,
    STATE(2278), 1,
      sym_compound_statement,
    STATE(6636), 1,
      sym_method_type,
  [49088] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_LBRACE,
    ACTIONS(4691), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10453), 1,
      sym_identifier,
    STATE(2278), 1,
      sym_compound_statement,
    STATE(6604), 1,
      sym_method_type,
  [49110] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_LBRACE,
    ACTIONS(4691), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(8850), 1,
      anon_sym_LBRACK,
    STATE(2279), 1,
      sym_compound_statement,
    STATE(4812), 1,
      sym_parameter_list,
  [49132] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(8111), 1,
      anon_sym_LBRACE,
    ACTIONS(8113), 1,
      anon_sym_ATautoreleasepool,
    STATE(1500), 1,
      sym_compound_statement,
    STATE(5486), 1,
      sym_attribute_specifier,
  [49154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10352), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10350), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [49168] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LBRACE,
    ACTIONS(183), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(8850), 1,
      anon_sym_LBRACK,
    STATE(340), 1,
      sym_compound_statement,
    STATE(4812), 1,
      sym_parameter_list,
  [49190] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LBRACE,
    ACTIONS(4669), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10455), 1,
      sym_identifier,
    STATE(2123), 1,
      sym_compound_statement,
    STATE(6636), 1,
      sym_method_type,
  [49212] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 1,
      anon_sym_LBRACE,
    ACTIONS(4659), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10455), 1,
      sym_identifier,
    STATE(2312), 1,
      sym_compound_statement,
    STATE(6636), 1,
      sym_method_type,
  [49234] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_LBRACE,
    ACTIONS(4691), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10455), 1,
      sym_identifier,
    STATE(2284), 1,
      sym_compound_statement,
    STATE(6636), 1,
      sym_method_type,
  [49256] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10229), 1,
      sym_identifier,
    ACTIONS(10506), 1,
      anon_sym_RBRACE,
    STATE(3050), 1,
      sym_enumerator,
    STATE(5151), 1,
      sym_preproc_ifdef_in_enumerator,
    ACTIONS(7103), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [49276] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_LBRACE,
    ACTIONS(4691), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10453), 1,
      sym_identifier,
    STATE(2284), 1,
      sym_compound_statement,
    STATE(6604), 1,
      sym_method_type,
  [49298] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10015), 1,
      anon_sym_LBRACK,
    ACTIONS(10508), 1,
      anon_sym_RPAREN,
    STATE(4319), 1,
      sym_parameter_list,
    STATE(4852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_field_declarator_repeat1,
  [49318] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10229), 1,
      sym_identifier,
    ACTIONS(10510), 1,
      anon_sym_RBRACE,
    STATE(3050), 1,
      sym_enumerator,
    STATE(5151), 1,
      sym_preproc_ifdef_in_enumerator,
    ACTIONS(7103), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [49338] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(8111), 1,
      anon_sym_LBRACE,
    ACTIONS(8113), 1,
      anon_sym_ATautoreleasepool,
    STATE(1508), 1,
      sym_compound_statement,
    STATE(5496), 1,
      sym_attribute_specifier,
  [49360] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_LBRACE,
    ACTIONS(4691), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10455), 1,
      sym_identifier,
    STATE(2289), 1,
      sym_compound_statement,
    STATE(6636), 1,
      sym_method_type,
  [49382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10376), 1,
      anon_sym_LBRACK,
    STATE(4277), 1,
      sym_parameter_list,
    ACTIONS(10512), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [49400] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_LBRACE,
    ACTIONS(4691), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10455), 1,
      sym_identifier,
    STATE(2253), 1,
      sym_compound_statement,
    STATE(6636), 1,
      sym_method_type,
  [49422] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 1,
      anon_sym_LBRACE,
    ACTIONS(4659), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(8850), 1,
      anon_sym_LBRACK,
    STATE(2174), 1,
      sym_compound_statement,
    STATE(4812), 1,
      sym_parameter_list,
  [49444] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_LBRACE,
    ACTIONS(4691), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10455), 1,
      sym_identifier,
    STATE(2293), 1,
      sym_compound_statement,
    STATE(6636), 1,
      sym_method_type,
  [49466] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    ACTIONS(10502), 1,
      anon_sym_COLON,
    ACTIONS(10514), 1,
      sym_identifier,
    STATE(3201), 1,
      sym_enumerator_list,
    STATE(5249), 1,
      sym_ms_declspec_modifier,
  [49488] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10015), 1,
      anon_sym_LBRACK,
    ACTIONS(10516), 1,
      anon_sym_RPAREN,
    STATE(4319), 1,
      sym_parameter_list,
    STATE(4852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_field_declarator_repeat1,
  [49508] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_LBRACE,
    ACTIONS(4691), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10455), 1,
      sym_identifier,
    STATE(2294), 1,
      sym_compound_statement,
    STATE(6636), 1,
      sym_method_type,
  [49530] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10376), 1,
      anon_sym_LBRACK,
    STATE(4277), 1,
      sym_parameter_list,
    ACTIONS(10518), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [49548] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10075), 1,
      anon_sym___attribute,
    ACTIONS(10077), 1,
      anon_sym_COLON,
    STATE(5128), 1,
      sym_bitfield_clause,
    ACTIONS(10073), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [49566] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(944), 1,
      anon_sym_LBRACE,
    ACTIONS(948), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(8850), 1,
      anon_sym_LBRACK,
    STATE(849), 1,
      sym_compound_statement,
    STATE(4812), 1,
      sym_parameter_list,
  [49588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 5,
      anon_sym_const,
      anon_sym_struct,
      anon_sym_in,
      sym_identifier,
      anon_sym_id,
  [49599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2970), 5,
      anon_sym_const,
      anon_sym_struct,
      anon_sym_in,
      sym_identifier,
      anon_sym_id,
  [49610] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9903), 1,
      anon_sym_COLON2,
    ACTIONS(10520), 1,
      sym_identifier,
    ACTIONS(10522), 1,
      anon_sym_RPAREN,
    STATE(5045), 1,
      aux_sym_method_identifier_repeat1,
    STATE(6598), 1,
      sym_method_identifier,
  [49629] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10524), 1,
      anon_sym_COMMA,
    ACTIONS(10526), 1,
      anon_sym_GT,
    ACTIONS(10528), 1,
      anon_sym_COLON,
    STATE(5263), 1,
      aux_sym_parameterized_arguments_repeat1,
    STATE(5578), 1,
      aux_sym_parameterized_arguments_repeat2,
  [49648] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9903), 1,
      anon_sym_COLON2,
    ACTIONS(10520), 1,
      sym_identifier,
    ACTIONS(10530), 1,
      anon_sym_RPAREN,
    STATE(5045), 1,
      aux_sym_method_identifier_repeat1,
    STATE(6338), 1,
      sym_method_identifier,
  [49667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3317), 1,
      anon_sym_ATend,
    ACTIONS(3070), 2,
      anon_sym_AToptional,
      anon_sym_ATrequired,
    STATE(5129), 2,
      sym_qualified_protocol_interface_declaration,
      aux_sym_protocol_declaration_repeat1,
  [49682] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(8768), 1,
      anon_sym_LBRACE,
    ACTIONS(10532), 1,
      sym_identifier,
    STATE(3824), 1,
      sym_field_declaration_list,
    STATE(5527), 1,
      sym_ms_declspec_modifier,
  [49701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10534), 5,
      anon_sym_COMMA,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [49712] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(8768), 1,
      anon_sym_LBRACE,
    ACTIONS(10536), 1,
      sym_identifier,
    STATE(3826), 1,
      sym_field_declaration_list,
    STATE(5528), 1,
      sym_ms_declspec_modifier,
  [49731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5670), 5,
      anon_sym_const,
      anon_sym_struct,
      anon_sym_in,
      sym_identifier,
      anon_sym_id,
  [49742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3319), 1,
      anon_sym_ATend,
    ACTIONS(3070), 2,
      anon_sym_AToptional,
      anon_sym_ATrequired,
    STATE(5129), 2,
      sym_qualified_protocol_interface_declaration,
      aux_sym_protocol_declaration_repeat1,
  [49757] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3096), 1,
      anon_sym_ATend,
    ACTIONS(3070), 2,
      anon_sym_AToptional,
      anon_sym_ATrequired,
    STATE(5129), 2,
      sym_qualified_protocol_interface_declaration,
      aux_sym_protocol_declaration_repeat1,
  [49772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10538), 5,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
      anon_sym___volatile__,
  [49783] = 4,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10542), 1,
      anon_sym_LPAREN2,
    STATE(5118), 1,
      aux_sym_selector_expression_repeat1,
    ACTIONS(10540), 3,
      sym_identifier,
      aux_sym_selector_expression_token1,
      anon_sym_COLON2,
  [49798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2860), 5,
      anon_sym_const,
      anon_sym_struct,
      anon_sym_in,
      sym_identifier,
      anon_sym_id,
  [49809] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3309), 1,
      anon_sym_ATend,
    ACTIONS(3070), 2,
      anon_sym_AToptional,
      anon_sym_ATrequired,
    STATE(5129), 2,
      sym_qualified_protocol_interface_declaration,
      aux_sym_protocol_declaration_repeat1,
  [49824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10545), 1,
      anon_sym_ATend,
    ACTIONS(3070), 2,
      anon_sym_AToptional,
      anon_sym_ATrequired,
    STATE(5129), 2,
      sym_qualified_protocol_interface_declaration,
      aux_sym_protocol_declaration_repeat1,
  [49839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10549), 1,
      anon_sym_COLON2,
    STATE(5122), 1,
      aux_sym_method_identifier_repeat1,
    ACTIONS(10547), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_identifier,
  [49854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3327), 1,
      anon_sym_ATend,
    ACTIONS(3070), 2,
      anon_sym_AToptional,
      anon_sym_ATrequired,
    STATE(5129), 2,
      sym_qualified_protocol_interface_declaration,
      aux_sym_protocol_declaration_repeat1,
  [49869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2730), 5,
      anon_sym_const,
      anon_sym_struct,
      anon_sym_in,
      sym_identifier,
      anon_sym_id,
  [49880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 5,
      anon_sym_const,
      anon_sym_struct,
      anon_sym_in,
      sym_identifier,
      anon_sym_id,
  [49891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_ATend,
    ACTIONS(3070), 2,
      anon_sym_AToptional,
      anon_sym_ATrequired,
    STATE(5129), 2,
      sym_qualified_protocol_interface_declaration,
      aux_sym_protocol_declaration_repeat1,
  [49906] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10552), 1,
      anon_sym_COMMA,
    STATE(5127), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(9413), 3,
      anon_sym_RBRACK,
      anon_sym_COLON,
      sym_identifier,
  [49921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10557), 1,
      anon_sym___attribute,
    ACTIONS(10555), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [49934] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10559), 1,
      anon_sym_ATend,
    ACTIONS(10561), 2,
      anon_sym_AToptional,
      anon_sym_ATrequired,
    STATE(5129), 2,
      sym_qualified_protocol_interface_declaration,
      aux_sym_protocol_declaration_repeat1,
  [49949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 5,
      anon_sym_const,
      anon_sym_struct,
      anon_sym_in,
      sym_identifier,
      anon_sym_id,
  [49960] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3016), 1,
      anon_sym_LT,
    ACTIONS(10564), 1,
      anon_sym_COMMA,
    ACTIONS(10566), 1,
      anon_sym_SEMI,
    STATE(5362), 1,
      sym_parameterized_arguments,
    STATE(5364), 1,
      aux_sym_class_declaration_repeat1,
  [49979] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3333), 1,
      anon_sym_ATend,
    ACTIONS(3070), 2,
      anon_sym_AToptional,
      anon_sym_ATrequired,
    STATE(5129), 2,
      sym_qualified_protocol_interface_declaration,
      aux_sym_protocol_declaration_repeat1,
  [49994] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3016), 1,
      anon_sym_LT,
    ACTIONS(10564), 1,
      anon_sym_COMMA,
    ACTIONS(10568), 1,
      anon_sym_SEMI,
    STATE(5596), 1,
      sym_parameterized_arguments,
    STATE(5597), 1,
      aux_sym_class_declaration_repeat1,
  [50013] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3068), 1,
      anon_sym_ATend,
    ACTIONS(3070), 2,
      anon_sym_AToptional,
      anon_sym_ATrequired,
    STATE(5129), 2,
      sym_qualified_protocol_interface_declaration,
      aux_sym_protocol_declaration_repeat1,
  [50028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5678), 5,
      anon_sym_const,
      anon_sym_struct,
      anon_sym_in,
      sym_identifier,
      anon_sym_id,
  [50039] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(6998), 1,
      anon_sym_LBRACE,
    ACTIONS(10570), 1,
      sym_identifier,
    STATE(2924), 1,
      sym_field_declaration_list,
    STATE(5691), 1,
      sym_ms_declspec_modifier,
  [50058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2922), 5,
      anon_sym_const,
      anon_sym_struct,
      anon_sym_in,
      sym_identifier,
      anon_sym_id,
  [50069] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3016), 1,
      anon_sym_LT,
    ACTIONS(10564), 1,
      anon_sym_COMMA,
    ACTIONS(10572), 1,
      anon_sym_SEMI,
    STATE(5533), 1,
      sym_parameterized_arguments,
    STATE(5539), 1,
      aux_sym_class_declaration_repeat1,
  [50088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10574), 5,
      anon_sym_COMMA,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [50099] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(6998), 1,
      anon_sym_LBRACE,
    ACTIONS(10576), 1,
      sym_identifier,
    STATE(2928), 1,
      sym_field_declaration_list,
    STATE(5708), 1,
      sym_ms_declspec_modifier,
  [50118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5686), 5,
      anon_sym_const,
      anon_sym_struct,
      anon_sym_in,
      sym_identifier,
      anon_sym_id,
  [50129] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10524), 1,
      anon_sym_COMMA,
    ACTIONS(10578), 1,
      anon_sym_GT,
    ACTIONS(10580), 1,
      anon_sym_COLON,
    STATE(5263), 1,
      aux_sym_parameterized_arguments_repeat1,
    STATE(5358), 1,
      aux_sym_parameterized_arguments_repeat2,
  [50148] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_ATend,
    ACTIONS(3070), 2,
      anon_sym_AToptional,
      anon_sym_ATrequired,
    STATE(5129), 2,
      sym_qualified_protocol_interface_declaration,
      aux_sym_protocol_declaration_repeat1,
  [50163] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10524), 1,
      anon_sym_COMMA,
    ACTIONS(10582), 1,
      anon_sym_GT,
    ACTIONS(10584), 1,
      anon_sym_COLON,
    STATE(5108), 1,
      aux_sym_parameterized_arguments_repeat1,
    STATE(5556), 1,
      aux_sym_parameterized_arguments_repeat2,
  [50182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3088), 1,
      anon_sym_ATend,
    ACTIONS(3070), 2,
      anon_sym_AToptional,
      anon_sym_ATrequired,
    STATE(5129), 2,
      sym_qualified_protocol_interface_declaration,
      aux_sym_protocol_declaration_repeat1,
  [50197] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3016), 1,
      anon_sym_LT,
    ACTIONS(10564), 1,
      anon_sym_COMMA,
    ACTIONS(10586), 1,
      anon_sym_SEMI,
    STATE(5370), 1,
      sym_parameterized_arguments,
    STATE(5371), 1,
      aux_sym_class_declaration_repeat1,
  [50216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3114), 1,
      anon_sym_ATend,
    ACTIONS(3070), 2,
      anon_sym_AToptional,
      anon_sym_ATrequired,
    STATE(5129), 2,
      sym_qualified_protocol_interface_declaration,
      aux_sym_protocol_declaration_repeat1,
  [50231] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10465), 1,
      anon_sym_COLON2,
    STATE(5122), 1,
      aux_sym_method_identifier_repeat1,
    ACTIONS(10588), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_identifier,
  [50246] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3321), 1,
      anon_sym_ATend,
    ACTIONS(3070), 2,
      anon_sym_AToptional,
      anon_sym_ATrequired,
    STATE(5129), 2,
      sym_qualified_protocol_interface_declaration,
      aux_sym_protocol_declaration_repeat1,
  [50261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 1,
      anon_sym_ATend,
    ACTIONS(3070), 2,
      anon_sym_AToptional,
      anon_sym_ATrequired,
    STATE(5129), 2,
      sym_qualified_protocol_interface_declaration,
      aux_sym_protocol_declaration_repeat1,
  [50276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7581), 5,
      anon_sym_COMMA,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [50287] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3016), 1,
      anon_sym_LT,
    ACTIONS(10564), 1,
      anon_sym_COMMA,
    ACTIONS(10590), 1,
      anon_sym_SEMI,
    STATE(5380), 1,
      sym_parameterized_arguments,
    STATE(5383), 1,
      aux_sym_class_declaration_repeat1,
  [50306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9407), 1,
      anon_sym_COMMA,
    STATE(5127), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(10592), 3,
      anon_sym_RBRACK,
      anon_sym_COLON,
      sym_identifier,
  [50321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5682), 5,
      anon_sym_const,
      anon_sym_struct,
      anon_sym_in,
      sym_identifier,
      anon_sym_id,
  [50332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 5,
      anon_sym_const,
      anon_sym_struct,
      anon_sym_in,
      sym_identifier,
      anon_sym_id,
  [50343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3080), 1,
      anon_sym_ATend,
    ACTIONS(3070), 2,
      anon_sym_AToptional,
      anon_sym_ATrequired,
    STATE(5129), 2,
      sym_qualified_protocol_interface_declaration,
      aux_sym_protocol_declaration_repeat1,
  [50358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10594), 5,
      anon_sym_COMMA,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [50369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7600), 1,
      sym_identifier,
    ACTIONS(7604), 4,
      anon_sym_const,
      anon_sym_struct,
      anon_sym_in,
      anon_sym_id,
  [50382] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9903), 1,
      anon_sym_COLON2,
    ACTIONS(10520), 1,
      sym_identifier,
    ACTIONS(10596), 1,
      anon_sym_RPAREN,
    STATE(5045), 1,
      aux_sym_method_identifier_repeat1,
    STATE(6599), 1,
      sym_method_identifier,
  [50401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10598), 5,
      anon_sym_COMMA,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [50412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10600), 5,
      anon_sym_COMMA,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [50423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_ATend,
    ACTIONS(3070), 2,
      anon_sym_AToptional,
      anon_sym_ATrequired,
    STATE(5129), 2,
      sym_qualified_protocol_interface_declaration,
      aux_sym_protocol_declaration_repeat1,
  [50438] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10229), 1,
      sym_identifier,
    STATE(3050), 1,
      sym_enumerator,
    STATE(5151), 1,
      sym_preproc_ifdef_in_enumerator,
    ACTIONS(7103), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [50455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10602), 1,
      sym_identifier,
    ACTIONS(10604), 4,
      anon_sym_const,
      anon_sym_struct,
      anon_sym_in,
      anon_sym_id,
  [50468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10606), 1,
      anon_sym_ATend,
    ACTIONS(3070), 2,
      anon_sym_AToptional,
      anon_sym_ATrequired,
    STATE(5129), 2,
      sym_qualified_protocol_interface_declaration,
      aux_sym_protocol_declaration_repeat1,
  [50483] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10608), 1,
      anon_sym_ATend,
    ACTIONS(3070), 2,
      anon_sym_AToptional,
      anon_sym_ATrequired,
    STATE(5129), 2,
      sym_qualified_protocol_interface_declaration,
      aux_sym_protocol_declaration_repeat1,
  [50498] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10610), 1,
      anon_sym_ATend,
    ACTIONS(3070), 2,
      anon_sym_AToptional,
      anon_sym_ATrequired,
    STATE(5129), 2,
      sym_qualified_protocol_interface_declaration,
      aux_sym_protocol_declaration_repeat1,
  [50513] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10376), 1,
      anon_sym_LBRACK,
    STATE(4277), 1,
      sym_parameter_list,
    ACTIONS(7644), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [50530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5690), 5,
      anon_sym_const,
      anon_sym_struct,
      anon_sym_in,
      sym_identifier,
      anon_sym_id,
  [50541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10612), 1,
      anon_sym_ATend,
    ACTIONS(3070), 2,
      anon_sym_AToptional,
      anon_sym_ATrequired,
    STATE(5129), 2,
      sym_qualified_protocol_interface_declaration,
      aux_sym_protocol_declaration_repeat1,
  [50556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 5,
      anon_sym_const,
      anon_sym_struct,
      anon_sym_in,
      sym_identifier,
      anon_sym_id,
  [50567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2766), 5,
      anon_sym_const,
      anon_sym_struct,
      anon_sym_in,
      sym_identifier,
      anon_sym_id,
  [50578] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10614), 1,
      anon_sym_COMMA,
    ACTIONS(10617), 1,
      anon_sym_GT,
    ACTIONS(10619), 1,
      anon_sym_COLON,
    STATE(5219), 1,
      aux_sym_parameterized_arguments_repeat1,
  [50594] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10621), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(10623), 1,
      anon_sym_LPAREN,
    ACTIONS(10625), 1,
      sym_preproc_arg,
    STATE(5767), 1,
      sym_preproc_params,
  [50610] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(8850), 1,
      anon_sym_LBRACK,
    ACTIONS(10627), 1,
      anon_sym_RPAREN,
    STATE(4812), 1,
      sym_parameter_list,
  [50626] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10629), 1,
      anon_sym_COMMA,
    STATE(5232), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(10631), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [50640] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10623), 1,
      anon_sym_LPAREN,
    ACTIONS(10633), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(10635), 1,
      sym_preproc_arg,
    STATE(5893), 1,
      sym_preproc_params,
  [50656] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10623), 1,
      anon_sym_LPAREN,
    ACTIONS(10637), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(10639), 1,
      sym_preproc_arg,
    STATE(5816), 1,
      sym_preproc_params,
  [50672] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10641), 1,
      anon_sym_DQUOTE,
    ACTIONS(10643), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10645), 1,
      sym_escape_sequence,
    STATE(5190), 1,
      aux_sym_string_literal_repeat1,
  [50688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10647), 1,
      anon_sym_COLON,
    STATE(5180), 1,
      aux_sym_message_expression_repeat1,
    ACTIONS(9405), 2,
      anon_sym_RBRACK,
      sym_identifier,
  [50702] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10650), 1,
      anon_sym_COMMA,
    ACTIONS(10654), 1,
      anon_sym_GT,
    ACTIONS(10657), 1,
      anon_sym_COLON,
    STATE(5219), 1,
      aux_sym_parameterized_arguments_repeat1,
  [50718] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    ACTIONS(10469), 1,
      anon_sym_COLON,
    ACTIONS(10660), 1,
      sym_identifier,
    STATE(4154), 1,
      sym_enumerator_list,
  [50734] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10662), 1,
      anon_sym_DQUOTE,
    ACTIONS(10664), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10666), 1,
      sym_escape_sequence,
    STATE(5246), 1,
      aux_sym_string_literal_repeat1,
  [50750] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8792), 1,
      anon_sym_LBRACE,
    ACTIONS(10481), 1,
      anon_sym_COLON,
    ACTIONS(10668), 1,
      sym_identifier,
    STATE(3936), 1,
      sym_enumerator_list,
  [50766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10670), 1,
      anon_sym_COMMA,
    STATE(5185), 1,
      aux_sym_protocol_forward_declaration_repeat1,
    ACTIONS(10673), 2,
      anon_sym_GT,
      anon_sym_SEMI,
  [50780] = 4,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10675), 1,
      anon_sym_SQUOTE,
    STATE(5186), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10677), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [50794] = 4,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10680), 1,
      anon_sym_SQUOTE,
    STATE(5186), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10682), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [50808] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10684), 1,
      anon_sym_DQUOTE,
    ACTIONS(10686), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10688), 1,
      sym_escape_sequence,
    STATE(5205), 1,
      aux_sym_string_literal_repeat1,
  [50824] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DQUOTE,
    ACTIONS(10692), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10694), 1,
      sym_escape_sequence,
    STATE(5236), 1,
      aux_sym_string_literal_repeat1,
  [50840] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10692), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10694), 1,
      sym_escape_sequence,
    ACTIONS(10696), 1,
      anon_sym_DQUOTE,
    STATE(5236), 1,
      aux_sym_string_literal_repeat1,
  [50856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10698), 1,
      anon_sym_LPAREN2,
    ACTIONS(10700), 1,
      anon_sym_LBRACE,
    ACTIONS(10702), 1,
      anon_sym_ATautoreleasepool,
    STATE(393), 1,
      sym_compound_statement,
  [50872] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    ACTIONS(10502), 1,
      anon_sym_COLON,
    ACTIONS(10704), 1,
      sym_identifier,
    STATE(3201), 1,
      sym_enumerator_list,
  [50888] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10706), 1,
      anon_sym_DQUOTE,
    ACTIONS(10708), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10710), 1,
      sym_escape_sequence,
    STATE(5297), 1,
      aux_sym_string_literal_repeat1,
  [50904] = 4,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10712), 1,
      anon_sym_SQUOTE,
    STATE(5186), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10682), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [50918] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10714), 1,
      anon_sym_DQUOTE,
    ACTIONS(10716), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10718), 1,
      sym_escape_sequence,
    STATE(5226), 1,
      aux_sym_string_literal_repeat1,
  [50934] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    ACTIONS(10502), 1,
      anon_sym_COLON,
    ACTIONS(10720), 1,
      sym_identifier,
    STATE(3201), 1,
      sym_enumerator_list,
  [50950] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    ACTIONS(10722), 1,
      sym_identifier,
    ACTIONS(10724), 1,
      anon_sym_COLON,
    STATE(4153), 1,
      sym_enumerator_list,
  [50966] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(8850), 1,
      anon_sym_LBRACK,
    ACTIONS(10726), 1,
      anon_sym_RPAREN,
    STATE(4812), 1,
      sym_parameter_list,
  [50982] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10692), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10694), 1,
      sym_escape_sequence,
    ACTIONS(10728), 1,
      anon_sym_DQUOTE,
    STATE(5236), 1,
      aux_sym_string_literal_repeat1,
  [50998] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10692), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10694), 1,
      sym_escape_sequence,
    ACTIONS(10706), 1,
      anon_sym_DQUOTE,
    STATE(5236), 1,
      aux_sym_string_literal_repeat1,
  [51014] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10730), 1,
      anon_sym_COMMA,
    ACTIONS(10732), 1,
      anon_sym_RPAREN,
    STATE(5355), 1,
      aux_sym__old_style_parameter_list_repeat1,
    STATE(5447), 1,
      aux_sym_parameter_list_repeat1,
  [51030] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(10734), 1,
      anon_sym_SEMI,
    STATE(6212), 1,
      sym_attribute_specifier,
  [51046] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8792), 1,
      anon_sym_LBRACE,
    ACTIONS(10736), 1,
      sym_identifier,
    ACTIONS(10738), 1,
      anon_sym_COLON,
    STATE(3966), 1,
      sym_enumerator_list,
  [51062] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10740), 1,
      anon_sym_COMMA,
    STATE(5204), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(10743), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [51076] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10692), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10694), 1,
      sym_escape_sequence,
    ACTIONS(10745), 1,
      anon_sym_DQUOTE,
    STATE(5236), 1,
      aux_sym_string_literal_repeat1,
  [51092] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10692), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10694), 1,
      sym_escape_sequence,
    ACTIONS(10747), 1,
      anon_sym_DQUOTE,
    STATE(5236), 1,
      aux_sym_string_literal_repeat1,
  [51108] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10749), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10751), 1,
      anon_sym_COMMA,
    ACTIONS(10753), 1,
      anon_sym_RPAREN,
    STATE(5229), 1,
      aux_sym_preproc_params_repeat1,
  [51124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10027), 1,
      anon_sym_COLON2,
    ACTIONS(10755), 1,
      anon_sym_RPAREN,
    STATE(1446), 1,
      aux_sym_selector_expression_repeat2,
    STATE(5020), 1,
      aux_sym_method_identifier_repeat1,
  [51140] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10757), 1,
      anon_sym_COMMA,
    STATE(5241), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(10759), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [51154] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10763), 1,
      anon_sym_COLON,
    STATE(5254), 1,
      aux_sym_message_expression_repeat1,
    ACTIONS(10761), 2,
      anon_sym_RBRACK,
      sym_identifier,
  [51168] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    ACTIONS(10724), 1,
      anon_sym_COLON,
    ACTIONS(10765), 1,
      sym_identifier,
    STATE(4153), 1,
      sym_enumerator_list,
  [51184] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10692), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10694), 1,
      sym_escape_sequence,
    ACTIONS(10767), 1,
      anon_sym_DQUOTE,
    STATE(5236), 1,
      aux_sym_string_literal_repeat1,
  [51200] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10771), 1,
      anon_sym_COMMA,
    STATE(5213), 1,
      aux_sym_preproc_params_repeat1,
    ACTIONS(10769), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RPAREN,
  [51214] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10623), 1,
      anon_sym_LPAREN,
    ACTIONS(10774), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(10776), 1,
      sym_preproc_arg,
    STATE(5883), 1,
      sym_preproc_params,
  [51230] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    ACTIONS(10469), 1,
      anon_sym_COLON,
    ACTIONS(10778), 1,
      sym_identifier,
    STATE(4154), 1,
      sym_enumerator_list,
  [51246] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10692), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10694), 1,
      sym_escape_sequence,
    ACTIONS(10780), 1,
      anon_sym_DQUOTE,
    STATE(5236), 1,
      aux_sym_string_literal_repeat1,
  [51262] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(10782), 1,
      anon_sym_SEMI,
    STATE(6241), 1,
      sym_attribute_specifier,
  [51278] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10767), 1,
      anon_sym_DQUOTE,
    ACTIONS(10784), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10786), 1,
      sym_escape_sequence,
    STATE(5264), 1,
      aux_sym_string_literal_repeat1,
  [51294] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10788), 1,
      anon_sym_COMMA,
    ACTIONS(10791), 1,
      anon_sym_GT,
    ACTIONS(10793), 1,
      anon_sym_COLON,
    STATE(5263), 1,
      aux_sym_parameterized_arguments_repeat1,
  [51310] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10795), 1,
      anon_sym_COMMA,
    ACTIONS(10799), 1,
      anon_sym_GT,
    ACTIONS(10802), 1,
      anon_sym_COLON,
    STATE(5320), 1,
      aux_sym_parameterized_arguments_repeat1,
  [51326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9124), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10805), 1,
      anon_sym_LPAREN2,
    ACTIONS(9119), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [51340] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(10807), 1,
      anon_sym_SEMI,
    STATE(6305), 1,
      sym_attribute_specifier,
  [51356] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10809), 1,
      anon_sym_COMMA,
    ACTIONS(10811), 1,
      anon_sym_SEMI,
    ACTIONS(10813), 1,
      anon_sym_EQ,
    STATE(5620), 1,
      aux_sym_property_implementation_repeat1,
  [51372] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10815), 1,
      anon_sym_COMMA,
    STATE(5224), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(10818), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [51386] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10820), 1,
      anon_sym_COMMA,
    STATE(5224), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(10822), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [51400] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10692), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10694), 1,
      sym_escape_sequence,
    ACTIONS(10824), 1,
      anon_sym_DQUOTE,
    STATE(5236), 1,
      aux_sym_string_literal_repeat1,
  [51416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(8850), 1,
      anon_sym_LBRACK,
    ACTIONS(10826), 1,
      anon_sym_RPAREN,
    STATE(4812), 1,
      sym_parameter_list,
  [51432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9472), 1,
      anon_sym_COMMA,
    ACTIONS(10828), 1,
      anon_sym_RPAREN,
    ACTIONS(10830), 1,
      anon_sym_EQ,
    STATE(5560), 1,
      aux_sym_availability_repeat1,
  [51448] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10751), 1,
      anon_sym_COMMA,
    ACTIONS(10832), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(10834), 1,
      anon_sym_RPAREN,
    STATE(5213), 1,
      aux_sym_preproc_params_repeat1,
  [51464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10836), 1,
      aux_sym_preproc_if_token2,
    STATE(5278), 1,
      aux_sym_preproc_ifdef_in_enumerator_repeat1,
    STATE(6485), 1,
      sym_enumerator,
  [51480] = 4,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10838), 1,
      anon_sym_SQUOTE,
    STATE(5186), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10682), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [51494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10629), 1,
      anon_sym_COMMA,
    STATE(5204), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(10840), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [51508] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10842), 1,
      anon_sym_LPAREN2,
    ACTIONS(10844), 1,
      anon_sym_LBRACE,
    ACTIONS(10846), 1,
      anon_sym_ATautoreleasepool,
    STATE(187), 1,
      sym_compound_statement,
  [51524] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10376), 1,
      anon_sym_LBRACK,
    ACTIONS(10848), 1,
      anon_sym_RPAREN,
    STATE(4277), 1,
      sym_parameter_list,
  [51540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10757), 1,
      anon_sym_COMMA,
    STATE(5209), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(10850), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [51554] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10852), 1,
      anon_sym_DQUOTE,
    ACTIONS(10854), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10857), 1,
      sym_escape_sequence,
    STATE(5236), 1,
      aux_sym_string_literal_repeat1,
  [51570] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(10860), 1,
      anon_sym_SEMI,
    STATE(6568), 1,
      sym_attribute_specifier,
  [51586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(10862), 1,
      anon_sym_SEMI,
    STATE(6138), 1,
      sym_attribute_specifier,
  [51602] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10864), 1,
      anon_sym_DQUOTE,
    ACTIONS(10866), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10868), 1,
      sym_escape_sequence,
    STATE(5256), 1,
      aux_sym_string_literal_repeat1,
  [51618] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10714), 1,
      anon_sym_DQUOTE,
    ACTIONS(10870), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10872), 1,
      sym_escape_sequence,
    STATE(5311), 1,
      aux_sym_string_literal_repeat1,
  [51634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10874), 1,
      anon_sym_COMMA,
    STATE(5241), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(10877), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [51648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10879), 1,
      anon_sym_LPAREN2,
    ACTIONS(10881), 1,
      anon_sym_LBRACE,
    ACTIONS(10883), 1,
      anon_sym_ATautoreleasepool,
    STATE(1092), 1,
      sym_compound_statement,
  [51664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8792), 1,
      anon_sym_LBRACE,
    ACTIONS(10481), 1,
      anon_sym_COLON,
    ACTIONS(10885), 1,
      sym_identifier,
    STATE(3936), 1,
      sym_enumerator_list,
  [51680] = 4,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10887), 1,
      anon_sym_SQUOTE,
    STATE(5186), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(10682), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [51694] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10461), 1,
      sym_identifier,
    STATE(5266), 1,
      aux_sym_method_identifier_repeat2,
    ACTIONS(10889), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [51708] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10692), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10694), 1,
      sym_escape_sequence,
    ACTIONS(10714), 1,
      anon_sym_DQUOTE,
    STATE(5236), 1,
      aux_sym_string_literal_repeat1,
  [51724] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10809), 1,
      anon_sym_COMMA,
    ACTIONS(10891), 1,
      anon_sym_SEMI,
    ACTIONS(10893), 1,
      anon_sym_EQ,
    STATE(5463), 1,
      aux_sym_property_implementation_repeat1,
  [51740] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10027), 1,
      anon_sym_COLON2,
    ACTIONS(10895), 1,
      anon_sym_RPAREN,
    STATE(4474), 1,
      aux_sym_selector_expression_repeat2,
    STATE(5020), 1,
      aux_sym_method_identifier_repeat1,
  [51756] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    ACTIONS(10897), 1,
      sym_identifier,
    ACTIONS(10899), 1,
      anon_sym_COLON,
    STATE(3128), 1,
      sym_enumerator_list,
  [51772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8093), 1,
      anon_sym_LBRACK,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10901), 1,
      anon_sym_RPAREN,
    STATE(4307), 1,
      sym_parameter_list,
  [51788] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8089), 1,
      anon_sym_RPAREN,
    ACTIONS(8093), 1,
      anon_sym_LBRACK,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    STATE(4307), 1,
      sym_parameter_list,
  [51804] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10903), 1,
      anon_sym_DQUOTE,
    ACTIONS(10905), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10907), 1,
      sym_escape_sequence,
    STATE(5216), 1,
      aux_sym_string_literal_repeat1,
  [51820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(10909), 1,
      anon_sym_SEMI,
    STATE(5915), 1,
      sym_attribute_specifier,
  [51836] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10763), 1,
      anon_sym_COLON,
    STATE(5180), 1,
      aux_sym_message_expression_repeat1,
    ACTIONS(10911), 2,
      anon_sym_RBRACK,
      sym_identifier,
  [51850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10820), 1,
      anon_sym_COMMA,
    STATE(5225), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(10913), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [51864] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10692), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10694), 1,
      sym_escape_sequence,
    ACTIONS(10915), 1,
      anon_sym_DQUOTE,
    STATE(5236), 1,
      aux_sym_string_literal_repeat1,
  [51880] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DQUOTE,
    ACTIONS(10917), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10919), 1,
      sym_escape_sequence,
    STATE(5300), 1,
      aux_sym_string_literal_repeat1,
  [51896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8093), 1,
      anon_sym_LBRACK,
    ACTIONS(8131), 1,
      anon_sym_RPAREN,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    STATE(4307), 1,
      sym_parameter_list,
  [51912] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10809), 1,
      anon_sym_COMMA,
    ACTIONS(10921), 1,
      anon_sym_SEMI,
    ACTIONS(10923), 1,
      anon_sym_EQ,
    STATE(5397), 1,
      aux_sym_property_implementation_repeat1,
  [51928] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10925), 1,
      anon_sym_LPAREN2,
    ACTIONS(10927), 1,
      anon_sym_LBRACE,
    ACTIONS(10929), 1,
      anon_sym_ATautoreleasepool,
    STATE(400), 1,
      sym_compound_statement,
  [51944] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(10931), 1,
      anon_sym_SEMI,
    STATE(6279), 1,
      sym_attribute_specifier,
  [51960] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10915), 1,
      anon_sym_DQUOTE,
    ACTIONS(10933), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10935), 1,
      sym_escape_sequence,
    STATE(5199), 1,
      aux_sym_string_literal_repeat1,
  [51976] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10937), 1,
      anon_sym_COMMA,
    STATE(5263), 1,
      aux_sym_parameterized_arguments_repeat1,
    ACTIONS(10940), 2,
      anon_sym_GT,
      anon_sym_COLON,
  [51990] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10692), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10694), 1,
      sym_escape_sequence,
    ACTIONS(10942), 1,
      anon_sym_DQUOTE,
    STATE(5236), 1,
      aux_sym_string_literal_repeat1,
  [52006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10944), 1,
      anon_sym_LPAREN2,
    ACTIONS(10946), 1,
      anon_sym_LBRACE,
    ACTIONS(10948), 1,
      anon_sym_ATautoreleasepool,
    STATE(191), 1,
      sym_compound_statement,
  [52022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10950), 1,
      sym_identifier,
    STATE(5266), 1,
      aux_sym_method_identifier_repeat2,
    ACTIONS(10588), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [52036] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8093), 1,
      anon_sym_LBRACK,
    ACTIONS(8119), 1,
      anon_sym_RPAREN,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    STATE(4307), 1,
      sym_parameter_list,
  [52052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10350), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [52062] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(10953), 1,
      anon_sym_SEMI,
    STATE(6249), 1,
      sym_attribute_specifier,
  [52078] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8792), 1,
      anon_sym_LBRACE,
    ACTIONS(10738), 1,
      anon_sym_COLON,
    ACTIONS(10955), 1,
      sym_identifier,
    STATE(3966), 1,
      sym_enumerator_list,
  [52094] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10692), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10694), 1,
      sym_escape_sequence,
    ACTIONS(10957), 1,
      anon_sym_DQUOTE,
    STATE(5236), 1,
      aux_sym_string_literal_repeat1,
  [52110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(10959), 1,
      anon_sym_SEMI,
    STATE(6679), 1,
      sym_attribute_specifier,
  [52126] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8792), 1,
      anon_sym_LBRACE,
    ACTIONS(10459), 1,
      anon_sym_COLON,
    ACTIONS(10961), 1,
      sym_identifier,
    STATE(4097), 1,
      sym_enumerator_list,
  [52142] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10963), 1,
      anon_sym_DQUOTE,
    ACTIONS(10965), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10967), 1,
      sym_escape_sequence,
    STATE(5271), 1,
      aux_sym_string_literal_repeat1,
  [52158] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(10969), 1,
      anon_sym_SEMI,
    STATE(6715), 1,
      sym_attribute_specifier,
  [52174] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym_LBRACE,
    ACTIONS(8153), 1,
      anon_sym_ATautoreleasepool,
    ACTIONS(10971), 1,
      anon_sym_LPAREN2,
    STATE(400), 1,
      sym_compound_statement,
  [52190] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10623), 1,
      anon_sym_LPAREN,
    ACTIONS(10973), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(10975), 1,
      sym_preproc_arg,
    STATE(5881), 1,
      sym_preproc_params,
  [52206] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10047), 1,
      sym_identifier,
    ACTIONS(10977), 1,
      aux_sym_preproc_if_token2,
    STATE(4956), 1,
      aux_sym_preproc_ifdef_in_enumerator_repeat1,
    STATE(6485), 1,
      sym_enumerator,
  [52222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8093), 1,
      anon_sym_LBRACK,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10979), 1,
      anon_sym_RPAREN,
    STATE(4307), 1,
      sym_parameter_list,
  [52238] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(10981), 1,
      anon_sym_SEMI,
    STATE(6698), 1,
      sym_attribute_specifier,
  [52254] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(10983), 1,
      anon_sym_SEMI,
    STATE(6718), 1,
      sym_attribute_specifier,
  [52270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(10985), 1,
      anon_sym_SEMI,
    STATE(6702), 1,
      sym_attribute_specifier,
  [52286] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(10987), 1,
      anon_sym_SEMI,
    STATE(6703), 1,
      sym_attribute_specifier,
  [52302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(10989), 1,
      anon_sym_SEMI,
    STATE(6287), 1,
      sym_attribute_specifier,
  [52318] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(10991), 1,
      anon_sym_SEMI,
    STATE(6706), 1,
      sym_attribute_specifier,
  [52334] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10027), 1,
      anon_sym_COLON2,
    ACTIONS(10993), 1,
      anon_sym_RPAREN,
    STATE(1634), 1,
      aux_sym_selector_expression_repeat2,
    STATE(5020), 1,
      aux_sym_method_identifier_repeat1,
  [52350] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8792), 1,
      anon_sym_LBRACE,
    ACTIONS(10995), 1,
      sym_identifier,
    ACTIONS(10997), 1,
      anon_sym_COLON,
    STATE(4092), 1,
      sym_enumerator_list,
  [52366] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(10999), 1,
      anon_sym_SEMI,
    STATE(5911), 1,
      sym_attribute_specifier,
  [52382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8093), 1,
      anon_sym_LBRACK,
    ACTIONS(8123), 1,
      anon_sym_RPAREN,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    STATE(4307), 1,
      sym_parameter_list,
  [52398] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    ACTIONS(10899), 1,
      anon_sym_COLON,
    ACTIONS(11001), 1,
      sym_identifier,
    STATE(3128), 1,
      sym_enumerator_list,
  [52414] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(11003), 1,
      anon_sym_SEMI,
    STATE(6725), 1,
      sym_attribute_specifier,
  [52430] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10027), 1,
      anon_sym_COLON2,
    ACTIONS(11005), 1,
      anon_sym_RPAREN,
    STATE(4362), 1,
      aux_sym_selector_expression_repeat2,
    STATE(5020), 1,
      aux_sym_method_identifier_repeat1,
  [52446] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10623), 1,
      anon_sym_LPAREN,
    ACTIONS(11007), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11009), 1,
      sym_preproc_arg,
    STATE(5854), 1,
      sym_preproc_params,
  [52462] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10809), 1,
      anon_sym_COMMA,
    ACTIONS(11011), 1,
      anon_sym_SEMI,
    ACTIONS(11013), 1,
      anon_sym_EQ,
    STATE(5499), 1,
      aux_sym_property_implementation_repeat1,
  [52478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11015), 1,
      anon_sym_LPAREN2,
    ACTIONS(11017), 1,
      anon_sym_LBRACE,
    ACTIONS(11019), 1,
      anon_sym_ATautoreleasepool,
    STATE(703), 1,
      sym_compound_statement,
  [52494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(8850), 1,
      anon_sym_LBRACK,
    ACTIONS(11021), 1,
      anon_sym_RPAREN,
    STATE(4812), 1,
      sym_parameter_list,
  [52510] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10692), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10694), 1,
      sym_escape_sequence,
    ACTIONS(11023), 1,
      anon_sym_DQUOTE,
    STATE(5236), 1,
      aux_sym_string_literal_repeat1,
  [52526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11025), 1,
      anon_sym_LPAREN2,
    ACTIONS(11027), 1,
      anon_sym_LBRACE,
    ACTIONS(11029), 1,
      anon_sym_ATautoreleasepool,
    STATE(212), 1,
      sym_compound_statement,
  [52542] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10747), 1,
      anon_sym_DQUOTE,
    ACTIONS(10870), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10872), 1,
      sym_escape_sequence,
    STATE(5311), 1,
      aux_sym_string_literal_repeat1,
  [52558] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10692), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10694), 1,
      sym_escape_sequence,
    ACTIONS(11031), 1,
      anon_sym_DQUOTE,
    STATE(5236), 1,
      aux_sym_string_literal_repeat1,
  [52574] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(11033), 1,
      anon_sym_SEMI,
    STATE(6727), 1,
      sym_attribute_specifier,
  [52590] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(11035), 1,
      anon_sym_SEMI,
    STATE(6728), 1,
      sym_attribute_specifier,
  [52606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(8850), 1,
      anon_sym_LBRACK,
    ACTIONS(11037), 1,
      anon_sym_RPAREN,
    STATE(4812), 1,
      sym_parameter_list,
  [52622] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11039), 1,
      anon_sym_DQUOTE,
    ACTIONS(11041), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11043), 1,
      sym_escape_sequence,
    STATE(5212), 1,
      aux_sym_string_literal_repeat1,
  [52638] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11045), 1,
      anon_sym_DQUOTE,
    ACTIONS(11047), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11049), 1,
      sym_escape_sequence,
    STATE(5206), 1,
      aux_sym_string_literal_repeat1,
  [52654] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10809), 1,
      anon_sym_COMMA,
    ACTIONS(11051), 1,
      anon_sym_SEMI,
    ACTIONS(11053), 1,
      anon_sym_EQ,
    STATE(5469), 1,
      aux_sym_property_implementation_repeat1,
  [52670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8093), 1,
      anon_sym_LBRACK,
    ACTIONS(8139), 1,
      anon_sym_RPAREN,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    STATE(4307), 1,
      sym_parameter_list,
  [52686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10461), 1,
      sym_identifier,
    STATE(5266), 1,
      aux_sym_method_identifier_repeat2,
    ACTIONS(10463), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [52700] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11055), 1,
      anon_sym_DQUOTE,
    ACTIONS(11057), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11059), 1,
      sym_escape_sequence,
    STATE(5189), 1,
      aux_sym_string_literal_repeat1,
  [52716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8093), 1,
      anon_sym_LBRACK,
    ACTIONS(8135), 1,
      anon_sym_RPAREN,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    STATE(4307), 1,
      sym_parameter_list,
  [52732] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10692), 1,
      aux_sym_string_literal_token1,
    ACTIONS(10694), 1,
      sym_escape_sequence,
    ACTIONS(11061), 1,
      anon_sym_DQUOTE,
    STATE(5236), 1,
      aux_sym_string_literal_repeat1,
  [52748] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10623), 1,
      anon_sym_LPAREN,
    ACTIONS(11063), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11065), 1,
      sym_preproc_arg,
    STATE(5812), 1,
      sym_preproc_params,
  [52764] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10623), 1,
      anon_sym_LPAREN,
    ACTIONS(11067), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11069), 1,
      sym_preproc_arg,
    STATE(5739), 1,
      sym_preproc_params,
  [52780] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(8850), 1,
      anon_sym_LBRACK,
    ACTIONS(11071), 1,
      anon_sym_RPAREN,
    STATE(4812), 1,
      sym_parameter_list,
  [52796] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3016), 1,
      anon_sym_LT,
    STATE(5831), 1,
      sym_parameterized_arguments,
    ACTIONS(11073), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [52810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10730), 1,
      anon_sym_COMMA,
    ACTIONS(11075), 1,
      anon_sym_RPAREN,
    STATE(5355), 1,
      aux_sym__old_style_parameter_list_repeat1,
    STATE(5703), 1,
      aux_sym_parameter_list_repeat1,
  [52826] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11077), 1,
      anon_sym_DQUOTE,
    ACTIONS(11079), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11081), 1,
      sym_escape_sequence,
    STATE(5200), 1,
      aux_sym_string_literal_repeat1,
  [52842] = 5,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10623), 1,
      anon_sym_LPAREN,
    ACTIONS(11083), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11085), 1,
      sym_preproc_arg,
    STATE(5862), 1,
      sym_preproc_params,
  [52858] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10809), 1,
      anon_sym_COMMA,
    ACTIONS(11087), 1,
      anon_sym_SEMI,
    ACTIONS(11089), 1,
      anon_sym_EQ,
    STATE(5393), 1,
      aux_sym_property_implementation_repeat1,
  [52874] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11091), 1,
      anon_sym_COMMA,
    ACTIONS(11094), 1,
      anon_sym_GT,
    ACTIONS(11096), 1,
      anon_sym_COLON,
    STATE(5263), 1,
      aux_sym_parameterized_arguments_repeat1,
  [52890] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___attribute,
    ACTIONS(6788), 1,
      anon_sym___attribute__,
    ACTIONS(11098), 1,
      anon_sym_SEMI,
    STATE(5914), 1,
      sym_attribute_specifier,
  [52906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11100), 1,
      anon_sym_COMMA,
    ACTIONS(11103), 1,
      anon_sym_GT,
    ACTIONS(11105), 1,
      anon_sym_COLON,
    STATE(5320), 1,
      aux_sym_parameterized_arguments_repeat1,
  [52922] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8848), 1,
      anon_sym_LPAREN2,
    ACTIONS(10376), 1,
      anon_sym_LBRACK,
    ACTIONS(11107), 1,
      anon_sym_RPAREN,
    STATE(4277), 1,
      sym_parameter_list,
  [52938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11109), 1,
      anon_sym_COMMA,
    ACTIONS(11111), 1,
      anon_sym_RBRACK,
    STATE(5485), 1,
      aux_sym_attribute_declaration_repeat1,
  [52951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      anon_sym_ATautoreleasepool,
    STATE(720), 1,
      sym_compound_statement,
  [52964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10154), 1,
      anon_sym_RPAREN,
    ACTIONS(11113), 1,
      anon_sym_COMMA,
    STATE(5326), 1,
      aux_sym_available_expression_repeat1,
  [52977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11116), 1,
      anon_sym_RPAREN,
    ACTIONS(11118), 1,
      anon_sym_COLON,
    STATE(5646), 1,
      sym_gnu_asm_clobber_list,
  [52990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11120), 1,
      anon_sym_SEMI,
    ACTIONS(11122), 1,
      anon_sym_DOT,
    STATE(5391), 1,
      aux_sym_module_import_repeat1,
  [53003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(3112), 1,
      anon_sym_SEMI,
    STATE(5185), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [53016] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10041), 1,
      anon_sym_COMMA,
    ACTIONS(11124), 1,
      anon_sym_RPAREN,
    STATE(5326), 1,
      aux_sym_available_expression_repeat1,
  [53029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11128), 1,
      anon_sym_COLON,
    ACTIONS(11126), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [53040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(9026), 1,
      anon_sym_RPAREN,
    STATE(5342), 1,
      aux_sym_attribute_specifier_repeat1,
  [53053] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11109), 1,
      anon_sym_COMMA,
    ACTIONS(11130), 1,
      anon_sym_RBRACK,
    STATE(5485), 1,
      aux_sym_attribute_declaration_repeat1,
  [53066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10021), 1,
      anon_sym_COMMA,
    ACTIONS(11132), 1,
      anon_sym_RPAREN,
    STATE(5372), 1,
      aux_sym_availability_attribute_specifier_repeat1,
  [53079] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11134), 1,
      anon_sym_COMMA,
    ACTIONS(11137), 1,
      anon_sym_RPAREN,
    STATE(5335), 1,
      aux_sym_property_attributes_declaration_repeat1,
  [53092] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11139), 1,
      sym_identifier,
    ACTIONS(11142), 1,
      anon_sym_RBRACK,
    STATE(5336), 1,
      aux_sym_message_expression_repeat2,
  [53105] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4206), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11144), 1,
      sym_identifier,
    STATE(5791), 1,
      sym_variadic_parameter,
  [53118] = 4,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11146), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11148), 1,
      anon_sym_LPAREN2,
    STATE(6717), 1,
      sym_preproc_argument_list,
  [53131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11150), 1,
      anon_sym_COMMA,
    ACTIONS(11152), 1,
      anon_sym_GT,
    STATE(5611), 1,
      aux_sym_argument_list_repeat2,
  [53144] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11154), 1,
      anon_sym_RPAREN,
    ACTIONS(11156), 1,
      anon_sym_COLON,
    STATE(6741), 1,
      sym_gnu_asm_goto_list,
  [53157] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11118), 1,
      anon_sym_COLON,
    ACTIONS(11158), 1,
      anon_sym_RPAREN,
    STATE(5375), 1,
      sym_gnu_asm_clobber_list,
  [53170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(11160), 1,
      anon_sym_RPAREN,
    STATE(5641), 1,
      aux_sym_attribute_specifier_repeat1,
  [53183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9424), 1,
      anon_sym_COMMA,
    ACTIONS(11162), 1,
      anon_sym_RPAREN,
    STATE(5519), 1,
      aux_sym_attribute_repeat1,
  [53196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(10921), 1,
      anon_sym_SEMI,
    STATE(5403), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [53209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10021), 1,
      anon_sym_COMMA,
    ACTIONS(11164), 1,
      anon_sym_RPAREN,
    STATE(5524), 1,
      aux_sym_availability_attribute_specifier_repeat1,
  [53222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10021), 1,
      anon_sym_COMMA,
    ACTIONS(11164), 1,
      anon_sym_RPAREN,
    STATE(5376), 1,
      aux_sym_availability_attribute_specifier_repeat1,
  [53235] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LBRACE,
    ACTIONS(183), 1,
      anon_sym_ATautoreleasepool,
    STATE(246), 1,
      sym_compound_statement,
  [53248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11166), 1,
      anon_sym_RPAREN,
    ACTIONS(11168), 1,
      anon_sym_COLON,
    STATE(5625), 1,
      sym_gnu_asm_input_operand_list,
  [53261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11170), 1,
      anon_sym_COMMA,
    ACTIONS(11172), 1,
      anon_sym_RPAREN,
    STATE(5640), 1,
      aux_sym_generic_arguments_repeat1,
  [53274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(944), 1,
      anon_sym_LBRACE,
    ACTIONS(948), 1,
      anon_sym_ATautoreleasepool,
    STATE(817), 1,
      sym_compound_statement,
  [53287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11174), 1,
      anon_sym_RPAREN,
    ACTIONS(11176), 1,
      anon_sym_COLON,
    STATE(5650), 1,
      sym_gnu_asm_output_operand_list,
  [53300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LBRACE,
    ACTIONS(4669), 1,
      anon_sym_ATautoreleasepool,
    STATE(2116), 1,
      sym_compound_statement,
  [53313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym_LBRACE,
    ACTIONS(8153), 1,
      anon_sym_ATautoreleasepool,
    STATE(401), 1,
      sym_compound_statement,
  [53326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8633), 1,
      anon_sym_RBRACK,
    ACTIONS(11178), 1,
      anon_sym_COMMA,
    STATE(5686), 1,
      aux_sym_attribute_repeat1,
  [53339] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11180), 1,
      anon_sym_COMMA,
    ACTIONS(11182), 1,
      anon_sym_RPAREN,
    STATE(5460), 1,
      aux_sym__old_style_parameter_list_repeat1,
  [53352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8445), 1,
      anon_sym_RBRACE,
    ACTIONS(11184), 1,
      anon_sym_COMMA,
    STATE(5702), 1,
      aux_sym_dictionary_literal_repeat1,
  [53365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 1,
      anon_sym_LBRACE,
    ACTIONS(4659), 1,
      anon_sym_ATautoreleasepool,
    STATE(2302), 1,
      sym_compound_statement,
  [53378] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11186), 1,
      anon_sym_COMMA,
    ACTIONS(11188), 1,
      anon_sym_GT,
    STATE(5451), 1,
      aux_sym_parameterized_arguments_repeat2,
  [53391] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11051), 1,
      anon_sym_SEMI,
    STATE(5472), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [53404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10809), 1,
      anon_sym_COMMA,
    ACTIONS(11190), 1,
      anon_sym_SEMI,
    STATE(5517), 1,
      aux_sym_property_implementation_repeat1,
  [53417] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11122), 1,
      anon_sym_DOT,
    ACTIONS(11192), 1,
      anon_sym_SEMI,
    STATE(5450), 1,
      aux_sym_module_import_repeat1,
  [53430] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10564), 1,
      anon_sym_COMMA,
    ACTIONS(11194), 1,
      anon_sym_SEMI,
    STATE(5716), 1,
      aux_sym_class_declaration_repeat1,
  [53443] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1934), 1,
      anon_sym_LBRACE,
    ACTIONS(1936), 1,
      anon_sym_ATautoreleasepool,
    STATE(736), 1,
      sym_compound_statement,
  [53456] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10564), 1,
      anon_sym_COMMA,
    ACTIONS(11194), 1,
      anon_sym_SEMI,
    STATE(5717), 1,
      aux_sym_class_declaration_repeat1,
  [53469] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11017), 1,
      anon_sym_LBRACE,
    ACTIONS(11019), 1,
      anon_sym_ATautoreleasepool,
    STATE(782), 1,
      sym_compound_statement,
  [53482] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    STATE(5187), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11196), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [53493] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym_LBRACE,
    ACTIONS(8153), 1,
      anon_sym_ATautoreleasepool,
    STATE(4992), 1,
      sym_compound_statement,
  [53506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 1,
      anon_sym_LBRACE,
    ACTIONS(4659), 1,
      anon_sym_ATautoreleasepool,
    STATE(2286), 1,
      sym_compound_statement,
  [53519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11150), 1,
      anon_sym_COMMA,
    ACTIONS(11198), 1,
      anon_sym_GT,
    STATE(5439), 1,
      aux_sym_argument_list_repeat2,
  [53532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10564), 1,
      anon_sym_COMMA,
    ACTIONS(11200), 1,
      anon_sym_SEMI,
    STATE(5415), 1,
      aux_sym_class_declaration_repeat1,
  [53545] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10564), 1,
      anon_sym_COMMA,
    ACTIONS(11200), 1,
      anon_sym_SEMI,
    STATE(5717), 1,
      aux_sym_class_declaration_repeat1,
  [53558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10021), 1,
      anon_sym_COMMA,
    ACTIONS(11202), 1,
      anon_sym_RPAREN,
    STATE(5524), 1,
      aux_sym_availability_attribute_specifier_repeat1,
  [53571] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11168), 1,
      anon_sym_COLON,
    ACTIONS(11204), 1,
      anon_sym_RPAREN,
    STATE(5494), 1,
      sym_gnu_asm_input_operand_list,
  [53584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11109), 1,
      anon_sym_COMMA,
    ACTIONS(11206), 1,
      anon_sym_RBRACK,
    STATE(5382), 1,
      aux_sym_attribute_declaration_repeat1,
  [53597] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      anon_sym_COLON,
    ACTIONS(11208), 1,
      anon_sym_RPAREN,
    STATE(5919), 1,
      sym_gnu_asm_goto_list,
  [53610] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10021), 1,
      anon_sym_COMMA,
    ACTIONS(11210), 1,
      anon_sym_RPAREN,
    STATE(5524), 1,
      aux_sym_availability_attribute_specifier_repeat1,
  [53623] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym_LBRACE,
    ACTIONS(8153), 1,
      anon_sym_ATautoreleasepool,
    STATE(1647), 1,
      sym_compound_statement,
  [53636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11176), 1,
      anon_sym_COLON,
    ACTIONS(11212), 1,
      anon_sym_RPAREN,
    STATE(5498), 1,
      sym_gnu_asm_output_operand_list,
  [53649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LBRACE,
    ACTIONS(4669), 1,
      anon_sym_ATautoreleasepool,
    STATE(2121), 1,
      sym_compound_statement,
  [53662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10564), 1,
      anon_sym_COMMA,
    ACTIONS(11214), 1,
      anon_sym_SEMI,
    STATE(5509), 1,
      aux_sym_class_declaration_repeat1,
  [53675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(9022), 1,
      anon_sym_RPAREN,
    STATE(5387), 1,
      aux_sym_attribute_specifier_repeat1,
  [53688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11109), 1,
      anon_sym_COMMA,
    ACTIONS(11216), 1,
      anon_sym_RBRACK,
    STATE(5485), 1,
      aux_sym_attribute_declaration_repeat1,
  [53701] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10564), 1,
      anon_sym_COMMA,
    ACTIONS(11214), 1,
      anon_sym_SEMI,
    STATE(5717), 1,
      aux_sym_class_declaration_repeat1,
  [53714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11218), 3,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_COLON,
  [53723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11220), 1,
      sym_identifier,
    ACTIONS(11222), 2,
      anon_sym___covariant,
      anon_sym___contravariant,
  [53734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10021), 1,
      anon_sym_COMMA,
    ACTIONS(11202), 1,
      anon_sym_RPAREN,
    STATE(5655), 1,
      aux_sym_availability_attribute_specifier_repeat1,
  [53747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(11224), 1,
      anon_sym_RPAREN,
    STATE(5641), 1,
      aux_sym_attribute_specifier_repeat1,
  [53760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9424), 1,
      anon_sym_COMMA,
    ACTIONS(11226), 1,
      anon_sym_RPAREN,
    STATE(5519), 1,
      aux_sym_attribute_repeat1,
  [53773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11176), 1,
      anon_sym_COLON,
    ACTIONS(11228), 1,
      anon_sym_RPAREN,
    STATE(5373), 1,
      sym_gnu_asm_output_operand_list,
  [53786] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9460), 1,
      anon_sym_COMMA,
    ACTIONS(11230), 1,
      anon_sym_RPAREN,
    STATE(5587), 1,
      aux_sym_generic_expression_repeat1,
  [53799] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11232), 1,
      anon_sym_SEMI,
    ACTIONS(11234), 1,
      anon_sym_DOT,
    STATE(5391), 1,
      aux_sym_module_import_repeat1,
  [53812] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11186), 1,
      anon_sym_COMMA,
    ACTIONS(11237), 1,
      anon_sym_GT,
    STATE(5451), 1,
      aux_sym_parameterized_arguments_repeat2,
  [53825] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10809), 1,
      anon_sym_COMMA,
    ACTIONS(11239), 1,
      anon_sym_SEMI,
    STATE(5517), 1,
      aux_sym_property_implementation_repeat1,
  [53838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LBRACE,
    ACTIONS(4669), 1,
      anon_sym_ATautoreleasepool,
    STATE(2123), 1,
      sym_compound_statement,
  [53851] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11239), 1,
      anon_sym_SEMI,
    STATE(5185), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [53864] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    STATE(5231), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11241), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [53875] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10809), 1,
      anon_sym_COMMA,
    ACTIONS(11243), 1,
      anon_sym_SEMI,
    STATE(5517), 1,
      aux_sym_property_implementation_repeat1,
  [53888] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11245), 1,
      anon_sym_COMMA,
    ACTIONS(11247), 1,
      anon_sym_RPAREN,
    STATE(5335), 1,
      aux_sym_property_attributes_declaration_repeat1,
  [53901] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    STATE(5194), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11249), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [53912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym_LBRACE,
    ACTIONS(8153), 1,
      anon_sym_ATautoreleasepool,
    STATE(5006), 1,
      sym_compound_statement,
  [53925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9424), 1,
      anon_sym_COMMA,
    ACTIONS(11251), 1,
      anon_sym_RPAREN,
    STATE(5519), 1,
      aux_sym_attribute_repeat1,
  [53938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10021), 1,
      anon_sym_COMMA,
    ACTIONS(11253), 1,
      anon_sym_RPAREN,
    STATE(5524), 1,
      aux_sym_availability_attribute_specifier_repeat1,
  [53951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11243), 1,
      anon_sym_SEMI,
    STATE(5185), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [53964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11243), 1,
      anon_sym_SEMI,
    STATE(5426), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [53977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4661), 1,
      anon_sym_COLON,
    ACTIONS(7255), 1,
      anon_sym_SEMI,
    STATE(2818), 1,
      sym_method_parameter,
  [53990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LBRACE,
    ACTIONS(4669), 1,
      anon_sym_ATautoreleasepool,
    STATE(2125), 1,
      sym_compound_statement,
  [54003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11109), 1,
      anon_sym_COMMA,
    ACTIONS(11255), 1,
      anon_sym_RBRACK,
    STATE(5412), 1,
      aux_sym_attribute_declaration_repeat1,
  [54016] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11257), 1,
      anon_sym_SEMI,
    STATE(5185), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [54029] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1934), 1,
      anon_sym_LBRACE,
    ACTIONS(1936), 1,
      anon_sym_ATautoreleasepool,
    STATE(757), 1,
      sym_compound_statement,
  [54042] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LBRACE,
    ACTIONS(4669), 1,
      anon_sym_ATautoreleasepool,
    STATE(2126), 1,
      sym_compound_statement,
  [54055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(9030), 1,
      anon_sym_RPAREN,
    STATE(5413), 1,
      aux_sym_attribute_specifier_repeat1,
  [54068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11109), 1,
      anon_sym_COMMA,
    ACTIONS(11259), 1,
      anon_sym_RBRACK,
    STATE(5485), 1,
      aux_sym_attribute_declaration_repeat1,
  [54081] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(11261), 1,
      anon_sym_RPAREN,
    STATE(5641), 1,
      aux_sym_attribute_specifier_repeat1,
  [54094] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9424), 1,
      anon_sym_COMMA,
    ACTIONS(11263), 1,
      anon_sym_RPAREN,
    STATE(5519), 1,
      aux_sym_attribute_repeat1,
  [54107] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10564), 1,
      anon_sym_COMMA,
    ACTIONS(11265), 1,
      anon_sym_SEMI,
    STATE(5717), 1,
      aux_sym_class_declaration_repeat1,
  [54120] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LBRACE,
    ACTIONS(4669), 1,
      anon_sym_ATautoreleasepool,
    STATE(2127), 1,
      sym_compound_statement,
  [54133] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10809), 1,
      anon_sym_COMMA,
    ACTIONS(11267), 1,
      anon_sym_SEMI,
    STATE(5517), 1,
      aux_sym_property_implementation_repeat1,
  [54146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11239), 1,
      anon_sym_SEMI,
    STATE(5692), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [54159] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LBRACE,
    ACTIONS(4669), 1,
      anon_sym_ATautoreleasepool,
    STATE(2128), 1,
      sym_compound_statement,
  [54172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym_LBRACE,
    ACTIONS(8153), 1,
      anon_sym_ATautoreleasepool,
    STATE(4960), 1,
      sym_compound_statement,
  [54185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LBRACE,
    ACTIONS(4669), 1,
      anon_sym_ATautoreleasepool,
    STATE(2129), 1,
      sym_compound_statement,
  [54198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11109), 1,
      anon_sym_COMMA,
    ACTIONS(11269), 1,
      anon_sym_RBRACK,
    STATE(5428), 1,
      aux_sym_attribute_declaration_repeat1,
  [54211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LBRACE,
    ACTIONS(4669), 1,
      anon_sym_ATautoreleasepool,
    STATE(2130), 1,
      sym_compound_statement,
  [54224] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10809), 1,
      anon_sym_COMMA,
    ACTIONS(11271), 1,
      anon_sym_SEMI,
    STATE(5434), 1,
      aux_sym_property_implementation_repeat1,
  [54237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LBRACE,
    ACTIONS(4669), 1,
      anon_sym_ATautoreleasepool,
    STATE(2131), 1,
      sym_compound_statement,
  [54250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11271), 1,
      anon_sym_SEMI,
    STATE(5185), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [54263] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(9032), 1,
      anon_sym_RPAREN,
    STATE(5431), 1,
      aux_sym_attribute_specifier_repeat1,
  [54276] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11109), 1,
      anon_sym_COMMA,
    ACTIONS(11273), 1,
      anon_sym_RBRACK,
    STATE(5485), 1,
      aux_sym_attribute_declaration_repeat1,
  [54289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11275), 3,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_COLON,
  [54298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1934), 1,
      anon_sym_LBRACE,
    ACTIONS(1936), 1,
      anon_sym_ATautoreleasepool,
    STATE(838), 1,
      sym_compound_statement,
  [54311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(11277), 1,
      anon_sym_RPAREN,
    STATE(5641), 1,
      aux_sym_attribute_specifier_repeat1,
  [54324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9424), 1,
      anon_sym_COMMA,
    ACTIONS(11279), 1,
      anon_sym_RPAREN,
    STATE(5519), 1,
      aux_sym_attribute_repeat1,
  [54337] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8768), 1,
      anon_sym_LBRACE,
    ACTIONS(11281), 1,
      sym_identifier,
    STATE(3824), 1,
      sym_field_declaration_list,
  [54350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10809), 1,
      anon_sym_COMMA,
    ACTIONS(11283), 1,
      anon_sym_SEMI,
    STATE(5517), 1,
      aux_sym_property_implementation_repeat1,
  [54363] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11285), 1,
      anon_sym_COMMA,
    ACTIONS(11287), 1,
      anon_sym_RPAREN,
    STATE(5657), 1,
      aux_sym_version_repeat1,
  [54376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8768), 1,
      anon_sym_LBRACE,
    ACTIONS(11289), 1,
      sym_identifier,
    STATE(3826), 1,
      sym_field_declaration_list,
  [54389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym_LBRACE,
    ACTIONS(8153), 1,
      anon_sym_ATautoreleasepool,
    STATE(4989), 1,
      sym_compound_statement,
  [54402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11122), 1,
      anon_sym_DOT,
    ACTIONS(11291), 1,
      anon_sym_SEMI,
    STATE(5391), 1,
      aux_sym_module_import_repeat1,
  [54415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11293), 1,
      anon_sym_COMMA,
    ACTIONS(11296), 1,
      anon_sym_GT,
    STATE(5439), 1,
      aux_sym_argument_list_repeat2,
  [54428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(944), 1,
      anon_sym_LBRACE,
    ACTIONS(948), 1,
      anon_sym_ATautoreleasepool,
    STATE(737), 1,
      sym_compound_statement,
  [54441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11109), 1,
      anon_sym_COMMA,
    ACTIONS(11298), 1,
      anon_sym_RBRACK,
    STATE(5324), 1,
      aux_sym_attribute_declaration_repeat1,
  [54454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10946), 1,
      anon_sym_LBRACE,
    ACTIONS(10948), 1,
      anon_sym_ATautoreleasepool,
    STATE(192), 1,
      sym_compound_statement,
  [54467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11300), 1,
      sym_identifier,
    ACTIONS(11302), 1,
      anon_sym_RPAREN,
    STATE(5700), 1,
      sym_property_attribute,
  [54480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(9020), 1,
      anon_sym_RPAREN,
    STATE(5448), 1,
      aux_sym_attribute_specifier_repeat1,
  [54493] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_LBRACE,
    ACTIONS(4691), 1,
      anon_sym_ATautoreleasepool,
    STATE(2297), 1,
      sym_compound_statement,
  [54506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 1,
      anon_sym_LBRACE,
    ACTIONS(4659), 1,
      anon_sym_ATautoreleasepool,
    STATE(2261), 1,
      sym_compound_statement,
  [54519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11304), 1,
      anon_sym_COMMA,
    ACTIONS(11306), 1,
      anon_sym_RPAREN,
    STATE(5639), 1,
      aux_sym_parameter_list_repeat1,
  [54532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(11308), 1,
      anon_sym_RPAREN,
    STATE(5641), 1,
      aux_sym_attribute_specifier_repeat1,
  [54545] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9424), 1,
      anon_sym_COMMA,
    ACTIONS(11310), 1,
      anon_sym_RPAREN,
    STATE(5519), 1,
      aux_sym_attribute_repeat1,
  [54558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11122), 1,
      anon_sym_DOT,
    ACTIONS(11312), 1,
      anon_sym_SEMI,
    STATE(5391), 1,
      aux_sym_module_import_repeat1,
  [54571] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11314), 1,
      anon_sym_COMMA,
    ACTIONS(11317), 1,
      anon_sym_GT,
    STATE(5451), 1,
      aux_sym_parameterized_arguments_repeat2,
  [54584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11319), 1,
      anon_sym_SEMI,
    STATE(5185), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [54597] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym_LBRACE,
    ACTIONS(8153), 1,
      anon_sym_ATautoreleasepool,
    STATE(5000), 1,
      sym_compound_statement,
  [54610] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11122), 1,
      anon_sym_DOT,
    ACTIONS(11321), 1,
      anon_sym_SEMI,
    STATE(5438), 1,
      aux_sym_module_import_repeat1,
  [54623] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9829), 1,
      anon_sym_COMMA,
    ACTIONS(11323), 1,
      anon_sym_RPAREN,
    STATE(5548), 1,
      aux_sym_preproc_argument_list_repeat1,
  [54636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11122), 1,
      anon_sym_DOT,
    ACTIONS(11325), 1,
      anon_sym_SEMI,
    STATE(5581), 1,
      aux_sym_module_import_repeat1,
  [54649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(3094), 1,
      anon_sym_SEMI,
    STATE(5185), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [54662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(9028), 1,
      anon_sym_RPAREN,
    STATE(5461), 1,
      aux_sym_attribute_specifier_repeat1,
  [54675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11186), 1,
      anon_sym_COMMA,
    ACTIONS(11327), 1,
      anon_sym_GT,
    STATE(5451), 1,
      aux_sym_parameterized_arguments_repeat2,
  [54688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11329), 1,
      anon_sym_COMMA,
    ACTIONS(11332), 1,
      anon_sym_RPAREN,
    STATE(5460), 1,
      aux_sym__old_style_parameter_list_repeat1,
  [54701] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(11334), 1,
      anon_sym_RPAREN,
    STATE(5641), 1,
      aux_sym_attribute_specifier_repeat1,
  [54714] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9424), 1,
      anon_sym_COMMA,
    ACTIONS(11336), 1,
      anon_sym_RPAREN,
    STATE(5519), 1,
      aux_sym_attribute_repeat1,
  [54727] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10809), 1,
      anon_sym_COMMA,
    ACTIONS(11338), 1,
      anon_sym_SEMI,
    STATE(5517), 1,
      aux_sym_property_implementation_repeat1,
  [54740] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      anon_sym_ATautoreleasepool,
    STATE(600), 1,
      sym_compound_statement,
  [54753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11338), 1,
      anon_sym_SEMI,
    STATE(5185), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [54766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10041), 1,
      anon_sym_COMMA,
    ACTIONS(10043), 1,
      anon_sym_RPAREN,
    STATE(5520), 1,
      aux_sym_available_expression_repeat1,
  [54779] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11186), 1,
      anon_sym_COMMA,
    ACTIONS(11340), 1,
      anon_sym_GT,
    STATE(5451), 1,
      aux_sym_parameterized_arguments_repeat2,
  [54792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11338), 1,
      anon_sym_SEMI,
    STATE(5721), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [54805] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10809), 1,
      anon_sym_COMMA,
    ACTIONS(11342), 1,
      anon_sym_SEMI,
    STATE(5517), 1,
      aux_sym_property_implementation_repeat1,
  [54818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9424), 1,
      anon_sym_COMMA,
    ACTIONS(11344), 1,
      anon_sym_RPAREN,
    STATE(5519), 1,
      aux_sym_attribute_repeat1,
  [54831] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11176), 1,
      anon_sym_COLON,
    ACTIONS(11346), 1,
      anon_sym_RPAREN,
    STATE(5348), 1,
      sym_gnu_asm_output_operand_list,
  [54844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11342), 1,
      anon_sym_SEMI,
    STATE(5185), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [54857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11342), 1,
      anon_sym_SEMI,
    STATE(5518), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [54870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11348), 1,
      anon_sym_COMMA,
    ACTIONS(11350), 1,
      anon_sym_RBRACE,
    STATE(5356), 1,
      aux_sym_dictionary_literal_repeat1,
  [54883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11168), 1,
      anon_sym_COLON,
    ACTIONS(11352), 1,
      anon_sym_RPAREN,
    STATE(5606), 1,
      sym_gnu_asm_input_operand_list,
  [54896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(11354), 1,
      anon_sym_RPAREN,
    STATE(5641), 1,
      aux_sym_attribute_specifier_repeat1,
  [54909] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11186), 1,
      anon_sym_COMMA,
    ACTIONS(11340), 1,
      anon_sym_GT,
    STATE(5392), 1,
      aux_sym_parameterized_arguments_repeat2,
  [54922] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11176), 1,
      anon_sym_COLON,
    ACTIONS(11356), 1,
      anon_sym_RPAREN,
    STATE(5607), 1,
      sym_gnu_asm_output_operand_list,
  [54935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9490), 1,
      anon_sym_COMMA,
    ACTIONS(9492), 1,
      anon_sym_RBRACE,
    STATE(5704), 1,
      aux_sym_initializer_list_repeat1,
  [54948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11360), 1,
      anon_sym_LPAREN2,
    ACTIONS(11358), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [54959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8619), 1,
      anon_sym_RBRACK,
    ACTIONS(11362), 1,
      anon_sym_COMMA,
    STATE(5686), 1,
      aux_sym_attribute_repeat1,
  [54972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11364), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [54981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10673), 3,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_SEMI,
  [54990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(3078), 1,
      anon_sym_SEMI,
    STATE(5185), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [55003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11366), 1,
      anon_sym_COMMA,
    ACTIONS(11369), 1,
      anon_sym_RBRACK,
    STATE(5485), 1,
      aux_sym_attribute_declaration_repeat1,
  [55016] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8111), 1,
      anon_sym_LBRACE,
    ACTIONS(8113), 1,
      anon_sym_ATautoreleasepool,
    STATE(1468), 1,
      sym_compound_statement,
  [55029] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11371), 1,
      anon_sym_SEMI,
    STATE(5185), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [55042] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym_LBRACE,
    ACTIONS(8153), 1,
      anon_sym_ATautoreleasepool,
    STATE(4965), 1,
      sym_compound_statement,
  [55055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LBRACE,
    ACTIONS(183), 1,
      anon_sym_ATautoreleasepool,
    STATE(252), 1,
      sym_compound_statement,
  [55068] = 4,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11148), 1,
      anon_sym_LPAREN2,
    ACTIONS(11373), 1,
      aux_sym_preproc_include_token3,
    STATE(6717), 1,
      sym_preproc_argument_list,
  [55081] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11304), 1,
      anon_sym_COMMA,
    ACTIONS(11375), 1,
      anon_sym_RPAREN,
    STATE(5447), 1,
      aux_sym_parameter_list_repeat1,
  [55094] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11011), 1,
      anon_sym_SEMI,
    STATE(5502), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [55107] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9502), 1,
      anon_sym_RBRACE,
    ACTIONS(11377), 1,
      anon_sym_COMMA,
    STATE(5493), 1,
      aux_sym_initializer_list_repeat1,
  [55120] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11118), 1,
      anon_sym_COLON,
    ACTIONS(11380), 1,
      anon_sym_RPAREN,
    STATE(5557), 1,
      sym_gnu_asm_clobber_list,
  [55133] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_ATautoreleasepool,
    STATE(419), 1,
      sym_compound_statement,
  [55146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8111), 1,
      anon_sym_LBRACE,
    ACTIONS(8113), 1,
      anon_sym_ATautoreleasepool,
    STATE(1516), 1,
      sym_compound_statement,
  [55159] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11382), 1,
      anon_sym_GT,
    STATE(5523), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [55172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11168), 1,
      anon_sym_COLON,
    ACTIONS(11384), 1,
      anon_sym_RPAREN,
    STATE(5558), 1,
      sym_gnu_asm_input_operand_list,
  [55185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10809), 1,
      anon_sym_COMMA,
    ACTIONS(11386), 1,
      anon_sym_SEMI,
    STATE(5517), 1,
      aux_sym_property_implementation_repeat1,
  [55198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11388), 1,
      anon_sym_SEMI,
    STATE(5185), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [55211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LBRACE,
    ACTIONS(183), 1,
      anon_sym_ATautoreleasepool,
    STATE(232), 1,
      sym_compound_statement,
  [55224] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11386), 1,
      anon_sym_SEMI,
    STATE(5185), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [55237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11386), 1,
      anon_sym_SEMI,
    STATE(5506), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [55250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_ATautoreleasepool,
    STATE(424), 1,
      sym_compound_statement,
  [55263] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10809), 1,
      anon_sym_COMMA,
    ACTIONS(11390), 1,
      anon_sym_SEMI,
    STATE(5515), 1,
      aux_sym_property_implementation_repeat1,
  [55276] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11390), 1,
      anon_sym_SEMI,
    STATE(5185), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [55289] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_ATautoreleasepool,
    STATE(425), 1,
      sym_compound_statement,
  [55302] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11122), 1,
      anon_sym_DOT,
    ACTIONS(11392), 1,
      anon_sym_SEMI,
    STATE(5540), 1,
      aux_sym_module_import_repeat1,
  [55315] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10564), 1,
      anon_sym_COMMA,
    ACTIONS(11394), 1,
      anon_sym_SEMI,
    STATE(5717), 1,
      aux_sym_class_declaration_repeat1,
  [55328] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4661), 1,
      anon_sym_COLON,
    ACTIONS(11396), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2803), 1,
      sym_method_parameter,
  [55341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9367), 1,
      sym_identifier,
    ACTIONS(11398), 1,
      anon_sym_RBRACK,
    STATE(5336), 1,
      aux_sym_message_expression_repeat2,
  [55354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11402), 1,
      anon_sym_EQ,
    ACTIONS(11400), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [55365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10809), 1,
      anon_sym_COMMA,
    ACTIONS(11404), 1,
      anon_sym_SEMI,
    STATE(5417), 1,
      aux_sym_property_implementation_repeat1,
  [55378] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9367), 1,
      sym_identifier,
    ACTIONS(11406), 1,
      anon_sym_RBRACK,
    STATE(5336), 1,
      aux_sym_message_expression_repeat2,
  [55391] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10809), 1,
      anon_sym_COMMA,
    ACTIONS(11408), 1,
      anon_sym_SEMI,
    STATE(5517), 1,
      aux_sym_property_implementation_repeat1,
  [55404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11027), 1,
      anon_sym_LBRACE,
    ACTIONS(11029), 1,
      anon_sym_ATautoreleasepool,
    STATE(214), 1,
      sym_compound_statement,
  [55417] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11400), 1,
      anon_sym_SEMI,
    ACTIONS(11410), 1,
      anon_sym_COMMA,
    STATE(5517), 1,
      aux_sym_property_implementation_repeat1,
  [55430] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11404), 1,
      anon_sym_SEMI,
    STATE(5185), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [55443] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9413), 1,
      anon_sym_RPAREN,
    ACTIONS(11413), 1,
      anon_sym_COMMA,
    STATE(5519), 1,
      aux_sym_attribute_repeat1,
  [55456] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10041), 1,
      anon_sym_COMMA,
    ACTIONS(11416), 1,
      anon_sym_RPAREN,
    STATE(5326), 1,
      aux_sym_available_expression_repeat1,
  [55469] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10041), 1,
      anon_sym_COMMA,
    ACTIONS(11416), 1,
      anon_sym_RPAREN,
    STATE(5330), 1,
      aux_sym_available_expression_repeat1,
  [55482] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11304), 1,
      anon_sym_COMMA,
    ACTIONS(11418), 1,
      anon_sym_RPAREN,
    STATE(5703), 1,
      aux_sym_parameter_list_repeat1,
  [55495] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11420), 1,
      anon_sym_GT,
    STATE(5185), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [55508] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10037), 1,
      anon_sym_RPAREN,
    ACTIONS(11422), 1,
      anon_sym_COMMA,
    STATE(5524), 1,
      aux_sym_availability_attribute_specifier_repeat1,
  [55521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11304), 1,
      anon_sym_COMMA,
    ACTIONS(11425), 1,
      anon_sym_RPAREN,
    STATE(5575), 1,
      aux_sym_parameter_list_repeat1,
  [55534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      anon_sym_ATautoreleasepool,
    STATE(834), 1,
      sym_compound_statement,
  [55547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8768), 1,
      anon_sym_LBRACE,
    ACTIONS(11427), 1,
      sym_identifier,
    STATE(3809), 1,
      sym_field_declaration_list,
  [55560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8768), 1,
      anon_sym_LBRACE,
    ACTIONS(11429), 1,
      sym_identifier,
    STATE(3811), 1,
      sym_field_declaration_list,
  [55573] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8547), 1,
      anon_sym_RBRACE,
    ACTIONS(11431), 1,
      anon_sym_COMMA,
    STATE(5702), 1,
      aux_sym_dictionary_literal_repeat1,
  [55586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11109), 1,
      anon_sym_COMMA,
    ACTIONS(11433), 1,
      anon_sym_RBRACK,
    STATE(5718), 1,
      aux_sym_attribute_declaration_repeat1,
  [55599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9460), 1,
      anon_sym_COMMA,
    ACTIONS(11435), 1,
      anon_sym_RPAREN,
    STATE(5587), 1,
      aux_sym_generic_expression_repeat1,
  [55612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11437), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [55621] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10564), 1,
      anon_sym_COMMA,
    ACTIONS(11439), 1,
      anon_sym_SEMI,
    STATE(5617), 1,
      aux_sym_class_declaration_repeat1,
  [55634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11441), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [55643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2094), 1,
      anon_sym_LBRACE,
    ACTIONS(2096), 1,
      anon_sym_ATautoreleasepool,
    STATE(1127), 1,
      sym_compound_statement,
  [55656] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2404), 1,
      anon_sym_while,
    ACTIONS(11443), 1,
      anon_sym_else,
    STATE(980), 1,
      sym_else_clause,
  [55669] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11176), 1,
      anon_sym_COLON,
    ACTIONS(11445), 1,
      anon_sym_RPAREN,
    STATE(5593), 1,
      sym_gnu_asm_output_operand_list,
  [55682] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11150), 1,
      anon_sym_COMMA,
    ACTIONS(11447), 1,
      anon_sym_GT,
    STATE(5439), 1,
      aux_sym_argument_list_repeat2,
  [55695] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10564), 1,
      anon_sym_COMMA,
    ACTIONS(11439), 1,
      anon_sym_SEMI,
    STATE(5717), 1,
      aux_sym_class_declaration_repeat1,
  [55708] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11122), 1,
      anon_sym_DOT,
    ACTIONS(11449), 1,
      anon_sym_SEMI,
    STATE(5391), 1,
      aux_sym_module_import_repeat1,
  [55721] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(3066), 1,
      anon_sym_SEMI,
    STATE(5185), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [55734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(944), 1,
      anon_sym_LBRACE,
    ACTIONS(948), 1,
      anon_sym_ATautoreleasepool,
    STATE(834), 1,
      sym_compound_statement,
  [55747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10927), 1,
      anon_sym_LBRACE,
    ACTIONS(10929), 1,
      anon_sym_ATautoreleasepool,
    STATE(401), 1,
      sym_compound_statement,
  [55760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10809), 1,
      anon_sym_COMMA,
    ACTIONS(11451), 1,
      anon_sym_SEMI,
    STATE(5564), 1,
      aux_sym_property_implementation_repeat1,
  [55773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11453), 1,
      anon_sym_COMMA,
    ACTIONS(11455), 1,
      anon_sym_RPAREN,
    STATE(5600), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [55786] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9367), 1,
      sym_identifier,
    ACTIONS(11457), 1,
      anon_sym_RBRACK,
    STATE(5336), 1,
      aux_sym_message_expression_repeat2,
  [55799] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9367), 1,
      sym_identifier,
    ACTIONS(11459), 1,
      anon_sym_RBRACK,
    STATE(5336), 1,
      aux_sym_message_expression_repeat2,
  [55812] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9929), 1,
      anon_sym_RPAREN,
    ACTIONS(11461), 1,
      anon_sym_COMMA,
    STATE(5548), 1,
      aux_sym_preproc_argument_list_repeat1,
  [55825] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9472), 1,
      anon_sym_COMMA,
    ACTIONS(11464), 1,
      anon_sym_RPAREN,
    STATE(5706), 1,
      aux_sym_availability_repeat1,
  [55838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10769), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [55847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_LBRACE,
    ACTIONS(183), 1,
      anon_sym_ATautoreleasepool,
    STATE(253), 1,
      sym_compound_statement,
  [55860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11176), 1,
      anon_sym_COLON,
    ACTIONS(11466), 1,
      anon_sym_RPAREN,
    STATE(5475), 1,
      sym_gnu_asm_output_operand_list,
  [55873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9424), 1,
      anon_sym_COMMA,
    ACTIONS(11468), 1,
      anon_sym_RPAREN,
    STATE(5519), 1,
      aux_sym_attribute_repeat1,
  [55886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11150), 1,
      anon_sym_COMMA,
    ACTIONS(11470), 1,
      anon_sym_GT,
    STATE(5439), 1,
      aux_sym_argument_list_repeat2,
  [55899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11472), 1,
      anon_sym_COMMA,
    ACTIONS(11474), 1,
      anon_sym_RBRACE,
    STATE(5529), 1,
      aux_sym_dictionary_literal_repeat1,
  [55912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10526), 1,
      anon_sym_GT,
    ACTIONS(11186), 1,
      anon_sym_COMMA,
    STATE(5451), 1,
      aux_sym_parameterized_arguments_repeat2,
  [55925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      anon_sym_COLON,
    ACTIONS(11476), 1,
      anon_sym_RPAREN,
    STATE(6324), 1,
      sym_gnu_asm_goto_list,
  [55938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11118), 1,
      anon_sym_COLON,
    ACTIONS(11478), 1,
      anon_sym_RPAREN,
    STATE(5577), 1,
      sym_gnu_asm_clobber_list,
  [55951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6998), 1,
      anon_sym_LBRACE,
    ACTIONS(11480), 1,
      sym_identifier,
    STATE(2924), 1,
      sym_field_declaration_list,
  [55964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9472), 1,
      anon_sym_COMMA,
    ACTIONS(11482), 1,
      anon_sym_RPAREN,
    STATE(5706), 1,
      aux_sym_availability_repeat1,
  [55977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 1,
      anon_sym_LBRACE,
    ACTIONS(4659), 1,
      anon_sym_ATautoreleasepool,
    STATE(2305), 1,
      sym_compound_statement,
  [55990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11484), 1,
      sym_identifier,
    ACTIONS(11486), 2,
      anon_sym___covariant,
      anon_sym___contravariant,
  [56001] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      anon_sym_ATautoreleasepool,
    STATE(567), 1,
      sym_compound_statement,
  [56014] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10809), 1,
      anon_sym_COMMA,
    ACTIONS(11488), 1,
      anon_sym_SEMI,
    STATE(5517), 1,
      aux_sym_property_implementation_repeat1,
  [56027] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      anon_sym_ATautoreleasepool,
    STATE(586), 1,
      sym_compound_statement,
  [56040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(870), 1,
      anon_sym_LBRACE,
    ACTIONS(872), 1,
      anon_sym_ATautoreleasepool,
    STATE(566), 1,
      sym_compound_statement,
  [56053] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10881), 1,
      anon_sym_LBRACE,
    ACTIONS(10883), 1,
      anon_sym_ATautoreleasepool,
    STATE(1089), 1,
      sym_compound_statement,
  [56066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(10811), 1,
      anon_sym_SEMI,
    STATE(5621), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [56079] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11186), 1,
      anon_sym_COMMA,
    ACTIONS(11490), 1,
      anon_sym_GT,
    STATE(5451), 1,
      aux_sym_parameterized_arguments_repeat2,
  [56092] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11186), 1,
      anon_sym_COMMA,
    ACTIONS(11490), 1,
      anon_sym_GT,
    STATE(5459), 1,
      aux_sym_parameterized_arguments_repeat2,
  [56105] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11186), 1,
      anon_sym_COMMA,
    ACTIONS(11492), 1,
      anon_sym_GT,
    STATE(5467), 1,
      aux_sym_parameterized_arguments_repeat2,
  [56118] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1934), 1,
      anon_sym_LBRACE,
    ACTIONS(1936), 1,
      anon_sym_ATautoreleasepool,
    STATE(829), 1,
      sym_compound_statement,
  [56131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11150), 1,
      anon_sym_COMMA,
    ACTIONS(11494), 1,
      anon_sym_GT,
    STATE(5554), 1,
      aux_sym_argument_list_repeat2,
  [56144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11496), 1,
      sym_identifier,
    ACTIONS(11498), 2,
      anon_sym___covariant,
      anon_sym___contravariant,
  [56155] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11304), 1,
      anon_sym_COMMA,
    ACTIONS(11500), 1,
      anon_sym_RPAREN,
    STATE(5639), 1,
      aux_sym_parameter_list_repeat1,
  [56168] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10700), 1,
      anon_sym_LBRACE,
    ACTIONS(10702), 1,
      anon_sym_ATautoreleasepool,
    STATE(402), 1,
      sym_compound_statement,
  [56181] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      anon_sym_COLON,
    ACTIONS(11502), 1,
      anon_sym_RPAREN,
    STATE(6334), 1,
      sym_gnu_asm_goto_list,
  [56194] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11186), 1,
      anon_sym_COMMA,
    ACTIONS(11492), 1,
      anon_sym_GT,
    STATE(5451), 1,
      aux_sym_parameterized_arguments_repeat2,
  [56207] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym_LBRACE,
    ACTIONS(8153), 1,
      anon_sym_ATautoreleasepool,
    STATE(4995), 1,
      sym_compound_statement,
  [56220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11504), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [56229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11122), 1,
      anon_sym_DOT,
    ACTIONS(11506), 1,
      anon_sym_SEMI,
    STATE(5391), 1,
      aux_sym_module_import_repeat1,
  [56242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10021), 1,
      anon_sym_COMMA,
    ACTIONS(11508), 1,
      anon_sym_RPAREN,
    STATE(5524), 1,
      aux_sym_availability_attribute_specifier_repeat1,
  [56255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      anon_sym_ATautoreleasepool,
    STATE(983), 1,
      sym_compound_statement,
  [56268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9456), 1,
      anon_sym_COMMA,
    ACTIONS(9458), 1,
      anon_sym_RPAREN,
    STATE(5601), 1,
      aux_sym_argument_list_repeat1,
  [56281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2094), 1,
      anon_sym_LBRACE,
    ACTIONS(2096), 1,
      anon_sym_ATautoreleasepool,
    STATE(1169), 1,
      sym_compound_statement,
  [56294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6998), 1,
      anon_sym_LBRACE,
    ACTIONS(11510), 1,
      sym_identifier,
    STATE(2928), 1,
      sym_field_declaration_list,
  [56307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11512), 1,
      anon_sym_COMMA,
    ACTIONS(11515), 1,
      anon_sym_RPAREN,
    STATE(5587), 1,
      aux_sym_generic_expression_repeat1,
  [56320] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2094), 1,
      anon_sym_LBRACE,
    ACTIONS(2096), 1,
      anon_sym_ATautoreleasepool,
    STATE(1165), 1,
      sym_compound_statement,
  [56333] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10021), 1,
      anon_sym_COMMA,
    ACTIONS(10029), 1,
      anon_sym_RPAREN,
    STATE(5582), 1,
      aux_sym_availability_attribute_specifier_repeat1,
  [56346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2094), 1,
      anon_sym_LBRACE,
    ACTIONS(2096), 1,
      anon_sym_ATautoreleasepool,
    STATE(1163), 1,
      sym_compound_statement,
  [56359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11517), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11519), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56377] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11168), 1,
      anon_sym_COLON,
    ACTIONS(11521), 1,
      anon_sym_RPAREN,
    STATE(5635), 1,
      sym_gnu_asm_input_operand_list,
  [56390] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11176), 1,
      anon_sym_COLON,
    ACTIONS(11523), 1,
      anon_sym_RPAREN,
    STATE(5636), 1,
      sym_gnu_asm_output_operand_list,
  [56403] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10041), 1,
      anon_sym_COMMA,
    ACTIONS(11525), 1,
      anon_sym_RPAREN,
    STATE(5326), 1,
      aux_sym_available_expression_repeat1,
  [56416] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10564), 1,
      anon_sym_COMMA,
    ACTIONS(11527), 1,
      anon_sym_SEMI,
    STATE(5637), 1,
      aux_sym_class_declaration_repeat1,
  [56429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10564), 1,
      anon_sym_COMMA,
    ACTIONS(11527), 1,
      anon_sym_SEMI,
    STATE(5717), 1,
      aux_sym_class_declaration_repeat1,
  [56442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10578), 1,
      anon_sym_GT,
    ACTIONS(11186), 1,
      anon_sym_COMMA,
    STATE(5451), 1,
      aux_sym_parameterized_arguments_repeat2,
  [56455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10041), 1,
      anon_sym_COMMA,
    ACTIONS(11525), 1,
      anon_sym_RPAREN,
    STATE(5628), 1,
      aux_sym_available_expression_repeat1,
  [56468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11453), 1,
      anon_sym_COMMA,
    ACTIONS(11529), 1,
      anon_sym_RPAREN,
    STATE(5656), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [56481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9456), 1,
      anon_sym_COMMA,
    ACTIONS(9476), 1,
      anon_sym_RPAREN,
    STATE(5658), 1,
      aux_sym_argument_list_repeat1,
  [56494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11531), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [56503] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11533), 1,
      anon_sym_GT,
    STATE(5185), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [56516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(3086), 1,
      anon_sym_SEMI,
    STATE(5185), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [56529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8337), 1,
      anon_sym_RBRACE,
    ACTIONS(11535), 1,
      anon_sym_COMMA,
    STATE(5493), 1,
      aux_sym_initializer_list_repeat1,
  [56542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11118), 1,
      anon_sym_COLON,
    ACTIONS(11537), 1,
      anon_sym_RPAREN,
    STATE(5340), 1,
      sym_gnu_asm_clobber_list,
  [56555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11168), 1,
      anon_sym_COLON,
    ACTIONS(11539), 1,
      anon_sym_RPAREN,
    STATE(5341), 1,
      sym_gnu_asm_input_operand_list,
  [56568] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8111), 1,
      anon_sym_LBRACE,
    ACTIONS(8113), 1,
      anon_sym_ATautoreleasepool,
    STATE(1500), 1,
      sym_compound_statement,
  [56581] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11150), 1,
      anon_sym_COMMA,
    ACTIONS(11541), 1,
      anon_sym_GT,
    STATE(5538), 1,
      aux_sym_argument_list_repeat2,
  [56594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      anon_sym_ATautoreleasepool,
    STATE(817), 1,
      sym_compound_statement,
  [56607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11150), 1,
      anon_sym_COMMA,
    ACTIONS(11543), 1,
      anon_sym_GT,
    STATE(5439), 1,
      aux_sym_argument_list_repeat2,
  [56620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10041), 1,
      anon_sym_COMMA,
    ACTIONS(10063), 1,
      anon_sym_RPAREN,
    STATE(5595), 1,
      aux_sym_available_expression_repeat1,
  [56633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym_LBRACE,
    ACTIONS(8153), 1,
      anon_sym_ATautoreleasepool,
    STATE(1645), 1,
      sym_compound_statement,
  [56646] = 4,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11148), 1,
      anon_sym_LPAREN2,
    ACTIONS(11545), 1,
      aux_sym_preproc_include_token3,
    STATE(6717), 1,
      sym_preproc_argument_list,
  [56659] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9456), 1,
      anon_sym_COMMA,
    ACTIONS(9476), 1,
      anon_sym_RPAREN,
    STATE(5665), 1,
      aux_sym_argument_list_repeat1,
  [56672] = 4,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11148), 1,
      anon_sym_LPAREN2,
    ACTIONS(11547), 1,
      aux_sym_preproc_include_token3,
    STATE(6717), 1,
      sym_preproc_argument_list,
  [56685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10564), 1,
      anon_sym_COMMA,
    ACTIONS(11549), 1,
      anon_sym_SEMI,
    STATE(5717), 1,
      aux_sym_class_declaration_repeat1,
  [56698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11551), 1,
      anon_sym_GT,
    STATE(5603), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [56711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10021), 1,
      anon_sym_COMMA,
    ACTIONS(11553), 1,
      anon_sym_RPAREN,
    STATE(5345), 1,
      aux_sym_availability_attribute_specifier_repeat1,
  [56724] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10809), 1,
      anon_sym_COMMA,
    ACTIONS(11555), 1,
      anon_sym_SEMI,
    STATE(5517), 1,
      aux_sym_property_implementation_repeat1,
  [56737] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11555), 1,
      anon_sym_SEMI,
    STATE(5185), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [56750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11555), 1,
      anon_sym_SEMI,
    STATE(5652), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [56763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11559), 1,
      anon_sym_LPAREN2,
    ACTIONS(11557), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [56774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(303), 1,
      anon_sym_LBRACE,
    ACTIONS(305), 1,
      anon_sym_ATautoreleasepool,
    STATE(410), 1,
      sym_compound_statement,
  [56787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11118), 1,
      anon_sym_COLON,
    ACTIONS(11561), 1,
      anon_sym_RPAREN,
    STATE(5705), 1,
      sym_gnu_asm_clobber_list,
  [56800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11563), 1,
      anon_sym_SEMI,
    STATE(5185), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [56813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9829), 1,
      anon_sym_COMMA,
    ACTIONS(11565), 1,
      anon_sym_RPAREN,
    STATE(5548), 1,
      aux_sym_preproc_argument_list_repeat1,
  [56826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10041), 1,
      anon_sym_COMMA,
    ACTIONS(11567), 1,
      anon_sym_RPAREN,
    STATE(5326), 1,
      aux_sym_available_expression_repeat1,
  [56839] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 1,
      anon_sym_LBRACE,
    ACTIONS(4659), 1,
      anon_sym_ATautoreleasepool,
    STATE(2308), 1,
      sym_compound_statement,
  [56852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_LBRACE,
    ACTIONS(4691), 1,
      anon_sym_ATautoreleasepool,
    STATE(2298), 1,
      sym_compound_statement,
  [56865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      anon_sym_ATautoreleasepool,
    STATE(957), 1,
      sym_compound_statement,
  [56878] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11569), 1,
      anon_sym_COMMA,
    ACTIONS(11571), 1,
      anon_sym_RPAREN,
    STATE(5645), 1,
      aux_sym_method_type_repeat1,
  [56891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym_LBRACE,
    ACTIONS(8153), 1,
      anon_sym_ATautoreleasepool,
    STATE(1666), 1,
      sym_compound_statement,
  [56904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11573), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [56913] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11118), 1,
      anon_sym_COLON,
    ACTIONS(11575), 1,
      anon_sym_RPAREN,
    STATE(5660), 1,
      sym_gnu_asm_clobber_list,
  [56926] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11168), 1,
      anon_sym_COLON,
    ACTIONS(11577), 1,
      anon_sym_RPAREN,
    STATE(5661), 1,
      sym_gnu_asm_input_operand_list,
  [56939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10564), 1,
      anon_sym_COMMA,
    ACTIONS(11579), 1,
      anon_sym_SEMI,
    STATE(5717), 1,
      aux_sym_class_declaration_repeat1,
  [56952] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11285), 1,
      anon_sym_COMMA,
    ACTIONS(11581), 1,
      anon_sym_RPAREN,
    STATE(5435), 1,
      aux_sym_version_repeat1,
  [56965] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11583), 1,
      anon_sym_COMMA,
    ACTIONS(11586), 1,
      anon_sym_RPAREN,
    STATE(5639), 1,
      aux_sym_parameter_list_repeat1,
  [56978] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11170), 1,
      anon_sym_COMMA,
    ACTIONS(11588), 1,
      anon_sym_RPAREN,
    STATE(5676), 1,
      aux_sym_generic_arguments_repeat1,
  [56991] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11590), 1,
      anon_sym_COMMA,
    ACTIONS(11593), 1,
      anon_sym_RPAREN,
    STATE(5641), 1,
      aux_sym_attribute_specifier_repeat1,
  [57004] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11569), 1,
      anon_sym_COMMA,
    ACTIONS(11595), 1,
      anon_sym_RPAREN,
    STATE(5694), 1,
      aux_sym_method_type_repeat1,
  [57017] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9424), 1,
      anon_sym_COMMA,
    ACTIONS(11597), 1,
      anon_sym_RPAREN,
    STATE(5519), 1,
      aux_sym_attribute_repeat1,
  [57030] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11122), 1,
      anon_sym_DOT,
    ACTIONS(11599), 1,
      anon_sym_SEMI,
    STATE(5328), 1,
      aux_sym_module_import_repeat1,
  [57043] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11601), 1,
      anon_sym_COMMA,
    ACTIONS(11604), 1,
      anon_sym_RPAREN,
    STATE(5645), 1,
      aux_sym_method_type_repeat1,
  [57056] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      anon_sym_COLON,
    ACTIONS(11606), 1,
      anon_sym_RPAREN,
    STATE(6345), 1,
      sym_gnu_asm_goto_list,
  [57069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11608), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
  [57078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10021), 1,
      anon_sym_COMMA,
    ACTIONS(10023), 1,
      anon_sym_RPAREN,
    STATE(5402), 1,
      aux_sym_availability_attribute_specifier_repeat1,
  [57091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_LBRACE,
    ACTIONS(4691), 1,
      anon_sym_ATautoreleasepool,
    STATE(2278), 1,
      sym_compound_statement,
  [57104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11168), 1,
      anon_sym_COLON,
    ACTIONS(11610), 1,
      anon_sym_RPAREN,
    STATE(5327), 1,
      sym_gnu_asm_input_operand_list,
  [57117] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10809), 1,
      anon_sym_COMMA,
    ACTIONS(11612), 1,
      anon_sym_SEMI,
    STATE(5675), 1,
      aux_sym_property_implementation_repeat1,
  [57130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11612), 1,
      anon_sym_SEMI,
    STATE(5185), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [57143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(944), 1,
      anon_sym_LBRACE,
    ACTIONS(948), 1,
      anon_sym_ATautoreleasepool,
    STATE(720), 1,
      sym_compound_statement,
  [57156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      anon_sym_ATautoreleasepool,
    STATE(954), 1,
      sym_compound_statement,
  [57169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10021), 1,
      anon_sym_COMMA,
    ACTIONS(11614), 1,
      anon_sym_RPAREN,
    STATE(5524), 1,
      aux_sym_availability_attribute_specifier_repeat1,
  [57182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11616), 1,
      anon_sym_COMMA,
    ACTIONS(11619), 1,
      anon_sym_RPAREN,
    STATE(5656), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [57195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11621), 1,
      anon_sym_COMMA,
    ACTIONS(11624), 1,
      anon_sym_RPAREN,
    STATE(5657), 1,
      aux_sym_version_repeat1,
  [57208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9528), 1,
      anon_sym_RPAREN,
    ACTIONS(11626), 1,
      anon_sym_COMMA,
    STATE(5658), 1,
      aux_sym_argument_list_repeat1,
  [57221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11150), 1,
      anon_sym_COMMA,
    ACTIONS(11629), 1,
      anon_sym_GT,
    STATE(5369), 1,
      aux_sym_argument_list_repeat2,
  [57234] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      anon_sym_COLON,
    ACTIONS(11631), 1,
      anon_sym_RPAREN,
    STATE(6708), 1,
      sym_gnu_asm_goto_list,
  [57247] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11118), 1,
      anon_sym_COLON,
    ACTIONS(11633), 1,
      anon_sym_RPAREN,
    STATE(5682), 1,
      sym_gnu_asm_clobber_list,
  [57260] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(53), 1,
      anon_sym_ATautoreleasepool,
    STATE(946), 1,
      sym_compound_statement,
  [57273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 1,
      anon_sym_LBRACE,
    ACTIONS(4659), 1,
      anon_sym_ATautoreleasepool,
    STATE(2312), 1,
      sym_compound_statement,
  [57286] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    STATE(5244), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11635), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [57297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9456), 1,
      anon_sym_COMMA,
    ACTIONS(11637), 1,
      anon_sym_RPAREN,
    STATE(5658), 1,
      aux_sym_argument_list_repeat1,
  [57310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_LBRACE,
    ACTIONS(4691), 1,
      anon_sym_ATautoreleasepool,
    STATE(2284), 1,
      sym_compound_statement,
  [57323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11186), 1,
      anon_sym_COMMA,
    ACTIONS(11188), 1,
      anon_sym_GT,
    STATE(5569), 1,
      aux_sym_parameterized_arguments_repeat2,
  [57336] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10453), 1,
      sym_identifier,
    STATE(6604), 1,
      sym_method_type,
  [57349] = 4,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11148), 1,
      anon_sym_LPAREN2,
    ACTIONS(11639), 1,
      aux_sym_preproc_include_token3,
    STATE(6717), 1,
      sym_preproc_argument_list,
  [57362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym_LBRACE,
    ACTIONS(8153), 1,
      anon_sym_ATautoreleasepool,
    STATE(4990), 1,
      sym_compound_statement,
  [57375] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9418), 1,
      anon_sym_COMMA,
    ACTIONS(9420), 1,
      anon_sym_RBRACE,
    STATE(5605), 1,
      aux_sym_initializer_list_repeat1,
  [57388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11641), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57397] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9829), 1,
      anon_sym_COMMA,
    ACTIONS(11643), 1,
      anon_sym_RPAREN,
    STATE(5548), 1,
      aux_sym_preproc_argument_list_repeat1,
  [57410] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_LBRACE,
    ACTIONS(4669), 1,
      anon_sym_ATautoreleasepool,
    STATE(2114), 1,
      sym_compound_statement,
  [57423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10809), 1,
      anon_sym_COMMA,
    ACTIONS(11645), 1,
      anon_sym_SEMI,
    STATE(5517), 1,
      aux_sym_property_implementation_repeat1,
  [57436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11647), 1,
      anon_sym_COMMA,
    ACTIONS(11650), 1,
      anon_sym_RPAREN,
    STATE(5676), 1,
      aux_sym_generic_arguments_repeat1,
  [57449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 1,
      anon_sym_LBRACE,
    ACTIONS(4659), 1,
      anon_sym_ATautoreleasepool,
    STATE(2314), 1,
      sym_compound_statement,
  [57462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11569), 1,
      anon_sym_COMMA,
    ACTIONS(11652), 1,
      anon_sym_RPAREN,
    STATE(5632), 1,
      aux_sym_method_type_repeat1,
  [57475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10844), 1,
      anon_sym_LBRACE,
    ACTIONS(10846), 1,
      anon_sym_ATautoreleasepool,
    STATE(186), 1,
      sym_compound_statement,
  [57488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11654), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [57497] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(9024), 1,
      anon_sym_RPAREN,
    STATE(5476), 1,
      aux_sym_attribute_specifier_repeat1,
  [57510] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      anon_sym_COLON,
    ACTIONS(11656), 1,
      anon_sym_RPAREN,
    STATE(6729), 1,
      sym_gnu_asm_goto_list,
  [57523] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_LBRACE,
    ACTIONS(4691), 1,
      anon_sym_ATautoreleasepool,
    STATE(2289), 1,
      sym_compound_statement,
  [57536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9466), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
  [57545] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 1,
      anon_sym_LBRACE,
    ACTIONS(4659), 1,
      anon_sym_ATautoreleasepool,
    STATE(2315), 1,
      sym_compound_statement,
  [57558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9413), 1,
      anon_sym_RBRACK,
    ACTIONS(11658), 1,
      anon_sym_COMMA,
    STATE(5686), 1,
      aux_sym_attribute_repeat1,
  [57571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11663), 1,
      anon_sym_EQ,
    ACTIONS(11661), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [57582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11667), 1,
      anon_sym_RPAREN,
    ACTIONS(11665), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [57593] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10809), 1,
      anon_sym_COMMA,
    ACTIONS(11669), 1,
      anon_sym_SEMI,
    STATE(5360), 1,
      aux_sym_property_implementation_repeat1,
  [57606] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 1,
      anon_sym_LBRACE,
    ACTIONS(4659), 1,
      anon_sym_ATautoreleasepool,
    STATE(2317), 1,
      sym_compound_statement,
  [57619] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6998), 1,
      anon_sym_LBRACE,
    ACTIONS(11671), 1,
      sym_identifier,
    STATE(2921), 1,
      sym_field_declaration_list,
  [57632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11669), 1,
      anon_sym_SEMI,
    STATE(5185), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [57645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_LBRACE,
    ACTIONS(4691), 1,
      anon_sym_ATautoreleasepool,
    STATE(2253), 1,
      sym_compound_statement,
  [57658] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11569), 1,
      anon_sym_COMMA,
    ACTIONS(11652), 1,
      anon_sym_RPAREN,
    STATE(5645), 1,
      aux_sym_method_type_repeat1,
  [57671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 1,
      anon_sym_LBRACE,
    ACTIONS(4659), 1,
      anon_sym_ATautoreleasepool,
    STATE(2319), 1,
      sym_compound_statement,
  [57684] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11170), 1,
      anon_sym_COMMA,
    ACTIONS(11673), 1,
      anon_sym_RPAREN,
    STATE(5640), 1,
      aux_sym_generic_arguments_repeat1,
  [57697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9472), 1,
      anon_sym_COMMA,
    ACTIONS(9474), 1,
      anon_sym_RPAREN,
    STATE(5549), 1,
      aux_sym_availability_repeat1,
  [57710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4657), 1,
      anon_sym_LBRACE,
    ACTIONS(4659), 1,
      anon_sym_ATautoreleasepool,
    STATE(2320), 1,
      sym_compound_statement,
  [57723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11677), 1,
      anon_sym_EQ,
    ACTIONS(11675), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [57734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11245), 1,
      anon_sym_COMMA,
    ACTIONS(11679), 1,
      anon_sym_RPAREN,
    STATE(5398), 1,
      aux_sym_property_attributes_declaration_repeat1,
  [57747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_LBRACE,
    ACTIONS(4691), 1,
      anon_sym_ATautoreleasepool,
    STATE(2293), 1,
      sym_compound_statement,
  [57760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11681), 1,
      anon_sym_COMMA,
    ACTIONS(11684), 1,
      anon_sym_RBRACE,
    STATE(5702), 1,
      aux_sym_dictionary_literal_repeat1,
  [57773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11304), 1,
      anon_sym_COMMA,
    ACTIONS(11686), 1,
      anon_sym_RPAREN,
    STATE(5639), 1,
      aux_sym_parameter_list_repeat1,
  [57786] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8285), 1,
      anon_sym_RBRACE,
    ACTIONS(11688), 1,
      anon_sym_COMMA,
    STATE(5493), 1,
      aux_sym_initializer_list_repeat1,
  [57799] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11156), 1,
      anon_sym_COLON,
    ACTIONS(11690), 1,
      anon_sym_RPAREN,
    STATE(6332), 1,
      sym_gnu_asm_goto_list,
  [57812] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11661), 1,
      anon_sym_RPAREN,
    ACTIONS(11692), 1,
      anon_sym_COMMA,
    STATE(5706), 1,
      aux_sym_availability_repeat1,
  [57825] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8111), 1,
      anon_sym_LBRACE,
    ACTIONS(8113), 1,
      anon_sym_ATautoreleasepool,
    STATE(1492), 1,
      sym_compound_statement,
  [57838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6998), 1,
      anon_sym_LBRACE,
    ACTIONS(11695), 1,
      sym_identifier,
    STATE(2927), 1,
      sym_field_declaration_list,
  [57851] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5296), 1,
      anon_sym_LPAREN2,
    ACTIONS(10455), 1,
      sym_identifier,
    STATE(6636), 1,
      sym_method_type,
  [57864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_LBRACE,
    ACTIONS(4691), 1,
      anon_sym_ATautoreleasepool,
    STATE(2294), 1,
      sym_compound_statement,
  [57877] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_LBRACE,
    ACTIONS(4691), 1,
      anon_sym_ATautoreleasepool,
    STATE(2299), 1,
      sym_compound_statement,
  [57890] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(10891), 1,
      anon_sym_SEMI,
    STATE(5465), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [57903] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11087), 1,
      anon_sym_SEMI,
    STATE(5395), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [57916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11109), 1,
      anon_sym_COMMA,
    ACTIONS(11697), 1,
      anon_sym_RBRACK,
    STATE(5333), 1,
      aux_sym_attribute_declaration_repeat1,
  [57929] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_LBRACE,
    ACTIONS(4691), 1,
      anon_sym_ATautoreleasepool,
    STATE(2295), 1,
      sym_compound_statement,
  [57942] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10564), 1,
      anon_sym_COMMA,
    ACTIONS(11699), 1,
      anon_sym_SEMI,
    STATE(5717), 1,
      aux_sym_class_declaration_repeat1,
  [57955] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11073), 1,
      anon_sym_SEMI,
    ACTIONS(11701), 1,
      anon_sym_COMMA,
    STATE(5717), 1,
      aux_sym_class_declaration_repeat1,
  [57968] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11109), 1,
      anon_sym_COMMA,
    ACTIONS(11704), 1,
      anon_sym_RBRACK,
    STATE(5485), 1,
      aux_sym_attribute_declaration_repeat1,
  [57981] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4689), 1,
      anon_sym_LBRACE,
    ACTIONS(4691), 1,
      anon_sym_ATautoreleasepool,
    STATE(2355), 1,
      sym_compound_statement,
  [57994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8151), 1,
      anon_sym_LBRACE,
    ACTIONS(8153), 1,
      anon_sym_ATautoreleasepool,
    STATE(1639), 1,
      sym_compound_statement,
  [58007] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    ACTIONS(11451), 1,
      anon_sym_SEMI,
    STATE(5185), 1,
      aux_sym_protocol_forward_declaration_repeat1,
  [58020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11706), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11708), 1,
      anon_sym_LPAREN2,
    STATE(5464), 1,
      sym_parenthesized_expression,
  [58038] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11710), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11712), 1,
      sym_preproc_arg,
  [58048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11714), 1,
      anon_sym_LPAREN2,
    STATE(2473), 1,
      sym_parenthesized_expression,
  [58058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11716), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [58066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11718), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11720), 1,
      anon_sym_LPAREN2,
    STATE(6590), 1,
      sym_argument_list,
  [58084] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11722), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11724), 1,
      sym_number_literal,
  [58094] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11726), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11728), 1,
      sym_number_literal,
  [58104] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11730), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11732), 1,
      sym_number_literal,
  [58114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11734), 1,
      sym_identifier,
    STATE(5422), 1,
      sym_attribute,
  [58124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11708), 1,
      anon_sym_LPAREN2,
    STATE(6466), 1,
      sym_parenthesized_expression,
  [58134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9062), 1,
      anon_sym_LBRACK,
    ACTIONS(11736), 1,
      anon_sym_RPAREN,
  [58144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11738), 1,
      sym_identifier,
    ACTIONS(11740), 1,
      anon_sym_LPARENclass_RPAREN,
  [58154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11742), 1,
      anon_sym_LPAREN2,
    STATE(6342), 1,
      sym_argument_list,
  [58164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11744), 1,
      sym_identifier,
    ACTIONS(11746), 1,
      sym_primitive_type,
  [58174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11748), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [58182] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11750), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11752), 1,
      sym_preproc_arg,
  [58192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11137), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11708), 1,
      anon_sym_LPAREN2,
    STATE(6681), 1,
      sym_parenthesized_expression,
  [58210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8792), 1,
      anon_sym_LBRACE,
    STATE(4099), 1,
      sym_enumerator_list,
  [58220] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11754), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11756), 1,
      sym_preproc_arg,
  [58230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9546), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11232), 2,
      anon_sym_SEMI,
      anon_sym_DOT,
  [58246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9532), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10895), 1,
      anon_sym_RPAREN,
    STATE(4474), 1,
      aux_sym_selector_expression_repeat2,
  [58264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11758), 1,
      sym_identifier,
    ACTIONS(11760), 1,
      anon_sym_STAR,
  [58274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11762), 1,
      sym_identifier,
    ACTIONS(11764), 1,
      anon_sym_LPAREN2,
  [58284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8792), 1,
      anon_sym_LBRACE,
    STATE(4090), 1,
      sym_enumerator_list,
  [58294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11766), 1,
      sym_identifier,
    ACTIONS(11768), 1,
      anon_sym_LPARENclass_RPAREN,
  [58304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4661), 1,
      anon_sym_COLON,
    STATE(2815), 1,
      sym_method_parameter,
  [58314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11770), 1,
      sym_identifier,
    ACTIONS(11772), 1,
      sym_primitive_type,
  [58324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_LPAREN2,
    STATE(6237), 1,
      sym_argument_list,
  [58334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    STATE(3130), 1,
      sym_enumerator_list,
  [58344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9062), 1,
      anon_sym_LBRACK,
    ACTIONS(11774), 1,
      anon_sym_RPAREN,
  [58354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9062), 1,
      anon_sym_LBRACK,
    ACTIONS(11776), 1,
      anon_sym_RPAREN,
  [58364] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11778), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11780), 1,
      sym_preproc_arg,
  [58374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11708), 1,
      anon_sym_LPAREN2,
    STATE(6429), 1,
      sym_parenthesized_expression,
  [58384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11734), 1,
      sym_identifier,
    STATE(5374), 1,
      sym_attribute,
  [58394] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11782), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11784), 1,
      sym_preproc_arg,
  [58404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11708), 1,
      anon_sym_LPAREN2,
    STATE(5535), 1,
      sym_parenthesized_expression,
  [58414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    STATE(4170), 1,
      sym_enumerator_list,
  [58424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11786), 1,
      anon_sym_LPAREN2,
    STATE(5965), 1,
      sym_argument_list,
  [58434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10037), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11714), 1,
      anon_sym_LPAREN2,
    STATE(2443), 1,
      sym_parenthesized_expression,
  [58452] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11788), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11790), 1,
      sym_preproc_arg,
  [58462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11792), 1,
      sym_identifier,
    ACTIONS(11794), 1,
      sym_primitive_type,
  [58472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11796), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [58480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11798), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11801), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11803), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [58504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11708), 1,
      anon_sym_LPAREN2,
    STATE(5501), 1,
      sym_parenthesized_expression,
  [58514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11805), 1,
      sym_identifier,
    ACTIONS(11807), 1,
      sym_primitive_type,
  [58524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8792), 1,
      anon_sym_LBRACE,
    STATE(3983), 1,
      sym_enumerator_list,
  [58534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11809), 1,
      sym_identifier,
    ACTIONS(11811), 1,
      sym_primitive_type,
  [58544] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10621), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(10625), 1,
      sym_preproc_arg,
  [58554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11813), 1,
      sym_identifier,
    ACTIONS(11815), 1,
      sym_primitive_type,
  [58564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11708), 1,
      anon_sym_LPAREN2,
    STATE(6005), 1,
      sym_parenthesized_expression,
  [58574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11714), 1,
      anon_sym_LPAREN2,
    STATE(2465), 1,
      sym_parenthesized_expression,
  [58584] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11817), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11819), 1,
      sym_preproc_arg,
  [58594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8792), 1,
      anon_sym_LBRACE,
    STATE(3964), 1,
      sym_enumerator_list,
  [58604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11557), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11821), 1,
      sym_identifier,
    ACTIONS(11823), 1,
      sym_primitive_type,
  [58622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11714), 1,
      anon_sym_LPAREN2,
    STATE(2444), 1,
      sym_parenthesized_expression,
  [58632] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11825), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11827), 1,
      sym_number_literal,
  [58642] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11829), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11831), 1,
      sym_preproc_arg,
  [58652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11833), 1,
      sym_identifier,
    ACTIONS(11835), 1,
      anon_sym_STAR,
  [58662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3000), 1,
      anon_sym_SEMI,
    ACTIONS(11837), 1,
      anon_sym_EQ,
  [58672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11332), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11839), 1,
      sym_identifier,
    ACTIONS(11841), 1,
      anon_sym_LPARENclass_RPAREN,
  [58698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    STATE(3168), 1,
      sym_enumerator_list,
  [58708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11604), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9528), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11843), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11845), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [58740] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11847), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11849), 1,
      sym_preproc_arg,
  [58750] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11851), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11853), 1,
      sym_number_literal,
  [58760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11855), 1,
      sym_identifier,
    ACTIONS(11857), 1,
      sym_primitive_type,
  [58770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10154), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11859), 1,
      sym_identifier,
    ACTIONS(11861), 1,
      anon_sym_RPAREN,
  [58788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11714), 1,
      anon_sym_LPAREN2,
    STATE(2466), 1,
      sym_parenthesized_expression,
  [58798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11863), 1,
      anon_sym_LPAREN2,
    STATE(6304), 1,
      sym_argument_list,
  [58808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11865), 1,
      sym_identifier,
    ACTIONS(11867), 1,
      sym_primitive_type,
  [58818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11869), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58826] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11871), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11873), 1,
      sym_number_literal,
  [58836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11586), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11875), 1,
      sym_identifier,
    ACTIONS(11877), 1,
      anon_sym_RPAREN,
  [58854] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(10973), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(10975), 1,
      sym_preproc_arg,
  [58864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10993), 1,
      anon_sym_RPAREN,
    STATE(1634), 1,
      aux_sym_selector_expression_repeat2,
  [58874] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11879), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11881), 1,
      sym_preproc_arg,
  [58884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11883), 1,
      sym_identifier,
    ACTIONS(11885), 1,
      sym_primitive_type,
  [58894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11887), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10755), 1,
      anon_sym_RPAREN,
    STATE(1446), 1,
      aux_sym_selector_expression_repeat2,
  [58912] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11889), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11891), 1,
      sym_preproc_arg,
  [58922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11893), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11895), 2,
      sym_number_literal,
      sym_identifier,
  [58938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11708), 1,
      anon_sym_LPAREN2,
    STATE(6664), 1,
      sym_parenthesized_expression,
  [58948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11624), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9504), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [58964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11714), 1,
      anon_sym_LPAREN2,
    STATE(2472), 1,
      sym_parenthesized_expression,
  [58974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11897), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11714), 1,
      anon_sym_LPAREN2,
    STATE(2457), 1,
      sym_parenthesized_expression,
  [58992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11708), 1,
      anon_sym_LPAREN2,
    STATE(5440), 1,
      sym_parenthesized_expression,
  [59002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11714), 1,
      anon_sym_LPAREN2,
    STATE(2458), 1,
      sym_parenthesized_expression,
  [59012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11708), 1,
      anon_sym_LPAREN2,
    STATE(5624), 1,
      sym_parenthesized_expression,
  [59022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11899), 1,
      sym_identifier,
    ACTIONS(11901), 1,
      anon_sym_LPAREN2,
  [59032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11714), 1,
      anon_sym_LPAREN2,
    STATE(2462), 1,
      sym_parenthesized_expression,
  [59042] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11903), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11905), 1,
      sym_preproc_arg,
  [59052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11907), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [59060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    STATE(4169), 1,
      sym_enumerator_list,
  [59070] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11067), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11069), 1,
      sym_preproc_arg,
  [59080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11296), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [59088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9367), 1,
      sym_identifier,
    STATE(5547), 1,
      aux_sym_message_expression_repeat2,
  [59098] = 3,
    ACTIONS(4200), 1,
      sym_number_literal,
    ACTIONS(4202), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(9771), 1,
      sym_comment,
  [59108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11909), 1,
      sym_identifier,
    ACTIONS(11911), 1,
      sym_primitive_type,
  [59118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11913), 1,
      anon_sym_LPAREN2,
    STATE(6788), 1,
      sym_argument_list,
  [59128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11915), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [59136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11917), 1,
      anon_sym_LPAREN2,
    STATE(6262), 1,
      sym_argument_list,
  [59146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9367), 1,
      sym_identifier,
    STATE(5514), 1,
      aux_sym_message_expression_repeat2,
  [59156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11919), 2,
      anon_sym_noreturn,
      anon_sym_nothrow,
  [59164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11708), 1,
      anon_sym_LPAREN2,
    STATE(6308), 1,
      sym_parenthesized_expression,
  [59174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11921), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11923), 1,
      anon_sym_COLON2,
    STATE(5148), 1,
      aux_sym_method_identifier_repeat1,
  [59192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11925), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11927), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59208] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11929), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11931), 1,
      sym_preproc_arg,
  [59218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    STATE(4164), 1,
      sym_enumerator_list,
  [59228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11933), 1,
      sym_identifier,
    ACTIONS(11935), 1,
      anon_sym_LPARENclass_RPAREN,
  [59238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11937), 1,
      anon_sym_LPAREN2,
    STATE(4971), 1,
      aux_sym_selector_expression_repeat1,
  [59248] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11939), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11941), 1,
      sym_preproc_arg,
  [59258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11943), 1,
      sym_identifier,
    ACTIONS(11945), 1,
      sym_primitive_type,
  [59268] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11947), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11949), 1,
      sym_preproc_arg,
  [59278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11714), 1,
      anon_sym_LPAREN2,
    STATE(2437), 1,
      sym_parenthesized_expression,
  [59288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11714), 1,
      anon_sym_LPAREN2,
    STATE(2438), 1,
      sym_parenthesized_expression,
  [59298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11877), 1,
      anon_sym_RPAREN,
    ACTIONS(11951), 1,
      sym_identifier,
  [59308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11953), 1,
      anon_sym_LPAREN2,
    STATE(6312), 1,
      sym_argument_list,
  [59318] = 3,
    ACTIONS(4232), 1,
      sym_number_literal,
    ACTIONS(4234), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(9771), 1,
      sym_comment,
  [59328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11369), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11955), 1,
      sym_identifier,
    ACTIONS(11957), 1,
      anon_sym_STAR,
  [59346] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11959), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11961), 1,
      sym_preproc_arg,
  [59356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11963), 1,
      anon_sym_LPAREN2,
    STATE(4964), 1,
      aux_sym_selector_expression_repeat1,
  [59366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11714), 1,
      anon_sym_LPAREN2,
    STATE(2482), 1,
      sym_parenthesized_expression,
  [59376] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11965), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11967), 1,
      sym_preproc_arg,
  [59386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11969), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [59394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11708), 1,
      anon_sym_LPAREN2,
    STATE(6197), 1,
      sym_parenthesized_expression,
  [59404] = 3,
    ACTIONS(4244), 1,
      sym_number_literal,
    ACTIONS(4246), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(9771), 1,
      sym_comment,
  [59414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11734), 1,
      sym_identifier,
    STATE(5530), 1,
      sym_attribute,
  [59424] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11971), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11973), 1,
      sym_number_literal,
  [59434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10027), 1,
      anon_sym_COLON2,
    STATE(5020), 1,
      aux_sym_method_identifier_repeat1,
  [59444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11708), 1,
      anon_sym_LPAREN2,
    STATE(5662), 1,
      sym_parenthesized_expression,
  [59454] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11975), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11977), 1,
      sym_preproc_arg,
  [59464] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11979), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11981), 1,
      sym_number_literal,
  [59474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11983), 1,
      sym_identifier,
    ACTIONS(11985), 1,
      sym_primitive_type,
  [59484] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11987), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11989), 1,
      sym_number_literal,
  [59494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11684), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [59502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11991), 1,
      sym_identifier,
    ACTIONS(11993), 1,
      anon_sym_LPARENclass_RPAREN,
  [59512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11995), 2,
      sym_number_literal,
      sym_identifier,
  [59520] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11997), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(11999), 1,
      sym_preproc_arg,
  [59530] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12001), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(12003), 1,
      sym_preproc_arg,
  [59540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11734), 1,
      sym_identifier,
    STATE(5860), 1,
      sym_attribute,
  [59550] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12005), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(12007), 1,
      sym_preproc_arg,
  [59560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9585), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [59568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12009), 1,
      sym_identifier,
    ACTIONS(12011), 1,
      anon_sym_LPARENclass_RPAREN,
  [59578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11734), 1,
      sym_identifier,
    STATE(5441), 1,
      sym_attribute,
  [59588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12013), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [59596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9502), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [59604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12015), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12017), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8792), 1,
      anon_sym_LBRACE,
    STATE(4101), 1,
      sym_enumerator_list,
  [59630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11714), 1,
      anon_sym_LPAREN2,
    STATE(2450), 1,
      sym_parenthesized_expression,
  [59640] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12019), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(12021), 1,
      sym_preproc_arg,
  [59650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11714), 1,
      anon_sym_LPAREN2,
    STATE(2435), 1,
      sym_parenthesized_expression,
  [59660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8792), 1,
      anon_sym_LBRACE,
    STATE(3975), 1,
      sym_enumerator_list,
  [59670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12023), 1,
      sym_identifier,
    ACTIONS(12025), 1,
      sym_primitive_type,
  [59680] = 3,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12027), 1,
      aux_sym_preproc_include_token3,
    ACTIONS(12029), 1,
      sym_number_literal,
  [59690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9062), 1,
      anon_sym_LBRACK,
    ACTIONS(12031), 1,
      anon_sym_RPAREN,
  [59700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12033), 1,
      anon_sym_LPAREN2,
    STATE(4991), 1,
      aux_sym_selector_expression_repeat1,
  [59710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12035), 1,
      sym_identifier,
    ACTIONS(12037), 1,
      sym_primitive_type,
  [59720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11708), 1,
      anon_sym_LPAREN2,
    STATE(5572), 1,
      sym_parenthesized_expression,
  [59730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7513), 1,
      anon_sym_LBRACE,
    STATE(3142), 1,
      sym_enumerator_list,
  [59740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12039), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [59748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12041), 1,
      anon_sym_LPAREN2,
    STATE(4976), 1,
      aux_sym_selector_expression_repeat1,
  [59758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11300), 1,
      sym_identifier,
    STATE(5740), 1,
      sym_property_attribute,
  [59768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12043), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11005), 1,
      anon_sym_RPAREN,
    STATE(4362), 1,
      aux_sym_selector_expression_repeat2,
  [59786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8042), 1,
      anon_sym_COMMA,
    ACTIONS(12045), 1,
      anon_sym_EQ,
  [59796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11714), 1,
      anon_sym_LPAREN2,
    STATE(2451), 1,
      sym_parenthesized_expression,
  [59806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11714), 1,
      anon_sym_LPAREN2,
    STATE(2461), 1,
      sym_parenthesized_expression,
  [59816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12047), 1,
      anon_sym_SEMI,
  [59823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12049), 1,
      anon_sym_RBRACK,
  [59830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11418), 1,
      anon_sym_RPAREN,
  [59837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12051), 1,
      anon_sym_SEMI,
  [59844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12053), 1,
      anon_sym_SEMI,
  [59851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12055), 1,
      anon_sym_SEMI,
  [59858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12057), 1,
      anon_sym_RPAREN,
  [59865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12059), 1,
      anon_sym_RPAREN,
  [59872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12061), 1,
      anon_sym_RPAREN,
  [59879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12063), 1,
      sym_identifier,
  [59886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12065), 1,
      anon_sym_SEMI,
  [59893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12067), 1,
      anon_sym_SEMI,
  [59900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12069), 1,
      anon_sym_STAR,
  [59907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9625), 1,
      anon_sym_RPAREN,
  [59914] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12071), 1,
      aux_sym_preproc_include_token3,
  [59921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12073), 1,
      anon_sym_SEMI,
  [59928] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12075), 1,
      aux_sym_preproc_include_token3,
  [59935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12077), 1,
      anon_sym_RBRACK,
  [59942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12079), 1,
      sym_identifier,
  [59949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12081), 1,
      sym_identifier,
  [59956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12083), 1,
      sym_identifier,
  [59963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12085), 1,
      anon_sym_RPAREN,
  [59970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9506), 1,
      anon_sym_SEMI,
  [59977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12087), 1,
      anon_sym_LBRACE,
  [59984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12089), 1,
      aux_sym_preproc_if_token2,
  [59991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9544), 1,
      anon_sym_COLON,
  [59998] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12091), 1,
      aux_sym_preproc_include_token3,
  [60005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12093), 1,
      sym_identifier,
  [60012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12095), 1,
      sym_identifier,
  [60019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12097), 1,
      aux_sym_preproc_if_token2,
  [60026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12099), 1,
      sym_identifier,
  [60033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12101), 1,
      sym_identifier,
  [60040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12103), 1,
      sym_identifier,
  [60047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12105), 1,
      sym_identifier,
  [60054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12107), 1,
      anon_sym_COMMA,
  [60061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12109), 1,
      anon_sym_DQUOTE,
  [60068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12111), 1,
      anon_sym_SEMI,
  [60075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9510), 1,
      anon_sym_SEMI,
  [60082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12113), 1,
      anon_sym_SEMI,
  [60089] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12115), 1,
      aux_sym_preproc_include_token3,
  [60096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12117), 1,
      anon_sym_SEMI,
  [60103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12119), 1,
      sym_identifier,
  [60110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12121), 1,
      anon_sym_SEMI,
  [60117] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12123), 1,
      aux_sym_preproc_include_token3,
  [60124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12125), 1,
      sym_identifier,
  [60131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9458), 1,
      anon_sym_RPAREN,
  [60138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12127), 1,
      anon_sym_SEMI,
  [60145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12129), 1,
      aux_sym_preproc_if_token2,
  [60152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12131), 1,
      sym_identifier,
  [60159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12133), 1,
      anon_sym_STAR,
  [60166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12135), 1,
      anon_sym_RPAREN,
  [60173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12137), 1,
      sym_identifier,
  [60180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12139), 1,
      anon_sym_SEMI,
  [60187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12141), 1,
      sym_identifier,
  [60194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12143), 1,
      anon_sym_RPAREN,
  [60201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12145), 1,
      anon_sym_SEMI,
  [60208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12147), 1,
      anon_sym_SEMI,
  [60215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9641), 1,
      anon_sym_RPAREN,
  [60222] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12149), 1,
      aux_sym_ms_asm_block_token1,
  [60229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12151), 1,
      sym_identifier,
  [60236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12153), 1,
      sym_identifier,
  [60243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12155), 1,
      anon_sym_RPAREN,
  [60250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12157), 1,
      anon_sym_RPAREN,
  [60257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12159), 1,
      anon_sym_RPAREN,
  [60264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12161), 1,
      aux_sym_preproc_if_token2,
  [60271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12163), 1,
      anon_sym_SEMI,
  [60278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12165), 1,
      sym_identifier,
  [60285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12167), 1,
      sym_identifier,
  [60292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12169), 1,
      anon_sym_RBRACK,
  [60299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12171), 1,
      anon_sym_SEMI,
  [60306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12173), 1,
      sym_identifier,
  [60313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12175), 1,
      anon_sym_SEMI,
  [60320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11837), 1,
      anon_sym_EQ,
  [60327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9556), 1,
      anon_sym_COLON,
  [60334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12177), 1,
      sym_identifier,
  [60341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12179), 1,
      sym_identifier,
  [60348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12181), 1,
      anon_sym_RPAREN,
  [60355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12183), 1,
      anon_sym_LPAREN2,
  [60362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12185), 1,
      anon_sym_RPAREN,
  [60369] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12187), 1,
      aux_sym_preproc_include_token3,
  [60376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12189), 1,
      aux_sym_preproc_if_token2,
  [60383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12191), 1,
      anon_sym_SEMI,
  [60390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12193), 1,
      anon_sym_RPAREN,
  [60397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12195), 1,
      anon_sym_SEMI,
  [60404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12197), 1,
      sym_identifier,
  [60411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12199), 1,
      anon_sym_SEMI,
  [60418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12201), 1,
      anon_sym_STAR,
  [60425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12203), 1,
      sym_identifier,
  [60432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12205), 1,
      sym_identifier,
  [60439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12207), 1,
      anon_sym_RBRACE,
  [60446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12209), 1,
      sym_identifier,
  [60453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12211), 1,
      anon_sym_LBRACE,
  [60460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_SEMI,
  [60467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12215), 1,
      anon_sym_SEMI,
  [60474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12217), 1,
      anon_sym_SEMI,
  [60481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12219), 1,
      anon_sym_SEMI,
  [60488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12221), 1,
      sym_identifier,
  [60495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12223), 1,
      sym_identifier,
  [60502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12225), 1,
      sym_identifier,
  [60509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12227), 1,
      sym_identifier,
  [60516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12229), 1,
      sym_identifier,
  [60523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12231), 1,
      anon_sym_STAR,
  [60530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12233), 1,
      anon_sym_DQUOTE,
  [60537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12235), 1,
      anon_sym_SEMI,
  [60544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12237), 1,
      anon_sym_SEMI,
  [60551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12239), 1,
      anon_sym_SEMI,
  [60558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12241), 1,
      anon_sym_SEMI,
  [60565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12243), 1,
      aux_sym_preproc_if_token2,
  [60572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12245), 1,
      sym_identifier,
  [60579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12247), 1,
      sym_identifier,
  [60586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12249), 1,
      sym_identifier,
  [60593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9540), 1,
      anon_sym_SEMI,
  [60600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12251), 1,
      anon_sym_SEMI,
  [60607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12253), 1,
      sym_identifier,
  [60614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12255), 1,
      anon_sym_SEMI,
  [60621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12257), 1,
      sym_identifier,
  [60628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12259), 1,
      aux_sym_preproc_if_token2,
  [60635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12261), 1,
      anon_sym_SEMI,
  [60642] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9925), 1,
      aux_sym_preproc_include_token3,
  [60649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12263), 1,
      anon_sym_RPAREN,
  [60656] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12265), 1,
      aux_sym_ms_asm_block_token1,
  [60663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12267), 1,
      anon_sym_SEMI,
  [60670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12269), 1,
      anon_sym_LPAREN2,
  [60677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12271), 1,
      anon_sym_RPAREN,
  [60684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12273), 1,
      anon_sym_SEMI,
  [60691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12275), 1,
      sym_identifier,
  [60698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12277), 1,
      anon_sym_SEMI,
  [60705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12279), 1,
      anon_sym_SEMI,
  [60712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12281), 1,
      anon_sym_SEMI,
  [60719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12283), 1,
      anon_sym_RPAREN,
  [60726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12285), 1,
      anon_sym_RPAREN,
  [60733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12287), 1,
      anon_sym_SEMI,
  [60740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12289), 1,
      sym_identifier,
  [60747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12291), 1,
      sym_identifier,
  [60754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12293), 1,
      anon_sym_RBRACE,
  [60761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12295), 1,
      anon_sym_SEMI,
  [60768] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12297), 1,
      aux_sym_preproc_include_token3,
  [60775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12299), 1,
      sym_identifier,
  [60782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12301), 1,
      anon_sym_SEMI,
  [60789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12303), 1,
      anon_sym_SEMI,
  [60796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12305), 1,
      anon_sym_RPAREN,
  [60803] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12307), 1,
      aux_sym_preproc_include_token3,
  [60810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12309), 1,
      aux_sym_preproc_if_token2,
  [60817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12311), 1,
      sym_identifier,
  [60824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12313), 1,
      sym_identifier,
  [60831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12315), 1,
      anon_sym_LBRACE,
  [60838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12317), 1,
      sym_identifier,
  [60845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7785), 1,
      anon_sym_SEMI,
  [60852] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12319), 1,
      aux_sym_preproc_include_token3,
  [60859] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12321), 1,
      aux_sym_preproc_include_token3,
  [60866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12323), 1,
      sym_identifier,
  [60873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12325), 1,
      sym_identifier,
  [60880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12327), 1,
      anon_sym_DQUOTE,
  [60887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12329), 1,
      sym_identifier,
  [60894] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12331), 1,
      aux_sym_preproc_include_token3,
  [60901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12333), 1,
      anon_sym_SEMI,
  [60908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12335), 1,
      aux_sym_preproc_if_token2,
  [60915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12337), 1,
      sym_identifier,
  [60922] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12339), 1,
      aux_sym_preproc_include_token3,
  [60929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12341), 1,
      sym_identifier,
  [60936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12343), 1,
      anon_sym_SEMI,
  [60943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12345), 1,
      aux_sym_preproc_if_token2,
  [60950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12347), 1,
      anon_sym_RPAREN,
  [60957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12349), 1,
      anon_sym_LPAREN2,
  [60964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12351), 1,
      anon_sym_SEMI,
  [60971] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12353), 1,
      aux_sym_ms_asm_block_token1,
  [60978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12355), 1,
      anon_sym_RPAREN,
  [60985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12357), 1,
      anon_sym_SEMI,
  [60992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12359), 1,
      anon_sym_RPAREN,
  [60999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12361), 1,
      anon_sym_SEMI,
  [61006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12363), 1,
      sym_identifier,
  [61013] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11639), 1,
      aux_sym_preproc_include_token3,
  [61020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9550), 1,
      anon_sym_SEMI,
  [61027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12365), 1,
      anon_sym_SEMI,
  [61034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9569), 1,
      anon_sym_SEMI,
  [61041] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12367), 1,
      aux_sym_preproc_include_token3,
  [61048] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12369), 1,
      aux_sym_preproc_include_token3,
  [61055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12371), 1,
      anon_sym_RPAREN,
  [61062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12373), 1,
      sym_identifier,
  [61069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12375), 1,
      aux_sym_preproc_if_token2,
  [61076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12377), 1,
      anon_sym_SEMI,
  [61083] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12379), 1,
      anon_sym_SEMI,
  [61090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12381), 1,
      anon_sym_SEMI,
  [61097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12383), 1,
      aux_sym_preproc_if_token2,
  [61104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12385), 1,
      anon_sym_SEMI,
  [61111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12387), 1,
      anon_sym_RPAREN,
  [61118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_RPAREN,
  [61125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12391), 1,
      sym_identifier,
  [61132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12393), 1,
      sym_identifier,
  [61139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12395), 1,
      anon_sym_LBRACE,
  [61146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12397), 1,
      anon_sym_SEMI,
  [61153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12399), 1,
      sym_identifier,
  [61160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12401), 1,
      sym_identifier,
  [61167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12403), 1,
      anon_sym_DQUOTE,
  [61174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9552), 1,
      anon_sym_RPAREN,
  [61181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12405), 1,
      anon_sym_SEMI,
  [61188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12407), 1,
      anon_sym_SEMI,
  [61195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12409), 1,
      sym_identifier,
  [61202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12411), 1,
      anon_sym_SEMI,
  [61209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12413), 1,
      aux_sym_preproc_if_token2,
  [61216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12415), 1,
      anon_sym_SEMI,
  [61223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12417), 1,
      anon_sym_SEMI,
  [61230] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12419), 1,
      aux_sym_ms_asm_block_token1,
  [61237] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12421), 1,
      aux_sym_preproc_include_token3,
  [61244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12423), 1,
      anon_sym_SEMI,
  [61251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12425), 1,
      anon_sym_RPAREN,
  [61258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12427), 1,
      sym_identifier,
  [61265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12429), 1,
      anon_sym_SEMI,
  [61272] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12431), 1,
      aux_sym_preproc_include_token3,
  [61279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12433), 1,
      anon_sym_SEMI,
  [61286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12435), 1,
      anon_sym_SEMI,
  [61293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12437), 1,
      anon_sym_SEMI,
  [61300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12439), 1,
      anon_sym_SEMI,
  [61307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12441), 1,
      anon_sym_SEMI,
  [61314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12443), 1,
      anon_sym_SEMI,
  [61321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12445), 1,
      anon_sym_SEMI,
  [61328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12447), 1,
      aux_sym_preproc_if_token2,
  [61335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12449), 1,
      anon_sym_RPAREN,
  [61342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12451), 1,
      sym_identifier,
  [61349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12453), 1,
      sym_identifier,
  [61356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12455), 1,
      anon_sym_LBRACE,
  [61363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12457), 1,
      sym_identifier,
  [61370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12459), 1,
      anon_sym_RBRACK,
  [61377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12461), 1,
      sym_identifier,
  [61384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12463), 1,
      anon_sym_COMMA,
  [61391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12465), 1,
      anon_sym_RBRACE,
  [61398] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12467), 1,
      aux_sym_preproc_include_token3,
  [61405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12469), 1,
      anon_sym_SEMI,
  [61412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12471), 1,
      anon_sym_SEMI,
  [61419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12473), 1,
      anon_sym_LPAREN2,
  [61426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12475), 1,
      anon_sym_RPAREN,
  [61433] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12477), 1,
      aux_sym_preproc_include_token3,
  [61440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9587), 1,
      anon_sym_RPAREN,
  [61447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12479), 1,
      aux_sym_preproc_if_token2,
  [61454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12481), 1,
      aux_sym_preproc_if_token2,
  [61461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12483), 1,
      anon_sym_SEMI,
  [61468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12485), 1,
      sym_identifier,
  [61475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12487), 1,
      sym_identifier,
  [61482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12489), 1,
      anon_sym_LBRACE,
  [61489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12491), 1,
      aux_sym_preproc_if_token2,
  [61496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12493), 1,
      sym_identifier,
  [61503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12495), 1,
      anon_sym_RPAREN,
  [61510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12497), 1,
      anon_sym_RPAREN,
  [61517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12499), 1,
      anon_sym_SEMI,
  [61524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12501), 1,
      anon_sym_LPAREN2,
  [61531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12503), 1,
      anon_sym_SEMI,
  [61538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12505), 1,
      anon_sym_RPAREN,
  [61545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12507), 1,
      anon_sym_SEMI,
  [61552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12509), 1,
      anon_sym_LPAREN2,
  [61559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12511), 1,
      anon_sym_LPAREN2,
  [61566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12513), 1,
      anon_sym_LBRACE,
  [61573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12515), 1,
      anon_sym_LPAREN2,
  [61580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12517), 1,
      sym_identifier,
  [61587] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12519), 1,
      aux_sym_preproc_include_token3,
  [61594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12521), 1,
      aux_sym_preproc_if_token2,
  [61601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12523), 1,
      anon_sym_SEMI,
  [61608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12525), 1,
      anon_sym_SEMI,
  [61615] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12527), 1,
      aux_sym_preproc_include_token3,
  [61622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12529), 1,
      aux_sym_preproc_if_token2,
  [61629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12531), 1,
      anon_sym_SEMI,
  [61636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12533), 1,
      anon_sym_SEMI,
  [61643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12535), 1,
      anon_sym_COLON,
  [61650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12537), 1,
      anon_sym_LBRACE,
  [61657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12539), 1,
      sym_identifier,
  [61664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12541), 1,
      anon_sym_LBRACE,
  [61671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12543), 1,
      anon_sym_LBRACE,
  [61678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12545), 1,
      anon_sym_LBRACE,
  [61685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12547), 1,
      anon_sym_LBRACE,
  [61692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12549), 1,
      anon_sym_LBRACE,
  [61699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12551), 1,
      anon_sym_LBRACE,
  [61706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12553), 1,
      anon_sym_LBRACE,
  [61713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12555), 1,
      anon_sym_LBRACE,
  [61720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12557), 1,
      sym_identifier,
  [61727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12559), 1,
      anon_sym_SEMI,
  [61734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12561), 1,
      anon_sym_SEMI,
  [61741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12563), 1,
      anon_sym_LPAREN2,
  [61748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12565), 1,
      anon_sym_LPAREN2,
  [61755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12567), 1,
      anon_sym_LPAREN2,
  [61762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12569), 1,
      anon_sym_LPAREN2,
  [61769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12571), 1,
      anon_sym_SEMI,
  [61776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12573), 1,
      anon_sym_LPAREN2,
  [61783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12575), 1,
      anon_sym_SEMI,
  [61790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12577), 1,
      aux_sym_preproc_if_token2,
  [61797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12579), 1,
      anon_sym_LPAREN2,
  [61804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12581), 1,
      sym_number_literal,
  [61811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12583), 1,
      anon_sym_LPAREN2,
  [61818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12585), 1,
      anon_sym_SEMI,
  [61825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12587), 1,
      anon_sym_LPAREN2,
  [61832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12589), 1,
      anon_sym_LPAREN2,
  [61839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12591), 1,
      anon_sym_SEMI,
  [61846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12593), 1,
      anon_sym_SEMI,
  [61853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12595), 1,
      anon_sym_SEMI,
  [61860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12597), 1,
      anon_sym_SEMI,
  [61867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12599), 1,
      anon_sym_RPAREN,
  [61874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12601), 1,
      aux_sym_preproc_if_token2,
  [61881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12603), 1,
      anon_sym_SEMI,
  [61888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12605), 1,
      anon_sym_RBRACK,
  [61895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12607), 1,
      anon_sym_STAR,
  [61902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12609), 1,
      anon_sym_SEMI,
  [61909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9573), 1,
      anon_sym_RPAREN,
  [61916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12611), 1,
      anon_sym_SEMI,
  [61923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12613), 1,
      anon_sym_SEMI,
  [61930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12615), 1,
      anon_sym_SEMI,
  [61937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12617), 1,
      anon_sym_SEMI,
  [61944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12619), 1,
      anon_sym_while,
  [61951] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11373), 1,
      aux_sym_preproc_include_token3,
  [61958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12621), 1,
      sym_identifier,
  [61965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12623), 1,
      anon_sym_RPAREN,
  [61972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12625), 1,
      anon_sym_LBRACK,
  [61979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12627), 1,
      anon_sym_SEMI,
  [61986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12629), 1,
      anon_sym_SEMI,
  [61993] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12631), 1,
      aux_sym_preproc_include_token3,
  [62000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11375), 1,
      anon_sym_RPAREN,
  [62007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12633), 1,
      anon_sym_RPAREN,
  [62014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12635), 1,
      anon_sym_SEMI,
  [62021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9283), 1,
      anon_sym_RPAREN,
  [62028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12637), 1,
      anon_sym_RPAREN,
  [62035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12639), 1,
      anon_sym_RPAREN,
  [62042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12641), 1,
      anon_sym_SEMI,
  [62049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12643), 1,
      anon_sym_RPAREN,
  [62056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12645), 1,
      anon_sym_STAR,
  [62063] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12647), 1,
      aux_sym_preproc_include_token3,
  [62070] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11547), 1,
      aux_sym_preproc_include_token3,
  [62077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12649), 1,
      anon_sym_SEMI,
  [62084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12651), 1,
      anon_sym_SEMI,
  [62091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9538), 1,
      anon_sym_SEMI,
  [62098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12653), 1,
      anon_sym_STAR,
  [62105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12655), 1,
      anon_sym_SEMI,
  [62112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12657), 1,
      anon_sym_SEMI,
  [62119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12659), 1,
      anon_sym_SEMI,
  [62126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12661), 1,
      anon_sym_SEMI,
  [62133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12663), 1,
      anon_sym_SEMI,
  [62140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12665), 1,
      anon_sym_SEMI,
  [62147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12667), 1,
      anon_sym_LPAREN2,
  [62154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12669), 1,
      anon_sym_SEMI,
  [62161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12671), 1,
      anon_sym_COMMA,
  [62168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12673), 1,
      anon_sym_SEMI,
  [62175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12675), 1,
      anon_sym_SEMI,
  [62182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12677), 1,
      anon_sym_SEMI,
  [62189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9583), 1,
      anon_sym_COLON,
  [62196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12679), 1,
      anon_sym_SEMI,
  [62203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9542), 1,
      anon_sym_SEMI,
  [62210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12681), 1,
      anon_sym_SEMI,
  [62217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12683), 1,
      anon_sym_SEMI,
  [62224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12685), 1,
      anon_sym_SEMI,
  [62231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12687), 1,
      anon_sym_SEMI,
  [62238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12689), 1,
      anon_sym_SEMI,
  [62245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12691), 1,
      anon_sym_SEMI,
  [62252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12693), 1,
      anon_sym_SEMI,
  [62259] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12695), 1,
      aux_sym_preproc_include_token3,
  [62266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12697), 1,
      anon_sym_SEMI,
  [62273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12699), 1,
      anon_sym_RPAREN,
  [62280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12701), 1,
      sym_identifier,
  [62287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12703), 1,
      anon_sym_SEMI,
  [62294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12705), 1,
      anon_sym_SEMI,
  [62301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12707), 1,
      sym_identifier,
  [62308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12709), 1,
      anon_sym_STAR,
  [62315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12711), 1,
      anon_sym_SEMI,
  [62322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12713), 1,
      anon_sym_SEMI,
  [62329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12715), 1,
      anon_sym_SEMI,
  [62336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12717), 1,
      anon_sym_RPAREN,
  [62343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12719), 1,
      anon_sym_SEMI,
  [62350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12721), 1,
      sym_identifier,
  [62357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9591), 1,
      anon_sym_SEMI,
  [62364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12723), 1,
      anon_sym_SEMI,
  [62371] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12725), 1,
      aux_sym_preproc_include_token3,
  [62378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9705), 1,
      anon_sym_RPAREN,
  [62385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12727), 1,
      anon_sym_COLON,
  [62392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12729), 1,
      anon_sym_SEMI,
  [62399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12731), 1,
      anon_sym_SEMI,
  [62406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7105), 1,
      anon_sym_RBRACE,
  [62413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12733), 1,
      sym_identifier,
  [62420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12735), 1,
      anon_sym_RPAREN,
  [62427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12737), 1,
      anon_sym_RPAREN,
  [62434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12739), 1,
      sym_identifier,
  [62441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12741), 1,
      anon_sym_SEMI,
  [62448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12743), 1,
      anon_sym_SEMI,
  [62455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12745), 1,
      anon_sym_SEMI,
  [62462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12747), 1,
      anon_sym_SEMI,
  [62469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12749), 1,
      anon_sym_SEMI,
  [62476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12751), 1,
      anon_sym_RPAREN,
  [62483] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12753), 1,
      aux_sym_preproc_include_token3,
  [62490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12755), 1,
      anon_sym_SEMI,
  [62497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12757), 1,
      ts_builtin_sym_end,
  [62504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12759), 1,
      anon_sym_SEMI,
  [62511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12761), 1,
      aux_sym_preproc_if_token2,
  [62518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12763), 1,
      anon_sym_SEMI,
  [62525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12765), 1,
      aux_sym_preproc_if_token2,
  [62532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11425), 1,
      anon_sym_RPAREN,
  [62539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12767), 1,
      anon_sym_SEMI,
  [62546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9518), 1,
      anon_sym_SEMI,
  [62553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12769), 1,
      anon_sym_SEMI,
  [62560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12771), 1,
      sym_identifier,
  [62567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12773), 1,
      anon_sym_RPAREN,
  [62574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12775), 1,
      anon_sym_SEMI,
  [62581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12777), 1,
      anon_sym_COLON,
  [62588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12779), 1,
      anon_sym_SEMI,
  [62595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12781), 1,
      anon_sym_SEMI,
  [62602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12783), 1,
      sym_identifier,
  [62609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9645), 1,
      anon_sym_RPAREN,
  [62616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12785), 1,
      sym_identifier,
  [62623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12787), 1,
      anon_sym_RPAREN,
  [62630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12789), 1,
      anon_sym_SEMI,
  [62637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9522), 1,
      anon_sym_RPAREN,
  [62644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12791), 1,
      anon_sym_SEMI,
  [62651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12793), 1,
      aux_sym_preproc_if_token2,
  [62658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12795), 1,
      anon_sym_SEMI,
  [62665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12797), 1,
      anon_sym_LPAREN2,
  [62672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12799), 1,
      anon_sym_SEMI,
  [62679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12801), 1,
      anon_sym_SEMI,
  [62686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12803), 1,
      anon_sym_RBRACK,
  [62693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12805), 1,
      aux_sym_preproc_if_token2,
  [62700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12807), 1,
      anon_sym_SEMI,
  [62707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12809), 1,
      anon_sym_RPAREN,
  [62714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12811), 1,
      anon_sym_RPAREN,
  [62721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12813), 1,
      anon_sym_RPAREN,
  [62728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12815), 1,
      anon_sym_COLON,
  [62735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12817), 1,
      sym_identifier,
  [62742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12819), 1,
      anon_sym_SEMI,
  [62749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12821), 1,
      anon_sym_RPAREN,
  [62756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12823), 1,
      anon_sym_SEMI,
  [62763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12825), 1,
      anon_sym_RPAREN,
  [62770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12827), 1,
      sym_identifier,
  [62777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12829), 1,
      anon_sym_RPAREN,
  [62784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12831), 1,
      sym_identifier,
  [62791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12833), 1,
      anon_sym_RBRACK,
  [62798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12835), 1,
      anon_sym_RBRACE,
  [62805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12837), 1,
      anon_sym_RPAREN,
  [62812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12839), 1,
      anon_sym_SEMI,
  [62819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9530), 1,
      anon_sym_SEMI,
  [62826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12841), 1,
      anon_sym_RPAREN,
  [62833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12843), 1,
      anon_sym_RPAREN,
  [62840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12845), 1,
      sym_identifier,
  [62847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12847), 1,
      anon_sym_SEMI,
  [62854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12849), 1,
      anon_sym_RPAREN,
  [62861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12851), 1,
      anon_sym_SEMI,
  [62868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12853), 1,
      sym_identifier,
  [62875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12855), 1,
      anon_sym_SEMI,
  [62882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12857), 1,
      anon_sym_RPAREN,
  [62889] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9937), 1,
      aux_sym_preproc_include_token3,
  [62896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12859), 1,
      anon_sym_COMMA,
  [62903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12861), 1,
      anon_sym_RPAREN,
  [62910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12863), 1,
      sym_identifier,
  [62917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12865), 1,
      anon_sym_RPAREN,
  [62924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12867), 1,
      anon_sym_SEMI,
  [62931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12869), 1,
      aux_sym_preproc_if_token2,
  [62938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12871), 1,
      anon_sym_SEMI,
  [62945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12873), 1,
      anon_sym_LBRACE,
  [62952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12875), 1,
      anon_sym_SEMI,
  [62959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12877), 1,
      anon_sym_RPAREN,
  [62966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12879), 1,
      anon_sym_RPAREN,
  [62973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9297), 1,
      anon_sym_RPAREN,
  [62980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12881), 1,
      aux_sym_preproc_if_token2,
  [62987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12883), 1,
      anon_sym_RPAREN,
  [62994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9524), 1,
      anon_sym_COLON,
  [63001] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12885), 1,
      aux_sym_ms_asm_block_token1,
  [63008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9548), 1,
      anon_sym_COLON,
  [63015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12887), 1,
      anon_sym_SEMI,
  [63022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12889), 1,
      anon_sym_RPAREN,
  [63029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12891), 1,
      anon_sym_SEMI,
  [63036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9299), 1,
      anon_sym_RPAREN,
  [63043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7917), 1,
      anon_sym_SEMI,
  [63050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12893), 1,
      anon_sym_RPAREN,
  [63057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12895), 1,
      anon_sym_RPAREN,
  [63064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12897), 1,
      sym_identifier,
  [63071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12899), 1,
      anon_sym_RBRACK,
  [63078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9526), 1,
      anon_sym_COLON,
  [63085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12901), 1,
      sym_identifier,
  [63092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12903), 1,
      sym_identifier,
  [63099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12905), 1,
      aux_sym_preproc_if_token2,
  [63106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12907), 1,
      anon_sym_SEMI,
  [63113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12909), 1,
      sym_identifier,
  [63120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12911), 1,
      sym_identifier,
  [63127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12913), 1,
      sym_identifier,
  [63134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12915), 1,
      anon_sym_LPAREN2,
  [63141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12917), 1,
      anon_sym_LPAREN2,
  [63148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12919), 1,
      anon_sym_LPAREN2,
  [63155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12921), 1,
      anon_sym_COLON,
  [63162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12923), 1,
      anon_sym_DQUOTE,
  [63169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12925), 1,
      sym_number_literal,
  [63176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12927), 1,
      anon_sym_SEMI,
  [63183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12929), 1,
      anon_sym_SEMI,
  [63190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12931), 1,
      anon_sym_SEMI,
  [63197] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9913), 1,
      aux_sym_preproc_include_token3,
  [63204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12933), 1,
      aux_sym_preproc_if_token2,
  [63211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12935), 1,
      anon_sym_RPAREN,
  [63218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12937), 1,
      aux_sym_preproc_if_token2,
  [63225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12939), 1,
      anon_sym_RPAREN,
  [63232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12941), 1,
      aux_sym_preproc_if_token2,
  [63239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12943), 1,
      anon_sym_SEMI,
  [63246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9281), 1,
      anon_sym_RPAREN,
  [63253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12945), 1,
      anon_sym_while,
  [63260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12947), 1,
      anon_sym_SEMI,
  [63267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12949), 1,
      sym_identifier,
  [63274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12951), 1,
      anon_sym_RPAREN,
  [63281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12953), 1,
      aux_sym_preproc_if_token2,
  [63288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12955), 1,
      anon_sym_SEMI,
  [63295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12957), 1,
      anon_sym_SEMI,
  [63302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12959), 1,
      anon_sym_RPAREN,
  [63309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12961), 1,
      anon_sym_SEMI,
  [63316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12963), 1,
      sym_identifier,
  [63323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12965), 1,
      sym_identifier,
  [63330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12967), 1,
      anon_sym_SEMI,
  [63337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12969), 1,
      sym_identifier,
  [63344] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(12971), 1,
      aux_sym_preproc_include_token3,
  [63351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12973), 1,
      aux_sym_preproc_if_token2,
  [63358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12975), 1,
      sym_identifier,
  [63365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12977), 1,
      anon_sym_LPAREN2,
  [63372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12979), 1,
      aux_sym_preproc_if_token2,
  [63379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12981), 1,
      aux_sym_preproc_if_token2,
  [63386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9593), 1,
      anon_sym_RPAREN,
  [63393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12983), 1,
      sym_identifier,
  [63400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9581), 1,
      anon_sym_SEMI,
  [63407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9699), 1,
      anon_sym_RPAREN,
  [63414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9613), 1,
      anon_sym_RPAREN,
  [63421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12985), 1,
      sym_identifier,
  [63428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9611), 1,
      anon_sym_RPAREN,
  [63435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12987), 1,
      anon_sym_LPAREN2,
  [63442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12989), 1,
      anon_sym_SEMI,
  [63449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12991), 1,
      anon_sym_SEMI,
  [63456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12993), 1,
      anon_sym_SEMI,
  [63463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12995), 1,
      anon_sym_SEMI,
  [63470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7141), 1,
      anon_sym_RBRACE,
  [63477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12997), 1,
      aux_sym_preproc_if_token2,
  [63484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12999), 1,
      anon_sym_SEMI,
  [63491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13001), 1,
      aux_sym_preproc_if_token2,
  [63498] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11545), 1,
      aux_sym_preproc_include_token3,
  [63505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13003), 1,
      aux_sym_preproc_if_token2,
  [63512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13005), 1,
      anon_sym_SEMI,
  [63519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13007), 1,
      anon_sym_SEMI,
  [63526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13009), 1,
      aux_sym_preproc_if_token2,
  [63533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13011), 1,
      anon_sym_RBRACK,
  [63540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13013), 1,
      anon_sym_RBRACE,
  [63547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13015), 1,
      anon_sym_SEMI,
  [63554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13017), 1,
      sym_identifier,
  [63561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13019), 1,
      sym_identifier,
  [63568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13021), 1,
      sym_identifier,
  [63575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13023), 1,
      anon_sym_RPAREN,
  [63582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13025), 1,
      sym_identifier,
  [63589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13027), 1,
      sym_identifier,
  [63596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13029), 1,
      anon_sym_SEMI,
  [63603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13031), 1,
      anon_sym_COLON,
  [63610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13033), 1,
      anon_sym_COLON,
  [63617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13035), 1,
      sym_identifier,
  [63624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13037), 1,
      sym_identifier,
  [63631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13039), 1,
      anon_sym_LPAREN2,
  [63638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13041), 1,
      anon_sym_LPAREN2,
  [63645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13043), 1,
      anon_sym_RPAREN,
  [63652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13045), 1,
      anon_sym_SEMI,
  [63659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13047), 1,
      sym_number_literal,
  [63666] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(13049), 1,
      aux_sym_preproc_include_token3,
  [63673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9301), 1,
      anon_sym_RPAREN,
  [63680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13051), 1,
      sym_identifier,
  [63687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13053), 1,
      anon_sym_SEMI,
  [63694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13055), 1,
      sym_identifier,
  [63701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13057), 1,
      anon_sym_SEMI,
  [63708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13059), 1,
      anon_sym_LPAREN2,
  [63715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13061), 1,
      sym_identifier,
  [63722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13063), 1,
      anon_sym_while,
  [63729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13065), 1,
      anon_sym_RPAREN,
  [63736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13067), 1,
      anon_sym_RPAREN,
  [63743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13069), 1,
      anon_sym_SEMI,
  [63750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13071), 1,
      aux_sym_preproc_if_token2,
  [63757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9279), 1,
      anon_sym_RPAREN,
  [63764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13073), 1,
      anon_sym_SEMI,
  [63771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13075), 1,
      sym_identifier,
  [63778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13077), 1,
      anon_sym_SEMI,
  [63785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9554), 1,
      anon_sym_SEMI,
  [63792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13079), 1,
      anon_sym_COLON,
  [63799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13081), 1,
      anon_sym_SEMI,
  [63806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_SEMI,
  [63813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13085), 1,
      sym_identifier,
  [63820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13087), 1,
      anon_sym_SEMI,
  [63827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13089), 1,
      anon_sym_STAR,
  [63834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13091), 1,
      anon_sym_COMMA,
  [63841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13093), 1,
      anon_sym_SEMI,
  [63848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13095), 1,
      anon_sym_LPAREN2,
  [63855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13097), 1,
      anon_sym_LPAREN2,
  [63862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13099), 1,
      anon_sym_SEMI,
  [63869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13101), 1,
      sym_number_literal,
  [63876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13103), 1,
      sym_identifier,
  [63883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13105), 1,
      anon_sym_RPAREN,
  [63890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13107), 1,
      anon_sym_SEMI,
  [63897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13109), 1,
      anon_sym_SEMI,
  [63904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13111), 1,
      anon_sym_SEMI,
  [63911] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(13113), 1,
      aux_sym_ms_asm_block_token1,
  [63918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13115), 1,
      anon_sym_while,
  [63925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13117), 1,
      anon_sym_SEMI,
  [63932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13119), 1,
      sym_identifier,
  [63939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13121), 1,
      sym_identifier,
  [63946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13123), 1,
      sym_identifier,
  [63953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13125), 1,
      anon_sym_RPAREN,
  [63960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9514), 1,
      anon_sym_SEMI,
  [63967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13127), 1,
      anon_sym_RPAREN,
  [63974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13129), 1,
      aux_sym_preproc_if_token2,
  [63981] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(13131), 1,
      aux_sym_preproc_include_token3,
  [63988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13133), 1,
      anon_sym_RPAREN,
  [63995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13135), 1,
      sym_identifier,
  [64002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13137), 1,
      anon_sym_RPAREN,
  [64009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13139), 1,
      aux_sym_preproc_if_token2,
  [64016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9558), 1,
      anon_sym_COLON,
  [64023] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(11146), 1,
      aux_sym_preproc_include_token3,
  [64030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13141), 1,
      anon_sym_LPAREN2,
  [64037] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(13143), 1,
      aux_sym_preproc_include_token3,
  [64044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13145), 1,
      anon_sym_RPAREN,
  [64051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13147), 1,
      anon_sym_typedef,
  [64058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13149), 1,
      aux_sym_preproc_if_token2,
  [64065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13151), 1,
      anon_sym_while,
  [64072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13153), 1,
      aux_sym_preproc_if_token2,
  [64079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13155), 1,
      anon_sym_LPAREN2,
  [64086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13157), 1,
      anon_sym_SEMI,
  [64093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13159), 1,
      sym_number_literal,
  [64100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13161), 1,
      aux_sym_preproc_if_token2,
  [64107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9512), 1,
      anon_sym_SEMI,
  [64114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13163), 1,
      anon_sym_SEMI,
  [64121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13165), 1,
      sym_identifier,
  [64128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13167), 1,
      anon_sym_SEMI,
  [64135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13169), 1,
      sym_identifier,
  [64142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13171), 1,
      anon_sym_LPAREN2,
  [64149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13173), 1,
      aux_sym_preproc_if_token2,
  [64156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13175), 1,
      anon_sym_SEMI,
  [64163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9567), 1,
      anon_sym_RPAREN,
  [64170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13177), 1,
      anon_sym_LPAREN2,
  [64177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13179), 1,
      anon_sym_RPAREN,
  [64184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13181), 1,
      anon_sym_SEMI,
  [64191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9295), 1,
      anon_sym_RPAREN,
  [64198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13183), 1,
      anon_sym_SEMI,
  [64205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13185), 1,
      anon_sym_while,
  [64212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13187), 1,
      anon_sym_SEMI,
  [64219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13189), 1,
      anon_sym_SEMI,
  [64226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13191), 1,
      anon_sym_SEMI,
  [64233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13193), 1,
      anon_sym_LBRACK,
  [64240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13195), 1,
      anon_sym_SEMI,
  [64247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9516), 1,
      anon_sym_SEMI,
  [64254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13197), 1,
      anon_sym_SEMI,
  [64261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13199), 1,
      aux_sym_preproc_if_token2,
  [64268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13201), 1,
      anon_sym_SEMI,
  [64275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9492), 1,
      anon_sym_RBRACE,
  [64282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13203), 1,
      sym_identifier,
  [64289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13205), 1,
      anon_sym_SEMI,
  [64296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13207), 1,
      anon_sym_SEMI,
  [64303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13209), 1,
      anon_sym_SEMI,
  [64310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13211), 1,
      anon_sym_RPAREN,
  [64317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13213), 1,
      anon_sym_RBRACK,
  [64324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9536), 1,
      anon_sym_SEMI,
  [64331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13215), 1,
      sym_identifier,
  [64338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13217), 1,
      anon_sym_SEMI,
  [64345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13219), 1,
      sym_identifier,
  [64352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13221), 1,
      aux_sym_preproc_if_token2,
  [64359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13223), 1,
      anon_sym_SEMI,
  [64366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13225), 1,
      anon_sym_RPAREN,
  [64373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13227), 1,
      anon_sym_SEMI,
  [64380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13229), 1,
      anon_sym_SEMI,
  [64387] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(13231), 1,
      aux_sym_preproc_include_token3,
  [64394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13233), 1,
      anon_sym_SEMI,
  [64401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13235), 1,
      sym_identifier,
  [64408] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(13237), 1,
      aux_sym_preproc_include_token3,
  [64415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13239), 1,
      anon_sym_SEMI,
  [64422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13241), 1,
      anon_sym_RBRACK,
  [64429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13243), 1,
      sym_identifier,
  [64436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13245), 1,
      anon_sym_LPAREN2,
  [64443] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(13247), 1,
      aux_sym_preproc_include_token3,
  [64450] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(13249), 1,
      aux_sym_preproc_include_token3,
  [64457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13251), 1,
      anon_sym_SEMI,
  [64464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13253), 1,
      anon_sym_SEMI,
  [64471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13255), 1,
      anon_sym_SEMI,
  [64478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13257), 1,
      aux_sym_preproc_if_token2,
  [64485] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(13259), 1,
      aux_sym_preproc_include_token3,
  [64492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13261), 1,
      anon_sym_SEMI,
  [64499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13263), 1,
      sym_identifier,
  [64506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13265), 1,
      sym_identifier,
  [64513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13267), 1,
      anon_sym_RPAREN,
  [64520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13269), 1,
      sym_identifier,
  [64527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13271), 1,
      aux_sym_preproc_if_token2,
  [64534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13273), 1,
      anon_sym_SEMI,
  [64541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13275), 1,
      anon_sym_LPAREN2,
  [64548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7923), 1,
      anon_sym_SEMI,
  [64555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13277), 1,
      anon_sym_RPAREN,
  [64562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13279), 1,
      anon_sym_SEMI,
  [64569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13281), 1,
      anon_sym_RPAREN,
  [64576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13283), 1,
      anon_sym_RPAREN,
  [64583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13285), 1,
      aux_sym_preproc_if_token2,
  [64590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9285), 1,
      anon_sym_RPAREN,
  [64597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13287), 1,
      anon_sym_RBRACE,
  [64604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13289), 1,
      anon_sym_typedef,
  [64611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13291), 1,
      sym_identifier,
  [64618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13293), 1,
      anon_sym_LPAREN2,
  [64625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13295), 1,
      anon_sym_RPAREN,
  [64632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13297), 1,
      anon_sym_RPAREN,
  [64639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13299), 1,
      aux_sym_preproc_if_token2,
  [64646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13301), 1,
      aux_sym_preproc_if_token2,
  [64653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13303), 1,
      anon_sym_LBRACK,
  [64660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13305), 1,
      anon_sym_SEMI,
  [64667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13307), 1,
      sym_identifier,
  [64674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13309), 1,
      anon_sym_RPAREN,
  [64681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13311), 1,
      anon_sym_RPAREN,
  [64688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13313), 1,
      anon_sym_RPAREN,
  [64695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13315), 1,
      aux_sym_preproc_if_token2,
  [64702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9565), 1,
      anon_sym_COLON,
  [64709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13317), 1,
      anon_sym_RPAREN,
  [64716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13319), 1,
      anon_sym_SEMI,
  [64723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9420), 1,
      anon_sym_RBRACE,
  [64730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13321), 1,
      sym_identifier,
  [64737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13323), 1,
      sym_identifier,
  [64744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13325), 1,
      anon_sym_SEMI,
  [64751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13327), 1,
      anon_sym_DQUOTE,
  [64758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9563), 1,
      anon_sym_COLON,
  [64765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      anon_sym_RPAREN,
  [64772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13329), 1,
      sym_identifier,
  [64779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13331), 1,
      anon_sym_SEMI,
  [64786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13333), 1,
      anon_sym_LPAREN2,
  [64793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13335), 1,
      aux_sym_preproc_if_token2,
  [64800] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(13337), 1,
      aux_sym_preproc_include_token3,
  [64807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13339), 1,
      anon_sym_SEMI,
  [64814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13341), 1,
      anon_sym_SEMI,
  [64821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13343), 1,
      anon_sym_RPAREN,
  [64828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13345), 1,
      anon_sym_SEMI,
  [64835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13347), 1,
      aux_sym_preproc_if_token2,
  [64842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_EQ,
  [64849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13351), 1,
      anon_sym_SEMI,
  [64856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13353), 1,
      anon_sym_SEMI,
  [64863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13355), 1,
      anon_sym_RPAREN,
  [64870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13357), 1,
      anon_sym_LPAREN2,
  [64877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13359), 1,
      aux_sym_preproc_if_token2,
  [64884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13361), 1,
      anon_sym_SEMI,
  [64891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10453), 1,
      sym_identifier,
  [64898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13363), 1,
      sym_identifier,
  [64905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13365), 1,
      anon_sym_LPAREN2,
  [64912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13367), 1,
      anon_sym_SEMI,
  [64919] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(13369), 1,
      aux_sym_preproc_include_token3,
  [64926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13371), 1,
      anon_sym_SEMI,
  [64933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13373), 1,
      aux_sym_preproc_if_token2,
  [64940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13375), 1,
      anon_sym_SEMI,
  [64947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13377), 1,
      anon_sym_SEMI,
  [64954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13379), 1,
      aux_sym_preproc_if_token2,
  [64961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13381), 1,
      sym_identifier,
  [64968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13383), 1,
      anon_sym_SEMI,
  [64975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9534), 1,
      anon_sym_RPAREN,
  [64982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13385), 1,
      anon_sym_SEMI,
  [64989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13387), 1,
      sym_identifier,
  [64996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13389), 1,
      sym_identifier,
  [65003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13391), 1,
      sym_identifier,
  [65010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13393), 1,
      aux_sym_preproc_if_token2,
  [65017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13395), 1,
      anon_sym_SEMI,
  [65024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13397), 1,
      anon_sym_SEMI,
  [65031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13399), 1,
      anon_sym_SEMI,
  [65038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13401), 1,
      anon_sym_LBRACE,
  [65045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13403), 1,
      aux_sym_preproc_if_token2,
  [65052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13405), 1,
      anon_sym_RBRACK,
  [65059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13407), 1,
      anon_sym_RBRACE,
  [65066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13409), 1,
      anon_sym_RPAREN,
  [65073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13411), 1,
      sym_identifier,
  [65080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9287), 1,
      anon_sym_RPAREN,
  [65087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13413), 1,
      anon_sym_SEMI,
  [65094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13415), 1,
      aux_sym_preproc_if_token2,
  [65101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13417), 1,
      anon_sym_STAR,
  [65108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13419), 1,
      sym_identifier,
  [65115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13421), 1,
      anon_sym_SEMI,
  [65122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13423), 1,
      anon_sym_RPAREN,
  [65129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13425), 1,
      sym_identifier,
  [65136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9571), 1,
      anon_sym_COLON,
  [65143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13427), 1,
      sym_identifier,
  [65150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13429), 1,
      sym_identifier,
  [65157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13431), 1,
      sym_identifier,
  [65164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13433), 1,
      aux_sym_preproc_if_token2,
  [65171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13435), 1,
      anon_sym_DQUOTE,
  [65178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13437), 1,
      anon_sym_SEMI,
  [65185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13439), 1,
      anon_sym_LPAREN2,
  [65192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13441), 1,
      anon_sym_SEMI,
  [65199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13443), 1,
      anon_sym_RPAREN,
  [65206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13445), 1,
      anon_sym_SEMI,
  [65213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13447), 1,
      anon_sym_RPAREN,
  [65220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9595), 1,
      anon_sym_RPAREN,
  [65227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9289), 1,
      anon_sym_RPAREN,
  [65234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13449), 1,
      anon_sym_SEMI,
  [65241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13451), 1,
      anon_sym_typedef,
  [65248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13453), 1,
      sym_identifier,
  [65255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13455), 1,
      anon_sym_LPAREN2,
  [65262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13457), 1,
      anon_sym_LPAREN2,
  [65269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13459), 1,
      anon_sym_LBRACK,
  [65276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7255), 1,
      anon_sym_SEMI,
  [65283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13461), 1,
      sym_identifier,
  [65290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13463), 1,
      anon_sym_SEMI,
  [65297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13465), 1,
      anon_sym_SEMI,
  [65304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13467), 1,
      aux_sym_preproc_if_token2,
  [65311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9577), 1,
      anon_sym_COLON,
  [65318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13469), 1,
      anon_sym_LPAREN2,
  [65325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13471), 1,
      anon_sym_SEMI,
  [65332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13473), 1,
      anon_sym_SEMI,
  [65339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13475), 1,
      anon_sym_SEMI,
  [65346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13477), 1,
      sym_identifier,
  [65353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13479), 1,
      anon_sym_SEMI,
  [65360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13481), 1,
      anon_sym_SEMI,
  [65367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13483), 1,
      anon_sym_SEMI,
  [65374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13485), 1,
      anon_sym_SEMI,
  [65381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13487), 1,
      anon_sym_SEMI,
  [65388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13489), 1,
      anon_sym_SEMI,
  [65395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13491), 1,
      anon_sym_RPAREN,
  [65402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13493), 1,
      sym_identifier,
  [65409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13495), 1,
      anon_sym_SEMI,
  [65416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13497), 1,
      sym_identifier,
  [65423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13499), 1,
      sym_identifier,
  [65430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13501), 1,
      aux_sym_preproc_if_token2,
  [65437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13503), 1,
      anon_sym_while,
  [65444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13505), 1,
      anon_sym_SEMI,
  [65451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13507), 1,
      sym_identifier,
  [65458] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(9893), 1,
      aux_sym_preproc_include_token3,
  [65465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_SEMI,
  [65472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13511), 1,
      anon_sym_LBRACE,
  [65479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13513), 1,
      anon_sym_SEMI,
  [65486] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(13515), 1,
      aux_sym_preproc_include_token3,
  [65493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13517), 1,
      sym_identifier,
  [65500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13519), 1,
      anon_sym_SEMI,
  [65507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13521), 1,
      sym_identifier,
  [65514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13523), 1,
      anon_sym_SEMI,
  [65521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9500), 1,
      anon_sym_SEMI,
  [65528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13525), 1,
      anon_sym_SEMI,
  [65535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13527), 1,
      anon_sym_SEMI,
  [65542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13529), 1,
      anon_sym_RPAREN,
  [65549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13531), 1,
      sym_identifier,
  [65556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13533), 1,
      aux_sym_preproc_if_token2,
  [65563] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(13535), 1,
      aux_sym_preproc_include_token3,
  [65570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13537), 1,
      anon_sym_RPAREN,
  [65577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13539), 1,
      aux_sym_preproc_if_token2,
  [65584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9293), 1,
      anon_sym_RPAREN,
  [65591] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(13541), 1,
      aux_sym_ms_asm_block_token1,
  [65598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13543), 1,
      sym_identifier,
  [65605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9589), 1,
      anon_sym_COLON,
  [65612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13545), 1,
      sym_identifier,
  [65619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13547), 1,
      aux_sym_preproc_if_token2,
  [65626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13549), 1,
      anon_sym_RPAREN,
  [65633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13551), 1,
      anon_sym_SEMI,
  [65640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13553), 1,
      anon_sym_LPAREN2,
  [65647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13555), 1,
      anon_sym_RPAREN,
  [65654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13557), 1,
      anon_sym_typedef,
  [65661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13559), 1,
      anon_sym_LPAREN2,
  [65668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13561), 1,
      anon_sym_SEMI,
  [65675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13563), 1,
      anon_sym_SEMI,
  [65682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13565), 1,
      anon_sym_SEMI,
  [65689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13567), 1,
      anon_sym_RPAREN,
  [65696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13569), 1,
      anon_sym_RBRACK,
  [65703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13571), 1,
      anon_sym_RPAREN,
  [65710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_LPAREN2,
  [65717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13575), 1,
      anon_sym_SEMI,
  [65724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13577), 1,
      anon_sym_typedef,
  [65731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13579), 1,
      anon_sym_LPAREN2,
  [65738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13581), 1,
      sym_identifier,
  [65745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13583), 1,
      anon_sym_SEMI,
  [65752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13585), 1,
      anon_sym_SEMI,
  [65759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13587), 1,
      anon_sym_SEMI,
  [65766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13589), 1,
      anon_sym_LPAREN2,
  [65773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13591), 1,
      anon_sym_RPAREN,
  [65780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13593), 1,
      anon_sym_typedef,
  [65787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13595), 1,
      anon_sym_LPAREN2,
  [65794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13597), 1,
      sym_identifier,
  [65801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13599), 1,
      anon_sym_COLON,
  [65808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13601), 1,
      sym_identifier,
  [65815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13603), 1,
      aux_sym_preproc_if_token2,
  [65822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13605), 1,
      anon_sym_SEMI,
  [65829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13607), 1,
      anon_sym_typedef,
  [65836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13609), 1,
      anon_sym_LPAREN2,
  [65843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13611), 1,
      sym_identifier,
  [65850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13613), 1,
      anon_sym_typedef,
  [65857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13615), 1,
      anon_sym_LPAREN2,
  [65864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13617), 1,
      anon_sym_LPAREN2,
  [65871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13619), 1,
      anon_sym_typedef,
  [65878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13621), 1,
      anon_sym_RBRACK,
  [65885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13623), 1,
      anon_sym_typedef,
  [65892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13625), 1,
      anon_sym_SEMI,
  [65899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13627), 1,
      anon_sym_LPAREN2,
  [65906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13629), 1,
      anon_sym_LPAREN2,
  [65913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13631), 1,
      anon_sym_SEMI,
  [65920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9291), 1,
      anon_sym_RPAREN,
  [65927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13633), 1,
      sym_identifier,
  [65934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13635), 1,
      sym_identifier,
  [65941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13637), 1,
      anon_sym_RPAREN,
  [65948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13639), 1,
      sym_identifier,
  [65955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13641), 1,
      anon_sym_RPAREN,
  [65962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13643), 1,
      anon_sym_SEMI,
  [65969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13645), 1,
      anon_sym_SEMI,
  [65976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13647), 1,
      aux_sym_preproc_if_token2,
  [65983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13649), 1,
      anon_sym_SEMI,
  [65990] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(13651), 1,
      aux_sym_preproc_include_token3,
  [65997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13653), 1,
      sym_identifier,
  [66004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7755), 1,
      anon_sym_SEMI,
  [66011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9579), 1,
      anon_sym_SEMI,
  [66018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13655), 1,
      anon_sym_LPAREN2,
  [66025] = 2,
    ACTIONS(9771), 1,
      sym_comment,
    ACTIONS(13657), 1,
      aux_sym_preproc_include_token3,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(4121)] = 0,
  [SMALL_STATE(4122)] = 103,
  [SMALL_STATE(4123)] = 206,
  [SMALL_STATE(4124)] = 276,
  [SMALL_STATE(4125)] = 376,
  [SMALL_STATE(4126)] = 446,
  [SMALL_STATE(4127)] = 546,
  [SMALL_STATE(4128)] = 616,
  [SMALL_STATE(4129)] = 715,
  [SMALL_STATE(4130)] = 814,
  [SMALL_STATE(4131)] = 912,
  [SMALL_STATE(4132)] = 1010,
  [SMALL_STATE(4133)] = 1081,
  [SMALL_STATE(4134)] = 1152,
  [SMALL_STATE(4135)] = 1223,
  [SMALL_STATE(4136)] = 1294,
  [SMALL_STATE(4137)] = 1365,
  [SMALL_STATE(4138)] = 1436,
  [SMALL_STATE(4139)] = 1507,
  [SMALL_STATE(4140)] = 1581,
  [SMALL_STATE(4141)] = 1653,
  [SMALL_STATE(4142)] = 1727,
  [SMALL_STATE(4143)] = 1799,
  [SMALL_STATE(4144)] = 1871,
  [SMALL_STATE(4145)] = 1959,
  [SMALL_STATE(4146)] = 2047,
  [SMALL_STATE(4147)] = 2135,
  [SMALL_STATE(4148)] = 2207,
  [SMALL_STATE(4149)] = 2295,
  [SMALL_STATE(4150)] = 2367,
  [SMALL_STATE(4151)] = 2439,
  [SMALL_STATE(4152)] = 2513,
  [SMALL_STATE(4153)] = 2579,
  [SMALL_STATE(4154)] = 2645,
  [SMALL_STATE(4155)] = 2711,
  [SMALL_STATE(4156)] = 2795,
  [SMALL_STATE(4157)] = 2857,
  [SMALL_STATE(4158)] = 2943,
  [SMALL_STATE(4159)] = 3005,
  [SMALL_STATE(4160)] = 3071,
  [SMALL_STATE(4161)] = 3137,
  [SMALL_STATE(4162)] = 3223,
  [SMALL_STATE(4163)] = 3289,
  [SMALL_STATE(4164)] = 3355,
  [SMALL_STATE(4165)] = 3421,
  [SMALL_STATE(4166)] = 3487,
  [SMALL_STATE(4167)] = 3571,
  [SMALL_STATE(4168)] = 3637,
  [SMALL_STATE(4169)] = 3703,
  [SMALL_STATE(4170)] = 3769,
  [SMALL_STATE(4171)] = 3835,
  [SMALL_STATE(4172)] = 3901,
  [SMALL_STATE(4173)] = 3967,
  [SMALL_STATE(4174)] = 4050,
  [SMALL_STATE(4175)] = 4133,
  [SMALL_STATE(4176)] = 4216,
  [SMALL_STATE(4177)] = 4299,
  [SMALL_STATE(4178)] = 4374,
  [SMALL_STATE(4179)] = 4449,
  [SMALL_STATE(4180)] = 4509,
  [SMALL_STATE(4181)] = 4589,
  [SMALL_STATE(4182)] = 4673,
  [SMALL_STATE(4183)] = 4757,
  [SMALL_STATE(4184)] = 4841,
  [SMALL_STATE(4185)] = 4915,
  [SMALL_STATE(4186)] = 4975,
  [SMALL_STATE(4187)] = 5055,
  [SMALL_STATE(4188)] = 5129,
  [SMALL_STATE(4189)] = 5189,
  [SMALL_STATE(4190)] = 5263,
  [SMALL_STATE(4191)] = 5343,
  [SMALL_STATE(4192)] = 5417,
  [SMALL_STATE(4193)] = 5501,
  [SMALL_STATE(4194)] = 5581,
  [SMALL_STATE(4195)] = 5657,
  [SMALL_STATE(4196)] = 5717,
  [SMALL_STATE(4197)] = 5777,
  [SMALL_STATE(4198)] = 5837,
  [SMALL_STATE(4199)] = 5897,
  [SMALL_STATE(4200)] = 5957,
  [SMALL_STATE(4201)] = 6017,
  [SMALL_STATE(4202)] = 6077,
  [SMALL_STATE(4203)] = 6137,
  [SMALL_STATE(4204)] = 6197,
  [SMALL_STATE(4205)] = 6257,
  [SMALL_STATE(4206)] = 6333,
  [SMALL_STATE(4207)] = 6393,
  [SMALL_STATE(4208)] = 6453,
  [SMALL_STATE(4209)] = 6537,
  [SMALL_STATE(4210)] = 6597,
  [SMALL_STATE(4211)] = 6678,
  [SMALL_STATE(4212)] = 6757,
  [SMALL_STATE(4213)] = 6838,
  [SMALL_STATE(4214)] = 6907,
  [SMALL_STATE(4215)] = 6988,
  [SMALL_STATE(4216)] = 7067,
  [SMALL_STATE(4217)] = 7148,
  [SMALL_STATE(4218)] = 7227,
  [SMALL_STATE(4219)] = 7308,
  [SMALL_STATE(4220)] = 7387,
  [SMALL_STATE(4221)] = 7466,
  [SMALL_STATE(4222)] = 7545,
  [SMALL_STATE(4223)] = 7624,
  [SMALL_STATE(4224)] = 7693,
  [SMALL_STATE(4225)] = 7772,
  [SMALL_STATE(4226)] = 7853,
  [SMALL_STATE(4227)] = 7934,
  [SMALL_STATE(4228)] = 8015,
  [SMALL_STATE(4229)] = 8096,
  [SMALL_STATE(4230)] = 8177,
  [SMALL_STATE(4231)] = 8258,
  [SMALL_STATE(4232)] = 8339,
  [SMALL_STATE(4233)] = 8418,
  [SMALL_STATE(4234)] = 8497,
  [SMALL_STATE(4235)] = 8578,
  [SMALL_STATE(4236)] = 8659,
  [SMALL_STATE(4237)] = 8740,
  [SMALL_STATE(4238)] = 8821,
  [SMALL_STATE(4239)] = 8902,
  [SMALL_STATE(4240)] = 8983,
  [SMALL_STATE(4241)] = 9064,
  [SMALL_STATE(4242)] = 9145,
  [SMALL_STATE(4243)] = 9226,
  [SMALL_STATE(4244)] = 9307,
  [SMALL_STATE(4245)] = 9388,
  [SMALL_STATE(4246)] = 9469,
  [SMALL_STATE(4247)] = 9550,
  [SMALL_STATE(4248)] = 9614,
  [SMALL_STATE(4249)] = 9679,
  [SMALL_STATE(4250)] = 9744,
  [SMALL_STATE(4251)] = 9809,
  [SMALL_STATE(4252)] = 9874,
  [SMALL_STATE(4253)] = 9939,
  [SMALL_STATE(4254)] = 10016,
  [SMALL_STATE(4255)] = 10077,
  [SMALL_STATE(4256)] = 10142,
  [SMALL_STATE(4257)] = 10207,
  [SMALL_STATE(4258)] = 10268,
  [SMALL_STATE(4259)] = 10333,
  [SMALL_STATE(4260)] = 10394,
  [SMALL_STATE(4261)] = 10455,
  [SMALL_STATE(4262)] = 10516,
  [SMALL_STATE(4263)] = 10581,
  [SMALL_STATE(4264)] = 10642,
  [SMALL_STATE(4265)] = 10703,
  [SMALL_STATE(4266)] = 10768,
  [SMALL_STATE(4267)] = 10829,
  [SMALL_STATE(4268)] = 10890,
  [SMALL_STATE(4269)] = 10951,
  [SMALL_STATE(4270)] = 11012,
  [SMALL_STATE(4271)] = 11073,
  [SMALL_STATE(4272)] = 11138,
  [SMALL_STATE(4273)] = 11203,
  [SMALL_STATE(4274)] = 11264,
  [SMALL_STATE(4275)] = 11332,
  [SMALL_STATE(4276)] = 11402,
  [SMALL_STATE(4277)] = 11472,
  [SMALL_STATE(4278)] = 11540,
  [SMALL_STATE(4279)] = 11606,
  [SMALL_STATE(4280)] = 11674,
  [SMALL_STATE(4281)] = 11742,
  [SMALL_STATE(4282)] = 11812,
  [SMALL_STATE(4283)] = 11879,
  [SMALL_STATE(4284)] = 11946,
  [SMALL_STATE(4285)] = 12013,
  [SMALL_STATE(4286)] = 12080,
  [SMALL_STATE(4287)] = 12147,
  [SMALL_STATE(4288)] = 12214,
  [SMALL_STATE(4289)] = 12281,
  [SMALL_STATE(4290)] = 12348,
  [SMALL_STATE(4291)] = 12415,
  [SMALL_STATE(4292)] = 12480,
  [SMALL_STATE(4293)] = 12547,
  [SMALL_STATE(4294)] = 12614,
  [SMALL_STATE(4295)] = 12680,
  [SMALL_STATE(4296)] = 12746,
  [SMALL_STATE(4297)] = 12812,
  [SMALL_STATE(4298)] = 12878,
  [SMALL_STATE(4299)] = 12942,
  [SMALL_STATE(4300)] = 13006,
  [SMALL_STATE(4301)] = 13070,
  [SMALL_STATE(4302)] = 13136,
  [SMALL_STATE(4303)] = 13227,
  [SMALL_STATE(4304)] = 13316,
  [SMALL_STATE(4305)] = 13381,
  [SMALL_STATE(4306)] = 13438,
  [SMALL_STATE(4307)] = 13529,
  [SMALL_STATE(4308)] = 13594,
  [SMALL_STATE(4309)] = 13683,
  [SMALL_STATE(4310)] = 13750,
  [SMALL_STATE(4311)] = 13835,
  [SMALL_STATE(4312)] = 13918,
  [SMALL_STATE(4313)] = 13999,
  [SMALL_STATE(4314)] = 14078,
  [SMALL_STATE(4315)] = 14169,
  [SMALL_STATE(4316)] = 14246,
  [SMALL_STATE(4317)] = 14321,
  [SMALL_STATE(4318)] = 14392,
  [SMALL_STATE(4319)] = 14461,
  [SMALL_STATE(4320)] = 14526,
  [SMALL_STATE(4321)] = 14615,
  [SMALL_STATE(4322)] = 14680,
  [SMALL_STATE(4323)] = 14736,
  [SMALL_STATE(4324)] = 14789,
  [SMALL_STATE(4325)] = 14842,
  [SMALL_STATE(4326)] = 14922,
  [SMALL_STATE(4327)] = 15008,
  [SMALL_STATE(4328)] = 15094,
  [SMALL_STATE(4329)] = 15182,
  [SMALL_STATE(4330)] = 15264,
  [SMALL_STATE(4331)] = 15328,
  [SMALL_STATE(4332)] = 15406,
  [SMALL_STATE(4333)] = 15494,
  [SMALL_STATE(4334)] = 15570,
  [SMALL_STATE(4335)] = 15644,
  [SMALL_STATE(4336)] = 15710,
  [SMALL_STATE(4337)] = 15778,
  [SMALL_STATE(4338)] = 15850,
  [SMALL_STATE(4339)] = 15938,
  [SMALL_STATE(4340)] = 16024,
  [SMALL_STATE(4341)] = 16075,
  [SMALL_STATE(4342)] = 16128,
  [SMALL_STATE(4343)] = 16179,
  [SMALL_STATE(4344)] = 16230,
  [SMALL_STATE(4345)] = 16281,
  [SMALL_STATE(4346)] = 16332,
  [SMALL_STATE(4347)] = 16383,
  [SMALL_STATE(4348)] = 16434,
  [SMALL_STATE(4349)] = 16485,
  [SMALL_STATE(4350)] = 16536,
  [SMALL_STATE(4351)] = 16587,
  [SMALL_STATE(4352)] = 16638,
  [SMALL_STATE(4353)] = 16689,
  [SMALL_STATE(4354)] = 16769,
  [SMALL_STATE(4355)] = 16845,
  [SMALL_STATE(4356)] = 16919,
  [SMALL_STATE(4357)] = 16991,
  [SMALL_STATE(4358)] = 17061,
  [SMALL_STATE(4359)] = 17127,
  [SMALL_STATE(4360)] = 17191,
  [SMALL_STATE(4361)] = 17277,
  [SMALL_STATE(4362)] = 17363,
  [SMALL_STATE(4363)] = 17413,
  [SMALL_STATE(4364)] = 17497,
  [SMALL_STATE(4365)] = 17581,
  [SMALL_STATE(4366)] = 17667,
  [SMALL_STATE(4367)] = 17751,
  [SMALL_STATE(4368)] = 17813,
  [SMALL_STATE(4369)] = 17891,
  [SMALL_STATE(4370)] = 17942,
  [SMALL_STATE(4371)] = 17994,
  [SMALL_STATE(4372)] = 18053,
  [SMALL_STATE(4373)] = 18112,
  [SMALL_STATE(4374)] = 18192,
  [SMALL_STATE(4375)] = 18250,
  [SMALL_STATE(4376)] = 18326,
  [SMALL_STATE(4377)] = 18408,
  [SMALL_STATE(4378)] = 18480,
  [SMALL_STATE(4379)] = 18562,
  [SMALL_STATE(4380)] = 18628,
  [SMALL_STATE(4381)] = 18708,
  [SMALL_STATE(4382)] = 18776,
  [SMALL_STATE(4383)] = 18838,
  [SMALL_STATE(4384)] = 18898,
  [SMALL_STATE(4385)] = 18980,
  [SMALL_STATE(4386)] = 19054,
  [SMALL_STATE(4387)] = 19124,
  [SMALL_STATE(4388)] = 19204,
  [SMALL_STATE(4389)] = 19290,
  [SMALL_STATE(4390)] = 19376,
  [SMALL_STATE(4391)] = 19458,
  [SMALL_STATE(4392)] = 19538,
  [SMALL_STATE(4393)] = 19601,
  [SMALL_STATE(4394)] = 19678,
  [SMALL_STATE(4395)] = 19753,
  [SMALL_STATE(4396)] = 19808,
  [SMALL_STATE(4397)] = 19879,
  [SMALL_STATE(4398)] = 19956,
  [SMALL_STATE(4399)] = 20033,
  [SMALL_STATE(4400)] = 20102,
  [SMALL_STATE(4401)] = 20177,
  [SMALL_STATE(4402)] = 20246,
  [SMALL_STATE(4403)] = 20313,
  [SMALL_STATE(4404)] = 20388,
  [SMALL_STATE(4405)] = 20453,
  [SMALL_STATE(4406)] = 20512,
  [SMALL_STATE(4407)] = 20569,
  [SMALL_STATE(4408)] = 20646,
  [SMALL_STATE(4409)] = 20726,
  [SMALL_STATE(4410)] = 20806,
  [SMALL_STATE(4411)] = 20886,
  [SMALL_STATE(4412)] = 20966,
  [SMALL_STATE(4413)] = 21046,
  [SMALL_STATE(4414)] = 21124,
  [SMALL_STATE(4415)] = 21204,
  [SMALL_STATE(4416)] = 21284,
  [SMALL_STATE(4417)] = 21364,
  [SMALL_STATE(4418)] = 21444,
  [SMALL_STATE(4419)] = 21524,
  [SMALL_STATE(4420)] = 21604,
  [SMALL_STATE(4421)] = 21684,
  [SMALL_STATE(4422)] = 21764,
  [SMALL_STATE(4423)] = 21844,
  [SMALL_STATE(4424)] = 21924,
  [SMALL_STATE(4425)] = 22004,
  [SMALL_STATE(4426)] = 22084,
  [SMALL_STATE(4427)] = 22164,
  [SMALL_STATE(4428)] = 22241,
  [SMALL_STATE(4429)] = 22316,
  [SMALL_STATE(4430)] = 22391,
  [SMALL_STATE(4431)] = 22466,
  [SMALL_STATE(4432)] = 22539,
  [SMALL_STATE(4433)] = 22592,
  [SMALL_STATE(4434)] = 22661,
  [SMALL_STATE(4435)] = 22728,
  [SMALL_STATE(4436)] = 22795,
  [SMALL_STATE(4437)] = 22860,
  [SMALL_STATE(4438)] = 22923,
  [SMALL_STATE(4439)] = 22984,
  [SMALL_STATE(4440)] = 23041,
  [SMALL_STATE(4441)] = 23096,
  [SMALL_STATE(4442)] = 23173,
  [SMALL_STATE(4443)] = 23248,
  [SMALL_STATE(4444)] = 23323,
  [SMALL_STATE(4445)] = 23400,
  [SMALL_STATE(4446)] = 23475,
  [SMALL_STATE(4447)] = 23550,
  [SMALL_STATE(4448)] = 23627,
  [SMALL_STATE(4449)] = 23704,
  [SMALL_STATE(4450)] = 23781,
  [SMALL_STATE(4451)] = 23858,
  [SMALL_STATE(4452)] = 23935,
  [SMALL_STATE(4453)] = 24012,
  [SMALL_STATE(4454)] = 24089,
  [SMALL_STATE(4455)] = 24164,
  [SMALL_STATE(4456)] = 24241,
  [SMALL_STATE(4457)] = 24316,
  [SMALL_STATE(4458)] = 24393,
  [SMALL_STATE(4459)] = 24470,
  [SMALL_STATE(4460)] = 24547,
  [SMALL_STATE(4461)] = 24624,
  [SMALL_STATE(4462)] = 24701,
  [SMALL_STATE(4463)] = 24778,
  [SMALL_STATE(4464)] = 24855,
  [SMALL_STATE(4465)] = 24930,
  [SMALL_STATE(4466)] = 25007,
  [SMALL_STATE(4467)] = 25084,
  [SMALL_STATE(4468)] = 25161,
  [SMALL_STATE(4469)] = 25238,
  [SMALL_STATE(4470)] = 25315,
  [SMALL_STATE(4471)] = 25392,
  [SMALL_STATE(4472)] = 25467,
  [SMALL_STATE(4473)] = 25540,
  [SMALL_STATE(4474)] = 25613,
  [SMALL_STATE(4475)] = 25652,
  [SMALL_STATE(4476)] = 25729,
  [SMALL_STATE(4477)] = 25806,
  [SMALL_STATE(4478)] = 25883,
  [SMALL_STATE(4479)] = 25960,
  [SMALL_STATE(4480)] = 26037,
  [SMALL_STATE(4481)] = 26114,
  [SMALL_STATE(4482)] = 26191,
  [SMALL_STATE(4483)] = 26268,
  [SMALL_STATE(4484)] = 26343,
  [SMALL_STATE(4485)] = 26420,
  [SMALL_STATE(4486)] = 26497,
  [SMALL_STATE(4487)] = 26574,
  [SMALL_STATE(4488)] = 26651,
  [SMALL_STATE(4489)] = 26726,
  [SMALL_STATE(4490)] = 26803,
  [SMALL_STATE(4491)] = 26880,
  [SMALL_STATE(4492)] = 26957,
  [SMALL_STATE(4493)] = 27034,
  [SMALL_STATE(4494)] = 27111,
  [SMALL_STATE(4495)] = 27186,
  [SMALL_STATE(4496)] = 27260,
  [SMALL_STATE(4497)] = 27334,
  [SMALL_STATE(4498)] = 27408,
  [SMALL_STATE(4499)] = 27482,
  [SMALL_STATE(4500)] = 27556,
  [SMALL_STATE(4501)] = 27630,
  [SMALL_STATE(4502)] = 27704,
  [SMALL_STATE(4503)] = 27778,
  [SMALL_STATE(4504)] = 27852,
  [SMALL_STATE(4505)] = 27926,
  [SMALL_STATE(4506)] = 28000,
  [SMALL_STATE(4507)] = 28074,
  [SMALL_STATE(4508)] = 28148,
  [SMALL_STATE(4509)] = 28222,
  [SMALL_STATE(4510)] = 28296,
  [SMALL_STATE(4511)] = 28370,
  [SMALL_STATE(4512)] = 28444,
  [SMALL_STATE(4513)] = 28518,
  [SMALL_STATE(4514)] = 28592,
  [SMALL_STATE(4515)] = 28666,
  [SMALL_STATE(4516)] = 28740,
  [SMALL_STATE(4517)] = 28814,
  [SMALL_STATE(4518)] = 28888,
  [SMALL_STATE(4519)] = 28962,
  [SMALL_STATE(4520)] = 29036,
  [SMALL_STATE(4521)] = 29110,
  [SMALL_STATE(4522)] = 29164,
  [SMALL_STATE(4523)] = 29238,
  [SMALL_STATE(4524)] = 29312,
  [SMALL_STATE(4525)] = 29386,
  [SMALL_STATE(4526)] = 29460,
  [SMALL_STATE(4527)] = 29534,
  [SMALL_STATE(4528)] = 29608,
  [SMALL_STATE(4529)] = 29682,
  [SMALL_STATE(4530)] = 29756,
  [SMALL_STATE(4531)] = 29830,
  [SMALL_STATE(4532)] = 29904,
  [SMALL_STATE(4533)] = 29978,
  [SMALL_STATE(4534)] = 30032,
  [SMALL_STATE(4535)] = 30106,
  [SMALL_STATE(4536)] = 30180,
  [SMALL_STATE(4537)] = 30254,
  [SMALL_STATE(4538)] = 30308,
  [SMALL_STATE(4539)] = 30382,
  [SMALL_STATE(4540)] = 30456,
  [SMALL_STATE(4541)] = 30530,
  [SMALL_STATE(4542)] = 30604,
  [SMALL_STATE(4543)] = 30678,
  [SMALL_STATE(4544)] = 30752,
  [SMALL_STATE(4545)] = 30826,
  [SMALL_STATE(4546)] = 30900,
  [SMALL_STATE(4547)] = 30974,
  [SMALL_STATE(4548)] = 31048,
  [SMALL_STATE(4549)] = 31122,
  [SMALL_STATE(4550)] = 31196,
  [SMALL_STATE(4551)] = 31270,
  [SMALL_STATE(4552)] = 31344,
  [SMALL_STATE(4553)] = 31418,
  [SMALL_STATE(4554)] = 31472,
  [SMALL_STATE(4555)] = 31546,
  [SMALL_STATE(4556)] = 31620,
  [SMALL_STATE(4557)] = 31674,
  [SMALL_STATE(4558)] = 31748,
  [SMALL_STATE(4559)] = 31822,
  [SMALL_STATE(4560)] = 31896,
  [SMALL_STATE(4561)] = 31970,
  [SMALL_STATE(4562)] = 32044,
  [SMALL_STATE(4563)] = 32098,
  [SMALL_STATE(4564)] = 32172,
  [SMALL_STATE(4565)] = 32246,
  [SMALL_STATE(4566)] = 32320,
  [SMALL_STATE(4567)] = 32394,
  [SMALL_STATE(4568)] = 32468,
  [SMALL_STATE(4569)] = 32542,
  [SMALL_STATE(4570)] = 32616,
  [SMALL_STATE(4571)] = 32690,
  [SMALL_STATE(4572)] = 32764,
  [SMALL_STATE(4573)] = 32838,
  [SMALL_STATE(4574)] = 32875,
  [SMALL_STATE(4575)] = 32946,
  [SMALL_STATE(4576)] = 32983,
  [SMALL_STATE(4577)] = 33035,
  [SMALL_STATE(4578)] = 33079,
  [SMALL_STATE(4579)] = 33113,
  [SMALL_STATE(4580)] = 33157,
  [SMALL_STATE(4581)] = 33201,
  [SMALL_STATE(4582)] = 33242,
  [SMALL_STATE(4583)] = 33283,
  [SMALL_STATE(4584)] = 33324,
  [SMALL_STATE(4585)] = 33365,
  [SMALL_STATE(4586)] = 33406,
  [SMALL_STATE(4587)] = 33439,
  [SMALL_STATE(4588)] = 33480,
  [SMALL_STATE(4589)] = 33521,
  [SMALL_STATE(4590)] = 33562,
  [SMALL_STATE(4591)] = 33603,
  [SMALL_STATE(4592)] = 33644,
  [SMALL_STATE(4593)] = 33685,
  [SMALL_STATE(4594)] = 33726,
  [SMALL_STATE(4595)] = 33767,
  [SMALL_STATE(4596)] = 33808,
  [SMALL_STATE(4597)] = 33849,
  [SMALL_STATE(4598)] = 33890,
  [SMALL_STATE(4599)] = 33931,
  [SMALL_STATE(4600)] = 33972,
  [SMALL_STATE(4601)] = 34013,
  [SMALL_STATE(4602)] = 34054,
  [SMALL_STATE(4603)] = 34095,
  [SMALL_STATE(4604)] = 34136,
  [SMALL_STATE(4605)] = 34177,
  [SMALL_STATE(4606)] = 34218,
  [SMALL_STATE(4607)] = 34259,
  [SMALL_STATE(4608)] = 34314,
  [SMALL_STATE(4609)] = 34355,
  [SMALL_STATE(4610)] = 34396,
  [SMALL_STATE(4611)] = 34437,
  [SMALL_STATE(4612)] = 34478,
  [SMALL_STATE(4613)] = 34533,
  [SMALL_STATE(4614)] = 34574,
  [SMALL_STATE(4615)] = 34629,
  [SMALL_STATE(4616)] = 34670,
  [SMALL_STATE(4617)] = 34711,
  [SMALL_STATE(4618)] = 34752,
  [SMALL_STATE(4619)] = 34793,
  [SMALL_STATE(4620)] = 34834,
  [SMALL_STATE(4621)] = 34875,
  [SMALL_STATE(4622)] = 34916,
  [SMALL_STATE(4623)] = 34971,
  [SMALL_STATE(4624)] = 35012,
  [SMALL_STATE(4625)] = 35053,
  [SMALL_STATE(4626)] = 35094,
  [SMALL_STATE(4627)] = 35135,
  [SMALL_STATE(4628)] = 35176,
  [SMALL_STATE(4629)] = 35217,
  [SMALL_STATE(4630)] = 35272,
  [SMALL_STATE(4631)] = 35327,
  [SMALL_STATE(4632)] = 35368,
  [SMALL_STATE(4633)] = 35409,
  [SMALL_STATE(4634)] = 35437,
  [SMALL_STATE(4635)] = 35483,
  [SMALL_STATE(4636)] = 35527,
  [SMALL_STATE(4637)] = 35555,
  [SMALL_STATE(4638)] = 35595,
  [SMALL_STATE(4639)] = 35631,
  [SMALL_STATE(4640)] = 35677,
  [SMALL_STATE(4641)] = 35711,
  [SMALL_STATE(4642)] = 35755,
  [SMALL_STATE(4643)] = 35783,
  [SMALL_STATE(4644)] = 35827,
  [SMALL_STATE(4645)] = 35855,
  [SMALL_STATE(4646)] = 35897,
  [SMALL_STATE(4647)] = 35925,
  [SMALL_STATE(4648)] = 35953,
  [SMALL_STATE(4649)] = 36003,
  [SMALL_STATE(4650)] = 36047,
  [SMALL_STATE(4651)] = 36075,
  [SMALL_STATE(4652)] = 36103,
  [SMALL_STATE(4653)] = 36131,
  [SMALL_STATE(4654)] = 36163,
  [SMALL_STATE(4655)] = 36211,
  [SMALL_STATE(4656)] = 36239,
  [SMALL_STATE(4657)] = 36280,
  [SMALL_STATE(4658)] = 36325,
  [SMALL_STATE(4659)] = 36354,
  [SMALL_STATE(4660)] = 36381,
  [SMALL_STATE(4661)] = 36426,
  [SMALL_STATE(4662)] = 36471,
  [SMALL_STATE(4663)] = 36498,
  [SMALL_STATE(4664)] = 36525,
  [SMALL_STATE(4665)] = 36570,
  [SMALL_STATE(4666)] = 36597,
  [SMALL_STATE(4667)] = 36642,
  [SMALL_STATE(4668)] = 36685,
  [SMALL_STATE(4669)] = 36724,
  [SMALL_STATE(4670)] = 36761,
  [SMALL_STATE(4671)] = 36796,
  [SMALL_STATE(4672)] = 36829,
  [SMALL_STATE(4673)] = 36860,
  [SMALL_STATE(4674)] = 36905,
  [SMALL_STATE(4675)] = 36950,
  [SMALL_STATE(4676)] = 36995,
  [SMALL_STATE(4677)] = 37040,
  [SMALL_STATE(4678)] = 37085,
  [SMALL_STATE(4679)] = 37130,
  [SMALL_STATE(4680)] = 37175,
  [SMALL_STATE(4681)] = 37220,
  [SMALL_STATE(4682)] = 37247,
  [SMALL_STATE(4683)] = 37292,
  [SMALL_STATE(4684)] = 37341,
  [SMALL_STATE(4685)] = 37386,
  [SMALL_STATE(4686)] = 37431,
  [SMALL_STATE(4687)] = 37458,
  [SMALL_STATE(4688)] = 37485,
  [SMALL_STATE(4689)] = 37534,
  [SMALL_STATE(4690)] = 37561,
  [SMALL_STATE(4691)] = 37606,
  [SMALL_STATE(4692)] = 37633,
  [SMALL_STATE(4693)] = 37660,
  [SMALL_STATE(4694)] = 37705,
  [SMALL_STATE(4695)] = 37750,
  [SMALL_STATE(4696)] = 37795,
  [SMALL_STATE(4697)] = 37840,
  [SMALL_STATE(4698)] = 37884,
  [SMALL_STATE(4699)] = 37928,
  [SMALL_STATE(4700)] = 37972,
  [SMALL_STATE(4701)] = 38016,
  [SMALL_STATE(4702)] = 38060,
  [SMALL_STATE(4703)] = 38104,
  [SMALL_STATE(4704)] = 38148,
  [SMALL_STATE(4705)] = 38192,
  [SMALL_STATE(4706)] = 38236,
  [SMALL_STATE(4707)] = 38280,
  [SMALL_STATE(4708)] = 38324,
  [SMALL_STATE(4709)] = 38368,
  [SMALL_STATE(4710)] = 38412,
  [SMALL_STATE(4711)] = 38456,
  [SMALL_STATE(4712)] = 38500,
  [SMALL_STATE(4713)] = 38544,
  [SMALL_STATE(4714)] = 38588,
  [SMALL_STATE(4715)] = 38632,
  [SMALL_STATE(4716)] = 38676,
  [SMALL_STATE(4717)] = 38720,
  [SMALL_STATE(4718)] = 38764,
  [SMALL_STATE(4719)] = 38808,
  [SMALL_STATE(4720)] = 38852,
  [SMALL_STATE(4721)] = 38896,
  [SMALL_STATE(4722)] = 38940,
  [SMALL_STATE(4723)] = 38984,
  [SMALL_STATE(4724)] = 39028,
  [SMALL_STATE(4725)] = 39072,
  [SMALL_STATE(4726)] = 39116,
  [SMALL_STATE(4727)] = 39160,
  [SMALL_STATE(4728)] = 39204,
  [SMALL_STATE(4729)] = 39248,
  [SMALL_STATE(4730)] = 39292,
  [SMALL_STATE(4731)] = 39336,
  [SMALL_STATE(4732)] = 39380,
  [SMALL_STATE(4733)] = 39424,
  [SMALL_STATE(4734)] = 39468,
  [SMALL_STATE(4735)] = 39512,
  [SMALL_STATE(4736)] = 39556,
  [SMALL_STATE(4737)] = 39600,
  [SMALL_STATE(4738)] = 39644,
  [SMALL_STATE(4739)] = 39688,
  [SMALL_STATE(4740)] = 39732,
  [SMALL_STATE(4741)] = 39776,
  [SMALL_STATE(4742)] = 39820,
  [SMALL_STATE(4743)] = 39864,
  [SMALL_STATE(4744)] = 39908,
  [SMALL_STATE(4745)] = 39952,
  [SMALL_STATE(4746)] = 39996,
  [SMALL_STATE(4747)] = 40040,
  [SMALL_STATE(4748)] = 40084,
  [SMALL_STATE(4749)] = 40128,
  [SMALL_STATE(4750)] = 40172,
  [SMALL_STATE(4751)] = 40216,
  [SMALL_STATE(4752)] = 40260,
  [SMALL_STATE(4753)] = 40304,
  [SMALL_STATE(4754)] = 40348,
  [SMALL_STATE(4755)] = 40392,
  [SMALL_STATE(4756)] = 40436,
  [SMALL_STATE(4757)] = 40480,
  [SMALL_STATE(4758)] = 40524,
  [SMALL_STATE(4759)] = 40568,
  [SMALL_STATE(4760)] = 40612,
  [SMALL_STATE(4761)] = 40656,
  [SMALL_STATE(4762)] = 40700,
  [SMALL_STATE(4763)] = 40744,
  [SMALL_STATE(4764)] = 40788,
  [SMALL_STATE(4765)] = 40832,
  [SMALL_STATE(4766)] = 40876,
  [SMALL_STATE(4767)] = 40920,
  [SMALL_STATE(4768)] = 40964,
  [SMALL_STATE(4769)] = 41008,
  [SMALL_STATE(4770)] = 41052,
  [SMALL_STATE(4771)] = 41096,
  [SMALL_STATE(4772)] = 41140,
  [SMALL_STATE(4773)] = 41184,
  [SMALL_STATE(4774)] = 41228,
  [SMALL_STATE(4775)] = 41272,
  [SMALL_STATE(4776)] = 41316,
  [SMALL_STATE(4777)] = 41360,
  [SMALL_STATE(4778)] = 41404,
  [SMALL_STATE(4779)] = 41448,
  [SMALL_STATE(4780)] = 41492,
  [SMALL_STATE(4781)] = 41536,
  [SMALL_STATE(4782)] = 41580,
  [SMALL_STATE(4783)] = 41624,
  [SMALL_STATE(4784)] = 41668,
  [SMALL_STATE(4785)] = 41712,
  [SMALL_STATE(4786)] = 41756,
  [SMALL_STATE(4787)] = 41800,
  [SMALL_STATE(4788)] = 41844,
  [SMALL_STATE(4789)] = 41888,
  [SMALL_STATE(4790)] = 41932,
  [SMALL_STATE(4791)] = 41976,
  [SMALL_STATE(4792)] = 42020,
  [SMALL_STATE(4793)] = 42064,
  [SMALL_STATE(4794)] = 42108,
  [SMALL_STATE(4795)] = 42152,
  [SMALL_STATE(4796)] = 42196,
  [SMALL_STATE(4797)] = 42240,
  [SMALL_STATE(4798)] = 42281,
  [SMALL_STATE(4799)] = 42318,
  [SMALL_STATE(4800)] = 42357,
  [SMALL_STATE(4801)] = 42395,
  [SMALL_STATE(4802)] = 42433,
  [SMALL_STATE(4803)] = 42467,
  [SMALL_STATE(4804)] = 42505,
  [SMALL_STATE(4805)] = 42543,
  [SMALL_STATE(4806)] = 42584,
  [SMALL_STATE(4807)] = 42625,
  [SMALL_STATE(4808)] = 42660,
  [SMALL_STATE(4809)] = 42695,
  [SMALL_STATE(4810)] = 42730,
  [SMALL_STATE(4811)] = 42771,
  [SMALL_STATE(4812)] = 42806,
  [SMALL_STATE(4813)] = 42837,
  [SMALL_STATE(4814)] = 42872,
  [SMALL_STATE(4815)] = 42907,
  [SMALL_STATE(4816)] = 42942,
  [SMALL_STATE(4817)] = 42977,
  [SMALL_STATE(4818)] = 43012,
  [SMALL_STATE(4819)] = 43047,
  [SMALL_STATE(4820)] = 43082,
  [SMALL_STATE(4821)] = 43114,
  [SMALL_STATE(4822)] = 43146,
  [SMALL_STATE(4823)] = 43178,
  [SMALL_STATE(4824)] = 43210,
  [SMALL_STATE(4825)] = 43242,
  [SMALL_STATE(4826)] = 43274,
  [SMALL_STATE(4827)] = 43306,
  [SMALL_STATE(4828)] = 43338,
  [SMALL_STATE(4829)] = 43370,
  [SMALL_STATE(4830)] = 43402,
  [SMALL_STATE(4831)] = 43434,
  [SMALL_STATE(4832)] = 43462,
  [SMALL_STATE(4833)] = 43492,
  [SMALL_STATE(4834)] = 43523,
  [SMALL_STATE(4835)] = 43554,
  [SMALL_STATE(4836)] = 43587,
  [SMALL_STATE(4837)] = 43620,
  [SMALL_STATE(4838)] = 43651,
  [SMALL_STATE(4839)] = 43682,
  [SMALL_STATE(4840)] = 43709,
  [SMALL_STATE(4841)] = 43738,
  [SMALL_STATE(4842)] = 43771,
  [SMALL_STATE(4843)] = 43802,
  [SMALL_STATE(4844)] = 43829,
  [SMALL_STATE(4845)] = 43858,
  [SMALL_STATE(4846)] = 43876,
  [SMALL_STATE(4847)] = 43900,
  [SMALL_STATE(4848)] = 43918,
  [SMALL_STATE(4849)] = 43942,
  [SMALL_STATE(4850)] = 43966,
  [SMALL_STATE(4851)] = 43984,
  [SMALL_STATE(4852)] = 44002,
  [SMALL_STATE(4853)] = 44024,
  [SMALL_STATE(4854)] = 44050,
  [SMALL_STATE(4855)] = 44074,
  [SMALL_STATE(4856)] = 44098,
  [SMALL_STATE(4857)] = 44122,
  [SMALL_STATE(4858)] = 44146,
  [SMALL_STATE(4859)] = 44170,
  [SMALL_STATE(4860)] = 44188,
  [SMALL_STATE(4861)] = 44212,
  [SMALL_STATE(4862)] = 44238,
  [SMALL_STATE(4863)] = 44256,
  [SMALL_STATE(4864)] = 44280,
  [SMALL_STATE(4865)] = 44306,
  [SMALL_STATE(4866)] = 44332,
  [SMALL_STATE(4867)] = 44358,
  [SMALL_STATE(4868)] = 44376,
  [SMALL_STATE(4869)] = 44400,
  [SMALL_STATE(4870)] = 44426,
  [SMALL_STATE(4871)] = 44450,
  [SMALL_STATE(4872)] = 44468,
  [SMALL_STATE(4873)] = 44486,
  [SMALL_STATE(4874)] = 44510,
  [SMALL_STATE(4875)] = 44532,
  [SMALL_STATE(4876)] = 44550,
  [SMALL_STATE(4877)] = 44574,
  [SMALL_STATE(4878)] = 44600,
  [SMALL_STATE(4879)] = 44618,
  [SMALL_STATE(4880)] = 44642,
  [SMALL_STATE(4881)] = 44668,
  [SMALL_STATE(4882)] = 44697,
  [SMALL_STATE(4883)] = 44720,
  [SMALL_STATE(4884)] = 44743,
  [SMALL_STATE(4885)] = 44772,
  [SMALL_STATE(4886)] = 44793,
  [SMALL_STATE(4887)] = 44820,
  [SMALL_STATE(4888)] = 44849,
  [SMALL_STATE(4889)] = 44870,
  [SMALL_STATE(4890)] = 44897,
  [SMALL_STATE(4891)] = 44918,
  [SMALL_STATE(4892)] = 44947,
  [SMALL_STATE(4893)] = 44970,
  [SMALL_STATE(4894)] = 44999,
  [SMALL_STATE(4895)] = 45028,
  [SMALL_STATE(4896)] = 45055,
  [SMALL_STATE(4897)] = 45076,
  [SMALL_STATE(4898)] = 45105,
  [SMALL_STATE(4899)] = 45125,
  [SMALL_STATE(4900)] = 45153,
  [SMALL_STATE(4901)] = 45181,
  [SMALL_STATE(4902)] = 45209,
  [SMALL_STATE(4903)] = 45233,
  [SMALL_STATE(4904)] = 45257,
  [SMALL_STATE(4905)] = 45285,
  [SMALL_STATE(4906)] = 45309,
  [SMALL_STATE(4907)] = 45333,
  [SMALL_STATE(4908)] = 45357,
  [SMALL_STATE(4909)] = 45383,
  [SMALL_STATE(4910)] = 45399,
  [SMALL_STATE(4911)] = 45415,
  [SMALL_STATE(4912)] = 45443,
  [SMALL_STATE(4913)] = 45463,
  [SMALL_STATE(4914)] = 45491,
  [SMALL_STATE(4915)] = 45519,
  [SMALL_STATE(4916)] = 45547,
  [SMALL_STATE(4917)] = 45575,
  [SMALL_STATE(4918)] = 45591,
  [SMALL_STATE(4919)] = 45617,
  [SMALL_STATE(4920)] = 45633,
  [SMALL_STATE(4921)] = 45649,
  [SMALL_STATE(4922)] = 45677,
  [SMALL_STATE(4923)] = 45705,
  [SMALL_STATE(4924)] = 45733,
  [SMALL_STATE(4925)] = 45761,
  [SMALL_STATE(4926)] = 45789,
  [SMALL_STATE(4927)] = 45817,
  [SMALL_STATE(4928)] = 45835,
  [SMALL_STATE(4929)] = 45863,
  [SMALL_STATE(4930)] = 45891,
  [SMALL_STATE(4931)] = 45917,
  [SMALL_STATE(4932)] = 45945,
  [SMALL_STATE(4933)] = 45961,
  [SMALL_STATE(4934)] = 45987,
  [SMALL_STATE(4935)] = 46013,
  [SMALL_STATE(4936)] = 46029,
  [SMALL_STATE(4937)] = 46049,
  [SMALL_STATE(4938)] = 46077,
  [SMALL_STATE(4939)] = 46105,
  [SMALL_STATE(4940)] = 46129,
  [SMALL_STATE(4941)] = 46157,
  [SMALL_STATE(4942)] = 46185,
  [SMALL_STATE(4943)] = 46205,
  [SMALL_STATE(4944)] = 46225,
  [SMALL_STATE(4945)] = 46245,
  [SMALL_STATE(4946)] = 46265,
  [SMALL_STATE(4947)] = 46293,
  [SMALL_STATE(4948)] = 46321,
  [SMALL_STATE(4949)] = 46349,
  [SMALL_STATE(4950)] = 46377,
  [SMALL_STATE(4951)] = 46401,
  [SMALL_STATE(4952)] = 46425,
  [SMALL_STATE(4953)] = 46449,
  [SMALL_STATE(4954)] = 46477,
  [SMALL_STATE(4955)] = 46505,
  [SMALL_STATE(4956)] = 46531,
  [SMALL_STATE(4957)] = 46553,
  [SMALL_STATE(4958)] = 46569,
  [SMALL_STATE(4959)] = 46597,
  [SMALL_STATE(4960)] = 46614,
  [SMALL_STATE(4961)] = 46633,
  [SMALL_STATE(4962)] = 46650,
  [SMALL_STATE(4963)] = 46675,
  [SMALL_STATE(4964)] = 46692,
  [SMALL_STATE(4965)] = 46717,
  [SMALL_STATE(4966)] = 46736,
  [SMALL_STATE(4967)] = 46757,
  [SMALL_STATE(4968)] = 46778,
  [SMALL_STATE(4969)] = 46799,
  [SMALL_STATE(4970)] = 46820,
  [SMALL_STATE(4971)] = 46843,
  [SMALL_STATE(4972)] = 46868,
  [SMALL_STATE(4973)] = 46889,
  [SMALL_STATE(4974)] = 46906,
  [SMALL_STATE(4975)] = 46927,
  [SMALL_STATE(4976)] = 46944,
  [SMALL_STATE(4977)] = 46969,
  [SMALL_STATE(4978)] = 46986,
  [SMALL_STATE(4979)] = 47009,
  [SMALL_STATE(4980)] = 47028,
  [SMALL_STATE(4981)] = 47047,
  [SMALL_STATE(4982)] = 47064,
  [SMALL_STATE(4983)] = 47087,
  [SMALL_STATE(4984)] = 47108,
  [SMALL_STATE(4985)] = 47125,
  [SMALL_STATE(4986)] = 47142,
  [SMALL_STATE(4987)] = 47163,
  [SMALL_STATE(4988)] = 47184,
  [SMALL_STATE(4989)] = 47201,
  [SMALL_STATE(4990)] = 47220,
  [SMALL_STATE(4991)] = 47239,
  [SMALL_STATE(4992)] = 47264,
  [SMALL_STATE(4993)] = 47283,
  [SMALL_STATE(4994)] = 47300,
  [SMALL_STATE(4995)] = 47325,
  [SMALL_STATE(4996)] = 47344,
  [SMALL_STATE(4997)] = 47361,
  [SMALL_STATE(4998)] = 47378,
  [SMALL_STATE(4999)] = 47395,
  [SMALL_STATE(5000)] = 47412,
  [SMALL_STATE(5001)] = 47431,
  [SMALL_STATE(5002)] = 47452,
  [SMALL_STATE(5003)] = 47471,
  [SMALL_STATE(5004)] = 47490,
  [SMALL_STATE(5005)] = 47509,
  [SMALL_STATE(5006)] = 47534,
  [SMALL_STATE(5007)] = 47553,
  [SMALL_STATE(5008)] = 47578,
  [SMALL_STATE(5009)] = 47599,
  [SMALL_STATE(5010)] = 47616,
  [SMALL_STATE(5011)] = 47637,
  [SMALL_STATE(5012)] = 47656,
  [SMALL_STATE(5013)] = 47681,
  [SMALL_STATE(5014)] = 47698,
  [SMALL_STATE(5015)] = 47716,
  [SMALL_STATE(5016)] = 47738,
  [SMALL_STATE(5017)] = 47760,
  [SMALL_STATE(5018)] = 47782,
  [SMALL_STATE(5019)] = 47804,
  [SMALL_STATE(5020)] = 47826,
  [SMALL_STATE(5021)] = 47846,
  [SMALL_STATE(5022)] = 47868,
  [SMALL_STATE(5023)] = 47890,
  [SMALL_STATE(5024)] = 47910,
  [SMALL_STATE(5025)] = 47932,
  [SMALL_STATE(5026)] = 47954,
  [SMALL_STATE(5027)] = 47974,
  [SMALL_STATE(5028)] = 47994,
  [SMALL_STATE(5029)] = 48012,
  [SMALL_STATE(5030)] = 48032,
  [SMALL_STATE(5031)] = 48054,
  [SMALL_STATE(5032)] = 48076,
  [SMALL_STATE(5033)] = 48098,
  [SMALL_STATE(5034)] = 48120,
  [SMALL_STATE(5035)] = 48142,
  [SMALL_STATE(5036)] = 48160,
  [SMALL_STATE(5037)] = 48182,
  [SMALL_STATE(5038)] = 48202,
  [SMALL_STATE(5039)] = 48222,
  [SMALL_STATE(5040)] = 48242,
  [SMALL_STATE(5041)] = 48264,
  [SMALL_STATE(5042)] = 48282,
  [SMALL_STATE(5043)] = 48302,
  [SMALL_STATE(5044)] = 48324,
  [SMALL_STATE(5045)] = 48344,
  [SMALL_STATE(5046)] = 48364,
  [SMALL_STATE(5047)] = 48386,
  [SMALL_STATE(5048)] = 48408,
  [SMALL_STATE(5049)] = 48430,
  [SMALL_STATE(5050)] = 48450,
  [SMALL_STATE(5051)] = 48472,
  [SMALL_STATE(5052)] = 48494,
  [SMALL_STATE(5053)] = 48516,
  [SMALL_STATE(5054)] = 48538,
  [SMALL_STATE(5055)] = 48560,
  [SMALL_STATE(5056)] = 48582,
  [SMALL_STATE(5057)] = 48604,
  [SMALL_STATE(5058)] = 48622,
  [SMALL_STATE(5059)] = 48642,
  [SMALL_STATE(5060)] = 48664,
  [SMALL_STATE(5061)] = 48682,
  [SMALL_STATE(5062)] = 48702,
  [SMALL_STATE(5063)] = 48724,
  [SMALL_STATE(5064)] = 48742,
  [SMALL_STATE(5065)] = 48760,
  [SMALL_STATE(5066)] = 48782,
  [SMALL_STATE(5067)] = 48804,
  [SMALL_STATE(5068)] = 48822,
  [SMALL_STATE(5069)] = 48844,
  [SMALL_STATE(5070)] = 48864,
  [SMALL_STATE(5071)] = 48882,
  [SMALL_STATE(5072)] = 48902,
  [SMALL_STATE(5073)] = 48924,
  [SMALL_STATE(5074)] = 48946,
  [SMALL_STATE(5075)] = 48966,
  [SMALL_STATE(5076)] = 48988,
  [SMALL_STATE(5077)] = 49008,
  [SMALL_STATE(5078)] = 49026,
  [SMALL_STATE(5079)] = 49048,
  [SMALL_STATE(5080)] = 49066,
  [SMALL_STATE(5081)] = 49088,
  [SMALL_STATE(5082)] = 49110,
  [SMALL_STATE(5083)] = 49132,
  [SMALL_STATE(5084)] = 49154,
  [SMALL_STATE(5085)] = 49168,
  [SMALL_STATE(5086)] = 49190,
  [SMALL_STATE(5087)] = 49212,
  [SMALL_STATE(5088)] = 49234,
  [SMALL_STATE(5089)] = 49256,
  [SMALL_STATE(5090)] = 49276,
  [SMALL_STATE(5091)] = 49298,
  [SMALL_STATE(5092)] = 49318,
  [SMALL_STATE(5093)] = 49338,
  [SMALL_STATE(5094)] = 49360,
  [SMALL_STATE(5095)] = 49382,
  [SMALL_STATE(5096)] = 49400,
  [SMALL_STATE(5097)] = 49422,
  [SMALL_STATE(5098)] = 49444,
  [SMALL_STATE(5099)] = 49466,
  [SMALL_STATE(5100)] = 49488,
  [SMALL_STATE(5101)] = 49508,
  [SMALL_STATE(5102)] = 49530,
  [SMALL_STATE(5103)] = 49548,
  [SMALL_STATE(5104)] = 49566,
  [SMALL_STATE(5105)] = 49588,
  [SMALL_STATE(5106)] = 49599,
  [SMALL_STATE(5107)] = 49610,
  [SMALL_STATE(5108)] = 49629,
  [SMALL_STATE(5109)] = 49648,
  [SMALL_STATE(5110)] = 49667,
  [SMALL_STATE(5111)] = 49682,
  [SMALL_STATE(5112)] = 49701,
  [SMALL_STATE(5113)] = 49712,
  [SMALL_STATE(5114)] = 49731,
  [SMALL_STATE(5115)] = 49742,
  [SMALL_STATE(5116)] = 49757,
  [SMALL_STATE(5117)] = 49772,
  [SMALL_STATE(5118)] = 49783,
  [SMALL_STATE(5119)] = 49798,
  [SMALL_STATE(5120)] = 49809,
  [SMALL_STATE(5121)] = 49824,
  [SMALL_STATE(5122)] = 49839,
  [SMALL_STATE(5123)] = 49854,
  [SMALL_STATE(5124)] = 49869,
  [SMALL_STATE(5125)] = 49880,
  [SMALL_STATE(5126)] = 49891,
  [SMALL_STATE(5127)] = 49906,
  [SMALL_STATE(5128)] = 49921,
  [SMALL_STATE(5129)] = 49934,
  [SMALL_STATE(5130)] = 49949,
  [SMALL_STATE(5131)] = 49960,
  [SMALL_STATE(5132)] = 49979,
  [SMALL_STATE(5133)] = 49994,
  [SMALL_STATE(5134)] = 50013,
  [SMALL_STATE(5135)] = 50028,
  [SMALL_STATE(5136)] = 50039,
  [SMALL_STATE(5137)] = 50058,
  [SMALL_STATE(5138)] = 50069,
  [SMALL_STATE(5139)] = 50088,
  [SMALL_STATE(5140)] = 50099,
  [SMALL_STATE(5141)] = 50118,
  [SMALL_STATE(5142)] = 50129,
  [SMALL_STATE(5143)] = 50148,
  [SMALL_STATE(5144)] = 50163,
  [SMALL_STATE(5145)] = 50182,
  [SMALL_STATE(5146)] = 50197,
  [SMALL_STATE(5147)] = 50216,
  [SMALL_STATE(5148)] = 50231,
  [SMALL_STATE(5149)] = 50246,
  [SMALL_STATE(5150)] = 50261,
  [SMALL_STATE(5151)] = 50276,
  [SMALL_STATE(5152)] = 50287,
  [SMALL_STATE(5153)] = 50306,
  [SMALL_STATE(5154)] = 50321,
  [SMALL_STATE(5155)] = 50332,
  [SMALL_STATE(5156)] = 50343,
  [SMALL_STATE(5157)] = 50358,
  [SMALL_STATE(5158)] = 50369,
  [SMALL_STATE(5159)] = 50382,
  [SMALL_STATE(5160)] = 50401,
  [SMALL_STATE(5161)] = 50412,
  [SMALL_STATE(5162)] = 50423,
  [SMALL_STATE(5163)] = 50438,
  [SMALL_STATE(5164)] = 50455,
  [SMALL_STATE(5165)] = 50468,
  [SMALL_STATE(5166)] = 50483,
  [SMALL_STATE(5167)] = 50498,
  [SMALL_STATE(5168)] = 50513,
  [SMALL_STATE(5169)] = 50530,
  [SMALL_STATE(5170)] = 50541,
  [SMALL_STATE(5171)] = 50556,
  [SMALL_STATE(5172)] = 50567,
  [SMALL_STATE(5173)] = 50578,
  [SMALL_STATE(5174)] = 50594,
  [SMALL_STATE(5175)] = 50610,
  [SMALL_STATE(5176)] = 50626,
  [SMALL_STATE(5177)] = 50640,
  [SMALL_STATE(5178)] = 50656,
  [SMALL_STATE(5179)] = 50672,
  [SMALL_STATE(5180)] = 50688,
  [SMALL_STATE(5181)] = 50702,
  [SMALL_STATE(5182)] = 50718,
  [SMALL_STATE(5183)] = 50734,
  [SMALL_STATE(5184)] = 50750,
  [SMALL_STATE(5185)] = 50766,
  [SMALL_STATE(5186)] = 50780,
  [SMALL_STATE(5187)] = 50794,
  [SMALL_STATE(5188)] = 50808,
  [SMALL_STATE(5189)] = 50824,
  [SMALL_STATE(5190)] = 50840,
  [SMALL_STATE(5191)] = 50856,
  [SMALL_STATE(5192)] = 50872,
  [SMALL_STATE(5193)] = 50888,
  [SMALL_STATE(5194)] = 50904,
  [SMALL_STATE(5195)] = 50918,
  [SMALL_STATE(5196)] = 50934,
  [SMALL_STATE(5197)] = 50950,
  [SMALL_STATE(5198)] = 50966,
  [SMALL_STATE(5199)] = 50982,
  [SMALL_STATE(5200)] = 50998,
  [SMALL_STATE(5201)] = 51014,
  [SMALL_STATE(5202)] = 51030,
  [SMALL_STATE(5203)] = 51046,
  [SMALL_STATE(5204)] = 51062,
  [SMALL_STATE(5205)] = 51076,
  [SMALL_STATE(5206)] = 51092,
  [SMALL_STATE(5207)] = 51108,
  [SMALL_STATE(5208)] = 51124,
  [SMALL_STATE(5209)] = 51140,
  [SMALL_STATE(5210)] = 51154,
  [SMALL_STATE(5211)] = 51168,
  [SMALL_STATE(5212)] = 51184,
  [SMALL_STATE(5213)] = 51200,
  [SMALL_STATE(5214)] = 51214,
  [SMALL_STATE(5215)] = 51230,
  [SMALL_STATE(5216)] = 51246,
  [SMALL_STATE(5217)] = 51262,
  [SMALL_STATE(5218)] = 51278,
  [SMALL_STATE(5219)] = 51294,
  [SMALL_STATE(5220)] = 51310,
  [SMALL_STATE(5221)] = 51326,
  [SMALL_STATE(5222)] = 51340,
  [SMALL_STATE(5223)] = 51356,
  [SMALL_STATE(5224)] = 51372,
  [SMALL_STATE(5225)] = 51386,
  [SMALL_STATE(5226)] = 51400,
  [SMALL_STATE(5227)] = 51416,
  [SMALL_STATE(5228)] = 51432,
  [SMALL_STATE(5229)] = 51448,
  [SMALL_STATE(5230)] = 51464,
  [SMALL_STATE(5231)] = 51480,
  [SMALL_STATE(5232)] = 51494,
  [SMALL_STATE(5233)] = 51508,
  [SMALL_STATE(5234)] = 51524,
  [SMALL_STATE(5235)] = 51540,
  [SMALL_STATE(5236)] = 51554,
  [SMALL_STATE(5237)] = 51570,
  [SMALL_STATE(5238)] = 51586,
  [SMALL_STATE(5239)] = 51602,
  [SMALL_STATE(5240)] = 51618,
  [SMALL_STATE(5241)] = 51634,
  [SMALL_STATE(5242)] = 51648,
  [SMALL_STATE(5243)] = 51664,
  [SMALL_STATE(5244)] = 51680,
  [SMALL_STATE(5245)] = 51694,
  [SMALL_STATE(5246)] = 51708,
  [SMALL_STATE(5247)] = 51724,
  [SMALL_STATE(5248)] = 51740,
  [SMALL_STATE(5249)] = 51756,
  [SMALL_STATE(5250)] = 51772,
  [SMALL_STATE(5251)] = 51788,
  [SMALL_STATE(5252)] = 51804,
  [SMALL_STATE(5253)] = 51820,
  [SMALL_STATE(5254)] = 51836,
  [SMALL_STATE(5255)] = 51850,
  [SMALL_STATE(5256)] = 51864,
  [SMALL_STATE(5257)] = 51880,
  [SMALL_STATE(5258)] = 51896,
  [SMALL_STATE(5259)] = 51912,
  [SMALL_STATE(5260)] = 51928,
  [SMALL_STATE(5261)] = 51944,
  [SMALL_STATE(5262)] = 51960,
  [SMALL_STATE(5263)] = 51976,
  [SMALL_STATE(5264)] = 51990,
  [SMALL_STATE(5265)] = 52006,
  [SMALL_STATE(5266)] = 52022,
  [SMALL_STATE(5267)] = 52036,
  [SMALL_STATE(5268)] = 52052,
  [SMALL_STATE(5269)] = 52062,
  [SMALL_STATE(5270)] = 52078,
  [SMALL_STATE(5271)] = 52094,
  [SMALL_STATE(5272)] = 52110,
  [SMALL_STATE(5273)] = 52126,
  [SMALL_STATE(5274)] = 52142,
  [SMALL_STATE(5275)] = 52158,
  [SMALL_STATE(5276)] = 52174,
  [SMALL_STATE(5277)] = 52190,
  [SMALL_STATE(5278)] = 52206,
  [SMALL_STATE(5279)] = 52222,
  [SMALL_STATE(5280)] = 52238,
  [SMALL_STATE(5281)] = 52254,
  [SMALL_STATE(5282)] = 52270,
  [SMALL_STATE(5283)] = 52286,
  [SMALL_STATE(5284)] = 52302,
  [SMALL_STATE(5285)] = 52318,
  [SMALL_STATE(5286)] = 52334,
  [SMALL_STATE(5287)] = 52350,
  [SMALL_STATE(5288)] = 52366,
  [SMALL_STATE(5289)] = 52382,
  [SMALL_STATE(5290)] = 52398,
  [SMALL_STATE(5291)] = 52414,
  [SMALL_STATE(5292)] = 52430,
  [SMALL_STATE(5293)] = 52446,
  [SMALL_STATE(5294)] = 52462,
  [SMALL_STATE(5295)] = 52478,
  [SMALL_STATE(5296)] = 52494,
  [SMALL_STATE(5297)] = 52510,
  [SMALL_STATE(5298)] = 52526,
  [SMALL_STATE(5299)] = 52542,
  [SMALL_STATE(5300)] = 52558,
  [SMALL_STATE(5301)] = 52574,
  [SMALL_STATE(5302)] = 52590,
  [SMALL_STATE(5303)] = 52606,
  [SMALL_STATE(5304)] = 52622,
  [SMALL_STATE(5305)] = 52638,
  [SMALL_STATE(5306)] = 52654,
  [SMALL_STATE(5307)] = 52670,
  [SMALL_STATE(5308)] = 52686,
  [SMALL_STATE(5309)] = 52700,
  [SMALL_STATE(5310)] = 52716,
  [SMALL_STATE(5311)] = 52732,
  [SMALL_STATE(5312)] = 52748,
  [SMALL_STATE(5313)] = 52764,
  [SMALL_STATE(5314)] = 52780,
  [SMALL_STATE(5315)] = 52796,
  [SMALL_STATE(5316)] = 52810,
  [SMALL_STATE(5317)] = 52826,
  [SMALL_STATE(5318)] = 52842,
  [SMALL_STATE(5319)] = 52858,
  [SMALL_STATE(5320)] = 52874,
  [SMALL_STATE(5321)] = 52890,
  [SMALL_STATE(5322)] = 52906,
  [SMALL_STATE(5323)] = 52922,
  [SMALL_STATE(5324)] = 52938,
  [SMALL_STATE(5325)] = 52951,
  [SMALL_STATE(5326)] = 52964,
  [SMALL_STATE(5327)] = 52977,
  [SMALL_STATE(5328)] = 52990,
  [SMALL_STATE(5329)] = 53003,
  [SMALL_STATE(5330)] = 53016,
  [SMALL_STATE(5331)] = 53029,
  [SMALL_STATE(5332)] = 53040,
  [SMALL_STATE(5333)] = 53053,
  [SMALL_STATE(5334)] = 53066,
  [SMALL_STATE(5335)] = 53079,
  [SMALL_STATE(5336)] = 53092,
  [SMALL_STATE(5337)] = 53105,
  [SMALL_STATE(5338)] = 53118,
  [SMALL_STATE(5339)] = 53131,
  [SMALL_STATE(5340)] = 53144,
  [SMALL_STATE(5341)] = 53157,
  [SMALL_STATE(5342)] = 53170,
  [SMALL_STATE(5343)] = 53183,
  [SMALL_STATE(5344)] = 53196,
  [SMALL_STATE(5345)] = 53209,
  [SMALL_STATE(5346)] = 53222,
  [SMALL_STATE(5347)] = 53235,
  [SMALL_STATE(5348)] = 53248,
  [SMALL_STATE(5349)] = 53261,
  [SMALL_STATE(5350)] = 53274,
  [SMALL_STATE(5351)] = 53287,
  [SMALL_STATE(5352)] = 53300,
  [SMALL_STATE(5353)] = 53313,
  [SMALL_STATE(5354)] = 53326,
  [SMALL_STATE(5355)] = 53339,
  [SMALL_STATE(5356)] = 53352,
  [SMALL_STATE(5357)] = 53365,
  [SMALL_STATE(5358)] = 53378,
  [SMALL_STATE(5359)] = 53391,
  [SMALL_STATE(5360)] = 53404,
  [SMALL_STATE(5361)] = 53417,
  [SMALL_STATE(5362)] = 53430,
  [SMALL_STATE(5363)] = 53443,
  [SMALL_STATE(5364)] = 53456,
  [SMALL_STATE(5365)] = 53469,
  [SMALL_STATE(5366)] = 53482,
  [SMALL_STATE(5367)] = 53493,
  [SMALL_STATE(5368)] = 53506,
  [SMALL_STATE(5369)] = 53519,
  [SMALL_STATE(5370)] = 53532,
  [SMALL_STATE(5371)] = 53545,
  [SMALL_STATE(5372)] = 53558,
  [SMALL_STATE(5373)] = 53571,
  [SMALL_STATE(5374)] = 53584,
  [SMALL_STATE(5375)] = 53597,
  [SMALL_STATE(5376)] = 53610,
  [SMALL_STATE(5377)] = 53623,
  [SMALL_STATE(5378)] = 53636,
  [SMALL_STATE(5379)] = 53649,
  [SMALL_STATE(5380)] = 53662,
  [SMALL_STATE(5381)] = 53675,
  [SMALL_STATE(5382)] = 53688,
  [SMALL_STATE(5383)] = 53701,
  [SMALL_STATE(5384)] = 53714,
  [SMALL_STATE(5385)] = 53723,
  [SMALL_STATE(5386)] = 53734,
  [SMALL_STATE(5387)] = 53747,
  [SMALL_STATE(5388)] = 53760,
  [SMALL_STATE(5389)] = 53773,
  [SMALL_STATE(5390)] = 53786,
  [SMALL_STATE(5391)] = 53799,
  [SMALL_STATE(5392)] = 53812,
  [SMALL_STATE(5393)] = 53825,
  [SMALL_STATE(5394)] = 53838,
  [SMALL_STATE(5395)] = 53851,
  [SMALL_STATE(5396)] = 53864,
  [SMALL_STATE(5397)] = 53875,
  [SMALL_STATE(5398)] = 53888,
  [SMALL_STATE(5399)] = 53901,
  [SMALL_STATE(5400)] = 53912,
  [SMALL_STATE(5401)] = 53925,
  [SMALL_STATE(5402)] = 53938,
  [SMALL_STATE(5403)] = 53951,
  [SMALL_STATE(5404)] = 53964,
  [SMALL_STATE(5405)] = 53977,
  [SMALL_STATE(5406)] = 53990,
  [SMALL_STATE(5407)] = 54003,
  [SMALL_STATE(5408)] = 54016,
  [SMALL_STATE(5409)] = 54029,
  [SMALL_STATE(5410)] = 54042,
  [SMALL_STATE(5411)] = 54055,
  [SMALL_STATE(5412)] = 54068,
  [SMALL_STATE(5413)] = 54081,
  [SMALL_STATE(5414)] = 54094,
  [SMALL_STATE(5415)] = 54107,
  [SMALL_STATE(5416)] = 54120,
  [SMALL_STATE(5417)] = 54133,
  [SMALL_STATE(5418)] = 54146,
  [SMALL_STATE(5419)] = 54159,
  [SMALL_STATE(5420)] = 54172,
  [SMALL_STATE(5421)] = 54185,
  [SMALL_STATE(5422)] = 54198,
  [SMALL_STATE(5423)] = 54211,
  [SMALL_STATE(5424)] = 54224,
  [SMALL_STATE(5425)] = 54237,
  [SMALL_STATE(5426)] = 54250,
  [SMALL_STATE(5427)] = 54263,
  [SMALL_STATE(5428)] = 54276,
  [SMALL_STATE(5429)] = 54289,
  [SMALL_STATE(5430)] = 54298,
  [SMALL_STATE(5431)] = 54311,
  [SMALL_STATE(5432)] = 54324,
  [SMALL_STATE(5433)] = 54337,
  [SMALL_STATE(5434)] = 54350,
  [SMALL_STATE(5435)] = 54363,
  [SMALL_STATE(5436)] = 54376,
  [SMALL_STATE(5437)] = 54389,
  [SMALL_STATE(5438)] = 54402,
  [SMALL_STATE(5439)] = 54415,
  [SMALL_STATE(5440)] = 54428,
  [SMALL_STATE(5441)] = 54441,
  [SMALL_STATE(5442)] = 54454,
  [SMALL_STATE(5443)] = 54467,
  [SMALL_STATE(5444)] = 54480,
  [SMALL_STATE(5445)] = 54493,
  [SMALL_STATE(5446)] = 54506,
  [SMALL_STATE(5447)] = 54519,
  [SMALL_STATE(5448)] = 54532,
  [SMALL_STATE(5449)] = 54545,
  [SMALL_STATE(5450)] = 54558,
  [SMALL_STATE(5451)] = 54571,
  [SMALL_STATE(5452)] = 54584,
  [SMALL_STATE(5453)] = 54597,
  [SMALL_STATE(5454)] = 54610,
  [SMALL_STATE(5455)] = 54623,
  [SMALL_STATE(5456)] = 54636,
  [SMALL_STATE(5457)] = 54649,
  [SMALL_STATE(5458)] = 54662,
  [SMALL_STATE(5459)] = 54675,
  [SMALL_STATE(5460)] = 54688,
  [SMALL_STATE(5461)] = 54701,
  [SMALL_STATE(5462)] = 54714,
  [SMALL_STATE(5463)] = 54727,
  [SMALL_STATE(5464)] = 54740,
  [SMALL_STATE(5465)] = 54753,
  [SMALL_STATE(5466)] = 54766,
  [SMALL_STATE(5467)] = 54779,
  [SMALL_STATE(5468)] = 54792,
  [SMALL_STATE(5469)] = 54805,
  [SMALL_STATE(5470)] = 54818,
  [SMALL_STATE(5471)] = 54831,
  [SMALL_STATE(5472)] = 54844,
  [SMALL_STATE(5473)] = 54857,
  [SMALL_STATE(5474)] = 54870,
  [SMALL_STATE(5475)] = 54883,
  [SMALL_STATE(5476)] = 54896,
  [SMALL_STATE(5477)] = 54909,
  [SMALL_STATE(5478)] = 54922,
  [SMALL_STATE(5479)] = 54935,
  [SMALL_STATE(5480)] = 54948,
  [SMALL_STATE(5481)] = 54959,
  [SMALL_STATE(5482)] = 54972,
  [SMALL_STATE(5483)] = 54981,
  [SMALL_STATE(5484)] = 54990,
  [SMALL_STATE(5485)] = 55003,
  [SMALL_STATE(5486)] = 55016,
  [SMALL_STATE(5487)] = 55029,
  [SMALL_STATE(5488)] = 55042,
  [SMALL_STATE(5489)] = 55055,
  [SMALL_STATE(5490)] = 55068,
  [SMALL_STATE(5491)] = 55081,
  [SMALL_STATE(5492)] = 55094,
  [SMALL_STATE(5493)] = 55107,
  [SMALL_STATE(5494)] = 55120,
  [SMALL_STATE(5495)] = 55133,
  [SMALL_STATE(5496)] = 55146,
  [SMALL_STATE(5497)] = 55159,
  [SMALL_STATE(5498)] = 55172,
  [SMALL_STATE(5499)] = 55185,
  [SMALL_STATE(5500)] = 55198,
  [SMALL_STATE(5501)] = 55211,
  [SMALL_STATE(5502)] = 55224,
  [SMALL_STATE(5503)] = 55237,
  [SMALL_STATE(5504)] = 55250,
  [SMALL_STATE(5505)] = 55263,
  [SMALL_STATE(5506)] = 55276,
  [SMALL_STATE(5507)] = 55289,
  [SMALL_STATE(5508)] = 55302,
  [SMALL_STATE(5509)] = 55315,
  [SMALL_STATE(5510)] = 55328,
  [SMALL_STATE(5511)] = 55341,
  [SMALL_STATE(5512)] = 55354,
  [SMALL_STATE(5513)] = 55365,
  [SMALL_STATE(5514)] = 55378,
  [SMALL_STATE(5515)] = 55391,
  [SMALL_STATE(5516)] = 55404,
  [SMALL_STATE(5517)] = 55417,
  [SMALL_STATE(5518)] = 55430,
  [SMALL_STATE(5519)] = 55443,
  [SMALL_STATE(5520)] = 55456,
  [SMALL_STATE(5521)] = 55469,
  [SMALL_STATE(5522)] = 55482,
  [SMALL_STATE(5523)] = 55495,
  [SMALL_STATE(5524)] = 55508,
  [SMALL_STATE(5525)] = 55521,
  [SMALL_STATE(5526)] = 55534,
  [SMALL_STATE(5527)] = 55547,
  [SMALL_STATE(5528)] = 55560,
  [SMALL_STATE(5529)] = 55573,
  [SMALL_STATE(5530)] = 55586,
  [SMALL_STATE(5531)] = 55599,
  [SMALL_STATE(5532)] = 55612,
  [SMALL_STATE(5533)] = 55621,
  [SMALL_STATE(5534)] = 55634,
  [SMALL_STATE(5535)] = 55643,
  [SMALL_STATE(5536)] = 55656,
  [SMALL_STATE(5537)] = 55669,
  [SMALL_STATE(5538)] = 55682,
  [SMALL_STATE(5539)] = 55695,
  [SMALL_STATE(5540)] = 55708,
  [SMALL_STATE(5541)] = 55721,
  [SMALL_STATE(5542)] = 55734,
  [SMALL_STATE(5543)] = 55747,
  [SMALL_STATE(5544)] = 55760,
  [SMALL_STATE(5545)] = 55773,
  [SMALL_STATE(5546)] = 55786,
  [SMALL_STATE(5547)] = 55799,
  [SMALL_STATE(5548)] = 55812,
  [SMALL_STATE(5549)] = 55825,
  [SMALL_STATE(5550)] = 55838,
  [SMALL_STATE(5551)] = 55847,
  [SMALL_STATE(5552)] = 55860,
  [SMALL_STATE(5553)] = 55873,
  [SMALL_STATE(5554)] = 55886,
  [SMALL_STATE(5555)] = 55899,
  [SMALL_STATE(5556)] = 55912,
  [SMALL_STATE(5557)] = 55925,
  [SMALL_STATE(5558)] = 55938,
  [SMALL_STATE(5559)] = 55951,
  [SMALL_STATE(5560)] = 55964,
  [SMALL_STATE(5561)] = 55977,
  [SMALL_STATE(5562)] = 55990,
  [SMALL_STATE(5563)] = 56001,
  [SMALL_STATE(5564)] = 56014,
  [SMALL_STATE(5565)] = 56027,
  [SMALL_STATE(5566)] = 56040,
  [SMALL_STATE(5567)] = 56053,
  [SMALL_STATE(5568)] = 56066,
  [SMALL_STATE(5569)] = 56079,
  [SMALL_STATE(5570)] = 56092,
  [SMALL_STATE(5571)] = 56105,
  [SMALL_STATE(5572)] = 56118,
  [SMALL_STATE(5573)] = 56131,
  [SMALL_STATE(5574)] = 56144,
  [SMALL_STATE(5575)] = 56155,
  [SMALL_STATE(5576)] = 56168,
  [SMALL_STATE(5577)] = 56181,
  [SMALL_STATE(5578)] = 56194,
  [SMALL_STATE(5579)] = 56207,
  [SMALL_STATE(5580)] = 56220,
  [SMALL_STATE(5581)] = 56229,
  [SMALL_STATE(5582)] = 56242,
  [SMALL_STATE(5583)] = 56255,
  [SMALL_STATE(5584)] = 56268,
  [SMALL_STATE(5585)] = 56281,
  [SMALL_STATE(5586)] = 56294,
  [SMALL_STATE(5587)] = 56307,
  [SMALL_STATE(5588)] = 56320,
  [SMALL_STATE(5589)] = 56333,
  [SMALL_STATE(5590)] = 56346,
  [SMALL_STATE(5591)] = 56359,
  [SMALL_STATE(5592)] = 56368,
  [SMALL_STATE(5593)] = 56377,
  [SMALL_STATE(5594)] = 56390,
  [SMALL_STATE(5595)] = 56403,
  [SMALL_STATE(5596)] = 56416,
  [SMALL_STATE(5597)] = 56429,
  [SMALL_STATE(5598)] = 56442,
  [SMALL_STATE(5599)] = 56455,
  [SMALL_STATE(5600)] = 56468,
  [SMALL_STATE(5601)] = 56481,
  [SMALL_STATE(5602)] = 56494,
  [SMALL_STATE(5603)] = 56503,
  [SMALL_STATE(5604)] = 56516,
  [SMALL_STATE(5605)] = 56529,
  [SMALL_STATE(5606)] = 56542,
  [SMALL_STATE(5607)] = 56555,
  [SMALL_STATE(5608)] = 56568,
  [SMALL_STATE(5609)] = 56581,
  [SMALL_STATE(5610)] = 56594,
  [SMALL_STATE(5611)] = 56607,
  [SMALL_STATE(5612)] = 56620,
  [SMALL_STATE(5613)] = 56633,
  [SMALL_STATE(5614)] = 56646,
  [SMALL_STATE(5615)] = 56659,
  [SMALL_STATE(5616)] = 56672,
  [SMALL_STATE(5617)] = 56685,
  [SMALL_STATE(5618)] = 56698,
  [SMALL_STATE(5619)] = 56711,
  [SMALL_STATE(5620)] = 56724,
  [SMALL_STATE(5621)] = 56737,
  [SMALL_STATE(5622)] = 56750,
  [SMALL_STATE(5623)] = 56763,
  [SMALL_STATE(5624)] = 56774,
  [SMALL_STATE(5625)] = 56787,
  [SMALL_STATE(5626)] = 56800,
  [SMALL_STATE(5627)] = 56813,
  [SMALL_STATE(5628)] = 56826,
  [SMALL_STATE(5629)] = 56839,
  [SMALL_STATE(5630)] = 56852,
  [SMALL_STATE(5631)] = 56865,
  [SMALL_STATE(5632)] = 56878,
  [SMALL_STATE(5633)] = 56891,
  [SMALL_STATE(5634)] = 56904,
  [SMALL_STATE(5635)] = 56913,
  [SMALL_STATE(5636)] = 56926,
  [SMALL_STATE(5637)] = 56939,
  [SMALL_STATE(5638)] = 56952,
  [SMALL_STATE(5639)] = 56965,
  [SMALL_STATE(5640)] = 56978,
  [SMALL_STATE(5641)] = 56991,
  [SMALL_STATE(5642)] = 57004,
  [SMALL_STATE(5643)] = 57017,
  [SMALL_STATE(5644)] = 57030,
  [SMALL_STATE(5645)] = 57043,
  [SMALL_STATE(5646)] = 57056,
  [SMALL_STATE(5647)] = 57069,
  [SMALL_STATE(5648)] = 57078,
  [SMALL_STATE(5649)] = 57091,
  [SMALL_STATE(5650)] = 57104,
  [SMALL_STATE(5651)] = 57117,
  [SMALL_STATE(5652)] = 57130,
  [SMALL_STATE(5653)] = 57143,
  [SMALL_STATE(5654)] = 57156,
  [SMALL_STATE(5655)] = 57169,
  [SMALL_STATE(5656)] = 57182,
  [SMALL_STATE(5657)] = 57195,
  [SMALL_STATE(5658)] = 57208,
  [SMALL_STATE(5659)] = 57221,
  [SMALL_STATE(5660)] = 57234,
  [SMALL_STATE(5661)] = 57247,
  [SMALL_STATE(5662)] = 57260,
  [SMALL_STATE(5663)] = 57273,
  [SMALL_STATE(5664)] = 57286,
  [SMALL_STATE(5665)] = 57297,
  [SMALL_STATE(5666)] = 57310,
  [SMALL_STATE(5667)] = 57323,
  [SMALL_STATE(5668)] = 57336,
  [SMALL_STATE(5669)] = 57349,
  [SMALL_STATE(5670)] = 57362,
  [SMALL_STATE(5671)] = 57375,
  [SMALL_STATE(5672)] = 57388,
  [SMALL_STATE(5673)] = 57397,
  [SMALL_STATE(5674)] = 57410,
  [SMALL_STATE(5675)] = 57423,
  [SMALL_STATE(5676)] = 57436,
  [SMALL_STATE(5677)] = 57449,
  [SMALL_STATE(5678)] = 57462,
  [SMALL_STATE(5679)] = 57475,
  [SMALL_STATE(5680)] = 57488,
  [SMALL_STATE(5681)] = 57497,
  [SMALL_STATE(5682)] = 57510,
  [SMALL_STATE(5683)] = 57523,
  [SMALL_STATE(5684)] = 57536,
  [SMALL_STATE(5685)] = 57545,
  [SMALL_STATE(5686)] = 57558,
  [SMALL_STATE(5687)] = 57571,
  [SMALL_STATE(5688)] = 57582,
  [SMALL_STATE(5689)] = 57593,
  [SMALL_STATE(5690)] = 57606,
  [SMALL_STATE(5691)] = 57619,
  [SMALL_STATE(5692)] = 57632,
  [SMALL_STATE(5693)] = 57645,
  [SMALL_STATE(5694)] = 57658,
  [SMALL_STATE(5695)] = 57671,
  [SMALL_STATE(5696)] = 57684,
  [SMALL_STATE(5697)] = 57697,
  [SMALL_STATE(5698)] = 57710,
  [SMALL_STATE(5699)] = 57723,
  [SMALL_STATE(5700)] = 57734,
  [SMALL_STATE(5701)] = 57747,
  [SMALL_STATE(5702)] = 57760,
  [SMALL_STATE(5703)] = 57773,
  [SMALL_STATE(5704)] = 57786,
  [SMALL_STATE(5705)] = 57799,
  [SMALL_STATE(5706)] = 57812,
  [SMALL_STATE(5707)] = 57825,
  [SMALL_STATE(5708)] = 57838,
  [SMALL_STATE(5709)] = 57851,
  [SMALL_STATE(5710)] = 57864,
  [SMALL_STATE(5711)] = 57877,
  [SMALL_STATE(5712)] = 57890,
  [SMALL_STATE(5713)] = 57903,
  [SMALL_STATE(5714)] = 57916,
  [SMALL_STATE(5715)] = 57929,
  [SMALL_STATE(5716)] = 57942,
  [SMALL_STATE(5717)] = 57955,
  [SMALL_STATE(5718)] = 57968,
  [SMALL_STATE(5719)] = 57981,
  [SMALL_STATE(5720)] = 57994,
  [SMALL_STATE(5721)] = 58007,
  [SMALL_STATE(5722)] = 58020,
  [SMALL_STATE(5723)] = 58028,
  [SMALL_STATE(5724)] = 58038,
  [SMALL_STATE(5725)] = 58048,
  [SMALL_STATE(5726)] = 58058,
  [SMALL_STATE(5727)] = 58066,
  [SMALL_STATE(5728)] = 58074,
  [SMALL_STATE(5729)] = 58084,
  [SMALL_STATE(5730)] = 58094,
  [SMALL_STATE(5731)] = 58104,
  [SMALL_STATE(5732)] = 58114,
  [SMALL_STATE(5733)] = 58124,
  [SMALL_STATE(5734)] = 58134,
  [SMALL_STATE(5735)] = 58144,
  [SMALL_STATE(5736)] = 58154,
  [SMALL_STATE(5737)] = 58164,
  [SMALL_STATE(5738)] = 58174,
  [SMALL_STATE(5739)] = 58182,
  [SMALL_STATE(5740)] = 58192,
  [SMALL_STATE(5741)] = 58200,
  [SMALL_STATE(5742)] = 58210,
  [SMALL_STATE(5743)] = 58220,
  [SMALL_STATE(5744)] = 58230,
  [SMALL_STATE(5745)] = 58238,
  [SMALL_STATE(5746)] = 58246,
  [SMALL_STATE(5747)] = 58254,
  [SMALL_STATE(5748)] = 58264,
  [SMALL_STATE(5749)] = 58274,
  [SMALL_STATE(5750)] = 58284,
  [SMALL_STATE(5751)] = 58294,
  [SMALL_STATE(5752)] = 58304,
  [SMALL_STATE(5753)] = 58314,
  [SMALL_STATE(5754)] = 58324,
  [SMALL_STATE(5755)] = 58334,
  [SMALL_STATE(5756)] = 58344,
  [SMALL_STATE(5757)] = 58354,
  [SMALL_STATE(5758)] = 58364,
  [SMALL_STATE(5759)] = 58374,
  [SMALL_STATE(5760)] = 58384,
  [SMALL_STATE(5761)] = 58394,
  [SMALL_STATE(5762)] = 58404,
  [SMALL_STATE(5763)] = 58414,
  [SMALL_STATE(5764)] = 58424,
  [SMALL_STATE(5765)] = 58434,
  [SMALL_STATE(5766)] = 58442,
  [SMALL_STATE(5767)] = 58452,
  [SMALL_STATE(5768)] = 58462,
  [SMALL_STATE(5769)] = 58472,
  [SMALL_STATE(5770)] = 58480,
  [SMALL_STATE(5771)] = 58488,
  [SMALL_STATE(5772)] = 58496,
  [SMALL_STATE(5773)] = 58504,
  [SMALL_STATE(5774)] = 58514,
  [SMALL_STATE(5775)] = 58524,
  [SMALL_STATE(5776)] = 58534,
  [SMALL_STATE(5777)] = 58544,
  [SMALL_STATE(5778)] = 58554,
  [SMALL_STATE(5779)] = 58564,
  [SMALL_STATE(5780)] = 58574,
  [SMALL_STATE(5781)] = 58584,
  [SMALL_STATE(5782)] = 58594,
  [SMALL_STATE(5783)] = 58604,
  [SMALL_STATE(5784)] = 58612,
  [SMALL_STATE(5785)] = 58622,
  [SMALL_STATE(5786)] = 58632,
  [SMALL_STATE(5787)] = 58642,
  [SMALL_STATE(5788)] = 58652,
  [SMALL_STATE(5789)] = 58662,
  [SMALL_STATE(5790)] = 58672,
  [SMALL_STATE(5791)] = 58680,
  [SMALL_STATE(5792)] = 58688,
  [SMALL_STATE(5793)] = 58698,
  [SMALL_STATE(5794)] = 58708,
  [SMALL_STATE(5795)] = 58716,
  [SMALL_STATE(5796)] = 58724,
  [SMALL_STATE(5797)] = 58732,
  [SMALL_STATE(5798)] = 58740,
  [SMALL_STATE(5799)] = 58750,
  [SMALL_STATE(5800)] = 58760,
  [SMALL_STATE(5801)] = 58770,
  [SMALL_STATE(5802)] = 58778,
  [SMALL_STATE(5803)] = 58788,
  [SMALL_STATE(5804)] = 58798,
  [SMALL_STATE(5805)] = 58808,
  [SMALL_STATE(5806)] = 58818,
  [SMALL_STATE(5807)] = 58826,
  [SMALL_STATE(5808)] = 58836,
  [SMALL_STATE(5809)] = 58844,
  [SMALL_STATE(5810)] = 58854,
  [SMALL_STATE(5811)] = 58864,
  [SMALL_STATE(5812)] = 58874,
  [SMALL_STATE(5813)] = 58884,
  [SMALL_STATE(5814)] = 58894,
  [SMALL_STATE(5815)] = 58902,
  [SMALL_STATE(5816)] = 58912,
  [SMALL_STATE(5817)] = 58922,
  [SMALL_STATE(5818)] = 58930,
  [SMALL_STATE(5819)] = 58938,
  [SMALL_STATE(5820)] = 58948,
  [SMALL_STATE(5821)] = 58956,
  [SMALL_STATE(5822)] = 58964,
  [SMALL_STATE(5823)] = 58974,
  [SMALL_STATE(5824)] = 58982,
  [SMALL_STATE(5825)] = 58992,
  [SMALL_STATE(5826)] = 59002,
  [SMALL_STATE(5827)] = 59012,
  [SMALL_STATE(5828)] = 59022,
  [SMALL_STATE(5829)] = 59032,
  [SMALL_STATE(5830)] = 59042,
  [SMALL_STATE(5831)] = 59052,
  [SMALL_STATE(5832)] = 59060,
  [SMALL_STATE(5833)] = 59070,
  [SMALL_STATE(5834)] = 59080,
  [SMALL_STATE(5835)] = 59088,
  [SMALL_STATE(5836)] = 59098,
  [SMALL_STATE(5837)] = 59108,
  [SMALL_STATE(5838)] = 59118,
  [SMALL_STATE(5839)] = 59128,
  [SMALL_STATE(5840)] = 59136,
  [SMALL_STATE(5841)] = 59146,
  [SMALL_STATE(5842)] = 59156,
  [SMALL_STATE(5843)] = 59164,
  [SMALL_STATE(5844)] = 59174,
  [SMALL_STATE(5845)] = 59182,
  [SMALL_STATE(5846)] = 59192,
  [SMALL_STATE(5847)] = 59200,
  [SMALL_STATE(5848)] = 59208,
  [SMALL_STATE(5849)] = 59218,
  [SMALL_STATE(5850)] = 59228,
  [SMALL_STATE(5851)] = 59238,
  [SMALL_STATE(5852)] = 59248,
  [SMALL_STATE(5853)] = 59258,
  [SMALL_STATE(5854)] = 59268,
  [SMALL_STATE(5855)] = 59278,
  [SMALL_STATE(5856)] = 59288,
  [SMALL_STATE(5857)] = 59298,
  [SMALL_STATE(5858)] = 59308,
  [SMALL_STATE(5859)] = 59318,
  [SMALL_STATE(5860)] = 59328,
  [SMALL_STATE(5861)] = 59336,
  [SMALL_STATE(5862)] = 59346,
  [SMALL_STATE(5863)] = 59356,
  [SMALL_STATE(5864)] = 59366,
  [SMALL_STATE(5865)] = 59376,
  [SMALL_STATE(5866)] = 59386,
  [SMALL_STATE(5867)] = 59394,
  [SMALL_STATE(5868)] = 59404,
  [SMALL_STATE(5869)] = 59414,
  [SMALL_STATE(5870)] = 59424,
  [SMALL_STATE(5871)] = 59434,
  [SMALL_STATE(5872)] = 59444,
  [SMALL_STATE(5873)] = 59454,
  [SMALL_STATE(5874)] = 59464,
  [SMALL_STATE(5875)] = 59474,
  [SMALL_STATE(5876)] = 59484,
  [SMALL_STATE(5877)] = 59494,
  [SMALL_STATE(5878)] = 59502,
  [SMALL_STATE(5879)] = 59512,
  [SMALL_STATE(5880)] = 59520,
  [SMALL_STATE(5881)] = 59530,
  [SMALL_STATE(5882)] = 59540,
  [SMALL_STATE(5883)] = 59550,
  [SMALL_STATE(5884)] = 59560,
  [SMALL_STATE(5885)] = 59568,
  [SMALL_STATE(5886)] = 59578,
  [SMALL_STATE(5887)] = 59588,
  [SMALL_STATE(5888)] = 59596,
  [SMALL_STATE(5889)] = 59604,
  [SMALL_STATE(5890)] = 59612,
  [SMALL_STATE(5891)] = 59620,
  [SMALL_STATE(5892)] = 59630,
  [SMALL_STATE(5893)] = 59640,
  [SMALL_STATE(5894)] = 59650,
  [SMALL_STATE(5895)] = 59660,
  [SMALL_STATE(5896)] = 59670,
  [SMALL_STATE(5897)] = 59680,
  [SMALL_STATE(5898)] = 59690,
  [SMALL_STATE(5899)] = 59700,
  [SMALL_STATE(5900)] = 59710,
  [SMALL_STATE(5901)] = 59720,
  [SMALL_STATE(5902)] = 59730,
  [SMALL_STATE(5903)] = 59740,
  [SMALL_STATE(5904)] = 59748,
  [SMALL_STATE(5905)] = 59758,
  [SMALL_STATE(5906)] = 59768,
  [SMALL_STATE(5907)] = 59776,
  [SMALL_STATE(5908)] = 59786,
  [SMALL_STATE(5909)] = 59796,
  [SMALL_STATE(5910)] = 59806,
  [SMALL_STATE(5911)] = 59816,
  [SMALL_STATE(5912)] = 59823,
  [SMALL_STATE(5913)] = 59830,
  [SMALL_STATE(5914)] = 59837,
  [SMALL_STATE(5915)] = 59844,
  [SMALL_STATE(5916)] = 59851,
  [SMALL_STATE(5917)] = 59858,
  [SMALL_STATE(5918)] = 59865,
  [SMALL_STATE(5919)] = 59872,
  [SMALL_STATE(5920)] = 59879,
  [SMALL_STATE(5921)] = 59886,
  [SMALL_STATE(5922)] = 59893,
  [SMALL_STATE(5923)] = 59900,
  [SMALL_STATE(5924)] = 59907,
  [SMALL_STATE(5925)] = 59914,
  [SMALL_STATE(5926)] = 59921,
  [SMALL_STATE(5927)] = 59928,
  [SMALL_STATE(5928)] = 59935,
  [SMALL_STATE(5929)] = 59942,
  [SMALL_STATE(5930)] = 59949,
  [SMALL_STATE(5931)] = 59956,
  [SMALL_STATE(5932)] = 59963,
  [SMALL_STATE(5933)] = 59970,
  [SMALL_STATE(5934)] = 59977,
  [SMALL_STATE(5935)] = 59984,
  [SMALL_STATE(5936)] = 59991,
  [SMALL_STATE(5937)] = 59998,
  [SMALL_STATE(5938)] = 60005,
  [SMALL_STATE(5939)] = 60012,
  [SMALL_STATE(5940)] = 60019,
  [SMALL_STATE(5941)] = 60026,
  [SMALL_STATE(5942)] = 60033,
  [SMALL_STATE(5943)] = 60040,
  [SMALL_STATE(5944)] = 60047,
  [SMALL_STATE(5945)] = 60054,
  [SMALL_STATE(5946)] = 60061,
  [SMALL_STATE(5947)] = 60068,
  [SMALL_STATE(5948)] = 60075,
  [SMALL_STATE(5949)] = 60082,
  [SMALL_STATE(5950)] = 60089,
  [SMALL_STATE(5951)] = 60096,
  [SMALL_STATE(5952)] = 60103,
  [SMALL_STATE(5953)] = 60110,
  [SMALL_STATE(5954)] = 60117,
  [SMALL_STATE(5955)] = 60124,
  [SMALL_STATE(5956)] = 60131,
  [SMALL_STATE(5957)] = 60138,
  [SMALL_STATE(5958)] = 60145,
  [SMALL_STATE(5959)] = 60152,
  [SMALL_STATE(5960)] = 60159,
  [SMALL_STATE(5961)] = 60166,
  [SMALL_STATE(5962)] = 60173,
  [SMALL_STATE(5963)] = 60180,
  [SMALL_STATE(5964)] = 60187,
  [SMALL_STATE(5965)] = 60194,
  [SMALL_STATE(5966)] = 60201,
  [SMALL_STATE(5967)] = 60208,
  [SMALL_STATE(5968)] = 60215,
  [SMALL_STATE(5969)] = 60222,
  [SMALL_STATE(5970)] = 60229,
  [SMALL_STATE(5971)] = 60236,
  [SMALL_STATE(5972)] = 60243,
  [SMALL_STATE(5973)] = 60250,
  [SMALL_STATE(5974)] = 60257,
  [SMALL_STATE(5975)] = 60264,
  [SMALL_STATE(5976)] = 60271,
  [SMALL_STATE(5977)] = 60278,
  [SMALL_STATE(5978)] = 60285,
  [SMALL_STATE(5979)] = 60292,
  [SMALL_STATE(5980)] = 60299,
  [SMALL_STATE(5981)] = 60306,
  [SMALL_STATE(5982)] = 60313,
  [SMALL_STATE(5983)] = 60320,
  [SMALL_STATE(5984)] = 60327,
  [SMALL_STATE(5985)] = 60334,
  [SMALL_STATE(5986)] = 60341,
  [SMALL_STATE(5987)] = 60348,
  [SMALL_STATE(5988)] = 60355,
  [SMALL_STATE(5989)] = 60362,
  [SMALL_STATE(5990)] = 60369,
  [SMALL_STATE(5991)] = 60376,
  [SMALL_STATE(5992)] = 60383,
  [SMALL_STATE(5993)] = 60390,
  [SMALL_STATE(5994)] = 60397,
  [SMALL_STATE(5995)] = 60404,
  [SMALL_STATE(5996)] = 60411,
  [SMALL_STATE(5997)] = 60418,
  [SMALL_STATE(5998)] = 60425,
  [SMALL_STATE(5999)] = 60432,
  [SMALL_STATE(6000)] = 60439,
  [SMALL_STATE(6001)] = 60446,
  [SMALL_STATE(6002)] = 60453,
  [SMALL_STATE(6003)] = 60460,
  [SMALL_STATE(6004)] = 60467,
  [SMALL_STATE(6005)] = 60474,
  [SMALL_STATE(6006)] = 60481,
  [SMALL_STATE(6007)] = 60488,
  [SMALL_STATE(6008)] = 60495,
  [SMALL_STATE(6009)] = 60502,
  [SMALL_STATE(6010)] = 60509,
  [SMALL_STATE(6011)] = 60516,
  [SMALL_STATE(6012)] = 60523,
  [SMALL_STATE(6013)] = 60530,
  [SMALL_STATE(6014)] = 60537,
  [SMALL_STATE(6015)] = 60544,
  [SMALL_STATE(6016)] = 60551,
  [SMALL_STATE(6017)] = 60558,
  [SMALL_STATE(6018)] = 60565,
  [SMALL_STATE(6019)] = 60572,
  [SMALL_STATE(6020)] = 60579,
  [SMALL_STATE(6021)] = 60586,
  [SMALL_STATE(6022)] = 60593,
  [SMALL_STATE(6023)] = 60600,
  [SMALL_STATE(6024)] = 60607,
  [SMALL_STATE(6025)] = 60614,
  [SMALL_STATE(6026)] = 60621,
  [SMALL_STATE(6027)] = 60628,
  [SMALL_STATE(6028)] = 60635,
  [SMALL_STATE(6029)] = 60642,
  [SMALL_STATE(6030)] = 60649,
  [SMALL_STATE(6031)] = 60656,
  [SMALL_STATE(6032)] = 60663,
  [SMALL_STATE(6033)] = 60670,
  [SMALL_STATE(6034)] = 60677,
  [SMALL_STATE(6035)] = 60684,
  [SMALL_STATE(6036)] = 60691,
  [SMALL_STATE(6037)] = 60698,
  [SMALL_STATE(6038)] = 60705,
  [SMALL_STATE(6039)] = 60712,
  [SMALL_STATE(6040)] = 60719,
  [SMALL_STATE(6041)] = 60726,
  [SMALL_STATE(6042)] = 60733,
  [SMALL_STATE(6043)] = 60740,
  [SMALL_STATE(6044)] = 60747,
  [SMALL_STATE(6045)] = 60754,
  [SMALL_STATE(6046)] = 60761,
  [SMALL_STATE(6047)] = 60768,
  [SMALL_STATE(6048)] = 60775,
  [SMALL_STATE(6049)] = 60782,
  [SMALL_STATE(6050)] = 60789,
  [SMALL_STATE(6051)] = 60796,
  [SMALL_STATE(6052)] = 60803,
  [SMALL_STATE(6053)] = 60810,
  [SMALL_STATE(6054)] = 60817,
  [SMALL_STATE(6055)] = 60824,
  [SMALL_STATE(6056)] = 60831,
  [SMALL_STATE(6057)] = 60838,
  [SMALL_STATE(6058)] = 60845,
  [SMALL_STATE(6059)] = 60852,
  [SMALL_STATE(6060)] = 60859,
  [SMALL_STATE(6061)] = 60866,
  [SMALL_STATE(6062)] = 60873,
  [SMALL_STATE(6063)] = 60880,
  [SMALL_STATE(6064)] = 60887,
  [SMALL_STATE(6065)] = 60894,
  [SMALL_STATE(6066)] = 60901,
  [SMALL_STATE(6067)] = 60908,
  [SMALL_STATE(6068)] = 60915,
  [SMALL_STATE(6069)] = 60922,
  [SMALL_STATE(6070)] = 60929,
  [SMALL_STATE(6071)] = 60936,
  [SMALL_STATE(6072)] = 60943,
  [SMALL_STATE(6073)] = 60950,
  [SMALL_STATE(6074)] = 60957,
  [SMALL_STATE(6075)] = 60964,
  [SMALL_STATE(6076)] = 60971,
  [SMALL_STATE(6077)] = 60978,
  [SMALL_STATE(6078)] = 60985,
  [SMALL_STATE(6079)] = 60992,
  [SMALL_STATE(6080)] = 60999,
  [SMALL_STATE(6081)] = 61006,
  [SMALL_STATE(6082)] = 61013,
  [SMALL_STATE(6083)] = 61020,
  [SMALL_STATE(6084)] = 61027,
  [SMALL_STATE(6085)] = 61034,
  [SMALL_STATE(6086)] = 61041,
  [SMALL_STATE(6087)] = 61048,
  [SMALL_STATE(6088)] = 61055,
  [SMALL_STATE(6089)] = 61062,
  [SMALL_STATE(6090)] = 61069,
  [SMALL_STATE(6091)] = 61076,
  [SMALL_STATE(6092)] = 61083,
  [SMALL_STATE(6093)] = 61090,
  [SMALL_STATE(6094)] = 61097,
  [SMALL_STATE(6095)] = 61104,
  [SMALL_STATE(6096)] = 61111,
  [SMALL_STATE(6097)] = 61118,
  [SMALL_STATE(6098)] = 61125,
  [SMALL_STATE(6099)] = 61132,
  [SMALL_STATE(6100)] = 61139,
  [SMALL_STATE(6101)] = 61146,
  [SMALL_STATE(6102)] = 61153,
  [SMALL_STATE(6103)] = 61160,
  [SMALL_STATE(6104)] = 61167,
  [SMALL_STATE(6105)] = 61174,
  [SMALL_STATE(6106)] = 61181,
  [SMALL_STATE(6107)] = 61188,
  [SMALL_STATE(6108)] = 61195,
  [SMALL_STATE(6109)] = 61202,
  [SMALL_STATE(6110)] = 61209,
  [SMALL_STATE(6111)] = 61216,
  [SMALL_STATE(6112)] = 61223,
  [SMALL_STATE(6113)] = 61230,
  [SMALL_STATE(6114)] = 61237,
  [SMALL_STATE(6115)] = 61244,
  [SMALL_STATE(6116)] = 61251,
  [SMALL_STATE(6117)] = 61258,
  [SMALL_STATE(6118)] = 61265,
  [SMALL_STATE(6119)] = 61272,
  [SMALL_STATE(6120)] = 61279,
  [SMALL_STATE(6121)] = 61286,
  [SMALL_STATE(6122)] = 61293,
  [SMALL_STATE(6123)] = 61300,
  [SMALL_STATE(6124)] = 61307,
  [SMALL_STATE(6125)] = 61314,
  [SMALL_STATE(6126)] = 61321,
  [SMALL_STATE(6127)] = 61328,
  [SMALL_STATE(6128)] = 61335,
  [SMALL_STATE(6129)] = 61342,
  [SMALL_STATE(6130)] = 61349,
  [SMALL_STATE(6131)] = 61356,
  [SMALL_STATE(6132)] = 61363,
  [SMALL_STATE(6133)] = 61370,
  [SMALL_STATE(6134)] = 61377,
  [SMALL_STATE(6135)] = 61384,
  [SMALL_STATE(6136)] = 61391,
  [SMALL_STATE(6137)] = 61398,
  [SMALL_STATE(6138)] = 61405,
  [SMALL_STATE(6139)] = 61412,
  [SMALL_STATE(6140)] = 61419,
  [SMALL_STATE(6141)] = 61426,
  [SMALL_STATE(6142)] = 61433,
  [SMALL_STATE(6143)] = 61440,
  [SMALL_STATE(6144)] = 61447,
  [SMALL_STATE(6145)] = 61454,
  [SMALL_STATE(6146)] = 61461,
  [SMALL_STATE(6147)] = 61468,
  [SMALL_STATE(6148)] = 61475,
  [SMALL_STATE(6149)] = 61482,
  [SMALL_STATE(6150)] = 61489,
  [SMALL_STATE(6151)] = 61496,
  [SMALL_STATE(6152)] = 61503,
  [SMALL_STATE(6153)] = 61510,
  [SMALL_STATE(6154)] = 61517,
  [SMALL_STATE(6155)] = 61524,
  [SMALL_STATE(6156)] = 61531,
  [SMALL_STATE(6157)] = 61538,
  [SMALL_STATE(6158)] = 61545,
  [SMALL_STATE(6159)] = 61552,
  [SMALL_STATE(6160)] = 61559,
  [SMALL_STATE(6161)] = 61566,
  [SMALL_STATE(6162)] = 61573,
  [SMALL_STATE(6163)] = 61580,
  [SMALL_STATE(6164)] = 61587,
  [SMALL_STATE(6165)] = 61594,
  [SMALL_STATE(6166)] = 61601,
  [SMALL_STATE(6167)] = 61608,
  [SMALL_STATE(6168)] = 61615,
  [SMALL_STATE(6169)] = 61622,
  [SMALL_STATE(6170)] = 61629,
  [SMALL_STATE(6171)] = 61636,
  [SMALL_STATE(6172)] = 61643,
  [SMALL_STATE(6173)] = 61650,
  [SMALL_STATE(6174)] = 61657,
  [SMALL_STATE(6175)] = 61664,
  [SMALL_STATE(6176)] = 61671,
  [SMALL_STATE(6177)] = 61678,
  [SMALL_STATE(6178)] = 61685,
  [SMALL_STATE(6179)] = 61692,
  [SMALL_STATE(6180)] = 61699,
  [SMALL_STATE(6181)] = 61706,
  [SMALL_STATE(6182)] = 61713,
  [SMALL_STATE(6183)] = 61720,
  [SMALL_STATE(6184)] = 61727,
  [SMALL_STATE(6185)] = 61734,
  [SMALL_STATE(6186)] = 61741,
  [SMALL_STATE(6187)] = 61748,
  [SMALL_STATE(6188)] = 61755,
  [SMALL_STATE(6189)] = 61762,
  [SMALL_STATE(6190)] = 61769,
  [SMALL_STATE(6191)] = 61776,
  [SMALL_STATE(6192)] = 61783,
  [SMALL_STATE(6193)] = 61790,
  [SMALL_STATE(6194)] = 61797,
  [SMALL_STATE(6195)] = 61804,
  [SMALL_STATE(6196)] = 61811,
  [SMALL_STATE(6197)] = 61818,
  [SMALL_STATE(6198)] = 61825,
  [SMALL_STATE(6199)] = 61832,
  [SMALL_STATE(6200)] = 61839,
  [SMALL_STATE(6201)] = 61846,
  [SMALL_STATE(6202)] = 61853,
  [SMALL_STATE(6203)] = 61860,
  [SMALL_STATE(6204)] = 61867,
  [SMALL_STATE(6205)] = 61874,
  [SMALL_STATE(6206)] = 61881,
  [SMALL_STATE(6207)] = 61888,
  [SMALL_STATE(6208)] = 61895,
  [SMALL_STATE(6209)] = 61902,
  [SMALL_STATE(6210)] = 61909,
  [SMALL_STATE(6211)] = 61916,
  [SMALL_STATE(6212)] = 61923,
  [SMALL_STATE(6213)] = 61930,
  [SMALL_STATE(6214)] = 61937,
  [SMALL_STATE(6215)] = 61944,
  [SMALL_STATE(6216)] = 61951,
  [SMALL_STATE(6217)] = 61958,
  [SMALL_STATE(6218)] = 61965,
  [SMALL_STATE(6219)] = 61972,
  [SMALL_STATE(6220)] = 61979,
  [SMALL_STATE(6221)] = 61986,
  [SMALL_STATE(6222)] = 61993,
  [SMALL_STATE(6223)] = 62000,
  [SMALL_STATE(6224)] = 62007,
  [SMALL_STATE(6225)] = 62014,
  [SMALL_STATE(6226)] = 62021,
  [SMALL_STATE(6227)] = 62028,
  [SMALL_STATE(6228)] = 62035,
  [SMALL_STATE(6229)] = 62042,
  [SMALL_STATE(6230)] = 62049,
  [SMALL_STATE(6231)] = 62056,
  [SMALL_STATE(6232)] = 62063,
  [SMALL_STATE(6233)] = 62070,
  [SMALL_STATE(6234)] = 62077,
  [SMALL_STATE(6235)] = 62084,
  [SMALL_STATE(6236)] = 62091,
  [SMALL_STATE(6237)] = 62098,
  [SMALL_STATE(6238)] = 62105,
  [SMALL_STATE(6239)] = 62112,
  [SMALL_STATE(6240)] = 62119,
  [SMALL_STATE(6241)] = 62126,
  [SMALL_STATE(6242)] = 62133,
  [SMALL_STATE(6243)] = 62140,
  [SMALL_STATE(6244)] = 62147,
  [SMALL_STATE(6245)] = 62154,
  [SMALL_STATE(6246)] = 62161,
  [SMALL_STATE(6247)] = 62168,
  [SMALL_STATE(6248)] = 62175,
  [SMALL_STATE(6249)] = 62182,
  [SMALL_STATE(6250)] = 62189,
  [SMALL_STATE(6251)] = 62196,
  [SMALL_STATE(6252)] = 62203,
  [SMALL_STATE(6253)] = 62210,
  [SMALL_STATE(6254)] = 62217,
  [SMALL_STATE(6255)] = 62224,
  [SMALL_STATE(6256)] = 62231,
  [SMALL_STATE(6257)] = 62238,
  [SMALL_STATE(6258)] = 62245,
  [SMALL_STATE(6259)] = 62252,
  [SMALL_STATE(6260)] = 62259,
  [SMALL_STATE(6261)] = 62266,
  [SMALL_STATE(6262)] = 62273,
  [SMALL_STATE(6263)] = 62280,
  [SMALL_STATE(6264)] = 62287,
  [SMALL_STATE(6265)] = 62294,
  [SMALL_STATE(6266)] = 62301,
  [SMALL_STATE(6267)] = 62308,
  [SMALL_STATE(6268)] = 62315,
  [SMALL_STATE(6269)] = 62322,
  [SMALL_STATE(6270)] = 62329,
  [SMALL_STATE(6271)] = 62336,
  [SMALL_STATE(6272)] = 62343,
  [SMALL_STATE(6273)] = 62350,
  [SMALL_STATE(6274)] = 62357,
  [SMALL_STATE(6275)] = 62364,
  [SMALL_STATE(6276)] = 62371,
  [SMALL_STATE(6277)] = 62378,
  [SMALL_STATE(6278)] = 62385,
  [SMALL_STATE(6279)] = 62392,
  [SMALL_STATE(6280)] = 62399,
  [SMALL_STATE(6281)] = 62406,
  [SMALL_STATE(6282)] = 62413,
  [SMALL_STATE(6283)] = 62420,
  [SMALL_STATE(6284)] = 62427,
  [SMALL_STATE(6285)] = 62434,
  [SMALL_STATE(6286)] = 62441,
  [SMALL_STATE(6287)] = 62448,
  [SMALL_STATE(6288)] = 62455,
  [SMALL_STATE(6289)] = 62462,
  [SMALL_STATE(6290)] = 62469,
  [SMALL_STATE(6291)] = 62476,
  [SMALL_STATE(6292)] = 62483,
  [SMALL_STATE(6293)] = 62490,
  [SMALL_STATE(6294)] = 62497,
  [SMALL_STATE(6295)] = 62504,
  [SMALL_STATE(6296)] = 62511,
  [SMALL_STATE(6297)] = 62518,
  [SMALL_STATE(6298)] = 62525,
  [SMALL_STATE(6299)] = 62532,
  [SMALL_STATE(6300)] = 62539,
  [SMALL_STATE(6301)] = 62546,
  [SMALL_STATE(6302)] = 62553,
  [SMALL_STATE(6303)] = 62560,
  [SMALL_STATE(6304)] = 62567,
  [SMALL_STATE(6305)] = 62574,
  [SMALL_STATE(6306)] = 62581,
  [SMALL_STATE(6307)] = 62588,
  [SMALL_STATE(6308)] = 62595,
  [SMALL_STATE(6309)] = 62602,
  [SMALL_STATE(6310)] = 62609,
  [SMALL_STATE(6311)] = 62616,
  [SMALL_STATE(6312)] = 62623,
  [SMALL_STATE(6313)] = 62630,
  [SMALL_STATE(6314)] = 62637,
  [SMALL_STATE(6315)] = 62644,
  [SMALL_STATE(6316)] = 62651,
  [SMALL_STATE(6317)] = 62658,
  [SMALL_STATE(6318)] = 62665,
  [SMALL_STATE(6319)] = 62672,
  [SMALL_STATE(6320)] = 62679,
  [SMALL_STATE(6321)] = 62686,
  [SMALL_STATE(6322)] = 62693,
  [SMALL_STATE(6323)] = 62700,
  [SMALL_STATE(6324)] = 62707,
  [SMALL_STATE(6325)] = 62714,
  [SMALL_STATE(6326)] = 62721,
  [SMALL_STATE(6327)] = 62728,
  [SMALL_STATE(6328)] = 62735,
  [SMALL_STATE(6329)] = 62742,
  [SMALL_STATE(6330)] = 62749,
  [SMALL_STATE(6331)] = 62756,
  [SMALL_STATE(6332)] = 62763,
  [SMALL_STATE(6333)] = 62770,
  [SMALL_STATE(6334)] = 62777,
  [SMALL_STATE(6335)] = 62784,
  [SMALL_STATE(6336)] = 62791,
  [SMALL_STATE(6337)] = 62798,
  [SMALL_STATE(6338)] = 62805,
  [SMALL_STATE(6339)] = 62812,
  [SMALL_STATE(6340)] = 62819,
  [SMALL_STATE(6341)] = 62826,
  [SMALL_STATE(6342)] = 62833,
  [SMALL_STATE(6343)] = 62840,
  [SMALL_STATE(6344)] = 62847,
  [SMALL_STATE(6345)] = 62854,
  [SMALL_STATE(6346)] = 62861,
  [SMALL_STATE(6347)] = 62868,
  [SMALL_STATE(6348)] = 62875,
  [SMALL_STATE(6349)] = 62882,
  [SMALL_STATE(6350)] = 62889,
  [SMALL_STATE(6351)] = 62896,
  [SMALL_STATE(6352)] = 62903,
  [SMALL_STATE(6353)] = 62910,
  [SMALL_STATE(6354)] = 62917,
  [SMALL_STATE(6355)] = 62924,
  [SMALL_STATE(6356)] = 62931,
  [SMALL_STATE(6357)] = 62938,
  [SMALL_STATE(6358)] = 62945,
  [SMALL_STATE(6359)] = 62952,
  [SMALL_STATE(6360)] = 62959,
  [SMALL_STATE(6361)] = 62966,
  [SMALL_STATE(6362)] = 62973,
  [SMALL_STATE(6363)] = 62980,
  [SMALL_STATE(6364)] = 62987,
  [SMALL_STATE(6365)] = 62994,
  [SMALL_STATE(6366)] = 63001,
  [SMALL_STATE(6367)] = 63008,
  [SMALL_STATE(6368)] = 63015,
  [SMALL_STATE(6369)] = 63022,
  [SMALL_STATE(6370)] = 63029,
  [SMALL_STATE(6371)] = 63036,
  [SMALL_STATE(6372)] = 63043,
  [SMALL_STATE(6373)] = 63050,
  [SMALL_STATE(6374)] = 63057,
  [SMALL_STATE(6375)] = 63064,
  [SMALL_STATE(6376)] = 63071,
  [SMALL_STATE(6377)] = 63078,
  [SMALL_STATE(6378)] = 63085,
  [SMALL_STATE(6379)] = 63092,
  [SMALL_STATE(6380)] = 63099,
  [SMALL_STATE(6381)] = 63106,
  [SMALL_STATE(6382)] = 63113,
  [SMALL_STATE(6383)] = 63120,
  [SMALL_STATE(6384)] = 63127,
  [SMALL_STATE(6385)] = 63134,
  [SMALL_STATE(6386)] = 63141,
  [SMALL_STATE(6387)] = 63148,
  [SMALL_STATE(6388)] = 63155,
  [SMALL_STATE(6389)] = 63162,
  [SMALL_STATE(6390)] = 63169,
  [SMALL_STATE(6391)] = 63176,
  [SMALL_STATE(6392)] = 63183,
  [SMALL_STATE(6393)] = 63190,
  [SMALL_STATE(6394)] = 63197,
  [SMALL_STATE(6395)] = 63204,
  [SMALL_STATE(6396)] = 63211,
  [SMALL_STATE(6397)] = 63218,
  [SMALL_STATE(6398)] = 63225,
  [SMALL_STATE(6399)] = 63232,
  [SMALL_STATE(6400)] = 63239,
  [SMALL_STATE(6401)] = 63246,
  [SMALL_STATE(6402)] = 63253,
  [SMALL_STATE(6403)] = 63260,
  [SMALL_STATE(6404)] = 63267,
  [SMALL_STATE(6405)] = 63274,
  [SMALL_STATE(6406)] = 63281,
  [SMALL_STATE(6407)] = 63288,
  [SMALL_STATE(6408)] = 63295,
  [SMALL_STATE(6409)] = 63302,
  [SMALL_STATE(6410)] = 63309,
  [SMALL_STATE(6411)] = 63316,
  [SMALL_STATE(6412)] = 63323,
  [SMALL_STATE(6413)] = 63330,
  [SMALL_STATE(6414)] = 63337,
  [SMALL_STATE(6415)] = 63344,
  [SMALL_STATE(6416)] = 63351,
  [SMALL_STATE(6417)] = 63358,
  [SMALL_STATE(6418)] = 63365,
  [SMALL_STATE(6419)] = 63372,
  [SMALL_STATE(6420)] = 63379,
  [SMALL_STATE(6421)] = 63386,
  [SMALL_STATE(6422)] = 63393,
  [SMALL_STATE(6423)] = 63400,
  [SMALL_STATE(6424)] = 63407,
  [SMALL_STATE(6425)] = 63414,
  [SMALL_STATE(6426)] = 63421,
  [SMALL_STATE(6427)] = 63428,
  [SMALL_STATE(6428)] = 63435,
  [SMALL_STATE(6429)] = 63442,
  [SMALL_STATE(6430)] = 63449,
  [SMALL_STATE(6431)] = 63456,
  [SMALL_STATE(6432)] = 63463,
  [SMALL_STATE(6433)] = 63470,
  [SMALL_STATE(6434)] = 63477,
  [SMALL_STATE(6435)] = 63484,
  [SMALL_STATE(6436)] = 63491,
  [SMALL_STATE(6437)] = 63498,
  [SMALL_STATE(6438)] = 63505,
  [SMALL_STATE(6439)] = 63512,
  [SMALL_STATE(6440)] = 63519,
  [SMALL_STATE(6441)] = 63526,
  [SMALL_STATE(6442)] = 63533,
  [SMALL_STATE(6443)] = 63540,
  [SMALL_STATE(6444)] = 63547,
  [SMALL_STATE(6445)] = 63554,
  [SMALL_STATE(6446)] = 63561,
  [SMALL_STATE(6447)] = 63568,
  [SMALL_STATE(6448)] = 63575,
  [SMALL_STATE(6449)] = 63582,
  [SMALL_STATE(6450)] = 63589,
  [SMALL_STATE(6451)] = 63596,
  [SMALL_STATE(6452)] = 63603,
  [SMALL_STATE(6453)] = 63610,
  [SMALL_STATE(6454)] = 63617,
  [SMALL_STATE(6455)] = 63624,
  [SMALL_STATE(6456)] = 63631,
  [SMALL_STATE(6457)] = 63638,
  [SMALL_STATE(6458)] = 63645,
  [SMALL_STATE(6459)] = 63652,
  [SMALL_STATE(6460)] = 63659,
  [SMALL_STATE(6461)] = 63666,
  [SMALL_STATE(6462)] = 63673,
  [SMALL_STATE(6463)] = 63680,
  [SMALL_STATE(6464)] = 63687,
  [SMALL_STATE(6465)] = 63694,
  [SMALL_STATE(6466)] = 63701,
  [SMALL_STATE(6467)] = 63708,
  [SMALL_STATE(6468)] = 63715,
  [SMALL_STATE(6469)] = 63722,
  [SMALL_STATE(6470)] = 63729,
  [SMALL_STATE(6471)] = 63736,
  [SMALL_STATE(6472)] = 63743,
  [SMALL_STATE(6473)] = 63750,
  [SMALL_STATE(6474)] = 63757,
  [SMALL_STATE(6475)] = 63764,
  [SMALL_STATE(6476)] = 63771,
  [SMALL_STATE(6477)] = 63778,
  [SMALL_STATE(6478)] = 63785,
  [SMALL_STATE(6479)] = 63792,
  [SMALL_STATE(6480)] = 63799,
  [SMALL_STATE(6481)] = 63806,
  [SMALL_STATE(6482)] = 63813,
  [SMALL_STATE(6483)] = 63820,
  [SMALL_STATE(6484)] = 63827,
  [SMALL_STATE(6485)] = 63834,
  [SMALL_STATE(6486)] = 63841,
  [SMALL_STATE(6487)] = 63848,
  [SMALL_STATE(6488)] = 63855,
  [SMALL_STATE(6489)] = 63862,
  [SMALL_STATE(6490)] = 63869,
  [SMALL_STATE(6491)] = 63876,
  [SMALL_STATE(6492)] = 63883,
  [SMALL_STATE(6493)] = 63890,
  [SMALL_STATE(6494)] = 63897,
  [SMALL_STATE(6495)] = 63904,
  [SMALL_STATE(6496)] = 63911,
  [SMALL_STATE(6497)] = 63918,
  [SMALL_STATE(6498)] = 63925,
  [SMALL_STATE(6499)] = 63932,
  [SMALL_STATE(6500)] = 63939,
  [SMALL_STATE(6501)] = 63946,
  [SMALL_STATE(6502)] = 63953,
  [SMALL_STATE(6503)] = 63960,
  [SMALL_STATE(6504)] = 63967,
  [SMALL_STATE(6505)] = 63974,
  [SMALL_STATE(6506)] = 63981,
  [SMALL_STATE(6507)] = 63988,
  [SMALL_STATE(6508)] = 63995,
  [SMALL_STATE(6509)] = 64002,
  [SMALL_STATE(6510)] = 64009,
  [SMALL_STATE(6511)] = 64016,
  [SMALL_STATE(6512)] = 64023,
  [SMALL_STATE(6513)] = 64030,
  [SMALL_STATE(6514)] = 64037,
  [SMALL_STATE(6515)] = 64044,
  [SMALL_STATE(6516)] = 64051,
  [SMALL_STATE(6517)] = 64058,
  [SMALL_STATE(6518)] = 64065,
  [SMALL_STATE(6519)] = 64072,
  [SMALL_STATE(6520)] = 64079,
  [SMALL_STATE(6521)] = 64086,
  [SMALL_STATE(6522)] = 64093,
  [SMALL_STATE(6523)] = 64100,
  [SMALL_STATE(6524)] = 64107,
  [SMALL_STATE(6525)] = 64114,
  [SMALL_STATE(6526)] = 64121,
  [SMALL_STATE(6527)] = 64128,
  [SMALL_STATE(6528)] = 64135,
  [SMALL_STATE(6529)] = 64142,
  [SMALL_STATE(6530)] = 64149,
  [SMALL_STATE(6531)] = 64156,
  [SMALL_STATE(6532)] = 64163,
  [SMALL_STATE(6533)] = 64170,
  [SMALL_STATE(6534)] = 64177,
  [SMALL_STATE(6535)] = 64184,
  [SMALL_STATE(6536)] = 64191,
  [SMALL_STATE(6537)] = 64198,
  [SMALL_STATE(6538)] = 64205,
  [SMALL_STATE(6539)] = 64212,
  [SMALL_STATE(6540)] = 64219,
  [SMALL_STATE(6541)] = 64226,
  [SMALL_STATE(6542)] = 64233,
  [SMALL_STATE(6543)] = 64240,
  [SMALL_STATE(6544)] = 64247,
  [SMALL_STATE(6545)] = 64254,
  [SMALL_STATE(6546)] = 64261,
  [SMALL_STATE(6547)] = 64268,
  [SMALL_STATE(6548)] = 64275,
  [SMALL_STATE(6549)] = 64282,
  [SMALL_STATE(6550)] = 64289,
  [SMALL_STATE(6551)] = 64296,
  [SMALL_STATE(6552)] = 64303,
  [SMALL_STATE(6553)] = 64310,
  [SMALL_STATE(6554)] = 64317,
  [SMALL_STATE(6555)] = 64324,
  [SMALL_STATE(6556)] = 64331,
  [SMALL_STATE(6557)] = 64338,
  [SMALL_STATE(6558)] = 64345,
  [SMALL_STATE(6559)] = 64352,
  [SMALL_STATE(6560)] = 64359,
  [SMALL_STATE(6561)] = 64366,
  [SMALL_STATE(6562)] = 64373,
  [SMALL_STATE(6563)] = 64380,
  [SMALL_STATE(6564)] = 64387,
  [SMALL_STATE(6565)] = 64394,
  [SMALL_STATE(6566)] = 64401,
  [SMALL_STATE(6567)] = 64408,
  [SMALL_STATE(6568)] = 64415,
  [SMALL_STATE(6569)] = 64422,
  [SMALL_STATE(6570)] = 64429,
  [SMALL_STATE(6571)] = 64436,
  [SMALL_STATE(6572)] = 64443,
  [SMALL_STATE(6573)] = 64450,
  [SMALL_STATE(6574)] = 64457,
  [SMALL_STATE(6575)] = 64464,
  [SMALL_STATE(6576)] = 64471,
  [SMALL_STATE(6577)] = 64478,
  [SMALL_STATE(6578)] = 64485,
  [SMALL_STATE(6579)] = 64492,
  [SMALL_STATE(6580)] = 64499,
  [SMALL_STATE(6581)] = 64506,
  [SMALL_STATE(6582)] = 64513,
  [SMALL_STATE(6583)] = 64520,
  [SMALL_STATE(6584)] = 64527,
  [SMALL_STATE(6585)] = 64534,
  [SMALL_STATE(6586)] = 64541,
  [SMALL_STATE(6587)] = 64548,
  [SMALL_STATE(6588)] = 64555,
  [SMALL_STATE(6589)] = 64562,
  [SMALL_STATE(6590)] = 64569,
  [SMALL_STATE(6591)] = 64576,
  [SMALL_STATE(6592)] = 64583,
  [SMALL_STATE(6593)] = 64590,
  [SMALL_STATE(6594)] = 64597,
  [SMALL_STATE(6595)] = 64604,
  [SMALL_STATE(6596)] = 64611,
  [SMALL_STATE(6597)] = 64618,
  [SMALL_STATE(6598)] = 64625,
  [SMALL_STATE(6599)] = 64632,
  [SMALL_STATE(6600)] = 64639,
  [SMALL_STATE(6601)] = 64646,
  [SMALL_STATE(6602)] = 64653,
  [SMALL_STATE(6603)] = 64660,
  [SMALL_STATE(6604)] = 64667,
  [SMALL_STATE(6605)] = 64674,
  [SMALL_STATE(6606)] = 64681,
  [SMALL_STATE(6607)] = 64688,
  [SMALL_STATE(6608)] = 64695,
  [SMALL_STATE(6609)] = 64702,
  [SMALL_STATE(6610)] = 64709,
  [SMALL_STATE(6611)] = 64716,
  [SMALL_STATE(6612)] = 64723,
  [SMALL_STATE(6613)] = 64730,
  [SMALL_STATE(6614)] = 64737,
  [SMALL_STATE(6615)] = 64744,
  [SMALL_STATE(6616)] = 64751,
  [SMALL_STATE(6617)] = 64758,
  [SMALL_STATE(6618)] = 64765,
  [SMALL_STATE(6619)] = 64772,
  [SMALL_STATE(6620)] = 64779,
  [SMALL_STATE(6621)] = 64786,
  [SMALL_STATE(6622)] = 64793,
  [SMALL_STATE(6623)] = 64800,
  [SMALL_STATE(6624)] = 64807,
  [SMALL_STATE(6625)] = 64814,
  [SMALL_STATE(6626)] = 64821,
  [SMALL_STATE(6627)] = 64828,
  [SMALL_STATE(6628)] = 64835,
  [SMALL_STATE(6629)] = 64842,
  [SMALL_STATE(6630)] = 64849,
  [SMALL_STATE(6631)] = 64856,
  [SMALL_STATE(6632)] = 64863,
  [SMALL_STATE(6633)] = 64870,
  [SMALL_STATE(6634)] = 64877,
  [SMALL_STATE(6635)] = 64884,
  [SMALL_STATE(6636)] = 64891,
  [SMALL_STATE(6637)] = 64898,
  [SMALL_STATE(6638)] = 64905,
  [SMALL_STATE(6639)] = 64912,
  [SMALL_STATE(6640)] = 64919,
  [SMALL_STATE(6641)] = 64926,
  [SMALL_STATE(6642)] = 64933,
  [SMALL_STATE(6643)] = 64940,
  [SMALL_STATE(6644)] = 64947,
  [SMALL_STATE(6645)] = 64954,
  [SMALL_STATE(6646)] = 64961,
  [SMALL_STATE(6647)] = 64968,
  [SMALL_STATE(6648)] = 64975,
  [SMALL_STATE(6649)] = 64982,
  [SMALL_STATE(6650)] = 64989,
  [SMALL_STATE(6651)] = 64996,
  [SMALL_STATE(6652)] = 65003,
  [SMALL_STATE(6653)] = 65010,
  [SMALL_STATE(6654)] = 65017,
  [SMALL_STATE(6655)] = 65024,
  [SMALL_STATE(6656)] = 65031,
  [SMALL_STATE(6657)] = 65038,
  [SMALL_STATE(6658)] = 65045,
  [SMALL_STATE(6659)] = 65052,
  [SMALL_STATE(6660)] = 65059,
  [SMALL_STATE(6661)] = 65066,
  [SMALL_STATE(6662)] = 65073,
  [SMALL_STATE(6663)] = 65080,
  [SMALL_STATE(6664)] = 65087,
  [SMALL_STATE(6665)] = 65094,
  [SMALL_STATE(6666)] = 65101,
  [SMALL_STATE(6667)] = 65108,
  [SMALL_STATE(6668)] = 65115,
  [SMALL_STATE(6669)] = 65122,
  [SMALL_STATE(6670)] = 65129,
  [SMALL_STATE(6671)] = 65136,
  [SMALL_STATE(6672)] = 65143,
  [SMALL_STATE(6673)] = 65150,
  [SMALL_STATE(6674)] = 65157,
  [SMALL_STATE(6675)] = 65164,
  [SMALL_STATE(6676)] = 65171,
  [SMALL_STATE(6677)] = 65178,
  [SMALL_STATE(6678)] = 65185,
  [SMALL_STATE(6679)] = 65192,
  [SMALL_STATE(6680)] = 65199,
  [SMALL_STATE(6681)] = 65206,
  [SMALL_STATE(6682)] = 65213,
  [SMALL_STATE(6683)] = 65220,
  [SMALL_STATE(6684)] = 65227,
  [SMALL_STATE(6685)] = 65234,
  [SMALL_STATE(6686)] = 65241,
  [SMALL_STATE(6687)] = 65248,
  [SMALL_STATE(6688)] = 65255,
  [SMALL_STATE(6689)] = 65262,
  [SMALL_STATE(6690)] = 65269,
  [SMALL_STATE(6691)] = 65276,
  [SMALL_STATE(6692)] = 65283,
  [SMALL_STATE(6693)] = 65290,
  [SMALL_STATE(6694)] = 65297,
  [SMALL_STATE(6695)] = 65304,
  [SMALL_STATE(6696)] = 65311,
  [SMALL_STATE(6697)] = 65318,
  [SMALL_STATE(6698)] = 65325,
  [SMALL_STATE(6699)] = 65332,
  [SMALL_STATE(6700)] = 65339,
  [SMALL_STATE(6701)] = 65346,
  [SMALL_STATE(6702)] = 65353,
  [SMALL_STATE(6703)] = 65360,
  [SMALL_STATE(6704)] = 65367,
  [SMALL_STATE(6705)] = 65374,
  [SMALL_STATE(6706)] = 65381,
  [SMALL_STATE(6707)] = 65388,
  [SMALL_STATE(6708)] = 65395,
  [SMALL_STATE(6709)] = 65402,
  [SMALL_STATE(6710)] = 65409,
  [SMALL_STATE(6711)] = 65416,
  [SMALL_STATE(6712)] = 65423,
  [SMALL_STATE(6713)] = 65430,
  [SMALL_STATE(6714)] = 65437,
  [SMALL_STATE(6715)] = 65444,
  [SMALL_STATE(6716)] = 65451,
  [SMALL_STATE(6717)] = 65458,
  [SMALL_STATE(6718)] = 65465,
  [SMALL_STATE(6719)] = 65472,
  [SMALL_STATE(6720)] = 65479,
  [SMALL_STATE(6721)] = 65486,
  [SMALL_STATE(6722)] = 65493,
  [SMALL_STATE(6723)] = 65500,
  [SMALL_STATE(6724)] = 65507,
  [SMALL_STATE(6725)] = 65514,
  [SMALL_STATE(6726)] = 65521,
  [SMALL_STATE(6727)] = 65528,
  [SMALL_STATE(6728)] = 65535,
  [SMALL_STATE(6729)] = 65542,
  [SMALL_STATE(6730)] = 65549,
  [SMALL_STATE(6731)] = 65556,
  [SMALL_STATE(6732)] = 65563,
  [SMALL_STATE(6733)] = 65570,
  [SMALL_STATE(6734)] = 65577,
  [SMALL_STATE(6735)] = 65584,
  [SMALL_STATE(6736)] = 65591,
  [SMALL_STATE(6737)] = 65598,
  [SMALL_STATE(6738)] = 65605,
  [SMALL_STATE(6739)] = 65612,
  [SMALL_STATE(6740)] = 65619,
  [SMALL_STATE(6741)] = 65626,
  [SMALL_STATE(6742)] = 65633,
  [SMALL_STATE(6743)] = 65640,
  [SMALL_STATE(6744)] = 65647,
  [SMALL_STATE(6745)] = 65654,
  [SMALL_STATE(6746)] = 65661,
  [SMALL_STATE(6747)] = 65668,
  [SMALL_STATE(6748)] = 65675,
  [SMALL_STATE(6749)] = 65682,
  [SMALL_STATE(6750)] = 65689,
  [SMALL_STATE(6751)] = 65696,
  [SMALL_STATE(6752)] = 65703,
  [SMALL_STATE(6753)] = 65710,
  [SMALL_STATE(6754)] = 65717,
  [SMALL_STATE(6755)] = 65724,
  [SMALL_STATE(6756)] = 65731,
  [SMALL_STATE(6757)] = 65738,
  [SMALL_STATE(6758)] = 65745,
  [SMALL_STATE(6759)] = 65752,
  [SMALL_STATE(6760)] = 65759,
  [SMALL_STATE(6761)] = 65766,
  [SMALL_STATE(6762)] = 65773,
  [SMALL_STATE(6763)] = 65780,
  [SMALL_STATE(6764)] = 65787,
  [SMALL_STATE(6765)] = 65794,
  [SMALL_STATE(6766)] = 65801,
  [SMALL_STATE(6767)] = 65808,
  [SMALL_STATE(6768)] = 65815,
  [SMALL_STATE(6769)] = 65822,
  [SMALL_STATE(6770)] = 65829,
  [SMALL_STATE(6771)] = 65836,
  [SMALL_STATE(6772)] = 65843,
  [SMALL_STATE(6773)] = 65850,
  [SMALL_STATE(6774)] = 65857,
  [SMALL_STATE(6775)] = 65864,
  [SMALL_STATE(6776)] = 65871,
  [SMALL_STATE(6777)] = 65878,
  [SMALL_STATE(6778)] = 65885,
  [SMALL_STATE(6779)] = 65892,
  [SMALL_STATE(6780)] = 65899,
  [SMALL_STATE(6781)] = 65906,
  [SMALL_STATE(6782)] = 65913,
  [SMALL_STATE(6783)] = 65920,
  [SMALL_STATE(6784)] = 65927,
  [SMALL_STATE(6785)] = 65934,
  [SMALL_STATE(6786)] = 65941,
  [SMALL_STATE(6787)] = 65948,
  [SMALL_STATE(6788)] = 65955,
  [SMALL_STATE(6789)] = 65962,
  [SMALL_STATE(6790)] = 65969,
  [SMALL_STATE(6791)] = 65976,
  [SMALL_STATE(6792)] = 65983,
  [SMALL_STATE(6793)] = 65990,
  [SMALL_STATE(6794)] = 65997,
  [SMALL_STATE(6795)] = 66004,
  [SMALL_STATE(6796)] = 66011,
  [SMALL_STATE(6797)] = 66018,
  [SMALL_STATE(6798)] = 66025,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4863),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6064),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4602),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6311),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5758),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3520),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3888),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6775),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2412),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6160),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2917),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2868),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2368),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6418),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3007),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4894),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4372),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4955),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5864),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5872),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3754),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6766),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5894),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2456),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6074),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4573),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3358),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6251),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6003),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6043),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3478),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6159),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6140),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5988),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4973),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4575),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5399),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3361),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5183),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4575),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6638),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6057),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6335),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6522),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6155),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6266),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6282),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6285),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6414),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5899),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6520),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6520),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6571),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6633),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2916),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4870),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5930),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4595),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5931),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4588),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6613),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5781),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3906),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2667),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6385),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5934),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4371),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5824),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5773),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3606),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6453),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5826),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2487),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6586),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3402),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6190),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6200),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6667),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4898),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3388),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6670),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5942),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6390),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6673),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6674),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6463),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5885),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5367),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5367),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6746),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2514),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4071),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4056),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4849),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5998),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4591),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6055),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5880),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3923),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6456),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6100),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5892),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5827),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3607),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6388),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5909),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2489),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6743),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3385),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6403),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6408),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6007),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4943),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3347),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5941),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6009),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6460),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5943),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5944),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6722),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5878),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5420),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6764),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, 0, 48),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4070),
  [361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, 0, 16),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4067),
  [365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, 0, 48),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1589),
  [380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4870),
  [383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5930),
  [386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4595),
  [389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0),
  [391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5931),
  [394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5781),
  [397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1544),
  [400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3520),
  [403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3520),
  [406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3557),
  [409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3296),
  [412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(201),
  [415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(923),
  [418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3906),
  [421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2667),
  [424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6385),
  [427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2412),
  [430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3437),
  [433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6160),
  [436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2917),
  [439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(58),
  [442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2368),
  [448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5934),
  [451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1741),
  [454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(981),
  [457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6418),
  [460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3007),
  [463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4894),
  [466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4371),
  [469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4955),
  [472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5824),
  [475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5773),
  [478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3606),
  [481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6453),
  [484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5826),
  [487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2487),
  [490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6586),
  [493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1671),
  [496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3402),
  [499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6190),
  [502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6200),
  [505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6667),
  [508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3477),
  [511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3478),
  [514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6159),
  [517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6140),
  [520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5988),
  [523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4973),
  [526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4898),
  [529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1675),
  [532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5399),
  [535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3388),
  [538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5183),
  [541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1675),
  [544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1638),
  [547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6638),
  [550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6670),
  [553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5942),
  [556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6390),
  [559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2381),
  [562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6155),
  [565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6673),
  [568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6282),
  [571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6285),
  [574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6674),
  [577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6463),
  [580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5885),
  [583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5367),
  [586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5367),
  [589] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3438),
  [592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5899),
  [595] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6520),
  [598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6520),
  [601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6571),
  [604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6633),
  [607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6746),
  [610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2916),
  [613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2514),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, 0, 16),
  [622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1609),
  [627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4849),
  [630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5998),
  [633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4591),
  [636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6055),
  [639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5880),
  [642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(403),
  [645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(924),
  [648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3923),
  [651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2668),
  [654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6456),
  [657] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(76),
  [660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6100),
  [663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5892),
  [666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5827),
  [669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3607),
  [672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6388),
  [675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5909),
  [678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2489),
  [681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6743),
  [684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3385),
  [687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6403),
  [690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6408),
  [693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6007),
  [696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4943),
  [699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3347),
  [702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5941),
  [705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6009),
  [708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6460),
  [711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5943),
  [714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5944),
  [717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6722),
  [720] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5878),
  [723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5420),
  [726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5420),
  [729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3419),
  [732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6764),
  [735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(1612),
  [738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4860),
  [741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6054),
  [744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4601),
  [747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6099),
  [750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5743),
  [753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(590),
  [756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(921),
  [759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3931),
  [762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2669),
  [765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6487),
  [768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(80),
  [771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6131),
  [774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5910),
  [777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5723),
  [780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3608),
  [783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6479),
  [786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5829),
  [789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(2436),
  [792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6753),
  [795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3360),
  [798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6495),
  [801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6498),
  [804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6061),
  [807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(4944),
  [810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3352),
  [813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6008),
  [816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6062),
  [819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6490),
  [822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6010),
  [825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6011),
  [828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5962),
  [831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5751),
  [834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5437),
  [837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(5437),
  [840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(3410),
  [843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2, 0, 0), SHIFT_REPEAT(6771),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4860),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6054),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4601),
  [854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2, 0, 0),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6099),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5743),
  [860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3931),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6487),
  [870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6131),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5910),
  [876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5723),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3608),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6479),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5829),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2436),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6753),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3360),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6495),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6498),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6061),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4944),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3352),
  [900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6008),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6062),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6490),
  [906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6010),
  [908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6011),
  [910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5962),
  [912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5751),
  [914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5437),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1, 0, 0),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4858),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6347),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4585),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6353),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5798),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3855),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6657),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5780),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5825),
  [954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3596),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6327),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5803),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2486),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6189),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3359),
  [966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6391),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6393),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6375),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4912),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3391),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6378),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6382),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6195),
  [982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6383),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6384),
  [986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5579),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5579),
  [990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6162),
  [994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [1000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [1002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [1004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [1006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [1008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [1010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [1012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [1014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [1016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [1018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [1020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [1022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [1026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1604),
  [1029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4858),
  [1032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6347),
  [1035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4585),
  [1038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6353),
  [1041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5798),
  [1044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1544),
  [1047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3520),
  [1050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3520),
  [1053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3557),
  [1056] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3296),
  [1059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(744),
  [1062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(922),
  [1065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3855),
  [1068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2666),
  [1071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6775),
  [1074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2412),
  [1077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3437),
  [1080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6160),
  [1083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2917),
  [1086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(50),
  [1089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0),
  [1091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [1094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2368),
  [1097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6657),
  [1100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1741),
  [1103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(981),
  [1106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6418),
  [1109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3007),
  [1112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4894),
  [1115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4371),
  [1118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4955),
  [1121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5780),
  [1124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5825),
  [1127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3596),
  [1130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6327),
  [1133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5803),
  [1136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2486),
  [1139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6189),
  [1142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1671),
  [1145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3359),
  [1148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6391),
  [1151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6393),
  [1154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6375),
  [1157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3477),
  [1160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3478),
  [1163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6159),
  [1166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6140),
  [1169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5988),
  [1172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4973),
  [1175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4912),
  [1178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1675),
  [1181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5399),
  [1184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3391),
  [1187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5183),
  [1190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1675),
  [1193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1638),
  [1196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6638),
  [1199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6378),
  [1202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6382),
  [1205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6195),
  [1208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2381),
  [1211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6155),
  [1214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6383),
  [1217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6282),
  [1220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6285),
  [1223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6384),
  [1226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5579),
  [1229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5579),
  [1232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3407),
  [1235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5899),
  [1238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6520),
  [1241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6520),
  [1244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6571),
  [1247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6633),
  [1250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6162),
  [1253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2916),
  [1256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2514),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [1301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [1355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [1357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [1359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0),
  [1361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1626),
  [1364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4863),
  [1367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6064),
  [1370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4602),
  [1373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6311),
  [1376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5758),
  [1379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1544),
  [1382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3520),
  [1385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3520),
  [1388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3557),
  [1391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3296),
  [1394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1043),
  [1397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(917),
  [1400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3888),
  [1403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2670),
  [1406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6775),
  [1409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2412),
  [1412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3437),
  [1415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6160),
  [1418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2917),
  [1421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(116),
  [1424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [1427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2368),
  [1430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6719),
  [1433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1785),
  [1436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(981),
  [1439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6418),
  [1442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3007),
  [1445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4894),
  [1448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4372),
  [1451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4955),
  [1454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5864),
  [1457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5872),
  [1460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3754),
  [1463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6766),
  [1466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5894),
  [1469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2456),
  [1472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6074),
  [1475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4573),
  [1478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3358),
  [1481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6251),
  [1484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6003),
  [1487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6043),
  [1490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3477),
  [1493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3478),
  [1496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6159),
  [1499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6140),
  [1502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5988),
  [1505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4973),
  [1508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4575),
  [1511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5399),
  [1514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(3361),
  [1517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5183),
  [1520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(4575),
  [1523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(1638),
  [1526] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6638),
  [1529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6057),
  [1532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6335),
  [1535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6522),
  [1538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2381),
  [1541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6155),
  [1544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6266),
  [1547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6282),
  [1550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6285),
  [1553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6414),
  [1556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(5899),
  [1559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6520),
  [1562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6520),
  [1565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6571),
  [1568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(6633),
  [1571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2916),
  [1574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2, 0, 0), SHIFT_REPEAT(2559),
  [1577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1, 0, 0),
  [1579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1611),
  [1582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [1584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1544),
  [1587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3520),
  [1590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3520),
  [1593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3557),
  [1596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3296),
  [1599] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(201),
  [1602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1079),
  [1605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3906),
  [1608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2368),
  [1611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6775),
  [1614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2412),
  [1617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3453),
  [1620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6160),
  [1623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(58),
  [1626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [1629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5934),
  [1632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1741),
  [1635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1083),
  [1638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6418),
  [1641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3007),
  [1644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4894),
  [1647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4371),
  [1650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4955),
  [1653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5824),
  [1656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5773),
  [1659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5826),
  [1662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2487),
  [1665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6586),
  [1668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1671),
  [1671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3402),
  [1674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6190),
  [1677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6200),
  [1680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6667),
  [1683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3477),
  [1686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3478),
  [1689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6159),
  [1692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6140),
  [1695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5988),
  [1698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4973),
  [1701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4898),
  [1704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1675),
  [1707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5399),
  [1710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3454),
  [1713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5183),
  [1716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1675),
  [1719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1638),
  [1722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6638),
  [1725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0),
  [1727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2381),
  [1730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6155),
  [1733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5367),
  [1736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5367),
  [1739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3438),
  [1742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5899),
  [1745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6520),
  [1748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6520),
  [1751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6571),
  [1754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6633),
  [1757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6746),
  [1760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2916),
  [1763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2547),
  [1766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [1768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 7),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [1774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [1776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3454),
  [1778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 7),
  [1780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2547),
  [1782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 7),
  [1784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 7),
  [1786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 0),
  [1790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2, 0, 0),
  [1794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [1796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [1798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1614),
  [1801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(403),
  [1804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1080),
  [1807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3923),
  [1810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(76),
  [1813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6100),
  [1816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5892),
  [1819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5827),
  [1822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5909),
  [1825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2489),
  [1828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6743),
  [1831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3385),
  [1834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6403),
  [1837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6408),
  [1840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6007),
  [1843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4943),
  [1846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5420),
  [1849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5420),
  [1852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3419),
  [1855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6764),
  [1858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [1860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [1862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1616),
  [1865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(590),
  [1868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(986),
  [1871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3931),
  [1874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(80),
  [1877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6131),
  [1880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5910),
  [1883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5723),
  [1886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5829),
  [1889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2436),
  [1892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6753),
  [1895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3360),
  [1898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6495),
  [1901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6498),
  [1904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6061),
  [1907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4944),
  [1910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5437),
  [1913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5437),
  [1916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3410),
  [1919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6771),
  [1922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [1926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [1928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [1930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [1932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3915),
  [1934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [1936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6056),
  [1938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5766),
  [1940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5901),
  [1942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5785),
  [1944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [1946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6678),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3382),
  [1950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6723),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6754),
  [1954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5939),
  [1956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4942),
  [1958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5400),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5400),
  [1962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [1964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6756),
  [1966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1598),
  [1969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(744),
  [1972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1076),
  [1975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3855),
  [1978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(50),
  [1981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6657),
  [1984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5780),
  [1987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5825),
  [1990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5803),
  [1993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2486),
  [1996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6189),
  [1999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3359),
  [2002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6391),
  [2005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6393),
  [2008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6375),
  [2011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4912),
  [2014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5579),
  [2017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5579),
  [2020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3407),
  [2023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6162),
  [2026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1599),
  [2029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(819),
  [2032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1070),
  [2035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3915),
  [2038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(73),
  [2041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6056),
  [2044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5766),
  [2047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5901),
  [2050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5785),
  [2053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2488),
  [2056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6678),
  [2059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3382),
  [2062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6723),
  [2065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6754),
  [2068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5939),
  [2071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4942),
  [2074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5400),
  [2077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5400),
  [2080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3436),
  [2083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6756),
  [2086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3938),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6149),
  [2098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5822),
  [2100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5762),
  [2102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5725),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [2106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6761),
  [2108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3397),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5921),
  [2112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5922),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6102),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4945),
  [2118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5453),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5453),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6774),
  [2126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [2128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3603),
  [2130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6172),
  [2132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [2136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4936),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5670),
  [2140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5670),
  [2142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [2144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6688),
  [2146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1608),
  [2149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1161),
  [2152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1078),
  [2155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3938),
  [2158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(84),
  [2161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6149),
  [2164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5822),
  [2167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5762),
  [2170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5725),
  [2173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2490),
  [2176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6761),
  [2179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3397),
  [2182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5921),
  [2185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5922),
  [2188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6102),
  [2191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4945),
  [2194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5453),
  [2197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5453),
  [2200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3449),
  [2203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6774),
  [2206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [2208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5855),
  [2210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5856),
  [2212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6387),
  [2214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [2216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5488),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6597),
  [2220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, 0, 44),
  [2222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, 0, 44),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3576),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [2228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [2230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3578),
  [2232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6191),
  [2234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6780),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6797),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4985),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5366),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3433),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5317),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [2250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5851),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6198),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6198),
  [2258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6781),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6199),
  [2262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [2268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [2270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [2272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [2274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [2276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1620),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [2282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3570),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [2286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3572),
  [2288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4998),
  [2290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3422),
  [2292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5304),
  [2294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3458),
  [2296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [2300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3602),
  [2302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3427),
  [2304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5309),
  [2306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 0),
  [2308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 0),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5233),
  [2312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5233),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5347),
  [2316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5347),
  [2318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [2320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [2322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5233),
  [2325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5233),
  [2328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [2330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3752),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [2334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3632),
  [2336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3413),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5265),
  [2340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5265),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [2344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5495),
  [2346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [2348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [2350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5265),
  [2353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5265),
  [2356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [2358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [2360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 0),
  [2362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 0),
  [2364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, 0, 0),
  [2366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 0),
  [2368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 4, 0, 0),
  [2370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 4, 0, 0),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5298),
  [2374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5298),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5563),
  [2378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5563),
  [2380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5298),
  [2383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5298),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [2388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5260),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5350),
  [2392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5350),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5191),
  [2396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5191),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5363),
  [2400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5363),
  [2402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 31),
  [2404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 31),
  [2406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [2408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [2410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_statement, 2, 0, 0),
  [2412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 8, 0, 149),
  [2414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 8, 0, 149),
  [2416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, 0, 38),
  [2422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, 0, 38),
  [2424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [2426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [2428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 56),
  [2430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 56),
  [2432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 38),
  [2438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 38),
  [2440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 74),
  [2450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 74),
  [2452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 4, 0, 75),
  [2454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4, 0, 75),
  [2456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 150),
  [2458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 150),
  [2460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 93),
  [2462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 93),
  [2464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5191),
  [2467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5191),
  [2470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 74),
  [2472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 74),
  [2474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 113),
  [2476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 113),
  [2478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [2480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 2, 0, 0),
  [2482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 5, 0, 75),
  [2488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5, 0, 75),
  [2490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 32),
  [2492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 32),
  [2494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5260),
  [2497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5260),
  [2500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 32),
  [2502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 32),
  [2504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 33),
  [2510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 33),
  [2512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, 0, 35),
  [2514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, 0, 35),
  [2516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 67),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 67),
  [2524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_asm_block, 4, 0, 0),
  [2526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_asm_block, 4, 0, 0),
  [2528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 0),
  [2530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 0),
  [2532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 0),
  [2534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 0),
  [2536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, 0, 122),
  [2538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, 0, 122),
  [2540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 102),
  [2546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 102),
  [2548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 106),
  [2550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 106),
  [2552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_synchronized_statement, 5, 0, 0),
  [2554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_synchronized_statement, 5, 0, 0),
  [2556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_synchronized_statement, 6, 0, 0),
  [2558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_synchronized_statement, 6, 0, 0),
  [2560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 0),
  [2562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 0),
  [2564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 6, 0, 113),
  [2566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 6, 0, 113),
  [2568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 7, 0, 140),
  [2570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 7, 0, 140),
  [2572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 4, 0, 79),
  [2574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 4, 0, 79),
  [2576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, 0, 17),
  [2578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, 0, 17),
  [2580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block_item, 1, 0, 3),
  [2582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_item, 1, 0, 3),
  [2584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 0),
  [2586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 0),
  [2588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_import, 4, 0, 71),
  [2590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_import, 4, 0, 71),
  [2592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_linemarker, 4, 0, 72),
  [2594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_linemarker, 4, 0, 72),
  [2596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol_declaration, 4, 0, 0),
  [2598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_declaration, 4, 0, 0),
  [2600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol_forward_declaration, 4, 0, 0),
  [2602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_forward_declaration, 4, 0, 0),
  [2604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 4, 0, 77),
  [2606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 4, 0, 77),
  [2608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [2611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__block_item, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [2614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_interface, 4, 0, 84),
  [2616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface, 4, 0, 84),
  [2618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_interface, 4, 0, 0),
  [2620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface, 4, 0, 0),
  [2622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_interface, 4, 0, 43),
  [2624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface, 4, 0, 43),
  [2626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_implementation, 4, 0, 84),
  [2628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_implementation, 4, 0, 84),
  [2630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_implementation, 4, 0, 0),
  [2632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_implementation, 4, 0, 0),
  [2634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_implementation, 4, 0, 43),
  [2636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_implementation, 4, 0, 43),
  [2638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 86),
  [2640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 86),
  [2642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 48),
  [2644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 48),
  [2646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [2648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [2650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_implementation, 4, 0, 0),
  [2652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_implementation, 4, 0, 0),
  [2654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_implementation, 3, 0, 0),
  [2656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_implementation, 3, 0, 0),
  [2658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_undef, 3, 0, 16),
  [2660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_undef, 3, 0, 16),
  [2662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, 0, 16),
  [2664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, 0, 16),
  [2666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_interface, 2, 0, 0),
  [2668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface, 2, 0, 0),
  [2670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_implementation, 2, 0, 0),
  [2672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_implementation, 2, 0, 0),
  [2674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 39),
  [2676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 39),
  [2678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, 0, 15),
  [2680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, 0, 15),
  [2682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 0),
  [2684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 0),
  [2686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_linemarker, 5, 0, 110),
  [2688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_linemarker, 5, 0, 110),
  [2690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol_declaration, 5, 0, 0),
  [2692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_declaration, 5, 0, 0),
  [2694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 5, 0, 114),
  [2696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 5, 0, 114),
  [2698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_interface, 5, 0, 84),
  [2700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface, 5, 0, 84),
  [2702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_interface, 5, 0, 0),
  [2704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface, 5, 0, 0),
  [2706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_interface, 5, 0, 43),
  [2708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface, 5, 0, 43),
  [2710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_implementation, 5, 0, 84),
  [2712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_implementation, 5, 0, 84),
  [2714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_implementation, 5, 0, 0),
  [2716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_implementation, 5, 0, 0),
  [2718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, 0, 5),
  [2720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, 0, 5),
  [2722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol_forward_declaration, 5, 0, 0),
  [2724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_forward_declaration, 5, 0, 0),
  [2726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 117),
  [2728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 117),
  [2730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 6, 0, 0),
  [2732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 6, 0, 0),
  [2734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkage_specification, 3, 0, 25),
  [2736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkage_specification, 3, 0, 25),
  [2738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 0),
  [2740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 0),
  [2742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_linemarker, 6, 0, 136),
  [2744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_linemarker, 6, 0, 136),
  [2746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol_declaration, 6, 0, 0),
  [2748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_declaration, 6, 0, 0),
  [2750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_interface, 6, 0, 84),
  [2752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface, 6, 0, 84),
  [2754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_interface, 6, 0, 0),
  [2756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface, 6, 0, 0),
  [2758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_interface, 6, 0, 43),
  [2760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface, 6, 0, 43),
  [2762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_implementation, 6, 0, 84),
  [2764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_implementation, 6, 0, 84),
  [2766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 7, 0, 0),
  [2768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 7, 0, 0),
  [2770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, 0, 16),
  [2772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, 0, 16),
  [2774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, 0, 46),
  [2776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, 0, 46),
  [2778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_interface, 7, 0, 84),
  [2780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface, 7, 0, 84),
  [2782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol_declaration, 7, 0, 0),
  [2784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_declaration, 7, 0, 0),
  [2786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 78),
  [2788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 78),
  [2790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, 0, 85),
  [2792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, 0, 85),
  [2794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 87),
  [2796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 87),
  [2798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, 0, 47),
  [2800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, 0, 47),
  [2802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 49),
  [2804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 49),
  [2806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_implementation, 5, 0, 0),
  [2808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_implementation, 5, 0, 0),
  [2810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [2812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_import, 3, 0, 36),
  [2814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_import, 3, 0, 36),
  [2816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol_forward_declaration, 3, 0, 0),
  [2818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_forward_declaration, 3, 0, 0),
  [2820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol_declaration, 3, 0, 0),
  [2822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_declaration, 3, 0, 0),
  [2824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compatibility_alias_declaration, 3, 0, 37),
  [2826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compatibility_alias_declaration, 3, 0, 37),
  [2828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 3, 0, 40),
  [2830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 3, 0, 40),
  [2832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_interface, 3, 0, 0),
  [2834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface, 3, 0, 0),
  [2836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_interface, 3, 0, 43),
  [2838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface, 3, 0, 43),
  [2840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_implementation, 3, 0, 0),
  [2842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_implementation, 3, 0, 0),
  [2844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_implementation, 3, 0, 43),
  [2846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_implementation, 3, 0, 43),
  [2848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, 0, 48),
  [2850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, 0, 48),
  [2852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [2854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__empty_declaration, 2, 0, 0),
  [2856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [2858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [2860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [2862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 4, 0, 0),
  [2864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_implementation, 6, 0, 0),
  [2866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_implementation, 6, 0, 0),
  [2868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 16),
  [2870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 16),
  [2872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_implementation, 5, 0, 43),
  [2874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_implementation, 5, 0, 43),
  [2876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5295),
  [2880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5295),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5583),
  [2884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5583),
  [2886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3666),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [2892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3668),
  [2894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3456),
  [2896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5295),
  [2899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5295),
  [2902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2480),
  [2904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2446),
  [2906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [2908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3732),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [2912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3609),
  [2914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3442),
  [2916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4213),
  [2918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3516),
  [2920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3958),
  [2922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [2926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3517),
  [2928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1, 0, 0),
  [2930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3932),
  [2932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3857),
  [2934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3908),
  [2936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3924),
  [2938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2470),
  [2940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2, 0, 1),
  [2942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2, 0, 1),
  [2944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_item, 1, 0, 3),
  [2946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_item, 1, 0, 3),
  [2948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [2950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2, 0, 0),
  [2952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [2955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__top_level_item, 1, 0, 0), REDUCE(sym__top_level_statement, 1, 0, 0),
  [2958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 1, 0, 0),
  [2960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 1, 0, 0),
  [2962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3916),
  [2964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3939),
  [2966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 6, 0, 0),
  [2968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 6, 0, 0),
  [2970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 5, 0, 0),
  [2972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 5, 0, 0),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5242),
  [2976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5242),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5585),
  [2980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5585),
  [2982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5242),
  [2985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5242),
  [2988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_field_declarator_repeat1, 1, 0, 0),
  [2991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 1, 0, 0),
  [2993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 1, 0, 0),
  [2995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [2997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0), REDUCE(aux_sym_attributed_field_declarator_repeat1, 1, 0, 0),
  [3000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1, 0, 0),
  [3002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2918),
  [3004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6650),
  [3006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4625),
  [3008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6651),
  [3010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5852),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4841),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [3018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2861),
  [3020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3885),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6542),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5978),
  [3028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4930),
  [3030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6672),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5981),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [3040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2475),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [3048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6422),
  [3050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4619),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5857),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4803),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6491),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6767),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6508),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [3090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [3128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3070),
  [3130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6129),
  [3132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4628),
  [3134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [3136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6130),
  [3138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [3140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4616),
  [3142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5865),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4836),
  [3146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2862),
  [3148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3945),
  [3150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6103),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6024),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5850),
  [3156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5809),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [3162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_implementation_definition, 4, 0, 48),
  [3164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [3166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2362),
  [3168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [3170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [3172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_implementation_definition, 3, 0, 48),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [3176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2401),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [3180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [3182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 1, 0, 0),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [3196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3070),
  [3199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6129),
  [3202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4628),
  [3205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0),
  [3207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6130),
  [3210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5865),
  [3213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4836),
  [3216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2862),
  [3219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3945),
  [3222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2368),
  [3225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6775),
  [3228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2412),
  [3231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6542),
  [3234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6160),
  [3237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2917),
  [3240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [3243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6418),
  [3246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3007),
  [3249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4894),
  [3252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4930),
  [3255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4955),
  [3258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6638),
  [3261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6103),
  [3264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2381),
  [3267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6155),
  [3270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6024),
  [3273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5850),
  [3276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2916),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [3287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6455),
  [3289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4597),
  [3291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2426),
  [3293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [3295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4617),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4800),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [3303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [3311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [3315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2422),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [3329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2341),
  [3331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_interface_declaration, 4, 0, 48),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [3339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2344),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [3345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_interface_declaration, 3, 0, 48),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [3363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3072),
  [3365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6147),
  [3367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4589),
  [3369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_implementation_definition, 1, 0, 0),
  [3371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6148),
  [3373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5724),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4835),
  [3377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2863),
  [3379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3951),
  [3381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6132),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5735),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [3413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3072),
  [3416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6147),
  [3419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4589),
  [3422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6148),
  [3425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5724),
  [3428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4835),
  [3431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2863),
  [3434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3951),
  [3437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6132),
  [3440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6070),
  [3443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_implementation_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5735),
  [3446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [3454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [3462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(2918),
  [3465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(6650),
  [3468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(4625),
  [3471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(6651),
  [3474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(5852),
  [3477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(4841),
  [3480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(2861),
  [3483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(3885),
  [3486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(2368),
  [3489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(6775),
  [3492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(2412),
  [3495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(6542),
  [3498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(6160),
  [3501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(2917),
  [3504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [3507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(6418),
  [3510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(3007),
  [3513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(4894),
  [3516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(4930),
  [3519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(4955),
  [3522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(6638),
  [3525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(6672),
  [3528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(2381),
  [3531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(6155),
  [3534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0),
  [3536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(5981),
  [3539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(5792),
  [3542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(2916),
  [3545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_implementation_definition, 2, 0, 0),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [3581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2918),
  [3584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(6455),
  [3587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(4597),
  [3590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0),
  [3592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(6130),
  [3595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(5865),
  [3598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(4800),
  [3601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2862),
  [3604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(3945),
  [3607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2368),
  [3610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(6775),
  [3613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2412),
  [3616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(6542),
  [3619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(6160),
  [3622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2917),
  [3625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [3628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(6418),
  [3631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(3007),
  [3634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(4894),
  [3637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(4930),
  [3640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(4955),
  [3643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(6638),
  [3646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(6103),
  [3649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2381),
  [3652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(6155),
  [3655] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(3757),
  [3658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2916),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [3675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(2918),
  [3678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(6422),
  [3681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4619),
  [3684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(6651),
  [3687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(5852),
  [3690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4803),
  [3693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(2861),
  [3696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(3885),
  [3699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(2368),
  [3702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(6775),
  [3705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(2412),
  [3708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(6542),
  [3711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(6160),
  [3714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(2917),
  [3717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [3720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(6418),
  [3723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(3007),
  [3726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4894),
  [3729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4930),
  [3732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(4955),
  [3735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(6638),
  [3738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(6672),
  [3741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(2381),
  [3744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(6155),
  [3747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0),
  [3749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(3759),
  [3752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0), SHIFT_REPEAT(2916),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [3763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_protocol_interface_declaration, 2, 0, 0),
  [3765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_protocol_interface_declaration, 1, 0, 0),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [3773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6716),
  [3775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4587),
  [3777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_interface_declaration, 1, 0, 0),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4804),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [3791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_interface_declaration, 2, 0, 0),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [3795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(6716),
  [3798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(4587),
  [3801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(6148),
  [3804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(5724),
  [3807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(4804),
  [3810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2863),
  [3813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(3951),
  [3816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(6132),
  [3819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(3758),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [3866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [3868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [3890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [3936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [3950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [3952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [3954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [3956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6104),
  [3958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [3960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [3962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 3, 0, 0),
  [3964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1444),
  [3967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [3969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [3971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6104),
  [3974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(5317),
  [3977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_expression, 2, 0, 6),
  [3979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_expression, 2, 0, 6),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [3987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6404),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6404),
  [3991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_selector_expression, 4, 0, 0),
  [3993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selector_expression, 4, 0, 0),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [3997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 2, 0, 7),
  [3999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 2, 0, 7),
  [4001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 6),
  [4003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 6),
  [4005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [4007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [4009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3542),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [4013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6063),
  [4015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [4017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [4019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 2, 0, 7),
  [4021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 2, 0, 7),
  [4023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 6),
  [4025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 6),
  [4027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_selector_expression_repeat2, 2, 0, 0),
  [4029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_selector_expression_repeat2, 2, 0, 0),
  [4031] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_selector_expression_repeat2, 2, 0, 0), SHIFT_REPEAT(1454),
  [4034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 34),
  [4036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 34),
  [4038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 53),
  [4040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 53),
  [4042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_message_expression, 4, 0, 58),
  [4044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_message_expression, 4, 0, 58),
  [4046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 155),
  [4048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 155),
  [4050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_literal, 5, 0, 0),
  [4052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_literal, 5, 0, 0),
  [4054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary_literal, 5, 0, 0),
  [4056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_literal, 5, 0, 0),
  [4058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 7, 0, 50),
  [4060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 7, 0, 50),
  [4062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [4064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 9, 0, 0),
  [4066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 9, 0, 160),
  [4068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 9, 0, 160),
  [4070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 12),
  [4072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 12),
  [4074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_available_expression, 5, 0, 0),
  [4076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_available_expression, 5, 0, 0),
  [4078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [4080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3, 0, 0),
  [4082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_literal, 6, 0, 0),
  [4084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_literal, 6, 0, 0),
  [4086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0), REDUCE(sym_string_literal, 4, 0, 0),
  [4089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0), REDUCE(sym_string_literal, 4, 0, 0),
  [4092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_available_expression, 4, 0, 0),
  [4094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_available_expression, 4, 0, 0),
  [4096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [4098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [4100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 0),
  [4102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 0),
  [4104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encode_expression, 4, 0, 0),
  [4106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encode_expression, 4, 0, 0),
  [4108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offsetof_expression, 6, 0, 132),
  [4110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offsetof_expression, 6, 0, 132),
  [4112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 134),
  [4114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 134),
  [4116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, 0, 135),
  [4118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, 0, 135),
  [4120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_literal, 6, 0, 0),
  [4122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_literal, 6, 0, 0),
  [4124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [4126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [4128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 80),
  [4130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 80),
  [4132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary_literal, 6, 0, 0),
  [4134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_literal, 6, 0, 0),
  [4136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 1),
  [4138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 1),
  [4140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_available_expression, 6, 0, 0),
  [4142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_available_expression, 6, 0, 0),
  [4144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_va_arg_expression, 6, 0, 0),
  [4146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_va_arg_expression, 6, 0, 0),
  [4148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [4150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [4152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [4154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [4156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary_literal, 4, 0, 0),
  [4158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_literal, 4, 0, 0),
  [4160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [4162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4, 0, 0),
  [4164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3, 0, 0),
  [4166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3, 0, 0),
  [4168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_literal, 7, 0, 0),
  [4170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_literal, 7, 0, 0),
  [4172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_literal, 4, 0, 0),
  [4174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_literal, 4, 0, 0),
  [4176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_literal, 2, 0, 0),
  [4178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_literal, 2, 0, 0),
  [4180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 148),
  [4182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 148),
  [4184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [4186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5, 0, 0),
  [4188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [4190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2, 0, 0),
  [4192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 41),
  [4194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 41),
  [4196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_literal, 5, 0, 0),
  [4198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_literal, 5, 0, 0),
  [4200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [4202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [4204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3020),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5806),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [4218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5754),
  [4220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 6, 0, 50),
  [4222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 6, 0, 50),
  [4224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [4226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 8, 0, 0),
  [4228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 11),
  [4230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 11),
  [4232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [4234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [4236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [4238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [4240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_literal, 3, 0, 0),
  [4242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_literal, 3, 0, 0),
  [4244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 4, 0, 0),
  [4246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 4, 0, 0),
  [4248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_literal, 3, 0, 0),
  [4250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_literal, 3, 0, 0),
  [4252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary_literal, 3, 0, 0),
  [4254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_literal, 3, 0, 0),
  [4256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, 0, 154),
  [4258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, 0, 154),
  [4260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 108),
  [4262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 108),
  [4264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 4, 0, 53),
  [4266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 4, 0, 53),
  [4268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_literal, 4, 0, 0),
  [4270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_literal, 4, 0, 0),
  [4272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 4, 0, 69),
  [4274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 4, 0, 69),
  [4276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0), REDUCE(sym_string_literal, 3, 0, 0),
  [4279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0), REDUCE(sym_string_literal, 3, 0, 0),
  [4282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, 0, 109),
  [4284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, 0, 109),
  [4286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignof_expression, 4, 0, 44),
  [4288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignof_expression, 4, 0, 44),
  [4290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, 0, 147),
  [4292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, 0, 147),
  [4294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6098),
  [4296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4604),
  [4298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, 0, 48),
  [4300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6501),
  [4302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [4304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4598),
  [4306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6730),
  [4308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5761),
  [4310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4881),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6244),
  [4314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2703),
  [4316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 16),
  [4318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2782),
  [4320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [4322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [4324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2746),
  [4326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [4328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 48),
  [4330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2767),
  [4332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 2, 0, 16),
  [4334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [4336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [4338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [4340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [4342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [4344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3337),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [4350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3706),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [4354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [4356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4178),
  [4358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3769),
  [4360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [4362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4893),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [4366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3709),
  [4368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3428),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5863),
  [4372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension_expression, 2, 0, 0),
  [4374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_extension_expression, 2, 0, 0), SHIFT(3581),
  [4377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_expression, 2, 0, 0),
  [4379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3582),
  [4381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3583),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [4387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3586),
  [4389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3587),
  [4391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3588),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [4395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3590),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [4399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3591),
  [4401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 81),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [4405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 81),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [4409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_at_expression, 2, 0, 0),
  [4411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_at_expression, 2, 0, 0),
  [4413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0),
  [4415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_expression, 3, 0, 0),
  [4417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 34),
  [4419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 34),
  [4421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 115),
  [4423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 115),
  [4425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2918),
  [4428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6098),
  [4431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4604),
  [4434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [4436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6501),
  [4439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5761),
  [4442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2412),
  [4445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2368),
  [4448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6775),
  [4451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6542),
  [4454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6160),
  [4457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [4460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6418),
  [4463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3007),
  [4466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4881),
  [4469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4930),
  [4472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4955),
  [4475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6638),
  [4478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2381),
  [4481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6155),
  [4484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2916),
  [4487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6244),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [4502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 2),
  [4504] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 2), REDUCE(sym_expression, 1, 0, 0), SHIFT(4088),
  [4508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 2), REDUCE(sym_expression, 1, 0, 0),
  [4511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(3326),
  [4514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 2), REDUCE(sym_expression, 1, 0, 0),
  [4517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2952),
  [4519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3472),
  [4521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3695),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6676),
  [4527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6650),
  [4530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4632),
  [4533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6692),
  [4536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5852),
  [4539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0),
  [4541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6697),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [4546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4632),
  [4548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6692),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6697),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [4556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6147),
  [4559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4596),
  [4562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6739),
  [4565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5724),
  [4568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6428),
  [4571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1593),
  [4574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6063),
  [4577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(5304),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4596),
  [4588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 2, 0, 0),
  [4590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6739),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6428),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [4598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3595),
  [4600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 1, 0, 0),
  [4602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3597),
  [4614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3604),
  [4616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3627),
  [4618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3690),
  [4620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [4622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3698),
  [4624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3701),
  [4626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5946),
  [4630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 2), SHIFT(998),
  [4633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_selector_expression_repeat2, 2, 0, 0), SHIFT_REPEAT(1627),
  [4636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1628),
  [4639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(5946),
  [4642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(5309),
  [4645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [4651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2961),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6161),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5086),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6181),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5036),
  [4675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5062),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [4683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [4687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5088),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6182),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5025),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5016),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5021),
  [4705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [4707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5094),
  [4709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [4711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5096),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [4715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5031),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5047),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5098),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5101),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5068),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5078),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [4743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [4749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [4751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5087),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [4757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3043),
  [4759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [4783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3635),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [4789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3546),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [4793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3547),
  [4795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3554),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5022),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [4805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3550),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [4809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3552),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5693),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5048),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5090),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5352),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5666),
  [4823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5357),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5034),
  [4835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_extension_expression, 2, 0, 0), SHIFT(3543),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5030),
  [4840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol_reference_list, 3, 0, 0),
  [4842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_reference_list, 3, 0, 0),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5081),
  [4846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declarator, 3, 0, 73),
  [4848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 3, 0, 73),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [4852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol_reference_list, 4, 0, 0),
  [4854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_reference_list, 4, 0, 0),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5379),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5394),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5065),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5561),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5683),
  [4866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_declarator, 4, 0, 112),
  [4868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 4, 0, 112),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5406),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5410),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5629),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5416),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5701),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5677),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5445),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5690),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5663),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5710),
  [4896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [4898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5715),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5685),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5719),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [4906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3000),
  [4908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [4910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3674),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5695),
  [4920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5446),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5649),
  [4924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5630),
  [4928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5674),
  [4930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameterized_arguments, 4, 0, 50),
  [4932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameterized_arguments, 4, 0, 50),
  [4934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameterized_arguments, 5, 0, 88),
  [4936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameterized_arguments, 5, 0, 88),
  [4938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameterized_arguments, 7, 0, 50),
  [4940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameterized_arguments, 7, 0, 50),
  [4942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameterized_arguments, 6, 0, 50),
  [4944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameterized_arguments, 6, 0, 50),
  [4946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameterized_arguments, 7, 0, 88),
  [4948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameterized_arguments, 7, 0, 88),
  [4950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameterized_arguments, 5, 0, 50),
  [4952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameterized_arguments, 5, 0, 50),
  [4954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_type_specifier, 4, -1, 70),
  [4956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_type_specifier, 4, -1, 70),
  [4958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameterized_arguments, 6, 0, 88),
  [4960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameterized_arguments, 6, 0, 88),
  [4962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameterized_arguments, 8, 0, 88),
  [4964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameterized_arguments, 8, 0, 88),
  [4966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameterized_arguments, 4, 0, 88),
  [4968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameterized_arguments, 4, 0, 88),
  [4970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameterized_arguments, 3, 0, 0),
  [4972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameterized_arguments, 3, 0, 0),
  [4974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameterized_arguments, 4, 0, 0),
  [4976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameterized_arguments, 4, 0, 0),
  [4978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2918),
  [4981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0),
  [4983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2412),
  [4986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2368),
  [4989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6775),
  [4992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6542),
  [4995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6160),
  [4998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [5001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6418),
  [5004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3007),
  [5007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4894),
  [5010] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4930),
  [5013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4955),
  [5016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6638),
  [5019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2381),
  [5022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6155),
  [5025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(2916),
  [5028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3653),
  [5030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3654),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [5034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3661),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [5038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3662),
  [5040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [5044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [5046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3657),
  [5048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3658),
  [5050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3659),
  [5052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [5054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_extension_expression, 2, 0, 0), SHIFT(3652),
  [5057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [5059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1929),
  [5062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6676),
  [5065] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(5183),
  [5068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [5070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_implementation_definition, 1, 0, 0),
  [5072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [5074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implementation_definition, 1, 0, 0),
  [5076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0),
  [5078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5425),
  [5080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5711),
  [5082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5698),
  [5084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3022),
  [5086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_params, 1, 0, 0),
  [5088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [5090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [5092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [5094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [5096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [5098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0),
  [5100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2412),
  [5103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2368),
  [5106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6775),
  [5109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6542),
  [5112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6160),
  [5115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6418),
  [5118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2381),
  [5121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6155),
  [5124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [5126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [5128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [5130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [5132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [5136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [5138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [5140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [5142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [5144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [5146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [5148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [5150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [5152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [5154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6465),
  [5156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6333),
  [5158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6379),
  [5160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4284),
  [5162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [5164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3334),
  [5166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4135),
  [5168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5332),
  [5170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3904),
  [5172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4156),
  [5174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3336),
  [5176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6457),
  [5178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6621),
  [5180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6689),
  [5182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [5184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [5186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [5188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_implementation_header, 2, 0, 0),
  [5190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_implementation_header, 2, 0, 0),
  [5192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [5194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [5196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [5198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [5200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [5202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_arguments, 4, 0, 50),
  [5204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_arguments, 4, 0, 50),
  [5206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6724),
  [5208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4133),
  [5210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5381),
  [5212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5964),
  [5214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6303),
  [5216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4137),
  [5218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5411),
  [5220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6026),
  [5222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_implementation_header, 3, 0, 0),
  [5224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_implementation_header, 3, 0, 0),
  [5226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [5228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4138),
  [5230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5427),
  [5232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4132),
  [5234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5444),
  [5236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4136),
  [5238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5458),
  [5240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4134),
  [5242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5681),
  [5244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [5246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_params, 2, 0, 0),
  [5248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 2, 0, 0),
  [5250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [5252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [5254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [5256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [5258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [5260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [5262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [5264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [5266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [5268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [5270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [5272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [5274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3738),
  [5276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3739),
  [5278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3742),
  [5280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3743),
  [5282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3744),
  [5284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [5286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3746),
  [5288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [5290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3747),
  [5292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2812),
  [5294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_declaration_repeat2, 1, 0, 0),
  [5296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [5298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_method_declaration_repeat2, 1, 0, 0),
  [5300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [5302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4299),
  [5304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3756),
  [5306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3611),
  [5308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_implementation_inheritance, 3, 0, 82),
  [5310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_arguments, 3, 0, 50),
  [5312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_implementation_inheritance, 3, 0, 82),
  [5314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [5316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [5318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [5320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [5322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_interface_header, 3, 0, 0),
  [5324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_interface_header, 3, 0, 0),
  [5326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [5328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_interface_header, 2, 0, 0),
  [5330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_interface_header, 2, 0, 0),
  [5332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [5334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3994),
  [5336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 1, 1, 0),
  [5338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [5340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [5342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [5344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3009),
  [5346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_implementation_header, 4, 0, 0),
  [5348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_implementation_header, 4, 0, 0),
  [5350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_extension_expression, 2, 0, 0), SHIFT(3737),
  [5353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 0),
  [5355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 0),
  [5357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [5359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [5361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [5363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 5, 0, 0),
  [5365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 5, 0, 0),
  [5367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [5369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 0),
  [5371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 0),
  [5373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [5375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 6, 0, 0),
  [5377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 6, 0, 0),
  [5379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 0),
  [5381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 0),
  [5383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [5385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 7, 0, 0),
  [5387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 7, 0, 0),
  [5389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, 0, 0),
  [5391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 0),
  [5393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [5395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 8, 0, 0),
  [5397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 8, 0, 0),
  [5399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, 0, 0),
  [5401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 0),
  [5403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [5405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 9, 0, 0),
  [5407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 9, 0, 0),
  [5409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, 0, 0),
  [5411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, 0, 0),
  [5413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [5415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 10, 0, 0),
  [5417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 10, 0, 0),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [5421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 11, 0, 0),
  [5423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 11, 0, 0),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [5427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 12, 0, 0),
  [5429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 12, 0, 0),
  [5431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [5433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 13, 0, 0),
  [5435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 13, 0, 0),
  [5437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [5439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 14, 0, 0),
  [5441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 14, 0, 0),
  [5443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [5445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 15, 0, 0),
  [5447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 15, 0, 0),
  [5449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [5451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 4, 0, 0),
  [5453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 0),
  [5455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [5457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_interface_inheritance, 3, 0, 82),
  [5459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_interface_inheritance, 3, 0, 82),
  [5461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 3, 0, 0),
  [5463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 0),
  [5465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_interface_header, 4, 0, 0),
  [5467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_interface_header, 4, 0, 0),
  [5469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3082),
  [5471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [5473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [5475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [5477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 0),
  [5479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 0),
  [5481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [5483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_declaration_repeat2, 2, 0, 0),
  [5485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_method_declaration_repeat2, 2, 0, 0),
  [5487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_method_declaration_repeat2, 2, 0, 0), SHIFT_REPEAT(2208),
  [5490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_method_declaration_repeat2, 2, 0, 0), SHIFT_REPEAT(2210),
  [5493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_implementation_definition, 5, 0, 86),
  [5495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_implementation_definition, 5, 0, 86),
  [5497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_implementation_definition, 5, 0, 48),
  [5499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_implementation_definition, 5, 0, 48),
  [5501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 16, 0, 0),
  [5503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 16, 0, 0),
  [5505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_implementation_definition, 4, 0, 48),
  [5507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_implementation_definition, 4, 0, 48),
  [5509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_implementation_definition, 6, 0, 117),
  [5511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_implementation_definition, 6, 0, 117),
  [5513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instance_variables, 3, 0, 0),
  [5515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variables, 3, 0, 0),
  [5517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [5519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instance_variables, 2, 0, 0),
  [5521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variables, 2, 0, 0),
  [5523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [5525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_interface_inheritance, 2, 0, 42),
  [5527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_interface_inheritance, 2, 0, 42),
  [5529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_implementation_definition, 2, 0, 0),
  [5531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implementation_definition, 2, 0, 0),
  [5533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [5535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface_declaration, 5, 0, 86),
  [5537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface_declaration, 5, 0, 86),
  [5539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface_declaration, 5, 0, 48),
  [5541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface_declaration, 5, 0, 48),
  [5543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 5, 0, 0),
  [5545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 0),
  [5547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [5549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [5551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [5553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [5555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_declspec_modifier, 4, 0, 0),
  [5557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface_declaration, 6, 0, 117),
  [5559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface_declaration, 6, 0, 117),
  [5561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_method_declaration_repeat2, 2, 0, 0), SHIFT_REPEAT(2271),
  [5564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 3, 0, 0),
  [5566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 3, 0, 0),
  [5568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [5570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 5, 0, 0),
  [5572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 5, 0, 0),
  [5574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 4, 0, 0),
  [5576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 4, 0, 0),
  [5578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [5580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [5582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [5584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [5586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_atomic_declaration, 6, 0, 156),
  [5588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_atomic_declaration, 6, 0, 156),
  [5590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [5592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instance_variables, 4, 0, 0),
  [5594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variables, 4, 0, 0),
  [5596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [5598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [5602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [5604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [5608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [5610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [5612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_interface_declaration_repeat1, 2, 0, 0),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [5616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_interface_inheritance, 3, 0, 42),
  [5618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_interface_inheritance, 3, 0, 42),
  [5620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [5622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 3, 0, 0),
  [5624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 3, 0, 0),
  [5626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [5632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [5634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [5638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_interface_inheritance, 2, 0, 0),
  [5640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_interface_inheritance, 2, 0, 0),
  [5642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 2, 0, 0),
  [5644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 2, 0, 0),
  [5646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_interface_repeat1, 2, 0, 0),
  [5648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_implementation_inheritance, 2, 0, 42),
  [5650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_implementation_inheritance, 2, 0, 42),
  [5652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_interface_declaration, 4, 0, 48),
  [5654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_interface_declaration, 4, 0, 48),
  [5656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_declaration, 4, 0, 0),
  [5658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 0),
  [5660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [5662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [5664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_class_specifier, 1, 0, 0),
  [5666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_availability_attribute_specifier, 1, 0, 0),
  [5668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_availability_attribute_specifier, 1, 0, 0),
  [5670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_availability_attribute_specifier, 4, 0, 0),
  [5672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_availability_attribute_specifier, 4, 0, 0),
  [5674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [5676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignas_qualifier, 4, 0, 0),
  [5678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_availability_attribute_specifier, 5, 0, 0),
  [5680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_availability_attribute_specifier, 5, 0, 0),
  [5682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_availability_attribute_specifier, 6, 0, 0),
  [5684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_availability_attribute_specifier, 6, 0, 0),
  [5686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_availability_attribute_specifier, 8, 0, 0),
  [5688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_availability_attribute_specifier, 8, 0, 0),
  [5690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_availability_attribute_specifier, 7, 0, 0),
  [5692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_availability_attribute_specifier, 7, 0, 0),
  [5694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3257),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [5702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3269),
  [5704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3256),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [5710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4289),
  [5712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [5714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4282),
  [5716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(4282),
  [5719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(1544),
  [5722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3520),
  [5725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3520),
  [5728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3557),
  [5731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3296),
  [5734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(744),
  [5737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3516),
  [5740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3455),
  [5743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(116),
  [5746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6719),
  [5749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(1671),
  [5752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3517),
  [5755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5855),
  [5758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5872),
  [5761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3603),
  [5764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6172),
  [5767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5856),
  [5770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(2456),
  [5773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6387),
  [5776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3358),
  [5779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6251),
  [5782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6003),
  [5785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6043),
  [5788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3477),
  [5791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3478),
  [5794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6159),
  [5797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6140),
  [5800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5988),
  [5803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(4973),
  [5806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(4912),
  [5809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(1675),
  [5812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5399),
  [5815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3454),
  [5818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5183),
  [5821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(1675),
  [5824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(1638),
  [5827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5488),
  [5830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5488),
  [5833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3407),
  [5836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5899),
  [5839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6520),
  [5842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6520),
  [5845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6571),
  [5848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6633),
  [5851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6597),
  [5854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4293),
  [5856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(4293),
  [5859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(819),
  [5862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(73),
  [5865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6056),
  [5868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5766),
  [5871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5901),
  [5874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3754),
  [5877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6766),
  [5880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5785),
  [5883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(2488),
  [5886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6678),
  [5889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3382),
  [5892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6723),
  [5895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6754),
  [5898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5939),
  [5901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(4942),
  [5904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5400),
  [5907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5400),
  [5910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3436),
  [5913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6756),
  [5916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0),
  [5918] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 2), SHIFT(4109),
  [5922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 2),
  [5924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [5926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 2),
  [5929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0),
  [5931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 2),
  [5934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 2), SHIFT(3827),
  [5937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4287),
  [5939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4288),
  [5941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(4288),
  [5944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(403),
  [5947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(76),
  [5950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6100),
  [5953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5892),
  [5956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5827),
  [5959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3607),
  [5962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6388),
  [5965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5909),
  [5968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(2489),
  [5971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6743),
  [5974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3385),
  [5977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6403),
  [5980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6408),
  [5983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6007),
  [5986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(4943),
  [5989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5420),
  [5992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5420),
  [5995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3419),
  [5998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6764),
  [6001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4292),
  [6003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(4287),
  [6006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(201),
  [6009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(58),
  [6012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5934),
  [6015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5824),
  [6018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5773),
  [6021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3606),
  [6024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6453),
  [6027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5826),
  [6030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(2487),
  [6033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6586),
  [6036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3402),
  [6039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6190),
  [6042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6200),
  [6045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6667),
  [6048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(4898),
  [6051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5367),
  [6054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5367),
  [6057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3438),
  [6060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6746),
  [6063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4286),
  [6065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(4286),
  [6068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(590),
  [6071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(80),
  [6074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6131),
  [6077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5910),
  [6080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5723),
  [6083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3608),
  [6086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6479),
  [6089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5829),
  [6092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(2436),
  [6095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6753),
  [6098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3360),
  [6101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6495),
  [6104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6498),
  [6107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6061),
  [6110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(4944),
  [6113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5437),
  [6116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5437),
  [6119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3410),
  [6122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6771),
  [6125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(4292),
  [6128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(50),
  [6131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6657),
  [6134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5780),
  [6137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5825),
  [6140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3596),
  [6143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6327),
  [6146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5803),
  [6149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(2486),
  [6152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6189),
  [6155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3359),
  [6158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6391),
  [6161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6393),
  [6164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6375),
  [6167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5579),
  [6170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5579),
  [6173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6162),
  [6176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4283),
  [6178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(4283),
  [6181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(1161),
  [6184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(84),
  [6187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6149),
  [6190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5822),
  [6193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5762),
  [6196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5725),
  [6199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(2490),
  [6202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6761),
  [6205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3397),
  [6208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5921),
  [6211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5922),
  [6214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6102),
  [6217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(4945),
  [6220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5453),
  [6223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5453),
  [6226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3449),
  [6229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6774),
  [6232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(4289),
  [6235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(934),
  [6238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5864),
  [6241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5894),
  [6244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6074),
  [6247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(4936),
  [6250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5670),
  [6253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(5670),
  [6256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(3445),
  [6259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT(6688),
  [6262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_parameter, 3, 0, 116),
  [6264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_parameter, 3, 0, 116),
  [6266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_parameter, 2, 0, 83),
  [6268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_parameter, 2, 0, 83),
  [6270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_parameter, 5, 0, 137),
  [6272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_parameter, 5, 0, 137),
  [6274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_parameter, 4, 0, 137),
  [6276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_parameter, 4, 0, 137),
  [6278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_parameter, 4, 0, 0),
  [6280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_parameter, 4, 0, 0),
  [6282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 0),
  [6284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 3, 0, 95),
  [6286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [6288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, 0, 95),
  [6290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3637),
  [6292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [6294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3638),
  [6296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [6298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [6300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3641),
  [6302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [6304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3643),
  [6306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [6308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3645),
  [6310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [6312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [6314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [6316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_parameter, 5, 0, 0),
  [6318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_parameter, 5, 0, 0),
  [6320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_parameter, 4, 0, 116),
  [6322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_parameter, 4, 0, 116),
  [6324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typedefed_specifier, 1, 0, 0),
  [6326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typedefed_specifier, 1, 0, 0),
  [6328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6508),
  [6330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_extension_expression, 2, 0, 0), SHIFT(3636),
  [6333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [6335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [6337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3521),
  [6339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [6341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [6343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3218),
  [6345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2671),
  [6347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6386),
  [6349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [6351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0),
  [6353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2412),
  [6356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(6418),
  [6359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_parameter, 2, 0, 0),
  [6361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_parameter, 2, 0, 0),
  [6363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_parameter, 3, 0, 83),
  [6365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_parameter, 3, 0, 83),
  [6367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_parameter, 3, 0, 0),
  [6369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_parameter, 3, 0, 0),
  [6371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3479),
  [6373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [6375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3673),
  [6377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3459),
  [6379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3482),
  [6381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3439),
  [6383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [6385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [6387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [6389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [6391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [6393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [6395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [6397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [6399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [6401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [6403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [6405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3338),
  [6407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [6409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [6411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4909),
  [6413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [6415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [6417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4190),
  [6419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [6421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4186),
  [6423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [6425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4932),
  [6427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [6429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [6431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [6433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [6435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [6437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [6439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [6441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [6443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [6445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [6447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [6449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [6451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [6453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [6455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [6457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [6459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [6461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4920),
  [6463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [6465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4847),
  [6467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [6469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3223),
  [6471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [6473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [6475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [6477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [6479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [6481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 2, 0, 22),
  [6483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 2, 0, 22),
  [6485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2789),
  [6487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [6489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [6491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [6493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [6495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [6497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3970),
  [6499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 75),
  [6501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 75),
  [6503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 48),
  [6505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, 0, 48),
  [6507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 38),
  [6509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 38),
  [6511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [6513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declarator, 3, 0, 0),
  [6515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3676),
  [6517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [6519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3677),
  [6521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [6523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [6525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3680),
  [6527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [6529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3682),
  [6531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [6533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3684),
  [6535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [6537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [6539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declarator, 3, 0, 0),
  [6541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [6543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 86),
  [6545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 86),
  [6547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 48),
  [6549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, 0, 48),
  [6551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 49),
  [6553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 49),
  [6555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 87),
  [6557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, 0, 87),
  [6559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 16),
  [6561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, 0, 16),
  [6563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 38),
  [6565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 38),
  [6567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 117),
  [6569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, 0, 117),
  [6571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 143),
  [6573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 143),
  [6575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, 0, 75),
  [6577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, 0, 75),
  [6579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, 0, 20),
  [6581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 20),
  [6583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 38),
  [6585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 38),
  [6587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declarator, 2, 0, 0),
  [6589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declarator, 2, 0, 0),
  [6591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 7, 0, 143),
  [6593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 7, 0, 143),
  [6595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 143),
  [6597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 143),
  [6599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, 0, 75),
  [6601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, 0, 75),
  [6603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 16),
  [6605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, 0, 16),
  [6607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 20),
  [6609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 20),
  [6611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 38),
  [6613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 38),
  [6615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 20),
  [6617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 20),
  [6619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_extension_expression, 2, 0, 0), SHIFT(3675),
  [6622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_atdef_field, 4, 0, 0),
  [6624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_atdef_field, 4, 0, 0),
  [6626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6389),
  [6628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [6630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_method_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5405),
  [6633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_method_definition_repeat1, 2, 0, 0),
  [6635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_method_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5709),
  [6638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_definition_repeat1, 2, 0, 0),
  [6640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_method_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(3019),
  [6643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [6645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [6647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [6649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [6651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_parameter_list, 2, 0, 0),
  [6653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [6655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_parameter_list, 2, 0, 0), REDUCE(sym__old_style_parameter_list, 2, 0, 0),
  [6658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0), REDUCE(sym__old_style_parameter_list, 2, 0, 0),
  [6661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [6663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3565),
  [6665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [6667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3522),
  [6669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3523),
  [6671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3567),
  [6673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3446),
  [6675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_parameter_list, 3, 0, 0),
  [6677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_parameter_list, 3, 0, 0), REDUCE(sym__old_style_parameter_list, 3, 0, 0),
  [6680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0), REDUCE(sym__old_style_parameter_list, 3, 0, 0),
  [6683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_method_parameter, 2, 0, 38),
  [6685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_method_parameter, 2, 0, 38),
  [6687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [6691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [6693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 3, 0, 22),
  [6695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 3, 0, 22),
  [6697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_c_method_parameter_repeat1, 2, 0, 21),
  [6699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_c_method_parameter_repeat1, 2, 0, 21),
  [6701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 4, 0, 22),
  [6703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 4, 0, 22),
  [6705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 2, 0, 0),
  [6707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_declarator_repeat1, 2, 0, 0),
  [6709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(6775),
  [6712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3729),
  [6714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [6716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3713),
  [6718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3714),
  [6720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3731),
  [6722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3417),
  [6724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5904),
  [6726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 4, 1, 91),
  [6728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 4, 1, 91),
  [6730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_pointer_declarator, 2, 1, 21),
  [6732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_pointer_declarator, 2, 1, 21),
  [6734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 2, 1, 21),
  [6736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 2, 1, 21),
  [6738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 3, 1, 55),
  [6740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 3, 1, 55),
  [6742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_keyword_selector_repeat1, 2, 0, 0), SHIFT_REPEAT(6691),
  [6745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_keyword_selector_repeat1, 2, 0, 0),
  [6747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_keyword_selector_repeat1, 2, 0, 0), SHIFT_REPEAT(5709),
  [6750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_keyword_selector_repeat1, 2, 0, 0),
  [6752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_pointer_declarator, 3, 1, 55),
  [6754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_pointer_declarator, 3, 1, 55),
  [6756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_declarator, 5, 1, 120),
  [6758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 5, 1, 120),
  [6760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 5, 0, 121),
  [6762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 5, 0, 121),
  [6764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [6766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 4, -10, 0),
  [6768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 3, 0, 24),
  [6770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 3, 0, 24),
  [6772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [6774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 3, -10, 0),
  [6776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 92),
  [6778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 92),
  [6780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, 0, 24),
  [6782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, 0, 24),
  [6784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [6786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [6788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6775),
  [6790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [6792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6160),
  [6794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6418),
  [6796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [6798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6155),
  [6800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_method_parameter, 3, 0, 75),
  [6802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_method_parameter, 3, 0, 75),
  [6804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [6806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [6808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [6810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [6812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [6814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4973),
  [6816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_c_method_parameter_repeat1, 2, 0, 76),
  [6818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_c_method_parameter_repeat1, 2, 0, 76), SHIFT_REPEAT(4807),
  [6821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_c_method_parameter_repeat1, 2, 0, 76),
  [6823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_declarator, 3, 0, 0),
  [6825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_declarator, 3, 0, 0),
  [6827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_definition_repeat1, 3, 0, 0),
  [6829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_method_definition_repeat1, 3, 0, 0),
  [6831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_declarator, 4, 0, 0),
  [6833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_declarator, 4, 0, 0),
  [6835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [6837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [6839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [6841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_declarator, 2, 0, 0),
  [6843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_declarator, 2, 0, 0),
  [6845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_definition_repeat1, 4, 0, 0),
  [6847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_method_definition_repeat1, 4, 0, 0),
  [6849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_definition_repeat2, 2, 0, 0),
  [6851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_method_definition_repeat2, 2, 0, 0), SHIFT_REPEAT(2097),
  [6854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_method_definition_repeat2, 2, 0, 0),
  [6856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [6858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [6860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [6862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [6864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [6866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [6868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4161),
  [6870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3886),
  [6872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3946),
  [6874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3952),
  [6876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4209),
  [6878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3692),
  [6880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 13),
  [6882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 13),
  [6884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [6886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3499),
  [6888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2955),
  [6891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [6893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(2412),
  [6896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0),
  [6898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2922),
  [6900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(6418),
  [6903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2947),
  [6905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_declarator, 2, 0, 22),
  [6907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_declarator, 2, 0, 22),
  [6909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(3001),
  [6912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 0),
  [6914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(2412),
  [6917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0),
  [6919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3005),
  [6921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(6418),
  [6924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2997),
  [6926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, 0, 4),
  [6928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, 0, 4),
  [6930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2412),
  [6933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2368),
  [6936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6775),
  [6939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6219),
  [6942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6160),
  [6945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6418),
  [6948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2381),
  [6951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(6155),
  [6954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3598),
  [6956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_parameter_list, 3, 0, 0),
  [6958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 3, 0, 13),
  [6960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 3, 0, 13),
  [6962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3605),
  [6964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 1, 0, 4),
  [6966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 1, 0, 4),
  [6968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3630),
  [6970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3696),
  [6972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3699),
  [6974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3702),
  [6976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_parameter_list, 4, 0, 0),
  [6978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_parameter_list, 4, 0, 0),
  [6980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3241),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [6986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6219),
  [6988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [6990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [6992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [6994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, 0, 64),
  [6996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, 0, 64),
  [6998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [7000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [7002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [7004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [7006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [7008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [7010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 1, 0, 0),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [7014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 29),
  [7016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 29),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [7020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [7022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [7024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0),
  [7026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3006),
  [7029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3009),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [7034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [7036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [7038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 64),
  [7040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 64),
  [7042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, 0, 8),
  [7044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, 0, 8),
  [7046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 29),
  [7048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 29),
  [7050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [7052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [7056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, 0, 8),
  [7058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, 0, 8),
  [7060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_generic_specifier_repeat1, 2, 0, 0),
  [7062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_specifier_repeat1, 2, 0, 0),
  [7064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3326),
  [7067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [7069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_call_modifier, 1, 0, 0),
  [7071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 2), SHIFT(4088),
  [7074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [7076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_specifier, 2, 0, 2),
  [7078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_specifier, 2, 0, 2),
  [7080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 28),
  [7082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 28),
  [7084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 65),
  [7086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 65),
  [7088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [7091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [7094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2937),
  [7097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [7099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3238),
  [7101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [7103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6450),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [7107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 30),
  [7109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 30),
  [7111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, 0, 65),
  [7113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, 0, 65),
  [7115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 30),
  [7117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 30),
  [7119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, 0, 101),
  [7121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, 0, 101),
  [7123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, 0, 9),
  [7125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, 0, 9),
  [7127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 63),
  [7129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 63),
  [7131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, 0, 9),
  [7133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, 0, 9),
  [7135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 28),
  [7137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 28),
  [7139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5038),
  [7141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [7143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_generic_specifier_repeat1, 3, 0, 0),
  [7145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_specifier_repeat1, 3, 0, 0),
  [7147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, 0, 63),
  [7149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, 0, 63),
  [7151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0),
  [7153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_generic_specifier_repeat1, 4, 0, 0),
  [7155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_specifier_repeat1, 4, 0, 0),
  [7157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 5, 0, 101),
  [7159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 5, 0, 101),
  [7161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 14),
  [7163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, -1, 14),
  [7165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2937),
  [7167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3538),
  [7169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [7171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3483),
  [7173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3484),
  [7175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3541),
  [7177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3451),
  [7179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 62),
  [7181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 62),
  [7183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 63),
  [7185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 63),
  [7187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 64),
  [7189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 64),
  [7191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [7193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 65),
  [7195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 65),
  [7197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 13),
  [7199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 13),
  [7201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2991),
  [7203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [7205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typedefed_specifier, 2, 0, 0),
  [7207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typedefed_specifier, 2, 0, 0),
  [7209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 8, 0, 142),
  [7211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 8, 0, 142),
  [7213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 99),
  [7215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 99),
  [7217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 10),
  [7219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 10),
  [7221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 6, 0, 0),
  [7223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 6, 0, 0),
  [7225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 30),
  [7227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 30),
  [7229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 14),
  [7231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, -1, 14),
  [7233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2940),
  [7235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 100),
  [7237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 100),
  [7239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 7, 0, 123),
  [7241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 7, 0, 123),
  [7243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [7245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [7247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 28),
  [7249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 28),
  [7251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 29),
  [7253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 29),
  [7255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5668),
  [7257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, 0, 63),
  [7259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, 0, 63),
  [7261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, 0, 64),
  [7263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, 0, 64),
  [7265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 7, 0, 124),
  [7267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 7, 0, 124),
  [7269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [7271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3, 0, 0),
  [7273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, 0, 65),
  [7275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, 0, 65),
  [7277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 5, 0, 63),
  [7279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 5, 0, 63),
  [7281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 5, 0, 64),
  [7283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 5, 0, 64),
  [7285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 4),
  [7287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, 0, 4),
  [7289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 5, 0, 65),
  [7291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 5, 0, 65),
  [7293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, 0, 30),
  [7295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, 0, 30),
  [7297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_specifier, 3, 0, 0),
  [7299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_specifier, 3, 0, 0),
  [7301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [7303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, 0, 44),
  [7305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 4, 0, 44),
  [7307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, -1, 45),
  [7309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 4, -1, 45),
  [7311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 6, 0, 101),
  [7313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 6, 0, 101),
  [7315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, 0, 29),
  [7317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, 0, 29),
  [7319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 101),
  [7321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 101),
  [7323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 5, 0, 0),
  [7325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 5, 0, 0),
  [7327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 96),
  [7329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 96),
  [7331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 97),
  [7333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 97),
  [7335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 7, 0, 125),
  [7337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 7, 0, 125),
  [7339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 7, 0, 126),
  [7341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 7, 0, 126),
  [7343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, 0, 30),
  [7345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, 0, 30),
  [7347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [7349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [7351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 98),
  [7353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 98),
  [7355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [7357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typeof_specifier, 4, 0, 0),
  [7359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typeof_specifier, 4, 0, 0),
  [7361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 8),
  [7363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 8),
  [7365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 13),
  [7367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 13),
  [7369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [7371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 2, 0, 0),
  [7373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 7, 0, 127),
  [7375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 7, 0, 127),
  [7377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, 0, 9),
  [7379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, 0, 9),
  [7381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 8),
  [7383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 8),
  [7385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_specifier, 4, 0, 0),
  [7387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_specifier, 4, 0, 0),
  [7389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 44),
  [7391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 44),
  [7393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2975),
  [7395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_specifier, 5, 0, 0),
  [7397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_specifier, 5, 0, 0),
  [7399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 9),
  [7401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 9),
  [7403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 2), SHIFT(5337),
  [7406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 2), SHIFT(2874),
  [7409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 45),
  [7411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, -1, 45),
  [7413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2976),
  [7415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [7417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 28),
  [7419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 28),
  [7421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 8),
  [7423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 8),
  [7425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 0),
  [7427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, 0, 0),
  [7429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [7431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_pointer_modifier, 1, 0, 0),
  [7433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2970),
  [7435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 8, 0, 141),
  [7437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 8, 0, 141),
  [7439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [7441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1, 0, 0),
  [7443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, 0, 9),
  [7445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, 0, 9),
  [7447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 6, 0, 101),
  [7449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 6, 0, 101),
  [7451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 29),
  [7453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 29),
  [7455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [7457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4, 0, 0),
  [7459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 60),
  [7461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 60),
  [7463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 61),
  [7465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 61),
  [7467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, 0, 28),
  [7469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, 0, 28),
  [7471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2520),
  [7473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5137),
  [7475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5105),
  [7477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6513),
  [7479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6690),
  [7481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6187),
  [7483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2926),
  [7485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6488),
  [7487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2493),
  [7489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5171),
  [7491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6196),
  [7493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [7495] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 2), SHIFT(4088),
  [7499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 2), REDUCE(aux_sym__old_style_parameter_list_repeat1, 2, 0, 0),
  [7502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [7504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [7506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 127),
  [7508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 127),
  [7510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 127), SHIFT(6775),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4970),
  [7515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [7517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 99),
  [7519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 99),
  [7521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 99), SHIFT(6775),
  [7524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [7526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 100),
  [7528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 100),
  [7530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 100), SHIFT(6775),
  [7533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [7535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 61),
  [7537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 61),
  [7539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 61), SHIFT(6775),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [7544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4797),
  [7546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 1, 0, 24),
  [7548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [7550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [7552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [7554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [7556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 62),
  [7558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 62),
  [7560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 62), SHIFT(6775),
  [7563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 126),
  [7565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 126),
  [7567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 126), SHIFT(6775),
  [7570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [7572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [7574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(6775),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [7579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [7581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [7585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 1, 0, 0),
  [7587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 1, 0, 0),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [7591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 29),
  [7593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 29),
  [7595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 29), SHIFT(6775),
  [7598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5813),
  [7600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [7602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2925),
  [7604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [7606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 8),
  [7608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 8),
  [7610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 8), SHIFT(6775),
  [7613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 8), SHIFT(5805),
  [7616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 64),
  [7618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 64),
  [7620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 64), SHIFT(6775),
  [7623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5753),
  [7625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_field_declarator_repeat1, 2, 0, 0),
  [7627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_field_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(2412),
  [7630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_field_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(6775),
  [7633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_field_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(6775),
  [7636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_field_declarator_repeat1, 2, 0, 0),
  [7638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_field_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(2412),
  [7641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_field_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(6418),
  [7644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, 0, 38),
  [7646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5805),
  [7648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 2), SHIFT(4102),
  [7651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 64), SHIFT(5753),
  [7654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 2), SHIFT(4107),
  [7657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [7659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 29), SHIFT(5813),
  [7662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [7664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [7668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [7670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [7674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [7676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [7678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 7, 0, 142),
  [7680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 7, 0, 142),
  [7682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 7, 0, 142), SHIFT(6775),
  [7685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [7687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [7689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [7691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [7693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [7695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [7697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [7699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [7701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [7703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [7705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [7707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [7709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [7711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [7713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [7715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [7717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [7719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [7721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [7723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [7725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [7727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [7729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [7731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [7733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [7735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [7737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [7739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [7741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [7743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [7745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [7747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [7749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4801),
  [7751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [7753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [7755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [7757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 96),
  [7759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 96),
  [7761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 96), SHIFT(6775),
  [7764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 65),
  [7766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 65),
  [7768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 65), SHIFT(6775),
  [7771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 97),
  [7773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 97),
  [7775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 97), SHIFT(6775),
  [7778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 98),
  [7780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 98),
  [7782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 98), SHIFT(6775),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [7787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 101),
  [7789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 101),
  [7791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 101), SHIFT(6775),
  [7794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [7796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 123),
  [7798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 123),
  [7800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 123), SHIFT(6775),
  [7803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [7805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 124),
  [7807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 124),
  [7809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 124), SHIFT(6775),
  [7812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 125),
  [7814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 125),
  [7816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 125), SHIFT(6775),
  [7819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 63),
  [7821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 63),
  [7823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 63), SHIFT(6775),
  [7826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [7828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [7830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [7832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [7834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [7836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [7838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [7840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [7842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [7844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [7846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [7848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [7850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6533),
  [7854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6533),
  [7856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [7858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [7860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [7862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [7864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [7866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [7868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 60),
  [7870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 60),
  [7872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 60), SHIFT(6775),
  [7875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 2, 0, 57),
  [7877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 9),
  [7879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 9),
  [7881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 9), SHIFT(6775),
  [7884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [7886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [7888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [7892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [7894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 28),
  [7896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 28),
  [7898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 28), SHIFT(6775),
  [7901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [7903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [7905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [7907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [7909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [7911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [7913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [7919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4196),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4197),
  [7929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [7931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [7933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 30),
  [7935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 30),
  [7937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 30), SHIFT(6775),
  [7940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4200),
  [7942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [7944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [7946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4203),
  [7948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 7, 0, 141),
  [7950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 7, 0, 141),
  [7952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 7, 0, 141), SHIFT(6775),
  [7955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [7957] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(6533),
  [7960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(6533),
  [7963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3814),
  [7965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_name, 1, 0, 0),
  [7967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3984),
  [7969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6186),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [7973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3782),
  [7975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6188),
  [7977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3832),
  [7979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4891),
  [7981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4933),
  [7983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4918),
  [7985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3873),
  [7987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6194),
  [7989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3812),
  [7991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 21),
  [7993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 21),
  [7995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4897),
  [7997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_declaration_repeat1, 1, 0, 0),
  [7999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_method_declaration_repeat1, 1, 0, 0), SHIFT_REPEAT(3235),
  [8002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_method_declaration_repeat1, 1, 0, 0),
  [8004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_method_declaration_repeat1, 1, 0, 0), SHIFT_REPEAT(6775),
  [8007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_method_declaration_repeat1, 1, 0, 0), SHIFT_REPEAT(3018),
  [8010] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_method_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(3241),
  [8013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_method_declaration_repeat1, 2, 0, 0),
  [8015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_method_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(5709),
  [8018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_declaration_repeat1, 2, 0, 0),
  [8020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_method_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(3018),
  [8023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 3, 0, 22),
  [8025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 3, 0, 22),
  [8027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 2, 0, 22),
  [8029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 2, 0, 22),
  [8031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [8033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_method_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(6775),
  [8036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [8038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [8040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 1, 0, 26),
  [8042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, 0, 26),
  [8044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [8046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [8048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_type, 4, 0, 0),
  [8050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_type, 4, 0, 0),
  [8052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_type, 3, 0, 0),
  [8054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_type, 3, 0, 0),
  [8056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [8058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [8060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [8062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_declaration_repeat1, 3, 0, 0),
  [8064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_method_declaration_repeat1, 3, 0, 0),
  [8066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_method_declaration_repeat1, 3, 0, 0), SHIFT_REPEAT(6775),
  [8069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_method_declaration_repeat1, 3, 0, 0), SHIFT_REPEAT(3018),
  [8072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_type, 5, 0, 0),
  [8074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_type, 5, 0, 0),
  [8076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declarator, 1, 0, 0),
  [8078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declarator, 1, 0, 0),
  [8080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [8082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_declaration_repeat1, 4, 0, 0),
  [8084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_method_declaration_repeat1, 4, 0, 0),
  [8086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_method_declaration_repeat1, 4, 0, 0), SHIFT_REPEAT(3018),
  [8089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 3, 1, 55),
  [8091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 3, 1, 55),
  [8093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [8095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_declaration_repeat1, 5, 0, 0),
  [8097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_method_declaration_repeat1, 5, 0, 0),
  [8099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [8101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 0),
  [8103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 2),
  [8105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 2),
  [8107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [8109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_name_repeat1, 1, 0, 0),
  [8111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [8113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6002),
  [8115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 5, 0, 121),
  [8117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 5, 0, 121),
  [8119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 4, 1, 91),
  [8121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 4, 1, 91),
  [8123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 5, 1, 120),
  [8125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 5, 1, 120),
  [8127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 3, 0, 24),
  [8129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 3, 0, 24),
  [8131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_pointer_type_declarator, 3, 1, 55),
  [8133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_pointer_type_declarator, 3, 1, 55),
  [8135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_pointer_type_declarator, 2, 1, 21),
  [8137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_pointer_type_declarator, 2, 1, 21),
  [8139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 2, 1, 21),
  [8141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 2, 1, 21),
  [8143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 92),
  [8145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 92),
  [8147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, 0, 24),
  [8149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, 0, 24),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [8153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6358),
  [8155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, 0, 23),
  [8157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, 0, 23),
  [8159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 21),
  [8161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 21),
  [8163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [8165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 3, -10, 0),
  [8167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [8169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 4, -10, 0),
  [8171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4091),
  [8173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4623),
  [8175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5999),
  [8177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6602),
  [8179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [8181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4118),
  [8183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4884),
  [8185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [8187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 76), SHIFT_REPEAT(4214),
  [8190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 76),
  [8192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 2, 0, 76),
  [8194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_declaration_repeat2, 2, 0, 0), SHIFT_REPEAT(4801),
  [8197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_declaration_repeat2, 2, 0, 0),
  [8199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_struct_declaration_repeat2, 2, 0, 0),
  [8201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_instance_variables_repeat1, 2, 0, 0), SHIFT_REPEAT(4091),
  [8204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_instance_variables_repeat1, 2, 0, 0), SHIFT_REPEAT(4623),
  [8207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_instance_variables_repeat1, 2, 0, 0), SHIFT_REPEAT(5999),
  [8210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_instance_variables_repeat1, 2, 0, 0), SHIFT_REPEAT(3984),
  [8213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_instance_variables_repeat1, 2, 0, 0), SHIFT_REPEAT(6186),
  [8216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_instance_variables_repeat1, 2, 0, 0), SHIFT_REPEAT(6602),
  [8219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_instance_variables_repeat1, 2, 0, 0),
  [8221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_instance_variables_repeat1, 2, 0, 0), SHIFT_REPEAT(3782),
  [8224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_instance_variables_repeat1, 2, 0, 0), SHIFT_REPEAT(4118),
  [8227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_instance_variables_repeat1, 2, 0, 0), SHIFT_REPEAT(6188),
  [8230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_instance_variables_repeat1, 2, 0, 0), SHIFT_REPEAT(3832),
  [8233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_instance_variables_repeat1, 2, 0, 0), SHIFT_REPEAT(4884),
  [8236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_instance_variables_repeat1, 2, 0, 0), SHIFT_REPEAT(4933),
  [8239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_instance_variables_repeat1, 2, 0, 0), SHIFT_REPEAT(4918),
  [8242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_instance_variables_repeat1, 2, 0, 0), SHIFT_REPEAT(3873),
  [8245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_instance_variables_repeat1, 2, 0, 0), SHIFT_REPEAT(6194),
  [8248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_instance_variables_repeat1, 2, 0, 0), SHIFT_REPEAT(4058),
  [8251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_instance_variables_repeat1, 2, 0, 0), SHIFT_REPEAT(3812),
  [8254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4290),
  [8256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6612),
  [8258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [8260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [8262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6646),
  [8264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [8266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_method_definition_repeat2, 2, 0, 0), SHIFT_REPEAT(2098),
  [8269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_c_method_parameter_repeat1, 2, 0, 76), SHIFT_REPEAT(4814),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6548),
  [8274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [8276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 76), SHIFT_REPEAT(4797),
  [8279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 76),
  [8281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, 0, 76),
  [8283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [8285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [8287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_name_repeat1, 2, 0, 0), SHIFT_REPEAT(3814),
  [8290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_name_repeat1, 2, 0, 0),
  [8292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2839),
  [8295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2596),
  [8298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_name_repeat1, 2, 0, 0), SHIFT_REPEAT(4215),
  [8301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_name_repeat1, 2, 0, 0), SHIFT_REPEAT(3984),
  [8304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_name_repeat1, 2, 0, 0), SHIFT_REPEAT(6186),
  [8307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_name_repeat1, 2, 0, 0), SHIFT_REPEAT(5754),
  [8310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_name_repeat1, 2, 0, 0), SHIFT_REPEAT(3782),
  [8313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_name_repeat1, 2, 0, 0), SHIFT_REPEAT(6188),
  [8316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_name_repeat1, 2, 0, 0), SHIFT_REPEAT(3832),
  [8319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_name_repeat1, 2, 0, 0), SHIFT_REPEAT(4891),
  [8322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_name_repeat1, 2, 0, 0), SHIFT_REPEAT(4933),
  [8325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_name_repeat1, 2, 0, 0), SHIFT_REPEAT(4918),
  [8328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_name_repeat1, 2, 0, 0), SHIFT_REPEAT(3873),
  [8331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_name_repeat1, 2, 0, 0), SHIFT_REPEAT(6194),
  [8334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_name_repeat1, 2, 0, 0), SHIFT_REPEAT(3812),
  [8337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [8339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [8341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_repeat1, 3, 0, 111),
  [8343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_repeat1, 3, 0, 111),
  [8345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_name_repeat1, 2, 0, 0), SHIFT_REPEAT(4897),
  [8348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5783),
  [8350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5647),
  [8352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3797),
  [8354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6020),
  [8356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6051),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6128),
  [8360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6096),
  [8362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6606),
  [8364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5993),
  [8366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6605),
  [8368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5918),
  [8370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [8372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [8374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [8376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [8378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3612),
  [8380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [8382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [8384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0),
  [8386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3521),
  [8389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(3338),
  [8392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(6386),
  [8395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 0, 131),
  [8397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [8401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [8403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3633),
  [8405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3634),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [8411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [8415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [8417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [8419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [8421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [8423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3544),
  [8425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3545),
  [8427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [8429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [8431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [8433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5179),
  [8435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5955),
  [8437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4253),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [8441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [8443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [8445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [8447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6019),
  [8449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [8451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [8453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [8455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [8457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3650),
  [8459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3651),
  [8461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [8463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [8465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [8467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [8469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6183),
  [8471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [8473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 68),
  [8475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [8477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [8479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 105),
  [8481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [8483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 48),
  [8485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4278),
  [8487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [8489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [8491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [8493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [8495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [8497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [8499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [8501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3671),
  [8503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3672),
  [8505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [8507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [8509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [8511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [8513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [8515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 0, 68),
  [8517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [8519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3735),
  [8521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3736),
  [8523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [8525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [8527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [8531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [8533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4281),
  [8535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [8537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [8539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6701),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [8543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [8545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6426),
  [8547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [8549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [8551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [8553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3563),
  [8555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3564),
  [8557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [8559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [8561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [8563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [8567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, 0, 0),
  [8569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [8571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [8573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6632),
  [8575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4871),
  [8579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [8583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [8585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5252),
  [8591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [8593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4875),
  [8595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [8597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5847),
  [8599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [8601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4851),
  [8603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(3521),
  [8606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(6386),
  [8609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5188),
  [8611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [8613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5772),
  [8615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [8617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4919),
  [8619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [8621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5274),
  [8623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [8625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6349),
  [8627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [8629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [8631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [8633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [8635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [8637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [8639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [8641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [8643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [8645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [8647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [8649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [8651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [8653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [8655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [8657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 1, 0, 0), REDUCE(aux_sym_array_declarator_repeat1, 1, 0, 0),
  [8660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 1, 0, 0), REDUCE(aux_sym_array_declarator_repeat1, 1, 0, 0),
  [8663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_declarator_repeat1, 1, 0, 0),
  [8665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_declarator_repeat1, 1, 0, 0),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [8669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [8675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [8677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [8679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5443),
  [8687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4117),
  [8689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4120),
  [8691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4119),
  [8693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(4091),
  [8696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_declaration_repeat1, 2, 0, 0),
  [8698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(3984),
  [8701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_struct_declaration_repeat1, 2, 0, 0),
  [8703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(3782),
  [8706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(6188),
  [8709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(3832),
  [8712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(4884),
  [8715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(4933),
  [8718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(4918),
  [8721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(3873),
  [8724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(6194),
  [8727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_struct_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(3812),
  [8730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4996),
  [8732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(3802),
  [8735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(3984),
  [8738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(3803),
  [8741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(6188),
  [8744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(3800),
  [8747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(3808),
  [8750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(3984),
  [8753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(3822),
  [8756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(6188),
  [8759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(3804),
  [8762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(3984),
  [8765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2, 0, 0), SHIFT_REPEAT(6188),
  [8768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [8770] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 2), SHIFT(3315),
  [8774] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__declarator, 1, 0, 0), REDUCE(sym_type_specifier, 1, 0, 2), SHIFT(3827),
  [8778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [8780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 13), SHIFT(3821),
  [8783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 14), SHIFT(3821),
  [8786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 44), SHIFT(3815),
  [8789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 8), SHIFT(6186),
  [8792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4978),
  [8794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [8796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 45), SHIFT(3816),
  [8799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 0), SHIFT(3821),
  [8802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 13), SHIFT(3798),
  [8805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 29), SHIFT(6186),
  [8808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5853),
  [8810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 64), SHIFT(6186),
  [8813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5900),
  [8815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 14), SHIFT(3799),
  [8818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6447),
  [8820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(6186),
  [8823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, 0, 44), SHIFT(3821),
  [8826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, -1, 45), SHIFT(3821),
  [8829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 4), SHIFT(3821),
  [8832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3821),
  [8835] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT(3821),
  [8839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 10), SHIFT(3821),
  [8842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(3315),
  [8845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(3820),
  [8848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [8850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [8852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 61), SHIFT(6186),
  [8855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4223),
  [8857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4194),
  [8859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4261),
  [8861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 99), SHIFT(6186),
  [8864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 100), SHIFT(6186),
  [8867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 126), SHIFT(6186),
  [8870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 127), SHIFT(6186),
  [8873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protocol_qualifier, 1, 0, 0),
  [8875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protocol_qualifier, 1, 0, 0),
  [8877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_name_repeat1, 1, 0, 0),
  [8879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 2, 0, 9), SHIFT(6186),
  [8882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_specifier_qualifier, 1, 0, 0),
  [8884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_specifier_qualifier, 1, 0, 0),
  [8886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 28), SHIFT(6186),
  [8889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 3, 0, 30), SHIFT(6186),
  [8892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [8894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 7, 0, 141), SHIFT(6186),
  [8897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 7, 0, 142), SHIFT(6186),
  [8900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 60), SHIFT(6186),
  [8903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 63), SHIFT(6186),
  [8906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 65), SHIFT(6186),
  [8909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 96), SHIFT(6186),
  [8912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 97), SHIFT(6186),
  [8915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 98), SHIFT(6186),
  [8918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 5, 0, 101), SHIFT(6186),
  [8921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 123), SHIFT(6186),
  [8924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 124), SHIFT(6186),
  [8927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 6, 0, 125), SHIFT(6186),
  [8930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 4, 0, 62), SHIFT(6186),
  [8933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 29), SHIFT(4978),
  [8936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5896),
  [8938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 8), SHIFT(4978),
  [8941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5784),
  [8943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 64), SHIFT(4978),
  [8946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [8948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 61), SHIFT(4978),
  [8951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 62), SHIFT(4978),
  [8954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 99), SHIFT(4978),
  [8957] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 5, 0, 100), SHIFT(4978),
  [8960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 126), SHIFT(4978),
  [8963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 6, 0, 127), SHIFT(4978),
  [8966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_specification, 1, 0, 0),
  [8968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_specification, 1, 0, 0),
  [8970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instance_variable, 1, 0, 0),
  [8972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable, 1, 0, 0),
  [8974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 8), SHIFT(5737),
  [8977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 64), SHIFT(5778),
  [8980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_instance_variables_repeat1, 2, 0, 0),
  [8982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 29), SHIFT(5800),
  [8985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4887),
  [8987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_specifier, 1, 0, 2), SHIFT(4109),
  [8990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4553),
  [8992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4556),
  [8994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [8996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [8998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_block_pointer_declarator, 2, 1, 0),
  [9000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_block_pointer_declarator, 2, 1, 0),
  [9002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_block_pointer_declarator, 1, 1, 0),
  [9004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_block_pointer_declarator, 1, 1, 0),
  [9006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_attributes_declaration, 2, 0, 0),
  [9008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_attributes_declaration, 2, 0, 0),
  [9010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_attributes_declaration, 4, 0, 0),
  [9012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_attributes_declaration, 4, 0, 0),
  [9014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_attributes_declaration, 3, 0, 0),
  [9016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_attributes_declaration, 3, 0, 0),
  [9018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5842),
  [9020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [9022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6553),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6157),
  [9026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5917),
  [9028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6030),
  [9030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5972),
  [9032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6373),
  [9034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [9036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5837),
  [9038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5768),
  [9040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 13),
  [9042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [9044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 1, 0, 4),
  [9046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 4),
  [9048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 13),
  [9050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3001),
  [9052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2955),
  [9054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4247),
  [9056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_definition_type, 1, 0, 4), REDUCE(sym__type_definition_type, 2, 0, 13),
  [9059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_definition_type, 1, 0, 4), REDUCE(sym__type_definition_type, 2, 0, 13),
  [9062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [9064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 13),
  [9066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 13),
  [9068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 1, 0, 4),
  [9070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 1, 0, 4),
  [9072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 3, 0, 44),
  [9074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 3, 0, 44),
  [9076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4264),
  [9079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4257),
  [9082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1, 0, 0), SHIFT(4263),
  [9085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(4269),
  [9088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(4270),
  [9091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), SHIFT(4268),
  [9094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 2), SHIFT(4260),
  [9097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 5, 0, 44),
  [9099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 5, 0, 44),
  [9101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 3, 0, 13),
  [9103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 3, 0, 13),
  [9105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 4, 0, 44),
  [9107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 4, 0, 44),
  [9109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 4), REDUCE(sym__type_definition_type, 3, 0, 13),
  [9112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 4), REDUCE(sym__type_definition_type, 3, 0, 13),
  [9115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, 0, 4),
  [9117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, 0, 4),
  [9119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 26),
  [9121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(3418),
  [9124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6662),
  [9126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3485),
  [9128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [9130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 4), SHIFT(2937),
  [9133] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 0), REDUCE(aux_sym_sized_type_specifier_repeat1, 2, 0, 0), SHIFT(2937),
  [9137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 4, 0, 13),
  [9139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 4, 0, 13),
  [9141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, 0, 44), SHIFT(2937),
  [9144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 10), SHIFT(2937),
  [9147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_type_specifier, 1, 0, 0), SHIFT(4254),
  [9150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, 0, 13), SHIFT(4266),
  [9153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, -1, 14), SHIFT(4267),
  [9156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 3, 0, 4),
  [9158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 3, 0, 4),
  [9160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 13), SHIFT(2937),
  [9163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 14), SHIFT(2937),
  [9166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 44), SHIFT(4259),
  [9169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, -1, 45), SHIFT(4273),
  [9172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, 0, 0), SHIFT(2937),
  [9175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_definition_type, 3, 0, 4), REDUCE(sym__type_definition_type, 4, 0, 13),
  [9178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_definition_type, 3, 0, 4), REDUCE(sym__type_definition_type, 4, 0, 13),
  [9181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 4, -1, 45), SHIFT(2937),
  [9184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 1, 0, 19),
  [9186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4305),
  [9188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, 0, 22),
  [9190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, 0, 19),
  [9192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 3, 0, 22),
  [9194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3328),
  [9196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 2, 0, 22),
  [9198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [9200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 3, 0, 22),
  [9202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_field_declarator, 3, 0, 22),
  [9204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 3, 0, 29), SHIFT(5774),
  [9207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 2, 0, 8), SHIFT(5768),
  [9210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 4, 0, 64), SHIFT(5837),
  [9213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 3, 0, 22),
  [9215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 2, 0, 19),
  [9217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [9219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3461),
  [9221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3462),
  [9223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [9225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [9227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3465),
  [9229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3466),
  [9231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3467),
  [9233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [9235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3469),
  [9237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [9239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3470),
  [9241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [9243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_extension_expression, 2, 0, 0), SHIFT(3460),
  [9246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 89),
  [9248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [9250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3525),
  [9252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3526),
  [9254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3529),
  [9256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3530),
  [9258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3531),
  [9260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [9262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3533),
  [9264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [9266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3534),
  [9268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [9270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [9272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [9274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [9276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_extension_expression, 2, 0, 0), SHIFT(3524),
  [9279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [9281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [9283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [9285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [9289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [9291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [9293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [9295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [9297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [9301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [9303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3716),
  [9305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3717),
  [9307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [9309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3720),
  [9311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3721),
  [9313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3722),
  [9315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [9317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3724),
  [9319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [9321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3725),
  [9323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [9325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [9327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [9329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_extension_expression, 2, 0, 0), SHIFT(3715),
  [9332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [9334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2907),
  [9336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [9338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3502),
  [9340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [9342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3503),
  [9344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [9346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [9348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3508),
  [9350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [9352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3510),
  [9354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [9356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3512),
  [9358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [9360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [9362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [9364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_extension_expression, 2, 0, 0), SHIFT(3501),
  [9367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5210),
  [9369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [9371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [9373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3487),
  [9375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [9377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3488),
  [9379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [9381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [9383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3491),
  [9385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [9387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3493),
  [9389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [9391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3495),
  [9393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [9395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [9397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [9399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [9401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [9403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [9405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_message_expression_repeat1, 2, 0, 0),
  [9407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [9409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitfield_clause, 2, 0, 0),
  [9411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bitfield_clause, 2, 0, 0),
  [9413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_repeat1, 2, 0, 0),
  [9415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_extension_expression, 2, 0, 0), SHIFT(3486),
  [9418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [9420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [9422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [9424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [9426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [9428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3614),
  [9430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [9432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3615),
  [9434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [9436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [9438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3618),
  [9440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [9442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3620),
  [9444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [9446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3622),
  [9448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [9450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [9452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [9454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [9456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [9458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [9460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [9462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [9464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [9466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comma_expression, 3, 0, 52),
  [9468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5890),
  [9470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5409),
  [9472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6217),
  [9474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6354),
  [9476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [9478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5504),
  [9480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [9482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [9484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [9486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5631),
  [9488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5526),
  [9490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [9492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [9494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5542),
  [9496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [9498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5588),
  [9500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [9502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0),
  [9504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 139),
  [9506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [9508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_pair, 3, 0, 0),
  [9510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [9512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [9514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [9516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [9518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [9520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [9522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 5, 0, 144),
  [9524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [9526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [9528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [9530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [9532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 3, 0, 0),
  [9534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [9536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [9538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [9540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [9542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [9544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [9546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_availability_repeat1, 4, 0, 0),
  [9548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [9550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [9552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 103),
  [9554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [9556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [9558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [9560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_extension_expression, 2, 0, 0), SHIFT(3613),
  [9563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [9565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [9567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [9569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [9571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [9573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, 0, 104),
  [9575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 4, 0, 0),
  [9577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [9579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [9581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [9583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [9585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, 0, 138),
  [9587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 0, 128),
  [9589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [9591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [9593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 0, 129),
  [9595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, 0, 130),
  [9597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [9599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [9601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5532),
  [9603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [9605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [9607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [9609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [9611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [9613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [9615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [9617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [9619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [9621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [9623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [9625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [9627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [9629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [9631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [9633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [9635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6351),
  [9637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [9639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [9641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [9643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [9645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [9647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [9649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [9651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [9653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [9655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [9657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [9659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [9661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [9663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4877),
  [9665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4275),
  [9667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5672),
  [9669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [9671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6680),
  [9673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [9675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [9677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5591),
  [9679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [9681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [9683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [9685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5680),
  [9687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [9689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [9691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [9693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [9695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6492),
  [9697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [9699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [9701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [9703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [9705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [9707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [9709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [9711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [9713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [9715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, 0, 20),
  [9717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4578),
  [9719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6029),
  [9721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [9723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5749),
  [9725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4594),
  [9727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4594),
  [9729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4629),
  [9731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [9733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [9735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4580),
  [9737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [9739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4692),
  [9741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4622),
  [9743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [9745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4614),
  [9747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4586),
  [9749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4621),
  [9751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5828),
  [9753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [9755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4581),
  [9757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4691),
  [9759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5664),
  [9761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4668),
  [9763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4638),
  [9765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4643),
  [9767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4695),
  [9769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4579),
  [9771] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [9773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4693),
  [9775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4673),
  [9777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4694),
  [9779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4667),
  [9781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4661),
  [9783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4679),
  [9785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4669),
  [9787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [9789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4690),
  [9791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4657),
  [9793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4677),
  [9795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4682),
  [9797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4634),
  [9799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4637),
  [9801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4674),
  [9803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4684),
  [9805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [9807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4680),
  [9809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4656),
  [9811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4648),
  [9813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [9815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [9817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4653),
  [9819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4640),
  [9821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4639),
  [9823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4655),
  [9825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [9827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4654),
  [9829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [9831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4642),
  [9833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4608),
  [9835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4611),
  [9837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4611),
  [9839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4613),
  [9841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4599),
  [9843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4610),
  [9845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [9847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4627),
  [9849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4600),
  [9851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4583),
  [9853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [9855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [9857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4671),
  [9859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [9861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4675),
  [9863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4658),
  [9865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4676),
  [9867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4659),
  [9869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4683),
  [9871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4663),
  [9873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4666),
  [9875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4688),
  [9877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4660),
  [9879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4696),
  [9881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4645),
  [9883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4678),
  [9885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6394),
  [9887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [9889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4672),
  [9891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4664),
  [9893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, 0, 12),
  [9895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, 0, 12),
  [9897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, 0, 34),
  [9899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4832),
  [9901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5783),
  [9903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5045),
  [9905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [9907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [9909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, 0, 34),
  [9911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4813),
  [9913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [9915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [9917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [9919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [9921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, 0, 6),
  [9923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, 0, 6),
  [9925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [9927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [9929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0),
  [9931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4815),
  [9933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [9935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [9937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [9939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [9941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4618),
  [9943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4620),
  [9945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4582),
  [9947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4593),
  [9949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4603),
  [9951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4615),
  [9953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4631),
  [9955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [9957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4626),
  [9959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4590),
  [9961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4605),
  [9963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [9965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [9967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [9969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [9971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [9973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [9975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [9977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [9981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [9983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4908),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [9987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [9989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4681),
  [9991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [9993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [9995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4650),
  [9997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [9999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [10001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [10003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [10005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_name, 2, 0, 0),
  [10007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_name, 2, 0, 0),
  [10009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [10011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4799),
  [10013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [10015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [10017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [10019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [10021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4635),
  [10023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [10025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5107),
  [10027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5020),
  [10029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5114),
  [10031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [10033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5013),
  [10035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 1, 0, 0),
  [10037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_availability_attribute_specifier_repeat1, 2, 0, 0),
  [10039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5109),
  [10041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [10043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [10045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5647),
  [10047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5908),
  [10049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5160),
  [10051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5230),
  [10053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4592),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6613),
  [10057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [10059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [10061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5139),
  [10063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [10065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 1, 0, 0),
  [10067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6526),
  [10069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6013),
  [10071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [10073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 21),
  [10075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 21),
  [10077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 21), SHIFT_REPEAT(3580),
  [10080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 1, 0, 0),
  [10082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6001),
  [10084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 2, 0, 0),
  [10086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 24),
  [10088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 24),
  [10090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5669),
  [10092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6616),
  [10094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5239),
  [10096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6082),
  [10098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [10100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__abstract_declarator, 1, 0, 0),
  [10102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 5, 0, 121),
  [10104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 5, 0, 121),
  [10106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [10108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_field_declarator, 2, 0, 0),
  [10110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 5, 1, 120),
  [10112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 5, 1, 120),
  [10114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5338),
  [10116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6512),
  [10118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 24),
  [10120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 24),
  [10122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5614),
  [10124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6437),
  [10126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_pointer_field_declarator, 2, 1, 21),
  [10128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_pointer_field_declarator, 2, 1, 21),
  [10130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [10132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 4, 0, 0),
  [10134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5616),
  [10136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6233),
  [10138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 3, 1, 55),
  [10140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 3, 1, 55),
  [10142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 4, 1, 91),
  [10144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 4, 1, 91),
  [10146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_pointer_field_declarator, 3, 1, 55),
  [10148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_pointer_field_declarator, 3, 1, 55),
  [10150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [10152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 0),
  [10154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_available_expression_repeat1, 2, 0, 0),
  [10156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5490),
  [10158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6216),
  [10160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 118),
  [10162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 118),
  [10164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [10166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 3, 0, 0),
  [10168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0),
  [10170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0),
  [10172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_field_declarator_repeat1, 2, 0, 0), SHIFT_REPEAT(6219),
  [10175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, 0, 92),
  [10177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, 0, 92),
  [10179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [10181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, 0, 89),
  [10183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 2, 1, 21),
  [10185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_field_declarator, 2, 1, 21),
  [10187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3062),
  [10189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6711),
  [10191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5276),
  [10193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5610),
  [10195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4069),
  [10197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5952),
  [10199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1760),
  [10201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4296),
  [10203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6417),
  [10205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [10207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3801),
  [10209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6687),
  [10211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4151),
  [10213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3069),
  [10215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [10217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3998),
  [10219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [10221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6736),
  [10223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5117),
  [10225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [10227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [10229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [10231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5058),
  [10233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [10235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [10237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5076),
  [10239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [10241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5092),
  [10243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [10245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator, 3, 0, 48),
  [10247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [10249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 66),
  [10251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 66),
  [10253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [10255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, 0, 0),
  [10257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [10259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6366),
  [10261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [10263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [10265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [10267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [10269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [10271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 4, -10, 0),
  [10273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3790),
  [10275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 92),
  [10277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 92),
  [10279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, 0, 24),
  [10281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, 0, 24),
  [10283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [10285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [10287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [10289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(5276),
  [10292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [10294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [10296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 3, 0, 24),
  [10298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 3, 0, 24),
  [10300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3795),
  [10302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator, 4, 0, 48),
  [10304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 5, 0, 121),
  [10306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 5, 0, 121),
  [10308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [10310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [10312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5969),
  [10314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6031),
  [10316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [10318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6113),
  [10320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [10322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [10324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [10326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [10328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5089),
  [10330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [10332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3238),
  [10335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5163),
  [10338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6450),
  [10341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [10343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [10345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2914),
  [10347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_ifdef_in_enumerator_repeat1, 2, 0, 0), SHIFT_REPEAT(5908),
  [10350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_ifdef_in_enumerator_repeat1, 2, 0, 0),
  [10352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_ifdef_in_enumerator_repeat1, 2, 0, 0),
  [10354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [10356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 3, -10, 0),
  [10358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [10360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [10362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5248),
  [10364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5118),
  [10366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5747),
  [10368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5045),
  [10370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [10372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 21),
  [10374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 2, 1, 21),
  [10376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [10378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_block_pointer_declarator, 2, 1, 21),
  [10380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_block_pointer_declarator, 2, 1, 21),
  [10382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6433),
  [10384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [10386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5208),
  [10388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5815),
  [10390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5292),
  [10392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5907),
  [10394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6281),
  [10396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [10398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 55),
  [10400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_block_pointer_declarator, 3, 1, 55),
  [10402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6691),
  [10404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5510),
  [10406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0),
  [10408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(5117),
  [10411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [10413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_pointer_declarator, 3, 1, 55),
  [10415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_block_pointer_declarator, 3, 1, 55),
  [10417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4879),
  [10419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5286),
  [10421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5811),
  [10423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4873),
  [10425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4856),
  [10427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4857),
  [10429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4854),
  [10431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(3558),
  [10434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0),
  [10436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2, 0, 0), SHIFT_REPEAT(6646),
  [10439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_name, 3, 0, 0),
  [10441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_name, 3, 0, 0),
  [10443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4855),
  [10445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [10447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [10449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6646),
  [10451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 51),
  [10453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [10455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [10457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4078),
  [10459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5970),
  [10461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5845),
  [10463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_identifier, 2, 0, 0),
  [10465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [10467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4139),
  [10469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6500),
  [10471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [10473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [10475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, 0, 18),
  [10477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [10479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3996),
  [10481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6737),
  [10483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [10485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_identifier, 1, 0, 0),
  [10487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4294),
  [10489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [10491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [10493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 76), SHIFT_REPEAT(4799),
  [10496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 76),
  [10498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 2, 0, 76),
  [10500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3060),
  [10502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6652),
  [10504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3805),
  [10506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [10508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4957),
  [10510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [10512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, 0, 54),
  [10514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3081),
  [10516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4917),
  [10518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 4, 0, 90),
  [10520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5871),
  [10522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5334),
  [10524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [10526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [10528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [10530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5814),
  [10532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3793),
  [10534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator, 5, 0, 87),
  [10536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3794),
  [10538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_qualifier, 1, 0, 0),
  [10540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_selector_expression_repeat1, 2, 0, 0),
  [10542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_selector_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(5118),
  [10545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [10547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_method_identifier_repeat1, 2, 0, 0),
  [10549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_method_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(5122),
  [10552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_repeat1, 2, 0, 0), SHIFT_REPEAT(3514),
  [10555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 21),
  [10557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_declaration_repeat1, 3, 0, 21),
  [10559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_protocol_declaration_repeat1, 2, 0, 0),
  [10561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1341),
  [10564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6637),
  [10566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [10568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [10570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2897),
  [10572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [10574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator, 3, 0, 16),
  [10576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2908),
  [10578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [10580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [10582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [10584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [10586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [10588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_method_identifier_repeat2, 2, 0, 0),
  [10590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [10592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_message_expression_repeat1, 3, 0, 0),
  [10594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator, 4, 0, 49),
  [10596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5619),
  [10598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator, 4, 0, 16),
  [10600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 3, 0, 0),
  [10602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2496),
  [10604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [10606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [10608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [10610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [10612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [10614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameterized_arguments_repeat2, 2, 0, 50), SHIFT_REPEAT(5562),
  [10617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameterized_arguments_repeat2, 2, 0, 50),
  [10619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [10621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [10623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5688),
  [10625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6292),
  [10627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [10629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4892),
  [10631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 2, 0, 107),
  [10633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [10635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6721),
  [10637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [10639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6069),
  [10641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [10643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5190),
  [10645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5190),
  [10647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_message_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3573),
  [10650] = {.entry = {.count = 3, .reusable = true}}, REDUCE(aux_sym_parameterized_arguments_repeat1, 2, 0, 50), REDUCE(aux_sym_parameterized_arguments_repeat2, 2, 0, 50), SHIFT(5562),
  [10654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameterized_arguments_repeat1, 2, 0, 50), REDUCE(aux_sym_parameterized_arguments_repeat2, 2, 0, 50),
  [10657] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameterized_arguments_repeat1, 2, 0, 50), SHIFT(3324),
  [10660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [10662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [10664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [10666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5246),
  [10668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [10670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_protocol_forward_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(6767),
  [10673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_protocol_forward_declaration_repeat1, 2, 0, 0),
  [10675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0),
  [10677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(5186),
  [10680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [10682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5186),
  [10684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [10686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5205),
  [10688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5205),
  [10690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [10692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [10694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5236),
  [10696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [10698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [10700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [10702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6177),
  [10704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [10706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [10708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5297),
  [10710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5297),
  [10712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [10714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [10716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5226),
  [10718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5226),
  [10720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [10722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [10724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [10726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [10728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5868),
  [10730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [10732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [10734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [10736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [10738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6784),
  [10740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 145), SHIFT_REPEAT(4892),
  [10743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 145),
  [10745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [10747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2739),
  [10749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6618),
  [10751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5726),
  [10753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5787),
  [10755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [10757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4846),
  [10759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 3, 0, 152),
  [10761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_message_expression_repeat2, 1, 0, 27),
  [10763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [10765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [10767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [10769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0),
  [10771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0), SHIFT_REPEAT(5726),
  [10774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [10776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6732),
  [10778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [10780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [10782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [10784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5264),
  [10786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5264),
  [10788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameterized_arguments_repeat2, 3, 0, 50), SHIFT(5562),
  [10791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameterized_arguments_repeat2, 3, 0, 50),
  [10793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [10795] = {.entry = {.count = 3, .reusable = true}}, REDUCE(aux_sym_parameterized_arguments_repeat1, 3, 0, 88), REDUCE(aux_sym_parameterized_arguments_repeat2, 3, 0, 88), SHIFT(5562),
  [10799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameterized_arguments_repeat1, 3, 0, 88), REDUCE(aux_sym_parameterized_arguments_repeat2, 3, 0, 88),
  [10802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameterized_arguments_repeat1, 3, 0, 88), SHIFT(3321),
  [10805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [10807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [10809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6048),
  [10811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [10813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6794),
  [10815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 145), SHIFT_REPEAT(4882),
  [10818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 145),
  [10820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [10822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 3, 0, 133),
  [10824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [10826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [10828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6218),
  [10830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [10832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6361),
  [10834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5830),
  [10836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator, 1, 0, 0),
  [10838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4651),
  [10840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 3, 0, 133),
  [10842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [10844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [10846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6176),
  [10848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4862),
  [10850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 2, 0, 146),
  [10852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
  [10854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(5236),
  [10857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(5236),
  [10860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [10862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [10864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5836),
  [10866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5256),
  [10868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5256),
  [10870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5311),
  [10872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5311),
  [10874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 158), SHIFT_REPEAT(4846),
  [10877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 158),
  [10879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [10881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [10883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6180),
  [10885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [10887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4662),
  [10889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_identifier, 3, 0, 0),
  [10891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [10893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5986),
  [10895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4474),
  [10897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [10899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6476),
  [10901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [10903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [10905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5216),
  [10907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5216),
  [10909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [10911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_message_expression_repeat2, 2, 0, 27),
  [10913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 2, 0, 107),
  [10915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5859),
  [10917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5300),
  [10919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5300),
  [10921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [10923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6044),
  [10925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [10927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [10929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [10931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [10933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5199),
  [10935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5199),
  [10937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameterized_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(5562),
  [10940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameterized_arguments_repeat1, 2, 0, 0),
  [10942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [10944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [10946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [10948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6178),
  [10950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_method_identifier_repeat2, 2, 0, 0), SHIFT_REPEAT(5845),
  [10953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [10955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [10957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [10959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [10961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [10963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [10965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5271),
  [10967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5271),
  [10969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [10971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [10973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [10975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6065),
  [10977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator, 2, 0, 0),
  [10979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [10981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [10983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [10985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [10987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [10989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [10991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [10993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [10995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [10997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5985),
  [10999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [11001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [11003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [11005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [11007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [11009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6168),
  [11011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [11013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [11015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [11017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [11019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6175),
  [11021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [11023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [11025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [11027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [11029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6179),
  [11031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [11033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [11035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [11037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [11039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [11041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5212),
  [11043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5212),
  [11045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [11047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5206),
  [11049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5206),
  [11051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [11053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6445),
  [11055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [11057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5189),
  [11059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5189),
  [11061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [11063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [11065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5954),
  [11067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [11069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6142),
  [11071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [11073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [11075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [11077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [11079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5200),
  [11081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5200),
  [11083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [11085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6578),
  [11087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [11089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6570),
  [11091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameterized_arguments_repeat2, 4, 0, 88), SHIFT(5562),
  [11094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameterized_arguments_repeat2, 4, 0, 88),
  [11096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [11098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [11100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameterized_arguments_repeat2, 3, 0, 88), SHIFT_REPEAT(5562),
  [11103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameterized_arguments_repeat2, 3, 0, 88),
  [11105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [11107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4872),
  [11109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5882),
  [11111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6751),
  [11113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_available_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(5748),
  [11116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [11118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4831),
  [11120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [11122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6619),
  [11124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [11126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_attribute, 3, 0, 0),
  [11128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5796),
  [11130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5928),
  [11132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [11134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_attributes_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(5905),
  [11137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_attributes_declaration_repeat1, 2, 0, 0),
  [11139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_message_expression_repeat2, 2, 0, 59), SHIFT_REPEAT(5210),
  [11142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_message_expression_repeat2, 2, 0, 59),
  [11144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5791),
  [11146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [11148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4577),
  [11150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [11152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [11154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [11156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5802),
  [11158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [11160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6502),
  [11162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5325),
  [11164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5169),
  [11166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [11168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4843),
  [11170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6583),
  [11172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [11174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [11176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4839),
  [11178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [11180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5337),
  [11182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [11184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [11186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5385),
  [11188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [11190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [11192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [11194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [11196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5187),
  [11198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [11200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [11202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [11204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [11206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6442),
  [11208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [11210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [11212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [11214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [11216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6554),
  [11218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameterized_arguments_repeat1, 3, 0, 88),
  [11220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5173),
  [11222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6411),
  [11224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6626),
  [11226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [11228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [11230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [11232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_import_repeat1, 2, 0, 0),
  [11234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_import_repeat1, 2, 0, 0), SHIFT_REPEAT(6619),
  [11237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [11239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [11241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5231),
  [11243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [11245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5905),
  [11247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [11249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5194),
  [11251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5889),
  [11253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [11255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6336),
  [11257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [11259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5979),
  [11261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6227),
  [11263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [11265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [11267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [11269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6133),
  [11271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [11273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6376),
  [11275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameterized_arguments_repeat1, 2, 0, 50),
  [11277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6448),
  [11279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5430),
  [11281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [11283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [11285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5879),
  [11287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5722),
  [11289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [11291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [11293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat2, 2, 0, 0), SHIFT_REPEAT(3317),
  [11296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat2, 2, 0, 0),
  [11298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6659),
  [11300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5699),
  [11302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [11304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [11306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [11308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6786),
  [11310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5507),
  [11312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [11314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameterized_arguments_repeat2, 2, 0, 0), SHIFT_REPEAT(5385),
  [11317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameterized_arguments_repeat2, 2, 0, 0),
  [11319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [11321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [11323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4665),
  [11325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [11327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [11329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__old_style_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5337),
  [11332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__old_style_parameter_list_repeat1, 2, 0, 0),
  [11334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6040),
  [11336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5566),
  [11338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [11340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [11342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [11344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5590),
  [11346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [11348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [11350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [11352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [11354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6588),
  [11356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [11358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 94),
  [11360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [11362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [11364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_designator, 3, 0, 0),
  [11366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(5882),
  [11369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2, 0, 0),
  [11371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [11373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [11375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [11377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3300),
  [11380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [11382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [11384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [11386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [11388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [11390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [11392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [11394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [11396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5752),
  [11398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [11400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_implementation_repeat1, 2, 0, 0),
  [11402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6343),
  [11404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [11406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [11408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [11410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_implementation_repeat1, 2, 0, 0), SHIFT_REPEAT(6048),
  [11413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_repeat1, 2, 0, 0), SHIFT_REPEAT(3475),
  [11416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [11418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [11420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [11422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_availability_attribute_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(4635),
  [11425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [11427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [11429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [11431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [11433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6777),
  [11435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [11437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 4, 0, 151),
  [11439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [11441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, 0, 107),
  [11443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [11445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [11447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [11449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [11451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [11453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6482),
  [11455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 2, 0, 153),
  [11457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [11459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [11461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4606),
  [11464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6509),
  [11466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [11468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5653),
  [11470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [11472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [11474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [11476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [11478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [11480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [11482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6470),
  [11484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5429),
  [11486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6454),
  [11488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [11490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [11492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [11494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [11496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5181),
  [11498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6581),
  [11500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [11502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [11504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_range_designator, 5, 0, 157),
  [11506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [11508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5135),
  [11510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [11512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(4086),
  [11515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2, 0, 0),
  [11517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 4, 0, 151),
  [11519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, 0, 146),
  [11521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [11523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [11525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [11527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [11529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 3, 0, 159),
  [11531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_designator, 2, 0, 119),
  [11533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [11535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [11537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [11539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [11541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6097),
  [11543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [11545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [11547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [11549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [11551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [11553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5154),
  [11555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [11557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_version, 1, 0, 0),
  [11559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5818),
  [11561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [11563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [11565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4652),
  [11567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [11569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [11571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [11573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, 0, 107),
  [11575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [11577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [11579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [11581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5846),
  [11583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1979),
  [11586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0),
  [11588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [11590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(5842),
  [11593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_specifier_repeat1, 2, 0, 0),
  [11595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [11597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5769),
  [11599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [11601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_method_type_repeat1, 2, 0, 0), SHIFT_REPEAT(3305),
  [11604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_method_type_repeat1, 2, 0, 0),
  [11606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [11608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_platform, 1, 0, 0),
  [11610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [11612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [11614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [11616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 161), SHIFT_REPEAT(6482),
  [11619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 161),
  [11621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_version_repeat1, 2, 0, 0), SHIFT_REPEAT(5879),
  [11624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_version_repeat1, 2, 0, 0),
  [11626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2432),
  [11629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [11631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [11633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [11635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5244),
  [11637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [11639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [11641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 7, 0, 162),
  [11643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6350),
  [11645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [11647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(6583),
  [11650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_arguments_repeat1, 2, 0, 0),
  [11652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [11654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 7, 0, 162),
  [11656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [11658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_repeat1, 2, 0, 0), SHIFT_REPEAT(3629),
  [11661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_availability_repeat1, 2, 0, 0),
  [11663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [11665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5207),
  [11667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5873),
  [11669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [11671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [11673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [11675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_attribute, 1, 0, 0),
  [11677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5929),
  [11679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [11681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dictionary_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(3423),
  [11684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dictionary_literal_repeat1, 2, 0, 0),
  [11686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [11688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [11690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [11692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_availability_repeat1, 2, 0, 0), SHIFT_REPEAT(6217),
  [11695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [11697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6569),
  [11699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [11701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(6637),
  [11704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6207),
  [11706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_version, 5, 0, 0),
  [11708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [11710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [11712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6137),
  [11714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [11716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5550),
  [11718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_method_type_repeat1, 3, 0, 0),
  [11720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [11722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [11724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5874),
  [11726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [11728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5870),
  [11730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [11732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6573),
  [11734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [11736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5995),
  [11738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [11740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6081),
  [11742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [11744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4079),
  [11746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4074),
  [11748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_implementation_repeat1, 4, 0, 0),
  [11750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [11752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6164),
  [11754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [11756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6514),
  [11758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4869),
  [11760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5801),
  [11762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4644),
  [11764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6468),
  [11766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5712),
  [11768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5977),
  [11770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3024),
  [11772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3041),
  [11774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6614),
  [11776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5938),
  [11778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [11780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5937),
  [11782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [11784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5927),
  [11786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [11788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [11790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6415),
  [11792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4140),
  [11794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4149),
  [11796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 5, 0, 26),
  [11798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2, 0, 0), REDUCE(aux_sym__old_style_parameter_list_repeat1, 2, 0, 0),
  [11801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_available_expression_repeat1, 3, 0, 0),
  [11803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 5, 0, 94),
  [11805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4150),
  [11807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4142),
  [11809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4053),
  [11811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4051),
  [11813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4061),
  [11815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4059),
  [11817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [11819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6506),
  [11821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4039),
  [11823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4038),
  [11825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [11827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5799),
  [11829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [11831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [11833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4833),
  [11835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [11837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [11839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5359),
  [11841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6757),
  [11843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_attribute, 4, 0, 0),
  [11845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 26),
  [11847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [11849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6623),
  [11851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [11853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6047),
  [11855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4062),
  [11857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4060),
  [11859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5545),
  [11861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 1, 0, 0),
  [11863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [11865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3040),
  [11867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3032),
  [11869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 1, 0, 0),
  [11871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [11873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5731),
  [11875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [11877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [11879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [11881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5990),
  [11883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3029),
  [11885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [11887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_availability_attribute_specifier_repeat1, 4, 0, 0),
  [11889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [11891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6276),
  [11893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, 0, 153),
  [11895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5638),
  [11897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_availability_attribute_specifier_repeat1, 5, 0, 0),
  [11899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4687),
  [11901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6785),
  [11903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [11905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [11907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 3, 0, 0),
  [11909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4143),
  [11911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4147),
  [11913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [11915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameterized_arguments_repeat2, 5, 0, 50),
  [11917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [11919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5790),
  [11921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_arguments_repeat1, 2, 0, 50),
  [11923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5148),
  [11925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_version, 4, 0, 0),
  [11927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 26),
  [11929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 5, 0, 0),
  [11931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 5, 0, 0),
  [11933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [11935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6036),
  [11937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4971),
  [11939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [11941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6222),
  [11943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3852),
  [11945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3851),
  [11947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [11949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5925),
  [11951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5696),
  [11953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [11955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4838),
  [11957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5612),
  [11959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [11961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6640),
  [11963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4964),
  [11965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [11967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6052),
  [11969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameterized_arguments_repeat2, 5, 0, 88),
  [11971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [11973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6793),
  [11975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [11977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [11979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [11981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6798),
  [11983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3987),
  [11985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3841),
  [11987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [11989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6232),
  [11991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [11993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6765),
  [11995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5820),
  [11997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [11999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6461),
  [12001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [12003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6087),
  [12005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [12007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6059),
  [12009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5713),
  [12011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6528),
  [12013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameterized_arguments_repeat2, 6, 0, 88),
  [12015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 7, 0, 94),
  [12017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 6, 0, 94),
  [12019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [12021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6086),
  [12023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4048),
  [12025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4047),
  [12027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [12029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5876),
  [12031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5920),
  [12033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [12035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3871),
  [12037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3870),
  [12039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameterized_arguments_repeat2, 4, 0, 50),
  [12041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4976),
  [12043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 3, 0, 74),
  [12045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [12047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [12049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4961),
  [12051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [12053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [12055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [12057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [12059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5679),
  [12061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [12063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6710),
  [12065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [12067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [12069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [12071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [12073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [12075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [12077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [12079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5331),
  [12081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5178),
  [12083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [12085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [12087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [12089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [12091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [12093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6615),
  [12095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6430),
  [12097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [12099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [12101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6564),
  [12103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [12105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6596),
  [12107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5268),
  [12109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5257),
  [12111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [12113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [12115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [12117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [12119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5742),
  [12121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [12123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [12125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5152),
  [12127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [12129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [12131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [12133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [12135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [12137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5247),
  [12139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [12141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [12143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [12145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [12147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [12149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6337),
  [12151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5750),
  [12153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [12155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [12157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [12159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [12161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator, 4, 0, 86),
  [12163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [12165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [12167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [12169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [12171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [12173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5306),
  [12175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [12177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5891),
  [12179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5544),
  [12181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [12183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [12185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [12187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [12189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [12191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [12193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5576),
  [12195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [12197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6331),
  [12199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [12201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [12203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5177),
  [12205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [12207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [12209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6321),
  [12211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [12213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [12215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [12217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [12219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [12221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6545),
  [12223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5644),
  [12225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6572),
  [12227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [12229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6580),
  [12231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [12233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5240),
  [12235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [12237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [12239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [12241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [12243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [12245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5146),
  [12247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [12249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [12251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [12253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5259),
  [12255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [12257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [12259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [12261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [12263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [12265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6136),
  [12267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [12269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [12271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [12273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [12275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5404),
  [12277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [12279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [12281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [12283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [12285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4636),
  [12287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [12289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [12291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [12293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [12295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [12297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [12299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5512),
  [12301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [12303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [12305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5442),
  [12307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [12309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, 0, 86),
  [12311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5318),
  [12313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [12315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [12317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [12319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [12321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [12323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6560),
  [12325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6567),
  [12327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5218),
  [12329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5214),
  [12331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [12333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [12335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [12337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [12339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [12341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5294),
  [12343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [12345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [12347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [12349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [12351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [12353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6660),
  [12355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [12357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [12359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [12361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [12363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5503),
  [12365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [12367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [12369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [12371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4686),
  [12373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5505),
  [12375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [12377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [12379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [12381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [12383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [12385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [12387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5516),
  [12389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [12391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5312),
  [12393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [12395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [12397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [12399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5949),
  [12401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5950),
  [12403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5193),
  [12405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [12407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [12409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [12411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [12413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [12415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [12417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [12419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6000),
  [12421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [12423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [12425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [12427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [12429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [12431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [12433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [12435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [12437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [12439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [12441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [12443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [12445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [12447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [12449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [12451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5277),
  [12453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [12455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [12457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6060),
  [12459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [12461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [12463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6566),
  [12465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [12467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [12469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [12471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 3, 0, 57),
  [12473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [12475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [12477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [12479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [12481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [12483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [12485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5313),
  [12487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [12489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [12491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 3, 0, 49),
  [12493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [12495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [12497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [12499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [12501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [12503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [12505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [12507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [12509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [12511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6328),
  [12513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [12515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [12517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [12519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [12521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [12523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [12525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [12527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [12529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [12531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [12533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [12535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [12537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [12539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [12541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [12543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [12545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [12547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [12549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [12551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [12553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [12555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [12557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5131),
  [12559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [12561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [12563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5840),
  [12565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6412),
  [12567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [12569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [12571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [12573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [12575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [12577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef_in_field_declaration_list, 4, 0, 87),
  [12579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [12581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4963),
  [12583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4649),
  [12585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [12587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5861),
  [12589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [12591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [12593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [12595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [12597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [12599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [12601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [12603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [12605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [12607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [12609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [12611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [12613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [12615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [12617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [12619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5819),
  [12621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5687),
  [12623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_availability, 4, 0, 0),
  [12625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5869),
  [12627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [12629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [12631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [12633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [12635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [12637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [12639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [12641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [12643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [12645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [12647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [12649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [12651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [12653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_based_modifier, 2, 0, 0),
  [12655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [12657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [12659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [12661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [12663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [12665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [12667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6556),
  [12669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [12671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6558),
  [12673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [12675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [12677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [12679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [12681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [12683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [12685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [12687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [12689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [12691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [12693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [12695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [12697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [12699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [12701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [12703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [12705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [12707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [12709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [12711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [12713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [12715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [12717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5130),
  [12719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [12721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [12723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [12725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [12727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [12729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [12731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [12733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [12735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [12737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [12739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [12741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [12743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [12745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [12747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [12749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [12751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [12753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [12755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [12757] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [12759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [12761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [12763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [12765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [12767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [12769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [12771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [12773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [12775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [12777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [12779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [12781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [12783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [12785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [12787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [12789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [12791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [12793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [12795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [12797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [12799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [12801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [12803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4993),
  [12805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [12807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [12809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [12811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [12813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [12815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [12817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6352),
  [12819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [12821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [12823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [12825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [12827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [12829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [12831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6119),
  [12833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [12835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [12837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5823),
  [12839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [12841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [12843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [12845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5738),
  [12847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [12849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [12851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [12853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [12855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [12857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_objc_bridge, 6, 0, 0),
  [12859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [12861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [12863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [12865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_availability, 6, 0, 0),
  [12867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [12869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [12871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [12873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [12875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [12877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [12879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5848),
  [12881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_interface_declaration, 4, 0, 86),
  [12883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [12885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6045),
  [12887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [12889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [12891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [12893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [12895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [12897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6084),
  [12899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [12901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [12903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [12905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_implementation_definition, 4, 0, 86),
  [12907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [12909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6114),
  [12911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [12913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6117),
  [12915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5804),
  [12917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [12919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [12921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [12923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5299),
  [12925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4959),
  [12927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [12929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [12931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [12933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, 0, 86),
  [12935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [12937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, 0, 87),
  [12939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [12941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [12943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [12945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5733),
  [12947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [12949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [12951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [12953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [12955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [12957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [12959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [12961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [12963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [12965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6271),
  [12967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [12969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6273),
  [12971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [12973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [12975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5763),
  [12977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [12979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [12981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [12983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5777),
  [12985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5138),
  [12987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6787),
  [12989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [12991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [12993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [12995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [12997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [12999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [13001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 117),
  [13003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator, 5, 0, 117),
  [13005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [13007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [13009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 5, 0, 117),
  [13011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [13013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [13015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [13017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [13019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [13021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5618),
  [13023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [13025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [13027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4837),
  [13029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [13031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [13033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [13035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5384),
  [13037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5810),
  [13039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5736),
  [13041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [13043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [13045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [13047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4975),
  [13049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [13051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [13053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [13055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [13057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [13059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [13061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6041),
  [13063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5759),
  [13065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_availability, 5, 0, 0),
  [13067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [13069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [13071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5157),
  [13073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [13075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5902),
  [13077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 2, 0, 24),
  [13079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [13081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [13083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [13085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5817),
  [13087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [13089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [13091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [13093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [13095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5838),
  [13097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [13099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [13101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [13103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [13105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_objc_bridge, 7, 0, 0),
  [13107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [13109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [13111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [13113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6594),
  [13115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [13117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [13119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [13121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5849),
  [13123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [13125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [13127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [13129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [13131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [13133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [13135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5497),
  [13137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_availability, 7, 0, 0),
  [13139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [13141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5728),
  [13143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [13145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [13147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [13149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [13151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5741),
  [13153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_interface_declaration, 5, 0, 117),
  [13155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5788),
  [13157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [13159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4981),
  [13161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [13163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [13165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5912),
  [13167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [13169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [13171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [13173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_implementation_definition, 5, 0, 117),
  [13175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [13177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5764),
  [13179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [13181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [13183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [13185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5779),
  [13187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [13189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [13191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [13193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5760),
  [13195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [13197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [13199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [13201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [13203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5832),
  [13205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [13207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [13209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [13211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [13213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [13215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6077),
  [13217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [13219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6141),
  [13221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [13223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [13225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [13227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [13229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [13231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [13233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [13235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6284),
  [13237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [13239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [13241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [13243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5689),
  [13245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [13247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [13249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [13251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [13253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [13255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [13257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [13259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [13261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [13263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [13265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5220),
  [13267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [13269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5844),
  [13271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [13273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [13275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [13277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [13279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [13281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [13283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [13285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [13287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [13289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [13291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [13293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [13295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5386),
  [13297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5346),
  [13299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, 0, 49),
  [13301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [13303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5732),
  [13305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [13307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [13309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5365),
  [13311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5543),
  [13313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [13315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [13317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [13319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4195),
  [13321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [13323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6758),
  [13325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [13327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5262),
  [13329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5745),
  [13331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [13333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [13335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [13337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [13339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [13341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [13343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [13345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [13347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [13349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [13351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [13353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [13355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_objc_bridge, 8, 0, 0),
  [13357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [13359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [13361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [13363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5315),
  [13365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [13367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [13369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [13371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [13373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [13375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [13377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [13379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [13381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5602),
  [13383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [13385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [13387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5174),
  [13389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [13391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5755),
  [13393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [13395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [13397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [13399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [13401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [13403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [13405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [13407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [13409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [13411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [13413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [13415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [13417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [13419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6253),
  [13421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [13423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [13425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [13427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6260),
  [13429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [13431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6263),
  [13433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [13435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5195),
  [13437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [13439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [13441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [13443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_objc_bridge, 9, 0, 0),
  [13445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [13447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [13449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4206),
  [13451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [13453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5782),
  [13455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [13457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6446),
  [13459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5886),
  [13461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [13463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [13465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4188),
  [13467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [13469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6709),
  [13471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [13473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [13475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [13477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [13479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [13481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [13483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [13485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [13487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [13489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [13491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [13493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5989),
  [13495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [13497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5793),
  [13499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [13501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [13503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5843),
  [13505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [13507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5833),
  [13509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [13511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [13513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [13515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [13517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [13519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [13521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [13523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [13525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [13527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [13529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [13531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [13533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [13535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [13537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [13539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [13541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6443),
  [13543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5895),
  [13545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [13547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [13549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [13551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [13553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [13555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [13557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [13559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [13561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [13563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [13565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [13567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5124),
  [13569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5125),
  [13571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [13573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [13575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [13577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [13579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [13581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5473),
  [13583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [13585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4207),
  [13587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4199),
  [13589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [13591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [13593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [13595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [13597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5622),
  [13599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [13601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [13603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [13605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [13607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [13609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [13611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6153),
  [13613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [13615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [13617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5858),
  [13619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [13621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [13623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [13625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [13627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [13629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [13631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [13633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5775),
  [13635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6088),
  [13637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5172),
  [13639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6561),
  [13641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [13643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [13645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [13647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [13649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [13651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [13653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [13655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [13657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_objc(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
